#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 4018
#define LARGE_STATE_COUNT 2321
#define SYMBOL_COUNT 573
#define ALIAS_COUNT 1
#define TOKEN_COUNT 390
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 55
#define MAX_ALIAS_SEQUENCE_LENGTH 6
#define PRODUCTION_ID_COUNT 110

enum ts_symbol_identifiers {
  sym_command_name = 1,
  sym__whitespace = 2,
  sym_line_comment = 3,
  anon_sym_BSLASHiffalse = 4,
  anon_sym_BSLASHfi = 5,
  anon_sym_LBRACK = 6,
  anon_sym_RBRACK = 7,
  anon_sym_COMMA = 8,
  anon_sym_EQ = 9,
  anon_sym_LPAREN = 10,
  anon_sym_RPAREN = 11,
  anon_sym_BSLASHpart = 12,
  anon_sym_BSLASHpart_STAR = 13,
  anon_sym_BSLASHaddpart = 14,
  anon_sym_BSLASHaddpart_STAR = 15,
  anon_sym_BSLASHchapter = 16,
  anon_sym_BSLASHchapter_STAR = 17,
  anon_sym_BSLASHaddchap = 18,
  anon_sym_BSLASHaddchap_STAR = 19,
  anon_sym_BSLASHsection = 20,
  anon_sym_BSLASHsection_STAR = 21,
  anon_sym_BSLASHaddsec = 22,
  anon_sym_BSLASHaddsec_STAR = 23,
  anon_sym_BSLASHsubsection = 24,
  anon_sym_BSLASHsubsection_STAR = 25,
  anon_sym_BSLASHsubsubsection = 26,
  anon_sym_BSLASHsubsubsection_STAR = 27,
  anon_sym_BSLASHparagraph = 28,
  anon_sym_BSLASHparagraph_STAR = 29,
  anon_sym_BSLASHsubparagraph = 30,
  anon_sym_BSLASHsubparagraph_STAR = 31,
  anon_sym_BSLASHitem = 32,
  anon_sym_BSLASHitem_STAR = 33,
  anon_sym_LBRACE = 34,
  anon_sym_RBRACE = 35,
  anon_sym_BSLASHand = 36,
  sym_word = 37,
  sym_placeholder = 38,
  sym_delimiter = 39,
  sym_path = 40,
  sym_uri = 41,
  sym_argc = 42,
  aux_sym__glob_pattern_fragment_token1 = 43,
  anon_sym_PLUS = 44,
  anon_sym_DASH = 45,
  anon_sym_STAR = 46,
  anon_sym_SLASH = 47,
  anon_sym_LT = 48,
  anon_sym_GT = 49,
  anon_sym_BANG = 50,
  anon_sym_PIPE = 51,
  anon_sym_COLON = 52,
  anon_sym_SQUOTE = 53,
  sym_letter = 54,
  anon_sym__ = 55,
  anon_sym_CARET = 56,
  anon_sym_DOLLAR_DOLLAR = 57,
  anon_sym_BSLASH_LBRACK = 58,
  anon_sym_BSLASH_RBRACK = 59,
  anon_sym_DOLLAR = 60,
  anon_sym_BSLASH_LPAREN = 61,
  anon_sym_BSLASH_RPAREN = 62,
  anon_sym_BSLASHleft = 63,
  anon_sym_BSLASHbigl = 64,
  anon_sym_BSLASHBigl = 65,
  anon_sym_BSLASHbiggl = 66,
  anon_sym_BSLASHBiggl = 67,
  anon_sym_BSLASHright = 68,
  anon_sym_BSLASHbigr = 69,
  anon_sym_BSLASHBigr = 70,
  anon_sym_BSLASHbiggr = 71,
  anon_sym_BSLASHBiggr = 72,
  anon_sym_BSLASHtext = 73,
  anon_sym_BSLASHintertext = 74,
  anon_sym_BSLASHshortintertext = 75,
  anon_sym_BSLASHbegin = 76,
  anon_sym_BSLASHend = 77,
  anon_sym_comment = 78,
  anon_sym_verbatim = 79,
  anon_sym_lstlisting = 80,
  anon_sym_minted = 81,
  anon_sym_asy = 82,
  anon_sym_asydef = 83,
  anon_sym_pycode = 84,
  anon_sym_luacode = 85,
  anon_sym_luacode_STAR = 86,
  anon_sym_sagesilent = 87,
  anon_sym_sageblock = 88,
  anon_sym_math = 89,
  anon_sym_displaymath = 90,
  anon_sym_displaymath_STAR = 91,
  anon_sym_equation = 92,
  anon_sym_equation_STAR = 93,
  anon_sym_multline = 94,
  anon_sym_multline_STAR = 95,
  anon_sym_eqnarray = 96,
  anon_sym_eqnarray_STAR = 97,
  anon_sym_align = 98,
  anon_sym_align_STAR = 99,
  anon_sym_aligned = 100,
  anon_sym_aligned_STAR = 101,
  anon_sym_array = 102,
  anon_sym_array_STAR = 103,
  anon_sym_split = 104,
  anon_sym_split_STAR = 105,
  anon_sym_alignat = 106,
  anon_sym_alignat_STAR = 107,
  anon_sym_alignedat = 108,
  anon_sym_alignedat_STAR = 109,
  anon_sym_gather = 110,
  anon_sym_gather_STAR = 111,
  anon_sym_gathered = 112,
  anon_sym_gathered_STAR = 113,
  anon_sym_flalign = 114,
  anon_sym_flalign_STAR = 115,
  anon_sym_BSLASHtitle = 116,
  anon_sym_BSLASHauthor = 117,
  anon_sym_BSLASHusepackage = 118,
  anon_sym_BSLASHRequirePackage = 119,
  anon_sym_BSLASHdocumentclass = 120,
  anon_sym_BSLASHinclude = 121,
  anon_sym_BSLASHsubfileinclude = 122,
  anon_sym_BSLASHinput = 123,
  anon_sym_BSLASHsubfile = 124,
  anon_sym_BSLASHaddbibresource = 125,
  anon_sym_BSLASHbibliographystyle = 126,
  anon_sym_BSLASHbibliography = 127,
  anon_sym_BSLASHincludegraphics = 128,
  anon_sym_BSLASHincludesvg = 129,
  anon_sym_BSLASHincludeinkscape = 130,
  anon_sym_BSLASHverbatiminput = 131,
  anon_sym_BSLASHVerbatimInput = 132,
  anon_sym_BSLASHimport = 133,
  anon_sym_BSLASHsubimport = 134,
  anon_sym_BSLASHinputfrom = 135,
  anon_sym_BSLASHsubimportfrom = 136,
  anon_sym_BSLASHincludefrom = 137,
  anon_sym_BSLASHsubincludefrom = 138,
  anon_sym_BSLASHcaption = 139,
  anon_sym_BSLASHcite = 140,
  anon_sym_BSLASHcite_STAR = 141,
  anon_sym_BSLASHCite = 142,
  anon_sym_BSLASHnocite = 143,
  anon_sym_BSLASHcitet = 144,
  anon_sym_BSLASHcitep = 145,
  anon_sym_BSLASHcitet_STAR = 146,
  anon_sym_BSLASHcitep_STAR = 147,
  anon_sym_BSLASHciteA = 148,
  anon_sym_BSLASHciteR = 149,
  anon_sym_BSLASHciteS = 150,
  anon_sym_BSLASHciteyearR = 151,
  anon_sym_BSLASHciteauthor = 152,
  anon_sym_BSLASHciteauthor_STAR = 153,
  anon_sym_BSLASHCiteauthor = 154,
  anon_sym_BSLASHCiteauthor_STAR = 155,
  anon_sym_BSLASHcitetitle = 156,
  anon_sym_BSLASHcitetitle_STAR = 157,
  anon_sym_BSLASHciteyear = 158,
  anon_sym_BSLASHciteyear_STAR = 159,
  anon_sym_BSLASHcitedate = 160,
  anon_sym_BSLASHcitedate_STAR = 161,
  anon_sym_BSLASHciteurl = 162,
  anon_sym_BSLASHfullcite = 163,
  anon_sym_BSLASHciteyearpar = 164,
  anon_sym_BSLASHcitealt = 165,
  anon_sym_BSLASHcitealp = 166,
  anon_sym_BSLASHcitetext = 167,
  anon_sym_BSLASHparencite = 168,
  anon_sym_BSLASHparencite_STAR = 169,
  anon_sym_BSLASHParencite = 170,
  anon_sym_BSLASHfootcite = 171,
  anon_sym_BSLASHfootfullcite = 172,
  anon_sym_BSLASHfootcitetext = 173,
  anon_sym_BSLASHtextcite = 174,
  anon_sym_BSLASHTextcite = 175,
  anon_sym_BSLASHsmartcite = 176,
  anon_sym_BSLASHSmartcite = 177,
  anon_sym_BSLASHsupercite = 178,
  anon_sym_BSLASHautocite = 179,
  anon_sym_BSLASHAutocite = 180,
  anon_sym_BSLASHautocite_STAR = 181,
  anon_sym_BSLASHAutocite_STAR = 182,
  anon_sym_BSLASHvolcite = 183,
  anon_sym_BSLASHVolcite = 184,
  anon_sym_BSLASHpvolcite = 185,
  anon_sym_BSLASHPvolcite = 186,
  anon_sym_BSLASHfvolcite = 187,
  anon_sym_BSLASHftvolcite = 188,
  anon_sym_BSLASHsvolcite = 189,
  anon_sym_BSLASHSvolcite = 190,
  anon_sym_BSLASHtvolcite = 191,
  anon_sym_BSLASHTvolcite = 192,
  anon_sym_BSLASHavolcite = 193,
  anon_sym_BSLASHAvolcite = 194,
  anon_sym_BSLASHnotecite = 195,
  anon_sym_BSLASHNotecite = 196,
  anon_sym_BSLASHpnotecite = 197,
  anon_sym_BSLASHPnotecite = 198,
  anon_sym_BSLASHfnotecite = 199,
  anon_sym_BSLASHlabel = 200,
  anon_sym_BSLASHref = 201,
  anon_sym_BSLASHeqref = 202,
  anon_sym_BSLASHvref = 203,
  anon_sym_BSLASHVref = 204,
  anon_sym_BSLASHautoref = 205,
  anon_sym_BSLASHautoref_STAR = 206,
  anon_sym_BSLASHpageref = 207,
  anon_sym_BSLASHpageref_STAR = 208,
  anon_sym_BSLASHautopageref = 209,
  anon_sym_BSLASHautopageref_STAR = 210,
  anon_sym_BSLASHcref = 211,
  anon_sym_BSLASHcref_STAR = 212,
  anon_sym_BSLASHCref = 213,
  anon_sym_BSLASHCref_STAR = 214,
  anon_sym_BSLASHcpageref = 215,
  anon_sym_BSLASHCpageref = 216,
  anon_sym_BSLASHnamecref = 217,
  anon_sym_BSLASHnameCref = 218,
  anon_sym_BSLASHlcnamecref = 219,
  anon_sym_BSLASHnamecrefs = 220,
  anon_sym_BSLASHnameCrefs = 221,
  anon_sym_BSLASHlcnamecrefs = 222,
  anon_sym_BSLASHlabelcref = 223,
  anon_sym_BSLASHlabelcref_STAR = 224,
  anon_sym_BSLASHlabelcpageref = 225,
  anon_sym_BSLASHlabelcpageref_STAR = 226,
  anon_sym_BSLASHcrefrange = 227,
  anon_sym_BSLASHcrefrange_STAR = 228,
  anon_sym_BSLASHCrefrange = 229,
  anon_sym_BSLASHCrefrange_STAR = 230,
  anon_sym_BSLASHcpagerefrange = 231,
  anon_sym_BSLASHCpagerefrange = 232,
  anon_sym_BSLASHnewlabel = 233,
  anon_sym_BSLASHnewcommand = 234,
  anon_sym_BSLASHnewcommand_STAR = 235,
  anon_sym_BSLASHrenewcommand = 236,
  anon_sym_BSLASHrenewcommand_STAR = 237,
  anon_sym_BSLASHprovidecommand = 238,
  anon_sym_BSLASHprovidecommand_STAR = 239,
  anon_sym_BSLASHDeclareRobustCommand = 240,
  anon_sym_BSLASHDeclareRobustCommand_STAR = 241,
  anon_sym_BSLASHDeclareMathOperator = 242,
  anon_sym_BSLASHDeclareMathOperator_STAR = 243,
  anon_sym_BSLASHNewDocumentCommand = 244,
  anon_sym_BSLASHRenewDocumentCommand = 245,
  anon_sym_BSLASHProvideDocumentCommand = 246,
  anon_sym_BSLASHDeclareDocumentCommand = 247,
  anon_sym_BSLASHNewExpandableDocumentCommand = 248,
  anon_sym_BSLASHRenewExpandableDocumentCommand = 249,
  anon_sym_BSLASHProvideExpandableDocumentCommand = 250,
  anon_sym_BSLASHDeclareExpandableDocumentCommand = 251,
  anon_sym_BSLASHNewCommandCopy = 252,
  anon_sym_BSLASHRenewCommandCopy = 253,
  anon_sym_BSLASHDeclareCommandCopy = 254,
  anon_sym_BSLASHdef = 255,
  anon_sym_BSLASHgdef = 256,
  anon_sym_BSLASHedef = 257,
  anon_sym_BSLASHxdef = 258,
  anon_sym_BSLASHlet = 259,
  anon_sym_BSLASHglet = 260,
  anon_sym_BSLASHDeclarePairedDelimiter = 261,
  anon_sym_BSLASHDeclarePairedDelimiterX = 262,
  anon_sym_BSLASHnewenvironment = 263,
  anon_sym_BSLASHrenewenvironment = 264,
  anon_sym_BSLASHNewDocumentEnvironment = 265,
  anon_sym_BSLASHRenewDocumentEnvironment = 266,
  anon_sym_BSLASHProvideDocumentEnvironment = 267,
  anon_sym_BSLASHDeclareDocumentEnvironment = 268,
  anon_sym_BSLASHNewEnvironmentCopy = 269,
  anon_sym_BSLASHRenewEnvironmentCopy = 270,
  anon_sym_BSLASHDeclareEnvironmentCopy = 271,
  anon_sym_BSLASHnewglossaryentry = 272,
  anon_sym_BSLASHgls = 273,
  anon_sym_BSLASHGls = 274,
  anon_sym_BSLASHGLS = 275,
  anon_sym_BSLASHglspl = 276,
  anon_sym_BSLASHGlspl = 277,
  anon_sym_BSLASHGLSpl = 278,
  anon_sym_BSLASHglsdisp = 279,
  anon_sym_BSLASHglslink = 280,
  anon_sym_BSLASHglstext = 281,
  anon_sym_BSLASHGlstext = 282,
  anon_sym_BSLASHGLStext = 283,
  anon_sym_BSLASHglsfirst = 284,
  anon_sym_BSLASHGlsfirst = 285,
  anon_sym_BSLASHGLSfirst = 286,
  anon_sym_BSLASHglsplural = 287,
  anon_sym_BSLASHGlsplural = 288,
  anon_sym_BSLASHGLSplural = 289,
  anon_sym_BSLASHglsfirstplural = 290,
  anon_sym_BSLASHGlsfirstplural = 291,
  anon_sym_BSLASHGLSfirstplural = 292,
  anon_sym_BSLASHglsname = 293,
  anon_sym_BSLASHGlsname = 294,
  anon_sym_BSLASHGLSname = 295,
  anon_sym_BSLASHglssymbol = 296,
  anon_sym_BSLASHGlssymbol = 297,
  anon_sym_BSLASHglsdesc = 298,
  anon_sym_BSLASHGlsdesc = 299,
  anon_sym_BSLASHGLSdesc = 300,
  anon_sym_BSLASHglsuseri = 301,
  anon_sym_BSLASHGlsuseri = 302,
  anon_sym_BSLASHGLSuseri = 303,
  anon_sym_BSLASHglsuserii = 304,
  anon_sym_BSLASHGlsuserii = 305,
  anon_sym_BSLASHGLSuserii = 306,
  anon_sym_BSLASHglsuseriii = 307,
  anon_sym_BSLASHGlsuseriii = 308,
  anon_sym_BSLASHGLSuseriii = 309,
  anon_sym_BSLASHglsuseriv = 310,
  anon_sym_BSLASHGlsuseriv = 311,
  anon_sym_BSLASHGLSuseriv = 312,
  anon_sym_BSLASHglsuserv = 313,
  anon_sym_BSLASHGlsuserv = 314,
  anon_sym_BSLASHGLSuserv = 315,
  anon_sym_BSLASHglsuservi = 316,
  anon_sym_BSLASHGlsuservi = 317,
  anon_sym_BSLASHGLSuservi = 318,
  anon_sym_BSLASHnewacronym = 319,
  anon_sym_BSLASHacrshort = 320,
  anon_sym_BSLASHAcrshort = 321,
  anon_sym_BSLASHACRshort = 322,
  anon_sym_BSLASHacrshortpl = 323,
  anon_sym_BSLASHAcrshortpl = 324,
  anon_sym_BSLASHACRshortpl = 325,
  anon_sym_BSLASHacrlong = 326,
  anon_sym_BSLASHAcrlong = 327,
  anon_sym_BSLASHACRlong = 328,
  anon_sym_BSLASHacrlongpl = 329,
  anon_sym_BSLASHAcrlongpl = 330,
  anon_sym_BSLASHACRlongpl = 331,
  anon_sym_BSLASHacrfull = 332,
  anon_sym_BSLASHAcrfull = 333,
  anon_sym_BSLASHACRfull = 334,
  anon_sym_BSLASHacrfullpl = 335,
  anon_sym_BSLASHAcrfullpl = 336,
  anon_sym_BSLASHACRfullpl = 337,
  anon_sym_BSLASHacs = 338,
  anon_sym_BSLASHAcs = 339,
  anon_sym_BSLASHacsp = 340,
  anon_sym_BSLASHAcsp = 341,
  anon_sym_BSLASHacl = 342,
  anon_sym_BSLASHAcl = 343,
  anon_sym_BSLASHaclp = 344,
  anon_sym_BSLASHAclp = 345,
  anon_sym_BSLASHacf = 346,
  anon_sym_BSLASHAcf = 347,
  anon_sym_BSLASHacfp = 348,
  anon_sym_BSLASHAcfp = 349,
  anon_sym_BSLASHac = 350,
  anon_sym_BSLASHAc = 351,
  anon_sym_BSLASHacp = 352,
  anon_sym_BSLASHglsentrylong = 353,
  anon_sym_BSLASHGlsentrylong = 354,
  anon_sym_BSLASHglsentrylongpl = 355,
  anon_sym_BSLASHGlsentrylongpl = 356,
  anon_sym_BSLASHglsentryshort = 357,
  anon_sym_BSLASHGlsentryshort = 358,
  anon_sym_BSLASHglsentryshortpl = 359,
  anon_sym_BSLASHGlsentryshortpl = 360,
  anon_sym_BSLASHglsentryfullpl = 361,
  anon_sym_BSLASHGlsentryfullpl = 362,
  anon_sym_BSLASHnewtheorem = 363,
  anon_sym_BSLASHnewtheorem_STAR = 364,
  anon_sym_BSLASHdeclaretheorem = 365,
  anon_sym_BSLASHdeclaretheorem_STAR = 366,
  anon_sym_BSLASHdefinecolor = 367,
  anon_sym_BSLASHdefinecolorset = 368,
  anon_sym_BSLASHcolor = 369,
  anon_sym_BSLASHpagecolor = 370,
  anon_sym_BSLASHtextcolor = 371,
  anon_sym_BSLASHmathcolor = 372,
  anon_sym_BSLASHcolorbox = 373,
  anon_sym_BSLASHusepgflibrary = 374,
  anon_sym_BSLASHusetikzlibrary = 375,
  anon_sym_BSLASHurl = 376,
  anon_sym_BSLASHhref = 377,
  sym__trivia_raw_fi = 378,
  sym__trivia_raw_env_comment = 379,
  sym__trivia_raw_env_verbatim = 380,
  sym__trivia_raw_env_listing = 381,
  sym__trivia_raw_env_minted = 382,
  sym__trivia_raw_env_asy = 383,
  sym__trivia_raw_env_asydef = 384,
  sym__trivia_raw_env_pycode = 385,
  sym__trivia_raw_env_luacode = 386,
  sym__trivia_raw_env_luacode_star = 387,
  sym__trivia_raw_env_sagesilent = 388,
  sym__trivia_raw_env_sageblock = 389,
  sym_source_file = 390,
  sym_block_comment = 391,
  sym__root_content = 392,
  sym__flat_content = 393,
  sym__text_with_env_content = 394,
  sym__text_content = 395,
  sym__section = 396,
  sym__paragraph = 397,
  sym__section_part = 398,
  sym__part_declaration = 399,
  sym_part = 400,
  sym__chapter_declaration = 401,
  sym_chapter = 402,
  sym__section_declaration = 403,
  sym_section = 404,
  sym__subsection_declaration = 405,
  sym_subsection = 406,
  sym__subsubsection_declaration = 407,
  sym_subsubsection = 408,
  sym__paragraph_declaration = 409,
  sym_paragraph = 410,
  sym__subparagraph_declaration = 411,
  sym_subparagraph = 412,
  sym__enum_itemdeclaration = 413,
  sym_enum_item = 414,
  sym_curly_group = 415,
  sym_curly_group_text = 416,
  sym_curly_group_spec = 417,
  sym_curly_group_text_list = 418,
  sym_curly_group_path = 419,
  sym_curly_group_path_list = 420,
  sym_curly_group_uri = 421,
  sym_curly_group_command_name = 422,
  sym_curly_group_key_value = 423,
  sym_curly_group_glob_pattern = 424,
  sym_curly_group_impl = 425,
  sym_curly_group_author_list = 426,
  sym_brack_group = 427,
  sym_brack_group_text = 428,
  sym_brack_group_argc = 429,
  sym_brack_group_key_value = 430,
  sym_text = 431,
  sym_glob_pattern = 432,
  sym__glob_pattern_fragment = 433,
  sym_operator = 434,
  sym_subscript = 435,
  sym_superscript = 436,
  sym_key_value_pair = 437,
  sym_value = 438,
  sym__math_content = 439,
  sym_displayed_equation = 440,
  sym_inline_formula = 441,
  sym__math_delimiter_part = 442,
  sym_math_delimiter = 443,
  sym_text_mode = 444,
  sym_begin = 445,
  sym_end = 446,
  sym_generic_environment = 447,
  sym_comment_environment = 448,
  sym__comment_environment_begin = 449,
  sym__comment_environment_end = 450,
  sym__comment_environment_group = 451,
  sym__comment_environment_name = 452,
  sym_verbatim_environment = 453,
  sym__verbatim_environment_begin = 454,
  sym__verbatim_environment_end = 455,
  sym__verbatim_environment_group = 456,
  sym__verbatim_environment_name = 457,
  sym_listing_environment = 458,
  sym__listing_environment_begin = 459,
  sym__listing_environment_end = 460,
  sym__listing_environment_group = 461,
  sym__listing_environment_name = 462,
  sym_minted_environment = 463,
  sym__minted_environment_begin = 464,
  sym__minted_environment_end = 465,
  sym__minted_environment_group = 466,
  sym__minted_environment_name = 467,
  sym_asy_environment = 468,
  sym__asy_environment_begin = 469,
  sym__asy_environment_end = 470,
  sym__asy_environment_group = 471,
  sym__asy_environment_name = 472,
  sym_asydef_environment = 473,
  sym__asydef_environment_begin = 474,
  sym__asydef_environment_end = 475,
  sym__asydef_environment_group = 476,
  sym__asydef_environment_name = 477,
  sym_pycode_environment = 478,
  sym__pycode_environment_begin = 479,
  sym__pycode_environment_end = 480,
  sym__pycode_environment_group = 481,
  sym__pycode_environment_name = 482,
  sym_luacode_environment = 483,
  sym__luacode_environment = 484,
  sym___luacode_environment_begin = 485,
  sym___luacode_environment_end = 486,
  sym___luacode_environment_group = 487,
  sym___luacode_environment_name = 488,
  sym__luacode_environment_star = 489,
  sym___luacode_environment_star_begin = 490,
  sym___luacode_environment_star_end = 491,
  sym___luacode_environment_star_group = 492,
  sym___luacode_environment_star_name = 493,
  sym_sagesilent_environment = 494,
  sym__sagesilent_environment_begin = 495,
  sym__sagesilent_environment_end = 496,
  sym__sagesilent_environment_group = 497,
  sym__sagesilent_environment_name = 498,
  sym_sageblock_environment = 499,
  sym__sageblock_environment_begin = 500,
  sym__sageblock_environment_end = 501,
  sym__sageblock_environment_group = 502,
  sym__sageblock_environment_name = 503,
  sym_math_environment = 504,
  sym__math_environment_begin = 505,
  sym__math_environment_end = 506,
  sym__math_environment_group = 507,
  sym__math_environment_name = 508,
  sym__command = 509,
  sym_generic_command = 510,
  sym_title_declaration = 511,
  sym_author_declaration = 512,
  sym_package_include = 513,
  sym_class_include = 514,
  sym_latex_include = 515,
  sym_biblatex_include = 516,
  sym_bibstyle_include = 517,
  sym_bibtex_include = 518,
  sym_graphics_include = 519,
  sym_svg_include = 520,
  sym_inkscape_include = 521,
  sym_verbatim_include = 522,
  sym_import_include = 523,
  sym_caption = 524,
  sym_citation = 525,
  sym_label_definition = 526,
  sym_label_reference = 527,
  sym_label_reference_range = 528,
  sym_label_number = 529,
  sym_new_command_definition = 530,
  sym__new_command_definition = 531,
  sym__newer_command_definition = 532,
  sym__new_command_copy = 533,
  sym_old_command_definition = 534,
  sym_let_command_definition = 535,
  sym_paired_delimiter_definition = 536,
  sym_environment_definition = 537,
  sym__environment_definition = 538,
  sym__newer_environment_definition = 539,
  sym__new_environment_copy = 540,
  sym_glossary_entry_definition = 541,
  sym_glossary_entry_reference = 542,
  sym_acronym_definition = 543,
  sym_acronym_reference = 544,
  sym_theorem_definition = 545,
  sym_color_definition = 546,
  sym_color_set_definition = 547,
  sym_color_reference = 548,
  sym_tikz_library_import = 549,
  sym_hyperlink = 550,
  aux_sym_source_file_repeat1 = 551,
  aux_sym__section_repeat1 = 552,
  aux_sym__section_repeat2 = 553,
  aux_sym__section_repeat3 = 554,
  aux_sym__section_repeat4 = 555,
  aux_sym__section_repeat5 = 556,
  aux_sym__paragraph_repeat1 = 557,
  aux_sym__paragraph_repeat2 = 558,
  aux_sym__paragraph_repeat3 = 559,
  aux_sym_part_repeat1 = 560,
  aux_sym_curly_group_spec_repeat1 = 561,
  aux_sym_curly_group_text_list_repeat1 = 562,
  aux_sym_curly_group_path_list_repeat1 = 563,
  aux_sym_curly_group_key_value_repeat1 = 564,
  aux_sym_curly_group_impl_repeat1 = 565,
  aux_sym_curly_group_author_list_repeat1 = 566,
  aux_sym_curly_group_author_list_repeat2 = 567,
  aux_sym_brack_group_repeat1 = 568,
  aux_sym_text_repeat1 = 569,
  aux_sym_glob_pattern_repeat1 = 570,
  aux_sym_value_repeat1 = 571,
  aux_sym_generic_command_repeat1 = 572,
  alias_sym_author = 573,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_command_name] = "command_name",
  [sym__whitespace] = "_whitespace",
  [sym_line_comment] = "line_comment",
  [anon_sym_BSLASHiffalse] = "\\iffalse",
  [anon_sym_BSLASHfi] = "\\fi",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_BSLASHpart] = "\\part",
  [anon_sym_BSLASHpart_STAR] = "\\part*",
  [anon_sym_BSLASHaddpart] = "\\addpart",
  [anon_sym_BSLASHaddpart_STAR] = "\\addpart*",
  [anon_sym_BSLASHchapter] = "\\chapter",
  [anon_sym_BSLASHchapter_STAR] = "\\chapter*",
  [anon_sym_BSLASHaddchap] = "\\addchap",
  [anon_sym_BSLASHaddchap_STAR] = "\\addchap*",
  [anon_sym_BSLASHsection] = "\\section",
  [anon_sym_BSLASHsection_STAR] = "\\section*",
  [anon_sym_BSLASHaddsec] = "\\addsec",
  [anon_sym_BSLASHaddsec_STAR] = "\\addsec*",
  [anon_sym_BSLASHsubsection] = "\\subsection",
  [anon_sym_BSLASHsubsection_STAR] = "\\subsection*",
  [anon_sym_BSLASHsubsubsection] = "\\subsubsection",
  [anon_sym_BSLASHsubsubsection_STAR] = "\\subsubsection*",
  [anon_sym_BSLASHparagraph] = "\\paragraph",
  [anon_sym_BSLASHparagraph_STAR] = "\\paragraph*",
  [anon_sym_BSLASHsubparagraph] = "\\subparagraph",
  [anon_sym_BSLASHsubparagraph_STAR] = "\\subparagraph*",
  [anon_sym_BSLASHitem] = "\\item",
  [anon_sym_BSLASHitem_STAR] = "\\item*",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_BSLASHand] = "command_name",
  [sym_word] = "word",
  [sym_placeholder] = "placeholder",
  [sym_delimiter] = "delimiter",
  [sym_path] = "path",
  [sym_uri] = "uri",
  [sym_argc] = "argc",
  [aux_sym__glob_pattern_fragment_token1] = "_glob_pattern_fragment_token1",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_BANG] = "!",
  [anon_sym_PIPE] = "|",
  [anon_sym_COLON] = ":",
  [anon_sym_SQUOTE] = "'",
  [sym_letter] = "letter",
  [anon_sym__] = "_",
  [anon_sym_CARET] = "^",
  [anon_sym_DOLLAR_DOLLAR] = "$$",
  [anon_sym_BSLASH_LBRACK] = "\\[",
  [anon_sym_BSLASH_RBRACK] = "\\]",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_BSLASH_LPAREN] = "\\(",
  [anon_sym_BSLASH_RPAREN] = "\\)",
  [anon_sym_BSLASHleft] = "\\left",
  [anon_sym_BSLASHbigl] = "\\bigl",
  [anon_sym_BSLASHBigl] = "\\Bigl",
  [anon_sym_BSLASHbiggl] = "\\biggl",
  [anon_sym_BSLASHBiggl] = "\\Biggl",
  [anon_sym_BSLASHright] = "\\right",
  [anon_sym_BSLASHbigr] = "\\bigr",
  [anon_sym_BSLASHBigr] = "\\Bigr",
  [anon_sym_BSLASHbiggr] = "\\biggr",
  [anon_sym_BSLASHBiggr] = "\\Biggr",
  [anon_sym_BSLASHtext] = "\\text",
  [anon_sym_BSLASHintertext] = "\\intertext",
  [anon_sym_BSLASHshortintertext] = "\\shortintertext",
  [anon_sym_BSLASHbegin] = "\\begin",
  [anon_sym_BSLASHend] = "\\end",
  [anon_sym_comment] = "word",
  [anon_sym_verbatim] = "word",
  [anon_sym_lstlisting] = "word",
  [anon_sym_minted] = "word",
  [anon_sym_asy] = "word",
  [anon_sym_asydef] = "word",
  [anon_sym_pycode] = "word",
  [anon_sym_luacode] = "word",
  [anon_sym_luacode_STAR] = "word",
  [anon_sym_sagesilent] = "word",
  [anon_sym_sageblock] = "word",
  [anon_sym_math] = "word",
  [anon_sym_displaymath] = "word",
  [anon_sym_displaymath_STAR] = "word",
  [anon_sym_equation] = "word",
  [anon_sym_equation_STAR] = "word",
  [anon_sym_multline] = "word",
  [anon_sym_multline_STAR] = "word",
  [anon_sym_eqnarray] = "word",
  [anon_sym_eqnarray_STAR] = "word",
  [anon_sym_align] = "word",
  [anon_sym_align_STAR] = "word",
  [anon_sym_aligned] = "word",
  [anon_sym_aligned_STAR] = "word",
  [anon_sym_array] = "word",
  [anon_sym_array_STAR] = "word",
  [anon_sym_split] = "word",
  [anon_sym_split_STAR] = "word",
  [anon_sym_alignat] = "word",
  [anon_sym_alignat_STAR] = "word",
  [anon_sym_alignedat] = "word",
  [anon_sym_alignedat_STAR] = "word",
  [anon_sym_gather] = "word",
  [anon_sym_gather_STAR] = "word",
  [anon_sym_gathered] = "word",
  [anon_sym_gathered_STAR] = "word",
  [anon_sym_flalign] = "word",
  [anon_sym_flalign_STAR] = "word",
  [anon_sym_BSLASHtitle] = "\\title",
  [anon_sym_BSLASHauthor] = "\\author",
  [anon_sym_BSLASHusepackage] = "\\usepackage",
  [anon_sym_BSLASHRequirePackage] = "\\RequirePackage",
  [anon_sym_BSLASHdocumentclass] = "\\documentclass",
  [anon_sym_BSLASHinclude] = "\\include",
  [anon_sym_BSLASHsubfileinclude] = "\\subfileinclude",
  [anon_sym_BSLASHinput] = "\\input",
  [anon_sym_BSLASHsubfile] = "\\subfile",
  [anon_sym_BSLASHaddbibresource] = "\\addbibresource",
  [anon_sym_BSLASHbibliographystyle] = "\\bibliographystyle",
  [anon_sym_BSLASHbibliography] = "\\bibliography",
  [anon_sym_BSLASHincludegraphics] = "\\includegraphics",
  [anon_sym_BSLASHincludesvg] = "\\includesvg",
  [anon_sym_BSLASHincludeinkscape] = "\\includeinkscape",
  [anon_sym_BSLASHverbatiminput] = "\\verbatiminput",
  [anon_sym_BSLASHVerbatimInput] = "\\VerbatimInput",
  [anon_sym_BSLASHimport] = "\\import",
  [anon_sym_BSLASHsubimport] = "\\subimport",
  [anon_sym_BSLASHinputfrom] = "\\inputfrom",
  [anon_sym_BSLASHsubimportfrom] = "\\subimportfrom",
  [anon_sym_BSLASHincludefrom] = "\\includefrom",
  [anon_sym_BSLASHsubincludefrom] = "\\subincludefrom",
  [anon_sym_BSLASHcaption] = "\\caption",
  [anon_sym_BSLASHcite] = "\\cite",
  [anon_sym_BSLASHcite_STAR] = "\\cite*",
  [anon_sym_BSLASHCite] = "\\Cite",
  [anon_sym_BSLASHnocite] = "\\nocite",
  [anon_sym_BSLASHcitet] = "\\citet",
  [anon_sym_BSLASHcitep] = "\\citep",
  [anon_sym_BSLASHcitet_STAR] = "\\citet*",
  [anon_sym_BSLASHcitep_STAR] = "\\citep*",
  [anon_sym_BSLASHciteA] = "\\citeA",
  [anon_sym_BSLASHciteR] = "\\citeR",
  [anon_sym_BSLASHciteS] = "\\citeS",
  [anon_sym_BSLASHciteyearR] = "\\citeyearR",
  [anon_sym_BSLASHciteauthor] = "\\citeauthor",
  [anon_sym_BSLASHciteauthor_STAR] = "\\citeauthor*",
  [anon_sym_BSLASHCiteauthor] = "\\Citeauthor",
  [anon_sym_BSLASHCiteauthor_STAR] = "\\Citeauthor*",
  [anon_sym_BSLASHcitetitle] = "\\citetitle",
  [anon_sym_BSLASHcitetitle_STAR] = "\\citetitle*",
  [anon_sym_BSLASHciteyear] = "\\citeyear",
  [anon_sym_BSLASHciteyear_STAR] = "\\citeyear*",
  [anon_sym_BSLASHcitedate] = "\\citedate",
  [anon_sym_BSLASHcitedate_STAR] = "\\citedate*",
  [anon_sym_BSLASHciteurl] = "\\citeurl",
  [anon_sym_BSLASHfullcite] = "\\fullcite",
  [anon_sym_BSLASHciteyearpar] = "\\citeyearpar",
  [anon_sym_BSLASHcitealt] = "\\citealt",
  [anon_sym_BSLASHcitealp] = "\\citealp",
  [anon_sym_BSLASHcitetext] = "\\citetext",
  [anon_sym_BSLASHparencite] = "\\parencite",
  [anon_sym_BSLASHparencite_STAR] = "\\parencite*",
  [anon_sym_BSLASHParencite] = "\\Parencite",
  [anon_sym_BSLASHfootcite] = "\\footcite",
  [anon_sym_BSLASHfootfullcite] = "\\footfullcite",
  [anon_sym_BSLASHfootcitetext] = "\\footcitetext",
  [anon_sym_BSLASHtextcite] = "\\textcite",
  [anon_sym_BSLASHTextcite] = "\\Textcite",
  [anon_sym_BSLASHsmartcite] = "\\smartcite",
  [anon_sym_BSLASHSmartcite] = "\\Smartcite",
  [anon_sym_BSLASHsupercite] = "\\supercite",
  [anon_sym_BSLASHautocite] = "\\autocite",
  [anon_sym_BSLASHAutocite] = "\\Autocite",
  [anon_sym_BSLASHautocite_STAR] = "\\autocite*",
  [anon_sym_BSLASHAutocite_STAR] = "\\Autocite*",
  [anon_sym_BSLASHvolcite] = "\\volcite",
  [anon_sym_BSLASHVolcite] = "\\Volcite",
  [anon_sym_BSLASHpvolcite] = "\\pvolcite",
  [anon_sym_BSLASHPvolcite] = "\\Pvolcite",
  [anon_sym_BSLASHfvolcite] = "\\fvolcite",
  [anon_sym_BSLASHftvolcite] = "\\ftvolcite",
  [anon_sym_BSLASHsvolcite] = "\\svolcite",
  [anon_sym_BSLASHSvolcite] = "\\Svolcite",
  [anon_sym_BSLASHtvolcite] = "\\tvolcite",
  [anon_sym_BSLASHTvolcite] = "\\Tvolcite",
  [anon_sym_BSLASHavolcite] = "\\avolcite",
  [anon_sym_BSLASHAvolcite] = "\\Avolcite",
  [anon_sym_BSLASHnotecite] = "\\notecite",
  [anon_sym_BSLASHNotecite] = "\\Notecite",
  [anon_sym_BSLASHpnotecite] = "\\pnotecite",
  [anon_sym_BSLASHPnotecite] = "\\Pnotecite",
  [anon_sym_BSLASHfnotecite] = "\\fnotecite",
  [anon_sym_BSLASHlabel] = "\\label",
  [anon_sym_BSLASHref] = "\\ref",
  [anon_sym_BSLASHeqref] = "\\eqref",
  [anon_sym_BSLASHvref] = "\\vref",
  [anon_sym_BSLASHVref] = "\\Vref",
  [anon_sym_BSLASHautoref] = "\\autoref",
  [anon_sym_BSLASHautoref_STAR] = "\\autoref*",
  [anon_sym_BSLASHpageref] = "\\pageref",
  [anon_sym_BSLASHpageref_STAR] = "\\pageref*",
  [anon_sym_BSLASHautopageref] = "\\autopageref",
  [anon_sym_BSLASHautopageref_STAR] = "\\autopageref*",
  [anon_sym_BSLASHcref] = "\\cref",
  [anon_sym_BSLASHcref_STAR] = "\\cref*",
  [anon_sym_BSLASHCref] = "\\Cref",
  [anon_sym_BSLASHCref_STAR] = "\\Cref*",
  [anon_sym_BSLASHcpageref] = "\\cpageref",
  [anon_sym_BSLASHCpageref] = "\\Cpageref",
  [anon_sym_BSLASHnamecref] = "\\namecref",
  [anon_sym_BSLASHnameCref] = "\\nameCref",
  [anon_sym_BSLASHlcnamecref] = "\\lcnamecref",
  [anon_sym_BSLASHnamecrefs] = "\\namecrefs",
  [anon_sym_BSLASHnameCrefs] = "\\nameCrefs",
  [anon_sym_BSLASHlcnamecrefs] = "\\lcnamecrefs",
  [anon_sym_BSLASHlabelcref] = "\\labelcref",
  [anon_sym_BSLASHlabelcref_STAR] = "\\labelcref*",
  [anon_sym_BSLASHlabelcpageref] = "\\labelcpageref",
  [anon_sym_BSLASHlabelcpageref_STAR] = "\\labelcpageref*",
  [anon_sym_BSLASHcrefrange] = "\\crefrange",
  [anon_sym_BSLASHcrefrange_STAR] = "\\crefrange*",
  [anon_sym_BSLASHCrefrange] = "\\Crefrange",
  [anon_sym_BSLASHCrefrange_STAR] = "\\Crefrange*",
  [anon_sym_BSLASHcpagerefrange] = "\\cpagerefrange",
  [anon_sym_BSLASHCpagerefrange] = "\\Cpagerefrange",
  [anon_sym_BSLASHnewlabel] = "\\newlabel",
  [anon_sym_BSLASHnewcommand] = "\\newcommand",
  [anon_sym_BSLASHnewcommand_STAR] = "\\newcommand*",
  [anon_sym_BSLASHrenewcommand] = "\\renewcommand",
  [anon_sym_BSLASHrenewcommand_STAR] = "\\renewcommand*",
  [anon_sym_BSLASHprovidecommand] = "\\providecommand",
  [anon_sym_BSLASHprovidecommand_STAR] = "\\providecommand*",
  [anon_sym_BSLASHDeclareRobustCommand] = "\\DeclareRobustCommand",
  [anon_sym_BSLASHDeclareRobustCommand_STAR] = "\\DeclareRobustCommand*",
  [anon_sym_BSLASHDeclareMathOperator] = "\\DeclareMathOperator",
  [anon_sym_BSLASHDeclareMathOperator_STAR] = "\\DeclareMathOperator*",
  [anon_sym_BSLASHNewDocumentCommand] = "\\NewDocumentCommand",
  [anon_sym_BSLASHRenewDocumentCommand] = "\\RenewDocumentCommand",
  [anon_sym_BSLASHProvideDocumentCommand] = "\\ProvideDocumentCommand",
  [anon_sym_BSLASHDeclareDocumentCommand] = "\\DeclareDocumentCommand",
  [anon_sym_BSLASHNewExpandableDocumentCommand] = "\\NewExpandableDocumentCommand",
  [anon_sym_BSLASHRenewExpandableDocumentCommand] = "\\RenewExpandableDocumentCommand",
  [anon_sym_BSLASHProvideExpandableDocumentCommand] = "\\ProvideExpandableDocumentCommand",
  [anon_sym_BSLASHDeclareExpandableDocumentCommand] = "\\DeclareExpandableDocumentCommand",
  [anon_sym_BSLASHNewCommandCopy] = "\\NewCommandCopy",
  [anon_sym_BSLASHRenewCommandCopy] = "\\RenewCommandCopy",
  [anon_sym_BSLASHDeclareCommandCopy] = "\\DeclareCommandCopy",
  [anon_sym_BSLASHdef] = "\\def",
  [anon_sym_BSLASHgdef] = "\\gdef",
  [anon_sym_BSLASHedef] = "\\edef",
  [anon_sym_BSLASHxdef] = "\\xdef",
  [anon_sym_BSLASHlet] = "\\let",
  [anon_sym_BSLASHglet] = "\\glet",
  [anon_sym_BSLASHDeclarePairedDelimiter] = "\\DeclarePairedDelimiter",
  [anon_sym_BSLASHDeclarePairedDelimiterX] = "\\DeclarePairedDelimiterX",
  [anon_sym_BSLASHnewenvironment] = "\\newenvironment",
  [anon_sym_BSLASHrenewenvironment] = "\\renewenvironment",
  [anon_sym_BSLASHNewDocumentEnvironment] = "\\NewDocumentEnvironment",
  [anon_sym_BSLASHRenewDocumentEnvironment] = "\\RenewDocumentEnvironment",
  [anon_sym_BSLASHProvideDocumentEnvironment] = "\\ProvideDocumentEnvironment",
  [anon_sym_BSLASHDeclareDocumentEnvironment] = "\\DeclareDocumentEnvironment",
  [anon_sym_BSLASHNewEnvironmentCopy] = "\\NewEnvironmentCopy",
  [anon_sym_BSLASHRenewEnvironmentCopy] = "\\RenewEnvironmentCopy",
  [anon_sym_BSLASHDeclareEnvironmentCopy] = "\\DeclareEnvironmentCopy",
  [anon_sym_BSLASHnewglossaryentry] = "\\newglossaryentry",
  [anon_sym_BSLASHgls] = "\\gls",
  [anon_sym_BSLASHGls] = "\\Gls",
  [anon_sym_BSLASHGLS] = "\\GLS",
  [anon_sym_BSLASHglspl] = "\\glspl",
  [anon_sym_BSLASHGlspl] = "\\Glspl",
  [anon_sym_BSLASHGLSpl] = "\\GLSpl",
  [anon_sym_BSLASHglsdisp] = "\\glsdisp",
  [anon_sym_BSLASHglslink] = "\\glslink",
  [anon_sym_BSLASHglstext] = "\\glstext",
  [anon_sym_BSLASHGlstext] = "\\Glstext",
  [anon_sym_BSLASHGLStext] = "\\GLStext",
  [anon_sym_BSLASHglsfirst] = "\\glsfirst",
  [anon_sym_BSLASHGlsfirst] = "\\Glsfirst",
  [anon_sym_BSLASHGLSfirst] = "\\GLSfirst",
  [anon_sym_BSLASHglsplural] = "\\glsplural",
  [anon_sym_BSLASHGlsplural] = "\\Glsplural",
  [anon_sym_BSLASHGLSplural] = "\\GLSplural",
  [anon_sym_BSLASHglsfirstplural] = "\\glsfirstplural",
  [anon_sym_BSLASHGlsfirstplural] = "\\Glsfirstplural",
  [anon_sym_BSLASHGLSfirstplural] = "\\GLSfirstplural",
  [anon_sym_BSLASHglsname] = "\\glsname",
  [anon_sym_BSLASHGlsname] = "\\Glsname",
  [anon_sym_BSLASHGLSname] = "\\GLSname",
  [anon_sym_BSLASHglssymbol] = "\\glssymbol",
  [anon_sym_BSLASHGlssymbol] = "\\Glssymbol",
  [anon_sym_BSLASHglsdesc] = "\\glsdesc",
  [anon_sym_BSLASHGlsdesc] = "\\Glsdesc",
  [anon_sym_BSLASHGLSdesc] = "\\GLSdesc",
  [anon_sym_BSLASHglsuseri] = "\\glsuseri",
  [anon_sym_BSLASHGlsuseri] = "\\Glsuseri",
  [anon_sym_BSLASHGLSuseri] = "\\GLSuseri",
  [anon_sym_BSLASHglsuserii] = "\\glsuserii",
  [anon_sym_BSLASHGlsuserii] = "\\Glsuserii",
  [anon_sym_BSLASHGLSuserii] = "\\GLSuserii",
  [anon_sym_BSLASHglsuseriii] = "\\glsuseriii",
  [anon_sym_BSLASHGlsuseriii] = "\\Glsuseriii",
  [anon_sym_BSLASHGLSuseriii] = "\\GLSuseriii",
  [anon_sym_BSLASHglsuseriv] = "\\glsuseriv",
  [anon_sym_BSLASHGlsuseriv] = "\\Glsuseriv",
  [anon_sym_BSLASHGLSuseriv] = "\\GLSuseriv",
  [anon_sym_BSLASHglsuserv] = "\\glsuserv",
  [anon_sym_BSLASHGlsuserv] = "\\Glsuserv",
  [anon_sym_BSLASHGLSuserv] = "\\GLSuserv",
  [anon_sym_BSLASHglsuservi] = "\\glsuservi",
  [anon_sym_BSLASHGlsuservi] = "\\Glsuservi",
  [anon_sym_BSLASHGLSuservi] = "\\GLSuservi",
  [anon_sym_BSLASHnewacronym] = "\\newacronym",
  [anon_sym_BSLASHacrshort] = "\\acrshort",
  [anon_sym_BSLASHAcrshort] = "\\Acrshort",
  [anon_sym_BSLASHACRshort] = "\\ACRshort",
  [anon_sym_BSLASHacrshortpl] = "\\acrshortpl",
  [anon_sym_BSLASHAcrshortpl] = "\\Acrshortpl",
  [anon_sym_BSLASHACRshortpl] = "\\ACRshortpl",
  [anon_sym_BSLASHacrlong] = "\\acrlong",
  [anon_sym_BSLASHAcrlong] = "\\Acrlong",
  [anon_sym_BSLASHACRlong] = "\\ACRlong",
  [anon_sym_BSLASHacrlongpl] = "\\acrlongpl",
  [anon_sym_BSLASHAcrlongpl] = "\\Acrlongpl",
  [anon_sym_BSLASHACRlongpl] = "\\ACRlongpl",
  [anon_sym_BSLASHacrfull] = "\\acrfull",
  [anon_sym_BSLASHAcrfull] = "\\Acrfull",
  [anon_sym_BSLASHACRfull] = "\\ACRfull",
  [anon_sym_BSLASHacrfullpl] = "\\acrfullpl",
  [anon_sym_BSLASHAcrfullpl] = "\\Acrfullpl",
  [anon_sym_BSLASHACRfullpl] = "\\ACRfullpl",
  [anon_sym_BSLASHacs] = "\\acs",
  [anon_sym_BSLASHAcs] = "\\Acs",
  [anon_sym_BSLASHacsp] = "\\acsp",
  [anon_sym_BSLASHAcsp] = "\\Acsp",
  [anon_sym_BSLASHacl] = "\\acl",
  [anon_sym_BSLASHAcl] = "\\Acl",
  [anon_sym_BSLASHaclp] = "\\aclp",
  [anon_sym_BSLASHAclp] = "\\Aclp",
  [anon_sym_BSLASHacf] = "\\acf",
  [anon_sym_BSLASHAcf] = "\\Acf",
  [anon_sym_BSLASHacfp] = "\\acfp",
  [anon_sym_BSLASHAcfp] = "\\Acfp",
  [anon_sym_BSLASHac] = "\\ac",
  [anon_sym_BSLASHAc] = "\\Ac",
  [anon_sym_BSLASHacp] = "\\acp",
  [anon_sym_BSLASHglsentrylong] = "\\glsentrylong",
  [anon_sym_BSLASHGlsentrylong] = "\\Glsentrylong",
  [anon_sym_BSLASHglsentrylongpl] = "\\glsentrylongpl",
  [anon_sym_BSLASHGlsentrylongpl] = "\\Glsentrylongpl",
  [anon_sym_BSLASHglsentryshort] = "\\glsentryshort",
  [anon_sym_BSLASHGlsentryshort] = "\\Glsentryshort",
  [anon_sym_BSLASHglsentryshortpl] = "\\glsentryshortpl",
  [anon_sym_BSLASHGlsentryshortpl] = "\\Glsentryshortpl",
  [anon_sym_BSLASHglsentryfullpl] = "\\glsentryfullpl",
  [anon_sym_BSLASHGlsentryfullpl] = "\\Glsentryfullpl",
  [anon_sym_BSLASHnewtheorem] = "\\newtheorem",
  [anon_sym_BSLASHnewtheorem_STAR] = "\\newtheorem*",
  [anon_sym_BSLASHdeclaretheorem] = "\\declaretheorem",
  [anon_sym_BSLASHdeclaretheorem_STAR] = "\\declaretheorem*",
  [anon_sym_BSLASHdefinecolor] = "\\definecolor",
  [anon_sym_BSLASHdefinecolorset] = "\\definecolorset",
  [anon_sym_BSLASHcolor] = "\\color",
  [anon_sym_BSLASHpagecolor] = "\\pagecolor",
  [anon_sym_BSLASHtextcolor] = "\\textcolor",
  [anon_sym_BSLASHmathcolor] = "\\mathcolor",
  [anon_sym_BSLASHcolorbox] = "\\colorbox",
  [anon_sym_BSLASHusepgflibrary] = "\\usepgflibrary",
  [anon_sym_BSLASHusetikzlibrary] = "\\usetikzlibrary",
  [anon_sym_BSLASHurl] = "\\url",
  [anon_sym_BSLASHhref] = "\\href",
  [sym__trivia_raw_fi] = "comment",
  [sym__trivia_raw_env_comment] = "comment",
  [sym__trivia_raw_env_verbatim] = "comment",
  [sym__trivia_raw_env_listing] = "source_code",
  [sym__trivia_raw_env_minted] = "source_code",
  [sym__trivia_raw_env_asy] = "source_code",
  [sym__trivia_raw_env_asydef] = "source_code",
  [sym__trivia_raw_env_pycode] = "source_code",
  [sym__trivia_raw_env_luacode] = "source_code",
  [sym__trivia_raw_env_luacode_star] = "source_code",
  [sym__trivia_raw_env_sagesilent] = "source_code",
  [sym__trivia_raw_env_sageblock] = "source_code",
  [sym_source_file] = "source_file",
  [sym_block_comment] = "block_comment",
  [sym__root_content] = "_root_content",
  [sym__flat_content] = "_flat_content",
  [sym__text_with_env_content] = "_text_with_env_content",
  [sym__text_content] = "_text_content",
  [sym__section] = "_section",
  [sym__paragraph] = "_paragraph",
  [sym__section_part] = "_section_part",
  [sym__part_declaration] = "_part_declaration",
  [sym_part] = "part",
  [sym__chapter_declaration] = "_chapter_declaration",
  [sym_chapter] = "chapter",
  [sym__section_declaration] = "_section_declaration",
  [sym_section] = "section",
  [sym__subsection_declaration] = "_subsection_declaration",
  [sym_subsection] = "subsection",
  [sym__subsubsection_declaration] = "_subsubsection_declaration",
  [sym_subsubsection] = "subsubsection",
  [sym__paragraph_declaration] = "_paragraph_declaration",
  [sym_paragraph] = "paragraph",
  [sym__subparagraph_declaration] = "_subparagraph_declaration",
  [sym_subparagraph] = "subparagraph",
  [sym__enum_itemdeclaration] = "_enum_itemdeclaration",
  [sym_enum_item] = "enum_item",
  [sym_curly_group] = "curly_group",
  [sym_curly_group_text] = "curly_group_text",
  [sym_curly_group_spec] = "curly_group_spec",
  [sym_curly_group_text_list] = "curly_group_text_list",
  [sym_curly_group_path] = "curly_group_path",
  [sym_curly_group_path_list] = "curly_group_path_list",
  [sym_curly_group_uri] = "curly_group_uri",
  [sym_curly_group_command_name] = "curly_group_command_name",
  [sym_curly_group_key_value] = "curly_group_key_value",
  [sym_curly_group_glob_pattern] = "curly_group_glob_pattern",
  [sym_curly_group_impl] = "curly_group_impl",
  [sym_curly_group_author_list] = "curly_group_author_list",
  [sym_brack_group] = "brack_group",
  [sym_brack_group_text] = "brack_group_text",
  [sym_brack_group_argc] = "brack_group_argc",
  [sym_brack_group_key_value] = "brack_group_key_value",
  [sym_text] = "text",
  [sym_glob_pattern] = "glob_pattern",
  [sym__glob_pattern_fragment] = "_glob_pattern_fragment",
  [sym_operator] = "operator",
  [sym_subscript] = "subscript",
  [sym_superscript] = "superscript",
  [sym_key_value_pair] = "key_value_pair",
  [sym_value] = "value",
  [sym__math_content] = "_math_content",
  [sym_displayed_equation] = "displayed_equation",
  [sym_inline_formula] = "inline_formula",
  [sym__math_delimiter_part] = "_math_delimiter_part",
  [sym_math_delimiter] = "math_delimiter",
  [sym_text_mode] = "text_mode",
  [sym_begin] = "begin",
  [sym_end] = "end",
  [sym_generic_environment] = "generic_environment",
  [sym_comment_environment] = "comment_environment",
  [sym__comment_environment_begin] = "begin",
  [sym__comment_environment_end] = "end",
  [sym__comment_environment_group] = "curly_group_text",
  [sym__comment_environment_name] = "text",
  [sym_verbatim_environment] = "verbatim_environment",
  [sym__verbatim_environment_begin] = "begin",
  [sym__verbatim_environment_end] = "end",
  [sym__verbatim_environment_group] = "curly_group_text",
  [sym__verbatim_environment_name] = "text",
  [sym_listing_environment] = "listing_environment",
  [sym__listing_environment_begin] = "begin",
  [sym__listing_environment_end] = "end",
  [sym__listing_environment_group] = "curly_group_text",
  [sym__listing_environment_name] = "text",
  [sym_minted_environment] = "minted_environment",
  [sym__minted_environment_begin] = "begin",
  [sym__minted_environment_end] = "end",
  [sym__minted_environment_group] = "curly_group_text",
  [sym__minted_environment_name] = "text",
  [sym_asy_environment] = "asy_environment",
  [sym__asy_environment_begin] = "begin",
  [sym__asy_environment_end] = "end",
  [sym__asy_environment_group] = "curly_group_text",
  [sym__asy_environment_name] = "text",
  [sym_asydef_environment] = "asydef_environment",
  [sym__asydef_environment_begin] = "begin",
  [sym__asydef_environment_end] = "end",
  [sym__asydef_environment_group] = "curly_group_text",
  [sym__asydef_environment_name] = "text",
  [sym_pycode_environment] = "pycode_environment",
  [sym__pycode_environment_begin] = "begin",
  [sym__pycode_environment_end] = "end",
  [sym__pycode_environment_group] = "curly_group_text",
  [sym__pycode_environment_name] = "text",
  [sym_luacode_environment] = "luacode_environment",
  [sym__luacode_environment] = "_luacode_environment",
  [sym___luacode_environment_begin] = "begin",
  [sym___luacode_environment_end] = "end",
  [sym___luacode_environment_group] = "curly_group_text",
  [sym___luacode_environment_name] = "text",
  [sym__luacode_environment_star] = "_luacode_environment_star",
  [sym___luacode_environment_star_begin] = "begin",
  [sym___luacode_environment_star_end] = "end",
  [sym___luacode_environment_star_group] = "curly_group_text",
  [sym___luacode_environment_star_name] = "text",
  [sym_sagesilent_environment] = "sagesilent_environment",
  [sym__sagesilent_environment_begin] = "begin",
  [sym__sagesilent_environment_end] = "end",
  [sym__sagesilent_environment_group] = "curly_group_text",
  [sym__sagesilent_environment_name] = "text",
  [sym_sageblock_environment] = "sageblock_environment",
  [sym__sageblock_environment_begin] = "begin",
  [sym__sageblock_environment_end] = "end",
  [sym__sageblock_environment_group] = "curly_group_text",
  [sym__sageblock_environment_name] = "text",
  [sym_math_environment] = "math_environment",
  [sym__math_environment_begin] = "begin",
  [sym__math_environment_end] = "end",
  [sym__math_environment_group] = "curly_group_text",
  [sym__math_environment_name] = "text",
  [sym__command] = "_command",
  [sym_generic_command] = "generic_command",
  [sym_title_declaration] = "title_declaration",
  [sym_author_declaration] = "author_declaration",
  [sym_package_include] = "package_include",
  [sym_class_include] = "class_include",
  [sym_latex_include] = "latex_include",
  [sym_biblatex_include] = "biblatex_include",
  [sym_bibstyle_include] = "bibstyle_include",
  [sym_bibtex_include] = "bibtex_include",
  [sym_graphics_include] = "graphics_include",
  [sym_svg_include] = "svg_include",
  [sym_inkscape_include] = "inkscape_include",
  [sym_verbatim_include] = "verbatim_include",
  [sym_import_include] = "import_include",
  [sym_caption] = "caption",
  [sym_citation] = "citation",
  [sym_label_definition] = "label_definition",
  [sym_label_reference] = "label_reference",
  [sym_label_reference_range] = "label_reference_range",
  [sym_label_number] = "label_number",
  [sym_new_command_definition] = "new_command_definition",
  [sym__new_command_definition] = "_new_command_definition",
  [sym__newer_command_definition] = "_newer_command_definition",
  [sym__new_command_copy] = "_new_command_copy",
  [sym_old_command_definition] = "old_command_definition",
  [sym_let_command_definition] = "let_command_definition",
  [sym_paired_delimiter_definition] = "paired_delimiter_definition",
  [sym_environment_definition] = "environment_definition",
  [sym__environment_definition] = "_environment_definition",
  [sym__newer_environment_definition] = "_newer_environment_definition",
  [sym__new_environment_copy] = "_new_environment_copy",
  [sym_glossary_entry_definition] = "glossary_entry_definition",
  [sym_glossary_entry_reference] = "glossary_entry_reference",
  [sym_acronym_definition] = "acronym_definition",
  [sym_acronym_reference] = "acronym_reference",
  [sym_theorem_definition] = "theorem_definition",
  [sym_color_definition] = "color_definition",
  [sym_color_set_definition] = "color_set_definition",
  [sym_color_reference] = "color_reference",
  [sym_tikz_library_import] = "tikz_library_import",
  [sym_hyperlink] = "hyperlink",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym__section_repeat1] = "_section_repeat1",
  [aux_sym__section_repeat2] = "_section_repeat2",
  [aux_sym__section_repeat3] = "_section_repeat3",
  [aux_sym__section_repeat4] = "_section_repeat4",
  [aux_sym__section_repeat5] = "_section_repeat5",
  [aux_sym__paragraph_repeat1] = "_paragraph_repeat1",
  [aux_sym__paragraph_repeat2] = "_paragraph_repeat2",
  [aux_sym__paragraph_repeat3] = "_paragraph_repeat3",
  [aux_sym_part_repeat1] = "part_repeat1",
  [aux_sym_curly_group_spec_repeat1] = "curly_group_spec_repeat1",
  [aux_sym_curly_group_text_list_repeat1] = "curly_group_text_list_repeat1",
  [aux_sym_curly_group_path_list_repeat1] = "curly_group_path_list_repeat1",
  [aux_sym_curly_group_key_value_repeat1] = "curly_group_key_value_repeat1",
  [aux_sym_curly_group_impl_repeat1] = "curly_group_impl_repeat1",
  [aux_sym_curly_group_author_list_repeat1] = "curly_group_author_list_repeat1",
  [aux_sym_curly_group_author_list_repeat2] = "curly_group_author_list_repeat2",
  [aux_sym_brack_group_repeat1] = "brack_group_repeat1",
  [aux_sym_text_repeat1] = "text_repeat1",
  [aux_sym_glob_pattern_repeat1] = "glob_pattern_repeat1",
  [aux_sym_value_repeat1] = "value_repeat1",
  [aux_sym_generic_command_repeat1] = "generic_command_repeat1",
  [alias_sym_author] = "author",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_command_name] = sym_command_name,
  [sym__whitespace] = sym__whitespace,
  [sym_line_comment] = sym_line_comment,
  [anon_sym_BSLASHiffalse] = anon_sym_BSLASHiffalse,
  [anon_sym_BSLASHfi] = anon_sym_BSLASHfi,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_BSLASHpart] = anon_sym_BSLASHpart,
  [anon_sym_BSLASHpart_STAR] = anon_sym_BSLASHpart_STAR,
  [anon_sym_BSLASHaddpart] = anon_sym_BSLASHaddpart,
  [anon_sym_BSLASHaddpart_STAR] = anon_sym_BSLASHaddpart_STAR,
  [anon_sym_BSLASHchapter] = anon_sym_BSLASHchapter,
  [anon_sym_BSLASHchapter_STAR] = anon_sym_BSLASHchapter_STAR,
  [anon_sym_BSLASHaddchap] = anon_sym_BSLASHaddchap,
  [anon_sym_BSLASHaddchap_STAR] = anon_sym_BSLASHaddchap_STAR,
  [anon_sym_BSLASHsection] = anon_sym_BSLASHsection,
  [anon_sym_BSLASHsection_STAR] = anon_sym_BSLASHsection_STAR,
  [anon_sym_BSLASHaddsec] = anon_sym_BSLASHaddsec,
  [anon_sym_BSLASHaddsec_STAR] = anon_sym_BSLASHaddsec_STAR,
  [anon_sym_BSLASHsubsection] = anon_sym_BSLASHsubsection,
  [anon_sym_BSLASHsubsection_STAR] = anon_sym_BSLASHsubsection_STAR,
  [anon_sym_BSLASHsubsubsection] = anon_sym_BSLASHsubsubsection,
  [anon_sym_BSLASHsubsubsection_STAR] = anon_sym_BSLASHsubsubsection_STAR,
  [anon_sym_BSLASHparagraph] = anon_sym_BSLASHparagraph,
  [anon_sym_BSLASHparagraph_STAR] = anon_sym_BSLASHparagraph_STAR,
  [anon_sym_BSLASHsubparagraph] = anon_sym_BSLASHsubparagraph,
  [anon_sym_BSLASHsubparagraph_STAR] = anon_sym_BSLASHsubparagraph_STAR,
  [anon_sym_BSLASHitem] = anon_sym_BSLASHitem,
  [anon_sym_BSLASHitem_STAR] = anon_sym_BSLASHitem_STAR,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_BSLASHand] = sym_command_name,
  [sym_word] = sym_word,
  [sym_placeholder] = sym_placeholder,
  [sym_delimiter] = sym_delimiter,
  [sym_path] = sym_path,
  [sym_uri] = sym_uri,
  [sym_argc] = sym_argc,
  [aux_sym__glob_pattern_fragment_token1] = aux_sym__glob_pattern_fragment_token1,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_letter] = sym_letter,
  [anon_sym__] = anon_sym__,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_DOLLAR_DOLLAR] = anon_sym_DOLLAR_DOLLAR,
  [anon_sym_BSLASH_LBRACK] = anon_sym_BSLASH_LBRACK,
  [anon_sym_BSLASH_RBRACK] = anon_sym_BSLASH_RBRACK,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_BSLASH_LPAREN] = anon_sym_BSLASH_LPAREN,
  [anon_sym_BSLASH_RPAREN] = anon_sym_BSLASH_RPAREN,
  [anon_sym_BSLASHleft] = anon_sym_BSLASHleft,
  [anon_sym_BSLASHbigl] = anon_sym_BSLASHbigl,
  [anon_sym_BSLASHBigl] = anon_sym_BSLASHBigl,
  [anon_sym_BSLASHbiggl] = anon_sym_BSLASHbiggl,
  [anon_sym_BSLASHBiggl] = anon_sym_BSLASHBiggl,
  [anon_sym_BSLASHright] = anon_sym_BSLASHright,
  [anon_sym_BSLASHbigr] = anon_sym_BSLASHbigr,
  [anon_sym_BSLASHBigr] = anon_sym_BSLASHBigr,
  [anon_sym_BSLASHbiggr] = anon_sym_BSLASHbiggr,
  [anon_sym_BSLASHBiggr] = anon_sym_BSLASHBiggr,
  [anon_sym_BSLASHtext] = anon_sym_BSLASHtext,
  [anon_sym_BSLASHintertext] = anon_sym_BSLASHintertext,
  [anon_sym_BSLASHshortintertext] = anon_sym_BSLASHshortintertext,
  [anon_sym_BSLASHbegin] = anon_sym_BSLASHbegin,
  [anon_sym_BSLASHend] = anon_sym_BSLASHend,
  [anon_sym_comment] = sym_word,
  [anon_sym_verbatim] = sym_word,
  [anon_sym_lstlisting] = sym_word,
  [anon_sym_minted] = sym_word,
  [anon_sym_asy] = sym_word,
  [anon_sym_asydef] = sym_word,
  [anon_sym_pycode] = sym_word,
  [anon_sym_luacode] = sym_word,
  [anon_sym_luacode_STAR] = sym_word,
  [anon_sym_sagesilent] = sym_word,
  [anon_sym_sageblock] = sym_word,
  [anon_sym_math] = sym_word,
  [anon_sym_displaymath] = sym_word,
  [anon_sym_displaymath_STAR] = sym_word,
  [anon_sym_equation] = sym_word,
  [anon_sym_equation_STAR] = sym_word,
  [anon_sym_multline] = sym_word,
  [anon_sym_multline_STAR] = sym_word,
  [anon_sym_eqnarray] = sym_word,
  [anon_sym_eqnarray_STAR] = sym_word,
  [anon_sym_align] = sym_word,
  [anon_sym_align_STAR] = sym_word,
  [anon_sym_aligned] = sym_word,
  [anon_sym_aligned_STAR] = sym_word,
  [anon_sym_array] = sym_word,
  [anon_sym_array_STAR] = sym_word,
  [anon_sym_split] = sym_word,
  [anon_sym_split_STAR] = sym_word,
  [anon_sym_alignat] = sym_word,
  [anon_sym_alignat_STAR] = sym_word,
  [anon_sym_alignedat] = sym_word,
  [anon_sym_alignedat_STAR] = sym_word,
  [anon_sym_gather] = sym_word,
  [anon_sym_gather_STAR] = sym_word,
  [anon_sym_gathered] = sym_word,
  [anon_sym_gathered_STAR] = sym_word,
  [anon_sym_flalign] = sym_word,
  [anon_sym_flalign_STAR] = sym_word,
  [anon_sym_BSLASHtitle] = anon_sym_BSLASHtitle,
  [anon_sym_BSLASHauthor] = anon_sym_BSLASHauthor,
  [anon_sym_BSLASHusepackage] = anon_sym_BSLASHusepackage,
  [anon_sym_BSLASHRequirePackage] = anon_sym_BSLASHRequirePackage,
  [anon_sym_BSLASHdocumentclass] = anon_sym_BSLASHdocumentclass,
  [anon_sym_BSLASHinclude] = anon_sym_BSLASHinclude,
  [anon_sym_BSLASHsubfileinclude] = anon_sym_BSLASHsubfileinclude,
  [anon_sym_BSLASHinput] = anon_sym_BSLASHinput,
  [anon_sym_BSLASHsubfile] = anon_sym_BSLASHsubfile,
  [anon_sym_BSLASHaddbibresource] = anon_sym_BSLASHaddbibresource,
  [anon_sym_BSLASHbibliographystyle] = anon_sym_BSLASHbibliographystyle,
  [anon_sym_BSLASHbibliography] = anon_sym_BSLASHbibliography,
  [anon_sym_BSLASHincludegraphics] = anon_sym_BSLASHincludegraphics,
  [anon_sym_BSLASHincludesvg] = anon_sym_BSLASHincludesvg,
  [anon_sym_BSLASHincludeinkscape] = anon_sym_BSLASHincludeinkscape,
  [anon_sym_BSLASHverbatiminput] = anon_sym_BSLASHverbatiminput,
  [anon_sym_BSLASHVerbatimInput] = anon_sym_BSLASHVerbatimInput,
  [anon_sym_BSLASHimport] = anon_sym_BSLASHimport,
  [anon_sym_BSLASHsubimport] = anon_sym_BSLASHsubimport,
  [anon_sym_BSLASHinputfrom] = anon_sym_BSLASHinputfrom,
  [anon_sym_BSLASHsubimportfrom] = anon_sym_BSLASHsubimportfrom,
  [anon_sym_BSLASHincludefrom] = anon_sym_BSLASHincludefrom,
  [anon_sym_BSLASHsubincludefrom] = anon_sym_BSLASHsubincludefrom,
  [anon_sym_BSLASHcaption] = anon_sym_BSLASHcaption,
  [anon_sym_BSLASHcite] = anon_sym_BSLASHcite,
  [anon_sym_BSLASHcite_STAR] = anon_sym_BSLASHcite_STAR,
  [anon_sym_BSLASHCite] = anon_sym_BSLASHCite,
  [anon_sym_BSLASHnocite] = anon_sym_BSLASHnocite,
  [anon_sym_BSLASHcitet] = anon_sym_BSLASHcitet,
  [anon_sym_BSLASHcitep] = anon_sym_BSLASHcitep,
  [anon_sym_BSLASHcitet_STAR] = anon_sym_BSLASHcitet_STAR,
  [anon_sym_BSLASHcitep_STAR] = anon_sym_BSLASHcitep_STAR,
  [anon_sym_BSLASHciteA] = anon_sym_BSLASHciteA,
  [anon_sym_BSLASHciteR] = anon_sym_BSLASHciteR,
  [anon_sym_BSLASHciteS] = anon_sym_BSLASHciteS,
  [anon_sym_BSLASHciteyearR] = anon_sym_BSLASHciteyearR,
  [anon_sym_BSLASHciteauthor] = anon_sym_BSLASHciteauthor,
  [anon_sym_BSLASHciteauthor_STAR] = anon_sym_BSLASHciteauthor_STAR,
  [anon_sym_BSLASHCiteauthor] = anon_sym_BSLASHCiteauthor,
  [anon_sym_BSLASHCiteauthor_STAR] = anon_sym_BSLASHCiteauthor_STAR,
  [anon_sym_BSLASHcitetitle] = anon_sym_BSLASHcitetitle,
  [anon_sym_BSLASHcitetitle_STAR] = anon_sym_BSLASHcitetitle_STAR,
  [anon_sym_BSLASHciteyear] = anon_sym_BSLASHciteyear,
  [anon_sym_BSLASHciteyear_STAR] = anon_sym_BSLASHciteyear_STAR,
  [anon_sym_BSLASHcitedate] = anon_sym_BSLASHcitedate,
  [anon_sym_BSLASHcitedate_STAR] = anon_sym_BSLASHcitedate_STAR,
  [anon_sym_BSLASHciteurl] = anon_sym_BSLASHciteurl,
  [anon_sym_BSLASHfullcite] = anon_sym_BSLASHfullcite,
  [anon_sym_BSLASHciteyearpar] = anon_sym_BSLASHciteyearpar,
  [anon_sym_BSLASHcitealt] = anon_sym_BSLASHcitealt,
  [anon_sym_BSLASHcitealp] = anon_sym_BSLASHcitealp,
  [anon_sym_BSLASHcitetext] = anon_sym_BSLASHcitetext,
  [anon_sym_BSLASHparencite] = anon_sym_BSLASHparencite,
  [anon_sym_BSLASHparencite_STAR] = anon_sym_BSLASHparencite_STAR,
  [anon_sym_BSLASHParencite] = anon_sym_BSLASHParencite,
  [anon_sym_BSLASHfootcite] = anon_sym_BSLASHfootcite,
  [anon_sym_BSLASHfootfullcite] = anon_sym_BSLASHfootfullcite,
  [anon_sym_BSLASHfootcitetext] = anon_sym_BSLASHfootcitetext,
  [anon_sym_BSLASHtextcite] = anon_sym_BSLASHtextcite,
  [anon_sym_BSLASHTextcite] = anon_sym_BSLASHTextcite,
  [anon_sym_BSLASHsmartcite] = anon_sym_BSLASHsmartcite,
  [anon_sym_BSLASHSmartcite] = anon_sym_BSLASHSmartcite,
  [anon_sym_BSLASHsupercite] = anon_sym_BSLASHsupercite,
  [anon_sym_BSLASHautocite] = anon_sym_BSLASHautocite,
  [anon_sym_BSLASHAutocite] = anon_sym_BSLASHAutocite,
  [anon_sym_BSLASHautocite_STAR] = anon_sym_BSLASHautocite_STAR,
  [anon_sym_BSLASHAutocite_STAR] = anon_sym_BSLASHAutocite_STAR,
  [anon_sym_BSLASHvolcite] = anon_sym_BSLASHvolcite,
  [anon_sym_BSLASHVolcite] = anon_sym_BSLASHVolcite,
  [anon_sym_BSLASHpvolcite] = anon_sym_BSLASHpvolcite,
  [anon_sym_BSLASHPvolcite] = anon_sym_BSLASHPvolcite,
  [anon_sym_BSLASHfvolcite] = anon_sym_BSLASHfvolcite,
  [anon_sym_BSLASHftvolcite] = anon_sym_BSLASHftvolcite,
  [anon_sym_BSLASHsvolcite] = anon_sym_BSLASHsvolcite,
  [anon_sym_BSLASHSvolcite] = anon_sym_BSLASHSvolcite,
  [anon_sym_BSLASHtvolcite] = anon_sym_BSLASHtvolcite,
  [anon_sym_BSLASHTvolcite] = anon_sym_BSLASHTvolcite,
  [anon_sym_BSLASHavolcite] = anon_sym_BSLASHavolcite,
  [anon_sym_BSLASHAvolcite] = anon_sym_BSLASHAvolcite,
  [anon_sym_BSLASHnotecite] = anon_sym_BSLASHnotecite,
  [anon_sym_BSLASHNotecite] = anon_sym_BSLASHNotecite,
  [anon_sym_BSLASHpnotecite] = anon_sym_BSLASHpnotecite,
  [anon_sym_BSLASHPnotecite] = anon_sym_BSLASHPnotecite,
  [anon_sym_BSLASHfnotecite] = anon_sym_BSLASHfnotecite,
  [anon_sym_BSLASHlabel] = anon_sym_BSLASHlabel,
  [anon_sym_BSLASHref] = anon_sym_BSLASHref,
  [anon_sym_BSLASHeqref] = anon_sym_BSLASHeqref,
  [anon_sym_BSLASHvref] = anon_sym_BSLASHvref,
  [anon_sym_BSLASHVref] = anon_sym_BSLASHVref,
  [anon_sym_BSLASHautoref] = anon_sym_BSLASHautoref,
  [anon_sym_BSLASHautoref_STAR] = anon_sym_BSLASHautoref_STAR,
  [anon_sym_BSLASHpageref] = anon_sym_BSLASHpageref,
  [anon_sym_BSLASHpageref_STAR] = anon_sym_BSLASHpageref_STAR,
  [anon_sym_BSLASHautopageref] = anon_sym_BSLASHautopageref,
  [anon_sym_BSLASHautopageref_STAR] = anon_sym_BSLASHautopageref_STAR,
  [anon_sym_BSLASHcref] = anon_sym_BSLASHcref,
  [anon_sym_BSLASHcref_STAR] = anon_sym_BSLASHcref_STAR,
  [anon_sym_BSLASHCref] = anon_sym_BSLASHCref,
  [anon_sym_BSLASHCref_STAR] = anon_sym_BSLASHCref_STAR,
  [anon_sym_BSLASHcpageref] = anon_sym_BSLASHcpageref,
  [anon_sym_BSLASHCpageref] = anon_sym_BSLASHCpageref,
  [anon_sym_BSLASHnamecref] = anon_sym_BSLASHnamecref,
  [anon_sym_BSLASHnameCref] = anon_sym_BSLASHnameCref,
  [anon_sym_BSLASHlcnamecref] = anon_sym_BSLASHlcnamecref,
  [anon_sym_BSLASHnamecrefs] = anon_sym_BSLASHnamecrefs,
  [anon_sym_BSLASHnameCrefs] = anon_sym_BSLASHnameCrefs,
  [anon_sym_BSLASHlcnamecrefs] = anon_sym_BSLASHlcnamecrefs,
  [anon_sym_BSLASHlabelcref] = anon_sym_BSLASHlabelcref,
  [anon_sym_BSLASHlabelcref_STAR] = anon_sym_BSLASHlabelcref_STAR,
  [anon_sym_BSLASHlabelcpageref] = anon_sym_BSLASHlabelcpageref,
  [anon_sym_BSLASHlabelcpageref_STAR] = anon_sym_BSLASHlabelcpageref_STAR,
  [anon_sym_BSLASHcrefrange] = anon_sym_BSLASHcrefrange,
  [anon_sym_BSLASHcrefrange_STAR] = anon_sym_BSLASHcrefrange_STAR,
  [anon_sym_BSLASHCrefrange] = anon_sym_BSLASHCrefrange,
  [anon_sym_BSLASHCrefrange_STAR] = anon_sym_BSLASHCrefrange_STAR,
  [anon_sym_BSLASHcpagerefrange] = anon_sym_BSLASHcpagerefrange,
  [anon_sym_BSLASHCpagerefrange] = anon_sym_BSLASHCpagerefrange,
  [anon_sym_BSLASHnewlabel] = anon_sym_BSLASHnewlabel,
  [anon_sym_BSLASHnewcommand] = anon_sym_BSLASHnewcommand,
  [anon_sym_BSLASHnewcommand_STAR] = anon_sym_BSLASHnewcommand_STAR,
  [anon_sym_BSLASHrenewcommand] = anon_sym_BSLASHrenewcommand,
  [anon_sym_BSLASHrenewcommand_STAR] = anon_sym_BSLASHrenewcommand_STAR,
  [anon_sym_BSLASHprovidecommand] = anon_sym_BSLASHprovidecommand,
  [anon_sym_BSLASHprovidecommand_STAR] = anon_sym_BSLASHprovidecommand_STAR,
  [anon_sym_BSLASHDeclareRobustCommand] = anon_sym_BSLASHDeclareRobustCommand,
  [anon_sym_BSLASHDeclareRobustCommand_STAR] = anon_sym_BSLASHDeclareRobustCommand_STAR,
  [anon_sym_BSLASHDeclareMathOperator] = anon_sym_BSLASHDeclareMathOperator,
  [anon_sym_BSLASHDeclareMathOperator_STAR] = anon_sym_BSLASHDeclareMathOperator_STAR,
  [anon_sym_BSLASHNewDocumentCommand] = anon_sym_BSLASHNewDocumentCommand,
  [anon_sym_BSLASHRenewDocumentCommand] = anon_sym_BSLASHRenewDocumentCommand,
  [anon_sym_BSLASHProvideDocumentCommand] = anon_sym_BSLASHProvideDocumentCommand,
  [anon_sym_BSLASHDeclareDocumentCommand] = anon_sym_BSLASHDeclareDocumentCommand,
  [anon_sym_BSLASHNewExpandableDocumentCommand] = anon_sym_BSLASHNewExpandableDocumentCommand,
  [anon_sym_BSLASHRenewExpandableDocumentCommand] = anon_sym_BSLASHRenewExpandableDocumentCommand,
  [anon_sym_BSLASHProvideExpandableDocumentCommand] = anon_sym_BSLASHProvideExpandableDocumentCommand,
  [anon_sym_BSLASHDeclareExpandableDocumentCommand] = anon_sym_BSLASHDeclareExpandableDocumentCommand,
  [anon_sym_BSLASHNewCommandCopy] = anon_sym_BSLASHNewCommandCopy,
  [anon_sym_BSLASHRenewCommandCopy] = anon_sym_BSLASHRenewCommandCopy,
  [anon_sym_BSLASHDeclareCommandCopy] = anon_sym_BSLASHDeclareCommandCopy,
  [anon_sym_BSLASHdef] = anon_sym_BSLASHdef,
  [anon_sym_BSLASHgdef] = anon_sym_BSLASHgdef,
  [anon_sym_BSLASHedef] = anon_sym_BSLASHedef,
  [anon_sym_BSLASHxdef] = anon_sym_BSLASHxdef,
  [anon_sym_BSLASHlet] = anon_sym_BSLASHlet,
  [anon_sym_BSLASHglet] = anon_sym_BSLASHglet,
  [anon_sym_BSLASHDeclarePairedDelimiter] = anon_sym_BSLASHDeclarePairedDelimiter,
  [anon_sym_BSLASHDeclarePairedDelimiterX] = anon_sym_BSLASHDeclarePairedDelimiterX,
  [anon_sym_BSLASHnewenvironment] = anon_sym_BSLASHnewenvironment,
  [anon_sym_BSLASHrenewenvironment] = anon_sym_BSLASHrenewenvironment,
  [anon_sym_BSLASHNewDocumentEnvironment] = anon_sym_BSLASHNewDocumentEnvironment,
  [anon_sym_BSLASHRenewDocumentEnvironment] = anon_sym_BSLASHRenewDocumentEnvironment,
  [anon_sym_BSLASHProvideDocumentEnvironment] = anon_sym_BSLASHProvideDocumentEnvironment,
  [anon_sym_BSLASHDeclareDocumentEnvironment] = anon_sym_BSLASHDeclareDocumentEnvironment,
  [anon_sym_BSLASHNewEnvironmentCopy] = anon_sym_BSLASHNewEnvironmentCopy,
  [anon_sym_BSLASHRenewEnvironmentCopy] = anon_sym_BSLASHRenewEnvironmentCopy,
  [anon_sym_BSLASHDeclareEnvironmentCopy] = anon_sym_BSLASHDeclareEnvironmentCopy,
  [anon_sym_BSLASHnewglossaryentry] = anon_sym_BSLASHnewglossaryentry,
  [anon_sym_BSLASHgls] = anon_sym_BSLASHgls,
  [anon_sym_BSLASHGls] = anon_sym_BSLASHGls,
  [anon_sym_BSLASHGLS] = anon_sym_BSLASHGLS,
  [anon_sym_BSLASHglspl] = anon_sym_BSLASHglspl,
  [anon_sym_BSLASHGlspl] = anon_sym_BSLASHGlspl,
  [anon_sym_BSLASHGLSpl] = anon_sym_BSLASHGLSpl,
  [anon_sym_BSLASHglsdisp] = anon_sym_BSLASHglsdisp,
  [anon_sym_BSLASHglslink] = anon_sym_BSLASHglslink,
  [anon_sym_BSLASHglstext] = anon_sym_BSLASHglstext,
  [anon_sym_BSLASHGlstext] = anon_sym_BSLASHGlstext,
  [anon_sym_BSLASHGLStext] = anon_sym_BSLASHGLStext,
  [anon_sym_BSLASHglsfirst] = anon_sym_BSLASHglsfirst,
  [anon_sym_BSLASHGlsfirst] = anon_sym_BSLASHGlsfirst,
  [anon_sym_BSLASHGLSfirst] = anon_sym_BSLASHGLSfirst,
  [anon_sym_BSLASHglsplural] = anon_sym_BSLASHglsplural,
  [anon_sym_BSLASHGlsplural] = anon_sym_BSLASHGlsplural,
  [anon_sym_BSLASHGLSplural] = anon_sym_BSLASHGLSplural,
  [anon_sym_BSLASHglsfirstplural] = anon_sym_BSLASHglsfirstplural,
  [anon_sym_BSLASHGlsfirstplural] = anon_sym_BSLASHGlsfirstplural,
  [anon_sym_BSLASHGLSfirstplural] = anon_sym_BSLASHGLSfirstplural,
  [anon_sym_BSLASHglsname] = anon_sym_BSLASHglsname,
  [anon_sym_BSLASHGlsname] = anon_sym_BSLASHGlsname,
  [anon_sym_BSLASHGLSname] = anon_sym_BSLASHGLSname,
  [anon_sym_BSLASHglssymbol] = anon_sym_BSLASHglssymbol,
  [anon_sym_BSLASHGlssymbol] = anon_sym_BSLASHGlssymbol,
  [anon_sym_BSLASHglsdesc] = anon_sym_BSLASHglsdesc,
  [anon_sym_BSLASHGlsdesc] = anon_sym_BSLASHGlsdesc,
  [anon_sym_BSLASHGLSdesc] = anon_sym_BSLASHGLSdesc,
  [anon_sym_BSLASHglsuseri] = anon_sym_BSLASHglsuseri,
  [anon_sym_BSLASHGlsuseri] = anon_sym_BSLASHGlsuseri,
  [anon_sym_BSLASHGLSuseri] = anon_sym_BSLASHGLSuseri,
  [anon_sym_BSLASHglsuserii] = anon_sym_BSLASHglsuserii,
  [anon_sym_BSLASHGlsuserii] = anon_sym_BSLASHGlsuserii,
  [anon_sym_BSLASHGLSuserii] = anon_sym_BSLASHGLSuserii,
  [anon_sym_BSLASHglsuseriii] = anon_sym_BSLASHglsuseriii,
  [anon_sym_BSLASHGlsuseriii] = anon_sym_BSLASHGlsuseriii,
  [anon_sym_BSLASHGLSuseriii] = anon_sym_BSLASHGLSuseriii,
  [anon_sym_BSLASHglsuseriv] = anon_sym_BSLASHglsuseriv,
  [anon_sym_BSLASHGlsuseriv] = anon_sym_BSLASHGlsuseriv,
  [anon_sym_BSLASHGLSuseriv] = anon_sym_BSLASHGLSuseriv,
  [anon_sym_BSLASHglsuserv] = anon_sym_BSLASHglsuserv,
  [anon_sym_BSLASHGlsuserv] = anon_sym_BSLASHGlsuserv,
  [anon_sym_BSLASHGLSuserv] = anon_sym_BSLASHGLSuserv,
  [anon_sym_BSLASHglsuservi] = anon_sym_BSLASHglsuservi,
  [anon_sym_BSLASHGlsuservi] = anon_sym_BSLASHGlsuservi,
  [anon_sym_BSLASHGLSuservi] = anon_sym_BSLASHGLSuservi,
  [anon_sym_BSLASHnewacronym] = anon_sym_BSLASHnewacronym,
  [anon_sym_BSLASHacrshort] = anon_sym_BSLASHacrshort,
  [anon_sym_BSLASHAcrshort] = anon_sym_BSLASHAcrshort,
  [anon_sym_BSLASHACRshort] = anon_sym_BSLASHACRshort,
  [anon_sym_BSLASHacrshortpl] = anon_sym_BSLASHacrshortpl,
  [anon_sym_BSLASHAcrshortpl] = anon_sym_BSLASHAcrshortpl,
  [anon_sym_BSLASHACRshortpl] = anon_sym_BSLASHACRshortpl,
  [anon_sym_BSLASHacrlong] = anon_sym_BSLASHacrlong,
  [anon_sym_BSLASHAcrlong] = anon_sym_BSLASHAcrlong,
  [anon_sym_BSLASHACRlong] = anon_sym_BSLASHACRlong,
  [anon_sym_BSLASHacrlongpl] = anon_sym_BSLASHacrlongpl,
  [anon_sym_BSLASHAcrlongpl] = anon_sym_BSLASHAcrlongpl,
  [anon_sym_BSLASHACRlongpl] = anon_sym_BSLASHACRlongpl,
  [anon_sym_BSLASHacrfull] = anon_sym_BSLASHacrfull,
  [anon_sym_BSLASHAcrfull] = anon_sym_BSLASHAcrfull,
  [anon_sym_BSLASHACRfull] = anon_sym_BSLASHACRfull,
  [anon_sym_BSLASHacrfullpl] = anon_sym_BSLASHacrfullpl,
  [anon_sym_BSLASHAcrfullpl] = anon_sym_BSLASHAcrfullpl,
  [anon_sym_BSLASHACRfullpl] = anon_sym_BSLASHACRfullpl,
  [anon_sym_BSLASHacs] = anon_sym_BSLASHacs,
  [anon_sym_BSLASHAcs] = anon_sym_BSLASHAcs,
  [anon_sym_BSLASHacsp] = anon_sym_BSLASHacsp,
  [anon_sym_BSLASHAcsp] = anon_sym_BSLASHAcsp,
  [anon_sym_BSLASHacl] = anon_sym_BSLASHacl,
  [anon_sym_BSLASHAcl] = anon_sym_BSLASHAcl,
  [anon_sym_BSLASHaclp] = anon_sym_BSLASHaclp,
  [anon_sym_BSLASHAclp] = anon_sym_BSLASHAclp,
  [anon_sym_BSLASHacf] = anon_sym_BSLASHacf,
  [anon_sym_BSLASHAcf] = anon_sym_BSLASHAcf,
  [anon_sym_BSLASHacfp] = anon_sym_BSLASHacfp,
  [anon_sym_BSLASHAcfp] = anon_sym_BSLASHAcfp,
  [anon_sym_BSLASHac] = anon_sym_BSLASHac,
  [anon_sym_BSLASHAc] = anon_sym_BSLASHAc,
  [anon_sym_BSLASHacp] = anon_sym_BSLASHacp,
  [anon_sym_BSLASHglsentrylong] = anon_sym_BSLASHglsentrylong,
  [anon_sym_BSLASHGlsentrylong] = anon_sym_BSLASHGlsentrylong,
  [anon_sym_BSLASHglsentrylongpl] = anon_sym_BSLASHglsentrylongpl,
  [anon_sym_BSLASHGlsentrylongpl] = anon_sym_BSLASHGlsentrylongpl,
  [anon_sym_BSLASHglsentryshort] = anon_sym_BSLASHglsentryshort,
  [anon_sym_BSLASHGlsentryshort] = anon_sym_BSLASHGlsentryshort,
  [anon_sym_BSLASHglsentryshortpl] = anon_sym_BSLASHglsentryshortpl,
  [anon_sym_BSLASHGlsentryshortpl] = anon_sym_BSLASHGlsentryshortpl,
  [anon_sym_BSLASHglsentryfullpl] = anon_sym_BSLASHglsentryfullpl,
  [anon_sym_BSLASHGlsentryfullpl] = anon_sym_BSLASHGlsentryfullpl,
  [anon_sym_BSLASHnewtheorem] = anon_sym_BSLASHnewtheorem,
  [anon_sym_BSLASHnewtheorem_STAR] = anon_sym_BSLASHnewtheorem_STAR,
  [anon_sym_BSLASHdeclaretheorem] = anon_sym_BSLASHdeclaretheorem,
  [anon_sym_BSLASHdeclaretheorem_STAR] = anon_sym_BSLASHdeclaretheorem_STAR,
  [anon_sym_BSLASHdefinecolor] = anon_sym_BSLASHdefinecolor,
  [anon_sym_BSLASHdefinecolorset] = anon_sym_BSLASHdefinecolorset,
  [anon_sym_BSLASHcolor] = anon_sym_BSLASHcolor,
  [anon_sym_BSLASHpagecolor] = anon_sym_BSLASHpagecolor,
  [anon_sym_BSLASHtextcolor] = anon_sym_BSLASHtextcolor,
  [anon_sym_BSLASHmathcolor] = anon_sym_BSLASHmathcolor,
  [anon_sym_BSLASHcolorbox] = anon_sym_BSLASHcolorbox,
  [anon_sym_BSLASHusepgflibrary] = anon_sym_BSLASHusepgflibrary,
  [anon_sym_BSLASHusetikzlibrary] = anon_sym_BSLASHusetikzlibrary,
  [anon_sym_BSLASHurl] = anon_sym_BSLASHurl,
  [anon_sym_BSLASHhref] = anon_sym_BSLASHhref,
  [sym__trivia_raw_fi] = sym__trivia_raw_fi,
  [sym__trivia_raw_env_comment] = sym__trivia_raw_fi,
  [sym__trivia_raw_env_verbatim] = sym__trivia_raw_fi,
  [sym__trivia_raw_env_listing] = sym__trivia_raw_env_listing,
  [sym__trivia_raw_env_minted] = sym__trivia_raw_env_listing,
  [sym__trivia_raw_env_asy] = sym__trivia_raw_env_listing,
  [sym__trivia_raw_env_asydef] = sym__trivia_raw_env_listing,
  [sym__trivia_raw_env_pycode] = sym__trivia_raw_env_listing,
  [sym__trivia_raw_env_luacode] = sym__trivia_raw_env_listing,
  [sym__trivia_raw_env_luacode_star] = sym__trivia_raw_env_listing,
  [sym__trivia_raw_env_sagesilent] = sym__trivia_raw_env_listing,
  [sym__trivia_raw_env_sageblock] = sym__trivia_raw_env_listing,
  [sym_source_file] = sym_source_file,
  [sym_block_comment] = sym_block_comment,
  [sym__root_content] = sym__root_content,
  [sym__flat_content] = sym__flat_content,
  [sym__text_with_env_content] = sym__text_with_env_content,
  [sym__text_content] = sym__text_content,
  [sym__section] = sym__section,
  [sym__paragraph] = sym__paragraph,
  [sym__section_part] = sym__section_part,
  [sym__part_declaration] = sym__part_declaration,
  [sym_part] = sym_part,
  [sym__chapter_declaration] = sym__chapter_declaration,
  [sym_chapter] = sym_chapter,
  [sym__section_declaration] = sym__section_declaration,
  [sym_section] = sym_section,
  [sym__subsection_declaration] = sym__subsection_declaration,
  [sym_subsection] = sym_subsection,
  [sym__subsubsection_declaration] = sym__subsubsection_declaration,
  [sym_subsubsection] = sym_subsubsection,
  [sym__paragraph_declaration] = sym__paragraph_declaration,
  [sym_paragraph] = sym_paragraph,
  [sym__subparagraph_declaration] = sym__subparagraph_declaration,
  [sym_subparagraph] = sym_subparagraph,
  [sym__enum_itemdeclaration] = sym__enum_itemdeclaration,
  [sym_enum_item] = sym_enum_item,
  [sym_curly_group] = sym_curly_group,
  [sym_curly_group_text] = sym_curly_group_text,
  [sym_curly_group_spec] = sym_curly_group_spec,
  [sym_curly_group_text_list] = sym_curly_group_text_list,
  [sym_curly_group_path] = sym_curly_group_path,
  [sym_curly_group_path_list] = sym_curly_group_path_list,
  [sym_curly_group_uri] = sym_curly_group_uri,
  [sym_curly_group_command_name] = sym_curly_group_command_name,
  [sym_curly_group_key_value] = sym_curly_group_key_value,
  [sym_curly_group_glob_pattern] = sym_curly_group_glob_pattern,
  [sym_curly_group_impl] = sym_curly_group_impl,
  [sym_curly_group_author_list] = sym_curly_group_author_list,
  [sym_brack_group] = sym_brack_group,
  [sym_brack_group_text] = sym_brack_group_text,
  [sym_brack_group_argc] = sym_brack_group_argc,
  [sym_brack_group_key_value] = sym_brack_group_key_value,
  [sym_text] = sym_text,
  [sym_glob_pattern] = sym_glob_pattern,
  [sym__glob_pattern_fragment] = sym__glob_pattern_fragment,
  [sym_operator] = sym_operator,
  [sym_subscript] = sym_subscript,
  [sym_superscript] = sym_superscript,
  [sym_key_value_pair] = sym_key_value_pair,
  [sym_value] = sym_value,
  [sym__math_content] = sym__math_content,
  [sym_displayed_equation] = sym_displayed_equation,
  [sym_inline_formula] = sym_inline_formula,
  [sym__math_delimiter_part] = sym__math_delimiter_part,
  [sym_math_delimiter] = sym_math_delimiter,
  [sym_text_mode] = sym_text_mode,
  [sym_begin] = sym_begin,
  [sym_end] = sym_end,
  [sym_generic_environment] = sym_generic_environment,
  [sym_comment_environment] = sym_comment_environment,
  [sym__comment_environment_begin] = sym_begin,
  [sym__comment_environment_end] = sym_end,
  [sym__comment_environment_group] = sym_curly_group_text,
  [sym__comment_environment_name] = sym_text,
  [sym_verbatim_environment] = sym_verbatim_environment,
  [sym__verbatim_environment_begin] = sym_begin,
  [sym__verbatim_environment_end] = sym_end,
  [sym__verbatim_environment_group] = sym_curly_group_text,
  [sym__verbatim_environment_name] = sym_text,
  [sym_listing_environment] = sym_listing_environment,
  [sym__listing_environment_begin] = sym_begin,
  [sym__listing_environment_end] = sym_end,
  [sym__listing_environment_group] = sym_curly_group_text,
  [sym__listing_environment_name] = sym_text,
  [sym_minted_environment] = sym_minted_environment,
  [sym__minted_environment_begin] = sym_begin,
  [sym__minted_environment_end] = sym_end,
  [sym__minted_environment_group] = sym_curly_group_text,
  [sym__minted_environment_name] = sym_text,
  [sym_asy_environment] = sym_asy_environment,
  [sym__asy_environment_begin] = sym_begin,
  [sym__asy_environment_end] = sym_end,
  [sym__asy_environment_group] = sym_curly_group_text,
  [sym__asy_environment_name] = sym_text,
  [sym_asydef_environment] = sym_asydef_environment,
  [sym__asydef_environment_begin] = sym_begin,
  [sym__asydef_environment_end] = sym_end,
  [sym__asydef_environment_group] = sym_curly_group_text,
  [sym__asydef_environment_name] = sym_text,
  [sym_pycode_environment] = sym_pycode_environment,
  [sym__pycode_environment_begin] = sym_begin,
  [sym__pycode_environment_end] = sym_end,
  [sym__pycode_environment_group] = sym_curly_group_text,
  [sym__pycode_environment_name] = sym_text,
  [sym_luacode_environment] = sym_luacode_environment,
  [sym__luacode_environment] = sym__luacode_environment,
  [sym___luacode_environment_begin] = sym_begin,
  [sym___luacode_environment_end] = sym_end,
  [sym___luacode_environment_group] = sym_curly_group_text,
  [sym___luacode_environment_name] = sym_text,
  [sym__luacode_environment_star] = sym__luacode_environment_star,
  [sym___luacode_environment_star_begin] = sym_begin,
  [sym___luacode_environment_star_end] = sym_end,
  [sym___luacode_environment_star_group] = sym_curly_group_text,
  [sym___luacode_environment_star_name] = sym_text,
  [sym_sagesilent_environment] = sym_sagesilent_environment,
  [sym__sagesilent_environment_begin] = sym_begin,
  [sym__sagesilent_environment_end] = sym_end,
  [sym__sagesilent_environment_group] = sym_curly_group_text,
  [sym__sagesilent_environment_name] = sym_text,
  [sym_sageblock_environment] = sym_sageblock_environment,
  [sym__sageblock_environment_begin] = sym_begin,
  [sym__sageblock_environment_end] = sym_end,
  [sym__sageblock_environment_group] = sym_curly_group_text,
  [sym__sageblock_environment_name] = sym_text,
  [sym_math_environment] = sym_math_environment,
  [sym__math_environment_begin] = sym_begin,
  [sym__math_environment_end] = sym_end,
  [sym__math_environment_group] = sym_curly_group_text,
  [sym__math_environment_name] = sym_text,
  [sym__command] = sym__command,
  [sym_generic_command] = sym_generic_command,
  [sym_title_declaration] = sym_title_declaration,
  [sym_author_declaration] = sym_author_declaration,
  [sym_package_include] = sym_package_include,
  [sym_class_include] = sym_class_include,
  [sym_latex_include] = sym_latex_include,
  [sym_biblatex_include] = sym_biblatex_include,
  [sym_bibstyle_include] = sym_bibstyle_include,
  [sym_bibtex_include] = sym_bibtex_include,
  [sym_graphics_include] = sym_graphics_include,
  [sym_svg_include] = sym_svg_include,
  [sym_inkscape_include] = sym_inkscape_include,
  [sym_verbatim_include] = sym_verbatim_include,
  [sym_import_include] = sym_import_include,
  [sym_caption] = sym_caption,
  [sym_citation] = sym_citation,
  [sym_label_definition] = sym_label_definition,
  [sym_label_reference] = sym_label_reference,
  [sym_label_reference_range] = sym_label_reference_range,
  [sym_label_number] = sym_label_number,
  [sym_new_command_definition] = sym_new_command_definition,
  [sym__new_command_definition] = sym__new_command_definition,
  [sym__newer_command_definition] = sym__newer_command_definition,
  [sym__new_command_copy] = sym__new_command_copy,
  [sym_old_command_definition] = sym_old_command_definition,
  [sym_let_command_definition] = sym_let_command_definition,
  [sym_paired_delimiter_definition] = sym_paired_delimiter_definition,
  [sym_environment_definition] = sym_environment_definition,
  [sym__environment_definition] = sym__environment_definition,
  [sym__newer_environment_definition] = sym__newer_environment_definition,
  [sym__new_environment_copy] = sym__new_environment_copy,
  [sym_glossary_entry_definition] = sym_glossary_entry_definition,
  [sym_glossary_entry_reference] = sym_glossary_entry_reference,
  [sym_acronym_definition] = sym_acronym_definition,
  [sym_acronym_reference] = sym_acronym_reference,
  [sym_theorem_definition] = sym_theorem_definition,
  [sym_color_definition] = sym_color_definition,
  [sym_color_set_definition] = sym_color_set_definition,
  [sym_color_reference] = sym_color_reference,
  [sym_tikz_library_import] = sym_tikz_library_import,
  [sym_hyperlink] = sym_hyperlink,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym__section_repeat1] = aux_sym__section_repeat1,
  [aux_sym__section_repeat2] = aux_sym__section_repeat2,
  [aux_sym__section_repeat3] = aux_sym__section_repeat3,
  [aux_sym__section_repeat4] = aux_sym__section_repeat4,
  [aux_sym__section_repeat5] = aux_sym__section_repeat5,
  [aux_sym__paragraph_repeat1] = aux_sym__paragraph_repeat1,
  [aux_sym__paragraph_repeat2] = aux_sym__paragraph_repeat2,
  [aux_sym__paragraph_repeat3] = aux_sym__paragraph_repeat3,
  [aux_sym_part_repeat1] = aux_sym_part_repeat1,
  [aux_sym_curly_group_spec_repeat1] = aux_sym_curly_group_spec_repeat1,
  [aux_sym_curly_group_text_list_repeat1] = aux_sym_curly_group_text_list_repeat1,
  [aux_sym_curly_group_path_list_repeat1] = aux_sym_curly_group_path_list_repeat1,
  [aux_sym_curly_group_key_value_repeat1] = aux_sym_curly_group_key_value_repeat1,
  [aux_sym_curly_group_impl_repeat1] = aux_sym_curly_group_impl_repeat1,
  [aux_sym_curly_group_author_list_repeat1] = aux_sym_curly_group_author_list_repeat1,
  [aux_sym_curly_group_author_list_repeat2] = aux_sym_curly_group_author_list_repeat2,
  [aux_sym_brack_group_repeat1] = aux_sym_brack_group_repeat1,
  [aux_sym_text_repeat1] = aux_sym_text_repeat1,
  [aux_sym_glob_pattern_repeat1] = aux_sym_glob_pattern_repeat1,
  [aux_sym_value_repeat1] = aux_sym_value_repeat1,
  [aux_sym_generic_command_repeat1] = aux_sym_generic_command_repeat1,
  [alias_sym_author] = alias_sym_author,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_command_name] = {
    .visible = true,
    .named = true,
  },
  [sym__whitespace] = {
    .visible = false,
    .named = true,
  },
  [sym_line_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHiffalse] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpart] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpart_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHaddpart] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHaddpart_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHchapter] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHchapter_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHaddchap] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHaddchap_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsection] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsection_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHaddsec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHaddsec_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsubsection] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsubsection_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsubsubsection] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsubsubsection_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHparagraph] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHparagraph_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsubparagraph] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsubparagraph_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHitem] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHitem_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHand] = {
    .visible = true,
    .named = true,
  },
  [sym_word] = {
    .visible = true,
    .named = true,
  },
  [sym_placeholder] = {
    .visible = true,
    .named = true,
  },
  [sym_delimiter] = {
    .visible = true,
    .named = true,
  },
  [sym_path] = {
    .visible = true,
    .named = true,
  },
  [sym_uri] = {
    .visible = true,
    .named = true,
  },
  [sym_argc] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__glob_pattern_fragment_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_letter] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHleft] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHbigl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHBigl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHbiggl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHBiggl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHright] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHbigr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHBigr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHbiggr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHBiggr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHtext] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHintertext] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHshortintertext] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHbegin] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_verbatim] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_lstlisting] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_minted] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_asy] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_asydef] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_pycode] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_luacode] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_luacode_STAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_sagesilent] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_sageblock] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_math] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_displaymath] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_displaymath_STAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_equation] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_equation_STAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_multline] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_multline_STAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_eqnarray] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_eqnarray_STAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_align] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_align_STAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_aligned] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_aligned_STAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_array] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_array_STAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_split] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_split_STAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_alignat] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_alignat_STAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_alignedat] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_alignedat_STAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_gather] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_gather_STAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_gathered] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_gathered_STAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_flalign] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_flalign_STAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHtitle] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHauthor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHusepackage] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHRequirePackage] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHdocumentclass] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHinclude] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsubfileinclude] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHinput] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsubfile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHaddbibresource] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHbibliographystyle] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHbibliography] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHincludegraphics] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHincludesvg] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHincludeinkscape] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHverbatiminput] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHVerbatimInput] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHimport] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsubimport] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHinputfrom] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsubimportfrom] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHincludefrom] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsubincludefrom] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcaption] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcite_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHCite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHnocite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcitet] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcitep] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcitet_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcitep_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHciteA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHciteR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHciteS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHciteyearR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHciteauthor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHciteauthor_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHCiteauthor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHCiteauthor_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcitetitle] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcitetitle_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHciteyear] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHciteyear_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcitedate] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcitedate_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHciteurl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfullcite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHciteyearpar] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcitealt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcitealp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcitetext] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHparencite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHparencite_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHParencite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfootcite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfootfullcite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfootcitetext] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHtextcite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHTextcite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsmartcite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHSmartcite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsupercite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHautocite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHAutocite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHautocite_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHAutocite_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHvolcite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHVolcite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpvolcite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHPvolcite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfvolcite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHftvolcite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHsvolcite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHSvolcite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHtvolcite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHTvolcite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHavolcite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHAvolcite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHnotecite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHNotecite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpnotecite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHPnotecite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHfnotecite] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlabel] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHeqref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHvref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHVref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHautoref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHautoref_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpageref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpageref_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHautopageref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHautopageref_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcref_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHCref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHCref_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcpageref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHCpageref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHnamecref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHnameCref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlcnamecref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHnamecrefs] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHnameCrefs] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlcnamecrefs] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlabelcref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlabelcref_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlabelcpageref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlabelcpageref_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcrefrange] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcrefrange_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHCrefrange] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHCrefrange_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcpagerefrange] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHCpagerefrange] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHnewlabel] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHnewcommand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHnewcommand_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHrenewcommand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHrenewcommand_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHprovidecommand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHprovidecommand_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHDeclareRobustCommand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHDeclareRobustCommand_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHDeclareMathOperator] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHDeclareMathOperator_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHNewDocumentCommand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHRenewDocumentCommand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHProvideDocumentCommand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHDeclareDocumentCommand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHNewExpandableDocumentCommand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHRenewExpandableDocumentCommand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHProvideExpandableDocumentCommand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHDeclareExpandableDocumentCommand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHNewCommandCopy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHRenewCommandCopy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHDeclareCommandCopy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHdef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHgdef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHxdef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHlet] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHglet] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHDeclarePairedDelimiter] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHDeclarePairedDelimiterX] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHnewenvironment] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHrenewenvironment] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHNewDocumentEnvironment] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHRenewDocumentEnvironment] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHProvideDocumentEnvironment] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHDeclareDocumentEnvironment] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHNewEnvironmentCopy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHRenewEnvironmentCopy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHDeclareEnvironmentCopy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHnewglossaryentry] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHgls] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGls] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGLS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHglspl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGlspl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGLSpl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHglsdisp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHglslink] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHglstext] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGlstext] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGLStext] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHglsfirst] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGlsfirst] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGLSfirst] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHglsplural] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGlsplural] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGLSplural] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHglsfirstplural] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGlsfirstplural] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGLSfirstplural] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHglsname] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGlsname] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGLSname] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHglssymbol] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGlssymbol] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHglsdesc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGlsdesc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGLSdesc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHglsuseri] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGlsuseri] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGLSuseri] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHglsuserii] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGlsuserii] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGLSuserii] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHglsuseriii] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGlsuseriii] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGLSuseriii] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHglsuseriv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGlsuseriv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGLSuseriv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHglsuserv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGlsuserv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGLSuserv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHglsuservi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGlsuservi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGLSuservi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHnewacronym] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHacrshort] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHAcrshort] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHACRshort] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHacrshortpl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHAcrshortpl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHACRshortpl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHacrlong] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHAcrlong] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHACRlong] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHacrlongpl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHAcrlongpl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHACRlongpl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHacrfull] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHAcrfull] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHACRfull] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHacrfullpl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHAcrfullpl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHACRfullpl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHacs] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHAcs] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHacsp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHAcsp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHacl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHAcl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHaclp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHAclp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHacf] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHAcf] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHacfp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHAcfp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHac] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHAc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHacp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHglsentrylong] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGlsentrylong] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHglsentrylongpl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGlsentrylongpl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHglsentryshort] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGlsentryshort] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHglsentryshortpl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGlsentryshortpl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHglsentryfullpl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHGlsentryfullpl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHnewtheorem] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHnewtheorem_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHdeclaretheorem] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHdeclaretheorem_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHdefinecolor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHdefinecolorset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcolor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHpagecolor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHtextcolor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHmathcolor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHcolorbox] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHusepgflibrary] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHusetikzlibrary] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHurl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHhref] = {
    .visible = true,
    .named = false,
  },
  [sym__trivia_raw_fi] = {
    .visible = true,
    .named = true,
  },
  [sym__trivia_raw_env_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__trivia_raw_env_verbatim] = {
    .visible = true,
    .named = true,
  },
  [sym__trivia_raw_env_listing] = {
    .visible = true,
    .named = true,
  },
  [sym__trivia_raw_env_minted] = {
    .visible = true,
    .named = true,
  },
  [sym__trivia_raw_env_asy] = {
    .visible = true,
    .named = true,
  },
  [sym__trivia_raw_env_asydef] = {
    .visible = true,
    .named = true,
  },
  [sym__trivia_raw_env_pycode] = {
    .visible = true,
    .named = true,
  },
  [sym__trivia_raw_env_luacode] = {
    .visible = true,
    .named = true,
  },
  [sym__trivia_raw_env_luacode_star] = {
    .visible = true,
    .named = true,
  },
  [sym__trivia_raw_env_sagesilent] = {
    .visible = true,
    .named = true,
  },
  [sym__trivia_raw_env_sageblock] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym_block_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__root_content] = {
    .visible = false,
    .named = true,
  },
  [sym__flat_content] = {
    .visible = false,
    .named = true,
  },
  [sym__text_with_env_content] = {
    .visible = false,
    .named = true,
  },
  [sym__text_content] = {
    .visible = false,
    .named = true,
  },
  [sym__section] = {
    .visible = false,
    .named = true,
  },
  [sym__paragraph] = {
    .visible = false,
    .named = true,
  },
  [sym__section_part] = {
    .visible = false,
    .named = true,
  },
  [sym__part_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_part] = {
    .visible = true,
    .named = true,
  },
  [sym__chapter_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_chapter] = {
    .visible = true,
    .named = true,
  },
  [sym__section_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_section] = {
    .visible = true,
    .named = true,
  },
  [sym__subsection_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_subsection] = {
    .visible = true,
    .named = true,
  },
  [sym__subsubsection_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_subsubsection] = {
    .visible = true,
    .named = true,
  },
  [sym__paragraph_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_paragraph] = {
    .visible = true,
    .named = true,
  },
  [sym__subparagraph_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_subparagraph] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_itemdeclaration] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_item] = {
    .visible = true,
    .named = true,
  },
  [sym_curly_group] = {
    .visible = true,
    .named = true,
  },
  [sym_curly_group_text] = {
    .visible = true,
    .named = true,
  },
  [sym_curly_group_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_curly_group_text_list] = {
    .visible = true,
    .named = true,
  },
  [sym_curly_group_path] = {
    .visible = true,
    .named = true,
  },
  [sym_curly_group_path_list] = {
    .visible = true,
    .named = true,
  },
  [sym_curly_group_uri] = {
    .visible = true,
    .named = true,
  },
  [sym_curly_group_command_name] = {
    .visible = true,
    .named = true,
  },
  [sym_curly_group_key_value] = {
    .visible = true,
    .named = true,
  },
  [sym_curly_group_glob_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_curly_group_impl] = {
    .visible = true,
    .named = true,
  },
  [sym_curly_group_author_list] = {
    .visible = true,
    .named = true,
  },
  [sym_brack_group] = {
    .visible = true,
    .named = true,
  },
  [sym_brack_group_text] = {
    .visible = true,
    .named = true,
  },
  [sym_brack_group_argc] = {
    .visible = true,
    .named = true,
  },
  [sym_brack_group_key_value] = {
    .visible = true,
    .named = true,
  },
  [sym_text] = {
    .visible = true,
    .named = true,
  },
  [sym_glob_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__glob_pattern_fragment] = {
    .visible = false,
    .named = true,
  },
  [sym_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_superscript] = {
    .visible = true,
    .named = true,
  },
  [sym_key_value_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_value] = {
    .visible = true,
    .named = true,
  },
  [sym__math_content] = {
    .visible = false,
    .named = true,
  },
  [sym_displayed_equation] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_formula] = {
    .visible = true,
    .named = true,
  },
  [sym__math_delimiter_part] = {
    .visible = false,
    .named = true,
  },
  [sym_math_delimiter] = {
    .visible = true,
    .named = true,
  },
  [sym_text_mode] = {
    .visible = true,
    .named = true,
  },
  [sym_begin] = {
    .visible = true,
    .named = true,
  },
  [sym_end] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_environment] = {
    .visible = true,
    .named = true,
  },
  [sym_comment_environment] = {
    .visible = true,
    .named = true,
  },
  [sym__comment_environment_begin] = {
    .visible = true,
    .named = true,
  },
  [sym__comment_environment_end] = {
    .visible = true,
    .named = true,
  },
  [sym__comment_environment_group] = {
    .visible = true,
    .named = true,
  },
  [sym__comment_environment_name] = {
    .visible = true,
    .named = true,
  },
  [sym_verbatim_environment] = {
    .visible = true,
    .named = true,
  },
  [sym__verbatim_environment_begin] = {
    .visible = true,
    .named = true,
  },
  [sym__verbatim_environment_end] = {
    .visible = true,
    .named = true,
  },
  [sym__verbatim_environment_group] = {
    .visible = true,
    .named = true,
  },
  [sym__verbatim_environment_name] = {
    .visible = true,
    .named = true,
  },
  [sym_listing_environment] = {
    .visible = true,
    .named = true,
  },
  [sym__listing_environment_begin] = {
    .visible = true,
    .named = true,
  },
  [sym__listing_environment_end] = {
    .visible = true,
    .named = true,
  },
  [sym__listing_environment_group] = {
    .visible = true,
    .named = true,
  },
  [sym__listing_environment_name] = {
    .visible = true,
    .named = true,
  },
  [sym_minted_environment] = {
    .visible = true,
    .named = true,
  },
  [sym__minted_environment_begin] = {
    .visible = true,
    .named = true,
  },
  [sym__minted_environment_end] = {
    .visible = true,
    .named = true,
  },
  [sym__minted_environment_group] = {
    .visible = true,
    .named = true,
  },
  [sym__minted_environment_name] = {
    .visible = true,
    .named = true,
  },
  [sym_asy_environment] = {
    .visible = true,
    .named = true,
  },
  [sym__asy_environment_begin] = {
    .visible = true,
    .named = true,
  },
  [sym__asy_environment_end] = {
    .visible = true,
    .named = true,
  },
  [sym__asy_environment_group] = {
    .visible = true,
    .named = true,
  },
  [sym__asy_environment_name] = {
    .visible = true,
    .named = true,
  },
  [sym_asydef_environment] = {
    .visible = true,
    .named = true,
  },
  [sym__asydef_environment_begin] = {
    .visible = true,
    .named = true,
  },
  [sym__asydef_environment_end] = {
    .visible = true,
    .named = true,
  },
  [sym__asydef_environment_group] = {
    .visible = true,
    .named = true,
  },
  [sym__asydef_environment_name] = {
    .visible = true,
    .named = true,
  },
  [sym_pycode_environment] = {
    .visible = true,
    .named = true,
  },
  [sym__pycode_environment_begin] = {
    .visible = true,
    .named = true,
  },
  [sym__pycode_environment_end] = {
    .visible = true,
    .named = true,
  },
  [sym__pycode_environment_group] = {
    .visible = true,
    .named = true,
  },
  [sym__pycode_environment_name] = {
    .visible = true,
    .named = true,
  },
  [sym_luacode_environment] = {
    .visible = true,
    .named = true,
  },
  [sym__luacode_environment] = {
    .visible = false,
    .named = true,
  },
  [sym___luacode_environment_begin] = {
    .visible = true,
    .named = true,
  },
  [sym___luacode_environment_end] = {
    .visible = true,
    .named = true,
  },
  [sym___luacode_environment_group] = {
    .visible = true,
    .named = true,
  },
  [sym___luacode_environment_name] = {
    .visible = true,
    .named = true,
  },
  [sym__luacode_environment_star] = {
    .visible = false,
    .named = true,
  },
  [sym___luacode_environment_star_begin] = {
    .visible = true,
    .named = true,
  },
  [sym___luacode_environment_star_end] = {
    .visible = true,
    .named = true,
  },
  [sym___luacode_environment_star_group] = {
    .visible = true,
    .named = true,
  },
  [sym___luacode_environment_star_name] = {
    .visible = true,
    .named = true,
  },
  [sym_sagesilent_environment] = {
    .visible = true,
    .named = true,
  },
  [sym__sagesilent_environment_begin] = {
    .visible = true,
    .named = true,
  },
  [sym__sagesilent_environment_end] = {
    .visible = true,
    .named = true,
  },
  [sym__sagesilent_environment_group] = {
    .visible = true,
    .named = true,
  },
  [sym__sagesilent_environment_name] = {
    .visible = true,
    .named = true,
  },
  [sym_sageblock_environment] = {
    .visible = true,
    .named = true,
  },
  [sym__sageblock_environment_begin] = {
    .visible = true,
    .named = true,
  },
  [sym__sageblock_environment_end] = {
    .visible = true,
    .named = true,
  },
  [sym__sageblock_environment_group] = {
    .visible = true,
    .named = true,
  },
  [sym__sageblock_environment_name] = {
    .visible = true,
    .named = true,
  },
  [sym_math_environment] = {
    .visible = true,
    .named = true,
  },
  [sym__math_environment_begin] = {
    .visible = true,
    .named = true,
  },
  [sym__math_environment_end] = {
    .visible = true,
    .named = true,
  },
  [sym__math_environment_group] = {
    .visible = true,
    .named = true,
  },
  [sym__math_environment_name] = {
    .visible = true,
    .named = true,
  },
  [sym__command] = {
    .visible = false,
    .named = true,
  },
  [sym_generic_command] = {
    .visible = true,
    .named = true,
  },
  [sym_title_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_author_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_package_include] = {
    .visible = true,
    .named = true,
  },
  [sym_class_include] = {
    .visible = true,
    .named = true,
  },
  [sym_latex_include] = {
    .visible = true,
    .named = true,
  },
  [sym_biblatex_include] = {
    .visible = true,
    .named = true,
  },
  [sym_bibstyle_include] = {
    .visible = true,
    .named = true,
  },
  [sym_bibtex_include] = {
    .visible = true,
    .named = true,
  },
  [sym_graphics_include] = {
    .visible = true,
    .named = true,
  },
  [sym_svg_include] = {
    .visible = true,
    .named = true,
  },
  [sym_inkscape_include] = {
    .visible = true,
    .named = true,
  },
  [sym_verbatim_include] = {
    .visible = true,
    .named = true,
  },
  [sym_import_include] = {
    .visible = true,
    .named = true,
  },
  [sym_caption] = {
    .visible = true,
    .named = true,
  },
  [sym_citation] = {
    .visible = true,
    .named = true,
  },
  [sym_label_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_label_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_label_reference_range] = {
    .visible = true,
    .named = true,
  },
  [sym_label_number] = {
    .visible = true,
    .named = true,
  },
  [sym_new_command_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__new_command_definition] = {
    .visible = false,
    .named = true,
  },
  [sym__newer_command_definition] = {
    .visible = false,
    .named = true,
  },
  [sym__new_command_copy] = {
    .visible = false,
    .named = true,
  },
  [sym_old_command_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_let_command_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_paired_delimiter_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_environment_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__environment_definition] = {
    .visible = false,
    .named = true,
  },
  [sym__newer_environment_definition] = {
    .visible = false,
    .named = true,
  },
  [sym__new_environment_copy] = {
    .visible = false,
    .named = true,
  },
  [sym_glossary_entry_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_glossary_entry_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_acronym_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_acronym_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_theorem_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_color_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_color_set_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_color_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_tikz_library_import] = {
    .visible = true,
    .named = true,
  },
  [sym_hyperlink] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__section_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__section_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__section_repeat3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__section_repeat4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__section_repeat5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__paragraph_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__paragraph_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__paragraph_repeat3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_part_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_curly_group_spec_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_curly_group_text_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_curly_group_path_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_curly_group_key_value_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_curly_group_impl_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_curly_group_author_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_curly_group_author_list_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_brack_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_glob_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_value_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_author] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_arg = 1,
  field_argc = 2,
  field_authors = 3,
  field_begin = 4,
  field_body = 5,
  field_code = 6,
  field_command = 7,
  field_comment = 8,
  field_content = 9,
  field_counter = 10,
  field_declaration = 11,
  field_default = 12,
  field_directory = 13,
  field_end = 14,
  field_file = 15,
  field_from = 16,
  field_glob = 17,
  field_head = 18,
  field_implementation = 19,
  field_key = 20,
  field_keys = 21,
  field_label = 22,
  field_language = 23,
  field_left = 24,
  field_left_command = 25,
  field_left_delimiter = 26,
  field_long = 27,
  field_model = 28,
  field_name = 29,
  field_names = 30,
  field_number = 31,
  field_options = 32,
  field_pair = 33,
  field_path = 34,
  field_paths = 35,
  field_pattern = 36,
  field_postnote = 37,
  field_prenote = 38,
  field_right = 39,
  field_right_command = 40,
  field_right_delimiter = 41,
  field_short = 42,
  field_spec = 43,
  field_subscript = 44,
  field_superscript = 45,
  field_tail = 46,
  field_text = 47,
  field_title = 48,
  field_to = 49,
  field_toc = 50,
  field_ty = 51,
  field_uri = 52,
  field_value = 53,
  field_verbatim = 54,
  field_word = 55,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_arg] = "arg",
  [field_argc] = "argc",
  [field_authors] = "authors",
  [field_begin] = "begin",
  [field_body] = "body",
  [field_code] = "code",
  [field_command] = "command",
  [field_comment] = "comment",
  [field_content] = "content",
  [field_counter] = "counter",
  [field_declaration] = "declaration",
  [field_default] = "default",
  [field_directory] = "directory",
  [field_end] = "end",
  [field_file] = "file",
  [field_from] = "from",
  [field_glob] = "glob",
  [field_head] = "head",
  [field_implementation] = "implementation",
  [field_key] = "key",
  [field_keys] = "keys",
  [field_label] = "label",
  [field_language] = "language",
  [field_left] = "left",
  [field_left_command] = "left_command",
  [field_left_delimiter] = "left_delimiter",
  [field_long] = "long",
  [field_model] = "model",
  [field_name] = "name",
  [field_names] = "names",
  [field_number] = "number",
  [field_options] = "options",
  [field_pair] = "pair",
  [field_path] = "path",
  [field_paths] = "paths",
  [field_pattern] = "pattern",
  [field_postnote] = "postnote",
  [field_prenote] = "prenote",
  [field_right] = "right",
  [field_right_command] = "right_command",
  [field_right_delimiter] = "right_delimiter",
  [field_short] = "short",
  [field_spec] = "spec",
  [field_subscript] = "subscript",
  [field_superscript] = "superscript",
  [field_tail] = "tail",
  [field_text] = "text",
  [field_title] = "title",
  [field_to] = "to",
  [field_toc] = "toc",
  [field_ty] = "ty",
  [field_uri] = "uri",
  [field_value] = "value",
  [field_verbatim] = "verbatim",
  [field_word] = "word",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 3},
  [5] = {.index = 6, .length = 2},
  [6] = {.index = 8, .length = 3},
  [7] = {.index = 11, .length = 5},
  [8] = {.index = 16, .length = 4},
  [9] = {.index = 20, .length = 3},
  [10] = {.index = 23, .length = 5},
  [11] = {.index = 28, .length = 5},
  [12] = {.index = 33, .length = 2},
  [13] = {.index = 35, .length = 1},
  [14] = {.index = 36, .length = 2},
  [15] = {.index = 38, .length = 2},
  [16] = {.index = 40, .length = 3},
  [17] = {.index = 43, .length = 1},
  [18] = {.index = 44, .length = 2},
  [19] = {.index = 46, .length = 1},
  [20] = {.index = 47, .length = 1},
  [21] = {.index = 48, .length = 2},
  [22] = {.index = 50, .length = 2},
  [23] = {.index = 52, .length = 3},
  [24] = {.index = 55, .length = 1},
  [25] = {.index = 56, .length = 2},
  [26] = {.index = 58, .length = 2},
  [27] = {.index = 60, .length = 2},
  [28] = {.index = 62, .length = 2},
  [29] = {.index = 64, .length = 2},
  [30] = {.index = 66, .length = 1},
  [31] = {.index = 67, .length = 2},
  [32] = {.index = 69, .length = 2},
  [33] = {.index = 71, .length = 2},
  [34] = {.index = 73, .length = 2},
  [35] = {.index = 75, .length = 2},
  [36] = {.index = 77, .length = 6},
  [37] = {.index = 83, .length = 2},
  [38] = {.index = 85, .length = 3},
  [39] = {.index = 88, .length = 2},
  [40] = {.index = 90, .length = 3},
  [41] = {.index = 93, .length = 4},
  [42] = {.index = 97, .length = 2},
  [43] = {.index = 99, .length = 3},
  [44] = {.index = 102, .length = 3},
  [45] = {.index = 105, .length = 1},
  [46] = {.index = 106, .length = 3},
  [47] = {.index = 109, .length = 3},
  [48] = {.index = 112, .length = 2},
  [49] = {.index = 114, .length = 3},
  [50] = {.index = 117, .length = 3},
  [51] = {.index = 120, .length = 3},
  [52] = {.index = 123, .length = 3},
  [53] = {.index = 126, .length = 3},
  [54] = {.index = 129, .length = 3},
  [55] = {.index = 132, .length = 3},
  [56] = {.index = 135, .length = 3},
  [57] = {.index = 138, .length = 3},
  [58] = {.index = 141, .length = 3},
  [59] = {.index = 144, .length = 3},
  [60] = {.index = 147, .length = 3},
  [61] = {.index = 150, .length = 2},
  [62] = {.index = 152, .length = 7},
  [63] = {.index = 159, .length = 7},
  [64] = {.index = 166, .length = 7},
  [65] = {.index = 173, .length = 9},
  [66] = {.index = 182, .length = 6},
  [67] = {.index = 188, .length = 1},
  [68] = {.index = 189, .length = 4},
  [69] = {.index = 193, .length = 2},
  [70] = {.index = 195, .length = 5},
  [72] = {.index = 200, .length = 1},
  [73] = {.index = 201, .length = 1},
  [74] = {.index = 202, .length = 1},
  [75] = {.index = 203, .length = 4},
  [76] = {.index = 207, .length = 1},
  [77] = {.index = 208, .length = 4},
  [78] = {.index = 212, .length = 4},
  [79] = {.index = 216, .length = 3},
  [80] = {.index = 219, .length = 4},
  [81] = {.index = 223, .length = 4},
  [82] = {.index = 227, .length = 4},
  [83] = {.index = 231, .length = 4},
  [84] = {.index = 235, .length = 4},
  [85] = {.index = 239, .length = 4},
  [86] = {.index = 243, .length = 4},
  [87] = {.index = 247, .length = 4},
  [88] = {.index = 251, .length = 1},
  [89] = {.index = 252, .length = 4},
  [90] = {.index = 256, .length = 2},
  [91] = {.index = 258, .length = 2},
  [92] = {.index = 260, .length = 2},
  [93] = {.index = 262, .length = 2},
  [94] = {.index = 264, .length = 2},
  [95] = {.index = 266, .length = 2},
  [96] = {.index = 268, .length = 2},
  [97] = {.index = 270, .length = 1},
  [98] = {.index = 271, .length = 5},
  [99] = {.index = 276, .length = 5},
  [100] = {.index = 281, .length = 5},
  [101] = {.index = 286, .length = 5},
  [102] = {.index = 291, .length = 5},
  [103] = {.index = 296, .length = 5},
  [104] = {.index = 301, .length = 5},
  [105] = {.index = 306, .length = 5},
  [106] = {.index = 311, .length = 4},
  [107] = {.index = 315, .length = 5},
  [108] = {.index = 320, .length = 6},
  [109] = {.index = 326, .length = 6},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_begin, 0},
  [1] =
    {field_command, 0},
  [2] =
    {field_word, 0},
  [3] =
    {field_command, 0, .inherited = true},
    {field_text, 0, .inherited = true},
    {field_toc, 0, .inherited = true},
  [6] =
    {field_command, 0, .inherited = true},
    {field_label, 0, .inherited = true},
  [8] =
    {field_begin, 0, .inherited = true},
    {field_code, 0, .inherited = true},
    {field_end, 0, .inherited = true},
  [11] =
    {field_argc, 0, .inherited = true},
    {field_command, 0, .inherited = true},
    {field_declaration, 0, .inherited = true},
    {field_default, 0, .inherited = true},
    {field_implementation, 0, .inherited = true},
  [16] =
    {field_command, 0, .inherited = true},
    {field_declaration, 0, .inherited = true},
    {field_implementation, 0, .inherited = true},
    {field_spec, 0, .inherited = true},
  [20] =
    {field_command, 0, .inherited = true},
    {field_declaration, 0, .inherited = true},
    {field_implementation, 0, .inherited = true},
  [23] =
    {field_argc, 0, .inherited = true},
    {field_begin, 0, .inherited = true},
    {field_command, 0, .inherited = true},
    {field_end, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [28] =
    {field_begin, 0, .inherited = true},
    {field_command, 0, .inherited = true},
    {field_end, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_spec, 0, .inherited = true},
  [33] =
    {field_command, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [35] =
    {field_word, 0, .inherited = true},
  [36] =
    {field_begin, 0},
    {field_comment, 1},
  [38] =
    {field_begin, 0},
    {field_end, 1},
  [40] =
    {field_command, 0},
    {field_text, 1, .inherited = true},
    {field_toc, 1, .inherited = true},
  [43] =
    {field_text, 0},
  [44] =
    {field_command, 0},
    {field_label, 1},
  [46] =
    {field_subscript, 1},
  [47] =
    {field_superscript, 1},
  [48] =
    {field_command, 0},
    {field_content, 1},
  [50] =
    {field_command, 0},
    {field_name, 1},
  [52] =
    {field_command, 0},
    {field_name, 1},
    {field_text, 1, .inherited = true},
  [55] =
    {field_arg, 0},
  [56] =
    {field_arg, 1, .inherited = true},
    {field_command, 0},
  [58] =
    {field_command, 0},
    {field_text, 1},
  [60] =
    {field_authors, 1},
    {field_command, 0},
  [62] =
    {field_command, 0},
    {field_paths, 1},
  [64] =
    {field_command, 0},
    {field_path, 1},
  [66] =
    {field_glob, 1},
  [67] =
    {field_command, 0},
    {field_long, 1},
  [69] =
    {field_command, 0},
    {field_keys, 1},
  [71] =
    {field_command, 0},
    {field_names, 1},
  [73] =
    {field_command, 0},
    {field_declaration, 1},
  [75] =
    {field_command, 0},
    {field_uri, 1},
  [77] =
    {field_begin, 0},
    {field_command, 0, .inherited = true},
    {field_command, 1, .inherited = true},
    {field_end, 1},
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [83] =
    {field_word, 0, .inherited = true},
    {field_word, 1, .inherited = true},
  [85] =
    {field_begin, 0},
    {field_comment, 1},
    {field_end, 2},
  [88] =
    {field_text, 1},
    {field_toc, 0},
  [90] =
    {field_command, 0},
    {field_name, 1},
    {field_options, 2},
  [93] =
    {field_command, 0},
    {field_language, 2},
    {field_name, 1},
    {field_text, 1, .inherited = true},
  [97] =
    {field_arg, 0, .inherited = true},
    {field_arg, 1, .inherited = true},
  [99] =
    {field_command, 0},
    {field_options, 1},
    {field_text, 2},
  [102] =
    {field_authors, 2},
    {field_command, 0},
    {field_options, 1},
  [105] =
    {field_key, 0},
  [106] =
    {field_command, 0},
    {field_options, 1},
    {field_paths, 2},
  [109] =
    {field_command, 0},
    {field_options, 1},
    {field_path, 2},
  [112] =
    {field_glob, 2},
    {field_options, 1},
  [114] =
    {field_command, 0},
    {field_directory, 1},
    {field_file, 2},
  [117] =
    {field_command, 0},
    {field_long, 2},
    {field_short, 1},
  [120] =
    {field_command, 0},
    {field_keys, 2},
    {field_prenote, 1},
  [123] =
    {field_command, 0},
    {field_from, 1},
    {field_to, 2},
  [126] =
    {field_command, 0},
    {field_name, 1},
    {field_number, 2},
  [129] =
    {field_command, 0},
    {field_declaration, 1},
    {field_implementation, 2},
  [132] =
    {field_command, 0},
    {field_name, 1},
    {field_name, 2},
  [135] =
    {field_command, 0},
    {field_name, 2},
    {field_options, 1},
  [138] =
    {field_command, 0},
    {field_name, 1},
    {field_title, 2},
  [141] =
    {field_command, 0},
    {field_name, 1},
    {field_text, 2},
  [144] =
    {field_command, 0},
    {field_model, 1},
    {field_spec, 2},
  [147] =
    {field_command, 0},
    {field_label, 2},
    {field_uri, 1},
  [150] =
    {field_begin, 0},
    {field_end, 2},
  [152] =
    {field_begin, 0},
    {field_command, 0, .inherited = true},
    {field_command, 2, .inherited = true},
    {field_comment, 1},
    {field_end, 2},
    {field_name, 0, .inherited = true},
    {field_name, 2, .inherited = true},
  [159] =
    {field_begin, 0},
    {field_command, 0, .inherited = true},
    {field_command, 2, .inherited = true},
    {field_end, 2},
    {field_name, 0, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_verbatim, 1},
  [166] =
    {field_begin, 0},
    {field_code, 1},
    {field_command, 0, .inherited = true},
    {field_command, 2, .inherited = true},
    {field_end, 2},
    {field_name, 0, .inherited = true},
    {field_name, 2, .inherited = true},
  [173] =
    {field_begin, 0},
    {field_code, 1},
    {field_command, 0, .inherited = true},
    {field_command, 2, .inherited = true},
    {field_end, 2},
    {field_language, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_options, 0, .inherited = true},
  [182] =
    {field_begin, 0},
    {field_command, 0, .inherited = true},
    {field_command, 2, .inherited = true},
    {field_end, 2},
    {field_name, 0, .inherited = true},
    {field_name, 2, .inherited = true},
  [188] =
    {field_text, 1},
  [189] =
    {field_left_command, 0},
    {field_left_delimiter, 1},
    {field_right_command, 2},
    {field_right_delimiter, 3},
  [193] =
    {field_text, 1},
    {field_word, 1, .inherited = true},
  [195] =
    {field_command, 0},
    {field_language, 3},
    {field_name, 1},
    {field_options, 2},
    {field_text, 1, .inherited = true},
  [200] =
    {field_pair, 1},
  [201] =
    {field_path, 1},
  [202] =
    {field_pattern, 1},
  [203] =
    {field_command, 0},
    {field_keys, 3},
    {field_postnote, 2},
    {field_prenote, 1},
  [207] =
    {field_command, 1},
  [208] =
    {field_argc, 2},
    {field_command, 0},
    {field_declaration, 1},
    {field_implementation, 3},
  [212] =
    {field_command, 0},
    {field_declaration, 1},
    {field_implementation, 3},
    {field_spec, 2},
  [216] =
    {field_command, 0},
    {field_declaration, 1},
    {field_implementation, 3},
  [219] =
    {field_command, 0},
    {field_declaration, 1},
    {field_left, 2},
    {field_right, 3},
  [223] =
    {field_begin, 2},
    {field_command, 0},
    {field_end, 3},
    {field_name, 1},
  [227] =
    {field_command, 0},
    {field_long, 3},
    {field_name, 1},
    {field_short, 2},
  [231] =
    {field_command, 0},
    {field_counter, 3},
    {field_name, 1},
    {field_title, 2},
  [235] =
    {field_command, 0},
    {field_counter, 2},
    {field_name, 1},
    {field_title, 3},
  [239] =
    {field_command, 0},
    {field_name, 2},
    {field_options, 1},
    {field_title, 3},
  [243] =
    {field_command, 0},
    {field_model, 2},
    {field_name, 1},
    {field_spec, 3},
  [247] =
    {field_command, 0},
    {field_model, 1},
    {field_spec, 2},
    {field_text, 3},
  [251] =
    {field_uri, 1},
  [252] =
    {field_left_command, 0},
    {field_left_delimiter, 1},
    {field_right_command, 3},
    {field_right_delimiter, 4},
  [256] =
    {field_key, 0},
    {field_value, 2},
  [258] =
    {field_pair, 1},
    {field_pair, 2, .inherited = true},
  [260] =
    {field_pair, 0, .inherited = true},
    {field_pair, 1, .inherited = true},
  [262] =
    {field_path, 1},
    {field_path, 2, .inherited = true},
  [264] =
    {field_path, 0, .inherited = true},
    {field_path, 1, .inherited = true},
  [266] =
    {field_text, 1},
    {field_text, 2, .inherited = true},
  [268] =
    {field_text, 0, .inherited = true},
    {field_text, 1, .inherited = true},
  [270] =
    {field_value, 1},
  [271] =
    {field_argc, 2},
    {field_command, 0},
    {field_declaration, 1},
    {field_default, 3},
    {field_implementation, 4},
  [276] =
    {field_body, 4},
    {field_command, 0},
    {field_declaration, 1},
    {field_left, 2},
    {field_right, 3},
  [281] =
    {field_argc, 2},
    {field_command, 0},
    {field_declaration, 1},
    {field_left, 3},
    {field_right, 4},
  [286] =
    {field_argc, 2},
    {field_begin, 3},
    {field_command, 0},
    {field_end, 4},
    {field_name, 1},
  [291] =
    {field_begin, 3},
    {field_command, 0},
    {field_end, 4},
    {field_name, 1},
    {field_spec, 2},
  [296] =
    {field_command, 0},
    {field_long, 4},
    {field_name, 2},
    {field_options, 1},
    {field_short, 3},
  [301] =
    {field_command, 0},
    {field_counter, 4},
    {field_name, 2},
    {field_options, 1},
    {field_title, 3},
  [306] =
    {field_command, 0},
    {field_counter, 3},
    {field_name, 2},
    {field_options, 1},
    {field_title, 4},
  [311] =
    {field_command, 0},
    {field_model, 3},
    {field_name, 2},
    {field_spec, 4},
  [315] =
    {field_command, 0},
    {field_head, 2},
    {field_model, 1},
    {field_spec, 4},
    {field_tail, 3},
  [320] =
    {field_argc, 2},
    {field_body, 5},
    {field_command, 0},
    {field_declaration, 1},
    {field_left, 3},
    {field_right, 4},
  [326] =
    {field_command, 0},
    {field_head, 3},
    {field_model, 2},
    {field_spec, 5},
    {field_tail, 4},
    {field_ty, 1},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [71] = {
    [1] = alias_sym_author,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  aux_sym_curly_group_author_list_repeat1, 2,
    aux_sym_curly_group_author_list_repeat1,
    alias_sym_author,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 6,
  [8] = 6,
  [9] = 9,
  [10] = 10,
  [11] = 9,
  [12] = 9,
  [13] = 9,
  [14] = 6,
  [15] = 9,
  [16] = 6,
  [17] = 9,
  [18] = 6,
  [19] = 9,
  [20] = 6,
  [21] = 9,
  [22] = 6,
  [23] = 6,
  [24] = 9,
  [25] = 2,
  [26] = 3,
  [27] = 4,
  [28] = 5,
  [29] = 5,
  [30] = 3,
  [31] = 4,
  [32] = 2,
  [33] = 5,
  [34] = 5,
  [35] = 2,
  [36] = 3,
  [37] = 4,
  [38] = 5,
  [39] = 2,
  [40] = 3,
  [41] = 4,
  [42] = 42,
  [43] = 42,
  [44] = 5,
  [45] = 45,
  [46] = 2,
  [47] = 42,
  [48] = 45,
  [49] = 4,
  [50] = 45,
  [51] = 42,
  [52] = 45,
  [53] = 42,
  [54] = 45,
  [55] = 42,
  [56] = 45,
  [57] = 3,
  [58] = 3,
  [59] = 4,
  [60] = 5,
  [61] = 5,
  [62] = 2,
  [63] = 45,
  [64] = 10,
  [65] = 4,
  [66] = 2,
  [67] = 3,
  [68] = 4,
  [69] = 2,
  [70] = 3,
  [71] = 42,
  [72] = 72,
  [73] = 10,
  [74] = 4,
  [75] = 75,
  [76] = 76,
  [77] = 3,
  [78] = 10,
  [79] = 5,
  [80] = 80,
  [81] = 10,
  [82] = 82,
  [83] = 83,
  [84] = 2,
  [85] = 3,
  [86] = 4,
  [87] = 5,
  [88] = 2,
  [89] = 3,
  [90] = 4,
  [91] = 5,
  [92] = 72,
  [93] = 93,
  [94] = 76,
  [95] = 93,
  [96] = 80,
  [97] = 82,
  [98] = 83,
  [99] = 93,
  [100] = 76,
  [101] = 72,
  [102] = 80,
  [103] = 82,
  [104] = 83,
  [105] = 93,
  [106] = 76,
  [107] = 72,
  [108] = 80,
  [109] = 82,
  [110] = 93,
  [111] = 76,
  [112] = 72,
  [113] = 80,
  [114] = 82,
  [115] = 83,
  [116] = 93,
  [117] = 76,
  [118] = 72,
  [119] = 80,
  [120] = 82,
  [121] = 83,
  [122] = 93,
  [123] = 76,
  [124] = 72,
  [125] = 80,
  [126] = 82,
  [127] = 83,
  [128] = 93,
  [129] = 76,
  [130] = 72,
  [131] = 80,
  [132] = 82,
  [133] = 83,
  [134] = 93,
  [135] = 76,
  [136] = 72,
  [137] = 80,
  [138] = 82,
  [139] = 83,
  [140] = 93,
  [141] = 76,
  [142] = 72,
  [143] = 80,
  [144] = 82,
  [145] = 83,
  [146] = 76,
  [147] = 72,
  [148] = 82,
  [149] = 83,
  [150] = 76,
  [151] = 72,
  [152] = 82,
  [153] = 83,
  [154] = 2,
  [155] = 83,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 156,
  [161] = 157,
  [162] = 156,
  [163] = 157,
  [164] = 156,
  [165] = 157,
  [166] = 157,
  [167] = 156,
  [168] = 168,
  [169] = 158,
  [170] = 159,
  [171] = 171,
  [172] = 158,
  [173] = 158,
  [174] = 159,
  [175] = 159,
  [176] = 159,
  [177] = 158,
  [178] = 171,
  [179] = 168,
  [180] = 180,
  [181] = 181,
  [182] = 171,
  [183] = 171,
  [184] = 171,
  [185] = 168,
  [186] = 168,
  [187] = 168,
  [188] = 181,
  [189] = 189,
  [190] = 180,
  [191] = 191,
  [192] = 180,
  [193] = 181,
  [194] = 180,
  [195] = 181,
  [196] = 181,
  [197] = 180,
  [198] = 191,
  [199] = 189,
  [200] = 189,
  [201] = 191,
  [202] = 191,
  [203] = 189,
  [204] = 189,
  [205] = 205,
  [206] = 191,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 205,
  [211] = 207,
  [212] = 205,
  [213] = 207,
  [214] = 207,
  [215] = 205,
  [216] = 205,
  [217] = 207,
  [218] = 218,
  [219] = 208,
  [220] = 220,
  [221] = 221,
  [222] = 209,
  [223] = 209,
  [224] = 209,
  [225] = 208,
  [226] = 208,
  [227] = 208,
  [228] = 209,
  [229] = 218,
  [230] = 220,
  [231] = 221,
  [232] = 221,
  [233] = 218,
  [234] = 220,
  [235] = 221,
  [236] = 218,
  [237] = 218,
  [238] = 220,
  [239] = 220,
  [240] = 221,
  [241] = 241,
  [242] = 241,
  [243] = 241,
  [244] = 244,
  [245] = 244,
  [246] = 244,
  [247] = 241,
  [248] = 244,
  [249] = 241,
  [250] = 241,
  [251] = 244,
  [252] = 241,
  [253] = 244,
  [254] = 244,
  [255] = 220,
  [256] = 256,
  [257] = 256,
  [258] = 258,
  [259] = 258,
  [260] = 260,
  [261] = 258,
  [262] = 256,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 265,
  [267] = 264,
  [268] = 265,
  [269] = 265,
  [270] = 264,
  [271] = 264,
  [272] = 264,
  [273] = 265,
  [274] = 274,
  [275] = 275,
  [276] = 274,
  [277] = 275,
  [278] = 275,
  [279] = 275,
  [280] = 274,
  [281] = 281,
  [282] = 274,
  [283] = 274,
  [284] = 275,
  [285] = 274,
  [286] = 275,
  [287] = 274,
  [288] = 274,
  [289] = 275,
  [290] = 274,
  [291] = 274,
  [292] = 275,
  [293] = 274,
  [294] = 275,
  [295] = 275,
  [296] = 275,
  [297] = 297,
  [298] = 298,
  [299] = 298,
  [300] = 297,
  [301] = 301,
  [302] = 301,
  [303] = 303,
  [304] = 301,
  [305] = 301,
  [306] = 301,
  [307] = 301,
  [308] = 301,
  [309] = 301,
  [310] = 301,
  [311] = 301,
  [312] = 303,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 318,
  [320] = 318,
  [321] = 318,
  [322] = 318,
  [323] = 318,
  [324] = 318,
  [325] = 318,
  [326] = 318,
  [327] = 318,
  [328] = 328,
  [329] = 265,
  [330] = 264,
  [331] = 265,
  [332] = 265,
  [333] = 264,
  [334] = 264,
  [335] = 265,
  [336] = 264,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 338,
  [341] = 337,
  [342] = 342,
  [343] = 338,
  [344] = 337,
  [345] = 338,
  [346] = 337,
  [347] = 338,
  [348] = 337,
  [349] = 349,
  [350] = 339,
  [351] = 342,
  [352] = 352,
  [353] = 339,
  [354] = 342,
  [355] = 339,
  [356] = 342,
  [357] = 342,
  [358] = 339,
  [359] = 264,
  [360] = 265,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 349,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 352,
  [377] = 366,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 366,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 366,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 366,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 366,
  [412] = 366,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 366,
  [420] = 366,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 366,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 445,
  [447] = 352,
  [448] = 445,
  [449] = 349,
  [450] = 450,
  [451] = 451,
  [452] = 352,
  [453] = 445,
  [454] = 454,
  [455] = 455,
  [456] = 445,
  [457] = 457,
  [458] = 352,
  [459] = 445,
  [460] = 445,
  [461] = 455,
  [462] = 349,
  [463] = 349,
  [464] = 445,
  [465] = 445,
  [466] = 466,
  [467] = 467,
  [468] = 445,
  [469] = 469,
  [470] = 469,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 469,
  [475] = 475,
  [476] = 472,
  [477] = 477,
  [478] = 469,
  [479] = 479,
  [480] = 472,
  [481] = 469,
  [482] = 469,
  [483] = 483,
  [484] = 472,
  [485] = 472,
  [486] = 472,
  [487] = 469,
  [488] = 488,
  [489] = 472,
  [490] = 490,
  [491] = 469,
  [492] = 492,
  [493] = 472,
  [494] = 494,
  [495] = 469,
  [496] = 472,
  [497] = 469,
  [498] = 472,
  [499] = 472,
  [500] = 425,
  [501] = 378,
  [502] = 379,
  [503] = 380,
  [504] = 381,
  [505] = 384,
  [506] = 385,
  [507] = 386,
  [508] = 398,
  [509] = 444,
  [510] = 388,
  [511] = 389,
  [512] = 369,
  [513] = 392,
  [514] = 393,
  [515] = 370,
  [516] = 371,
  [517] = 396,
  [518] = 397,
  [519] = 372,
  [520] = 399,
  [521] = 373,
  [522] = 374,
  [523] = 375,
  [524] = 400,
  [525] = 403,
  [526] = 404,
  [527] = 405,
  [528] = 406,
  [529] = 407,
  [530] = 408,
  [531] = 409,
  [532] = 410,
  [533] = 401,
  [534] = 413,
  [535] = 414,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 415,
  [546] = 416,
  [547] = 417,
  [548] = 418,
  [549] = 421,
  [550] = 422,
  [551] = 423,
  [552] = 424,
  [553] = 426,
  [554] = 427,
  [555] = 428,
  [556] = 429,
  [557] = 430,
  [558] = 390,
  [559] = 431,
  [560] = 432,
  [561] = 561,
  [562] = 433,
  [563] = 435,
  [564] = 361,
  [565] = 436,
  [566] = 437,
  [567] = 438,
  [568] = 387,
  [569] = 569,
  [570] = 394,
  [571] = 395,
  [572] = 572,
  [573] = 573,
  [574] = 439,
  [575] = 440,
  [576] = 441,
  [577] = 442,
  [578] = 443,
  [579] = 362,
  [580] = 363,
  [581] = 364,
  [582] = 365,
  [583] = 367,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 623,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 627,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 655,
  [656] = 656,
  [657] = 657,
  [658] = 658,
  [659] = 659,
  [660] = 660,
  [661] = 661,
  [662] = 662,
  [663] = 663,
  [664] = 664,
  [665] = 665,
  [666] = 666,
  [667] = 667,
  [668] = 668,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 672,
  [673] = 673,
  [674] = 674,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 678,
  [679] = 679,
  [680] = 680,
  [681] = 681,
  [682] = 682,
  [683] = 683,
  [684] = 684,
  [685] = 685,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 690,
  [691] = 691,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 696,
  [697] = 697,
  [698] = 698,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 703,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 709,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 720,
  [721] = 721,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 727,
  [728] = 728,
  [729] = 729,
  [730] = 466,
  [731] = 437,
  [732] = 440,
  [733] = 441,
  [734] = 403,
  [735] = 404,
  [736] = 405,
  [737] = 406,
  [738] = 407,
  [739] = 408,
  [740] = 409,
  [741] = 410,
  [742] = 442,
  [743] = 443,
  [744] = 413,
  [745] = 414,
  [746] = 415,
  [747] = 416,
  [748] = 362,
  [749] = 417,
  [750] = 418,
  [751] = 421,
  [752] = 422,
  [753] = 423,
  [754] = 424,
  [755] = 425,
  [756] = 363,
  [757] = 426,
  [758] = 427,
  [759] = 428,
  [760] = 429,
  [761] = 430,
  [762] = 431,
  [763] = 432,
  [764] = 433,
  [765] = 435,
  [766] = 361,
  [767] = 436,
  [768] = 437,
  [769] = 438,
  [770] = 439,
  [771] = 440,
  [772] = 441,
  [773] = 442,
  [774] = 443,
  [775] = 362,
  [776] = 363,
  [777] = 364,
  [778] = 365,
  [779] = 367,
  [780] = 387,
  [781] = 390,
  [782] = 394,
  [783] = 395,
  [784] = 398,
  [785] = 400,
  [786] = 401,
  [787] = 444,
  [788] = 369,
  [789] = 370,
  [790] = 371,
  [791] = 372,
  [792] = 373,
  [793] = 374,
  [794] = 375,
  [795] = 444,
  [796] = 369,
  [797] = 370,
  [798] = 371,
  [799] = 372,
  [800] = 373,
  [801] = 374,
  [802] = 375,
  [803] = 364,
  [804] = 378,
  [805] = 379,
  [806] = 380,
  [807] = 381,
  [808] = 384,
  [809] = 385,
  [810] = 386,
  [811] = 388,
  [812] = 389,
  [813] = 392,
  [814] = 393,
  [815] = 396,
  [816] = 397,
  [817] = 399,
  [818] = 450,
  [819] = 403,
  [820] = 404,
  [821] = 405,
  [822] = 406,
  [823] = 407,
  [824] = 408,
  [825] = 409,
  [826] = 410,
  [827] = 413,
  [828] = 414,
  [829] = 415,
  [830] = 416,
  [831] = 417,
  [832] = 418,
  [833] = 421,
  [834] = 422,
  [835] = 423,
  [836] = 424,
  [837] = 425,
  [838] = 426,
  [839] = 427,
  [840] = 428,
  [841] = 429,
  [842] = 430,
  [843] = 431,
  [844] = 432,
  [845] = 433,
  [846] = 435,
  [847] = 361,
  [848] = 436,
  [849] = 437,
  [850] = 439,
  [851] = 439,
  [852] = 440,
  [853] = 441,
  [854] = 442,
  [855] = 443,
  [856] = 362,
  [857] = 363,
  [858] = 364,
  [859] = 365,
  [860] = 367,
  [861] = 454,
  [862] = 365,
  [863] = 367,
  [864] = 378,
  [865] = 379,
  [866] = 380,
  [867] = 381,
  [868] = 387,
  [869] = 390,
  [870] = 384,
  [871] = 385,
  [872] = 386,
  [873] = 394,
  [874] = 395,
  [875] = 388,
  [876] = 389,
  [877] = 398,
  [878] = 451,
  [879] = 392,
  [880] = 393,
  [881] = 400,
  [882] = 396,
  [883] = 397,
  [884] = 401,
  [885] = 399,
  [886] = 387,
  [887] = 390,
  [888] = 394,
  [889] = 395,
  [890] = 398,
  [891] = 400,
  [892] = 401,
  [893] = 438,
  [894] = 457,
  [895] = 444,
  [896] = 369,
  [897] = 370,
  [898] = 371,
  [899] = 372,
  [900] = 373,
  [901] = 374,
  [902] = 375,
  [903] = 378,
  [904] = 379,
  [905] = 380,
  [906] = 381,
  [907] = 384,
  [908] = 385,
  [909] = 386,
  [910] = 388,
  [911] = 389,
  [912] = 392,
  [913] = 393,
  [914] = 396,
  [915] = 397,
  [916] = 399,
  [917] = 403,
  [918] = 404,
  [919] = 405,
  [920] = 406,
  [921] = 407,
  [922] = 408,
  [923] = 409,
  [924] = 410,
  [925] = 467,
  [926] = 413,
  [927] = 414,
  [928] = 415,
  [929] = 416,
  [930] = 417,
  [931] = 418,
  [932] = 421,
  [933] = 422,
  [934] = 423,
  [935] = 424,
  [936] = 425,
  [937] = 426,
  [938] = 427,
  [939] = 428,
  [940] = 429,
  [941] = 430,
  [942] = 431,
  [943] = 432,
  [944] = 433,
  [945] = 435,
  [946] = 361,
  [947] = 436,
  [948] = 438,
  [949] = 457,
  [950] = 454,
  [951] = 451,
  [952] = 457,
  [953] = 471,
  [954] = 450,
  [955] = 494,
  [956] = 477,
  [957] = 454,
  [958] = 473,
  [959] = 479,
  [960] = 457,
  [961] = 488,
  [962] = 454,
  [963] = 492,
  [964] = 466,
  [965] = 466,
  [966] = 467,
  [967] = 451,
  [968] = 467,
  [969] = 475,
  [970] = 483,
  [971] = 451,
  [972] = 466,
  [973] = 467,
  [974] = 450,
  [975] = 450,
  [976] = 600,
  [977] = 661,
  [978] = 726,
  [979] = 473,
  [980] = 683,
  [981] = 488,
  [982] = 684,
  [983] = 685,
  [984] = 686,
  [985] = 662,
  [986] = 663,
  [987] = 664,
  [988] = 561,
  [989] = 665,
  [990] = 475,
  [991] = 479,
  [992] = 624,
  [993] = 483,
  [994] = 483,
  [995] = 666,
  [996] = 667,
  [997] = 668,
  [998] = 669,
  [999] = 670,
  [1000] = 671,
  [1001] = 672,
  [1002] = 673,
  [1003] = 674,
  [1004] = 541,
  [1005] = 675,
  [1006] = 676,
  [1007] = 542,
  [1008] = 677,
  [1009] = 543,
  [1010] = 678,
  [1011] = 679,
  [1012] = 680,
  [1013] = 681,
  [1014] = 682,
  [1015] = 590,
  [1016] = 544,
  [1017] = 586,
  [1018] = 473,
  [1019] = 488,
  [1020] = 572,
  [1021] = 687,
  [1022] = 688,
  [1023] = 595,
  [1024] = 596,
  [1025] = 597,
  [1026] = 598,
  [1027] = 599,
  [1028] = 689,
  [1029] = 601,
  [1030] = 602,
  [1031] = 603,
  [1032] = 604,
  [1033] = 690,
  [1034] = 605,
  [1035] = 606,
  [1036] = 607,
  [1037] = 608,
  [1038] = 609,
  [1039] = 634,
  [1040] = 573,
  [1041] = 610,
  [1042] = 611,
  [1043] = 693,
  [1044] = 635,
  [1045] = 625,
  [1046] = 587,
  [1047] = 626,
  [1048] = 694,
  [1049] = 695,
  [1050] = 696,
  [1051] = 691,
  [1052] = 697,
  [1053] = 698,
  [1054] = 699,
  [1055] = 588,
  [1056] = 700,
  [1057] = 701,
  [1058] = 692,
  [1059] = 591,
  [1060] = 612,
  [1061] = 702,
  [1062] = 703,
  [1063] = 704,
  [1064] = 705,
  [1065] = 706,
  [1066] = 477,
  [1067] = 707,
  [1068] = 708,
  [1069] = 709,
  [1070] = 631,
  [1071] = 632,
  [1072] = 727,
  [1073] = 613,
  [1074] = 614,
  [1075] = 615,
  [1076] = 660,
  [1077] = 617,
  [1078] = 618,
  [1079] = 619,
  [1080] = 620,
  [1081] = 475,
  [1082] = 621,
  [1083] = 622,
  [1084] = 623,
  [1085] = 729,
  [1086] = 584,
  [1087] = 479,
  [1088] = 728,
  [1089] = 475,
  [1090] = 710,
  [1091] = 589,
  [1092] = 711,
  [1093] = 712,
  [1094] = 713,
  [1095] = 585,
  [1096] = 1096,
  [1097] = 483,
  [1098] = 714,
  [1099] = 715,
  [1100] = 471,
  [1101] = 477,
  [1102] = 716,
  [1103] = 717,
  [1104] = 479,
  [1105] = 718,
  [1106] = 633,
  [1107] = 471,
  [1108] = 719,
  [1109] = 720,
  [1110] = 721,
  [1111] = 722,
  [1112] = 723,
  [1113] = 724,
  [1114] = 725,
  [1115] = 657,
  [1116] = 477,
  [1117] = 636,
  [1118] = 637,
  [1119] = 638,
  [1120] = 627,
  [1121] = 639,
  [1122] = 640,
  [1123] = 641,
  [1124] = 471,
  [1125] = 642,
  [1126] = 643,
  [1127] = 494,
  [1128] = 492,
  [1129] = 644,
  [1130] = 645,
  [1131] = 646,
  [1132] = 647,
  [1133] = 648,
  [1134] = 494,
  [1135] = 649,
  [1136] = 492,
  [1137] = 536,
  [1138] = 628,
  [1139] = 650,
  [1140] = 629,
  [1141] = 651,
  [1142] = 652,
  [1143] = 653,
  [1144] = 569,
  [1145] = 592,
  [1146] = 537,
  [1147] = 593,
  [1148] = 654,
  [1149] = 655,
  [1150] = 473,
  [1151] = 538,
  [1152] = 488,
  [1153] = 594,
  [1154] = 539,
  [1155] = 656,
  [1156] = 658,
  [1157] = 659,
  [1158] = 494,
  [1159] = 492,
  [1160] = 630,
  [1161] = 540,
  [1162] = 616,
  [1163] = 603,
  [1164] = 613,
  [1165] = 614,
  [1166] = 594,
  [1167] = 721,
  [1168] = 658,
  [1169] = 659,
  [1170] = 660,
  [1171] = 661,
  [1172] = 662,
  [1173] = 663,
  [1174] = 664,
  [1175] = 665,
  [1176] = 666,
  [1177] = 667,
  [1178] = 668,
  [1179] = 669,
  [1180] = 670,
  [1181] = 671,
  [1182] = 672,
  [1183] = 615,
  [1184] = 673,
  [1185] = 674,
  [1186] = 675,
  [1187] = 616,
  [1188] = 676,
  [1189] = 677,
  [1190] = 678,
  [1191] = 679,
  [1192] = 680,
  [1193] = 663,
  [1194] = 722,
  [1195] = 681,
  [1196] = 617,
  [1197] = 682,
  [1198] = 723,
  [1199] = 724,
  [1200] = 618,
  [1201] = 725,
  [1202] = 619,
  [1203] = 664,
  [1204] = 665,
  [1205] = 561,
  [1206] = 620,
  [1207] = 621,
  [1208] = 622,
  [1209] = 666,
  [1210] = 623,
  [1211] = 729,
  [1212] = 710,
  [1213] = 711,
  [1214] = 590,
  [1215] = 572,
  [1216] = 591,
  [1217] = 712,
  [1218] = 713,
  [1219] = 595,
  [1220] = 596,
  [1221] = 597,
  [1222] = 598,
  [1223] = 726,
  [1224] = 599,
  [1225] = 600,
  [1226] = 601,
  [1227] = 602,
  [1228] = 603,
  [1229] = 604,
  [1230] = 605,
  [1231] = 606,
  [1232] = 607,
  [1233] = 608,
  [1234] = 609,
  [1235] = 573,
  [1236] = 610,
  [1237] = 726,
  [1238] = 683,
  [1239] = 684,
  [1240] = 685,
  [1241] = 611,
  [1242] = 686,
  [1243] = 687,
  [1244] = 688,
  [1245] = 693,
  [1246] = 683,
  [1247] = 684,
  [1248] = 685,
  [1249] = 686,
  [1250] = 687,
  [1251] = 688,
  [1252] = 689,
  [1253] = 690,
  [1254] = 691,
  [1255] = 692,
  [1256] = 612,
  [1257] = 727,
  [1258] = 728,
  [1259] = 689,
  [1260] = 690,
  [1261] = 691,
  [1262] = 692,
  [1263] = 612,
  [1264] = 693,
  [1265] = 694,
  [1266] = 625,
  [1267] = 626,
  [1268] = 694,
  [1269] = 624,
  [1270] = 695,
  [1271] = 696,
  [1272] = 697,
  [1273] = 698,
  [1274] = 695,
  [1275] = 696,
  [1276] = 697,
  [1277] = 699,
  [1278] = 584,
  [1279] = 698,
  [1280] = 572,
  [1281] = 727,
  [1282] = 585,
  [1283] = 699,
  [1284] = 627,
  [1285] = 628,
  [1286] = 595,
  [1287] = 596,
  [1288] = 700,
  [1289] = 597,
  [1290] = 701,
  [1291] = 598,
  [1292] = 728,
  [1293] = 599,
  [1294] = 600,
  [1295] = 601,
  [1296] = 602,
  [1297] = 608,
  [1298] = 604,
  [1299] = 605,
  [1300] = 606,
  [1301] = 607,
  [1302] = 608,
  [1303] = 609,
  [1304] = 573,
  [1305] = 610,
  [1306] = 726,
  [1307] = 683,
  [1308] = 684,
  [1309] = 685,
  [1310] = 611,
  [1311] = 686,
  [1312] = 687,
  [1313] = 688,
  [1314] = 689,
  [1315] = 690,
  [1316] = 691,
  [1317] = 692,
  [1318] = 612,
  [1319] = 693,
  [1320] = 694,
  [1321] = 695,
  [1322] = 696,
  [1323] = 697,
  [1324] = 667,
  [1325] = 698,
  [1326] = 727,
  [1327] = 702,
  [1328] = 699,
  [1329] = 700,
  [1330] = 701,
  [1331] = 728,
  [1332] = 703,
  [1333] = 702,
  [1334] = 704,
  [1335] = 705,
  [1336] = 703,
  [1337] = 704,
  [1338] = 705,
  [1339] = 706,
  [1340] = 668,
  [1341] = 706,
  [1342] = 707,
  [1343] = 708,
  [1344] = 707,
  [1345] = 708,
  [1346] = 709,
  [1347] = 629,
  [1348] = 630,
  [1349] = 631,
  [1350] = 632,
  [1351] = 700,
  [1352] = 701,
  [1353] = 709,
  [1354] = 669,
  [1355] = 702,
  [1356] = 703,
  [1357] = 613,
  [1358] = 614,
  [1359] = 615,
  [1360] = 616,
  [1361] = 617,
  [1362] = 714,
  [1363] = 670,
  [1364] = 618,
  [1365] = 715,
  [1366] = 716,
  [1367] = 619,
  [1368] = 717,
  [1369] = 718,
  [1370] = 719,
  [1371] = 620,
  [1372] = 621,
  [1373] = 622,
  [1374] = 623,
  [1375] = 729,
  [1376] = 593,
  [1377] = 711,
  [1378] = 712,
  [1379] = 713,
  [1380] = 624,
  [1381] = 714,
  [1382] = 657,
  [1383] = 715,
  [1384] = 716,
  [1385] = 717,
  [1386] = 718,
  [1387] = 719,
  [1388] = 720,
  [1389] = 721,
  [1390] = 722,
  [1391] = 723,
  [1392] = 724,
  [1393] = 725,
  [1394] = 569,
  [1395] = 704,
  [1396] = 705,
  [1397] = 613,
  [1398] = 706,
  [1399] = 614,
  [1400] = 633,
  [1401] = 536,
  [1402] = 537,
  [1403] = 538,
  [1404] = 615,
  [1405] = 625,
  [1406] = 626,
  [1407] = 539,
  [1408] = 540,
  [1409] = 541,
  [1410] = 542,
  [1411] = 543,
  [1412] = 544,
  [1413] = 586,
  [1414] = 634,
  [1415] = 635,
  [1416] = 584,
  [1417] = 585,
  [1418] = 616,
  [1419] = 627,
  [1420] = 628,
  [1421] = 629,
  [1422] = 630,
  [1423] = 631,
  [1424] = 617,
  [1425] = 632,
  [1426] = 618,
  [1427] = 587,
  [1428] = 707,
  [1429] = 588,
  [1430] = 589,
  [1431] = 636,
  [1432] = 708,
  [1433] = 619,
  [1434] = 637,
  [1435] = 620,
  [1436] = 621,
  [1437] = 633,
  [1438] = 536,
  [1439] = 537,
  [1440] = 538,
  [1441] = 539,
  [1442] = 540,
  [1443] = 541,
  [1444] = 542,
  [1445] = 622,
  [1446] = 623,
  [1447] = 729,
  [1448] = 710,
  [1449] = 711,
  [1450] = 543,
  [1451] = 544,
  [1452] = 586,
  [1453] = 634,
  [1454] = 712,
  [1455] = 713,
  [1456] = 635,
  [1457] = 624,
  [1458] = 587,
  [1459] = 638,
  [1460] = 588,
  [1461] = 589,
  [1462] = 636,
  [1463] = 639,
  [1464] = 714,
  [1465] = 625,
  [1466] = 626,
  [1467] = 637,
  [1468] = 671,
  [1469] = 638,
  [1470] = 715,
  [1471] = 639,
  [1472] = 716,
  [1473] = 717,
  [1474] = 718,
  [1475] = 719,
  [1476] = 584,
  [1477] = 585,
  [1478] = 627,
  [1479] = 628,
  [1480] = 629,
  [1481] = 630,
  [1482] = 631,
  [1483] = 632,
  [1484] = 640,
  [1485] = 641,
  [1486] = 642,
  [1487] = 643,
  [1488] = 644,
  [1489] = 645,
  [1490] = 646,
  [1491] = 647,
  [1492] = 720,
  [1493] = 721,
  [1494] = 633,
  [1495] = 536,
  [1496] = 537,
  [1497] = 538,
  [1498] = 539,
  [1499] = 540,
  [1500] = 541,
  [1501] = 542,
  [1502] = 543,
  [1503] = 544,
  [1504] = 586,
  [1505] = 634,
  [1506] = 635,
  [1507] = 722,
  [1508] = 587,
  [1509] = 723,
  [1510] = 588,
  [1511] = 589,
  [1512] = 636,
  [1513] = 648,
  [1514] = 637,
  [1515] = 638,
  [1516] = 639,
  [1517] = 640,
  [1518] = 641,
  [1519] = 642,
  [1520] = 643,
  [1521] = 644,
  [1522] = 645,
  [1523] = 646,
  [1524] = 647,
  [1525] = 648,
  [1526] = 649,
  [1527] = 650,
  [1528] = 651,
  [1529] = 652,
  [1530] = 653,
  [1531] = 654,
  [1532] = 655,
  [1533] = 649,
  [1534] = 724,
  [1535] = 656,
  [1536] = 725,
  [1537] = 650,
  [1538] = 651,
  [1539] = 652,
  [1540] = 653,
  [1541] = 672,
  [1542] = 673,
  [1543] = 654,
  [1544] = 655,
  [1545] = 640,
  [1546] = 674,
  [1547] = 675,
  [1548] = 676,
  [1549] = 656,
  [1550] = 677,
  [1551] = 678,
  [1552] = 679,
  [1553] = 561,
  [1554] = 641,
  [1555] = 642,
  [1556] = 643,
  [1557] = 680,
  [1558] = 594,
  [1559] = 590,
  [1560] = 591,
  [1561] = 593,
  [1562] = 644,
  [1563] = 681,
  [1564] = 658,
  [1565] = 645,
  [1566] = 646,
  [1567] = 647,
  [1568] = 682,
  [1569] = 659,
  [1570] = 660,
  [1571] = 657,
  [1572] = 1572,
  [1573] = 569,
  [1574] = 592,
  [1575] = 593,
  [1576] = 648,
  [1577] = 594,
  [1578] = 649,
  [1579] = 658,
  [1580] = 659,
  [1581] = 660,
  [1582] = 661,
  [1583] = 662,
  [1584] = 663,
  [1585] = 664,
  [1586] = 665,
  [1587] = 666,
  [1588] = 667,
  [1589] = 668,
  [1590] = 669,
  [1591] = 670,
  [1592] = 671,
  [1593] = 672,
  [1594] = 673,
  [1595] = 674,
  [1596] = 675,
  [1597] = 676,
  [1598] = 677,
  [1599] = 678,
  [1600] = 679,
  [1601] = 680,
  [1602] = 681,
  [1603] = 682,
  [1604] = 650,
  [1605] = 651,
  [1606] = 561,
  [1607] = 652,
  [1608] = 653,
  [1609] = 1609,
  [1610] = 654,
  [1611] = 655,
  [1612] = 590,
  [1613] = 591,
  [1614] = 611,
  [1615] = 709,
  [1616] = 661,
  [1617] = 656,
  [1618] = 592,
  [1619] = 720,
  [1620] = 609,
  [1621] = 1621,
  [1622] = 573,
  [1623] = 610,
  [1624] = 662,
  [1625] = 572,
  [1626] = 657,
  [1627] = 569,
  [1628] = 592,
  [1629] = 595,
  [1630] = 596,
  [1631] = 597,
  [1632] = 598,
  [1633] = 599,
  [1634] = 600,
  [1635] = 601,
  [1636] = 602,
  [1637] = 603,
  [1638] = 604,
  [1639] = 605,
  [1640] = 606,
  [1641] = 607,
  [1642] = 710,
  [1643] = 450,
  [1644] = 467,
  [1645] = 457,
  [1646] = 451,
  [1647] = 454,
  [1648] = 466,
  [1649] = 494,
  [1650] = 454,
  [1651] = 492,
  [1652] = 471,
  [1653] = 479,
  [1654] = 483,
  [1655] = 475,
  [1656] = 451,
  [1657] = 457,
  [1658] = 467,
  [1659] = 450,
  [1660] = 473,
  [1661] = 466,
  [1662] = 488,
  [1663] = 454,
  [1664] = 451,
  [1665] = 457,
  [1666] = 466,
  [1667] = 467,
  [1668] = 450,
  [1669] = 719,
  [1670] = 652,
  [1671] = 610,
  [1672] = 586,
  [1673] = 634,
  [1674] = 635,
  [1675] = 611,
  [1676] = 657,
  [1677] = 633,
  [1678] = 592,
  [1679] = 587,
  [1680] = 593,
  [1681] = 590,
  [1682] = 594,
  [1683] = 591,
  [1684] = 693,
  [1685] = 694,
  [1686] = 695,
  [1687] = 696,
  [1688] = 697,
  [1689] = 698,
  [1690] = 658,
  [1691] = 699,
  [1692] = 700,
  [1693] = 701,
  [1694] = 659,
  [1695] = 653,
  [1696] = 702,
  [1697] = 703,
  [1698] = 704,
  [1699] = 705,
  [1700] = 706,
  [1701] = 654,
  [1702] = 707,
  [1703] = 708,
  [1704] = 709,
  [1705] = 660,
  [1706] = 661,
  [1707] = 662,
  [1708] = 663,
  [1709] = 664,
  [1710] = 665,
  [1711] = 666,
  [1712] = 667,
  [1713] = 668,
  [1714] = 669,
  [1715] = 655,
  [1716] = 613,
  [1717] = 614,
  [1718] = 615,
  [1719] = 616,
  [1720] = 617,
  [1721] = 618,
  [1722] = 619,
  [1723] = 620,
  [1724] = 621,
  [1725] = 622,
  [1726] = 623,
  [1727] = 729,
  [1728] = 710,
  [1729] = 711,
  [1730] = 712,
  [1731] = 713,
  [1732] = 625,
  [1733] = 670,
  [1734] = 626,
  [1735] = 714,
  [1736] = 650,
  [1737] = 651,
  [1738] = 715,
  [1739] = 716,
  [1740] = 717,
  [1741] = 718,
  [1742] = 648,
  [1743] = 720,
  [1744] = 721,
  [1745] = 722,
  [1746] = 723,
  [1747] = 724,
  [1748] = 725,
  [1749] = 656,
  [1750] = 595,
  [1751] = 671,
  [1752] = 471,
  [1753] = 672,
  [1754] = 673,
  [1755] = 596,
  [1756] = 597,
  [1757] = 649,
  [1758] = 494,
  [1759] = 492,
  [1760] = 674,
  [1761] = 675,
  [1762] = 676,
  [1763] = 598,
  [1764] = 473,
  [1765] = 599,
  [1766] = 488,
  [1767] = 677,
  [1768] = 573,
  [1769] = 726,
  [1770] = 683,
  [1771] = 684,
  [1772] = 685,
  [1773] = 686,
  [1774] = 687,
  [1775] = 688,
  [1776] = 689,
  [1777] = 690,
  [1778] = 691,
  [1779] = 692,
  [1780] = 727,
  [1781] = 728,
  [1782] = 475,
  [1783] = 479,
  [1784] = 624,
  [1785] = 585,
  [1786] = 627,
  [1787] = 483,
  [1788] = 628,
  [1789] = 678,
  [1790] = 679,
  [1791] = 680,
  [1792] = 629,
  [1793] = 600,
  [1794] = 630,
  [1795] = 601,
  [1796] = 681,
  [1797] = 602,
  [1798] = 682,
  [1799] = 631,
  [1800] = 588,
  [1801] = 632,
  [1802] = 1802,
  [1803] = 589,
  [1804] = 636,
  [1805] = 603,
  [1806] = 637,
  [1807] = 638,
  [1808] = 604,
  [1809] = 605,
  [1810] = 639,
  [1811] = 471,
  [1812] = 640,
  [1813] = 612,
  [1814] = 606,
  [1815] = 607,
  [1816] = 494,
  [1817] = 492,
  [1818] = 641,
  [1819] = 642,
  [1820] = 643,
  [1821] = 608,
  [1822] = 473,
  [1823] = 609,
  [1824] = 488,
  [1825] = 475,
  [1826] = 479,
  [1827] = 483,
  [1828] = 644,
  [1829] = 645,
  [1830] = 646,
  [1831] = 647,
  [1832] = 584,
  [1833] = 1572,
  [1834] = 652,
  [1835] = 653,
  [1836] = 654,
  [1837] = 651,
  [1838] = 656,
  [1839] = 590,
  [1840] = 591,
  [1841] = 657,
  [1842] = 592,
  [1843] = 593,
  [1844] = 594,
  [1845] = 658,
  [1846] = 659,
  [1847] = 660,
  [1848] = 661,
  [1849] = 662,
  [1850] = 663,
  [1851] = 664,
  [1852] = 665,
  [1853] = 666,
  [1854] = 667,
  [1855] = 668,
  [1856] = 669,
  [1857] = 670,
  [1858] = 671,
  [1859] = 672,
  [1860] = 673,
  [1861] = 674,
  [1862] = 675,
  [1863] = 676,
  [1864] = 677,
  [1865] = 678,
  [1866] = 679,
  [1867] = 680,
  [1868] = 681,
  [1869] = 682,
  [1870] = 595,
  [1871] = 596,
  [1872] = 597,
  [1873] = 598,
  [1874] = 599,
  [1875] = 600,
  [1876] = 601,
  [1877] = 602,
  [1878] = 603,
  [1879] = 604,
  [1880] = 605,
  [1881] = 606,
  [1882] = 607,
  [1883] = 608,
  [1884] = 609,
  [1885] = 610,
  [1886] = 611,
  [1887] = 612,
  [1888] = 693,
  [1889] = 694,
  [1890] = 695,
  [1891] = 696,
  [1892] = 697,
  [1893] = 698,
  [1894] = 699,
  [1895] = 700,
  [1896] = 701,
  [1897] = 702,
  [1898] = 703,
  [1899] = 704,
  [1900] = 705,
  [1901] = 706,
  [1902] = 707,
  [1903] = 708,
  [1904] = 709,
  [1905] = 613,
  [1906] = 587,
  [1907] = 614,
  [1908] = 588,
  [1909] = 589,
  [1910] = 467,
  [1911] = 615,
  [1912] = 616,
  [1913] = 593,
  [1914] = 617,
  [1915] = 594,
  [1916] = 454,
  [1917] = 610,
  [1918] = 618,
  [1919] = 619,
  [1920] = 620,
  [1921] = 729,
  [1922] = 621,
  [1923] = 622,
  [1924] = 625,
  [1925] = 626,
  [1926] = 623,
  [1927] = 627,
  [1928] = 628,
  [1929] = 629,
  [1930] = 630,
  [1931] = 631,
  [1932] = 632,
  [1933] = 729,
  [1934] = 710,
  [1935] = 633,
  [1936] = 586,
  [1937] = 634,
  [1938] = 635,
  [1939] = 711,
  [1940] = 712,
  [1941] = 636,
  [1942] = 713,
  [1943] = 637,
  [1944] = 638,
  [1945] = 639,
  [1946] = 640,
  [1947] = 641,
  [1948] = 642,
  [1949] = 643,
  [1950] = 644,
  [1951] = 645,
  [1952] = 646,
  [1953] = 647,
  [1954] = 648,
  [1955] = 649,
  [1956] = 650,
  [1957] = 651,
  [1958] = 652,
  [1959] = 653,
  [1960] = 654,
  [1961] = 655,
  [1962] = 714,
  [1963] = 656,
  [1964] = 715,
  [1965] = 657,
  [1966] = 592,
  [1967] = 716,
  [1968] = 717,
  [1969] = 718,
  [1970] = 658,
  [1971] = 659,
  [1972] = 660,
  [1973] = 661,
  [1974] = 662,
  [1975] = 663,
  [1976] = 664,
  [1977] = 665,
  [1978] = 666,
  [1979] = 667,
  [1980] = 668,
  [1981] = 669,
  [1982] = 670,
  [1983] = 671,
  [1984] = 672,
  [1985] = 673,
  [1986] = 674,
  [1987] = 675,
  [1988] = 676,
  [1989] = 677,
  [1990] = 678,
  [1991] = 679,
  [1992] = 680,
  [1993] = 719,
  [1994] = 720,
  [1995] = 681,
  [1996] = 721,
  [1997] = 682,
  [1998] = 573,
  [1999] = 693,
  [2000] = 694,
  [2001] = 695,
  [2002] = 696,
  [2003] = 697,
  [2004] = 698,
  [2005] = 699,
  [2006] = 700,
  [2007] = 701,
  [2008] = 722,
  [2009] = 702,
  [2010] = 703,
  [2011] = 704,
  [2012] = 705,
  [2013] = 706,
  [2014] = 723,
  [2015] = 707,
  [2016] = 708,
  [2017] = 709,
  [2018] = 710,
  [2019] = 711,
  [2020] = 712,
  [2021] = 713,
  [2022] = 714,
  [2023] = 724,
  [2024] = 715,
  [2025] = 716,
  [2026] = 717,
  [2027] = 718,
  [2028] = 719,
  [2029] = 720,
  [2030] = 721,
  [2031] = 722,
  [2032] = 723,
  [2033] = 724,
  [2034] = 725,
  [2035] = 725,
  [2036] = 726,
  [2037] = 727,
  [2038] = 728,
  [2039] = 624,
  [2040] = 1621,
  [2041] = 573,
  [2042] = 625,
  [2043] = 726,
  [2044] = 683,
  [2045] = 684,
  [2046] = 685,
  [2047] = 626,
  [2048] = 686,
  [2049] = 687,
  [2050] = 688,
  [2051] = 689,
  [2052] = 690,
  [2053] = 691,
  [2054] = 692,
  [2055] = 727,
  [2056] = 728,
  [2057] = 584,
  [2058] = 585,
  [2059] = 627,
  [2060] = 628,
  [2061] = 629,
  [2062] = 630,
  [2063] = 631,
  [2064] = 632,
  [2065] = 633,
  [2066] = 586,
  [2067] = 624,
  [2068] = 634,
  [2069] = 635,
  [2070] = 650,
  [2071] = 587,
  [2072] = 588,
  [2073] = 589,
  [2074] = 636,
  [2075] = 637,
  [2076] = 638,
  [2077] = 639,
  [2078] = 640,
  [2079] = 641,
  [2080] = 642,
  [2081] = 643,
  [2082] = 644,
  [2083] = 645,
  [2084] = 646,
  [2085] = 647,
  [2086] = 648,
  [2087] = 649,
  [2088] = 655,
  [2089] = 473,
  [2090] = 450,
  [2091] = 451,
  [2092] = 479,
  [2093] = 1572,
  [2094] = 457,
  [2095] = 1621,
  [2096] = 466,
  [2097] = 670,
  [2098] = 488,
  [2099] = 494,
  [2100] = 697,
  [2101] = 592,
  [2102] = 475,
  [2103] = 483,
  [2104] = 471,
  [2105] = 712,
  [2106] = 492,
  [2107] = 586,
  [2108] = 626,
  [2109] = 676,
  [2110] = 677,
  [2111] = 678,
  [2112] = 679,
  [2113] = 680,
  [2114] = 659,
  [2115] = 593,
  [2116] = 726,
  [2117] = 681,
  [2118] = 660,
  [2119] = 682,
  [2120] = 573,
  [2121] = 661,
  [2122] = 594,
  [2123] = 727,
  [2124] = 693,
  [2125] = 694,
  [2126] = 695,
  [2127] = 728,
  [2128] = 696,
  [2129] = 662,
  [2130] = 698,
  [2131] = 729,
  [2132] = 699,
  [2133] = 700,
  [2134] = 701,
  [2135] = 663,
  [2136] = 664,
  [2137] = 702,
  [2138] = 703,
  [2139] = 704,
  [2140] = 705,
  [2141] = 706,
  [2142] = 624,
  [2143] = 665,
  [2144] = 707,
  [2145] = 708,
  [2146] = 709,
  [2147] = 625,
  [2148] = 710,
  [2149] = 711,
  [2150] = 666,
  [2151] = 713,
  [2152] = 656,
  [2153] = 714,
  [2154] = 667,
  [2155] = 715,
  [2156] = 716,
  [2157] = 717,
  [2158] = 718,
  [2159] = 719,
  [2160] = 657,
  [2161] = 2161,
  [2162] = 721,
  [2163] = 668,
  [2164] = 669,
  [2165] = 722,
  [2166] = 723,
  [2167] = 724,
  [2168] = 725,
  [2169] = 658,
  [2170] = 627,
  [2171] = 628,
  [2172] = 629,
  [2173] = 630,
  [2174] = 631,
  [2175] = 632,
  [2176] = 671,
  [2177] = 633,
  [2178] = 634,
  [2179] = 635,
  [2180] = 672,
  [2181] = 610,
  [2182] = 636,
  [2183] = 673,
  [2184] = 637,
  [2185] = 638,
  [2186] = 639,
  [2187] = 640,
  [2188] = 641,
  [2189] = 642,
  [2190] = 643,
  [2191] = 644,
  [2192] = 645,
  [2193] = 646,
  [2194] = 647,
  [2195] = 648,
  [2196] = 649,
  [2197] = 650,
  [2198] = 674,
  [2199] = 651,
  [2200] = 652,
  [2201] = 653,
  [2202] = 587,
  [2203] = 654,
  [2204] = 588,
  [2205] = 589,
  [2206] = 655,
  [2207] = 675,
  [2208] = 720,
  [2209] = 454,
  [2210] = 467,
  [2211] = 450,
  [2212] = 457,
  [2213] = 466,
  [2214] = 492,
  [2215] = 473,
  [2216] = 494,
  [2217] = 670,
  [2218] = 488,
  [2219] = 592,
  [2220] = 697,
  [2221] = 586,
  [2222] = 479,
  [2223] = 475,
  [2224] = 451,
  [2225] = 712,
  [2226] = 483,
  [2227] = 728,
  [2228] = 726,
  [2229] = 709,
  [2230] = 471,
  [2231] = 624,
  [2232] = 636,
  [2233] = 648,
  [2234] = 654,
  [2235] = 671,
  [2236] = 672,
  [2237] = 673,
  [2238] = 674,
  [2239] = 675,
  [2240] = 676,
  [2241] = 677,
  [2242] = 678,
  [2243] = 679,
  [2244] = 680,
  [2245] = 657,
  [2246] = 626,
  [2247] = 681,
  [2248] = 682,
  [2249] = 656,
  [2250] = 627,
  [2251] = 628,
  [2252] = 629,
  [2253] = 630,
  [2254] = 631,
  [2255] = 632,
  [2256] = 693,
  [2257] = 694,
  [2258] = 695,
  [2259] = 696,
  [2260] = 658,
  [2261] = 698,
  [2262] = 659,
  [2263] = 699,
  [2264] = 700,
  [2265] = 701,
  [2266] = 660,
  [2267] = 702,
  [2268] = 703,
  [2269] = 704,
  [2270] = 705,
  [2271] = 706,
  [2272] = 661,
  [2273] = 707,
  [2274] = 708,
  [2275] = 662,
  [2276] = 633,
  [2277] = 573,
  [2278] = 727,
  [2279] = 663,
  [2280] = 664,
  [2281] = 634,
  [2282] = 635,
  [2283] = 625,
  [2284] = 710,
  [2285] = 711,
  [2286] = 665,
  [2287] = 713,
  [2288] = 666,
  [2289] = 714,
  [2290] = 667,
  [2291] = 715,
  [2292] = 716,
  [2293] = 717,
  [2294] = 718,
  [2295] = 719,
  [2296] = 720,
  [2297] = 721,
  [2298] = 722,
  [2299] = 723,
  [2300] = 724,
  [2301] = 725,
  [2302] = 668,
  [2303] = 637,
  [2304] = 638,
  [2305] = 639,
  [2306] = 640,
  [2307] = 641,
  [2308] = 642,
  [2309] = 643,
  [2310] = 644,
  [2311] = 645,
  [2312] = 646,
  [2313] = 647,
  [2314] = 669,
  [2315] = 649,
  [2316] = 650,
  [2317] = 651,
  [2318] = 652,
  [2319] = 653,
  [2320] = 655,
  [2321] = 2321,
  [2322] = 2321,
  [2323] = 2321,
  [2324] = 2321,
  [2325] = 2321,
  [2326] = 2321,
  [2327] = 2321,
  [2328] = 2328,
  [2329] = 2329,
  [2330] = 2330,
  [2331] = 2331,
  [2332] = 2329,
  [2333] = 2329,
  [2334] = 2329,
  [2335] = 2331,
  [2336] = 2329,
  [2337] = 2331,
  [2338] = 2331,
  [2339] = 2331,
  [2340] = 2330,
  [2341] = 2329,
  [2342] = 2331,
  [2343] = 2331,
  [2344] = 2329,
  [2345] = 2331,
  [2346] = 2330,
  [2347] = 2329,
  [2348] = 2330,
  [2349] = 2329,
  [2350] = 2330,
  [2351] = 2330,
  [2352] = 2330,
  [2353] = 2330,
  [2354] = 2330,
  [2355] = 2331,
  [2356] = 2356,
  [2357] = 2357,
  [2358] = 2358,
  [2359] = 2357,
  [2360] = 2360,
  [2361] = 2360,
  [2362] = 2357,
  [2363] = 2357,
  [2364] = 2357,
  [2365] = 2360,
  [2366] = 2360,
  [2367] = 2360,
  [2368] = 2357,
  [2369] = 2360,
  [2370] = 2360,
  [2371] = 2371,
  [2372] = 2360,
  [2373] = 2357,
  [2374] = 2357,
  [2375] = 2360,
  [2376] = 2357,
  [2377] = 2357,
  [2378] = 2360,
  [2379] = 2379,
  [2380] = 2380,
  [2381] = 2381,
  [2382] = 2382,
  [2383] = 2383,
  [2384] = 2384,
  [2385] = 2385,
  [2386] = 2386,
  [2387] = 2387,
  [2388] = 2388,
  [2389] = 2389,
  [2390] = 2390,
  [2391] = 2391,
  [2392] = 2392,
  [2393] = 2393,
  [2394] = 2394,
  [2395] = 2395,
  [2396] = 2396,
  [2397] = 2397,
  [2398] = 2398,
  [2399] = 2386,
  [2400] = 2383,
  [2401] = 2384,
  [2402] = 2387,
  [2403] = 2393,
  [2404] = 2404,
  [2405] = 2405,
  [2406] = 2385,
  [2407] = 2407,
  [2408] = 2386,
  [2409] = 2394,
  [2410] = 2383,
  [2411] = 2384,
  [2412] = 2385,
  [2413] = 2386,
  [2414] = 2387,
  [2415] = 2388,
  [2416] = 2389,
  [2417] = 2390,
  [2418] = 2391,
  [2419] = 2392,
  [2420] = 2393,
  [2421] = 2394,
  [2422] = 2395,
  [2423] = 2396,
  [2424] = 2397,
  [2425] = 2398,
  [2426] = 2387,
  [2427] = 2388,
  [2428] = 2389,
  [2429] = 2404,
  [2430] = 2405,
  [2431] = 2390,
  [2432] = 2391,
  [2433] = 2392,
  [2434] = 2393,
  [2435] = 2407,
  [2436] = 2394,
  [2437] = 2395,
  [2438] = 2396,
  [2439] = 2397,
  [2440] = 2398,
  [2441] = 2383,
  [2442] = 2384,
  [2443] = 2380,
  [2444] = 2383,
  [2445] = 2385,
  [2446] = 2386,
  [2447] = 2387,
  [2448] = 2388,
  [2449] = 2389,
  [2450] = 2390,
  [2451] = 2391,
  [2452] = 2392,
  [2453] = 2393,
  [2454] = 2394,
  [2455] = 2395,
  [2456] = 2396,
  [2457] = 2397,
  [2458] = 2398,
  [2459] = 2384,
  [2460] = 2460,
  [2461] = 2381,
  [2462] = 2385,
  [2463] = 2404,
  [2464] = 2405,
  [2465] = 2386,
  [2466] = 2387,
  [2467] = 2407,
  [2468] = 2404,
  [2469] = 2405,
  [2470] = 2388,
  [2471] = 2389,
  [2472] = 2390,
  [2473] = 2383,
  [2474] = 2384,
  [2475] = 2391,
  [2476] = 2392,
  [2477] = 2385,
  [2478] = 2386,
  [2479] = 2387,
  [2480] = 2388,
  [2481] = 2389,
  [2482] = 2390,
  [2483] = 2391,
  [2484] = 2392,
  [2485] = 2393,
  [2486] = 2394,
  [2487] = 2395,
  [2488] = 2396,
  [2489] = 2397,
  [2490] = 2398,
  [2491] = 2407,
  [2492] = 2393,
  [2493] = 2404,
  [2494] = 2405,
  [2495] = 2394,
  [2496] = 2407,
  [2497] = 2395,
  [2498] = 2383,
  [2499] = 2396,
  [2500] = 2385,
  [2501] = 2386,
  [2502] = 2387,
  [2503] = 2388,
  [2504] = 2389,
  [2505] = 2390,
  [2506] = 2391,
  [2507] = 2392,
  [2508] = 2393,
  [2509] = 2394,
  [2510] = 2395,
  [2511] = 2396,
  [2512] = 2397,
  [2513] = 2398,
  [2514] = 2397,
  [2515] = 2383,
  [2516] = 2384,
  [2517] = 2404,
  [2518] = 2405,
  [2519] = 2398,
  [2520] = 2407,
  [2521] = 2398,
  [2522] = 2385,
  [2523] = 2386,
  [2524] = 2387,
  [2525] = 2388,
  [2526] = 2389,
  [2527] = 2390,
  [2528] = 2391,
  [2529] = 2392,
  [2530] = 2393,
  [2531] = 2394,
  [2532] = 2395,
  [2533] = 2396,
  [2534] = 2397,
  [2535] = 2398,
  [2536] = 2389,
  [2537] = 2390,
  [2538] = 2380,
  [2539] = 2407,
  [2540] = 2391,
  [2541] = 2541,
  [2542] = 2404,
  [2543] = 2405,
  [2544] = 2392,
  [2545] = 2384,
  [2546] = 2380,
  [2547] = 2407,
  [2548] = 2395,
  [2549] = 2388,
  [2550] = 2404,
  [2551] = 2380,
  [2552] = 2405,
  [2553] = 2383,
  [2554] = 2384,
  [2555] = 2385,
  [2556] = 2380,
  [2557] = 2386,
  [2558] = 2387,
  [2559] = 2388,
  [2560] = 2389,
  [2561] = 2390,
  [2562] = 2391,
  [2563] = 2392,
  [2564] = 2393,
  [2565] = 2380,
  [2566] = 2394,
  [2567] = 2395,
  [2568] = 2396,
  [2569] = 2397,
  [2570] = 2398,
  [2571] = 2380,
  [2572] = 2396,
  [2573] = 2397,
  [2574] = 2380,
  [2575] = 2407,
  [2576] = 2404,
  [2577] = 2405,
  [2578] = 2405,
  [2579] = 2380,
  [2580] = 2404,
  [2581] = 2460,
  [2582] = 2382,
  [2583] = 2383,
  [2584] = 2460,
  [2585] = 2382,
  [2586] = 2460,
  [2587] = 2382,
  [2588] = 2407,
  [2589] = 2460,
  [2590] = 2382,
  [2591] = 2385,
  [2592] = 2460,
  [2593] = 2382,
  [2594] = 2460,
  [2595] = 2382,
  [2596] = 2460,
  [2597] = 2382,
  [2598] = 2460,
  [2599] = 2382,
  [2600] = 2460,
  [2601] = 2382,
  [2602] = 2381,
  [2603] = 2381,
  [2604] = 2381,
  [2605] = 2381,
  [2606] = 2381,
  [2607] = 2381,
  [2608] = 2381,
  [2609] = 2381,
  [2610] = 2384,
  [2611] = 2611,
  [2612] = 2612,
  [2613] = 2613,
  [2614] = 2614,
  [2615] = 2615,
  [2616] = 2616,
  [2617] = 2617,
  [2618] = 2618,
  [2619] = 2618,
  [2620] = 2620,
  [2621] = 2611,
  [2622] = 2622,
  [2623] = 2623,
  [2624] = 2618,
  [2625] = 2625,
  [2626] = 2620,
  [2627] = 2613,
  [2628] = 2614,
  [2629] = 2629,
  [2630] = 2630,
  [2631] = 2631,
  [2632] = 2629,
  [2633] = 2629,
  [2634] = 2634,
  [2635] = 2618,
  [2636] = 2622,
  [2637] = 2620,
  [2638] = 2613,
  [2639] = 2614,
  [2640] = 2640,
  [2641] = 2613,
  [2642] = 2629,
  [2643] = 2622,
  [2644] = 2618,
  [2645] = 2630,
  [2646] = 2646,
  [2647] = 2622,
  [2648] = 2616,
  [2649] = 2613,
  [2650] = 2614,
  [2651] = 2620,
  [2652] = 2616,
  [2653] = 2653,
  [2654] = 2625,
  [2655] = 2611,
  [2656] = 2656,
  [2657] = 2653,
  [2658] = 2622,
  [2659] = 2629,
  [2660] = 2613,
  [2661] = 2614,
  [2662] = 2630,
  [2663] = 2611,
  [2664] = 2664,
  [2665] = 2665,
  [2666] = 2630,
  [2667] = 2646,
  [2668] = 2616,
  [2669] = 2622,
  [2670] = 2646,
  [2671] = 2653,
  [2672] = 2613,
  [2673] = 2614,
  [2674] = 2625,
  [2675] = 2611,
  [2676] = 2616,
  [2677] = 2630,
  [2678] = 2646,
  [2679] = 2646,
  [2680] = 2653,
  [2681] = 2622,
  [2682] = 2613,
  [2683] = 2614,
  [2684] = 2616,
  [2685] = 2625,
  [2686] = 2686,
  [2687] = 2653,
  [2688] = 727,
  [2689] = 2625,
  [2690] = 2630,
  [2691] = 2616,
  [2692] = 2613,
  [2693] = 2614,
  [2694] = 2620,
  [2695] = 2695,
  [2696] = 2618,
  [2697] = 2620,
  [2698] = 2618,
  [2699] = 2622,
  [2700] = 2613,
  [2701] = 2614,
  [2702] = 2618,
  [2703] = 2620,
  [2704] = 2620,
  [2705] = 2653,
  [2706] = 2629,
  [2707] = 2622,
  [2708] = 2629,
  [2709] = 2625,
  [2710] = 2686,
  [2711] = 2625,
  [2712] = 2611,
  [2713] = 2664,
  [2714] = 2629,
  [2715] = 2631,
  [2716] = 2618,
  [2717] = 2686,
  [2718] = 2630,
  [2719] = 2646,
  [2720] = 2620,
  [2721] = 2686,
  [2722] = 2616,
  [2723] = 2723,
  [2724] = 2653,
  [2725] = 2686,
  [2726] = 2618,
  [2727] = 2620,
  [2728] = 2625,
  [2729] = 2686,
  [2730] = 2611,
  [2731] = 2629,
  [2732] = 2629,
  [2733] = 2686,
  [2734] = 2646,
  [2735] = 2630,
  [2736] = 2630,
  [2737] = 2686,
  [2738] = 2646,
  [2739] = 2616,
  [2740] = 2686,
  [2741] = 2630,
  [2742] = 2653,
  [2743] = 2686,
  [2744] = 2625,
  [2745] = 2611,
  [2746] = 2646,
  [2747] = 2614,
  [2748] = 2616,
  [2749] = 2653,
  [2750] = 2653,
  [2751] = 2625,
  [2752] = 2611,
  [2753] = 2611,
  [2754] = 2646,
  [2755] = 2622,
  [2756] = 2756,
  [2757] = 2757,
  [2758] = 2758,
  [2759] = 2759,
  [2760] = 2760,
  [2761] = 2761,
  [2762] = 2762,
  [2763] = 2763,
  [2764] = 2764,
  [2765] = 2765,
  [2766] = 2766,
  [2767] = 2767,
  [2768] = 2768,
  [2769] = 2769,
  [2770] = 2770,
  [2771] = 2771,
  [2772] = 2772,
  [2773] = 2773,
  [2774] = 2774,
  [2775] = 2775,
  [2776] = 2776,
  [2777] = 2777,
  [2778] = 2778,
  [2779] = 2779,
  [2780] = 2780,
  [2781] = 2781,
  [2782] = 2782,
  [2783] = 2761,
  [2784] = 2762,
  [2785] = 2780,
  [2786] = 2786,
  [2787] = 2787,
  [2788] = 2788,
  [2789] = 2789,
  [2790] = 2786,
  [2791] = 2791,
  [2792] = 2792,
  [2793] = 2787,
  [2794] = 2788,
  [2795] = 2795,
  [2796] = 2796,
  [2797] = 2797,
  [2798] = 2798,
  [2799] = 2799,
  [2800] = 2757,
  [2801] = 2801,
  [2802] = 2802,
  [2803] = 2803,
  [2804] = 2804,
  [2805] = 2805,
  [2806] = 2806,
  [2807] = 2807,
  [2808] = 2758,
  [2809] = 2809,
  [2810] = 2810,
  [2811] = 2811,
  [2812] = 2812,
  [2813] = 2813,
  [2814] = 2814,
  [2815] = 2789,
  [2816] = 2816,
  [2817] = 2817,
  [2818] = 2818,
  [2819] = 2819,
  [2820] = 2820,
  [2821] = 2821,
  [2822] = 2822,
  [2823] = 2823,
  [2824] = 2824,
  [2825] = 2825,
  [2826] = 2826,
  [2827] = 2827,
  [2828] = 2828,
  [2829] = 2829,
  [2830] = 2830,
  [2831] = 2831,
  [2832] = 2832,
  [2833] = 2833,
  [2834] = 2834,
  [2835] = 2759,
  [2836] = 2782,
  [2837] = 2792,
  [2838] = 2804,
  [2839] = 2839,
  [2840] = 2840,
  [2841] = 2841,
  [2842] = 2842,
  [2843] = 2843,
  [2844] = 2844,
  [2845] = 2845,
  [2846] = 2846,
  [2847] = 2847,
  [2848] = 2848,
  [2849] = 2849,
  [2850] = 2850,
  [2851] = 2851,
  [2852] = 2852,
  [2853] = 2853,
  [2854] = 2760,
  [2855] = 2855,
  [2856] = 2758,
  [2857] = 2857,
  [2858] = 2760,
  [2859] = 2859,
  [2860] = 2763,
  [2861] = 2861,
  [2862] = 2764,
  [2863] = 2765,
  [2864] = 2766,
  [2865] = 2767,
  [2866] = 2768,
  [2867] = 2769,
  [2868] = 2770,
  [2869] = 2771,
  [2870] = 2772,
  [2871] = 2773,
  [2872] = 2774,
  [2873] = 2775,
  [2874] = 2776,
  [2875] = 2777,
  [2876] = 2876,
  [2877] = 2877,
  [2878] = 2878,
  [2879] = 2763,
  [2880] = 2781,
  [2881] = 2881,
  [2882] = 2882,
  [2883] = 2761,
  [2884] = 2762,
  [2885] = 2816,
  [2886] = 2780,
  [2887] = 2786,
  [2888] = 2787,
  [2889] = 2788,
  [2890] = 2789,
  [2891] = 2791,
  [2892] = 2796,
  [2893] = 2893,
  [2894] = 2818,
  [2895] = 2796,
  [2896] = 2764,
  [2897] = 2801,
  [2898] = 2898,
  [2899] = 2802,
  [2900] = 2801,
  [2901] = 2803,
  [2902] = 2802,
  [2903] = 2803,
  [2904] = 2904,
  [2905] = 2819,
  [2906] = 2805,
  [2907] = 2805,
  [2908] = 2765,
  [2909] = 2806,
  [2910] = 2807,
  [2911] = 2806,
  [2912] = 2807,
  [2913] = 2811,
  [2914] = 2812,
  [2915] = 624,
  [2916] = 2766,
  [2917] = 2917,
  [2918] = 2811,
  [2919] = 2816,
  [2920] = 2812,
  [2921] = 2818,
  [2922] = 2819,
  [2923] = 2820,
  [2924] = 2821,
  [2925] = 2822,
  [2926] = 2823,
  [2927] = 2824,
  [2928] = 2825,
  [2929] = 2826,
  [2930] = 2827,
  [2931] = 2931,
  [2932] = 2932,
  [2933] = 2829,
  [2934] = 2830,
  [2935] = 2820,
  [2936] = 2831,
  [2937] = 2832,
  [2938] = 2833,
  [2939] = 2834,
  [2940] = 2759,
  [2941] = 2782,
  [2942] = 2792,
  [2943] = 2804,
  [2944] = 2839,
  [2945] = 2814,
  [2946] = 2841,
  [2947] = 2842,
  [2948] = 2843,
  [2949] = 2844,
  [2950] = 2845,
  [2951] = 2846,
  [2952] = 2847,
  [2953] = 2848,
  [2954] = 2849,
  [2955] = 2850,
  [2956] = 2851,
  [2957] = 2852,
  [2958] = 2814,
  [2959] = 2821,
  [2960] = 2816,
  [2961] = 2758,
  [2962] = 2760,
  [2963] = 2818,
  [2964] = 2819,
  [2965] = 2763,
  [2966] = 2820,
  [2967] = 2764,
  [2968] = 2765,
  [2969] = 2766,
  [2970] = 2767,
  [2971] = 2768,
  [2972] = 2769,
  [2973] = 2770,
  [2974] = 2771,
  [2975] = 2772,
  [2976] = 2773,
  [2977] = 2774,
  [2978] = 2775,
  [2979] = 2776,
  [2980] = 2777,
  [2981] = 2821,
  [2982] = 2822,
  [2983] = 2823,
  [2984] = 2824,
  [2985] = 2781,
  [2986] = 2825,
  [2987] = 2826,
  [2988] = 2761,
  [2989] = 2762,
  [2990] = 2827,
  [2991] = 2780,
  [2992] = 2786,
  [2993] = 2787,
  [2994] = 2788,
  [2995] = 2789,
  [2996] = 2791,
  [2997] = 2829,
  [2998] = 2830,
  [2999] = 2791,
  [3000] = 2831,
  [3001] = 2796,
  [3002] = 2832,
  [3003] = 2833,
  [3004] = 2834,
  [3005] = 2759,
  [3006] = 2801,
  [3007] = 2782,
  [3008] = 2802,
  [3009] = 2803,
  [3010] = 2792,
  [3011] = 2804,
  [3012] = 2839,
  [3013] = 2805,
  [3014] = 2822,
  [3015] = 2841,
  [3016] = 2806,
  [3017] = 2807,
  [3018] = 2842,
  [3019] = 2843,
  [3020] = 2844,
  [3021] = 2845,
  [3022] = 2811,
  [3023] = 2812,
  [3024] = 2846,
  [3025] = 2847,
  [3026] = 2848,
  [3027] = 2849,
  [3028] = 2850,
  [3029] = 2816,
  [3030] = 2851,
  [3031] = 2818,
  [3032] = 2819,
  [3033] = 2820,
  [3034] = 2821,
  [3035] = 2822,
  [3036] = 2823,
  [3037] = 2824,
  [3038] = 2825,
  [3039] = 2826,
  [3040] = 2827,
  [3041] = 2852,
  [3042] = 2839,
  [3043] = 2829,
  [3044] = 2830,
  [3045] = 3045,
  [3046] = 2831,
  [3047] = 2832,
  [3048] = 2833,
  [3049] = 2834,
  [3050] = 2759,
  [3051] = 2782,
  [3052] = 2792,
  [3053] = 2804,
  [3054] = 2839,
  [3055] = 2841,
  [3056] = 2842,
  [3057] = 2843,
  [3058] = 2844,
  [3059] = 2845,
  [3060] = 2846,
  [3061] = 2847,
  [3062] = 2848,
  [3063] = 2849,
  [3064] = 2850,
  [3065] = 2851,
  [3066] = 2852,
  [3067] = 2841,
  [3068] = 2758,
  [3069] = 2760,
  [3070] = 2763,
  [3071] = 2764,
  [3072] = 2765,
  [3073] = 2766,
  [3074] = 2767,
  [3075] = 2768,
  [3076] = 2769,
  [3077] = 2770,
  [3078] = 2771,
  [3079] = 2772,
  [3080] = 2773,
  [3081] = 2774,
  [3082] = 2775,
  [3083] = 2776,
  [3084] = 2777,
  [3085] = 2781,
  [3086] = 2761,
  [3087] = 2762,
  [3088] = 2842,
  [3089] = 2780,
  [3090] = 2786,
  [3091] = 2787,
  [3092] = 2788,
  [3093] = 2789,
  [3094] = 2843,
  [3095] = 2791,
  [3096] = 2844,
  [3097] = 2758,
  [3098] = 2796,
  [3099] = 2845,
  [3100] = 2760,
  [3101] = 2846,
  [3102] = 2801,
  [3103] = 2847,
  [3104] = 2802,
  [3105] = 2803,
  [3106] = 2763,
  [3107] = 2848,
  [3108] = 2764,
  [3109] = 2805,
  [3110] = 2765,
  [3111] = 2766,
  [3112] = 2806,
  [3113] = 2807,
  [3114] = 2767,
  [3115] = 2768,
  [3116] = 2769,
  [3117] = 2811,
  [3118] = 2812,
  [3119] = 2770,
  [3120] = 2771,
  [3121] = 2772,
  [3122] = 2816,
  [3123] = 2773,
  [3124] = 2818,
  [3125] = 2819,
  [3126] = 2820,
  [3127] = 2821,
  [3128] = 2822,
  [3129] = 2823,
  [3130] = 2824,
  [3131] = 2825,
  [3132] = 2826,
  [3133] = 2827,
  [3134] = 2774,
  [3135] = 2775,
  [3136] = 2829,
  [3137] = 2830,
  [3138] = 2776,
  [3139] = 2831,
  [3140] = 2832,
  [3141] = 2833,
  [3142] = 2834,
  [3143] = 2759,
  [3144] = 2782,
  [3145] = 2792,
  [3146] = 2804,
  [3147] = 2777,
  [3148] = 2849,
  [3149] = 2850,
  [3150] = 2851,
  [3151] = 2758,
  [3152] = 2852,
  [3153] = 2760,
  [3154] = 3154,
  [3155] = 2781,
  [3156] = 2763,
  [3157] = 2823,
  [3158] = 2764,
  [3159] = 2765,
  [3160] = 2766,
  [3161] = 2761,
  [3162] = 2762,
  [3163] = 2824,
  [3164] = 2781,
  [3165] = 2780,
  [3166] = 2786,
  [3167] = 2761,
  [3168] = 2762,
  [3169] = 2787,
  [3170] = 2780,
  [3171] = 2786,
  [3172] = 2787,
  [3173] = 2788,
  [3174] = 2788,
  [3175] = 2791,
  [3176] = 2789,
  [3177] = 2791,
  [3178] = 2825,
  [3179] = 2796,
  [3180] = 2826,
  [3181] = 2803,
  [3182] = 2827,
  [3183] = 2796,
  [3184] = 2801,
  [3185] = 2801,
  [3186] = 2802,
  [3187] = 2803,
  [3188] = 2767,
  [3189] = 2806,
  [3190] = 2768,
  [3191] = 2805,
  [3192] = 2801,
  [3193] = 2807,
  [3194] = 2806,
  [3195] = 2807,
  [3196] = 2802,
  [3197] = 2803,
  [3198] = 2769,
  [3199] = 3199,
  [3200] = 2811,
  [3201] = 2812,
  [3202] = 2770,
  [3203] = 2805,
  [3204] = 2756,
  [3205] = 2816,
  [3206] = 2771,
  [3207] = 2818,
  [3208] = 2819,
  [3209] = 2820,
  [3210] = 2821,
  [3211] = 2822,
  [3212] = 2823,
  [3213] = 2824,
  [3214] = 2825,
  [3215] = 2826,
  [3216] = 2827,
  [3217] = 2806,
  [3218] = 2807,
  [3219] = 2829,
  [3220] = 2830,
  [3221] = 2831,
  [3222] = 2832,
  [3223] = 2833,
  [3224] = 2834,
  [3225] = 2759,
  [3226] = 2782,
  [3227] = 2792,
  [3228] = 2804,
  [3229] = 2811,
  [3230] = 2772,
  [3231] = 2758,
  [3232] = 2773,
  [3233] = 2760,
  [3234] = 2811,
  [3235] = 2812,
  [3236] = 2763,
  [3237] = 2829,
  [3238] = 2764,
  [3239] = 2766,
  [3240] = 2774,
  [3241] = 2830,
  [3242] = 2814,
  [3243] = 2781,
  [3244] = 2775,
  [3245] = 2761,
  [3246] = 2762,
  [3247] = 2776,
  [3248] = 2780,
  [3249] = 2786,
  [3250] = 2787,
  [3251] = 2788,
  [3252] = 2816,
  [3253] = 2791,
  [3254] = 2812,
  [3255] = 2818,
  [3256] = 2819,
  [3257] = 2820,
  [3258] = 2821,
  [3259] = 2822,
  [3260] = 2823,
  [3261] = 2824,
  [3262] = 2825,
  [3263] = 2801,
  [3264] = 2826,
  [3265] = 2802,
  [3266] = 2803,
  [3267] = 2827,
  [3268] = 2777,
  [3269] = 3269,
  [3270] = 2805,
  [3271] = 2829,
  [3272] = 2830,
  [3273] = 2806,
  [3274] = 2807,
  [3275] = 2831,
  [3276] = 2831,
  [3277] = 2832,
  [3278] = 2833,
  [3279] = 2811,
  [3280] = 2812,
  [3281] = 2834,
  [3282] = 2759,
  [3283] = 2782,
  [3284] = 2816,
  [3285] = 2792,
  [3286] = 2818,
  [3287] = 2819,
  [3288] = 2820,
  [3289] = 2821,
  [3290] = 2822,
  [3291] = 2823,
  [3292] = 2824,
  [3293] = 2825,
  [3294] = 2826,
  [3295] = 2827,
  [3296] = 2804,
  [3297] = 2839,
  [3298] = 2829,
  [3299] = 2830,
  [3300] = 2831,
  [3301] = 2832,
  [3302] = 2833,
  [3303] = 2834,
  [3304] = 2759,
  [3305] = 2782,
  [3306] = 2792,
  [3307] = 2804,
  [3308] = 2841,
  [3309] = 2842,
  [3310] = 2843,
  [3311] = 2758,
  [3312] = 2844,
  [3313] = 2760,
  [3314] = 2845,
  [3315] = 2846,
  [3316] = 2763,
  [3317] = 2847,
  [3318] = 2764,
  [3319] = 2765,
  [3320] = 2766,
  [3321] = 2848,
  [3322] = 2849,
  [3323] = 2850,
  [3324] = 2781,
  [3325] = 2851,
  [3326] = 2852,
  [3327] = 2761,
  [3328] = 2762,
  [3329] = 2780,
  [3330] = 2786,
  [3331] = 2787,
  [3332] = 2788,
  [3333] = 2791,
  [3334] = 3154,
  [3335] = 3199,
  [3336] = 2756,
  [3337] = 2878,
  [3338] = 3045,
  [3339] = 3269,
  [3340] = 2778,
  [3341] = 2797,
  [3342] = 2758,
  [3343] = 2881,
  [3344] = 2882,
  [3345] = 2904,
  [3346] = 2917,
  [3347] = 2931,
  [3348] = 2795,
  [3349] = 2809,
  [3350] = 2810,
  [3351] = 2813,
  [3352] = 2817,
  [3353] = 2828,
  [3354] = 2840,
  [3355] = 2853,
  [3356] = 2855,
  [3357] = 2857,
  [3358] = 2859,
  [3359] = 2760,
  [3360] = 3154,
  [3361] = 3199,
  [3362] = 2756,
  [3363] = 2878,
  [3364] = 3045,
  [3365] = 2763,
  [3366] = 2764,
  [3367] = 2765,
  [3368] = 3269,
  [3369] = 2766,
  [3370] = 2778,
  [3371] = 2797,
  [3372] = 2767,
  [3373] = 2768,
  [3374] = 2881,
  [3375] = 2882,
  [3376] = 2904,
  [3377] = 2917,
  [3378] = 2931,
  [3379] = 2769,
  [3380] = 2795,
  [3381] = 2809,
  [3382] = 2810,
  [3383] = 2813,
  [3384] = 2817,
  [3385] = 2828,
  [3386] = 2840,
  [3387] = 2853,
  [3388] = 2855,
  [3389] = 2857,
  [3390] = 2859,
  [3391] = 3154,
  [3392] = 3199,
  [3393] = 2756,
  [3394] = 2770,
  [3395] = 2771,
  [3396] = 2878,
  [3397] = 3045,
  [3398] = 2772,
  [3399] = 2773,
  [3400] = 2774,
  [3401] = 2775,
  [3402] = 3269,
  [3403] = 2776,
  [3404] = 2777,
  [3405] = 2778,
  [3406] = 2797,
  [3407] = 2881,
  [3408] = 2882,
  [3409] = 2904,
  [3410] = 2917,
  [3411] = 2931,
  [3412] = 2795,
  [3413] = 2809,
  [3414] = 2810,
  [3415] = 2813,
  [3416] = 2817,
  [3417] = 2828,
  [3418] = 2840,
  [3419] = 2853,
  [3420] = 2855,
  [3421] = 2857,
  [3422] = 2859,
  [3423] = 3154,
  [3424] = 3199,
  [3425] = 2756,
  [3426] = 2781,
  [3427] = 2878,
  [3428] = 3045,
  [3429] = 2761,
  [3430] = 2762,
  [3431] = 3269,
  [3432] = 2780,
  [3433] = 2778,
  [3434] = 2797,
  [3435] = 2786,
  [3436] = 2787,
  [3437] = 2881,
  [3438] = 2882,
  [3439] = 2904,
  [3440] = 2917,
  [3441] = 2931,
  [3442] = 2788,
  [3443] = 2795,
  [3444] = 2809,
  [3445] = 2810,
  [3446] = 2813,
  [3447] = 2817,
  [3448] = 2828,
  [3449] = 2840,
  [3450] = 2853,
  [3451] = 2855,
  [3452] = 2857,
  [3453] = 2859,
  [3454] = 3154,
  [3455] = 3199,
  [3456] = 2756,
  [3457] = 2789,
  [3458] = 2878,
  [3459] = 3045,
  [3460] = 2791,
  [3461] = 3269,
  [3462] = 2778,
  [3463] = 2797,
  [3464] = 2796,
  [3465] = 2881,
  [3466] = 2882,
  [3467] = 2904,
  [3468] = 2917,
  [3469] = 2931,
  [3470] = 2795,
  [3471] = 2809,
  [3472] = 2810,
  [3473] = 2813,
  [3474] = 2817,
  [3475] = 2828,
  [3476] = 2840,
  [3477] = 2853,
  [3478] = 2855,
  [3479] = 2857,
  [3480] = 2859,
  [3481] = 3154,
  [3482] = 3199,
  [3483] = 2801,
  [3484] = 2878,
  [3485] = 3045,
  [3486] = 2802,
  [3487] = 2803,
  [3488] = 3269,
  [3489] = 2778,
  [3490] = 2797,
  [3491] = 2805,
  [3492] = 2881,
  [3493] = 2882,
  [3494] = 2904,
  [3495] = 2917,
  [3496] = 2931,
  [3497] = 2795,
  [3498] = 2809,
  [3499] = 2810,
  [3500] = 2813,
  [3501] = 2817,
  [3502] = 2828,
  [3503] = 2840,
  [3504] = 2853,
  [3505] = 2855,
  [3506] = 2857,
  [3507] = 2859,
  [3508] = 3154,
  [3509] = 3199,
  [3510] = 2756,
  [3511] = 2806,
  [3512] = 2878,
  [3513] = 3045,
  [3514] = 2807,
  [3515] = 3269,
  [3516] = 2778,
  [3517] = 2797,
  [3518] = 2811,
  [3519] = 2812,
  [3520] = 2881,
  [3521] = 2882,
  [3522] = 2904,
  [3523] = 2917,
  [3524] = 2931,
  [3525] = 2795,
  [3526] = 3154,
  [3527] = 3199,
  [3528] = 2756,
  [3529] = 2832,
  [3530] = 2878,
  [3531] = 3045,
  [3532] = 2814,
  [3533] = 3533,
  [3534] = 3269,
  [3535] = 2816,
  [3536] = 2778,
  [3537] = 2797,
  [3538] = 2796,
  [3539] = 2881,
  [3540] = 2882,
  [3541] = 2904,
  [3542] = 2917,
  [3543] = 2931,
  [3544] = 2795,
  [3545] = 3154,
  [3546] = 3199,
  [3547] = 2756,
  [3548] = 2818,
  [3549] = 2819,
  [3550] = 2878,
  [3551] = 3045,
  [3552] = 2820,
  [3553] = 2821,
  [3554] = 2822,
  [3555] = 3269,
  [3556] = 2823,
  [3557] = 2824,
  [3558] = 2778,
  [3559] = 2797,
  [3560] = 2825,
  [3561] = 2881,
  [3562] = 2882,
  [3563] = 2904,
  [3564] = 2917,
  [3565] = 2931,
  [3566] = 2795,
  [3567] = 2826,
  [3568] = 2827,
  [3569] = 2781,
  [3570] = 2861,
  [3571] = 2876,
  [3572] = 2829,
  [3573] = 3573,
  [3574] = 2779,
  [3575] = 2798,
  [3576] = 2799,
  [3577] = 2830,
  [3578] = 2932,
  [3579] = 2802,
  [3580] = 2831,
  [3581] = 2832,
  [3582] = 2833,
  [3583] = 2861,
  [3584] = 2876,
  [3585] = 2834,
  [3586] = 2759,
  [3587] = 3573,
  [3588] = 2779,
  [3589] = 2798,
  [3590] = 2799,
  [3591] = 2932,
  [3592] = 2782,
  [3593] = 2792,
  [3594] = 2861,
  [3595] = 2876,
  [3596] = 2804,
  [3597] = 2839,
  [3598] = 3573,
  [3599] = 2779,
  [3600] = 2798,
  [3601] = 2799,
  [3602] = 2932,
  [3603] = 3573,
  [3604] = 2841,
  [3605] = 2861,
  [3606] = 2876,
  [3607] = 2842,
  [3608] = 2843,
  [3609] = 3573,
  [3610] = 2779,
  [3611] = 2798,
  [3612] = 2799,
  [3613] = 2932,
  [3614] = 2844,
  [3615] = 2845,
  [3616] = 2861,
  [3617] = 2876,
  [3618] = 2846,
  [3619] = 2847,
  [3620] = 3573,
  [3621] = 2779,
  [3622] = 2798,
  [3623] = 2799,
  [3624] = 2932,
  [3625] = 2848,
  [3626] = 2849,
  [3627] = 2861,
  [3628] = 2876,
  [3629] = 2850,
  [3630] = 2851,
  [3631] = 3573,
  [3632] = 2779,
  [3633] = 2798,
  [3634] = 2799,
  [3635] = 2932,
  [3636] = 2852,
  [3637] = 2833,
  [3638] = 2861,
  [3639] = 2876,
  [3640] = 728,
  [3641] = 3573,
  [3642] = 2779,
  [3643] = 2798,
  [3644] = 2799,
  [3645] = 2932,
  [3646] = 2861,
  [3647] = 2876,
  [3648] = 3573,
  [3649] = 2779,
  [3650] = 2798,
  [3651] = 2799,
  [3652] = 2932,
  [3653] = 2861,
  [3654] = 2876,
  [3655] = 3573,
  [3656] = 2779,
  [3657] = 2798,
  [3658] = 2799,
  [3659] = 2932,
  [3660] = 2877,
  [3661] = 2757,
  [3662] = 2877,
  [3663] = 2757,
  [3664] = 2877,
  [3665] = 2757,
  [3666] = 2877,
  [3667] = 2757,
  [3668] = 2877,
  [3669] = 2757,
  [3670] = 2877,
  [3671] = 2757,
  [3672] = 2877,
  [3673] = 2757,
  [3674] = 2877,
  [3675] = 2834,
  [3676] = 2757,
  [3677] = 2877,
  [3678] = 2805,
  [3679] = 2765,
  [3680] = 3680,
  [3681] = 3681,
  [3682] = 3682,
  [3683] = 3683,
  [3684] = 3684,
  [3685] = 691,
  [3686] = 3686,
  [3687] = 3687,
  [3688] = 3688,
  [3689] = 3689,
  [3690] = 3690,
  [3691] = 3691,
  [3692] = 3692,
  [3693] = 3693,
  [3694] = 3694,
  [3695] = 3695,
  [3696] = 3696,
  [3697] = 3697,
  [3698] = 3698,
  [3699] = 3699,
  [3700] = 3700,
  [3701] = 3701,
  [3702] = 3702,
  [3703] = 3680,
  [3704] = 3704,
  [3705] = 3684,
  [3706] = 3681,
  [3707] = 3707,
  [3708] = 3688,
  [3709] = 3682,
  [3710] = 3686,
  [3711] = 3688,
  [3712] = 3687,
  [3713] = 692,
  [3714] = 3680,
  [3715] = 3715,
  [3716] = 3696,
  [3717] = 3717,
  [3718] = 3718,
  [3719] = 3719,
  [3720] = 3720,
  [3721] = 3721,
  [3722] = 3707,
  [3723] = 3723,
  [3724] = 3724,
  [3725] = 3698,
  [3726] = 3726,
  [3727] = 3727,
  [3728] = 3723,
  [3729] = 3729,
  [3730] = 3730,
  [3731] = 3731,
  [3732] = 3732,
  [3733] = 3683,
  [3734] = 3688,
  [3735] = 3735,
  [3736] = 3736,
  [3737] = 3700,
  [3738] = 3701,
  [3739] = 3689,
  [3740] = 3740,
  [3741] = 3696,
  [3742] = 3726,
  [3743] = 3684,
  [3744] = 3697,
  [3745] = 3700,
  [3746] = 3688,
  [3747] = 3699,
  [3748] = 3727,
  [3749] = 3749,
  [3750] = 3750,
  [3751] = 3719,
  [3752] = 3684,
  [3753] = 3753,
  [3754] = 3697,
  [3755] = 3697,
  [3756] = 3756,
  [3757] = 3750,
  [3758] = 3758,
  [3759] = 3730,
  [3760] = 3690,
  [3761] = 3761,
  [3762] = 3702,
  [3763] = 3691,
  [3764] = 3680,
  [3765] = 3692,
  [3766] = 3693,
  [3767] = 3717,
  [3768] = 3718,
  [3769] = 3719,
  [3770] = 3720,
  [3771] = 3721,
  [3772] = 3707,
  [3773] = 3723,
  [3774] = 3724,
  [3775] = 3698,
  [3776] = 3726,
  [3777] = 3727,
  [3778] = 3681,
  [3779] = 3779,
  [3780] = 3730,
  [3781] = 3715,
  [3782] = 3782,
  [3783] = 3683,
  [3784] = 3694,
  [3785] = 3682,
  [3786] = 3686,
  [3787] = 3695,
  [3788] = 3750,
  [3789] = 3689,
  [3790] = 3790,
  [3791] = 3687,
  [3792] = 3697,
  [3793] = 3715,
  [3794] = 3794,
  [3795] = 3696,
  [3796] = 3699,
  [3797] = 3696,
  [3798] = 3684,
  [3799] = 3702,
  [3800] = 3681,
  [3801] = 3682,
  [3802] = 3686,
  [3803] = 3687,
  [3804] = 3690,
  [3805] = 3691,
  [3806] = 3696,
  [3807] = 3699,
  [3808] = 3702,
  [3809] = 3692,
  [3810] = 3693,
  [3811] = 3690,
  [3812] = 3680,
  [3813] = 3680,
  [3814] = 3681,
  [3815] = 3682,
  [3816] = 3717,
  [3817] = 3750,
  [3818] = 3730,
  [3819] = 3691,
  [3820] = 3692,
  [3821] = 3683,
  [3822] = 3718,
  [3823] = 3693,
  [3824] = 3694,
  [3825] = 3719,
  [3826] = 3720,
  [3827] = 3689,
  [3828] = 3721,
  [3829] = 3707,
  [3830] = 3723,
  [3831] = 3724,
  [3832] = 3698,
  [3833] = 3726,
  [3834] = 3727,
  [3835] = 3694,
  [3836] = 3695,
  [3837] = 3730,
  [3838] = 3838,
  [3839] = 3695,
  [3840] = 3840,
  [3841] = 3680,
  [3842] = 3683,
  [3843] = 3686,
  [3844] = 3700,
  [3845] = 3730,
  [3846] = 3846,
  [3847] = 3701,
  [3848] = 3683,
  [3849] = 3750,
  [3850] = 3850,
  [3851] = 3687,
  [3852] = 3689,
  [3853] = 3853,
  [3854] = 3689,
  [3855] = 3690,
  [3856] = 3700,
  [3857] = 3701,
  [3858] = 3691,
  [3859] = 3692,
  [3860] = 3684,
  [3861] = 3684,
  [3862] = 3862,
  [3863] = 3693,
  [3864] = 3694,
  [3865] = 3695,
  [3866] = 3688,
  [3867] = 3701,
  [3868] = 3730,
  [3869] = 3869,
  [3870] = 3700,
  [3871] = 3730,
  [3872] = 3701,
  [3873] = 3873,
  [3874] = 3683,
  [3875] = 3688,
  [3876] = 3750,
  [3877] = 3684,
  [3878] = 3688,
  [3879] = 3721,
  [3880] = 3689,
  [3881] = 3750,
  [3882] = 3688,
  [3883] = 683,
  [3884] = 684,
  [3885] = 3680,
  [3886] = 3886,
  [3887] = 3697,
  [3888] = 3717,
  [3889] = 3683,
  [3890] = 3718,
  [3891] = 3719,
  [3892] = 3720,
  [3893] = 3721,
  [3894] = 3894,
  [3895] = 3707,
  [3896] = 3723,
  [3897] = 3724,
  [3898] = 3698,
  [3899] = 3726,
  [3900] = 3727,
  [3901] = 3720,
  [3902] = 685,
  [3903] = 3730,
  [3904] = 3750,
  [3905] = 3715,
  [3906] = 3683,
  [3907] = 3696,
  [3908] = 3697,
  [3909] = 3697,
  [3910] = 3910,
  [3911] = 3700,
  [3912] = 3689,
  [3913] = 3701,
  [3914] = 3715,
  [3915] = 3701,
  [3916] = 3684,
  [3917] = 3917,
  [3918] = 3715,
  [3919] = 3688,
  [3920] = 3697,
  [3921] = 3684,
  [3922] = 3696,
  [3923] = 3699,
  [3924] = 3702,
  [3925] = 3700,
  [3926] = 3681,
  [3927] = 3697,
  [3928] = 3682,
  [3929] = 3686,
  [3930] = 3687,
  [3931] = 3690,
  [3932] = 3691,
  [3933] = 3683,
  [3934] = 3692,
  [3935] = 3693,
  [3936] = 3715,
  [3937] = 3680,
  [3938] = 3694,
  [3939] = 3695,
  [3940] = 3717,
  [3941] = 3718,
  [3942] = 3719,
  [3943] = 3720,
  [3944] = 3721,
  [3945] = 3707,
  [3946] = 3723,
  [3947] = 3724,
  [3948] = 3698,
  [3949] = 3726,
  [3950] = 3727,
  [3951] = 3951,
  [3952] = 3952,
  [3953] = 3730,
  [3954] = 3954,
  [3955] = 3717,
  [3956] = 3683,
  [3957] = 3700,
  [3958] = 3701,
  [3959] = 3718,
  [3960] = 3960,
  [3961] = 3689,
  [3962] = 3689,
  [3963] = 3715,
  [3964] = 3964,
  [3965] = 686,
  [3966] = 3684,
  [3967] = 3724,
  [3968] = 3715,
  [3969] = 726,
  [3970] = 3696,
  [3971] = 3715,
  [3972] = 687,
  [3973] = 3699,
  [3974] = 3702,
  [3975] = 3696,
  [3976] = 3696,
  [3977] = 3699,
  [3978] = 3702,
  [3979] = 3681,
  [3980] = 3681,
  [3981] = 3686,
  [3982] = 3687,
  [3983] = 3682,
  [3984] = 3686,
  [3985] = 3690,
  [3986] = 3691,
  [3987] = 3692,
  [3988] = 3693,
  [3989] = 3750,
  [3990] = 3694,
  [3991] = 3687,
  [3992] = 3699,
  [3993] = 688,
  [3994] = 3690,
  [3995] = 3702,
  [3996] = 3680,
  [3997] = 3691,
  [3998] = 3700,
  [3999] = 3701,
  [4000] = 3692,
  [4001] = 3717,
  [4002] = 3718,
  [4003] = 3693,
  [4004] = 3719,
  [4005] = 3720,
  [4006] = 3694,
  [4007] = 3721,
  [4008] = 3707,
  [4009] = 3695,
  [4010] = 3723,
  [4011] = 3724,
  [4012] = 3698,
  [4013] = 3726,
  [4014] = 3727,
  [4015] = 689,
  [4016] = 690,
  [4017] = 3750,
};

static TSCharacterRange sym_word_character_set_1[] = {
  {0, 0x08}, {0x0e, 0x1f}, {'!', '"'}, {'\'', '\''}, {'.', '.'}, {'0', '<'}, {'>', 'Z'}, {'`', 'z'},
  {'|', '|'}, {'~', 0x10ffff},
};

static TSCharacterRange sym_path_character_set_1[] = {
  {0, '!'}, {'#', ')'}, {'+', '+'}, {'-', '9'}, {'=', '='}, {'?', 'Z'}, {'\\', '\\'}, {'^', 'z'},
  {'~', 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(39);
      ADVANCE_MAP(
        '!', 203,
        '#', 25,
        '$', 213,
        '%', 47,
        '&', 192,
        '\'', 206,
        '(', 54,
        ')', 55,
        '*', 199,
        '+', 197,
        ',', 52,
        '-', 198,
        '/', 200,
        ':', 205,
        '<', 201,
        '=', 53,
        '>', 202,
        '[', 50,
        '\\', 270,
        ']', 51,
        '^', 209,
        '_', 208,
        '{', 78,
        '|', 204,
        '}', 79,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(190);
      if (lookahead != 0) ADVANCE(190);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '!', 203,
        '#', 25,
        '$', 213,
        '%', 47,
        '&', 192,
        '\'', 206,
        '(', 54,
        ')', 55,
        '*', 199,
        '+', 197,
        ',', 52,
        '-', 198,
        '/', 200,
        ':', 205,
        '<', 201,
        '=', 53,
        '>', 202,
        '[', 50,
        '\\', 277,
        ']', 51,
        '^', 209,
        '_', 208,
        '{', 78,
        '|', 204,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0 &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(190);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 203,
        '#', 25,
        '$', 213,
        '%', 47,
        '&', 192,
        '\'', 206,
        '(', 54,
        ')', 55,
        '*', 199,
        '+', 197,
        ',', 52,
        '-', 198,
        '/', 200,
        ':', 205,
        '<', 201,
        '=', 53,
        '>', 202,
        '[', 50,
        '\\', 271,
        ']', 51,
        '^', 209,
        '_', 208,
        '{', 78,
        '|', 204,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0 &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(190);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 203,
        '#', 25,
        '$', 213,
        '%', 47,
        '&', 192,
        '\'', 206,
        '(', 54,
        ')', 55,
        '*', 199,
        '+', 197,
        ',', 52,
        '-', 198,
        '/', 200,
        ':', 205,
        '<', 201,
        '=', 53,
        '>', 202,
        '[', 50,
        '\\', 272,
        ']', 51,
        '^', 209,
        '_', 208,
        '{', 78,
        '|', 204,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0 &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(190);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '!', 203,
        '#', 25,
        '$', 213,
        '%', 47,
        '&', 192,
        '\'', 206,
        '(', 54,
        ')', 55,
        '*', 199,
        '+', 197,
        ',', 52,
        '-', 198,
        '/', 200,
        ':', 205,
        '<', 201,
        '=', 53,
        '>', 202,
        '[', 50,
        '\\', 279,
        ']', 51,
        '^', 209,
        '_', 208,
        '{', 78,
        '|', 204,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0 &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(190);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 203,
        '#', 25,
        '$', 213,
        '%', 47,
        '&', 192,
        '\'', 206,
        '(', 54,
        ')', 55,
        '*', 199,
        '+', 197,
        ',', 52,
        '-', 198,
        '/', 200,
        ':', 205,
        '<', 201,
        '=', 53,
        '>', 202,
        '[', 50,
        '\\', 280,
        ']', 51,
        '^', 209,
        '_', 208,
        '{', 78,
        '|', 204,
        '}', 79,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0) ADVANCE(190);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 203,
        '#', 25,
        '$', 213,
        '%', 47,
        '&', 192,
        '\'', 206,
        '(', 54,
        ')', 55,
        '*', 199,
        '+', 197,
        ',', 52,
        '-', 198,
        '/', 200,
        ':', 205,
        '<', 201,
        '=', 53,
        '>', 202,
        '[', 50,
        '\\', 273,
        ']', 51,
        '^', 209,
        '_', 208,
        '{', 78,
        '|', 204,
        '}', 79,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0) ADVANCE(190);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 203,
        '#', 25,
        '$', 213,
        '%', 47,
        '&', 192,
        '\'', 206,
        '(', 54,
        ')', 55,
        '*', 199,
        '+', 197,
        ',', 52,
        '-', 198,
        '/', 200,
        ':', 205,
        '<', 201,
        '=', 53,
        '>', 202,
        '[', 50,
        '\\', 285,
        ']', 51,
        '^', 209,
        '_', 208,
        '{', 78,
        '|', 204,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0 &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(190);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 203,
        '#', 25,
        '$', 213,
        '%', 47,
        '&', 192,
        '\'', 206,
        '(', 54,
        ')', 55,
        '*', 199,
        '+', 197,
        ',', 52,
        '-', 198,
        '/', 200,
        ':', 205,
        '<', 201,
        '=', 53,
        '>', 202,
        '[', 50,
        '\\', 293,
        ']', 51,
        '^', 209,
        '_', 208,
        '{', 78,
        '|', 204,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0 &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(190);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 203,
        '#', 25,
        '$', 213,
        '%', 47,
        '&', 192,
        '\'', 206,
        '(', 54,
        ')', 55,
        '*', 199,
        '+', 197,
        ',', 52,
        '-', 198,
        '/', 200,
        ':', 205,
        '<', 201,
        '=', 53,
        '>', 202,
        '[', 50,
        '\\', 281,
        ']', 51,
        '^', 209,
        '_', 208,
        '{', 78,
        '|', 204,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0 &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(190);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 203,
        '#', 25,
        '$', 213,
        '%', 47,
        '&', 192,
        '\'', 206,
        '(', 54,
        ')', 55,
        '*', 199,
        '+', 197,
        ',', 52,
        '-', 198,
        '/', 200,
        ':', 205,
        '<', 201,
        '=', 53,
        '>', 202,
        '[', 50,
        '\\', 274,
        ']', 51,
        '^', 209,
        '_', 208,
        '{', 78,
        '|', 204,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0 &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(190);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 203,
        '#', 25,
        '$', 213,
        '%', 47,
        '&', 192,
        '\'', 206,
        '(', 54,
        ')', 55,
        '*', 199,
        '+', 197,
        ',', 52,
        '-', 198,
        '/', 200,
        ':', 205,
        '<', 201,
        '=', 53,
        '>', 202,
        '[', 50,
        '\\', 295,
        ']', 51,
        '^', 209,
        '_', 208,
        '{', 78,
        '|', 204,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0 &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(190);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 203,
        '#', 25,
        '$', 213,
        '%', 47,
        '&', 192,
        '\'', 206,
        '(', 54,
        ')', 55,
        '*', 199,
        '+', 197,
        ',', 52,
        '-', 198,
        '/', 200,
        ':', 205,
        '<', 201,
        '=', 53,
        '>', 202,
        '[', 50,
        '\\', 282,
        ']', 51,
        '^', 209,
        '_', 208,
        '{', 78,
        '|', 204,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0 &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(190);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '!', 203,
        '#', 25,
        '$', 213,
        '%', 47,
        '&', 192,
        '\'', 206,
        '(', 54,
        ')', 55,
        '*', 199,
        '+', 197,
        ',', 52,
        '-', 198,
        '/', 200,
        ':', 205,
        '<', 201,
        '=', 53,
        '>', 202,
        '[', 50,
        '\\', 275,
        ']', 51,
        '^', 209,
        '_', 208,
        '{', 78,
        '|', 204,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0 &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(190);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '!', 203,
        '#', 25,
        '$', 213,
        '%', 47,
        '&', 192,
        '\'', 206,
        '(', 54,
        ')', 55,
        '*', 199,
        '+', 197,
        ',', 52,
        '-', 198,
        '/', 200,
        ':', 205,
        '<', 201,
        '=', 53,
        '>', 202,
        '[', 50,
        '\\', 291,
        ']', 51,
        '^', 209,
        '_', 208,
        '{', 78,
        '|', 204,
        '}', 79,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0) ADVANCE(190);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '!', 203,
        '#', 25,
        '$', 213,
        '%', 47,
        '&', 192,
        '\'', 206,
        '(', 54,
        ')', 55,
        '*', 199,
        '+', 197,
        ',', 52,
        '-', 198,
        '/', 200,
        ':', 205,
        '<', 201,
        '=', 53,
        '>', 202,
        '[', 50,
        '\\', 278,
        ']', 51,
        '^', 209,
        '_', 208,
        '{', 78,
        '|', 204,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0 &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(190);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '!', 203,
        '#', 25,
        '$', 213,
        '%', 47,
        '&', 192,
        '\'', 206,
        '(', 54,
        ')', 55,
        '*', 199,
        '+', 197,
        ',', 52,
        '-', 198,
        '/', 200,
        ':', 205,
        '<', 201,
        '=', 53,
        '>', 202,
        '[', 50,
        '\\', 284,
        ']', 51,
        '^', 209,
        '_', 208,
        '{', 78,
        '|', 204,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0 &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(190);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '!', 203,
        '#', 25,
        '$', 213,
        '%', 47,
        '&', 192,
        '\'', 206,
        '(', 54,
        ')', 55,
        '*', 199,
        '+', 197,
        ',', 52,
        '-', 198,
        '/', 200,
        ':', 205,
        '<', 201,
        '=', 53,
        '>', 202,
        '[', 50,
        '\\', 292,
        ']', 51,
        '^', 209,
        '_', 208,
        '{', 78,
        '|', 204,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0 &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(190);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '!', 203,
        '#', 25,
        '$', 213,
        '%', 47,
        '&', 192,
        '\'', 206,
        '(', 54,
        ')', 55,
        '*', 199,
        '+', 197,
        ',', 52,
        '-', 198,
        '/', 200,
        ':', 205,
        '<', 201,
        '=', 53,
        '>', 202,
        '[', 50,
        '\\', 294,
        ']', 51,
        '^', 209,
        '_', 208,
        '{', 78,
        '|', 204,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0 &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(190);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '!', 203,
        '#', 25,
        '$', 213,
        '%', 47,
        '&', 192,
        '\'', 206,
        '(', 54,
        ')', 55,
        '*', 199,
        '+', 197,
        ',', 52,
        '-', 198,
        '/', 200,
        ':', 205,
        '<', 201,
        '=', 53,
        '>', 202,
        '[', 50,
        '\\', 290,
        ']', 51,
        '^', 209,
        '_', 208,
        '{', 78,
        '|', 204,
        '}', 79,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0) ADVANCE(190);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '!', 203,
        '#', 25,
        '$', 213,
        '%', 47,
        '&', 192,
        '\'', 206,
        '(', 54,
        ')', 55,
        '*', 199,
        '+', 197,
        '-', 198,
        '/', 200,
        ':', 205,
        '<', 201,
        '>', 202,
        '[', 50,
        '\\', 289,
        '^', 209,
        '_', 208,
        '{', 78,
        '|', 204,
        '}', 79,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0 &&
          (lookahead < '#' || '-' < lookahead) &&
          (lookahead < '<' || '>' < lookahead) &&
          (lookahead < '[' || '_' < lookahead)) ADVANCE(190);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '!', 203,
        '#', 25,
        '$', 213,
        '%', 47,
        '&', 192,
        '\'', 206,
        '(', 54,
        ')', 55,
        '*', 199,
        '+', 197,
        '-', 198,
        '/', 200,
        ':', 205,
        '<', 201,
        '>', 202,
        '\\', 288,
        '^', 209,
        '_', 208,
        '{', 78,
        '|', 204,
        '}', 79,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0 &&
          (lookahead < '#' || '-' < lookahead) &&
          (lookahead < '<' || '>' < lookahead) &&
          (lookahead < '[' || '_' < lookahead)) ADVANCE(190);
      END_STATE();
    case 22:
      ADVANCE_MAP(
        '!', 203,
        '#', 25,
        '%', 47,
        '&', 192,
        '\'', 206,
        '*', 199,
        '+', 197,
        ',', 52,
        '-', 198,
        '/', 200,
        ':', 205,
        '<', 201,
        '=', 53,
        '>', 202,
        '[', 50,
        '\\', 1533,
        ']', 51,
        '^', 209,
        '_', 208,
        '{', 78,
        '|', 204,
        '}', 79,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0 &&
          (lookahead < '#' || '-' < lookahead)) ADVANCE(190);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        '!', 203,
        '#', 25,
        '%', 47,
        '&', 192,
        '\'', 206,
        '*', 199,
        '+', 197,
        ',', 52,
        '-', 198,
        '/', 200,
        ':', 205,
        '<', 201,
        '=', 53,
        '>', 202,
        '\\', 1532,
        ']', 51,
        '^', 209,
        '_', 208,
        '|', 204,
        '}', 79,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0 &&
          (lookahead < '#' || '-' < lookahead) &&
          (lookahead < '[' || '_' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(190);
      END_STATE();
    case 24:
      ADVANCE_MAP(
        '!', 203,
        '#', 25,
        '%', 47,
        '&', 192,
        '\'', 206,
        '*', 199,
        '+', 197,
        '-', 198,
        '/', 200,
        ':', 205,
        '<', 201,
        '>', 202,
        '\\', 1533,
        '^', 209,
        '_', 208,
        'a', 133,
        'c', 156,
        'd', 122,
        'e', 162,
        'f', 134,
        'g', 82,
        'l', 169,
        'm', 91,
        'p', 185,
        's', 83,
        'v', 109,
        '|', 204,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0 &&
          (lookahead < '#' || '-' < lookahead) &&
          (lookahead < '<' || '>' < lookahead) &&
          (lookahead < '[' || '_' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(190);
      END_STATE();
    case 25:
      if (lookahead == '#') ADVANCE(25);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(191);
      END_STATE();
    case 26:
      ADVANCE_MAP(
        '%', 47,
        '(', 54,
        ')', 55,
        '=', 53,
        '[', 50,
        '\\', 1534,
        ']', 51,
        '{', 78,
        '|', 204,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0 &&
          (lookahead < '#' || '&' < lookahead) &&
          (lookahead < '(' || '-' < lookahead) &&
          lookahead != '/' &&
          (lookahead < '[' || '_' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(190);
      END_STATE();
    case 27:
      if (lookahead == '%') ADVANCE(47);
      if (lookahead == '\\') ADVANCE(1534);
      if (lookahead == '{') ADVANCE(78);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0 &&
          (lookahead < '#' || '%' < lookahead) &&
          lookahead != '^' &&
          lookahead != '_' &&
          lookahead != '}') ADVANCE(207);
      END_STATE();
    case 28:
      if (lookahead == '%') ADVANCE(47);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == '}') ADVANCE(79);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(195);
      END_STATE();
    case 29:
      if (lookahead == '%') ADVANCE(44);
      if (lookahead == '{') ADVANCE(78);
      if (lookahead == '}') ADVANCE(79);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(41);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < ':' || '<' < lookahead) &&
          lookahead != '>' &&
          lookahead != '[' &&
          lookahead != ']' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(196);
      END_STATE();
    case 30:
      if (lookahead == '%') ADVANCE(45);
      if (lookahead == '}') ADVANCE(79);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(42);
      if ((!eof && set_contains(sym_path_character_set_1, 9, lookahead))) ADVANCE(193);
      END_STATE();
    case 31:
      if (lookahead == '%') ADVANCE(46);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(43);
      if (lookahead != 0 &&
          lookahead != '[' &&
          lookahead != ']' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(194);
      END_STATE();
    case 32:
      if (lookahead == 'a') ADVANCE(34);
      END_STATE();
    case 33:
      if (lookahead == 'd') ADVANCE(80);
      END_STATE();
    case 34:
      if (lookahead == 'n') ADVANCE(33);
      END_STATE();
    case 35:
      if (eof) ADVANCE(39);
      ADVANCE_MAP(
        '!', 203,
        '#', 25,
        '$', 213,
        '%', 47,
        '&', 192,
        '\'', 206,
        '(', 54,
        ')', 55,
        '*', 199,
        '+', 197,
        ',', 52,
        '-', 198,
        '/', 200,
        ':', 205,
        '<', 201,
        '=', 53,
        '>', 202,
        '[', 50,
        '\\', 287,
        ']', 51,
        '^', 209,
        '_', 208,
        '{', 78,
        '|', 204,
        '}', 79,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0) ADVANCE(190);
      END_STATE();
    case 36:
      if (eof) ADVANCE(39);
      ADVANCE_MAP(
        '!', 203,
        '#', 25,
        '$', 213,
        '%', 47,
        '&', 192,
        '\'', 206,
        '(', 54,
        ')', 55,
        '*', 199,
        '+', 197,
        ',', 52,
        '-', 198,
        '/', 200,
        ':', 205,
        '<', 201,
        '=', 53,
        '>', 202,
        '[', 50,
        '\\', 283,
        ']', 51,
        '^', 209,
        '_', 208,
        '{', 78,
        '|', 204,
        '}', 79,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0) ADVANCE(190);
      END_STATE();
    case 37:
      if (eof) ADVANCE(39);
      ADVANCE_MAP(
        '!', 203,
        '#', 25,
        '$', 213,
        '%', 47,
        '&', 192,
        '\'', 206,
        '(', 54,
        ')', 55,
        '*', 199,
        '+', 197,
        ',', 52,
        '-', 198,
        '/', 200,
        ':', 205,
        '<', 201,
        '=', 53,
        '>', 202,
        '[', 50,
        '\\', 276,
        ']', 51,
        '^', 209,
        '_', 208,
        '{', 78,
        '|', 204,
        '}', 79,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0) ADVANCE(190);
      END_STATE();
    case 38:
      if (eof) ADVANCE(39);
      ADVANCE_MAP(
        '!', 203,
        '#', 25,
        '$', 213,
        '%', 47,
        '&', 192,
        '\'', 206,
        '(', 54,
        ')', 55,
        '*', 199,
        '+', 197,
        ',', 52,
        '-', 198,
        '/', 200,
        ':', 205,
        '<', 201,
        '=', 53,
        '>', 202,
        '[', 50,
        '\\', 286,
        ']', 51,
        '^', 209,
        '_', 208,
        '{', 78,
        '|', 204,
        '}', 79,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      if (lookahead != 0) ADVANCE(190);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(sym__whitespace);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(40);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(sym__whitespace);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(41);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < ':' || '<' < lookahead) &&
          lookahead != '>' &&
          lookahead != '[' &&
          lookahead != ']' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(196);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(sym__whitespace);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(42);
      if ((!eof && set_contains(sym_path_character_set_1, 9, lookahead))) ADVANCE(193);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(sym__whitespace);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(43);
      if (lookahead != 0 &&
          lookahead != '[' &&
          lookahead != ']' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(194);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(sym_line_comment);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(196);
      if (lookahead == '"' ||
          (':' <= lookahead && lookahead <= '<') ||
          lookahead == '>' ||
          lookahead == '[' ||
          lookahead == ']' ||
          ('{' <= lookahead && lookahead <= '}')) ADVANCE(47);
      if (lookahead != 0) ADVANCE(44);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(sym_line_comment);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(193);
      if (lookahead == '"' ||
          lookahead == '*' ||
          lookahead == ',' ||
          (':' <= lookahead && lookahead <= '<') ||
          lookahead == '>' ||
          lookahead == '[' ||
          lookahead == ']' ||
          ('{' <= lookahead && lookahead <= '}')) ADVANCE(47);
      if (lookahead != 0) ADVANCE(45);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(sym_line_comment);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(194);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(47);
      if (lookahead != 0) ADVANCE(46);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(sym_line_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(47);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_BSLASHiffalse);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_BSLASHfi);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_BSLASHpart);
      if (lookahead == '*') ADVANCE(57);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_BSLASHpart_STAR);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_BSLASHaddpart);
      if (lookahead == '*') ADVANCE(59);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_BSLASHaddpart_STAR);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_BSLASHchapter);
      if (lookahead == '*') ADVANCE(61);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_BSLASHchapter_STAR);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_BSLASHaddchap);
      if (lookahead == '*') ADVANCE(63);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_BSLASHaddchap_STAR);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_BSLASHsection);
      if (lookahead == '*') ADVANCE(65);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_BSLASHsection_STAR);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_BSLASHaddsec);
      if (lookahead == '*') ADVANCE(67);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_BSLASHaddsec_STAR);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_BSLASHsubsection);
      if (lookahead == '*') ADVANCE(69);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_BSLASHsubsection_STAR);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_BSLASHsubsubsection);
      if (lookahead == '*') ADVANCE(71);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_BSLASHsubsubsection_STAR);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_BSLASHparagraph);
      if (lookahead == '*') ADVANCE(73);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_BSLASHparagraph_STAR);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_BSLASHsubparagraph);
      if (lookahead == '*') ADVANCE(75);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_BSLASHsubparagraph_STAR);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_BSLASHitem);
      if (lookahead == '*') ADVANCE(77);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_BSLASHitem_STAR);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_BSLASHand);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_BSLASHand);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'a') ADVANCE(171);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'a') ADVANCE(116);
      if (lookahead == 'p') ADVANCE(135);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'a') ADVANCE(187);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'a') ADVANCE(167);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'a') ADVANCE(140);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'a') ADVANCE(189);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'a') ADVANCE(179);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'a') ADVANCE(188);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'a') ADVANCE(183);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'a') ADVANCE(177);
      if (lookahead == 'i') ADVANCE(150);
      if (lookahead == 'u') ADVANCE(141);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'a') ADVANCE(178);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'a') ADVANCE(98);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'b') ADVANCE(136);
      if (lookahead == 's') ADVANCE(131);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'b') ADVANCE(90);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'c') ADVANCE(132);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'c') ADVANCE(157);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'c') ADVANCE(160);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'd') ADVANCE(234);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'd') ADVANCE(253);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'd') ADVANCE(265);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'd') ADVANCE(106);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'd') ADVANCE(107);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'e') ADVANCE(94);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'e') ADVANCE(114);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'e') ADVANCE(237);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'e') ADVANCE(238);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'e') ADVANCE(247);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'e') ADVANCE(163);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'e') ADVANCE(99);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'e') ADVANCE(164);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'e') ADVANCE(154);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'e') ADVANCE(155);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'f') ADVANCE(236);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'g') ADVANCE(233);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'g') ADVANCE(104);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'g') ADVANCE(147);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'g') ADVANCE(148);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'h') ADVANCE(242);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'h') ADVANCE(243);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'h') ADVANCE(111);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'i') ADVANCE(168);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'i') ADVANCE(170);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'i') ADVANCE(117);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'i') ADVANCE(159);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'i') ADVANCE(118);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'i') ADVANCE(143);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'i') ADVANCE(153);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'i') ADVANCE(172);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'i') ADVANCE(151);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'i') ADVANCE(142);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'k') ADVANCE(241);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'l') ADVANCE(124);
      if (lookahead == 'r') ADVANCE(165);
      if (lookahead == 's') ADVANCE(186);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'l') ADVANCE(86);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'l') ADVANCE(129);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'l') ADVANCE(158);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'l') ADVANCE(128);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'l') ADVANCE(87);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'l') ADVANCE(123);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'l') ADVANCE(126);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'l') ADVANCE(182);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'l') ADVANCE(113);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'm') ADVANCE(232);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'm') ADVANCE(145);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'm') ADVANCE(112);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'm') ADVANCE(92);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'n') ADVANCE(251);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'n') ADVANCE(267);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'n') ADVANCE(245);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'n') ADVANCE(181);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'n') ADVANCE(115);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'n') ADVANCE(85);
      if (lookahead == 'u') ADVANCE(88);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'n') ADVANCE(108);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'n') ADVANCE(174);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'n') ADVANCE(176);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'o') ADVANCE(144);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'o') ADVANCE(102);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'o') ADVANCE(96);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'o') ADVANCE(149);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'o') ADVANCE(103);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'p') ADVANCE(138);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'q') ADVANCE(152);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'r') ADVANCE(95);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'r') ADVANCE(263);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'r') ADVANCE(84);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'r') ADVANCE(89);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'r') ADVANCE(166);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 's') ADVANCE(161);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 's') ADVANCE(180);
      if (lookahead == 'u') ADVANCE(93);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 's') ADVANCE(184);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 't') ADVANCE(121);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 't') ADVANCE(257);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 't') ADVANCE(259);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 't') ADVANCE(231);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 't') ADVANCE(261);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 't') ADVANCE(240);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 't') ADVANCE(119);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 't') ADVANCE(120);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 't') ADVANCE(125);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 't') ADVANCE(139);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 't') ADVANCE(110);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 't') ADVANCE(137);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 't') ADVANCE(127);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 't') ADVANCE(130);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'y') ADVANCE(97);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'y') ADVANCE(235);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'y') ADVANCE(255);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'y') ADVANCE(249);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == 'y') ADVANCE(146);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_word);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym_placeholder);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym_delimiter);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_path);
      if ((!eof && set_contains(sym_path_character_set_1, 9, lookahead))) ADVANCE(193);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(sym_uri);
      if (lookahead != 0 &&
          lookahead != '[' &&
          lookahead != ']' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(194);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym_argc);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(aux_sym__glob_pattern_fragment_token1);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < ':' || '<' < lookahead) &&
          lookahead != '>' &&
          lookahead != '[' &&
          lookahead != ']' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(196);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_LT);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_GT);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_BANG);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_COLON);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(sym_letter);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym__);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_DOLLAR_DOLLAR);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_BSLASH_LBRACK);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_BSLASH_RBRACK);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '$') ADVANCE(210);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_BSLASH_LPAREN);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_BSLASH_RPAREN);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_BSLASHleft);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_BSLASHbigl);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_BSLASHBigl);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_BSLASHbiggl);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_BSLASHBiggl);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_BSLASHright);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_BSLASHbigr);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_BSLASHBigr);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_BSLASHbiggr);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_BSLASHBiggr);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_BSLASHtext);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(833);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_BSLASHintertext);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_BSLASHshortintertext);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_BSLASHbegin);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_BSLASHend);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_comment);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_verbatim);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_lstlisting);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_minted);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_asy);
      if (lookahead == 'd') ADVANCE(105);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_asydef);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_pycode);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_luacode);
      if (lookahead == '*') ADVANCE(239);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_luacode_STAR);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_sagesilent);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_sageblock);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_math);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_displaymath);
      if (lookahead == '*') ADVANCE(244);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_displaymath_STAR);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_equation);
      if (lookahead == '*') ADVANCE(246);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_equation_STAR);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_multline);
      if (lookahead == '*') ADVANCE(248);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_multline_STAR);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_eqnarray);
      if (lookahead == '*') ADVANCE(250);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_eqnarray_STAR);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_align);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == 'a') ADVANCE(173);
      if (lookahead == 'e') ADVANCE(100);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_align_STAR);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_aligned);
      if (lookahead == '*') ADVANCE(254);
      if (lookahead == 'a') ADVANCE(175);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_aligned_STAR);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_array);
      if (lookahead == '*') ADVANCE(256);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_array_STAR);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_split);
      if (lookahead == '*') ADVANCE(258);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_split_STAR);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_alignat);
      if (lookahead == '*') ADVANCE(260);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_alignat_STAR);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_alignedat);
      if (lookahead == '*') ADVANCE(262);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_alignedat_STAR);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_gather);
      if (lookahead == '*') ADVANCE(264);
      if (lookahead == 'e') ADVANCE(101);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_gather_STAR);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_gathered);
      if (lookahead == '*') ADVANCE(266);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_gathered_STAR);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_flalign);
      if (lookahead == '*') ADVANCE(268);
      if ((!eof && set_contains(sym_word_character_set_1, 10, lookahead))) ADVANCE(190);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_flalign_STAR);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(sym_command_name);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(sym_command_name);
      ADVANCE_MAP(
        '(', 214,
        ')', 215,
        'A', 296,
        'B', 783,
        'C', 789,
        'D', 536,
        'G', 323,
        'N', 537,
        'P', 374,
        'R', 538,
        'S', 960,
        'T', 539,
        'V', 600,
        '[', 211,
        ']', 212,
        'a', 434,
        'b', 601,
        'c', 328,
        'd', 540,
        'e', 520,
        'f', 784,
        'g', 522,
        'h', 1255,
        'i', 701,
        'l', 330,
        'm', 339,
        'n', 332,
        'p', 333,
        'r', 541,
        's', 606,
        't', 650,
        'u', 1251,
        'v', 686,
        'x', 524,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(269);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(sym_command_name);
      ADVANCE_MAP(
        '(', 214,
        ')', 215,
        'A', 296,
        'B', 783,
        'C', 789,
        'D', 536,
        'G', 323,
        'N', 537,
        'P', 374,
        'R', 538,
        'S', 960,
        'T', 539,
        'V', 600,
        '[', 211,
        'a', 435,
        'b', 601,
        'c', 328,
        'd', 540,
        'e', 521,
        'f', 1101,
        'g', 522,
        'h', 1255,
        'i', 701,
        'l', 330,
        'm', 339,
        'n', 332,
        'p', 333,
        'r', 541,
        's', 606,
        't', 650,
        'u', 1251,
        'v', 686,
        'x', 524,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(269);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(sym_command_name);
      ADVANCE_MAP(
        '(', 214,
        ')', 215,
        'A', 296,
        'B', 801,
        'C', 789,
        'D', 536,
        'G', 323,
        'N', 537,
        'P', 374,
        'R', 538,
        'S', 960,
        'T', 539,
        'V', 600,
        '[', 211,
        ']', 212,
        'a', 435,
        'b', 602,
        'c', 328,
        'd', 540,
        'e', 521,
        'f', 1101,
        'g', 522,
        'h', 1255,
        'i', 701,
        'l', 330,
        'm', 339,
        'n', 332,
        'p', 333,
        'r', 542,
        's', 606,
        't', 650,
        'u', 1251,
        'v', 686,
        'x', 524,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(269);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(sym_command_name);
      ADVANCE_MAP(
        '(', 214,
        ')', 215,
        'A', 296,
        'B', 801,
        'C', 789,
        'D', 536,
        'G', 323,
        'N', 537,
        'P', 374,
        'R', 538,
        'S', 960,
        'T', 539,
        'V', 600,
        '[', 211,
        'a', 434,
        'b', 602,
        'c', 328,
        'd', 540,
        'e', 521,
        'f', 1101,
        'g', 522,
        'h', 1255,
        'i', 701,
        'l', 330,
        'm', 339,
        'n', 332,
        'p', 333,
        'r', 542,
        's', 606,
        't', 650,
        'u', 1251,
        'v', 686,
        'x', 524,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(269);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(sym_command_name);
      ADVANCE_MAP(
        '(', 214,
        ')', 215,
        'A', 296,
        'B', 801,
        'C', 789,
        'D', 536,
        'G', 323,
        'N', 537,
        'P', 374,
        'R', 538,
        'S', 960,
        'T', 539,
        'V', 600,
        '[', 211,
        'a', 435,
        'b', 602,
        'c', 328,
        'd', 540,
        'e', 520,
        'f', 1101,
        'g', 522,
        'h', 1255,
        'i', 701,
        'l', 330,
        'm', 339,
        'n', 332,
        'p', 333,
        'r', 542,
        's', 606,
        't', 650,
        'u', 1251,
        'v', 686,
        'x', 524,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(269);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(sym_command_name);
      ADVANCE_MAP(
        '(', 214,
        ')', 215,
        'A', 296,
        'B', 801,
        'C', 789,
        'D', 536,
        'G', 323,
        'N', 537,
        'P', 374,
        'R', 538,
        'S', 960,
        'T', 539,
        'V', 600,
        '[', 211,
        'a', 435,
        'b', 602,
        'c', 328,
        'd', 540,
        'e', 521,
        'f', 784,
        'g', 522,
        'h', 1255,
        'i', 701,
        'l', 330,
        'm', 339,
        'n', 332,
        'p', 333,
        'r', 542,
        's', 606,
        't', 650,
        'u', 1251,
        'v', 686,
        'x', 524,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(269);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(sym_command_name);
      ADVANCE_MAP(
        '(', 214,
        ')', 215,
        'A', 296,
        'B', 801,
        'C', 789,
        'D', 536,
        'G', 323,
        'N', 537,
        'P', 374,
        'R', 538,
        'S', 960,
        'T', 539,
        'V', 600,
        '[', 211,
        'a', 435,
        'b', 602,
        'c', 328,
        'd', 540,
        'e', 521,
        'f', 1101,
        'g', 522,
        'h', 1255,
        'i', 701,
        'l', 330,
        'm', 339,
        'n', 332,
        'p', 333,
        'r', 542,
        's', 606,
        't', 650,
        'u', 1251,
        'v', 686,
        'x', 524,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(269);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(sym_command_name);
      ADVANCE_MAP(
        '(', 214,
        'A', 296,
        'B', 783,
        'C', 789,
        'D', 536,
        'G', 323,
        'N', 537,
        'P', 374,
        'R', 538,
        'S', 960,
        'T', 539,
        'V', 600,
        '[', 211,
        ']', 212,
        'a', 435,
        'b', 601,
        'c', 328,
        'd', 540,
        'e', 521,
        'f', 1101,
        'g', 522,
        'h', 1255,
        'i', 701,
        'l', 330,
        'm', 339,
        'n', 332,
        'p', 333,
        'r', 541,
        's', 606,
        't', 650,
        'u', 1251,
        'v', 686,
        'x', 524,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(269);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(sym_command_name);
      ADVANCE_MAP(
        '(', 214,
        'A', 296,
        'B', 783,
        'C', 789,
        'D', 536,
        'G', 323,
        'N', 537,
        'P', 374,
        'R', 538,
        'S', 960,
        'T', 539,
        'V', 600,
        '[', 211,
        'a', 435,
        'b', 601,
        'c', 328,
        'd', 540,
        'e', 521,
        'f', 784,
        'g', 522,
        'h', 1255,
        'i', 701,
        'l', 330,
        'm', 339,
        'n', 332,
        'p', 333,
        'r', 541,
        's', 606,
        't', 650,
        'u', 1251,
        'v', 686,
        'x', 524,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(269);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(sym_command_name);
      ADVANCE_MAP(
        '(', 214,
        'A', 296,
        'B', 783,
        'C', 789,
        'D', 536,
        'G', 323,
        'N', 537,
        'P', 374,
        'R', 538,
        'S', 960,
        'T', 539,
        'V', 600,
        '[', 211,
        'a', 435,
        'b', 601,
        'c', 328,
        'd', 540,
        'e', 521,
        'f', 1101,
        'g', 522,
        'h', 1255,
        'i', 701,
        'l', 330,
        'm', 339,
        'n', 332,
        'p', 333,
        'r', 541,
        's', 606,
        't', 650,
        'u', 1251,
        'v', 686,
        'x', 524,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(269);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(sym_command_name);
      ADVANCE_MAP(
        '(', 214,
        'A', 296,
        'B', 801,
        'C', 789,
        'D', 536,
        'G', 323,
        'N', 537,
        'P', 374,
        'R', 538,
        'S', 960,
        'T', 539,
        'V', 600,
        '[', 211,
        ']', 212,
        'a', 434,
        'b', 602,
        'c', 328,
        'd', 540,
        'e', 521,
        'f', 1101,
        'g', 522,
        'h', 1255,
        'i', 701,
        'l', 330,
        'm', 339,
        'n', 332,
        'p', 333,
        'r', 542,
        's', 606,
        't', 650,
        'u', 1251,
        'v', 686,
        'x', 524,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(269);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(sym_command_name);
      ADVANCE_MAP(
        '(', 214,
        'A', 296,
        'B', 801,
        'C', 789,
        'D', 536,
        'G', 323,
        'N', 537,
        'P', 374,
        'R', 538,
        'S', 960,
        'T', 539,
        'V', 600,
        '[', 211,
        ']', 212,
        'a', 435,
        'b', 602,
        'c', 328,
        'd', 540,
        'e', 520,
        'f', 1101,
        'g', 522,
        'h', 1255,
        'i', 701,
        'l', 330,
        'm', 339,
        'n', 332,
        'p', 333,
        'r', 542,
        's', 606,
        't', 650,
        'u', 1251,
        'v', 686,
        'x', 524,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(269);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(sym_command_name);
      ADVANCE_MAP(
        '(', 214,
        'A', 296,
        'B', 801,
        'C', 789,
        'D', 536,
        'G', 323,
        'N', 537,
        'P', 374,
        'R', 538,
        'S', 960,
        'T', 539,
        'V', 600,
        '[', 211,
        ']', 212,
        'a', 435,
        'b', 602,
        'c', 328,
        'd', 540,
        'e', 521,
        'f', 784,
        'g', 522,
        'h', 1255,
        'i', 701,
        'l', 330,
        'm', 339,
        'n', 332,
        'p', 333,
        'r', 542,
        's', 606,
        't', 650,
        'u', 1251,
        'v', 686,
        'x', 524,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(269);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(sym_command_name);
      ADVANCE_MAP(
        '(', 214,
        'A', 296,
        'B', 801,
        'C', 789,
        'D', 536,
        'G', 323,
        'N', 537,
        'P', 374,
        'R', 538,
        'S', 960,
        'T', 539,
        'V', 600,
        '[', 211,
        ']', 212,
        'a', 435,
        'b', 602,
        'c', 328,
        'd', 540,
        'e', 521,
        'f', 1101,
        'g', 522,
        'h', 1255,
        'i', 701,
        'l', 330,
        'm', 339,
        'n', 332,
        'p', 333,
        'r', 542,
        's', 606,
        't', 650,
        'u', 1251,
        'v', 686,
        'x', 524,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(269);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(sym_command_name);
      ADVANCE_MAP(
        '(', 214,
        'A', 296,
        'B', 801,
        'C', 789,
        'D', 536,
        'G', 323,
        'N', 537,
        'P', 374,
        'R', 538,
        'S', 960,
        'T', 539,
        'V', 600,
        '[', 211,
        'a', 435,
        'b', 602,
        'c', 328,
        'd', 540,
        'e', 520,
        'f', 784,
        'g', 522,
        'h', 1255,
        'i', 701,
        'l', 330,
        'm', 339,
        'n', 332,
        'p', 333,
        'r', 542,
        's', 606,
        't', 650,
        'u', 1251,
        'v', 686,
        'x', 524,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(269);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(sym_command_name);
      ADVANCE_MAP(
        '(', 214,
        'A', 296,
        'B', 801,
        'C', 789,
        'D', 536,
        'G', 323,
        'N', 537,
        'P', 374,
        'R', 538,
        'S', 960,
        'T', 539,
        'V', 600,
        '[', 211,
        'a', 435,
        'b', 602,
        'c', 328,
        'd', 540,
        'e', 520,
        'f', 1101,
        'g', 522,
        'h', 1255,
        'i', 701,
        'l', 330,
        'm', 339,
        'n', 332,
        'p', 333,
        'r', 542,
        's', 606,
        't', 650,
        'u', 1251,
        'v', 686,
        'x', 524,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(269);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(sym_command_name);
      ADVANCE_MAP(
        '(', 214,
        'A', 296,
        'B', 801,
        'C', 789,
        'D', 536,
        'G', 323,
        'N', 537,
        'P', 374,
        'R', 538,
        'S', 960,
        'T', 539,
        'V', 600,
        '[', 211,
        'a', 435,
        'b', 602,
        'c', 328,
        'd', 540,
        'e', 521,
        'f', 784,
        'g', 522,
        'h', 1255,
        'i', 701,
        'l', 330,
        'm', 339,
        'n', 332,
        'p', 333,
        'r', 542,
        's', 606,
        't', 650,
        'u', 1251,
        'v', 686,
        'x', 524,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(269);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_command_name);
      ADVANCE_MAP(
        '(', 214,
        'A', 296,
        'B', 801,
        'C', 789,
        'D', 536,
        'G', 323,
        'N', 537,
        'P', 374,
        'R', 538,
        'S', 960,
        'T', 539,
        'V', 600,
        '[', 211,
        'a', 435,
        'b', 602,
        'c', 328,
        'd', 540,
        'e', 521,
        'f', 1101,
        'g', 522,
        'h', 1255,
        'i', 701,
        'l', 330,
        'm', 339,
        'n', 332,
        'p', 333,
        'r', 542,
        's', 606,
        't', 650,
        'u', 1251,
        'v', 686,
        'x', 524,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(269);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(sym_command_name);
      ADVANCE_MAP(
        '(', 214,
        'A', 296,
        'B', 801,
        'C', 789,
        'D', 536,
        'G', 323,
        'N', 537,
        'P', 374,
        'R', 538,
        'S', 960,
        'T', 539,
        'V', 600,
        '[', 211,
        'a', 436,
        'b', 790,
        'c', 329,
        'd', 540,
        'e', 521,
        'f', 784,
        'g', 522,
        'h', 1255,
        'i', 702,
        'l', 330,
        'm', 339,
        'n', 332,
        'p', 334,
        'r', 542,
        's', 767,
        't', 650,
        'u', 1251,
        'v', 686,
        'x', 524,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(269);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(sym_command_name);
      ADVANCE_MAP(
        '(', 214,
        'A', 296,
        'B', 801,
        'C', 789,
        'D', 536,
        'G', 323,
        'N', 537,
        'P', 374,
        'R', 538,
        'S', 960,
        'T', 539,
        'V', 600,
        '[', 211,
        'a', 436,
        'b', 790,
        'c', 329,
        'd', 540,
        'e', 521,
        'f', 1101,
        'g', 522,
        'h', 1255,
        'i', 702,
        'l', 330,
        'm', 339,
        'n', 332,
        'p', 334,
        'r', 542,
        's', 767,
        't', 650,
        'u', 1251,
        'v', 686,
        'x', 524,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(269);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(sym_command_name);
      ADVANCE_MAP(
        '(', 214,
        'A', 296,
        'B', 801,
        'C', 789,
        'D', 536,
        'G', 323,
        'N', 537,
        'P', 374,
        'R', 538,
        'S', 960,
        'T', 539,
        'V', 600,
        '[', 211,
        'a', 437,
        'b', 790,
        'c', 329,
        'd', 540,
        'e', 521,
        'f', 784,
        'g', 522,
        'h', 1255,
        'i', 702,
        'l', 330,
        'm', 339,
        'n', 332,
        'p', 334,
        'r', 542,
        's', 767,
        't', 650,
        'u', 1251,
        'v', 686,
        'x', 524,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(269);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(sym_command_name);
      ADVANCE_MAP(
        '(', 214,
        'A', 296,
        'B', 801,
        'C', 789,
        'D', 536,
        'G', 323,
        'N', 537,
        'P', 374,
        'R', 538,
        'S', 960,
        'T', 539,
        'V', 600,
        '[', 211,
        'a', 437,
        'b', 790,
        'c', 329,
        'd', 540,
        'e', 521,
        'f', 1101,
        'g', 522,
        'h', 1255,
        'i', 702,
        'l', 330,
        'm', 339,
        'n', 332,
        'p', 334,
        'r', 542,
        's', 767,
        't', 650,
        'u', 1251,
        'v', 686,
        'x', 524,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(269);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(sym_command_name);
      ADVANCE_MAP(
        '(', 214,
        'A', 296,
        'B', 801,
        'C', 789,
        'D', 536,
        'G', 323,
        'N', 537,
        'P', 374,
        'R', 538,
        'S', 960,
        'T', 539,
        'V', 600,
        '[', 211,
        'a', 437,
        'b', 602,
        'c', 329,
        'd', 540,
        'e', 520,
        'f', 784,
        'g', 522,
        'h', 1255,
        'i', 702,
        'l', 330,
        'm', 339,
        'n', 332,
        'p', 334,
        'r', 542,
        's', 767,
        't', 650,
        'u', 1251,
        'v', 686,
        'x', 524,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(269);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(sym_command_name);
      ADVANCE_MAP(
        '(', 214,
        'A', 296,
        'B', 801,
        'C', 789,
        'D', 536,
        'G', 323,
        'N', 537,
        'P', 374,
        'R', 538,
        'S', 960,
        'T', 539,
        'V', 600,
        '[', 211,
        'a', 437,
        'b', 602,
        'c', 329,
        'd', 540,
        'e', 520,
        'f', 1101,
        'g', 522,
        'h', 1255,
        'i', 702,
        'l', 330,
        'm', 339,
        'n', 332,
        'p', 334,
        'r', 542,
        's', 767,
        't', 650,
        'u', 1251,
        'v', 686,
        'x', 524,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(269);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(sym_command_name);
      ADVANCE_MAP(
        '(', 214,
        'A', 296,
        'B', 801,
        'C', 789,
        'D', 536,
        'G', 323,
        'N', 537,
        'P', 374,
        'R', 538,
        'S', 960,
        'T', 539,
        'V', 600,
        '[', 211,
        'a', 437,
        'b', 602,
        'c', 329,
        'd', 540,
        'e', 521,
        'f', 784,
        'g', 522,
        'h', 1255,
        'i', 702,
        'l', 330,
        'm', 339,
        'n', 332,
        'p', 334,
        'r', 542,
        's', 767,
        't', 650,
        'u', 1251,
        'v', 686,
        'x', 524,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(269);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(sym_command_name);
      ADVANCE_MAP(
        '(', 214,
        'A', 296,
        'B', 801,
        'C', 789,
        'D', 536,
        'G', 323,
        'N', 537,
        'P', 374,
        'R', 538,
        'S', 960,
        'T', 539,
        'V', 600,
        '[', 211,
        'a', 437,
        'b', 602,
        'c', 329,
        'd', 540,
        'e', 521,
        'f', 1101,
        'g', 522,
        'h', 1255,
        'i', 702,
        'l', 330,
        'm', 339,
        'n', 332,
        'p', 334,
        'r', 542,
        's', 767,
        't', 650,
        'u', 1251,
        'v', 686,
        'x', 524,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(269);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'C') ADVANCE(326);
      if (lookahead == 'c') ADVANCE(1770);
      if (lookahead == 'u') ADVANCE(1379);
      if (lookahead == 'v') ADVANCE(1182);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'C') ADVANCE(1108);
      if (lookahead == 'D') ADVANCE(1180);
      if (lookahead == 'E') ADVANCE(1062);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'C') ADVANCE(1117);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'C') ADVANCE(1118);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'C') ADVANCE(1119);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'C') ADVANCE(1122);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'C') ADVANCE(1125);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'C') ADVANCE(1126);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'C') ADVANCE(1280);
      if (lookahead == 'c') ADVANCE(1281);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'C') ADVANCE(1162);
      if (lookahead == 'D') ADVANCE(1183);
      if (lookahead == 'E') ADVANCE(1096);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'C') ADVANCE(1166);
      if (lookahead == 'D') ADVANCE(1186);
      if (lookahead == 'E') ADVANCE(1098);
      if (lookahead == 'M') ADVANCE(365);
      if (lookahead == 'P') ADVANCE(396);
      if (lookahead == 'R') ADVANCE(1110);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'C') ADVANCE(1170);
      if (lookahead == 'E') ADVANCE(1091);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'C') ADVANCE(1172);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'C') ADVANCE(1173);
      if (lookahead == 'E') ADVANCE(1092);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'C') ADVANCE(1174);
      if (lookahead == 'E') ADVANCE(1093);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'C') ADVANCE(1175);
      if (lookahead == 'E') ADVANCE(1094);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'C') ADVANCE(1176);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'C') ADVANCE(1177);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'C') ADVANCE(1178);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'C') ADVANCE(1179);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'D') ADVANCE(657);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'D') ADVANCE(1188);
      if (lookahead == 'E') ADVANCE(1512);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'D') ADVANCE(1190);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'D') ADVANCE(1200);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'D') ADVANCE(1201);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'D') ADVANCE(1202);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'I') ADVANCE(1032);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'L') ADVANCE(327);
      if (lookahead == 'l') ADVANCE(1321);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'O') ADVANCE(1220);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'P') ADVANCE(401);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'R') ADVANCE(724);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'S') ADVANCE(1694);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1209);
      if (lookahead == 'h') ADVANCE(376);
      if (lookahead == 'i') ADVANCE(1388);
      if (lookahead == 'o') ADVANCE(902);
      if (lookahead == 'p') ADVANCE(400);
      if (lookahead == 'r') ADVANCE(611);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1209);
      if (lookahead == 'i') ADVANCE(1388);
      if (lookahead == 'o') ADVANCE(902);
      if (lookahead == 'p') ADVANCE(400);
      if (lookahead == 'r') ADVANCE(611);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(421);
      if (lookahead == 'c') ADVANCE(1027);
      if (lookahead == 'e') ADVANCE(728);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(421);
      if (lookahead == 'c') ADVANCE(1027);
      if (lookahead == 'e') ADVANCE(1343);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(963);
      if (lookahead == 'e') ADVANCE(1498);
      if (lookahead == 'o') ADVANCE(444);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(748);
      if (lookahead == 'n') ADVANCE(1199);
      if (lookahead == 'r') ADVANCE(1143);
      if (lookahead == 'v') ADVANCE(1193);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(749);
      if (lookahead == 'n') ADVANCE(1199);
      if (lookahead == 'r') ADVANCE(1143);
      if (lookahead == 'v') ADVANCE(1193);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1317);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(971);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(750);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1204);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1344);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(747);
      if (lookahead == 'e') ADVANCE(1085);
      if (lookahead == 't') ADVANCE(56);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(449);
      if (lookahead == 'c') ADVANCE(1159);
      if (lookahead == 'e') ADVANCE(1087);
      if (lookahead == 'g') ADVANCE(907);
      if (lookahead == 'l') ADVANCE(377);
      if (lookahead == 't') ADVANCE(774);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1207);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(445);
      if (lookahead == 'g') ADVANCE(730);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(427);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1060);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1289);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(925);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1028);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1030);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1033);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1236);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(880);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(881);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1035);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1249);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1037);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1242);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(885);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1039);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1040);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1041);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1043);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1044);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1253);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1380);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1046);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1254);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1047);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(890);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1048);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1049);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(893);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(896);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1258);
      if (lookahead == 'n') ADVANCE(1197);
      if (lookahead == 'r') ADVANCE(1106);
      if (lookahead == 'v') ADVANCE(1185);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1432);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1223);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(423);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1328);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1210);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1384);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1221);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1061);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(965);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1211);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1386);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1064);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(966);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1266);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(755);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1213);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1275);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(967);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(758);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1279);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1404);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(824);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1063);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1066);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1067);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(760);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(489);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(761);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(762);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(763);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1319);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(431);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(432);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(433);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1102);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1103);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1104);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'b') ADVANCE(726);
      if (lookahead == 'p') ADVANCE(614);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'b') ADVANCE(727);
      if (lookahead == 'p') ADVANCE(614);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'b') ADVANCE(904);
      if (lookahead == 'g') ADVANCE(746);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'b') ADVANCE(904);
      if (lookahead == 'g') ADVANCE(752);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'b') ADVANCE(904);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'b') ADVANCE(791);
      if (lookahead == 'c') ADVANCE(771);
      if (lookahead == 'p') ADVANCE(388);
      if (lookahead == 's') ADVANCE(616);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'b') ADVANCE(791);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'b') ADVANCE(1341);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'b') ADVANCE(1468);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'b') ADVANCE(628);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'b') ADVANCE(1300);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'b') ADVANCE(641);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'b') ADVANCE(380);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'b') ADVANCE(1138);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'b') ADVANCE(1141);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'b') ADVANCE(919);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'b') ADVANCE(1282);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'b') ADVANCE(1304);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'b') ADVANCE(385);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'b') ADVANCE(948);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'b') ADVANCE(949);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'b') ADVANCE(950);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(1769);
      if (lookahead == 'd') ADVANCE(503);
      if (lookahead == 'n') ADVANCE(504);
      if (lookahead == 'u') ADVANCE(1342);
      if (lookahead == 'v') ADVANCE(1191);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(1769);
      if (lookahead == 'd') ADVANCE(503);
      if (lookahead == 'u') ADVANCE(1342);
      if (lookahead == 'v') ADVANCE(1191);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(1769);
      if (lookahead == 'd') ADVANCE(523);
      if (lookahead == 'n') ADVANCE(504);
      if (lookahead == 'u') ADVANCE(1342);
      if (lookahead == 'v') ADVANCE(1191);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(1769);
      if (lookahead == 'd') ADVANCE(523);
      if (lookahead == 'u') ADVANCE(1342);
      if (lookahead == 'v') ADVANCE(1191);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(833);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(66);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(1719);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(1718);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(1717);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(1463);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(809);
      if (lookahead == 't') ADVANCE(682);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(860);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(903);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(901);
      if (lookahead == 'p') ADVANCE(1457);
      if (lookahead == 't') ADVANCE(612);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(901);
      if (lookahead == 'p') ADVANCE(1457);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(1303);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(1323);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(381);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(596);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(1146);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(913);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(1283);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(811);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(927);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(1148);
      if (lookahead == 'r') ADVANCE(629);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(814);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(929);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(1150);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(815);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(817);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(818);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(819);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(821);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(822);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(823);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(825);
      if (lookahead == 'p') ADVANCE(402);
      if (lookahead == 'r') ADVANCE(626);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(826);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(827);
      if (lookahead == 'f') ADVANCE(1480);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(828);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(829);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(830);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(831);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(832);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(834);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(835);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(836);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(837);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(838);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(839);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(840);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(841);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(842);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(843);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(844);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(1472);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(861);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(928);
      if (lookahead == 'f') ADVANCE(1674);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(1434);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(1476);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(1436);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(1437);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(1164);
      if (lookahead == 'e') ADVANCE(1089);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(1168);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(1477);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(1478);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(1479);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(1481);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(1482);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(1483);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(417);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(81);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(230);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(298);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(1653);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(1655);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(316);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(1657);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(1663);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(1659);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(1664);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(1666);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(1665);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(1667);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(1668);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(1670);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(1669);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(613);
      if (lookahead == 'n') ADVANCE(505);
      if (lookahead == 'q') ADVANCE(1262);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(613);
      if (lookahead == 'q') ADVANCE(1262);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(615);
      if (lookahead == 'l') ADVANCE(622);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(418);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(620);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(344);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(553);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(558);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(644);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(597);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(299);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(300);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(627);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(406);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(407);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(408);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(446);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1497);
      if (lookahead == 'o') ADVANCE(1424);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1042);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1502);
      if (lookahead == 'v') ADVANCE(1189);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(490);
      if (lookahead == 'o') ADVANCE(443);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(704);
      if (lookahead == 'i') ADVANCE(745);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(704);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1203);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1561);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1559);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(304);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(458);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1535);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1562);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(306);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1714);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1713);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(317);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(325);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1603);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1712);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(48);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1540);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1543);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1602);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1599);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1613);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1615);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1605);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1609);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1594);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1611);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1598);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1612);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1579);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1590);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1582);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1606);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1614);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1604);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1608);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1593);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1610);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1648);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1589);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1617);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1596);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1575);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1646);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1618);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1607);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1587);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1616);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1595);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1597);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1537);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1591);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1651);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1650);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1538);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1544);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1541);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1549);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1545);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1246);
      if (lookahead == 'o') ADVANCE(900);
      if (lookahead == 'r') ADVANCE(609);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(744);
      if (lookahead == 'i') ADVANCE(414);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(744);
      if (lookahead == 'i') ADVANCE(415);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(705);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(951);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(318);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(491);
      if (lookahead == 'h') ADVANCE(1144);
      if (lookahead == 'm') ADVANCE(405);
      if (lookahead == 'u') ADVANCE(412);
      if (lookahead == 'v') ADVANCE(1194);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1326);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1499);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(706);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1084);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(707);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1301);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(708);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1316);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(709);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(439);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(710);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(711);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1331);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(712);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(509);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1345);
      if (lookahead == 's') ADVANCE(1692);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(713);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(955);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(455);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(714);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(496);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(870);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(715);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1234);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1156);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(716);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(958);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(717);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1248);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(718);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1235);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(719);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1250);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(720);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(875);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(721);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(722);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(729);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(723);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1440);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1298);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1245);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1370);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1503);
      if (lookahead == 'i') ADVANCE(1381);
      if (lookahead == 'v') ADVANCE(1195);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1050);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1327);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(351);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1504);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1051);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1329);
      if (lookahead == 'i') ADVANCE(1324);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(912);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1273);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1505);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1070);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1506);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1052);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1053);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1278);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1508);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1054);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1509);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1055);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1510);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1056);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1511);
      if (lookahead == 'i') ADVANCE(1381);
      if (lookahead == 'v') ADVANCE(1195);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1057);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1058);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1285);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1287);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1157);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1095);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(461);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1071);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1073);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(464);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(474);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(479);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(481);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(484);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1307);
      if (lookahead == 'o') ADVANCE(930);
      if (lookahead == 'r') ADVANCE(618);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(493);
      if (lookahead == 'u') ADVANCE(419);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1085);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1309);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1086);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(494);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1088);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1090);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1500);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1097);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1099);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(1100);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(319);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(320);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'e') ADVANCE(321);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'm') ADVANCE(1226);
      if (lookahead == 'n') ADVANCE(447);
      if (lookahead == 't') ADVANCE(604);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'm') ADVANCE(1226);
      if (lookahead == 'n') ADVANCE(447);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(725);
      if (lookahead == 'm') ADVANCE(1226);
      if (lookahead == 'n') ADVANCE(448);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1620);
      if (lookahead == 'n') ADVANCE(608);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1632);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1623);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1630);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1676);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1675);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1796);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1622);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1677);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1621);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1624);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1626);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1635);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1634);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1637);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1636);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1642);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1638);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1628);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1644);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1458);
      if (lookahead == 'l') ADVANCE(1111);
      if (lookahead == 's') ADVANCE(778);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(347);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(807);
      if (lookahead == 'i') ADVANCE(1010);
      if (lookahead == 'p') ADVANCE(346);
      if (lookahead == 's') ADVANCE(687);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(807);
      if (lookahead == 'i') ADVANCE(1010);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1346);
      if (lookahead == 't') ADVANCE(1678);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1268);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(908);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1464);
      if (lookahead == 'l') ADVANCE(1113);
      if (lookahead == 's') ADVANCE(779);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1466);
      if (lookahead == 'l') ADVANCE(1115);
      if (lookahead == 's') ADVANCE(780);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1469);
      if (lookahead == 'l') ADVANCE(1134);
      if (lookahead == 's') ADVANCE(781);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1471);
      if (lookahead == 'l') ADVANCE(1136);
      if (lookahead == 's') ADVANCE(782);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'g') ADVANCE(736);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'g') ADVANCE(863);
      if (lookahead == 'l') ADVANCE(218);
      if (lookahead == 'r') ADVANCE(223);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'g') ADVANCE(1747);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'g') ADVANCE(1746);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'g') ADVANCE(1745);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'g') ADVANCE(1548);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'g') ADVANCE(1773);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'g') ADVANCE(1772);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'g') ADVANCE(751);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'g') ADVANCE(792);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'g') ADVANCE(772);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'g') ADVANCE(867);
      if (lookahead == 'l') ADVANCE(217);
      if (lookahead == 'r') ADVANCE(222);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'g') ADVANCE(1257);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'g') ADVANCE(547);
      if (lookahead == 'r') ADVANCE(340);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'g') ADVANCE(547);
      if (lookahead == 'r') ADVANCE(688);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'g') ADVANCE(658);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'g') ADVANCE(864);
      if (lookahead == 'l') ADVANCE(218);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'g') ADVANCE(868);
      if (lookahead == 'l') ADVANCE(217);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'g') ADVANCE(579);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'g') ADVANCE(584);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'g') ADVANCE(591);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'g') ADVANCE(593);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'g') ADVANCE(594);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'g') ADVANCE(595);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'g') ADVANCE(1292);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'g') ADVANCE(664);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'g') ADVANCE(674);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'g') ADVANCE(1297);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'g') ADVANCE(675);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'h') ADVANCE(72);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'h') ADVANCE(324);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'h') ADVANCE(74);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'h') ADVANCE(1144);
      if (lookahead == 'm') ADVANCE(405);
      if (lookahead == 'u') ADVANCE(413);
      if (lookahead == 'v') ADVANCE(1194);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'h') ADVANCE(1513);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'h') ADVANCE(453);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'h') ADVANCE(1112);
      if (lookahead == 'o') ADVANCE(469);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'h') ADVANCE(338);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'h') ADVANCE(1349);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'h') ADVANCE(803);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'h') ADVANCE(631);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'h') ADVANCE(1135);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'h') ADVANCE(1137);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'h') ADVANCE(676);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'h') ADVANCE(1149);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'h') ADVANCE(1151);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'h') ADVANCE(1152);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'h') ADVANCE(1154);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'h') ADVANCE(1155);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(735);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(49);
      if (lookahead == 'n') ADVANCE(1198);
      if (lookahead == 'o') ADVANCE(1114);
      if (lookahead == 't') ADVANCE(1496);
      if (lookahead == 'u') ADVANCE(946);
      if (lookahead == 'v') ADVANCE(1192);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(857);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1722);
      if (lookahead == 'v') ADVANCE(1734);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1721);
      if (lookahead == 'v') ADVANCE(1733);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1720);
      if (lookahead == 'v') ADVANCE(1732);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1385);
      if (lookahead == 'p') ADVANCE(337);
      if (lookahead == 'r') ADVANCE(603);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(415);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(428);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1020);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(532);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(422);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1252);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(952);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(969);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(416);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1025);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1158);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(743);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1068);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(450);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1009);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(526);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1291);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(917);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1294);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1391);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1120);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1393);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1123);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1277);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1394);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1395);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1132);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1396);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1397);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1398);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1139);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1399);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1400);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1401);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1286);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1402);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1403);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1405);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1406);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1407);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1408);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1409);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1410);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1411);
      if (lookahead == 'o') ADVANCE(924);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1412);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1413);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1414);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1415);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 838:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1416);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1417);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1418);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 841:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1419);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 842:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1420);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 843:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1421);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 844:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1422);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 845:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1423);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 846:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1306);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 847:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1069);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 848:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(429);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 849:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1310);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 850:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1311);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1312);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 852:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1313);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1314);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 854:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1315);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1318);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1320);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 857:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'k') ADVANCE(1530);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 858:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'k') ADVANCE(1699);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 859:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'k') ADVANCE(1330);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 860:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'k') ADVANCE(389);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 861:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'k') ADVANCE(393);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 862:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1795);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 863:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(220);
      if (lookahead == 'r') ADVANCE(225);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 864:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(220);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1697);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 866:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1696);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 867:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(219);
      if (lookahead == 'r') ADVANCE(224);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(219);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1695);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1619);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1753);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1752);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1751);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 874:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1581);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 875:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1652);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1756);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1750);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 878:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1755);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 879:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1749);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 880:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1708);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 881:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1707);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 882:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1716);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 883:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1754);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1748);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1706);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 886:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1715);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 887:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1744);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 888:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1743);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1742);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 890:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1711);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 891:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1781);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1775);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 893:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1710);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 894:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1780);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 895:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1774);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 896:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1709);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 897:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1779);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 898:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1778);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1205);
      if (lookahead == 'u') ADVANCE(1435);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 900:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(456);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 901:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1465);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 902:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1107);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 903:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(391);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 904:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(800);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 905:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1473);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 906:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1218);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 907:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1109);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 908:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(794);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 909:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(871);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 910:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1130);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 911:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(872);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 912:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(804);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 913:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(378);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 914:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(873);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 915:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(548);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 916:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(906);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 917:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(559);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 918:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(583);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 919:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(605);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 920:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(599);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 921:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1219);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 922:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1131);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 923:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(921);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 924:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1133);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 925:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1339);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 926:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1140);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 927:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1467);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 928:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(394);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 929:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1470);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 930:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(459);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 931:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1474);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 932:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(848);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 933:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(1475);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 934:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(463);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 935:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(465);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 936:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(466);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 937:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(468);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 938:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(470);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 939:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(472);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 940:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(473);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 941:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(475);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 942:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(476);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 943:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(477);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 944:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(482);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 945:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(487);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 946:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(939);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 947:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(945);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 948:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(698);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 949:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(699);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 950:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'l') ADVANCE(700);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 951:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(76);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 952:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(322);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 953:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(1554);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 954:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(1738);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 955:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(1782);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 956:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(1556);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 957:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(1555);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 958:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(1784);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 959:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(1557);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 960:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(335);
      if (lookahead == 'v') ADVANCE(1187);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 961:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(425);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 962:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(968);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 963:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(546);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 964:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(651);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 965:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(551);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 966:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(552);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 967:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(556);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 968:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(349);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 969:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(847);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 970:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(350);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 971:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(625);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 972:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(382);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 973:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(354);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 974:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(386);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 975:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(356);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 976:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(359);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 977:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(360);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 978:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(361);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 979:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(362);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 980:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(363);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 981:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(366);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 982:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(368);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 983:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(370);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 984:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(371);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 985:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(426);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 986:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(970);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 987:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(655);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 988:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(972);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 989:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(660);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 990:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(973);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 991:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(662);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 992:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(974);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 993:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(975);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 994:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(666);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 995:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(976);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 996:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(677);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 997:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(977);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 998:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(668);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 999:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(978);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1000:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(670);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1001:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(979);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1002:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(672);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1003:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(980);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1004:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(673);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1005:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(981);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1006:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(982);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1007:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(983);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1008:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(984);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1009:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(845);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1010:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(1227);
      if (lookahead == 'n') ADVANCE(457);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1011:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(679);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1012:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(680);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1013:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(690);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1014:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(692);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1015:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(693);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1016:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(405);
      if (lookahead == 'u') ADVANCE(413);
      if (lookahead == 'v') ADVANCE(1194);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1017:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(695);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1018:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(696);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1019:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'm') ADVANCE(697);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1020:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(229);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1021:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1558);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1022:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(64);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1023:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(68);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1024:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(70);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1025:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(858);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1026:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(859);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1027:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(336);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1028:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(525);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1029:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(737);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1030:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(506);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1031:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(738);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1032:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1224);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1033:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(507);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1034:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(739);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1035:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(508);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1036:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(741);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1037:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(510);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1038:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(742);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1039:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(511);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1040:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(512);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1041:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(513);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1042:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(694);
      if (lookahead == 'q') ADVANCE(1456);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1043:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(514);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1044:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(515);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1045:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1387);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1046:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(516);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1047:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(517);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1048:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(518);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1049:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(519);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1050:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1433);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1051:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1364);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1052:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1371);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1053:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1392);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1054:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1373);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1055:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1374);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1056:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1375);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1057:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1376);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1058:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1377);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1059:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1524);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1060:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(753);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1061:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(530);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1062:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1487);
      if (lookahead == 'x') ADVANCE(1222);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1063:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(754);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1064:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(531);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1065:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(678);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1066:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(756);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1067:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(757);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1068:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1446);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1069:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1225);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1070:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1429);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1071:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1430);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1072:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(989);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1073:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1431);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1074:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(991);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1075:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(994);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1076:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1441);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1077:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(460);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1078:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1011);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1079:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1012);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1080:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(998);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1081:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1000);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1082:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1002);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1083:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1004);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1084:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(478);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1085:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(483);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1086:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1445);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1087:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1488);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1088:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1448);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1089:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1489);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1090:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1451);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1091:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1490);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1092:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1491);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1093:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1492);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1094:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1493);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1095:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1447);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1096:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1494);
      if (lookahead == 'x') ADVANCE(1229);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1097:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1450);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1098:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1495);
      if (lookahead == 'x') ADVANCE(1230);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1099:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1453);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1100:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1455);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1101:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(1198);
      if (lookahead == 'o') ADVANCE(1114);
      if (lookahead == 't') ADVANCE(1496);
      if (lookahead == 'u') ADVANCE(946);
      if (lookahead == 'v') ADVANCE(1192);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1102:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(533);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1103:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(534);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1104:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(535);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1105:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1501);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1106:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1484);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1107:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1232);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1108:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(962);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1109:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1325);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1110:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(420);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1111:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1029);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1112:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1233);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1113:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1031);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1114:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1378);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1115:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1034);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1116:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(953);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1117:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1208);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1118:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1212);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1119:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1214);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1120:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1021);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1121:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(956);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1122:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1215);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1123:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1022);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1124:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(957);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1125:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1216);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1126:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1217);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1127:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(959);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1128:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1059);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1129:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1072);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1130:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1237);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1131:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1238);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1132:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1023);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1133:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1239);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1134:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1036);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1135:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1240);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1136:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1038);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1137:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1241);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1138:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(882);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1139:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1024);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1140:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1243);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1141:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(886);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1142:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1244);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1143:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1486);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1144:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1259);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1145:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1460);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1146:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(910);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1147:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1263);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1148:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(922);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1149:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1150:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(926);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1151:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1270);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1152:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1271);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1153:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1272);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1154:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1274);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1155:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1276);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1156:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1284);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1157:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1288);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1158:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(759);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1159:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(986);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1160:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1074);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1161:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(462);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1162:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(988);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1163:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1075);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1164:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(990);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1165:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1080);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1166:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(992);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1167:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1081);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1168:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(993);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1169:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1082);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1170:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(995);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1171:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1083);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1172:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(997);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1173:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(999);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1174:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1001);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1175:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1003);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1176:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1005);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1177:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1006);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1178:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1007);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1179:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1008);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1180:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(488);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1181:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1078);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1182:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(934);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1183:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(497);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1184:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1079);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1185:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(935);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1186:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(498);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1187:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(936);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1188:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(499);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1189:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(937);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1190:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(492);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1191:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(938);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1192:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(940);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1193:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(941);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1194:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(942);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1195:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(943);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1196:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(944);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1197:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1449);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1198:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1452);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1199:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(1454);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1200:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(500);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1201:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(501);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1202:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(502);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1203:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(343);
      if (lookahead == 't') ADVANCE(785);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1204:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(62);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1205:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(1585);
      if (lookahead == 't') ADVANCE(1584);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1206:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(1698);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1207:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(764);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1208:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(1515);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1209:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(1383);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1210:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(768);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1211:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(773);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1212:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(1517);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1213:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(766);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1214:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(1519);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1215:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(1520);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1216:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(1521);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1217:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(1522);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1218:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(891);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1219:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(894);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1220:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(647);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1221:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(598);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1222:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(348);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1223:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(1390);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1224:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(1461);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1225:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(1462);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1226:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(1147);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1227:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(1153);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1228:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(404);
      if (lookahead == 'r') ADVANCE(640);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1229:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(409);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1230:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(410);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1231:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(411);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1232:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1788);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1233:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1536);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1234:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(786);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1235:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(60);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1236:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1577);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1237:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1791);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1238:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1789);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1239:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1790);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1240:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1573);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1241:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1571);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1242:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1583);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1243:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1786);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1244:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1661);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1245:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1680);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1246:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(424);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1247:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1526);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1248:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(787);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1249:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1528);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1250:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(788);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1251:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(862);
      if (lookahead == 's') ADVANCE(543);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1252:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1332);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1253:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1514);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1254:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1516);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1255:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(617);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1256:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1518);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1257:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(342);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1258:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(610);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1259:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1427);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1260:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1116);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1261:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(452);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1262:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(623);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1263:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1350);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1264:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(874);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1265:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1121);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1266:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1353);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1267:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1124);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1268:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1127);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1269:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1355);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1270:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1356);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1271:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1359);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1272:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1363);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1273:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(632);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1274:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1366);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1275:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(550);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1276:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1368);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1277:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(554);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1278:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(634);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1279:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(646);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1280:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(636);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1281:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(638);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1282:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(619);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1283:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(642);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1284:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(624);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1285:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(643);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1286:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(621);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1287:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(645);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1288:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(633);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1289:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(403);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1290:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(352);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1291:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1333);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1292:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(379);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1293:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(353);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1294:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1336);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1295:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(384);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1296:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(358);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1297:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(390);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1298:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(375);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1299:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(369);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1300:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(364);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1301:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1438);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1302:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(372);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1303:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1128);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1304:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(367);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1305:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(373);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1306:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1129);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1307:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(430);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1308:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1527);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1309:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1439);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1310:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1160);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1311:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1163);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1312:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1165);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1313:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1167);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1314:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1169);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1315:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1171);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1316:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(486);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1317:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1443);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1318:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1181);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1319:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1444);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1320:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(1184);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1321:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 's') ADVANCE(1693);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1322:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 's') ADVANCE(1539);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1323:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 's') ADVANCE(1547);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1324:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 's') ADVANCE(1206);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1325:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 's') ADVANCE(1340);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1326:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 's') ADVANCE(440);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1327:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 's') ADVANCE(441);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1328:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 's') ADVANCE(1322);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1329:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 's') ADVANCE(442);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1330:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 's') ADVANCE(451);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1331:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 's') ADVANCE(1145);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1332:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 's') ADVANCE(1357);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1333:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 's') ADVANCE(1358);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1334:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 's') ADVANCE(630);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1335:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 's') ADVANCE(635);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1336:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 's') ADVANCE(1361);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1337:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 's') ADVANCE(639);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1338:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 's') ADVANCE(1426);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1339:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 's') ADVANCE(557);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1340:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 's') ADVANCE(355);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1341:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 's') ADVANCE(691);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1342:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(770);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1343:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1678);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1344:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(769);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1345:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1679);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1346:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(216);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1347:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(226);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1348:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1542);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1349:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(221);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1350:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1552);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1351:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1702);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1352:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1701);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1353:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(58);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1354:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1700);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1355:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1741);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1356:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1740);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1357:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1705);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1358:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1704);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1359:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1739);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1360:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1586);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1361:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1703);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1362:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(227);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1363:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1553);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1364:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(307);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1365:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1592);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1366:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1777);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1367:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1551);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1368:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1776);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1369:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1550);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1370:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1787);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1371:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1682);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1372:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(228);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1373:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1683);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1374:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1684);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1375:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1685);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1376:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1687);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1377:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1686);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1378:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(471);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1379:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1161);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1380:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(765);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1381:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(915);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1382:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1525);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1383:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(810);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1384:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(796);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1385:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(544);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1386:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(797);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1387:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1247);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1388:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(545);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1389:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(438);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1390:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(637);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1391:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(549);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1392:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1256);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1393:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(555);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1394:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(560);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1395:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(561);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1396:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(562);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1397:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(563);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1398:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(564);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1399:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(565);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1400:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(566);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1401:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(567);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1402:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(568);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1403:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(569);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1404:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(570);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1405:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(571);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1406:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(572);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1407:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(573);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1408:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(574);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1409:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(575);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1410:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(576);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1411:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(577);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1412:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(578);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1413:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(580);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1414:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(581);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1415:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(582);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1416:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(585);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1417:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(586);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1418:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(587);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1419:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(588);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1420:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(589);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1421:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(590);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1422:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(592);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1423:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(648);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1424:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(681);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1425:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(775);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1426:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(308);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1427:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(802);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1428:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(918);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1429:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(301);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1430:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(302);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1431:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(303);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1432:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1142);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1433:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(454);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1434:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(812);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1435:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(776);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1436:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(816);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1437:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(820);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1438:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(665);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1439:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(669);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1440:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(777);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1441:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(1308);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1442:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(467);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1443:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(480);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1444:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(485);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1445:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(309);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1446:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(689);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1447:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(312);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1448:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(310);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1449:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(683);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1450:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(313);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1451:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(311);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1452:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(684);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1453:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(314);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1454:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(685);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1455:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(315);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1456:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(813);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1457:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(1348);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1458:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(909);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1459:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(1425);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1460:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(1261);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1461:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(1367);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1462:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(1369);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1463:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(964);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1464:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(911);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1465:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(527);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1466:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(914);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1467:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(528);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1468:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(1338);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1469:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(916);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1470:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(529);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1471:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(923);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1472:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(987);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1473:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(1299);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1474:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(1302);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1475:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(1305);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1476:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(996);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1477:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(1013);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1478:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(1014);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1479:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(1015);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1480:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(947);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1481:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(1017);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1482:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(1018);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1483:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(1019);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1484:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'v') ADVANCE(805);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1485:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'v') ADVANCE(740);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1486:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'v') ADVANCE(793);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1487:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'v') ADVANCE(846);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1488:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'v') ADVANCE(849);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1489:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'v') ADVANCE(850);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1490:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'v') ADVANCE(851);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1491:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'v') ADVANCE(852);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1492:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'v') ADVANCE(853);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1493:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'v') ADVANCE(854);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1494:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'v') ADVANCE(855);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1495:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'v') ADVANCE(856);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1496:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'v') ADVANCE(1196);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1497:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'w') ADVANCE(297);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1498:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'w') ADVANCE(341);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1499:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'w') ADVANCE(495);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1500:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'w') ADVANCE(305);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1501:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'x') ADVANCE(1792);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1502:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'x') ADVANCE(1442);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1503:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'x') ADVANCE(1347);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1504:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'x') ADVANCE(1351);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1505:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'x') ADVANCE(1352);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1506:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'x') ADVANCE(1354);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1507:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'x') ADVANCE(1360);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1508:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'x') ADVANCE(1362);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1509:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'x') ADVANCE(1365);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1510:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'x') ADVANCE(1372);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1511:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'x') ADVANCE(1389);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1512:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'x') ADVANCE(1231);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1513:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'y') ADVANCE(1546);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1514:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'y') ADVANCE(1793);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1515:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'y') ADVANCE(1671);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1516:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'y') ADVANCE(1794);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1517:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'y') ADVANCE(1672);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1518:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'y') ADVANCE(1691);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1519:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'y') ADVANCE(1673);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1520:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'y') ADVANCE(1688);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1521:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'y') ADVANCE(1689);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1522:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'y') ADVANCE(1690);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1523:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'y') ADVANCE(961);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1524:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'y') ADVANCE(954);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1525:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'y') ADVANCE(920);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1526:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'y') ADVANCE(733);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1527:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'y') ADVANCE(734);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1528:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'y') ADVANCE(663);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1529:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'y') ADVANCE(985);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1530:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'z') ADVANCE(932);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'y')) ADVANCE(1531);
      END_STATE();
    case 1531:
      ACCEPT_TOKEN(sym_command_name);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1532:
      ACCEPT_TOKEN(sym_command_name);
      ADVANCE_MAP(
        'A', 296,
        'C', 789,
        'D', 536,
        'G', 323,
        'N', 537,
        'P', 374,
        'R', 538,
        'S', 960,
        'T', 539,
        'V', 600,
        'a', 437,
        'b', 798,
        'c', 329,
        'd', 540,
        'e', 521,
        'f', 784,
        'g', 522,
        'h', 1255,
        'i', 703,
        'l', 331,
        'm', 339,
        'n', 332,
        'p', 334,
        'r', 542,
        's', 1016,
        't', 671,
        'u', 1251,
        'v', 686,
        'x', 524,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(269);
      END_STATE();
    case 1533:
      ACCEPT_TOKEN(sym_command_name);
      ADVANCE_MAP(
        'A', 296,
        'C', 789,
        'D', 536,
        'G', 323,
        'N', 537,
        'P', 374,
        'R', 538,
        'S', 960,
        'T', 539,
        'V', 600,
        'a', 437,
        'b', 798,
        'c', 329,
        'd', 540,
        'e', 521,
        'f', 1101,
        'g', 522,
        'h', 1255,
        'i', 703,
        'l', 331,
        'm', 339,
        'n', 332,
        'p', 334,
        'r', 542,
        's', 1016,
        't', 671,
        'u', 1251,
        'v', 686,
        'x', 524,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('j' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(269);
      END_STATE();
    case 1534:
      ACCEPT_TOKEN(sym_command_name);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(269);
      END_STATE();
    case 1535:
      ACCEPT_TOKEN(anon_sym_BSLASHtitle);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1536:
      ACCEPT_TOKEN(anon_sym_BSLASHauthor);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1537:
      ACCEPT_TOKEN(anon_sym_BSLASHusepackage);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1538:
      ACCEPT_TOKEN(anon_sym_BSLASHRequirePackage);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1539:
      ACCEPT_TOKEN(anon_sym_BSLASHdocumentclass);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1540:
      ACCEPT_TOKEN(anon_sym_BSLASHinclude);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1265);
      if (lookahead == 'g') ADVANCE(1295);
      if (lookahead == 'i') ADVANCE(1026);
      if (lookahead == 's') ADVANCE(1485);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1541:
      ACCEPT_TOKEN(anon_sym_BSLASHsubfileinclude);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1542:
      ACCEPT_TOKEN(anon_sym_BSLASHinput);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1260);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1543:
      ACCEPT_TOKEN(anon_sym_BSLASHsubfile);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1077);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1544:
      ACCEPT_TOKEN(anon_sym_BSLASHaddbibresource);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1545:
      ACCEPT_TOKEN(anon_sym_BSLASHbibliographystyle);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1546:
      ACCEPT_TOKEN(anon_sym_BSLASHbibliography);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 's') ADVANCE(1382);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1547:
      ACCEPT_TOKEN(anon_sym_BSLASHincludegraphics);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1548:
      ACCEPT_TOKEN(anon_sym_BSLASHincludesvg);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1549:
      ACCEPT_TOKEN(anon_sym_BSLASHincludeinkscape);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1550:
      ACCEPT_TOKEN(anon_sym_BSLASHverbatiminput);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1551:
      ACCEPT_TOKEN(anon_sym_BSLASHVerbatimInput);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1552:
      ACCEPT_TOKEN(anon_sym_BSLASHimport);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1553:
      ACCEPT_TOKEN(anon_sym_BSLASHsubimport);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1267);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1554:
      ACCEPT_TOKEN(anon_sym_BSLASHinputfrom);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1555:
      ACCEPT_TOKEN(anon_sym_BSLASHsubimportfrom);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1556:
      ACCEPT_TOKEN(anon_sym_BSLASHincludefrom);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1557:
      ACCEPT_TOKEN(anon_sym_BSLASHsubincludefrom);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1558:
      ACCEPT_TOKEN(anon_sym_BSLASHcaption);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1559:
      ACCEPT_TOKEN(anon_sym_BSLASHcite);
      ADVANCE_MAP(
        '*', 1560,
        'A', 1567,
        'R', 1568,
        'S', 1569,
        'a', 899,
        'd', 395,
        'p', 1564,
        't', 1563,
        'u', 1264,
        'y', 653,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1560:
      ACCEPT_TOKEN(anon_sym_BSLASHcite_STAR);
      END_STATE();
    case 1561:
      ACCEPT_TOKEN(anon_sym_BSLASHCite);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'a') ADVANCE(1459);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1562:
      ACCEPT_TOKEN(anon_sym_BSLASHnocite);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1563:
      ACCEPT_TOKEN(anon_sym_BSLASHcitet);
      if (lookahead == '*') ADVANCE(1565);
      if (lookahead == 'e') ADVANCE(1507);
      if (lookahead == 'i') ADVANCE(1428);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1564:
      ACCEPT_TOKEN(anon_sym_BSLASHcitep);
      if (lookahead == '*') ADVANCE(1566);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1565:
      ACCEPT_TOKEN(anon_sym_BSLASHcitet_STAR);
      END_STATE();
    case 1566:
      ACCEPT_TOKEN(anon_sym_BSLASHcitep_STAR);
      END_STATE();
    case 1567:
      ACCEPT_TOKEN(anon_sym_BSLASHciteA);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1568:
      ACCEPT_TOKEN(anon_sym_BSLASHciteR);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1569:
      ACCEPT_TOKEN(anon_sym_BSLASHciteS);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1570:
      ACCEPT_TOKEN(anon_sym_BSLASHciteyearR);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1571:
      ACCEPT_TOKEN(anon_sym_BSLASHciteauthor);
      if (lookahead == '*') ADVANCE(1572);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1572:
      ACCEPT_TOKEN(anon_sym_BSLASHciteauthor_STAR);
      END_STATE();
    case 1573:
      ACCEPT_TOKEN(anon_sym_BSLASHCiteauthor);
      if (lookahead == '*') ADVANCE(1574);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1574:
      ACCEPT_TOKEN(anon_sym_BSLASHCiteauthor_STAR);
      END_STATE();
    case 1575:
      ACCEPT_TOKEN(anon_sym_BSLASHcitetitle);
      if (lookahead == '*') ADVANCE(1576);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1576:
      ACCEPT_TOKEN(anon_sym_BSLASHcitetitle_STAR);
      END_STATE();
    case 1577:
      ACCEPT_TOKEN(anon_sym_BSLASHciteyear);
      if (lookahead == '*') ADVANCE(1578);
      if (lookahead == 'R') ADVANCE(1570);
      if (lookahead == 'p') ADVANCE(357);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1578:
      ACCEPT_TOKEN(anon_sym_BSLASHciteyear_STAR);
      END_STATE();
    case 1579:
      ACCEPT_TOKEN(anon_sym_BSLASHcitedate);
      if (lookahead == '*') ADVANCE(1580);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1580:
      ACCEPT_TOKEN(anon_sym_BSLASHcitedate_STAR);
      END_STATE();
    case 1581:
      ACCEPT_TOKEN(anon_sym_BSLASHciteurl);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1582:
      ACCEPT_TOKEN(anon_sym_BSLASHfullcite);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1583:
      ACCEPT_TOKEN(anon_sym_BSLASHciteyearpar);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1584:
      ACCEPT_TOKEN(anon_sym_BSLASHcitealt);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1585:
      ACCEPT_TOKEN(anon_sym_BSLASHcitealp);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1586:
      ACCEPT_TOKEN(anon_sym_BSLASHcitetext);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1587:
      ACCEPT_TOKEN(anon_sym_BSLASHparencite);
      if (lookahead == '*') ADVANCE(1588);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1588:
      ACCEPT_TOKEN(anon_sym_BSLASHparencite_STAR);
      END_STATE();
    case 1589:
      ACCEPT_TOKEN(anon_sym_BSLASHParencite);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1590:
      ACCEPT_TOKEN(anon_sym_BSLASHfootcite);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 't') ADVANCE(667);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1591:
      ACCEPT_TOKEN(anon_sym_BSLASHfootfullcite);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1592:
      ACCEPT_TOKEN(anon_sym_BSLASHfootcitetext);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1593:
      ACCEPT_TOKEN(anon_sym_BSLASHtextcite);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1594:
      ACCEPT_TOKEN(anon_sym_BSLASHTextcite);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1595:
      ACCEPT_TOKEN(anon_sym_BSLASHsmartcite);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1596:
      ACCEPT_TOKEN(anon_sym_BSLASHSmartcite);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1597:
      ACCEPT_TOKEN(anon_sym_BSLASHsupercite);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1598:
      ACCEPT_TOKEN(anon_sym_BSLASHautocite);
      if (lookahead == '*') ADVANCE(1600);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1599:
      ACCEPT_TOKEN(anon_sym_BSLASHAutocite);
      if (lookahead == '*') ADVANCE(1601);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1600:
      ACCEPT_TOKEN(anon_sym_BSLASHautocite_STAR);
      END_STATE();
    case 1601:
      ACCEPT_TOKEN(anon_sym_BSLASHAutocite_STAR);
      END_STATE();
    case 1602:
      ACCEPT_TOKEN(anon_sym_BSLASHvolcite);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1603:
      ACCEPT_TOKEN(anon_sym_BSLASHVolcite);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1604:
      ACCEPT_TOKEN(anon_sym_BSLASHpvolcite);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1605:
      ACCEPT_TOKEN(anon_sym_BSLASHPvolcite);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1606:
      ACCEPT_TOKEN(anon_sym_BSLASHfvolcite);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1607:
      ACCEPT_TOKEN(anon_sym_BSLASHftvolcite);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1608:
      ACCEPT_TOKEN(anon_sym_BSLASHsvolcite);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1609:
      ACCEPT_TOKEN(anon_sym_BSLASHSvolcite);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1610:
      ACCEPT_TOKEN(anon_sym_BSLASHtvolcite);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1611:
      ACCEPT_TOKEN(anon_sym_BSLASHTvolcite);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1612:
      ACCEPT_TOKEN(anon_sym_BSLASHavolcite);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1613:
      ACCEPT_TOKEN(anon_sym_BSLASHAvolcite);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1614:
      ACCEPT_TOKEN(anon_sym_BSLASHnotecite);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1615:
      ACCEPT_TOKEN(anon_sym_BSLASHNotecite);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1616:
      ACCEPT_TOKEN(anon_sym_BSLASHpnotecite);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1617:
      ACCEPT_TOKEN(anon_sym_BSLASHPnotecite);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1618:
      ACCEPT_TOKEN(anon_sym_BSLASHfnotecite);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1619:
      ACCEPT_TOKEN(anon_sym_BSLASHlabel);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'c') ADVANCE(1228);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1620:
      ACCEPT_TOKEN(anon_sym_BSLASHref);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1621:
      ACCEPT_TOKEN(anon_sym_BSLASHeqref);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1622:
      ACCEPT_TOKEN(anon_sym_BSLASHvref);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1623:
      ACCEPT_TOKEN(anon_sym_BSLASHVref);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1624:
      ACCEPT_TOKEN(anon_sym_BSLASHautoref);
      if (lookahead == '*') ADVANCE(1625);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1625:
      ACCEPT_TOKEN(anon_sym_BSLASHautoref_STAR);
      END_STATE();
    case 1626:
      ACCEPT_TOKEN(anon_sym_BSLASHpageref);
      if (lookahead == '*') ADVANCE(1627);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1627:
      ACCEPT_TOKEN(anon_sym_BSLASHpageref_STAR);
      END_STATE();
    case 1628:
      ACCEPT_TOKEN(anon_sym_BSLASHautopageref);
      if (lookahead == '*') ADVANCE(1629);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1629:
      ACCEPT_TOKEN(anon_sym_BSLASHautopageref_STAR);
      END_STATE();
    case 1630:
      ACCEPT_TOKEN(anon_sym_BSLASHcref);
      if (lookahead == '*') ADVANCE(1631);
      if (lookahead == 'r') ADVANCE(397);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1631:
      ACCEPT_TOKEN(anon_sym_BSLASHcref_STAR);
      END_STATE();
    case 1632:
      ACCEPT_TOKEN(anon_sym_BSLASHCref);
      if (lookahead == '*') ADVANCE(1633);
      if (lookahead == 'r') ADVANCE(345);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1633:
      ACCEPT_TOKEN(anon_sym_BSLASHCref_STAR);
      END_STATE();
    case 1634:
      ACCEPT_TOKEN(anon_sym_BSLASHcpageref);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(399);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1635:
      ACCEPT_TOKEN(anon_sym_BSLASHCpageref);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'r') ADVANCE(398);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1636:
      ACCEPT_TOKEN(anon_sym_BSLASHnamecref);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 's') ADVANCE(1639);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1637:
      ACCEPT_TOKEN(anon_sym_BSLASHnameCref);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 's') ADVANCE(1640);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1638:
      ACCEPT_TOKEN(anon_sym_BSLASHlcnamecref);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 's') ADVANCE(1641);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1639:
      ACCEPT_TOKEN(anon_sym_BSLASHnamecrefs);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1640:
      ACCEPT_TOKEN(anon_sym_BSLASHnameCrefs);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1641:
      ACCEPT_TOKEN(anon_sym_BSLASHlcnamecrefs);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1642:
      ACCEPT_TOKEN(anon_sym_BSLASHlabelcref);
      if (lookahead == '*') ADVANCE(1643);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1643:
      ACCEPT_TOKEN(anon_sym_BSLASHlabelcref_STAR);
      END_STATE();
    case 1644:
      ACCEPT_TOKEN(anon_sym_BSLASHlabelcpageref);
      if (lookahead == '*') ADVANCE(1645);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1645:
      ACCEPT_TOKEN(anon_sym_BSLASHlabelcpageref_STAR);
      END_STATE();
    case 1646:
      ACCEPT_TOKEN(anon_sym_BSLASHcrefrange);
      if (lookahead == '*') ADVANCE(1647);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1647:
      ACCEPT_TOKEN(anon_sym_BSLASHcrefrange_STAR);
      END_STATE();
    case 1648:
      ACCEPT_TOKEN(anon_sym_BSLASHCrefrange);
      if (lookahead == '*') ADVANCE(1649);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1649:
      ACCEPT_TOKEN(anon_sym_BSLASHCrefrange_STAR);
      END_STATE();
    case 1650:
      ACCEPT_TOKEN(anon_sym_BSLASHcpagerefrange);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1651:
      ACCEPT_TOKEN(anon_sym_BSLASHCpagerefrange);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1652:
      ACCEPT_TOKEN(anon_sym_BSLASHnewlabel);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1653:
      ACCEPT_TOKEN(anon_sym_BSLASHnewcommand);
      if (lookahead == '*') ADVANCE(1654);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1654:
      ACCEPT_TOKEN(anon_sym_BSLASHnewcommand_STAR);
      END_STATE();
    case 1655:
      ACCEPT_TOKEN(anon_sym_BSLASHrenewcommand);
      if (lookahead == '*') ADVANCE(1656);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1656:
      ACCEPT_TOKEN(anon_sym_BSLASHrenewcommand_STAR);
      END_STATE();
    case 1657:
      ACCEPT_TOKEN(anon_sym_BSLASHprovidecommand);
      if (lookahead == '*') ADVANCE(1658);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1658:
      ACCEPT_TOKEN(anon_sym_BSLASHprovidecommand_STAR);
      END_STATE();
    case 1659:
      ACCEPT_TOKEN(anon_sym_BSLASHDeclareRobustCommand);
      if (lookahead == '*') ADVANCE(1660);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1660:
      ACCEPT_TOKEN(anon_sym_BSLASHDeclareRobustCommand_STAR);
      END_STATE();
    case 1661:
      ACCEPT_TOKEN(anon_sym_BSLASHDeclareMathOperator);
      if (lookahead == '*') ADVANCE(1662);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1662:
      ACCEPT_TOKEN(anon_sym_BSLASHDeclareMathOperator_STAR);
      END_STATE();
    case 1663:
      ACCEPT_TOKEN(anon_sym_BSLASHNewDocumentCommand);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1664:
      ACCEPT_TOKEN(anon_sym_BSLASHRenewDocumentCommand);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1665:
      ACCEPT_TOKEN(anon_sym_BSLASHProvideDocumentCommand);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1666:
      ACCEPT_TOKEN(anon_sym_BSLASHDeclareDocumentCommand);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1667:
      ACCEPT_TOKEN(anon_sym_BSLASHNewExpandableDocumentCommand);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1668:
      ACCEPT_TOKEN(anon_sym_BSLASHRenewExpandableDocumentCommand);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1669:
      ACCEPT_TOKEN(anon_sym_BSLASHProvideExpandableDocumentCommand);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1670:
      ACCEPT_TOKEN(anon_sym_BSLASHDeclareExpandableDocumentCommand);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1671:
      ACCEPT_TOKEN(anon_sym_BSLASHNewCommandCopy);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1672:
      ACCEPT_TOKEN(anon_sym_BSLASHRenewCommandCopy);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1673:
      ACCEPT_TOKEN(anon_sym_BSLASHDeclareCommandCopy);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1674:
      ACCEPT_TOKEN(anon_sym_BSLASHdef);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1065);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1675:
      ACCEPT_TOKEN(anon_sym_BSLASHgdef);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1676:
      ACCEPT_TOKEN(anon_sym_BSLASHedef);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1677:
      ACCEPT_TOKEN(anon_sym_BSLASHxdef);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1678:
      ACCEPT_TOKEN(anon_sym_BSLASHlet);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1679:
      ACCEPT_TOKEN(anon_sym_BSLASHglet);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1680:
      ACCEPT_TOKEN(anon_sym_BSLASHDeclarePairedDelimiter);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'X') ADVANCE(1681);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1681:
      ACCEPT_TOKEN(anon_sym_BSLASHDeclarePairedDelimiterX);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1682:
      ACCEPT_TOKEN(anon_sym_BSLASHnewenvironment);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1683:
      ACCEPT_TOKEN(anon_sym_BSLASHrenewenvironment);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1684:
      ACCEPT_TOKEN(anon_sym_BSLASHNewDocumentEnvironment);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1685:
      ACCEPT_TOKEN(anon_sym_BSLASHRenewDocumentEnvironment);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1686:
      ACCEPT_TOKEN(anon_sym_BSLASHProvideDocumentEnvironment);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1687:
      ACCEPT_TOKEN(anon_sym_BSLASHDeclareDocumentEnvironment);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1688:
      ACCEPT_TOKEN(anon_sym_BSLASHNewEnvironmentCopy);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1689:
      ACCEPT_TOKEN(anon_sym_BSLASHRenewEnvironmentCopy);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1690:
      ACCEPT_TOKEN(anon_sym_BSLASHDeclareEnvironmentCopy);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1691:
      ACCEPT_TOKEN(anon_sym_BSLASHnewglossaryentry);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1692:
      ACCEPT_TOKEN(anon_sym_BSLASHgls);
      ADVANCE_MAP(
        '*', 269,
        'd', 656,
        'e', 1076,
        'f', 808,
        'l', 799,
        'n', 392,
        'p', 869,
        's', 1529,
        't', 661,
        'u', 1337,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1693:
      ACCEPT_TOKEN(anon_sym_BSLASHGls);
      ADVANCE_MAP(
        '*', 269,
        'd', 652,
        'e', 1045,
        'f', 806,
        'n', 387,
        'p', 866,
        's', 1523,
        't', 659,
        'u', 1335,
      );
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1694:
      ACCEPT_TOKEN(anon_sym_BSLASHGLS);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'd') ADVANCE(607);
      if (lookahead == 'f') ADVANCE(795);
      if (lookahead == 'n') ADVANCE(383);
      if (lookahead == 'p') ADVANCE(865);
      if (lookahead == 't') ADVANCE(654);
      if (lookahead == 'u') ADVANCE(1334);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1695:
      ACCEPT_TOKEN(anon_sym_BSLASHglspl);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(1296);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1696:
      ACCEPT_TOKEN(anon_sym_BSLASHGlspl);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(1293);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1697:
      ACCEPT_TOKEN(anon_sym_BSLASHGLSpl);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(1290);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1698:
      ACCEPT_TOKEN(anon_sym_BSLASHglsdisp);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1699:
      ACCEPT_TOKEN(anon_sym_BSLASHglslink);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1700:
      ACCEPT_TOKEN(anon_sym_BSLASHglstext);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1701:
      ACCEPT_TOKEN(anon_sym_BSLASHGlstext);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1702:
      ACCEPT_TOKEN(anon_sym_BSLASHGLStext);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1703:
      ACCEPT_TOKEN(anon_sym_BSLASHglsfirst);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(933);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1704:
      ACCEPT_TOKEN(anon_sym_BSLASHGlsfirst);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(931);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1705:
      ACCEPT_TOKEN(anon_sym_BSLASHGLSfirst);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(905);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1706:
      ACCEPT_TOKEN(anon_sym_BSLASHglsplural);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1707:
      ACCEPT_TOKEN(anon_sym_BSLASHGlsplural);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1708:
      ACCEPT_TOKEN(anon_sym_BSLASHGLSplural);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1709:
      ACCEPT_TOKEN(anon_sym_BSLASHglsfirstplural);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1710:
      ACCEPT_TOKEN(anon_sym_BSLASHGlsfirstplural);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1711:
      ACCEPT_TOKEN(anon_sym_BSLASHGLSfirstplural);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1712:
      ACCEPT_TOKEN(anon_sym_BSLASHglsname);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1713:
      ACCEPT_TOKEN(anon_sym_BSLASHGlsname);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1714:
      ACCEPT_TOKEN(anon_sym_BSLASHGLSname);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1715:
      ACCEPT_TOKEN(anon_sym_BSLASHglssymbol);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1716:
      ACCEPT_TOKEN(anon_sym_BSLASHGlssymbol);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1717:
      ACCEPT_TOKEN(anon_sym_BSLASHglsdesc);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1718:
      ACCEPT_TOKEN(anon_sym_BSLASHGlsdesc);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1719:
      ACCEPT_TOKEN(anon_sym_BSLASHGLSdesc);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1720:
      ACCEPT_TOKEN(anon_sym_BSLASHglsuseri);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1723);
      if (lookahead == 'v') ADVANCE(1729);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1721:
      ACCEPT_TOKEN(anon_sym_BSLASHGlsuseri);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1724);
      if (lookahead == 'v') ADVANCE(1730);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1722:
      ACCEPT_TOKEN(anon_sym_BSLASHGLSuseri);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1725);
      if (lookahead == 'v') ADVANCE(1731);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1723:
      ACCEPT_TOKEN(anon_sym_BSLASHglsuserii);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1726);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1724:
      ACCEPT_TOKEN(anon_sym_BSLASHGlsuserii);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1727);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1725:
      ACCEPT_TOKEN(anon_sym_BSLASHGLSuserii);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1728);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1726:
      ACCEPT_TOKEN(anon_sym_BSLASHglsuseriii);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1727:
      ACCEPT_TOKEN(anon_sym_BSLASHGlsuseriii);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1728:
      ACCEPT_TOKEN(anon_sym_BSLASHGLSuseriii);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1729:
      ACCEPT_TOKEN(anon_sym_BSLASHglsuseriv);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1730:
      ACCEPT_TOKEN(anon_sym_BSLASHGlsuseriv);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1731:
      ACCEPT_TOKEN(anon_sym_BSLASHGLSuseriv);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1732:
      ACCEPT_TOKEN(anon_sym_BSLASHglsuserv);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1735);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1733:
      ACCEPT_TOKEN(anon_sym_BSLASHGlsuserv);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1736);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1734:
      ACCEPT_TOKEN(anon_sym_BSLASHGLSuserv);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'i') ADVANCE(1737);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1735:
      ACCEPT_TOKEN(anon_sym_BSLASHglsuservi);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1736:
      ACCEPT_TOKEN(anon_sym_BSLASHGlsuservi);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1737:
      ACCEPT_TOKEN(anon_sym_BSLASHGLSuservi);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1738:
      ACCEPT_TOKEN(anon_sym_BSLASHnewacronym);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1739:
      ACCEPT_TOKEN(anon_sym_BSLASHacrshort);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(889);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1740:
      ACCEPT_TOKEN(anon_sym_BSLASHAcrshort);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(888);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1741:
      ACCEPT_TOKEN(anon_sym_BSLASHACRshort);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(887);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1742:
      ACCEPT_TOKEN(anon_sym_BSLASHacrshortpl);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1743:
      ACCEPT_TOKEN(anon_sym_BSLASHAcrshortpl);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1744:
      ACCEPT_TOKEN(anon_sym_BSLASHACRshortpl);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1745:
      ACCEPT_TOKEN(anon_sym_BSLASHacrlong);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(884);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1746:
      ACCEPT_TOKEN(anon_sym_BSLASHAcrlong);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(879);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1747:
      ACCEPT_TOKEN(anon_sym_BSLASHACRlong);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(877);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1748:
      ACCEPT_TOKEN(anon_sym_BSLASHacrlongpl);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1749:
      ACCEPT_TOKEN(anon_sym_BSLASHAcrlongpl);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1750:
      ACCEPT_TOKEN(anon_sym_BSLASHACRlongpl);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1751:
      ACCEPT_TOKEN(anon_sym_BSLASHacrfull);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(883);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1752:
      ACCEPT_TOKEN(anon_sym_BSLASHAcrfull);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(878);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1753:
      ACCEPT_TOKEN(anon_sym_BSLASHACRfull);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(876);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1754:
      ACCEPT_TOKEN(anon_sym_BSLASHacrfullpl);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1755:
      ACCEPT_TOKEN(anon_sym_BSLASHAcrfullpl);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1756:
      ACCEPT_TOKEN(anon_sym_BSLASHACRfullpl);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1757:
      ACCEPT_TOKEN(anon_sym_BSLASHacs);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(1759);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1758:
      ACCEPT_TOKEN(anon_sym_BSLASHAcs);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(1760);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1759:
      ACCEPT_TOKEN(anon_sym_BSLASHacsp);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1760:
      ACCEPT_TOKEN(anon_sym_BSLASHAcsp);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1761:
      ACCEPT_TOKEN(anon_sym_BSLASHacl);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(1763);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1762:
      ACCEPT_TOKEN(anon_sym_BSLASHAcl);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(1764);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1763:
      ACCEPT_TOKEN(anon_sym_BSLASHaclp);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1764:
      ACCEPT_TOKEN(anon_sym_BSLASHAclp);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1765:
      ACCEPT_TOKEN(anon_sym_BSLASHacf);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(1767);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1766:
      ACCEPT_TOKEN(anon_sym_BSLASHAcf);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(1768);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1767:
      ACCEPT_TOKEN(anon_sym_BSLASHacfp);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1768:
      ACCEPT_TOKEN(anon_sym_BSLASHAcfp);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1769:
      ACCEPT_TOKEN(anon_sym_BSLASHac);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1765);
      if (lookahead == 'l') ADVANCE(1761);
      if (lookahead == 'p') ADVANCE(1771);
      if (lookahead == 'r') ADVANCE(732);
      if (lookahead == 's') ADVANCE(1757);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1770:
      ACCEPT_TOKEN(anon_sym_BSLASHAc);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'f') ADVANCE(1766);
      if (lookahead == 'l') ADVANCE(1762);
      if (lookahead == 'r') ADVANCE(731);
      if (lookahead == 's') ADVANCE(1758);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1771:
      ACCEPT_TOKEN(anon_sym_BSLASHacp);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1772:
      ACCEPT_TOKEN(anon_sym_BSLASHglsentrylong);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(895);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1773:
      ACCEPT_TOKEN(anon_sym_BSLASHGlsentrylong);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(892);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1774:
      ACCEPT_TOKEN(anon_sym_BSLASHglsentrylongpl);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1775:
      ACCEPT_TOKEN(anon_sym_BSLASHGlsentrylongpl);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1776:
      ACCEPT_TOKEN(anon_sym_BSLASHglsentryshort);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(898);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1777:
      ACCEPT_TOKEN(anon_sym_BSLASHGlsentryshort);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'p') ADVANCE(897);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1778:
      ACCEPT_TOKEN(anon_sym_BSLASHglsentryshortpl);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1779:
      ACCEPT_TOKEN(anon_sym_BSLASHGlsentryshortpl);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1780:
      ACCEPT_TOKEN(anon_sym_BSLASHglsentryfullpl);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1781:
      ACCEPT_TOKEN(anon_sym_BSLASHGlsentryfullpl);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1782:
      ACCEPT_TOKEN(anon_sym_BSLASHnewtheorem);
      if (lookahead == '*') ADVANCE(1783);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1783:
      ACCEPT_TOKEN(anon_sym_BSLASHnewtheorem_STAR);
      END_STATE();
    case 1784:
      ACCEPT_TOKEN(anon_sym_BSLASHdeclaretheorem);
      if (lookahead == '*') ADVANCE(1785);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1785:
      ACCEPT_TOKEN(anon_sym_BSLASHdeclaretheorem_STAR);
      END_STATE();
    case 1786:
      ACCEPT_TOKEN(anon_sym_BSLASHdefinecolor);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 's') ADVANCE(649);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1787:
      ACCEPT_TOKEN(anon_sym_BSLASHdefinecolorset);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1788:
      ACCEPT_TOKEN(anon_sym_BSLASHcolor);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == 'b') ADVANCE(1105);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1789:
      ACCEPT_TOKEN(anon_sym_BSLASHpagecolor);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1790:
      ACCEPT_TOKEN(anon_sym_BSLASHtextcolor);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1791:
      ACCEPT_TOKEN(anon_sym_BSLASHmathcolor);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1792:
      ACCEPT_TOKEN(anon_sym_BSLASHcolorbox);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1793:
      ACCEPT_TOKEN(anon_sym_BSLASHusepgflibrary);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1794:
      ACCEPT_TOKEN(anon_sym_BSLASHusetikzlibrary);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1795:
      ACCEPT_TOKEN(anon_sym_BSLASHurl);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    case 1796:
      ACCEPT_TOKEN(anon_sym_BSLASHhref);
      if (lookahead == '*') ADVANCE(269);
      if (('@' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1531);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 35},
  [2] = {.lex_state = 1},
  [3] = {.lex_state = 2},
  [4] = {.lex_state = 1},
  [5] = {.lex_state = 2},
  [6] = {.lex_state = 4},
  [7] = {.lex_state = 4},
  [8] = {.lex_state = 4},
  [9] = {.lex_state = 4},
  [10] = {.lex_state = 4},
  [11] = {.lex_state = 4},
  [12] = {.lex_state = 4},
  [13] = {.lex_state = 4},
  [14] = {.lex_state = 4},
  [15] = {.lex_state = 4},
  [16] = {.lex_state = 4},
  [17] = {.lex_state = 4},
  [18] = {.lex_state = 4},
  [19] = {.lex_state = 4},
  [20] = {.lex_state = 4},
  [21] = {.lex_state = 4},
  [22] = {.lex_state = 4},
  [23] = {.lex_state = 4},
  [24] = {.lex_state = 4},
  [25] = {.lex_state = 5},
  [26] = {.lex_state = 6},
  [27] = {.lex_state = 5},
  [28] = {.lex_state = 6},
  [29] = {.lex_state = 37},
  [30] = {.lex_state = 37},
  [31] = {.lex_state = 36},
  [32] = {.lex_state = 36},
  [33] = {.lex_state = 37},
  [34] = {.lex_state = 37},
  [35] = {.lex_state = 36},
  [36] = {.lex_state = 37},
  [37] = {.lex_state = 36},
  [38] = {.lex_state = 37},
  [39] = {.lex_state = 36},
  [40] = {.lex_state = 37},
  [41] = {.lex_state = 36},
  [42] = {.lex_state = 7},
  [43] = {.lex_state = 7},
  [44] = {.lex_state = 10},
  [45] = {.lex_state = 7},
  [46] = {.lex_state = 9},
  [47] = {.lex_state = 7},
  [48] = {.lex_state = 7},
  [49] = {.lex_state = 36},
  [50] = {.lex_state = 7},
  [51] = {.lex_state = 7},
  [52] = {.lex_state = 7},
  [53] = {.lex_state = 7},
  [54] = {.lex_state = 7},
  [55] = {.lex_state = 7},
  [56] = {.lex_state = 7},
  [57] = {.lex_state = 10},
  [58] = {.lex_state = 3},
  [59] = {.lex_state = 9},
  [60] = {.lex_state = 10},
  [61] = {.lex_state = 3},
  [62] = {.lex_state = 3},
  [63] = {.lex_state = 7},
  [64] = {.lex_state = 35},
  [65] = {.lex_state = 3},
  [66] = {.lex_state = 9},
  [67] = {.lex_state = 10},
  [68] = {.lex_state = 9},
  [69] = {.lex_state = 36},
  [70] = {.lex_state = 37},
  [71] = {.lex_state = 7},
  [72] = {.lex_state = 37},
  [73] = {.lex_state = 36},
  [74] = {.lex_state = 36},
  [75] = {.lex_state = 35},
  [76] = {.lex_state = 36},
  [77] = {.lex_state = 37},
  [78] = {.lex_state = 37},
  [79] = {.lex_state = 37},
  [80] = {.lex_state = 35},
  [81] = {.lex_state = 7},
  [82] = {.lex_state = 36},
  [83] = {.lex_state = 37},
  [84] = {.lex_state = 36},
  [85] = {.lex_state = 37},
  [86] = {.lex_state = 36},
  [87] = {.lex_state = 37},
  [88] = {.lex_state = 36},
  [89] = {.lex_state = 37},
  [90] = {.lex_state = 36},
  [91] = {.lex_state = 37},
  [92] = {.lex_state = 37},
  [93] = {.lex_state = 35},
  [94] = {.lex_state = 36},
  [95] = {.lex_state = 35},
  [96] = {.lex_state = 35},
  [97] = {.lex_state = 36},
  [98] = {.lex_state = 37},
  [99] = {.lex_state = 35},
  [100] = {.lex_state = 36},
  [101] = {.lex_state = 37},
  [102] = {.lex_state = 35},
  [103] = {.lex_state = 36},
  [104] = {.lex_state = 37},
  [105] = {.lex_state = 35},
  [106] = {.lex_state = 36},
  [107] = {.lex_state = 37},
  [108] = {.lex_state = 35},
  [109] = {.lex_state = 36},
  [110] = {.lex_state = 35},
  [111] = {.lex_state = 36},
  [112] = {.lex_state = 37},
  [113] = {.lex_state = 35},
  [114] = {.lex_state = 36},
  [115] = {.lex_state = 37},
  [116] = {.lex_state = 35},
  [117] = {.lex_state = 36},
  [118] = {.lex_state = 37},
  [119] = {.lex_state = 35},
  [120] = {.lex_state = 36},
  [121] = {.lex_state = 37},
  [122] = {.lex_state = 35},
  [123] = {.lex_state = 36},
  [124] = {.lex_state = 37},
  [125] = {.lex_state = 35},
  [126] = {.lex_state = 36},
  [127] = {.lex_state = 37},
  [128] = {.lex_state = 35},
  [129] = {.lex_state = 36},
  [130] = {.lex_state = 37},
  [131] = {.lex_state = 35},
  [132] = {.lex_state = 36},
  [133] = {.lex_state = 37},
  [134] = {.lex_state = 35},
  [135] = {.lex_state = 36},
  [136] = {.lex_state = 37},
  [137] = {.lex_state = 35},
  [138] = {.lex_state = 36},
  [139] = {.lex_state = 37},
  [140] = {.lex_state = 35},
  [141] = {.lex_state = 36},
  [142] = {.lex_state = 37},
  [143] = {.lex_state = 35},
  [144] = {.lex_state = 36},
  [145] = {.lex_state = 37},
  [146] = {.lex_state = 36},
  [147] = {.lex_state = 37},
  [148] = {.lex_state = 36},
  [149] = {.lex_state = 37},
  [150] = {.lex_state = 36},
  [151] = {.lex_state = 37},
  [152] = {.lex_state = 36},
  [153] = {.lex_state = 37},
  [154] = {.lex_state = 36},
  [155] = {.lex_state = 37},
  [156] = {.lex_state = 4},
  [157] = {.lex_state = 4},
  [158] = {.lex_state = 4},
  [159] = {.lex_state = 4},
  [160] = {.lex_state = 35},
  [161] = {.lex_state = 35},
  [162] = {.lex_state = 7},
  [163] = {.lex_state = 7},
  [164] = {.lex_state = 37},
  [165] = {.lex_state = 37},
  [166] = {.lex_state = 36},
  [167] = {.lex_state = 36},
  [168] = {.lex_state = 4},
  [169] = {.lex_state = 35},
  [170] = {.lex_state = 35},
  [171] = {.lex_state = 4},
  [172] = {.lex_state = 37},
  [173] = {.lex_state = 7},
  [174] = {.lex_state = 7},
  [175] = {.lex_state = 37},
  [176] = {.lex_state = 36},
  [177] = {.lex_state = 36},
  [178] = {.lex_state = 35},
  [179] = {.lex_state = 35},
  [180] = {.lex_state = 4},
  [181] = {.lex_state = 4},
  [182] = {.lex_state = 36},
  [183] = {.lex_state = 37},
  [184] = {.lex_state = 7},
  [185] = {.lex_state = 37},
  [186] = {.lex_state = 7},
  [187] = {.lex_state = 36},
  [188] = {.lex_state = 35},
  [189] = {.lex_state = 4},
  [190] = {.lex_state = 35},
  [191] = {.lex_state = 4},
  [192] = {.lex_state = 7},
  [193] = {.lex_state = 36},
  [194] = {.lex_state = 37},
  [195] = {.lex_state = 7},
  [196] = {.lex_state = 37},
  [197] = {.lex_state = 36},
  [198] = {.lex_state = 35},
  [199] = {.lex_state = 35},
  [200] = {.lex_state = 36},
  [201] = {.lex_state = 36},
  [202] = {.lex_state = 7},
  [203] = {.lex_state = 7},
  [204] = {.lex_state = 37},
  [205] = {.lex_state = 4},
  [206] = {.lex_state = 37},
  [207] = {.lex_state = 4},
  [208] = {.lex_state = 4},
  [209] = {.lex_state = 4},
  [210] = {.lex_state = 35},
  [211] = {.lex_state = 35},
  [212] = {.lex_state = 37},
  [213] = {.lex_state = 7},
  [214] = {.lex_state = 37},
  [215] = {.lex_state = 7},
  [216] = {.lex_state = 36},
  [217] = {.lex_state = 36},
  [218] = {.lex_state = 4},
  [219] = {.lex_state = 35},
  [220] = {.lex_state = 4},
  [221] = {.lex_state = 4},
  [222] = {.lex_state = 35},
  [223] = {.lex_state = 7},
  [224] = {.lex_state = 37},
  [225] = {.lex_state = 7},
  [226] = {.lex_state = 37},
  [227] = {.lex_state = 36},
  [228] = {.lex_state = 36},
  [229] = {.lex_state = 35},
  [230] = {.lex_state = 35},
  [231] = {.lex_state = 35},
  [232] = {.lex_state = 7},
  [233] = {.lex_state = 7},
  [234] = {.lex_state = 7},
  [235] = {.lex_state = 37},
  [236] = {.lex_state = 37},
  [237] = {.lex_state = 36},
  [238] = {.lex_state = 37},
  [239] = {.lex_state = 36},
  [240] = {.lex_state = 36},
  [241] = {.lex_state = 8},
  [242] = {.lex_state = 8},
  [243] = {.lex_state = 8},
  [244] = {.lex_state = 8},
  [245] = {.lex_state = 8},
  [246] = {.lex_state = 8},
  [247] = {.lex_state = 8},
  [248] = {.lex_state = 8},
  [249] = {.lex_state = 8},
  [250] = {.lex_state = 8},
  [251] = {.lex_state = 8},
  [252] = {.lex_state = 8},
  [253] = {.lex_state = 8},
  [254] = {.lex_state = 8},
  [255] = {.lex_state = 8},
  [256] = {.lex_state = 11},
  [257] = {.lex_state = 11},
  [258] = {.lex_state = 11},
  [259] = {.lex_state = 11},
  [260] = {.lex_state = 11},
  [261] = {.lex_state = 11},
  [262] = {.lex_state = 11},
  [263] = {.lex_state = 24},
  [264] = {.lex_state = 4},
  [265] = {.lex_state = 4},
  [266] = {.lex_state = 35},
  [267] = {.lex_state = 35},
  [268] = {.lex_state = 37},
  [269] = {.lex_state = 7},
  [270] = {.lex_state = 7},
  [271] = {.lex_state = 37},
  [272] = {.lex_state = 36},
  [273] = {.lex_state = 36},
  [274] = {.lex_state = 14},
  [275] = {.lex_state = 14},
  [276] = {.lex_state = 14},
  [277] = {.lex_state = 14},
  [278] = {.lex_state = 14},
  [279] = {.lex_state = 14},
  [280] = {.lex_state = 14},
  [281] = {.lex_state = 14},
  [282] = {.lex_state = 14},
  [283] = {.lex_state = 14},
  [284] = {.lex_state = 14},
  [285] = {.lex_state = 14},
  [286] = {.lex_state = 14},
  [287] = {.lex_state = 14},
  [288] = {.lex_state = 14},
  [289] = {.lex_state = 14},
  [290] = {.lex_state = 14},
  [291] = {.lex_state = 14},
  [292] = {.lex_state = 14},
  [293] = {.lex_state = 14},
  [294] = {.lex_state = 14},
  [295] = {.lex_state = 14},
  [296] = {.lex_state = 14},
  [297] = {.lex_state = 14},
  [298] = {.lex_state = 14},
  [299] = {.lex_state = 14},
  [300] = {.lex_state = 14},
  [301] = {.lex_state = 20},
  [302] = {.lex_state = 20},
  [303] = {.lex_state = 14},
  [304] = {.lex_state = 20},
  [305] = {.lex_state = 20},
  [306] = {.lex_state = 20},
  [307] = {.lex_state = 20},
  [308] = {.lex_state = 20},
  [309] = {.lex_state = 20},
  [310] = {.lex_state = 20},
  [311] = {.lex_state = 20},
  [312] = {.lex_state = 14},
  [313] = {.lex_state = 14},
  [314] = {.lex_state = 20},
  [315] = {.lex_state = 20},
  [316] = {.lex_state = 14},
  [317] = {.lex_state = 14},
  [318] = {.lex_state = 14},
  [319] = {.lex_state = 14},
  [320] = {.lex_state = 14},
  [321] = {.lex_state = 14},
  [322] = {.lex_state = 14},
  [323] = {.lex_state = 14},
  [324] = {.lex_state = 14},
  [325] = {.lex_state = 14},
  [326] = {.lex_state = 14},
  [327] = {.lex_state = 14},
  [328] = {.lex_state = 14},
  [329] = {.lex_state = 8},
  [330] = {.lex_state = 8},
  [331] = {.lex_state = 14},
  [332] = {.lex_state = 11},
  [333] = {.lex_state = 14},
  [334] = {.lex_state = 11},
  [335] = {.lex_state = 20},
  [336] = {.lex_state = 20},
  [337] = {.lex_state = 4},
  [338] = {.lex_state = 4},
  [339] = {.lex_state = 4},
  [340] = {.lex_state = 35},
  [341] = {.lex_state = 35},
  [342] = {.lex_state = 4},
  [343] = {.lex_state = 36},
  [344] = {.lex_state = 7},
  [345] = {.lex_state = 7},
  [346] = {.lex_state = 37},
  [347] = {.lex_state = 37},
  [348] = {.lex_state = 36},
  [349] = {.lex_state = 4},
  [350] = {.lex_state = 35},
  [351] = {.lex_state = 35},
  [352] = {.lex_state = 4},
  [353] = {.lex_state = 7},
  [354] = {.lex_state = 36},
  [355] = {.lex_state = 37},
  [356] = {.lex_state = 7},
  [357] = {.lex_state = 37},
  [358] = {.lex_state = 36},
  [359] = {.lex_state = 22},
  [360] = {.lex_state = 22},
  [361] = {.lex_state = 4},
  [362] = {.lex_state = 4},
  [363] = {.lex_state = 4},
  [364] = {.lex_state = 4},
  [365] = {.lex_state = 4},
  [366] = {.lex_state = 22},
  [367] = {.lex_state = 4},
  [368] = {.lex_state = 35},
  [369] = {.lex_state = 4},
  [370] = {.lex_state = 4},
  [371] = {.lex_state = 4},
  [372] = {.lex_state = 4},
  [373] = {.lex_state = 4},
  [374] = {.lex_state = 4},
  [375] = {.lex_state = 4},
  [376] = {.lex_state = 35},
  [377] = {.lex_state = 22},
  [378] = {.lex_state = 4},
  [379] = {.lex_state = 4},
  [380] = {.lex_state = 4},
  [381] = {.lex_state = 4},
  [382] = {.lex_state = 22},
  [383] = {.lex_state = 22},
  [384] = {.lex_state = 4},
  [385] = {.lex_state = 4},
  [386] = {.lex_state = 4},
  [387] = {.lex_state = 4},
  [388] = {.lex_state = 4},
  [389] = {.lex_state = 4},
  [390] = {.lex_state = 4},
  [391] = {.lex_state = 22},
  [392] = {.lex_state = 4},
  [393] = {.lex_state = 4},
  [394] = {.lex_state = 4},
  [395] = {.lex_state = 4},
  [396] = {.lex_state = 4},
  [397] = {.lex_state = 4},
  [398] = {.lex_state = 4},
  [399] = {.lex_state = 4},
  [400] = {.lex_state = 4},
  [401] = {.lex_state = 4},
  [402] = {.lex_state = 22},
  [403] = {.lex_state = 4},
  [404] = {.lex_state = 4},
  [405] = {.lex_state = 4},
  [406] = {.lex_state = 4},
  [407] = {.lex_state = 4},
  [408] = {.lex_state = 4},
  [409] = {.lex_state = 4},
  [410] = {.lex_state = 4},
  [411] = {.lex_state = 22},
  [412] = {.lex_state = 22},
  [413] = {.lex_state = 4},
  [414] = {.lex_state = 4},
  [415] = {.lex_state = 4},
  [416] = {.lex_state = 4},
  [417] = {.lex_state = 4},
  [418] = {.lex_state = 4},
  [419] = {.lex_state = 22},
  [420] = {.lex_state = 22},
  [421] = {.lex_state = 4},
  [422] = {.lex_state = 4},
  [423] = {.lex_state = 4},
  [424] = {.lex_state = 4},
  [425] = {.lex_state = 4},
  [426] = {.lex_state = 4},
  [427] = {.lex_state = 4},
  [428] = {.lex_state = 4},
  [429] = {.lex_state = 4},
  [430] = {.lex_state = 4},
  [431] = {.lex_state = 4},
  [432] = {.lex_state = 4},
  [433] = {.lex_state = 4},
  [434] = {.lex_state = 22},
  [435] = {.lex_state = 4},
  [436] = {.lex_state = 4},
  [437] = {.lex_state = 4},
  [438] = {.lex_state = 4},
  [439] = {.lex_state = 4},
  [440] = {.lex_state = 4},
  [441] = {.lex_state = 4},
  [442] = {.lex_state = 4},
  [443] = {.lex_state = 4},
  [444] = {.lex_state = 4},
  [445] = {.lex_state = 22},
  [446] = {.lex_state = 22},
  [447] = {.lex_state = 37},
  [448] = {.lex_state = 22},
  [449] = {.lex_state = 36},
  [450] = {.lex_state = 4},
  [451] = {.lex_state = 15, .external_lex_state = 2},
  [452] = {.lex_state = 36},
  [453] = {.lex_state = 22},
  [454] = {.lex_state = 4},
  [455] = {.lex_state = 22},
  [456] = {.lex_state = 22},
  [457] = {.lex_state = 4},
  [458] = {.lex_state = 7},
  [459] = {.lex_state = 22},
  [460] = {.lex_state = 22},
  [461] = {.lex_state = 22},
  [462] = {.lex_state = 37},
  [463] = {.lex_state = 7},
  [464] = {.lex_state = 22},
  [465] = {.lex_state = 22},
  [466] = {.lex_state = 4},
  [467] = {.lex_state = 4},
  [468] = {.lex_state = 22},
  [469] = {.lex_state = 22},
  [470] = {.lex_state = 22},
  [471] = {.lex_state = 15},
  [472] = {.lex_state = 22},
  [473] = {.lex_state = 4},
  [474] = {.lex_state = 22},
  [475] = {.lex_state = 4},
  [476] = {.lex_state = 22},
  [477] = {.lex_state = 4},
  [478] = {.lex_state = 22},
  [479] = {.lex_state = 4},
  [480] = {.lex_state = 22},
  [481] = {.lex_state = 22},
  [482] = {.lex_state = 22},
  [483] = {.lex_state = 4},
  [484] = {.lex_state = 22},
  [485] = {.lex_state = 22},
  [486] = {.lex_state = 22},
  [487] = {.lex_state = 22},
  [488] = {.lex_state = 4},
  [489] = {.lex_state = 22},
  [490] = {.lex_state = 22},
  [491] = {.lex_state = 22},
  [492] = {.lex_state = 4},
  [493] = {.lex_state = 22},
  [494] = {.lex_state = 4},
  [495] = {.lex_state = 22},
  [496] = {.lex_state = 22},
  [497] = {.lex_state = 22},
  [498] = {.lex_state = 22},
  [499] = {.lex_state = 22},
  [500] = {.lex_state = 35},
  [501] = {.lex_state = 35},
  [502] = {.lex_state = 35},
  [503] = {.lex_state = 35},
  [504] = {.lex_state = 35},
  [505] = {.lex_state = 35},
  [506] = {.lex_state = 35},
  [507] = {.lex_state = 35},
  [508] = {.lex_state = 35},
  [509] = {.lex_state = 35},
  [510] = {.lex_state = 35},
  [511] = {.lex_state = 35},
  [512] = {.lex_state = 35},
  [513] = {.lex_state = 35},
  [514] = {.lex_state = 35},
  [515] = {.lex_state = 35},
  [516] = {.lex_state = 35},
  [517] = {.lex_state = 35},
  [518] = {.lex_state = 35},
  [519] = {.lex_state = 35},
  [520] = {.lex_state = 35},
  [521] = {.lex_state = 35},
  [522] = {.lex_state = 35},
  [523] = {.lex_state = 35},
  [524] = {.lex_state = 35},
  [525] = {.lex_state = 35},
  [526] = {.lex_state = 35},
  [527] = {.lex_state = 35},
  [528] = {.lex_state = 35},
  [529] = {.lex_state = 35},
  [530] = {.lex_state = 35},
  [531] = {.lex_state = 35},
  [532] = {.lex_state = 35},
  [533] = {.lex_state = 35},
  [534] = {.lex_state = 35},
  [535] = {.lex_state = 35},
  [536] = {.lex_state = 4},
  [537] = {.lex_state = 4},
  [538] = {.lex_state = 4},
  [539] = {.lex_state = 4},
  [540] = {.lex_state = 4},
  [541] = {.lex_state = 4},
  [542] = {.lex_state = 4},
  [543] = {.lex_state = 4},
  [544] = {.lex_state = 4},
  [545] = {.lex_state = 35},
  [546] = {.lex_state = 35},
  [547] = {.lex_state = 35},
  [548] = {.lex_state = 35},
  [549] = {.lex_state = 35},
  [550] = {.lex_state = 35},
  [551] = {.lex_state = 35},
  [552] = {.lex_state = 35},
  [553] = {.lex_state = 35},
  [554] = {.lex_state = 35},
  [555] = {.lex_state = 35},
  [556] = {.lex_state = 35},
  [557] = {.lex_state = 35},
  [558] = {.lex_state = 35},
  [559] = {.lex_state = 35},
  [560] = {.lex_state = 35},
  [561] = {.lex_state = 4},
  [562] = {.lex_state = 35},
  [563] = {.lex_state = 35},
  [564] = {.lex_state = 35},
  [565] = {.lex_state = 35},
  [566] = {.lex_state = 35},
  [567] = {.lex_state = 35},
  [568] = {.lex_state = 35},
  [569] = {.lex_state = 4},
  [570] = {.lex_state = 35},
  [571] = {.lex_state = 35},
  [572] = {.lex_state = 4},
  [573] = {.lex_state = 4},
  [574] = {.lex_state = 35},
  [575] = {.lex_state = 35},
  [576] = {.lex_state = 35},
  [577] = {.lex_state = 35},
  [578] = {.lex_state = 35},
  [579] = {.lex_state = 35},
  [580] = {.lex_state = 35},
  [581] = {.lex_state = 35},
  [582] = {.lex_state = 35},
  [583] = {.lex_state = 35},
  [584] = {.lex_state = 4},
  [585] = {.lex_state = 4},
  [586] = {.lex_state = 4},
  [587] = {.lex_state = 4},
  [588] = {.lex_state = 4},
  [589] = {.lex_state = 4},
  [590] = {.lex_state = 4},
  [591] = {.lex_state = 4},
  [592] = {.lex_state = 4},
  [593] = {.lex_state = 4},
  [594] = {.lex_state = 4},
  [595] = {.lex_state = 4},
  [596] = {.lex_state = 4},
  [597] = {.lex_state = 4},
  [598] = {.lex_state = 4},
  [599] = {.lex_state = 4},
  [600] = {.lex_state = 4},
  [601] = {.lex_state = 4},
  [602] = {.lex_state = 4},
  [603] = {.lex_state = 4},
  [604] = {.lex_state = 4},
  [605] = {.lex_state = 4},
  [606] = {.lex_state = 4},
  [607] = {.lex_state = 4},
  [608] = {.lex_state = 4},
  [609] = {.lex_state = 4},
  [610] = {.lex_state = 4},
  [611] = {.lex_state = 4},
  [612] = {.lex_state = 4},
  [613] = {.lex_state = 4},
  [614] = {.lex_state = 4},
  [615] = {.lex_state = 4},
  [616] = {.lex_state = 4},
  [617] = {.lex_state = 4},
  [618] = {.lex_state = 4},
  [619] = {.lex_state = 4},
  [620] = {.lex_state = 4},
  [621] = {.lex_state = 4},
  [622] = {.lex_state = 4},
  [623] = {.lex_state = 4},
  [624] = {.lex_state = 4},
  [625] = {.lex_state = 4},
  [626] = {.lex_state = 4},
  [627] = {.lex_state = 4},
  [628] = {.lex_state = 4},
  [629] = {.lex_state = 4},
  [630] = {.lex_state = 4},
  [631] = {.lex_state = 4},
  [632] = {.lex_state = 4},
  [633] = {.lex_state = 4},
  [634] = {.lex_state = 4},
  [635] = {.lex_state = 4},
  [636] = {.lex_state = 4},
  [637] = {.lex_state = 4},
  [638] = {.lex_state = 4},
  [639] = {.lex_state = 4},
  [640] = {.lex_state = 4},
  [641] = {.lex_state = 4},
  [642] = {.lex_state = 4},
  [643] = {.lex_state = 4},
  [644] = {.lex_state = 4},
  [645] = {.lex_state = 4},
  [646] = {.lex_state = 4},
  [647] = {.lex_state = 4},
  [648] = {.lex_state = 4},
  [649] = {.lex_state = 4},
  [650] = {.lex_state = 4},
  [651] = {.lex_state = 4},
  [652] = {.lex_state = 4},
  [653] = {.lex_state = 4},
  [654] = {.lex_state = 4},
  [655] = {.lex_state = 4},
  [656] = {.lex_state = 4},
  [657] = {.lex_state = 4},
  [658] = {.lex_state = 4},
  [659] = {.lex_state = 4},
  [660] = {.lex_state = 4},
  [661] = {.lex_state = 4},
  [662] = {.lex_state = 4},
  [663] = {.lex_state = 4},
  [664] = {.lex_state = 4},
  [665] = {.lex_state = 4},
  [666] = {.lex_state = 4},
  [667] = {.lex_state = 4},
  [668] = {.lex_state = 4},
  [669] = {.lex_state = 4},
  [670] = {.lex_state = 4},
  [671] = {.lex_state = 4},
  [672] = {.lex_state = 4},
  [673] = {.lex_state = 4},
  [674] = {.lex_state = 4},
  [675] = {.lex_state = 4},
  [676] = {.lex_state = 4},
  [677] = {.lex_state = 4},
  [678] = {.lex_state = 4},
  [679] = {.lex_state = 4},
  [680] = {.lex_state = 4},
  [681] = {.lex_state = 4},
  [682] = {.lex_state = 4},
  [683] = {.lex_state = 4},
  [684] = {.lex_state = 4},
  [685] = {.lex_state = 4},
  [686] = {.lex_state = 4},
  [687] = {.lex_state = 4},
  [688] = {.lex_state = 4},
  [689] = {.lex_state = 4},
  [690] = {.lex_state = 4},
  [691] = {.lex_state = 4},
  [692] = {.lex_state = 4},
  [693] = {.lex_state = 4},
  [694] = {.lex_state = 4},
  [695] = {.lex_state = 4},
  [696] = {.lex_state = 4},
  [697] = {.lex_state = 4},
  [698] = {.lex_state = 4},
  [699] = {.lex_state = 4},
  [700] = {.lex_state = 4},
  [701] = {.lex_state = 4},
  [702] = {.lex_state = 4},
  [703] = {.lex_state = 4},
  [704] = {.lex_state = 4},
  [705] = {.lex_state = 4},
  [706] = {.lex_state = 4},
  [707] = {.lex_state = 4},
  [708] = {.lex_state = 4},
  [709] = {.lex_state = 4},
  [710] = {.lex_state = 4},
  [711] = {.lex_state = 4},
  [712] = {.lex_state = 4},
  [713] = {.lex_state = 4},
  [714] = {.lex_state = 4},
  [715] = {.lex_state = 4},
  [716] = {.lex_state = 4},
  [717] = {.lex_state = 4},
  [718] = {.lex_state = 4},
  [719] = {.lex_state = 4},
  [720] = {.lex_state = 4},
  [721] = {.lex_state = 4},
  [722] = {.lex_state = 4},
  [723] = {.lex_state = 4},
  [724] = {.lex_state = 4},
  [725] = {.lex_state = 4},
  [726] = {.lex_state = 4},
  [727] = {.lex_state = 4},
  [728] = {.lex_state = 4},
  [729] = {.lex_state = 4},
  [730] = {.lex_state = 35},
  [731] = {.lex_state = 36},
  [732] = {.lex_state = 36},
  [733] = {.lex_state = 36},
  [734] = {.lex_state = 37},
  [735] = {.lex_state = 37},
  [736] = {.lex_state = 37},
  [737] = {.lex_state = 37},
  [738] = {.lex_state = 37},
  [739] = {.lex_state = 37},
  [740] = {.lex_state = 37},
  [741] = {.lex_state = 37},
  [742] = {.lex_state = 36},
  [743] = {.lex_state = 36},
  [744] = {.lex_state = 37},
  [745] = {.lex_state = 37},
  [746] = {.lex_state = 37},
  [747] = {.lex_state = 37},
  [748] = {.lex_state = 36},
  [749] = {.lex_state = 37},
  [750] = {.lex_state = 37},
  [751] = {.lex_state = 37},
  [752] = {.lex_state = 37},
  [753] = {.lex_state = 37},
  [754] = {.lex_state = 37},
  [755] = {.lex_state = 37},
  [756] = {.lex_state = 36},
  [757] = {.lex_state = 37},
  [758] = {.lex_state = 37},
  [759] = {.lex_state = 37},
  [760] = {.lex_state = 37},
  [761] = {.lex_state = 37},
  [762] = {.lex_state = 37},
  [763] = {.lex_state = 37},
  [764] = {.lex_state = 37},
  [765] = {.lex_state = 37},
  [766] = {.lex_state = 37},
  [767] = {.lex_state = 37},
  [768] = {.lex_state = 37},
  [769] = {.lex_state = 37},
  [770] = {.lex_state = 37},
  [771] = {.lex_state = 37},
  [772] = {.lex_state = 37},
  [773] = {.lex_state = 37},
  [774] = {.lex_state = 37},
  [775] = {.lex_state = 37},
  [776] = {.lex_state = 37},
  [777] = {.lex_state = 37},
  [778] = {.lex_state = 37},
  [779] = {.lex_state = 37},
  [780] = {.lex_state = 7},
  [781] = {.lex_state = 7},
  [782] = {.lex_state = 7},
  [783] = {.lex_state = 7},
  [784] = {.lex_state = 7},
  [785] = {.lex_state = 7},
  [786] = {.lex_state = 7},
  [787] = {.lex_state = 37},
  [788] = {.lex_state = 37},
  [789] = {.lex_state = 37},
  [790] = {.lex_state = 37},
  [791] = {.lex_state = 37},
  [792] = {.lex_state = 37},
  [793] = {.lex_state = 37},
  [794] = {.lex_state = 37},
  [795] = {.lex_state = 7},
  [796] = {.lex_state = 7},
  [797] = {.lex_state = 7},
  [798] = {.lex_state = 7},
  [799] = {.lex_state = 7},
  [800] = {.lex_state = 7},
  [801] = {.lex_state = 7},
  [802] = {.lex_state = 7},
  [803] = {.lex_state = 36},
  [804] = {.lex_state = 7},
  [805] = {.lex_state = 7},
  [806] = {.lex_state = 7},
  [807] = {.lex_state = 7},
  [808] = {.lex_state = 7},
  [809] = {.lex_state = 7},
  [810] = {.lex_state = 7},
  [811] = {.lex_state = 7},
  [812] = {.lex_state = 7},
  [813] = {.lex_state = 7},
  [814] = {.lex_state = 7},
  [815] = {.lex_state = 7},
  [816] = {.lex_state = 7},
  [817] = {.lex_state = 7},
  [818] = {.lex_state = 35},
  [819] = {.lex_state = 7},
  [820] = {.lex_state = 7},
  [821] = {.lex_state = 7},
  [822] = {.lex_state = 7},
  [823] = {.lex_state = 7},
  [824] = {.lex_state = 7},
  [825] = {.lex_state = 7},
  [826] = {.lex_state = 7},
  [827] = {.lex_state = 7},
  [828] = {.lex_state = 7},
  [829] = {.lex_state = 7},
  [830] = {.lex_state = 7},
  [831] = {.lex_state = 7},
  [832] = {.lex_state = 7},
  [833] = {.lex_state = 7},
  [834] = {.lex_state = 7},
  [835] = {.lex_state = 7},
  [836] = {.lex_state = 7},
  [837] = {.lex_state = 7},
  [838] = {.lex_state = 7},
  [839] = {.lex_state = 7},
  [840] = {.lex_state = 7},
  [841] = {.lex_state = 7},
  [842] = {.lex_state = 7},
  [843] = {.lex_state = 7},
  [844] = {.lex_state = 7},
  [845] = {.lex_state = 7},
  [846] = {.lex_state = 7},
  [847] = {.lex_state = 7},
  [848] = {.lex_state = 7},
  [849] = {.lex_state = 7},
  [850] = {.lex_state = 36},
  [851] = {.lex_state = 7},
  [852] = {.lex_state = 7},
  [853] = {.lex_state = 7},
  [854] = {.lex_state = 7},
  [855] = {.lex_state = 7},
  [856] = {.lex_state = 7},
  [857] = {.lex_state = 7},
  [858] = {.lex_state = 7},
  [859] = {.lex_state = 7},
  [860] = {.lex_state = 7},
  [861] = {.lex_state = 35},
  [862] = {.lex_state = 36},
  [863] = {.lex_state = 36},
  [864] = {.lex_state = 37},
  [865] = {.lex_state = 37},
  [866] = {.lex_state = 37},
  [867] = {.lex_state = 37},
  [868] = {.lex_state = 37},
  [869] = {.lex_state = 37},
  [870] = {.lex_state = 37},
  [871] = {.lex_state = 37},
  [872] = {.lex_state = 37},
  [873] = {.lex_state = 37},
  [874] = {.lex_state = 37},
  [875] = {.lex_state = 37},
  [876] = {.lex_state = 37},
  [877] = {.lex_state = 37},
  [878] = {.lex_state = 38, .external_lex_state = 2},
  [879] = {.lex_state = 37},
  [880] = {.lex_state = 37},
  [881] = {.lex_state = 37},
  [882] = {.lex_state = 37},
  [883] = {.lex_state = 37},
  [884] = {.lex_state = 37},
  [885] = {.lex_state = 37},
  [886] = {.lex_state = 36},
  [887] = {.lex_state = 36},
  [888] = {.lex_state = 36},
  [889] = {.lex_state = 36},
  [890] = {.lex_state = 36},
  [891] = {.lex_state = 36},
  [892] = {.lex_state = 36},
  [893] = {.lex_state = 36},
  [894] = {.lex_state = 35},
  [895] = {.lex_state = 36},
  [896] = {.lex_state = 36},
  [897] = {.lex_state = 36},
  [898] = {.lex_state = 36},
  [899] = {.lex_state = 36},
  [900] = {.lex_state = 36},
  [901] = {.lex_state = 36},
  [902] = {.lex_state = 36},
  [903] = {.lex_state = 36},
  [904] = {.lex_state = 36},
  [905] = {.lex_state = 36},
  [906] = {.lex_state = 36},
  [907] = {.lex_state = 36},
  [908] = {.lex_state = 36},
  [909] = {.lex_state = 36},
  [910] = {.lex_state = 36},
  [911] = {.lex_state = 36},
  [912] = {.lex_state = 36},
  [913] = {.lex_state = 36},
  [914] = {.lex_state = 36},
  [915] = {.lex_state = 36},
  [916] = {.lex_state = 36},
  [917] = {.lex_state = 36},
  [918] = {.lex_state = 36},
  [919] = {.lex_state = 36},
  [920] = {.lex_state = 36},
  [921] = {.lex_state = 36},
  [922] = {.lex_state = 36},
  [923] = {.lex_state = 36},
  [924] = {.lex_state = 36},
  [925] = {.lex_state = 35},
  [926] = {.lex_state = 36},
  [927] = {.lex_state = 36},
  [928] = {.lex_state = 36},
  [929] = {.lex_state = 36},
  [930] = {.lex_state = 36},
  [931] = {.lex_state = 36},
  [932] = {.lex_state = 36},
  [933] = {.lex_state = 36},
  [934] = {.lex_state = 36},
  [935] = {.lex_state = 36},
  [936] = {.lex_state = 36},
  [937] = {.lex_state = 36},
  [938] = {.lex_state = 36},
  [939] = {.lex_state = 36},
  [940] = {.lex_state = 36},
  [941] = {.lex_state = 36},
  [942] = {.lex_state = 36},
  [943] = {.lex_state = 36},
  [944] = {.lex_state = 36},
  [945] = {.lex_state = 36},
  [946] = {.lex_state = 36},
  [947] = {.lex_state = 36},
  [948] = {.lex_state = 7},
  [949] = {.lex_state = 37},
  [950] = {.lex_state = 36},
  [951] = {.lex_state = 12, .external_lex_state = 2},
  [952] = {.lex_state = 7},
  [953] = {.lex_state = 38},
  [954] = {.lex_state = 7},
  [955] = {.lex_state = 35},
  [956] = {.lex_state = 35},
  [957] = {.lex_state = 7},
  [958] = {.lex_state = 35},
  [959] = {.lex_state = 35},
  [960] = {.lex_state = 36},
  [961] = {.lex_state = 35},
  [962] = {.lex_state = 37},
  [963] = {.lex_state = 35},
  [964] = {.lex_state = 7},
  [965] = {.lex_state = 37},
  [966] = {.lex_state = 37},
  [967] = {.lex_state = 13, .external_lex_state = 2},
  [968] = {.lex_state = 7},
  [969] = {.lex_state = 35},
  [970] = {.lex_state = 35},
  [971] = {.lex_state = 16, .external_lex_state = 2},
  [972] = {.lex_state = 36},
  [973] = {.lex_state = 36},
  [974] = {.lex_state = 37},
  [975] = {.lex_state = 36},
  [976] = {.lex_state = 35},
  [977] = {.lex_state = 35},
  [978] = {.lex_state = 35},
  [979] = {.lex_state = 7},
  [980] = {.lex_state = 35},
  [981] = {.lex_state = 7},
  [982] = {.lex_state = 35},
  [983] = {.lex_state = 35},
  [984] = {.lex_state = 35},
  [985] = {.lex_state = 35},
  [986] = {.lex_state = 35},
  [987] = {.lex_state = 35},
  [988] = {.lex_state = 35},
  [989] = {.lex_state = 35},
  [990] = {.lex_state = 7},
  [991] = {.lex_state = 7},
  [992] = {.lex_state = 35},
  [993] = {.lex_state = 36},
  [994] = {.lex_state = 7},
  [995] = {.lex_state = 35},
  [996] = {.lex_state = 35},
  [997] = {.lex_state = 35},
  [998] = {.lex_state = 35},
  [999] = {.lex_state = 35},
  [1000] = {.lex_state = 35},
  [1001] = {.lex_state = 35},
  [1002] = {.lex_state = 35},
  [1003] = {.lex_state = 35},
  [1004] = {.lex_state = 35},
  [1005] = {.lex_state = 35},
  [1006] = {.lex_state = 35},
  [1007] = {.lex_state = 35},
  [1008] = {.lex_state = 35},
  [1009] = {.lex_state = 35},
  [1010] = {.lex_state = 35},
  [1011] = {.lex_state = 35},
  [1012] = {.lex_state = 35},
  [1013] = {.lex_state = 35},
  [1014] = {.lex_state = 35},
  [1015] = {.lex_state = 35},
  [1016] = {.lex_state = 35},
  [1017] = {.lex_state = 35},
  [1018] = {.lex_state = 37},
  [1019] = {.lex_state = 37},
  [1020] = {.lex_state = 35},
  [1021] = {.lex_state = 35},
  [1022] = {.lex_state = 35},
  [1023] = {.lex_state = 35},
  [1024] = {.lex_state = 35},
  [1025] = {.lex_state = 35},
  [1026] = {.lex_state = 35},
  [1027] = {.lex_state = 35},
  [1028] = {.lex_state = 35},
  [1029] = {.lex_state = 35},
  [1030] = {.lex_state = 35},
  [1031] = {.lex_state = 35},
  [1032] = {.lex_state = 35},
  [1033] = {.lex_state = 35},
  [1034] = {.lex_state = 35},
  [1035] = {.lex_state = 35},
  [1036] = {.lex_state = 35},
  [1037] = {.lex_state = 35},
  [1038] = {.lex_state = 35},
  [1039] = {.lex_state = 35},
  [1040] = {.lex_state = 35},
  [1041] = {.lex_state = 35},
  [1042] = {.lex_state = 35},
  [1043] = {.lex_state = 35},
  [1044] = {.lex_state = 35},
  [1045] = {.lex_state = 35},
  [1046] = {.lex_state = 35},
  [1047] = {.lex_state = 35},
  [1048] = {.lex_state = 35},
  [1049] = {.lex_state = 35},
  [1050] = {.lex_state = 35},
  [1051] = {.lex_state = 35},
  [1052] = {.lex_state = 35},
  [1053] = {.lex_state = 35},
  [1054] = {.lex_state = 35},
  [1055] = {.lex_state = 35},
  [1056] = {.lex_state = 35},
  [1057] = {.lex_state = 35},
  [1058] = {.lex_state = 35},
  [1059] = {.lex_state = 35},
  [1060] = {.lex_state = 35},
  [1061] = {.lex_state = 35},
  [1062] = {.lex_state = 35},
  [1063] = {.lex_state = 35},
  [1064] = {.lex_state = 35},
  [1065] = {.lex_state = 35},
  [1066] = {.lex_state = 37},
  [1067] = {.lex_state = 35},
  [1068] = {.lex_state = 35},
  [1069] = {.lex_state = 35},
  [1070] = {.lex_state = 35},
  [1071] = {.lex_state = 35},
  [1072] = {.lex_state = 35},
  [1073] = {.lex_state = 35},
  [1074] = {.lex_state = 35},
  [1075] = {.lex_state = 35},
  [1076] = {.lex_state = 35},
  [1077] = {.lex_state = 35},
  [1078] = {.lex_state = 35},
  [1079] = {.lex_state = 35},
  [1080] = {.lex_state = 35},
  [1081] = {.lex_state = 37},
  [1082] = {.lex_state = 35},
  [1083] = {.lex_state = 35},
  [1084] = {.lex_state = 35},
  [1085] = {.lex_state = 35},
  [1086] = {.lex_state = 35},
  [1087] = {.lex_state = 37},
  [1088] = {.lex_state = 35},
  [1089] = {.lex_state = 36},
  [1090] = {.lex_state = 35},
  [1091] = {.lex_state = 35},
  [1092] = {.lex_state = 35},
  [1093] = {.lex_state = 35},
  [1094] = {.lex_state = 35},
  [1095] = {.lex_state = 35},
  [1096] = {.lex_state = 7},
  [1097] = {.lex_state = 37},
  [1098] = {.lex_state = 35},
  [1099] = {.lex_state = 35},
  [1100] = {.lex_state = 13},
  [1101] = {.lex_state = 7},
  [1102] = {.lex_state = 35},
  [1103] = {.lex_state = 35},
  [1104] = {.lex_state = 36},
  [1105] = {.lex_state = 35},
  [1106] = {.lex_state = 35},
  [1107] = {.lex_state = 16},
  [1108] = {.lex_state = 35},
  [1109] = {.lex_state = 35},
  [1110] = {.lex_state = 35},
  [1111] = {.lex_state = 35},
  [1112] = {.lex_state = 35},
  [1113] = {.lex_state = 35},
  [1114] = {.lex_state = 35},
  [1115] = {.lex_state = 35},
  [1116] = {.lex_state = 36},
  [1117] = {.lex_state = 35},
  [1118] = {.lex_state = 35},
  [1119] = {.lex_state = 35},
  [1120] = {.lex_state = 35},
  [1121] = {.lex_state = 35},
  [1122] = {.lex_state = 35},
  [1123] = {.lex_state = 35},
  [1124] = {.lex_state = 12},
  [1125] = {.lex_state = 35},
  [1126] = {.lex_state = 35},
  [1127] = {.lex_state = 36},
  [1128] = {.lex_state = 36},
  [1129] = {.lex_state = 35},
  [1130] = {.lex_state = 35},
  [1131] = {.lex_state = 35},
  [1132] = {.lex_state = 35},
  [1133] = {.lex_state = 35},
  [1134] = {.lex_state = 7},
  [1135] = {.lex_state = 35},
  [1136] = {.lex_state = 7},
  [1137] = {.lex_state = 35},
  [1138] = {.lex_state = 35},
  [1139] = {.lex_state = 35},
  [1140] = {.lex_state = 35},
  [1141] = {.lex_state = 35},
  [1142] = {.lex_state = 35},
  [1143] = {.lex_state = 35},
  [1144] = {.lex_state = 35},
  [1145] = {.lex_state = 35},
  [1146] = {.lex_state = 35},
  [1147] = {.lex_state = 35},
  [1148] = {.lex_state = 35},
  [1149] = {.lex_state = 35},
  [1150] = {.lex_state = 36},
  [1151] = {.lex_state = 35},
  [1152] = {.lex_state = 36},
  [1153] = {.lex_state = 35},
  [1154] = {.lex_state = 35},
  [1155] = {.lex_state = 35},
  [1156] = {.lex_state = 35},
  [1157] = {.lex_state = 35},
  [1158] = {.lex_state = 37},
  [1159] = {.lex_state = 37},
  [1160] = {.lex_state = 35},
  [1161] = {.lex_state = 35},
  [1162] = {.lex_state = 35},
  [1163] = {.lex_state = 37},
  [1164] = {.lex_state = 36},
  [1165] = {.lex_state = 36},
  [1166] = {.lex_state = 37},
  [1167] = {.lex_state = 36},
  [1168] = {.lex_state = 37},
  [1169] = {.lex_state = 37},
  [1170] = {.lex_state = 37},
  [1171] = {.lex_state = 37},
  [1172] = {.lex_state = 37},
  [1173] = {.lex_state = 37},
  [1174] = {.lex_state = 37},
  [1175] = {.lex_state = 37},
  [1176] = {.lex_state = 37},
  [1177] = {.lex_state = 37},
  [1178] = {.lex_state = 37},
  [1179] = {.lex_state = 37},
  [1180] = {.lex_state = 37},
  [1181] = {.lex_state = 37},
  [1182] = {.lex_state = 37},
  [1183] = {.lex_state = 36},
  [1184] = {.lex_state = 37},
  [1185] = {.lex_state = 37},
  [1186] = {.lex_state = 37},
  [1187] = {.lex_state = 36},
  [1188] = {.lex_state = 37},
  [1189] = {.lex_state = 37},
  [1190] = {.lex_state = 37},
  [1191] = {.lex_state = 37},
  [1192] = {.lex_state = 37},
  [1193] = {.lex_state = 7},
  [1194] = {.lex_state = 36},
  [1195] = {.lex_state = 37},
  [1196] = {.lex_state = 36},
  [1197] = {.lex_state = 37},
  [1198] = {.lex_state = 36},
  [1199] = {.lex_state = 36},
  [1200] = {.lex_state = 36},
  [1201] = {.lex_state = 36},
  [1202] = {.lex_state = 36},
  [1203] = {.lex_state = 7},
  [1204] = {.lex_state = 7},
  [1205] = {.lex_state = 37},
  [1206] = {.lex_state = 36},
  [1207] = {.lex_state = 36},
  [1208] = {.lex_state = 36},
  [1209] = {.lex_state = 7},
  [1210] = {.lex_state = 36},
  [1211] = {.lex_state = 36},
  [1212] = {.lex_state = 36},
  [1213] = {.lex_state = 36},
  [1214] = {.lex_state = 37},
  [1215] = {.lex_state = 7},
  [1216] = {.lex_state = 37},
  [1217] = {.lex_state = 36},
  [1218] = {.lex_state = 36},
  [1219] = {.lex_state = 7},
  [1220] = {.lex_state = 7},
  [1221] = {.lex_state = 7},
  [1222] = {.lex_state = 7},
  [1223] = {.lex_state = 7},
  [1224] = {.lex_state = 7},
  [1225] = {.lex_state = 7},
  [1226] = {.lex_state = 7},
  [1227] = {.lex_state = 7},
  [1228] = {.lex_state = 7},
  [1229] = {.lex_state = 7},
  [1230] = {.lex_state = 7},
  [1231] = {.lex_state = 7},
  [1232] = {.lex_state = 7},
  [1233] = {.lex_state = 7},
  [1234] = {.lex_state = 7},
  [1235] = {.lex_state = 7},
  [1236] = {.lex_state = 7},
  [1237] = {.lex_state = 37},
  [1238] = {.lex_state = 37},
  [1239] = {.lex_state = 37},
  [1240] = {.lex_state = 37},
  [1241] = {.lex_state = 7},
  [1242] = {.lex_state = 37},
  [1243] = {.lex_state = 37},
  [1244] = {.lex_state = 37},
  [1245] = {.lex_state = 36},
  [1246] = {.lex_state = 7},
  [1247] = {.lex_state = 7},
  [1248] = {.lex_state = 7},
  [1249] = {.lex_state = 7},
  [1250] = {.lex_state = 7},
  [1251] = {.lex_state = 7},
  [1252] = {.lex_state = 7},
  [1253] = {.lex_state = 7},
  [1254] = {.lex_state = 7},
  [1255] = {.lex_state = 7},
  [1256] = {.lex_state = 7},
  [1257] = {.lex_state = 7},
  [1258] = {.lex_state = 7},
  [1259] = {.lex_state = 37},
  [1260] = {.lex_state = 37},
  [1261] = {.lex_state = 37},
  [1262] = {.lex_state = 37},
  [1263] = {.lex_state = 37},
  [1264] = {.lex_state = 7},
  [1265] = {.lex_state = 7},
  [1266] = {.lex_state = 37},
  [1267] = {.lex_state = 37},
  [1268] = {.lex_state = 36},
  [1269] = {.lex_state = 7},
  [1270] = {.lex_state = 36},
  [1271] = {.lex_state = 36},
  [1272] = {.lex_state = 36},
  [1273] = {.lex_state = 36},
  [1274] = {.lex_state = 7},
  [1275] = {.lex_state = 7},
  [1276] = {.lex_state = 7},
  [1277] = {.lex_state = 36},
  [1278] = {.lex_state = 37},
  [1279] = {.lex_state = 7},
  [1280] = {.lex_state = 37},
  [1281] = {.lex_state = 37},
  [1282] = {.lex_state = 37},
  [1283] = {.lex_state = 7},
  [1284] = {.lex_state = 37},
  [1285] = {.lex_state = 37},
  [1286] = {.lex_state = 37},
  [1287] = {.lex_state = 37},
  [1288] = {.lex_state = 7},
  [1289] = {.lex_state = 37},
  [1290] = {.lex_state = 7},
  [1291] = {.lex_state = 37},
  [1292] = {.lex_state = 37},
  [1293] = {.lex_state = 37},
  [1294] = {.lex_state = 37},
  [1295] = {.lex_state = 37},
  [1296] = {.lex_state = 37},
  [1297] = {.lex_state = 36},
  [1298] = {.lex_state = 37},
  [1299] = {.lex_state = 37},
  [1300] = {.lex_state = 37},
  [1301] = {.lex_state = 37},
  [1302] = {.lex_state = 37},
  [1303] = {.lex_state = 37},
  [1304] = {.lex_state = 37},
  [1305] = {.lex_state = 37},
  [1306] = {.lex_state = 36},
  [1307] = {.lex_state = 36},
  [1308] = {.lex_state = 36},
  [1309] = {.lex_state = 36},
  [1310] = {.lex_state = 37},
  [1311] = {.lex_state = 36},
  [1312] = {.lex_state = 36},
  [1313] = {.lex_state = 36},
  [1314] = {.lex_state = 36},
  [1315] = {.lex_state = 36},
  [1316] = {.lex_state = 36},
  [1317] = {.lex_state = 36},
  [1318] = {.lex_state = 36},
  [1319] = {.lex_state = 37},
  [1320] = {.lex_state = 37},
  [1321] = {.lex_state = 37},
  [1322] = {.lex_state = 37},
  [1323] = {.lex_state = 37},
  [1324] = {.lex_state = 7},
  [1325] = {.lex_state = 37},
  [1326] = {.lex_state = 36},
  [1327] = {.lex_state = 7},
  [1328] = {.lex_state = 37},
  [1329] = {.lex_state = 37},
  [1330] = {.lex_state = 37},
  [1331] = {.lex_state = 36},
  [1332] = {.lex_state = 7},
  [1333] = {.lex_state = 37},
  [1334] = {.lex_state = 7},
  [1335] = {.lex_state = 7},
  [1336] = {.lex_state = 37},
  [1337] = {.lex_state = 37},
  [1338] = {.lex_state = 37},
  [1339] = {.lex_state = 7},
  [1340] = {.lex_state = 7},
  [1341] = {.lex_state = 37},
  [1342] = {.lex_state = 7},
  [1343] = {.lex_state = 7},
  [1344] = {.lex_state = 37},
  [1345] = {.lex_state = 37},
  [1346] = {.lex_state = 37},
  [1347] = {.lex_state = 37},
  [1348] = {.lex_state = 37},
  [1349] = {.lex_state = 37},
  [1350] = {.lex_state = 37},
  [1351] = {.lex_state = 36},
  [1352] = {.lex_state = 36},
  [1353] = {.lex_state = 7},
  [1354] = {.lex_state = 7},
  [1355] = {.lex_state = 36},
  [1356] = {.lex_state = 36},
  [1357] = {.lex_state = 37},
  [1358] = {.lex_state = 37},
  [1359] = {.lex_state = 37},
  [1360] = {.lex_state = 37},
  [1361] = {.lex_state = 37},
  [1362] = {.lex_state = 36},
  [1363] = {.lex_state = 7},
  [1364] = {.lex_state = 37},
  [1365] = {.lex_state = 36},
  [1366] = {.lex_state = 36},
  [1367] = {.lex_state = 37},
  [1368] = {.lex_state = 36},
  [1369] = {.lex_state = 36},
  [1370] = {.lex_state = 36},
  [1371] = {.lex_state = 37},
  [1372] = {.lex_state = 37},
  [1373] = {.lex_state = 37},
  [1374] = {.lex_state = 37},
  [1375] = {.lex_state = 37},
  [1376] = {.lex_state = 37},
  [1377] = {.lex_state = 37},
  [1378] = {.lex_state = 37},
  [1379] = {.lex_state = 37},
  [1380] = {.lex_state = 36},
  [1381] = {.lex_state = 37},
  [1382] = {.lex_state = 37},
  [1383] = {.lex_state = 37},
  [1384] = {.lex_state = 37},
  [1385] = {.lex_state = 37},
  [1386] = {.lex_state = 37},
  [1387] = {.lex_state = 37},
  [1388] = {.lex_state = 37},
  [1389] = {.lex_state = 37},
  [1390] = {.lex_state = 37},
  [1391] = {.lex_state = 37},
  [1392] = {.lex_state = 37},
  [1393] = {.lex_state = 37},
  [1394] = {.lex_state = 37},
  [1395] = {.lex_state = 36},
  [1396] = {.lex_state = 36},
  [1397] = {.lex_state = 7},
  [1398] = {.lex_state = 36},
  [1399] = {.lex_state = 7},
  [1400] = {.lex_state = 37},
  [1401] = {.lex_state = 37},
  [1402] = {.lex_state = 37},
  [1403] = {.lex_state = 37},
  [1404] = {.lex_state = 7},
  [1405] = {.lex_state = 7},
  [1406] = {.lex_state = 7},
  [1407] = {.lex_state = 37},
  [1408] = {.lex_state = 37},
  [1409] = {.lex_state = 37},
  [1410] = {.lex_state = 37},
  [1411] = {.lex_state = 37},
  [1412] = {.lex_state = 37},
  [1413] = {.lex_state = 37},
  [1414] = {.lex_state = 37},
  [1415] = {.lex_state = 37},
  [1416] = {.lex_state = 7},
  [1417] = {.lex_state = 7},
  [1418] = {.lex_state = 7},
  [1419] = {.lex_state = 7},
  [1420] = {.lex_state = 7},
  [1421] = {.lex_state = 7},
  [1422] = {.lex_state = 7},
  [1423] = {.lex_state = 7},
  [1424] = {.lex_state = 7},
  [1425] = {.lex_state = 7},
  [1426] = {.lex_state = 7},
  [1427] = {.lex_state = 37},
  [1428] = {.lex_state = 36},
  [1429] = {.lex_state = 37},
  [1430] = {.lex_state = 37},
  [1431] = {.lex_state = 37},
  [1432] = {.lex_state = 36},
  [1433] = {.lex_state = 7},
  [1434] = {.lex_state = 37},
  [1435] = {.lex_state = 7},
  [1436] = {.lex_state = 7},
  [1437] = {.lex_state = 7},
  [1438] = {.lex_state = 7},
  [1439] = {.lex_state = 7},
  [1440] = {.lex_state = 7},
  [1441] = {.lex_state = 7},
  [1442] = {.lex_state = 7},
  [1443] = {.lex_state = 7},
  [1444] = {.lex_state = 7},
  [1445] = {.lex_state = 7},
  [1446] = {.lex_state = 7},
  [1447] = {.lex_state = 7},
  [1448] = {.lex_state = 7},
  [1449] = {.lex_state = 7},
  [1450] = {.lex_state = 7},
  [1451] = {.lex_state = 7},
  [1452] = {.lex_state = 7},
  [1453] = {.lex_state = 7},
  [1454] = {.lex_state = 7},
  [1455] = {.lex_state = 7},
  [1456] = {.lex_state = 7},
  [1457] = {.lex_state = 37},
  [1458] = {.lex_state = 7},
  [1459] = {.lex_state = 37},
  [1460] = {.lex_state = 7},
  [1461] = {.lex_state = 7},
  [1462] = {.lex_state = 7},
  [1463] = {.lex_state = 37},
  [1464] = {.lex_state = 7},
  [1465] = {.lex_state = 36},
  [1466] = {.lex_state = 36},
  [1467] = {.lex_state = 7},
  [1468] = {.lex_state = 7},
  [1469] = {.lex_state = 7},
  [1470] = {.lex_state = 7},
  [1471] = {.lex_state = 7},
  [1472] = {.lex_state = 7},
  [1473] = {.lex_state = 7},
  [1474] = {.lex_state = 7},
  [1475] = {.lex_state = 7},
  [1476] = {.lex_state = 36},
  [1477] = {.lex_state = 36},
  [1478] = {.lex_state = 36},
  [1479] = {.lex_state = 36},
  [1480] = {.lex_state = 36},
  [1481] = {.lex_state = 36},
  [1482] = {.lex_state = 36},
  [1483] = {.lex_state = 36},
  [1484] = {.lex_state = 7},
  [1485] = {.lex_state = 7},
  [1486] = {.lex_state = 7},
  [1487] = {.lex_state = 7},
  [1488] = {.lex_state = 7},
  [1489] = {.lex_state = 7},
  [1490] = {.lex_state = 7},
  [1491] = {.lex_state = 7},
  [1492] = {.lex_state = 7},
  [1493] = {.lex_state = 7},
  [1494] = {.lex_state = 36},
  [1495] = {.lex_state = 36},
  [1496] = {.lex_state = 36},
  [1497] = {.lex_state = 36},
  [1498] = {.lex_state = 36},
  [1499] = {.lex_state = 36},
  [1500] = {.lex_state = 36},
  [1501] = {.lex_state = 36},
  [1502] = {.lex_state = 36},
  [1503] = {.lex_state = 36},
  [1504] = {.lex_state = 36},
  [1505] = {.lex_state = 36},
  [1506] = {.lex_state = 36},
  [1507] = {.lex_state = 7},
  [1508] = {.lex_state = 36},
  [1509] = {.lex_state = 7},
  [1510] = {.lex_state = 36},
  [1511] = {.lex_state = 36},
  [1512] = {.lex_state = 36},
  [1513] = {.lex_state = 7},
  [1514] = {.lex_state = 36},
  [1515] = {.lex_state = 36},
  [1516] = {.lex_state = 36},
  [1517] = {.lex_state = 36},
  [1518] = {.lex_state = 36},
  [1519] = {.lex_state = 36},
  [1520] = {.lex_state = 36},
  [1521] = {.lex_state = 36},
  [1522] = {.lex_state = 36},
  [1523] = {.lex_state = 36},
  [1524] = {.lex_state = 36},
  [1525] = {.lex_state = 36},
  [1526] = {.lex_state = 36},
  [1527] = {.lex_state = 36},
  [1528] = {.lex_state = 36},
  [1529] = {.lex_state = 36},
  [1530] = {.lex_state = 36},
  [1531] = {.lex_state = 36},
  [1532] = {.lex_state = 36},
  [1533] = {.lex_state = 7},
  [1534] = {.lex_state = 7},
  [1535] = {.lex_state = 36},
  [1536] = {.lex_state = 7},
  [1537] = {.lex_state = 7},
  [1538] = {.lex_state = 7},
  [1539] = {.lex_state = 7},
  [1540] = {.lex_state = 7},
  [1541] = {.lex_state = 7},
  [1542] = {.lex_state = 7},
  [1543] = {.lex_state = 7},
  [1544] = {.lex_state = 7},
  [1545] = {.lex_state = 37},
  [1546] = {.lex_state = 7},
  [1547] = {.lex_state = 7},
  [1548] = {.lex_state = 7},
  [1549] = {.lex_state = 7},
  [1550] = {.lex_state = 7},
  [1551] = {.lex_state = 7},
  [1552] = {.lex_state = 7},
  [1553] = {.lex_state = 36},
  [1554] = {.lex_state = 37},
  [1555] = {.lex_state = 37},
  [1556] = {.lex_state = 37},
  [1557] = {.lex_state = 7},
  [1558] = {.lex_state = 7},
  [1559] = {.lex_state = 36},
  [1560] = {.lex_state = 36},
  [1561] = {.lex_state = 7},
  [1562] = {.lex_state = 37},
  [1563] = {.lex_state = 7},
  [1564] = {.lex_state = 7},
  [1565] = {.lex_state = 37},
  [1566] = {.lex_state = 37},
  [1567] = {.lex_state = 37},
  [1568] = {.lex_state = 7},
  [1569] = {.lex_state = 7},
  [1570] = {.lex_state = 7},
  [1571] = {.lex_state = 36},
  [1572] = {.lex_state = 7},
  [1573] = {.lex_state = 36},
  [1574] = {.lex_state = 36},
  [1575] = {.lex_state = 36},
  [1576] = {.lex_state = 37},
  [1577] = {.lex_state = 36},
  [1578] = {.lex_state = 37},
  [1579] = {.lex_state = 36},
  [1580] = {.lex_state = 36},
  [1581] = {.lex_state = 36},
  [1582] = {.lex_state = 36},
  [1583] = {.lex_state = 36},
  [1584] = {.lex_state = 36},
  [1585] = {.lex_state = 36},
  [1586] = {.lex_state = 36},
  [1587] = {.lex_state = 36},
  [1588] = {.lex_state = 36},
  [1589] = {.lex_state = 36},
  [1590] = {.lex_state = 36},
  [1591] = {.lex_state = 36},
  [1592] = {.lex_state = 36},
  [1593] = {.lex_state = 36},
  [1594] = {.lex_state = 36},
  [1595] = {.lex_state = 36},
  [1596] = {.lex_state = 36},
  [1597] = {.lex_state = 36},
  [1598] = {.lex_state = 36},
  [1599] = {.lex_state = 36},
  [1600] = {.lex_state = 36},
  [1601] = {.lex_state = 36},
  [1602] = {.lex_state = 36},
  [1603] = {.lex_state = 36},
  [1604] = {.lex_state = 37},
  [1605] = {.lex_state = 37},
  [1606] = {.lex_state = 7},
  [1607] = {.lex_state = 37},
  [1608] = {.lex_state = 37},
  [1609] = {.lex_state = 7},
  [1610] = {.lex_state = 37},
  [1611] = {.lex_state = 37},
  [1612] = {.lex_state = 7},
  [1613] = {.lex_state = 7},
  [1614] = {.lex_state = 36},
  [1615] = {.lex_state = 36},
  [1616] = {.lex_state = 7},
  [1617] = {.lex_state = 37},
  [1618] = {.lex_state = 37},
  [1619] = {.lex_state = 36},
  [1620] = {.lex_state = 36},
  [1621] = {.lex_state = 7},
  [1622] = {.lex_state = 36},
  [1623] = {.lex_state = 36},
  [1624] = {.lex_state = 7},
  [1625] = {.lex_state = 36},
  [1626] = {.lex_state = 7},
  [1627] = {.lex_state = 7},
  [1628] = {.lex_state = 7},
  [1629] = {.lex_state = 36},
  [1630] = {.lex_state = 36},
  [1631] = {.lex_state = 36},
  [1632] = {.lex_state = 36},
  [1633] = {.lex_state = 36},
  [1634] = {.lex_state = 36},
  [1635] = {.lex_state = 36},
  [1636] = {.lex_state = 36},
  [1637] = {.lex_state = 36},
  [1638] = {.lex_state = 36},
  [1639] = {.lex_state = 36},
  [1640] = {.lex_state = 36},
  [1641] = {.lex_state = 36},
  [1642] = {.lex_state = 37},
  [1643] = {.lex_state = 8},
  [1644] = {.lex_state = 8},
  [1645] = {.lex_state = 8},
  [1646] = {.lex_state = 17, .external_lex_state = 2},
  [1647] = {.lex_state = 8},
  [1648] = {.lex_state = 8},
  [1649] = {.lex_state = 8},
  [1650] = {.lex_state = 14},
  [1651] = {.lex_state = 8},
  [1652] = {.lex_state = 17},
  [1653] = {.lex_state = 8},
  [1654] = {.lex_state = 8},
  [1655] = {.lex_state = 8},
  [1656] = {.lex_state = 18, .external_lex_state = 2},
  [1657] = {.lex_state = 11},
  [1658] = {.lex_state = 11},
  [1659] = {.lex_state = 11},
  [1660] = {.lex_state = 8},
  [1661] = {.lex_state = 11},
  [1662] = {.lex_state = 8},
  [1663] = {.lex_state = 11},
  [1664] = {.lex_state = 19, .external_lex_state = 2},
  [1665] = {.lex_state = 14},
  [1666] = {.lex_state = 14},
  [1667] = {.lex_state = 14},
  [1668] = {.lex_state = 14},
  [1669] = {.lex_state = 8},
  [1670] = {.lex_state = 8},
  [1671] = {.lex_state = 8},
  [1672] = {.lex_state = 8},
  [1673] = {.lex_state = 8},
  [1674] = {.lex_state = 8},
  [1675] = {.lex_state = 8},
  [1676] = {.lex_state = 8},
  [1677] = {.lex_state = 8},
  [1678] = {.lex_state = 8},
  [1679] = {.lex_state = 8},
  [1680] = {.lex_state = 8},
  [1681] = {.lex_state = 8},
  [1682] = {.lex_state = 8},
  [1683] = {.lex_state = 8},
  [1684] = {.lex_state = 8},
  [1685] = {.lex_state = 8},
  [1686] = {.lex_state = 8},
  [1687] = {.lex_state = 8},
  [1688] = {.lex_state = 8},
  [1689] = {.lex_state = 8},
  [1690] = {.lex_state = 8},
  [1691] = {.lex_state = 8},
  [1692] = {.lex_state = 8},
  [1693] = {.lex_state = 8},
  [1694] = {.lex_state = 8},
  [1695] = {.lex_state = 8},
  [1696] = {.lex_state = 8},
  [1697] = {.lex_state = 8},
  [1698] = {.lex_state = 8},
  [1699] = {.lex_state = 8},
  [1700] = {.lex_state = 8},
  [1701] = {.lex_state = 8},
  [1702] = {.lex_state = 8},
  [1703] = {.lex_state = 8},
  [1704] = {.lex_state = 8},
  [1705] = {.lex_state = 8},
  [1706] = {.lex_state = 8},
  [1707] = {.lex_state = 8},
  [1708] = {.lex_state = 8},
  [1709] = {.lex_state = 8},
  [1710] = {.lex_state = 8},
  [1711] = {.lex_state = 8},
  [1712] = {.lex_state = 8},
  [1713] = {.lex_state = 8},
  [1714] = {.lex_state = 8},
  [1715] = {.lex_state = 8},
  [1716] = {.lex_state = 8},
  [1717] = {.lex_state = 8},
  [1718] = {.lex_state = 8},
  [1719] = {.lex_state = 8},
  [1720] = {.lex_state = 8},
  [1721] = {.lex_state = 8},
  [1722] = {.lex_state = 8},
  [1723] = {.lex_state = 8},
  [1724] = {.lex_state = 8},
  [1725] = {.lex_state = 8},
  [1726] = {.lex_state = 8},
  [1727] = {.lex_state = 8},
  [1728] = {.lex_state = 8},
  [1729] = {.lex_state = 8},
  [1730] = {.lex_state = 8},
  [1731] = {.lex_state = 8},
  [1732] = {.lex_state = 8},
  [1733] = {.lex_state = 8},
  [1734] = {.lex_state = 8},
  [1735] = {.lex_state = 8},
  [1736] = {.lex_state = 8},
  [1737] = {.lex_state = 8},
  [1738] = {.lex_state = 8},
  [1739] = {.lex_state = 8},
  [1740] = {.lex_state = 8},
  [1741] = {.lex_state = 8},
  [1742] = {.lex_state = 8},
  [1743] = {.lex_state = 8},
  [1744] = {.lex_state = 8},
  [1745] = {.lex_state = 8},
  [1746] = {.lex_state = 8},
  [1747] = {.lex_state = 8},
  [1748] = {.lex_state = 8},
  [1749] = {.lex_state = 8},
  [1750] = {.lex_state = 8},
  [1751] = {.lex_state = 8},
  [1752] = {.lex_state = 18},
  [1753] = {.lex_state = 8},
  [1754] = {.lex_state = 8},
  [1755] = {.lex_state = 8},
  [1756] = {.lex_state = 8},
  [1757] = {.lex_state = 8},
  [1758] = {.lex_state = 11},
  [1759] = {.lex_state = 11},
  [1760] = {.lex_state = 8},
  [1761] = {.lex_state = 8},
  [1762] = {.lex_state = 8},
  [1763] = {.lex_state = 8},
  [1764] = {.lex_state = 11},
  [1765] = {.lex_state = 8},
  [1766] = {.lex_state = 11},
  [1767] = {.lex_state = 8},
  [1768] = {.lex_state = 8},
  [1769] = {.lex_state = 8},
  [1770] = {.lex_state = 8},
  [1771] = {.lex_state = 8},
  [1772] = {.lex_state = 8},
  [1773] = {.lex_state = 8},
  [1774] = {.lex_state = 8},
  [1775] = {.lex_state = 8},
  [1776] = {.lex_state = 8},
  [1777] = {.lex_state = 8},
  [1778] = {.lex_state = 8},
  [1779] = {.lex_state = 8},
  [1780] = {.lex_state = 8},
  [1781] = {.lex_state = 8},
  [1782] = {.lex_state = 11},
  [1783] = {.lex_state = 11},
  [1784] = {.lex_state = 8},
  [1785] = {.lex_state = 8},
  [1786] = {.lex_state = 8},
  [1787] = {.lex_state = 11},
  [1788] = {.lex_state = 8},
  [1789] = {.lex_state = 8},
  [1790] = {.lex_state = 8},
  [1791] = {.lex_state = 8},
  [1792] = {.lex_state = 8},
  [1793] = {.lex_state = 8},
  [1794] = {.lex_state = 8},
  [1795] = {.lex_state = 8},
  [1796] = {.lex_state = 8},
  [1797] = {.lex_state = 8},
  [1798] = {.lex_state = 8},
  [1799] = {.lex_state = 8},
  [1800] = {.lex_state = 8},
  [1801] = {.lex_state = 8},
  [1802] = {.lex_state = 8},
  [1803] = {.lex_state = 8},
  [1804] = {.lex_state = 8},
  [1805] = {.lex_state = 8},
  [1806] = {.lex_state = 8},
  [1807] = {.lex_state = 8},
  [1808] = {.lex_state = 8},
  [1809] = {.lex_state = 8},
  [1810] = {.lex_state = 8},
  [1811] = {.lex_state = 19},
  [1812] = {.lex_state = 8},
  [1813] = {.lex_state = 8},
  [1814] = {.lex_state = 8},
  [1815] = {.lex_state = 8},
  [1816] = {.lex_state = 14},
  [1817] = {.lex_state = 14},
  [1818] = {.lex_state = 8},
  [1819] = {.lex_state = 8},
  [1820] = {.lex_state = 8},
  [1821] = {.lex_state = 8},
  [1822] = {.lex_state = 14},
  [1823] = {.lex_state = 8},
  [1824] = {.lex_state = 14},
  [1825] = {.lex_state = 14},
  [1826] = {.lex_state = 14},
  [1827] = {.lex_state = 14},
  [1828] = {.lex_state = 8},
  [1829] = {.lex_state = 8},
  [1830] = {.lex_state = 8},
  [1831] = {.lex_state = 8},
  [1832] = {.lex_state = 8},
  [1833] = {.lex_state = 11},
  [1834] = {.lex_state = 11},
  [1835] = {.lex_state = 11},
  [1836] = {.lex_state = 11},
  [1837] = {.lex_state = 11},
  [1838] = {.lex_state = 11},
  [1839] = {.lex_state = 11},
  [1840] = {.lex_state = 11},
  [1841] = {.lex_state = 11},
  [1842] = {.lex_state = 11},
  [1843] = {.lex_state = 11},
  [1844] = {.lex_state = 11},
  [1845] = {.lex_state = 11},
  [1846] = {.lex_state = 11},
  [1847] = {.lex_state = 11},
  [1848] = {.lex_state = 11},
  [1849] = {.lex_state = 11},
  [1850] = {.lex_state = 11},
  [1851] = {.lex_state = 11},
  [1852] = {.lex_state = 11},
  [1853] = {.lex_state = 11},
  [1854] = {.lex_state = 11},
  [1855] = {.lex_state = 11},
  [1856] = {.lex_state = 11},
  [1857] = {.lex_state = 11},
  [1858] = {.lex_state = 11},
  [1859] = {.lex_state = 11},
  [1860] = {.lex_state = 11},
  [1861] = {.lex_state = 11},
  [1862] = {.lex_state = 11},
  [1863] = {.lex_state = 11},
  [1864] = {.lex_state = 11},
  [1865] = {.lex_state = 11},
  [1866] = {.lex_state = 11},
  [1867] = {.lex_state = 11},
  [1868] = {.lex_state = 11},
  [1869] = {.lex_state = 11},
  [1870] = {.lex_state = 11},
  [1871] = {.lex_state = 11},
  [1872] = {.lex_state = 11},
  [1873] = {.lex_state = 11},
  [1874] = {.lex_state = 11},
  [1875] = {.lex_state = 11},
  [1876] = {.lex_state = 11},
  [1877] = {.lex_state = 11},
  [1878] = {.lex_state = 11},
  [1879] = {.lex_state = 11},
  [1880] = {.lex_state = 11},
  [1881] = {.lex_state = 11},
  [1882] = {.lex_state = 11},
  [1883] = {.lex_state = 11},
  [1884] = {.lex_state = 11},
  [1885] = {.lex_state = 11},
  [1886] = {.lex_state = 11},
  [1887] = {.lex_state = 11},
  [1888] = {.lex_state = 11},
  [1889] = {.lex_state = 11},
  [1890] = {.lex_state = 11},
  [1891] = {.lex_state = 11},
  [1892] = {.lex_state = 11},
  [1893] = {.lex_state = 11},
  [1894] = {.lex_state = 11},
  [1895] = {.lex_state = 11},
  [1896] = {.lex_state = 11},
  [1897] = {.lex_state = 11},
  [1898] = {.lex_state = 11},
  [1899] = {.lex_state = 11},
  [1900] = {.lex_state = 11},
  [1901] = {.lex_state = 11},
  [1902] = {.lex_state = 11},
  [1903] = {.lex_state = 11},
  [1904] = {.lex_state = 11},
  [1905] = {.lex_state = 11},
  [1906] = {.lex_state = 14},
  [1907] = {.lex_state = 11},
  [1908] = {.lex_state = 14},
  [1909] = {.lex_state = 14},
  [1910] = {.lex_state = 20},
  [1911] = {.lex_state = 11},
  [1912] = {.lex_state = 11},
  [1913] = {.lex_state = 14},
  [1914] = {.lex_state = 11},
  [1915] = {.lex_state = 14},
  [1916] = {.lex_state = 20},
  [1917] = {.lex_state = 14},
  [1918] = {.lex_state = 11},
  [1919] = {.lex_state = 11},
  [1920] = {.lex_state = 11},
  [1921] = {.lex_state = 14},
  [1922] = {.lex_state = 11},
  [1923] = {.lex_state = 11},
  [1924] = {.lex_state = 14},
  [1925] = {.lex_state = 14},
  [1926] = {.lex_state = 11},
  [1927] = {.lex_state = 14},
  [1928] = {.lex_state = 14},
  [1929] = {.lex_state = 14},
  [1930] = {.lex_state = 14},
  [1931] = {.lex_state = 14},
  [1932] = {.lex_state = 14},
  [1933] = {.lex_state = 11},
  [1934] = {.lex_state = 11},
  [1935] = {.lex_state = 14},
  [1936] = {.lex_state = 14},
  [1937] = {.lex_state = 14},
  [1938] = {.lex_state = 14},
  [1939] = {.lex_state = 11},
  [1940] = {.lex_state = 11},
  [1941] = {.lex_state = 14},
  [1942] = {.lex_state = 11},
  [1943] = {.lex_state = 14},
  [1944] = {.lex_state = 14},
  [1945] = {.lex_state = 14},
  [1946] = {.lex_state = 14},
  [1947] = {.lex_state = 14},
  [1948] = {.lex_state = 14},
  [1949] = {.lex_state = 14},
  [1950] = {.lex_state = 14},
  [1951] = {.lex_state = 14},
  [1952] = {.lex_state = 14},
  [1953] = {.lex_state = 14},
  [1954] = {.lex_state = 14},
  [1955] = {.lex_state = 14},
  [1956] = {.lex_state = 14},
  [1957] = {.lex_state = 14},
  [1958] = {.lex_state = 14},
  [1959] = {.lex_state = 14},
  [1960] = {.lex_state = 14},
  [1961] = {.lex_state = 14},
  [1962] = {.lex_state = 11},
  [1963] = {.lex_state = 14},
  [1964] = {.lex_state = 11},
  [1965] = {.lex_state = 14},
  [1966] = {.lex_state = 14},
  [1967] = {.lex_state = 11},
  [1968] = {.lex_state = 11},
  [1969] = {.lex_state = 11},
  [1970] = {.lex_state = 14},
  [1971] = {.lex_state = 14},
  [1972] = {.lex_state = 14},
  [1973] = {.lex_state = 14},
  [1974] = {.lex_state = 14},
  [1975] = {.lex_state = 14},
  [1976] = {.lex_state = 14},
  [1977] = {.lex_state = 14},
  [1978] = {.lex_state = 14},
  [1979] = {.lex_state = 14},
  [1980] = {.lex_state = 14},
  [1981] = {.lex_state = 14},
  [1982] = {.lex_state = 14},
  [1983] = {.lex_state = 14},
  [1984] = {.lex_state = 14},
  [1985] = {.lex_state = 14},
  [1986] = {.lex_state = 14},
  [1987] = {.lex_state = 14},
  [1988] = {.lex_state = 14},
  [1989] = {.lex_state = 14},
  [1990] = {.lex_state = 14},
  [1991] = {.lex_state = 14},
  [1992] = {.lex_state = 14},
  [1993] = {.lex_state = 11},
  [1994] = {.lex_state = 11},
  [1995] = {.lex_state = 14},
  [1996] = {.lex_state = 11},
  [1997] = {.lex_state = 14},
  [1998] = {.lex_state = 14},
  [1999] = {.lex_state = 14},
  [2000] = {.lex_state = 14},
  [2001] = {.lex_state = 14},
  [2002] = {.lex_state = 14},
  [2003] = {.lex_state = 14},
  [2004] = {.lex_state = 14},
  [2005] = {.lex_state = 14},
  [2006] = {.lex_state = 14},
  [2007] = {.lex_state = 14},
  [2008] = {.lex_state = 11},
  [2009] = {.lex_state = 14},
  [2010] = {.lex_state = 14},
  [2011] = {.lex_state = 14},
  [2012] = {.lex_state = 14},
  [2013] = {.lex_state = 14},
  [2014] = {.lex_state = 11},
  [2015] = {.lex_state = 14},
  [2016] = {.lex_state = 14},
  [2017] = {.lex_state = 14},
  [2018] = {.lex_state = 14},
  [2019] = {.lex_state = 14},
  [2020] = {.lex_state = 14},
  [2021] = {.lex_state = 14},
  [2022] = {.lex_state = 14},
  [2023] = {.lex_state = 11},
  [2024] = {.lex_state = 14},
  [2025] = {.lex_state = 14},
  [2026] = {.lex_state = 14},
  [2027] = {.lex_state = 14},
  [2028] = {.lex_state = 14},
  [2029] = {.lex_state = 14},
  [2030] = {.lex_state = 14},
  [2031] = {.lex_state = 14},
  [2032] = {.lex_state = 14},
  [2033] = {.lex_state = 14},
  [2034] = {.lex_state = 14},
  [2035] = {.lex_state = 11},
  [2036] = {.lex_state = 14},
  [2037] = {.lex_state = 14},
  [2038] = {.lex_state = 14},
  [2039] = {.lex_state = 14},
  [2040] = {.lex_state = 11},
  [2041] = {.lex_state = 11},
  [2042] = {.lex_state = 11},
  [2043] = {.lex_state = 11},
  [2044] = {.lex_state = 11},
  [2045] = {.lex_state = 11},
  [2046] = {.lex_state = 11},
  [2047] = {.lex_state = 11},
  [2048] = {.lex_state = 11},
  [2049] = {.lex_state = 11},
  [2050] = {.lex_state = 11},
  [2051] = {.lex_state = 11},
  [2052] = {.lex_state = 11},
  [2053] = {.lex_state = 11},
  [2054] = {.lex_state = 11},
  [2055] = {.lex_state = 11},
  [2056] = {.lex_state = 11},
  [2057] = {.lex_state = 11},
  [2058] = {.lex_state = 11},
  [2059] = {.lex_state = 11},
  [2060] = {.lex_state = 11},
  [2061] = {.lex_state = 11},
  [2062] = {.lex_state = 11},
  [2063] = {.lex_state = 11},
  [2064] = {.lex_state = 11},
  [2065] = {.lex_state = 11},
  [2066] = {.lex_state = 11},
  [2067] = {.lex_state = 11},
  [2068] = {.lex_state = 11},
  [2069] = {.lex_state = 11},
  [2070] = {.lex_state = 11},
  [2071] = {.lex_state = 11},
  [2072] = {.lex_state = 11},
  [2073] = {.lex_state = 11},
  [2074] = {.lex_state = 11},
  [2075] = {.lex_state = 11},
  [2076] = {.lex_state = 11},
  [2077] = {.lex_state = 11},
  [2078] = {.lex_state = 11},
  [2079] = {.lex_state = 11},
  [2080] = {.lex_state = 11},
  [2081] = {.lex_state = 11},
  [2082] = {.lex_state = 11},
  [2083] = {.lex_state = 11},
  [2084] = {.lex_state = 11},
  [2085] = {.lex_state = 11},
  [2086] = {.lex_state = 11},
  [2087] = {.lex_state = 11},
  [2088] = {.lex_state = 11},
  [2089] = {.lex_state = 20},
  [2090] = {.lex_state = 20},
  [2091] = {.lex_state = 21, .external_lex_state = 2},
  [2092] = {.lex_state = 20},
  [2093] = {.lex_state = 14},
  [2094] = {.lex_state = 20},
  [2095] = {.lex_state = 14},
  [2096] = {.lex_state = 20},
  [2097] = {.lex_state = 20},
  [2098] = {.lex_state = 20},
  [2099] = {.lex_state = 20},
  [2100] = {.lex_state = 20},
  [2101] = {.lex_state = 20},
  [2102] = {.lex_state = 20},
  [2103] = {.lex_state = 20},
  [2104] = {.lex_state = 21},
  [2105] = {.lex_state = 20},
  [2106] = {.lex_state = 20},
  [2107] = {.lex_state = 20},
  [2108] = {.lex_state = 20},
  [2109] = {.lex_state = 20},
  [2110] = {.lex_state = 20},
  [2111] = {.lex_state = 20},
  [2112] = {.lex_state = 20},
  [2113] = {.lex_state = 20},
  [2114] = {.lex_state = 20},
  [2115] = {.lex_state = 20},
  [2116] = {.lex_state = 20},
  [2117] = {.lex_state = 20},
  [2118] = {.lex_state = 20},
  [2119] = {.lex_state = 20},
  [2120] = {.lex_state = 20},
  [2121] = {.lex_state = 20},
  [2122] = {.lex_state = 20},
  [2123] = {.lex_state = 20},
  [2124] = {.lex_state = 20},
  [2125] = {.lex_state = 20},
  [2126] = {.lex_state = 20},
  [2127] = {.lex_state = 20},
  [2128] = {.lex_state = 20},
  [2129] = {.lex_state = 20},
  [2130] = {.lex_state = 20},
  [2131] = {.lex_state = 20},
  [2132] = {.lex_state = 20},
  [2133] = {.lex_state = 20},
  [2134] = {.lex_state = 20},
  [2135] = {.lex_state = 20},
  [2136] = {.lex_state = 20},
  [2137] = {.lex_state = 20},
  [2138] = {.lex_state = 20},
  [2139] = {.lex_state = 20},
  [2140] = {.lex_state = 20},
  [2141] = {.lex_state = 20},
  [2142] = {.lex_state = 20},
  [2143] = {.lex_state = 20},
  [2144] = {.lex_state = 20},
  [2145] = {.lex_state = 20},
  [2146] = {.lex_state = 20},
  [2147] = {.lex_state = 20},
  [2148] = {.lex_state = 20},
  [2149] = {.lex_state = 20},
  [2150] = {.lex_state = 20},
  [2151] = {.lex_state = 20},
  [2152] = {.lex_state = 20},
  [2153] = {.lex_state = 20},
  [2154] = {.lex_state = 20},
  [2155] = {.lex_state = 20},
  [2156] = {.lex_state = 20},
  [2157] = {.lex_state = 20},
  [2158] = {.lex_state = 20},
  [2159] = {.lex_state = 20},
  [2160] = {.lex_state = 20},
  [2161] = {.lex_state = 20},
  [2162] = {.lex_state = 20},
  [2163] = {.lex_state = 20},
  [2164] = {.lex_state = 20},
  [2165] = {.lex_state = 20},
  [2166] = {.lex_state = 20},
  [2167] = {.lex_state = 20},
  [2168] = {.lex_state = 20},
  [2169] = {.lex_state = 20},
  [2170] = {.lex_state = 20},
  [2171] = {.lex_state = 20},
  [2172] = {.lex_state = 20},
  [2173] = {.lex_state = 20},
  [2174] = {.lex_state = 20},
  [2175] = {.lex_state = 20},
  [2176] = {.lex_state = 20},
  [2177] = {.lex_state = 20},
  [2178] = {.lex_state = 20},
  [2179] = {.lex_state = 20},
  [2180] = {.lex_state = 20},
  [2181] = {.lex_state = 20},
  [2182] = {.lex_state = 20},
  [2183] = {.lex_state = 20},
  [2184] = {.lex_state = 20},
  [2185] = {.lex_state = 20},
  [2186] = {.lex_state = 20},
  [2187] = {.lex_state = 20},
  [2188] = {.lex_state = 20},
  [2189] = {.lex_state = 20},
  [2190] = {.lex_state = 20},
  [2191] = {.lex_state = 20},
  [2192] = {.lex_state = 20},
  [2193] = {.lex_state = 20},
  [2194] = {.lex_state = 20},
  [2195] = {.lex_state = 20},
  [2196] = {.lex_state = 20},
  [2197] = {.lex_state = 20},
  [2198] = {.lex_state = 20},
  [2199] = {.lex_state = 20},
  [2200] = {.lex_state = 20},
  [2201] = {.lex_state = 20},
  [2202] = {.lex_state = 20},
  [2203] = {.lex_state = 20},
  [2204] = {.lex_state = 20},
  [2205] = {.lex_state = 20},
  [2206] = {.lex_state = 20},
  [2207] = {.lex_state = 20},
  [2208] = {.lex_state = 20},
  [2209] = {.lex_state = 22},
  [2210] = {.lex_state = 22},
  [2211] = {.lex_state = 22},
  [2212] = {.lex_state = 22},
  [2213] = {.lex_state = 22},
  [2214] = {.lex_state = 22},
  [2215] = {.lex_state = 22},
  [2216] = {.lex_state = 22},
  [2217] = {.lex_state = 22},
  [2218] = {.lex_state = 22},
  [2219] = {.lex_state = 22},
  [2220] = {.lex_state = 22},
  [2221] = {.lex_state = 22},
  [2222] = {.lex_state = 22},
  [2223] = {.lex_state = 22},
  [2224] = {.lex_state = 23, .external_lex_state = 2},
  [2225] = {.lex_state = 22},
  [2226] = {.lex_state = 22},
  [2227] = {.lex_state = 22},
  [2228] = {.lex_state = 22},
  [2229] = {.lex_state = 22},
  [2230] = {.lex_state = 23},
  [2231] = {.lex_state = 22},
  [2232] = {.lex_state = 22},
  [2233] = {.lex_state = 22},
  [2234] = {.lex_state = 22},
  [2235] = {.lex_state = 22},
  [2236] = {.lex_state = 22},
  [2237] = {.lex_state = 22},
  [2238] = {.lex_state = 22},
  [2239] = {.lex_state = 22},
  [2240] = {.lex_state = 22},
  [2241] = {.lex_state = 22},
  [2242] = {.lex_state = 22},
  [2243] = {.lex_state = 22},
  [2244] = {.lex_state = 22},
  [2245] = {.lex_state = 22},
  [2246] = {.lex_state = 22},
  [2247] = {.lex_state = 22},
  [2248] = {.lex_state = 22},
  [2249] = {.lex_state = 22},
  [2250] = {.lex_state = 22},
  [2251] = {.lex_state = 22},
  [2252] = {.lex_state = 22},
  [2253] = {.lex_state = 22},
  [2254] = {.lex_state = 22},
  [2255] = {.lex_state = 22},
  [2256] = {.lex_state = 22},
  [2257] = {.lex_state = 22},
  [2258] = {.lex_state = 22},
  [2259] = {.lex_state = 22},
  [2260] = {.lex_state = 22},
  [2261] = {.lex_state = 22},
  [2262] = {.lex_state = 22},
  [2263] = {.lex_state = 22},
  [2264] = {.lex_state = 22},
  [2265] = {.lex_state = 22},
  [2266] = {.lex_state = 22},
  [2267] = {.lex_state = 22},
  [2268] = {.lex_state = 22},
  [2269] = {.lex_state = 22},
  [2270] = {.lex_state = 22},
  [2271] = {.lex_state = 22},
  [2272] = {.lex_state = 22},
  [2273] = {.lex_state = 22},
  [2274] = {.lex_state = 22},
  [2275] = {.lex_state = 22},
  [2276] = {.lex_state = 22},
  [2277] = {.lex_state = 22},
  [2278] = {.lex_state = 22},
  [2279] = {.lex_state = 22},
  [2280] = {.lex_state = 22},
  [2281] = {.lex_state = 22},
  [2282] = {.lex_state = 22},
  [2283] = {.lex_state = 22},
  [2284] = {.lex_state = 22},
  [2285] = {.lex_state = 22},
  [2286] = {.lex_state = 22},
  [2287] = {.lex_state = 22},
  [2288] = {.lex_state = 22},
  [2289] = {.lex_state = 22},
  [2290] = {.lex_state = 22},
  [2291] = {.lex_state = 22},
  [2292] = {.lex_state = 22},
  [2293] = {.lex_state = 22},
  [2294] = {.lex_state = 22},
  [2295] = {.lex_state = 22},
  [2296] = {.lex_state = 22},
  [2297] = {.lex_state = 22},
  [2298] = {.lex_state = 22},
  [2299] = {.lex_state = 22},
  [2300] = {.lex_state = 22},
  [2301] = {.lex_state = 22},
  [2302] = {.lex_state = 22},
  [2303] = {.lex_state = 22},
  [2304] = {.lex_state = 22},
  [2305] = {.lex_state = 22},
  [2306] = {.lex_state = 22},
  [2307] = {.lex_state = 22},
  [2308] = {.lex_state = 22},
  [2309] = {.lex_state = 22},
  [2310] = {.lex_state = 22},
  [2311] = {.lex_state = 22},
  [2312] = {.lex_state = 22},
  [2313] = {.lex_state = 22},
  [2314] = {.lex_state = 22},
  [2315] = {.lex_state = 22},
  [2316] = {.lex_state = 22},
  [2317] = {.lex_state = 22},
  [2318] = {.lex_state = 22},
  [2319] = {.lex_state = 22},
  [2320] = {.lex_state = 22},
  [2321] = {.lex_state = 24},
  [2322] = {.lex_state = 24},
  [2323] = {.lex_state = 24},
  [2324] = {.lex_state = 24},
  [2325] = {.lex_state = 24},
  [2326] = {.lex_state = 24},
  [2327] = {.lex_state = 24},
  [2328] = {.lex_state = 0},
  [2329] = {.lex_state = 26},
  [2330] = {.lex_state = 26},
  [2331] = {.lex_state = 26},
  [2332] = {.lex_state = 26},
  [2333] = {.lex_state = 26},
  [2334] = {.lex_state = 26},
  [2335] = {.lex_state = 26},
  [2336] = {.lex_state = 26},
  [2337] = {.lex_state = 26},
  [2338] = {.lex_state = 26},
  [2339] = {.lex_state = 26},
  [2340] = {.lex_state = 26},
  [2341] = {.lex_state = 26},
  [2342] = {.lex_state = 26},
  [2343] = {.lex_state = 26},
  [2344] = {.lex_state = 26},
  [2345] = {.lex_state = 26},
  [2346] = {.lex_state = 26},
  [2347] = {.lex_state = 26},
  [2348] = {.lex_state = 26},
  [2349] = {.lex_state = 26},
  [2350] = {.lex_state = 26},
  [2351] = {.lex_state = 26},
  [2352] = {.lex_state = 26},
  [2353] = {.lex_state = 26},
  [2354] = {.lex_state = 26},
  [2355] = {.lex_state = 26},
  [2356] = {.lex_state = 29},
  [2357] = {.lex_state = 29},
  [2358] = {.lex_state = 29},
  [2359] = {.lex_state = 29},
  [2360] = {.lex_state = 26},
  [2361] = {.lex_state = 26},
  [2362] = {.lex_state = 29},
  [2363] = {.lex_state = 29},
  [2364] = {.lex_state = 29},
  [2365] = {.lex_state = 26},
  [2366] = {.lex_state = 26},
  [2367] = {.lex_state = 26},
  [2368] = {.lex_state = 29},
  [2369] = {.lex_state = 26},
  [2370] = {.lex_state = 26},
  [2371] = {.lex_state = 29},
  [2372] = {.lex_state = 26},
  [2373] = {.lex_state = 29},
  [2374] = {.lex_state = 29},
  [2375] = {.lex_state = 26},
  [2376] = {.lex_state = 29},
  [2377] = {.lex_state = 29},
  [2378] = {.lex_state = 26},
  [2379] = {.lex_state = 29},
  [2380] = {.lex_state = 35},
  [2381] = {.lex_state = 35},
  [2382] = {.lex_state = 35},
  [2383] = {.lex_state = 27},
  [2384] = {.lex_state = 27},
  [2385] = {.lex_state = 35},
  [2386] = {.lex_state = 35},
  [2387] = {.lex_state = 35},
  [2388] = {.lex_state = 35},
  [2389] = {.lex_state = 35},
  [2390] = {.lex_state = 35},
  [2391] = {.lex_state = 35},
  [2392] = {.lex_state = 35},
  [2393] = {.lex_state = 35},
  [2394] = {.lex_state = 35},
  [2395] = {.lex_state = 35},
  [2396] = {.lex_state = 35},
  [2397] = {.lex_state = 35},
  [2398] = {.lex_state = 35},
  [2399] = {.lex_state = 35},
  [2400] = {.lex_state = 27},
  [2401] = {.lex_state = 27},
  [2402] = {.lex_state = 35},
  [2403] = {.lex_state = 35},
  [2404] = {.lex_state = 35},
  [2405] = {.lex_state = 35},
  [2406] = {.lex_state = 35},
  [2407] = {.lex_state = 35},
  [2408] = {.lex_state = 35},
  [2409] = {.lex_state = 35},
  [2410] = {.lex_state = 27},
  [2411] = {.lex_state = 27},
  [2412] = {.lex_state = 35},
  [2413] = {.lex_state = 35},
  [2414] = {.lex_state = 35},
  [2415] = {.lex_state = 35},
  [2416] = {.lex_state = 35},
  [2417] = {.lex_state = 35},
  [2418] = {.lex_state = 35},
  [2419] = {.lex_state = 35},
  [2420] = {.lex_state = 35},
  [2421] = {.lex_state = 35},
  [2422] = {.lex_state = 35},
  [2423] = {.lex_state = 35},
  [2424] = {.lex_state = 35},
  [2425] = {.lex_state = 35},
  [2426] = {.lex_state = 35},
  [2427] = {.lex_state = 35},
  [2428] = {.lex_state = 35},
  [2429] = {.lex_state = 35},
  [2430] = {.lex_state = 35},
  [2431] = {.lex_state = 35},
  [2432] = {.lex_state = 35},
  [2433] = {.lex_state = 35},
  [2434] = {.lex_state = 35},
  [2435] = {.lex_state = 35},
  [2436] = {.lex_state = 35},
  [2437] = {.lex_state = 35},
  [2438] = {.lex_state = 35},
  [2439] = {.lex_state = 35},
  [2440] = {.lex_state = 35},
  [2441] = {.lex_state = 27},
  [2442] = {.lex_state = 27},
  [2443] = {.lex_state = 35},
  [2444] = {.lex_state = 27},
  [2445] = {.lex_state = 35},
  [2446] = {.lex_state = 35},
  [2447] = {.lex_state = 35},
  [2448] = {.lex_state = 35},
  [2449] = {.lex_state = 35},
  [2450] = {.lex_state = 35},
  [2451] = {.lex_state = 35},
  [2452] = {.lex_state = 35},
  [2453] = {.lex_state = 35},
  [2454] = {.lex_state = 35},
  [2455] = {.lex_state = 35},
  [2456] = {.lex_state = 35},
  [2457] = {.lex_state = 35},
  [2458] = {.lex_state = 35},
  [2459] = {.lex_state = 27},
  [2460] = {.lex_state = 35},
  [2461] = {.lex_state = 35},
  [2462] = {.lex_state = 35},
  [2463] = {.lex_state = 35},
  [2464] = {.lex_state = 35},
  [2465] = {.lex_state = 35},
  [2466] = {.lex_state = 35},
  [2467] = {.lex_state = 35},
  [2468] = {.lex_state = 35},
  [2469] = {.lex_state = 35},
  [2470] = {.lex_state = 35},
  [2471] = {.lex_state = 35},
  [2472] = {.lex_state = 35},
  [2473] = {.lex_state = 27},
  [2474] = {.lex_state = 27},
  [2475] = {.lex_state = 35},
  [2476] = {.lex_state = 35},
  [2477] = {.lex_state = 35},
  [2478] = {.lex_state = 35},
  [2479] = {.lex_state = 35},
  [2480] = {.lex_state = 35},
  [2481] = {.lex_state = 35},
  [2482] = {.lex_state = 35},
  [2483] = {.lex_state = 35},
  [2484] = {.lex_state = 35},
  [2485] = {.lex_state = 35},
  [2486] = {.lex_state = 35},
  [2487] = {.lex_state = 35},
  [2488] = {.lex_state = 35},
  [2489] = {.lex_state = 35},
  [2490] = {.lex_state = 35},
  [2491] = {.lex_state = 35},
  [2492] = {.lex_state = 35},
  [2493] = {.lex_state = 35},
  [2494] = {.lex_state = 35},
  [2495] = {.lex_state = 35},
  [2496] = {.lex_state = 35},
  [2497] = {.lex_state = 35},
  [2498] = {.lex_state = 27},
  [2499] = {.lex_state = 35},
  [2500] = {.lex_state = 35},
  [2501] = {.lex_state = 35},
  [2502] = {.lex_state = 35},
  [2503] = {.lex_state = 35},
  [2504] = {.lex_state = 35},
  [2505] = {.lex_state = 35},
  [2506] = {.lex_state = 35},
  [2507] = {.lex_state = 35},
  [2508] = {.lex_state = 35},
  [2509] = {.lex_state = 35},
  [2510] = {.lex_state = 35},
  [2511] = {.lex_state = 35},
  [2512] = {.lex_state = 35},
  [2513] = {.lex_state = 35},
  [2514] = {.lex_state = 35},
  [2515] = {.lex_state = 27},
  [2516] = {.lex_state = 27},
  [2517] = {.lex_state = 35},
  [2518] = {.lex_state = 35},
  [2519] = {.lex_state = 35},
  [2520] = {.lex_state = 35},
  [2521] = {.lex_state = 35},
  [2522] = {.lex_state = 35},
  [2523] = {.lex_state = 35},
  [2524] = {.lex_state = 35},
  [2525] = {.lex_state = 35},
  [2526] = {.lex_state = 35},
  [2527] = {.lex_state = 35},
  [2528] = {.lex_state = 35},
  [2529] = {.lex_state = 35},
  [2530] = {.lex_state = 35},
  [2531] = {.lex_state = 35},
  [2532] = {.lex_state = 35},
  [2533] = {.lex_state = 35},
  [2534] = {.lex_state = 35},
  [2535] = {.lex_state = 35},
  [2536] = {.lex_state = 35},
  [2537] = {.lex_state = 35},
  [2538] = {.lex_state = 35},
  [2539] = {.lex_state = 35},
  [2540] = {.lex_state = 35},
  [2541] = {.lex_state = 35},
  [2542] = {.lex_state = 35},
  [2543] = {.lex_state = 35},
  [2544] = {.lex_state = 35},
  [2545] = {.lex_state = 27},
  [2546] = {.lex_state = 35},
  [2547] = {.lex_state = 35},
  [2548] = {.lex_state = 35},
  [2549] = {.lex_state = 35},
  [2550] = {.lex_state = 35},
  [2551] = {.lex_state = 35},
  [2552] = {.lex_state = 35},
  [2553] = {.lex_state = 27},
  [2554] = {.lex_state = 27},
  [2555] = {.lex_state = 35},
  [2556] = {.lex_state = 35},
  [2557] = {.lex_state = 35},
  [2558] = {.lex_state = 35},
  [2559] = {.lex_state = 35},
  [2560] = {.lex_state = 35},
  [2561] = {.lex_state = 35},
  [2562] = {.lex_state = 35},
  [2563] = {.lex_state = 35},
  [2564] = {.lex_state = 35},
  [2565] = {.lex_state = 35},
  [2566] = {.lex_state = 35},
  [2567] = {.lex_state = 35},
  [2568] = {.lex_state = 35},
  [2569] = {.lex_state = 35},
  [2570] = {.lex_state = 35},
  [2571] = {.lex_state = 35},
  [2572] = {.lex_state = 35},
  [2573] = {.lex_state = 35},
  [2574] = {.lex_state = 35},
  [2575] = {.lex_state = 35},
  [2576] = {.lex_state = 35},
  [2577] = {.lex_state = 35},
  [2578] = {.lex_state = 35},
  [2579] = {.lex_state = 35},
  [2580] = {.lex_state = 35},
  [2581] = {.lex_state = 35},
  [2582] = {.lex_state = 35},
  [2583] = {.lex_state = 27},
  [2584] = {.lex_state = 35},
  [2585] = {.lex_state = 35},
  [2586] = {.lex_state = 35},
  [2587] = {.lex_state = 35},
  [2588] = {.lex_state = 35},
  [2589] = {.lex_state = 35},
  [2590] = {.lex_state = 35},
  [2591] = {.lex_state = 35},
  [2592] = {.lex_state = 35},
  [2593] = {.lex_state = 35},
  [2594] = {.lex_state = 35},
  [2595] = {.lex_state = 35},
  [2596] = {.lex_state = 35},
  [2597] = {.lex_state = 35},
  [2598] = {.lex_state = 35},
  [2599] = {.lex_state = 35},
  [2600] = {.lex_state = 35},
  [2601] = {.lex_state = 35},
  [2602] = {.lex_state = 35},
  [2603] = {.lex_state = 35},
  [2604] = {.lex_state = 35},
  [2605] = {.lex_state = 35},
  [2606] = {.lex_state = 35},
  [2607] = {.lex_state = 35},
  [2608] = {.lex_state = 35},
  [2609] = {.lex_state = 35},
  [2610] = {.lex_state = 27},
  [2611] = {.lex_state = 35},
  [2612] = {.lex_state = 28},
  [2613] = {.lex_state = 26},
  [2614] = {.lex_state = 26},
  [2615] = {.lex_state = 35},
  [2616] = {.lex_state = 35},
  [2617] = {.lex_state = 35},
  [2618] = {.lex_state = 35},
  [2619] = {.lex_state = 35},
  [2620] = {.lex_state = 35},
  [2621] = {.lex_state = 35},
  [2622] = {.lex_state = 26},
  [2623] = {.lex_state = 35},
  [2624] = {.lex_state = 35},
  [2625] = {.lex_state = 35},
  [2626] = {.lex_state = 35},
  [2627] = {.lex_state = 26},
  [2628] = {.lex_state = 26},
  [2629] = {.lex_state = 26},
  [2630] = {.lex_state = 28},
  [2631] = {.lex_state = 35},
  [2632] = {.lex_state = 26},
  [2633] = {.lex_state = 26},
  [2634] = {.lex_state = 35},
  [2635] = {.lex_state = 35},
  [2636] = {.lex_state = 26},
  [2637] = {.lex_state = 35},
  [2638] = {.lex_state = 26},
  [2639] = {.lex_state = 26},
  [2640] = {.lex_state = 26},
  [2641] = {.lex_state = 26},
  [2642] = {.lex_state = 26},
  [2643] = {.lex_state = 26},
  [2644] = {.lex_state = 35},
  [2645] = {.lex_state = 28},
  [2646] = {.lex_state = 35},
  [2647] = {.lex_state = 26},
  [2648] = {.lex_state = 35},
  [2649] = {.lex_state = 26},
  [2650] = {.lex_state = 26},
  [2651] = {.lex_state = 35},
  [2652] = {.lex_state = 35},
  [2653] = {.lex_state = 26},
  [2654] = {.lex_state = 35},
  [2655] = {.lex_state = 35},
  [2656] = {.lex_state = 29},
  [2657] = {.lex_state = 26},
  [2658] = {.lex_state = 26},
  [2659] = {.lex_state = 26},
  [2660] = {.lex_state = 26},
  [2661] = {.lex_state = 26},
  [2662] = {.lex_state = 28},
  [2663] = {.lex_state = 35},
  [2664] = {.lex_state = 35},
  [2665] = {.lex_state = 35},
  [2666] = {.lex_state = 28},
  [2667] = {.lex_state = 35},
  [2668] = {.lex_state = 35},
  [2669] = {.lex_state = 26},
  [2670] = {.lex_state = 35},
  [2671] = {.lex_state = 26},
  [2672] = {.lex_state = 26},
  [2673] = {.lex_state = 26},
  [2674] = {.lex_state = 35},
  [2675] = {.lex_state = 35},
  [2676] = {.lex_state = 35},
  [2677] = {.lex_state = 28},
  [2678] = {.lex_state = 35},
  [2679] = {.lex_state = 35},
  [2680] = {.lex_state = 26},
  [2681] = {.lex_state = 26},
  [2682] = {.lex_state = 26},
  [2683] = {.lex_state = 26},
  [2684] = {.lex_state = 35},
  [2685] = {.lex_state = 35},
  [2686] = {.lex_state = 26},
  [2687] = {.lex_state = 26},
  [2688] = {.lex_state = 26},
  [2689] = {.lex_state = 35},
  [2690] = {.lex_state = 28},
  [2691] = {.lex_state = 35},
  [2692] = {.lex_state = 26},
  [2693] = {.lex_state = 26},
  [2694] = {.lex_state = 35},
  [2695] = {.lex_state = 35},
  [2696] = {.lex_state = 35},
  [2697] = {.lex_state = 35},
  [2698] = {.lex_state = 35},
  [2699] = {.lex_state = 26},
  [2700] = {.lex_state = 26},
  [2701] = {.lex_state = 26},
  [2702] = {.lex_state = 35},
  [2703] = {.lex_state = 35},
  [2704] = {.lex_state = 35},
  [2705] = {.lex_state = 26},
  [2706] = {.lex_state = 26},
  [2707] = {.lex_state = 26},
  [2708] = {.lex_state = 26},
  [2709] = {.lex_state = 35},
  [2710] = {.lex_state = 26},
  [2711] = {.lex_state = 35},
  [2712] = {.lex_state = 35},
  [2713] = {.lex_state = 35},
  [2714] = {.lex_state = 26},
  [2715] = {.lex_state = 35},
  [2716] = {.lex_state = 35},
  [2717] = {.lex_state = 26},
  [2718] = {.lex_state = 28},
  [2719] = {.lex_state = 35},
  [2720] = {.lex_state = 35},
  [2721] = {.lex_state = 26},
  [2722] = {.lex_state = 35},
  [2723] = {.lex_state = 29},
  [2724] = {.lex_state = 26},
  [2725] = {.lex_state = 26},
  [2726] = {.lex_state = 35},
  [2727] = {.lex_state = 35},
  [2728] = {.lex_state = 35},
  [2729] = {.lex_state = 26},
  [2730] = {.lex_state = 35},
  [2731] = {.lex_state = 26},
  [2732] = {.lex_state = 26},
  [2733] = {.lex_state = 26},
  [2734] = {.lex_state = 35},
  [2735] = {.lex_state = 28},
  [2736] = {.lex_state = 28},
  [2737] = {.lex_state = 26},
  [2738] = {.lex_state = 35},
  [2739] = {.lex_state = 35},
  [2740] = {.lex_state = 26},
  [2741] = {.lex_state = 28},
  [2742] = {.lex_state = 26},
  [2743] = {.lex_state = 26},
  [2744] = {.lex_state = 35},
  [2745] = {.lex_state = 35},
  [2746] = {.lex_state = 35},
  [2747] = {.lex_state = 26},
  [2748] = {.lex_state = 35},
  [2749] = {.lex_state = 26},
  [2750] = {.lex_state = 26},
  [2751] = {.lex_state = 35},
  [2752] = {.lex_state = 35},
  [2753] = {.lex_state = 35},
  [2754] = {.lex_state = 35},
  [2755] = {.lex_state = 26},
  [2756] = {.lex_state = 0},
  [2757] = {.lex_state = 0},
  [2758] = {.lex_state = 0},
  [2759] = {.lex_state = 0},
  [2760] = {.lex_state = 0},
  [2761] = {.lex_state = 0},
  [2762] = {.lex_state = 0},
  [2763] = {.lex_state = 0},
  [2764] = {.lex_state = 0},
  [2765] = {.lex_state = 0},
  [2766] = {.lex_state = 0},
  [2767] = {.lex_state = 0},
  [2768] = {.lex_state = 0},
  [2769] = {.lex_state = 0},
  [2770] = {.lex_state = 0},
  [2771] = {.lex_state = 0},
  [2772] = {.lex_state = 0},
  [2773] = {.lex_state = 0},
  [2774] = {.lex_state = 0},
  [2775] = {.lex_state = 0},
  [2776] = {.lex_state = 0},
  [2777] = {.lex_state = 0},
  [2778] = {.lex_state = 0},
  [2779] = {.lex_state = 0},
  [2780] = {.lex_state = 0},
  [2781] = {.lex_state = 0},
  [2782] = {.lex_state = 0},
  [2783] = {.lex_state = 0},
  [2784] = {.lex_state = 0},
  [2785] = {.lex_state = 0},
  [2786] = {.lex_state = 0},
  [2787] = {.lex_state = 0},
  [2788] = {.lex_state = 0},
  [2789] = {.lex_state = 24},
  [2790] = {.lex_state = 0},
  [2791] = {.lex_state = 0},
  [2792] = {.lex_state = 0},
  [2793] = {.lex_state = 0},
  [2794] = {.lex_state = 0},
  [2795] = {.lex_state = 0},
  [2796] = {.lex_state = 0},
  [2797] = {.lex_state = 0},
  [2798] = {.lex_state = 0},
  [2799] = {.lex_state = 0},
  [2800] = {.lex_state = 0},
  [2801] = {.lex_state = 0},
  [2802] = {.lex_state = 0},
  [2803] = {.lex_state = 0},
  [2804] = {.lex_state = 0},
  [2805] = {.lex_state = 0},
  [2806] = {.lex_state = 0},
  [2807] = {.lex_state = 0},
  [2808] = {.lex_state = 0},
  [2809] = {.lex_state = 24},
  [2810] = {.lex_state = 24},
  [2811] = {.lex_state = 0},
  [2812] = {.lex_state = 0},
  [2813] = {.lex_state = 24},
  [2814] = {.lex_state = 0},
  [2815] = {.lex_state = 24},
  [2816] = {.lex_state = 0},
  [2817] = {.lex_state = 24},
  [2818] = {.lex_state = 0},
  [2819] = {.lex_state = 30},
  [2820] = {.lex_state = 0},
  [2821] = {.lex_state = 0},
  [2822] = {.lex_state = 0},
  [2823] = {.lex_state = 0},
  [2824] = {.lex_state = 0},
  [2825] = {.lex_state = 0},
  [2826] = {.lex_state = 0},
  [2827] = {.lex_state = 0},
  [2828] = {.lex_state = 24},
  [2829] = {.lex_state = 0},
  [2830] = {.lex_state = 0},
  [2831] = {.lex_state = 0},
  [2832] = {.lex_state = 26},
  [2833] = {.lex_state = 0},
  [2834] = {.lex_state = 0},
  [2835] = {.lex_state = 0},
  [2836] = {.lex_state = 0},
  [2837] = {.lex_state = 0},
  [2838] = {.lex_state = 0},
  [2839] = {.lex_state = 0},
  [2840] = {.lex_state = 24},
  [2841] = {.lex_state = 0},
  [2842] = {.lex_state = 0},
  [2843] = {.lex_state = 0},
  [2844] = {.lex_state = 0},
  [2845] = {.lex_state = 0},
  [2846] = {.lex_state = 0},
  [2847] = {.lex_state = 0},
  [2848] = {.lex_state = 0},
  [2849] = {.lex_state = 0},
  [2850] = {.lex_state = 0},
  [2851] = {.lex_state = 0},
  [2852] = {.lex_state = 0},
  [2853] = {.lex_state = 24},
  [2854] = {.lex_state = 0},
  [2855] = {.lex_state = 24},
  [2856] = {.lex_state = 0},
  [2857] = {.lex_state = 24},
  [2858] = {.lex_state = 0},
  [2859] = {.lex_state = 24},
  [2860] = {.lex_state = 0},
  [2861] = {.lex_state = 0},
  [2862] = {.lex_state = 0},
  [2863] = {.lex_state = 0},
  [2864] = {.lex_state = 0},
  [2865] = {.lex_state = 0},
  [2866] = {.lex_state = 0},
  [2867] = {.lex_state = 0},
  [2868] = {.lex_state = 0},
  [2869] = {.lex_state = 0},
  [2870] = {.lex_state = 0},
  [2871] = {.lex_state = 0},
  [2872] = {.lex_state = 0},
  [2873] = {.lex_state = 0},
  [2874] = {.lex_state = 0},
  [2875] = {.lex_state = 0},
  [2876] = {.lex_state = 0},
  [2877] = {.lex_state = 0},
  [2878] = {.lex_state = 0},
  [2879] = {.lex_state = 0},
  [2880] = {.lex_state = 0},
  [2881] = {.lex_state = 0},
  [2882] = {.lex_state = 0},
  [2883] = {.lex_state = 0},
  [2884] = {.lex_state = 0},
  [2885] = {.lex_state = 0},
  [2886] = {.lex_state = 0},
  [2887] = {.lex_state = 0},
  [2888] = {.lex_state = 0},
  [2889] = {.lex_state = 0},
  [2890] = {.lex_state = 24},
  [2891] = {.lex_state = 0},
  [2892] = {.lex_state = 0},
  [2893] = {.lex_state = 35},
  [2894] = {.lex_state = 0},
  [2895] = {.lex_state = 0},
  [2896] = {.lex_state = 0},
  [2897] = {.lex_state = 0},
  [2898] = {.lex_state = 35},
  [2899] = {.lex_state = 0},
  [2900] = {.lex_state = 0},
  [2901] = {.lex_state = 0},
  [2902] = {.lex_state = 0},
  [2903] = {.lex_state = 0},
  [2904] = {.lex_state = 0},
  [2905] = {.lex_state = 30},
  [2906] = {.lex_state = 0},
  [2907] = {.lex_state = 0},
  [2908] = {.lex_state = 0},
  [2909] = {.lex_state = 0},
  [2910] = {.lex_state = 0},
  [2911] = {.lex_state = 0},
  [2912] = {.lex_state = 0},
  [2913] = {.lex_state = 0},
  [2914] = {.lex_state = 0},
  [2915] = {.lex_state = 26},
  [2916] = {.lex_state = 0},
  [2917] = {.lex_state = 0},
  [2918] = {.lex_state = 0},
  [2919] = {.lex_state = 0},
  [2920] = {.lex_state = 0},
  [2921] = {.lex_state = 0},
  [2922] = {.lex_state = 30},
  [2923] = {.lex_state = 0},
  [2924] = {.lex_state = 0},
  [2925] = {.lex_state = 0},
  [2926] = {.lex_state = 0},
  [2927] = {.lex_state = 0},
  [2928] = {.lex_state = 0},
  [2929] = {.lex_state = 0},
  [2930] = {.lex_state = 0},
  [2931] = {.lex_state = 0},
  [2932] = {.lex_state = 0},
  [2933] = {.lex_state = 0},
  [2934] = {.lex_state = 0},
  [2935] = {.lex_state = 0},
  [2936] = {.lex_state = 0},
  [2937] = {.lex_state = 26},
  [2938] = {.lex_state = 0},
  [2939] = {.lex_state = 0},
  [2940] = {.lex_state = 0},
  [2941] = {.lex_state = 0},
  [2942] = {.lex_state = 0},
  [2943] = {.lex_state = 0},
  [2944] = {.lex_state = 0},
  [2945] = {.lex_state = 0},
  [2946] = {.lex_state = 0},
  [2947] = {.lex_state = 0},
  [2948] = {.lex_state = 0},
  [2949] = {.lex_state = 0},
  [2950] = {.lex_state = 0},
  [2951] = {.lex_state = 0},
  [2952] = {.lex_state = 0},
  [2953] = {.lex_state = 0},
  [2954] = {.lex_state = 0},
  [2955] = {.lex_state = 0},
  [2956] = {.lex_state = 0},
  [2957] = {.lex_state = 0},
  [2958] = {.lex_state = 0},
  [2959] = {.lex_state = 0},
  [2960] = {.lex_state = 0},
  [2961] = {.lex_state = 0},
  [2962] = {.lex_state = 0},
  [2963] = {.lex_state = 0},
  [2964] = {.lex_state = 30},
  [2965] = {.lex_state = 0},
  [2966] = {.lex_state = 0},
  [2967] = {.lex_state = 0},
  [2968] = {.lex_state = 0},
  [2969] = {.lex_state = 0},
  [2970] = {.lex_state = 0},
  [2971] = {.lex_state = 0},
  [2972] = {.lex_state = 0},
  [2973] = {.lex_state = 0},
  [2974] = {.lex_state = 0},
  [2975] = {.lex_state = 0},
  [2976] = {.lex_state = 0},
  [2977] = {.lex_state = 0},
  [2978] = {.lex_state = 0},
  [2979] = {.lex_state = 0},
  [2980] = {.lex_state = 0},
  [2981] = {.lex_state = 0},
  [2982] = {.lex_state = 0},
  [2983] = {.lex_state = 0},
  [2984] = {.lex_state = 0},
  [2985] = {.lex_state = 0},
  [2986] = {.lex_state = 0},
  [2987] = {.lex_state = 0},
  [2988] = {.lex_state = 0},
  [2989] = {.lex_state = 0},
  [2990] = {.lex_state = 0},
  [2991] = {.lex_state = 0},
  [2992] = {.lex_state = 0},
  [2993] = {.lex_state = 0},
  [2994] = {.lex_state = 0},
  [2995] = {.lex_state = 24},
  [2996] = {.lex_state = 0},
  [2997] = {.lex_state = 0},
  [2998] = {.lex_state = 0},
  [2999] = {.lex_state = 0},
  [3000] = {.lex_state = 0},
  [3001] = {.lex_state = 0},
  [3002] = {.lex_state = 26},
  [3003] = {.lex_state = 0},
  [3004] = {.lex_state = 0},
  [3005] = {.lex_state = 0},
  [3006] = {.lex_state = 0},
  [3007] = {.lex_state = 0},
  [3008] = {.lex_state = 0},
  [3009] = {.lex_state = 0},
  [3010] = {.lex_state = 0},
  [3011] = {.lex_state = 0},
  [3012] = {.lex_state = 0},
  [3013] = {.lex_state = 0},
  [3014] = {.lex_state = 0},
  [3015] = {.lex_state = 0},
  [3016] = {.lex_state = 0},
  [3017] = {.lex_state = 0},
  [3018] = {.lex_state = 0},
  [3019] = {.lex_state = 0},
  [3020] = {.lex_state = 0},
  [3021] = {.lex_state = 0},
  [3022] = {.lex_state = 0},
  [3023] = {.lex_state = 0},
  [3024] = {.lex_state = 0},
  [3025] = {.lex_state = 0},
  [3026] = {.lex_state = 0},
  [3027] = {.lex_state = 0},
  [3028] = {.lex_state = 0},
  [3029] = {.lex_state = 0},
  [3030] = {.lex_state = 0},
  [3031] = {.lex_state = 0},
  [3032] = {.lex_state = 30},
  [3033] = {.lex_state = 0},
  [3034] = {.lex_state = 0},
  [3035] = {.lex_state = 0},
  [3036] = {.lex_state = 0},
  [3037] = {.lex_state = 0},
  [3038] = {.lex_state = 0},
  [3039] = {.lex_state = 0},
  [3040] = {.lex_state = 0},
  [3041] = {.lex_state = 0},
  [3042] = {.lex_state = 0},
  [3043] = {.lex_state = 0},
  [3044] = {.lex_state = 0},
  [3045] = {.lex_state = 0},
  [3046] = {.lex_state = 0},
  [3047] = {.lex_state = 26},
  [3048] = {.lex_state = 0},
  [3049] = {.lex_state = 0},
  [3050] = {.lex_state = 0},
  [3051] = {.lex_state = 0},
  [3052] = {.lex_state = 0},
  [3053] = {.lex_state = 0},
  [3054] = {.lex_state = 0},
  [3055] = {.lex_state = 0},
  [3056] = {.lex_state = 0},
  [3057] = {.lex_state = 0},
  [3058] = {.lex_state = 0},
  [3059] = {.lex_state = 0},
  [3060] = {.lex_state = 0},
  [3061] = {.lex_state = 0},
  [3062] = {.lex_state = 0},
  [3063] = {.lex_state = 0},
  [3064] = {.lex_state = 0},
  [3065] = {.lex_state = 0},
  [3066] = {.lex_state = 0},
  [3067] = {.lex_state = 0},
  [3068] = {.lex_state = 0},
  [3069] = {.lex_state = 0},
  [3070] = {.lex_state = 0},
  [3071] = {.lex_state = 0},
  [3072] = {.lex_state = 0},
  [3073] = {.lex_state = 0},
  [3074] = {.lex_state = 0},
  [3075] = {.lex_state = 0},
  [3076] = {.lex_state = 0},
  [3077] = {.lex_state = 0},
  [3078] = {.lex_state = 0},
  [3079] = {.lex_state = 0},
  [3080] = {.lex_state = 0},
  [3081] = {.lex_state = 0},
  [3082] = {.lex_state = 0},
  [3083] = {.lex_state = 0},
  [3084] = {.lex_state = 0},
  [3085] = {.lex_state = 0},
  [3086] = {.lex_state = 0},
  [3087] = {.lex_state = 0},
  [3088] = {.lex_state = 0},
  [3089] = {.lex_state = 0},
  [3090] = {.lex_state = 0},
  [3091] = {.lex_state = 0},
  [3092] = {.lex_state = 0},
  [3093] = {.lex_state = 24},
  [3094] = {.lex_state = 0},
  [3095] = {.lex_state = 0},
  [3096] = {.lex_state = 0},
  [3097] = {.lex_state = 0},
  [3098] = {.lex_state = 0},
  [3099] = {.lex_state = 0},
  [3100] = {.lex_state = 0},
  [3101] = {.lex_state = 0},
  [3102] = {.lex_state = 0},
  [3103] = {.lex_state = 0},
  [3104] = {.lex_state = 0},
  [3105] = {.lex_state = 0},
  [3106] = {.lex_state = 0},
  [3107] = {.lex_state = 0},
  [3108] = {.lex_state = 0},
  [3109] = {.lex_state = 0},
  [3110] = {.lex_state = 0},
  [3111] = {.lex_state = 0},
  [3112] = {.lex_state = 0},
  [3113] = {.lex_state = 0},
  [3114] = {.lex_state = 0},
  [3115] = {.lex_state = 0},
  [3116] = {.lex_state = 0},
  [3117] = {.lex_state = 0},
  [3118] = {.lex_state = 0},
  [3119] = {.lex_state = 0},
  [3120] = {.lex_state = 0},
  [3121] = {.lex_state = 0},
  [3122] = {.lex_state = 0},
  [3123] = {.lex_state = 0},
  [3124] = {.lex_state = 0},
  [3125] = {.lex_state = 30},
  [3126] = {.lex_state = 0},
  [3127] = {.lex_state = 0},
  [3128] = {.lex_state = 0},
  [3129] = {.lex_state = 0},
  [3130] = {.lex_state = 0},
  [3131] = {.lex_state = 0},
  [3132] = {.lex_state = 0},
  [3133] = {.lex_state = 0},
  [3134] = {.lex_state = 0},
  [3135] = {.lex_state = 0},
  [3136] = {.lex_state = 0},
  [3137] = {.lex_state = 0},
  [3138] = {.lex_state = 0},
  [3139] = {.lex_state = 0},
  [3140] = {.lex_state = 26},
  [3141] = {.lex_state = 0},
  [3142] = {.lex_state = 0},
  [3143] = {.lex_state = 0},
  [3144] = {.lex_state = 0},
  [3145] = {.lex_state = 0},
  [3146] = {.lex_state = 0},
  [3147] = {.lex_state = 0},
  [3148] = {.lex_state = 0},
  [3149] = {.lex_state = 0},
  [3150] = {.lex_state = 0},
  [3151] = {.lex_state = 0},
  [3152] = {.lex_state = 0},
  [3153] = {.lex_state = 0},
  [3154] = {.lex_state = 0},
  [3155] = {.lex_state = 0},
  [3156] = {.lex_state = 0},
  [3157] = {.lex_state = 0},
  [3158] = {.lex_state = 0},
  [3159] = {.lex_state = 0},
  [3160] = {.lex_state = 0},
  [3161] = {.lex_state = 0},
  [3162] = {.lex_state = 0},
  [3163] = {.lex_state = 0},
  [3164] = {.lex_state = 0},
  [3165] = {.lex_state = 0},
  [3166] = {.lex_state = 0},
  [3167] = {.lex_state = 0},
  [3168] = {.lex_state = 0},
  [3169] = {.lex_state = 0},
  [3170] = {.lex_state = 0},
  [3171] = {.lex_state = 0},
  [3172] = {.lex_state = 0},
  [3173] = {.lex_state = 0},
  [3174] = {.lex_state = 0},
  [3175] = {.lex_state = 0},
  [3176] = {.lex_state = 24},
  [3177] = {.lex_state = 0},
  [3178] = {.lex_state = 0},
  [3179] = {.lex_state = 0},
  [3180] = {.lex_state = 0},
  [3181] = {.lex_state = 0},
  [3182] = {.lex_state = 0},
  [3183] = {.lex_state = 0},
  [3184] = {.lex_state = 0},
  [3185] = {.lex_state = 0},
  [3186] = {.lex_state = 0},
  [3187] = {.lex_state = 0},
  [3188] = {.lex_state = 0},
  [3189] = {.lex_state = 0},
  [3190] = {.lex_state = 0},
  [3191] = {.lex_state = 0},
  [3192] = {.lex_state = 0},
  [3193] = {.lex_state = 0},
  [3194] = {.lex_state = 0},
  [3195] = {.lex_state = 0},
  [3196] = {.lex_state = 0},
  [3197] = {.lex_state = 0},
  [3198] = {.lex_state = 0},
  [3199] = {.lex_state = 0},
  [3200] = {.lex_state = 0},
  [3201] = {.lex_state = 0},
  [3202] = {.lex_state = 0},
  [3203] = {.lex_state = 0},
  [3204] = {.lex_state = 0},
  [3205] = {.lex_state = 0},
  [3206] = {.lex_state = 0},
  [3207] = {.lex_state = 0},
  [3208] = {.lex_state = 30},
  [3209] = {.lex_state = 0},
  [3210] = {.lex_state = 0},
  [3211] = {.lex_state = 0},
  [3212] = {.lex_state = 0},
  [3213] = {.lex_state = 0},
  [3214] = {.lex_state = 0},
  [3215] = {.lex_state = 0},
  [3216] = {.lex_state = 0},
  [3217] = {.lex_state = 0},
  [3218] = {.lex_state = 0},
  [3219] = {.lex_state = 0},
  [3220] = {.lex_state = 0},
  [3221] = {.lex_state = 0},
  [3222] = {.lex_state = 26},
  [3223] = {.lex_state = 0},
  [3224] = {.lex_state = 0},
  [3225] = {.lex_state = 0},
  [3226] = {.lex_state = 0},
  [3227] = {.lex_state = 0},
  [3228] = {.lex_state = 0},
  [3229] = {.lex_state = 0},
  [3230] = {.lex_state = 0},
  [3231] = {.lex_state = 0},
  [3232] = {.lex_state = 0},
  [3233] = {.lex_state = 0},
  [3234] = {.lex_state = 0},
  [3235] = {.lex_state = 0},
  [3236] = {.lex_state = 0},
  [3237] = {.lex_state = 0},
  [3238] = {.lex_state = 0},
  [3239] = {.lex_state = 0},
  [3240] = {.lex_state = 0},
  [3241] = {.lex_state = 0},
  [3242] = {.lex_state = 0},
  [3243] = {.lex_state = 0},
  [3244] = {.lex_state = 0},
  [3245] = {.lex_state = 0},
  [3246] = {.lex_state = 0},
  [3247] = {.lex_state = 0},
  [3248] = {.lex_state = 0},
  [3249] = {.lex_state = 0},
  [3250] = {.lex_state = 0},
  [3251] = {.lex_state = 0},
  [3252] = {.lex_state = 0},
  [3253] = {.lex_state = 0},
  [3254] = {.lex_state = 0},
  [3255] = {.lex_state = 0},
  [3256] = {.lex_state = 30},
  [3257] = {.lex_state = 0},
  [3258] = {.lex_state = 0},
  [3259] = {.lex_state = 0},
  [3260] = {.lex_state = 0},
  [3261] = {.lex_state = 0},
  [3262] = {.lex_state = 0},
  [3263] = {.lex_state = 0},
  [3264] = {.lex_state = 0},
  [3265] = {.lex_state = 0},
  [3266] = {.lex_state = 0},
  [3267] = {.lex_state = 0},
  [3268] = {.lex_state = 0},
  [3269] = {.lex_state = 0},
  [3270] = {.lex_state = 0},
  [3271] = {.lex_state = 0},
  [3272] = {.lex_state = 0},
  [3273] = {.lex_state = 0},
  [3274] = {.lex_state = 0},
  [3275] = {.lex_state = 0},
  [3276] = {.lex_state = 0},
  [3277] = {.lex_state = 26},
  [3278] = {.lex_state = 0},
  [3279] = {.lex_state = 0},
  [3280] = {.lex_state = 0},
  [3281] = {.lex_state = 0},
  [3282] = {.lex_state = 0},
  [3283] = {.lex_state = 0},
  [3284] = {.lex_state = 0},
  [3285] = {.lex_state = 0},
  [3286] = {.lex_state = 0},
  [3287] = {.lex_state = 30},
  [3288] = {.lex_state = 0},
  [3289] = {.lex_state = 0},
  [3290] = {.lex_state = 0},
  [3291] = {.lex_state = 0},
  [3292] = {.lex_state = 0},
  [3293] = {.lex_state = 0},
  [3294] = {.lex_state = 0},
  [3295] = {.lex_state = 0},
  [3296] = {.lex_state = 0},
  [3297] = {.lex_state = 0},
  [3298] = {.lex_state = 0},
  [3299] = {.lex_state = 0},
  [3300] = {.lex_state = 0},
  [3301] = {.lex_state = 26},
  [3302] = {.lex_state = 0},
  [3303] = {.lex_state = 0},
  [3304] = {.lex_state = 0},
  [3305] = {.lex_state = 0},
  [3306] = {.lex_state = 0},
  [3307] = {.lex_state = 0},
  [3308] = {.lex_state = 0},
  [3309] = {.lex_state = 0},
  [3310] = {.lex_state = 0},
  [3311] = {.lex_state = 0},
  [3312] = {.lex_state = 0},
  [3313] = {.lex_state = 0},
  [3314] = {.lex_state = 0},
  [3315] = {.lex_state = 0},
  [3316] = {.lex_state = 0},
  [3317] = {.lex_state = 0},
  [3318] = {.lex_state = 0},
  [3319] = {.lex_state = 0},
  [3320] = {.lex_state = 0},
  [3321] = {.lex_state = 0},
  [3322] = {.lex_state = 0},
  [3323] = {.lex_state = 0},
  [3324] = {.lex_state = 0},
  [3325] = {.lex_state = 0},
  [3326] = {.lex_state = 0},
  [3327] = {.lex_state = 0},
  [3328] = {.lex_state = 0},
  [3329] = {.lex_state = 0},
  [3330] = {.lex_state = 0},
  [3331] = {.lex_state = 0},
  [3332] = {.lex_state = 0},
  [3333] = {.lex_state = 0},
  [3334] = {.lex_state = 0},
  [3335] = {.lex_state = 0},
  [3336] = {.lex_state = 0},
  [3337] = {.lex_state = 0},
  [3338] = {.lex_state = 0},
  [3339] = {.lex_state = 0},
  [3340] = {.lex_state = 0},
  [3341] = {.lex_state = 0},
  [3342] = {.lex_state = 0},
  [3343] = {.lex_state = 0},
  [3344] = {.lex_state = 0},
  [3345] = {.lex_state = 0},
  [3346] = {.lex_state = 0},
  [3347] = {.lex_state = 0},
  [3348] = {.lex_state = 0},
  [3349] = {.lex_state = 24},
  [3350] = {.lex_state = 24},
  [3351] = {.lex_state = 24},
  [3352] = {.lex_state = 24},
  [3353] = {.lex_state = 24},
  [3354] = {.lex_state = 24},
  [3355] = {.lex_state = 24},
  [3356] = {.lex_state = 24},
  [3357] = {.lex_state = 24},
  [3358] = {.lex_state = 24},
  [3359] = {.lex_state = 0},
  [3360] = {.lex_state = 0},
  [3361] = {.lex_state = 0},
  [3362] = {.lex_state = 0},
  [3363] = {.lex_state = 0},
  [3364] = {.lex_state = 0},
  [3365] = {.lex_state = 0},
  [3366] = {.lex_state = 0},
  [3367] = {.lex_state = 0},
  [3368] = {.lex_state = 0},
  [3369] = {.lex_state = 0},
  [3370] = {.lex_state = 0},
  [3371] = {.lex_state = 0},
  [3372] = {.lex_state = 0},
  [3373] = {.lex_state = 0},
  [3374] = {.lex_state = 0},
  [3375] = {.lex_state = 0},
  [3376] = {.lex_state = 0},
  [3377] = {.lex_state = 0},
  [3378] = {.lex_state = 0},
  [3379] = {.lex_state = 0},
  [3380] = {.lex_state = 0},
  [3381] = {.lex_state = 24},
  [3382] = {.lex_state = 24},
  [3383] = {.lex_state = 24},
  [3384] = {.lex_state = 24},
  [3385] = {.lex_state = 24},
  [3386] = {.lex_state = 24},
  [3387] = {.lex_state = 24},
  [3388] = {.lex_state = 24},
  [3389] = {.lex_state = 24},
  [3390] = {.lex_state = 24},
  [3391] = {.lex_state = 0},
  [3392] = {.lex_state = 0},
  [3393] = {.lex_state = 0},
  [3394] = {.lex_state = 0},
  [3395] = {.lex_state = 0},
  [3396] = {.lex_state = 0},
  [3397] = {.lex_state = 0},
  [3398] = {.lex_state = 0},
  [3399] = {.lex_state = 0},
  [3400] = {.lex_state = 0},
  [3401] = {.lex_state = 0},
  [3402] = {.lex_state = 0},
  [3403] = {.lex_state = 0},
  [3404] = {.lex_state = 0},
  [3405] = {.lex_state = 0},
  [3406] = {.lex_state = 0},
  [3407] = {.lex_state = 0},
  [3408] = {.lex_state = 0},
  [3409] = {.lex_state = 0},
  [3410] = {.lex_state = 0},
  [3411] = {.lex_state = 0},
  [3412] = {.lex_state = 0},
  [3413] = {.lex_state = 24},
  [3414] = {.lex_state = 24},
  [3415] = {.lex_state = 24},
  [3416] = {.lex_state = 24},
  [3417] = {.lex_state = 24},
  [3418] = {.lex_state = 24},
  [3419] = {.lex_state = 24},
  [3420] = {.lex_state = 24},
  [3421] = {.lex_state = 24},
  [3422] = {.lex_state = 24},
  [3423] = {.lex_state = 0},
  [3424] = {.lex_state = 0},
  [3425] = {.lex_state = 0},
  [3426] = {.lex_state = 0},
  [3427] = {.lex_state = 0},
  [3428] = {.lex_state = 0},
  [3429] = {.lex_state = 0},
  [3430] = {.lex_state = 0},
  [3431] = {.lex_state = 0},
  [3432] = {.lex_state = 0},
  [3433] = {.lex_state = 0},
  [3434] = {.lex_state = 0},
  [3435] = {.lex_state = 0},
  [3436] = {.lex_state = 0},
  [3437] = {.lex_state = 0},
  [3438] = {.lex_state = 0},
  [3439] = {.lex_state = 0},
  [3440] = {.lex_state = 0},
  [3441] = {.lex_state = 0},
  [3442] = {.lex_state = 0},
  [3443] = {.lex_state = 0},
  [3444] = {.lex_state = 24},
  [3445] = {.lex_state = 24},
  [3446] = {.lex_state = 24},
  [3447] = {.lex_state = 24},
  [3448] = {.lex_state = 24},
  [3449] = {.lex_state = 24},
  [3450] = {.lex_state = 24},
  [3451] = {.lex_state = 24},
  [3452] = {.lex_state = 24},
  [3453] = {.lex_state = 24},
  [3454] = {.lex_state = 0},
  [3455] = {.lex_state = 0},
  [3456] = {.lex_state = 0},
  [3457] = {.lex_state = 24},
  [3458] = {.lex_state = 0},
  [3459] = {.lex_state = 0},
  [3460] = {.lex_state = 0},
  [3461] = {.lex_state = 0},
  [3462] = {.lex_state = 0},
  [3463] = {.lex_state = 0},
  [3464] = {.lex_state = 0},
  [3465] = {.lex_state = 0},
  [3466] = {.lex_state = 0},
  [3467] = {.lex_state = 0},
  [3468] = {.lex_state = 0},
  [3469] = {.lex_state = 0},
  [3470] = {.lex_state = 0},
  [3471] = {.lex_state = 24},
  [3472] = {.lex_state = 24},
  [3473] = {.lex_state = 24},
  [3474] = {.lex_state = 24},
  [3475] = {.lex_state = 24},
  [3476] = {.lex_state = 24},
  [3477] = {.lex_state = 24},
  [3478] = {.lex_state = 24},
  [3479] = {.lex_state = 24},
  [3480] = {.lex_state = 24},
  [3481] = {.lex_state = 0},
  [3482] = {.lex_state = 0},
  [3483] = {.lex_state = 0},
  [3484] = {.lex_state = 0},
  [3485] = {.lex_state = 0},
  [3486] = {.lex_state = 0},
  [3487] = {.lex_state = 0},
  [3488] = {.lex_state = 0},
  [3489] = {.lex_state = 0},
  [3490] = {.lex_state = 0},
  [3491] = {.lex_state = 0},
  [3492] = {.lex_state = 0},
  [3493] = {.lex_state = 0},
  [3494] = {.lex_state = 0},
  [3495] = {.lex_state = 0},
  [3496] = {.lex_state = 0},
  [3497] = {.lex_state = 0},
  [3498] = {.lex_state = 24},
  [3499] = {.lex_state = 24},
  [3500] = {.lex_state = 24},
  [3501] = {.lex_state = 24},
  [3502] = {.lex_state = 24},
  [3503] = {.lex_state = 24},
  [3504] = {.lex_state = 24},
  [3505] = {.lex_state = 24},
  [3506] = {.lex_state = 24},
  [3507] = {.lex_state = 24},
  [3508] = {.lex_state = 0},
  [3509] = {.lex_state = 0},
  [3510] = {.lex_state = 0},
  [3511] = {.lex_state = 0},
  [3512] = {.lex_state = 0},
  [3513] = {.lex_state = 0},
  [3514] = {.lex_state = 0},
  [3515] = {.lex_state = 0},
  [3516] = {.lex_state = 0},
  [3517] = {.lex_state = 0},
  [3518] = {.lex_state = 0},
  [3519] = {.lex_state = 0},
  [3520] = {.lex_state = 0},
  [3521] = {.lex_state = 0},
  [3522] = {.lex_state = 0},
  [3523] = {.lex_state = 0},
  [3524] = {.lex_state = 0},
  [3525] = {.lex_state = 0},
  [3526] = {.lex_state = 0},
  [3527] = {.lex_state = 0},
  [3528] = {.lex_state = 0},
  [3529] = {.lex_state = 26},
  [3530] = {.lex_state = 0},
  [3531] = {.lex_state = 0},
  [3532] = {.lex_state = 0},
  [3533] = {.lex_state = 0},
  [3534] = {.lex_state = 0},
  [3535] = {.lex_state = 0},
  [3536] = {.lex_state = 0},
  [3537] = {.lex_state = 0},
  [3538] = {.lex_state = 0},
  [3539] = {.lex_state = 0},
  [3540] = {.lex_state = 0},
  [3541] = {.lex_state = 0},
  [3542] = {.lex_state = 0},
  [3543] = {.lex_state = 0},
  [3544] = {.lex_state = 0},
  [3545] = {.lex_state = 0},
  [3546] = {.lex_state = 0},
  [3547] = {.lex_state = 0},
  [3548] = {.lex_state = 0},
  [3549] = {.lex_state = 30},
  [3550] = {.lex_state = 0},
  [3551] = {.lex_state = 0},
  [3552] = {.lex_state = 0},
  [3553] = {.lex_state = 0},
  [3554] = {.lex_state = 0},
  [3555] = {.lex_state = 0},
  [3556] = {.lex_state = 0},
  [3557] = {.lex_state = 0},
  [3558] = {.lex_state = 0},
  [3559] = {.lex_state = 0},
  [3560] = {.lex_state = 0},
  [3561] = {.lex_state = 0},
  [3562] = {.lex_state = 0},
  [3563] = {.lex_state = 0},
  [3564] = {.lex_state = 0},
  [3565] = {.lex_state = 0},
  [3566] = {.lex_state = 0},
  [3567] = {.lex_state = 0},
  [3568] = {.lex_state = 0},
  [3569] = {.lex_state = 0},
  [3570] = {.lex_state = 0},
  [3571] = {.lex_state = 0},
  [3572] = {.lex_state = 0},
  [3573] = {.lex_state = 0},
  [3574] = {.lex_state = 0},
  [3575] = {.lex_state = 0},
  [3576] = {.lex_state = 0},
  [3577] = {.lex_state = 0},
  [3578] = {.lex_state = 0},
  [3579] = {.lex_state = 0},
  [3580] = {.lex_state = 0},
  [3581] = {.lex_state = 26},
  [3582] = {.lex_state = 0},
  [3583] = {.lex_state = 0},
  [3584] = {.lex_state = 0},
  [3585] = {.lex_state = 0},
  [3586] = {.lex_state = 0},
  [3587] = {.lex_state = 0},
  [3588] = {.lex_state = 0},
  [3589] = {.lex_state = 0},
  [3590] = {.lex_state = 0},
  [3591] = {.lex_state = 0},
  [3592] = {.lex_state = 0},
  [3593] = {.lex_state = 0},
  [3594] = {.lex_state = 0},
  [3595] = {.lex_state = 0},
  [3596] = {.lex_state = 0},
  [3597] = {.lex_state = 0},
  [3598] = {.lex_state = 0},
  [3599] = {.lex_state = 0},
  [3600] = {.lex_state = 0},
  [3601] = {.lex_state = 0},
  [3602] = {.lex_state = 0},
  [3603] = {.lex_state = 0},
  [3604] = {.lex_state = 0},
  [3605] = {.lex_state = 0},
  [3606] = {.lex_state = 0},
  [3607] = {.lex_state = 0},
  [3608] = {.lex_state = 0},
  [3609] = {.lex_state = 0},
  [3610] = {.lex_state = 0},
  [3611] = {.lex_state = 0},
  [3612] = {.lex_state = 0},
  [3613] = {.lex_state = 0},
  [3614] = {.lex_state = 0},
  [3615] = {.lex_state = 0},
  [3616] = {.lex_state = 0},
  [3617] = {.lex_state = 0},
  [3618] = {.lex_state = 0},
  [3619] = {.lex_state = 0},
  [3620] = {.lex_state = 0},
  [3621] = {.lex_state = 0},
  [3622] = {.lex_state = 0},
  [3623] = {.lex_state = 0},
  [3624] = {.lex_state = 0},
  [3625] = {.lex_state = 0},
  [3626] = {.lex_state = 0},
  [3627] = {.lex_state = 0},
  [3628] = {.lex_state = 0},
  [3629] = {.lex_state = 0},
  [3630] = {.lex_state = 0},
  [3631] = {.lex_state = 0},
  [3632] = {.lex_state = 0},
  [3633] = {.lex_state = 0},
  [3634] = {.lex_state = 0},
  [3635] = {.lex_state = 0},
  [3636] = {.lex_state = 0},
  [3637] = {.lex_state = 0},
  [3638] = {.lex_state = 0},
  [3639] = {.lex_state = 0},
  [3640] = {.lex_state = 26},
  [3641] = {.lex_state = 0},
  [3642] = {.lex_state = 0},
  [3643] = {.lex_state = 0},
  [3644] = {.lex_state = 0},
  [3645] = {.lex_state = 0},
  [3646] = {.lex_state = 0},
  [3647] = {.lex_state = 0},
  [3648] = {.lex_state = 0},
  [3649] = {.lex_state = 0},
  [3650] = {.lex_state = 0},
  [3651] = {.lex_state = 0},
  [3652] = {.lex_state = 0},
  [3653] = {.lex_state = 0},
  [3654] = {.lex_state = 0},
  [3655] = {.lex_state = 0},
  [3656] = {.lex_state = 0},
  [3657] = {.lex_state = 0},
  [3658] = {.lex_state = 0},
  [3659] = {.lex_state = 0},
  [3660] = {.lex_state = 0},
  [3661] = {.lex_state = 0},
  [3662] = {.lex_state = 0},
  [3663] = {.lex_state = 0},
  [3664] = {.lex_state = 0},
  [3665] = {.lex_state = 0},
  [3666] = {.lex_state = 0},
  [3667] = {.lex_state = 0},
  [3668] = {.lex_state = 0},
  [3669] = {.lex_state = 0},
  [3670] = {.lex_state = 0},
  [3671] = {.lex_state = 0},
  [3672] = {.lex_state = 0},
  [3673] = {.lex_state = 0},
  [3674] = {.lex_state = 0},
  [3675] = {.lex_state = 0},
  [3676] = {.lex_state = 0},
  [3677] = {.lex_state = 0},
  [3678] = {.lex_state = 0},
  [3679] = {.lex_state = 0},
  [3680] = {.lex_state = 26},
  [3681] = {.lex_state = 0},
  [3682] = {.lex_state = 0},
  [3683] = {.lex_state = 26},
  [3684] = {.lex_state = 0},
  [3685] = {.lex_state = 0, .external_lex_state = 3},
  [3686] = {.lex_state = 0},
  [3687] = {.lex_state = 0},
  [3688] = {.lex_state = 26},
  [3689] = {.lex_state = 31},
  [3690] = {.lex_state = 0},
  [3691] = {.lex_state = 0},
  [3692] = {.lex_state = 0},
  [3693] = {.lex_state = 0},
  [3694] = {.lex_state = 0},
  [3695] = {.lex_state = 0},
  [3696] = {.lex_state = 0},
  [3697] = {.lex_state = 0},
  [3698] = {.lex_state = 0, .external_lex_state = 4},
  [3699] = {.lex_state = 0},
  [3700] = {.lex_state = 0},
  [3701] = {.lex_state = 0},
  [3702] = {.lex_state = 0},
  [3703] = {.lex_state = 26},
  [3704] = {.lex_state = 0},
  [3705] = {.lex_state = 0},
  [3706] = {.lex_state = 0},
  [3707] = {.lex_state = 0, .external_lex_state = 5},
  [3708] = {.lex_state = 26},
  [3709] = {.lex_state = 0},
  [3710] = {.lex_state = 0},
  [3711] = {.lex_state = 26},
  [3712] = {.lex_state = 0},
  [3713] = {.lex_state = 0, .external_lex_state = 6},
  [3714] = {.lex_state = 26},
  [3715] = {.lex_state = 35},
  [3716] = {.lex_state = 0},
  [3717] = {.lex_state = 0, .external_lex_state = 7},
  [3718] = {.lex_state = 0, .external_lex_state = 8},
  [3719] = {.lex_state = 0, .external_lex_state = 9},
  [3720] = {.lex_state = 0, .external_lex_state = 10},
  [3721] = {.lex_state = 0, .external_lex_state = 11},
  [3722] = {.lex_state = 0, .external_lex_state = 5},
  [3723] = {.lex_state = 0, .external_lex_state = 12},
  [3724] = {.lex_state = 0, .external_lex_state = 13},
  [3725] = {.lex_state = 0, .external_lex_state = 4},
  [3726] = {.lex_state = 0, .external_lex_state = 3},
  [3727] = {.lex_state = 0, .external_lex_state = 6},
  [3728] = {.lex_state = 0, .external_lex_state = 12},
  [3729] = {.lex_state = 0},
  [3730] = {.lex_state = 30},
  [3731] = {.lex_state = 0, .external_lex_state = 10},
  [3732] = {.lex_state = 0},
  [3733] = {.lex_state = 26},
  [3734] = {.lex_state = 26},
  [3735] = {.lex_state = 0},
  [3736] = {.lex_state = 0},
  [3737] = {.lex_state = 0},
  [3738] = {.lex_state = 0},
  [3739] = {.lex_state = 31},
  [3740] = {.lex_state = 0, .external_lex_state = 11},
  [3741] = {.lex_state = 0},
  [3742] = {.lex_state = 0, .external_lex_state = 3},
  [3743] = {.lex_state = 0},
  [3744] = {.lex_state = 0},
  [3745] = {.lex_state = 0},
  [3746] = {.lex_state = 26},
  [3747] = {.lex_state = 0},
  [3748] = {.lex_state = 0, .external_lex_state = 6},
  [3749] = {.lex_state = 0},
  [3750] = {.lex_state = 26},
  [3751] = {.lex_state = 0, .external_lex_state = 9},
  [3752] = {.lex_state = 0},
  [3753] = {.lex_state = 0, .external_lex_state = 7},
  [3754] = {.lex_state = 0},
  [3755] = {.lex_state = 0},
  [3756] = {.lex_state = 0, .external_lex_state = 5},
  [3757] = {.lex_state = 26},
  [3758] = {.lex_state = 0, .external_lex_state = 8},
  [3759] = {.lex_state = 30},
  [3760] = {.lex_state = 0},
  [3761] = {.lex_state = 0},
  [3762] = {.lex_state = 0},
  [3763] = {.lex_state = 0},
  [3764] = {.lex_state = 26},
  [3765] = {.lex_state = 0},
  [3766] = {.lex_state = 0},
  [3767] = {.lex_state = 0, .external_lex_state = 7},
  [3768] = {.lex_state = 0, .external_lex_state = 8},
  [3769] = {.lex_state = 0, .external_lex_state = 9},
  [3770] = {.lex_state = 0, .external_lex_state = 10},
  [3771] = {.lex_state = 0, .external_lex_state = 11},
  [3772] = {.lex_state = 0, .external_lex_state = 5},
  [3773] = {.lex_state = 0, .external_lex_state = 12},
  [3774] = {.lex_state = 0, .external_lex_state = 13},
  [3775] = {.lex_state = 0, .external_lex_state = 4},
  [3776] = {.lex_state = 0, .external_lex_state = 3},
  [3777] = {.lex_state = 0, .external_lex_state = 6},
  [3778] = {.lex_state = 0},
  [3779] = {.lex_state = 0},
  [3780] = {.lex_state = 30},
  [3781] = {.lex_state = 35},
  [3782] = {.lex_state = 30},
  [3783] = {.lex_state = 26},
  [3784] = {.lex_state = 0},
  [3785] = {.lex_state = 0},
  [3786] = {.lex_state = 0},
  [3787] = {.lex_state = 0},
  [3788] = {.lex_state = 26},
  [3789] = {.lex_state = 31},
  [3790] = {.lex_state = 0},
  [3791] = {.lex_state = 0},
  [3792] = {.lex_state = 0},
  [3793] = {.lex_state = 35},
  [3794] = {.lex_state = 0},
  [3795] = {.lex_state = 0},
  [3796] = {.lex_state = 0},
  [3797] = {.lex_state = 0},
  [3798] = {.lex_state = 0},
  [3799] = {.lex_state = 0},
  [3800] = {.lex_state = 0},
  [3801] = {.lex_state = 0},
  [3802] = {.lex_state = 0},
  [3803] = {.lex_state = 0},
  [3804] = {.lex_state = 0},
  [3805] = {.lex_state = 0},
  [3806] = {.lex_state = 0},
  [3807] = {.lex_state = 0},
  [3808] = {.lex_state = 0},
  [3809] = {.lex_state = 0},
  [3810] = {.lex_state = 0},
  [3811] = {.lex_state = 0},
  [3812] = {.lex_state = 26},
  [3813] = {.lex_state = 26},
  [3814] = {.lex_state = 0},
  [3815] = {.lex_state = 0},
  [3816] = {.lex_state = 0, .external_lex_state = 7},
  [3817] = {.lex_state = 26},
  [3818] = {.lex_state = 30},
  [3819] = {.lex_state = 0},
  [3820] = {.lex_state = 0},
  [3821] = {.lex_state = 26},
  [3822] = {.lex_state = 0, .external_lex_state = 8},
  [3823] = {.lex_state = 0},
  [3824] = {.lex_state = 0},
  [3825] = {.lex_state = 0, .external_lex_state = 9},
  [3826] = {.lex_state = 0, .external_lex_state = 10},
  [3827] = {.lex_state = 31},
  [3828] = {.lex_state = 0, .external_lex_state = 11},
  [3829] = {.lex_state = 0, .external_lex_state = 5},
  [3830] = {.lex_state = 0, .external_lex_state = 12},
  [3831] = {.lex_state = 0, .external_lex_state = 13},
  [3832] = {.lex_state = 0, .external_lex_state = 4},
  [3833] = {.lex_state = 0, .external_lex_state = 3},
  [3834] = {.lex_state = 0, .external_lex_state = 6},
  [3835] = {.lex_state = 0},
  [3836] = {.lex_state = 0},
  [3837] = {.lex_state = 30},
  [3838] = {.lex_state = 0},
  [3839] = {.lex_state = 0},
  [3840] = {.lex_state = 0},
  [3841] = {.lex_state = 26},
  [3842] = {.lex_state = 26},
  [3843] = {.lex_state = 0},
  [3844] = {.lex_state = 0},
  [3845] = {.lex_state = 30},
  [3846] = {.lex_state = 0, .external_lex_state = 10},
  [3847] = {.lex_state = 0},
  [3848] = {.lex_state = 26},
  [3849] = {.lex_state = 26},
  [3850] = {.lex_state = 35},
  [3851] = {.lex_state = 0},
  [3852] = {.lex_state = 31},
  [3853] = {.lex_state = 0},
  [3854] = {.lex_state = 31},
  [3855] = {.lex_state = 0},
  [3856] = {.lex_state = 0},
  [3857] = {.lex_state = 0},
  [3858] = {.lex_state = 0},
  [3859] = {.lex_state = 0},
  [3860] = {.lex_state = 0},
  [3861] = {.lex_state = 0},
  [3862] = {.lex_state = 0},
  [3863] = {.lex_state = 0},
  [3864] = {.lex_state = 0},
  [3865] = {.lex_state = 0},
  [3866] = {.lex_state = 26},
  [3867] = {.lex_state = 0},
  [3868] = {.lex_state = 30},
  [3869] = {.lex_state = 0},
  [3870] = {.lex_state = 0},
  [3871] = {.lex_state = 30},
  [3872] = {.lex_state = 0},
  [3873] = {.lex_state = 0, .external_lex_state = 13},
  [3874] = {.lex_state = 26},
  [3875] = {.lex_state = 26},
  [3876] = {.lex_state = 26},
  [3877] = {.lex_state = 0},
  [3878] = {.lex_state = 26},
  [3879] = {.lex_state = 0, .external_lex_state = 11},
  [3880] = {.lex_state = 31},
  [3881] = {.lex_state = 26},
  [3882] = {.lex_state = 26},
  [3883] = {.lex_state = 0, .external_lex_state = 7},
  [3884] = {.lex_state = 0, .external_lex_state = 8},
  [3885] = {.lex_state = 26},
  [3886] = {.lex_state = 0, .external_lex_state = 12},
  [3887] = {.lex_state = 0},
  [3888] = {.lex_state = 0, .external_lex_state = 7},
  [3889] = {.lex_state = 26},
  [3890] = {.lex_state = 0, .external_lex_state = 8},
  [3891] = {.lex_state = 0, .external_lex_state = 9},
  [3892] = {.lex_state = 0, .external_lex_state = 10},
  [3893] = {.lex_state = 0, .external_lex_state = 11},
  [3894] = {.lex_state = 0},
  [3895] = {.lex_state = 0, .external_lex_state = 5},
  [3896] = {.lex_state = 0, .external_lex_state = 12},
  [3897] = {.lex_state = 0, .external_lex_state = 13},
  [3898] = {.lex_state = 0, .external_lex_state = 4},
  [3899] = {.lex_state = 0, .external_lex_state = 3},
  [3900] = {.lex_state = 0, .external_lex_state = 6},
  [3901] = {.lex_state = 0, .external_lex_state = 10},
  [3902] = {.lex_state = 0, .external_lex_state = 9},
  [3903] = {.lex_state = 30},
  [3904] = {.lex_state = 26},
  [3905] = {.lex_state = 35},
  [3906] = {.lex_state = 26},
  [3907] = {.lex_state = 0},
  [3908] = {.lex_state = 0},
  [3909] = {.lex_state = 0},
  [3910] = {.lex_state = 0, .external_lex_state = 4},
  [3911] = {.lex_state = 0},
  [3912] = {.lex_state = 31},
  [3913] = {.lex_state = 0},
  [3914] = {.lex_state = 35},
  [3915] = {.lex_state = 0},
  [3916] = {.lex_state = 0},
  [3917] = {.lex_state = 0, .external_lex_state = 3},
  [3918] = {.lex_state = 35},
  [3919] = {.lex_state = 26},
  [3920] = {.lex_state = 0},
  [3921] = {.lex_state = 0},
  [3922] = {.lex_state = 0},
  [3923] = {.lex_state = 0},
  [3924] = {.lex_state = 0},
  [3925] = {.lex_state = 0},
  [3926] = {.lex_state = 0},
  [3927] = {.lex_state = 0},
  [3928] = {.lex_state = 0},
  [3929] = {.lex_state = 0},
  [3930] = {.lex_state = 0},
  [3931] = {.lex_state = 0},
  [3932] = {.lex_state = 0},
  [3933] = {.lex_state = 26},
  [3934] = {.lex_state = 0},
  [3935] = {.lex_state = 0},
  [3936] = {.lex_state = 35},
  [3937] = {.lex_state = 26},
  [3938] = {.lex_state = 0},
  [3939] = {.lex_state = 0},
  [3940] = {.lex_state = 0, .external_lex_state = 7},
  [3941] = {.lex_state = 0, .external_lex_state = 8},
  [3942] = {.lex_state = 0, .external_lex_state = 9},
  [3943] = {.lex_state = 0, .external_lex_state = 10},
  [3944] = {.lex_state = 0, .external_lex_state = 11},
  [3945] = {.lex_state = 0, .external_lex_state = 5},
  [3946] = {.lex_state = 0, .external_lex_state = 12},
  [3947] = {.lex_state = 0, .external_lex_state = 13},
  [3948] = {.lex_state = 0, .external_lex_state = 4},
  [3949] = {.lex_state = 0, .external_lex_state = 3},
  [3950] = {.lex_state = 0, .external_lex_state = 6},
  [3951] = {.lex_state = 0, .external_lex_state = 9},
  [3952] = {.lex_state = 0},
  [3953] = {.lex_state = 30},
  [3954] = {.lex_state = 28},
  [3955] = {.lex_state = 0, .external_lex_state = 7},
  [3956] = {.lex_state = 26},
  [3957] = {.lex_state = 0},
  [3958] = {.lex_state = 0},
  [3959] = {.lex_state = 0, .external_lex_state = 8},
  [3960] = {.lex_state = 0, .external_lex_state = 6},
  [3961] = {.lex_state = 31},
  [3962] = {.lex_state = 31},
  [3963] = {.lex_state = 35},
  [3964] = {.lex_state = 0},
  [3965] = {.lex_state = 0, .external_lex_state = 11},
  [3966] = {.lex_state = 0},
  [3967] = {.lex_state = 0, .external_lex_state = 13},
  [3968] = {.lex_state = 35},
  [3969] = {.lex_state = 0, .external_lex_state = 10},
  [3970] = {.lex_state = 0},
  [3971] = {.lex_state = 35},
  [3972] = {.lex_state = 0, .external_lex_state = 5},
  [3973] = {.lex_state = 0},
  [3974] = {.lex_state = 0},
  [3975] = {.lex_state = 0},
  [3976] = {.lex_state = 0},
  [3977] = {.lex_state = 0},
  [3978] = {.lex_state = 0},
  [3979] = {.lex_state = 0},
  [3980] = {.lex_state = 0},
  [3981] = {.lex_state = 0},
  [3982] = {.lex_state = 0},
  [3983] = {.lex_state = 0},
  [3984] = {.lex_state = 0},
  [3985] = {.lex_state = 0},
  [3986] = {.lex_state = 0},
  [3987] = {.lex_state = 0},
  [3988] = {.lex_state = 0},
  [3989] = {.lex_state = 26},
  [3990] = {.lex_state = 0},
  [3991] = {.lex_state = 0},
  [3992] = {.lex_state = 0},
  [3993] = {.lex_state = 0, .external_lex_state = 12},
  [3994] = {.lex_state = 0},
  [3995] = {.lex_state = 0},
  [3996] = {.lex_state = 26},
  [3997] = {.lex_state = 0},
  [3998] = {.lex_state = 0},
  [3999] = {.lex_state = 0},
  [4000] = {.lex_state = 0},
  [4001] = {.lex_state = 0, .external_lex_state = 7},
  [4002] = {.lex_state = 0, .external_lex_state = 8},
  [4003] = {.lex_state = 0},
  [4004] = {.lex_state = 0, .external_lex_state = 9},
  [4005] = {.lex_state = 0, .external_lex_state = 10},
  [4006] = {.lex_state = 0},
  [4007] = {.lex_state = 0, .external_lex_state = 11},
  [4008] = {.lex_state = 0, .external_lex_state = 5},
  [4009] = {.lex_state = 0},
  [4010] = {.lex_state = 0, .external_lex_state = 12},
  [4011] = {.lex_state = 0, .external_lex_state = 13},
  [4012] = {.lex_state = 0, .external_lex_state = 4},
  [4013] = {.lex_state = 0, .external_lex_state = 3},
  [4014] = {.lex_state = 0, .external_lex_state = 6},
  [4015] = {.lex_state = 0, .external_lex_state = 13},
  [4016] = {.lex_state = 0, .external_lex_state = 4},
  [4017] = {.lex_state = 26},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_command_name] = ACTIONS(1),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1),
    [anon_sym_BSLASHfi] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_BSLASHpart] = ACTIONS(1),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(1),
    [anon_sym_BSLASHaddpart] = ACTIONS(1),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(1),
    [anon_sym_BSLASHchapter] = ACTIONS(1),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(1),
    [anon_sym_BSLASHaddchap] = ACTIONS(1),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(1),
    [anon_sym_BSLASHsection] = ACTIONS(1),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(1),
    [anon_sym_BSLASHaddsec] = ACTIONS(1),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(1),
    [anon_sym_BSLASHsubsection] = ACTIONS(1),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(1),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(1),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(1),
    [anon_sym_BSLASHparagraph] = ACTIONS(1),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(1),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(1),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(1),
    [anon_sym_BSLASHitem] = ACTIONS(1),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_BSLASHand] = ACTIONS(1),
    [sym_word] = ACTIONS(1),
    [sym_placeholder] = ACTIONS(1),
    [sym_delimiter] = ACTIONS(1),
    [sym_argc] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym_letter] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(1),
    [anon_sym_BSLASHleft] = ACTIONS(1),
    [anon_sym_BSLASHbigl] = ACTIONS(1),
    [anon_sym_BSLASHBigl] = ACTIONS(1),
    [anon_sym_BSLASHbiggl] = ACTIONS(1),
    [anon_sym_BSLASHBiggl] = ACTIONS(1),
    [anon_sym_BSLASHright] = ACTIONS(1),
    [anon_sym_BSLASHbigr] = ACTIONS(1),
    [anon_sym_BSLASHBigr] = ACTIONS(1),
    [anon_sym_BSLASHbiggr] = ACTIONS(1),
    [anon_sym_BSLASHBiggr] = ACTIONS(1),
    [anon_sym_BSLASHtext] = ACTIONS(1),
    [anon_sym_BSLASHintertext] = ACTIONS(1),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1),
    [anon_sym_BSLASHbegin] = ACTIONS(1),
    [anon_sym_BSLASHend] = ACTIONS(1),
    [anon_sym_BSLASHtitle] = ACTIONS(1),
    [anon_sym_BSLASHauthor] = ACTIONS(1),
    [anon_sym_BSLASHusepackage] = ACTIONS(1),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1),
    [anon_sym_BSLASHinclude] = ACTIONS(1),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1),
    [anon_sym_BSLASHinput] = ACTIONS(1),
    [anon_sym_BSLASHsubfile] = ACTIONS(1),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1),
    [anon_sym_BSLASHbibliography] = ACTIONS(1),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1),
    [anon_sym_BSLASHimport] = ACTIONS(1),
    [anon_sym_BSLASHsubimport] = ACTIONS(1),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1),
    [anon_sym_BSLASHcaption] = ACTIONS(1),
    [anon_sym_BSLASHcite] = ACTIONS(1),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1),
    [anon_sym_BSLASHCite] = ACTIONS(1),
    [anon_sym_BSLASHnocite] = ACTIONS(1),
    [anon_sym_BSLASHcitet] = ACTIONS(1),
    [anon_sym_BSLASHcitep] = ACTIONS(1),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1),
    [anon_sym_BSLASHciteA] = ACTIONS(1),
    [anon_sym_BSLASHciteR] = ACTIONS(1),
    [anon_sym_BSLASHciteS] = ACTIONS(1),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1),
    [anon_sym_BSLASHciteyear] = ACTIONS(1),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1),
    [anon_sym_BSLASHcitedate] = ACTIONS(1),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1),
    [anon_sym_BSLASHciteurl] = ACTIONS(1),
    [anon_sym_BSLASHfullcite] = ACTIONS(1),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1),
    [anon_sym_BSLASHcitealt] = ACTIONS(1),
    [anon_sym_BSLASHcitealp] = ACTIONS(1),
    [anon_sym_BSLASHcitetext] = ACTIONS(1),
    [anon_sym_BSLASHparencite] = ACTIONS(1),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1),
    [anon_sym_BSLASHParencite] = ACTIONS(1),
    [anon_sym_BSLASHfootcite] = ACTIONS(1),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1),
    [anon_sym_BSLASHtextcite] = ACTIONS(1),
    [anon_sym_BSLASHTextcite] = ACTIONS(1),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1),
    [anon_sym_BSLASHsupercite] = ACTIONS(1),
    [anon_sym_BSLASHautocite] = ACTIONS(1),
    [anon_sym_BSLASHAutocite] = ACTIONS(1),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1),
    [anon_sym_BSLASHvolcite] = ACTIONS(1),
    [anon_sym_BSLASHVolcite] = ACTIONS(1),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1),
    [anon_sym_BSLASHavolcite] = ACTIONS(1),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1),
    [anon_sym_BSLASHnotecite] = ACTIONS(1),
    [anon_sym_BSLASHNotecite] = ACTIONS(1),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1),
    [anon_sym_BSLASHlabel] = ACTIONS(1),
    [anon_sym_BSLASHref] = ACTIONS(1),
    [anon_sym_BSLASHeqref] = ACTIONS(1),
    [anon_sym_BSLASHvref] = ACTIONS(1),
    [anon_sym_BSLASHVref] = ACTIONS(1),
    [anon_sym_BSLASHautoref] = ACTIONS(1),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1),
    [anon_sym_BSLASHpageref] = ACTIONS(1),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1),
    [anon_sym_BSLASHautopageref] = ACTIONS(1),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1),
    [anon_sym_BSLASHcref] = ACTIONS(1),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1),
    [anon_sym_BSLASHCref] = ACTIONS(1),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1),
    [anon_sym_BSLASHcpageref] = ACTIONS(1),
    [anon_sym_BSLASHCpageref] = ACTIONS(1),
    [anon_sym_BSLASHnamecref] = ACTIONS(1),
    [anon_sym_BSLASHnameCref] = ACTIONS(1),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1),
    [anon_sym_BSLASHdef] = ACTIONS(1),
    [anon_sym_BSLASHgdef] = ACTIONS(1),
    [anon_sym_BSLASHedef] = ACTIONS(1),
    [anon_sym_BSLASHxdef] = ACTIONS(1),
    [anon_sym_BSLASHlet] = ACTIONS(1),
    [anon_sym_BSLASHglet] = ACTIONS(1),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1),
    [anon_sym_BSLASHgls] = ACTIONS(1),
    [anon_sym_BSLASHGls] = ACTIONS(1),
    [anon_sym_BSLASHGLS] = ACTIONS(1),
    [anon_sym_BSLASHglspl] = ACTIONS(1),
    [anon_sym_BSLASHGlspl] = ACTIONS(1),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1),
    [anon_sym_BSLASHglslink] = ACTIONS(1),
    [anon_sym_BSLASHglstext] = ACTIONS(1),
    [anon_sym_BSLASHGlstext] = ACTIONS(1),
    [anon_sym_BSLASHGLStext] = ACTIONS(1),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1),
    [anon_sym_BSLASHglsplural] = ACTIONS(1),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1),
    [anon_sym_BSLASHglsname] = ACTIONS(1),
    [anon_sym_BSLASHGlsname] = ACTIONS(1),
    [anon_sym_BSLASHGLSname] = ACTIONS(1),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1),
    [anon_sym_BSLASHacrshort] = ACTIONS(1),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1),
    [anon_sym_BSLASHACRshort] = ACTIONS(1),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1),
    [anon_sym_BSLASHacrlong] = ACTIONS(1),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1),
    [anon_sym_BSLASHACRlong] = ACTIONS(1),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1),
    [anon_sym_BSLASHacrfull] = ACTIONS(1),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1),
    [anon_sym_BSLASHACRfull] = ACTIONS(1),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1),
    [anon_sym_BSLASHacs] = ACTIONS(1),
    [anon_sym_BSLASHAcs] = ACTIONS(1),
    [anon_sym_BSLASHacsp] = ACTIONS(1),
    [anon_sym_BSLASHAcsp] = ACTIONS(1),
    [anon_sym_BSLASHacl] = ACTIONS(1),
    [anon_sym_BSLASHAcl] = ACTIONS(1),
    [anon_sym_BSLASHaclp] = ACTIONS(1),
    [anon_sym_BSLASHAclp] = ACTIONS(1),
    [anon_sym_BSLASHacf] = ACTIONS(1),
    [anon_sym_BSLASHAcf] = ACTIONS(1),
    [anon_sym_BSLASHacfp] = ACTIONS(1),
    [anon_sym_BSLASHAcfp] = ACTIONS(1),
    [anon_sym_BSLASHac] = ACTIONS(1),
    [anon_sym_BSLASHAc] = ACTIONS(1),
    [anon_sym_BSLASHacp] = ACTIONS(1),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1),
    [anon_sym_BSLASHcolor] = ACTIONS(1),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1),
    [anon_sym_BSLASHurl] = ACTIONS(1),
    [anon_sym_BSLASHhref] = ACTIONS(1),
    [sym__trivia_raw_fi] = ACTIONS(1),
    [sym__trivia_raw_env_comment] = ACTIONS(1),
    [sym__trivia_raw_env_verbatim] = ACTIONS(1),
    [sym__trivia_raw_env_listing] = ACTIONS(1),
    [sym__trivia_raw_env_minted] = ACTIONS(1),
    [sym__trivia_raw_env_asy] = ACTIONS(1),
    [sym__trivia_raw_env_asydef] = ACTIONS(1),
    [sym__trivia_raw_env_pycode] = ACTIONS(1),
    [sym__trivia_raw_env_luacode] = ACTIONS(1),
    [sym__trivia_raw_env_luacode_star] = ACTIONS(1),
    [sym__trivia_raw_env_sagesilent] = ACTIONS(1),
    [sym__trivia_raw_env_sageblock] = ACTIONS(1),
  },
  [1] = {
    [sym_source_file] = STATE(3704),
    [sym_block_comment] = STATE(75),
    [sym__root_content] = STATE(75),
    [sym__flat_content] = STATE(75),
    [sym__text_with_env_content] = STATE(75),
    [sym__text_content] = STATE(75),
    [sym__section] = STATE(75),
    [sym__paragraph] = STATE(75),
    [sym__part_declaration] = STATE(161),
    [sym_part] = STATE(509),
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(512),
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(515),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(516),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(519),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(75),
    [sym_text] = STATE(75),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(75),
    [sym_displayed_equation] = STATE(75),
    [sym_inline_formula] = STATE(75),
    [sym_math_delimiter] = STATE(75),
    [sym_text_mode] = STATE(75),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(75),
    [sym_comment_environment] = STATE(75),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(75),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(75),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(75),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(75),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(75),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(75),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(75),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(75),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(75),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(75),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(75),
    [sym_generic_command] = STATE(75),
    [sym_title_declaration] = STATE(75),
    [sym_author_declaration] = STATE(75),
    [sym_package_include] = STATE(75),
    [sym_class_include] = STATE(75),
    [sym_latex_include] = STATE(75),
    [sym_biblatex_include] = STATE(75),
    [sym_bibstyle_include] = STATE(75),
    [sym_bibtex_include] = STATE(75),
    [sym_graphics_include] = STATE(75),
    [sym_svg_include] = STATE(75),
    [sym_inkscape_include] = STATE(75),
    [sym_verbatim_include] = STATE(75),
    [sym_import_include] = STATE(75),
    [sym_caption] = STATE(75),
    [sym_citation] = STATE(75),
    [sym_label_definition] = STATE(75),
    [sym_label_reference] = STATE(75),
    [sym_label_reference_range] = STATE(75),
    [sym_label_number] = STATE(75),
    [sym_new_command_definition] = STATE(75),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(75),
    [sym_let_command_definition] = STATE(75),
    [sym_paired_delimiter_definition] = STATE(75),
    [sym_environment_definition] = STATE(75),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(75),
    [sym_glossary_entry_reference] = STATE(75),
    [sym_acronym_definition] = STATE(75),
    [sym_acronym_reference] = STATE(75),
    [sym_theorem_definition] = STATE(75),
    [sym_color_definition] = STATE(75),
    [sym_color_set_definition] = STATE(75),
    [sym_color_reference] = STATE(75),
    [sym_tikz_library_import] = STATE(75),
    [sym_hyperlink] = STATE(75),
    [aux_sym_source_file_repeat1] = STATE(75),
    [aux_sym__section_repeat1] = STATE(509),
    [aux_sym__section_repeat2] = STATE(512),
    [aux_sym__section_repeat3] = STATE(515),
    [aux_sym__section_repeat4] = STATE(516),
    [aux_sym__section_repeat5] = STATE(519),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_text_repeat1] = STATE(266),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(11),
    [anon_sym_RBRACK] = ACTIONS(11),
    [anon_sym_COMMA] = ACTIONS(11),
    [anon_sym_EQ] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_RPAREN] = ACTIONS(11),
    [anon_sym_BSLASHpart] = ACTIONS(13),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHaddpart] = ACTIONS(13),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [2] = {
    [sym_block_comment] = STATE(97),
    [sym__root_content] = STATE(97),
    [sym__flat_content] = STATE(97),
    [sym__text_with_env_content] = STATE(97),
    [sym__text_content] = STATE(97),
    [sym__section] = STATE(97),
    [sym__paragraph] = STATE(97),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(97),
    [sym_text] = STATE(97),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(97),
    [sym_displayed_equation] = STATE(97),
    [sym_inline_formula] = STATE(97),
    [sym_math_delimiter] = STATE(97),
    [sym_text_mode] = STATE(97),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(97),
    [sym_comment_environment] = STATE(97),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(97),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(97),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(97),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(97),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(97),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(97),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(97),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(97),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(97),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(97),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(97),
    [sym_generic_command] = STATE(97),
    [sym_title_declaration] = STATE(97),
    [sym_author_declaration] = STATE(97),
    [sym_package_include] = STATE(97),
    [sym_class_include] = STATE(97),
    [sym_latex_include] = STATE(97),
    [sym_biblatex_include] = STATE(97),
    [sym_bibstyle_include] = STATE(97),
    [sym_bibtex_include] = STATE(97),
    [sym_graphics_include] = STATE(97),
    [sym_svg_include] = STATE(97),
    [sym_inkscape_include] = STATE(97),
    [sym_verbatim_include] = STATE(97),
    [sym_import_include] = STATE(97),
    [sym_caption] = STATE(97),
    [sym_citation] = STATE(97),
    [sym_label_definition] = STATE(97),
    [sym_label_reference] = STATE(97),
    [sym_label_reference_range] = STATE(97),
    [sym_label_number] = STATE(97),
    [sym_new_command_definition] = STATE(97),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(97),
    [sym_let_command_definition] = STATE(97),
    [sym_paired_delimiter_definition] = STATE(97),
    [sym_environment_definition] = STATE(97),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(97),
    [sym_glossary_entry_reference] = STATE(97),
    [sym_acronym_definition] = STATE(97),
    [sym_acronym_reference] = STATE(97),
    [sym_theorem_definition] = STATE(97),
    [sym_color_definition] = STATE(97),
    [sym_color_set_definition] = STATE(97),
    [sym_color_reference] = STATE(97),
    [sym_tikz_library_import] = STATE(97),
    [sym_hyperlink] = STATE(97),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(157),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(157),
    [anon_sym_LBRACK] = ACTIONS(159),
    [anon_sym_RBRACK] = ACTIONS(159),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_RPAREN] = ACTIONS(159),
    [anon_sym_BSLASHpart] = ACTIONS(157),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddpart] = ACTIONS(157),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(159),
    [anon_sym_BSLASHchapter] = ACTIONS(157),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddchap] = ACTIONS(157),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsection] = ACTIONS(157),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddsec] = ACTIONS(157),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubsection] = ACTIONS(157),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(157),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHparagraph] = ACTIONS(157),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(157),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(159),
    [anon_sym_BSLASHitem] = ACTIONS(157),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(159),
    [anon_sym_LBRACE] = ACTIONS(159),
    [sym_word] = ACTIONS(157),
    [sym_placeholder] = ACTIONS(159),
    [sym_delimiter] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_SLASH] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(157),
    [anon_sym_GT] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(157),
    [anon_sym_PIPE] = ACTIONS(157),
    [anon_sym_COLON] = ACTIONS(157),
    [anon_sym_SQUOTE] = ACTIONS(157),
    [anon_sym__] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(159),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(159),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(161),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(159),
    [anon_sym_BSLASHleft] = ACTIONS(157),
    [anon_sym_BSLASHbigl] = ACTIONS(157),
    [anon_sym_BSLASHBigl] = ACTIONS(157),
    [anon_sym_BSLASHbiggl] = ACTIONS(157),
    [anon_sym_BSLASHBiggl] = ACTIONS(157),
    [anon_sym_BSLASHright] = ACTIONS(157),
    [anon_sym_BSLASHbigr] = ACTIONS(157),
    [anon_sym_BSLASHBigr] = ACTIONS(157),
    [anon_sym_BSLASHbiggr] = ACTIONS(157),
    [anon_sym_BSLASHBiggr] = ACTIONS(157),
    [anon_sym_BSLASHtext] = ACTIONS(157),
    [anon_sym_BSLASHintertext] = ACTIONS(157),
    [anon_sym_BSLASHshortintertext] = ACTIONS(157),
    [anon_sym_BSLASHbegin] = ACTIONS(157),
    [anon_sym_BSLASHtitle] = ACTIONS(157),
    [anon_sym_BSLASHauthor] = ACTIONS(157),
    [anon_sym_BSLASHusepackage] = ACTIONS(157),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(157),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(157),
    [anon_sym_BSLASHinclude] = ACTIONS(157),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(157),
    [anon_sym_BSLASHinput] = ACTIONS(157),
    [anon_sym_BSLASHsubfile] = ACTIONS(157),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(157),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(157),
    [anon_sym_BSLASHbibliography] = ACTIONS(157),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(157),
    [anon_sym_BSLASHincludesvg] = ACTIONS(157),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(157),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(157),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(157),
    [anon_sym_BSLASHimport] = ACTIONS(157),
    [anon_sym_BSLASHsubimport] = ACTIONS(157),
    [anon_sym_BSLASHinputfrom] = ACTIONS(157),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(157),
    [anon_sym_BSLASHincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHcaption] = ACTIONS(157),
    [anon_sym_BSLASHcite] = ACTIONS(157),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCite] = ACTIONS(157),
    [anon_sym_BSLASHnocite] = ACTIONS(157),
    [anon_sym_BSLASHcitet] = ACTIONS(157),
    [anon_sym_BSLASHcitep] = ACTIONS(157),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteA] = ACTIONS(157),
    [anon_sym_BSLASHciteR] = ACTIONS(157),
    [anon_sym_BSLASHciteS] = ACTIONS(157),
    [anon_sym_BSLASHciteyearR] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(157),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitetitle] = ACTIONS(157),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteyear] = ACTIONS(157),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitedate] = ACTIONS(157),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteurl] = ACTIONS(157),
    [anon_sym_BSLASHfullcite] = ACTIONS(157),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(157),
    [anon_sym_BSLASHcitealt] = ACTIONS(157),
    [anon_sym_BSLASHcitealp] = ACTIONS(157),
    [anon_sym_BSLASHcitetext] = ACTIONS(157),
    [anon_sym_BSLASHparencite] = ACTIONS(157),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHParencite] = ACTIONS(157),
    [anon_sym_BSLASHfootcite] = ACTIONS(157),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(157),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(157),
    [anon_sym_BSLASHtextcite] = ACTIONS(157),
    [anon_sym_BSLASHTextcite] = ACTIONS(157),
    [anon_sym_BSLASHsmartcite] = ACTIONS(157),
    [anon_sym_BSLASHSmartcite] = ACTIONS(157),
    [anon_sym_BSLASHsupercite] = ACTIONS(157),
    [anon_sym_BSLASHautocite] = ACTIONS(157),
    [anon_sym_BSLASHAutocite] = ACTIONS(157),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHvolcite] = ACTIONS(157),
    [anon_sym_BSLASHVolcite] = ACTIONS(157),
    [anon_sym_BSLASHpvolcite] = ACTIONS(157),
    [anon_sym_BSLASHPvolcite] = ACTIONS(157),
    [anon_sym_BSLASHfvolcite] = ACTIONS(157),
    [anon_sym_BSLASHftvolcite] = ACTIONS(157),
    [anon_sym_BSLASHsvolcite] = ACTIONS(157),
    [anon_sym_BSLASHSvolcite] = ACTIONS(157),
    [anon_sym_BSLASHtvolcite] = ACTIONS(157),
    [anon_sym_BSLASHTvolcite] = ACTIONS(157),
    [anon_sym_BSLASHavolcite] = ACTIONS(157),
    [anon_sym_BSLASHAvolcite] = ACTIONS(157),
    [anon_sym_BSLASHnotecite] = ACTIONS(157),
    [anon_sym_BSLASHNotecite] = ACTIONS(157),
    [anon_sym_BSLASHpnotecite] = ACTIONS(157),
    [anon_sym_BSLASHPnotecite] = ACTIONS(157),
    [anon_sym_BSLASHfnotecite] = ACTIONS(157),
    [anon_sym_BSLASHlabel] = ACTIONS(157),
    [anon_sym_BSLASHref] = ACTIONS(157),
    [anon_sym_BSLASHeqref] = ACTIONS(157),
    [anon_sym_BSLASHvref] = ACTIONS(157),
    [anon_sym_BSLASHVref] = ACTIONS(157),
    [anon_sym_BSLASHautoref] = ACTIONS(157),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpageref] = ACTIONS(157),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHautopageref] = ACTIONS(157),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcref] = ACTIONS(157),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCref] = ACTIONS(157),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpageref] = ACTIONS(157),
    [anon_sym_BSLASHCpageref] = ACTIONS(157),
    [anon_sym_BSLASHnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnameCref] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcrefrange] = ACTIONS(157),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCrefrange] = ACTIONS(157),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHnewlabel] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(157),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(157),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(157),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(159),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHdef] = ACTIONS(157),
    [anon_sym_BSLASHgdef] = ACTIONS(157),
    [anon_sym_BSLASHedef] = ACTIONS(157),
    [anon_sym_BSLASHxdef] = ACTIONS(157),
    [anon_sym_BSLASHlet] = ACTIONS(157),
    [anon_sym_BSLASHglet] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(157),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(157),
    [anon_sym_BSLASHgls] = ACTIONS(157),
    [anon_sym_BSLASHGls] = ACTIONS(157),
    [anon_sym_BSLASHGLS] = ACTIONS(157),
    [anon_sym_BSLASHglspl] = ACTIONS(157),
    [anon_sym_BSLASHGlspl] = ACTIONS(157),
    [anon_sym_BSLASHGLSpl] = ACTIONS(157),
    [anon_sym_BSLASHglsdisp] = ACTIONS(157),
    [anon_sym_BSLASHglslink] = ACTIONS(157),
    [anon_sym_BSLASHglstext] = ACTIONS(157),
    [anon_sym_BSLASHGlstext] = ACTIONS(157),
    [anon_sym_BSLASHGLStext] = ACTIONS(157),
    [anon_sym_BSLASHglsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(157),
    [anon_sym_BSLASHglsplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSplural] = ACTIONS(157),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHglsname] = ACTIONS(157),
    [anon_sym_BSLASHGlsname] = ACTIONS(157),
    [anon_sym_BSLASHGLSname] = ACTIONS(157),
    [anon_sym_BSLASHglssymbol] = ACTIONS(157),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(157),
    [anon_sym_BSLASHglsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(157),
    [anon_sym_BSLASHglsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(157),
    [anon_sym_BSLASHglsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(157),
    [anon_sym_BSLASHglsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(157),
    [anon_sym_BSLASHglsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(157),
    [anon_sym_BSLASHnewacronym] = ACTIONS(157),
    [anon_sym_BSLASHacrshort] = ACTIONS(157),
    [anon_sym_BSLASHAcrshort] = ACTIONS(157),
    [anon_sym_BSLASHACRshort] = ACTIONS(157),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(157),
    [anon_sym_BSLASHacrlong] = ACTIONS(157),
    [anon_sym_BSLASHAcrlong] = ACTIONS(157),
    [anon_sym_BSLASHACRlong] = ACTIONS(157),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(157),
    [anon_sym_BSLASHacrfull] = ACTIONS(157),
    [anon_sym_BSLASHAcrfull] = ACTIONS(157),
    [anon_sym_BSLASHACRfull] = ACTIONS(157),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(157),
    [anon_sym_BSLASHacs] = ACTIONS(157),
    [anon_sym_BSLASHAcs] = ACTIONS(157),
    [anon_sym_BSLASHacsp] = ACTIONS(157),
    [anon_sym_BSLASHAcsp] = ACTIONS(157),
    [anon_sym_BSLASHacl] = ACTIONS(157),
    [anon_sym_BSLASHAcl] = ACTIONS(157),
    [anon_sym_BSLASHaclp] = ACTIONS(157),
    [anon_sym_BSLASHAclp] = ACTIONS(157),
    [anon_sym_BSLASHacf] = ACTIONS(157),
    [anon_sym_BSLASHAcf] = ACTIONS(157),
    [anon_sym_BSLASHacfp] = ACTIONS(157),
    [anon_sym_BSLASHAcfp] = ACTIONS(157),
    [anon_sym_BSLASHac] = ACTIONS(157),
    [anon_sym_BSLASHAc] = ACTIONS(157),
    [anon_sym_BSLASHacp] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(157),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(157),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(157),
    [anon_sym_BSLASHcolor] = ACTIONS(157),
    [anon_sym_BSLASHpagecolor] = ACTIONS(157),
    [anon_sym_BSLASHtextcolor] = ACTIONS(157),
    [anon_sym_BSLASHmathcolor] = ACTIONS(157),
    [anon_sym_BSLASHcolorbox] = ACTIONS(157),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(157),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(157),
    [anon_sym_BSLASHurl] = ACTIONS(157),
    [anon_sym_BSLASHhref] = ACTIONS(157),
  },
  [3] = {
    [sym_block_comment] = STATE(104),
    [sym__root_content] = STATE(104),
    [sym__flat_content] = STATE(104),
    [sym__text_with_env_content] = STATE(104),
    [sym__text_content] = STATE(104),
    [sym__section] = STATE(104),
    [sym__paragraph] = STATE(104),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(104),
    [sym_text] = STATE(104),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(104),
    [sym_displayed_equation] = STATE(104),
    [sym_inline_formula] = STATE(104),
    [sym_math_delimiter] = STATE(104),
    [sym_text_mode] = STATE(104),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(104),
    [sym_comment_environment] = STATE(104),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(104),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(104),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(104),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(104),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(104),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(104),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(104),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(104),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(104),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(104),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(104),
    [sym_generic_command] = STATE(104),
    [sym_title_declaration] = STATE(104),
    [sym_author_declaration] = STATE(104),
    [sym_package_include] = STATE(104),
    [sym_class_include] = STATE(104),
    [sym_latex_include] = STATE(104),
    [sym_biblatex_include] = STATE(104),
    [sym_bibstyle_include] = STATE(104),
    [sym_bibtex_include] = STATE(104),
    [sym_graphics_include] = STATE(104),
    [sym_svg_include] = STATE(104),
    [sym_inkscape_include] = STATE(104),
    [sym_verbatim_include] = STATE(104),
    [sym_import_include] = STATE(104),
    [sym_caption] = STATE(104),
    [sym_citation] = STATE(104),
    [sym_label_definition] = STATE(104),
    [sym_label_reference] = STATE(104),
    [sym_label_reference_range] = STATE(104),
    [sym_label_number] = STATE(104),
    [sym_new_command_definition] = STATE(104),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(104),
    [sym_let_command_definition] = STATE(104),
    [sym_paired_delimiter_definition] = STATE(104),
    [sym_environment_definition] = STATE(104),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(104),
    [sym_glossary_entry_reference] = STATE(104),
    [sym_acronym_definition] = STATE(104),
    [sym_acronym_reference] = STATE(104),
    [sym_theorem_definition] = STATE(104),
    [sym_color_definition] = STATE(104),
    [sym_color_set_definition] = STATE(104),
    [sym_color_reference] = STATE(104),
    [sym_tikz_library_import] = STATE(104),
    [sym_hyperlink] = STATE(104),
    [aux_sym_source_file_repeat1] = STATE(104),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(163),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_RBRACK] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_RPAREN] = ACTIONS(165),
    [anon_sym_BSLASHpart] = ACTIONS(163),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddpart] = ACTIONS(163),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(165),
    [anon_sym_BSLASHchapter] = ACTIONS(163),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddchap] = ACTIONS(163),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsection] = ACTIONS(163),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddsec] = ACTIONS(163),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubsection] = ACTIONS(163),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(163),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHparagraph] = ACTIONS(163),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(163),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(165),
    [anon_sym_BSLASHitem] = ACTIONS(163),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(165),
    [sym_word] = ACTIONS(163),
    [sym_placeholder] = ACTIONS(165),
    [sym_delimiter] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym__] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(165),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(163),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(165),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(167),
    [anon_sym_BSLASHleft] = ACTIONS(163),
    [anon_sym_BSLASHbigl] = ACTIONS(163),
    [anon_sym_BSLASHBigl] = ACTIONS(163),
    [anon_sym_BSLASHbiggl] = ACTIONS(163),
    [anon_sym_BSLASHBiggl] = ACTIONS(163),
    [anon_sym_BSLASHright] = ACTIONS(163),
    [anon_sym_BSLASHbigr] = ACTIONS(163),
    [anon_sym_BSLASHBigr] = ACTIONS(163),
    [anon_sym_BSLASHbiggr] = ACTIONS(163),
    [anon_sym_BSLASHBiggr] = ACTIONS(163),
    [anon_sym_BSLASHtext] = ACTIONS(163),
    [anon_sym_BSLASHintertext] = ACTIONS(163),
    [anon_sym_BSLASHshortintertext] = ACTIONS(163),
    [anon_sym_BSLASHbegin] = ACTIONS(163),
    [anon_sym_BSLASHtitle] = ACTIONS(163),
    [anon_sym_BSLASHauthor] = ACTIONS(163),
    [anon_sym_BSLASHusepackage] = ACTIONS(163),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(163),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(163),
    [anon_sym_BSLASHinclude] = ACTIONS(163),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(163),
    [anon_sym_BSLASHinput] = ACTIONS(163),
    [anon_sym_BSLASHsubfile] = ACTIONS(163),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(163),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(163),
    [anon_sym_BSLASHbibliography] = ACTIONS(163),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(163),
    [anon_sym_BSLASHincludesvg] = ACTIONS(163),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(163),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(163),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(163),
    [anon_sym_BSLASHimport] = ACTIONS(163),
    [anon_sym_BSLASHsubimport] = ACTIONS(163),
    [anon_sym_BSLASHinputfrom] = ACTIONS(163),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(163),
    [anon_sym_BSLASHincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHcaption] = ACTIONS(163),
    [anon_sym_BSLASHcite] = ACTIONS(163),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCite] = ACTIONS(163),
    [anon_sym_BSLASHnocite] = ACTIONS(163),
    [anon_sym_BSLASHcitet] = ACTIONS(163),
    [anon_sym_BSLASHcitep] = ACTIONS(163),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteA] = ACTIONS(163),
    [anon_sym_BSLASHciteR] = ACTIONS(163),
    [anon_sym_BSLASHciteS] = ACTIONS(163),
    [anon_sym_BSLASHciteyearR] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(163),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitetitle] = ACTIONS(163),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteyear] = ACTIONS(163),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitedate] = ACTIONS(163),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteurl] = ACTIONS(163),
    [anon_sym_BSLASHfullcite] = ACTIONS(163),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(163),
    [anon_sym_BSLASHcitealt] = ACTIONS(163),
    [anon_sym_BSLASHcitealp] = ACTIONS(163),
    [anon_sym_BSLASHcitetext] = ACTIONS(163),
    [anon_sym_BSLASHparencite] = ACTIONS(163),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHParencite] = ACTIONS(163),
    [anon_sym_BSLASHfootcite] = ACTIONS(163),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(163),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(163),
    [anon_sym_BSLASHtextcite] = ACTIONS(163),
    [anon_sym_BSLASHTextcite] = ACTIONS(163),
    [anon_sym_BSLASHsmartcite] = ACTIONS(163),
    [anon_sym_BSLASHSmartcite] = ACTIONS(163),
    [anon_sym_BSLASHsupercite] = ACTIONS(163),
    [anon_sym_BSLASHautocite] = ACTIONS(163),
    [anon_sym_BSLASHAutocite] = ACTIONS(163),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHvolcite] = ACTIONS(163),
    [anon_sym_BSLASHVolcite] = ACTIONS(163),
    [anon_sym_BSLASHpvolcite] = ACTIONS(163),
    [anon_sym_BSLASHPvolcite] = ACTIONS(163),
    [anon_sym_BSLASHfvolcite] = ACTIONS(163),
    [anon_sym_BSLASHftvolcite] = ACTIONS(163),
    [anon_sym_BSLASHsvolcite] = ACTIONS(163),
    [anon_sym_BSLASHSvolcite] = ACTIONS(163),
    [anon_sym_BSLASHtvolcite] = ACTIONS(163),
    [anon_sym_BSLASHTvolcite] = ACTIONS(163),
    [anon_sym_BSLASHavolcite] = ACTIONS(163),
    [anon_sym_BSLASHAvolcite] = ACTIONS(163),
    [anon_sym_BSLASHnotecite] = ACTIONS(163),
    [anon_sym_BSLASHNotecite] = ACTIONS(163),
    [anon_sym_BSLASHpnotecite] = ACTIONS(163),
    [anon_sym_BSLASHPnotecite] = ACTIONS(163),
    [anon_sym_BSLASHfnotecite] = ACTIONS(163),
    [anon_sym_BSLASHlabel] = ACTIONS(163),
    [anon_sym_BSLASHref] = ACTIONS(163),
    [anon_sym_BSLASHeqref] = ACTIONS(163),
    [anon_sym_BSLASHvref] = ACTIONS(163),
    [anon_sym_BSLASHVref] = ACTIONS(163),
    [anon_sym_BSLASHautoref] = ACTIONS(163),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHpageref] = ACTIONS(163),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHautopageref] = ACTIONS(163),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcref] = ACTIONS(163),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCref] = ACTIONS(163),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpageref] = ACTIONS(163),
    [anon_sym_BSLASHCpageref] = ACTIONS(163),
    [anon_sym_BSLASHnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnameCref] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcrefrange] = ACTIONS(163),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCrefrange] = ACTIONS(163),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHnewlabel] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(163),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(163),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(163),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(165),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHdef] = ACTIONS(163),
    [anon_sym_BSLASHgdef] = ACTIONS(163),
    [anon_sym_BSLASHedef] = ACTIONS(163),
    [anon_sym_BSLASHxdef] = ACTIONS(163),
    [anon_sym_BSLASHlet] = ACTIONS(163),
    [anon_sym_BSLASHglet] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(163),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(163),
    [anon_sym_BSLASHgls] = ACTIONS(163),
    [anon_sym_BSLASHGls] = ACTIONS(163),
    [anon_sym_BSLASHGLS] = ACTIONS(163),
    [anon_sym_BSLASHglspl] = ACTIONS(163),
    [anon_sym_BSLASHGlspl] = ACTIONS(163),
    [anon_sym_BSLASHGLSpl] = ACTIONS(163),
    [anon_sym_BSLASHglsdisp] = ACTIONS(163),
    [anon_sym_BSLASHglslink] = ACTIONS(163),
    [anon_sym_BSLASHglstext] = ACTIONS(163),
    [anon_sym_BSLASHGlstext] = ACTIONS(163),
    [anon_sym_BSLASHGLStext] = ACTIONS(163),
    [anon_sym_BSLASHglsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(163),
    [anon_sym_BSLASHglsplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSplural] = ACTIONS(163),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHglsname] = ACTIONS(163),
    [anon_sym_BSLASHGlsname] = ACTIONS(163),
    [anon_sym_BSLASHGLSname] = ACTIONS(163),
    [anon_sym_BSLASHglssymbol] = ACTIONS(163),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(163),
    [anon_sym_BSLASHglsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(163),
    [anon_sym_BSLASHglsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(163),
    [anon_sym_BSLASHglsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(163),
    [anon_sym_BSLASHglsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(163),
    [anon_sym_BSLASHglsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(163),
    [anon_sym_BSLASHnewacronym] = ACTIONS(163),
    [anon_sym_BSLASHacrshort] = ACTIONS(163),
    [anon_sym_BSLASHAcrshort] = ACTIONS(163),
    [anon_sym_BSLASHACRshort] = ACTIONS(163),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(163),
    [anon_sym_BSLASHacrlong] = ACTIONS(163),
    [anon_sym_BSLASHAcrlong] = ACTIONS(163),
    [anon_sym_BSLASHACRlong] = ACTIONS(163),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(163),
    [anon_sym_BSLASHacrfull] = ACTIONS(163),
    [anon_sym_BSLASHAcrfull] = ACTIONS(163),
    [anon_sym_BSLASHACRfull] = ACTIONS(163),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(163),
    [anon_sym_BSLASHacs] = ACTIONS(163),
    [anon_sym_BSLASHAcs] = ACTIONS(163),
    [anon_sym_BSLASHacsp] = ACTIONS(163),
    [anon_sym_BSLASHAcsp] = ACTIONS(163),
    [anon_sym_BSLASHacl] = ACTIONS(163),
    [anon_sym_BSLASHAcl] = ACTIONS(163),
    [anon_sym_BSLASHaclp] = ACTIONS(163),
    [anon_sym_BSLASHAclp] = ACTIONS(163),
    [anon_sym_BSLASHacf] = ACTIONS(163),
    [anon_sym_BSLASHAcf] = ACTIONS(163),
    [anon_sym_BSLASHacfp] = ACTIONS(163),
    [anon_sym_BSLASHAcfp] = ACTIONS(163),
    [anon_sym_BSLASHac] = ACTIONS(163),
    [anon_sym_BSLASHAc] = ACTIONS(163),
    [anon_sym_BSLASHacp] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(163),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(163),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(163),
    [anon_sym_BSLASHcolor] = ACTIONS(163),
    [anon_sym_BSLASHpagecolor] = ACTIONS(163),
    [anon_sym_BSLASHtextcolor] = ACTIONS(163),
    [anon_sym_BSLASHmathcolor] = ACTIONS(163),
    [anon_sym_BSLASHcolorbox] = ACTIONS(163),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(163),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(163),
    [anon_sym_BSLASHurl] = ACTIONS(163),
    [anon_sym_BSLASHhref] = ACTIONS(163),
  },
  [4] = {
    [sym_block_comment] = STATE(97),
    [sym__root_content] = STATE(97),
    [sym__flat_content] = STATE(97),
    [sym__text_with_env_content] = STATE(97),
    [sym__text_content] = STATE(97),
    [sym__section] = STATE(97),
    [sym__paragraph] = STATE(97),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(97),
    [sym_text] = STATE(97),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(97),
    [sym_displayed_equation] = STATE(97),
    [sym_inline_formula] = STATE(97),
    [sym_math_delimiter] = STATE(97),
    [sym_text_mode] = STATE(97),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(97),
    [sym_comment_environment] = STATE(97),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(97),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(97),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(97),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(97),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(97),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(97),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(97),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(97),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(97),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(97),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(97),
    [sym_generic_command] = STATE(97),
    [sym_title_declaration] = STATE(97),
    [sym_author_declaration] = STATE(97),
    [sym_package_include] = STATE(97),
    [sym_class_include] = STATE(97),
    [sym_latex_include] = STATE(97),
    [sym_biblatex_include] = STATE(97),
    [sym_bibstyle_include] = STATE(97),
    [sym_bibtex_include] = STATE(97),
    [sym_graphics_include] = STATE(97),
    [sym_svg_include] = STATE(97),
    [sym_inkscape_include] = STATE(97),
    [sym_verbatim_include] = STATE(97),
    [sym_import_include] = STATE(97),
    [sym_caption] = STATE(97),
    [sym_citation] = STATE(97),
    [sym_label_definition] = STATE(97),
    [sym_label_reference] = STATE(97),
    [sym_label_reference_range] = STATE(97),
    [sym_label_number] = STATE(97),
    [sym_new_command_definition] = STATE(97),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(97),
    [sym_let_command_definition] = STATE(97),
    [sym_paired_delimiter_definition] = STATE(97),
    [sym_environment_definition] = STATE(97),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(97),
    [sym_glossary_entry_reference] = STATE(97),
    [sym_acronym_definition] = STATE(97),
    [sym_acronym_reference] = STATE(97),
    [sym_theorem_definition] = STATE(97),
    [sym_color_definition] = STATE(97),
    [sym_color_set_definition] = STATE(97),
    [sym_color_reference] = STATE(97),
    [sym_tikz_library_import] = STATE(97),
    [sym_hyperlink] = STATE(97),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(169),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_COMMA] = ACTIONS(171),
    [anon_sym_EQ] = ACTIONS(171),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_BSLASHpart] = ACTIONS(169),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddpart] = ACTIONS(169),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(171),
    [anon_sym_BSLASHchapter] = ACTIONS(169),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddchap] = ACTIONS(169),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsection] = ACTIONS(169),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddsec] = ACTIONS(169),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubsection] = ACTIONS(169),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(169),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHparagraph] = ACTIONS(169),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(169),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(171),
    [anon_sym_BSLASHitem] = ACTIONS(169),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(171),
    [anon_sym_LBRACE] = ACTIONS(171),
    [sym_word] = ACTIONS(169),
    [sym_placeholder] = ACTIONS(171),
    [sym_delimiter] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_STAR] = ACTIONS(171),
    [anon_sym_SLASH] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(169),
    [anon_sym_GT] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_PIPE] = ACTIONS(169),
    [anon_sym_COLON] = ACTIONS(169),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym__] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(171),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(171),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(171),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(161),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(171),
    [anon_sym_BSLASHleft] = ACTIONS(169),
    [anon_sym_BSLASHbigl] = ACTIONS(169),
    [anon_sym_BSLASHBigl] = ACTIONS(169),
    [anon_sym_BSLASHbiggl] = ACTIONS(169),
    [anon_sym_BSLASHBiggl] = ACTIONS(169),
    [anon_sym_BSLASHright] = ACTIONS(169),
    [anon_sym_BSLASHbigr] = ACTIONS(169),
    [anon_sym_BSLASHBigr] = ACTIONS(169),
    [anon_sym_BSLASHbiggr] = ACTIONS(169),
    [anon_sym_BSLASHBiggr] = ACTIONS(169),
    [anon_sym_BSLASHtext] = ACTIONS(169),
    [anon_sym_BSLASHintertext] = ACTIONS(169),
    [anon_sym_BSLASHshortintertext] = ACTIONS(169),
    [anon_sym_BSLASHbegin] = ACTIONS(169),
    [anon_sym_BSLASHtitle] = ACTIONS(169),
    [anon_sym_BSLASHauthor] = ACTIONS(169),
    [anon_sym_BSLASHusepackage] = ACTIONS(169),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(169),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(169),
    [anon_sym_BSLASHinclude] = ACTIONS(169),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(169),
    [anon_sym_BSLASHinput] = ACTIONS(169),
    [anon_sym_BSLASHsubfile] = ACTIONS(169),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(169),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(169),
    [anon_sym_BSLASHbibliography] = ACTIONS(169),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(169),
    [anon_sym_BSLASHincludesvg] = ACTIONS(169),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(169),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(169),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(169),
    [anon_sym_BSLASHimport] = ACTIONS(169),
    [anon_sym_BSLASHsubimport] = ACTIONS(169),
    [anon_sym_BSLASHinputfrom] = ACTIONS(169),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(169),
    [anon_sym_BSLASHincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHcaption] = ACTIONS(169),
    [anon_sym_BSLASHcite] = ACTIONS(169),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCite] = ACTIONS(169),
    [anon_sym_BSLASHnocite] = ACTIONS(169),
    [anon_sym_BSLASHcitet] = ACTIONS(169),
    [anon_sym_BSLASHcitep] = ACTIONS(169),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteA] = ACTIONS(169),
    [anon_sym_BSLASHciteR] = ACTIONS(169),
    [anon_sym_BSLASHciteS] = ACTIONS(169),
    [anon_sym_BSLASHciteyearR] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(169),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitetitle] = ACTIONS(169),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteyear] = ACTIONS(169),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitedate] = ACTIONS(169),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteurl] = ACTIONS(169),
    [anon_sym_BSLASHfullcite] = ACTIONS(169),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(169),
    [anon_sym_BSLASHcitealt] = ACTIONS(169),
    [anon_sym_BSLASHcitealp] = ACTIONS(169),
    [anon_sym_BSLASHcitetext] = ACTIONS(169),
    [anon_sym_BSLASHparencite] = ACTIONS(169),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHParencite] = ACTIONS(169),
    [anon_sym_BSLASHfootcite] = ACTIONS(169),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(169),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(169),
    [anon_sym_BSLASHtextcite] = ACTIONS(169),
    [anon_sym_BSLASHTextcite] = ACTIONS(169),
    [anon_sym_BSLASHsmartcite] = ACTIONS(169),
    [anon_sym_BSLASHSmartcite] = ACTIONS(169),
    [anon_sym_BSLASHsupercite] = ACTIONS(169),
    [anon_sym_BSLASHautocite] = ACTIONS(169),
    [anon_sym_BSLASHAutocite] = ACTIONS(169),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHvolcite] = ACTIONS(169),
    [anon_sym_BSLASHVolcite] = ACTIONS(169),
    [anon_sym_BSLASHpvolcite] = ACTIONS(169),
    [anon_sym_BSLASHPvolcite] = ACTIONS(169),
    [anon_sym_BSLASHfvolcite] = ACTIONS(169),
    [anon_sym_BSLASHftvolcite] = ACTIONS(169),
    [anon_sym_BSLASHsvolcite] = ACTIONS(169),
    [anon_sym_BSLASHSvolcite] = ACTIONS(169),
    [anon_sym_BSLASHtvolcite] = ACTIONS(169),
    [anon_sym_BSLASHTvolcite] = ACTIONS(169),
    [anon_sym_BSLASHavolcite] = ACTIONS(169),
    [anon_sym_BSLASHAvolcite] = ACTIONS(169),
    [anon_sym_BSLASHnotecite] = ACTIONS(169),
    [anon_sym_BSLASHNotecite] = ACTIONS(169),
    [anon_sym_BSLASHpnotecite] = ACTIONS(169),
    [anon_sym_BSLASHPnotecite] = ACTIONS(169),
    [anon_sym_BSLASHfnotecite] = ACTIONS(169),
    [anon_sym_BSLASHlabel] = ACTIONS(169),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHeqref] = ACTIONS(169),
    [anon_sym_BSLASHvref] = ACTIONS(169),
    [anon_sym_BSLASHVref] = ACTIONS(169),
    [anon_sym_BSLASHautoref] = ACTIONS(169),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHpageref] = ACTIONS(169),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHautopageref] = ACTIONS(169),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcref] = ACTIONS(169),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCref] = ACTIONS(169),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpageref] = ACTIONS(169),
    [anon_sym_BSLASHCpageref] = ACTIONS(169),
    [anon_sym_BSLASHnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnameCref] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcrefrange] = ACTIONS(169),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCrefrange] = ACTIONS(169),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHnewlabel] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(169),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(169),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(169),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(171),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHdef] = ACTIONS(169),
    [anon_sym_BSLASHgdef] = ACTIONS(169),
    [anon_sym_BSLASHedef] = ACTIONS(169),
    [anon_sym_BSLASHxdef] = ACTIONS(169),
    [anon_sym_BSLASHlet] = ACTIONS(169),
    [anon_sym_BSLASHglet] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(169),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(169),
    [anon_sym_BSLASHgls] = ACTIONS(169),
    [anon_sym_BSLASHGls] = ACTIONS(169),
    [anon_sym_BSLASHGLS] = ACTIONS(169),
    [anon_sym_BSLASHglspl] = ACTIONS(169),
    [anon_sym_BSLASHGlspl] = ACTIONS(169),
    [anon_sym_BSLASHGLSpl] = ACTIONS(169),
    [anon_sym_BSLASHglsdisp] = ACTIONS(169),
    [anon_sym_BSLASHglslink] = ACTIONS(169),
    [anon_sym_BSLASHglstext] = ACTIONS(169),
    [anon_sym_BSLASHGlstext] = ACTIONS(169),
    [anon_sym_BSLASHGLStext] = ACTIONS(169),
    [anon_sym_BSLASHglsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(169),
    [anon_sym_BSLASHglsplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSplural] = ACTIONS(169),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHglsname] = ACTIONS(169),
    [anon_sym_BSLASHGlsname] = ACTIONS(169),
    [anon_sym_BSLASHGLSname] = ACTIONS(169),
    [anon_sym_BSLASHglssymbol] = ACTIONS(169),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(169),
    [anon_sym_BSLASHglsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(169),
    [anon_sym_BSLASHglsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(169),
    [anon_sym_BSLASHglsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(169),
    [anon_sym_BSLASHglsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(169),
    [anon_sym_BSLASHglsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(169),
    [anon_sym_BSLASHnewacronym] = ACTIONS(169),
    [anon_sym_BSLASHacrshort] = ACTIONS(169),
    [anon_sym_BSLASHAcrshort] = ACTIONS(169),
    [anon_sym_BSLASHACRshort] = ACTIONS(169),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(169),
    [anon_sym_BSLASHacrlong] = ACTIONS(169),
    [anon_sym_BSLASHAcrlong] = ACTIONS(169),
    [anon_sym_BSLASHACRlong] = ACTIONS(169),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(169),
    [anon_sym_BSLASHacrfull] = ACTIONS(169),
    [anon_sym_BSLASHAcrfull] = ACTIONS(169),
    [anon_sym_BSLASHACRfull] = ACTIONS(169),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(169),
    [anon_sym_BSLASHacs] = ACTIONS(169),
    [anon_sym_BSLASHAcs] = ACTIONS(169),
    [anon_sym_BSLASHacsp] = ACTIONS(169),
    [anon_sym_BSLASHAcsp] = ACTIONS(169),
    [anon_sym_BSLASHacl] = ACTIONS(169),
    [anon_sym_BSLASHAcl] = ACTIONS(169),
    [anon_sym_BSLASHaclp] = ACTIONS(169),
    [anon_sym_BSLASHAclp] = ACTIONS(169),
    [anon_sym_BSLASHacf] = ACTIONS(169),
    [anon_sym_BSLASHAcf] = ACTIONS(169),
    [anon_sym_BSLASHacfp] = ACTIONS(169),
    [anon_sym_BSLASHAcfp] = ACTIONS(169),
    [anon_sym_BSLASHac] = ACTIONS(169),
    [anon_sym_BSLASHAc] = ACTIONS(169),
    [anon_sym_BSLASHacp] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(169),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(169),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(169),
    [anon_sym_BSLASHcolor] = ACTIONS(169),
    [anon_sym_BSLASHpagecolor] = ACTIONS(169),
    [anon_sym_BSLASHtextcolor] = ACTIONS(169),
    [anon_sym_BSLASHmathcolor] = ACTIONS(169),
    [anon_sym_BSLASHcolorbox] = ACTIONS(169),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(169),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(169),
    [anon_sym_BSLASHurl] = ACTIONS(169),
    [anon_sym_BSLASHhref] = ACTIONS(169),
  },
  [5] = {
    [sym_block_comment] = STATE(104),
    [sym__root_content] = STATE(104),
    [sym__flat_content] = STATE(104),
    [sym__text_with_env_content] = STATE(104),
    [sym__text_content] = STATE(104),
    [sym__section] = STATE(104),
    [sym__paragraph] = STATE(104),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(104),
    [sym_text] = STATE(104),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(104),
    [sym_displayed_equation] = STATE(104),
    [sym_inline_formula] = STATE(104),
    [sym_math_delimiter] = STATE(104),
    [sym_text_mode] = STATE(104),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(104),
    [sym_comment_environment] = STATE(104),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(104),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(104),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(104),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(104),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(104),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(104),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(104),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(104),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(104),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(104),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(104),
    [sym_generic_command] = STATE(104),
    [sym_title_declaration] = STATE(104),
    [sym_author_declaration] = STATE(104),
    [sym_package_include] = STATE(104),
    [sym_class_include] = STATE(104),
    [sym_latex_include] = STATE(104),
    [sym_biblatex_include] = STATE(104),
    [sym_bibstyle_include] = STATE(104),
    [sym_bibtex_include] = STATE(104),
    [sym_graphics_include] = STATE(104),
    [sym_svg_include] = STATE(104),
    [sym_inkscape_include] = STATE(104),
    [sym_verbatim_include] = STATE(104),
    [sym_import_include] = STATE(104),
    [sym_caption] = STATE(104),
    [sym_citation] = STATE(104),
    [sym_label_definition] = STATE(104),
    [sym_label_reference] = STATE(104),
    [sym_label_reference_range] = STATE(104),
    [sym_label_number] = STATE(104),
    [sym_new_command_definition] = STATE(104),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(104),
    [sym_let_command_definition] = STATE(104),
    [sym_paired_delimiter_definition] = STATE(104),
    [sym_environment_definition] = STATE(104),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(104),
    [sym_glossary_entry_reference] = STATE(104),
    [sym_acronym_definition] = STATE(104),
    [sym_acronym_reference] = STATE(104),
    [sym_theorem_definition] = STATE(104),
    [sym_color_definition] = STATE(104),
    [sym_color_set_definition] = STATE(104),
    [sym_color_reference] = STATE(104),
    [sym_tikz_library_import] = STATE(104),
    [sym_hyperlink] = STATE(104),
    [aux_sym_source_file_repeat1] = STATE(104),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(173),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(173),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_RBRACK] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_RPAREN] = ACTIONS(175),
    [anon_sym_BSLASHpart] = ACTIONS(173),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddpart] = ACTIONS(173),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(175),
    [anon_sym_BSLASHchapter] = ACTIONS(173),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddchap] = ACTIONS(173),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsection] = ACTIONS(173),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddsec] = ACTIONS(173),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubsection] = ACTIONS(173),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(173),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHparagraph] = ACTIONS(173),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(173),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(175),
    [anon_sym_BSLASHitem] = ACTIONS(173),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(175),
    [anon_sym_LBRACE] = ACTIONS(175),
    [sym_word] = ACTIONS(173),
    [sym_placeholder] = ACTIONS(175),
    [sym_delimiter] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym__] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(175),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(175),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(175),
    [anon_sym_DOLLAR] = ACTIONS(173),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(175),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(167),
    [anon_sym_BSLASHleft] = ACTIONS(173),
    [anon_sym_BSLASHbigl] = ACTIONS(173),
    [anon_sym_BSLASHBigl] = ACTIONS(173),
    [anon_sym_BSLASHbiggl] = ACTIONS(173),
    [anon_sym_BSLASHBiggl] = ACTIONS(173),
    [anon_sym_BSLASHright] = ACTIONS(173),
    [anon_sym_BSLASHbigr] = ACTIONS(173),
    [anon_sym_BSLASHBigr] = ACTIONS(173),
    [anon_sym_BSLASHbiggr] = ACTIONS(173),
    [anon_sym_BSLASHBiggr] = ACTIONS(173),
    [anon_sym_BSLASHtext] = ACTIONS(173),
    [anon_sym_BSLASHintertext] = ACTIONS(173),
    [anon_sym_BSLASHshortintertext] = ACTIONS(173),
    [anon_sym_BSLASHbegin] = ACTIONS(173),
    [anon_sym_BSLASHtitle] = ACTIONS(173),
    [anon_sym_BSLASHauthor] = ACTIONS(173),
    [anon_sym_BSLASHusepackage] = ACTIONS(173),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(173),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(173),
    [anon_sym_BSLASHinclude] = ACTIONS(173),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(173),
    [anon_sym_BSLASHinput] = ACTIONS(173),
    [anon_sym_BSLASHsubfile] = ACTIONS(173),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(173),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(173),
    [anon_sym_BSLASHbibliography] = ACTIONS(173),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(173),
    [anon_sym_BSLASHincludesvg] = ACTIONS(173),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(173),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(173),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(173),
    [anon_sym_BSLASHimport] = ACTIONS(173),
    [anon_sym_BSLASHsubimport] = ACTIONS(173),
    [anon_sym_BSLASHinputfrom] = ACTIONS(173),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(173),
    [anon_sym_BSLASHincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHcaption] = ACTIONS(173),
    [anon_sym_BSLASHcite] = ACTIONS(173),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCite] = ACTIONS(173),
    [anon_sym_BSLASHnocite] = ACTIONS(173),
    [anon_sym_BSLASHcitet] = ACTIONS(173),
    [anon_sym_BSLASHcitep] = ACTIONS(173),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteA] = ACTIONS(173),
    [anon_sym_BSLASHciteR] = ACTIONS(173),
    [anon_sym_BSLASHciteS] = ACTIONS(173),
    [anon_sym_BSLASHciteyearR] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(173),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitetitle] = ACTIONS(173),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteyear] = ACTIONS(173),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitedate] = ACTIONS(173),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteurl] = ACTIONS(173),
    [anon_sym_BSLASHfullcite] = ACTIONS(173),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(173),
    [anon_sym_BSLASHcitealt] = ACTIONS(173),
    [anon_sym_BSLASHcitealp] = ACTIONS(173),
    [anon_sym_BSLASHcitetext] = ACTIONS(173),
    [anon_sym_BSLASHparencite] = ACTIONS(173),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHParencite] = ACTIONS(173),
    [anon_sym_BSLASHfootcite] = ACTIONS(173),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(173),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(173),
    [anon_sym_BSLASHtextcite] = ACTIONS(173),
    [anon_sym_BSLASHTextcite] = ACTIONS(173),
    [anon_sym_BSLASHsmartcite] = ACTIONS(173),
    [anon_sym_BSLASHSmartcite] = ACTIONS(173),
    [anon_sym_BSLASHsupercite] = ACTIONS(173),
    [anon_sym_BSLASHautocite] = ACTIONS(173),
    [anon_sym_BSLASHAutocite] = ACTIONS(173),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHvolcite] = ACTIONS(173),
    [anon_sym_BSLASHVolcite] = ACTIONS(173),
    [anon_sym_BSLASHpvolcite] = ACTIONS(173),
    [anon_sym_BSLASHPvolcite] = ACTIONS(173),
    [anon_sym_BSLASHfvolcite] = ACTIONS(173),
    [anon_sym_BSLASHftvolcite] = ACTIONS(173),
    [anon_sym_BSLASHsvolcite] = ACTIONS(173),
    [anon_sym_BSLASHSvolcite] = ACTIONS(173),
    [anon_sym_BSLASHtvolcite] = ACTIONS(173),
    [anon_sym_BSLASHTvolcite] = ACTIONS(173),
    [anon_sym_BSLASHavolcite] = ACTIONS(173),
    [anon_sym_BSLASHAvolcite] = ACTIONS(173),
    [anon_sym_BSLASHnotecite] = ACTIONS(173),
    [anon_sym_BSLASHNotecite] = ACTIONS(173),
    [anon_sym_BSLASHpnotecite] = ACTIONS(173),
    [anon_sym_BSLASHPnotecite] = ACTIONS(173),
    [anon_sym_BSLASHfnotecite] = ACTIONS(173),
    [anon_sym_BSLASHlabel] = ACTIONS(173),
    [anon_sym_BSLASHref] = ACTIONS(173),
    [anon_sym_BSLASHeqref] = ACTIONS(173),
    [anon_sym_BSLASHvref] = ACTIONS(173),
    [anon_sym_BSLASHVref] = ACTIONS(173),
    [anon_sym_BSLASHautoref] = ACTIONS(173),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHpageref] = ACTIONS(173),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHautopageref] = ACTIONS(173),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcref] = ACTIONS(173),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCref] = ACTIONS(173),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpageref] = ACTIONS(173),
    [anon_sym_BSLASHCpageref] = ACTIONS(173),
    [anon_sym_BSLASHnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnameCref] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcrefrange] = ACTIONS(173),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCrefrange] = ACTIONS(173),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHnewlabel] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(173),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(173),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(173),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(175),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHdef] = ACTIONS(173),
    [anon_sym_BSLASHgdef] = ACTIONS(173),
    [anon_sym_BSLASHedef] = ACTIONS(173),
    [anon_sym_BSLASHxdef] = ACTIONS(173),
    [anon_sym_BSLASHlet] = ACTIONS(173),
    [anon_sym_BSLASHglet] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(173),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(173),
    [anon_sym_BSLASHgls] = ACTIONS(173),
    [anon_sym_BSLASHGls] = ACTIONS(173),
    [anon_sym_BSLASHGLS] = ACTIONS(173),
    [anon_sym_BSLASHglspl] = ACTIONS(173),
    [anon_sym_BSLASHGlspl] = ACTIONS(173),
    [anon_sym_BSLASHGLSpl] = ACTIONS(173),
    [anon_sym_BSLASHglsdisp] = ACTIONS(173),
    [anon_sym_BSLASHglslink] = ACTIONS(173),
    [anon_sym_BSLASHglstext] = ACTIONS(173),
    [anon_sym_BSLASHGlstext] = ACTIONS(173),
    [anon_sym_BSLASHGLStext] = ACTIONS(173),
    [anon_sym_BSLASHglsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(173),
    [anon_sym_BSLASHglsplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSplural] = ACTIONS(173),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHglsname] = ACTIONS(173),
    [anon_sym_BSLASHGlsname] = ACTIONS(173),
    [anon_sym_BSLASHGLSname] = ACTIONS(173),
    [anon_sym_BSLASHglssymbol] = ACTIONS(173),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(173),
    [anon_sym_BSLASHglsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(173),
    [anon_sym_BSLASHglsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(173),
    [anon_sym_BSLASHglsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(173),
    [anon_sym_BSLASHglsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(173),
    [anon_sym_BSLASHglsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(173),
    [anon_sym_BSLASHnewacronym] = ACTIONS(173),
    [anon_sym_BSLASHacrshort] = ACTIONS(173),
    [anon_sym_BSLASHAcrshort] = ACTIONS(173),
    [anon_sym_BSLASHACRshort] = ACTIONS(173),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(173),
    [anon_sym_BSLASHacrlong] = ACTIONS(173),
    [anon_sym_BSLASHAcrlong] = ACTIONS(173),
    [anon_sym_BSLASHACRlong] = ACTIONS(173),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(173),
    [anon_sym_BSLASHacrfull] = ACTIONS(173),
    [anon_sym_BSLASHAcrfull] = ACTIONS(173),
    [anon_sym_BSLASHACRfull] = ACTIONS(173),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(173),
    [anon_sym_BSLASHacs] = ACTIONS(173),
    [anon_sym_BSLASHAcs] = ACTIONS(173),
    [anon_sym_BSLASHacsp] = ACTIONS(173),
    [anon_sym_BSLASHAcsp] = ACTIONS(173),
    [anon_sym_BSLASHacl] = ACTIONS(173),
    [anon_sym_BSLASHAcl] = ACTIONS(173),
    [anon_sym_BSLASHaclp] = ACTIONS(173),
    [anon_sym_BSLASHAclp] = ACTIONS(173),
    [anon_sym_BSLASHacf] = ACTIONS(173),
    [anon_sym_BSLASHAcf] = ACTIONS(173),
    [anon_sym_BSLASHacfp] = ACTIONS(173),
    [anon_sym_BSLASHAcfp] = ACTIONS(173),
    [anon_sym_BSLASHac] = ACTIONS(173),
    [anon_sym_BSLASHAc] = ACTIONS(173),
    [anon_sym_BSLASHacp] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(173),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(173),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(173),
    [anon_sym_BSLASHcolor] = ACTIONS(173),
    [anon_sym_BSLASHpagecolor] = ACTIONS(173),
    [anon_sym_BSLASHtextcolor] = ACTIONS(173),
    [anon_sym_BSLASHmathcolor] = ACTIONS(173),
    [anon_sym_BSLASHcolorbox] = ACTIONS(173),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(173),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(173),
    [anon_sym_BSLASHurl] = ACTIONS(173),
    [anon_sym_BSLASHhref] = ACTIONS(173),
  },
  [6] = {
    [sym_block_comment] = STATE(9),
    [sym__root_content] = STATE(9),
    [sym__flat_content] = STATE(9),
    [sym__text_with_env_content] = STATE(9),
    [sym__text_content] = STATE(9),
    [sym__section] = STATE(9),
    [sym__paragraph] = STATE(9),
    [sym__part_declaration] = STATE(157),
    [sym_part] = STATE(444),
    [sym__chapter_declaration] = STATE(158),
    [sym_chapter] = STATE(369),
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(370),
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(371),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(372),
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(373),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(374),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(375),
    [sym_curly_group] = STATE(9),
    [sym_text] = STATE(9),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(9),
    [sym_displayed_equation] = STATE(9),
    [sym_inline_formula] = STATE(9),
    [sym_math_delimiter] = STATE(9),
    [sym_text_mode] = STATE(9),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(9),
    [sym_comment_environment] = STATE(9),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(9),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(9),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(9),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(9),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(9),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(9),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(9),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(9),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(9),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(9),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(9),
    [sym_generic_command] = STATE(9),
    [sym_title_declaration] = STATE(9),
    [sym_author_declaration] = STATE(9),
    [sym_package_include] = STATE(9),
    [sym_class_include] = STATE(9),
    [sym_latex_include] = STATE(9),
    [sym_biblatex_include] = STATE(9),
    [sym_bibstyle_include] = STATE(9),
    [sym_bibtex_include] = STATE(9),
    [sym_graphics_include] = STATE(9),
    [sym_svg_include] = STATE(9),
    [sym_inkscape_include] = STATE(9),
    [sym_verbatim_include] = STATE(9),
    [sym_import_include] = STATE(9),
    [sym_caption] = STATE(9),
    [sym_citation] = STATE(9),
    [sym_label_definition] = STATE(9),
    [sym_label_reference] = STATE(9),
    [sym_label_reference_range] = STATE(9),
    [sym_label_number] = STATE(9),
    [sym_new_command_definition] = STATE(9),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(9),
    [sym_let_command_definition] = STATE(9),
    [sym_paired_delimiter_definition] = STATE(9),
    [sym_environment_definition] = STATE(9),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(9),
    [sym_glossary_entry_reference] = STATE(9),
    [sym_acronym_definition] = STATE(9),
    [sym_acronym_reference] = STATE(9),
    [sym_theorem_definition] = STATE(9),
    [sym_color_definition] = STATE(9),
    [sym_color_set_definition] = STATE(9),
    [sym_color_reference] = STATE(9),
    [sym_tikz_library_import] = STATE(9),
    [sym_hyperlink] = STATE(9),
    [aux_sym_source_file_repeat1] = STATE(9),
    [aux_sym__section_repeat1] = STATE(444),
    [aux_sym__section_repeat2] = STATE(369),
    [aux_sym__section_repeat3] = STATE(370),
    [aux_sym__section_repeat4] = STATE(371),
    [aux_sym__section_repeat5] = STATE(372),
    [aux_sym__paragraph_repeat1] = STATE(373),
    [aux_sym__paragraph_repeat2] = STATE(374),
    [aux_sym__paragraph_repeat3] = STATE(375),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(181),
    [anon_sym_RBRACK] = ACTIONS(181),
    [anon_sym_COMMA] = ACTIONS(181),
    [anon_sym_EQ] = ACTIONS(181),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_RPAREN] = ACTIONS(181),
    [anon_sym_BSLASHpart] = ACTIONS(183),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHaddpart] = ACTIONS(183),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHchapter] = ACTIONS(187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(189),
    [anon_sym_BSLASHaddchap] = ACTIONS(187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(189),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(237),
    [anon_sym_BSLASHbigr] = ACTIONS(237),
    [anon_sym_BSLASHBigr] = ACTIONS(237),
    [anon_sym_BSLASHbiggr] = ACTIONS(237),
    [anon_sym_BSLASHBiggr] = ACTIONS(237),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [7] = {
    [sym_block_comment] = STATE(13),
    [sym__root_content] = STATE(13),
    [sym__flat_content] = STATE(13),
    [sym__text_with_env_content] = STATE(13),
    [sym__text_content] = STATE(13),
    [sym__section] = STATE(13),
    [sym__paragraph] = STATE(13),
    [sym__part_declaration] = STATE(157),
    [sym_part] = STATE(444),
    [sym__chapter_declaration] = STATE(158),
    [sym_chapter] = STATE(369),
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(370),
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(371),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(372),
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(373),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(374),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(375),
    [sym_curly_group] = STATE(13),
    [sym_text] = STATE(13),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(13),
    [sym_displayed_equation] = STATE(13),
    [sym_inline_formula] = STATE(13),
    [sym_math_delimiter] = STATE(13),
    [sym_text_mode] = STATE(13),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(13),
    [sym_comment_environment] = STATE(13),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(13),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(13),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(13),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(13),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(13),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(13),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(13),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(13),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(13),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(13),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(13),
    [sym_generic_command] = STATE(13),
    [sym_title_declaration] = STATE(13),
    [sym_author_declaration] = STATE(13),
    [sym_package_include] = STATE(13),
    [sym_class_include] = STATE(13),
    [sym_latex_include] = STATE(13),
    [sym_biblatex_include] = STATE(13),
    [sym_bibstyle_include] = STATE(13),
    [sym_bibtex_include] = STATE(13),
    [sym_graphics_include] = STATE(13),
    [sym_svg_include] = STATE(13),
    [sym_inkscape_include] = STATE(13),
    [sym_verbatim_include] = STATE(13),
    [sym_import_include] = STATE(13),
    [sym_caption] = STATE(13),
    [sym_citation] = STATE(13),
    [sym_label_definition] = STATE(13),
    [sym_label_reference] = STATE(13),
    [sym_label_reference_range] = STATE(13),
    [sym_label_number] = STATE(13),
    [sym_new_command_definition] = STATE(13),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(13),
    [sym_let_command_definition] = STATE(13),
    [sym_paired_delimiter_definition] = STATE(13),
    [sym_environment_definition] = STATE(13),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(13),
    [sym_glossary_entry_reference] = STATE(13),
    [sym_acronym_definition] = STATE(13),
    [sym_acronym_reference] = STATE(13),
    [sym_theorem_definition] = STATE(13),
    [sym_color_definition] = STATE(13),
    [sym_color_set_definition] = STATE(13),
    [sym_color_reference] = STATE(13),
    [sym_tikz_library_import] = STATE(13),
    [sym_hyperlink] = STATE(13),
    [aux_sym_source_file_repeat1] = STATE(13),
    [aux_sym__section_repeat1] = STATE(444),
    [aux_sym__section_repeat2] = STATE(369),
    [aux_sym__section_repeat3] = STATE(370),
    [aux_sym__section_repeat4] = STATE(371),
    [aux_sym__section_repeat5] = STATE(372),
    [aux_sym__paragraph_repeat1] = STATE(373),
    [aux_sym__paragraph_repeat2] = STATE(374),
    [aux_sym__paragraph_repeat3] = STATE(375),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(327),
    [anon_sym_RBRACK] = ACTIONS(327),
    [anon_sym_COMMA] = ACTIONS(327),
    [anon_sym_EQ] = ACTIONS(327),
    [anon_sym_LPAREN] = ACTIONS(327),
    [anon_sym_RPAREN] = ACTIONS(327),
    [anon_sym_BSLASHpart] = ACTIONS(183),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHaddpart] = ACTIONS(183),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHchapter] = ACTIONS(187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(189),
    [anon_sym_BSLASHaddchap] = ACTIONS(187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(189),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(329),
    [anon_sym_BSLASHbigr] = ACTIONS(329),
    [anon_sym_BSLASHBigr] = ACTIONS(329),
    [anon_sym_BSLASHbiggr] = ACTIONS(329),
    [anon_sym_BSLASHBiggr] = ACTIONS(329),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [8] = {
    [sym_block_comment] = STATE(11),
    [sym__root_content] = STATE(11),
    [sym__flat_content] = STATE(11),
    [sym__text_with_env_content] = STATE(11),
    [sym__text_content] = STATE(11),
    [sym__section] = STATE(11),
    [sym__paragraph] = STATE(11),
    [sym__part_declaration] = STATE(157),
    [sym_part] = STATE(444),
    [sym__chapter_declaration] = STATE(158),
    [sym_chapter] = STATE(369),
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(370),
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(371),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(372),
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(373),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(374),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(375),
    [sym_curly_group] = STATE(11),
    [sym_text] = STATE(11),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(11),
    [sym_displayed_equation] = STATE(11),
    [sym_inline_formula] = STATE(11),
    [sym_math_delimiter] = STATE(11),
    [sym_text_mode] = STATE(11),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(11),
    [sym_comment_environment] = STATE(11),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(11),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(11),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(11),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(11),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(11),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(11),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(11),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(11),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(11),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(11),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(11),
    [sym_generic_command] = STATE(11),
    [sym_title_declaration] = STATE(11),
    [sym_author_declaration] = STATE(11),
    [sym_package_include] = STATE(11),
    [sym_class_include] = STATE(11),
    [sym_latex_include] = STATE(11),
    [sym_biblatex_include] = STATE(11),
    [sym_bibstyle_include] = STATE(11),
    [sym_bibtex_include] = STATE(11),
    [sym_graphics_include] = STATE(11),
    [sym_svg_include] = STATE(11),
    [sym_inkscape_include] = STATE(11),
    [sym_verbatim_include] = STATE(11),
    [sym_import_include] = STATE(11),
    [sym_caption] = STATE(11),
    [sym_citation] = STATE(11),
    [sym_label_definition] = STATE(11),
    [sym_label_reference] = STATE(11),
    [sym_label_reference_range] = STATE(11),
    [sym_label_number] = STATE(11),
    [sym_new_command_definition] = STATE(11),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(11),
    [sym_let_command_definition] = STATE(11),
    [sym_paired_delimiter_definition] = STATE(11),
    [sym_environment_definition] = STATE(11),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(11),
    [sym_glossary_entry_reference] = STATE(11),
    [sym_acronym_definition] = STATE(11),
    [sym_acronym_reference] = STATE(11),
    [sym_theorem_definition] = STATE(11),
    [sym_color_definition] = STATE(11),
    [sym_color_set_definition] = STATE(11),
    [sym_color_reference] = STATE(11),
    [sym_tikz_library_import] = STATE(11),
    [sym_hyperlink] = STATE(11),
    [aux_sym_source_file_repeat1] = STATE(11),
    [aux_sym__section_repeat1] = STATE(444),
    [aux_sym__section_repeat2] = STATE(369),
    [aux_sym__section_repeat3] = STATE(370),
    [aux_sym__section_repeat4] = STATE(371),
    [aux_sym__section_repeat5] = STATE(372),
    [aux_sym__paragraph_repeat1] = STATE(373),
    [aux_sym__paragraph_repeat2] = STATE(374),
    [aux_sym__paragraph_repeat3] = STATE(375),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(331),
    [anon_sym_RBRACK] = ACTIONS(331),
    [anon_sym_COMMA] = ACTIONS(331),
    [anon_sym_EQ] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(331),
    [anon_sym_RPAREN] = ACTIONS(331),
    [anon_sym_BSLASHpart] = ACTIONS(183),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHaddpart] = ACTIONS(183),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHchapter] = ACTIONS(187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(189),
    [anon_sym_BSLASHaddchap] = ACTIONS(187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(189),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(333),
    [anon_sym_BSLASHbigr] = ACTIONS(333),
    [anon_sym_BSLASHBigr] = ACTIONS(333),
    [anon_sym_BSLASHbiggr] = ACTIONS(333),
    [anon_sym_BSLASHBiggr] = ACTIONS(333),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [9] = {
    [sym_block_comment] = STATE(10),
    [sym__root_content] = STATE(10),
    [sym__flat_content] = STATE(10),
    [sym__text_with_env_content] = STATE(10),
    [sym__text_content] = STATE(10),
    [sym__section] = STATE(10),
    [sym__paragraph] = STATE(10),
    [sym__part_declaration] = STATE(157),
    [sym_part] = STATE(444),
    [sym__chapter_declaration] = STATE(158),
    [sym_chapter] = STATE(369),
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(370),
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(371),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(372),
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(373),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(374),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(375),
    [sym_curly_group] = STATE(10),
    [sym_text] = STATE(10),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(10),
    [sym_displayed_equation] = STATE(10),
    [sym_inline_formula] = STATE(10),
    [sym_math_delimiter] = STATE(10),
    [sym_text_mode] = STATE(10),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(10),
    [sym_comment_environment] = STATE(10),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(10),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(10),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(10),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(10),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(10),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(10),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(10),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(10),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(10),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(10),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(10),
    [sym_generic_command] = STATE(10),
    [sym_title_declaration] = STATE(10),
    [sym_author_declaration] = STATE(10),
    [sym_package_include] = STATE(10),
    [sym_class_include] = STATE(10),
    [sym_latex_include] = STATE(10),
    [sym_biblatex_include] = STATE(10),
    [sym_bibstyle_include] = STATE(10),
    [sym_bibtex_include] = STATE(10),
    [sym_graphics_include] = STATE(10),
    [sym_svg_include] = STATE(10),
    [sym_inkscape_include] = STATE(10),
    [sym_verbatim_include] = STATE(10),
    [sym_import_include] = STATE(10),
    [sym_caption] = STATE(10),
    [sym_citation] = STATE(10),
    [sym_label_definition] = STATE(10),
    [sym_label_reference] = STATE(10),
    [sym_label_reference_range] = STATE(10),
    [sym_label_number] = STATE(10),
    [sym_new_command_definition] = STATE(10),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(10),
    [sym_let_command_definition] = STATE(10),
    [sym_paired_delimiter_definition] = STATE(10),
    [sym_environment_definition] = STATE(10),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(10),
    [sym_glossary_entry_reference] = STATE(10),
    [sym_acronym_definition] = STATE(10),
    [sym_acronym_reference] = STATE(10),
    [sym_theorem_definition] = STATE(10),
    [sym_color_definition] = STATE(10),
    [sym_color_set_definition] = STATE(10),
    [sym_color_reference] = STATE(10),
    [sym_tikz_library_import] = STATE(10),
    [sym_hyperlink] = STATE(10),
    [aux_sym_source_file_repeat1] = STATE(10),
    [aux_sym__section_repeat1] = STATE(444),
    [aux_sym__section_repeat2] = STATE(369),
    [aux_sym__section_repeat3] = STATE(370),
    [aux_sym__section_repeat4] = STATE(371),
    [aux_sym__section_repeat5] = STATE(372),
    [aux_sym__paragraph_repeat1] = STATE(373),
    [aux_sym__paragraph_repeat2] = STATE(374),
    [aux_sym__paragraph_repeat3] = STATE(375),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(335),
    [anon_sym_RBRACK] = ACTIONS(335),
    [anon_sym_COMMA] = ACTIONS(335),
    [anon_sym_EQ] = ACTIONS(335),
    [anon_sym_LPAREN] = ACTIONS(335),
    [anon_sym_RPAREN] = ACTIONS(335),
    [anon_sym_BSLASHpart] = ACTIONS(183),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHaddpart] = ACTIONS(183),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHchapter] = ACTIONS(187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(189),
    [anon_sym_BSLASHaddchap] = ACTIONS(187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(189),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(337),
    [anon_sym_BSLASHbigr] = ACTIONS(337),
    [anon_sym_BSLASHBigr] = ACTIONS(337),
    [anon_sym_BSLASHbiggr] = ACTIONS(337),
    [anon_sym_BSLASHBiggr] = ACTIONS(337),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [10] = {
    [sym_block_comment] = STATE(10),
    [sym__root_content] = STATE(10),
    [sym__flat_content] = STATE(10),
    [sym__text_with_env_content] = STATE(10),
    [sym__text_content] = STATE(10),
    [sym__section] = STATE(10),
    [sym__paragraph] = STATE(10),
    [sym__part_declaration] = STATE(157),
    [sym_part] = STATE(444),
    [sym__chapter_declaration] = STATE(158),
    [sym_chapter] = STATE(369),
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(370),
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(371),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(372),
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(373),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(374),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(375),
    [sym_curly_group] = STATE(10),
    [sym_text] = STATE(10),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(10),
    [sym_displayed_equation] = STATE(10),
    [sym_inline_formula] = STATE(10),
    [sym_math_delimiter] = STATE(10),
    [sym_text_mode] = STATE(10),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(10),
    [sym_comment_environment] = STATE(10),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(10),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(10),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(10),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(10),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(10),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(10),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(10),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(10),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(10),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(10),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(10),
    [sym_generic_command] = STATE(10),
    [sym_title_declaration] = STATE(10),
    [sym_author_declaration] = STATE(10),
    [sym_package_include] = STATE(10),
    [sym_class_include] = STATE(10),
    [sym_latex_include] = STATE(10),
    [sym_biblatex_include] = STATE(10),
    [sym_bibstyle_include] = STATE(10),
    [sym_bibtex_include] = STATE(10),
    [sym_graphics_include] = STATE(10),
    [sym_svg_include] = STATE(10),
    [sym_inkscape_include] = STATE(10),
    [sym_verbatim_include] = STATE(10),
    [sym_import_include] = STATE(10),
    [sym_caption] = STATE(10),
    [sym_citation] = STATE(10),
    [sym_label_definition] = STATE(10),
    [sym_label_reference] = STATE(10),
    [sym_label_reference_range] = STATE(10),
    [sym_label_number] = STATE(10),
    [sym_new_command_definition] = STATE(10),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(10),
    [sym_let_command_definition] = STATE(10),
    [sym_paired_delimiter_definition] = STATE(10),
    [sym_environment_definition] = STATE(10),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(10),
    [sym_glossary_entry_reference] = STATE(10),
    [sym_acronym_definition] = STATE(10),
    [sym_acronym_reference] = STATE(10),
    [sym_theorem_definition] = STATE(10),
    [sym_color_definition] = STATE(10),
    [sym_color_set_definition] = STATE(10),
    [sym_color_reference] = STATE(10),
    [sym_tikz_library_import] = STATE(10),
    [sym_hyperlink] = STATE(10),
    [aux_sym_source_file_repeat1] = STATE(10),
    [aux_sym__section_repeat1] = STATE(444),
    [aux_sym__section_repeat2] = STATE(369),
    [aux_sym__section_repeat3] = STATE(370),
    [aux_sym__section_repeat4] = STATE(371),
    [aux_sym__section_repeat5] = STATE(372),
    [aux_sym__paragraph_repeat1] = STATE(373),
    [aux_sym__paragraph_repeat2] = STATE(374),
    [aux_sym__paragraph_repeat3] = STATE(375),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(339),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(342),
    [anon_sym_LBRACK] = ACTIONS(345),
    [anon_sym_RBRACK] = ACTIONS(345),
    [anon_sym_COMMA] = ACTIONS(345),
    [anon_sym_EQ] = ACTIONS(345),
    [anon_sym_LPAREN] = ACTIONS(345),
    [anon_sym_RPAREN] = ACTIONS(345),
    [anon_sym_BSLASHpart] = ACTIONS(348),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(351),
    [anon_sym_BSLASHaddpart] = ACTIONS(348),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(351),
    [anon_sym_BSLASHchapter] = ACTIONS(354),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(357),
    [anon_sym_BSLASHaddchap] = ACTIONS(354),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(357),
    [anon_sym_BSLASHsection] = ACTIONS(360),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(363),
    [anon_sym_BSLASHaddsec] = ACTIONS(360),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(363),
    [anon_sym_BSLASHsubsection] = ACTIONS(366),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(369),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(372),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(375),
    [anon_sym_BSLASHparagraph] = ACTIONS(378),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(381),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(384),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(387),
    [anon_sym_BSLASHitem] = ACTIONS(390),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(396),
    [sym_word] = ACTIONS(399),
    [sym_placeholder] = ACTIONS(402),
    [sym_delimiter] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(405),
    [anon_sym_DASH] = ACTIONS(405),
    [anon_sym_STAR] = ACTIONS(405),
    [anon_sym_SLASH] = ACTIONS(405),
    [anon_sym_LT] = ACTIONS(408),
    [anon_sym_GT] = ACTIONS(408),
    [anon_sym_BANG] = ACTIONS(408),
    [anon_sym_PIPE] = ACTIONS(408),
    [anon_sym_COLON] = ACTIONS(408),
    [anon_sym_SQUOTE] = ACTIONS(408),
    [anon_sym__] = ACTIONS(411),
    [anon_sym_CARET] = ACTIONS(414),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(417),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(417),
    [anon_sym_DOLLAR] = ACTIONS(420),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(423),
    [anon_sym_BSLASHleft] = ACTIONS(426),
    [anon_sym_BSLASHbigl] = ACTIONS(426),
    [anon_sym_BSLASHBigl] = ACTIONS(426),
    [anon_sym_BSLASHbiggl] = ACTIONS(426),
    [anon_sym_BSLASHBiggl] = ACTIONS(426),
    [anon_sym_BSLASHright] = ACTIONS(429),
    [anon_sym_BSLASHbigr] = ACTIONS(429),
    [anon_sym_BSLASHBigr] = ACTIONS(429),
    [anon_sym_BSLASHbiggr] = ACTIONS(429),
    [anon_sym_BSLASHBiggr] = ACTIONS(429),
    [anon_sym_BSLASHtext] = ACTIONS(431),
    [anon_sym_BSLASHintertext] = ACTIONS(431),
    [anon_sym_BSLASHshortintertext] = ACTIONS(431),
    [anon_sym_BSLASHbegin] = ACTIONS(434),
    [anon_sym_BSLASHtitle] = ACTIONS(437),
    [anon_sym_BSLASHauthor] = ACTIONS(440),
    [anon_sym_BSLASHusepackage] = ACTIONS(443),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(443),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(446),
    [anon_sym_BSLASHinclude] = ACTIONS(449),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(449),
    [anon_sym_BSLASHinput] = ACTIONS(449),
    [anon_sym_BSLASHsubfile] = ACTIONS(449),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(452),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(455),
    [anon_sym_BSLASHbibliography] = ACTIONS(458),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(461),
    [anon_sym_BSLASHincludesvg] = ACTIONS(464),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(467),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(470),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(470),
    [anon_sym_BSLASHimport] = ACTIONS(473),
    [anon_sym_BSLASHsubimport] = ACTIONS(473),
    [anon_sym_BSLASHinputfrom] = ACTIONS(473),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(473),
    [anon_sym_BSLASHincludefrom] = ACTIONS(473),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(473),
    [anon_sym_BSLASHcaption] = ACTIONS(476),
    [anon_sym_BSLASHcite] = ACTIONS(479),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(482),
    [anon_sym_BSLASHCite] = ACTIONS(479),
    [anon_sym_BSLASHnocite] = ACTIONS(479),
    [anon_sym_BSLASHcitet] = ACTIONS(479),
    [anon_sym_BSLASHcitep] = ACTIONS(479),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(482),
    [anon_sym_BSLASHciteA] = ACTIONS(479),
    [anon_sym_BSLASHciteR] = ACTIONS(479),
    [anon_sym_BSLASHciteS] = ACTIONS(479),
    [anon_sym_BSLASHciteyearR] = ACTIONS(479),
    [anon_sym_BSLASHciteauthor] = ACTIONS(479),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(479),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(479),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(482),
    [anon_sym_BSLASHciteyear] = ACTIONS(479),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(482),
    [anon_sym_BSLASHcitedate] = ACTIONS(479),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(482),
    [anon_sym_BSLASHciteurl] = ACTIONS(479),
    [anon_sym_BSLASHfullcite] = ACTIONS(479),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(479),
    [anon_sym_BSLASHcitealt] = ACTIONS(479),
    [anon_sym_BSLASHcitealp] = ACTIONS(479),
    [anon_sym_BSLASHcitetext] = ACTIONS(479),
    [anon_sym_BSLASHparencite] = ACTIONS(479),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(482),
    [anon_sym_BSLASHParencite] = ACTIONS(479),
    [anon_sym_BSLASHfootcite] = ACTIONS(479),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(479),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(479),
    [anon_sym_BSLASHtextcite] = ACTIONS(479),
    [anon_sym_BSLASHTextcite] = ACTIONS(479),
    [anon_sym_BSLASHsmartcite] = ACTIONS(479),
    [anon_sym_BSLASHSmartcite] = ACTIONS(479),
    [anon_sym_BSLASHsupercite] = ACTIONS(479),
    [anon_sym_BSLASHautocite] = ACTIONS(479),
    [anon_sym_BSLASHAutocite] = ACTIONS(479),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(482),
    [anon_sym_BSLASHvolcite] = ACTIONS(479),
    [anon_sym_BSLASHVolcite] = ACTIONS(479),
    [anon_sym_BSLASHpvolcite] = ACTIONS(479),
    [anon_sym_BSLASHPvolcite] = ACTIONS(479),
    [anon_sym_BSLASHfvolcite] = ACTIONS(479),
    [anon_sym_BSLASHftvolcite] = ACTIONS(479),
    [anon_sym_BSLASHsvolcite] = ACTIONS(479),
    [anon_sym_BSLASHSvolcite] = ACTIONS(479),
    [anon_sym_BSLASHtvolcite] = ACTIONS(479),
    [anon_sym_BSLASHTvolcite] = ACTIONS(479),
    [anon_sym_BSLASHavolcite] = ACTIONS(479),
    [anon_sym_BSLASHAvolcite] = ACTIONS(479),
    [anon_sym_BSLASHnotecite] = ACTIONS(479),
    [anon_sym_BSLASHNotecite] = ACTIONS(479),
    [anon_sym_BSLASHpnotecite] = ACTIONS(479),
    [anon_sym_BSLASHPnotecite] = ACTIONS(479),
    [anon_sym_BSLASHfnotecite] = ACTIONS(479),
    [anon_sym_BSLASHlabel] = ACTIONS(485),
    [anon_sym_BSLASHref] = ACTIONS(488),
    [anon_sym_BSLASHeqref] = ACTIONS(488),
    [anon_sym_BSLASHvref] = ACTIONS(488),
    [anon_sym_BSLASHVref] = ACTIONS(488),
    [anon_sym_BSLASHautoref] = ACTIONS(488),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(491),
    [anon_sym_BSLASHpageref] = ACTIONS(488),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(491),
    [anon_sym_BSLASHautopageref] = ACTIONS(488),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(491),
    [anon_sym_BSLASHcref] = ACTIONS(488),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(491),
    [anon_sym_BSLASHCref] = ACTIONS(488),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(491),
    [anon_sym_BSLASHcpageref] = ACTIONS(488),
    [anon_sym_BSLASHCpageref] = ACTIONS(488),
    [anon_sym_BSLASHnamecref] = ACTIONS(488),
    [anon_sym_BSLASHnameCref] = ACTIONS(488),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(488),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(488),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(488),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(488),
    [anon_sym_BSLASHlabelcref] = ACTIONS(488),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(491),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(488),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(491),
    [anon_sym_BSLASHcrefrange] = ACTIONS(494),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(497),
    [anon_sym_BSLASHCrefrange] = ACTIONS(494),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(497),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(494),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(494),
    [anon_sym_BSLASHnewlabel] = ACTIONS(500),
    [anon_sym_BSLASHnewcommand] = ACTIONS(503),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(506),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(503),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(506),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(503),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(506),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(503),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(506),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(503),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(506),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(509),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(509),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(509),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(509),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(509),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(509),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(509),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(509),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(512),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(512),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(512),
    [anon_sym_BSLASHdef] = ACTIONS(515),
    [anon_sym_BSLASHgdef] = ACTIONS(515),
    [anon_sym_BSLASHedef] = ACTIONS(515),
    [anon_sym_BSLASHxdef] = ACTIONS(515),
    [anon_sym_BSLASHlet] = ACTIONS(518),
    [anon_sym_BSLASHglet] = ACTIONS(518),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(521),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(521),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(524),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(524),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(530),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(530),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(530),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(533),
    [anon_sym_BSLASHgls] = ACTIONS(536),
    [anon_sym_BSLASHGls] = ACTIONS(536),
    [anon_sym_BSLASHGLS] = ACTIONS(536),
    [anon_sym_BSLASHglspl] = ACTIONS(536),
    [anon_sym_BSLASHGlspl] = ACTIONS(536),
    [anon_sym_BSLASHGLSpl] = ACTIONS(536),
    [anon_sym_BSLASHglsdisp] = ACTIONS(536),
    [anon_sym_BSLASHglslink] = ACTIONS(536),
    [anon_sym_BSLASHglstext] = ACTIONS(536),
    [anon_sym_BSLASHGlstext] = ACTIONS(536),
    [anon_sym_BSLASHGLStext] = ACTIONS(536),
    [anon_sym_BSLASHglsfirst] = ACTIONS(536),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(536),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(536),
    [anon_sym_BSLASHglsplural] = ACTIONS(536),
    [anon_sym_BSLASHGlsplural] = ACTIONS(536),
    [anon_sym_BSLASHGLSplural] = ACTIONS(536),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(536),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(536),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(536),
    [anon_sym_BSLASHglsname] = ACTIONS(536),
    [anon_sym_BSLASHGlsname] = ACTIONS(536),
    [anon_sym_BSLASHGLSname] = ACTIONS(536),
    [anon_sym_BSLASHglssymbol] = ACTIONS(536),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(536),
    [anon_sym_BSLASHglsdesc] = ACTIONS(536),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(536),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(536),
    [anon_sym_BSLASHglsuseri] = ACTIONS(536),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(536),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(536),
    [anon_sym_BSLASHglsuserii] = ACTIONS(536),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(536),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(536),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(536),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(536),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(536),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(536),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(536),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(536),
    [anon_sym_BSLASHglsuserv] = ACTIONS(536),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(536),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(536),
    [anon_sym_BSLASHglsuservi] = ACTIONS(536),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(536),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(536),
    [anon_sym_BSLASHnewacronym] = ACTIONS(539),
    [anon_sym_BSLASHacrshort] = ACTIONS(542),
    [anon_sym_BSLASHAcrshort] = ACTIONS(542),
    [anon_sym_BSLASHACRshort] = ACTIONS(542),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(542),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(542),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(542),
    [anon_sym_BSLASHacrlong] = ACTIONS(542),
    [anon_sym_BSLASHAcrlong] = ACTIONS(542),
    [anon_sym_BSLASHACRlong] = ACTIONS(542),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(542),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(542),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(542),
    [anon_sym_BSLASHacrfull] = ACTIONS(542),
    [anon_sym_BSLASHAcrfull] = ACTIONS(542),
    [anon_sym_BSLASHACRfull] = ACTIONS(542),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(542),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(542),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(542),
    [anon_sym_BSLASHacs] = ACTIONS(542),
    [anon_sym_BSLASHAcs] = ACTIONS(542),
    [anon_sym_BSLASHacsp] = ACTIONS(542),
    [anon_sym_BSLASHAcsp] = ACTIONS(542),
    [anon_sym_BSLASHacl] = ACTIONS(542),
    [anon_sym_BSLASHAcl] = ACTIONS(542),
    [anon_sym_BSLASHaclp] = ACTIONS(542),
    [anon_sym_BSLASHAclp] = ACTIONS(542),
    [anon_sym_BSLASHacf] = ACTIONS(542),
    [anon_sym_BSLASHAcf] = ACTIONS(542),
    [anon_sym_BSLASHacfp] = ACTIONS(542),
    [anon_sym_BSLASHAcfp] = ACTIONS(542),
    [anon_sym_BSLASHac] = ACTIONS(542),
    [anon_sym_BSLASHAc] = ACTIONS(542),
    [anon_sym_BSLASHacp] = ACTIONS(542),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(542),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(542),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(542),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(542),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(542),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(542),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(542),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(542),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(542),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(542),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(545),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(548),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(545),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(548),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(551),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(554),
    [anon_sym_BSLASHcolor] = ACTIONS(557),
    [anon_sym_BSLASHpagecolor] = ACTIONS(557),
    [anon_sym_BSLASHtextcolor] = ACTIONS(557),
    [anon_sym_BSLASHmathcolor] = ACTIONS(557),
    [anon_sym_BSLASHcolorbox] = ACTIONS(557),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(560),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(560),
    [anon_sym_BSLASHurl] = ACTIONS(563),
    [anon_sym_BSLASHhref] = ACTIONS(563),
  },
  [11] = {
    [sym_block_comment] = STATE(10),
    [sym__root_content] = STATE(10),
    [sym__flat_content] = STATE(10),
    [sym__text_with_env_content] = STATE(10),
    [sym__text_content] = STATE(10),
    [sym__section] = STATE(10),
    [sym__paragraph] = STATE(10),
    [sym__part_declaration] = STATE(157),
    [sym_part] = STATE(444),
    [sym__chapter_declaration] = STATE(158),
    [sym_chapter] = STATE(369),
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(370),
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(371),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(372),
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(373),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(374),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(375),
    [sym_curly_group] = STATE(10),
    [sym_text] = STATE(10),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(10),
    [sym_displayed_equation] = STATE(10),
    [sym_inline_formula] = STATE(10),
    [sym_math_delimiter] = STATE(10),
    [sym_text_mode] = STATE(10),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(10),
    [sym_comment_environment] = STATE(10),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(10),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(10),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(10),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(10),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(10),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(10),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(10),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(10),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(10),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(10),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(10),
    [sym_generic_command] = STATE(10),
    [sym_title_declaration] = STATE(10),
    [sym_author_declaration] = STATE(10),
    [sym_package_include] = STATE(10),
    [sym_class_include] = STATE(10),
    [sym_latex_include] = STATE(10),
    [sym_biblatex_include] = STATE(10),
    [sym_bibstyle_include] = STATE(10),
    [sym_bibtex_include] = STATE(10),
    [sym_graphics_include] = STATE(10),
    [sym_svg_include] = STATE(10),
    [sym_inkscape_include] = STATE(10),
    [sym_verbatim_include] = STATE(10),
    [sym_import_include] = STATE(10),
    [sym_caption] = STATE(10),
    [sym_citation] = STATE(10),
    [sym_label_definition] = STATE(10),
    [sym_label_reference] = STATE(10),
    [sym_label_reference_range] = STATE(10),
    [sym_label_number] = STATE(10),
    [sym_new_command_definition] = STATE(10),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(10),
    [sym_let_command_definition] = STATE(10),
    [sym_paired_delimiter_definition] = STATE(10),
    [sym_environment_definition] = STATE(10),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(10),
    [sym_glossary_entry_reference] = STATE(10),
    [sym_acronym_definition] = STATE(10),
    [sym_acronym_reference] = STATE(10),
    [sym_theorem_definition] = STATE(10),
    [sym_color_definition] = STATE(10),
    [sym_color_set_definition] = STATE(10),
    [sym_color_reference] = STATE(10),
    [sym_tikz_library_import] = STATE(10),
    [sym_hyperlink] = STATE(10),
    [aux_sym_source_file_repeat1] = STATE(10),
    [aux_sym__section_repeat1] = STATE(444),
    [aux_sym__section_repeat2] = STATE(369),
    [aux_sym__section_repeat3] = STATE(370),
    [aux_sym__section_repeat4] = STATE(371),
    [aux_sym__section_repeat5] = STATE(372),
    [aux_sym__paragraph_repeat1] = STATE(373),
    [aux_sym__paragraph_repeat2] = STATE(374),
    [aux_sym__paragraph_repeat3] = STATE(375),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(335),
    [anon_sym_RBRACK] = ACTIONS(335),
    [anon_sym_COMMA] = ACTIONS(335),
    [anon_sym_EQ] = ACTIONS(335),
    [anon_sym_LPAREN] = ACTIONS(335),
    [anon_sym_RPAREN] = ACTIONS(335),
    [anon_sym_BSLASHpart] = ACTIONS(183),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHaddpart] = ACTIONS(183),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHchapter] = ACTIONS(187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(189),
    [anon_sym_BSLASHaddchap] = ACTIONS(187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(189),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(566),
    [anon_sym_BSLASHbigr] = ACTIONS(566),
    [anon_sym_BSLASHBigr] = ACTIONS(566),
    [anon_sym_BSLASHbiggr] = ACTIONS(566),
    [anon_sym_BSLASHBiggr] = ACTIONS(566),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [12] = {
    [sym_block_comment] = STATE(10),
    [sym__root_content] = STATE(10),
    [sym__flat_content] = STATE(10),
    [sym__text_with_env_content] = STATE(10),
    [sym__text_content] = STATE(10),
    [sym__section] = STATE(10),
    [sym__paragraph] = STATE(10),
    [sym__part_declaration] = STATE(157),
    [sym_part] = STATE(444),
    [sym__chapter_declaration] = STATE(158),
    [sym_chapter] = STATE(369),
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(370),
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(371),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(372),
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(373),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(374),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(375),
    [sym_curly_group] = STATE(10),
    [sym_text] = STATE(10),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(10),
    [sym_displayed_equation] = STATE(10),
    [sym_inline_formula] = STATE(10),
    [sym_math_delimiter] = STATE(10),
    [sym_text_mode] = STATE(10),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(10),
    [sym_comment_environment] = STATE(10),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(10),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(10),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(10),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(10),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(10),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(10),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(10),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(10),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(10),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(10),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(10),
    [sym_generic_command] = STATE(10),
    [sym_title_declaration] = STATE(10),
    [sym_author_declaration] = STATE(10),
    [sym_package_include] = STATE(10),
    [sym_class_include] = STATE(10),
    [sym_latex_include] = STATE(10),
    [sym_biblatex_include] = STATE(10),
    [sym_bibstyle_include] = STATE(10),
    [sym_bibtex_include] = STATE(10),
    [sym_graphics_include] = STATE(10),
    [sym_svg_include] = STATE(10),
    [sym_inkscape_include] = STATE(10),
    [sym_verbatim_include] = STATE(10),
    [sym_import_include] = STATE(10),
    [sym_caption] = STATE(10),
    [sym_citation] = STATE(10),
    [sym_label_definition] = STATE(10),
    [sym_label_reference] = STATE(10),
    [sym_label_reference_range] = STATE(10),
    [sym_label_number] = STATE(10),
    [sym_new_command_definition] = STATE(10),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(10),
    [sym_let_command_definition] = STATE(10),
    [sym_paired_delimiter_definition] = STATE(10),
    [sym_environment_definition] = STATE(10),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(10),
    [sym_glossary_entry_reference] = STATE(10),
    [sym_acronym_definition] = STATE(10),
    [sym_acronym_reference] = STATE(10),
    [sym_theorem_definition] = STATE(10),
    [sym_color_definition] = STATE(10),
    [sym_color_set_definition] = STATE(10),
    [sym_color_reference] = STATE(10),
    [sym_tikz_library_import] = STATE(10),
    [sym_hyperlink] = STATE(10),
    [aux_sym_source_file_repeat1] = STATE(10),
    [aux_sym__section_repeat1] = STATE(444),
    [aux_sym__section_repeat2] = STATE(369),
    [aux_sym__section_repeat3] = STATE(370),
    [aux_sym__section_repeat4] = STATE(371),
    [aux_sym__section_repeat5] = STATE(372),
    [aux_sym__paragraph_repeat1] = STATE(373),
    [aux_sym__paragraph_repeat2] = STATE(374),
    [aux_sym__paragraph_repeat3] = STATE(375),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(335),
    [anon_sym_RBRACK] = ACTIONS(335),
    [anon_sym_COMMA] = ACTIONS(335),
    [anon_sym_EQ] = ACTIONS(335),
    [anon_sym_LPAREN] = ACTIONS(335),
    [anon_sym_RPAREN] = ACTIONS(335),
    [anon_sym_BSLASHpart] = ACTIONS(183),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHaddpart] = ACTIONS(183),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHchapter] = ACTIONS(187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(189),
    [anon_sym_BSLASHaddchap] = ACTIONS(187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(189),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(568),
    [anon_sym_BSLASHbigr] = ACTIONS(568),
    [anon_sym_BSLASHBigr] = ACTIONS(568),
    [anon_sym_BSLASHbiggr] = ACTIONS(568),
    [anon_sym_BSLASHBiggr] = ACTIONS(568),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [13] = {
    [sym_block_comment] = STATE(10),
    [sym__root_content] = STATE(10),
    [sym__flat_content] = STATE(10),
    [sym__text_with_env_content] = STATE(10),
    [sym__text_content] = STATE(10),
    [sym__section] = STATE(10),
    [sym__paragraph] = STATE(10),
    [sym__part_declaration] = STATE(157),
    [sym_part] = STATE(444),
    [sym__chapter_declaration] = STATE(158),
    [sym_chapter] = STATE(369),
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(370),
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(371),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(372),
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(373),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(374),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(375),
    [sym_curly_group] = STATE(10),
    [sym_text] = STATE(10),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(10),
    [sym_displayed_equation] = STATE(10),
    [sym_inline_formula] = STATE(10),
    [sym_math_delimiter] = STATE(10),
    [sym_text_mode] = STATE(10),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(10),
    [sym_comment_environment] = STATE(10),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(10),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(10),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(10),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(10),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(10),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(10),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(10),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(10),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(10),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(10),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(10),
    [sym_generic_command] = STATE(10),
    [sym_title_declaration] = STATE(10),
    [sym_author_declaration] = STATE(10),
    [sym_package_include] = STATE(10),
    [sym_class_include] = STATE(10),
    [sym_latex_include] = STATE(10),
    [sym_biblatex_include] = STATE(10),
    [sym_bibstyle_include] = STATE(10),
    [sym_bibtex_include] = STATE(10),
    [sym_graphics_include] = STATE(10),
    [sym_svg_include] = STATE(10),
    [sym_inkscape_include] = STATE(10),
    [sym_verbatim_include] = STATE(10),
    [sym_import_include] = STATE(10),
    [sym_caption] = STATE(10),
    [sym_citation] = STATE(10),
    [sym_label_definition] = STATE(10),
    [sym_label_reference] = STATE(10),
    [sym_label_reference_range] = STATE(10),
    [sym_label_number] = STATE(10),
    [sym_new_command_definition] = STATE(10),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(10),
    [sym_let_command_definition] = STATE(10),
    [sym_paired_delimiter_definition] = STATE(10),
    [sym_environment_definition] = STATE(10),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(10),
    [sym_glossary_entry_reference] = STATE(10),
    [sym_acronym_definition] = STATE(10),
    [sym_acronym_reference] = STATE(10),
    [sym_theorem_definition] = STATE(10),
    [sym_color_definition] = STATE(10),
    [sym_color_set_definition] = STATE(10),
    [sym_color_reference] = STATE(10),
    [sym_tikz_library_import] = STATE(10),
    [sym_hyperlink] = STATE(10),
    [aux_sym_source_file_repeat1] = STATE(10),
    [aux_sym__section_repeat1] = STATE(444),
    [aux_sym__section_repeat2] = STATE(369),
    [aux_sym__section_repeat3] = STATE(370),
    [aux_sym__section_repeat4] = STATE(371),
    [aux_sym__section_repeat5] = STATE(372),
    [aux_sym__paragraph_repeat1] = STATE(373),
    [aux_sym__paragraph_repeat2] = STATE(374),
    [aux_sym__paragraph_repeat3] = STATE(375),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(335),
    [anon_sym_RBRACK] = ACTIONS(335),
    [anon_sym_COMMA] = ACTIONS(335),
    [anon_sym_EQ] = ACTIONS(335),
    [anon_sym_LPAREN] = ACTIONS(335),
    [anon_sym_RPAREN] = ACTIONS(335),
    [anon_sym_BSLASHpart] = ACTIONS(183),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHaddpart] = ACTIONS(183),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHchapter] = ACTIONS(187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(189),
    [anon_sym_BSLASHaddchap] = ACTIONS(187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(189),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(570),
    [anon_sym_BSLASHbigr] = ACTIONS(570),
    [anon_sym_BSLASHBigr] = ACTIONS(570),
    [anon_sym_BSLASHbiggr] = ACTIONS(570),
    [anon_sym_BSLASHBiggr] = ACTIONS(570),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [14] = {
    [sym_block_comment] = STATE(15),
    [sym__root_content] = STATE(15),
    [sym__flat_content] = STATE(15),
    [sym__text_with_env_content] = STATE(15),
    [sym__text_content] = STATE(15),
    [sym__section] = STATE(15),
    [sym__paragraph] = STATE(15),
    [sym__part_declaration] = STATE(157),
    [sym_part] = STATE(444),
    [sym__chapter_declaration] = STATE(158),
    [sym_chapter] = STATE(369),
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(370),
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(371),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(372),
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(373),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(374),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(375),
    [sym_curly_group] = STATE(15),
    [sym_text] = STATE(15),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(15),
    [sym_displayed_equation] = STATE(15),
    [sym_inline_formula] = STATE(15),
    [sym_math_delimiter] = STATE(15),
    [sym_text_mode] = STATE(15),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(15),
    [sym_comment_environment] = STATE(15),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(15),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(15),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(15),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(15),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(15),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(15),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(15),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(15),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(15),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(15),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(15),
    [sym_generic_command] = STATE(15),
    [sym_title_declaration] = STATE(15),
    [sym_author_declaration] = STATE(15),
    [sym_package_include] = STATE(15),
    [sym_class_include] = STATE(15),
    [sym_latex_include] = STATE(15),
    [sym_biblatex_include] = STATE(15),
    [sym_bibstyle_include] = STATE(15),
    [sym_bibtex_include] = STATE(15),
    [sym_graphics_include] = STATE(15),
    [sym_svg_include] = STATE(15),
    [sym_inkscape_include] = STATE(15),
    [sym_verbatim_include] = STATE(15),
    [sym_import_include] = STATE(15),
    [sym_caption] = STATE(15),
    [sym_citation] = STATE(15),
    [sym_label_definition] = STATE(15),
    [sym_label_reference] = STATE(15),
    [sym_label_reference_range] = STATE(15),
    [sym_label_number] = STATE(15),
    [sym_new_command_definition] = STATE(15),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(15),
    [sym_let_command_definition] = STATE(15),
    [sym_paired_delimiter_definition] = STATE(15),
    [sym_environment_definition] = STATE(15),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(15),
    [sym_glossary_entry_reference] = STATE(15),
    [sym_acronym_definition] = STATE(15),
    [sym_acronym_reference] = STATE(15),
    [sym_theorem_definition] = STATE(15),
    [sym_color_definition] = STATE(15),
    [sym_color_set_definition] = STATE(15),
    [sym_color_reference] = STATE(15),
    [sym_tikz_library_import] = STATE(15),
    [sym_hyperlink] = STATE(15),
    [aux_sym_source_file_repeat1] = STATE(15),
    [aux_sym__section_repeat1] = STATE(444),
    [aux_sym__section_repeat2] = STATE(369),
    [aux_sym__section_repeat3] = STATE(370),
    [aux_sym__section_repeat4] = STATE(371),
    [aux_sym__section_repeat5] = STATE(372),
    [aux_sym__paragraph_repeat1] = STATE(373),
    [aux_sym__paragraph_repeat2] = STATE(374),
    [aux_sym__paragraph_repeat3] = STATE(375),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(572),
    [anon_sym_RBRACK] = ACTIONS(572),
    [anon_sym_COMMA] = ACTIONS(572),
    [anon_sym_EQ] = ACTIONS(572),
    [anon_sym_LPAREN] = ACTIONS(572),
    [anon_sym_RPAREN] = ACTIONS(572),
    [anon_sym_BSLASHpart] = ACTIONS(183),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHaddpart] = ACTIONS(183),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHchapter] = ACTIONS(187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(189),
    [anon_sym_BSLASHaddchap] = ACTIONS(187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(189),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(574),
    [anon_sym_BSLASHbigr] = ACTIONS(574),
    [anon_sym_BSLASHBigr] = ACTIONS(574),
    [anon_sym_BSLASHbiggr] = ACTIONS(574),
    [anon_sym_BSLASHBiggr] = ACTIONS(574),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [15] = {
    [sym_block_comment] = STATE(10),
    [sym__root_content] = STATE(10),
    [sym__flat_content] = STATE(10),
    [sym__text_with_env_content] = STATE(10),
    [sym__text_content] = STATE(10),
    [sym__section] = STATE(10),
    [sym__paragraph] = STATE(10),
    [sym__part_declaration] = STATE(157),
    [sym_part] = STATE(444),
    [sym__chapter_declaration] = STATE(158),
    [sym_chapter] = STATE(369),
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(370),
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(371),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(372),
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(373),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(374),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(375),
    [sym_curly_group] = STATE(10),
    [sym_text] = STATE(10),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(10),
    [sym_displayed_equation] = STATE(10),
    [sym_inline_formula] = STATE(10),
    [sym_math_delimiter] = STATE(10),
    [sym_text_mode] = STATE(10),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(10),
    [sym_comment_environment] = STATE(10),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(10),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(10),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(10),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(10),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(10),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(10),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(10),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(10),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(10),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(10),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(10),
    [sym_generic_command] = STATE(10),
    [sym_title_declaration] = STATE(10),
    [sym_author_declaration] = STATE(10),
    [sym_package_include] = STATE(10),
    [sym_class_include] = STATE(10),
    [sym_latex_include] = STATE(10),
    [sym_biblatex_include] = STATE(10),
    [sym_bibstyle_include] = STATE(10),
    [sym_bibtex_include] = STATE(10),
    [sym_graphics_include] = STATE(10),
    [sym_svg_include] = STATE(10),
    [sym_inkscape_include] = STATE(10),
    [sym_verbatim_include] = STATE(10),
    [sym_import_include] = STATE(10),
    [sym_caption] = STATE(10),
    [sym_citation] = STATE(10),
    [sym_label_definition] = STATE(10),
    [sym_label_reference] = STATE(10),
    [sym_label_reference_range] = STATE(10),
    [sym_label_number] = STATE(10),
    [sym_new_command_definition] = STATE(10),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(10),
    [sym_let_command_definition] = STATE(10),
    [sym_paired_delimiter_definition] = STATE(10),
    [sym_environment_definition] = STATE(10),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(10),
    [sym_glossary_entry_reference] = STATE(10),
    [sym_acronym_definition] = STATE(10),
    [sym_acronym_reference] = STATE(10),
    [sym_theorem_definition] = STATE(10),
    [sym_color_definition] = STATE(10),
    [sym_color_set_definition] = STATE(10),
    [sym_color_reference] = STATE(10),
    [sym_tikz_library_import] = STATE(10),
    [sym_hyperlink] = STATE(10),
    [aux_sym_source_file_repeat1] = STATE(10),
    [aux_sym__section_repeat1] = STATE(444),
    [aux_sym__section_repeat2] = STATE(369),
    [aux_sym__section_repeat3] = STATE(370),
    [aux_sym__section_repeat4] = STATE(371),
    [aux_sym__section_repeat5] = STATE(372),
    [aux_sym__paragraph_repeat1] = STATE(373),
    [aux_sym__paragraph_repeat2] = STATE(374),
    [aux_sym__paragraph_repeat3] = STATE(375),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(335),
    [anon_sym_RBRACK] = ACTIONS(335),
    [anon_sym_COMMA] = ACTIONS(335),
    [anon_sym_EQ] = ACTIONS(335),
    [anon_sym_LPAREN] = ACTIONS(335),
    [anon_sym_RPAREN] = ACTIONS(335),
    [anon_sym_BSLASHpart] = ACTIONS(183),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHaddpart] = ACTIONS(183),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHchapter] = ACTIONS(187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(189),
    [anon_sym_BSLASHaddchap] = ACTIONS(187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(189),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(576),
    [anon_sym_BSLASHbigr] = ACTIONS(576),
    [anon_sym_BSLASHBigr] = ACTIONS(576),
    [anon_sym_BSLASHbiggr] = ACTIONS(576),
    [anon_sym_BSLASHBiggr] = ACTIONS(576),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [16] = {
    [sym_block_comment] = STATE(17),
    [sym__root_content] = STATE(17),
    [sym__flat_content] = STATE(17),
    [sym__text_with_env_content] = STATE(17),
    [sym__text_content] = STATE(17),
    [sym__section] = STATE(17),
    [sym__paragraph] = STATE(17),
    [sym__part_declaration] = STATE(157),
    [sym_part] = STATE(444),
    [sym__chapter_declaration] = STATE(158),
    [sym_chapter] = STATE(369),
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(370),
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(371),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(372),
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(373),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(374),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(375),
    [sym_curly_group] = STATE(17),
    [sym_text] = STATE(17),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(17),
    [sym_displayed_equation] = STATE(17),
    [sym_inline_formula] = STATE(17),
    [sym_math_delimiter] = STATE(17),
    [sym_text_mode] = STATE(17),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(17),
    [sym_comment_environment] = STATE(17),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(17),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(17),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(17),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(17),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(17),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(17),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(17),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(17),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(17),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(17),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(17),
    [sym_generic_command] = STATE(17),
    [sym_title_declaration] = STATE(17),
    [sym_author_declaration] = STATE(17),
    [sym_package_include] = STATE(17),
    [sym_class_include] = STATE(17),
    [sym_latex_include] = STATE(17),
    [sym_biblatex_include] = STATE(17),
    [sym_bibstyle_include] = STATE(17),
    [sym_bibtex_include] = STATE(17),
    [sym_graphics_include] = STATE(17),
    [sym_svg_include] = STATE(17),
    [sym_inkscape_include] = STATE(17),
    [sym_verbatim_include] = STATE(17),
    [sym_import_include] = STATE(17),
    [sym_caption] = STATE(17),
    [sym_citation] = STATE(17),
    [sym_label_definition] = STATE(17),
    [sym_label_reference] = STATE(17),
    [sym_label_reference_range] = STATE(17),
    [sym_label_number] = STATE(17),
    [sym_new_command_definition] = STATE(17),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(17),
    [sym_let_command_definition] = STATE(17),
    [sym_paired_delimiter_definition] = STATE(17),
    [sym_environment_definition] = STATE(17),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(17),
    [sym_glossary_entry_reference] = STATE(17),
    [sym_acronym_definition] = STATE(17),
    [sym_acronym_reference] = STATE(17),
    [sym_theorem_definition] = STATE(17),
    [sym_color_definition] = STATE(17),
    [sym_color_set_definition] = STATE(17),
    [sym_color_reference] = STATE(17),
    [sym_tikz_library_import] = STATE(17),
    [sym_hyperlink] = STATE(17),
    [aux_sym_source_file_repeat1] = STATE(17),
    [aux_sym__section_repeat1] = STATE(444),
    [aux_sym__section_repeat2] = STATE(369),
    [aux_sym__section_repeat3] = STATE(370),
    [aux_sym__section_repeat4] = STATE(371),
    [aux_sym__section_repeat5] = STATE(372),
    [aux_sym__paragraph_repeat1] = STATE(373),
    [aux_sym__paragraph_repeat2] = STATE(374),
    [aux_sym__paragraph_repeat3] = STATE(375),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(578),
    [anon_sym_RBRACK] = ACTIONS(578),
    [anon_sym_COMMA] = ACTIONS(578),
    [anon_sym_EQ] = ACTIONS(578),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_RPAREN] = ACTIONS(578),
    [anon_sym_BSLASHpart] = ACTIONS(183),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHaddpart] = ACTIONS(183),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHchapter] = ACTIONS(187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(189),
    [anon_sym_BSLASHaddchap] = ACTIONS(187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(189),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(580),
    [anon_sym_BSLASHbigr] = ACTIONS(580),
    [anon_sym_BSLASHBigr] = ACTIONS(580),
    [anon_sym_BSLASHbiggr] = ACTIONS(580),
    [anon_sym_BSLASHBiggr] = ACTIONS(580),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [17] = {
    [sym_block_comment] = STATE(10),
    [sym__root_content] = STATE(10),
    [sym__flat_content] = STATE(10),
    [sym__text_with_env_content] = STATE(10),
    [sym__text_content] = STATE(10),
    [sym__section] = STATE(10),
    [sym__paragraph] = STATE(10),
    [sym__part_declaration] = STATE(157),
    [sym_part] = STATE(444),
    [sym__chapter_declaration] = STATE(158),
    [sym_chapter] = STATE(369),
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(370),
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(371),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(372),
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(373),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(374),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(375),
    [sym_curly_group] = STATE(10),
    [sym_text] = STATE(10),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(10),
    [sym_displayed_equation] = STATE(10),
    [sym_inline_formula] = STATE(10),
    [sym_math_delimiter] = STATE(10),
    [sym_text_mode] = STATE(10),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(10),
    [sym_comment_environment] = STATE(10),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(10),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(10),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(10),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(10),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(10),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(10),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(10),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(10),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(10),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(10),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(10),
    [sym_generic_command] = STATE(10),
    [sym_title_declaration] = STATE(10),
    [sym_author_declaration] = STATE(10),
    [sym_package_include] = STATE(10),
    [sym_class_include] = STATE(10),
    [sym_latex_include] = STATE(10),
    [sym_biblatex_include] = STATE(10),
    [sym_bibstyle_include] = STATE(10),
    [sym_bibtex_include] = STATE(10),
    [sym_graphics_include] = STATE(10),
    [sym_svg_include] = STATE(10),
    [sym_inkscape_include] = STATE(10),
    [sym_verbatim_include] = STATE(10),
    [sym_import_include] = STATE(10),
    [sym_caption] = STATE(10),
    [sym_citation] = STATE(10),
    [sym_label_definition] = STATE(10),
    [sym_label_reference] = STATE(10),
    [sym_label_reference_range] = STATE(10),
    [sym_label_number] = STATE(10),
    [sym_new_command_definition] = STATE(10),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(10),
    [sym_let_command_definition] = STATE(10),
    [sym_paired_delimiter_definition] = STATE(10),
    [sym_environment_definition] = STATE(10),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(10),
    [sym_glossary_entry_reference] = STATE(10),
    [sym_acronym_definition] = STATE(10),
    [sym_acronym_reference] = STATE(10),
    [sym_theorem_definition] = STATE(10),
    [sym_color_definition] = STATE(10),
    [sym_color_set_definition] = STATE(10),
    [sym_color_reference] = STATE(10),
    [sym_tikz_library_import] = STATE(10),
    [sym_hyperlink] = STATE(10),
    [aux_sym_source_file_repeat1] = STATE(10),
    [aux_sym__section_repeat1] = STATE(444),
    [aux_sym__section_repeat2] = STATE(369),
    [aux_sym__section_repeat3] = STATE(370),
    [aux_sym__section_repeat4] = STATE(371),
    [aux_sym__section_repeat5] = STATE(372),
    [aux_sym__paragraph_repeat1] = STATE(373),
    [aux_sym__paragraph_repeat2] = STATE(374),
    [aux_sym__paragraph_repeat3] = STATE(375),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(335),
    [anon_sym_RBRACK] = ACTIONS(335),
    [anon_sym_COMMA] = ACTIONS(335),
    [anon_sym_EQ] = ACTIONS(335),
    [anon_sym_LPAREN] = ACTIONS(335),
    [anon_sym_RPAREN] = ACTIONS(335),
    [anon_sym_BSLASHpart] = ACTIONS(183),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHaddpart] = ACTIONS(183),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHchapter] = ACTIONS(187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(189),
    [anon_sym_BSLASHaddchap] = ACTIONS(187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(189),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(582),
    [anon_sym_BSLASHbigr] = ACTIONS(582),
    [anon_sym_BSLASHBigr] = ACTIONS(582),
    [anon_sym_BSLASHbiggr] = ACTIONS(582),
    [anon_sym_BSLASHBiggr] = ACTIONS(582),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [18] = {
    [sym_block_comment] = STATE(19),
    [sym__root_content] = STATE(19),
    [sym__flat_content] = STATE(19),
    [sym__text_with_env_content] = STATE(19),
    [sym__text_content] = STATE(19),
    [sym__section] = STATE(19),
    [sym__paragraph] = STATE(19),
    [sym__part_declaration] = STATE(157),
    [sym_part] = STATE(444),
    [sym__chapter_declaration] = STATE(158),
    [sym_chapter] = STATE(369),
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(370),
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(371),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(372),
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(373),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(374),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(375),
    [sym_curly_group] = STATE(19),
    [sym_text] = STATE(19),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(19),
    [sym_displayed_equation] = STATE(19),
    [sym_inline_formula] = STATE(19),
    [sym_math_delimiter] = STATE(19),
    [sym_text_mode] = STATE(19),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(19),
    [sym_comment_environment] = STATE(19),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(19),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(19),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(19),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(19),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(19),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(19),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(19),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(19),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(19),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(19),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(19),
    [sym_generic_command] = STATE(19),
    [sym_title_declaration] = STATE(19),
    [sym_author_declaration] = STATE(19),
    [sym_package_include] = STATE(19),
    [sym_class_include] = STATE(19),
    [sym_latex_include] = STATE(19),
    [sym_biblatex_include] = STATE(19),
    [sym_bibstyle_include] = STATE(19),
    [sym_bibtex_include] = STATE(19),
    [sym_graphics_include] = STATE(19),
    [sym_svg_include] = STATE(19),
    [sym_inkscape_include] = STATE(19),
    [sym_verbatim_include] = STATE(19),
    [sym_import_include] = STATE(19),
    [sym_caption] = STATE(19),
    [sym_citation] = STATE(19),
    [sym_label_definition] = STATE(19),
    [sym_label_reference] = STATE(19),
    [sym_label_reference_range] = STATE(19),
    [sym_label_number] = STATE(19),
    [sym_new_command_definition] = STATE(19),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(19),
    [sym_let_command_definition] = STATE(19),
    [sym_paired_delimiter_definition] = STATE(19),
    [sym_environment_definition] = STATE(19),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(19),
    [sym_glossary_entry_reference] = STATE(19),
    [sym_acronym_definition] = STATE(19),
    [sym_acronym_reference] = STATE(19),
    [sym_theorem_definition] = STATE(19),
    [sym_color_definition] = STATE(19),
    [sym_color_set_definition] = STATE(19),
    [sym_color_reference] = STATE(19),
    [sym_tikz_library_import] = STATE(19),
    [sym_hyperlink] = STATE(19),
    [aux_sym_source_file_repeat1] = STATE(19),
    [aux_sym__section_repeat1] = STATE(444),
    [aux_sym__section_repeat2] = STATE(369),
    [aux_sym__section_repeat3] = STATE(370),
    [aux_sym__section_repeat4] = STATE(371),
    [aux_sym__section_repeat5] = STATE(372),
    [aux_sym__paragraph_repeat1] = STATE(373),
    [aux_sym__paragraph_repeat2] = STATE(374),
    [aux_sym__paragraph_repeat3] = STATE(375),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(584),
    [anon_sym_RBRACK] = ACTIONS(584),
    [anon_sym_COMMA] = ACTIONS(584),
    [anon_sym_EQ] = ACTIONS(584),
    [anon_sym_LPAREN] = ACTIONS(584),
    [anon_sym_RPAREN] = ACTIONS(584),
    [anon_sym_BSLASHpart] = ACTIONS(183),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHaddpart] = ACTIONS(183),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHchapter] = ACTIONS(187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(189),
    [anon_sym_BSLASHaddchap] = ACTIONS(187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(189),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(586),
    [anon_sym_BSLASHbigr] = ACTIONS(586),
    [anon_sym_BSLASHBigr] = ACTIONS(586),
    [anon_sym_BSLASHbiggr] = ACTIONS(586),
    [anon_sym_BSLASHBiggr] = ACTIONS(586),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [19] = {
    [sym_block_comment] = STATE(10),
    [sym__root_content] = STATE(10),
    [sym__flat_content] = STATE(10),
    [sym__text_with_env_content] = STATE(10),
    [sym__text_content] = STATE(10),
    [sym__section] = STATE(10),
    [sym__paragraph] = STATE(10),
    [sym__part_declaration] = STATE(157),
    [sym_part] = STATE(444),
    [sym__chapter_declaration] = STATE(158),
    [sym_chapter] = STATE(369),
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(370),
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(371),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(372),
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(373),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(374),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(375),
    [sym_curly_group] = STATE(10),
    [sym_text] = STATE(10),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(10),
    [sym_displayed_equation] = STATE(10),
    [sym_inline_formula] = STATE(10),
    [sym_math_delimiter] = STATE(10),
    [sym_text_mode] = STATE(10),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(10),
    [sym_comment_environment] = STATE(10),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(10),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(10),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(10),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(10),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(10),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(10),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(10),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(10),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(10),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(10),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(10),
    [sym_generic_command] = STATE(10),
    [sym_title_declaration] = STATE(10),
    [sym_author_declaration] = STATE(10),
    [sym_package_include] = STATE(10),
    [sym_class_include] = STATE(10),
    [sym_latex_include] = STATE(10),
    [sym_biblatex_include] = STATE(10),
    [sym_bibstyle_include] = STATE(10),
    [sym_bibtex_include] = STATE(10),
    [sym_graphics_include] = STATE(10),
    [sym_svg_include] = STATE(10),
    [sym_inkscape_include] = STATE(10),
    [sym_verbatim_include] = STATE(10),
    [sym_import_include] = STATE(10),
    [sym_caption] = STATE(10),
    [sym_citation] = STATE(10),
    [sym_label_definition] = STATE(10),
    [sym_label_reference] = STATE(10),
    [sym_label_reference_range] = STATE(10),
    [sym_label_number] = STATE(10),
    [sym_new_command_definition] = STATE(10),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(10),
    [sym_let_command_definition] = STATE(10),
    [sym_paired_delimiter_definition] = STATE(10),
    [sym_environment_definition] = STATE(10),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(10),
    [sym_glossary_entry_reference] = STATE(10),
    [sym_acronym_definition] = STATE(10),
    [sym_acronym_reference] = STATE(10),
    [sym_theorem_definition] = STATE(10),
    [sym_color_definition] = STATE(10),
    [sym_color_set_definition] = STATE(10),
    [sym_color_reference] = STATE(10),
    [sym_tikz_library_import] = STATE(10),
    [sym_hyperlink] = STATE(10),
    [aux_sym_source_file_repeat1] = STATE(10),
    [aux_sym__section_repeat1] = STATE(444),
    [aux_sym__section_repeat2] = STATE(369),
    [aux_sym__section_repeat3] = STATE(370),
    [aux_sym__section_repeat4] = STATE(371),
    [aux_sym__section_repeat5] = STATE(372),
    [aux_sym__paragraph_repeat1] = STATE(373),
    [aux_sym__paragraph_repeat2] = STATE(374),
    [aux_sym__paragraph_repeat3] = STATE(375),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(335),
    [anon_sym_RBRACK] = ACTIONS(335),
    [anon_sym_COMMA] = ACTIONS(335),
    [anon_sym_EQ] = ACTIONS(335),
    [anon_sym_LPAREN] = ACTIONS(335),
    [anon_sym_RPAREN] = ACTIONS(335),
    [anon_sym_BSLASHpart] = ACTIONS(183),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHaddpart] = ACTIONS(183),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHchapter] = ACTIONS(187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(189),
    [anon_sym_BSLASHaddchap] = ACTIONS(187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(189),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(588),
    [anon_sym_BSLASHbigr] = ACTIONS(588),
    [anon_sym_BSLASHBigr] = ACTIONS(588),
    [anon_sym_BSLASHbiggr] = ACTIONS(588),
    [anon_sym_BSLASHBiggr] = ACTIONS(588),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [20] = {
    [sym_block_comment] = STATE(21),
    [sym__root_content] = STATE(21),
    [sym__flat_content] = STATE(21),
    [sym__text_with_env_content] = STATE(21),
    [sym__text_content] = STATE(21),
    [sym__section] = STATE(21),
    [sym__paragraph] = STATE(21),
    [sym__part_declaration] = STATE(157),
    [sym_part] = STATE(444),
    [sym__chapter_declaration] = STATE(158),
    [sym_chapter] = STATE(369),
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(370),
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(371),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(372),
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(373),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(374),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(375),
    [sym_curly_group] = STATE(21),
    [sym_text] = STATE(21),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(21),
    [sym_displayed_equation] = STATE(21),
    [sym_inline_formula] = STATE(21),
    [sym_math_delimiter] = STATE(21),
    [sym_text_mode] = STATE(21),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(21),
    [sym_comment_environment] = STATE(21),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(21),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(21),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(21),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(21),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(21),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(21),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(21),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(21),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(21),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(21),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(21),
    [sym_generic_command] = STATE(21),
    [sym_title_declaration] = STATE(21),
    [sym_author_declaration] = STATE(21),
    [sym_package_include] = STATE(21),
    [sym_class_include] = STATE(21),
    [sym_latex_include] = STATE(21),
    [sym_biblatex_include] = STATE(21),
    [sym_bibstyle_include] = STATE(21),
    [sym_bibtex_include] = STATE(21),
    [sym_graphics_include] = STATE(21),
    [sym_svg_include] = STATE(21),
    [sym_inkscape_include] = STATE(21),
    [sym_verbatim_include] = STATE(21),
    [sym_import_include] = STATE(21),
    [sym_caption] = STATE(21),
    [sym_citation] = STATE(21),
    [sym_label_definition] = STATE(21),
    [sym_label_reference] = STATE(21),
    [sym_label_reference_range] = STATE(21),
    [sym_label_number] = STATE(21),
    [sym_new_command_definition] = STATE(21),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(21),
    [sym_let_command_definition] = STATE(21),
    [sym_paired_delimiter_definition] = STATE(21),
    [sym_environment_definition] = STATE(21),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(21),
    [sym_glossary_entry_reference] = STATE(21),
    [sym_acronym_definition] = STATE(21),
    [sym_acronym_reference] = STATE(21),
    [sym_theorem_definition] = STATE(21),
    [sym_color_definition] = STATE(21),
    [sym_color_set_definition] = STATE(21),
    [sym_color_reference] = STATE(21),
    [sym_tikz_library_import] = STATE(21),
    [sym_hyperlink] = STATE(21),
    [aux_sym_source_file_repeat1] = STATE(21),
    [aux_sym__section_repeat1] = STATE(444),
    [aux_sym__section_repeat2] = STATE(369),
    [aux_sym__section_repeat3] = STATE(370),
    [aux_sym__section_repeat4] = STATE(371),
    [aux_sym__section_repeat5] = STATE(372),
    [aux_sym__paragraph_repeat1] = STATE(373),
    [aux_sym__paragraph_repeat2] = STATE(374),
    [aux_sym__paragraph_repeat3] = STATE(375),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(590),
    [anon_sym_RBRACK] = ACTIONS(590),
    [anon_sym_COMMA] = ACTIONS(590),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(590),
    [anon_sym_RPAREN] = ACTIONS(590),
    [anon_sym_BSLASHpart] = ACTIONS(183),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHaddpart] = ACTIONS(183),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHchapter] = ACTIONS(187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(189),
    [anon_sym_BSLASHaddchap] = ACTIONS(187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(189),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(592),
    [anon_sym_BSLASHbigr] = ACTIONS(592),
    [anon_sym_BSLASHBigr] = ACTIONS(592),
    [anon_sym_BSLASHbiggr] = ACTIONS(592),
    [anon_sym_BSLASHBiggr] = ACTIONS(592),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [21] = {
    [sym_block_comment] = STATE(10),
    [sym__root_content] = STATE(10),
    [sym__flat_content] = STATE(10),
    [sym__text_with_env_content] = STATE(10),
    [sym__text_content] = STATE(10),
    [sym__section] = STATE(10),
    [sym__paragraph] = STATE(10),
    [sym__part_declaration] = STATE(157),
    [sym_part] = STATE(444),
    [sym__chapter_declaration] = STATE(158),
    [sym_chapter] = STATE(369),
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(370),
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(371),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(372),
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(373),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(374),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(375),
    [sym_curly_group] = STATE(10),
    [sym_text] = STATE(10),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(10),
    [sym_displayed_equation] = STATE(10),
    [sym_inline_formula] = STATE(10),
    [sym_math_delimiter] = STATE(10),
    [sym_text_mode] = STATE(10),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(10),
    [sym_comment_environment] = STATE(10),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(10),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(10),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(10),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(10),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(10),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(10),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(10),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(10),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(10),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(10),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(10),
    [sym_generic_command] = STATE(10),
    [sym_title_declaration] = STATE(10),
    [sym_author_declaration] = STATE(10),
    [sym_package_include] = STATE(10),
    [sym_class_include] = STATE(10),
    [sym_latex_include] = STATE(10),
    [sym_biblatex_include] = STATE(10),
    [sym_bibstyle_include] = STATE(10),
    [sym_bibtex_include] = STATE(10),
    [sym_graphics_include] = STATE(10),
    [sym_svg_include] = STATE(10),
    [sym_inkscape_include] = STATE(10),
    [sym_verbatim_include] = STATE(10),
    [sym_import_include] = STATE(10),
    [sym_caption] = STATE(10),
    [sym_citation] = STATE(10),
    [sym_label_definition] = STATE(10),
    [sym_label_reference] = STATE(10),
    [sym_label_reference_range] = STATE(10),
    [sym_label_number] = STATE(10),
    [sym_new_command_definition] = STATE(10),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(10),
    [sym_let_command_definition] = STATE(10),
    [sym_paired_delimiter_definition] = STATE(10),
    [sym_environment_definition] = STATE(10),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(10),
    [sym_glossary_entry_reference] = STATE(10),
    [sym_acronym_definition] = STATE(10),
    [sym_acronym_reference] = STATE(10),
    [sym_theorem_definition] = STATE(10),
    [sym_color_definition] = STATE(10),
    [sym_color_set_definition] = STATE(10),
    [sym_color_reference] = STATE(10),
    [sym_tikz_library_import] = STATE(10),
    [sym_hyperlink] = STATE(10),
    [aux_sym_source_file_repeat1] = STATE(10),
    [aux_sym__section_repeat1] = STATE(444),
    [aux_sym__section_repeat2] = STATE(369),
    [aux_sym__section_repeat3] = STATE(370),
    [aux_sym__section_repeat4] = STATE(371),
    [aux_sym__section_repeat5] = STATE(372),
    [aux_sym__paragraph_repeat1] = STATE(373),
    [aux_sym__paragraph_repeat2] = STATE(374),
    [aux_sym__paragraph_repeat3] = STATE(375),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(335),
    [anon_sym_RBRACK] = ACTIONS(335),
    [anon_sym_COMMA] = ACTIONS(335),
    [anon_sym_EQ] = ACTIONS(335),
    [anon_sym_LPAREN] = ACTIONS(335),
    [anon_sym_RPAREN] = ACTIONS(335),
    [anon_sym_BSLASHpart] = ACTIONS(183),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHaddpart] = ACTIONS(183),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHchapter] = ACTIONS(187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(189),
    [anon_sym_BSLASHaddchap] = ACTIONS(187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(189),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(594),
    [anon_sym_BSLASHbigr] = ACTIONS(594),
    [anon_sym_BSLASHBigr] = ACTIONS(594),
    [anon_sym_BSLASHbiggr] = ACTIONS(594),
    [anon_sym_BSLASHBiggr] = ACTIONS(594),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [22] = {
    [sym_block_comment] = STATE(24),
    [sym__root_content] = STATE(24),
    [sym__flat_content] = STATE(24),
    [sym__text_with_env_content] = STATE(24),
    [sym__text_content] = STATE(24),
    [sym__section] = STATE(24),
    [sym__paragraph] = STATE(24),
    [sym__part_declaration] = STATE(157),
    [sym_part] = STATE(444),
    [sym__chapter_declaration] = STATE(158),
    [sym_chapter] = STATE(369),
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(370),
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(371),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(372),
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(373),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(374),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(375),
    [sym_curly_group] = STATE(24),
    [sym_text] = STATE(24),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(24),
    [sym_displayed_equation] = STATE(24),
    [sym_inline_formula] = STATE(24),
    [sym_math_delimiter] = STATE(24),
    [sym_text_mode] = STATE(24),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(24),
    [sym_comment_environment] = STATE(24),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(24),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(24),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(24),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(24),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(24),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(24),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(24),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(24),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(24),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(24),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(24),
    [sym_generic_command] = STATE(24),
    [sym_title_declaration] = STATE(24),
    [sym_author_declaration] = STATE(24),
    [sym_package_include] = STATE(24),
    [sym_class_include] = STATE(24),
    [sym_latex_include] = STATE(24),
    [sym_biblatex_include] = STATE(24),
    [sym_bibstyle_include] = STATE(24),
    [sym_bibtex_include] = STATE(24),
    [sym_graphics_include] = STATE(24),
    [sym_svg_include] = STATE(24),
    [sym_inkscape_include] = STATE(24),
    [sym_verbatim_include] = STATE(24),
    [sym_import_include] = STATE(24),
    [sym_caption] = STATE(24),
    [sym_citation] = STATE(24),
    [sym_label_definition] = STATE(24),
    [sym_label_reference] = STATE(24),
    [sym_label_reference_range] = STATE(24),
    [sym_label_number] = STATE(24),
    [sym_new_command_definition] = STATE(24),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(24),
    [sym_let_command_definition] = STATE(24),
    [sym_paired_delimiter_definition] = STATE(24),
    [sym_environment_definition] = STATE(24),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(24),
    [sym_glossary_entry_reference] = STATE(24),
    [sym_acronym_definition] = STATE(24),
    [sym_acronym_reference] = STATE(24),
    [sym_theorem_definition] = STATE(24),
    [sym_color_definition] = STATE(24),
    [sym_color_set_definition] = STATE(24),
    [sym_color_reference] = STATE(24),
    [sym_tikz_library_import] = STATE(24),
    [sym_hyperlink] = STATE(24),
    [aux_sym_source_file_repeat1] = STATE(24),
    [aux_sym__section_repeat1] = STATE(444),
    [aux_sym__section_repeat2] = STATE(369),
    [aux_sym__section_repeat3] = STATE(370),
    [aux_sym__section_repeat4] = STATE(371),
    [aux_sym__section_repeat5] = STATE(372),
    [aux_sym__paragraph_repeat1] = STATE(373),
    [aux_sym__paragraph_repeat2] = STATE(374),
    [aux_sym__paragraph_repeat3] = STATE(375),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_RBRACK] = ACTIONS(596),
    [anon_sym_COMMA] = ACTIONS(596),
    [anon_sym_EQ] = ACTIONS(596),
    [anon_sym_LPAREN] = ACTIONS(596),
    [anon_sym_RPAREN] = ACTIONS(596),
    [anon_sym_BSLASHpart] = ACTIONS(183),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHaddpart] = ACTIONS(183),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHchapter] = ACTIONS(187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(189),
    [anon_sym_BSLASHaddchap] = ACTIONS(187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(189),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(598),
    [anon_sym_BSLASHbigr] = ACTIONS(598),
    [anon_sym_BSLASHBigr] = ACTIONS(598),
    [anon_sym_BSLASHbiggr] = ACTIONS(598),
    [anon_sym_BSLASHBiggr] = ACTIONS(598),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [23] = {
    [sym_block_comment] = STATE(12),
    [sym__root_content] = STATE(12),
    [sym__flat_content] = STATE(12),
    [sym__text_with_env_content] = STATE(12),
    [sym__text_content] = STATE(12),
    [sym__section] = STATE(12),
    [sym__paragraph] = STATE(12),
    [sym__part_declaration] = STATE(157),
    [sym_part] = STATE(444),
    [sym__chapter_declaration] = STATE(158),
    [sym_chapter] = STATE(369),
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(370),
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(371),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(372),
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(373),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(374),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(375),
    [sym_curly_group] = STATE(12),
    [sym_text] = STATE(12),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(12),
    [sym_displayed_equation] = STATE(12),
    [sym_inline_formula] = STATE(12),
    [sym_math_delimiter] = STATE(12),
    [sym_text_mode] = STATE(12),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(12),
    [sym_comment_environment] = STATE(12),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(12),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(12),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(12),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(12),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(12),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(12),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(12),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(12),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(12),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(12),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(12),
    [sym_generic_command] = STATE(12),
    [sym_title_declaration] = STATE(12),
    [sym_author_declaration] = STATE(12),
    [sym_package_include] = STATE(12),
    [sym_class_include] = STATE(12),
    [sym_latex_include] = STATE(12),
    [sym_biblatex_include] = STATE(12),
    [sym_bibstyle_include] = STATE(12),
    [sym_bibtex_include] = STATE(12),
    [sym_graphics_include] = STATE(12),
    [sym_svg_include] = STATE(12),
    [sym_inkscape_include] = STATE(12),
    [sym_verbatim_include] = STATE(12),
    [sym_import_include] = STATE(12),
    [sym_caption] = STATE(12),
    [sym_citation] = STATE(12),
    [sym_label_definition] = STATE(12),
    [sym_label_reference] = STATE(12),
    [sym_label_reference_range] = STATE(12),
    [sym_label_number] = STATE(12),
    [sym_new_command_definition] = STATE(12),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(12),
    [sym_let_command_definition] = STATE(12),
    [sym_paired_delimiter_definition] = STATE(12),
    [sym_environment_definition] = STATE(12),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(12),
    [sym_glossary_entry_reference] = STATE(12),
    [sym_acronym_definition] = STATE(12),
    [sym_acronym_reference] = STATE(12),
    [sym_theorem_definition] = STATE(12),
    [sym_color_definition] = STATE(12),
    [sym_color_set_definition] = STATE(12),
    [sym_color_reference] = STATE(12),
    [sym_tikz_library_import] = STATE(12),
    [sym_hyperlink] = STATE(12),
    [aux_sym_source_file_repeat1] = STATE(12),
    [aux_sym__section_repeat1] = STATE(444),
    [aux_sym__section_repeat2] = STATE(369),
    [aux_sym__section_repeat3] = STATE(370),
    [aux_sym__section_repeat4] = STATE(371),
    [aux_sym__section_repeat5] = STATE(372),
    [aux_sym__paragraph_repeat1] = STATE(373),
    [aux_sym__paragraph_repeat2] = STATE(374),
    [aux_sym__paragraph_repeat3] = STATE(375),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(600),
    [anon_sym_RBRACK] = ACTIONS(600),
    [anon_sym_COMMA] = ACTIONS(600),
    [anon_sym_EQ] = ACTIONS(600),
    [anon_sym_LPAREN] = ACTIONS(600),
    [anon_sym_RPAREN] = ACTIONS(600),
    [anon_sym_BSLASHpart] = ACTIONS(183),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHaddpart] = ACTIONS(183),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHchapter] = ACTIONS(187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(189),
    [anon_sym_BSLASHaddchap] = ACTIONS(187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(189),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(602),
    [anon_sym_BSLASHbigr] = ACTIONS(602),
    [anon_sym_BSLASHBigr] = ACTIONS(602),
    [anon_sym_BSLASHbiggr] = ACTIONS(602),
    [anon_sym_BSLASHBiggr] = ACTIONS(602),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [24] = {
    [sym_block_comment] = STATE(10),
    [sym__root_content] = STATE(10),
    [sym__flat_content] = STATE(10),
    [sym__text_with_env_content] = STATE(10),
    [sym__text_content] = STATE(10),
    [sym__section] = STATE(10),
    [sym__paragraph] = STATE(10),
    [sym__part_declaration] = STATE(157),
    [sym_part] = STATE(444),
    [sym__chapter_declaration] = STATE(158),
    [sym_chapter] = STATE(369),
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(370),
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(371),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(372),
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(373),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(374),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(375),
    [sym_curly_group] = STATE(10),
    [sym_text] = STATE(10),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(10),
    [sym_displayed_equation] = STATE(10),
    [sym_inline_formula] = STATE(10),
    [sym_math_delimiter] = STATE(10),
    [sym_text_mode] = STATE(10),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(10),
    [sym_comment_environment] = STATE(10),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(10),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(10),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(10),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(10),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(10),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(10),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(10),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(10),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(10),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(10),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(10),
    [sym_generic_command] = STATE(10),
    [sym_title_declaration] = STATE(10),
    [sym_author_declaration] = STATE(10),
    [sym_package_include] = STATE(10),
    [sym_class_include] = STATE(10),
    [sym_latex_include] = STATE(10),
    [sym_biblatex_include] = STATE(10),
    [sym_bibstyle_include] = STATE(10),
    [sym_bibtex_include] = STATE(10),
    [sym_graphics_include] = STATE(10),
    [sym_svg_include] = STATE(10),
    [sym_inkscape_include] = STATE(10),
    [sym_verbatim_include] = STATE(10),
    [sym_import_include] = STATE(10),
    [sym_caption] = STATE(10),
    [sym_citation] = STATE(10),
    [sym_label_definition] = STATE(10),
    [sym_label_reference] = STATE(10),
    [sym_label_reference_range] = STATE(10),
    [sym_label_number] = STATE(10),
    [sym_new_command_definition] = STATE(10),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(10),
    [sym_let_command_definition] = STATE(10),
    [sym_paired_delimiter_definition] = STATE(10),
    [sym_environment_definition] = STATE(10),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(10),
    [sym_glossary_entry_reference] = STATE(10),
    [sym_acronym_definition] = STATE(10),
    [sym_acronym_reference] = STATE(10),
    [sym_theorem_definition] = STATE(10),
    [sym_color_definition] = STATE(10),
    [sym_color_set_definition] = STATE(10),
    [sym_color_reference] = STATE(10),
    [sym_tikz_library_import] = STATE(10),
    [sym_hyperlink] = STATE(10),
    [aux_sym_source_file_repeat1] = STATE(10),
    [aux_sym__section_repeat1] = STATE(444),
    [aux_sym__section_repeat2] = STATE(369),
    [aux_sym__section_repeat3] = STATE(370),
    [aux_sym__section_repeat4] = STATE(371),
    [aux_sym__section_repeat5] = STATE(372),
    [aux_sym__paragraph_repeat1] = STATE(373),
    [aux_sym__paragraph_repeat2] = STATE(374),
    [aux_sym__paragraph_repeat3] = STATE(375),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(335),
    [anon_sym_RBRACK] = ACTIONS(335),
    [anon_sym_COMMA] = ACTIONS(335),
    [anon_sym_EQ] = ACTIONS(335),
    [anon_sym_LPAREN] = ACTIONS(335),
    [anon_sym_RPAREN] = ACTIONS(335),
    [anon_sym_BSLASHpart] = ACTIONS(183),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHaddpart] = ACTIONS(183),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHchapter] = ACTIONS(187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(189),
    [anon_sym_BSLASHaddchap] = ACTIONS(187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(189),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(604),
    [anon_sym_BSLASHbigr] = ACTIONS(604),
    [anon_sym_BSLASHBigr] = ACTIONS(604),
    [anon_sym_BSLASHbiggr] = ACTIONS(604),
    [anon_sym_BSLASHBiggr] = ACTIONS(604),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [25] = {
    [sym_block_comment] = STATE(97),
    [sym__root_content] = STATE(97),
    [sym__flat_content] = STATE(97),
    [sym__text_with_env_content] = STATE(97),
    [sym__text_content] = STATE(97),
    [sym__section] = STATE(97),
    [sym__paragraph] = STATE(97),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(97),
    [sym_text] = STATE(97),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(97),
    [sym_displayed_equation] = STATE(97),
    [sym_inline_formula] = STATE(97),
    [sym_math_delimiter] = STATE(97),
    [sym_text_mode] = STATE(97),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(97),
    [sym_comment_environment] = STATE(97),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(97),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(97),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(97),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(97),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(97),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(97),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(97),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(97),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(97),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(97),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(97),
    [sym_generic_command] = STATE(97),
    [sym_title_declaration] = STATE(97),
    [sym_author_declaration] = STATE(97),
    [sym_package_include] = STATE(97),
    [sym_class_include] = STATE(97),
    [sym_latex_include] = STATE(97),
    [sym_biblatex_include] = STATE(97),
    [sym_bibstyle_include] = STATE(97),
    [sym_bibtex_include] = STATE(97),
    [sym_graphics_include] = STATE(97),
    [sym_svg_include] = STATE(97),
    [sym_inkscape_include] = STATE(97),
    [sym_verbatim_include] = STATE(97),
    [sym_import_include] = STATE(97),
    [sym_caption] = STATE(97),
    [sym_citation] = STATE(97),
    [sym_label_definition] = STATE(97),
    [sym_label_reference] = STATE(97),
    [sym_label_reference_range] = STATE(97),
    [sym_label_number] = STATE(97),
    [sym_new_command_definition] = STATE(97),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(97),
    [sym_let_command_definition] = STATE(97),
    [sym_paired_delimiter_definition] = STATE(97),
    [sym_environment_definition] = STATE(97),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(97),
    [sym_glossary_entry_reference] = STATE(97),
    [sym_acronym_definition] = STATE(97),
    [sym_acronym_reference] = STATE(97),
    [sym_theorem_definition] = STATE(97),
    [sym_color_definition] = STATE(97),
    [sym_color_set_definition] = STATE(97),
    [sym_color_reference] = STATE(97),
    [sym_tikz_library_import] = STATE(97),
    [sym_hyperlink] = STATE(97),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(157),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(157),
    [anon_sym_LBRACK] = ACTIONS(606),
    [anon_sym_RBRACK] = ACTIONS(606),
    [anon_sym_COMMA] = ACTIONS(606),
    [anon_sym_EQ] = ACTIONS(606),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_RPAREN] = ACTIONS(159),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_RBRACE] = ACTIONS(159),
    [anon_sym_BSLASHand] = ACTIONS(157),
    [sym_word] = ACTIONS(157),
    [sym_placeholder] = ACTIONS(159),
    [sym_delimiter] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_SLASH] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(157),
    [anon_sym_GT] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(157),
    [anon_sym_PIPE] = ACTIONS(157),
    [anon_sym_COLON] = ACTIONS(157),
    [anon_sym_SQUOTE] = ACTIONS(157),
    [anon_sym__] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(159),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(159),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(161),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(159),
    [anon_sym_BSLASHleft] = ACTIONS(157),
    [anon_sym_BSLASHbigl] = ACTIONS(157),
    [anon_sym_BSLASHBigl] = ACTIONS(157),
    [anon_sym_BSLASHbiggl] = ACTIONS(157),
    [anon_sym_BSLASHBiggl] = ACTIONS(157),
    [anon_sym_BSLASHtext] = ACTIONS(157),
    [anon_sym_BSLASHintertext] = ACTIONS(157),
    [anon_sym_BSLASHshortintertext] = ACTIONS(157),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(157),
    [anon_sym_BSLASHauthor] = ACTIONS(157),
    [anon_sym_BSLASHusepackage] = ACTIONS(157),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(157),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(157),
    [anon_sym_BSLASHinclude] = ACTIONS(157),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(157),
    [anon_sym_BSLASHinput] = ACTIONS(157),
    [anon_sym_BSLASHsubfile] = ACTIONS(157),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(157),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(157),
    [anon_sym_BSLASHbibliography] = ACTIONS(157),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(157),
    [anon_sym_BSLASHincludesvg] = ACTIONS(157),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(157),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(157),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(157),
    [anon_sym_BSLASHimport] = ACTIONS(157),
    [anon_sym_BSLASHsubimport] = ACTIONS(157),
    [anon_sym_BSLASHinputfrom] = ACTIONS(157),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(157),
    [anon_sym_BSLASHincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHcaption] = ACTIONS(157),
    [anon_sym_BSLASHcite] = ACTIONS(157),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCite] = ACTIONS(157),
    [anon_sym_BSLASHnocite] = ACTIONS(157),
    [anon_sym_BSLASHcitet] = ACTIONS(157),
    [anon_sym_BSLASHcitep] = ACTIONS(157),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteA] = ACTIONS(157),
    [anon_sym_BSLASHciteR] = ACTIONS(157),
    [anon_sym_BSLASHciteS] = ACTIONS(157),
    [anon_sym_BSLASHciteyearR] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(157),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitetitle] = ACTIONS(157),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteyear] = ACTIONS(157),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitedate] = ACTIONS(157),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteurl] = ACTIONS(157),
    [anon_sym_BSLASHfullcite] = ACTIONS(157),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(157),
    [anon_sym_BSLASHcitealt] = ACTIONS(157),
    [anon_sym_BSLASHcitealp] = ACTIONS(157),
    [anon_sym_BSLASHcitetext] = ACTIONS(157),
    [anon_sym_BSLASHparencite] = ACTIONS(157),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHParencite] = ACTIONS(157),
    [anon_sym_BSLASHfootcite] = ACTIONS(157),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(157),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(157),
    [anon_sym_BSLASHtextcite] = ACTIONS(157),
    [anon_sym_BSLASHTextcite] = ACTIONS(157),
    [anon_sym_BSLASHsmartcite] = ACTIONS(157),
    [anon_sym_BSLASHSmartcite] = ACTIONS(157),
    [anon_sym_BSLASHsupercite] = ACTIONS(157),
    [anon_sym_BSLASHautocite] = ACTIONS(157),
    [anon_sym_BSLASHAutocite] = ACTIONS(157),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHvolcite] = ACTIONS(157),
    [anon_sym_BSLASHVolcite] = ACTIONS(157),
    [anon_sym_BSLASHpvolcite] = ACTIONS(157),
    [anon_sym_BSLASHPvolcite] = ACTIONS(157),
    [anon_sym_BSLASHfvolcite] = ACTIONS(157),
    [anon_sym_BSLASHftvolcite] = ACTIONS(157),
    [anon_sym_BSLASHsvolcite] = ACTIONS(157),
    [anon_sym_BSLASHSvolcite] = ACTIONS(157),
    [anon_sym_BSLASHtvolcite] = ACTIONS(157),
    [anon_sym_BSLASHTvolcite] = ACTIONS(157),
    [anon_sym_BSLASHavolcite] = ACTIONS(157),
    [anon_sym_BSLASHAvolcite] = ACTIONS(157),
    [anon_sym_BSLASHnotecite] = ACTIONS(157),
    [anon_sym_BSLASHNotecite] = ACTIONS(157),
    [anon_sym_BSLASHpnotecite] = ACTIONS(157),
    [anon_sym_BSLASHPnotecite] = ACTIONS(157),
    [anon_sym_BSLASHfnotecite] = ACTIONS(157),
    [anon_sym_BSLASHlabel] = ACTIONS(157),
    [anon_sym_BSLASHref] = ACTIONS(157),
    [anon_sym_BSLASHeqref] = ACTIONS(157),
    [anon_sym_BSLASHvref] = ACTIONS(157),
    [anon_sym_BSLASHVref] = ACTIONS(157),
    [anon_sym_BSLASHautoref] = ACTIONS(157),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpageref] = ACTIONS(157),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHautopageref] = ACTIONS(157),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcref] = ACTIONS(157),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCref] = ACTIONS(157),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpageref] = ACTIONS(157),
    [anon_sym_BSLASHCpageref] = ACTIONS(157),
    [anon_sym_BSLASHnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnameCref] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcrefrange] = ACTIONS(157),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCrefrange] = ACTIONS(157),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHnewlabel] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(157),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(157),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(157),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(159),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHdef] = ACTIONS(157),
    [anon_sym_BSLASHgdef] = ACTIONS(157),
    [anon_sym_BSLASHedef] = ACTIONS(157),
    [anon_sym_BSLASHxdef] = ACTIONS(157),
    [anon_sym_BSLASHlet] = ACTIONS(157),
    [anon_sym_BSLASHglet] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(157),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(157),
    [anon_sym_BSLASHgls] = ACTIONS(157),
    [anon_sym_BSLASHGls] = ACTIONS(157),
    [anon_sym_BSLASHGLS] = ACTIONS(157),
    [anon_sym_BSLASHglspl] = ACTIONS(157),
    [anon_sym_BSLASHGlspl] = ACTIONS(157),
    [anon_sym_BSLASHGLSpl] = ACTIONS(157),
    [anon_sym_BSLASHglsdisp] = ACTIONS(157),
    [anon_sym_BSLASHglslink] = ACTIONS(157),
    [anon_sym_BSLASHglstext] = ACTIONS(157),
    [anon_sym_BSLASHGlstext] = ACTIONS(157),
    [anon_sym_BSLASHGLStext] = ACTIONS(157),
    [anon_sym_BSLASHglsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(157),
    [anon_sym_BSLASHglsplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSplural] = ACTIONS(157),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHglsname] = ACTIONS(157),
    [anon_sym_BSLASHGlsname] = ACTIONS(157),
    [anon_sym_BSLASHGLSname] = ACTIONS(157),
    [anon_sym_BSLASHglssymbol] = ACTIONS(157),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(157),
    [anon_sym_BSLASHglsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(157),
    [anon_sym_BSLASHglsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(157),
    [anon_sym_BSLASHglsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(157),
    [anon_sym_BSLASHglsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(157),
    [anon_sym_BSLASHglsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(157),
    [anon_sym_BSLASHnewacronym] = ACTIONS(157),
    [anon_sym_BSLASHacrshort] = ACTIONS(157),
    [anon_sym_BSLASHAcrshort] = ACTIONS(157),
    [anon_sym_BSLASHACRshort] = ACTIONS(157),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(157),
    [anon_sym_BSLASHacrlong] = ACTIONS(157),
    [anon_sym_BSLASHAcrlong] = ACTIONS(157),
    [anon_sym_BSLASHACRlong] = ACTIONS(157),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(157),
    [anon_sym_BSLASHacrfull] = ACTIONS(157),
    [anon_sym_BSLASHAcrfull] = ACTIONS(157),
    [anon_sym_BSLASHACRfull] = ACTIONS(157),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(157),
    [anon_sym_BSLASHacs] = ACTIONS(157),
    [anon_sym_BSLASHAcs] = ACTIONS(157),
    [anon_sym_BSLASHacsp] = ACTIONS(157),
    [anon_sym_BSLASHAcsp] = ACTIONS(157),
    [anon_sym_BSLASHacl] = ACTIONS(157),
    [anon_sym_BSLASHAcl] = ACTIONS(157),
    [anon_sym_BSLASHaclp] = ACTIONS(157),
    [anon_sym_BSLASHAclp] = ACTIONS(157),
    [anon_sym_BSLASHacf] = ACTIONS(157),
    [anon_sym_BSLASHAcf] = ACTIONS(157),
    [anon_sym_BSLASHacfp] = ACTIONS(157),
    [anon_sym_BSLASHAcfp] = ACTIONS(157),
    [anon_sym_BSLASHac] = ACTIONS(157),
    [anon_sym_BSLASHAc] = ACTIONS(157),
    [anon_sym_BSLASHacp] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(157),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(157),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(157),
    [anon_sym_BSLASHcolor] = ACTIONS(157),
    [anon_sym_BSLASHpagecolor] = ACTIONS(157),
    [anon_sym_BSLASHtextcolor] = ACTIONS(157),
    [anon_sym_BSLASHmathcolor] = ACTIONS(157),
    [anon_sym_BSLASHcolorbox] = ACTIONS(157),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(157),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(157),
    [anon_sym_BSLASHurl] = ACTIONS(157),
    [anon_sym_BSLASHhref] = ACTIONS(157),
  },
  [26] = {
    [sym_block_comment] = STATE(104),
    [sym__root_content] = STATE(104),
    [sym__flat_content] = STATE(104),
    [sym__text_with_env_content] = STATE(104),
    [sym__text_content] = STATE(104),
    [sym__section] = STATE(104),
    [sym__paragraph] = STATE(104),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(104),
    [sym_text] = STATE(104),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(104),
    [sym_displayed_equation] = STATE(104),
    [sym_inline_formula] = STATE(104),
    [sym_math_delimiter] = STATE(104),
    [sym_text_mode] = STATE(104),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(104),
    [sym_comment_environment] = STATE(104),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(104),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(104),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(104),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(104),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(104),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(104),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(104),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(104),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(104),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(104),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(104),
    [sym_generic_command] = STATE(104),
    [sym_title_declaration] = STATE(104),
    [sym_author_declaration] = STATE(104),
    [sym_package_include] = STATE(104),
    [sym_class_include] = STATE(104),
    [sym_latex_include] = STATE(104),
    [sym_biblatex_include] = STATE(104),
    [sym_bibstyle_include] = STATE(104),
    [sym_bibtex_include] = STATE(104),
    [sym_graphics_include] = STATE(104),
    [sym_svg_include] = STATE(104),
    [sym_inkscape_include] = STATE(104),
    [sym_verbatim_include] = STATE(104),
    [sym_import_include] = STATE(104),
    [sym_caption] = STATE(104),
    [sym_citation] = STATE(104),
    [sym_label_definition] = STATE(104),
    [sym_label_reference] = STATE(104),
    [sym_label_reference_range] = STATE(104),
    [sym_label_number] = STATE(104),
    [sym_new_command_definition] = STATE(104),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(104),
    [sym_let_command_definition] = STATE(104),
    [sym_paired_delimiter_definition] = STATE(104),
    [sym_environment_definition] = STATE(104),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(104),
    [sym_glossary_entry_reference] = STATE(104),
    [sym_acronym_definition] = STATE(104),
    [sym_acronym_reference] = STATE(104),
    [sym_theorem_definition] = STATE(104),
    [sym_color_definition] = STATE(104),
    [sym_color_set_definition] = STATE(104),
    [sym_color_reference] = STATE(104),
    [sym_tikz_library_import] = STATE(104),
    [sym_hyperlink] = STATE(104),
    [aux_sym_source_file_repeat1] = STATE(104),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(163),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(640),
    [anon_sym_RBRACK] = ACTIONS(640),
    [anon_sym_COMMA] = ACTIONS(640),
    [anon_sym_EQ] = ACTIONS(640),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_RPAREN] = ACTIONS(165),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_RBRACE] = ACTIONS(165),
    [anon_sym_BSLASHand] = ACTIONS(163),
    [sym_word] = ACTIONS(163),
    [sym_placeholder] = ACTIONS(165),
    [sym_delimiter] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym__] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(165),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(163),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(165),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(167),
    [anon_sym_BSLASHleft] = ACTIONS(163),
    [anon_sym_BSLASHbigl] = ACTIONS(163),
    [anon_sym_BSLASHBigl] = ACTIONS(163),
    [anon_sym_BSLASHbiggl] = ACTIONS(163),
    [anon_sym_BSLASHBiggl] = ACTIONS(163),
    [anon_sym_BSLASHtext] = ACTIONS(163),
    [anon_sym_BSLASHintertext] = ACTIONS(163),
    [anon_sym_BSLASHshortintertext] = ACTIONS(163),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(163),
    [anon_sym_BSLASHauthor] = ACTIONS(163),
    [anon_sym_BSLASHusepackage] = ACTIONS(163),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(163),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(163),
    [anon_sym_BSLASHinclude] = ACTIONS(163),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(163),
    [anon_sym_BSLASHinput] = ACTIONS(163),
    [anon_sym_BSLASHsubfile] = ACTIONS(163),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(163),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(163),
    [anon_sym_BSLASHbibliography] = ACTIONS(163),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(163),
    [anon_sym_BSLASHincludesvg] = ACTIONS(163),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(163),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(163),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(163),
    [anon_sym_BSLASHimport] = ACTIONS(163),
    [anon_sym_BSLASHsubimport] = ACTIONS(163),
    [anon_sym_BSLASHinputfrom] = ACTIONS(163),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(163),
    [anon_sym_BSLASHincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHcaption] = ACTIONS(163),
    [anon_sym_BSLASHcite] = ACTIONS(163),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCite] = ACTIONS(163),
    [anon_sym_BSLASHnocite] = ACTIONS(163),
    [anon_sym_BSLASHcitet] = ACTIONS(163),
    [anon_sym_BSLASHcitep] = ACTIONS(163),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteA] = ACTIONS(163),
    [anon_sym_BSLASHciteR] = ACTIONS(163),
    [anon_sym_BSLASHciteS] = ACTIONS(163),
    [anon_sym_BSLASHciteyearR] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(163),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitetitle] = ACTIONS(163),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteyear] = ACTIONS(163),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitedate] = ACTIONS(163),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteurl] = ACTIONS(163),
    [anon_sym_BSLASHfullcite] = ACTIONS(163),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(163),
    [anon_sym_BSLASHcitealt] = ACTIONS(163),
    [anon_sym_BSLASHcitealp] = ACTIONS(163),
    [anon_sym_BSLASHcitetext] = ACTIONS(163),
    [anon_sym_BSLASHparencite] = ACTIONS(163),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHParencite] = ACTIONS(163),
    [anon_sym_BSLASHfootcite] = ACTIONS(163),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(163),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(163),
    [anon_sym_BSLASHtextcite] = ACTIONS(163),
    [anon_sym_BSLASHTextcite] = ACTIONS(163),
    [anon_sym_BSLASHsmartcite] = ACTIONS(163),
    [anon_sym_BSLASHSmartcite] = ACTIONS(163),
    [anon_sym_BSLASHsupercite] = ACTIONS(163),
    [anon_sym_BSLASHautocite] = ACTIONS(163),
    [anon_sym_BSLASHAutocite] = ACTIONS(163),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHvolcite] = ACTIONS(163),
    [anon_sym_BSLASHVolcite] = ACTIONS(163),
    [anon_sym_BSLASHpvolcite] = ACTIONS(163),
    [anon_sym_BSLASHPvolcite] = ACTIONS(163),
    [anon_sym_BSLASHfvolcite] = ACTIONS(163),
    [anon_sym_BSLASHftvolcite] = ACTIONS(163),
    [anon_sym_BSLASHsvolcite] = ACTIONS(163),
    [anon_sym_BSLASHSvolcite] = ACTIONS(163),
    [anon_sym_BSLASHtvolcite] = ACTIONS(163),
    [anon_sym_BSLASHTvolcite] = ACTIONS(163),
    [anon_sym_BSLASHavolcite] = ACTIONS(163),
    [anon_sym_BSLASHAvolcite] = ACTIONS(163),
    [anon_sym_BSLASHnotecite] = ACTIONS(163),
    [anon_sym_BSLASHNotecite] = ACTIONS(163),
    [anon_sym_BSLASHpnotecite] = ACTIONS(163),
    [anon_sym_BSLASHPnotecite] = ACTIONS(163),
    [anon_sym_BSLASHfnotecite] = ACTIONS(163),
    [anon_sym_BSLASHlabel] = ACTIONS(163),
    [anon_sym_BSLASHref] = ACTIONS(163),
    [anon_sym_BSLASHeqref] = ACTIONS(163),
    [anon_sym_BSLASHvref] = ACTIONS(163),
    [anon_sym_BSLASHVref] = ACTIONS(163),
    [anon_sym_BSLASHautoref] = ACTIONS(163),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHpageref] = ACTIONS(163),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHautopageref] = ACTIONS(163),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcref] = ACTIONS(163),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCref] = ACTIONS(163),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpageref] = ACTIONS(163),
    [anon_sym_BSLASHCpageref] = ACTIONS(163),
    [anon_sym_BSLASHnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnameCref] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcrefrange] = ACTIONS(163),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCrefrange] = ACTIONS(163),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHnewlabel] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(163),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(163),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(163),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(165),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHdef] = ACTIONS(163),
    [anon_sym_BSLASHgdef] = ACTIONS(163),
    [anon_sym_BSLASHedef] = ACTIONS(163),
    [anon_sym_BSLASHxdef] = ACTIONS(163),
    [anon_sym_BSLASHlet] = ACTIONS(163),
    [anon_sym_BSLASHglet] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(163),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(163),
    [anon_sym_BSLASHgls] = ACTIONS(163),
    [anon_sym_BSLASHGls] = ACTIONS(163),
    [anon_sym_BSLASHGLS] = ACTIONS(163),
    [anon_sym_BSLASHglspl] = ACTIONS(163),
    [anon_sym_BSLASHGlspl] = ACTIONS(163),
    [anon_sym_BSLASHGLSpl] = ACTIONS(163),
    [anon_sym_BSLASHglsdisp] = ACTIONS(163),
    [anon_sym_BSLASHglslink] = ACTIONS(163),
    [anon_sym_BSLASHglstext] = ACTIONS(163),
    [anon_sym_BSLASHGlstext] = ACTIONS(163),
    [anon_sym_BSLASHGLStext] = ACTIONS(163),
    [anon_sym_BSLASHglsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(163),
    [anon_sym_BSLASHglsplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSplural] = ACTIONS(163),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHglsname] = ACTIONS(163),
    [anon_sym_BSLASHGlsname] = ACTIONS(163),
    [anon_sym_BSLASHGLSname] = ACTIONS(163),
    [anon_sym_BSLASHglssymbol] = ACTIONS(163),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(163),
    [anon_sym_BSLASHglsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(163),
    [anon_sym_BSLASHglsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(163),
    [anon_sym_BSLASHglsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(163),
    [anon_sym_BSLASHglsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(163),
    [anon_sym_BSLASHglsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(163),
    [anon_sym_BSLASHnewacronym] = ACTIONS(163),
    [anon_sym_BSLASHacrshort] = ACTIONS(163),
    [anon_sym_BSLASHAcrshort] = ACTIONS(163),
    [anon_sym_BSLASHACRshort] = ACTIONS(163),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(163),
    [anon_sym_BSLASHacrlong] = ACTIONS(163),
    [anon_sym_BSLASHAcrlong] = ACTIONS(163),
    [anon_sym_BSLASHACRlong] = ACTIONS(163),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(163),
    [anon_sym_BSLASHacrfull] = ACTIONS(163),
    [anon_sym_BSLASHAcrfull] = ACTIONS(163),
    [anon_sym_BSLASHACRfull] = ACTIONS(163),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(163),
    [anon_sym_BSLASHacs] = ACTIONS(163),
    [anon_sym_BSLASHAcs] = ACTIONS(163),
    [anon_sym_BSLASHacsp] = ACTIONS(163),
    [anon_sym_BSLASHAcsp] = ACTIONS(163),
    [anon_sym_BSLASHacl] = ACTIONS(163),
    [anon_sym_BSLASHAcl] = ACTIONS(163),
    [anon_sym_BSLASHaclp] = ACTIONS(163),
    [anon_sym_BSLASHAclp] = ACTIONS(163),
    [anon_sym_BSLASHacf] = ACTIONS(163),
    [anon_sym_BSLASHAcf] = ACTIONS(163),
    [anon_sym_BSLASHacfp] = ACTIONS(163),
    [anon_sym_BSLASHAcfp] = ACTIONS(163),
    [anon_sym_BSLASHac] = ACTIONS(163),
    [anon_sym_BSLASHAc] = ACTIONS(163),
    [anon_sym_BSLASHacp] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(163),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(163),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(163),
    [anon_sym_BSLASHcolor] = ACTIONS(163),
    [anon_sym_BSLASHpagecolor] = ACTIONS(163),
    [anon_sym_BSLASHtextcolor] = ACTIONS(163),
    [anon_sym_BSLASHmathcolor] = ACTIONS(163),
    [anon_sym_BSLASHcolorbox] = ACTIONS(163),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(163),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(163),
    [anon_sym_BSLASHurl] = ACTIONS(163),
    [anon_sym_BSLASHhref] = ACTIONS(163),
  },
  [27] = {
    [sym_block_comment] = STATE(97),
    [sym__root_content] = STATE(97),
    [sym__flat_content] = STATE(97),
    [sym__text_with_env_content] = STATE(97),
    [sym__text_content] = STATE(97),
    [sym__section] = STATE(97),
    [sym__paragraph] = STATE(97),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(97),
    [sym_text] = STATE(97),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(97),
    [sym_displayed_equation] = STATE(97),
    [sym_inline_formula] = STATE(97),
    [sym_math_delimiter] = STATE(97),
    [sym_text_mode] = STATE(97),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(97),
    [sym_comment_environment] = STATE(97),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(97),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(97),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(97),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(97),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(97),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(97),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(97),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(97),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(97),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(97),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(97),
    [sym_generic_command] = STATE(97),
    [sym_title_declaration] = STATE(97),
    [sym_author_declaration] = STATE(97),
    [sym_package_include] = STATE(97),
    [sym_class_include] = STATE(97),
    [sym_latex_include] = STATE(97),
    [sym_biblatex_include] = STATE(97),
    [sym_bibstyle_include] = STATE(97),
    [sym_bibtex_include] = STATE(97),
    [sym_graphics_include] = STATE(97),
    [sym_svg_include] = STATE(97),
    [sym_inkscape_include] = STATE(97),
    [sym_verbatim_include] = STATE(97),
    [sym_import_include] = STATE(97),
    [sym_caption] = STATE(97),
    [sym_citation] = STATE(97),
    [sym_label_definition] = STATE(97),
    [sym_label_reference] = STATE(97),
    [sym_label_reference_range] = STATE(97),
    [sym_label_number] = STATE(97),
    [sym_new_command_definition] = STATE(97),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(97),
    [sym_let_command_definition] = STATE(97),
    [sym_paired_delimiter_definition] = STATE(97),
    [sym_environment_definition] = STATE(97),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(97),
    [sym_glossary_entry_reference] = STATE(97),
    [sym_acronym_definition] = STATE(97),
    [sym_acronym_reference] = STATE(97),
    [sym_theorem_definition] = STATE(97),
    [sym_color_definition] = STATE(97),
    [sym_color_set_definition] = STATE(97),
    [sym_color_reference] = STATE(97),
    [sym_tikz_library_import] = STATE(97),
    [sym_hyperlink] = STATE(97),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(169),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(606),
    [anon_sym_RBRACK] = ACTIONS(606),
    [anon_sym_COMMA] = ACTIONS(606),
    [anon_sym_EQ] = ACTIONS(606),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_RBRACE] = ACTIONS(171),
    [anon_sym_BSLASHand] = ACTIONS(169),
    [sym_word] = ACTIONS(169),
    [sym_placeholder] = ACTIONS(171),
    [sym_delimiter] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_STAR] = ACTIONS(171),
    [anon_sym_SLASH] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(169),
    [anon_sym_GT] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_PIPE] = ACTIONS(169),
    [anon_sym_COLON] = ACTIONS(169),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym__] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(171),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(171),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(171),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(161),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(171),
    [anon_sym_BSLASHleft] = ACTIONS(169),
    [anon_sym_BSLASHbigl] = ACTIONS(169),
    [anon_sym_BSLASHBigl] = ACTIONS(169),
    [anon_sym_BSLASHbiggl] = ACTIONS(169),
    [anon_sym_BSLASHBiggl] = ACTIONS(169),
    [anon_sym_BSLASHtext] = ACTIONS(169),
    [anon_sym_BSLASHintertext] = ACTIONS(169),
    [anon_sym_BSLASHshortintertext] = ACTIONS(169),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(169),
    [anon_sym_BSLASHauthor] = ACTIONS(169),
    [anon_sym_BSLASHusepackage] = ACTIONS(169),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(169),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(169),
    [anon_sym_BSLASHinclude] = ACTIONS(169),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(169),
    [anon_sym_BSLASHinput] = ACTIONS(169),
    [anon_sym_BSLASHsubfile] = ACTIONS(169),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(169),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(169),
    [anon_sym_BSLASHbibliography] = ACTIONS(169),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(169),
    [anon_sym_BSLASHincludesvg] = ACTIONS(169),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(169),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(169),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(169),
    [anon_sym_BSLASHimport] = ACTIONS(169),
    [anon_sym_BSLASHsubimport] = ACTIONS(169),
    [anon_sym_BSLASHinputfrom] = ACTIONS(169),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(169),
    [anon_sym_BSLASHincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHcaption] = ACTIONS(169),
    [anon_sym_BSLASHcite] = ACTIONS(169),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCite] = ACTIONS(169),
    [anon_sym_BSLASHnocite] = ACTIONS(169),
    [anon_sym_BSLASHcitet] = ACTIONS(169),
    [anon_sym_BSLASHcitep] = ACTIONS(169),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteA] = ACTIONS(169),
    [anon_sym_BSLASHciteR] = ACTIONS(169),
    [anon_sym_BSLASHciteS] = ACTIONS(169),
    [anon_sym_BSLASHciteyearR] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(169),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitetitle] = ACTIONS(169),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteyear] = ACTIONS(169),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitedate] = ACTIONS(169),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteurl] = ACTIONS(169),
    [anon_sym_BSLASHfullcite] = ACTIONS(169),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(169),
    [anon_sym_BSLASHcitealt] = ACTIONS(169),
    [anon_sym_BSLASHcitealp] = ACTIONS(169),
    [anon_sym_BSLASHcitetext] = ACTIONS(169),
    [anon_sym_BSLASHparencite] = ACTIONS(169),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHParencite] = ACTIONS(169),
    [anon_sym_BSLASHfootcite] = ACTIONS(169),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(169),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(169),
    [anon_sym_BSLASHtextcite] = ACTIONS(169),
    [anon_sym_BSLASHTextcite] = ACTIONS(169),
    [anon_sym_BSLASHsmartcite] = ACTIONS(169),
    [anon_sym_BSLASHSmartcite] = ACTIONS(169),
    [anon_sym_BSLASHsupercite] = ACTIONS(169),
    [anon_sym_BSLASHautocite] = ACTIONS(169),
    [anon_sym_BSLASHAutocite] = ACTIONS(169),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHvolcite] = ACTIONS(169),
    [anon_sym_BSLASHVolcite] = ACTIONS(169),
    [anon_sym_BSLASHpvolcite] = ACTIONS(169),
    [anon_sym_BSLASHPvolcite] = ACTIONS(169),
    [anon_sym_BSLASHfvolcite] = ACTIONS(169),
    [anon_sym_BSLASHftvolcite] = ACTIONS(169),
    [anon_sym_BSLASHsvolcite] = ACTIONS(169),
    [anon_sym_BSLASHSvolcite] = ACTIONS(169),
    [anon_sym_BSLASHtvolcite] = ACTIONS(169),
    [anon_sym_BSLASHTvolcite] = ACTIONS(169),
    [anon_sym_BSLASHavolcite] = ACTIONS(169),
    [anon_sym_BSLASHAvolcite] = ACTIONS(169),
    [anon_sym_BSLASHnotecite] = ACTIONS(169),
    [anon_sym_BSLASHNotecite] = ACTIONS(169),
    [anon_sym_BSLASHpnotecite] = ACTIONS(169),
    [anon_sym_BSLASHPnotecite] = ACTIONS(169),
    [anon_sym_BSLASHfnotecite] = ACTIONS(169),
    [anon_sym_BSLASHlabel] = ACTIONS(169),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHeqref] = ACTIONS(169),
    [anon_sym_BSLASHvref] = ACTIONS(169),
    [anon_sym_BSLASHVref] = ACTIONS(169),
    [anon_sym_BSLASHautoref] = ACTIONS(169),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHpageref] = ACTIONS(169),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHautopageref] = ACTIONS(169),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcref] = ACTIONS(169),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCref] = ACTIONS(169),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpageref] = ACTIONS(169),
    [anon_sym_BSLASHCpageref] = ACTIONS(169),
    [anon_sym_BSLASHnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnameCref] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcrefrange] = ACTIONS(169),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCrefrange] = ACTIONS(169),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHnewlabel] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(169),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(169),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(169),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(171),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHdef] = ACTIONS(169),
    [anon_sym_BSLASHgdef] = ACTIONS(169),
    [anon_sym_BSLASHedef] = ACTIONS(169),
    [anon_sym_BSLASHxdef] = ACTIONS(169),
    [anon_sym_BSLASHlet] = ACTIONS(169),
    [anon_sym_BSLASHglet] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(169),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(169),
    [anon_sym_BSLASHgls] = ACTIONS(169),
    [anon_sym_BSLASHGls] = ACTIONS(169),
    [anon_sym_BSLASHGLS] = ACTIONS(169),
    [anon_sym_BSLASHglspl] = ACTIONS(169),
    [anon_sym_BSLASHGlspl] = ACTIONS(169),
    [anon_sym_BSLASHGLSpl] = ACTIONS(169),
    [anon_sym_BSLASHglsdisp] = ACTIONS(169),
    [anon_sym_BSLASHglslink] = ACTIONS(169),
    [anon_sym_BSLASHglstext] = ACTIONS(169),
    [anon_sym_BSLASHGlstext] = ACTIONS(169),
    [anon_sym_BSLASHGLStext] = ACTIONS(169),
    [anon_sym_BSLASHglsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(169),
    [anon_sym_BSLASHglsplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSplural] = ACTIONS(169),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHglsname] = ACTIONS(169),
    [anon_sym_BSLASHGlsname] = ACTIONS(169),
    [anon_sym_BSLASHGLSname] = ACTIONS(169),
    [anon_sym_BSLASHglssymbol] = ACTIONS(169),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(169),
    [anon_sym_BSLASHglsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(169),
    [anon_sym_BSLASHglsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(169),
    [anon_sym_BSLASHglsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(169),
    [anon_sym_BSLASHglsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(169),
    [anon_sym_BSLASHglsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(169),
    [anon_sym_BSLASHnewacronym] = ACTIONS(169),
    [anon_sym_BSLASHacrshort] = ACTIONS(169),
    [anon_sym_BSLASHAcrshort] = ACTIONS(169),
    [anon_sym_BSLASHACRshort] = ACTIONS(169),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(169),
    [anon_sym_BSLASHacrlong] = ACTIONS(169),
    [anon_sym_BSLASHAcrlong] = ACTIONS(169),
    [anon_sym_BSLASHACRlong] = ACTIONS(169),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(169),
    [anon_sym_BSLASHacrfull] = ACTIONS(169),
    [anon_sym_BSLASHAcrfull] = ACTIONS(169),
    [anon_sym_BSLASHACRfull] = ACTIONS(169),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(169),
    [anon_sym_BSLASHacs] = ACTIONS(169),
    [anon_sym_BSLASHAcs] = ACTIONS(169),
    [anon_sym_BSLASHacsp] = ACTIONS(169),
    [anon_sym_BSLASHAcsp] = ACTIONS(169),
    [anon_sym_BSLASHacl] = ACTIONS(169),
    [anon_sym_BSLASHAcl] = ACTIONS(169),
    [anon_sym_BSLASHaclp] = ACTIONS(169),
    [anon_sym_BSLASHAclp] = ACTIONS(169),
    [anon_sym_BSLASHacf] = ACTIONS(169),
    [anon_sym_BSLASHAcf] = ACTIONS(169),
    [anon_sym_BSLASHacfp] = ACTIONS(169),
    [anon_sym_BSLASHAcfp] = ACTIONS(169),
    [anon_sym_BSLASHac] = ACTIONS(169),
    [anon_sym_BSLASHAc] = ACTIONS(169),
    [anon_sym_BSLASHacp] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(169),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(169),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(169),
    [anon_sym_BSLASHcolor] = ACTIONS(169),
    [anon_sym_BSLASHpagecolor] = ACTIONS(169),
    [anon_sym_BSLASHtextcolor] = ACTIONS(169),
    [anon_sym_BSLASHmathcolor] = ACTIONS(169),
    [anon_sym_BSLASHcolorbox] = ACTIONS(169),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(169),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(169),
    [anon_sym_BSLASHurl] = ACTIONS(169),
    [anon_sym_BSLASHhref] = ACTIONS(169),
  },
  [28] = {
    [sym_block_comment] = STATE(104),
    [sym__root_content] = STATE(104),
    [sym__flat_content] = STATE(104),
    [sym__text_with_env_content] = STATE(104),
    [sym__text_content] = STATE(104),
    [sym__section] = STATE(104),
    [sym__paragraph] = STATE(104),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(104),
    [sym_text] = STATE(104),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(104),
    [sym_displayed_equation] = STATE(104),
    [sym_inline_formula] = STATE(104),
    [sym_math_delimiter] = STATE(104),
    [sym_text_mode] = STATE(104),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(104),
    [sym_comment_environment] = STATE(104),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(104),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(104),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(104),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(104),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(104),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(104),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(104),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(104),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(104),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(104),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(104),
    [sym_generic_command] = STATE(104),
    [sym_title_declaration] = STATE(104),
    [sym_author_declaration] = STATE(104),
    [sym_package_include] = STATE(104),
    [sym_class_include] = STATE(104),
    [sym_latex_include] = STATE(104),
    [sym_biblatex_include] = STATE(104),
    [sym_bibstyle_include] = STATE(104),
    [sym_bibtex_include] = STATE(104),
    [sym_graphics_include] = STATE(104),
    [sym_svg_include] = STATE(104),
    [sym_inkscape_include] = STATE(104),
    [sym_verbatim_include] = STATE(104),
    [sym_import_include] = STATE(104),
    [sym_caption] = STATE(104),
    [sym_citation] = STATE(104),
    [sym_label_definition] = STATE(104),
    [sym_label_reference] = STATE(104),
    [sym_label_reference_range] = STATE(104),
    [sym_label_number] = STATE(104),
    [sym_new_command_definition] = STATE(104),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(104),
    [sym_let_command_definition] = STATE(104),
    [sym_paired_delimiter_definition] = STATE(104),
    [sym_environment_definition] = STATE(104),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(104),
    [sym_glossary_entry_reference] = STATE(104),
    [sym_acronym_definition] = STATE(104),
    [sym_acronym_reference] = STATE(104),
    [sym_theorem_definition] = STATE(104),
    [sym_color_definition] = STATE(104),
    [sym_color_set_definition] = STATE(104),
    [sym_color_reference] = STATE(104),
    [sym_tikz_library_import] = STATE(104),
    [sym_hyperlink] = STATE(104),
    [aux_sym_source_file_repeat1] = STATE(104),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(173),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(173),
    [anon_sym_LBRACK] = ACTIONS(640),
    [anon_sym_RBRACK] = ACTIONS(640),
    [anon_sym_COMMA] = ACTIONS(640),
    [anon_sym_EQ] = ACTIONS(640),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_RPAREN] = ACTIONS(175),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_RBRACE] = ACTIONS(175),
    [anon_sym_BSLASHand] = ACTIONS(173),
    [sym_word] = ACTIONS(173),
    [sym_placeholder] = ACTIONS(175),
    [sym_delimiter] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym__] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(175),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(175),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(175),
    [anon_sym_DOLLAR] = ACTIONS(173),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(175),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(167),
    [anon_sym_BSLASHleft] = ACTIONS(173),
    [anon_sym_BSLASHbigl] = ACTIONS(173),
    [anon_sym_BSLASHBigl] = ACTIONS(173),
    [anon_sym_BSLASHbiggl] = ACTIONS(173),
    [anon_sym_BSLASHBiggl] = ACTIONS(173),
    [anon_sym_BSLASHtext] = ACTIONS(173),
    [anon_sym_BSLASHintertext] = ACTIONS(173),
    [anon_sym_BSLASHshortintertext] = ACTIONS(173),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(173),
    [anon_sym_BSLASHauthor] = ACTIONS(173),
    [anon_sym_BSLASHusepackage] = ACTIONS(173),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(173),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(173),
    [anon_sym_BSLASHinclude] = ACTIONS(173),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(173),
    [anon_sym_BSLASHinput] = ACTIONS(173),
    [anon_sym_BSLASHsubfile] = ACTIONS(173),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(173),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(173),
    [anon_sym_BSLASHbibliography] = ACTIONS(173),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(173),
    [anon_sym_BSLASHincludesvg] = ACTIONS(173),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(173),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(173),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(173),
    [anon_sym_BSLASHimport] = ACTIONS(173),
    [anon_sym_BSLASHsubimport] = ACTIONS(173),
    [anon_sym_BSLASHinputfrom] = ACTIONS(173),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(173),
    [anon_sym_BSLASHincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHcaption] = ACTIONS(173),
    [anon_sym_BSLASHcite] = ACTIONS(173),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCite] = ACTIONS(173),
    [anon_sym_BSLASHnocite] = ACTIONS(173),
    [anon_sym_BSLASHcitet] = ACTIONS(173),
    [anon_sym_BSLASHcitep] = ACTIONS(173),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteA] = ACTIONS(173),
    [anon_sym_BSLASHciteR] = ACTIONS(173),
    [anon_sym_BSLASHciteS] = ACTIONS(173),
    [anon_sym_BSLASHciteyearR] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(173),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitetitle] = ACTIONS(173),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteyear] = ACTIONS(173),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitedate] = ACTIONS(173),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteurl] = ACTIONS(173),
    [anon_sym_BSLASHfullcite] = ACTIONS(173),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(173),
    [anon_sym_BSLASHcitealt] = ACTIONS(173),
    [anon_sym_BSLASHcitealp] = ACTIONS(173),
    [anon_sym_BSLASHcitetext] = ACTIONS(173),
    [anon_sym_BSLASHparencite] = ACTIONS(173),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHParencite] = ACTIONS(173),
    [anon_sym_BSLASHfootcite] = ACTIONS(173),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(173),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(173),
    [anon_sym_BSLASHtextcite] = ACTIONS(173),
    [anon_sym_BSLASHTextcite] = ACTIONS(173),
    [anon_sym_BSLASHsmartcite] = ACTIONS(173),
    [anon_sym_BSLASHSmartcite] = ACTIONS(173),
    [anon_sym_BSLASHsupercite] = ACTIONS(173),
    [anon_sym_BSLASHautocite] = ACTIONS(173),
    [anon_sym_BSLASHAutocite] = ACTIONS(173),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHvolcite] = ACTIONS(173),
    [anon_sym_BSLASHVolcite] = ACTIONS(173),
    [anon_sym_BSLASHpvolcite] = ACTIONS(173),
    [anon_sym_BSLASHPvolcite] = ACTIONS(173),
    [anon_sym_BSLASHfvolcite] = ACTIONS(173),
    [anon_sym_BSLASHftvolcite] = ACTIONS(173),
    [anon_sym_BSLASHsvolcite] = ACTIONS(173),
    [anon_sym_BSLASHSvolcite] = ACTIONS(173),
    [anon_sym_BSLASHtvolcite] = ACTIONS(173),
    [anon_sym_BSLASHTvolcite] = ACTIONS(173),
    [anon_sym_BSLASHavolcite] = ACTIONS(173),
    [anon_sym_BSLASHAvolcite] = ACTIONS(173),
    [anon_sym_BSLASHnotecite] = ACTIONS(173),
    [anon_sym_BSLASHNotecite] = ACTIONS(173),
    [anon_sym_BSLASHpnotecite] = ACTIONS(173),
    [anon_sym_BSLASHPnotecite] = ACTIONS(173),
    [anon_sym_BSLASHfnotecite] = ACTIONS(173),
    [anon_sym_BSLASHlabel] = ACTIONS(173),
    [anon_sym_BSLASHref] = ACTIONS(173),
    [anon_sym_BSLASHeqref] = ACTIONS(173),
    [anon_sym_BSLASHvref] = ACTIONS(173),
    [anon_sym_BSLASHVref] = ACTIONS(173),
    [anon_sym_BSLASHautoref] = ACTIONS(173),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHpageref] = ACTIONS(173),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHautopageref] = ACTIONS(173),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcref] = ACTIONS(173),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCref] = ACTIONS(173),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpageref] = ACTIONS(173),
    [anon_sym_BSLASHCpageref] = ACTIONS(173),
    [anon_sym_BSLASHnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnameCref] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcrefrange] = ACTIONS(173),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCrefrange] = ACTIONS(173),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHnewlabel] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(173),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(173),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(173),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(175),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHdef] = ACTIONS(173),
    [anon_sym_BSLASHgdef] = ACTIONS(173),
    [anon_sym_BSLASHedef] = ACTIONS(173),
    [anon_sym_BSLASHxdef] = ACTIONS(173),
    [anon_sym_BSLASHlet] = ACTIONS(173),
    [anon_sym_BSLASHglet] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(173),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(173),
    [anon_sym_BSLASHgls] = ACTIONS(173),
    [anon_sym_BSLASHGls] = ACTIONS(173),
    [anon_sym_BSLASHGLS] = ACTIONS(173),
    [anon_sym_BSLASHglspl] = ACTIONS(173),
    [anon_sym_BSLASHGlspl] = ACTIONS(173),
    [anon_sym_BSLASHGLSpl] = ACTIONS(173),
    [anon_sym_BSLASHglsdisp] = ACTIONS(173),
    [anon_sym_BSLASHglslink] = ACTIONS(173),
    [anon_sym_BSLASHglstext] = ACTIONS(173),
    [anon_sym_BSLASHGlstext] = ACTIONS(173),
    [anon_sym_BSLASHGLStext] = ACTIONS(173),
    [anon_sym_BSLASHglsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(173),
    [anon_sym_BSLASHglsplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSplural] = ACTIONS(173),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHglsname] = ACTIONS(173),
    [anon_sym_BSLASHGlsname] = ACTIONS(173),
    [anon_sym_BSLASHGLSname] = ACTIONS(173),
    [anon_sym_BSLASHglssymbol] = ACTIONS(173),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(173),
    [anon_sym_BSLASHglsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(173),
    [anon_sym_BSLASHglsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(173),
    [anon_sym_BSLASHglsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(173),
    [anon_sym_BSLASHglsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(173),
    [anon_sym_BSLASHglsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(173),
    [anon_sym_BSLASHnewacronym] = ACTIONS(173),
    [anon_sym_BSLASHacrshort] = ACTIONS(173),
    [anon_sym_BSLASHAcrshort] = ACTIONS(173),
    [anon_sym_BSLASHACRshort] = ACTIONS(173),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(173),
    [anon_sym_BSLASHacrlong] = ACTIONS(173),
    [anon_sym_BSLASHAcrlong] = ACTIONS(173),
    [anon_sym_BSLASHACRlong] = ACTIONS(173),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(173),
    [anon_sym_BSLASHacrfull] = ACTIONS(173),
    [anon_sym_BSLASHAcrfull] = ACTIONS(173),
    [anon_sym_BSLASHACRfull] = ACTIONS(173),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(173),
    [anon_sym_BSLASHacs] = ACTIONS(173),
    [anon_sym_BSLASHAcs] = ACTIONS(173),
    [anon_sym_BSLASHacsp] = ACTIONS(173),
    [anon_sym_BSLASHAcsp] = ACTIONS(173),
    [anon_sym_BSLASHacl] = ACTIONS(173),
    [anon_sym_BSLASHAcl] = ACTIONS(173),
    [anon_sym_BSLASHaclp] = ACTIONS(173),
    [anon_sym_BSLASHAclp] = ACTIONS(173),
    [anon_sym_BSLASHacf] = ACTIONS(173),
    [anon_sym_BSLASHAcf] = ACTIONS(173),
    [anon_sym_BSLASHacfp] = ACTIONS(173),
    [anon_sym_BSLASHAcfp] = ACTIONS(173),
    [anon_sym_BSLASHac] = ACTIONS(173),
    [anon_sym_BSLASHAc] = ACTIONS(173),
    [anon_sym_BSLASHacp] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(173),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(173),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(173),
    [anon_sym_BSLASHcolor] = ACTIONS(173),
    [anon_sym_BSLASHpagecolor] = ACTIONS(173),
    [anon_sym_BSLASHtextcolor] = ACTIONS(173),
    [anon_sym_BSLASHmathcolor] = ACTIONS(173),
    [anon_sym_BSLASHcolorbox] = ACTIONS(173),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(173),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(173),
    [anon_sym_BSLASHurl] = ACTIONS(173),
    [anon_sym_BSLASHhref] = ACTIONS(173),
  },
  [29] = {
    [sym_block_comment] = STATE(104),
    [sym__root_content] = STATE(104),
    [sym__flat_content] = STATE(104),
    [sym__text_with_env_content] = STATE(104),
    [sym__text_content] = STATE(104),
    [sym__section] = STATE(104),
    [sym__paragraph] = STATE(104),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(104),
    [sym_text] = STATE(104),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(104),
    [sym_displayed_equation] = STATE(104),
    [sym_inline_formula] = STATE(104),
    [sym_math_delimiter] = STATE(104),
    [sym_text_mode] = STATE(104),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(104),
    [sym_comment_environment] = STATE(104),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(104),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(104),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(104),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(104),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(104),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(104),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(104),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(104),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(104),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(104),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(104),
    [sym_generic_command] = STATE(104),
    [sym_title_declaration] = STATE(104),
    [sym_author_declaration] = STATE(104),
    [sym_package_include] = STATE(104),
    [sym_class_include] = STATE(104),
    [sym_latex_include] = STATE(104),
    [sym_biblatex_include] = STATE(104),
    [sym_bibstyle_include] = STATE(104),
    [sym_bibtex_include] = STATE(104),
    [sym_graphics_include] = STATE(104),
    [sym_svg_include] = STATE(104),
    [sym_inkscape_include] = STATE(104),
    [sym_verbatim_include] = STATE(104),
    [sym_import_include] = STATE(104),
    [sym_caption] = STATE(104),
    [sym_citation] = STATE(104),
    [sym_label_definition] = STATE(104),
    [sym_label_reference] = STATE(104),
    [sym_label_reference_range] = STATE(104),
    [sym_label_number] = STATE(104),
    [sym_new_command_definition] = STATE(104),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(104),
    [sym_let_command_definition] = STATE(104),
    [sym_paired_delimiter_definition] = STATE(104),
    [sym_environment_definition] = STATE(104),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(104),
    [sym_glossary_entry_reference] = STATE(104),
    [sym_acronym_definition] = STATE(104),
    [sym_acronym_reference] = STATE(104),
    [sym_theorem_definition] = STATE(104),
    [sym_color_definition] = STATE(104),
    [sym_color_set_definition] = STATE(104),
    [sym_color_reference] = STATE(104),
    [sym_tikz_library_import] = STATE(104),
    [sym_hyperlink] = STATE(104),
    [aux_sym_source_file_repeat1] = STATE(104),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [ts_builtin_sym_end] = ACTIONS(175),
    [sym_command_name] = ACTIONS(173),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(173),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_RBRACK] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_RPAREN] = ACTIONS(175),
    [anon_sym_BSLASHpart] = ACTIONS(173),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddpart] = ACTIONS(173),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(175),
    [anon_sym_BSLASHchapter] = ACTIONS(173),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddchap] = ACTIONS(173),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsection] = ACTIONS(173),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddsec] = ACTIONS(173),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubsection] = ACTIONS(173),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(173),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHparagraph] = ACTIONS(173),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(173),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(175),
    [anon_sym_BSLASHitem] = ACTIONS(173),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(175),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_RBRACE] = ACTIONS(175),
    [sym_word] = ACTIONS(173),
    [sym_placeholder] = ACTIONS(175),
    [sym_delimiter] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym__] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(175),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(175),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(175),
    [anon_sym_DOLLAR] = ACTIONS(173),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(175),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(167),
    [anon_sym_BSLASHleft] = ACTIONS(173),
    [anon_sym_BSLASHbigl] = ACTIONS(173),
    [anon_sym_BSLASHBigl] = ACTIONS(173),
    [anon_sym_BSLASHbiggl] = ACTIONS(173),
    [anon_sym_BSLASHBiggl] = ACTIONS(173),
    [anon_sym_BSLASHtext] = ACTIONS(173),
    [anon_sym_BSLASHintertext] = ACTIONS(173),
    [anon_sym_BSLASHshortintertext] = ACTIONS(173),
    [anon_sym_BSLASHbegin] = ACTIONS(173),
    [anon_sym_BSLASHtitle] = ACTIONS(173),
    [anon_sym_BSLASHauthor] = ACTIONS(173),
    [anon_sym_BSLASHusepackage] = ACTIONS(173),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(173),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(173),
    [anon_sym_BSLASHinclude] = ACTIONS(173),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(173),
    [anon_sym_BSLASHinput] = ACTIONS(173),
    [anon_sym_BSLASHsubfile] = ACTIONS(173),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(173),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(173),
    [anon_sym_BSLASHbibliography] = ACTIONS(173),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(173),
    [anon_sym_BSLASHincludesvg] = ACTIONS(173),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(173),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(173),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(173),
    [anon_sym_BSLASHimport] = ACTIONS(173),
    [anon_sym_BSLASHsubimport] = ACTIONS(173),
    [anon_sym_BSLASHinputfrom] = ACTIONS(173),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(173),
    [anon_sym_BSLASHincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHcaption] = ACTIONS(173),
    [anon_sym_BSLASHcite] = ACTIONS(173),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCite] = ACTIONS(173),
    [anon_sym_BSLASHnocite] = ACTIONS(173),
    [anon_sym_BSLASHcitet] = ACTIONS(173),
    [anon_sym_BSLASHcitep] = ACTIONS(173),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteA] = ACTIONS(173),
    [anon_sym_BSLASHciteR] = ACTIONS(173),
    [anon_sym_BSLASHciteS] = ACTIONS(173),
    [anon_sym_BSLASHciteyearR] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(173),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitetitle] = ACTIONS(173),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteyear] = ACTIONS(173),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitedate] = ACTIONS(173),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteurl] = ACTIONS(173),
    [anon_sym_BSLASHfullcite] = ACTIONS(173),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(173),
    [anon_sym_BSLASHcitealt] = ACTIONS(173),
    [anon_sym_BSLASHcitealp] = ACTIONS(173),
    [anon_sym_BSLASHcitetext] = ACTIONS(173),
    [anon_sym_BSLASHparencite] = ACTIONS(173),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHParencite] = ACTIONS(173),
    [anon_sym_BSLASHfootcite] = ACTIONS(173),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(173),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(173),
    [anon_sym_BSLASHtextcite] = ACTIONS(173),
    [anon_sym_BSLASHTextcite] = ACTIONS(173),
    [anon_sym_BSLASHsmartcite] = ACTIONS(173),
    [anon_sym_BSLASHSmartcite] = ACTIONS(173),
    [anon_sym_BSLASHsupercite] = ACTIONS(173),
    [anon_sym_BSLASHautocite] = ACTIONS(173),
    [anon_sym_BSLASHAutocite] = ACTIONS(173),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHvolcite] = ACTIONS(173),
    [anon_sym_BSLASHVolcite] = ACTIONS(173),
    [anon_sym_BSLASHpvolcite] = ACTIONS(173),
    [anon_sym_BSLASHPvolcite] = ACTIONS(173),
    [anon_sym_BSLASHfvolcite] = ACTIONS(173),
    [anon_sym_BSLASHftvolcite] = ACTIONS(173),
    [anon_sym_BSLASHsvolcite] = ACTIONS(173),
    [anon_sym_BSLASHSvolcite] = ACTIONS(173),
    [anon_sym_BSLASHtvolcite] = ACTIONS(173),
    [anon_sym_BSLASHTvolcite] = ACTIONS(173),
    [anon_sym_BSLASHavolcite] = ACTIONS(173),
    [anon_sym_BSLASHAvolcite] = ACTIONS(173),
    [anon_sym_BSLASHnotecite] = ACTIONS(173),
    [anon_sym_BSLASHNotecite] = ACTIONS(173),
    [anon_sym_BSLASHpnotecite] = ACTIONS(173),
    [anon_sym_BSLASHPnotecite] = ACTIONS(173),
    [anon_sym_BSLASHfnotecite] = ACTIONS(173),
    [anon_sym_BSLASHlabel] = ACTIONS(173),
    [anon_sym_BSLASHref] = ACTIONS(173),
    [anon_sym_BSLASHeqref] = ACTIONS(173),
    [anon_sym_BSLASHvref] = ACTIONS(173),
    [anon_sym_BSLASHVref] = ACTIONS(173),
    [anon_sym_BSLASHautoref] = ACTIONS(173),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHpageref] = ACTIONS(173),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHautopageref] = ACTIONS(173),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcref] = ACTIONS(173),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCref] = ACTIONS(173),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpageref] = ACTIONS(173),
    [anon_sym_BSLASHCpageref] = ACTIONS(173),
    [anon_sym_BSLASHnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnameCref] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcrefrange] = ACTIONS(173),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCrefrange] = ACTIONS(173),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHnewlabel] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(173),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(173),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(173),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(175),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHdef] = ACTIONS(173),
    [anon_sym_BSLASHgdef] = ACTIONS(173),
    [anon_sym_BSLASHedef] = ACTIONS(173),
    [anon_sym_BSLASHxdef] = ACTIONS(173),
    [anon_sym_BSLASHlet] = ACTIONS(173),
    [anon_sym_BSLASHglet] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(173),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(173),
    [anon_sym_BSLASHgls] = ACTIONS(173),
    [anon_sym_BSLASHGls] = ACTIONS(173),
    [anon_sym_BSLASHGLS] = ACTIONS(173),
    [anon_sym_BSLASHglspl] = ACTIONS(173),
    [anon_sym_BSLASHGlspl] = ACTIONS(173),
    [anon_sym_BSLASHGLSpl] = ACTIONS(173),
    [anon_sym_BSLASHglsdisp] = ACTIONS(173),
    [anon_sym_BSLASHglslink] = ACTIONS(173),
    [anon_sym_BSLASHglstext] = ACTIONS(173),
    [anon_sym_BSLASHGlstext] = ACTIONS(173),
    [anon_sym_BSLASHGLStext] = ACTIONS(173),
    [anon_sym_BSLASHglsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(173),
    [anon_sym_BSLASHglsplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSplural] = ACTIONS(173),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHglsname] = ACTIONS(173),
    [anon_sym_BSLASHGlsname] = ACTIONS(173),
    [anon_sym_BSLASHGLSname] = ACTIONS(173),
    [anon_sym_BSLASHglssymbol] = ACTIONS(173),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(173),
    [anon_sym_BSLASHglsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(173),
    [anon_sym_BSLASHglsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(173),
    [anon_sym_BSLASHglsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(173),
    [anon_sym_BSLASHglsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(173),
    [anon_sym_BSLASHglsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(173),
    [anon_sym_BSLASHnewacronym] = ACTIONS(173),
    [anon_sym_BSLASHacrshort] = ACTIONS(173),
    [anon_sym_BSLASHAcrshort] = ACTIONS(173),
    [anon_sym_BSLASHACRshort] = ACTIONS(173),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(173),
    [anon_sym_BSLASHacrlong] = ACTIONS(173),
    [anon_sym_BSLASHAcrlong] = ACTIONS(173),
    [anon_sym_BSLASHACRlong] = ACTIONS(173),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(173),
    [anon_sym_BSLASHacrfull] = ACTIONS(173),
    [anon_sym_BSLASHAcrfull] = ACTIONS(173),
    [anon_sym_BSLASHACRfull] = ACTIONS(173),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(173),
    [anon_sym_BSLASHacs] = ACTIONS(173),
    [anon_sym_BSLASHAcs] = ACTIONS(173),
    [anon_sym_BSLASHacsp] = ACTIONS(173),
    [anon_sym_BSLASHAcsp] = ACTIONS(173),
    [anon_sym_BSLASHacl] = ACTIONS(173),
    [anon_sym_BSLASHAcl] = ACTIONS(173),
    [anon_sym_BSLASHaclp] = ACTIONS(173),
    [anon_sym_BSLASHAclp] = ACTIONS(173),
    [anon_sym_BSLASHacf] = ACTIONS(173),
    [anon_sym_BSLASHAcf] = ACTIONS(173),
    [anon_sym_BSLASHacfp] = ACTIONS(173),
    [anon_sym_BSLASHAcfp] = ACTIONS(173),
    [anon_sym_BSLASHac] = ACTIONS(173),
    [anon_sym_BSLASHAc] = ACTIONS(173),
    [anon_sym_BSLASHacp] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(173),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(173),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(173),
    [anon_sym_BSLASHcolor] = ACTIONS(173),
    [anon_sym_BSLASHpagecolor] = ACTIONS(173),
    [anon_sym_BSLASHtextcolor] = ACTIONS(173),
    [anon_sym_BSLASHmathcolor] = ACTIONS(173),
    [anon_sym_BSLASHcolorbox] = ACTIONS(173),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(173),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(173),
    [anon_sym_BSLASHurl] = ACTIONS(173),
    [anon_sym_BSLASHhref] = ACTIONS(173),
  },
  [30] = {
    [sym_block_comment] = STATE(104),
    [sym__root_content] = STATE(104),
    [sym__flat_content] = STATE(104),
    [sym__text_with_env_content] = STATE(104),
    [sym__text_content] = STATE(104),
    [sym__section] = STATE(104),
    [sym__paragraph] = STATE(104),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(104),
    [sym_text] = STATE(104),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(104),
    [sym_displayed_equation] = STATE(104),
    [sym_inline_formula] = STATE(104),
    [sym_math_delimiter] = STATE(104),
    [sym_text_mode] = STATE(104),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(104),
    [sym_comment_environment] = STATE(104),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(104),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(104),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(104),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(104),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(104),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(104),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(104),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(104),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(104),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(104),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(104),
    [sym_generic_command] = STATE(104),
    [sym_title_declaration] = STATE(104),
    [sym_author_declaration] = STATE(104),
    [sym_package_include] = STATE(104),
    [sym_class_include] = STATE(104),
    [sym_latex_include] = STATE(104),
    [sym_biblatex_include] = STATE(104),
    [sym_bibstyle_include] = STATE(104),
    [sym_bibtex_include] = STATE(104),
    [sym_graphics_include] = STATE(104),
    [sym_svg_include] = STATE(104),
    [sym_inkscape_include] = STATE(104),
    [sym_verbatim_include] = STATE(104),
    [sym_import_include] = STATE(104),
    [sym_caption] = STATE(104),
    [sym_citation] = STATE(104),
    [sym_label_definition] = STATE(104),
    [sym_label_reference] = STATE(104),
    [sym_label_reference_range] = STATE(104),
    [sym_label_number] = STATE(104),
    [sym_new_command_definition] = STATE(104),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(104),
    [sym_let_command_definition] = STATE(104),
    [sym_paired_delimiter_definition] = STATE(104),
    [sym_environment_definition] = STATE(104),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(104),
    [sym_glossary_entry_reference] = STATE(104),
    [sym_acronym_definition] = STATE(104),
    [sym_acronym_reference] = STATE(104),
    [sym_theorem_definition] = STATE(104),
    [sym_color_definition] = STATE(104),
    [sym_color_set_definition] = STATE(104),
    [sym_color_reference] = STATE(104),
    [sym_tikz_library_import] = STATE(104),
    [sym_hyperlink] = STATE(104),
    [aux_sym_source_file_repeat1] = STATE(104),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [ts_builtin_sym_end] = ACTIONS(165),
    [sym_command_name] = ACTIONS(163),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_RBRACK] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_RPAREN] = ACTIONS(165),
    [anon_sym_BSLASHpart] = ACTIONS(163),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddpart] = ACTIONS(163),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(165),
    [anon_sym_BSLASHchapter] = ACTIONS(163),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddchap] = ACTIONS(163),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsection] = ACTIONS(163),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddsec] = ACTIONS(163),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubsection] = ACTIONS(163),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(163),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHparagraph] = ACTIONS(163),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(163),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(165),
    [anon_sym_BSLASHitem] = ACTIONS(163),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_RBRACE] = ACTIONS(165),
    [sym_word] = ACTIONS(163),
    [sym_placeholder] = ACTIONS(165),
    [sym_delimiter] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym__] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(165),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(163),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(165),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(167),
    [anon_sym_BSLASHleft] = ACTIONS(163),
    [anon_sym_BSLASHbigl] = ACTIONS(163),
    [anon_sym_BSLASHBigl] = ACTIONS(163),
    [anon_sym_BSLASHbiggl] = ACTIONS(163),
    [anon_sym_BSLASHBiggl] = ACTIONS(163),
    [anon_sym_BSLASHtext] = ACTIONS(163),
    [anon_sym_BSLASHintertext] = ACTIONS(163),
    [anon_sym_BSLASHshortintertext] = ACTIONS(163),
    [anon_sym_BSLASHbegin] = ACTIONS(163),
    [anon_sym_BSLASHtitle] = ACTIONS(163),
    [anon_sym_BSLASHauthor] = ACTIONS(163),
    [anon_sym_BSLASHusepackage] = ACTIONS(163),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(163),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(163),
    [anon_sym_BSLASHinclude] = ACTIONS(163),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(163),
    [anon_sym_BSLASHinput] = ACTIONS(163),
    [anon_sym_BSLASHsubfile] = ACTIONS(163),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(163),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(163),
    [anon_sym_BSLASHbibliography] = ACTIONS(163),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(163),
    [anon_sym_BSLASHincludesvg] = ACTIONS(163),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(163),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(163),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(163),
    [anon_sym_BSLASHimport] = ACTIONS(163),
    [anon_sym_BSLASHsubimport] = ACTIONS(163),
    [anon_sym_BSLASHinputfrom] = ACTIONS(163),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(163),
    [anon_sym_BSLASHincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHcaption] = ACTIONS(163),
    [anon_sym_BSLASHcite] = ACTIONS(163),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCite] = ACTIONS(163),
    [anon_sym_BSLASHnocite] = ACTIONS(163),
    [anon_sym_BSLASHcitet] = ACTIONS(163),
    [anon_sym_BSLASHcitep] = ACTIONS(163),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteA] = ACTIONS(163),
    [anon_sym_BSLASHciteR] = ACTIONS(163),
    [anon_sym_BSLASHciteS] = ACTIONS(163),
    [anon_sym_BSLASHciteyearR] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(163),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitetitle] = ACTIONS(163),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteyear] = ACTIONS(163),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitedate] = ACTIONS(163),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteurl] = ACTIONS(163),
    [anon_sym_BSLASHfullcite] = ACTIONS(163),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(163),
    [anon_sym_BSLASHcitealt] = ACTIONS(163),
    [anon_sym_BSLASHcitealp] = ACTIONS(163),
    [anon_sym_BSLASHcitetext] = ACTIONS(163),
    [anon_sym_BSLASHparencite] = ACTIONS(163),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHParencite] = ACTIONS(163),
    [anon_sym_BSLASHfootcite] = ACTIONS(163),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(163),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(163),
    [anon_sym_BSLASHtextcite] = ACTIONS(163),
    [anon_sym_BSLASHTextcite] = ACTIONS(163),
    [anon_sym_BSLASHsmartcite] = ACTIONS(163),
    [anon_sym_BSLASHSmartcite] = ACTIONS(163),
    [anon_sym_BSLASHsupercite] = ACTIONS(163),
    [anon_sym_BSLASHautocite] = ACTIONS(163),
    [anon_sym_BSLASHAutocite] = ACTIONS(163),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHvolcite] = ACTIONS(163),
    [anon_sym_BSLASHVolcite] = ACTIONS(163),
    [anon_sym_BSLASHpvolcite] = ACTIONS(163),
    [anon_sym_BSLASHPvolcite] = ACTIONS(163),
    [anon_sym_BSLASHfvolcite] = ACTIONS(163),
    [anon_sym_BSLASHftvolcite] = ACTIONS(163),
    [anon_sym_BSLASHsvolcite] = ACTIONS(163),
    [anon_sym_BSLASHSvolcite] = ACTIONS(163),
    [anon_sym_BSLASHtvolcite] = ACTIONS(163),
    [anon_sym_BSLASHTvolcite] = ACTIONS(163),
    [anon_sym_BSLASHavolcite] = ACTIONS(163),
    [anon_sym_BSLASHAvolcite] = ACTIONS(163),
    [anon_sym_BSLASHnotecite] = ACTIONS(163),
    [anon_sym_BSLASHNotecite] = ACTIONS(163),
    [anon_sym_BSLASHpnotecite] = ACTIONS(163),
    [anon_sym_BSLASHPnotecite] = ACTIONS(163),
    [anon_sym_BSLASHfnotecite] = ACTIONS(163),
    [anon_sym_BSLASHlabel] = ACTIONS(163),
    [anon_sym_BSLASHref] = ACTIONS(163),
    [anon_sym_BSLASHeqref] = ACTIONS(163),
    [anon_sym_BSLASHvref] = ACTIONS(163),
    [anon_sym_BSLASHVref] = ACTIONS(163),
    [anon_sym_BSLASHautoref] = ACTIONS(163),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHpageref] = ACTIONS(163),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHautopageref] = ACTIONS(163),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcref] = ACTIONS(163),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCref] = ACTIONS(163),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpageref] = ACTIONS(163),
    [anon_sym_BSLASHCpageref] = ACTIONS(163),
    [anon_sym_BSLASHnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnameCref] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcrefrange] = ACTIONS(163),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCrefrange] = ACTIONS(163),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHnewlabel] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(163),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(163),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(163),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(165),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHdef] = ACTIONS(163),
    [anon_sym_BSLASHgdef] = ACTIONS(163),
    [anon_sym_BSLASHedef] = ACTIONS(163),
    [anon_sym_BSLASHxdef] = ACTIONS(163),
    [anon_sym_BSLASHlet] = ACTIONS(163),
    [anon_sym_BSLASHglet] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(163),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(163),
    [anon_sym_BSLASHgls] = ACTIONS(163),
    [anon_sym_BSLASHGls] = ACTIONS(163),
    [anon_sym_BSLASHGLS] = ACTIONS(163),
    [anon_sym_BSLASHglspl] = ACTIONS(163),
    [anon_sym_BSLASHGlspl] = ACTIONS(163),
    [anon_sym_BSLASHGLSpl] = ACTIONS(163),
    [anon_sym_BSLASHglsdisp] = ACTIONS(163),
    [anon_sym_BSLASHglslink] = ACTIONS(163),
    [anon_sym_BSLASHglstext] = ACTIONS(163),
    [anon_sym_BSLASHGlstext] = ACTIONS(163),
    [anon_sym_BSLASHGLStext] = ACTIONS(163),
    [anon_sym_BSLASHglsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(163),
    [anon_sym_BSLASHglsplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSplural] = ACTIONS(163),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHglsname] = ACTIONS(163),
    [anon_sym_BSLASHGlsname] = ACTIONS(163),
    [anon_sym_BSLASHGLSname] = ACTIONS(163),
    [anon_sym_BSLASHglssymbol] = ACTIONS(163),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(163),
    [anon_sym_BSLASHglsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(163),
    [anon_sym_BSLASHglsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(163),
    [anon_sym_BSLASHglsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(163),
    [anon_sym_BSLASHglsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(163),
    [anon_sym_BSLASHglsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(163),
    [anon_sym_BSLASHnewacronym] = ACTIONS(163),
    [anon_sym_BSLASHacrshort] = ACTIONS(163),
    [anon_sym_BSLASHAcrshort] = ACTIONS(163),
    [anon_sym_BSLASHACRshort] = ACTIONS(163),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(163),
    [anon_sym_BSLASHacrlong] = ACTIONS(163),
    [anon_sym_BSLASHAcrlong] = ACTIONS(163),
    [anon_sym_BSLASHACRlong] = ACTIONS(163),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(163),
    [anon_sym_BSLASHacrfull] = ACTIONS(163),
    [anon_sym_BSLASHAcrfull] = ACTIONS(163),
    [anon_sym_BSLASHACRfull] = ACTIONS(163),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(163),
    [anon_sym_BSLASHacs] = ACTIONS(163),
    [anon_sym_BSLASHAcs] = ACTIONS(163),
    [anon_sym_BSLASHacsp] = ACTIONS(163),
    [anon_sym_BSLASHAcsp] = ACTIONS(163),
    [anon_sym_BSLASHacl] = ACTIONS(163),
    [anon_sym_BSLASHAcl] = ACTIONS(163),
    [anon_sym_BSLASHaclp] = ACTIONS(163),
    [anon_sym_BSLASHAclp] = ACTIONS(163),
    [anon_sym_BSLASHacf] = ACTIONS(163),
    [anon_sym_BSLASHAcf] = ACTIONS(163),
    [anon_sym_BSLASHacfp] = ACTIONS(163),
    [anon_sym_BSLASHAcfp] = ACTIONS(163),
    [anon_sym_BSLASHac] = ACTIONS(163),
    [anon_sym_BSLASHAc] = ACTIONS(163),
    [anon_sym_BSLASHacp] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(163),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(163),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(163),
    [anon_sym_BSLASHcolor] = ACTIONS(163),
    [anon_sym_BSLASHpagecolor] = ACTIONS(163),
    [anon_sym_BSLASHtextcolor] = ACTIONS(163),
    [anon_sym_BSLASHmathcolor] = ACTIONS(163),
    [anon_sym_BSLASHcolorbox] = ACTIONS(163),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(163),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(163),
    [anon_sym_BSLASHurl] = ACTIONS(163),
    [anon_sym_BSLASHhref] = ACTIONS(163),
  },
  [31] = {
    [sym_block_comment] = STATE(97),
    [sym__root_content] = STATE(97),
    [sym__flat_content] = STATE(97),
    [sym__text_with_env_content] = STATE(97),
    [sym__text_content] = STATE(97),
    [sym__section] = STATE(97),
    [sym__paragraph] = STATE(97),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(97),
    [sym_text] = STATE(97),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(97),
    [sym_displayed_equation] = STATE(97),
    [sym_inline_formula] = STATE(97),
    [sym_math_delimiter] = STATE(97),
    [sym_text_mode] = STATE(97),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(97),
    [sym_comment_environment] = STATE(97),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(97),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(97),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(97),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(97),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(97),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(97),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(97),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(97),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(97),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(97),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(97),
    [sym_generic_command] = STATE(97),
    [sym_title_declaration] = STATE(97),
    [sym_author_declaration] = STATE(97),
    [sym_package_include] = STATE(97),
    [sym_class_include] = STATE(97),
    [sym_latex_include] = STATE(97),
    [sym_biblatex_include] = STATE(97),
    [sym_bibstyle_include] = STATE(97),
    [sym_bibtex_include] = STATE(97),
    [sym_graphics_include] = STATE(97),
    [sym_svg_include] = STATE(97),
    [sym_inkscape_include] = STATE(97),
    [sym_verbatim_include] = STATE(97),
    [sym_import_include] = STATE(97),
    [sym_caption] = STATE(97),
    [sym_citation] = STATE(97),
    [sym_label_definition] = STATE(97),
    [sym_label_reference] = STATE(97),
    [sym_label_reference_range] = STATE(97),
    [sym_label_number] = STATE(97),
    [sym_new_command_definition] = STATE(97),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(97),
    [sym_let_command_definition] = STATE(97),
    [sym_paired_delimiter_definition] = STATE(97),
    [sym_environment_definition] = STATE(97),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(97),
    [sym_glossary_entry_reference] = STATE(97),
    [sym_acronym_definition] = STATE(97),
    [sym_acronym_reference] = STATE(97),
    [sym_theorem_definition] = STATE(97),
    [sym_color_definition] = STATE(97),
    [sym_color_set_definition] = STATE(97),
    [sym_color_reference] = STATE(97),
    [sym_tikz_library_import] = STATE(97),
    [sym_hyperlink] = STATE(97),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [ts_builtin_sym_end] = ACTIONS(171),
    [sym_command_name] = ACTIONS(169),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_COMMA] = ACTIONS(171),
    [anon_sym_EQ] = ACTIONS(171),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_BSLASHpart] = ACTIONS(169),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddpart] = ACTIONS(169),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(171),
    [anon_sym_BSLASHchapter] = ACTIONS(169),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddchap] = ACTIONS(169),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsection] = ACTIONS(169),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddsec] = ACTIONS(169),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubsection] = ACTIONS(169),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(169),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHparagraph] = ACTIONS(169),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(169),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(171),
    [anon_sym_BSLASHitem] = ACTIONS(169),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(171),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_RBRACE] = ACTIONS(171),
    [sym_word] = ACTIONS(169),
    [sym_placeholder] = ACTIONS(171),
    [sym_delimiter] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_STAR] = ACTIONS(171),
    [anon_sym_SLASH] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(169),
    [anon_sym_GT] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_PIPE] = ACTIONS(169),
    [anon_sym_COLON] = ACTIONS(169),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym__] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(171),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(171),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(171),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(161),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(171),
    [anon_sym_BSLASHleft] = ACTIONS(169),
    [anon_sym_BSLASHbigl] = ACTIONS(169),
    [anon_sym_BSLASHBigl] = ACTIONS(169),
    [anon_sym_BSLASHbiggl] = ACTIONS(169),
    [anon_sym_BSLASHBiggl] = ACTIONS(169),
    [anon_sym_BSLASHtext] = ACTIONS(169),
    [anon_sym_BSLASHintertext] = ACTIONS(169),
    [anon_sym_BSLASHshortintertext] = ACTIONS(169),
    [anon_sym_BSLASHbegin] = ACTIONS(169),
    [anon_sym_BSLASHtitle] = ACTIONS(169),
    [anon_sym_BSLASHauthor] = ACTIONS(169),
    [anon_sym_BSLASHusepackage] = ACTIONS(169),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(169),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(169),
    [anon_sym_BSLASHinclude] = ACTIONS(169),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(169),
    [anon_sym_BSLASHinput] = ACTIONS(169),
    [anon_sym_BSLASHsubfile] = ACTIONS(169),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(169),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(169),
    [anon_sym_BSLASHbibliography] = ACTIONS(169),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(169),
    [anon_sym_BSLASHincludesvg] = ACTIONS(169),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(169),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(169),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(169),
    [anon_sym_BSLASHimport] = ACTIONS(169),
    [anon_sym_BSLASHsubimport] = ACTIONS(169),
    [anon_sym_BSLASHinputfrom] = ACTIONS(169),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(169),
    [anon_sym_BSLASHincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHcaption] = ACTIONS(169),
    [anon_sym_BSLASHcite] = ACTIONS(169),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCite] = ACTIONS(169),
    [anon_sym_BSLASHnocite] = ACTIONS(169),
    [anon_sym_BSLASHcitet] = ACTIONS(169),
    [anon_sym_BSLASHcitep] = ACTIONS(169),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteA] = ACTIONS(169),
    [anon_sym_BSLASHciteR] = ACTIONS(169),
    [anon_sym_BSLASHciteS] = ACTIONS(169),
    [anon_sym_BSLASHciteyearR] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(169),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitetitle] = ACTIONS(169),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteyear] = ACTIONS(169),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitedate] = ACTIONS(169),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteurl] = ACTIONS(169),
    [anon_sym_BSLASHfullcite] = ACTIONS(169),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(169),
    [anon_sym_BSLASHcitealt] = ACTIONS(169),
    [anon_sym_BSLASHcitealp] = ACTIONS(169),
    [anon_sym_BSLASHcitetext] = ACTIONS(169),
    [anon_sym_BSLASHparencite] = ACTIONS(169),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHParencite] = ACTIONS(169),
    [anon_sym_BSLASHfootcite] = ACTIONS(169),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(169),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(169),
    [anon_sym_BSLASHtextcite] = ACTIONS(169),
    [anon_sym_BSLASHTextcite] = ACTIONS(169),
    [anon_sym_BSLASHsmartcite] = ACTIONS(169),
    [anon_sym_BSLASHSmartcite] = ACTIONS(169),
    [anon_sym_BSLASHsupercite] = ACTIONS(169),
    [anon_sym_BSLASHautocite] = ACTIONS(169),
    [anon_sym_BSLASHAutocite] = ACTIONS(169),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHvolcite] = ACTIONS(169),
    [anon_sym_BSLASHVolcite] = ACTIONS(169),
    [anon_sym_BSLASHpvolcite] = ACTIONS(169),
    [anon_sym_BSLASHPvolcite] = ACTIONS(169),
    [anon_sym_BSLASHfvolcite] = ACTIONS(169),
    [anon_sym_BSLASHftvolcite] = ACTIONS(169),
    [anon_sym_BSLASHsvolcite] = ACTIONS(169),
    [anon_sym_BSLASHSvolcite] = ACTIONS(169),
    [anon_sym_BSLASHtvolcite] = ACTIONS(169),
    [anon_sym_BSLASHTvolcite] = ACTIONS(169),
    [anon_sym_BSLASHavolcite] = ACTIONS(169),
    [anon_sym_BSLASHAvolcite] = ACTIONS(169),
    [anon_sym_BSLASHnotecite] = ACTIONS(169),
    [anon_sym_BSLASHNotecite] = ACTIONS(169),
    [anon_sym_BSLASHpnotecite] = ACTIONS(169),
    [anon_sym_BSLASHPnotecite] = ACTIONS(169),
    [anon_sym_BSLASHfnotecite] = ACTIONS(169),
    [anon_sym_BSLASHlabel] = ACTIONS(169),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHeqref] = ACTIONS(169),
    [anon_sym_BSLASHvref] = ACTIONS(169),
    [anon_sym_BSLASHVref] = ACTIONS(169),
    [anon_sym_BSLASHautoref] = ACTIONS(169),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHpageref] = ACTIONS(169),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHautopageref] = ACTIONS(169),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcref] = ACTIONS(169),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCref] = ACTIONS(169),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpageref] = ACTIONS(169),
    [anon_sym_BSLASHCpageref] = ACTIONS(169),
    [anon_sym_BSLASHnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnameCref] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcrefrange] = ACTIONS(169),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCrefrange] = ACTIONS(169),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHnewlabel] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(169),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(169),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(169),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(171),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHdef] = ACTIONS(169),
    [anon_sym_BSLASHgdef] = ACTIONS(169),
    [anon_sym_BSLASHedef] = ACTIONS(169),
    [anon_sym_BSLASHxdef] = ACTIONS(169),
    [anon_sym_BSLASHlet] = ACTIONS(169),
    [anon_sym_BSLASHglet] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(169),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(169),
    [anon_sym_BSLASHgls] = ACTIONS(169),
    [anon_sym_BSLASHGls] = ACTIONS(169),
    [anon_sym_BSLASHGLS] = ACTIONS(169),
    [anon_sym_BSLASHglspl] = ACTIONS(169),
    [anon_sym_BSLASHGlspl] = ACTIONS(169),
    [anon_sym_BSLASHGLSpl] = ACTIONS(169),
    [anon_sym_BSLASHglsdisp] = ACTIONS(169),
    [anon_sym_BSLASHglslink] = ACTIONS(169),
    [anon_sym_BSLASHglstext] = ACTIONS(169),
    [anon_sym_BSLASHGlstext] = ACTIONS(169),
    [anon_sym_BSLASHGLStext] = ACTIONS(169),
    [anon_sym_BSLASHglsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(169),
    [anon_sym_BSLASHglsplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSplural] = ACTIONS(169),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHglsname] = ACTIONS(169),
    [anon_sym_BSLASHGlsname] = ACTIONS(169),
    [anon_sym_BSLASHGLSname] = ACTIONS(169),
    [anon_sym_BSLASHglssymbol] = ACTIONS(169),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(169),
    [anon_sym_BSLASHglsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(169),
    [anon_sym_BSLASHglsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(169),
    [anon_sym_BSLASHglsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(169),
    [anon_sym_BSLASHglsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(169),
    [anon_sym_BSLASHglsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(169),
    [anon_sym_BSLASHnewacronym] = ACTIONS(169),
    [anon_sym_BSLASHacrshort] = ACTIONS(169),
    [anon_sym_BSLASHAcrshort] = ACTIONS(169),
    [anon_sym_BSLASHACRshort] = ACTIONS(169),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(169),
    [anon_sym_BSLASHacrlong] = ACTIONS(169),
    [anon_sym_BSLASHAcrlong] = ACTIONS(169),
    [anon_sym_BSLASHACRlong] = ACTIONS(169),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(169),
    [anon_sym_BSLASHacrfull] = ACTIONS(169),
    [anon_sym_BSLASHAcrfull] = ACTIONS(169),
    [anon_sym_BSLASHACRfull] = ACTIONS(169),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(169),
    [anon_sym_BSLASHacs] = ACTIONS(169),
    [anon_sym_BSLASHAcs] = ACTIONS(169),
    [anon_sym_BSLASHacsp] = ACTIONS(169),
    [anon_sym_BSLASHAcsp] = ACTIONS(169),
    [anon_sym_BSLASHacl] = ACTIONS(169),
    [anon_sym_BSLASHAcl] = ACTIONS(169),
    [anon_sym_BSLASHaclp] = ACTIONS(169),
    [anon_sym_BSLASHAclp] = ACTIONS(169),
    [anon_sym_BSLASHacf] = ACTIONS(169),
    [anon_sym_BSLASHAcf] = ACTIONS(169),
    [anon_sym_BSLASHacfp] = ACTIONS(169),
    [anon_sym_BSLASHAcfp] = ACTIONS(169),
    [anon_sym_BSLASHac] = ACTIONS(169),
    [anon_sym_BSLASHAc] = ACTIONS(169),
    [anon_sym_BSLASHacp] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(169),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(169),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(169),
    [anon_sym_BSLASHcolor] = ACTIONS(169),
    [anon_sym_BSLASHpagecolor] = ACTIONS(169),
    [anon_sym_BSLASHtextcolor] = ACTIONS(169),
    [anon_sym_BSLASHmathcolor] = ACTIONS(169),
    [anon_sym_BSLASHcolorbox] = ACTIONS(169),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(169),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(169),
    [anon_sym_BSLASHurl] = ACTIONS(169),
    [anon_sym_BSLASHhref] = ACTIONS(169),
  },
  [32] = {
    [sym_block_comment] = STATE(97),
    [sym__root_content] = STATE(97),
    [sym__flat_content] = STATE(97),
    [sym__text_with_env_content] = STATE(97),
    [sym__text_content] = STATE(97),
    [sym__section] = STATE(97),
    [sym__paragraph] = STATE(97),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(97),
    [sym_text] = STATE(97),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(97),
    [sym_displayed_equation] = STATE(97),
    [sym_inline_formula] = STATE(97),
    [sym_math_delimiter] = STATE(97),
    [sym_text_mode] = STATE(97),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(97),
    [sym_comment_environment] = STATE(97),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(97),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(97),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(97),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(97),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(97),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(97),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(97),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(97),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(97),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(97),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(97),
    [sym_generic_command] = STATE(97),
    [sym_title_declaration] = STATE(97),
    [sym_author_declaration] = STATE(97),
    [sym_package_include] = STATE(97),
    [sym_class_include] = STATE(97),
    [sym_latex_include] = STATE(97),
    [sym_biblatex_include] = STATE(97),
    [sym_bibstyle_include] = STATE(97),
    [sym_bibtex_include] = STATE(97),
    [sym_graphics_include] = STATE(97),
    [sym_svg_include] = STATE(97),
    [sym_inkscape_include] = STATE(97),
    [sym_verbatim_include] = STATE(97),
    [sym_import_include] = STATE(97),
    [sym_caption] = STATE(97),
    [sym_citation] = STATE(97),
    [sym_label_definition] = STATE(97),
    [sym_label_reference] = STATE(97),
    [sym_label_reference_range] = STATE(97),
    [sym_label_number] = STATE(97),
    [sym_new_command_definition] = STATE(97),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(97),
    [sym_let_command_definition] = STATE(97),
    [sym_paired_delimiter_definition] = STATE(97),
    [sym_environment_definition] = STATE(97),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(97),
    [sym_glossary_entry_reference] = STATE(97),
    [sym_acronym_definition] = STATE(97),
    [sym_acronym_reference] = STATE(97),
    [sym_theorem_definition] = STATE(97),
    [sym_color_definition] = STATE(97),
    [sym_color_set_definition] = STATE(97),
    [sym_color_reference] = STATE(97),
    [sym_tikz_library_import] = STATE(97),
    [sym_hyperlink] = STATE(97),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [ts_builtin_sym_end] = ACTIONS(159),
    [sym_command_name] = ACTIONS(157),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(157),
    [anon_sym_LBRACK] = ACTIONS(159),
    [anon_sym_RBRACK] = ACTIONS(159),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_RPAREN] = ACTIONS(159),
    [anon_sym_BSLASHpart] = ACTIONS(157),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddpart] = ACTIONS(157),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(159),
    [anon_sym_BSLASHchapter] = ACTIONS(157),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddchap] = ACTIONS(157),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsection] = ACTIONS(157),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddsec] = ACTIONS(157),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubsection] = ACTIONS(157),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(157),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHparagraph] = ACTIONS(157),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(157),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(159),
    [anon_sym_BSLASHitem] = ACTIONS(157),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(159),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_RBRACE] = ACTIONS(159),
    [sym_word] = ACTIONS(157),
    [sym_placeholder] = ACTIONS(159),
    [sym_delimiter] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_SLASH] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(157),
    [anon_sym_GT] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(157),
    [anon_sym_PIPE] = ACTIONS(157),
    [anon_sym_COLON] = ACTIONS(157),
    [anon_sym_SQUOTE] = ACTIONS(157),
    [anon_sym__] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(159),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(159),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(161),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(159),
    [anon_sym_BSLASHleft] = ACTIONS(157),
    [anon_sym_BSLASHbigl] = ACTIONS(157),
    [anon_sym_BSLASHBigl] = ACTIONS(157),
    [anon_sym_BSLASHbiggl] = ACTIONS(157),
    [anon_sym_BSLASHBiggl] = ACTIONS(157),
    [anon_sym_BSLASHtext] = ACTIONS(157),
    [anon_sym_BSLASHintertext] = ACTIONS(157),
    [anon_sym_BSLASHshortintertext] = ACTIONS(157),
    [anon_sym_BSLASHbegin] = ACTIONS(157),
    [anon_sym_BSLASHtitle] = ACTIONS(157),
    [anon_sym_BSLASHauthor] = ACTIONS(157),
    [anon_sym_BSLASHusepackage] = ACTIONS(157),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(157),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(157),
    [anon_sym_BSLASHinclude] = ACTIONS(157),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(157),
    [anon_sym_BSLASHinput] = ACTIONS(157),
    [anon_sym_BSLASHsubfile] = ACTIONS(157),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(157),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(157),
    [anon_sym_BSLASHbibliography] = ACTIONS(157),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(157),
    [anon_sym_BSLASHincludesvg] = ACTIONS(157),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(157),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(157),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(157),
    [anon_sym_BSLASHimport] = ACTIONS(157),
    [anon_sym_BSLASHsubimport] = ACTIONS(157),
    [anon_sym_BSLASHinputfrom] = ACTIONS(157),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(157),
    [anon_sym_BSLASHincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHcaption] = ACTIONS(157),
    [anon_sym_BSLASHcite] = ACTIONS(157),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCite] = ACTIONS(157),
    [anon_sym_BSLASHnocite] = ACTIONS(157),
    [anon_sym_BSLASHcitet] = ACTIONS(157),
    [anon_sym_BSLASHcitep] = ACTIONS(157),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteA] = ACTIONS(157),
    [anon_sym_BSLASHciteR] = ACTIONS(157),
    [anon_sym_BSLASHciteS] = ACTIONS(157),
    [anon_sym_BSLASHciteyearR] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(157),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitetitle] = ACTIONS(157),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteyear] = ACTIONS(157),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitedate] = ACTIONS(157),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteurl] = ACTIONS(157),
    [anon_sym_BSLASHfullcite] = ACTIONS(157),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(157),
    [anon_sym_BSLASHcitealt] = ACTIONS(157),
    [anon_sym_BSLASHcitealp] = ACTIONS(157),
    [anon_sym_BSLASHcitetext] = ACTIONS(157),
    [anon_sym_BSLASHparencite] = ACTIONS(157),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHParencite] = ACTIONS(157),
    [anon_sym_BSLASHfootcite] = ACTIONS(157),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(157),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(157),
    [anon_sym_BSLASHtextcite] = ACTIONS(157),
    [anon_sym_BSLASHTextcite] = ACTIONS(157),
    [anon_sym_BSLASHsmartcite] = ACTIONS(157),
    [anon_sym_BSLASHSmartcite] = ACTIONS(157),
    [anon_sym_BSLASHsupercite] = ACTIONS(157),
    [anon_sym_BSLASHautocite] = ACTIONS(157),
    [anon_sym_BSLASHAutocite] = ACTIONS(157),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHvolcite] = ACTIONS(157),
    [anon_sym_BSLASHVolcite] = ACTIONS(157),
    [anon_sym_BSLASHpvolcite] = ACTIONS(157),
    [anon_sym_BSLASHPvolcite] = ACTIONS(157),
    [anon_sym_BSLASHfvolcite] = ACTIONS(157),
    [anon_sym_BSLASHftvolcite] = ACTIONS(157),
    [anon_sym_BSLASHsvolcite] = ACTIONS(157),
    [anon_sym_BSLASHSvolcite] = ACTIONS(157),
    [anon_sym_BSLASHtvolcite] = ACTIONS(157),
    [anon_sym_BSLASHTvolcite] = ACTIONS(157),
    [anon_sym_BSLASHavolcite] = ACTIONS(157),
    [anon_sym_BSLASHAvolcite] = ACTIONS(157),
    [anon_sym_BSLASHnotecite] = ACTIONS(157),
    [anon_sym_BSLASHNotecite] = ACTIONS(157),
    [anon_sym_BSLASHpnotecite] = ACTIONS(157),
    [anon_sym_BSLASHPnotecite] = ACTIONS(157),
    [anon_sym_BSLASHfnotecite] = ACTIONS(157),
    [anon_sym_BSLASHlabel] = ACTIONS(157),
    [anon_sym_BSLASHref] = ACTIONS(157),
    [anon_sym_BSLASHeqref] = ACTIONS(157),
    [anon_sym_BSLASHvref] = ACTIONS(157),
    [anon_sym_BSLASHVref] = ACTIONS(157),
    [anon_sym_BSLASHautoref] = ACTIONS(157),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpageref] = ACTIONS(157),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHautopageref] = ACTIONS(157),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcref] = ACTIONS(157),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCref] = ACTIONS(157),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpageref] = ACTIONS(157),
    [anon_sym_BSLASHCpageref] = ACTIONS(157),
    [anon_sym_BSLASHnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnameCref] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcrefrange] = ACTIONS(157),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCrefrange] = ACTIONS(157),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHnewlabel] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(157),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(157),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(157),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(159),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHdef] = ACTIONS(157),
    [anon_sym_BSLASHgdef] = ACTIONS(157),
    [anon_sym_BSLASHedef] = ACTIONS(157),
    [anon_sym_BSLASHxdef] = ACTIONS(157),
    [anon_sym_BSLASHlet] = ACTIONS(157),
    [anon_sym_BSLASHglet] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(157),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(157),
    [anon_sym_BSLASHgls] = ACTIONS(157),
    [anon_sym_BSLASHGls] = ACTIONS(157),
    [anon_sym_BSLASHGLS] = ACTIONS(157),
    [anon_sym_BSLASHglspl] = ACTIONS(157),
    [anon_sym_BSLASHGlspl] = ACTIONS(157),
    [anon_sym_BSLASHGLSpl] = ACTIONS(157),
    [anon_sym_BSLASHglsdisp] = ACTIONS(157),
    [anon_sym_BSLASHglslink] = ACTIONS(157),
    [anon_sym_BSLASHglstext] = ACTIONS(157),
    [anon_sym_BSLASHGlstext] = ACTIONS(157),
    [anon_sym_BSLASHGLStext] = ACTIONS(157),
    [anon_sym_BSLASHglsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(157),
    [anon_sym_BSLASHglsplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSplural] = ACTIONS(157),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHglsname] = ACTIONS(157),
    [anon_sym_BSLASHGlsname] = ACTIONS(157),
    [anon_sym_BSLASHGLSname] = ACTIONS(157),
    [anon_sym_BSLASHglssymbol] = ACTIONS(157),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(157),
    [anon_sym_BSLASHglsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(157),
    [anon_sym_BSLASHglsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(157),
    [anon_sym_BSLASHglsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(157),
    [anon_sym_BSLASHglsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(157),
    [anon_sym_BSLASHglsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(157),
    [anon_sym_BSLASHnewacronym] = ACTIONS(157),
    [anon_sym_BSLASHacrshort] = ACTIONS(157),
    [anon_sym_BSLASHAcrshort] = ACTIONS(157),
    [anon_sym_BSLASHACRshort] = ACTIONS(157),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(157),
    [anon_sym_BSLASHacrlong] = ACTIONS(157),
    [anon_sym_BSLASHAcrlong] = ACTIONS(157),
    [anon_sym_BSLASHACRlong] = ACTIONS(157),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(157),
    [anon_sym_BSLASHacrfull] = ACTIONS(157),
    [anon_sym_BSLASHAcrfull] = ACTIONS(157),
    [anon_sym_BSLASHACRfull] = ACTIONS(157),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(157),
    [anon_sym_BSLASHacs] = ACTIONS(157),
    [anon_sym_BSLASHAcs] = ACTIONS(157),
    [anon_sym_BSLASHacsp] = ACTIONS(157),
    [anon_sym_BSLASHAcsp] = ACTIONS(157),
    [anon_sym_BSLASHacl] = ACTIONS(157),
    [anon_sym_BSLASHAcl] = ACTIONS(157),
    [anon_sym_BSLASHaclp] = ACTIONS(157),
    [anon_sym_BSLASHAclp] = ACTIONS(157),
    [anon_sym_BSLASHacf] = ACTIONS(157),
    [anon_sym_BSLASHAcf] = ACTIONS(157),
    [anon_sym_BSLASHacfp] = ACTIONS(157),
    [anon_sym_BSLASHAcfp] = ACTIONS(157),
    [anon_sym_BSLASHac] = ACTIONS(157),
    [anon_sym_BSLASHAc] = ACTIONS(157),
    [anon_sym_BSLASHacp] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(157),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(157),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(157),
    [anon_sym_BSLASHcolor] = ACTIONS(157),
    [anon_sym_BSLASHpagecolor] = ACTIONS(157),
    [anon_sym_BSLASHtextcolor] = ACTIONS(157),
    [anon_sym_BSLASHmathcolor] = ACTIONS(157),
    [anon_sym_BSLASHcolorbox] = ACTIONS(157),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(157),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(157),
    [anon_sym_BSLASHurl] = ACTIONS(157),
    [anon_sym_BSLASHhref] = ACTIONS(157),
  },
  [33] = {
    [sym_block_comment] = STATE(104),
    [sym__root_content] = STATE(104),
    [sym__flat_content] = STATE(104),
    [sym__text_with_env_content] = STATE(104),
    [sym__text_content] = STATE(104),
    [sym__section] = STATE(104),
    [sym__paragraph] = STATE(104),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(104),
    [sym_text] = STATE(104),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(104),
    [sym_displayed_equation] = STATE(104),
    [sym_inline_formula] = STATE(104),
    [sym_math_delimiter] = STATE(104),
    [sym_text_mode] = STATE(104),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(104),
    [sym_comment_environment] = STATE(104),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(104),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(104),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(104),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(104),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(104),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(104),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(104),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(104),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(104),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(104),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(104),
    [sym_generic_command] = STATE(104),
    [sym_title_declaration] = STATE(104),
    [sym_author_declaration] = STATE(104),
    [sym_package_include] = STATE(104),
    [sym_class_include] = STATE(104),
    [sym_latex_include] = STATE(104),
    [sym_biblatex_include] = STATE(104),
    [sym_bibstyle_include] = STATE(104),
    [sym_bibtex_include] = STATE(104),
    [sym_graphics_include] = STATE(104),
    [sym_svg_include] = STATE(104),
    [sym_inkscape_include] = STATE(104),
    [sym_verbatim_include] = STATE(104),
    [sym_import_include] = STATE(104),
    [sym_caption] = STATE(104),
    [sym_citation] = STATE(104),
    [sym_label_definition] = STATE(104),
    [sym_label_reference] = STATE(104),
    [sym_label_reference_range] = STATE(104),
    [sym_label_number] = STATE(104),
    [sym_new_command_definition] = STATE(104),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(104),
    [sym_let_command_definition] = STATE(104),
    [sym_paired_delimiter_definition] = STATE(104),
    [sym_environment_definition] = STATE(104),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(104),
    [sym_glossary_entry_reference] = STATE(104),
    [sym_acronym_definition] = STATE(104),
    [sym_acronym_reference] = STATE(104),
    [sym_theorem_definition] = STATE(104),
    [sym_color_definition] = STATE(104),
    [sym_color_set_definition] = STATE(104),
    [sym_color_reference] = STATE(104),
    [sym_tikz_library_import] = STATE(104),
    [sym_hyperlink] = STATE(104),
    [aux_sym_source_file_repeat1] = STATE(104),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(173),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(173),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_RBRACK] = ACTIONS(640),
    [anon_sym_COMMA] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(640),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_RPAREN] = ACTIONS(175),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_RBRACE] = ACTIONS(175),
    [sym_word] = ACTIONS(173),
    [sym_placeholder] = ACTIONS(175),
    [sym_delimiter] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym__] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(175),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(175),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(175),
    [anon_sym_DOLLAR] = ACTIONS(173),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(175),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(167),
    [anon_sym_BSLASHleft] = ACTIONS(173),
    [anon_sym_BSLASHbigl] = ACTIONS(173),
    [anon_sym_BSLASHBigl] = ACTIONS(173),
    [anon_sym_BSLASHbiggl] = ACTIONS(173),
    [anon_sym_BSLASHBiggl] = ACTIONS(173),
    [anon_sym_BSLASHtext] = ACTIONS(173),
    [anon_sym_BSLASHintertext] = ACTIONS(173),
    [anon_sym_BSLASHshortintertext] = ACTIONS(173),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(173),
    [anon_sym_BSLASHauthor] = ACTIONS(173),
    [anon_sym_BSLASHusepackage] = ACTIONS(173),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(173),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(173),
    [anon_sym_BSLASHinclude] = ACTIONS(173),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(173),
    [anon_sym_BSLASHinput] = ACTIONS(173),
    [anon_sym_BSLASHsubfile] = ACTIONS(173),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(173),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(173),
    [anon_sym_BSLASHbibliography] = ACTIONS(173),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(173),
    [anon_sym_BSLASHincludesvg] = ACTIONS(173),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(173),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(173),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(173),
    [anon_sym_BSLASHimport] = ACTIONS(173),
    [anon_sym_BSLASHsubimport] = ACTIONS(173),
    [anon_sym_BSLASHinputfrom] = ACTIONS(173),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(173),
    [anon_sym_BSLASHincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHcaption] = ACTIONS(173),
    [anon_sym_BSLASHcite] = ACTIONS(173),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCite] = ACTIONS(173),
    [anon_sym_BSLASHnocite] = ACTIONS(173),
    [anon_sym_BSLASHcitet] = ACTIONS(173),
    [anon_sym_BSLASHcitep] = ACTIONS(173),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteA] = ACTIONS(173),
    [anon_sym_BSLASHciteR] = ACTIONS(173),
    [anon_sym_BSLASHciteS] = ACTIONS(173),
    [anon_sym_BSLASHciteyearR] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(173),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitetitle] = ACTIONS(173),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteyear] = ACTIONS(173),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitedate] = ACTIONS(173),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteurl] = ACTIONS(173),
    [anon_sym_BSLASHfullcite] = ACTIONS(173),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(173),
    [anon_sym_BSLASHcitealt] = ACTIONS(173),
    [anon_sym_BSLASHcitealp] = ACTIONS(173),
    [anon_sym_BSLASHcitetext] = ACTIONS(173),
    [anon_sym_BSLASHparencite] = ACTIONS(173),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHParencite] = ACTIONS(173),
    [anon_sym_BSLASHfootcite] = ACTIONS(173),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(173),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(173),
    [anon_sym_BSLASHtextcite] = ACTIONS(173),
    [anon_sym_BSLASHTextcite] = ACTIONS(173),
    [anon_sym_BSLASHsmartcite] = ACTIONS(173),
    [anon_sym_BSLASHSmartcite] = ACTIONS(173),
    [anon_sym_BSLASHsupercite] = ACTIONS(173),
    [anon_sym_BSLASHautocite] = ACTIONS(173),
    [anon_sym_BSLASHAutocite] = ACTIONS(173),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHvolcite] = ACTIONS(173),
    [anon_sym_BSLASHVolcite] = ACTIONS(173),
    [anon_sym_BSLASHpvolcite] = ACTIONS(173),
    [anon_sym_BSLASHPvolcite] = ACTIONS(173),
    [anon_sym_BSLASHfvolcite] = ACTIONS(173),
    [anon_sym_BSLASHftvolcite] = ACTIONS(173),
    [anon_sym_BSLASHsvolcite] = ACTIONS(173),
    [anon_sym_BSLASHSvolcite] = ACTIONS(173),
    [anon_sym_BSLASHtvolcite] = ACTIONS(173),
    [anon_sym_BSLASHTvolcite] = ACTIONS(173),
    [anon_sym_BSLASHavolcite] = ACTIONS(173),
    [anon_sym_BSLASHAvolcite] = ACTIONS(173),
    [anon_sym_BSLASHnotecite] = ACTIONS(173),
    [anon_sym_BSLASHNotecite] = ACTIONS(173),
    [anon_sym_BSLASHpnotecite] = ACTIONS(173),
    [anon_sym_BSLASHPnotecite] = ACTIONS(173),
    [anon_sym_BSLASHfnotecite] = ACTIONS(173),
    [anon_sym_BSLASHlabel] = ACTIONS(173),
    [anon_sym_BSLASHref] = ACTIONS(173),
    [anon_sym_BSLASHeqref] = ACTIONS(173),
    [anon_sym_BSLASHvref] = ACTIONS(173),
    [anon_sym_BSLASHVref] = ACTIONS(173),
    [anon_sym_BSLASHautoref] = ACTIONS(173),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHpageref] = ACTIONS(173),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHautopageref] = ACTIONS(173),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcref] = ACTIONS(173),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCref] = ACTIONS(173),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpageref] = ACTIONS(173),
    [anon_sym_BSLASHCpageref] = ACTIONS(173),
    [anon_sym_BSLASHnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnameCref] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcrefrange] = ACTIONS(173),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCrefrange] = ACTIONS(173),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHnewlabel] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(173),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(173),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(173),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(175),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHdef] = ACTIONS(173),
    [anon_sym_BSLASHgdef] = ACTIONS(173),
    [anon_sym_BSLASHedef] = ACTIONS(173),
    [anon_sym_BSLASHxdef] = ACTIONS(173),
    [anon_sym_BSLASHlet] = ACTIONS(173),
    [anon_sym_BSLASHglet] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(173),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(173),
    [anon_sym_BSLASHgls] = ACTIONS(173),
    [anon_sym_BSLASHGls] = ACTIONS(173),
    [anon_sym_BSLASHGLS] = ACTIONS(173),
    [anon_sym_BSLASHglspl] = ACTIONS(173),
    [anon_sym_BSLASHGlspl] = ACTIONS(173),
    [anon_sym_BSLASHGLSpl] = ACTIONS(173),
    [anon_sym_BSLASHglsdisp] = ACTIONS(173),
    [anon_sym_BSLASHglslink] = ACTIONS(173),
    [anon_sym_BSLASHglstext] = ACTIONS(173),
    [anon_sym_BSLASHGlstext] = ACTIONS(173),
    [anon_sym_BSLASHGLStext] = ACTIONS(173),
    [anon_sym_BSLASHglsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(173),
    [anon_sym_BSLASHglsplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSplural] = ACTIONS(173),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHglsname] = ACTIONS(173),
    [anon_sym_BSLASHGlsname] = ACTIONS(173),
    [anon_sym_BSLASHGLSname] = ACTIONS(173),
    [anon_sym_BSLASHglssymbol] = ACTIONS(173),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(173),
    [anon_sym_BSLASHglsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(173),
    [anon_sym_BSLASHglsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(173),
    [anon_sym_BSLASHglsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(173),
    [anon_sym_BSLASHglsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(173),
    [anon_sym_BSLASHglsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(173),
    [anon_sym_BSLASHnewacronym] = ACTIONS(173),
    [anon_sym_BSLASHacrshort] = ACTIONS(173),
    [anon_sym_BSLASHAcrshort] = ACTIONS(173),
    [anon_sym_BSLASHACRshort] = ACTIONS(173),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(173),
    [anon_sym_BSLASHacrlong] = ACTIONS(173),
    [anon_sym_BSLASHAcrlong] = ACTIONS(173),
    [anon_sym_BSLASHACRlong] = ACTIONS(173),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(173),
    [anon_sym_BSLASHacrfull] = ACTIONS(173),
    [anon_sym_BSLASHAcrfull] = ACTIONS(173),
    [anon_sym_BSLASHACRfull] = ACTIONS(173),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(173),
    [anon_sym_BSLASHacs] = ACTIONS(173),
    [anon_sym_BSLASHAcs] = ACTIONS(173),
    [anon_sym_BSLASHacsp] = ACTIONS(173),
    [anon_sym_BSLASHAcsp] = ACTIONS(173),
    [anon_sym_BSLASHacl] = ACTIONS(173),
    [anon_sym_BSLASHAcl] = ACTIONS(173),
    [anon_sym_BSLASHaclp] = ACTIONS(173),
    [anon_sym_BSLASHAclp] = ACTIONS(173),
    [anon_sym_BSLASHacf] = ACTIONS(173),
    [anon_sym_BSLASHAcf] = ACTIONS(173),
    [anon_sym_BSLASHacfp] = ACTIONS(173),
    [anon_sym_BSLASHAcfp] = ACTIONS(173),
    [anon_sym_BSLASHac] = ACTIONS(173),
    [anon_sym_BSLASHAc] = ACTIONS(173),
    [anon_sym_BSLASHacp] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(173),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(173),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(173),
    [anon_sym_BSLASHcolor] = ACTIONS(173),
    [anon_sym_BSLASHpagecolor] = ACTIONS(173),
    [anon_sym_BSLASHtextcolor] = ACTIONS(173),
    [anon_sym_BSLASHmathcolor] = ACTIONS(173),
    [anon_sym_BSLASHcolorbox] = ACTIONS(173),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(173),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(173),
    [anon_sym_BSLASHurl] = ACTIONS(173),
    [anon_sym_BSLASHhref] = ACTIONS(173),
  },
  [34] = {
    [sym_block_comment] = STATE(104),
    [sym__root_content] = STATE(104),
    [sym__flat_content] = STATE(104),
    [sym__text_with_env_content] = STATE(104),
    [sym__text_content] = STATE(104),
    [sym__section] = STATE(104),
    [sym__paragraph] = STATE(104),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(104),
    [sym_text] = STATE(104),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(104),
    [sym_displayed_equation] = STATE(104),
    [sym_inline_formula] = STATE(104),
    [sym_math_delimiter] = STATE(104),
    [sym_text_mode] = STATE(104),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(104),
    [sym_comment_environment] = STATE(104),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(104),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(104),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(104),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(104),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(104),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(104),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(104),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(104),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(104),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(104),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(104),
    [sym_generic_command] = STATE(104),
    [sym_title_declaration] = STATE(104),
    [sym_author_declaration] = STATE(104),
    [sym_package_include] = STATE(104),
    [sym_class_include] = STATE(104),
    [sym_latex_include] = STATE(104),
    [sym_biblatex_include] = STATE(104),
    [sym_bibstyle_include] = STATE(104),
    [sym_bibtex_include] = STATE(104),
    [sym_graphics_include] = STATE(104),
    [sym_svg_include] = STATE(104),
    [sym_inkscape_include] = STATE(104),
    [sym_verbatim_include] = STATE(104),
    [sym_import_include] = STATE(104),
    [sym_caption] = STATE(104),
    [sym_citation] = STATE(104),
    [sym_label_definition] = STATE(104),
    [sym_label_reference] = STATE(104),
    [sym_label_reference_range] = STATE(104),
    [sym_label_number] = STATE(104),
    [sym_new_command_definition] = STATE(104),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(104),
    [sym_let_command_definition] = STATE(104),
    [sym_paired_delimiter_definition] = STATE(104),
    [sym_environment_definition] = STATE(104),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(104),
    [sym_glossary_entry_reference] = STATE(104),
    [sym_acronym_definition] = STATE(104),
    [sym_acronym_reference] = STATE(104),
    [sym_theorem_definition] = STATE(104),
    [sym_color_definition] = STATE(104),
    [sym_color_set_definition] = STATE(104),
    [sym_color_reference] = STATE(104),
    [sym_tikz_library_import] = STATE(104),
    [sym_hyperlink] = STATE(104),
    [aux_sym_source_file_repeat1] = STATE(104),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(173),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(173),
    [anon_sym_LBRACK] = ACTIONS(640),
    [anon_sym_RBRACK] = ACTIONS(640),
    [anon_sym_COMMA] = ACTIONS(640),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_RPAREN] = ACTIONS(175),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_RBRACE] = ACTIONS(175),
    [sym_word] = ACTIONS(173),
    [sym_placeholder] = ACTIONS(175),
    [sym_delimiter] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym__] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(175),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(175),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(175),
    [anon_sym_DOLLAR] = ACTIONS(173),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(175),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(167),
    [anon_sym_BSLASHleft] = ACTIONS(173),
    [anon_sym_BSLASHbigl] = ACTIONS(173),
    [anon_sym_BSLASHBigl] = ACTIONS(173),
    [anon_sym_BSLASHbiggl] = ACTIONS(173),
    [anon_sym_BSLASHBiggl] = ACTIONS(173),
    [anon_sym_BSLASHtext] = ACTIONS(173),
    [anon_sym_BSLASHintertext] = ACTIONS(173),
    [anon_sym_BSLASHshortintertext] = ACTIONS(173),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(173),
    [anon_sym_BSLASHauthor] = ACTIONS(173),
    [anon_sym_BSLASHusepackage] = ACTIONS(173),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(173),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(173),
    [anon_sym_BSLASHinclude] = ACTIONS(173),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(173),
    [anon_sym_BSLASHinput] = ACTIONS(173),
    [anon_sym_BSLASHsubfile] = ACTIONS(173),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(173),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(173),
    [anon_sym_BSLASHbibliography] = ACTIONS(173),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(173),
    [anon_sym_BSLASHincludesvg] = ACTIONS(173),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(173),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(173),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(173),
    [anon_sym_BSLASHimport] = ACTIONS(173),
    [anon_sym_BSLASHsubimport] = ACTIONS(173),
    [anon_sym_BSLASHinputfrom] = ACTIONS(173),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(173),
    [anon_sym_BSLASHincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHcaption] = ACTIONS(173),
    [anon_sym_BSLASHcite] = ACTIONS(173),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCite] = ACTIONS(173),
    [anon_sym_BSLASHnocite] = ACTIONS(173),
    [anon_sym_BSLASHcitet] = ACTIONS(173),
    [anon_sym_BSLASHcitep] = ACTIONS(173),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteA] = ACTIONS(173),
    [anon_sym_BSLASHciteR] = ACTIONS(173),
    [anon_sym_BSLASHciteS] = ACTIONS(173),
    [anon_sym_BSLASHciteyearR] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(173),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitetitle] = ACTIONS(173),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteyear] = ACTIONS(173),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitedate] = ACTIONS(173),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteurl] = ACTIONS(173),
    [anon_sym_BSLASHfullcite] = ACTIONS(173),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(173),
    [anon_sym_BSLASHcitealt] = ACTIONS(173),
    [anon_sym_BSLASHcitealp] = ACTIONS(173),
    [anon_sym_BSLASHcitetext] = ACTIONS(173),
    [anon_sym_BSLASHparencite] = ACTIONS(173),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHParencite] = ACTIONS(173),
    [anon_sym_BSLASHfootcite] = ACTIONS(173),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(173),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(173),
    [anon_sym_BSLASHtextcite] = ACTIONS(173),
    [anon_sym_BSLASHTextcite] = ACTIONS(173),
    [anon_sym_BSLASHsmartcite] = ACTIONS(173),
    [anon_sym_BSLASHSmartcite] = ACTIONS(173),
    [anon_sym_BSLASHsupercite] = ACTIONS(173),
    [anon_sym_BSLASHautocite] = ACTIONS(173),
    [anon_sym_BSLASHAutocite] = ACTIONS(173),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHvolcite] = ACTIONS(173),
    [anon_sym_BSLASHVolcite] = ACTIONS(173),
    [anon_sym_BSLASHpvolcite] = ACTIONS(173),
    [anon_sym_BSLASHPvolcite] = ACTIONS(173),
    [anon_sym_BSLASHfvolcite] = ACTIONS(173),
    [anon_sym_BSLASHftvolcite] = ACTIONS(173),
    [anon_sym_BSLASHsvolcite] = ACTIONS(173),
    [anon_sym_BSLASHSvolcite] = ACTIONS(173),
    [anon_sym_BSLASHtvolcite] = ACTIONS(173),
    [anon_sym_BSLASHTvolcite] = ACTIONS(173),
    [anon_sym_BSLASHavolcite] = ACTIONS(173),
    [anon_sym_BSLASHAvolcite] = ACTIONS(173),
    [anon_sym_BSLASHnotecite] = ACTIONS(173),
    [anon_sym_BSLASHNotecite] = ACTIONS(173),
    [anon_sym_BSLASHpnotecite] = ACTIONS(173),
    [anon_sym_BSLASHPnotecite] = ACTIONS(173),
    [anon_sym_BSLASHfnotecite] = ACTIONS(173),
    [anon_sym_BSLASHlabel] = ACTIONS(173),
    [anon_sym_BSLASHref] = ACTIONS(173),
    [anon_sym_BSLASHeqref] = ACTIONS(173),
    [anon_sym_BSLASHvref] = ACTIONS(173),
    [anon_sym_BSLASHVref] = ACTIONS(173),
    [anon_sym_BSLASHautoref] = ACTIONS(173),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHpageref] = ACTIONS(173),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHautopageref] = ACTIONS(173),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcref] = ACTIONS(173),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCref] = ACTIONS(173),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpageref] = ACTIONS(173),
    [anon_sym_BSLASHCpageref] = ACTIONS(173),
    [anon_sym_BSLASHnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnameCref] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcrefrange] = ACTIONS(173),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCrefrange] = ACTIONS(173),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHnewlabel] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(173),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(173),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(173),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(175),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHdef] = ACTIONS(173),
    [anon_sym_BSLASHgdef] = ACTIONS(173),
    [anon_sym_BSLASHedef] = ACTIONS(173),
    [anon_sym_BSLASHxdef] = ACTIONS(173),
    [anon_sym_BSLASHlet] = ACTIONS(173),
    [anon_sym_BSLASHglet] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(173),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(173),
    [anon_sym_BSLASHgls] = ACTIONS(173),
    [anon_sym_BSLASHGls] = ACTIONS(173),
    [anon_sym_BSLASHGLS] = ACTIONS(173),
    [anon_sym_BSLASHglspl] = ACTIONS(173),
    [anon_sym_BSLASHGlspl] = ACTIONS(173),
    [anon_sym_BSLASHGLSpl] = ACTIONS(173),
    [anon_sym_BSLASHglsdisp] = ACTIONS(173),
    [anon_sym_BSLASHglslink] = ACTIONS(173),
    [anon_sym_BSLASHglstext] = ACTIONS(173),
    [anon_sym_BSLASHGlstext] = ACTIONS(173),
    [anon_sym_BSLASHGLStext] = ACTIONS(173),
    [anon_sym_BSLASHglsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(173),
    [anon_sym_BSLASHglsplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSplural] = ACTIONS(173),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHglsname] = ACTIONS(173),
    [anon_sym_BSLASHGlsname] = ACTIONS(173),
    [anon_sym_BSLASHGLSname] = ACTIONS(173),
    [anon_sym_BSLASHglssymbol] = ACTIONS(173),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(173),
    [anon_sym_BSLASHglsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(173),
    [anon_sym_BSLASHglsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(173),
    [anon_sym_BSLASHglsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(173),
    [anon_sym_BSLASHglsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(173),
    [anon_sym_BSLASHglsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(173),
    [anon_sym_BSLASHnewacronym] = ACTIONS(173),
    [anon_sym_BSLASHacrshort] = ACTIONS(173),
    [anon_sym_BSLASHAcrshort] = ACTIONS(173),
    [anon_sym_BSLASHACRshort] = ACTIONS(173),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(173),
    [anon_sym_BSLASHacrlong] = ACTIONS(173),
    [anon_sym_BSLASHAcrlong] = ACTIONS(173),
    [anon_sym_BSLASHACRlong] = ACTIONS(173),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(173),
    [anon_sym_BSLASHacrfull] = ACTIONS(173),
    [anon_sym_BSLASHAcrfull] = ACTIONS(173),
    [anon_sym_BSLASHACRfull] = ACTIONS(173),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(173),
    [anon_sym_BSLASHacs] = ACTIONS(173),
    [anon_sym_BSLASHAcs] = ACTIONS(173),
    [anon_sym_BSLASHacsp] = ACTIONS(173),
    [anon_sym_BSLASHAcsp] = ACTIONS(173),
    [anon_sym_BSLASHacl] = ACTIONS(173),
    [anon_sym_BSLASHAcl] = ACTIONS(173),
    [anon_sym_BSLASHaclp] = ACTIONS(173),
    [anon_sym_BSLASHAclp] = ACTIONS(173),
    [anon_sym_BSLASHacf] = ACTIONS(173),
    [anon_sym_BSLASHAcf] = ACTIONS(173),
    [anon_sym_BSLASHacfp] = ACTIONS(173),
    [anon_sym_BSLASHAcfp] = ACTIONS(173),
    [anon_sym_BSLASHac] = ACTIONS(173),
    [anon_sym_BSLASHAc] = ACTIONS(173),
    [anon_sym_BSLASHacp] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(173),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(173),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(173),
    [anon_sym_BSLASHcolor] = ACTIONS(173),
    [anon_sym_BSLASHpagecolor] = ACTIONS(173),
    [anon_sym_BSLASHtextcolor] = ACTIONS(173),
    [anon_sym_BSLASHmathcolor] = ACTIONS(173),
    [anon_sym_BSLASHcolorbox] = ACTIONS(173),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(173),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(173),
    [anon_sym_BSLASHurl] = ACTIONS(173),
    [anon_sym_BSLASHhref] = ACTIONS(173),
  },
  [35] = {
    [sym_block_comment] = STATE(97),
    [sym__root_content] = STATE(97),
    [sym__flat_content] = STATE(97),
    [sym__text_with_env_content] = STATE(97),
    [sym__text_content] = STATE(97),
    [sym__section] = STATE(97),
    [sym__paragraph] = STATE(97),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(97),
    [sym_text] = STATE(97),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(97),
    [sym_displayed_equation] = STATE(97),
    [sym_inline_formula] = STATE(97),
    [sym_math_delimiter] = STATE(97),
    [sym_text_mode] = STATE(97),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(97),
    [sym_comment_environment] = STATE(97),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(97),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(97),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(97),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(97),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(97),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(97),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(97),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(97),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(97),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(97),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(97),
    [sym_generic_command] = STATE(97),
    [sym_title_declaration] = STATE(97),
    [sym_author_declaration] = STATE(97),
    [sym_package_include] = STATE(97),
    [sym_class_include] = STATE(97),
    [sym_latex_include] = STATE(97),
    [sym_biblatex_include] = STATE(97),
    [sym_bibstyle_include] = STATE(97),
    [sym_bibtex_include] = STATE(97),
    [sym_graphics_include] = STATE(97),
    [sym_svg_include] = STATE(97),
    [sym_inkscape_include] = STATE(97),
    [sym_verbatim_include] = STATE(97),
    [sym_import_include] = STATE(97),
    [sym_caption] = STATE(97),
    [sym_citation] = STATE(97),
    [sym_label_definition] = STATE(97),
    [sym_label_reference] = STATE(97),
    [sym_label_reference_range] = STATE(97),
    [sym_label_number] = STATE(97),
    [sym_new_command_definition] = STATE(97),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(97),
    [sym_let_command_definition] = STATE(97),
    [sym_paired_delimiter_definition] = STATE(97),
    [sym_environment_definition] = STATE(97),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(97),
    [sym_glossary_entry_reference] = STATE(97),
    [sym_acronym_definition] = STATE(97),
    [sym_acronym_reference] = STATE(97),
    [sym_theorem_definition] = STATE(97),
    [sym_color_definition] = STATE(97),
    [sym_color_set_definition] = STATE(97),
    [sym_color_reference] = STATE(97),
    [sym_tikz_library_import] = STATE(97),
    [sym_hyperlink] = STATE(97),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(157),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(157),
    [anon_sym_LBRACK] = ACTIONS(159),
    [anon_sym_RBRACK] = ACTIONS(159),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_RPAREN] = ACTIONS(159),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_RBRACE] = ACTIONS(159),
    [sym_word] = ACTIONS(157),
    [sym_placeholder] = ACTIONS(159),
    [sym_delimiter] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_SLASH] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(157),
    [anon_sym_GT] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(157),
    [anon_sym_PIPE] = ACTIONS(157),
    [anon_sym_COLON] = ACTIONS(157),
    [anon_sym_SQUOTE] = ACTIONS(157),
    [anon_sym__] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(159),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(159),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(161),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(159),
    [anon_sym_BSLASHleft] = ACTIONS(157),
    [anon_sym_BSLASHbigl] = ACTIONS(157),
    [anon_sym_BSLASHBigl] = ACTIONS(157),
    [anon_sym_BSLASHbiggl] = ACTIONS(157),
    [anon_sym_BSLASHBiggl] = ACTIONS(157),
    [anon_sym_BSLASHtext] = ACTIONS(157),
    [anon_sym_BSLASHintertext] = ACTIONS(157),
    [anon_sym_BSLASHshortintertext] = ACTIONS(157),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(157),
    [anon_sym_BSLASHauthor] = ACTIONS(157),
    [anon_sym_BSLASHusepackage] = ACTIONS(157),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(157),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(157),
    [anon_sym_BSLASHinclude] = ACTIONS(157),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(157),
    [anon_sym_BSLASHinput] = ACTIONS(157),
    [anon_sym_BSLASHsubfile] = ACTIONS(157),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(157),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(157),
    [anon_sym_BSLASHbibliography] = ACTIONS(157),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(157),
    [anon_sym_BSLASHincludesvg] = ACTIONS(157),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(157),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(157),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(157),
    [anon_sym_BSLASHimport] = ACTIONS(157),
    [anon_sym_BSLASHsubimport] = ACTIONS(157),
    [anon_sym_BSLASHinputfrom] = ACTIONS(157),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(157),
    [anon_sym_BSLASHincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHcaption] = ACTIONS(157),
    [anon_sym_BSLASHcite] = ACTIONS(157),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCite] = ACTIONS(157),
    [anon_sym_BSLASHnocite] = ACTIONS(157),
    [anon_sym_BSLASHcitet] = ACTIONS(157),
    [anon_sym_BSLASHcitep] = ACTIONS(157),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteA] = ACTIONS(157),
    [anon_sym_BSLASHciteR] = ACTIONS(157),
    [anon_sym_BSLASHciteS] = ACTIONS(157),
    [anon_sym_BSLASHciteyearR] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(157),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitetitle] = ACTIONS(157),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteyear] = ACTIONS(157),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitedate] = ACTIONS(157),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteurl] = ACTIONS(157),
    [anon_sym_BSLASHfullcite] = ACTIONS(157),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(157),
    [anon_sym_BSLASHcitealt] = ACTIONS(157),
    [anon_sym_BSLASHcitealp] = ACTIONS(157),
    [anon_sym_BSLASHcitetext] = ACTIONS(157),
    [anon_sym_BSLASHparencite] = ACTIONS(157),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHParencite] = ACTIONS(157),
    [anon_sym_BSLASHfootcite] = ACTIONS(157),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(157),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(157),
    [anon_sym_BSLASHtextcite] = ACTIONS(157),
    [anon_sym_BSLASHTextcite] = ACTIONS(157),
    [anon_sym_BSLASHsmartcite] = ACTIONS(157),
    [anon_sym_BSLASHSmartcite] = ACTIONS(157),
    [anon_sym_BSLASHsupercite] = ACTIONS(157),
    [anon_sym_BSLASHautocite] = ACTIONS(157),
    [anon_sym_BSLASHAutocite] = ACTIONS(157),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHvolcite] = ACTIONS(157),
    [anon_sym_BSLASHVolcite] = ACTIONS(157),
    [anon_sym_BSLASHpvolcite] = ACTIONS(157),
    [anon_sym_BSLASHPvolcite] = ACTIONS(157),
    [anon_sym_BSLASHfvolcite] = ACTIONS(157),
    [anon_sym_BSLASHftvolcite] = ACTIONS(157),
    [anon_sym_BSLASHsvolcite] = ACTIONS(157),
    [anon_sym_BSLASHSvolcite] = ACTIONS(157),
    [anon_sym_BSLASHtvolcite] = ACTIONS(157),
    [anon_sym_BSLASHTvolcite] = ACTIONS(157),
    [anon_sym_BSLASHavolcite] = ACTIONS(157),
    [anon_sym_BSLASHAvolcite] = ACTIONS(157),
    [anon_sym_BSLASHnotecite] = ACTIONS(157),
    [anon_sym_BSLASHNotecite] = ACTIONS(157),
    [anon_sym_BSLASHpnotecite] = ACTIONS(157),
    [anon_sym_BSLASHPnotecite] = ACTIONS(157),
    [anon_sym_BSLASHfnotecite] = ACTIONS(157),
    [anon_sym_BSLASHlabel] = ACTIONS(157),
    [anon_sym_BSLASHref] = ACTIONS(157),
    [anon_sym_BSLASHeqref] = ACTIONS(157),
    [anon_sym_BSLASHvref] = ACTIONS(157),
    [anon_sym_BSLASHVref] = ACTIONS(157),
    [anon_sym_BSLASHautoref] = ACTIONS(157),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpageref] = ACTIONS(157),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHautopageref] = ACTIONS(157),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcref] = ACTIONS(157),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCref] = ACTIONS(157),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpageref] = ACTIONS(157),
    [anon_sym_BSLASHCpageref] = ACTIONS(157),
    [anon_sym_BSLASHnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnameCref] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcrefrange] = ACTIONS(157),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCrefrange] = ACTIONS(157),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHnewlabel] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(157),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(157),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(157),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(159),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHdef] = ACTIONS(157),
    [anon_sym_BSLASHgdef] = ACTIONS(157),
    [anon_sym_BSLASHedef] = ACTIONS(157),
    [anon_sym_BSLASHxdef] = ACTIONS(157),
    [anon_sym_BSLASHlet] = ACTIONS(157),
    [anon_sym_BSLASHglet] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(157),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(157),
    [anon_sym_BSLASHgls] = ACTIONS(157),
    [anon_sym_BSLASHGls] = ACTIONS(157),
    [anon_sym_BSLASHGLS] = ACTIONS(157),
    [anon_sym_BSLASHglspl] = ACTIONS(157),
    [anon_sym_BSLASHGlspl] = ACTIONS(157),
    [anon_sym_BSLASHGLSpl] = ACTIONS(157),
    [anon_sym_BSLASHglsdisp] = ACTIONS(157),
    [anon_sym_BSLASHglslink] = ACTIONS(157),
    [anon_sym_BSLASHglstext] = ACTIONS(157),
    [anon_sym_BSLASHGlstext] = ACTIONS(157),
    [anon_sym_BSLASHGLStext] = ACTIONS(157),
    [anon_sym_BSLASHglsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(157),
    [anon_sym_BSLASHglsplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSplural] = ACTIONS(157),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHglsname] = ACTIONS(157),
    [anon_sym_BSLASHGlsname] = ACTIONS(157),
    [anon_sym_BSLASHGLSname] = ACTIONS(157),
    [anon_sym_BSLASHglssymbol] = ACTIONS(157),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(157),
    [anon_sym_BSLASHglsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(157),
    [anon_sym_BSLASHglsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(157),
    [anon_sym_BSLASHglsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(157),
    [anon_sym_BSLASHglsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(157),
    [anon_sym_BSLASHglsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(157),
    [anon_sym_BSLASHnewacronym] = ACTIONS(157),
    [anon_sym_BSLASHacrshort] = ACTIONS(157),
    [anon_sym_BSLASHAcrshort] = ACTIONS(157),
    [anon_sym_BSLASHACRshort] = ACTIONS(157),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(157),
    [anon_sym_BSLASHacrlong] = ACTIONS(157),
    [anon_sym_BSLASHAcrlong] = ACTIONS(157),
    [anon_sym_BSLASHACRlong] = ACTIONS(157),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(157),
    [anon_sym_BSLASHacrfull] = ACTIONS(157),
    [anon_sym_BSLASHAcrfull] = ACTIONS(157),
    [anon_sym_BSLASHACRfull] = ACTIONS(157),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(157),
    [anon_sym_BSLASHacs] = ACTIONS(157),
    [anon_sym_BSLASHAcs] = ACTIONS(157),
    [anon_sym_BSLASHacsp] = ACTIONS(157),
    [anon_sym_BSLASHAcsp] = ACTIONS(157),
    [anon_sym_BSLASHacl] = ACTIONS(157),
    [anon_sym_BSLASHAcl] = ACTIONS(157),
    [anon_sym_BSLASHaclp] = ACTIONS(157),
    [anon_sym_BSLASHAclp] = ACTIONS(157),
    [anon_sym_BSLASHacf] = ACTIONS(157),
    [anon_sym_BSLASHAcf] = ACTIONS(157),
    [anon_sym_BSLASHacfp] = ACTIONS(157),
    [anon_sym_BSLASHAcfp] = ACTIONS(157),
    [anon_sym_BSLASHac] = ACTIONS(157),
    [anon_sym_BSLASHAc] = ACTIONS(157),
    [anon_sym_BSLASHacp] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(157),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(157),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(157),
    [anon_sym_BSLASHcolor] = ACTIONS(157),
    [anon_sym_BSLASHpagecolor] = ACTIONS(157),
    [anon_sym_BSLASHtextcolor] = ACTIONS(157),
    [anon_sym_BSLASHmathcolor] = ACTIONS(157),
    [anon_sym_BSLASHcolorbox] = ACTIONS(157),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(157),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(157),
    [anon_sym_BSLASHurl] = ACTIONS(157),
    [anon_sym_BSLASHhref] = ACTIONS(157),
  },
  [36] = {
    [sym_block_comment] = STATE(104),
    [sym__root_content] = STATE(104),
    [sym__flat_content] = STATE(104),
    [sym__text_with_env_content] = STATE(104),
    [sym__text_content] = STATE(104),
    [sym__section] = STATE(104),
    [sym__paragraph] = STATE(104),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(104),
    [sym_text] = STATE(104),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(104),
    [sym_displayed_equation] = STATE(104),
    [sym_inline_formula] = STATE(104),
    [sym_math_delimiter] = STATE(104),
    [sym_text_mode] = STATE(104),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(104),
    [sym_comment_environment] = STATE(104),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(104),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(104),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(104),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(104),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(104),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(104),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(104),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(104),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(104),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(104),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(104),
    [sym_generic_command] = STATE(104),
    [sym_title_declaration] = STATE(104),
    [sym_author_declaration] = STATE(104),
    [sym_package_include] = STATE(104),
    [sym_class_include] = STATE(104),
    [sym_latex_include] = STATE(104),
    [sym_biblatex_include] = STATE(104),
    [sym_bibstyle_include] = STATE(104),
    [sym_bibtex_include] = STATE(104),
    [sym_graphics_include] = STATE(104),
    [sym_svg_include] = STATE(104),
    [sym_inkscape_include] = STATE(104),
    [sym_verbatim_include] = STATE(104),
    [sym_import_include] = STATE(104),
    [sym_caption] = STATE(104),
    [sym_citation] = STATE(104),
    [sym_label_definition] = STATE(104),
    [sym_label_reference] = STATE(104),
    [sym_label_reference_range] = STATE(104),
    [sym_label_number] = STATE(104),
    [sym_new_command_definition] = STATE(104),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(104),
    [sym_let_command_definition] = STATE(104),
    [sym_paired_delimiter_definition] = STATE(104),
    [sym_environment_definition] = STATE(104),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(104),
    [sym_glossary_entry_reference] = STATE(104),
    [sym_acronym_definition] = STATE(104),
    [sym_acronym_reference] = STATE(104),
    [sym_theorem_definition] = STATE(104),
    [sym_color_definition] = STATE(104),
    [sym_color_set_definition] = STATE(104),
    [sym_color_reference] = STATE(104),
    [sym_tikz_library_import] = STATE(104),
    [sym_hyperlink] = STATE(104),
    [aux_sym_source_file_repeat1] = STATE(104),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(163),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_RBRACK] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_RPAREN] = ACTIONS(165),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_RBRACE] = ACTIONS(165),
    [sym_word] = ACTIONS(163),
    [sym_placeholder] = ACTIONS(165),
    [sym_delimiter] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym__] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(165),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(163),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(165),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(167),
    [anon_sym_BSLASHleft] = ACTIONS(163),
    [anon_sym_BSLASHbigl] = ACTIONS(163),
    [anon_sym_BSLASHBigl] = ACTIONS(163),
    [anon_sym_BSLASHbiggl] = ACTIONS(163),
    [anon_sym_BSLASHBiggl] = ACTIONS(163),
    [anon_sym_BSLASHtext] = ACTIONS(163),
    [anon_sym_BSLASHintertext] = ACTIONS(163),
    [anon_sym_BSLASHshortintertext] = ACTIONS(163),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(163),
    [anon_sym_BSLASHauthor] = ACTIONS(163),
    [anon_sym_BSLASHusepackage] = ACTIONS(163),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(163),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(163),
    [anon_sym_BSLASHinclude] = ACTIONS(163),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(163),
    [anon_sym_BSLASHinput] = ACTIONS(163),
    [anon_sym_BSLASHsubfile] = ACTIONS(163),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(163),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(163),
    [anon_sym_BSLASHbibliography] = ACTIONS(163),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(163),
    [anon_sym_BSLASHincludesvg] = ACTIONS(163),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(163),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(163),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(163),
    [anon_sym_BSLASHimport] = ACTIONS(163),
    [anon_sym_BSLASHsubimport] = ACTIONS(163),
    [anon_sym_BSLASHinputfrom] = ACTIONS(163),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(163),
    [anon_sym_BSLASHincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHcaption] = ACTIONS(163),
    [anon_sym_BSLASHcite] = ACTIONS(163),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCite] = ACTIONS(163),
    [anon_sym_BSLASHnocite] = ACTIONS(163),
    [anon_sym_BSLASHcitet] = ACTIONS(163),
    [anon_sym_BSLASHcitep] = ACTIONS(163),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteA] = ACTIONS(163),
    [anon_sym_BSLASHciteR] = ACTIONS(163),
    [anon_sym_BSLASHciteS] = ACTIONS(163),
    [anon_sym_BSLASHciteyearR] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(163),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitetitle] = ACTIONS(163),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteyear] = ACTIONS(163),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitedate] = ACTIONS(163),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteurl] = ACTIONS(163),
    [anon_sym_BSLASHfullcite] = ACTIONS(163),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(163),
    [anon_sym_BSLASHcitealt] = ACTIONS(163),
    [anon_sym_BSLASHcitealp] = ACTIONS(163),
    [anon_sym_BSLASHcitetext] = ACTIONS(163),
    [anon_sym_BSLASHparencite] = ACTIONS(163),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHParencite] = ACTIONS(163),
    [anon_sym_BSLASHfootcite] = ACTIONS(163),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(163),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(163),
    [anon_sym_BSLASHtextcite] = ACTIONS(163),
    [anon_sym_BSLASHTextcite] = ACTIONS(163),
    [anon_sym_BSLASHsmartcite] = ACTIONS(163),
    [anon_sym_BSLASHSmartcite] = ACTIONS(163),
    [anon_sym_BSLASHsupercite] = ACTIONS(163),
    [anon_sym_BSLASHautocite] = ACTIONS(163),
    [anon_sym_BSLASHAutocite] = ACTIONS(163),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHvolcite] = ACTIONS(163),
    [anon_sym_BSLASHVolcite] = ACTIONS(163),
    [anon_sym_BSLASHpvolcite] = ACTIONS(163),
    [anon_sym_BSLASHPvolcite] = ACTIONS(163),
    [anon_sym_BSLASHfvolcite] = ACTIONS(163),
    [anon_sym_BSLASHftvolcite] = ACTIONS(163),
    [anon_sym_BSLASHsvolcite] = ACTIONS(163),
    [anon_sym_BSLASHSvolcite] = ACTIONS(163),
    [anon_sym_BSLASHtvolcite] = ACTIONS(163),
    [anon_sym_BSLASHTvolcite] = ACTIONS(163),
    [anon_sym_BSLASHavolcite] = ACTIONS(163),
    [anon_sym_BSLASHAvolcite] = ACTIONS(163),
    [anon_sym_BSLASHnotecite] = ACTIONS(163),
    [anon_sym_BSLASHNotecite] = ACTIONS(163),
    [anon_sym_BSLASHpnotecite] = ACTIONS(163),
    [anon_sym_BSLASHPnotecite] = ACTIONS(163),
    [anon_sym_BSLASHfnotecite] = ACTIONS(163),
    [anon_sym_BSLASHlabel] = ACTIONS(163),
    [anon_sym_BSLASHref] = ACTIONS(163),
    [anon_sym_BSLASHeqref] = ACTIONS(163),
    [anon_sym_BSLASHvref] = ACTIONS(163),
    [anon_sym_BSLASHVref] = ACTIONS(163),
    [anon_sym_BSLASHautoref] = ACTIONS(163),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHpageref] = ACTIONS(163),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHautopageref] = ACTIONS(163),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcref] = ACTIONS(163),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCref] = ACTIONS(163),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpageref] = ACTIONS(163),
    [anon_sym_BSLASHCpageref] = ACTIONS(163),
    [anon_sym_BSLASHnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnameCref] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcrefrange] = ACTIONS(163),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCrefrange] = ACTIONS(163),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHnewlabel] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(163),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(163),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(163),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(165),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHdef] = ACTIONS(163),
    [anon_sym_BSLASHgdef] = ACTIONS(163),
    [anon_sym_BSLASHedef] = ACTIONS(163),
    [anon_sym_BSLASHxdef] = ACTIONS(163),
    [anon_sym_BSLASHlet] = ACTIONS(163),
    [anon_sym_BSLASHglet] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(163),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(163),
    [anon_sym_BSLASHgls] = ACTIONS(163),
    [anon_sym_BSLASHGls] = ACTIONS(163),
    [anon_sym_BSLASHGLS] = ACTIONS(163),
    [anon_sym_BSLASHglspl] = ACTIONS(163),
    [anon_sym_BSLASHGlspl] = ACTIONS(163),
    [anon_sym_BSLASHGLSpl] = ACTIONS(163),
    [anon_sym_BSLASHglsdisp] = ACTIONS(163),
    [anon_sym_BSLASHglslink] = ACTIONS(163),
    [anon_sym_BSLASHglstext] = ACTIONS(163),
    [anon_sym_BSLASHGlstext] = ACTIONS(163),
    [anon_sym_BSLASHGLStext] = ACTIONS(163),
    [anon_sym_BSLASHglsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(163),
    [anon_sym_BSLASHglsplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSplural] = ACTIONS(163),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHglsname] = ACTIONS(163),
    [anon_sym_BSLASHGlsname] = ACTIONS(163),
    [anon_sym_BSLASHGLSname] = ACTIONS(163),
    [anon_sym_BSLASHglssymbol] = ACTIONS(163),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(163),
    [anon_sym_BSLASHglsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(163),
    [anon_sym_BSLASHglsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(163),
    [anon_sym_BSLASHglsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(163),
    [anon_sym_BSLASHglsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(163),
    [anon_sym_BSLASHglsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(163),
    [anon_sym_BSLASHnewacronym] = ACTIONS(163),
    [anon_sym_BSLASHacrshort] = ACTIONS(163),
    [anon_sym_BSLASHAcrshort] = ACTIONS(163),
    [anon_sym_BSLASHACRshort] = ACTIONS(163),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(163),
    [anon_sym_BSLASHacrlong] = ACTIONS(163),
    [anon_sym_BSLASHAcrlong] = ACTIONS(163),
    [anon_sym_BSLASHACRlong] = ACTIONS(163),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(163),
    [anon_sym_BSLASHacrfull] = ACTIONS(163),
    [anon_sym_BSLASHAcrfull] = ACTIONS(163),
    [anon_sym_BSLASHACRfull] = ACTIONS(163),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(163),
    [anon_sym_BSLASHacs] = ACTIONS(163),
    [anon_sym_BSLASHAcs] = ACTIONS(163),
    [anon_sym_BSLASHacsp] = ACTIONS(163),
    [anon_sym_BSLASHAcsp] = ACTIONS(163),
    [anon_sym_BSLASHacl] = ACTIONS(163),
    [anon_sym_BSLASHAcl] = ACTIONS(163),
    [anon_sym_BSLASHaclp] = ACTIONS(163),
    [anon_sym_BSLASHAclp] = ACTIONS(163),
    [anon_sym_BSLASHacf] = ACTIONS(163),
    [anon_sym_BSLASHAcf] = ACTIONS(163),
    [anon_sym_BSLASHacfp] = ACTIONS(163),
    [anon_sym_BSLASHAcfp] = ACTIONS(163),
    [anon_sym_BSLASHac] = ACTIONS(163),
    [anon_sym_BSLASHAc] = ACTIONS(163),
    [anon_sym_BSLASHacp] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(163),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(163),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(163),
    [anon_sym_BSLASHcolor] = ACTIONS(163),
    [anon_sym_BSLASHpagecolor] = ACTIONS(163),
    [anon_sym_BSLASHtextcolor] = ACTIONS(163),
    [anon_sym_BSLASHmathcolor] = ACTIONS(163),
    [anon_sym_BSLASHcolorbox] = ACTIONS(163),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(163),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(163),
    [anon_sym_BSLASHurl] = ACTIONS(163),
    [anon_sym_BSLASHhref] = ACTIONS(163),
  },
  [37] = {
    [sym_block_comment] = STATE(97),
    [sym__root_content] = STATE(97),
    [sym__flat_content] = STATE(97),
    [sym__text_with_env_content] = STATE(97),
    [sym__text_content] = STATE(97),
    [sym__section] = STATE(97),
    [sym__paragraph] = STATE(97),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(97),
    [sym_text] = STATE(97),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(97),
    [sym_displayed_equation] = STATE(97),
    [sym_inline_formula] = STATE(97),
    [sym_math_delimiter] = STATE(97),
    [sym_text_mode] = STATE(97),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(97),
    [sym_comment_environment] = STATE(97),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(97),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(97),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(97),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(97),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(97),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(97),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(97),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(97),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(97),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(97),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(97),
    [sym_generic_command] = STATE(97),
    [sym_title_declaration] = STATE(97),
    [sym_author_declaration] = STATE(97),
    [sym_package_include] = STATE(97),
    [sym_class_include] = STATE(97),
    [sym_latex_include] = STATE(97),
    [sym_biblatex_include] = STATE(97),
    [sym_bibstyle_include] = STATE(97),
    [sym_bibtex_include] = STATE(97),
    [sym_graphics_include] = STATE(97),
    [sym_svg_include] = STATE(97),
    [sym_inkscape_include] = STATE(97),
    [sym_verbatim_include] = STATE(97),
    [sym_import_include] = STATE(97),
    [sym_caption] = STATE(97),
    [sym_citation] = STATE(97),
    [sym_label_definition] = STATE(97),
    [sym_label_reference] = STATE(97),
    [sym_label_reference_range] = STATE(97),
    [sym_label_number] = STATE(97),
    [sym_new_command_definition] = STATE(97),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(97),
    [sym_let_command_definition] = STATE(97),
    [sym_paired_delimiter_definition] = STATE(97),
    [sym_environment_definition] = STATE(97),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(97),
    [sym_glossary_entry_reference] = STATE(97),
    [sym_acronym_definition] = STATE(97),
    [sym_acronym_reference] = STATE(97),
    [sym_theorem_definition] = STATE(97),
    [sym_color_definition] = STATE(97),
    [sym_color_set_definition] = STATE(97),
    [sym_color_reference] = STATE(97),
    [sym_tikz_library_import] = STATE(97),
    [sym_hyperlink] = STATE(97),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(169),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_COMMA] = ACTIONS(171),
    [anon_sym_EQ] = ACTIONS(171),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_RBRACE] = ACTIONS(171),
    [sym_word] = ACTIONS(169),
    [sym_placeholder] = ACTIONS(171),
    [sym_delimiter] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_STAR] = ACTIONS(171),
    [anon_sym_SLASH] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(169),
    [anon_sym_GT] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_PIPE] = ACTIONS(169),
    [anon_sym_COLON] = ACTIONS(169),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym__] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(171),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(171),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(171),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(161),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(171),
    [anon_sym_BSLASHleft] = ACTIONS(169),
    [anon_sym_BSLASHbigl] = ACTIONS(169),
    [anon_sym_BSLASHBigl] = ACTIONS(169),
    [anon_sym_BSLASHbiggl] = ACTIONS(169),
    [anon_sym_BSLASHBiggl] = ACTIONS(169),
    [anon_sym_BSLASHtext] = ACTIONS(169),
    [anon_sym_BSLASHintertext] = ACTIONS(169),
    [anon_sym_BSLASHshortintertext] = ACTIONS(169),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(169),
    [anon_sym_BSLASHauthor] = ACTIONS(169),
    [anon_sym_BSLASHusepackage] = ACTIONS(169),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(169),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(169),
    [anon_sym_BSLASHinclude] = ACTIONS(169),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(169),
    [anon_sym_BSLASHinput] = ACTIONS(169),
    [anon_sym_BSLASHsubfile] = ACTIONS(169),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(169),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(169),
    [anon_sym_BSLASHbibliography] = ACTIONS(169),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(169),
    [anon_sym_BSLASHincludesvg] = ACTIONS(169),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(169),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(169),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(169),
    [anon_sym_BSLASHimport] = ACTIONS(169),
    [anon_sym_BSLASHsubimport] = ACTIONS(169),
    [anon_sym_BSLASHinputfrom] = ACTIONS(169),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(169),
    [anon_sym_BSLASHincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHcaption] = ACTIONS(169),
    [anon_sym_BSLASHcite] = ACTIONS(169),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCite] = ACTIONS(169),
    [anon_sym_BSLASHnocite] = ACTIONS(169),
    [anon_sym_BSLASHcitet] = ACTIONS(169),
    [anon_sym_BSLASHcitep] = ACTIONS(169),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteA] = ACTIONS(169),
    [anon_sym_BSLASHciteR] = ACTIONS(169),
    [anon_sym_BSLASHciteS] = ACTIONS(169),
    [anon_sym_BSLASHciteyearR] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(169),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitetitle] = ACTIONS(169),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteyear] = ACTIONS(169),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitedate] = ACTIONS(169),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteurl] = ACTIONS(169),
    [anon_sym_BSLASHfullcite] = ACTIONS(169),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(169),
    [anon_sym_BSLASHcitealt] = ACTIONS(169),
    [anon_sym_BSLASHcitealp] = ACTIONS(169),
    [anon_sym_BSLASHcitetext] = ACTIONS(169),
    [anon_sym_BSLASHparencite] = ACTIONS(169),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHParencite] = ACTIONS(169),
    [anon_sym_BSLASHfootcite] = ACTIONS(169),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(169),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(169),
    [anon_sym_BSLASHtextcite] = ACTIONS(169),
    [anon_sym_BSLASHTextcite] = ACTIONS(169),
    [anon_sym_BSLASHsmartcite] = ACTIONS(169),
    [anon_sym_BSLASHSmartcite] = ACTIONS(169),
    [anon_sym_BSLASHsupercite] = ACTIONS(169),
    [anon_sym_BSLASHautocite] = ACTIONS(169),
    [anon_sym_BSLASHAutocite] = ACTIONS(169),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHvolcite] = ACTIONS(169),
    [anon_sym_BSLASHVolcite] = ACTIONS(169),
    [anon_sym_BSLASHpvolcite] = ACTIONS(169),
    [anon_sym_BSLASHPvolcite] = ACTIONS(169),
    [anon_sym_BSLASHfvolcite] = ACTIONS(169),
    [anon_sym_BSLASHftvolcite] = ACTIONS(169),
    [anon_sym_BSLASHsvolcite] = ACTIONS(169),
    [anon_sym_BSLASHSvolcite] = ACTIONS(169),
    [anon_sym_BSLASHtvolcite] = ACTIONS(169),
    [anon_sym_BSLASHTvolcite] = ACTIONS(169),
    [anon_sym_BSLASHavolcite] = ACTIONS(169),
    [anon_sym_BSLASHAvolcite] = ACTIONS(169),
    [anon_sym_BSLASHnotecite] = ACTIONS(169),
    [anon_sym_BSLASHNotecite] = ACTIONS(169),
    [anon_sym_BSLASHpnotecite] = ACTIONS(169),
    [anon_sym_BSLASHPnotecite] = ACTIONS(169),
    [anon_sym_BSLASHfnotecite] = ACTIONS(169),
    [anon_sym_BSLASHlabel] = ACTIONS(169),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHeqref] = ACTIONS(169),
    [anon_sym_BSLASHvref] = ACTIONS(169),
    [anon_sym_BSLASHVref] = ACTIONS(169),
    [anon_sym_BSLASHautoref] = ACTIONS(169),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHpageref] = ACTIONS(169),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHautopageref] = ACTIONS(169),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcref] = ACTIONS(169),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCref] = ACTIONS(169),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpageref] = ACTIONS(169),
    [anon_sym_BSLASHCpageref] = ACTIONS(169),
    [anon_sym_BSLASHnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnameCref] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcrefrange] = ACTIONS(169),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCrefrange] = ACTIONS(169),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHnewlabel] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(169),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(169),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(169),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(171),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHdef] = ACTIONS(169),
    [anon_sym_BSLASHgdef] = ACTIONS(169),
    [anon_sym_BSLASHedef] = ACTIONS(169),
    [anon_sym_BSLASHxdef] = ACTIONS(169),
    [anon_sym_BSLASHlet] = ACTIONS(169),
    [anon_sym_BSLASHglet] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(169),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(169),
    [anon_sym_BSLASHgls] = ACTIONS(169),
    [anon_sym_BSLASHGls] = ACTIONS(169),
    [anon_sym_BSLASHGLS] = ACTIONS(169),
    [anon_sym_BSLASHglspl] = ACTIONS(169),
    [anon_sym_BSLASHGlspl] = ACTIONS(169),
    [anon_sym_BSLASHGLSpl] = ACTIONS(169),
    [anon_sym_BSLASHglsdisp] = ACTIONS(169),
    [anon_sym_BSLASHglslink] = ACTIONS(169),
    [anon_sym_BSLASHglstext] = ACTIONS(169),
    [anon_sym_BSLASHGlstext] = ACTIONS(169),
    [anon_sym_BSLASHGLStext] = ACTIONS(169),
    [anon_sym_BSLASHglsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(169),
    [anon_sym_BSLASHglsplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSplural] = ACTIONS(169),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHglsname] = ACTIONS(169),
    [anon_sym_BSLASHGlsname] = ACTIONS(169),
    [anon_sym_BSLASHGLSname] = ACTIONS(169),
    [anon_sym_BSLASHglssymbol] = ACTIONS(169),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(169),
    [anon_sym_BSLASHglsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(169),
    [anon_sym_BSLASHglsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(169),
    [anon_sym_BSLASHglsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(169),
    [anon_sym_BSLASHglsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(169),
    [anon_sym_BSLASHglsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(169),
    [anon_sym_BSLASHnewacronym] = ACTIONS(169),
    [anon_sym_BSLASHacrshort] = ACTIONS(169),
    [anon_sym_BSLASHAcrshort] = ACTIONS(169),
    [anon_sym_BSLASHACRshort] = ACTIONS(169),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(169),
    [anon_sym_BSLASHacrlong] = ACTIONS(169),
    [anon_sym_BSLASHAcrlong] = ACTIONS(169),
    [anon_sym_BSLASHACRlong] = ACTIONS(169),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(169),
    [anon_sym_BSLASHacrfull] = ACTIONS(169),
    [anon_sym_BSLASHAcrfull] = ACTIONS(169),
    [anon_sym_BSLASHACRfull] = ACTIONS(169),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(169),
    [anon_sym_BSLASHacs] = ACTIONS(169),
    [anon_sym_BSLASHAcs] = ACTIONS(169),
    [anon_sym_BSLASHacsp] = ACTIONS(169),
    [anon_sym_BSLASHAcsp] = ACTIONS(169),
    [anon_sym_BSLASHacl] = ACTIONS(169),
    [anon_sym_BSLASHAcl] = ACTIONS(169),
    [anon_sym_BSLASHaclp] = ACTIONS(169),
    [anon_sym_BSLASHAclp] = ACTIONS(169),
    [anon_sym_BSLASHacf] = ACTIONS(169),
    [anon_sym_BSLASHAcf] = ACTIONS(169),
    [anon_sym_BSLASHacfp] = ACTIONS(169),
    [anon_sym_BSLASHAcfp] = ACTIONS(169),
    [anon_sym_BSLASHac] = ACTIONS(169),
    [anon_sym_BSLASHAc] = ACTIONS(169),
    [anon_sym_BSLASHacp] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(169),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(169),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(169),
    [anon_sym_BSLASHcolor] = ACTIONS(169),
    [anon_sym_BSLASHpagecolor] = ACTIONS(169),
    [anon_sym_BSLASHtextcolor] = ACTIONS(169),
    [anon_sym_BSLASHmathcolor] = ACTIONS(169),
    [anon_sym_BSLASHcolorbox] = ACTIONS(169),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(169),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(169),
    [anon_sym_BSLASHurl] = ACTIONS(169),
    [anon_sym_BSLASHhref] = ACTIONS(169),
  },
  [38] = {
    [sym_block_comment] = STATE(104),
    [sym__root_content] = STATE(104),
    [sym__flat_content] = STATE(104),
    [sym__text_with_env_content] = STATE(104),
    [sym__text_content] = STATE(104),
    [sym__section] = STATE(104),
    [sym__paragraph] = STATE(104),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(104),
    [sym_text] = STATE(104),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(104),
    [sym_displayed_equation] = STATE(104),
    [sym_inline_formula] = STATE(104),
    [sym_math_delimiter] = STATE(104),
    [sym_text_mode] = STATE(104),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(104),
    [sym_comment_environment] = STATE(104),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(104),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(104),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(104),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(104),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(104),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(104),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(104),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(104),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(104),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(104),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(104),
    [sym_generic_command] = STATE(104),
    [sym_title_declaration] = STATE(104),
    [sym_author_declaration] = STATE(104),
    [sym_package_include] = STATE(104),
    [sym_class_include] = STATE(104),
    [sym_latex_include] = STATE(104),
    [sym_biblatex_include] = STATE(104),
    [sym_bibstyle_include] = STATE(104),
    [sym_bibtex_include] = STATE(104),
    [sym_graphics_include] = STATE(104),
    [sym_svg_include] = STATE(104),
    [sym_inkscape_include] = STATE(104),
    [sym_verbatim_include] = STATE(104),
    [sym_import_include] = STATE(104),
    [sym_caption] = STATE(104),
    [sym_citation] = STATE(104),
    [sym_label_definition] = STATE(104),
    [sym_label_reference] = STATE(104),
    [sym_label_reference_range] = STATE(104),
    [sym_label_number] = STATE(104),
    [sym_new_command_definition] = STATE(104),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(104),
    [sym_let_command_definition] = STATE(104),
    [sym_paired_delimiter_definition] = STATE(104),
    [sym_environment_definition] = STATE(104),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(104),
    [sym_glossary_entry_reference] = STATE(104),
    [sym_acronym_definition] = STATE(104),
    [sym_acronym_reference] = STATE(104),
    [sym_theorem_definition] = STATE(104),
    [sym_color_definition] = STATE(104),
    [sym_color_set_definition] = STATE(104),
    [sym_color_reference] = STATE(104),
    [sym_tikz_library_import] = STATE(104),
    [sym_hyperlink] = STATE(104),
    [aux_sym_source_file_repeat1] = STATE(104),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(173),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(173),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_RBRACK] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_RPAREN] = ACTIONS(175),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_RBRACE] = ACTIONS(175),
    [sym_word] = ACTIONS(173),
    [sym_placeholder] = ACTIONS(175),
    [sym_delimiter] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym__] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(175),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(175),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(175),
    [anon_sym_DOLLAR] = ACTIONS(173),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(175),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(167),
    [anon_sym_BSLASHleft] = ACTIONS(173),
    [anon_sym_BSLASHbigl] = ACTIONS(173),
    [anon_sym_BSLASHBigl] = ACTIONS(173),
    [anon_sym_BSLASHbiggl] = ACTIONS(173),
    [anon_sym_BSLASHBiggl] = ACTIONS(173),
    [anon_sym_BSLASHtext] = ACTIONS(173),
    [anon_sym_BSLASHintertext] = ACTIONS(173),
    [anon_sym_BSLASHshortintertext] = ACTIONS(173),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(173),
    [anon_sym_BSLASHauthor] = ACTIONS(173),
    [anon_sym_BSLASHusepackage] = ACTIONS(173),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(173),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(173),
    [anon_sym_BSLASHinclude] = ACTIONS(173),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(173),
    [anon_sym_BSLASHinput] = ACTIONS(173),
    [anon_sym_BSLASHsubfile] = ACTIONS(173),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(173),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(173),
    [anon_sym_BSLASHbibliography] = ACTIONS(173),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(173),
    [anon_sym_BSLASHincludesvg] = ACTIONS(173),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(173),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(173),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(173),
    [anon_sym_BSLASHimport] = ACTIONS(173),
    [anon_sym_BSLASHsubimport] = ACTIONS(173),
    [anon_sym_BSLASHinputfrom] = ACTIONS(173),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(173),
    [anon_sym_BSLASHincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHcaption] = ACTIONS(173),
    [anon_sym_BSLASHcite] = ACTIONS(173),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCite] = ACTIONS(173),
    [anon_sym_BSLASHnocite] = ACTIONS(173),
    [anon_sym_BSLASHcitet] = ACTIONS(173),
    [anon_sym_BSLASHcitep] = ACTIONS(173),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteA] = ACTIONS(173),
    [anon_sym_BSLASHciteR] = ACTIONS(173),
    [anon_sym_BSLASHciteS] = ACTIONS(173),
    [anon_sym_BSLASHciteyearR] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(173),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitetitle] = ACTIONS(173),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteyear] = ACTIONS(173),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitedate] = ACTIONS(173),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteurl] = ACTIONS(173),
    [anon_sym_BSLASHfullcite] = ACTIONS(173),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(173),
    [anon_sym_BSLASHcitealt] = ACTIONS(173),
    [anon_sym_BSLASHcitealp] = ACTIONS(173),
    [anon_sym_BSLASHcitetext] = ACTIONS(173),
    [anon_sym_BSLASHparencite] = ACTIONS(173),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHParencite] = ACTIONS(173),
    [anon_sym_BSLASHfootcite] = ACTIONS(173),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(173),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(173),
    [anon_sym_BSLASHtextcite] = ACTIONS(173),
    [anon_sym_BSLASHTextcite] = ACTIONS(173),
    [anon_sym_BSLASHsmartcite] = ACTIONS(173),
    [anon_sym_BSLASHSmartcite] = ACTIONS(173),
    [anon_sym_BSLASHsupercite] = ACTIONS(173),
    [anon_sym_BSLASHautocite] = ACTIONS(173),
    [anon_sym_BSLASHAutocite] = ACTIONS(173),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHvolcite] = ACTIONS(173),
    [anon_sym_BSLASHVolcite] = ACTIONS(173),
    [anon_sym_BSLASHpvolcite] = ACTIONS(173),
    [anon_sym_BSLASHPvolcite] = ACTIONS(173),
    [anon_sym_BSLASHfvolcite] = ACTIONS(173),
    [anon_sym_BSLASHftvolcite] = ACTIONS(173),
    [anon_sym_BSLASHsvolcite] = ACTIONS(173),
    [anon_sym_BSLASHSvolcite] = ACTIONS(173),
    [anon_sym_BSLASHtvolcite] = ACTIONS(173),
    [anon_sym_BSLASHTvolcite] = ACTIONS(173),
    [anon_sym_BSLASHavolcite] = ACTIONS(173),
    [anon_sym_BSLASHAvolcite] = ACTIONS(173),
    [anon_sym_BSLASHnotecite] = ACTIONS(173),
    [anon_sym_BSLASHNotecite] = ACTIONS(173),
    [anon_sym_BSLASHpnotecite] = ACTIONS(173),
    [anon_sym_BSLASHPnotecite] = ACTIONS(173),
    [anon_sym_BSLASHfnotecite] = ACTIONS(173),
    [anon_sym_BSLASHlabel] = ACTIONS(173),
    [anon_sym_BSLASHref] = ACTIONS(173),
    [anon_sym_BSLASHeqref] = ACTIONS(173),
    [anon_sym_BSLASHvref] = ACTIONS(173),
    [anon_sym_BSLASHVref] = ACTIONS(173),
    [anon_sym_BSLASHautoref] = ACTIONS(173),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHpageref] = ACTIONS(173),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHautopageref] = ACTIONS(173),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcref] = ACTIONS(173),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCref] = ACTIONS(173),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpageref] = ACTIONS(173),
    [anon_sym_BSLASHCpageref] = ACTIONS(173),
    [anon_sym_BSLASHnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnameCref] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcrefrange] = ACTIONS(173),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCrefrange] = ACTIONS(173),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHnewlabel] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(173),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(173),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(173),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(175),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHdef] = ACTIONS(173),
    [anon_sym_BSLASHgdef] = ACTIONS(173),
    [anon_sym_BSLASHedef] = ACTIONS(173),
    [anon_sym_BSLASHxdef] = ACTIONS(173),
    [anon_sym_BSLASHlet] = ACTIONS(173),
    [anon_sym_BSLASHglet] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(173),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(173),
    [anon_sym_BSLASHgls] = ACTIONS(173),
    [anon_sym_BSLASHGls] = ACTIONS(173),
    [anon_sym_BSLASHGLS] = ACTIONS(173),
    [anon_sym_BSLASHglspl] = ACTIONS(173),
    [anon_sym_BSLASHGlspl] = ACTIONS(173),
    [anon_sym_BSLASHGLSpl] = ACTIONS(173),
    [anon_sym_BSLASHglsdisp] = ACTIONS(173),
    [anon_sym_BSLASHglslink] = ACTIONS(173),
    [anon_sym_BSLASHglstext] = ACTIONS(173),
    [anon_sym_BSLASHGlstext] = ACTIONS(173),
    [anon_sym_BSLASHGLStext] = ACTIONS(173),
    [anon_sym_BSLASHglsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(173),
    [anon_sym_BSLASHglsplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSplural] = ACTIONS(173),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHglsname] = ACTIONS(173),
    [anon_sym_BSLASHGlsname] = ACTIONS(173),
    [anon_sym_BSLASHGLSname] = ACTIONS(173),
    [anon_sym_BSLASHglssymbol] = ACTIONS(173),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(173),
    [anon_sym_BSLASHglsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(173),
    [anon_sym_BSLASHglsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(173),
    [anon_sym_BSLASHglsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(173),
    [anon_sym_BSLASHglsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(173),
    [anon_sym_BSLASHglsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(173),
    [anon_sym_BSLASHnewacronym] = ACTIONS(173),
    [anon_sym_BSLASHacrshort] = ACTIONS(173),
    [anon_sym_BSLASHAcrshort] = ACTIONS(173),
    [anon_sym_BSLASHACRshort] = ACTIONS(173),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(173),
    [anon_sym_BSLASHacrlong] = ACTIONS(173),
    [anon_sym_BSLASHAcrlong] = ACTIONS(173),
    [anon_sym_BSLASHACRlong] = ACTIONS(173),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(173),
    [anon_sym_BSLASHacrfull] = ACTIONS(173),
    [anon_sym_BSLASHAcrfull] = ACTIONS(173),
    [anon_sym_BSLASHACRfull] = ACTIONS(173),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(173),
    [anon_sym_BSLASHacs] = ACTIONS(173),
    [anon_sym_BSLASHAcs] = ACTIONS(173),
    [anon_sym_BSLASHacsp] = ACTIONS(173),
    [anon_sym_BSLASHAcsp] = ACTIONS(173),
    [anon_sym_BSLASHacl] = ACTIONS(173),
    [anon_sym_BSLASHAcl] = ACTIONS(173),
    [anon_sym_BSLASHaclp] = ACTIONS(173),
    [anon_sym_BSLASHAclp] = ACTIONS(173),
    [anon_sym_BSLASHacf] = ACTIONS(173),
    [anon_sym_BSLASHAcf] = ACTIONS(173),
    [anon_sym_BSLASHacfp] = ACTIONS(173),
    [anon_sym_BSLASHAcfp] = ACTIONS(173),
    [anon_sym_BSLASHac] = ACTIONS(173),
    [anon_sym_BSLASHAc] = ACTIONS(173),
    [anon_sym_BSLASHacp] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(173),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(173),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(173),
    [anon_sym_BSLASHcolor] = ACTIONS(173),
    [anon_sym_BSLASHpagecolor] = ACTIONS(173),
    [anon_sym_BSLASHtextcolor] = ACTIONS(173),
    [anon_sym_BSLASHmathcolor] = ACTIONS(173),
    [anon_sym_BSLASHcolorbox] = ACTIONS(173),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(173),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(173),
    [anon_sym_BSLASHurl] = ACTIONS(173),
    [anon_sym_BSLASHhref] = ACTIONS(173),
  },
  [39] = {
    [sym_block_comment] = STATE(97),
    [sym__root_content] = STATE(97),
    [sym__flat_content] = STATE(97),
    [sym__text_with_env_content] = STATE(97),
    [sym__text_content] = STATE(97),
    [sym__section] = STATE(97),
    [sym__paragraph] = STATE(97),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(97),
    [sym_text] = STATE(97),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(97),
    [sym_displayed_equation] = STATE(97),
    [sym_inline_formula] = STATE(97),
    [sym_math_delimiter] = STATE(97),
    [sym_text_mode] = STATE(97),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(97),
    [sym_comment_environment] = STATE(97),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(97),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(97),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(97),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(97),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(97),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(97),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(97),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(97),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(97),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(97),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(97),
    [sym_generic_command] = STATE(97),
    [sym_title_declaration] = STATE(97),
    [sym_author_declaration] = STATE(97),
    [sym_package_include] = STATE(97),
    [sym_class_include] = STATE(97),
    [sym_latex_include] = STATE(97),
    [sym_biblatex_include] = STATE(97),
    [sym_bibstyle_include] = STATE(97),
    [sym_bibtex_include] = STATE(97),
    [sym_graphics_include] = STATE(97),
    [sym_svg_include] = STATE(97),
    [sym_inkscape_include] = STATE(97),
    [sym_verbatim_include] = STATE(97),
    [sym_import_include] = STATE(97),
    [sym_caption] = STATE(97),
    [sym_citation] = STATE(97),
    [sym_label_definition] = STATE(97),
    [sym_label_reference] = STATE(97),
    [sym_label_reference_range] = STATE(97),
    [sym_label_number] = STATE(97),
    [sym_new_command_definition] = STATE(97),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(97),
    [sym_let_command_definition] = STATE(97),
    [sym_paired_delimiter_definition] = STATE(97),
    [sym_environment_definition] = STATE(97),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(97),
    [sym_glossary_entry_reference] = STATE(97),
    [sym_acronym_definition] = STATE(97),
    [sym_acronym_reference] = STATE(97),
    [sym_theorem_definition] = STATE(97),
    [sym_color_definition] = STATE(97),
    [sym_color_set_definition] = STATE(97),
    [sym_color_reference] = STATE(97),
    [sym_tikz_library_import] = STATE(97),
    [sym_hyperlink] = STATE(97),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(157),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(157),
    [anon_sym_LBRACK] = ACTIONS(159),
    [anon_sym_RBRACK] = ACTIONS(606),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(606),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_RPAREN] = ACTIONS(159),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_RBRACE] = ACTIONS(159),
    [sym_word] = ACTIONS(157),
    [sym_placeholder] = ACTIONS(159),
    [sym_delimiter] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_SLASH] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(157),
    [anon_sym_GT] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(157),
    [anon_sym_PIPE] = ACTIONS(157),
    [anon_sym_COLON] = ACTIONS(157),
    [anon_sym_SQUOTE] = ACTIONS(157),
    [anon_sym__] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(159),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(159),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(161),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(159),
    [anon_sym_BSLASHleft] = ACTIONS(157),
    [anon_sym_BSLASHbigl] = ACTIONS(157),
    [anon_sym_BSLASHBigl] = ACTIONS(157),
    [anon_sym_BSLASHbiggl] = ACTIONS(157),
    [anon_sym_BSLASHBiggl] = ACTIONS(157),
    [anon_sym_BSLASHtext] = ACTIONS(157),
    [anon_sym_BSLASHintertext] = ACTIONS(157),
    [anon_sym_BSLASHshortintertext] = ACTIONS(157),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(157),
    [anon_sym_BSLASHauthor] = ACTIONS(157),
    [anon_sym_BSLASHusepackage] = ACTIONS(157),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(157),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(157),
    [anon_sym_BSLASHinclude] = ACTIONS(157),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(157),
    [anon_sym_BSLASHinput] = ACTIONS(157),
    [anon_sym_BSLASHsubfile] = ACTIONS(157),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(157),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(157),
    [anon_sym_BSLASHbibliography] = ACTIONS(157),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(157),
    [anon_sym_BSLASHincludesvg] = ACTIONS(157),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(157),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(157),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(157),
    [anon_sym_BSLASHimport] = ACTIONS(157),
    [anon_sym_BSLASHsubimport] = ACTIONS(157),
    [anon_sym_BSLASHinputfrom] = ACTIONS(157),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(157),
    [anon_sym_BSLASHincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHcaption] = ACTIONS(157),
    [anon_sym_BSLASHcite] = ACTIONS(157),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCite] = ACTIONS(157),
    [anon_sym_BSLASHnocite] = ACTIONS(157),
    [anon_sym_BSLASHcitet] = ACTIONS(157),
    [anon_sym_BSLASHcitep] = ACTIONS(157),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteA] = ACTIONS(157),
    [anon_sym_BSLASHciteR] = ACTIONS(157),
    [anon_sym_BSLASHciteS] = ACTIONS(157),
    [anon_sym_BSLASHciteyearR] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(157),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitetitle] = ACTIONS(157),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteyear] = ACTIONS(157),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitedate] = ACTIONS(157),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteurl] = ACTIONS(157),
    [anon_sym_BSLASHfullcite] = ACTIONS(157),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(157),
    [anon_sym_BSLASHcitealt] = ACTIONS(157),
    [anon_sym_BSLASHcitealp] = ACTIONS(157),
    [anon_sym_BSLASHcitetext] = ACTIONS(157),
    [anon_sym_BSLASHparencite] = ACTIONS(157),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHParencite] = ACTIONS(157),
    [anon_sym_BSLASHfootcite] = ACTIONS(157),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(157),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(157),
    [anon_sym_BSLASHtextcite] = ACTIONS(157),
    [anon_sym_BSLASHTextcite] = ACTIONS(157),
    [anon_sym_BSLASHsmartcite] = ACTIONS(157),
    [anon_sym_BSLASHSmartcite] = ACTIONS(157),
    [anon_sym_BSLASHsupercite] = ACTIONS(157),
    [anon_sym_BSLASHautocite] = ACTIONS(157),
    [anon_sym_BSLASHAutocite] = ACTIONS(157),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHvolcite] = ACTIONS(157),
    [anon_sym_BSLASHVolcite] = ACTIONS(157),
    [anon_sym_BSLASHpvolcite] = ACTIONS(157),
    [anon_sym_BSLASHPvolcite] = ACTIONS(157),
    [anon_sym_BSLASHfvolcite] = ACTIONS(157),
    [anon_sym_BSLASHftvolcite] = ACTIONS(157),
    [anon_sym_BSLASHsvolcite] = ACTIONS(157),
    [anon_sym_BSLASHSvolcite] = ACTIONS(157),
    [anon_sym_BSLASHtvolcite] = ACTIONS(157),
    [anon_sym_BSLASHTvolcite] = ACTIONS(157),
    [anon_sym_BSLASHavolcite] = ACTIONS(157),
    [anon_sym_BSLASHAvolcite] = ACTIONS(157),
    [anon_sym_BSLASHnotecite] = ACTIONS(157),
    [anon_sym_BSLASHNotecite] = ACTIONS(157),
    [anon_sym_BSLASHpnotecite] = ACTIONS(157),
    [anon_sym_BSLASHPnotecite] = ACTIONS(157),
    [anon_sym_BSLASHfnotecite] = ACTIONS(157),
    [anon_sym_BSLASHlabel] = ACTIONS(157),
    [anon_sym_BSLASHref] = ACTIONS(157),
    [anon_sym_BSLASHeqref] = ACTIONS(157),
    [anon_sym_BSLASHvref] = ACTIONS(157),
    [anon_sym_BSLASHVref] = ACTIONS(157),
    [anon_sym_BSLASHautoref] = ACTIONS(157),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpageref] = ACTIONS(157),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHautopageref] = ACTIONS(157),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcref] = ACTIONS(157),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCref] = ACTIONS(157),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpageref] = ACTIONS(157),
    [anon_sym_BSLASHCpageref] = ACTIONS(157),
    [anon_sym_BSLASHnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnameCref] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcrefrange] = ACTIONS(157),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCrefrange] = ACTIONS(157),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHnewlabel] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(157),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(157),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(157),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(159),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHdef] = ACTIONS(157),
    [anon_sym_BSLASHgdef] = ACTIONS(157),
    [anon_sym_BSLASHedef] = ACTIONS(157),
    [anon_sym_BSLASHxdef] = ACTIONS(157),
    [anon_sym_BSLASHlet] = ACTIONS(157),
    [anon_sym_BSLASHglet] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(157),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(157),
    [anon_sym_BSLASHgls] = ACTIONS(157),
    [anon_sym_BSLASHGls] = ACTIONS(157),
    [anon_sym_BSLASHGLS] = ACTIONS(157),
    [anon_sym_BSLASHglspl] = ACTIONS(157),
    [anon_sym_BSLASHGlspl] = ACTIONS(157),
    [anon_sym_BSLASHGLSpl] = ACTIONS(157),
    [anon_sym_BSLASHglsdisp] = ACTIONS(157),
    [anon_sym_BSLASHglslink] = ACTIONS(157),
    [anon_sym_BSLASHglstext] = ACTIONS(157),
    [anon_sym_BSLASHGlstext] = ACTIONS(157),
    [anon_sym_BSLASHGLStext] = ACTIONS(157),
    [anon_sym_BSLASHglsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(157),
    [anon_sym_BSLASHglsplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSplural] = ACTIONS(157),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHglsname] = ACTIONS(157),
    [anon_sym_BSLASHGlsname] = ACTIONS(157),
    [anon_sym_BSLASHGLSname] = ACTIONS(157),
    [anon_sym_BSLASHglssymbol] = ACTIONS(157),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(157),
    [anon_sym_BSLASHglsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(157),
    [anon_sym_BSLASHglsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(157),
    [anon_sym_BSLASHglsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(157),
    [anon_sym_BSLASHglsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(157),
    [anon_sym_BSLASHglsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(157),
    [anon_sym_BSLASHnewacronym] = ACTIONS(157),
    [anon_sym_BSLASHacrshort] = ACTIONS(157),
    [anon_sym_BSLASHAcrshort] = ACTIONS(157),
    [anon_sym_BSLASHACRshort] = ACTIONS(157),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(157),
    [anon_sym_BSLASHacrlong] = ACTIONS(157),
    [anon_sym_BSLASHAcrlong] = ACTIONS(157),
    [anon_sym_BSLASHACRlong] = ACTIONS(157),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(157),
    [anon_sym_BSLASHacrfull] = ACTIONS(157),
    [anon_sym_BSLASHAcrfull] = ACTIONS(157),
    [anon_sym_BSLASHACRfull] = ACTIONS(157),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(157),
    [anon_sym_BSLASHacs] = ACTIONS(157),
    [anon_sym_BSLASHAcs] = ACTIONS(157),
    [anon_sym_BSLASHacsp] = ACTIONS(157),
    [anon_sym_BSLASHAcsp] = ACTIONS(157),
    [anon_sym_BSLASHacl] = ACTIONS(157),
    [anon_sym_BSLASHAcl] = ACTIONS(157),
    [anon_sym_BSLASHaclp] = ACTIONS(157),
    [anon_sym_BSLASHAclp] = ACTIONS(157),
    [anon_sym_BSLASHacf] = ACTIONS(157),
    [anon_sym_BSLASHAcf] = ACTIONS(157),
    [anon_sym_BSLASHacfp] = ACTIONS(157),
    [anon_sym_BSLASHAcfp] = ACTIONS(157),
    [anon_sym_BSLASHac] = ACTIONS(157),
    [anon_sym_BSLASHAc] = ACTIONS(157),
    [anon_sym_BSLASHacp] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(157),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(157),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(157),
    [anon_sym_BSLASHcolor] = ACTIONS(157),
    [anon_sym_BSLASHpagecolor] = ACTIONS(157),
    [anon_sym_BSLASHtextcolor] = ACTIONS(157),
    [anon_sym_BSLASHmathcolor] = ACTIONS(157),
    [anon_sym_BSLASHcolorbox] = ACTIONS(157),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(157),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(157),
    [anon_sym_BSLASHurl] = ACTIONS(157),
    [anon_sym_BSLASHhref] = ACTIONS(157),
  },
  [40] = {
    [sym_block_comment] = STATE(104),
    [sym__root_content] = STATE(104),
    [sym__flat_content] = STATE(104),
    [sym__text_with_env_content] = STATE(104),
    [sym__text_content] = STATE(104),
    [sym__section] = STATE(104),
    [sym__paragraph] = STATE(104),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(104),
    [sym_text] = STATE(104),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(104),
    [sym_displayed_equation] = STATE(104),
    [sym_inline_formula] = STATE(104),
    [sym_math_delimiter] = STATE(104),
    [sym_text_mode] = STATE(104),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(104),
    [sym_comment_environment] = STATE(104),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(104),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(104),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(104),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(104),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(104),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(104),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(104),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(104),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(104),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(104),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(104),
    [sym_generic_command] = STATE(104),
    [sym_title_declaration] = STATE(104),
    [sym_author_declaration] = STATE(104),
    [sym_package_include] = STATE(104),
    [sym_class_include] = STATE(104),
    [sym_latex_include] = STATE(104),
    [sym_biblatex_include] = STATE(104),
    [sym_bibstyle_include] = STATE(104),
    [sym_bibtex_include] = STATE(104),
    [sym_graphics_include] = STATE(104),
    [sym_svg_include] = STATE(104),
    [sym_inkscape_include] = STATE(104),
    [sym_verbatim_include] = STATE(104),
    [sym_import_include] = STATE(104),
    [sym_caption] = STATE(104),
    [sym_citation] = STATE(104),
    [sym_label_definition] = STATE(104),
    [sym_label_reference] = STATE(104),
    [sym_label_reference_range] = STATE(104),
    [sym_label_number] = STATE(104),
    [sym_new_command_definition] = STATE(104),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(104),
    [sym_let_command_definition] = STATE(104),
    [sym_paired_delimiter_definition] = STATE(104),
    [sym_environment_definition] = STATE(104),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(104),
    [sym_glossary_entry_reference] = STATE(104),
    [sym_acronym_definition] = STATE(104),
    [sym_acronym_reference] = STATE(104),
    [sym_theorem_definition] = STATE(104),
    [sym_color_definition] = STATE(104),
    [sym_color_set_definition] = STATE(104),
    [sym_color_reference] = STATE(104),
    [sym_tikz_library_import] = STATE(104),
    [sym_hyperlink] = STATE(104),
    [aux_sym_source_file_repeat1] = STATE(104),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(163),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_RBRACK] = ACTIONS(640),
    [anon_sym_COMMA] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(640),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_RPAREN] = ACTIONS(165),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_RBRACE] = ACTIONS(165),
    [sym_word] = ACTIONS(163),
    [sym_placeholder] = ACTIONS(165),
    [sym_delimiter] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym__] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(165),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(163),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(165),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(167),
    [anon_sym_BSLASHleft] = ACTIONS(163),
    [anon_sym_BSLASHbigl] = ACTIONS(163),
    [anon_sym_BSLASHBigl] = ACTIONS(163),
    [anon_sym_BSLASHbiggl] = ACTIONS(163),
    [anon_sym_BSLASHBiggl] = ACTIONS(163),
    [anon_sym_BSLASHtext] = ACTIONS(163),
    [anon_sym_BSLASHintertext] = ACTIONS(163),
    [anon_sym_BSLASHshortintertext] = ACTIONS(163),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(163),
    [anon_sym_BSLASHauthor] = ACTIONS(163),
    [anon_sym_BSLASHusepackage] = ACTIONS(163),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(163),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(163),
    [anon_sym_BSLASHinclude] = ACTIONS(163),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(163),
    [anon_sym_BSLASHinput] = ACTIONS(163),
    [anon_sym_BSLASHsubfile] = ACTIONS(163),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(163),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(163),
    [anon_sym_BSLASHbibliography] = ACTIONS(163),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(163),
    [anon_sym_BSLASHincludesvg] = ACTIONS(163),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(163),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(163),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(163),
    [anon_sym_BSLASHimport] = ACTIONS(163),
    [anon_sym_BSLASHsubimport] = ACTIONS(163),
    [anon_sym_BSLASHinputfrom] = ACTIONS(163),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(163),
    [anon_sym_BSLASHincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHcaption] = ACTIONS(163),
    [anon_sym_BSLASHcite] = ACTIONS(163),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCite] = ACTIONS(163),
    [anon_sym_BSLASHnocite] = ACTIONS(163),
    [anon_sym_BSLASHcitet] = ACTIONS(163),
    [anon_sym_BSLASHcitep] = ACTIONS(163),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteA] = ACTIONS(163),
    [anon_sym_BSLASHciteR] = ACTIONS(163),
    [anon_sym_BSLASHciteS] = ACTIONS(163),
    [anon_sym_BSLASHciteyearR] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(163),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitetitle] = ACTIONS(163),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteyear] = ACTIONS(163),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitedate] = ACTIONS(163),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteurl] = ACTIONS(163),
    [anon_sym_BSLASHfullcite] = ACTIONS(163),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(163),
    [anon_sym_BSLASHcitealt] = ACTIONS(163),
    [anon_sym_BSLASHcitealp] = ACTIONS(163),
    [anon_sym_BSLASHcitetext] = ACTIONS(163),
    [anon_sym_BSLASHparencite] = ACTIONS(163),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHParencite] = ACTIONS(163),
    [anon_sym_BSLASHfootcite] = ACTIONS(163),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(163),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(163),
    [anon_sym_BSLASHtextcite] = ACTIONS(163),
    [anon_sym_BSLASHTextcite] = ACTIONS(163),
    [anon_sym_BSLASHsmartcite] = ACTIONS(163),
    [anon_sym_BSLASHSmartcite] = ACTIONS(163),
    [anon_sym_BSLASHsupercite] = ACTIONS(163),
    [anon_sym_BSLASHautocite] = ACTIONS(163),
    [anon_sym_BSLASHAutocite] = ACTIONS(163),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHvolcite] = ACTIONS(163),
    [anon_sym_BSLASHVolcite] = ACTIONS(163),
    [anon_sym_BSLASHpvolcite] = ACTIONS(163),
    [anon_sym_BSLASHPvolcite] = ACTIONS(163),
    [anon_sym_BSLASHfvolcite] = ACTIONS(163),
    [anon_sym_BSLASHftvolcite] = ACTIONS(163),
    [anon_sym_BSLASHsvolcite] = ACTIONS(163),
    [anon_sym_BSLASHSvolcite] = ACTIONS(163),
    [anon_sym_BSLASHtvolcite] = ACTIONS(163),
    [anon_sym_BSLASHTvolcite] = ACTIONS(163),
    [anon_sym_BSLASHavolcite] = ACTIONS(163),
    [anon_sym_BSLASHAvolcite] = ACTIONS(163),
    [anon_sym_BSLASHnotecite] = ACTIONS(163),
    [anon_sym_BSLASHNotecite] = ACTIONS(163),
    [anon_sym_BSLASHpnotecite] = ACTIONS(163),
    [anon_sym_BSLASHPnotecite] = ACTIONS(163),
    [anon_sym_BSLASHfnotecite] = ACTIONS(163),
    [anon_sym_BSLASHlabel] = ACTIONS(163),
    [anon_sym_BSLASHref] = ACTIONS(163),
    [anon_sym_BSLASHeqref] = ACTIONS(163),
    [anon_sym_BSLASHvref] = ACTIONS(163),
    [anon_sym_BSLASHVref] = ACTIONS(163),
    [anon_sym_BSLASHautoref] = ACTIONS(163),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHpageref] = ACTIONS(163),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHautopageref] = ACTIONS(163),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcref] = ACTIONS(163),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCref] = ACTIONS(163),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpageref] = ACTIONS(163),
    [anon_sym_BSLASHCpageref] = ACTIONS(163),
    [anon_sym_BSLASHnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnameCref] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcrefrange] = ACTIONS(163),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCrefrange] = ACTIONS(163),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHnewlabel] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(163),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(163),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(163),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(165),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHdef] = ACTIONS(163),
    [anon_sym_BSLASHgdef] = ACTIONS(163),
    [anon_sym_BSLASHedef] = ACTIONS(163),
    [anon_sym_BSLASHxdef] = ACTIONS(163),
    [anon_sym_BSLASHlet] = ACTIONS(163),
    [anon_sym_BSLASHglet] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(163),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(163),
    [anon_sym_BSLASHgls] = ACTIONS(163),
    [anon_sym_BSLASHGls] = ACTIONS(163),
    [anon_sym_BSLASHGLS] = ACTIONS(163),
    [anon_sym_BSLASHglspl] = ACTIONS(163),
    [anon_sym_BSLASHGlspl] = ACTIONS(163),
    [anon_sym_BSLASHGLSpl] = ACTIONS(163),
    [anon_sym_BSLASHglsdisp] = ACTIONS(163),
    [anon_sym_BSLASHglslink] = ACTIONS(163),
    [anon_sym_BSLASHglstext] = ACTIONS(163),
    [anon_sym_BSLASHGlstext] = ACTIONS(163),
    [anon_sym_BSLASHGLStext] = ACTIONS(163),
    [anon_sym_BSLASHglsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(163),
    [anon_sym_BSLASHglsplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSplural] = ACTIONS(163),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHglsname] = ACTIONS(163),
    [anon_sym_BSLASHGlsname] = ACTIONS(163),
    [anon_sym_BSLASHGLSname] = ACTIONS(163),
    [anon_sym_BSLASHglssymbol] = ACTIONS(163),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(163),
    [anon_sym_BSLASHglsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(163),
    [anon_sym_BSLASHglsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(163),
    [anon_sym_BSLASHglsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(163),
    [anon_sym_BSLASHglsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(163),
    [anon_sym_BSLASHglsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(163),
    [anon_sym_BSLASHnewacronym] = ACTIONS(163),
    [anon_sym_BSLASHacrshort] = ACTIONS(163),
    [anon_sym_BSLASHAcrshort] = ACTIONS(163),
    [anon_sym_BSLASHACRshort] = ACTIONS(163),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(163),
    [anon_sym_BSLASHacrlong] = ACTIONS(163),
    [anon_sym_BSLASHAcrlong] = ACTIONS(163),
    [anon_sym_BSLASHACRlong] = ACTIONS(163),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(163),
    [anon_sym_BSLASHacrfull] = ACTIONS(163),
    [anon_sym_BSLASHAcrfull] = ACTIONS(163),
    [anon_sym_BSLASHACRfull] = ACTIONS(163),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(163),
    [anon_sym_BSLASHacs] = ACTIONS(163),
    [anon_sym_BSLASHAcs] = ACTIONS(163),
    [anon_sym_BSLASHacsp] = ACTIONS(163),
    [anon_sym_BSLASHAcsp] = ACTIONS(163),
    [anon_sym_BSLASHacl] = ACTIONS(163),
    [anon_sym_BSLASHAcl] = ACTIONS(163),
    [anon_sym_BSLASHaclp] = ACTIONS(163),
    [anon_sym_BSLASHAclp] = ACTIONS(163),
    [anon_sym_BSLASHacf] = ACTIONS(163),
    [anon_sym_BSLASHAcf] = ACTIONS(163),
    [anon_sym_BSLASHacfp] = ACTIONS(163),
    [anon_sym_BSLASHAcfp] = ACTIONS(163),
    [anon_sym_BSLASHac] = ACTIONS(163),
    [anon_sym_BSLASHAc] = ACTIONS(163),
    [anon_sym_BSLASHacp] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(163),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(163),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(163),
    [anon_sym_BSLASHcolor] = ACTIONS(163),
    [anon_sym_BSLASHpagecolor] = ACTIONS(163),
    [anon_sym_BSLASHtextcolor] = ACTIONS(163),
    [anon_sym_BSLASHmathcolor] = ACTIONS(163),
    [anon_sym_BSLASHcolorbox] = ACTIONS(163),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(163),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(163),
    [anon_sym_BSLASHurl] = ACTIONS(163),
    [anon_sym_BSLASHhref] = ACTIONS(163),
  },
  [41] = {
    [sym_block_comment] = STATE(97),
    [sym__root_content] = STATE(97),
    [sym__flat_content] = STATE(97),
    [sym__text_with_env_content] = STATE(97),
    [sym__text_content] = STATE(97),
    [sym__section] = STATE(97),
    [sym__paragraph] = STATE(97),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(97),
    [sym_text] = STATE(97),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(97),
    [sym_displayed_equation] = STATE(97),
    [sym_inline_formula] = STATE(97),
    [sym_math_delimiter] = STATE(97),
    [sym_text_mode] = STATE(97),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(97),
    [sym_comment_environment] = STATE(97),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(97),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(97),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(97),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(97),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(97),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(97),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(97),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(97),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(97),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(97),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(97),
    [sym_generic_command] = STATE(97),
    [sym_title_declaration] = STATE(97),
    [sym_author_declaration] = STATE(97),
    [sym_package_include] = STATE(97),
    [sym_class_include] = STATE(97),
    [sym_latex_include] = STATE(97),
    [sym_biblatex_include] = STATE(97),
    [sym_bibstyle_include] = STATE(97),
    [sym_bibtex_include] = STATE(97),
    [sym_graphics_include] = STATE(97),
    [sym_svg_include] = STATE(97),
    [sym_inkscape_include] = STATE(97),
    [sym_verbatim_include] = STATE(97),
    [sym_import_include] = STATE(97),
    [sym_caption] = STATE(97),
    [sym_citation] = STATE(97),
    [sym_label_definition] = STATE(97),
    [sym_label_reference] = STATE(97),
    [sym_label_reference_range] = STATE(97),
    [sym_label_number] = STATE(97),
    [sym_new_command_definition] = STATE(97),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(97),
    [sym_let_command_definition] = STATE(97),
    [sym_paired_delimiter_definition] = STATE(97),
    [sym_environment_definition] = STATE(97),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(97),
    [sym_glossary_entry_reference] = STATE(97),
    [sym_acronym_definition] = STATE(97),
    [sym_acronym_reference] = STATE(97),
    [sym_theorem_definition] = STATE(97),
    [sym_color_definition] = STATE(97),
    [sym_color_set_definition] = STATE(97),
    [sym_color_reference] = STATE(97),
    [sym_tikz_library_import] = STATE(97),
    [sym_hyperlink] = STATE(97),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(169),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [anon_sym_RBRACK] = ACTIONS(606),
    [anon_sym_COMMA] = ACTIONS(171),
    [anon_sym_EQ] = ACTIONS(606),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_RBRACE] = ACTIONS(171),
    [sym_word] = ACTIONS(169),
    [sym_placeholder] = ACTIONS(171),
    [sym_delimiter] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_STAR] = ACTIONS(171),
    [anon_sym_SLASH] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(169),
    [anon_sym_GT] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_PIPE] = ACTIONS(169),
    [anon_sym_COLON] = ACTIONS(169),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym__] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(171),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(171),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(171),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(161),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(171),
    [anon_sym_BSLASHleft] = ACTIONS(169),
    [anon_sym_BSLASHbigl] = ACTIONS(169),
    [anon_sym_BSLASHBigl] = ACTIONS(169),
    [anon_sym_BSLASHbiggl] = ACTIONS(169),
    [anon_sym_BSLASHBiggl] = ACTIONS(169),
    [anon_sym_BSLASHtext] = ACTIONS(169),
    [anon_sym_BSLASHintertext] = ACTIONS(169),
    [anon_sym_BSLASHshortintertext] = ACTIONS(169),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(169),
    [anon_sym_BSLASHauthor] = ACTIONS(169),
    [anon_sym_BSLASHusepackage] = ACTIONS(169),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(169),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(169),
    [anon_sym_BSLASHinclude] = ACTIONS(169),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(169),
    [anon_sym_BSLASHinput] = ACTIONS(169),
    [anon_sym_BSLASHsubfile] = ACTIONS(169),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(169),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(169),
    [anon_sym_BSLASHbibliography] = ACTIONS(169),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(169),
    [anon_sym_BSLASHincludesvg] = ACTIONS(169),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(169),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(169),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(169),
    [anon_sym_BSLASHimport] = ACTIONS(169),
    [anon_sym_BSLASHsubimport] = ACTIONS(169),
    [anon_sym_BSLASHinputfrom] = ACTIONS(169),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(169),
    [anon_sym_BSLASHincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHcaption] = ACTIONS(169),
    [anon_sym_BSLASHcite] = ACTIONS(169),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCite] = ACTIONS(169),
    [anon_sym_BSLASHnocite] = ACTIONS(169),
    [anon_sym_BSLASHcitet] = ACTIONS(169),
    [anon_sym_BSLASHcitep] = ACTIONS(169),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteA] = ACTIONS(169),
    [anon_sym_BSLASHciteR] = ACTIONS(169),
    [anon_sym_BSLASHciteS] = ACTIONS(169),
    [anon_sym_BSLASHciteyearR] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(169),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitetitle] = ACTIONS(169),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteyear] = ACTIONS(169),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitedate] = ACTIONS(169),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteurl] = ACTIONS(169),
    [anon_sym_BSLASHfullcite] = ACTIONS(169),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(169),
    [anon_sym_BSLASHcitealt] = ACTIONS(169),
    [anon_sym_BSLASHcitealp] = ACTIONS(169),
    [anon_sym_BSLASHcitetext] = ACTIONS(169),
    [anon_sym_BSLASHparencite] = ACTIONS(169),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHParencite] = ACTIONS(169),
    [anon_sym_BSLASHfootcite] = ACTIONS(169),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(169),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(169),
    [anon_sym_BSLASHtextcite] = ACTIONS(169),
    [anon_sym_BSLASHTextcite] = ACTIONS(169),
    [anon_sym_BSLASHsmartcite] = ACTIONS(169),
    [anon_sym_BSLASHSmartcite] = ACTIONS(169),
    [anon_sym_BSLASHsupercite] = ACTIONS(169),
    [anon_sym_BSLASHautocite] = ACTIONS(169),
    [anon_sym_BSLASHAutocite] = ACTIONS(169),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHvolcite] = ACTIONS(169),
    [anon_sym_BSLASHVolcite] = ACTIONS(169),
    [anon_sym_BSLASHpvolcite] = ACTIONS(169),
    [anon_sym_BSLASHPvolcite] = ACTIONS(169),
    [anon_sym_BSLASHfvolcite] = ACTIONS(169),
    [anon_sym_BSLASHftvolcite] = ACTIONS(169),
    [anon_sym_BSLASHsvolcite] = ACTIONS(169),
    [anon_sym_BSLASHSvolcite] = ACTIONS(169),
    [anon_sym_BSLASHtvolcite] = ACTIONS(169),
    [anon_sym_BSLASHTvolcite] = ACTIONS(169),
    [anon_sym_BSLASHavolcite] = ACTIONS(169),
    [anon_sym_BSLASHAvolcite] = ACTIONS(169),
    [anon_sym_BSLASHnotecite] = ACTIONS(169),
    [anon_sym_BSLASHNotecite] = ACTIONS(169),
    [anon_sym_BSLASHpnotecite] = ACTIONS(169),
    [anon_sym_BSLASHPnotecite] = ACTIONS(169),
    [anon_sym_BSLASHfnotecite] = ACTIONS(169),
    [anon_sym_BSLASHlabel] = ACTIONS(169),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHeqref] = ACTIONS(169),
    [anon_sym_BSLASHvref] = ACTIONS(169),
    [anon_sym_BSLASHVref] = ACTIONS(169),
    [anon_sym_BSLASHautoref] = ACTIONS(169),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHpageref] = ACTIONS(169),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHautopageref] = ACTIONS(169),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcref] = ACTIONS(169),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCref] = ACTIONS(169),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpageref] = ACTIONS(169),
    [anon_sym_BSLASHCpageref] = ACTIONS(169),
    [anon_sym_BSLASHnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnameCref] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcrefrange] = ACTIONS(169),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCrefrange] = ACTIONS(169),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHnewlabel] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(169),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(169),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(169),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(171),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHdef] = ACTIONS(169),
    [anon_sym_BSLASHgdef] = ACTIONS(169),
    [anon_sym_BSLASHedef] = ACTIONS(169),
    [anon_sym_BSLASHxdef] = ACTIONS(169),
    [anon_sym_BSLASHlet] = ACTIONS(169),
    [anon_sym_BSLASHglet] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(169),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(169),
    [anon_sym_BSLASHgls] = ACTIONS(169),
    [anon_sym_BSLASHGls] = ACTIONS(169),
    [anon_sym_BSLASHGLS] = ACTIONS(169),
    [anon_sym_BSLASHglspl] = ACTIONS(169),
    [anon_sym_BSLASHGlspl] = ACTIONS(169),
    [anon_sym_BSLASHGLSpl] = ACTIONS(169),
    [anon_sym_BSLASHglsdisp] = ACTIONS(169),
    [anon_sym_BSLASHglslink] = ACTIONS(169),
    [anon_sym_BSLASHglstext] = ACTIONS(169),
    [anon_sym_BSLASHGlstext] = ACTIONS(169),
    [anon_sym_BSLASHGLStext] = ACTIONS(169),
    [anon_sym_BSLASHglsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(169),
    [anon_sym_BSLASHglsplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSplural] = ACTIONS(169),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHglsname] = ACTIONS(169),
    [anon_sym_BSLASHGlsname] = ACTIONS(169),
    [anon_sym_BSLASHGLSname] = ACTIONS(169),
    [anon_sym_BSLASHglssymbol] = ACTIONS(169),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(169),
    [anon_sym_BSLASHglsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(169),
    [anon_sym_BSLASHglsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(169),
    [anon_sym_BSLASHglsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(169),
    [anon_sym_BSLASHglsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(169),
    [anon_sym_BSLASHglsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(169),
    [anon_sym_BSLASHnewacronym] = ACTIONS(169),
    [anon_sym_BSLASHacrshort] = ACTIONS(169),
    [anon_sym_BSLASHAcrshort] = ACTIONS(169),
    [anon_sym_BSLASHACRshort] = ACTIONS(169),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(169),
    [anon_sym_BSLASHacrlong] = ACTIONS(169),
    [anon_sym_BSLASHAcrlong] = ACTIONS(169),
    [anon_sym_BSLASHACRlong] = ACTIONS(169),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(169),
    [anon_sym_BSLASHacrfull] = ACTIONS(169),
    [anon_sym_BSLASHAcrfull] = ACTIONS(169),
    [anon_sym_BSLASHACRfull] = ACTIONS(169),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(169),
    [anon_sym_BSLASHacs] = ACTIONS(169),
    [anon_sym_BSLASHAcs] = ACTIONS(169),
    [anon_sym_BSLASHacsp] = ACTIONS(169),
    [anon_sym_BSLASHAcsp] = ACTIONS(169),
    [anon_sym_BSLASHacl] = ACTIONS(169),
    [anon_sym_BSLASHAcl] = ACTIONS(169),
    [anon_sym_BSLASHaclp] = ACTIONS(169),
    [anon_sym_BSLASHAclp] = ACTIONS(169),
    [anon_sym_BSLASHacf] = ACTIONS(169),
    [anon_sym_BSLASHAcf] = ACTIONS(169),
    [anon_sym_BSLASHacfp] = ACTIONS(169),
    [anon_sym_BSLASHAcfp] = ACTIONS(169),
    [anon_sym_BSLASHac] = ACTIONS(169),
    [anon_sym_BSLASHAc] = ACTIONS(169),
    [anon_sym_BSLASHacp] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(169),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(169),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(169),
    [anon_sym_BSLASHcolor] = ACTIONS(169),
    [anon_sym_BSLASHpagecolor] = ACTIONS(169),
    [anon_sym_BSLASHtextcolor] = ACTIONS(169),
    [anon_sym_BSLASHmathcolor] = ACTIONS(169),
    [anon_sym_BSLASHcolorbox] = ACTIONS(169),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(169),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(169),
    [anon_sym_BSLASHurl] = ACTIONS(169),
    [anon_sym_BSLASHhref] = ACTIONS(169),
  },
  [42] = {
    [sym_block_comment] = STATE(63),
    [sym__root_content] = STATE(63),
    [sym__flat_content] = STATE(63),
    [sym__text_with_env_content] = STATE(63),
    [sym__text_content] = STATE(63),
    [sym__section] = STATE(63),
    [sym__paragraph] = STATE(63),
    [sym__part_declaration] = STATE(163),
    [sym_part] = STATE(795),
    [sym__chapter_declaration] = STATE(173),
    [sym_chapter] = STATE(796),
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(797),
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(798),
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(799),
    [sym__paragraph_declaration] = STATE(213),
    [sym_paragraph] = STATE(800),
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(801),
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(802),
    [sym_curly_group] = STATE(63),
    [sym_text] = STATE(63),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(63),
    [sym_displayed_equation] = STATE(63),
    [sym_inline_formula] = STATE(63),
    [sym_math_delimiter] = STATE(63),
    [sym_text_mode] = STATE(63),
    [sym_begin] = STATE(71),
    [sym_end] = STATE(1015),
    [sym_generic_environment] = STATE(63),
    [sym_comment_environment] = STATE(63),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(63),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(63),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(63),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(63),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(63),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(63),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(63),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(63),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(63),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(63),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(63),
    [sym_generic_command] = STATE(63),
    [sym_title_declaration] = STATE(63),
    [sym_author_declaration] = STATE(63),
    [sym_package_include] = STATE(63),
    [sym_class_include] = STATE(63),
    [sym_latex_include] = STATE(63),
    [sym_biblatex_include] = STATE(63),
    [sym_bibstyle_include] = STATE(63),
    [sym_bibtex_include] = STATE(63),
    [sym_graphics_include] = STATE(63),
    [sym_svg_include] = STATE(63),
    [sym_inkscape_include] = STATE(63),
    [sym_verbatim_include] = STATE(63),
    [sym_import_include] = STATE(63),
    [sym_caption] = STATE(63),
    [sym_citation] = STATE(63),
    [sym_label_definition] = STATE(63),
    [sym_label_reference] = STATE(63),
    [sym_label_reference_range] = STATE(63),
    [sym_label_number] = STATE(63),
    [sym_new_command_definition] = STATE(63),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(63),
    [sym_let_command_definition] = STATE(63),
    [sym_paired_delimiter_definition] = STATE(63),
    [sym_environment_definition] = STATE(63),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(63),
    [sym_glossary_entry_reference] = STATE(63),
    [sym_acronym_definition] = STATE(63),
    [sym_acronym_reference] = STATE(63),
    [sym_theorem_definition] = STATE(63),
    [sym_color_definition] = STATE(63),
    [sym_color_set_definition] = STATE(63),
    [sym_color_reference] = STATE(63),
    [sym_tikz_library_import] = STATE(63),
    [sym_hyperlink] = STATE(63),
    [aux_sym_source_file_repeat1] = STATE(63),
    [aux_sym__section_repeat1] = STATE(795),
    [aux_sym__section_repeat2] = STATE(796),
    [aux_sym__section_repeat3] = STATE(797),
    [aux_sym__section_repeat4] = STATE(798),
    [aux_sym__section_repeat5] = STATE(799),
    [aux_sym__paragraph_repeat1] = STATE(800),
    [aux_sym__paragraph_repeat2] = STATE(801),
    [aux_sym__paragraph_repeat3] = STATE(802),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(678),
    [anon_sym_RBRACK] = ACTIONS(678),
    [anon_sym_COMMA] = ACTIONS(678),
    [anon_sym_EQ] = ACTIONS(678),
    [anon_sym_LPAREN] = ACTIONS(678),
    [anon_sym_RPAREN] = ACTIONS(678),
    [anon_sym_BSLASHpart] = ACTIONS(680),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHaddpart] = ACTIONS(680),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHchapter] = ACTIONS(684),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(686),
    [anon_sym_BSLASHaddchap] = ACTIONS(684),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(686),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(704),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(706),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(736),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [43] = {
    [sym_block_comment] = STATE(45),
    [sym__root_content] = STATE(45),
    [sym__flat_content] = STATE(45),
    [sym__text_with_env_content] = STATE(45),
    [sym__text_content] = STATE(45),
    [sym__section] = STATE(45),
    [sym__paragraph] = STATE(45),
    [sym__part_declaration] = STATE(163),
    [sym_part] = STATE(795),
    [sym__chapter_declaration] = STATE(173),
    [sym_chapter] = STATE(796),
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(797),
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(798),
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(799),
    [sym__paragraph_declaration] = STATE(213),
    [sym_paragraph] = STATE(800),
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(801),
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(802),
    [sym_curly_group] = STATE(45),
    [sym_text] = STATE(45),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(45),
    [sym_displayed_equation] = STATE(45),
    [sym_inline_formula] = STATE(45),
    [sym_math_delimiter] = STATE(45),
    [sym_text_mode] = STATE(45),
    [sym_begin] = STATE(71),
    [sym_end] = STATE(1559),
    [sym_generic_environment] = STATE(45),
    [sym_comment_environment] = STATE(45),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(45),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(45),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(45),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(45),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(45),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(45),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(45),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(45),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(45),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(45),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(45),
    [sym_generic_command] = STATE(45),
    [sym_title_declaration] = STATE(45),
    [sym_author_declaration] = STATE(45),
    [sym_package_include] = STATE(45),
    [sym_class_include] = STATE(45),
    [sym_latex_include] = STATE(45),
    [sym_biblatex_include] = STATE(45),
    [sym_bibstyle_include] = STATE(45),
    [sym_bibtex_include] = STATE(45),
    [sym_graphics_include] = STATE(45),
    [sym_svg_include] = STATE(45),
    [sym_inkscape_include] = STATE(45),
    [sym_verbatim_include] = STATE(45),
    [sym_import_include] = STATE(45),
    [sym_caption] = STATE(45),
    [sym_citation] = STATE(45),
    [sym_label_definition] = STATE(45),
    [sym_label_reference] = STATE(45),
    [sym_label_reference_range] = STATE(45),
    [sym_label_number] = STATE(45),
    [sym_new_command_definition] = STATE(45),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(45),
    [sym_let_command_definition] = STATE(45),
    [sym_paired_delimiter_definition] = STATE(45),
    [sym_environment_definition] = STATE(45),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(45),
    [sym_glossary_entry_reference] = STATE(45),
    [sym_acronym_definition] = STATE(45),
    [sym_acronym_reference] = STATE(45),
    [sym_theorem_definition] = STATE(45),
    [sym_color_definition] = STATE(45),
    [sym_color_set_definition] = STATE(45),
    [sym_color_reference] = STATE(45),
    [sym_tikz_library_import] = STATE(45),
    [sym_hyperlink] = STATE(45),
    [aux_sym_source_file_repeat1] = STATE(45),
    [aux_sym__section_repeat1] = STATE(795),
    [aux_sym__section_repeat2] = STATE(796),
    [aux_sym__section_repeat3] = STATE(797),
    [aux_sym__section_repeat4] = STATE(798),
    [aux_sym__section_repeat5] = STATE(799),
    [aux_sym__paragraph_repeat1] = STATE(800),
    [aux_sym__paragraph_repeat2] = STATE(801),
    [aux_sym__paragraph_repeat3] = STATE(802),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(824),
    [anon_sym_RBRACK] = ACTIONS(824),
    [anon_sym_COMMA] = ACTIONS(824),
    [anon_sym_EQ] = ACTIONS(824),
    [anon_sym_LPAREN] = ACTIONS(824),
    [anon_sym_RPAREN] = ACTIONS(824),
    [anon_sym_BSLASHpart] = ACTIONS(680),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHaddpart] = ACTIONS(680),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHchapter] = ACTIONS(684),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(686),
    [anon_sym_BSLASHaddchap] = ACTIONS(684),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(686),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(704),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(706),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(826),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [44] = {
    [sym_block_comment] = STATE(104),
    [sym__root_content] = STATE(104),
    [sym__flat_content] = STATE(104),
    [sym__text_with_env_content] = STATE(104),
    [sym__text_content] = STATE(104),
    [sym__section] = STATE(104),
    [sym__paragraph] = STATE(104),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(104),
    [sym_text] = STATE(104),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(104),
    [sym_displayed_equation] = STATE(104),
    [sym_inline_formula] = STATE(104),
    [sym_math_delimiter] = STATE(104),
    [sym_text_mode] = STATE(104),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(104),
    [sym_comment_environment] = STATE(104),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(104),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(104),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(104),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(104),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(104),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(104),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(104),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(104),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(104),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(104),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(104),
    [sym_generic_command] = STATE(104),
    [sym_title_declaration] = STATE(104),
    [sym_author_declaration] = STATE(104),
    [sym_package_include] = STATE(104),
    [sym_class_include] = STATE(104),
    [sym_latex_include] = STATE(104),
    [sym_biblatex_include] = STATE(104),
    [sym_bibstyle_include] = STATE(104),
    [sym_bibtex_include] = STATE(104),
    [sym_graphics_include] = STATE(104),
    [sym_svg_include] = STATE(104),
    [sym_inkscape_include] = STATE(104),
    [sym_verbatim_include] = STATE(104),
    [sym_import_include] = STATE(104),
    [sym_caption] = STATE(104),
    [sym_citation] = STATE(104),
    [sym_label_definition] = STATE(104),
    [sym_label_reference] = STATE(104),
    [sym_label_reference_range] = STATE(104),
    [sym_label_number] = STATE(104),
    [sym_new_command_definition] = STATE(104),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(104),
    [sym_let_command_definition] = STATE(104),
    [sym_paired_delimiter_definition] = STATE(104),
    [sym_environment_definition] = STATE(104),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(104),
    [sym_glossary_entry_reference] = STATE(104),
    [sym_acronym_definition] = STATE(104),
    [sym_acronym_reference] = STATE(104),
    [sym_theorem_definition] = STATE(104),
    [sym_color_definition] = STATE(104),
    [sym_color_set_definition] = STATE(104),
    [sym_color_reference] = STATE(104),
    [sym_tikz_library_import] = STATE(104),
    [sym_hyperlink] = STATE(104),
    [aux_sym_source_file_repeat1] = STATE(104),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(173),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(173),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_RBRACK] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_RPAREN] = ACTIONS(175),
    [anon_sym_BSLASHpart] = ACTIONS(173),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddpart] = ACTIONS(173),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(175),
    [anon_sym_BSLASHchapter] = ACTIONS(173),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddchap] = ACTIONS(173),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsection] = ACTIONS(173),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddsec] = ACTIONS(173),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubsection] = ACTIONS(173),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(173),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHparagraph] = ACTIONS(173),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(173),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(175),
    [anon_sym_BSLASHitem] = ACTIONS(173),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(175),
    [anon_sym_LBRACE] = ACTIONS(175),
    [sym_word] = ACTIONS(173),
    [sym_placeholder] = ACTIONS(175),
    [sym_delimiter] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym__] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(175),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(175),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(175),
    [anon_sym_DOLLAR] = ACTIONS(173),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(175),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(167),
    [anon_sym_BSLASHleft] = ACTIONS(173),
    [anon_sym_BSLASHbigl] = ACTIONS(173),
    [anon_sym_BSLASHBigl] = ACTIONS(173),
    [anon_sym_BSLASHbiggl] = ACTIONS(173),
    [anon_sym_BSLASHBiggl] = ACTIONS(173),
    [anon_sym_BSLASHtext] = ACTIONS(173),
    [anon_sym_BSLASHintertext] = ACTIONS(173),
    [anon_sym_BSLASHshortintertext] = ACTIONS(173),
    [anon_sym_BSLASHbegin] = ACTIONS(173),
    [anon_sym_BSLASHend] = ACTIONS(173),
    [anon_sym_BSLASHtitle] = ACTIONS(173),
    [anon_sym_BSLASHauthor] = ACTIONS(173),
    [anon_sym_BSLASHusepackage] = ACTIONS(173),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(173),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(173),
    [anon_sym_BSLASHinclude] = ACTIONS(173),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(173),
    [anon_sym_BSLASHinput] = ACTIONS(173),
    [anon_sym_BSLASHsubfile] = ACTIONS(173),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(173),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(173),
    [anon_sym_BSLASHbibliography] = ACTIONS(173),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(173),
    [anon_sym_BSLASHincludesvg] = ACTIONS(173),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(173),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(173),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(173),
    [anon_sym_BSLASHimport] = ACTIONS(173),
    [anon_sym_BSLASHsubimport] = ACTIONS(173),
    [anon_sym_BSLASHinputfrom] = ACTIONS(173),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(173),
    [anon_sym_BSLASHincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHcaption] = ACTIONS(173),
    [anon_sym_BSLASHcite] = ACTIONS(173),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCite] = ACTIONS(173),
    [anon_sym_BSLASHnocite] = ACTIONS(173),
    [anon_sym_BSLASHcitet] = ACTIONS(173),
    [anon_sym_BSLASHcitep] = ACTIONS(173),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteA] = ACTIONS(173),
    [anon_sym_BSLASHciteR] = ACTIONS(173),
    [anon_sym_BSLASHciteS] = ACTIONS(173),
    [anon_sym_BSLASHciteyearR] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(173),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitetitle] = ACTIONS(173),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteyear] = ACTIONS(173),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitedate] = ACTIONS(173),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteurl] = ACTIONS(173),
    [anon_sym_BSLASHfullcite] = ACTIONS(173),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(173),
    [anon_sym_BSLASHcitealt] = ACTIONS(173),
    [anon_sym_BSLASHcitealp] = ACTIONS(173),
    [anon_sym_BSLASHcitetext] = ACTIONS(173),
    [anon_sym_BSLASHparencite] = ACTIONS(173),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHParencite] = ACTIONS(173),
    [anon_sym_BSLASHfootcite] = ACTIONS(173),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(173),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(173),
    [anon_sym_BSLASHtextcite] = ACTIONS(173),
    [anon_sym_BSLASHTextcite] = ACTIONS(173),
    [anon_sym_BSLASHsmartcite] = ACTIONS(173),
    [anon_sym_BSLASHSmartcite] = ACTIONS(173),
    [anon_sym_BSLASHsupercite] = ACTIONS(173),
    [anon_sym_BSLASHautocite] = ACTIONS(173),
    [anon_sym_BSLASHAutocite] = ACTIONS(173),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHvolcite] = ACTIONS(173),
    [anon_sym_BSLASHVolcite] = ACTIONS(173),
    [anon_sym_BSLASHpvolcite] = ACTIONS(173),
    [anon_sym_BSLASHPvolcite] = ACTIONS(173),
    [anon_sym_BSLASHfvolcite] = ACTIONS(173),
    [anon_sym_BSLASHftvolcite] = ACTIONS(173),
    [anon_sym_BSLASHsvolcite] = ACTIONS(173),
    [anon_sym_BSLASHSvolcite] = ACTIONS(173),
    [anon_sym_BSLASHtvolcite] = ACTIONS(173),
    [anon_sym_BSLASHTvolcite] = ACTIONS(173),
    [anon_sym_BSLASHavolcite] = ACTIONS(173),
    [anon_sym_BSLASHAvolcite] = ACTIONS(173),
    [anon_sym_BSLASHnotecite] = ACTIONS(173),
    [anon_sym_BSLASHNotecite] = ACTIONS(173),
    [anon_sym_BSLASHpnotecite] = ACTIONS(173),
    [anon_sym_BSLASHPnotecite] = ACTIONS(173),
    [anon_sym_BSLASHfnotecite] = ACTIONS(173),
    [anon_sym_BSLASHlabel] = ACTIONS(173),
    [anon_sym_BSLASHref] = ACTIONS(173),
    [anon_sym_BSLASHeqref] = ACTIONS(173),
    [anon_sym_BSLASHvref] = ACTIONS(173),
    [anon_sym_BSLASHVref] = ACTIONS(173),
    [anon_sym_BSLASHautoref] = ACTIONS(173),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHpageref] = ACTIONS(173),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHautopageref] = ACTIONS(173),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcref] = ACTIONS(173),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCref] = ACTIONS(173),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpageref] = ACTIONS(173),
    [anon_sym_BSLASHCpageref] = ACTIONS(173),
    [anon_sym_BSLASHnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnameCref] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcrefrange] = ACTIONS(173),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCrefrange] = ACTIONS(173),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHnewlabel] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(173),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(173),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(173),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(175),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHdef] = ACTIONS(173),
    [anon_sym_BSLASHgdef] = ACTIONS(173),
    [anon_sym_BSLASHedef] = ACTIONS(173),
    [anon_sym_BSLASHxdef] = ACTIONS(173),
    [anon_sym_BSLASHlet] = ACTIONS(173),
    [anon_sym_BSLASHglet] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(173),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(173),
    [anon_sym_BSLASHgls] = ACTIONS(173),
    [anon_sym_BSLASHGls] = ACTIONS(173),
    [anon_sym_BSLASHGLS] = ACTIONS(173),
    [anon_sym_BSLASHglspl] = ACTIONS(173),
    [anon_sym_BSLASHGlspl] = ACTIONS(173),
    [anon_sym_BSLASHGLSpl] = ACTIONS(173),
    [anon_sym_BSLASHglsdisp] = ACTIONS(173),
    [anon_sym_BSLASHglslink] = ACTIONS(173),
    [anon_sym_BSLASHglstext] = ACTIONS(173),
    [anon_sym_BSLASHGlstext] = ACTIONS(173),
    [anon_sym_BSLASHGLStext] = ACTIONS(173),
    [anon_sym_BSLASHglsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(173),
    [anon_sym_BSLASHglsplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSplural] = ACTIONS(173),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHglsname] = ACTIONS(173),
    [anon_sym_BSLASHGlsname] = ACTIONS(173),
    [anon_sym_BSLASHGLSname] = ACTIONS(173),
    [anon_sym_BSLASHglssymbol] = ACTIONS(173),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(173),
    [anon_sym_BSLASHglsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(173),
    [anon_sym_BSLASHglsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(173),
    [anon_sym_BSLASHglsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(173),
    [anon_sym_BSLASHglsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(173),
    [anon_sym_BSLASHglsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(173),
    [anon_sym_BSLASHnewacronym] = ACTIONS(173),
    [anon_sym_BSLASHacrshort] = ACTIONS(173),
    [anon_sym_BSLASHAcrshort] = ACTIONS(173),
    [anon_sym_BSLASHACRshort] = ACTIONS(173),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(173),
    [anon_sym_BSLASHacrlong] = ACTIONS(173),
    [anon_sym_BSLASHAcrlong] = ACTIONS(173),
    [anon_sym_BSLASHACRlong] = ACTIONS(173),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(173),
    [anon_sym_BSLASHacrfull] = ACTIONS(173),
    [anon_sym_BSLASHAcrfull] = ACTIONS(173),
    [anon_sym_BSLASHACRfull] = ACTIONS(173),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(173),
    [anon_sym_BSLASHacs] = ACTIONS(173),
    [anon_sym_BSLASHAcs] = ACTIONS(173),
    [anon_sym_BSLASHacsp] = ACTIONS(173),
    [anon_sym_BSLASHAcsp] = ACTIONS(173),
    [anon_sym_BSLASHacl] = ACTIONS(173),
    [anon_sym_BSLASHAcl] = ACTIONS(173),
    [anon_sym_BSLASHaclp] = ACTIONS(173),
    [anon_sym_BSLASHAclp] = ACTIONS(173),
    [anon_sym_BSLASHacf] = ACTIONS(173),
    [anon_sym_BSLASHAcf] = ACTIONS(173),
    [anon_sym_BSLASHacfp] = ACTIONS(173),
    [anon_sym_BSLASHAcfp] = ACTIONS(173),
    [anon_sym_BSLASHac] = ACTIONS(173),
    [anon_sym_BSLASHAc] = ACTIONS(173),
    [anon_sym_BSLASHacp] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(173),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(173),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(173),
    [anon_sym_BSLASHcolor] = ACTIONS(173),
    [anon_sym_BSLASHpagecolor] = ACTIONS(173),
    [anon_sym_BSLASHtextcolor] = ACTIONS(173),
    [anon_sym_BSLASHmathcolor] = ACTIONS(173),
    [anon_sym_BSLASHcolorbox] = ACTIONS(173),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(173),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(173),
    [anon_sym_BSLASHurl] = ACTIONS(173),
    [anon_sym_BSLASHhref] = ACTIONS(173),
  },
  [45] = {
    [sym_block_comment] = STATE(81),
    [sym__root_content] = STATE(81),
    [sym__flat_content] = STATE(81),
    [sym__text_with_env_content] = STATE(81),
    [sym__text_content] = STATE(81),
    [sym__section] = STATE(81),
    [sym__paragraph] = STATE(81),
    [sym__part_declaration] = STATE(163),
    [sym_part] = STATE(795),
    [sym__chapter_declaration] = STATE(173),
    [sym_chapter] = STATE(796),
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(797),
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(798),
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(799),
    [sym__paragraph_declaration] = STATE(213),
    [sym_paragraph] = STATE(800),
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(801),
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(802),
    [sym_curly_group] = STATE(81),
    [sym_text] = STATE(81),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(81),
    [sym_displayed_equation] = STATE(81),
    [sym_inline_formula] = STATE(81),
    [sym_math_delimiter] = STATE(81),
    [sym_text_mode] = STATE(81),
    [sym_begin] = STATE(71),
    [sym_end] = STATE(1630),
    [sym_generic_environment] = STATE(81),
    [sym_comment_environment] = STATE(81),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(81),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(81),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(81),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(81),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(81),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(81),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(81),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(81),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(81),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(81),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(81),
    [sym_generic_command] = STATE(81),
    [sym_title_declaration] = STATE(81),
    [sym_author_declaration] = STATE(81),
    [sym_package_include] = STATE(81),
    [sym_class_include] = STATE(81),
    [sym_latex_include] = STATE(81),
    [sym_biblatex_include] = STATE(81),
    [sym_bibstyle_include] = STATE(81),
    [sym_bibtex_include] = STATE(81),
    [sym_graphics_include] = STATE(81),
    [sym_svg_include] = STATE(81),
    [sym_inkscape_include] = STATE(81),
    [sym_verbatim_include] = STATE(81),
    [sym_import_include] = STATE(81),
    [sym_caption] = STATE(81),
    [sym_citation] = STATE(81),
    [sym_label_definition] = STATE(81),
    [sym_label_reference] = STATE(81),
    [sym_label_reference_range] = STATE(81),
    [sym_label_number] = STATE(81),
    [sym_new_command_definition] = STATE(81),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(81),
    [sym_let_command_definition] = STATE(81),
    [sym_paired_delimiter_definition] = STATE(81),
    [sym_environment_definition] = STATE(81),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(81),
    [sym_glossary_entry_reference] = STATE(81),
    [sym_acronym_definition] = STATE(81),
    [sym_acronym_reference] = STATE(81),
    [sym_theorem_definition] = STATE(81),
    [sym_color_definition] = STATE(81),
    [sym_color_set_definition] = STATE(81),
    [sym_color_reference] = STATE(81),
    [sym_tikz_library_import] = STATE(81),
    [sym_hyperlink] = STATE(81),
    [aux_sym_source_file_repeat1] = STATE(81),
    [aux_sym__section_repeat1] = STATE(795),
    [aux_sym__section_repeat2] = STATE(796),
    [aux_sym__section_repeat3] = STATE(797),
    [aux_sym__section_repeat4] = STATE(798),
    [aux_sym__section_repeat5] = STATE(799),
    [aux_sym__paragraph_repeat1] = STATE(800),
    [aux_sym__paragraph_repeat2] = STATE(801),
    [aux_sym__paragraph_repeat3] = STATE(802),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(828),
    [anon_sym_RBRACK] = ACTIONS(828),
    [anon_sym_COMMA] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(828),
    [anon_sym_LPAREN] = ACTIONS(828),
    [anon_sym_RPAREN] = ACTIONS(828),
    [anon_sym_BSLASHpart] = ACTIONS(680),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHaddpart] = ACTIONS(680),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHchapter] = ACTIONS(684),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(686),
    [anon_sym_BSLASHaddchap] = ACTIONS(684),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(686),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(704),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(706),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(826),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [46] = {
    [sym_block_comment] = STATE(97),
    [sym__root_content] = STATE(97),
    [sym__flat_content] = STATE(97),
    [sym__text_with_env_content] = STATE(97),
    [sym__text_content] = STATE(97),
    [sym__section] = STATE(97),
    [sym__paragraph] = STATE(97),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(97),
    [sym_text] = STATE(97),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(97),
    [sym_displayed_equation] = STATE(97),
    [sym_inline_formula] = STATE(97),
    [sym_math_delimiter] = STATE(97),
    [sym_text_mode] = STATE(97),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(97),
    [sym_comment_environment] = STATE(97),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(97),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(97),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(97),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(97),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(97),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(97),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(97),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(97),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(97),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(97),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(97),
    [sym_generic_command] = STATE(97),
    [sym_title_declaration] = STATE(97),
    [sym_author_declaration] = STATE(97),
    [sym_package_include] = STATE(97),
    [sym_class_include] = STATE(97),
    [sym_latex_include] = STATE(97),
    [sym_biblatex_include] = STATE(97),
    [sym_bibstyle_include] = STATE(97),
    [sym_bibtex_include] = STATE(97),
    [sym_graphics_include] = STATE(97),
    [sym_svg_include] = STATE(97),
    [sym_inkscape_include] = STATE(97),
    [sym_verbatim_include] = STATE(97),
    [sym_import_include] = STATE(97),
    [sym_caption] = STATE(97),
    [sym_citation] = STATE(97),
    [sym_label_definition] = STATE(97),
    [sym_label_reference] = STATE(97),
    [sym_label_reference_range] = STATE(97),
    [sym_label_number] = STATE(97),
    [sym_new_command_definition] = STATE(97),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(97),
    [sym_let_command_definition] = STATE(97),
    [sym_paired_delimiter_definition] = STATE(97),
    [sym_environment_definition] = STATE(97),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(97),
    [sym_glossary_entry_reference] = STATE(97),
    [sym_acronym_definition] = STATE(97),
    [sym_acronym_reference] = STATE(97),
    [sym_theorem_definition] = STATE(97),
    [sym_color_definition] = STATE(97),
    [sym_color_set_definition] = STATE(97),
    [sym_color_reference] = STATE(97),
    [sym_tikz_library_import] = STATE(97),
    [sym_hyperlink] = STATE(97),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(157),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(157),
    [anon_sym_LBRACK] = ACTIONS(159),
    [anon_sym_RBRACK] = ACTIONS(159),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_RPAREN] = ACTIONS(159),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(159),
    [sym_word] = ACTIONS(157),
    [sym_placeholder] = ACTIONS(159),
    [sym_delimiter] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_SLASH] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(157),
    [anon_sym_GT] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(157),
    [anon_sym_PIPE] = ACTIONS(157),
    [anon_sym_COLON] = ACTIONS(157),
    [anon_sym_SQUOTE] = ACTIONS(157),
    [anon_sym__] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(159),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(159),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(161),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(159),
    [anon_sym_BSLASHleft] = ACTIONS(157),
    [anon_sym_BSLASHbigl] = ACTIONS(157),
    [anon_sym_BSLASHBigl] = ACTIONS(157),
    [anon_sym_BSLASHbiggl] = ACTIONS(157),
    [anon_sym_BSLASHBiggl] = ACTIONS(157),
    [anon_sym_BSLASHtext] = ACTIONS(157),
    [anon_sym_BSLASHintertext] = ACTIONS(157),
    [anon_sym_BSLASHshortintertext] = ACTIONS(157),
    [anon_sym_BSLASHbegin] = ACTIONS(157),
    [anon_sym_BSLASHend] = ACTIONS(157),
    [anon_sym_BSLASHtitle] = ACTIONS(157),
    [anon_sym_BSLASHauthor] = ACTIONS(157),
    [anon_sym_BSLASHusepackage] = ACTIONS(157),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(157),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(157),
    [anon_sym_BSLASHinclude] = ACTIONS(157),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(157),
    [anon_sym_BSLASHinput] = ACTIONS(157),
    [anon_sym_BSLASHsubfile] = ACTIONS(157),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(157),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(157),
    [anon_sym_BSLASHbibliography] = ACTIONS(157),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(157),
    [anon_sym_BSLASHincludesvg] = ACTIONS(157),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(157),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(157),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(157),
    [anon_sym_BSLASHimport] = ACTIONS(157),
    [anon_sym_BSLASHsubimport] = ACTIONS(157),
    [anon_sym_BSLASHinputfrom] = ACTIONS(157),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(157),
    [anon_sym_BSLASHincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHcaption] = ACTIONS(157),
    [anon_sym_BSLASHcite] = ACTIONS(157),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCite] = ACTIONS(157),
    [anon_sym_BSLASHnocite] = ACTIONS(157),
    [anon_sym_BSLASHcitet] = ACTIONS(157),
    [anon_sym_BSLASHcitep] = ACTIONS(157),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteA] = ACTIONS(157),
    [anon_sym_BSLASHciteR] = ACTIONS(157),
    [anon_sym_BSLASHciteS] = ACTIONS(157),
    [anon_sym_BSLASHciteyearR] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(157),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitetitle] = ACTIONS(157),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteyear] = ACTIONS(157),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitedate] = ACTIONS(157),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteurl] = ACTIONS(157),
    [anon_sym_BSLASHfullcite] = ACTIONS(157),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(157),
    [anon_sym_BSLASHcitealt] = ACTIONS(157),
    [anon_sym_BSLASHcitealp] = ACTIONS(157),
    [anon_sym_BSLASHcitetext] = ACTIONS(157),
    [anon_sym_BSLASHparencite] = ACTIONS(157),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHParencite] = ACTIONS(157),
    [anon_sym_BSLASHfootcite] = ACTIONS(157),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(157),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(157),
    [anon_sym_BSLASHtextcite] = ACTIONS(157),
    [anon_sym_BSLASHTextcite] = ACTIONS(157),
    [anon_sym_BSLASHsmartcite] = ACTIONS(157),
    [anon_sym_BSLASHSmartcite] = ACTIONS(157),
    [anon_sym_BSLASHsupercite] = ACTIONS(157),
    [anon_sym_BSLASHautocite] = ACTIONS(157),
    [anon_sym_BSLASHAutocite] = ACTIONS(157),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHvolcite] = ACTIONS(157),
    [anon_sym_BSLASHVolcite] = ACTIONS(157),
    [anon_sym_BSLASHpvolcite] = ACTIONS(157),
    [anon_sym_BSLASHPvolcite] = ACTIONS(157),
    [anon_sym_BSLASHfvolcite] = ACTIONS(157),
    [anon_sym_BSLASHftvolcite] = ACTIONS(157),
    [anon_sym_BSLASHsvolcite] = ACTIONS(157),
    [anon_sym_BSLASHSvolcite] = ACTIONS(157),
    [anon_sym_BSLASHtvolcite] = ACTIONS(157),
    [anon_sym_BSLASHTvolcite] = ACTIONS(157),
    [anon_sym_BSLASHavolcite] = ACTIONS(157),
    [anon_sym_BSLASHAvolcite] = ACTIONS(157),
    [anon_sym_BSLASHnotecite] = ACTIONS(157),
    [anon_sym_BSLASHNotecite] = ACTIONS(157),
    [anon_sym_BSLASHpnotecite] = ACTIONS(157),
    [anon_sym_BSLASHPnotecite] = ACTIONS(157),
    [anon_sym_BSLASHfnotecite] = ACTIONS(157),
    [anon_sym_BSLASHlabel] = ACTIONS(157),
    [anon_sym_BSLASHref] = ACTIONS(157),
    [anon_sym_BSLASHeqref] = ACTIONS(157),
    [anon_sym_BSLASHvref] = ACTIONS(157),
    [anon_sym_BSLASHVref] = ACTIONS(157),
    [anon_sym_BSLASHautoref] = ACTIONS(157),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpageref] = ACTIONS(157),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHautopageref] = ACTIONS(157),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcref] = ACTIONS(157),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCref] = ACTIONS(157),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpageref] = ACTIONS(157),
    [anon_sym_BSLASHCpageref] = ACTIONS(157),
    [anon_sym_BSLASHnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnameCref] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcrefrange] = ACTIONS(157),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCrefrange] = ACTIONS(157),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHnewlabel] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(157),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(157),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(157),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(159),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHdef] = ACTIONS(157),
    [anon_sym_BSLASHgdef] = ACTIONS(157),
    [anon_sym_BSLASHedef] = ACTIONS(157),
    [anon_sym_BSLASHxdef] = ACTIONS(157),
    [anon_sym_BSLASHlet] = ACTIONS(157),
    [anon_sym_BSLASHglet] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(157),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(157),
    [anon_sym_BSLASHgls] = ACTIONS(157),
    [anon_sym_BSLASHGls] = ACTIONS(157),
    [anon_sym_BSLASHGLS] = ACTIONS(157),
    [anon_sym_BSLASHglspl] = ACTIONS(157),
    [anon_sym_BSLASHGlspl] = ACTIONS(157),
    [anon_sym_BSLASHGLSpl] = ACTIONS(157),
    [anon_sym_BSLASHglsdisp] = ACTIONS(157),
    [anon_sym_BSLASHglslink] = ACTIONS(157),
    [anon_sym_BSLASHglstext] = ACTIONS(157),
    [anon_sym_BSLASHGlstext] = ACTIONS(157),
    [anon_sym_BSLASHGLStext] = ACTIONS(157),
    [anon_sym_BSLASHglsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(157),
    [anon_sym_BSLASHglsplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSplural] = ACTIONS(157),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHglsname] = ACTIONS(157),
    [anon_sym_BSLASHGlsname] = ACTIONS(157),
    [anon_sym_BSLASHGLSname] = ACTIONS(157),
    [anon_sym_BSLASHglssymbol] = ACTIONS(157),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(157),
    [anon_sym_BSLASHglsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(157),
    [anon_sym_BSLASHglsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(157),
    [anon_sym_BSLASHglsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(157),
    [anon_sym_BSLASHglsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(157),
    [anon_sym_BSLASHglsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(157),
    [anon_sym_BSLASHnewacronym] = ACTIONS(157),
    [anon_sym_BSLASHacrshort] = ACTIONS(157),
    [anon_sym_BSLASHAcrshort] = ACTIONS(157),
    [anon_sym_BSLASHACRshort] = ACTIONS(157),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(157),
    [anon_sym_BSLASHacrlong] = ACTIONS(157),
    [anon_sym_BSLASHAcrlong] = ACTIONS(157),
    [anon_sym_BSLASHACRlong] = ACTIONS(157),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(157),
    [anon_sym_BSLASHacrfull] = ACTIONS(157),
    [anon_sym_BSLASHAcrfull] = ACTIONS(157),
    [anon_sym_BSLASHACRfull] = ACTIONS(157),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(157),
    [anon_sym_BSLASHacs] = ACTIONS(157),
    [anon_sym_BSLASHAcs] = ACTIONS(157),
    [anon_sym_BSLASHacsp] = ACTIONS(157),
    [anon_sym_BSLASHAcsp] = ACTIONS(157),
    [anon_sym_BSLASHacl] = ACTIONS(157),
    [anon_sym_BSLASHAcl] = ACTIONS(157),
    [anon_sym_BSLASHaclp] = ACTIONS(157),
    [anon_sym_BSLASHAclp] = ACTIONS(157),
    [anon_sym_BSLASHacf] = ACTIONS(157),
    [anon_sym_BSLASHAcf] = ACTIONS(157),
    [anon_sym_BSLASHacfp] = ACTIONS(157),
    [anon_sym_BSLASHAcfp] = ACTIONS(157),
    [anon_sym_BSLASHac] = ACTIONS(157),
    [anon_sym_BSLASHAc] = ACTIONS(157),
    [anon_sym_BSLASHacp] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(157),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(157),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(157),
    [anon_sym_BSLASHcolor] = ACTIONS(157),
    [anon_sym_BSLASHpagecolor] = ACTIONS(157),
    [anon_sym_BSLASHtextcolor] = ACTIONS(157),
    [anon_sym_BSLASHmathcolor] = ACTIONS(157),
    [anon_sym_BSLASHcolorbox] = ACTIONS(157),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(157),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(157),
    [anon_sym_BSLASHurl] = ACTIONS(157),
    [anon_sym_BSLASHhref] = ACTIONS(157),
  },
  [47] = {
    [sym_block_comment] = STATE(48),
    [sym__root_content] = STATE(48),
    [sym__flat_content] = STATE(48),
    [sym__text_with_env_content] = STATE(48),
    [sym__text_content] = STATE(48),
    [sym__section] = STATE(48),
    [sym__paragraph] = STATE(48),
    [sym__part_declaration] = STATE(163),
    [sym_part] = STATE(795),
    [sym__chapter_declaration] = STATE(173),
    [sym_chapter] = STATE(796),
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(797),
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(798),
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(799),
    [sym__paragraph_declaration] = STATE(213),
    [sym_paragraph] = STATE(800),
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(801),
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(802),
    [sym_curly_group] = STATE(48),
    [sym_text] = STATE(48),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(48),
    [sym_displayed_equation] = STATE(48),
    [sym_inline_formula] = STATE(48),
    [sym_math_delimiter] = STATE(48),
    [sym_text_mode] = STATE(48),
    [sym_begin] = STATE(71),
    [sym_end] = STATE(1214),
    [sym_generic_environment] = STATE(48),
    [sym_comment_environment] = STATE(48),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(48),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(48),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(48),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(48),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(48),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(48),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(48),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(48),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(48),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(48),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(48),
    [sym_generic_command] = STATE(48),
    [sym_title_declaration] = STATE(48),
    [sym_author_declaration] = STATE(48),
    [sym_package_include] = STATE(48),
    [sym_class_include] = STATE(48),
    [sym_latex_include] = STATE(48),
    [sym_biblatex_include] = STATE(48),
    [sym_bibstyle_include] = STATE(48),
    [sym_bibtex_include] = STATE(48),
    [sym_graphics_include] = STATE(48),
    [sym_svg_include] = STATE(48),
    [sym_inkscape_include] = STATE(48),
    [sym_verbatim_include] = STATE(48),
    [sym_import_include] = STATE(48),
    [sym_caption] = STATE(48),
    [sym_citation] = STATE(48),
    [sym_label_definition] = STATE(48),
    [sym_label_reference] = STATE(48),
    [sym_label_reference_range] = STATE(48),
    [sym_label_number] = STATE(48),
    [sym_new_command_definition] = STATE(48),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(48),
    [sym_let_command_definition] = STATE(48),
    [sym_paired_delimiter_definition] = STATE(48),
    [sym_environment_definition] = STATE(48),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(48),
    [sym_glossary_entry_reference] = STATE(48),
    [sym_acronym_definition] = STATE(48),
    [sym_acronym_reference] = STATE(48),
    [sym_theorem_definition] = STATE(48),
    [sym_color_definition] = STATE(48),
    [sym_color_set_definition] = STATE(48),
    [sym_color_reference] = STATE(48),
    [sym_tikz_library_import] = STATE(48),
    [sym_hyperlink] = STATE(48),
    [aux_sym_source_file_repeat1] = STATE(48),
    [aux_sym__section_repeat1] = STATE(795),
    [aux_sym__section_repeat2] = STATE(796),
    [aux_sym__section_repeat3] = STATE(797),
    [aux_sym__section_repeat4] = STATE(798),
    [aux_sym__section_repeat5] = STATE(799),
    [aux_sym__paragraph_repeat1] = STATE(800),
    [aux_sym__paragraph_repeat2] = STATE(801),
    [aux_sym__paragraph_repeat3] = STATE(802),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(830),
    [anon_sym_RBRACK] = ACTIONS(830),
    [anon_sym_COMMA] = ACTIONS(830),
    [anon_sym_EQ] = ACTIONS(830),
    [anon_sym_LPAREN] = ACTIONS(830),
    [anon_sym_RPAREN] = ACTIONS(830),
    [anon_sym_BSLASHpart] = ACTIONS(680),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHaddpart] = ACTIONS(680),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHchapter] = ACTIONS(684),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(686),
    [anon_sym_BSLASHaddchap] = ACTIONS(684),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(686),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(704),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(706),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(832),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [48] = {
    [sym_block_comment] = STATE(81),
    [sym__root_content] = STATE(81),
    [sym__flat_content] = STATE(81),
    [sym__text_with_env_content] = STATE(81),
    [sym__text_content] = STATE(81),
    [sym__section] = STATE(81),
    [sym__paragraph] = STATE(81),
    [sym__part_declaration] = STATE(163),
    [sym_part] = STATE(795),
    [sym__chapter_declaration] = STATE(173),
    [sym_chapter] = STATE(796),
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(797),
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(798),
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(799),
    [sym__paragraph_declaration] = STATE(213),
    [sym_paragraph] = STATE(800),
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(801),
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(802),
    [sym_curly_group] = STATE(81),
    [sym_text] = STATE(81),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(81),
    [sym_displayed_equation] = STATE(81),
    [sym_inline_formula] = STATE(81),
    [sym_math_delimiter] = STATE(81),
    [sym_text_mode] = STATE(81),
    [sym_begin] = STATE(71),
    [sym_end] = STATE(1287),
    [sym_generic_environment] = STATE(81),
    [sym_comment_environment] = STATE(81),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(81),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(81),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(81),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(81),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(81),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(81),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(81),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(81),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(81),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(81),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(81),
    [sym_generic_command] = STATE(81),
    [sym_title_declaration] = STATE(81),
    [sym_author_declaration] = STATE(81),
    [sym_package_include] = STATE(81),
    [sym_class_include] = STATE(81),
    [sym_latex_include] = STATE(81),
    [sym_biblatex_include] = STATE(81),
    [sym_bibstyle_include] = STATE(81),
    [sym_bibtex_include] = STATE(81),
    [sym_graphics_include] = STATE(81),
    [sym_svg_include] = STATE(81),
    [sym_inkscape_include] = STATE(81),
    [sym_verbatim_include] = STATE(81),
    [sym_import_include] = STATE(81),
    [sym_caption] = STATE(81),
    [sym_citation] = STATE(81),
    [sym_label_definition] = STATE(81),
    [sym_label_reference] = STATE(81),
    [sym_label_reference_range] = STATE(81),
    [sym_label_number] = STATE(81),
    [sym_new_command_definition] = STATE(81),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(81),
    [sym_let_command_definition] = STATE(81),
    [sym_paired_delimiter_definition] = STATE(81),
    [sym_environment_definition] = STATE(81),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(81),
    [sym_glossary_entry_reference] = STATE(81),
    [sym_acronym_definition] = STATE(81),
    [sym_acronym_reference] = STATE(81),
    [sym_theorem_definition] = STATE(81),
    [sym_color_definition] = STATE(81),
    [sym_color_set_definition] = STATE(81),
    [sym_color_reference] = STATE(81),
    [sym_tikz_library_import] = STATE(81),
    [sym_hyperlink] = STATE(81),
    [aux_sym_source_file_repeat1] = STATE(81),
    [aux_sym__section_repeat1] = STATE(795),
    [aux_sym__section_repeat2] = STATE(796),
    [aux_sym__section_repeat3] = STATE(797),
    [aux_sym__section_repeat4] = STATE(798),
    [aux_sym__section_repeat5] = STATE(799),
    [aux_sym__paragraph_repeat1] = STATE(800),
    [aux_sym__paragraph_repeat2] = STATE(801),
    [aux_sym__paragraph_repeat3] = STATE(802),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(828),
    [anon_sym_RBRACK] = ACTIONS(828),
    [anon_sym_COMMA] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(828),
    [anon_sym_LPAREN] = ACTIONS(828),
    [anon_sym_RPAREN] = ACTIONS(828),
    [anon_sym_BSLASHpart] = ACTIONS(680),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHaddpart] = ACTIONS(680),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHchapter] = ACTIONS(684),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(686),
    [anon_sym_BSLASHaddchap] = ACTIONS(684),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(686),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(704),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(706),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(832),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [49] = {
    [sym_block_comment] = STATE(97),
    [sym__root_content] = STATE(97),
    [sym__flat_content] = STATE(97),
    [sym__text_with_env_content] = STATE(97),
    [sym__text_content] = STATE(97),
    [sym__section] = STATE(97),
    [sym__paragraph] = STATE(97),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(97),
    [sym_text] = STATE(97),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(97),
    [sym_displayed_equation] = STATE(97),
    [sym_inline_formula] = STATE(97),
    [sym_math_delimiter] = STATE(97),
    [sym_text_mode] = STATE(97),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(97),
    [sym_comment_environment] = STATE(97),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(97),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(97),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(97),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(97),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(97),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(97),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(97),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(97),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(97),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(97),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(97),
    [sym_generic_command] = STATE(97),
    [sym_title_declaration] = STATE(97),
    [sym_author_declaration] = STATE(97),
    [sym_package_include] = STATE(97),
    [sym_class_include] = STATE(97),
    [sym_latex_include] = STATE(97),
    [sym_biblatex_include] = STATE(97),
    [sym_bibstyle_include] = STATE(97),
    [sym_bibtex_include] = STATE(97),
    [sym_graphics_include] = STATE(97),
    [sym_svg_include] = STATE(97),
    [sym_inkscape_include] = STATE(97),
    [sym_verbatim_include] = STATE(97),
    [sym_import_include] = STATE(97),
    [sym_caption] = STATE(97),
    [sym_citation] = STATE(97),
    [sym_label_definition] = STATE(97),
    [sym_label_reference] = STATE(97),
    [sym_label_reference_range] = STATE(97),
    [sym_label_number] = STATE(97),
    [sym_new_command_definition] = STATE(97),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(97),
    [sym_let_command_definition] = STATE(97),
    [sym_paired_delimiter_definition] = STATE(97),
    [sym_environment_definition] = STATE(97),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(97),
    [sym_glossary_entry_reference] = STATE(97),
    [sym_acronym_definition] = STATE(97),
    [sym_acronym_reference] = STATE(97),
    [sym_theorem_definition] = STATE(97),
    [sym_color_definition] = STATE(97),
    [sym_color_set_definition] = STATE(97),
    [sym_color_reference] = STATE(97),
    [sym_tikz_library_import] = STATE(97),
    [sym_hyperlink] = STATE(97),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(169),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(606),
    [anon_sym_RBRACK] = ACTIONS(606),
    [anon_sym_COMMA] = ACTIONS(606),
    [anon_sym_EQ] = ACTIONS(171),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_RBRACE] = ACTIONS(171),
    [sym_word] = ACTIONS(169),
    [sym_placeholder] = ACTIONS(171),
    [sym_delimiter] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_STAR] = ACTIONS(171),
    [anon_sym_SLASH] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(169),
    [anon_sym_GT] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_PIPE] = ACTIONS(169),
    [anon_sym_COLON] = ACTIONS(169),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym__] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(171),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(171),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(171),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(161),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(171),
    [anon_sym_BSLASHleft] = ACTIONS(169),
    [anon_sym_BSLASHbigl] = ACTIONS(169),
    [anon_sym_BSLASHBigl] = ACTIONS(169),
    [anon_sym_BSLASHbiggl] = ACTIONS(169),
    [anon_sym_BSLASHBiggl] = ACTIONS(169),
    [anon_sym_BSLASHtext] = ACTIONS(169),
    [anon_sym_BSLASHintertext] = ACTIONS(169),
    [anon_sym_BSLASHshortintertext] = ACTIONS(169),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(169),
    [anon_sym_BSLASHauthor] = ACTIONS(169),
    [anon_sym_BSLASHusepackage] = ACTIONS(169),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(169),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(169),
    [anon_sym_BSLASHinclude] = ACTIONS(169),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(169),
    [anon_sym_BSLASHinput] = ACTIONS(169),
    [anon_sym_BSLASHsubfile] = ACTIONS(169),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(169),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(169),
    [anon_sym_BSLASHbibliography] = ACTIONS(169),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(169),
    [anon_sym_BSLASHincludesvg] = ACTIONS(169),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(169),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(169),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(169),
    [anon_sym_BSLASHimport] = ACTIONS(169),
    [anon_sym_BSLASHsubimport] = ACTIONS(169),
    [anon_sym_BSLASHinputfrom] = ACTIONS(169),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(169),
    [anon_sym_BSLASHincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHcaption] = ACTIONS(169),
    [anon_sym_BSLASHcite] = ACTIONS(169),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCite] = ACTIONS(169),
    [anon_sym_BSLASHnocite] = ACTIONS(169),
    [anon_sym_BSLASHcitet] = ACTIONS(169),
    [anon_sym_BSLASHcitep] = ACTIONS(169),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteA] = ACTIONS(169),
    [anon_sym_BSLASHciteR] = ACTIONS(169),
    [anon_sym_BSLASHciteS] = ACTIONS(169),
    [anon_sym_BSLASHciteyearR] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(169),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitetitle] = ACTIONS(169),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteyear] = ACTIONS(169),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitedate] = ACTIONS(169),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteurl] = ACTIONS(169),
    [anon_sym_BSLASHfullcite] = ACTIONS(169),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(169),
    [anon_sym_BSLASHcitealt] = ACTIONS(169),
    [anon_sym_BSLASHcitealp] = ACTIONS(169),
    [anon_sym_BSLASHcitetext] = ACTIONS(169),
    [anon_sym_BSLASHparencite] = ACTIONS(169),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHParencite] = ACTIONS(169),
    [anon_sym_BSLASHfootcite] = ACTIONS(169),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(169),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(169),
    [anon_sym_BSLASHtextcite] = ACTIONS(169),
    [anon_sym_BSLASHTextcite] = ACTIONS(169),
    [anon_sym_BSLASHsmartcite] = ACTIONS(169),
    [anon_sym_BSLASHSmartcite] = ACTIONS(169),
    [anon_sym_BSLASHsupercite] = ACTIONS(169),
    [anon_sym_BSLASHautocite] = ACTIONS(169),
    [anon_sym_BSLASHAutocite] = ACTIONS(169),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHvolcite] = ACTIONS(169),
    [anon_sym_BSLASHVolcite] = ACTIONS(169),
    [anon_sym_BSLASHpvolcite] = ACTIONS(169),
    [anon_sym_BSLASHPvolcite] = ACTIONS(169),
    [anon_sym_BSLASHfvolcite] = ACTIONS(169),
    [anon_sym_BSLASHftvolcite] = ACTIONS(169),
    [anon_sym_BSLASHsvolcite] = ACTIONS(169),
    [anon_sym_BSLASHSvolcite] = ACTIONS(169),
    [anon_sym_BSLASHtvolcite] = ACTIONS(169),
    [anon_sym_BSLASHTvolcite] = ACTIONS(169),
    [anon_sym_BSLASHavolcite] = ACTIONS(169),
    [anon_sym_BSLASHAvolcite] = ACTIONS(169),
    [anon_sym_BSLASHnotecite] = ACTIONS(169),
    [anon_sym_BSLASHNotecite] = ACTIONS(169),
    [anon_sym_BSLASHpnotecite] = ACTIONS(169),
    [anon_sym_BSLASHPnotecite] = ACTIONS(169),
    [anon_sym_BSLASHfnotecite] = ACTIONS(169),
    [anon_sym_BSLASHlabel] = ACTIONS(169),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHeqref] = ACTIONS(169),
    [anon_sym_BSLASHvref] = ACTIONS(169),
    [anon_sym_BSLASHVref] = ACTIONS(169),
    [anon_sym_BSLASHautoref] = ACTIONS(169),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHpageref] = ACTIONS(169),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHautopageref] = ACTIONS(169),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcref] = ACTIONS(169),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCref] = ACTIONS(169),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpageref] = ACTIONS(169),
    [anon_sym_BSLASHCpageref] = ACTIONS(169),
    [anon_sym_BSLASHnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnameCref] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcrefrange] = ACTIONS(169),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCrefrange] = ACTIONS(169),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHnewlabel] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(169),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(169),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(169),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(171),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHdef] = ACTIONS(169),
    [anon_sym_BSLASHgdef] = ACTIONS(169),
    [anon_sym_BSLASHedef] = ACTIONS(169),
    [anon_sym_BSLASHxdef] = ACTIONS(169),
    [anon_sym_BSLASHlet] = ACTIONS(169),
    [anon_sym_BSLASHglet] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(169),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(169),
    [anon_sym_BSLASHgls] = ACTIONS(169),
    [anon_sym_BSLASHGls] = ACTIONS(169),
    [anon_sym_BSLASHGLS] = ACTIONS(169),
    [anon_sym_BSLASHglspl] = ACTIONS(169),
    [anon_sym_BSLASHGlspl] = ACTIONS(169),
    [anon_sym_BSLASHGLSpl] = ACTIONS(169),
    [anon_sym_BSLASHglsdisp] = ACTIONS(169),
    [anon_sym_BSLASHglslink] = ACTIONS(169),
    [anon_sym_BSLASHglstext] = ACTIONS(169),
    [anon_sym_BSLASHGlstext] = ACTIONS(169),
    [anon_sym_BSLASHGLStext] = ACTIONS(169),
    [anon_sym_BSLASHglsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(169),
    [anon_sym_BSLASHglsplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSplural] = ACTIONS(169),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHglsname] = ACTIONS(169),
    [anon_sym_BSLASHGlsname] = ACTIONS(169),
    [anon_sym_BSLASHGLSname] = ACTIONS(169),
    [anon_sym_BSLASHglssymbol] = ACTIONS(169),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(169),
    [anon_sym_BSLASHglsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(169),
    [anon_sym_BSLASHglsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(169),
    [anon_sym_BSLASHglsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(169),
    [anon_sym_BSLASHglsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(169),
    [anon_sym_BSLASHglsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(169),
    [anon_sym_BSLASHnewacronym] = ACTIONS(169),
    [anon_sym_BSLASHacrshort] = ACTIONS(169),
    [anon_sym_BSLASHAcrshort] = ACTIONS(169),
    [anon_sym_BSLASHACRshort] = ACTIONS(169),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(169),
    [anon_sym_BSLASHacrlong] = ACTIONS(169),
    [anon_sym_BSLASHAcrlong] = ACTIONS(169),
    [anon_sym_BSLASHACRlong] = ACTIONS(169),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(169),
    [anon_sym_BSLASHacrfull] = ACTIONS(169),
    [anon_sym_BSLASHAcrfull] = ACTIONS(169),
    [anon_sym_BSLASHACRfull] = ACTIONS(169),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(169),
    [anon_sym_BSLASHacs] = ACTIONS(169),
    [anon_sym_BSLASHAcs] = ACTIONS(169),
    [anon_sym_BSLASHacsp] = ACTIONS(169),
    [anon_sym_BSLASHAcsp] = ACTIONS(169),
    [anon_sym_BSLASHacl] = ACTIONS(169),
    [anon_sym_BSLASHAcl] = ACTIONS(169),
    [anon_sym_BSLASHaclp] = ACTIONS(169),
    [anon_sym_BSLASHAclp] = ACTIONS(169),
    [anon_sym_BSLASHacf] = ACTIONS(169),
    [anon_sym_BSLASHAcf] = ACTIONS(169),
    [anon_sym_BSLASHacfp] = ACTIONS(169),
    [anon_sym_BSLASHAcfp] = ACTIONS(169),
    [anon_sym_BSLASHac] = ACTIONS(169),
    [anon_sym_BSLASHAc] = ACTIONS(169),
    [anon_sym_BSLASHacp] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(169),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(169),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(169),
    [anon_sym_BSLASHcolor] = ACTIONS(169),
    [anon_sym_BSLASHpagecolor] = ACTIONS(169),
    [anon_sym_BSLASHtextcolor] = ACTIONS(169),
    [anon_sym_BSLASHmathcolor] = ACTIONS(169),
    [anon_sym_BSLASHcolorbox] = ACTIONS(169),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(169),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(169),
    [anon_sym_BSLASHurl] = ACTIONS(169),
    [anon_sym_BSLASHhref] = ACTIONS(169),
  },
  [50] = {
    [sym_block_comment] = STATE(81),
    [sym__root_content] = STATE(81),
    [sym__flat_content] = STATE(81),
    [sym__text_with_env_content] = STATE(81),
    [sym__text_content] = STATE(81),
    [sym__section] = STATE(81),
    [sym__paragraph] = STATE(81),
    [sym__part_declaration] = STATE(163),
    [sym_part] = STATE(795),
    [sym__chapter_declaration] = STATE(173),
    [sym_chapter] = STATE(796),
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(797),
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(798),
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(799),
    [sym__paragraph_declaration] = STATE(213),
    [sym_paragraph] = STATE(800),
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(801),
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(802),
    [sym_curly_group] = STATE(81),
    [sym_text] = STATE(81),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(81),
    [sym_displayed_equation] = STATE(81),
    [sym_inline_formula] = STATE(81),
    [sym_math_delimiter] = STATE(81),
    [sym_text_mode] = STATE(81),
    [sym_begin] = STATE(71),
    [sym_end] = STATE(1220),
    [sym_generic_environment] = STATE(81),
    [sym_comment_environment] = STATE(81),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(81),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(81),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(81),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(81),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(81),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(81),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(81),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(81),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(81),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(81),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(81),
    [sym_generic_command] = STATE(81),
    [sym_title_declaration] = STATE(81),
    [sym_author_declaration] = STATE(81),
    [sym_package_include] = STATE(81),
    [sym_class_include] = STATE(81),
    [sym_latex_include] = STATE(81),
    [sym_biblatex_include] = STATE(81),
    [sym_bibstyle_include] = STATE(81),
    [sym_bibtex_include] = STATE(81),
    [sym_graphics_include] = STATE(81),
    [sym_svg_include] = STATE(81),
    [sym_inkscape_include] = STATE(81),
    [sym_verbatim_include] = STATE(81),
    [sym_import_include] = STATE(81),
    [sym_caption] = STATE(81),
    [sym_citation] = STATE(81),
    [sym_label_definition] = STATE(81),
    [sym_label_reference] = STATE(81),
    [sym_label_reference_range] = STATE(81),
    [sym_label_number] = STATE(81),
    [sym_new_command_definition] = STATE(81),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(81),
    [sym_let_command_definition] = STATE(81),
    [sym_paired_delimiter_definition] = STATE(81),
    [sym_environment_definition] = STATE(81),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(81),
    [sym_glossary_entry_reference] = STATE(81),
    [sym_acronym_definition] = STATE(81),
    [sym_acronym_reference] = STATE(81),
    [sym_theorem_definition] = STATE(81),
    [sym_color_definition] = STATE(81),
    [sym_color_set_definition] = STATE(81),
    [sym_color_reference] = STATE(81),
    [sym_tikz_library_import] = STATE(81),
    [sym_hyperlink] = STATE(81),
    [aux_sym_source_file_repeat1] = STATE(81),
    [aux_sym__section_repeat1] = STATE(795),
    [aux_sym__section_repeat2] = STATE(796),
    [aux_sym__section_repeat3] = STATE(797),
    [aux_sym__section_repeat4] = STATE(798),
    [aux_sym__section_repeat5] = STATE(799),
    [aux_sym__paragraph_repeat1] = STATE(800),
    [aux_sym__paragraph_repeat2] = STATE(801),
    [aux_sym__paragraph_repeat3] = STATE(802),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(828),
    [anon_sym_RBRACK] = ACTIONS(828),
    [anon_sym_COMMA] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(828),
    [anon_sym_LPAREN] = ACTIONS(828),
    [anon_sym_RPAREN] = ACTIONS(828),
    [anon_sym_BSLASHpart] = ACTIONS(680),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHaddpart] = ACTIONS(680),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHchapter] = ACTIONS(684),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(686),
    [anon_sym_BSLASHaddchap] = ACTIONS(684),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(686),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(704),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(706),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(834),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [51] = {
    [sym_block_comment] = STATE(52),
    [sym__root_content] = STATE(52),
    [sym__flat_content] = STATE(52),
    [sym__text_with_env_content] = STATE(52),
    [sym__text_content] = STATE(52),
    [sym__section] = STATE(52),
    [sym__paragraph] = STATE(52),
    [sym__part_declaration] = STATE(163),
    [sym_part] = STATE(795),
    [sym__chapter_declaration] = STATE(173),
    [sym_chapter] = STATE(796),
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(797),
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(798),
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(799),
    [sym__paragraph_declaration] = STATE(213),
    [sym_paragraph] = STATE(800),
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(801),
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(802),
    [sym_curly_group] = STATE(52),
    [sym_text] = STATE(52),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(52),
    [sym_displayed_equation] = STATE(52),
    [sym_inline_formula] = STATE(52),
    [sym_math_delimiter] = STATE(52),
    [sym_text_mode] = STATE(52),
    [sym_begin] = STATE(71),
    [sym_end] = STATE(1681),
    [sym_generic_environment] = STATE(52),
    [sym_comment_environment] = STATE(52),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(52),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(52),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(52),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(52),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(52),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(52),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(52),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(52),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(52),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(52),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(52),
    [sym_generic_command] = STATE(52),
    [sym_title_declaration] = STATE(52),
    [sym_author_declaration] = STATE(52),
    [sym_package_include] = STATE(52),
    [sym_class_include] = STATE(52),
    [sym_latex_include] = STATE(52),
    [sym_biblatex_include] = STATE(52),
    [sym_bibstyle_include] = STATE(52),
    [sym_bibtex_include] = STATE(52),
    [sym_graphics_include] = STATE(52),
    [sym_svg_include] = STATE(52),
    [sym_inkscape_include] = STATE(52),
    [sym_verbatim_include] = STATE(52),
    [sym_import_include] = STATE(52),
    [sym_caption] = STATE(52),
    [sym_citation] = STATE(52),
    [sym_label_definition] = STATE(52),
    [sym_label_reference] = STATE(52),
    [sym_label_reference_range] = STATE(52),
    [sym_label_number] = STATE(52),
    [sym_new_command_definition] = STATE(52),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(52),
    [sym_let_command_definition] = STATE(52),
    [sym_paired_delimiter_definition] = STATE(52),
    [sym_environment_definition] = STATE(52),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(52),
    [sym_glossary_entry_reference] = STATE(52),
    [sym_acronym_definition] = STATE(52),
    [sym_acronym_reference] = STATE(52),
    [sym_theorem_definition] = STATE(52),
    [sym_color_definition] = STATE(52),
    [sym_color_set_definition] = STATE(52),
    [sym_color_reference] = STATE(52),
    [sym_tikz_library_import] = STATE(52),
    [sym_hyperlink] = STATE(52),
    [aux_sym_source_file_repeat1] = STATE(52),
    [aux_sym__section_repeat1] = STATE(795),
    [aux_sym__section_repeat2] = STATE(796),
    [aux_sym__section_repeat3] = STATE(797),
    [aux_sym__section_repeat4] = STATE(798),
    [aux_sym__section_repeat5] = STATE(799),
    [aux_sym__paragraph_repeat1] = STATE(800),
    [aux_sym__paragraph_repeat2] = STATE(801),
    [aux_sym__paragraph_repeat3] = STATE(802),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(836),
    [anon_sym_RBRACK] = ACTIONS(836),
    [anon_sym_COMMA] = ACTIONS(836),
    [anon_sym_EQ] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(836),
    [anon_sym_RPAREN] = ACTIONS(836),
    [anon_sym_BSLASHpart] = ACTIONS(680),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHaddpart] = ACTIONS(680),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHchapter] = ACTIONS(684),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(686),
    [anon_sym_BSLASHaddchap] = ACTIONS(684),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(686),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(704),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(706),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(838),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [52] = {
    [sym_block_comment] = STATE(81),
    [sym__root_content] = STATE(81),
    [sym__flat_content] = STATE(81),
    [sym__text_with_env_content] = STATE(81),
    [sym__text_content] = STATE(81),
    [sym__section] = STATE(81),
    [sym__paragraph] = STATE(81),
    [sym__part_declaration] = STATE(163),
    [sym_part] = STATE(795),
    [sym__chapter_declaration] = STATE(173),
    [sym_chapter] = STATE(796),
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(797),
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(798),
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(799),
    [sym__paragraph_declaration] = STATE(213),
    [sym_paragraph] = STATE(800),
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(801),
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(802),
    [sym_curly_group] = STATE(81),
    [sym_text] = STATE(81),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(81),
    [sym_displayed_equation] = STATE(81),
    [sym_inline_formula] = STATE(81),
    [sym_math_delimiter] = STATE(81),
    [sym_text_mode] = STATE(81),
    [sym_begin] = STATE(71),
    [sym_end] = STATE(1755),
    [sym_generic_environment] = STATE(81),
    [sym_comment_environment] = STATE(81),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(81),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(81),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(81),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(81),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(81),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(81),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(81),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(81),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(81),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(81),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(81),
    [sym_generic_command] = STATE(81),
    [sym_title_declaration] = STATE(81),
    [sym_author_declaration] = STATE(81),
    [sym_package_include] = STATE(81),
    [sym_class_include] = STATE(81),
    [sym_latex_include] = STATE(81),
    [sym_biblatex_include] = STATE(81),
    [sym_bibstyle_include] = STATE(81),
    [sym_bibtex_include] = STATE(81),
    [sym_graphics_include] = STATE(81),
    [sym_svg_include] = STATE(81),
    [sym_inkscape_include] = STATE(81),
    [sym_verbatim_include] = STATE(81),
    [sym_import_include] = STATE(81),
    [sym_caption] = STATE(81),
    [sym_citation] = STATE(81),
    [sym_label_definition] = STATE(81),
    [sym_label_reference] = STATE(81),
    [sym_label_reference_range] = STATE(81),
    [sym_label_number] = STATE(81),
    [sym_new_command_definition] = STATE(81),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(81),
    [sym_let_command_definition] = STATE(81),
    [sym_paired_delimiter_definition] = STATE(81),
    [sym_environment_definition] = STATE(81),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(81),
    [sym_glossary_entry_reference] = STATE(81),
    [sym_acronym_definition] = STATE(81),
    [sym_acronym_reference] = STATE(81),
    [sym_theorem_definition] = STATE(81),
    [sym_color_definition] = STATE(81),
    [sym_color_set_definition] = STATE(81),
    [sym_color_reference] = STATE(81),
    [sym_tikz_library_import] = STATE(81),
    [sym_hyperlink] = STATE(81),
    [aux_sym_source_file_repeat1] = STATE(81),
    [aux_sym__section_repeat1] = STATE(795),
    [aux_sym__section_repeat2] = STATE(796),
    [aux_sym__section_repeat3] = STATE(797),
    [aux_sym__section_repeat4] = STATE(798),
    [aux_sym__section_repeat5] = STATE(799),
    [aux_sym__paragraph_repeat1] = STATE(800),
    [aux_sym__paragraph_repeat2] = STATE(801),
    [aux_sym__paragraph_repeat3] = STATE(802),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(828),
    [anon_sym_RBRACK] = ACTIONS(828),
    [anon_sym_COMMA] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(828),
    [anon_sym_LPAREN] = ACTIONS(828),
    [anon_sym_RPAREN] = ACTIONS(828),
    [anon_sym_BSLASHpart] = ACTIONS(680),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHaddpart] = ACTIONS(680),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHchapter] = ACTIONS(684),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(686),
    [anon_sym_BSLASHaddchap] = ACTIONS(684),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(686),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(704),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(706),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(838),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [53] = {
    [sym_block_comment] = STATE(54),
    [sym__root_content] = STATE(54),
    [sym__flat_content] = STATE(54),
    [sym__text_with_env_content] = STATE(54),
    [sym__text_content] = STATE(54),
    [sym__section] = STATE(54),
    [sym__paragraph] = STATE(54),
    [sym__part_declaration] = STATE(163),
    [sym_part] = STATE(795),
    [sym__chapter_declaration] = STATE(173),
    [sym_chapter] = STATE(796),
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(797),
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(798),
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(799),
    [sym__paragraph_declaration] = STATE(213),
    [sym_paragraph] = STATE(800),
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(801),
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(802),
    [sym_curly_group] = STATE(54),
    [sym_text] = STATE(54),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(54),
    [sym_displayed_equation] = STATE(54),
    [sym_inline_formula] = STATE(54),
    [sym_math_delimiter] = STATE(54),
    [sym_text_mode] = STATE(54),
    [sym_begin] = STATE(71),
    [sym_end] = STATE(1839),
    [sym_generic_environment] = STATE(54),
    [sym_comment_environment] = STATE(54),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(54),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(54),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(54),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(54),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(54),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(54),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(54),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(54),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(54),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(54),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(54),
    [sym_generic_command] = STATE(54),
    [sym_title_declaration] = STATE(54),
    [sym_author_declaration] = STATE(54),
    [sym_package_include] = STATE(54),
    [sym_class_include] = STATE(54),
    [sym_latex_include] = STATE(54),
    [sym_biblatex_include] = STATE(54),
    [sym_bibstyle_include] = STATE(54),
    [sym_bibtex_include] = STATE(54),
    [sym_graphics_include] = STATE(54),
    [sym_svg_include] = STATE(54),
    [sym_inkscape_include] = STATE(54),
    [sym_verbatim_include] = STATE(54),
    [sym_import_include] = STATE(54),
    [sym_caption] = STATE(54),
    [sym_citation] = STATE(54),
    [sym_label_definition] = STATE(54),
    [sym_label_reference] = STATE(54),
    [sym_label_reference_range] = STATE(54),
    [sym_label_number] = STATE(54),
    [sym_new_command_definition] = STATE(54),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(54),
    [sym_let_command_definition] = STATE(54),
    [sym_paired_delimiter_definition] = STATE(54),
    [sym_environment_definition] = STATE(54),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(54),
    [sym_glossary_entry_reference] = STATE(54),
    [sym_acronym_definition] = STATE(54),
    [sym_acronym_reference] = STATE(54),
    [sym_theorem_definition] = STATE(54),
    [sym_color_definition] = STATE(54),
    [sym_color_set_definition] = STATE(54),
    [sym_color_reference] = STATE(54),
    [sym_tikz_library_import] = STATE(54),
    [sym_hyperlink] = STATE(54),
    [aux_sym_source_file_repeat1] = STATE(54),
    [aux_sym__section_repeat1] = STATE(795),
    [aux_sym__section_repeat2] = STATE(796),
    [aux_sym__section_repeat3] = STATE(797),
    [aux_sym__section_repeat4] = STATE(798),
    [aux_sym__section_repeat5] = STATE(799),
    [aux_sym__paragraph_repeat1] = STATE(800),
    [aux_sym__paragraph_repeat2] = STATE(801),
    [aux_sym__paragraph_repeat3] = STATE(802),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(840),
    [anon_sym_RBRACK] = ACTIONS(840),
    [anon_sym_COMMA] = ACTIONS(840),
    [anon_sym_EQ] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(840),
    [anon_sym_RPAREN] = ACTIONS(840),
    [anon_sym_BSLASHpart] = ACTIONS(680),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHaddpart] = ACTIONS(680),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHchapter] = ACTIONS(684),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(686),
    [anon_sym_BSLASHaddchap] = ACTIONS(684),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(686),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(704),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(706),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(842),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [54] = {
    [sym_block_comment] = STATE(81),
    [sym__root_content] = STATE(81),
    [sym__flat_content] = STATE(81),
    [sym__text_with_env_content] = STATE(81),
    [sym__text_content] = STATE(81),
    [sym__section] = STATE(81),
    [sym__paragraph] = STATE(81),
    [sym__part_declaration] = STATE(163),
    [sym_part] = STATE(795),
    [sym__chapter_declaration] = STATE(173),
    [sym_chapter] = STATE(796),
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(797),
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(798),
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(799),
    [sym__paragraph_declaration] = STATE(213),
    [sym_paragraph] = STATE(800),
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(801),
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(802),
    [sym_curly_group] = STATE(81),
    [sym_text] = STATE(81),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(81),
    [sym_displayed_equation] = STATE(81),
    [sym_inline_formula] = STATE(81),
    [sym_math_delimiter] = STATE(81),
    [sym_text_mode] = STATE(81),
    [sym_begin] = STATE(71),
    [sym_end] = STATE(1871),
    [sym_generic_environment] = STATE(81),
    [sym_comment_environment] = STATE(81),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(81),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(81),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(81),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(81),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(81),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(81),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(81),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(81),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(81),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(81),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(81),
    [sym_generic_command] = STATE(81),
    [sym_title_declaration] = STATE(81),
    [sym_author_declaration] = STATE(81),
    [sym_package_include] = STATE(81),
    [sym_class_include] = STATE(81),
    [sym_latex_include] = STATE(81),
    [sym_biblatex_include] = STATE(81),
    [sym_bibstyle_include] = STATE(81),
    [sym_bibtex_include] = STATE(81),
    [sym_graphics_include] = STATE(81),
    [sym_svg_include] = STATE(81),
    [sym_inkscape_include] = STATE(81),
    [sym_verbatim_include] = STATE(81),
    [sym_import_include] = STATE(81),
    [sym_caption] = STATE(81),
    [sym_citation] = STATE(81),
    [sym_label_definition] = STATE(81),
    [sym_label_reference] = STATE(81),
    [sym_label_reference_range] = STATE(81),
    [sym_label_number] = STATE(81),
    [sym_new_command_definition] = STATE(81),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(81),
    [sym_let_command_definition] = STATE(81),
    [sym_paired_delimiter_definition] = STATE(81),
    [sym_environment_definition] = STATE(81),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(81),
    [sym_glossary_entry_reference] = STATE(81),
    [sym_acronym_definition] = STATE(81),
    [sym_acronym_reference] = STATE(81),
    [sym_theorem_definition] = STATE(81),
    [sym_color_definition] = STATE(81),
    [sym_color_set_definition] = STATE(81),
    [sym_color_reference] = STATE(81),
    [sym_tikz_library_import] = STATE(81),
    [sym_hyperlink] = STATE(81),
    [aux_sym_source_file_repeat1] = STATE(81),
    [aux_sym__section_repeat1] = STATE(795),
    [aux_sym__section_repeat2] = STATE(796),
    [aux_sym__section_repeat3] = STATE(797),
    [aux_sym__section_repeat4] = STATE(798),
    [aux_sym__section_repeat5] = STATE(799),
    [aux_sym__paragraph_repeat1] = STATE(800),
    [aux_sym__paragraph_repeat2] = STATE(801),
    [aux_sym__paragraph_repeat3] = STATE(802),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(828),
    [anon_sym_RBRACK] = ACTIONS(828),
    [anon_sym_COMMA] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(828),
    [anon_sym_LPAREN] = ACTIONS(828),
    [anon_sym_RPAREN] = ACTIONS(828),
    [anon_sym_BSLASHpart] = ACTIONS(680),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHaddpart] = ACTIONS(680),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHchapter] = ACTIONS(684),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(686),
    [anon_sym_BSLASHaddchap] = ACTIONS(684),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(686),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(704),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(706),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(842),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [55] = {
    [sym_block_comment] = STATE(56),
    [sym__root_content] = STATE(56),
    [sym__flat_content] = STATE(56),
    [sym__text_with_env_content] = STATE(56),
    [sym__text_content] = STATE(56),
    [sym__section] = STATE(56),
    [sym__paragraph] = STATE(56),
    [sym__part_declaration] = STATE(163),
    [sym_part] = STATE(795),
    [sym__chapter_declaration] = STATE(173),
    [sym_chapter] = STATE(796),
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(797),
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(798),
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(799),
    [sym__paragraph_declaration] = STATE(213),
    [sym_paragraph] = STATE(800),
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(801),
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(802),
    [sym_curly_group] = STATE(56),
    [sym_text] = STATE(56),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(56),
    [sym_displayed_equation] = STATE(56),
    [sym_inline_formula] = STATE(56),
    [sym_math_delimiter] = STATE(56),
    [sym_text_mode] = STATE(56),
    [sym_begin] = STATE(71),
    [sym_end] = STATE(590),
    [sym_generic_environment] = STATE(56),
    [sym_comment_environment] = STATE(56),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(56),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(56),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(56),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(56),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(56),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(56),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(56),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(56),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(56),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(56),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(56),
    [sym_generic_command] = STATE(56),
    [sym_title_declaration] = STATE(56),
    [sym_author_declaration] = STATE(56),
    [sym_package_include] = STATE(56),
    [sym_class_include] = STATE(56),
    [sym_latex_include] = STATE(56),
    [sym_biblatex_include] = STATE(56),
    [sym_bibstyle_include] = STATE(56),
    [sym_bibtex_include] = STATE(56),
    [sym_graphics_include] = STATE(56),
    [sym_svg_include] = STATE(56),
    [sym_inkscape_include] = STATE(56),
    [sym_verbatim_include] = STATE(56),
    [sym_import_include] = STATE(56),
    [sym_caption] = STATE(56),
    [sym_citation] = STATE(56),
    [sym_label_definition] = STATE(56),
    [sym_label_reference] = STATE(56),
    [sym_label_reference_range] = STATE(56),
    [sym_label_number] = STATE(56),
    [sym_new_command_definition] = STATE(56),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(56),
    [sym_let_command_definition] = STATE(56),
    [sym_paired_delimiter_definition] = STATE(56),
    [sym_environment_definition] = STATE(56),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(56),
    [sym_glossary_entry_reference] = STATE(56),
    [sym_acronym_definition] = STATE(56),
    [sym_acronym_reference] = STATE(56),
    [sym_theorem_definition] = STATE(56),
    [sym_color_definition] = STATE(56),
    [sym_color_set_definition] = STATE(56),
    [sym_color_reference] = STATE(56),
    [sym_tikz_library_import] = STATE(56),
    [sym_hyperlink] = STATE(56),
    [aux_sym_source_file_repeat1] = STATE(56),
    [aux_sym__section_repeat1] = STATE(795),
    [aux_sym__section_repeat2] = STATE(796),
    [aux_sym__section_repeat3] = STATE(797),
    [aux_sym__section_repeat4] = STATE(798),
    [aux_sym__section_repeat5] = STATE(799),
    [aux_sym__paragraph_repeat1] = STATE(800),
    [aux_sym__paragraph_repeat2] = STATE(801),
    [aux_sym__paragraph_repeat3] = STATE(802),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(844),
    [anon_sym_RBRACK] = ACTIONS(844),
    [anon_sym_COMMA] = ACTIONS(844),
    [anon_sym_EQ] = ACTIONS(844),
    [anon_sym_LPAREN] = ACTIONS(844),
    [anon_sym_RPAREN] = ACTIONS(844),
    [anon_sym_BSLASHpart] = ACTIONS(680),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHaddpart] = ACTIONS(680),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHchapter] = ACTIONS(684),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(686),
    [anon_sym_BSLASHaddchap] = ACTIONS(684),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(686),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(704),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(706),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(846),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [56] = {
    [sym_block_comment] = STATE(81),
    [sym__root_content] = STATE(81),
    [sym__flat_content] = STATE(81),
    [sym__text_with_env_content] = STATE(81),
    [sym__text_content] = STATE(81),
    [sym__section] = STATE(81),
    [sym__paragraph] = STATE(81),
    [sym__part_declaration] = STATE(163),
    [sym_part] = STATE(795),
    [sym__chapter_declaration] = STATE(173),
    [sym_chapter] = STATE(796),
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(797),
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(798),
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(799),
    [sym__paragraph_declaration] = STATE(213),
    [sym_paragraph] = STATE(800),
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(801),
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(802),
    [sym_curly_group] = STATE(81),
    [sym_text] = STATE(81),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(81),
    [sym_displayed_equation] = STATE(81),
    [sym_inline_formula] = STATE(81),
    [sym_math_delimiter] = STATE(81),
    [sym_text_mode] = STATE(81),
    [sym_begin] = STATE(71),
    [sym_end] = STATE(596),
    [sym_generic_environment] = STATE(81),
    [sym_comment_environment] = STATE(81),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(81),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(81),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(81),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(81),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(81),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(81),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(81),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(81),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(81),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(81),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(81),
    [sym_generic_command] = STATE(81),
    [sym_title_declaration] = STATE(81),
    [sym_author_declaration] = STATE(81),
    [sym_package_include] = STATE(81),
    [sym_class_include] = STATE(81),
    [sym_latex_include] = STATE(81),
    [sym_biblatex_include] = STATE(81),
    [sym_bibstyle_include] = STATE(81),
    [sym_bibtex_include] = STATE(81),
    [sym_graphics_include] = STATE(81),
    [sym_svg_include] = STATE(81),
    [sym_inkscape_include] = STATE(81),
    [sym_verbatim_include] = STATE(81),
    [sym_import_include] = STATE(81),
    [sym_caption] = STATE(81),
    [sym_citation] = STATE(81),
    [sym_label_definition] = STATE(81),
    [sym_label_reference] = STATE(81),
    [sym_label_reference_range] = STATE(81),
    [sym_label_number] = STATE(81),
    [sym_new_command_definition] = STATE(81),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(81),
    [sym_let_command_definition] = STATE(81),
    [sym_paired_delimiter_definition] = STATE(81),
    [sym_environment_definition] = STATE(81),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(81),
    [sym_glossary_entry_reference] = STATE(81),
    [sym_acronym_definition] = STATE(81),
    [sym_acronym_reference] = STATE(81),
    [sym_theorem_definition] = STATE(81),
    [sym_color_definition] = STATE(81),
    [sym_color_set_definition] = STATE(81),
    [sym_color_reference] = STATE(81),
    [sym_tikz_library_import] = STATE(81),
    [sym_hyperlink] = STATE(81),
    [aux_sym_source_file_repeat1] = STATE(81),
    [aux_sym__section_repeat1] = STATE(795),
    [aux_sym__section_repeat2] = STATE(796),
    [aux_sym__section_repeat3] = STATE(797),
    [aux_sym__section_repeat4] = STATE(798),
    [aux_sym__section_repeat5] = STATE(799),
    [aux_sym__paragraph_repeat1] = STATE(800),
    [aux_sym__paragraph_repeat2] = STATE(801),
    [aux_sym__paragraph_repeat3] = STATE(802),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(828),
    [anon_sym_RBRACK] = ACTIONS(828),
    [anon_sym_COMMA] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(828),
    [anon_sym_LPAREN] = ACTIONS(828),
    [anon_sym_RPAREN] = ACTIONS(828),
    [anon_sym_BSLASHpart] = ACTIONS(680),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHaddpart] = ACTIONS(680),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHchapter] = ACTIONS(684),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(686),
    [anon_sym_BSLASHaddchap] = ACTIONS(684),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(686),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(704),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(706),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(846),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [57] = {
    [sym_block_comment] = STATE(104),
    [sym__root_content] = STATE(104),
    [sym__flat_content] = STATE(104),
    [sym__text_with_env_content] = STATE(104),
    [sym__text_content] = STATE(104),
    [sym__section] = STATE(104),
    [sym__paragraph] = STATE(104),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(104),
    [sym_text] = STATE(104),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(104),
    [sym_displayed_equation] = STATE(104),
    [sym_inline_formula] = STATE(104),
    [sym_math_delimiter] = STATE(104),
    [sym_text_mode] = STATE(104),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(104),
    [sym_comment_environment] = STATE(104),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(104),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(104),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(104),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(104),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(104),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(104),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(104),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(104),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(104),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(104),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(104),
    [sym_generic_command] = STATE(104),
    [sym_title_declaration] = STATE(104),
    [sym_author_declaration] = STATE(104),
    [sym_package_include] = STATE(104),
    [sym_class_include] = STATE(104),
    [sym_latex_include] = STATE(104),
    [sym_biblatex_include] = STATE(104),
    [sym_bibstyle_include] = STATE(104),
    [sym_bibtex_include] = STATE(104),
    [sym_graphics_include] = STATE(104),
    [sym_svg_include] = STATE(104),
    [sym_inkscape_include] = STATE(104),
    [sym_verbatim_include] = STATE(104),
    [sym_import_include] = STATE(104),
    [sym_caption] = STATE(104),
    [sym_citation] = STATE(104),
    [sym_label_definition] = STATE(104),
    [sym_label_reference] = STATE(104),
    [sym_label_reference_range] = STATE(104),
    [sym_label_number] = STATE(104),
    [sym_new_command_definition] = STATE(104),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(104),
    [sym_let_command_definition] = STATE(104),
    [sym_paired_delimiter_definition] = STATE(104),
    [sym_environment_definition] = STATE(104),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(104),
    [sym_glossary_entry_reference] = STATE(104),
    [sym_acronym_definition] = STATE(104),
    [sym_acronym_reference] = STATE(104),
    [sym_theorem_definition] = STATE(104),
    [sym_color_definition] = STATE(104),
    [sym_color_set_definition] = STATE(104),
    [sym_color_reference] = STATE(104),
    [sym_tikz_library_import] = STATE(104),
    [sym_hyperlink] = STATE(104),
    [aux_sym_source_file_repeat1] = STATE(104),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(163),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_RBRACK] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_RPAREN] = ACTIONS(165),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(165),
    [sym_word] = ACTIONS(163),
    [sym_placeholder] = ACTIONS(165),
    [sym_delimiter] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym__] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(165),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(163),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(165),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(167),
    [anon_sym_BSLASHleft] = ACTIONS(163),
    [anon_sym_BSLASHbigl] = ACTIONS(163),
    [anon_sym_BSLASHBigl] = ACTIONS(163),
    [anon_sym_BSLASHbiggl] = ACTIONS(163),
    [anon_sym_BSLASHBiggl] = ACTIONS(163),
    [anon_sym_BSLASHtext] = ACTIONS(163),
    [anon_sym_BSLASHintertext] = ACTIONS(163),
    [anon_sym_BSLASHshortintertext] = ACTIONS(163),
    [anon_sym_BSLASHbegin] = ACTIONS(163),
    [anon_sym_BSLASHend] = ACTIONS(163),
    [anon_sym_BSLASHtitle] = ACTIONS(163),
    [anon_sym_BSLASHauthor] = ACTIONS(163),
    [anon_sym_BSLASHusepackage] = ACTIONS(163),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(163),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(163),
    [anon_sym_BSLASHinclude] = ACTIONS(163),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(163),
    [anon_sym_BSLASHinput] = ACTIONS(163),
    [anon_sym_BSLASHsubfile] = ACTIONS(163),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(163),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(163),
    [anon_sym_BSLASHbibliography] = ACTIONS(163),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(163),
    [anon_sym_BSLASHincludesvg] = ACTIONS(163),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(163),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(163),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(163),
    [anon_sym_BSLASHimport] = ACTIONS(163),
    [anon_sym_BSLASHsubimport] = ACTIONS(163),
    [anon_sym_BSLASHinputfrom] = ACTIONS(163),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(163),
    [anon_sym_BSLASHincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHcaption] = ACTIONS(163),
    [anon_sym_BSLASHcite] = ACTIONS(163),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCite] = ACTIONS(163),
    [anon_sym_BSLASHnocite] = ACTIONS(163),
    [anon_sym_BSLASHcitet] = ACTIONS(163),
    [anon_sym_BSLASHcitep] = ACTIONS(163),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteA] = ACTIONS(163),
    [anon_sym_BSLASHciteR] = ACTIONS(163),
    [anon_sym_BSLASHciteS] = ACTIONS(163),
    [anon_sym_BSLASHciteyearR] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(163),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitetitle] = ACTIONS(163),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteyear] = ACTIONS(163),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitedate] = ACTIONS(163),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteurl] = ACTIONS(163),
    [anon_sym_BSLASHfullcite] = ACTIONS(163),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(163),
    [anon_sym_BSLASHcitealt] = ACTIONS(163),
    [anon_sym_BSLASHcitealp] = ACTIONS(163),
    [anon_sym_BSLASHcitetext] = ACTIONS(163),
    [anon_sym_BSLASHparencite] = ACTIONS(163),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHParencite] = ACTIONS(163),
    [anon_sym_BSLASHfootcite] = ACTIONS(163),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(163),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(163),
    [anon_sym_BSLASHtextcite] = ACTIONS(163),
    [anon_sym_BSLASHTextcite] = ACTIONS(163),
    [anon_sym_BSLASHsmartcite] = ACTIONS(163),
    [anon_sym_BSLASHSmartcite] = ACTIONS(163),
    [anon_sym_BSLASHsupercite] = ACTIONS(163),
    [anon_sym_BSLASHautocite] = ACTIONS(163),
    [anon_sym_BSLASHAutocite] = ACTIONS(163),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHvolcite] = ACTIONS(163),
    [anon_sym_BSLASHVolcite] = ACTIONS(163),
    [anon_sym_BSLASHpvolcite] = ACTIONS(163),
    [anon_sym_BSLASHPvolcite] = ACTIONS(163),
    [anon_sym_BSLASHfvolcite] = ACTIONS(163),
    [anon_sym_BSLASHftvolcite] = ACTIONS(163),
    [anon_sym_BSLASHsvolcite] = ACTIONS(163),
    [anon_sym_BSLASHSvolcite] = ACTIONS(163),
    [anon_sym_BSLASHtvolcite] = ACTIONS(163),
    [anon_sym_BSLASHTvolcite] = ACTIONS(163),
    [anon_sym_BSLASHavolcite] = ACTIONS(163),
    [anon_sym_BSLASHAvolcite] = ACTIONS(163),
    [anon_sym_BSLASHnotecite] = ACTIONS(163),
    [anon_sym_BSLASHNotecite] = ACTIONS(163),
    [anon_sym_BSLASHpnotecite] = ACTIONS(163),
    [anon_sym_BSLASHPnotecite] = ACTIONS(163),
    [anon_sym_BSLASHfnotecite] = ACTIONS(163),
    [anon_sym_BSLASHlabel] = ACTIONS(163),
    [anon_sym_BSLASHref] = ACTIONS(163),
    [anon_sym_BSLASHeqref] = ACTIONS(163),
    [anon_sym_BSLASHvref] = ACTIONS(163),
    [anon_sym_BSLASHVref] = ACTIONS(163),
    [anon_sym_BSLASHautoref] = ACTIONS(163),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHpageref] = ACTIONS(163),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHautopageref] = ACTIONS(163),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcref] = ACTIONS(163),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCref] = ACTIONS(163),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpageref] = ACTIONS(163),
    [anon_sym_BSLASHCpageref] = ACTIONS(163),
    [anon_sym_BSLASHnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnameCref] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcrefrange] = ACTIONS(163),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCrefrange] = ACTIONS(163),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHnewlabel] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(163),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(163),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(163),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(165),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHdef] = ACTIONS(163),
    [anon_sym_BSLASHgdef] = ACTIONS(163),
    [anon_sym_BSLASHedef] = ACTIONS(163),
    [anon_sym_BSLASHxdef] = ACTIONS(163),
    [anon_sym_BSLASHlet] = ACTIONS(163),
    [anon_sym_BSLASHglet] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(163),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(163),
    [anon_sym_BSLASHgls] = ACTIONS(163),
    [anon_sym_BSLASHGls] = ACTIONS(163),
    [anon_sym_BSLASHGLS] = ACTIONS(163),
    [anon_sym_BSLASHglspl] = ACTIONS(163),
    [anon_sym_BSLASHGlspl] = ACTIONS(163),
    [anon_sym_BSLASHGLSpl] = ACTIONS(163),
    [anon_sym_BSLASHglsdisp] = ACTIONS(163),
    [anon_sym_BSLASHglslink] = ACTIONS(163),
    [anon_sym_BSLASHglstext] = ACTIONS(163),
    [anon_sym_BSLASHGlstext] = ACTIONS(163),
    [anon_sym_BSLASHGLStext] = ACTIONS(163),
    [anon_sym_BSLASHglsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(163),
    [anon_sym_BSLASHglsplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSplural] = ACTIONS(163),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHglsname] = ACTIONS(163),
    [anon_sym_BSLASHGlsname] = ACTIONS(163),
    [anon_sym_BSLASHGLSname] = ACTIONS(163),
    [anon_sym_BSLASHglssymbol] = ACTIONS(163),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(163),
    [anon_sym_BSLASHglsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(163),
    [anon_sym_BSLASHglsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(163),
    [anon_sym_BSLASHglsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(163),
    [anon_sym_BSLASHglsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(163),
    [anon_sym_BSLASHglsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(163),
    [anon_sym_BSLASHnewacronym] = ACTIONS(163),
    [anon_sym_BSLASHacrshort] = ACTIONS(163),
    [anon_sym_BSLASHAcrshort] = ACTIONS(163),
    [anon_sym_BSLASHACRshort] = ACTIONS(163),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(163),
    [anon_sym_BSLASHacrlong] = ACTIONS(163),
    [anon_sym_BSLASHAcrlong] = ACTIONS(163),
    [anon_sym_BSLASHACRlong] = ACTIONS(163),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(163),
    [anon_sym_BSLASHacrfull] = ACTIONS(163),
    [anon_sym_BSLASHAcrfull] = ACTIONS(163),
    [anon_sym_BSLASHACRfull] = ACTIONS(163),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(163),
    [anon_sym_BSLASHacs] = ACTIONS(163),
    [anon_sym_BSLASHAcs] = ACTIONS(163),
    [anon_sym_BSLASHacsp] = ACTIONS(163),
    [anon_sym_BSLASHAcsp] = ACTIONS(163),
    [anon_sym_BSLASHacl] = ACTIONS(163),
    [anon_sym_BSLASHAcl] = ACTIONS(163),
    [anon_sym_BSLASHaclp] = ACTIONS(163),
    [anon_sym_BSLASHAclp] = ACTIONS(163),
    [anon_sym_BSLASHacf] = ACTIONS(163),
    [anon_sym_BSLASHAcf] = ACTIONS(163),
    [anon_sym_BSLASHacfp] = ACTIONS(163),
    [anon_sym_BSLASHAcfp] = ACTIONS(163),
    [anon_sym_BSLASHac] = ACTIONS(163),
    [anon_sym_BSLASHAc] = ACTIONS(163),
    [anon_sym_BSLASHacp] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(163),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(163),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(163),
    [anon_sym_BSLASHcolor] = ACTIONS(163),
    [anon_sym_BSLASHpagecolor] = ACTIONS(163),
    [anon_sym_BSLASHtextcolor] = ACTIONS(163),
    [anon_sym_BSLASHmathcolor] = ACTIONS(163),
    [anon_sym_BSLASHcolorbox] = ACTIONS(163),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(163),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(163),
    [anon_sym_BSLASHurl] = ACTIONS(163),
    [anon_sym_BSLASHhref] = ACTIONS(163),
  },
  [58] = {
    [sym_block_comment] = STATE(104),
    [sym__root_content] = STATE(104),
    [sym__flat_content] = STATE(104),
    [sym__text_with_env_content] = STATE(104),
    [sym__text_content] = STATE(104),
    [sym__section] = STATE(104),
    [sym__paragraph] = STATE(104),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(104),
    [sym_text] = STATE(104),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(104),
    [sym_displayed_equation] = STATE(104),
    [sym_inline_formula] = STATE(104),
    [sym_math_delimiter] = STATE(104),
    [sym_text_mode] = STATE(104),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(104),
    [sym_comment_environment] = STATE(104),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(104),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(104),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(104),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(104),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(104),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(104),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(104),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(104),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(104),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(104),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(104),
    [sym_generic_command] = STATE(104),
    [sym_title_declaration] = STATE(104),
    [sym_author_declaration] = STATE(104),
    [sym_package_include] = STATE(104),
    [sym_class_include] = STATE(104),
    [sym_latex_include] = STATE(104),
    [sym_biblatex_include] = STATE(104),
    [sym_bibstyle_include] = STATE(104),
    [sym_bibtex_include] = STATE(104),
    [sym_graphics_include] = STATE(104),
    [sym_svg_include] = STATE(104),
    [sym_inkscape_include] = STATE(104),
    [sym_verbatim_include] = STATE(104),
    [sym_import_include] = STATE(104),
    [sym_caption] = STATE(104),
    [sym_citation] = STATE(104),
    [sym_label_definition] = STATE(104),
    [sym_label_reference] = STATE(104),
    [sym_label_reference_range] = STATE(104),
    [sym_label_number] = STATE(104),
    [sym_new_command_definition] = STATE(104),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(104),
    [sym_let_command_definition] = STATE(104),
    [sym_paired_delimiter_definition] = STATE(104),
    [sym_environment_definition] = STATE(104),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(104),
    [sym_glossary_entry_reference] = STATE(104),
    [sym_acronym_definition] = STATE(104),
    [sym_acronym_reference] = STATE(104),
    [sym_theorem_definition] = STATE(104),
    [sym_color_definition] = STATE(104),
    [sym_color_set_definition] = STATE(104),
    [sym_color_reference] = STATE(104),
    [sym_tikz_library_import] = STATE(104),
    [sym_hyperlink] = STATE(104),
    [aux_sym_source_file_repeat1] = STATE(104),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(163),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_RBRACK] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_RPAREN] = ACTIONS(165),
    [anon_sym_BSLASHpart] = ACTIONS(163),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddpart] = ACTIONS(163),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(165),
    [anon_sym_BSLASHchapter] = ACTIONS(163),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddchap] = ACTIONS(163),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsection] = ACTIONS(163),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddsec] = ACTIONS(163),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubsection] = ACTIONS(163),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(163),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHparagraph] = ACTIONS(163),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(163),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(165),
    [anon_sym_BSLASHitem] = ACTIONS(163),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(165),
    [sym_word] = ACTIONS(163),
    [sym_placeholder] = ACTIONS(165),
    [sym_delimiter] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym__] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(165),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(165),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(163),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(165),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(167),
    [anon_sym_BSLASHleft] = ACTIONS(163),
    [anon_sym_BSLASHbigl] = ACTIONS(163),
    [anon_sym_BSLASHBigl] = ACTIONS(163),
    [anon_sym_BSLASHbiggl] = ACTIONS(163),
    [anon_sym_BSLASHBiggl] = ACTIONS(163),
    [anon_sym_BSLASHtext] = ACTIONS(163),
    [anon_sym_BSLASHintertext] = ACTIONS(163),
    [anon_sym_BSLASHshortintertext] = ACTIONS(163),
    [anon_sym_BSLASHbegin] = ACTIONS(163),
    [anon_sym_BSLASHtitle] = ACTIONS(163),
    [anon_sym_BSLASHauthor] = ACTIONS(163),
    [anon_sym_BSLASHusepackage] = ACTIONS(163),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(163),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(163),
    [anon_sym_BSLASHinclude] = ACTIONS(163),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(163),
    [anon_sym_BSLASHinput] = ACTIONS(163),
    [anon_sym_BSLASHsubfile] = ACTIONS(163),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(163),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(163),
    [anon_sym_BSLASHbibliography] = ACTIONS(163),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(163),
    [anon_sym_BSLASHincludesvg] = ACTIONS(163),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(163),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(163),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(163),
    [anon_sym_BSLASHimport] = ACTIONS(163),
    [anon_sym_BSLASHsubimport] = ACTIONS(163),
    [anon_sym_BSLASHinputfrom] = ACTIONS(163),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(163),
    [anon_sym_BSLASHincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHcaption] = ACTIONS(163),
    [anon_sym_BSLASHcite] = ACTIONS(163),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCite] = ACTIONS(163),
    [anon_sym_BSLASHnocite] = ACTIONS(163),
    [anon_sym_BSLASHcitet] = ACTIONS(163),
    [anon_sym_BSLASHcitep] = ACTIONS(163),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteA] = ACTIONS(163),
    [anon_sym_BSLASHciteR] = ACTIONS(163),
    [anon_sym_BSLASHciteS] = ACTIONS(163),
    [anon_sym_BSLASHciteyearR] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(163),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitetitle] = ACTIONS(163),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteyear] = ACTIONS(163),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitedate] = ACTIONS(163),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteurl] = ACTIONS(163),
    [anon_sym_BSLASHfullcite] = ACTIONS(163),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(163),
    [anon_sym_BSLASHcitealt] = ACTIONS(163),
    [anon_sym_BSLASHcitealp] = ACTIONS(163),
    [anon_sym_BSLASHcitetext] = ACTIONS(163),
    [anon_sym_BSLASHparencite] = ACTIONS(163),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHParencite] = ACTIONS(163),
    [anon_sym_BSLASHfootcite] = ACTIONS(163),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(163),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(163),
    [anon_sym_BSLASHtextcite] = ACTIONS(163),
    [anon_sym_BSLASHTextcite] = ACTIONS(163),
    [anon_sym_BSLASHsmartcite] = ACTIONS(163),
    [anon_sym_BSLASHSmartcite] = ACTIONS(163),
    [anon_sym_BSLASHsupercite] = ACTIONS(163),
    [anon_sym_BSLASHautocite] = ACTIONS(163),
    [anon_sym_BSLASHAutocite] = ACTIONS(163),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHvolcite] = ACTIONS(163),
    [anon_sym_BSLASHVolcite] = ACTIONS(163),
    [anon_sym_BSLASHpvolcite] = ACTIONS(163),
    [anon_sym_BSLASHPvolcite] = ACTIONS(163),
    [anon_sym_BSLASHfvolcite] = ACTIONS(163),
    [anon_sym_BSLASHftvolcite] = ACTIONS(163),
    [anon_sym_BSLASHsvolcite] = ACTIONS(163),
    [anon_sym_BSLASHSvolcite] = ACTIONS(163),
    [anon_sym_BSLASHtvolcite] = ACTIONS(163),
    [anon_sym_BSLASHTvolcite] = ACTIONS(163),
    [anon_sym_BSLASHavolcite] = ACTIONS(163),
    [anon_sym_BSLASHAvolcite] = ACTIONS(163),
    [anon_sym_BSLASHnotecite] = ACTIONS(163),
    [anon_sym_BSLASHNotecite] = ACTIONS(163),
    [anon_sym_BSLASHpnotecite] = ACTIONS(163),
    [anon_sym_BSLASHPnotecite] = ACTIONS(163),
    [anon_sym_BSLASHfnotecite] = ACTIONS(163),
    [anon_sym_BSLASHlabel] = ACTIONS(163),
    [anon_sym_BSLASHref] = ACTIONS(163),
    [anon_sym_BSLASHeqref] = ACTIONS(163),
    [anon_sym_BSLASHvref] = ACTIONS(163),
    [anon_sym_BSLASHVref] = ACTIONS(163),
    [anon_sym_BSLASHautoref] = ACTIONS(163),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHpageref] = ACTIONS(163),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHautopageref] = ACTIONS(163),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcref] = ACTIONS(163),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCref] = ACTIONS(163),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpageref] = ACTIONS(163),
    [anon_sym_BSLASHCpageref] = ACTIONS(163),
    [anon_sym_BSLASHnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnameCref] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcrefrange] = ACTIONS(163),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCrefrange] = ACTIONS(163),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHnewlabel] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(163),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(163),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(163),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(165),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHdef] = ACTIONS(163),
    [anon_sym_BSLASHgdef] = ACTIONS(163),
    [anon_sym_BSLASHedef] = ACTIONS(163),
    [anon_sym_BSLASHxdef] = ACTIONS(163),
    [anon_sym_BSLASHlet] = ACTIONS(163),
    [anon_sym_BSLASHglet] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(163),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(163),
    [anon_sym_BSLASHgls] = ACTIONS(163),
    [anon_sym_BSLASHGls] = ACTIONS(163),
    [anon_sym_BSLASHGLS] = ACTIONS(163),
    [anon_sym_BSLASHglspl] = ACTIONS(163),
    [anon_sym_BSLASHGlspl] = ACTIONS(163),
    [anon_sym_BSLASHGLSpl] = ACTIONS(163),
    [anon_sym_BSLASHglsdisp] = ACTIONS(163),
    [anon_sym_BSLASHglslink] = ACTIONS(163),
    [anon_sym_BSLASHglstext] = ACTIONS(163),
    [anon_sym_BSLASHGlstext] = ACTIONS(163),
    [anon_sym_BSLASHGLStext] = ACTIONS(163),
    [anon_sym_BSLASHglsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(163),
    [anon_sym_BSLASHglsplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSplural] = ACTIONS(163),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHglsname] = ACTIONS(163),
    [anon_sym_BSLASHGlsname] = ACTIONS(163),
    [anon_sym_BSLASHGLSname] = ACTIONS(163),
    [anon_sym_BSLASHglssymbol] = ACTIONS(163),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(163),
    [anon_sym_BSLASHglsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(163),
    [anon_sym_BSLASHglsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(163),
    [anon_sym_BSLASHglsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(163),
    [anon_sym_BSLASHglsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(163),
    [anon_sym_BSLASHglsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(163),
    [anon_sym_BSLASHnewacronym] = ACTIONS(163),
    [anon_sym_BSLASHacrshort] = ACTIONS(163),
    [anon_sym_BSLASHAcrshort] = ACTIONS(163),
    [anon_sym_BSLASHACRshort] = ACTIONS(163),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(163),
    [anon_sym_BSLASHacrlong] = ACTIONS(163),
    [anon_sym_BSLASHAcrlong] = ACTIONS(163),
    [anon_sym_BSLASHACRlong] = ACTIONS(163),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(163),
    [anon_sym_BSLASHacrfull] = ACTIONS(163),
    [anon_sym_BSLASHAcrfull] = ACTIONS(163),
    [anon_sym_BSLASHACRfull] = ACTIONS(163),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(163),
    [anon_sym_BSLASHacs] = ACTIONS(163),
    [anon_sym_BSLASHAcs] = ACTIONS(163),
    [anon_sym_BSLASHacsp] = ACTIONS(163),
    [anon_sym_BSLASHAcsp] = ACTIONS(163),
    [anon_sym_BSLASHacl] = ACTIONS(163),
    [anon_sym_BSLASHAcl] = ACTIONS(163),
    [anon_sym_BSLASHaclp] = ACTIONS(163),
    [anon_sym_BSLASHAclp] = ACTIONS(163),
    [anon_sym_BSLASHacf] = ACTIONS(163),
    [anon_sym_BSLASHAcf] = ACTIONS(163),
    [anon_sym_BSLASHacfp] = ACTIONS(163),
    [anon_sym_BSLASHAcfp] = ACTIONS(163),
    [anon_sym_BSLASHac] = ACTIONS(163),
    [anon_sym_BSLASHAc] = ACTIONS(163),
    [anon_sym_BSLASHacp] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(163),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(163),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(163),
    [anon_sym_BSLASHcolor] = ACTIONS(163),
    [anon_sym_BSLASHpagecolor] = ACTIONS(163),
    [anon_sym_BSLASHtextcolor] = ACTIONS(163),
    [anon_sym_BSLASHmathcolor] = ACTIONS(163),
    [anon_sym_BSLASHcolorbox] = ACTIONS(163),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(163),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(163),
    [anon_sym_BSLASHurl] = ACTIONS(163),
    [anon_sym_BSLASHhref] = ACTIONS(163),
  },
  [59] = {
    [sym_block_comment] = STATE(97),
    [sym__root_content] = STATE(97),
    [sym__flat_content] = STATE(97),
    [sym__text_with_env_content] = STATE(97),
    [sym__text_content] = STATE(97),
    [sym__section] = STATE(97),
    [sym__paragraph] = STATE(97),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(97),
    [sym_text] = STATE(97),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(97),
    [sym_displayed_equation] = STATE(97),
    [sym_inline_formula] = STATE(97),
    [sym_math_delimiter] = STATE(97),
    [sym_text_mode] = STATE(97),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(97),
    [sym_comment_environment] = STATE(97),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(97),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(97),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(97),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(97),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(97),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(97),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(97),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(97),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(97),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(97),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(97),
    [sym_generic_command] = STATE(97),
    [sym_title_declaration] = STATE(97),
    [sym_author_declaration] = STATE(97),
    [sym_package_include] = STATE(97),
    [sym_class_include] = STATE(97),
    [sym_latex_include] = STATE(97),
    [sym_biblatex_include] = STATE(97),
    [sym_bibstyle_include] = STATE(97),
    [sym_bibtex_include] = STATE(97),
    [sym_graphics_include] = STATE(97),
    [sym_svg_include] = STATE(97),
    [sym_inkscape_include] = STATE(97),
    [sym_verbatim_include] = STATE(97),
    [sym_import_include] = STATE(97),
    [sym_caption] = STATE(97),
    [sym_citation] = STATE(97),
    [sym_label_definition] = STATE(97),
    [sym_label_reference] = STATE(97),
    [sym_label_reference_range] = STATE(97),
    [sym_label_number] = STATE(97),
    [sym_new_command_definition] = STATE(97),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(97),
    [sym_let_command_definition] = STATE(97),
    [sym_paired_delimiter_definition] = STATE(97),
    [sym_environment_definition] = STATE(97),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(97),
    [sym_glossary_entry_reference] = STATE(97),
    [sym_acronym_definition] = STATE(97),
    [sym_acronym_reference] = STATE(97),
    [sym_theorem_definition] = STATE(97),
    [sym_color_definition] = STATE(97),
    [sym_color_set_definition] = STATE(97),
    [sym_color_reference] = STATE(97),
    [sym_tikz_library_import] = STATE(97),
    [sym_hyperlink] = STATE(97),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(169),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_COMMA] = ACTIONS(171),
    [anon_sym_EQ] = ACTIONS(171),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(171),
    [sym_word] = ACTIONS(169),
    [sym_placeholder] = ACTIONS(171),
    [sym_delimiter] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_STAR] = ACTIONS(171),
    [anon_sym_SLASH] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(169),
    [anon_sym_GT] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_PIPE] = ACTIONS(169),
    [anon_sym_COLON] = ACTIONS(169),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym__] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(171),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(171),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(171),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(161),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(171),
    [anon_sym_BSLASHleft] = ACTIONS(169),
    [anon_sym_BSLASHbigl] = ACTIONS(169),
    [anon_sym_BSLASHBigl] = ACTIONS(169),
    [anon_sym_BSLASHbiggl] = ACTIONS(169),
    [anon_sym_BSLASHBiggl] = ACTIONS(169),
    [anon_sym_BSLASHtext] = ACTIONS(169),
    [anon_sym_BSLASHintertext] = ACTIONS(169),
    [anon_sym_BSLASHshortintertext] = ACTIONS(169),
    [anon_sym_BSLASHbegin] = ACTIONS(169),
    [anon_sym_BSLASHend] = ACTIONS(169),
    [anon_sym_BSLASHtitle] = ACTIONS(169),
    [anon_sym_BSLASHauthor] = ACTIONS(169),
    [anon_sym_BSLASHusepackage] = ACTIONS(169),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(169),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(169),
    [anon_sym_BSLASHinclude] = ACTIONS(169),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(169),
    [anon_sym_BSLASHinput] = ACTIONS(169),
    [anon_sym_BSLASHsubfile] = ACTIONS(169),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(169),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(169),
    [anon_sym_BSLASHbibliography] = ACTIONS(169),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(169),
    [anon_sym_BSLASHincludesvg] = ACTIONS(169),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(169),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(169),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(169),
    [anon_sym_BSLASHimport] = ACTIONS(169),
    [anon_sym_BSLASHsubimport] = ACTIONS(169),
    [anon_sym_BSLASHinputfrom] = ACTIONS(169),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(169),
    [anon_sym_BSLASHincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHcaption] = ACTIONS(169),
    [anon_sym_BSLASHcite] = ACTIONS(169),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCite] = ACTIONS(169),
    [anon_sym_BSLASHnocite] = ACTIONS(169),
    [anon_sym_BSLASHcitet] = ACTIONS(169),
    [anon_sym_BSLASHcitep] = ACTIONS(169),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteA] = ACTIONS(169),
    [anon_sym_BSLASHciteR] = ACTIONS(169),
    [anon_sym_BSLASHciteS] = ACTIONS(169),
    [anon_sym_BSLASHciteyearR] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(169),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitetitle] = ACTIONS(169),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteyear] = ACTIONS(169),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitedate] = ACTIONS(169),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteurl] = ACTIONS(169),
    [anon_sym_BSLASHfullcite] = ACTIONS(169),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(169),
    [anon_sym_BSLASHcitealt] = ACTIONS(169),
    [anon_sym_BSLASHcitealp] = ACTIONS(169),
    [anon_sym_BSLASHcitetext] = ACTIONS(169),
    [anon_sym_BSLASHparencite] = ACTIONS(169),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHParencite] = ACTIONS(169),
    [anon_sym_BSLASHfootcite] = ACTIONS(169),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(169),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(169),
    [anon_sym_BSLASHtextcite] = ACTIONS(169),
    [anon_sym_BSLASHTextcite] = ACTIONS(169),
    [anon_sym_BSLASHsmartcite] = ACTIONS(169),
    [anon_sym_BSLASHSmartcite] = ACTIONS(169),
    [anon_sym_BSLASHsupercite] = ACTIONS(169),
    [anon_sym_BSLASHautocite] = ACTIONS(169),
    [anon_sym_BSLASHAutocite] = ACTIONS(169),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHvolcite] = ACTIONS(169),
    [anon_sym_BSLASHVolcite] = ACTIONS(169),
    [anon_sym_BSLASHpvolcite] = ACTIONS(169),
    [anon_sym_BSLASHPvolcite] = ACTIONS(169),
    [anon_sym_BSLASHfvolcite] = ACTIONS(169),
    [anon_sym_BSLASHftvolcite] = ACTIONS(169),
    [anon_sym_BSLASHsvolcite] = ACTIONS(169),
    [anon_sym_BSLASHSvolcite] = ACTIONS(169),
    [anon_sym_BSLASHtvolcite] = ACTIONS(169),
    [anon_sym_BSLASHTvolcite] = ACTIONS(169),
    [anon_sym_BSLASHavolcite] = ACTIONS(169),
    [anon_sym_BSLASHAvolcite] = ACTIONS(169),
    [anon_sym_BSLASHnotecite] = ACTIONS(169),
    [anon_sym_BSLASHNotecite] = ACTIONS(169),
    [anon_sym_BSLASHpnotecite] = ACTIONS(169),
    [anon_sym_BSLASHPnotecite] = ACTIONS(169),
    [anon_sym_BSLASHfnotecite] = ACTIONS(169),
    [anon_sym_BSLASHlabel] = ACTIONS(169),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHeqref] = ACTIONS(169),
    [anon_sym_BSLASHvref] = ACTIONS(169),
    [anon_sym_BSLASHVref] = ACTIONS(169),
    [anon_sym_BSLASHautoref] = ACTIONS(169),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHpageref] = ACTIONS(169),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHautopageref] = ACTIONS(169),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcref] = ACTIONS(169),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCref] = ACTIONS(169),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpageref] = ACTIONS(169),
    [anon_sym_BSLASHCpageref] = ACTIONS(169),
    [anon_sym_BSLASHnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnameCref] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcrefrange] = ACTIONS(169),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCrefrange] = ACTIONS(169),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHnewlabel] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(169),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(169),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(169),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(171),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHdef] = ACTIONS(169),
    [anon_sym_BSLASHgdef] = ACTIONS(169),
    [anon_sym_BSLASHedef] = ACTIONS(169),
    [anon_sym_BSLASHxdef] = ACTIONS(169),
    [anon_sym_BSLASHlet] = ACTIONS(169),
    [anon_sym_BSLASHglet] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(169),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(169),
    [anon_sym_BSLASHgls] = ACTIONS(169),
    [anon_sym_BSLASHGls] = ACTIONS(169),
    [anon_sym_BSLASHGLS] = ACTIONS(169),
    [anon_sym_BSLASHglspl] = ACTIONS(169),
    [anon_sym_BSLASHGlspl] = ACTIONS(169),
    [anon_sym_BSLASHGLSpl] = ACTIONS(169),
    [anon_sym_BSLASHglsdisp] = ACTIONS(169),
    [anon_sym_BSLASHglslink] = ACTIONS(169),
    [anon_sym_BSLASHglstext] = ACTIONS(169),
    [anon_sym_BSLASHGlstext] = ACTIONS(169),
    [anon_sym_BSLASHGLStext] = ACTIONS(169),
    [anon_sym_BSLASHglsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(169),
    [anon_sym_BSLASHglsplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSplural] = ACTIONS(169),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHglsname] = ACTIONS(169),
    [anon_sym_BSLASHGlsname] = ACTIONS(169),
    [anon_sym_BSLASHGLSname] = ACTIONS(169),
    [anon_sym_BSLASHglssymbol] = ACTIONS(169),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(169),
    [anon_sym_BSLASHglsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(169),
    [anon_sym_BSLASHglsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(169),
    [anon_sym_BSLASHglsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(169),
    [anon_sym_BSLASHglsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(169),
    [anon_sym_BSLASHglsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(169),
    [anon_sym_BSLASHnewacronym] = ACTIONS(169),
    [anon_sym_BSLASHacrshort] = ACTIONS(169),
    [anon_sym_BSLASHAcrshort] = ACTIONS(169),
    [anon_sym_BSLASHACRshort] = ACTIONS(169),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(169),
    [anon_sym_BSLASHacrlong] = ACTIONS(169),
    [anon_sym_BSLASHAcrlong] = ACTIONS(169),
    [anon_sym_BSLASHACRlong] = ACTIONS(169),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(169),
    [anon_sym_BSLASHacrfull] = ACTIONS(169),
    [anon_sym_BSLASHAcrfull] = ACTIONS(169),
    [anon_sym_BSLASHACRfull] = ACTIONS(169),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(169),
    [anon_sym_BSLASHacs] = ACTIONS(169),
    [anon_sym_BSLASHAcs] = ACTIONS(169),
    [anon_sym_BSLASHacsp] = ACTIONS(169),
    [anon_sym_BSLASHAcsp] = ACTIONS(169),
    [anon_sym_BSLASHacl] = ACTIONS(169),
    [anon_sym_BSLASHAcl] = ACTIONS(169),
    [anon_sym_BSLASHaclp] = ACTIONS(169),
    [anon_sym_BSLASHAclp] = ACTIONS(169),
    [anon_sym_BSLASHacf] = ACTIONS(169),
    [anon_sym_BSLASHAcf] = ACTIONS(169),
    [anon_sym_BSLASHacfp] = ACTIONS(169),
    [anon_sym_BSLASHAcfp] = ACTIONS(169),
    [anon_sym_BSLASHac] = ACTIONS(169),
    [anon_sym_BSLASHAc] = ACTIONS(169),
    [anon_sym_BSLASHacp] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(169),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(169),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(169),
    [anon_sym_BSLASHcolor] = ACTIONS(169),
    [anon_sym_BSLASHpagecolor] = ACTIONS(169),
    [anon_sym_BSLASHtextcolor] = ACTIONS(169),
    [anon_sym_BSLASHmathcolor] = ACTIONS(169),
    [anon_sym_BSLASHcolorbox] = ACTIONS(169),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(169),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(169),
    [anon_sym_BSLASHurl] = ACTIONS(169),
    [anon_sym_BSLASHhref] = ACTIONS(169),
  },
  [60] = {
    [sym_block_comment] = STATE(104),
    [sym__root_content] = STATE(104),
    [sym__flat_content] = STATE(104),
    [sym__text_with_env_content] = STATE(104),
    [sym__text_content] = STATE(104),
    [sym__section] = STATE(104),
    [sym__paragraph] = STATE(104),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(104),
    [sym_text] = STATE(104),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(104),
    [sym_displayed_equation] = STATE(104),
    [sym_inline_formula] = STATE(104),
    [sym_math_delimiter] = STATE(104),
    [sym_text_mode] = STATE(104),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(104),
    [sym_comment_environment] = STATE(104),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(104),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(104),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(104),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(104),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(104),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(104),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(104),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(104),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(104),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(104),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(104),
    [sym_generic_command] = STATE(104),
    [sym_title_declaration] = STATE(104),
    [sym_author_declaration] = STATE(104),
    [sym_package_include] = STATE(104),
    [sym_class_include] = STATE(104),
    [sym_latex_include] = STATE(104),
    [sym_biblatex_include] = STATE(104),
    [sym_bibstyle_include] = STATE(104),
    [sym_bibtex_include] = STATE(104),
    [sym_graphics_include] = STATE(104),
    [sym_svg_include] = STATE(104),
    [sym_inkscape_include] = STATE(104),
    [sym_verbatim_include] = STATE(104),
    [sym_import_include] = STATE(104),
    [sym_caption] = STATE(104),
    [sym_citation] = STATE(104),
    [sym_label_definition] = STATE(104),
    [sym_label_reference] = STATE(104),
    [sym_label_reference_range] = STATE(104),
    [sym_label_number] = STATE(104),
    [sym_new_command_definition] = STATE(104),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(104),
    [sym_let_command_definition] = STATE(104),
    [sym_paired_delimiter_definition] = STATE(104),
    [sym_environment_definition] = STATE(104),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(104),
    [sym_glossary_entry_reference] = STATE(104),
    [sym_acronym_definition] = STATE(104),
    [sym_acronym_reference] = STATE(104),
    [sym_theorem_definition] = STATE(104),
    [sym_color_definition] = STATE(104),
    [sym_color_set_definition] = STATE(104),
    [sym_color_reference] = STATE(104),
    [sym_tikz_library_import] = STATE(104),
    [sym_hyperlink] = STATE(104),
    [aux_sym_source_file_repeat1] = STATE(104),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(173),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(173),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_RBRACK] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_RPAREN] = ACTIONS(175),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(175),
    [sym_word] = ACTIONS(173),
    [sym_placeholder] = ACTIONS(175),
    [sym_delimiter] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym__] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(175),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(175),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(175),
    [anon_sym_DOLLAR] = ACTIONS(173),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(175),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(167),
    [anon_sym_BSLASHleft] = ACTIONS(173),
    [anon_sym_BSLASHbigl] = ACTIONS(173),
    [anon_sym_BSLASHBigl] = ACTIONS(173),
    [anon_sym_BSLASHbiggl] = ACTIONS(173),
    [anon_sym_BSLASHBiggl] = ACTIONS(173),
    [anon_sym_BSLASHtext] = ACTIONS(173),
    [anon_sym_BSLASHintertext] = ACTIONS(173),
    [anon_sym_BSLASHshortintertext] = ACTIONS(173),
    [anon_sym_BSLASHbegin] = ACTIONS(173),
    [anon_sym_BSLASHend] = ACTIONS(173),
    [anon_sym_BSLASHtitle] = ACTIONS(173),
    [anon_sym_BSLASHauthor] = ACTIONS(173),
    [anon_sym_BSLASHusepackage] = ACTIONS(173),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(173),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(173),
    [anon_sym_BSLASHinclude] = ACTIONS(173),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(173),
    [anon_sym_BSLASHinput] = ACTIONS(173),
    [anon_sym_BSLASHsubfile] = ACTIONS(173),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(173),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(173),
    [anon_sym_BSLASHbibliography] = ACTIONS(173),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(173),
    [anon_sym_BSLASHincludesvg] = ACTIONS(173),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(173),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(173),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(173),
    [anon_sym_BSLASHimport] = ACTIONS(173),
    [anon_sym_BSLASHsubimport] = ACTIONS(173),
    [anon_sym_BSLASHinputfrom] = ACTIONS(173),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(173),
    [anon_sym_BSLASHincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHcaption] = ACTIONS(173),
    [anon_sym_BSLASHcite] = ACTIONS(173),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCite] = ACTIONS(173),
    [anon_sym_BSLASHnocite] = ACTIONS(173),
    [anon_sym_BSLASHcitet] = ACTIONS(173),
    [anon_sym_BSLASHcitep] = ACTIONS(173),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteA] = ACTIONS(173),
    [anon_sym_BSLASHciteR] = ACTIONS(173),
    [anon_sym_BSLASHciteS] = ACTIONS(173),
    [anon_sym_BSLASHciteyearR] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(173),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitetitle] = ACTIONS(173),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteyear] = ACTIONS(173),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitedate] = ACTIONS(173),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteurl] = ACTIONS(173),
    [anon_sym_BSLASHfullcite] = ACTIONS(173),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(173),
    [anon_sym_BSLASHcitealt] = ACTIONS(173),
    [anon_sym_BSLASHcitealp] = ACTIONS(173),
    [anon_sym_BSLASHcitetext] = ACTIONS(173),
    [anon_sym_BSLASHparencite] = ACTIONS(173),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHParencite] = ACTIONS(173),
    [anon_sym_BSLASHfootcite] = ACTIONS(173),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(173),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(173),
    [anon_sym_BSLASHtextcite] = ACTIONS(173),
    [anon_sym_BSLASHTextcite] = ACTIONS(173),
    [anon_sym_BSLASHsmartcite] = ACTIONS(173),
    [anon_sym_BSLASHSmartcite] = ACTIONS(173),
    [anon_sym_BSLASHsupercite] = ACTIONS(173),
    [anon_sym_BSLASHautocite] = ACTIONS(173),
    [anon_sym_BSLASHAutocite] = ACTIONS(173),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHvolcite] = ACTIONS(173),
    [anon_sym_BSLASHVolcite] = ACTIONS(173),
    [anon_sym_BSLASHpvolcite] = ACTIONS(173),
    [anon_sym_BSLASHPvolcite] = ACTIONS(173),
    [anon_sym_BSLASHfvolcite] = ACTIONS(173),
    [anon_sym_BSLASHftvolcite] = ACTIONS(173),
    [anon_sym_BSLASHsvolcite] = ACTIONS(173),
    [anon_sym_BSLASHSvolcite] = ACTIONS(173),
    [anon_sym_BSLASHtvolcite] = ACTIONS(173),
    [anon_sym_BSLASHTvolcite] = ACTIONS(173),
    [anon_sym_BSLASHavolcite] = ACTIONS(173),
    [anon_sym_BSLASHAvolcite] = ACTIONS(173),
    [anon_sym_BSLASHnotecite] = ACTIONS(173),
    [anon_sym_BSLASHNotecite] = ACTIONS(173),
    [anon_sym_BSLASHpnotecite] = ACTIONS(173),
    [anon_sym_BSLASHPnotecite] = ACTIONS(173),
    [anon_sym_BSLASHfnotecite] = ACTIONS(173),
    [anon_sym_BSLASHlabel] = ACTIONS(173),
    [anon_sym_BSLASHref] = ACTIONS(173),
    [anon_sym_BSLASHeqref] = ACTIONS(173),
    [anon_sym_BSLASHvref] = ACTIONS(173),
    [anon_sym_BSLASHVref] = ACTIONS(173),
    [anon_sym_BSLASHautoref] = ACTIONS(173),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHpageref] = ACTIONS(173),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHautopageref] = ACTIONS(173),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcref] = ACTIONS(173),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCref] = ACTIONS(173),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpageref] = ACTIONS(173),
    [anon_sym_BSLASHCpageref] = ACTIONS(173),
    [anon_sym_BSLASHnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnameCref] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcrefrange] = ACTIONS(173),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCrefrange] = ACTIONS(173),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHnewlabel] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(173),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(173),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(173),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(175),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHdef] = ACTIONS(173),
    [anon_sym_BSLASHgdef] = ACTIONS(173),
    [anon_sym_BSLASHedef] = ACTIONS(173),
    [anon_sym_BSLASHxdef] = ACTIONS(173),
    [anon_sym_BSLASHlet] = ACTIONS(173),
    [anon_sym_BSLASHglet] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(173),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(173),
    [anon_sym_BSLASHgls] = ACTIONS(173),
    [anon_sym_BSLASHGls] = ACTIONS(173),
    [anon_sym_BSLASHGLS] = ACTIONS(173),
    [anon_sym_BSLASHglspl] = ACTIONS(173),
    [anon_sym_BSLASHGlspl] = ACTIONS(173),
    [anon_sym_BSLASHGLSpl] = ACTIONS(173),
    [anon_sym_BSLASHglsdisp] = ACTIONS(173),
    [anon_sym_BSLASHglslink] = ACTIONS(173),
    [anon_sym_BSLASHglstext] = ACTIONS(173),
    [anon_sym_BSLASHGlstext] = ACTIONS(173),
    [anon_sym_BSLASHGLStext] = ACTIONS(173),
    [anon_sym_BSLASHglsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(173),
    [anon_sym_BSLASHglsplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSplural] = ACTIONS(173),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHglsname] = ACTIONS(173),
    [anon_sym_BSLASHGlsname] = ACTIONS(173),
    [anon_sym_BSLASHGLSname] = ACTIONS(173),
    [anon_sym_BSLASHglssymbol] = ACTIONS(173),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(173),
    [anon_sym_BSLASHglsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(173),
    [anon_sym_BSLASHglsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(173),
    [anon_sym_BSLASHglsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(173),
    [anon_sym_BSLASHglsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(173),
    [anon_sym_BSLASHglsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(173),
    [anon_sym_BSLASHnewacronym] = ACTIONS(173),
    [anon_sym_BSLASHacrshort] = ACTIONS(173),
    [anon_sym_BSLASHAcrshort] = ACTIONS(173),
    [anon_sym_BSLASHACRshort] = ACTIONS(173),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(173),
    [anon_sym_BSLASHacrlong] = ACTIONS(173),
    [anon_sym_BSLASHAcrlong] = ACTIONS(173),
    [anon_sym_BSLASHACRlong] = ACTIONS(173),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(173),
    [anon_sym_BSLASHacrfull] = ACTIONS(173),
    [anon_sym_BSLASHAcrfull] = ACTIONS(173),
    [anon_sym_BSLASHACRfull] = ACTIONS(173),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(173),
    [anon_sym_BSLASHacs] = ACTIONS(173),
    [anon_sym_BSLASHAcs] = ACTIONS(173),
    [anon_sym_BSLASHacsp] = ACTIONS(173),
    [anon_sym_BSLASHAcsp] = ACTIONS(173),
    [anon_sym_BSLASHacl] = ACTIONS(173),
    [anon_sym_BSLASHAcl] = ACTIONS(173),
    [anon_sym_BSLASHaclp] = ACTIONS(173),
    [anon_sym_BSLASHAclp] = ACTIONS(173),
    [anon_sym_BSLASHacf] = ACTIONS(173),
    [anon_sym_BSLASHAcf] = ACTIONS(173),
    [anon_sym_BSLASHacfp] = ACTIONS(173),
    [anon_sym_BSLASHAcfp] = ACTIONS(173),
    [anon_sym_BSLASHac] = ACTIONS(173),
    [anon_sym_BSLASHAc] = ACTIONS(173),
    [anon_sym_BSLASHacp] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(173),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(173),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(173),
    [anon_sym_BSLASHcolor] = ACTIONS(173),
    [anon_sym_BSLASHpagecolor] = ACTIONS(173),
    [anon_sym_BSLASHtextcolor] = ACTIONS(173),
    [anon_sym_BSLASHmathcolor] = ACTIONS(173),
    [anon_sym_BSLASHcolorbox] = ACTIONS(173),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(173),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(173),
    [anon_sym_BSLASHurl] = ACTIONS(173),
    [anon_sym_BSLASHhref] = ACTIONS(173),
  },
  [61] = {
    [sym_block_comment] = STATE(104),
    [sym__root_content] = STATE(104),
    [sym__flat_content] = STATE(104),
    [sym__text_with_env_content] = STATE(104),
    [sym__text_content] = STATE(104),
    [sym__section] = STATE(104),
    [sym__paragraph] = STATE(104),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(104),
    [sym_text] = STATE(104),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(104),
    [sym_displayed_equation] = STATE(104),
    [sym_inline_formula] = STATE(104),
    [sym_math_delimiter] = STATE(104),
    [sym_text_mode] = STATE(104),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(104),
    [sym_comment_environment] = STATE(104),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(104),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(104),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(104),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(104),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(104),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(104),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(104),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(104),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(104),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(104),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(104),
    [sym_generic_command] = STATE(104),
    [sym_title_declaration] = STATE(104),
    [sym_author_declaration] = STATE(104),
    [sym_package_include] = STATE(104),
    [sym_class_include] = STATE(104),
    [sym_latex_include] = STATE(104),
    [sym_biblatex_include] = STATE(104),
    [sym_bibstyle_include] = STATE(104),
    [sym_bibtex_include] = STATE(104),
    [sym_graphics_include] = STATE(104),
    [sym_svg_include] = STATE(104),
    [sym_inkscape_include] = STATE(104),
    [sym_verbatim_include] = STATE(104),
    [sym_import_include] = STATE(104),
    [sym_caption] = STATE(104),
    [sym_citation] = STATE(104),
    [sym_label_definition] = STATE(104),
    [sym_label_reference] = STATE(104),
    [sym_label_reference_range] = STATE(104),
    [sym_label_number] = STATE(104),
    [sym_new_command_definition] = STATE(104),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(104),
    [sym_let_command_definition] = STATE(104),
    [sym_paired_delimiter_definition] = STATE(104),
    [sym_environment_definition] = STATE(104),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(104),
    [sym_glossary_entry_reference] = STATE(104),
    [sym_acronym_definition] = STATE(104),
    [sym_acronym_reference] = STATE(104),
    [sym_theorem_definition] = STATE(104),
    [sym_color_definition] = STATE(104),
    [sym_color_set_definition] = STATE(104),
    [sym_color_reference] = STATE(104),
    [sym_tikz_library_import] = STATE(104),
    [sym_hyperlink] = STATE(104),
    [aux_sym_source_file_repeat1] = STATE(104),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(173),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(173),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_RBRACK] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_RPAREN] = ACTIONS(175),
    [anon_sym_BSLASHpart] = ACTIONS(173),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddpart] = ACTIONS(173),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(175),
    [anon_sym_BSLASHchapter] = ACTIONS(173),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddchap] = ACTIONS(173),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsection] = ACTIONS(173),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddsec] = ACTIONS(173),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubsection] = ACTIONS(173),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(173),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHparagraph] = ACTIONS(173),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(173),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(175),
    [anon_sym_BSLASHitem] = ACTIONS(173),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(175),
    [anon_sym_LBRACE] = ACTIONS(175),
    [sym_word] = ACTIONS(173),
    [sym_placeholder] = ACTIONS(175),
    [sym_delimiter] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym__] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(175),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(175),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(175),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(175),
    [anon_sym_DOLLAR] = ACTIONS(173),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(175),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(167),
    [anon_sym_BSLASHleft] = ACTIONS(173),
    [anon_sym_BSLASHbigl] = ACTIONS(173),
    [anon_sym_BSLASHBigl] = ACTIONS(173),
    [anon_sym_BSLASHbiggl] = ACTIONS(173),
    [anon_sym_BSLASHBiggl] = ACTIONS(173),
    [anon_sym_BSLASHtext] = ACTIONS(173),
    [anon_sym_BSLASHintertext] = ACTIONS(173),
    [anon_sym_BSLASHshortintertext] = ACTIONS(173),
    [anon_sym_BSLASHbegin] = ACTIONS(173),
    [anon_sym_BSLASHtitle] = ACTIONS(173),
    [anon_sym_BSLASHauthor] = ACTIONS(173),
    [anon_sym_BSLASHusepackage] = ACTIONS(173),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(173),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(173),
    [anon_sym_BSLASHinclude] = ACTIONS(173),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(173),
    [anon_sym_BSLASHinput] = ACTIONS(173),
    [anon_sym_BSLASHsubfile] = ACTIONS(173),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(173),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(173),
    [anon_sym_BSLASHbibliography] = ACTIONS(173),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(173),
    [anon_sym_BSLASHincludesvg] = ACTIONS(173),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(173),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(173),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(173),
    [anon_sym_BSLASHimport] = ACTIONS(173),
    [anon_sym_BSLASHsubimport] = ACTIONS(173),
    [anon_sym_BSLASHinputfrom] = ACTIONS(173),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(173),
    [anon_sym_BSLASHincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHcaption] = ACTIONS(173),
    [anon_sym_BSLASHcite] = ACTIONS(173),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCite] = ACTIONS(173),
    [anon_sym_BSLASHnocite] = ACTIONS(173),
    [anon_sym_BSLASHcitet] = ACTIONS(173),
    [anon_sym_BSLASHcitep] = ACTIONS(173),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteA] = ACTIONS(173),
    [anon_sym_BSLASHciteR] = ACTIONS(173),
    [anon_sym_BSLASHciteS] = ACTIONS(173),
    [anon_sym_BSLASHciteyearR] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(173),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitetitle] = ACTIONS(173),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteyear] = ACTIONS(173),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitedate] = ACTIONS(173),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteurl] = ACTIONS(173),
    [anon_sym_BSLASHfullcite] = ACTIONS(173),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(173),
    [anon_sym_BSLASHcitealt] = ACTIONS(173),
    [anon_sym_BSLASHcitealp] = ACTIONS(173),
    [anon_sym_BSLASHcitetext] = ACTIONS(173),
    [anon_sym_BSLASHparencite] = ACTIONS(173),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHParencite] = ACTIONS(173),
    [anon_sym_BSLASHfootcite] = ACTIONS(173),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(173),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(173),
    [anon_sym_BSLASHtextcite] = ACTIONS(173),
    [anon_sym_BSLASHTextcite] = ACTIONS(173),
    [anon_sym_BSLASHsmartcite] = ACTIONS(173),
    [anon_sym_BSLASHSmartcite] = ACTIONS(173),
    [anon_sym_BSLASHsupercite] = ACTIONS(173),
    [anon_sym_BSLASHautocite] = ACTIONS(173),
    [anon_sym_BSLASHAutocite] = ACTIONS(173),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHvolcite] = ACTIONS(173),
    [anon_sym_BSLASHVolcite] = ACTIONS(173),
    [anon_sym_BSLASHpvolcite] = ACTIONS(173),
    [anon_sym_BSLASHPvolcite] = ACTIONS(173),
    [anon_sym_BSLASHfvolcite] = ACTIONS(173),
    [anon_sym_BSLASHftvolcite] = ACTIONS(173),
    [anon_sym_BSLASHsvolcite] = ACTIONS(173),
    [anon_sym_BSLASHSvolcite] = ACTIONS(173),
    [anon_sym_BSLASHtvolcite] = ACTIONS(173),
    [anon_sym_BSLASHTvolcite] = ACTIONS(173),
    [anon_sym_BSLASHavolcite] = ACTIONS(173),
    [anon_sym_BSLASHAvolcite] = ACTIONS(173),
    [anon_sym_BSLASHnotecite] = ACTIONS(173),
    [anon_sym_BSLASHNotecite] = ACTIONS(173),
    [anon_sym_BSLASHpnotecite] = ACTIONS(173),
    [anon_sym_BSLASHPnotecite] = ACTIONS(173),
    [anon_sym_BSLASHfnotecite] = ACTIONS(173),
    [anon_sym_BSLASHlabel] = ACTIONS(173),
    [anon_sym_BSLASHref] = ACTIONS(173),
    [anon_sym_BSLASHeqref] = ACTIONS(173),
    [anon_sym_BSLASHvref] = ACTIONS(173),
    [anon_sym_BSLASHVref] = ACTIONS(173),
    [anon_sym_BSLASHautoref] = ACTIONS(173),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHpageref] = ACTIONS(173),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHautopageref] = ACTIONS(173),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcref] = ACTIONS(173),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCref] = ACTIONS(173),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpageref] = ACTIONS(173),
    [anon_sym_BSLASHCpageref] = ACTIONS(173),
    [anon_sym_BSLASHnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnameCref] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcrefrange] = ACTIONS(173),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCrefrange] = ACTIONS(173),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHnewlabel] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(173),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(173),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(173),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(175),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHdef] = ACTIONS(173),
    [anon_sym_BSLASHgdef] = ACTIONS(173),
    [anon_sym_BSLASHedef] = ACTIONS(173),
    [anon_sym_BSLASHxdef] = ACTIONS(173),
    [anon_sym_BSLASHlet] = ACTIONS(173),
    [anon_sym_BSLASHglet] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(173),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(173),
    [anon_sym_BSLASHgls] = ACTIONS(173),
    [anon_sym_BSLASHGls] = ACTIONS(173),
    [anon_sym_BSLASHGLS] = ACTIONS(173),
    [anon_sym_BSLASHglspl] = ACTIONS(173),
    [anon_sym_BSLASHGlspl] = ACTIONS(173),
    [anon_sym_BSLASHGLSpl] = ACTIONS(173),
    [anon_sym_BSLASHglsdisp] = ACTIONS(173),
    [anon_sym_BSLASHglslink] = ACTIONS(173),
    [anon_sym_BSLASHglstext] = ACTIONS(173),
    [anon_sym_BSLASHGlstext] = ACTIONS(173),
    [anon_sym_BSLASHGLStext] = ACTIONS(173),
    [anon_sym_BSLASHglsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(173),
    [anon_sym_BSLASHglsplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSplural] = ACTIONS(173),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHglsname] = ACTIONS(173),
    [anon_sym_BSLASHGlsname] = ACTIONS(173),
    [anon_sym_BSLASHGLSname] = ACTIONS(173),
    [anon_sym_BSLASHglssymbol] = ACTIONS(173),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(173),
    [anon_sym_BSLASHglsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(173),
    [anon_sym_BSLASHglsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(173),
    [anon_sym_BSLASHglsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(173),
    [anon_sym_BSLASHglsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(173),
    [anon_sym_BSLASHglsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(173),
    [anon_sym_BSLASHnewacronym] = ACTIONS(173),
    [anon_sym_BSLASHacrshort] = ACTIONS(173),
    [anon_sym_BSLASHAcrshort] = ACTIONS(173),
    [anon_sym_BSLASHACRshort] = ACTIONS(173),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(173),
    [anon_sym_BSLASHacrlong] = ACTIONS(173),
    [anon_sym_BSLASHAcrlong] = ACTIONS(173),
    [anon_sym_BSLASHACRlong] = ACTIONS(173),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(173),
    [anon_sym_BSLASHacrfull] = ACTIONS(173),
    [anon_sym_BSLASHAcrfull] = ACTIONS(173),
    [anon_sym_BSLASHACRfull] = ACTIONS(173),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(173),
    [anon_sym_BSLASHacs] = ACTIONS(173),
    [anon_sym_BSLASHAcs] = ACTIONS(173),
    [anon_sym_BSLASHacsp] = ACTIONS(173),
    [anon_sym_BSLASHAcsp] = ACTIONS(173),
    [anon_sym_BSLASHacl] = ACTIONS(173),
    [anon_sym_BSLASHAcl] = ACTIONS(173),
    [anon_sym_BSLASHaclp] = ACTIONS(173),
    [anon_sym_BSLASHAclp] = ACTIONS(173),
    [anon_sym_BSLASHacf] = ACTIONS(173),
    [anon_sym_BSLASHAcf] = ACTIONS(173),
    [anon_sym_BSLASHacfp] = ACTIONS(173),
    [anon_sym_BSLASHAcfp] = ACTIONS(173),
    [anon_sym_BSLASHac] = ACTIONS(173),
    [anon_sym_BSLASHAc] = ACTIONS(173),
    [anon_sym_BSLASHacp] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(173),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(173),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(173),
    [anon_sym_BSLASHcolor] = ACTIONS(173),
    [anon_sym_BSLASHpagecolor] = ACTIONS(173),
    [anon_sym_BSLASHtextcolor] = ACTIONS(173),
    [anon_sym_BSLASHmathcolor] = ACTIONS(173),
    [anon_sym_BSLASHcolorbox] = ACTIONS(173),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(173),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(173),
    [anon_sym_BSLASHurl] = ACTIONS(173),
    [anon_sym_BSLASHhref] = ACTIONS(173),
  },
  [62] = {
    [sym_block_comment] = STATE(97),
    [sym__root_content] = STATE(97),
    [sym__flat_content] = STATE(97),
    [sym__text_with_env_content] = STATE(97),
    [sym__text_content] = STATE(97),
    [sym__section] = STATE(97),
    [sym__paragraph] = STATE(97),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(97),
    [sym_text] = STATE(97),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(97),
    [sym_displayed_equation] = STATE(97),
    [sym_inline_formula] = STATE(97),
    [sym_math_delimiter] = STATE(97),
    [sym_text_mode] = STATE(97),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(97),
    [sym_comment_environment] = STATE(97),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(97),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(97),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(97),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(97),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(97),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(97),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(97),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(97),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(97),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(97),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(97),
    [sym_generic_command] = STATE(97),
    [sym_title_declaration] = STATE(97),
    [sym_author_declaration] = STATE(97),
    [sym_package_include] = STATE(97),
    [sym_class_include] = STATE(97),
    [sym_latex_include] = STATE(97),
    [sym_biblatex_include] = STATE(97),
    [sym_bibstyle_include] = STATE(97),
    [sym_bibtex_include] = STATE(97),
    [sym_graphics_include] = STATE(97),
    [sym_svg_include] = STATE(97),
    [sym_inkscape_include] = STATE(97),
    [sym_verbatim_include] = STATE(97),
    [sym_import_include] = STATE(97),
    [sym_caption] = STATE(97),
    [sym_citation] = STATE(97),
    [sym_label_definition] = STATE(97),
    [sym_label_reference] = STATE(97),
    [sym_label_reference_range] = STATE(97),
    [sym_label_number] = STATE(97),
    [sym_new_command_definition] = STATE(97),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(97),
    [sym_let_command_definition] = STATE(97),
    [sym_paired_delimiter_definition] = STATE(97),
    [sym_environment_definition] = STATE(97),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(97),
    [sym_glossary_entry_reference] = STATE(97),
    [sym_acronym_definition] = STATE(97),
    [sym_acronym_reference] = STATE(97),
    [sym_theorem_definition] = STATE(97),
    [sym_color_definition] = STATE(97),
    [sym_color_set_definition] = STATE(97),
    [sym_color_reference] = STATE(97),
    [sym_tikz_library_import] = STATE(97),
    [sym_hyperlink] = STATE(97),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(157),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(157),
    [anon_sym_LBRACK] = ACTIONS(159),
    [anon_sym_RBRACK] = ACTIONS(159),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_RPAREN] = ACTIONS(159),
    [anon_sym_BSLASHpart] = ACTIONS(157),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddpart] = ACTIONS(157),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(159),
    [anon_sym_BSLASHchapter] = ACTIONS(157),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddchap] = ACTIONS(157),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsection] = ACTIONS(157),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddsec] = ACTIONS(157),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubsection] = ACTIONS(157),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(157),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHparagraph] = ACTIONS(157),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(157),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(159),
    [anon_sym_BSLASHitem] = ACTIONS(157),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(159),
    [anon_sym_LBRACE] = ACTIONS(159),
    [sym_word] = ACTIONS(157),
    [sym_placeholder] = ACTIONS(159),
    [sym_delimiter] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_SLASH] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(157),
    [anon_sym_GT] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(157),
    [anon_sym_PIPE] = ACTIONS(157),
    [anon_sym_COLON] = ACTIONS(157),
    [anon_sym_SQUOTE] = ACTIONS(157),
    [anon_sym__] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(159),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(159),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(161),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(159),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(159),
    [anon_sym_BSLASHleft] = ACTIONS(157),
    [anon_sym_BSLASHbigl] = ACTIONS(157),
    [anon_sym_BSLASHBigl] = ACTIONS(157),
    [anon_sym_BSLASHbiggl] = ACTIONS(157),
    [anon_sym_BSLASHBiggl] = ACTIONS(157),
    [anon_sym_BSLASHtext] = ACTIONS(157),
    [anon_sym_BSLASHintertext] = ACTIONS(157),
    [anon_sym_BSLASHshortintertext] = ACTIONS(157),
    [anon_sym_BSLASHbegin] = ACTIONS(157),
    [anon_sym_BSLASHtitle] = ACTIONS(157),
    [anon_sym_BSLASHauthor] = ACTIONS(157),
    [anon_sym_BSLASHusepackage] = ACTIONS(157),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(157),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(157),
    [anon_sym_BSLASHinclude] = ACTIONS(157),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(157),
    [anon_sym_BSLASHinput] = ACTIONS(157),
    [anon_sym_BSLASHsubfile] = ACTIONS(157),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(157),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(157),
    [anon_sym_BSLASHbibliography] = ACTIONS(157),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(157),
    [anon_sym_BSLASHincludesvg] = ACTIONS(157),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(157),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(157),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(157),
    [anon_sym_BSLASHimport] = ACTIONS(157),
    [anon_sym_BSLASHsubimport] = ACTIONS(157),
    [anon_sym_BSLASHinputfrom] = ACTIONS(157),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(157),
    [anon_sym_BSLASHincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHcaption] = ACTIONS(157),
    [anon_sym_BSLASHcite] = ACTIONS(157),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCite] = ACTIONS(157),
    [anon_sym_BSLASHnocite] = ACTIONS(157),
    [anon_sym_BSLASHcitet] = ACTIONS(157),
    [anon_sym_BSLASHcitep] = ACTIONS(157),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteA] = ACTIONS(157),
    [anon_sym_BSLASHciteR] = ACTIONS(157),
    [anon_sym_BSLASHciteS] = ACTIONS(157),
    [anon_sym_BSLASHciteyearR] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(157),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitetitle] = ACTIONS(157),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteyear] = ACTIONS(157),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitedate] = ACTIONS(157),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteurl] = ACTIONS(157),
    [anon_sym_BSLASHfullcite] = ACTIONS(157),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(157),
    [anon_sym_BSLASHcitealt] = ACTIONS(157),
    [anon_sym_BSLASHcitealp] = ACTIONS(157),
    [anon_sym_BSLASHcitetext] = ACTIONS(157),
    [anon_sym_BSLASHparencite] = ACTIONS(157),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHParencite] = ACTIONS(157),
    [anon_sym_BSLASHfootcite] = ACTIONS(157),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(157),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(157),
    [anon_sym_BSLASHtextcite] = ACTIONS(157),
    [anon_sym_BSLASHTextcite] = ACTIONS(157),
    [anon_sym_BSLASHsmartcite] = ACTIONS(157),
    [anon_sym_BSLASHSmartcite] = ACTIONS(157),
    [anon_sym_BSLASHsupercite] = ACTIONS(157),
    [anon_sym_BSLASHautocite] = ACTIONS(157),
    [anon_sym_BSLASHAutocite] = ACTIONS(157),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHvolcite] = ACTIONS(157),
    [anon_sym_BSLASHVolcite] = ACTIONS(157),
    [anon_sym_BSLASHpvolcite] = ACTIONS(157),
    [anon_sym_BSLASHPvolcite] = ACTIONS(157),
    [anon_sym_BSLASHfvolcite] = ACTIONS(157),
    [anon_sym_BSLASHftvolcite] = ACTIONS(157),
    [anon_sym_BSLASHsvolcite] = ACTIONS(157),
    [anon_sym_BSLASHSvolcite] = ACTIONS(157),
    [anon_sym_BSLASHtvolcite] = ACTIONS(157),
    [anon_sym_BSLASHTvolcite] = ACTIONS(157),
    [anon_sym_BSLASHavolcite] = ACTIONS(157),
    [anon_sym_BSLASHAvolcite] = ACTIONS(157),
    [anon_sym_BSLASHnotecite] = ACTIONS(157),
    [anon_sym_BSLASHNotecite] = ACTIONS(157),
    [anon_sym_BSLASHpnotecite] = ACTIONS(157),
    [anon_sym_BSLASHPnotecite] = ACTIONS(157),
    [anon_sym_BSLASHfnotecite] = ACTIONS(157),
    [anon_sym_BSLASHlabel] = ACTIONS(157),
    [anon_sym_BSLASHref] = ACTIONS(157),
    [anon_sym_BSLASHeqref] = ACTIONS(157),
    [anon_sym_BSLASHvref] = ACTIONS(157),
    [anon_sym_BSLASHVref] = ACTIONS(157),
    [anon_sym_BSLASHautoref] = ACTIONS(157),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpageref] = ACTIONS(157),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHautopageref] = ACTIONS(157),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcref] = ACTIONS(157),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCref] = ACTIONS(157),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpageref] = ACTIONS(157),
    [anon_sym_BSLASHCpageref] = ACTIONS(157),
    [anon_sym_BSLASHnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnameCref] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcrefrange] = ACTIONS(157),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCrefrange] = ACTIONS(157),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHnewlabel] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(157),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(157),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(157),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(159),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHdef] = ACTIONS(157),
    [anon_sym_BSLASHgdef] = ACTIONS(157),
    [anon_sym_BSLASHedef] = ACTIONS(157),
    [anon_sym_BSLASHxdef] = ACTIONS(157),
    [anon_sym_BSLASHlet] = ACTIONS(157),
    [anon_sym_BSLASHglet] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(157),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(157),
    [anon_sym_BSLASHgls] = ACTIONS(157),
    [anon_sym_BSLASHGls] = ACTIONS(157),
    [anon_sym_BSLASHGLS] = ACTIONS(157),
    [anon_sym_BSLASHglspl] = ACTIONS(157),
    [anon_sym_BSLASHGlspl] = ACTIONS(157),
    [anon_sym_BSLASHGLSpl] = ACTIONS(157),
    [anon_sym_BSLASHglsdisp] = ACTIONS(157),
    [anon_sym_BSLASHglslink] = ACTIONS(157),
    [anon_sym_BSLASHglstext] = ACTIONS(157),
    [anon_sym_BSLASHGlstext] = ACTIONS(157),
    [anon_sym_BSLASHGLStext] = ACTIONS(157),
    [anon_sym_BSLASHglsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(157),
    [anon_sym_BSLASHglsplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSplural] = ACTIONS(157),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHglsname] = ACTIONS(157),
    [anon_sym_BSLASHGlsname] = ACTIONS(157),
    [anon_sym_BSLASHGLSname] = ACTIONS(157),
    [anon_sym_BSLASHglssymbol] = ACTIONS(157),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(157),
    [anon_sym_BSLASHglsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(157),
    [anon_sym_BSLASHglsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(157),
    [anon_sym_BSLASHglsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(157),
    [anon_sym_BSLASHglsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(157),
    [anon_sym_BSLASHglsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(157),
    [anon_sym_BSLASHnewacronym] = ACTIONS(157),
    [anon_sym_BSLASHacrshort] = ACTIONS(157),
    [anon_sym_BSLASHAcrshort] = ACTIONS(157),
    [anon_sym_BSLASHACRshort] = ACTIONS(157),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(157),
    [anon_sym_BSLASHacrlong] = ACTIONS(157),
    [anon_sym_BSLASHAcrlong] = ACTIONS(157),
    [anon_sym_BSLASHACRlong] = ACTIONS(157),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(157),
    [anon_sym_BSLASHacrfull] = ACTIONS(157),
    [anon_sym_BSLASHAcrfull] = ACTIONS(157),
    [anon_sym_BSLASHACRfull] = ACTIONS(157),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(157),
    [anon_sym_BSLASHacs] = ACTIONS(157),
    [anon_sym_BSLASHAcs] = ACTIONS(157),
    [anon_sym_BSLASHacsp] = ACTIONS(157),
    [anon_sym_BSLASHAcsp] = ACTIONS(157),
    [anon_sym_BSLASHacl] = ACTIONS(157),
    [anon_sym_BSLASHAcl] = ACTIONS(157),
    [anon_sym_BSLASHaclp] = ACTIONS(157),
    [anon_sym_BSLASHAclp] = ACTIONS(157),
    [anon_sym_BSLASHacf] = ACTIONS(157),
    [anon_sym_BSLASHAcf] = ACTIONS(157),
    [anon_sym_BSLASHacfp] = ACTIONS(157),
    [anon_sym_BSLASHAcfp] = ACTIONS(157),
    [anon_sym_BSLASHac] = ACTIONS(157),
    [anon_sym_BSLASHAc] = ACTIONS(157),
    [anon_sym_BSLASHacp] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(157),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(157),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(157),
    [anon_sym_BSLASHcolor] = ACTIONS(157),
    [anon_sym_BSLASHpagecolor] = ACTIONS(157),
    [anon_sym_BSLASHtextcolor] = ACTIONS(157),
    [anon_sym_BSLASHmathcolor] = ACTIONS(157),
    [anon_sym_BSLASHcolorbox] = ACTIONS(157),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(157),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(157),
    [anon_sym_BSLASHurl] = ACTIONS(157),
    [anon_sym_BSLASHhref] = ACTIONS(157),
  },
  [63] = {
    [sym_block_comment] = STATE(81),
    [sym__root_content] = STATE(81),
    [sym__flat_content] = STATE(81),
    [sym__text_with_env_content] = STATE(81),
    [sym__text_content] = STATE(81),
    [sym__section] = STATE(81),
    [sym__paragraph] = STATE(81),
    [sym__part_declaration] = STATE(163),
    [sym_part] = STATE(795),
    [sym__chapter_declaration] = STATE(173),
    [sym_chapter] = STATE(796),
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(797),
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(798),
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(799),
    [sym__paragraph_declaration] = STATE(213),
    [sym_paragraph] = STATE(800),
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(801),
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(802),
    [sym_curly_group] = STATE(81),
    [sym_text] = STATE(81),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(81),
    [sym_displayed_equation] = STATE(81),
    [sym_inline_formula] = STATE(81),
    [sym_math_delimiter] = STATE(81),
    [sym_text_mode] = STATE(81),
    [sym_begin] = STATE(71),
    [sym_end] = STATE(1024),
    [sym_generic_environment] = STATE(81),
    [sym_comment_environment] = STATE(81),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(81),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(81),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(81),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(81),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(81),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(81),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(81),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(81),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(81),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(81),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(81),
    [sym_generic_command] = STATE(81),
    [sym_title_declaration] = STATE(81),
    [sym_author_declaration] = STATE(81),
    [sym_package_include] = STATE(81),
    [sym_class_include] = STATE(81),
    [sym_latex_include] = STATE(81),
    [sym_biblatex_include] = STATE(81),
    [sym_bibstyle_include] = STATE(81),
    [sym_bibtex_include] = STATE(81),
    [sym_graphics_include] = STATE(81),
    [sym_svg_include] = STATE(81),
    [sym_inkscape_include] = STATE(81),
    [sym_verbatim_include] = STATE(81),
    [sym_import_include] = STATE(81),
    [sym_caption] = STATE(81),
    [sym_citation] = STATE(81),
    [sym_label_definition] = STATE(81),
    [sym_label_reference] = STATE(81),
    [sym_label_reference_range] = STATE(81),
    [sym_label_number] = STATE(81),
    [sym_new_command_definition] = STATE(81),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(81),
    [sym_let_command_definition] = STATE(81),
    [sym_paired_delimiter_definition] = STATE(81),
    [sym_environment_definition] = STATE(81),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(81),
    [sym_glossary_entry_reference] = STATE(81),
    [sym_acronym_definition] = STATE(81),
    [sym_acronym_reference] = STATE(81),
    [sym_theorem_definition] = STATE(81),
    [sym_color_definition] = STATE(81),
    [sym_color_set_definition] = STATE(81),
    [sym_color_reference] = STATE(81),
    [sym_tikz_library_import] = STATE(81),
    [sym_hyperlink] = STATE(81),
    [aux_sym_source_file_repeat1] = STATE(81),
    [aux_sym__section_repeat1] = STATE(795),
    [aux_sym__section_repeat2] = STATE(796),
    [aux_sym__section_repeat3] = STATE(797),
    [aux_sym__section_repeat4] = STATE(798),
    [aux_sym__section_repeat5] = STATE(799),
    [aux_sym__paragraph_repeat1] = STATE(800),
    [aux_sym__paragraph_repeat2] = STATE(801),
    [aux_sym__paragraph_repeat3] = STATE(802),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(828),
    [anon_sym_RBRACK] = ACTIONS(828),
    [anon_sym_COMMA] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(828),
    [anon_sym_LPAREN] = ACTIONS(828),
    [anon_sym_RPAREN] = ACTIONS(828),
    [anon_sym_BSLASHpart] = ACTIONS(680),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHaddpart] = ACTIONS(680),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHchapter] = ACTIONS(684),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(686),
    [anon_sym_BSLASHaddchap] = ACTIONS(684),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(686),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(704),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(706),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(736),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [64] = {
    [sym_block_comment] = STATE(64),
    [sym__root_content] = STATE(64),
    [sym__flat_content] = STATE(64),
    [sym__text_with_env_content] = STATE(64),
    [sym__text_content] = STATE(64),
    [sym__section] = STATE(64),
    [sym__paragraph] = STATE(64),
    [sym__part_declaration] = STATE(161),
    [sym_part] = STATE(509),
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(512),
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(515),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(516),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(519),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(64),
    [sym_text] = STATE(64),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(64),
    [sym_displayed_equation] = STATE(64),
    [sym_inline_formula] = STATE(64),
    [sym_math_delimiter] = STATE(64),
    [sym_text_mode] = STATE(64),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(64),
    [sym_comment_environment] = STATE(64),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(64),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(64),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(64),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(64),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(64),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(64),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(64),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(64),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(64),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(64),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(64),
    [sym_generic_command] = STATE(64),
    [sym_title_declaration] = STATE(64),
    [sym_author_declaration] = STATE(64),
    [sym_package_include] = STATE(64),
    [sym_class_include] = STATE(64),
    [sym_latex_include] = STATE(64),
    [sym_biblatex_include] = STATE(64),
    [sym_bibstyle_include] = STATE(64),
    [sym_bibtex_include] = STATE(64),
    [sym_graphics_include] = STATE(64),
    [sym_svg_include] = STATE(64),
    [sym_inkscape_include] = STATE(64),
    [sym_verbatim_include] = STATE(64),
    [sym_import_include] = STATE(64),
    [sym_caption] = STATE(64),
    [sym_citation] = STATE(64),
    [sym_label_definition] = STATE(64),
    [sym_label_reference] = STATE(64),
    [sym_label_reference_range] = STATE(64),
    [sym_label_number] = STATE(64),
    [sym_new_command_definition] = STATE(64),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(64),
    [sym_let_command_definition] = STATE(64),
    [sym_paired_delimiter_definition] = STATE(64),
    [sym_environment_definition] = STATE(64),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(64),
    [sym_glossary_entry_reference] = STATE(64),
    [sym_acronym_definition] = STATE(64),
    [sym_acronym_reference] = STATE(64),
    [sym_theorem_definition] = STATE(64),
    [sym_color_definition] = STATE(64),
    [sym_color_set_definition] = STATE(64),
    [sym_color_reference] = STATE(64),
    [sym_tikz_library_import] = STATE(64),
    [sym_hyperlink] = STATE(64),
    [aux_sym_source_file_repeat1] = STATE(64),
    [aux_sym__section_repeat1] = STATE(509),
    [aux_sym__section_repeat2] = STATE(512),
    [aux_sym__section_repeat3] = STATE(515),
    [aux_sym__section_repeat4] = STATE(516),
    [aux_sym__section_repeat5] = STATE(519),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_text_repeat1] = STATE(266),
    [ts_builtin_sym_end] = ACTIONS(848),
    [sym_command_name] = ACTIONS(850),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(853),
    [anon_sym_LBRACK] = ACTIONS(856),
    [anon_sym_RBRACK] = ACTIONS(856),
    [anon_sym_COMMA] = ACTIONS(856),
    [anon_sym_EQ] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(856),
    [anon_sym_RPAREN] = ACTIONS(856),
    [anon_sym_BSLASHpart] = ACTIONS(859),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(862),
    [anon_sym_BSLASHaddpart] = ACTIONS(859),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(862),
    [anon_sym_BSLASHchapter] = ACTIONS(865),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(868),
    [anon_sym_BSLASHaddchap] = ACTIONS(865),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(868),
    [anon_sym_BSLASHsection] = ACTIONS(871),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(874),
    [anon_sym_BSLASHaddsec] = ACTIONS(871),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(874),
    [anon_sym_BSLASHsubsection] = ACTIONS(877),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(880),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(883),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(886),
    [anon_sym_BSLASHparagraph] = ACTIONS(889),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(892),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(895),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(898),
    [anon_sym_BSLASHitem] = ACTIONS(901),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(907),
    [anon_sym_RBRACE] = ACTIONS(848),
    [sym_word] = ACTIONS(910),
    [sym_placeholder] = ACTIONS(913),
    [sym_delimiter] = ACTIONS(913),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_STAR] = ACTIONS(916),
    [anon_sym_SLASH] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(919),
    [anon_sym_GT] = ACTIONS(919),
    [anon_sym_BANG] = ACTIONS(919),
    [anon_sym_PIPE] = ACTIONS(919),
    [anon_sym_COLON] = ACTIONS(919),
    [anon_sym_SQUOTE] = ACTIONS(919),
    [anon_sym__] = ACTIONS(922),
    [anon_sym_CARET] = ACTIONS(925),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(928),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(928),
    [anon_sym_DOLLAR] = ACTIONS(931),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(934),
    [anon_sym_BSLASHleft] = ACTIONS(937),
    [anon_sym_BSLASHbigl] = ACTIONS(937),
    [anon_sym_BSLASHBigl] = ACTIONS(937),
    [anon_sym_BSLASHbiggl] = ACTIONS(937),
    [anon_sym_BSLASHBiggl] = ACTIONS(937),
    [anon_sym_BSLASHtext] = ACTIONS(940),
    [anon_sym_BSLASHintertext] = ACTIONS(940),
    [anon_sym_BSLASHshortintertext] = ACTIONS(940),
    [anon_sym_BSLASHbegin] = ACTIONS(434),
    [anon_sym_BSLASHtitle] = ACTIONS(943),
    [anon_sym_BSLASHauthor] = ACTIONS(946),
    [anon_sym_BSLASHusepackage] = ACTIONS(949),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(949),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(952),
    [anon_sym_BSLASHinclude] = ACTIONS(955),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(955),
    [anon_sym_BSLASHinput] = ACTIONS(955),
    [anon_sym_BSLASHsubfile] = ACTIONS(955),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(958),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(961),
    [anon_sym_BSLASHbibliography] = ACTIONS(964),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(967),
    [anon_sym_BSLASHincludesvg] = ACTIONS(970),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(976),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(976),
    [anon_sym_BSLASHimport] = ACTIONS(979),
    [anon_sym_BSLASHsubimport] = ACTIONS(979),
    [anon_sym_BSLASHinputfrom] = ACTIONS(979),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(979),
    [anon_sym_BSLASHincludefrom] = ACTIONS(979),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(979),
    [anon_sym_BSLASHcaption] = ACTIONS(982),
    [anon_sym_BSLASHcite] = ACTIONS(985),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(988),
    [anon_sym_BSLASHCite] = ACTIONS(985),
    [anon_sym_BSLASHnocite] = ACTIONS(985),
    [anon_sym_BSLASHcitet] = ACTIONS(985),
    [anon_sym_BSLASHcitep] = ACTIONS(985),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(988),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(988),
    [anon_sym_BSLASHciteA] = ACTIONS(985),
    [anon_sym_BSLASHciteR] = ACTIONS(985),
    [anon_sym_BSLASHciteS] = ACTIONS(985),
    [anon_sym_BSLASHciteyearR] = ACTIONS(985),
    [anon_sym_BSLASHciteauthor] = ACTIONS(985),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(988),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(985),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(988),
    [anon_sym_BSLASHcitetitle] = ACTIONS(985),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(988),
    [anon_sym_BSLASHciteyear] = ACTIONS(985),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(988),
    [anon_sym_BSLASHcitedate] = ACTIONS(985),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(988),
    [anon_sym_BSLASHciteurl] = ACTIONS(985),
    [anon_sym_BSLASHfullcite] = ACTIONS(985),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(985),
    [anon_sym_BSLASHcitealt] = ACTIONS(985),
    [anon_sym_BSLASHcitealp] = ACTIONS(985),
    [anon_sym_BSLASHcitetext] = ACTIONS(985),
    [anon_sym_BSLASHparencite] = ACTIONS(985),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(988),
    [anon_sym_BSLASHParencite] = ACTIONS(985),
    [anon_sym_BSLASHfootcite] = ACTIONS(985),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(985),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(985),
    [anon_sym_BSLASHtextcite] = ACTIONS(985),
    [anon_sym_BSLASHTextcite] = ACTIONS(985),
    [anon_sym_BSLASHsmartcite] = ACTIONS(985),
    [anon_sym_BSLASHSmartcite] = ACTIONS(985),
    [anon_sym_BSLASHsupercite] = ACTIONS(985),
    [anon_sym_BSLASHautocite] = ACTIONS(985),
    [anon_sym_BSLASHAutocite] = ACTIONS(985),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(988),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(988),
    [anon_sym_BSLASHvolcite] = ACTIONS(985),
    [anon_sym_BSLASHVolcite] = ACTIONS(985),
    [anon_sym_BSLASHpvolcite] = ACTIONS(985),
    [anon_sym_BSLASHPvolcite] = ACTIONS(985),
    [anon_sym_BSLASHfvolcite] = ACTIONS(985),
    [anon_sym_BSLASHftvolcite] = ACTIONS(985),
    [anon_sym_BSLASHsvolcite] = ACTIONS(985),
    [anon_sym_BSLASHSvolcite] = ACTIONS(985),
    [anon_sym_BSLASHtvolcite] = ACTIONS(985),
    [anon_sym_BSLASHTvolcite] = ACTIONS(985),
    [anon_sym_BSLASHavolcite] = ACTIONS(985),
    [anon_sym_BSLASHAvolcite] = ACTIONS(985),
    [anon_sym_BSLASHnotecite] = ACTIONS(985),
    [anon_sym_BSLASHNotecite] = ACTIONS(985),
    [anon_sym_BSLASHpnotecite] = ACTIONS(985),
    [anon_sym_BSLASHPnotecite] = ACTIONS(985),
    [anon_sym_BSLASHfnotecite] = ACTIONS(985),
    [anon_sym_BSLASHlabel] = ACTIONS(991),
    [anon_sym_BSLASHref] = ACTIONS(994),
    [anon_sym_BSLASHeqref] = ACTIONS(994),
    [anon_sym_BSLASHvref] = ACTIONS(994),
    [anon_sym_BSLASHVref] = ACTIONS(994),
    [anon_sym_BSLASHautoref] = ACTIONS(994),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(997),
    [anon_sym_BSLASHpageref] = ACTIONS(994),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(997),
    [anon_sym_BSLASHautopageref] = ACTIONS(994),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(997),
    [anon_sym_BSLASHcref] = ACTIONS(994),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(997),
    [anon_sym_BSLASHCref] = ACTIONS(994),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(997),
    [anon_sym_BSLASHcpageref] = ACTIONS(994),
    [anon_sym_BSLASHCpageref] = ACTIONS(994),
    [anon_sym_BSLASHnamecref] = ACTIONS(994),
    [anon_sym_BSLASHnameCref] = ACTIONS(994),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(994),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(994),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(994),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(994),
    [anon_sym_BSLASHlabelcref] = ACTIONS(994),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(997),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(994),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(997),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1000),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1003),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1000),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1003),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1000),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1000),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1006),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1009),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1012),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1009),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1012),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1009),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1012),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1009),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1012),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1009),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1012),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1015),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1015),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1015),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1015),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1015),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1015),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1015),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1015),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1018),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1018),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1018),
    [anon_sym_BSLASHdef] = ACTIONS(1021),
    [anon_sym_BSLASHgdef] = ACTIONS(1021),
    [anon_sym_BSLASHedef] = ACTIONS(1021),
    [anon_sym_BSLASHxdef] = ACTIONS(1021),
    [anon_sym_BSLASHlet] = ACTIONS(1024),
    [anon_sym_BSLASHglet] = ACTIONS(1024),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1027),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1027),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1030),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1030),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1033),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1033),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1033),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1033),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1036),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1036),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1036),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1039),
    [anon_sym_BSLASHgls] = ACTIONS(1042),
    [anon_sym_BSLASHGls] = ACTIONS(1042),
    [anon_sym_BSLASHGLS] = ACTIONS(1042),
    [anon_sym_BSLASHglspl] = ACTIONS(1042),
    [anon_sym_BSLASHGlspl] = ACTIONS(1042),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1042),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1042),
    [anon_sym_BSLASHglslink] = ACTIONS(1042),
    [anon_sym_BSLASHglstext] = ACTIONS(1042),
    [anon_sym_BSLASHGlstext] = ACTIONS(1042),
    [anon_sym_BSLASHGLStext] = ACTIONS(1042),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1042),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1042),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1042),
    [anon_sym_BSLASHglsplural] = ACTIONS(1042),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1042),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1042),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1042),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1042),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1042),
    [anon_sym_BSLASHglsname] = ACTIONS(1042),
    [anon_sym_BSLASHGlsname] = ACTIONS(1042),
    [anon_sym_BSLASHGLSname] = ACTIONS(1042),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1042),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1042),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1042),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1042),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1042),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1042),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1042),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1042),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1042),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1042),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1042),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1042),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1042),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1042),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1042),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1042),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1042),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1042),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1042),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1042),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1042),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1042),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1042),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1045),
    [anon_sym_BSLASHacrshort] = ACTIONS(1048),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1048),
    [anon_sym_BSLASHACRshort] = ACTIONS(1048),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1048),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1048),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1048),
    [anon_sym_BSLASHacrlong] = ACTIONS(1048),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1048),
    [anon_sym_BSLASHACRlong] = ACTIONS(1048),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1048),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1048),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1048),
    [anon_sym_BSLASHacrfull] = ACTIONS(1048),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1048),
    [anon_sym_BSLASHACRfull] = ACTIONS(1048),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1048),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1048),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1048),
    [anon_sym_BSLASHacs] = ACTIONS(1048),
    [anon_sym_BSLASHAcs] = ACTIONS(1048),
    [anon_sym_BSLASHacsp] = ACTIONS(1048),
    [anon_sym_BSLASHAcsp] = ACTIONS(1048),
    [anon_sym_BSLASHacl] = ACTIONS(1048),
    [anon_sym_BSLASHAcl] = ACTIONS(1048),
    [anon_sym_BSLASHaclp] = ACTIONS(1048),
    [anon_sym_BSLASHAclp] = ACTIONS(1048),
    [anon_sym_BSLASHacf] = ACTIONS(1048),
    [anon_sym_BSLASHAcf] = ACTIONS(1048),
    [anon_sym_BSLASHacfp] = ACTIONS(1048),
    [anon_sym_BSLASHAcfp] = ACTIONS(1048),
    [anon_sym_BSLASHac] = ACTIONS(1048),
    [anon_sym_BSLASHAc] = ACTIONS(1048),
    [anon_sym_BSLASHacp] = ACTIONS(1048),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1048),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1048),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1048),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1048),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1048),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1048),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1048),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1048),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1048),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1048),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1051),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1054),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1051),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1054),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1057),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1060),
    [anon_sym_BSLASHcolor] = ACTIONS(1063),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1063),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1063),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1063),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1063),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1066),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1066),
    [anon_sym_BSLASHurl] = ACTIONS(1069),
    [anon_sym_BSLASHhref] = ACTIONS(1069),
  },
  [65] = {
    [sym_block_comment] = STATE(97),
    [sym__root_content] = STATE(97),
    [sym__flat_content] = STATE(97),
    [sym__text_with_env_content] = STATE(97),
    [sym__text_content] = STATE(97),
    [sym__section] = STATE(97),
    [sym__paragraph] = STATE(97),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(97),
    [sym_text] = STATE(97),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(97),
    [sym_displayed_equation] = STATE(97),
    [sym_inline_formula] = STATE(97),
    [sym_math_delimiter] = STATE(97),
    [sym_text_mode] = STATE(97),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(97),
    [sym_comment_environment] = STATE(97),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(97),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(97),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(97),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(97),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(97),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(97),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(97),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(97),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(97),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(97),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(97),
    [sym_generic_command] = STATE(97),
    [sym_title_declaration] = STATE(97),
    [sym_author_declaration] = STATE(97),
    [sym_package_include] = STATE(97),
    [sym_class_include] = STATE(97),
    [sym_latex_include] = STATE(97),
    [sym_biblatex_include] = STATE(97),
    [sym_bibstyle_include] = STATE(97),
    [sym_bibtex_include] = STATE(97),
    [sym_graphics_include] = STATE(97),
    [sym_svg_include] = STATE(97),
    [sym_inkscape_include] = STATE(97),
    [sym_verbatim_include] = STATE(97),
    [sym_import_include] = STATE(97),
    [sym_caption] = STATE(97),
    [sym_citation] = STATE(97),
    [sym_label_definition] = STATE(97),
    [sym_label_reference] = STATE(97),
    [sym_label_reference_range] = STATE(97),
    [sym_label_number] = STATE(97),
    [sym_new_command_definition] = STATE(97),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(97),
    [sym_let_command_definition] = STATE(97),
    [sym_paired_delimiter_definition] = STATE(97),
    [sym_environment_definition] = STATE(97),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(97),
    [sym_glossary_entry_reference] = STATE(97),
    [sym_acronym_definition] = STATE(97),
    [sym_acronym_reference] = STATE(97),
    [sym_theorem_definition] = STATE(97),
    [sym_color_definition] = STATE(97),
    [sym_color_set_definition] = STATE(97),
    [sym_color_reference] = STATE(97),
    [sym_tikz_library_import] = STATE(97),
    [sym_hyperlink] = STATE(97),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(169),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_COMMA] = ACTIONS(171),
    [anon_sym_EQ] = ACTIONS(171),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_BSLASHpart] = ACTIONS(169),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddpart] = ACTIONS(169),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(171),
    [anon_sym_BSLASHchapter] = ACTIONS(169),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddchap] = ACTIONS(169),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsection] = ACTIONS(169),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddsec] = ACTIONS(169),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubsection] = ACTIONS(169),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(169),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHparagraph] = ACTIONS(169),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(169),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(171),
    [anon_sym_BSLASHitem] = ACTIONS(169),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(171),
    [anon_sym_LBRACE] = ACTIONS(171),
    [sym_word] = ACTIONS(169),
    [sym_placeholder] = ACTIONS(171),
    [sym_delimiter] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_STAR] = ACTIONS(171),
    [anon_sym_SLASH] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(169),
    [anon_sym_GT] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_PIPE] = ACTIONS(169),
    [anon_sym_COLON] = ACTIONS(169),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym__] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(171),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(171),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(171),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(161),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(171),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(171),
    [anon_sym_BSLASHleft] = ACTIONS(169),
    [anon_sym_BSLASHbigl] = ACTIONS(169),
    [anon_sym_BSLASHBigl] = ACTIONS(169),
    [anon_sym_BSLASHbiggl] = ACTIONS(169),
    [anon_sym_BSLASHBiggl] = ACTIONS(169),
    [anon_sym_BSLASHtext] = ACTIONS(169),
    [anon_sym_BSLASHintertext] = ACTIONS(169),
    [anon_sym_BSLASHshortintertext] = ACTIONS(169),
    [anon_sym_BSLASHbegin] = ACTIONS(169),
    [anon_sym_BSLASHtitle] = ACTIONS(169),
    [anon_sym_BSLASHauthor] = ACTIONS(169),
    [anon_sym_BSLASHusepackage] = ACTIONS(169),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(169),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(169),
    [anon_sym_BSLASHinclude] = ACTIONS(169),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(169),
    [anon_sym_BSLASHinput] = ACTIONS(169),
    [anon_sym_BSLASHsubfile] = ACTIONS(169),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(169),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(169),
    [anon_sym_BSLASHbibliography] = ACTIONS(169),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(169),
    [anon_sym_BSLASHincludesvg] = ACTIONS(169),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(169),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(169),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(169),
    [anon_sym_BSLASHimport] = ACTIONS(169),
    [anon_sym_BSLASHsubimport] = ACTIONS(169),
    [anon_sym_BSLASHinputfrom] = ACTIONS(169),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(169),
    [anon_sym_BSLASHincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHcaption] = ACTIONS(169),
    [anon_sym_BSLASHcite] = ACTIONS(169),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCite] = ACTIONS(169),
    [anon_sym_BSLASHnocite] = ACTIONS(169),
    [anon_sym_BSLASHcitet] = ACTIONS(169),
    [anon_sym_BSLASHcitep] = ACTIONS(169),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteA] = ACTIONS(169),
    [anon_sym_BSLASHciteR] = ACTIONS(169),
    [anon_sym_BSLASHciteS] = ACTIONS(169),
    [anon_sym_BSLASHciteyearR] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(169),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitetitle] = ACTIONS(169),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteyear] = ACTIONS(169),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitedate] = ACTIONS(169),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteurl] = ACTIONS(169),
    [anon_sym_BSLASHfullcite] = ACTIONS(169),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(169),
    [anon_sym_BSLASHcitealt] = ACTIONS(169),
    [anon_sym_BSLASHcitealp] = ACTIONS(169),
    [anon_sym_BSLASHcitetext] = ACTIONS(169),
    [anon_sym_BSLASHparencite] = ACTIONS(169),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHParencite] = ACTIONS(169),
    [anon_sym_BSLASHfootcite] = ACTIONS(169),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(169),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(169),
    [anon_sym_BSLASHtextcite] = ACTIONS(169),
    [anon_sym_BSLASHTextcite] = ACTIONS(169),
    [anon_sym_BSLASHsmartcite] = ACTIONS(169),
    [anon_sym_BSLASHSmartcite] = ACTIONS(169),
    [anon_sym_BSLASHsupercite] = ACTIONS(169),
    [anon_sym_BSLASHautocite] = ACTIONS(169),
    [anon_sym_BSLASHAutocite] = ACTIONS(169),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHvolcite] = ACTIONS(169),
    [anon_sym_BSLASHVolcite] = ACTIONS(169),
    [anon_sym_BSLASHpvolcite] = ACTIONS(169),
    [anon_sym_BSLASHPvolcite] = ACTIONS(169),
    [anon_sym_BSLASHfvolcite] = ACTIONS(169),
    [anon_sym_BSLASHftvolcite] = ACTIONS(169),
    [anon_sym_BSLASHsvolcite] = ACTIONS(169),
    [anon_sym_BSLASHSvolcite] = ACTIONS(169),
    [anon_sym_BSLASHtvolcite] = ACTIONS(169),
    [anon_sym_BSLASHTvolcite] = ACTIONS(169),
    [anon_sym_BSLASHavolcite] = ACTIONS(169),
    [anon_sym_BSLASHAvolcite] = ACTIONS(169),
    [anon_sym_BSLASHnotecite] = ACTIONS(169),
    [anon_sym_BSLASHNotecite] = ACTIONS(169),
    [anon_sym_BSLASHpnotecite] = ACTIONS(169),
    [anon_sym_BSLASHPnotecite] = ACTIONS(169),
    [anon_sym_BSLASHfnotecite] = ACTIONS(169),
    [anon_sym_BSLASHlabel] = ACTIONS(169),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHeqref] = ACTIONS(169),
    [anon_sym_BSLASHvref] = ACTIONS(169),
    [anon_sym_BSLASHVref] = ACTIONS(169),
    [anon_sym_BSLASHautoref] = ACTIONS(169),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHpageref] = ACTIONS(169),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHautopageref] = ACTIONS(169),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcref] = ACTIONS(169),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCref] = ACTIONS(169),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpageref] = ACTIONS(169),
    [anon_sym_BSLASHCpageref] = ACTIONS(169),
    [anon_sym_BSLASHnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnameCref] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcrefrange] = ACTIONS(169),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCrefrange] = ACTIONS(169),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHnewlabel] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(169),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(169),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(169),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(171),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHdef] = ACTIONS(169),
    [anon_sym_BSLASHgdef] = ACTIONS(169),
    [anon_sym_BSLASHedef] = ACTIONS(169),
    [anon_sym_BSLASHxdef] = ACTIONS(169),
    [anon_sym_BSLASHlet] = ACTIONS(169),
    [anon_sym_BSLASHglet] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(169),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(169),
    [anon_sym_BSLASHgls] = ACTIONS(169),
    [anon_sym_BSLASHGls] = ACTIONS(169),
    [anon_sym_BSLASHGLS] = ACTIONS(169),
    [anon_sym_BSLASHglspl] = ACTIONS(169),
    [anon_sym_BSLASHGlspl] = ACTIONS(169),
    [anon_sym_BSLASHGLSpl] = ACTIONS(169),
    [anon_sym_BSLASHglsdisp] = ACTIONS(169),
    [anon_sym_BSLASHglslink] = ACTIONS(169),
    [anon_sym_BSLASHglstext] = ACTIONS(169),
    [anon_sym_BSLASHGlstext] = ACTIONS(169),
    [anon_sym_BSLASHGLStext] = ACTIONS(169),
    [anon_sym_BSLASHglsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(169),
    [anon_sym_BSLASHglsplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSplural] = ACTIONS(169),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHglsname] = ACTIONS(169),
    [anon_sym_BSLASHGlsname] = ACTIONS(169),
    [anon_sym_BSLASHGLSname] = ACTIONS(169),
    [anon_sym_BSLASHglssymbol] = ACTIONS(169),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(169),
    [anon_sym_BSLASHglsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(169),
    [anon_sym_BSLASHglsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(169),
    [anon_sym_BSLASHglsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(169),
    [anon_sym_BSLASHglsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(169),
    [anon_sym_BSLASHglsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(169),
    [anon_sym_BSLASHnewacronym] = ACTIONS(169),
    [anon_sym_BSLASHacrshort] = ACTIONS(169),
    [anon_sym_BSLASHAcrshort] = ACTIONS(169),
    [anon_sym_BSLASHACRshort] = ACTIONS(169),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(169),
    [anon_sym_BSLASHacrlong] = ACTIONS(169),
    [anon_sym_BSLASHAcrlong] = ACTIONS(169),
    [anon_sym_BSLASHACRlong] = ACTIONS(169),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(169),
    [anon_sym_BSLASHacrfull] = ACTIONS(169),
    [anon_sym_BSLASHAcrfull] = ACTIONS(169),
    [anon_sym_BSLASHACRfull] = ACTIONS(169),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(169),
    [anon_sym_BSLASHacs] = ACTIONS(169),
    [anon_sym_BSLASHAcs] = ACTIONS(169),
    [anon_sym_BSLASHacsp] = ACTIONS(169),
    [anon_sym_BSLASHAcsp] = ACTIONS(169),
    [anon_sym_BSLASHacl] = ACTIONS(169),
    [anon_sym_BSLASHAcl] = ACTIONS(169),
    [anon_sym_BSLASHaclp] = ACTIONS(169),
    [anon_sym_BSLASHAclp] = ACTIONS(169),
    [anon_sym_BSLASHacf] = ACTIONS(169),
    [anon_sym_BSLASHAcf] = ACTIONS(169),
    [anon_sym_BSLASHacfp] = ACTIONS(169),
    [anon_sym_BSLASHAcfp] = ACTIONS(169),
    [anon_sym_BSLASHac] = ACTIONS(169),
    [anon_sym_BSLASHAc] = ACTIONS(169),
    [anon_sym_BSLASHacp] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(169),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(169),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(169),
    [anon_sym_BSLASHcolor] = ACTIONS(169),
    [anon_sym_BSLASHpagecolor] = ACTIONS(169),
    [anon_sym_BSLASHtextcolor] = ACTIONS(169),
    [anon_sym_BSLASHmathcolor] = ACTIONS(169),
    [anon_sym_BSLASHcolorbox] = ACTIONS(169),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(169),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(169),
    [anon_sym_BSLASHurl] = ACTIONS(169),
    [anon_sym_BSLASHhref] = ACTIONS(169),
  },
  [66] = {
    [sym_block_comment] = STATE(97),
    [sym__root_content] = STATE(97),
    [sym__flat_content] = STATE(97),
    [sym__text_with_env_content] = STATE(97),
    [sym__text_content] = STATE(97),
    [sym__section] = STATE(97),
    [sym__paragraph] = STATE(97),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(97),
    [sym_text] = STATE(97),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(97),
    [sym_displayed_equation] = STATE(97),
    [sym_inline_formula] = STATE(97),
    [sym_math_delimiter] = STATE(97),
    [sym_text_mode] = STATE(97),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(97),
    [sym_comment_environment] = STATE(97),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(97),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(97),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(97),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(97),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(97),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(97),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(97),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(97),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(97),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(97),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(97),
    [sym_generic_command] = STATE(97),
    [sym_title_declaration] = STATE(97),
    [sym_author_declaration] = STATE(97),
    [sym_package_include] = STATE(97),
    [sym_class_include] = STATE(97),
    [sym_latex_include] = STATE(97),
    [sym_biblatex_include] = STATE(97),
    [sym_bibstyle_include] = STATE(97),
    [sym_bibtex_include] = STATE(97),
    [sym_graphics_include] = STATE(97),
    [sym_svg_include] = STATE(97),
    [sym_inkscape_include] = STATE(97),
    [sym_verbatim_include] = STATE(97),
    [sym_import_include] = STATE(97),
    [sym_caption] = STATE(97),
    [sym_citation] = STATE(97),
    [sym_label_definition] = STATE(97),
    [sym_label_reference] = STATE(97),
    [sym_label_reference_range] = STATE(97),
    [sym_label_number] = STATE(97),
    [sym_new_command_definition] = STATE(97),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(97),
    [sym_let_command_definition] = STATE(97),
    [sym_paired_delimiter_definition] = STATE(97),
    [sym_environment_definition] = STATE(97),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(97),
    [sym_glossary_entry_reference] = STATE(97),
    [sym_acronym_definition] = STATE(97),
    [sym_acronym_reference] = STATE(97),
    [sym_theorem_definition] = STATE(97),
    [sym_color_definition] = STATE(97),
    [sym_color_set_definition] = STATE(97),
    [sym_color_reference] = STATE(97),
    [sym_tikz_library_import] = STATE(97),
    [sym_hyperlink] = STATE(97),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(157),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(157),
    [anon_sym_LBRACK] = ACTIONS(159),
    [anon_sym_RBRACK] = ACTIONS(159),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_RPAREN] = ACTIONS(159),
    [anon_sym_BSLASHpart] = ACTIONS(157),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddpart] = ACTIONS(157),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(159),
    [anon_sym_BSLASHchapter] = ACTIONS(157),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddchap] = ACTIONS(157),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsection] = ACTIONS(157),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddsec] = ACTIONS(157),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubsection] = ACTIONS(157),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(157),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHparagraph] = ACTIONS(157),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(157),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(159),
    [anon_sym_BSLASHitem] = ACTIONS(157),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(159),
    [anon_sym_LBRACE] = ACTIONS(159),
    [sym_word] = ACTIONS(157),
    [sym_placeholder] = ACTIONS(159),
    [sym_delimiter] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_SLASH] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(157),
    [anon_sym_GT] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(157),
    [anon_sym_PIPE] = ACTIONS(157),
    [anon_sym_COLON] = ACTIONS(157),
    [anon_sym_SQUOTE] = ACTIONS(157),
    [anon_sym__] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(159),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(159),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(161),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(159),
    [anon_sym_BSLASHleft] = ACTIONS(157),
    [anon_sym_BSLASHbigl] = ACTIONS(157),
    [anon_sym_BSLASHBigl] = ACTIONS(157),
    [anon_sym_BSLASHbiggl] = ACTIONS(157),
    [anon_sym_BSLASHBiggl] = ACTIONS(157),
    [anon_sym_BSLASHtext] = ACTIONS(157),
    [anon_sym_BSLASHintertext] = ACTIONS(157),
    [anon_sym_BSLASHshortintertext] = ACTIONS(157),
    [anon_sym_BSLASHbegin] = ACTIONS(157),
    [anon_sym_BSLASHend] = ACTIONS(157),
    [anon_sym_BSLASHtitle] = ACTIONS(157),
    [anon_sym_BSLASHauthor] = ACTIONS(157),
    [anon_sym_BSLASHusepackage] = ACTIONS(157),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(157),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(157),
    [anon_sym_BSLASHinclude] = ACTIONS(157),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(157),
    [anon_sym_BSLASHinput] = ACTIONS(157),
    [anon_sym_BSLASHsubfile] = ACTIONS(157),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(157),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(157),
    [anon_sym_BSLASHbibliography] = ACTIONS(157),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(157),
    [anon_sym_BSLASHincludesvg] = ACTIONS(157),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(157),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(157),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(157),
    [anon_sym_BSLASHimport] = ACTIONS(157),
    [anon_sym_BSLASHsubimport] = ACTIONS(157),
    [anon_sym_BSLASHinputfrom] = ACTIONS(157),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(157),
    [anon_sym_BSLASHincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHcaption] = ACTIONS(157),
    [anon_sym_BSLASHcite] = ACTIONS(157),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCite] = ACTIONS(157),
    [anon_sym_BSLASHnocite] = ACTIONS(157),
    [anon_sym_BSLASHcitet] = ACTIONS(157),
    [anon_sym_BSLASHcitep] = ACTIONS(157),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteA] = ACTIONS(157),
    [anon_sym_BSLASHciteR] = ACTIONS(157),
    [anon_sym_BSLASHciteS] = ACTIONS(157),
    [anon_sym_BSLASHciteyearR] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(157),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitetitle] = ACTIONS(157),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteyear] = ACTIONS(157),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitedate] = ACTIONS(157),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteurl] = ACTIONS(157),
    [anon_sym_BSLASHfullcite] = ACTIONS(157),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(157),
    [anon_sym_BSLASHcitealt] = ACTIONS(157),
    [anon_sym_BSLASHcitealp] = ACTIONS(157),
    [anon_sym_BSLASHcitetext] = ACTIONS(157),
    [anon_sym_BSLASHparencite] = ACTIONS(157),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHParencite] = ACTIONS(157),
    [anon_sym_BSLASHfootcite] = ACTIONS(157),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(157),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(157),
    [anon_sym_BSLASHtextcite] = ACTIONS(157),
    [anon_sym_BSLASHTextcite] = ACTIONS(157),
    [anon_sym_BSLASHsmartcite] = ACTIONS(157),
    [anon_sym_BSLASHSmartcite] = ACTIONS(157),
    [anon_sym_BSLASHsupercite] = ACTIONS(157),
    [anon_sym_BSLASHautocite] = ACTIONS(157),
    [anon_sym_BSLASHAutocite] = ACTIONS(157),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHvolcite] = ACTIONS(157),
    [anon_sym_BSLASHVolcite] = ACTIONS(157),
    [anon_sym_BSLASHpvolcite] = ACTIONS(157),
    [anon_sym_BSLASHPvolcite] = ACTIONS(157),
    [anon_sym_BSLASHfvolcite] = ACTIONS(157),
    [anon_sym_BSLASHftvolcite] = ACTIONS(157),
    [anon_sym_BSLASHsvolcite] = ACTIONS(157),
    [anon_sym_BSLASHSvolcite] = ACTIONS(157),
    [anon_sym_BSLASHtvolcite] = ACTIONS(157),
    [anon_sym_BSLASHTvolcite] = ACTIONS(157),
    [anon_sym_BSLASHavolcite] = ACTIONS(157),
    [anon_sym_BSLASHAvolcite] = ACTIONS(157),
    [anon_sym_BSLASHnotecite] = ACTIONS(157),
    [anon_sym_BSLASHNotecite] = ACTIONS(157),
    [anon_sym_BSLASHpnotecite] = ACTIONS(157),
    [anon_sym_BSLASHPnotecite] = ACTIONS(157),
    [anon_sym_BSLASHfnotecite] = ACTIONS(157),
    [anon_sym_BSLASHlabel] = ACTIONS(157),
    [anon_sym_BSLASHref] = ACTIONS(157),
    [anon_sym_BSLASHeqref] = ACTIONS(157),
    [anon_sym_BSLASHvref] = ACTIONS(157),
    [anon_sym_BSLASHVref] = ACTIONS(157),
    [anon_sym_BSLASHautoref] = ACTIONS(157),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpageref] = ACTIONS(157),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHautopageref] = ACTIONS(157),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcref] = ACTIONS(157),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCref] = ACTIONS(157),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpageref] = ACTIONS(157),
    [anon_sym_BSLASHCpageref] = ACTIONS(157),
    [anon_sym_BSLASHnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnameCref] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcrefrange] = ACTIONS(157),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCrefrange] = ACTIONS(157),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHnewlabel] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(157),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(157),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(157),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(159),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHdef] = ACTIONS(157),
    [anon_sym_BSLASHgdef] = ACTIONS(157),
    [anon_sym_BSLASHedef] = ACTIONS(157),
    [anon_sym_BSLASHxdef] = ACTIONS(157),
    [anon_sym_BSLASHlet] = ACTIONS(157),
    [anon_sym_BSLASHglet] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(157),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(157),
    [anon_sym_BSLASHgls] = ACTIONS(157),
    [anon_sym_BSLASHGls] = ACTIONS(157),
    [anon_sym_BSLASHGLS] = ACTIONS(157),
    [anon_sym_BSLASHglspl] = ACTIONS(157),
    [anon_sym_BSLASHGlspl] = ACTIONS(157),
    [anon_sym_BSLASHGLSpl] = ACTIONS(157),
    [anon_sym_BSLASHglsdisp] = ACTIONS(157),
    [anon_sym_BSLASHglslink] = ACTIONS(157),
    [anon_sym_BSLASHglstext] = ACTIONS(157),
    [anon_sym_BSLASHGlstext] = ACTIONS(157),
    [anon_sym_BSLASHGLStext] = ACTIONS(157),
    [anon_sym_BSLASHglsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(157),
    [anon_sym_BSLASHglsplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSplural] = ACTIONS(157),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHglsname] = ACTIONS(157),
    [anon_sym_BSLASHGlsname] = ACTIONS(157),
    [anon_sym_BSLASHGLSname] = ACTIONS(157),
    [anon_sym_BSLASHglssymbol] = ACTIONS(157),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(157),
    [anon_sym_BSLASHglsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(157),
    [anon_sym_BSLASHglsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(157),
    [anon_sym_BSLASHglsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(157),
    [anon_sym_BSLASHglsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(157),
    [anon_sym_BSLASHglsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(157),
    [anon_sym_BSLASHnewacronym] = ACTIONS(157),
    [anon_sym_BSLASHacrshort] = ACTIONS(157),
    [anon_sym_BSLASHAcrshort] = ACTIONS(157),
    [anon_sym_BSLASHACRshort] = ACTIONS(157),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(157),
    [anon_sym_BSLASHacrlong] = ACTIONS(157),
    [anon_sym_BSLASHAcrlong] = ACTIONS(157),
    [anon_sym_BSLASHACRlong] = ACTIONS(157),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(157),
    [anon_sym_BSLASHacrfull] = ACTIONS(157),
    [anon_sym_BSLASHAcrfull] = ACTIONS(157),
    [anon_sym_BSLASHACRfull] = ACTIONS(157),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(157),
    [anon_sym_BSLASHacs] = ACTIONS(157),
    [anon_sym_BSLASHAcs] = ACTIONS(157),
    [anon_sym_BSLASHacsp] = ACTIONS(157),
    [anon_sym_BSLASHAcsp] = ACTIONS(157),
    [anon_sym_BSLASHacl] = ACTIONS(157),
    [anon_sym_BSLASHAcl] = ACTIONS(157),
    [anon_sym_BSLASHaclp] = ACTIONS(157),
    [anon_sym_BSLASHAclp] = ACTIONS(157),
    [anon_sym_BSLASHacf] = ACTIONS(157),
    [anon_sym_BSLASHAcf] = ACTIONS(157),
    [anon_sym_BSLASHacfp] = ACTIONS(157),
    [anon_sym_BSLASHAcfp] = ACTIONS(157),
    [anon_sym_BSLASHac] = ACTIONS(157),
    [anon_sym_BSLASHAc] = ACTIONS(157),
    [anon_sym_BSLASHacp] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(157),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(157),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(157),
    [anon_sym_BSLASHcolor] = ACTIONS(157),
    [anon_sym_BSLASHpagecolor] = ACTIONS(157),
    [anon_sym_BSLASHtextcolor] = ACTIONS(157),
    [anon_sym_BSLASHmathcolor] = ACTIONS(157),
    [anon_sym_BSLASHcolorbox] = ACTIONS(157),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(157),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(157),
    [anon_sym_BSLASHurl] = ACTIONS(157),
    [anon_sym_BSLASHhref] = ACTIONS(157),
  },
  [67] = {
    [sym_block_comment] = STATE(104),
    [sym__root_content] = STATE(104),
    [sym__flat_content] = STATE(104),
    [sym__text_with_env_content] = STATE(104),
    [sym__text_content] = STATE(104),
    [sym__section] = STATE(104),
    [sym__paragraph] = STATE(104),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(104),
    [sym_text] = STATE(104),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(104),
    [sym_displayed_equation] = STATE(104),
    [sym_inline_formula] = STATE(104),
    [sym_math_delimiter] = STATE(104),
    [sym_text_mode] = STATE(104),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(104),
    [sym_comment_environment] = STATE(104),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(104),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(104),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(104),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(104),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(104),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(104),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(104),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(104),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(104),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(104),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(104),
    [sym_generic_command] = STATE(104),
    [sym_title_declaration] = STATE(104),
    [sym_author_declaration] = STATE(104),
    [sym_package_include] = STATE(104),
    [sym_class_include] = STATE(104),
    [sym_latex_include] = STATE(104),
    [sym_biblatex_include] = STATE(104),
    [sym_bibstyle_include] = STATE(104),
    [sym_bibtex_include] = STATE(104),
    [sym_graphics_include] = STATE(104),
    [sym_svg_include] = STATE(104),
    [sym_inkscape_include] = STATE(104),
    [sym_verbatim_include] = STATE(104),
    [sym_import_include] = STATE(104),
    [sym_caption] = STATE(104),
    [sym_citation] = STATE(104),
    [sym_label_definition] = STATE(104),
    [sym_label_reference] = STATE(104),
    [sym_label_reference_range] = STATE(104),
    [sym_label_number] = STATE(104),
    [sym_new_command_definition] = STATE(104),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(104),
    [sym_let_command_definition] = STATE(104),
    [sym_paired_delimiter_definition] = STATE(104),
    [sym_environment_definition] = STATE(104),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(104),
    [sym_glossary_entry_reference] = STATE(104),
    [sym_acronym_definition] = STATE(104),
    [sym_acronym_reference] = STATE(104),
    [sym_theorem_definition] = STATE(104),
    [sym_color_definition] = STATE(104),
    [sym_color_set_definition] = STATE(104),
    [sym_color_reference] = STATE(104),
    [sym_tikz_library_import] = STATE(104),
    [sym_hyperlink] = STATE(104),
    [aux_sym_source_file_repeat1] = STATE(104),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(163),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_RBRACK] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_RPAREN] = ACTIONS(165),
    [anon_sym_BSLASHpart] = ACTIONS(163),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddpart] = ACTIONS(163),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(165),
    [anon_sym_BSLASHchapter] = ACTIONS(163),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddchap] = ACTIONS(163),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsection] = ACTIONS(163),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddsec] = ACTIONS(163),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubsection] = ACTIONS(163),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(163),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHparagraph] = ACTIONS(163),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(163),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(165),
    [anon_sym_BSLASHitem] = ACTIONS(163),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(165),
    [sym_word] = ACTIONS(163),
    [sym_placeholder] = ACTIONS(165),
    [sym_delimiter] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym__] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(165),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(163),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(165),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(167),
    [anon_sym_BSLASHleft] = ACTIONS(163),
    [anon_sym_BSLASHbigl] = ACTIONS(163),
    [anon_sym_BSLASHBigl] = ACTIONS(163),
    [anon_sym_BSLASHbiggl] = ACTIONS(163),
    [anon_sym_BSLASHBiggl] = ACTIONS(163),
    [anon_sym_BSLASHtext] = ACTIONS(163),
    [anon_sym_BSLASHintertext] = ACTIONS(163),
    [anon_sym_BSLASHshortintertext] = ACTIONS(163),
    [anon_sym_BSLASHbegin] = ACTIONS(163),
    [anon_sym_BSLASHend] = ACTIONS(163),
    [anon_sym_BSLASHtitle] = ACTIONS(163),
    [anon_sym_BSLASHauthor] = ACTIONS(163),
    [anon_sym_BSLASHusepackage] = ACTIONS(163),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(163),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(163),
    [anon_sym_BSLASHinclude] = ACTIONS(163),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(163),
    [anon_sym_BSLASHinput] = ACTIONS(163),
    [anon_sym_BSLASHsubfile] = ACTIONS(163),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(163),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(163),
    [anon_sym_BSLASHbibliography] = ACTIONS(163),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(163),
    [anon_sym_BSLASHincludesvg] = ACTIONS(163),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(163),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(163),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(163),
    [anon_sym_BSLASHimport] = ACTIONS(163),
    [anon_sym_BSLASHsubimport] = ACTIONS(163),
    [anon_sym_BSLASHinputfrom] = ACTIONS(163),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(163),
    [anon_sym_BSLASHincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHcaption] = ACTIONS(163),
    [anon_sym_BSLASHcite] = ACTIONS(163),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCite] = ACTIONS(163),
    [anon_sym_BSLASHnocite] = ACTIONS(163),
    [anon_sym_BSLASHcitet] = ACTIONS(163),
    [anon_sym_BSLASHcitep] = ACTIONS(163),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteA] = ACTIONS(163),
    [anon_sym_BSLASHciteR] = ACTIONS(163),
    [anon_sym_BSLASHciteS] = ACTIONS(163),
    [anon_sym_BSLASHciteyearR] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(163),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitetitle] = ACTIONS(163),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteyear] = ACTIONS(163),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitedate] = ACTIONS(163),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteurl] = ACTIONS(163),
    [anon_sym_BSLASHfullcite] = ACTIONS(163),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(163),
    [anon_sym_BSLASHcitealt] = ACTIONS(163),
    [anon_sym_BSLASHcitealp] = ACTIONS(163),
    [anon_sym_BSLASHcitetext] = ACTIONS(163),
    [anon_sym_BSLASHparencite] = ACTIONS(163),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHParencite] = ACTIONS(163),
    [anon_sym_BSLASHfootcite] = ACTIONS(163),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(163),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(163),
    [anon_sym_BSLASHtextcite] = ACTIONS(163),
    [anon_sym_BSLASHTextcite] = ACTIONS(163),
    [anon_sym_BSLASHsmartcite] = ACTIONS(163),
    [anon_sym_BSLASHSmartcite] = ACTIONS(163),
    [anon_sym_BSLASHsupercite] = ACTIONS(163),
    [anon_sym_BSLASHautocite] = ACTIONS(163),
    [anon_sym_BSLASHAutocite] = ACTIONS(163),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHvolcite] = ACTIONS(163),
    [anon_sym_BSLASHVolcite] = ACTIONS(163),
    [anon_sym_BSLASHpvolcite] = ACTIONS(163),
    [anon_sym_BSLASHPvolcite] = ACTIONS(163),
    [anon_sym_BSLASHfvolcite] = ACTIONS(163),
    [anon_sym_BSLASHftvolcite] = ACTIONS(163),
    [anon_sym_BSLASHsvolcite] = ACTIONS(163),
    [anon_sym_BSLASHSvolcite] = ACTIONS(163),
    [anon_sym_BSLASHtvolcite] = ACTIONS(163),
    [anon_sym_BSLASHTvolcite] = ACTIONS(163),
    [anon_sym_BSLASHavolcite] = ACTIONS(163),
    [anon_sym_BSLASHAvolcite] = ACTIONS(163),
    [anon_sym_BSLASHnotecite] = ACTIONS(163),
    [anon_sym_BSLASHNotecite] = ACTIONS(163),
    [anon_sym_BSLASHpnotecite] = ACTIONS(163),
    [anon_sym_BSLASHPnotecite] = ACTIONS(163),
    [anon_sym_BSLASHfnotecite] = ACTIONS(163),
    [anon_sym_BSLASHlabel] = ACTIONS(163),
    [anon_sym_BSLASHref] = ACTIONS(163),
    [anon_sym_BSLASHeqref] = ACTIONS(163),
    [anon_sym_BSLASHvref] = ACTIONS(163),
    [anon_sym_BSLASHVref] = ACTIONS(163),
    [anon_sym_BSLASHautoref] = ACTIONS(163),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHpageref] = ACTIONS(163),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHautopageref] = ACTIONS(163),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcref] = ACTIONS(163),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCref] = ACTIONS(163),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpageref] = ACTIONS(163),
    [anon_sym_BSLASHCpageref] = ACTIONS(163),
    [anon_sym_BSLASHnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnameCref] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcrefrange] = ACTIONS(163),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCrefrange] = ACTIONS(163),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHnewlabel] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(163),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(163),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(163),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(165),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHdef] = ACTIONS(163),
    [anon_sym_BSLASHgdef] = ACTIONS(163),
    [anon_sym_BSLASHedef] = ACTIONS(163),
    [anon_sym_BSLASHxdef] = ACTIONS(163),
    [anon_sym_BSLASHlet] = ACTIONS(163),
    [anon_sym_BSLASHglet] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(163),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(163),
    [anon_sym_BSLASHgls] = ACTIONS(163),
    [anon_sym_BSLASHGls] = ACTIONS(163),
    [anon_sym_BSLASHGLS] = ACTIONS(163),
    [anon_sym_BSLASHglspl] = ACTIONS(163),
    [anon_sym_BSLASHGlspl] = ACTIONS(163),
    [anon_sym_BSLASHGLSpl] = ACTIONS(163),
    [anon_sym_BSLASHglsdisp] = ACTIONS(163),
    [anon_sym_BSLASHglslink] = ACTIONS(163),
    [anon_sym_BSLASHglstext] = ACTIONS(163),
    [anon_sym_BSLASHGlstext] = ACTIONS(163),
    [anon_sym_BSLASHGLStext] = ACTIONS(163),
    [anon_sym_BSLASHglsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(163),
    [anon_sym_BSLASHglsplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSplural] = ACTIONS(163),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHglsname] = ACTIONS(163),
    [anon_sym_BSLASHGlsname] = ACTIONS(163),
    [anon_sym_BSLASHGLSname] = ACTIONS(163),
    [anon_sym_BSLASHglssymbol] = ACTIONS(163),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(163),
    [anon_sym_BSLASHglsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(163),
    [anon_sym_BSLASHglsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(163),
    [anon_sym_BSLASHglsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(163),
    [anon_sym_BSLASHglsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(163),
    [anon_sym_BSLASHglsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(163),
    [anon_sym_BSLASHnewacronym] = ACTIONS(163),
    [anon_sym_BSLASHacrshort] = ACTIONS(163),
    [anon_sym_BSLASHAcrshort] = ACTIONS(163),
    [anon_sym_BSLASHACRshort] = ACTIONS(163),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(163),
    [anon_sym_BSLASHacrlong] = ACTIONS(163),
    [anon_sym_BSLASHAcrlong] = ACTIONS(163),
    [anon_sym_BSLASHACRlong] = ACTIONS(163),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(163),
    [anon_sym_BSLASHacrfull] = ACTIONS(163),
    [anon_sym_BSLASHAcrfull] = ACTIONS(163),
    [anon_sym_BSLASHACRfull] = ACTIONS(163),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(163),
    [anon_sym_BSLASHacs] = ACTIONS(163),
    [anon_sym_BSLASHAcs] = ACTIONS(163),
    [anon_sym_BSLASHacsp] = ACTIONS(163),
    [anon_sym_BSLASHAcsp] = ACTIONS(163),
    [anon_sym_BSLASHacl] = ACTIONS(163),
    [anon_sym_BSLASHAcl] = ACTIONS(163),
    [anon_sym_BSLASHaclp] = ACTIONS(163),
    [anon_sym_BSLASHAclp] = ACTIONS(163),
    [anon_sym_BSLASHacf] = ACTIONS(163),
    [anon_sym_BSLASHAcf] = ACTIONS(163),
    [anon_sym_BSLASHacfp] = ACTIONS(163),
    [anon_sym_BSLASHAcfp] = ACTIONS(163),
    [anon_sym_BSLASHac] = ACTIONS(163),
    [anon_sym_BSLASHAc] = ACTIONS(163),
    [anon_sym_BSLASHacp] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(163),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(163),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(163),
    [anon_sym_BSLASHcolor] = ACTIONS(163),
    [anon_sym_BSLASHpagecolor] = ACTIONS(163),
    [anon_sym_BSLASHtextcolor] = ACTIONS(163),
    [anon_sym_BSLASHmathcolor] = ACTIONS(163),
    [anon_sym_BSLASHcolorbox] = ACTIONS(163),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(163),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(163),
    [anon_sym_BSLASHurl] = ACTIONS(163),
    [anon_sym_BSLASHhref] = ACTIONS(163),
  },
  [68] = {
    [sym_block_comment] = STATE(97),
    [sym__root_content] = STATE(97),
    [sym__flat_content] = STATE(97),
    [sym__text_with_env_content] = STATE(97),
    [sym__text_content] = STATE(97),
    [sym__section] = STATE(97),
    [sym__paragraph] = STATE(97),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(97),
    [sym_text] = STATE(97),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(97),
    [sym_displayed_equation] = STATE(97),
    [sym_inline_formula] = STATE(97),
    [sym_math_delimiter] = STATE(97),
    [sym_text_mode] = STATE(97),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(97),
    [sym_comment_environment] = STATE(97),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(97),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(97),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(97),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(97),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(97),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(97),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(97),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(97),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(97),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(97),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(97),
    [sym_generic_command] = STATE(97),
    [sym_title_declaration] = STATE(97),
    [sym_author_declaration] = STATE(97),
    [sym_package_include] = STATE(97),
    [sym_class_include] = STATE(97),
    [sym_latex_include] = STATE(97),
    [sym_biblatex_include] = STATE(97),
    [sym_bibstyle_include] = STATE(97),
    [sym_bibtex_include] = STATE(97),
    [sym_graphics_include] = STATE(97),
    [sym_svg_include] = STATE(97),
    [sym_inkscape_include] = STATE(97),
    [sym_verbatim_include] = STATE(97),
    [sym_import_include] = STATE(97),
    [sym_caption] = STATE(97),
    [sym_citation] = STATE(97),
    [sym_label_definition] = STATE(97),
    [sym_label_reference] = STATE(97),
    [sym_label_reference_range] = STATE(97),
    [sym_label_number] = STATE(97),
    [sym_new_command_definition] = STATE(97),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(97),
    [sym_let_command_definition] = STATE(97),
    [sym_paired_delimiter_definition] = STATE(97),
    [sym_environment_definition] = STATE(97),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(97),
    [sym_glossary_entry_reference] = STATE(97),
    [sym_acronym_definition] = STATE(97),
    [sym_acronym_reference] = STATE(97),
    [sym_theorem_definition] = STATE(97),
    [sym_color_definition] = STATE(97),
    [sym_color_set_definition] = STATE(97),
    [sym_color_reference] = STATE(97),
    [sym_tikz_library_import] = STATE(97),
    [sym_hyperlink] = STATE(97),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(169),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_COMMA] = ACTIONS(171),
    [anon_sym_EQ] = ACTIONS(171),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_BSLASHpart] = ACTIONS(169),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddpart] = ACTIONS(169),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(171),
    [anon_sym_BSLASHchapter] = ACTIONS(169),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddchap] = ACTIONS(169),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsection] = ACTIONS(169),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddsec] = ACTIONS(169),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubsection] = ACTIONS(169),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(169),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHparagraph] = ACTIONS(169),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(169),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(171),
    [anon_sym_BSLASHitem] = ACTIONS(169),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(171),
    [anon_sym_LBRACE] = ACTIONS(171),
    [sym_word] = ACTIONS(169),
    [sym_placeholder] = ACTIONS(171),
    [sym_delimiter] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_STAR] = ACTIONS(171),
    [anon_sym_SLASH] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(169),
    [anon_sym_GT] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_PIPE] = ACTIONS(169),
    [anon_sym_COLON] = ACTIONS(169),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym__] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(171),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(171),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(171),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(161),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(171),
    [anon_sym_BSLASHleft] = ACTIONS(169),
    [anon_sym_BSLASHbigl] = ACTIONS(169),
    [anon_sym_BSLASHBigl] = ACTIONS(169),
    [anon_sym_BSLASHbiggl] = ACTIONS(169),
    [anon_sym_BSLASHBiggl] = ACTIONS(169),
    [anon_sym_BSLASHtext] = ACTIONS(169),
    [anon_sym_BSLASHintertext] = ACTIONS(169),
    [anon_sym_BSLASHshortintertext] = ACTIONS(169),
    [anon_sym_BSLASHbegin] = ACTIONS(169),
    [anon_sym_BSLASHend] = ACTIONS(169),
    [anon_sym_BSLASHtitle] = ACTIONS(169),
    [anon_sym_BSLASHauthor] = ACTIONS(169),
    [anon_sym_BSLASHusepackage] = ACTIONS(169),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(169),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(169),
    [anon_sym_BSLASHinclude] = ACTIONS(169),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(169),
    [anon_sym_BSLASHinput] = ACTIONS(169),
    [anon_sym_BSLASHsubfile] = ACTIONS(169),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(169),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(169),
    [anon_sym_BSLASHbibliography] = ACTIONS(169),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(169),
    [anon_sym_BSLASHincludesvg] = ACTIONS(169),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(169),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(169),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(169),
    [anon_sym_BSLASHimport] = ACTIONS(169),
    [anon_sym_BSLASHsubimport] = ACTIONS(169),
    [anon_sym_BSLASHinputfrom] = ACTIONS(169),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(169),
    [anon_sym_BSLASHincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHcaption] = ACTIONS(169),
    [anon_sym_BSLASHcite] = ACTIONS(169),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCite] = ACTIONS(169),
    [anon_sym_BSLASHnocite] = ACTIONS(169),
    [anon_sym_BSLASHcitet] = ACTIONS(169),
    [anon_sym_BSLASHcitep] = ACTIONS(169),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteA] = ACTIONS(169),
    [anon_sym_BSLASHciteR] = ACTIONS(169),
    [anon_sym_BSLASHciteS] = ACTIONS(169),
    [anon_sym_BSLASHciteyearR] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(169),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitetitle] = ACTIONS(169),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteyear] = ACTIONS(169),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitedate] = ACTIONS(169),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteurl] = ACTIONS(169),
    [anon_sym_BSLASHfullcite] = ACTIONS(169),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(169),
    [anon_sym_BSLASHcitealt] = ACTIONS(169),
    [anon_sym_BSLASHcitealp] = ACTIONS(169),
    [anon_sym_BSLASHcitetext] = ACTIONS(169),
    [anon_sym_BSLASHparencite] = ACTIONS(169),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHParencite] = ACTIONS(169),
    [anon_sym_BSLASHfootcite] = ACTIONS(169),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(169),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(169),
    [anon_sym_BSLASHtextcite] = ACTIONS(169),
    [anon_sym_BSLASHTextcite] = ACTIONS(169),
    [anon_sym_BSLASHsmartcite] = ACTIONS(169),
    [anon_sym_BSLASHSmartcite] = ACTIONS(169),
    [anon_sym_BSLASHsupercite] = ACTIONS(169),
    [anon_sym_BSLASHautocite] = ACTIONS(169),
    [anon_sym_BSLASHAutocite] = ACTIONS(169),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHvolcite] = ACTIONS(169),
    [anon_sym_BSLASHVolcite] = ACTIONS(169),
    [anon_sym_BSLASHpvolcite] = ACTIONS(169),
    [anon_sym_BSLASHPvolcite] = ACTIONS(169),
    [anon_sym_BSLASHfvolcite] = ACTIONS(169),
    [anon_sym_BSLASHftvolcite] = ACTIONS(169),
    [anon_sym_BSLASHsvolcite] = ACTIONS(169),
    [anon_sym_BSLASHSvolcite] = ACTIONS(169),
    [anon_sym_BSLASHtvolcite] = ACTIONS(169),
    [anon_sym_BSLASHTvolcite] = ACTIONS(169),
    [anon_sym_BSLASHavolcite] = ACTIONS(169),
    [anon_sym_BSLASHAvolcite] = ACTIONS(169),
    [anon_sym_BSLASHnotecite] = ACTIONS(169),
    [anon_sym_BSLASHNotecite] = ACTIONS(169),
    [anon_sym_BSLASHpnotecite] = ACTIONS(169),
    [anon_sym_BSLASHPnotecite] = ACTIONS(169),
    [anon_sym_BSLASHfnotecite] = ACTIONS(169),
    [anon_sym_BSLASHlabel] = ACTIONS(169),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHeqref] = ACTIONS(169),
    [anon_sym_BSLASHvref] = ACTIONS(169),
    [anon_sym_BSLASHVref] = ACTIONS(169),
    [anon_sym_BSLASHautoref] = ACTIONS(169),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHpageref] = ACTIONS(169),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHautopageref] = ACTIONS(169),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcref] = ACTIONS(169),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCref] = ACTIONS(169),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpageref] = ACTIONS(169),
    [anon_sym_BSLASHCpageref] = ACTIONS(169),
    [anon_sym_BSLASHnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnameCref] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcrefrange] = ACTIONS(169),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCrefrange] = ACTIONS(169),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHnewlabel] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(169),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(169),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(169),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(171),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHdef] = ACTIONS(169),
    [anon_sym_BSLASHgdef] = ACTIONS(169),
    [anon_sym_BSLASHedef] = ACTIONS(169),
    [anon_sym_BSLASHxdef] = ACTIONS(169),
    [anon_sym_BSLASHlet] = ACTIONS(169),
    [anon_sym_BSLASHglet] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(169),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(169),
    [anon_sym_BSLASHgls] = ACTIONS(169),
    [anon_sym_BSLASHGls] = ACTIONS(169),
    [anon_sym_BSLASHGLS] = ACTIONS(169),
    [anon_sym_BSLASHglspl] = ACTIONS(169),
    [anon_sym_BSLASHGlspl] = ACTIONS(169),
    [anon_sym_BSLASHGLSpl] = ACTIONS(169),
    [anon_sym_BSLASHglsdisp] = ACTIONS(169),
    [anon_sym_BSLASHglslink] = ACTIONS(169),
    [anon_sym_BSLASHglstext] = ACTIONS(169),
    [anon_sym_BSLASHGlstext] = ACTIONS(169),
    [anon_sym_BSLASHGLStext] = ACTIONS(169),
    [anon_sym_BSLASHglsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(169),
    [anon_sym_BSLASHglsplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSplural] = ACTIONS(169),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHglsname] = ACTIONS(169),
    [anon_sym_BSLASHGlsname] = ACTIONS(169),
    [anon_sym_BSLASHGLSname] = ACTIONS(169),
    [anon_sym_BSLASHglssymbol] = ACTIONS(169),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(169),
    [anon_sym_BSLASHglsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(169),
    [anon_sym_BSLASHglsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(169),
    [anon_sym_BSLASHglsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(169),
    [anon_sym_BSLASHglsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(169),
    [anon_sym_BSLASHglsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(169),
    [anon_sym_BSLASHnewacronym] = ACTIONS(169),
    [anon_sym_BSLASHacrshort] = ACTIONS(169),
    [anon_sym_BSLASHAcrshort] = ACTIONS(169),
    [anon_sym_BSLASHACRshort] = ACTIONS(169),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(169),
    [anon_sym_BSLASHacrlong] = ACTIONS(169),
    [anon_sym_BSLASHAcrlong] = ACTIONS(169),
    [anon_sym_BSLASHACRlong] = ACTIONS(169),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(169),
    [anon_sym_BSLASHacrfull] = ACTIONS(169),
    [anon_sym_BSLASHAcrfull] = ACTIONS(169),
    [anon_sym_BSLASHACRfull] = ACTIONS(169),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(169),
    [anon_sym_BSLASHacs] = ACTIONS(169),
    [anon_sym_BSLASHAcs] = ACTIONS(169),
    [anon_sym_BSLASHacsp] = ACTIONS(169),
    [anon_sym_BSLASHAcsp] = ACTIONS(169),
    [anon_sym_BSLASHacl] = ACTIONS(169),
    [anon_sym_BSLASHAcl] = ACTIONS(169),
    [anon_sym_BSLASHaclp] = ACTIONS(169),
    [anon_sym_BSLASHAclp] = ACTIONS(169),
    [anon_sym_BSLASHacf] = ACTIONS(169),
    [anon_sym_BSLASHAcf] = ACTIONS(169),
    [anon_sym_BSLASHacfp] = ACTIONS(169),
    [anon_sym_BSLASHAcfp] = ACTIONS(169),
    [anon_sym_BSLASHac] = ACTIONS(169),
    [anon_sym_BSLASHAc] = ACTIONS(169),
    [anon_sym_BSLASHacp] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(169),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(169),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(169),
    [anon_sym_BSLASHcolor] = ACTIONS(169),
    [anon_sym_BSLASHpagecolor] = ACTIONS(169),
    [anon_sym_BSLASHtextcolor] = ACTIONS(169),
    [anon_sym_BSLASHmathcolor] = ACTIONS(169),
    [anon_sym_BSLASHcolorbox] = ACTIONS(169),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(169),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(169),
    [anon_sym_BSLASHurl] = ACTIONS(169),
    [anon_sym_BSLASHhref] = ACTIONS(169),
  },
  [69] = {
    [sym_block_comment] = STATE(97),
    [sym__root_content] = STATE(97),
    [sym__flat_content] = STATE(97),
    [sym__text_with_env_content] = STATE(97),
    [sym__text_content] = STATE(97),
    [sym__section] = STATE(97),
    [sym__paragraph] = STATE(97),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(97),
    [sym_text] = STATE(97),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(97),
    [sym_displayed_equation] = STATE(97),
    [sym_inline_formula] = STATE(97),
    [sym_math_delimiter] = STATE(97),
    [sym_text_mode] = STATE(97),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(97),
    [sym_comment_environment] = STATE(97),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(97),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(97),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(97),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(97),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(97),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(97),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(97),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(97),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(97),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(97),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(97),
    [sym_generic_command] = STATE(97),
    [sym_title_declaration] = STATE(97),
    [sym_author_declaration] = STATE(97),
    [sym_package_include] = STATE(97),
    [sym_class_include] = STATE(97),
    [sym_latex_include] = STATE(97),
    [sym_biblatex_include] = STATE(97),
    [sym_bibstyle_include] = STATE(97),
    [sym_bibtex_include] = STATE(97),
    [sym_graphics_include] = STATE(97),
    [sym_svg_include] = STATE(97),
    [sym_inkscape_include] = STATE(97),
    [sym_verbatim_include] = STATE(97),
    [sym_import_include] = STATE(97),
    [sym_caption] = STATE(97),
    [sym_citation] = STATE(97),
    [sym_label_definition] = STATE(97),
    [sym_label_reference] = STATE(97),
    [sym_label_reference_range] = STATE(97),
    [sym_label_number] = STATE(97),
    [sym_new_command_definition] = STATE(97),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(97),
    [sym_let_command_definition] = STATE(97),
    [sym_paired_delimiter_definition] = STATE(97),
    [sym_environment_definition] = STATE(97),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(97),
    [sym_glossary_entry_reference] = STATE(97),
    [sym_acronym_definition] = STATE(97),
    [sym_acronym_reference] = STATE(97),
    [sym_theorem_definition] = STATE(97),
    [sym_color_definition] = STATE(97),
    [sym_color_set_definition] = STATE(97),
    [sym_color_reference] = STATE(97),
    [sym_tikz_library_import] = STATE(97),
    [sym_hyperlink] = STATE(97),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(157),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(157),
    [anon_sym_LBRACK] = ACTIONS(606),
    [anon_sym_RBRACK] = ACTIONS(606),
    [anon_sym_COMMA] = ACTIONS(606),
    [anon_sym_EQ] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_RPAREN] = ACTIONS(159),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_RBRACE] = ACTIONS(159),
    [sym_word] = ACTIONS(157),
    [sym_placeholder] = ACTIONS(159),
    [sym_delimiter] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_SLASH] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(157),
    [anon_sym_GT] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(157),
    [anon_sym_PIPE] = ACTIONS(157),
    [anon_sym_COLON] = ACTIONS(157),
    [anon_sym_SQUOTE] = ACTIONS(157),
    [anon_sym__] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(159),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(159),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(161),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(159),
    [anon_sym_BSLASHleft] = ACTIONS(157),
    [anon_sym_BSLASHbigl] = ACTIONS(157),
    [anon_sym_BSLASHBigl] = ACTIONS(157),
    [anon_sym_BSLASHbiggl] = ACTIONS(157),
    [anon_sym_BSLASHBiggl] = ACTIONS(157),
    [anon_sym_BSLASHtext] = ACTIONS(157),
    [anon_sym_BSLASHintertext] = ACTIONS(157),
    [anon_sym_BSLASHshortintertext] = ACTIONS(157),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(157),
    [anon_sym_BSLASHauthor] = ACTIONS(157),
    [anon_sym_BSLASHusepackage] = ACTIONS(157),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(157),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(157),
    [anon_sym_BSLASHinclude] = ACTIONS(157),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(157),
    [anon_sym_BSLASHinput] = ACTIONS(157),
    [anon_sym_BSLASHsubfile] = ACTIONS(157),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(157),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(157),
    [anon_sym_BSLASHbibliography] = ACTIONS(157),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(157),
    [anon_sym_BSLASHincludesvg] = ACTIONS(157),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(157),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(157),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(157),
    [anon_sym_BSLASHimport] = ACTIONS(157),
    [anon_sym_BSLASHsubimport] = ACTIONS(157),
    [anon_sym_BSLASHinputfrom] = ACTIONS(157),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(157),
    [anon_sym_BSLASHincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHcaption] = ACTIONS(157),
    [anon_sym_BSLASHcite] = ACTIONS(157),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCite] = ACTIONS(157),
    [anon_sym_BSLASHnocite] = ACTIONS(157),
    [anon_sym_BSLASHcitet] = ACTIONS(157),
    [anon_sym_BSLASHcitep] = ACTIONS(157),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteA] = ACTIONS(157),
    [anon_sym_BSLASHciteR] = ACTIONS(157),
    [anon_sym_BSLASHciteS] = ACTIONS(157),
    [anon_sym_BSLASHciteyearR] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(157),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitetitle] = ACTIONS(157),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteyear] = ACTIONS(157),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitedate] = ACTIONS(157),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteurl] = ACTIONS(157),
    [anon_sym_BSLASHfullcite] = ACTIONS(157),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(157),
    [anon_sym_BSLASHcitealt] = ACTIONS(157),
    [anon_sym_BSLASHcitealp] = ACTIONS(157),
    [anon_sym_BSLASHcitetext] = ACTIONS(157),
    [anon_sym_BSLASHparencite] = ACTIONS(157),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHParencite] = ACTIONS(157),
    [anon_sym_BSLASHfootcite] = ACTIONS(157),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(157),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(157),
    [anon_sym_BSLASHtextcite] = ACTIONS(157),
    [anon_sym_BSLASHTextcite] = ACTIONS(157),
    [anon_sym_BSLASHsmartcite] = ACTIONS(157),
    [anon_sym_BSLASHSmartcite] = ACTIONS(157),
    [anon_sym_BSLASHsupercite] = ACTIONS(157),
    [anon_sym_BSLASHautocite] = ACTIONS(157),
    [anon_sym_BSLASHAutocite] = ACTIONS(157),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHvolcite] = ACTIONS(157),
    [anon_sym_BSLASHVolcite] = ACTIONS(157),
    [anon_sym_BSLASHpvolcite] = ACTIONS(157),
    [anon_sym_BSLASHPvolcite] = ACTIONS(157),
    [anon_sym_BSLASHfvolcite] = ACTIONS(157),
    [anon_sym_BSLASHftvolcite] = ACTIONS(157),
    [anon_sym_BSLASHsvolcite] = ACTIONS(157),
    [anon_sym_BSLASHSvolcite] = ACTIONS(157),
    [anon_sym_BSLASHtvolcite] = ACTIONS(157),
    [anon_sym_BSLASHTvolcite] = ACTIONS(157),
    [anon_sym_BSLASHavolcite] = ACTIONS(157),
    [anon_sym_BSLASHAvolcite] = ACTIONS(157),
    [anon_sym_BSLASHnotecite] = ACTIONS(157),
    [anon_sym_BSLASHNotecite] = ACTIONS(157),
    [anon_sym_BSLASHpnotecite] = ACTIONS(157),
    [anon_sym_BSLASHPnotecite] = ACTIONS(157),
    [anon_sym_BSLASHfnotecite] = ACTIONS(157),
    [anon_sym_BSLASHlabel] = ACTIONS(157),
    [anon_sym_BSLASHref] = ACTIONS(157),
    [anon_sym_BSLASHeqref] = ACTIONS(157),
    [anon_sym_BSLASHvref] = ACTIONS(157),
    [anon_sym_BSLASHVref] = ACTIONS(157),
    [anon_sym_BSLASHautoref] = ACTIONS(157),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpageref] = ACTIONS(157),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHautopageref] = ACTIONS(157),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcref] = ACTIONS(157),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCref] = ACTIONS(157),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpageref] = ACTIONS(157),
    [anon_sym_BSLASHCpageref] = ACTIONS(157),
    [anon_sym_BSLASHnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnameCref] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcrefrange] = ACTIONS(157),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCrefrange] = ACTIONS(157),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHnewlabel] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(157),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(157),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(157),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(159),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHdef] = ACTIONS(157),
    [anon_sym_BSLASHgdef] = ACTIONS(157),
    [anon_sym_BSLASHedef] = ACTIONS(157),
    [anon_sym_BSLASHxdef] = ACTIONS(157),
    [anon_sym_BSLASHlet] = ACTIONS(157),
    [anon_sym_BSLASHglet] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(157),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(157),
    [anon_sym_BSLASHgls] = ACTIONS(157),
    [anon_sym_BSLASHGls] = ACTIONS(157),
    [anon_sym_BSLASHGLS] = ACTIONS(157),
    [anon_sym_BSLASHglspl] = ACTIONS(157),
    [anon_sym_BSLASHGlspl] = ACTIONS(157),
    [anon_sym_BSLASHGLSpl] = ACTIONS(157),
    [anon_sym_BSLASHglsdisp] = ACTIONS(157),
    [anon_sym_BSLASHglslink] = ACTIONS(157),
    [anon_sym_BSLASHglstext] = ACTIONS(157),
    [anon_sym_BSLASHGlstext] = ACTIONS(157),
    [anon_sym_BSLASHGLStext] = ACTIONS(157),
    [anon_sym_BSLASHglsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(157),
    [anon_sym_BSLASHglsplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSplural] = ACTIONS(157),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHglsname] = ACTIONS(157),
    [anon_sym_BSLASHGlsname] = ACTIONS(157),
    [anon_sym_BSLASHGLSname] = ACTIONS(157),
    [anon_sym_BSLASHglssymbol] = ACTIONS(157),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(157),
    [anon_sym_BSLASHglsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(157),
    [anon_sym_BSLASHglsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(157),
    [anon_sym_BSLASHglsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(157),
    [anon_sym_BSLASHglsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(157),
    [anon_sym_BSLASHglsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(157),
    [anon_sym_BSLASHnewacronym] = ACTIONS(157),
    [anon_sym_BSLASHacrshort] = ACTIONS(157),
    [anon_sym_BSLASHAcrshort] = ACTIONS(157),
    [anon_sym_BSLASHACRshort] = ACTIONS(157),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(157),
    [anon_sym_BSLASHacrlong] = ACTIONS(157),
    [anon_sym_BSLASHAcrlong] = ACTIONS(157),
    [anon_sym_BSLASHACRlong] = ACTIONS(157),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(157),
    [anon_sym_BSLASHacrfull] = ACTIONS(157),
    [anon_sym_BSLASHAcrfull] = ACTIONS(157),
    [anon_sym_BSLASHACRfull] = ACTIONS(157),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(157),
    [anon_sym_BSLASHacs] = ACTIONS(157),
    [anon_sym_BSLASHAcs] = ACTIONS(157),
    [anon_sym_BSLASHacsp] = ACTIONS(157),
    [anon_sym_BSLASHAcsp] = ACTIONS(157),
    [anon_sym_BSLASHacl] = ACTIONS(157),
    [anon_sym_BSLASHAcl] = ACTIONS(157),
    [anon_sym_BSLASHaclp] = ACTIONS(157),
    [anon_sym_BSLASHAclp] = ACTIONS(157),
    [anon_sym_BSLASHacf] = ACTIONS(157),
    [anon_sym_BSLASHAcf] = ACTIONS(157),
    [anon_sym_BSLASHacfp] = ACTIONS(157),
    [anon_sym_BSLASHAcfp] = ACTIONS(157),
    [anon_sym_BSLASHac] = ACTIONS(157),
    [anon_sym_BSLASHAc] = ACTIONS(157),
    [anon_sym_BSLASHacp] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(157),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(157),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(157),
    [anon_sym_BSLASHcolor] = ACTIONS(157),
    [anon_sym_BSLASHpagecolor] = ACTIONS(157),
    [anon_sym_BSLASHtextcolor] = ACTIONS(157),
    [anon_sym_BSLASHmathcolor] = ACTIONS(157),
    [anon_sym_BSLASHcolorbox] = ACTIONS(157),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(157),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(157),
    [anon_sym_BSLASHurl] = ACTIONS(157),
    [anon_sym_BSLASHhref] = ACTIONS(157),
  },
  [70] = {
    [sym_block_comment] = STATE(104),
    [sym__root_content] = STATE(104),
    [sym__flat_content] = STATE(104),
    [sym__text_with_env_content] = STATE(104),
    [sym__text_content] = STATE(104),
    [sym__section] = STATE(104),
    [sym__paragraph] = STATE(104),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(104),
    [sym_text] = STATE(104),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(104),
    [sym_displayed_equation] = STATE(104),
    [sym_inline_formula] = STATE(104),
    [sym_math_delimiter] = STATE(104),
    [sym_text_mode] = STATE(104),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(104),
    [sym_comment_environment] = STATE(104),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(104),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(104),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(104),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(104),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(104),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(104),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(104),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(104),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(104),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(104),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(104),
    [sym_generic_command] = STATE(104),
    [sym_title_declaration] = STATE(104),
    [sym_author_declaration] = STATE(104),
    [sym_package_include] = STATE(104),
    [sym_class_include] = STATE(104),
    [sym_latex_include] = STATE(104),
    [sym_biblatex_include] = STATE(104),
    [sym_bibstyle_include] = STATE(104),
    [sym_bibtex_include] = STATE(104),
    [sym_graphics_include] = STATE(104),
    [sym_svg_include] = STATE(104),
    [sym_inkscape_include] = STATE(104),
    [sym_verbatim_include] = STATE(104),
    [sym_import_include] = STATE(104),
    [sym_caption] = STATE(104),
    [sym_citation] = STATE(104),
    [sym_label_definition] = STATE(104),
    [sym_label_reference] = STATE(104),
    [sym_label_reference_range] = STATE(104),
    [sym_label_number] = STATE(104),
    [sym_new_command_definition] = STATE(104),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(104),
    [sym_let_command_definition] = STATE(104),
    [sym_paired_delimiter_definition] = STATE(104),
    [sym_environment_definition] = STATE(104),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(104),
    [sym_glossary_entry_reference] = STATE(104),
    [sym_acronym_definition] = STATE(104),
    [sym_acronym_reference] = STATE(104),
    [sym_theorem_definition] = STATE(104),
    [sym_color_definition] = STATE(104),
    [sym_color_set_definition] = STATE(104),
    [sym_color_reference] = STATE(104),
    [sym_tikz_library_import] = STATE(104),
    [sym_hyperlink] = STATE(104),
    [aux_sym_source_file_repeat1] = STATE(104),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(163),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(640),
    [anon_sym_RBRACK] = ACTIONS(640),
    [anon_sym_COMMA] = ACTIONS(640),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_RPAREN] = ACTIONS(165),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_RBRACE] = ACTIONS(165),
    [sym_word] = ACTIONS(163),
    [sym_placeholder] = ACTIONS(165),
    [sym_delimiter] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym__] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(165),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(163),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(165),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(167),
    [anon_sym_BSLASHleft] = ACTIONS(163),
    [anon_sym_BSLASHbigl] = ACTIONS(163),
    [anon_sym_BSLASHBigl] = ACTIONS(163),
    [anon_sym_BSLASHbiggl] = ACTIONS(163),
    [anon_sym_BSLASHBiggl] = ACTIONS(163),
    [anon_sym_BSLASHtext] = ACTIONS(163),
    [anon_sym_BSLASHintertext] = ACTIONS(163),
    [anon_sym_BSLASHshortintertext] = ACTIONS(163),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(163),
    [anon_sym_BSLASHauthor] = ACTIONS(163),
    [anon_sym_BSLASHusepackage] = ACTIONS(163),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(163),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(163),
    [anon_sym_BSLASHinclude] = ACTIONS(163),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(163),
    [anon_sym_BSLASHinput] = ACTIONS(163),
    [anon_sym_BSLASHsubfile] = ACTIONS(163),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(163),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(163),
    [anon_sym_BSLASHbibliography] = ACTIONS(163),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(163),
    [anon_sym_BSLASHincludesvg] = ACTIONS(163),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(163),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(163),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(163),
    [anon_sym_BSLASHimport] = ACTIONS(163),
    [anon_sym_BSLASHsubimport] = ACTIONS(163),
    [anon_sym_BSLASHinputfrom] = ACTIONS(163),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(163),
    [anon_sym_BSLASHincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHcaption] = ACTIONS(163),
    [anon_sym_BSLASHcite] = ACTIONS(163),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCite] = ACTIONS(163),
    [anon_sym_BSLASHnocite] = ACTIONS(163),
    [anon_sym_BSLASHcitet] = ACTIONS(163),
    [anon_sym_BSLASHcitep] = ACTIONS(163),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteA] = ACTIONS(163),
    [anon_sym_BSLASHciteR] = ACTIONS(163),
    [anon_sym_BSLASHciteS] = ACTIONS(163),
    [anon_sym_BSLASHciteyearR] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(163),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitetitle] = ACTIONS(163),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteyear] = ACTIONS(163),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitedate] = ACTIONS(163),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteurl] = ACTIONS(163),
    [anon_sym_BSLASHfullcite] = ACTIONS(163),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(163),
    [anon_sym_BSLASHcitealt] = ACTIONS(163),
    [anon_sym_BSLASHcitealp] = ACTIONS(163),
    [anon_sym_BSLASHcitetext] = ACTIONS(163),
    [anon_sym_BSLASHparencite] = ACTIONS(163),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHParencite] = ACTIONS(163),
    [anon_sym_BSLASHfootcite] = ACTIONS(163),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(163),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(163),
    [anon_sym_BSLASHtextcite] = ACTIONS(163),
    [anon_sym_BSLASHTextcite] = ACTIONS(163),
    [anon_sym_BSLASHsmartcite] = ACTIONS(163),
    [anon_sym_BSLASHSmartcite] = ACTIONS(163),
    [anon_sym_BSLASHsupercite] = ACTIONS(163),
    [anon_sym_BSLASHautocite] = ACTIONS(163),
    [anon_sym_BSLASHAutocite] = ACTIONS(163),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHvolcite] = ACTIONS(163),
    [anon_sym_BSLASHVolcite] = ACTIONS(163),
    [anon_sym_BSLASHpvolcite] = ACTIONS(163),
    [anon_sym_BSLASHPvolcite] = ACTIONS(163),
    [anon_sym_BSLASHfvolcite] = ACTIONS(163),
    [anon_sym_BSLASHftvolcite] = ACTIONS(163),
    [anon_sym_BSLASHsvolcite] = ACTIONS(163),
    [anon_sym_BSLASHSvolcite] = ACTIONS(163),
    [anon_sym_BSLASHtvolcite] = ACTIONS(163),
    [anon_sym_BSLASHTvolcite] = ACTIONS(163),
    [anon_sym_BSLASHavolcite] = ACTIONS(163),
    [anon_sym_BSLASHAvolcite] = ACTIONS(163),
    [anon_sym_BSLASHnotecite] = ACTIONS(163),
    [anon_sym_BSLASHNotecite] = ACTIONS(163),
    [anon_sym_BSLASHpnotecite] = ACTIONS(163),
    [anon_sym_BSLASHPnotecite] = ACTIONS(163),
    [anon_sym_BSLASHfnotecite] = ACTIONS(163),
    [anon_sym_BSLASHlabel] = ACTIONS(163),
    [anon_sym_BSLASHref] = ACTIONS(163),
    [anon_sym_BSLASHeqref] = ACTIONS(163),
    [anon_sym_BSLASHvref] = ACTIONS(163),
    [anon_sym_BSLASHVref] = ACTIONS(163),
    [anon_sym_BSLASHautoref] = ACTIONS(163),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHpageref] = ACTIONS(163),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHautopageref] = ACTIONS(163),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcref] = ACTIONS(163),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCref] = ACTIONS(163),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpageref] = ACTIONS(163),
    [anon_sym_BSLASHCpageref] = ACTIONS(163),
    [anon_sym_BSLASHnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnameCref] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcrefrange] = ACTIONS(163),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCrefrange] = ACTIONS(163),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHnewlabel] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(163),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(163),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(163),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(165),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHdef] = ACTIONS(163),
    [anon_sym_BSLASHgdef] = ACTIONS(163),
    [anon_sym_BSLASHedef] = ACTIONS(163),
    [anon_sym_BSLASHxdef] = ACTIONS(163),
    [anon_sym_BSLASHlet] = ACTIONS(163),
    [anon_sym_BSLASHglet] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(163),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(163),
    [anon_sym_BSLASHgls] = ACTIONS(163),
    [anon_sym_BSLASHGls] = ACTIONS(163),
    [anon_sym_BSLASHGLS] = ACTIONS(163),
    [anon_sym_BSLASHglspl] = ACTIONS(163),
    [anon_sym_BSLASHGlspl] = ACTIONS(163),
    [anon_sym_BSLASHGLSpl] = ACTIONS(163),
    [anon_sym_BSLASHglsdisp] = ACTIONS(163),
    [anon_sym_BSLASHglslink] = ACTIONS(163),
    [anon_sym_BSLASHglstext] = ACTIONS(163),
    [anon_sym_BSLASHGlstext] = ACTIONS(163),
    [anon_sym_BSLASHGLStext] = ACTIONS(163),
    [anon_sym_BSLASHglsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(163),
    [anon_sym_BSLASHglsplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSplural] = ACTIONS(163),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHglsname] = ACTIONS(163),
    [anon_sym_BSLASHGlsname] = ACTIONS(163),
    [anon_sym_BSLASHGLSname] = ACTIONS(163),
    [anon_sym_BSLASHglssymbol] = ACTIONS(163),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(163),
    [anon_sym_BSLASHglsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(163),
    [anon_sym_BSLASHglsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(163),
    [anon_sym_BSLASHglsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(163),
    [anon_sym_BSLASHglsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(163),
    [anon_sym_BSLASHglsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(163),
    [anon_sym_BSLASHnewacronym] = ACTIONS(163),
    [anon_sym_BSLASHacrshort] = ACTIONS(163),
    [anon_sym_BSLASHAcrshort] = ACTIONS(163),
    [anon_sym_BSLASHACRshort] = ACTIONS(163),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(163),
    [anon_sym_BSLASHacrlong] = ACTIONS(163),
    [anon_sym_BSLASHAcrlong] = ACTIONS(163),
    [anon_sym_BSLASHACRlong] = ACTIONS(163),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(163),
    [anon_sym_BSLASHacrfull] = ACTIONS(163),
    [anon_sym_BSLASHAcrfull] = ACTIONS(163),
    [anon_sym_BSLASHACRfull] = ACTIONS(163),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(163),
    [anon_sym_BSLASHacs] = ACTIONS(163),
    [anon_sym_BSLASHAcs] = ACTIONS(163),
    [anon_sym_BSLASHacsp] = ACTIONS(163),
    [anon_sym_BSLASHAcsp] = ACTIONS(163),
    [anon_sym_BSLASHacl] = ACTIONS(163),
    [anon_sym_BSLASHAcl] = ACTIONS(163),
    [anon_sym_BSLASHaclp] = ACTIONS(163),
    [anon_sym_BSLASHAclp] = ACTIONS(163),
    [anon_sym_BSLASHacf] = ACTIONS(163),
    [anon_sym_BSLASHAcf] = ACTIONS(163),
    [anon_sym_BSLASHacfp] = ACTIONS(163),
    [anon_sym_BSLASHAcfp] = ACTIONS(163),
    [anon_sym_BSLASHac] = ACTIONS(163),
    [anon_sym_BSLASHAc] = ACTIONS(163),
    [anon_sym_BSLASHacp] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(163),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(163),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(163),
    [anon_sym_BSLASHcolor] = ACTIONS(163),
    [anon_sym_BSLASHpagecolor] = ACTIONS(163),
    [anon_sym_BSLASHtextcolor] = ACTIONS(163),
    [anon_sym_BSLASHmathcolor] = ACTIONS(163),
    [anon_sym_BSLASHcolorbox] = ACTIONS(163),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(163),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(163),
    [anon_sym_BSLASHurl] = ACTIONS(163),
    [anon_sym_BSLASHhref] = ACTIONS(163),
  },
  [71] = {
    [sym_block_comment] = STATE(50),
    [sym__root_content] = STATE(50),
    [sym__flat_content] = STATE(50),
    [sym__text_with_env_content] = STATE(50),
    [sym__text_content] = STATE(50),
    [sym__section] = STATE(50),
    [sym__paragraph] = STATE(50),
    [sym__part_declaration] = STATE(163),
    [sym_part] = STATE(795),
    [sym__chapter_declaration] = STATE(173),
    [sym_chapter] = STATE(796),
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(797),
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(798),
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(799),
    [sym__paragraph_declaration] = STATE(213),
    [sym_paragraph] = STATE(800),
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(801),
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(802),
    [sym_curly_group] = STATE(50),
    [sym_text] = STATE(50),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(50),
    [sym_displayed_equation] = STATE(50),
    [sym_inline_formula] = STATE(50),
    [sym_math_delimiter] = STATE(50),
    [sym_text_mode] = STATE(50),
    [sym_begin] = STATE(71),
    [sym_end] = STATE(1612),
    [sym_generic_environment] = STATE(50),
    [sym_comment_environment] = STATE(50),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(50),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(50),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(50),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(50),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(50),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(50),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(50),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(50),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(50),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(50),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(50),
    [sym_generic_command] = STATE(50),
    [sym_title_declaration] = STATE(50),
    [sym_author_declaration] = STATE(50),
    [sym_package_include] = STATE(50),
    [sym_class_include] = STATE(50),
    [sym_latex_include] = STATE(50),
    [sym_biblatex_include] = STATE(50),
    [sym_bibstyle_include] = STATE(50),
    [sym_bibtex_include] = STATE(50),
    [sym_graphics_include] = STATE(50),
    [sym_svg_include] = STATE(50),
    [sym_inkscape_include] = STATE(50),
    [sym_verbatim_include] = STATE(50),
    [sym_import_include] = STATE(50),
    [sym_caption] = STATE(50),
    [sym_citation] = STATE(50),
    [sym_label_definition] = STATE(50),
    [sym_label_reference] = STATE(50),
    [sym_label_reference_range] = STATE(50),
    [sym_label_number] = STATE(50),
    [sym_new_command_definition] = STATE(50),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(50),
    [sym_let_command_definition] = STATE(50),
    [sym_paired_delimiter_definition] = STATE(50),
    [sym_environment_definition] = STATE(50),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(50),
    [sym_glossary_entry_reference] = STATE(50),
    [sym_acronym_definition] = STATE(50),
    [sym_acronym_reference] = STATE(50),
    [sym_theorem_definition] = STATE(50),
    [sym_color_definition] = STATE(50),
    [sym_color_set_definition] = STATE(50),
    [sym_color_reference] = STATE(50),
    [sym_tikz_library_import] = STATE(50),
    [sym_hyperlink] = STATE(50),
    [aux_sym_source_file_repeat1] = STATE(50),
    [aux_sym__section_repeat1] = STATE(795),
    [aux_sym__section_repeat2] = STATE(796),
    [aux_sym__section_repeat3] = STATE(797),
    [aux_sym__section_repeat4] = STATE(798),
    [aux_sym__section_repeat5] = STATE(799),
    [aux_sym__paragraph_repeat1] = STATE(800),
    [aux_sym__paragraph_repeat2] = STATE(801),
    [aux_sym__paragraph_repeat3] = STATE(802),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(1072),
    [anon_sym_RBRACK] = ACTIONS(1072),
    [anon_sym_COMMA] = ACTIONS(1072),
    [anon_sym_EQ] = ACTIONS(1072),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_RPAREN] = ACTIONS(1072),
    [anon_sym_BSLASHpart] = ACTIONS(680),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHaddpart] = ACTIONS(680),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHchapter] = ACTIONS(684),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(686),
    [anon_sym_BSLASHaddchap] = ACTIONS(684),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(686),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(704),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(706),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(834),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [72] = {
    [sym_block_comment] = STATE(98),
    [sym__root_content] = STATE(98),
    [sym__flat_content] = STATE(98),
    [sym__text_with_env_content] = STATE(98),
    [sym__text_content] = STATE(98),
    [sym__section] = STATE(98),
    [sym__paragraph] = STATE(98),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(98),
    [sym_text] = STATE(98),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(98),
    [sym_displayed_equation] = STATE(98),
    [sym_inline_formula] = STATE(98),
    [sym_math_delimiter] = STATE(98),
    [sym_text_mode] = STATE(98),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(98),
    [sym_comment_environment] = STATE(98),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(98),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(98),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(98),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(98),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(98),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(98),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(98),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(98),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(98),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(98),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(98),
    [sym_generic_command] = STATE(98),
    [sym_title_declaration] = STATE(98),
    [sym_author_declaration] = STATE(98),
    [sym_package_include] = STATE(98),
    [sym_class_include] = STATE(98),
    [sym_latex_include] = STATE(98),
    [sym_biblatex_include] = STATE(98),
    [sym_bibstyle_include] = STATE(98),
    [sym_bibtex_include] = STATE(98),
    [sym_graphics_include] = STATE(98),
    [sym_svg_include] = STATE(98),
    [sym_inkscape_include] = STATE(98),
    [sym_verbatim_include] = STATE(98),
    [sym_import_include] = STATE(98),
    [sym_caption] = STATE(98),
    [sym_citation] = STATE(98),
    [sym_label_definition] = STATE(98),
    [sym_label_reference] = STATE(98),
    [sym_label_reference_range] = STATE(98),
    [sym_label_number] = STATE(98),
    [sym_new_command_definition] = STATE(98),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(98),
    [sym_let_command_definition] = STATE(98),
    [sym_paired_delimiter_definition] = STATE(98),
    [sym_environment_definition] = STATE(98),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(98),
    [sym_glossary_entry_reference] = STATE(98),
    [sym_acronym_definition] = STATE(98),
    [sym_acronym_reference] = STATE(98),
    [sym_theorem_definition] = STATE(98),
    [sym_color_definition] = STATE(98),
    [sym_color_set_definition] = STATE(98),
    [sym_color_reference] = STATE(98),
    [sym_tikz_library_import] = STATE(98),
    [sym_hyperlink] = STATE(98),
    [aux_sym_source_file_repeat1] = STATE(98),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(1078),
    [anon_sym_RBRACK] = ACTIONS(1078),
    [anon_sym_COMMA] = ACTIONS(1078),
    [anon_sym_EQ] = ACTIONS(1078),
    [anon_sym_LPAREN] = ACTIONS(1078),
    [anon_sym_RPAREN] = ACTIONS(1078),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(1096),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(1100),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [73] = {
    [sym_block_comment] = STATE(73),
    [sym__root_content] = STATE(73),
    [sym__flat_content] = STATE(73),
    [sym__text_with_env_content] = STATE(73),
    [sym__text_content] = STATE(73),
    [sym__section] = STATE(73),
    [sym__paragraph] = STATE(73),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(73),
    [sym_text] = STATE(73),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(73),
    [sym_displayed_equation] = STATE(73),
    [sym_inline_formula] = STATE(73),
    [sym_math_delimiter] = STATE(73),
    [sym_text_mode] = STATE(73),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(73),
    [sym_comment_environment] = STATE(73),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(73),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(73),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(73),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(73),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(73),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(73),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(73),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(73),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(73),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(73),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(73),
    [sym_generic_command] = STATE(73),
    [sym_title_declaration] = STATE(73),
    [sym_author_declaration] = STATE(73),
    [sym_package_include] = STATE(73),
    [sym_class_include] = STATE(73),
    [sym_latex_include] = STATE(73),
    [sym_biblatex_include] = STATE(73),
    [sym_bibstyle_include] = STATE(73),
    [sym_bibtex_include] = STATE(73),
    [sym_graphics_include] = STATE(73),
    [sym_svg_include] = STATE(73),
    [sym_inkscape_include] = STATE(73),
    [sym_verbatim_include] = STATE(73),
    [sym_import_include] = STATE(73),
    [sym_caption] = STATE(73),
    [sym_citation] = STATE(73),
    [sym_label_definition] = STATE(73),
    [sym_label_reference] = STATE(73),
    [sym_label_reference_range] = STATE(73),
    [sym_label_number] = STATE(73),
    [sym_new_command_definition] = STATE(73),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(73),
    [sym_let_command_definition] = STATE(73),
    [sym_paired_delimiter_definition] = STATE(73),
    [sym_environment_definition] = STATE(73),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(73),
    [sym_glossary_entry_reference] = STATE(73),
    [sym_acronym_definition] = STATE(73),
    [sym_acronym_reference] = STATE(73),
    [sym_theorem_definition] = STATE(73),
    [sym_color_definition] = STATE(73),
    [sym_color_set_definition] = STATE(73),
    [sym_color_reference] = STATE(73),
    [sym_tikz_library_import] = STATE(73),
    [sym_hyperlink] = STATE(73),
    [aux_sym_source_file_repeat1] = STATE(73),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1192),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1195),
    [anon_sym_LBRACK] = ACTIONS(1198),
    [anon_sym_RBRACK] = ACTIONS(1198),
    [anon_sym_COMMA] = ACTIONS(1198),
    [anon_sym_EQ] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1198),
    [anon_sym_RPAREN] = ACTIONS(1198),
    [anon_sym_BSLASHpart] = ACTIONS(1201),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(1204),
    [anon_sym_BSLASHaddpart] = ACTIONS(1201),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(1204),
    [anon_sym_BSLASHchapter] = ACTIONS(1207),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(1210),
    [anon_sym_BSLASHaddchap] = ACTIONS(1207),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(1210),
    [anon_sym_BSLASHsection] = ACTIONS(1213),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(1216),
    [anon_sym_BSLASHaddsec] = ACTIONS(1213),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(1216),
    [anon_sym_BSLASHsubsection] = ACTIONS(1219),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(1222),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(1225),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(1228),
    [anon_sym_BSLASHparagraph] = ACTIONS(1231),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(1234),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(1237),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(1240),
    [anon_sym_BSLASHitem] = ACTIONS(1243),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [sym_word] = ACTIONS(1252),
    [sym_placeholder] = ACTIONS(1255),
    [sym_delimiter] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1258),
    [anon_sym_STAR] = ACTIONS(1258),
    [anon_sym_SLASH] = ACTIONS(1258),
    [anon_sym_LT] = ACTIONS(1261),
    [anon_sym_GT] = ACTIONS(1261),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_PIPE] = ACTIONS(1261),
    [anon_sym_COLON] = ACTIONS(1261),
    [anon_sym_SQUOTE] = ACTIONS(1261),
    [anon_sym__] = ACTIONS(1264),
    [anon_sym_CARET] = ACTIONS(1267),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1270),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1270),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(848),
    [anon_sym_DOLLAR] = ACTIONS(1273),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1276),
    [anon_sym_BSLASHleft] = ACTIONS(1279),
    [anon_sym_BSLASHbigl] = ACTIONS(1279),
    [anon_sym_BSLASHBigl] = ACTIONS(1279),
    [anon_sym_BSLASHbiggl] = ACTIONS(1279),
    [anon_sym_BSLASHBiggl] = ACTIONS(1279),
    [anon_sym_BSLASHtext] = ACTIONS(1282),
    [anon_sym_BSLASHintertext] = ACTIONS(1282),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1282),
    [anon_sym_BSLASHbegin] = ACTIONS(434),
    [anon_sym_BSLASHtitle] = ACTIONS(1285),
    [anon_sym_BSLASHauthor] = ACTIONS(1288),
    [anon_sym_BSLASHusepackage] = ACTIONS(1291),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1291),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1294),
    [anon_sym_BSLASHinclude] = ACTIONS(1297),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1297),
    [anon_sym_BSLASHinput] = ACTIONS(1297),
    [anon_sym_BSLASHsubfile] = ACTIONS(1297),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1300),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1303),
    [anon_sym_BSLASHbibliography] = ACTIONS(1306),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1309),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1312),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1315),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1318),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1318),
    [anon_sym_BSLASHimport] = ACTIONS(1321),
    [anon_sym_BSLASHsubimport] = ACTIONS(1321),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1321),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1321),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1321),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1321),
    [anon_sym_BSLASHcaption] = ACTIONS(1324),
    [anon_sym_BSLASHcite] = ACTIONS(1327),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1330),
    [anon_sym_BSLASHCite] = ACTIONS(1327),
    [anon_sym_BSLASHnocite] = ACTIONS(1327),
    [anon_sym_BSLASHcitet] = ACTIONS(1327),
    [anon_sym_BSLASHcitep] = ACTIONS(1327),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1330),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1330),
    [anon_sym_BSLASHciteA] = ACTIONS(1327),
    [anon_sym_BSLASHciteR] = ACTIONS(1327),
    [anon_sym_BSLASHciteS] = ACTIONS(1327),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1327),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1327),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1330),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1327),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1330),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1327),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1330),
    [anon_sym_BSLASHciteyear] = ACTIONS(1327),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1330),
    [anon_sym_BSLASHcitedate] = ACTIONS(1327),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1330),
    [anon_sym_BSLASHciteurl] = ACTIONS(1327),
    [anon_sym_BSLASHfullcite] = ACTIONS(1327),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1327),
    [anon_sym_BSLASHcitealt] = ACTIONS(1327),
    [anon_sym_BSLASHcitealp] = ACTIONS(1327),
    [anon_sym_BSLASHcitetext] = ACTIONS(1327),
    [anon_sym_BSLASHparencite] = ACTIONS(1327),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1330),
    [anon_sym_BSLASHParencite] = ACTIONS(1327),
    [anon_sym_BSLASHfootcite] = ACTIONS(1327),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1327),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1327),
    [anon_sym_BSLASHtextcite] = ACTIONS(1327),
    [anon_sym_BSLASHTextcite] = ACTIONS(1327),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1327),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1327),
    [anon_sym_BSLASHsupercite] = ACTIONS(1327),
    [anon_sym_BSLASHautocite] = ACTIONS(1327),
    [anon_sym_BSLASHAutocite] = ACTIONS(1327),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1330),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1330),
    [anon_sym_BSLASHvolcite] = ACTIONS(1327),
    [anon_sym_BSLASHVolcite] = ACTIONS(1327),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1327),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1327),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1327),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1327),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1327),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1327),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1327),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1327),
    [anon_sym_BSLASHavolcite] = ACTIONS(1327),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1327),
    [anon_sym_BSLASHnotecite] = ACTIONS(1327),
    [anon_sym_BSLASHNotecite] = ACTIONS(1327),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1327),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1327),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1327),
    [anon_sym_BSLASHlabel] = ACTIONS(1333),
    [anon_sym_BSLASHref] = ACTIONS(1336),
    [anon_sym_BSLASHeqref] = ACTIONS(1336),
    [anon_sym_BSLASHvref] = ACTIONS(1336),
    [anon_sym_BSLASHVref] = ACTIONS(1336),
    [anon_sym_BSLASHautoref] = ACTIONS(1336),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1339),
    [anon_sym_BSLASHpageref] = ACTIONS(1336),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1339),
    [anon_sym_BSLASHautopageref] = ACTIONS(1336),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1339),
    [anon_sym_BSLASHcref] = ACTIONS(1336),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1339),
    [anon_sym_BSLASHCref] = ACTIONS(1336),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1339),
    [anon_sym_BSLASHcpageref] = ACTIONS(1336),
    [anon_sym_BSLASHCpageref] = ACTIONS(1336),
    [anon_sym_BSLASHnamecref] = ACTIONS(1336),
    [anon_sym_BSLASHnameCref] = ACTIONS(1336),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1336),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1336),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1336),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1336),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1336),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1339),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1336),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1339),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1342),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1345),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1342),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1345),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1342),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1342),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1348),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1351),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1354),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1351),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1354),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1351),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1354),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1351),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1354),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1351),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1354),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1357),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1357),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1357),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1357),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1357),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1357),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1357),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1357),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1360),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1360),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1360),
    [anon_sym_BSLASHdef] = ACTIONS(1363),
    [anon_sym_BSLASHgdef] = ACTIONS(1363),
    [anon_sym_BSLASHedef] = ACTIONS(1363),
    [anon_sym_BSLASHxdef] = ACTIONS(1363),
    [anon_sym_BSLASHlet] = ACTIONS(1366),
    [anon_sym_BSLASHglet] = ACTIONS(1366),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1369),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1369),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1372),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1372),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1375),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1375),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1375),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1375),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1378),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1378),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1378),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1381),
    [anon_sym_BSLASHgls] = ACTIONS(1384),
    [anon_sym_BSLASHGls] = ACTIONS(1384),
    [anon_sym_BSLASHGLS] = ACTIONS(1384),
    [anon_sym_BSLASHglspl] = ACTIONS(1384),
    [anon_sym_BSLASHGlspl] = ACTIONS(1384),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1384),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1384),
    [anon_sym_BSLASHglslink] = ACTIONS(1384),
    [anon_sym_BSLASHglstext] = ACTIONS(1384),
    [anon_sym_BSLASHGlstext] = ACTIONS(1384),
    [anon_sym_BSLASHGLStext] = ACTIONS(1384),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1384),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1384),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1384),
    [anon_sym_BSLASHglsplural] = ACTIONS(1384),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1384),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1384),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1384),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1384),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1384),
    [anon_sym_BSLASHglsname] = ACTIONS(1384),
    [anon_sym_BSLASHGlsname] = ACTIONS(1384),
    [anon_sym_BSLASHGLSname] = ACTIONS(1384),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1384),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1384),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1384),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1384),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1384),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1384),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1384),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1384),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1384),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1384),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1384),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1384),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1384),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1384),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1384),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1384),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1384),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1384),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1384),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1384),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1384),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1384),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1384),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1387),
    [anon_sym_BSLASHacrshort] = ACTIONS(1390),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1390),
    [anon_sym_BSLASHACRshort] = ACTIONS(1390),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1390),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1390),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1390),
    [anon_sym_BSLASHacrlong] = ACTIONS(1390),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1390),
    [anon_sym_BSLASHACRlong] = ACTIONS(1390),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1390),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1390),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1390),
    [anon_sym_BSLASHacrfull] = ACTIONS(1390),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1390),
    [anon_sym_BSLASHACRfull] = ACTIONS(1390),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1390),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1390),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1390),
    [anon_sym_BSLASHacs] = ACTIONS(1390),
    [anon_sym_BSLASHAcs] = ACTIONS(1390),
    [anon_sym_BSLASHacsp] = ACTIONS(1390),
    [anon_sym_BSLASHAcsp] = ACTIONS(1390),
    [anon_sym_BSLASHacl] = ACTIONS(1390),
    [anon_sym_BSLASHAcl] = ACTIONS(1390),
    [anon_sym_BSLASHaclp] = ACTIONS(1390),
    [anon_sym_BSLASHAclp] = ACTIONS(1390),
    [anon_sym_BSLASHacf] = ACTIONS(1390),
    [anon_sym_BSLASHAcf] = ACTIONS(1390),
    [anon_sym_BSLASHacfp] = ACTIONS(1390),
    [anon_sym_BSLASHAcfp] = ACTIONS(1390),
    [anon_sym_BSLASHac] = ACTIONS(1390),
    [anon_sym_BSLASHAc] = ACTIONS(1390),
    [anon_sym_BSLASHacp] = ACTIONS(1390),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1390),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1390),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1390),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1390),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1390),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1390),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1390),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1390),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1390),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1390),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1393),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1396),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1393),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1396),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1399),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1402),
    [anon_sym_BSLASHcolor] = ACTIONS(1405),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1405),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1405),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1405),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1405),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1408),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1408),
    [anon_sym_BSLASHurl] = ACTIONS(1411),
    [anon_sym_BSLASHhref] = ACTIONS(1411),
  },
  [74] = {
    [sym_block_comment] = STATE(97),
    [sym__root_content] = STATE(97),
    [sym__flat_content] = STATE(97),
    [sym__text_with_env_content] = STATE(97),
    [sym__text_content] = STATE(97),
    [sym__section] = STATE(97),
    [sym__paragraph] = STATE(97),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(97),
    [sym_text] = STATE(97),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(97),
    [sym_displayed_equation] = STATE(97),
    [sym_inline_formula] = STATE(97),
    [sym_math_delimiter] = STATE(97),
    [sym_text_mode] = STATE(97),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(97),
    [sym_comment_environment] = STATE(97),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(97),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(97),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(97),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(97),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(97),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(97),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(97),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(97),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(97),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(97),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(97),
    [sym_generic_command] = STATE(97),
    [sym_title_declaration] = STATE(97),
    [sym_author_declaration] = STATE(97),
    [sym_package_include] = STATE(97),
    [sym_class_include] = STATE(97),
    [sym_latex_include] = STATE(97),
    [sym_biblatex_include] = STATE(97),
    [sym_bibstyle_include] = STATE(97),
    [sym_bibtex_include] = STATE(97),
    [sym_graphics_include] = STATE(97),
    [sym_svg_include] = STATE(97),
    [sym_inkscape_include] = STATE(97),
    [sym_verbatim_include] = STATE(97),
    [sym_import_include] = STATE(97),
    [sym_caption] = STATE(97),
    [sym_citation] = STATE(97),
    [sym_label_definition] = STATE(97),
    [sym_label_reference] = STATE(97),
    [sym_label_reference_range] = STATE(97),
    [sym_label_number] = STATE(97),
    [sym_new_command_definition] = STATE(97),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(97),
    [sym_let_command_definition] = STATE(97),
    [sym_paired_delimiter_definition] = STATE(97),
    [sym_environment_definition] = STATE(97),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(97),
    [sym_glossary_entry_reference] = STATE(97),
    [sym_acronym_definition] = STATE(97),
    [sym_acronym_reference] = STATE(97),
    [sym_theorem_definition] = STATE(97),
    [sym_color_definition] = STATE(97),
    [sym_color_set_definition] = STATE(97),
    [sym_color_reference] = STATE(97),
    [sym_tikz_library_import] = STATE(97),
    [sym_hyperlink] = STATE(97),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(169),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_COMMA] = ACTIONS(171),
    [anon_sym_EQ] = ACTIONS(171),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_BSLASHpart] = ACTIONS(169),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddpart] = ACTIONS(169),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(171),
    [anon_sym_BSLASHchapter] = ACTIONS(169),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddchap] = ACTIONS(169),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsection] = ACTIONS(169),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddsec] = ACTIONS(169),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubsection] = ACTIONS(169),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(169),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHparagraph] = ACTIONS(169),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(169),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(171),
    [anon_sym_BSLASHitem] = ACTIONS(169),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(171),
    [anon_sym_LBRACE] = ACTIONS(171),
    [sym_word] = ACTIONS(169),
    [sym_placeholder] = ACTIONS(171),
    [sym_delimiter] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_STAR] = ACTIONS(171),
    [anon_sym_SLASH] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(169),
    [anon_sym_GT] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_PIPE] = ACTIONS(169),
    [anon_sym_COLON] = ACTIONS(169),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym__] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(171),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(171),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(171),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(171),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(171),
    [anon_sym_BSLASHleft] = ACTIONS(169),
    [anon_sym_BSLASHbigl] = ACTIONS(169),
    [anon_sym_BSLASHBigl] = ACTIONS(169),
    [anon_sym_BSLASHbiggl] = ACTIONS(169),
    [anon_sym_BSLASHBiggl] = ACTIONS(169),
    [anon_sym_BSLASHtext] = ACTIONS(169),
    [anon_sym_BSLASHintertext] = ACTIONS(169),
    [anon_sym_BSLASHshortintertext] = ACTIONS(169),
    [anon_sym_BSLASHbegin] = ACTIONS(169),
    [anon_sym_BSLASHtitle] = ACTIONS(169),
    [anon_sym_BSLASHauthor] = ACTIONS(169),
    [anon_sym_BSLASHusepackage] = ACTIONS(169),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(169),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(169),
    [anon_sym_BSLASHinclude] = ACTIONS(169),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(169),
    [anon_sym_BSLASHinput] = ACTIONS(169),
    [anon_sym_BSLASHsubfile] = ACTIONS(169),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(169),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(169),
    [anon_sym_BSLASHbibliography] = ACTIONS(169),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(169),
    [anon_sym_BSLASHincludesvg] = ACTIONS(169),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(169),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(169),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(169),
    [anon_sym_BSLASHimport] = ACTIONS(169),
    [anon_sym_BSLASHsubimport] = ACTIONS(169),
    [anon_sym_BSLASHinputfrom] = ACTIONS(169),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(169),
    [anon_sym_BSLASHincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHcaption] = ACTIONS(169),
    [anon_sym_BSLASHcite] = ACTIONS(169),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCite] = ACTIONS(169),
    [anon_sym_BSLASHnocite] = ACTIONS(169),
    [anon_sym_BSLASHcitet] = ACTIONS(169),
    [anon_sym_BSLASHcitep] = ACTIONS(169),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteA] = ACTIONS(169),
    [anon_sym_BSLASHciteR] = ACTIONS(169),
    [anon_sym_BSLASHciteS] = ACTIONS(169),
    [anon_sym_BSLASHciteyearR] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(169),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitetitle] = ACTIONS(169),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteyear] = ACTIONS(169),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitedate] = ACTIONS(169),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteurl] = ACTIONS(169),
    [anon_sym_BSLASHfullcite] = ACTIONS(169),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(169),
    [anon_sym_BSLASHcitealt] = ACTIONS(169),
    [anon_sym_BSLASHcitealp] = ACTIONS(169),
    [anon_sym_BSLASHcitetext] = ACTIONS(169),
    [anon_sym_BSLASHparencite] = ACTIONS(169),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHParencite] = ACTIONS(169),
    [anon_sym_BSLASHfootcite] = ACTIONS(169),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(169),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(169),
    [anon_sym_BSLASHtextcite] = ACTIONS(169),
    [anon_sym_BSLASHTextcite] = ACTIONS(169),
    [anon_sym_BSLASHsmartcite] = ACTIONS(169),
    [anon_sym_BSLASHSmartcite] = ACTIONS(169),
    [anon_sym_BSLASHsupercite] = ACTIONS(169),
    [anon_sym_BSLASHautocite] = ACTIONS(169),
    [anon_sym_BSLASHAutocite] = ACTIONS(169),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHvolcite] = ACTIONS(169),
    [anon_sym_BSLASHVolcite] = ACTIONS(169),
    [anon_sym_BSLASHpvolcite] = ACTIONS(169),
    [anon_sym_BSLASHPvolcite] = ACTIONS(169),
    [anon_sym_BSLASHfvolcite] = ACTIONS(169),
    [anon_sym_BSLASHftvolcite] = ACTIONS(169),
    [anon_sym_BSLASHsvolcite] = ACTIONS(169),
    [anon_sym_BSLASHSvolcite] = ACTIONS(169),
    [anon_sym_BSLASHtvolcite] = ACTIONS(169),
    [anon_sym_BSLASHTvolcite] = ACTIONS(169),
    [anon_sym_BSLASHavolcite] = ACTIONS(169),
    [anon_sym_BSLASHAvolcite] = ACTIONS(169),
    [anon_sym_BSLASHnotecite] = ACTIONS(169),
    [anon_sym_BSLASHNotecite] = ACTIONS(169),
    [anon_sym_BSLASHpnotecite] = ACTIONS(169),
    [anon_sym_BSLASHPnotecite] = ACTIONS(169),
    [anon_sym_BSLASHfnotecite] = ACTIONS(169),
    [anon_sym_BSLASHlabel] = ACTIONS(169),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHeqref] = ACTIONS(169),
    [anon_sym_BSLASHvref] = ACTIONS(169),
    [anon_sym_BSLASHVref] = ACTIONS(169),
    [anon_sym_BSLASHautoref] = ACTIONS(169),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHpageref] = ACTIONS(169),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHautopageref] = ACTIONS(169),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcref] = ACTIONS(169),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCref] = ACTIONS(169),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpageref] = ACTIONS(169),
    [anon_sym_BSLASHCpageref] = ACTIONS(169),
    [anon_sym_BSLASHnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnameCref] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcrefrange] = ACTIONS(169),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCrefrange] = ACTIONS(169),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHnewlabel] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(169),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(169),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(169),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(171),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHdef] = ACTIONS(169),
    [anon_sym_BSLASHgdef] = ACTIONS(169),
    [anon_sym_BSLASHedef] = ACTIONS(169),
    [anon_sym_BSLASHxdef] = ACTIONS(169),
    [anon_sym_BSLASHlet] = ACTIONS(169),
    [anon_sym_BSLASHglet] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(169),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(169),
    [anon_sym_BSLASHgls] = ACTIONS(169),
    [anon_sym_BSLASHGls] = ACTIONS(169),
    [anon_sym_BSLASHGLS] = ACTIONS(169),
    [anon_sym_BSLASHglspl] = ACTIONS(169),
    [anon_sym_BSLASHGlspl] = ACTIONS(169),
    [anon_sym_BSLASHGLSpl] = ACTIONS(169),
    [anon_sym_BSLASHglsdisp] = ACTIONS(169),
    [anon_sym_BSLASHglslink] = ACTIONS(169),
    [anon_sym_BSLASHglstext] = ACTIONS(169),
    [anon_sym_BSLASHGlstext] = ACTIONS(169),
    [anon_sym_BSLASHGLStext] = ACTIONS(169),
    [anon_sym_BSLASHglsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(169),
    [anon_sym_BSLASHglsplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSplural] = ACTIONS(169),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHglsname] = ACTIONS(169),
    [anon_sym_BSLASHGlsname] = ACTIONS(169),
    [anon_sym_BSLASHGLSname] = ACTIONS(169),
    [anon_sym_BSLASHglssymbol] = ACTIONS(169),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(169),
    [anon_sym_BSLASHglsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(169),
    [anon_sym_BSLASHglsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(169),
    [anon_sym_BSLASHglsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(169),
    [anon_sym_BSLASHglsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(169),
    [anon_sym_BSLASHglsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(169),
    [anon_sym_BSLASHnewacronym] = ACTIONS(169),
    [anon_sym_BSLASHacrshort] = ACTIONS(169),
    [anon_sym_BSLASHAcrshort] = ACTIONS(169),
    [anon_sym_BSLASHACRshort] = ACTIONS(169),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(169),
    [anon_sym_BSLASHacrlong] = ACTIONS(169),
    [anon_sym_BSLASHAcrlong] = ACTIONS(169),
    [anon_sym_BSLASHACRlong] = ACTIONS(169),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(169),
    [anon_sym_BSLASHacrfull] = ACTIONS(169),
    [anon_sym_BSLASHAcrfull] = ACTIONS(169),
    [anon_sym_BSLASHACRfull] = ACTIONS(169),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(169),
    [anon_sym_BSLASHacs] = ACTIONS(169),
    [anon_sym_BSLASHAcs] = ACTIONS(169),
    [anon_sym_BSLASHacsp] = ACTIONS(169),
    [anon_sym_BSLASHAcsp] = ACTIONS(169),
    [anon_sym_BSLASHacl] = ACTIONS(169),
    [anon_sym_BSLASHAcl] = ACTIONS(169),
    [anon_sym_BSLASHaclp] = ACTIONS(169),
    [anon_sym_BSLASHAclp] = ACTIONS(169),
    [anon_sym_BSLASHacf] = ACTIONS(169),
    [anon_sym_BSLASHAcf] = ACTIONS(169),
    [anon_sym_BSLASHacfp] = ACTIONS(169),
    [anon_sym_BSLASHAcfp] = ACTIONS(169),
    [anon_sym_BSLASHac] = ACTIONS(169),
    [anon_sym_BSLASHAc] = ACTIONS(169),
    [anon_sym_BSLASHacp] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(169),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(169),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(169),
    [anon_sym_BSLASHcolor] = ACTIONS(169),
    [anon_sym_BSLASHpagecolor] = ACTIONS(169),
    [anon_sym_BSLASHtextcolor] = ACTIONS(169),
    [anon_sym_BSLASHmathcolor] = ACTIONS(169),
    [anon_sym_BSLASHcolorbox] = ACTIONS(169),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(169),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(169),
    [anon_sym_BSLASHurl] = ACTIONS(169),
    [anon_sym_BSLASHhref] = ACTIONS(169),
  },
  [75] = {
    [sym_block_comment] = STATE(64),
    [sym__root_content] = STATE(64),
    [sym__flat_content] = STATE(64),
    [sym__text_with_env_content] = STATE(64),
    [sym__text_content] = STATE(64),
    [sym__section] = STATE(64),
    [sym__paragraph] = STATE(64),
    [sym__part_declaration] = STATE(161),
    [sym_part] = STATE(509),
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(512),
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(515),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(516),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(519),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(64),
    [sym_text] = STATE(64),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(64),
    [sym_displayed_equation] = STATE(64),
    [sym_inline_formula] = STATE(64),
    [sym_math_delimiter] = STATE(64),
    [sym_text_mode] = STATE(64),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(64),
    [sym_comment_environment] = STATE(64),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(64),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(64),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(64),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(64),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(64),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(64),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(64),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(64),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(64),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(64),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(64),
    [sym_generic_command] = STATE(64),
    [sym_title_declaration] = STATE(64),
    [sym_author_declaration] = STATE(64),
    [sym_package_include] = STATE(64),
    [sym_class_include] = STATE(64),
    [sym_latex_include] = STATE(64),
    [sym_biblatex_include] = STATE(64),
    [sym_bibstyle_include] = STATE(64),
    [sym_bibtex_include] = STATE(64),
    [sym_graphics_include] = STATE(64),
    [sym_svg_include] = STATE(64),
    [sym_inkscape_include] = STATE(64),
    [sym_verbatim_include] = STATE(64),
    [sym_import_include] = STATE(64),
    [sym_caption] = STATE(64),
    [sym_citation] = STATE(64),
    [sym_label_definition] = STATE(64),
    [sym_label_reference] = STATE(64),
    [sym_label_reference_range] = STATE(64),
    [sym_label_number] = STATE(64),
    [sym_new_command_definition] = STATE(64),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(64),
    [sym_let_command_definition] = STATE(64),
    [sym_paired_delimiter_definition] = STATE(64),
    [sym_environment_definition] = STATE(64),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(64),
    [sym_glossary_entry_reference] = STATE(64),
    [sym_acronym_definition] = STATE(64),
    [sym_acronym_reference] = STATE(64),
    [sym_theorem_definition] = STATE(64),
    [sym_color_definition] = STATE(64),
    [sym_color_set_definition] = STATE(64),
    [sym_color_reference] = STATE(64),
    [sym_tikz_library_import] = STATE(64),
    [sym_hyperlink] = STATE(64),
    [aux_sym_source_file_repeat1] = STATE(64),
    [aux_sym__section_repeat1] = STATE(509),
    [aux_sym__section_repeat2] = STATE(512),
    [aux_sym__section_repeat3] = STATE(515),
    [aux_sym__section_repeat4] = STATE(516),
    [aux_sym__section_repeat5] = STATE(519),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_text_repeat1] = STATE(266),
    [ts_builtin_sym_end] = ACTIONS(1414),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(1416),
    [anon_sym_RBRACK] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1416),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_RPAREN] = ACTIONS(1416),
    [anon_sym_BSLASHpart] = ACTIONS(13),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHaddpart] = ACTIONS(13),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [76] = {
    [sym_block_comment] = STATE(82),
    [sym__root_content] = STATE(82),
    [sym__flat_content] = STATE(82),
    [sym__text_with_env_content] = STATE(82),
    [sym__text_content] = STATE(82),
    [sym__section] = STATE(82),
    [sym__paragraph] = STATE(82),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(82),
    [sym_text] = STATE(82),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(82),
    [sym_displayed_equation] = STATE(82),
    [sym_inline_formula] = STATE(82),
    [sym_math_delimiter] = STATE(82),
    [sym_text_mode] = STATE(82),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(82),
    [sym_comment_environment] = STATE(82),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(82),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(82),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(82),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(82),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(82),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(82),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(82),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(82),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(82),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(82),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(82),
    [sym_generic_command] = STATE(82),
    [sym_title_declaration] = STATE(82),
    [sym_author_declaration] = STATE(82),
    [sym_package_include] = STATE(82),
    [sym_class_include] = STATE(82),
    [sym_latex_include] = STATE(82),
    [sym_biblatex_include] = STATE(82),
    [sym_bibstyle_include] = STATE(82),
    [sym_bibtex_include] = STATE(82),
    [sym_graphics_include] = STATE(82),
    [sym_svg_include] = STATE(82),
    [sym_inkscape_include] = STATE(82),
    [sym_verbatim_include] = STATE(82),
    [sym_import_include] = STATE(82),
    [sym_caption] = STATE(82),
    [sym_citation] = STATE(82),
    [sym_label_definition] = STATE(82),
    [sym_label_reference] = STATE(82),
    [sym_label_reference_range] = STATE(82),
    [sym_label_number] = STATE(82),
    [sym_new_command_definition] = STATE(82),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(82),
    [sym_let_command_definition] = STATE(82),
    [sym_paired_delimiter_definition] = STATE(82),
    [sym_environment_definition] = STATE(82),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(82),
    [sym_glossary_entry_reference] = STATE(82),
    [sym_acronym_definition] = STATE(82),
    [sym_acronym_reference] = STATE(82),
    [sym_theorem_definition] = STATE(82),
    [sym_color_definition] = STATE(82),
    [sym_color_set_definition] = STATE(82),
    [sym_color_reference] = STATE(82),
    [sym_tikz_library_import] = STATE(82),
    [sym_hyperlink] = STATE(82),
    [aux_sym_source_file_repeat1] = STATE(82),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [anon_sym_RBRACK] = ACTIONS(1422),
    [anon_sym_COMMA] = ACTIONS(1422),
    [anon_sym_EQ] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [anon_sym_RPAREN] = ACTIONS(1422),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1438),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(1442),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [77] = {
    [sym_block_comment] = STATE(104),
    [sym__root_content] = STATE(104),
    [sym__flat_content] = STATE(104),
    [sym__text_with_env_content] = STATE(104),
    [sym__text_content] = STATE(104),
    [sym__section] = STATE(104),
    [sym__paragraph] = STATE(104),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(104),
    [sym_text] = STATE(104),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(104),
    [sym_displayed_equation] = STATE(104),
    [sym_inline_formula] = STATE(104),
    [sym_math_delimiter] = STATE(104),
    [sym_text_mode] = STATE(104),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(104),
    [sym_comment_environment] = STATE(104),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(104),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(104),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(104),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(104),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(104),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(104),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(104),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(104),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(104),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(104),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(104),
    [sym_generic_command] = STATE(104),
    [sym_title_declaration] = STATE(104),
    [sym_author_declaration] = STATE(104),
    [sym_package_include] = STATE(104),
    [sym_class_include] = STATE(104),
    [sym_latex_include] = STATE(104),
    [sym_biblatex_include] = STATE(104),
    [sym_bibstyle_include] = STATE(104),
    [sym_bibtex_include] = STATE(104),
    [sym_graphics_include] = STATE(104),
    [sym_svg_include] = STATE(104),
    [sym_inkscape_include] = STATE(104),
    [sym_verbatim_include] = STATE(104),
    [sym_import_include] = STATE(104),
    [sym_caption] = STATE(104),
    [sym_citation] = STATE(104),
    [sym_label_definition] = STATE(104),
    [sym_label_reference] = STATE(104),
    [sym_label_reference_range] = STATE(104),
    [sym_label_number] = STATE(104),
    [sym_new_command_definition] = STATE(104),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(104),
    [sym_let_command_definition] = STATE(104),
    [sym_paired_delimiter_definition] = STATE(104),
    [sym_environment_definition] = STATE(104),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(104),
    [sym_glossary_entry_reference] = STATE(104),
    [sym_acronym_definition] = STATE(104),
    [sym_acronym_reference] = STATE(104),
    [sym_theorem_definition] = STATE(104),
    [sym_color_definition] = STATE(104),
    [sym_color_set_definition] = STATE(104),
    [sym_color_reference] = STATE(104),
    [sym_tikz_library_import] = STATE(104),
    [sym_hyperlink] = STATE(104),
    [aux_sym_source_file_repeat1] = STATE(104),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(163),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_RBRACK] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_RPAREN] = ACTIONS(165),
    [anon_sym_BSLASHpart] = ACTIONS(163),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddpart] = ACTIONS(163),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(165),
    [anon_sym_BSLASHchapter] = ACTIONS(163),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddchap] = ACTIONS(163),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsection] = ACTIONS(163),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddsec] = ACTIONS(163),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubsection] = ACTIONS(163),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(163),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHparagraph] = ACTIONS(163),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(163),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(165),
    [anon_sym_BSLASHitem] = ACTIONS(163),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(165),
    [sym_word] = ACTIONS(163),
    [sym_placeholder] = ACTIONS(165),
    [sym_delimiter] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym__] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(165),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(163),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(165),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(165),
    [anon_sym_BSLASHleft] = ACTIONS(163),
    [anon_sym_BSLASHbigl] = ACTIONS(163),
    [anon_sym_BSLASHBigl] = ACTIONS(163),
    [anon_sym_BSLASHbiggl] = ACTIONS(163),
    [anon_sym_BSLASHBiggl] = ACTIONS(163),
    [anon_sym_BSLASHtext] = ACTIONS(163),
    [anon_sym_BSLASHintertext] = ACTIONS(163),
    [anon_sym_BSLASHshortintertext] = ACTIONS(163),
    [anon_sym_BSLASHbegin] = ACTIONS(163),
    [anon_sym_BSLASHtitle] = ACTIONS(163),
    [anon_sym_BSLASHauthor] = ACTIONS(163),
    [anon_sym_BSLASHusepackage] = ACTIONS(163),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(163),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(163),
    [anon_sym_BSLASHinclude] = ACTIONS(163),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(163),
    [anon_sym_BSLASHinput] = ACTIONS(163),
    [anon_sym_BSLASHsubfile] = ACTIONS(163),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(163),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(163),
    [anon_sym_BSLASHbibliography] = ACTIONS(163),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(163),
    [anon_sym_BSLASHincludesvg] = ACTIONS(163),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(163),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(163),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(163),
    [anon_sym_BSLASHimport] = ACTIONS(163),
    [anon_sym_BSLASHsubimport] = ACTIONS(163),
    [anon_sym_BSLASHinputfrom] = ACTIONS(163),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(163),
    [anon_sym_BSLASHincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHcaption] = ACTIONS(163),
    [anon_sym_BSLASHcite] = ACTIONS(163),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCite] = ACTIONS(163),
    [anon_sym_BSLASHnocite] = ACTIONS(163),
    [anon_sym_BSLASHcitet] = ACTIONS(163),
    [anon_sym_BSLASHcitep] = ACTIONS(163),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteA] = ACTIONS(163),
    [anon_sym_BSLASHciteR] = ACTIONS(163),
    [anon_sym_BSLASHciteS] = ACTIONS(163),
    [anon_sym_BSLASHciteyearR] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(163),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitetitle] = ACTIONS(163),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteyear] = ACTIONS(163),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitedate] = ACTIONS(163),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteurl] = ACTIONS(163),
    [anon_sym_BSLASHfullcite] = ACTIONS(163),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(163),
    [anon_sym_BSLASHcitealt] = ACTIONS(163),
    [anon_sym_BSLASHcitealp] = ACTIONS(163),
    [anon_sym_BSLASHcitetext] = ACTIONS(163),
    [anon_sym_BSLASHparencite] = ACTIONS(163),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHParencite] = ACTIONS(163),
    [anon_sym_BSLASHfootcite] = ACTIONS(163),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(163),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(163),
    [anon_sym_BSLASHtextcite] = ACTIONS(163),
    [anon_sym_BSLASHTextcite] = ACTIONS(163),
    [anon_sym_BSLASHsmartcite] = ACTIONS(163),
    [anon_sym_BSLASHSmartcite] = ACTIONS(163),
    [anon_sym_BSLASHsupercite] = ACTIONS(163),
    [anon_sym_BSLASHautocite] = ACTIONS(163),
    [anon_sym_BSLASHAutocite] = ACTIONS(163),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHvolcite] = ACTIONS(163),
    [anon_sym_BSLASHVolcite] = ACTIONS(163),
    [anon_sym_BSLASHpvolcite] = ACTIONS(163),
    [anon_sym_BSLASHPvolcite] = ACTIONS(163),
    [anon_sym_BSLASHfvolcite] = ACTIONS(163),
    [anon_sym_BSLASHftvolcite] = ACTIONS(163),
    [anon_sym_BSLASHsvolcite] = ACTIONS(163),
    [anon_sym_BSLASHSvolcite] = ACTIONS(163),
    [anon_sym_BSLASHtvolcite] = ACTIONS(163),
    [anon_sym_BSLASHTvolcite] = ACTIONS(163),
    [anon_sym_BSLASHavolcite] = ACTIONS(163),
    [anon_sym_BSLASHAvolcite] = ACTIONS(163),
    [anon_sym_BSLASHnotecite] = ACTIONS(163),
    [anon_sym_BSLASHNotecite] = ACTIONS(163),
    [anon_sym_BSLASHpnotecite] = ACTIONS(163),
    [anon_sym_BSLASHPnotecite] = ACTIONS(163),
    [anon_sym_BSLASHfnotecite] = ACTIONS(163),
    [anon_sym_BSLASHlabel] = ACTIONS(163),
    [anon_sym_BSLASHref] = ACTIONS(163),
    [anon_sym_BSLASHeqref] = ACTIONS(163),
    [anon_sym_BSLASHvref] = ACTIONS(163),
    [anon_sym_BSLASHVref] = ACTIONS(163),
    [anon_sym_BSLASHautoref] = ACTIONS(163),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHpageref] = ACTIONS(163),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHautopageref] = ACTIONS(163),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcref] = ACTIONS(163),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCref] = ACTIONS(163),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpageref] = ACTIONS(163),
    [anon_sym_BSLASHCpageref] = ACTIONS(163),
    [anon_sym_BSLASHnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnameCref] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcrefrange] = ACTIONS(163),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCrefrange] = ACTIONS(163),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHnewlabel] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(163),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(163),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(163),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(165),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHdef] = ACTIONS(163),
    [anon_sym_BSLASHgdef] = ACTIONS(163),
    [anon_sym_BSLASHedef] = ACTIONS(163),
    [anon_sym_BSLASHxdef] = ACTIONS(163),
    [anon_sym_BSLASHlet] = ACTIONS(163),
    [anon_sym_BSLASHglet] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(163),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(163),
    [anon_sym_BSLASHgls] = ACTIONS(163),
    [anon_sym_BSLASHGls] = ACTIONS(163),
    [anon_sym_BSLASHGLS] = ACTIONS(163),
    [anon_sym_BSLASHglspl] = ACTIONS(163),
    [anon_sym_BSLASHGlspl] = ACTIONS(163),
    [anon_sym_BSLASHGLSpl] = ACTIONS(163),
    [anon_sym_BSLASHglsdisp] = ACTIONS(163),
    [anon_sym_BSLASHglslink] = ACTIONS(163),
    [anon_sym_BSLASHglstext] = ACTIONS(163),
    [anon_sym_BSLASHGlstext] = ACTIONS(163),
    [anon_sym_BSLASHGLStext] = ACTIONS(163),
    [anon_sym_BSLASHglsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(163),
    [anon_sym_BSLASHglsplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSplural] = ACTIONS(163),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHglsname] = ACTIONS(163),
    [anon_sym_BSLASHGlsname] = ACTIONS(163),
    [anon_sym_BSLASHGLSname] = ACTIONS(163),
    [anon_sym_BSLASHglssymbol] = ACTIONS(163),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(163),
    [anon_sym_BSLASHglsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(163),
    [anon_sym_BSLASHglsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(163),
    [anon_sym_BSLASHglsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(163),
    [anon_sym_BSLASHglsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(163),
    [anon_sym_BSLASHglsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(163),
    [anon_sym_BSLASHnewacronym] = ACTIONS(163),
    [anon_sym_BSLASHacrshort] = ACTIONS(163),
    [anon_sym_BSLASHAcrshort] = ACTIONS(163),
    [anon_sym_BSLASHACRshort] = ACTIONS(163),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(163),
    [anon_sym_BSLASHacrlong] = ACTIONS(163),
    [anon_sym_BSLASHAcrlong] = ACTIONS(163),
    [anon_sym_BSLASHACRlong] = ACTIONS(163),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(163),
    [anon_sym_BSLASHacrfull] = ACTIONS(163),
    [anon_sym_BSLASHAcrfull] = ACTIONS(163),
    [anon_sym_BSLASHACRfull] = ACTIONS(163),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(163),
    [anon_sym_BSLASHacs] = ACTIONS(163),
    [anon_sym_BSLASHAcs] = ACTIONS(163),
    [anon_sym_BSLASHacsp] = ACTIONS(163),
    [anon_sym_BSLASHAcsp] = ACTIONS(163),
    [anon_sym_BSLASHacl] = ACTIONS(163),
    [anon_sym_BSLASHAcl] = ACTIONS(163),
    [anon_sym_BSLASHaclp] = ACTIONS(163),
    [anon_sym_BSLASHAclp] = ACTIONS(163),
    [anon_sym_BSLASHacf] = ACTIONS(163),
    [anon_sym_BSLASHAcf] = ACTIONS(163),
    [anon_sym_BSLASHacfp] = ACTIONS(163),
    [anon_sym_BSLASHAcfp] = ACTIONS(163),
    [anon_sym_BSLASHac] = ACTIONS(163),
    [anon_sym_BSLASHAc] = ACTIONS(163),
    [anon_sym_BSLASHacp] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(163),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(163),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(163),
    [anon_sym_BSLASHcolor] = ACTIONS(163),
    [anon_sym_BSLASHpagecolor] = ACTIONS(163),
    [anon_sym_BSLASHtextcolor] = ACTIONS(163),
    [anon_sym_BSLASHmathcolor] = ACTIONS(163),
    [anon_sym_BSLASHcolorbox] = ACTIONS(163),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(163),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(163),
    [anon_sym_BSLASHurl] = ACTIONS(163),
    [anon_sym_BSLASHhref] = ACTIONS(163),
  },
  [78] = {
    [sym_block_comment] = STATE(78),
    [sym__root_content] = STATE(78),
    [sym__flat_content] = STATE(78),
    [sym__text_with_env_content] = STATE(78),
    [sym__text_content] = STATE(78),
    [sym__section] = STATE(78),
    [sym__paragraph] = STATE(78),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(78),
    [sym_text] = STATE(78),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(78),
    [sym_displayed_equation] = STATE(78),
    [sym_inline_formula] = STATE(78),
    [sym_math_delimiter] = STATE(78),
    [sym_text_mode] = STATE(78),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(78),
    [sym_comment_environment] = STATE(78),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(78),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(78),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(78),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(78),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(78),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(78),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(78),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(78),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(78),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(78),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(78),
    [sym_generic_command] = STATE(78),
    [sym_title_declaration] = STATE(78),
    [sym_author_declaration] = STATE(78),
    [sym_package_include] = STATE(78),
    [sym_class_include] = STATE(78),
    [sym_latex_include] = STATE(78),
    [sym_biblatex_include] = STATE(78),
    [sym_bibstyle_include] = STATE(78),
    [sym_bibtex_include] = STATE(78),
    [sym_graphics_include] = STATE(78),
    [sym_svg_include] = STATE(78),
    [sym_inkscape_include] = STATE(78),
    [sym_verbatim_include] = STATE(78),
    [sym_import_include] = STATE(78),
    [sym_caption] = STATE(78),
    [sym_citation] = STATE(78),
    [sym_label_definition] = STATE(78),
    [sym_label_reference] = STATE(78),
    [sym_label_reference_range] = STATE(78),
    [sym_label_number] = STATE(78),
    [sym_new_command_definition] = STATE(78),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(78),
    [sym_let_command_definition] = STATE(78),
    [sym_paired_delimiter_definition] = STATE(78),
    [sym_environment_definition] = STATE(78),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(78),
    [sym_glossary_entry_reference] = STATE(78),
    [sym_acronym_definition] = STATE(78),
    [sym_acronym_reference] = STATE(78),
    [sym_theorem_definition] = STATE(78),
    [sym_color_definition] = STATE(78),
    [sym_color_set_definition] = STATE(78),
    [sym_color_reference] = STATE(78),
    [sym_tikz_library_import] = STATE(78),
    [sym_hyperlink] = STATE(78),
    [aux_sym_source_file_repeat1] = STATE(78),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1538),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1541),
    [anon_sym_LBRACK] = ACTIONS(1544),
    [anon_sym_RBRACK] = ACTIONS(1544),
    [anon_sym_COMMA] = ACTIONS(1544),
    [anon_sym_EQ] = ACTIONS(1544),
    [anon_sym_LPAREN] = ACTIONS(1544),
    [anon_sym_RPAREN] = ACTIONS(1544),
    [anon_sym_BSLASHpart] = ACTIONS(1547),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(1550),
    [anon_sym_BSLASHaddpart] = ACTIONS(1547),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(1550),
    [anon_sym_BSLASHchapter] = ACTIONS(1553),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(1556),
    [anon_sym_BSLASHaddchap] = ACTIONS(1553),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(1556),
    [anon_sym_BSLASHsection] = ACTIONS(1559),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(1562),
    [anon_sym_BSLASHaddsec] = ACTIONS(1559),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(1562),
    [anon_sym_BSLASHsubsection] = ACTIONS(1565),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(1568),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(1571),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(1574),
    [anon_sym_BSLASHparagraph] = ACTIONS(1577),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(1580),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(1583),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(1586),
    [anon_sym_BSLASHitem] = ACTIONS(1589),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(1592),
    [anon_sym_LBRACE] = ACTIONS(1595),
    [sym_word] = ACTIONS(1598),
    [sym_placeholder] = ACTIONS(1601),
    [sym_delimiter] = ACTIONS(1601),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_STAR] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1604),
    [anon_sym_LT] = ACTIONS(1607),
    [anon_sym_GT] = ACTIONS(1607),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_PIPE] = ACTIONS(1607),
    [anon_sym_COLON] = ACTIONS(1607),
    [anon_sym_SQUOTE] = ACTIONS(1607),
    [anon_sym__] = ACTIONS(1610),
    [anon_sym_CARET] = ACTIONS(1613),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1616),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1616),
    [anon_sym_DOLLAR] = ACTIONS(1619),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1622),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(848),
    [anon_sym_BSLASHleft] = ACTIONS(1625),
    [anon_sym_BSLASHbigl] = ACTIONS(1625),
    [anon_sym_BSLASHBigl] = ACTIONS(1625),
    [anon_sym_BSLASHbiggl] = ACTIONS(1625),
    [anon_sym_BSLASHBiggl] = ACTIONS(1625),
    [anon_sym_BSLASHtext] = ACTIONS(1628),
    [anon_sym_BSLASHintertext] = ACTIONS(1628),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1628),
    [anon_sym_BSLASHbegin] = ACTIONS(434),
    [anon_sym_BSLASHtitle] = ACTIONS(1631),
    [anon_sym_BSLASHauthor] = ACTIONS(1634),
    [anon_sym_BSLASHusepackage] = ACTIONS(1637),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1637),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1640),
    [anon_sym_BSLASHinclude] = ACTIONS(1643),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1643),
    [anon_sym_BSLASHinput] = ACTIONS(1643),
    [anon_sym_BSLASHsubfile] = ACTIONS(1643),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1646),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1649),
    [anon_sym_BSLASHbibliography] = ACTIONS(1652),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1655),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1658),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1661),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1664),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1664),
    [anon_sym_BSLASHimport] = ACTIONS(1667),
    [anon_sym_BSLASHsubimport] = ACTIONS(1667),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1667),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1667),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1667),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1667),
    [anon_sym_BSLASHcaption] = ACTIONS(1670),
    [anon_sym_BSLASHcite] = ACTIONS(1673),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1676),
    [anon_sym_BSLASHCite] = ACTIONS(1673),
    [anon_sym_BSLASHnocite] = ACTIONS(1673),
    [anon_sym_BSLASHcitet] = ACTIONS(1673),
    [anon_sym_BSLASHcitep] = ACTIONS(1673),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1676),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1676),
    [anon_sym_BSLASHciteA] = ACTIONS(1673),
    [anon_sym_BSLASHciteR] = ACTIONS(1673),
    [anon_sym_BSLASHciteS] = ACTIONS(1673),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1673),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1673),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1676),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1673),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1676),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1673),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1676),
    [anon_sym_BSLASHciteyear] = ACTIONS(1673),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1676),
    [anon_sym_BSLASHcitedate] = ACTIONS(1673),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1676),
    [anon_sym_BSLASHciteurl] = ACTIONS(1673),
    [anon_sym_BSLASHfullcite] = ACTIONS(1673),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1673),
    [anon_sym_BSLASHcitealt] = ACTIONS(1673),
    [anon_sym_BSLASHcitealp] = ACTIONS(1673),
    [anon_sym_BSLASHcitetext] = ACTIONS(1673),
    [anon_sym_BSLASHparencite] = ACTIONS(1673),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1676),
    [anon_sym_BSLASHParencite] = ACTIONS(1673),
    [anon_sym_BSLASHfootcite] = ACTIONS(1673),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1673),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1673),
    [anon_sym_BSLASHtextcite] = ACTIONS(1673),
    [anon_sym_BSLASHTextcite] = ACTIONS(1673),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1673),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1673),
    [anon_sym_BSLASHsupercite] = ACTIONS(1673),
    [anon_sym_BSLASHautocite] = ACTIONS(1673),
    [anon_sym_BSLASHAutocite] = ACTIONS(1673),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1676),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1676),
    [anon_sym_BSLASHvolcite] = ACTIONS(1673),
    [anon_sym_BSLASHVolcite] = ACTIONS(1673),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1673),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1673),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1673),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1673),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1673),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1673),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1673),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1673),
    [anon_sym_BSLASHavolcite] = ACTIONS(1673),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1673),
    [anon_sym_BSLASHnotecite] = ACTIONS(1673),
    [anon_sym_BSLASHNotecite] = ACTIONS(1673),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1673),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1673),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1673),
    [anon_sym_BSLASHlabel] = ACTIONS(1679),
    [anon_sym_BSLASHref] = ACTIONS(1682),
    [anon_sym_BSLASHeqref] = ACTIONS(1682),
    [anon_sym_BSLASHvref] = ACTIONS(1682),
    [anon_sym_BSLASHVref] = ACTIONS(1682),
    [anon_sym_BSLASHautoref] = ACTIONS(1682),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1685),
    [anon_sym_BSLASHpageref] = ACTIONS(1682),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1685),
    [anon_sym_BSLASHautopageref] = ACTIONS(1682),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1685),
    [anon_sym_BSLASHcref] = ACTIONS(1682),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1685),
    [anon_sym_BSLASHCref] = ACTIONS(1682),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1685),
    [anon_sym_BSLASHcpageref] = ACTIONS(1682),
    [anon_sym_BSLASHCpageref] = ACTIONS(1682),
    [anon_sym_BSLASHnamecref] = ACTIONS(1682),
    [anon_sym_BSLASHnameCref] = ACTIONS(1682),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1682),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1682),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1682),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1682),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1682),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1685),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1682),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1685),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1688),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1691),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1688),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1691),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1688),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1688),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1694),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1697),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1700),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1697),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1700),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1697),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1700),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1697),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1700),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1697),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1700),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1703),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1703),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1703),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1703),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1703),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1703),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1703),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1703),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1706),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1706),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1706),
    [anon_sym_BSLASHdef] = ACTIONS(1709),
    [anon_sym_BSLASHgdef] = ACTIONS(1709),
    [anon_sym_BSLASHedef] = ACTIONS(1709),
    [anon_sym_BSLASHxdef] = ACTIONS(1709),
    [anon_sym_BSLASHlet] = ACTIONS(1712),
    [anon_sym_BSLASHglet] = ACTIONS(1712),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1715),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1715),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1718),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1718),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1721),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1721),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1721),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1721),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1724),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1724),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1724),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1727),
    [anon_sym_BSLASHgls] = ACTIONS(1730),
    [anon_sym_BSLASHGls] = ACTIONS(1730),
    [anon_sym_BSLASHGLS] = ACTIONS(1730),
    [anon_sym_BSLASHglspl] = ACTIONS(1730),
    [anon_sym_BSLASHGlspl] = ACTIONS(1730),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1730),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1730),
    [anon_sym_BSLASHglslink] = ACTIONS(1730),
    [anon_sym_BSLASHglstext] = ACTIONS(1730),
    [anon_sym_BSLASHGlstext] = ACTIONS(1730),
    [anon_sym_BSLASHGLStext] = ACTIONS(1730),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1730),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1730),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1730),
    [anon_sym_BSLASHglsplural] = ACTIONS(1730),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1730),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1730),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1730),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1730),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1730),
    [anon_sym_BSLASHglsname] = ACTIONS(1730),
    [anon_sym_BSLASHGlsname] = ACTIONS(1730),
    [anon_sym_BSLASHGLSname] = ACTIONS(1730),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1730),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1730),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1730),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1730),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1730),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1730),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1730),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1730),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1730),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1730),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1730),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1730),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1730),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1730),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1730),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1730),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1730),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1730),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1730),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1730),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1730),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1730),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1730),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1733),
    [anon_sym_BSLASHacrshort] = ACTIONS(1736),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1736),
    [anon_sym_BSLASHACRshort] = ACTIONS(1736),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1736),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1736),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1736),
    [anon_sym_BSLASHacrlong] = ACTIONS(1736),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1736),
    [anon_sym_BSLASHACRlong] = ACTIONS(1736),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1736),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1736),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1736),
    [anon_sym_BSLASHacrfull] = ACTIONS(1736),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1736),
    [anon_sym_BSLASHACRfull] = ACTIONS(1736),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1736),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1736),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1736),
    [anon_sym_BSLASHacs] = ACTIONS(1736),
    [anon_sym_BSLASHAcs] = ACTIONS(1736),
    [anon_sym_BSLASHacsp] = ACTIONS(1736),
    [anon_sym_BSLASHAcsp] = ACTIONS(1736),
    [anon_sym_BSLASHacl] = ACTIONS(1736),
    [anon_sym_BSLASHAcl] = ACTIONS(1736),
    [anon_sym_BSLASHaclp] = ACTIONS(1736),
    [anon_sym_BSLASHAclp] = ACTIONS(1736),
    [anon_sym_BSLASHacf] = ACTIONS(1736),
    [anon_sym_BSLASHAcf] = ACTIONS(1736),
    [anon_sym_BSLASHacfp] = ACTIONS(1736),
    [anon_sym_BSLASHAcfp] = ACTIONS(1736),
    [anon_sym_BSLASHac] = ACTIONS(1736),
    [anon_sym_BSLASHAc] = ACTIONS(1736),
    [anon_sym_BSLASHacp] = ACTIONS(1736),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1736),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1736),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1736),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1736),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1736),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1736),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1736),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1736),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1736),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1736),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1739),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1742),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1739),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1742),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1745),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1748),
    [anon_sym_BSLASHcolor] = ACTIONS(1751),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1751),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1751),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1751),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1751),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1754),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1754),
    [anon_sym_BSLASHurl] = ACTIONS(1757),
    [anon_sym_BSLASHhref] = ACTIONS(1757),
  },
  [79] = {
    [sym_block_comment] = STATE(104),
    [sym__root_content] = STATE(104),
    [sym__flat_content] = STATE(104),
    [sym__text_with_env_content] = STATE(104),
    [sym__text_content] = STATE(104),
    [sym__section] = STATE(104),
    [sym__paragraph] = STATE(104),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(104),
    [sym_text] = STATE(104),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(104),
    [sym_displayed_equation] = STATE(104),
    [sym_inline_formula] = STATE(104),
    [sym_math_delimiter] = STATE(104),
    [sym_text_mode] = STATE(104),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(104),
    [sym_comment_environment] = STATE(104),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(104),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(104),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(104),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(104),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(104),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(104),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(104),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(104),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(104),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(104),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(104),
    [sym_generic_command] = STATE(104),
    [sym_title_declaration] = STATE(104),
    [sym_author_declaration] = STATE(104),
    [sym_package_include] = STATE(104),
    [sym_class_include] = STATE(104),
    [sym_latex_include] = STATE(104),
    [sym_biblatex_include] = STATE(104),
    [sym_bibstyle_include] = STATE(104),
    [sym_bibtex_include] = STATE(104),
    [sym_graphics_include] = STATE(104),
    [sym_svg_include] = STATE(104),
    [sym_inkscape_include] = STATE(104),
    [sym_verbatim_include] = STATE(104),
    [sym_import_include] = STATE(104),
    [sym_caption] = STATE(104),
    [sym_citation] = STATE(104),
    [sym_label_definition] = STATE(104),
    [sym_label_reference] = STATE(104),
    [sym_label_reference_range] = STATE(104),
    [sym_label_number] = STATE(104),
    [sym_new_command_definition] = STATE(104),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(104),
    [sym_let_command_definition] = STATE(104),
    [sym_paired_delimiter_definition] = STATE(104),
    [sym_environment_definition] = STATE(104),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(104),
    [sym_glossary_entry_reference] = STATE(104),
    [sym_acronym_definition] = STATE(104),
    [sym_acronym_reference] = STATE(104),
    [sym_theorem_definition] = STATE(104),
    [sym_color_definition] = STATE(104),
    [sym_color_set_definition] = STATE(104),
    [sym_color_reference] = STATE(104),
    [sym_tikz_library_import] = STATE(104),
    [sym_hyperlink] = STATE(104),
    [aux_sym_source_file_repeat1] = STATE(104),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(173),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(173),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_RBRACK] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_RPAREN] = ACTIONS(175),
    [anon_sym_BSLASHpart] = ACTIONS(173),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddpart] = ACTIONS(173),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(175),
    [anon_sym_BSLASHchapter] = ACTIONS(173),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddchap] = ACTIONS(173),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsection] = ACTIONS(173),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddsec] = ACTIONS(173),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubsection] = ACTIONS(173),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(173),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHparagraph] = ACTIONS(173),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(173),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(175),
    [anon_sym_BSLASHitem] = ACTIONS(173),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(175),
    [anon_sym_LBRACE] = ACTIONS(175),
    [sym_word] = ACTIONS(173),
    [sym_placeholder] = ACTIONS(175),
    [sym_delimiter] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym__] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(175),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(175),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(175),
    [anon_sym_DOLLAR] = ACTIONS(173),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(175),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(175),
    [anon_sym_BSLASHleft] = ACTIONS(173),
    [anon_sym_BSLASHbigl] = ACTIONS(173),
    [anon_sym_BSLASHBigl] = ACTIONS(173),
    [anon_sym_BSLASHbiggl] = ACTIONS(173),
    [anon_sym_BSLASHBiggl] = ACTIONS(173),
    [anon_sym_BSLASHtext] = ACTIONS(173),
    [anon_sym_BSLASHintertext] = ACTIONS(173),
    [anon_sym_BSLASHshortintertext] = ACTIONS(173),
    [anon_sym_BSLASHbegin] = ACTIONS(173),
    [anon_sym_BSLASHtitle] = ACTIONS(173),
    [anon_sym_BSLASHauthor] = ACTIONS(173),
    [anon_sym_BSLASHusepackage] = ACTIONS(173),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(173),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(173),
    [anon_sym_BSLASHinclude] = ACTIONS(173),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(173),
    [anon_sym_BSLASHinput] = ACTIONS(173),
    [anon_sym_BSLASHsubfile] = ACTIONS(173),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(173),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(173),
    [anon_sym_BSLASHbibliography] = ACTIONS(173),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(173),
    [anon_sym_BSLASHincludesvg] = ACTIONS(173),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(173),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(173),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(173),
    [anon_sym_BSLASHimport] = ACTIONS(173),
    [anon_sym_BSLASHsubimport] = ACTIONS(173),
    [anon_sym_BSLASHinputfrom] = ACTIONS(173),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(173),
    [anon_sym_BSLASHincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHcaption] = ACTIONS(173),
    [anon_sym_BSLASHcite] = ACTIONS(173),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCite] = ACTIONS(173),
    [anon_sym_BSLASHnocite] = ACTIONS(173),
    [anon_sym_BSLASHcitet] = ACTIONS(173),
    [anon_sym_BSLASHcitep] = ACTIONS(173),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteA] = ACTIONS(173),
    [anon_sym_BSLASHciteR] = ACTIONS(173),
    [anon_sym_BSLASHciteS] = ACTIONS(173),
    [anon_sym_BSLASHciteyearR] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(173),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitetitle] = ACTIONS(173),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteyear] = ACTIONS(173),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitedate] = ACTIONS(173),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteurl] = ACTIONS(173),
    [anon_sym_BSLASHfullcite] = ACTIONS(173),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(173),
    [anon_sym_BSLASHcitealt] = ACTIONS(173),
    [anon_sym_BSLASHcitealp] = ACTIONS(173),
    [anon_sym_BSLASHcitetext] = ACTIONS(173),
    [anon_sym_BSLASHparencite] = ACTIONS(173),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHParencite] = ACTIONS(173),
    [anon_sym_BSLASHfootcite] = ACTIONS(173),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(173),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(173),
    [anon_sym_BSLASHtextcite] = ACTIONS(173),
    [anon_sym_BSLASHTextcite] = ACTIONS(173),
    [anon_sym_BSLASHsmartcite] = ACTIONS(173),
    [anon_sym_BSLASHSmartcite] = ACTIONS(173),
    [anon_sym_BSLASHsupercite] = ACTIONS(173),
    [anon_sym_BSLASHautocite] = ACTIONS(173),
    [anon_sym_BSLASHAutocite] = ACTIONS(173),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHvolcite] = ACTIONS(173),
    [anon_sym_BSLASHVolcite] = ACTIONS(173),
    [anon_sym_BSLASHpvolcite] = ACTIONS(173),
    [anon_sym_BSLASHPvolcite] = ACTIONS(173),
    [anon_sym_BSLASHfvolcite] = ACTIONS(173),
    [anon_sym_BSLASHftvolcite] = ACTIONS(173),
    [anon_sym_BSLASHsvolcite] = ACTIONS(173),
    [anon_sym_BSLASHSvolcite] = ACTIONS(173),
    [anon_sym_BSLASHtvolcite] = ACTIONS(173),
    [anon_sym_BSLASHTvolcite] = ACTIONS(173),
    [anon_sym_BSLASHavolcite] = ACTIONS(173),
    [anon_sym_BSLASHAvolcite] = ACTIONS(173),
    [anon_sym_BSLASHnotecite] = ACTIONS(173),
    [anon_sym_BSLASHNotecite] = ACTIONS(173),
    [anon_sym_BSLASHpnotecite] = ACTIONS(173),
    [anon_sym_BSLASHPnotecite] = ACTIONS(173),
    [anon_sym_BSLASHfnotecite] = ACTIONS(173),
    [anon_sym_BSLASHlabel] = ACTIONS(173),
    [anon_sym_BSLASHref] = ACTIONS(173),
    [anon_sym_BSLASHeqref] = ACTIONS(173),
    [anon_sym_BSLASHvref] = ACTIONS(173),
    [anon_sym_BSLASHVref] = ACTIONS(173),
    [anon_sym_BSLASHautoref] = ACTIONS(173),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHpageref] = ACTIONS(173),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHautopageref] = ACTIONS(173),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcref] = ACTIONS(173),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCref] = ACTIONS(173),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpageref] = ACTIONS(173),
    [anon_sym_BSLASHCpageref] = ACTIONS(173),
    [anon_sym_BSLASHnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnameCref] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcrefrange] = ACTIONS(173),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCrefrange] = ACTIONS(173),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHnewlabel] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(173),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(173),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(173),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(175),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHdef] = ACTIONS(173),
    [anon_sym_BSLASHgdef] = ACTIONS(173),
    [anon_sym_BSLASHedef] = ACTIONS(173),
    [anon_sym_BSLASHxdef] = ACTIONS(173),
    [anon_sym_BSLASHlet] = ACTIONS(173),
    [anon_sym_BSLASHglet] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(173),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(173),
    [anon_sym_BSLASHgls] = ACTIONS(173),
    [anon_sym_BSLASHGls] = ACTIONS(173),
    [anon_sym_BSLASHGLS] = ACTIONS(173),
    [anon_sym_BSLASHglspl] = ACTIONS(173),
    [anon_sym_BSLASHGlspl] = ACTIONS(173),
    [anon_sym_BSLASHGLSpl] = ACTIONS(173),
    [anon_sym_BSLASHglsdisp] = ACTIONS(173),
    [anon_sym_BSLASHglslink] = ACTIONS(173),
    [anon_sym_BSLASHglstext] = ACTIONS(173),
    [anon_sym_BSLASHGlstext] = ACTIONS(173),
    [anon_sym_BSLASHGLStext] = ACTIONS(173),
    [anon_sym_BSLASHglsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(173),
    [anon_sym_BSLASHglsplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSplural] = ACTIONS(173),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHglsname] = ACTIONS(173),
    [anon_sym_BSLASHGlsname] = ACTIONS(173),
    [anon_sym_BSLASHGLSname] = ACTIONS(173),
    [anon_sym_BSLASHglssymbol] = ACTIONS(173),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(173),
    [anon_sym_BSLASHglsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(173),
    [anon_sym_BSLASHglsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(173),
    [anon_sym_BSLASHglsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(173),
    [anon_sym_BSLASHglsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(173),
    [anon_sym_BSLASHglsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(173),
    [anon_sym_BSLASHnewacronym] = ACTIONS(173),
    [anon_sym_BSLASHacrshort] = ACTIONS(173),
    [anon_sym_BSLASHAcrshort] = ACTIONS(173),
    [anon_sym_BSLASHACRshort] = ACTIONS(173),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(173),
    [anon_sym_BSLASHacrlong] = ACTIONS(173),
    [anon_sym_BSLASHAcrlong] = ACTIONS(173),
    [anon_sym_BSLASHACRlong] = ACTIONS(173),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(173),
    [anon_sym_BSLASHacrfull] = ACTIONS(173),
    [anon_sym_BSLASHAcrfull] = ACTIONS(173),
    [anon_sym_BSLASHACRfull] = ACTIONS(173),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(173),
    [anon_sym_BSLASHacs] = ACTIONS(173),
    [anon_sym_BSLASHAcs] = ACTIONS(173),
    [anon_sym_BSLASHacsp] = ACTIONS(173),
    [anon_sym_BSLASHAcsp] = ACTIONS(173),
    [anon_sym_BSLASHacl] = ACTIONS(173),
    [anon_sym_BSLASHAcl] = ACTIONS(173),
    [anon_sym_BSLASHaclp] = ACTIONS(173),
    [anon_sym_BSLASHAclp] = ACTIONS(173),
    [anon_sym_BSLASHacf] = ACTIONS(173),
    [anon_sym_BSLASHAcf] = ACTIONS(173),
    [anon_sym_BSLASHacfp] = ACTIONS(173),
    [anon_sym_BSLASHAcfp] = ACTIONS(173),
    [anon_sym_BSLASHac] = ACTIONS(173),
    [anon_sym_BSLASHAc] = ACTIONS(173),
    [anon_sym_BSLASHacp] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(173),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(173),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(173),
    [anon_sym_BSLASHcolor] = ACTIONS(173),
    [anon_sym_BSLASHpagecolor] = ACTIONS(173),
    [anon_sym_BSLASHtextcolor] = ACTIONS(173),
    [anon_sym_BSLASHmathcolor] = ACTIONS(173),
    [anon_sym_BSLASHcolorbox] = ACTIONS(173),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(173),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(173),
    [anon_sym_BSLASHurl] = ACTIONS(173),
    [anon_sym_BSLASHhref] = ACTIONS(173),
  },
  [80] = {
    [sym_block_comment] = STATE(64),
    [sym__root_content] = STATE(64),
    [sym__flat_content] = STATE(64),
    [sym__text_with_env_content] = STATE(64),
    [sym__text_content] = STATE(64),
    [sym__section] = STATE(64),
    [sym__paragraph] = STATE(64),
    [sym__part_declaration] = STATE(161),
    [sym_part] = STATE(509),
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(512),
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(515),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(516),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(519),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(64),
    [sym_text] = STATE(64),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(64),
    [sym_displayed_equation] = STATE(64),
    [sym_inline_formula] = STATE(64),
    [sym_math_delimiter] = STATE(64),
    [sym_text_mode] = STATE(64),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(64),
    [sym_comment_environment] = STATE(64),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(64),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(64),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(64),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(64),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(64),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(64),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(64),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(64),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(64),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(64),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(64),
    [sym_generic_command] = STATE(64),
    [sym_title_declaration] = STATE(64),
    [sym_author_declaration] = STATE(64),
    [sym_package_include] = STATE(64),
    [sym_class_include] = STATE(64),
    [sym_latex_include] = STATE(64),
    [sym_biblatex_include] = STATE(64),
    [sym_bibstyle_include] = STATE(64),
    [sym_bibtex_include] = STATE(64),
    [sym_graphics_include] = STATE(64),
    [sym_svg_include] = STATE(64),
    [sym_inkscape_include] = STATE(64),
    [sym_verbatim_include] = STATE(64),
    [sym_import_include] = STATE(64),
    [sym_caption] = STATE(64),
    [sym_citation] = STATE(64),
    [sym_label_definition] = STATE(64),
    [sym_label_reference] = STATE(64),
    [sym_label_reference_range] = STATE(64),
    [sym_label_number] = STATE(64),
    [sym_new_command_definition] = STATE(64),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(64),
    [sym_let_command_definition] = STATE(64),
    [sym_paired_delimiter_definition] = STATE(64),
    [sym_environment_definition] = STATE(64),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(64),
    [sym_glossary_entry_reference] = STATE(64),
    [sym_acronym_definition] = STATE(64),
    [sym_acronym_reference] = STATE(64),
    [sym_theorem_definition] = STATE(64),
    [sym_color_definition] = STATE(64),
    [sym_color_set_definition] = STATE(64),
    [sym_color_reference] = STATE(64),
    [sym_tikz_library_import] = STATE(64),
    [sym_hyperlink] = STATE(64),
    [aux_sym_source_file_repeat1] = STATE(64),
    [aux_sym__section_repeat1] = STATE(509),
    [aux_sym__section_repeat2] = STATE(512),
    [aux_sym__section_repeat3] = STATE(515),
    [aux_sym__section_repeat4] = STATE(516),
    [aux_sym__section_repeat5] = STATE(519),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_text_repeat1] = STATE(266),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(1416),
    [anon_sym_RBRACK] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1416),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_RPAREN] = ACTIONS(1416),
    [anon_sym_BSLASHpart] = ACTIONS(13),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHaddpart] = ACTIONS(13),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(1760),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [81] = {
    [sym_block_comment] = STATE(81),
    [sym__root_content] = STATE(81),
    [sym__flat_content] = STATE(81),
    [sym__text_with_env_content] = STATE(81),
    [sym__text_content] = STATE(81),
    [sym__section] = STATE(81),
    [sym__paragraph] = STATE(81),
    [sym__part_declaration] = STATE(163),
    [sym_part] = STATE(795),
    [sym__chapter_declaration] = STATE(173),
    [sym_chapter] = STATE(796),
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(797),
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(798),
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(799),
    [sym__paragraph_declaration] = STATE(213),
    [sym_paragraph] = STATE(800),
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(801),
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(802),
    [sym_curly_group] = STATE(81),
    [sym_text] = STATE(81),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(81),
    [sym_displayed_equation] = STATE(81),
    [sym_inline_formula] = STATE(81),
    [sym_math_delimiter] = STATE(81),
    [sym_text_mode] = STATE(81),
    [sym_begin] = STATE(71),
    [sym_generic_environment] = STATE(81),
    [sym_comment_environment] = STATE(81),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(81),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(81),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(81),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(81),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(81),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(81),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(81),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(81),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(81),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(81),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(81),
    [sym_generic_command] = STATE(81),
    [sym_title_declaration] = STATE(81),
    [sym_author_declaration] = STATE(81),
    [sym_package_include] = STATE(81),
    [sym_class_include] = STATE(81),
    [sym_latex_include] = STATE(81),
    [sym_biblatex_include] = STATE(81),
    [sym_bibstyle_include] = STATE(81),
    [sym_bibtex_include] = STATE(81),
    [sym_graphics_include] = STATE(81),
    [sym_svg_include] = STATE(81),
    [sym_inkscape_include] = STATE(81),
    [sym_verbatim_include] = STATE(81),
    [sym_import_include] = STATE(81),
    [sym_caption] = STATE(81),
    [sym_citation] = STATE(81),
    [sym_label_definition] = STATE(81),
    [sym_label_reference] = STATE(81),
    [sym_label_reference_range] = STATE(81),
    [sym_label_number] = STATE(81),
    [sym_new_command_definition] = STATE(81),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(81),
    [sym_let_command_definition] = STATE(81),
    [sym_paired_delimiter_definition] = STATE(81),
    [sym_environment_definition] = STATE(81),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(81),
    [sym_glossary_entry_reference] = STATE(81),
    [sym_acronym_definition] = STATE(81),
    [sym_acronym_reference] = STATE(81),
    [sym_theorem_definition] = STATE(81),
    [sym_color_definition] = STATE(81),
    [sym_color_set_definition] = STATE(81),
    [sym_color_reference] = STATE(81),
    [sym_tikz_library_import] = STATE(81),
    [sym_hyperlink] = STATE(81),
    [aux_sym_source_file_repeat1] = STATE(81),
    [aux_sym__section_repeat1] = STATE(795),
    [aux_sym__section_repeat2] = STATE(796),
    [aux_sym__section_repeat3] = STATE(797),
    [aux_sym__section_repeat4] = STATE(798),
    [aux_sym__section_repeat5] = STATE(799),
    [aux_sym__paragraph_repeat1] = STATE(800),
    [aux_sym__paragraph_repeat2] = STATE(801),
    [aux_sym__paragraph_repeat3] = STATE(802),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(1762),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1765),
    [anon_sym_LBRACK] = ACTIONS(1768),
    [anon_sym_RBRACK] = ACTIONS(1768),
    [anon_sym_COMMA] = ACTIONS(1768),
    [anon_sym_EQ] = ACTIONS(1768),
    [anon_sym_LPAREN] = ACTIONS(1768),
    [anon_sym_RPAREN] = ACTIONS(1768),
    [anon_sym_BSLASHpart] = ACTIONS(1771),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(1774),
    [anon_sym_BSLASHaddpart] = ACTIONS(1771),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(1774),
    [anon_sym_BSLASHchapter] = ACTIONS(1777),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(1780),
    [anon_sym_BSLASHaddchap] = ACTIONS(1777),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(1780),
    [anon_sym_BSLASHsection] = ACTIONS(1783),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(1786),
    [anon_sym_BSLASHaddsec] = ACTIONS(1783),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(1786),
    [anon_sym_BSLASHsubsection] = ACTIONS(1789),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(1792),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(1795),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(1798),
    [anon_sym_BSLASHparagraph] = ACTIONS(1801),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(1804),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(1807),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(1810),
    [anon_sym_BSLASHitem] = ACTIONS(1813),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(1816),
    [anon_sym_LBRACE] = ACTIONS(1819),
    [sym_word] = ACTIONS(1822),
    [sym_placeholder] = ACTIONS(1825),
    [sym_delimiter] = ACTIONS(1825),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_LT] = ACTIONS(1831),
    [anon_sym_GT] = ACTIONS(1831),
    [anon_sym_BANG] = ACTIONS(1831),
    [anon_sym_PIPE] = ACTIONS(1831),
    [anon_sym_COLON] = ACTIONS(1831),
    [anon_sym_SQUOTE] = ACTIONS(1831),
    [anon_sym__] = ACTIONS(1834),
    [anon_sym_CARET] = ACTIONS(1837),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1840),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1840),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1846),
    [anon_sym_BSLASHleft] = ACTIONS(1849),
    [anon_sym_BSLASHbigl] = ACTIONS(1849),
    [anon_sym_BSLASHBigl] = ACTIONS(1849),
    [anon_sym_BSLASHbiggl] = ACTIONS(1849),
    [anon_sym_BSLASHBiggl] = ACTIONS(1849),
    [anon_sym_BSLASHtext] = ACTIONS(1852),
    [anon_sym_BSLASHintertext] = ACTIONS(1852),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1852),
    [anon_sym_BSLASHbegin] = ACTIONS(434),
    [anon_sym_BSLASHend] = ACTIONS(429),
    [anon_sym_BSLASHtitle] = ACTIONS(1855),
    [anon_sym_BSLASHauthor] = ACTIONS(1858),
    [anon_sym_BSLASHusepackage] = ACTIONS(1861),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1861),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1864),
    [anon_sym_BSLASHinclude] = ACTIONS(1867),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1867),
    [anon_sym_BSLASHinput] = ACTIONS(1867),
    [anon_sym_BSLASHsubfile] = ACTIONS(1867),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1870),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1873),
    [anon_sym_BSLASHbibliography] = ACTIONS(1876),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1879),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1882),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1885),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1888),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1888),
    [anon_sym_BSLASHimport] = ACTIONS(1891),
    [anon_sym_BSLASHsubimport] = ACTIONS(1891),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1891),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1891),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1891),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1891),
    [anon_sym_BSLASHcaption] = ACTIONS(1894),
    [anon_sym_BSLASHcite] = ACTIONS(1897),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1900),
    [anon_sym_BSLASHCite] = ACTIONS(1897),
    [anon_sym_BSLASHnocite] = ACTIONS(1897),
    [anon_sym_BSLASHcitet] = ACTIONS(1897),
    [anon_sym_BSLASHcitep] = ACTIONS(1897),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1900),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1900),
    [anon_sym_BSLASHciteA] = ACTIONS(1897),
    [anon_sym_BSLASHciteR] = ACTIONS(1897),
    [anon_sym_BSLASHciteS] = ACTIONS(1897),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1897),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1897),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1900),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1897),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1900),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1897),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1900),
    [anon_sym_BSLASHciteyear] = ACTIONS(1897),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1900),
    [anon_sym_BSLASHcitedate] = ACTIONS(1897),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1900),
    [anon_sym_BSLASHciteurl] = ACTIONS(1897),
    [anon_sym_BSLASHfullcite] = ACTIONS(1897),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1897),
    [anon_sym_BSLASHcitealt] = ACTIONS(1897),
    [anon_sym_BSLASHcitealp] = ACTIONS(1897),
    [anon_sym_BSLASHcitetext] = ACTIONS(1897),
    [anon_sym_BSLASHparencite] = ACTIONS(1897),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1900),
    [anon_sym_BSLASHParencite] = ACTIONS(1897),
    [anon_sym_BSLASHfootcite] = ACTIONS(1897),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1897),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1897),
    [anon_sym_BSLASHtextcite] = ACTIONS(1897),
    [anon_sym_BSLASHTextcite] = ACTIONS(1897),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1897),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1897),
    [anon_sym_BSLASHsupercite] = ACTIONS(1897),
    [anon_sym_BSLASHautocite] = ACTIONS(1897),
    [anon_sym_BSLASHAutocite] = ACTIONS(1897),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1900),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1900),
    [anon_sym_BSLASHvolcite] = ACTIONS(1897),
    [anon_sym_BSLASHVolcite] = ACTIONS(1897),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1897),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1897),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1897),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1897),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1897),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1897),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1897),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1897),
    [anon_sym_BSLASHavolcite] = ACTIONS(1897),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1897),
    [anon_sym_BSLASHnotecite] = ACTIONS(1897),
    [anon_sym_BSLASHNotecite] = ACTIONS(1897),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1897),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1897),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1897),
    [anon_sym_BSLASHlabel] = ACTIONS(1903),
    [anon_sym_BSLASHref] = ACTIONS(1906),
    [anon_sym_BSLASHeqref] = ACTIONS(1906),
    [anon_sym_BSLASHvref] = ACTIONS(1906),
    [anon_sym_BSLASHVref] = ACTIONS(1906),
    [anon_sym_BSLASHautoref] = ACTIONS(1906),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1909),
    [anon_sym_BSLASHpageref] = ACTIONS(1906),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1909),
    [anon_sym_BSLASHautopageref] = ACTIONS(1906),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1909),
    [anon_sym_BSLASHcref] = ACTIONS(1906),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1909),
    [anon_sym_BSLASHCref] = ACTIONS(1906),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1909),
    [anon_sym_BSLASHcpageref] = ACTIONS(1906),
    [anon_sym_BSLASHCpageref] = ACTIONS(1906),
    [anon_sym_BSLASHnamecref] = ACTIONS(1906),
    [anon_sym_BSLASHnameCref] = ACTIONS(1906),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1906),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1906),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1906),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1906),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1906),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1909),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1906),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1909),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1912),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1915),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1912),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1915),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1912),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1912),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1918),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1921),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1924),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1921),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1924),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1921),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1924),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1921),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1924),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1921),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1924),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1927),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1927),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1927),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1927),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1927),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1927),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1927),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1927),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1930),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1930),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1930),
    [anon_sym_BSLASHdef] = ACTIONS(1933),
    [anon_sym_BSLASHgdef] = ACTIONS(1933),
    [anon_sym_BSLASHedef] = ACTIONS(1933),
    [anon_sym_BSLASHxdef] = ACTIONS(1933),
    [anon_sym_BSLASHlet] = ACTIONS(1936),
    [anon_sym_BSLASHglet] = ACTIONS(1936),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1939),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1939),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1942),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1942),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1945),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1945),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1945),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1945),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1948),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1948),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1948),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1951),
    [anon_sym_BSLASHgls] = ACTIONS(1954),
    [anon_sym_BSLASHGls] = ACTIONS(1954),
    [anon_sym_BSLASHGLS] = ACTIONS(1954),
    [anon_sym_BSLASHglspl] = ACTIONS(1954),
    [anon_sym_BSLASHGlspl] = ACTIONS(1954),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1954),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1954),
    [anon_sym_BSLASHglslink] = ACTIONS(1954),
    [anon_sym_BSLASHglstext] = ACTIONS(1954),
    [anon_sym_BSLASHGlstext] = ACTIONS(1954),
    [anon_sym_BSLASHGLStext] = ACTIONS(1954),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1954),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1954),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1954),
    [anon_sym_BSLASHglsplural] = ACTIONS(1954),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1954),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1954),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1954),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1954),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1954),
    [anon_sym_BSLASHglsname] = ACTIONS(1954),
    [anon_sym_BSLASHGlsname] = ACTIONS(1954),
    [anon_sym_BSLASHGLSname] = ACTIONS(1954),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1954),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1954),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1954),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1954),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1954),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1954),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1954),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1954),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1954),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1954),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1954),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1954),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1954),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1954),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1954),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1954),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1954),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1954),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1954),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1954),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1954),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1954),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1954),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1957),
    [anon_sym_BSLASHacrshort] = ACTIONS(1960),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1960),
    [anon_sym_BSLASHACRshort] = ACTIONS(1960),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1960),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1960),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1960),
    [anon_sym_BSLASHacrlong] = ACTIONS(1960),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1960),
    [anon_sym_BSLASHACRlong] = ACTIONS(1960),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1960),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1960),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1960),
    [anon_sym_BSLASHacrfull] = ACTIONS(1960),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1960),
    [anon_sym_BSLASHACRfull] = ACTIONS(1960),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1960),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1960),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1960),
    [anon_sym_BSLASHacs] = ACTIONS(1960),
    [anon_sym_BSLASHAcs] = ACTIONS(1960),
    [anon_sym_BSLASHacsp] = ACTIONS(1960),
    [anon_sym_BSLASHAcsp] = ACTIONS(1960),
    [anon_sym_BSLASHacl] = ACTIONS(1960),
    [anon_sym_BSLASHAcl] = ACTIONS(1960),
    [anon_sym_BSLASHaclp] = ACTIONS(1960),
    [anon_sym_BSLASHAclp] = ACTIONS(1960),
    [anon_sym_BSLASHacf] = ACTIONS(1960),
    [anon_sym_BSLASHAcf] = ACTIONS(1960),
    [anon_sym_BSLASHacfp] = ACTIONS(1960),
    [anon_sym_BSLASHAcfp] = ACTIONS(1960),
    [anon_sym_BSLASHac] = ACTIONS(1960),
    [anon_sym_BSLASHAc] = ACTIONS(1960),
    [anon_sym_BSLASHacp] = ACTIONS(1960),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1960),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1960),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1960),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1960),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1960),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1960),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1960),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1960),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1960),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1960),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1963),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1966),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1963),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1966),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1969),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1972),
    [anon_sym_BSLASHcolor] = ACTIONS(1975),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1975),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1975),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1975),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1975),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1978),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1978),
    [anon_sym_BSLASHurl] = ACTIONS(1981),
    [anon_sym_BSLASHhref] = ACTIONS(1981),
  },
  [82] = {
    [sym_block_comment] = STATE(73),
    [sym__root_content] = STATE(73),
    [sym__flat_content] = STATE(73),
    [sym__text_with_env_content] = STATE(73),
    [sym__text_content] = STATE(73),
    [sym__section] = STATE(73),
    [sym__paragraph] = STATE(73),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(73),
    [sym_text] = STATE(73),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(73),
    [sym_displayed_equation] = STATE(73),
    [sym_inline_formula] = STATE(73),
    [sym_math_delimiter] = STATE(73),
    [sym_text_mode] = STATE(73),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(73),
    [sym_comment_environment] = STATE(73),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(73),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(73),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(73),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(73),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(73),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(73),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(73),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(73),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(73),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(73),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(73),
    [sym_generic_command] = STATE(73),
    [sym_title_declaration] = STATE(73),
    [sym_author_declaration] = STATE(73),
    [sym_package_include] = STATE(73),
    [sym_class_include] = STATE(73),
    [sym_latex_include] = STATE(73),
    [sym_biblatex_include] = STATE(73),
    [sym_bibstyle_include] = STATE(73),
    [sym_bibtex_include] = STATE(73),
    [sym_graphics_include] = STATE(73),
    [sym_svg_include] = STATE(73),
    [sym_inkscape_include] = STATE(73),
    [sym_verbatim_include] = STATE(73),
    [sym_import_include] = STATE(73),
    [sym_caption] = STATE(73),
    [sym_citation] = STATE(73),
    [sym_label_definition] = STATE(73),
    [sym_label_reference] = STATE(73),
    [sym_label_reference_range] = STATE(73),
    [sym_label_number] = STATE(73),
    [sym_new_command_definition] = STATE(73),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(73),
    [sym_let_command_definition] = STATE(73),
    [sym_paired_delimiter_definition] = STATE(73),
    [sym_environment_definition] = STATE(73),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(73),
    [sym_glossary_entry_reference] = STATE(73),
    [sym_acronym_definition] = STATE(73),
    [sym_acronym_reference] = STATE(73),
    [sym_theorem_definition] = STATE(73),
    [sym_color_definition] = STATE(73),
    [sym_color_set_definition] = STATE(73),
    [sym_color_reference] = STATE(73),
    [sym_tikz_library_import] = STATE(73),
    [sym_hyperlink] = STATE(73),
    [aux_sym_source_file_repeat1] = STATE(73),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1984),
    [anon_sym_RBRACK] = ACTIONS(1984),
    [anon_sym_COMMA] = ACTIONS(1984),
    [anon_sym_EQ] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(1984),
    [anon_sym_RPAREN] = ACTIONS(1984),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1986),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(1988),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [83] = {
    [sym_block_comment] = STATE(78),
    [sym__root_content] = STATE(78),
    [sym__flat_content] = STATE(78),
    [sym__text_with_env_content] = STATE(78),
    [sym__text_content] = STATE(78),
    [sym__section] = STATE(78),
    [sym__paragraph] = STATE(78),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(78),
    [sym_text] = STATE(78),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(78),
    [sym_displayed_equation] = STATE(78),
    [sym_inline_formula] = STATE(78),
    [sym_math_delimiter] = STATE(78),
    [sym_text_mode] = STATE(78),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(78),
    [sym_comment_environment] = STATE(78),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(78),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(78),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(78),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(78),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(78),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(78),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(78),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(78),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(78),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(78),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(78),
    [sym_generic_command] = STATE(78),
    [sym_title_declaration] = STATE(78),
    [sym_author_declaration] = STATE(78),
    [sym_package_include] = STATE(78),
    [sym_class_include] = STATE(78),
    [sym_latex_include] = STATE(78),
    [sym_biblatex_include] = STATE(78),
    [sym_bibstyle_include] = STATE(78),
    [sym_bibtex_include] = STATE(78),
    [sym_graphics_include] = STATE(78),
    [sym_svg_include] = STATE(78),
    [sym_inkscape_include] = STATE(78),
    [sym_verbatim_include] = STATE(78),
    [sym_import_include] = STATE(78),
    [sym_caption] = STATE(78),
    [sym_citation] = STATE(78),
    [sym_label_definition] = STATE(78),
    [sym_label_reference] = STATE(78),
    [sym_label_reference_range] = STATE(78),
    [sym_label_number] = STATE(78),
    [sym_new_command_definition] = STATE(78),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(78),
    [sym_let_command_definition] = STATE(78),
    [sym_paired_delimiter_definition] = STATE(78),
    [sym_environment_definition] = STATE(78),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(78),
    [sym_glossary_entry_reference] = STATE(78),
    [sym_acronym_definition] = STATE(78),
    [sym_acronym_reference] = STATE(78),
    [sym_theorem_definition] = STATE(78),
    [sym_color_definition] = STATE(78),
    [sym_color_set_definition] = STATE(78),
    [sym_color_reference] = STATE(78),
    [sym_tikz_library_import] = STATE(78),
    [sym_hyperlink] = STATE(78),
    [aux_sym_source_file_repeat1] = STATE(78),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(1990),
    [anon_sym_RBRACK] = ACTIONS(1990),
    [anon_sym_COMMA] = ACTIONS(1990),
    [anon_sym_EQ] = ACTIONS(1990),
    [anon_sym_LPAREN] = ACTIONS(1990),
    [anon_sym_RPAREN] = ACTIONS(1990),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(1992),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(1994),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [84] = {
    [sym_block_comment] = STATE(97),
    [sym__root_content] = STATE(97),
    [sym__flat_content] = STATE(97),
    [sym__text_with_env_content] = STATE(97),
    [sym__text_content] = STATE(97),
    [sym__section] = STATE(97),
    [sym__paragraph] = STATE(97),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(97),
    [sym_text] = STATE(97),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(97),
    [sym_displayed_equation] = STATE(97),
    [sym_inline_formula] = STATE(97),
    [sym_math_delimiter] = STATE(97),
    [sym_text_mode] = STATE(97),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(97),
    [sym_comment_environment] = STATE(97),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(97),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(97),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(97),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(97),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(97),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(97),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(97),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(97),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(97),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(97),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(97),
    [sym_generic_command] = STATE(97),
    [sym_title_declaration] = STATE(97),
    [sym_author_declaration] = STATE(97),
    [sym_package_include] = STATE(97),
    [sym_class_include] = STATE(97),
    [sym_latex_include] = STATE(97),
    [sym_biblatex_include] = STATE(97),
    [sym_bibstyle_include] = STATE(97),
    [sym_bibtex_include] = STATE(97),
    [sym_graphics_include] = STATE(97),
    [sym_svg_include] = STATE(97),
    [sym_inkscape_include] = STATE(97),
    [sym_verbatim_include] = STATE(97),
    [sym_import_include] = STATE(97),
    [sym_caption] = STATE(97),
    [sym_citation] = STATE(97),
    [sym_label_definition] = STATE(97),
    [sym_label_reference] = STATE(97),
    [sym_label_reference_range] = STATE(97),
    [sym_label_number] = STATE(97),
    [sym_new_command_definition] = STATE(97),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(97),
    [sym_let_command_definition] = STATE(97),
    [sym_paired_delimiter_definition] = STATE(97),
    [sym_environment_definition] = STATE(97),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(97),
    [sym_glossary_entry_reference] = STATE(97),
    [sym_acronym_definition] = STATE(97),
    [sym_acronym_reference] = STATE(97),
    [sym_theorem_definition] = STATE(97),
    [sym_color_definition] = STATE(97),
    [sym_color_set_definition] = STATE(97),
    [sym_color_reference] = STATE(97),
    [sym_tikz_library_import] = STATE(97),
    [sym_hyperlink] = STATE(97),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(157),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(157),
    [anon_sym_LBRACK] = ACTIONS(159),
    [anon_sym_RBRACK] = ACTIONS(159),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_RPAREN] = ACTIONS(159),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(159),
    [sym_word] = ACTIONS(157),
    [sym_placeholder] = ACTIONS(159),
    [sym_delimiter] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_SLASH] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(157),
    [anon_sym_GT] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(157),
    [anon_sym_PIPE] = ACTIONS(157),
    [anon_sym_COLON] = ACTIONS(157),
    [anon_sym_SQUOTE] = ACTIONS(157),
    [anon_sym__] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(159),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(159),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(161),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(159),
    [anon_sym_BSLASHleft] = ACTIONS(157),
    [anon_sym_BSLASHbigl] = ACTIONS(157),
    [anon_sym_BSLASHBigl] = ACTIONS(157),
    [anon_sym_BSLASHbiggl] = ACTIONS(157),
    [anon_sym_BSLASHBiggl] = ACTIONS(157),
    [anon_sym_BSLASHtext] = ACTIONS(157),
    [anon_sym_BSLASHintertext] = ACTIONS(157),
    [anon_sym_BSLASHshortintertext] = ACTIONS(157),
    [anon_sym_BSLASHbegin] = ACTIONS(157),
    [anon_sym_BSLASHtitle] = ACTIONS(157),
    [anon_sym_BSLASHauthor] = ACTIONS(157),
    [anon_sym_BSLASHusepackage] = ACTIONS(157),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(157),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(157),
    [anon_sym_BSLASHinclude] = ACTIONS(157),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(157),
    [anon_sym_BSLASHinput] = ACTIONS(157),
    [anon_sym_BSLASHsubfile] = ACTIONS(157),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(157),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(157),
    [anon_sym_BSLASHbibliography] = ACTIONS(157),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(157),
    [anon_sym_BSLASHincludesvg] = ACTIONS(157),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(157),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(157),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(157),
    [anon_sym_BSLASHimport] = ACTIONS(157),
    [anon_sym_BSLASHsubimport] = ACTIONS(157),
    [anon_sym_BSLASHinputfrom] = ACTIONS(157),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(157),
    [anon_sym_BSLASHincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHcaption] = ACTIONS(157),
    [anon_sym_BSLASHcite] = ACTIONS(157),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCite] = ACTIONS(157),
    [anon_sym_BSLASHnocite] = ACTIONS(157),
    [anon_sym_BSLASHcitet] = ACTIONS(157),
    [anon_sym_BSLASHcitep] = ACTIONS(157),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteA] = ACTIONS(157),
    [anon_sym_BSLASHciteR] = ACTIONS(157),
    [anon_sym_BSLASHciteS] = ACTIONS(157),
    [anon_sym_BSLASHciteyearR] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(157),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitetitle] = ACTIONS(157),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteyear] = ACTIONS(157),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitedate] = ACTIONS(157),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteurl] = ACTIONS(157),
    [anon_sym_BSLASHfullcite] = ACTIONS(157),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(157),
    [anon_sym_BSLASHcitealt] = ACTIONS(157),
    [anon_sym_BSLASHcitealp] = ACTIONS(157),
    [anon_sym_BSLASHcitetext] = ACTIONS(157),
    [anon_sym_BSLASHparencite] = ACTIONS(157),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHParencite] = ACTIONS(157),
    [anon_sym_BSLASHfootcite] = ACTIONS(157),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(157),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(157),
    [anon_sym_BSLASHtextcite] = ACTIONS(157),
    [anon_sym_BSLASHTextcite] = ACTIONS(157),
    [anon_sym_BSLASHsmartcite] = ACTIONS(157),
    [anon_sym_BSLASHSmartcite] = ACTIONS(157),
    [anon_sym_BSLASHsupercite] = ACTIONS(157),
    [anon_sym_BSLASHautocite] = ACTIONS(157),
    [anon_sym_BSLASHAutocite] = ACTIONS(157),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHvolcite] = ACTIONS(157),
    [anon_sym_BSLASHVolcite] = ACTIONS(157),
    [anon_sym_BSLASHpvolcite] = ACTIONS(157),
    [anon_sym_BSLASHPvolcite] = ACTIONS(157),
    [anon_sym_BSLASHfvolcite] = ACTIONS(157),
    [anon_sym_BSLASHftvolcite] = ACTIONS(157),
    [anon_sym_BSLASHsvolcite] = ACTIONS(157),
    [anon_sym_BSLASHSvolcite] = ACTIONS(157),
    [anon_sym_BSLASHtvolcite] = ACTIONS(157),
    [anon_sym_BSLASHTvolcite] = ACTIONS(157),
    [anon_sym_BSLASHavolcite] = ACTIONS(157),
    [anon_sym_BSLASHAvolcite] = ACTIONS(157),
    [anon_sym_BSLASHnotecite] = ACTIONS(157),
    [anon_sym_BSLASHNotecite] = ACTIONS(157),
    [anon_sym_BSLASHpnotecite] = ACTIONS(157),
    [anon_sym_BSLASHPnotecite] = ACTIONS(157),
    [anon_sym_BSLASHfnotecite] = ACTIONS(157),
    [anon_sym_BSLASHlabel] = ACTIONS(157),
    [anon_sym_BSLASHref] = ACTIONS(157),
    [anon_sym_BSLASHeqref] = ACTIONS(157),
    [anon_sym_BSLASHvref] = ACTIONS(157),
    [anon_sym_BSLASHVref] = ACTIONS(157),
    [anon_sym_BSLASHautoref] = ACTIONS(157),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpageref] = ACTIONS(157),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHautopageref] = ACTIONS(157),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcref] = ACTIONS(157),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCref] = ACTIONS(157),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpageref] = ACTIONS(157),
    [anon_sym_BSLASHCpageref] = ACTIONS(157),
    [anon_sym_BSLASHnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnameCref] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcrefrange] = ACTIONS(157),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCrefrange] = ACTIONS(157),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHnewlabel] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(157),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(157),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(157),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(159),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHdef] = ACTIONS(157),
    [anon_sym_BSLASHgdef] = ACTIONS(157),
    [anon_sym_BSLASHedef] = ACTIONS(157),
    [anon_sym_BSLASHxdef] = ACTIONS(157),
    [anon_sym_BSLASHlet] = ACTIONS(157),
    [anon_sym_BSLASHglet] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(157),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(157),
    [anon_sym_BSLASHgls] = ACTIONS(157),
    [anon_sym_BSLASHGls] = ACTIONS(157),
    [anon_sym_BSLASHGLS] = ACTIONS(157),
    [anon_sym_BSLASHglspl] = ACTIONS(157),
    [anon_sym_BSLASHGlspl] = ACTIONS(157),
    [anon_sym_BSLASHGLSpl] = ACTIONS(157),
    [anon_sym_BSLASHglsdisp] = ACTIONS(157),
    [anon_sym_BSLASHglslink] = ACTIONS(157),
    [anon_sym_BSLASHglstext] = ACTIONS(157),
    [anon_sym_BSLASHGlstext] = ACTIONS(157),
    [anon_sym_BSLASHGLStext] = ACTIONS(157),
    [anon_sym_BSLASHglsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(157),
    [anon_sym_BSLASHglsplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSplural] = ACTIONS(157),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHglsname] = ACTIONS(157),
    [anon_sym_BSLASHGlsname] = ACTIONS(157),
    [anon_sym_BSLASHGLSname] = ACTIONS(157),
    [anon_sym_BSLASHglssymbol] = ACTIONS(157),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(157),
    [anon_sym_BSLASHglsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(157),
    [anon_sym_BSLASHglsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(157),
    [anon_sym_BSLASHglsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(157),
    [anon_sym_BSLASHglsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(157),
    [anon_sym_BSLASHglsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(157),
    [anon_sym_BSLASHnewacronym] = ACTIONS(157),
    [anon_sym_BSLASHacrshort] = ACTIONS(157),
    [anon_sym_BSLASHAcrshort] = ACTIONS(157),
    [anon_sym_BSLASHACRshort] = ACTIONS(157),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(157),
    [anon_sym_BSLASHacrlong] = ACTIONS(157),
    [anon_sym_BSLASHAcrlong] = ACTIONS(157),
    [anon_sym_BSLASHACRlong] = ACTIONS(157),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(157),
    [anon_sym_BSLASHacrfull] = ACTIONS(157),
    [anon_sym_BSLASHAcrfull] = ACTIONS(157),
    [anon_sym_BSLASHACRfull] = ACTIONS(157),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(157),
    [anon_sym_BSLASHacs] = ACTIONS(157),
    [anon_sym_BSLASHAcs] = ACTIONS(157),
    [anon_sym_BSLASHacsp] = ACTIONS(157),
    [anon_sym_BSLASHAcsp] = ACTIONS(157),
    [anon_sym_BSLASHacl] = ACTIONS(157),
    [anon_sym_BSLASHAcl] = ACTIONS(157),
    [anon_sym_BSLASHaclp] = ACTIONS(157),
    [anon_sym_BSLASHAclp] = ACTIONS(157),
    [anon_sym_BSLASHacf] = ACTIONS(157),
    [anon_sym_BSLASHAcf] = ACTIONS(157),
    [anon_sym_BSLASHacfp] = ACTIONS(157),
    [anon_sym_BSLASHAcfp] = ACTIONS(157),
    [anon_sym_BSLASHac] = ACTIONS(157),
    [anon_sym_BSLASHAc] = ACTIONS(157),
    [anon_sym_BSLASHacp] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(157),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(157),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(157),
    [anon_sym_BSLASHcolor] = ACTIONS(157),
    [anon_sym_BSLASHpagecolor] = ACTIONS(157),
    [anon_sym_BSLASHtextcolor] = ACTIONS(157),
    [anon_sym_BSLASHmathcolor] = ACTIONS(157),
    [anon_sym_BSLASHcolorbox] = ACTIONS(157),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(157),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(157),
    [anon_sym_BSLASHurl] = ACTIONS(157),
    [anon_sym_BSLASHhref] = ACTIONS(157),
  },
  [85] = {
    [sym_block_comment] = STATE(104),
    [sym__root_content] = STATE(104),
    [sym__flat_content] = STATE(104),
    [sym__text_with_env_content] = STATE(104),
    [sym__text_content] = STATE(104),
    [sym__section] = STATE(104),
    [sym__paragraph] = STATE(104),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(104),
    [sym_text] = STATE(104),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(104),
    [sym_displayed_equation] = STATE(104),
    [sym_inline_formula] = STATE(104),
    [sym_math_delimiter] = STATE(104),
    [sym_text_mode] = STATE(104),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(104),
    [sym_comment_environment] = STATE(104),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(104),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(104),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(104),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(104),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(104),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(104),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(104),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(104),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(104),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(104),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(104),
    [sym_generic_command] = STATE(104),
    [sym_title_declaration] = STATE(104),
    [sym_author_declaration] = STATE(104),
    [sym_package_include] = STATE(104),
    [sym_class_include] = STATE(104),
    [sym_latex_include] = STATE(104),
    [sym_biblatex_include] = STATE(104),
    [sym_bibstyle_include] = STATE(104),
    [sym_bibtex_include] = STATE(104),
    [sym_graphics_include] = STATE(104),
    [sym_svg_include] = STATE(104),
    [sym_inkscape_include] = STATE(104),
    [sym_verbatim_include] = STATE(104),
    [sym_import_include] = STATE(104),
    [sym_caption] = STATE(104),
    [sym_citation] = STATE(104),
    [sym_label_definition] = STATE(104),
    [sym_label_reference] = STATE(104),
    [sym_label_reference_range] = STATE(104),
    [sym_label_number] = STATE(104),
    [sym_new_command_definition] = STATE(104),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(104),
    [sym_let_command_definition] = STATE(104),
    [sym_paired_delimiter_definition] = STATE(104),
    [sym_environment_definition] = STATE(104),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(104),
    [sym_glossary_entry_reference] = STATE(104),
    [sym_acronym_definition] = STATE(104),
    [sym_acronym_reference] = STATE(104),
    [sym_theorem_definition] = STATE(104),
    [sym_color_definition] = STATE(104),
    [sym_color_set_definition] = STATE(104),
    [sym_color_reference] = STATE(104),
    [sym_tikz_library_import] = STATE(104),
    [sym_hyperlink] = STATE(104),
    [aux_sym_source_file_repeat1] = STATE(104),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(163),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_RBRACK] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_RPAREN] = ACTIONS(165),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(165),
    [sym_word] = ACTIONS(163),
    [sym_placeholder] = ACTIONS(165),
    [sym_delimiter] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym__] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(165),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(163),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(165),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(167),
    [anon_sym_BSLASHleft] = ACTIONS(163),
    [anon_sym_BSLASHbigl] = ACTIONS(163),
    [anon_sym_BSLASHBigl] = ACTIONS(163),
    [anon_sym_BSLASHbiggl] = ACTIONS(163),
    [anon_sym_BSLASHBiggl] = ACTIONS(163),
    [anon_sym_BSLASHtext] = ACTIONS(163),
    [anon_sym_BSLASHintertext] = ACTIONS(163),
    [anon_sym_BSLASHshortintertext] = ACTIONS(163),
    [anon_sym_BSLASHbegin] = ACTIONS(163),
    [anon_sym_BSLASHtitle] = ACTIONS(163),
    [anon_sym_BSLASHauthor] = ACTIONS(163),
    [anon_sym_BSLASHusepackage] = ACTIONS(163),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(163),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(163),
    [anon_sym_BSLASHinclude] = ACTIONS(163),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(163),
    [anon_sym_BSLASHinput] = ACTIONS(163),
    [anon_sym_BSLASHsubfile] = ACTIONS(163),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(163),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(163),
    [anon_sym_BSLASHbibliography] = ACTIONS(163),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(163),
    [anon_sym_BSLASHincludesvg] = ACTIONS(163),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(163),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(163),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(163),
    [anon_sym_BSLASHimport] = ACTIONS(163),
    [anon_sym_BSLASHsubimport] = ACTIONS(163),
    [anon_sym_BSLASHinputfrom] = ACTIONS(163),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(163),
    [anon_sym_BSLASHincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHcaption] = ACTIONS(163),
    [anon_sym_BSLASHcite] = ACTIONS(163),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCite] = ACTIONS(163),
    [anon_sym_BSLASHnocite] = ACTIONS(163),
    [anon_sym_BSLASHcitet] = ACTIONS(163),
    [anon_sym_BSLASHcitep] = ACTIONS(163),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteA] = ACTIONS(163),
    [anon_sym_BSLASHciteR] = ACTIONS(163),
    [anon_sym_BSLASHciteS] = ACTIONS(163),
    [anon_sym_BSLASHciteyearR] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(163),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitetitle] = ACTIONS(163),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteyear] = ACTIONS(163),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitedate] = ACTIONS(163),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteurl] = ACTIONS(163),
    [anon_sym_BSLASHfullcite] = ACTIONS(163),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(163),
    [anon_sym_BSLASHcitealt] = ACTIONS(163),
    [anon_sym_BSLASHcitealp] = ACTIONS(163),
    [anon_sym_BSLASHcitetext] = ACTIONS(163),
    [anon_sym_BSLASHparencite] = ACTIONS(163),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHParencite] = ACTIONS(163),
    [anon_sym_BSLASHfootcite] = ACTIONS(163),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(163),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(163),
    [anon_sym_BSLASHtextcite] = ACTIONS(163),
    [anon_sym_BSLASHTextcite] = ACTIONS(163),
    [anon_sym_BSLASHsmartcite] = ACTIONS(163),
    [anon_sym_BSLASHSmartcite] = ACTIONS(163),
    [anon_sym_BSLASHsupercite] = ACTIONS(163),
    [anon_sym_BSLASHautocite] = ACTIONS(163),
    [anon_sym_BSLASHAutocite] = ACTIONS(163),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHvolcite] = ACTIONS(163),
    [anon_sym_BSLASHVolcite] = ACTIONS(163),
    [anon_sym_BSLASHpvolcite] = ACTIONS(163),
    [anon_sym_BSLASHPvolcite] = ACTIONS(163),
    [anon_sym_BSLASHfvolcite] = ACTIONS(163),
    [anon_sym_BSLASHftvolcite] = ACTIONS(163),
    [anon_sym_BSLASHsvolcite] = ACTIONS(163),
    [anon_sym_BSLASHSvolcite] = ACTIONS(163),
    [anon_sym_BSLASHtvolcite] = ACTIONS(163),
    [anon_sym_BSLASHTvolcite] = ACTIONS(163),
    [anon_sym_BSLASHavolcite] = ACTIONS(163),
    [anon_sym_BSLASHAvolcite] = ACTIONS(163),
    [anon_sym_BSLASHnotecite] = ACTIONS(163),
    [anon_sym_BSLASHNotecite] = ACTIONS(163),
    [anon_sym_BSLASHpnotecite] = ACTIONS(163),
    [anon_sym_BSLASHPnotecite] = ACTIONS(163),
    [anon_sym_BSLASHfnotecite] = ACTIONS(163),
    [anon_sym_BSLASHlabel] = ACTIONS(163),
    [anon_sym_BSLASHref] = ACTIONS(163),
    [anon_sym_BSLASHeqref] = ACTIONS(163),
    [anon_sym_BSLASHvref] = ACTIONS(163),
    [anon_sym_BSLASHVref] = ACTIONS(163),
    [anon_sym_BSLASHautoref] = ACTIONS(163),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHpageref] = ACTIONS(163),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHautopageref] = ACTIONS(163),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcref] = ACTIONS(163),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCref] = ACTIONS(163),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpageref] = ACTIONS(163),
    [anon_sym_BSLASHCpageref] = ACTIONS(163),
    [anon_sym_BSLASHnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnameCref] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcrefrange] = ACTIONS(163),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCrefrange] = ACTIONS(163),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHnewlabel] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(163),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(163),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(163),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(165),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHdef] = ACTIONS(163),
    [anon_sym_BSLASHgdef] = ACTIONS(163),
    [anon_sym_BSLASHedef] = ACTIONS(163),
    [anon_sym_BSLASHxdef] = ACTIONS(163),
    [anon_sym_BSLASHlet] = ACTIONS(163),
    [anon_sym_BSLASHglet] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(163),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(163),
    [anon_sym_BSLASHgls] = ACTIONS(163),
    [anon_sym_BSLASHGls] = ACTIONS(163),
    [anon_sym_BSLASHGLS] = ACTIONS(163),
    [anon_sym_BSLASHglspl] = ACTIONS(163),
    [anon_sym_BSLASHGlspl] = ACTIONS(163),
    [anon_sym_BSLASHGLSpl] = ACTIONS(163),
    [anon_sym_BSLASHglsdisp] = ACTIONS(163),
    [anon_sym_BSLASHglslink] = ACTIONS(163),
    [anon_sym_BSLASHglstext] = ACTIONS(163),
    [anon_sym_BSLASHGlstext] = ACTIONS(163),
    [anon_sym_BSLASHGLStext] = ACTIONS(163),
    [anon_sym_BSLASHglsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(163),
    [anon_sym_BSLASHglsplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSplural] = ACTIONS(163),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHglsname] = ACTIONS(163),
    [anon_sym_BSLASHGlsname] = ACTIONS(163),
    [anon_sym_BSLASHGLSname] = ACTIONS(163),
    [anon_sym_BSLASHglssymbol] = ACTIONS(163),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(163),
    [anon_sym_BSLASHglsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(163),
    [anon_sym_BSLASHglsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(163),
    [anon_sym_BSLASHglsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(163),
    [anon_sym_BSLASHglsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(163),
    [anon_sym_BSLASHglsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(163),
    [anon_sym_BSLASHnewacronym] = ACTIONS(163),
    [anon_sym_BSLASHacrshort] = ACTIONS(163),
    [anon_sym_BSLASHAcrshort] = ACTIONS(163),
    [anon_sym_BSLASHACRshort] = ACTIONS(163),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(163),
    [anon_sym_BSLASHacrlong] = ACTIONS(163),
    [anon_sym_BSLASHAcrlong] = ACTIONS(163),
    [anon_sym_BSLASHACRlong] = ACTIONS(163),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(163),
    [anon_sym_BSLASHacrfull] = ACTIONS(163),
    [anon_sym_BSLASHAcrfull] = ACTIONS(163),
    [anon_sym_BSLASHACRfull] = ACTIONS(163),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(163),
    [anon_sym_BSLASHacs] = ACTIONS(163),
    [anon_sym_BSLASHAcs] = ACTIONS(163),
    [anon_sym_BSLASHacsp] = ACTIONS(163),
    [anon_sym_BSLASHAcsp] = ACTIONS(163),
    [anon_sym_BSLASHacl] = ACTIONS(163),
    [anon_sym_BSLASHAcl] = ACTIONS(163),
    [anon_sym_BSLASHaclp] = ACTIONS(163),
    [anon_sym_BSLASHAclp] = ACTIONS(163),
    [anon_sym_BSLASHacf] = ACTIONS(163),
    [anon_sym_BSLASHAcf] = ACTIONS(163),
    [anon_sym_BSLASHacfp] = ACTIONS(163),
    [anon_sym_BSLASHAcfp] = ACTIONS(163),
    [anon_sym_BSLASHac] = ACTIONS(163),
    [anon_sym_BSLASHAc] = ACTIONS(163),
    [anon_sym_BSLASHacp] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(163),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(163),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(163),
    [anon_sym_BSLASHcolor] = ACTIONS(163),
    [anon_sym_BSLASHpagecolor] = ACTIONS(163),
    [anon_sym_BSLASHtextcolor] = ACTIONS(163),
    [anon_sym_BSLASHmathcolor] = ACTIONS(163),
    [anon_sym_BSLASHcolorbox] = ACTIONS(163),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(163),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(163),
    [anon_sym_BSLASHurl] = ACTIONS(163),
    [anon_sym_BSLASHhref] = ACTIONS(163),
  },
  [86] = {
    [sym_block_comment] = STATE(97),
    [sym__root_content] = STATE(97),
    [sym__flat_content] = STATE(97),
    [sym__text_with_env_content] = STATE(97),
    [sym__text_content] = STATE(97),
    [sym__section] = STATE(97),
    [sym__paragraph] = STATE(97),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(97),
    [sym_text] = STATE(97),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(97),
    [sym_displayed_equation] = STATE(97),
    [sym_inline_formula] = STATE(97),
    [sym_math_delimiter] = STATE(97),
    [sym_text_mode] = STATE(97),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(97),
    [sym_comment_environment] = STATE(97),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(97),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(97),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(97),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(97),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(97),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(97),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(97),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(97),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(97),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(97),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(97),
    [sym_generic_command] = STATE(97),
    [sym_title_declaration] = STATE(97),
    [sym_author_declaration] = STATE(97),
    [sym_package_include] = STATE(97),
    [sym_class_include] = STATE(97),
    [sym_latex_include] = STATE(97),
    [sym_biblatex_include] = STATE(97),
    [sym_bibstyle_include] = STATE(97),
    [sym_bibtex_include] = STATE(97),
    [sym_graphics_include] = STATE(97),
    [sym_svg_include] = STATE(97),
    [sym_inkscape_include] = STATE(97),
    [sym_verbatim_include] = STATE(97),
    [sym_import_include] = STATE(97),
    [sym_caption] = STATE(97),
    [sym_citation] = STATE(97),
    [sym_label_definition] = STATE(97),
    [sym_label_reference] = STATE(97),
    [sym_label_reference_range] = STATE(97),
    [sym_label_number] = STATE(97),
    [sym_new_command_definition] = STATE(97),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(97),
    [sym_let_command_definition] = STATE(97),
    [sym_paired_delimiter_definition] = STATE(97),
    [sym_environment_definition] = STATE(97),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(97),
    [sym_glossary_entry_reference] = STATE(97),
    [sym_acronym_definition] = STATE(97),
    [sym_acronym_reference] = STATE(97),
    [sym_theorem_definition] = STATE(97),
    [sym_color_definition] = STATE(97),
    [sym_color_set_definition] = STATE(97),
    [sym_color_reference] = STATE(97),
    [sym_tikz_library_import] = STATE(97),
    [sym_hyperlink] = STATE(97),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(169),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_COMMA] = ACTIONS(171),
    [anon_sym_EQ] = ACTIONS(171),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(171),
    [sym_word] = ACTIONS(169),
    [sym_placeholder] = ACTIONS(171),
    [sym_delimiter] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_STAR] = ACTIONS(171),
    [anon_sym_SLASH] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(169),
    [anon_sym_GT] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_PIPE] = ACTIONS(169),
    [anon_sym_COLON] = ACTIONS(169),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym__] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(171),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(171),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(171),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(161),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(171),
    [anon_sym_BSLASHleft] = ACTIONS(169),
    [anon_sym_BSLASHbigl] = ACTIONS(169),
    [anon_sym_BSLASHBigl] = ACTIONS(169),
    [anon_sym_BSLASHbiggl] = ACTIONS(169),
    [anon_sym_BSLASHBiggl] = ACTIONS(169),
    [anon_sym_BSLASHtext] = ACTIONS(169),
    [anon_sym_BSLASHintertext] = ACTIONS(169),
    [anon_sym_BSLASHshortintertext] = ACTIONS(169),
    [anon_sym_BSLASHbegin] = ACTIONS(169),
    [anon_sym_BSLASHtitle] = ACTIONS(169),
    [anon_sym_BSLASHauthor] = ACTIONS(169),
    [anon_sym_BSLASHusepackage] = ACTIONS(169),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(169),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(169),
    [anon_sym_BSLASHinclude] = ACTIONS(169),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(169),
    [anon_sym_BSLASHinput] = ACTIONS(169),
    [anon_sym_BSLASHsubfile] = ACTIONS(169),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(169),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(169),
    [anon_sym_BSLASHbibliography] = ACTIONS(169),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(169),
    [anon_sym_BSLASHincludesvg] = ACTIONS(169),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(169),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(169),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(169),
    [anon_sym_BSLASHimport] = ACTIONS(169),
    [anon_sym_BSLASHsubimport] = ACTIONS(169),
    [anon_sym_BSLASHinputfrom] = ACTIONS(169),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(169),
    [anon_sym_BSLASHincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHcaption] = ACTIONS(169),
    [anon_sym_BSLASHcite] = ACTIONS(169),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCite] = ACTIONS(169),
    [anon_sym_BSLASHnocite] = ACTIONS(169),
    [anon_sym_BSLASHcitet] = ACTIONS(169),
    [anon_sym_BSLASHcitep] = ACTIONS(169),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteA] = ACTIONS(169),
    [anon_sym_BSLASHciteR] = ACTIONS(169),
    [anon_sym_BSLASHciteS] = ACTIONS(169),
    [anon_sym_BSLASHciteyearR] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(169),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitetitle] = ACTIONS(169),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteyear] = ACTIONS(169),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitedate] = ACTIONS(169),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteurl] = ACTIONS(169),
    [anon_sym_BSLASHfullcite] = ACTIONS(169),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(169),
    [anon_sym_BSLASHcitealt] = ACTIONS(169),
    [anon_sym_BSLASHcitealp] = ACTIONS(169),
    [anon_sym_BSLASHcitetext] = ACTIONS(169),
    [anon_sym_BSLASHparencite] = ACTIONS(169),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHParencite] = ACTIONS(169),
    [anon_sym_BSLASHfootcite] = ACTIONS(169),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(169),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(169),
    [anon_sym_BSLASHtextcite] = ACTIONS(169),
    [anon_sym_BSLASHTextcite] = ACTIONS(169),
    [anon_sym_BSLASHsmartcite] = ACTIONS(169),
    [anon_sym_BSLASHSmartcite] = ACTIONS(169),
    [anon_sym_BSLASHsupercite] = ACTIONS(169),
    [anon_sym_BSLASHautocite] = ACTIONS(169),
    [anon_sym_BSLASHAutocite] = ACTIONS(169),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHvolcite] = ACTIONS(169),
    [anon_sym_BSLASHVolcite] = ACTIONS(169),
    [anon_sym_BSLASHpvolcite] = ACTIONS(169),
    [anon_sym_BSLASHPvolcite] = ACTIONS(169),
    [anon_sym_BSLASHfvolcite] = ACTIONS(169),
    [anon_sym_BSLASHftvolcite] = ACTIONS(169),
    [anon_sym_BSLASHsvolcite] = ACTIONS(169),
    [anon_sym_BSLASHSvolcite] = ACTIONS(169),
    [anon_sym_BSLASHtvolcite] = ACTIONS(169),
    [anon_sym_BSLASHTvolcite] = ACTIONS(169),
    [anon_sym_BSLASHavolcite] = ACTIONS(169),
    [anon_sym_BSLASHAvolcite] = ACTIONS(169),
    [anon_sym_BSLASHnotecite] = ACTIONS(169),
    [anon_sym_BSLASHNotecite] = ACTIONS(169),
    [anon_sym_BSLASHpnotecite] = ACTIONS(169),
    [anon_sym_BSLASHPnotecite] = ACTIONS(169),
    [anon_sym_BSLASHfnotecite] = ACTIONS(169),
    [anon_sym_BSLASHlabel] = ACTIONS(169),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHeqref] = ACTIONS(169),
    [anon_sym_BSLASHvref] = ACTIONS(169),
    [anon_sym_BSLASHVref] = ACTIONS(169),
    [anon_sym_BSLASHautoref] = ACTIONS(169),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHpageref] = ACTIONS(169),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHautopageref] = ACTIONS(169),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcref] = ACTIONS(169),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCref] = ACTIONS(169),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpageref] = ACTIONS(169),
    [anon_sym_BSLASHCpageref] = ACTIONS(169),
    [anon_sym_BSLASHnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnameCref] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcrefrange] = ACTIONS(169),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCrefrange] = ACTIONS(169),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHnewlabel] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(169),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(169),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(169),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(171),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHdef] = ACTIONS(169),
    [anon_sym_BSLASHgdef] = ACTIONS(169),
    [anon_sym_BSLASHedef] = ACTIONS(169),
    [anon_sym_BSLASHxdef] = ACTIONS(169),
    [anon_sym_BSLASHlet] = ACTIONS(169),
    [anon_sym_BSLASHglet] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(169),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(169),
    [anon_sym_BSLASHgls] = ACTIONS(169),
    [anon_sym_BSLASHGls] = ACTIONS(169),
    [anon_sym_BSLASHGLS] = ACTIONS(169),
    [anon_sym_BSLASHglspl] = ACTIONS(169),
    [anon_sym_BSLASHGlspl] = ACTIONS(169),
    [anon_sym_BSLASHGLSpl] = ACTIONS(169),
    [anon_sym_BSLASHglsdisp] = ACTIONS(169),
    [anon_sym_BSLASHglslink] = ACTIONS(169),
    [anon_sym_BSLASHglstext] = ACTIONS(169),
    [anon_sym_BSLASHGlstext] = ACTIONS(169),
    [anon_sym_BSLASHGLStext] = ACTIONS(169),
    [anon_sym_BSLASHglsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(169),
    [anon_sym_BSLASHglsplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSplural] = ACTIONS(169),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHglsname] = ACTIONS(169),
    [anon_sym_BSLASHGlsname] = ACTIONS(169),
    [anon_sym_BSLASHGLSname] = ACTIONS(169),
    [anon_sym_BSLASHglssymbol] = ACTIONS(169),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(169),
    [anon_sym_BSLASHglsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(169),
    [anon_sym_BSLASHglsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(169),
    [anon_sym_BSLASHglsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(169),
    [anon_sym_BSLASHglsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(169),
    [anon_sym_BSLASHglsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(169),
    [anon_sym_BSLASHnewacronym] = ACTIONS(169),
    [anon_sym_BSLASHacrshort] = ACTIONS(169),
    [anon_sym_BSLASHAcrshort] = ACTIONS(169),
    [anon_sym_BSLASHACRshort] = ACTIONS(169),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(169),
    [anon_sym_BSLASHacrlong] = ACTIONS(169),
    [anon_sym_BSLASHAcrlong] = ACTIONS(169),
    [anon_sym_BSLASHACRlong] = ACTIONS(169),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(169),
    [anon_sym_BSLASHacrfull] = ACTIONS(169),
    [anon_sym_BSLASHAcrfull] = ACTIONS(169),
    [anon_sym_BSLASHACRfull] = ACTIONS(169),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(169),
    [anon_sym_BSLASHacs] = ACTIONS(169),
    [anon_sym_BSLASHAcs] = ACTIONS(169),
    [anon_sym_BSLASHacsp] = ACTIONS(169),
    [anon_sym_BSLASHAcsp] = ACTIONS(169),
    [anon_sym_BSLASHacl] = ACTIONS(169),
    [anon_sym_BSLASHAcl] = ACTIONS(169),
    [anon_sym_BSLASHaclp] = ACTIONS(169),
    [anon_sym_BSLASHAclp] = ACTIONS(169),
    [anon_sym_BSLASHacf] = ACTIONS(169),
    [anon_sym_BSLASHAcf] = ACTIONS(169),
    [anon_sym_BSLASHacfp] = ACTIONS(169),
    [anon_sym_BSLASHAcfp] = ACTIONS(169),
    [anon_sym_BSLASHac] = ACTIONS(169),
    [anon_sym_BSLASHAc] = ACTIONS(169),
    [anon_sym_BSLASHacp] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(169),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(169),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(169),
    [anon_sym_BSLASHcolor] = ACTIONS(169),
    [anon_sym_BSLASHpagecolor] = ACTIONS(169),
    [anon_sym_BSLASHtextcolor] = ACTIONS(169),
    [anon_sym_BSLASHmathcolor] = ACTIONS(169),
    [anon_sym_BSLASHcolorbox] = ACTIONS(169),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(169),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(169),
    [anon_sym_BSLASHurl] = ACTIONS(169),
    [anon_sym_BSLASHhref] = ACTIONS(169),
  },
  [87] = {
    [sym_block_comment] = STATE(104),
    [sym__root_content] = STATE(104),
    [sym__flat_content] = STATE(104),
    [sym__text_with_env_content] = STATE(104),
    [sym__text_content] = STATE(104),
    [sym__section] = STATE(104),
    [sym__paragraph] = STATE(104),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(104),
    [sym_text] = STATE(104),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(104),
    [sym_displayed_equation] = STATE(104),
    [sym_inline_formula] = STATE(104),
    [sym_math_delimiter] = STATE(104),
    [sym_text_mode] = STATE(104),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(104),
    [sym_comment_environment] = STATE(104),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(104),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(104),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(104),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(104),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(104),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(104),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(104),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(104),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(104),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(104),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(104),
    [sym_generic_command] = STATE(104),
    [sym_title_declaration] = STATE(104),
    [sym_author_declaration] = STATE(104),
    [sym_package_include] = STATE(104),
    [sym_class_include] = STATE(104),
    [sym_latex_include] = STATE(104),
    [sym_biblatex_include] = STATE(104),
    [sym_bibstyle_include] = STATE(104),
    [sym_bibtex_include] = STATE(104),
    [sym_graphics_include] = STATE(104),
    [sym_svg_include] = STATE(104),
    [sym_inkscape_include] = STATE(104),
    [sym_verbatim_include] = STATE(104),
    [sym_import_include] = STATE(104),
    [sym_caption] = STATE(104),
    [sym_citation] = STATE(104),
    [sym_label_definition] = STATE(104),
    [sym_label_reference] = STATE(104),
    [sym_label_reference_range] = STATE(104),
    [sym_label_number] = STATE(104),
    [sym_new_command_definition] = STATE(104),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(104),
    [sym_let_command_definition] = STATE(104),
    [sym_paired_delimiter_definition] = STATE(104),
    [sym_environment_definition] = STATE(104),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(104),
    [sym_glossary_entry_reference] = STATE(104),
    [sym_acronym_definition] = STATE(104),
    [sym_acronym_reference] = STATE(104),
    [sym_theorem_definition] = STATE(104),
    [sym_color_definition] = STATE(104),
    [sym_color_set_definition] = STATE(104),
    [sym_color_reference] = STATE(104),
    [sym_tikz_library_import] = STATE(104),
    [sym_hyperlink] = STATE(104),
    [aux_sym_source_file_repeat1] = STATE(104),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(173),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(173),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_RBRACK] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_RPAREN] = ACTIONS(175),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(175),
    [sym_word] = ACTIONS(173),
    [sym_placeholder] = ACTIONS(175),
    [sym_delimiter] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym__] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(175),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(175),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(175),
    [anon_sym_DOLLAR] = ACTIONS(173),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(175),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(167),
    [anon_sym_BSLASHleft] = ACTIONS(173),
    [anon_sym_BSLASHbigl] = ACTIONS(173),
    [anon_sym_BSLASHBigl] = ACTIONS(173),
    [anon_sym_BSLASHbiggl] = ACTIONS(173),
    [anon_sym_BSLASHBiggl] = ACTIONS(173),
    [anon_sym_BSLASHtext] = ACTIONS(173),
    [anon_sym_BSLASHintertext] = ACTIONS(173),
    [anon_sym_BSLASHshortintertext] = ACTIONS(173),
    [anon_sym_BSLASHbegin] = ACTIONS(173),
    [anon_sym_BSLASHtitle] = ACTIONS(173),
    [anon_sym_BSLASHauthor] = ACTIONS(173),
    [anon_sym_BSLASHusepackage] = ACTIONS(173),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(173),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(173),
    [anon_sym_BSLASHinclude] = ACTIONS(173),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(173),
    [anon_sym_BSLASHinput] = ACTIONS(173),
    [anon_sym_BSLASHsubfile] = ACTIONS(173),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(173),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(173),
    [anon_sym_BSLASHbibliography] = ACTIONS(173),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(173),
    [anon_sym_BSLASHincludesvg] = ACTIONS(173),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(173),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(173),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(173),
    [anon_sym_BSLASHimport] = ACTIONS(173),
    [anon_sym_BSLASHsubimport] = ACTIONS(173),
    [anon_sym_BSLASHinputfrom] = ACTIONS(173),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(173),
    [anon_sym_BSLASHincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHcaption] = ACTIONS(173),
    [anon_sym_BSLASHcite] = ACTIONS(173),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCite] = ACTIONS(173),
    [anon_sym_BSLASHnocite] = ACTIONS(173),
    [anon_sym_BSLASHcitet] = ACTIONS(173),
    [anon_sym_BSLASHcitep] = ACTIONS(173),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteA] = ACTIONS(173),
    [anon_sym_BSLASHciteR] = ACTIONS(173),
    [anon_sym_BSLASHciteS] = ACTIONS(173),
    [anon_sym_BSLASHciteyearR] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(173),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitetitle] = ACTIONS(173),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteyear] = ACTIONS(173),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitedate] = ACTIONS(173),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteurl] = ACTIONS(173),
    [anon_sym_BSLASHfullcite] = ACTIONS(173),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(173),
    [anon_sym_BSLASHcitealt] = ACTIONS(173),
    [anon_sym_BSLASHcitealp] = ACTIONS(173),
    [anon_sym_BSLASHcitetext] = ACTIONS(173),
    [anon_sym_BSLASHparencite] = ACTIONS(173),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHParencite] = ACTIONS(173),
    [anon_sym_BSLASHfootcite] = ACTIONS(173),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(173),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(173),
    [anon_sym_BSLASHtextcite] = ACTIONS(173),
    [anon_sym_BSLASHTextcite] = ACTIONS(173),
    [anon_sym_BSLASHsmartcite] = ACTIONS(173),
    [anon_sym_BSLASHSmartcite] = ACTIONS(173),
    [anon_sym_BSLASHsupercite] = ACTIONS(173),
    [anon_sym_BSLASHautocite] = ACTIONS(173),
    [anon_sym_BSLASHAutocite] = ACTIONS(173),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHvolcite] = ACTIONS(173),
    [anon_sym_BSLASHVolcite] = ACTIONS(173),
    [anon_sym_BSLASHpvolcite] = ACTIONS(173),
    [anon_sym_BSLASHPvolcite] = ACTIONS(173),
    [anon_sym_BSLASHfvolcite] = ACTIONS(173),
    [anon_sym_BSLASHftvolcite] = ACTIONS(173),
    [anon_sym_BSLASHsvolcite] = ACTIONS(173),
    [anon_sym_BSLASHSvolcite] = ACTIONS(173),
    [anon_sym_BSLASHtvolcite] = ACTIONS(173),
    [anon_sym_BSLASHTvolcite] = ACTIONS(173),
    [anon_sym_BSLASHavolcite] = ACTIONS(173),
    [anon_sym_BSLASHAvolcite] = ACTIONS(173),
    [anon_sym_BSLASHnotecite] = ACTIONS(173),
    [anon_sym_BSLASHNotecite] = ACTIONS(173),
    [anon_sym_BSLASHpnotecite] = ACTIONS(173),
    [anon_sym_BSLASHPnotecite] = ACTIONS(173),
    [anon_sym_BSLASHfnotecite] = ACTIONS(173),
    [anon_sym_BSLASHlabel] = ACTIONS(173),
    [anon_sym_BSLASHref] = ACTIONS(173),
    [anon_sym_BSLASHeqref] = ACTIONS(173),
    [anon_sym_BSLASHvref] = ACTIONS(173),
    [anon_sym_BSLASHVref] = ACTIONS(173),
    [anon_sym_BSLASHautoref] = ACTIONS(173),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHpageref] = ACTIONS(173),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHautopageref] = ACTIONS(173),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcref] = ACTIONS(173),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCref] = ACTIONS(173),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpageref] = ACTIONS(173),
    [anon_sym_BSLASHCpageref] = ACTIONS(173),
    [anon_sym_BSLASHnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnameCref] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcrefrange] = ACTIONS(173),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCrefrange] = ACTIONS(173),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHnewlabel] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(173),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(173),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(173),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(175),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHdef] = ACTIONS(173),
    [anon_sym_BSLASHgdef] = ACTIONS(173),
    [anon_sym_BSLASHedef] = ACTIONS(173),
    [anon_sym_BSLASHxdef] = ACTIONS(173),
    [anon_sym_BSLASHlet] = ACTIONS(173),
    [anon_sym_BSLASHglet] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(173),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(173),
    [anon_sym_BSLASHgls] = ACTIONS(173),
    [anon_sym_BSLASHGls] = ACTIONS(173),
    [anon_sym_BSLASHGLS] = ACTIONS(173),
    [anon_sym_BSLASHglspl] = ACTIONS(173),
    [anon_sym_BSLASHGlspl] = ACTIONS(173),
    [anon_sym_BSLASHGLSpl] = ACTIONS(173),
    [anon_sym_BSLASHglsdisp] = ACTIONS(173),
    [anon_sym_BSLASHglslink] = ACTIONS(173),
    [anon_sym_BSLASHglstext] = ACTIONS(173),
    [anon_sym_BSLASHGlstext] = ACTIONS(173),
    [anon_sym_BSLASHGLStext] = ACTIONS(173),
    [anon_sym_BSLASHglsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(173),
    [anon_sym_BSLASHglsplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSplural] = ACTIONS(173),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHglsname] = ACTIONS(173),
    [anon_sym_BSLASHGlsname] = ACTIONS(173),
    [anon_sym_BSLASHGLSname] = ACTIONS(173),
    [anon_sym_BSLASHglssymbol] = ACTIONS(173),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(173),
    [anon_sym_BSLASHglsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(173),
    [anon_sym_BSLASHglsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(173),
    [anon_sym_BSLASHglsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(173),
    [anon_sym_BSLASHglsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(173),
    [anon_sym_BSLASHglsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(173),
    [anon_sym_BSLASHnewacronym] = ACTIONS(173),
    [anon_sym_BSLASHacrshort] = ACTIONS(173),
    [anon_sym_BSLASHAcrshort] = ACTIONS(173),
    [anon_sym_BSLASHACRshort] = ACTIONS(173),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(173),
    [anon_sym_BSLASHacrlong] = ACTIONS(173),
    [anon_sym_BSLASHAcrlong] = ACTIONS(173),
    [anon_sym_BSLASHACRlong] = ACTIONS(173),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(173),
    [anon_sym_BSLASHacrfull] = ACTIONS(173),
    [anon_sym_BSLASHAcrfull] = ACTIONS(173),
    [anon_sym_BSLASHACRfull] = ACTIONS(173),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(173),
    [anon_sym_BSLASHacs] = ACTIONS(173),
    [anon_sym_BSLASHAcs] = ACTIONS(173),
    [anon_sym_BSLASHacsp] = ACTIONS(173),
    [anon_sym_BSLASHAcsp] = ACTIONS(173),
    [anon_sym_BSLASHacl] = ACTIONS(173),
    [anon_sym_BSLASHAcl] = ACTIONS(173),
    [anon_sym_BSLASHaclp] = ACTIONS(173),
    [anon_sym_BSLASHAclp] = ACTIONS(173),
    [anon_sym_BSLASHacf] = ACTIONS(173),
    [anon_sym_BSLASHAcf] = ACTIONS(173),
    [anon_sym_BSLASHacfp] = ACTIONS(173),
    [anon_sym_BSLASHAcfp] = ACTIONS(173),
    [anon_sym_BSLASHac] = ACTIONS(173),
    [anon_sym_BSLASHAc] = ACTIONS(173),
    [anon_sym_BSLASHacp] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(173),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(173),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(173),
    [anon_sym_BSLASHcolor] = ACTIONS(173),
    [anon_sym_BSLASHpagecolor] = ACTIONS(173),
    [anon_sym_BSLASHtextcolor] = ACTIONS(173),
    [anon_sym_BSLASHmathcolor] = ACTIONS(173),
    [anon_sym_BSLASHcolorbox] = ACTIONS(173),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(173),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(173),
    [anon_sym_BSLASHurl] = ACTIONS(173),
    [anon_sym_BSLASHhref] = ACTIONS(173),
  },
  [88] = {
    [sym_block_comment] = STATE(97),
    [sym__root_content] = STATE(97),
    [sym__flat_content] = STATE(97),
    [sym__text_with_env_content] = STATE(97),
    [sym__text_content] = STATE(97),
    [sym__section] = STATE(97),
    [sym__paragraph] = STATE(97),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(97),
    [sym_text] = STATE(97),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(97),
    [sym_displayed_equation] = STATE(97),
    [sym_inline_formula] = STATE(97),
    [sym_math_delimiter] = STATE(97),
    [sym_text_mode] = STATE(97),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(97),
    [sym_comment_environment] = STATE(97),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(97),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(97),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(97),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(97),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(97),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(97),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(97),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(97),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(97),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(97),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(97),
    [sym_generic_command] = STATE(97),
    [sym_title_declaration] = STATE(97),
    [sym_author_declaration] = STATE(97),
    [sym_package_include] = STATE(97),
    [sym_class_include] = STATE(97),
    [sym_latex_include] = STATE(97),
    [sym_biblatex_include] = STATE(97),
    [sym_bibstyle_include] = STATE(97),
    [sym_bibtex_include] = STATE(97),
    [sym_graphics_include] = STATE(97),
    [sym_svg_include] = STATE(97),
    [sym_inkscape_include] = STATE(97),
    [sym_verbatim_include] = STATE(97),
    [sym_import_include] = STATE(97),
    [sym_caption] = STATE(97),
    [sym_citation] = STATE(97),
    [sym_label_definition] = STATE(97),
    [sym_label_reference] = STATE(97),
    [sym_label_reference_range] = STATE(97),
    [sym_label_number] = STATE(97),
    [sym_new_command_definition] = STATE(97),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(97),
    [sym_let_command_definition] = STATE(97),
    [sym_paired_delimiter_definition] = STATE(97),
    [sym_environment_definition] = STATE(97),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(97),
    [sym_glossary_entry_reference] = STATE(97),
    [sym_acronym_definition] = STATE(97),
    [sym_acronym_reference] = STATE(97),
    [sym_theorem_definition] = STATE(97),
    [sym_color_definition] = STATE(97),
    [sym_color_set_definition] = STATE(97),
    [sym_color_reference] = STATE(97),
    [sym_tikz_library_import] = STATE(97),
    [sym_hyperlink] = STATE(97),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(157),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(157),
    [anon_sym_LBRACK] = ACTIONS(159),
    [anon_sym_RBRACK] = ACTIONS(159),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(606),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_RPAREN] = ACTIONS(159),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(159),
    [sym_word] = ACTIONS(157),
    [sym_placeholder] = ACTIONS(159),
    [sym_delimiter] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_SLASH] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(157),
    [anon_sym_GT] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(157),
    [anon_sym_PIPE] = ACTIONS(157),
    [anon_sym_COLON] = ACTIONS(157),
    [anon_sym_SQUOTE] = ACTIONS(157),
    [anon_sym__] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(159),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(159),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(161),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(159),
    [anon_sym_BSLASHleft] = ACTIONS(157),
    [anon_sym_BSLASHbigl] = ACTIONS(157),
    [anon_sym_BSLASHBigl] = ACTIONS(157),
    [anon_sym_BSLASHbiggl] = ACTIONS(157),
    [anon_sym_BSLASHBiggl] = ACTIONS(157),
    [anon_sym_BSLASHtext] = ACTIONS(157),
    [anon_sym_BSLASHintertext] = ACTIONS(157),
    [anon_sym_BSLASHshortintertext] = ACTIONS(157),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(157),
    [anon_sym_BSLASHauthor] = ACTIONS(157),
    [anon_sym_BSLASHusepackage] = ACTIONS(157),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(157),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(157),
    [anon_sym_BSLASHinclude] = ACTIONS(157),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(157),
    [anon_sym_BSLASHinput] = ACTIONS(157),
    [anon_sym_BSLASHsubfile] = ACTIONS(157),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(157),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(157),
    [anon_sym_BSLASHbibliography] = ACTIONS(157),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(157),
    [anon_sym_BSLASHincludesvg] = ACTIONS(157),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(157),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(157),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(157),
    [anon_sym_BSLASHimport] = ACTIONS(157),
    [anon_sym_BSLASHsubimport] = ACTIONS(157),
    [anon_sym_BSLASHinputfrom] = ACTIONS(157),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(157),
    [anon_sym_BSLASHincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHcaption] = ACTIONS(157),
    [anon_sym_BSLASHcite] = ACTIONS(157),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCite] = ACTIONS(157),
    [anon_sym_BSLASHnocite] = ACTIONS(157),
    [anon_sym_BSLASHcitet] = ACTIONS(157),
    [anon_sym_BSLASHcitep] = ACTIONS(157),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteA] = ACTIONS(157),
    [anon_sym_BSLASHciteR] = ACTIONS(157),
    [anon_sym_BSLASHciteS] = ACTIONS(157),
    [anon_sym_BSLASHciteyearR] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(157),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitetitle] = ACTIONS(157),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteyear] = ACTIONS(157),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitedate] = ACTIONS(157),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteurl] = ACTIONS(157),
    [anon_sym_BSLASHfullcite] = ACTIONS(157),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(157),
    [anon_sym_BSLASHcitealt] = ACTIONS(157),
    [anon_sym_BSLASHcitealp] = ACTIONS(157),
    [anon_sym_BSLASHcitetext] = ACTIONS(157),
    [anon_sym_BSLASHparencite] = ACTIONS(157),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHParencite] = ACTIONS(157),
    [anon_sym_BSLASHfootcite] = ACTIONS(157),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(157),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(157),
    [anon_sym_BSLASHtextcite] = ACTIONS(157),
    [anon_sym_BSLASHTextcite] = ACTIONS(157),
    [anon_sym_BSLASHsmartcite] = ACTIONS(157),
    [anon_sym_BSLASHSmartcite] = ACTIONS(157),
    [anon_sym_BSLASHsupercite] = ACTIONS(157),
    [anon_sym_BSLASHautocite] = ACTIONS(157),
    [anon_sym_BSLASHAutocite] = ACTIONS(157),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHvolcite] = ACTIONS(157),
    [anon_sym_BSLASHVolcite] = ACTIONS(157),
    [anon_sym_BSLASHpvolcite] = ACTIONS(157),
    [anon_sym_BSLASHPvolcite] = ACTIONS(157),
    [anon_sym_BSLASHfvolcite] = ACTIONS(157),
    [anon_sym_BSLASHftvolcite] = ACTIONS(157),
    [anon_sym_BSLASHsvolcite] = ACTIONS(157),
    [anon_sym_BSLASHSvolcite] = ACTIONS(157),
    [anon_sym_BSLASHtvolcite] = ACTIONS(157),
    [anon_sym_BSLASHTvolcite] = ACTIONS(157),
    [anon_sym_BSLASHavolcite] = ACTIONS(157),
    [anon_sym_BSLASHAvolcite] = ACTIONS(157),
    [anon_sym_BSLASHnotecite] = ACTIONS(157),
    [anon_sym_BSLASHNotecite] = ACTIONS(157),
    [anon_sym_BSLASHpnotecite] = ACTIONS(157),
    [anon_sym_BSLASHPnotecite] = ACTIONS(157),
    [anon_sym_BSLASHfnotecite] = ACTIONS(157),
    [anon_sym_BSLASHlabel] = ACTIONS(157),
    [anon_sym_BSLASHref] = ACTIONS(157),
    [anon_sym_BSLASHeqref] = ACTIONS(157),
    [anon_sym_BSLASHvref] = ACTIONS(157),
    [anon_sym_BSLASHVref] = ACTIONS(157),
    [anon_sym_BSLASHautoref] = ACTIONS(157),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpageref] = ACTIONS(157),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHautopageref] = ACTIONS(157),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcref] = ACTIONS(157),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCref] = ACTIONS(157),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpageref] = ACTIONS(157),
    [anon_sym_BSLASHCpageref] = ACTIONS(157),
    [anon_sym_BSLASHnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnameCref] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcrefrange] = ACTIONS(157),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCrefrange] = ACTIONS(157),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHnewlabel] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(157),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(157),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(157),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(159),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHdef] = ACTIONS(157),
    [anon_sym_BSLASHgdef] = ACTIONS(157),
    [anon_sym_BSLASHedef] = ACTIONS(157),
    [anon_sym_BSLASHxdef] = ACTIONS(157),
    [anon_sym_BSLASHlet] = ACTIONS(157),
    [anon_sym_BSLASHglet] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(157),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(157),
    [anon_sym_BSLASHgls] = ACTIONS(157),
    [anon_sym_BSLASHGls] = ACTIONS(157),
    [anon_sym_BSLASHGLS] = ACTIONS(157),
    [anon_sym_BSLASHglspl] = ACTIONS(157),
    [anon_sym_BSLASHGlspl] = ACTIONS(157),
    [anon_sym_BSLASHGLSpl] = ACTIONS(157),
    [anon_sym_BSLASHglsdisp] = ACTIONS(157),
    [anon_sym_BSLASHglslink] = ACTIONS(157),
    [anon_sym_BSLASHglstext] = ACTIONS(157),
    [anon_sym_BSLASHGlstext] = ACTIONS(157),
    [anon_sym_BSLASHGLStext] = ACTIONS(157),
    [anon_sym_BSLASHglsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(157),
    [anon_sym_BSLASHglsplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSplural] = ACTIONS(157),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHglsname] = ACTIONS(157),
    [anon_sym_BSLASHGlsname] = ACTIONS(157),
    [anon_sym_BSLASHGLSname] = ACTIONS(157),
    [anon_sym_BSLASHglssymbol] = ACTIONS(157),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(157),
    [anon_sym_BSLASHglsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(157),
    [anon_sym_BSLASHglsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(157),
    [anon_sym_BSLASHglsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(157),
    [anon_sym_BSLASHglsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(157),
    [anon_sym_BSLASHglsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(157),
    [anon_sym_BSLASHnewacronym] = ACTIONS(157),
    [anon_sym_BSLASHacrshort] = ACTIONS(157),
    [anon_sym_BSLASHAcrshort] = ACTIONS(157),
    [anon_sym_BSLASHACRshort] = ACTIONS(157),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(157),
    [anon_sym_BSLASHacrlong] = ACTIONS(157),
    [anon_sym_BSLASHAcrlong] = ACTIONS(157),
    [anon_sym_BSLASHACRlong] = ACTIONS(157),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(157),
    [anon_sym_BSLASHacrfull] = ACTIONS(157),
    [anon_sym_BSLASHAcrfull] = ACTIONS(157),
    [anon_sym_BSLASHACRfull] = ACTIONS(157),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(157),
    [anon_sym_BSLASHacs] = ACTIONS(157),
    [anon_sym_BSLASHAcs] = ACTIONS(157),
    [anon_sym_BSLASHacsp] = ACTIONS(157),
    [anon_sym_BSLASHAcsp] = ACTIONS(157),
    [anon_sym_BSLASHacl] = ACTIONS(157),
    [anon_sym_BSLASHAcl] = ACTIONS(157),
    [anon_sym_BSLASHaclp] = ACTIONS(157),
    [anon_sym_BSLASHAclp] = ACTIONS(157),
    [anon_sym_BSLASHacf] = ACTIONS(157),
    [anon_sym_BSLASHAcf] = ACTIONS(157),
    [anon_sym_BSLASHacfp] = ACTIONS(157),
    [anon_sym_BSLASHAcfp] = ACTIONS(157),
    [anon_sym_BSLASHac] = ACTIONS(157),
    [anon_sym_BSLASHAc] = ACTIONS(157),
    [anon_sym_BSLASHacp] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(157),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(157),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(157),
    [anon_sym_BSLASHcolor] = ACTIONS(157),
    [anon_sym_BSLASHpagecolor] = ACTIONS(157),
    [anon_sym_BSLASHtextcolor] = ACTIONS(157),
    [anon_sym_BSLASHmathcolor] = ACTIONS(157),
    [anon_sym_BSLASHcolorbox] = ACTIONS(157),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(157),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(157),
    [anon_sym_BSLASHurl] = ACTIONS(157),
    [anon_sym_BSLASHhref] = ACTIONS(157),
  },
  [89] = {
    [sym_block_comment] = STATE(104),
    [sym__root_content] = STATE(104),
    [sym__flat_content] = STATE(104),
    [sym__text_with_env_content] = STATE(104),
    [sym__text_content] = STATE(104),
    [sym__section] = STATE(104),
    [sym__paragraph] = STATE(104),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(104),
    [sym_text] = STATE(104),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(104),
    [sym_displayed_equation] = STATE(104),
    [sym_inline_formula] = STATE(104),
    [sym_math_delimiter] = STATE(104),
    [sym_text_mode] = STATE(104),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(104),
    [sym_comment_environment] = STATE(104),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(104),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(104),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(104),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(104),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(104),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(104),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(104),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(104),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(104),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(104),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(104),
    [sym_generic_command] = STATE(104),
    [sym_title_declaration] = STATE(104),
    [sym_author_declaration] = STATE(104),
    [sym_package_include] = STATE(104),
    [sym_class_include] = STATE(104),
    [sym_latex_include] = STATE(104),
    [sym_biblatex_include] = STATE(104),
    [sym_bibstyle_include] = STATE(104),
    [sym_bibtex_include] = STATE(104),
    [sym_graphics_include] = STATE(104),
    [sym_svg_include] = STATE(104),
    [sym_inkscape_include] = STATE(104),
    [sym_verbatim_include] = STATE(104),
    [sym_import_include] = STATE(104),
    [sym_caption] = STATE(104),
    [sym_citation] = STATE(104),
    [sym_label_definition] = STATE(104),
    [sym_label_reference] = STATE(104),
    [sym_label_reference_range] = STATE(104),
    [sym_label_number] = STATE(104),
    [sym_new_command_definition] = STATE(104),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(104),
    [sym_let_command_definition] = STATE(104),
    [sym_paired_delimiter_definition] = STATE(104),
    [sym_environment_definition] = STATE(104),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(104),
    [sym_glossary_entry_reference] = STATE(104),
    [sym_acronym_definition] = STATE(104),
    [sym_acronym_reference] = STATE(104),
    [sym_theorem_definition] = STATE(104),
    [sym_color_definition] = STATE(104),
    [sym_color_set_definition] = STATE(104),
    [sym_color_reference] = STATE(104),
    [sym_tikz_library_import] = STATE(104),
    [sym_hyperlink] = STATE(104),
    [aux_sym_source_file_repeat1] = STATE(104),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(163),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_RBRACK] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(640),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_RPAREN] = ACTIONS(165),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(165),
    [sym_word] = ACTIONS(163),
    [sym_placeholder] = ACTIONS(165),
    [sym_delimiter] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym__] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(165),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(163),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(165),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(167),
    [anon_sym_BSLASHleft] = ACTIONS(163),
    [anon_sym_BSLASHbigl] = ACTIONS(163),
    [anon_sym_BSLASHBigl] = ACTIONS(163),
    [anon_sym_BSLASHbiggl] = ACTIONS(163),
    [anon_sym_BSLASHBiggl] = ACTIONS(163),
    [anon_sym_BSLASHtext] = ACTIONS(163),
    [anon_sym_BSLASHintertext] = ACTIONS(163),
    [anon_sym_BSLASHshortintertext] = ACTIONS(163),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(163),
    [anon_sym_BSLASHauthor] = ACTIONS(163),
    [anon_sym_BSLASHusepackage] = ACTIONS(163),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(163),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(163),
    [anon_sym_BSLASHinclude] = ACTIONS(163),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(163),
    [anon_sym_BSLASHinput] = ACTIONS(163),
    [anon_sym_BSLASHsubfile] = ACTIONS(163),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(163),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(163),
    [anon_sym_BSLASHbibliography] = ACTIONS(163),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(163),
    [anon_sym_BSLASHincludesvg] = ACTIONS(163),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(163),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(163),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(163),
    [anon_sym_BSLASHimport] = ACTIONS(163),
    [anon_sym_BSLASHsubimport] = ACTIONS(163),
    [anon_sym_BSLASHinputfrom] = ACTIONS(163),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(163),
    [anon_sym_BSLASHincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHcaption] = ACTIONS(163),
    [anon_sym_BSLASHcite] = ACTIONS(163),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCite] = ACTIONS(163),
    [anon_sym_BSLASHnocite] = ACTIONS(163),
    [anon_sym_BSLASHcitet] = ACTIONS(163),
    [anon_sym_BSLASHcitep] = ACTIONS(163),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteA] = ACTIONS(163),
    [anon_sym_BSLASHciteR] = ACTIONS(163),
    [anon_sym_BSLASHciteS] = ACTIONS(163),
    [anon_sym_BSLASHciteyearR] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(163),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitetitle] = ACTIONS(163),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteyear] = ACTIONS(163),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitedate] = ACTIONS(163),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteurl] = ACTIONS(163),
    [anon_sym_BSLASHfullcite] = ACTIONS(163),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(163),
    [anon_sym_BSLASHcitealt] = ACTIONS(163),
    [anon_sym_BSLASHcitealp] = ACTIONS(163),
    [anon_sym_BSLASHcitetext] = ACTIONS(163),
    [anon_sym_BSLASHparencite] = ACTIONS(163),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHParencite] = ACTIONS(163),
    [anon_sym_BSLASHfootcite] = ACTIONS(163),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(163),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(163),
    [anon_sym_BSLASHtextcite] = ACTIONS(163),
    [anon_sym_BSLASHTextcite] = ACTIONS(163),
    [anon_sym_BSLASHsmartcite] = ACTIONS(163),
    [anon_sym_BSLASHSmartcite] = ACTIONS(163),
    [anon_sym_BSLASHsupercite] = ACTIONS(163),
    [anon_sym_BSLASHautocite] = ACTIONS(163),
    [anon_sym_BSLASHAutocite] = ACTIONS(163),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHvolcite] = ACTIONS(163),
    [anon_sym_BSLASHVolcite] = ACTIONS(163),
    [anon_sym_BSLASHpvolcite] = ACTIONS(163),
    [anon_sym_BSLASHPvolcite] = ACTIONS(163),
    [anon_sym_BSLASHfvolcite] = ACTIONS(163),
    [anon_sym_BSLASHftvolcite] = ACTIONS(163),
    [anon_sym_BSLASHsvolcite] = ACTIONS(163),
    [anon_sym_BSLASHSvolcite] = ACTIONS(163),
    [anon_sym_BSLASHtvolcite] = ACTIONS(163),
    [anon_sym_BSLASHTvolcite] = ACTIONS(163),
    [anon_sym_BSLASHavolcite] = ACTIONS(163),
    [anon_sym_BSLASHAvolcite] = ACTIONS(163),
    [anon_sym_BSLASHnotecite] = ACTIONS(163),
    [anon_sym_BSLASHNotecite] = ACTIONS(163),
    [anon_sym_BSLASHpnotecite] = ACTIONS(163),
    [anon_sym_BSLASHPnotecite] = ACTIONS(163),
    [anon_sym_BSLASHfnotecite] = ACTIONS(163),
    [anon_sym_BSLASHlabel] = ACTIONS(163),
    [anon_sym_BSLASHref] = ACTIONS(163),
    [anon_sym_BSLASHeqref] = ACTIONS(163),
    [anon_sym_BSLASHvref] = ACTIONS(163),
    [anon_sym_BSLASHVref] = ACTIONS(163),
    [anon_sym_BSLASHautoref] = ACTIONS(163),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHpageref] = ACTIONS(163),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHautopageref] = ACTIONS(163),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcref] = ACTIONS(163),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCref] = ACTIONS(163),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpageref] = ACTIONS(163),
    [anon_sym_BSLASHCpageref] = ACTIONS(163),
    [anon_sym_BSLASHnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnameCref] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcrefrange] = ACTIONS(163),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCrefrange] = ACTIONS(163),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHnewlabel] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(163),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(163),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(163),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(165),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHdef] = ACTIONS(163),
    [anon_sym_BSLASHgdef] = ACTIONS(163),
    [anon_sym_BSLASHedef] = ACTIONS(163),
    [anon_sym_BSLASHxdef] = ACTIONS(163),
    [anon_sym_BSLASHlet] = ACTIONS(163),
    [anon_sym_BSLASHglet] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(163),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(163),
    [anon_sym_BSLASHgls] = ACTIONS(163),
    [anon_sym_BSLASHGls] = ACTIONS(163),
    [anon_sym_BSLASHGLS] = ACTIONS(163),
    [anon_sym_BSLASHglspl] = ACTIONS(163),
    [anon_sym_BSLASHGlspl] = ACTIONS(163),
    [anon_sym_BSLASHGLSpl] = ACTIONS(163),
    [anon_sym_BSLASHglsdisp] = ACTIONS(163),
    [anon_sym_BSLASHglslink] = ACTIONS(163),
    [anon_sym_BSLASHglstext] = ACTIONS(163),
    [anon_sym_BSLASHGlstext] = ACTIONS(163),
    [anon_sym_BSLASHGLStext] = ACTIONS(163),
    [anon_sym_BSLASHglsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(163),
    [anon_sym_BSLASHglsplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSplural] = ACTIONS(163),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHglsname] = ACTIONS(163),
    [anon_sym_BSLASHGlsname] = ACTIONS(163),
    [anon_sym_BSLASHGLSname] = ACTIONS(163),
    [anon_sym_BSLASHglssymbol] = ACTIONS(163),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(163),
    [anon_sym_BSLASHglsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(163),
    [anon_sym_BSLASHglsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(163),
    [anon_sym_BSLASHglsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(163),
    [anon_sym_BSLASHglsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(163),
    [anon_sym_BSLASHglsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(163),
    [anon_sym_BSLASHnewacronym] = ACTIONS(163),
    [anon_sym_BSLASHacrshort] = ACTIONS(163),
    [anon_sym_BSLASHAcrshort] = ACTIONS(163),
    [anon_sym_BSLASHACRshort] = ACTIONS(163),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(163),
    [anon_sym_BSLASHacrlong] = ACTIONS(163),
    [anon_sym_BSLASHAcrlong] = ACTIONS(163),
    [anon_sym_BSLASHACRlong] = ACTIONS(163),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(163),
    [anon_sym_BSLASHacrfull] = ACTIONS(163),
    [anon_sym_BSLASHAcrfull] = ACTIONS(163),
    [anon_sym_BSLASHACRfull] = ACTIONS(163),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(163),
    [anon_sym_BSLASHacs] = ACTIONS(163),
    [anon_sym_BSLASHAcs] = ACTIONS(163),
    [anon_sym_BSLASHacsp] = ACTIONS(163),
    [anon_sym_BSLASHAcsp] = ACTIONS(163),
    [anon_sym_BSLASHacl] = ACTIONS(163),
    [anon_sym_BSLASHAcl] = ACTIONS(163),
    [anon_sym_BSLASHaclp] = ACTIONS(163),
    [anon_sym_BSLASHAclp] = ACTIONS(163),
    [anon_sym_BSLASHacf] = ACTIONS(163),
    [anon_sym_BSLASHAcf] = ACTIONS(163),
    [anon_sym_BSLASHacfp] = ACTIONS(163),
    [anon_sym_BSLASHAcfp] = ACTIONS(163),
    [anon_sym_BSLASHac] = ACTIONS(163),
    [anon_sym_BSLASHAc] = ACTIONS(163),
    [anon_sym_BSLASHacp] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(163),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(163),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(163),
    [anon_sym_BSLASHcolor] = ACTIONS(163),
    [anon_sym_BSLASHpagecolor] = ACTIONS(163),
    [anon_sym_BSLASHtextcolor] = ACTIONS(163),
    [anon_sym_BSLASHmathcolor] = ACTIONS(163),
    [anon_sym_BSLASHcolorbox] = ACTIONS(163),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(163),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(163),
    [anon_sym_BSLASHurl] = ACTIONS(163),
    [anon_sym_BSLASHhref] = ACTIONS(163),
  },
  [90] = {
    [sym_block_comment] = STATE(97),
    [sym__root_content] = STATE(97),
    [sym__flat_content] = STATE(97),
    [sym__text_with_env_content] = STATE(97),
    [sym__text_content] = STATE(97),
    [sym__section] = STATE(97),
    [sym__paragraph] = STATE(97),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(97),
    [sym_text] = STATE(97),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(97),
    [sym_displayed_equation] = STATE(97),
    [sym_inline_formula] = STATE(97),
    [sym_math_delimiter] = STATE(97),
    [sym_text_mode] = STATE(97),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(97),
    [sym_comment_environment] = STATE(97),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(97),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(97),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(97),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(97),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(97),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(97),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(97),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(97),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(97),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(97),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(97),
    [sym_generic_command] = STATE(97),
    [sym_title_declaration] = STATE(97),
    [sym_author_declaration] = STATE(97),
    [sym_package_include] = STATE(97),
    [sym_class_include] = STATE(97),
    [sym_latex_include] = STATE(97),
    [sym_biblatex_include] = STATE(97),
    [sym_bibstyle_include] = STATE(97),
    [sym_bibtex_include] = STATE(97),
    [sym_graphics_include] = STATE(97),
    [sym_svg_include] = STATE(97),
    [sym_inkscape_include] = STATE(97),
    [sym_verbatim_include] = STATE(97),
    [sym_import_include] = STATE(97),
    [sym_caption] = STATE(97),
    [sym_citation] = STATE(97),
    [sym_label_definition] = STATE(97),
    [sym_label_reference] = STATE(97),
    [sym_label_reference_range] = STATE(97),
    [sym_label_number] = STATE(97),
    [sym_new_command_definition] = STATE(97),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(97),
    [sym_let_command_definition] = STATE(97),
    [sym_paired_delimiter_definition] = STATE(97),
    [sym_environment_definition] = STATE(97),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(97),
    [sym_glossary_entry_reference] = STATE(97),
    [sym_acronym_definition] = STATE(97),
    [sym_acronym_reference] = STATE(97),
    [sym_theorem_definition] = STATE(97),
    [sym_color_definition] = STATE(97),
    [sym_color_set_definition] = STATE(97),
    [sym_color_reference] = STATE(97),
    [sym_tikz_library_import] = STATE(97),
    [sym_hyperlink] = STATE(97),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(169),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_COMMA] = ACTIONS(171),
    [anon_sym_EQ] = ACTIONS(606),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(171),
    [sym_word] = ACTIONS(169),
    [sym_placeholder] = ACTIONS(171),
    [sym_delimiter] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_STAR] = ACTIONS(171),
    [anon_sym_SLASH] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(169),
    [anon_sym_GT] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_PIPE] = ACTIONS(169),
    [anon_sym_COLON] = ACTIONS(169),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym__] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(171),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(171),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(171),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(161),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(171),
    [anon_sym_BSLASHleft] = ACTIONS(169),
    [anon_sym_BSLASHbigl] = ACTIONS(169),
    [anon_sym_BSLASHBigl] = ACTIONS(169),
    [anon_sym_BSLASHbiggl] = ACTIONS(169),
    [anon_sym_BSLASHBiggl] = ACTIONS(169),
    [anon_sym_BSLASHtext] = ACTIONS(169),
    [anon_sym_BSLASHintertext] = ACTIONS(169),
    [anon_sym_BSLASHshortintertext] = ACTIONS(169),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(169),
    [anon_sym_BSLASHauthor] = ACTIONS(169),
    [anon_sym_BSLASHusepackage] = ACTIONS(169),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(169),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(169),
    [anon_sym_BSLASHinclude] = ACTIONS(169),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(169),
    [anon_sym_BSLASHinput] = ACTIONS(169),
    [anon_sym_BSLASHsubfile] = ACTIONS(169),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(169),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(169),
    [anon_sym_BSLASHbibliography] = ACTIONS(169),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(169),
    [anon_sym_BSLASHincludesvg] = ACTIONS(169),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(169),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(169),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(169),
    [anon_sym_BSLASHimport] = ACTIONS(169),
    [anon_sym_BSLASHsubimport] = ACTIONS(169),
    [anon_sym_BSLASHinputfrom] = ACTIONS(169),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(169),
    [anon_sym_BSLASHincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHcaption] = ACTIONS(169),
    [anon_sym_BSLASHcite] = ACTIONS(169),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCite] = ACTIONS(169),
    [anon_sym_BSLASHnocite] = ACTIONS(169),
    [anon_sym_BSLASHcitet] = ACTIONS(169),
    [anon_sym_BSLASHcitep] = ACTIONS(169),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteA] = ACTIONS(169),
    [anon_sym_BSLASHciteR] = ACTIONS(169),
    [anon_sym_BSLASHciteS] = ACTIONS(169),
    [anon_sym_BSLASHciteyearR] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(169),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitetitle] = ACTIONS(169),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteyear] = ACTIONS(169),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitedate] = ACTIONS(169),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteurl] = ACTIONS(169),
    [anon_sym_BSLASHfullcite] = ACTIONS(169),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(169),
    [anon_sym_BSLASHcitealt] = ACTIONS(169),
    [anon_sym_BSLASHcitealp] = ACTIONS(169),
    [anon_sym_BSLASHcitetext] = ACTIONS(169),
    [anon_sym_BSLASHparencite] = ACTIONS(169),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHParencite] = ACTIONS(169),
    [anon_sym_BSLASHfootcite] = ACTIONS(169),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(169),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(169),
    [anon_sym_BSLASHtextcite] = ACTIONS(169),
    [anon_sym_BSLASHTextcite] = ACTIONS(169),
    [anon_sym_BSLASHsmartcite] = ACTIONS(169),
    [anon_sym_BSLASHSmartcite] = ACTIONS(169),
    [anon_sym_BSLASHsupercite] = ACTIONS(169),
    [anon_sym_BSLASHautocite] = ACTIONS(169),
    [anon_sym_BSLASHAutocite] = ACTIONS(169),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHvolcite] = ACTIONS(169),
    [anon_sym_BSLASHVolcite] = ACTIONS(169),
    [anon_sym_BSLASHpvolcite] = ACTIONS(169),
    [anon_sym_BSLASHPvolcite] = ACTIONS(169),
    [anon_sym_BSLASHfvolcite] = ACTIONS(169),
    [anon_sym_BSLASHftvolcite] = ACTIONS(169),
    [anon_sym_BSLASHsvolcite] = ACTIONS(169),
    [anon_sym_BSLASHSvolcite] = ACTIONS(169),
    [anon_sym_BSLASHtvolcite] = ACTIONS(169),
    [anon_sym_BSLASHTvolcite] = ACTIONS(169),
    [anon_sym_BSLASHavolcite] = ACTIONS(169),
    [anon_sym_BSLASHAvolcite] = ACTIONS(169),
    [anon_sym_BSLASHnotecite] = ACTIONS(169),
    [anon_sym_BSLASHNotecite] = ACTIONS(169),
    [anon_sym_BSLASHpnotecite] = ACTIONS(169),
    [anon_sym_BSLASHPnotecite] = ACTIONS(169),
    [anon_sym_BSLASHfnotecite] = ACTIONS(169),
    [anon_sym_BSLASHlabel] = ACTIONS(169),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHeqref] = ACTIONS(169),
    [anon_sym_BSLASHvref] = ACTIONS(169),
    [anon_sym_BSLASHVref] = ACTIONS(169),
    [anon_sym_BSLASHautoref] = ACTIONS(169),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHpageref] = ACTIONS(169),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHautopageref] = ACTIONS(169),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcref] = ACTIONS(169),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCref] = ACTIONS(169),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpageref] = ACTIONS(169),
    [anon_sym_BSLASHCpageref] = ACTIONS(169),
    [anon_sym_BSLASHnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnameCref] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcrefrange] = ACTIONS(169),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCrefrange] = ACTIONS(169),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHnewlabel] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(169),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(169),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(169),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(171),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHdef] = ACTIONS(169),
    [anon_sym_BSLASHgdef] = ACTIONS(169),
    [anon_sym_BSLASHedef] = ACTIONS(169),
    [anon_sym_BSLASHxdef] = ACTIONS(169),
    [anon_sym_BSLASHlet] = ACTIONS(169),
    [anon_sym_BSLASHglet] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(169),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(169),
    [anon_sym_BSLASHgls] = ACTIONS(169),
    [anon_sym_BSLASHGls] = ACTIONS(169),
    [anon_sym_BSLASHGLS] = ACTIONS(169),
    [anon_sym_BSLASHglspl] = ACTIONS(169),
    [anon_sym_BSLASHGlspl] = ACTIONS(169),
    [anon_sym_BSLASHGLSpl] = ACTIONS(169),
    [anon_sym_BSLASHglsdisp] = ACTIONS(169),
    [anon_sym_BSLASHglslink] = ACTIONS(169),
    [anon_sym_BSLASHglstext] = ACTIONS(169),
    [anon_sym_BSLASHGlstext] = ACTIONS(169),
    [anon_sym_BSLASHGLStext] = ACTIONS(169),
    [anon_sym_BSLASHglsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(169),
    [anon_sym_BSLASHglsplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSplural] = ACTIONS(169),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHglsname] = ACTIONS(169),
    [anon_sym_BSLASHGlsname] = ACTIONS(169),
    [anon_sym_BSLASHGLSname] = ACTIONS(169),
    [anon_sym_BSLASHglssymbol] = ACTIONS(169),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(169),
    [anon_sym_BSLASHglsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(169),
    [anon_sym_BSLASHglsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(169),
    [anon_sym_BSLASHglsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(169),
    [anon_sym_BSLASHglsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(169),
    [anon_sym_BSLASHglsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(169),
    [anon_sym_BSLASHnewacronym] = ACTIONS(169),
    [anon_sym_BSLASHacrshort] = ACTIONS(169),
    [anon_sym_BSLASHAcrshort] = ACTIONS(169),
    [anon_sym_BSLASHACRshort] = ACTIONS(169),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(169),
    [anon_sym_BSLASHacrlong] = ACTIONS(169),
    [anon_sym_BSLASHAcrlong] = ACTIONS(169),
    [anon_sym_BSLASHACRlong] = ACTIONS(169),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(169),
    [anon_sym_BSLASHacrfull] = ACTIONS(169),
    [anon_sym_BSLASHAcrfull] = ACTIONS(169),
    [anon_sym_BSLASHACRfull] = ACTIONS(169),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(169),
    [anon_sym_BSLASHacs] = ACTIONS(169),
    [anon_sym_BSLASHAcs] = ACTIONS(169),
    [anon_sym_BSLASHacsp] = ACTIONS(169),
    [anon_sym_BSLASHAcsp] = ACTIONS(169),
    [anon_sym_BSLASHacl] = ACTIONS(169),
    [anon_sym_BSLASHAcl] = ACTIONS(169),
    [anon_sym_BSLASHaclp] = ACTIONS(169),
    [anon_sym_BSLASHAclp] = ACTIONS(169),
    [anon_sym_BSLASHacf] = ACTIONS(169),
    [anon_sym_BSLASHAcf] = ACTIONS(169),
    [anon_sym_BSLASHacfp] = ACTIONS(169),
    [anon_sym_BSLASHAcfp] = ACTIONS(169),
    [anon_sym_BSLASHac] = ACTIONS(169),
    [anon_sym_BSLASHAc] = ACTIONS(169),
    [anon_sym_BSLASHacp] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(169),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(169),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(169),
    [anon_sym_BSLASHcolor] = ACTIONS(169),
    [anon_sym_BSLASHpagecolor] = ACTIONS(169),
    [anon_sym_BSLASHtextcolor] = ACTIONS(169),
    [anon_sym_BSLASHmathcolor] = ACTIONS(169),
    [anon_sym_BSLASHcolorbox] = ACTIONS(169),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(169),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(169),
    [anon_sym_BSLASHurl] = ACTIONS(169),
    [anon_sym_BSLASHhref] = ACTIONS(169),
  },
  [91] = {
    [sym_block_comment] = STATE(104),
    [sym__root_content] = STATE(104),
    [sym__flat_content] = STATE(104),
    [sym__text_with_env_content] = STATE(104),
    [sym__text_content] = STATE(104),
    [sym__section] = STATE(104),
    [sym__paragraph] = STATE(104),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(104),
    [sym_text] = STATE(104),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(104),
    [sym_displayed_equation] = STATE(104),
    [sym_inline_formula] = STATE(104),
    [sym_math_delimiter] = STATE(104),
    [sym_text_mode] = STATE(104),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(104),
    [sym_comment_environment] = STATE(104),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(104),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(104),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(104),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(104),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(104),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(104),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(104),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(104),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(104),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(104),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(104),
    [sym_generic_command] = STATE(104),
    [sym_title_declaration] = STATE(104),
    [sym_author_declaration] = STATE(104),
    [sym_package_include] = STATE(104),
    [sym_class_include] = STATE(104),
    [sym_latex_include] = STATE(104),
    [sym_biblatex_include] = STATE(104),
    [sym_bibstyle_include] = STATE(104),
    [sym_bibtex_include] = STATE(104),
    [sym_graphics_include] = STATE(104),
    [sym_svg_include] = STATE(104),
    [sym_inkscape_include] = STATE(104),
    [sym_verbatim_include] = STATE(104),
    [sym_import_include] = STATE(104),
    [sym_caption] = STATE(104),
    [sym_citation] = STATE(104),
    [sym_label_definition] = STATE(104),
    [sym_label_reference] = STATE(104),
    [sym_label_reference_range] = STATE(104),
    [sym_label_number] = STATE(104),
    [sym_new_command_definition] = STATE(104),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(104),
    [sym_let_command_definition] = STATE(104),
    [sym_paired_delimiter_definition] = STATE(104),
    [sym_environment_definition] = STATE(104),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(104),
    [sym_glossary_entry_reference] = STATE(104),
    [sym_acronym_definition] = STATE(104),
    [sym_acronym_reference] = STATE(104),
    [sym_theorem_definition] = STATE(104),
    [sym_color_definition] = STATE(104),
    [sym_color_set_definition] = STATE(104),
    [sym_color_reference] = STATE(104),
    [sym_tikz_library_import] = STATE(104),
    [sym_hyperlink] = STATE(104),
    [aux_sym_source_file_repeat1] = STATE(104),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(173),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(173),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_RBRACK] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(640),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_RPAREN] = ACTIONS(175),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(175),
    [sym_word] = ACTIONS(173),
    [sym_placeholder] = ACTIONS(175),
    [sym_delimiter] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym__] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(175),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(175),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(175),
    [anon_sym_DOLLAR] = ACTIONS(173),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(175),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(167),
    [anon_sym_BSLASHleft] = ACTIONS(173),
    [anon_sym_BSLASHbigl] = ACTIONS(173),
    [anon_sym_BSLASHBigl] = ACTIONS(173),
    [anon_sym_BSLASHbiggl] = ACTIONS(173),
    [anon_sym_BSLASHBiggl] = ACTIONS(173),
    [anon_sym_BSLASHtext] = ACTIONS(173),
    [anon_sym_BSLASHintertext] = ACTIONS(173),
    [anon_sym_BSLASHshortintertext] = ACTIONS(173),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(173),
    [anon_sym_BSLASHauthor] = ACTIONS(173),
    [anon_sym_BSLASHusepackage] = ACTIONS(173),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(173),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(173),
    [anon_sym_BSLASHinclude] = ACTIONS(173),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(173),
    [anon_sym_BSLASHinput] = ACTIONS(173),
    [anon_sym_BSLASHsubfile] = ACTIONS(173),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(173),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(173),
    [anon_sym_BSLASHbibliography] = ACTIONS(173),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(173),
    [anon_sym_BSLASHincludesvg] = ACTIONS(173),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(173),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(173),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(173),
    [anon_sym_BSLASHimport] = ACTIONS(173),
    [anon_sym_BSLASHsubimport] = ACTIONS(173),
    [anon_sym_BSLASHinputfrom] = ACTIONS(173),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(173),
    [anon_sym_BSLASHincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHcaption] = ACTIONS(173),
    [anon_sym_BSLASHcite] = ACTIONS(173),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCite] = ACTIONS(173),
    [anon_sym_BSLASHnocite] = ACTIONS(173),
    [anon_sym_BSLASHcitet] = ACTIONS(173),
    [anon_sym_BSLASHcitep] = ACTIONS(173),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteA] = ACTIONS(173),
    [anon_sym_BSLASHciteR] = ACTIONS(173),
    [anon_sym_BSLASHciteS] = ACTIONS(173),
    [anon_sym_BSLASHciteyearR] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(173),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitetitle] = ACTIONS(173),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteyear] = ACTIONS(173),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitedate] = ACTIONS(173),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteurl] = ACTIONS(173),
    [anon_sym_BSLASHfullcite] = ACTIONS(173),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(173),
    [anon_sym_BSLASHcitealt] = ACTIONS(173),
    [anon_sym_BSLASHcitealp] = ACTIONS(173),
    [anon_sym_BSLASHcitetext] = ACTIONS(173),
    [anon_sym_BSLASHparencite] = ACTIONS(173),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHParencite] = ACTIONS(173),
    [anon_sym_BSLASHfootcite] = ACTIONS(173),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(173),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(173),
    [anon_sym_BSLASHtextcite] = ACTIONS(173),
    [anon_sym_BSLASHTextcite] = ACTIONS(173),
    [anon_sym_BSLASHsmartcite] = ACTIONS(173),
    [anon_sym_BSLASHSmartcite] = ACTIONS(173),
    [anon_sym_BSLASHsupercite] = ACTIONS(173),
    [anon_sym_BSLASHautocite] = ACTIONS(173),
    [anon_sym_BSLASHAutocite] = ACTIONS(173),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHvolcite] = ACTIONS(173),
    [anon_sym_BSLASHVolcite] = ACTIONS(173),
    [anon_sym_BSLASHpvolcite] = ACTIONS(173),
    [anon_sym_BSLASHPvolcite] = ACTIONS(173),
    [anon_sym_BSLASHfvolcite] = ACTIONS(173),
    [anon_sym_BSLASHftvolcite] = ACTIONS(173),
    [anon_sym_BSLASHsvolcite] = ACTIONS(173),
    [anon_sym_BSLASHSvolcite] = ACTIONS(173),
    [anon_sym_BSLASHtvolcite] = ACTIONS(173),
    [anon_sym_BSLASHTvolcite] = ACTIONS(173),
    [anon_sym_BSLASHavolcite] = ACTIONS(173),
    [anon_sym_BSLASHAvolcite] = ACTIONS(173),
    [anon_sym_BSLASHnotecite] = ACTIONS(173),
    [anon_sym_BSLASHNotecite] = ACTIONS(173),
    [anon_sym_BSLASHpnotecite] = ACTIONS(173),
    [anon_sym_BSLASHPnotecite] = ACTIONS(173),
    [anon_sym_BSLASHfnotecite] = ACTIONS(173),
    [anon_sym_BSLASHlabel] = ACTIONS(173),
    [anon_sym_BSLASHref] = ACTIONS(173),
    [anon_sym_BSLASHeqref] = ACTIONS(173),
    [anon_sym_BSLASHvref] = ACTIONS(173),
    [anon_sym_BSLASHVref] = ACTIONS(173),
    [anon_sym_BSLASHautoref] = ACTIONS(173),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHpageref] = ACTIONS(173),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHautopageref] = ACTIONS(173),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcref] = ACTIONS(173),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCref] = ACTIONS(173),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpageref] = ACTIONS(173),
    [anon_sym_BSLASHCpageref] = ACTIONS(173),
    [anon_sym_BSLASHnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnameCref] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcrefrange] = ACTIONS(173),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCrefrange] = ACTIONS(173),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHnewlabel] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(173),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(173),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(173),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(175),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHdef] = ACTIONS(173),
    [anon_sym_BSLASHgdef] = ACTIONS(173),
    [anon_sym_BSLASHedef] = ACTIONS(173),
    [anon_sym_BSLASHxdef] = ACTIONS(173),
    [anon_sym_BSLASHlet] = ACTIONS(173),
    [anon_sym_BSLASHglet] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(173),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(173),
    [anon_sym_BSLASHgls] = ACTIONS(173),
    [anon_sym_BSLASHGls] = ACTIONS(173),
    [anon_sym_BSLASHGLS] = ACTIONS(173),
    [anon_sym_BSLASHglspl] = ACTIONS(173),
    [anon_sym_BSLASHGlspl] = ACTIONS(173),
    [anon_sym_BSLASHGLSpl] = ACTIONS(173),
    [anon_sym_BSLASHglsdisp] = ACTIONS(173),
    [anon_sym_BSLASHglslink] = ACTIONS(173),
    [anon_sym_BSLASHglstext] = ACTIONS(173),
    [anon_sym_BSLASHGlstext] = ACTIONS(173),
    [anon_sym_BSLASHGLStext] = ACTIONS(173),
    [anon_sym_BSLASHglsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(173),
    [anon_sym_BSLASHglsplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSplural] = ACTIONS(173),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHglsname] = ACTIONS(173),
    [anon_sym_BSLASHGlsname] = ACTIONS(173),
    [anon_sym_BSLASHGLSname] = ACTIONS(173),
    [anon_sym_BSLASHglssymbol] = ACTIONS(173),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(173),
    [anon_sym_BSLASHglsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(173),
    [anon_sym_BSLASHglsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(173),
    [anon_sym_BSLASHglsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(173),
    [anon_sym_BSLASHglsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(173),
    [anon_sym_BSLASHglsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(173),
    [anon_sym_BSLASHnewacronym] = ACTIONS(173),
    [anon_sym_BSLASHacrshort] = ACTIONS(173),
    [anon_sym_BSLASHAcrshort] = ACTIONS(173),
    [anon_sym_BSLASHACRshort] = ACTIONS(173),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(173),
    [anon_sym_BSLASHacrlong] = ACTIONS(173),
    [anon_sym_BSLASHAcrlong] = ACTIONS(173),
    [anon_sym_BSLASHACRlong] = ACTIONS(173),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(173),
    [anon_sym_BSLASHacrfull] = ACTIONS(173),
    [anon_sym_BSLASHAcrfull] = ACTIONS(173),
    [anon_sym_BSLASHACRfull] = ACTIONS(173),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(173),
    [anon_sym_BSLASHacs] = ACTIONS(173),
    [anon_sym_BSLASHAcs] = ACTIONS(173),
    [anon_sym_BSLASHacsp] = ACTIONS(173),
    [anon_sym_BSLASHAcsp] = ACTIONS(173),
    [anon_sym_BSLASHacl] = ACTIONS(173),
    [anon_sym_BSLASHAcl] = ACTIONS(173),
    [anon_sym_BSLASHaclp] = ACTIONS(173),
    [anon_sym_BSLASHAclp] = ACTIONS(173),
    [anon_sym_BSLASHacf] = ACTIONS(173),
    [anon_sym_BSLASHAcf] = ACTIONS(173),
    [anon_sym_BSLASHacfp] = ACTIONS(173),
    [anon_sym_BSLASHAcfp] = ACTIONS(173),
    [anon_sym_BSLASHac] = ACTIONS(173),
    [anon_sym_BSLASHAc] = ACTIONS(173),
    [anon_sym_BSLASHacp] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(173),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(173),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(173),
    [anon_sym_BSLASHcolor] = ACTIONS(173),
    [anon_sym_BSLASHpagecolor] = ACTIONS(173),
    [anon_sym_BSLASHtextcolor] = ACTIONS(173),
    [anon_sym_BSLASHmathcolor] = ACTIONS(173),
    [anon_sym_BSLASHcolorbox] = ACTIONS(173),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(173),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(173),
    [anon_sym_BSLASHurl] = ACTIONS(173),
    [anon_sym_BSLASHhref] = ACTIONS(173),
  },
  [92] = {
    [sym_block_comment] = STATE(83),
    [sym__root_content] = STATE(83),
    [sym__flat_content] = STATE(83),
    [sym__text_with_env_content] = STATE(83),
    [sym__text_content] = STATE(83),
    [sym__section] = STATE(83),
    [sym__paragraph] = STATE(83),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(83),
    [sym_text] = STATE(83),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(83),
    [sym_displayed_equation] = STATE(83),
    [sym_inline_formula] = STATE(83),
    [sym_math_delimiter] = STATE(83),
    [sym_text_mode] = STATE(83),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(83),
    [sym_comment_environment] = STATE(83),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(83),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(83),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(83),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(83),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(83),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(83),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(83),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(83),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(83),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(83),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(83),
    [sym_generic_command] = STATE(83),
    [sym_title_declaration] = STATE(83),
    [sym_author_declaration] = STATE(83),
    [sym_package_include] = STATE(83),
    [sym_class_include] = STATE(83),
    [sym_latex_include] = STATE(83),
    [sym_biblatex_include] = STATE(83),
    [sym_bibstyle_include] = STATE(83),
    [sym_bibtex_include] = STATE(83),
    [sym_graphics_include] = STATE(83),
    [sym_svg_include] = STATE(83),
    [sym_inkscape_include] = STATE(83),
    [sym_verbatim_include] = STATE(83),
    [sym_import_include] = STATE(83),
    [sym_caption] = STATE(83),
    [sym_citation] = STATE(83),
    [sym_label_definition] = STATE(83),
    [sym_label_reference] = STATE(83),
    [sym_label_reference_range] = STATE(83),
    [sym_label_number] = STATE(83),
    [sym_new_command_definition] = STATE(83),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(83),
    [sym_let_command_definition] = STATE(83),
    [sym_paired_delimiter_definition] = STATE(83),
    [sym_environment_definition] = STATE(83),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(83),
    [sym_glossary_entry_reference] = STATE(83),
    [sym_acronym_definition] = STATE(83),
    [sym_acronym_reference] = STATE(83),
    [sym_theorem_definition] = STATE(83),
    [sym_color_definition] = STATE(83),
    [sym_color_set_definition] = STATE(83),
    [sym_color_reference] = STATE(83),
    [sym_tikz_library_import] = STATE(83),
    [sym_hyperlink] = STATE(83),
    [aux_sym_source_file_repeat1] = STATE(83),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(1996),
    [anon_sym_RBRACK] = ACTIONS(1996),
    [anon_sym_COMMA] = ACTIONS(1996),
    [anon_sym_EQ] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(1996),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(1998),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2000),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [93] = {
    [sym_block_comment] = STATE(96),
    [sym__root_content] = STATE(96),
    [sym__flat_content] = STATE(96),
    [sym__text_with_env_content] = STATE(96),
    [sym__text_content] = STATE(96),
    [sym__section] = STATE(96),
    [sym__paragraph] = STATE(96),
    [sym__part_declaration] = STATE(161),
    [sym_part] = STATE(509),
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(512),
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(515),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(516),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(519),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(96),
    [sym_text] = STATE(96),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(96),
    [sym_displayed_equation] = STATE(96),
    [sym_inline_formula] = STATE(96),
    [sym_math_delimiter] = STATE(96),
    [sym_text_mode] = STATE(96),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(96),
    [sym_comment_environment] = STATE(96),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(96),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(96),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(96),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(96),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(96),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(96),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(96),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(96),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(96),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(96),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(96),
    [sym_generic_command] = STATE(96),
    [sym_title_declaration] = STATE(96),
    [sym_author_declaration] = STATE(96),
    [sym_package_include] = STATE(96),
    [sym_class_include] = STATE(96),
    [sym_latex_include] = STATE(96),
    [sym_biblatex_include] = STATE(96),
    [sym_bibstyle_include] = STATE(96),
    [sym_bibtex_include] = STATE(96),
    [sym_graphics_include] = STATE(96),
    [sym_svg_include] = STATE(96),
    [sym_inkscape_include] = STATE(96),
    [sym_verbatim_include] = STATE(96),
    [sym_import_include] = STATE(96),
    [sym_caption] = STATE(96),
    [sym_citation] = STATE(96),
    [sym_label_definition] = STATE(96),
    [sym_label_reference] = STATE(96),
    [sym_label_reference_range] = STATE(96),
    [sym_label_number] = STATE(96),
    [sym_new_command_definition] = STATE(96),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(96),
    [sym_let_command_definition] = STATE(96),
    [sym_paired_delimiter_definition] = STATE(96),
    [sym_environment_definition] = STATE(96),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(96),
    [sym_glossary_entry_reference] = STATE(96),
    [sym_acronym_definition] = STATE(96),
    [sym_acronym_reference] = STATE(96),
    [sym_theorem_definition] = STATE(96),
    [sym_color_definition] = STATE(96),
    [sym_color_set_definition] = STATE(96),
    [sym_color_reference] = STATE(96),
    [sym_tikz_library_import] = STATE(96),
    [sym_hyperlink] = STATE(96),
    [aux_sym_source_file_repeat1] = STATE(96),
    [aux_sym__section_repeat1] = STATE(509),
    [aux_sym__section_repeat2] = STATE(512),
    [aux_sym__section_repeat3] = STATE(515),
    [aux_sym__section_repeat4] = STATE(516),
    [aux_sym__section_repeat5] = STATE(519),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_text_repeat1] = STATE(266),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_RBRACK] = ACTIONS(2002),
    [anon_sym_COMMA] = ACTIONS(2002),
    [anon_sym_EQ] = ACTIONS(2002),
    [anon_sym_LPAREN] = ACTIONS(2002),
    [anon_sym_RPAREN] = ACTIONS(2002),
    [anon_sym_BSLASHpart] = ACTIONS(13),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHaddpart] = ACTIONS(13),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2004),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [94] = {
    [sym_block_comment] = STATE(97),
    [sym__root_content] = STATE(97),
    [sym__flat_content] = STATE(97),
    [sym__text_with_env_content] = STATE(97),
    [sym__text_content] = STATE(97),
    [sym__section] = STATE(97),
    [sym__paragraph] = STATE(97),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(97),
    [sym_text] = STATE(97),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(97),
    [sym_displayed_equation] = STATE(97),
    [sym_inline_formula] = STATE(97),
    [sym_math_delimiter] = STATE(97),
    [sym_text_mode] = STATE(97),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(97),
    [sym_comment_environment] = STATE(97),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(97),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(97),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(97),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(97),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(97),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(97),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(97),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(97),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(97),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(97),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(97),
    [sym_generic_command] = STATE(97),
    [sym_title_declaration] = STATE(97),
    [sym_author_declaration] = STATE(97),
    [sym_package_include] = STATE(97),
    [sym_class_include] = STATE(97),
    [sym_latex_include] = STATE(97),
    [sym_biblatex_include] = STATE(97),
    [sym_bibstyle_include] = STATE(97),
    [sym_bibtex_include] = STATE(97),
    [sym_graphics_include] = STATE(97),
    [sym_svg_include] = STATE(97),
    [sym_inkscape_include] = STATE(97),
    [sym_verbatim_include] = STATE(97),
    [sym_import_include] = STATE(97),
    [sym_caption] = STATE(97),
    [sym_citation] = STATE(97),
    [sym_label_definition] = STATE(97),
    [sym_label_reference] = STATE(97),
    [sym_label_reference_range] = STATE(97),
    [sym_label_number] = STATE(97),
    [sym_new_command_definition] = STATE(97),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(97),
    [sym_let_command_definition] = STATE(97),
    [sym_paired_delimiter_definition] = STATE(97),
    [sym_environment_definition] = STATE(97),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(97),
    [sym_glossary_entry_reference] = STATE(97),
    [sym_acronym_definition] = STATE(97),
    [sym_acronym_reference] = STATE(97),
    [sym_theorem_definition] = STATE(97),
    [sym_color_definition] = STATE(97),
    [sym_color_set_definition] = STATE(97),
    [sym_color_reference] = STATE(97),
    [sym_tikz_library_import] = STATE(97),
    [sym_hyperlink] = STATE(97),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(606),
    [anon_sym_RBRACK] = ACTIONS(606),
    [anon_sym_COMMA] = ACTIONS(606),
    [anon_sym_EQ] = ACTIONS(606),
    [anon_sym_LPAREN] = ACTIONS(606),
    [anon_sym_RPAREN] = ACTIONS(606),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2006),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(161),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [95] = {
    [sym_block_comment] = STATE(80),
    [sym__root_content] = STATE(80),
    [sym__flat_content] = STATE(80),
    [sym__text_with_env_content] = STATE(80),
    [sym__text_content] = STATE(80),
    [sym__section] = STATE(80),
    [sym__paragraph] = STATE(80),
    [sym__part_declaration] = STATE(161),
    [sym_part] = STATE(509),
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(512),
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(515),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(516),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(519),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(80),
    [sym_text] = STATE(80),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(80),
    [sym_displayed_equation] = STATE(80),
    [sym_inline_formula] = STATE(80),
    [sym_math_delimiter] = STATE(80),
    [sym_text_mode] = STATE(80),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(80),
    [sym_comment_environment] = STATE(80),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(80),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(80),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(80),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(80),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(80),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(80),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(80),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(80),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(80),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(80),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(80),
    [sym_generic_command] = STATE(80),
    [sym_title_declaration] = STATE(80),
    [sym_author_declaration] = STATE(80),
    [sym_package_include] = STATE(80),
    [sym_class_include] = STATE(80),
    [sym_latex_include] = STATE(80),
    [sym_biblatex_include] = STATE(80),
    [sym_bibstyle_include] = STATE(80),
    [sym_bibtex_include] = STATE(80),
    [sym_graphics_include] = STATE(80),
    [sym_svg_include] = STATE(80),
    [sym_inkscape_include] = STATE(80),
    [sym_verbatim_include] = STATE(80),
    [sym_import_include] = STATE(80),
    [sym_caption] = STATE(80),
    [sym_citation] = STATE(80),
    [sym_label_definition] = STATE(80),
    [sym_label_reference] = STATE(80),
    [sym_label_reference_range] = STATE(80),
    [sym_label_number] = STATE(80),
    [sym_new_command_definition] = STATE(80),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(80),
    [sym_let_command_definition] = STATE(80),
    [sym_paired_delimiter_definition] = STATE(80),
    [sym_environment_definition] = STATE(80),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(80),
    [sym_glossary_entry_reference] = STATE(80),
    [sym_acronym_definition] = STATE(80),
    [sym_acronym_reference] = STATE(80),
    [sym_theorem_definition] = STATE(80),
    [sym_color_definition] = STATE(80),
    [sym_color_set_definition] = STATE(80),
    [sym_color_reference] = STATE(80),
    [sym_tikz_library_import] = STATE(80),
    [sym_hyperlink] = STATE(80),
    [aux_sym_source_file_repeat1] = STATE(80),
    [aux_sym__section_repeat1] = STATE(509),
    [aux_sym__section_repeat2] = STATE(512),
    [aux_sym__section_repeat3] = STATE(515),
    [aux_sym__section_repeat4] = STATE(516),
    [aux_sym__section_repeat5] = STATE(519),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_text_repeat1] = STATE(266),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(2008),
    [anon_sym_RBRACK] = ACTIONS(2008),
    [anon_sym_COMMA] = ACTIONS(2008),
    [anon_sym_EQ] = ACTIONS(2008),
    [anon_sym_LPAREN] = ACTIONS(2008),
    [anon_sym_RPAREN] = ACTIONS(2008),
    [anon_sym_BSLASHpart] = ACTIONS(13),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHaddpart] = ACTIONS(13),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2010),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [96] = {
    [sym_block_comment] = STATE(64),
    [sym__root_content] = STATE(64),
    [sym__flat_content] = STATE(64),
    [sym__text_with_env_content] = STATE(64),
    [sym__text_content] = STATE(64),
    [sym__section] = STATE(64),
    [sym__paragraph] = STATE(64),
    [sym__part_declaration] = STATE(161),
    [sym_part] = STATE(509),
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(512),
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(515),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(516),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(519),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(64),
    [sym_text] = STATE(64),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(64),
    [sym_displayed_equation] = STATE(64),
    [sym_inline_formula] = STATE(64),
    [sym_math_delimiter] = STATE(64),
    [sym_text_mode] = STATE(64),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(64),
    [sym_comment_environment] = STATE(64),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(64),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(64),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(64),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(64),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(64),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(64),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(64),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(64),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(64),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(64),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(64),
    [sym_generic_command] = STATE(64),
    [sym_title_declaration] = STATE(64),
    [sym_author_declaration] = STATE(64),
    [sym_package_include] = STATE(64),
    [sym_class_include] = STATE(64),
    [sym_latex_include] = STATE(64),
    [sym_biblatex_include] = STATE(64),
    [sym_bibstyle_include] = STATE(64),
    [sym_bibtex_include] = STATE(64),
    [sym_graphics_include] = STATE(64),
    [sym_svg_include] = STATE(64),
    [sym_inkscape_include] = STATE(64),
    [sym_verbatim_include] = STATE(64),
    [sym_import_include] = STATE(64),
    [sym_caption] = STATE(64),
    [sym_citation] = STATE(64),
    [sym_label_definition] = STATE(64),
    [sym_label_reference] = STATE(64),
    [sym_label_reference_range] = STATE(64),
    [sym_label_number] = STATE(64),
    [sym_new_command_definition] = STATE(64),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(64),
    [sym_let_command_definition] = STATE(64),
    [sym_paired_delimiter_definition] = STATE(64),
    [sym_environment_definition] = STATE(64),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(64),
    [sym_glossary_entry_reference] = STATE(64),
    [sym_acronym_definition] = STATE(64),
    [sym_acronym_reference] = STATE(64),
    [sym_theorem_definition] = STATE(64),
    [sym_color_definition] = STATE(64),
    [sym_color_set_definition] = STATE(64),
    [sym_color_reference] = STATE(64),
    [sym_tikz_library_import] = STATE(64),
    [sym_hyperlink] = STATE(64),
    [aux_sym_source_file_repeat1] = STATE(64),
    [aux_sym__section_repeat1] = STATE(509),
    [aux_sym__section_repeat2] = STATE(512),
    [aux_sym__section_repeat3] = STATE(515),
    [aux_sym__section_repeat4] = STATE(516),
    [aux_sym__section_repeat5] = STATE(519),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_text_repeat1] = STATE(266),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(1416),
    [anon_sym_RBRACK] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1416),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_RPAREN] = ACTIONS(1416),
    [anon_sym_BSLASHpart] = ACTIONS(13),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHaddpart] = ACTIONS(13),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2012),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [97] = {
    [sym_block_comment] = STATE(73),
    [sym__root_content] = STATE(73),
    [sym__flat_content] = STATE(73),
    [sym__text_with_env_content] = STATE(73),
    [sym__text_content] = STATE(73),
    [sym__section] = STATE(73),
    [sym__paragraph] = STATE(73),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(73),
    [sym_text] = STATE(73),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(73),
    [sym_displayed_equation] = STATE(73),
    [sym_inline_formula] = STATE(73),
    [sym_math_delimiter] = STATE(73),
    [sym_text_mode] = STATE(73),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(73),
    [sym_comment_environment] = STATE(73),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(73),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(73),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(73),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(73),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(73),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(73),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(73),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(73),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(73),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(73),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(73),
    [sym_generic_command] = STATE(73),
    [sym_title_declaration] = STATE(73),
    [sym_author_declaration] = STATE(73),
    [sym_package_include] = STATE(73),
    [sym_class_include] = STATE(73),
    [sym_latex_include] = STATE(73),
    [sym_biblatex_include] = STATE(73),
    [sym_bibstyle_include] = STATE(73),
    [sym_bibtex_include] = STATE(73),
    [sym_graphics_include] = STATE(73),
    [sym_svg_include] = STATE(73),
    [sym_inkscape_include] = STATE(73),
    [sym_verbatim_include] = STATE(73),
    [sym_import_include] = STATE(73),
    [sym_caption] = STATE(73),
    [sym_citation] = STATE(73),
    [sym_label_definition] = STATE(73),
    [sym_label_reference] = STATE(73),
    [sym_label_reference_range] = STATE(73),
    [sym_label_number] = STATE(73),
    [sym_new_command_definition] = STATE(73),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(73),
    [sym_let_command_definition] = STATE(73),
    [sym_paired_delimiter_definition] = STATE(73),
    [sym_environment_definition] = STATE(73),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(73),
    [sym_glossary_entry_reference] = STATE(73),
    [sym_acronym_definition] = STATE(73),
    [sym_acronym_reference] = STATE(73),
    [sym_theorem_definition] = STATE(73),
    [sym_color_definition] = STATE(73),
    [sym_color_set_definition] = STATE(73),
    [sym_color_reference] = STATE(73),
    [sym_tikz_library_import] = STATE(73),
    [sym_hyperlink] = STATE(73),
    [aux_sym_source_file_repeat1] = STATE(73),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1984),
    [anon_sym_RBRACK] = ACTIONS(1984),
    [anon_sym_COMMA] = ACTIONS(1984),
    [anon_sym_EQ] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(1984),
    [anon_sym_RPAREN] = ACTIONS(1984),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2014),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2016),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [98] = {
    [sym_block_comment] = STATE(78),
    [sym__root_content] = STATE(78),
    [sym__flat_content] = STATE(78),
    [sym__text_with_env_content] = STATE(78),
    [sym__text_content] = STATE(78),
    [sym__section] = STATE(78),
    [sym__paragraph] = STATE(78),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(78),
    [sym_text] = STATE(78),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(78),
    [sym_displayed_equation] = STATE(78),
    [sym_inline_formula] = STATE(78),
    [sym_math_delimiter] = STATE(78),
    [sym_text_mode] = STATE(78),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(78),
    [sym_comment_environment] = STATE(78),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(78),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(78),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(78),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(78),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(78),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(78),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(78),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(78),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(78),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(78),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(78),
    [sym_generic_command] = STATE(78),
    [sym_title_declaration] = STATE(78),
    [sym_author_declaration] = STATE(78),
    [sym_package_include] = STATE(78),
    [sym_class_include] = STATE(78),
    [sym_latex_include] = STATE(78),
    [sym_biblatex_include] = STATE(78),
    [sym_bibstyle_include] = STATE(78),
    [sym_bibtex_include] = STATE(78),
    [sym_graphics_include] = STATE(78),
    [sym_svg_include] = STATE(78),
    [sym_inkscape_include] = STATE(78),
    [sym_verbatim_include] = STATE(78),
    [sym_import_include] = STATE(78),
    [sym_caption] = STATE(78),
    [sym_citation] = STATE(78),
    [sym_label_definition] = STATE(78),
    [sym_label_reference] = STATE(78),
    [sym_label_reference_range] = STATE(78),
    [sym_label_number] = STATE(78),
    [sym_new_command_definition] = STATE(78),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(78),
    [sym_let_command_definition] = STATE(78),
    [sym_paired_delimiter_definition] = STATE(78),
    [sym_environment_definition] = STATE(78),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(78),
    [sym_glossary_entry_reference] = STATE(78),
    [sym_acronym_definition] = STATE(78),
    [sym_acronym_reference] = STATE(78),
    [sym_theorem_definition] = STATE(78),
    [sym_color_definition] = STATE(78),
    [sym_color_set_definition] = STATE(78),
    [sym_color_reference] = STATE(78),
    [sym_tikz_library_import] = STATE(78),
    [sym_hyperlink] = STATE(78),
    [aux_sym_source_file_repeat1] = STATE(78),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(1990),
    [anon_sym_RBRACK] = ACTIONS(1990),
    [anon_sym_COMMA] = ACTIONS(1990),
    [anon_sym_EQ] = ACTIONS(1990),
    [anon_sym_LPAREN] = ACTIONS(1990),
    [anon_sym_RPAREN] = ACTIONS(1990),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2018),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2020),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [99] = {
    [sym_block_comment] = STATE(102),
    [sym__root_content] = STATE(102),
    [sym__flat_content] = STATE(102),
    [sym__text_with_env_content] = STATE(102),
    [sym__text_content] = STATE(102),
    [sym__section] = STATE(102),
    [sym__paragraph] = STATE(102),
    [sym__part_declaration] = STATE(161),
    [sym_part] = STATE(509),
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(512),
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(515),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(516),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(519),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(102),
    [sym_text] = STATE(102),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(102),
    [sym_displayed_equation] = STATE(102),
    [sym_inline_formula] = STATE(102),
    [sym_math_delimiter] = STATE(102),
    [sym_text_mode] = STATE(102),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(102),
    [sym_comment_environment] = STATE(102),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(102),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(102),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(102),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(102),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(102),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(102),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(102),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(102),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(102),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(102),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(102),
    [sym_generic_command] = STATE(102),
    [sym_title_declaration] = STATE(102),
    [sym_author_declaration] = STATE(102),
    [sym_package_include] = STATE(102),
    [sym_class_include] = STATE(102),
    [sym_latex_include] = STATE(102),
    [sym_biblatex_include] = STATE(102),
    [sym_bibstyle_include] = STATE(102),
    [sym_bibtex_include] = STATE(102),
    [sym_graphics_include] = STATE(102),
    [sym_svg_include] = STATE(102),
    [sym_inkscape_include] = STATE(102),
    [sym_verbatim_include] = STATE(102),
    [sym_import_include] = STATE(102),
    [sym_caption] = STATE(102),
    [sym_citation] = STATE(102),
    [sym_label_definition] = STATE(102),
    [sym_label_reference] = STATE(102),
    [sym_label_reference_range] = STATE(102),
    [sym_label_number] = STATE(102),
    [sym_new_command_definition] = STATE(102),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(102),
    [sym_let_command_definition] = STATE(102),
    [sym_paired_delimiter_definition] = STATE(102),
    [sym_environment_definition] = STATE(102),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(102),
    [sym_glossary_entry_reference] = STATE(102),
    [sym_acronym_definition] = STATE(102),
    [sym_acronym_reference] = STATE(102),
    [sym_theorem_definition] = STATE(102),
    [sym_color_definition] = STATE(102),
    [sym_color_set_definition] = STATE(102),
    [sym_color_reference] = STATE(102),
    [sym_tikz_library_import] = STATE(102),
    [sym_hyperlink] = STATE(102),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym__section_repeat1] = STATE(509),
    [aux_sym__section_repeat2] = STATE(512),
    [aux_sym__section_repeat3] = STATE(515),
    [aux_sym__section_repeat4] = STATE(516),
    [aux_sym__section_repeat5] = STATE(519),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_text_repeat1] = STATE(266),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(2022),
    [anon_sym_RBRACK] = ACTIONS(2022),
    [anon_sym_COMMA] = ACTIONS(2022),
    [anon_sym_EQ] = ACTIONS(2022),
    [anon_sym_LPAREN] = ACTIONS(2022),
    [anon_sym_RPAREN] = ACTIONS(2022),
    [anon_sym_BSLASHpart] = ACTIONS(13),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHaddpart] = ACTIONS(13),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2024),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [100] = {
    [sym_block_comment] = STATE(103),
    [sym__root_content] = STATE(103),
    [sym__flat_content] = STATE(103),
    [sym__text_with_env_content] = STATE(103),
    [sym__text_content] = STATE(103),
    [sym__section] = STATE(103),
    [sym__paragraph] = STATE(103),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(103),
    [sym_text] = STATE(103),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(103),
    [sym_displayed_equation] = STATE(103),
    [sym_inline_formula] = STATE(103),
    [sym_math_delimiter] = STATE(103),
    [sym_text_mode] = STATE(103),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(103),
    [sym_comment_environment] = STATE(103),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(103),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(103),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(103),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(103),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(103),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(103),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(103),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(103),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(103),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(103),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(103),
    [sym_generic_command] = STATE(103),
    [sym_title_declaration] = STATE(103),
    [sym_author_declaration] = STATE(103),
    [sym_package_include] = STATE(103),
    [sym_class_include] = STATE(103),
    [sym_latex_include] = STATE(103),
    [sym_biblatex_include] = STATE(103),
    [sym_bibstyle_include] = STATE(103),
    [sym_bibtex_include] = STATE(103),
    [sym_graphics_include] = STATE(103),
    [sym_svg_include] = STATE(103),
    [sym_inkscape_include] = STATE(103),
    [sym_verbatim_include] = STATE(103),
    [sym_import_include] = STATE(103),
    [sym_caption] = STATE(103),
    [sym_citation] = STATE(103),
    [sym_label_definition] = STATE(103),
    [sym_label_reference] = STATE(103),
    [sym_label_reference_range] = STATE(103),
    [sym_label_number] = STATE(103),
    [sym_new_command_definition] = STATE(103),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(103),
    [sym_let_command_definition] = STATE(103),
    [sym_paired_delimiter_definition] = STATE(103),
    [sym_environment_definition] = STATE(103),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(103),
    [sym_glossary_entry_reference] = STATE(103),
    [sym_acronym_definition] = STATE(103),
    [sym_acronym_reference] = STATE(103),
    [sym_theorem_definition] = STATE(103),
    [sym_color_definition] = STATE(103),
    [sym_color_set_definition] = STATE(103),
    [sym_color_reference] = STATE(103),
    [sym_tikz_library_import] = STATE(103),
    [sym_hyperlink] = STATE(103),
    [aux_sym_source_file_repeat1] = STATE(103),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(2026),
    [anon_sym_RBRACK] = ACTIONS(2026),
    [anon_sym_COMMA] = ACTIONS(2026),
    [anon_sym_EQ] = ACTIONS(2026),
    [anon_sym_LPAREN] = ACTIONS(2026),
    [anon_sym_RPAREN] = ACTIONS(2026),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2028),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2030),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [101] = {
    [sym_block_comment] = STATE(104),
    [sym__root_content] = STATE(104),
    [sym__flat_content] = STATE(104),
    [sym__text_with_env_content] = STATE(104),
    [sym__text_content] = STATE(104),
    [sym__section] = STATE(104),
    [sym__paragraph] = STATE(104),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(104),
    [sym_text] = STATE(104),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(104),
    [sym_displayed_equation] = STATE(104),
    [sym_inline_formula] = STATE(104),
    [sym_math_delimiter] = STATE(104),
    [sym_text_mode] = STATE(104),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(104),
    [sym_comment_environment] = STATE(104),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(104),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(104),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(104),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(104),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(104),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(104),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(104),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(104),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(104),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(104),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(104),
    [sym_generic_command] = STATE(104),
    [sym_title_declaration] = STATE(104),
    [sym_author_declaration] = STATE(104),
    [sym_package_include] = STATE(104),
    [sym_class_include] = STATE(104),
    [sym_latex_include] = STATE(104),
    [sym_biblatex_include] = STATE(104),
    [sym_bibstyle_include] = STATE(104),
    [sym_bibtex_include] = STATE(104),
    [sym_graphics_include] = STATE(104),
    [sym_svg_include] = STATE(104),
    [sym_inkscape_include] = STATE(104),
    [sym_verbatim_include] = STATE(104),
    [sym_import_include] = STATE(104),
    [sym_caption] = STATE(104),
    [sym_citation] = STATE(104),
    [sym_label_definition] = STATE(104),
    [sym_label_reference] = STATE(104),
    [sym_label_reference_range] = STATE(104),
    [sym_label_number] = STATE(104),
    [sym_new_command_definition] = STATE(104),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(104),
    [sym_let_command_definition] = STATE(104),
    [sym_paired_delimiter_definition] = STATE(104),
    [sym_environment_definition] = STATE(104),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(104),
    [sym_glossary_entry_reference] = STATE(104),
    [sym_acronym_definition] = STATE(104),
    [sym_acronym_reference] = STATE(104),
    [sym_theorem_definition] = STATE(104),
    [sym_color_definition] = STATE(104),
    [sym_color_set_definition] = STATE(104),
    [sym_color_reference] = STATE(104),
    [sym_tikz_library_import] = STATE(104),
    [sym_hyperlink] = STATE(104),
    [aux_sym_source_file_repeat1] = STATE(104),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(640),
    [anon_sym_RBRACK] = ACTIONS(640),
    [anon_sym_COMMA] = ACTIONS(640),
    [anon_sym_EQ] = ACTIONS(640),
    [anon_sym_LPAREN] = ACTIONS(640),
    [anon_sym_RPAREN] = ACTIONS(640),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2032),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(167),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [102] = {
    [sym_block_comment] = STATE(64),
    [sym__root_content] = STATE(64),
    [sym__flat_content] = STATE(64),
    [sym__text_with_env_content] = STATE(64),
    [sym__text_content] = STATE(64),
    [sym__section] = STATE(64),
    [sym__paragraph] = STATE(64),
    [sym__part_declaration] = STATE(161),
    [sym_part] = STATE(509),
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(512),
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(515),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(516),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(519),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(64),
    [sym_text] = STATE(64),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(64),
    [sym_displayed_equation] = STATE(64),
    [sym_inline_formula] = STATE(64),
    [sym_math_delimiter] = STATE(64),
    [sym_text_mode] = STATE(64),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(64),
    [sym_comment_environment] = STATE(64),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(64),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(64),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(64),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(64),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(64),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(64),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(64),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(64),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(64),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(64),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(64),
    [sym_generic_command] = STATE(64),
    [sym_title_declaration] = STATE(64),
    [sym_author_declaration] = STATE(64),
    [sym_package_include] = STATE(64),
    [sym_class_include] = STATE(64),
    [sym_latex_include] = STATE(64),
    [sym_biblatex_include] = STATE(64),
    [sym_bibstyle_include] = STATE(64),
    [sym_bibtex_include] = STATE(64),
    [sym_graphics_include] = STATE(64),
    [sym_svg_include] = STATE(64),
    [sym_inkscape_include] = STATE(64),
    [sym_verbatim_include] = STATE(64),
    [sym_import_include] = STATE(64),
    [sym_caption] = STATE(64),
    [sym_citation] = STATE(64),
    [sym_label_definition] = STATE(64),
    [sym_label_reference] = STATE(64),
    [sym_label_reference_range] = STATE(64),
    [sym_label_number] = STATE(64),
    [sym_new_command_definition] = STATE(64),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(64),
    [sym_let_command_definition] = STATE(64),
    [sym_paired_delimiter_definition] = STATE(64),
    [sym_environment_definition] = STATE(64),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(64),
    [sym_glossary_entry_reference] = STATE(64),
    [sym_acronym_definition] = STATE(64),
    [sym_acronym_reference] = STATE(64),
    [sym_theorem_definition] = STATE(64),
    [sym_color_definition] = STATE(64),
    [sym_color_set_definition] = STATE(64),
    [sym_color_reference] = STATE(64),
    [sym_tikz_library_import] = STATE(64),
    [sym_hyperlink] = STATE(64),
    [aux_sym_source_file_repeat1] = STATE(64),
    [aux_sym__section_repeat1] = STATE(509),
    [aux_sym__section_repeat2] = STATE(512),
    [aux_sym__section_repeat3] = STATE(515),
    [aux_sym__section_repeat4] = STATE(516),
    [aux_sym__section_repeat5] = STATE(519),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_text_repeat1] = STATE(266),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(1416),
    [anon_sym_RBRACK] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1416),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_RPAREN] = ACTIONS(1416),
    [anon_sym_BSLASHpart] = ACTIONS(13),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHaddpart] = ACTIONS(13),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2034),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [103] = {
    [sym_block_comment] = STATE(73),
    [sym__root_content] = STATE(73),
    [sym__flat_content] = STATE(73),
    [sym__text_with_env_content] = STATE(73),
    [sym__text_content] = STATE(73),
    [sym__section] = STATE(73),
    [sym__paragraph] = STATE(73),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(73),
    [sym_text] = STATE(73),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(73),
    [sym_displayed_equation] = STATE(73),
    [sym_inline_formula] = STATE(73),
    [sym_math_delimiter] = STATE(73),
    [sym_text_mode] = STATE(73),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(73),
    [sym_comment_environment] = STATE(73),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(73),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(73),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(73),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(73),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(73),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(73),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(73),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(73),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(73),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(73),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(73),
    [sym_generic_command] = STATE(73),
    [sym_title_declaration] = STATE(73),
    [sym_author_declaration] = STATE(73),
    [sym_package_include] = STATE(73),
    [sym_class_include] = STATE(73),
    [sym_latex_include] = STATE(73),
    [sym_biblatex_include] = STATE(73),
    [sym_bibstyle_include] = STATE(73),
    [sym_bibtex_include] = STATE(73),
    [sym_graphics_include] = STATE(73),
    [sym_svg_include] = STATE(73),
    [sym_inkscape_include] = STATE(73),
    [sym_verbatim_include] = STATE(73),
    [sym_import_include] = STATE(73),
    [sym_caption] = STATE(73),
    [sym_citation] = STATE(73),
    [sym_label_definition] = STATE(73),
    [sym_label_reference] = STATE(73),
    [sym_label_reference_range] = STATE(73),
    [sym_label_number] = STATE(73),
    [sym_new_command_definition] = STATE(73),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(73),
    [sym_let_command_definition] = STATE(73),
    [sym_paired_delimiter_definition] = STATE(73),
    [sym_environment_definition] = STATE(73),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(73),
    [sym_glossary_entry_reference] = STATE(73),
    [sym_acronym_definition] = STATE(73),
    [sym_acronym_reference] = STATE(73),
    [sym_theorem_definition] = STATE(73),
    [sym_color_definition] = STATE(73),
    [sym_color_set_definition] = STATE(73),
    [sym_color_reference] = STATE(73),
    [sym_tikz_library_import] = STATE(73),
    [sym_hyperlink] = STATE(73),
    [aux_sym_source_file_repeat1] = STATE(73),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1984),
    [anon_sym_RBRACK] = ACTIONS(1984),
    [anon_sym_COMMA] = ACTIONS(1984),
    [anon_sym_EQ] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(1984),
    [anon_sym_RPAREN] = ACTIONS(1984),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2036),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2038),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [104] = {
    [sym_block_comment] = STATE(78),
    [sym__root_content] = STATE(78),
    [sym__flat_content] = STATE(78),
    [sym__text_with_env_content] = STATE(78),
    [sym__text_content] = STATE(78),
    [sym__section] = STATE(78),
    [sym__paragraph] = STATE(78),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(78),
    [sym_text] = STATE(78),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(78),
    [sym_displayed_equation] = STATE(78),
    [sym_inline_formula] = STATE(78),
    [sym_math_delimiter] = STATE(78),
    [sym_text_mode] = STATE(78),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(78),
    [sym_comment_environment] = STATE(78),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(78),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(78),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(78),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(78),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(78),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(78),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(78),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(78),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(78),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(78),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(78),
    [sym_generic_command] = STATE(78),
    [sym_title_declaration] = STATE(78),
    [sym_author_declaration] = STATE(78),
    [sym_package_include] = STATE(78),
    [sym_class_include] = STATE(78),
    [sym_latex_include] = STATE(78),
    [sym_biblatex_include] = STATE(78),
    [sym_bibstyle_include] = STATE(78),
    [sym_bibtex_include] = STATE(78),
    [sym_graphics_include] = STATE(78),
    [sym_svg_include] = STATE(78),
    [sym_inkscape_include] = STATE(78),
    [sym_verbatim_include] = STATE(78),
    [sym_import_include] = STATE(78),
    [sym_caption] = STATE(78),
    [sym_citation] = STATE(78),
    [sym_label_definition] = STATE(78),
    [sym_label_reference] = STATE(78),
    [sym_label_reference_range] = STATE(78),
    [sym_label_number] = STATE(78),
    [sym_new_command_definition] = STATE(78),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(78),
    [sym_let_command_definition] = STATE(78),
    [sym_paired_delimiter_definition] = STATE(78),
    [sym_environment_definition] = STATE(78),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(78),
    [sym_glossary_entry_reference] = STATE(78),
    [sym_acronym_definition] = STATE(78),
    [sym_acronym_reference] = STATE(78),
    [sym_theorem_definition] = STATE(78),
    [sym_color_definition] = STATE(78),
    [sym_color_set_definition] = STATE(78),
    [sym_color_reference] = STATE(78),
    [sym_tikz_library_import] = STATE(78),
    [sym_hyperlink] = STATE(78),
    [aux_sym_source_file_repeat1] = STATE(78),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(1990),
    [anon_sym_RBRACK] = ACTIONS(1990),
    [anon_sym_COMMA] = ACTIONS(1990),
    [anon_sym_EQ] = ACTIONS(1990),
    [anon_sym_LPAREN] = ACTIONS(1990),
    [anon_sym_RPAREN] = ACTIONS(1990),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2040),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2042),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [105] = {
    [sym_block_comment] = STATE(108),
    [sym__root_content] = STATE(108),
    [sym__flat_content] = STATE(108),
    [sym__text_with_env_content] = STATE(108),
    [sym__text_content] = STATE(108),
    [sym__section] = STATE(108),
    [sym__paragraph] = STATE(108),
    [sym__part_declaration] = STATE(161),
    [sym_part] = STATE(509),
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(512),
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(515),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(516),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(519),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(108),
    [sym_text] = STATE(108),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(108),
    [sym_displayed_equation] = STATE(108),
    [sym_inline_formula] = STATE(108),
    [sym_math_delimiter] = STATE(108),
    [sym_text_mode] = STATE(108),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(108),
    [sym_comment_environment] = STATE(108),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(108),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(108),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(108),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(108),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(108),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(108),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(108),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(108),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(108),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(108),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(108),
    [sym_generic_command] = STATE(108),
    [sym_title_declaration] = STATE(108),
    [sym_author_declaration] = STATE(108),
    [sym_package_include] = STATE(108),
    [sym_class_include] = STATE(108),
    [sym_latex_include] = STATE(108),
    [sym_biblatex_include] = STATE(108),
    [sym_bibstyle_include] = STATE(108),
    [sym_bibtex_include] = STATE(108),
    [sym_graphics_include] = STATE(108),
    [sym_svg_include] = STATE(108),
    [sym_inkscape_include] = STATE(108),
    [sym_verbatim_include] = STATE(108),
    [sym_import_include] = STATE(108),
    [sym_caption] = STATE(108),
    [sym_citation] = STATE(108),
    [sym_label_definition] = STATE(108),
    [sym_label_reference] = STATE(108),
    [sym_label_reference_range] = STATE(108),
    [sym_label_number] = STATE(108),
    [sym_new_command_definition] = STATE(108),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(108),
    [sym_let_command_definition] = STATE(108),
    [sym_paired_delimiter_definition] = STATE(108),
    [sym_environment_definition] = STATE(108),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(108),
    [sym_glossary_entry_reference] = STATE(108),
    [sym_acronym_definition] = STATE(108),
    [sym_acronym_reference] = STATE(108),
    [sym_theorem_definition] = STATE(108),
    [sym_color_definition] = STATE(108),
    [sym_color_set_definition] = STATE(108),
    [sym_color_reference] = STATE(108),
    [sym_tikz_library_import] = STATE(108),
    [sym_hyperlink] = STATE(108),
    [aux_sym_source_file_repeat1] = STATE(108),
    [aux_sym__section_repeat1] = STATE(509),
    [aux_sym__section_repeat2] = STATE(512),
    [aux_sym__section_repeat3] = STATE(515),
    [aux_sym__section_repeat4] = STATE(516),
    [aux_sym__section_repeat5] = STATE(519),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_text_repeat1] = STATE(266),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(2044),
    [anon_sym_RBRACK] = ACTIONS(2044),
    [anon_sym_COMMA] = ACTIONS(2044),
    [anon_sym_EQ] = ACTIONS(2044),
    [anon_sym_LPAREN] = ACTIONS(2044),
    [anon_sym_RPAREN] = ACTIONS(2044),
    [anon_sym_BSLASHpart] = ACTIONS(13),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHaddpart] = ACTIONS(13),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2046),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [106] = {
    [sym_block_comment] = STATE(109),
    [sym__root_content] = STATE(109),
    [sym__flat_content] = STATE(109),
    [sym__text_with_env_content] = STATE(109),
    [sym__text_content] = STATE(109),
    [sym__section] = STATE(109),
    [sym__paragraph] = STATE(109),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(109),
    [sym_text] = STATE(109),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(109),
    [sym_displayed_equation] = STATE(109),
    [sym_inline_formula] = STATE(109),
    [sym_math_delimiter] = STATE(109),
    [sym_text_mode] = STATE(109),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(109),
    [sym_comment_environment] = STATE(109),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(109),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(109),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(109),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(109),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(109),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(109),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(109),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(109),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(109),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(109),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(109),
    [sym_generic_command] = STATE(109),
    [sym_title_declaration] = STATE(109),
    [sym_author_declaration] = STATE(109),
    [sym_package_include] = STATE(109),
    [sym_class_include] = STATE(109),
    [sym_latex_include] = STATE(109),
    [sym_biblatex_include] = STATE(109),
    [sym_bibstyle_include] = STATE(109),
    [sym_bibtex_include] = STATE(109),
    [sym_graphics_include] = STATE(109),
    [sym_svg_include] = STATE(109),
    [sym_inkscape_include] = STATE(109),
    [sym_verbatim_include] = STATE(109),
    [sym_import_include] = STATE(109),
    [sym_caption] = STATE(109),
    [sym_citation] = STATE(109),
    [sym_label_definition] = STATE(109),
    [sym_label_reference] = STATE(109),
    [sym_label_reference_range] = STATE(109),
    [sym_label_number] = STATE(109),
    [sym_new_command_definition] = STATE(109),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(109),
    [sym_let_command_definition] = STATE(109),
    [sym_paired_delimiter_definition] = STATE(109),
    [sym_environment_definition] = STATE(109),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(109),
    [sym_glossary_entry_reference] = STATE(109),
    [sym_acronym_definition] = STATE(109),
    [sym_acronym_reference] = STATE(109),
    [sym_theorem_definition] = STATE(109),
    [sym_color_definition] = STATE(109),
    [sym_color_set_definition] = STATE(109),
    [sym_color_reference] = STATE(109),
    [sym_tikz_library_import] = STATE(109),
    [sym_hyperlink] = STATE(109),
    [aux_sym_source_file_repeat1] = STATE(109),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(2048),
    [anon_sym_RBRACK] = ACTIONS(2048),
    [anon_sym_COMMA] = ACTIONS(2048),
    [anon_sym_EQ] = ACTIONS(2048),
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_RPAREN] = ACTIONS(2048),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2050),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2052),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [107] = {
    [sym_block_comment] = STATE(155),
    [sym__root_content] = STATE(155),
    [sym__flat_content] = STATE(155),
    [sym__text_with_env_content] = STATE(155),
    [sym__text_content] = STATE(155),
    [sym__section] = STATE(155),
    [sym__paragraph] = STATE(155),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(155),
    [sym_text] = STATE(155),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(155),
    [sym_displayed_equation] = STATE(155),
    [sym_inline_formula] = STATE(155),
    [sym_math_delimiter] = STATE(155),
    [sym_text_mode] = STATE(155),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(155),
    [sym_comment_environment] = STATE(155),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(155),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(155),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(155),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(155),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(155),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(155),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(155),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(155),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(155),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(155),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(155),
    [sym_generic_command] = STATE(155),
    [sym_title_declaration] = STATE(155),
    [sym_author_declaration] = STATE(155),
    [sym_package_include] = STATE(155),
    [sym_class_include] = STATE(155),
    [sym_latex_include] = STATE(155),
    [sym_biblatex_include] = STATE(155),
    [sym_bibstyle_include] = STATE(155),
    [sym_bibtex_include] = STATE(155),
    [sym_graphics_include] = STATE(155),
    [sym_svg_include] = STATE(155),
    [sym_inkscape_include] = STATE(155),
    [sym_verbatim_include] = STATE(155),
    [sym_import_include] = STATE(155),
    [sym_caption] = STATE(155),
    [sym_citation] = STATE(155),
    [sym_label_definition] = STATE(155),
    [sym_label_reference] = STATE(155),
    [sym_label_reference_range] = STATE(155),
    [sym_label_number] = STATE(155),
    [sym_new_command_definition] = STATE(155),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(155),
    [sym_let_command_definition] = STATE(155),
    [sym_paired_delimiter_definition] = STATE(155),
    [sym_environment_definition] = STATE(155),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(155),
    [sym_glossary_entry_reference] = STATE(155),
    [sym_acronym_definition] = STATE(155),
    [sym_acronym_reference] = STATE(155),
    [sym_theorem_definition] = STATE(155),
    [sym_color_definition] = STATE(155),
    [sym_color_set_definition] = STATE(155),
    [sym_color_reference] = STATE(155),
    [sym_tikz_library_import] = STATE(155),
    [sym_hyperlink] = STATE(155),
    [aux_sym_source_file_repeat1] = STATE(155),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(2054),
    [anon_sym_RBRACK] = ACTIONS(2054),
    [anon_sym_COMMA] = ACTIONS(2054),
    [anon_sym_EQ] = ACTIONS(2054),
    [anon_sym_LPAREN] = ACTIONS(2054),
    [anon_sym_RPAREN] = ACTIONS(2054),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2056),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2058),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [108] = {
    [sym_block_comment] = STATE(64),
    [sym__root_content] = STATE(64),
    [sym__flat_content] = STATE(64),
    [sym__text_with_env_content] = STATE(64),
    [sym__text_content] = STATE(64),
    [sym__section] = STATE(64),
    [sym__paragraph] = STATE(64),
    [sym__part_declaration] = STATE(161),
    [sym_part] = STATE(509),
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(512),
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(515),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(516),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(519),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(64),
    [sym_text] = STATE(64),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(64),
    [sym_displayed_equation] = STATE(64),
    [sym_inline_formula] = STATE(64),
    [sym_math_delimiter] = STATE(64),
    [sym_text_mode] = STATE(64),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(64),
    [sym_comment_environment] = STATE(64),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(64),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(64),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(64),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(64),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(64),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(64),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(64),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(64),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(64),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(64),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(64),
    [sym_generic_command] = STATE(64),
    [sym_title_declaration] = STATE(64),
    [sym_author_declaration] = STATE(64),
    [sym_package_include] = STATE(64),
    [sym_class_include] = STATE(64),
    [sym_latex_include] = STATE(64),
    [sym_biblatex_include] = STATE(64),
    [sym_bibstyle_include] = STATE(64),
    [sym_bibtex_include] = STATE(64),
    [sym_graphics_include] = STATE(64),
    [sym_svg_include] = STATE(64),
    [sym_inkscape_include] = STATE(64),
    [sym_verbatim_include] = STATE(64),
    [sym_import_include] = STATE(64),
    [sym_caption] = STATE(64),
    [sym_citation] = STATE(64),
    [sym_label_definition] = STATE(64),
    [sym_label_reference] = STATE(64),
    [sym_label_reference_range] = STATE(64),
    [sym_label_number] = STATE(64),
    [sym_new_command_definition] = STATE(64),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(64),
    [sym_let_command_definition] = STATE(64),
    [sym_paired_delimiter_definition] = STATE(64),
    [sym_environment_definition] = STATE(64),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(64),
    [sym_glossary_entry_reference] = STATE(64),
    [sym_acronym_definition] = STATE(64),
    [sym_acronym_reference] = STATE(64),
    [sym_theorem_definition] = STATE(64),
    [sym_color_definition] = STATE(64),
    [sym_color_set_definition] = STATE(64),
    [sym_color_reference] = STATE(64),
    [sym_tikz_library_import] = STATE(64),
    [sym_hyperlink] = STATE(64),
    [aux_sym_source_file_repeat1] = STATE(64),
    [aux_sym__section_repeat1] = STATE(509),
    [aux_sym__section_repeat2] = STATE(512),
    [aux_sym__section_repeat3] = STATE(515),
    [aux_sym__section_repeat4] = STATE(516),
    [aux_sym__section_repeat5] = STATE(519),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_text_repeat1] = STATE(266),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(1416),
    [anon_sym_RBRACK] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1416),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_RPAREN] = ACTIONS(1416),
    [anon_sym_BSLASHpart] = ACTIONS(13),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHaddpart] = ACTIONS(13),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2060),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [109] = {
    [sym_block_comment] = STATE(73),
    [sym__root_content] = STATE(73),
    [sym__flat_content] = STATE(73),
    [sym__text_with_env_content] = STATE(73),
    [sym__text_content] = STATE(73),
    [sym__section] = STATE(73),
    [sym__paragraph] = STATE(73),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(73),
    [sym_text] = STATE(73),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(73),
    [sym_displayed_equation] = STATE(73),
    [sym_inline_formula] = STATE(73),
    [sym_math_delimiter] = STATE(73),
    [sym_text_mode] = STATE(73),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(73),
    [sym_comment_environment] = STATE(73),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(73),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(73),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(73),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(73),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(73),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(73),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(73),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(73),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(73),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(73),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(73),
    [sym_generic_command] = STATE(73),
    [sym_title_declaration] = STATE(73),
    [sym_author_declaration] = STATE(73),
    [sym_package_include] = STATE(73),
    [sym_class_include] = STATE(73),
    [sym_latex_include] = STATE(73),
    [sym_biblatex_include] = STATE(73),
    [sym_bibstyle_include] = STATE(73),
    [sym_bibtex_include] = STATE(73),
    [sym_graphics_include] = STATE(73),
    [sym_svg_include] = STATE(73),
    [sym_inkscape_include] = STATE(73),
    [sym_verbatim_include] = STATE(73),
    [sym_import_include] = STATE(73),
    [sym_caption] = STATE(73),
    [sym_citation] = STATE(73),
    [sym_label_definition] = STATE(73),
    [sym_label_reference] = STATE(73),
    [sym_label_reference_range] = STATE(73),
    [sym_label_number] = STATE(73),
    [sym_new_command_definition] = STATE(73),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(73),
    [sym_let_command_definition] = STATE(73),
    [sym_paired_delimiter_definition] = STATE(73),
    [sym_environment_definition] = STATE(73),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(73),
    [sym_glossary_entry_reference] = STATE(73),
    [sym_acronym_definition] = STATE(73),
    [sym_acronym_reference] = STATE(73),
    [sym_theorem_definition] = STATE(73),
    [sym_color_definition] = STATE(73),
    [sym_color_set_definition] = STATE(73),
    [sym_color_reference] = STATE(73),
    [sym_tikz_library_import] = STATE(73),
    [sym_hyperlink] = STATE(73),
    [aux_sym_source_file_repeat1] = STATE(73),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1984),
    [anon_sym_RBRACK] = ACTIONS(1984),
    [anon_sym_COMMA] = ACTIONS(1984),
    [anon_sym_EQ] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(1984),
    [anon_sym_RPAREN] = ACTIONS(1984),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2062),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2064),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [110] = {
    [sym_block_comment] = STATE(113),
    [sym__root_content] = STATE(113),
    [sym__flat_content] = STATE(113),
    [sym__text_with_env_content] = STATE(113),
    [sym__text_content] = STATE(113),
    [sym__section] = STATE(113),
    [sym__paragraph] = STATE(113),
    [sym__part_declaration] = STATE(161),
    [sym_part] = STATE(509),
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(512),
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(515),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(516),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(519),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(113),
    [sym_text] = STATE(113),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(113),
    [sym_displayed_equation] = STATE(113),
    [sym_inline_formula] = STATE(113),
    [sym_math_delimiter] = STATE(113),
    [sym_text_mode] = STATE(113),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(113),
    [sym_comment_environment] = STATE(113),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(113),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(113),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(113),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(113),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(113),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(113),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(113),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(113),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(113),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(113),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(113),
    [sym_generic_command] = STATE(113),
    [sym_title_declaration] = STATE(113),
    [sym_author_declaration] = STATE(113),
    [sym_package_include] = STATE(113),
    [sym_class_include] = STATE(113),
    [sym_latex_include] = STATE(113),
    [sym_biblatex_include] = STATE(113),
    [sym_bibstyle_include] = STATE(113),
    [sym_bibtex_include] = STATE(113),
    [sym_graphics_include] = STATE(113),
    [sym_svg_include] = STATE(113),
    [sym_inkscape_include] = STATE(113),
    [sym_verbatim_include] = STATE(113),
    [sym_import_include] = STATE(113),
    [sym_caption] = STATE(113),
    [sym_citation] = STATE(113),
    [sym_label_definition] = STATE(113),
    [sym_label_reference] = STATE(113),
    [sym_label_reference_range] = STATE(113),
    [sym_label_number] = STATE(113),
    [sym_new_command_definition] = STATE(113),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(113),
    [sym_let_command_definition] = STATE(113),
    [sym_paired_delimiter_definition] = STATE(113),
    [sym_environment_definition] = STATE(113),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(113),
    [sym_glossary_entry_reference] = STATE(113),
    [sym_acronym_definition] = STATE(113),
    [sym_acronym_reference] = STATE(113),
    [sym_theorem_definition] = STATE(113),
    [sym_color_definition] = STATE(113),
    [sym_color_set_definition] = STATE(113),
    [sym_color_reference] = STATE(113),
    [sym_tikz_library_import] = STATE(113),
    [sym_hyperlink] = STATE(113),
    [aux_sym_source_file_repeat1] = STATE(113),
    [aux_sym__section_repeat1] = STATE(509),
    [aux_sym__section_repeat2] = STATE(512),
    [aux_sym__section_repeat3] = STATE(515),
    [aux_sym__section_repeat4] = STATE(516),
    [aux_sym__section_repeat5] = STATE(519),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_text_repeat1] = STATE(266),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(2066),
    [anon_sym_RBRACK] = ACTIONS(2066),
    [anon_sym_COMMA] = ACTIONS(2066),
    [anon_sym_EQ] = ACTIONS(2066),
    [anon_sym_LPAREN] = ACTIONS(2066),
    [anon_sym_RPAREN] = ACTIONS(2066),
    [anon_sym_BSLASHpart] = ACTIONS(13),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHaddpart] = ACTIONS(13),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2068),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [111] = {
    [sym_block_comment] = STATE(114),
    [sym__root_content] = STATE(114),
    [sym__flat_content] = STATE(114),
    [sym__text_with_env_content] = STATE(114),
    [sym__text_content] = STATE(114),
    [sym__section] = STATE(114),
    [sym__paragraph] = STATE(114),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(114),
    [sym_text] = STATE(114),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(114),
    [sym_displayed_equation] = STATE(114),
    [sym_inline_formula] = STATE(114),
    [sym_math_delimiter] = STATE(114),
    [sym_text_mode] = STATE(114),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(114),
    [sym_comment_environment] = STATE(114),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(114),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(114),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(114),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(114),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(114),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(114),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(114),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(114),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(114),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(114),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(114),
    [sym_generic_command] = STATE(114),
    [sym_title_declaration] = STATE(114),
    [sym_author_declaration] = STATE(114),
    [sym_package_include] = STATE(114),
    [sym_class_include] = STATE(114),
    [sym_latex_include] = STATE(114),
    [sym_biblatex_include] = STATE(114),
    [sym_bibstyle_include] = STATE(114),
    [sym_bibtex_include] = STATE(114),
    [sym_graphics_include] = STATE(114),
    [sym_svg_include] = STATE(114),
    [sym_inkscape_include] = STATE(114),
    [sym_verbatim_include] = STATE(114),
    [sym_import_include] = STATE(114),
    [sym_caption] = STATE(114),
    [sym_citation] = STATE(114),
    [sym_label_definition] = STATE(114),
    [sym_label_reference] = STATE(114),
    [sym_label_reference_range] = STATE(114),
    [sym_label_number] = STATE(114),
    [sym_new_command_definition] = STATE(114),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(114),
    [sym_let_command_definition] = STATE(114),
    [sym_paired_delimiter_definition] = STATE(114),
    [sym_environment_definition] = STATE(114),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(114),
    [sym_glossary_entry_reference] = STATE(114),
    [sym_acronym_definition] = STATE(114),
    [sym_acronym_reference] = STATE(114),
    [sym_theorem_definition] = STATE(114),
    [sym_color_definition] = STATE(114),
    [sym_color_set_definition] = STATE(114),
    [sym_color_reference] = STATE(114),
    [sym_tikz_library_import] = STATE(114),
    [sym_hyperlink] = STATE(114),
    [aux_sym_source_file_repeat1] = STATE(114),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(2070),
    [anon_sym_RBRACK] = ACTIONS(2070),
    [anon_sym_COMMA] = ACTIONS(2070),
    [anon_sym_EQ] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(2070),
    [anon_sym_RPAREN] = ACTIONS(2070),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2072),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2074),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [112] = {
    [sym_block_comment] = STATE(115),
    [sym__root_content] = STATE(115),
    [sym__flat_content] = STATE(115),
    [sym__text_with_env_content] = STATE(115),
    [sym__text_content] = STATE(115),
    [sym__section] = STATE(115),
    [sym__paragraph] = STATE(115),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(115),
    [sym_text] = STATE(115),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(115),
    [sym_displayed_equation] = STATE(115),
    [sym_inline_formula] = STATE(115),
    [sym_math_delimiter] = STATE(115),
    [sym_text_mode] = STATE(115),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(115),
    [sym_comment_environment] = STATE(115),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(115),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(115),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(115),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(115),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(115),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(115),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(115),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(115),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(115),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(115),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(115),
    [sym_generic_command] = STATE(115),
    [sym_title_declaration] = STATE(115),
    [sym_author_declaration] = STATE(115),
    [sym_package_include] = STATE(115),
    [sym_class_include] = STATE(115),
    [sym_latex_include] = STATE(115),
    [sym_biblatex_include] = STATE(115),
    [sym_bibstyle_include] = STATE(115),
    [sym_bibtex_include] = STATE(115),
    [sym_graphics_include] = STATE(115),
    [sym_svg_include] = STATE(115),
    [sym_inkscape_include] = STATE(115),
    [sym_verbatim_include] = STATE(115),
    [sym_import_include] = STATE(115),
    [sym_caption] = STATE(115),
    [sym_citation] = STATE(115),
    [sym_label_definition] = STATE(115),
    [sym_label_reference] = STATE(115),
    [sym_label_reference_range] = STATE(115),
    [sym_label_number] = STATE(115),
    [sym_new_command_definition] = STATE(115),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(115),
    [sym_let_command_definition] = STATE(115),
    [sym_paired_delimiter_definition] = STATE(115),
    [sym_environment_definition] = STATE(115),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(115),
    [sym_glossary_entry_reference] = STATE(115),
    [sym_acronym_definition] = STATE(115),
    [sym_acronym_reference] = STATE(115),
    [sym_theorem_definition] = STATE(115),
    [sym_color_definition] = STATE(115),
    [sym_color_set_definition] = STATE(115),
    [sym_color_reference] = STATE(115),
    [sym_tikz_library_import] = STATE(115),
    [sym_hyperlink] = STATE(115),
    [aux_sym_source_file_repeat1] = STATE(115),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(2076),
    [anon_sym_RBRACK] = ACTIONS(2076),
    [anon_sym_COMMA] = ACTIONS(2076),
    [anon_sym_EQ] = ACTIONS(2076),
    [anon_sym_LPAREN] = ACTIONS(2076),
    [anon_sym_RPAREN] = ACTIONS(2076),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2078),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2080),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [113] = {
    [sym_block_comment] = STATE(64),
    [sym__root_content] = STATE(64),
    [sym__flat_content] = STATE(64),
    [sym__text_with_env_content] = STATE(64),
    [sym__text_content] = STATE(64),
    [sym__section] = STATE(64),
    [sym__paragraph] = STATE(64),
    [sym__part_declaration] = STATE(161),
    [sym_part] = STATE(509),
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(512),
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(515),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(516),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(519),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(64),
    [sym_text] = STATE(64),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(64),
    [sym_displayed_equation] = STATE(64),
    [sym_inline_formula] = STATE(64),
    [sym_math_delimiter] = STATE(64),
    [sym_text_mode] = STATE(64),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(64),
    [sym_comment_environment] = STATE(64),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(64),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(64),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(64),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(64),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(64),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(64),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(64),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(64),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(64),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(64),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(64),
    [sym_generic_command] = STATE(64),
    [sym_title_declaration] = STATE(64),
    [sym_author_declaration] = STATE(64),
    [sym_package_include] = STATE(64),
    [sym_class_include] = STATE(64),
    [sym_latex_include] = STATE(64),
    [sym_biblatex_include] = STATE(64),
    [sym_bibstyle_include] = STATE(64),
    [sym_bibtex_include] = STATE(64),
    [sym_graphics_include] = STATE(64),
    [sym_svg_include] = STATE(64),
    [sym_inkscape_include] = STATE(64),
    [sym_verbatim_include] = STATE(64),
    [sym_import_include] = STATE(64),
    [sym_caption] = STATE(64),
    [sym_citation] = STATE(64),
    [sym_label_definition] = STATE(64),
    [sym_label_reference] = STATE(64),
    [sym_label_reference_range] = STATE(64),
    [sym_label_number] = STATE(64),
    [sym_new_command_definition] = STATE(64),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(64),
    [sym_let_command_definition] = STATE(64),
    [sym_paired_delimiter_definition] = STATE(64),
    [sym_environment_definition] = STATE(64),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(64),
    [sym_glossary_entry_reference] = STATE(64),
    [sym_acronym_definition] = STATE(64),
    [sym_acronym_reference] = STATE(64),
    [sym_theorem_definition] = STATE(64),
    [sym_color_definition] = STATE(64),
    [sym_color_set_definition] = STATE(64),
    [sym_color_reference] = STATE(64),
    [sym_tikz_library_import] = STATE(64),
    [sym_hyperlink] = STATE(64),
    [aux_sym_source_file_repeat1] = STATE(64),
    [aux_sym__section_repeat1] = STATE(509),
    [aux_sym__section_repeat2] = STATE(512),
    [aux_sym__section_repeat3] = STATE(515),
    [aux_sym__section_repeat4] = STATE(516),
    [aux_sym__section_repeat5] = STATE(519),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_text_repeat1] = STATE(266),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(1416),
    [anon_sym_RBRACK] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1416),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_RPAREN] = ACTIONS(1416),
    [anon_sym_BSLASHpart] = ACTIONS(13),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHaddpart] = ACTIONS(13),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2082),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [114] = {
    [sym_block_comment] = STATE(73),
    [sym__root_content] = STATE(73),
    [sym__flat_content] = STATE(73),
    [sym__text_with_env_content] = STATE(73),
    [sym__text_content] = STATE(73),
    [sym__section] = STATE(73),
    [sym__paragraph] = STATE(73),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(73),
    [sym_text] = STATE(73),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(73),
    [sym_displayed_equation] = STATE(73),
    [sym_inline_formula] = STATE(73),
    [sym_math_delimiter] = STATE(73),
    [sym_text_mode] = STATE(73),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(73),
    [sym_comment_environment] = STATE(73),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(73),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(73),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(73),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(73),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(73),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(73),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(73),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(73),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(73),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(73),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(73),
    [sym_generic_command] = STATE(73),
    [sym_title_declaration] = STATE(73),
    [sym_author_declaration] = STATE(73),
    [sym_package_include] = STATE(73),
    [sym_class_include] = STATE(73),
    [sym_latex_include] = STATE(73),
    [sym_biblatex_include] = STATE(73),
    [sym_bibstyle_include] = STATE(73),
    [sym_bibtex_include] = STATE(73),
    [sym_graphics_include] = STATE(73),
    [sym_svg_include] = STATE(73),
    [sym_inkscape_include] = STATE(73),
    [sym_verbatim_include] = STATE(73),
    [sym_import_include] = STATE(73),
    [sym_caption] = STATE(73),
    [sym_citation] = STATE(73),
    [sym_label_definition] = STATE(73),
    [sym_label_reference] = STATE(73),
    [sym_label_reference_range] = STATE(73),
    [sym_label_number] = STATE(73),
    [sym_new_command_definition] = STATE(73),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(73),
    [sym_let_command_definition] = STATE(73),
    [sym_paired_delimiter_definition] = STATE(73),
    [sym_environment_definition] = STATE(73),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(73),
    [sym_glossary_entry_reference] = STATE(73),
    [sym_acronym_definition] = STATE(73),
    [sym_acronym_reference] = STATE(73),
    [sym_theorem_definition] = STATE(73),
    [sym_color_definition] = STATE(73),
    [sym_color_set_definition] = STATE(73),
    [sym_color_reference] = STATE(73),
    [sym_tikz_library_import] = STATE(73),
    [sym_hyperlink] = STATE(73),
    [aux_sym_source_file_repeat1] = STATE(73),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1984),
    [anon_sym_RBRACK] = ACTIONS(1984),
    [anon_sym_COMMA] = ACTIONS(1984),
    [anon_sym_EQ] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(1984),
    [anon_sym_RPAREN] = ACTIONS(1984),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2084),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2086),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [115] = {
    [sym_block_comment] = STATE(78),
    [sym__root_content] = STATE(78),
    [sym__flat_content] = STATE(78),
    [sym__text_with_env_content] = STATE(78),
    [sym__text_content] = STATE(78),
    [sym__section] = STATE(78),
    [sym__paragraph] = STATE(78),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(78),
    [sym_text] = STATE(78),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(78),
    [sym_displayed_equation] = STATE(78),
    [sym_inline_formula] = STATE(78),
    [sym_math_delimiter] = STATE(78),
    [sym_text_mode] = STATE(78),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(78),
    [sym_comment_environment] = STATE(78),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(78),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(78),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(78),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(78),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(78),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(78),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(78),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(78),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(78),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(78),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(78),
    [sym_generic_command] = STATE(78),
    [sym_title_declaration] = STATE(78),
    [sym_author_declaration] = STATE(78),
    [sym_package_include] = STATE(78),
    [sym_class_include] = STATE(78),
    [sym_latex_include] = STATE(78),
    [sym_biblatex_include] = STATE(78),
    [sym_bibstyle_include] = STATE(78),
    [sym_bibtex_include] = STATE(78),
    [sym_graphics_include] = STATE(78),
    [sym_svg_include] = STATE(78),
    [sym_inkscape_include] = STATE(78),
    [sym_verbatim_include] = STATE(78),
    [sym_import_include] = STATE(78),
    [sym_caption] = STATE(78),
    [sym_citation] = STATE(78),
    [sym_label_definition] = STATE(78),
    [sym_label_reference] = STATE(78),
    [sym_label_reference_range] = STATE(78),
    [sym_label_number] = STATE(78),
    [sym_new_command_definition] = STATE(78),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(78),
    [sym_let_command_definition] = STATE(78),
    [sym_paired_delimiter_definition] = STATE(78),
    [sym_environment_definition] = STATE(78),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(78),
    [sym_glossary_entry_reference] = STATE(78),
    [sym_acronym_definition] = STATE(78),
    [sym_acronym_reference] = STATE(78),
    [sym_theorem_definition] = STATE(78),
    [sym_color_definition] = STATE(78),
    [sym_color_set_definition] = STATE(78),
    [sym_color_reference] = STATE(78),
    [sym_tikz_library_import] = STATE(78),
    [sym_hyperlink] = STATE(78),
    [aux_sym_source_file_repeat1] = STATE(78),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(1990),
    [anon_sym_RBRACK] = ACTIONS(1990),
    [anon_sym_COMMA] = ACTIONS(1990),
    [anon_sym_EQ] = ACTIONS(1990),
    [anon_sym_LPAREN] = ACTIONS(1990),
    [anon_sym_RPAREN] = ACTIONS(1990),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2090),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [116] = {
    [sym_block_comment] = STATE(119),
    [sym__root_content] = STATE(119),
    [sym__flat_content] = STATE(119),
    [sym__text_with_env_content] = STATE(119),
    [sym__text_content] = STATE(119),
    [sym__section] = STATE(119),
    [sym__paragraph] = STATE(119),
    [sym__part_declaration] = STATE(161),
    [sym_part] = STATE(509),
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(512),
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(515),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(516),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(519),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(119),
    [sym_text] = STATE(119),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(119),
    [sym_displayed_equation] = STATE(119),
    [sym_inline_formula] = STATE(119),
    [sym_math_delimiter] = STATE(119),
    [sym_text_mode] = STATE(119),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(119),
    [sym_comment_environment] = STATE(119),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(119),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(119),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(119),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(119),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(119),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(119),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(119),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(119),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(119),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(119),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(119),
    [sym_generic_command] = STATE(119),
    [sym_title_declaration] = STATE(119),
    [sym_author_declaration] = STATE(119),
    [sym_package_include] = STATE(119),
    [sym_class_include] = STATE(119),
    [sym_latex_include] = STATE(119),
    [sym_biblatex_include] = STATE(119),
    [sym_bibstyle_include] = STATE(119),
    [sym_bibtex_include] = STATE(119),
    [sym_graphics_include] = STATE(119),
    [sym_svg_include] = STATE(119),
    [sym_inkscape_include] = STATE(119),
    [sym_verbatim_include] = STATE(119),
    [sym_import_include] = STATE(119),
    [sym_caption] = STATE(119),
    [sym_citation] = STATE(119),
    [sym_label_definition] = STATE(119),
    [sym_label_reference] = STATE(119),
    [sym_label_reference_range] = STATE(119),
    [sym_label_number] = STATE(119),
    [sym_new_command_definition] = STATE(119),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(119),
    [sym_let_command_definition] = STATE(119),
    [sym_paired_delimiter_definition] = STATE(119),
    [sym_environment_definition] = STATE(119),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(119),
    [sym_glossary_entry_reference] = STATE(119),
    [sym_acronym_definition] = STATE(119),
    [sym_acronym_reference] = STATE(119),
    [sym_theorem_definition] = STATE(119),
    [sym_color_definition] = STATE(119),
    [sym_color_set_definition] = STATE(119),
    [sym_color_reference] = STATE(119),
    [sym_tikz_library_import] = STATE(119),
    [sym_hyperlink] = STATE(119),
    [aux_sym_source_file_repeat1] = STATE(119),
    [aux_sym__section_repeat1] = STATE(509),
    [aux_sym__section_repeat2] = STATE(512),
    [aux_sym__section_repeat3] = STATE(515),
    [aux_sym__section_repeat4] = STATE(516),
    [aux_sym__section_repeat5] = STATE(519),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_text_repeat1] = STATE(266),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_RBRACK] = ACTIONS(2092),
    [anon_sym_COMMA] = ACTIONS(2092),
    [anon_sym_EQ] = ACTIONS(2092),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_RPAREN] = ACTIONS(2092),
    [anon_sym_BSLASHpart] = ACTIONS(13),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHaddpart] = ACTIONS(13),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2094),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [117] = {
    [sym_block_comment] = STATE(120),
    [sym__root_content] = STATE(120),
    [sym__flat_content] = STATE(120),
    [sym__text_with_env_content] = STATE(120),
    [sym__text_content] = STATE(120),
    [sym__section] = STATE(120),
    [sym__paragraph] = STATE(120),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(120),
    [sym_text] = STATE(120),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(120),
    [sym_displayed_equation] = STATE(120),
    [sym_inline_formula] = STATE(120),
    [sym_math_delimiter] = STATE(120),
    [sym_text_mode] = STATE(120),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(120),
    [sym_comment_environment] = STATE(120),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(120),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(120),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(120),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(120),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(120),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(120),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(120),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(120),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(120),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(120),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(120),
    [sym_generic_command] = STATE(120),
    [sym_title_declaration] = STATE(120),
    [sym_author_declaration] = STATE(120),
    [sym_package_include] = STATE(120),
    [sym_class_include] = STATE(120),
    [sym_latex_include] = STATE(120),
    [sym_biblatex_include] = STATE(120),
    [sym_bibstyle_include] = STATE(120),
    [sym_bibtex_include] = STATE(120),
    [sym_graphics_include] = STATE(120),
    [sym_svg_include] = STATE(120),
    [sym_inkscape_include] = STATE(120),
    [sym_verbatim_include] = STATE(120),
    [sym_import_include] = STATE(120),
    [sym_caption] = STATE(120),
    [sym_citation] = STATE(120),
    [sym_label_definition] = STATE(120),
    [sym_label_reference] = STATE(120),
    [sym_label_reference_range] = STATE(120),
    [sym_label_number] = STATE(120),
    [sym_new_command_definition] = STATE(120),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(120),
    [sym_let_command_definition] = STATE(120),
    [sym_paired_delimiter_definition] = STATE(120),
    [sym_environment_definition] = STATE(120),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(120),
    [sym_glossary_entry_reference] = STATE(120),
    [sym_acronym_definition] = STATE(120),
    [sym_acronym_reference] = STATE(120),
    [sym_theorem_definition] = STATE(120),
    [sym_color_definition] = STATE(120),
    [sym_color_set_definition] = STATE(120),
    [sym_color_reference] = STATE(120),
    [sym_tikz_library_import] = STATE(120),
    [sym_hyperlink] = STATE(120),
    [aux_sym_source_file_repeat1] = STATE(120),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(2096),
    [anon_sym_RBRACK] = ACTIONS(2096),
    [anon_sym_COMMA] = ACTIONS(2096),
    [anon_sym_EQ] = ACTIONS(2096),
    [anon_sym_LPAREN] = ACTIONS(2096),
    [anon_sym_RPAREN] = ACTIONS(2096),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2098),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2100),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [118] = {
    [sym_block_comment] = STATE(121),
    [sym__root_content] = STATE(121),
    [sym__flat_content] = STATE(121),
    [sym__text_with_env_content] = STATE(121),
    [sym__text_content] = STATE(121),
    [sym__section] = STATE(121),
    [sym__paragraph] = STATE(121),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(121),
    [sym_text] = STATE(121),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(121),
    [sym_displayed_equation] = STATE(121),
    [sym_inline_formula] = STATE(121),
    [sym_math_delimiter] = STATE(121),
    [sym_text_mode] = STATE(121),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(121),
    [sym_comment_environment] = STATE(121),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(121),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(121),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(121),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(121),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(121),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(121),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(121),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(121),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(121),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(121),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(121),
    [sym_generic_command] = STATE(121),
    [sym_title_declaration] = STATE(121),
    [sym_author_declaration] = STATE(121),
    [sym_package_include] = STATE(121),
    [sym_class_include] = STATE(121),
    [sym_latex_include] = STATE(121),
    [sym_biblatex_include] = STATE(121),
    [sym_bibstyle_include] = STATE(121),
    [sym_bibtex_include] = STATE(121),
    [sym_graphics_include] = STATE(121),
    [sym_svg_include] = STATE(121),
    [sym_inkscape_include] = STATE(121),
    [sym_verbatim_include] = STATE(121),
    [sym_import_include] = STATE(121),
    [sym_caption] = STATE(121),
    [sym_citation] = STATE(121),
    [sym_label_definition] = STATE(121),
    [sym_label_reference] = STATE(121),
    [sym_label_reference_range] = STATE(121),
    [sym_label_number] = STATE(121),
    [sym_new_command_definition] = STATE(121),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(121),
    [sym_let_command_definition] = STATE(121),
    [sym_paired_delimiter_definition] = STATE(121),
    [sym_environment_definition] = STATE(121),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(121),
    [sym_glossary_entry_reference] = STATE(121),
    [sym_acronym_definition] = STATE(121),
    [sym_acronym_reference] = STATE(121),
    [sym_theorem_definition] = STATE(121),
    [sym_color_definition] = STATE(121),
    [sym_color_set_definition] = STATE(121),
    [sym_color_reference] = STATE(121),
    [sym_tikz_library_import] = STATE(121),
    [sym_hyperlink] = STATE(121),
    [aux_sym_source_file_repeat1] = STATE(121),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(2102),
    [anon_sym_RBRACK] = ACTIONS(2102),
    [anon_sym_COMMA] = ACTIONS(2102),
    [anon_sym_EQ] = ACTIONS(2102),
    [anon_sym_LPAREN] = ACTIONS(2102),
    [anon_sym_RPAREN] = ACTIONS(2102),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2104),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2106),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [119] = {
    [sym_block_comment] = STATE(64),
    [sym__root_content] = STATE(64),
    [sym__flat_content] = STATE(64),
    [sym__text_with_env_content] = STATE(64),
    [sym__text_content] = STATE(64),
    [sym__section] = STATE(64),
    [sym__paragraph] = STATE(64),
    [sym__part_declaration] = STATE(161),
    [sym_part] = STATE(509),
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(512),
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(515),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(516),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(519),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(64),
    [sym_text] = STATE(64),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(64),
    [sym_displayed_equation] = STATE(64),
    [sym_inline_formula] = STATE(64),
    [sym_math_delimiter] = STATE(64),
    [sym_text_mode] = STATE(64),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(64),
    [sym_comment_environment] = STATE(64),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(64),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(64),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(64),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(64),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(64),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(64),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(64),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(64),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(64),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(64),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(64),
    [sym_generic_command] = STATE(64),
    [sym_title_declaration] = STATE(64),
    [sym_author_declaration] = STATE(64),
    [sym_package_include] = STATE(64),
    [sym_class_include] = STATE(64),
    [sym_latex_include] = STATE(64),
    [sym_biblatex_include] = STATE(64),
    [sym_bibstyle_include] = STATE(64),
    [sym_bibtex_include] = STATE(64),
    [sym_graphics_include] = STATE(64),
    [sym_svg_include] = STATE(64),
    [sym_inkscape_include] = STATE(64),
    [sym_verbatim_include] = STATE(64),
    [sym_import_include] = STATE(64),
    [sym_caption] = STATE(64),
    [sym_citation] = STATE(64),
    [sym_label_definition] = STATE(64),
    [sym_label_reference] = STATE(64),
    [sym_label_reference_range] = STATE(64),
    [sym_label_number] = STATE(64),
    [sym_new_command_definition] = STATE(64),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(64),
    [sym_let_command_definition] = STATE(64),
    [sym_paired_delimiter_definition] = STATE(64),
    [sym_environment_definition] = STATE(64),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(64),
    [sym_glossary_entry_reference] = STATE(64),
    [sym_acronym_definition] = STATE(64),
    [sym_acronym_reference] = STATE(64),
    [sym_theorem_definition] = STATE(64),
    [sym_color_definition] = STATE(64),
    [sym_color_set_definition] = STATE(64),
    [sym_color_reference] = STATE(64),
    [sym_tikz_library_import] = STATE(64),
    [sym_hyperlink] = STATE(64),
    [aux_sym_source_file_repeat1] = STATE(64),
    [aux_sym__section_repeat1] = STATE(509),
    [aux_sym__section_repeat2] = STATE(512),
    [aux_sym__section_repeat3] = STATE(515),
    [aux_sym__section_repeat4] = STATE(516),
    [aux_sym__section_repeat5] = STATE(519),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_text_repeat1] = STATE(266),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(1416),
    [anon_sym_RBRACK] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1416),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_RPAREN] = ACTIONS(1416),
    [anon_sym_BSLASHpart] = ACTIONS(13),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHaddpart] = ACTIONS(13),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2108),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [120] = {
    [sym_block_comment] = STATE(73),
    [sym__root_content] = STATE(73),
    [sym__flat_content] = STATE(73),
    [sym__text_with_env_content] = STATE(73),
    [sym__text_content] = STATE(73),
    [sym__section] = STATE(73),
    [sym__paragraph] = STATE(73),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(73),
    [sym_text] = STATE(73),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(73),
    [sym_displayed_equation] = STATE(73),
    [sym_inline_formula] = STATE(73),
    [sym_math_delimiter] = STATE(73),
    [sym_text_mode] = STATE(73),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(73),
    [sym_comment_environment] = STATE(73),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(73),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(73),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(73),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(73),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(73),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(73),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(73),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(73),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(73),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(73),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(73),
    [sym_generic_command] = STATE(73),
    [sym_title_declaration] = STATE(73),
    [sym_author_declaration] = STATE(73),
    [sym_package_include] = STATE(73),
    [sym_class_include] = STATE(73),
    [sym_latex_include] = STATE(73),
    [sym_biblatex_include] = STATE(73),
    [sym_bibstyle_include] = STATE(73),
    [sym_bibtex_include] = STATE(73),
    [sym_graphics_include] = STATE(73),
    [sym_svg_include] = STATE(73),
    [sym_inkscape_include] = STATE(73),
    [sym_verbatim_include] = STATE(73),
    [sym_import_include] = STATE(73),
    [sym_caption] = STATE(73),
    [sym_citation] = STATE(73),
    [sym_label_definition] = STATE(73),
    [sym_label_reference] = STATE(73),
    [sym_label_reference_range] = STATE(73),
    [sym_label_number] = STATE(73),
    [sym_new_command_definition] = STATE(73),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(73),
    [sym_let_command_definition] = STATE(73),
    [sym_paired_delimiter_definition] = STATE(73),
    [sym_environment_definition] = STATE(73),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(73),
    [sym_glossary_entry_reference] = STATE(73),
    [sym_acronym_definition] = STATE(73),
    [sym_acronym_reference] = STATE(73),
    [sym_theorem_definition] = STATE(73),
    [sym_color_definition] = STATE(73),
    [sym_color_set_definition] = STATE(73),
    [sym_color_reference] = STATE(73),
    [sym_tikz_library_import] = STATE(73),
    [sym_hyperlink] = STATE(73),
    [aux_sym_source_file_repeat1] = STATE(73),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1984),
    [anon_sym_RBRACK] = ACTIONS(1984),
    [anon_sym_COMMA] = ACTIONS(1984),
    [anon_sym_EQ] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(1984),
    [anon_sym_RPAREN] = ACTIONS(1984),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2110),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2112),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [121] = {
    [sym_block_comment] = STATE(78),
    [sym__root_content] = STATE(78),
    [sym__flat_content] = STATE(78),
    [sym__text_with_env_content] = STATE(78),
    [sym__text_content] = STATE(78),
    [sym__section] = STATE(78),
    [sym__paragraph] = STATE(78),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(78),
    [sym_text] = STATE(78),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(78),
    [sym_displayed_equation] = STATE(78),
    [sym_inline_formula] = STATE(78),
    [sym_math_delimiter] = STATE(78),
    [sym_text_mode] = STATE(78),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(78),
    [sym_comment_environment] = STATE(78),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(78),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(78),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(78),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(78),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(78),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(78),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(78),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(78),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(78),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(78),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(78),
    [sym_generic_command] = STATE(78),
    [sym_title_declaration] = STATE(78),
    [sym_author_declaration] = STATE(78),
    [sym_package_include] = STATE(78),
    [sym_class_include] = STATE(78),
    [sym_latex_include] = STATE(78),
    [sym_biblatex_include] = STATE(78),
    [sym_bibstyle_include] = STATE(78),
    [sym_bibtex_include] = STATE(78),
    [sym_graphics_include] = STATE(78),
    [sym_svg_include] = STATE(78),
    [sym_inkscape_include] = STATE(78),
    [sym_verbatim_include] = STATE(78),
    [sym_import_include] = STATE(78),
    [sym_caption] = STATE(78),
    [sym_citation] = STATE(78),
    [sym_label_definition] = STATE(78),
    [sym_label_reference] = STATE(78),
    [sym_label_reference_range] = STATE(78),
    [sym_label_number] = STATE(78),
    [sym_new_command_definition] = STATE(78),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(78),
    [sym_let_command_definition] = STATE(78),
    [sym_paired_delimiter_definition] = STATE(78),
    [sym_environment_definition] = STATE(78),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(78),
    [sym_glossary_entry_reference] = STATE(78),
    [sym_acronym_definition] = STATE(78),
    [sym_acronym_reference] = STATE(78),
    [sym_theorem_definition] = STATE(78),
    [sym_color_definition] = STATE(78),
    [sym_color_set_definition] = STATE(78),
    [sym_color_reference] = STATE(78),
    [sym_tikz_library_import] = STATE(78),
    [sym_hyperlink] = STATE(78),
    [aux_sym_source_file_repeat1] = STATE(78),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(1990),
    [anon_sym_RBRACK] = ACTIONS(1990),
    [anon_sym_COMMA] = ACTIONS(1990),
    [anon_sym_EQ] = ACTIONS(1990),
    [anon_sym_LPAREN] = ACTIONS(1990),
    [anon_sym_RPAREN] = ACTIONS(1990),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2114),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2116),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [122] = {
    [sym_block_comment] = STATE(125),
    [sym__root_content] = STATE(125),
    [sym__flat_content] = STATE(125),
    [sym__text_with_env_content] = STATE(125),
    [sym__text_content] = STATE(125),
    [sym__section] = STATE(125),
    [sym__paragraph] = STATE(125),
    [sym__part_declaration] = STATE(161),
    [sym_part] = STATE(509),
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(512),
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(515),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(516),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(519),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(125),
    [sym_text] = STATE(125),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(125),
    [sym_displayed_equation] = STATE(125),
    [sym_inline_formula] = STATE(125),
    [sym_math_delimiter] = STATE(125),
    [sym_text_mode] = STATE(125),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(125),
    [sym_comment_environment] = STATE(125),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(125),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(125),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(125),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(125),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(125),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(125),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(125),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(125),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(125),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(125),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(125),
    [sym_generic_command] = STATE(125),
    [sym_title_declaration] = STATE(125),
    [sym_author_declaration] = STATE(125),
    [sym_package_include] = STATE(125),
    [sym_class_include] = STATE(125),
    [sym_latex_include] = STATE(125),
    [sym_biblatex_include] = STATE(125),
    [sym_bibstyle_include] = STATE(125),
    [sym_bibtex_include] = STATE(125),
    [sym_graphics_include] = STATE(125),
    [sym_svg_include] = STATE(125),
    [sym_inkscape_include] = STATE(125),
    [sym_verbatim_include] = STATE(125),
    [sym_import_include] = STATE(125),
    [sym_caption] = STATE(125),
    [sym_citation] = STATE(125),
    [sym_label_definition] = STATE(125),
    [sym_label_reference] = STATE(125),
    [sym_label_reference_range] = STATE(125),
    [sym_label_number] = STATE(125),
    [sym_new_command_definition] = STATE(125),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(125),
    [sym_let_command_definition] = STATE(125),
    [sym_paired_delimiter_definition] = STATE(125),
    [sym_environment_definition] = STATE(125),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(125),
    [sym_glossary_entry_reference] = STATE(125),
    [sym_acronym_definition] = STATE(125),
    [sym_acronym_reference] = STATE(125),
    [sym_theorem_definition] = STATE(125),
    [sym_color_definition] = STATE(125),
    [sym_color_set_definition] = STATE(125),
    [sym_color_reference] = STATE(125),
    [sym_tikz_library_import] = STATE(125),
    [sym_hyperlink] = STATE(125),
    [aux_sym_source_file_repeat1] = STATE(125),
    [aux_sym__section_repeat1] = STATE(509),
    [aux_sym__section_repeat2] = STATE(512),
    [aux_sym__section_repeat3] = STATE(515),
    [aux_sym__section_repeat4] = STATE(516),
    [aux_sym__section_repeat5] = STATE(519),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_text_repeat1] = STATE(266),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(2118),
    [anon_sym_RBRACK] = ACTIONS(2118),
    [anon_sym_COMMA] = ACTIONS(2118),
    [anon_sym_EQ] = ACTIONS(2118),
    [anon_sym_LPAREN] = ACTIONS(2118),
    [anon_sym_RPAREN] = ACTIONS(2118),
    [anon_sym_BSLASHpart] = ACTIONS(13),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHaddpart] = ACTIONS(13),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2120),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [123] = {
    [sym_block_comment] = STATE(126),
    [sym__root_content] = STATE(126),
    [sym__flat_content] = STATE(126),
    [sym__text_with_env_content] = STATE(126),
    [sym__text_content] = STATE(126),
    [sym__section] = STATE(126),
    [sym__paragraph] = STATE(126),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(126),
    [sym_text] = STATE(126),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(126),
    [sym_displayed_equation] = STATE(126),
    [sym_inline_formula] = STATE(126),
    [sym_math_delimiter] = STATE(126),
    [sym_text_mode] = STATE(126),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(126),
    [sym_comment_environment] = STATE(126),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(126),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(126),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(126),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(126),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(126),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(126),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(126),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(126),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(126),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(126),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(126),
    [sym_generic_command] = STATE(126),
    [sym_title_declaration] = STATE(126),
    [sym_author_declaration] = STATE(126),
    [sym_package_include] = STATE(126),
    [sym_class_include] = STATE(126),
    [sym_latex_include] = STATE(126),
    [sym_biblatex_include] = STATE(126),
    [sym_bibstyle_include] = STATE(126),
    [sym_bibtex_include] = STATE(126),
    [sym_graphics_include] = STATE(126),
    [sym_svg_include] = STATE(126),
    [sym_inkscape_include] = STATE(126),
    [sym_verbatim_include] = STATE(126),
    [sym_import_include] = STATE(126),
    [sym_caption] = STATE(126),
    [sym_citation] = STATE(126),
    [sym_label_definition] = STATE(126),
    [sym_label_reference] = STATE(126),
    [sym_label_reference_range] = STATE(126),
    [sym_label_number] = STATE(126),
    [sym_new_command_definition] = STATE(126),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(126),
    [sym_let_command_definition] = STATE(126),
    [sym_paired_delimiter_definition] = STATE(126),
    [sym_environment_definition] = STATE(126),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(126),
    [sym_glossary_entry_reference] = STATE(126),
    [sym_acronym_definition] = STATE(126),
    [sym_acronym_reference] = STATE(126),
    [sym_theorem_definition] = STATE(126),
    [sym_color_definition] = STATE(126),
    [sym_color_set_definition] = STATE(126),
    [sym_color_reference] = STATE(126),
    [sym_tikz_library_import] = STATE(126),
    [sym_hyperlink] = STATE(126),
    [aux_sym_source_file_repeat1] = STATE(126),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(2122),
    [anon_sym_RBRACK] = ACTIONS(2122),
    [anon_sym_COMMA] = ACTIONS(2122),
    [anon_sym_EQ] = ACTIONS(2122),
    [anon_sym_LPAREN] = ACTIONS(2122),
    [anon_sym_RPAREN] = ACTIONS(2122),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2124),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2126),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [124] = {
    [sym_block_comment] = STATE(127),
    [sym__root_content] = STATE(127),
    [sym__flat_content] = STATE(127),
    [sym__text_with_env_content] = STATE(127),
    [sym__text_content] = STATE(127),
    [sym__section] = STATE(127),
    [sym__paragraph] = STATE(127),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(127),
    [sym_text] = STATE(127),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(127),
    [sym_displayed_equation] = STATE(127),
    [sym_inline_formula] = STATE(127),
    [sym_math_delimiter] = STATE(127),
    [sym_text_mode] = STATE(127),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(127),
    [sym_comment_environment] = STATE(127),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(127),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(127),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(127),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(127),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(127),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(127),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(127),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(127),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(127),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(127),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(127),
    [sym_generic_command] = STATE(127),
    [sym_title_declaration] = STATE(127),
    [sym_author_declaration] = STATE(127),
    [sym_package_include] = STATE(127),
    [sym_class_include] = STATE(127),
    [sym_latex_include] = STATE(127),
    [sym_biblatex_include] = STATE(127),
    [sym_bibstyle_include] = STATE(127),
    [sym_bibtex_include] = STATE(127),
    [sym_graphics_include] = STATE(127),
    [sym_svg_include] = STATE(127),
    [sym_inkscape_include] = STATE(127),
    [sym_verbatim_include] = STATE(127),
    [sym_import_include] = STATE(127),
    [sym_caption] = STATE(127),
    [sym_citation] = STATE(127),
    [sym_label_definition] = STATE(127),
    [sym_label_reference] = STATE(127),
    [sym_label_reference_range] = STATE(127),
    [sym_label_number] = STATE(127),
    [sym_new_command_definition] = STATE(127),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(127),
    [sym_let_command_definition] = STATE(127),
    [sym_paired_delimiter_definition] = STATE(127),
    [sym_environment_definition] = STATE(127),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(127),
    [sym_glossary_entry_reference] = STATE(127),
    [sym_acronym_definition] = STATE(127),
    [sym_acronym_reference] = STATE(127),
    [sym_theorem_definition] = STATE(127),
    [sym_color_definition] = STATE(127),
    [sym_color_set_definition] = STATE(127),
    [sym_color_reference] = STATE(127),
    [sym_tikz_library_import] = STATE(127),
    [sym_hyperlink] = STATE(127),
    [aux_sym_source_file_repeat1] = STATE(127),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [anon_sym_RBRACK] = ACTIONS(2128),
    [anon_sym_COMMA] = ACTIONS(2128),
    [anon_sym_EQ] = ACTIONS(2128),
    [anon_sym_LPAREN] = ACTIONS(2128),
    [anon_sym_RPAREN] = ACTIONS(2128),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2130),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2132),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [125] = {
    [sym_block_comment] = STATE(64),
    [sym__root_content] = STATE(64),
    [sym__flat_content] = STATE(64),
    [sym__text_with_env_content] = STATE(64),
    [sym__text_content] = STATE(64),
    [sym__section] = STATE(64),
    [sym__paragraph] = STATE(64),
    [sym__part_declaration] = STATE(161),
    [sym_part] = STATE(509),
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(512),
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(515),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(516),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(519),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(64),
    [sym_text] = STATE(64),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(64),
    [sym_displayed_equation] = STATE(64),
    [sym_inline_formula] = STATE(64),
    [sym_math_delimiter] = STATE(64),
    [sym_text_mode] = STATE(64),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(64),
    [sym_comment_environment] = STATE(64),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(64),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(64),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(64),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(64),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(64),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(64),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(64),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(64),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(64),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(64),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(64),
    [sym_generic_command] = STATE(64),
    [sym_title_declaration] = STATE(64),
    [sym_author_declaration] = STATE(64),
    [sym_package_include] = STATE(64),
    [sym_class_include] = STATE(64),
    [sym_latex_include] = STATE(64),
    [sym_biblatex_include] = STATE(64),
    [sym_bibstyle_include] = STATE(64),
    [sym_bibtex_include] = STATE(64),
    [sym_graphics_include] = STATE(64),
    [sym_svg_include] = STATE(64),
    [sym_inkscape_include] = STATE(64),
    [sym_verbatim_include] = STATE(64),
    [sym_import_include] = STATE(64),
    [sym_caption] = STATE(64),
    [sym_citation] = STATE(64),
    [sym_label_definition] = STATE(64),
    [sym_label_reference] = STATE(64),
    [sym_label_reference_range] = STATE(64),
    [sym_label_number] = STATE(64),
    [sym_new_command_definition] = STATE(64),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(64),
    [sym_let_command_definition] = STATE(64),
    [sym_paired_delimiter_definition] = STATE(64),
    [sym_environment_definition] = STATE(64),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(64),
    [sym_glossary_entry_reference] = STATE(64),
    [sym_acronym_definition] = STATE(64),
    [sym_acronym_reference] = STATE(64),
    [sym_theorem_definition] = STATE(64),
    [sym_color_definition] = STATE(64),
    [sym_color_set_definition] = STATE(64),
    [sym_color_reference] = STATE(64),
    [sym_tikz_library_import] = STATE(64),
    [sym_hyperlink] = STATE(64),
    [aux_sym_source_file_repeat1] = STATE(64),
    [aux_sym__section_repeat1] = STATE(509),
    [aux_sym__section_repeat2] = STATE(512),
    [aux_sym__section_repeat3] = STATE(515),
    [aux_sym__section_repeat4] = STATE(516),
    [aux_sym__section_repeat5] = STATE(519),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_text_repeat1] = STATE(266),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(1416),
    [anon_sym_RBRACK] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1416),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_RPAREN] = ACTIONS(1416),
    [anon_sym_BSLASHpart] = ACTIONS(13),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHaddpart] = ACTIONS(13),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2134),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [126] = {
    [sym_block_comment] = STATE(73),
    [sym__root_content] = STATE(73),
    [sym__flat_content] = STATE(73),
    [sym__text_with_env_content] = STATE(73),
    [sym__text_content] = STATE(73),
    [sym__section] = STATE(73),
    [sym__paragraph] = STATE(73),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(73),
    [sym_text] = STATE(73),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(73),
    [sym_displayed_equation] = STATE(73),
    [sym_inline_formula] = STATE(73),
    [sym_math_delimiter] = STATE(73),
    [sym_text_mode] = STATE(73),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(73),
    [sym_comment_environment] = STATE(73),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(73),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(73),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(73),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(73),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(73),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(73),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(73),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(73),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(73),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(73),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(73),
    [sym_generic_command] = STATE(73),
    [sym_title_declaration] = STATE(73),
    [sym_author_declaration] = STATE(73),
    [sym_package_include] = STATE(73),
    [sym_class_include] = STATE(73),
    [sym_latex_include] = STATE(73),
    [sym_biblatex_include] = STATE(73),
    [sym_bibstyle_include] = STATE(73),
    [sym_bibtex_include] = STATE(73),
    [sym_graphics_include] = STATE(73),
    [sym_svg_include] = STATE(73),
    [sym_inkscape_include] = STATE(73),
    [sym_verbatim_include] = STATE(73),
    [sym_import_include] = STATE(73),
    [sym_caption] = STATE(73),
    [sym_citation] = STATE(73),
    [sym_label_definition] = STATE(73),
    [sym_label_reference] = STATE(73),
    [sym_label_reference_range] = STATE(73),
    [sym_label_number] = STATE(73),
    [sym_new_command_definition] = STATE(73),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(73),
    [sym_let_command_definition] = STATE(73),
    [sym_paired_delimiter_definition] = STATE(73),
    [sym_environment_definition] = STATE(73),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(73),
    [sym_glossary_entry_reference] = STATE(73),
    [sym_acronym_definition] = STATE(73),
    [sym_acronym_reference] = STATE(73),
    [sym_theorem_definition] = STATE(73),
    [sym_color_definition] = STATE(73),
    [sym_color_set_definition] = STATE(73),
    [sym_color_reference] = STATE(73),
    [sym_tikz_library_import] = STATE(73),
    [sym_hyperlink] = STATE(73),
    [aux_sym_source_file_repeat1] = STATE(73),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1984),
    [anon_sym_RBRACK] = ACTIONS(1984),
    [anon_sym_COMMA] = ACTIONS(1984),
    [anon_sym_EQ] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(1984),
    [anon_sym_RPAREN] = ACTIONS(1984),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2136),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2138),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [127] = {
    [sym_block_comment] = STATE(78),
    [sym__root_content] = STATE(78),
    [sym__flat_content] = STATE(78),
    [sym__text_with_env_content] = STATE(78),
    [sym__text_content] = STATE(78),
    [sym__section] = STATE(78),
    [sym__paragraph] = STATE(78),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(78),
    [sym_text] = STATE(78),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(78),
    [sym_displayed_equation] = STATE(78),
    [sym_inline_formula] = STATE(78),
    [sym_math_delimiter] = STATE(78),
    [sym_text_mode] = STATE(78),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(78),
    [sym_comment_environment] = STATE(78),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(78),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(78),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(78),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(78),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(78),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(78),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(78),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(78),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(78),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(78),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(78),
    [sym_generic_command] = STATE(78),
    [sym_title_declaration] = STATE(78),
    [sym_author_declaration] = STATE(78),
    [sym_package_include] = STATE(78),
    [sym_class_include] = STATE(78),
    [sym_latex_include] = STATE(78),
    [sym_biblatex_include] = STATE(78),
    [sym_bibstyle_include] = STATE(78),
    [sym_bibtex_include] = STATE(78),
    [sym_graphics_include] = STATE(78),
    [sym_svg_include] = STATE(78),
    [sym_inkscape_include] = STATE(78),
    [sym_verbatim_include] = STATE(78),
    [sym_import_include] = STATE(78),
    [sym_caption] = STATE(78),
    [sym_citation] = STATE(78),
    [sym_label_definition] = STATE(78),
    [sym_label_reference] = STATE(78),
    [sym_label_reference_range] = STATE(78),
    [sym_label_number] = STATE(78),
    [sym_new_command_definition] = STATE(78),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(78),
    [sym_let_command_definition] = STATE(78),
    [sym_paired_delimiter_definition] = STATE(78),
    [sym_environment_definition] = STATE(78),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(78),
    [sym_glossary_entry_reference] = STATE(78),
    [sym_acronym_definition] = STATE(78),
    [sym_acronym_reference] = STATE(78),
    [sym_theorem_definition] = STATE(78),
    [sym_color_definition] = STATE(78),
    [sym_color_set_definition] = STATE(78),
    [sym_color_reference] = STATE(78),
    [sym_tikz_library_import] = STATE(78),
    [sym_hyperlink] = STATE(78),
    [aux_sym_source_file_repeat1] = STATE(78),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(1990),
    [anon_sym_RBRACK] = ACTIONS(1990),
    [anon_sym_COMMA] = ACTIONS(1990),
    [anon_sym_EQ] = ACTIONS(1990),
    [anon_sym_LPAREN] = ACTIONS(1990),
    [anon_sym_RPAREN] = ACTIONS(1990),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2140),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2142),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [128] = {
    [sym_block_comment] = STATE(131),
    [sym__root_content] = STATE(131),
    [sym__flat_content] = STATE(131),
    [sym__text_with_env_content] = STATE(131),
    [sym__text_content] = STATE(131),
    [sym__section] = STATE(131),
    [sym__paragraph] = STATE(131),
    [sym__part_declaration] = STATE(161),
    [sym_part] = STATE(509),
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(512),
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(515),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(516),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(519),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(131),
    [sym_text] = STATE(131),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(131),
    [sym_displayed_equation] = STATE(131),
    [sym_inline_formula] = STATE(131),
    [sym_math_delimiter] = STATE(131),
    [sym_text_mode] = STATE(131),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(131),
    [sym_comment_environment] = STATE(131),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(131),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(131),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(131),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(131),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(131),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(131),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(131),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(131),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(131),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(131),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(131),
    [sym_generic_command] = STATE(131),
    [sym_title_declaration] = STATE(131),
    [sym_author_declaration] = STATE(131),
    [sym_package_include] = STATE(131),
    [sym_class_include] = STATE(131),
    [sym_latex_include] = STATE(131),
    [sym_biblatex_include] = STATE(131),
    [sym_bibstyle_include] = STATE(131),
    [sym_bibtex_include] = STATE(131),
    [sym_graphics_include] = STATE(131),
    [sym_svg_include] = STATE(131),
    [sym_inkscape_include] = STATE(131),
    [sym_verbatim_include] = STATE(131),
    [sym_import_include] = STATE(131),
    [sym_caption] = STATE(131),
    [sym_citation] = STATE(131),
    [sym_label_definition] = STATE(131),
    [sym_label_reference] = STATE(131),
    [sym_label_reference_range] = STATE(131),
    [sym_label_number] = STATE(131),
    [sym_new_command_definition] = STATE(131),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(131),
    [sym_let_command_definition] = STATE(131),
    [sym_paired_delimiter_definition] = STATE(131),
    [sym_environment_definition] = STATE(131),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(131),
    [sym_glossary_entry_reference] = STATE(131),
    [sym_acronym_definition] = STATE(131),
    [sym_acronym_reference] = STATE(131),
    [sym_theorem_definition] = STATE(131),
    [sym_color_definition] = STATE(131),
    [sym_color_set_definition] = STATE(131),
    [sym_color_reference] = STATE(131),
    [sym_tikz_library_import] = STATE(131),
    [sym_hyperlink] = STATE(131),
    [aux_sym_source_file_repeat1] = STATE(131),
    [aux_sym__section_repeat1] = STATE(509),
    [aux_sym__section_repeat2] = STATE(512),
    [aux_sym__section_repeat3] = STATE(515),
    [aux_sym__section_repeat4] = STATE(516),
    [aux_sym__section_repeat5] = STATE(519),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_text_repeat1] = STATE(266),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(2144),
    [anon_sym_RBRACK] = ACTIONS(2144),
    [anon_sym_COMMA] = ACTIONS(2144),
    [anon_sym_EQ] = ACTIONS(2144),
    [anon_sym_LPAREN] = ACTIONS(2144),
    [anon_sym_RPAREN] = ACTIONS(2144),
    [anon_sym_BSLASHpart] = ACTIONS(13),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHaddpart] = ACTIONS(13),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2146),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [129] = {
    [sym_block_comment] = STATE(132),
    [sym__root_content] = STATE(132),
    [sym__flat_content] = STATE(132),
    [sym__text_with_env_content] = STATE(132),
    [sym__text_content] = STATE(132),
    [sym__section] = STATE(132),
    [sym__paragraph] = STATE(132),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(132),
    [sym_text] = STATE(132),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(132),
    [sym_displayed_equation] = STATE(132),
    [sym_inline_formula] = STATE(132),
    [sym_math_delimiter] = STATE(132),
    [sym_text_mode] = STATE(132),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(132),
    [sym_comment_environment] = STATE(132),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(132),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(132),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(132),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(132),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(132),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(132),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(132),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(132),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(132),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(132),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(132),
    [sym_generic_command] = STATE(132),
    [sym_title_declaration] = STATE(132),
    [sym_author_declaration] = STATE(132),
    [sym_package_include] = STATE(132),
    [sym_class_include] = STATE(132),
    [sym_latex_include] = STATE(132),
    [sym_biblatex_include] = STATE(132),
    [sym_bibstyle_include] = STATE(132),
    [sym_bibtex_include] = STATE(132),
    [sym_graphics_include] = STATE(132),
    [sym_svg_include] = STATE(132),
    [sym_inkscape_include] = STATE(132),
    [sym_verbatim_include] = STATE(132),
    [sym_import_include] = STATE(132),
    [sym_caption] = STATE(132),
    [sym_citation] = STATE(132),
    [sym_label_definition] = STATE(132),
    [sym_label_reference] = STATE(132),
    [sym_label_reference_range] = STATE(132),
    [sym_label_number] = STATE(132),
    [sym_new_command_definition] = STATE(132),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(132),
    [sym_let_command_definition] = STATE(132),
    [sym_paired_delimiter_definition] = STATE(132),
    [sym_environment_definition] = STATE(132),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(132),
    [sym_glossary_entry_reference] = STATE(132),
    [sym_acronym_definition] = STATE(132),
    [sym_acronym_reference] = STATE(132),
    [sym_theorem_definition] = STATE(132),
    [sym_color_definition] = STATE(132),
    [sym_color_set_definition] = STATE(132),
    [sym_color_reference] = STATE(132),
    [sym_tikz_library_import] = STATE(132),
    [sym_hyperlink] = STATE(132),
    [aux_sym_source_file_repeat1] = STATE(132),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(2148),
    [anon_sym_RBRACK] = ACTIONS(2148),
    [anon_sym_COMMA] = ACTIONS(2148),
    [anon_sym_EQ] = ACTIONS(2148),
    [anon_sym_LPAREN] = ACTIONS(2148),
    [anon_sym_RPAREN] = ACTIONS(2148),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2150),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2152),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [130] = {
    [sym_block_comment] = STATE(133),
    [sym__root_content] = STATE(133),
    [sym__flat_content] = STATE(133),
    [sym__text_with_env_content] = STATE(133),
    [sym__text_content] = STATE(133),
    [sym__section] = STATE(133),
    [sym__paragraph] = STATE(133),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(133),
    [sym_text] = STATE(133),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(133),
    [sym_displayed_equation] = STATE(133),
    [sym_inline_formula] = STATE(133),
    [sym_math_delimiter] = STATE(133),
    [sym_text_mode] = STATE(133),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(133),
    [sym_comment_environment] = STATE(133),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(133),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(133),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(133),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(133),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(133),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(133),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(133),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(133),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(133),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(133),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(133),
    [sym_generic_command] = STATE(133),
    [sym_title_declaration] = STATE(133),
    [sym_author_declaration] = STATE(133),
    [sym_package_include] = STATE(133),
    [sym_class_include] = STATE(133),
    [sym_latex_include] = STATE(133),
    [sym_biblatex_include] = STATE(133),
    [sym_bibstyle_include] = STATE(133),
    [sym_bibtex_include] = STATE(133),
    [sym_graphics_include] = STATE(133),
    [sym_svg_include] = STATE(133),
    [sym_inkscape_include] = STATE(133),
    [sym_verbatim_include] = STATE(133),
    [sym_import_include] = STATE(133),
    [sym_caption] = STATE(133),
    [sym_citation] = STATE(133),
    [sym_label_definition] = STATE(133),
    [sym_label_reference] = STATE(133),
    [sym_label_reference_range] = STATE(133),
    [sym_label_number] = STATE(133),
    [sym_new_command_definition] = STATE(133),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(133),
    [sym_let_command_definition] = STATE(133),
    [sym_paired_delimiter_definition] = STATE(133),
    [sym_environment_definition] = STATE(133),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(133),
    [sym_glossary_entry_reference] = STATE(133),
    [sym_acronym_definition] = STATE(133),
    [sym_acronym_reference] = STATE(133),
    [sym_theorem_definition] = STATE(133),
    [sym_color_definition] = STATE(133),
    [sym_color_set_definition] = STATE(133),
    [sym_color_reference] = STATE(133),
    [sym_tikz_library_import] = STATE(133),
    [sym_hyperlink] = STATE(133),
    [aux_sym_source_file_repeat1] = STATE(133),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(2154),
    [anon_sym_RBRACK] = ACTIONS(2154),
    [anon_sym_COMMA] = ACTIONS(2154),
    [anon_sym_EQ] = ACTIONS(2154),
    [anon_sym_LPAREN] = ACTIONS(2154),
    [anon_sym_RPAREN] = ACTIONS(2154),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2156),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2158),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [131] = {
    [sym_block_comment] = STATE(64),
    [sym__root_content] = STATE(64),
    [sym__flat_content] = STATE(64),
    [sym__text_with_env_content] = STATE(64),
    [sym__text_content] = STATE(64),
    [sym__section] = STATE(64),
    [sym__paragraph] = STATE(64),
    [sym__part_declaration] = STATE(161),
    [sym_part] = STATE(509),
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(512),
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(515),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(516),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(519),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(64),
    [sym_text] = STATE(64),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(64),
    [sym_displayed_equation] = STATE(64),
    [sym_inline_formula] = STATE(64),
    [sym_math_delimiter] = STATE(64),
    [sym_text_mode] = STATE(64),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(64),
    [sym_comment_environment] = STATE(64),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(64),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(64),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(64),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(64),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(64),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(64),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(64),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(64),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(64),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(64),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(64),
    [sym_generic_command] = STATE(64),
    [sym_title_declaration] = STATE(64),
    [sym_author_declaration] = STATE(64),
    [sym_package_include] = STATE(64),
    [sym_class_include] = STATE(64),
    [sym_latex_include] = STATE(64),
    [sym_biblatex_include] = STATE(64),
    [sym_bibstyle_include] = STATE(64),
    [sym_bibtex_include] = STATE(64),
    [sym_graphics_include] = STATE(64),
    [sym_svg_include] = STATE(64),
    [sym_inkscape_include] = STATE(64),
    [sym_verbatim_include] = STATE(64),
    [sym_import_include] = STATE(64),
    [sym_caption] = STATE(64),
    [sym_citation] = STATE(64),
    [sym_label_definition] = STATE(64),
    [sym_label_reference] = STATE(64),
    [sym_label_reference_range] = STATE(64),
    [sym_label_number] = STATE(64),
    [sym_new_command_definition] = STATE(64),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(64),
    [sym_let_command_definition] = STATE(64),
    [sym_paired_delimiter_definition] = STATE(64),
    [sym_environment_definition] = STATE(64),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(64),
    [sym_glossary_entry_reference] = STATE(64),
    [sym_acronym_definition] = STATE(64),
    [sym_acronym_reference] = STATE(64),
    [sym_theorem_definition] = STATE(64),
    [sym_color_definition] = STATE(64),
    [sym_color_set_definition] = STATE(64),
    [sym_color_reference] = STATE(64),
    [sym_tikz_library_import] = STATE(64),
    [sym_hyperlink] = STATE(64),
    [aux_sym_source_file_repeat1] = STATE(64),
    [aux_sym__section_repeat1] = STATE(509),
    [aux_sym__section_repeat2] = STATE(512),
    [aux_sym__section_repeat3] = STATE(515),
    [aux_sym__section_repeat4] = STATE(516),
    [aux_sym__section_repeat5] = STATE(519),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_text_repeat1] = STATE(266),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(1416),
    [anon_sym_RBRACK] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1416),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_RPAREN] = ACTIONS(1416),
    [anon_sym_BSLASHpart] = ACTIONS(13),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHaddpart] = ACTIONS(13),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2160),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [132] = {
    [sym_block_comment] = STATE(73),
    [sym__root_content] = STATE(73),
    [sym__flat_content] = STATE(73),
    [sym__text_with_env_content] = STATE(73),
    [sym__text_content] = STATE(73),
    [sym__section] = STATE(73),
    [sym__paragraph] = STATE(73),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(73),
    [sym_text] = STATE(73),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(73),
    [sym_displayed_equation] = STATE(73),
    [sym_inline_formula] = STATE(73),
    [sym_math_delimiter] = STATE(73),
    [sym_text_mode] = STATE(73),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(73),
    [sym_comment_environment] = STATE(73),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(73),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(73),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(73),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(73),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(73),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(73),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(73),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(73),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(73),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(73),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(73),
    [sym_generic_command] = STATE(73),
    [sym_title_declaration] = STATE(73),
    [sym_author_declaration] = STATE(73),
    [sym_package_include] = STATE(73),
    [sym_class_include] = STATE(73),
    [sym_latex_include] = STATE(73),
    [sym_biblatex_include] = STATE(73),
    [sym_bibstyle_include] = STATE(73),
    [sym_bibtex_include] = STATE(73),
    [sym_graphics_include] = STATE(73),
    [sym_svg_include] = STATE(73),
    [sym_inkscape_include] = STATE(73),
    [sym_verbatim_include] = STATE(73),
    [sym_import_include] = STATE(73),
    [sym_caption] = STATE(73),
    [sym_citation] = STATE(73),
    [sym_label_definition] = STATE(73),
    [sym_label_reference] = STATE(73),
    [sym_label_reference_range] = STATE(73),
    [sym_label_number] = STATE(73),
    [sym_new_command_definition] = STATE(73),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(73),
    [sym_let_command_definition] = STATE(73),
    [sym_paired_delimiter_definition] = STATE(73),
    [sym_environment_definition] = STATE(73),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(73),
    [sym_glossary_entry_reference] = STATE(73),
    [sym_acronym_definition] = STATE(73),
    [sym_acronym_reference] = STATE(73),
    [sym_theorem_definition] = STATE(73),
    [sym_color_definition] = STATE(73),
    [sym_color_set_definition] = STATE(73),
    [sym_color_reference] = STATE(73),
    [sym_tikz_library_import] = STATE(73),
    [sym_hyperlink] = STATE(73),
    [aux_sym_source_file_repeat1] = STATE(73),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1984),
    [anon_sym_RBRACK] = ACTIONS(1984),
    [anon_sym_COMMA] = ACTIONS(1984),
    [anon_sym_EQ] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(1984),
    [anon_sym_RPAREN] = ACTIONS(1984),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2162),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2164),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [133] = {
    [sym_block_comment] = STATE(78),
    [sym__root_content] = STATE(78),
    [sym__flat_content] = STATE(78),
    [sym__text_with_env_content] = STATE(78),
    [sym__text_content] = STATE(78),
    [sym__section] = STATE(78),
    [sym__paragraph] = STATE(78),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(78),
    [sym_text] = STATE(78),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(78),
    [sym_displayed_equation] = STATE(78),
    [sym_inline_formula] = STATE(78),
    [sym_math_delimiter] = STATE(78),
    [sym_text_mode] = STATE(78),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(78),
    [sym_comment_environment] = STATE(78),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(78),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(78),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(78),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(78),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(78),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(78),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(78),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(78),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(78),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(78),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(78),
    [sym_generic_command] = STATE(78),
    [sym_title_declaration] = STATE(78),
    [sym_author_declaration] = STATE(78),
    [sym_package_include] = STATE(78),
    [sym_class_include] = STATE(78),
    [sym_latex_include] = STATE(78),
    [sym_biblatex_include] = STATE(78),
    [sym_bibstyle_include] = STATE(78),
    [sym_bibtex_include] = STATE(78),
    [sym_graphics_include] = STATE(78),
    [sym_svg_include] = STATE(78),
    [sym_inkscape_include] = STATE(78),
    [sym_verbatim_include] = STATE(78),
    [sym_import_include] = STATE(78),
    [sym_caption] = STATE(78),
    [sym_citation] = STATE(78),
    [sym_label_definition] = STATE(78),
    [sym_label_reference] = STATE(78),
    [sym_label_reference_range] = STATE(78),
    [sym_label_number] = STATE(78),
    [sym_new_command_definition] = STATE(78),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(78),
    [sym_let_command_definition] = STATE(78),
    [sym_paired_delimiter_definition] = STATE(78),
    [sym_environment_definition] = STATE(78),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(78),
    [sym_glossary_entry_reference] = STATE(78),
    [sym_acronym_definition] = STATE(78),
    [sym_acronym_reference] = STATE(78),
    [sym_theorem_definition] = STATE(78),
    [sym_color_definition] = STATE(78),
    [sym_color_set_definition] = STATE(78),
    [sym_color_reference] = STATE(78),
    [sym_tikz_library_import] = STATE(78),
    [sym_hyperlink] = STATE(78),
    [aux_sym_source_file_repeat1] = STATE(78),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(1990),
    [anon_sym_RBRACK] = ACTIONS(1990),
    [anon_sym_COMMA] = ACTIONS(1990),
    [anon_sym_EQ] = ACTIONS(1990),
    [anon_sym_LPAREN] = ACTIONS(1990),
    [anon_sym_RPAREN] = ACTIONS(1990),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2166),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2168),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [134] = {
    [sym_block_comment] = STATE(137),
    [sym__root_content] = STATE(137),
    [sym__flat_content] = STATE(137),
    [sym__text_with_env_content] = STATE(137),
    [sym__text_content] = STATE(137),
    [sym__section] = STATE(137),
    [sym__paragraph] = STATE(137),
    [sym__part_declaration] = STATE(161),
    [sym_part] = STATE(509),
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(512),
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(515),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(516),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(519),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(137),
    [sym_text] = STATE(137),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(137),
    [sym_displayed_equation] = STATE(137),
    [sym_inline_formula] = STATE(137),
    [sym_math_delimiter] = STATE(137),
    [sym_text_mode] = STATE(137),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(137),
    [sym_comment_environment] = STATE(137),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(137),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(137),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(137),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(137),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(137),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(137),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(137),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(137),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(137),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(137),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(137),
    [sym_generic_command] = STATE(137),
    [sym_title_declaration] = STATE(137),
    [sym_author_declaration] = STATE(137),
    [sym_package_include] = STATE(137),
    [sym_class_include] = STATE(137),
    [sym_latex_include] = STATE(137),
    [sym_biblatex_include] = STATE(137),
    [sym_bibstyle_include] = STATE(137),
    [sym_bibtex_include] = STATE(137),
    [sym_graphics_include] = STATE(137),
    [sym_svg_include] = STATE(137),
    [sym_inkscape_include] = STATE(137),
    [sym_verbatim_include] = STATE(137),
    [sym_import_include] = STATE(137),
    [sym_caption] = STATE(137),
    [sym_citation] = STATE(137),
    [sym_label_definition] = STATE(137),
    [sym_label_reference] = STATE(137),
    [sym_label_reference_range] = STATE(137),
    [sym_label_number] = STATE(137),
    [sym_new_command_definition] = STATE(137),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(137),
    [sym_let_command_definition] = STATE(137),
    [sym_paired_delimiter_definition] = STATE(137),
    [sym_environment_definition] = STATE(137),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(137),
    [sym_glossary_entry_reference] = STATE(137),
    [sym_acronym_definition] = STATE(137),
    [sym_acronym_reference] = STATE(137),
    [sym_theorem_definition] = STATE(137),
    [sym_color_definition] = STATE(137),
    [sym_color_set_definition] = STATE(137),
    [sym_color_reference] = STATE(137),
    [sym_tikz_library_import] = STATE(137),
    [sym_hyperlink] = STATE(137),
    [aux_sym_source_file_repeat1] = STATE(137),
    [aux_sym__section_repeat1] = STATE(509),
    [aux_sym__section_repeat2] = STATE(512),
    [aux_sym__section_repeat3] = STATE(515),
    [aux_sym__section_repeat4] = STATE(516),
    [aux_sym__section_repeat5] = STATE(519),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_text_repeat1] = STATE(266),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(2170),
    [anon_sym_RBRACK] = ACTIONS(2170),
    [anon_sym_COMMA] = ACTIONS(2170),
    [anon_sym_EQ] = ACTIONS(2170),
    [anon_sym_LPAREN] = ACTIONS(2170),
    [anon_sym_RPAREN] = ACTIONS(2170),
    [anon_sym_BSLASHpart] = ACTIONS(13),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHaddpart] = ACTIONS(13),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2172),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [135] = {
    [sym_block_comment] = STATE(138),
    [sym__root_content] = STATE(138),
    [sym__flat_content] = STATE(138),
    [sym__text_with_env_content] = STATE(138),
    [sym__text_content] = STATE(138),
    [sym__section] = STATE(138),
    [sym__paragraph] = STATE(138),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(138),
    [sym_text] = STATE(138),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(138),
    [sym_displayed_equation] = STATE(138),
    [sym_inline_formula] = STATE(138),
    [sym_math_delimiter] = STATE(138),
    [sym_text_mode] = STATE(138),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(138),
    [sym_comment_environment] = STATE(138),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(138),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(138),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(138),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(138),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(138),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(138),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(138),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(138),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(138),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(138),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(138),
    [sym_generic_command] = STATE(138),
    [sym_title_declaration] = STATE(138),
    [sym_author_declaration] = STATE(138),
    [sym_package_include] = STATE(138),
    [sym_class_include] = STATE(138),
    [sym_latex_include] = STATE(138),
    [sym_biblatex_include] = STATE(138),
    [sym_bibstyle_include] = STATE(138),
    [sym_bibtex_include] = STATE(138),
    [sym_graphics_include] = STATE(138),
    [sym_svg_include] = STATE(138),
    [sym_inkscape_include] = STATE(138),
    [sym_verbatim_include] = STATE(138),
    [sym_import_include] = STATE(138),
    [sym_caption] = STATE(138),
    [sym_citation] = STATE(138),
    [sym_label_definition] = STATE(138),
    [sym_label_reference] = STATE(138),
    [sym_label_reference_range] = STATE(138),
    [sym_label_number] = STATE(138),
    [sym_new_command_definition] = STATE(138),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(138),
    [sym_let_command_definition] = STATE(138),
    [sym_paired_delimiter_definition] = STATE(138),
    [sym_environment_definition] = STATE(138),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(138),
    [sym_glossary_entry_reference] = STATE(138),
    [sym_acronym_definition] = STATE(138),
    [sym_acronym_reference] = STATE(138),
    [sym_theorem_definition] = STATE(138),
    [sym_color_definition] = STATE(138),
    [sym_color_set_definition] = STATE(138),
    [sym_color_reference] = STATE(138),
    [sym_tikz_library_import] = STATE(138),
    [sym_hyperlink] = STATE(138),
    [aux_sym_source_file_repeat1] = STATE(138),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(2174),
    [anon_sym_RBRACK] = ACTIONS(2174),
    [anon_sym_COMMA] = ACTIONS(2174),
    [anon_sym_EQ] = ACTIONS(2174),
    [anon_sym_LPAREN] = ACTIONS(2174),
    [anon_sym_RPAREN] = ACTIONS(2174),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2176),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2178),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [136] = {
    [sym_block_comment] = STATE(139),
    [sym__root_content] = STATE(139),
    [sym__flat_content] = STATE(139),
    [sym__text_with_env_content] = STATE(139),
    [sym__text_content] = STATE(139),
    [sym__section] = STATE(139),
    [sym__paragraph] = STATE(139),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(139),
    [sym_text] = STATE(139),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(139),
    [sym_displayed_equation] = STATE(139),
    [sym_inline_formula] = STATE(139),
    [sym_math_delimiter] = STATE(139),
    [sym_text_mode] = STATE(139),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(139),
    [sym_comment_environment] = STATE(139),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(139),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(139),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(139),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(139),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(139),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(139),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(139),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(139),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(139),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(139),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(139),
    [sym_generic_command] = STATE(139),
    [sym_title_declaration] = STATE(139),
    [sym_author_declaration] = STATE(139),
    [sym_package_include] = STATE(139),
    [sym_class_include] = STATE(139),
    [sym_latex_include] = STATE(139),
    [sym_biblatex_include] = STATE(139),
    [sym_bibstyle_include] = STATE(139),
    [sym_bibtex_include] = STATE(139),
    [sym_graphics_include] = STATE(139),
    [sym_svg_include] = STATE(139),
    [sym_inkscape_include] = STATE(139),
    [sym_verbatim_include] = STATE(139),
    [sym_import_include] = STATE(139),
    [sym_caption] = STATE(139),
    [sym_citation] = STATE(139),
    [sym_label_definition] = STATE(139),
    [sym_label_reference] = STATE(139),
    [sym_label_reference_range] = STATE(139),
    [sym_label_number] = STATE(139),
    [sym_new_command_definition] = STATE(139),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(139),
    [sym_let_command_definition] = STATE(139),
    [sym_paired_delimiter_definition] = STATE(139),
    [sym_environment_definition] = STATE(139),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(139),
    [sym_glossary_entry_reference] = STATE(139),
    [sym_acronym_definition] = STATE(139),
    [sym_acronym_reference] = STATE(139),
    [sym_theorem_definition] = STATE(139),
    [sym_color_definition] = STATE(139),
    [sym_color_set_definition] = STATE(139),
    [sym_color_reference] = STATE(139),
    [sym_tikz_library_import] = STATE(139),
    [sym_hyperlink] = STATE(139),
    [aux_sym_source_file_repeat1] = STATE(139),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(2180),
    [anon_sym_RBRACK] = ACTIONS(2180),
    [anon_sym_COMMA] = ACTIONS(2180),
    [anon_sym_EQ] = ACTIONS(2180),
    [anon_sym_LPAREN] = ACTIONS(2180),
    [anon_sym_RPAREN] = ACTIONS(2180),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2182),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2184),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [137] = {
    [sym_block_comment] = STATE(64),
    [sym__root_content] = STATE(64),
    [sym__flat_content] = STATE(64),
    [sym__text_with_env_content] = STATE(64),
    [sym__text_content] = STATE(64),
    [sym__section] = STATE(64),
    [sym__paragraph] = STATE(64),
    [sym__part_declaration] = STATE(161),
    [sym_part] = STATE(509),
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(512),
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(515),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(516),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(519),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(64),
    [sym_text] = STATE(64),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(64),
    [sym_displayed_equation] = STATE(64),
    [sym_inline_formula] = STATE(64),
    [sym_math_delimiter] = STATE(64),
    [sym_text_mode] = STATE(64),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(64),
    [sym_comment_environment] = STATE(64),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(64),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(64),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(64),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(64),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(64),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(64),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(64),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(64),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(64),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(64),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(64),
    [sym_generic_command] = STATE(64),
    [sym_title_declaration] = STATE(64),
    [sym_author_declaration] = STATE(64),
    [sym_package_include] = STATE(64),
    [sym_class_include] = STATE(64),
    [sym_latex_include] = STATE(64),
    [sym_biblatex_include] = STATE(64),
    [sym_bibstyle_include] = STATE(64),
    [sym_bibtex_include] = STATE(64),
    [sym_graphics_include] = STATE(64),
    [sym_svg_include] = STATE(64),
    [sym_inkscape_include] = STATE(64),
    [sym_verbatim_include] = STATE(64),
    [sym_import_include] = STATE(64),
    [sym_caption] = STATE(64),
    [sym_citation] = STATE(64),
    [sym_label_definition] = STATE(64),
    [sym_label_reference] = STATE(64),
    [sym_label_reference_range] = STATE(64),
    [sym_label_number] = STATE(64),
    [sym_new_command_definition] = STATE(64),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(64),
    [sym_let_command_definition] = STATE(64),
    [sym_paired_delimiter_definition] = STATE(64),
    [sym_environment_definition] = STATE(64),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(64),
    [sym_glossary_entry_reference] = STATE(64),
    [sym_acronym_definition] = STATE(64),
    [sym_acronym_reference] = STATE(64),
    [sym_theorem_definition] = STATE(64),
    [sym_color_definition] = STATE(64),
    [sym_color_set_definition] = STATE(64),
    [sym_color_reference] = STATE(64),
    [sym_tikz_library_import] = STATE(64),
    [sym_hyperlink] = STATE(64),
    [aux_sym_source_file_repeat1] = STATE(64),
    [aux_sym__section_repeat1] = STATE(509),
    [aux_sym__section_repeat2] = STATE(512),
    [aux_sym__section_repeat3] = STATE(515),
    [aux_sym__section_repeat4] = STATE(516),
    [aux_sym__section_repeat5] = STATE(519),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_text_repeat1] = STATE(266),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(1416),
    [anon_sym_RBRACK] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1416),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_RPAREN] = ACTIONS(1416),
    [anon_sym_BSLASHpart] = ACTIONS(13),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHaddpart] = ACTIONS(13),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2186),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [138] = {
    [sym_block_comment] = STATE(73),
    [sym__root_content] = STATE(73),
    [sym__flat_content] = STATE(73),
    [sym__text_with_env_content] = STATE(73),
    [sym__text_content] = STATE(73),
    [sym__section] = STATE(73),
    [sym__paragraph] = STATE(73),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(73),
    [sym_text] = STATE(73),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(73),
    [sym_displayed_equation] = STATE(73),
    [sym_inline_formula] = STATE(73),
    [sym_math_delimiter] = STATE(73),
    [sym_text_mode] = STATE(73),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(73),
    [sym_comment_environment] = STATE(73),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(73),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(73),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(73),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(73),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(73),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(73),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(73),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(73),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(73),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(73),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(73),
    [sym_generic_command] = STATE(73),
    [sym_title_declaration] = STATE(73),
    [sym_author_declaration] = STATE(73),
    [sym_package_include] = STATE(73),
    [sym_class_include] = STATE(73),
    [sym_latex_include] = STATE(73),
    [sym_biblatex_include] = STATE(73),
    [sym_bibstyle_include] = STATE(73),
    [sym_bibtex_include] = STATE(73),
    [sym_graphics_include] = STATE(73),
    [sym_svg_include] = STATE(73),
    [sym_inkscape_include] = STATE(73),
    [sym_verbatim_include] = STATE(73),
    [sym_import_include] = STATE(73),
    [sym_caption] = STATE(73),
    [sym_citation] = STATE(73),
    [sym_label_definition] = STATE(73),
    [sym_label_reference] = STATE(73),
    [sym_label_reference_range] = STATE(73),
    [sym_label_number] = STATE(73),
    [sym_new_command_definition] = STATE(73),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(73),
    [sym_let_command_definition] = STATE(73),
    [sym_paired_delimiter_definition] = STATE(73),
    [sym_environment_definition] = STATE(73),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(73),
    [sym_glossary_entry_reference] = STATE(73),
    [sym_acronym_definition] = STATE(73),
    [sym_acronym_reference] = STATE(73),
    [sym_theorem_definition] = STATE(73),
    [sym_color_definition] = STATE(73),
    [sym_color_set_definition] = STATE(73),
    [sym_color_reference] = STATE(73),
    [sym_tikz_library_import] = STATE(73),
    [sym_hyperlink] = STATE(73),
    [aux_sym_source_file_repeat1] = STATE(73),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1984),
    [anon_sym_RBRACK] = ACTIONS(1984),
    [anon_sym_COMMA] = ACTIONS(1984),
    [anon_sym_EQ] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(1984),
    [anon_sym_RPAREN] = ACTIONS(1984),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2188),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2190),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [139] = {
    [sym_block_comment] = STATE(78),
    [sym__root_content] = STATE(78),
    [sym__flat_content] = STATE(78),
    [sym__text_with_env_content] = STATE(78),
    [sym__text_content] = STATE(78),
    [sym__section] = STATE(78),
    [sym__paragraph] = STATE(78),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(78),
    [sym_text] = STATE(78),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(78),
    [sym_displayed_equation] = STATE(78),
    [sym_inline_formula] = STATE(78),
    [sym_math_delimiter] = STATE(78),
    [sym_text_mode] = STATE(78),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(78),
    [sym_comment_environment] = STATE(78),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(78),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(78),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(78),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(78),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(78),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(78),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(78),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(78),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(78),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(78),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(78),
    [sym_generic_command] = STATE(78),
    [sym_title_declaration] = STATE(78),
    [sym_author_declaration] = STATE(78),
    [sym_package_include] = STATE(78),
    [sym_class_include] = STATE(78),
    [sym_latex_include] = STATE(78),
    [sym_biblatex_include] = STATE(78),
    [sym_bibstyle_include] = STATE(78),
    [sym_bibtex_include] = STATE(78),
    [sym_graphics_include] = STATE(78),
    [sym_svg_include] = STATE(78),
    [sym_inkscape_include] = STATE(78),
    [sym_verbatim_include] = STATE(78),
    [sym_import_include] = STATE(78),
    [sym_caption] = STATE(78),
    [sym_citation] = STATE(78),
    [sym_label_definition] = STATE(78),
    [sym_label_reference] = STATE(78),
    [sym_label_reference_range] = STATE(78),
    [sym_label_number] = STATE(78),
    [sym_new_command_definition] = STATE(78),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(78),
    [sym_let_command_definition] = STATE(78),
    [sym_paired_delimiter_definition] = STATE(78),
    [sym_environment_definition] = STATE(78),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(78),
    [sym_glossary_entry_reference] = STATE(78),
    [sym_acronym_definition] = STATE(78),
    [sym_acronym_reference] = STATE(78),
    [sym_theorem_definition] = STATE(78),
    [sym_color_definition] = STATE(78),
    [sym_color_set_definition] = STATE(78),
    [sym_color_reference] = STATE(78),
    [sym_tikz_library_import] = STATE(78),
    [sym_hyperlink] = STATE(78),
    [aux_sym_source_file_repeat1] = STATE(78),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(1990),
    [anon_sym_RBRACK] = ACTIONS(1990),
    [anon_sym_COMMA] = ACTIONS(1990),
    [anon_sym_EQ] = ACTIONS(1990),
    [anon_sym_LPAREN] = ACTIONS(1990),
    [anon_sym_RPAREN] = ACTIONS(1990),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2192),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2194),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [140] = {
    [sym_block_comment] = STATE(143),
    [sym__root_content] = STATE(143),
    [sym__flat_content] = STATE(143),
    [sym__text_with_env_content] = STATE(143),
    [sym__text_content] = STATE(143),
    [sym__section] = STATE(143),
    [sym__paragraph] = STATE(143),
    [sym__part_declaration] = STATE(161),
    [sym_part] = STATE(509),
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(512),
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(515),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(516),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(519),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(143),
    [sym_text] = STATE(143),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(143),
    [sym_displayed_equation] = STATE(143),
    [sym_inline_formula] = STATE(143),
    [sym_math_delimiter] = STATE(143),
    [sym_text_mode] = STATE(143),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(143),
    [sym_comment_environment] = STATE(143),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(143),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(143),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(143),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(143),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(143),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(143),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(143),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(143),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(143),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(143),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(143),
    [sym_generic_command] = STATE(143),
    [sym_title_declaration] = STATE(143),
    [sym_author_declaration] = STATE(143),
    [sym_package_include] = STATE(143),
    [sym_class_include] = STATE(143),
    [sym_latex_include] = STATE(143),
    [sym_biblatex_include] = STATE(143),
    [sym_bibstyle_include] = STATE(143),
    [sym_bibtex_include] = STATE(143),
    [sym_graphics_include] = STATE(143),
    [sym_svg_include] = STATE(143),
    [sym_inkscape_include] = STATE(143),
    [sym_verbatim_include] = STATE(143),
    [sym_import_include] = STATE(143),
    [sym_caption] = STATE(143),
    [sym_citation] = STATE(143),
    [sym_label_definition] = STATE(143),
    [sym_label_reference] = STATE(143),
    [sym_label_reference_range] = STATE(143),
    [sym_label_number] = STATE(143),
    [sym_new_command_definition] = STATE(143),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(143),
    [sym_let_command_definition] = STATE(143),
    [sym_paired_delimiter_definition] = STATE(143),
    [sym_environment_definition] = STATE(143),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(143),
    [sym_glossary_entry_reference] = STATE(143),
    [sym_acronym_definition] = STATE(143),
    [sym_acronym_reference] = STATE(143),
    [sym_theorem_definition] = STATE(143),
    [sym_color_definition] = STATE(143),
    [sym_color_set_definition] = STATE(143),
    [sym_color_reference] = STATE(143),
    [sym_tikz_library_import] = STATE(143),
    [sym_hyperlink] = STATE(143),
    [aux_sym_source_file_repeat1] = STATE(143),
    [aux_sym__section_repeat1] = STATE(509),
    [aux_sym__section_repeat2] = STATE(512),
    [aux_sym__section_repeat3] = STATE(515),
    [aux_sym__section_repeat4] = STATE(516),
    [aux_sym__section_repeat5] = STATE(519),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_text_repeat1] = STATE(266),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(2196),
    [anon_sym_RBRACK] = ACTIONS(2196),
    [anon_sym_COMMA] = ACTIONS(2196),
    [anon_sym_EQ] = ACTIONS(2196),
    [anon_sym_LPAREN] = ACTIONS(2196),
    [anon_sym_RPAREN] = ACTIONS(2196),
    [anon_sym_BSLASHpart] = ACTIONS(13),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHaddpart] = ACTIONS(13),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2198),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [141] = {
    [sym_block_comment] = STATE(144),
    [sym__root_content] = STATE(144),
    [sym__flat_content] = STATE(144),
    [sym__text_with_env_content] = STATE(144),
    [sym__text_content] = STATE(144),
    [sym__section] = STATE(144),
    [sym__paragraph] = STATE(144),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(144),
    [sym_text] = STATE(144),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(144),
    [sym_displayed_equation] = STATE(144),
    [sym_inline_formula] = STATE(144),
    [sym_math_delimiter] = STATE(144),
    [sym_text_mode] = STATE(144),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(144),
    [sym_comment_environment] = STATE(144),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(144),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(144),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(144),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(144),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(144),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(144),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(144),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(144),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(144),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(144),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(144),
    [sym_generic_command] = STATE(144),
    [sym_title_declaration] = STATE(144),
    [sym_author_declaration] = STATE(144),
    [sym_package_include] = STATE(144),
    [sym_class_include] = STATE(144),
    [sym_latex_include] = STATE(144),
    [sym_biblatex_include] = STATE(144),
    [sym_bibstyle_include] = STATE(144),
    [sym_bibtex_include] = STATE(144),
    [sym_graphics_include] = STATE(144),
    [sym_svg_include] = STATE(144),
    [sym_inkscape_include] = STATE(144),
    [sym_verbatim_include] = STATE(144),
    [sym_import_include] = STATE(144),
    [sym_caption] = STATE(144),
    [sym_citation] = STATE(144),
    [sym_label_definition] = STATE(144),
    [sym_label_reference] = STATE(144),
    [sym_label_reference_range] = STATE(144),
    [sym_label_number] = STATE(144),
    [sym_new_command_definition] = STATE(144),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(144),
    [sym_let_command_definition] = STATE(144),
    [sym_paired_delimiter_definition] = STATE(144),
    [sym_environment_definition] = STATE(144),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(144),
    [sym_glossary_entry_reference] = STATE(144),
    [sym_acronym_definition] = STATE(144),
    [sym_acronym_reference] = STATE(144),
    [sym_theorem_definition] = STATE(144),
    [sym_color_definition] = STATE(144),
    [sym_color_set_definition] = STATE(144),
    [sym_color_reference] = STATE(144),
    [sym_tikz_library_import] = STATE(144),
    [sym_hyperlink] = STATE(144),
    [aux_sym_source_file_repeat1] = STATE(144),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_RBRACK] = ACTIONS(2200),
    [anon_sym_COMMA] = ACTIONS(2200),
    [anon_sym_EQ] = ACTIONS(2200),
    [anon_sym_LPAREN] = ACTIONS(2200),
    [anon_sym_RPAREN] = ACTIONS(2200),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2202),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2178),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [142] = {
    [sym_block_comment] = STATE(145),
    [sym__root_content] = STATE(145),
    [sym__flat_content] = STATE(145),
    [sym__text_with_env_content] = STATE(145),
    [sym__text_content] = STATE(145),
    [sym__section] = STATE(145),
    [sym__paragraph] = STATE(145),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(145),
    [sym_text] = STATE(145),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(145),
    [sym_displayed_equation] = STATE(145),
    [sym_inline_formula] = STATE(145),
    [sym_math_delimiter] = STATE(145),
    [sym_text_mode] = STATE(145),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(145),
    [sym_comment_environment] = STATE(145),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(145),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(145),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(145),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(145),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(145),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(145),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(145),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(145),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(145),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(145),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(145),
    [sym_generic_command] = STATE(145),
    [sym_title_declaration] = STATE(145),
    [sym_author_declaration] = STATE(145),
    [sym_package_include] = STATE(145),
    [sym_class_include] = STATE(145),
    [sym_latex_include] = STATE(145),
    [sym_biblatex_include] = STATE(145),
    [sym_bibstyle_include] = STATE(145),
    [sym_bibtex_include] = STATE(145),
    [sym_graphics_include] = STATE(145),
    [sym_svg_include] = STATE(145),
    [sym_inkscape_include] = STATE(145),
    [sym_verbatim_include] = STATE(145),
    [sym_import_include] = STATE(145),
    [sym_caption] = STATE(145),
    [sym_citation] = STATE(145),
    [sym_label_definition] = STATE(145),
    [sym_label_reference] = STATE(145),
    [sym_label_reference_range] = STATE(145),
    [sym_label_number] = STATE(145),
    [sym_new_command_definition] = STATE(145),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(145),
    [sym_let_command_definition] = STATE(145),
    [sym_paired_delimiter_definition] = STATE(145),
    [sym_environment_definition] = STATE(145),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(145),
    [sym_glossary_entry_reference] = STATE(145),
    [sym_acronym_definition] = STATE(145),
    [sym_acronym_reference] = STATE(145),
    [sym_theorem_definition] = STATE(145),
    [sym_color_definition] = STATE(145),
    [sym_color_set_definition] = STATE(145),
    [sym_color_reference] = STATE(145),
    [sym_tikz_library_import] = STATE(145),
    [sym_hyperlink] = STATE(145),
    [aux_sym_source_file_repeat1] = STATE(145),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [anon_sym_RBRACK] = ACTIONS(2204),
    [anon_sym_COMMA] = ACTIONS(2204),
    [anon_sym_EQ] = ACTIONS(2204),
    [anon_sym_LPAREN] = ACTIONS(2204),
    [anon_sym_RPAREN] = ACTIONS(2204),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2206),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2184),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [143] = {
    [sym_block_comment] = STATE(64),
    [sym__root_content] = STATE(64),
    [sym__flat_content] = STATE(64),
    [sym__text_with_env_content] = STATE(64),
    [sym__text_content] = STATE(64),
    [sym__section] = STATE(64),
    [sym__paragraph] = STATE(64),
    [sym__part_declaration] = STATE(161),
    [sym_part] = STATE(509),
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(512),
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(515),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(516),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(519),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(64),
    [sym_text] = STATE(64),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(64),
    [sym_displayed_equation] = STATE(64),
    [sym_inline_formula] = STATE(64),
    [sym_math_delimiter] = STATE(64),
    [sym_text_mode] = STATE(64),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(64),
    [sym_comment_environment] = STATE(64),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(64),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(64),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(64),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(64),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(64),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(64),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(64),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(64),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(64),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(64),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(64),
    [sym_generic_command] = STATE(64),
    [sym_title_declaration] = STATE(64),
    [sym_author_declaration] = STATE(64),
    [sym_package_include] = STATE(64),
    [sym_class_include] = STATE(64),
    [sym_latex_include] = STATE(64),
    [sym_biblatex_include] = STATE(64),
    [sym_bibstyle_include] = STATE(64),
    [sym_bibtex_include] = STATE(64),
    [sym_graphics_include] = STATE(64),
    [sym_svg_include] = STATE(64),
    [sym_inkscape_include] = STATE(64),
    [sym_verbatim_include] = STATE(64),
    [sym_import_include] = STATE(64),
    [sym_caption] = STATE(64),
    [sym_citation] = STATE(64),
    [sym_label_definition] = STATE(64),
    [sym_label_reference] = STATE(64),
    [sym_label_reference_range] = STATE(64),
    [sym_label_number] = STATE(64),
    [sym_new_command_definition] = STATE(64),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(64),
    [sym_let_command_definition] = STATE(64),
    [sym_paired_delimiter_definition] = STATE(64),
    [sym_environment_definition] = STATE(64),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(64),
    [sym_glossary_entry_reference] = STATE(64),
    [sym_acronym_definition] = STATE(64),
    [sym_acronym_reference] = STATE(64),
    [sym_theorem_definition] = STATE(64),
    [sym_color_definition] = STATE(64),
    [sym_color_set_definition] = STATE(64),
    [sym_color_reference] = STATE(64),
    [sym_tikz_library_import] = STATE(64),
    [sym_hyperlink] = STATE(64),
    [aux_sym_source_file_repeat1] = STATE(64),
    [aux_sym__section_repeat1] = STATE(509),
    [aux_sym__section_repeat2] = STATE(512),
    [aux_sym__section_repeat3] = STATE(515),
    [aux_sym__section_repeat4] = STATE(516),
    [aux_sym__section_repeat5] = STATE(519),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_text_repeat1] = STATE(266),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(1416),
    [anon_sym_RBRACK] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(1416),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_RPAREN] = ACTIONS(1416),
    [anon_sym_BSLASHpart] = ACTIONS(13),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHaddpart] = ACTIONS(13),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2208),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [144] = {
    [sym_block_comment] = STATE(73),
    [sym__root_content] = STATE(73),
    [sym__flat_content] = STATE(73),
    [sym__text_with_env_content] = STATE(73),
    [sym__text_content] = STATE(73),
    [sym__section] = STATE(73),
    [sym__paragraph] = STATE(73),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(73),
    [sym_text] = STATE(73),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(73),
    [sym_displayed_equation] = STATE(73),
    [sym_inline_formula] = STATE(73),
    [sym_math_delimiter] = STATE(73),
    [sym_text_mode] = STATE(73),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(73),
    [sym_comment_environment] = STATE(73),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(73),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(73),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(73),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(73),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(73),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(73),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(73),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(73),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(73),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(73),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(73),
    [sym_generic_command] = STATE(73),
    [sym_title_declaration] = STATE(73),
    [sym_author_declaration] = STATE(73),
    [sym_package_include] = STATE(73),
    [sym_class_include] = STATE(73),
    [sym_latex_include] = STATE(73),
    [sym_biblatex_include] = STATE(73),
    [sym_bibstyle_include] = STATE(73),
    [sym_bibtex_include] = STATE(73),
    [sym_graphics_include] = STATE(73),
    [sym_svg_include] = STATE(73),
    [sym_inkscape_include] = STATE(73),
    [sym_verbatim_include] = STATE(73),
    [sym_import_include] = STATE(73),
    [sym_caption] = STATE(73),
    [sym_citation] = STATE(73),
    [sym_label_definition] = STATE(73),
    [sym_label_reference] = STATE(73),
    [sym_label_reference_range] = STATE(73),
    [sym_label_number] = STATE(73),
    [sym_new_command_definition] = STATE(73),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(73),
    [sym_let_command_definition] = STATE(73),
    [sym_paired_delimiter_definition] = STATE(73),
    [sym_environment_definition] = STATE(73),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(73),
    [sym_glossary_entry_reference] = STATE(73),
    [sym_acronym_definition] = STATE(73),
    [sym_acronym_reference] = STATE(73),
    [sym_theorem_definition] = STATE(73),
    [sym_color_definition] = STATE(73),
    [sym_color_set_definition] = STATE(73),
    [sym_color_reference] = STATE(73),
    [sym_tikz_library_import] = STATE(73),
    [sym_hyperlink] = STATE(73),
    [aux_sym_source_file_repeat1] = STATE(73),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1984),
    [anon_sym_RBRACK] = ACTIONS(1984),
    [anon_sym_COMMA] = ACTIONS(1984),
    [anon_sym_EQ] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(1984),
    [anon_sym_RPAREN] = ACTIONS(1984),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2210),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2190),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [145] = {
    [sym_block_comment] = STATE(78),
    [sym__root_content] = STATE(78),
    [sym__flat_content] = STATE(78),
    [sym__text_with_env_content] = STATE(78),
    [sym__text_content] = STATE(78),
    [sym__section] = STATE(78),
    [sym__paragraph] = STATE(78),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(78),
    [sym_text] = STATE(78),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(78),
    [sym_displayed_equation] = STATE(78),
    [sym_inline_formula] = STATE(78),
    [sym_math_delimiter] = STATE(78),
    [sym_text_mode] = STATE(78),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(78),
    [sym_comment_environment] = STATE(78),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(78),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(78),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(78),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(78),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(78),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(78),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(78),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(78),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(78),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(78),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(78),
    [sym_generic_command] = STATE(78),
    [sym_title_declaration] = STATE(78),
    [sym_author_declaration] = STATE(78),
    [sym_package_include] = STATE(78),
    [sym_class_include] = STATE(78),
    [sym_latex_include] = STATE(78),
    [sym_biblatex_include] = STATE(78),
    [sym_bibstyle_include] = STATE(78),
    [sym_bibtex_include] = STATE(78),
    [sym_graphics_include] = STATE(78),
    [sym_svg_include] = STATE(78),
    [sym_inkscape_include] = STATE(78),
    [sym_verbatim_include] = STATE(78),
    [sym_import_include] = STATE(78),
    [sym_caption] = STATE(78),
    [sym_citation] = STATE(78),
    [sym_label_definition] = STATE(78),
    [sym_label_reference] = STATE(78),
    [sym_label_reference_range] = STATE(78),
    [sym_label_number] = STATE(78),
    [sym_new_command_definition] = STATE(78),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(78),
    [sym_let_command_definition] = STATE(78),
    [sym_paired_delimiter_definition] = STATE(78),
    [sym_environment_definition] = STATE(78),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(78),
    [sym_glossary_entry_reference] = STATE(78),
    [sym_acronym_definition] = STATE(78),
    [sym_acronym_reference] = STATE(78),
    [sym_theorem_definition] = STATE(78),
    [sym_color_definition] = STATE(78),
    [sym_color_set_definition] = STATE(78),
    [sym_color_reference] = STATE(78),
    [sym_tikz_library_import] = STATE(78),
    [sym_hyperlink] = STATE(78),
    [aux_sym_source_file_repeat1] = STATE(78),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(1990),
    [anon_sym_RBRACK] = ACTIONS(1990),
    [anon_sym_COMMA] = ACTIONS(1990),
    [anon_sym_EQ] = ACTIONS(1990),
    [anon_sym_LPAREN] = ACTIONS(1990),
    [anon_sym_RPAREN] = ACTIONS(1990),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2212),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2194),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [146] = {
    [sym_block_comment] = STATE(148),
    [sym__root_content] = STATE(148),
    [sym__flat_content] = STATE(148),
    [sym__text_with_env_content] = STATE(148),
    [sym__text_content] = STATE(148),
    [sym__section] = STATE(148),
    [sym__paragraph] = STATE(148),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(148),
    [sym_text] = STATE(148),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(148),
    [sym_displayed_equation] = STATE(148),
    [sym_inline_formula] = STATE(148),
    [sym_math_delimiter] = STATE(148),
    [sym_text_mode] = STATE(148),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(148),
    [sym_comment_environment] = STATE(148),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(148),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(148),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(148),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(148),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(148),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(148),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(148),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(148),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(148),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(148),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(148),
    [sym_generic_command] = STATE(148),
    [sym_title_declaration] = STATE(148),
    [sym_author_declaration] = STATE(148),
    [sym_package_include] = STATE(148),
    [sym_class_include] = STATE(148),
    [sym_latex_include] = STATE(148),
    [sym_biblatex_include] = STATE(148),
    [sym_bibstyle_include] = STATE(148),
    [sym_bibtex_include] = STATE(148),
    [sym_graphics_include] = STATE(148),
    [sym_svg_include] = STATE(148),
    [sym_inkscape_include] = STATE(148),
    [sym_verbatim_include] = STATE(148),
    [sym_import_include] = STATE(148),
    [sym_caption] = STATE(148),
    [sym_citation] = STATE(148),
    [sym_label_definition] = STATE(148),
    [sym_label_reference] = STATE(148),
    [sym_label_reference_range] = STATE(148),
    [sym_label_number] = STATE(148),
    [sym_new_command_definition] = STATE(148),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(148),
    [sym_let_command_definition] = STATE(148),
    [sym_paired_delimiter_definition] = STATE(148),
    [sym_environment_definition] = STATE(148),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(148),
    [sym_glossary_entry_reference] = STATE(148),
    [sym_acronym_definition] = STATE(148),
    [sym_acronym_reference] = STATE(148),
    [sym_theorem_definition] = STATE(148),
    [sym_color_definition] = STATE(148),
    [sym_color_set_definition] = STATE(148),
    [sym_color_reference] = STATE(148),
    [sym_tikz_library_import] = STATE(148),
    [sym_hyperlink] = STATE(148),
    [aux_sym_source_file_repeat1] = STATE(148),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(2214),
    [anon_sym_RBRACK] = ACTIONS(2214),
    [anon_sym_COMMA] = ACTIONS(2214),
    [anon_sym_EQ] = ACTIONS(2214),
    [anon_sym_LPAREN] = ACTIONS(2214),
    [anon_sym_RPAREN] = ACTIONS(2214),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2216),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2178),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [147] = {
    [sym_block_comment] = STATE(149),
    [sym__root_content] = STATE(149),
    [sym__flat_content] = STATE(149),
    [sym__text_with_env_content] = STATE(149),
    [sym__text_content] = STATE(149),
    [sym__section] = STATE(149),
    [sym__paragraph] = STATE(149),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(149),
    [sym_text] = STATE(149),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(149),
    [sym_displayed_equation] = STATE(149),
    [sym_inline_formula] = STATE(149),
    [sym_math_delimiter] = STATE(149),
    [sym_text_mode] = STATE(149),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(149),
    [sym_comment_environment] = STATE(149),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(149),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(149),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(149),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(149),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(149),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(149),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(149),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(149),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(149),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(149),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(149),
    [sym_generic_command] = STATE(149),
    [sym_title_declaration] = STATE(149),
    [sym_author_declaration] = STATE(149),
    [sym_package_include] = STATE(149),
    [sym_class_include] = STATE(149),
    [sym_latex_include] = STATE(149),
    [sym_biblatex_include] = STATE(149),
    [sym_bibstyle_include] = STATE(149),
    [sym_bibtex_include] = STATE(149),
    [sym_graphics_include] = STATE(149),
    [sym_svg_include] = STATE(149),
    [sym_inkscape_include] = STATE(149),
    [sym_verbatim_include] = STATE(149),
    [sym_import_include] = STATE(149),
    [sym_caption] = STATE(149),
    [sym_citation] = STATE(149),
    [sym_label_definition] = STATE(149),
    [sym_label_reference] = STATE(149),
    [sym_label_reference_range] = STATE(149),
    [sym_label_number] = STATE(149),
    [sym_new_command_definition] = STATE(149),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(149),
    [sym_let_command_definition] = STATE(149),
    [sym_paired_delimiter_definition] = STATE(149),
    [sym_environment_definition] = STATE(149),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(149),
    [sym_glossary_entry_reference] = STATE(149),
    [sym_acronym_definition] = STATE(149),
    [sym_acronym_reference] = STATE(149),
    [sym_theorem_definition] = STATE(149),
    [sym_color_definition] = STATE(149),
    [sym_color_set_definition] = STATE(149),
    [sym_color_reference] = STATE(149),
    [sym_tikz_library_import] = STATE(149),
    [sym_hyperlink] = STATE(149),
    [aux_sym_source_file_repeat1] = STATE(149),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(2218),
    [anon_sym_RBRACK] = ACTIONS(2218),
    [anon_sym_COMMA] = ACTIONS(2218),
    [anon_sym_EQ] = ACTIONS(2218),
    [anon_sym_LPAREN] = ACTIONS(2218),
    [anon_sym_RPAREN] = ACTIONS(2218),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2220),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2184),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [148] = {
    [sym_block_comment] = STATE(73),
    [sym__root_content] = STATE(73),
    [sym__flat_content] = STATE(73),
    [sym__text_with_env_content] = STATE(73),
    [sym__text_content] = STATE(73),
    [sym__section] = STATE(73),
    [sym__paragraph] = STATE(73),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(73),
    [sym_text] = STATE(73),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(73),
    [sym_displayed_equation] = STATE(73),
    [sym_inline_formula] = STATE(73),
    [sym_math_delimiter] = STATE(73),
    [sym_text_mode] = STATE(73),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(73),
    [sym_comment_environment] = STATE(73),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(73),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(73),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(73),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(73),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(73),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(73),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(73),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(73),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(73),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(73),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(73),
    [sym_generic_command] = STATE(73),
    [sym_title_declaration] = STATE(73),
    [sym_author_declaration] = STATE(73),
    [sym_package_include] = STATE(73),
    [sym_class_include] = STATE(73),
    [sym_latex_include] = STATE(73),
    [sym_biblatex_include] = STATE(73),
    [sym_bibstyle_include] = STATE(73),
    [sym_bibtex_include] = STATE(73),
    [sym_graphics_include] = STATE(73),
    [sym_svg_include] = STATE(73),
    [sym_inkscape_include] = STATE(73),
    [sym_verbatim_include] = STATE(73),
    [sym_import_include] = STATE(73),
    [sym_caption] = STATE(73),
    [sym_citation] = STATE(73),
    [sym_label_definition] = STATE(73),
    [sym_label_reference] = STATE(73),
    [sym_label_reference_range] = STATE(73),
    [sym_label_number] = STATE(73),
    [sym_new_command_definition] = STATE(73),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(73),
    [sym_let_command_definition] = STATE(73),
    [sym_paired_delimiter_definition] = STATE(73),
    [sym_environment_definition] = STATE(73),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(73),
    [sym_glossary_entry_reference] = STATE(73),
    [sym_acronym_definition] = STATE(73),
    [sym_acronym_reference] = STATE(73),
    [sym_theorem_definition] = STATE(73),
    [sym_color_definition] = STATE(73),
    [sym_color_set_definition] = STATE(73),
    [sym_color_reference] = STATE(73),
    [sym_tikz_library_import] = STATE(73),
    [sym_hyperlink] = STATE(73),
    [aux_sym_source_file_repeat1] = STATE(73),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1984),
    [anon_sym_RBRACK] = ACTIONS(1984),
    [anon_sym_COMMA] = ACTIONS(1984),
    [anon_sym_EQ] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(1984),
    [anon_sym_RPAREN] = ACTIONS(1984),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2222),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2190),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [149] = {
    [sym_block_comment] = STATE(78),
    [sym__root_content] = STATE(78),
    [sym__flat_content] = STATE(78),
    [sym__text_with_env_content] = STATE(78),
    [sym__text_content] = STATE(78),
    [sym__section] = STATE(78),
    [sym__paragraph] = STATE(78),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(78),
    [sym_text] = STATE(78),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(78),
    [sym_displayed_equation] = STATE(78),
    [sym_inline_formula] = STATE(78),
    [sym_math_delimiter] = STATE(78),
    [sym_text_mode] = STATE(78),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(78),
    [sym_comment_environment] = STATE(78),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(78),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(78),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(78),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(78),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(78),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(78),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(78),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(78),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(78),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(78),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(78),
    [sym_generic_command] = STATE(78),
    [sym_title_declaration] = STATE(78),
    [sym_author_declaration] = STATE(78),
    [sym_package_include] = STATE(78),
    [sym_class_include] = STATE(78),
    [sym_latex_include] = STATE(78),
    [sym_biblatex_include] = STATE(78),
    [sym_bibstyle_include] = STATE(78),
    [sym_bibtex_include] = STATE(78),
    [sym_graphics_include] = STATE(78),
    [sym_svg_include] = STATE(78),
    [sym_inkscape_include] = STATE(78),
    [sym_verbatim_include] = STATE(78),
    [sym_import_include] = STATE(78),
    [sym_caption] = STATE(78),
    [sym_citation] = STATE(78),
    [sym_label_definition] = STATE(78),
    [sym_label_reference] = STATE(78),
    [sym_label_reference_range] = STATE(78),
    [sym_label_number] = STATE(78),
    [sym_new_command_definition] = STATE(78),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(78),
    [sym_let_command_definition] = STATE(78),
    [sym_paired_delimiter_definition] = STATE(78),
    [sym_environment_definition] = STATE(78),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(78),
    [sym_glossary_entry_reference] = STATE(78),
    [sym_acronym_definition] = STATE(78),
    [sym_acronym_reference] = STATE(78),
    [sym_theorem_definition] = STATE(78),
    [sym_color_definition] = STATE(78),
    [sym_color_set_definition] = STATE(78),
    [sym_color_reference] = STATE(78),
    [sym_tikz_library_import] = STATE(78),
    [sym_hyperlink] = STATE(78),
    [aux_sym_source_file_repeat1] = STATE(78),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(1990),
    [anon_sym_RBRACK] = ACTIONS(1990),
    [anon_sym_COMMA] = ACTIONS(1990),
    [anon_sym_EQ] = ACTIONS(1990),
    [anon_sym_LPAREN] = ACTIONS(1990),
    [anon_sym_RPAREN] = ACTIONS(1990),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2224),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2194),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [150] = {
    [sym_block_comment] = STATE(152),
    [sym__root_content] = STATE(152),
    [sym__flat_content] = STATE(152),
    [sym__text_with_env_content] = STATE(152),
    [sym__text_content] = STATE(152),
    [sym__section] = STATE(152),
    [sym__paragraph] = STATE(152),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(152),
    [sym_text] = STATE(152),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(152),
    [sym_displayed_equation] = STATE(152),
    [sym_inline_formula] = STATE(152),
    [sym_math_delimiter] = STATE(152),
    [sym_text_mode] = STATE(152),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(152),
    [sym_comment_environment] = STATE(152),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(152),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(152),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(152),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(152),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(152),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(152),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(152),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(152),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(152),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(152),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(152),
    [sym_generic_command] = STATE(152),
    [sym_title_declaration] = STATE(152),
    [sym_author_declaration] = STATE(152),
    [sym_package_include] = STATE(152),
    [sym_class_include] = STATE(152),
    [sym_latex_include] = STATE(152),
    [sym_biblatex_include] = STATE(152),
    [sym_bibstyle_include] = STATE(152),
    [sym_bibtex_include] = STATE(152),
    [sym_graphics_include] = STATE(152),
    [sym_svg_include] = STATE(152),
    [sym_inkscape_include] = STATE(152),
    [sym_verbatim_include] = STATE(152),
    [sym_import_include] = STATE(152),
    [sym_caption] = STATE(152),
    [sym_citation] = STATE(152),
    [sym_label_definition] = STATE(152),
    [sym_label_reference] = STATE(152),
    [sym_label_reference_range] = STATE(152),
    [sym_label_number] = STATE(152),
    [sym_new_command_definition] = STATE(152),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(152),
    [sym_let_command_definition] = STATE(152),
    [sym_paired_delimiter_definition] = STATE(152),
    [sym_environment_definition] = STATE(152),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(152),
    [sym_glossary_entry_reference] = STATE(152),
    [sym_acronym_definition] = STATE(152),
    [sym_acronym_reference] = STATE(152),
    [sym_theorem_definition] = STATE(152),
    [sym_color_definition] = STATE(152),
    [sym_color_set_definition] = STATE(152),
    [sym_color_reference] = STATE(152),
    [sym_tikz_library_import] = STATE(152),
    [sym_hyperlink] = STATE(152),
    [aux_sym_source_file_repeat1] = STATE(152),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(2226),
    [anon_sym_RBRACK] = ACTIONS(2226),
    [anon_sym_COMMA] = ACTIONS(2226),
    [anon_sym_EQ] = ACTIONS(2226),
    [anon_sym_LPAREN] = ACTIONS(2226),
    [anon_sym_RPAREN] = ACTIONS(2226),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2228),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2178),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [151] = {
    [sym_block_comment] = STATE(153),
    [sym__root_content] = STATE(153),
    [sym__flat_content] = STATE(153),
    [sym__text_with_env_content] = STATE(153),
    [sym__text_content] = STATE(153),
    [sym__section] = STATE(153),
    [sym__paragraph] = STATE(153),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(153),
    [sym_text] = STATE(153),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(153),
    [sym_displayed_equation] = STATE(153),
    [sym_inline_formula] = STATE(153),
    [sym_math_delimiter] = STATE(153),
    [sym_text_mode] = STATE(153),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(153),
    [sym_comment_environment] = STATE(153),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(153),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(153),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(153),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(153),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(153),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(153),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(153),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(153),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(153),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(153),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(153),
    [sym_generic_command] = STATE(153),
    [sym_title_declaration] = STATE(153),
    [sym_author_declaration] = STATE(153),
    [sym_package_include] = STATE(153),
    [sym_class_include] = STATE(153),
    [sym_latex_include] = STATE(153),
    [sym_biblatex_include] = STATE(153),
    [sym_bibstyle_include] = STATE(153),
    [sym_bibtex_include] = STATE(153),
    [sym_graphics_include] = STATE(153),
    [sym_svg_include] = STATE(153),
    [sym_inkscape_include] = STATE(153),
    [sym_verbatim_include] = STATE(153),
    [sym_import_include] = STATE(153),
    [sym_caption] = STATE(153),
    [sym_citation] = STATE(153),
    [sym_label_definition] = STATE(153),
    [sym_label_reference] = STATE(153),
    [sym_label_reference_range] = STATE(153),
    [sym_label_number] = STATE(153),
    [sym_new_command_definition] = STATE(153),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(153),
    [sym_let_command_definition] = STATE(153),
    [sym_paired_delimiter_definition] = STATE(153),
    [sym_environment_definition] = STATE(153),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(153),
    [sym_glossary_entry_reference] = STATE(153),
    [sym_acronym_definition] = STATE(153),
    [sym_acronym_reference] = STATE(153),
    [sym_theorem_definition] = STATE(153),
    [sym_color_definition] = STATE(153),
    [sym_color_set_definition] = STATE(153),
    [sym_color_reference] = STATE(153),
    [sym_tikz_library_import] = STATE(153),
    [sym_hyperlink] = STATE(153),
    [aux_sym_source_file_repeat1] = STATE(153),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_RBRACK] = ACTIONS(2230),
    [anon_sym_COMMA] = ACTIONS(2230),
    [anon_sym_EQ] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_RPAREN] = ACTIONS(2230),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2232),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2184),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [152] = {
    [sym_block_comment] = STATE(73),
    [sym__root_content] = STATE(73),
    [sym__flat_content] = STATE(73),
    [sym__text_with_env_content] = STATE(73),
    [sym__text_content] = STATE(73),
    [sym__section] = STATE(73),
    [sym__paragraph] = STATE(73),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(73),
    [sym_text] = STATE(73),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(73),
    [sym_displayed_equation] = STATE(73),
    [sym_inline_formula] = STATE(73),
    [sym_math_delimiter] = STATE(73),
    [sym_text_mode] = STATE(73),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(73),
    [sym_comment_environment] = STATE(73),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(73),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(73),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(73),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(73),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(73),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(73),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(73),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(73),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(73),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(73),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(73),
    [sym_generic_command] = STATE(73),
    [sym_title_declaration] = STATE(73),
    [sym_author_declaration] = STATE(73),
    [sym_package_include] = STATE(73),
    [sym_class_include] = STATE(73),
    [sym_latex_include] = STATE(73),
    [sym_biblatex_include] = STATE(73),
    [sym_bibstyle_include] = STATE(73),
    [sym_bibtex_include] = STATE(73),
    [sym_graphics_include] = STATE(73),
    [sym_svg_include] = STATE(73),
    [sym_inkscape_include] = STATE(73),
    [sym_verbatim_include] = STATE(73),
    [sym_import_include] = STATE(73),
    [sym_caption] = STATE(73),
    [sym_citation] = STATE(73),
    [sym_label_definition] = STATE(73),
    [sym_label_reference] = STATE(73),
    [sym_label_reference_range] = STATE(73),
    [sym_label_number] = STATE(73),
    [sym_new_command_definition] = STATE(73),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(73),
    [sym_let_command_definition] = STATE(73),
    [sym_paired_delimiter_definition] = STATE(73),
    [sym_environment_definition] = STATE(73),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(73),
    [sym_glossary_entry_reference] = STATE(73),
    [sym_acronym_definition] = STATE(73),
    [sym_acronym_reference] = STATE(73),
    [sym_theorem_definition] = STATE(73),
    [sym_color_definition] = STATE(73),
    [sym_color_set_definition] = STATE(73),
    [sym_color_reference] = STATE(73),
    [sym_tikz_library_import] = STATE(73),
    [sym_hyperlink] = STATE(73),
    [aux_sym_source_file_repeat1] = STATE(73),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1984),
    [anon_sym_RBRACK] = ACTIONS(1984),
    [anon_sym_COMMA] = ACTIONS(1984),
    [anon_sym_EQ] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(1984),
    [anon_sym_RPAREN] = ACTIONS(1984),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2234),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2190),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [153] = {
    [sym_block_comment] = STATE(78),
    [sym__root_content] = STATE(78),
    [sym__flat_content] = STATE(78),
    [sym__text_with_env_content] = STATE(78),
    [sym__text_content] = STATE(78),
    [sym__section] = STATE(78),
    [sym__paragraph] = STATE(78),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(78),
    [sym_text] = STATE(78),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(78),
    [sym_displayed_equation] = STATE(78),
    [sym_inline_formula] = STATE(78),
    [sym_math_delimiter] = STATE(78),
    [sym_text_mode] = STATE(78),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(78),
    [sym_comment_environment] = STATE(78),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(78),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(78),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(78),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(78),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(78),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(78),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(78),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(78),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(78),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(78),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(78),
    [sym_generic_command] = STATE(78),
    [sym_title_declaration] = STATE(78),
    [sym_author_declaration] = STATE(78),
    [sym_package_include] = STATE(78),
    [sym_class_include] = STATE(78),
    [sym_latex_include] = STATE(78),
    [sym_biblatex_include] = STATE(78),
    [sym_bibstyle_include] = STATE(78),
    [sym_bibtex_include] = STATE(78),
    [sym_graphics_include] = STATE(78),
    [sym_svg_include] = STATE(78),
    [sym_inkscape_include] = STATE(78),
    [sym_verbatim_include] = STATE(78),
    [sym_import_include] = STATE(78),
    [sym_caption] = STATE(78),
    [sym_citation] = STATE(78),
    [sym_label_definition] = STATE(78),
    [sym_label_reference] = STATE(78),
    [sym_label_reference_range] = STATE(78),
    [sym_label_number] = STATE(78),
    [sym_new_command_definition] = STATE(78),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(78),
    [sym_let_command_definition] = STATE(78),
    [sym_paired_delimiter_definition] = STATE(78),
    [sym_environment_definition] = STATE(78),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(78),
    [sym_glossary_entry_reference] = STATE(78),
    [sym_acronym_definition] = STATE(78),
    [sym_acronym_reference] = STATE(78),
    [sym_theorem_definition] = STATE(78),
    [sym_color_definition] = STATE(78),
    [sym_color_set_definition] = STATE(78),
    [sym_color_reference] = STATE(78),
    [sym_tikz_library_import] = STATE(78),
    [sym_hyperlink] = STATE(78),
    [aux_sym_source_file_repeat1] = STATE(78),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(1990),
    [anon_sym_RBRACK] = ACTIONS(1990),
    [anon_sym_COMMA] = ACTIONS(1990),
    [anon_sym_EQ] = ACTIONS(1990),
    [anon_sym_LPAREN] = ACTIONS(1990),
    [anon_sym_RPAREN] = ACTIONS(1990),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2236),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2194),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [154] = {
    [sym_block_comment] = STATE(97),
    [sym__root_content] = STATE(97),
    [sym__flat_content] = STATE(97),
    [sym__text_with_env_content] = STATE(97),
    [sym__text_content] = STATE(97),
    [sym__section] = STATE(97),
    [sym__paragraph] = STATE(97),
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(895),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(896),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(897),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(898),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(899),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(97),
    [sym_text] = STATE(97),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(97),
    [sym_displayed_equation] = STATE(97),
    [sym_inline_formula] = STATE(97),
    [sym_math_delimiter] = STATE(97),
    [sym_text_mode] = STATE(97),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(97),
    [sym_comment_environment] = STATE(97),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(97),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(97),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(97),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(97),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(97),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(97),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(97),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(97),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(97),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(97),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(97),
    [sym_generic_command] = STATE(97),
    [sym_title_declaration] = STATE(97),
    [sym_author_declaration] = STATE(97),
    [sym_package_include] = STATE(97),
    [sym_class_include] = STATE(97),
    [sym_latex_include] = STATE(97),
    [sym_biblatex_include] = STATE(97),
    [sym_bibstyle_include] = STATE(97),
    [sym_bibtex_include] = STATE(97),
    [sym_graphics_include] = STATE(97),
    [sym_svg_include] = STATE(97),
    [sym_inkscape_include] = STATE(97),
    [sym_verbatim_include] = STATE(97),
    [sym_import_include] = STATE(97),
    [sym_caption] = STATE(97),
    [sym_citation] = STATE(97),
    [sym_label_definition] = STATE(97),
    [sym_label_reference] = STATE(97),
    [sym_label_reference_range] = STATE(97),
    [sym_label_number] = STATE(97),
    [sym_new_command_definition] = STATE(97),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(97),
    [sym_let_command_definition] = STATE(97),
    [sym_paired_delimiter_definition] = STATE(97),
    [sym_environment_definition] = STATE(97),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(97),
    [sym_glossary_entry_reference] = STATE(97),
    [sym_acronym_definition] = STATE(97),
    [sym_acronym_reference] = STATE(97),
    [sym_theorem_definition] = STATE(97),
    [sym_color_definition] = STATE(97),
    [sym_color_set_definition] = STATE(97),
    [sym_color_reference] = STATE(97),
    [sym_tikz_library_import] = STATE(97),
    [sym_hyperlink] = STATE(97),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym__section_repeat1] = STATE(895),
    [aux_sym__section_repeat2] = STATE(896),
    [aux_sym__section_repeat3] = STATE(897),
    [aux_sym__section_repeat4] = STATE(898),
    [aux_sym__section_repeat5] = STATE(899),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(157),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(157),
    [anon_sym_LBRACK] = ACTIONS(159),
    [anon_sym_RBRACK] = ACTIONS(159),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_RPAREN] = ACTIONS(159),
    [anon_sym_BSLASHpart] = ACTIONS(157),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddpart] = ACTIONS(157),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(159),
    [anon_sym_BSLASHchapter] = ACTIONS(157),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddchap] = ACTIONS(157),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsection] = ACTIONS(157),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddsec] = ACTIONS(157),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubsection] = ACTIONS(157),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(157),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHparagraph] = ACTIONS(157),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(157),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(159),
    [anon_sym_BSLASHitem] = ACTIONS(157),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(159),
    [anon_sym_LBRACE] = ACTIONS(159),
    [sym_word] = ACTIONS(157),
    [sym_placeholder] = ACTIONS(159),
    [sym_delimiter] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_SLASH] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(157),
    [anon_sym_GT] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(157),
    [anon_sym_PIPE] = ACTIONS(157),
    [anon_sym_COLON] = ACTIONS(157),
    [anon_sym_SQUOTE] = ACTIONS(157),
    [anon_sym__] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(159),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(159),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(159),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(159),
    [anon_sym_BSLASHleft] = ACTIONS(157),
    [anon_sym_BSLASHbigl] = ACTIONS(157),
    [anon_sym_BSLASHBigl] = ACTIONS(157),
    [anon_sym_BSLASHbiggl] = ACTIONS(157),
    [anon_sym_BSLASHBiggl] = ACTIONS(157),
    [anon_sym_BSLASHtext] = ACTIONS(157),
    [anon_sym_BSLASHintertext] = ACTIONS(157),
    [anon_sym_BSLASHshortintertext] = ACTIONS(157),
    [anon_sym_BSLASHbegin] = ACTIONS(157),
    [anon_sym_BSLASHtitle] = ACTIONS(157),
    [anon_sym_BSLASHauthor] = ACTIONS(157),
    [anon_sym_BSLASHusepackage] = ACTIONS(157),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(157),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(157),
    [anon_sym_BSLASHinclude] = ACTIONS(157),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(157),
    [anon_sym_BSLASHinput] = ACTIONS(157),
    [anon_sym_BSLASHsubfile] = ACTIONS(157),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(157),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(157),
    [anon_sym_BSLASHbibliography] = ACTIONS(157),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(157),
    [anon_sym_BSLASHincludesvg] = ACTIONS(157),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(157),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(157),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(157),
    [anon_sym_BSLASHimport] = ACTIONS(157),
    [anon_sym_BSLASHsubimport] = ACTIONS(157),
    [anon_sym_BSLASHinputfrom] = ACTIONS(157),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(157),
    [anon_sym_BSLASHincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHcaption] = ACTIONS(157),
    [anon_sym_BSLASHcite] = ACTIONS(157),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCite] = ACTIONS(157),
    [anon_sym_BSLASHnocite] = ACTIONS(157),
    [anon_sym_BSLASHcitet] = ACTIONS(157),
    [anon_sym_BSLASHcitep] = ACTIONS(157),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteA] = ACTIONS(157),
    [anon_sym_BSLASHciteR] = ACTIONS(157),
    [anon_sym_BSLASHciteS] = ACTIONS(157),
    [anon_sym_BSLASHciteyearR] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(157),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitetitle] = ACTIONS(157),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteyear] = ACTIONS(157),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitedate] = ACTIONS(157),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteurl] = ACTIONS(157),
    [anon_sym_BSLASHfullcite] = ACTIONS(157),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(157),
    [anon_sym_BSLASHcitealt] = ACTIONS(157),
    [anon_sym_BSLASHcitealp] = ACTIONS(157),
    [anon_sym_BSLASHcitetext] = ACTIONS(157),
    [anon_sym_BSLASHparencite] = ACTIONS(157),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHParencite] = ACTIONS(157),
    [anon_sym_BSLASHfootcite] = ACTIONS(157),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(157),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(157),
    [anon_sym_BSLASHtextcite] = ACTIONS(157),
    [anon_sym_BSLASHTextcite] = ACTIONS(157),
    [anon_sym_BSLASHsmartcite] = ACTIONS(157),
    [anon_sym_BSLASHSmartcite] = ACTIONS(157),
    [anon_sym_BSLASHsupercite] = ACTIONS(157),
    [anon_sym_BSLASHautocite] = ACTIONS(157),
    [anon_sym_BSLASHAutocite] = ACTIONS(157),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHvolcite] = ACTIONS(157),
    [anon_sym_BSLASHVolcite] = ACTIONS(157),
    [anon_sym_BSLASHpvolcite] = ACTIONS(157),
    [anon_sym_BSLASHPvolcite] = ACTIONS(157),
    [anon_sym_BSLASHfvolcite] = ACTIONS(157),
    [anon_sym_BSLASHftvolcite] = ACTIONS(157),
    [anon_sym_BSLASHsvolcite] = ACTIONS(157),
    [anon_sym_BSLASHSvolcite] = ACTIONS(157),
    [anon_sym_BSLASHtvolcite] = ACTIONS(157),
    [anon_sym_BSLASHTvolcite] = ACTIONS(157),
    [anon_sym_BSLASHavolcite] = ACTIONS(157),
    [anon_sym_BSLASHAvolcite] = ACTIONS(157),
    [anon_sym_BSLASHnotecite] = ACTIONS(157),
    [anon_sym_BSLASHNotecite] = ACTIONS(157),
    [anon_sym_BSLASHpnotecite] = ACTIONS(157),
    [anon_sym_BSLASHPnotecite] = ACTIONS(157),
    [anon_sym_BSLASHfnotecite] = ACTIONS(157),
    [anon_sym_BSLASHlabel] = ACTIONS(157),
    [anon_sym_BSLASHref] = ACTIONS(157),
    [anon_sym_BSLASHeqref] = ACTIONS(157),
    [anon_sym_BSLASHvref] = ACTIONS(157),
    [anon_sym_BSLASHVref] = ACTIONS(157),
    [anon_sym_BSLASHautoref] = ACTIONS(157),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpageref] = ACTIONS(157),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHautopageref] = ACTIONS(157),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcref] = ACTIONS(157),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCref] = ACTIONS(157),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpageref] = ACTIONS(157),
    [anon_sym_BSLASHCpageref] = ACTIONS(157),
    [anon_sym_BSLASHnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnameCref] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcrefrange] = ACTIONS(157),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCrefrange] = ACTIONS(157),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHnewlabel] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(157),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(157),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(157),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(159),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHdef] = ACTIONS(157),
    [anon_sym_BSLASHgdef] = ACTIONS(157),
    [anon_sym_BSLASHedef] = ACTIONS(157),
    [anon_sym_BSLASHxdef] = ACTIONS(157),
    [anon_sym_BSLASHlet] = ACTIONS(157),
    [anon_sym_BSLASHglet] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(157),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(157),
    [anon_sym_BSLASHgls] = ACTIONS(157),
    [anon_sym_BSLASHGls] = ACTIONS(157),
    [anon_sym_BSLASHGLS] = ACTIONS(157),
    [anon_sym_BSLASHglspl] = ACTIONS(157),
    [anon_sym_BSLASHGlspl] = ACTIONS(157),
    [anon_sym_BSLASHGLSpl] = ACTIONS(157),
    [anon_sym_BSLASHglsdisp] = ACTIONS(157),
    [anon_sym_BSLASHglslink] = ACTIONS(157),
    [anon_sym_BSLASHglstext] = ACTIONS(157),
    [anon_sym_BSLASHGlstext] = ACTIONS(157),
    [anon_sym_BSLASHGLStext] = ACTIONS(157),
    [anon_sym_BSLASHglsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(157),
    [anon_sym_BSLASHglsplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSplural] = ACTIONS(157),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHglsname] = ACTIONS(157),
    [anon_sym_BSLASHGlsname] = ACTIONS(157),
    [anon_sym_BSLASHGLSname] = ACTIONS(157),
    [anon_sym_BSLASHglssymbol] = ACTIONS(157),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(157),
    [anon_sym_BSLASHglsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(157),
    [anon_sym_BSLASHglsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(157),
    [anon_sym_BSLASHglsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(157),
    [anon_sym_BSLASHglsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(157),
    [anon_sym_BSLASHglsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(157),
    [anon_sym_BSLASHnewacronym] = ACTIONS(157),
    [anon_sym_BSLASHacrshort] = ACTIONS(157),
    [anon_sym_BSLASHAcrshort] = ACTIONS(157),
    [anon_sym_BSLASHACRshort] = ACTIONS(157),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(157),
    [anon_sym_BSLASHacrlong] = ACTIONS(157),
    [anon_sym_BSLASHAcrlong] = ACTIONS(157),
    [anon_sym_BSLASHACRlong] = ACTIONS(157),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(157),
    [anon_sym_BSLASHacrfull] = ACTIONS(157),
    [anon_sym_BSLASHAcrfull] = ACTIONS(157),
    [anon_sym_BSLASHACRfull] = ACTIONS(157),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(157),
    [anon_sym_BSLASHacs] = ACTIONS(157),
    [anon_sym_BSLASHAcs] = ACTIONS(157),
    [anon_sym_BSLASHacsp] = ACTIONS(157),
    [anon_sym_BSLASHAcsp] = ACTIONS(157),
    [anon_sym_BSLASHacl] = ACTIONS(157),
    [anon_sym_BSLASHAcl] = ACTIONS(157),
    [anon_sym_BSLASHaclp] = ACTIONS(157),
    [anon_sym_BSLASHAclp] = ACTIONS(157),
    [anon_sym_BSLASHacf] = ACTIONS(157),
    [anon_sym_BSLASHAcf] = ACTIONS(157),
    [anon_sym_BSLASHacfp] = ACTIONS(157),
    [anon_sym_BSLASHAcfp] = ACTIONS(157),
    [anon_sym_BSLASHac] = ACTIONS(157),
    [anon_sym_BSLASHAc] = ACTIONS(157),
    [anon_sym_BSLASHacp] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(157),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(157),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(157),
    [anon_sym_BSLASHcolor] = ACTIONS(157),
    [anon_sym_BSLASHpagecolor] = ACTIONS(157),
    [anon_sym_BSLASHtextcolor] = ACTIONS(157),
    [anon_sym_BSLASHmathcolor] = ACTIONS(157),
    [anon_sym_BSLASHcolorbox] = ACTIONS(157),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(157),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(157),
    [anon_sym_BSLASHurl] = ACTIONS(157),
    [anon_sym_BSLASHhref] = ACTIONS(157),
  },
  [155] = {
    [sym_block_comment] = STATE(78),
    [sym__root_content] = STATE(78),
    [sym__flat_content] = STATE(78),
    [sym__text_with_env_content] = STATE(78),
    [sym__text_content] = STATE(78),
    [sym__section] = STATE(78),
    [sym__paragraph] = STATE(78),
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(787),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(788),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(789),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(790),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(791),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(78),
    [sym_text] = STATE(78),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(78),
    [sym_displayed_equation] = STATE(78),
    [sym_inline_formula] = STATE(78),
    [sym_math_delimiter] = STATE(78),
    [sym_text_mode] = STATE(78),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(78),
    [sym_comment_environment] = STATE(78),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(78),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(78),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(78),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(78),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(78),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(78),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(78),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(78),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(78),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(78),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(78),
    [sym_generic_command] = STATE(78),
    [sym_title_declaration] = STATE(78),
    [sym_author_declaration] = STATE(78),
    [sym_package_include] = STATE(78),
    [sym_class_include] = STATE(78),
    [sym_latex_include] = STATE(78),
    [sym_biblatex_include] = STATE(78),
    [sym_bibstyle_include] = STATE(78),
    [sym_bibtex_include] = STATE(78),
    [sym_graphics_include] = STATE(78),
    [sym_svg_include] = STATE(78),
    [sym_inkscape_include] = STATE(78),
    [sym_verbatim_include] = STATE(78),
    [sym_import_include] = STATE(78),
    [sym_caption] = STATE(78),
    [sym_citation] = STATE(78),
    [sym_label_definition] = STATE(78),
    [sym_label_reference] = STATE(78),
    [sym_label_reference_range] = STATE(78),
    [sym_label_number] = STATE(78),
    [sym_new_command_definition] = STATE(78),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(78),
    [sym_let_command_definition] = STATE(78),
    [sym_paired_delimiter_definition] = STATE(78),
    [sym_environment_definition] = STATE(78),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(78),
    [sym_glossary_entry_reference] = STATE(78),
    [sym_acronym_definition] = STATE(78),
    [sym_acronym_reference] = STATE(78),
    [sym_theorem_definition] = STATE(78),
    [sym_color_definition] = STATE(78),
    [sym_color_set_definition] = STATE(78),
    [sym_color_reference] = STATE(78),
    [sym_tikz_library_import] = STATE(78),
    [sym_hyperlink] = STATE(78),
    [aux_sym_source_file_repeat1] = STATE(78),
    [aux_sym__section_repeat1] = STATE(787),
    [aux_sym__section_repeat2] = STATE(788),
    [aux_sym__section_repeat3] = STATE(789),
    [aux_sym__section_repeat4] = STATE(790),
    [aux_sym__section_repeat5] = STATE(791),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(1990),
    [anon_sym_RBRACK] = ACTIONS(1990),
    [anon_sym_COMMA] = ACTIONS(1990),
    [anon_sym_EQ] = ACTIONS(1990),
    [anon_sym_LPAREN] = ACTIONS(1990),
    [anon_sym_RPAREN] = ACTIONS(1990),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2238),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2240),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [156] = {
    [sym_block_comment] = STATE(220),
    [sym__flat_content] = STATE(220),
    [sym__text_with_env_content] = STATE(220),
    [sym__text_content] = STATE(220),
    [sym__paragraph] = STATE(338),
    [sym__chapter_declaration] = STATE(158),
    [sym_chapter] = STATE(417),
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(418),
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(421),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(422),
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(373),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(374),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(375),
    [sym_curly_group] = STATE(220),
    [sym_text] = STATE(220),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(220),
    [sym_displayed_equation] = STATE(220),
    [sym_inline_formula] = STATE(220),
    [sym_math_delimiter] = STATE(220),
    [sym_text_mode] = STATE(220),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(220),
    [sym_comment_environment] = STATE(220),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(220),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(220),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(220),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(220),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(220),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(220),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(220),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(220),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(220),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(220),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(220),
    [sym_generic_command] = STATE(220),
    [sym_title_declaration] = STATE(220),
    [sym_author_declaration] = STATE(220),
    [sym_package_include] = STATE(220),
    [sym_class_include] = STATE(220),
    [sym_latex_include] = STATE(220),
    [sym_biblatex_include] = STATE(220),
    [sym_bibstyle_include] = STATE(220),
    [sym_bibtex_include] = STATE(220),
    [sym_graphics_include] = STATE(220),
    [sym_svg_include] = STATE(220),
    [sym_inkscape_include] = STATE(220),
    [sym_verbatim_include] = STATE(220),
    [sym_import_include] = STATE(220),
    [sym_caption] = STATE(220),
    [sym_citation] = STATE(220),
    [sym_label_definition] = STATE(220),
    [sym_label_reference] = STATE(220),
    [sym_label_reference_range] = STATE(220),
    [sym_label_number] = STATE(220),
    [sym_new_command_definition] = STATE(220),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(220),
    [sym_let_command_definition] = STATE(220),
    [sym_paired_delimiter_definition] = STATE(220),
    [sym_environment_definition] = STATE(220),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(220),
    [sym_glossary_entry_reference] = STATE(220),
    [sym_acronym_definition] = STATE(220),
    [sym_acronym_reference] = STATE(220),
    [sym_theorem_definition] = STATE(220),
    [sym_color_definition] = STATE(220),
    [sym_color_set_definition] = STATE(220),
    [sym_color_reference] = STATE(220),
    [sym_tikz_library_import] = STATE(220),
    [sym_hyperlink] = STATE(220),
    [aux_sym__section_repeat2] = STATE(417),
    [aux_sym__section_repeat3] = STATE(418),
    [aux_sym__section_repeat4] = STATE(421),
    [aux_sym__section_repeat5] = STATE(422),
    [aux_sym__paragraph_repeat1] = STATE(373),
    [aux_sym__paragraph_repeat2] = STATE(374),
    [aux_sym__paragraph_repeat3] = STATE(375),
    [aux_sym_part_repeat1] = STATE(220),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_RBRACK] = ACTIONS(2242),
    [anon_sym_COMMA] = ACTIONS(2242),
    [anon_sym_EQ] = ACTIONS(2242),
    [anon_sym_LPAREN] = ACTIONS(2242),
    [anon_sym_RPAREN] = ACTIONS(2242),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(189),
    [anon_sym_BSLASHaddchap] = ACTIONS(187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(189),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(2244),
    [anon_sym_BSLASHbigr] = ACTIONS(2244),
    [anon_sym_BSLASHBigr] = ACTIONS(2244),
    [anon_sym_BSLASHbiggr] = ACTIONS(2244),
    [anon_sym_BSLASHBiggr] = ACTIONS(2244),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [157] = {
    [sym_block_comment] = STATE(156),
    [sym__flat_content] = STATE(156),
    [sym__text_with_env_content] = STATE(156),
    [sym__text_content] = STATE(156),
    [sym__paragraph] = STATE(337),
    [sym__chapter_declaration] = STATE(158),
    [sym_chapter] = STATE(378),
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(379),
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(380),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(381),
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(373),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(374),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(375),
    [sym_curly_group] = STATE(156),
    [sym_text] = STATE(156),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(156),
    [sym_displayed_equation] = STATE(156),
    [sym_inline_formula] = STATE(156),
    [sym_math_delimiter] = STATE(156),
    [sym_text_mode] = STATE(156),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(156),
    [sym_comment_environment] = STATE(156),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(156),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(156),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(156),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(156),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(156),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(156),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(156),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(156),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(156),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(156),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(156),
    [sym_generic_command] = STATE(156),
    [sym_title_declaration] = STATE(156),
    [sym_author_declaration] = STATE(156),
    [sym_package_include] = STATE(156),
    [sym_class_include] = STATE(156),
    [sym_latex_include] = STATE(156),
    [sym_biblatex_include] = STATE(156),
    [sym_bibstyle_include] = STATE(156),
    [sym_bibtex_include] = STATE(156),
    [sym_graphics_include] = STATE(156),
    [sym_svg_include] = STATE(156),
    [sym_inkscape_include] = STATE(156),
    [sym_verbatim_include] = STATE(156),
    [sym_import_include] = STATE(156),
    [sym_caption] = STATE(156),
    [sym_citation] = STATE(156),
    [sym_label_definition] = STATE(156),
    [sym_label_reference] = STATE(156),
    [sym_label_reference_range] = STATE(156),
    [sym_label_number] = STATE(156),
    [sym_new_command_definition] = STATE(156),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(156),
    [sym_let_command_definition] = STATE(156),
    [sym_paired_delimiter_definition] = STATE(156),
    [sym_environment_definition] = STATE(156),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(156),
    [sym_glossary_entry_reference] = STATE(156),
    [sym_acronym_definition] = STATE(156),
    [sym_acronym_reference] = STATE(156),
    [sym_theorem_definition] = STATE(156),
    [sym_color_definition] = STATE(156),
    [sym_color_set_definition] = STATE(156),
    [sym_color_reference] = STATE(156),
    [sym_tikz_library_import] = STATE(156),
    [sym_hyperlink] = STATE(156),
    [aux_sym__section_repeat2] = STATE(378),
    [aux_sym__section_repeat3] = STATE(379),
    [aux_sym__section_repeat4] = STATE(380),
    [aux_sym__section_repeat5] = STATE(381),
    [aux_sym__paragraph_repeat1] = STATE(373),
    [aux_sym__paragraph_repeat2] = STATE(374),
    [aux_sym__paragraph_repeat3] = STATE(375),
    [aux_sym_part_repeat1] = STATE(156),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(2248),
    [anon_sym_RBRACK] = ACTIONS(2248),
    [anon_sym_COMMA] = ACTIONS(2248),
    [anon_sym_EQ] = ACTIONS(2248),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [anon_sym_RPAREN] = ACTIONS(2248),
    [anon_sym_BSLASHpart] = ACTIONS(2250),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2252),
    [anon_sym_BSLASHaddpart] = ACTIONS(2250),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2252),
    [anon_sym_BSLASHchapter] = ACTIONS(187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(189),
    [anon_sym_BSLASHaddchap] = ACTIONS(187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(189),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(2250),
    [anon_sym_BSLASHbigr] = ACTIONS(2250),
    [anon_sym_BSLASHBigr] = ACTIONS(2250),
    [anon_sym_BSLASHbiggr] = ACTIONS(2250),
    [anon_sym_BSLASHBiggr] = ACTIONS(2250),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [158] = {
    [sym_block_comment] = STATE(159),
    [sym__flat_content] = STATE(159),
    [sym__text_with_env_content] = STATE(159),
    [sym__text_content] = STATE(159),
    [sym__paragraph] = STATE(339),
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(384),
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(385),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(386),
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(373),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(374),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(375),
    [sym_curly_group] = STATE(159),
    [sym_text] = STATE(159),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(159),
    [sym_displayed_equation] = STATE(159),
    [sym_inline_formula] = STATE(159),
    [sym_math_delimiter] = STATE(159),
    [sym_text_mode] = STATE(159),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(159),
    [sym_comment_environment] = STATE(159),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(159),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(159),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(159),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(159),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(159),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(159),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(159),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(159),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(159),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(159),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(159),
    [sym_generic_command] = STATE(159),
    [sym_title_declaration] = STATE(159),
    [sym_author_declaration] = STATE(159),
    [sym_package_include] = STATE(159),
    [sym_class_include] = STATE(159),
    [sym_latex_include] = STATE(159),
    [sym_biblatex_include] = STATE(159),
    [sym_bibstyle_include] = STATE(159),
    [sym_bibtex_include] = STATE(159),
    [sym_graphics_include] = STATE(159),
    [sym_svg_include] = STATE(159),
    [sym_inkscape_include] = STATE(159),
    [sym_verbatim_include] = STATE(159),
    [sym_import_include] = STATE(159),
    [sym_caption] = STATE(159),
    [sym_citation] = STATE(159),
    [sym_label_definition] = STATE(159),
    [sym_label_reference] = STATE(159),
    [sym_label_reference_range] = STATE(159),
    [sym_label_number] = STATE(159),
    [sym_new_command_definition] = STATE(159),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(159),
    [sym_let_command_definition] = STATE(159),
    [sym_paired_delimiter_definition] = STATE(159),
    [sym_environment_definition] = STATE(159),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(159),
    [sym_glossary_entry_reference] = STATE(159),
    [sym_acronym_definition] = STATE(159),
    [sym_acronym_reference] = STATE(159),
    [sym_theorem_definition] = STATE(159),
    [sym_color_definition] = STATE(159),
    [sym_color_set_definition] = STATE(159),
    [sym_color_reference] = STATE(159),
    [sym_tikz_library_import] = STATE(159),
    [sym_hyperlink] = STATE(159),
    [aux_sym__section_repeat3] = STATE(384),
    [aux_sym__section_repeat4] = STATE(385),
    [aux_sym__section_repeat5] = STATE(386),
    [aux_sym__paragraph_repeat1] = STATE(373),
    [aux_sym__paragraph_repeat2] = STATE(374),
    [aux_sym__paragraph_repeat3] = STATE(375),
    [aux_sym_part_repeat1] = STATE(159),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(2254),
    [anon_sym_RBRACK] = ACTIONS(2254),
    [anon_sym_COMMA] = ACTIONS(2254),
    [anon_sym_EQ] = ACTIONS(2254),
    [anon_sym_LPAREN] = ACTIONS(2254),
    [anon_sym_RPAREN] = ACTIONS(2254),
    [anon_sym_BSLASHpart] = ACTIONS(2256),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2258),
    [anon_sym_BSLASHaddpart] = ACTIONS(2256),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2258),
    [anon_sym_BSLASHchapter] = ACTIONS(2256),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2258),
    [anon_sym_BSLASHaddchap] = ACTIONS(2256),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2258),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(2256),
    [anon_sym_BSLASHbigr] = ACTIONS(2256),
    [anon_sym_BSLASHBigr] = ACTIONS(2256),
    [anon_sym_BSLASHbiggr] = ACTIONS(2256),
    [anon_sym_BSLASHBiggr] = ACTIONS(2256),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [159] = {
    [sym_block_comment] = STATE(220),
    [sym__flat_content] = STATE(220),
    [sym__text_with_env_content] = STATE(220),
    [sym__text_content] = STATE(220),
    [sym__paragraph] = STATE(342),
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(426),
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(427),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(428),
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(373),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(374),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(375),
    [sym_curly_group] = STATE(220),
    [sym_text] = STATE(220),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(220),
    [sym_displayed_equation] = STATE(220),
    [sym_inline_formula] = STATE(220),
    [sym_math_delimiter] = STATE(220),
    [sym_text_mode] = STATE(220),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(220),
    [sym_comment_environment] = STATE(220),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(220),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(220),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(220),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(220),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(220),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(220),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(220),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(220),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(220),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(220),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(220),
    [sym_generic_command] = STATE(220),
    [sym_title_declaration] = STATE(220),
    [sym_author_declaration] = STATE(220),
    [sym_package_include] = STATE(220),
    [sym_class_include] = STATE(220),
    [sym_latex_include] = STATE(220),
    [sym_biblatex_include] = STATE(220),
    [sym_bibstyle_include] = STATE(220),
    [sym_bibtex_include] = STATE(220),
    [sym_graphics_include] = STATE(220),
    [sym_svg_include] = STATE(220),
    [sym_inkscape_include] = STATE(220),
    [sym_verbatim_include] = STATE(220),
    [sym_import_include] = STATE(220),
    [sym_caption] = STATE(220),
    [sym_citation] = STATE(220),
    [sym_label_definition] = STATE(220),
    [sym_label_reference] = STATE(220),
    [sym_label_reference_range] = STATE(220),
    [sym_label_number] = STATE(220),
    [sym_new_command_definition] = STATE(220),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(220),
    [sym_let_command_definition] = STATE(220),
    [sym_paired_delimiter_definition] = STATE(220),
    [sym_environment_definition] = STATE(220),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(220),
    [sym_glossary_entry_reference] = STATE(220),
    [sym_acronym_definition] = STATE(220),
    [sym_acronym_reference] = STATE(220),
    [sym_theorem_definition] = STATE(220),
    [sym_color_definition] = STATE(220),
    [sym_color_set_definition] = STATE(220),
    [sym_color_reference] = STATE(220),
    [sym_tikz_library_import] = STATE(220),
    [sym_hyperlink] = STATE(220),
    [aux_sym__section_repeat3] = STATE(426),
    [aux_sym__section_repeat4] = STATE(427),
    [aux_sym__section_repeat5] = STATE(428),
    [aux_sym__paragraph_repeat1] = STATE(373),
    [aux_sym__paragraph_repeat2] = STATE(374),
    [aux_sym__paragraph_repeat3] = STATE(375),
    [aux_sym_part_repeat1] = STATE(220),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_RBRACK] = ACTIONS(2242),
    [anon_sym_COMMA] = ACTIONS(2242),
    [anon_sym_EQ] = ACTIONS(2242),
    [anon_sym_LPAREN] = ACTIONS(2242),
    [anon_sym_RPAREN] = ACTIONS(2242),
    [anon_sym_BSLASHpart] = ACTIONS(2260),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddpart] = ACTIONS(2260),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHchapter] = ACTIONS(2260),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddchap] = ACTIONS(2260),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(2260),
    [anon_sym_BSLASHbigr] = ACTIONS(2260),
    [anon_sym_BSLASHBigr] = ACTIONS(2260),
    [anon_sym_BSLASHbiggr] = ACTIONS(2260),
    [anon_sym_BSLASHBiggr] = ACTIONS(2260),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [160] = {
    [sym_block_comment] = STATE(230),
    [sym__flat_content] = STATE(230),
    [sym__text_with_env_content] = STATE(230),
    [sym__text_content] = STATE(230),
    [sym__paragraph] = STATE(340),
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(547),
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(548),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(549),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(550),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(230),
    [sym_text] = STATE(230),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(230),
    [sym_displayed_equation] = STATE(230),
    [sym_inline_formula] = STATE(230),
    [sym_math_delimiter] = STATE(230),
    [sym_text_mode] = STATE(230),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(230),
    [sym_comment_environment] = STATE(230),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(230),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(230),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(230),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(230),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(230),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(230),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(230),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(230),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(230),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(230),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(230),
    [sym_generic_command] = STATE(230),
    [sym_title_declaration] = STATE(230),
    [sym_author_declaration] = STATE(230),
    [sym_package_include] = STATE(230),
    [sym_class_include] = STATE(230),
    [sym_latex_include] = STATE(230),
    [sym_biblatex_include] = STATE(230),
    [sym_bibstyle_include] = STATE(230),
    [sym_bibtex_include] = STATE(230),
    [sym_graphics_include] = STATE(230),
    [sym_svg_include] = STATE(230),
    [sym_inkscape_include] = STATE(230),
    [sym_verbatim_include] = STATE(230),
    [sym_import_include] = STATE(230),
    [sym_caption] = STATE(230),
    [sym_citation] = STATE(230),
    [sym_label_definition] = STATE(230),
    [sym_label_reference] = STATE(230),
    [sym_label_reference_range] = STATE(230),
    [sym_label_number] = STATE(230),
    [sym_new_command_definition] = STATE(230),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(230),
    [sym_let_command_definition] = STATE(230),
    [sym_paired_delimiter_definition] = STATE(230),
    [sym_environment_definition] = STATE(230),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(230),
    [sym_glossary_entry_reference] = STATE(230),
    [sym_acronym_definition] = STATE(230),
    [sym_acronym_reference] = STATE(230),
    [sym_theorem_definition] = STATE(230),
    [sym_color_definition] = STATE(230),
    [sym_color_set_definition] = STATE(230),
    [sym_color_reference] = STATE(230),
    [sym_tikz_library_import] = STATE(230),
    [sym_hyperlink] = STATE(230),
    [aux_sym__section_repeat2] = STATE(547),
    [aux_sym__section_repeat3] = STATE(548),
    [aux_sym__section_repeat4] = STATE(549),
    [aux_sym__section_repeat5] = STATE(550),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_part_repeat1] = STATE(230),
    [aux_sym_text_repeat1] = STATE(266),
    [ts_builtin_sym_end] = ACTIONS(2246),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_RBRACK] = ACTIONS(2264),
    [anon_sym_COMMA] = ACTIONS(2264),
    [anon_sym_EQ] = ACTIONS(2264),
    [anon_sym_LPAREN] = ACTIONS(2264),
    [anon_sym_RPAREN] = ACTIONS(2264),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2246),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [161] = {
    [sym_block_comment] = STATE(160),
    [sym__flat_content] = STATE(160),
    [sym__text_with_env_content] = STATE(160),
    [sym__text_content] = STATE(160),
    [sym__paragraph] = STATE(341),
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(501),
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(502),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(503),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(504),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(160),
    [sym_text] = STATE(160),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(160),
    [sym_displayed_equation] = STATE(160),
    [sym_inline_formula] = STATE(160),
    [sym_math_delimiter] = STATE(160),
    [sym_text_mode] = STATE(160),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(160),
    [sym_comment_environment] = STATE(160),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(160),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(160),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(160),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(160),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(160),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(160),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(160),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(160),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(160),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(160),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(160),
    [sym_generic_command] = STATE(160),
    [sym_title_declaration] = STATE(160),
    [sym_author_declaration] = STATE(160),
    [sym_package_include] = STATE(160),
    [sym_class_include] = STATE(160),
    [sym_latex_include] = STATE(160),
    [sym_biblatex_include] = STATE(160),
    [sym_bibstyle_include] = STATE(160),
    [sym_bibtex_include] = STATE(160),
    [sym_graphics_include] = STATE(160),
    [sym_svg_include] = STATE(160),
    [sym_inkscape_include] = STATE(160),
    [sym_verbatim_include] = STATE(160),
    [sym_import_include] = STATE(160),
    [sym_caption] = STATE(160),
    [sym_citation] = STATE(160),
    [sym_label_definition] = STATE(160),
    [sym_label_reference] = STATE(160),
    [sym_label_reference_range] = STATE(160),
    [sym_label_number] = STATE(160),
    [sym_new_command_definition] = STATE(160),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(160),
    [sym_let_command_definition] = STATE(160),
    [sym_paired_delimiter_definition] = STATE(160),
    [sym_environment_definition] = STATE(160),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(160),
    [sym_glossary_entry_reference] = STATE(160),
    [sym_acronym_definition] = STATE(160),
    [sym_acronym_reference] = STATE(160),
    [sym_theorem_definition] = STATE(160),
    [sym_color_definition] = STATE(160),
    [sym_color_set_definition] = STATE(160),
    [sym_color_reference] = STATE(160),
    [sym_tikz_library_import] = STATE(160),
    [sym_hyperlink] = STATE(160),
    [aux_sym__section_repeat2] = STATE(501),
    [aux_sym__section_repeat3] = STATE(502),
    [aux_sym__section_repeat4] = STATE(503),
    [aux_sym__section_repeat5] = STATE(504),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_part_repeat1] = STATE(160),
    [aux_sym_text_repeat1] = STATE(266),
    [ts_builtin_sym_end] = ACTIONS(2252),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_RBRACK] = ACTIONS(2266),
    [anon_sym_COMMA] = ACTIONS(2266),
    [anon_sym_EQ] = ACTIONS(2266),
    [anon_sym_LPAREN] = ACTIONS(2266),
    [anon_sym_RPAREN] = ACTIONS(2266),
    [anon_sym_BSLASHpart] = ACTIONS(2250),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2252),
    [anon_sym_BSLASHaddpart] = ACTIONS(2250),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2252),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2252),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [162] = {
    [sym_block_comment] = STATE(234),
    [sym__flat_content] = STATE(234),
    [sym__text_with_env_content] = STATE(234),
    [sym__text_content] = STATE(234),
    [sym__paragraph] = STATE(345),
    [sym__chapter_declaration] = STATE(173),
    [sym_chapter] = STATE(831),
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(832),
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(833),
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(834),
    [sym__paragraph_declaration] = STATE(213),
    [sym_paragraph] = STATE(800),
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(801),
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(802),
    [sym_curly_group] = STATE(234),
    [sym_text] = STATE(234),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(234),
    [sym_displayed_equation] = STATE(234),
    [sym_inline_formula] = STATE(234),
    [sym_math_delimiter] = STATE(234),
    [sym_text_mode] = STATE(234),
    [sym_begin] = STATE(71),
    [sym_generic_environment] = STATE(234),
    [sym_comment_environment] = STATE(234),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(234),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(234),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(234),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(234),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(234),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(234),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(234),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(234),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(234),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(234),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(234),
    [sym_generic_command] = STATE(234),
    [sym_title_declaration] = STATE(234),
    [sym_author_declaration] = STATE(234),
    [sym_package_include] = STATE(234),
    [sym_class_include] = STATE(234),
    [sym_latex_include] = STATE(234),
    [sym_biblatex_include] = STATE(234),
    [sym_bibstyle_include] = STATE(234),
    [sym_bibtex_include] = STATE(234),
    [sym_graphics_include] = STATE(234),
    [sym_svg_include] = STATE(234),
    [sym_inkscape_include] = STATE(234),
    [sym_verbatim_include] = STATE(234),
    [sym_import_include] = STATE(234),
    [sym_caption] = STATE(234),
    [sym_citation] = STATE(234),
    [sym_label_definition] = STATE(234),
    [sym_label_reference] = STATE(234),
    [sym_label_reference_range] = STATE(234),
    [sym_label_number] = STATE(234),
    [sym_new_command_definition] = STATE(234),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(234),
    [sym_let_command_definition] = STATE(234),
    [sym_paired_delimiter_definition] = STATE(234),
    [sym_environment_definition] = STATE(234),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(234),
    [sym_glossary_entry_reference] = STATE(234),
    [sym_acronym_definition] = STATE(234),
    [sym_acronym_reference] = STATE(234),
    [sym_theorem_definition] = STATE(234),
    [sym_color_definition] = STATE(234),
    [sym_color_set_definition] = STATE(234),
    [sym_color_reference] = STATE(234),
    [sym_tikz_library_import] = STATE(234),
    [sym_hyperlink] = STATE(234),
    [aux_sym__section_repeat2] = STATE(831),
    [aux_sym__section_repeat3] = STATE(832),
    [aux_sym__section_repeat4] = STATE(833),
    [aux_sym__section_repeat5] = STATE(834),
    [aux_sym__paragraph_repeat1] = STATE(800),
    [aux_sym__paragraph_repeat2] = STATE(801),
    [aux_sym__paragraph_repeat3] = STATE(802),
    [aux_sym_part_repeat1] = STATE(234),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_RBRACK] = ACTIONS(2268),
    [anon_sym_COMMA] = ACTIONS(2268),
    [anon_sym_EQ] = ACTIONS(2268),
    [anon_sym_LPAREN] = ACTIONS(2268),
    [anon_sym_RPAREN] = ACTIONS(2268),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(684),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(686),
    [anon_sym_BSLASHaddchap] = ACTIONS(684),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(686),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(704),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(706),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(2244),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [163] = {
    [sym_block_comment] = STATE(162),
    [sym__flat_content] = STATE(162),
    [sym__text_with_env_content] = STATE(162),
    [sym__text_content] = STATE(162),
    [sym__paragraph] = STATE(344),
    [sym__chapter_declaration] = STATE(173),
    [sym_chapter] = STATE(804),
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(805),
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(806),
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(807),
    [sym__paragraph_declaration] = STATE(213),
    [sym_paragraph] = STATE(800),
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(801),
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(802),
    [sym_curly_group] = STATE(162),
    [sym_text] = STATE(162),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(162),
    [sym_displayed_equation] = STATE(162),
    [sym_inline_formula] = STATE(162),
    [sym_math_delimiter] = STATE(162),
    [sym_text_mode] = STATE(162),
    [sym_begin] = STATE(71),
    [sym_generic_environment] = STATE(162),
    [sym_comment_environment] = STATE(162),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(162),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(162),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(162),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(162),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(162),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(162),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(162),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(162),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(162),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(162),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(162),
    [sym_generic_command] = STATE(162),
    [sym_title_declaration] = STATE(162),
    [sym_author_declaration] = STATE(162),
    [sym_package_include] = STATE(162),
    [sym_class_include] = STATE(162),
    [sym_latex_include] = STATE(162),
    [sym_biblatex_include] = STATE(162),
    [sym_bibstyle_include] = STATE(162),
    [sym_bibtex_include] = STATE(162),
    [sym_graphics_include] = STATE(162),
    [sym_svg_include] = STATE(162),
    [sym_inkscape_include] = STATE(162),
    [sym_verbatim_include] = STATE(162),
    [sym_import_include] = STATE(162),
    [sym_caption] = STATE(162),
    [sym_citation] = STATE(162),
    [sym_label_definition] = STATE(162),
    [sym_label_reference] = STATE(162),
    [sym_label_reference_range] = STATE(162),
    [sym_label_number] = STATE(162),
    [sym_new_command_definition] = STATE(162),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(162),
    [sym_let_command_definition] = STATE(162),
    [sym_paired_delimiter_definition] = STATE(162),
    [sym_environment_definition] = STATE(162),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(162),
    [sym_glossary_entry_reference] = STATE(162),
    [sym_acronym_definition] = STATE(162),
    [sym_acronym_reference] = STATE(162),
    [sym_theorem_definition] = STATE(162),
    [sym_color_definition] = STATE(162),
    [sym_color_set_definition] = STATE(162),
    [sym_color_reference] = STATE(162),
    [sym_tikz_library_import] = STATE(162),
    [sym_hyperlink] = STATE(162),
    [aux_sym__section_repeat2] = STATE(804),
    [aux_sym__section_repeat3] = STATE(805),
    [aux_sym__section_repeat4] = STATE(806),
    [aux_sym__section_repeat5] = STATE(807),
    [aux_sym__paragraph_repeat1] = STATE(800),
    [aux_sym__paragraph_repeat2] = STATE(801),
    [aux_sym__paragraph_repeat3] = STATE(802),
    [aux_sym_part_repeat1] = STATE(162),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(2270),
    [anon_sym_RBRACK] = ACTIONS(2270),
    [anon_sym_COMMA] = ACTIONS(2270),
    [anon_sym_EQ] = ACTIONS(2270),
    [anon_sym_LPAREN] = ACTIONS(2270),
    [anon_sym_RPAREN] = ACTIONS(2270),
    [anon_sym_BSLASHpart] = ACTIONS(2250),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2252),
    [anon_sym_BSLASHaddpart] = ACTIONS(2250),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2252),
    [anon_sym_BSLASHchapter] = ACTIONS(684),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(686),
    [anon_sym_BSLASHaddchap] = ACTIONS(684),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(686),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(704),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(706),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(2250),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [164] = {
    [sym_block_comment] = STATE(238),
    [sym__flat_content] = STATE(238),
    [sym__text_with_env_content] = STATE(238),
    [sym__text_content] = STATE(238),
    [sym__paragraph] = STATE(347),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(749),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(750),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(751),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(752),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(238),
    [sym_text] = STATE(238),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(238),
    [sym_displayed_equation] = STATE(238),
    [sym_inline_formula] = STATE(238),
    [sym_math_delimiter] = STATE(238),
    [sym_text_mode] = STATE(238),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(238),
    [sym_comment_environment] = STATE(238),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(238),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(238),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(238),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(238),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(238),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(238),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(238),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(238),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(238),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(238),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(238),
    [sym_generic_command] = STATE(238),
    [sym_title_declaration] = STATE(238),
    [sym_author_declaration] = STATE(238),
    [sym_package_include] = STATE(238),
    [sym_class_include] = STATE(238),
    [sym_latex_include] = STATE(238),
    [sym_biblatex_include] = STATE(238),
    [sym_bibstyle_include] = STATE(238),
    [sym_bibtex_include] = STATE(238),
    [sym_graphics_include] = STATE(238),
    [sym_svg_include] = STATE(238),
    [sym_inkscape_include] = STATE(238),
    [sym_verbatim_include] = STATE(238),
    [sym_import_include] = STATE(238),
    [sym_caption] = STATE(238),
    [sym_citation] = STATE(238),
    [sym_label_definition] = STATE(238),
    [sym_label_reference] = STATE(238),
    [sym_label_reference_range] = STATE(238),
    [sym_label_number] = STATE(238),
    [sym_new_command_definition] = STATE(238),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(238),
    [sym_let_command_definition] = STATE(238),
    [sym_paired_delimiter_definition] = STATE(238),
    [sym_environment_definition] = STATE(238),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(238),
    [sym_glossary_entry_reference] = STATE(238),
    [sym_acronym_definition] = STATE(238),
    [sym_acronym_reference] = STATE(238),
    [sym_theorem_definition] = STATE(238),
    [sym_color_definition] = STATE(238),
    [sym_color_set_definition] = STATE(238),
    [sym_color_reference] = STATE(238),
    [sym_tikz_library_import] = STATE(238),
    [sym_hyperlink] = STATE(238),
    [aux_sym__section_repeat2] = STATE(749),
    [aux_sym__section_repeat3] = STATE(750),
    [aux_sym__section_repeat4] = STATE(751),
    [aux_sym__section_repeat5] = STATE(752),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_part_repeat1] = STATE(238),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_RBRACK] = ACTIONS(2272),
    [anon_sym_COMMA] = ACTIONS(2272),
    [anon_sym_EQ] = ACTIONS(2272),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_RPAREN] = ACTIONS(2272),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2274),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [165] = {
    [sym_block_comment] = STATE(164),
    [sym__flat_content] = STATE(164),
    [sym__text_with_env_content] = STATE(164),
    [sym__text_content] = STATE(164),
    [sym__paragraph] = STATE(346),
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(864),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(865),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(866),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(867),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(164),
    [sym_text] = STATE(164),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(164),
    [sym_displayed_equation] = STATE(164),
    [sym_inline_formula] = STATE(164),
    [sym_math_delimiter] = STATE(164),
    [sym_text_mode] = STATE(164),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(164),
    [sym_comment_environment] = STATE(164),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(164),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(164),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(164),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(164),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(164),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(164),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(164),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(164),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(164),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(164),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(164),
    [sym_generic_command] = STATE(164),
    [sym_title_declaration] = STATE(164),
    [sym_author_declaration] = STATE(164),
    [sym_package_include] = STATE(164),
    [sym_class_include] = STATE(164),
    [sym_latex_include] = STATE(164),
    [sym_biblatex_include] = STATE(164),
    [sym_bibstyle_include] = STATE(164),
    [sym_bibtex_include] = STATE(164),
    [sym_graphics_include] = STATE(164),
    [sym_svg_include] = STATE(164),
    [sym_inkscape_include] = STATE(164),
    [sym_verbatim_include] = STATE(164),
    [sym_import_include] = STATE(164),
    [sym_caption] = STATE(164),
    [sym_citation] = STATE(164),
    [sym_label_definition] = STATE(164),
    [sym_label_reference] = STATE(164),
    [sym_label_reference_range] = STATE(164),
    [sym_label_number] = STATE(164),
    [sym_new_command_definition] = STATE(164),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(164),
    [sym_let_command_definition] = STATE(164),
    [sym_paired_delimiter_definition] = STATE(164),
    [sym_environment_definition] = STATE(164),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(164),
    [sym_glossary_entry_reference] = STATE(164),
    [sym_acronym_definition] = STATE(164),
    [sym_acronym_reference] = STATE(164),
    [sym_theorem_definition] = STATE(164),
    [sym_color_definition] = STATE(164),
    [sym_color_set_definition] = STATE(164),
    [sym_color_reference] = STATE(164),
    [sym_tikz_library_import] = STATE(164),
    [sym_hyperlink] = STATE(164),
    [aux_sym__section_repeat2] = STATE(864),
    [aux_sym__section_repeat3] = STATE(865),
    [aux_sym__section_repeat4] = STATE(866),
    [aux_sym__section_repeat5] = STATE(867),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_part_repeat1] = STATE(164),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(2276),
    [anon_sym_RBRACK] = ACTIONS(2276),
    [anon_sym_COMMA] = ACTIONS(2276),
    [anon_sym_EQ] = ACTIONS(2276),
    [anon_sym_LPAREN] = ACTIONS(2276),
    [anon_sym_RPAREN] = ACTIONS(2276),
    [anon_sym_BSLASHpart] = ACTIONS(2250),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2252),
    [anon_sym_BSLASHaddpart] = ACTIONS(2250),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2252),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2274),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2252),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [166] = {
    [sym_block_comment] = STATE(167),
    [sym__flat_content] = STATE(167),
    [sym__text_with_env_content] = STATE(167),
    [sym__text_content] = STATE(167),
    [sym__paragraph] = STATE(348),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(903),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(904),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(905),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(906),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(167),
    [sym_text] = STATE(167),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(167),
    [sym_displayed_equation] = STATE(167),
    [sym_inline_formula] = STATE(167),
    [sym_math_delimiter] = STATE(167),
    [sym_text_mode] = STATE(167),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(167),
    [sym_comment_environment] = STATE(167),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(167),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(167),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(167),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(167),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(167),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(167),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(167),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(167),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(167),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(167),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(167),
    [sym_generic_command] = STATE(167),
    [sym_title_declaration] = STATE(167),
    [sym_author_declaration] = STATE(167),
    [sym_package_include] = STATE(167),
    [sym_class_include] = STATE(167),
    [sym_latex_include] = STATE(167),
    [sym_biblatex_include] = STATE(167),
    [sym_bibstyle_include] = STATE(167),
    [sym_bibtex_include] = STATE(167),
    [sym_graphics_include] = STATE(167),
    [sym_svg_include] = STATE(167),
    [sym_inkscape_include] = STATE(167),
    [sym_verbatim_include] = STATE(167),
    [sym_import_include] = STATE(167),
    [sym_caption] = STATE(167),
    [sym_citation] = STATE(167),
    [sym_label_definition] = STATE(167),
    [sym_label_reference] = STATE(167),
    [sym_label_reference_range] = STATE(167),
    [sym_label_number] = STATE(167),
    [sym_new_command_definition] = STATE(167),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(167),
    [sym_let_command_definition] = STATE(167),
    [sym_paired_delimiter_definition] = STATE(167),
    [sym_environment_definition] = STATE(167),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(167),
    [sym_glossary_entry_reference] = STATE(167),
    [sym_acronym_definition] = STATE(167),
    [sym_acronym_reference] = STATE(167),
    [sym_theorem_definition] = STATE(167),
    [sym_color_definition] = STATE(167),
    [sym_color_set_definition] = STATE(167),
    [sym_color_reference] = STATE(167),
    [sym_tikz_library_import] = STATE(167),
    [sym_hyperlink] = STATE(167),
    [aux_sym__section_repeat2] = STATE(903),
    [aux_sym__section_repeat3] = STATE(904),
    [aux_sym__section_repeat4] = STATE(905),
    [aux_sym__section_repeat5] = STATE(906),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_part_repeat1] = STATE(167),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(2278),
    [anon_sym_RBRACK] = ACTIONS(2278),
    [anon_sym_COMMA] = ACTIONS(2278),
    [anon_sym_EQ] = ACTIONS(2278),
    [anon_sym_LPAREN] = ACTIONS(2278),
    [anon_sym_RPAREN] = ACTIONS(2278),
    [anon_sym_BSLASHpart] = ACTIONS(2250),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2252),
    [anon_sym_BSLASHaddpart] = ACTIONS(2250),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2252),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1440),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2252),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [167] = {
    [sym_block_comment] = STATE(239),
    [sym__flat_content] = STATE(239),
    [sym__text_with_env_content] = STATE(239),
    [sym__text_content] = STATE(239),
    [sym__paragraph] = STATE(343),
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(930),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(931),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(932),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(933),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(239),
    [sym_text] = STATE(239),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(239),
    [sym_displayed_equation] = STATE(239),
    [sym_inline_formula] = STATE(239),
    [sym_math_delimiter] = STATE(239),
    [sym_text_mode] = STATE(239),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(239),
    [sym_comment_environment] = STATE(239),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(239),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(239),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(239),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(239),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(239),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(239),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(239),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(239),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(239),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(239),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(239),
    [sym_generic_command] = STATE(239),
    [sym_title_declaration] = STATE(239),
    [sym_author_declaration] = STATE(239),
    [sym_package_include] = STATE(239),
    [sym_class_include] = STATE(239),
    [sym_latex_include] = STATE(239),
    [sym_biblatex_include] = STATE(239),
    [sym_bibstyle_include] = STATE(239),
    [sym_bibtex_include] = STATE(239),
    [sym_graphics_include] = STATE(239),
    [sym_svg_include] = STATE(239),
    [sym_inkscape_include] = STATE(239),
    [sym_verbatim_include] = STATE(239),
    [sym_import_include] = STATE(239),
    [sym_caption] = STATE(239),
    [sym_citation] = STATE(239),
    [sym_label_definition] = STATE(239),
    [sym_label_reference] = STATE(239),
    [sym_label_reference_range] = STATE(239),
    [sym_label_number] = STATE(239),
    [sym_new_command_definition] = STATE(239),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(239),
    [sym_let_command_definition] = STATE(239),
    [sym_paired_delimiter_definition] = STATE(239),
    [sym_environment_definition] = STATE(239),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(239),
    [sym_glossary_entry_reference] = STATE(239),
    [sym_acronym_definition] = STATE(239),
    [sym_acronym_reference] = STATE(239),
    [sym_theorem_definition] = STATE(239),
    [sym_color_definition] = STATE(239),
    [sym_color_set_definition] = STATE(239),
    [sym_color_reference] = STATE(239),
    [sym_tikz_library_import] = STATE(239),
    [sym_hyperlink] = STATE(239),
    [aux_sym__section_repeat2] = STATE(930),
    [aux_sym__section_repeat3] = STATE(931),
    [aux_sym__section_repeat4] = STATE(932),
    [aux_sym__section_repeat5] = STATE(933),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_part_repeat1] = STATE(239),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_RBRACK] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(2280),
    [anon_sym_EQ] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_RPAREN] = ACTIONS(2280),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1440),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2246),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [168] = {
    [sym_block_comment] = STATE(171),
    [sym__flat_content] = STATE(171),
    [sym__text_with_env_content] = STATE(171),
    [sym__text_content] = STATE(171),
    [sym__paragraph] = STATE(349),
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(388),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(389),
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(373),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(374),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(375),
    [sym_curly_group] = STATE(171),
    [sym_text] = STATE(171),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(171),
    [sym_displayed_equation] = STATE(171),
    [sym_inline_formula] = STATE(171),
    [sym_math_delimiter] = STATE(171),
    [sym_text_mode] = STATE(171),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(171),
    [sym_comment_environment] = STATE(171),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(171),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(171),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(171),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(171),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(171),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(171),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(171),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(171),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(171),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(171),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(171),
    [sym_generic_command] = STATE(171),
    [sym_title_declaration] = STATE(171),
    [sym_author_declaration] = STATE(171),
    [sym_package_include] = STATE(171),
    [sym_class_include] = STATE(171),
    [sym_latex_include] = STATE(171),
    [sym_biblatex_include] = STATE(171),
    [sym_bibstyle_include] = STATE(171),
    [sym_bibtex_include] = STATE(171),
    [sym_graphics_include] = STATE(171),
    [sym_svg_include] = STATE(171),
    [sym_inkscape_include] = STATE(171),
    [sym_verbatim_include] = STATE(171),
    [sym_import_include] = STATE(171),
    [sym_caption] = STATE(171),
    [sym_citation] = STATE(171),
    [sym_label_definition] = STATE(171),
    [sym_label_reference] = STATE(171),
    [sym_label_reference_range] = STATE(171),
    [sym_label_number] = STATE(171),
    [sym_new_command_definition] = STATE(171),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(171),
    [sym_let_command_definition] = STATE(171),
    [sym_paired_delimiter_definition] = STATE(171),
    [sym_environment_definition] = STATE(171),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(171),
    [sym_glossary_entry_reference] = STATE(171),
    [sym_acronym_definition] = STATE(171),
    [sym_acronym_reference] = STATE(171),
    [sym_theorem_definition] = STATE(171),
    [sym_color_definition] = STATE(171),
    [sym_color_set_definition] = STATE(171),
    [sym_color_reference] = STATE(171),
    [sym_tikz_library_import] = STATE(171),
    [sym_hyperlink] = STATE(171),
    [aux_sym__section_repeat4] = STATE(388),
    [aux_sym__section_repeat5] = STATE(389),
    [aux_sym__paragraph_repeat1] = STATE(373),
    [aux_sym__paragraph_repeat2] = STATE(374),
    [aux_sym__paragraph_repeat3] = STATE(375),
    [aux_sym_part_repeat1] = STATE(171),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(2282),
    [anon_sym_RBRACK] = ACTIONS(2282),
    [anon_sym_COMMA] = ACTIONS(2282),
    [anon_sym_EQ] = ACTIONS(2282),
    [anon_sym_LPAREN] = ACTIONS(2282),
    [anon_sym_RPAREN] = ACTIONS(2282),
    [anon_sym_BSLASHpart] = ACTIONS(2284),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHaddpart] = ACTIONS(2284),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHchapter] = ACTIONS(2284),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHaddchap] = ACTIONS(2284),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHsection] = ACTIONS(2284),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHaddsec] = ACTIONS(2284),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(2284),
    [anon_sym_BSLASHbigr] = ACTIONS(2284),
    [anon_sym_BSLASHBigr] = ACTIONS(2284),
    [anon_sym_BSLASHbiggr] = ACTIONS(2284),
    [anon_sym_BSLASHBiggr] = ACTIONS(2284),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [169] = {
    [sym_block_comment] = STATE(170),
    [sym__flat_content] = STATE(170),
    [sym__text_with_env_content] = STATE(170),
    [sym__text_content] = STATE(170),
    [sym__paragraph] = STATE(350),
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(505),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(506),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(507),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(170),
    [sym_text] = STATE(170),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(170),
    [sym_displayed_equation] = STATE(170),
    [sym_inline_formula] = STATE(170),
    [sym_math_delimiter] = STATE(170),
    [sym_text_mode] = STATE(170),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(170),
    [sym_comment_environment] = STATE(170),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(170),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(170),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(170),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(170),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(170),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(170),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(170),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(170),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(170),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(170),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(170),
    [sym_generic_command] = STATE(170),
    [sym_title_declaration] = STATE(170),
    [sym_author_declaration] = STATE(170),
    [sym_package_include] = STATE(170),
    [sym_class_include] = STATE(170),
    [sym_latex_include] = STATE(170),
    [sym_biblatex_include] = STATE(170),
    [sym_bibstyle_include] = STATE(170),
    [sym_bibtex_include] = STATE(170),
    [sym_graphics_include] = STATE(170),
    [sym_svg_include] = STATE(170),
    [sym_inkscape_include] = STATE(170),
    [sym_verbatim_include] = STATE(170),
    [sym_import_include] = STATE(170),
    [sym_caption] = STATE(170),
    [sym_citation] = STATE(170),
    [sym_label_definition] = STATE(170),
    [sym_label_reference] = STATE(170),
    [sym_label_reference_range] = STATE(170),
    [sym_label_number] = STATE(170),
    [sym_new_command_definition] = STATE(170),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(170),
    [sym_let_command_definition] = STATE(170),
    [sym_paired_delimiter_definition] = STATE(170),
    [sym_environment_definition] = STATE(170),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(170),
    [sym_glossary_entry_reference] = STATE(170),
    [sym_acronym_definition] = STATE(170),
    [sym_acronym_reference] = STATE(170),
    [sym_theorem_definition] = STATE(170),
    [sym_color_definition] = STATE(170),
    [sym_color_set_definition] = STATE(170),
    [sym_color_reference] = STATE(170),
    [sym_tikz_library_import] = STATE(170),
    [sym_hyperlink] = STATE(170),
    [aux_sym__section_repeat3] = STATE(505),
    [aux_sym__section_repeat4] = STATE(506),
    [aux_sym__section_repeat5] = STATE(507),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_part_repeat1] = STATE(170),
    [aux_sym_text_repeat1] = STATE(266),
    [ts_builtin_sym_end] = ACTIONS(2258),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_RBRACK] = ACTIONS(2288),
    [anon_sym_COMMA] = ACTIONS(2288),
    [anon_sym_EQ] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_RPAREN] = ACTIONS(2288),
    [anon_sym_BSLASHpart] = ACTIONS(2256),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2258),
    [anon_sym_BSLASHaddpart] = ACTIONS(2256),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2258),
    [anon_sym_BSLASHchapter] = ACTIONS(2256),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2258),
    [anon_sym_BSLASHaddchap] = ACTIONS(2256),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2258),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2258),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [170] = {
    [sym_block_comment] = STATE(230),
    [sym__flat_content] = STATE(230),
    [sym__text_with_env_content] = STATE(230),
    [sym__text_content] = STATE(230),
    [sym__paragraph] = STATE(351),
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(553),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(554),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(555),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(230),
    [sym_text] = STATE(230),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(230),
    [sym_displayed_equation] = STATE(230),
    [sym_inline_formula] = STATE(230),
    [sym_math_delimiter] = STATE(230),
    [sym_text_mode] = STATE(230),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(230),
    [sym_comment_environment] = STATE(230),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(230),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(230),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(230),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(230),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(230),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(230),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(230),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(230),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(230),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(230),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(230),
    [sym_generic_command] = STATE(230),
    [sym_title_declaration] = STATE(230),
    [sym_author_declaration] = STATE(230),
    [sym_package_include] = STATE(230),
    [sym_class_include] = STATE(230),
    [sym_latex_include] = STATE(230),
    [sym_biblatex_include] = STATE(230),
    [sym_bibstyle_include] = STATE(230),
    [sym_bibtex_include] = STATE(230),
    [sym_graphics_include] = STATE(230),
    [sym_svg_include] = STATE(230),
    [sym_inkscape_include] = STATE(230),
    [sym_verbatim_include] = STATE(230),
    [sym_import_include] = STATE(230),
    [sym_caption] = STATE(230),
    [sym_citation] = STATE(230),
    [sym_label_definition] = STATE(230),
    [sym_label_reference] = STATE(230),
    [sym_label_reference_range] = STATE(230),
    [sym_label_number] = STATE(230),
    [sym_new_command_definition] = STATE(230),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(230),
    [sym_let_command_definition] = STATE(230),
    [sym_paired_delimiter_definition] = STATE(230),
    [sym_environment_definition] = STATE(230),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(230),
    [sym_glossary_entry_reference] = STATE(230),
    [sym_acronym_definition] = STATE(230),
    [sym_acronym_reference] = STATE(230),
    [sym_theorem_definition] = STATE(230),
    [sym_color_definition] = STATE(230),
    [sym_color_set_definition] = STATE(230),
    [sym_color_reference] = STATE(230),
    [sym_tikz_library_import] = STATE(230),
    [sym_hyperlink] = STATE(230),
    [aux_sym__section_repeat3] = STATE(553),
    [aux_sym__section_repeat4] = STATE(554),
    [aux_sym__section_repeat5] = STATE(555),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_part_repeat1] = STATE(230),
    [aux_sym_text_repeat1] = STATE(266),
    [ts_builtin_sym_end] = ACTIONS(2262),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_RBRACK] = ACTIONS(2264),
    [anon_sym_COMMA] = ACTIONS(2264),
    [anon_sym_EQ] = ACTIONS(2264),
    [anon_sym_LPAREN] = ACTIONS(2264),
    [anon_sym_RPAREN] = ACTIONS(2264),
    [anon_sym_BSLASHpart] = ACTIONS(2260),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddpart] = ACTIONS(2260),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHchapter] = ACTIONS(2260),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddchap] = ACTIONS(2260),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2262),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [171] = {
    [sym_block_comment] = STATE(220),
    [sym__flat_content] = STATE(220),
    [sym__text_with_env_content] = STATE(220),
    [sym__text_content] = STATE(220),
    [sym__paragraph] = STATE(352),
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(431),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(432),
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(373),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(374),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(375),
    [sym_curly_group] = STATE(220),
    [sym_text] = STATE(220),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(220),
    [sym_displayed_equation] = STATE(220),
    [sym_inline_formula] = STATE(220),
    [sym_math_delimiter] = STATE(220),
    [sym_text_mode] = STATE(220),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(220),
    [sym_comment_environment] = STATE(220),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(220),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(220),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(220),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(220),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(220),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(220),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(220),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(220),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(220),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(220),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(220),
    [sym_generic_command] = STATE(220),
    [sym_title_declaration] = STATE(220),
    [sym_author_declaration] = STATE(220),
    [sym_package_include] = STATE(220),
    [sym_class_include] = STATE(220),
    [sym_latex_include] = STATE(220),
    [sym_biblatex_include] = STATE(220),
    [sym_bibstyle_include] = STATE(220),
    [sym_bibtex_include] = STATE(220),
    [sym_graphics_include] = STATE(220),
    [sym_svg_include] = STATE(220),
    [sym_inkscape_include] = STATE(220),
    [sym_verbatim_include] = STATE(220),
    [sym_import_include] = STATE(220),
    [sym_caption] = STATE(220),
    [sym_citation] = STATE(220),
    [sym_label_definition] = STATE(220),
    [sym_label_reference] = STATE(220),
    [sym_label_reference_range] = STATE(220),
    [sym_label_number] = STATE(220),
    [sym_new_command_definition] = STATE(220),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(220),
    [sym_let_command_definition] = STATE(220),
    [sym_paired_delimiter_definition] = STATE(220),
    [sym_environment_definition] = STATE(220),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(220),
    [sym_glossary_entry_reference] = STATE(220),
    [sym_acronym_definition] = STATE(220),
    [sym_acronym_reference] = STATE(220),
    [sym_theorem_definition] = STATE(220),
    [sym_color_definition] = STATE(220),
    [sym_color_set_definition] = STATE(220),
    [sym_color_reference] = STATE(220),
    [sym_tikz_library_import] = STATE(220),
    [sym_hyperlink] = STATE(220),
    [aux_sym__section_repeat4] = STATE(431),
    [aux_sym__section_repeat5] = STATE(432),
    [aux_sym__paragraph_repeat1] = STATE(373),
    [aux_sym__paragraph_repeat2] = STATE(374),
    [aux_sym__paragraph_repeat3] = STATE(375),
    [aux_sym_part_repeat1] = STATE(220),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_RBRACK] = ACTIONS(2242),
    [anon_sym_COMMA] = ACTIONS(2242),
    [anon_sym_EQ] = ACTIONS(2242),
    [anon_sym_LPAREN] = ACTIONS(2242),
    [anon_sym_RPAREN] = ACTIONS(2242),
    [anon_sym_BSLASHpart] = ACTIONS(2290),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddpart] = ACTIONS(2290),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHchapter] = ACTIONS(2290),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddchap] = ACTIONS(2290),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsection] = ACTIONS(2290),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddsec] = ACTIONS(2290),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(2290),
    [anon_sym_BSLASHbigr] = ACTIONS(2290),
    [anon_sym_BSLASHBigr] = ACTIONS(2290),
    [anon_sym_BSLASHbiggr] = ACTIONS(2290),
    [anon_sym_BSLASHBiggr] = ACTIONS(2290),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [172] = {
    [sym_block_comment] = STATE(175),
    [sym__flat_content] = STATE(175),
    [sym__text_with_env_content] = STATE(175),
    [sym__text_content] = STATE(175),
    [sym__paragraph] = STATE(355),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(870),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(871),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(872),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(175),
    [sym_text] = STATE(175),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(175),
    [sym_displayed_equation] = STATE(175),
    [sym_inline_formula] = STATE(175),
    [sym_math_delimiter] = STATE(175),
    [sym_text_mode] = STATE(175),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(175),
    [sym_comment_environment] = STATE(175),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(175),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(175),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(175),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(175),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(175),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(175),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(175),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(175),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(175),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(175),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(175),
    [sym_generic_command] = STATE(175),
    [sym_title_declaration] = STATE(175),
    [sym_author_declaration] = STATE(175),
    [sym_package_include] = STATE(175),
    [sym_class_include] = STATE(175),
    [sym_latex_include] = STATE(175),
    [sym_biblatex_include] = STATE(175),
    [sym_bibstyle_include] = STATE(175),
    [sym_bibtex_include] = STATE(175),
    [sym_graphics_include] = STATE(175),
    [sym_svg_include] = STATE(175),
    [sym_inkscape_include] = STATE(175),
    [sym_verbatim_include] = STATE(175),
    [sym_import_include] = STATE(175),
    [sym_caption] = STATE(175),
    [sym_citation] = STATE(175),
    [sym_label_definition] = STATE(175),
    [sym_label_reference] = STATE(175),
    [sym_label_reference_range] = STATE(175),
    [sym_label_number] = STATE(175),
    [sym_new_command_definition] = STATE(175),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(175),
    [sym_let_command_definition] = STATE(175),
    [sym_paired_delimiter_definition] = STATE(175),
    [sym_environment_definition] = STATE(175),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(175),
    [sym_glossary_entry_reference] = STATE(175),
    [sym_acronym_definition] = STATE(175),
    [sym_acronym_reference] = STATE(175),
    [sym_theorem_definition] = STATE(175),
    [sym_color_definition] = STATE(175),
    [sym_color_set_definition] = STATE(175),
    [sym_color_reference] = STATE(175),
    [sym_tikz_library_import] = STATE(175),
    [sym_hyperlink] = STATE(175),
    [aux_sym__section_repeat3] = STATE(870),
    [aux_sym__section_repeat4] = STATE(871),
    [aux_sym__section_repeat5] = STATE(872),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_part_repeat1] = STATE(175),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(2294),
    [anon_sym_RBRACK] = ACTIONS(2294),
    [anon_sym_COMMA] = ACTIONS(2294),
    [anon_sym_EQ] = ACTIONS(2294),
    [anon_sym_LPAREN] = ACTIONS(2294),
    [anon_sym_RPAREN] = ACTIONS(2294),
    [anon_sym_BSLASHpart] = ACTIONS(2256),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2258),
    [anon_sym_BSLASHaddpart] = ACTIONS(2256),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2258),
    [anon_sym_BSLASHchapter] = ACTIONS(2256),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2258),
    [anon_sym_BSLASHaddchap] = ACTIONS(2256),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2258),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2274),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2258),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [173] = {
    [sym_block_comment] = STATE(174),
    [sym__flat_content] = STATE(174),
    [sym__text_with_env_content] = STATE(174),
    [sym__text_content] = STATE(174),
    [sym__paragraph] = STATE(353),
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(808),
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(809),
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(810),
    [sym__paragraph_declaration] = STATE(213),
    [sym_paragraph] = STATE(800),
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(801),
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(802),
    [sym_curly_group] = STATE(174),
    [sym_text] = STATE(174),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(174),
    [sym_displayed_equation] = STATE(174),
    [sym_inline_formula] = STATE(174),
    [sym_math_delimiter] = STATE(174),
    [sym_text_mode] = STATE(174),
    [sym_begin] = STATE(71),
    [sym_generic_environment] = STATE(174),
    [sym_comment_environment] = STATE(174),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(174),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(174),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(174),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(174),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(174),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(174),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(174),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(174),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(174),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(174),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(174),
    [sym_generic_command] = STATE(174),
    [sym_title_declaration] = STATE(174),
    [sym_author_declaration] = STATE(174),
    [sym_package_include] = STATE(174),
    [sym_class_include] = STATE(174),
    [sym_latex_include] = STATE(174),
    [sym_biblatex_include] = STATE(174),
    [sym_bibstyle_include] = STATE(174),
    [sym_bibtex_include] = STATE(174),
    [sym_graphics_include] = STATE(174),
    [sym_svg_include] = STATE(174),
    [sym_inkscape_include] = STATE(174),
    [sym_verbatim_include] = STATE(174),
    [sym_import_include] = STATE(174),
    [sym_caption] = STATE(174),
    [sym_citation] = STATE(174),
    [sym_label_definition] = STATE(174),
    [sym_label_reference] = STATE(174),
    [sym_label_reference_range] = STATE(174),
    [sym_label_number] = STATE(174),
    [sym_new_command_definition] = STATE(174),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(174),
    [sym_let_command_definition] = STATE(174),
    [sym_paired_delimiter_definition] = STATE(174),
    [sym_environment_definition] = STATE(174),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(174),
    [sym_glossary_entry_reference] = STATE(174),
    [sym_acronym_definition] = STATE(174),
    [sym_acronym_reference] = STATE(174),
    [sym_theorem_definition] = STATE(174),
    [sym_color_definition] = STATE(174),
    [sym_color_set_definition] = STATE(174),
    [sym_color_reference] = STATE(174),
    [sym_tikz_library_import] = STATE(174),
    [sym_hyperlink] = STATE(174),
    [aux_sym__section_repeat3] = STATE(808),
    [aux_sym__section_repeat4] = STATE(809),
    [aux_sym__section_repeat5] = STATE(810),
    [aux_sym__paragraph_repeat1] = STATE(800),
    [aux_sym__paragraph_repeat2] = STATE(801),
    [aux_sym__paragraph_repeat3] = STATE(802),
    [aux_sym_part_repeat1] = STATE(174),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_RBRACK] = ACTIONS(2296),
    [anon_sym_COMMA] = ACTIONS(2296),
    [anon_sym_EQ] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_RPAREN] = ACTIONS(2296),
    [anon_sym_BSLASHpart] = ACTIONS(2256),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2258),
    [anon_sym_BSLASHaddpart] = ACTIONS(2256),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2258),
    [anon_sym_BSLASHchapter] = ACTIONS(2256),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2258),
    [anon_sym_BSLASHaddchap] = ACTIONS(2256),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2258),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(704),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(706),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(2256),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [174] = {
    [sym_block_comment] = STATE(234),
    [sym__flat_content] = STATE(234),
    [sym__text_with_env_content] = STATE(234),
    [sym__text_content] = STATE(234),
    [sym__paragraph] = STATE(356),
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(838),
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(839),
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(840),
    [sym__paragraph_declaration] = STATE(213),
    [sym_paragraph] = STATE(800),
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(801),
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(802),
    [sym_curly_group] = STATE(234),
    [sym_text] = STATE(234),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(234),
    [sym_displayed_equation] = STATE(234),
    [sym_inline_formula] = STATE(234),
    [sym_math_delimiter] = STATE(234),
    [sym_text_mode] = STATE(234),
    [sym_begin] = STATE(71),
    [sym_generic_environment] = STATE(234),
    [sym_comment_environment] = STATE(234),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(234),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(234),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(234),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(234),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(234),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(234),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(234),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(234),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(234),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(234),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(234),
    [sym_generic_command] = STATE(234),
    [sym_title_declaration] = STATE(234),
    [sym_author_declaration] = STATE(234),
    [sym_package_include] = STATE(234),
    [sym_class_include] = STATE(234),
    [sym_latex_include] = STATE(234),
    [sym_biblatex_include] = STATE(234),
    [sym_bibstyle_include] = STATE(234),
    [sym_bibtex_include] = STATE(234),
    [sym_graphics_include] = STATE(234),
    [sym_svg_include] = STATE(234),
    [sym_inkscape_include] = STATE(234),
    [sym_verbatim_include] = STATE(234),
    [sym_import_include] = STATE(234),
    [sym_caption] = STATE(234),
    [sym_citation] = STATE(234),
    [sym_label_definition] = STATE(234),
    [sym_label_reference] = STATE(234),
    [sym_label_reference_range] = STATE(234),
    [sym_label_number] = STATE(234),
    [sym_new_command_definition] = STATE(234),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(234),
    [sym_let_command_definition] = STATE(234),
    [sym_paired_delimiter_definition] = STATE(234),
    [sym_environment_definition] = STATE(234),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(234),
    [sym_glossary_entry_reference] = STATE(234),
    [sym_acronym_definition] = STATE(234),
    [sym_acronym_reference] = STATE(234),
    [sym_theorem_definition] = STATE(234),
    [sym_color_definition] = STATE(234),
    [sym_color_set_definition] = STATE(234),
    [sym_color_reference] = STATE(234),
    [sym_tikz_library_import] = STATE(234),
    [sym_hyperlink] = STATE(234),
    [aux_sym__section_repeat3] = STATE(838),
    [aux_sym__section_repeat4] = STATE(839),
    [aux_sym__section_repeat5] = STATE(840),
    [aux_sym__paragraph_repeat1] = STATE(800),
    [aux_sym__paragraph_repeat2] = STATE(801),
    [aux_sym__paragraph_repeat3] = STATE(802),
    [aux_sym_part_repeat1] = STATE(234),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_RBRACK] = ACTIONS(2268),
    [anon_sym_COMMA] = ACTIONS(2268),
    [anon_sym_EQ] = ACTIONS(2268),
    [anon_sym_LPAREN] = ACTIONS(2268),
    [anon_sym_RPAREN] = ACTIONS(2268),
    [anon_sym_BSLASHpart] = ACTIONS(2260),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddpart] = ACTIONS(2260),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHchapter] = ACTIONS(2260),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddchap] = ACTIONS(2260),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(704),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(706),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(2260),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [175] = {
    [sym_block_comment] = STATE(238),
    [sym__flat_content] = STATE(238),
    [sym__text_with_env_content] = STATE(238),
    [sym__text_content] = STATE(238),
    [sym__paragraph] = STATE(357),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(757),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(758),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(759),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(238),
    [sym_text] = STATE(238),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(238),
    [sym_displayed_equation] = STATE(238),
    [sym_inline_formula] = STATE(238),
    [sym_math_delimiter] = STATE(238),
    [sym_text_mode] = STATE(238),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(238),
    [sym_comment_environment] = STATE(238),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(238),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(238),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(238),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(238),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(238),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(238),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(238),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(238),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(238),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(238),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(238),
    [sym_generic_command] = STATE(238),
    [sym_title_declaration] = STATE(238),
    [sym_author_declaration] = STATE(238),
    [sym_package_include] = STATE(238),
    [sym_class_include] = STATE(238),
    [sym_latex_include] = STATE(238),
    [sym_biblatex_include] = STATE(238),
    [sym_bibstyle_include] = STATE(238),
    [sym_bibtex_include] = STATE(238),
    [sym_graphics_include] = STATE(238),
    [sym_svg_include] = STATE(238),
    [sym_inkscape_include] = STATE(238),
    [sym_verbatim_include] = STATE(238),
    [sym_import_include] = STATE(238),
    [sym_caption] = STATE(238),
    [sym_citation] = STATE(238),
    [sym_label_definition] = STATE(238),
    [sym_label_reference] = STATE(238),
    [sym_label_reference_range] = STATE(238),
    [sym_label_number] = STATE(238),
    [sym_new_command_definition] = STATE(238),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(238),
    [sym_let_command_definition] = STATE(238),
    [sym_paired_delimiter_definition] = STATE(238),
    [sym_environment_definition] = STATE(238),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(238),
    [sym_glossary_entry_reference] = STATE(238),
    [sym_acronym_definition] = STATE(238),
    [sym_acronym_reference] = STATE(238),
    [sym_theorem_definition] = STATE(238),
    [sym_color_definition] = STATE(238),
    [sym_color_set_definition] = STATE(238),
    [sym_color_reference] = STATE(238),
    [sym_tikz_library_import] = STATE(238),
    [sym_hyperlink] = STATE(238),
    [aux_sym__section_repeat3] = STATE(757),
    [aux_sym__section_repeat4] = STATE(758),
    [aux_sym__section_repeat5] = STATE(759),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_part_repeat1] = STATE(238),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_RBRACK] = ACTIONS(2272),
    [anon_sym_COMMA] = ACTIONS(2272),
    [anon_sym_EQ] = ACTIONS(2272),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_RPAREN] = ACTIONS(2272),
    [anon_sym_BSLASHpart] = ACTIONS(2260),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddpart] = ACTIONS(2260),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHchapter] = ACTIONS(2260),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddchap] = ACTIONS(2260),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2274),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [176] = {
    [sym_block_comment] = STATE(239),
    [sym__flat_content] = STATE(239),
    [sym__text_with_env_content] = STATE(239),
    [sym__text_content] = STATE(239),
    [sym__paragraph] = STATE(354),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(937),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(938),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(939),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(239),
    [sym_text] = STATE(239),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(239),
    [sym_displayed_equation] = STATE(239),
    [sym_inline_formula] = STATE(239),
    [sym_math_delimiter] = STATE(239),
    [sym_text_mode] = STATE(239),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(239),
    [sym_comment_environment] = STATE(239),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(239),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(239),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(239),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(239),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(239),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(239),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(239),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(239),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(239),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(239),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(239),
    [sym_generic_command] = STATE(239),
    [sym_title_declaration] = STATE(239),
    [sym_author_declaration] = STATE(239),
    [sym_package_include] = STATE(239),
    [sym_class_include] = STATE(239),
    [sym_latex_include] = STATE(239),
    [sym_biblatex_include] = STATE(239),
    [sym_bibstyle_include] = STATE(239),
    [sym_bibtex_include] = STATE(239),
    [sym_graphics_include] = STATE(239),
    [sym_svg_include] = STATE(239),
    [sym_inkscape_include] = STATE(239),
    [sym_verbatim_include] = STATE(239),
    [sym_import_include] = STATE(239),
    [sym_caption] = STATE(239),
    [sym_citation] = STATE(239),
    [sym_label_definition] = STATE(239),
    [sym_label_reference] = STATE(239),
    [sym_label_reference_range] = STATE(239),
    [sym_label_number] = STATE(239),
    [sym_new_command_definition] = STATE(239),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(239),
    [sym_let_command_definition] = STATE(239),
    [sym_paired_delimiter_definition] = STATE(239),
    [sym_environment_definition] = STATE(239),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(239),
    [sym_glossary_entry_reference] = STATE(239),
    [sym_acronym_definition] = STATE(239),
    [sym_acronym_reference] = STATE(239),
    [sym_theorem_definition] = STATE(239),
    [sym_color_definition] = STATE(239),
    [sym_color_set_definition] = STATE(239),
    [sym_color_reference] = STATE(239),
    [sym_tikz_library_import] = STATE(239),
    [sym_hyperlink] = STATE(239),
    [aux_sym__section_repeat3] = STATE(937),
    [aux_sym__section_repeat4] = STATE(938),
    [aux_sym__section_repeat5] = STATE(939),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_part_repeat1] = STATE(239),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_RBRACK] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(2280),
    [anon_sym_EQ] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_RPAREN] = ACTIONS(2280),
    [anon_sym_BSLASHpart] = ACTIONS(2260),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddpart] = ACTIONS(2260),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHchapter] = ACTIONS(2260),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddchap] = ACTIONS(2260),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1440),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2262),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [177] = {
    [sym_block_comment] = STATE(176),
    [sym__flat_content] = STATE(176),
    [sym__text_with_env_content] = STATE(176),
    [sym__text_content] = STATE(176),
    [sym__paragraph] = STATE(358),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(907),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(908),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(909),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(176),
    [sym_text] = STATE(176),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(176),
    [sym_displayed_equation] = STATE(176),
    [sym_inline_formula] = STATE(176),
    [sym_math_delimiter] = STATE(176),
    [sym_text_mode] = STATE(176),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(176),
    [sym_comment_environment] = STATE(176),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(176),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(176),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(176),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(176),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(176),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(176),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(176),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(176),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(176),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(176),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(176),
    [sym_generic_command] = STATE(176),
    [sym_title_declaration] = STATE(176),
    [sym_author_declaration] = STATE(176),
    [sym_package_include] = STATE(176),
    [sym_class_include] = STATE(176),
    [sym_latex_include] = STATE(176),
    [sym_biblatex_include] = STATE(176),
    [sym_bibstyle_include] = STATE(176),
    [sym_bibtex_include] = STATE(176),
    [sym_graphics_include] = STATE(176),
    [sym_svg_include] = STATE(176),
    [sym_inkscape_include] = STATE(176),
    [sym_verbatim_include] = STATE(176),
    [sym_import_include] = STATE(176),
    [sym_caption] = STATE(176),
    [sym_citation] = STATE(176),
    [sym_label_definition] = STATE(176),
    [sym_label_reference] = STATE(176),
    [sym_label_reference_range] = STATE(176),
    [sym_label_number] = STATE(176),
    [sym_new_command_definition] = STATE(176),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(176),
    [sym_let_command_definition] = STATE(176),
    [sym_paired_delimiter_definition] = STATE(176),
    [sym_environment_definition] = STATE(176),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(176),
    [sym_glossary_entry_reference] = STATE(176),
    [sym_acronym_definition] = STATE(176),
    [sym_acronym_reference] = STATE(176),
    [sym_theorem_definition] = STATE(176),
    [sym_color_definition] = STATE(176),
    [sym_color_set_definition] = STATE(176),
    [sym_color_reference] = STATE(176),
    [sym_tikz_library_import] = STATE(176),
    [sym_hyperlink] = STATE(176),
    [aux_sym__section_repeat3] = STATE(907),
    [aux_sym__section_repeat4] = STATE(908),
    [aux_sym__section_repeat5] = STATE(909),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_part_repeat1] = STATE(176),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(2298),
    [anon_sym_RBRACK] = ACTIONS(2298),
    [anon_sym_COMMA] = ACTIONS(2298),
    [anon_sym_EQ] = ACTIONS(2298),
    [anon_sym_LPAREN] = ACTIONS(2298),
    [anon_sym_RPAREN] = ACTIONS(2298),
    [anon_sym_BSLASHpart] = ACTIONS(2256),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2258),
    [anon_sym_BSLASHaddpart] = ACTIONS(2256),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2258),
    [anon_sym_BSLASHchapter] = ACTIONS(2256),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2258),
    [anon_sym_BSLASHaddchap] = ACTIONS(2256),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2258),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1440),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2258),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [178] = {
    [sym_block_comment] = STATE(230),
    [sym__flat_content] = STATE(230),
    [sym__text_with_env_content] = STATE(230),
    [sym__text_content] = STATE(230),
    [sym__paragraph] = STATE(376),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(559),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(560),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(230),
    [sym_text] = STATE(230),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(230),
    [sym_displayed_equation] = STATE(230),
    [sym_inline_formula] = STATE(230),
    [sym_math_delimiter] = STATE(230),
    [sym_text_mode] = STATE(230),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(230),
    [sym_comment_environment] = STATE(230),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(230),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(230),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(230),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(230),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(230),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(230),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(230),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(230),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(230),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(230),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(230),
    [sym_generic_command] = STATE(230),
    [sym_title_declaration] = STATE(230),
    [sym_author_declaration] = STATE(230),
    [sym_package_include] = STATE(230),
    [sym_class_include] = STATE(230),
    [sym_latex_include] = STATE(230),
    [sym_biblatex_include] = STATE(230),
    [sym_bibstyle_include] = STATE(230),
    [sym_bibtex_include] = STATE(230),
    [sym_graphics_include] = STATE(230),
    [sym_svg_include] = STATE(230),
    [sym_inkscape_include] = STATE(230),
    [sym_verbatim_include] = STATE(230),
    [sym_import_include] = STATE(230),
    [sym_caption] = STATE(230),
    [sym_citation] = STATE(230),
    [sym_label_definition] = STATE(230),
    [sym_label_reference] = STATE(230),
    [sym_label_reference_range] = STATE(230),
    [sym_label_number] = STATE(230),
    [sym_new_command_definition] = STATE(230),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(230),
    [sym_let_command_definition] = STATE(230),
    [sym_paired_delimiter_definition] = STATE(230),
    [sym_environment_definition] = STATE(230),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(230),
    [sym_glossary_entry_reference] = STATE(230),
    [sym_acronym_definition] = STATE(230),
    [sym_acronym_reference] = STATE(230),
    [sym_theorem_definition] = STATE(230),
    [sym_color_definition] = STATE(230),
    [sym_color_set_definition] = STATE(230),
    [sym_color_reference] = STATE(230),
    [sym_tikz_library_import] = STATE(230),
    [sym_hyperlink] = STATE(230),
    [aux_sym__section_repeat4] = STATE(559),
    [aux_sym__section_repeat5] = STATE(560),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_part_repeat1] = STATE(230),
    [aux_sym_text_repeat1] = STATE(266),
    [ts_builtin_sym_end] = ACTIONS(2292),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_RBRACK] = ACTIONS(2264),
    [anon_sym_COMMA] = ACTIONS(2264),
    [anon_sym_EQ] = ACTIONS(2264),
    [anon_sym_LPAREN] = ACTIONS(2264),
    [anon_sym_RPAREN] = ACTIONS(2264),
    [anon_sym_BSLASHpart] = ACTIONS(2290),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddpart] = ACTIONS(2290),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHchapter] = ACTIONS(2290),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddchap] = ACTIONS(2290),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsection] = ACTIONS(2290),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddsec] = ACTIONS(2290),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2292),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [179] = {
    [sym_block_comment] = STATE(178),
    [sym__flat_content] = STATE(178),
    [sym__text_with_env_content] = STATE(178),
    [sym__text_content] = STATE(178),
    [sym__paragraph] = STATE(368),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(510),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(511),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(178),
    [sym_text] = STATE(178),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(178),
    [sym_displayed_equation] = STATE(178),
    [sym_inline_formula] = STATE(178),
    [sym_math_delimiter] = STATE(178),
    [sym_text_mode] = STATE(178),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(178),
    [sym_comment_environment] = STATE(178),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(178),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(178),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(178),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(178),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(178),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(178),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(178),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(178),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(178),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(178),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(178),
    [sym_generic_command] = STATE(178),
    [sym_title_declaration] = STATE(178),
    [sym_author_declaration] = STATE(178),
    [sym_package_include] = STATE(178),
    [sym_class_include] = STATE(178),
    [sym_latex_include] = STATE(178),
    [sym_biblatex_include] = STATE(178),
    [sym_bibstyle_include] = STATE(178),
    [sym_bibtex_include] = STATE(178),
    [sym_graphics_include] = STATE(178),
    [sym_svg_include] = STATE(178),
    [sym_inkscape_include] = STATE(178),
    [sym_verbatim_include] = STATE(178),
    [sym_import_include] = STATE(178),
    [sym_caption] = STATE(178),
    [sym_citation] = STATE(178),
    [sym_label_definition] = STATE(178),
    [sym_label_reference] = STATE(178),
    [sym_label_reference_range] = STATE(178),
    [sym_label_number] = STATE(178),
    [sym_new_command_definition] = STATE(178),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(178),
    [sym_let_command_definition] = STATE(178),
    [sym_paired_delimiter_definition] = STATE(178),
    [sym_environment_definition] = STATE(178),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(178),
    [sym_glossary_entry_reference] = STATE(178),
    [sym_acronym_definition] = STATE(178),
    [sym_acronym_reference] = STATE(178),
    [sym_theorem_definition] = STATE(178),
    [sym_color_definition] = STATE(178),
    [sym_color_set_definition] = STATE(178),
    [sym_color_reference] = STATE(178),
    [sym_tikz_library_import] = STATE(178),
    [sym_hyperlink] = STATE(178),
    [aux_sym__section_repeat4] = STATE(510),
    [aux_sym__section_repeat5] = STATE(511),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_part_repeat1] = STATE(178),
    [aux_sym_text_repeat1] = STATE(266),
    [ts_builtin_sym_end] = ACTIONS(2286),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(2300),
    [anon_sym_RBRACK] = ACTIONS(2300),
    [anon_sym_COMMA] = ACTIONS(2300),
    [anon_sym_EQ] = ACTIONS(2300),
    [anon_sym_LPAREN] = ACTIONS(2300),
    [anon_sym_RPAREN] = ACTIONS(2300),
    [anon_sym_BSLASHpart] = ACTIONS(2284),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHaddpart] = ACTIONS(2284),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHchapter] = ACTIONS(2284),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHaddchap] = ACTIONS(2284),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHsection] = ACTIONS(2284),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHaddsec] = ACTIONS(2284),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2286),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [180] = {
    [sym_block_comment] = STATE(181),
    [sym__flat_content] = STATE(181),
    [sym__text_with_env_content] = STATE(181),
    [sym__text_content] = STATE(181),
    [sym__paragraph] = STATE(392),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(393),
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(373),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(374),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(375),
    [sym_curly_group] = STATE(181),
    [sym_text] = STATE(181),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(181),
    [sym_displayed_equation] = STATE(181),
    [sym_inline_formula] = STATE(181),
    [sym_math_delimiter] = STATE(181),
    [sym_text_mode] = STATE(181),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(181),
    [sym_comment_environment] = STATE(181),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(181),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(181),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(181),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(181),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(181),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(181),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(181),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(181),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(181),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(181),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(181),
    [sym_generic_command] = STATE(181),
    [sym_title_declaration] = STATE(181),
    [sym_author_declaration] = STATE(181),
    [sym_package_include] = STATE(181),
    [sym_class_include] = STATE(181),
    [sym_latex_include] = STATE(181),
    [sym_biblatex_include] = STATE(181),
    [sym_bibstyle_include] = STATE(181),
    [sym_bibtex_include] = STATE(181),
    [sym_graphics_include] = STATE(181),
    [sym_svg_include] = STATE(181),
    [sym_inkscape_include] = STATE(181),
    [sym_verbatim_include] = STATE(181),
    [sym_import_include] = STATE(181),
    [sym_caption] = STATE(181),
    [sym_citation] = STATE(181),
    [sym_label_definition] = STATE(181),
    [sym_label_reference] = STATE(181),
    [sym_label_reference_range] = STATE(181),
    [sym_label_number] = STATE(181),
    [sym_new_command_definition] = STATE(181),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(181),
    [sym_let_command_definition] = STATE(181),
    [sym_paired_delimiter_definition] = STATE(181),
    [sym_environment_definition] = STATE(181),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(181),
    [sym_glossary_entry_reference] = STATE(181),
    [sym_acronym_definition] = STATE(181),
    [sym_acronym_reference] = STATE(181),
    [sym_theorem_definition] = STATE(181),
    [sym_color_definition] = STATE(181),
    [sym_color_set_definition] = STATE(181),
    [sym_color_reference] = STATE(181),
    [sym_tikz_library_import] = STATE(181),
    [sym_hyperlink] = STATE(181),
    [aux_sym__section_repeat5] = STATE(393),
    [aux_sym__paragraph_repeat1] = STATE(373),
    [aux_sym__paragraph_repeat2] = STATE(374),
    [aux_sym__paragraph_repeat3] = STATE(375),
    [aux_sym_part_repeat1] = STATE(181),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_RBRACK] = ACTIONS(2302),
    [anon_sym_COMMA] = ACTIONS(2302),
    [anon_sym_EQ] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_RPAREN] = ACTIONS(2302),
    [anon_sym_BSLASHpart] = ACTIONS(2304),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHaddpart] = ACTIONS(2304),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHchapter] = ACTIONS(2304),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHaddchap] = ACTIONS(2304),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHsection] = ACTIONS(2304),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHaddsec] = ACTIONS(2304),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHsubsection] = ACTIONS(2304),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(2304),
    [anon_sym_BSLASHbigr] = ACTIONS(2304),
    [anon_sym_BSLASHBigr] = ACTIONS(2304),
    [anon_sym_BSLASHbiggr] = ACTIONS(2304),
    [anon_sym_BSLASHBiggr] = ACTIONS(2304),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [181] = {
    [sym_block_comment] = STATE(220),
    [sym__flat_content] = STATE(220),
    [sym__text_with_env_content] = STATE(220),
    [sym__text_content] = STATE(220),
    [sym__paragraph] = STATE(435),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(361),
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(373),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(374),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(375),
    [sym_curly_group] = STATE(220),
    [sym_text] = STATE(220),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(220),
    [sym_displayed_equation] = STATE(220),
    [sym_inline_formula] = STATE(220),
    [sym_math_delimiter] = STATE(220),
    [sym_text_mode] = STATE(220),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(220),
    [sym_comment_environment] = STATE(220),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(220),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(220),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(220),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(220),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(220),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(220),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(220),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(220),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(220),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(220),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(220),
    [sym_generic_command] = STATE(220),
    [sym_title_declaration] = STATE(220),
    [sym_author_declaration] = STATE(220),
    [sym_package_include] = STATE(220),
    [sym_class_include] = STATE(220),
    [sym_latex_include] = STATE(220),
    [sym_biblatex_include] = STATE(220),
    [sym_bibstyle_include] = STATE(220),
    [sym_bibtex_include] = STATE(220),
    [sym_graphics_include] = STATE(220),
    [sym_svg_include] = STATE(220),
    [sym_inkscape_include] = STATE(220),
    [sym_verbatim_include] = STATE(220),
    [sym_import_include] = STATE(220),
    [sym_caption] = STATE(220),
    [sym_citation] = STATE(220),
    [sym_label_definition] = STATE(220),
    [sym_label_reference] = STATE(220),
    [sym_label_reference_range] = STATE(220),
    [sym_label_number] = STATE(220),
    [sym_new_command_definition] = STATE(220),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(220),
    [sym_let_command_definition] = STATE(220),
    [sym_paired_delimiter_definition] = STATE(220),
    [sym_environment_definition] = STATE(220),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(220),
    [sym_glossary_entry_reference] = STATE(220),
    [sym_acronym_definition] = STATE(220),
    [sym_acronym_reference] = STATE(220),
    [sym_theorem_definition] = STATE(220),
    [sym_color_definition] = STATE(220),
    [sym_color_set_definition] = STATE(220),
    [sym_color_reference] = STATE(220),
    [sym_tikz_library_import] = STATE(220),
    [sym_hyperlink] = STATE(220),
    [aux_sym__section_repeat5] = STATE(361),
    [aux_sym__paragraph_repeat1] = STATE(373),
    [aux_sym__paragraph_repeat2] = STATE(374),
    [aux_sym__paragraph_repeat3] = STATE(375),
    [aux_sym_part_repeat1] = STATE(220),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_RBRACK] = ACTIONS(2242),
    [anon_sym_COMMA] = ACTIONS(2242),
    [anon_sym_EQ] = ACTIONS(2242),
    [anon_sym_LPAREN] = ACTIONS(2242),
    [anon_sym_RPAREN] = ACTIONS(2242),
    [anon_sym_BSLASHpart] = ACTIONS(2308),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddpart] = ACTIONS(2308),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHchapter] = ACTIONS(2308),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddchap] = ACTIONS(2308),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsection] = ACTIONS(2308),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddsec] = ACTIONS(2308),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsection] = ACTIONS(2308),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(2308),
    [anon_sym_BSLASHbigr] = ACTIONS(2308),
    [anon_sym_BSLASHBigr] = ACTIONS(2308),
    [anon_sym_BSLASHbiggr] = ACTIONS(2308),
    [anon_sym_BSLASHBiggr] = ACTIONS(2308),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [182] = {
    [sym_block_comment] = STATE(239),
    [sym__flat_content] = STATE(239),
    [sym__text_with_env_content] = STATE(239),
    [sym__text_content] = STATE(239),
    [sym__paragraph] = STATE(452),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(942),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(943),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(239),
    [sym_text] = STATE(239),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(239),
    [sym_displayed_equation] = STATE(239),
    [sym_inline_formula] = STATE(239),
    [sym_math_delimiter] = STATE(239),
    [sym_text_mode] = STATE(239),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(239),
    [sym_comment_environment] = STATE(239),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(239),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(239),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(239),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(239),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(239),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(239),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(239),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(239),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(239),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(239),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(239),
    [sym_generic_command] = STATE(239),
    [sym_title_declaration] = STATE(239),
    [sym_author_declaration] = STATE(239),
    [sym_package_include] = STATE(239),
    [sym_class_include] = STATE(239),
    [sym_latex_include] = STATE(239),
    [sym_biblatex_include] = STATE(239),
    [sym_bibstyle_include] = STATE(239),
    [sym_bibtex_include] = STATE(239),
    [sym_graphics_include] = STATE(239),
    [sym_svg_include] = STATE(239),
    [sym_inkscape_include] = STATE(239),
    [sym_verbatim_include] = STATE(239),
    [sym_import_include] = STATE(239),
    [sym_caption] = STATE(239),
    [sym_citation] = STATE(239),
    [sym_label_definition] = STATE(239),
    [sym_label_reference] = STATE(239),
    [sym_label_reference_range] = STATE(239),
    [sym_label_number] = STATE(239),
    [sym_new_command_definition] = STATE(239),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(239),
    [sym_let_command_definition] = STATE(239),
    [sym_paired_delimiter_definition] = STATE(239),
    [sym_environment_definition] = STATE(239),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(239),
    [sym_glossary_entry_reference] = STATE(239),
    [sym_acronym_definition] = STATE(239),
    [sym_acronym_reference] = STATE(239),
    [sym_theorem_definition] = STATE(239),
    [sym_color_definition] = STATE(239),
    [sym_color_set_definition] = STATE(239),
    [sym_color_reference] = STATE(239),
    [sym_tikz_library_import] = STATE(239),
    [sym_hyperlink] = STATE(239),
    [aux_sym__section_repeat4] = STATE(942),
    [aux_sym__section_repeat5] = STATE(943),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_part_repeat1] = STATE(239),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_RBRACK] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(2280),
    [anon_sym_EQ] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_RPAREN] = ACTIONS(2280),
    [anon_sym_BSLASHpart] = ACTIONS(2290),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddpart] = ACTIONS(2290),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHchapter] = ACTIONS(2290),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddchap] = ACTIONS(2290),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsection] = ACTIONS(2290),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddsec] = ACTIONS(2290),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1440),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2292),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [183] = {
    [sym_block_comment] = STATE(238),
    [sym__flat_content] = STATE(238),
    [sym__text_with_env_content] = STATE(238),
    [sym__text_content] = STATE(238),
    [sym__paragraph] = STATE(447),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(762),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(763),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(238),
    [sym_text] = STATE(238),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(238),
    [sym_displayed_equation] = STATE(238),
    [sym_inline_formula] = STATE(238),
    [sym_math_delimiter] = STATE(238),
    [sym_text_mode] = STATE(238),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(238),
    [sym_comment_environment] = STATE(238),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(238),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(238),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(238),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(238),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(238),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(238),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(238),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(238),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(238),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(238),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(238),
    [sym_generic_command] = STATE(238),
    [sym_title_declaration] = STATE(238),
    [sym_author_declaration] = STATE(238),
    [sym_package_include] = STATE(238),
    [sym_class_include] = STATE(238),
    [sym_latex_include] = STATE(238),
    [sym_biblatex_include] = STATE(238),
    [sym_bibstyle_include] = STATE(238),
    [sym_bibtex_include] = STATE(238),
    [sym_graphics_include] = STATE(238),
    [sym_svg_include] = STATE(238),
    [sym_inkscape_include] = STATE(238),
    [sym_verbatim_include] = STATE(238),
    [sym_import_include] = STATE(238),
    [sym_caption] = STATE(238),
    [sym_citation] = STATE(238),
    [sym_label_definition] = STATE(238),
    [sym_label_reference] = STATE(238),
    [sym_label_reference_range] = STATE(238),
    [sym_label_number] = STATE(238),
    [sym_new_command_definition] = STATE(238),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(238),
    [sym_let_command_definition] = STATE(238),
    [sym_paired_delimiter_definition] = STATE(238),
    [sym_environment_definition] = STATE(238),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(238),
    [sym_glossary_entry_reference] = STATE(238),
    [sym_acronym_definition] = STATE(238),
    [sym_acronym_reference] = STATE(238),
    [sym_theorem_definition] = STATE(238),
    [sym_color_definition] = STATE(238),
    [sym_color_set_definition] = STATE(238),
    [sym_color_reference] = STATE(238),
    [sym_tikz_library_import] = STATE(238),
    [sym_hyperlink] = STATE(238),
    [aux_sym__section_repeat4] = STATE(762),
    [aux_sym__section_repeat5] = STATE(763),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_part_repeat1] = STATE(238),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_RBRACK] = ACTIONS(2272),
    [anon_sym_COMMA] = ACTIONS(2272),
    [anon_sym_EQ] = ACTIONS(2272),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_RPAREN] = ACTIONS(2272),
    [anon_sym_BSLASHpart] = ACTIONS(2290),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddpart] = ACTIONS(2290),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHchapter] = ACTIONS(2290),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddchap] = ACTIONS(2290),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsection] = ACTIONS(2290),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddsec] = ACTIONS(2290),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2274),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [184] = {
    [sym_block_comment] = STATE(234),
    [sym__flat_content] = STATE(234),
    [sym__text_with_env_content] = STATE(234),
    [sym__text_content] = STATE(234),
    [sym__paragraph] = STATE(458),
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(843),
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(844),
    [sym__paragraph_declaration] = STATE(213),
    [sym_paragraph] = STATE(800),
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(801),
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(802),
    [sym_curly_group] = STATE(234),
    [sym_text] = STATE(234),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(234),
    [sym_displayed_equation] = STATE(234),
    [sym_inline_formula] = STATE(234),
    [sym_math_delimiter] = STATE(234),
    [sym_text_mode] = STATE(234),
    [sym_begin] = STATE(71),
    [sym_generic_environment] = STATE(234),
    [sym_comment_environment] = STATE(234),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(234),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(234),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(234),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(234),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(234),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(234),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(234),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(234),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(234),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(234),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(234),
    [sym_generic_command] = STATE(234),
    [sym_title_declaration] = STATE(234),
    [sym_author_declaration] = STATE(234),
    [sym_package_include] = STATE(234),
    [sym_class_include] = STATE(234),
    [sym_latex_include] = STATE(234),
    [sym_biblatex_include] = STATE(234),
    [sym_bibstyle_include] = STATE(234),
    [sym_bibtex_include] = STATE(234),
    [sym_graphics_include] = STATE(234),
    [sym_svg_include] = STATE(234),
    [sym_inkscape_include] = STATE(234),
    [sym_verbatim_include] = STATE(234),
    [sym_import_include] = STATE(234),
    [sym_caption] = STATE(234),
    [sym_citation] = STATE(234),
    [sym_label_definition] = STATE(234),
    [sym_label_reference] = STATE(234),
    [sym_label_reference_range] = STATE(234),
    [sym_label_number] = STATE(234),
    [sym_new_command_definition] = STATE(234),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(234),
    [sym_let_command_definition] = STATE(234),
    [sym_paired_delimiter_definition] = STATE(234),
    [sym_environment_definition] = STATE(234),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(234),
    [sym_glossary_entry_reference] = STATE(234),
    [sym_acronym_definition] = STATE(234),
    [sym_acronym_reference] = STATE(234),
    [sym_theorem_definition] = STATE(234),
    [sym_color_definition] = STATE(234),
    [sym_color_set_definition] = STATE(234),
    [sym_color_reference] = STATE(234),
    [sym_tikz_library_import] = STATE(234),
    [sym_hyperlink] = STATE(234),
    [aux_sym__section_repeat4] = STATE(843),
    [aux_sym__section_repeat5] = STATE(844),
    [aux_sym__paragraph_repeat1] = STATE(800),
    [aux_sym__paragraph_repeat2] = STATE(801),
    [aux_sym__paragraph_repeat3] = STATE(802),
    [aux_sym_part_repeat1] = STATE(234),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_RBRACK] = ACTIONS(2268),
    [anon_sym_COMMA] = ACTIONS(2268),
    [anon_sym_EQ] = ACTIONS(2268),
    [anon_sym_LPAREN] = ACTIONS(2268),
    [anon_sym_RPAREN] = ACTIONS(2268),
    [anon_sym_BSLASHpart] = ACTIONS(2290),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddpart] = ACTIONS(2290),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHchapter] = ACTIONS(2290),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddchap] = ACTIONS(2290),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsection] = ACTIONS(2290),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddsec] = ACTIONS(2290),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(704),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(706),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(2290),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [185] = {
    [sym_block_comment] = STATE(183),
    [sym__flat_content] = STATE(183),
    [sym__text_with_env_content] = STATE(183),
    [sym__text_content] = STATE(183),
    [sym__paragraph] = STATE(462),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(875),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(876),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(183),
    [sym_text] = STATE(183),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(183),
    [sym_displayed_equation] = STATE(183),
    [sym_inline_formula] = STATE(183),
    [sym_math_delimiter] = STATE(183),
    [sym_text_mode] = STATE(183),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(183),
    [sym_comment_environment] = STATE(183),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(183),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(183),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(183),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(183),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(183),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(183),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(183),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(183),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(183),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(183),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(183),
    [sym_generic_command] = STATE(183),
    [sym_title_declaration] = STATE(183),
    [sym_author_declaration] = STATE(183),
    [sym_package_include] = STATE(183),
    [sym_class_include] = STATE(183),
    [sym_latex_include] = STATE(183),
    [sym_biblatex_include] = STATE(183),
    [sym_bibstyle_include] = STATE(183),
    [sym_bibtex_include] = STATE(183),
    [sym_graphics_include] = STATE(183),
    [sym_svg_include] = STATE(183),
    [sym_inkscape_include] = STATE(183),
    [sym_verbatim_include] = STATE(183),
    [sym_import_include] = STATE(183),
    [sym_caption] = STATE(183),
    [sym_citation] = STATE(183),
    [sym_label_definition] = STATE(183),
    [sym_label_reference] = STATE(183),
    [sym_label_reference_range] = STATE(183),
    [sym_label_number] = STATE(183),
    [sym_new_command_definition] = STATE(183),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(183),
    [sym_let_command_definition] = STATE(183),
    [sym_paired_delimiter_definition] = STATE(183),
    [sym_environment_definition] = STATE(183),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(183),
    [sym_glossary_entry_reference] = STATE(183),
    [sym_acronym_definition] = STATE(183),
    [sym_acronym_reference] = STATE(183),
    [sym_theorem_definition] = STATE(183),
    [sym_color_definition] = STATE(183),
    [sym_color_set_definition] = STATE(183),
    [sym_color_reference] = STATE(183),
    [sym_tikz_library_import] = STATE(183),
    [sym_hyperlink] = STATE(183),
    [aux_sym__section_repeat4] = STATE(875),
    [aux_sym__section_repeat5] = STATE(876),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_part_repeat1] = STATE(183),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(2312),
    [anon_sym_RBRACK] = ACTIONS(2312),
    [anon_sym_COMMA] = ACTIONS(2312),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_LPAREN] = ACTIONS(2312),
    [anon_sym_RPAREN] = ACTIONS(2312),
    [anon_sym_BSLASHpart] = ACTIONS(2284),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHaddpart] = ACTIONS(2284),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHchapter] = ACTIONS(2284),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHaddchap] = ACTIONS(2284),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHsection] = ACTIONS(2284),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHaddsec] = ACTIONS(2284),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2274),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2286),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [186] = {
    [sym_block_comment] = STATE(184),
    [sym__flat_content] = STATE(184),
    [sym__text_with_env_content] = STATE(184),
    [sym__text_content] = STATE(184),
    [sym__paragraph] = STATE(463),
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(811),
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(812),
    [sym__paragraph_declaration] = STATE(213),
    [sym_paragraph] = STATE(800),
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(801),
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(802),
    [sym_curly_group] = STATE(184),
    [sym_text] = STATE(184),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(184),
    [sym_displayed_equation] = STATE(184),
    [sym_inline_formula] = STATE(184),
    [sym_math_delimiter] = STATE(184),
    [sym_text_mode] = STATE(184),
    [sym_begin] = STATE(71),
    [sym_generic_environment] = STATE(184),
    [sym_comment_environment] = STATE(184),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(184),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(184),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(184),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(184),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(184),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(184),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(184),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(184),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(184),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(184),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(184),
    [sym_generic_command] = STATE(184),
    [sym_title_declaration] = STATE(184),
    [sym_author_declaration] = STATE(184),
    [sym_package_include] = STATE(184),
    [sym_class_include] = STATE(184),
    [sym_latex_include] = STATE(184),
    [sym_biblatex_include] = STATE(184),
    [sym_bibstyle_include] = STATE(184),
    [sym_bibtex_include] = STATE(184),
    [sym_graphics_include] = STATE(184),
    [sym_svg_include] = STATE(184),
    [sym_inkscape_include] = STATE(184),
    [sym_verbatim_include] = STATE(184),
    [sym_import_include] = STATE(184),
    [sym_caption] = STATE(184),
    [sym_citation] = STATE(184),
    [sym_label_definition] = STATE(184),
    [sym_label_reference] = STATE(184),
    [sym_label_reference_range] = STATE(184),
    [sym_label_number] = STATE(184),
    [sym_new_command_definition] = STATE(184),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(184),
    [sym_let_command_definition] = STATE(184),
    [sym_paired_delimiter_definition] = STATE(184),
    [sym_environment_definition] = STATE(184),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(184),
    [sym_glossary_entry_reference] = STATE(184),
    [sym_acronym_definition] = STATE(184),
    [sym_acronym_reference] = STATE(184),
    [sym_theorem_definition] = STATE(184),
    [sym_color_definition] = STATE(184),
    [sym_color_set_definition] = STATE(184),
    [sym_color_reference] = STATE(184),
    [sym_tikz_library_import] = STATE(184),
    [sym_hyperlink] = STATE(184),
    [aux_sym__section_repeat4] = STATE(811),
    [aux_sym__section_repeat5] = STATE(812),
    [aux_sym__paragraph_repeat1] = STATE(800),
    [aux_sym__paragraph_repeat2] = STATE(801),
    [aux_sym__paragraph_repeat3] = STATE(802),
    [aux_sym_part_repeat1] = STATE(184),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_RBRACK] = ACTIONS(2314),
    [anon_sym_COMMA] = ACTIONS(2314),
    [anon_sym_EQ] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2314),
    [anon_sym_RPAREN] = ACTIONS(2314),
    [anon_sym_BSLASHpart] = ACTIONS(2284),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHaddpart] = ACTIONS(2284),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHchapter] = ACTIONS(2284),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHaddchap] = ACTIONS(2284),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHsection] = ACTIONS(2284),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHaddsec] = ACTIONS(2284),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(704),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(706),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(2284),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [187] = {
    [sym_block_comment] = STATE(182),
    [sym__flat_content] = STATE(182),
    [sym__text_with_env_content] = STATE(182),
    [sym__text_content] = STATE(182),
    [sym__paragraph] = STATE(449),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(910),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(911),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(182),
    [sym_text] = STATE(182),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(182),
    [sym_displayed_equation] = STATE(182),
    [sym_inline_formula] = STATE(182),
    [sym_math_delimiter] = STATE(182),
    [sym_text_mode] = STATE(182),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(182),
    [sym_comment_environment] = STATE(182),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(182),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(182),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(182),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(182),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(182),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(182),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(182),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(182),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(182),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(182),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(182),
    [sym_generic_command] = STATE(182),
    [sym_title_declaration] = STATE(182),
    [sym_author_declaration] = STATE(182),
    [sym_package_include] = STATE(182),
    [sym_class_include] = STATE(182),
    [sym_latex_include] = STATE(182),
    [sym_biblatex_include] = STATE(182),
    [sym_bibstyle_include] = STATE(182),
    [sym_bibtex_include] = STATE(182),
    [sym_graphics_include] = STATE(182),
    [sym_svg_include] = STATE(182),
    [sym_inkscape_include] = STATE(182),
    [sym_verbatim_include] = STATE(182),
    [sym_import_include] = STATE(182),
    [sym_caption] = STATE(182),
    [sym_citation] = STATE(182),
    [sym_label_definition] = STATE(182),
    [sym_label_reference] = STATE(182),
    [sym_label_reference_range] = STATE(182),
    [sym_label_number] = STATE(182),
    [sym_new_command_definition] = STATE(182),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(182),
    [sym_let_command_definition] = STATE(182),
    [sym_paired_delimiter_definition] = STATE(182),
    [sym_environment_definition] = STATE(182),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(182),
    [sym_glossary_entry_reference] = STATE(182),
    [sym_acronym_definition] = STATE(182),
    [sym_acronym_reference] = STATE(182),
    [sym_theorem_definition] = STATE(182),
    [sym_color_definition] = STATE(182),
    [sym_color_set_definition] = STATE(182),
    [sym_color_reference] = STATE(182),
    [sym_tikz_library_import] = STATE(182),
    [sym_hyperlink] = STATE(182),
    [aux_sym__section_repeat4] = STATE(910),
    [aux_sym__section_repeat5] = STATE(911),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_part_repeat1] = STATE(182),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_RBRACK] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2316),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_RPAREN] = ACTIONS(2316),
    [anon_sym_BSLASHpart] = ACTIONS(2284),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHaddpart] = ACTIONS(2284),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHchapter] = ACTIONS(2284),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHaddchap] = ACTIONS(2284),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHsection] = ACTIONS(2284),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHaddsec] = ACTIONS(2284),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2286),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1440),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2286),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [188] = {
    [sym_block_comment] = STATE(230),
    [sym__flat_content] = STATE(230),
    [sym__text_with_env_content] = STATE(230),
    [sym__text_content] = STATE(230),
    [sym__paragraph] = STATE(563),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(564),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(230),
    [sym_text] = STATE(230),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(230),
    [sym_displayed_equation] = STATE(230),
    [sym_inline_formula] = STATE(230),
    [sym_math_delimiter] = STATE(230),
    [sym_text_mode] = STATE(230),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(230),
    [sym_comment_environment] = STATE(230),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(230),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(230),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(230),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(230),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(230),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(230),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(230),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(230),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(230),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(230),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(230),
    [sym_generic_command] = STATE(230),
    [sym_title_declaration] = STATE(230),
    [sym_author_declaration] = STATE(230),
    [sym_package_include] = STATE(230),
    [sym_class_include] = STATE(230),
    [sym_latex_include] = STATE(230),
    [sym_biblatex_include] = STATE(230),
    [sym_bibstyle_include] = STATE(230),
    [sym_bibtex_include] = STATE(230),
    [sym_graphics_include] = STATE(230),
    [sym_svg_include] = STATE(230),
    [sym_inkscape_include] = STATE(230),
    [sym_verbatim_include] = STATE(230),
    [sym_import_include] = STATE(230),
    [sym_caption] = STATE(230),
    [sym_citation] = STATE(230),
    [sym_label_definition] = STATE(230),
    [sym_label_reference] = STATE(230),
    [sym_label_reference_range] = STATE(230),
    [sym_label_number] = STATE(230),
    [sym_new_command_definition] = STATE(230),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(230),
    [sym_let_command_definition] = STATE(230),
    [sym_paired_delimiter_definition] = STATE(230),
    [sym_environment_definition] = STATE(230),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(230),
    [sym_glossary_entry_reference] = STATE(230),
    [sym_acronym_definition] = STATE(230),
    [sym_acronym_reference] = STATE(230),
    [sym_theorem_definition] = STATE(230),
    [sym_color_definition] = STATE(230),
    [sym_color_set_definition] = STATE(230),
    [sym_color_reference] = STATE(230),
    [sym_tikz_library_import] = STATE(230),
    [sym_hyperlink] = STATE(230),
    [aux_sym__section_repeat5] = STATE(564),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_part_repeat1] = STATE(230),
    [aux_sym_text_repeat1] = STATE(266),
    [ts_builtin_sym_end] = ACTIONS(2310),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_RBRACK] = ACTIONS(2264),
    [anon_sym_COMMA] = ACTIONS(2264),
    [anon_sym_EQ] = ACTIONS(2264),
    [anon_sym_LPAREN] = ACTIONS(2264),
    [anon_sym_RPAREN] = ACTIONS(2264),
    [anon_sym_BSLASHpart] = ACTIONS(2308),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddpart] = ACTIONS(2308),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHchapter] = ACTIONS(2308),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddchap] = ACTIONS(2308),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsection] = ACTIONS(2308),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddsec] = ACTIONS(2308),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsection] = ACTIONS(2308),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [189] = {
    [sym_block_comment] = STATE(191),
    [sym__flat_content] = STATE(191),
    [sym__text_with_env_content] = STATE(191),
    [sym__text_content] = STATE(191),
    [sym__paragraph] = STATE(561),
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(373),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(374),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(375),
    [sym_curly_group] = STATE(191),
    [sym_text] = STATE(191),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(191),
    [sym_displayed_equation] = STATE(191),
    [sym_inline_formula] = STATE(191),
    [sym_math_delimiter] = STATE(191),
    [sym_text_mode] = STATE(191),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(191),
    [sym_comment_environment] = STATE(191),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(191),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(191),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(191),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(191),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(191),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(191),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(191),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(191),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(191),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(191),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(191),
    [sym_generic_command] = STATE(191),
    [sym_title_declaration] = STATE(191),
    [sym_author_declaration] = STATE(191),
    [sym_package_include] = STATE(191),
    [sym_class_include] = STATE(191),
    [sym_latex_include] = STATE(191),
    [sym_biblatex_include] = STATE(191),
    [sym_bibstyle_include] = STATE(191),
    [sym_bibtex_include] = STATE(191),
    [sym_graphics_include] = STATE(191),
    [sym_svg_include] = STATE(191),
    [sym_inkscape_include] = STATE(191),
    [sym_verbatim_include] = STATE(191),
    [sym_import_include] = STATE(191),
    [sym_caption] = STATE(191),
    [sym_citation] = STATE(191),
    [sym_label_definition] = STATE(191),
    [sym_label_reference] = STATE(191),
    [sym_label_reference_range] = STATE(191),
    [sym_label_number] = STATE(191),
    [sym_new_command_definition] = STATE(191),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(191),
    [sym_let_command_definition] = STATE(191),
    [sym_paired_delimiter_definition] = STATE(191),
    [sym_environment_definition] = STATE(191),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(191),
    [sym_glossary_entry_reference] = STATE(191),
    [sym_acronym_definition] = STATE(191),
    [sym_acronym_reference] = STATE(191),
    [sym_theorem_definition] = STATE(191),
    [sym_color_definition] = STATE(191),
    [sym_color_set_definition] = STATE(191),
    [sym_color_reference] = STATE(191),
    [sym_tikz_library_import] = STATE(191),
    [sym_hyperlink] = STATE(191),
    [aux_sym__paragraph_repeat1] = STATE(373),
    [aux_sym__paragraph_repeat2] = STATE(374),
    [aux_sym__paragraph_repeat3] = STATE(375),
    [aux_sym_part_repeat1] = STATE(191),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_RBRACK] = ACTIONS(2318),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_EQ] = ACTIONS(2318),
    [anon_sym_LPAREN] = ACTIONS(2318),
    [anon_sym_RPAREN] = ACTIONS(2318),
    [anon_sym_BSLASHpart] = ACTIONS(2320),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHaddpart] = ACTIONS(2320),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHchapter] = ACTIONS(2320),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHaddchap] = ACTIONS(2320),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHsection] = ACTIONS(2320),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHaddsec] = ACTIONS(2320),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHsubsection] = ACTIONS(2320),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2320),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHparagraph] = ACTIONS(203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(2320),
    [anon_sym_BSLASHbigr] = ACTIONS(2320),
    [anon_sym_BSLASHBigr] = ACTIONS(2320),
    [anon_sym_BSLASHbiggr] = ACTIONS(2320),
    [anon_sym_BSLASHBiggr] = ACTIONS(2320),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [190] = {
    [sym_block_comment] = STATE(188),
    [sym__flat_content] = STATE(188),
    [sym__text_with_env_content] = STATE(188),
    [sym__text_content] = STATE(188),
    [sym__paragraph] = STATE(513),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(514),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(188),
    [sym_text] = STATE(188),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(188),
    [sym_displayed_equation] = STATE(188),
    [sym_inline_formula] = STATE(188),
    [sym_math_delimiter] = STATE(188),
    [sym_text_mode] = STATE(188),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(188),
    [sym_comment_environment] = STATE(188),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(188),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(188),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(188),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(188),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(188),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(188),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(188),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(188),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(188),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(188),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(188),
    [sym_generic_command] = STATE(188),
    [sym_title_declaration] = STATE(188),
    [sym_author_declaration] = STATE(188),
    [sym_package_include] = STATE(188),
    [sym_class_include] = STATE(188),
    [sym_latex_include] = STATE(188),
    [sym_biblatex_include] = STATE(188),
    [sym_bibstyle_include] = STATE(188),
    [sym_bibtex_include] = STATE(188),
    [sym_graphics_include] = STATE(188),
    [sym_svg_include] = STATE(188),
    [sym_inkscape_include] = STATE(188),
    [sym_verbatim_include] = STATE(188),
    [sym_import_include] = STATE(188),
    [sym_caption] = STATE(188),
    [sym_citation] = STATE(188),
    [sym_label_definition] = STATE(188),
    [sym_label_reference] = STATE(188),
    [sym_label_reference_range] = STATE(188),
    [sym_label_number] = STATE(188),
    [sym_new_command_definition] = STATE(188),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(188),
    [sym_let_command_definition] = STATE(188),
    [sym_paired_delimiter_definition] = STATE(188),
    [sym_environment_definition] = STATE(188),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(188),
    [sym_glossary_entry_reference] = STATE(188),
    [sym_acronym_definition] = STATE(188),
    [sym_acronym_reference] = STATE(188),
    [sym_theorem_definition] = STATE(188),
    [sym_color_definition] = STATE(188),
    [sym_color_set_definition] = STATE(188),
    [sym_color_reference] = STATE(188),
    [sym_tikz_library_import] = STATE(188),
    [sym_hyperlink] = STATE(188),
    [aux_sym__section_repeat5] = STATE(514),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_part_repeat1] = STATE(188),
    [aux_sym_text_repeat1] = STATE(266),
    [ts_builtin_sym_end] = ACTIONS(2306),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(2324),
    [anon_sym_RBRACK] = ACTIONS(2324),
    [anon_sym_COMMA] = ACTIONS(2324),
    [anon_sym_EQ] = ACTIONS(2324),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [anon_sym_RPAREN] = ACTIONS(2324),
    [anon_sym_BSLASHpart] = ACTIONS(2304),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHaddpart] = ACTIONS(2304),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHchapter] = ACTIONS(2304),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHaddchap] = ACTIONS(2304),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHsection] = ACTIONS(2304),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHaddsec] = ACTIONS(2304),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHsubsection] = ACTIONS(2304),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2306),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [191] = {
    [sym_block_comment] = STATE(220),
    [sym__flat_content] = STATE(220),
    [sym__text_with_env_content] = STATE(220),
    [sym__text_content] = STATE(220),
    [sym__paragraph] = STATE(572),
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(373),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(374),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(375),
    [sym_curly_group] = STATE(220),
    [sym_text] = STATE(220),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(220),
    [sym_displayed_equation] = STATE(220),
    [sym_inline_formula] = STATE(220),
    [sym_math_delimiter] = STATE(220),
    [sym_text_mode] = STATE(220),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(220),
    [sym_comment_environment] = STATE(220),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(220),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(220),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(220),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(220),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(220),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(220),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(220),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(220),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(220),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(220),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(220),
    [sym_generic_command] = STATE(220),
    [sym_title_declaration] = STATE(220),
    [sym_author_declaration] = STATE(220),
    [sym_package_include] = STATE(220),
    [sym_class_include] = STATE(220),
    [sym_latex_include] = STATE(220),
    [sym_biblatex_include] = STATE(220),
    [sym_bibstyle_include] = STATE(220),
    [sym_bibtex_include] = STATE(220),
    [sym_graphics_include] = STATE(220),
    [sym_svg_include] = STATE(220),
    [sym_inkscape_include] = STATE(220),
    [sym_verbatim_include] = STATE(220),
    [sym_import_include] = STATE(220),
    [sym_caption] = STATE(220),
    [sym_citation] = STATE(220),
    [sym_label_definition] = STATE(220),
    [sym_label_reference] = STATE(220),
    [sym_label_reference_range] = STATE(220),
    [sym_label_number] = STATE(220),
    [sym_new_command_definition] = STATE(220),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(220),
    [sym_let_command_definition] = STATE(220),
    [sym_paired_delimiter_definition] = STATE(220),
    [sym_environment_definition] = STATE(220),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(220),
    [sym_glossary_entry_reference] = STATE(220),
    [sym_acronym_definition] = STATE(220),
    [sym_acronym_reference] = STATE(220),
    [sym_theorem_definition] = STATE(220),
    [sym_color_definition] = STATE(220),
    [sym_color_set_definition] = STATE(220),
    [sym_color_reference] = STATE(220),
    [sym_tikz_library_import] = STATE(220),
    [sym_hyperlink] = STATE(220),
    [aux_sym__paragraph_repeat1] = STATE(373),
    [aux_sym__paragraph_repeat2] = STATE(374),
    [aux_sym__paragraph_repeat3] = STATE(375),
    [aux_sym_part_repeat1] = STATE(220),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_RBRACK] = ACTIONS(2242),
    [anon_sym_COMMA] = ACTIONS(2242),
    [anon_sym_EQ] = ACTIONS(2242),
    [anon_sym_LPAREN] = ACTIONS(2242),
    [anon_sym_RPAREN] = ACTIONS(2242),
    [anon_sym_BSLASHpart] = ACTIONS(2326),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddpart] = ACTIONS(2326),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHchapter] = ACTIONS(2326),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddchap] = ACTIONS(2326),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsection] = ACTIONS(2326),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddsec] = ACTIONS(2326),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsubsection] = ACTIONS(2326),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2326),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHparagraph] = ACTIONS(203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(2326),
    [anon_sym_BSLASHbigr] = ACTIONS(2326),
    [anon_sym_BSLASHBigr] = ACTIONS(2326),
    [anon_sym_BSLASHbiggr] = ACTIONS(2326),
    [anon_sym_BSLASHBiggr] = ACTIONS(2326),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [192] = {
    [sym_block_comment] = STATE(195),
    [sym__flat_content] = STATE(195),
    [sym__text_with_env_content] = STATE(195),
    [sym__text_content] = STATE(195),
    [sym__paragraph] = STATE(813),
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(814),
    [sym__paragraph_declaration] = STATE(213),
    [sym_paragraph] = STATE(800),
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(801),
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(802),
    [sym_curly_group] = STATE(195),
    [sym_text] = STATE(195),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(195),
    [sym_displayed_equation] = STATE(195),
    [sym_inline_formula] = STATE(195),
    [sym_math_delimiter] = STATE(195),
    [sym_text_mode] = STATE(195),
    [sym_begin] = STATE(71),
    [sym_generic_environment] = STATE(195),
    [sym_comment_environment] = STATE(195),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(195),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(195),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(195),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(195),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(195),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(195),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(195),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(195),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(195),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(195),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(195),
    [sym_generic_command] = STATE(195),
    [sym_title_declaration] = STATE(195),
    [sym_author_declaration] = STATE(195),
    [sym_package_include] = STATE(195),
    [sym_class_include] = STATE(195),
    [sym_latex_include] = STATE(195),
    [sym_biblatex_include] = STATE(195),
    [sym_bibstyle_include] = STATE(195),
    [sym_bibtex_include] = STATE(195),
    [sym_graphics_include] = STATE(195),
    [sym_svg_include] = STATE(195),
    [sym_inkscape_include] = STATE(195),
    [sym_verbatim_include] = STATE(195),
    [sym_import_include] = STATE(195),
    [sym_caption] = STATE(195),
    [sym_citation] = STATE(195),
    [sym_label_definition] = STATE(195),
    [sym_label_reference] = STATE(195),
    [sym_label_reference_range] = STATE(195),
    [sym_label_number] = STATE(195),
    [sym_new_command_definition] = STATE(195),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(195),
    [sym_let_command_definition] = STATE(195),
    [sym_paired_delimiter_definition] = STATE(195),
    [sym_environment_definition] = STATE(195),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(195),
    [sym_glossary_entry_reference] = STATE(195),
    [sym_acronym_definition] = STATE(195),
    [sym_acronym_reference] = STATE(195),
    [sym_theorem_definition] = STATE(195),
    [sym_color_definition] = STATE(195),
    [sym_color_set_definition] = STATE(195),
    [sym_color_reference] = STATE(195),
    [sym_tikz_library_import] = STATE(195),
    [sym_hyperlink] = STATE(195),
    [aux_sym__section_repeat5] = STATE(814),
    [aux_sym__paragraph_repeat1] = STATE(800),
    [aux_sym__paragraph_repeat2] = STATE(801),
    [aux_sym__paragraph_repeat3] = STATE(802),
    [aux_sym_part_repeat1] = STATE(195),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_RBRACK] = ACTIONS(2330),
    [anon_sym_COMMA] = ACTIONS(2330),
    [anon_sym_EQ] = ACTIONS(2330),
    [anon_sym_LPAREN] = ACTIONS(2330),
    [anon_sym_RPAREN] = ACTIONS(2330),
    [anon_sym_BSLASHpart] = ACTIONS(2304),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHaddpart] = ACTIONS(2304),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHchapter] = ACTIONS(2304),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHaddchap] = ACTIONS(2304),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHsection] = ACTIONS(2304),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHaddsec] = ACTIONS(2304),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHsubsection] = ACTIONS(2304),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(704),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(706),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(2304),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [193] = {
    [sym_block_comment] = STATE(239),
    [sym__flat_content] = STATE(239),
    [sym__text_with_env_content] = STATE(239),
    [sym__text_content] = STATE(239),
    [sym__paragraph] = STATE(945),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(946),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(239),
    [sym_text] = STATE(239),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(239),
    [sym_displayed_equation] = STATE(239),
    [sym_inline_formula] = STATE(239),
    [sym_math_delimiter] = STATE(239),
    [sym_text_mode] = STATE(239),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(239),
    [sym_comment_environment] = STATE(239),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(239),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(239),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(239),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(239),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(239),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(239),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(239),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(239),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(239),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(239),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(239),
    [sym_generic_command] = STATE(239),
    [sym_title_declaration] = STATE(239),
    [sym_author_declaration] = STATE(239),
    [sym_package_include] = STATE(239),
    [sym_class_include] = STATE(239),
    [sym_latex_include] = STATE(239),
    [sym_biblatex_include] = STATE(239),
    [sym_bibstyle_include] = STATE(239),
    [sym_bibtex_include] = STATE(239),
    [sym_graphics_include] = STATE(239),
    [sym_svg_include] = STATE(239),
    [sym_inkscape_include] = STATE(239),
    [sym_verbatim_include] = STATE(239),
    [sym_import_include] = STATE(239),
    [sym_caption] = STATE(239),
    [sym_citation] = STATE(239),
    [sym_label_definition] = STATE(239),
    [sym_label_reference] = STATE(239),
    [sym_label_reference_range] = STATE(239),
    [sym_label_number] = STATE(239),
    [sym_new_command_definition] = STATE(239),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(239),
    [sym_let_command_definition] = STATE(239),
    [sym_paired_delimiter_definition] = STATE(239),
    [sym_environment_definition] = STATE(239),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(239),
    [sym_glossary_entry_reference] = STATE(239),
    [sym_acronym_definition] = STATE(239),
    [sym_acronym_reference] = STATE(239),
    [sym_theorem_definition] = STATE(239),
    [sym_color_definition] = STATE(239),
    [sym_color_set_definition] = STATE(239),
    [sym_color_reference] = STATE(239),
    [sym_tikz_library_import] = STATE(239),
    [sym_hyperlink] = STATE(239),
    [aux_sym__section_repeat5] = STATE(946),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_part_repeat1] = STATE(239),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_RBRACK] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(2280),
    [anon_sym_EQ] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_RPAREN] = ACTIONS(2280),
    [anon_sym_BSLASHpart] = ACTIONS(2308),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddpart] = ACTIONS(2308),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHchapter] = ACTIONS(2308),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddchap] = ACTIONS(2308),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsection] = ACTIONS(2308),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddsec] = ACTIONS(2308),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsection] = ACTIONS(2308),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1440),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2310),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [194] = {
    [sym_block_comment] = STATE(196),
    [sym__flat_content] = STATE(196),
    [sym__text_with_env_content] = STATE(196),
    [sym__text_content] = STATE(196),
    [sym__paragraph] = STATE(879),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(880),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(196),
    [sym_text] = STATE(196),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(196),
    [sym_displayed_equation] = STATE(196),
    [sym_inline_formula] = STATE(196),
    [sym_math_delimiter] = STATE(196),
    [sym_text_mode] = STATE(196),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(196),
    [sym_comment_environment] = STATE(196),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(196),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(196),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(196),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(196),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(196),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(196),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(196),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(196),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(196),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(196),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(196),
    [sym_generic_command] = STATE(196),
    [sym_title_declaration] = STATE(196),
    [sym_author_declaration] = STATE(196),
    [sym_package_include] = STATE(196),
    [sym_class_include] = STATE(196),
    [sym_latex_include] = STATE(196),
    [sym_biblatex_include] = STATE(196),
    [sym_bibstyle_include] = STATE(196),
    [sym_bibtex_include] = STATE(196),
    [sym_graphics_include] = STATE(196),
    [sym_svg_include] = STATE(196),
    [sym_inkscape_include] = STATE(196),
    [sym_verbatim_include] = STATE(196),
    [sym_import_include] = STATE(196),
    [sym_caption] = STATE(196),
    [sym_citation] = STATE(196),
    [sym_label_definition] = STATE(196),
    [sym_label_reference] = STATE(196),
    [sym_label_reference_range] = STATE(196),
    [sym_label_number] = STATE(196),
    [sym_new_command_definition] = STATE(196),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(196),
    [sym_let_command_definition] = STATE(196),
    [sym_paired_delimiter_definition] = STATE(196),
    [sym_environment_definition] = STATE(196),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(196),
    [sym_glossary_entry_reference] = STATE(196),
    [sym_acronym_definition] = STATE(196),
    [sym_acronym_reference] = STATE(196),
    [sym_theorem_definition] = STATE(196),
    [sym_color_definition] = STATE(196),
    [sym_color_set_definition] = STATE(196),
    [sym_color_reference] = STATE(196),
    [sym_tikz_library_import] = STATE(196),
    [sym_hyperlink] = STATE(196),
    [aux_sym__section_repeat5] = STATE(880),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_part_repeat1] = STATE(196),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_RBRACK] = ACTIONS(2332),
    [anon_sym_COMMA] = ACTIONS(2332),
    [anon_sym_EQ] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_RPAREN] = ACTIONS(2332),
    [anon_sym_BSLASHpart] = ACTIONS(2304),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHaddpart] = ACTIONS(2304),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHchapter] = ACTIONS(2304),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHaddchap] = ACTIONS(2304),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHsection] = ACTIONS(2304),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHaddsec] = ACTIONS(2304),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHsubsection] = ACTIONS(2304),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2274),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2306),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [195] = {
    [sym_block_comment] = STATE(234),
    [sym__flat_content] = STATE(234),
    [sym__text_with_env_content] = STATE(234),
    [sym__text_content] = STATE(234),
    [sym__paragraph] = STATE(846),
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(847),
    [sym__paragraph_declaration] = STATE(213),
    [sym_paragraph] = STATE(800),
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(801),
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(802),
    [sym_curly_group] = STATE(234),
    [sym_text] = STATE(234),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(234),
    [sym_displayed_equation] = STATE(234),
    [sym_inline_formula] = STATE(234),
    [sym_math_delimiter] = STATE(234),
    [sym_text_mode] = STATE(234),
    [sym_begin] = STATE(71),
    [sym_generic_environment] = STATE(234),
    [sym_comment_environment] = STATE(234),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(234),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(234),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(234),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(234),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(234),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(234),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(234),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(234),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(234),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(234),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(234),
    [sym_generic_command] = STATE(234),
    [sym_title_declaration] = STATE(234),
    [sym_author_declaration] = STATE(234),
    [sym_package_include] = STATE(234),
    [sym_class_include] = STATE(234),
    [sym_latex_include] = STATE(234),
    [sym_biblatex_include] = STATE(234),
    [sym_bibstyle_include] = STATE(234),
    [sym_bibtex_include] = STATE(234),
    [sym_graphics_include] = STATE(234),
    [sym_svg_include] = STATE(234),
    [sym_inkscape_include] = STATE(234),
    [sym_verbatim_include] = STATE(234),
    [sym_import_include] = STATE(234),
    [sym_caption] = STATE(234),
    [sym_citation] = STATE(234),
    [sym_label_definition] = STATE(234),
    [sym_label_reference] = STATE(234),
    [sym_label_reference_range] = STATE(234),
    [sym_label_number] = STATE(234),
    [sym_new_command_definition] = STATE(234),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(234),
    [sym_let_command_definition] = STATE(234),
    [sym_paired_delimiter_definition] = STATE(234),
    [sym_environment_definition] = STATE(234),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(234),
    [sym_glossary_entry_reference] = STATE(234),
    [sym_acronym_definition] = STATE(234),
    [sym_acronym_reference] = STATE(234),
    [sym_theorem_definition] = STATE(234),
    [sym_color_definition] = STATE(234),
    [sym_color_set_definition] = STATE(234),
    [sym_color_reference] = STATE(234),
    [sym_tikz_library_import] = STATE(234),
    [sym_hyperlink] = STATE(234),
    [aux_sym__section_repeat5] = STATE(847),
    [aux_sym__paragraph_repeat1] = STATE(800),
    [aux_sym__paragraph_repeat2] = STATE(801),
    [aux_sym__paragraph_repeat3] = STATE(802),
    [aux_sym_part_repeat1] = STATE(234),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_RBRACK] = ACTIONS(2268),
    [anon_sym_COMMA] = ACTIONS(2268),
    [anon_sym_EQ] = ACTIONS(2268),
    [anon_sym_LPAREN] = ACTIONS(2268),
    [anon_sym_RPAREN] = ACTIONS(2268),
    [anon_sym_BSLASHpart] = ACTIONS(2308),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddpart] = ACTIONS(2308),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHchapter] = ACTIONS(2308),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddchap] = ACTIONS(2308),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsection] = ACTIONS(2308),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddsec] = ACTIONS(2308),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsection] = ACTIONS(2308),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(704),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(706),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(2308),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [196] = {
    [sym_block_comment] = STATE(238),
    [sym__flat_content] = STATE(238),
    [sym__text_with_env_content] = STATE(238),
    [sym__text_content] = STATE(238),
    [sym__paragraph] = STATE(765),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(766),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(238),
    [sym_text] = STATE(238),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(238),
    [sym_displayed_equation] = STATE(238),
    [sym_inline_formula] = STATE(238),
    [sym_math_delimiter] = STATE(238),
    [sym_text_mode] = STATE(238),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(238),
    [sym_comment_environment] = STATE(238),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(238),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(238),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(238),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(238),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(238),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(238),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(238),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(238),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(238),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(238),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(238),
    [sym_generic_command] = STATE(238),
    [sym_title_declaration] = STATE(238),
    [sym_author_declaration] = STATE(238),
    [sym_package_include] = STATE(238),
    [sym_class_include] = STATE(238),
    [sym_latex_include] = STATE(238),
    [sym_biblatex_include] = STATE(238),
    [sym_bibstyle_include] = STATE(238),
    [sym_bibtex_include] = STATE(238),
    [sym_graphics_include] = STATE(238),
    [sym_svg_include] = STATE(238),
    [sym_inkscape_include] = STATE(238),
    [sym_verbatim_include] = STATE(238),
    [sym_import_include] = STATE(238),
    [sym_caption] = STATE(238),
    [sym_citation] = STATE(238),
    [sym_label_definition] = STATE(238),
    [sym_label_reference] = STATE(238),
    [sym_label_reference_range] = STATE(238),
    [sym_label_number] = STATE(238),
    [sym_new_command_definition] = STATE(238),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(238),
    [sym_let_command_definition] = STATE(238),
    [sym_paired_delimiter_definition] = STATE(238),
    [sym_environment_definition] = STATE(238),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(238),
    [sym_glossary_entry_reference] = STATE(238),
    [sym_acronym_definition] = STATE(238),
    [sym_acronym_reference] = STATE(238),
    [sym_theorem_definition] = STATE(238),
    [sym_color_definition] = STATE(238),
    [sym_color_set_definition] = STATE(238),
    [sym_color_reference] = STATE(238),
    [sym_tikz_library_import] = STATE(238),
    [sym_hyperlink] = STATE(238),
    [aux_sym__section_repeat5] = STATE(766),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_part_repeat1] = STATE(238),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_RBRACK] = ACTIONS(2272),
    [anon_sym_COMMA] = ACTIONS(2272),
    [anon_sym_EQ] = ACTIONS(2272),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_RPAREN] = ACTIONS(2272),
    [anon_sym_BSLASHpart] = ACTIONS(2308),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddpart] = ACTIONS(2308),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHchapter] = ACTIONS(2308),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddchap] = ACTIONS(2308),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsection] = ACTIONS(2308),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddsec] = ACTIONS(2308),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsection] = ACTIONS(2308),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2274),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2310),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [197] = {
    [sym_block_comment] = STATE(193),
    [sym__flat_content] = STATE(193),
    [sym__text_with_env_content] = STATE(193),
    [sym__text_content] = STATE(193),
    [sym__paragraph] = STATE(912),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(913),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(193),
    [sym_text] = STATE(193),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(193),
    [sym_displayed_equation] = STATE(193),
    [sym_inline_formula] = STATE(193),
    [sym_math_delimiter] = STATE(193),
    [sym_text_mode] = STATE(193),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(193),
    [sym_comment_environment] = STATE(193),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(193),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(193),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(193),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(193),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(193),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(193),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(193),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(193),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(193),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(193),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(193),
    [sym_generic_command] = STATE(193),
    [sym_title_declaration] = STATE(193),
    [sym_author_declaration] = STATE(193),
    [sym_package_include] = STATE(193),
    [sym_class_include] = STATE(193),
    [sym_latex_include] = STATE(193),
    [sym_biblatex_include] = STATE(193),
    [sym_bibstyle_include] = STATE(193),
    [sym_bibtex_include] = STATE(193),
    [sym_graphics_include] = STATE(193),
    [sym_svg_include] = STATE(193),
    [sym_inkscape_include] = STATE(193),
    [sym_verbatim_include] = STATE(193),
    [sym_import_include] = STATE(193),
    [sym_caption] = STATE(193),
    [sym_citation] = STATE(193),
    [sym_label_definition] = STATE(193),
    [sym_label_reference] = STATE(193),
    [sym_label_reference_range] = STATE(193),
    [sym_label_number] = STATE(193),
    [sym_new_command_definition] = STATE(193),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(193),
    [sym_let_command_definition] = STATE(193),
    [sym_paired_delimiter_definition] = STATE(193),
    [sym_environment_definition] = STATE(193),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(193),
    [sym_glossary_entry_reference] = STATE(193),
    [sym_acronym_definition] = STATE(193),
    [sym_acronym_reference] = STATE(193),
    [sym_theorem_definition] = STATE(193),
    [sym_color_definition] = STATE(193),
    [sym_color_set_definition] = STATE(193),
    [sym_color_reference] = STATE(193),
    [sym_tikz_library_import] = STATE(193),
    [sym_hyperlink] = STATE(193),
    [aux_sym__section_repeat5] = STATE(913),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_part_repeat1] = STATE(193),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(2334),
    [anon_sym_RBRACK] = ACTIONS(2334),
    [anon_sym_COMMA] = ACTIONS(2334),
    [anon_sym_EQ] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(2334),
    [anon_sym_RPAREN] = ACTIONS(2334),
    [anon_sym_BSLASHpart] = ACTIONS(2304),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHaddpart] = ACTIONS(2304),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHchapter] = ACTIONS(2304),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHaddchap] = ACTIONS(2304),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHsection] = ACTIONS(2304),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHaddsec] = ACTIONS(2304),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHsubsection] = ACTIONS(2304),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2306),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1440),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2306),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [198] = {
    [sym_block_comment] = STATE(230),
    [sym__flat_content] = STATE(230),
    [sym__text_with_env_content] = STATE(230),
    [sym__text_content] = STATE(230),
    [sym__paragraph] = STATE(1020),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(230),
    [sym_text] = STATE(230),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(230),
    [sym_displayed_equation] = STATE(230),
    [sym_inline_formula] = STATE(230),
    [sym_math_delimiter] = STATE(230),
    [sym_text_mode] = STATE(230),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(230),
    [sym_comment_environment] = STATE(230),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(230),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(230),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(230),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(230),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(230),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(230),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(230),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(230),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(230),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(230),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(230),
    [sym_generic_command] = STATE(230),
    [sym_title_declaration] = STATE(230),
    [sym_author_declaration] = STATE(230),
    [sym_package_include] = STATE(230),
    [sym_class_include] = STATE(230),
    [sym_latex_include] = STATE(230),
    [sym_biblatex_include] = STATE(230),
    [sym_bibstyle_include] = STATE(230),
    [sym_bibtex_include] = STATE(230),
    [sym_graphics_include] = STATE(230),
    [sym_svg_include] = STATE(230),
    [sym_inkscape_include] = STATE(230),
    [sym_verbatim_include] = STATE(230),
    [sym_import_include] = STATE(230),
    [sym_caption] = STATE(230),
    [sym_citation] = STATE(230),
    [sym_label_definition] = STATE(230),
    [sym_label_reference] = STATE(230),
    [sym_label_reference_range] = STATE(230),
    [sym_label_number] = STATE(230),
    [sym_new_command_definition] = STATE(230),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(230),
    [sym_let_command_definition] = STATE(230),
    [sym_paired_delimiter_definition] = STATE(230),
    [sym_environment_definition] = STATE(230),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(230),
    [sym_glossary_entry_reference] = STATE(230),
    [sym_acronym_definition] = STATE(230),
    [sym_acronym_reference] = STATE(230),
    [sym_theorem_definition] = STATE(230),
    [sym_color_definition] = STATE(230),
    [sym_color_set_definition] = STATE(230),
    [sym_color_reference] = STATE(230),
    [sym_tikz_library_import] = STATE(230),
    [sym_hyperlink] = STATE(230),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_part_repeat1] = STATE(230),
    [aux_sym_text_repeat1] = STATE(266),
    [ts_builtin_sym_end] = ACTIONS(2328),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_RBRACK] = ACTIONS(2264),
    [anon_sym_COMMA] = ACTIONS(2264),
    [anon_sym_EQ] = ACTIONS(2264),
    [anon_sym_LPAREN] = ACTIONS(2264),
    [anon_sym_RPAREN] = ACTIONS(2264),
    [anon_sym_BSLASHpart] = ACTIONS(2326),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddpart] = ACTIONS(2326),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHchapter] = ACTIONS(2326),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddchap] = ACTIONS(2326),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsection] = ACTIONS(2326),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddsec] = ACTIONS(2326),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsubsection] = ACTIONS(2326),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2326),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2328),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [199] = {
    [sym_block_comment] = STATE(198),
    [sym__flat_content] = STATE(198),
    [sym__text_with_env_content] = STATE(198),
    [sym__text_content] = STATE(198),
    [sym__paragraph] = STATE(988),
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(521),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(522),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(523),
    [sym_curly_group] = STATE(198),
    [sym_text] = STATE(198),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(198),
    [sym_displayed_equation] = STATE(198),
    [sym_inline_formula] = STATE(198),
    [sym_math_delimiter] = STATE(198),
    [sym_text_mode] = STATE(198),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(198),
    [sym_comment_environment] = STATE(198),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(198),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(198),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(198),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(198),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(198),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(198),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(198),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(198),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(198),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(198),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(198),
    [sym_generic_command] = STATE(198),
    [sym_title_declaration] = STATE(198),
    [sym_author_declaration] = STATE(198),
    [sym_package_include] = STATE(198),
    [sym_class_include] = STATE(198),
    [sym_latex_include] = STATE(198),
    [sym_biblatex_include] = STATE(198),
    [sym_bibstyle_include] = STATE(198),
    [sym_bibtex_include] = STATE(198),
    [sym_graphics_include] = STATE(198),
    [sym_svg_include] = STATE(198),
    [sym_inkscape_include] = STATE(198),
    [sym_verbatim_include] = STATE(198),
    [sym_import_include] = STATE(198),
    [sym_caption] = STATE(198),
    [sym_citation] = STATE(198),
    [sym_label_definition] = STATE(198),
    [sym_label_reference] = STATE(198),
    [sym_label_reference_range] = STATE(198),
    [sym_label_number] = STATE(198),
    [sym_new_command_definition] = STATE(198),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(198),
    [sym_let_command_definition] = STATE(198),
    [sym_paired_delimiter_definition] = STATE(198),
    [sym_environment_definition] = STATE(198),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(198),
    [sym_glossary_entry_reference] = STATE(198),
    [sym_acronym_definition] = STATE(198),
    [sym_acronym_reference] = STATE(198),
    [sym_theorem_definition] = STATE(198),
    [sym_color_definition] = STATE(198),
    [sym_color_set_definition] = STATE(198),
    [sym_color_reference] = STATE(198),
    [sym_tikz_library_import] = STATE(198),
    [sym_hyperlink] = STATE(198),
    [aux_sym__paragraph_repeat1] = STATE(521),
    [aux_sym__paragraph_repeat2] = STATE(522),
    [aux_sym__paragraph_repeat3] = STATE(523),
    [aux_sym_part_repeat1] = STATE(198),
    [aux_sym_text_repeat1] = STATE(266),
    [ts_builtin_sym_end] = ACTIONS(2322),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(2336),
    [anon_sym_RBRACK] = ACTIONS(2336),
    [anon_sym_COMMA] = ACTIONS(2336),
    [anon_sym_EQ] = ACTIONS(2336),
    [anon_sym_LPAREN] = ACTIONS(2336),
    [anon_sym_RPAREN] = ACTIONS(2336),
    [anon_sym_BSLASHpart] = ACTIONS(2320),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHaddpart] = ACTIONS(2320),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHchapter] = ACTIONS(2320),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHaddchap] = ACTIONS(2320),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHsection] = ACTIONS(2320),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHaddsec] = ACTIONS(2320),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHsubsection] = ACTIONS(2320),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2320),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2322),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [200] = {
    [sym_block_comment] = STATE(201),
    [sym__flat_content] = STATE(201),
    [sym__text_with_env_content] = STATE(201),
    [sym__text_content] = STATE(201),
    [sym__paragraph] = STATE(1553),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(201),
    [sym_text] = STATE(201),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(201),
    [sym_displayed_equation] = STATE(201),
    [sym_inline_formula] = STATE(201),
    [sym_math_delimiter] = STATE(201),
    [sym_text_mode] = STATE(201),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(201),
    [sym_comment_environment] = STATE(201),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(201),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(201),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(201),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(201),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(201),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(201),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(201),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(201),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(201),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(201),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(201),
    [sym_generic_command] = STATE(201),
    [sym_title_declaration] = STATE(201),
    [sym_author_declaration] = STATE(201),
    [sym_package_include] = STATE(201),
    [sym_class_include] = STATE(201),
    [sym_latex_include] = STATE(201),
    [sym_biblatex_include] = STATE(201),
    [sym_bibstyle_include] = STATE(201),
    [sym_bibtex_include] = STATE(201),
    [sym_graphics_include] = STATE(201),
    [sym_svg_include] = STATE(201),
    [sym_inkscape_include] = STATE(201),
    [sym_verbatim_include] = STATE(201),
    [sym_import_include] = STATE(201),
    [sym_caption] = STATE(201),
    [sym_citation] = STATE(201),
    [sym_label_definition] = STATE(201),
    [sym_label_reference] = STATE(201),
    [sym_label_reference_range] = STATE(201),
    [sym_label_number] = STATE(201),
    [sym_new_command_definition] = STATE(201),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(201),
    [sym_let_command_definition] = STATE(201),
    [sym_paired_delimiter_definition] = STATE(201),
    [sym_environment_definition] = STATE(201),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(201),
    [sym_glossary_entry_reference] = STATE(201),
    [sym_acronym_definition] = STATE(201),
    [sym_acronym_reference] = STATE(201),
    [sym_theorem_definition] = STATE(201),
    [sym_color_definition] = STATE(201),
    [sym_color_set_definition] = STATE(201),
    [sym_color_reference] = STATE(201),
    [sym_tikz_library_import] = STATE(201),
    [sym_hyperlink] = STATE(201),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_part_repeat1] = STATE(201),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(2338),
    [anon_sym_RBRACK] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2338),
    [anon_sym_EQ] = ACTIONS(2338),
    [anon_sym_LPAREN] = ACTIONS(2338),
    [anon_sym_RPAREN] = ACTIONS(2338),
    [anon_sym_BSLASHpart] = ACTIONS(2320),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHaddpart] = ACTIONS(2320),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHchapter] = ACTIONS(2320),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHaddchap] = ACTIONS(2320),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHsection] = ACTIONS(2320),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHaddsec] = ACTIONS(2320),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHsubsection] = ACTIONS(2320),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2320),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1440),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2322),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [201] = {
    [sym_block_comment] = STATE(239),
    [sym__flat_content] = STATE(239),
    [sym__text_with_env_content] = STATE(239),
    [sym__text_content] = STATE(239),
    [sym__paragraph] = STATE(1625),
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(900),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(901),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(902),
    [sym_curly_group] = STATE(239),
    [sym_text] = STATE(239),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(239),
    [sym_displayed_equation] = STATE(239),
    [sym_inline_formula] = STATE(239),
    [sym_math_delimiter] = STATE(239),
    [sym_text_mode] = STATE(239),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(239),
    [sym_comment_environment] = STATE(239),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(239),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(239),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(239),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(239),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(239),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(239),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(239),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(239),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(239),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(239),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(239),
    [sym_generic_command] = STATE(239),
    [sym_title_declaration] = STATE(239),
    [sym_author_declaration] = STATE(239),
    [sym_package_include] = STATE(239),
    [sym_class_include] = STATE(239),
    [sym_latex_include] = STATE(239),
    [sym_biblatex_include] = STATE(239),
    [sym_bibstyle_include] = STATE(239),
    [sym_bibtex_include] = STATE(239),
    [sym_graphics_include] = STATE(239),
    [sym_svg_include] = STATE(239),
    [sym_inkscape_include] = STATE(239),
    [sym_verbatim_include] = STATE(239),
    [sym_import_include] = STATE(239),
    [sym_caption] = STATE(239),
    [sym_citation] = STATE(239),
    [sym_label_definition] = STATE(239),
    [sym_label_reference] = STATE(239),
    [sym_label_reference_range] = STATE(239),
    [sym_label_number] = STATE(239),
    [sym_new_command_definition] = STATE(239),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(239),
    [sym_let_command_definition] = STATE(239),
    [sym_paired_delimiter_definition] = STATE(239),
    [sym_environment_definition] = STATE(239),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(239),
    [sym_glossary_entry_reference] = STATE(239),
    [sym_acronym_definition] = STATE(239),
    [sym_acronym_reference] = STATE(239),
    [sym_theorem_definition] = STATE(239),
    [sym_color_definition] = STATE(239),
    [sym_color_set_definition] = STATE(239),
    [sym_color_reference] = STATE(239),
    [sym_tikz_library_import] = STATE(239),
    [sym_hyperlink] = STATE(239),
    [aux_sym__paragraph_repeat1] = STATE(900),
    [aux_sym__paragraph_repeat2] = STATE(901),
    [aux_sym__paragraph_repeat3] = STATE(902),
    [aux_sym_part_repeat1] = STATE(239),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_RBRACK] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(2280),
    [anon_sym_EQ] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_RPAREN] = ACTIONS(2280),
    [anon_sym_BSLASHpart] = ACTIONS(2326),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddpart] = ACTIONS(2326),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHchapter] = ACTIONS(2326),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddchap] = ACTIONS(2326),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsection] = ACTIONS(2326),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddsec] = ACTIONS(2326),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsubsection] = ACTIONS(2326),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2326),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1440),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2328),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [202] = {
    [sym_block_comment] = STATE(234),
    [sym__flat_content] = STATE(234),
    [sym__text_with_env_content] = STATE(234),
    [sym__text_content] = STATE(234),
    [sym__paragraph] = STATE(1215),
    [sym__paragraph_declaration] = STATE(213),
    [sym_paragraph] = STATE(800),
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(801),
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(802),
    [sym_curly_group] = STATE(234),
    [sym_text] = STATE(234),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(234),
    [sym_displayed_equation] = STATE(234),
    [sym_inline_formula] = STATE(234),
    [sym_math_delimiter] = STATE(234),
    [sym_text_mode] = STATE(234),
    [sym_begin] = STATE(71),
    [sym_generic_environment] = STATE(234),
    [sym_comment_environment] = STATE(234),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(234),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(234),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(234),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(234),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(234),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(234),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(234),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(234),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(234),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(234),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(234),
    [sym_generic_command] = STATE(234),
    [sym_title_declaration] = STATE(234),
    [sym_author_declaration] = STATE(234),
    [sym_package_include] = STATE(234),
    [sym_class_include] = STATE(234),
    [sym_latex_include] = STATE(234),
    [sym_biblatex_include] = STATE(234),
    [sym_bibstyle_include] = STATE(234),
    [sym_bibtex_include] = STATE(234),
    [sym_graphics_include] = STATE(234),
    [sym_svg_include] = STATE(234),
    [sym_inkscape_include] = STATE(234),
    [sym_verbatim_include] = STATE(234),
    [sym_import_include] = STATE(234),
    [sym_caption] = STATE(234),
    [sym_citation] = STATE(234),
    [sym_label_definition] = STATE(234),
    [sym_label_reference] = STATE(234),
    [sym_label_reference_range] = STATE(234),
    [sym_label_number] = STATE(234),
    [sym_new_command_definition] = STATE(234),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(234),
    [sym_let_command_definition] = STATE(234),
    [sym_paired_delimiter_definition] = STATE(234),
    [sym_environment_definition] = STATE(234),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(234),
    [sym_glossary_entry_reference] = STATE(234),
    [sym_acronym_definition] = STATE(234),
    [sym_acronym_reference] = STATE(234),
    [sym_theorem_definition] = STATE(234),
    [sym_color_definition] = STATE(234),
    [sym_color_set_definition] = STATE(234),
    [sym_color_reference] = STATE(234),
    [sym_tikz_library_import] = STATE(234),
    [sym_hyperlink] = STATE(234),
    [aux_sym__paragraph_repeat1] = STATE(800),
    [aux_sym__paragraph_repeat2] = STATE(801),
    [aux_sym__paragraph_repeat3] = STATE(802),
    [aux_sym_part_repeat1] = STATE(234),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_RBRACK] = ACTIONS(2268),
    [anon_sym_COMMA] = ACTIONS(2268),
    [anon_sym_EQ] = ACTIONS(2268),
    [anon_sym_LPAREN] = ACTIONS(2268),
    [anon_sym_RPAREN] = ACTIONS(2268),
    [anon_sym_BSLASHpart] = ACTIONS(2326),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddpart] = ACTIONS(2326),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHchapter] = ACTIONS(2326),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddchap] = ACTIONS(2326),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsection] = ACTIONS(2326),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddsec] = ACTIONS(2326),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsubsection] = ACTIONS(2326),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2326),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHparagraph] = ACTIONS(700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(704),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(706),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(2326),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [203] = {
    [sym_block_comment] = STATE(202),
    [sym__flat_content] = STATE(202),
    [sym__text_with_env_content] = STATE(202),
    [sym__text_content] = STATE(202),
    [sym__paragraph] = STATE(1606),
    [sym__paragraph_declaration] = STATE(213),
    [sym_paragraph] = STATE(800),
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(801),
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(802),
    [sym_curly_group] = STATE(202),
    [sym_text] = STATE(202),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(202),
    [sym_displayed_equation] = STATE(202),
    [sym_inline_formula] = STATE(202),
    [sym_math_delimiter] = STATE(202),
    [sym_text_mode] = STATE(202),
    [sym_begin] = STATE(71),
    [sym_generic_environment] = STATE(202),
    [sym_comment_environment] = STATE(202),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(202),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(202),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(202),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(202),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(202),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(202),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(202),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(202),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(202),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(202),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(202),
    [sym_generic_command] = STATE(202),
    [sym_title_declaration] = STATE(202),
    [sym_author_declaration] = STATE(202),
    [sym_package_include] = STATE(202),
    [sym_class_include] = STATE(202),
    [sym_latex_include] = STATE(202),
    [sym_biblatex_include] = STATE(202),
    [sym_bibstyle_include] = STATE(202),
    [sym_bibtex_include] = STATE(202),
    [sym_graphics_include] = STATE(202),
    [sym_svg_include] = STATE(202),
    [sym_inkscape_include] = STATE(202),
    [sym_verbatim_include] = STATE(202),
    [sym_import_include] = STATE(202),
    [sym_caption] = STATE(202),
    [sym_citation] = STATE(202),
    [sym_label_definition] = STATE(202),
    [sym_label_reference] = STATE(202),
    [sym_label_reference_range] = STATE(202),
    [sym_label_number] = STATE(202),
    [sym_new_command_definition] = STATE(202),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(202),
    [sym_let_command_definition] = STATE(202),
    [sym_paired_delimiter_definition] = STATE(202),
    [sym_environment_definition] = STATE(202),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(202),
    [sym_glossary_entry_reference] = STATE(202),
    [sym_acronym_definition] = STATE(202),
    [sym_acronym_reference] = STATE(202),
    [sym_theorem_definition] = STATE(202),
    [sym_color_definition] = STATE(202),
    [sym_color_set_definition] = STATE(202),
    [sym_color_reference] = STATE(202),
    [sym_tikz_library_import] = STATE(202),
    [sym_hyperlink] = STATE(202),
    [aux_sym__paragraph_repeat1] = STATE(800),
    [aux_sym__paragraph_repeat2] = STATE(801),
    [aux_sym__paragraph_repeat3] = STATE(802),
    [aux_sym_part_repeat1] = STATE(202),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_RBRACK] = ACTIONS(2340),
    [anon_sym_COMMA] = ACTIONS(2340),
    [anon_sym_EQ] = ACTIONS(2340),
    [anon_sym_LPAREN] = ACTIONS(2340),
    [anon_sym_RPAREN] = ACTIONS(2340),
    [anon_sym_BSLASHpart] = ACTIONS(2320),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHaddpart] = ACTIONS(2320),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHchapter] = ACTIONS(2320),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHaddchap] = ACTIONS(2320),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHsection] = ACTIONS(2320),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHaddsec] = ACTIONS(2320),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHsubsection] = ACTIONS(2320),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2320),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHparagraph] = ACTIONS(700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(704),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(706),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(2320),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [204] = {
    [sym_block_comment] = STATE(206),
    [sym__flat_content] = STATE(206),
    [sym__text_with_env_content] = STATE(206),
    [sym__text_content] = STATE(206),
    [sym__paragraph] = STATE(1205),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(206),
    [sym_text] = STATE(206),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(206),
    [sym_displayed_equation] = STATE(206),
    [sym_inline_formula] = STATE(206),
    [sym_math_delimiter] = STATE(206),
    [sym_text_mode] = STATE(206),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(206),
    [sym_comment_environment] = STATE(206),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(206),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(206),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(206),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(206),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(206),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(206),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(206),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(206),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(206),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(206),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(206),
    [sym_generic_command] = STATE(206),
    [sym_title_declaration] = STATE(206),
    [sym_author_declaration] = STATE(206),
    [sym_package_include] = STATE(206),
    [sym_class_include] = STATE(206),
    [sym_latex_include] = STATE(206),
    [sym_biblatex_include] = STATE(206),
    [sym_bibstyle_include] = STATE(206),
    [sym_bibtex_include] = STATE(206),
    [sym_graphics_include] = STATE(206),
    [sym_svg_include] = STATE(206),
    [sym_inkscape_include] = STATE(206),
    [sym_verbatim_include] = STATE(206),
    [sym_import_include] = STATE(206),
    [sym_caption] = STATE(206),
    [sym_citation] = STATE(206),
    [sym_label_definition] = STATE(206),
    [sym_label_reference] = STATE(206),
    [sym_label_reference_range] = STATE(206),
    [sym_label_number] = STATE(206),
    [sym_new_command_definition] = STATE(206),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(206),
    [sym_let_command_definition] = STATE(206),
    [sym_paired_delimiter_definition] = STATE(206),
    [sym_environment_definition] = STATE(206),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(206),
    [sym_glossary_entry_reference] = STATE(206),
    [sym_acronym_definition] = STATE(206),
    [sym_acronym_reference] = STATE(206),
    [sym_theorem_definition] = STATE(206),
    [sym_color_definition] = STATE(206),
    [sym_color_set_definition] = STATE(206),
    [sym_color_reference] = STATE(206),
    [sym_tikz_library_import] = STATE(206),
    [sym_hyperlink] = STATE(206),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_part_repeat1] = STATE(206),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(2342),
    [anon_sym_RBRACK] = ACTIONS(2342),
    [anon_sym_COMMA] = ACTIONS(2342),
    [anon_sym_EQ] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(2342),
    [anon_sym_RPAREN] = ACTIONS(2342),
    [anon_sym_BSLASHpart] = ACTIONS(2320),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHaddpart] = ACTIONS(2320),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHchapter] = ACTIONS(2320),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHaddchap] = ACTIONS(2320),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHsection] = ACTIONS(2320),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHaddsec] = ACTIONS(2320),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHsubsection] = ACTIONS(2320),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2320),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2322),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2274),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2322),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [205] = {
    [sym_block_comment] = STATE(220),
    [sym__flat_content] = STATE(220),
    [sym__text_with_env_content] = STATE(220),
    [sym__text_content] = STATE(220),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(436),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(437),
    [sym_curly_group] = STATE(220),
    [sym_text] = STATE(220),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(220),
    [sym_displayed_equation] = STATE(220),
    [sym_inline_formula] = STATE(220),
    [sym_math_delimiter] = STATE(220),
    [sym_text_mode] = STATE(220),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(220),
    [sym_comment_environment] = STATE(220),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(220),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(220),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(220),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(220),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(220),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(220),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(220),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(220),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(220),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(220),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(220),
    [sym_generic_command] = STATE(220),
    [sym_title_declaration] = STATE(220),
    [sym_author_declaration] = STATE(220),
    [sym_package_include] = STATE(220),
    [sym_class_include] = STATE(220),
    [sym_latex_include] = STATE(220),
    [sym_biblatex_include] = STATE(220),
    [sym_bibstyle_include] = STATE(220),
    [sym_bibtex_include] = STATE(220),
    [sym_graphics_include] = STATE(220),
    [sym_svg_include] = STATE(220),
    [sym_inkscape_include] = STATE(220),
    [sym_verbatim_include] = STATE(220),
    [sym_import_include] = STATE(220),
    [sym_caption] = STATE(220),
    [sym_citation] = STATE(220),
    [sym_label_definition] = STATE(220),
    [sym_label_reference] = STATE(220),
    [sym_label_reference_range] = STATE(220),
    [sym_label_number] = STATE(220),
    [sym_new_command_definition] = STATE(220),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(220),
    [sym_let_command_definition] = STATE(220),
    [sym_paired_delimiter_definition] = STATE(220),
    [sym_environment_definition] = STATE(220),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(220),
    [sym_glossary_entry_reference] = STATE(220),
    [sym_acronym_definition] = STATE(220),
    [sym_acronym_reference] = STATE(220),
    [sym_theorem_definition] = STATE(220),
    [sym_color_definition] = STATE(220),
    [sym_color_set_definition] = STATE(220),
    [sym_color_reference] = STATE(220),
    [sym_tikz_library_import] = STATE(220),
    [sym_hyperlink] = STATE(220),
    [aux_sym__paragraph_repeat2] = STATE(436),
    [aux_sym__paragraph_repeat3] = STATE(437),
    [aux_sym_part_repeat1] = STATE(220),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_RBRACK] = ACTIONS(2242),
    [anon_sym_COMMA] = ACTIONS(2242),
    [anon_sym_EQ] = ACTIONS(2242),
    [anon_sym_LPAREN] = ACTIONS(2242),
    [anon_sym_RPAREN] = ACTIONS(2242),
    [anon_sym_BSLASHpart] = ACTIONS(2344),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddpart] = ACTIONS(2344),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHchapter] = ACTIONS(2344),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddchap] = ACTIONS(2344),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsection] = ACTIONS(2344),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddsec] = ACTIONS(2344),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHparagraph] = ACTIONS(2344),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(2344),
    [anon_sym_BSLASHbigr] = ACTIONS(2344),
    [anon_sym_BSLASHBigr] = ACTIONS(2344),
    [anon_sym_BSLASHbiggr] = ACTIONS(2344),
    [anon_sym_BSLASHBiggr] = ACTIONS(2344),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [206] = {
    [sym_block_comment] = STATE(238),
    [sym__flat_content] = STATE(238),
    [sym__text_with_env_content] = STATE(238),
    [sym__text_content] = STATE(238),
    [sym__paragraph] = STATE(1280),
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(792),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(793),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(794),
    [sym_curly_group] = STATE(238),
    [sym_text] = STATE(238),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(238),
    [sym_displayed_equation] = STATE(238),
    [sym_inline_formula] = STATE(238),
    [sym_math_delimiter] = STATE(238),
    [sym_text_mode] = STATE(238),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(238),
    [sym_comment_environment] = STATE(238),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(238),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(238),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(238),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(238),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(238),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(238),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(238),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(238),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(238),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(238),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(238),
    [sym_generic_command] = STATE(238),
    [sym_title_declaration] = STATE(238),
    [sym_author_declaration] = STATE(238),
    [sym_package_include] = STATE(238),
    [sym_class_include] = STATE(238),
    [sym_latex_include] = STATE(238),
    [sym_biblatex_include] = STATE(238),
    [sym_bibstyle_include] = STATE(238),
    [sym_bibtex_include] = STATE(238),
    [sym_graphics_include] = STATE(238),
    [sym_svg_include] = STATE(238),
    [sym_inkscape_include] = STATE(238),
    [sym_verbatim_include] = STATE(238),
    [sym_import_include] = STATE(238),
    [sym_caption] = STATE(238),
    [sym_citation] = STATE(238),
    [sym_label_definition] = STATE(238),
    [sym_label_reference] = STATE(238),
    [sym_label_reference_range] = STATE(238),
    [sym_label_number] = STATE(238),
    [sym_new_command_definition] = STATE(238),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(238),
    [sym_let_command_definition] = STATE(238),
    [sym_paired_delimiter_definition] = STATE(238),
    [sym_environment_definition] = STATE(238),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(238),
    [sym_glossary_entry_reference] = STATE(238),
    [sym_acronym_definition] = STATE(238),
    [sym_acronym_reference] = STATE(238),
    [sym_theorem_definition] = STATE(238),
    [sym_color_definition] = STATE(238),
    [sym_color_set_definition] = STATE(238),
    [sym_color_reference] = STATE(238),
    [sym_tikz_library_import] = STATE(238),
    [sym_hyperlink] = STATE(238),
    [aux_sym__paragraph_repeat1] = STATE(792),
    [aux_sym__paragraph_repeat2] = STATE(793),
    [aux_sym__paragraph_repeat3] = STATE(794),
    [aux_sym_part_repeat1] = STATE(238),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_RBRACK] = ACTIONS(2272),
    [anon_sym_COMMA] = ACTIONS(2272),
    [anon_sym_EQ] = ACTIONS(2272),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_RPAREN] = ACTIONS(2272),
    [anon_sym_BSLASHpart] = ACTIONS(2326),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddpart] = ACTIONS(2326),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHchapter] = ACTIONS(2326),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddchap] = ACTIONS(2326),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsection] = ACTIONS(2326),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddsec] = ACTIONS(2326),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsubsection] = ACTIONS(2326),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2326),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2274),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2328),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [207] = {
    [sym_block_comment] = STATE(205),
    [sym__flat_content] = STATE(205),
    [sym__text_with_env_content] = STATE(205),
    [sym__text_content] = STATE(205),
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(396),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(397),
    [sym_curly_group] = STATE(205),
    [sym_text] = STATE(205),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(205),
    [sym_displayed_equation] = STATE(205),
    [sym_inline_formula] = STATE(205),
    [sym_math_delimiter] = STATE(205),
    [sym_text_mode] = STATE(205),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(205),
    [sym_comment_environment] = STATE(205),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(205),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(205),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(205),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(205),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(205),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(205),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(205),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(205),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(205),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(205),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(205),
    [sym_generic_command] = STATE(205),
    [sym_title_declaration] = STATE(205),
    [sym_author_declaration] = STATE(205),
    [sym_package_include] = STATE(205),
    [sym_class_include] = STATE(205),
    [sym_latex_include] = STATE(205),
    [sym_biblatex_include] = STATE(205),
    [sym_bibstyle_include] = STATE(205),
    [sym_bibtex_include] = STATE(205),
    [sym_graphics_include] = STATE(205),
    [sym_svg_include] = STATE(205),
    [sym_inkscape_include] = STATE(205),
    [sym_verbatim_include] = STATE(205),
    [sym_import_include] = STATE(205),
    [sym_caption] = STATE(205),
    [sym_citation] = STATE(205),
    [sym_label_definition] = STATE(205),
    [sym_label_reference] = STATE(205),
    [sym_label_reference_range] = STATE(205),
    [sym_label_number] = STATE(205),
    [sym_new_command_definition] = STATE(205),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(205),
    [sym_let_command_definition] = STATE(205),
    [sym_paired_delimiter_definition] = STATE(205),
    [sym_environment_definition] = STATE(205),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(205),
    [sym_glossary_entry_reference] = STATE(205),
    [sym_acronym_definition] = STATE(205),
    [sym_acronym_reference] = STATE(205),
    [sym_theorem_definition] = STATE(205),
    [sym_color_definition] = STATE(205),
    [sym_color_set_definition] = STATE(205),
    [sym_color_reference] = STATE(205),
    [sym_tikz_library_import] = STATE(205),
    [sym_hyperlink] = STATE(205),
    [aux_sym__paragraph_repeat2] = STATE(396),
    [aux_sym__paragraph_repeat3] = STATE(397),
    [aux_sym_part_repeat1] = STATE(205),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym_RBRACK] = ACTIONS(2348),
    [anon_sym_COMMA] = ACTIONS(2348),
    [anon_sym_EQ] = ACTIONS(2348),
    [anon_sym_LPAREN] = ACTIONS(2348),
    [anon_sym_RPAREN] = ACTIONS(2348),
    [anon_sym_BSLASHpart] = ACTIONS(2350),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHaddpart] = ACTIONS(2350),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHchapter] = ACTIONS(2350),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHaddchap] = ACTIONS(2350),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHsection] = ACTIONS(2350),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHaddsec] = ACTIONS(2350),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHsubsection] = ACTIONS(2350),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2350),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHparagraph] = ACTIONS(2350),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(2350),
    [anon_sym_BSLASHbigr] = ACTIONS(2350),
    [anon_sym_BSLASHBigr] = ACTIONS(2350),
    [anon_sym_BSLASHbiggr] = ACTIONS(2350),
    [anon_sym_BSLASHBiggr] = ACTIONS(2350),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [208] = {
    [sym_block_comment] = STATE(220),
    [sym__flat_content] = STATE(220),
    [sym__text_with_env_content] = STATE(220),
    [sym__text_content] = STATE(220),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(438),
    [sym_curly_group] = STATE(220),
    [sym_text] = STATE(220),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(220),
    [sym_displayed_equation] = STATE(220),
    [sym_inline_formula] = STATE(220),
    [sym_math_delimiter] = STATE(220),
    [sym_text_mode] = STATE(220),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(220),
    [sym_comment_environment] = STATE(220),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(220),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(220),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(220),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(220),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(220),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(220),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(220),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(220),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(220),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(220),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(220),
    [sym_generic_command] = STATE(220),
    [sym_title_declaration] = STATE(220),
    [sym_author_declaration] = STATE(220),
    [sym_package_include] = STATE(220),
    [sym_class_include] = STATE(220),
    [sym_latex_include] = STATE(220),
    [sym_biblatex_include] = STATE(220),
    [sym_bibstyle_include] = STATE(220),
    [sym_bibtex_include] = STATE(220),
    [sym_graphics_include] = STATE(220),
    [sym_svg_include] = STATE(220),
    [sym_inkscape_include] = STATE(220),
    [sym_verbatim_include] = STATE(220),
    [sym_import_include] = STATE(220),
    [sym_caption] = STATE(220),
    [sym_citation] = STATE(220),
    [sym_label_definition] = STATE(220),
    [sym_label_reference] = STATE(220),
    [sym_label_reference_range] = STATE(220),
    [sym_label_number] = STATE(220),
    [sym_new_command_definition] = STATE(220),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(220),
    [sym_let_command_definition] = STATE(220),
    [sym_paired_delimiter_definition] = STATE(220),
    [sym_environment_definition] = STATE(220),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(220),
    [sym_glossary_entry_reference] = STATE(220),
    [sym_acronym_definition] = STATE(220),
    [sym_acronym_reference] = STATE(220),
    [sym_theorem_definition] = STATE(220),
    [sym_color_definition] = STATE(220),
    [sym_color_set_definition] = STATE(220),
    [sym_color_reference] = STATE(220),
    [sym_tikz_library_import] = STATE(220),
    [sym_hyperlink] = STATE(220),
    [aux_sym__paragraph_repeat3] = STATE(438),
    [aux_sym_part_repeat1] = STATE(220),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_RBRACK] = ACTIONS(2242),
    [anon_sym_COMMA] = ACTIONS(2242),
    [anon_sym_EQ] = ACTIONS(2242),
    [anon_sym_LPAREN] = ACTIONS(2242),
    [anon_sym_RPAREN] = ACTIONS(2242),
    [anon_sym_BSLASHpart] = ACTIONS(2354),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddpart] = ACTIONS(2354),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHchapter] = ACTIONS(2354),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddchap] = ACTIONS(2354),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsection] = ACTIONS(2354),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddsec] = ACTIONS(2354),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubsection] = ACTIONS(2354),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2354),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHparagraph] = ACTIONS(2354),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2354),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(2354),
    [anon_sym_BSLASHbigr] = ACTIONS(2354),
    [anon_sym_BSLASHBigr] = ACTIONS(2354),
    [anon_sym_BSLASHbiggr] = ACTIONS(2354),
    [anon_sym_BSLASHBiggr] = ACTIONS(2354),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [209] = {
    [sym_block_comment] = STATE(208),
    [sym__flat_content] = STATE(208),
    [sym__text_with_env_content] = STATE(208),
    [sym__text_content] = STATE(208),
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(399),
    [sym_curly_group] = STATE(208),
    [sym_text] = STATE(208),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(208),
    [sym_displayed_equation] = STATE(208),
    [sym_inline_formula] = STATE(208),
    [sym_math_delimiter] = STATE(208),
    [sym_text_mode] = STATE(208),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(208),
    [sym_comment_environment] = STATE(208),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(208),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(208),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(208),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(208),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(208),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(208),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(208),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(208),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(208),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(208),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(208),
    [sym_generic_command] = STATE(208),
    [sym_title_declaration] = STATE(208),
    [sym_author_declaration] = STATE(208),
    [sym_package_include] = STATE(208),
    [sym_class_include] = STATE(208),
    [sym_latex_include] = STATE(208),
    [sym_biblatex_include] = STATE(208),
    [sym_bibstyle_include] = STATE(208),
    [sym_bibtex_include] = STATE(208),
    [sym_graphics_include] = STATE(208),
    [sym_svg_include] = STATE(208),
    [sym_inkscape_include] = STATE(208),
    [sym_verbatim_include] = STATE(208),
    [sym_import_include] = STATE(208),
    [sym_caption] = STATE(208),
    [sym_citation] = STATE(208),
    [sym_label_definition] = STATE(208),
    [sym_label_reference] = STATE(208),
    [sym_label_reference_range] = STATE(208),
    [sym_label_number] = STATE(208),
    [sym_new_command_definition] = STATE(208),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(208),
    [sym_let_command_definition] = STATE(208),
    [sym_paired_delimiter_definition] = STATE(208),
    [sym_environment_definition] = STATE(208),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(208),
    [sym_glossary_entry_reference] = STATE(208),
    [sym_acronym_definition] = STATE(208),
    [sym_acronym_reference] = STATE(208),
    [sym_theorem_definition] = STATE(208),
    [sym_color_definition] = STATE(208),
    [sym_color_set_definition] = STATE(208),
    [sym_color_reference] = STATE(208),
    [sym_tikz_library_import] = STATE(208),
    [sym_hyperlink] = STATE(208),
    [aux_sym__paragraph_repeat3] = STATE(399),
    [aux_sym_part_repeat1] = STATE(208),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(2358),
    [anon_sym_RBRACK] = ACTIONS(2358),
    [anon_sym_COMMA] = ACTIONS(2358),
    [anon_sym_EQ] = ACTIONS(2358),
    [anon_sym_LPAREN] = ACTIONS(2358),
    [anon_sym_RPAREN] = ACTIONS(2358),
    [anon_sym_BSLASHpart] = ACTIONS(2360),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHaddpart] = ACTIONS(2360),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHchapter] = ACTIONS(2360),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHaddchap] = ACTIONS(2360),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHsection] = ACTIONS(2360),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHaddsec] = ACTIONS(2360),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHsubsection] = ACTIONS(2360),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2360),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHparagraph] = ACTIONS(2360),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2360),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(2360),
    [anon_sym_BSLASHbigr] = ACTIONS(2360),
    [anon_sym_BSLASHBigr] = ACTIONS(2360),
    [anon_sym_BSLASHbiggr] = ACTIONS(2360),
    [anon_sym_BSLASHBiggr] = ACTIONS(2360),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [210] = {
    [sym_block_comment] = STATE(230),
    [sym__flat_content] = STATE(230),
    [sym__text_with_env_content] = STATE(230),
    [sym__text_content] = STATE(230),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(565),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(566),
    [sym_curly_group] = STATE(230),
    [sym_text] = STATE(230),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(230),
    [sym_displayed_equation] = STATE(230),
    [sym_inline_formula] = STATE(230),
    [sym_math_delimiter] = STATE(230),
    [sym_text_mode] = STATE(230),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(230),
    [sym_comment_environment] = STATE(230),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(230),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(230),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(230),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(230),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(230),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(230),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(230),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(230),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(230),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(230),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(230),
    [sym_generic_command] = STATE(230),
    [sym_title_declaration] = STATE(230),
    [sym_author_declaration] = STATE(230),
    [sym_package_include] = STATE(230),
    [sym_class_include] = STATE(230),
    [sym_latex_include] = STATE(230),
    [sym_biblatex_include] = STATE(230),
    [sym_bibstyle_include] = STATE(230),
    [sym_bibtex_include] = STATE(230),
    [sym_graphics_include] = STATE(230),
    [sym_svg_include] = STATE(230),
    [sym_inkscape_include] = STATE(230),
    [sym_verbatim_include] = STATE(230),
    [sym_import_include] = STATE(230),
    [sym_caption] = STATE(230),
    [sym_citation] = STATE(230),
    [sym_label_definition] = STATE(230),
    [sym_label_reference] = STATE(230),
    [sym_label_reference_range] = STATE(230),
    [sym_label_number] = STATE(230),
    [sym_new_command_definition] = STATE(230),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(230),
    [sym_let_command_definition] = STATE(230),
    [sym_paired_delimiter_definition] = STATE(230),
    [sym_environment_definition] = STATE(230),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(230),
    [sym_glossary_entry_reference] = STATE(230),
    [sym_acronym_definition] = STATE(230),
    [sym_acronym_reference] = STATE(230),
    [sym_theorem_definition] = STATE(230),
    [sym_color_definition] = STATE(230),
    [sym_color_set_definition] = STATE(230),
    [sym_color_reference] = STATE(230),
    [sym_tikz_library_import] = STATE(230),
    [sym_hyperlink] = STATE(230),
    [aux_sym__paragraph_repeat2] = STATE(565),
    [aux_sym__paragraph_repeat3] = STATE(566),
    [aux_sym_part_repeat1] = STATE(230),
    [aux_sym_text_repeat1] = STATE(266),
    [ts_builtin_sym_end] = ACTIONS(2346),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_RBRACK] = ACTIONS(2264),
    [anon_sym_COMMA] = ACTIONS(2264),
    [anon_sym_EQ] = ACTIONS(2264),
    [anon_sym_LPAREN] = ACTIONS(2264),
    [anon_sym_RPAREN] = ACTIONS(2264),
    [anon_sym_BSLASHpart] = ACTIONS(2344),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddpart] = ACTIONS(2344),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHchapter] = ACTIONS(2344),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddchap] = ACTIONS(2344),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsection] = ACTIONS(2344),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddsec] = ACTIONS(2344),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHparagraph] = ACTIONS(2344),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2346),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [211] = {
    [sym_block_comment] = STATE(210),
    [sym__flat_content] = STATE(210),
    [sym__text_with_env_content] = STATE(210),
    [sym__text_content] = STATE(210),
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(517),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(518),
    [sym_curly_group] = STATE(210),
    [sym_text] = STATE(210),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(210),
    [sym_displayed_equation] = STATE(210),
    [sym_inline_formula] = STATE(210),
    [sym_math_delimiter] = STATE(210),
    [sym_text_mode] = STATE(210),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(210),
    [sym_comment_environment] = STATE(210),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(210),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(210),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(210),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(210),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(210),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(210),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(210),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(210),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(210),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(210),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(210),
    [sym_generic_command] = STATE(210),
    [sym_title_declaration] = STATE(210),
    [sym_author_declaration] = STATE(210),
    [sym_package_include] = STATE(210),
    [sym_class_include] = STATE(210),
    [sym_latex_include] = STATE(210),
    [sym_biblatex_include] = STATE(210),
    [sym_bibstyle_include] = STATE(210),
    [sym_bibtex_include] = STATE(210),
    [sym_graphics_include] = STATE(210),
    [sym_svg_include] = STATE(210),
    [sym_inkscape_include] = STATE(210),
    [sym_verbatim_include] = STATE(210),
    [sym_import_include] = STATE(210),
    [sym_caption] = STATE(210),
    [sym_citation] = STATE(210),
    [sym_label_definition] = STATE(210),
    [sym_label_reference] = STATE(210),
    [sym_label_reference_range] = STATE(210),
    [sym_label_number] = STATE(210),
    [sym_new_command_definition] = STATE(210),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(210),
    [sym_let_command_definition] = STATE(210),
    [sym_paired_delimiter_definition] = STATE(210),
    [sym_environment_definition] = STATE(210),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(210),
    [sym_glossary_entry_reference] = STATE(210),
    [sym_acronym_definition] = STATE(210),
    [sym_acronym_reference] = STATE(210),
    [sym_theorem_definition] = STATE(210),
    [sym_color_definition] = STATE(210),
    [sym_color_set_definition] = STATE(210),
    [sym_color_reference] = STATE(210),
    [sym_tikz_library_import] = STATE(210),
    [sym_hyperlink] = STATE(210),
    [aux_sym__paragraph_repeat2] = STATE(517),
    [aux_sym__paragraph_repeat3] = STATE(518),
    [aux_sym_part_repeat1] = STATE(210),
    [aux_sym_text_repeat1] = STATE(266),
    [ts_builtin_sym_end] = ACTIONS(2352),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_RBRACK] = ACTIONS(2364),
    [anon_sym_COMMA] = ACTIONS(2364),
    [anon_sym_EQ] = ACTIONS(2364),
    [anon_sym_LPAREN] = ACTIONS(2364),
    [anon_sym_RPAREN] = ACTIONS(2364),
    [anon_sym_BSLASHpart] = ACTIONS(2350),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHaddpart] = ACTIONS(2350),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHchapter] = ACTIONS(2350),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHaddchap] = ACTIONS(2350),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHsection] = ACTIONS(2350),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHaddsec] = ACTIONS(2350),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHsubsection] = ACTIONS(2350),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2350),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHparagraph] = ACTIONS(2350),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2352),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [212] = {
    [sym_block_comment] = STATE(238),
    [sym__flat_content] = STATE(238),
    [sym__text_with_env_content] = STATE(238),
    [sym__text_content] = STATE(238),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(767),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(768),
    [sym_curly_group] = STATE(238),
    [sym_text] = STATE(238),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(238),
    [sym_displayed_equation] = STATE(238),
    [sym_inline_formula] = STATE(238),
    [sym_math_delimiter] = STATE(238),
    [sym_text_mode] = STATE(238),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(238),
    [sym_comment_environment] = STATE(238),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(238),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(238),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(238),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(238),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(238),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(238),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(238),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(238),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(238),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(238),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(238),
    [sym_generic_command] = STATE(238),
    [sym_title_declaration] = STATE(238),
    [sym_author_declaration] = STATE(238),
    [sym_package_include] = STATE(238),
    [sym_class_include] = STATE(238),
    [sym_latex_include] = STATE(238),
    [sym_biblatex_include] = STATE(238),
    [sym_bibstyle_include] = STATE(238),
    [sym_bibtex_include] = STATE(238),
    [sym_graphics_include] = STATE(238),
    [sym_svg_include] = STATE(238),
    [sym_inkscape_include] = STATE(238),
    [sym_verbatim_include] = STATE(238),
    [sym_import_include] = STATE(238),
    [sym_caption] = STATE(238),
    [sym_citation] = STATE(238),
    [sym_label_definition] = STATE(238),
    [sym_label_reference] = STATE(238),
    [sym_label_reference_range] = STATE(238),
    [sym_label_number] = STATE(238),
    [sym_new_command_definition] = STATE(238),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(238),
    [sym_let_command_definition] = STATE(238),
    [sym_paired_delimiter_definition] = STATE(238),
    [sym_environment_definition] = STATE(238),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(238),
    [sym_glossary_entry_reference] = STATE(238),
    [sym_acronym_definition] = STATE(238),
    [sym_acronym_reference] = STATE(238),
    [sym_theorem_definition] = STATE(238),
    [sym_color_definition] = STATE(238),
    [sym_color_set_definition] = STATE(238),
    [sym_color_reference] = STATE(238),
    [sym_tikz_library_import] = STATE(238),
    [sym_hyperlink] = STATE(238),
    [aux_sym__paragraph_repeat2] = STATE(767),
    [aux_sym__paragraph_repeat3] = STATE(768),
    [aux_sym_part_repeat1] = STATE(238),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_RBRACK] = ACTIONS(2272),
    [anon_sym_COMMA] = ACTIONS(2272),
    [anon_sym_EQ] = ACTIONS(2272),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_RPAREN] = ACTIONS(2272),
    [anon_sym_BSLASHpart] = ACTIONS(2344),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddpart] = ACTIONS(2344),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHchapter] = ACTIONS(2344),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddchap] = ACTIONS(2344),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsection] = ACTIONS(2344),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddsec] = ACTIONS(2344),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHparagraph] = ACTIONS(2344),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2274),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2346),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [213] = {
    [sym_block_comment] = STATE(215),
    [sym__flat_content] = STATE(215),
    [sym__text_with_env_content] = STATE(215),
    [sym__text_content] = STATE(215),
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(815),
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(816),
    [sym_curly_group] = STATE(215),
    [sym_text] = STATE(215),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(215),
    [sym_displayed_equation] = STATE(215),
    [sym_inline_formula] = STATE(215),
    [sym_math_delimiter] = STATE(215),
    [sym_text_mode] = STATE(215),
    [sym_begin] = STATE(71),
    [sym_generic_environment] = STATE(215),
    [sym_comment_environment] = STATE(215),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(215),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(215),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(215),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(215),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(215),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(215),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(215),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(215),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(215),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(215),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(215),
    [sym_generic_command] = STATE(215),
    [sym_title_declaration] = STATE(215),
    [sym_author_declaration] = STATE(215),
    [sym_package_include] = STATE(215),
    [sym_class_include] = STATE(215),
    [sym_latex_include] = STATE(215),
    [sym_biblatex_include] = STATE(215),
    [sym_bibstyle_include] = STATE(215),
    [sym_bibtex_include] = STATE(215),
    [sym_graphics_include] = STATE(215),
    [sym_svg_include] = STATE(215),
    [sym_inkscape_include] = STATE(215),
    [sym_verbatim_include] = STATE(215),
    [sym_import_include] = STATE(215),
    [sym_caption] = STATE(215),
    [sym_citation] = STATE(215),
    [sym_label_definition] = STATE(215),
    [sym_label_reference] = STATE(215),
    [sym_label_reference_range] = STATE(215),
    [sym_label_number] = STATE(215),
    [sym_new_command_definition] = STATE(215),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(215),
    [sym_let_command_definition] = STATE(215),
    [sym_paired_delimiter_definition] = STATE(215),
    [sym_environment_definition] = STATE(215),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(215),
    [sym_glossary_entry_reference] = STATE(215),
    [sym_acronym_definition] = STATE(215),
    [sym_acronym_reference] = STATE(215),
    [sym_theorem_definition] = STATE(215),
    [sym_color_definition] = STATE(215),
    [sym_color_set_definition] = STATE(215),
    [sym_color_reference] = STATE(215),
    [sym_tikz_library_import] = STATE(215),
    [sym_hyperlink] = STATE(215),
    [aux_sym__paragraph_repeat2] = STATE(815),
    [aux_sym__paragraph_repeat3] = STATE(816),
    [aux_sym_part_repeat1] = STATE(215),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(2366),
    [anon_sym_RBRACK] = ACTIONS(2366),
    [anon_sym_COMMA] = ACTIONS(2366),
    [anon_sym_EQ] = ACTIONS(2366),
    [anon_sym_LPAREN] = ACTIONS(2366),
    [anon_sym_RPAREN] = ACTIONS(2366),
    [anon_sym_BSLASHpart] = ACTIONS(2350),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHaddpart] = ACTIONS(2350),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHchapter] = ACTIONS(2350),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHaddchap] = ACTIONS(2350),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHsection] = ACTIONS(2350),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHaddsec] = ACTIONS(2350),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHsubsection] = ACTIONS(2350),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2350),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHparagraph] = ACTIONS(2350),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(704),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(706),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(2350),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [214] = {
    [sym_block_comment] = STATE(212),
    [sym__flat_content] = STATE(212),
    [sym__text_with_env_content] = STATE(212),
    [sym__text_content] = STATE(212),
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(882),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(883),
    [sym_curly_group] = STATE(212),
    [sym_text] = STATE(212),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(212),
    [sym_displayed_equation] = STATE(212),
    [sym_inline_formula] = STATE(212),
    [sym_math_delimiter] = STATE(212),
    [sym_text_mode] = STATE(212),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(212),
    [sym_comment_environment] = STATE(212),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(212),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(212),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(212),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(212),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(212),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(212),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(212),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(212),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(212),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(212),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(212),
    [sym_generic_command] = STATE(212),
    [sym_title_declaration] = STATE(212),
    [sym_author_declaration] = STATE(212),
    [sym_package_include] = STATE(212),
    [sym_class_include] = STATE(212),
    [sym_latex_include] = STATE(212),
    [sym_biblatex_include] = STATE(212),
    [sym_bibstyle_include] = STATE(212),
    [sym_bibtex_include] = STATE(212),
    [sym_graphics_include] = STATE(212),
    [sym_svg_include] = STATE(212),
    [sym_inkscape_include] = STATE(212),
    [sym_verbatim_include] = STATE(212),
    [sym_import_include] = STATE(212),
    [sym_caption] = STATE(212),
    [sym_citation] = STATE(212),
    [sym_label_definition] = STATE(212),
    [sym_label_reference] = STATE(212),
    [sym_label_reference_range] = STATE(212),
    [sym_label_number] = STATE(212),
    [sym_new_command_definition] = STATE(212),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(212),
    [sym_let_command_definition] = STATE(212),
    [sym_paired_delimiter_definition] = STATE(212),
    [sym_environment_definition] = STATE(212),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(212),
    [sym_glossary_entry_reference] = STATE(212),
    [sym_acronym_definition] = STATE(212),
    [sym_acronym_reference] = STATE(212),
    [sym_theorem_definition] = STATE(212),
    [sym_color_definition] = STATE(212),
    [sym_color_set_definition] = STATE(212),
    [sym_color_reference] = STATE(212),
    [sym_tikz_library_import] = STATE(212),
    [sym_hyperlink] = STATE(212),
    [aux_sym__paragraph_repeat2] = STATE(882),
    [aux_sym__paragraph_repeat3] = STATE(883),
    [aux_sym_part_repeat1] = STATE(212),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_RBRACK] = ACTIONS(2368),
    [anon_sym_COMMA] = ACTIONS(2368),
    [anon_sym_EQ] = ACTIONS(2368),
    [anon_sym_LPAREN] = ACTIONS(2368),
    [anon_sym_RPAREN] = ACTIONS(2368),
    [anon_sym_BSLASHpart] = ACTIONS(2350),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHaddpart] = ACTIONS(2350),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHchapter] = ACTIONS(2350),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHaddchap] = ACTIONS(2350),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHsection] = ACTIONS(2350),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHaddsec] = ACTIONS(2350),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHsubsection] = ACTIONS(2350),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2350),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHparagraph] = ACTIONS(2350),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2274),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2352),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [215] = {
    [sym_block_comment] = STATE(234),
    [sym__flat_content] = STATE(234),
    [sym__text_with_env_content] = STATE(234),
    [sym__text_content] = STATE(234),
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(848),
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(849),
    [sym_curly_group] = STATE(234),
    [sym_text] = STATE(234),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(234),
    [sym_displayed_equation] = STATE(234),
    [sym_inline_formula] = STATE(234),
    [sym_math_delimiter] = STATE(234),
    [sym_text_mode] = STATE(234),
    [sym_begin] = STATE(71),
    [sym_generic_environment] = STATE(234),
    [sym_comment_environment] = STATE(234),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(234),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(234),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(234),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(234),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(234),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(234),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(234),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(234),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(234),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(234),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(234),
    [sym_generic_command] = STATE(234),
    [sym_title_declaration] = STATE(234),
    [sym_author_declaration] = STATE(234),
    [sym_package_include] = STATE(234),
    [sym_class_include] = STATE(234),
    [sym_latex_include] = STATE(234),
    [sym_biblatex_include] = STATE(234),
    [sym_bibstyle_include] = STATE(234),
    [sym_bibtex_include] = STATE(234),
    [sym_graphics_include] = STATE(234),
    [sym_svg_include] = STATE(234),
    [sym_inkscape_include] = STATE(234),
    [sym_verbatim_include] = STATE(234),
    [sym_import_include] = STATE(234),
    [sym_caption] = STATE(234),
    [sym_citation] = STATE(234),
    [sym_label_definition] = STATE(234),
    [sym_label_reference] = STATE(234),
    [sym_label_reference_range] = STATE(234),
    [sym_label_number] = STATE(234),
    [sym_new_command_definition] = STATE(234),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(234),
    [sym_let_command_definition] = STATE(234),
    [sym_paired_delimiter_definition] = STATE(234),
    [sym_environment_definition] = STATE(234),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(234),
    [sym_glossary_entry_reference] = STATE(234),
    [sym_acronym_definition] = STATE(234),
    [sym_acronym_reference] = STATE(234),
    [sym_theorem_definition] = STATE(234),
    [sym_color_definition] = STATE(234),
    [sym_color_set_definition] = STATE(234),
    [sym_color_reference] = STATE(234),
    [sym_tikz_library_import] = STATE(234),
    [sym_hyperlink] = STATE(234),
    [aux_sym__paragraph_repeat2] = STATE(848),
    [aux_sym__paragraph_repeat3] = STATE(849),
    [aux_sym_part_repeat1] = STATE(234),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_RBRACK] = ACTIONS(2268),
    [anon_sym_COMMA] = ACTIONS(2268),
    [anon_sym_EQ] = ACTIONS(2268),
    [anon_sym_LPAREN] = ACTIONS(2268),
    [anon_sym_RPAREN] = ACTIONS(2268),
    [anon_sym_BSLASHpart] = ACTIONS(2344),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddpart] = ACTIONS(2344),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHchapter] = ACTIONS(2344),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddchap] = ACTIONS(2344),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsection] = ACTIONS(2344),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddsec] = ACTIONS(2344),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHparagraph] = ACTIONS(2344),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(704),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(706),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(2344),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [216] = {
    [sym_block_comment] = STATE(239),
    [sym__flat_content] = STATE(239),
    [sym__text_with_env_content] = STATE(239),
    [sym__text_content] = STATE(239),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(947),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(731),
    [sym_curly_group] = STATE(239),
    [sym_text] = STATE(239),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(239),
    [sym_displayed_equation] = STATE(239),
    [sym_inline_formula] = STATE(239),
    [sym_math_delimiter] = STATE(239),
    [sym_text_mode] = STATE(239),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(239),
    [sym_comment_environment] = STATE(239),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(239),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(239),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(239),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(239),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(239),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(239),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(239),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(239),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(239),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(239),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(239),
    [sym_generic_command] = STATE(239),
    [sym_title_declaration] = STATE(239),
    [sym_author_declaration] = STATE(239),
    [sym_package_include] = STATE(239),
    [sym_class_include] = STATE(239),
    [sym_latex_include] = STATE(239),
    [sym_biblatex_include] = STATE(239),
    [sym_bibstyle_include] = STATE(239),
    [sym_bibtex_include] = STATE(239),
    [sym_graphics_include] = STATE(239),
    [sym_svg_include] = STATE(239),
    [sym_inkscape_include] = STATE(239),
    [sym_verbatim_include] = STATE(239),
    [sym_import_include] = STATE(239),
    [sym_caption] = STATE(239),
    [sym_citation] = STATE(239),
    [sym_label_definition] = STATE(239),
    [sym_label_reference] = STATE(239),
    [sym_label_reference_range] = STATE(239),
    [sym_label_number] = STATE(239),
    [sym_new_command_definition] = STATE(239),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(239),
    [sym_let_command_definition] = STATE(239),
    [sym_paired_delimiter_definition] = STATE(239),
    [sym_environment_definition] = STATE(239),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(239),
    [sym_glossary_entry_reference] = STATE(239),
    [sym_acronym_definition] = STATE(239),
    [sym_acronym_reference] = STATE(239),
    [sym_theorem_definition] = STATE(239),
    [sym_color_definition] = STATE(239),
    [sym_color_set_definition] = STATE(239),
    [sym_color_reference] = STATE(239),
    [sym_tikz_library_import] = STATE(239),
    [sym_hyperlink] = STATE(239),
    [aux_sym__paragraph_repeat2] = STATE(947),
    [aux_sym__paragraph_repeat3] = STATE(731),
    [aux_sym_part_repeat1] = STATE(239),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_RBRACK] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(2280),
    [anon_sym_EQ] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_RPAREN] = ACTIONS(2280),
    [anon_sym_BSLASHpart] = ACTIONS(2344),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddpart] = ACTIONS(2344),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHchapter] = ACTIONS(2344),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddchap] = ACTIONS(2344),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsection] = ACTIONS(2344),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddsec] = ACTIONS(2344),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHparagraph] = ACTIONS(2344),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1440),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2346),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [217] = {
    [sym_block_comment] = STATE(216),
    [sym__flat_content] = STATE(216),
    [sym__text_with_env_content] = STATE(216),
    [sym__text_content] = STATE(216),
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(914),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(915),
    [sym_curly_group] = STATE(216),
    [sym_text] = STATE(216),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(216),
    [sym_displayed_equation] = STATE(216),
    [sym_inline_formula] = STATE(216),
    [sym_math_delimiter] = STATE(216),
    [sym_text_mode] = STATE(216),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(216),
    [sym_comment_environment] = STATE(216),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(216),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(216),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(216),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(216),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(216),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(216),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(216),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(216),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(216),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(216),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(216),
    [sym_generic_command] = STATE(216),
    [sym_title_declaration] = STATE(216),
    [sym_author_declaration] = STATE(216),
    [sym_package_include] = STATE(216),
    [sym_class_include] = STATE(216),
    [sym_latex_include] = STATE(216),
    [sym_biblatex_include] = STATE(216),
    [sym_bibstyle_include] = STATE(216),
    [sym_bibtex_include] = STATE(216),
    [sym_graphics_include] = STATE(216),
    [sym_svg_include] = STATE(216),
    [sym_inkscape_include] = STATE(216),
    [sym_verbatim_include] = STATE(216),
    [sym_import_include] = STATE(216),
    [sym_caption] = STATE(216),
    [sym_citation] = STATE(216),
    [sym_label_definition] = STATE(216),
    [sym_label_reference] = STATE(216),
    [sym_label_reference_range] = STATE(216),
    [sym_label_number] = STATE(216),
    [sym_new_command_definition] = STATE(216),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(216),
    [sym_let_command_definition] = STATE(216),
    [sym_paired_delimiter_definition] = STATE(216),
    [sym_environment_definition] = STATE(216),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(216),
    [sym_glossary_entry_reference] = STATE(216),
    [sym_acronym_definition] = STATE(216),
    [sym_acronym_reference] = STATE(216),
    [sym_theorem_definition] = STATE(216),
    [sym_color_definition] = STATE(216),
    [sym_color_set_definition] = STATE(216),
    [sym_color_reference] = STATE(216),
    [sym_tikz_library_import] = STATE(216),
    [sym_hyperlink] = STATE(216),
    [aux_sym__paragraph_repeat2] = STATE(914),
    [aux_sym__paragraph_repeat3] = STATE(915),
    [aux_sym_part_repeat1] = STATE(216),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_RBRACK] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_RPAREN] = ACTIONS(2370),
    [anon_sym_BSLASHpart] = ACTIONS(2350),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHaddpart] = ACTIONS(2350),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHchapter] = ACTIONS(2350),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHaddchap] = ACTIONS(2350),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHsection] = ACTIONS(2350),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHaddsec] = ACTIONS(2350),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHsubsection] = ACTIONS(2350),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2350),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHparagraph] = ACTIONS(2350),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2352),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1440),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2352),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [218] = {
    [sym_block_comment] = STATE(221),
    [sym__flat_content] = STATE(221),
    [sym__text_with_env_content] = STATE(221),
    [sym__text_content] = STATE(221),
    [sym_curly_group] = STATE(221),
    [sym_text] = STATE(221),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(221),
    [sym_displayed_equation] = STATE(221),
    [sym_inline_formula] = STATE(221),
    [sym_math_delimiter] = STATE(221),
    [sym_text_mode] = STATE(221),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(221),
    [sym_comment_environment] = STATE(221),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(221),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(221),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(221),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(221),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(221),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(221),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(221),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(221),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(221),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(221),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(221),
    [sym_generic_command] = STATE(221),
    [sym_title_declaration] = STATE(221),
    [sym_author_declaration] = STATE(221),
    [sym_package_include] = STATE(221),
    [sym_class_include] = STATE(221),
    [sym_latex_include] = STATE(221),
    [sym_biblatex_include] = STATE(221),
    [sym_bibstyle_include] = STATE(221),
    [sym_bibtex_include] = STATE(221),
    [sym_graphics_include] = STATE(221),
    [sym_svg_include] = STATE(221),
    [sym_inkscape_include] = STATE(221),
    [sym_verbatim_include] = STATE(221),
    [sym_import_include] = STATE(221),
    [sym_caption] = STATE(221),
    [sym_citation] = STATE(221),
    [sym_label_definition] = STATE(221),
    [sym_label_reference] = STATE(221),
    [sym_label_reference_range] = STATE(221),
    [sym_label_number] = STATE(221),
    [sym_new_command_definition] = STATE(221),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(221),
    [sym_let_command_definition] = STATE(221),
    [sym_paired_delimiter_definition] = STATE(221),
    [sym_environment_definition] = STATE(221),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(221),
    [sym_glossary_entry_reference] = STATE(221),
    [sym_acronym_definition] = STATE(221),
    [sym_acronym_reference] = STATE(221),
    [sym_theorem_definition] = STATE(221),
    [sym_color_definition] = STATE(221),
    [sym_color_set_definition] = STATE(221),
    [sym_color_reference] = STATE(221),
    [sym_tikz_library_import] = STATE(221),
    [sym_hyperlink] = STATE(221),
    [aux_sym_part_repeat1] = STATE(221),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(2372),
    [anon_sym_RBRACK] = ACTIONS(2372),
    [anon_sym_COMMA] = ACTIONS(2372),
    [anon_sym_EQ] = ACTIONS(2372),
    [anon_sym_LPAREN] = ACTIONS(2372),
    [anon_sym_RPAREN] = ACTIONS(2372),
    [anon_sym_BSLASHpart] = ACTIONS(2374),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHaddpart] = ACTIONS(2374),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHchapter] = ACTIONS(2374),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHaddchap] = ACTIONS(2374),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHsection] = ACTIONS(2374),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHaddsec] = ACTIONS(2374),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHsubsection] = ACTIONS(2374),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2374),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHparagraph] = ACTIONS(2374),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2374),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHitem] = ACTIONS(2374),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2376),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(2374),
    [anon_sym_BSLASHbigr] = ACTIONS(2374),
    [anon_sym_BSLASHBigr] = ACTIONS(2374),
    [anon_sym_BSLASHbiggr] = ACTIONS(2374),
    [anon_sym_BSLASHBiggr] = ACTIONS(2374),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [219] = {
    [sym_block_comment] = STATE(230),
    [sym__flat_content] = STATE(230),
    [sym__text_with_env_content] = STATE(230),
    [sym__text_content] = STATE(230),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(567),
    [sym_curly_group] = STATE(230),
    [sym_text] = STATE(230),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(230),
    [sym_displayed_equation] = STATE(230),
    [sym_inline_formula] = STATE(230),
    [sym_math_delimiter] = STATE(230),
    [sym_text_mode] = STATE(230),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(230),
    [sym_comment_environment] = STATE(230),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(230),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(230),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(230),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(230),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(230),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(230),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(230),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(230),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(230),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(230),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(230),
    [sym_generic_command] = STATE(230),
    [sym_title_declaration] = STATE(230),
    [sym_author_declaration] = STATE(230),
    [sym_package_include] = STATE(230),
    [sym_class_include] = STATE(230),
    [sym_latex_include] = STATE(230),
    [sym_biblatex_include] = STATE(230),
    [sym_bibstyle_include] = STATE(230),
    [sym_bibtex_include] = STATE(230),
    [sym_graphics_include] = STATE(230),
    [sym_svg_include] = STATE(230),
    [sym_inkscape_include] = STATE(230),
    [sym_verbatim_include] = STATE(230),
    [sym_import_include] = STATE(230),
    [sym_caption] = STATE(230),
    [sym_citation] = STATE(230),
    [sym_label_definition] = STATE(230),
    [sym_label_reference] = STATE(230),
    [sym_label_reference_range] = STATE(230),
    [sym_label_number] = STATE(230),
    [sym_new_command_definition] = STATE(230),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(230),
    [sym_let_command_definition] = STATE(230),
    [sym_paired_delimiter_definition] = STATE(230),
    [sym_environment_definition] = STATE(230),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(230),
    [sym_glossary_entry_reference] = STATE(230),
    [sym_acronym_definition] = STATE(230),
    [sym_acronym_reference] = STATE(230),
    [sym_theorem_definition] = STATE(230),
    [sym_color_definition] = STATE(230),
    [sym_color_set_definition] = STATE(230),
    [sym_color_reference] = STATE(230),
    [sym_tikz_library_import] = STATE(230),
    [sym_hyperlink] = STATE(230),
    [aux_sym__paragraph_repeat3] = STATE(567),
    [aux_sym_part_repeat1] = STATE(230),
    [aux_sym_text_repeat1] = STATE(266),
    [ts_builtin_sym_end] = ACTIONS(2356),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_RBRACK] = ACTIONS(2264),
    [anon_sym_COMMA] = ACTIONS(2264),
    [anon_sym_EQ] = ACTIONS(2264),
    [anon_sym_LPAREN] = ACTIONS(2264),
    [anon_sym_RPAREN] = ACTIONS(2264),
    [anon_sym_BSLASHpart] = ACTIONS(2354),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddpart] = ACTIONS(2354),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHchapter] = ACTIONS(2354),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddchap] = ACTIONS(2354),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsection] = ACTIONS(2354),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddsec] = ACTIONS(2354),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubsection] = ACTIONS(2354),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2354),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHparagraph] = ACTIONS(2354),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2354),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2356),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [220] = {
    [sym_block_comment] = STATE(220),
    [sym__flat_content] = STATE(220),
    [sym__text_with_env_content] = STATE(220),
    [sym__text_content] = STATE(220),
    [sym_curly_group] = STATE(220),
    [sym_text] = STATE(220),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(220),
    [sym_displayed_equation] = STATE(220),
    [sym_inline_formula] = STATE(220),
    [sym_math_delimiter] = STATE(220),
    [sym_text_mode] = STATE(220),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(220),
    [sym_comment_environment] = STATE(220),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(220),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(220),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(220),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(220),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(220),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(220),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(220),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(220),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(220),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(220),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(220),
    [sym_generic_command] = STATE(220),
    [sym_title_declaration] = STATE(220),
    [sym_author_declaration] = STATE(220),
    [sym_package_include] = STATE(220),
    [sym_class_include] = STATE(220),
    [sym_latex_include] = STATE(220),
    [sym_biblatex_include] = STATE(220),
    [sym_bibstyle_include] = STATE(220),
    [sym_bibtex_include] = STATE(220),
    [sym_graphics_include] = STATE(220),
    [sym_svg_include] = STATE(220),
    [sym_inkscape_include] = STATE(220),
    [sym_verbatim_include] = STATE(220),
    [sym_import_include] = STATE(220),
    [sym_caption] = STATE(220),
    [sym_citation] = STATE(220),
    [sym_label_definition] = STATE(220),
    [sym_label_reference] = STATE(220),
    [sym_label_reference_range] = STATE(220),
    [sym_label_number] = STATE(220),
    [sym_new_command_definition] = STATE(220),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(220),
    [sym_let_command_definition] = STATE(220),
    [sym_paired_delimiter_definition] = STATE(220),
    [sym_environment_definition] = STATE(220),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(220),
    [sym_glossary_entry_reference] = STATE(220),
    [sym_acronym_definition] = STATE(220),
    [sym_acronym_reference] = STATE(220),
    [sym_theorem_definition] = STATE(220),
    [sym_color_definition] = STATE(220),
    [sym_color_set_definition] = STATE(220),
    [sym_color_reference] = STATE(220),
    [sym_tikz_library_import] = STATE(220),
    [sym_hyperlink] = STATE(220),
    [aux_sym_part_repeat1] = STATE(220),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(2378),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2381),
    [anon_sym_LBRACK] = ACTIONS(2384),
    [anon_sym_RBRACK] = ACTIONS(2384),
    [anon_sym_COMMA] = ACTIONS(2384),
    [anon_sym_EQ] = ACTIONS(2384),
    [anon_sym_LPAREN] = ACTIONS(2384),
    [anon_sym_RPAREN] = ACTIONS(2384),
    [anon_sym_BSLASHpart] = ACTIONS(2387),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHaddpart] = ACTIONS(2387),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHchapter] = ACTIONS(2387),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHaddchap] = ACTIONS(2387),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHsection] = ACTIONS(2387),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHaddsec] = ACTIONS(2387),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHsubsection] = ACTIONS(2387),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2387),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHparagraph] = ACTIONS(2387),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2387),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHitem] = ACTIONS(2387),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [sym_word] = ACTIONS(2394),
    [sym_placeholder] = ACTIONS(2397),
    [sym_delimiter] = ACTIONS(2397),
    [anon_sym_PLUS] = ACTIONS(2400),
    [anon_sym_DASH] = ACTIONS(2400),
    [anon_sym_STAR] = ACTIONS(2400),
    [anon_sym_SLASH] = ACTIONS(2400),
    [anon_sym_LT] = ACTIONS(2403),
    [anon_sym_GT] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(2403),
    [anon_sym_PIPE] = ACTIONS(2403),
    [anon_sym_COLON] = ACTIONS(2403),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym__] = ACTIONS(2406),
    [anon_sym_CARET] = ACTIONS(2409),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2412),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2415),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2418),
    [anon_sym_BSLASHleft] = ACTIONS(2421),
    [anon_sym_BSLASHbigl] = ACTIONS(2421),
    [anon_sym_BSLASHBigl] = ACTIONS(2421),
    [anon_sym_BSLASHbiggl] = ACTIONS(2421),
    [anon_sym_BSLASHBiggl] = ACTIONS(2421),
    [anon_sym_BSLASHright] = ACTIONS(2387),
    [anon_sym_BSLASHbigr] = ACTIONS(2387),
    [anon_sym_BSLASHBigr] = ACTIONS(2387),
    [anon_sym_BSLASHbiggr] = ACTIONS(2387),
    [anon_sym_BSLASHBiggr] = ACTIONS(2387),
    [anon_sym_BSLASHtext] = ACTIONS(2424),
    [anon_sym_BSLASHintertext] = ACTIONS(2424),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2424),
    [anon_sym_BSLASHbegin] = ACTIONS(2427),
    [anon_sym_BSLASHtitle] = ACTIONS(2430),
    [anon_sym_BSLASHauthor] = ACTIONS(2433),
    [anon_sym_BSLASHusepackage] = ACTIONS(2436),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2436),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2439),
    [anon_sym_BSLASHinclude] = ACTIONS(2442),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2442),
    [anon_sym_BSLASHinput] = ACTIONS(2442),
    [anon_sym_BSLASHsubfile] = ACTIONS(2442),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2445),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2448),
    [anon_sym_BSLASHbibliography] = ACTIONS(2451),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2454),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2457),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2460),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2463),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2463),
    [anon_sym_BSLASHimport] = ACTIONS(2466),
    [anon_sym_BSLASHsubimport] = ACTIONS(2466),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2466),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2466),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2466),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2466),
    [anon_sym_BSLASHcaption] = ACTIONS(2469),
    [anon_sym_BSLASHcite] = ACTIONS(2472),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2475),
    [anon_sym_BSLASHCite] = ACTIONS(2472),
    [anon_sym_BSLASHnocite] = ACTIONS(2472),
    [anon_sym_BSLASHcitet] = ACTIONS(2472),
    [anon_sym_BSLASHcitep] = ACTIONS(2472),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2475),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2475),
    [anon_sym_BSLASHciteA] = ACTIONS(2472),
    [anon_sym_BSLASHciteR] = ACTIONS(2472),
    [anon_sym_BSLASHciteS] = ACTIONS(2472),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2472),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2472),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2475),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2472),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2475),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2472),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2475),
    [anon_sym_BSLASHciteyear] = ACTIONS(2472),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2475),
    [anon_sym_BSLASHcitedate] = ACTIONS(2472),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2475),
    [anon_sym_BSLASHciteurl] = ACTIONS(2472),
    [anon_sym_BSLASHfullcite] = ACTIONS(2472),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2472),
    [anon_sym_BSLASHcitealt] = ACTIONS(2472),
    [anon_sym_BSLASHcitealp] = ACTIONS(2472),
    [anon_sym_BSLASHcitetext] = ACTIONS(2472),
    [anon_sym_BSLASHparencite] = ACTIONS(2472),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2475),
    [anon_sym_BSLASHParencite] = ACTIONS(2472),
    [anon_sym_BSLASHfootcite] = ACTIONS(2472),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2472),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2472),
    [anon_sym_BSLASHtextcite] = ACTIONS(2472),
    [anon_sym_BSLASHTextcite] = ACTIONS(2472),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2472),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2472),
    [anon_sym_BSLASHsupercite] = ACTIONS(2472),
    [anon_sym_BSLASHautocite] = ACTIONS(2472),
    [anon_sym_BSLASHAutocite] = ACTIONS(2472),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2475),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2475),
    [anon_sym_BSLASHvolcite] = ACTIONS(2472),
    [anon_sym_BSLASHVolcite] = ACTIONS(2472),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2472),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2472),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2472),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2472),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2472),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2472),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2472),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2472),
    [anon_sym_BSLASHavolcite] = ACTIONS(2472),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2472),
    [anon_sym_BSLASHnotecite] = ACTIONS(2472),
    [anon_sym_BSLASHNotecite] = ACTIONS(2472),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2472),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2472),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2472),
    [anon_sym_BSLASHlabel] = ACTIONS(2478),
    [anon_sym_BSLASHref] = ACTIONS(2481),
    [anon_sym_BSLASHeqref] = ACTIONS(2481),
    [anon_sym_BSLASHvref] = ACTIONS(2481),
    [anon_sym_BSLASHVref] = ACTIONS(2481),
    [anon_sym_BSLASHautoref] = ACTIONS(2481),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2484),
    [anon_sym_BSLASHpageref] = ACTIONS(2481),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2484),
    [anon_sym_BSLASHautopageref] = ACTIONS(2481),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2484),
    [anon_sym_BSLASHcref] = ACTIONS(2481),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2484),
    [anon_sym_BSLASHCref] = ACTIONS(2481),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2484),
    [anon_sym_BSLASHcpageref] = ACTIONS(2481),
    [anon_sym_BSLASHCpageref] = ACTIONS(2481),
    [anon_sym_BSLASHnamecref] = ACTIONS(2481),
    [anon_sym_BSLASHnameCref] = ACTIONS(2481),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2481),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2481),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2481),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2481),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2481),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2484),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2481),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2484),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2487),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2490),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2487),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2490),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2487),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2487),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2493),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2499),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2499),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2499),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2499),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2499),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2502),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2502),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2502),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2502),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2502),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2502),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2502),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2502),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2505),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2505),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2505),
    [anon_sym_BSLASHdef] = ACTIONS(2508),
    [anon_sym_BSLASHgdef] = ACTIONS(2508),
    [anon_sym_BSLASHedef] = ACTIONS(2508),
    [anon_sym_BSLASHxdef] = ACTIONS(2508),
    [anon_sym_BSLASHlet] = ACTIONS(2511),
    [anon_sym_BSLASHglet] = ACTIONS(2511),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2514),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2514),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2517),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2517),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2520),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2520),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2520),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2520),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2523),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2523),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2523),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2526),
    [anon_sym_BSLASHgls] = ACTIONS(2529),
    [anon_sym_BSLASHGls] = ACTIONS(2529),
    [anon_sym_BSLASHGLS] = ACTIONS(2529),
    [anon_sym_BSLASHglspl] = ACTIONS(2529),
    [anon_sym_BSLASHGlspl] = ACTIONS(2529),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2529),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2529),
    [anon_sym_BSLASHglslink] = ACTIONS(2529),
    [anon_sym_BSLASHglstext] = ACTIONS(2529),
    [anon_sym_BSLASHGlstext] = ACTIONS(2529),
    [anon_sym_BSLASHGLStext] = ACTIONS(2529),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2529),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2529),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2529),
    [anon_sym_BSLASHglsplural] = ACTIONS(2529),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2529),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2529),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2529),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2529),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2529),
    [anon_sym_BSLASHglsname] = ACTIONS(2529),
    [anon_sym_BSLASHGlsname] = ACTIONS(2529),
    [anon_sym_BSLASHGLSname] = ACTIONS(2529),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2529),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2529),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2529),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2529),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2529),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2529),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2529),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2529),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2529),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2529),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2529),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2529),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2529),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2529),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2529),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2529),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2529),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2529),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2529),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2529),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2529),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2529),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2529),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2532),
    [anon_sym_BSLASHacrshort] = ACTIONS(2535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2535),
    [anon_sym_BSLASHACRshort] = ACTIONS(2535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2535),
    [anon_sym_BSLASHacrlong] = ACTIONS(2535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2535),
    [anon_sym_BSLASHACRlong] = ACTIONS(2535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2535),
    [anon_sym_BSLASHacrfull] = ACTIONS(2535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2535),
    [anon_sym_BSLASHACRfull] = ACTIONS(2535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2535),
    [anon_sym_BSLASHacs] = ACTIONS(2535),
    [anon_sym_BSLASHAcs] = ACTIONS(2535),
    [anon_sym_BSLASHacsp] = ACTIONS(2535),
    [anon_sym_BSLASHAcsp] = ACTIONS(2535),
    [anon_sym_BSLASHacl] = ACTIONS(2535),
    [anon_sym_BSLASHAcl] = ACTIONS(2535),
    [anon_sym_BSLASHaclp] = ACTIONS(2535),
    [anon_sym_BSLASHAclp] = ACTIONS(2535),
    [anon_sym_BSLASHacf] = ACTIONS(2535),
    [anon_sym_BSLASHAcf] = ACTIONS(2535),
    [anon_sym_BSLASHacfp] = ACTIONS(2535),
    [anon_sym_BSLASHAcfp] = ACTIONS(2535),
    [anon_sym_BSLASHac] = ACTIONS(2535),
    [anon_sym_BSLASHAc] = ACTIONS(2535),
    [anon_sym_BSLASHacp] = ACTIONS(2535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2538),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2541),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2538),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2541),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2544),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2547),
    [anon_sym_BSLASHcolor] = ACTIONS(2550),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2550),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2550),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2550),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2550),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2553),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2553),
    [anon_sym_BSLASHurl] = ACTIONS(2556),
    [anon_sym_BSLASHhref] = ACTIONS(2556),
  },
  [221] = {
    [sym_block_comment] = STATE(220),
    [sym__flat_content] = STATE(220),
    [sym__text_with_env_content] = STATE(220),
    [sym__text_content] = STATE(220),
    [sym_curly_group] = STATE(220),
    [sym_text] = STATE(220),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__math_content] = STATE(220),
    [sym_displayed_equation] = STATE(220),
    [sym_inline_formula] = STATE(220),
    [sym_math_delimiter] = STATE(220),
    [sym_text_mode] = STATE(220),
    [sym_begin] = STATE(55),
    [sym_generic_environment] = STATE(220),
    [sym_comment_environment] = STATE(220),
    [sym__comment_environment_begin] = STATE(3767),
    [sym_verbatim_environment] = STATE(220),
    [sym__verbatim_environment_begin] = STATE(3768),
    [sym_listing_environment] = STATE(220),
    [sym__listing_environment_begin] = STATE(3769),
    [sym_minted_environment] = STATE(220),
    [sym__minted_environment_begin] = STATE(3770),
    [sym_asy_environment] = STATE(220),
    [sym__asy_environment_begin] = STATE(3771),
    [sym_asydef_environment] = STATE(220),
    [sym__asydef_environment_begin] = STATE(3772),
    [sym_pycode_environment] = STATE(220),
    [sym__pycode_environment_begin] = STATE(3773),
    [sym_luacode_environment] = STATE(220),
    [sym__luacode_environment] = STATE(584),
    [sym___luacode_environment_begin] = STATE(3774),
    [sym__luacode_environment_star] = STATE(585),
    [sym___luacode_environment_star_begin] = STATE(3775),
    [sym_sagesilent_environment] = STATE(220),
    [sym__sagesilent_environment_begin] = STATE(3776),
    [sym_sageblock_environment] = STATE(220),
    [sym__sageblock_environment_begin] = STATE(3777),
    [sym_math_environment] = STATE(220),
    [sym__math_environment_begin] = STATE(250),
    [sym__command] = STATE(220),
    [sym_generic_command] = STATE(220),
    [sym_title_declaration] = STATE(220),
    [sym_author_declaration] = STATE(220),
    [sym_package_include] = STATE(220),
    [sym_class_include] = STATE(220),
    [sym_latex_include] = STATE(220),
    [sym_biblatex_include] = STATE(220),
    [sym_bibstyle_include] = STATE(220),
    [sym_bibtex_include] = STATE(220),
    [sym_graphics_include] = STATE(220),
    [sym_svg_include] = STATE(220),
    [sym_inkscape_include] = STATE(220),
    [sym_verbatim_include] = STATE(220),
    [sym_import_include] = STATE(220),
    [sym_caption] = STATE(220),
    [sym_citation] = STATE(220),
    [sym_label_definition] = STATE(220),
    [sym_label_reference] = STATE(220),
    [sym_label_reference_range] = STATE(220),
    [sym_label_number] = STATE(220),
    [sym_new_command_definition] = STATE(220),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(220),
    [sym_let_command_definition] = STATE(220),
    [sym_paired_delimiter_definition] = STATE(220),
    [sym_environment_definition] = STATE(220),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(220),
    [sym_glossary_entry_reference] = STATE(220),
    [sym_acronym_definition] = STATE(220),
    [sym_acronym_reference] = STATE(220),
    [sym_theorem_definition] = STATE(220),
    [sym_color_definition] = STATE(220),
    [sym_color_set_definition] = STATE(220),
    [sym_color_reference] = STATE(220),
    [sym_tikz_library_import] = STATE(220),
    [sym_hyperlink] = STATE(220),
    [aux_sym_part_repeat1] = STATE(220),
    [aux_sym_text_repeat1] = STATE(265),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_RBRACK] = ACTIONS(2242),
    [anon_sym_COMMA] = ACTIONS(2242),
    [anon_sym_EQ] = ACTIONS(2242),
    [anon_sym_LPAREN] = ACTIONS(2242),
    [anon_sym_RPAREN] = ACTIONS(2242),
    [anon_sym_BSLASHpart] = ACTIONS(2559),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHaddpart] = ACTIONS(2559),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHchapter] = ACTIONS(2559),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHaddchap] = ACTIONS(2559),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHsection] = ACTIONS(2559),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHaddsec] = ACTIONS(2559),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHsubsection] = ACTIONS(2559),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2559),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHparagraph] = ACTIONS(2559),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2559),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHitem] = ACTIONS(2559),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2561),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(229),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(233),
    [anon_sym_BSLASHleft] = ACTIONS(235),
    [anon_sym_BSLASHbigl] = ACTIONS(235),
    [anon_sym_BSLASHBigl] = ACTIONS(235),
    [anon_sym_BSLASHbiggl] = ACTIONS(235),
    [anon_sym_BSLASHBiggl] = ACTIONS(235),
    [anon_sym_BSLASHright] = ACTIONS(2559),
    [anon_sym_BSLASHbigr] = ACTIONS(2559),
    [anon_sym_BSLASHBigr] = ACTIONS(2559),
    [anon_sym_BSLASHbiggr] = ACTIONS(2559),
    [anon_sym_BSLASHBiggr] = ACTIONS(2559),
    [anon_sym_BSLASHtext] = ACTIONS(239),
    [anon_sym_BSLASHintertext] = ACTIONS(239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(239),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [222] = {
    [sym_block_comment] = STATE(219),
    [sym__flat_content] = STATE(219),
    [sym__text_with_env_content] = STATE(219),
    [sym__text_content] = STATE(219),
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(520),
    [sym_curly_group] = STATE(219),
    [sym_text] = STATE(219),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(219),
    [sym_displayed_equation] = STATE(219),
    [sym_inline_formula] = STATE(219),
    [sym_math_delimiter] = STATE(219),
    [sym_text_mode] = STATE(219),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(219),
    [sym_comment_environment] = STATE(219),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(219),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(219),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(219),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(219),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(219),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(219),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(219),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(219),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(219),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(219),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(219),
    [sym_generic_command] = STATE(219),
    [sym_title_declaration] = STATE(219),
    [sym_author_declaration] = STATE(219),
    [sym_package_include] = STATE(219),
    [sym_class_include] = STATE(219),
    [sym_latex_include] = STATE(219),
    [sym_biblatex_include] = STATE(219),
    [sym_bibstyle_include] = STATE(219),
    [sym_bibtex_include] = STATE(219),
    [sym_graphics_include] = STATE(219),
    [sym_svg_include] = STATE(219),
    [sym_inkscape_include] = STATE(219),
    [sym_verbatim_include] = STATE(219),
    [sym_import_include] = STATE(219),
    [sym_caption] = STATE(219),
    [sym_citation] = STATE(219),
    [sym_label_definition] = STATE(219),
    [sym_label_reference] = STATE(219),
    [sym_label_reference_range] = STATE(219),
    [sym_label_number] = STATE(219),
    [sym_new_command_definition] = STATE(219),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(219),
    [sym_let_command_definition] = STATE(219),
    [sym_paired_delimiter_definition] = STATE(219),
    [sym_environment_definition] = STATE(219),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(219),
    [sym_glossary_entry_reference] = STATE(219),
    [sym_acronym_definition] = STATE(219),
    [sym_acronym_reference] = STATE(219),
    [sym_theorem_definition] = STATE(219),
    [sym_color_definition] = STATE(219),
    [sym_color_set_definition] = STATE(219),
    [sym_color_reference] = STATE(219),
    [sym_tikz_library_import] = STATE(219),
    [sym_hyperlink] = STATE(219),
    [aux_sym__paragraph_repeat3] = STATE(520),
    [aux_sym_part_repeat1] = STATE(219),
    [aux_sym_text_repeat1] = STATE(266),
    [ts_builtin_sym_end] = ACTIONS(2362),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [anon_sym_RBRACK] = ACTIONS(2563),
    [anon_sym_COMMA] = ACTIONS(2563),
    [anon_sym_EQ] = ACTIONS(2563),
    [anon_sym_LPAREN] = ACTIONS(2563),
    [anon_sym_RPAREN] = ACTIONS(2563),
    [anon_sym_BSLASHpart] = ACTIONS(2360),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHaddpart] = ACTIONS(2360),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHchapter] = ACTIONS(2360),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHaddchap] = ACTIONS(2360),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHsection] = ACTIONS(2360),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHaddsec] = ACTIONS(2360),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHsubsection] = ACTIONS(2360),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2360),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHparagraph] = ACTIONS(2360),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2360),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2362),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [223] = {
    [sym_block_comment] = STATE(225),
    [sym__flat_content] = STATE(225),
    [sym__text_with_env_content] = STATE(225),
    [sym__text_content] = STATE(225),
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(817),
    [sym_curly_group] = STATE(225),
    [sym_text] = STATE(225),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(225),
    [sym_displayed_equation] = STATE(225),
    [sym_inline_formula] = STATE(225),
    [sym_math_delimiter] = STATE(225),
    [sym_text_mode] = STATE(225),
    [sym_begin] = STATE(71),
    [sym_generic_environment] = STATE(225),
    [sym_comment_environment] = STATE(225),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(225),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(225),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(225),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(225),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(225),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(225),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(225),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(225),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(225),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(225),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(225),
    [sym_generic_command] = STATE(225),
    [sym_title_declaration] = STATE(225),
    [sym_author_declaration] = STATE(225),
    [sym_package_include] = STATE(225),
    [sym_class_include] = STATE(225),
    [sym_latex_include] = STATE(225),
    [sym_biblatex_include] = STATE(225),
    [sym_bibstyle_include] = STATE(225),
    [sym_bibtex_include] = STATE(225),
    [sym_graphics_include] = STATE(225),
    [sym_svg_include] = STATE(225),
    [sym_inkscape_include] = STATE(225),
    [sym_verbatim_include] = STATE(225),
    [sym_import_include] = STATE(225),
    [sym_caption] = STATE(225),
    [sym_citation] = STATE(225),
    [sym_label_definition] = STATE(225),
    [sym_label_reference] = STATE(225),
    [sym_label_reference_range] = STATE(225),
    [sym_label_number] = STATE(225),
    [sym_new_command_definition] = STATE(225),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(225),
    [sym_let_command_definition] = STATE(225),
    [sym_paired_delimiter_definition] = STATE(225),
    [sym_environment_definition] = STATE(225),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(225),
    [sym_glossary_entry_reference] = STATE(225),
    [sym_acronym_definition] = STATE(225),
    [sym_acronym_reference] = STATE(225),
    [sym_theorem_definition] = STATE(225),
    [sym_color_definition] = STATE(225),
    [sym_color_set_definition] = STATE(225),
    [sym_color_reference] = STATE(225),
    [sym_tikz_library_import] = STATE(225),
    [sym_hyperlink] = STATE(225),
    [aux_sym__paragraph_repeat3] = STATE(817),
    [aux_sym_part_repeat1] = STATE(225),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(2565),
    [anon_sym_RBRACK] = ACTIONS(2565),
    [anon_sym_COMMA] = ACTIONS(2565),
    [anon_sym_EQ] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2565),
    [anon_sym_RPAREN] = ACTIONS(2565),
    [anon_sym_BSLASHpart] = ACTIONS(2360),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHaddpart] = ACTIONS(2360),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHchapter] = ACTIONS(2360),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHaddchap] = ACTIONS(2360),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHsection] = ACTIONS(2360),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHaddsec] = ACTIONS(2360),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHsubsection] = ACTIONS(2360),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2360),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHparagraph] = ACTIONS(2360),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2360),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(2360),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [224] = {
    [sym_block_comment] = STATE(226),
    [sym__flat_content] = STATE(226),
    [sym__text_with_env_content] = STATE(226),
    [sym__text_content] = STATE(226),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(885),
    [sym_curly_group] = STATE(226),
    [sym_text] = STATE(226),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(226),
    [sym_displayed_equation] = STATE(226),
    [sym_inline_formula] = STATE(226),
    [sym_math_delimiter] = STATE(226),
    [sym_text_mode] = STATE(226),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(226),
    [sym_comment_environment] = STATE(226),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(226),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(226),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(226),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(226),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(226),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(226),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(226),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(226),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(226),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(226),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(226),
    [sym_generic_command] = STATE(226),
    [sym_title_declaration] = STATE(226),
    [sym_author_declaration] = STATE(226),
    [sym_package_include] = STATE(226),
    [sym_class_include] = STATE(226),
    [sym_latex_include] = STATE(226),
    [sym_biblatex_include] = STATE(226),
    [sym_bibstyle_include] = STATE(226),
    [sym_bibtex_include] = STATE(226),
    [sym_graphics_include] = STATE(226),
    [sym_svg_include] = STATE(226),
    [sym_inkscape_include] = STATE(226),
    [sym_verbatim_include] = STATE(226),
    [sym_import_include] = STATE(226),
    [sym_caption] = STATE(226),
    [sym_citation] = STATE(226),
    [sym_label_definition] = STATE(226),
    [sym_label_reference] = STATE(226),
    [sym_label_reference_range] = STATE(226),
    [sym_label_number] = STATE(226),
    [sym_new_command_definition] = STATE(226),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(226),
    [sym_let_command_definition] = STATE(226),
    [sym_paired_delimiter_definition] = STATE(226),
    [sym_environment_definition] = STATE(226),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(226),
    [sym_glossary_entry_reference] = STATE(226),
    [sym_acronym_definition] = STATE(226),
    [sym_acronym_reference] = STATE(226),
    [sym_theorem_definition] = STATE(226),
    [sym_color_definition] = STATE(226),
    [sym_color_set_definition] = STATE(226),
    [sym_color_reference] = STATE(226),
    [sym_tikz_library_import] = STATE(226),
    [sym_hyperlink] = STATE(226),
    [aux_sym__paragraph_repeat3] = STATE(885),
    [aux_sym_part_repeat1] = STATE(226),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_RBRACK] = ACTIONS(2567),
    [anon_sym_COMMA] = ACTIONS(2567),
    [anon_sym_EQ] = ACTIONS(2567),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_RPAREN] = ACTIONS(2567),
    [anon_sym_BSLASHpart] = ACTIONS(2360),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHaddpart] = ACTIONS(2360),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHchapter] = ACTIONS(2360),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHaddchap] = ACTIONS(2360),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHsection] = ACTIONS(2360),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHaddsec] = ACTIONS(2360),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHsubsection] = ACTIONS(2360),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2360),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHparagraph] = ACTIONS(2360),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2360),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2274),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2362),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [225] = {
    [sym_block_comment] = STATE(234),
    [sym__flat_content] = STATE(234),
    [sym__text_with_env_content] = STATE(234),
    [sym__text_content] = STATE(234),
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(948),
    [sym_curly_group] = STATE(234),
    [sym_text] = STATE(234),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(234),
    [sym_displayed_equation] = STATE(234),
    [sym_inline_formula] = STATE(234),
    [sym_math_delimiter] = STATE(234),
    [sym_text_mode] = STATE(234),
    [sym_begin] = STATE(71),
    [sym_generic_environment] = STATE(234),
    [sym_comment_environment] = STATE(234),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(234),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(234),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(234),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(234),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(234),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(234),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(234),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(234),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(234),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(234),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(234),
    [sym_generic_command] = STATE(234),
    [sym_title_declaration] = STATE(234),
    [sym_author_declaration] = STATE(234),
    [sym_package_include] = STATE(234),
    [sym_class_include] = STATE(234),
    [sym_latex_include] = STATE(234),
    [sym_biblatex_include] = STATE(234),
    [sym_bibstyle_include] = STATE(234),
    [sym_bibtex_include] = STATE(234),
    [sym_graphics_include] = STATE(234),
    [sym_svg_include] = STATE(234),
    [sym_inkscape_include] = STATE(234),
    [sym_verbatim_include] = STATE(234),
    [sym_import_include] = STATE(234),
    [sym_caption] = STATE(234),
    [sym_citation] = STATE(234),
    [sym_label_definition] = STATE(234),
    [sym_label_reference] = STATE(234),
    [sym_label_reference_range] = STATE(234),
    [sym_label_number] = STATE(234),
    [sym_new_command_definition] = STATE(234),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(234),
    [sym_let_command_definition] = STATE(234),
    [sym_paired_delimiter_definition] = STATE(234),
    [sym_environment_definition] = STATE(234),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(234),
    [sym_glossary_entry_reference] = STATE(234),
    [sym_acronym_definition] = STATE(234),
    [sym_acronym_reference] = STATE(234),
    [sym_theorem_definition] = STATE(234),
    [sym_color_definition] = STATE(234),
    [sym_color_set_definition] = STATE(234),
    [sym_color_reference] = STATE(234),
    [sym_tikz_library_import] = STATE(234),
    [sym_hyperlink] = STATE(234),
    [aux_sym__paragraph_repeat3] = STATE(948),
    [aux_sym_part_repeat1] = STATE(234),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_RBRACK] = ACTIONS(2268),
    [anon_sym_COMMA] = ACTIONS(2268),
    [anon_sym_EQ] = ACTIONS(2268),
    [anon_sym_LPAREN] = ACTIONS(2268),
    [anon_sym_RPAREN] = ACTIONS(2268),
    [anon_sym_BSLASHpart] = ACTIONS(2354),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddpart] = ACTIONS(2354),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHchapter] = ACTIONS(2354),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddchap] = ACTIONS(2354),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsection] = ACTIONS(2354),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddsec] = ACTIONS(2354),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubsection] = ACTIONS(2354),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2354),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHparagraph] = ACTIONS(2354),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2354),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(2354),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [226] = {
    [sym_block_comment] = STATE(238),
    [sym__flat_content] = STATE(238),
    [sym__text_with_env_content] = STATE(238),
    [sym__text_content] = STATE(238),
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(769),
    [sym_curly_group] = STATE(238),
    [sym_text] = STATE(238),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(238),
    [sym_displayed_equation] = STATE(238),
    [sym_inline_formula] = STATE(238),
    [sym_math_delimiter] = STATE(238),
    [sym_text_mode] = STATE(238),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(238),
    [sym_comment_environment] = STATE(238),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(238),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(238),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(238),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(238),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(238),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(238),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(238),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(238),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(238),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(238),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(238),
    [sym_generic_command] = STATE(238),
    [sym_title_declaration] = STATE(238),
    [sym_author_declaration] = STATE(238),
    [sym_package_include] = STATE(238),
    [sym_class_include] = STATE(238),
    [sym_latex_include] = STATE(238),
    [sym_biblatex_include] = STATE(238),
    [sym_bibstyle_include] = STATE(238),
    [sym_bibtex_include] = STATE(238),
    [sym_graphics_include] = STATE(238),
    [sym_svg_include] = STATE(238),
    [sym_inkscape_include] = STATE(238),
    [sym_verbatim_include] = STATE(238),
    [sym_import_include] = STATE(238),
    [sym_caption] = STATE(238),
    [sym_citation] = STATE(238),
    [sym_label_definition] = STATE(238),
    [sym_label_reference] = STATE(238),
    [sym_label_reference_range] = STATE(238),
    [sym_label_number] = STATE(238),
    [sym_new_command_definition] = STATE(238),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(238),
    [sym_let_command_definition] = STATE(238),
    [sym_paired_delimiter_definition] = STATE(238),
    [sym_environment_definition] = STATE(238),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(238),
    [sym_glossary_entry_reference] = STATE(238),
    [sym_acronym_definition] = STATE(238),
    [sym_acronym_reference] = STATE(238),
    [sym_theorem_definition] = STATE(238),
    [sym_color_definition] = STATE(238),
    [sym_color_set_definition] = STATE(238),
    [sym_color_reference] = STATE(238),
    [sym_tikz_library_import] = STATE(238),
    [sym_hyperlink] = STATE(238),
    [aux_sym__paragraph_repeat3] = STATE(769),
    [aux_sym_part_repeat1] = STATE(238),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_RBRACK] = ACTIONS(2272),
    [anon_sym_COMMA] = ACTIONS(2272),
    [anon_sym_EQ] = ACTIONS(2272),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_RPAREN] = ACTIONS(2272),
    [anon_sym_BSLASHpart] = ACTIONS(2354),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddpart] = ACTIONS(2354),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHchapter] = ACTIONS(2354),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddchap] = ACTIONS(2354),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsection] = ACTIONS(2354),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddsec] = ACTIONS(2354),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubsection] = ACTIONS(2354),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2354),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHparagraph] = ACTIONS(2354),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2354),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2274),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2356),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [227] = {
    [sym_block_comment] = STATE(239),
    [sym__flat_content] = STATE(239),
    [sym__text_with_env_content] = STATE(239),
    [sym__text_content] = STATE(239),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(893),
    [sym_curly_group] = STATE(239),
    [sym_text] = STATE(239),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(239),
    [sym_displayed_equation] = STATE(239),
    [sym_inline_formula] = STATE(239),
    [sym_math_delimiter] = STATE(239),
    [sym_text_mode] = STATE(239),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(239),
    [sym_comment_environment] = STATE(239),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(239),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(239),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(239),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(239),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(239),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(239),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(239),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(239),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(239),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(239),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(239),
    [sym_generic_command] = STATE(239),
    [sym_title_declaration] = STATE(239),
    [sym_author_declaration] = STATE(239),
    [sym_package_include] = STATE(239),
    [sym_class_include] = STATE(239),
    [sym_latex_include] = STATE(239),
    [sym_biblatex_include] = STATE(239),
    [sym_bibstyle_include] = STATE(239),
    [sym_bibtex_include] = STATE(239),
    [sym_graphics_include] = STATE(239),
    [sym_svg_include] = STATE(239),
    [sym_inkscape_include] = STATE(239),
    [sym_verbatim_include] = STATE(239),
    [sym_import_include] = STATE(239),
    [sym_caption] = STATE(239),
    [sym_citation] = STATE(239),
    [sym_label_definition] = STATE(239),
    [sym_label_reference] = STATE(239),
    [sym_label_reference_range] = STATE(239),
    [sym_label_number] = STATE(239),
    [sym_new_command_definition] = STATE(239),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(239),
    [sym_let_command_definition] = STATE(239),
    [sym_paired_delimiter_definition] = STATE(239),
    [sym_environment_definition] = STATE(239),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(239),
    [sym_glossary_entry_reference] = STATE(239),
    [sym_acronym_definition] = STATE(239),
    [sym_acronym_reference] = STATE(239),
    [sym_theorem_definition] = STATE(239),
    [sym_color_definition] = STATE(239),
    [sym_color_set_definition] = STATE(239),
    [sym_color_reference] = STATE(239),
    [sym_tikz_library_import] = STATE(239),
    [sym_hyperlink] = STATE(239),
    [aux_sym__paragraph_repeat3] = STATE(893),
    [aux_sym_part_repeat1] = STATE(239),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_RBRACK] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(2280),
    [anon_sym_EQ] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_RPAREN] = ACTIONS(2280),
    [anon_sym_BSLASHpart] = ACTIONS(2354),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddpart] = ACTIONS(2354),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHchapter] = ACTIONS(2354),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddchap] = ACTIONS(2354),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsection] = ACTIONS(2354),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddsec] = ACTIONS(2354),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubsection] = ACTIONS(2354),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2354),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHparagraph] = ACTIONS(2354),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2354),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1440),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2356),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [228] = {
    [sym_block_comment] = STATE(227),
    [sym__flat_content] = STATE(227),
    [sym__text_with_env_content] = STATE(227),
    [sym__text_content] = STATE(227),
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(916),
    [sym_curly_group] = STATE(227),
    [sym_text] = STATE(227),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(227),
    [sym_displayed_equation] = STATE(227),
    [sym_inline_formula] = STATE(227),
    [sym_math_delimiter] = STATE(227),
    [sym_text_mode] = STATE(227),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(227),
    [sym_comment_environment] = STATE(227),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(227),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(227),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(227),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(227),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(227),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(227),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(227),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(227),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(227),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(227),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(227),
    [sym_generic_command] = STATE(227),
    [sym_title_declaration] = STATE(227),
    [sym_author_declaration] = STATE(227),
    [sym_package_include] = STATE(227),
    [sym_class_include] = STATE(227),
    [sym_latex_include] = STATE(227),
    [sym_biblatex_include] = STATE(227),
    [sym_bibstyle_include] = STATE(227),
    [sym_bibtex_include] = STATE(227),
    [sym_graphics_include] = STATE(227),
    [sym_svg_include] = STATE(227),
    [sym_inkscape_include] = STATE(227),
    [sym_verbatim_include] = STATE(227),
    [sym_import_include] = STATE(227),
    [sym_caption] = STATE(227),
    [sym_citation] = STATE(227),
    [sym_label_definition] = STATE(227),
    [sym_label_reference] = STATE(227),
    [sym_label_reference_range] = STATE(227),
    [sym_label_number] = STATE(227),
    [sym_new_command_definition] = STATE(227),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(227),
    [sym_let_command_definition] = STATE(227),
    [sym_paired_delimiter_definition] = STATE(227),
    [sym_environment_definition] = STATE(227),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(227),
    [sym_glossary_entry_reference] = STATE(227),
    [sym_acronym_definition] = STATE(227),
    [sym_acronym_reference] = STATE(227),
    [sym_theorem_definition] = STATE(227),
    [sym_color_definition] = STATE(227),
    [sym_color_set_definition] = STATE(227),
    [sym_color_reference] = STATE(227),
    [sym_tikz_library_import] = STATE(227),
    [sym_hyperlink] = STATE(227),
    [aux_sym__paragraph_repeat3] = STATE(916),
    [aux_sym_part_repeat1] = STATE(227),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(2569),
    [anon_sym_RBRACK] = ACTIONS(2569),
    [anon_sym_COMMA] = ACTIONS(2569),
    [anon_sym_EQ] = ACTIONS(2569),
    [anon_sym_LPAREN] = ACTIONS(2569),
    [anon_sym_RPAREN] = ACTIONS(2569),
    [anon_sym_BSLASHpart] = ACTIONS(2360),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHaddpart] = ACTIONS(2360),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHchapter] = ACTIONS(2360),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHaddchap] = ACTIONS(2360),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHsection] = ACTIONS(2360),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHaddsec] = ACTIONS(2360),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHsubsection] = ACTIONS(2360),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2360),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHparagraph] = ACTIONS(2360),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2360),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2362),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1440),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2362),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [229] = {
    [sym_block_comment] = STATE(231),
    [sym__flat_content] = STATE(231),
    [sym__text_with_env_content] = STATE(231),
    [sym__text_content] = STATE(231),
    [sym_curly_group] = STATE(231),
    [sym_text] = STATE(231),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(231),
    [sym_displayed_equation] = STATE(231),
    [sym_inline_formula] = STATE(231),
    [sym_math_delimiter] = STATE(231),
    [sym_text_mode] = STATE(231),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(231),
    [sym_comment_environment] = STATE(231),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(231),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(231),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(231),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(231),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(231),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(231),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(231),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(231),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(231),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(231),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(231),
    [sym_generic_command] = STATE(231),
    [sym_title_declaration] = STATE(231),
    [sym_author_declaration] = STATE(231),
    [sym_package_include] = STATE(231),
    [sym_class_include] = STATE(231),
    [sym_latex_include] = STATE(231),
    [sym_biblatex_include] = STATE(231),
    [sym_bibstyle_include] = STATE(231),
    [sym_bibtex_include] = STATE(231),
    [sym_graphics_include] = STATE(231),
    [sym_svg_include] = STATE(231),
    [sym_inkscape_include] = STATE(231),
    [sym_verbatim_include] = STATE(231),
    [sym_import_include] = STATE(231),
    [sym_caption] = STATE(231),
    [sym_citation] = STATE(231),
    [sym_label_definition] = STATE(231),
    [sym_label_reference] = STATE(231),
    [sym_label_reference_range] = STATE(231),
    [sym_label_number] = STATE(231),
    [sym_new_command_definition] = STATE(231),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(231),
    [sym_let_command_definition] = STATE(231),
    [sym_paired_delimiter_definition] = STATE(231),
    [sym_environment_definition] = STATE(231),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(231),
    [sym_glossary_entry_reference] = STATE(231),
    [sym_acronym_definition] = STATE(231),
    [sym_acronym_reference] = STATE(231),
    [sym_theorem_definition] = STATE(231),
    [sym_color_definition] = STATE(231),
    [sym_color_set_definition] = STATE(231),
    [sym_color_reference] = STATE(231),
    [sym_tikz_library_import] = STATE(231),
    [sym_hyperlink] = STATE(231),
    [aux_sym_part_repeat1] = STATE(231),
    [aux_sym_text_repeat1] = STATE(266),
    [ts_builtin_sym_end] = ACTIONS(2376),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [anon_sym_RBRACK] = ACTIONS(2571),
    [anon_sym_COMMA] = ACTIONS(2571),
    [anon_sym_EQ] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2571),
    [anon_sym_RPAREN] = ACTIONS(2571),
    [anon_sym_BSLASHpart] = ACTIONS(2374),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHaddpart] = ACTIONS(2374),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHchapter] = ACTIONS(2374),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHaddchap] = ACTIONS(2374),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHsection] = ACTIONS(2374),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHaddsec] = ACTIONS(2374),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHsubsection] = ACTIONS(2374),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2374),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHparagraph] = ACTIONS(2374),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2374),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHitem] = ACTIONS(2374),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2376),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2376),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [230] = {
    [sym_block_comment] = STATE(230),
    [sym__flat_content] = STATE(230),
    [sym__text_with_env_content] = STATE(230),
    [sym__text_content] = STATE(230),
    [sym_curly_group] = STATE(230),
    [sym_text] = STATE(230),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(230),
    [sym_displayed_equation] = STATE(230),
    [sym_inline_formula] = STATE(230),
    [sym_math_delimiter] = STATE(230),
    [sym_text_mode] = STATE(230),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(230),
    [sym_comment_environment] = STATE(230),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(230),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(230),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(230),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(230),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(230),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(230),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(230),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(230),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(230),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(230),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(230),
    [sym_generic_command] = STATE(230),
    [sym_title_declaration] = STATE(230),
    [sym_author_declaration] = STATE(230),
    [sym_package_include] = STATE(230),
    [sym_class_include] = STATE(230),
    [sym_latex_include] = STATE(230),
    [sym_biblatex_include] = STATE(230),
    [sym_bibstyle_include] = STATE(230),
    [sym_bibtex_include] = STATE(230),
    [sym_graphics_include] = STATE(230),
    [sym_svg_include] = STATE(230),
    [sym_inkscape_include] = STATE(230),
    [sym_verbatim_include] = STATE(230),
    [sym_import_include] = STATE(230),
    [sym_caption] = STATE(230),
    [sym_citation] = STATE(230),
    [sym_label_definition] = STATE(230),
    [sym_label_reference] = STATE(230),
    [sym_label_reference_range] = STATE(230),
    [sym_label_number] = STATE(230),
    [sym_new_command_definition] = STATE(230),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(230),
    [sym_let_command_definition] = STATE(230),
    [sym_paired_delimiter_definition] = STATE(230),
    [sym_environment_definition] = STATE(230),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(230),
    [sym_glossary_entry_reference] = STATE(230),
    [sym_acronym_definition] = STATE(230),
    [sym_acronym_reference] = STATE(230),
    [sym_theorem_definition] = STATE(230),
    [sym_color_definition] = STATE(230),
    [sym_color_set_definition] = STATE(230),
    [sym_color_reference] = STATE(230),
    [sym_tikz_library_import] = STATE(230),
    [sym_hyperlink] = STATE(230),
    [aux_sym_part_repeat1] = STATE(230),
    [aux_sym_text_repeat1] = STATE(266),
    [ts_builtin_sym_end] = ACTIONS(2389),
    [sym_command_name] = ACTIONS(2573),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [anon_sym_RBRACK] = ACTIONS(2579),
    [anon_sym_COMMA] = ACTIONS(2579),
    [anon_sym_EQ] = ACTIONS(2579),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_RPAREN] = ACTIONS(2579),
    [anon_sym_BSLASHpart] = ACTIONS(2387),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHaddpart] = ACTIONS(2387),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHchapter] = ACTIONS(2387),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHaddchap] = ACTIONS(2387),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHsection] = ACTIONS(2387),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHaddsec] = ACTIONS(2387),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHsubsection] = ACTIONS(2387),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2387),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHparagraph] = ACTIONS(2387),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2387),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHitem] = ACTIONS(2387),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_RBRACE] = ACTIONS(2389),
    [sym_word] = ACTIONS(2585),
    [sym_placeholder] = ACTIONS(2588),
    [sym_delimiter] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2591),
    [anon_sym_DASH] = ACTIONS(2591),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_SLASH] = ACTIONS(2591),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_GT] = ACTIONS(2594),
    [anon_sym_BANG] = ACTIONS(2594),
    [anon_sym_PIPE] = ACTIONS(2594),
    [anon_sym_COLON] = ACTIONS(2594),
    [anon_sym_SQUOTE] = ACTIONS(2594),
    [anon_sym__] = ACTIONS(2597),
    [anon_sym_CARET] = ACTIONS(2600),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2603),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2603),
    [anon_sym_DOLLAR] = ACTIONS(2606),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2609),
    [anon_sym_BSLASHleft] = ACTIONS(2612),
    [anon_sym_BSLASHbigl] = ACTIONS(2612),
    [anon_sym_BSLASHBigl] = ACTIONS(2612),
    [anon_sym_BSLASHbiggl] = ACTIONS(2612),
    [anon_sym_BSLASHBiggl] = ACTIONS(2612),
    [anon_sym_BSLASHtext] = ACTIONS(2615),
    [anon_sym_BSLASHintertext] = ACTIONS(2615),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2615),
    [anon_sym_BSLASHbegin] = ACTIONS(2427),
    [anon_sym_BSLASHtitle] = ACTIONS(2618),
    [anon_sym_BSLASHauthor] = ACTIONS(2621),
    [anon_sym_BSLASHusepackage] = ACTIONS(2624),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2624),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2627),
    [anon_sym_BSLASHinclude] = ACTIONS(2630),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2630),
    [anon_sym_BSLASHinput] = ACTIONS(2630),
    [anon_sym_BSLASHsubfile] = ACTIONS(2630),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2633),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2636),
    [anon_sym_BSLASHbibliography] = ACTIONS(2639),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2642),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2645),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2648),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2651),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2651),
    [anon_sym_BSLASHimport] = ACTIONS(2654),
    [anon_sym_BSLASHsubimport] = ACTIONS(2654),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2654),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2654),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2654),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2654),
    [anon_sym_BSLASHcaption] = ACTIONS(2657),
    [anon_sym_BSLASHcite] = ACTIONS(2660),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2663),
    [anon_sym_BSLASHCite] = ACTIONS(2660),
    [anon_sym_BSLASHnocite] = ACTIONS(2660),
    [anon_sym_BSLASHcitet] = ACTIONS(2660),
    [anon_sym_BSLASHcitep] = ACTIONS(2660),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2663),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2663),
    [anon_sym_BSLASHciteA] = ACTIONS(2660),
    [anon_sym_BSLASHciteR] = ACTIONS(2660),
    [anon_sym_BSLASHciteS] = ACTIONS(2660),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2660),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2660),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2663),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2660),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2663),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2660),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2663),
    [anon_sym_BSLASHciteyear] = ACTIONS(2660),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2663),
    [anon_sym_BSLASHcitedate] = ACTIONS(2660),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2663),
    [anon_sym_BSLASHciteurl] = ACTIONS(2660),
    [anon_sym_BSLASHfullcite] = ACTIONS(2660),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2660),
    [anon_sym_BSLASHcitealt] = ACTIONS(2660),
    [anon_sym_BSLASHcitealp] = ACTIONS(2660),
    [anon_sym_BSLASHcitetext] = ACTIONS(2660),
    [anon_sym_BSLASHparencite] = ACTIONS(2660),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2663),
    [anon_sym_BSLASHParencite] = ACTIONS(2660),
    [anon_sym_BSLASHfootcite] = ACTIONS(2660),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2660),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2660),
    [anon_sym_BSLASHtextcite] = ACTIONS(2660),
    [anon_sym_BSLASHTextcite] = ACTIONS(2660),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2660),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2660),
    [anon_sym_BSLASHsupercite] = ACTIONS(2660),
    [anon_sym_BSLASHautocite] = ACTIONS(2660),
    [anon_sym_BSLASHAutocite] = ACTIONS(2660),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2663),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2663),
    [anon_sym_BSLASHvolcite] = ACTIONS(2660),
    [anon_sym_BSLASHVolcite] = ACTIONS(2660),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2660),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2660),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2660),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2660),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2660),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2660),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2660),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2660),
    [anon_sym_BSLASHavolcite] = ACTIONS(2660),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2660),
    [anon_sym_BSLASHnotecite] = ACTIONS(2660),
    [anon_sym_BSLASHNotecite] = ACTIONS(2660),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2660),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2660),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2660),
    [anon_sym_BSLASHlabel] = ACTIONS(2666),
    [anon_sym_BSLASHref] = ACTIONS(2669),
    [anon_sym_BSLASHeqref] = ACTIONS(2669),
    [anon_sym_BSLASHvref] = ACTIONS(2669),
    [anon_sym_BSLASHVref] = ACTIONS(2669),
    [anon_sym_BSLASHautoref] = ACTIONS(2669),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2672),
    [anon_sym_BSLASHpageref] = ACTIONS(2669),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2672),
    [anon_sym_BSLASHautopageref] = ACTIONS(2669),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2672),
    [anon_sym_BSLASHcref] = ACTIONS(2669),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2672),
    [anon_sym_BSLASHCref] = ACTIONS(2669),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2672),
    [anon_sym_BSLASHcpageref] = ACTIONS(2669),
    [anon_sym_BSLASHCpageref] = ACTIONS(2669),
    [anon_sym_BSLASHnamecref] = ACTIONS(2669),
    [anon_sym_BSLASHnameCref] = ACTIONS(2669),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2669),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2669),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2669),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2669),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2669),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2672),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2669),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2672),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2675),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2678),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2675),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2678),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2675),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2675),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2681),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2684),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2687),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2684),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2687),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2684),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2687),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2684),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2687),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2684),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2687),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2690),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2690),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2690),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2690),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2690),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2690),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2690),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2690),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2693),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2693),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2693),
    [anon_sym_BSLASHdef] = ACTIONS(2696),
    [anon_sym_BSLASHgdef] = ACTIONS(2696),
    [anon_sym_BSLASHedef] = ACTIONS(2696),
    [anon_sym_BSLASHxdef] = ACTIONS(2696),
    [anon_sym_BSLASHlet] = ACTIONS(2699),
    [anon_sym_BSLASHglet] = ACTIONS(2699),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2702),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2702),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2705),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2705),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2708),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2708),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2708),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2708),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2711),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2711),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2711),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2714),
    [anon_sym_BSLASHgls] = ACTIONS(2717),
    [anon_sym_BSLASHGls] = ACTIONS(2717),
    [anon_sym_BSLASHGLS] = ACTIONS(2717),
    [anon_sym_BSLASHglspl] = ACTIONS(2717),
    [anon_sym_BSLASHGlspl] = ACTIONS(2717),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2717),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2717),
    [anon_sym_BSLASHglslink] = ACTIONS(2717),
    [anon_sym_BSLASHglstext] = ACTIONS(2717),
    [anon_sym_BSLASHGlstext] = ACTIONS(2717),
    [anon_sym_BSLASHGLStext] = ACTIONS(2717),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2717),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2717),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2717),
    [anon_sym_BSLASHglsplural] = ACTIONS(2717),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2717),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2717),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2717),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2717),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2717),
    [anon_sym_BSLASHglsname] = ACTIONS(2717),
    [anon_sym_BSLASHGlsname] = ACTIONS(2717),
    [anon_sym_BSLASHGLSname] = ACTIONS(2717),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2717),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2717),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2717),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2717),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2717),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2717),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2717),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2717),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2717),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2717),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2717),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2717),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2717),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2717),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2717),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2717),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2717),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2717),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2717),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2717),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2717),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2717),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2717),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2720),
    [anon_sym_BSLASHacrshort] = ACTIONS(2723),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2723),
    [anon_sym_BSLASHACRshort] = ACTIONS(2723),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2723),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2723),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2723),
    [anon_sym_BSLASHacrlong] = ACTIONS(2723),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2723),
    [anon_sym_BSLASHACRlong] = ACTIONS(2723),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2723),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2723),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2723),
    [anon_sym_BSLASHacrfull] = ACTIONS(2723),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2723),
    [anon_sym_BSLASHACRfull] = ACTIONS(2723),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2723),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2723),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2723),
    [anon_sym_BSLASHacs] = ACTIONS(2723),
    [anon_sym_BSLASHAcs] = ACTIONS(2723),
    [anon_sym_BSLASHacsp] = ACTIONS(2723),
    [anon_sym_BSLASHAcsp] = ACTIONS(2723),
    [anon_sym_BSLASHacl] = ACTIONS(2723),
    [anon_sym_BSLASHAcl] = ACTIONS(2723),
    [anon_sym_BSLASHaclp] = ACTIONS(2723),
    [anon_sym_BSLASHAclp] = ACTIONS(2723),
    [anon_sym_BSLASHacf] = ACTIONS(2723),
    [anon_sym_BSLASHAcf] = ACTIONS(2723),
    [anon_sym_BSLASHacfp] = ACTIONS(2723),
    [anon_sym_BSLASHAcfp] = ACTIONS(2723),
    [anon_sym_BSLASHac] = ACTIONS(2723),
    [anon_sym_BSLASHAc] = ACTIONS(2723),
    [anon_sym_BSLASHacp] = ACTIONS(2723),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2723),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2723),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2723),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2723),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2723),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2723),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2723),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2723),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2723),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2723),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2726),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2726),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2729),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2732),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2735),
    [anon_sym_BSLASHcolor] = ACTIONS(2738),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2738),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2738),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2738),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2738),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2741),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2741),
    [anon_sym_BSLASHurl] = ACTIONS(2744),
    [anon_sym_BSLASHhref] = ACTIONS(2744),
  },
  [231] = {
    [sym_block_comment] = STATE(230),
    [sym__flat_content] = STATE(230),
    [sym__text_with_env_content] = STATE(230),
    [sym__text_content] = STATE(230),
    [sym_curly_group] = STATE(230),
    [sym_text] = STATE(230),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__math_content] = STATE(230),
    [sym_displayed_equation] = STATE(230),
    [sym_inline_formula] = STATE(230),
    [sym_math_delimiter] = STATE(230),
    [sym_text_mode] = STATE(230),
    [sym_begin] = STATE(42),
    [sym_generic_environment] = STATE(230),
    [sym_comment_environment] = STATE(230),
    [sym__comment_environment_begin] = STATE(3955),
    [sym_verbatim_environment] = STATE(230),
    [sym__verbatim_environment_begin] = STATE(3959),
    [sym_listing_environment] = STATE(230),
    [sym__listing_environment_begin] = STATE(3751),
    [sym_minted_environment] = STATE(230),
    [sym__minted_environment_begin] = STATE(3901),
    [sym_asy_environment] = STATE(230),
    [sym__asy_environment_begin] = STATE(3879),
    [sym_asydef_environment] = STATE(230),
    [sym__asydef_environment_begin] = STATE(3707),
    [sym_pycode_environment] = STATE(230),
    [sym__pycode_environment_begin] = STATE(3728),
    [sym_luacode_environment] = STATE(230),
    [sym__luacode_environment] = STATE(1086),
    [sym___luacode_environment_begin] = STATE(3967),
    [sym__luacode_environment_star] = STATE(1095),
    [sym___luacode_environment_star_begin] = STATE(3698),
    [sym_sagesilent_environment] = STATE(230),
    [sym__sagesilent_environment_begin] = STATE(3742),
    [sym_sageblock_environment] = STATE(230),
    [sym__sageblock_environment_begin] = STATE(3748),
    [sym_math_environment] = STATE(230),
    [sym__math_environment_begin] = STATE(242),
    [sym__command] = STATE(230),
    [sym_generic_command] = STATE(230),
    [sym_title_declaration] = STATE(230),
    [sym_author_declaration] = STATE(230),
    [sym_package_include] = STATE(230),
    [sym_class_include] = STATE(230),
    [sym_latex_include] = STATE(230),
    [sym_biblatex_include] = STATE(230),
    [sym_bibstyle_include] = STATE(230),
    [sym_bibtex_include] = STATE(230),
    [sym_graphics_include] = STATE(230),
    [sym_svg_include] = STATE(230),
    [sym_inkscape_include] = STATE(230),
    [sym_verbatim_include] = STATE(230),
    [sym_import_include] = STATE(230),
    [sym_caption] = STATE(230),
    [sym_citation] = STATE(230),
    [sym_label_definition] = STATE(230),
    [sym_label_reference] = STATE(230),
    [sym_label_reference_range] = STATE(230),
    [sym_label_number] = STATE(230),
    [sym_new_command_definition] = STATE(230),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(230),
    [sym_let_command_definition] = STATE(230),
    [sym_paired_delimiter_definition] = STATE(230),
    [sym_environment_definition] = STATE(230),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(230),
    [sym_glossary_entry_reference] = STATE(230),
    [sym_acronym_definition] = STATE(230),
    [sym_acronym_reference] = STATE(230),
    [sym_theorem_definition] = STATE(230),
    [sym_color_definition] = STATE(230),
    [sym_color_set_definition] = STATE(230),
    [sym_color_reference] = STATE(230),
    [sym_tikz_library_import] = STATE(230),
    [sym_hyperlink] = STATE(230),
    [aux_sym_part_repeat1] = STATE(230),
    [aux_sym_text_repeat1] = STATE(266),
    [ts_builtin_sym_end] = ACTIONS(2561),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_RBRACK] = ACTIONS(2264),
    [anon_sym_COMMA] = ACTIONS(2264),
    [anon_sym_EQ] = ACTIONS(2264),
    [anon_sym_LPAREN] = ACTIONS(2264),
    [anon_sym_RPAREN] = ACTIONS(2264),
    [anon_sym_BSLASHpart] = ACTIONS(2559),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHaddpart] = ACTIONS(2559),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHchapter] = ACTIONS(2559),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHaddchap] = ACTIONS(2559),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHsection] = ACTIONS(2559),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHaddsec] = ACTIONS(2559),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHsubsection] = ACTIONS(2559),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2559),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHparagraph] = ACTIONS(2559),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2559),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHitem] = ACTIONS(2559),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2561),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(2561),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(59),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(61),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(63),
    [anon_sym_BSLASHleft] = ACTIONS(65),
    [anon_sym_BSLASHbigl] = ACTIONS(65),
    [anon_sym_BSLASHBigl] = ACTIONS(65),
    [anon_sym_BSLASHbiggl] = ACTIONS(65),
    [anon_sym_BSLASHBiggl] = ACTIONS(65),
    [anon_sym_BSLASHtext] = ACTIONS(67),
    [anon_sym_BSLASHintertext] = ACTIONS(67),
    [anon_sym_BSLASHshortintertext] = ACTIONS(67),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [232] = {
    [sym_block_comment] = STATE(234),
    [sym__flat_content] = STATE(234),
    [sym__text_with_env_content] = STATE(234),
    [sym__text_content] = STATE(234),
    [sym_curly_group] = STATE(234),
    [sym_text] = STATE(234),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(234),
    [sym_displayed_equation] = STATE(234),
    [sym_inline_formula] = STATE(234),
    [sym_math_delimiter] = STATE(234),
    [sym_text_mode] = STATE(234),
    [sym_begin] = STATE(71),
    [sym_generic_environment] = STATE(234),
    [sym_comment_environment] = STATE(234),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(234),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(234),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(234),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(234),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(234),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(234),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(234),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(234),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(234),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(234),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(234),
    [sym_generic_command] = STATE(234),
    [sym_title_declaration] = STATE(234),
    [sym_author_declaration] = STATE(234),
    [sym_package_include] = STATE(234),
    [sym_class_include] = STATE(234),
    [sym_latex_include] = STATE(234),
    [sym_biblatex_include] = STATE(234),
    [sym_bibstyle_include] = STATE(234),
    [sym_bibtex_include] = STATE(234),
    [sym_graphics_include] = STATE(234),
    [sym_svg_include] = STATE(234),
    [sym_inkscape_include] = STATE(234),
    [sym_verbatim_include] = STATE(234),
    [sym_import_include] = STATE(234),
    [sym_caption] = STATE(234),
    [sym_citation] = STATE(234),
    [sym_label_definition] = STATE(234),
    [sym_label_reference] = STATE(234),
    [sym_label_reference_range] = STATE(234),
    [sym_label_number] = STATE(234),
    [sym_new_command_definition] = STATE(234),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(234),
    [sym_let_command_definition] = STATE(234),
    [sym_paired_delimiter_definition] = STATE(234),
    [sym_environment_definition] = STATE(234),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(234),
    [sym_glossary_entry_reference] = STATE(234),
    [sym_acronym_definition] = STATE(234),
    [sym_acronym_reference] = STATE(234),
    [sym_theorem_definition] = STATE(234),
    [sym_color_definition] = STATE(234),
    [sym_color_set_definition] = STATE(234),
    [sym_color_reference] = STATE(234),
    [sym_tikz_library_import] = STATE(234),
    [sym_hyperlink] = STATE(234),
    [aux_sym_part_repeat1] = STATE(234),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_RBRACK] = ACTIONS(2268),
    [anon_sym_COMMA] = ACTIONS(2268),
    [anon_sym_EQ] = ACTIONS(2268),
    [anon_sym_LPAREN] = ACTIONS(2268),
    [anon_sym_RPAREN] = ACTIONS(2268),
    [anon_sym_BSLASHpart] = ACTIONS(2559),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHaddpart] = ACTIONS(2559),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHchapter] = ACTIONS(2559),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHaddchap] = ACTIONS(2559),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHsection] = ACTIONS(2559),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHaddsec] = ACTIONS(2559),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHsubsection] = ACTIONS(2559),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2559),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHparagraph] = ACTIONS(2559),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2559),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHitem] = ACTIONS(2559),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2561),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(2559),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [233] = {
    [sym_block_comment] = STATE(232),
    [sym__flat_content] = STATE(232),
    [sym__text_with_env_content] = STATE(232),
    [sym__text_content] = STATE(232),
    [sym_curly_group] = STATE(232),
    [sym_text] = STATE(232),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(232),
    [sym_displayed_equation] = STATE(232),
    [sym_inline_formula] = STATE(232),
    [sym_math_delimiter] = STATE(232),
    [sym_text_mode] = STATE(232),
    [sym_begin] = STATE(71),
    [sym_generic_environment] = STATE(232),
    [sym_comment_environment] = STATE(232),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(232),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(232),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(232),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(232),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(232),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(232),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(232),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(232),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(232),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(232),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(232),
    [sym_generic_command] = STATE(232),
    [sym_title_declaration] = STATE(232),
    [sym_author_declaration] = STATE(232),
    [sym_package_include] = STATE(232),
    [sym_class_include] = STATE(232),
    [sym_latex_include] = STATE(232),
    [sym_biblatex_include] = STATE(232),
    [sym_bibstyle_include] = STATE(232),
    [sym_bibtex_include] = STATE(232),
    [sym_graphics_include] = STATE(232),
    [sym_svg_include] = STATE(232),
    [sym_inkscape_include] = STATE(232),
    [sym_verbatim_include] = STATE(232),
    [sym_import_include] = STATE(232),
    [sym_caption] = STATE(232),
    [sym_citation] = STATE(232),
    [sym_label_definition] = STATE(232),
    [sym_label_reference] = STATE(232),
    [sym_label_reference_range] = STATE(232),
    [sym_label_number] = STATE(232),
    [sym_new_command_definition] = STATE(232),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(232),
    [sym_let_command_definition] = STATE(232),
    [sym_paired_delimiter_definition] = STATE(232),
    [sym_environment_definition] = STATE(232),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(232),
    [sym_glossary_entry_reference] = STATE(232),
    [sym_acronym_definition] = STATE(232),
    [sym_acronym_reference] = STATE(232),
    [sym_theorem_definition] = STATE(232),
    [sym_color_definition] = STATE(232),
    [sym_color_set_definition] = STATE(232),
    [sym_color_reference] = STATE(232),
    [sym_tikz_library_import] = STATE(232),
    [sym_hyperlink] = STATE(232),
    [aux_sym_part_repeat1] = STATE(232),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [anon_sym_RBRACK] = ACTIONS(2747),
    [anon_sym_COMMA] = ACTIONS(2747),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_LPAREN] = ACTIONS(2747),
    [anon_sym_RPAREN] = ACTIONS(2747),
    [anon_sym_BSLASHpart] = ACTIONS(2374),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHaddpart] = ACTIONS(2374),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHchapter] = ACTIONS(2374),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHaddchap] = ACTIONS(2374),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHsection] = ACTIONS(2374),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHaddsec] = ACTIONS(2374),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHsubsection] = ACTIONS(2374),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2374),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHparagraph] = ACTIONS(2374),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2374),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHitem] = ACTIONS(2374),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2376),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(726),
    [anon_sym_DOLLAR] = ACTIONS(728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(730),
    [anon_sym_BSLASHleft] = ACTIONS(732),
    [anon_sym_BSLASHbigl] = ACTIONS(732),
    [anon_sym_BSLASHBigl] = ACTIONS(732),
    [anon_sym_BSLASHbiggl] = ACTIONS(732),
    [anon_sym_BSLASHBiggl] = ACTIONS(732),
    [anon_sym_BSLASHtext] = ACTIONS(734),
    [anon_sym_BSLASHintertext] = ACTIONS(734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(734),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(2374),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [234] = {
    [sym_block_comment] = STATE(234),
    [sym__flat_content] = STATE(234),
    [sym__text_with_env_content] = STATE(234),
    [sym__text_content] = STATE(234),
    [sym_curly_group] = STATE(234),
    [sym_text] = STATE(234),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__math_content] = STATE(234),
    [sym_displayed_equation] = STATE(234),
    [sym_inline_formula] = STATE(234),
    [sym_math_delimiter] = STATE(234),
    [sym_text_mode] = STATE(234),
    [sym_begin] = STATE(71),
    [sym_generic_environment] = STATE(234),
    [sym_comment_environment] = STATE(234),
    [sym__comment_environment_begin] = STATE(3940),
    [sym_verbatim_environment] = STATE(234),
    [sym__verbatim_environment_begin] = STATE(3941),
    [sym_listing_environment] = STATE(234),
    [sym__listing_environment_begin] = STATE(3942),
    [sym_minted_environment] = STATE(234),
    [sym__minted_environment_begin] = STATE(3943),
    [sym_asy_environment] = STATE(234),
    [sym__asy_environment_begin] = STATE(3944),
    [sym_asydef_environment] = STATE(234),
    [sym__asydef_environment_begin] = STATE(3945),
    [sym_pycode_environment] = STATE(234),
    [sym__pycode_environment_begin] = STATE(3946),
    [sym_luacode_environment] = STATE(234),
    [sym__luacode_environment] = STATE(1416),
    [sym___luacode_environment_begin] = STATE(3947),
    [sym__luacode_environment_star] = STATE(1417),
    [sym___luacode_environment_star_begin] = STATE(3948),
    [sym_sagesilent_environment] = STATE(234),
    [sym__sagesilent_environment_begin] = STATE(3949),
    [sym_sageblock_environment] = STATE(234),
    [sym__sageblock_environment_begin] = STATE(3950),
    [sym_math_environment] = STATE(234),
    [sym__math_environment_begin] = STATE(243),
    [sym__command] = STATE(234),
    [sym_generic_command] = STATE(234),
    [sym_title_declaration] = STATE(234),
    [sym_author_declaration] = STATE(234),
    [sym_package_include] = STATE(234),
    [sym_class_include] = STATE(234),
    [sym_latex_include] = STATE(234),
    [sym_biblatex_include] = STATE(234),
    [sym_bibstyle_include] = STATE(234),
    [sym_bibtex_include] = STATE(234),
    [sym_graphics_include] = STATE(234),
    [sym_svg_include] = STATE(234),
    [sym_inkscape_include] = STATE(234),
    [sym_verbatim_include] = STATE(234),
    [sym_import_include] = STATE(234),
    [sym_caption] = STATE(234),
    [sym_citation] = STATE(234),
    [sym_label_definition] = STATE(234),
    [sym_label_reference] = STATE(234),
    [sym_label_reference_range] = STATE(234),
    [sym_label_number] = STATE(234),
    [sym_new_command_definition] = STATE(234),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(234),
    [sym_let_command_definition] = STATE(234),
    [sym_paired_delimiter_definition] = STATE(234),
    [sym_environment_definition] = STATE(234),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(234),
    [sym_glossary_entry_reference] = STATE(234),
    [sym_acronym_definition] = STATE(234),
    [sym_acronym_reference] = STATE(234),
    [sym_theorem_definition] = STATE(234),
    [sym_color_definition] = STATE(234),
    [sym_color_set_definition] = STATE(234),
    [sym_color_reference] = STATE(234),
    [sym_tikz_library_import] = STATE(234),
    [sym_hyperlink] = STATE(234),
    [aux_sym_part_repeat1] = STATE(234),
    [aux_sym_text_repeat1] = STATE(269),
    [sym_command_name] = ACTIONS(2749),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2752),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [anon_sym_RBRACK] = ACTIONS(2755),
    [anon_sym_COMMA] = ACTIONS(2755),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_RPAREN] = ACTIONS(2755),
    [anon_sym_BSLASHpart] = ACTIONS(2387),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHaddpart] = ACTIONS(2387),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHchapter] = ACTIONS(2387),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHaddchap] = ACTIONS(2387),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHsection] = ACTIONS(2387),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHaddsec] = ACTIONS(2387),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHsubsection] = ACTIONS(2387),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2387),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHparagraph] = ACTIONS(2387),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2387),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHitem] = ACTIONS(2387),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2758),
    [sym_word] = ACTIONS(2761),
    [sym_placeholder] = ACTIONS(2764),
    [sym_delimiter] = ACTIONS(2764),
    [anon_sym_PLUS] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_SLASH] = ACTIONS(2767),
    [anon_sym_LT] = ACTIONS(2770),
    [anon_sym_GT] = ACTIONS(2770),
    [anon_sym_BANG] = ACTIONS(2770),
    [anon_sym_PIPE] = ACTIONS(2770),
    [anon_sym_COLON] = ACTIONS(2770),
    [anon_sym_SQUOTE] = ACTIONS(2770),
    [anon_sym__] = ACTIONS(2773),
    [anon_sym_CARET] = ACTIONS(2776),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2779),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2779),
    [anon_sym_DOLLAR] = ACTIONS(2782),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2785),
    [anon_sym_BSLASHleft] = ACTIONS(2788),
    [anon_sym_BSLASHbigl] = ACTIONS(2788),
    [anon_sym_BSLASHBigl] = ACTIONS(2788),
    [anon_sym_BSLASHbiggl] = ACTIONS(2788),
    [anon_sym_BSLASHBiggl] = ACTIONS(2788),
    [anon_sym_BSLASHtext] = ACTIONS(2791),
    [anon_sym_BSLASHintertext] = ACTIONS(2791),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2791),
    [anon_sym_BSLASHbegin] = ACTIONS(2427),
    [anon_sym_BSLASHend] = ACTIONS(2387),
    [anon_sym_BSLASHtitle] = ACTIONS(2794),
    [anon_sym_BSLASHauthor] = ACTIONS(2797),
    [anon_sym_BSLASHusepackage] = ACTIONS(2800),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2800),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2803),
    [anon_sym_BSLASHinclude] = ACTIONS(2806),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2806),
    [anon_sym_BSLASHinput] = ACTIONS(2806),
    [anon_sym_BSLASHsubfile] = ACTIONS(2806),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2809),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2812),
    [anon_sym_BSLASHbibliography] = ACTIONS(2815),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2818),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2821),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2824),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2827),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2827),
    [anon_sym_BSLASHimport] = ACTIONS(2830),
    [anon_sym_BSLASHsubimport] = ACTIONS(2830),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2830),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2830),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2830),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2830),
    [anon_sym_BSLASHcaption] = ACTIONS(2833),
    [anon_sym_BSLASHcite] = ACTIONS(2836),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2839),
    [anon_sym_BSLASHCite] = ACTIONS(2836),
    [anon_sym_BSLASHnocite] = ACTIONS(2836),
    [anon_sym_BSLASHcitet] = ACTIONS(2836),
    [anon_sym_BSLASHcitep] = ACTIONS(2836),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2839),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2839),
    [anon_sym_BSLASHciteA] = ACTIONS(2836),
    [anon_sym_BSLASHciteR] = ACTIONS(2836),
    [anon_sym_BSLASHciteS] = ACTIONS(2836),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2836),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2836),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2839),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2836),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2839),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2836),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2839),
    [anon_sym_BSLASHciteyear] = ACTIONS(2836),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2839),
    [anon_sym_BSLASHcitedate] = ACTIONS(2836),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2839),
    [anon_sym_BSLASHciteurl] = ACTIONS(2836),
    [anon_sym_BSLASHfullcite] = ACTIONS(2836),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2836),
    [anon_sym_BSLASHcitealt] = ACTIONS(2836),
    [anon_sym_BSLASHcitealp] = ACTIONS(2836),
    [anon_sym_BSLASHcitetext] = ACTIONS(2836),
    [anon_sym_BSLASHparencite] = ACTIONS(2836),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2839),
    [anon_sym_BSLASHParencite] = ACTIONS(2836),
    [anon_sym_BSLASHfootcite] = ACTIONS(2836),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2836),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2836),
    [anon_sym_BSLASHtextcite] = ACTIONS(2836),
    [anon_sym_BSLASHTextcite] = ACTIONS(2836),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2836),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2836),
    [anon_sym_BSLASHsupercite] = ACTIONS(2836),
    [anon_sym_BSLASHautocite] = ACTIONS(2836),
    [anon_sym_BSLASHAutocite] = ACTIONS(2836),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2839),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2839),
    [anon_sym_BSLASHvolcite] = ACTIONS(2836),
    [anon_sym_BSLASHVolcite] = ACTIONS(2836),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2836),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2836),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2836),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2836),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2836),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2836),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2836),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2836),
    [anon_sym_BSLASHavolcite] = ACTIONS(2836),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2836),
    [anon_sym_BSLASHnotecite] = ACTIONS(2836),
    [anon_sym_BSLASHNotecite] = ACTIONS(2836),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2836),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2836),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2836),
    [anon_sym_BSLASHlabel] = ACTIONS(2842),
    [anon_sym_BSLASHref] = ACTIONS(2845),
    [anon_sym_BSLASHeqref] = ACTIONS(2845),
    [anon_sym_BSLASHvref] = ACTIONS(2845),
    [anon_sym_BSLASHVref] = ACTIONS(2845),
    [anon_sym_BSLASHautoref] = ACTIONS(2845),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2848),
    [anon_sym_BSLASHpageref] = ACTIONS(2845),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2848),
    [anon_sym_BSLASHautopageref] = ACTIONS(2845),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2848),
    [anon_sym_BSLASHcref] = ACTIONS(2845),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2848),
    [anon_sym_BSLASHCref] = ACTIONS(2845),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2848),
    [anon_sym_BSLASHcpageref] = ACTIONS(2845),
    [anon_sym_BSLASHCpageref] = ACTIONS(2845),
    [anon_sym_BSLASHnamecref] = ACTIONS(2845),
    [anon_sym_BSLASHnameCref] = ACTIONS(2845),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2845),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2845),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2845),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2845),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2845),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2848),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2845),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2848),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2851),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2854),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2851),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2854),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2851),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2851),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2857),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2860),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2863),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2860),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2863),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2860),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2863),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2860),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2863),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2860),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2863),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2866),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2866),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2866),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2866),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2866),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2866),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2866),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2866),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2869),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2869),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2869),
    [anon_sym_BSLASHdef] = ACTIONS(2872),
    [anon_sym_BSLASHgdef] = ACTIONS(2872),
    [anon_sym_BSLASHedef] = ACTIONS(2872),
    [anon_sym_BSLASHxdef] = ACTIONS(2872),
    [anon_sym_BSLASHlet] = ACTIONS(2875),
    [anon_sym_BSLASHglet] = ACTIONS(2875),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2878),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2878),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2881),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2881),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2884),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2884),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2884),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2884),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2887),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2887),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2887),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2890),
    [anon_sym_BSLASHgls] = ACTIONS(2893),
    [anon_sym_BSLASHGls] = ACTIONS(2893),
    [anon_sym_BSLASHGLS] = ACTIONS(2893),
    [anon_sym_BSLASHglspl] = ACTIONS(2893),
    [anon_sym_BSLASHGlspl] = ACTIONS(2893),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2893),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2893),
    [anon_sym_BSLASHglslink] = ACTIONS(2893),
    [anon_sym_BSLASHglstext] = ACTIONS(2893),
    [anon_sym_BSLASHGlstext] = ACTIONS(2893),
    [anon_sym_BSLASHGLStext] = ACTIONS(2893),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2893),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2893),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2893),
    [anon_sym_BSLASHglsplural] = ACTIONS(2893),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2893),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2893),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2893),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2893),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2893),
    [anon_sym_BSLASHglsname] = ACTIONS(2893),
    [anon_sym_BSLASHGlsname] = ACTIONS(2893),
    [anon_sym_BSLASHGLSname] = ACTIONS(2893),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2893),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2893),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2893),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2893),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2893),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2893),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2893),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2893),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2893),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2893),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2893),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2893),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2893),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2893),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2893),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2893),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2893),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2893),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2893),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2893),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2893),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2893),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2893),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2896),
    [anon_sym_BSLASHacrshort] = ACTIONS(2899),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2899),
    [anon_sym_BSLASHACRshort] = ACTIONS(2899),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2899),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2899),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2899),
    [anon_sym_BSLASHacrlong] = ACTIONS(2899),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2899),
    [anon_sym_BSLASHACRlong] = ACTIONS(2899),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2899),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2899),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2899),
    [anon_sym_BSLASHacrfull] = ACTIONS(2899),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2899),
    [anon_sym_BSLASHACRfull] = ACTIONS(2899),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2899),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2899),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2899),
    [anon_sym_BSLASHacs] = ACTIONS(2899),
    [anon_sym_BSLASHAcs] = ACTIONS(2899),
    [anon_sym_BSLASHacsp] = ACTIONS(2899),
    [anon_sym_BSLASHAcsp] = ACTIONS(2899),
    [anon_sym_BSLASHacl] = ACTIONS(2899),
    [anon_sym_BSLASHAcl] = ACTIONS(2899),
    [anon_sym_BSLASHaclp] = ACTIONS(2899),
    [anon_sym_BSLASHAclp] = ACTIONS(2899),
    [anon_sym_BSLASHacf] = ACTIONS(2899),
    [anon_sym_BSLASHAcf] = ACTIONS(2899),
    [anon_sym_BSLASHacfp] = ACTIONS(2899),
    [anon_sym_BSLASHAcfp] = ACTIONS(2899),
    [anon_sym_BSLASHac] = ACTIONS(2899),
    [anon_sym_BSLASHAc] = ACTIONS(2899),
    [anon_sym_BSLASHacp] = ACTIONS(2899),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2899),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2899),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2899),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2899),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2899),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2899),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2899),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2899),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2899),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2899),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2902),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2905),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2902),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2905),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2908),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2911),
    [anon_sym_BSLASHcolor] = ACTIONS(2914),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2914),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2914),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2914),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2914),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2917),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2917),
    [anon_sym_BSLASHurl] = ACTIONS(2920),
    [anon_sym_BSLASHhref] = ACTIONS(2920),
  },
  [235] = {
    [sym_block_comment] = STATE(238),
    [sym__flat_content] = STATE(238),
    [sym__text_with_env_content] = STATE(238),
    [sym__text_content] = STATE(238),
    [sym_curly_group] = STATE(238),
    [sym_text] = STATE(238),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(238),
    [sym_displayed_equation] = STATE(238),
    [sym_inline_formula] = STATE(238),
    [sym_math_delimiter] = STATE(238),
    [sym_text_mode] = STATE(238),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(238),
    [sym_comment_environment] = STATE(238),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(238),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(238),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(238),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(238),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(238),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(238),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(238),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(238),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(238),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(238),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(238),
    [sym_generic_command] = STATE(238),
    [sym_title_declaration] = STATE(238),
    [sym_author_declaration] = STATE(238),
    [sym_package_include] = STATE(238),
    [sym_class_include] = STATE(238),
    [sym_latex_include] = STATE(238),
    [sym_biblatex_include] = STATE(238),
    [sym_bibstyle_include] = STATE(238),
    [sym_bibtex_include] = STATE(238),
    [sym_graphics_include] = STATE(238),
    [sym_svg_include] = STATE(238),
    [sym_inkscape_include] = STATE(238),
    [sym_verbatim_include] = STATE(238),
    [sym_import_include] = STATE(238),
    [sym_caption] = STATE(238),
    [sym_citation] = STATE(238),
    [sym_label_definition] = STATE(238),
    [sym_label_reference] = STATE(238),
    [sym_label_reference_range] = STATE(238),
    [sym_label_number] = STATE(238),
    [sym_new_command_definition] = STATE(238),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(238),
    [sym_let_command_definition] = STATE(238),
    [sym_paired_delimiter_definition] = STATE(238),
    [sym_environment_definition] = STATE(238),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(238),
    [sym_glossary_entry_reference] = STATE(238),
    [sym_acronym_definition] = STATE(238),
    [sym_acronym_reference] = STATE(238),
    [sym_theorem_definition] = STATE(238),
    [sym_color_definition] = STATE(238),
    [sym_color_set_definition] = STATE(238),
    [sym_color_reference] = STATE(238),
    [sym_tikz_library_import] = STATE(238),
    [sym_hyperlink] = STATE(238),
    [aux_sym_part_repeat1] = STATE(238),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_RBRACK] = ACTIONS(2272),
    [anon_sym_COMMA] = ACTIONS(2272),
    [anon_sym_EQ] = ACTIONS(2272),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_RPAREN] = ACTIONS(2272),
    [anon_sym_BSLASHpart] = ACTIONS(2559),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHaddpart] = ACTIONS(2559),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHchapter] = ACTIONS(2559),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHaddchap] = ACTIONS(2559),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHsection] = ACTIONS(2559),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHaddsec] = ACTIONS(2559),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHsubsection] = ACTIONS(2559),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2559),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHparagraph] = ACTIONS(2559),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2559),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHitem] = ACTIONS(2559),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2561),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2274),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2561),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [236] = {
    [sym_block_comment] = STATE(235),
    [sym__flat_content] = STATE(235),
    [sym__text_with_env_content] = STATE(235),
    [sym__text_content] = STATE(235),
    [sym_curly_group] = STATE(235),
    [sym_text] = STATE(235),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(235),
    [sym_displayed_equation] = STATE(235),
    [sym_inline_formula] = STATE(235),
    [sym_math_delimiter] = STATE(235),
    [sym_text_mode] = STATE(235),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(235),
    [sym_comment_environment] = STATE(235),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(235),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(235),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(235),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(235),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(235),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(235),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(235),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(235),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(235),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(235),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(235),
    [sym_generic_command] = STATE(235),
    [sym_title_declaration] = STATE(235),
    [sym_author_declaration] = STATE(235),
    [sym_package_include] = STATE(235),
    [sym_class_include] = STATE(235),
    [sym_latex_include] = STATE(235),
    [sym_biblatex_include] = STATE(235),
    [sym_bibstyle_include] = STATE(235),
    [sym_bibtex_include] = STATE(235),
    [sym_graphics_include] = STATE(235),
    [sym_svg_include] = STATE(235),
    [sym_inkscape_include] = STATE(235),
    [sym_verbatim_include] = STATE(235),
    [sym_import_include] = STATE(235),
    [sym_caption] = STATE(235),
    [sym_citation] = STATE(235),
    [sym_label_definition] = STATE(235),
    [sym_label_reference] = STATE(235),
    [sym_label_reference_range] = STATE(235),
    [sym_label_number] = STATE(235),
    [sym_new_command_definition] = STATE(235),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(235),
    [sym_let_command_definition] = STATE(235),
    [sym_paired_delimiter_definition] = STATE(235),
    [sym_environment_definition] = STATE(235),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(235),
    [sym_glossary_entry_reference] = STATE(235),
    [sym_acronym_definition] = STATE(235),
    [sym_acronym_reference] = STATE(235),
    [sym_theorem_definition] = STATE(235),
    [sym_color_definition] = STATE(235),
    [sym_color_set_definition] = STATE(235),
    [sym_color_reference] = STATE(235),
    [sym_tikz_library_import] = STATE(235),
    [sym_hyperlink] = STATE(235),
    [aux_sym_part_repeat1] = STATE(235),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(2923),
    [anon_sym_RBRACK] = ACTIONS(2923),
    [anon_sym_COMMA] = ACTIONS(2923),
    [anon_sym_EQ] = ACTIONS(2923),
    [anon_sym_LPAREN] = ACTIONS(2923),
    [anon_sym_RPAREN] = ACTIONS(2923),
    [anon_sym_BSLASHpart] = ACTIONS(2374),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHaddpart] = ACTIONS(2374),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHchapter] = ACTIONS(2374),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHaddchap] = ACTIONS(2374),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHsection] = ACTIONS(2374),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHaddsec] = ACTIONS(2374),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHsubsection] = ACTIONS(2374),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2374),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHparagraph] = ACTIONS(2374),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2374),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHitem] = ACTIONS(2374),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2376),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1094),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(2274),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1098),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2376),
    [anon_sym_BSLASHleft] = ACTIONS(1102),
    [anon_sym_BSLASHbigl] = ACTIONS(1102),
    [anon_sym_BSLASHBigl] = ACTIONS(1102),
    [anon_sym_BSLASHbiggl] = ACTIONS(1102),
    [anon_sym_BSLASHBiggl] = ACTIONS(1102),
    [anon_sym_BSLASHtext] = ACTIONS(1104),
    [anon_sym_BSLASHintertext] = ACTIONS(1104),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1104),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [237] = {
    [sym_block_comment] = STATE(240),
    [sym__flat_content] = STATE(240),
    [sym__text_with_env_content] = STATE(240),
    [sym__text_content] = STATE(240),
    [sym_curly_group] = STATE(240),
    [sym_text] = STATE(240),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(240),
    [sym_displayed_equation] = STATE(240),
    [sym_inline_formula] = STATE(240),
    [sym_math_delimiter] = STATE(240),
    [sym_text_mode] = STATE(240),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(240),
    [sym_comment_environment] = STATE(240),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(240),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(240),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(240),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(240),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(240),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(240),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(240),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(240),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(240),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(240),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(240),
    [sym_generic_command] = STATE(240),
    [sym_title_declaration] = STATE(240),
    [sym_author_declaration] = STATE(240),
    [sym_package_include] = STATE(240),
    [sym_class_include] = STATE(240),
    [sym_latex_include] = STATE(240),
    [sym_biblatex_include] = STATE(240),
    [sym_bibstyle_include] = STATE(240),
    [sym_bibtex_include] = STATE(240),
    [sym_graphics_include] = STATE(240),
    [sym_svg_include] = STATE(240),
    [sym_inkscape_include] = STATE(240),
    [sym_verbatim_include] = STATE(240),
    [sym_import_include] = STATE(240),
    [sym_caption] = STATE(240),
    [sym_citation] = STATE(240),
    [sym_label_definition] = STATE(240),
    [sym_label_reference] = STATE(240),
    [sym_label_reference_range] = STATE(240),
    [sym_label_number] = STATE(240),
    [sym_new_command_definition] = STATE(240),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(240),
    [sym_let_command_definition] = STATE(240),
    [sym_paired_delimiter_definition] = STATE(240),
    [sym_environment_definition] = STATE(240),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(240),
    [sym_glossary_entry_reference] = STATE(240),
    [sym_acronym_definition] = STATE(240),
    [sym_acronym_reference] = STATE(240),
    [sym_theorem_definition] = STATE(240),
    [sym_color_definition] = STATE(240),
    [sym_color_set_definition] = STATE(240),
    [sym_color_reference] = STATE(240),
    [sym_tikz_library_import] = STATE(240),
    [sym_hyperlink] = STATE(240),
    [aux_sym_part_repeat1] = STATE(240),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_RBRACK] = ACTIONS(2925),
    [anon_sym_COMMA] = ACTIONS(2925),
    [anon_sym_EQ] = ACTIONS(2925),
    [anon_sym_LPAREN] = ACTIONS(2925),
    [anon_sym_RPAREN] = ACTIONS(2925),
    [anon_sym_BSLASHpart] = ACTIONS(2374),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHaddpart] = ACTIONS(2374),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHchapter] = ACTIONS(2374),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHaddchap] = ACTIONS(2374),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHsection] = ACTIONS(2374),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHaddsec] = ACTIONS(2374),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHsubsection] = ACTIONS(2374),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2374),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHparagraph] = ACTIONS(2374),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2374),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2376),
    [anon_sym_BSLASHitem] = ACTIONS(2374),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2376),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1440),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2376),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [238] = {
    [sym_block_comment] = STATE(238),
    [sym__flat_content] = STATE(238),
    [sym__text_with_env_content] = STATE(238),
    [sym__text_content] = STATE(238),
    [sym_curly_group] = STATE(238),
    [sym_text] = STATE(238),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__math_content] = STATE(238),
    [sym_displayed_equation] = STATE(238),
    [sym_inline_formula] = STATE(238),
    [sym_math_delimiter] = STATE(238),
    [sym_text_mode] = STATE(238),
    [sym_begin] = STATE(47),
    [sym_generic_environment] = STATE(238),
    [sym_comment_environment] = STATE(238),
    [sym__comment_environment_begin] = STATE(3888),
    [sym_verbatim_environment] = STATE(238),
    [sym__verbatim_environment_begin] = STATE(3890),
    [sym_listing_environment] = STATE(238),
    [sym__listing_environment_begin] = STATE(3891),
    [sym_minted_environment] = STATE(238),
    [sym__minted_environment_begin] = STATE(3892),
    [sym_asy_environment] = STATE(238),
    [sym__asy_environment_begin] = STATE(3893),
    [sym_asydef_environment] = STATE(238),
    [sym__asydef_environment_begin] = STATE(3895),
    [sym_pycode_environment] = STATE(238),
    [sym__pycode_environment_begin] = STATE(3896),
    [sym_luacode_environment] = STATE(238),
    [sym__luacode_environment] = STATE(1278),
    [sym___luacode_environment_begin] = STATE(3897),
    [sym__luacode_environment_star] = STATE(1282),
    [sym___luacode_environment_star_begin] = STATE(3898),
    [sym_sagesilent_environment] = STATE(238),
    [sym__sagesilent_environment_begin] = STATE(3899),
    [sym_sageblock_environment] = STATE(238),
    [sym__sageblock_environment_begin] = STATE(3900),
    [sym_math_environment] = STATE(238),
    [sym__math_environment_begin] = STATE(252),
    [sym__command] = STATE(238),
    [sym_generic_command] = STATE(238),
    [sym_title_declaration] = STATE(238),
    [sym_author_declaration] = STATE(238),
    [sym_package_include] = STATE(238),
    [sym_class_include] = STATE(238),
    [sym_latex_include] = STATE(238),
    [sym_biblatex_include] = STATE(238),
    [sym_bibstyle_include] = STATE(238),
    [sym_bibtex_include] = STATE(238),
    [sym_graphics_include] = STATE(238),
    [sym_svg_include] = STATE(238),
    [sym_inkscape_include] = STATE(238),
    [sym_verbatim_include] = STATE(238),
    [sym_import_include] = STATE(238),
    [sym_caption] = STATE(238),
    [sym_citation] = STATE(238),
    [sym_label_definition] = STATE(238),
    [sym_label_reference] = STATE(238),
    [sym_label_reference_range] = STATE(238),
    [sym_label_number] = STATE(238),
    [sym_new_command_definition] = STATE(238),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(238),
    [sym_let_command_definition] = STATE(238),
    [sym_paired_delimiter_definition] = STATE(238),
    [sym_environment_definition] = STATE(238),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(238),
    [sym_glossary_entry_reference] = STATE(238),
    [sym_acronym_definition] = STATE(238),
    [sym_acronym_reference] = STATE(238),
    [sym_theorem_definition] = STATE(238),
    [sym_color_definition] = STATE(238),
    [sym_color_set_definition] = STATE(238),
    [sym_color_reference] = STATE(238),
    [sym_tikz_library_import] = STATE(238),
    [sym_hyperlink] = STATE(238),
    [aux_sym_part_repeat1] = STATE(238),
    [aux_sym_text_repeat1] = STATE(268),
    [sym_command_name] = ACTIONS(2927),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2930),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_RBRACK] = ACTIONS(2933),
    [anon_sym_COMMA] = ACTIONS(2933),
    [anon_sym_EQ] = ACTIONS(2933),
    [anon_sym_LPAREN] = ACTIONS(2933),
    [anon_sym_RPAREN] = ACTIONS(2933),
    [anon_sym_BSLASHpart] = ACTIONS(2387),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHaddpart] = ACTIONS(2387),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHchapter] = ACTIONS(2387),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHaddchap] = ACTIONS(2387),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHsection] = ACTIONS(2387),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHaddsec] = ACTIONS(2387),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHsubsection] = ACTIONS(2387),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2387),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHparagraph] = ACTIONS(2387),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2387),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHitem] = ACTIONS(2387),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2936),
    [sym_word] = ACTIONS(2939),
    [sym_placeholder] = ACTIONS(2942),
    [sym_delimiter] = ACTIONS(2942),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_LT] = ACTIONS(2948),
    [anon_sym_GT] = ACTIONS(2948),
    [anon_sym_BANG] = ACTIONS(2948),
    [anon_sym_PIPE] = ACTIONS(2948),
    [anon_sym_COLON] = ACTIONS(2948),
    [anon_sym_SQUOTE] = ACTIONS(2948),
    [anon_sym__] = ACTIONS(2951),
    [anon_sym_CARET] = ACTIONS(2954),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2957),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2957),
    [anon_sym_DOLLAR] = ACTIONS(2960),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2963),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2389),
    [anon_sym_BSLASHleft] = ACTIONS(2966),
    [anon_sym_BSLASHbigl] = ACTIONS(2966),
    [anon_sym_BSLASHBigl] = ACTIONS(2966),
    [anon_sym_BSLASHbiggl] = ACTIONS(2966),
    [anon_sym_BSLASHBiggl] = ACTIONS(2966),
    [anon_sym_BSLASHtext] = ACTIONS(2969),
    [anon_sym_BSLASHintertext] = ACTIONS(2969),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2969),
    [anon_sym_BSLASHbegin] = ACTIONS(2427),
    [anon_sym_BSLASHtitle] = ACTIONS(2972),
    [anon_sym_BSLASHauthor] = ACTIONS(2975),
    [anon_sym_BSLASHusepackage] = ACTIONS(2978),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2978),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2981),
    [anon_sym_BSLASHinclude] = ACTIONS(2984),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2984),
    [anon_sym_BSLASHinput] = ACTIONS(2984),
    [anon_sym_BSLASHsubfile] = ACTIONS(2984),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2987),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2990),
    [anon_sym_BSLASHbibliography] = ACTIONS(2993),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2996),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2999),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3002),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3005),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3005),
    [anon_sym_BSLASHimport] = ACTIONS(3008),
    [anon_sym_BSLASHsubimport] = ACTIONS(3008),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3008),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3008),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3008),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3008),
    [anon_sym_BSLASHcaption] = ACTIONS(3011),
    [anon_sym_BSLASHcite] = ACTIONS(3014),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3017),
    [anon_sym_BSLASHCite] = ACTIONS(3014),
    [anon_sym_BSLASHnocite] = ACTIONS(3014),
    [anon_sym_BSLASHcitet] = ACTIONS(3014),
    [anon_sym_BSLASHcitep] = ACTIONS(3014),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3017),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3017),
    [anon_sym_BSLASHciteA] = ACTIONS(3014),
    [anon_sym_BSLASHciteR] = ACTIONS(3014),
    [anon_sym_BSLASHciteS] = ACTIONS(3014),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3014),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3014),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3017),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3014),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3017),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3014),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3017),
    [anon_sym_BSLASHciteyear] = ACTIONS(3014),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3017),
    [anon_sym_BSLASHcitedate] = ACTIONS(3014),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3017),
    [anon_sym_BSLASHciteurl] = ACTIONS(3014),
    [anon_sym_BSLASHfullcite] = ACTIONS(3014),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3014),
    [anon_sym_BSLASHcitealt] = ACTIONS(3014),
    [anon_sym_BSLASHcitealp] = ACTIONS(3014),
    [anon_sym_BSLASHcitetext] = ACTIONS(3014),
    [anon_sym_BSLASHparencite] = ACTIONS(3014),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3017),
    [anon_sym_BSLASHParencite] = ACTIONS(3014),
    [anon_sym_BSLASHfootcite] = ACTIONS(3014),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3014),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3014),
    [anon_sym_BSLASHtextcite] = ACTIONS(3014),
    [anon_sym_BSLASHTextcite] = ACTIONS(3014),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3014),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3014),
    [anon_sym_BSLASHsupercite] = ACTIONS(3014),
    [anon_sym_BSLASHautocite] = ACTIONS(3014),
    [anon_sym_BSLASHAutocite] = ACTIONS(3014),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3017),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3017),
    [anon_sym_BSLASHvolcite] = ACTIONS(3014),
    [anon_sym_BSLASHVolcite] = ACTIONS(3014),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3014),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3014),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3014),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3014),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3014),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3014),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3014),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3014),
    [anon_sym_BSLASHavolcite] = ACTIONS(3014),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3014),
    [anon_sym_BSLASHnotecite] = ACTIONS(3014),
    [anon_sym_BSLASHNotecite] = ACTIONS(3014),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3014),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3014),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3014),
    [anon_sym_BSLASHlabel] = ACTIONS(3020),
    [anon_sym_BSLASHref] = ACTIONS(3023),
    [anon_sym_BSLASHeqref] = ACTIONS(3023),
    [anon_sym_BSLASHvref] = ACTIONS(3023),
    [anon_sym_BSLASHVref] = ACTIONS(3023),
    [anon_sym_BSLASHautoref] = ACTIONS(3023),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3026),
    [anon_sym_BSLASHpageref] = ACTIONS(3023),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3026),
    [anon_sym_BSLASHautopageref] = ACTIONS(3023),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3026),
    [anon_sym_BSLASHcref] = ACTIONS(3023),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3026),
    [anon_sym_BSLASHCref] = ACTIONS(3023),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3026),
    [anon_sym_BSLASHcpageref] = ACTIONS(3023),
    [anon_sym_BSLASHCpageref] = ACTIONS(3023),
    [anon_sym_BSLASHnamecref] = ACTIONS(3023),
    [anon_sym_BSLASHnameCref] = ACTIONS(3023),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3023),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3023),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3023),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3023),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3023),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3026),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3023),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3026),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3029),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3032),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3029),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3032),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3029),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3029),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3035),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3038),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3041),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3038),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3041),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3038),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3041),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3038),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3041),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3038),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3041),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(3044),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(3044),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(3044),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(3044),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(3044),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(3044),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(3044),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(3044),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(3047),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(3047),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(3047),
    [anon_sym_BSLASHdef] = ACTIONS(3050),
    [anon_sym_BSLASHgdef] = ACTIONS(3050),
    [anon_sym_BSLASHedef] = ACTIONS(3050),
    [anon_sym_BSLASHxdef] = ACTIONS(3050),
    [anon_sym_BSLASHlet] = ACTIONS(3053),
    [anon_sym_BSLASHglet] = ACTIONS(3053),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(3056),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(3056),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(3059),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(3059),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(3062),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(3062),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(3062),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(3062),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(3065),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(3065),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(3065),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(3068),
    [anon_sym_BSLASHgls] = ACTIONS(3071),
    [anon_sym_BSLASHGls] = ACTIONS(3071),
    [anon_sym_BSLASHGLS] = ACTIONS(3071),
    [anon_sym_BSLASHglspl] = ACTIONS(3071),
    [anon_sym_BSLASHGlspl] = ACTIONS(3071),
    [anon_sym_BSLASHGLSpl] = ACTIONS(3071),
    [anon_sym_BSLASHglsdisp] = ACTIONS(3071),
    [anon_sym_BSLASHglslink] = ACTIONS(3071),
    [anon_sym_BSLASHglstext] = ACTIONS(3071),
    [anon_sym_BSLASHGlstext] = ACTIONS(3071),
    [anon_sym_BSLASHGLStext] = ACTIONS(3071),
    [anon_sym_BSLASHglsfirst] = ACTIONS(3071),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(3071),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(3071),
    [anon_sym_BSLASHglsplural] = ACTIONS(3071),
    [anon_sym_BSLASHGlsplural] = ACTIONS(3071),
    [anon_sym_BSLASHGLSplural] = ACTIONS(3071),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(3071),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(3071),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(3071),
    [anon_sym_BSLASHglsname] = ACTIONS(3071),
    [anon_sym_BSLASHGlsname] = ACTIONS(3071),
    [anon_sym_BSLASHGLSname] = ACTIONS(3071),
    [anon_sym_BSLASHglssymbol] = ACTIONS(3071),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(3071),
    [anon_sym_BSLASHglsdesc] = ACTIONS(3071),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(3071),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(3071),
    [anon_sym_BSLASHglsuseri] = ACTIONS(3071),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(3071),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(3071),
    [anon_sym_BSLASHglsuserii] = ACTIONS(3071),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(3071),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(3071),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(3071),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(3071),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(3071),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(3071),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(3071),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(3071),
    [anon_sym_BSLASHglsuserv] = ACTIONS(3071),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(3071),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(3071),
    [anon_sym_BSLASHglsuservi] = ACTIONS(3071),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(3071),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(3071),
    [anon_sym_BSLASHnewacronym] = ACTIONS(3074),
    [anon_sym_BSLASHacrshort] = ACTIONS(3077),
    [anon_sym_BSLASHAcrshort] = ACTIONS(3077),
    [anon_sym_BSLASHACRshort] = ACTIONS(3077),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(3077),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(3077),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(3077),
    [anon_sym_BSLASHacrlong] = ACTIONS(3077),
    [anon_sym_BSLASHAcrlong] = ACTIONS(3077),
    [anon_sym_BSLASHACRlong] = ACTIONS(3077),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(3077),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(3077),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(3077),
    [anon_sym_BSLASHacrfull] = ACTIONS(3077),
    [anon_sym_BSLASHAcrfull] = ACTIONS(3077),
    [anon_sym_BSLASHACRfull] = ACTIONS(3077),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(3077),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(3077),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(3077),
    [anon_sym_BSLASHacs] = ACTIONS(3077),
    [anon_sym_BSLASHAcs] = ACTIONS(3077),
    [anon_sym_BSLASHacsp] = ACTIONS(3077),
    [anon_sym_BSLASHAcsp] = ACTIONS(3077),
    [anon_sym_BSLASHacl] = ACTIONS(3077),
    [anon_sym_BSLASHAcl] = ACTIONS(3077),
    [anon_sym_BSLASHaclp] = ACTIONS(3077),
    [anon_sym_BSLASHAclp] = ACTIONS(3077),
    [anon_sym_BSLASHacf] = ACTIONS(3077),
    [anon_sym_BSLASHAcf] = ACTIONS(3077),
    [anon_sym_BSLASHacfp] = ACTIONS(3077),
    [anon_sym_BSLASHAcfp] = ACTIONS(3077),
    [anon_sym_BSLASHac] = ACTIONS(3077),
    [anon_sym_BSLASHAc] = ACTIONS(3077),
    [anon_sym_BSLASHacp] = ACTIONS(3077),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(3077),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(3077),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(3077),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(3077),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(3077),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(3077),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(3077),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(3077),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(3077),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(3077),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(3080),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(3083),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(3080),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(3083),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(3086),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(3089),
    [anon_sym_BSLASHcolor] = ACTIONS(3092),
    [anon_sym_BSLASHpagecolor] = ACTIONS(3092),
    [anon_sym_BSLASHtextcolor] = ACTIONS(3092),
    [anon_sym_BSLASHmathcolor] = ACTIONS(3092),
    [anon_sym_BSLASHcolorbox] = ACTIONS(3092),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(3095),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(3095),
    [anon_sym_BSLASHurl] = ACTIONS(3098),
    [anon_sym_BSLASHhref] = ACTIONS(3098),
  },
  [239] = {
    [sym_block_comment] = STATE(239),
    [sym__flat_content] = STATE(239),
    [sym__text_with_env_content] = STATE(239),
    [sym__text_content] = STATE(239),
    [sym_curly_group] = STATE(239),
    [sym_text] = STATE(239),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(239),
    [sym_displayed_equation] = STATE(239),
    [sym_inline_formula] = STATE(239),
    [sym_math_delimiter] = STATE(239),
    [sym_text_mode] = STATE(239),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(239),
    [sym_comment_environment] = STATE(239),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(239),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(239),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(239),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(239),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(239),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(239),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(239),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(239),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(239),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(239),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(239),
    [sym_generic_command] = STATE(239),
    [sym_title_declaration] = STATE(239),
    [sym_author_declaration] = STATE(239),
    [sym_package_include] = STATE(239),
    [sym_class_include] = STATE(239),
    [sym_latex_include] = STATE(239),
    [sym_biblatex_include] = STATE(239),
    [sym_bibstyle_include] = STATE(239),
    [sym_bibtex_include] = STATE(239),
    [sym_graphics_include] = STATE(239),
    [sym_svg_include] = STATE(239),
    [sym_inkscape_include] = STATE(239),
    [sym_verbatim_include] = STATE(239),
    [sym_import_include] = STATE(239),
    [sym_caption] = STATE(239),
    [sym_citation] = STATE(239),
    [sym_label_definition] = STATE(239),
    [sym_label_reference] = STATE(239),
    [sym_label_reference_range] = STATE(239),
    [sym_label_number] = STATE(239),
    [sym_new_command_definition] = STATE(239),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(239),
    [sym_let_command_definition] = STATE(239),
    [sym_paired_delimiter_definition] = STATE(239),
    [sym_environment_definition] = STATE(239),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(239),
    [sym_glossary_entry_reference] = STATE(239),
    [sym_acronym_definition] = STATE(239),
    [sym_acronym_reference] = STATE(239),
    [sym_theorem_definition] = STATE(239),
    [sym_color_definition] = STATE(239),
    [sym_color_set_definition] = STATE(239),
    [sym_color_reference] = STATE(239),
    [sym_tikz_library_import] = STATE(239),
    [sym_hyperlink] = STATE(239),
    [aux_sym_part_repeat1] = STATE(239),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(3101),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3104),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_RBRACK] = ACTIONS(3107),
    [anon_sym_COMMA] = ACTIONS(3107),
    [anon_sym_EQ] = ACTIONS(3107),
    [anon_sym_LPAREN] = ACTIONS(3107),
    [anon_sym_RPAREN] = ACTIONS(3107),
    [anon_sym_BSLASHpart] = ACTIONS(2387),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHaddpart] = ACTIONS(2387),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHchapter] = ACTIONS(2387),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHaddchap] = ACTIONS(2387),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHsection] = ACTIONS(2387),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHaddsec] = ACTIONS(2387),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHsubsection] = ACTIONS(2387),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2387),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHparagraph] = ACTIONS(2387),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2387),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2389),
    [anon_sym_BSLASHitem] = ACTIONS(2387),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(3110),
    [sym_word] = ACTIONS(3113),
    [sym_placeholder] = ACTIONS(3116),
    [sym_delimiter] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3119),
    [anon_sym_DASH] = ACTIONS(3119),
    [anon_sym_STAR] = ACTIONS(3119),
    [anon_sym_SLASH] = ACTIONS(3119),
    [anon_sym_LT] = ACTIONS(3122),
    [anon_sym_GT] = ACTIONS(3122),
    [anon_sym_BANG] = ACTIONS(3122),
    [anon_sym_PIPE] = ACTIONS(3122),
    [anon_sym_COLON] = ACTIONS(3122),
    [anon_sym_SQUOTE] = ACTIONS(3122),
    [anon_sym__] = ACTIONS(3125),
    [anon_sym_CARET] = ACTIONS(3128),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(3131),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(3131),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2389),
    [anon_sym_DOLLAR] = ACTIONS(3134),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(3137),
    [anon_sym_BSLASHleft] = ACTIONS(3140),
    [anon_sym_BSLASHbigl] = ACTIONS(3140),
    [anon_sym_BSLASHBigl] = ACTIONS(3140),
    [anon_sym_BSLASHbiggl] = ACTIONS(3140),
    [anon_sym_BSLASHBiggl] = ACTIONS(3140),
    [anon_sym_BSLASHtext] = ACTIONS(3143),
    [anon_sym_BSLASHintertext] = ACTIONS(3143),
    [anon_sym_BSLASHshortintertext] = ACTIONS(3143),
    [anon_sym_BSLASHbegin] = ACTIONS(2427),
    [anon_sym_BSLASHtitle] = ACTIONS(3146),
    [anon_sym_BSLASHauthor] = ACTIONS(3149),
    [anon_sym_BSLASHusepackage] = ACTIONS(3152),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3152),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3155),
    [anon_sym_BSLASHinclude] = ACTIONS(3158),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3158),
    [anon_sym_BSLASHinput] = ACTIONS(3158),
    [anon_sym_BSLASHsubfile] = ACTIONS(3158),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3161),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3164),
    [anon_sym_BSLASHbibliography] = ACTIONS(3167),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3170),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3173),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3176),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3179),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3179),
    [anon_sym_BSLASHimport] = ACTIONS(3182),
    [anon_sym_BSLASHsubimport] = ACTIONS(3182),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3182),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3182),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3182),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3182),
    [anon_sym_BSLASHcaption] = ACTIONS(3185),
    [anon_sym_BSLASHcite] = ACTIONS(3188),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3191),
    [anon_sym_BSLASHCite] = ACTIONS(3188),
    [anon_sym_BSLASHnocite] = ACTIONS(3188),
    [anon_sym_BSLASHcitet] = ACTIONS(3188),
    [anon_sym_BSLASHcitep] = ACTIONS(3188),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3191),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3191),
    [anon_sym_BSLASHciteA] = ACTIONS(3188),
    [anon_sym_BSLASHciteR] = ACTIONS(3188),
    [anon_sym_BSLASHciteS] = ACTIONS(3188),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3188),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3188),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3191),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3188),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3191),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3188),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3191),
    [anon_sym_BSLASHciteyear] = ACTIONS(3188),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3191),
    [anon_sym_BSLASHcitedate] = ACTIONS(3188),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3191),
    [anon_sym_BSLASHciteurl] = ACTIONS(3188),
    [anon_sym_BSLASHfullcite] = ACTIONS(3188),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3188),
    [anon_sym_BSLASHcitealt] = ACTIONS(3188),
    [anon_sym_BSLASHcitealp] = ACTIONS(3188),
    [anon_sym_BSLASHcitetext] = ACTIONS(3188),
    [anon_sym_BSLASHparencite] = ACTIONS(3188),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3191),
    [anon_sym_BSLASHParencite] = ACTIONS(3188),
    [anon_sym_BSLASHfootcite] = ACTIONS(3188),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3188),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3188),
    [anon_sym_BSLASHtextcite] = ACTIONS(3188),
    [anon_sym_BSLASHTextcite] = ACTIONS(3188),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3188),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3188),
    [anon_sym_BSLASHsupercite] = ACTIONS(3188),
    [anon_sym_BSLASHautocite] = ACTIONS(3188),
    [anon_sym_BSLASHAutocite] = ACTIONS(3188),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3191),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3191),
    [anon_sym_BSLASHvolcite] = ACTIONS(3188),
    [anon_sym_BSLASHVolcite] = ACTIONS(3188),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3188),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3188),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3188),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3188),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3188),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3188),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3188),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3188),
    [anon_sym_BSLASHavolcite] = ACTIONS(3188),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3188),
    [anon_sym_BSLASHnotecite] = ACTIONS(3188),
    [anon_sym_BSLASHNotecite] = ACTIONS(3188),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3188),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3188),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3188),
    [anon_sym_BSLASHlabel] = ACTIONS(3194),
    [anon_sym_BSLASHref] = ACTIONS(3197),
    [anon_sym_BSLASHeqref] = ACTIONS(3197),
    [anon_sym_BSLASHvref] = ACTIONS(3197),
    [anon_sym_BSLASHVref] = ACTIONS(3197),
    [anon_sym_BSLASHautoref] = ACTIONS(3197),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3200),
    [anon_sym_BSLASHpageref] = ACTIONS(3197),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3200),
    [anon_sym_BSLASHautopageref] = ACTIONS(3197),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3200),
    [anon_sym_BSLASHcref] = ACTIONS(3197),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3200),
    [anon_sym_BSLASHCref] = ACTIONS(3197),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3200),
    [anon_sym_BSLASHcpageref] = ACTIONS(3197),
    [anon_sym_BSLASHCpageref] = ACTIONS(3197),
    [anon_sym_BSLASHnamecref] = ACTIONS(3197),
    [anon_sym_BSLASHnameCref] = ACTIONS(3197),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3197),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3197),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3197),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3197),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3197),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3200),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3197),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3200),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3203),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3206),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3203),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3206),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3203),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3203),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3209),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3212),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3215),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3212),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3215),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3212),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3215),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3212),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3215),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3212),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3215),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(3218),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(3218),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(3218),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(3218),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(3218),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(3218),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(3218),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(3218),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(3221),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(3221),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(3221),
    [anon_sym_BSLASHdef] = ACTIONS(3224),
    [anon_sym_BSLASHgdef] = ACTIONS(3224),
    [anon_sym_BSLASHedef] = ACTIONS(3224),
    [anon_sym_BSLASHxdef] = ACTIONS(3224),
    [anon_sym_BSLASHlet] = ACTIONS(3227),
    [anon_sym_BSLASHglet] = ACTIONS(3227),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(3230),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(3230),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(3233),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(3233),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(3236),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(3236),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(3236),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(3236),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(3239),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(3239),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(3239),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(3242),
    [anon_sym_BSLASHgls] = ACTIONS(3245),
    [anon_sym_BSLASHGls] = ACTIONS(3245),
    [anon_sym_BSLASHGLS] = ACTIONS(3245),
    [anon_sym_BSLASHglspl] = ACTIONS(3245),
    [anon_sym_BSLASHGlspl] = ACTIONS(3245),
    [anon_sym_BSLASHGLSpl] = ACTIONS(3245),
    [anon_sym_BSLASHglsdisp] = ACTIONS(3245),
    [anon_sym_BSLASHglslink] = ACTIONS(3245),
    [anon_sym_BSLASHglstext] = ACTIONS(3245),
    [anon_sym_BSLASHGlstext] = ACTIONS(3245),
    [anon_sym_BSLASHGLStext] = ACTIONS(3245),
    [anon_sym_BSLASHglsfirst] = ACTIONS(3245),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(3245),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(3245),
    [anon_sym_BSLASHglsplural] = ACTIONS(3245),
    [anon_sym_BSLASHGlsplural] = ACTIONS(3245),
    [anon_sym_BSLASHGLSplural] = ACTIONS(3245),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(3245),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(3245),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(3245),
    [anon_sym_BSLASHglsname] = ACTIONS(3245),
    [anon_sym_BSLASHGlsname] = ACTIONS(3245),
    [anon_sym_BSLASHGLSname] = ACTIONS(3245),
    [anon_sym_BSLASHglssymbol] = ACTIONS(3245),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(3245),
    [anon_sym_BSLASHglsdesc] = ACTIONS(3245),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(3245),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(3245),
    [anon_sym_BSLASHglsuseri] = ACTIONS(3245),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(3245),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(3245),
    [anon_sym_BSLASHglsuserii] = ACTIONS(3245),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(3245),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(3245),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(3245),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(3245),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(3245),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(3245),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(3245),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(3245),
    [anon_sym_BSLASHglsuserv] = ACTIONS(3245),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(3245),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(3245),
    [anon_sym_BSLASHglsuservi] = ACTIONS(3245),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(3245),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(3245),
    [anon_sym_BSLASHnewacronym] = ACTIONS(3248),
    [anon_sym_BSLASHacrshort] = ACTIONS(3251),
    [anon_sym_BSLASHAcrshort] = ACTIONS(3251),
    [anon_sym_BSLASHACRshort] = ACTIONS(3251),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(3251),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(3251),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(3251),
    [anon_sym_BSLASHacrlong] = ACTIONS(3251),
    [anon_sym_BSLASHAcrlong] = ACTIONS(3251),
    [anon_sym_BSLASHACRlong] = ACTIONS(3251),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(3251),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(3251),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(3251),
    [anon_sym_BSLASHacrfull] = ACTIONS(3251),
    [anon_sym_BSLASHAcrfull] = ACTIONS(3251),
    [anon_sym_BSLASHACRfull] = ACTIONS(3251),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(3251),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(3251),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(3251),
    [anon_sym_BSLASHacs] = ACTIONS(3251),
    [anon_sym_BSLASHAcs] = ACTIONS(3251),
    [anon_sym_BSLASHacsp] = ACTIONS(3251),
    [anon_sym_BSLASHAcsp] = ACTIONS(3251),
    [anon_sym_BSLASHacl] = ACTIONS(3251),
    [anon_sym_BSLASHAcl] = ACTIONS(3251),
    [anon_sym_BSLASHaclp] = ACTIONS(3251),
    [anon_sym_BSLASHAclp] = ACTIONS(3251),
    [anon_sym_BSLASHacf] = ACTIONS(3251),
    [anon_sym_BSLASHAcf] = ACTIONS(3251),
    [anon_sym_BSLASHacfp] = ACTIONS(3251),
    [anon_sym_BSLASHAcfp] = ACTIONS(3251),
    [anon_sym_BSLASHac] = ACTIONS(3251),
    [anon_sym_BSLASHAc] = ACTIONS(3251),
    [anon_sym_BSLASHacp] = ACTIONS(3251),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(3251),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(3251),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(3251),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(3251),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(3251),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(3251),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(3251),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(3251),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(3251),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(3251),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(3254),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(3257),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(3254),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(3257),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(3260),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(3263),
    [anon_sym_BSLASHcolor] = ACTIONS(3266),
    [anon_sym_BSLASHpagecolor] = ACTIONS(3266),
    [anon_sym_BSLASHtextcolor] = ACTIONS(3266),
    [anon_sym_BSLASHmathcolor] = ACTIONS(3266),
    [anon_sym_BSLASHcolorbox] = ACTIONS(3266),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(3269),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(3269),
    [anon_sym_BSLASHurl] = ACTIONS(3272),
    [anon_sym_BSLASHhref] = ACTIONS(3272),
  },
  [240] = {
    [sym_block_comment] = STATE(239),
    [sym__flat_content] = STATE(239),
    [sym__text_with_env_content] = STATE(239),
    [sym__text_content] = STATE(239),
    [sym_curly_group] = STATE(239),
    [sym_text] = STATE(239),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__math_content] = STATE(239),
    [sym_displayed_equation] = STATE(239),
    [sym_inline_formula] = STATE(239),
    [sym_math_delimiter] = STATE(239),
    [sym_text_mode] = STATE(239),
    [sym_begin] = STATE(43),
    [sym_generic_environment] = STATE(239),
    [sym_comment_environment] = STATE(239),
    [sym__comment_environment_begin] = STATE(3816),
    [sym_verbatim_environment] = STATE(239),
    [sym__verbatim_environment_begin] = STATE(3822),
    [sym_listing_environment] = STATE(239),
    [sym__listing_environment_begin] = STATE(3825),
    [sym_minted_environment] = STATE(239),
    [sym__minted_environment_begin] = STATE(3826),
    [sym_asy_environment] = STATE(239),
    [sym__asy_environment_begin] = STATE(3828),
    [sym_asydef_environment] = STATE(239),
    [sym__asydef_environment_begin] = STATE(3829),
    [sym_pycode_environment] = STATE(239),
    [sym__pycode_environment_begin] = STATE(3830),
    [sym_luacode_environment] = STATE(239),
    [sym__luacode_environment] = STATE(1476),
    [sym___luacode_environment_begin] = STATE(3831),
    [sym__luacode_environment_star] = STATE(1477),
    [sym___luacode_environment_star_begin] = STATE(3832),
    [sym_sagesilent_environment] = STATE(239),
    [sym__sagesilent_environment_begin] = STATE(3833),
    [sym_sageblock_environment] = STATE(239),
    [sym__sageblock_environment_begin] = STATE(3834),
    [sym_math_environment] = STATE(239),
    [sym__math_environment_begin] = STATE(249),
    [sym__command] = STATE(239),
    [sym_generic_command] = STATE(239),
    [sym_title_declaration] = STATE(239),
    [sym_author_declaration] = STATE(239),
    [sym_package_include] = STATE(239),
    [sym_class_include] = STATE(239),
    [sym_latex_include] = STATE(239),
    [sym_biblatex_include] = STATE(239),
    [sym_bibstyle_include] = STATE(239),
    [sym_bibtex_include] = STATE(239),
    [sym_graphics_include] = STATE(239),
    [sym_svg_include] = STATE(239),
    [sym_inkscape_include] = STATE(239),
    [sym_verbatim_include] = STATE(239),
    [sym_import_include] = STATE(239),
    [sym_caption] = STATE(239),
    [sym_citation] = STATE(239),
    [sym_label_definition] = STATE(239),
    [sym_label_reference] = STATE(239),
    [sym_label_reference_range] = STATE(239),
    [sym_label_number] = STATE(239),
    [sym_new_command_definition] = STATE(239),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(239),
    [sym_let_command_definition] = STATE(239),
    [sym_paired_delimiter_definition] = STATE(239),
    [sym_environment_definition] = STATE(239),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(239),
    [sym_glossary_entry_reference] = STATE(239),
    [sym_acronym_definition] = STATE(239),
    [sym_acronym_reference] = STATE(239),
    [sym_theorem_definition] = STATE(239),
    [sym_color_definition] = STATE(239),
    [sym_color_set_definition] = STATE(239),
    [sym_color_reference] = STATE(239),
    [sym_tikz_library_import] = STATE(239),
    [sym_hyperlink] = STATE(239),
    [aux_sym_part_repeat1] = STATE(239),
    [aux_sym_text_repeat1] = STATE(273),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_RBRACK] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(2280),
    [anon_sym_EQ] = ACTIONS(2280),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_RPAREN] = ACTIONS(2280),
    [anon_sym_BSLASHpart] = ACTIONS(2559),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHaddpart] = ACTIONS(2559),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHchapter] = ACTIONS(2559),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHaddchap] = ACTIONS(2559),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHsection] = ACTIONS(2559),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHaddsec] = ACTIONS(2559),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHsubsection] = ACTIONS(2559),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2559),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHparagraph] = ACTIONS(2559),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2559),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2561),
    [anon_sym_BSLASHitem] = ACTIONS(2559),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2561),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1440),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(1440),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2561),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(1446),
    [anon_sym_BSLASHleft] = ACTIONS(1448),
    [anon_sym_BSLASHbigl] = ACTIONS(1448),
    [anon_sym_BSLASHBigl] = ACTIONS(1448),
    [anon_sym_BSLASHbiggl] = ACTIONS(1448),
    [anon_sym_BSLASHBiggl] = ACTIONS(1448),
    [anon_sym_BSLASHtext] = ACTIONS(1450),
    [anon_sym_BSLASHintertext] = ACTIONS(1450),
    [anon_sym_BSLASHshortintertext] = ACTIONS(1450),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [241] = {
    [sym_block_comment] = STATE(246),
    [sym__flat_content] = STATE(246),
    [sym__text_with_env_content] = STATE(246),
    [sym__text_content] = STATE(246),
    [sym_curly_group] = STATE(246),
    [sym_text] = STATE(246),
    [sym_operator] = STATE(1732),
    [sym_subscript] = STATE(1732),
    [sym_superscript] = STATE(1732),
    [sym__math_content] = STATE(246),
    [sym_displayed_equation] = STATE(246),
    [sym_inline_formula] = STATE(246),
    [sym_math_delimiter] = STATE(246),
    [sym_text_mode] = STATE(246),
    [sym_begin] = STATE(51),
    [sym_generic_environment] = STATE(246),
    [sym_comment_environment] = STATE(246),
    [sym__comment_environment_begin] = STATE(4001),
    [sym_verbatim_environment] = STATE(246),
    [sym__verbatim_environment_begin] = STATE(4002),
    [sym_listing_environment] = STATE(246),
    [sym__listing_environment_begin] = STATE(4004),
    [sym_minted_environment] = STATE(246),
    [sym__minted_environment_begin] = STATE(4005),
    [sym_asy_environment] = STATE(246),
    [sym__asy_environment_begin] = STATE(4007),
    [sym_asydef_environment] = STATE(246),
    [sym__asydef_environment_begin] = STATE(4008),
    [sym_pycode_environment] = STATE(246),
    [sym__pycode_environment_begin] = STATE(4010),
    [sym_luacode_environment] = STATE(246),
    [sym__luacode_environment] = STATE(1832),
    [sym___luacode_environment_begin] = STATE(4011),
    [sym__luacode_environment_star] = STATE(1785),
    [sym___luacode_environment_star_begin] = STATE(4012),
    [sym_sagesilent_environment] = STATE(246),
    [sym__sagesilent_environment_begin] = STATE(4013),
    [sym_sageblock_environment] = STATE(246),
    [sym__sageblock_environment_begin] = STATE(4014),
    [sym_math_environment] = STATE(246),
    [sym__math_environment_begin] = STATE(241),
    [sym__math_environment_end] = STATE(1683),
    [sym__command] = STATE(246),
    [sym_generic_command] = STATE(246),
    [sym_title_declaration] = STATE(246),
    [sym_author_declaration] = STATE(246),
    [sym_package_include] = STATE(246),
    [sym_class_include] = STATE(246),
    [sym_latex_include] = STATE(246),
    [sym_biblatex_include] = STATE(246),
    [sym_bibstyle_include] = STATE(246),
    [sym_bibtex_include] = STATE(246),
    [sym_graphics_include] = STATE(246),
    [sym_svg_include] = STATE(246),
    [sym_inkscape_include] = STATE(246),
    [sym_verbatim_include] = STATE(246),
    [sym_import_include] = STATE(246),
    [sym_caption] = STATE(246),
    [sym_citation] = STATE(246),
    [sym_label_definition] = STATE(246),
    [sym_label_reference] = STATE(246),
    [sym_label_reference_range] = STATE(246),
    [sym_label_number] = STATE(246),
    [sym_new_command_definition] = STATE(246),
    [sym__new_command_definition] = STATE(1786),
    [sym__newer_command_definition] = STATE(1788),
    [sym__new_command_copy] = STATE(1792),
    [sym_old_command_definition] = STATE(246),
    [sym_let_command_definition] = STATE(246),
    [sym_paired_delimiter_definition] = STATE(246),
    [sym_environment_definition] = STATE(246),
    [sym__environment_definition] = STATE(1794),
    [sym__newer_environment_definition] = STATE(1799),
    [sym__new_environment_copy] = STATE(1801),
    [sym_glossary_entry_definition] = STATE(246),
    [sym_glossary_entry_reference] = STATE(246),
    [sym_acronym_definition] = STATE(246),
    [sym_acronym_reference] = STATE(246),
    [sym_theorem_definition] = STATE(246),
    [sym_color_definition] = STATE(246),
    [sym_color_set_definition] = STATE(246),
    [sym_color_reference] = STATE(246),
    [sym_tikz_library_import] = STATE(246),
    [sym_hyperlink] = STATE(246),
    [aux_sym_part_repeat1] = STATE(246),
    [aux_sym_text_repeat1] = STATE(329),
    [sym_command_name] = ACTIONS(3275),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3279),
    [anon_sym_RBRACK] = ACTIONS(3279),
    [anon_sym_COMMA] = ACTIONS(3279),
    [anon_sym_EQ] = ACTIONS(3279),
    [anon_sym_LPAREN] = ACTIONS(3279),
    [anon_sym_RPAREN] = ACTIONS(3279),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [sym_word] = ACTIONS(3283),
    [sym_placeholder] = ACTIONS(3285),
    [sym_delimiter] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_STAR] = ACTIONS(3287),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3289),
    [anon_sym_GT] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_PIPE] = ACTIONS(3289),
    [anon_sym_COLON] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym__] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3293),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(3295),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(3295),
    [anon_sym_DOLLAR] = ACTIONS(3297),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(3299),
    [anon_sym_BSLASHleft] = ACTIONS(3301),
    [anon_sym_BSLASHbigl] = ACTIONS(3301),
    [anon_sym_BSLASHBigl] = ACTIONS(3301),
    [anon_sym_BSLASHbiggl] = ACTIONS(3301),
    [anon_sym_BSLASHBiggl] = ACTIONS(3301),
    [anon_sym_BSLASHtext] = ACTIONS(3303),
    [anon_sym_BSLASHintertext] = ACTIONS(3303),
    [anon_sym_BSLASHshortintertext] = ACTIONS(3303),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(3305),
    [anon_sym_BSLASHtitle] = ACTIONS(3307),
    [anon_sym_BSLASHauthor] = ACTIONS(3309),
    [anon_sym_BSLASHusepackage] = ACTIONS(3311),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3311),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3313),
    [anon_sym_BSLASHinclude] = ACTIONS(3315),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3315),
    [anon_sym_BSLASHinput] = ACTIONS(3315),
    [anon_sym_BSLASHsubfile] = ACTIONS(3315),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3317),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3319),
    [anon_sym_BSLASHbibliography] = ACTIONS(3321),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3323),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3325),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3327),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3329),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3329),
    [anon_sym_BSLASHimport] = ACTIONS(3331),
    [anon_sym_BSLASHsubimport] = ACTIONS(3331),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3331),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHcaption] = ACTIONS(3333),
    [anon_sym_BSLASHcite] = ACTIONS(3335),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCite] = ACTIONS(3335),
    [anon_sym_BSLASHnocite] = ACTIONS(3335),
    [anon_sym_BSLASHcitet] = ACTIONS(3335),
    [anon_sym_BSLASHcitep] = ACTIONS(3335),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteA] = ACTIONS(3335),
    [anon_sym_BSLASHciteR] = ACTIONS(3335),
    [anon_sym_BSLASHciteS] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3335),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteyear] = ACTIONS(3335),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitedate] = ACTIONS(3335),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteurl] = ACTIONS(3335),
    [anon_sym_BSLASHfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3335),
    [anon_sym_BSLASHcitealt] = ACTIONS(3335),
    [anon_sym_BSLASHcitealp] = ACTIONS(3335),
    [anon_sym_BSLASHcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHparencite] = ACTIONS(3335),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHParencite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHtextcite] = ACTIONS(3335),
    [anon_sym_BSLASHTextcite] = ACTIONS(3335),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHsupercite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite] = ACTIONS(3335),
    [anon_sym_BSLASHAutocite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHVolcite] = ACTIONS(3335),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHavolcite] = ACTIONS(3335),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHNotecite] = ACTIONS(3335),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHlabel] = ACTIONS(3339),
    [anon_sym_BSLASHref] = ACTIONS(3341),
    [anon_sym_BSLASHeqref] = ACTIONS(3341),
    [anon_sym_BSLASHvref] = ACTIONS(3341),
    [anon_sym_BSLASHVref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHpageref] = ACTIONS(3341),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHautopageref] = ACTIONS(3341),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcref] = ACTIONS(3341),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHCref] = ACTIONS(3341),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHCpageref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnameCref] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3349),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3351),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHdef] = ACTIONS(3359),
    [anon_sym_BSLASHgdef] = ACTIONS(3359),
    [anon_sym_BSLASHedef] = ACTIONS(3359),
    [anon_sym_BSLASHxdef] = ACTIONS(3359),
    [anon_sym_BSLASHlet] = ACTIONS(3361),
    [anon_sym_BSLASHglet] = ACTIONS(3361),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(3363),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(3363),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(3371),
    [anon_sym_BSLASHgls] = ACTIONS(3373),
    [anon_sym_BSLASHGls] = ACTIONS(3373),
    [anon_sym_BSLASHGLS] = ACTIONS(3373),
    [anon_sym_BSLASHglspl] = ACTIONS(3373),
    [anon_sym_BSLASHGlspl] = ACTIONS(3373),
    [anon_sym_BSLASHGLSpl] = ACTIONS(3373),
    [anon_sym_BSLASHglsdisp] = ACTIONS(3373),
    [anon_sym_BSLASHglslink] = ACTIONS(3373),
    [anon_sym_BSLASHglstext] = ACTIONS(3373),
    [anon_sym_BSLASHGlstext] = ACTIONS(3373),
    [anon_sym_BSLASHGLStext] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(3373),
    [anon_sym_BSLASHglsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsname] = ACTIONS(3373),
    [anon_sym_BSLASHGlsname] = ACTIONS(3373),
    [anon_sym_BSLASHGLSname] = ACTIONS(3373),
    [anon_sym_BSLASHglssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHglsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(3373),
    [anon_sym_BSLASHnewacronym] = ACTIONS(3375),
    [anon_sym_BSLASHacrshort] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshort] = ACTIONS(3377),
    [anon_sym_BSLASHACRshort] = ACTIONS(3377),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrlong] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlong] = ACTIONS(3377),
    [anon_sym_BSLASHACRlong] = ACTIONS(3377),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrfull] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfull] = ACTIONS(3377),
    [anon_sym_BSLASHACRfull] = ACTIONS(3377),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHacs] = ACTIONS(3377),
    [anon_sym_BSLASHAcs] = ACTIONS(3377),
    [anon_sym_BSLASHacsp] = ACTIONS(3377),
    [anon_sym_BSLASHAcsp] = ACTIONS(3377),
    [anon_sym_BSLASHacl] = ACTIONS(3377),
    [anon_sym_BSLASHAcl] = ACTIONS(3377),
    [anon_sym_BSLASHaclp] = ACTIONS(3377),
    [anon_sym_BSLASHAclp] = ACTIONS(3377),
    [anon_sym_BSLASHacf] = ACTIONS(3377),
    [anon_sym_BSLASHAcf] = ACTIONS(3377),
    [anon_sym_BSLASHacfp] = ACTIONS(3377),
    [anon_sym_BSLASHAcfp] = ACTIONS(3377),
    [anon_sym_BSLASHac] = ACTIONS(3377),
    [anon_sym_BSLASHAc] = ACTIONS(3377),
    [anon_sym_BSLASHacp] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(3379),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(3379),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(3383),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(3385),
    [anon_sym_BSLASHcolor] = ACTIONS(3387),
    [anon_sym_BSLASHpagecolor] = ACTIONS(3387),
    [anon_sym_BSLASHtextcolor] = ACTIONS(3387),
    [anon_sym_BSLASHmathcolor] = ACTIONS(3387),
    [anon_sym_BSLASHcolorbox] = ACTIONS(3387),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(3389),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(3389),
    [anon_sym_BSLASHurl] = ACTIONS(3391),
    [anon_sym_BSLASHhref] = ACTIONS(3391),
  },
  [242] = {
    [sym_block_comment] = STATE(251),
    [sym__flat_content] = STATE(251),
    [sym__text_with_env_content] = STATE(251),
    [sym__text_content] = STATE(251),
    [sym_curly_group] = STATE(251),
    [sym_text] = STATE(251),
    [sym_operator] = STATE(1732),
    [sym_subscript] = STATE(1732),
    [sym_superscript] = STATE(1732),
    [sym__math_content] = STATE(251),
    [sym_displayed_equation] = STATE(251),
    [sym_inline_formula] = STATE(251),
    [sym_math_delimiter] = STATE(251),
    [sym_text_mode] = STATE(251),
    [sym_begin] = STATE(51),
    [sym_generic_environment] = STATE(251),
    [sym_comment_environment] = STATE(251),
    [sym__comment_environment_begin] = STATE(4001),
    [sym_verbatim_environment] = STATE(251),
    [sym__verbatim_environment_begin] = STATE(4002),
    [sym_listing_environment] = STATE(251),
    [sym__listing_environment_begin] = STATE(4004),
    [sym_minted_environment] = STATE(251),
    [sym__minted_environment_begin] = STATE(4005),
    [sym_asy_environment] = STATE(251),
    [sym__asy_environment_begin] = STATE(4007),
    [sym_asydef_environment] = STATE(251),
    [sym__asydef_environment_begin] = STATE(4008),
    [sym_pycode_environment] = STATE(251),
    [sym__pycode_environment_begin] = STATE(4010),
    [sym_luacode_environment] = STATE(251),
    [sym__luacode_environment] = STATE(1832),
    [sym___luacode_environment_begin] = STATE(4011),
    [sym__luacode_environment_star] = STATE(1785),
    [sym___luacode_environment_star_begin] = STATE(4012),
    [sym_sagesilent_environment] = STATE(251),
    [sym__sagesilent_environment_begin] = STATE(4013),
    [sym_sageblock_environment] = STATE(251),
    [sym__sageblock_environment_begin] = STATE(4014),
    [sym_math_environment] = STATE(251),
    [sym__math_environment_begin] = STATE(241),
    [sym__math_environment_end] = STATE(1059),
    [sym__command] = STATE(251),
    [sym_generic_command] = STATE(251),
    [sym_title_declaration] = STATE(251),
    [sym_author_declaration] = STATE(251),
    [sym_package_include] = STATE(251),
    [sym_class_include] = STATE(251),
    [sym_latex_include] = STATE(251),
    [sym_biblatex_include] = STATE(251),
    [sym_bibstyle_include] = STATE(251),
    [sym_bibtex_include] = STATE(251),
    [sym_graphics_include] = STATE(251),
    [sym_svg_include] = STATE(251),
    [sym_inkscape_include] = STATE(251),
    [sym_verbatim_include] = STATE(251),
    [sym_import_include] = STATE(251),
    [sym_caption] = STATE(251),
    [sym_citation] = STATE(251),
    [sym_label_definition] = STATE(251),
    [sym_label_reference] = STATE(251),
    [sym_label_reference_range] = STATE(251),
    [sym_label_number] = STATE(251),
    [sym_new_command_definition] = STATE(251),
    [sym__new_command_definition] = STATE(1786),
    [sym__newer_command_definition] = STATE(1788),
    [sym__new_command_copy] = STATE(1792),
    [sym_old_command_definition] = STATE(251),
    [sym_let_command_definition] = STATE(251),
    [sym_paired_delimiter_definition] = STATE(251),
    [sym_environment_definition] = STATE(251),
    [sym__environment_definition] = STATE(1794),
    [sym__newer_environment_definition] = STATE(1799),
    [sym__new_environment_copy] = STATE(1801),
    [sym_glossary_entry_definition] = STATE(251),
    [sym_glossary_entry_reference] = STATE(251),
    [sym_acronym_definition] = STATE(251),
    [sym_acronym_reference] = STATE(251),
    [sym_theorem_definition] = STATE(251),
    [sym_color_definition] = STATE(251),
    [sym_color_set_definition] = STATE(251),
    [sym_color_reference] = STATE(251),
    [sym_tikz_library_import] = STATE(251),
    [sym_hyperlink] = STATE(251),
    [aux_sym_part_repeat1] = STATE(251),
    [aux_sym_text_repeat1] = STATE(329),
    [sym_command_name] = ACTIONS(3275),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3393),
    [anon_sym_RBRACK] = ACTIONS(3393),
    [anon_sym_COMMA] = ACTIONS(3393),
    [anon_sym_EQ] = ACTIONS(3393),
    [anon_sym_LPAREN] = ACTIONS(3393),
    [anon_sym_RPAREN] = ACTIONS(3393),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [sym_word] = ACTIONS(3283),
    [sym_placeholder] = ACTIONS(3285),
    [sym_delimiter] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_STAR] = ACTIONS(3287),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3289),
    [anon_sym_GT] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_PIPE] = ACTIONS(3289),
    [anon_sym_COLON] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym__] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3293),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(3295),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(3295),
    [anon_sym_DOLLAR] = ACTIONS(3297),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(3299),
    [anon_sym_BSLASHleft] = ACTIONS(3301),
    [anon_sym_BSLASHbigl] = ACTIONS(3301),
    [anon_sym_BSLASHBigl] = ACTIONS(3301),
    [anon_sym_BSLASHbiggl] = ACTIONS(3301),
    [anon_sym_BSLASHBiggl] = ACTIONS(3301),
    [anon_sym_BSLASHtext] = ACTIONS(3303),
    [anon_sym_BSLASHintertext] = ACTIONS(3303),
    [anon_sym_BSLASHshortintertext] = ACTIONS(3303),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(3395),
    [anon_sym_BSLASHtitle] = ACTIONS(3307),
    [anon_sym_BSLASHauthor] = ACTIONS(3309),
    [anon_sym_BSLASHusepackage] = ACTIONS(3311),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3311),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3313),
    [anon_sym_BSLASHinclude] = ACTIONS(3315),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3315),
    [anon_sym_BSLASHinput] = ACTIONS(3315),
    [anon_sym_BSLASHsubfile] = ACTIONS(3315),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3317),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3319),
    [anon_sym_BSLASHbibliography] = ACTIONS(3321),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3323),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3325),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3327),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3329),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3329),
    [anon_sym_BSLASHimport] = ACTIONS(3331),
    [anon_sym_BSLASHsubimport] = ACTIONS(3331),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3331),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHcaption] = ACTIONS(3333),
    [anon_sym_BSLASHcite] = ACTIONS(3335),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCite] = ACTIONS(3335),
    [anon_sym_BSLASHnocite] = ACTIONS(3335),
    [anon_sym_BSLASHcitet] = ACTIONS(3335),
    [anon_sym_BSLASHcitep] = ACTIONS(3335),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteA] = ACTIONS(3335),
    [anon_sym_BSLASHciteR] = ACTIONS(3335),
    [anon_sym_BSLASHciteS] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3335),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteyear] = ACTIONS(3335),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitedate] = ACTIONS(3335),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteurl] = ACTIONS(3335),
    [anon_sym_BSLASHfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3335),
    [anon_sym_BSLASHcitealt] = ACTIONS(3335),
    [anon_sym_BSLASHcitealp] = ACTIONS(3335),
    [anon_sym_BSLASHcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHparencite] = ACTIONS(3335),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHParencite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHtextcite] = ACTIONS(3335),
    [anon_sym_BSLASHTextcite] = ACTIONS(3335),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHsupercite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite] = ACTIONS(3335),
    [anon_sym_BSLASHAutocite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHVolcite] = ACTIONS(3335),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHavolcite] = ACTIONS(3335),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHNotecite] = ACTIONS(3335),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHlabel] = ACTIONS(3339),
    [anon_sym_BSLASHref] = ACTIONS(3341),
    [anon_sym_BSLASHeqref] = ACTIONS(3341),
    [anon_sym_BSLASHvref] = ACTIONS(3341),
    [anon_sym_BSLASHVref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHpageref] = ACTIONS(3341),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHautopageref] = ACTIONS(3341),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcref] = ACTIONS(3341),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHCref] = ACTIONS(3341),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHCpageref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnameCref] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3349),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3351),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHdef] = ACTIONS(3359),
    [anon_sym_BSLASHgdef] = ACTIONS(3359),
    [anon_sym_BSLASHedef] = ACTIONS(3359),
    [anon_sym_BSLASHxdef] = ACTIONS(3359),
    [anon_sym_BSLASHlet] = ACTIONS(3361),
    [anon_sym_BSLASHglet] = ACTIONS(3361),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(3363),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(3363),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(3371),
    [anon_sym_BSLASHgls] = ACTIONS(3373),
    [anon_sym_BSLASHGls] = ACTIONS(3373),
    [anon_sym_BSLASHGLS] = ACTIONS(3373),
    [anon_sym_BSLASHglspl] = ACTIONS(3373),
    [anon_sym_BSLASHGlspl] = ACTIONS(3373),
    [anon_sym_BSLASHGLSpl] = ACTIONS(3373),
    [anon_sym_BSLASHglsdisp] = ACTIONS(3373),
    [anon_sym_BSLASHglslink] = ACTIONS(3373),
    [anon_sym_BSLASHglstext] = ACTIONS(3373),
    [anon_sym_BSLASHGlstext] = ACTIONS(3373),
    [anon_sym_BSLASHGLStext] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(3373),
    [anon_sym_BSLASHglsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsname] = ACTIONS(3373),
    [anon_sym_BSLASHGlsname] = ACTIONS(3373),
    [anon_sym_BSLASHGLSname] = ACTIONS(3373),
    [anon_sym_BSLASHglssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHglsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(3373),
    [anon_sym_BSLASHnewacronym] = ACTIONS(3375),
    [anon_sym_BSLASHacrshort] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshort] = ACTIONS(3377),
    [anon_sym_BSLASHACRshort] = ACTIONS(3377),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrlong] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlong] = ACTIONS(3377),
    [anon_sym_BSLASHACRlong] = ACTIONS(3377),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrfull] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfull] = ACTIONS(3377),
    [anon_sym_BSLASHACRfull] = ACTIONS(3377),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHacs] = ACTIONS(3377),
    [anon_sym_BSLASHAcs] = ACTIONS(3377),
    [anon_sym_BSLASHacsp] = ACTIONS(3377),
    [anon_sym_BSLASHAcsp] = ACTIONS(3377),
    [anon_sym_BSLASHacl] = ACTIONS(3377),
    [anon_sym_BSLASHAcl] = ACTIONS(3377),
    [anon_sym_BSLASHaclp] = ACTIONS(3377),
    [anon_sym_BSLASHAclp] = ACTIONS(3377),
    [anon_sym_BSLASHacf] = ACTIONS(3377),
    [anon_sym_BSLASHAcf] = ACTIONS(3377),
    [anon_sym_BSLASHacfp] = ACTIONS(3377),
    [anon_sym_BSLASHAcfp] = ACTIONS(3377),
    [anon_sym_BSLASHac] = ACTIONS(3377),
    [anon_sym_BSLASHAc] = ACTIONS(3377),
    [anon_sym_BSLASHacp] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(3379),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(3379),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(3383),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(3385),
    [anon_sym_BSLASHcolor] = ACTIONS(3387),
    [anon_sym_BSLASHpagecolor] = ACTIONS(3387),
    [anon_sym_BSLASHtextcolor] = ACTIONS(3387),
    [anon_sym_BSLASHmathcolor] = ACTIONS(3387),
    [anon_sym_BSLASHcolorbox] = ACTIONS(3387),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(3389),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(3389),
    [anon_sym_BSLASHurl] = ACTIONS(3391),
    [anon_sym_BSLASHhref] = ACTIONS(3391),
  },
  [243] = {
    [sym_block_comment] = STATE(245),
    [sym__flat_content] = STATE(245),
    [sym__text_with_env_content] = STATE(245),
    [sym__text_content] = STATE(245),
    [sym_curly_group] = STATE(245),
    [sym_text] = STATE(245),
    [sym_operator] = STATE(1732),
    [sym_subscript] = STATE(1732),
    [sym_superscript] = STATE(1732),
    [sym__math_content] = STATE(245),
    [sym_displayed_equation] = STATE(245),
    [sym_inline_formula] = STATE(245),
    [sym_math_delimiter] = STATE(245),
    [sym_text_mode] = STATE(245),
    [sym_begin] = STATE(51),
    [sym_generic_environment] = STATE(245),
    [sym_comment_environment] = STATE(245),
    [sym__comment_environment_begin] = STATE(4001),
    [sym_verbatim_environment] = STATE(245),
    [sym__verbatim_environment_begin] = STATE(4002),
    [sym_listing_environment] = STATE(245),
    [sym__listing_environment_begin] = STATE(4004),
    [sym_minted_environment] = STATE(245),
    [sym__minted_environment_begin] = STATE(4005),
    [sym_asy_environment] = STATE(245),
    [sym__asy_environment_begin] = STATE(4007),
    [sym_asydef_environment] = STATE(245),
    [sym__asydef_environment_begin] = STATE(4008),
    [sym_pycode_environment] = STATE(245),
    [sym__pycode_environment_begin] = STATE(4010),
    [sym_luacode_environment] = STATE(245),
    [sym__luacode_environment] = STATE(1832),
    [sym___luacode_environment_begin] = STATE(4011),
    [sym__luacode_environment_star] = STATE(1785),
    [sym___luacode_environment_star_begin] = STATE(4012),
    [sym_sagesilent_environment] = STATE(245),
    [sym__sagesilent_environment_begin] = STATE(4013),
    [sym_sageblock_environment] = STATE(245),
    [sym__sageblock_environment_begin] = STATE(4014),
    [sym_math_environment] = STATE(245),
    [sym__math_environment_begin] = STATE(241),
    [sym__math_environment_end] = STATE(1613),
    [sym__command] = STATE(245),
    [sym_generic_command] = STATE(245),
    [sym_title_declaration] = STATE(245),
    [sym_author_declaration] = STATE(245),
    [sym_package_include] = STATE(245),
    [sym_class_include] = STATE(245),
    [sym_latex_include] = STATE(245),
    [sym_biblatex_include] = STATE(245),
    [sym_bibstyle_include] = STATE(245),
    [sym_bibtex_include] = STATE(245),
    [sym_graphics_include] = STATE(245),
    [sym_svg_include] = STATE(245),
    [sym_inkscape_include] = STATE(245),
    [sym_verbatim_include] = STATE(245),
    [sym_import_include] = STATE(245),
    [sym_caption] = STATE(245),
    [sym_citation] = STATE(245),
    [sym_label_definition] = STATE(245),
    [sym_label_reference] = STATE(245),
    [sym_label_reference_range] = STATE(245),
    [sym_label_number] = STATE(245),
    [sym_new_command_definition] = STATE(245),
    [sym__new_command_definition] = STATE(1786),
    [sym__newer_command_definition] = STATE(1788),
    [sym__new_command_copy] = STATE(1792),
    [sym_old_command_definition] = STATE(245),
    [sym_let_command_definition] = STATE(245),
    [sym_paired_delimiter_definition] = STATE(245),
    [sym_environment_definition] = STATE(245),
    [sym__environment_definition] = STATE(1794),
    [sym__newer_environment_definition] = STATE(1799),
    [sym__new_environment_copy] = STATE(1801),
    [sym_glossary_entry_definition] = STATE(245),
    [sym_glossary_entry_reference] = STATE(245),
    [sym_acronym_definition] = STATE(245),
    [sym_acronym_reference] = STATE(245),
    [sym_theorem_definition] = STATE(245),
    [sym_color_definition] = STATE(245),
    [sym_color_set_definition] = STATE(245),
    [sym_color_reference] = STATE(245),
    [sym_tikz_library_import] = STATE(245),
    [sym_hyperlink] = STATE(245),
    [aux_sym_part_repeat1] = STATE(245),
    [aux_sym_text_repeat1] = STATE(329),
    [sym_command_name] = ACTIONS(3275),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_RBRACK] = ACTIONS(3397),
    [anon_sym_COMMA] = ACTIONS(3397),
    [anon_sym_EQ] = ACTIONS(3397),
    [anon_sym_LPAREN] = ACTIONS(3397),
    [anon_sym_RPAREN] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [sym_word] = ACTIONS(3283),
    [sym_placeholder] = ACTIONS(3285),
    [sym_delimiter] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_STAR] = ACTIONS(3287),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3289),
    [anon_sym_GT] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_PIPE] = ACTIONS(3289),
    [anon_sym_COLON] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym__] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3293),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(3295),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(3295),
    [anon_sym_DOLLAR] = ACTIONS(3297),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(3299),
    [anon_sym_BSLASHleft] = ACTIONS(3301),
    [anon_sym_BSLASHbigl] = ACTIONS(3301),
    [anon_sym_BSLASHBigl] = ACTIONS(3301),
    [anon_sym_BSLASHbiggl] = ACTIONS(3301),
    [anon_sym_BSLASHBiggl] = ACTIONS(3301),
    [anon_sym_BSLASHtext] = ACTIONS(3303),
    [anon_sym_BSLASHintertext] = ACTIONS(3303),
    [anon_sym_BSLASHshortintertext] = ACTIONS(3303),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(3399),
    [anon_sym_BSLASHtitle] = ACTIONS(3307),
    [anon_sym_BSLASHauthor] = ACTIONS(3309),
    [anon_sym_BSLASHusepackage] = ACTIONS(3311),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3311),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3313),
    [anon_sym_BSLASHinclude] = ACTIONS(3315),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3315),
    [anon_sym_BSLASHinput] = ACTIONS(3315),
    [anon_sym_BSLASHsubfile] = ACTIONS(3315),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3317),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3319),
    [anon_sym_BSLASHbibliography] = ACTIONS(3321),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3323),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3325),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3327),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3329),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3329),
    [anon_sym_BSLASHimport] = ACTIONS(3331),
    [anon_sym_BSLASHsubimport] = ACTIONS(3331),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3331),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHcaption] = ACTIONS(3333),
    [anon_sym_BSLASHcite] = ACTIONS(3335),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCite] = ACTIONS(3335),
    [anon_sym_BSLASHnocite] = ACTIONS(3335),
    [anon_sym_BSLASHcitet] = ACTIONS(3335),
    [anon_sym_BSLASHcitep] = ACTIONS(3335),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteA] = ACTIONS(3335),
    [anon_sym_BSLASHciteR] = ACTIONS(3335),
    [anon_sym_BSLASHciteS] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3335),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteyear] = ACTIONS(3335),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitedate] = ACTIONS(3335),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteurl] = ACTIONS(3335),
    [anon_sym_BSLASHfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3335),
    [anon_sym_BSLASHcitealt] = ACTIONS(3335),
    [anon_sym_BSLASHcitealp] = ACTIONS(3335),
    [anon_sym_BSLASHcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHparencite] = ACTIONS(3335),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHParencite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHtextcite] = ACTIONS(3335),
    [anon_sym_BSLASHTextcite] = ACTIONS(3335),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHsupercite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite] = ACTIONS(3335),
    [anon_sym_BSLASHAutocite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHVolcite] = ACTIONS(3335),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHavolcite] = ACTIONS(3335),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHNotecite] = ACTIONS(3335),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHlabel] = ACTIONS(3339),
    [anon_sym_BSLASHref] = ACTIONS(3341),
    [anon_sym_BSLASHeqref] = ACTIONS(3341),
    [anon_sym_BSLASHvref] = ACTIONS(3341),
    [anon_sym_BSLASHVref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHpageref] = ACTIONS(3341),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHautopageref] = ACTIONS(3341),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcref] = ACTIONS(3341),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHCref] = ACTIONS(3341),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHCpageref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnameCref] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3349),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3351),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHdef] = ACTIONS(3359),
    [anon_sym_BSLASHgdef] = ACTIONS(3359),
    [anon_sym_BSLASHedef] = ACTIONS(3359),
    [anon_sym_BSLASHxdef] = ACTIONS(3359),
    [anon_sym_BSLASHlet] = ACTIONS(3361),
    [anon_sym_BSLASHglet] = ACTIONS(3361),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(3363),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(3363),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(3371),
    [anon_sym_BSLASHgls] = ACTIONS(3373),
    [anon_sym_BSLASHGls] = ACTIONS(3373),
    [anon_sym_BSLASHGLS] = ACTIONS(3373),
    [anon_sym_BSLASHglspl] = ACTIONS(3373),
    [anon_sym_BSLASHGlspl] = ACTIONS(3373),
    [anon_sym_BSLASHGLSpl] = ACTIONS(3373),
    [anon_sym_BSLASHglsdisp] = ACTIONS(3373),
    [anon_sym_BSLASHglslink] = ACTIONS(3373),
    [anon_sym_BSLASHglstext] = ACTIONS(3373),
    [anon_sym_BSLASHGlstext] = ACTIONS(3373),
    [anon_sym_BSLASHGLStext] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(3373),
    [anon_sym_BSLASHglsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsname] = ACTIONS(3373),
    [anon_sym_BSLASHGlsname] = ACTIONS(3373),
    [anon_sym_BSLASHGLSname] = ACTIONS(3373),
    [anon_sym_BSLASHglssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHglsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(3373),
    [anon_sym_BSLASHnewacronym] = ACTIONS(3375),
    [anon_sym_BSLASHacrshort] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshort] = ACTIONS(3377),
    [anon_sym_BSLASHACRshort] = ACTIONS(3377),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrlong] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlong] = ACTIONS(3377),
    [anon_sym_BSLASHACRlong] = ACTIONS(3377),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrfull] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfull] = ACTIONS(3377),
    [anon_sym_BSLASHACRfull] = ACTIONS(3377),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHacs] = ACTIONS(3377),
    [anon_sym_BSLASHAcs] = ACTIONS(3377),
    [anon_sym_BSLASHacsp] = ACTIONS(3377),
    [anon_sym_BSLASHAcsp] = ACTIONS(3377),
    [anon_sym_BSLASHacl] = ACTIONS(3377),
    [anon_sym_BSLASHAcl] = ACTIONS(3377),
    [anon_sym_BSLASHaclp] = ACTIONS(3377),
    [anon_sym_BSLASHAclp] = ACTIONS(3377),
    [anon_sym_BSLASHacf] = ACTIONS(3377),
    [anon_sym_BSLASHAcf] = ACTIONS(3377),
    [anon_sym_BSLASHacfp] = ACTIONS(3377),
    [anon_sym_BSLASHAcfp] = ACTIONS(3377),
    [anon_sym_BSLASHac] = ACTIONS(3377),
    [anon_sym_BSLASHAc] = ACTIONS(3377),
    [anon_sym_BSLASHacp] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(3379),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(3379),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(3383),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(3385),
    [anon_sym_BSLASHcolor] = ACTIONS(3387),
    [anon_sym_BSLASHpagecolor] = ACTIONS(3387),
    [anon_sym_BSLASHtextcolor] = ACTIONS(3387),
    [anon_sym_BSLASHmathcolor] = ACTIONS(3387),
    [anon_sym_BSLASHcolorbox] = ACTIONS(3387),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(3389),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(3389),
    [anon_sym_BSLASHurl] = ACTIONS(3391),
    [anon_sym_BSLASHhref] = ACTIONS(3391),
  },
  [244] = {
    [sym_block_comment] = STATE(255),
    [sym__flat_content] = STATE(255),
    [sym__text_with_env_content] = STATE(255),
    [sym__text_content] = STATE(255),
    [sym_curly_group] = STATE(255),
    [sym_text] = STATE(255),
    [sym_operator] = STATE(1732),
    [sym_subscript] = STATE(1732),
    [sym_superscript] = STATE(1732),
    [sym__math_content] = STATE(255),
    [sym_displayed_equation] = STATE(255),
    [sym_inline_formula] = STATE(255),
    [sym_math_delimiter] = STATE(255),
    [sym_text_mode] = STATE(255),
    [sym_begin] = STATE(51),
    [sym_generic_environment] = STATE(255),
    [sym_comment_environment] = STATE(255),
    [sym__comment_environment_begin] = STATE(4001),
    [sym_verbatim_environment] = STATE(255),
    [sym__verbatim_environment_begin] = STATE(4002),
    [sym_listing_environment] = STATE(255),
    [sym__listing_environment_begin] = STATE(4004),
    [sym_minted_environment] = STATE(255),
    [sym__minted_environment_begin] = STATE(4005),
    [sym_asy_environment] = STATE(255),
    [sym__asy_environment_begin] = STATE(4007),
    [sym_asydef_environment] = STATE(255),
    [sym__asydef_environment_begin] = STATE(4008),
    [sym_pycode_environment] = STATE(255),
    [sym__pycode_environment_begin] = STATE(4010),
    [sym_luacode_environment] = STATE(255),
    [sym__luacode_environment] = STATE(1832),
    [sym___luacode_environment_begin] = STATE(4011),
    [sym__luacode_environment_star] = STATE(1785),
    [sym___luacode_environment_star_begin] = STATE(4012),
    [sym_sagesilent_environment] = STATE(255),
    [sym__sagesilent_environment_begin] = STATE(4013),
    [sym_sageblock_environment] = STATE(255),
    [sym__sageblock_environment_begin] = STATE(4014),
    [sym_math_environment] = STATE(255),
    [sym__math_environment_begin] = STATE(241),
    [sym__math_environment_end] = STATE(609),
    [sym__command] = STATE(255),
    [sym_generic_command] = STATE(255),
    [sym_title_declaration] = STATE(255),
    [sym_author_declaration] = STATE(255),
    [sym_package_include] = STATE(255),
    [sym_class_include] = STATE(255),
    [sym_latex_include] = STATE(255),
    [sym_biblatex_include] = STATE(255),
    [sym_bibstyle_include] = STATE(255),
    [sym_bibtex_include] = STATE(255),
    [sym_graphics_include] = STATE(255),
    [sym_svg_include] = STATE(255),
    [sym_inkscape_include] = STATE(255),
    [sym_verbatim_include] = STATE(255),
    [sym_import_include] = STATE(255),
    [sym_caption] = STATE(255),
    [sym_citation] = STATE(255),
    [sym_label_definition] = STATE(255),
    [sym_label_reference] = STATE(255),
    [sym_label_reference_range] = STATE(255),
    [sym_label_number] = STATE(255),
    [sym_new_command_definition] = STATE(255),
    [sym__new_command_definition] = STATE(1786),
    [sym__newer_command_definition] = STATE(1788),
    [sym__new_command_copy] = STATE(1792),
    [sym_old_command_definition] = STATE(255),
    [sym_let_command_definition] = STATE(255),
    [sym_paired_delimiter_definition] = STATE(255),
    [sym_environment_definition] = STATE(255),
    [sym__environment_definition] = STATE(1794),
    [sym__newer_environment_definition] = STATE(1799),
    [sym__new_environment_copy] = STATE(1801),
    [sym_glossary_entry_definition] = STATE(255),
    [sym_glossary_entry_reference] = STATE(255),
    [sym_acronym_definition] = STATE(255),
    [sym_acronym_reference] = STATE(255),
    [sym_theorem_definition] = STATE(255),
    [sym_color_definition] = STATE(255),
    [sym_color_set_definition] = STATE(255),
    [sym_color_reference] = STATE(255),
    [sym_tikz_library_import] = STATE(255),
    [sym_hyperlink] = STATE(255),
    [aux_sym_part_repeat1] = STATE(255),
    [aux_sym_text_repeat1] = STATE(329),
    [sym_command_name] = ACTIONS(3275),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_RBRACK] = ACTIONS(3401),
    [anon_sym_COMMA] = ACTIONS(3401),
    [anon_sym_EQ] = ACTIONS(3401),
    [anon_sym_LPAREN] = ACTIONS(3401),
    [anon_sym_RPAREN] = ACTIONS(3401),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [sym_word] = ACTIONS(3283),
    [sym_placeholder] = ACTIONS(3285),
    [sym_delimiter] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_STAR] = ACTIONS(3287),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3289),
    [anon_sym_GT] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_PIPE] = ACTIONS(3289),
    [anon_sym_COLON] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym__] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3293),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(3295),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(3295),
    [anon_sym_DOLLAR] = ACTIONS(3297),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(3299),
    [anon_sym_BSLASHleft] = ACTIONS(3301),
    [anon_sym_BSLASHbigl] = ACTIONS(3301),
    [anon_sym_BSLASHBigl] = ACTIONS(3301),
    [anon_sym_BSLASHbiggl] = ACTIONS(3301),
    [anon_sym_BSLASHBiggl] = ACTIONS(3301),
    [anon_sym_BSLASHtext] = ACTIONS(3303),
    [anon_sym_BSLASHintertext] = ACTIONS(3303),
    [anon_sym_BSLASHshortintertext] = ACTIONS(3303),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(3403),
    [anon_sym_BSLASHtitle] = ACTIONS(3307),
    [anon_sym_BSLASHauthor] = ACTIONS(3309),
    [anon_sym_BSLASHusepackage] = ACTIONS(3311),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3311),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3313),
    [anon_sym_BSLASHinclude] = ACTIONS(3315),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3315),
    [anon_sym_BSLASHinput] = ACTIONS(3315),
    [anon_sym_BSLASHsubfile] = ACTIONS(3315),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3317),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3319),
    [anon_sym_BSLASHbibliography] = ACTIONS(3321),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3323),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3325),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3327),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3329),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3329),
    [anon_sym_BSLASHimport] = ACTIONS(3331),
    [anon_sym_BSLASHsubimport] = ACTIONS(3331),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3331),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHcaption] = ACTIONS(3333),
    [anon_sym_BSLASHcite] = ACTIONS(3335),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCite] = ACTIONS(3335),
    [anon_sym_BSLASHnocite] = ACTIONS(3335),
    [anon_sym_BSLASHcitet] = ACTIONS(3335),
    [anon_sym_BSLASHcitep] = ACTIONS(3335),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteA] = ACTIONS(3335),
    [anon_sym_BSLASHciteR] = ACTIONS(3335),
    [anon_sym_BSLASHciteS] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3335),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteyear] = ACTIONS(3335),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitedate] = ACTIONS(3335),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteurl] = ACTIONS(3335),
    [anon_sym_BSLASHfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3335),
    [anon_sym_BSLASHcitealt] = ACTIONS(3335),
    [anon_sym_BSLASHcitealp] = ACTIONS(3335),
    [anon_sym_BSLASHcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHparencite] = ACTIONS(3335),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHParencite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHtextcite] = ACTIONS(3335),
    [anon_sym_BSLASHTextcite] = ACTIONS(3335),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHsupercite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite] = ACTIONS(3335),
    [anon_sym_BSLASHAutocite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHVolcite] = ACTIONS(3335),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHavolcite] = ACTIONS(3335),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHNotecite] = ACTIONS(3335),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHlabel] = ACTIONS(3339),
    [anon_sym_BSLASHref] = ACTIONS(3341),
    [anon_sym_BSLASHeqref] = ACTIONS(3341),
    [anon_sym_BSLASHvref] = ACTIONS(3341),
    [anon_sym_BSLASHVref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHpageref] = ACTIONS(3341),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHautopageref] = ACTIONS(3341),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcref] = ACTIONS(3341),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHCref] = ACTIONS(3341),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHCpageref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnameCref] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3349),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3351),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHdef] = ACTIONS(3359),
    [anon_sym_BSLASHgdef] = ACTIONS(3359),
    [anon_sym_BSLASHedef] = ACTIONS(3359),
    [anon_sym_BSLASHxdef] = ACTIONS(3359),
    [anon_sym_BSLASHlet] = ACTIONS(3361),
    [anon_sym_BSLASHglet] = ACTIONS(3361),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(3363),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(3363),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(3371),
    [anon_sym_BSLASHgls] = ACTIONS(3373),
    [anon_sym_BSLASHGls] = ACTIONS(3373),
    [anon_sym_BSLASHGLS] = ACTIONS(3373),
    [anon_sym_BSLASHglspl] = ACTIONS(3373),
    [anon_sym_BSLASHGlspl] = ACTIONS(3373),
    [anon_sym_BSLASHGLSpl] = ACTIONS(3373),
    [anon_sym_BSLASHglsdisp] = ACTIONS(3373),
    [anon_sym_BSLASHglslink] = ACTIONS(3373),
    [anon_sym_BSLASHglstext] = ACTIONS(3373),
    [anon_sym_BSLASHGlstext] = ACTIONS(3373),
    [anon_sym_BSLASHGLStext] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(3373),
    [anon_sym_BSLASHglsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsname] = ACTIONS(3373),
    [anon_sym_BSLASHGlsname] = ACTIONS(3373),
    [anon_sym_BSLASHGLSname] = ACTIONS(3373),
    [anon_sym_BSLASHglssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHglsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(3373),
    [anon_sym_BSLASHnewacronym] = ACTIONS(3375),
    [anon_sym_BSLASHacrshort] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshort] = ACTIONS(3377),
    [anon_sym_BSLASHACRshort] = ACTIONS(3377),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrlong] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlong] = ACTIONS(3377),
    [anon_sym_BSLASHACRlong] = ACTIONS(3377),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrfull] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfull] = ACTIONS(3377),
    [anon_sym_BSLASHACRfull] = ACTIONS(3377),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHacs] = ACTIONS(3377),
    [anon_sym_BSLASHAcs] = ACTIONS(3377),
    [anon_sym_BSLASHacsp] = ACTIONS(3377),
    [anon_sym_BSLASHAcsp] = ACTIONS(3377),
    [anon_sym_BSLASHacl] = ACTIONS(3377),
    [anon_sym_BSLASHAcl] = ACTIONS(3377),
    [anon_sym_BSLASHaclp] = ACTIONS(3377),
    [anon_sym_BSLASHAclp] = ACTIONS(3377),
    [anon_sym_BSLASHacf] = ACTIONS(3377),
    [anon_sym_BSLASHAcf] = ACTIONS(3377),
    [anon_sym_BSLASHacfp] = ACTIONS(3377),
    [anon_sym_BSLASHAcfp] = ACTIONS(3377),
    [anon_sym_BSLASHac] = ACTIONS(3377),
    [anon_sym_BSLASHAc] = ACTIONS(3377),
    [anon_sym_BSLASHacp] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(3379),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(3379),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(3383),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(3385),
    [anon_sym_BSLASHcolor] = ACTIONS(3387),
    [anon_sym_BSLASHpagecolor] = ACTIONS(3387),
    [anon_sym_BSLASHtextcolor] = ACTIONS(3387),
    [anon_sym_BSLASHmathcolor] = ACTIONS(3387),
    [anon_sym_BSLASHcolorbox] = ACTIONS(3387),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(3389),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(3389),
    [anon_sym_BSLASHurl] = ACTIONS(3391),
    [anon_sym_BSLASHhref] = ACTIONS(3391),
  },
  [245] = {
    [sym_block_comment] = STATE(255),
    [sym__flat_content] = STATE(255),
    [sym__text_with_env_content] = STATE(255),
    [sym__text_content] = STATE(255),
    [sym_curly_group] = STATE(255),
    [sym_text] = STATE(255),
    [sym_operator] = STATE(1732),
    [sym_subscript] = STATE(1732),
    [sym_superscript] = STATE(1732),
    [sym__math_content] = STATE(255),
    [sym_displayed_equation] = STATE(255),
    [sym_inline_formula] = STATE(255),
    [sym_math_delimiter] = STATE(255),
    [sym_text_mode] = STATE(255),
    [sym_begin] = STATE(51),
    [sym_generic_environment] = STATE(255),
    [sym_comment_environment] = STATE(255),
    [sym__comment_environment_begin] = STATE(4001),
    [sym_verbatim_environment] = STATE(255),
    [sym__verbatim_environment_begin] = STATE(4002),
    [sym_listing_environment] = STATE(255),
    [sym__listing_environment_begin] = STATE(4004),
    [sym_minted_environment] = STATE(255),
    [sym__minted_environment_begin] = STATE(4005),
    [sym_asy_environment] = STATE(255),
    [sym__asy_environment_begin] = STATE(4007),
    [sym_asydef_environment] = STATE(255),
    [sym__asydef_environment_begin] = STATE(4008),
    [sym_pycode_environment] = STATE(255),
    [sym__pycode_environment_begin] = STATE(4010),
    [sym_luacode_environment] = STATE(255),
    [sym__luacode_environment] = STATE(1832),
    [sym___luacode_environment_begin] = STATE(4011),
    [sym__luacode_environment_star] = STATE(1785),
    [sym___luacode_environment_star_begin] = STATE(4012),
    [sym_sagesilent_environment] = STATE(255),
    [sym__sagesilent_environment_begin] = STATE(4013),
    [sym_sageblock_environment] = STATE(255),
    [sym__sageblock_environment_begin] = STATE(4014),
    [sym_math_environment] = STATE(255),
    [sym__math_environment_begin] = STATE(241),
    [sym__math_environment_end] = STATE(1234),
    [sym__command] = STATE(255),
    [sym_generic_command] = STATE(255),
    [sym_title_declaration] = STATE(255),
    [sym_author_declaration] = STATE(255),
    [sym_package_include] = STATE(255),
    [sym_class_include] = STATE(255),
    [sym_latex_include] = STATE(255),
    [sym_biblatex_include] = STATE(255),
    [sym_bibstyle_include] = STATE(255),
    [sym_bibtex_include] = STATE(255),
    [sym_graphics_include] = STATE(255),
    [sym_svg_include] = STATE(255),
    [sym_inkscape_include] = STATE(255),
    [sym_verbatim_include] = STATE(255),
    [sym_import_include] = STATE(255),
    [sym_caption] = STATE(255),
    [sym_citation] = STATE(255),
    [sym_label_definition] = STATE(255),
    [sym_label_reference] = STATE(255),
    [sym_label_reference_range] = STATE(255),
    [sym_label_number] = STATE(255),
    [sym_new_command_definition] = STATE(255),
    [sym__new_command_definition] = STATE(1786),
    [sym__newer_command_definition] = STATE(1788),
    [sym__new_command_copy] = STATE(1792),
    [sym_old_command_definition] = STATE(255),
    [sym_let_command_definition] = STATE(255),
    [sym_paired_delimiter_definition] = STATE(255),
    [sym_environment_definition] = STATE(255),
    [sym__environment_definition] = STATE(1794),
    [sym__newer_environment_definition] = STATE(1799),
    [sym__new_environment_copy] = STATE(1801),
    [sym_glossary_entry_definition] = STATE(255),
    [sym_glossary_entry_reference] = STATE(255),
    [sym_acronym_definition] = STATE(255),
    [sym_acronym_reference] = STATE(255),
    [sym_theorem_definition] = STATE(255),
    [sym_color_definition] = STATE(255),
    [sym_color_set_definition] = STATE(255),
    [sym_color_reference] = STATE(255),
    [sym_tikz_library_import] = STATE(255),
    [sym_hyperlink] = STATE(255),
    [aux_sym_part_repeat1] = STATE(255),
    [aux_sym_text_repeat1] = STATE(329),
    [sym_command_name] = ACTIONS(3275),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_RBRACK] = ACTIONS(3401),
    [anon_sym_COMMA] = ACTIONS(3401),
    [anon_sym_EQ] = ACTIONS(3401),
    [anon_sym_LPAREN] = ACTIONS(3401),
    [anon_sym_RPAREN] = ACTIONS(3401),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [sym_word] = ACTIONS(3283),
    [sym_placeholder] = ACTIONS(3285),
    [sym_delimiter] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_STAR] = ACTIONS(3287),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3289),
    [anon_sym_GT] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_PIPE] = ACTIONS(3289),
    [anon_sym_COLON] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym__] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3293),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(3295),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(3295),
    [anon_sym_DOLLAR] = ACTIONS(3297),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(3299),
    [anon_sym_BSLASHleft] = ACTIONS(3301),
    [anon_sym_BSLASHbigl] = ACTIONS(3301),
    [anon_sym_BSLASHBigl] = ACTIONS(3301),
    [anon_sym_BSLASHbiggl] = ACTIONS(3301),
    [anon_sym_BSLASHBiggl] = ACTIONS(3301),
    [anon_sym_BSLASHtext] = ACTIONS(3303),
    [anon_sym_BSLASHintertext] = ACTIONS(3303),
    [anon_sym_BSLASHshortintertext] = ACTIONS(3303),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(3399),
    [anon_sym_BSLASHtitle] = ACTIONS(3307),
    [anon_sym_BSLASHauthor] = ACTIONS(3309),
    [anon_sym_BSLASHusepackage] = ACTIONS(3311),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3311),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3313),
    [anon_sym_BSLASHinclude] = ACTIONS(3315),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3315),
    [anon_sym_BSLASHinput] = ACTIONS(3315),
    [anon_sym_BSLASHsubfile] = ACTIONS(3315),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3317),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3319),
    [anon_sym_BSLASHbibliography] = ACTIONS(3321),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3323),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3325),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3327),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3329),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3329),
    [anon_sym_BSLASHimport] = ACTIONS(3331),
    [anon_sym_BSLASHsubimport] = ACTIONS(3331),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3331),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHcaption] = ACTIONS(3333),
    [anon_sym_BSLASHcite] = ACTIONS(3335),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCite] = ACTIONS(3335),
    [anon_sym_BSLASHnocite] = ACTIONS(3335),
    [anon_sym_BSLASHcitet] = ACTIONS(3335),
    [anon_sym_BSLASHcitep] = ACTIONS(3335),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteA] = ACTIONS(3335),
    [anon_sym_BSLASHciteR] = ACTIONS(3335),
    [anon_sym_BSLASHciteS] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3335),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteyear] = ACTIONS(3335),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitedate] = ACTIONS(3335),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteurl] = ACTIONS(3335),
    [anon_sym_BSLASHfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3335),
    [anon_sym_BSLASHcitealt] = ACTIONS(3335),
    [anon_sym_BSLASHcitealp] = ACTIONS(3335),
    [anon_sym_BSLASHcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHparencite] = ACTIONS(3335),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHParencite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHtextcite] = ACTIONS(3335),
    [anon_sym_BSLASHTextcite] = ACTIONS(3335),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHsupercite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite] = ACTIONS(3335),
    [anon_sym_BSLASHAutocite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHVolcite] = ACTIONS(3335),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHavolcite] = ACTIONS(3335),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHNotecite] = ACTIONS(3335),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHlabel] = ACTIONS(3339),
    [anon_sym_BSLASHref] = ACTIONS(3341),
    [anon_sym_BSLASHeqref] = ACTIONS(3341),
    [anon_sym_BSLASHvref] = ACTIONS(3341),
    [anon_sym_BSLASHVref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHpageref] = ACTIONS(3341),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHautopageref] = ACTIONS(3341),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcref] = ACTIONS(3341),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHCref] = ACTIONS(3341),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHCpageref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnameCref] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3349),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3351),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHdef] = ACTIONS(3359),
    [anon_sym_BSLASHgdef] = ACTIONS(3359),
    [anon_sym_BSLASHedef] = ACTIONS(3359),
    [anon_sym_BSLASHxdef] = ACTIONS(3359),
    [anon_sym_BSLASHlet] = ACTIONS(3361),
    [anon_sym_BSLASHglet] = ACTIONS(3361),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(3363),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(3363),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(3371),
    [anon_sym_BSLASHgls] = ACTIONS(3373),
    [anon_sym_BSLASHGls] = ACTIONS(3373),
    [anon_sym_BSLASHGLS] = ACTIONS(3373),
    [anon_sym_BSLASHglspl] = ACTIONS(3373),
    [anon_sym_BSLASHGlspl] = ACTIONS(3373),
    [anon_sym_BSLASHGLSpl] = ACTIONS(3373),
    [anon_sym_BSLASHglsdisp] = ACTIONS(3373),
    [anon_sym_BSLASHglslink] = ACTIONS(3373),
    [anon_sym_BSLASHglstext] = ACTIONS(3373),
    [anon_sym_BSLASHGlstext] = ACTIONS(3373),
    [anon_sym_BSLASHGLStext] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(3373),
    [anon_sym_BSLASHglsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsname] = ACTIONS(3373),
    [anon_sym_BSLASHGlsname] = ACTIONS(3373),
    [anon_sym_BSLASHGLSname] = ACTIONS(3373),
    [anon_sym_BSLASHglssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHglsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(3373),
    [anon_sym_BSLASHnewacronym] = ACTIONS(3375),
    [anon_sym_BSLASHacrshort] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshort] = ACTIONS(3377),
    [anon_sym_BSLASHACRshort] = ACTIONS(3377),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrlong] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlong] = ACTIONS(3377),
    [anon_sym_BSLASHACRlong] = ACTIONS(3377),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrfull] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfull] = ACTIONS(3377),
    [anon_sym_BSLASHACRfull] = ACTIONS(3377),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHacs] = ACTIONS(3377),
    [anon_sym_BSLASHAcs] = ACTIONS(3377),
    [anon_sym_BSLASHacsp] = ACTIONS(3377),
    [anon_sym_BSLASHAcsp] = ACTIONS(3377),
    [anon_sym_BSLASHacl] = ACTIONS(3377),
    [anon_sym_BSLASHAcl] = ACTIONS(3377),
    [anon_sym_BSLASHaclp] = ACTIONS(3377),
    [anon_sym_BSLASHAclp] = ACTIONS(3377),
    [anon_sym_BSLASHacf] = ACTIONS(3377),
    [anon_sym_BSLASHAcf] = ACTIONS(3377),
    [anon_sym_BSLASHacfp] = ACTIONS(3377),
    [anon_sym_BSLASHAcfp] = ACTIONS(3377),
    [anon_sym_BSLASHac] = ACTIONS(3377),
    [anon_sym_BSLASHAc] = ACTIONS(3377),
    [anon_sym_BSLASHacp] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(3379),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(3379),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(3383),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(3385),
    [anon_sym_BSLASHcolor] = ACTIONS(3387),
    [anon_sym_BSLASHpagecolor] = ACTIONS(3387),
    [anon_sym_BSLASHtextcolor] = ACTIONS(3387),
    [anon_sym_BSLASHmathcolor] = ACTIONS(3387),
    [anon_sym_BSLASHcolorbox] = ACTIONS(3387),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(3389),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(3389),
    [anon_sym_BSLASHurl] = ACTIONS(3391),
    [anon_sym_BSLASHhref] = ACTIONS(3391),
  },
  [246] = {
    [sym_block_comment] = STATE(255),
    [sym__flat_content] = STATE(255),
    [sym__text_with_env_content] = STATE(255),
    [sym__text_content] = STATE(255),
    [sym_curly_group] = STATE(255),
    [sym_text] = STATE(255),
    [sym_operator] = STATE(1732),
    [sym_subscript] = STATE(1732),
    [sym_superscript] = STATE(1732),
    [sym__math_content] = STATE(255),
    [sym_displayed_equation] = STATE(255),
    [sym_inline_formula] = STATE(255),
    [sym_math_delimiter] = STATE(255),
    [sym_text_mode] = STATE(255),
    [sym_begin] = STATE(51),
    [sym_generic_environment] = STATE(255),
    [sym_comment_environment] = STATE(255),
    [sym__comment_environment_begin] = STATE(4001),
    [sym_verbatim_environment] = STATE(255),
    [sym__verbatim_environment_begin] = STATE(4002),
    [sym_listing_environment] = STATE(255),
    [sym__listing_environment_begin] = STATE(4004),
    [sym_minted_environment] = STATE(255),
    [sym__minted_environment_begin] = STATE(4005),
    [sym_asy_environment] = STATE(255),
    [sym__asy_environment_begin] = STATE(4007),
    [sym_asydef_environment] = STATE(255),
    [sym__asydef_environment_begin] = STATE(4008),
    [sym_pycode_environment] = STATE(255),
    [sym__pycode_environment_begin] = STATE(4010),
    [sym_luacode_environment] = STATE(255),
    [sym__luacode_environment] = STATE(1832),
    [sym___luacode_environment_begin] = STATE(4011),
    [sym__luacode_environment_star] = STATE(1785),
    [sym___luacode_environment_star_begin] = STATE(4012),
    [sym_sagesilent_environment] = STATE(255),
    [sym__sagesilent_environment_begin] = STATE(4013),
    [sym_sageblock_environment] = STATE(255),
    [sym__sageblock_environment_begin] = STATE(4014),
    [sym_math_environment] = STATE(255),
    [sym__math_environment_begin] = STATE(241),
    [sym__math_environment_end] = STATE(1823),
    [sym__command] = STATE(255),
    [sym_generic_command] = STATE(255),
    [sym_title_declaration] = STATE(255),
    [sym_author_declaration] = STATE(255),
    [sym_package_include] = STATE(255),
    [sym_class_include] = STATE(255),
    [sym_latex_include] = STATE(255),
    [sym_biblatex_include] = STATE(255),
    [sym_bibstyle_include] = STATE(255),
    [sym_bibtex_include] = STATE(255),
    [sym_graphics_include] = STATE(255),
    [sym_svg_include] = STATE(255),
    [sym_inkscape_include] = STATE(255),
    [sym_verbatim_include] = STATE(255),
    [sym_import_include] = STATE(255),
    [sym_caption] = STATE(255),
    [sym_citation] = STATE(255),
    [sym_label_definition] = STATE(255),
    [sym_label_reference] = STATE(255),
    [sym_label_reference_range] = STATE(255),
    [sym_label_number] = STATE(255),
    [sym_new_command_definition] = STATE(255),
    [sym__new_command_definition] = STATE(1786),
    [sym__newer_command_definition] = STATE(1788),
    [sym__new_command_copy] = STATE(1792),
    [sym_old_command_definition] = STATE(255),
    [sym_let_command_definition] = STATE(255),
    [sym_paired_delimiter_definition] = STATE(255),
    [sym_environment_definition] = STATE(255),
    [sym__environment_definition] = STATE(1794),
    [sym__newer_environment_definition] = STATE(1799),
    [sym__new_environment_copy] = STATE(1801),
    [sym_glossary_entry_definition] = STATE(255),
    [sym_glossary_entry_reference] = STATE(255),
    [sym_acronym_definition] = STATE(255),
    [sym_acronym_reference] = STATE(255),
    [sym_theorem_definition] = STATE(255),
    [sym_color_definition] = STATE(255),
    [sym_color_set_definition] = STATE(255),
    [sym_color_reference] = STATE(255),
    [sym_tikz_library_import] = STATE(255),
    [sym_hyperlink] = STATE(255),
    [aux_sym_part_repeat1] = STATE(255),
    [aux_sym_text_repeat1] = STATE(329),
    [sym_command_name] = ACTIONS(3275),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_RBRACK] = ACTIONS(3401),
    [anon_sym_COMMA] = ACTIONS(3401),
    [anon_sym_EQ] = ACTIONS(3401),
    [anon_sym_LPAREN] = ACTIONS(3401),
    [anon_sym_RPAREN] = ACTIONS(3401),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [sym_word] = ACTIONS(3283),
    [sym_placeholder] = ACTIONS(3285),
    [sym_delimiter] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_STAR] = ACTIONS(3287),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3289),
    [anon_sym_GT] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_PIPE] = ACTIONS(3289),
    [anon_sym_COLON] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym__] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3293),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(3295),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(3295),
    [anon_sym_DOLLAR] = ACTIONS(3297),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(3299),
    [anon_sym_BSLASHleft] = ACTIONS(3301),
    [anon_sym_BSLASHbigl] = ACTIONS(3301),
    [anon_sym_BSLASHBigl] = ACTIONS(3301),
    [anon_sym_BSLASHbiggl] = ACTIONS(3301),
    [anon_sym_BSLASHBiggl] = ACTIONS(3301),
    [anon_sym_BSLASHtext] = ACTIONS(3303),
    [anon_sym_BSLASHintertext] = ACTIONS(3303),
    [anon_sym_BSLASHshortintertext] = ACTIONS(3303),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(3305),
    [anon_sym_BSLASHtitle] = ACTIONS(3307),
    [anon_sym_BSLASHauthor] = ACTIONS(3309),
    [anon_sym_BSLASHusepackage] = ACTIONS(3311),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3311),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3313),
    [anon_sym_BSLASHinclude] = ACTIONS(3315),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3315),
    [anon_sym_BSLASHinput] = ACTIONS(3315),
    [anon_sym_BSLASHsubfile] = ACTIONS(3315),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3317),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3319),
    [anon_sym_BSLASHbibliography] = ACTIONS(3321),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3323),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3325),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3327),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3329),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3329),
    [anon_sym_BSLASHimport] = ACTIONS(3331),
    [anon_sym_BSLASHsubimport] = ACTIONS(3331),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3331),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHcaption] = ACTIONS(3333),
    [anon_sym_BSLASHcite] = ACTIONS(3335),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCite] = ACTIONS(3335),
    [anon_sym_BSLASHnocite] = ACTIONS(3335),
    [anon_sym_BSLASHcitet] = ACTIONS(3335),
    [anon_sym_BSLASHcitep] = ACTIONS(3335),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteA] = ACTIONS(3335),
    [anon_sym_BSLASHciteR] = ACTIONS(3335),
    [anon_sym_BSLASHciteS] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3335),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteyear] = ACTIONS(3335),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitedate] = ACTIONS(3335),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteurl] = ACTIONS(3335),
    [anon_sym_BSLASHfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3335),
    [anon_sym_BSLASHcitealt] = ACTIONS(3335),
    [anon_sym_BSLASHcitealp] = ACTIONS(3335),
    [anon_sym_BSLASHcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHparencite] = ACTIONS(3335),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHParencite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHtextcite] = ACTIONS(3335),
    [anon_sym_BSLASHTextcite] = ACTIONS(3335),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHsupercite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite] = ACTIONS(3335),
    [anon_sym_BSLASHAutocite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHVolcite] = ACTIONS(3335),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHavolcite] = ACTIONS(3335),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHNotecite] = ACTIONS(3335),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHlabel] = ACTIONS(3339),
    [anon_sym_BSLASHref] = ACTIONS(3341),
    [anon_sym_BSLASHeqref] = ACTIONS(3341),
    [anon_sym_BSLASHvref] = ACTIONS(3341),
    [anon_sym_BSLASHVref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHpageref] = ACTIONS(3341),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHautopageref] = ACTIONS(3341),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcref] = ACTIONS(3341),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHCref] = ACTIONS(3341),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHCpageref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnameCref] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3349),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3351),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHdef] = ACTIONS(3359),
    [anon_sym_BSLASHgdef] = ACTIONS(3359),
    [anon_sym_BSLASHedef] = ACTIONS(3359),
    [anon_sym_BSLASHxdef] = ACTIONS(3359),
    [anon_sym_BSLASHlet] = ACTIONS(3361),
    [anon_sym_BSLASHglet] = ACTIONS(3361),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(3363),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(3363),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(3371),
    [anon_sym_BSLASHgls] = ACTIONS(3373),
    [anon_sym_BSLASHGls] = ACTIONS(3373),
    [anon_sym_BSLASHGLS] = ACTIONS(3373),
    [anon_sym_BSLASHglspl] = ACTIONS(3373),
    [anon_sym_BSLASHGlspl] = ACTIONS(3373),
    [anon_sym_BSLASHGLSpl] = ACTIONS(3373),
    [anon_sym_BSLASHglsdisp] = ACTIONS(3373),
    [anon_sym_BSLASHglslink] = ACTIONS(3373),
    [anon_sym_BSLASHglstext] = ACTIONS(3373),
    [anon_sym_BSLASHGlstext] = ACTIONS(3373),
    [anon_sym_BSLASHGLStext] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(3373),
    [anon_sym_BSLASHglsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsname] = ACTIONS(3373),
    [anon_sym_BSLASHGlsname] = ACTIONS(3373),
    [anon_sym_BSLASHGLSname] = ACTIONS(3373),
    [anon_sym_BSLASHglssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHglsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(3373),
    [anon_sym_BSLASHnewacronym] = ACTIONS(3375),
    [anon_sym_BSLASHacrshort] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshort] = ACTIONS(3377),
    [anon_sym_BSLASHACRshort] = ACTIONS(3377),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrlong] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlong] = ACTIONS(3377),
    [anon_sym_BSLASHACRlong] = ACTIONS(3377),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrfull] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfull] = ACTIONS(3377),
    [anon_sym_BSLASHACRfull] = ACTIONS(3377),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHacs] = ACTIONS(3377),
    [anon_sym_BSLASHAcs] = ACTIONS(3377),
    [anon_sym_BSLASHacsp] = ACTIONS(3377),
    [anon_sym_BSLASHAcsp] = ACTIONS(3377),
    [anon_sym_BSLASHacl] = ACTIONS(3377),
    [anon_sym_BSLASHAcl] = ACTIONS(3377),
    [anon_sym_BSLASHaclp] = ACTIONS(3377),
    [anon_sym_BSLASHAclp] = ACTIONS(3377),
    [anon_sym_BSLASHacf] = ACTIONS(3377),
    [anon_sym_BSLASHAcf] = ACTIONS(3377),
    [anon_sym_BSLASHacfp] = ACTIONS(3377),
    [anon_sym_BSLASHAcfp] = ACTIONS(3377),
    [anon_sym_BSLASHac] = ACTIONS(3377),
    [anon_sym_BSLASHAc] = ACTIONS(3377),
    [anon_sym_BSLASHacp] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(3379),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(3379),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(3383),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(3385),
    [anon_sym_BSLASHcolor] = ACTIONS(3387),
    [anon_sym_BSLASHpagecolor] = ACTIONS(3387),
    [anon_sym_BSLASHtextcolor] = ACTIONS(3387),
    [anon_sym_BSLASHmathcolor] = ACTIONS(3387),
    [anon_sym_BSLASHcolorbox] = ACTIONS(3387),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(3389),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(3389),
    [anon_sym_BSLASHurl] = ACTIONS(3391),
    [anon_sym_BSLASHhref] = ACTIONS(3391),
  },
  [247] = {
    [sym_block_comment] = STATE(248),
    [sym__flat_content] = STATE(248),
    [sym__text_with_env_content] = STATE(248),
    [sym__text_content] = STATE(248),
    [sym_curly_group] = STATE(248),
    [sym_text] = STATE(248),
    [sym_operator] = STATE(1732),
    [sym_subscript] = STATE(1732),
    [sym_superscript] = STATE(1732),
    [sym__math_content] = STATE(248),
    [sym_displayed_equation] = STATE(248),
    [sym_inline_formula] = STATE(248),
    [sym_math_delimiter] = STATE(248),
    [sym_text_mode] = STATE(248),
    [sym_begin] = STATE(51),
    [sym_generic_environment] = STATE(248),
    [sym_comment_environment] = STATE(248),
    [sym__comment_environment_begin] = STATE(4001),
    [sym_verbatim_environment] = STATE(248),
    [sym__verbatim_environment_begin] = STATE(4002),
    [sym_listing_environment] = STATE(248),
    [sym__listing_environment_begin] = STATE(4004),
    [sym_minted_environment] = STATE(248),
    [sym__minted_environment_begin] = STATE(4005),
    [sym_asy_environment] = STATE(248),
    [sym__asy_environment_begin] = STATE(4007),
    [sym_asydef_environment] = STATE(248),
    [sym__asydef_environment_begin] = STATE(4008),
    [sym_pycode_environment] = STATE(248),
    [sym__pycode_environment_begin] = STATE(4010),
    [sym_luacode_environment] = STATE(248),
    [sym__luacode_environment] = STATE(1832),
    [sym___luacode_environment_begin] = STATE(4011),
    [sym__luacode_environment_star] = STATE(1785),
    [sym___luacode_environment_star_begin] = STATE(4012),
    [sym_sagesilent_environment] = STATE(248),
    [sym__sagesilent_environment_begin] = STATE(4013),
    [sym_sageblock_environment] = STATE(248),
    [sym__sageblock_environment_begin] = STATE(4014),
    [sym_math_environment] = STATE(248),
    [sym__math_environment_begin] = STATE(241),
    [sym__math_environment_end] = STATE(1840),
    [sym__command] = STATE(248),
    [sym_generic_command] = STATE(248),
    [sym_title_declaration] = STATE(248),
    [sym_author_declaration] = STATE(248),
    [sym_package_include] = STATE(248),
    [sym_class_include] = STATE(248),
    [sym_latex_include] = STATE(248),
    [sym_biblatex_include] = STATE(248),
    [sym_bibstyle_include] = STATE(248),
    [sym_bibtex_include] = STATE(248),
    [sym_graphics_include] = STATE(248),
    [sym_svg_include] = STATE(248),
    [sym_inkscape_include] = STATE(248),
    [sym_verbatim_include] = STATE(248),
    [sym_import_include] = STATE(248),
    [sym_caption] = STATE(248),
    [sym_citation] = STATE(248),
    [sym_label_definition] = STATE(248),
    [sym_label_reference] = STATE(248),
    [sym_label_reference_range] = STATE(248),
    [sym_label_number] = STATE(248),
    [sym_new_command_definition] = STATE(248),
    [sym__new_command_definition] = STATE(1786),
    [sym__newer_command_definition] = STATE(1788),
    [sym__new_command_copy] = STATE(1792),
    [sym_old_command_definition] = STATE(248),
    [sym_let_command_definition] = STATE(248),
    [sym_paired_delimiter_definition] = STATE(248),
    [sym_environment_definition] = STATE(248),
    [sym__environment_definition] = STATE(1794),
    [sym__newer_environment_definition] = STATE(1799),
    [sym__new_environment_copy] = STATE(1801),
    [sym_glossary_entry_definition] = STATE(248),
    [sym_glossary_entry_reference] = STATE(248),
    [sym_acronym_definition] = STATE(248),
    [sym_acronym_reference] = STATE(248),
    [sym_theorem_definition] = STATE(248),
    [sym_color_definition] = STATE(248),
    [sym_color_set_definition] = STATE(248),
    [sym_color_reference] = STATE(248),
    [sym_tikz_library_import] = STATE(248),
    [sym_hyperlink] = STATE(248),
    [aux_sym_part_repeat1] = STATE(248),
    [aux_sym_text_repeat1] = STATE(329),
    [sym_command_name] = ACTIONS(3275),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_RBRACK] = ACTIONS(3405),
    [anon_sym_COMMA] = ACTIONS(3405),
    [anon_sym_EQ] = ACTIONS(3405),
    [anon_sym_LPAREN] = ACTIONS(3405),
    [anon_sym_RPAREN] = ACTIONS(3405),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [sym_word] = ACTIONS(3283),
    [sym_placeholder] = ACTIONS(3285),
    [sym_delimiter] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_STAR] = ACTIONS(3287),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3289),
    [anon_sym_GT] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_PIPE] = ACTIONS(3289),
    [anon_sym_COLON] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym__] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3293),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(3295),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(3295),
    [anon_sym_DOLLAR] = ACTIONS(3297),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(3299),
    [anon_sym_BSLASHleft] = ACTIONS(3301),
    [anon_sym_BSLASHbigl] = ACTIONS(3301),
    [anon_sym_BSLASHBigl] = ACTIONS(3301),
    [anon_sym_BSLASHbiggl] = ACTIONS(3301),
    [anon_sym_BSLASHBiggl] = ACTIONS(3301),
    [anon_sym_BSLASHtext] = ACTIONS(3303),
    [anon_sym_BSLASHintertext] = ACTIONS(3303),
    [anon_sym_BSLASHshortintertext] = ACTIONS(3303),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(3407),
    [anon_sym_BSLASHtitle] = ACTIONS(3307),
    [anon_sym_BSLASHauthor] = ACTIONS(3309),
    [anon_sym_BSLASHusepackage] = ACTIONS(3311),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3311),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3313),
    [anon_sym_BSLASHinclude] = ACTIONS(3315),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3315),
    [anon_sym_BSLASHinput] = ACTIONS(3315),
    [anon_sym_BSLASHsubfile] = ACTIONS(3315),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3317),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3319),
    [anon_sym_BSLASHbibliography] = ACTIONS(3321),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3323),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3325),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3327),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3329),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3329),
    [anon_sym_BSLASHimport] = ACTIONS(3331),
    [anon_sym_BSLASHsubimport] = ACTIONS(3331),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3331),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHcaption] = ACTIONS(3333),
    [anon_sym_BSLASHcite] = ACTIONS(3335),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCite] = ACTIONS(3335),
    [anon_sym_BSLASHnocite] = ACTIONS(3335),
    [anon_sym_BSLASHcitet] = ACTIONS(3335),
    [anon_sym_BSLASHcitep] = ACTIONS(3335),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteA] = ACTIONS(3335),
    [anon_sym_BSLASHciteR] = ACTIONS(3335),
    [anon_sym_BSLASHciteS] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3335),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteyear] = ACTIONS(3335),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitedate] = ACTIONS(3335),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteurl] = ACTIONS(3335),
    [anon_sym_BSLASHfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3335),
    [anon_sym_BSLASHcitealt] = ACTIONS(3335),
    [anon_sym_BSLASHcitealp] = ACTIONS(3335),
    [anon_sym_BSLASHcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHparencite] = ACTIONS(3335),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHParencite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHtextcite] = ACTIONS(3335),
    [anon_sym_BSLASHTextcite] = ACTIONS(3335),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHsupercite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite] = ACTIONS(3335),
    [anon_sym_BSLASHAutocite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHVolcite] = ACTIONS(3335),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHavolcite] = ACTIONS(3335),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHNotecite] = ACTIONS(3335),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHlabel] = ACTIONS(3339),
    [anon_sym_BSLASHref] = ACTIONS(3341),
    [anon_sym_BSLASHeqref] = ACTIONS(3341),
    [anon_sym_BSLASHvref] = ACTIONS(3341),
    [anon_sym_BSLASHVref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHpageref] = ACTIONS(3341),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHautopageref] = ACTIONS(3341),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcref] = ACTIONS(3341),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHCref] = ACTIONS(3341),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHCpageref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnameCref] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3349),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3351),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHdef] = ACTIONS(3359),
    [anon_sym_BSLASHgdef] = ACTIONS(3359),
    [anon_sym_BSLASHedef] = ACTIONS(3359),
    [anon_sym_BSLASHxdef] = ACTIONS(3359),
    [anon_sym_BSLASHlet] = ACTIONS(3361),
    [anon_sym_BSLASHglet] = ACTIONS(3361),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(3363),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(3363),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(3371),
    [anon_sym_BSLASHgls] = ACTIONS(3373),
    [anon_sym_BSLASHGls] = ACTIONS(3373),
    [anon_sym_BSLASHGLS] = ACTIONS(3373),
    [anon_sym_BSLASHglspl] = ACTIONS(3373),
    [anon_sym_BSLASHGlspl] = ACTIONS(3373),
    [anon_sym_BSLASHGLSpl] = ACTIONS(3373),
    [anon_sym_BSLASHglsdisp] = ACTIONS(3373),
    [anon_sym_BSLASHglslink] = ACTIONS(3373),
    [anon_sym_BSLASHglstext] = ACTIONS(3373),
    [anon_sym_BSLASHGlstext] = ACTIONS(3373),
    [anon_sym_BSLASHGLStext] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(3373),
    [anon_sym_BSLASHglsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsname] = ACTIONS(3373),
    [anon_sym_BSLASHGlsname] = ACTIONS(3373),
    [anon_sym_BSLASHGLSname] = ACTIONS(3373),
    [anon_sym_BSLASHglssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHglsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(3373),
    [anon_sym_BSLASHnewacronym] = ACTIONS(3375),
    [anon_sym_BSLASHacrshort] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshort] = ACTIONS(3377),
    [anon_sym_BSLASHACRshort] = ACTIONS(3377),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrlong] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlong] = ACTIONS(3377),
    [anon_sym_BSLASHACRlong] = ACTIONS(3377),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrfull] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfull] = ACTIONS(3377),
    [anon_sym_BSLASHACRfull] = ACTIONS(3377),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHacs] = ACTIONS(3377),
    [anon_sym_BSLASHAcs] = ACTIONS(3377),
    [anon_sym_BSLASHacsp] = ACTIONS(3377),
    [anon_sym_BSLASHAcsp] = ACTIONS(3377),
    [anon_sym_BSLASHacl] = ACTIONS(3377),
    [anon_sym_BSLASHAcl] = ACTIONS(3377),
    [anon_sym_BSLASHaclp] = ACTIONS(3377),
    [anon_sym_BSLASHAclp] = ACTIONS(3377),
    [anon_sym_BSLASHacf] = ACTIONS(3377),
    [anon_sym_BSLASHAcf] = ACTIONS(3377),
    [anon_sym_BSLASHacfp] = ACTIONS(3377),
    [anon_sym_BSLASHAcfp] = ACTIONS(3377),
    [anon_sym_BSLASHac] = ACTIONS(3377),
    [anon_sym_BSLASHAc] = ACTIONS(3377),
    [anon_sym_BSLASHacp] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(3379),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(3379),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(3383),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(3385),
    [anon_sym_BSLASHcolor] = ACTIONS(3387),
    [anon_sym_BSLASHpagecolor] = ACTIONS(3387),
    [anon_sym_BSLASHtextcolor] = ACTIONS(3387),
    [anon_sym_BSLASHmathcolor] = ACTIONS(3387),
    [anon_sym_BSLASHcolorbox] = ACTIONS(3387),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(3389),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(3389),
    [anon_sym_BSLASHurl] = ACTIONS(3391),
    [anon_sym_BSLASHhref] = ACTIONS(3391),
  },
  [248] = {
    [sym_block_comment] = STATE(255),
    [sym__flat_content] = STATE(255),
    [sym__text_with_env_content] = STATE(255),
    [sym__text_content] = STATE(255),
    [sym_curly_group] = STATE(255),
    [sym_text] = STATE(255),
    [sym_operator] = STATE(1732),
    [sym_subscript] = STATE(1732),
    [sym_superscript] = STATE(1732),
    [sym__math_content] = STATE(255),
    [sym_displayed_equation] = STATE(255),
    [sym_inline_formula] = STATE(255),
    [sym_math_delimiter] = STATE(255),
    [sym_text_mode] = STATE(255),
    [sym_begin] = STATE(51),
    [sym_generic_environment] = STATE(255),
    [sym_comment_environment] = STATE(255),
    [sym__comment_environment_begin] = STATE(4001),
    [sym_verbatim_environment] = STATE(255),
    [sym__verbatim_environment_begin] = STATE(4002),
    [sym_listing_environment] = STATE(255),
    [sym__listing_environment_begin] = STATE(4004),
    [sym_minted_environment] = STATE(255),
    [sym__minted_environment_begin] = STATE(4005),
    [sym_asy_environment] = STATE(255),
    [sym__asy_environment_begin] = STATE(4007),
    [sym_asydef_environment] = STATE(255),
    [sym__asydef_environment_begin] = STATE(4008),
    [sym_pycode_environment] = STATE(255),
    [sym__pycode_environment_begin] = STATE(4010),
    [sym_luacode_environment] = STATE(255),
    [sym__luacode_environment] = STATE(1832),
    [sym___luacode_environment_begin] = STATE(4011),
    [sym__luacode_environment_star] = STATE(1785),
    [sym___luacode_environment_star_begin] = STATE(4012),
    [sym_sagesilent_environment] = STATE(255),
    [sym__sagesilent_environment_begin] = STATE(4013),
    [sym_sageblock_environment] = STATE(255),
    [sym__sageblock_environment_begin] = STATE(4014),
    [sym_math_environment] = STATE(255),
    [sym__math_environment_begin] = STATE(241),
    [sym__math_environment_end] = STATE(1884),
    [sym__command] = STATE(255),
    [sym_generic_command] = STATE(255),
    [sym_title_declaration] = STATE(255),
    [sym_author_declaration] = STATE(255),
    [sym_package_include] = STATE(255),
    [sym_class_include] = STATE(255),
    [sym_latex_include] = STATE(255),
    [sym_biblatex_include] = STATE(255),
    [sym_bibstyle_include] = STATE(255),
    [sym_bibtex_include] = STATE(255),
    [sym_graphics_include] = STATE(255),
    [sym_svg_include] = STATE(255),
    [sym_inkscape_include] = STATE(255),
    [sym_verbatim_include] = STATE(255),
    [sym_import_include] = STATE(255),
    [sym_caption] = STATE(255),
    [sym_citation] = STATE(255),
    [sym_label_definition] = STATE(255),
    [sym_label_reference] = STATE(255),
    [sym_label_reference_range] = STATE(255),
    [sym_label_number] = STATE(255),
    [sym_new_command_definition] = STATE(255),
    [sym__new_command_definition] = STATE(1786),
    [sym__newer_command_definition] = STATE(1788),
    [sym__new_command_copy] = STATE(1792),
    [sym_old_command_definition] = STATE(255),
    [sym_let_command_definition] = STATE(255),
    [sym_paired_delimiter_definition] = STATE(255),
    [sym_environment_definition] = STATE(255),
    [sym__environment_definition] = STATE(1794),
    [sym__newer_environment_definition] = STATE(1799),
    [sym__new_environment_copy] = STATE(1801),
    [sym_glossary_entry_definition] = STATE(255),
    [sym_glossary_entry_reference] = STATE(255),
    [sym_acronym_definition] = STATE(255),
    [sym_acronym_reference] = STATE(255),
    [sym_theorem_definition] = STATE(255),
    [sym_color_definition] = STATE(255),
    [sym_color_set_definition] = STATE(255),
    [sym_color_reference] = STATE(255),
    [sym_tikz_library_import] = STATE(255),
    [sym_hyperlink] = STATE(255),
    [aux_sym_part_repeat1] = STATE(255),
    [aux_sym_text_repeat1] = STATE(329),
    [sym_command_name] = ACTIONS(3275),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_RBRACK] = ACTIONS(3401),
    [anon_sym_COMMA] = ACTIONS(3401),
    [anon_sym_EQ] = ACTIONS(3401),
    [anon_sym_LPAREN] = ACTIONS(3401),
    [anon_sym_RPAREN] = ACTIONS(3401),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [sym_word] = ACTIONS(3283),
    [sym_placeholder] = ACTIONS(3285),
    [sym_delimiter] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_STAR] = ACTIONS(3287),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3289),
    [anon_sym_GT] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_PIPE] = ACTIONS(3289),
    [anon_sym_COLON] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym__] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3293),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(3295),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(3295),
    [anon_sym_DOLLAR] = ACTIONS(3297),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(3299),
    [anon_sym_BSLASHleft] = ACTIONS(3301),
    [anon_sym_BSLASHbigl] = ACTIONS(3301),
    [anon_sym_BSLASHBigl] = ACTIONS(3301),
    [anon_sym_BSLASHbiggl] = ACTIONS(3301),
    [anon_sym_BSLASHBiggl] = ACTIONS(3301),
    [anon_sym_BSLASHtext] = ACTIONS(3303),
    [anon_sym_BSLASHintertext] = ACTIONS(3303),
    [anon_sym_BSLASHshortintertext] = ACTIONS(3303),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(3407),
    [anon_sym_BSLASHtitle] = ACTIONS(3307),
    [anon_sym_BSLASHauthor] = ACTIONS(3309),
    [anon_sym_BSLASHusepackage] = ACTIONS(3311),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3311),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3313),
    [anon_sym_BSLASHinclude] = ACTIONS(3315),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3315),
    [anon_sym_BSLASHinput] = ACTIONS(3315),
    [anon_sym_BSLASHsubfile] = ACTIONS(3315),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3317),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3319),
    [anon_sym_BSLASHbibliography] = ACTIONS(3321),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3323),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3325),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3327),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3329),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3329),
    [anon_sym_BSLASHimport] = ACTIONS(3331),
    [anon_sym_BSLASHsubimport] = ACTIONS(3331),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3331),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHcaption] = ACTIONS(3333),
    [anon_sym_BSLASHcite] = ACTIONS(3335),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCite] = ACTIONS(3335),
    [anon_sym_BSLASHnocite] = ACTIONS(3335),
    [anon_sym_BSLASHcitet] = ACTIONS(3335),
    [anon_sym_BSLASHcitep] = ACTIONS(3335),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteA] = ACTIONS(3335),
    [anon_sym_BSLASHciteR] = ACTIONS(3335),
    [anon_sym_BSLASHciteS] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3335),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteyear] = ACTIONS(3335),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitedate] = ACTIONS(3335),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteurl] = ACTIONS(3335),
    [anon_sym_BSLASHfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3335),
    [anon_sym_BSLASHcitealt] = ACTIONS(3335),
    [anon_sym_BSLASHcitealp] = ACTIONS(3335),
    [anon_sym_BSLASHcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHparencite] = ACTIONS(3335),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHParencite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHtextcite] = ACTIONS(3335),
    [anon_sym_BSLASHTextcite] = ACTIONS(3335),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHsupercite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite] = ACTIONS(3335),
    [anon_sym_BSLASHAutocite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHVolcite] = ACTIONS(3335),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHavolcite] = ACTIONS(3335),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHNotecite] = ACTIONS(3335),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHlabel] = ACTIONS(3339),
    [anon_sym_BSLASHref] = ACTIONS(3341),
    [anon_sym_BSLASHeqref] = ACTIONS(3341),
    [anon_sym_BSLASHvref] = ACTIONS(3341),
    [anon_sym_BSLASHVref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHpageref] = ACTIONS(3341),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHautopageref] = ACTIONS(3341),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcref] = ACTIONS(3341),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHCref] = ACTIONS(3341),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHCpageref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnameCref] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3349),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3351),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHdef] = ACTIONS(3359),
    [anon_sym_BSLASHgdef] = ACTIONS(3359),
    [anon_sym_BSLASHedef] = ACTIONS(3359),
    [anon_sym_BSLASHxdef] = ACTIONS(3359),
    [anon_sym_BSLASHlet] = ACTIONS(3361),
    [anon_sym_BSLASHglet] = ACTIONS(3361),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(3363),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(3363),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(3371),
    [anon_sym_BSLASHgls] = ACTIONS(3373),
    [anon_sym_BSLASHGls] = ACTIONS(3373),
    [anon_sym_BSLASHGLS] = ACTIONS(3373),
    [anon_sym_BSLASHglspl] = ACTIONS(3373),
    [anon_sym_BSLASHGlspl] = ACTIONS(3373),
    [anon_sym_BSLASHGLSpl] = ACTIONS(3373),
    [anon_sym_BSLASHglsdisp] = ACTIONS(3373),
    [anon_sym_BSLASHglslink] = ACTIONS(3373),
    [anon_sym_BSLASHglstext] = ACTIONS(3373),
    [anon_sym_BSLASHGlstext] = ACTIONS(3373),
    [anon_sym_BSLASHGLStext] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(3373),
    [anon_sym_BSLASHglsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsname] = ACTIONS(3373),
    [anon_sym_BSLASHGlsname] = ACTIONS(3373),
    [anon_sym_BSLASHGLSname] = ACTIONS(3373),
    [anon_sym_BSLASHglssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHglsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(3373),
    [anon_sym_BSLASHnewacronym] = ACTIONS(3375),
    [anon_sym_BSLASHacrshort] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshort] = ACTIONS(3377),
    [anon_sym_BSLASHACRshort] = ACTIONS(3377),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrlong] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlong] = ACTIONS(3377),
    [anon_sym_BSLASHACRlong] = ACTIONS(3377),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrfull] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfull] = ACTIONS(3377),
    [anon_sym_BSLASHACRfull] = ACTIONS(3377),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHacs] = ACTIONS(3377),
    [anon_sym_BSLASHAcs] = ACTIONS(3377),
    [anon_sym_BSLASHacsp] = ACTIONS(3377),
    [anon_sym_BSLASHAcsp] = ACTIONS(3377),
    [anon_sym_BSLASHacl] = ACTIONS(3377),
    [anon_sym_BSLASHAcl] = ACTIONS(3377),
    [anon_sym_BSLASHaclp] = ACTIONS(3377),
    [anon_sym_BSLASHAclp] = ACTIONS(3377),
    [anon_sym_BSLASHacf] = ACTIONS(3377),
    [anon_sym_BSLASHAcf] = ACTIONS(3377),
    [anon_sym_BSLASHacfp] = ACTIONS(3377),
    [anon_sym_BSLASHAcfp] = ACTIONS(3377),
    [anon_sym_BSLASHac] = ACTIONS(3377),
    [anon_sym_BSLASHAc] = ACTIONS(3377),
    [anon_sym_BSLASHacp] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(3379),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(3379),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(3383),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(3385),
    [anon_sym_BSLASHcolor] = ACTIONS(3387),
    [anon_sym_BSLASHpagecolor] = ACTIONS(3387),
    [anon_sym_BSLASHtextcolor] = ACTIONS(3387),
    [anon_sym_BSLASHmathcolor] = ACTIONS(3387),
    [anon_sym_BSLASHcolorbox] = ACTIONS(3387),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(3389),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(3389),
    [anon_sym_BSLASHurl] = ACTIONS(3391),
    [anon_sym_BSLASHhref] = ACTIONS(3391),
  },
  [249] = {
    [sym_block_comment] = STATE(253),
    [sym__flat_content] = STATE(253),
    [sym__text_with_env_content] = STATE(253),
    [sym__text_content] = STATE(253),
    [sym_curly_group] = STATE(253),
    [sym_text] = STATE(253),
    [sym_operator] = STATE(1732),
    [sym_subscript] = STATE(1732),
    [sym_superscript] = STATE(1732),
    [sym__math_content] = STATE(253),
    [sym_displayed_equation] = STATE(253),
    [sym_inline_formula] = STATE(253),
    [sym_math_delimiter] = STATE(253),
    [sym_text_mode] = STATE(253),
    [sym_begin] = STATE(51),
    [sym_generic_environment] = STATE(253),
    [sym_comment_environment] = STATE(253),
    [sym__comment_environment_begin] = STATE(4001),
    [sym_verbatim_environment] = STATE(253),
    [sym__verbatim_environment_begin] = STATE(4002),
    [sym_listing_environment] = STATE(253),
    [sym__listing_environment_begin] = STATE(4004),
    [sym_minted_environment] = STATE(253),
    [sym__minted_environment_begin] = STATE(4005),
    [sym_asy_environment] = STATE(253),
    [sym__asy_environment_begin] = STATE(4007),
    [sym_asydef_environment] = STATE(253),
    [sym__asydef_environment_begin] = STATE(4008),
    [sym_pycode_environment] = STATE(253),
    [sym__pycode_environment_begin] = STATE(4010),
    [sym_luacode_environment] = STATE(253),
    [sym__luacode_environment] = STATE(1832),
    [sym___luacode_environment_begin] = STATE(4011),
    [sym__luacode_environment_star] = STATE(1785),
    [sym___luacode_environment_star_begin] = STATE(4012),
    [sym_sagesilent_environment] = STATE(253),
    [sym__sagesilent_environment_begin] = STATE(4013),
    [sym_sageblock_environment] = STATE(253),
    [sym__sageblock_environment_begin] = STATE(4014),
    [sym_math_environment] = STATE(253),
    [sym__math_environment_begin] = STATE(241),
    [sym__math_environment_end] = STATE(1560),
    [sym__command] = STATE(253),
    [sym_generic_command] = STATE(253),
    [sym_title_declaration] = STATE(253),
    [sym_author_declaration] = STATE(253),
    [sym_package_include] = STATE(253),
    [sym_class_include] = STATE(253),
    [sym_latex_include] = STATE(253),
    [sym_biblatex_include] = STATE(253),
    [sym_bibstyle_include] = STATE(253),
    [sym_bibtex_include] = STATE(253),
    [sym_graphics_include] = STATE(253),
    [sym_svg_include] = STATE(253),
    [sym_inkscape_include] = STATE(253),
    [sym_verbatim_include] = STATE(253),
    [sym_import_include] = STATE(253),
    [sym_caption] = STATE(253),
    [sym_citation] = STATE(253),
    [sym_label_definition] = STATE(253),
    [sym_label_reference] = STATE(253),
    [sym_label_reference_range] = STATE(253),
    [sym_label_number] = STATE(253),
    [sym_new_command_definition] = STATE(253),
    [sym__new_command_definition] = STATE(1786),
    [sym__newer_command_definition] = STATE(1788),
    [sym__new_command_copy] = STATE(1792),
    [sym_old_command_definition] = STATE(253),
    [sym_let_command_definition] = STATE(253),
    [sym_paired_delimiter_definition] = STATE(253),
    [sym_environment_definition] = STATE(253),
    [sym__environment_definition] = STATE(1794),
    [sym__newer_environment_definition] = STATE(1799),
    [sym__new_environment_copy] = STATE(1801),
    [sym_glossary_entry_definition] = STATE(253),
    [sym_glossary_entry_reference] = STATE(253),
    [sym_acronym_definition] = STATE(253),
    [sym_acronym_reference] = STATE(253),
    [sym_theorem_definition] = STATE(253),
    [sym_color_definition] = STATE(253),
    [sym_color_set_definition] = STATE(253),
    [sym_color_reference] = STATE(253),
    [sym_tikz_library_import] = STATE(253),
    [sym_hyperlink] = STATE(253),
    [aux_sym_part_repeat1] = STATE(253),
    [aux_sym_text_repeat1] = STATE(329),
    [sym_command_name] = ACTIONS(3275),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3409),
    [anon_sym_RBRACK] = ACTIONS(3409),
    [anon_sym_COMMA] = ACTIONS(3409),
    [anon_sym_EQ] = ACTIONS(3409),
    [anon_sym_LPAREN] = ACTIONS(3409),
    [anon_sym_RPAREN] = ACTIONS(3409),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [sym_word] = ACTIONS(3283),
    [sym_placeholder] = ACTIONS(3285),
    [sym_delimiter] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_STAR] = ACTIONS(3287),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3289),
    [anon_sym_GT] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_PIPE] = ACTIONS(3289),
    [anon_sym_COLON] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym__] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3293),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(3295),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(3295),
    [anon_sym_DOLLAR] = ACTIONS(3297),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(3299),
    [anon_sym_BSLASHleft] = ACTIONS(3301),
    [anon_sym_BSLASHbigl] = ACTIONS(3301),
    [anon_sym_BSLASHBigl] = ACTIONS(3301),
    [anon_sym_BSLASHbiggl] = ACTIONS(3301),
    [anon_sym_BSLASHBiggl] = ACTIONS(3301),
    [anon_sym_BSLASHtext] = ACTIONS(3303),
    [anon_sym_BSLASHintertext] = ACTIONS(3303),
    [anon_sym_BSLASHshortintertext] = ACTIONS(3303),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(3411),
    [anon_sym_BSLASHtitle] = ACTIONS(3307),
    [anon_sym_BSLASHauthor] = ACTIONS(3309),
    [anon_sym_BSLASHusepackage] = ACTIONS(3311),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3311),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3313),
    [anon_sym_BSLASHinclude] = ACTIONS(3315),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3315),
    [anon_sym_BSLASHinput] = ACTIONS(3315),
    [anon_sym_BSLASHsubfile] = ACTIONS(3315),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3317),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3319),
    [anon_sym_BSLASHbibliography] = ACTIONS(3321),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3323),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3325),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3327),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3329),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3329),
    [anon_sym_BSLASHimport] = ACTIONS(3331),
    [anon_sym_BSLASHsubimport] = ACTIONS(3331),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3331),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHcaption] = ACTIONS(3333),
    [anon_sym_BSLASHcite] = ACTIONS(3335),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCite] = ACTIONS(3335),
    [anon_sym_BSLASHnocite] = ACTIONS(3335),
    [anon_sym_BSLASHcitet] = ACTIONS(3335),
    [anon_sym_BSLASHcitep] = ACTIONS(3335),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteA] = ACTIONS(3335),
    [anon_sym_BSLASHciteR] = ACTIONS(3335),
    [anon_sym_BSLASHciteS] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3335),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteyear] = ACTIONS(3335),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitedate] = ACTIONS(3335),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteurl] = ACTIONS(3335),
    [anon_sym_BSLASHfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3335),
    [anon_sym_BSLASHcitealt] = ACTIONS(3335),
    [anon_sym_BSLASHcitealp] = ACTIONS(3335),
    [anon_sym_BSLASHcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHparencite] = ACTIONS(3335),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHParencite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHtextcite] = ACTIONS(3335),
    [anon_sym_BSLASHTextcite] = ACTIONS(3335),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHsupercite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite] = ACTIONS(3335),
    [anon_sym_BSLASHAutocite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHVolcite] = ACTIONS(3335),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHavolcite] = ACTIONS(3335),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHNotecite] = ACTIONS(3335),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHlabel] = ACTIONS(3339),
    [anon_sym_BSLASHref] = ACTIONS(3341),
    [anon_sym_BSLASHeqref] = ACTIONS(3341),
    [anon_sym_BSLASHvref] = ACTIONS(3341),
    [anon_sym_BSLASHVref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHpageref] = ACTIONS(3341),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHautopageref] = ACTIONS(3341),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcref] = ACTIONS(3341),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHCref] = ACTIONS(3341),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHCpageref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnameCref] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3349),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3351),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHdef] = ACTIONS(3359),
    [anon_sym_BSLASHgdef] = ACTIONS(3359),
    [anon_sym_BSLASHedef] = ACTIONS(3359),
    [anon_sym_BSLASHxdef] = ACTIONS(3359),
    [anon_sym_BSLASHlet] = ACTIONS(3361),
    [anon_sym_BSLASHglet] = ACTIONS(3361),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(3363),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(3363),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(3371),
    [anon_sym_BSLASHgls] = ACTIONS(3373),
    [anon_sym_BSLASHGls] = ACTIONS(3373),
    [anon_sym_BSLASHGLS] = ACTIONS(3373),
    [anon_sym_BSLASHglspl] = ACTIONS(3373),
    [anon_sym_BSLASHGlspl] = ACTIONS(3373),
    [anon_sym_BSLASHGLSpl] = ACTIONS(3373),
    [anon_sym_BSLASHglsdisp] = ACTIONS(3373),
    [anon_sym_BSLASHglslink] = ACTIONS(3373),
    [anon_sym_BSLASHglstext] = ACTIONS(3373),
    [anon_sym_BSLASHGlstext] = ACTIONS(3373),
    [anon_sym_BSLASHGLStext] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(3373),
    [anon_sym_BSLASHglsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsname] = ACTIONS(3373),
    [anon_sym_BSLASHGlsname] = ACTIONS(3373),
    [anon_sym_BSLASHGLSname] = ACTIONS(3373),
    [anon_sym_BSLASHglssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHglsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(3373),
    [anon_sym_BSLASHnewacronym] = ACTIONS(3375),
    [anon_sym_BSLASHacrshort] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshort] = ACTIONS(3377),
    [anon_sym_BSLASHACRshort] = ACTIONS(3377),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrlong] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlong] = ACTIONS(3377),
    [anon_sym_BSLASHACRlong] = ACTIONS(3377),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrfull] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfull] = ACTIONS(3377),
    [anon_sym_BSLASHACRfull] = ACTIONS(3377),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHacs] = ACTIONS(3377),
    [anon_sym_BSLASHAcs] = ACTIONS(3377),
    [anon_sym_BSLASHacsp] = ACTIONS(3377),
    [anon_sym_BSLASHAcsp] = ACTIONS(3377),
    [anon_sym_BSLASHacl] = ACTIONS(3377),
    [anon_sym_BSLASHAcl] = ACTIONS(3377),
    [anon_sym_BSLASHaclp] = ACTIONS(3377),
    [anon_sym_BSLASHAclp] = ACTIONS(3377),
    [anon_sym_BSLASHacf] = ACTIONS(3377),
    [anon_sym_BSLASHAcf] = ACTIONS(3377),
    [anon_sym_BSLASHacfp] = ACTIONS(3377),
    [anon_sym_BSLASHAcfp] = ACTIONS(3377),
    [anon_sym_BSLASHac] = ACTIONS(3377),
    [anon_sym_BSLASHAc] = ACTIONS(3377),
    [anon_sym_BSLASHacp] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(3379),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(3379),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(3383),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(3385),
    [anon_sym_BSLASHcolor] = ACTIONS(3387),
    [anon_sym_BSLASHpagecolor] = ACTIONS(3387),
    [anon_sym_BSLASHtextcolor] = ACTIONS(3387),
    [anon_sym_BSLASHmathcolor] = ACTIONS(3387),
    [anon_sym_BSLASHcolorbox] = ACTIONS(3387),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(3389),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(3389),
    [anon_sym_BSLASHurl] = ACTIONS(3391),
    [anon_sym_BSLASHhref] = ACTIONS(3391),
  },
  [250] = {
    [sym_block_comment] = STATE(244),
    [sym__flat_content] = STATE(244),
    [sym__text_with_env_content] = STATE(244),
    [sym__text_content] = STATE(244),
    [sym_curly_group] = STATE(244),
    [sym_text] = STATE(244),
    [sym_operator] = STATE(1732),
    [sym_subscript] = STATE(1732),
    [sym_superscript] = STATE(1732),
    [sym__math_content] = STATE(244),
    [sym_displayed_equation] = STATE(244),
    [sym_inline_formula] = STATE(244),
    [sym_math_delimiter] = STATE(244),
    [sym_text_mode] = STATE(244),
    [sym_begin] = STATE(51),
    [sym_generic_environment] = STATE(244),
    [sym_comment_environment] = STATE(244),
    [sym__comment_environment_begin] = STATE(4001),
    [sym_verbatim_environment] = STATE(244),
    [sym__verbatim_environment_begin] = STATE(4002),
    [sym_listing_environment] = STATE(244),
    [sym__listing_environment_begin] = STATE(4004),
    [sym_minted_environment] = STATE(244),
    [sym__minted_environment_begin] = STATE(4005),
    [sym_asy_environment] = STATE(244),
    [sym__asy_environment_begin] = STATE(4007),
    [sym_asydef_environment] = STATE(244),
    [sym__asydef_environment_begin] = STATE(4008),
    [sym_pycode_environment] = STATE(244),
    [sym__pycode_environment_begin] = STATE(4010),
    [sym_luacode_environment] = STATE(244),
    [sym__luacode_environment] = STATE(1832),
    [sym___luacode_environment_begin] = STATE(4011),
    [sym__luacode_environment_star] = STATE(1785),
    [sym___luacode_environment_star_begin] = STATE(4012),
    [sym_sagesilent_environment] = STATE(244),
    [sym__sagesilent_environment_begin] = STATE(4013),
    [sym_sageblock_environment] = STATE(244),
    [sym__sageblock_environment_begin] = STATE(4014),
    [sym_math_environment] = STATE(244),
    [sym__math_environment_begin] = STATE(241),
    [sym__math_environment_end] = STATE(591),
    [sym__command] = STATE(244),
    [sym_generic_command] = STATE(244),
    [sym_title_declaration] = STATE(244),
    [sym_author_declaration] = STATE(244),
    [sym_package_include] = STATE(244),
    [sym_class_include] = STATE(244),
    [sym_latex_include] = STATE(244),
    [sym_biblatex_include] = STATE(244),
    [sym_bibstyle_include] = STATE(244),
    [sym_bibtex_include] = STATE(244),
    [sym_graphics_include] = STATE(244),
    [sym_svg_include] = STATE(244),
    [sym_inkscape_include] = STATE(244),
    [sym_verbatim_include] = STATE(244),
    [sym_import_include] = STATE(244),
    [sym_caption] = STATE(244),
    [sym_citation] = STATE(244),
    [sym_label_definition] = STATE(244),
    [sym_label_reference] = STATE(244),
    [sym_label_reference_range] = STATE(244),
    [sym_label_number] = STATE(244),
    [sym_new_command_definition] = STATE(244),
    [sym__new_command_definition] = STATE(1786),
    [sym__newer_command_definition] = STATE(1788),
    [sym__new_command_copy] = STATE(1792),
    [sym_old_command_definition] = STATE(244),
    [sym_let_command_definition] = STATE(244),
    [sym_paired_delimiter_definition] = STATE(244),
    [sym_environment_definition] = STATE(244),
    [sym__environment_definition] = STATE(1794),
    [sym__newer_environment_definition] = STATE(1799),
    [sym__new_environment_copy] = STATE(1801),
    [sym_glossary_entry_definition] = STATE(244),
    [sym_glossary_entry_reference] = STATE(244),
    [sym_acronym_definition] = STATE(244),
    [sym_acronym_reference] = STATE(244),
    [sym_theorem_definition] = STATE(244),
    [sym_color_definition] = STATE(244),
    [sym_color_set_definition] = STATE(244),
    [sym_color_reference] = STATE(244),
    [sym_tikz_library_import] = STATE(244),
    [sym_hyperlink] = STATE(244),
    [aux_sym_part_repeat1] = STATE(244),
    [aux_sym_text_repeat1] = STATE(329),
    [sym_command_name] = ACTIONS(3275),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3413),
    [anon_sym_RBRACK] = ACTIONS(3413),
    [anon_sym_COMMA] = ACTIONS(3413),
    [anon_sym_EQ] = ACTIONS(3413),
    [anon_sym_LPAREN] = ACTIONS(3413),
    [anon_sym_RPAREN] = ACTIONS(3413),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [sym_word] = ACTIONS(3283),
    [sym_placeholder] = ACTIONS(3285),
    [sym_delimiter] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_STAR] = ACTIONS(3287),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3289),
    [anon_sym_GT] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_PIPE] = ACTIONS(3289),
    [anon_sym_COLON] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym__] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3293),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(3295),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(3295),
    [anon_sym_DOLLAR] = ACTIONS(3297),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(3299),
    [anon_sym_BSLASHleft] = ACTIONS(3301),
    [anon_sym_BSLASHbigl] = ACTIONS(3301),
    [anon_sym_BSLASHBigl] = ACTIONS(3301),
    [anon_sym_BSLASHbiggl] = ACTIONS(3301),
    [anon_sym_BSLASHBiggl] = ACTIONS(3301),
    [anon_sym_BSLASHtext] = ACTIONS(3303),
    [anon_sym_BSLASHintertext] = ACTIONS(3303),
    [anon_sym_BSLASHshortintertext] = ACTIONS(3303),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(3403),
    [anon_sym_BSLASHtitle] = ACTIONS(3307),
    [anon_sym_BSLASHauthor] = ACTIONS(3309),
    [anon_sym_BSLASHusepackage] = ACTIONS(3311),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3311),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3313),
    [anon_sym_BSLASHinclude] = ACTIONS(3315),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3315),
    [anon_sym_BSLASHinput] = ACTIONS(3315),
    [anon_sym_BSLASHsubfile] = ACTIONS(3315),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3317),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3319),
    [anon_sym_BSLASHbibliography] = ACTIONS(3321),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3323),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3325),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3327),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3329),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3329),
    [anon_sym_BSLASHimport] = ACTIONS(3331),
    [anon_sym_BSLASHsubimport] = ACTIONS(3331),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3331),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHcaption] = ACTIONS(3333),
    [anon_sym_BSLASHcite] = ACTIONS(3335),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCite] = ACTIONS(3335),
    [anon_sym_BSLASHnocite] = ACTIONS(3335),
    [anon_sym_BSLASHcitet] = ACTIONS(3335),
    [anon_sym_BSLASHcitep] = ACTIONS(3335),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteA] = ACTIONS(3335),
    [anon_sym_BSLASHciteR] = ACTIONS(3335),
    [anon_sym_BSLASHciteS] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3335),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteyear] = ACTIONS(3335),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitedate] = ACTIONS(3335),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteurl] = ACTIONS(3335),
    [anon_sym_BSLASHfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3335),
    [anon_sym_BSLASHcitealt] = ACTIONS(3335),
    [anon_sym_BSLASHcitealp] = ACTIONS(3335),
    [anon_sym_BSLASHcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHparencite] = ACTIONS(3335),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHParencite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHtextcite] = ACTIONS(3335),
    [anon_sym_BSLASHTextcite] = ACTIONS(3335),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHsupercite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite] = ACTIONS(3335),
    [anon_sym_BSLASHAutocite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHVolcite] = ACTIONS(3335),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHavolcite] = ACTIONS(3335),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHNotecite] = ACTIONS(3335),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHlabel] = ACTIONS(3339),
    [anon_sym_BSLASHref] = ACTIONS(3341),
    [anon_sym_BSLASHeqref] = ACTIONS(3341),
    [anon_sym_BSLASHvref] = ACTIONS(3341),
    [anon_sym_BSLASHVref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHpageref] = ACTIONS(3341),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHautopageref] = ACTIONS(3341),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcref] = ACTIONS(3341),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHCref] = ACTIONS(3341),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHCpageref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnameCref] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3349),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3351),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHdef] = ACTIONS(3359),
    [anon_sym_BSLASHgdef] = ACTIONS(3359),
    [anon_sym_BSLASHedef] = ACTIONS(3359),
    [anon_sym_BSLASHxdef] = ACTIONS(3359),
    [anon_sym_BSLASHlet] = ACTIONS(3361),
    [anon_sym_BSLASHglet] = ACTIONS(3361),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(3363),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(3363),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(3371),
    [anon_sym_BSLASHgls] = ACTIONS(3373),
    [anon_sym_BSLASHGls] = ACTIONS(3373),
    [anon_sym_BSLASHGLS] = ACTIONS(3373),
    [anon_sym_BSLASHglspl] = ACTIONS(3373),
    [anon_sym_BSLASHGlspl] = ACTIONS(3373),
    [anon_sym_BSLASHGLSpl] = ACTIONS(3373),
    [anon_sym_BSLASHglsdisp] = ACTIONS(3373),
    [anon_sym_BSLASHglslink] = ACTIONS(3373),
    [anon_sym_BSLASHglstext] = ACTIONS(3373),
    [anon_sym_BSLASHGlstext] = ACTIONS(3373),
    [anon_sym_BSLASHGLStext] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(3373),
    [anon_sym_BSLASHglsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsname] = ACTIONS(3373),
    [anon_sym_BSLASHGlsname] = ACTIONS(3373),
    [anon_sym_BSLASHGLSname] = ACTIONS(3373),
    [anon_sym_BSLASHglssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHglsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(3373),
    [anon_sym_BSLASHnewacronym] = ACTIONS(3375),
    [anon_sym_BSLASHacrshort] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshort] = ACTIONS(3377),
    [anon_sym_BSLASHACRshort] = ACTIONS(3377),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrlong] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlong] = ACTIONS(3377),
    [anon_sym_BSLASHACRlong] = ACTIONS(3377),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrfull] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfull] = ACTIONS(3377),
    [anon_sym_BSLASHACRfull] = ACTIONS(3377),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHacs] = ACTIONS(3377),
    [anon_sym_BSLASHAcs] = ACTIONS(3377),
    [anon_sym_BSLASHacsp] = ACTIONS(3377),
    [anon_sym_BSLASHAcsp] = ACTIONS(3377),
    [anon_sym_BSLASHacl] = ACTIONS(3377),
    [anon_sym_BSLASHAcl] = ACTIONS(3377),
    [anon_sym_BSLASHaclp] = ACTIONS(3377),
    [anon_sym_BSLASHAclp] = ACTIONS(3377),
    [anon_sym_BSLASHacf] = ACTIONS(3377),
    [anon_sym_BSLASHAcf] = ACTIONS(3377),
    [anon_sym_BSLASHacfp] = ACTIONS(3377),
    [anon_sym_BSLASHAcfp] = ACTIONS(3377),
    [anon_sym_BSLASHac] = ACTIONS(3377),
    [anon_sym_BSLASHAc] = ACTIONS(3377),
    [anon_sym_BSLASHacp] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(3379),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(3379),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(3383),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(3385),
    [anon_sym_BSLASHcolor] = ACTIONS(3387),
    [anon_sym_BSLASHpagecolor] = ACTIONS(3387),
    [anon_sym_BSLASHtextcolor] = ACTIONS(3387),
    [anon_sym_BSLASHmathcolor] = ACTIONS(3387),
    [anon_sym_BSLASHcolorbox] = ACTIONS(3387),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(3389),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(3389),
    [anon_sym_BSLASHurl] = ACTIONS(3391),
    [anon_sym_BSLASHhref] = ACTIONS(3391),
  },
  [251] = {
    [sym_block_comment] = STATE(255),
    [sym__flat_content] = STATE(255),
    [sym__text_with_env_content] = STATE(255),
    [sym__text_content] = STATE(255),
    [sym_curly_group] = STATE(255),
    [sym_text] = STATE(255),
    [sym_operator] = STATE(1732),
    [sym_subscript] = STATE(1732),
    [sym_superscript] = STATE(1732),
    [sym__math_content] = STATE(255),
    [sym_displayed_equation] = STATE(255),
    [sym_inline_formula] = STATE(255),
    [sym_math_delimiter] = STATE(255),
    [sym_text_mode] = STATE(255),
    [sym_begin] = STATE(51),
    [sym_generic_environment] = STATE(255),
    [sym_comment_environment] = STATE(255),
    [sym__comment_environment_begin] = STATE(4001),
    [sym_verbatim_environment] = STATE(255),
    [sym__verbatim_environment_begin] = STATE(4002),
    [sym_listing_environment] = STATE(255),
    [sym__listing_environment_begin] = STATE(4004),
    [sym_minted_environment] = STATE(255),
    [sym__minted_environment_begin] = STATE(4005),
    [sym_asy_environment] = STATE(255),
    [sym__asy_environment_begin] = STATE(4007),
    [sym_asydef_environment] = STATE(255),
    [sym__asydef_environment_begin] = STATE(4008),
    [sym_pycode_environment] = STATE(255),
    [sym__pycode_environment_begin] = STATE(4010),
    [sym_luacode_environment] = STATE(255),
    [sym__luacode_environment] = STATE(1832),
    [sym___luacode_environment_begin] = STATE(4011),
    [sym__luacode_environment_star] = STATE(1785),
    [sym___luacode_environment_star_begin] = STATE(4012),
    [sym_sagesilent_environment] = STATE(255),
    [sym__sagesilent_environment_begin] = STATE(4013),
    [sym_sageblock_environment] = STATE(255),
    [sym__sageblock_environment_begin] = STATE(4014),
    [sym_math_environment] = STATE(255),
    [sym__math_environment_begin] = STATE(241),
    [sym__math_environment_end] = STATE(1038),
    [sym__command] = STATE(255),
    [sym_generic_command] = STATE(255),
    [sym_title_declaration] = STATE(255),
    [sym_author_declaration] = STATE(255),
    [sym_package_include] = STATE(255),
    [sym_class_include] = STATE(255),
    [sym_latex_include] = STATE(255),
    [sym_biblatex_include] = STATE(255),
    [sym_bibstyle_include] = STATE(255),
    [sym_bibtex_include] = STATE(255),
    [sym_graphics_include] = STATE(255),
    [sym_svg_include] = STATE(255),
    [sym_inkscape_include] = STATE(255),
    [sym_verbatim_include] = STATE(255),
    [sym_import_include] = STATE(255),
    [sym_caption] = STATE(255),
    [sym_citation] = STATE(255),
    [sym_label_definition] = STATE(255),
    [sym_label_reference] = STATE(255),
    [sym_label_reference_range] = STATE(255),
    [sym_label_number] = STATE(255),
    [sym_new_command_definition] = STATE(255),
    [sym__new_command_definition] = STATE(1786),
    [sym__newer_command_definition] = STATE(1788),
    [sym__new_command_copy] = STATE(1792),
    [sym_old_command_definition] = STATE(255),
    [sym_let_command_definition] = STATE(255),
    [sym_paired_delimiter_definition] = STATE(255),
    [sym_environment_definition] = STATE(255),
    [sym__environment_definition] = STATE(1794),
    [sym__newer_environment_definition] = STATE(1799),
    [sym__new_environment_copy] = STATE(1801),
    [sym_glossary_entry_definition] = STATE(255),
    [sym_glossary_entry_reference] = STATE(255),
    [sym_acronym_definition] = STATE(255),
    [sym_acronym_reference] = STATE(255),
    [sym_theorem_definition] = STATE(255),
    [sym_color_definition] = STATE(255),
    [sym_color_set_definition] = STATE(255),
    [sym_color_reference] = STATE(255),
    [sym_tikz_library_import] = STATE(255),
    [sym_hyperlink] = STATE(255),
    [aux_sym_part_repeat1] = STATE(255),
    [aux_sym_text_repeat1] = STATE(329),
    [sym_command_name] = ACTIONS(3275),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_RBRACK] = ACTIONS(3401),
    [anon_sym_COMMA] = ACTIONS(3401),
    [anon_sym_EQ] = ACTIONS(3401),
    [anon_sym_LPAREN] = ACTIONS(3401),
    [anon_sym_RPAREN] = ACTIONS(3401),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [sym_word] = ACTIONS(3283),
    [sym_placeholder] = ACTIONS(3285),
    [sym_delimiter] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_STAR] = ACTIONS(3287),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3289),
    [anon_sym_GT] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_PIPE] = ACTIONS(3289),
    [anon_sym_COLON] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym__] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3293),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(3295),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(3295),
    [anon_sym_DOLLAR] = ACTIONS(3297),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(3299),
    [anon_sym_BSLASHleft] = ACTIONS(3301),
    [anon_sym_BSLASHbigl] = ACTIONS(3301),
    [anon_sym_BSLASHBigl] = ACTIONS(3301),
    [anon_sym_BSLASHbiggl] = ACTIONS(3301),
    [anon_sym_BSLASHBiggl] = ACTIONS(3301),
    [anon_sym_BSLASHtext] = ACTIONS(3303),
    [anon_sym_BSLASHintertext] = ACTIONS(3303),
    [anon_sym_BSLASHshortintertext] = ACTIONS(3303),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(3395),
    [anon_sym_BSLASHtitle] = ACTIONS(3307),
    [anon_sym_BSLASHauthor] = ACTIONS(3309),
    [anon_sym_BSLASHusepackage] = ACTIONS(3311),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3311),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3313),
    [anon_sym_BSLASHinclude] = ACTIONS(3315),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3315),
    [anon_sym_BSLASHinput] = ACTIONS(3315),
    [anon_sym_BSLASHsubfile] = ACTIONS(3315),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3317),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3319),
    [anon_sym_BSLASHbibliography] = ACTIONS(3321),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3323),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3325),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3327),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3329),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3329),
    [anon_sym_BSLASHimport] = ACTIONS(3331),
    [anon_sym_BSLASHsubimport] = ACTIONS(3331),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3331),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHcaption] = ACTIONS(3333),
    [anon_sym_BSLASHcite] = ACTIONS(3335),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCite] = ACTIONS(3335),
    [anon_sym_BSLASHnocite] = ACTIONS(3335),
    [anon_sym_BSLASHcitet] = ACTIONS(3335),
    [anon_sym_BSLASHcitep] = ACTIONS(3335),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteA] = ACTIONS(3335),
    [anon_sym_BSLASHciteR] = ACTIONS(3335),
    [anon_sym_BSLASHciteS] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3335),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteyear] = ACTIONS(3335),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitedate] = ACTIONS(3335),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteurl] = ACTIONS(3335),
    [anon_sym_BSLASHfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3335),
    [anon_sym_BSLASHcitealt] = ACTIONS(3335),
    [anon_sym_BSLASHcitealp] = ACTIONS(3335),
    [anon_sym_BSLASHcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHparencite] = ACTIONS(3335),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHParencite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHtextcite] = ACTIONS(3335),
    [anon_sym_BSLASHTextcite] = ACTIONS(3335),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHsupercite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite] = ACTIONS(3335),
    [anon_sym_BSLASHAutocite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHVolcite] = ACTIONS(3335),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHavolcite] = ACTIONS(3335),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHNotecite] = ACTIONS(3335),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHlabel] = ACTIONS(3339),
    [anon_sym_BSLASHref] = ACTIONS(3341),
    [anon_sym_BSLASHeqref] = ACTIONS(3341),
    [anon_sym_BSLASHvref] = ACTIONS(3341),
    [anon_sym_BSLASHVref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHpageref] = ACTIONS(3341),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHautopageref] = ACTIONS(3341),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcref] = ACTIONS(3341),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHCref] = ACTIONS(3341),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHCpageref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnameCref] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3349),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3351),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHdef] = ACTIONS(3359),
    [anon_sym_BSLASHgdef] = ACTIONS(3359),
    [anon_sym_BSLASHedef] = ACTIONS(3359),
    [anon_sym_BSLASHxdef] = ACTIONS(3359),
    [anon_sym_BSLASHlet] = ACTIONS(3361),
    [anon_sym_BSLASHglet] = ACTIONS(3361),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(3363),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(3363),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(3371),
    [anon_sym_BSLASHgls] = ACTIONS(3373),
    [anon_sym_BSLASHGls] = ACTIONS(3373),
    [anon_sym_BSLASHGLS] = ACTIONS(3373),
    [anon_sym_BSLASHglspl] = ACTIONS(3373),
    [anon_sym_BSLASHGlspl] = ACTIONS(3373),
    [anon_sym_BSLASHGLSpl] = ACTIONS(3373),
    [anon_sym_BSLASHglsdisp] = ACTIONS(3373),
    [anon_sym_BSLASHglslink] = ACTIONS(3373),
    [anon_sym_BSLASHglstext] = ACTIONS(3373),
    [anon_sym_BSLASHGlstext] = ACTIONS(3373),
    [anon_sym_BSLASHGLStext] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(3373),
    [anon_sym_BSLASHglsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsname] = ACTIONS(3373),
    [anon_sym_BSLASHGlsname] = ACTIONS(3373),
    [anon_sym_BSLASHGLSname] = ACTIONS(3373),
    [anon_sym_BSLASHglssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHglsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(3373),
    [anon_sym_BSLASHnewacronym] = ACTIONS(3375),
    [anon_sym_BSLASHacrshort] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshort] = ACTIONS(3377),
    [anon_sym_BSLASHACRshort] = ACTIONS(3377),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrlong] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlong] = ACTIONS(3377),
    [anon_sym_BSLASHACRlong] = ACTIONS(3377),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrfull] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfull] = ACTIONS(3377),
    [anon_sym_BSLASHACRfull] = ACTIONS(3377),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHacs] = ACTIONS(3377),
    [anon_sym_BSLASHAcs] = ACTIONS(3377),
    [anon_sym_BSLASHacsp] = ACTIONS(3377),
    [anon_sym_BSLASHAcsp] = ACTIONS(3377),
    [anon_sym_BSLASHacl] = ACTIONS(3377),
    [anon_sym_BSLASHAcl] = ACTIONS(3377),
    [anon_sym_BSLASHaclp] = ACTIONS(3377),
    [anon_sym_BSLASHAclp] = ACTIONS(3377),
    [anon_sym_BSLASHacf] = ACTIONS(3377),
    [anon_sym_BSLASHAcf] = ACTIONS(3377),
    [anon_sym_BSLASHacfp] = ACTIONS(3377),
    [anon_sym_BSLASHAcfp] = ACTIONS(3377),
    [anon_sym_BSLASHac] = ACTIONS(3377),
    [anon_sym_BSLASHAc] = ACTIONS(3377),
    [anon_sym_BSLASHacp] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(3379),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(3379),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(3383),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(3385),
    [anon_sym_BSLASHcolor] = ACTIONS(3387),
    [anon_sym_BSLASHpagecolor] = ACTIONS(3387),
    [anon_sym_BSLASHtextcolor] = ACTIONS(3387),
    [anon_sym_BSLASHmathcolor] = ACTIONS(3387),
    [anon_sym_BSLASHcolorbox] = ACTIONS(3387),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(3389),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(3389),
    [anon_sym_BSLASHurl] = ACTIONS(3391),
    [anon_sym_BSLASHhref] = ACTIONS(3391),
  },
  [252] = {
    [sym_block_comment] = STATE(254),
    [sym__flat_content] = STATE(254),
    [sym__text_with_env_content] = STATE(254),
    [sym__text_content] = STATE(254),
    [sym_curly_group] = STATE(254),
    [sym_text] = STATE(254),
    [sym_operator] = STATE(1732),
    [sym_subscript] = STATE(1732),
    [sym_superscript] = STATE(1732),
    [sym__math_content] = STATE(254),
    [sym_displayed_equation] = STATE(254),
    [sym_inline_formula] = STATE(254),
    [sym_math_delimiter] = STATE(254),
    [sym_text_mode] = STATE(254),
    [sym_begin] = STATE(51),
    [sym_generic_environment] = STATE(254),
    [sym_comment_environment] = STATE(254),
    [sym__comment_environment_begin] = STATE(4001),
    [sym_verbatim_environment] = STATE(254),
    [sym__verbatim_environment_begin] = STATE(4002),
    [sym_listing_environment] = STATE(254),
    [sym__listing_environment_begin] = STATE(4004),
    [sym_minted_environment] = STATE(254),
    [sym__minted_environment_begin] = STATE(4005),
    [sym_asy_environment] = STATE(254),
    [sym__asy_environment_begin] = STATE(4007),
    [sym_asydef_environment] = STATE(254),
    [sym__asydef_environment_begin] = STATE(4008),
    [sym_pycode_environment] = STATE(254),
    [sym__pycode_environment_begin] = STATE(4010),
    [sym_luacode_environment] = STATE(254),
    [sym__luacode_environment] = STATE(1832),
    [sym___luacode_environment_begin] = STATE(4011),
    [sym__luacode_environment_star] = STATE(1785),
    [sym___luacode_environment_star_begin] = STATE(4012),
    [sym_sagesilent_environment] = STATE(254),
    [sym__sagesilent_environment_begin] = STATE(4013),
    [sym_sageblock_environment] = STATE(254),
    [sym__sageblock_environment_begin] = STATE(4014),
    [sym_math_environment] = STATE(254),
    [sym__math_environment_begin] = STATE(241),
    [sym__math_environment_end] = STATE(1216),
    [sym__command] = STATE(254),
    [sym_generic_command] = STATE(254),
    [sym_title_declaration] = STATE(254),
    [sym_author_declaration] = STATE(254),
    [sym_package_include] = STATE(254),
    [sym_class_include] = STATE(254),
    [sym_latex_include] = STATE(254),
    [sym_biblatex_include] = STATE(254),
    [sym_bibstyle_include] = STATE(254),
    [sym_bibtex_include] = STATE(254),
    [sym_graphics_include] = STATE(254),
    [sym_svg_include] = STATE(254),
    [sym_inkscape_include] = STATE(254),
    [sym_verbatim_include] = STATE(254),
    [sym_import_include] = STATE(254),
    [sym_caption] = STATE(254),
    [sym_citation] = STATE(254),
    [sym_label_definition] = STATE(254),
    [sym_label_reference] = STATE(254),
    [sym_label_reference_range] = STATE(254),
    [sym_label_number] = STATE(254),
    [sym_new_command_definition] = STATE(254),
    [sym__new_command_definition] = STATE(1786),
    [sym__newer_command_definition] = STATE(1788),
    [sym__new_command_copy] = STATE(1792),
    [sym_old_command_definition] = STATE(254),
    [sym_let_command_definition] = STATE(254),
    [sym_paired_delimiter_definition] = STATE(254),
    [sym_environment_definition] = STATE(254),
    [sym__environment_definition] = STATE(1794),
    [sym__newer_environment_definition] = STATE(1799),
    [sym__new_environment_copy] = STATE(1801),
    [sym_glossary_entry_definition] = STATE(254),
    [sym_glossary_entry_reference] = STATE(254),
    [sym_acronym_definition] = STATE(254),
    [sym_acronym_reference] = STATE(254),
    [sym_theorem_definition] = STATE(254),
    [sym_color_definition] = STATE(254),
    [sym_color_set_definition] = STATE(254),
    [sym_color_reference] = STATE(254),
    [sym_tikz_library_import] = STATE(254),
    [sym_hyperlink] = STATE(254),
    [aux_sym_part_repeat1] = STATE(254),
    [aux_sym_text_repeat1] = STATE(329),
    [sym_command_name] = ACTIONS(3275),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3415),
    [anon_sym_RBRACK] = ACTIONS(3415),
    [anon_sym_COMMA] = ACTIONS(3415),
    [anon_sym_EQ] = ACTIONS(3415),
    [anon_sym_LPAREN] = ACTIONS(3415),
    [anon_sym_RPAREN] = ACTIONS(3415),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [sym_word] = ACTIONS(3283),
    [sym_placeholder] = ACTIONS(3285),
    [sym_delimiter] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_STAR] = ACTIONS(3287),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3289),
    [anon_sym_GT] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_PIPE] = ACTIONS(3289),
    [anon_sym_COLON] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym__] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3293),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(3295),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(3295),
    [anon_sym_DOLLAR] = ACTIONS(3297),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(3299),
    [anon_sym_BSLASHleft] = ACTIONS(3301),
    [anon_sym_BSLASHbigl] = ACTIONS(3301),
    [anon_sym_BSLASHBigl] = ACTIONS(3301),
    [anon_sym_BSLASHbiggl] = ACTIONS(3301),
    [anon_sym_BSLASHBiggl] = ACTIONS(3301),
    [anon_sym_BSLASHtext] = ACTIONS(3303),
    [anon_sym_BSLASHintertext] = ACTIONS(3303),
    [anon_sym_BSLASHshortintertext] = ACTIONS(3303),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(3417),
    [anon_sym_BSLASHtitle] = ACTIONS(3307),
    [anon_sym_BSLASHauthor] = ACTIONS(3309),
    [anon_sym_BSLASHusepackage] = ACTIONS(3311),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3311),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3313),
    [anon_sym_BSLASHinclude] = ACTIONS(3315),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3315),
    [anon_sym_BSLASHinput] = ACTIONS(3315),
    [anon_sym_BSLASHsubfile] = ACTIONS(3315),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3317),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3319),
    [anon_sym_BSLASHbibliography] = ACTIONS(3321),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3323),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3325),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3327),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3329),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3329),
    [anon_sym_BSLASHimport] = ACTIONS(3331),
    [anon_sym_BSLASHsubimport] = ACTIONS(3331),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3331),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHcaption] = ACTIONS(3333),
    [anon_sym_BSLASHcite] = ACTIONS(3335),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCite] = ACTIONS(3335),
    [anon_sym_BSLASHnocite] = ACTIONS(3335),
    [anon_sym_BSLASHcitet] = ACTIONS(3335),
    [anon_sym_BSLASHcitep] = ACTIONS(3335),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteA] = ACTIONS(3335),
    [anon_sym_BSLASHciteR] = ACTIONS(3335),
    [anon_sym_BSLASHciteS] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3335),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteyear] = ACTIONS(3335),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitedate] = ACTIONS(3335),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteurl] = ACTIONS(3335),
    [anon_sym_BSLASHfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3335),
    [anon_sym_BSLASHcitealt] = ACTIONS(3335),
    [anon_sym_BSLASHcitealp] = ACTIONS(3335),
    [anon_sym_BSLASHcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHparencite] = ACTIONS(3335),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHParencite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHtextcite] = ACTIONS(3335),
    [anon_sym_BSLASHTextcite] = ACTIONS(3335),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHsupercite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite] = ACTIONS(3335),
    [anon_sym_BSLASHAutocite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHVolcite] = ACTIONS(3335),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHavolcite] = ACTIONS(3335),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHNotecite] = ACTIONS(3335),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHlabel] = ACTIONS(3339),
    [anon_sym_BSLASHref] = ACTIONS(3341),
    [anon_sym_BSLASHeqref] = ACTIONS(3341),
    [anon_sym_BSLASHvref] = ACTIONS(3341),
    [anon_sym_BSLASHVref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHpageref] = ACTIONS(3341),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHautopageref] = ACTIONS(3341),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcref] = ACTIONS(3341),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHCref] = ACTIONS(3341),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHCpageref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnameCref] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3349),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3351),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHdef] = ACTIONS(3359),
    [anon_sym_BSLASHgdef] = ACTIONS(3359),
    [anon_sym_BSLASHedef] = ACTIONS(3359),
    [anon_sym_BSLASHxdef] = ACTIONS(3359),
    [anon_sym_BSLASHlet] = ACTIONS(3361),
    [anon_sym_BSLASHglet] = ACTIONS(3361),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(3363),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(3363),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(3371),
    [anon_sym_BSLASHgls] = ACTIONS(3373),
    [anon_sym_BSLASHGls] = ACTIONS(3373),
    [anon_sym_BSLASHGLS] = ACTIONS(3373),
    [anon_sym_BSLASHglspl] = ACTIONS(3373),
    [anon_sym_BSLASHGlspl] = ACTIONS(3373),
    [anon_sym_BSLASHGLSpl] = ACTIONS(3373),
    [anon_sym_BSLASHglsdisp] = ACTIONS(3373),
    [anon_sym_BSLASHglslink] = ACTIONS(3373),
    [anon_sym_BSLASHglstext] = ACTIONS(3373),
    [anon_sym_BSLASHGlstext] = ACTIONS(3373),
    [anon_sym_BSLASHGLStext] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(3373),
    [anon_sym_BSLASHglsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsname] = ACTIONS(3373),
    [anon_sym_BSLASHGlsname] = ACTIONS(3373),
    [anon_sym_BSLASHGLSname] = ACTIONS(3373),
    [anon_sym_BSLASHglssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHglsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(3373),
    [anon_sym_BSLASHnewacronym] = ACTIONS(3375),
    [anon_sym_BSLASHacrshort] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshort] = ACTIONS(3377),
    [anon_sym_BSLASHACRshort] = ACTIONS(3377),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrlong] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlong] = ACTIONS(3377),
    [anon_sym_BSLASHACRlong] = ACTIONS(3377),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrfull] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfull] = ACTIONS(3377),
    [anon_sym_BSLASHACRfull] = ACTIONS(3377),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHacs] = ACTIONS(3377),
    [anon_sym_BSLASHAcs] = ACTIONS(3377),
    [anon_sym_BSLASHacsp] = ACTIONS(3377),
    [anon_sym_BSLASHAcsp] = ACTIONS(3377),
    [anon_sym_BSLASHacl] = ACTIONS(3377),
    [anon_sym_BSLASHAcl] = ACTIONS(3377),
    [anon_sym_BSLASHaclp] = ACTIONS(3377),
    [anon_sym_BSLASHAclp] = ACTIONS(3377),
    [anon_sym_BSLASHacf] = ACTIONS(3377),
    [anon_sym_BSLASHAcf] = ACTIONS(3377),
    [anon_sym_BSLASHacfp] = ACTIONS(3377),
    [anon_sym_BSLASHAcfp] = ACTIONS(3377),
    [anon_sym_BSLASHac] = ACTIONS(3377),
    [anon_sym_BSLASHAc] = ACTIONS(3377),
    [anon_sym_BSLASHacp] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(3379),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(3379),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(3383),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(3385),
    [anon_sym_BSLASHcolor] = ACTIONS(3387),
    [anon_sym_BSLASHpagecolor] = ACTIONS(3387),
    [anon_sym_BSLASHtextcolor] = ACTIONS(3387),
    [anon_sym_BSLASHmathcolor] = ACTIONS(3387),
    [anon_sym_BSLASHcolorbox] = ACTIONS(3387),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(3389),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(3389),
    [anon_sym_BSLASHurl] = ACTIONS(3391),
    [anon_sym_BSLASHhref] = ACTIONS(3391),
  },
  [253] = {
    [sym_block_comment] = STATE(255),
    [sym__flat_content] = STATE(255),
    [sym__text_with_env_content] = STATE(255),
    [sym__text_content] = STATE(255),
    [sym_curly_group] = STATE(255),
    [sym_text] = STATE(255),
    [sym_operator] = STATE(1732),
    [sym_subscript] = STATE(1732),
    [sym_superscript] = STATE(1732),
    [sym__math_content] = STATE(255),
    [sym_displayed_equation] = STATE(255),
    [sym_inline_formula] = STATE(255),
    [sym_math_delimiter] = STATE(255),
    [sym_text_mode] = STATE(255),
    [sym_begin] = STATE(51),
    [sym_generic_environment] = STATE(255),
    [sym_comment_environment] = STATE(255),
    [sym__comment_environment_begin] = STATE(4001),
    [sym_verbatim_environment] = STATE(255),
    [sym__verbatim_environment_begin] = STATE(4002),
    [sym_listing_environment] = STATE(255),
    [sym__listing_environment_begin] = STATE(4004),
    [sym_minted_environment] = STATE(255),
    [sym__minted_environment_begin] = STATE(4005),
    [sym_asy_environment] = STATE(255),
    [sym__asy_environment_begin] = STATE(4007),
    [sym_asydef_environment] = STATE(255),
    [sym__asydef_environment_begin] = STATE(4008),
    [sym_pycode_environment] = STATE(255),
    [sym__pycode_environment_begin] = STATE(4010),
    [sym_luacode_environment] = STATE(255),
    [sym__luacode_environment] = STATE(1832),
    [sym___luacode_environment_begin] = STATE(4011),
    [sym__luacode_environment_star] = STATE(1785),
    [sym___luacode_environment_star_begin] = STATE(4012),
    [sym_sagesilent_environment] = STATE(255),
    [sym__sagesilent_environment_begin] = STATE(4013),
    [sym_sageblock_environment] = STATE(255),
    [sym__sageblock_environment_begin] = STATE(4014),
    [sym_math_environment] = STATE(255),
    [sym__math_environment_begin] = STATE(241),
    [sym__math_environment_end] = STATE(1620),
    [sym__command] = STATE(255),
    [sym_generic_command] = STATE(255),
    [sym_title_declaration] = STATE(255),
    [sym_author_declaration] = STATE(255),
    [sym_package_include] = STATE(255),
    [sym_class_include] = STATE(255),
    [sym_latex_include] = STATE(255),
    [sym_biblatex_include] = STATE(255),
    [sym_bibstyle_include] = STATE(255),
    [sym_bibtex_include] = STATE(255),
    [sym_graphics_include] = STATE(255),
    [sym_svg_include] = STATE(255),
    [sym_inkscape_include] = STATE(255),
    [sym_verbatim_include] = STATE(255),
    [sym_import_include] = STATE(255),
    [sym_caption] = STATE(255),
    [sym_citation] = STATE(255),
    [sym_label_definition] = STATE(255),
    [sym_label_reference] = STATE(255),
    [sym_label_reference_range] = STATE(255),
    [sym_label_number] = STATE(255),
    [sym_new_command_definition] = STATE(255),
    [sym__new_command_definition] = STATE(1786),
    [sym__newer_command_definition] = STATE(1788),
    [sym__new_command_copy] = STATE(1792),
    [sym_old_command_definition] = STATE(255),
    [sym_let_command_definition] = STATE(255),
    [sym_paired_delimiter_definition] = STATE(255),
    [sym_environment_definition] = STATE(255),
    [sym__environment_definition] = STATE(1794),
    [sym__newer_environment_definition] = STATE(1799),
    [sym__new_environment_copy] = STATE(1801),
    [sym_glossary_entry_definition] = STATE(255),
    [sym_glossary_entry_reference] = STATE(255),
    [sym_acronym_definition] = STATE(255),
    [sym_acronym_reference] = STATE(255),
    [sym_theorem_definition] = STATE(255),
    [sym_color_definition] = STATE(255),
    [sym_color_set_definition] = STATE(255),
    [sym_color_reference] = STATE(255),
    [sym_tikz_library_import] = STATE(255),
    [sym_hyperlink] = STATE(255),
    [aux_sym_part_repeat1] = STATE(255),
    [aux_sym_text_repeat1] = STATE(329),
    [sym_command_name] = ACTIONS(3275),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_RBRACK] = ACTIONS(3401),
    [anon_sym_COMMA] = ACTIONS(3401),
    [anon_sym_EQ] = ACTIONS(3401),
    [anon_sym_LPAREN] = ACTIONS(3401),
    [anon_sym_RPAREN] = ACTIONS(3401),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [sym_word] = ACTIONS(3283),
    [sym_placeholder] = ACTIONS(3285),
    [sym_delimiter] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_STAR] = ACTIONS(3287),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3289),
    [anon_sym_GT] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_PIPE] = ACTIONS(3289),
    [anon_sym_COLON] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym__] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3293),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(3295),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(3295),
    [anon_sym_DOLLAR] = ACTIONS(3297),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(3299),
    [anon_sym_BSLASHleft] = ACTIONS(3301),
    [anon_sym_BSLASHbigl] = ACTIONS(3301),
    [anon_sym_BSLASHBigl] = ACTIONS(3301),
    [anon_sym_BSLASHbiggl] = ACTIONS(3301),
    [anon_sym_BSLASHBiggl] = ACTIONS(3301),
    [anon_sym_BSLASHtext] = ACTIONS(3303),
    [anon_sym_BSLASHintertext] = ACTIONS(3303),
    [anon_sym_BSLASHshortintertext] = ACTIONS(3303),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(3411),
    [anon_sym_BSLASHtitle] = ACTIONS(3307),
    [anon_sym_BSLASHauthor] = ACTIONS(3309),
    [anon_sym_BSLASHusepackage] = ACTIONS(3311),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3311),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3313),
    [anon_sym_BSLASHinclude] = ACTIONS(3315),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3315),
    [anon_sym_BSLASHinput] = ACTIONS(3315),
    [anon_sym_BSLASHsubfile] = ACTIONS(3315),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3317),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3319),
    [anon_sym_BSLASHbibliography] = ACTIONS(3321),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3323),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3325),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3327),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3329),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3329),
    [anon_sym_BSLASHimport] = ACTIONS(3331),
    [anon_sym_BSLASHsubimport] = ACTIONS(3331),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3331),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHcaption] = ACTIONS(3333),
    [anon_sym_BSLASHcite] = ACTIONS(3335),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCite] = ACTIONS(3335),
    [anon_sym_BSLASHnocite] = ACTIONS(3335),
    [anon_sym_BSLASHcitet] = ACTIONS(3335),
    [anon_sym_BSLASHcitep] = ACTIONS(3335),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteA] = ACTIONS(3335),
    [anon_sym_BSLASHciteR] = ACTIONS(3335),
    [anon_sym_BSLASHciteS] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3335),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteyear] = ACTIONS(3335),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitedate] = ACTIONS(3335),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteurl] = ACTIONS(3335),
    [anon_sym_BSLASHfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3335),
    [anon_sym_BSLASHcitealt] = ACTIONS(3335),
    [anon_sym_BSLASHcitealp] = ACTIONS(3335),
    [anon_sym_BSLASHcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHparencite] = ACTIONS(3335),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHParencite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHtextcite] = ACTIONS(3335),
    [anon_sym_BSLASHTextcite] = ACTIONS(3335),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHsupercite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite] = ACTIONS(3335),
    [anon_sym_BSLASHAutocite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHVolcite] = ACTIONS(3335),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHavolcite] = ACTIONS(3335),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHNotecite] = ACTIONS(3335),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHlabel] = ACTIONS(3339),
    [anon_sym_BSLASHref] = ACTIONS(3341),
    [anon_sym_BSLASHeqref] = ACTIONS(3341),
    [anon_sym_BSLASHvref] = ACTIONS(3341),
    [anon_sym_BSLASHVref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHpageref] = ACTIONS(3341),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHautopageref] = ACTIONS(3341),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcref] = ACTIONS(3341),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHCref] = ACTIONS(3341),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHCpageref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnameCref] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3349),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3351),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHdef] = ACTIONS(3359),
    [anon_sym_BSLASHgdef] = ACTIONS(3359),
    [anon_sym_BSLASHedef] = ACTIONS(3359),
    [anon_sym_BSLASHxdef] = ACTIONS(3359),
    [anon_sym_BSLASHlet] = ACTIONS(3361),
    [anon_sym_BSLASHglet] = ACTIONS(3361),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(3363),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(3363),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(3371),
    [anon_sym_BSLASHgls] = ACTIONS(3373),
    [anon_sym_BSLASHGls] = ACTIONS(3373),
    [anon_sym_BSLASHGLS] = ACTIONS(3373),
    [anon_sym_BSLASHglspl] = ACTIONS(3373),
    [anon_sym_BSLASHGlspl] = ACTIONS(3373),
    [anon_sym_BSLASHGLSpl] = ACTIONS(3373),
    [anon_sym_BSLASHglsdisp] = ACTIONS(3373),
    [anon_sym_BSLASHglslink] = ACTIONS(3373),
    [anon_sym_BSLASHglstext] = ACTIONS(3373),
    [anon_sym_BSLASHGlstext] = ACTIONS(3373),
    [anon_sym_BSLASHGLStext] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(3373),
    [anon_sym_BSLASHglsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsname] = ACTIONS(3373),
    [anon_sym_BSLASHGlsname] = ACTIONS(3373),
    [anon_sym_BSLASHGLSname] = ACTIONS(3373),
    [anon_sym_BSLASHglssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHglsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(3373),
    [anon_sym_BSLASHnewacronym] = ACTIONS(3375),
    [anon_sym_BSLASHacrshort] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshort] = ACTIONS(3377),
    [anon_sym_BSLASHACRshort] = ACTIONS(3377),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrlong] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlong] = ACTIONS(3377),
    [anon_sym_BSLASHACRlong] = ACTIONS(3377),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrfull] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfull] = ACTIONS(3377),
    [anon_sym_BSLASHACRfull] = ACTIONS(3377),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHacs] = ACTIONS(3377),
    [anon_sym_BSLASHAcs] = ACTIONS(3377),
    [anon_sym_BSLASHacsp] = ACTIONS(3377),
    [anon_sym_BSLASHAcsp] = ACTIONS(3377),
    [anon_sym_BSLASHacl] = ACTIONS(3377),
    [anon_sym_BSLASHAcl] = ACTIONS(3377),
    [anon_sym_BSLASHaclp] = ACTIONS(3377),
    [anon_sym_BSLASHAclp] = ACTIONS(3377),
    [anon_sym_BSLASHacf] = ACTIONS(3377),
    [anon_sym_BSLASHAcf] = ACTIONS(3377),
    [anon_sym_BSLASHacfp] = ACTIONS(3377),
    [anon_sym_BSLASHAcfp] = ACTIONS(3377),
    [anon_sym_BSLASHac] = ACTIONS(3377),
    [anon_sym_BSLASHAc] = ACTIONS(3377),
    [anon_sym_BSLASHacp] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(3379),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(3379),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(3383),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(3385),
    [anon_sym_BSLASHcolor] = ACTIONS(3387),
    [anon_sym_BSLASHpagecolor] = ACTIONS(3387),
    [anon_sym_BSLASHtextcolor] = ACTIONS(3387),
    [anon_sym_BSLASHmathcolor] = ACTIONS(3387),
    [anon_sym_BSLASHcolorbox] = ACTIONS(3387),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(3389),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(3389),
    [anon_sym_BSLASHurl] = ACTIONS(3391),
    [anon_sym_BSLASHhref] = ACTIONS(3391),
  },
  [254] = {
    [sym_block_comment] = STATE(255),
    [sym__flat_content] = STATE(255),
    [sym__text_with_env_content] = STATE(255),
    [sym__text_content] = STATE(255),
    [sym_curly_group] = STATE(255),
    [sym_text] = STATE(255),
    [sym_operator] = STATE(1732),
    [sym_subscript] = STATE(1732),
    [sym_superscript] = STATE(1732),
    [sym__math_content] = STATE(255),
    [sym_displayed_equation] = STATE(255),
    [sym_inline_formula] = STATE(255),
    [sym_math_delimiter] = STATE(255),
    [sym_text_mode] = STATE(255),
    [sym_begin] = STATE(51),
    [sym_generic_environment] = STATE(255),
    [sym_comment_environment] = STATE(255),
    [sym__comment_environment_begin] = STATE(4001),
    [sym_verbatim_environment] = STATE(255),
    [sym__verbatim_environment_begin] = STATE(4002),
    [sym_listing_environment] = STATE(255),
    [sym__listing_environment_begin] = STATE(4004),
    [sym_minted_environment] = STATE(255),
    [sym__minted_environment_begin] = STATE(4005),
    [sym_asy_environment] = STATE(255),
    [sym__asy_environment_begin] = STATE(4007),
    [sym_asydef_environment] = STATE(255),
    [sym__asydef_environment_begin] = STATE(4008),
    [sym_pycode_environment] = STATE(255),
    [sym__pycode_environment_begin] = STATE(4010),
    [sym_luacode_environment] = STATE(255),
    [sym__luacode_environment] = STATE(1832),
    [sym___luacode_environment_begin] = STATE(4011),
    [sym__luacode_environment_star] = STATE(1785),
    [sym___luacode_environment_star_begin] = STATE(4012),
    [sym_sagesilent_environment] = STATE(255),
    [sym__sagesilent_environment_begin] = STATE(4013),
    [sym_sageblock_environment] = STATE(255),
    [sym__sageblock_environment_begin] = STATE(4014),
    [sym_math_environment] = STATE(255),
    [sym__math_environment_begin] = STATE(241),
    [sym__math_environment_end] = STATE(1303),
    [sym__command] = STATE(255),
    [sym_generic_command] = STATE(255),
    [sym_title_declaration] = STATE(255),
    [sym_author_declaration] = STATE(255),
    [sym_package_include] = STATE(255),
    [sym_class_include] = STATE(255),
    [sym_latex_include] = STATE(255),
    [sym_biblatex_include] = STATE(255),
    [sym_bibstyle_include] = STATE(255),
    [sym_bibtex_include] = STATE(255),
    [sym_graphics_include] = STATE(255),
    [sym_svg_include] = STATE(255),
    [sym_inkscape_include] = STATE(255),
    [sym_verbatim_include] = STATE(255),
    [sym_import_include] = STATE(255),
    [sym_caption] = STATE(255),
    [sym_citation] = STATE(255),
    [sym_label_definition] = STATE(255),
    [sym_label_reference] = STATE(255),
    [sym_label_reference_range] = STATE(255),
    [sym_label_number] = STATE(255),
    [sym_new_command_definition] = STATE(255),
    [sym__new_command_definition] = STATE(1786),
    [sym__newer_command_definition] = STATE(1788),
    [sym__new_command_copy] = STATE(1792),
    [sym_old_command_definition] = STATE(255),
    [sym_let_command_definition] = STATE(255),
    [sym_paired_delimiter_definition] = STATE(255),
    [sym_environment_definition] = STATE(255),
    [sym__environment_definition] = STATE(1794),
    [sym__newer_environment_definition] = STATE(1799),
    [sym__new_environment_copy] = STATE(1801),
    [sym_glossary_entry_definition] = STATE(255),
    [sym_glossary_entry_reference] = STATE(255),
    [sym_acronym_definition] = STATE(255),
    [sym_acronym_reference] = STATE(255),
    [sym_theorem_definition] = STATE(255),
    [sym_color_definition] = STATE(255),
    [sym_color_set_definition] = STATE(255),
    [sym_color_reference] = STATE(255),
    [sym_tikz_library_import] = STATE(255),
    [sym_hyperlink] = STATE(255),
    [aux_sym_part_repeat1] = STATE(255),
    [aux_sym_text_repeat1] = STATE(329),
    [sym_command_name] = ACTIONS(3275),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_RBRACK] = ACTIONS(3401),
    [anon_sym_COMMA] = ACTIONS(3401),
    [anon_sym_EQ] = ACTIONS(3401),
    [anon_sym_LPAREN] = ACTIONS(3401),
    [anon_sym_RPAREN] = ACTIONS(3401),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [sym_word] = ACTIONS(3283),
    [sym_placeholder] = ACTIONS(3285),
    [sym_delimiter] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_STAR] = ACTIONS(3287),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3289),
    [anon_sym_GT] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_PIPE] = ACTIONS(3289),
    [anon_sym_COLON] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym__] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3293),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(3295),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(3295),
    [anon_sym_DOLLAR] = ACTIONS(3297),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(3299),
    [anon_sym_BSLASHleft] = ACTIONS(3301),
    [anon_sym_BSLASHbigl] = ACTIONS(3301),
    [anon_sym_BSLASHBigl] = ACTIONS(3301),
    [anon_sym_BSLASHbiggl] = ACTIONS(3301),
    [anon_sym_BSLASHBiggl] = ACTIONS(3301),
    [anon_sym_BSLASHtext] = ACTIONS(3303),
    [anon_sym_BSLASHintertext] = ACTIONS(3303),
    [anon_sym_BSLASHshortintertext] = ACTIONS(3303),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHend] = ACTIONS(3417),
    [anon_sym_BSLASHtitle] = ACTIONS(3307),
    [anon_sym_BSLASHauthor] = ACTIONS(3309),
    [anon_sym_BSLASHusepackage] = ACTIONS(3311),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3311),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3313),
    [anon_sym_BSLASHinclude] = ACTIONS(3315),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3315),
    [anon_sym_BSLASHinput] = ACTIONS(3315),
    [anon_sym_BSLASHsubfile] = ACTIONS(3315),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3317),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3319),
    [anon_sym_BSLASHbibliography] = ACTIONS(3321),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3323),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3325),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3327),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3329),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3329),
    [anon_sym_BSLASHimport] = ACTIONS(3331),
    [anon_sym_BSLASHsubimport] = ACTIONS(3331),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3331),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHcaption] = ACTIONS(3333),
    [anon_sym_BSLASHcite] = ACTIONS(3335),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCite] = ACTIONS(3335),
    [anon_sym_BSLASHnocite] = ACTIONS(3335),
    [anon_sym_BSLASHcitet] = ACTIONS(3335),
    [anon_sym_BSLASHcitep] = ACTIONS(3335),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteA] = ACTIONS(3335),
    [anon_sym_BSLASHciteR] = ACTIONS(3335),
    [anon_sym_BSLASHciteS] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3335),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteyear] = ACTIONS(3335),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitedate] = ACTIONS(3335),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteurl] = ACTIONS(3335),
    [anon_sym_BSLASHfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3335),
    [anon_sym_BSLASHcitealt] = ACTIONS(3335),
    [anon_sym_BSLASHcitealp] = ACTIONS(3335),
    [anon_sym_BSLASHcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHparencite] = ACTIONS(3335),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHParencite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHtextcite] = ACTIONS(3335),
    [anon_sym_BSLASHTextcite] = ACTIONS(3335),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHsupercite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite] = ACTIONS(3335),
    [anon_sym_BSLASHAutocite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHVolcite] = ACTIONS(3335),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHavolcite] = ACTIONS(3335),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHNotecite] = ACTIONS(3335),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHlabel] = ACTIONS(3339),
    [anon_sym_BSLASHref] = ACTIONS(3341),
    [anon_sym_BSLASHeqref] = ACTIONS(3341),
    [anon_sym_BSLASHvref] = ACTIONS(3341),
    [anon_sym_BSLASHVref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHpageref] = ACTIONS(3341),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHautopageref] = ACTIONS(3341),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcref] = ACTIONS(3341),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHCref] = ACTIONS(3341),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHCpageref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnameCref] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3349),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3351),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHdef] = ACTIONS(3359),
    [anon_sym_BSLASHgdef] = ACTIONS(3359),
    [anon_sym_BSLASHedef] = ACTIONS(3359),
    [anon_sym_BSLASHxdef] = ACTIONS(3359),
    [anon_sym_BSLASHlet] = ACTIONS(3361),
    [anon_sym_BSLASHglet] = ACTIONS(3361),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(3363),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(3363),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(3371),
    [anon_sym_BSLASHgls] = ACTIONS(3373),
    [anon_sym_BSLASHGls] = ACTIONS(3373),
    [anon_sym_BSLASHGLS] = ACTIONS(3373),
    [anon_sym_BSLASHglspl] = ACTIONS(3373),
    [anon_sym_BSLASHGlspl] = ACTIONS(3373),
    [anon_sym_BSLASHGLSpl] = ACTIONS(3373),
    [anon_sym_BSLASHglsdisp] = ACTIONS(3373),
    [anon_sym_BSLASHglslink] = ACTIONS(3373),
    [anon_sym_BSLASHglstext] = ACTIONS(3373),
    [anon_sym_BSLASHGlstext] = ACTIONS(3373),
    [anon_sym_BSLASHGLStext] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(3373),
    [anon_sym_BSLASHglsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsname] = ACTIONS(3373),
    [anon_sym_BSLASHGlsname] = ACTIONS(3373),
    [anon_sym_BSLASHGLSname] = ACTIONS(3373),
    [anon_sym_BSLASHglssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHglsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(3373),
    [anon_sym_BSLASHnewacronym] = ACTIONS(3375),
    [anon_sym_BSLASHacrshort] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshort] = ACTIONS(3377),
    [anon_sym_BSLASHACRshort] = ACTIONS(3377),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrlong] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlong] = ACTIONS(3377),
    [anon_sym_BSLASHACRlong] = ACTIONS(3377),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrfull] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfull] = ACTIONS(3377),
    [anon_sym_BSLASHACRfull] = ACTIONS(3377),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHacs] = ACTIONS(3377),
    [anon_sym_BSLASHAcs] = ACTIONS(3377),
    [anon_sym_BSLASHacsp] = ACTIONS(3377),
    [anon_sym_BSLASHAcsp] = ACTIONS(3377),
    [anon_sym_BSLASHacl] = ACTIONS(3377),
    [anon_sym_BSLASHAcl] = ACTIONS(3377),
    [anon_sym_BSLASHaclp] = ACTIONS(3377),
    [anon_sym_BSLASHAclp] = ACTIONS(3377),
    [anon_sym_BSLASHacf] = ACTIONS(3377),
    [anon_sym_BSLASHAcf] = ACTIONS(3377),
    [anon_sym_BSLASHacfp] = ACTIONS(3377),
    [anon_sym_BSLASHAcfp] = ACTIONS(3377),
    [anon_sym_BSLASHac] = ACTIONS(3377),
    [anon_sym_BSLASHAc] = ACTIONS(3377),
    [anon_sym_BSLASHacp] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(3379),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(3379),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(3383),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(3385),
    [anon_sym_BSLASHcolor] = ACTIONS(3387),
    [anon_sym_BSLASHpagecolor] = ACTIONS(3387),
    [anon_sym_BSLASHtextcolor] = ACTIONS(3387),
    [anon_sym_BSLASHmathcolor] = ACTIONS(3387),
    [anon_sym_BSLASHcolorbox] = ACTIONS(3387),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(3389),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(3389),
    [anon_sym_BSLASHurl] = ACTIONS(3391),
    [anon_sym_BSLASHhref] = ACTIONS(3391),
  },
  [255] = {
    [sym_block_comment] = STATE(255),
    [sym__flat_content] = STATE(255),
    [sym__text_with_env_content] = STATE(255),
    [sym__text_content] = STATE(255),
    [sym_curly_group] = STATE(255),
    [sym_text] = STATE(255),
    [sym_operator] = STATE(1732),
    [sym_subscript] = STATE(1732),
    [sym_superscript] = STATE(1732),
    [sym__math_content] = STATE(255),
    [sym_displayed_equation] = STATE(255),
    [sym_inline_formula] = STATE(255),
    [sym_math_delimiter] = STATE(255),
    [sym_text_mode] = STATE(255),
    [sym_begin] = STATE(51),
    [sym_generic_environment] = STATE(255),
    [sym_comment_environment] = STATE(255),
    [sym__comment_environment_begin] = STATE(4001),
    [sym_verbatim_environment] = STATE(255),
    [sym__verbatim_environment_begin] = STATE(4002),
    [sym_listing_environment] = STATE(255),
    [sym__listing_environment_begin] = STATE(4004),
    [sym_minted_environment] = STATE(255),
    [sym__minted_environment_begin] = STATE(4005),
    [sym_asy_environment] = STATE(255),
    [sym__asy_environment_begin] = STATE(4007),
    [sym_asydef_environment] = STATE(255),
    [sym__asydef_environment_begin] = STATE(4008),
    [sym_pycode_environment] = STATE(255),
    [sym__pycode_environment_begin] = STATE(4010),
    [sym_luacode_environment] = STATE(255),
    [sym__luacode_environment] = STATE(1832),
    [sym___luacode_environment_begin] = STATE(4011),
    [sym__luacode_environment_star] = STATE(1785),
    [sym___luacode_environment_star_begin] = STATE(4012),
    [sym_sagesilent_environment] = STATE(255),
    [sym__sagesilent_environment_begin] = STATE(4013),
    [sym_sageblock_environment] = STATE(255),
    [sym__sageblock_environment_begin] = STATE(4014),
    [sym_math_environment] = STATE(255),
    [sym__math_environment_begin] = STATE(241),
    [sym__command] = STATE(255),
    [sym_generic_command] = STATE(255),
    [sym_title_declaration] = STATE(255),
    [sym_author_declaration] = STATE(255),
    [sym_package_include] = STATE(255),
    [sym_class_include] = STATE(255),
    [sym_latex_include] = STATE(255),
    [sym_biblatex_include] = STATE(255),
    [sym_bibstyle_include] = STATE(255),
    [sym_bibtex_include] = STATE(255),
    [sym_graphics_include] = STATE(255),
    [sym_svg_include] = STATE(255),
    [sym_inkscape_include] = STATE(255),
    [sym_verbatim_include] = STATE(255),
    [sym_import_include] = STATE(255),
    [sym_caption] = STATE(255),
    [sym_citation] = STATE(255),
    [sym_label_definition] = STATE(255),
    [sym_label_reference] = STATE(255),
    [sym_label_reference_range] = STATE(255),
    [sym_label_number] = STATE(255),
    [sym_new_command_definition] = STATE(255),
    [sym__new_command_definition] = STATE(1786),
    [sym__newer_command_definition] = STATE(1788),
    [sym__new_command_copy] = STATE(1792),
    [sym_old_command_definition] = STATE(255),
    [sym_let_command_definition] = STATE(255),
    [sym_paired_delimiter_definition] = STATE(255),
    [sym_environment_definition] = STATE(255),
    [sym__environment_definition] = STATE(1794),
    [sym__newer_environment_definition] = STATE(1799),
    [sym__new_environment_copy] = STATE(1801),
    [sym_glossary_entry_definition] = STATE(255),
    [sym_glossary_entry_reference] = STATE(255),
    [sym_acronym_definition] = STATE(255),
    [sym_acronym_reference] = STATE(255),
    [sym_theorem_definition] = STATE(255),
    [sym_color_definition] = STATE(255),
    [sym_color_set_definition] = STATE(255),
    [sym_color_reference] = STATE(255),
    [sym_tikz_library_import] = STATE(255),
    [sym_hyperlink] = STATE(255),
    [aux_sym_part_repeat1] = STATE(255),
    [aux_sym_text_repeat1] = STATE(329),
    [sym_command_name] = ACTIONS(3419),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3422),
    [anon_sym_LBRACK] = ACTIONS(3425),
    [anon_sym_RBRACK] = ACTIONS(3425),
    [anon_sym_COMMA] = ACTIONS(3425),
    [anon_sym_EQ] = ACTIONS(3425),
    [anon_sym_LPAREN] = ACTIONS(3425),
    [anon_sym_RPAREN] = ACTIONS(3425),
    [anon_sym_LBRACE] = ACTIONS(3428),
    [sym_word] = ACTIONS(3431),
    [sym_placeholder] = ACTIONS(3434),
    [sym_delimiter] = ACTIONS(3434),
    [anon_sym_PLUS] = ACTIONS(3437),
    [anon_sym_DASH] = ACTIONS(3437),
    [anon_sym_STAR] = ACTIONS(3437),
    [anon_sym_SLASH] = ACTIONS(3437),
    [anon_sym_LT] = ACTIONS(3440),
    [anon_sym_GT] = ACTIONS(3440),
    [anon_sym_BANG] = ACTIONS(3440),
    [anon_sym_PIPE] = ACTIONS(3440),
    [anon_sym_COLON] = ACTIONS(3440),
    [anon_sym_SQUOTE] = ACTIONS(3440),
    [anon_sym__] = ACTIONS(3443),
    [anon_sym_CARET] = ACTIONS(3446),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(3449),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(3449),
    [anon_sym_DOLLAR] = ACTIONS(3452),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(3455),
    [anon_sym_BSLASHleft] = ACTIONS(3458),
    [anon_sym_BSLASHbigl] = ACTIONS(3458),
    [anon_sym_BSLASHBigl] = ACTIONS(3458),
    [anon_sym_BSLASHbiggl] = ACTIONS(3458),
    [anon_sym_BSLASHBiggl] = ACTIONS(3458),
    [anon_sym_BSLASHtext] = ACTIONS(3461),
    [anon_sym_BSLASHintertext] = ACTIONS(3461),
    [anon_sym_BSLASHshortintertext] = ACTIONS(3461),
    [anon_sym_BSLASHbegin] = ACTIONS(2427),
    [anon_sym_BSLASHend] = ACTIONS(2387),
    [anon_sym_BSLASHtitle] = ACTIONS(3464),
    [anon_sym_BSLASHauthor] = ACTIONS(3467),
    [anon_sym_BSLASHusepackage] = ACTIONS(3470),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3470),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3473),
    [anon_sym_BSLASHinclude] = ACTIONS(3476),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3476),
    [anon_sym_BSLASHinput] = ACTIONS(3476),
    [anon_sym_BSLASHsubfile] = ACTIONS(3476),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3479),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3482),
    [anon_sym_BSLASHbibliography] = ACTIONS(3485),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3488),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3491),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3494),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3497),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3497),
    [anon_sym_BSLASHimport] = ACTIONS(3500),
    [anon_sym_BSLASHsubimport] = ACTIONS(3500),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3500),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3500),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3500),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3500),
    [anon_sym_BSLASHcaption] = ACTIONS(3503),
    [anon_sym_BSLASHcite] = ACTIONS(3506),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3509),
    [anon_sym_BSLASHCite] = ACTIONS(3506),
    [anon_sym_BSLASHnocite] = ACTIONS(3506),
    [anon_sym_BSLASHcitet] = ACTIONS(3506),
    [anon_sym_BSLASHcitep] = ACTIONS(3506),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3509),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3509),
    [anon_sym_BSLASHciteA] = ACTIONS(3506),
    [anon_sym_BSLASHciteR] = ACTIONS(3506),
    [anon_sym_BSLASHciteS] = ACTIONS(3506),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3506),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3506),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3509),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3506),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3509),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3506),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3509),
    [anon_sym_BSLASHciteyear] = ACTIONS(3506),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3509),
    [anon_sym_BSLASHcitedate] = ACTIONS(3506),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3509),
    [anon_sym_BSLASHciteurl] = ACTIONS(3506),
    [anon_sym_BSLASHfullcite] = ACTIONS(3506),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3506),
    [anon_sym_BSLASHcitealt] = ACTIONS(3506),
    [anon_sym_BSLASHcitealp] = ACTIONS(3506),
    [anon_sym_BSLASHcitetext] = ACTIONS(3506),
    [anon_sym_BSLASHparencite] = ACTIONS(3506),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3509),
    [anon_sym_BSLASHParencite] = ACTIONS(3506),
    [anon_sym_BSLASHfootcite] = ACTIONS(3506),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3506),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3506),
    [anon_sym_BSLASHtextcite] = ACTIONS(3506),
    [anon_sym_BSLASHTextcite] = ACTIONS(3506),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3506),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3506),
    [anon_sym_BSLASHsupercite] = ACTIONS(3506),
    [anon_sym_BSLASHautocite] = ACTIONS(3506),
    [anon_sym_BSLASHAutocite] = ACTIONS(3506),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3509),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3509),
    [anon_sym_BSLASHvolcite] = ACTIONS(3506),
    [anon_sym_BSLASHVolcite] = ACTIONS(3506),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3506),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3506),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3506),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3506),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3506),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3506),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3506),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3506),
    [anon_sym_BSLASHavolcite] = ACTIONS(3506),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3506),
    [anon_sym_BSLASHnotecite] = ACTIONS(3506),
    [anon_sym_BSLASHNotecite] = ACTIONS(3506),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3506),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3506),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3506),
    [anon_sym_BSLASHlabel] = ACTIONS(3512),
    [anon_sym_BSLASHref] = ACTIONS(3515),
    [anon_sym_BSLASHeqref] = ACTIONS(3515),
    [anon_sym_BSLASHvref] = ACTIONS(3515),
    [anon_sym_BSLASHVref] = ACTIONS(3515),
    [anon_sym_BSLASHautoref] = ACTIONS(3515),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3518),
    [anon_sym_BSLASHpageref] = ACTIONS(3515),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3518),
    [anon_sym_BSLASHautopageref] = ACTIONS(3515),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3518),
    [anon_sym_BSLASHcref] = ACTIONS(3515),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3518),
    [anon_sym_BSLASHCref] = ACTIONS(3515),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3518),
    [anon_sym_BSLASHcpageref] = ACTIONS(3515),
    [anon_sym_BSLASHCpageref] = ACTIONS(3515),
    [anon_sym_BSLASHnamecref] = ACTIONS(3515),
    [anon_sym_BSLASHnameCref] = ACTIONS(3515),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3515),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3515),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3515),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3515),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3515),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3518),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3515),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3518),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3521),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3524),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3521),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3524),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3521),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3521),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3530),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3530),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3530),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3530),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3530),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(3536),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(3536),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(3536),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(3536),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(3536),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(3536),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(3536),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(3536),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(3539),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(3539),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(3539),
    [anon_sym_BSLASHdef] = ACTIONS(3542),
    [anon_sym_BSLASHgdef] = ACTIONS(3542),
    [anon_sym_BSLASHedef] = ACTIONS(3542),
    [anon_sym_BSLASHxdef] = ACTIONS(3542),
    [anon_sym_BSLASHlet] = ACTIONS(3545),
    [anon_sym_BSLASHglet] = ACTIONS(3545),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(3548),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(3548),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(3551),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(3551),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(3554),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(3554),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(3554),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(3554),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(3557),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(3557),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(3557),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(3560),
    [anon_sym_BSLASHgls] = ACTIONS(3563),
    [anon_sym_BSLASHGls] = ACTIONS(3563),
    [anon_sym_BSLASHGLS] = ACTIONS(3563),
    [anon_sym_BSLASHglspl] = ACTIONS(3563),
    [anon_sym_BSLASHGlspl] = ACTIONS(3563),
    [anon_sym_BSLASHGLSpl] = ACTIONS(3563),
    [anon_sym_BSLASHglsdisp] = ACTIONS(3563),
    [anon_sym_BSLASHglslink] = ACTIONS(3563),
    [anon_sym_BSLASHglstext] = ACTIONS(3563),
    [anon_sym_BSLASHGlstext] = ACTIONS(3563),
    [anon_sym_BSLASHGLStext] = ACTIONS(3563),
    [anon_sym_BSLASHglsfirst] = ACTIONS(3563),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(3563),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(3563),
    [anon_sym_BSLASHglsplural] = ACTIONS(3563),
    [anon_sym_BSLASHGlsplural] = ACTIONS(3563),
    [anon_sym_BSLASHGLSplural] = ACTIONS(3563),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(3563),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(3563),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(3563),
    [anon_sym_BSLASHglsname] = ACTIONS(3563),
    [anon_sym_BSLASHGlsname] = ACTIONS(3563),
    [anon_sym_BSLASHGLSname] = ACTIONS(3563),
    [anon_sym_BSLASHglssymbol] = ACTIONS(3563),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(3563),
    [anon_sym_BSLASHglsdesc] = ACTIONS(3563),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(3563),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(3563),
    [anon_sym_BSLASHglsuseri] = ACTIONS(3563),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(3563),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(3563),
    [anon_sym_BSLASHglsuserii] = ACTIONS(3563),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(3563),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(3563),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(3563),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(3563),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(3563),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(3563),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(3563),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(3563),
    [anon_sym_BSLASHglsuserv] = ACTIONS(3563),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(3563),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(3563),
    [anon_sym_BSLASHglsuservi] = ACTIONS(3563),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(3563),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(3563),
    [anon_sym_BSLASHnewacronym] = ACTIONS(3566),
    [anon_sym_BSLASHacrshort] = ACTIONS(3569),
    [anon_sym_BSLASHAcrshort] = ACTIONS(3569),
    [anon_sym_BSLASHACRshort] = ACTIONS(3569),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(3569),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(3569),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(3569),
    [anon_sym_BSLASHacrlong] = ACTIONS(3569),
    [anon_sym_BSLASHAcrlong] = ACTIONS(3569),
    [anon_sym_BSLASHACRlong] = ACTIONS(3569),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(3569),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(3569),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(3569),
    [anon_sym_BSLASHacrfull] = ACTIONS(3569),
    [anon_sym_BSLASHAcrfull] = ACTIONS(3569),
    [anon_sym_BSLASHACRfull] = ACTIONS(3569),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(3569),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(3569),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(3569),
    [anon_sym_BSLASHacs] = ACTIONS(3569),
    [anon_sym_BSLASHAcs] = ACTIONS(3569),
    [anon_sym_BSLASHacsp] = ACTIONS(3569),
    [anon_sym_BSLASHAcsp] = ACTIONS(3569),
    [anon_sym_BSLASHacl] = ACTIONS(3569),
    [anon_sym_BSLASHAcl] = ACTIONS(3569),
    [anon_sym_BSLASHaclp] = ACTIONS(3569),
    [anon_sym_BSLASHAclp] = ACTIONS(3569),
    [anon_sym_BSLASHacf] = ACTIONS(3569),
    [anon_sym_BSLASHAcf] = ACTIONS(3569),
    [anon_sym_BSLASHacfp] = ACTIONS(3569),
    [anon_sym_BSLASHAcfp] = ACTIONS(3569),
    [anon_sym_BSLASHac] = ACTIONS(3569),
    [anon_sym_BSLASHAc] = ACTIONS(3569),
    [anon_sym_BSLASHacp] = ACTIONS(3569),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(3569),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(3569),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(3569),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(3569),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(3569),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(3569),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(3569),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(3569),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(3569),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(3569),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(3572),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(3575),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(3572),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(3575),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(3578),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(3581),
    [anon_sym_BSLASHcolor] = ACTIONS(3584),
    [anon_sym_BSLASHpagecolor] = ACTIONS(3584),
    [anon_sym_BSLASHtextcolor] = ACTIONS(3584),
    [anon_sym_BSLASHmathcolor] = ACTIONS(3584),
    [anon_sym_BSLASHcolorbox] = ACTIONS(3584),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(3587),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(3587),
    [anon_sym_BSLASHurl] = ACTIONS(3590),
    [anon_sym_BSLASHhref] = ACTIONS(3590),
  },
  [256] = {
    [sym_block_comment] = STATE(260),
    [sym__text_with_env_content] = STATE(260),
    [sym__text_content] = STATE(260),
    [sym_curly_group] = STATE(260),
    [sym_brack_group] = STATE(260),
    [sym_text] = STATE(260),
    [sym_operator] = STATE(2042),
    [sym_subscript] = STATE(2042),
    [sym_superscript] = STATE(2042),
    [sym__math_content] = STATE(260),
    [sym_displayed_equation] = STATE(260),
    [sym_inline_formula] = STATE(260),
    [sym_math_delimiter] = STATE(260),
    [sym_text_mode] = STATE(260),
    [sym_begin] = STATE(53),
    [sym_generic_environment] = STATE(260),
    [sym_comment_environment] = STATE(260),
    [sym__comment_environment_begin] = STATE(3717),
    [sym_verbatim_environment] = STATE(260),
    [sym__verbatim_environment_begin] = STATE(3718),
    [sym_listing_environment] = STATE(260),
    [sym__listing_environment_begin] = STATE(3719),
    [sym_minted_environment] = STATE(260),
    [sym__minted_environment_begin] = STATE(3720),
    [sym_asy_environment] = STATE(260),
    [sym__asy_environment_begin] = STATE(3721),
    [sym_asydef_environment] = STATE(260),
    [sym__asydef_environment_begin] = STATE(3722),
    [sym_pycode_environment] = STATE(260),
    [sym__pycode_environment_begin] = STATE(3723),
    [sym_luacode_environment] = STATE(260),
    [sym__luacode_environment] = STATE(2057),
    [sym___luacode_environment_begin] = STATE(3724),
    [sym__luacode_environment_star] = STATE(2058),
    [sym___luacode_environment_star_begin] = STATE(3725),
    [sym_sagesilent_environment] = STATE(260),
    [sym__sagesilent_environment_begin] = STATE(3726),
    [sym_sageblock_environment] = STATE(260),
    [sym__sageblock_environment_begin] = STATE(3727),
    [sym_math_environment] = STATE(260),
    [sym__math_environment_begin] = STATE(247),
    [sym__command] = STATE(260),
    [sym_generic_command] = STATE(260),
    [sym_title_declaration] = STATE(260),
    [sym_author_declaration] = STATE(260),
    [sym_package_include] = STATE(260),
    [sym_class_include] = STATE(260),
    [sym_latex_include] = STATE(260),
    [sym_biblatex_include] = STATE(260),
    [sym_bibstyle_include] = STATE(260),
    [sym_bibtex_include] = STATE(260),
    [sym_graphics_include] = STATE(260),
    [sym_svg_include] = STATE(260),
    [sym_inkscape_include] = STATE(260),
    [sym_verbatim_include] = STATE(260),
    [sym_import_include] = STATE(260),
    [sym_caption] = STATE(260),
    [sym_citation] = STATE(260),
    [sym_label_definition] = STATE(260),
    [sym_label_reference] = STATE(260),
    [sym_label_reference_range] = STATE(260),
    [sym_label_number] = STATE(260),
    [sym_new_command_definition] = STATE(260),
    [sym__new_command_definition] = STATE(2059),
    [sym__newer_command_definition] = STATE(2060),
    [sym__new_command_copy] = STATE(2061),
    [sym_old_command_definition] = STATE(260),
    [sym_let_command_definition] = STATE(260),
    [sym_paired_delimiter_definition] = STATE(260),
    [sym_environment_definition] = STATE(260),
    [sym__environment_definition] = STATE(2062),
    [sym__newer_environment_definition] = STATE(2063),
    [sym__new_environment_copy] = STATE(2064),
    [sym_glossary_entry_definition] = STATE(260),
    [sym_glossary_entry_reference] = STATE(260),
    [sym_acronym_definition] = STATE(260),
    [sym_acronym_reference] = STATE(260),
    [sym_theorem_definition] = STATE(260),
    [sym_color_definition] = STATE(260),
    [sym_color_set_definition] = STATE(260),
    [sym_color_reference] = STATE(260),
    [sym_tikz_library_import] = STATE(260),
    [sym_hyperlink] = STATE(260),
    [aux_sym_brack_group_repeat1] = STATE(260),
    [aux_sym_text_repeat1] = STATE(332),
    [sym_command_name] = ACTIONS(3593),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3595),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(3599),
    [anon_sym_COMMA] = ACTIONS(3601),
    [anon_sym_EQ] = ACTIONS(3601),
    [anon_sym_LPAREN] = ACTIONS(3601),
    [anon_sym_RPAREN] = ACTIONS(3601),
    [anon_sym_LBRACE] = ACTIONS(3603),
    [sym_word] = ACTIONS(3605),
    [sym_placeholder] = ACTIONS(3607),
    [sym_delimiter] = ACTIONS(3607),
    [anon_sym_PLUS] = ACTIONS(3609),
    [anon_sym_DASH] = ACTIONS(3609),
    [anon_sym_STAR] = ACTIONS(3609),
    [anon_sym_SLASH] = ACTIONS(3609),
    [anon_sym_LT] = ACTIONS(3611),
    [anon_sym_GT] = ACTIONS(3611),
    [anon_sym_BANG] = ACTIONS(3611),
    [anon_sym_PIPE] = ACTIONS(3611),
    [anon_sym_COLON] = ACTIONS(3611),
    [anon_sym_SQUOTE] = ACTIONS(3611),
    [anon_sym__] = ACTIONS(3613),
    [anon_sym_CARET] = ACTIONS(3615),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(3617),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(3617),
    [anon_sym_DOLLAR] = ACTIONS(3619),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(3621),
    [anon_sym_BSLASHleft] = ACTIONS(3623),
    [anon_sym_BSLASHbigl] = ACTIONS(3623),
    [anon_sym_BSLASHBigl] = ACTIONS(3623),
    [anon_sym_BSLASHbiggl] = ACTIONS(3623),
    [anon_sym_BSLASHBiggl] = ACTIONS(3623),
    [anon_sym_BSLASHtext] = ACTIONS(3625),
    [anon_sym_BSLASHintertext] = ACTIONS(3625),
    [anon_sym_BSLASHshortintertext] = ACTIONS(3625),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(3627),
    [anon_sym_BSLASHauthor] = ACTIONS(3629),
    [anon_sym_BSLASHusepackage] = ACTIONS(3631),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3631),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3633),
    [anon_sym_BSLASHinclude] = ACTIONS(3635),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3635),
    [anon_sym_BSLASHinput] = ACTIONS(3635),
    [anon_sym_BSLASHsubfile] = ACTIONS(3635),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3637),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3639),
    [anon_sym_BSLASHbibliography] = ACTIONS(3641),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3643),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3645),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3647),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3649),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3649),
    [anon_sym_BSLASHimport] = ACTIONS(3651),
    [anon_sym_BSLASHsubimport] = ACTIONS(3651),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3651),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3651),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3651),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3651),
    [anon_sym_BSLASHcaption] = ACTIONS(3653),
    [anon_sym_BSLASHcite] = ACTIONS(3655),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHCite] = ACTIONS(3655),
    [anon_sym_BSLASHnocite] = ACTIONS(3655),
    [anon_sym_BSLASHcitet] = ACTIONS(3655),
    [anon_sym_BSLASHcitep] = ACTIONS(3655),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHciteA] = ACTIONS(3655),
    [anon_sym_BSLASHciteR] = ACTIONS(3655),
    [anon_sym_BSLASHciteS] = ACTIONS(3655),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3655),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3655),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3655),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3655),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHciteyear] = ACTIONS(3655),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHcitedate] = ACTIONS(3655),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHciteurl] = ACTIONS(3655),
    [anon_sym_BSLASHfullcite] = ACTIONS(3655),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3655),
    [anon_sym_BSLASHcitealt] = ACTIONS(3655),
    [anon_sym_BSLASHcitealp] = ACTIONS(3655),
    [anon_sym_BSLASHcitetext] = ACTIONS(3655),
    [anon_sym_BSLASHparencite] = ACTIONS(3655),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHParencite] = ACTIONS(3655),
    [anon_sym_BSLASHfootcite] = ACTIONS(3655),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3655),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3655),
    [anon_sym_BSLASHtextcite] = ACTIONS(3655),
    [anon_sym_BSLASHTextcite] = ACTIONS(3655),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3655),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3655),
    [anon_sym_BSLASHsupercite] = ACTIONS(3655),
    [anon_sym_BSLASHautocite] = ACTIONS(3655),
    [anon_sym_BSLASHAutocite] = ACTIONS(3655),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHVolcite] = ACTIONS(3655),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHavolcite] = ACTIONS(3655),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHnotecite] = ACTIONS(3655),
    [anon_sym_BSLASHNotecite] = ACTIONS(3655),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3655),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3655),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3655),
    [anon_sym_BSLASHlabel] = ACTIONS(3659),
    [anon_sym_BSLASHref] = ACTIONS(3661),
    [anon_sym_BSLASHeqref] = ACTIONS(3661),
    [anon_sym_BSLASHvref] = ACTIONS(3661),
    [anon_sym_BSLASHVref] = ACTIONS(3661),
    [anon_sym_BSLASHautoref] = ACTIONS(3661),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHpageref] = ACTIONS(3661),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHautopageref] = ACTIONS(3661),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHcref] = ACTIONS(3661),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHCref] = ACTIONS(3661),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHcpageref] = ACTIONS(3661),
    [anon_sym_BSLASHCpageref] = ACTIONS(3661),
    [anon_sym_BSLASHnamecref] = ACTIONS(3661),
    [anon_sym_BSLASHnameCref] = ACTIONS(3661),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3661),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3661),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3661),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3661),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3661),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3661),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3665),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3667),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3665),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3667),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3665),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3665),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3669),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3671),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3671),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3671),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3671),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3671),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(3677),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(3677),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(3677),
    [anon_sym_BSLASHdef] = ACTIONS(3679),
    [anon_sym_BSLASHgdef] = ACTIONS(3679),
    [anon_sym_BSLASHedef] = ACTIONS(3679),
    [anon_sym_BSLASHxdef] = ACTIONS(3679),
    [anon_sym_BSLASHlet] = ACTIONS(3681),
    [anon_sym_BSLASHglet] = ACTIONS(3681),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(3683),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(3683),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(3685),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(3685),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(3687),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(3687),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(3687),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(3687),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(3689),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(3689),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(3689),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(3691),
    [anon_sym_BSLASHgls] = ACTIONS(3693),
    [anon_sym_BSLASHGls] = ACTIONS(3693),
    [anon_sym_BSLASHGLS] = ACTIONS(3693),
    [anon_sym_BSLASHglspl] = ACTIONS(3693),
    [anon_sym_BSLASHGlspl] = ACTIONS(3693),
    [anon_sym_BSLASHGLSpl] = ACTIONS(3693),
    [anon_sym_BSLASHglsdisp] = ACTIONS(3693),
    [anon_sym_BSLASHglslink] = ACTIONS(3693),
    [anon_sym_BSLASHglstext] = ACTIONS(3693),
    [anon_sym_BSLASHGlstext] = ACTIONS(3693),
    [anon_sym_BSLASHGLStext] = ACTIONS(3693),
    [anon_sym_BSLASHglsfirst] = ACTIONS(3693),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(3693),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(3693),
    [anon_sym_BSLASHglsplural] = ACTIONS(3693),
    [anon_sym_BSLASHGlsplural] = ACTIONS(3693),
    [anon_sym_BSLASHGLSplural] = ACTIONS(3693),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(3693),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(3693),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(3693),
    [anon_sym_BSLASHglsname] = ACTIONS(3693),
    [anon_sym_BSLASHGlsname] = ACTIONS(3693),
    [anon_sym_BSLASHGLSname] = ACTIONS(3693),
    [anon_sym_BSLASHglssymbol] = ACTIONS(3693),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(3693),
    [anon_sym_BSLASHglsdesc] = ACTIONS(3693),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(3693),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(3693),
    [anon_sym_BSLASHglsuseri] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(3693),
    [anon_sym_BSLASHglsuserii] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(3693),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(3693),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(3693),
    [anon_sym_BSLASHglsuserv] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(3693),
    [anon_sym_BSLASHglsuservi] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(3693),
    [anon_sym_BSLASHnewacronym] = ACTIONS(3695),
    [anon_sym_BSLASHacrshort] = ACTIONS(3697),
    [anon_sym_BSLASHAcrshort] = ACTIONS(3697),
    [anon_sym_BSLASHACRshort] = ACTIONS(3697),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHacrlong] = ACTIONS(3697),
    [anon_sym_BSLASHAcrlong] = ACTIONS(3697),
    [anon_sym_BSLASHACRlong] = ACTIONS(3697),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(3697),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(3697),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(3697),
    [anon_sym_BSLASHacrfull] = ACTIONS(3697),
    [anon_sym_BSLASHAcrfull] = ACTIONS(3697),
    [anon_sym_BSLASHACRfull] = ACTIONS(3697),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHacs] = ACTIONS(3697),
    [anon_sym_BSLASHAcs] = ACTIONS(3697),
    [anon_sym_BSLASHacsp] = ACTIONS(3697),
    [anon_sym_BSLASHAcsp] = ACTIONS(3697),
    [anon_sym_BSLASHacl] = ACTIONS(3697),
    [anon_sym_BSLASHAcl] = ACTIONS(3697),
    [anon_sym_BSLASHaclp] = ACTIONS(3697),
    [anon_sym_BSLASHAclp] = ACTIONS(3697),
    [anon_sym_BSLASHacf] = ACTIONS(3697),
    [anon_sym_BSLASHAcf] = ACTIONS(3697),
    [anon_sym_BSLASHacfp] = ACTIONS(3697),
    [anon_sym_BSLASHAcfp] = ACTIONS(3697),
    [anon_sym_BSLASHac] = ACTIONS(3697),
    [anon_sym_BSLASHAc] = ACTIONS(3697),
    [anon_sym_BSLASHacp] = ACTIONS(3697),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(3697),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(3697),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(3697),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(3699),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(3701),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(3699),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(3701),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(3703),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(3705),
    [anon_sym_BSLASHcolor] = ACTIONS(3707),
    [anon_sym_BSLASHpagecolor] = ACTIONS(3707),
    [anon_sym_BSLASHtextcolor] = ACTIONS(3707),
    [anon_sym_BSLASHmathcolor] = ACTIONS(3707),
    [anon_sym_BSLASHcolorbox] = ACTIONS(3707),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(3709),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(3709),
    [anon_sym_BSLASHurl] = ACTIONS(3711),
    [anon_sym_BSLASHhref] = ACTIONS(3711),
  },
  [257] = {
    [sym_block_comment] = STATE(260),
    [sym__text_with_env_content] = STATE(260),
    [sym__text_content] = STATE(260),
    [sym_curly_group] = STATE(260),
    [sym_brack_group] = STATE(260),
    [sym_text] = STATE(260),
    [sym_operator] = STATE(2042),
    [sym_subscript] = STATE(2042),
    [sym_superscript] = STATE(2042),
    [sym__math_content] = STATE(260),
    [sym_displayed_equation] = STATE(260),
    [sym_inline_formula] = STATE(260),
    [sym_math_delimiter] = STATE(260),
    [sym_text_mode] = STATE(260),
    [sym_begin] = STATE(53),
    [sym_generic_environment] = STATE(260),
    [sym_comment_environment] = STATE(260),
    [sym__comment_environment_begin] = STATE(3717),
    [sym_verbatim_environment] = STATE(260),
    [sym__verbatim_environment_begin] = STATE(3718),
    [sym_listing_environment] = STATE(260),
    [sym__listing_environment_begin] = STATE(3719),
    [sym_minted_environment] = STATE(260),
    [sym__minted_environment_begin] = STATE(3720),
    [sym_asy_environment] = STATE(260),
    [sym__asy_environment_begin] = STATE(3721),
    [sym_asydef_environment] = STATE(260),
    [sym__asydef_environment_begin] = STATE(3722),
    [sym_pycode_environment] = STATE(260),
    [sym__pycode_environment_begin] = STATE(3723),
    [sym_luacode_environment] = STATE(260),
    [sym__luacode_environment] = STATE(2057),
    [sym___luacode_environment_begin] = STATE(3724),
    [sym__luacode_environment_star] = STATE(2058),
    [sym___luacode_environment_star_begin] = STATE(3725),
    [sym_sagesilent_environment] = STATE(260),
    [sym__sagesilent_environment_begin] = STATE(3726),
    [sym_sageblock_environment] = STATE(260),
    [sym__sageblock_environment_begin] = STATE(3727),
    [sym_math_environment] = STATE(260),
    [sym__math_environment_begin] = STATE(247),
    [sym__command] = STATE(260),
    [sym_generic_command] = STATE(260),
    [sym_title_declaration] = STATE(260),
    [sym_author_declaration] = STATE(260),
    [sym_package_include] = STATE(260),
    [sym_class_include] = STATE(260),
    [sym_latex_include] = STATE(260),
    [sym_biblatex_include] = STATE(260),
    [sym_bibstyle_include] = STATE(260),
    [sym_bibtex_include] = STATE(260),
    [sym_graphics_include] = STATE(260),
    [sym_svg_include] = STATE(260),
    [sym_inkscape_include] = STATE(260),
    [sym_verbatim_include] = STATE(260),
    [sym_import_include] = STATE(260),
    [sym_caption] = STATE(260),
    [sym_citation] = STATE(260),
    [sym_label_definition] = STATE(260),
    [sym_label_reference] = STATE(260),
    [sym_label_reference_range] = STATE(260),
    [sym_label_number] = STATE(260),
    [sym_new_command_definition] = STATE(260),
    [sym__new_command_definition] = STATE(2059),
    [sym__newer_command_definition] = STATE(2060),
    [sym__new_command_copy] = STATE(2061),
    [sym_old_command_definition] = STATE(260),
    [sym_let_command_definition] = STATE(260),
    [sym_paired_delimiter_definition] = STATE(260),
    [sym_environment_definition] = STATE(260),
    [sym__environment_definition] = STATE(2062),
    [sym__newer_environment_definition] = STATE(2063),
    [sym__new_environment_copy] = STATE(2064),
    [sym_glossary_entry_definition] = STATE(260),
    [sym_glossary_entry_reference] = STATE(260),
    [sym_acronym_definition] = STATE(260),
    [sym_acronym_reference] = STATE(260),
    [sym_theorem_definition] = STATE(260),
    [sym_color_definition] = STATE(260),
    [sym_color_set_definition] = STATE(260),
    [sym_color_reference] = STATE(260),
    [sym_tikz_library_import] = STATE(260),
    [sym_hyperlink] = STATE(260),
    [aux_sym_brack_group_repeat1] = STATE(260),
    [aux_sym_text_repeat1] = STATE(332),
    [sym_command_name] = ACTIONS(3593),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3595),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(3713),
    [anon_sym_COMMA] = ACTIONS(3601),
    [anon_sym_EQ] = ACTIONS(3601),
    [anon_sym_LPAREN] = ACTIONS(3601),
    [anon_sym_RPAREN] = ACTIONS(3601),
    [anon_sym_LBRACE] = ACTIONS(3603),
    [sym_word] = ACTIONS(3605),
    [sym_placeholder] = ACTIONS(3607),
    [sym_delimiter] = ACTIONS(3607),
    [anon_sym_PLUS] = ACTIONS(3609),
    [anon_sym_DASH] = ACTIONS(3609),
    [anon_sym_STAR] = ACTIONS(3609),
    [anon_sym_SLASH] = ACTIONS(3609),
    [anon_sym_LT] = ACTIONS(3611),
    [anon_sym_GT] = ACTIONS(3611),
    [anon_sym_BANG] = ACTIONS(3611),
    [anon_sym_PIPE] = ACTIONS(3611),
    [anon_sym_COLON] = ACTIONS(3611),
    [anon_sym_SQUOTE] = ACTIONS(3611),
    [anon_sym__] = ACTIONS(3613),
    [anon_sym_CARET] = ACTIONS(3615),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(3617),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(3617),
    [anon_sym_DOLLAR] = ACTIONS(3619),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(3621),
    [anon_sym_BSLASHleft] = ACTIONS(3623),
    [anon_sym_BSLASHbigl] = ACTIONS(3623),
    [anon_sym_BSLASHBigl] = ACTIONS(3623),
    [anon_sym_BSLASHbiggl] = ACTIONS(3623),
    [anon_sym_BSLASHBiggl] = ACTIONS(3623),
    [anon_sym_BSLASHtext] = ACTIONS(3625),
    [anon_sym_BSLASHintertext] = ACTIONS(3625),
    [anon_sym_BSLASHshortintertext] = ACTIONS(3625),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(3627),
    [anon_sym_BSLASHauthor] = ACTIONS(3629),
    [anon_sym_BSLASHusepackage] = ACTIONS(3631),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3631),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3633),
    [anon_sym_BSLASHinclude] = ACTIONS(3635),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3635),
    [anon_sym_BSLASHinput] = ACTIONS(3635),
    [anon_sym_BSLASHsubfile] = ACTIONS(3635),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3637),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3639),
    [anon_sym_BSLASHbibliography] = ACTIONS(3641),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3643),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3645),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3647),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3649),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3649),
    [anon_sym_BSLASHimport] = ACTIONS(3651),
    [anon_sym_BSLASHsubimport] = ACTIONS(3651),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3651),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3651),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3651),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3651),
    [anon_sym_BSLASHcaption] = ACTIONS(3653),
    [anon_sym_BSLASHcite] = ACTIONS(3655),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHCite] = ACTIONS(3655),
    [anon_sym_BSLASHnocite] = ACTIONS(3655),
    [anon_sym_BSLASHcitet] = ACTIONS(3655),
    [anon_sym_BSLASHcitep] = ACTIONS(3655),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHciteA] = ACTIONS(3655),
    [anon_sym_BSLASHciteR] = ACTIONS(3655),
    [anon_sym_BSLASHciteS] = ACTIONS(3655),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3655),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3655),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3655),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3655),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHciteyear] = ACTIONS(3655),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHcitedate] = ACTIONS(3655),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHciteurl] = ACTIONS(3655),
    [anon_sym_BSLASHfullcite] = ACTIONS(3655),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3655),
    [anon_sym_BSLASHcitealt] = ACTIONS(3655),
    [anon_sym_BSLASHcitealp] = ACTIONS(3655),
    [anon_sym_BSLASHcitetext] = ACTIONS(3655),
    [anon_sym_BSLASHparencite] = ACTIONS(3655),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHParencite] = ACTIONS(3655),
    [anon_sym_BSLASHfootcite] = ACTIONS(3655),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3655),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3655),
    [anon_sym_BSLASHtextcite] = ACTIONS(3655),
    [anon_sym_BSLASHTextcite] = ACTIONS(3655),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3655),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3655),
    [anon_sym_BSLASHsupercite] = ACTIONS(3655),
    [anon_sym_BSLASHautocite] = ACTIONS(3655),
    [anon_sym_BSLASHAutocite] = ACTIONS(3655),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHVolcite] = ACTIONS(3655),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHavolcite] = ACTIONS(3655),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHnotecite] = ACTIONS(3655),
    [anon_sym_BSLASHNotecite] = ACTIONS(3655),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3655),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3655),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3655),
    [anon_sym_BSLASHlabel] = ACTIONS(3659),
    [anon_sym_BSLASHref] = ACTIONS(3661),
    [anon_sym_BSLASHeqref] = ACTIONS(3661),
    [anon_sym_BSLASHvref] = ACTIONS(3661),
    [anon_sym_BSLASHVref] = ACTIONS(3661),
    [anon_sym_BSLASHautoref] = ACTIONS(3661),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHpageref] = ACTIONS(3661),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHautopageref] = ACTIONS(3661),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHcref] = ACTIONS(3661),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHCref] = ACTIONS(3661),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHcpageref] = ACTIONS(3661),
    [anon_sym_BSLASHCpageref] = ACTIONS(3661),
    [anon_sym_BSLASHnamecref] = ACTIONS(3661),
    [anon_sym_BSLASHnameCref] = ACTIONS(3661),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3661),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3661),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3661),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3661),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3661),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3661),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3665),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3667),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3665),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3667),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3665),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3665),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3669),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3671),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3671),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3671),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3671),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3671),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(3677),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(3677),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(3677),
    [anon_sym_BSLASHdef] = ACTIONS(3679),
    [anon_sym_BSLASHgdef] = ACTIONS(3679),
    [anon_sym_BSLASHedef] = ACTIONS(3679),
    [anon_sym_BSLASHxdef] = ACTIONS(3679),
    [anon_sym_BSLASHlet] = ACTIONS(3681),
    [anon_sym_BSLASHglet] = ACTIONS(3681),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(3683),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(3683),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(3685),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(3685),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(3687),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(3687),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(3687),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(3687),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(3689),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(3689),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(3689),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(3691),
    [anon_sym_BSLASHgls] = ACTIONS(3693),
    [anon_sym_BSLASHGls] = ACTIONS(3693),
    [anon_sym_BSLASHGLS] = ACTIONS(3693),
    [anon_sym_BSLASHglspl] = ACTIONS(3693),
    [anon_sym_BSLASHGlspl] = ACTIONS(3693),
    [anon_sym_BSLASHGLSpl] = ACTIONS(3693),
    [anon_sym_BSLASHglsdisp] = ACTIONS(3693),
    [anon_sym_BSLASHglslink] = ACTIONS(3693),
    [anon_sym_BSLASHglstext] = ACTIONS(3693),
    [anon_sym_BSLASHGlstext] = ACTIONS(3693),
    [anon_sym_BSLASHGLStext] = ACTIONS(3693),
    [anon_sym_BSLASHglsfirst] = ACTIONS(3693),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(3693),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(3693),
    [anon_sym_BSLASHglsplural] = ACTIONS(3693),
    [anon_sym_BSLASHGlsplural] = ACTIONS(3693),
    [anon_sym_BSLASHGLSplural] = ACTIONS(3693),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(3693),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(3693),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(3693),
    [anon_sym_BSLASHglsname] = ACTIONS(3693),
    [anon_sym_BSLASHGlsname] = ACTIONS(3693),
    [anon_sym_BSLASHGLSname] = ACTIONS(3693),
    [anon_sym_BSLASHglssymbol] = ACTIONS(3693),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(3693),
    [anon_sym_BSLASHglsdesc] = ACTIONS(3693),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(3693),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(3693),
    [anon_sym_BSLASHglsuseri] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(3693),
    [anon_sym_BSLASHglsuserii] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(3693),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(3693),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(3693),
    [anon_sym_BSLASHglsuserv] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(3693),
    [anon_sym_BSLASHglsuservi] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(3693),
    [anon_sym_BSLASHnewacronym] = ACTIONS(3695),
    [anon_sym_BSLASHacrshort] = ACTIONS(3697),
    [anon_sym_BSLASHAcrshort] = ACTIONS(3697),
    [anon_sym_BSLASHACRshort] = ACTIONS(3697),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHacrlong] = ACTIONS(3697),
    [anon_sym_BSLASHAcrlong] = ACTIONS(3697),
    [anon_sym_BSLASHACRlong] = ACTIONS(3697),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(3697),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(3697),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(3697),
    [anon_sym_BSLASHacrfull] = ACTIONS(3697),
    [anon_sym_BSLASHAcrfull] = ACTIONS(3697),
    [anon_sym_BSLASHACRfull] = ACTIONS(3697),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHacs] = ACTIONS(3697),
    [anon_sym_BSLASHAcs] = ACTIONS(3697),
    [anon_sym_BSLASHacsp] = ACTIONS(3697),
    [anon_sym_BSLASHAcsp] = ACTIONS(3697),
    [anon_sym_BSLASHacl] = ACTIONS(3697),
    [anon_sym_BSLASHAcl] = ACTIONS(3697),
    [anon_sym_BSLASHaclp] = ACTIONS(3697),
    [anon_sym_BSLASHAclp] = ACTIONS(3697),
    [anon_sym_BSLASHacf] = ACTIONS(3697),
    [anon_sym_BSLASHAcf] = ACTIONS(3697),
    [anon_sym_BSLASHacfp] = ACTIONS(3697),
    [anon_sym_BSLASHAcfp] = ACTIONS(3697),
    [anon_sym_BSLASHac] = ACTIONS(3697),
    [anon_sym_BSLASHAc] = ACTIONS(3697),
    [anon_sym_BSLASHacp] = ACTIONS(3697),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(3697),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(3697),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(3697),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(3699),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(3701),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(3699),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(3701),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(3703),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(3705),
    [anon_sym_BSLASHcolor] = ACTIONS(3707),
    [anon_sym_BSLASHpagecolor] = ACTIONS(3707),
    [anon_sym_BSLASHtextcolor] = ACTIONS(3707),
    [anon_sym_BSLASHmathcolor] = ACTIONS(3707),
    [anon_sym_BSLASHcolorbox] = ACTIONS(3707),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(3709),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(3709),
    [anon_sym_BSLASHurl] = ACTIONS(3711),
    [anon_sym_BSLASHhref] = ACTIONS(3711),
  },
  [258] = {
    [sym_block_comment] = STATE(257),
    [sym__text_with_env_content] = STATE(257),
    [sym__text_content] = STATE(257),
    [sym_curly_group] = STATE(257),
    [sym_brack_group] = STATE(257),
    [sym_text] = STATE(257),
    [sym_operator] = STATE(2042),
    [sym_subscript] = STATE(2042),
    [sym_superscript] = STATE(2042),
    [sym__math_content] = STATE(257),
    [sym_displayed_equation] = STATE(257),
    [sym_inline_formula] = STATE(257),
    [sym_math_delimiter] = STATE(257),
    [sym_text_mode] = STATE(257),
    [sym_begin] = STATE(53),
    [sym_generic_environment] = STATE(257),
    [sym_comment_environment] = STATE(257),
    [sym__comment_environment_begin] = STATE(3717),
    [sym_verbatim_environment] = STATE(257),
    [sym__verbatim_environment_begin] = STATE(3718),
    [sym_listing_environment] = STATE(257),
    [sym__listing_environment_begin] = STATE(3719),
    [sym_minted_environment] = STATE(257),
    [sym__minted_environment_begin] = STATE(3720),
    [sym_asy_environment] = STATE(257),
    [sym__asy_environment_begin] = STATE(3721),
    [sym_asydef_environment] = STATE(257),
    [sym__asydef_environment_begin] = STATE(3722),
    [sym_pycode_environment] = STATE(257),
    [sym__pycode_environment_begin] = STATE(3723),
    [sym_luacode_environment] = STATE(257),
    [sym__luacode_environment] = STATE(2057),
    [sym___luacode_environment_begin] = STATE(3724),
    [sym__luacode_environment_star] = STATE(2058),
    [sym___luacode_environment_star_begin] = STATE(3725),
    [sym_sagesilent_environment] = STATE(257),
    [sym__sagesilent_environment_begin] = STATE(3726),
    [sym_sageblock_environment] = STATE(257),
    [sym__sageblock_environment_begin] = STATE(3727),
    [sym_math_environment] = STATE(257),
    [sym__math_environment_begin] = STATE(247),
    [sym__command] = STATE(257),
    [sym_generic_command] = STATE(257),
    [sym_title_declaration] = STATE(257),
    [sym_author_declaration] = STATE(257),
    [sym_package_include] = STATE(257),
    [sym_class_include] = STATE(257),
    [sym_latex_include] = STATE(257),
    [sym_biblatex_include] = STATE(257),
    [sym_bibstyle_include] = STATE(257),
    [sym_bibtex_include] = STATE(257),
    [sym_graphics_include] = STATE(257),
    [sym_svg_include] = STATE(257),
    [sym_inkscape_include] = STATE(257),
    [sym_verbatim_include] = STATE(257),
    [sym_import_include] = STATE(257),
    [sym_caption] = STATE(257),
    [sym_citation] = STATE(257),
    [sym_label_definition] = STATE(257),
    [sym_label_reference] = STATE(257),
    [sym_label_reference_range] = STATE(257),
    [sym_label_number] = STATE(257),
    [sym_new_command_definition] = STATE(257),
    [sym__new_command_definition] = STATE(2059),
    [sym__newer_command_definition] = STATE(2060),
    [sym__new_command_copy] = STATE(2061),
    [sym_old_command_definition] = STATE(257),
    [sym_let_command_definition] = STATE(257),
    [sym_paired_delimiter_definition] = STATE(257),
    [sym_environment_definition] = STATE(257),
    [sym__environment_definition] = STATE(2062),
    [sym__newer_environment_definition] = STATE(2063),
    [sym__new_environment_copy] = STATE(2064),
    [sym_glossary_entry_definition] = STATE(257),
    [sym_glossary_entry_reference] = STATE(257),
    [sym_acronym_definition] = STATE(257),
    [sym_acronym_reference] = STATE(257),
    [sym_theorem_definition] = STATE(257),
    [sym_color_definition] = STATE(257),
    [sym_color_set_definition] = STATE(257),
    [sym_color_reference] = STATE(257),
    [sym_tikz_library_import] = STATE(257),
    [sym_hyperlink] = STATE(257),
    [aux_sym_brack_group_repeat1] = STATE(257),
    [aux_sym_text_repeat1] = STATE(332),
    [sym_command_name] = ACTIONS(3593),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3595),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(3715),
    [anon_sym_COMMA] = ACTIONS(3717),
    [anon_sym_EQ] = ACTIONS(3717),
    [anon_sym_LPAREN] = ACTIONS(3717),
    [anon_sym_RPAREN] = ACTIONS(3717),
    [anon_sym_LBRACE] = ACTIONS(3603),
    [sym_word] = ACTIONS(3605),
    [sym_placeholder] = ACTIONS(3607),
    [sym_delimiter] = ACTIONS(3607),
    [anon_sym_PLUS] = ACTIONS(3609),
    [anon_sym_DASH] = ACTIONS(3609),
    [anon_sym_STAR] = ACTIONS(3609),
    [anon_sym_SLASH] = ACTIONS(3609),
    [anon_sym_LT] = ACTIONS(3611),
    [anon_sym_GT] = ACTIONS(3611),
    [anon_sym_BANG] = ACTIONS(3611),
    [anon_sym_PIPE] = ACTIONS(3611),
    [anon_sym_COLON] = ACTIONS(3611),
    [anon_sym_SQUOTE] = ACTIONS(3611),
    [anon_sym__] = ACTIONS(3613),
    [anon_sym_CARET] = ACTIONS(3615),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(3617),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(3617),
    [anon_sym_DOLLAR] = ACTIONS(3619),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(3621),
    [anon_sym_BSLASHleft] = ACTIONS(3623),
    [anon_sym_BSLASHbigl] = ACTIONS(3623),
    [anon_sym_BSLASHBigl] = ACTIONS(3623),
    [anon_sym_BSLASHbiggl] = ACTIONS(3623),
    [anon_sym_BSLASHBiggl] = ACTIONS(3623),
    [anon_sym_BSLASHtext] = ACTIONS(3625),
    [anon_sym_BSLASHintertext] = ACTIONS(3625),
    [anon_sym_BSLASHshortintertext] = ACTIONS(3625),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(3627),
    [anon_sym_BSLASHauthor] = ACTIONS(3629),
    [anon_sym_BSLASHusepackage] = ACTIONS(3631),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3631),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3633),
    [anon_sym_BSLASHinclude] = ACTIONS(3635),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3635),
    [anon_sym_BSLASHinput] = ACTIONS(3635),
    [anon_sym_BSLASHsubfile] = ACTIONS(3635),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3637),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3639),
    [anon_sym_BSLASHbibliography] = ACTIONS(3641),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3643),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3645),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3647),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3649),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3649),
    [anon_sym_BSLASHimport] = ACTIONS(3651),
    [anon_sym_BSLASHsubimport] = ACTIONS(3651),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3651),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3651),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3651),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3651),
    [anon_sym_BSLASHcaption] = ACTIONS(3653),
    [anon_sym_BSLASHcite] = ACTIONS(3655),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHCite] = ACTIONS(3655),
    [anon_sym_BSLASHnocite] = ACTIONS(3655),
    [anon_sym_BSLASHcitet] = ACTIONS(3655),
    [anon_sym_BSLASHcitep] = ACTIONS(3655),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHciteA] = ACTIONS(3655),
    [anon_sym_BSLASHciteR] = ACTIONS(3655),
    [anon_sym_BSLASHciteS] = ACTIONS(3655),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3655),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3655),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3655),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3655),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHciteyear] = ACTIONS(3655),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHcitedate] = ACTIONS(3655),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHciteurl] = ACTIONS(3655),
    [anon_sym_BSLASHfullcite] = ACTIONS(3655),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3655),
    [anon_sym_BSLASHcitealt] = ACTIONS(3655),
    [anon_sym_BSLASHcitealp] = ACTIONS(3655),
    [anon_sym_BSLASHcitetext] = ACTIONS(3655),
    [anon_sym_BSLASHparencite] = ACTIONS(3655),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHParencite] = ACTIONS(3655),
    [anon_sym_BSLASHfootcite] = ACTIONS(3655),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3655),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3655),
    [anon_sym_BSLASHtextcite] = ACTIONS(3655),
    [anon_sym_BSLASHTextcite] = ACTIONS(3655),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3655),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3655),
    [anon_sym_BSLASHsupercite] = ACTIONS(3655),
    [anon_sym_BSLASHautocite] = ACTIONS(3655),
    [anon_sym_BSLASHAutocite] = ACTIONS(3655),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHVolcite] = ACTIONS(3655),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHavolcite] = ACTIONS(3655),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHnotecite] = ACTIONS(3655),
    [anon_sym_BSLASHNotecite] = ACTIONS(3655),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3655),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3655),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3655),
    [anon_sym_BSLASHlabel] = ACTIONS(3659),
    [anon_sym_BSLASHref] = ACTIONS(3661),
    [anon_sym_BSLASHeqref] = ACTIONS(3661),
    [anon_sym_BSLASHvref] = ACTIONS(3661),
    [anon_sym_BSLASHVref] = ACTIONS(3661),
    [anon_sym_BSLASHautoref] = ACTIONS(3661),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHpageref] = ACTIONS(3661),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHautopageref] = ACTIONS(3661),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHcref] = ACTIONS(3661),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHCref] = ACTIONS(3661),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHcpageref] = ACTIONS(3661),
    [anon_sym_BSLASHCpageref] = ACTIONS(3661),
    [anon_sym_BSLASHnamecref] = ACTIONS(3661),
    [anon_sym_BSLASHnameCref] = ACTIONS(3661),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3661),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3661),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3661),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3661),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3661),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3661),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3665),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3667),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3665),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3667),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3665),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3665),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3669),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3671),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3671),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3671),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3671),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3671),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(3677),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(3677),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(3677),
    [anon_sym_BSLASHdef] = ACTIONS(3679),
    [anon_sym_BSLASHgdef] = ACTIONS(3679),
    [anon_sym_BSLASHedef] = ACTIONS(3679),
    [anon_sym_BSLASHxdef] = ACTIONS(3679),
    [anon_sym_BSLASHlet] = ACTIONS(3681),
    [anon_sym_BSLASHglet] = ACTIONS(3681),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(3683),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(3683),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(3685),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(3685),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(3687),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(3687),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(3687),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(3687),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(3689),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(3689),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(3689),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(3691),
    [anon_sym_BSLASHgls] = ACTIONS(3693),
    [anon_sym_BSLASHGls] = ACTIONS(3693),
    [anon_sym_BSLASHGLS] = ACTIONS(3693),
    [anon_sym_BSLASHglspl] = ACTIONS(3693),
    [anon_sym_BSLASHGlspl] = ACTIONS(3693),
    [anon_sym_BSLASHGLSpl] = ACTIONS(3693),
    [anon_sym_BSLASHglsdisp] = ACTIONS(3693),
    [anon_sym_BSLASHglslink] = ACTIONS(3693),
    [anon_sym_BSLASHglstext] = ACTIONS(3693),
    [anon_sym_BSLASHGlstext] = ACTIONS(3693),
    [anon_sym_BSLASHGLStext] = ACTIONS(3693),
    [anon_sym_BSLASHglsfirst] = ACTIONS(3693),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(3693),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(3693),
    [anon_sym_BSLASHglsplural] = ACTIONS(3693),
    [anon_sym_BSLASHGlsplural] = ACTIONS(3693),
    [anon_sym_BSLASHGLSplural] = ACTIONS(3693),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(3693),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(3693),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(3693),
    [anon_sym_BSLASHglsname] = ACTIONS(3693),
    [anon_sym_BSLASHGlsname] = ACTIONS(3693),
    [anon_sym_BSLASHGLSname] = ACTIONS(3693),
    [anon_sym_BSLASHglssymbol] = ACTIONS(3693),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(3693),
    [anon_sym_BSLASHglsdesc] = ACTIONS(3693),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(3693),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(3693),
    [anon_sym_BSLASHglsuseri] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(3693),
    [anon_sym_BSLASHglsuserii] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(3693),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(3693),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(3693),
    [anon_sym_BSLASHglsuserv] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(3693),
    [anon_sym_BSLASHglsuservi] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(3693),
    [anon_sym_BSLASHnewacronym] = ACTIONS(3695),
    [anon_sym_BSLASHacrshort] = ACTIONS(3697),
    [anon_sym_BSLASHAcrshort] = ACTIONS(3697),
    [anon_sym_BSLASHACRshort] = ACTIONS(3697),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHacrlong] = ACTIONS(3697),
    [anon_sym_BSLASHAcrlong] = ACTIONS(3697),
    [anon_sym_BSLASHACRlong] = ACTIONS(3697),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(3697),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(3697),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(3697),
    [anon_sym_BSLASHacrfull] = ACTIONS(3697),
    [anon_sym_BSLASHAcrfull] = ACTIONS(3697),
    [anon_sym_BSLASHACRfull] = ACTIONS(3697),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHacs] = ACTIONS(3697),
    [anon_sym_BSLASHAcs] = ACTIONS(3697),
    [anon_sym_BSLASHacsp] = ACTIONS(3697),
    [anon_sym_BSLASHAcsp] = ACTIONS(3697),
    [anon_sym_BSLASHacl] = ACTIONS(3697),
    [anon_sym_BSLASHAcl] = ACTIONS(3697),
    [anon_sym_BSLASHaclp] = ACTIONS(3697),
    [anon_sym_BSLASHAclp] = ACTIONS(3697),
    [anon_sym_BSLASHacf] = ACTIONS(3697),
    [anon_sym_BSLASHAcf] = ACTIONS(3697),
    [anon_sym_BSLASHacfp] = ACTIONS(3697),
    [anon_sym_BSLASHAcfp] = ACTIONS(3697),
    [anon_sym_BSLASHac] = ACTIONS(3697),
    [anon_sym_BSLASHAc] = ACTIONS(3697),
    [anon_sym_BSLASHacp] = ACTIONS(3697),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(3697),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(3697),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(3697),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(3699),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(3701),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(3699),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(3701),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(3703),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(3705),
    [anon_sym_BSLASHcolor] = ACTIONS(3707),
    [anon_sym_BSLASHpagecolor] = ACTIONS(3707),
    [anon_sym_BSLASHtextcolor] = ACTIONS(3707),
    [anon_sym_BSLASHmathcolor] = ACTIONS(3707),
    [anon_sym_BSLASHcolorbox] = ACTIONS(3707),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(3709),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(3709),
    [anon_sym_BSLASHurl] = ACTIONS(3711),
    [anon_sym_BSLASHhref] = ACTIONS(3711),
  },
  [259] = {
    [sym_block_comment] = STATE(262),
    [sym__text_with_env_content] = STATE(262),
    [sym__text_content] = STATE(262),
    [sym_curly_group] = STATE(262),
    [sym_brack_group] = STATE(262),
    [sym_text] = STATE(262),
    [sym_operator] = STATE(2042),
    [sym_subscript] = STATE(2042),
    [sym_superscript] = STATE(2042),
    [sym__math_content] = STATE(262),
    [sym_displayed_equation] = STATE(262),
    [sym_inline_formula] = STATE(262),
    [sym_math_delimiter] = STATE(262),
    [sym_text_mode] = STATE(262),
    [sym_begin] = STATE(53),
    [sym_generic_environment] = STATE(262),
    [sym_comment_environment] = STATE(262),
    [sym__comment_environment_begin] = STATE(3717),
    [sym_verbatim_environment] = STATE(262),
    [sym__verbatim_environment_begin] = STATE(3718),
    [sym_listing_environment] = STATE(262),
    [sym__listing_environment_begin] = STATE(3719),
    [sym_minted_environment] = STATE(262),
    [sym__minted_environment_begin] = STATE(3720),
    [sym_asy_environment] = STATE(262),
    [sym__asy_environment_begin] = STATE(3721),
    [sym_asydef_environment] = STATE(262),
    [sym__asydef_environment_begin] = STATE(3722),
    [sym_pycode_environment] = STATE(262),
    [sym__pycode_environment_begin] = STATE(3723),
    [sym_luacode_environment] = STATE(262),
    [sym__luacode_environment] = STATE(2057),
    [sym___luacode_environment_begin] = STATE(3724),
    [sym__luacode_environment_star] = STATE(2058),
    [sym___luacode_environment_star_begin] = STATE(3725),
    [sym_sagesilent_environment] = STATE(262),
    [sym__sagesilent_environment_begin] = STATE(3726),
    [sym_sageblock_environment] = STATE(262),
    [sym__sageblock_environment_begin] = STATE(3727),
    [sym_math_environment] = STATE(262),
    [sym__math_environment_begin] = STATE(247),
    [sym__command] = STATE(262),
    [sym_generic_command] = STATE(262),
    [sym_title_declaration] = STATE(262),
    [sym_author_declaration] = STATE(262),
    [sym_package_include] = STATE(262),
    [sym_class_include] = STATE(262),
    [sym_latex_include] = STATE(262),
    [sym_biblatex_include] = STATE(262),
    [sym_bibstyle_include] = STATE(262),
    [sym_bibtex_include] = STATE(262),
    [sym_graphics_include] = STATE(262),
    [sym_svg_include] = STATE(262),
    [sym_inkscape_include] = STATE(262),
    [sym_verbatim_include] = STATE(262),
    [sym_import_include] = STATE(262),
    [sym_caption] = STATE(262),
    [sym_citation] = STATE(262),
    [sym_label_definition] = STATE(262),
    [sym_label_reference] = STATE(262),
    [sym_label_reference_range] = STATE(262),
    [sym_label_number] = STATE(262),
    [sym_new_command_definition] = STATE(262),
    [sym__new_command_definition] = STATE(2059),
    [sym__newer_command_definition] = STATE(2060),
    [sym__new_command_copy] = STATE(2061),
    [sym_old_command_definition] = STATE(262),
    [sym_let_command_definition] = STATE(262),
    [sym_paired_delimiter_definition] = STATE(262),
    [sym_environment_definition] = STATE(262),
    [sym__environment_definition] = STATE(2062),
    [sym__newer_environment_definition] = STATE(2063),
    [sym__new_environment_copy] = STATE(2064),
    [sym_glossary_entry_definition] = STATE(262),
    [sym_glossary_entry_reference] = STATE(262),
    [sym_acronym_definition] = STATE(262),
    [sym_acronym_reference] = STATE(262),
    [sym_theorem_definition] = STATE(262),
    [sym_color_definition] = STATE(262),
    [sym_color_set_definition] = STATE(262),
    [sym_color_reference] = STATE(262),
    [sym_tikz_library_import] = STATE(262),
    [sym_hyperlink] = STATE(262),
    [aux_sym_brack_group_repeat1] = STATE(262),
    [aux_sym_text_repeat1] = STATE(332),
    [sym_command_name] = ACTIONS(3593),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3595),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(3719),
    [anon_sym_COMMA] = ACTIONS(3721),
    [anon_sym_EQ] = ACTIONS(3721),
    [anon_sym_LPAREN] = ACTIONS(3721),
    [anon_sym_RPAREN] = ACTIONS(3721),
    [anon_sym_LBRACE] = ACTIONS(3603),
    [sym_word] = ACTIONS(3605),
    [sym_placeholder] = ACTIONS(3607),
    [sym_delimiter] = ACTIONS(3607),
    [anon_sym_PLUS] = ACTIONS(3609),
    [anon_sym_DASH] = ACTIONS(3609),
    [anon_sym_STAR] = ACTIONS(3609),
    [anon_sym_SLASH] = ACTIONS(3609),
    [anon_sym_LT] = ACTIONS(3611),
    [anon_sym_GT] = ACTIONS(3611),
    [anon_sym_BANG] = ACTIONS(3611),
    [anon_sym_PIPE] = ACTIONS(3611),
    [anon_sym_COLON] = ACTIONS(3611),
    [anon_sym_SQUOTE] = ACTIONS(3611),
    [anon_sym__] = ACTIONS(3613),
    [anon_sym_CARET] = ACTIONS(3615),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(3617),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(3617),
    [anon_sym_DOLLAR] = ACTIONS(3619),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(3621),
    [anon_sym_BSLASHleft] = ACTIONS(3623),
    [anon_sym_BSLASHbigl] = ACTIONS(3623),
    [anon_sym_BSLASHBigl] = ACTIONS(3623),
    [anon_sym_BSLASHbiggl] = ACTIONS(3623),
    [anon_sym_BSLASHBiggl] = ACTIONS(3623),
    [anon_sym_BSLASHtext] = ACTIONS(3625),
    [anon_sym_BSLASHintertext] = ACTIONS(3625),
    [anon_sym_BSLASHshortintertext] = ACTIONS(3625),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(3627),
    [anon_sym_BSLASHauthor] = ACTIONS(3629),
    [anon_sym_BSLASHusepackage] = ACTIONS(3631),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3631),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3633),
    [anon_sym_BSLASHinclude] = ACTIONS(3635),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3635),
    [anon_sym_BSLASHinput] = ACTIONS(3635),
    [anon_sym_BSLASHsubfile] = ACTIONS(3635),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3637),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3639),
    [anon_sym_BSLASHbibliography] = ACTIONS(3641),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3643),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3645),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3647),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3649),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3649),
    [anon_sym_BSLASHimport] = ACTIONS(3651),
    [anon_sym_BSLASHsubimport] = ACTIONS(3651),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3651),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3651),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3651),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3651),
    [anon_sym_BSLASHcaption] = ACTIONS(3653),
    [anon_sym_BSLASHcite] = ACTIONS(3655),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHCite] = ACTIONS(3655),
    [anon_sym_BSLASHnocite] = ACTIONS(3655),
    [anon_sym_BSLASHcitet] = ACTIONS(3655),
    [anon_sym_BSLASHcitep] = ACTIONS(3655),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHciteA] = ACTIONS(3655),
    [anon_sym_BSLASHciteR] = ACTIONS(3655),
    [anon_sym_BSLASHciteS] = ACTIONS(3655),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3655),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3655),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3655),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3655),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHciteyear] = ACTIONS(3655),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHcitedate] = ACTIONS(3655),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHciteurl] = ACTIONS(3655),
    [anon_sym_BSLASHfullcite] = ACTIONS(3655),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3655),
    [anon_sym_BSLASHcitealt] = ACTIONS(3655),
    [anon_sym_BSLASHcitealp] = ACTIONS(3655),
    [anon_sym_BSLASHcitetext] = ACTIONS(3655),
    [anon_sym_BSLASHparencite] = ACTIONS(3655),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHParencite] = ACTIONS(3655),
    [anon_sym_BSLASHfootcite] = ACTIONS(3655),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3655),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3655),
    [anon_sym_BSLASHtextcite] = ACTIONS(3655),
    [anon_sym_BSLASHTextcite] = ACTIONS(3655),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3655),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3655),
    [anon_sym_BSLASHsupercite] = ACTIONS(3655),
    [anon_sym_BSLASHautocite] = ACTIONS(3655),
    [anon_sym_BSLASHAutocite] = ACTIONS(3655),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHVolcite] = ACTIONS(3655),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHavolcite] = ACTIONS(3655),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHnotecite] = ACTIONS(3655),
    [anon_sym_BSLASHNotecite] = ACTIONS(3655),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3655),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3655),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3655),
    [anon_sym_BSLASHlabel] = ACTIONS(3659),
    [anon_sym_BSLASHref] = ACTIONS(3661),
    [anon_sym_BSLASHeqref] = ACTIONS(3661),
    [anon_sym_BSLASHvref] = ACTIONS(3661),
    [anon_sym_BSLASHVref] = ACTIONS(3661),
    [anon_sym_BSLASHautoref] = ACTIONS(3661),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHpageref] = ACTIONS(3661),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHautopageref] = ACTIONS(3661),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHcref] = ACTIONS(3661),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHCref] = ACTIONS(3661),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHcpageref] = ACTIONS(3661),
    [anon_sym_BSLASHCpageref] = ACTIONS(3661),
    [anon_sym_BSLASHnamecref] = ACTIONS(3661),
    [anon_sym_BSLASHnameCref] = ACTIONS(3661),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3661),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3661),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3661),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3661),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3661),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3661),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3665),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3667),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3665),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3667),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3665),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3665),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3669),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3671),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3671),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3671),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3671),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3671),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(3677),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(3677),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(3677),
    [anon_sym_BSLASHdef] = ACTIONS(3679),
    [anon_sym_BSLASHgdef] = ACTIONS(3679),
    [anon_sym_BSLASHedef] = ACTIONS(3679),
    [anon_sym_BSLASHxdef] = ACTIONS(3679),
    [anon_sym_BSLASHlet] = ACTIONS(3681),
    [anon_sym_BSLASHglet] = ACTIONS(3681),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(3683),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(3683),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(3685),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(3685),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(3687),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(3687),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(3687),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(3687),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(3689),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(3689),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(3689),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(3691),
    [anon_sym_BSLASHgls] = ACTIONS(3693),
    [anon_sym_BSLASHGls] = ACTIONS(3693),
    [anon_sym_BSLASHGLS] = ACTIONS(3693),
    [anon_sym_BSLASHglspl] = ACTIONS(3693),
    [anon_sym_BSLASHGlspl] = ACTIONS(3693),
    [anon_sym_BSLASHGLSpl] = ACTIONS(3693),
    [anon_sym_BSLASHglsdisp] = ACTIONS(3693),
    [anon_sym_BSLASHglslink] = ACTIONS(3693),
    [anon_sym_BSLASHglstext] = ACTIONS(3693),
    [anon_sym_BSLASHGlstext] = ACTIONS(3693),
    [anon_sym_BSLASHGLStext] = ACTIONS(3693),
    [anon_sym_BSLASHglsfirst] = ACTIONS(3693),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(3693),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(3693),
    [anon_sym_BSLASHglsplural] = ACTIONS(3693),
    [anon_sym_BSLASHGlsplural] = ACTIONS(3693),
    [anon_sym_BSLASHGLSplural] = ACTIONS(3693),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(3693),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(3693),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(3693),
    [anon_sym_BSLASHglsname] = ACTIONS(3693),
    [anon_sym_BSLASHGlsname] = ACTIONS(3693),
    [anon_sym_BSLASHGLSname] = ACTIONS(3693),
    [anon_sym_BSLASHglssymbol] = ACTIONS(3693),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(3693),
    [anon_sym_BSLASHglsdesc] = ACTIONS(3693),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(3693),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(3693),
    [anon_sym_BSLASHglsuseri] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(3693),
    [anon_sym_BSLASHglsuserii] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(3693),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(3693),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(3693),
    [anon_sym_BSLASHglsuserv] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(3693),
    [anon_sym_BSLASHglsuservi] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(3693),
    [anon_sym_BSLASHnewacronym] = ACTIONS(3695),
    [anon_sym_BSLASHacrshort] = ACTIONS(3697),
    [anon_sym_BSLASHAcrshort] = ACTIONS(3697),
    [anon_sym_BSLASHACRshort] = ACTIONS(3697),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHacrlong] = ACTIONS(3697),
    [anon_sym_BSLASHAcrlong] = ACTIONS(3697),
    [anon_sym_BSLASHACRlong] = ACTIONS(3697),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(3697),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(3697),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(3697),
    [anon_sym_BSLASHacrfull] = ACTIONS(3697),
    [anon_sym_BSLASHAcrfull] = ACTIONS(3697),
    [anon_sym_BSLASHACRfull] = ACTIONS(3697),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHacs] = ACTIONS(3697),
    [anon_sym_BSLASHAcs] = ACTIONS(3697),
    [anon_sym_BSLASHacsp] = ACTIONS(3697),
    [anon_sym_BSLASHAcsp] = ACTIONS(3697),
    [anon_sym_BSLASHacl] = ACTIONS(3697),
    [anon_sym_BSLASHAcl] = ACTIONS(3697),
    [anon_sym_BSLASHaclp] = ACTIONS(3697),
    [anon_sym_BSLASHAclp] = ACTIONS(3697),
    [anon_sym_BSLASHacf] = ACTIONS(3697),
    [anon_sym_BSLASHAcf] = ACTIONS(3697),
    [anon_sym_BSLASHacfp] = ACTIONS(3697),
    [anon_sym_BSLASHAcfp] = ACTIONS(3697),
    [anon_sym_BSLASHac] = ACTIONS(3697),
    [anon_sym_BSLASHAc] = ACTIONS(3697),
    [anon_sym_BSLASHacp] = ACTIONS(3697),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(3697),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(3697),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(3697),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(3699),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(3701),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(3699),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(3701),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(3703),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(3705),
    [anon_sym_BSLASHcolor] = ACTIONS(3707),
    [anon_sym_BSLASHpagecolor] = ACTIONS(3707),
    [anon_sym_BSLASHtextcolor] = ACTIONS(3707),
    [anon_sym_BSLASHmathcolor] = ACTIONS(3707),
    [anon_sym_BSLASHcolorbox] = ACTIONS(3707),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(3709),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(3709),
    [anon_sym_BSLASHurl] = ACTIONS(3711),
    [anon_sym_BSLASHhref] = ACTIONS(3711),
  },
  [260] = {
    [sym_block_comment] = STATE(260),
    [sym__text_with_env_content] = STATE(260),
    [sym__text_content] = STATE(260),
    [sym_curly_group] = STATE(260),
    [sym_brack_group] = STATE(260),
    [sym_text] = STATE(260),
    [sym_operator] = STATE(2042),
    [sym_subscript] = STATE(2042),
    [sym_superscript] = STATE(2042),
    [sym__math_content] = STATE(260),
    [sym_displayed_equation] = STATE(260),
    [sym_inline_formula] = STATE(260),
    [sym_math_delimiter] = STATE(260),
    [sym_text_mode] = STATE(260),
    [sym_begin] = STATE(53),
    [sym_generic_environment] = STATE(260),
    [sym_comment_environment] = STATE(260),
    [sym__comment_environment_begin] = STATE(3717),
    [sym_verbatim_environment] = STATE(260),
    [sym__verbatim_environment_begin] = STATE(3718),
    [sym_listing_environment] = STATE(260),
    [sym__listing_environment_begin] = STATE(3719),
    [sym_minted_environment] = STATE(260),
    [sym__minted_environment_begin] = STATE(3720),
    [sym_asy_environment] = STATE(260),
    [sym__asy_environment_begin] = STATE(3721),
    [sym_asydef_environment] = STATE(260),
    [sym__asydef_environment_begin] = STATE(3722),
    [sym_pycode_environment] = STATE(260),
    [sym__pycode_environment_begin] = STATE(3723),
    [sym_luacode_environment] = STATE(260),
    [sym__luacode_environment] = STATE(2057),
    [sym___luacode_environment_begin] = STATE(3724),
    [sym__luacode_environment_star] = STATE(2058),
    [sym___luacode_environment_star_begin] = STATE(3725),
    [sym_sagesilent_environment] = STATE(260),
    [sym__sagesilent_environment_begin] = STATE(3726),
    [sym_sageblock_environment] = STATE(260),
    [sym__sageblock_environment_begin] = STATE(3727),
    [sym_math_environment] = STATE(260),
    [sym__math_environment_begin] = STATE(247),
    [sym__command] = STATE(260),
    [sym_generic_command] = STATE(260),
    [sym_title_declaration] = STATE(260),
    [sym_author_declaration] = STATE(260),
    [sym_package_include] = STATE(260),
    [sym_class_include] = STATE(260),
    [sym_latex_include] = STATE(260),
    [sym_biblatex_include] = STATE(260),
    [sym_bibstyle_include] = STATE(260),
    [sym_bibtex_include] = STATE(260),
    [sym_graphics_include] = STATE(260),
    [sym_svg_include] = STATE(260),
    [sym_inkscape_include] = STATE(260),
    [sym_verbatim_include] = STATE(260),
    [sym_import_include] = STATE(260),
    [sym_caption] = STATE(260),
    [sym_citation] = STATE(260),
    [sym_label_definition] = STATE(260),
    [sym_label_reference] = STATE(260),
    [sym_label_reference_range] = STATE(260),
    [sym_label_number] = STATE(260),
    [sym_new_command_definition] = STATE(260),
    [sym__new_command_definition] = STATE(2059),
    [sym__newer_command_definition] = STATE(2060),
    [sym__new_command_copy] = STATE(2061),
    [sym_old_command_definition] = STATE(260),
    [sym_let_command_definition] = STATE(260),
    [sym_paired_delimiter_definition] = STATE(260),
    [sym_environment_definition] = STATE(260),
    [sym__environment_definition] = STATE(2062),
    [sym__newer_environment_definition] = STATE(2063),
    [sym__new_environment_copy] = STATE(2064),
    [sym_glossary_entry_definition] = STATE(260),
    [sym_glossary_entry_reference] = STATE(260),
    [sym_acronym_definition] = STATE(260),
    [sym_acronym_reference] = STATE(260),
    [sym_theorem_definition] = STATE(260),
    [sym_color_definition] = STATE(260),
    [sym_color_set_definition] = STATE(260),
    [sym_color_reference] = STATE(260),
    [sym_tikz_library_import] = STATE(260),
    [sym_hyperlink] = STATE(260),
    [aux_sym_brack_group_repeat1] = STATE(260),
    [aux_sym_text_repeat1] = STATE(332),
    [sym_command_name] = ACTIONS(3723),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3726),
    [anon_sym_LBRACK] = ACTIONS(3729),
    [anon_sym_RBRACK] = ACTIONS(3732),
    [anon_sym_COMMA] = ACTIONS(3734),
    [anon_sym_EQ] = ACTIONS(3734),
    [anon_sym_LPAREN] = ACTIONS(3734),
    [anon_sym_RPAREN] = ACTIONS(3734),
    [anon_sym_LBRACE] = ACTIONS(3737),
    [sym_word] = ACTIONS(3740),
    [sym_placeholder] = ACTIONS(3743),
    [sym_delimiter] = ACTIONS(3743),
    [anon_sym_PLUS] = ACTIONS(3746),
    [anon_sym_DASH] = ACTIONS(3746),
    [anon_sym_STAR] = ACTIONS(3746),
    [anon_sym_SLASH] = ACTIONS(3746),
    [anon_sym_LT] = ACTIONS(3749),
    [anon_sym_GT] = ACTIONS(3749),
    [anon_sym_BANG] = ACTIONS(3749),
    [anon_sym_PIPE] = ACTIONS(3749),
    [anon_sym_COLON] = ACTIONS(3749),
    [anon_sym_SQUOTE] = ACTIONS(3749),
    [anon_sym__] = ACTIONS(3752),
    [anon_sym_CARET] = ACTIONS(3755),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(3758),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(3758),
    [anon_sym_DOLLAR] = ACTIONS(3761),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(3764),
    [anon_sym_BSLASHleft] = ACTIONS(3767),
    [anon_sym_BSLASHbigl] = ACTIONS(3767),
    [anon_sym_BSLASHBigl] = ACTIONS(3767),
    [anon_sym_BSLASHbiggl] = ACTIONS(3767),
    [anon_sym_BSLASHBiggl] = ACTIONS(3767),
    [anon_sym_BSLASHtext] = ACTIONS(3770),
    [anon_sym_BSLASHintertext] = ACTIONS(3770),
    [anon_sym_BSLASHshortintertext] = ACTIONS(3770),
    [anon_sym_BSLASHbegin] = ACTIONS(3773),
    [anon_sym_BSLASHtitle] = ACTIONS(3776),
    [anon_sym_BSLASHauthor] = ACTIONS(3779),
    [anon_sym_BSLASHusepackage] = ACTIONS(3782),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3782),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3785),
    [anon_sym_BSLASHinclude] = ACTIONS(3788),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3788),
    [anon_sym_BSLASHinput] = ACTIONS(3788),
    [anon_sym_BSLASHsubfile] = ACTIONS(3788),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3791),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3794),
    [anon_sym_BSLASHbibliography] = ACTIONS(3797),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3800),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3803),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3806),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3809),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3809),
    [anon_sym_BSLASHimport] = ACTIONS(3812),
    [anon_sym_BSLASHsubimport] = ACTIONS(3812),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3812),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3812),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3812),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3812),
    [anon_sym_BSLASHcaption] = ACTIONS(3815),
    [anon_sym_BSLASHcite] = ACTIONS(3818),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3821),
    [anon_sym_BSLASHCite] = ACTIONS(3818),
    [anon_sym_BSLASHnocite] = ACTIONS(3818),
    [anon_sym_BSLASHcitet] = ACTIONS(3818),
    [anon_sym_BSLASHcitep] = ACTIONS(3818),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3821),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3821),
    [anon_sym_BSLASHciteA] = ACTIONS(3818),
    [anon_sym_BSLASHciteR] = ACTIONS(3818),
    [anon_sym_BSLASHciteS] = ACTIONS(3818),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3818),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3818),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3821),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3818),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3821),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3818),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3821),
    [anon_sym_BSLASHciteyear] = ACTIONS(3818),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3821),
    [anon_sym_BSLASHcitedate] = ACTIONS(3818),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3821),
    [anon_sym_BSLASHciteurl] = ACTIONS(3818),
    [anon_sym_BSLASHfullcite] = ACTIONS(3818),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3818),
    [anon_sym_BSLASHcitealt] = ACTIONS(3818),
    [anon_sym_BSLASHcitealp] = ACTIONS(3818),
    [anon_sym_BSLASHcitetext] = ACTIONS(3818),
    [anon_sym_BSLASHparencite] = ACTIONS(3818),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3821),
    [anon_sym_BSLASHParencite] = ACTIONS(3818),
    [anon_sym_BSLASHfootcite] = ACTIONS(3818),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3818),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3818),
    [anon_sym_BSLASHtextcite] = ACTIONS(3818),
    [anon_sym_BSLASHTextcite] = ACTIONS(3818),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3818),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3818),
    [anon_sym_BSLASHsupercite] = ACTIONS(3818),
    [anon_sym_BSLASHautocite] = ACTIONS(3818),
    [anon_sym_BSLASHAutocite] = ACTIONS(3818),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3821),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3821),
    [anon_sym_BSLASHvolcite] = ACTIONS(3818),
    [anon_sym_BSLASHVolcite] = ACTIONS(3818),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3818),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3818),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3818),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3818),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3818),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3818),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3818),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3818),
    [anon_sym_BSLASHavolcite] = ACTIONS(3818),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3818),
    [anon_sym_BSLASHnotecite] = ACTIONS(3818),
    [anon_sym_BSLASHNotecite] = ACTIONS(3818),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3818),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3818),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3818),
    [anon_sym_BSLASHlabel] = ACTIONS(3824),
    [anon_sym_BSLASHref] = ACTIONS(3827),
    [anon_sym_BSLASHeqref] = ACTIONS(3827),
    [anon_sym_BSLASHvref] = ACTIONS(3827),
    [anon_sym_BSLASHVref] = ACTIONS(3827),
    [anon_sym_BSLASHautoref] = ACTIONS(3827),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3830),
    [anon_sym_BSLASHpageref] = ACTIONS(3827),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3830),
    [anon_sym_BSLASHautopageref] = ACTIONS(3827),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3830),
    [anon_sym_BSLASHcref] = ACTIONS(3827),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3830),
    [anon_sym_BSLASHCref] = ACTIONS(3827),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3830),
    [anon_sym_BSLASHcpageref] = ACTIONS(3827),
    [anon_sym_BSLASHCpageref] = ACTIONS(3827),
    [anon_sym_BSLASHnamecref] = ACTIONS(3827),
    [anon_sym_BSLASHnameCref] = ACTIONS(3827),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3827),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3827),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3827),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3827),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3827),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3830),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3827),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3830),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3833),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3836),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3833),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3836),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3833),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3833),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3839),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3842),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3845),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3842),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3845),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3842),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3845),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3842),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3845),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3842),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3845),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(3848),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(3848),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(3848),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(3848),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(3848),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(3848),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(3848),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(3848),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(3851),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(3851),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(3851),
    [anon_sym_BSLASHdef] = ACTIONS(3854),
    [anon_sym_BSLASHgdef] = ACTIONS(3854),
    [anon_sym_BSLASHedef] = ACTIONS(3854),
    [anon_sym_BSLASHxdef] = ACTIONS(3854),
    [anon_sym_BSLASHlet] = ACTIONS(3857),
    [anon_sym_BSLASHglet] = ACTIONS(3857),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(3860),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(3860),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(3863),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(3863),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(3866),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(3866),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(3866),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(3866),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(3869),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(3869),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(3869),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(3872),
    [anon_sym_BSLASHgls] = ACTIONS(3875),
    [anon_sym_BSLASHGls] = ACTIONS(3875),
    [anon_sym_BSLASHGLS] = ACTIONS(3875),
    [anon_sym_BSLASHglspl] = ACTIONS(3875),
    [anon_sym_BSLASHGlspl] = ACTIONS(3875),
    [anon_sym_BSLASHGLSpl] = ACTIONS(3875),
    [anon_sym_BSLASHglsdisp] = ACTIONS(3875),
    [anon_sym_BSLASHglslink] = ACTIONS(3875),
    [anon_sym_BSLASHglstext] = ACTIONS(3875),
    [anon_sym_BSLASHGlstext] = ACTIONS(3875),
    [anon_sym_BSLASHGLStext] = ACTIONS(3875),
    [anon_sym_BSLASHglsfirst] = ACTIONS(3875),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(3875),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(3875),
    [anon_sym_BSLASHglsplural] = ACTIONS(3875),
    [anon_sym_BSLASHGlsplural] = ACTIONS(3875),
    [anon_sym_BSLASHGLSplural] = ACTIONS(3875),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(3875),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(3875),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(3875),
    [anon_sym_BSLASHglsname] = ACTIONS(3875),
    [anon_sym_BSLASHGlsname] = ACTIONS(3875),
    [anon_sym_BSLASHGLSname] = ACTIONS(3875),
    [anon_sym_BSLASHglssymbol] = ACTIONS(3875),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(3875),
    [anon_sym_BSLASHglsdesc] = ACTIONS(3875),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(3875),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(3875),
    [anon_sym_BSLASHglsuseri] = ACTIONS(3875),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(3875),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(3875),
    [anon_sym_BSLASHglsuserii] = ACTIONS(3875),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(3875),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(3875),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(3875),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(3875),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(3875),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(3875),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(3875),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(3875),
    [anon_sym_BSLASHglsuserv] = ACTIONS(3875),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(3875),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(3875),
    [anon_sym_BSLASHglsuservi] = ACTIONS(3875),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(3875),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(3875),
    [anon_sym_BSLASHnewacronym] = ACTIONS(3878),
    [anon_sym_BSLASHacrshort] = ACTIONS(3881),
    [anon_sym_BSLASHAcrshort] = ACTIONS(3881),
    [anon_sym_BSLASHACRshort] = ACTIONS(3881),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(3881),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(3881),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(3881),
    [anon_sym_BSLASHacrlong] = ACTIONS(3881),
    [anon_sym_BSLASHAcrlong] = ACTIONS(3881),
    [anon_sym_BSLASHACRlong] = ACTIONS(3881),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(3881),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(3881),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(3881),
    [anon_sym_BSLASHacrfull] = ACTIONS(3881),
    [anon_sym_BSLASHAcrfull] = ACTIONS(3881),
    [anon_sym_BSLASHACRfull] = ACTIONS(3881),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(3881),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(3881),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(3881),
    [anon_sym_BSLASHacs] = ACTIONS(3881),
    [anon_sym_BSLASHAcs] = ACTIONS(3881),
    [anon_sym_BSLASHacsp] = ACTIONS(3881),
    [anon_sym_BSLASHAcsp] = ACTIONS(3881),
    [anon_sym_BSLASHacl] = ACTIONS(3881),
    [anon_sym_BSLASHAcl] = ACTIONS(3881),
    [anon_sym_BSLASHaclp] = ACTIONS(3881),
    [anon_sym_BSLASHAclp] = ACTIONS(3881),
    [anon_sym_BSLASHacf] = ACTIONS(3881),
    [anon_sym_BSLASHAcf] = ACTIONS(3881),
    [anon_sym_BSLASHacfp] = ACTIONS(3881),
    [anon_sym_BSLASHAcfp] = ACTIONS(3881),
    [anon_sym_BSLASHac] = ACTIONS(3881),
    [anon_sym_BSLASHAc] = ACTIONS(3881),
    [anon_sym_BSLASHacp] = ACTIONS(3881),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(3881),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(3881),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(3881),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(3881),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(3881),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(3881),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(3881),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(3881),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(3881),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(3881),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(3884),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(3887),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(3884),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(3887),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(3890),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(3893),
    [anon_sym_BSLASHcolor] = ACTIONS(3896),
    [anon_sym_BSLASHpagecolor] = ACTIONS(3896),
    [anon_sym_BSLASHtextcolor] = ACTIONS(3896),
    [anon_sym_BSLASHmathcolor] = ACTIONS(3896),
    [anon_sym_BSLASHcolorbox] = ACTIONS(3896),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(3899),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(3899),
    [anon_sym_BSLASHurl] = ACTIONS(3902),
    [anon_sym_BSLASHhref] = ACTIONS(3902),
  },
  [261] = {
    [sym_block_comment] = STATE(256),
    [sym__text_with_env_content] = STATE(256),
    [sym__text_content] = STATE(256),
    [sym_curly_group] = STATE(256),
    [sym_brack_group] = STATE(256),
    [sym_text] = STATE(256),
    [sym_operator] = STATE(2042),
    [sym_subscript] = STATE(2042),
    [sym_superscript] = STATE(2042),
    [sym__math_content] = STATE(256),
    [sym_displayed_equation] = STATE(256),
    [sym_inline_formula] = STATE(256),
    [sym_math_delimiter] = STATE(256),
    [sym_text_mode] = STATE(256),
    [sym_begin] = STATE(53),
    [sym_generic_environment] = STATE(256),
    [sym_comment_environment] = STATE(256),
    [sym__comment_environment_begin] = STATE(3717),
    [sym_verbatim_environment] = STATE(256),
    [sym__verbatim_environment_begin] = STATE(3718),
    [sym_listing_environment] = STATE(256),
    [sym__listing_environment_begin] = STATE(3719),
    [sym_minted_environment] = STATE(256),
    [sym__minted_environment_begin] = STATE(3720),
    [sym_asy_environment] = STATE(256),
    [sym__asy_environment_begin] = STATE(3721),
    [sym_asydef_environment] = STATE(256),
    [sym__asydef_environment_begin] = STATE(3722),
    [sym_pycode_environment] = STATE(256),
    [sym__pycode_environment_begin] = STATE(3723),
    [sym_luacode_environment] = STATE(256),
    [sym__luacode_environment] = STATE(2057),
    [sym___luacode_environment_begin] = STATE(3724),
    [sym__luacode_environment_star] = STATE(2058),
    [sym___luacode_environment_star_begin] = STATE(3725),
    [sym_sagesilent_environment] = STATE(256),
    [sym__sagesilent_environment_begin] = STATE(3726),
    [sym_sageblock_environment] = STATE(256),
    [sym__sageblock_environment_begin] = STATE(3727),
    [sym_math_environment] = STATE(256),
    [sym__math_environment_begin] = STATE(247),
    [sym__command] = STATE(256),
    [sym_generic_command] = STATE(256),
    [sym_title_declaration] = STATE(256),
    [sym_author_declaration] = STATE(256),
    [sym_package_include] = STATE(256),
    [sym_class_include] = STATE(256),
    [sym_latex_include] = STATE(256),
    [sym_biblatex_include] = STATE(256),
    [sym_bibstyle_include] = STATE(256),
    [sym_bibtex_include] = STATE(256),
    [sym_graphics_include] = STATE(256),
    [sym_svg_include] = STATE(256),
    [sym_inkscape_include] = STATE(256),
    [sym_verbatim_include] = STATE(256),
    [sym_import_include] = STATE(256),
    [sym_caption] = STATE(256),
    [sym_citation] = STATE(256),
    [sym_label_definition] = STATE(256),
    [sym_label_reference] = STATE(256),
    [sym_label_reference_range] = STATE(256),
    [sym_label_number] = STATE(256),
    [sym_new_command_definition] = STATE(256),
    [sym__new_command_definition] = STATE(2059),
    [sym__newer_command_definition] = STATE(2060),
    [sym__new_command_copy] = STATE(2061),
    [sym_old_command_definition] = STATE(256),
    [sym_let_command_definition] = STATE(256),
    [sym_paired_delimiter_definition] = STATE(256),
    [sym_environment_definition] = STATE(256),
    [sym__environment_definition] = STATE(2062),
    [sym__newer_environment_definition] = STATE(2063),
    [sym__new_environment_copy] = STATE(2064),
    [sym_glossary_entry_definition] = STATE(256),
    [sym_glossary_entry_reference] = STATE(256),
    [sym_acronym_definition] = STATE(256),
    [sym_acronym_reference] = STATE(256),
    [sym_theorem_definition] = STATE(256),
    [sym_color_definition] = STATE(256),
    [sym_color_set_definition] = STATE(256),
    [sym_color_reference] = STATE(256),
    [sym_tikz_library_import] = STATE(256),
    [sym_hyperlink] = STATE(256),
    [aux_sym_brack_group_repeat1] = STATE(256),
    [aux_sym_text_repeat1] = STATE(332),
    [sym_command_name] = ACTIONS(3593),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3595),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(3905),
    [anon_sym_COMMA] = ACTIONS(3907),
    [anon_sym_EQ] = ACTIONS(3907),
    [anon_sym_LPAREN] = ACTIONS(3907),
    [anon_sym_RPAREN] = ACTIONS(3907),
    [anon_sym_LBRACE] = ACTIONS(3603),
    [sym_word] = ACTIONS(3605),
    [sym_placeholder] = ACTIONS(3607),
    [sym_delimiter] = ACTIONS(3607),
    [anon_sym_PLUS] = ACTIONS(3609),
    [anon_sym_DASH] = ACTIONS(3609),
    [anon_sym_STAR] = ACTIONS(3609),
    [anon_sym_SLASH] = ACTIONS(3609),
    [anon_sym_LT] = ACTIONS(3611),
    [anon_sym_GT] = ACTIONS(3611),
    [anon_sym_BANG] = ACTIONS(3611),
    [anon_sym_PIPE] = ACTIONS(3611),
    [anon_sym_COLON] = ACTIONS(3611),
    [anon_sym_SQUOTE] = ACTIONS(3611),
    [anon_sym__] = ACTIONS(3613),
    [anon_sym_CARET] = ACTIONS(3615),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(3617),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(3617),
    [anon_sym_DOLLAR] = ACTIONS(3619),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(3621),
    [anon_sym_BSLASHleft] = ACTIONS(3623),
    [anon_sym_BSLASHbigl] = ACTIONS(3623),
    [anon_sym_BSLASHBigl] = ACTIONS(3623),
    [anon_sym_BSLASHbiggl] = ACTIONS(3623),
    [anon_sym_BSLASHBiggl] = ACTIONS(3623),
    [anon_sym_BSLASHtext] = ACTIONS(3625),
    [anon_sym_BSLASHintertext] = ACTIONS(3625),
    [anon_sym_BSLASHshortintertext] = ACTIONS(3625),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(3627),
    [anon_sym_BSLASHauthor] = ACTIONS(3629),
    [anon_sym_BSLASHusepackage] = ACTIONS(3631),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3631),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3633),
    [anon_sym_BSLASHinclude] = ACTIONS(3635),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3635),
    [anon_sym_BSLASHinput] = ACTIONS(3635),
    [anon_sym_BSLASHsubfile] = ACTIONS(3635),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3637),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3639),
    [anon_sym_BSLASHbibliography] = ACTIONS(3641),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3643),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3645),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3647),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3649),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3649),
    [anon_sym_BSLASHimport] = ACTIONS(3651),
    [anon_sym_BSLASHsubimport] = ACTIONS(3651),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3651),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3651),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3651),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3651),
    [anon_sym_BSLASHcaption] = ACTIONS(3653),
    [anon_sym_BSLASHcite] = ACTIONS(3655),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHCite] = ACTIONS(3655),
    [anon_sym_BSLASHnocite] = ACTIONS(3655),
    [anon_sym_BSLASHcitet] = ACTIONS(3655),
    [anon_sym_BSLASHcitep] = ACTIONS(3655),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHciteA] = ACTIONS(3655),
    [anon_sym_BSLASHciteR] = ACTIONS(3655),
    [anon_sym_BSLASHciteS] = ACTIONS(3655),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3655),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3655),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3655),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3655),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHciteyear] = ACTIONS(3655),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHcitedate] = ACTIONS(3655),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHciteurl] = ACTIONS(3655),
    [anon_sym_BSLASHfullcite] = ACTIONS(3655),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3655),
    [anon_sym_BSLASHcitealt] = ACTIONS(3655),
    [anon_sym_BSLASHcitealp] = ACTIONS(3655),
    [anon_sym_BSLASHcitetext] = ACTIONS(3655),
    [anon_sym_BSLASHparencite] = ACTIONS(3655),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHParencite] = ACTIONS(3655),
    [anon_sym_BSLASHfootcite] = ACTIONS(3655),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3655),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3655),
    [anon_sym_BSLASHtextcite] = ACTIONS(3655),
    [anon_sym_BSLASHTextcite] = ACTIONS(3655),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3655),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3655),
    [anon_sym_BSLASHsupercite] = ACTIONS(3655),
    [anon_sym_BSLASHautocite] = ACTIONS(3655),
    [anon_sym_BSLASHAutocite] = ACTIONS(3655),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHVolcite] = ACTIONS(3655),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHavolcite] = ACTIONS(3655),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHnotecite] = ACTIONS(3655),
    [anon_sym_BSLASHNotecite] = ACTIONS(3655),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3655),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3655),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3655),
    [anon_sym_BSLASHlabel] = ACTIONS(3659),
    [anon_sym_BSLASHref] = ACTIONS(3661),
    [anon_sym_BSLASHeqref] = ACTIONS(3661),
    [anon_sym_BSLASHvref] = ACTIONS(3661),
    [anon_sym_BSLASHVref] = ACTIONS(3661),
    [anon_sym_BSLASHautoref] = ACTIONS(3661),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHpageref] = ACTIONS(3661),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHautopageref] = ACTIONS(3661),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHcref] = ACTIONS(3661),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHCref] = ACTIONS(3661),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHcpageref] = ACTIONS(3661),
    [anon_sym_BSLASHCpageref] = ACTIONS(3661),
    [anon_sym_BSLASHnamecref] = ACTIONS(3661),
    [anon_sym_BSLASHnameCref] = ACTIONS(3661),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3661),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3661),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3661),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3661),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3661),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3661),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3665),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3667),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3665),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3667),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3665),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3665),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3669),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3671),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3671),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3671),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3671),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3671),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(3677),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(3677),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(3677),
    [anon_sym_BSLASHdef] = ACTIONS(3679),
    [anon_sym_BSLASHgdef] = ACTIONS(3679),
    [anon_sym_BSLASHedef] = ACTIONS(3679),
    [anon_sym_BSLASHxdef] = ACTIONS(3679),
    [anon_sym_BSLASHlet] = ACTIONS(3681),
    [anon_sym_BSLASHglet] = ACTIONS(3681),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(3683),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(3683),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(3685),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(3685),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(3687),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(3687),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(3687),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(3687),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(3689),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(3689),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(3689),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(3691),
    [anon_sym_BSLASHgls] = ACTIONS(3693),
    [anon_sym_BSLASHGls] = ACTIONS(3693),
    [anon_sym_BSLASHGLS] = ACTIONS(3693),
    [anon_sym_BSLASHglspl] = ACTIONS(3693),
    [anon_sym_BSLASHGlspl] = ACTIONS(3693),
    [anon_sym_BSLASHGLSpl] = ACTIONS(3693),
    [anon_sym_BSLASHglsdisp] = ACTIONS(3693),
    [anon_sym_BSLASHglslink] = ACTIONS(3693),
    [anon_sym_BSLASHglstext] = ACTIONS(3693),
    [anon_sym_BSLASHGlstext] = ACTIONS(3693),
    [anon_sym_BSLASHGLStext] = ACTIONS(3693),
    [anon_sym_BSLASHglsfirst] = ACTIONS(3693),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(3693),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(3693),
    [anon_sym_BSLASHglsplural] = ACTIONS(3693),
    [anon_sym_BSLASHGlsplural] = ACTIONS(3693),
    [anon_sym_BSLASHGLSplural] = ACTIONS(3693),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(3693),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(3693),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(3693),
    [anon_sym_BSLASHglsname] = ACTIONS(3693),
    [anon_sym_BSLASHGlsname] = ACTIONS(3693),
    [anon_sym_BSLASHGLSname] = ACTIONS(3693),
    [anon_sym_BSLASHglssymbol] = ACTIONS(3693),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(3693),
    [anon_sym_BSLASHglsdesc] = ACTIONS(3693),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(3693),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(3693),
    [anon_sym_BSLASHglsuseri] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(3693),
    [anon_sym_BSLASHglsuserii] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(3693),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(3693),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(3693),
    [anon_sym_BSLASHglsuserv] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(3693),
    [anon_sym_BSLASHglsuservi] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(3693),
    [anon_sym_BSLASHnewacronym] = ACTIONS(3695),
    [anon_sym_BSLASHacrshort] = ACTIONS(3697),
    [anon_sym_BSLASHAcrshort] = ACTIONS(3697),
    [anon_sym_BSLASHACRshort] = ACTIONS(3697),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHacrlong] = ACTIONS(3697),
    [anon_sym_BSLASHAcrlong] = ACTIONS(3697),
    [anon_sym_BSLASHACRlong] = ACTIONS(3697),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(3697),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(3697),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(3697),
    [anon_sym_BSLASHacrfull] = ACTIONS(3697),
    [anon_sym_BSLASHAcrfull] = ACTIONS(3697),
    [anon_sym_BSLASHACRfull] = ACTIONS(3697),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHacs] = ACTIONS(3697),
    [anon_sym_BSLASHAcs] = ACTIONS(3697),
    [anon_sym_BSLASHacsp] = ACTIONS(3697),
    [anon_sym_BSLASHAcsp] = ACTIONS(3697),
    [anon_sym_BSLASHacl] = ACTIONS(3697),
    [anon_sym_BSLASHAcl] = ACTIONS(3697),
    [anon_sym_BSLASHaclp] = ACTIONS(3697),
    [anon_sym_BSLASHAclp] = ACTIONS(3697),
    [anon_sym_BSLASHacf] = ACTIONS(3697),
    [anon_sym_BSLASHAcf] = ACTIONS(3697),
    [anon_sym_BSLASHacfp] = ACTIONS(3697),
    [anon_sym_BSLASHAcfp] = ACTIONS(3697),
    [anon_sym_BSLASHac] = ACTIONS(3697),
    [anon_sym_BSLASHAc] = ACTIONS(3697),
    [anon_sym_BSLASHacp] = ACTIONS(3697),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(3697),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(3697),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(3697),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(3699),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(3701),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(3699),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(3701),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(3703),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(3705),
    [anon_sym_BSLASHcolor] = ACTIONS(3707),
    [anon_sym_BSLASHpagecolor] = ACTIONS(3707),
    [anon_sym_BSLASHtextcolor] = ACTIONS(3707),
    [anon_sym_BSLASHmathcolor] = ACTIONS(3707),
    [anon_sym_BSLASHcolorbox] = ACTIONS(3707),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(3709),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(3709),
    [anon_sym_BSLASHurl] = ACTIONS(3711),
    [anon_sym_BSLASHhref] = ACTIONS(3711),
  },
  [262] = {
    [sym_block_comment] = STATE(260),
    [sym__text_with_env_content] = STATE(260),
    [sym__text_content] = STATE(260),
    [sym_curly_group] = STATE(260),
    [sym_brack_group] = STATE(260),
    [sym_text] = STATE(260),
    [sym_operator] = STATE(2042),
    [sym_subscript] = STATE(2042),
    [sym_superscript] = STATE(2042),
    [sym__math_content] = STATE(260),
    [sym_displayed_equation] = STATE(260),
    [sym_inline_formula] = STATE(260),
    [sym_math_delimiter] = STATE(260),
    [sym_text_mode] = STATE(260),
    [sym_begin] = STATE(53),
    [sym_generic_environment] = STATE(260),
    [sym_comment_environment] = STATE(260),
    [sym__comment_environment_begin] = STATE(3717),
    [sym_verbatim_environment] = STATE(260),
    [sym__verbatim_environment_begin] = STATE(3718),
    [sym_listing_environment] = STATE(260),
    [sym__listing_environment_begin] = STATE(3719),
    [sym_minted_environment] = STATE(260),
    [sym__minted_environment_begin] = STATE(3720),
    [sym_asy_environment] = STATE(260),
    [sym__asy_environment_begin] = STATE(3721),
    [sym_asydef_environment] = STATE(260),
    [sym__asydef_environment_begin] = STATE(3722),
    [sym_pycode_environment] = STATE(260),
    [sym__pycode_environment_begin] = STATE(3723),
    [sym_luacode_environment] = STATE(260),
    [sym__luacode_environment] = STATE(2057),
    [sym___luacode_environment_begin] = STATE(3724),
    [sym__luacode_environment_star] = STATE(2058),
    [sym___luacode_environment_star_begin] = STATE(3725),
    [sym_sagesilent_environment] = STATE(260),
    [sym__sagesilent_environment_begin] = STATE(3726),
    [sym_sageblock_environment] = STATE(260),
    [sym__sageblock_environment_begin] = STATE(3727),
    [sym_math_environment] = STATE(260),
    [sym__math_environment_begin] = STATE(247),
    [sym__command] = STATE(260),
    [sym_generic_command] = STATE(260),
    [sym_title_declaration] = STATE(260),
    [sym_author_declaration] = STATE(260),
    [sym_package_include] = STATE(260),
    [sym_class_include] = STATE(260),
    [sym_latex_include] = STATE(260),
    [sym_biblatex_include] = STATE(260),
    [sym_bibstyle_include] = STATE(260),
    [sym_bibtex_include] = STATE(260),
    [sym_graphics_include] = STATE(260),
    [sym_svg_include] = STATE(260),
    [sym_inkscape_include] = STATE(260),
    [sym_verbatim_include] = STATE(260),
    [sym_import_include] = STATE(260),
    [sym_caption] = STATE(260),
    [sym_citation] = STATE(260),
    [sym_label_definition] = STATE(260),
    [sym_label_reference] = STATE(260),
    [sym_label_reference_range] = STATE(260),
    [sym_label_number] = STATE(260),
    [sym_new_command_definition] = STATE(260),
    [sym__new_command_definition] = STATE(2059),
    [sym__newer_command_definition] = STATE(2060),
    [sym__new_command_copy] = STATE(2061),
    [sym_old_command_definition] = STATE(260),
    [sym_let_command_definition] = STATE(260),
    [sym_paired_delimiter_definition] = STATE(260),
    [sym_environment_definition] = STATE(260),
    [sym__environment_definition] = STATE(2062),
    [sym__newer_environment_definition] = STATE(2063),
    [sym__new_environment_copy] = STATE(2064),
    [sym_glossary_entry_definition] = STATE(260),
    [sym_glossary_entry_reference] = STATE(260),
    [sym_acronym_definition] = STATE(260),
    [sym_acronym_reference] = STATE(260),
    [sym_theorem_definition] = STATE(260),
    [sym_color_definition] = STATE(260),
    [sym_color_set_definition] = STATE(260),
    [sym_color_reference] = STATE(260),
    [sym_tikz_library_import] = STATE(260),
    [sym_hyperlink] = STATE(260),
    [aux_sym_brack_group_repeat1] = STATE(260),
    [aux_sym_text_repeat1] = STATE(332),
    [sym_command_name] = ACTIONS(3593),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3595),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(3909),
    [anon_sym_COMMA] = ACTIONS(3601),
    [anon_sym_EQ] = ACTIONS(3601),
    [anon_sym_LPAREN] = ACTIONS(3601),
    [anon_sym_RPAREN] = ACTIONS(3601),
    [anon_sym_LBRACE] = ACTIONS(3603),
    [sym_word] = ACTIONS(3605),
    [sym_placeholder] = ACTIONS(3607),
    [sym_delimiter] = ACTIONS(3607),
    [anon_sym_PLUS] = ACTIONS(3609),
    [anon_sym_DASH] = ACTIONS(3609),
    [anon_sym_STAR] = ACTIONS(3609),
    [anon_sym_SLASH] = ACTIONS(3609),
    [anon_sym_LT] = ACTIONS(3611),
    [anon_sym_GT] = ACTIONS(3611),
    [anon_sym_BANG] = ACTIONS(3611),
    [anon_sym_PIPE] = ACTIONS(3611),
    [anon_sym_COLON] = ACTIONS(3611),
    [anon_sym_SQUOTE] = ACTIONS(3611),
    [anon_sym__] = ACTIONS(3613),
    [anon_sym_CARET] = ACTIONS(3615),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(3617),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(3617),
    [anon_sym_DOLLAR] = ACTIONS(3619),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(3621),
    [anon_sym_BSLASHleft] = ACTIONS(3623),
    [anon_sym_BSLASHbigl] = ACTIONS(3623),
    [anon_sym_BSLASHBigl] = ACTIONS(3623),
    [anon_sym_BSLASHbiggl] = ACTIONS(3623),
    [anon_sym_BSLASHBiggl] = ACTIONS(3623),
    [anon_sym_BSLASHtext] = ACTIONS(3625),
    [anon_sym_BSLASHintertext] = ACTIONS(3625),
    [anon_sym_BSLASHshortintertext] = ACTIONS(3625),
    [anon_sym_BSLASHbegin] = ACTIONS(69),
    [anon_sym_BSLASHtitle] = ACTIONS(3627),
    [anon_sym_BSLASHauthor] = ACTIONS(3629),
    [anon_sym_BSLASHusepackage] = ACTIONS(3631),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3631),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3633),
    [anon_sym_BSLASHinclude] = ACTIONS(3635),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3635),
    [anon_sym_BSLASHinput] = ACTIONS(3635),
    [anon_sym_BSLASHsubfile] = ACTIONS(3635),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3637),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3639),
    [anon_sym_BSLASHbibliography] = ACTIONS(3641),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3643),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3645),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3647),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3649),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3649),
    [anon_sym_BSLASHimport] = ACTIONS(3651),
    [anon_sym_BSLASHsubimport] = ACTIONS(3651),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3651),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3651),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3651),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3651),
    [anon_sym_BSLASHcaption] = ACTIONS(3653),
    [anon_sym_BSLASHcite] = ACTIONS(3655),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHCite] = ACTIONS(3655),
    [anon_sym_BSLASHnocite] = ACTIONS(3655),
    [anon_sym_BSLASHcitet] = ACTIONS(3655),
    [anon_sym_BSLASHcitep] = ACTIONS(3655),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHciteA] = ACTIONS(3655),
    [anon_sym_BSLASHciteR] = ACTIONS(3655),
    [anon_sym_BSLASHciteS] = ACTIONS(3655),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3655),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3655),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3655),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3655),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHciteyear] = ACTIONS(3655),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHcitedate] = ACTIONS(3655),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHciteurl] = ACTIONS(3655),
    [anon_sym_BSLASHfullcite] = ACTIONS(3655),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3655),
    [anon_sym_BSLASHcitealt] = ACTIONS(3655),
    [anon_sym_BSLASHcitealp] = ACTIONS(3655),
    [anon_sym_BSLASHcitetext] = ACTIONS(3655),
    [anon_sym_BSLASHparencite] = ACTIONS(3655),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHParencite] = ACTIONS(3655),
    [anon_sym_BSLASHfootcite] = ACTIONS(3655),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3655),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3655),
    [anon_sym_BSLASHtextcite] = ACTIONS(3655),
    [anon_sym_BSLASHTextcite] = ACTIONS(3655),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3655),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3655),
    [anon_sym_BSLASHsupercite] = ACTIONS(3655),
    [anon_sym_BSLASHautocite] = ACTIONS(3655),
    [anon_sym_BSLASHAutocite] = ACTIONS(3655),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHVolcite] = ACTIONS(3655),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHavolcite] = ACTIONS(3655),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHnotecite] = ACTIONS(3655),
    [anon_sym_BSLASHNotecite] = ACTIONS(3655),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3655),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3655),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3655),
    [anon_sym_BSLASHlabel] = ACTIONS(3659),
    [anon_sym_BSLASHref] = ACTIONS(3661),
    [anon_sym_BSLASHeqref] = ACTIONS(3661),
    [anon_sym_BSLASHvref] = ACTIONS(3661),
    [anon_sym_BSLASHVref] = ACTIONS(3661),
    [anon_sym_BSLASHautoref] = ACTIONS(3661),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHpageref] = ACTIONS(3661),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHautopageref] = ACTIONS(3661),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHcref] = ACTIONS(3661),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHCref] = ACTIONS(3661),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHcpageref] = ACTIONS(3661),
    [anon_sym_BSLASHCpageref] = ACTIONS(3661),
    [anon_sym_BSLASHnamecref] = ACTIONS(3661),
    [anon_sym_BSLASHnameCref] = ACTIONS(3661),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3661),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3661),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3661),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3661),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3661),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3661),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3665),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3667),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3665),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3667),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3665),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3665),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3669),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3671),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3671),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3671),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3671),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3671),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(3677),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(3677),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(3677),
    [anon_sym_BSLASHdef] = ACTIONS(3679),
    [anon_sym_BSLASHgdef] = ACTIONS(3679),
    [anon_sym_BSLASHedef] = ACTIONS(3679),
    [anon_sym_BSLASHxdef] = ACTIONS(3679),
    [anon_sym_BSLASHlet] = ACTIONS(3681),
    [anon_sym_BSLASHglet] = ACTIONS(3681),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(3683),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(3683),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(3685),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(3685),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(3687),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(3687),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(3687),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(3687),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(3689),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(3689),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(3689),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(3691),
    [anon_sym_BSLASHgls] = ACTIONS(3693),
    [anon_sym_BSLASHGls] = ACTIONS(3693),
    [anon_sym_BSLASHGLS] = ACTIONS(3693),
    [anon_sym_BSLASHglspl] = ACTIONS(3693),
    [anon_sym_BSLASHGlspl] = ACTIONS(3693),
    [anon_sym_BSLASHGLSpl] = ACTIONS(3693),
    [anon_sym_BSLASHglsdisp] = ACTIONS(3693),
    [anon_sym_BSLASHglslink] = ACTIONS(3693),
    [anon_sym_BSLASHglstext] = ACTIONS(3693),
    [anon_sym_BSLASHGlstext] = ACTIONS(3693),
    [anon_sym_BSLASHGLStext] = ACTIONS(3693),
    [anon_sym_BSLASHglsfirst] = ACTIONS(3693),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(3693),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(3693),
    [anon_sym_BSLASHglsplural] = ACTIONS(3693),
    [anon_sym_BSLASHGlsplural] = ACTIONS(3693),
    [anon_sym_BSLASHGLSplural] = ACTIONS(3693),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(3693),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(3693),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(3693),
    [anon_sym_BSLASHglsname] = ACTIONS(3693),
    [anon_sym_BSLASHGlsname] = ACTIONS(3693),
    [anon_sym_BSLASHGLSname] = ACTIONS(3693),
    [anon_sym_BSLASHglssymbol] = ACTIONS(3693),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(3693),
    [anon_sym_BSLASHglsdesc] = ACTIONS(3693),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(3693),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(3693),
    [anon_sym_BSLASHglsuseri] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(3693),
    [anon_sym_BSLASHglsuserii] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(3693),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(3693),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(3693),
    [anon_sym_BSLASHglsuserv] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(3693),
    [anon_sym_BSLASHglsuservi] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(3693),
    [anon_sym_BSLASHnewacronym] = ACTIONS(3695),
    [anon_sym_BSLASHacrshort] = ACTIONS(3697),
    [anon_sym_BSLASHAcrshort] = ACTIONS(3697),
    [anon_sym_BSLASHACRshort] = ACTIONS(3697),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHacrlong] = ACTIONS(3697),
    [anon_sym_BSLASHAcrlong] = ACTIONS(3697),
    [anon_sym_BSLASHACRlong] = ACTIONS(3697),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(3697),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(3697),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(3697),
    [anon_sym_BSLASHacrfull] = ACTIONS(3697),
    [anon_sym_BSLASHAcrfull] = ACTIONS(3697),
    [anon_sym_BSLASHACRfull] = ACTIONS(3697),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHacs] = ACTIONS(3697),
    [anon_sym_BSLASHAcs] = ACTIONS(3697),
    [anon_sym_BSLASHacsp] = ACTIONS(3697),
    [anon_sym_BSLASHAcsp] = ACTIONS(3697),
    [anon_sym_BSLASHacl] = ACTIONS(3697),
    [anon_sym_BSLASHAcl] = ACTIONS(3697),
    [anon_sym_BSLASHaclp] = ACTIONS(3697),
    [anon_sym_BSLASHAclp] = ACTIONS(3697),
    [anon_sym_BSLASHacf] = ACTIONS(3697),
    [anon_sym_BSLASHAcf] = ACTIONS(3697),
    [anon_sym_BSLASHacfp] = ACTIONS(3697),
    [anon_sym_BSLASHAcfp] = ACTIONS(3697),
    [anon_sym_BSLASHac] = ACTIONS(3697),
    [anon_sym_BSLASHAc] = ACTIONS(3697),
    [anon_sym_BSLASHacp] = ACTIONS(3697),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(3697),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(3697),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(3697),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(3699),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(3701),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(3699),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(3701),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(3703),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(3705),
    [anon_sym_BSLASHcolor] = ACTIONS(3707),
    [anon_sym_BSLASHpagecolor] = ACTIONS(3707),
    [anon_sym_BSLASHtextcolor] = ACTIONS(3707),
    [anon_sym_BSLASHmathcolor] = ACTIONS(3707),
    [anon_sym_BSLASHcolorbox] = ACTIONS(3707),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(3709),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(3709),
    [anon_sym_BSLASHurl] = ACTIONS(3711),
    [anon_sym_BSLASHhref] = ACTIONS(3711),
  },
  [263] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(3741),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__comment_environment_name] = STATE(3747),
    [sym__verbatim_environment_name] = STATE(3762),
    [sym__listing_environment_name] = STATE(3778),
    [sym__minted_environment_name] = STATE(3785),
    [sym__asy_environment_name] = STATE(3786),
    [sym__asydef_environment_name] = STATE(3791),
    [sym__pycode_environment_name] = STATE(3811),
    [sym___luacode_environment_name] = STATE(3819),
    [sym___luacode_environment_star_name] = STATE(3820),
    [sym__sagesilent_environment_name] = STATE(3823),
    [sym__sageblock_environment_name] = STATE(3824),
    [sym__math_environment_name] = STATE(3839),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_comment] = ACTIONS(3927),
    [anon_sym_verbatim] = ACTIONS(3929),
    [anon_sym_lstlisting] = ACTIONS(3931),
    [anon_sym_minted] = ACTIONS(3933),
    [anon_sym_asy] = ACTIONS(3935),
    [anon_sym_asydef] = ACTIONS(3937),
    [anon_sym_pycode] = ACTIONS(3939),
    [anon_sym_luacode] = ACTIONS(3941),
    [anon_sym_luacode_STAR] = ACTIONS(3943),
    [anon_sym_sagesilent] = ACTIONS(3945),
    [anon_sym_sageblock] = ACTIONS(3947),
    [anon_sym_math] = ACTIONS(3949),
    [anon_sym_displaymath] = ACTIONS(3949),
    [anon_sym_displaymath_STAR] = ACTIONS(3951),
    [anon_sym_equation] = ACTIONS(3949),
    [anon_sym_equation_STAR] = ACTIONS(3951),
    [anon_sym_multline] = ACTIONS(3949),
    [anon_sym_multline_STAR] = ACTIONS(3951),
    [anon_sym_eqnarray] = ACTIONS(3949),
    [anon_sym_eqnarray_STAR] = ACTIONS(3951),
    [anon_sym_align] = ACTIONS(3949),
    [anon_sym_align_STAR] = ACTIONS(3951),
    [anon_sym_aligned] = ACTIONS(3949),
    [anon_sym_aligned_STAR] = ACTIONS(3951),
    [anon_sym_array] = ACTIONS(3949),
    [anon_sym_array_STAR] = ACTIONS(3951),
    [anon_sym_split] = ACTIONS(3949),
    [anon_sym_split_STAR] = ACTIONS(3951),
    [anon_sym_alignat] = ACTIONS(3949),
    [anon_sym_alignat_STAR] = ACTIONS(3951),
    [anon_sym_alignedat] = ACTIONS(3949),
    [anon_sym_alignedat_STAR] = ACTIONS(3951),
    [anon_sym_gather] = ACTIONS(3949),
    [anon_sym_gather_STAR] = ACTIONS(3951),
    [anon_sym_gathered] = ACTIONS(3949),
    [anon_sym_gathered_STAR] = ACTIONS(3951),
    [anon_sym_flalign] = ACTIONS(3949),
    [anon_sym_flalign_STAR] = ACTIONS(3951),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [264] = {
    [sym_block_comment] = STATE(625),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__command] = STATE(625),
    [sym_generic_command] = STATE(625),
    [sym_title_declaration] = STATE(625),
    [sym_author_declaration] = STATE(625),
    [sym_package_include] = STATE(625),
    [sym_class_include] = STATE(625),
    [sym_latex_include] = STATE(625),
    [sym_biblatex_include] = STATE(625),
    [sym_bibstyle_include] = STATE(625),
    [sym_bibtex_include] = STATE(625),
    [sym_graphics_include] = STATE(625),
    [sym_svg_include] = STATE(625),
    [sym_inkscape_include] = STATE(625),
    [sym_verbatim_include] = STATE(625),
    [sym_import_include] = STATE(625),
    [sym_caption] = STATE(625),
    [sym_citation] = STATE(625),
    [sym_label_definition] = STATE(625),
    [sym_label_reference] = STATE(625),
    [sym_label_reference_range] = STATE(625),
    [sym_label_number] = STATE(625),
    [sym_new_command_definition] = STATE(625),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(625),
    [sym_let_command_definition] = STATE(625),
    [sym_paired_delimiter_definition] = STATE(625),
    [sym_environment_definition] = STATE(625),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(625),
    [sym_glossary_entry_reference] = STATE(625),
    [sym_acronym_definition] = STATE(625),
    [sym_acronym_reference] = STATE(625),
    [sym_theorem_definition] = STATE(625),
    [sym_color_definition] = STATE(625),
    [sym_color_set_definition] = STATE(625),
    [sym_color_reference] = STATE(625),
    [sym_tikz_library_import] = STATE(625),
    [sym_hyperlink] = STATE(625),
    [aux_sym_text_repeat1] = STATE(264),
    [sym_command_name] = ACTIONS(4039),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4042),
    [anon_sym_LBRACK] = ACTIONS(4045),
    [anon_sym_RBRACK] = ACTIONS(4045),
    [anon_sym_COMMA] = ACTIONS(4045),
    [anon_sym_EQ] = ACTIONS(4045),
    [anon_sym_LPAREN] = ACTIONS(4045),
    [anon_sym_RPAREN] = ACTIONS(4045),
    [anon_sym_BSLASHpart] = ACTIONS(4047),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHaddpart] = ACTIONS(4047),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHchapter] = ACTIONS(4047),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHaddchap] = ACTIONS(4047),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHsection] = ACTIONS(4047),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHaddsec] = ACTIONS(4047),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHsubsection] = ACTIONS(4047),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(4047),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHparagraph] = ACTIONS(4047),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(4047),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHitem] = ACTIONS(4047),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(4045),
    [anon_sym_LBRACE] = ACTIONS(4045),
    [sym_word] = ACTIONS(4049),
    [sym_placeholder] = ACTIONS(4052),
    [sym_delimiter] = ACTIONS(4052),
    [anon_sym_PLUS] = ACTIONS(4055),
    [anon_sym_DASH] = ACTIONS(4055),
    [anon_sym_STAR] = ACTIONS(4055),
    [anon_sym_SLASH] = ACTIONS(4055),
    [anon_sym_LT] = ACTIONS(4058),
    [anon_sym_GT] = ACTIONS(4058),
    [anon_sym_BANG] = ACTIONS(4058),
    [anon_sym_PIPE] = ACTIONS(4058),
    [anon_sym_COLON] = ACTIONS(4058),
    [anon_sym_SQUOTE] = ACTIONS(4058),
    [anon_sym__] = ACTIONS(4061),
    [anon_sym_CARET] = ACTIONS(4064),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4045),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4045),
    [anon_sym_DOLLAR] = ACTIONS(4047),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4045),
    [anon_sym_BSLASHleft] = ACTIONS(4047),
    [anon_sym_BSLASHbigl] = ACTIONS(4047),
    [anon_sym_BSLASHBigl] = ACTIONS(4047),
    [anon_sym_BSLASHbiggl] = ACTIONS(4047),
    [anon_sym_BSLASHBiggl] = ACTIONS(4047),
    [anon_sym_BSLASHright] = ACTIONS(4047),
    [anon_sym_BSLASHbigr] = ACTIONS(4047),
    [anon_sym_BSLASHBigr] = ACTIONS(4047),
    [anon_sym_BSLASHbiggr] = ACTIONS(4047),
    [anon_sym_BSLASHBiggr] = ACTIONS(4047),
    [anon_sym_BSLASHtext] = ACTIONS(4047),
    [anon_sym_BSLASHintertext] = ACTIONS(4047),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4047),
    [anon_sym_BSLASHbegin] = ACTIONS(4047),
    [anon_sym_BSLASHtitle] = ACTIONS(4067),
    [anon_sym_BSLASHauthor] = ACTIONS(4070),
    [anon_sym_BSLASHusepackage] = ACTIONS(4073),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4073),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4076),
    [anon_sym_BSLASHinclude] = ACTIONS(4079),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4079),
    [anon_sym_BSLASHinput] = ACTIONS(4079),
    [anon_sym_BSLASHsubfile] = ACTIONS(4079),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4082),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4085),
    [anon_sym_BSLASHbibliography] = ACTIONS(4088),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4091),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4094),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4097),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4100),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4100),
    [anon_sym_BSLASHimport] = ACTIONS(4103),
    [anon_sym_BSLASHsubimport] = ACTIONS(4103),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4103),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4103),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4103),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4103),
    [anon_sym_BSLASHcaption] = ACTIONS(4106),
    [anon_sym_BSLASHcite] = ACTIONS(4109),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4112),
    [anon_sym_BSLASHCite] = ACTIONS(4109),
    [anon_sym_BSLASHnocite] = ACTIONS(4109),
    [anon_sym_BSLASHcitet] = ACTIONS(4109),
    [anon_sym_BSLASHcitep] = ACTIONS(4109),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4112),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4112),
    [anon_sym_BSLASHciteA] = ACTIONS(4109),
    [anon_sym_BSLASHciteR] = ACTIONS(4109),
    [anon_sym_BSLASHciteS] = ACTIONS(4109),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4109),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4109),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4112),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4109),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4112),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4109),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4112),
    [anon_sym_BSLASHciteyear] = ACTIONS(4109),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4112),
    [anon_sym_BSLASHcitedate] = ACTIONS(4109),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4112),
    [anon_sym_BSLASHciteurl] = ACTIONS(4109),
    [anon_sym_BSLASHfullcite] = ACTIONS(4109),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4109),
    [anon_sym_BSLASHcitealt] = ACTIONS(4109),
    [anon_sym_BSLASHcitealp] = ACTIONS(4109),
    [anon_sym_BSLASHcitetext] = ACTIONS(4109),
    [anon_sym_BSLASHparencite] = ACTIONS(4109),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4112),
    [anon_sym_BSLASHParencite] = ACTIONS(4109),
    [anon_sym_BSLASHfootcite] = ACTIONS(4109),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4109),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4109),
    [anon_sym_BSLASHtextcite] = ACTIONS(4109),
    [anon_sym_BSLASHTextcite] = ACTIONS(4109),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4109),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4109),
    [anon_sym_BSLASHsupercite] = ACTIONS(4109),
    [anon_sym_BSLASHautocite] = ACTIONS(4109),
    [anon_sym_BSLASHAutocite] = ACTIONS(4109),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4112),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4112),
    [anon_sym_BSLASHvolcite] = ACTIONS(4109),
    [anon_sym_BSLASHVolcite] = ACTIONS(4109),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4109),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4109),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4109),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4109),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4109),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4109),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4109),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4109),
    [anon_sym_BSLASHavolcite] = ACTIONS(4109),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4109),
    [anon_sym_BSLASHnotecite] = ACTIONS(4109),
    [anon_sym_BSLASHNotecite] = ACTIONS(4109),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4109),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4109),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4109),
    [anon_sym_BSLASHlabel] = ACTIONS(4115),
    [anon_sym_BSLASHref] = ACTIONS(4118),
    [anon_sym_BSLASHeqref] = ACTIONS(4118),
    [anon_sym_BSLASHvref] = ACTIONS(4118),
    [anon_sym_BSLASHVref] = ACTIONS(4118),
    [anon_sym_BSLASHautoref] = ACTIONS(4118),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4121),
    [anon_sym_BSLASHpageref] = ACTIONS(4118),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4121),
    [anon_sym_BSLASHautopageref] = ACTIONS(4118),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4121),
    [anon_sym_BSLASHcref] = ACTIONS(4118),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4121),
    [anon_sym_BSLASHCref] = ACTIONS(4118),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4121),
    [anon_sym_BSLASHcpageref] = ACTIONS(4118),
    [anon_sym_BSLASHCpageref] = ACTIONS(4118),
    [anon_sym_BSLASHnamecref] = ACTIONS(4118),
    [anon_sym_BSLASHnameCref] = ACTIONS(4118),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4118),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4118),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4118),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4118),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4118),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4121),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4118),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4121),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4124),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4127),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4124),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4127),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4124),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4124),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4130),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4133),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4136),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4133),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4136),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4133),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4136),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4133),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4136),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4133),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4136),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4139),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4139),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4139),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4139),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4139),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4139),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4139),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4139),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4142),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4142),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4142),
    [anon_sym_BSLASHdef] = ACTIONS(4145),
    [anon_sym_BSLASHgdef] = ACTIONS(4145),
    [anon_sym_BSLASHedef] = ACTIONS(4145),
    [anon_sym_BSLASHxdef] = ACTIONS(4145),
    [anon_sym_BSLASHlet] = ACTIONS(4148),
    [anon_sym_BSLASHglet] = ACTIONS(4148),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4151),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4151),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4154),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4154),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4157),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4157),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4157),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4157),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4160),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4160),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4160),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4163),
    [anon_sym_BSLASHgls] = ACTIONS(4166),
    [anon_sym_BSLASHGls] = ACTIONS(4166),
    [anon_sym_BSLASHGLS] = ACTIONS(4166),
    [anon_sym_BSLASHglspl] = ACTIONS(4166),
    [anon_sym_BSLASHGlspl] = ACTIONS(4166),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4166),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4166),
    [anon_sym_BSLASHglslink] = ACTIONS(4166),
    [anon_sym_BSLASHglstext] = ACTIONS(4166),
    [anon_sym_BSLASHGlstext] = ACTIONS(4166),
    [anon_sym_BSLASHGLStext] = ACTIONS(4166),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4166),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4166),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4166),
    [anon_sym_BSLASHglsplural] = ACTIONS(4166),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4166),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4166),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4166),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4166),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4166),
    [anon_sym_BSLASHglsname] = ACTIONS(4166),
    [anon_sym_BSLASHGlsname] = ACTIONS(4166),
    [anon_sym_BSLASHGLSname] = ACTIONS(4166),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4166),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4166),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4166),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4166),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4166),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4166),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4166),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4166),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4166),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4166),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4166),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4166),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4166),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4166),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4166),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4166),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4166),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4166),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4166),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4166),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4166),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4166),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4166),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4169),
    [anon_sym_BSLASHacrshort] = ACTIONS(4172),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4172),
    [anon_sym_BSLASHACRshort] = ACTIONS(4172),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4172),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4172),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4172),
    [anon_sym_BSLASHacrlong] = ACTIONS(4172),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4172),
    [anon_sym_BSLASHACRlong] = ACTIONS(4172),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4172),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4172),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4172),
    [anon_sym_BSLASHacrfull] = ACTIONS(4172),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4172),
    [anon_sym_BSLASHACRfull] = ACTIONS(4172),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4172),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4172),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4172),
    [anon_sym_BSLASHacs] = ACTIONS(4172),
    [anon_sym_BSLASHAcs] = ACTIONS(4172),
    [anon_sym_BSLASHacsp] = ACTIONS(4172),
    [anon_sym_BSLASHAcsp] = ACTIONS(4172),
    [anon_sym_BSLASHacl] = ACTIONS(4172),
    [anon_sym_BSLASHAcl] = ACTIONS(4172),
    [anon_sym_BSLASHaclp] = ACTIONS(4172),
    [anon_sym_BSLASHAclp] = ACTIONS(4172),
    [anon_sym_BSLASHacf] = ACTIONS(4172),
    [anon_sym_BSLASHAcf] = ACTIONS(4172),
    [anon_sym_BSLASHacfp] = ACTIONS(4172),
    [anon_sym_BSLASHAcfp] = ACTIONS(4172),
    [anon_sym_BSLASHac] = ACTIONS(4172),
    [anon_sym_BSLASHAc] = ACTIONS(4172),
    [anon_sym_BSLASHacp] = ACTIONS(4172),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4172),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4172),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4172),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4172),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4172),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4172),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4172),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4172),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4172),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4172),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4175),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4178),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4175),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4178),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4181),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4184),
    [anon_sym_BSLASHcolor] = ACTIONS(4187),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4187),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4187),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4187),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4187),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4190),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4190),
    [anon_sym_BSLASHurl] = ACTIONS(4193),
    [anon_sym_BSLASHhref] = ACTIONS(4193),
  },
  [265] = {
    [sym_block_comment] = STATE(625),
    [sym_operator] = STATE(625),
    [sym_subscript] = STATE(625),
    [sym_superscript] = STATE(625),
    [sym__command] = STATE(625),
    [sym_generic_command] = STATE(625),
    [sym_title_declaration] = STATE(625),
    [sym_author_declaration] = STATE(625),
    [sym_package_include] = STATE(625),
    [sym_class_include] = STATE(625),
    [sym_latex_include] = STATE(625),
    [sym_biblatex_include] = STATE(625),
    [sym_bibstyle_include] = STATE(625),
    [sym_bibtex_include] = STATE(625),
    [sym_graphics_include] = STATE(625),
    [sym_svg_include] = STATE(625),
    [sym_inkscape_include] = STATE(625),
    [sym_verbatim_include] = STATE(625),
    [sym_import_include] = STATE(625),
    [sym_caption] = STATE(625),
    [sym_citation] = STATE(625),
    [sym_label_definition] = STATE(625),
    [sym_label_reference] = STATE(625),
    [sym_label_reference_range] = STATE(625),
    [sym_label_number] = STATE(625),
    [sym_new_command_definition] = STATE(625),
    [sym__new_command_definition] = STATE(627),
    [sym__newer_command_definition] = STATE(628),
    [sym__new_command_copy] = STATE(629),
    [sym_old_command_definition] = STATE(625),
    [sym_let_command_definition] = STATE(625),
    [sym_paired_delimiter_definition] = STATE(625),
    [sym_environment_definition] = STATE(625),
    [sym__environment_definition] = STATE(630),
    [sym__newer_environment_definition] = STATE(631),
    [sym__new_environment_copy] = STATE(632),
    [sym_glossary_entry_definition] = STATE(625),
    [sym_glossary_entry_reference] = STATE(625),
    [sym_acronym_definition] = STATE(625),
    [sym_acronym_reference] = STATE(625),
    [sym_theorem_definition] = STATE(625),
    [sym_color_definition] = STATE(625),
    [sym_color_set_definition] = STATE(625),
    [sym_color_reference] = STATE(625),
    [sym_tikz_library_import] = STATE(625),
    [sym_hyperlink] = STATE(625),
    [aux_sym_text_repeat1] = STATE(264),
    [sym_command_name] = ACTIONS(177),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(179),
    [anon_sym_LBRACK] = ACTIONS(4196),
    [anon_sym_RBRACK] = ACTIONS(4196),
    [anon_sym_COMMA] = ACTIONS(4196),
    [anon_sym_EQ] = ACTIONS(4196),
    [anon_sym_LPAREN] = ACTIONS(4196),
    [anon_sym_RPAREN] = ACTIONS(4196),
    [anon_sym_BSLASHpart] = ACTIONS(4198),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHaddpart] = ACTIONS(4198),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHchapter] = ACTIONS(4198),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHaddchap] = ACTIONS(4198),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHsection] = ACTIONS(4198),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHaddsec] = ACTIONS(4198),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHsubsection] = ACTIONS(4198),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(4198),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHparagraph] = ACTIONS(4198),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(4198),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHitem] = ACTIONS(4198),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(4196),
    [anon_sym_LBRACE] = ACTIONS(4196),
    [sym_word] = ACTIONS(217),
    [sym_placeholder] = ACTIONS(219),
    [sym_delimiter] = ACTIONS(219),
    [anon_sym_PLUS] = ACTIONS(221),
    [anon_sym_DASH] = ACTIONS(221),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_SLASH] = ACTIONS(221),
    [anon_sym_LT] = ACTIONS(223),
    [anon_sym_GT] = ACTIONS(223),
    [anon_sym_BANG] = ACTIONS(223),
    [anon_sym_PIPE] = ACTIONS(223),
    [anon_sym_COLON] = ACTIONS(223),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [anon_sym__] = ACTIONS(225),
    [anon_sym_CARET] = ACTIONS(227),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4196),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4196),
    [anon_sym_DOLLAR] = ACTIONS(4198),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4196),
    [anon_sym_BSLASHleft] = ACTIONS(4198),
    [anon_sym_BSLASHbigl] = ACTIONS(4198),
    [anon_sym_BSLASHBigl] = ACTIONS(4198),
    [anon_sym_BSLASHbiggl] = ACTIONS(4198),
    [anon_sym_BSLASHBiggl] = ACTIONS(4198),
    [anon_sym_BSLASHright] = ACTIONS(4198),
    [anon_sym_BSLASHbigr] = ACTIONS(4198),
    [anon_sym_BSLASHBigr] = ACTIONS(4198),
    [anon_sym_BSLASHbiggr] = ACTIONS(4198),
    [anon_sym_BSLASHBiggr] = ACTIONS(4198),
    [anon_sym_BSLASHtext] = ACTIONS(4198),
    [anon_sym_BSLASHintertext] = ACTIONS(4198),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4198),
    [anon_sym_BSLASHbegin] = ACTIONS(4198),
    [anon_sym_BSLASHtitle] = ACTIONS(241),
    [anon_sym_BSLASHauthor] = ACTIONS(243),
    [anon_sym_BSLASHusepackage] = ACTIONS(245),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(245),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(247),
    [anon_sym_BSLASHinclude] = ACTIONS(249),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(249),
    [anon_sym_BSLASHinput] = ACTIONS(249),
    [anon_sym_BSLASHsubfile] = ACTIONS(249),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(253),
    [anon_sym_BSLASHbibliography] = ACTIONS(255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(257),
    [anon_sym_BSLASHincludesvg] = ACTIONS(259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(261),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(263),
    [anon_sym_BSLASHimport] = ACTIONS(265),
    [anon_sym_BSLASHsubimport] = ACTIONS(265),
    [anon_sym_BSLASHinputfrom] = ACTIONS(265),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(265),
    [anon_sym_BSLASHincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(265),
    [anon_sym_BSLASHcaption] = ACTIONS(267),
    [anon_sym_BSLASHcite] = ACTIONS(269),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCite] = ACTIONS(269),
    [anon_sym_BSLASHnocite] = ACTIONS(269),
    [anon_sym_BSLASHcitet] = ACTIONS(269),
    [anon_sym_BSLASHcitep] = ACTIONS(269),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteA] = ACTIONS(269),
    [anon_sym_BSLASHciteR] = ACTIONS(269),
    [anon_sym_BSLASHciteS] = ACTIONS(269),
    [anon_sym_BSLASHciteyearR] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor] = ACTIONS(269),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(269),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitetitle] = ACTIONS(269),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteyear] = ACTIONS(269),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(271),
    [anon_sym_BSLASHcitedate] = ACTIONS(269),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(271),
    [anon_sym_BSLASHciteurl] = ACTIONS(269),
    [anon_sym_BSLASHfullcite] = ACTIONS(269),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(269),
    [anon_sym_BSLASHcitealt] = ACTIONS(269),
    [anon_sym_BSLASHcitealp] = ACTIONS(269),
    [anon_sym_BSLASHcitetext] = ACTIONS(269),
    [anon_sym_BSLASHparencite] = ACTIONS(269),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHParencite] = ACTIONS(269),
    [anon_sym_BSLASHfootcite] = ACTIONS(269),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(269),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(269),
    [anon_sym_BSLASHtextcite] = ACTIONS(269),
    [anon_sym_BSLASHTextcite] = ACTIONS(269),
    [anon_sym_BSLASHsmartcite] = ACTIONS(269),
    [anon_sym_BSLASHSmartcite] = ACTIONS(269),
    [anon_sym_BSLASHsupercite] = ACTIONS(269),
    [anon_sym_BSLASHautocite] = ACTIONS(269),
    [anon_sym_BSLASHAutocite] = ACTIONS(269),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(271),
    [anon_sym_BSLASHvolcite] = ACTIONS(269),
    [anon_sym_BSLASHVolcite] = ACTIONS(269),
    [anon_sym_BSLASHpvolcite] = ACTIONS(269),
    [anon_sym_BSLASHPvolcite] = ACTIONS(269),
    [anon_sym_BSLASHfvolcite] = ACTIONS(269),
    [anon_sym_BSLASHftvolcite] = ACTIONS(269),
    [anon_sym_BSLASHsvolcite] = ACTIONS(269),
    [anon_sym_BSLASHSvolcite] = ACTIONS(269),
    [anon_sym_BSLASHtvolcite] = ACTIONS(269),
    [anon_sym_BSLASHTvolcite] = ACTIONS(269),
    [anon_sym_BSLASHavolcite] = ACTIONS(269),
    [anon_sym_BSLASHAvolcite] = ACTIONS(269),
    [anon_sym_BSLASHnotecite] = ACTIONS(269),
    [anon_sym_BSLASHNotecite] = ACTIONS(269),
    [anon_sym_BSLASHpnotecite] = ACTIONS(269),
    [anon_sym_BSLASHPnotecite] = ACTIONS(269),
    [anon_sym_BSLASHfnotecite] = ACTIONS(269),
    [anon_sym_BSLASHlabel] = ACTIONS(273),
    [anon_sym_BSLASHref] = ACTIONS(275),
    [anon_sym_BSLASHeqref] = ACTIONS(275),
    [anon_sym_BSLASHvref] = ACTIONS(275),
    [anon_sym_BSLASHVref] = ACTIONS(275),
    [anon_sym_BSLASHautoref] = ACTIONS(275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHpageref] = ACTIONS(275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHautopageref] = ACTIONS(275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcref] = ACTIONS(275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHCref] = ACTIONS(275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcpageref] = ACTIONS(275),
    [anon_sym_BSLASHCpageref] = ACTIONS(275),
    [anon_sym_BSLASHnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnameCref] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(285),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(285),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(285),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(285),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(287),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(285),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(287),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(289),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(291),
    [anon_sym_BSLASHdef] = ACTIONS(293),
    [anon_sym_BSLASHgdef] = ACTIONS(293),
    [anon_sym_BSLASHedef] = ACTIONS(293),
    [anon_sym_BSLASHxdef] = ACTIONS(293),
    [anon_sym_BSLASHlet] = ACTIONS(295),
    [anon_sym_BSLASHglet] = ACTIONS(295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(297),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(297),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(301),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(305),
    [anon_sym_BSLASHgls] = ACTIONS(307),
    [anon_sym_BSLASHGls] = ACTIONS(307),
    [anon_sym_BSLASHGLS] = ACTIONS(307),
    [anon_sym_BSLASHglspl] = ACTIONS(307),
    [anon_sym_BSLASHGlspl] = ACTIONS(307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(307),
    [anon_sym_BSLASHglslink] = ACTIONS(307),
    [anon_sym_BSLASHglstext] = ACTIONS(307),
    [anon_sym_BSLASHGlstext] = ACTIONS(307),
    [anon_sym_BSLASHGLStext] = ACTIONS(307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(307),
    [anon_sym_BSLASHglsplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(307),
    [anon_sym_BSLASHglsname] = ACTIONS(307),
    [anon_sym_BSLASHGlsname] = ACTIONS(307),
    [anon_sym_BSLASHGLSname] = ACTIONS(307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(309),
    [anon_sym_BSLASHacrshort] = ACTIONS(311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(311),
    [anon_sym_BSLASHACRshort] = ACTIONS(311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(311),
    [anon_sym_BSLASHacrlong] = ACTIONS(311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(311),
    [anon_sym_BSLASHACRlong] = ACTIONS(311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(311),
    [anon_sym_BSLASHacrfull] = ACTIONS(311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(311),
    [anon_sym_BSLASHACRfull] = ACTIONS(311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(311),
    [anon_sym_BSLASHacs] = ACTIONS(311),
    [anon_sym_BSLASHAcs] = ACTIONS(311),
    [anon_sym_BSLASHacsp] = ACTIONS(311),
    [anon_sym_BSLASHAcsp] = ACTIONS(311),
    [anon_sym_BSLASHacl] = ACTIONS(311),
    [anon_sym_BSLASHAcl] = ACTIONS(311),
    [anon_sym_BSLASHaclp] = ACTIONS(311),
    [anon_sym_BSLASHAclp] = ACTIONS(311),
    [anon_sym_BSLASHacf] = ACTIONS(311),
    [anon_sym_BSLASHAcf] = ACTIONS(311),
    [anon_sym_BSLASHacfp] = ACTIONS(311),
    [anon_sym_BSLASHAcfp] = ACTIONS(311),
    [anon_sym_BSLASHac] = ACTIONS(311),
    [anon_sym_BSLASHAc] = ACTIONS(311),
    [anon_sym_BSLASHacp] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(313),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(313),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(315),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(317),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(319),
    [anon_sym_BSLASHcolor] = ACTIONS(321),
    [anon_sym_BSLASHpagecolor] = ACTIONS(321),
    [anon_sym_BSLASHtextcolor] = ACTIONS(321),
    [anon_sym_BSLASHmathcolor] = ACTIONS(321),
    [anon_sym_BSLASHcolorbox] = ACTIONS(321),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(323),
    [anon_sym_BSLASHurl] = ACTIONS(325),
    [anon_sym_BSLASHhref] = ACTIONS(325),
  },
  [266] = {
    [sym_block_comment] = STATE(1045),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__command] = STATE(1045),
    [sym_generic_command] = STATE(1045),
    [sym_title_declaration] = STATE(1045),
    [sym_author_declaration] = STATE(1045),
    [sym_package_include] = STATE(1045),
    [sym_class_include] = STATE(1045),
    [sym_latex_include] = STATE(1045),
    [sym_biblatex_include] = STATE(1045),
    [sym_bibstyle_include] = STATE(1045),
    [sym_bibtex_include] = STATE(1045),
    [sym_graphics_include] = STATE(1045),
    [sym_svg_include] = STATE(1045),
    [sym_inkscape_include] = STATE(1045),
    [sym_verbatim_include] = STATE(1045),
    [sym_import_include] = STATE(1045),
    [sym_caption] = STATE(1045),
    [sym_citation] = STATE(1045),
    [sym_label_definition] = STATE(1045),
    [sym_label_reference] = STATE(1045),
    [sym_label_reference_range] = STATE(1045),
    [sym_label_number] = STATE(1045),
    [sym_new_command_definition] = STATE(1045),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(1045),
    [sym_let_command_definition] = STATE(1045),
    [sym_paired_delimiter_definition] = STATE(1045),
    [sym_environment_definition] = STATE(1045),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(1045),
    [sym_glossary_entry_reference] = STATE(1045),
    [sym_acronym_definition] = STATE(1045),
    [sym_acronym_reference] = STATE(1045),
    [sym_theorem_definition] = STATE(1045),
    [sym_color_definition] = STATE(1045),
    [sym_color_set_definition] = STATE(1045),
    [sym_color_reference] = STATE(1045),
    [sym_tikz_library_import] = STATE(1045),
    [sym_hyperlink] = STATE(1045),
    [aux_sym_text_repeat1] = STATE(267),
    [ts_builtin_sym_end] = ACTIONS(4196),
    [sym_command_name] = ACTIONS(7),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(9),
    [anon_sym_LBRACK] = ACTIONS(4196),
    [anon_sym_RBRACK] = ACTIONS(4196),
    [anon_sym_COMMA] = ACTIONS(4196),
    [anon_sym_EQ] = ACTIONS(4196),
    [anon_sym_LPAREN] = ACTIONS(4196),
    [anon_sym_RPAREN] = ACTIONS(4196),
    [anon_sym_BSLASHpart] = ACTIONS(4198),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHaddpart] = ACTIONS(4198),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHchapter] = ACTIONS(4198),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHaddchap] = ACTIONS(4198),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHsection] = ACTIONS(4198),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHaddsec] = ACTIONS(4198),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHsubsection] = ACTIONS(4198),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(4198),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHparagraph] = ACTIONS(4198),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(4198),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHitem] = ACTIONS(4198),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(4196),
    [anon_sym_LBRACE] = ACTIONS(4196),
    [anon_sym_RBRACE] = ACTIONS(4196),
    [sym_word] = ACTIONS(47),
    [sym_placeholder] = ACTIONS(49),
    [sym_delimiter] = ACTIONS(49),
    [anon_sym_PLUS] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(51),
    [anon_sym_STAR] = ACTIONS(51),
    [anon_sym_SLASH] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_GT] = ACTIONS(53),
    [anon_sym_BANG] = ACTIONS(53),
    [anon_sym_PIPE] = ACTIONS(53),
    [anon_sym_COLON] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(53),
    [anon_sym__] = ACTIONS(55),
    [anon_sym_CARET] = ACTIONS(57),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4196),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4196),
    [anon_sym_DOLLAR] = ACTIONS(4198),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4196),
    [anon_sym_BSLASHleft] = ACTIONS(4198),
    [anon_sym_BSLASHbigl] = ACTIONS(4198),
    [anon_sym_BSLASHBigl] = ACTIONS(4198),
    [anon_sym_BSLASHbiggl] = ACTIONS(4198),
    [anon_sym_BSLASHBiggl] = ACTIONS(4198),
    [anon_sym_BSLASHtext] = ACTIONS(4198),
    [anon_sym_BSLASHintertext] = ACTIONS(4198),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4198),
    [anon_sym_BSLASHbegin] = ACTIONS(4198),
    [anon_sym_BSLASHtitle] = ACTIONS(71),
    [anon_sym_BSLASHauthor] = ACTIONS(73),
    [anon_sym_BSLASHusepackage] = ACTIONS(75),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(75),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(77),
    [anon_sym_BSLASHinclude] = ACTIONS(79),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(79),
    [anon_sym_BSLASHinput] = ACTIONS(79),
    [anon_sym_BSLASHsubfile] = ACTIONS(79),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(81),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(83),
    [anon_sym_BSLASHbibliography] = ACTIONS(85),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(87),
    [anon_sym_BSLASHincludesvg] = ACTIONS(89),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(91),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(93),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(93),
    [anon_sym_BSLASHimport] = ACTIONS(95),
    [anon_sym_BSLASHsubimport] = ACTIONS(95),
    [anon_sym_BSLASHinputfrom] = ACTIONS(95),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(95),
    [anon_sym_BSLASHincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(95),
    [anon_sym_BSLASHcaption] = ACTIONS(97),
    [anon_sym_BSLASHcite] = ACTIONS(99),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCite] = ACTIONS(99),
    [anon_sym_BSLASHnocite] = ACTIONS(99),
    [anon_sym_BSLASHcitet] = ACTIONS(99),
    [anon_sym_BSLASHcitep] = ACTIONS(99),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteA] = ACTIONS(99),
    [anon_sym_BSLASHciteR] = ACTIONS(99),
    [anon_sym_BSLASHciteS] = ACTIONS(99),
    [anon_sym_BSLASHciteyearR] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor] = ACTIONS(99),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(99),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(99),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteyear] = ACTIONS(99),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(101),
    [anon_sym_BSLASHcitedate] = ACTIONS(99),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(101),
    [anon_sym_BSLASHciteurl] = ACTIONS(99),
    [anon_sym_BSLASHfullcite] = ACTIONS(99),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(99),
    [anon_sym_BSLASHcitealt] = ACTIONS(99),
    [anon_sym_BSLASHcitealp] = ACTIONS(99),
    [anon_sym_BSLASHcitetext] = ACTIONS(99),
    [anon_sym_BSLASHparencite] = ACTIONS(99),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHParencite] = ACTIONS(99),
    [anon_sym_BSLASHfootcite] = ACTIONS(99),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(99),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(99),
    [anon_sym_BSLASHtextcite] = ACTIONS(99),
    [anon_sym_BSLASHTextcite] = ACTIONS(99),
    [anon_sym_BSLASHsmartcite] = ACTIONS(99),
    [anon_sym_BSLASHSmartcite] = ACTIONS(99),
    [anon_sym_BSLASHsupercite] = ACTIONS(99),
    [anon_sym_BSLASHautocite] = ACTIONS(99),
    [anon_sym_BSLASHAutocite] = ACTIONS(99),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(101),
    [anon_sym_BSLASHvolcite] = ACTIONS(99),
    [anon_sym_BSLASHVolcite] = ACTIONS(99),
    [anon_sym_BSLASHpvolcite] = ACTIONS(99),
    [anon_sym_BSLASHPvolcite] = ACTIONS(99),
    [anon_sym_BSLASHfvolcite] = ACTIONS(99),
    [anon_sym_BSLASHftvolcite] = ACTIONS(99),
    [anon_sym_BSLASHsvolcite] = ACTIONS(99),
    [anon_sym_BSLASHSvolcite] = ACTIONS(99),
    [anon_sym_BSLASHtvolcite] = ACTIONS(99),
    [anon_sym_BSLASHTvolcite] = ACTIONS(99),
    [anon_sym_BSLASHavolcite] = ACTIONS(99),
    [anon_sym_BSLASHAvolcite] = ACTIONS(99),
    [anon_sym_BSLASHnotecite] = ACTIONS(99),
    [anon_sym_BSLASHNotecite] = ACTIONS(99),
    [anon_sym_BSLASHpnotecite] = ACTIONS(99),
    [anon_sym_BSLASHPnotecite] = ACTIONS(99),
    [anon_sym_BSLASHfnotecite] = ACTIONS(99),
    [anon_sym_BSLASHlabel] = ACTIONS(103),
    [anon_sym_BSLASHref] = ACTIONS(105),
    [anon_sym_BSLASHeqref] = ACTIONS(105),
    [anon_sym_BSLASHvref] = ACTIONS(105),
    [anon_sym_BSLASHVref] = ACTIONS(105),
    [anon_sym_BSLASHautoref] = ACTIONS(105),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHpageref] = ACTIONS(105),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHautopageref] = ACTIONS(105),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcref] = ACTIONS(105),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHCref] = ACTIONS(105),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcpageref] = ACTIONS(105),
    [anon_sym_BSLASHCpageref] = ACTIONS(105),
    [anon_sym_BSLASHnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnameCref] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(105),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(105),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(105),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(107),
    [anon_sym_BSLASHcrefrange] = ACTIONS(109),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHCrefrange] = ACTIONS(109),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(111),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(109),
    [anon_sym_BSLASHnewlabel] = ACTIONS(113),
    [anon_sym_BSLASHnewcommand] = ACTIONS(115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(121),
    [anon_sym_BSLASHdef] = ACTIONS(123),
    [anon_sym_BSLASHgdef] = ACTIONS(123),
    [anon_sym_BSLASHedef] = ACTIONS(123),
    [anon_sym_BSLASHxdef] = ACTIONS(123),
    [anon_sym_BSLASHlet] = ACTIONS(125),
    [anon_sym_BSLASHglet] = ACTIONS(125),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(129),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(133),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(135),
    [anon_sym_BSLASHgls] = ACTIONS(137),
    [anon_sym_BSLASHGls] = ACTIONS(137),
    [anon_sym_BSLASHGLS] = ACTIONS(137),
    [anon_sym_BSLASHglspl] = ACTIONS(137),
    [anon_sym_BSLASHGlspl] = ACTIONS(137),
    [anon_sym_BSLASHGLSpl] = ACTIONS(137),
    [anon_sym_BSLASHglsdisp] = ACTIONS(137),
    [anon_sym_BSLASHglslink] = ACTIONS(137),
    [anon_sym_BSLASHglstext] = ACTIONS(137),
    [anon_sym_BSLASHGlstext] = ACTIONS(137),
    [anon_sym_BSLASHGLStext] = ACTIONS(137),
    [anon_sym_BSLASHglsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(137),
    [anon_sym_BSLASHglsplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSplural] = ACTIONS(137),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(137),
    [anon_sym_BSLASHglsname] = ACTIONS(137),
    [anon_sym_BSLASHGlsname] = ACTIONS(137),
    [anon_sym_BSLASHGLSname] = ACTIONS(137),
    [anon_sym_BSLASHglssymbol] = ACTIONS(137),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(137),
    [anon_sym_BSLASHglsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(137),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(137),
    [anon_sym_BSLASHglsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(137),
    [anon_sym_BSLASHglsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(137),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(137),
    [anon_sym_BSLASHglsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(137),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(137),
    [anon_sym_BSLASHglsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(137),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(137),
    [anon_sym_BSLASHnewacronym] = ACTIONS(139),
    [anon_sym_BSLASHacrshort] = ACTIONS(141),
    [anon_sym_BSLASHAcrshort] = ACTIONS(141),
    [anon_sym_BSLASHACRshort] = ACTIONS(141),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(141),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(141),
    [anon_sym_BSLASHacrlong] = ACTIONS(141),
    [anon_sym_BSLASHAcrlong] = ACTIONS(141),
    [anon_sym_BSLASHACRlong] = ACTIONS(141),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(141),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(141),
    [anon_sym_BSLASHacrfull] = ACTIONS(141),
    [anon_sym_BSLASHAcrfull] = ACTIONS(141),
    [anon_sym_BSLASHACRfull] = ACTIONS(141),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(141),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(141),
    [anon_sym_BSLASHacs] = ACTIONS(141),
    [anon_sym_BSLASHAcs] = ACTIONS(141),
    [anon_sym_BSLASHacsp] = ACTIONS(141),
    [anon_sym_BSLASHAcsp] = ACTIONS(141),
    [anon_sym_BSLASHacl] = ACTIONS(141),
    [anon_sym_BSLASHAcl] = ACTIONS(141),
    [anon_sym_BSLASHaclp] = ACTIONS(141),
    [anon_sym_BSLASHAclp] = ACTIONS(141),
    [anon_sym_BSLASHacf] = ACTIONS(141),
    [anon_sym_BSLASHAcf] = ACTIONS(141),
    [anon_sym_BSLASHacfp] = ACTIONS(141),
    [anon_sym_BSLASHAcfp] = ACTIONS(141),
    [anon_sym_BSLASHac] = ACTIONS(141),
    [anon_sym_BSLASHAc] = ACTIONS(141),
    [anon_sym_BSLASHacp] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(141),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(141),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(141),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(141),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(149),
    [anon_sym_BSLASHcolor] = ACTIONS(151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(153),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(153),
    [anon_sym_BSLASHurl] = ACTIONS(155),
    [anon_sym_BSLASHhref] = ACTIONS(155),
  },
  [267] = {
    [sym_block_comment] = STATE(1045),
    [sym_operator] = STATE(1045),
    [sym_subscript] = STATE(1045),
    [sym_superscript] = STATE(1045),
    [sym__command] = STATE(1045),
    [sym_generic_command] = STATE(1045),
    [sym_title_declaration] = STATE(1045),
    [sym_author_declaration] = STATE(1045),
    [sym_package_include] = STATE(1045),
    [sym_class_include] = STATE(1045),
    [sym_latex_include] = STATE(1045),
    [sym_biblatex_include] = STATE(1045),
    [sym_bibstyle_include] = STATE(1045),
    [sym_bibtex_include] = STATE(1045),
    [sym_graphics_include] = STATE(1045),
    [sym_svg_include] = STATE(1045),
    [sym_inkscape_include] = STATE(1045),
    [sym_verbatim_include] = STATE(1045),
    [sym_import_include] = STATE(1045),
    [sym_caption] = STATE(1045),
    [sym_citation] = STATE(1045),
    [sym_label_definition] = STATE(1045),
    [sym_label_reference] = STATE(1045),
    [sym_label_reference_range] = STATE(1045),
    [sym_label_number] = STATE(1045),
    [sym_new_command_definition] = STATE(1045),
    [sym__new_command_definition] = STATE(1120),
    [sym__newer_command_definition] = STATE(1138),
    [sym__new_command_copy] = STATE(1140),
    [sym_old_command_definition] = STATE(1045),
    [sym_let_command_definition] = STATE(1045),
    [sym_paired_delimiter_definition] = STATE(1045),
    [sym_environment_definition] = STATE(1045),
    [sym__environment_definition] = STATE(1160),
    [sym__newer_environment_definition] = STATE(1070),
    [sym__new_environment_copy] = STATE(1071),
    [sym_glossary_entry_definition] = STATE(1045),
    [sym_glossary_entry_reference] = STATE(1045),
    [sym_acronym_definition] = STATE(1045),
    [sym_acronym_reference] = STATE(1045),
    [sym_theorem_definition] = STATE(1045),
    [sym_color_definition] = STATE(1045),
    [sym_color_set_definition] = STATE(1045),
    [sym_color_reference] = STATE(1045),
    [sym_tikz_library_import] = STATE(1045),
    [sym_hyperlink] = STATE(1045),
    [aux_sym_text_repeat1] = STATE(267),
    [ts_builtin_sym_end] = ACTIONS(4045),
    [sym_command_name] = ACTIONS(4200),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4203),
    [anon_sym_LBRACK] = ACTIONS(4045),
    [anon_sym_RBRACK] = ACTIONS(4045),
    [anon_sym_COMMA] = ACTIONS(4045),
    [anon_sym_EQ] = ACTIONS(4045),
    [anon_sym_LPAREN] = ACTIONS(4045),
    [anon_sym_RPAREN] = ACTIONS(4045),
    [anon_sym_BSLASHpart] = ACTIONS(4047),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHaddpart] = ACTIONS(4047),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHchapter] = ACTIONS(4047),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHaddchap] = ACTIONS(4047),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHsection] = ACTIONS(4047),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHaddsec] = ACTIONS(4047),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHsubsection] = ACTIONS(4047),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(4047),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHparagraph] = ACTIONS(4047),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(4047),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHitem] = ACTIONS(4047),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(4045),
    [anon_sym_LBRACE] = ACTIONS(4045),
    [anon_sym_RBRACE] = ACTIONS(4045),
    [sym_word] = ACTIONS(4206),
    [sym_placeholder] = ACTIONS(4209),
    [sym_delimiter] = ACTIONS(4209),
    [anon_sym_PLUS] = ACTIONS(4212),
    [anon_sym_DASH] = ACTIONS(4212),
    [anon_sym_STAR] = ACTIONS(4212),
    [anon_sym_SLASH] = ACTIONS(4212),
    [anon_sym_LT] = ACTIONS(4215),
    [anon_sym_GT] = ACTIONS(4215),
    [anon_sym_BANG] = ACTIONS(4215),
    [anon_sym_PIPE] = ACTIONS(4215),
    [anon_sym_COLON] = ACTIONS(4215),
    [anon_sym_SQUOTE] = ACTIONS(4215),
    [anon_sym__] = ACTIONS(4218),
    [anon_sym_CARET] = ACTIONS(4221),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4045),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4045),
    [anon_sym_DOLLAR] = ACTIONS(4047),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4045),
    [anon_sym_BSLASHleft] = ACTIONS(4047),
    [anon_sym_BSLASHbigl] = ACTIONS(4047),
    [anon_sym_BSLASHBigl] = ACTIONS(4047),
    [anon_sym_BSLASHbiggl] = ACTIONS(4047),
    [anon_sym_BSLASHBiggl] = ACTIONS(4047),
    [anon_sym_BSLASHtext] = ACTIONS(4047),
    [anon_sym_BSLASHintertext] = ACTIONS(4047),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4047),
    [anon_sym_BSLASHbegin] = ACTIONS(4047),
    [anon_sym_BSLASHtitle] = ACTIONS(4224),
    [anon_sym_BSLASHauthor] = ACTIONS(4227),
    [anon_sym_BSLASHusepackage] = ACTIONS(4230),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4230),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4233),
    [anon_sym_BSLASHinclude] = ACTIONS(4236),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4236),
    [anon_sym_BSLASHinput] = ACTIONS(4236),
    [anon_sym_BSLASHsubfile] = ACTIONS(4236),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4239),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4242),
    [anon_sym_BSLASHbibliography] = ACTIONS(4245),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4248),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4251),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4254),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4257),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4257),
    [anon_sym_BSLASHimport] = ACTIONS(4260),
    [anon_sym_BSLASHsubimport] = ACTIONS(4260),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4260),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4260),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4260),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4260),
    [anon_sym_BSLASHcaption] = ACTIONS(4263),
    [anon_sym_BSLASHcite] = ACTIONS(4266),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4269),
    [anon_sym_BSLASHCite] = ACTIONS(4266),
    [anon_sym_BSLASHnocite] = ACTIONS(4266),
    [anon_sym_BSLASHcitet] = ACTIONS(4266),
    [anon_sym_BSLASHcitep] = ACTIONS(4266),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4269),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4269),
    [anon_sym_BSLASHciteA] = ACTIONS(4266),
    [anon_sym_BSLASHciteR] = ACTIONS(4266),
    [anon_sym_BSLASHciteS] = ACTIONS(4266),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4266),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4266),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4269),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4266),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4269),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4266),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4269),
    [anon_sym_BSLASHciteyear] = ACTIONS(4266),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4269),
    [anon_sym_BSLASHcitedate] = ACTIONS(4266),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4269),
    [anon_sym_BSLASHciteurl] = ACTIONS(4266),
    [anon_sym_BSLASHfullcite] = ACTIONS(4266),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4266),
    [anon_sym_BSLASHcitealt] = ACTIONS(4266),
    [anon_sym_BSLASHcitealp] = ACTIONS(4266),
    [anon_sym_BSLASHcitetext] = ACTIONS(4266),
    [anon_sym_BSLASHparencite] = ACTIONS(4266),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4269),
    [anon_sym_BSLASHParencite] = ACTIONS(4266),
    [anon_sym_BSLASHfootcite] = ACTIONS(4266),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4266),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4266),
    [anon_sym_BSLASHtextcite] = ACTIONS(4266),
    [anon_sym_BSLASHTextcite] = ACTIONS(4266),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4266),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4266),
    [anon_sym_BSLASHsupercite] = ACTIONS(4266),
    [anon_sym_BSLASHautocite] = ACTIONS(4266),
    [anon_sym_BSLASHAutocite] = ACTIONS(4266),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4269),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4269),
    [anon_sym_BSLASHvolcite] = ACTIONS(4266),
    [anon_sym_BSLASHVolcite] = ACTIONS(4266),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4266),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4266),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4266),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4266),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4266),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4266),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4266),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4266),
    [anon_sym_BSLASHavolcite] = ACTIONS(4266),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4266),
    [anon_sym_BSLASHnotecite] = ACTIONS(4266),
    [anon_sym_BSLASHNotecite] = ACTIONS(4266),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4266),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4266),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4266),
    [anon_sym_BSLASHlabel] = ACTIONS(4272),
    [anon_sym_BSLASHref] = ACTIONS(4275),
    [anon_sym_BSLASHeqref] = ACTIONS(4275),
    [anon_sym_BSLASHvref] = ACTIONS(4275),
    [anon_sym_BSLASHVref] = ACTIONS(4275),
    [anon_sym_BSLASHautoref] = ACTIONS(4275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4278),
    [anon_sym_BSLASHpageref] = ACTIONS(4275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4278),
    [anon_sym_BSLASHautopageref] = ACTIONS(4275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4278),
    [anon_sym_BSLASHcref] = ACTIONS(4275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4278),
    [anon_sym_BSLASHCref] = ACTIONS(4275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4278),
    [anon_sym_BSLASHcpageref] = ACTIONS(4275),
    [anon_sym_BSLASHCpageref] = ACTIONS(4275),
    [anon_sym_BSLASHnamecref] = ACTIONS(4275),
    [anon_sym_BSLASHnameCref] = ACTIONS(4275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4278),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4278),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4281),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4284),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4281),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4284),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4281),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4281),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4287),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4290),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4293),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4290),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4293),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4290),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4293),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4290),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4293),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4290),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4293),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4296),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4296),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4296),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4296),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4296),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4296),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4296),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4296),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4299),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4299),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4299),
    [anon_sym_BSLASHdef] = ACTIONS(4302),
    [anon_sym_BSLASHgdef] = ACTIONS(4302),
    [anon_sym_BSLASHedef] = ACTIONS(4302),
    [anon_sym_BSLASHxdef] = ACTIONS(4302),
    [anon_sym_BSLASHlet] = ACTIONS(4305),
    [anon_sym_BSLASHglet] = ACTIONS(4305),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4308),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4308),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4311),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4311),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4314),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4314),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4314),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4314),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4317),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4317),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4317),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4320),
    [anon_sym_BSLASHgls] = ACTIONS(4323),
    [anon_sym_BSLASHGls] = ACTIONS(4323),
    [anon_sym_BSLASHGLS] = ACTIONS(4323),
    [anon_sym_BSLASHglspl] = ACTIONS(4323),
    [anon_sym_BSLASHGlspl] = ACTIONS(4323),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4323),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4323),
    [anon_sym_BSLASHglslink] = ACTIONS(4323),
    [anon_sym_BSLASHglstext] = ACTIONS(4323),
    [anon_sym_BSLASHGlstext] = ACTIONS(4323),
    [anon_sym_BSLASHGLStext] = ACTIONS(4323),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4323),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4323),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4323),
    [anon_sym_BSLASHglsplural] = ACTIONS(4323),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4323),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4323),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4323),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4323),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4323),
    [anon_sym_BSLASHglsname] = ACTIONS(4323),
    [anon_sym_BSLASHGlsname] = ACTIONS(4323),
    [anon_sym_BSLASHGLSname] = ACTIONS(4323),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4323),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4323),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4323),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4323),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4323),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4323),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4323),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4323),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4323),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4323),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4323),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4323),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4323),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4323),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4323),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4323),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4323),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4323),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4323),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4323),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4323),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4323),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4323),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4326),
    [anon_sym_BSLASHacrshort] = ACTIONS(4329),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4329),
    [anon_sym_BSLASHACRshort] = ACTIONS(4329),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4329),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4329),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4329),
    [anon_sym_BSLASHacrlong] = ACTIONS(4329),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4329),
    [anon_sym_BSLASHACRlong] = ACTIONS(4329),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4329),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4329),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4329),
    [anon_sym_BSLASHacrfull] = ACTIONS(4329),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4329),
    [anon_sym_BSLASHACRfull] = ACTIONS(4329),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4329),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4329),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4329),
    [anon_sym_BSLASHacs] = ACTIONS(4329),
    [anon_sym_BSLASHAcs] = ACTIONS(4329),
    [anon_sym_BSLASHacsp] = ACTIONS(4329),
    [anon_sym_BSLASHAcsp] = ACTIONS(4329),
    [anon_sym_BSLASHacl] = ACTIONS(4329),
    [anon_sym_BSLASHAcl] = ACTIONS(4329),
    [anon_sym_BSLASHaclp] = ACTIONS(4329),
    [anon_sym_BSLASHAclp] = ACTIONS(4329),
    [anon_sym_BSLASHacf] = ACTIONS(4329),
    [anon_sym_BSLASHAcf] = ACTIONS(4329),
    [anon_sym_BSLASHacfp] = ACTIONS(4329),
    [anon_sym_BSLASHAcfp] = ACTIONS(4329),
    [anon_sym_BSLASHac] = ACTIONS(4329),
    [anon_sym_BSLASHAc] = ACTIONS(4329),
    [anon_sym_BSLASHacp] = ACTIONS(4329),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4329),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4329),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4329),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4329),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4329),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4329),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4329),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4329),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4329),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4329),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4332),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4335),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4332),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4335),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4338),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4341),
    [anon_sym_BSLASHcolor] = ACTIONS(4344),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4344),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4344),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4344),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4344),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4347),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4347),
    [anon_sym_BSLASHurl] = ACTIONS(4350),
    [anon_sym_BSLASHhref] = ACTIONS(4350),
  },
  [268] = {
    [sym_block_comment] = STATE(1266),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__command] = STATE(1266),
    [sym_generic_command] = STATE(1266),
    [sym_title_declaration] = STATE(1266),
    [sym_author_declaration] = STATE(1266),
    [sym_package_include] = STATE(1266),
    [sym_class_include] = STATE(1266),
    [sym_latex_include] = STATE(1266),
    [sym_biblatex_include] = STATE(1266),
    [sym_bibstyle_include] = STATE(1266),
    [sym_bibtex_include] = STATE(1266),
    [sym_graphics_include] = STATE(1266),
    [sym_svg_include] = STATE(1266),
    [sym_inkscape_include] = STATE(1266),
    [sym_verbatim_include] = STATE(1266),
    [sym_import_include] = STATE(1266),
    [sym_caption] = STATE(1266),
    [sym_citation] = STATE(1266),
    [sym_label_definition] = STATE(1266),
    [sym_label_reference] = STATE(1266),
    [sym_label_reference_range] = STATE(1266),
    [sym_label_number] = STATE(1266),
    [sym_new_command_definition] = STATE(1266),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(1266),
    [sym_let_command_definition] = STATE(1266),
    [sym_paired_delimiter_definition] = STATE(1266),
    [sym_environment_definition] = STATE(1266),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(1266),
    [sym_glossary_entry_reference] = STATE(1266),
    [sym_acronym_definition] = STATE(1266),
    [sym_acronym_reference] = STATE(1266),
    [sym_theorem_definition] = STATE(1266),
    [sym_color_definition] = STATE(1266),
    [sym_color_set_definition] = STATE(1266),
    [sym_color_reference] = STATE(1266),
    [sym_tikz_library_import] = STATE(1266),
    [sym_hyperlink] = STATE(1266),
    [aux_sym_text_repeat1] = STATE(271),
    [sym_command_name] = ACTIONS(1074),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(4196),
    [anon_sym_RBRACK] = ACTIONS(4196),
    [anon_sym_COMMA] = ACTIONS(4196),
    [anon_sym_EQ] = ACTIONS(4196),
    [anon_sym_LPAREN] = ACTIONS(4196),
    [anon_sym_RPAREN] = ACTIONS(4196),
    [anon_sym_BSLASHpart] = ACTIONS(4198),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHaddpart] = ACTIONS(4198),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHchapter] = ACTIONS(4198),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHaddchap] = ACTIONS(4198),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHsection] = ACTIONS(4198),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHaddsec] = ACTIONS(4198),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHsubsection] = ACTIONS(4198),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(4198),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHparagraph] = ACTIONS(4198),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(4198),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHitem] = ACTIONS(4198),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(4196),
    [anon_sym_LBRACE] = ACTIONS(4196),
    [sym_word] = ACTIONS(1082),
    [sym_placeholder] = ACTIONS(1084),
    [sym_delimiter] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1088),
    [anon_sym_GT] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_PIPE] = ACTIONS(1088),
    [anon_sym_COLON] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym__] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4196),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4196),
    [anon_sym_DOLLAR] = ACTIONS(4198),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4196),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(4196),
    [anon_sym_BSLASHleft] = ACTIONS(4198),
    [anon_sym_BSLASHbigl] = ACTIONS(4198),
    [anon_sym_BSLASHBigl] = ACTIONS(4198),
    [anon_sym_BSLASHbiggl] = ACTIONS(4198),
    [anon_sym_BSLASHBiggl] = ACTIONS(4198),
    [anon_sym_BSLASHtext] = ACTIONS(4198),
    [anon_sym_BSLASHintertext] = ACTIONS(4198),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4198),
    [anon_sym_BSLASHbegin] = ACTIONS(4198),
    [anon_sym_BSLASHtitle] = ACTIONS(1106),
    [anon_sym_BSLASHauthor] = ACTIONS(1108),
    [anon_sym_BSLASHusepackage] = ACTIONS(1110),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1110),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1112),
    [anon_sym_BSLASHinclude] = ACTIONS(1114),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1114),
    [anon_sym_BSLASHinput] = ACTIONS(1114),
    [anon_sym_BSLASHsubfile] = ACTIONS(1114),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1116),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1118),
    [anon_sym_BSLASHbibliography] = ACTIONS(1120),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1122),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1124),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1126),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1128),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1128),
    [anon_sym_BSLASHimport] = ACTIONS(1130),
    [anon_sym_BSLASHsubimport] = ACTIONS(1130),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1130),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1130),
    [anon_sym_BSLASHcaption] = ACTIONS(1132),
    [anon_sym_BSLASHcite] = ACTIONS(1134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCite] = ACTIONS(1134),
    [anon_sym_BSLASHnocite] = ACTIONS(1134),
    [anon_sym_BSLASHcitet] = ACTIONS(1134),
    [anon_sym_BSLASHcitep] = ACTIONS(1134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteA] = ACTIONS(1134),
    [anon_sym_BSLASHciteR] = ACTIONS(1134),
    [anon_sym_BSLASHciteS] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteyear] = ACTIONS(1134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHcitedate] = ACTIONS(1134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHciteurl] = ACTIONS(1134),
    [anon_sym_BSLASHfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1134),
    [anon_sym_BSLASHcitealt] = ACTIONS(1134),
    [anon_sym_BSLASHcitealp] = ACTIONS(1134),
    [anon_sym_BSLASHcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHparencite] = ACTIONS(1134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHParencite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1134),
    [anon_sym_BSLASHtextcite] = ACTIONS(1134),
    [anon_sym_BSLASHTextcite] = ACTIONS(1134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1134),
    [anon_sym_BSLASHsupercite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite] = ACTIONS(1134),
    [anon_sym_BSLASHAutocite] = ACTIONS(1134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1136),
    [anon_sym_BSLASHvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHVolcite] = ACTIONS(1134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHavolcite] = ACTIONS(1134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1134),
    [anon_sym_BSLASHnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHNotecite] = ACTIONS(1134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1134),
    [anon_sym_BSLASHlabel] = ACTIONS(1138),
    [anon_sym_BSLASHref] = ACTIONS(1140),
    [anon_sym_BSLASHeqref] = ACTIONS(1140),
    [anon_sym_BSLASHvref] = ACTIONS(1140),
    [anon_sym_BSLASHVref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref] = ACTIONS(1140),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHpageref] = ACTIONS(1140),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHautopageref] = ACTIONS(1140),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcref] = ACTIONS(1140),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHCref] = ACTIONS(1140),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHCpageref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnameCref] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1140),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1140),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1142),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1146),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1144),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1148),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1150),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1150),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1150),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1152),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1154),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1156),
    [anon_sym_BSLASHdef] = ACTIONS(1158),
    [anon_sym_BSLASHgdef] = ACTIONS(1158),
    [anon_sym_BSLASHedef] = ACTIONS(1158),
    [anon_sym_BSLASHxdef] = ACTIONS(1158),
    [anon_sym_BSLASHlet] = ACTIONS(1160),
    [anon_sym_BSLASHglet] = ACTIONS(1160),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1162),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1162),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1164),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1166),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1168),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1170),
    [anon_sym_BSLASHgls] = ACTIONS(1172),
    [anon_sym_BSLASHGls] = ACTIONS(1172),
    [anon_sym_BSLASHGLS] = ACTIONS(1172),
    [anon_sym_BSLASHglspl] = ACTIONS(1172),
    [anon_sym_BSLASHGlspl] = ACTIONS(1172),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1172),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1172),
    [anon_sym_BSLASHglslink] = ACTIONS(1172),
    [anon_sym_BSLASHglstext] = ACTIONS(1172),
    [anon_sym_BSLASHGlstext] = ACTIONS(1172),
    [anon_sym_BSLASHGLStext] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1172),
    [anon_sym_BSLASHglsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1172),
    [anon_sym_BSLASHglsname] = ACTIONS(1172),
    [anon_sym_BSLASHGlsname] = ACTIONS(1172),
    [anon_sym_BSLASHGLSname] = ACTIONS(1172),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1172),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1172),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1172),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1172),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1172),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1172),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1174),
    [anon_sym_BSLASHacrshort] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1176),
    [anon_sym_BSLASHACRshort] = ACTIONS(1176),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrlong] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1176),
    [anon_sym_BSLASHACRlong] = ACTIONS(1176),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1176),
    [anon_sym_BSLASHacrfull] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1176),
    [anon_sym_BSLASHACRfull] = ACTIONS(1176),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHacs] = ACTIONS(1176),
    [anon_sym_BSLASHAcs] = ACTIONS(1176),
    [anon_sym_BSLASHacsp] = ACTIONS(1176),
    [anon_sym_BSLASHAcsp] = ACTIONS(1176),
    [anon_sym_BSLASHacl] = ACTIONS(1176),
    [anon_sym_BSLASHAcl] = ACTIONS(1176),
    [anon_sym_BSLASHaclp] = ACTIONS(1176),
    [anon_sym_BSLASHAclp] = ACTIONS(1176),
    [anon_sym_BSLASHacf] = ACTIONS(1176),
    [anon_sym_BSLASHAcf] = ACTIONS(1176),
    [anon_sym_BSLASHacfp] = ACTIONS(1176),
    [anon_sym_BSLASHAcfp] = ACTIONS(1176),
    [anon_sym_BSLASHac] = ACTIONS(1176),
    [anon_sym_BSLASHAc] = ACTIONS(1176),
    [anon_sym_BSLASHacp] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1176),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1176),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1176),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1178),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1178),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1180),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1182),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1184),
    [anon_sym_BSLASHcolor] = ACTIONS(1186),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1186),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1186),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1186),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1186),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1188),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1188),
    [anon_sym_BSLASHurl] = ACTIONS(1190),
    [anon_sym_BSLASHhref] = ACTIONS(1190),
  },
  [269] = {
    [sym_block_comment] = STATE(1405),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__command] = STATE(1405),
    [sym_generic_command] = STATE(1405),
    [sym_title_declaration] = STATE(1405),
    [sym_author_declaration] = STATE(1405),
    [sym_package_include] = STATE(1405),
    [sym_class_include] = STATE(1405),
    [sym_latex_include] = STATE(1405),
    [sym_biblatex_include] = STATE(1405),
    [sym_bibstyle_include] = STATE(1405),
    [sym_bibtex_include] = STATE(1405),
    [sym_graphics_include] = STATE(1405),
    [sym_svg_include] = STATE(1405),
    [sym_inkscape_include] = STATE(1405),
    [sym_verbatim_include] = STATE(1405),
    [sym_import_include] = STATE(1405),
    [sym_caption] = STATE(1405),
    [sym_citation] = STATE(1405),
    [sym_label_definition] = STATE(1405),
    [sym_label_reference] = STATE(1405),
    [sym_label_reference_range] = STATE(1405),
    [sym_label_number] = STATE(1405),
    [sym_new_command_definition] = STATE(1405),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(1405),
    [sym_let_command_definition] = STATE(1405),
    [sym_paired_delimiter_definition] = STATE(1405),
    [sym_environment_definition] = STATE(1405),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(1405),
    [sym_glossary_entry_reference] = STATE(1405),
    [sym_acronym_definition] = STATE(1405),
    [sym_acronym_reference] = STATE(1405),
    [sym_theorem_definition] = STATE(1405),
    [sym_color_definition] = STATE(1405),
    [sym_color_set_definition] = STATE(1405),
    [sym_color_reference] = STATE(1405),
    [sym_tikz_library_import] = STATE(1405),
    [sym_hyperlink] = STATE(1405),
    [aux_sym_text_repeat1] = STATE(270),
    [sym_command_name] = ACTIONS(674),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(4196),
    [anon_sym_RBRACK] = ACTIONS(4196),
    [anon_sym_COMMA] = ACTIONS(4196),
    [anon_sym_EQ] = ACTIONS(4196),
    [anon_sym_LPAREN] = ACTIONS(4196),
    [anon_sym_RPAREN] = ACTIONS(4196),
    [anon_sym_BSLASHpart] = ACTIONS(4198),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHaddpart] = ACTIONS(4198),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHchapter] = ACTIONS(4198),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHaddchap] = ACTIONS(4198),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHsection] = ACTIONS(4198),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHaddsec] = ACTIONS(4198),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHsubsection] = ACTIONS(4198),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(4198),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHparagraph] = ACTIONS(4198),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(4198),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHitem] = ACTIONS(4198),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(4196),
    [anon_sym_LBRACE] = ACTIONS(4196),
    [sym_word] = ACTIONS(714),
    [sym_placeholder] = ACTIONS(716),
    [sym_delimiter] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(718),
    [anon_sym_DASH] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(718),
    [anon_sym_SLASH] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(720),
    [anon_sym_GT] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(720),
    [anon_sym_PIPE] = ACTIONS(720),
    [anon_sym_COLON] = ACTIONS(720),
    [anon_sym_SQUOTE] = ACTIONS(720),
    [anon_sym__] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4196),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4196),
    [anon_sym_DOLLAR] = ACTIONS(4198),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4196),
    [anon_sym_BSLASHleft] = ACTIONS(4198),
    [anon_sym_BSLASHbigl] = ACTIONS(4198),
    [anon_sym_BSLASHBigl] = ACTIONS(4198),
    [anon_sym_BSLASHbiggl] = ACTIONS(4198),
    [anon_sym_BSLASHBiggl] = ACTIONS(4198),
    [anon_sym_BSLASHtext] = ACTIONS(4198),
    [anon_sym_BSLASHintertext] = ACTIONS(4198),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4198),
    [anon_sym_BSLASHbegin] = ACTIONS(4198),
    [anon_sym_BSLASHend] = ACTIONS(4198),
    [anon_sym_BSLASHtitle] = ACTIONS(738),
    [anon_sym_BSLASHauthor] = ACTIONS(740),
    [anon_sym_BSLASHusepackage] = ACTIONS(742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(744),
    [anon_sym_BSLASHinclude] = ACTIONS(746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(746),
    [anon_sym_BSLASHinput] = ACTIONS(746),
    [anon_sym_BSLASHsubfile] = ACTIONS(746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(748),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(750),
    [anon_sym_BSLASHbibliography] = ACTIONS(752),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(754),
    [anon_sym_BSLASHincludesvg] = ACTIONS(756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(758),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(760),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(760),
    [anon_sym_BSLASHimport] = ACTIONS(762),
    [anon_sym_BSLASHsubimport] = ACTIONS(762),
    [anon_sym_BSLASHinputfrom] = ACTIONS(762),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(762),
    [anon_sym_BSLASHincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(762),
    [anon_sym_BSLASHcaption] = ACTIONS(764),
    [anon_sym_BSLASHcite] = ACTIONS(766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCite] = ACTIONS(766),
    [anon_sym_BSLASHnocite] = ACTIONS(766),
    [anon_sym_BSLASHcitet] = ACTIONS(766),
    [anon_sym_BSLASHcitep] = ACTIONS(766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteA] = ACTIONS(766),
    [anon_sym_BSLASHciteR] = ACTIONS(766),
    [anon_sym_BSLASHciteS] = ACTIONS(766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteyear] = ACTIONS(766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(768),
    [anon_sym_BSLASHcitedate] = ACTIONS(766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(768),
    [anon_sym_BSLASHciteurl] = ACTIONS(766),
    [anon_sym_BSLASHfullcite] = ACTIONS(766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(766),
    [anon_sym_BSLASHcitealt] = ACTIONS(766),
    [anon_sym_BSLASHcitealp] = ACTIONS(766),
    [anon_sym_BSLASHcitetext] = ACTIONS(766),
    [anon_sym_BSLASHparencite] = ACTIONS(766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHParencite] = ACTIONS(766),
    [anon_sym_BSLASHfootcite] = ACTIONS(766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(766),
    [anon_sym_BSLASHtextcite] = ACTIONS(766),
    [anon_sym_BSLASHTextcite] = ACTIONS(766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(766),
    [anon_sym_BSLASHsupercite] = ACTIONS(766),
    [anon_sym_BSLASHautocite] = ACTIONS(766),
    [anon_sym_BSLASHAutocite] = ACTIONS(766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(768),
    [anon_sym_BSLASHvolcite] = ACTIONS(766),
    [anon_sym_BSLASHVolcite] = ACTIONS(766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(766),
    [anon_sym_BSLASHavolcite] = ACTIONS(766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(766),
    [anon_sym_BSLASHnotecite] = ACTIONS(766),
    [anon_sym_BSLASHNotecite] = ACTIONS(766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(766),
    [anon_sym_BSLASHlabel] = ACTIONS(770),
    [anon_sym_BSLASHref] = ACTIONS(772),
    [anon_sym_BSLASHeqref] = ACTIONS(772),
    [anon_sym_BSLASHvref] = ACTIONS(772),
    [anon_sym_BSLASHVref] = ACTIONS(772),
    [anon_sym_BSLASHautoref] = ACTIONS(772),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHpageref] = ACTIONS(772),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHautopageref] = ACTIONS(772),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcref] = ACTIONS(772),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHCref] = ACTIONS(772),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcpageref] = ACTIONS(772),
    [anon_sym_BSLASHCpageref] = ACTIONS(772),
    [anon_sym_BSLASHnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnameCref] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(772),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(772),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(772),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(774),
    [anon_sym_BSLASHcrefrange] = ACTIONS(776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(780),
    [anon_sym_BSLASHnewcommand] = ACTIONS(782),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(782),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(782),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(782),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(784),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(782),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(784),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(788),
    [anon_sym_BSLASHdef] = ACTIONS(790),
    [anon_sym_BSLASHgdef] = ACTIONS(790),
    [anon_sym_BSLASHedef] = ACTIONS(790),
    [anon_sym_BSLASHxdef] = ACTIONS(790),
    [anon_sym_BSLASHlet] = ACTIONS(792),
    [anon_sym_BSLASHglet] = ACTIONS(792),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(794),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(794),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(798),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(800),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(802),
    [anon_sym_BSLASHgls] = ACTIONS(804),
    [anon_sym_BSLASHGls] = ACTIONS(804),
    [anon_sym_BSLASHGLS] = ACTIONS(804),
    [anon_sym_BSLASHglspl] = ACTIONS(804),
    [anon_sym_BSLASHGlspl] = ACTIONS(804),
    [anon_sym_BSLASHGLSpl] = ACTIONS(804),
    [anon_sym_BSLASHglsdisp] = ACTIONS(804),
    [anon_sym_BSLASHglslink] = ACTIONS(804),
    [anon_sym_BSLASHglstext] = ACTIONS(804),
    [anon_sym_BSLASHGlstext] = ACTIONS(804),
    [anon_sym_BSLASHGLStext] = ACTIONS(804),
    [anon_sym_BSLASHglsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(804),
    [anon_sym_BSLASHglsplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSplural] = ACTIONS(804),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(804),
    [anon_sym_BSLASHglsname] = ACTIONS(804),
    [anon_sym_BSLASHGlsname] = ACTIONS(804),
    [anon_sym_BSLASHGLSname] = ACTIONS(804),
    [anon_sym_BSLASHglssymbol] = ACTIONS(804),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(804),
    [anon_sym_BSLASHglsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(804),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(804),
    [anon_sym_BSLASHglsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(804),
    [anon_sym_BSLASHglsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(804),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(804),
    [anon_sym_BSLASHglsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(804),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(804),
    [anon_sym_BSLASHglsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(804),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(804),
    [anon_sym_BSLASHnewacronym] = ACTIONS(806),
    [anon_sym_BSLASHacrshort] = ACTIONS(808),
    [anon_sym_BSLASHAcrshort] = ACTIONS(808),
    [anon_sym_BSLASHACRshort] = ACTIONS(808),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(808),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(808),
    [anon_sym_BSLASHacrlong] = ACTIONS(808),
    [anon_sym_BSLASHAcrlong] = ACTIONS(808),
    [anon_sym_BSLASHACRlong] = ACTIONS(808),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(808),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(808),
    [anon_sym_BSLASHacrfull] = ACTIONS(808),
    [anon_sym_BSLASHAcrfull] = ACTIONS(808),
    [anon_sym_BSLASHACRfull] = ACTIONS(808),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(808),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(808),
    [anon_sym_BSLASHacs] = ACTIONS(808),
    [anon_sym_BSLASHAcs] = ACTIONS(808),
    [anon_sym_BSLASHacsp] = ACTIONS(808),
    [anon_sym_BSLASHAcsp] = ACTIONS(808),
    [anon_sym_BSLASHacl] = ACTIONS(808),
    [anon_sym_BSLASHAcl] = ACTIONS(808),
    [anon_sym_BSLASHaclp] = ACTIONS(808),
    [anon_sym_BSLASHAclp] = ACTIONS(808),
    [anon_sym_BSLASHacf] = ACTIONS(808),
    [anon_sym_BSLASHAcf] = ACTIONS(808),
    [anon_sym_BSLASHacfp] = ACTIONS(808),
    [anon_sym_BSLASHAcfp] = ACTIONS(808),
    [anon_sym_BSLASHac] = ACTIONS(808),
    [anon_sym_BSLASHAc] = ACTIONS(808),
    [anon_sym_BSLASHacp] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(808),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(808),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(808),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(808),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(810),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(810),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(812),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(814),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(816),
    [anon_sym_BSLASHcolor] = ACTIONS(818),
    [anon_sym_BSLASHpagecolor] = ACTIONS(818),
    [anon_sym_BSLASHtextcolor] = ACTIONS(818),
    [anon_sym_BSLASHmathcolor] = ACTIONS(818),
    [anon_sym_BSLASHcolorbox] = ACTIONS(818),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(820),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(820),
    [anon_sym_BSLASHurl] = ACTIONS(822),
    [anon_sym_BSLASHhref] = ACTIONS(822),
  },
  [270] = {
    [sym_block_comment] = STATE(1405),
    [sym_operator] = STATE(1405),
    [sym_subscript] = STATE(1405),
    [sym_superscript] = STATE(1405),
    [sym__command] = STATE(1405),
    [sym_generic_command] = STATE(1405),
    [sym_title_declaration] = STATE(1405),
    [sym_author_declaration] = STATE(1405),
    [sym_package_include] = STATE(1405),
    [sym_class_include] = STATE(1405),
    [sym_latex_include] = STATE(1405),
    [sym_biblatex_include] = STATE(1405),
    [sym_bibstyle_include] = STATE(1405),
    [sym_bibtex_include] = STATE(1405),
    [sym_graphics_include] = STATE(1405),
    [sym_svg_include] = STATE(1405),
    [sym_inkscape_include] = STATE(1405),
    [sym_verbatim_include] = STATE(1405),
    [sym_import_include] = STATE(1405),
    [sym_caption] = STATE(1405),
    [sym_citation] = STATE(1405),
    [sym_label_definition] = STATE(1405),
    [sym_label_reference] = STATE(1405),
    [sym_label_reference_range] = STATE(1405),
    [sym_label_number] = STATE(1405),
    [sym_new_command_definition] = STATE(1405),
    [sym__new_command_definition] = STATE(1419),
    [sym__newer_command_definition] = STATE(1420),
    [sym__new_command_copy] = STATE(1421),
    [sym_old_command_definition] = STATE(1405),
    [sym_let_command_definition] = STATE(1405),
    [sym_paired_delimiter_definition] = STATE(1405),
    [sym_environment_definition] = STATE(1405),
    [sym__environment_definition] = STATE(1422),
    [sym__newer_environment_definition] = STATE(1423),
    [sym__new_environment_copy] = STATE(1425),
    [sym_glossary_entry_definition] = STATE(1405),
    [sym_glossary_entry_reference] = STATE(1405),
    [sym_acronym_definition] = STATE(1405),
    [sym_acronym_reference] = STATE(1405),
    [sym_theorem_definition] = STATE(1405),
    [sym_color_definition] = STATE(1405),
    [sym_color_set_definition] = STATE(1405),
    [sym_color_reference] = STATE(1405),
    [sym_tikz_library_import] = STATE(1405),
    [sym_hyperlink] = STATE(1405),
    [aux_sym_text_repeat1] = STATE(270),
    [sym_command_name] = ACTIONS(4353),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4356),
    [anon_sym_LBRACK] = ACTIONS(4045),
    [anon_sym_RBRACK] = ACTIONS(4045),
    [anon_sym_COMMA] = ACTIONS(4045),
    [anon_sym_EQ] = ACTIONS(4045),
    [anon_sym_LPAREN] = ACTIONS(4045),
    [anon_sym_RPAREN] = ACTIONS(4045),
    [anon_sym_BSLASHpart] = ACTIONS(4047),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHaddpart] = ACTIONS(4047),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHchapter] = ACTIONS(4047),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHaddchap] = ACTIONS(4047),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHsection] = ACTIONS(4047),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHaddsec] = ACTIONS(4047),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHsubsection] = ACTIONS(4047),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(4047),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHparagraph] = ACTIONS(4047),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(4047),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHitem] = ACTIONS(4047),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(4045),
    [anon_sym_LBRACE] = ACTIONS(4045),
    [sym_word] = ACTIONS(4359),
    [sym_placeholder] = ACTIONS(4362),
    [sym_delimiter] = ACTIONS(4362),
    [anon_sym_PLUS] = ACTIONS(4365),
    [anon_sym_DASH] = ACTIONS(4365),
    [anon_sym_STAR] = ACTIONS(4365),
    [anon_sym_SLASH] = ACTIONS(4365),
    [anon_sym_LT] = ACTIONS(4368),
    [anon_sym_GT] = ACTIONS(4368),
    [anon_sym_BANG] = ACTIONS(4368),
    [anon_sym_PIPE] = ACTIONS(4368),
    [anon_sym_COLON] = ACTIONS(4368),
    [anon_sym_SQUOTE] = ACTIONS(4368),
    [anon_sym__] = ACTIONS(4371),
    [anon_sym_CARET] = ACTIONS(4374),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4045),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4045),
    [anon_sym_DOLLAR] = ACTIONS(4047),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4045),
    [anon_sym_BSLASHleft] = ACTIONS(4047),
    [anon_sym_BSLASHbigl] = ACTIONS(4047),
    [anon_sym_BSLASHBigl] = ACTIONS(4047),
    [anon_sym_BSLASHbiggl] = ACTIONS(4047),
    [anon_sym_BSLASHBiggl] = ACTIONS(4047),
    [anon_sym_BSLASHtext] = ACTIONS(4047),
    [anon_sym_BSLASHintertext] = ACTIONS(4047),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4047),
    [anon_sym_BSLASHbegin] = ACTIONS(4047),
    [anon_sym_BSLASHend] = ACTIONS(4047),
    [anon_sym_BSLASHtitle] = ACTIONS(4377),
    [anon_sym_BSLASHauthor] = ACTIONS(4380),
    [anon_sym_BSLASHusepackage] = ACTIONS(4383),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4383),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4386),
    [anon_sym_BSLASHinclude] = ACTIONS(4389),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4389),
    [anon_sym_BSLASHinput] = ACTIONS(4389),
    [anon_sym_BSLASHsubfile] = ACTIONS(4389),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4392),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4395),
    [anon_sym_BSLASHbibliography] = ACTIONS(4398),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4401),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4404),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4407),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4410),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4410),
    [anon_sym_BSLASHimport] = ACTIONS(4413),
    [anon_sym_BSLASHsubimport] = ACTIONS(4413),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4413),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4413),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4413),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4413),
    [anon_sym_BSLASHcaption] = ACTIONS(4416),
    [anon_sym_BSLASHcite] = ACTIONS(4419),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4422),
    [anon_sym_BSLASHCite] = ACTIONS(4419),
    [anon_sym_BSLASHnocite] = ACTIONS(4419),
    [anon_sym_BSLASHcitet] = ACTIONS(4419),
    [anon_sym_BSLASHcitep] = ACTIONS(4419),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4422),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4422),
    [anon_sym_BSLASHciteA] = ACTIONS(4419),
    [anon_sym_BSLASHciteR] = ACTIONS(4419),
    [anon_sym_BSLASHciteS] = ACTIONS(4419),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4419),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4419),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4422),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4419),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4422),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4419),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4422),
    [anon_sym_BSLASHciteyear] = ACTIONS(4419),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4422),
    [anon_sym_BSLASHcitedate] = ACTIONS(4419),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4422),
    [anon_sym_BSLASHciteurl] = ACTIONS(4419),
    [anon_sym_BSLASHfullcite] = ACTIONS(4419),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4419),
    [anon_sym_BSLASHcitealt] = ACTIONS(4419),
    [anon_sym_BSLASHcitealp] = ACTIONS(4419),
    [anon_sym_BSLASHcitetext] = ACTIONS(4419),
    [anon_sym_BSLASHparencite] = ACTIONS(4419),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4422),
    [anon_sym_BSLASHParencite] = ACTIONS(4419),
    [anon_sym_BSLASHfootcite] = ACTIONS(4419),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4419),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4419),
    [anon_sym_BSLASHtextcite] = ACTIONS(4419),
    [anon_sym_BSLASHTextcite] = ACTIONS(4419),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4419),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4419),
    [anon_sym_BSLASHsupercite] = ACTIONS(4419),
    [anon_sym_BSLASHautocite] = ACTIONS(4419),
    [anon_sym_BSLASHAutocite] = ACTIONS(4419),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4422),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4422),
    [anon_sym_BSLASHvolcite] = ACTIONS(4419),
    [anon_sym_BSLASHVolcite] = ACTIONS(4419),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4419),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4419),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4419),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4419),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4419),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4419),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4419),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4419),
    [anon_sym_BSLASHavolcite] = ACTIONS(4419),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4419),
    [anon_sym_BSLASHnotecite] = ACTIONS(4419),
    [anon_sym_BSLASHNotecite] = ACTIONS(4419),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4419),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4419),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4419),
    [anon_sym_BSLASHlabel] = ACTIONS(4425),
    [anon_sym_BSLASHref] = ACTIONS(4428),
    [anon_sym_BSLASHeqref] = ACTIONS(4428),
    [anon_sym_BSLASHvref] = ACTIONS(4428),
    [anon_sym_BSLASHVref] = ACTIONS(4428),
    [anon_sym_BSLASHautoref] = ACTIONS(4428),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4431),
    [anon_sym_BSLASHpageref] = ACTIONS(4428),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4431),
    [anon_sym_BSLASHautopageref] = ACTIONS(4428),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4431),
    [anon_sym_BSLASHcref] = ACTIONS(4428),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4431),
    [anon_sym_BSLASHCref] = ACTIONS(4428),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4431),
    [anon_sym_BSLASHcpageref] = ACTIONS(4428),
    [anon_sym_BSLASHCpageref] = ACTIONS(4428),
    [anon_sym_BSLASHnamecref] = ACTIONS(4428),
    [anon_sym_BSLASHnameCref] = ACTIONS(4428),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4428),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4428),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4428),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4428),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4428),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4431),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4428),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4431),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4434),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4437),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4434),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4437),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4434),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4434),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4440),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4443),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4446),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4443),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4446),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4443),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4446),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4443),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4446),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4443),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4446),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4449),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4449),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4449),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4449),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4449),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4449),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4449),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4449),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4452),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4452),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4452),
    [anon_sym_BSLASHdef] = ACTIONS(4455),
    [anon_sym_BSLASHgdef] = ACTIONS(4455),
    [anon_sym_BSLASHedef] = ACTIONS(4455),
    [anon_sym_BSLASHxdef] = ACTIONS(4455),
    [anon_sym_BSLASHlet] = ACTIONS(4458),
    [anon_sym_BSLASHglet] = ACTIONS(4458),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4461),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4461),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4464),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4464),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4467),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4467),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4467),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4467),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4470),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4470),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4470),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4473),
    [anon_sym_BSLASHgls] = ACTIONS(4476),
    [anon_sym_BSLASHGls] = ACTIONS(4476),
    [anon_sym_BSLASHGLS] = ACTIONS(4476),
    [anon_sym_BSLASHglspl] = ACTIONS(4476),
    [anon_sym_BSLASHGlspl] = ACTIONS(4476),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4476),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4476),
    [anon_sym_BSLASHglslink] = ACTIONS(4476),
    [anon_sym_BSLASHglstext] = ACTIONS(4476),
    [anon_sym_BSLASHGlstext] = ACTIONS(4476),
    [anon_sym_BSLASHGLStext] = ACTIONS(4476),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4476),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4476),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4476),
    [anon_sym_BSLASHglsplural] = ACTIONS(4476),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4476),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4476),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4476),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4476),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4476),
    [anon_sym_BSLASHglsname] = ACTIONS(4476),
    [anon_sym_BSLASHGlsname] = ACTIONS(4476),
    [anon_sym_BSLASHGLSname] = ACTIONS(4476),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4476),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4476),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4476),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4476),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4476),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4476),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4476),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4476),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4476),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4476),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4476),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4476),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4476),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4476),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4476),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4476),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4476),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4476),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4476),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4476),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4476),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4476),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4476),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4479),
    [anon_sym_BSLASHacrshort] = ACTIONS(4482),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4482),
    [anon_sym_BSLASHACRshort] = ACTIONS(4482),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4482),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4482),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4482),
    [anon_sym_BSLASHacrlong] = ACTIONS(4482),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4482),
    [anon_sym_BSLASHACRlong] = ACTIONS(4482),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4482),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4482),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4482),
    [anon_sym_BSLASHacrfull] = ACTIONS(4482),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4482),
    [anon_sym_BSLASHACRfull] = ACTIONS(4482),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4482),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4482),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4482),
    [anon_sym_BSLASHacs] = ACTIONS(4482),
    [anon_sym_BSLASHAcs] = ACTIONS(4482),
    [anon_sym_BSLASHacsp] = ACTIONS(4482),
    [anon_sym_BSLASHAcsp] = ACTIONS(4482),
    [anon_sym_BSLASHacl] = ACTIONS(4482),
    [anon_sym_BSLASHAcl] = ACTIONS(4482),
    [anon_sym_BSLASHaclp] = ACTIONS(4482),
    [anon_sym_BSLASHAclp] = ACTIONS(4482),
    [anon_sym_BSLASHacf] = ACTIONS(4482),
    [anon_sym_BSLASHAcf] = ACTIONS(4482),
    [anon_sym_BSLASHacfp] = ACTIONS(4482),
    [anon_sym_BSLASHAcfp] = ACTIONS(4482),
    [anon_sym_BSLASHac] = ACTIONS(4482),
    [anon_sym_BSLASHAc] = ACTIONS(4482),
    [anon_sym_BSLASHacp] = ACTIONS(4482),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4482),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4482),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4482),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4482),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4482),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4482),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4482),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4482),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4482),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4482),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4485),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4488),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4485),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4488),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4494),
    [anon_sym_BSLASHcolor] = ACTIONS(4497),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4497),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4497),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4497),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4497),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4500),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4500),
    [anon_sym_BSLASHurl] = ACTIONS(4503),
    [anon_sym_BSLASHhref] = ACTIONS(4503),
  },
  [271] = {
    [sym_block_comment] = STATE(1266),
    [sym_operator] = STATE(1266),
    [sym_subscript] = STATE(1266),
    [sym_superscript] = STATE(1266),
    [sym__command] = STATE(1266),
    [sym_generic_command] = STATE(1266),
    [sym_title_declaration] = STATE(1266),
    [sym_author_declaration] = STATE(1266),
    [sym_package_include] = STATE(1266),
    [sym_class_include] = STATE(1266),
    [sym_latex_include] = STATE(1266),
    [sym_biblatex_include] = STATE(1266),
    [sym_bibstyle_include] = STATE(1266),
    [sym_bibtex_include] = STATE(1266),
    [sym_graphics_include] = STATE(1266),
    [sym_svg_include] = STATE(1266),
    [sym_inkscape_include] = STATE(1266),
    [sym_verbatim_include] = STATE(1266),
    [sym_import_include] = STATE(1266),
    [sym_caption] = STATE(1266),
    [sym_citation] = STATE(1266),
    [sym_label_definition] = STATE(1266),
    [sym_label_reference] = STATE(1266),
    [sym_label_reference_range] = STATE(1266),
    [sym_label_number] = STATE(1266),
    [sym_new_command_definition] = STATE(1266),
    [sym__new_command_definition] = STATE(1284),
    [sym__newer_command_definition] = STATE(1285),
    [sym__new_command_copy] = STATE(1347),
    [sym_old_command_definition] = STATE(1266),
    [sym_let_command_definition] = STATE(1266),
    [sym_paired_delimiter_definition] = STATE(1266),
    [sym_environment_definition] = STATE(1266),
    [sym__environment_definition] = STATE(1348),
    [sym__newer_environment_definition] = STATE(1349),
    [sym__new_environment_copy] = STATE(1350),
    [sym_glossary_entry_definition] = STATE(1266),
    [sym_glossary_entry_reference] = STATE(1266),
    [sym_acronym_definition] = STATE(1266),
    [sym_acronym_reference] = STATE(1266),
    [sym_theorem_definition] = STATE(1266),
    [sym_color_definition] = STATE(1266),
    [sym_color_set_definition] = STATE(1266),
    [sym_color_reference] = STATE(1266),
    [sym_tikz_library_import] = STATE(1266),
    [sym_hyperlink] = STATE(1266),
    [aux_sym_text_repeat1] = STATE(271),
    [sym_command_name] = ACTIONS(4506),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4509),
    [anon_sym_LBRACK] = ACTIONS(4045),
    [anon_sym_RBRACK] = ACTIONS(4045),
    [anon_sym_COMMA] = ACTIONS(4045),
    [anon_sym_EQ] = ACTIONS(4045),
    [anon_sym_LPAREN] = ACTIONS(4045),
    [anon_sym_RPAREN] = ACTIONS(4045),
    [anon_sym_BSLASHpart] = ACTIONS(4047),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHaddpart] = ACTIONS(4047),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHchapter] = ACTIONS(4047),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHaddchap] = ACTIONS(4047),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHsection] = ACTIONS(4047),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHaddsec] = ACTIONS(4047),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHsubsection] = ACTIONS(4047),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(4047),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHparagraph] = ACTIONS(4047),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(4047),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHitem] = ACTIONS(4047),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(4045),
    [anon_sym_LBRACE] = ACTIONS(4045),
    [sym_word] = ACTIONS(4512),
    [sym_placeholder] = ACTIONS(4515),
    [sym_delimiter] = ACTIONS(4515),
    [anon_sym_PLUS] = ACTIONS(4518),
    [anon_sym_DASH] = ACTIONS(4518),
    [anon_sym_STAR] = ACTIONS(4518),
    [anon_sym_SLASH] = ACTIONS(4518),
    [anon_sym_LT] = ACTIONS(4521),
    [anon_sym_GT] = ACTIONS(4521),
    [anon_sym_BANG] = ACTIONS(4521),
    [anon_sym_PIPE] = ACTIONS(4521),
    [anon_sym_COLON] = ACTIONS(4521),
    [anon_sym_SQUOTE] = ACTIONS(4521),
    [anon_sym__] = ACTIONS(4524),
    [anon_sym_CARET] = ACTIONS(4527),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4045),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4045),
    [anon_sym_DOLLAR] = ACTIONS(4047),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4045),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(4045),
    [anon_sym_BSLASHleft] = ACTIONS(4047),
    [anon_sym_BSLASHbigl] = ACTIONS(4047),
    [anon_sym_BSLASHBigl] = ACTIONS(4047),
    [anon_sym_BSLASHbiggl] = ACTIONS(4047),
    [anon_sym_BSLASHBiggl] = ACTIONS(4047),
    [anon_sym_BSLASHtext] = ACTIONS(4047),
    [anon_sym_BSLASHintertext] = ACTIONS(4047),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4047),
    [anon_sym_BSLASHbegin] = ACTIONS(4047),
    [anon_sym_BSLASHtitle] = ACTIONS(4530),
    [anon_sym_BSLASHauthor] = ACTIONS(4533),
    [anon_sym_BSLASHusepackage] = ACTIONS(4536),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4536),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4539),
    [anon_sym_BSLASHinclude] = ACTIONS(4542),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4542),
    [anon_sym_BSLASHinput] = ACTIONS(4542),
    [anon_sym_BSLASHsubfile] = ACTIONS(4542),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4545),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4548),
    [anon_sym_BSLASHbibliography] = ACTIONS(4551),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4554),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4557),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4560),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4563),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4563),
    [anon_sym_BSLASHimport] = ACTIONS(4566),
    [anon_sym_BSLASHsubimport] = ACTIONS(4566),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4566),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4566),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4566),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4566),
    [anon_sym_BSLASHcaption] = ACTIONS(4569),
    [anon_sym_BSLASHcite] = ACTIONS(4572),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4575),
    [anon_sym_BSLASHCite] = ACTIONS(4572),
    [anon_sym_BSLASHnocite] = ACTIONS(4572),
    [anon_sym_BSLASHcitet] = ACTIONS(4572),
    [anon_sym_BSLASHcitep] = ACTIONS(4572),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4575),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4575),
    [anon_sym_BSLASHciteA] = ACTIONS(4572),
    [anon_sym_BSLASHciteR] = ACTIONS(4572),
    [anon_sym_BSLASHciteS] = ACTIONS(4572),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4572),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4572),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4575),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4572),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4575),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4572),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4575),
    [anon_sym_BSLASHciteyear] = ACTIONS(4572),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4575),
    [anon_sym_BSLASHcitedate] = ACTIONS(4572),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4575),
    [anon_sym_BSLASHciteurl] = ACTIONS(4572),
    [anon_sym_BSLASHfullcite] = ACTIONS(4572),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4572),
    [anon_sym_BSLASHcitealt] = ACTIONS(4572),
    [anon_sym_BSLASHcitealp] = ACTIONS(4572),
    [anon_sym_BSLASHcitetext] = ACTIONS(4572),
    [anon_sym_BSLASHparencite] = ACTIONS(4572),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4575),
    [anon_sym_BSLASHParencite] = ACTIONS(4572),
    [anon_sym_BSLASHfootcite] = ACTIONS(4572),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4572),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4572),
    [anon_sym_BSLASHtextcite] = ACTIONS(4572),
    [anon_sym_BSLASHTextcite] = ACTIONS(4572),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4572),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4572),
    [anon_sym_BSLASHsupercite] = ACTIONS(4572),
    [anon_sym_BSLASHautocite] = ACTIONS(4572),
    [anon_sym_BSLASHAutocite] = ACTIONS(4572),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4575),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4575),
    [anon_sym_BSLASHvolcite] = ACTIONS(4572),
    [anon_sym_BSLASHVolcite] = ACTIONS(4572),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4572),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4572),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4572),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4572),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4572),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4572),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4572),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4572),
    [anon_sym_BSLASHavolcite] = ACTIONS(4572),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4572),
    [anon_sym_BSLASHnotecite] = ACTIONS(4572),
    [anon_sym_BSLASHNotecite] = ACTIONS(4572),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4572),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4572),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4572),
    [anon_sym_BSLASHlabel] = ACTIONS(4578),
    [anon_sym_BSLASHref] = ACTIONS(4581),
    [anon_sym_BSLASHeqref] = ACTIONS(4581),
    [anon_sym_BSLASHvref] = ACTIONS(4581),
    [anon_sym_BSLASHVref] = ACTIONS(4581),
    [anon_sym_BSLASHautoref] = ACTIONS(4581),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4584),
    [anon_sym_BSLASHpageref] = ACTIONS(4581),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4584),
    [anon_sym_BSLASHautopageref] = ACTIONS(4581),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4584),
    [anon_sym_BSLASHcref] = ACTIONS(4581),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4584),
    [anon_sym_BSLASHCref] = ACTIONS(4581),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4584),
    [anon_sym_BSLASHcpageref] = ACTIONS(4581),
    [anon_sym_BSLASHCpageref] = ACTIONS(4581),
    [anon_sym_BSLASHnamecref] = ACTIONS(4581),
    [anon_sym_BSLASHnameCref] = ACTIONS(4581),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4581),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4581),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4581),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4581),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4581),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4584),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4581),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4584),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4587),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4590),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4587),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4590),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4587),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4587),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4593),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4596),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4599),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4596),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4599),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4596),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4599),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4596),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4599),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4596),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4599),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4602),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4602),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4602),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4602),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4602),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4602),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4602),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4602),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4605),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4605),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4605),
    [anon_sym_BSLASHdef] = ACTIONS(4608),
    [anon_sym_BSLASHgdef] = ACTIONS(4608),
    [anon_sym_BSLASHedef] = ACTIONS(4608),
    [anon_sym_BSLASHxdef] = ACTIONS(4608),
    [anon_sym_BSLASHlet] = ACTIONS(4611),
    [anon_sym_BSLASHglet] = ACTIONS(4611),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4614),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4614),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4617),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4617),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4620),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4620),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4620),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4620),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4623),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4623),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4623),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4626),
    [anon_sym_BSLASHgls] = ACTIONS(4629),
    [anon_sym_BSLASHGls] = ACTIONS(4629),
    [anon_sym_BSLASHGLS] = ACTIONS(4629),
    [anon_sym_BSLASHglspl] = ACTIONS(4629),
    [anon_sym_BSLASHGlspl] = ACTIONS(4629),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4629),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4629),
    [anon_sym_BSLASHglslink] = ACTIONS(4629),
    [anon_sym_BSLASHglstext] = ACTIONS(4629),
    [anon_sym_BSLASHGlstext] = ACTIONS(4629),
    [anon_sym_BSLASHGLStext] = ACTIONS(4629),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4629),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4629),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4629),
    [anon_sym_BSLASHglsplural] = ACTIONS(4629),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4629),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4629),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4629),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4629),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4629),
    [anon_sym_BSLASHglsname] = ACTIONS(4629),
    [anon_sym_BSLASHGlsname] = ACTIONS(4629),
    [anon_sym_BSLASHGLSname] = ACTIONS(4629),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4629),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4629),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4629),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4629),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4629),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4629),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4629),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4629),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4629),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4629),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4629),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4629),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4629),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4629),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4629),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4629),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4629),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4629),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4629),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4629),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4629),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4629),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4629),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4632),
    [anon_sym_BSLASHacrshort] = ACTIONS(4635),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4635),
    [anon_sym_BSLASHACRshort] = ACTIONS(4635),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4635),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4635),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4635),
    [anon_sym_BSLASHacrlong] = ACTIONS(4635),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4635),
    [anon_sym_BSLASHACRlong] = ACTIONS(4635),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4635),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4635),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4635),
    [anon_sym_BSLASHacrfull] = ACTIONS(4635),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4635),
    [anon_sym_BSLASHACRfull] = ACTIONS(4635),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4635),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4635),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4635),
    [anon_sym_BSLASHacs] = ACTIONS(4635),
    [anon_sym_BSLASHAcs] = ACTIONS(4635),
    [anon_sym_BSLASHacsp] = ACTIONS(4635),
    [anon_sym_BSLASHAcsp] = ACTIONS(4635),
    [anon_sym_BSLASHacl] = ACTIONS(4635),
    [anon_sym_BSLASHAcl] = ACTIONS(4635),
    [anon_sym_BSLASHaclp] = ACTIONS(4635),
    [anon_sym_BSLASHAclp] = ACTIONS(4635),
    [anon_sym_BSLASHacf] = ACTIONS(4635),
    [anon_sym_BSLASHAcf] = ACTIONS(4635),
    [anon_sym_BSLASHacfp] = ACTIONS(4635),
    [anon_sym_BSLASHAcfp] = ACTIONS(4635),
    [anon_sym_BSLASHac] = ACTIONS(4635),
    [anon_sym_BSLASHAc] = ACTIONS(4635),
    [anon_sym_BSLASHacp] = ACTIONS(4635),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4635),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4635),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4635),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4635),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4635),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4635),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4635),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4635),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4635),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4635),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4638),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4641),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4638),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4641),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4644),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4647),
    [anon_sym_BSLASHcolor] = ACTIONS(4650),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4650),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4650),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4650),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4650),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4653),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4653),
    [anon_sym_BSLASHurl] = ACTIONS(4656),
    [anon_sym_BSLASHhref] = ACTIONS(4656),
  },
  [272] = {
    [sym_block_comment] = STATE(1465),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__command] = STATE(1465),
    [sym_generic_command] = STATE(1465),
    [sym_title_declaration] = STATE(1465),
    [sym_author_declaration] = STATE(1465),
    [sym_package_include] = STATE(1465),
    [sym_class_include] = STATE(1465),
    [sym_latex_include] = STATE(1465),
    [sym_biblatex_include] = STATE(1465),
    [sym_bibstyle_include] = STATE(1465),
    [sym_bibtex_include] = STATE(1465),
    [sym_graphics_include] = STATE(1465),
    [sym_svg_include] = STATE(1465),
    [sym_inkscape_include] = STATE(1465),
    [sym_verbatim_include] = STATE(1465),
    [sym_import_include] = STATE(1465),
    [sym_caption] = STATE(1465),
    [sym_citation] = STATE(1465),
    [sym_label_definition] = STATE(1465),
    [sym_label_reference] = STATE(1465),
    [sym_label_reference_range] = STATE(1465),
    [sym_label_number] = STATE(1465),
    [sym_new_command_definition] = STATE(1465),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(1465),
    [sym_let_command_definition] = STATE(1465),
    [sym_paired_delimiter_definition] = STATE(1465),
    [sym_environment_definition] = STATE(1465),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(1465),
    [sym_glossary_entry_reference] = STATE(1465),
    [sym_acronym_definition] = STATE(1465),
    [sym_acronym_reference] = STATE(1465),
    [sym_theorem_definition] = STATE(1465),
    [sym_color_definition] = STATE(1465),
    [sym_color_set_definition] = STATE(1465),
    [sym_color_reference] = STATE(1465),
    [sym_tikz_library_import] = STATE(1465),
    [sym_hyperlink] = STATE(1465),
    [aux_sym_text_repeat1] = STATE(272),
    [sym_command_name] = ACTIONS(4659),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4662),
    [anon_sym_LBRACK] = ACTIONS(4045),
    [anon_sym_RBRACK] = ACTIONS(4045),
    [anon_sym_COMMA] = ACTIONS(4045),
    [anon_sym_EQ] = ACTIONS(4045),
    [anon_sym_LPAREN] = ACTIONS(4045),
    [anon_sym_RPAREN] = ACTIONS(4045),
    [anon_sym_BSLASHpart] = ACTIONS(4047),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHaddpart] = ACTIONS(4047),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHchapter] = ACTIONS(4047),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHaddchap] = ACTIONS(4047),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHsection] = ACTIONS(4047),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHaddsec] = ACTIONS(4047),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHsubsection] = ACTIONS(4047),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(4047),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHparagraph] = ACTIONS(4047),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(4047),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(4045),
    [anon_sym_BSLASHitem] = ACTIONS(4047),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(4045),
    [anon_sym_LBRACE] = ACTIONS(4045),
    [sym_word] = ACTIONS(4665),
    [sym_placeholder] = ACTIONS(4668),
    [sym_delimiter] = ACTIONS(4668),
    [anon_sym_PLUS] = ACTIONS(4671),
    [anon_sym_DASH] = ACTIONS(4671),
    [anon_sym_STAR] = ACTIONS(4671),
    [anon_sym_SLASH] = ACTIONS(4671),
    [anon_sym_LT] = ACTIONS(4674),
    [anon_sym_GT] = ACTIONS(4674),
    [anon_sym_BANG] = ACTIONS(4674),
    [anon_sym_PIPE] = ACTIONS(4674),
    [anon_sym_COLON] = ACTIONS(4674),
    [anon_sym_SQUOTE] = ACTIONS(4674),
    [anon_sym__] = ACTIONS(4677),
    [anon_sym_CARET] = ACTIONS(4680),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4045),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4045),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(4045),
    [anon_sym_DOLLAR] = ACTIONS(4047),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4045),
    [anon_sym_BSLASHleft] = ACTIONS(4047),
    [anon_sym_BSLASHbigl] = ACTIONS(4047),
    [anon_sym_BSLASHBigl] = ACTIONS(4047),
    [anon_sym_BSLASHbiggl] = ACTIONS(4047),
    [anon_sym_BSLASHBiggl] = ACTIONS(4047),
    [anon_sym_BSLASHtext] = ACTIONS(4047),
    [anon_sym_BSLASHintertext] = ACTIONS(4047),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4047),
    [anon_sym_BSLASHbegin] = ACTIONS(4047),
    [anon_sym_BSLASHtitle] = ACTIONS(4683),
    [anon_sym_BSLASHauthor] = ACTIONS(4686),
    [anon_sym_BSLASHusepackage] = ACTIONS(4689),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4689),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4692),
    [anon_sym_BSLASHinclude] = ACTIONS(4695),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4695),
    [anon_sym_BSLASHinput] = ACTIONS(4695),
    [anon_sym_BSLASHsubfile] = ACTIONS(4695),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4698),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4701),
    [anon_sym_BSLASHbibliography] = ACTIONS(4704),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4707),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4710),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4713),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4716),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4716),
    [anon_sym_BSLASHimport] = ACTIONS(4719),
    [anon_sym_BSLASHsubimport] = ACTIONS(4719),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4719),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4719),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4719),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4719),
    [anon_sym_BSLASHcaption] = ACTIONS(4722),
    [anon_sym_BSLASHcite] = ACTIONS(4725),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4728),
    [anon_sym_BSLASHCite] = ACTIONS(4725),
    [anon_sym_BSLASHnocite] = ACTIONS(4725),
    [anon_sym_BSLASHcitet] = ACTIONS(4725),
    [anon_sym_BSLASHcitep] = ACTIONS(4725),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4728),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4728),
    [anon_sym_BSLASHciteA] = ACTIONS(4725),
    [anon_sym_BSLASHciteR] = ACTIONS(4725),
    [anon_sym_BSLASHciteS] = ACTIONS(4725),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4725),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4725),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4728),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4725),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4728),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4725),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4728),
    [anon_sym_BSLASHciteyear] = ACTIONS(4725),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4728),
    [anon_sym_BSLASHcitedate] = ACTIONS(4725),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4728),
    [anon_sym_BSLASHciteurl] = ACTIONS(4725),
    [anon_sym_BSLASHfullcite] = ACTIONS(4725),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4725),
    [anon_sym_BSLASHcitealt] = ACTIONS(4725),
    [anon_sym_BSLASHcitealp] = ACTIONS(4725),
    [anon_sym_BSLASHcitetext] = ACTIONS(4725),
    [anon_sym_BSLASHparencite] = ACTIONS(4725),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4728),
    [anon_sym_BSLASHParencite] = ACTIONS(4725),
    [anon_sym_BSLASHfootcite] = ACTIONS(4725),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4725),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4725),
    [anon_sym_BSLASHtextcite] = ACTIONS(4725),
    [anon_sym_BSLASHTextcite] = ACTIONS(4725),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4725),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4725),
    [anon_sym_BSLASHsupercite] = ACTIONS(4725),
    [anon_sym_BSLASHautocite] = ACTIONS(4725),
    [anon_sym_BSLASHAutocite] = ACTIONS(4725),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4728),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4728),
    [anon_sym_BSLASHvolcite] = ACTIONS(4725),
    [anon_sym_BSLASHVolcite] = ACTIONS(4725),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4725),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4725),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4725),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4725),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4725),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4725),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4725),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4725),
    [anon_sym_BSLASHavolcite] = ACTIONS(4725),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4725),
    [anon_sym_BSLASHnotecite] = ACTIONS(4725),
    [anon_sym_BSLASHNotecite] = ACTIONS(4725),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4725),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4725),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4725),
    [anon_sym_BSLASHlabel] = ACTIONS(4731),
    [anon_sym_BSLASHref] = ACTIONS(4734),
    [anon_sym_BSLASHeqref] = ACTIONS(4734),
    [anon_sym_BSLASHvref] = ACTIONS(4734),
    [anon_sym_BSLASHVref] = ACTIONS(4734),
    [anon_sym_BSLASHautoref] = ACTIONS(4734),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4737),
    [anon_sym_BSLASHpageref] = ACTIONS(4734),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4737),
    [anon_sym_BSLASHautopageref] = ACTIONS(4734),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4737),
    [anon_sym_BSLASHcref] = ACTIONS(4734),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4737),
    [anon_sym_BSLASHCref] = ACTIONS(4734),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4737),
    [anon_sym_BSLASHcpageref] = ACTIONS(4734),
    [anon_sym_BSLASHCpageref] = ACTIONS(4734),
    [anon_sym_BSLASHnamecref] = ACTIONS(4734),
    [anon_sym_BSLASHnameCref] = ACTIONS(4734),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4734),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4734),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4734),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4734),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4734),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4737),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4734),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4737),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4740),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4743),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4740),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4743),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4740),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4740),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4746),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4749),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4752),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4749),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4752),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4749),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4752),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4749),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4752),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4749),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4752),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4755),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4755),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4755),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4755),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4755),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4755),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4755),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4755),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4758),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4758),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4758),
    [anon_sym_BSLASHdef] = ACTIONS(4761),
    [anon_sym_BSLASHgdef] = ACTIONS(4761),
    [anon_sym_BSLASHedef] = ACTIONS(4761),
    [anon_sym_BSLASHxdef] = ACTIONS(4761),
    [anon_sym_BSLASHlet] = ACTIONS(4764),
    [anon_sym_BSLASHglet] = ACTIONS(4764),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4767),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4767),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4770),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4770),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4773),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4773),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4773),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4773),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4776),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4776),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4776),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4779),
    [anon_sym_BSLASHgls] = ACTIONS(4782),
    [anon_sym_BSLASHGls] = ACTIONS(4782),
    [anon_sym_BSLASHGLS] = ACTIONS(4782),
    [anon_sym_BSLASHglspl] = ACTIONS(4782),
    [anon_sym_BSLASHGlspl] = ACTIONS(4782),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4782),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4782),
    [anon_sym_BSLASHglslink] = ACTIONS(4782),
    [anon_sym_BSLASHglstext] = ACTIONS(4782),
    [anon_sym_BSLASHGlstext] = ACTIONS(4782),
    [anon_sym_BSLASHGLStext] = ACTIONS(4782),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4782),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4782),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4782),
    [anon_sym_BSLASHglsplural] = ACTIONS(4782),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4782),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4782),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4782),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4782),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4782),
    [anon_sym_BSLASHglsname] = ACTIONS(4782),
    [anon_sym_BSLASHGlsname] = ACTIONS(4782),
    [anon_sym_BSLASHGLSname] = ACTIONS(4782),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4782),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4782),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4782),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4782),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4782),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4782),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4782),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4782),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4782),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4782),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4782),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4782),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4782),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4782),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4782),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4782),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4782),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4782),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4782),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4782),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4782),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4782),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4782),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4785),
    [anon_sym_BSLASHacrshort] = ACTIONS(4788),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4788),
    [anon_sym_BSLASHACRshort] = ACTIONS(4788),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4788),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4788),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4788),
    [anon_sym_BSLASHacrlong] = ACTIONS(4788),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4788),
    [anon_sym_BSLASHACRlong] = ACTIONS(4788),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4788),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4788),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4788),
    [anon_sym_BSLASHacrfull] = ACTIONS(4788),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4788),
    [anon_sym_BSLASHACRfull] = ACTIONS(4788),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4788),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4788),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4788),
    [anon_sym_BSLASHacs] = ACTIONS(4788),
    [anon_sym_BSLASHAcs] = ACTIONS(4788),
    [anon_sym_BSLASHacsp] = ACTIONS(4788),
    [anon_sym_BSLASHAcsp] = ACTIONS(4788),
    [anon_sym_BSLASHacl] = ACTIONS(4788),
    [anon_sym_BSLASHAcl] = ACTIONS(4788),
    [anon_sym_BSLASHaclp] = ACTIONS(4788),
    [anon_sym_BSLASHAclp] = ACTIONS(4788),
    [anon_sym_BSLASHacf] = ACTIONS(4788),
    [anon_sym_BSLASHAcf] = ACTIONS(4788),
    [anon_sym_BSLASHacfp] = ACTIONS(4788),
    [anon_sym_BSLASHAcfp] = ACTIONS(4788),
    [anon_sym_BSLASHac] = ACTIONS(4788),
    [anon_sym_BSLASHAc] = ACTIONS(4788),
    [anon_sym_BSLASHacp] = ACTIONS(4788),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4788),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4788),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4788),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4788),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4788),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4788),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4788),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4788),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4788),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4788),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4791),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4794),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4791),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4794),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4797),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4800),
    [anon_sym_BSLASHcolor] = ACTIONS(4803),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4803),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4803),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4803),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4803),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4806),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4806),
    [anon_sym_BSLASHurl] = ACTIONS(4809),
    [anon_sym_BSLASHhref] = ACTIONS(4809),
  },
  [273] = {
    [sym_block_comment] = STATE(1465),
    [sym_operator] = STATE(1465),
    [sym_subscript] = STATE(1465),
    [sym_superscript] = STATE(1465),
    [sym__command] = STATE(1465),
    [sym_generic_command] = STATE(1465),
    [sym_title_declaration] = STATE(1465),
    [sym_author_declaration] = STATE(1465),
    [sym_package_include] = STATE(1465),
    [sym_class_include] = STATE(1465),
    [sym_latex_include] = STATE(1465),
    [sym_biblatex_include] = STATE(1465),
    [sym_bibstyle_include] = STATE(1465),
    [sym_bibtex_include] = STATE(1465),
    [sym_graphics_include] = STATE(1465),
    [sym_svg_include] = STATE(1465),
    [sym_inkscape_include] = STATE(1465),
    [sym_verbatim_include] = STATE(1465),
    [sym_import_include] = STATE(1465),
    [sym_caption] = STATE(1465),
    [sym_citation] = STATE(1465),
    [sym_label_definition] = STATE(1465),
    [sym_label_reference] = STATE(1465),
    [sym_label_reference_range] = STATE(1465),
    [sym_label_number] = STATE(1465),
    [sym_new_command_definition] = STATE(1465),
    [sym__new_command_definition] = STATE(1478),
    [sym__newer_command_definition] = STATE(1479),
    [sym__new_command_copy] = STATE(1480),
    [sym_old_command_definition] = STATE(1465),
    [sym_let_command_definition] = STATE(1465),
    [sym_paired_delimiter_definition] = STATE(1465),
    [sym_environment_definition] = STATE(1465),
    [sym__environment_definition] = STATE(1481),
    [sym__newer_environment_definition] = STATE(1482),
    [sym__new_environment_copy] = STATE(1483),
    [sym_glossary_entry_definition] = STATE(1465),
    [sym_glossary_entry_reference] = STATE(1465),
    [sym_acronym_definition] = STATE(1465),
    [sym_acronym_reference] = STATE(1465),
    [sym_theorem_definition] = STATE(1465),
    [sym_color_definition] = STATE(1465),
    [sym_color_set_definition] = STATE(1465),
    [sym_color_reference] = STATE(1465),
    [sym_tikz_library_import] = STATE(1465),
    [sym_hyperlink] = STATE(1465),
    [aux_sym_text_repeat1] = STATE(272),
    [sym_command_name] = ACTIONS(1418),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(4196),
    [anon_sym_RBRACK] = ACTIONS(4196),
    [anon_sym_COMMA] = ACTIONS(4196),
    [anon_sym_EQ] = ACTIONS(4196),
    [anon_sym_LPAREN] = ACTIONS(4196),
    [anon_sym_RPAREN] = ACTIONS(4196),
    [anon_sym_BSLASHpart] = ACTIONS(4198),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHaddpart] = ACTIONS(4198),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHchapter] = ACTIONS(4198),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHaddchap] = ACTIONS(4198),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHsection] = ACTIONS(4198),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHaddsec] = ACTIONS(4198),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHsubsection] = ACTIONS(4198),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(4198),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHparagraph] = ACTIONS(4198),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(4198),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(4196),
    [anon_sym_BSLASHitem] = ACTIONS(4198),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(4196),
    [anon_sym_LBRACE] = ACTIONS(4196),
    [sym_word] = ACTIONS(1426),
    [sym_placeholder] = ACTIONS(1428),
    [sym_delimiter] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym__] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4196),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4196),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(4196),
    [anon_sym_DOLLAR] = ACTIONS(4198),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4196),
    [anon_sym_BSLASHleft] = ACTIONS(4198),
    [anon_sym_BSLASHbigl] = ACTIONS(4198),
    [anon_sym_BSLASHBigl] = ACTIONS(4198),
    [anon_sym_BSLASHbiggl] = ACTIONS(4198),
    [anon_sym_BSLASHBiggl] = ACTIONS(4198),
    [anon_sym_BSLASHtext] = ACTIONS(4198),
    [anon_sym_BSLASHintertext] = ACTIONS(4198),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4198),
    [anon_sym_BSLASHbegin] = ACTIONS(4198),
    [anon_sym_BSLASHtitle] = ACTIONS(1452),
    [anon_sym_BSLASHauthor] = ACTIONS(1454),
    [anon_sym_BSLASHusepackage] = ACTIONS(1456),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(1456),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(1458),
    [anon_sym_BSLASHinclude] = ACTIONS(1460),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(1460),
    [anon_sym_BSLASHinput] = ACTIONS(1460),
    [anon_sym_BSLASHsubfile] = ACTIONS(1460),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(1462),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(1464),
    [anon_sym_BSLASHbibliography] = ACTIONS(1466),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(1468),
    [anon_sym_BSLASHincludesvg] = ACTIONS(1470),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(1472),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(1474),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(1474),
    [anon_sym_BSLASHimport] = ACTIONS(1476),
    [anon_sym_BSLASHsubimport] = ACTIONS(1476),
    [anon_sym_BSLASHinputfrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(1476),
    [anon_sym_BSLASHincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(1476),
    [anon_sym_BSLASHcaption] = ACTIONS(1478),
    [anon_sym_BSLASHcite] = ACTIONS(1480),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCite] = ACTIONS(1480),
    [anon_sym_BSLASHnocite] = ACTIONS(1480),
    [anon_sym_BSLASHcitet] = ACTIONS(1480),
    [anon_sym_BSLASHcitep] = ACTIONS(1480),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteA] = ACTIONS(1480),
    [anon_sym_BSLASHciteR] = ACTIONS(1480),
    [anon_sym_BSLASHciteS] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearR] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(1480),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitetitle] = ACTIONS(1480),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteyear] = ACTIONS(1480),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHcitedate] = ACTIONS(1480),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHciteurl] = ACTIONS(1480),
    [anon_sym_BSLASHfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(1480),
    [anon_sym_BSLASHcitealt] = ACTIONS(1480),
    [anon_sym_BSLASHcitealp] = ACTIONS(1480),
    [anon_sym_BSLASHcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHparencite] = ACTIONS(1480),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHParencite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(1480),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(1480),
    [anon_sym_BSLASHtextcite] = ACTIONS(1480),
    [anon_sym_BSLASHTextcite] = ACTIONS(1480),
    [anon_sym_BSLASHsmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHSmartcite] = ACTIONS(1480),
    [anon_sym_BSLASHsupercite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite] = ACTIONS(1480),
    [anon_sym_BSLASHAutocite] = ACTIONS(1480),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(1482),
    [anon_sym_BSLASHvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHVolcite] = ACTIONS(1480),
    [anon_sym_BSLASHpvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHPvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHfvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHftvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHsvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHSvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHtvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHTvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHavolcite] = ACTIONS(1480),
    [anon_sym_BSLASHAvolcite] = ACTIONS(1480),
    [anon_sym_BSLASHnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHNotecite] = ACTIONS(1480),
    [anon_sym_BSLASHpnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHPnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHfnotecite] = ACTIONS(1480),
    [anon_sym_BSLASHlabel] = ACTIONS(1484),
    [anon_sym_BSLASHref] = ACTIONS(1486),
    [anon_sym_BSLASHeqref] = ACTIONS(1486),
    [anon_sym_BSLASHvref] = ACTIONS(1486),
    [anon_sym_BSLASHVref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref] = ACTIONS(1486),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHpageref] = ACTIONS(1486),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHautopageref] = ACTIONS(1486),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcref] = ACTIONS(1486),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHCref] = ACTIONS(1486),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHCpageref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnameCref] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(1486),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(1486),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(1488),
    [anon_sym_BSLASHcrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHCrefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(1492),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(1490),
    [anon_sym_BSLASHnewlabel] = ACTIONS(1494),
    [anon_sym_BSLASHnewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(1496),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(1496),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(1496),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(1498),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(1500),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(1502),
    [anon_sym_BSLASHdef] = ACTIONS(1504),
    [anon_sym_BSLASHgdef] = ACTIONS(1504),
    [anon_sym_BSLASHedef] = ACTIONS(1504),
    [anon_sym_BSLASHxdef] = ACTIONS(1504),
    [anon_sym_BSLASHlet] = ACTIONS(1506),
    [anon_sym_BSLASHglet] = ACTIONS(1506),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(1508),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(1508),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(1510),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(1512),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(1514),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(1516),
    [anon_sym_BSLASHgls] = ACTIONS(1518),
    [anon_sym_BSLASHGls] = ACTIONS(1518),
    [anon_sym_BSLASHGLS] = ACTIONS(1518),
    [anon_sym_BSLASHglspl] = ACTIONS(1518),
    [anon_sym_BSLASHGlspl] = ACTIONS(1518),
    [anon_sym_BSLASHGLSpl] = ACTIONS(1518),
    [anon_sym_BSLASHglsdisp] = ACTIONS(1518),
    [anon_sym_BSLASHglslink] = ACTIONS(1518),
    [anon_sym_BSLASHglstext] = ACTIONS(1518),
    [anon_sym_BSLASHGlstext] = ACTIONS(1518),
    [anon_sym_BSLASHGLStext] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(1518),
    [anon_sym_BSLASHglsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(1518),
    [anon_sym_BSLASHglsname] = ACTIONS(1518),
    [anon_sym_BSLASHGlsname] = ACTIONS(1518),
    [anon_sym_BSLASHGLSname] = ACTIONS(1518),
    [anon_sym_BSLASHglssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(1518),
    [anon_sym_BSLASHglsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(1518),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(1518),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(1518),
    [anon_sym_BSLASHglsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(1518),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(1518),
    [anon_sym_BSLASHnewacronym] = ACTIONS(1520),
    [anon_sym_BSLASHacrshort] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshort] = ACTIONS(1522),
    [anon_sym_BSLASHACRshort] = ACTIONS(1522),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrlong] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlong] = ACTIONS(1522),
    [anon_sym_BSLASHACRlong] = ACTIONS(1522),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(1522),
    [anon_sym_BSLASHacrfull] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfull] = ACTIONS(1522),
    [anon_sym_BSLASHACRfull] = ACTIONS(1522),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHacs] = ACTIONS(1522),
    [anon_sym_BSLASHAcs] = ACTIONS(1522),
    [anon_sym_BSLASHacsp] = ACTIONS(1522),
    [anon_sym_BSLASHAcsp] = ACTIONS(1522),
    [anon_sym_BSLASHacl] = ACTIONS(1522),
    [anon_sym_BSLASHAcl] = ACTIONS(1522),
    [anon_sym_BSLASHaclp] = ACTIONS(1522),
    [anon_sym_BSLASHAclp] = ACTIONS(1522),
    [anon_sym_BSLASHacf] = ACTIONS(1522),
    [anon_sym_BSLASHAcf] = ACTIONS(1522),
    [anon_sym_BSLASHacfp] = ACTIONS(1522),
    [anon_sym_BSLASHAcfp] = ACTIONS(1522),
    [anon_sym_BSLASHac] = ACTIONS(1522),
    [anon_sym_BSLASHAc] = ACTIONS(1522),
    [anon_sym_BSLASHacp] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(1522),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(1522),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(1522),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(1524),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(1524),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(1526),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(1528),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(1530),
    [anon_sym_BSLASHcolor] = ACTIONS(1532),
    [anon_sym_BSLASHpagecolor] = ACTIONS(1532),
    [anon_sym_BSLASHtextcolor] = ACTIONS(1532),
    [anon_sym_BSLASHmathcolor] = ACTIONS(1532),
    [anon_sym_BSLASHcolorbox] = ACTIONS(1532),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(1534),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(1534),
    [anon_sym_BSLASHurl] = ACTIONS(1536),
    [anon_sym_BSLASHhref] = ACTIONS(1536),
  },
  [274] = {
    [sym_block_comment] = STATE(281),
    [sym__text_content] = STATE(281),
    [sym_curly_group] = STATE(281),
    [sym_text] = STATE(281),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(281),
    [sym_displayed_equation] = STATE(281),
    [sym_inline_formula] = STATE(281),
    [sym_math_delimiter] = STATE(281),
    [sym_text_mode] = STATE(281),
    [sym__command] = STATE(281),
    [sym_generic_command] = STATE(281),
    [sym_title_declaration] = STATE(281),
    [sym_author_declaration] = STATE(281),
    [sym_package_include] = STATE(281),
    [sym_class_include] = STATE(281),
    [sym_latex_include] = STATE(281),
    [sym_biblatex_include] = STATE(281),
    [sym_bibstyle_include] = STATE(281),
    [sym_bibtex_include] = STATE(281),
    [sym_graphics_include] = STATE(281),
    [sym_svg_include] = STATE(281),
    [sym_inkscape_include] = STATE(281),
    [sym_verbatim_include] = STATE(281),
    [sym_import_include] = STATE(281),
    [sym_caption] = STATE(281),
    [sym_citation] = STATE(281),
    [sym_label_definition] = STATE(281),
    [sym_label_reference] = STATE(281),
    [sym_label_reference_range] = STATE(281),
    [sym_label_number] = STATE(281),
    [sym_new_command_definition] = STATE(281),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(281),
    [sym_let_command_definition] = STATE(281),
    [sym_paired_delimiter_definition] = STATE(281),
    [sym_environment_definition] = STATE(281),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(281),
    [sym_glossary_entry_reference] = STATE(281),
    [sym_acronym_definition] = STATE(281),
    [sym_acronym_reference] = STATE(281),
    [sym_theorem_definition] = STATE(281),
    [sym_color_definition] = STATE(281),
    [sym_color_set_definition] = STATE(281),
    [sym_color_reference] = STATE(281),
    [sym_tikz_library_import] = STATE(281),
    [sym_hyperlink] = STATE(281),
    [aux_sym_curly_group_impl_repeat1] = STATE(281),
    [aux_sym_text_repeat1] = STATE(331),
    [sym_command_name] = ACTIONS(4812),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4814),
    [anon_sym_LBRACK] = ACTIONS(4816),
    [anon_sym_RBRACK] = ACTIONS(4816),
    [anon_sym_COMMA] = ACTIONS(4816),
    [anon_sym_EQ] = ACTIONS(4816),
    [anon_sym_LPAREN] = ACTIONS(4816),
    [anon_sym_RPAREN] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(4820),
    [sym_word] = ACTIONS(4822),
    [sym_placeholder] = ACTIONS(4824),
    [sym_delimiter] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_BANG] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4828),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym__] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4834),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4834),
    [anon_sym_DOLLAR] = ACTIONS(4836),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4838),
    [anon_sym_BSLASHleft] = ACTIONS(4840),
    [anon_sym_BSLASHbigl] = ACTIONS(4840),
    [anon_sym_BSLASHBigl] = ACTIONS(4840),
    [anon_sym_BSLASHbiggl] = ACTIONS(4840),
    [anon_sym_BSLASHBiggl] = ACTIONS(4840),
    [anon_sym_BSLASHtext] = ACTIONS(4842),
    [anon_sym_BSLASHintertext] = ACTIONS(4842),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4842),
    [anon_sym_BSLASHtitle] = ACTIONS(4844),
    [anon_sym_BSLASHauthor] = ACTIONS(4846),
    [anon_sym_BSLASHusepackage] = ACTIONS(4848),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4848),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4850),
    [anon_sym_BSLASHinclude] = ACTIONS(4852),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4852),
    [anon_sym_BSLASHinput] = ACTIONS(4852),
    [anon_sym_BSLASHsubfile] = ACTIONS(4852),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4856),
    [anon_sym_BSLASHbibliography] = ACTIONS(4858),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4860),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4862),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4866),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4866),
    [anon_sym_BSLASHimport] = ACTIONS(4868),
    [anon_sym_BSLASHsubimport] = ACTIONS(4868),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4868),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHcaption] = ACTIONS(4870),
    [anon_sym_BSLASHcite] = ACTIONS(4872),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCite] = ACTIONS(4872),
    [anon_sym_BSLASHnocite] = ACTIONS(4872),
    [anon_sym_BSLASHcitet] = ACTIONS(4872),
    [anon_sym_BSLASHcitep] = ACTIONS(4872),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteA] = ACTIONS(4872),
    [anon_sym_BSLASHciteR] = ACTIONS(4872),
    [anon_sym_BSLASHciteS] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4872),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteyear] = ACTIONS(4872),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitedate] = ACTIONS(4872),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteurl] = ACTIONS(4872),
    [anon_sym_BSLASHfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4872),
    [anon_sym_BSLASHcitealt] = ACTIONS(4872),
    [anon_sym_BSLASHcitealp] = ACTIONS(4872),
    [anon_sym_BSLASHcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHparencite] = ACTIONS(4872),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHParencite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHtextcite] = ACTIONS(4872),
    [anon_sym_BSLASHTextcite] = ACTIONS(4872),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHsupercite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite] = ACTIONS(4872),
    [anon_sym_BSLASHAutocite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHVolcite] = ACTIONS(4872),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHavolcite] = ACTIONS(4872),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHNotecite] = ACTIONS(4872),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHlabel] = ACTIONS(4876),
    [anon_sym_BSLASHref] = ACTIONS(4878),
    [anon_sym_BSLASHeqref] = ACTIONS(4878),
    [anon_sym_BSLASHvref] = ACTIONS(4878),
    [anon_sym_BSLASHVref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHpageref] = ACTIONS(4878),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHautopageref] = ACTIONS(4878),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcref] = ACTIONS(4878),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHCref] = ACTIONS(4878),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHCpageref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnameCref] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4886),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4888),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHdef] = ACTIONS(4896),
    [anon_sym_BSLASHgdef] = ACTIONS(4896),
    [anon_sym_BSLASHedef] = ACTIONS(4896),
    [anon_sym_BSLASHxdef] = ACTIONS(4896),
    [anon_sym_BSLASHlet] = ACTIONS(4898),
    [anon_sym_BSLASHglet] = ACTIONS(4898),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4900),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4900),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4908),
    [anon_sym_BSLASHgls] = ACTIONS(4910),
    [anon_sym_BSLASHGls] = ACTIONS(4910),
    [anon_sym_BSLASHGLS] = ACTIONS(4910),
    [anon_sym_BSLASHglspl] = ACTIONS(4910),
    [anon_sym_BSLASHGlspl] = ACTIONS(4910),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4910),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4910),
    [anon_sym_BSLASHglslink] = ACTIONS(4910),
    [anon_sym_BSLASHglstext] = ACTIONS(4910),
    [anon_sym_BSLASHGlstext] = ACTIONS(4910),
    [anon_sym_BSLASHGLStext] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4910),
    [anon_sym_BSLASHglsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsname] = ACTIONS(4910),
    [anon_sym_BSLASHGlsname] = ACTIONS(4910),
    [anon_sym_BSLASHGLSname] = ACTIONS(4910),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4910),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4912),
    [anon_sym_BSLASHacrshort] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4914),
    [anon_sym_BSLASHACRshort] = ACTIONS(4914),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrlong] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4914),
    [anon_sym_BSLASHACRlong] = ACTIONS(4914),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrfull] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4914),
    [anon_sym_BSLASHACRfull] = ACTIONS(4914),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHacs] = ACTIONS(4914),
    [anon_sym_BSLASHAcs] = ACTIONS(4914),
    [anon_sym_BSLASHacsp] = ACTIONS(4914),
    [anon_sym_BSLASHAcsp] = ACTIONS(4914),
    [anon_sym_BSLASHacl] = ACTIONS(4914),
    [anon_sym_BSLASHAcl] = ACTIONS(4914),
    [anon_sym_BSLASHaclp] = ACTIONS(4914),
    [anon_sym_BSLASHAclp] = ACTIONS(4914),
    [anon_sym_BSLASHacf] = ACTIONS(4914),
    [anon_sym_BSLASHAcf] = ACTIONS(4914),
    [anon_sym_BSLASHacfp] = ACTIONS(4914),
    [anon_sym_BSLASHAcfp] = ACTIONS(4914),
    [anon_sym_BSLASHac] = ACTIONS(4914),
    [anon_sym_BSLASHAc] = ACTIONS(4914),
    [anon_sym_BSLASHacp] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4916),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4916),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4920),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4922),
    [anon_sym_BSLASHcolor] = ACTIONS(4924),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4924),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4924),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4924),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4924),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4926),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4926),
    [anon_sym_BSLASHurl] = ACTIONS(4928),
    [anon_sym_BSLASHhref] = ACTIONS(4928),
  },
  [275] = {
    [sym_block_comment] = STATE(282),
    [sym__text_content] = STATE(282),
    [sym_curly_group] = STATE(282),
    [sym_text] = STATE(282),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(282),
    [sym_displayed_equation] = STATE(282),
    [sym_inline_formula] = STATE(282),
    [sym_math_delimiter] = STATE(282),
    [sym_text_mode] = STATE(282),
    [sym__command] = STATE(282),
    [sym_generic_command] = STATE(282),
    [sym_title_declaration] = STATE(282),
    [sym_author_declaration] = STATE(282),
    [sym_package_include] = STATE(282),
    [sym_class_include] = STATE(282),
    [sym_latex_include] = STATE(282),
    [sym_biblatex_include] = STATE(282),
    [sym_bibstyle_include] = STATE(282),
    [sym_bibtex_include] = STATE(282),
    [sym_graphics_include] = STATE(282),
    [sym_svg_include] = STATE(282),
    [sym_inkscape_include] = STATE(282),
    [sym_verbatim_include] = STATE(282),
    [sym_import_include] = STATE(282),
    [sym_caption] = STATE(282),
    [sym_citation] = STATE(282),
    [sym_label_definition] = STATE(282),
    [sym_label_reference] = STATE(282),
    [sym_label_reference_range] = STATE(282),
    [sym_label_number] = STATE(282),
    [sym_new_command_definition] = STATE(282),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(282),
    [sym_let_command_definition] = STATE(282),
    [sym_paired_delimiter_definition] = STATE(282),
    [sym_environment_definition] = STATE(282),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(282),
    [sym_glossary_entry_reference] = STATE(282),
    [sym_acronym_definition] = STATE(282),
    [sym_acronym_reference] = STATE(282),
    [sym_theorem_definition] = STATE(282),
    [sym_color_definition] = STATE(282),
    [sym_color_set_definition] = STATE(282),
    [sym_color_reference] = STATE(282),
    [sym_tikz_library_import] = STATE(282),
    [sym_hyperlink] = STATE(282),
    [aux_sym_curly_group_impl_repeat1] = STATE(282),
    [aux_sym_text_repeat1] = STATE(331),
    [sym_command_name] = ACTIONS(4812),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4814),
    [anon_sym_LBRACK] = ACTIONS(4930),
    [anon_sym_RBRACK] = ACTIONS(4930),
    [anon_sym_COMMA] = ACTIONS(4930),
    [anon_sym_EQ] = ACTIONS(4930),
    [anon_sym_LPAREN] = ACTIONS(4930),
    [anon_sym_RPAREN] = ACTIONS(4930),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(4932),
    [sym_word] = ACTIONS(4822),
    [sym_placeholder] = ACTIONS(4824),
    [sym_delimiter] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_BANG] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4828),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym__] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4834),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4834),
    [anon_sym_DOLLAR] = ACTIONS(4836),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4838),
    [anon_sym_BSLASHleft] = ACTIONS(4840),
    [anon_sym_BSLASHbigl] = ACTIONS(4840),
    [anon_sym_BSLASHBigl] = ACTIONS(4840),
    [anon_sym_BSLASHbiggl] = ACTIONS(4840),
    [anon_sym_BSLASHBiggl] = ACTIONS(4840),
    [anon_sym_BSLASHtext] = ACTIONS(4842),
    [anon_sym_BSLASHintertext] = ACTIONS(4842),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4842),
    [anon_sym_BSLASHtitle] = ACTIONS(4844),
    [anon_sym_BSLASHauthor] = ACTIONS(4846),
    [anon_sym_BSLASHusepackage] = ACTIONS(4848),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4848),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4850),
    [anon_sym_BSLASHinclude] = ACTIONS(4852),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4852),
    [anon_sym_BSLASHinput] = ACTIONS(4852),
    [anon_sym_BSLASHsubfile] = ACTIONS(4852),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4856),
    [anon_sym_BSLASHbibliography] = ACTIONS(4858),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4860),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4862),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4866),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4866),
    [anon_sym_BSLASHimport] = ACTIONS(4868),
    [anon_sym_BSLASHsubimport] = ACTIONS(4868),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4868),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHcaption] = ACTIONS(4870),
    [anon_sym_BSLASHcite] = ACTIONS(4872),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCite] = ACTIONS(4872),
    [anon_sym_BSLASHnocite] = ACTIONS(4872),
    [anon_sym_BSLASHcitet] = ACTIONS(4872),
    [anon_sym_BSLASHcitep] = ACTIONS(4872),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteA] = ACTIONS(4872),
    [anon_sym_BSLASHciteR] = ACTIONS(4872),
    [anon_sym_BSLASHciteS] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4872),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteyear] = ACTIONS(4872),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitedate] = ACTIONS(4872),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteurl] = ACTIONS(4872),
    [anon_sym_BSLASHfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4872),
    [anon_sym_BSLASHcitealt] = ACTIONS(4872),
    [anon_sym_BSLASHcitealp] = ACTIONS(4872),
    [anon_sym_BSLASHcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHparencite] = ACTIONS(4872),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHParencite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHtextcite] = ACTIONS(4872),
    [anon_sym_BSLASHTextcite] = ACTIONS(4872),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHsupercite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite] = ACTIONS(4872),
    [anon_sym_BSLASHAutocite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHVolcite] = ACTIONS(4872),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHavolcite] = ACTIONS(4872),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHNotecite] = ACTIONS(4872),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHlabel] = ACTIONS(4876),
    [anon_sym_BSLASHref] = ACTIONS(4878),
    [anon_sym_BSLASHeqref] = ACTIONS(4878),
    [anon_sym_BSLASHvref] = ACTIONS(4878),
    [anon_sym_BSLASHVref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHpageref] = ACTIONS(4878),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHautopageref] = ACTIONS(4878),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcref] = ACTIONS(4878),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHCref] = ACTIONS(4878),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHCpageref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnameCref] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4886),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4888),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHdef] = ACTIONS(4896),
    [anon_sym_BSLASHgdef] = ACTIONS(4896),
    [anon_sym_BSLASHedef] = ACTIONS(4896),
    [anon_sym_BSLASHxdef] = ACTIONS(4896),
    [anon_sym_BSLASHlet] = ACTIONS(4898),
    [anon_sym_BSLASHglet] = ACTIONS(4898),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4900),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4900),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4908),
    [anon_sym_BSLASHgls] = ACTIONS(4910),
    [anon_sym_BSLASHGls] = ACTIONS(4910),
    [anon_sym_BSLASHGLS] = ACTIONS(4910),
    [anon_sym_BSLASHglspl] = ACTIONS(4910),
    [anon_sym_BSLASHGlspl] = ACTIONS(4910),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4910),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4910),
    [anon_sym_BSLASHglslink] = ACTIONS(4910),
    [anon_sym_BSLASHglstext] = ACTIONS(4910),
    [anon_sym_BSLASHGlstext] = ACTIONS(4910),
    [anon_sym_BSLASHGLStext] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4910),
    [anon_sym_BSLASHglsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsname] = ACTIONS(4910),
    [anon_sym_BSLASHGlsname] = ACTIONS(4910),
    [anon_sym_BSLASHGLSname] = ACTIONS(4910),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4910),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4912),
    [anon_sym_BSLASHacrshort] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4914),
    [anon_sym_BSLASHACRshort] = ACTIONS(4914),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrlong] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4914),
    [anon_sym_BSLASHACRlong] = ACTIONS(4914),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrfull] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4914),
    [anon_sym_BSLASHACRfull] = ACTIONS(4914),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHacs] = ACTIONS(4914),
    [anon_sym_BSLASHAcs] = ACTIONS(4914),
    [anon_sym_BSLASHacsp] = ACTIONS(4914),
    [anon_sym_BSLASHAcsp] = ACTIONS(4914),
    [anon_sym_BSLASHacl] = ACTIONS(4914),
    [anon_sym_BSLASHAcl] = ACTIONS(4914),
    [anon_sym_BSLASHaclp] = ACTIONS(4914),
    [anon_sym_BSLASHAclp] = ACTIONS(4914),
    [anon_sym_BSLASHacf] = ACTIONS(4914),
    [anon_sym_BSLASHAcf] = ACTIONS(4914),
    [anon_sym_BSLASHacfp] = ACTIONS(4914),
    [anon_sym_BSLASHAcfp] = ACTIONS(4914),
    [anon_sym_BSLASHac] = ACTIONS(4914),
    [anon_sym_BSLASHAc] = ACTIONS(4914),
    [anon_sym_BSLASHacp] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4916),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4916),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4920),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4922),
    [anon_sym_BSLASHcolor] = ACTIONS(4924),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4924),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4924),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4924),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4924),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4926),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4926),
    [anon_sym_BSLASHurl] = ACTIONS(4928),
    [anon_sym_BSLASHhref] = ACTIONS(4928),
  },
  [276] = {
    [sym_block_comment] = STATE(281),
    [sym__text_content] = STATE(281),
    [sym_curly_group] = STATE(281),
    [sym_text] = STATE(281),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(281),
    [sym_displayed_equation] = STATE(281),
    [sym_inline_formula] = STATE(281),
    [sym_math_delimiter] = STATE(281),
    [sym_text_mode] = STATE(281),
    [sym__command] = STATE(281),
    [sym_generic_command] = STATE(281),
    [sym_title_declaration] = STATE(281),
    [sym_author_declaration] = STATE(281),
    [sym_package_include] = STATE(281),
    [sym_class_include] = STATE(281),
    [sym_latex_include] = STATE(281),
    [sym_biblatex_include] = STATE(281),
    [sym_bibstyle_include] = STATE(281),
    [sym_bibtex_include] = STATE(281),
    [sym_graphics_include] = STATE(281),
    [sym_svg_include] = STATE(281),
    [sym_inkscape_include] = STATE(281),
    [sym_verbatim_include] = STATE(281),
    [sym_import_include] = STATE(281),
    [sym_caption] = STATE(281),
    [sym_citation] = STATE(281),
    [sym_label_definition] = STATE(281),
    [sym_label_reference] = STATE(281),
    [sym_label_reference_range] = STATE(281),
    [sym_label_number] = STATE(281),
    [sym_new_command_definition] = STATE(281),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(281),
    [sym_let_command_definition] = STATE(281),
    [sym_paired_delimiter_definition] = STATE(281),
    [sym_environment_definition] = STATE(281),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(281),
    [sym_glossary_entry_reference] = STATE(281),
    [sym_acronym_definition] = STATE(281),
    [sym_acronym_reference] = STATE(281),
    [sym_theorem_definition] = STATE(281),
    [sym_color_definition] = STATE(281),
    [sym_color_set_definition] = STATE(281),
    [sym_color_reference] = STATE(281),
    [sym_tikz_library_import] = STATE(281),
    [sym_hyperlink] = STATE(281),
    [aux_sym_curly_group_impl_repeat1] = STATE(281),
    [aux_sym_text_repeat1] = STATE(331),
    [sym_command_name] = ACTIONS(4812),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4814),
    [anon_sym_LBRACK] = ACTIONS(4816),
    [anon_sym_RBRACK] = ACTIONS(4816),
    [anon_sym_COMMA] = ACTIONS(4816),
    [anon_sym_EQ] = ACTIONS(4816),
    [anon_sym_LPAREN] = ACTIONS(4816),
    [anon_sym_RPAREN] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(4934),
    [sym_word] = ACTIONS(4822),
    [sym_placeholder] = ACTIONS(4824),
    [sym_delimiter] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_BANG] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4828),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym__] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4834),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4834),
    [anon_sym_DOLLAR] = ACTIONS(4836),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4838),
    [anon_sym_BSLASHleft] = ACTIONS(4840),
    [anon_sym_BSLASHbigl] = ACTIONS(4840),
    [anon_sym_BSLASHBigl] = ACTIONS(4840),
    [anon_sym_BSLASHbiggl] = ACTIONS(4840),
    [anon_sym_BSLASHBiggl] = ACTIONS(4840),
    [anon_sym_BSLASHtext] = ACTIONS(4842),
    [anon_sym_BSLASHintertext] = ACTIONS(4842),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4842),
    [anon_sym_BSLASHtitle] = ACTIONS(4844),
    [anon_sym_BSLASHauthor] = ACTIONS(4846),
    [anon_sym_BSLASHusepackage] = ACTIONS(4848),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4848),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4850),
    [anon_sym_BSLASHinclude] = ACTIONS(4852),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4852),
    [anon_sym_BSLASHinput] = ACTIONS(4852),
    [anon_sym_BSLASHsubfile] = ACTIONS(4852),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4856),
    [anon_sym_BSLASHbibliography] = ACTIONS(4858),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4860),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4862),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4866),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4866),
    [anon_sym_BSLASHimport] = ACTIONS(4868),
    [anon_sym_BSLASHsubimport] = ACTIONS(4868),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4868),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHcaption] = ACTIONS(4870),
    [anon_sym_BSLASHcite] = ACTIONS(4872),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCite] = ACTIONS(4872),
    [anon_sym_BSLASHnocite] = ACTIONS(4872),
    [anon_sym_BSLASHcitet] = ACTIONS(4872),
    [anon_sym_BSLASHcitep] = ACTIONS(4872),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteA] = ACTIONS(4872),
    [anon_sym_BSLASHciteR] = ACTIONS(4872),
    [anon_sym_BSLASHciteS] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4872),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteyear] = ACTIONS(4872),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitedate] = ACTIONS(4872),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteurl] = ACTIONS(4872),
    [anon_sym_BSLASHfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4872),
    [anon_sym_BSLASHcitealt] = ACTIONS(4872),
    [anon_sym_BSLASHcitealp] = ACTIONS(4872),
    [anon_sym_BSLASHcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHparencite] = ACTIONS(4872),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHParencite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHtextcite] = ACTIONS(4872),
    [anon_sym_BSLASHTextcite] = ACTIONS(4872),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHsupercite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite] = ACTIONS(4872),
    [anon_sym_BSLASHAutocite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHVolcite] = ACTIONS(4872),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHavolcite] = ACTIONS(4872),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHNotecite] = ACTIONS(4872),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHlabel] = ACTIONS(4876),
    [anon_sym_BSLASHref] = ACTIONS(4878),
    [anon_sym_BSLASHeqref] = ACTIONS(4878),
    [anon_sym_BSLASHvref] = ACTIONS(4878),
    [anon_sym_BSLASHVref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHpageref] = ACTIONS(4878),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHautopageref] = ACTIONS(4878),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcref] = ACTIONS(4878),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHCref] = ACTIONS(4878),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHCpageref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnameCref] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4886),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4888),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHdef] = ACTIONS(4896),
    [anon_sym_BSLASHgdef] = ACTIONS(4896),
    [anon_sym_BSLASHedef] = ACTIONS(4896),
    [anon_sym_BSLASHxdef] = ACTIONS(4896),
    [anon_sym_BSLASHlet] = ACTIONS(4898),
    [anon_sym_BSLASHglet] = ACTIONS(4898),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4900),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4900),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4908),
    [anon_sym_BSLASHgls] = ACTIONS(4910),
    [anon_sym_BSLASHGls] = ACTIONS(4910),
    [anon_sym_BSLASHGLS] = ACTIONS(4910),
    [anon_sym_BSLASHglspl] = ACTIONS(4910),
    [anon_sym_BSLASHGlspl] = ACTIONS(4910),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4910),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4910),
    [anon_sym_BSLASHglslink] = ACTIONS(4910),
    [anon_sym_BSLASHglstext] = ACTIONS(4910),
    [anon_sym_BSLASHGlstext] = ACTIONS(4910),
    [anon_sym_BSLASHGLStext] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4910),
    [anon_sym_BSLASHglsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsname] = ACTIONS(4910),
    [anon_sym_BSLASHGlsname] = ACTIONS(4910),
    [anon_sym_BSLASHGLSname] = ACTIONS(4910),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4910),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4912),
    [anon_sym_BSLASHacrshort] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4914),
    [anon_sym_BSLASHACRshort] = ACTIONS(4914),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrlong] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4914),
    [anon_sym_BSLASHACRlong] = ACTIONS(4914),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrfull] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4914),
    [anon_sym_BSLASHACRfull] = ACTIONS(4914),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHacs] = ACTIONS(4914),
    [anon_sym_BSLASHAcs] = ACTIONS(4914),
    [anon_sym_BSLASHacsp] = ACTIONS(4914),
    [anon_sym_BSLASHAcsp] = ACTIONS(4914),
    [anon_sym_BSLASHacl] = ACTIONS(4914),
    [anon_sym_BSLASHAcl] = ACTIONS(4914),
    [anon_sym_BSLASHaclp] = ACTIONS(4914),
    [anon_sym_BSLASHAclp] = ACTIONS(4914),
    [anon_sym_BSLASHacf] = ACTIONS(4914),
    [anon_sym_BSLASHAcf] = ACTIONS(4914),
    [anon_sym_BSLASHacfp] = ACTIONS(4914),
    [anon_sym_BSLASHAcfp] = ACTIONS(4914),
    [anon_sym_BSLASHac] = ACTIONS(4914),
    [anon_sym_BSLASHAc] = ACTIONS(4914),
    [anon_sym_BSLASHacp] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4916),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4916),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4920),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4922),
    [anon_sym_BSLASHcolor] = ACTIONS(4924),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4924),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4924),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4924),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4924),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4926),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4926),
    [anon_sym_BSLASHurl] = ACTIONS(4928),
    [anon_sym_BSLASHhref] = ACTIONS(4928),
  },
  [277] = {
    [sym_block_comment] = STATE(287),
    [sym__text_content] = STATE(287),
    [sym_curly_group] = STATE(287),
    [sym_text] = STATE(287),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(287),
    [sym_displayed_equation] = STATE(287),
    [sym_inline_formula] = STATE(287),
    [sym_math_delimiter] = STATE(287),
    [sym_text_mode] = STATE(287),
    [sym__command] = STATE(287),
    [sym_generic_command] = STATE(287),
    [sym_title_declaration] = STATE(287),
    [sym_author_declaration] = STATE(287),
    [sym_package_include] = STATE(287),
    [sym_class_include] = STATE(287),
    [sym_latex_include] = STATE(287),
    [sym_biblatex_include] = STATE(287),
    [sym_bibstyle_include] = STATE(287),
    [sym_bibtex_include] = STATE(287),
    [sym_graphics_include] = STATE(287),
    [sym_svg_include] = STATE(287),
    [sym_inkscape_include] = STATE(287),
    [sym_verbatim_include] = STATE(287),
    [sym_import_include] = STATE(287),
    [sym_caption] = STATE(287),
    [sym_citation] = STATE(287),
    [sym_label_definition] = STATE(287),
    [sym_label_reference] = STATE(287),
    [sym_label_reference_range] = STATE(287),
    [sym_label_number] = STATE(287),
    [sym_new_command_definition] = STATE(287),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(287),
    [sym_let_command_definition] = STATE(287),
    [sym_paired_delimiter_definition] = STATE(287),
    [sym_environment_definition] = STATE(287),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(287),
    [sym_glossary_entry_reference] = STATE(287),
    [sym_acronym_definition] = STATE(287),
    [sym_acronym_reference] = STATE(287),
    [sym_theorem_definition] = STATE(287),
    [sym_color_definition] = STATE(287),
    [sym_color_set_definition] = STATE(287),
    [sym_color_reference] = STATE(287),
    [sym_tikz_library_import] = STATE(287),
    [sym_hyperlink] = STATE(287),
    [aux_sym_curly_group_impl_repeat1] = STATE(287),
    [aux_sym_text_repeat1] = STATE(331),
    [sym_command_name] = ACTIONS(4812),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4814),
    [anon_sym_LBRACK] = ACTIONS(4936),
    [anon_sym_RBRACK] = ACTIONS(4936),
    [anon_sym_COMMA] = ACTIONS(4936),
    [anon_sym_EQ] = ACTIONS(4936),
    [anon_sym_LPAREN] = ACTIONS(4936),
    [anon_sym_RPAREN] = ACTIONS(4936),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(4938),
    [sym_word] = ACTIONS(4822),
    [sym_placeholder] = ACTIONS(4824),
    [sym_delimiter] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_BANG] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4828),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym__] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4834),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4834),
    [anon_sym_DOLLAR] = ACTIONS(4836),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4838),
    [anon_sym_BSLASHleft] = ACTIONS(4840),
    [anon_sym_BSLASHbigl] = ACTIONS(4840),
    [anon_sym_BSLASHBigl] = ACTIONS(4840),
    [anon_sym_BSLASHbiggl] = ACTIONS(4840),
    [anon_sym_BSLASHBiggl] = ACTIONS(4840),
    [anon_sym_BSLASHtext] = ACTIONS(4842),
    [anon_sym_BSLASHintertext] = ACTIONS(4842),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4842),
    [anon_sym_BSLASHtitle] = ACTIONS(4844),
    [anon_sym_BSLASHauthor] = ACTIONS(4846),
    [anon_sym_BSLASHusepackage] = ACTIONS(4848),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4848),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4850),
    [anon_sym_BSLASHinclude] = ACTIONS(4852),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4852),
    [anon_sym_BSLASHinput] = ACTIONS(4852),
    [anon_sym_BSLASHsubfile] = ACTIONS(4852),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4856),
    [anon_sym_BSLASHbibliography] = ACTIONS(4858),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4860),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4862),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4866),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4866),
    [anon_sym_BSLASHimport] = ACTIONS(4868),
    [anon_sym_BSLASHsubimport] = ACTIONS(4868),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4868),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHcaption] = ACTIONS(4870),
    [anon_sym_BSLASHcite] = ACTIONS(4872),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCite] = ACTIONS(4872),
    [anon_sym_BSLASHnocite] = ACTIONS(4872),
    [anon_sym_BSLASHcitet] = ACTIONS(4872),
    [anon_sym_BSLASHcitep] = ACTIONS(4872),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteA] = ACTIONS(4872),
    [anon_sym_BSLASHciteR] = ACTIONS(4872),
    [anon_sym_BSLASHciteS] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4872),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteyear] = ACTIONS(4872),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitedate] = ACTIONS(4872),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteurl] = ACTIONS(4872),
    [anon_sym_BSLASHfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4872),
    [anon_sym_BSLASHcitealt] = ACTIONS(4872),
    [anon_sym_BSLASHcitealp] = ACTIONS(4872),
    [anon_sym_BSLASHcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHparencite] = ACTIONS(4872),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHParencite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHtextcite] = ACTIONS(4872),
    [anon_sym_BSLASHTextcite] = ACTIONS(4872),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHsupercite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite] = ACTIONS(4872),
    [anon_sym_BSLASHAutocite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHVolcite] = ACTIONS(4872),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHavolcite] = ACTIONS(4872),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHNotecite] = ACTIONS(4872),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHlabel] = ACTIONS(4876),
    [anon_sym_BSLASHref] = ACTIONS(4878),
    [anon_sym_BSLASHeqref] = ACTIONS(4878),
    [anon_sym_BSLASHvref] = ACTIONS(4878),
    [anon_sym_BSLASHVref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHpageref] = ACTIONS(4878),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHautopageref] = ACTIONS(4878),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcref] = ACTIONS(4878),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHCref] = ACTIONS(4878),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHCpageref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnameCref] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4886),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4888),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHdef] = ACTIONS(4896),
    [anon_sym_BSLASHgdef] = ACTIONS(4896),
    [anon_sym_BSLASHedef] = ACTIONS(4896),
    [anon_sym_BSLASHxdef] = ACTIONS(4896),
    [anon_sym_BSLASHlet] = ACTIONS(4898),
    [anon_sym_BSLASHglet] = ACTIONS(4898),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4900),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4900),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4908),
    [anon_sym_BSLASHgls] = ACTIONS(4910),
    [anon_sym_BSLASHGls] = ACTIONS(4910),
    [anon_sym_BSLASHGLS] = ACTIONS(4910),
    [anon_sym_BSLASHglspl] = ACTIONS(4910),
    [anon_sym_BSLASHGlspl] = ACTIONS(4910),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4910),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4910),
    [anon_sym_BSLASHglslink] = ACTIONS(4910),
    [anon_sym_BSLASHglstext] = ACTIONS(4910),
    [anon_sym_BSLASHGlstext] = ACTIONS(4910),
    [anon_sym_BSLASHGLStext] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4910),
    [anon_sym_BSLASHglsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsname] = ACTIONS(4910),
    [anon_sym_BSLASHGlsname] = ACTIONS(4910),
    [anon_sym_BSLASHGLSname] = ACTIONS(4910),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4910),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4912),
    [anon_sym_BSLASHacrshort] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4914),
    [anon_sym_BSLASHACRshort] = ACTIONS(4914),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrlong] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4914),
    [anon_sym_BSLASHACRlong] = ACTIONS(4914),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrfull] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4914),
    [anon_sym_BSLASHACRfull] = ACTIONS(4914),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHacs] = ACTIONS(4914),
    [anon_sym_BSLASHAcs] = ACTIONS(4914),
    [anon_sym_BSLASHacsp] = ACTIONS(4914),
    [anon_sym_BSLASHAcsp] = ACTIONS(4914),
    [anon_sym_BSLASHacl] = ACTIONS(4914),
    [anon_sym_BSLASHAcl] = ACTIONS(4914),
    [anon_sym_BSLASHaclp] = ACTIONS(4914),
    [anon_sym_BSLASHAclp] = ACTIONS(4914),
    [anon_sym_BSLASHacf] = ACTIONS(4914),
    [anon_sym_BSLASHAcf] = ACTIONS(4914),
    [anon_sym_BSLASHacfp] = ACTIONS(4914),
    [anon_sym_BSLASHAcfp] = ACTIONS(4914),
    [anon_sym_BSLASHac] = ACTIONS(4914),
    [anon_sym_BSLASHAc] = ACTIONS(4914),
    [anon_sym_BSLASHacp] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4916),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4916),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4920),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4922),
    [anon_sym_BSLASHcolor] = ACTIONS(4924),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4924),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4924),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4924),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4924),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4926),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4926),
    [anon_sym_BSLASHurl] = ACTIONS(4928),
    [anon_sym_BSLASHhref] = ACTIONS(4928),
  },
  [278] = {
    [sym_block_comment] = STATE(283),
    [sym__text_content] = STATE(283),
    [sym_curly_group] = STATE(283),
    [sym_text] = STATE(283),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(283),
    [sym_displayed_equation] = STATE(283),
    [sym_inline_formula] = STATE(283),
    [sym_math_delimiter] = STATE(283),
    [sym_text_mode] = STATE(283),
    [sym__command] = STATE(283),
    [sym_generic_command] = STATE(283),
    [sym_title_declaration] = STATE(283),
    [sym_author_declaration] = STATE(283),
    [sym_package_include] = STATE(283),
    [sym_class_include] = STATE(283),
    [sym_latex_include] = STATE(283),
    [sym_biblatex_include] = STATE(283),
    [sym_bibstyle_include] = STATE(283),
    [sym_bibtex_include] = STATE(283),
    [sym_graphics_include] = STATE(283),
    [sym_svg_include] = STATE(283),
    [sym_inkscape_include] = STATE(283),
    [sym_verbatim_include] = STATE(283),
    [sym_import_include] = STATE(283),
    [sym_caption] = STATE(283),
    [sym_citation] = STATE(283),
    [sym_label_definition] = STATE(283),
    [sym_label_reference] = STATE(283),
    [sym_label_reference_range] = STATE(283),
    [sym_label_number] = STATE(283),
    [sym_new_command_definition] = STATE(283),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(283),
    [sym_let_command_definition] = STATE(283),
    [sym_paired_delimiter_definition] = STATE(283),
    [sym_environment_definition] = STATE(283),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(283),
    [sym_glossary_entry_reference] = STATE(283),
    [sym_acronym_definition] = STATE(283),
    [sym_acronym_reference] = STATE(283),
    [sym_theorem_definition] = STATE(283),
    [sym_color_definition] = STATE(283),
    [sym_color_set_definition] = STATE(283),
    [sym_color_reference] = STATE(283),
    [sym_tikz_library_import] = STATE(283),
    [sym_hyperlink] = STATE(283),
    [aux_sym_curly_group_impl_repeat1] = STATE(283),
    [aux_sym_text_repeat1] = STATE(331),
    [sym_command_name] = ACTIONS(4812),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4814),
    [anon_sym_LBRACK] = ACTIONS(4940),
    [anon_sym_RBRACK] = ACTIONS(4940),
    [anon_sym_COMMA] = ACTIONS(4940),
    [anon_sym_EQ] = ACTIONS(4940),
    [anon_sym_LPAREN] = ACTIONS(4940),
    [anon_sym_RPAREN] = ACTIONS(4940),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(4942),
    [sym_word] = ACTIONS(4822),
    [sym_placeholder] = ACTIONS(4824),
    [sym_delimiter] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_BANG] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4828),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym__] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4834),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4834),
    [anon_sym_DOLLAR] = ACTIONS(4836),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4838),
    [anon_sym_BSLASHleft] = ACTIONS(4840),
    [anon_sym_BSLASHbigl] = ACTIONS(4840),
    [anon_sym_BSLASHBigl] = ACTIONS(4840),
    [anon_sym_BSLASHbiggl] = ACTIONS(4840),
    [anon_sym_BSLASHBiggl] = ACTIONS(4840),
    [anon_sym_BSLASHtext] = ACTIONS(4842),
    [anon_sym_BSLASHintertext] = ACTIONS(4842),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4842),
    [anon_sym_BSLASHtitle] = ACTIONS(4844),
    [anon_sym_BSLASHauthor] = ACTIONS(4846),
    [anon_sym_BSLASHusepackage] = ACTIONS(4848),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4848),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4850),
    [anon_sym_BSLASHinclude] = ACTIONS(4852),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4852),
    [anon_sym_BSLASHinput] = ACTIONS(4852),
    [anon_sym_BSLASHsubfile] = ACTIONS(4852),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4856),
    [anon_sym_BSLASHbibliography] = ACTIONS(4858),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4860),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4862),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4866),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4866),
    [anon_sym_BSLASHimport] = ACTIONS(4868),
    [anon_sym_BSLASHsubimport] = ACTIONS(4868),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4868),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHcaption] = ACTIONS(4870),
    [anon_sym_BSLASHcite] = ACTIONS(4872),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCite] = ACTIONS(4872),
    [anon_sym_BSLASHnocite] = ACTIONS(4872),
    [anon_sym_BSLASHcitet] = ACTIONS(4872),
    [anon_sym_BSLASHcitep] = ACTIONS(4872),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteA] = ACTIONS(4872),
    [anon_sym_BSLASHciteR] = ACTIONS(4872),
    [anon_sym_BSLASHciteS] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4872),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteyear] = ACTIONS(4872),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitedate] = ACTIONS(4872),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteurl] = ACTIONS(4872),
    [anon_sym_BSLASHfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4872),
    [anon_sym_BSLASHcitealt] = ACTIONS(4872),
    [anon_sym_BSLASHcitealp] = ACTIONS(4872),
    [anon_sym_BSLASHcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHparencite] = ACTIONS(4872),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHParencite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHtextcite] = ACTIONS(4872),
    [anon_sym_BSLASHTextcite] = ACTIONS(4872),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHsupercite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite] = ACTIONS(4872),
    [anon_sym_BSLASHAutocite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHVolcite] = ACTIONS(4872),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHavolcite] = ACTIONS(4872),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHNotecite] = ACTIONS(4872),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHlabel] = ACTIONS(4876),
    [anon_sym_BSLASHref] = ACTIONS(4878),
    [anon_sym_BSLASHeqref] = ACTIONS(4878),
    [anon_sym_BSLASHvref] = ACTIONS(4878),
    [anon_sym_BSLASHVref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHpageref] = ACTIONS(4878),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHautopageref] = ACTIONS(4878),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcref] = ACTIONS(4878),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHCref] = ACTIONS(4878),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHCpageref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnameCref] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4886),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4888),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHdef] = ACTIONS(4896),
    [anon_sym_BSLASHgdef] = ACTIONS(4896),
    [anon_sym_BSLASHedef] = ACTIONS(4896),
    [anon_sym_BSLASHxdef] = ACTIONS(4896),
    [anon_sym_BSLASHlet] = ACTIONS(4898),
    [anon_sym_BSLASHglet] = ACTIONS(4898),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4900),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4900),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4908),
    [anon_sym_BSLASHgls] = ACTIONS(4910),
    [anon_sym_BSLASHGls] = ACTIONS(4910),
    [anon_sym_BSLASHGLS] = ACTIONS(4910),
    [anon_sym_BSLASHglspl] = ACTIONS(4910),
    [anon_sym_BSLASHGlspl] = ACTIONS(4910),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4910),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4910),
    [anon_sym_BSLASHglslink] = ACTIONS(4910),
    [anon_sym_BSLASHglstext] = ACTIONS(4910),
    [anon_sym_BSLASHGlstext] = ACTIONS(4910),
    [anon_sym_BSLASHGLStext] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4910),
    [anon_sym_BSLASHglsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsname] = ACTIONS(4910),
    [anon_sym_BSLASHGlsname] = ACTIONS(4910),
    [anon_sym_BSLASHGLSname] = ACTIONS(4910),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4910),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4912),
    [anon_sym_BSLASHacrshort] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4914),
    [anon_sym_BSLASHACRshort] = ACTIONS(4914),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrlong] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4914),
    [anon_sym_BSLASHACRlong] = ACTIONS(4914),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrfull] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4914),
    [anon_sym_BSLASHACRfull] = ACTIONS(4914),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHacs] = ACTIONS(4914),
    [anon_sym_BSLASHAcs] = ACTIONS(4914),
    [anon_sym_BSLASHacsp] = ACTIONS(4914),
    [anon_sym_BSLASHAcsp] = ACTIONS(4914),
    [anon_sym_BSLASHacl] = ACTIONS(4914),
    [anon_sym_BSLASHAcl] = ACTIONS(4914),
    [anon_sym_BSLASHaclp] = ACTIONS(4914),
    [anon_sym_BSLASHAclp] = ACTIONS(4914),
    [anon_sym_BSLASHacf] = ACTIONS(4914),
    [anon_sym_BSLASHAcf] = ACTIONS(4914),
    [anon_sym_BSLASHacfp] = ACTIONS(4914),
    [anon_sym_BSLASHAcfp] = ACTIONS(4914),
    [anon_sym_BSLASHac] = ACTIONS(4914),
    [anon_sym_BSLASHAc] = ACTIONS(4914),
    [anon_sym_BSLASHacp] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4916),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4916),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4920),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4922),
    [anon_sym_BSLASHcolor] = ACTIONS(4924),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4924),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4924),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4924),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4924),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4926),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4926),
    [anon_sym_BSLASHurl] = ACTIONS(4928),
    [anon_sym_BSLASHhref] = ACTIONS(4928),
  },
  [279] = {
    [sym_block_comment] = STATE(280),
    [sym__text_content] = STATE(280),
    [sym_curly_group] = STATE(280),
    [sym_text] = STATE(280),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(280),
    [sym_displayed_equation] = STATE(280),
    [sym_inline_formula] = STATE(280),
    [sym_math_delimiter] = STATE(280),
    [sym_text_mode] = STATE(280),
    [sym__command] = STATE(280),
    [sym_generic_command] = STATE(280),
    [sym_title_declaration] = STATE(280),
    [sym_author_declaration] = STATE(280),
    [sym_package_include] = STATE(280),
    [sym_class_include] = STATE(280),
    [sym_latex_include] = STATE(280),
    [sym_biblatex_include] = STATE(280),
    [sym_bibstyle_include] = STATE(280),
    [sym_bibtex_include] = STATE(280),
    [sym_graphics_include] = STATE(280),
    [sym_svg_include] = STATE(280),
    [sym_inkscape_include] = STATE(280),
    [sym_verbatim_include] = STATE(280),
    [sym_import_include] = STATE(280),
    [sym_caption] = STATE(280),
    [sym_citation] = STATE(280),
    [sym_label_definition] = STATE(280),
    [sym_label_reference] = STATE(280),
    [sym_label_reference_range] = STATE(280),
    [sym_label_number] = STATE(280),
    [sym_new_command_definition] = STATE(280),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(280),
    [sym_let_command_definition] = STATE(280),
    [sym_paired_delimiter_definition] = STATE(280),
    [sym_environment_definition] = STATE(280),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(280),
    [sym_glossary_entry_reference] = STATE(280),
    [sym_acronym_definition] = STATE(280),
    [sym_acronym_reference] = STATE(280),
    [sym_theorem_definition] = STATE(280),
    [sym_color_definition] = STATE(280),
    [sym_color_set_definition] = STATE(280),
    [sym_color_reference] = STATE(280),
    [sym_tikz_library_import] = STATE(280),
    [sym_hyperlink] = STATE(280),
    [aux_sym_curly_group_impl_repeat1] = STATE(280),
    [aux_sym_text_repeat1] = STATE(331),
    [sym_command_name] = ACTIONS(4812),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4814),
    [anon_sym_LBRACK] = ACTIONS(4944),
    [anon_sym_RBRACK] = ACTIONS(4944),
    [anon_sym_COMMA] = ACTIONS(4944),
    [anon_sym_EQ] = ACTIONS(4944),
    [anon_sym_LPAREN] = ACTIONS(4944),
    [anon_sym_RPAREN] = ACTIONS(4944),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(4946),
    [sym_word] = ACTIONS(4822),
    [sym_placeholder] = ACTIONS(4824),
    [sym_delimiter] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_BANG] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4828),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym__] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4834),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4834),
    [anon_sym_DOLLAR] = ACTIONS(4836),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4838),
    [anon_sym_BSLASHleft] = ACTIONS(4840),
    [anon_sym_BSLASHbigl] = ACTIONS(4840),
    [anon_sym_BSLASHBigl] = ACTIONS(4840),
    [anon_sym_BSLASHbiggl] = ACTIONS(4840),
    [anon_sym_BSLASHBiggl] = ACTIONS(4840),
    [anon_sym_BSLASHtext] = ACTIONS(4842),
    [anon_sym_BSLASHintertext] = ACTIONS(4842),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4842),
    [anon_sym_BSLASHtitle] = ACTIONS(4844),
    [anon_sym_BSLASHauthor] = ACTIONS(4846),
    [anon_sym_BSLASHusepackage] = ACTIONS(4848),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4848),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4850),
    [anon_sym_BSLASHinclude] = ACTIONS(4852),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4852),
    [anon_sym_BSLASHinput] = ACTIONS(4852),
    [anon_sym_BSLASHsubfile] = ACTIONS(4852),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4856),
    [anon_sym_BSLASHbibliography] = ACTIONS(4858),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4860),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4862),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4866),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4866),
    [anon_sym_BSLASHimport] = ACTIONS(4868),
    [anon_sym_BSLASHsubimport] = ACTIONS(4868),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4868),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHcaption] = ACTIONS(4870),
    [anon_sym_BSLASHcite] = ACTIONS(4872),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCite] = ACTIONS(4872),
    [anon_sym_BSLASHnocite] = ACTIONS(4872),
    [anon_sym_BSLASHcitet] = ACTIONS(4872),
    [anon_sym_BSLASHcitep] = ACTIONS(4872),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteA] = ACTIONS(4872),
    [anon_sym_BSLASHciteR] = ACTIONS(4872),
    [anon_sym_BSLASHciteS] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4872),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteyear] = ACTIONS(4872),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitedate] = ACTIONS(4872),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteurl] = ACTIONS(4872),
    [anon_sym_BSLASHfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4872),
    [anon_sym_BSLASHcitealt] = ACTIONS(4872),
    [anon_sym_BSLASHcitealp] = ACTIONS(4872),
    [anon_sym_BSLASHcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHparencite] = ACTIONS(4872),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHParencite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHtextcite] = ACTIONS(4872),
    [anon_sym_BSLASHTextcite] = ACTIONS(4872),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHsupercite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite] = ACTIONS(4872),
    [anon_sym_BSLASHAutocite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHVolcite] = ACTIONS(4872),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHavolcite] = ACTIONS(4872),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHNotecite] = ACTIONS(4872),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHlabel] = ACTIONS(4876),
    [anon_sym_BSLASHref] = ACTIONS(4878),
    [anon_sym_BSLASHeqref] = ACTIONS(4878),
    [anon_sym_BSLASHvref] = ACTIONS(4878),
    [anon_sym_BSLASHVref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHpageref] = ACTIONS(4878),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHautopageref] = ACTIONS(4878),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcref] = ACTIONS(4878),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHCref] = ACTIONS(4878),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHCpageref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnameCref] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4886),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4888),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHdef] = ACTIONS(4896),
    [anon_sym_BSLASHgdef] = ACTIONS(4896),
    [anon_sym_BSLASHedef] = ACTIONS(4896),
    [anon_sym_BSLASHxdef] = ACTIONS(4896),
    [anon_sym_BSLASHlet] = ACTIONS(4898),
    [anon_sym_BSLASHglet] = ACTIONS(4898),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4900),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4900),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4908),
    [anon_sym_BSLASHgls] = ACTIONS(4910),
    [anon_sym_BSLASHGls] = ACTIONS(4910),
    [anon_sym_BSLASHGLS] = ACTIONS(4910),
    [anon_sym_BSLASHglspl] = ACTIONS(4910),
    [anon_sym_BSLASHGlspl] = ACTIONS(4910),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4910),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4910),
    [anon_sym_BSLASHglslink] = ACTIONS(4910),
    [anon_sym_BSLASHglstext] = ACTIONS(4910),
    [anon_sym_BSLASHGlstext] = ACTIONS(4910),
    [anon_sym_BSLASHGLStext] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4910),
    [anon_sym_BSLASHglsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsname] = ACTIONS(4910),
    [anon_sym_BSLASHGlsname] = ACTIONS(4910),
    [anon_sym_BSLASHGLSname] = ACTIONS(4910),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4910),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4912),
    [anon_sym_BSLASHacrshort] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4914),
    [anon_sym_BSLASHACRshort] = ACTIONS(4914),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrlong] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4914),
    [anon_sym_BSLASHACRlong] = ACTIONS(4914),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrfull] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4914),
    [anon_sym_BSLASHACRfull] = ACTIONS(4914),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHacs] = ACTIONS(4914),
    [anon_sym_BSLASHAcs] = ACTIONS(4914),
    [anon_sym_BSLASHacsp] = ACTIONS(4914),
    [anon_sym_BSLASHAcsp] = ACTIONS(4914),
    [anon_sym_BSLASHacl] = ACTIONS(4914),
    [anon_sym_BSLASHAcl] = ACTIONS(4914),
    [anon_sym_BSLASHaclp] = ACTIONS(4914),
    [anon_sym_BSLASHAclp] = ACTIONS(4914),
    [anon_sym_BSLASHacf] = ACTIONS(4914),
    [anon_sym_BSLASHAcf] = ACTIONS(4914),
    [anon_sym_BSLASHacfp] = ACTIONS(4914),
    [anon_sym_BSLASHAcfp] = ACTIONS(4914),
    [anon_sym_BSLASHac] = ACTIONS(4914),
    [anon_sym_BSLASHAc] = ACTIONS(4914),
    [anon_sym_BSLASHacp] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4916),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4916),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4920),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4922),
    [anon_sym_BSLASHcolor] = ACTIONS(4924),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4924),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4924),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4924),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4924),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4926),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4926),
    [anon_sym_BSLASHurl] = ACTIONS(4928),
    [anon_sym_BSLASHhref] = ACTIONS(4928),
  },
  [280] = {
    [sym_block_comment] = STATE(281),
    [sym__text_content] = STATE(281),
    [sym_curly_group] = STATE(281),
    [sym_text] = STATE(281),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(281),
    [sym_displayed_equation] = STATE(281),
    [sym_inline_formula] = STATE(281),
    [sym_math_delimiter] = STATE(281),
    [sym_text_mode] = STATE(281),
    [sym__command] = STATE(281),
    [sym_generic_command] = STATE(281),
    [sym_title_declaration] = STATE(281),
    [sym_author_declaration] = STATE(281),
    [sym_package_include] = STATE(281),
    [sym_class_include] = STATE(281),
    [sym_latex_include] = STATE(281),
    [sym_biblatex_include] = STATE(281),
    [sym_bibstyle_include] = STATE(281),
    [sym_bibtex_include] = STATE(281),
    [sym_graphics_include] = STATE(281),
    [sym_svg_include] = STATE(281),
    [sym_inkscape_include] = STATE(281),
    [sym_verbatim_include] = STATE(281),
    [sym_import_include] = STATE(281),
    [sym_caption] = STATE(281),
    [sym_citation] = STATE(281),
    [sym_label_definition] = STATE(281),
    [sym_label_reference] = STATE(281),
    [sym_label_reference_range] = STATE(281),
    [sym_label_number] = STATE(281),
    [sym_new_command_definition] = STATE(281),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(281),
    [sym_let_command_definition] = STATE(281),
    [sym_paired_delimiter_definition] = STATE(281),
    [sym_environment_definition] = STATE(281),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(281),
    [sym_glossary_entry_reference] = STATE(281),
    [sym_acronym_definition] = STATE(281),
    [sym_acronym_reference] = STATE(281),
    [sym_theorem_definition] = STATE(281),
    [sym_color_definition] = STATE(281),
    [sym_color_set_definition] = STATE(281),
    [sym_color_reference] = STATE(281),
    [sym_tikz_library_import] = STATE(281),
    [sym_hyperlink] = STATE(281),
    [aux_sym_curly_group_impl_repeat1] = STATE(281),
    [aux_sym_text_repeat1] = STATE(331),
    [sym_command_name] = ACTIONS(4812),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4814),
    [anon_sym_LBRACK] = ACTIONS(4816),
    [anon_sym_RBRACK] = ACTIONS(4816),
    [anon_sym_COMMA] = ACTIONS(4816),
    [anon_sym_EQ] = ACTIONS(4816),
    [anon_sym_LPAREN] = ACTIONS(4816),
    [anon_sym_RPAREN] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(4948),
    [sym_word] = ACTIONS(4822),
    [sym_placeholder] = ACTIONS(4824),
    [sym_delimiter] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_BANG] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4828),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym__] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4834),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4834),
    [anon_sym_DOLLAR] = ACTIONS(4836),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4838),
    [anon_sym_BSLASHleft] = ACTIONS(4840),
    [anon_sym_BSLASHbigl] = ACTIONS(4840),
    [anon_sym_BSLASHBigl] = ACTIONS(4840),
    [anon_sym_BSLASHbiggl] = ACTIONS(4840),
    [anon_sym_BSLASHBiggl] = ACTIONS(4840),
    [anon_sym_BSLASHtext] = ACTIONS(4842),
    [anon_sym_BSLASHintertext] = ACTIONS(4842),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4842),
    [anon_sym_BSLASHtitle] = ACTIONS(4844),
    [anon_sym_BSLASHauthor] = ACTIONS(4846),
    [anon_sym_BSLASHusepackage] = ACTIONS(4848),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4848),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4850),
    [anon_sym_BSLASHinclude] = ACTIONS(4852),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4852),
    [anon_sym_BSLASHinput] = ACTIONS(4852),
    [anon_sym_BSLASHsubfile] = ACTIONS(4852),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4856),
    [anon_sym_BSLASHbibliography] = ACTIONS(4858),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4860),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4862),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4866),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4866),
    [anon_sym_BSLASHimport] = ACTIONS(4868),
    [anon_sym_BSLASHsubimport] = ACTIONS(4868),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4868),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHcaption] = ACTIONS(4870),
    [anon_sym_BSLASHcite] = ACTIONS(4872),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCite] = ACTIONS(4872),
    [anon_sym_BSLASHnocite] = ACTIONS(4872),
    [anon_sym_BSLASHcitet] = ACTIONS(4872),
    [anon_sym_BSLASHcitep] = ACTIONS(4872),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteA] = ACTIONS(4872),
    [anon_sym_BSLASHciteR] = ACTIONS(4872),
    [anon_sym_BSLASHciteS] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4872),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteyear] = ACTIONS(4872),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitedate] = ACTIONS(4872),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteurl] = ACTIONS(4872),
    [anon_sym_BSLASHfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4872),
    [anon_sym_BSLASHcitealt] = ACTIONS(4872),
    [anon_sym_BSLASHcitealp] = ACTIONS(4872),
    [anon_sym_BSLASHcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHparencite] = ACTIONS(4872),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHParencite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHtextcite] = ACTIONS(4872),
    [anon_sym_BSLASHTextcite] = ACTIONS(4872),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHsupercite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite] = ACTIONS(4872),
    [anon_sym_BSLASHAutocite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHVolcite] = ACTIONS(4872),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHavolcite] = ACTIONS(4872),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHNotecite] = ACTIONS(4872),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHlabel] = ACTIONS(4876),
    [anon_sym_BSLASHref] = ACTIONS(4878),
    [anon_sym_BSLASHeqref] = ACTIONS(4878),
    [anon_sym_BSLASHvref] = ACTIONS(4878),
    [anon_sym_BSLASHVref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHpageref] = ACTIONS(4878),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHautopageref] = ACTIONS(4878),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcref] = ACTIONS(4878),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHCref] = ACTIONS(4878),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHCpageref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnameCref] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4886),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4888),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHdef] = ACTIONS(4896),
    [anon_sym_BSLASHgdef] = ACTIONS(4896),
    [anon_sym_BSLASHedef] = ACTIONS(4896),
    [anon_sym_BSLASHxdef] = ACTIONS(4896),
    [anon_sym_BSLASHlet] = ACTIONS(4898),
    [anon_sym_BSLASHglet] = ACTIONS(4898),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4900),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4900),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4908),
    [anon_sym_BSLASHgls] = ACTIONS(4910),
    [anon_sym_BSLASHGls] = ACTIONS(4910),
    [anon_sym_BSLASHGLS] = ACTIONS(4910),
    [anon_sym_BSLASHglspl] = ACTIONS(4910),
    [anon_sym_BSLASHGlspl] = ACTIONS(4910),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4910),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4910),
    [anon_sym_BSLASHglslink] = ACTIONS(4910),
    [anon_sym_BSLASHglstext] = ACTIONS(4910),
    [anon_sym_BSLASHGlstext] = ACTIONS(4910),
    [anon_sym_BSLASHGLStext] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4910),
    [anon_sym_BSLASHglsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsname] = ACTIONS(4910),
    [anon_sym_BSLASHGlsname] = ACTIONS(4910),
    [anon_sym_BSLASHGLSname] = ACTIONS(4910),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4910),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4912),
    [anon_sym_BSLASHacrshort] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4914),
    [anon_sym_BSLASHACRshort] = ACTIONS(4914),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrlong] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4914),
    [anon_sym_BSLASHACRlong] = ACTIONS(4914),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrfull] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4914),
    [anon_sym_BSLASHACRfull] = ACTIONS(4914),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHacs] = ACTIONS(4914),
    [anon_sym_BSLASHAcs] = ACTIONS(4914),
    [anon_sym_BSLASHacsp] = ACTIONS(4914),
    [anon_sym_BSLASHAcsp] = ACTIONS(4914),
    [anon_sym_BSLASHacl] = ACTIONS(4914),
    [anon_sym_BSLASHAcl] = ACTIONS(4914),
    [anon_sym_BSLASHaclp] = ACTIONS(4914),
    [anon_sym_BSLASHAclp] = ACTIONS(4914),
    [anon_sym_BSLASHacf] = ACTIONS(4914),
    [anon_sym_BSLASHAcf] = ACTIONS(4914),
    [anon_sym_BSLASHacfp] = ACTIONS(4914),
    [anon_sym_BSLASHAcfp] = ACTIONS(4914),
    [anon_sym_BSLASHac] = ACTIONS(4914),
    [anon_sym_BSLASHAc] = ACTIONS(4914),
    [anon_sym_BSLASHacp] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4916),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4916),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4920),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4922),
    [anon_sym_BSLASHcolor] = ACTIONS(4924),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4924),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4924),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4924),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4924),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4926),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4926),
    [anon_sym_BSLASHurl] = ACTIONS(4928),
    [anon_sym_BSLASHhref] = ACTIONS(4928),
  },
  [281] = {
    [sym_block_comment] = STATE(281),
    [sym__text_content] = STATE(281),
    [sym_curly_group] = STATE(281),
    [sym_text] = STATE(281),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(281),
    [sym_displayed_equation] = STATE(281),
    [sym_inline_formula] = STATE(281),
    [sym_math_delimiter] = STATE(281),
    [sym_text_mode] = STATE(281),
    [sym__command] = STATE(281),
    [sym_generic_command] = STATE(281),
    [sym_title_declaration] = STATE(281),
    [sym_author_declaration] = STATE(281),
    [sym_package_include] = STATE(281),
    [sym_class_include] = STATE(281),
    [sym_latex_include] = STATE(281),
    [sym_biblatex_include] = STATE(281),
    [sym_bibstyle_include] = STATE(281),
    [sym_bibtex_include] = STATE(281),
    [sym_graphics_include] = STATE(281),
    [sym_svg_include] = STATE(281),
    [sym_inkscape_include] = STATE(281),
    [sym_verbatim_include] = STATE(281),
    [sym_import_include] = STATE(281),
    [sym_caption] = STATE(281),
    [sym_citation] = STATE(281),
    [sym_label_definition] = STATE(281),
    [sym_label_reference] = STATE(281),
    [sym_label_reference_range] = STATE(281),
    [sym_label_number] = STATE(281),
    [sym_new_command_definition] = STATE(281),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(281),
    [sym_let_command_definition] = STATE(281),
    [sym_paired_delimiter_definition] = STATE(281),
    [sym_environment_definition] = STATE(281),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(281),
    [sym_glossary_entry_reference] = STATE(281),
    [sym_acronym_definition] = STATE(281),
    [sym_acronym_reference] = STATE(281),
    [sym_theorem_definition] = STATE(281),
    [sym_color_definition] = STATE(281),
    [sym_color_set_definition] = STATE(281),
    [sym_color_reference] = STATE(281),
    [sym_tikz_library_import] = STATE(281),
    [sym_hyperlink] = STATE(281),
    [aux_sym_curly_group_impl_repeat1] = STATE(281),
    [aux_sym_text_repeat1] = STATE(331),
    [sym_command_name] = ACTIONS(4950),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4953),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [anon_sym_RBRACK] = ACTIONS(4956),
    [anon_sym_COMMA] = ACTIONS(4956),
    [anon_sym_EQ] = ACTIONS(4956),
    [anon_sym_LPAREN] = ACTIONS(4956),
    [anon_sym_RPAREN] = ACTIONS(4956),
    [anon_sym_LBRACE] = ACTIONS(4959),
    [anon_sym_RBRACE] = ACTIONS(4962),
    [sym_word] = ACTIONS(4964),
    [sym_placeholder] = ACTIONS(4967),
    [sym_delimiter] = ACTIONS(4967),
    [anon_sym_PLUS] = ACTIONS(4970),
    [anon_sym_DASH] = ACTIONS(4970),
    [anon_sym_STAR] = ACTIONS(4970),
    [anon_sym_SLASH] = ACTIONS(4970),
    [anon_sym_LT] = ACTIONS(4973),
    [anon_sym_GT] = ACTIONS(4973),
    [anon_sym_BANG] = ACTIONS(4973),
    [anon_sym_PIPE] = ACTIONS(4973),
    [anon_sym_COLON] = ACTIONS(4973),
    [anon_sym_SQUOTE] = ACTIONS(4973),
    [anon_sym__] = ACTIONS(4976),
    [anon_sym_CARET] = ACTIONS(4979),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4982),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4982),
    [anon_sym_DOLLAR] = ACTIONS(4985),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4988),
    [anon_sym_BSLASHleft] = ACTIONS(4991),
    [anon_sym_BSLASHbigl] = ACTIONS(4991),
    [anon_sym_BSLASHBigl] = ACTIONS(4991),
    [anon_sym_BSLASHbiggl] = ACTIONS(4991),
    [anon_sym_BSLASHBiggl] = ACTIONS(4991),
    [anon_sym_BSLASHtext] = ACTIONS(4994),
    [anon_sym_BSLASHintertext] = ACTIONS(4994),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4994),
    [anon_sym_BSLASHtitle] = ACTIONS(4997),
    [anon_sym_BSLASHauthor] = ACTIONS(5000),
    [anon_sym_BSLASHusepackage] = ACTIONS(5003),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(5003),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(5006),
    [anon_sym_BSLASHinclude] = ACTIONS(5009),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(5009),
    [anon_sym_BSLASHinput] = ACTIONS(5009),
    [anon_sym_BSLASHsubfile] = ACTIONS(5009),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(5012),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(5015),
    [anon_sym_BSLASHbibliography] = ACTIONS(5018),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(5021),
    [anon_sym_BSLASHincludesvg] = ACTIONS(5024),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(5027),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(5030),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(5030),
    [anon_sym_BSLASHimport] = ACTIONS(5033),
    [anon_sym_BSLASHsubimport] = ACTIONS(5033),
    [anon_sym_BSLASHinputfrom] = ACTIONS(5033),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(5033),
    [anon_sym_BSLASHincludefrom] = ACTIONS(5033),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(5033),
    [anon_sym_BSLASHcaption] = ACTIONS(5036),
    [anon_sym_BSLASHcite] = ACTIONS(5039),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(5042),
    [anon_sym_BSLASHCite] = ACTIONS(5039),
    [anon_sym_BSLASHnocite] = ACTIONS(5039),
    [anon_sym_BSLASHcitet] = ACTIONS(5039),
    [anon_sym_BSLASHcitep] = ACTIONS(5039),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(5042),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(5042),
    [anon_sym_BSLASHciteA] = ACTIONS(5039),
    [anon_sym_BSLASHciteR] = ACTIONS(5039),
    [anon_sym_BSLASHciteS] = ACTIONS(5039),
    [anon_sym_BSLASHciteyearR] = ACTIONS(5039),
    [anon_sym_BSLASHciteauthor] = ACTIONS(5039),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(5042),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(5039),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(5042),
    [anon_sym_BSLASHcitetitle] = ACTIONS(5039),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(5042),
    [anon_sym_BSLASHciteyear] = ACTIONS(5039),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(5042),
    [anon_sym_BSLASHcitedate] = ACTIONS(5039),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(5042),
    [anon_sym_BSLASHciteurl] = ACTIONS(5039),
    [anon_sym_BSLASHfullcite] = ACTIONS(5039),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(5039),
    [anon_sym_BSLASHcitealt] = ACTIONS(5039),
    [anon_sym_BSLASHcitealp] = ACTIONS(5039),
    [anon_sym_BSLASHcitetext] = ACTIONS(5039),
    [anon_sym_BSLASHparencite] = ACTIONS(5039),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(5042),
    [anon_sym_BSLASHParencite] = ACTIONS(5039),
    [anon_sym_BSLASHfootcite] = ACTIONS(5039),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(5039),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(5039),
    [anon_sym_BSLASHtextcite] = ACTIONS(5039),
    [anon_sym_BSLASHTextcite] = ACTIONS(5039),
    [anon_sym_BSLASHsmartcite] = ACTIONS(5039),
    [anon_sym_BSLASHSmartcite] = ACTIONS(5039),
    [anon_sym_BSLASHsupercite] = ACTIONS(5039),
    [anon_sym_BSLASHautocite] = ACTIONS(5039),
    [anon_sym_BSLASHAutocite] = ACTIONS(5039),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(5042),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(5042),
    [anon_sym_BSLASHvolcite] = ACTIONS(5039),
    [anon_sym_BSLASHVolcite] = ACTIONS(5039),
    [anon_sym_BSLASHpvolcite] = ACTIONS(5039),
    [anon_sym_BSLASHPvolcite] = ACTIONS(5039),
    [anon_sym_BSLASHfvolcite] = ACTIONS(5039),
    [anon_sym_BSLASHftvolcite] = ACTIONS(5039),
    [anon_sym_BSLASHsvolcite] = ACTIONS(5039),
    [anon_sym_BSLASHSvolcite] = ACTIONS(5039),
    [anon_sym_BSLASHtvolcite] = ACTIONS(5039),
    [anon_sym_BSLASHTvolcite] = ACTIONS(5039),
    [anon_sym_BSLASHavolcite] = ACTIONS(5039),
    [anon_sym_BSLASHAvolcite] = ACTIONS(5039),
    [anon_sym_BSLASHnotecite] = ACTIONS(5039),
    [anon_sym_BSLASHNotecite] = ACTIONS(5039),
    [anon_sym_BSLASHpnotecite] = ACTIONS(5039),
    [anon_sym_BSLASHPnotecite] = ACTIONS(5039),
    [anon_sym_BSLASHfnotecite] = ACTIONS(5039),
    [anon_sym_BSLASHlabel] = ACTIONS(5045),
    [anon_sym_BSLASHref] = ACTIONS(5048),
    [anon_sym_BSLASHeqref] = ACTIONS(5048),
    [anon_sym_BSLASHvref] = ACTIONS(5048),
    [anon_sym_BSLASHVref] = ACTIONS(5048),
    [anon_sym_BSLASHautoref] = ACTIONS(5048),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(5051),
    [anon_sym_BSLASHpageref] = ACTIONS(5048),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(5051),
    [anon_sym_BSLASHautopageref] = ACTIONS(5048),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(5051),
    [anon_sym_BSLASHcref] = ACTIONS(5048),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(5051),
    [anon_sym_BSLASHCref] = ACTIONS(5048),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(5051),
    [anon_sym_BSLASHcpageref] = ACTIONS(5048),
    [anon_sym_BSLASHCpageref] = ACTIONS(5048),
    [anon_sym_BSLASHnamecref] = ACTIONS(5048),
    [anon_sym_BSLASHnameCref] = ACTIONS(5048),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(5048),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(5048),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(5048),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(5048),
    [anon_sym_BSLASHlabelcref] = ACTIONS(5048),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(5051),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(5048),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(5051),
    [anon_sym_BSLASHcrefrange] = ACTIONS(5054),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(5057),
    [anon_sym_BSLASHCrefrange] = ACTIONS(5054),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(5057),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(5054),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(5054),
    [anon_sym_BSLASHnewlabel] = ACTIONS(5060),
    [anon_sym_BSLASHnewcommand] = ACTIONS(5063),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(5066),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(5063),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(5066),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(5063),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(5066),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(5063),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(5066),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(5063),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(5066),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(5069),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(5069),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(5069),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(5069),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(5069),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(5069),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(5069),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(5069),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(5072),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(5072),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(5072),
    [anon_sym_BSLASHdef] = ACTIONS(5075),
    [anon_sym_BSLASHgdef] = ACTIONS(5075),
    [anon_sym_BSLASHedef] = ACTIONS(5075),
    [anon_sym_BSLASHxdef] = ACTIONS(5075),
    [anon_sym_BSLASHlet] = ACTIONS(5078),
    [anon_sym_BSLASHglet] = ACTIONS(5078),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(5081),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(5081),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(5084),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(5084),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(5087),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(5087),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(5087),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(5087),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(5090),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(5090),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(5090),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(5093),
    [anon_sym_BSLASHgls] = ACTIONS(5096),
    [anon_sym_BSLASHGls] = ACTIONS(5096),
    [anon_sym_BSLASHGLS] = ACTIONS(5096),
    [anon_sym_BSLASHglspl] = ACTIONS(5096),
    [anon_sym_BSLASHGlspl] = ACTIONS(5096),
    [anon_sym_BSLASHGLSpl] = ACTIONS(5096),
    [anon_sym_BSLASHglsdisp] = ACTIONS(5096),
    [anon_sym_BSLASHglslink] = ACTIONS(5096),
    [anon_sym_BSLASHglstext] = ACTIONS(5096),
    [anon_sym_BSLASHGlstext] = ACTIONS(5096),
    [anon_sym_BSLASHGLStext] = ACTIONS(5096),
    [anon_sym_BSLASHglsfirst] = ACTIONS(5096),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(5096),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(5096),
    [anon_sym_BSLASHglsplural] = ACTIONS(5096),
    [anon_sym_BSLASHGlsplural] = ACTIONS(5096),
    [anon_sym_BSLASHGLSplural] = ACTIONS(5096),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(5096),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(5096),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(5096),
    [anon_sym_BSLASHglsname] = ACTIONS(5096),
    [anon_sym_BSLASHGlsname] = ACTIONS(5096),
    [anon_sym_BSLASHGLSname] = ACTIONS(5096),
    [anon_sym_BSLASHglssymbol] = ACTIONS(5096),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(5096),
    [anon_sym_BSLASHglsdesc] = ACTIONS(5096),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(5096),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(5096),
    [anon_sym_BSLASHglsuseri] = ACTIONS(5096),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(5096),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(5096),
    [anon_sym_BSLASHglsuserii] = ACTIONS(5096),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(5096),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(5096),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(5096),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(5096),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(5096),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(5096),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(5096),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(5096),
    [anon_sym_BSLASHglsuserv] = ACTIONS(5096),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(5096),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(5096),
    [anon_sym_BSLASHglsuservi] = ACTIONS(5096),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(5096),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(5096),
    [anon_sym_BSLASHnewacronym] = ACTIONS(5099),
    [anon_sym_BSLASHacrshort] = ACTIONS(5102),
    [anon_sym_BSLASHAcrshort] = ACTIONS(5102),
    [anon_sym_BSLASHACRshort] = ACTIONS(5102),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(5102),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(5102),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(5102),
    [anon_sym_BSLASHacrlong] = ACTIONS(5102),
    [anon_sym_BSLASHAcrlong] = ACTIONS(5102),
    [anon_sym_BSLASHACRlong] = ACTIONS(5102),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(5102),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(5102),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(5102),
    [anon_sym_BSLASHacrfull] = ACTIONS(5102),
    [anon_sym_BSLASHAcrfull] = ACTIONS(5102),
    [anon_sym_BSLASHACRfull] = ACTIONS(5102),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(5102),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(5102),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(5102),
    [anon_sym_BSLASHacs] = ACTIONS(5102),
    [anon_sym_BSLASHAcs] = ACTIONS(5102),
    [anon_sym_BSLASHacsp] = ACTIONS(5102),
    [anon_sym_BSLASHAcsp] = ACTIONS(5102),
    [anon_sym_BSLASHacl] = ACTIONS(5102),
    [anon_sym_BSLASHAcl] = ACTIONS(5102),
    [anon_sym_BSLASHaclp] = ACTIONS(5102),
    [anon_sym_BSLASHAclp] = ACTIONS(5102),
    [anon_sym_BSLASHacf] = ACTIONS(5102),
    [anon_sym_BSLASHAcf] = ACTIONS(5102),
    [anon_sym_BSLASHacfp] = ACTIONS(5102),
    [anon_sym_BSLASHAcfp] = ACTIONS(5102),
    [anon_sym_BSLASHac] = ACTIONS(5102),
    [anon_sym_BSLASHAc] = ACTIONS(5102),
    [anon_sym_BSLASHacp] = ACTIONS(5102),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(5102),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(5102),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(5102),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(5102),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(5102),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(5102),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(5102),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(5102),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(5102),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(5102),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(5105),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(5108),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(5105),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(5108),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(5111),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(5114),
    [anon_sym_BSLASHcolor] = ACTIONS(5117),
    [anon_sym_BSLASHpagecolor] = ACTIONS(5117),
    [anon_sym_BSLASHtextcolor] = ACTIONS(5117),
    [anon_sym_BSLASHmathcolor] = ACTIONS(5117),
    [anon_sym_BSLASHcolorbox] = ACTIONS(5117),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(5120),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(5120),
    [anon_sym_BSLASHurl] = ACTIONS(5123),
    [anon_sym_BSLASHhref] = ACTIONS(5123),
  },
  [282] = {
    [sym_block_comment] = STATE(281),
    [sym__text_content] = STATE(281),
    [sym_curly_group] = STATE(281),
    [sym_text] = STATE(281),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(281),
    [sym_displayed_equation] = STATE(281),
    [sym_inline_formula] = STATE(281),
    [sym_math_delimiter] = STATE(281),
    [sym_text_mode] = STATE(281),
    [sym__command] = STATE(281),
    [sym_generic_command] = STATE(281),
    [sym_title_declaration] = STATE(281),
    [sym_author_declaration] = STATE(281),
    [sym_package_include] = STATE(281),
    [sym_class_include] = STATE(281),
    [sym_latex_include] = STATE(281),
    [sym_biblatex_include] = STATE(281),
    [sym_bibstyle_include] = STATE(281),
    [sym_bibtex_include] = STATE(281),
    [sym_graphics_include] = STATE(281),
    [sym_svg_include] = STATE(281),
    [sym_inkscape_include] = STATE(281),
    [sym_verbatim_include] = STATE(281),
    [sym_import_include] = STATE(281),
    [sym_caption] = STATE(281),
    [sym_citation] = STATE(281),
    [sym_label_definition] = STATE(281),
    [sym_label_reference] = STATE(281),
    [sym_label_reference_range] = STATE(281),
    [sym_label_number] = STATE(281),
    [sym_new_command_definition] = STATE(281),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(281),
    [sym_let_command_definition] = STATE(281),
    [sym_paired_delimiter_definition] = STATE(281),
    [sym_environment_definition] = STATE(281),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(281),
    [sym_glossary_entry_reference] = STATE(281),
    [sym_acronym_definition] = STATE(281),
    [sym_acronym_reference] = STATE(281),
    [sym_theorem_definition] = STATE(281),
    [sym_color_definition] = STATE(281),
    [sym_color_set_definition] = STATE(281),
    [sym_color_reference] = STATE(281),
    [sym_tikz_library_import] = STATE(281),
    [sym_hyperlink] = STATE(281),
    [aux_sym_curly_group_impl_repeat1] = STATE(281),
    [aux_sym_text_repeat1] = STATE(331),
    [sym_command_name] = ACTIONS(4812),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4814),
    [anon_sym_LBRACK] = ACTIONS(4816),
    [anon_sym_RBRACK] = ACTIONS(4816),
    [anon_sym_COMMA] = ACTIONS(4816),
    [anon_sym_EQ] = ACTIONS(4816),
    [anon_sym_LPAREN] = ACTIONS(4816),
    [anon_sym_RPAREN] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(5126),
    [sym_word] = ACTIONS(4822),
    [sym_placeholder] = ACTIONS(4824),
    [sym_delimiter] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_BANG] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4828),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym__] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4834),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4834),
    [anon_sym_DOLLAR] = ACTIONS(4836),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4838),
    [anon_sym_BSLASHleft] = ACTIONS(4840),
    [anon_sym_BSLASHbigl] = ACTIONS(4840),
    [anon_sym_BSLASHBigl] = ACTIONS(4840),
    [anon_sym_BSLASHbiggl] = ACTIONS(4840),
    [anon_sym_BSLASHBiggl] = ACTIONS(4840),
    [anon_sym_BSLASHtext] = ACTIONS(4842),
    [anon_sym_BSLASHintertext] = ACTIONS(4842),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4842),
    [anon_sym_BSLASHtitle] = ACTIONS(4844),
    [anon_sym_BSLASHauthor] = ACTIONS(4846),
    [anon_sym_BSLASHusepackage] = ACTIONS(4848),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4848),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4850),
    [anon_sym_BSLASHinclude] = ACTIONS(4852),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4852),
    [anon_sym_BSLASHinput] = ACTIONS(4852),
    [anon_sym_BSLASHsubfile] = ACTIONS(4852),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4856),
    [anon_sym_BSLASHbibliography] = ACTIONS(4858),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4860),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4862),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4866),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4866),
    [anon_sym_BSLASHimport] = ACTIONS(4868),
    [anon_sym_BSLASHsubimport] = ACTIONS(4868),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4868),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHcaption] = ACTIONS(4870),
    [anon_sym_BSLASHcite] = ACTIONS(4872),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCite] = ACTIONS(4872),
    [anon_sym_BSLASHnocite] = ACTIONS(4872),
    [anon_sym_BSLASHcitet] = ACTIONS(4872),
    [anon_sym_BSLASHcitep] = ACTIONS(4872),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteA] = ACTIONS(4872),
    [anon_sym_BSLASHciteR] = ACTIONS(4872),
    [anon_sym_BSLASHciteS] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4872),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteyear] = ACTIONS(4872),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitedate] = ACTIONS(4872),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteurl] = ACTIONS(4872),
    [anon_sym_BSLASHfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4872),
    [anon_sym_BSLASHcitealt] = ACTIONS(4872),
    [anon_sym_BSLASHcitealp] = ACTIONS(4872),
    [anon_sym_BSLASHcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHparencite] = ACTIONS(4872),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHParencite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHtextcite] = ACTIONS(4872),
    [anon_sym_BSLASHTextcite] = ACTIONS(4872),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHsupercite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite] = ACTIONS(4872),
    [anon_sym_BSLASHAutocite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHVolcite] = ACTIONS(4872),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHavolcite] = ACTIONS(4872),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHNotecite] = ACTIONS(4872),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHlabel] = ACTIONS(4876),
    [anon_sym_BSLASHref] = ACTIONS(4878),
    [anon_sym_BSLASHeqref] = ACTIONS(4878),
    [anon_sym_BSLASHvref] = ACTIONS(4878),
    [anon_sym_BSLASHVref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHpageref] = ACTIONS(4878),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHautopageref] = ACTIONS(4878),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcref] = ACTIONS(4878),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHCref] = ACTIONS(4878),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHCpageref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnameCref] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4886),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4888),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHdef] = ACTIONS(4896),
    [anon_sym_BSLASHgdef] = ACTIONS(4896),
    [anon_sym_BSLASHedef] = ACTIONS(4896),
    [anon_sym_BSLASHxdef] = ACTIONS(4896),
    [anon_sym_BSLASHlet] = ACTIONS(4898),
    [anon_sym_BSLASHglet] = ACTIONS(4898),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4900),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4900),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4908),
    [anon_sym_BSLASHgls] = ACTIONS(4910),
    [anon_sym_BSLASHGls] = ACTIONS(4910),
    [anon_sym_BSLASHGLS] = ACTIONS(4910),
    [anon_sym_BSLASHglspl] = ACTIONS(4910),
    [anon_sym_BSLASHGlspl] = ACTIONS(4910),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4910),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4910),
    [anon_sym_BSLASHglslink] = ACTIONS(4910),
    [anon_sym_BSLASHglstext] = ACTIONS(4910),
    [anon_sym_BSLASHGlstext] = ACTIONS(4910),
    [anon_sym_BSLASHGLStext] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4910),
    [anon_sym_BSLASHglsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsname] = ACTIONS(4910),
    [anon_sym_BSLASHGlsname] = ACTIONS(4910),
    [anon_sym_BSLASHGLSname] = ACTIONS(4910),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4910),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4912),
    [anon_sym_BSLASHacrshort] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4914),
    [anon_sym_BSLASHACRshort] = ACTIONS(4914),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrlong] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4914),
    [anon_sym_BSLASHACRlong] = ACTIONS(4914),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrfull] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4914),
    [anon_sym_BSLASHACRfull] = ACTIONS(4914),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHacs] = ACTIONS(4914),
    [anon_sym_BSLASHAcs] = ACTIONS(4914),
    [anon_sym_BSLASHacsp] = ACTIONS(4914),
    [anon_sym_BSLASHAcsp] = ACTIONS(4914),
    [anon_sym_BSLASHacl] = ACTIONS(4914),
    [anon_sym_BSLASHAcl] = ACTIONS(4914),
    [anon_sym_BSLASHaclp] = ACTIONS(4914),
    [anon_sym_BSLASHAclp] = ACTIONS(4914),
    [anon_sym_BSLASHacf] = ACTIONS(4914),
    [anon_sym_BSLASHAcf] = ACTIONS(4914),
    [anon_sym_BSLASHacfp] = ACTIONS(4914),
    [anon_sym_BSLASHAcfp] = ACTIONS(4914),
    [anon_sym_BSLASHac] = ACTIONS(4914),
    [anon_sym_BSLASHAc] = ACTIONS(4914),
    [anon_sym_BSLASHacp] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4916),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4916),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4920),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4922),
    [anon_sym_BSLASHcolor] = ACTIONS(4924),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4924),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4924),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4924),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4924),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4926),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4926),
    [anon_sym_BSLASHurl] = ACTIONS(4928),
    [anon_sym_BSLASHhref] = ACTIONS(4928),
  },
  [283] = {
    [sym_block_comment] = STATE(281),
    [sym__text_content] = STATE(281),
    [sym_curly_group] = STATE(281),
    [sym_text] = STATE(281),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(281),
    [sym_displayed_equation] = STATE(281),
    [sym_inline_formula] = STATE(281),
    [sym_math_delimiter] = STATE(281),
    [sym_text_mode] = STATE(281),
    [sym__command] = STATE(281),
    [sym_generic_command] = STATE(281),
    [sym_title_declaration] = STATE(281),
    [sym_author_declaration] = STATE(281),
    [sym_package_include] = STATE(281),
    [sym_class_include] = STATE(281),
    [sym_latex_include] = STATE(281),
    [sym_biblatex_include] = STATE(281),
    [sym_bibstyle_include] = STATE(281),
    [sym_bibtex_include] = STATE(281),
    [sym_graphics_include] = STATE(281),
    [sym_svg_include] = STATE(281),
    [sym_inkscape_include] = STATE(281),
    [sym_verbatim_include] = STATE(281),
    [sym_import_include] = STATE(281),
    [sym_caption] = STATE(281),
    [sym_citation] = STATE(281),
    [sym_label_definition] = STATE(281),
    [sym_label_reference] = STATE(281),
    [sym_label_reference_range] = STATE(281),
    [sym_label_number] = STATE(281),
    [sym_new_command_definition] = STATE(281),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(281),
    [sym_let_command_definition] = STATE(281),
    [sym_paired_delimiter_definition] = STATE(281),
    [sym_environment_definition] = STATE(281),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(281),
    [sym_glossary_entry_reference] = STATE(281),
    [sym_acronym_definition] = STATE(281),
    [sym_acronym_reference] = STATE(281),
    [sym_theorem_definition] = STATE(281),
    [sym_color_definition] = STATE(281),
    [sym_color_set_definition] = STATE(281),
    [sym_color_reference] = STATE(281),
    [sym_tikz_library_import] = STATE(281),
    [sym_hyperlink] = STATE(281),
    [aux_sym_curly_group_impl_repeat1] = STATE(281),
    [aux_sym_text_repeat1] = STATE(331),
    [sym_command_name] = ACTIONS(4812),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4814),
    [anon_sym_LBRACK] = ACTIONS(4816),
    [anon_sym_RBRACK] = ACTIONS(4816),
    [anon_sym_COMMA] = ACTIONS(4816),
    [anon_sym_EQ] = ACTIONS(4816),
    [anon_sym_LPAREN] = ACTIONS(4816),
    [anon_sym_RPAREN] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(5128),
    [sym_word] = ACTIONS(4822),
    [sym_placeholder] = ACTIONS(4824),
    [sym_delimiter] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_BANG] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4828),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym__] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4834),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4834),
    [anon_sym_DOLLAR] = ACTIONS(4836),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4838),
    [anon_sym_BSLASHleft] = ACTIONS(4840),
    [anon_sym_BSLASHbigl] = ACTIONS(4840),
    [anon_sym_BSLASHBigl] = ACTIONS(4840),
    [anon_sym_BSLASHbiggl] = ACTIONS(4840),
    [anon_sym_BSLASHBiggl] = ACTIONS(4840),
    [anon_sym_BSLASHtext] = ACTIONS(4842),
    [anon_sym_BSLASHintertext] = ACTIONS(4842),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4842),
    [anon_sym_BSLASHtitle] = ACTIONS(4844),
    [anon_sym_BSLASHauthor] = ACTIONS(4846),
    [anon_sym_BSLASHusepackage] = ACTIONS(4848),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4848),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4850),
    [anon_sym_BSLASHinclude] = ACTIONS(4852),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4852),
    [anon_sym_BSLASHinput] = ACTIONS(4852),
    [anon_sym_BSLASHsubfile] = ACTIONS(4852),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4856),
    [anon_sym_BSLASHbibliography] = ACTIONS(4858),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4860),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4862),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4866),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4866),
    [anon_sym_BSLASHimport] = ACTIONS(4868),
    [anon_sym_BSLASHsubimport] = ACTIONS(4868),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4868),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHcaption] = ACTIONS(4870),
    [anon_sym_BSLASHcite] = ACTIONS(4872),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCite] = ACTIONS(4872),
    [anon_sym_BSLASHnocite] = ACTIONS(4872),
    [anon_sym_BSLASHcitet] = ACTIONS(4872),
    [anon_sym_BSLASHcitep] = ACTIONS(4872),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteA] = ACTIONS(4872),
    [anon_sym_BSLASHciteR] = ACTIONS(4872),
    [anon_sym_BSLASHciteS] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4872),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteyear] = ACTIONS(4872),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitedate] = ACTIONS(4872),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteurl] = ACTIONS(4872),
    [anon_sym_BSLASHfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4872),
    [anon_sym_BSLASHcitealt] = ACTIONS(4872),
    [anon_sym_BSLASHcitealp] = ACTIONS(4872),
    [anon_sym_BSLASHcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHparencite] = ACTIONS(4872),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHParencite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHtextcite] = ACTIONS(4872),
    [anon_sym_BSLASHTextcite] = ACTIONS(4872),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHsupercite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite] = ACTIONS(4872),
    [anon_sym_BSLASHAutocite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHVolcite] = ACTIONS(4872),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHavolcite] = ACTIONS(4872),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHNotecite] = ACTIONS(4872),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHlabel] = ACTIONS(4876),
    [anon_sym_BSLASHref] = ACTIONS(4878),
    [anon_sym_BSLASHeqref] = ACTIONS(4878),
    [anon_sym_BSLASHvref] = ACTIONS(4878),
    [anon_sym_BSLASHVref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHpageref] = ACTIONS(4878),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHautopageref] = ACTIONS(4878),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcref] = ACTIONS(4878),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHCref] = ACTIONS(4878),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHCpageref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnameCref] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4886),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4888),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHdef] = ACTIONS(4896),
    [anon_sym_BSLASHgdef] = ACTIONS(4896),
    [anon_sym_BSLASHedef] = ACTIONS(4896),
    [anon_sym_BSLASHxdef] = ACTIONS(4896),
    [anon_sym_BSLASHlet] = ACTIONS(4898),
    [anon_sym_BSLASHglet] = ACTIONS(4898),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4900),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4900),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4908),
    [anon_sym_BSLASHgls] = ACTIONS(4910),
    [anon_sym_BSLASHGls] = ACTIONS(4910),
    [anon_sym_BSLASHGLS] = ACTIONS(4910),
    [anon_sym_BSLASHglspl] = ACTIONS(4910),
    [anon_sym_BSLASHGlspl] = ACTIONS(4910),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4910),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4910),
    [anon_sym_BSLASHglslink] = ACTIONS(4910),
    [anon_sym_BSLASHglstext] = ACTIONS(4910),
    [anon_sym_BSLASHGlstext] = ACTIONS(4910),
    [anon_sym_BSLASHGLStext] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4910),
    [anon_sym_BSLASHglsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsname] = ACTIONS(4910),
    [anon_sym_BSLASHGlsname] = ACTIONS(4910),
    [anon_sym_BSLASHGLSname] = ACTIONS(4910),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4910),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4912),
    [anon_sym_BSLASHacrshort] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4914),
    [anon_sym_BSLASHACRshort] = ACTIONS(4914),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrlong] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4914),
    [anon_sym_BSLASHACRlong] = ACTIONS(4914),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrfull] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4914),
    [anon_sym_BSLASHACRfull] = ACTIONS(4914),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHacs] = ACTIONS(4914),
    [anon_sym_BSLASHAcs] = ACTIONS(4914),
    [anon_sym_BSLASHacsp] = ACTIONS(4914),
    [anon_sym_BSLASHAcsp] = ACTIONS(4914),
    [anon_sym_BSLASHacl] = ACTIONS(4914),
    [anon_sym_BSLASHAcl] = ACTIONS(4914),
    [anon_sym_BSLASHaclp] = ACTIONS(4914),
    [anon_sym_BSLASHAclp] = ACTIONS(4914),
    [anon_sym_BSLASHacf] = ACTIONS(4914),
    [anon_sym_BSLASHAcf] = ACTIONS(4914),
    [anon_sym_BSLASHacfp] = ACTIONS(4914),
    [anon_sym_BSLASHAcfp] = ACTIONS(4914),
    [anon_sym_BSLASHac] = ACTIONS(4914),
    [anon_sym_BSLASHAc] = ACTIONS(4914),
    [anon_sym_BSLASHacp] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4916),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4916),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4920),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4922),
    [anon_sym_BSLASHcolor] = ACTIONS(4924),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4924),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4924),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4924),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4924),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4926),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4926),
    [anon_sym_BSLASHurl] = ACTIONS(4928),
    [anon_sym_BSLASHhref] = ACTIONS(4928),
  },
  [284] = {
    [sym_block_comment] = STATE(285),
    [sym__text_content] = STATE(285),
    [sym_curly_group] = STATE(285),
    [sym_text] = STATE(285),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(285),
    [sym_displayed_equation] = STATE(285),
    [sym_inline_formula] = STATE(285),
    [sym_math_delimiter] = STATE(285),
    [sym_text_mode] = STATE(285),
    [sym__command] = STATE(285),
    [sym_generic_command] = STATE(285),
    [sym_title_declaration] = STATE(285),
    [sym_author_declaration] = STATE(285),
    [sym_package_include] = STATE(285),
    [sym_class_include] = STATE(285),
    [sym_latex_include] = STATE(285),
    [sym_biblatex_include] = STATE(285),
    [sym_bibstyle_include] = STATE(285),
    [sym_bibtex_include] = STATE(285),
    [sym_graphics_include] = STATE(285),
    [sym_svg_include] = STATE(285),
    [sym_inkscape_include] = STATE(285),
    [sym_verbatim_include] = STATE(285),
    [sym_import_include] = STATE(285),
    [sym_caption] = STATE(285),
    [sym_citation] = STATE(285),
    [sym_label_definition] = STATE(285),
    [sym_label_reference] = STATE(285),
    [sym_label_reference_range] = STATE(285),
    [sym_label_number] = STATE(285),
    [sym_new_command_definition] = STATE(285),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(285),
    [sym_let_command_definition] = STATE(285),
    [sym_paired_delimiter_definition] = STATE(285),
    [sym_environment_definition] = STATE(285),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(285),
    [sym_glossary_entry_reference] = STATE(285),
    [sym_acronym_definition] = STATE(285),
    [sym_acronym_reference] = STATE(285),
    [sym_theorem_definition] = STATE(285),
    [sym_color_definition] = STATE(285),
    [sym_color_set_definition] = STATE(285),
    [sym_color_reference] = STATE(285),
    [sym_tikz_library_import] = STATE(285),
    [sym_hyperlink] = STATE(285),
    [aux_sym_curly_group_impl_repeat1] = STATE(285),
    [aux_sym_text_repeat1] = STATE(331),
    [sym_command_name] = ACTIONS(4812),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4814),
    [anon_sym_LBRACK] = ACTIONS(5130),
    [anon_sym_RBRACK] = ACTIONS(5130),
    [anon_sym_COMMA] = ACTIONS(5130),
    [anon_sym_EQ] = ACTIONS(5130),
    [anon_sym_LPAREN] = ACTIONS(5130),
    [anon_sym_RPAREN] = ACTIONS(5130),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(5132),
    [sym_word] = ACTIONS(4822),
    [sym_placeholder] = ACTIONS(4824),
    [sym_delimiter] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_BANG] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4828),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym__] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4834),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4834),
    [anon_sym_DOLLAR] = ACTIONS(4836),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4838),
    [anon_sym_BSLASHleft] = ACTIONS(4840),
    [anon_sym_BSLASHbigl] = ACTIONS(4840),
    [anon_sym_BSLASHBigl] = ACTIONS(4840),
    [anon_sym_BSLASHbiggl] = ACTIONS(4840),
    [anon_sym_BSLASHBiggl] = ACTIONS(4840),
    [anon_sym_BSLASHtext] = ACTIONS(4842),
    [anon_sym_BSLASHintertext] = ACTIONS(4842),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4842),
    [anon_sym_BSLASHtitle] = ACTIONS(4844),
    [anon_sym_BSLASHauthor] = ACTIONS(4846),
    [anon_sym_BSLASHusepackage] = ACTIONS(4848),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4848),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4850),
    [anon_sym_BSLASHinclude] = ACTIONS(4852),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4852),
    [anon_sym_BSLASHinput] = ACTIONS(4852),
    [anon_sym_BSLASHsubfile] = ACTIONS(4852),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4856),
    [anon_sym_BSLASHbibliography] = ACTIONS(4858),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4860),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4862),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4866),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4866),
    [anon_sym_BSLASHimport] = ACTIONS(4868),
    [anon_sym_BSLASHsubimport] = ACTIONS(4868),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4868),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHcaption] = ACTIONS(4870),
    [anon_sym_BSLASHcite] = ACTIONS(4872),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCite] = ACTIONS(4872),
    [anon_sym_BSLASHnocite] = ACTIONS(4872),
    [anon_sym_BSLASHcitet] = ACTIONS(4872),
    [anon_sym_BSLASHcitep] = ACTIONS(4872),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteA] = ACTIONS(4872),
    [anon_sym_BSLASHciteR] = ACTIONS(4872),
    [anon_sym_BSLASHciteS] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4872),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteyear] = ACTIONS(4872),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitedate] = ACTIONS(4872),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteurl] = ACTIONS(4872),
    [anon_sym_BSLASHfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4872),
    [anon_sym_BSLASHcitealt] = ACTIONS(4872),
    [anon_sym_BSLASHcitealp] = ACTIONS(4872),
    [anon_sym_BSLASHcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHparencite] = ACTIONS(4872),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHParencite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHtextcite] = ACTIONS(4872),
    [anon_sym_BSLASHTextcite] = ACTIONS(4872),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHsupercite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite] = ACTIONS(4872),
    [anon_sym_BSLASHAutocite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHVolcite] = ACTIONS(4872),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHavolcite] = ACTIONS(4872),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHNotecite] = ACTIONS(4872),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHlabel] = ACTIONS(4876),
    [anon_sym_BSLASHref] = ACTIONS(4878),
    [anon_sym_BSLASHeqref] = ACTIONS(4878),
    [anon_sym_BSLASHvref] = ACTIONS(4878),
    [anon_sym_BSLASHVref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHpageref] = ACTIONS(4878),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHautopageref] = ACTIONS(4878),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcref] = ACTIONS(4878),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHCref] = ACTIONS(4878),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHCpageref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnameCref] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4886),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4888),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHdef] = ACTIONS(4896),
    [anon_sym_BSLASHgdef] = ACTIONS(4896),
    [anon_sym_BSLASHedef] = ACTIONS(4896),
    [anon_sym_BSLASHxdef] = ACTIONS(4896),
    [anon_sym_BSLASHlet] = ACTIONS(4898),
    [anon_sym_BSLASHglet] = ACTIONS(4898),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4900),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4900),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4908),
    [anon_sym_BSLASHgls] = ACTIONS(4910),
    [anon_sym_BSLASHGls] = ACTIONS(4910),
    [anon_sym_BSLASHGLS] = ACTIONS(4910),
    [anon_sym_BSLASHglspl] = ACTIONS(4910),
    [anon_sym_BSLASHGlspl] = ACTIONS(4910),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4910),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4910),
    [anon_sym_BSLASHglslink] = ACTIONS(4910),
    [anon_sym_BSLASHglstext] = ACTIONS(4910),
    [anon_sym_BSLASHGlstext] = ACTIONS(4910),
    [anon_sym_BSLASHGLStext] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4910),
    [anon_sym_BSLASHglsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsname] = ACTIONS(4910),
    [anon_sym_BSLASHGlsname] = ACTIONS(4910),
    [anon_sym_BSLASHGLSname] = ACTIONS(4910),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4910),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4912),
    [anon_sym_BSLASHacrshort] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4914),
    [anon_sym_BSLASHACRshort] = ACTIONS(4914),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrlong] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4914),
    [anon_sym_BSLASHACRlong] = ACTIONS(4914),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrfull] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4914),
    [anon_sym_BSLASHACRfull] = ACTIONS(4914),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHacs] = ACTIONS(4914),
    [anon_sym_BSLASHAcs] = ACTIONS(4914),
    [anon_sym_BSLASHacsp] = ACTIONS(4914),
    [anon_sym_BSLASHAcsp] = ACTIONS(4914),
    [anon_sym_BSLASHacl] = ACTIONS(4914),
    [anon_sym_BSLASHAcl] = ACTIONS(4914),
    [anon_sym_BSLASHaclp] = ACTIONS(4914),
    [anon_sym_BSLASHAclp] = ACTIONS(4914),
    [anon_sym_BSLASHacf] = ACTIONS(4914),
    [anon_sym_BSLASHAcf] = ACTIONS(4914),
    [anon_sym_BSLASHacfp] = ACTIONS(4914),
    [anon_sym_BSLASHAcfp] = ACTIONS(4914),
    [anon_sym_BSLASHac] = ACTIONS(4914),
    [anon_sym_BSLASHAc] = ACTIONS(4914),
    [anon_sym_BSLASHacp] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4916),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4916),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4920),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4922),
    [anon_sym_BSLASHcolor] = ACTIONS(4924),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4924),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4924),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4924),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4924),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4926),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4926),
    [anon_sym_BSLASHurl] = ACTIONS(4928),
    [anon_sym_BSLASHhref] = ACTIONS(4928),
  },
  [285] = {
    [sym_block_comment] = STATE(281),
    [sym__text_content] = STATE(281),
    [sym_curly_group] = STATE(281),
    [sym_text] = STATE(281),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(281),
    [sym_displayed_equation] = STATE(281),
    [sym_inline_formula] = STATE(281),
    [sym_math_delimiter] = STATE(281),
    [sym_text_mode] = STATE(281),
    [sym__command] = STATE(281),
    [sym_generic_command] = STATE(281),
    [sym_title_declaration] = STATE(281),
    [sym_author_declaration] = STATE(281),
    [sym_package_include] = STATE(281),
    [sym_class_include] = STATE(281),
    [sym_latex_include] = STATE(281),
    [sym_biblatex_include] = STATE(281),
    [sym_bibstyle_include] = STATE(281),
    [sym_bibtex_include] = STATE(281),
    [sym_graphics_include] = STATE(281),
    [sym_svg_include] = STATE(281),
    [sym_inkscape_include] = STATE(281),
    [sym_verbatim_include] = STATE(281),
    [sym_import_include] = STATE(281),
    [sym_caption] = STATE(281),
    [sym_citation] = STATE(281),
    [sym_label_definition] = STATE(281),
    [sym_label_reference] = STATE(281),
    [sym_label_reference_range] = STATE(281),
    [sym_label_number] = STATE(281),
    [sym_new_command_definition] = STATE(281),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(281),
    [sym_let_command_definition] = STATE(281),
    [sym_paired_delimiter_definition] = STATE(281),
    [sym_environment_definition] = STATE(281),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(281),
    [sym_glossary_entry_reference] = STATE(281),
    [sym_acronym_definition] = STATE(281),
    [sym_acronym_reference] = STATE(281),
    [sym_theorem_definition] = STATE(281),
    [sym_color_definition] = STATE(281),
    [sym_color_set_definition] = STATE(281),
    [sym_color_reference] = STATE(281),
    [sym_tikz_library_import] = STATE(281),
    [sym_hyperlink] = STATE(281),
    [aux_sym_curly_group_impl_repeat1] = STATE(281),
    [aux_sym_text_repeat1] = STATE(331),
    [sym_command_name] = ACTIONS(4812),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4814),
    [anon_sym_LBRACK] = ACTIONS(4816),
    [anon_sym_RBRACK] = ACTIONS(4816),
    [anon_sym_COMMA] = ACTIONS(4816),
    [anon_sym_EQ] = ACTIONS(4816),
    [anon_sym_LPAREN] = ACTIONS(4816),
    [anon_sym_RPAREN] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(5134),
    [sym_word] = ACTIONS(4822),
    [sym_placeholder] = ACTIONS(4824),
    [sym_delimiter] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_BANG] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4828),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym__] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4834),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4834),
    [anon_sym_DOLLAR] = ACTIONS(4836),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4838),
    [anon_sym_BSLASHleft] = ACTIONS(4840),
    [anon_sym_BSLASHbigl] = ACTIONS(4840),
    [anon_sym_BSLASHBigl] = ACTIONS(4840),
    [anon_sym_BSLASHbiggl] = ACTIONS(4840),
    [anon_sym_BSLASHBiggl] = ACTIONS(4840),
    [anon_sym_BSLASHtext] = ACTIONS(4842),
    [anon_sym_BSLASHintertext] = ACTIONS(4842),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4842),
    [anon_sym_BSLASHtitle] = ACTIONS(4844),
    [anon_sym_BSLASHauthor] = ACTIONS(4846),
    [anon_sym_BSLASHusepackage] = ACTIONS(4848),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4848),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4850),
    [anon_sym_BSLASHinclude] = ACTIONS(4852),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4852),
    [anon_sym_BSLASHinput] = ACTIONS(4852),
    [anon_sym_BSLASHsubfile] = ACTIONS(4852),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4856),
    [anon_sym_BSLASHbibliography] = ACTIONS(4858),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4860),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4862),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4866),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4866),
    [anon_sym_BSLASHimport] = ACTIONS(4868),
    [anon_sym_BSLASHsubimport] = ACTIONS(4868),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4868),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHcaption] = ACTIONS(4870),
    [anon_sym_BSLASHcite] = ACTIONS(4872),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCite] = ACTIONS(4872),
    [anon_sym_BSLASHnocite] = ACTIONS(4872),
    [anon_sym_BSLASHcitet] = ACTIONS(4872),
    [anon_sym_BSLASHcitep] = ACTIONS(4872),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteA] = ACTIONS(4872),
    [anon_sym_BSLASHciteR] = ACTIONS(4872),
    [anon_sym_BSLASHciteS] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4872),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteyear] = ACTIONS(4872),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitedate] = ACTIONS(4872),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteurl] = ACTIONS(4872),
    [anon_sym_BSLASHfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4872),
    [anon_sym_BSLASHcitealt] = ACTIONS(4872),
    [anon_sym_BSLASHcitealp] = ACTIONS(4872),
    [anon_sym_BSLASHcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHparencite] = ACTIONS(4872),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHParencite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHtextcite] = ACTIONS(4872),
    [anon_sym_BSLASHTextcite] = ACTIONS(4872),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHsupercite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite] = ACTIONS(4872),
    [anon_sym_BSLASHAutocite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHVolcite] = ACTIONS(4872),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHavolcite] = ACTIONS(4872),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHNotecite] = ACTIONS(4872),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHlabel] = ACTIONS(4876),
    [anon_sym_BSLASHref] = ACTIONS(4878),
    [anon_sym_BSLASHeqref] = ACTIONS(4878),
    [anon_sym_BSLASHvref] = ACTIONS(4878),
    [anon_sym_BSLASHVref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHpageref] = ACTIONS(4878),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHautopageref] = ACTIONS(4878),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcref] = ACTIONS(4878),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHCref] = ACTIONS(4878),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHCpageref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnameCref] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4886),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4888),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHdef] = ACTIONS(4896),
    [anon_sym_BSLASHgdef] = ACTIONS(4896),
    [anon_sym_BSLASHedef] = ACTIONS(4896),
    [anon_sym_BSLASHxdef] = ACTIONS(4896),
    [anon_sym_BSLASHlet] = ACTIONS(4898),
    [anon_sym_BSLASHglet] = ACTIONS(4898),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4900),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4900),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4908),
    [anon_sym_BSLASHgls] = ACTIONS(4910),
    [anon_sym_BSLASHGls] = ACTIONS(4910),
    [anon_sym_BSLASHGLS] = ACTIONS(4910),
    [anon_sym_BSLASHglspl] = ACTIONS(4910),
    [anon_sym_BSLASHGlspl] = ACTIONS(4910),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4910),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4910),
    [anon_sym_BSLASHglslink] = ACTIONS(4910),
    [anon_sym_BSLASHglstext] = ACTIONS(4910),
    [anon_sym_BSLASHGlstext] = ACTIONS(4910),
    [anon_sym_BSLASHGLStext] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4910),
    [anon_sym_BSLASHglsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsname] = ACTIONS(4910),
    [anon_sym_BSLASHGlsname] = ACTIONS(4910),
    [anon_sym_BSLASHGLSname] = ACTIONS(4910),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4910),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4912),
    [anon_sym_BSLASHacrshort] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4914),
    [anon_sym_BSLASHACRshort] = ACTIONS(4914),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrlong] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4914),
    [anon_sym_BSLASHACRlong] = ACTIONS(4914),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrfull] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4914),
    [anon_sym_BSLASHACRfull] = ACTIONS(4914),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHacs] = ACTIONS(4914),
    [anon_sym_BSLASHAcs] = ACTIONS(4914),
    [anon_sym_BSLASHacsp] = ACTIONS(4914),
    [anon_sym_BSLASHAcsp] = ACTIONS(4914),
    [anon_sym_BSLASHacl] = ACTIONS(4914),
    [anon_sym_BSLASHAcl] = ACTIONS(4914),
    [anon_sym_BSLASHaclp] = ACTIONS(4914),
    [anon_sym_BSLASHAclp] = ACTIONS(4914),
    [anon_sym_BSLASHacf] = ACTIONS(4914),
    [anon_sym_BSLASHAcf] = ACTIONS(4914),
    [anon_sym_BSLASHacfp] = ACTIONS(4914),
    [anon_sym_BSLASHAcfp] = ACTIONS(4914),
    [anon_sym_BSLASHac] = ACTIONS(4914),
    [anon_sym_BSLASHAc] = ACTIONS(4914),
    [anon_sym_BSLASHacp] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4916),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4916),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4920),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4922),
    [anon_sym_BSLASHcolor] = ACTIONS(4924),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4924),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4924),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4924),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4924),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4926),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4926),
    [anon_sym_BSLASHurl] = ACTIONS(4928),
    [anon_sym_BSLASHhref] = ACTIONS(4928),
  },
  [286] = {
    [sym_block_comment] = STATE(288),
    [sym__text_content] = STATE(288),
    [sym_curly_group] = STATE(288),
    [sym_text] = STATE(288),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(288),
    [sym_displayed_equation] = STATE(288),
    [sym_inline_formula] = STATE(288),
    [sym_math_delimiter] = STATE(288),
    [sym_text_mode] = STATE(288),
    [sym__command] = STATE(288),
    [sym_generic_command] = STATE(288),
    [sym_title_declaration] = STATE(288),
    [sym_author_declaration] = STATE(288),
    [sym_package_include] = STATE(288),
    [sym_class_include] = STATE(288),
    [sym_latex_include] = STATE(288),
    [sym_biblatex_include] = STATE(288),
    [sym_bibstyle_include] = STATE(288),
    [sym_bibtex_include] = STATE(288),
    [sym_graphics_include] = STATE(288),
    [sym_svg_include] = STATE(288),
    [sym_inkscape_include] = STATE(288),
    [sym_verbatim_include] = STATE(288),
    [sym_import_include] = STATE(288),
    [sym_caption] = STATE(288),
    [sym_citation] = STATE(288),
    [sym_label_definition] = STATE(288),
    [sym_label_reference] = STATE(288),
    [sym_label_reference_range] = STATE(288),
    [sym_label_number] = STATE(288),
    [sym_new_command_definition] = STATE(288),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(288),
    [sym_let_command_definition] = STATE(288),
    [sym_paired_delimiter_definition] = STATE(288),
    [sym_environment_definition] = STATE(288),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(288),
    [sym_glossary_entry_reference] = STATE(288),
    [sym_acronym_definition] = STATE(288),
    [sym_acronym_reference] = STATE(288),
    [sym_theorem_definition] = STATE(288),
    [sym_color_definition] = STATE(288),
    [sym_color_set_definition] = STATE(288),
    [sym_color_reference] = STATE(288),
    [sym_tikz_library_import] = STATE(288),
    [sym_hyperlink] = STATE(288),
    [aux_sym_curly_group_impl_repeat1] = STATE(288),
    [aux_sym_text_repeat1] = STATE(331),
    [sym_command_name] = ACTIONS(4812),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4814),
    [anon_sym_LBRACK] = ACTIONS(5136),
    [anon_sym_RBRACK] = ACTIONS(5136),
    [anon_sym_COMMA] = ACTIONS(5136),
    [anon_sym_EQ] = ACTIONS(5136),
    [anon_sym_LPAREN] = ACTIONS(5136),
    [anon_sym_RPAREN] = ACTIONS(5136),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(5138),
    [sym_word] = ACTIONS(4822),
    [sym_placeholder] = ACTIONS(4824),
    [sym_delimiter] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_BANG] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4828),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym__] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4834),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4834),
    [anon_sym_DOLLAR] = ACTIONS(4836),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4838),
    [anon_sym_BSLASHleft] = ACTIONS(4840),
    [anon_sym_BSLASHbigl] = ACTIONS(4840),
    [anon_sym_BSLASHBigl] = ACTIONS(4840),
    [anon_sym_BSLASHbiggl] = ACTIONS(4840),
    [anon_sym_BSLASHBiggl] = ACTIONS(4840),
    [anon_sym_BSLASHtext] = ACTIONS(4842),
    [anon_sym_BSLASHintertext] = ACTIONS(4842),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4842),
    [anon_sym_BSLASHtitle] = ACTIONS(4844),
    [anon_sym_BSLASHauthor] = ACTIONS(4846),
    [anon_sym_BSLASHusepackage] = ACTIONS(4848),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4848),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4850),
    [anon_sym_BSLASHinclude] = ACTIONS(4852),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4852),
    [anon_sym_BSLASHinput] = ACTIONS(4852),
    [anon_sym_BSLASHsubfile] = ACTIONS(4852),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4856),
    [anon_sym_BSLASHbibliography] = ACTIONS(4858),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4860),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4862),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4866),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4866),
    [anon_sym_BSLASHimport] = ACTIONS(4868),
    [anon_sym_BSLASHsubimport] = ACTIONS(4868),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4868),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHcaption] = ACTIONS(4870),
    [anon_sym_BSLASHcite] = ACTIONS(4872),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCite] = ACTIONS(4872),
    [anon_sym_BSLASHnocite] = ACTIONS(4872),
    [anon_sym_BSLASHcitet] = ACTIONS(4872),
    [anon_sym_BSLASHcitep] = ACTIONS(4872),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteA] = ACTIONS(4872),
    [anon_sym_BSLASHciteR] = ACTIONS(4872),
    [anon_sym_BSLASHciteS] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4872),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteyear] = ACTIONS(4872),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitedate] = ACTIONS(4872),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteurl] = ACTIONS(4872),
    [anon_sym_BSLASHfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4872),
    [anon_sym_BSLASHcitealt] = ACTIONS(4872),
    [anon_sym_BSLASHcitealp] = ACTIONS(4872),
    [anon_sym_BSLASHcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHparencite] = ACTIONS(4872),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHParencite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHtextcite] = ACTIONS(4872),
    [anon_sym_BSLASHTextcite] = ACTIONS(4872),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHsupercite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite] = ACTIONS(4872),
    [anon_sym_BSLASHAutocite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHVolcite] = ACTIONS(4872),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHavolcite] = ACTIONS(4872),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHNotecite] = ACTIONS(4872),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHlabel] = ACTIONS(4876),
    [anon_sym_BSLASHref] = ACTIONS(4878),
    [anon_sym_BSLASHeqref] = ACTIONS(4878),
    [anon_sym_BSLASHvref] = ACTIONS(4878),
    [anon_sym_BSLASHVref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHpageref] = ACTIONS(4878),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHautopageref] = ACTIONS(4878),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcref] = ACTIONS(4878),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHCref] = ACTIONS(4878),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHCpageref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnameCref] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4886),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4888),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHdef] = ACTIONS(4896),
    [anon_sym_BSLASHgdef] = ACTIONS(4896),
    [anon_sym_BSLASHedef] = ACTIONS(4896),
    [anon_sym_BSLASHxdef] = ACTIONS(4896),
    [anon_sym_BSLASHlet] = ACTIONS(4898),
    [anon_sym_BSLASHglet] = ACTIONS(4898),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4900),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4900),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4908),
    [anon_sym_BSLASHgls] = ACTIONS(4910),
    [anon_sym_BSLASHGls] = ACTIONS(4910),
    [anon_sym_BSLASHGLS] = ACTIONS(4910),
    [anon_sym_BSLASHglspl] = ACTIONS(4910),
    [anon_sym_BSLASHGlspl] = ACTIONS(4910),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4910),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4910),
    [anon_sym_BSLASHglslink] = ACTIONS(4910),
    [anon_sym_BSLASHglstext] = ACTIONS(4910),
    [anon_sym_BSLASHGlstext] = ACTIONS(4910),
    [anon_sym_BSLASHGLStext] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4910),
    [anon_sym_BSLASHglsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsname] = ACTIONS(4910),
    [anon_sym_BSLASHGlsname] = ACTIONS(4910),
    [anon_sym_BSLASHGLSname] = ACTIONS(4910),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4910),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4912),
    [anon_sym_BSLASHacrshort] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4914),
    [anon_sym_BSLASHACRshort] = ACTIONS(4914),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrlong] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4914),
    [anon_sym_BSLASHACRlong] = ACTIONS(4914),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrfull] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4914),
    [anon_sym_BSLASHACRfull] = ACTIONS(4914),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHacs] = ACTIONS(4914),
    [anon_sym_BSLASHAcs] = ACTIONS(4914),
    [anon_sym_BSLASHacsp] = ACTIONS(4914),
    [anon_sym_BSLASHAcsp] = ACTIONS(4914),
    [anon_sym_BSLASHacl] = ACTIONS(4914),
    [anon_sym_BSLASHAcl] = ACTIONS(4914),
    [anon_sym_BSLASHaclp] = ACTIONS(4914),
    [anon_sym_BSLASHAclp] = ACTIONS(4914),
    [anon_sym_BSLASHacf] = ACTIONS(4914),
    [anon_sym_BSLASHAcf] = ACTIONS(4914),
    [anon_sym_BSLASHacfp] = ACTIONS(4914),
    [anon_sym_BSLASHAcfp] = ACTIONS(4914),
    [anon_sym_BSLASHac] = ACTIONS(4914),
    [anon_sym_BSLASHAc] = ACTIONS(4914),
    [anon_sym_BSLASHacp] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4916),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4916),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4920),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4922),
    [anon_sym_BSLASHcolor] = ACTIONS(4924),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4924),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4924),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4924),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4924),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4926),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4926),
    [anon_sym_BSLASHurl] = ACTIONS(4928),
    [anon_sym_BSLASHhref] = ACTIONS(4928),
  },
  [287] = {
    [sym_block_comment] = STATE(281),
    [sym__text_content] = STATE(281),
    [sym_curly_group] = STATE(281),
    [sym_text] = STATE(281),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(281),
    [sym_displayed_equation] = STATE(281),
    [sym_inline_formula] = STATE(281),
    [sym_math_delimiter] = STATE(281),
    [sym_text_mode] = STATE(281),
    [sym__command] = STATE(281),
    [sym_generic_command] = STATE(281),
    [sym_title_declaration] = STATE(281),
    [sym_author_declaration] = STATE(281),
    [sym_package_include] = STATE(281),
    [sym_class_include] = STATE(281),
    [sym_latex_include] = STATE(281),
    [sym_biblatex_include] = STATE(281),
    [sym_bibstyle_include] = STATE(281),
    [sym_bibtex_include] = STATE(281),
    [sym_graphics_include] = STATE(281),
    [sym_svg_include] = STATE(281),
    [sym_inkscape_include] = STATE(281),
    [sym_verbatim_include] = STATE(281),
    [sym_import_include] = STATE(281),
    [sym_caption] = STATE(281),
    [sym_citation] = STATE(281),
    [sym_label_definition] = STATE(281),
    [sym_label_reference] = STATE(281),
    [sym_label_reference_range] = STATE(281),
    [sym_label_number] = STATE(281),
    [sym_new_command_definition] = STATE(281),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(281),
    [sym_let_command_definition] = STATE(281),
    [sym_paired_delimiter_definition] = STATE(281),
    [sym_environment_definition] = STATE(281),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(281),
    [sym_glossary_entry_reference] = STATE(281),
    [sym_acronym_definition] = STATE(281),
    [sym_acronym_reference] = STATE(281),
    [sym_theorem_definition] = STATE(281),
    [sym_color_definition] = STATE(281),
    [sym_color_set_definition] = STATE(281),
    [sym_color_reference] = STATE(281),
    [sym_tikz_library_import] = STATE(281),
    [sym_hyperlink] = STATE(281),
    [aux_sym_curly_group_impl_repeat1] = STATE(281),
    [aux_sym_text_repeat1] = STATE(331),
    [sym_command_name] = ACTIONS(4812),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4814),
    [anon_sym_LBRACK] = ACTIONS(4816),
    [anon_sym_RBRACK] = ACTIONS(4816),
    [anon_sym_COMMA] = ACTIONS(4816),
    [anon_sym_EQ] = ACTIONS(4816),
    [anon_sym_LPAREN] = ACTIONS(4816),
    [anon_sym_RPAREN] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(5140),
    [sym_word] = ACTIONS(4822),
    [sym_placeholder] = ACTIONS(4824),
    [sym_delimiter] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_BANG] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4828),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym__] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4834),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4834),
    [anon_sym_DOLLAR] = ACTIONS(4836),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4838),
    [anon_sym_BSLASHleft] = ACTIONS(4840),
    [anon_sym_BSLASHbigl] = ACTIONS(4840),
    [anon_sym_BSLASHBigl] = ACTIONS(4840),
    [anon_sym_BSLASHbiggl] = ACTIONS(4840),
    [anon_sym_BSLASHBiggl] = ACTIONS(4840),
    [anon_sym_BSLASHtext] = ACTIONS(4842),
    [anon_sym_BSLASHintertext] = ACTIONS(4842),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4842),
    [anon_sym_BSLASHtitle] = ACTIONS(4844),
    [anon_sym_BSLASHauthor] = ACTIONS(4846),
    [anon_sym_BSLASHusepackage] = ACTIONS(4848),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4848),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4850),
    [anon_sym_BSLASHinclude] = ACTIONS(4852),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4852),
    [anon_sym_BSLASHinput] = ACTIONS(4852),
    [anon_sym_BSLASHsubfile] = ACTIONS(4852),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4856),
    [anon_sym_BSLASHbibliography] = ACTIONS(4858),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4860),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4862),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4866),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4866),
    [anon_sym_BSLASHimport] = ACTIONS(4868),
    [anon_sym_BSLASHsubimport] = ACTIONS(4868),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4868),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHcaption] = ACTIONS(4870),
    [anon_sym_BSLASHcite] = ACTIONS(4872),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCite] = ACTIONS(4872),
    [anon_sym_BSLASHnocite] = ACTIONS(4872),
    [anon_sym_BSLASHcitet] = ACTIONS(4872),
    [anon_sym_BSLASHcitep] = ACTIONS(4872),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteA] = ACTIONS(4872),
    [anon_sym_BSLASHciteR] = ACTIONS(4872),
    [anon_sym_BSLASHciteS] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4872),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteyear] = ACTIONS(4872),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitedate] = ACTIONS(4872),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteurl] = ACTIONS(4872),
    [anon_sym_BSLASHfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4872),
    [anon_sym_BSLASHcitealt] = ACTIONS(4872),
    [anon_sym_BSLASHcitealp] = ACTIONS(4872),
    [anon_sym_BSLASHcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHparencite] = ACTIONS(4872),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHParencite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHtextcite] = ACTIONS(4872),
    [anon_sym_BSLASHTextcite] = ACTIONS(4872),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHsupercite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite] = ACTIONS(4872),
    [anon_sym_BSLASHAutocite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHVolcite] = ACTIONS(4872),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHavolcite] = ACTIONS(4872),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHNotecite] = ACTIONS(4872),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHlabel] = ACTIONS(4876),
    [anon_sym_BSLASHref] = ACTIONS(4878),
    [anon_sym_BSLASHeqref] = ACTIONS(4878),
    [anon_sym_BSLASHvref] = ACTIONS(4878),
    [anon_sym_BSLASHVref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHpageref] = ACTIONS(4878),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHautopageref] = ACTIONS(4878),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcref] = ACTIONS(4878),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHCref] = ACTIONS(4878),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHCpageref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnameCref] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4886),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4888),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHdef] = ACTIONS(4896),
    [anon_sym_BSLASHgdef] = ACTIONS(4896),
    [anon_sym_BSLASHedef] = ACTIONS(4896),
    [anon_sym_BSLASHxdef] = ACTIONS(4896),
    [anon_sym_BSLASHlet] = ACTIONS(4898),
    [anon_sym_BSLASHglet] = ACTIONS(4898),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4900),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4900),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4908),
    [anon_sym_BSLASHgls] = ACTIONS(4910),
    [anon_sym_BSLASHGls] = ACTIONS(4910),
    [anon_sym_BSLASHGLS] = ACTIONS(4910),
    [anon_sym_BSLASHglspl] = ACTIONS(4910),
    [anon_sym_BSLASHGlspl] = ACTIONS(4910),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4910),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4910),
    [anon_sym_BSLASHglslink] = ACTIONS(4910),
    [anon_sym_BSLASHglstext] = ACTIONS(4910),
    [anon_sym_BSLASHGlstext] = ACTIONS(4910),
    [anon_sym_BSLASHGLStext] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4910),
    [anon_sym_BSLASHglsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsname] = ACTIONS(4910),
    [anon_sym_BSLASHGlsname] = ACTIONS(4910),
    [anon_sym_BSLASHGLSname] = ACTIONS(4910),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4910),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4912),
    [anon_sym_BSLASHacrshort] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4914),
    [anon_sym_BSLASHACRshort] = ACTIONS(4914),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrlong] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4914),
    [anon_sym_BSLASHACRlong] = ACTIONS(4914),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrfull] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4914),
    [anon_sym_BSLASHACRfull] = ACTIONS(4914),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHacs] = ACTIONS(4914),
    [anon_sym_BSLASHAcs] = ACTIONS(4914),
    [anon_sym_BSLASHacsp] = ACTIONS(4914),
    [anon_sym_BSLASHAcsp] = ACTIONS(4914),
    [anon_sym_BSLASHacl] = ACTIONS(4914),
    [anon_sym_BSLASHAcl] = ACTIONS(4914),
    [anon_sym_BSLASHaclp] = ACTIONS(4914),
    [anon_sym_BSLASHAclp] = ACTIONS(4914),
    [anon_sym_BSLASHacf] = ACTIONS(4914),
    [anon_sym_BSLASHAcf] = ACTIONS(4914),
    [anon_sym_BSLASHacfp] = ACTIONS(4914),
    [anon_sym_BSLASHAcfp] = ACTIONS(4914),
    [anon_sym_BSLASHac] = ACTIONS(4914),
    [anon_sym_BSLASHAc] = ACTIONS(4914),
    [anon_sym_BSLASHacp] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4916),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4916),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4920),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4922),
    [anon_sym_BSLASHcolor] = ACTIONS(4924),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4924),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4924),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4924),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4924),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4926),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4926),
    [anon_sym_BSLASHurl] = ACTIONS(4928),
    [anon_sym_BSLASHhref] = ACTIONS(4928),
  },
  [288] = {
    [sym_block_comment] = STATE(281),
    [sym__text_content] = STATE(281),
    [sym_curly_group] = STATE(281),
    [sym_text] = STATE(281),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(281),
    [sym_displayed_equation] = STATE(281),
    [sym_inline_formula] = STATE(281),
    [sym_math_delimiter] = STATE(281),
    [sym_text_mode] = STATE(281),
    [sym__command] = STATE(281),
    [sym_generic_command] = STATE(281),
    [sym_title_declaration] = STATE(281),
    [sym_author_declaration] = STATE(281),
    [sym_package_include] = STATE(281),
    [sym_class_include] = STATE(281),
    [sym_latex_include] = STATE(281),
    [sym_biblatex_include] = STATE(281),
    [sym_bibstyle_include] = STATE(281),
    [sym_bibtex_include] = STATE(281),
    [sym_graphics_include] = STATE(281),
    [sym_svg_include] = STATE(281),
    [sym_inkscape_include] = STATE(281),
    [sym_verbatim_include] = STATE(281),
    [sym_import_include] = STATE(281),
    [sym_caption] = STATE(281),
    [sym_citation] = STATE(281),
    [sym_label_definition] = STATE(281),
    [sym_label_reference] = STATE(281),
    [sym_label_reference_range] = STATE(281),
    [sym_label_number] = STATE(281),
    [sym_new_command_definition] = STATE(281),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(281),
    [sym_let_command_definition] = STATE(281),
    [sym_paired_delimiter_definition] = STATE(281),
    [sym_environment_definition] = STATE(281),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(281),
    [sym_glossary_entry_reference] = STATE(281),
    [sym_acronym_definition] = STATE(281),
    [sym_acronym_reference] = STATE(281),
    [sym_theorem_definition] = STATE(281),
    [sym_color_definition] = STATE(281),
    [sym_color_set_definition] = STATE(281),
    [sym_color_reference] = STATE(281),
    [sym_tikz_library_import] = STATE(281),
    [sym_hyperlink] = STATE(281),
    [aux_sym_curly_group_impl_repeat1] = STATE(281),
    [aux_sym_text_repeat1] = STATE(331),
    [sym_command_name] = ACTIONS(4812),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4814),
    [anon_sym_LBRACK] = ACTIONS(4816),
    [anon_sym_RBRACK] = ACTIONS(4816),
    [anon_sym_COMMA] = ACTIONS(4816),
    [anon_sym_EQ] = ACTIONS(4816),
    [anon_sym_LPAREN] = ACTIONS(4816),
    [anon_sym_RPAREN] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(5142),
    [sym_word] = ACTIONS(4822),
    [sym_placeholder] = ACTIONS(4824),
    [sym_delimiter] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_BANG] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4828),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym__] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4834),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4834),
    [anon_sym_DOLLAR] = ACTIONS(4836),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4838),
    [anon_sym_BSLASHleft] = ACTIONS(4840),
    [anon_sym_BSLASHbigl] = ACTIONS(4840),
    [anon_sym_BSLASHBigl] = ACTIONS(4840),
    [anon_sym_BSLASHbiggl] = ACTIONS(4840),
    [anon_sym_BSLASHBiggl] = ACTIONS(4840),
    [anon_sym_BSLASHtext] = ACTIONS(4842),
    [anon_sym_BSLASHintertext] = ACTIONS(4842),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4842),
    [anon_sym_BSLASHtitle] = ACTIONS(4844),
    [anon_sym_BSLASHauthor] = ACTIONS(4846),
    [anon_sym_BSLASHusepackage] = ACTIONS(4848),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4848),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4850),
    [anon_sym_BSLASHinclude] = ACTIONS(4852),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4852),
    [anon_sym_BSLASHinput] = ACTIONS(4852),
    [anon_sym_BSLASHsubfile] = ACTIONS(4852),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4856),
    [anon_sym_BSLASHbibliography] = ACTIONS(4858),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4860),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4862),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4866),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4866),
    [anon_sym_BSLASHimport] = ACTIONS(4868),
    [anon_sym_BSLASHsubimport] = ACTIONS(4868),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4868),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHcaption] = ACTIONS(4870),
    [anon_sym_BSLASHcite] = ACTIONS(4872),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCite] = ACTIONS(4872),
    [anon_sym_BSLASHnocite] = ACTIONS(4872),
    [anon_sym_BSLASHcitet] = ACTIONS(4872),
    [anon_sym_BSLASHcitep] = ACTIONS(4872),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteA] = ACTIONS(4872),
    [anon_sym_BSLASHciteR] = ACTIONS(4872),
    [anon_sym_BSLASHciteS] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4872),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteyear] = ACTIONS(4872),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitedate] = ACTIONS(4872),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteurl] = ACTIONS(4872),
    [anon_sym_BSLASHfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4872),
    [anon_sym_BSLASHcitealt] = ACTIONS(4872),
    [anon_sym_BSLASHcitealp] = ACTIONS(4872),
    [anon_sym_BSLASHcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHparencite] = ACTIONS(4872),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHParencite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHtextcite] = ACTIONS(4872),
    [anon_sym_BSLASHTextcite] = ACTIONS(4872),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHsupercite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite] = ACTIONS(4872),
    [anon_sym_BSLASHAutocite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHVolcite] = ACTIONS(4872),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHavolcite] = ACTIONS(4872),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHNotecite] = ACTIONS(4872),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHlabel] = ACTIONS(4876),
    [anon_sym_BSLASHref] = ACTIONS(4878),
    [anon_sym_BSLASHeqref] = ACTIONS(4878),
    [anon_sym_BSLASHvref] = ACTIONS(4878),
    [anon_sym_BSLASHVref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHpageref] = ACTIONS(4878),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHautopageref] = ACTIONS(4878),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcref] = ACTIONS(4878),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHCref] = ACTIONS(4878),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHCpageref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnameCref] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4886),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4888),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHdef] = ACTIONS(4896),
    [anon_sym_BSLASHgdef] = ACTIONS(4896),
    [anon_sym_BSLASHedef] = ACTIONS(4896),
    [anon_sym_BSLASHxdef] = ACTIONS(4896),
    [anon_sym_BSLASHlet] = ACTIONS(4898),
    [anon_sym_BSLASHglet] = ACTIONS(4898),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4900),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4900),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4908),
    [anon_sym_BSLASHgls] = ACTIONS(4910),
    [anon_sym_BSLASHGls] = ACTIONS(4910),
    [anon_sym_BSLASHGLS] = ACTIONS(4910),
    [anon_sym_BSLASHglspl] = ACTIONS(4910),
    [anon_sym_BSLASHGlspl] = ACTIONS(4910),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4910),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4910),
    [anon_sym_BSLASHglslink] = ACTIONS(4910),
    [anon_sym_BSLASHglstext] = ACTIONS(4910),
    [anon_sym_BSLASHGlstext] = ACTIONS(4910),
    [anon_sym_BSLASHGLStext] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4910),
    [anon_sym_BSLASHglsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsname] = ACTIONS(4910),
    [anon_sym_BSLASHGlsname] = ACTIONS(4910),
    [anon_sym_BSLASHGLSname] = ACTIONS(4910),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4910),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4912),
    [anon_sym_BSLASHacrshort] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4914),
    [anon_sym_BSLASHACRshort] = ACTIONS(4914),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrlong] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4914),
    [anon_sym_BSLASHACRlong] = ACTIONS(4914),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrfull] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4914),
    [anon_sym_BSLASHACRfull] = ACTIONS(4914),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHacs] = ACTIONS(4914),
    [anon_sym_BSLASHAcs] = ACTIONS(4914),
    [anon_sym_BSLASHacsp] = ACTIONS(4914),
    [anon_sym_BSLASHAcsp] = ACTIONS(4914),
    [anon_sym_BSLASHacl] = ACTIONS(4914),
    [anon_sym_BSLASHAcl] = ACTIONS(4914),
    [anon_sym_BSLASHaclp] = ACTIONS(4914),
    [anon_sym_BSLASHAclp] = ACTIONS(4914),
    [anon_sym_BSLASHacf] = ACTIONS(4914),
    [anon_sym_BSLASHAcf] = ACTIONS(4914),
    [anon_sym_BSLASHacfp] = ACTIONS(4914),
    [anon_sym_BSLASHAcfp] = ACTIONS(4914),
    [anon_sym_BSLASHac] = ACTIONS(4914),
    [anon_sym_BSLASHAc] = ACTIONS(4914),
    [anon_sym_BSLASHacp] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4916),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4916),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4920),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4922),
    [anon_sym_BSLASHcolor] = ACTIONS(4924),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4924),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4924),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4924),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4924),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4926),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4926),
    [anon_sym_BSLASHurl] = ACTIONS(4928),
    [anon_sym_BSLASHhref] = ACTIONS(4928),
  },
  [289] = {
    [sym_block_comment] = STATE(290),
    [sym__text_content] = STATE(290),
    [sym_curly_group] = STATE(290),
    [sym_text] = STATE(290),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(290),
    [sym_displayed_equation] = STATE(290),
    [sym_inline_formula] = STATE(290),
    [sym_math_delimiter] = STATE(290),
    [sym_text_mode] = STATE(290),
    [sym__command] = STATE(290),
    [sym_generic_command] = STATE(290),
    [sym_title_declaration] = STATE(290),
    [sym_author_declaration] = STATE(290),
    [sym_package_include] = STATE(290),
    [sym_class_include] = STATE(290),
    [sym_latex_include] = STATE(290),
    [sym_biblatex_include] = STATE(290),
    [sym_bibstyle_include] = STATE(290),
    [sym_bibtex_include] = STATE(290),
    [sym_graphics_include] = STATE(290),
    [sym_svg_include] = STATE(290),
    [sym_inkscape_include] = STATE(290),
    [sym_verbatim_include] = STATE(290),
    [sym_import_include] = STATE(290),
    [sym_caption] = STATE(290),
    [sym_citation] = STATE(290),
    [sym_label_definition] = STATE(290),
    [sym_label_reference] = STATE(290),
    [sym_label_reference_range] = STATE(290),
    [sym_label_number] = STATE(290),
    [sym_new_command_definition] = STATE(290),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(290),
    [sym_let_command_definition] = STATE(290),
    [sym_paired_delimiter_definition] = STATE(290),
    [sym_environment_definition] = STATE(290),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(290),
    [sym_glossary_entry_reference] = STATE(290),
    [sym_acronym_definition] = STATE(290),
    [sym_acronym_reference] = STATE(290),
    [sym_theorem_definition] = STATE(290),
    [sym_color_definition] = STATE(290),
    [sym_color_set_definition] = STATE(290),
    [sym_color_reference] = STATE(290),
    [sym_tikz_library_import] = STATE(290),
    [sym_hyperlink] = STATE(290),
    [aux_sym_curly_group_impl_repeat1] = STATE(290),
    [aux_sym_text_repeat1] = STATE(331),
    [sym_command_name] = ACTIONS(4812),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4814),
    [anon_sym_LBRACK] = ACTIONS(5144),
    [anon_sym_RBRACK] = ACTIONS(5144),
    [anon_sym_COMMA] = ACTIONS(5144),
    [anon_sym_EQ] = ACTIONS(5144),
    [anon_sym_LPAREN] = ACTIONS(5144),
    [anon_sym_RPAREN] = ACTIONS(5144),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(5146),
    [sym_word] = ACTIONS(4822),
    [sym_placeholder] = ACTIONS(4824),
    [sym_delimiter] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_BANG] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4828),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym__] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4834),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4834),
    [anon_sym_DOLLAR] = ACTIONS(4836),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4838),
    [anon_sym_BSLASHleft] = ACTIONS(4840),
    [anon_sym_BSLASHbigl] = ACTIONS(4840),
    [anon_sym_BSLASHBigl] = ACTIONS(4840),
    [anon_sym_BSLASHbiggl] = ACTIONS(4840),
    [anon_sym_BSLASHBiggl] = ACTIONS(4840),
    [anon_sym_BSLASHtext] = ACTIONS(4842),
    [anon_sym_BSLASHintertext] = ACTIONS(4842),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4842),
    [anon_sym_BSLASHtitle] = ACTIONS(4844),
    [anon_sym_BSLASHauthor] = ACTIONS(4846),
    [anon_sym_BSLASHusepackage] = ACTIONS(4848),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4848),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4850),
    [anon_sym_BSLASHinclude] = ACTIONS(4852),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4852),
    [anon_sym_BSLASHinput] = ACTIONS(4852),
    [anon_sym_BSLASHsubfile] = ACTIONS(4852),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4856),
    [anon_sym_BSLASHbibliography] = ACTIONS(4858),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4860),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4862),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4866),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4866),
    [anon_sym_BSLASHimport] = ACTIONS(4868),
    [anon_sym_BSLASHsubimport] = ACTIONS(4868),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4868),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHcaption] = ACTIONS(4870),
    [anon_sym_BSLASHcite] = ACTIONS(4872),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCite] = ACTIONS(4872),
    [anon_sym_BSLASHnocite] = ACTIONS(4872),
    [anon_sym_BSLASHcitet] = ACTIONS(4872),
    [anon_sym_BSLASHcitep] = ACTIONS(4872),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteA] = ACTIONS(4872),
    [anon_sym_BSLASHciteR] = ACTIONS(4872),
    [anon_sym_BSLASHciteS] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4872),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteyear] = ACTIONS(4872),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitedate] = ACTIONS(4872),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteurl] = ACTIONS(4872),
    [anon_sym_BSLASHfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4872),
    [anon_sym_BSLASHcitealt] = ACTIONS(4872),
    [anon_sym_BSLASHcitealp] = ACTIONS(4872),
    [anon_sym_BSLASHcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHparencite] = ACTIONS(4872),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHParencite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHtextcite] = ACTIONS(4872),
    [anon_sym_BSLASHTextcite] = ACTIONS(4872),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHsupercite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite] = ACTIONS(4872),
    [anon_sym_BSLASHAutocite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHVolcite] = ACTIONS(4872),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHavolcite] = ACTIONS(4872),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHNotecite] = ACTIONS(4872),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHlabel] = ACTIONS(4876),
    [anon_sym_BSLASHref] = ACTIONS(4878),
    [anon_sym_BSLASHeqref] = ACTIONS(4878),
    [anon_sym_BSLASHvref] = ACTIONS(4878),
    [anon_sym_BSLASHVref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHpageref] = ACTIONS(4878),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHautopageref] = ACTIONS(4878),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcref] = ACTIONS(4878),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHCref] = ACTIONS(4878),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHCpageref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnameCref] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4886),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4888),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHdef] = ACTIONS(4896),
    [anon_sym_BSLASHgdef] = ACTIONS(4896),
    [anon_sym_BSLASHedef] = ACTIONS(4896),
    [anon_sym_BSLASHxdef] = ACTIONS(4896),
    [anon_sym_BSLASHlet] = ACTIONS(4898),
    [anon_sym_BSLASHglet] = ACTIONS(4898),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4900),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4900),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4908),
    [anon_sym_BSLASHgls] = ACTIONS(4910),
    [anon_sym_BSLASHGls] = ACTIONS(4910),
    [anon_sym_BSLASHGLS] = ACTIONS(4910),
    [anon_sym_BSLASHglspl] = ACTIONS(4910),
    [anon_sym_BSLASHGlspl] = ACTIONS(4910),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4910),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4910),
    [anon_sym_BSLASHglslink] = ACTIONS(4910),
    [anon_sym_BSLASHglstext] = ACTIONS(4910),
    [anon_sym_BSLASHGlstext] = ACTIONS(4910),
    [anon_sym_BSLASHGLStext] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4910),
    [anon_sym_BSLASHglsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsname] = ACTIONS(4910),
    [anon_sym_BSLASHGlsname] = ACTIONS(4910),
    [anon_sym_BSLASHGLSname] = ACTIONS(4910),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4910),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4912),
    [anon_sym_BSLASHacrshort] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4914),
    [anon_sym_BSLASHACRshort] = ACTIONS(4914),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrlong] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4914),
    [anon_sym_BSLASHACRlong] = ACTIONS(4914),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrfull] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4914),
    [anon_sym_BSLASHACRfull] = ACTIONS(4914),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHacs] = ACTIONS(4914),
    [anon_sym_BSLASHAcs] = ACTIONS(4914),
    [anon_sym_BSLASHacsp] = ACTIONS(4914),
    [anon_sym_BSLASHAcsp] = ACTIONS(4914),
    [anon_sym_BSLASHacl] = ACTIONS(4914),
    [anon_sym_BSLASHAcl] = ACTIONS(4914),
    [anon_sym_BSLASHaclp] = ACTIONS(4914),
    [anon_sym_BSLASHAclp] = ACTIONS(4914),
    [anon_sym_BSLASHacf] = ACTIONS(4914),
    [anon_sym_BSLASHAcf] = ACTIONS(4914),
    [anon_sym_BSLASHacfp] = ACTIONS(4914),
    [anon_sym_BSLASHAcfp] = ACTIONS(4914),
    [anon_sym_BSLASHac] = ACTIONS(4914),
    [anon_sym_BSLASHAc] = ACTIONS(4914),
    [anon_sym_BSLASHacp] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4916),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4916),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4920),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4922),
    [anon_sym_BSLASHcolor] = ACTIONS(4924),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4924),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4924),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4924),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4924),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4926),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4926),
    [anon_sym_BSLASHurl] = ACTIONS(4928),
    [anon_sym_BSLASHhref] = ACTIONS(4928),
  },
  [290] = {
    [sym_block_comment] = STATE(281),
    [sym__text_content] = STATE(281),
    [sym_curly_group] = STATE(281),
    [sym_text] = STATE(281),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(281),
    [sym_displayed_equation] = STATE(281),
    [sym_inline_formula] = STATE(281),
    [sym_math_delimiter] = STATE(281),
    [sym_text_mode] = STATE(281),
    [sym__command] = STATE(281),
    [sym_generic_command] = STATE(281),
    [sym_title_declaration] = STATE(281),
    [sym_author_declaration] = STATE(281),
    [sym_package_include] = STATE(281),
    [sym_class_include] = STATE(281),
    [sym_latex_include] = STATE(281),
    [sym_biblatex_include] = STATE(281),
    [sym_bibstyle_include] = STATE(281),
    [sym_bibtex_include] = STATE(281),
    [sym_graphics_include] = STATE(281),
    [sym_svg_include] = STATE(281),
    [sym_inkscape_include] = STATE(281),
    [sym_verbatim_include] = STATE(281),
    [sym_import_include] = STATE(281),
    [sym_caption] = STATE(281),
    [sym_citation] = STATE(281),
    [sym_label_definition] = STATE(281),
    [sym_label_reference] = STATE(281),
    [sym_label_reference_range] = STATE(281),
    [sym_label_number] = STATE(281),
    [sym_new_command_definition] = STATE(281),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(281),
    [sym_let_command_definition] = STATE(281),
    [sym_paired_delimiter_definition] = STATE(281),
    [sym_environment_definition] = STATE(281),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(281),
    [sym_glossary_entry_reference] = STATE(281),
    [sym_acronym_definition] = STATE(281),
    [sym_acronym_reference] = STATE(281),
    [sym_theorem_definition] = STATE(281),
    [sym_color_definition] = STATE(281),
    [sym_color_set_definition] = STATE(281),
    [sym_color_reference] = STATE(281),
    [sym_tikz_library_import] = STATE(281),
    [sym_hyperlink] = STATE(281),
    [aux_sym_curly_group_impl_repeat1] = STATE(281),
    [aux_sym_text_repeat1] = STATE(331),
    [sym_command_name] = ACTIONS(4812),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4814),
    [anon_sym_LBRACK] = ACTIONS(4816),
    [anon_sym_RBRACK] = ACTIONS(4816),
    [anon_sym_COMMA] = ACTIONS(4816),
    [anon_sym_EQ] = ACTIONS(4816),
    [anon_sym_LPAREN] = ACTIONS(4816),
    [anon_sym_RPAREN] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(5148),
    [sym_word] = ACTIONS(4822),
    [sym_placeholder] = ACTIONS(4824),
    [sym_delimiter] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_BANG] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4828),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym__] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4834),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4834),
    [anon_sym_DOLLAR] = ACTIONS(4836),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4838),
    [anon_sym_BSLASHleft] = ACTIONS(4840),
    [anon_sym_BSLASHbigl] = ACTIONS(4840),
    [anon_sym_BSLASHBigl] = ACTIONS(4840),
    [anon_sym_BSLASHbiggl] = ACTIONS(4840),
    [anon_sym_BSLASHBiggl] = ACTIONS(4840),
    [anon_sym_BSLASHtext] = ACTIONS(4842),
    [anon_sym_BSLASHintertext] = ACTIONS(4842),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4842),
    [anon_sym_BSLASHtitle] = ACTIONS(4844),
    [anon_sym_BSLASHauthor] = ACTIONS(4846),
    [anon_sym_BSLASHusepackage] = ACTIONS(4848),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4848),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4850),
    [anon_sym_BSLASHinclude] = ACTIONS(4852),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4852),
    [anon_sym_BSLASHinput] = ACTIONS(4852),
    [anon_sym_BSLASHsubfile] = ACTIONS(4852),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4856),
    [anon_sym_BSLASHbibliography] = ACTIONS(4858),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4860),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4862),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4866),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4866),
    [anon_sym_BSLASHimport] = ACTIONS(4868),
    [anon_sym_BSLASHsubimport] = ACTIONS(4868),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4868),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHcaption] = ACTIONS(4870),
    [anon_sym_BSLASHcite] = ACTIONS(4872),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCite] = ACTIONS(4872),
    [anon_sym_BSLASHnocite] = ACTIONS(4872),
    [anon_sym_BSLASHcitet] = ACTIONS(4872),
    [anon_sym_BSLASHcitep] = ACTIONS(4872),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteA] = ACTIONS(4872),
    [anon_sym_BSLASHciteR] = ACTIONS(4872),
    [anon_sym_BSLASHciteS] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4872),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteyear] = ACTIONS(4872),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitedate] = ACTIONS(4872),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteurl] = ACTIONS(4872),
    [anon_sym_BSLASHfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4872),
    [anon_sym_BSLASHcitealt] = ACTIONS(4872),
    [anon_sym_BSLASHcitealp] = ACTIONS(4872),
    [anon_sym_BSLASHcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHparencite] = ACTIONS(4872),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHParencite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHtextcite] = ACTIONS(4872),
    [anon_sym_BSLASHTextcite] = ACTIONS(4872),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHsupercite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite] = ACTIONS(4872),
    [anon_sym_BSLASHAutocite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHVolcite] = ACTIONS(4872),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHavolcite] = ACTIONS(4872),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHNotecite] = ACTIONS(4872),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHlabel] = ACTIONS(4876),
    [anon_sym_BSLASHref] = ACTIONS(4878),
    [anon_sym_BSLASHeqref] = ACTIONS(4878),
    [anon_sym_BSLASHvref] = ACTIONS(4878),
    [anon_sym_BSLASHVref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHpageref] = ACTIONS(4878),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHautopageref] = ACTIONS(4878),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcref] = ACTIONS(4878),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHCref] = ACTIONS(4878),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHCpageref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnameCref] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4886),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4888),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHdef] = ACTIONS(4896),
    [anon_sym_BSLASHgdef] = ACTIONS(4896),
    [anon_sym_BSLASHedef] = ACTIONS(4896),
    [anon_sym_BSLASHxdef] = ACTIONS(4896),
    [anon_sym_BSLASHlet] = ACTIONS(4898),
    [anon_sym_BSLASHglet] = ACTIONS(4898),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4900),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4900),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4908),
    [anon_sym_BSLASHgls] = ACTIONS(4910),
    [anon_sym_BSLASHGls] = ACTIONS(4910),
    [anon_sym_BSLASHGLS] = ACTIONS(4910),
    [anon_sym_BSLASHglspl] = ACTIONS(4910),
    [anon_sym_BSLASHGlspl] = ACTIONS(4910),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4910),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4910),
    [anon_sym_BSLASHglslink] = ACTIONS(4910),
    [anon_sym_BSLASHglstext] = ACTIONS(4910),
    [anon_sym_BSLASHGlstext] = ACTIONS(4910),
    [anon_sym_BSLASHGLStext] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4910),
    [anon_sym_BSLASHglsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsname] = ACTIONS(4910),
    [anon_sym_BSLASHGlsname] = ACTIONS(4910),
    [anon_sym_BSLASHGLSname] = ACTIONS(4910),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4910),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4912),
    [anon_sym_BSLASHacrshort] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4914),
    [anon_sym_BSLASHACRshort] = ACTIONS(4914),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrlong] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4914),
    [anon_sym_BSLASHACRlong] = ACTIONS(4914),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrfull] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4914),
    [anon_sym_BSLASHACRfull] = ACTIONS(4914),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHacs] = ACTIONS(4914),
    [anon_sym_BSLASHAcs] = ACTIONS(4914),
    [anon_sym_BSLASHacsp] = ACTIONS(4914),
    [anon_sym_BSLASHAcsp] = ACTIONS(4914),
    [anon_sym_BSLASHacl] = ACTIONS(4914),
    [anon_sym_BSLASHAcl] = ACTIONS(4914),
    [anon_sym_BSLASHaclp] = ACTIONS(4914),
    [anon_sym_BSLASHAclp] = ACTIONS(4914),
    [anon_sym_BSLASHacf] = ACTIONS(4914),
    [anon_sym_BSLASHAcf] = ACTIONS(4914),
    [anon_sym_BSLASHacfp] = ACTIONS(4914),
    [anon_sym_BSLASHAcfp] = ACTIONS(4914),
    [anon_sym_BSLASHac] = ACTIONS(4914),
    [anon_sym_BSLASHAc] = ACTIONS(4914),
    [anon_sym_BSLASHacp] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4916),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4916),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4920),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4922),
    [anon_sym_BSLASHcolor] = ACTIONS(4924),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4924),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4924),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4924),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4924),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4926),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4926),
    [anon_sym_BSLASHurl] = ACTIONS(4928),
    [anon_sym_BSLASHhref] = ACTIONS(4928),
  },
  [291] = {
    [sym_block_comment] = STATE(281),
    [sym__text_content] = STATE(281),
    [sym_curly_group] = STATE(281),
    [sym_text] = STATE(281),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(281),
    [sym_displayed_equation] = STATE(281),
    [sym_inline_formula] = STATE(281),
    [sym_math_delimiter] = STATE(281),
    [sym_text_mode] = STATE(281),
    [sym__command] = STATE(281),
    [sym_generic_command] = STATE(281),
    [sym_title_declaration] = STATE(281),
    [sym_author_declaration] = STATE(281),
    [sym_package_include] = STATE(281),
    [sym_class_include] = STATE(281),
    [sym_latex_include] = STATE(281),
    [sym_biblatex_include] = STATE(281),
    [sym_bibstyle_include] = STATE(281),
    [sym_bibtex_include] = STATE(281),
    [sym_graphics_include] = STATE(281),
    [sym_svg_include] = STATE(281),
    [sym_inkscape_include] = STATE(281),
    [sym_verbatim_include] = STATE(281),
    [sym_import_include] = STATE(281),
    [sym_caption] = STATE(281),
    [sym_citation] = STATE(281),
    [sym_label_definition] = STATE(281),
    [sym_label_reference] = STATE(281),
    [sym_label_reference_range] = STATE(281),
    [sym_label_number] = STATE(281),
    [sym_new_command_definition] = STATE(281),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(281),
    [sym_let_command_definition] = STATE(281),
    [sym_paired_delimiter_definition] = STATE(281),
    [sym_environment_definition] = STATE(281),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(281),
    [sym_glossary_entry_reference] = STATE(281),
    [sym_acronym_definition] = STATE(281),
    [sym_acronym_reference] = STATE(281),
    [sym_theorem_definition] = STATE(281),
    [sym_color_definition] = STATE(281),
    [sym_color_set_definition] = STATE(281),
    [sym_color_reference] = STATE(281),
    [sym_tikz_library_import] = STATE(281),
    [sym_hyperlink] = STATE(281),
    [aux_sym_curly_group_impl_repeat1] = STATE(281),
    [aux_sym_text_repeat1] = STATE(331),
    [sym_command_name] = ACTIONS(4812),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4814),
    [anon_sym_LBRACK] = ACTIONS(4816),
    [anon_sym_RBRACK] = ACTIONS(4816),
    [anon_sym_COMMA] = ACTIONS(4816),
    [anon_sym_EQ] = ACTIONS(4816),
    [anon_sym_LPAREN] = ACTIONS(4816),
    [anon_sym_RPAREN] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(5150),
    [sym_word] = ACTIONS(4822),
    [sym_placeholder] = ACTIONS(4824),
    [sym_delimiter] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_BANG] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4828),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym__] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4834),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4834),
    [anon_sym_DOLLAR] = ACTIONS(4836),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4838),
    [anon_sym_BSLASHleft] = ACTIONS(4840),
    [anon_sym_BSLASHbigl] = ACTIONS(4840),
    [anon_sym_BSLASHBigl] = ACTIONS(4840),
    [anon_sym_BSLASHbiggl] = ACTIONS(4840),
    [anon_sym_BSLASHBiggl] = ACTIONS(4840),
    [anon_sym_BSLASHtext] = ACTIONS(4842),
    [anon_sym_BSLASHintertext] = ACTIONS(4842),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4842),
    [anon_sym_BSLASHtitle] = ACTIONS(4844),
    [anon_sym_BSLASHauthor] = ACTIONS(4846),
    [anon_sym_BSLASHusepackage] = ACTIONS(4848),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4848),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4850),
    [anon_sym_BSLASHinclude] = ACTIONS(4852),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4852),
    [anon_sym_BSLASHinput] = ACTIONS(4852),
    [anon_sym_BSLASHsubfile] = ACTIONS(4852),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4856),
    [anon_sym_BSLASHbibliography] = ACTIONS(4858),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4860),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4862),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4866),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4866),
    [anon_sym_BSLASHimport] = ACTIONS(4868),
    [anon_sym_BSLASHsubimport] = ACTIONS(4868),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4868),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHcaption] = ACTIONS(4870),
    [anon_sym_BSLASHcite] = ACTIONS(4872),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCite] = ACTIONS(4872),
    [anon_sym_BSLASHnocite] = ACTIONS(4872),
    [anon_sym_BSLASHcitet] = ACTIONS(4872),
    [anon_sym_BSLASHcitep] = ACTIONS(4872),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteA] = ACTIONS(4872),
    [anon_sym_BSLASHciteR] = ACTIONS(4872),
    [anon_sym_BSLASHciteS] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4872),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteyear] = ACTIONS(4872),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitedate] = ACTIONS(4872),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteurl] = ACTIONS(4872),
    [anon_sym_BSLASHfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4872),
    [anon_sym_BSLASHcitealt] = ACTIONS(4872),
    [anon_sym_BSLASHcitealp] = ACTIONS(4872),
    [anon_sym_BSLASHcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHparencite] = ACTIONS(4872),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHParencite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHtextcite] = ACTIONS(4872),
    [anon_sym_BSLASHTextcite] = ACTIONS(4872),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHsupercite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite] = ACTIONS(4872),
    [anon_sym_BSLASHAutocite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHVolcite] = ACTIONS(4872),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHavolcite] = ACTIONS(4872),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHNotecite] = ACTIONS(4872),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHlabel] = ACTIONS(4876),
    [anon_sym_BSLASHref] = ACTIONS(4878),
    [anon_sym_BSLASHeqref] = ACTIONS(4878),
    [anon_sym_BSLASHvref] = ACTIONS(4878),
    [anon_sym_BSLASHVref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHpageref] = ACTIONS(4878),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHautopageref] = ACTIONS(4878),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcref] = ACTIONS(4878),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHCref] = ACTIONS(4878),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHCpageref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnameCref] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4886),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4888),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHdef] = ACTIONS(4896),
    [anon_sym_BSLASHgdef] = ACTIONS(4896),
    [anon_sym_BSLASHedef] = ACTIONS(4896),
    [anon_sym_BSLASHxdef] = ACTIONS(4896),
    [anon_sym_BSLASHlet] = ACTIONS(4898),
    [anon_sym_BSLASHglet] = ACTIONS(4898),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4900),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4900),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4908),
    [anon_sym_BSLASHgls] = ACTIONS(4910),
    [anon_sym_BSLASHGls] = ACTIONS(4910),
    [anon_sym_BSLASHGLS] = ACTIONS(4910),
    [anon_sym_BSLASHglspl] = ACTIONS(4910),
    [anon_sym_BSLASHGlspl] = ACTIONS(4910),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4910),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4910),
    [anon_sym_BSLASHglslink] = ACTIONS(4910),
    [anon_sym_BSLASHglstext] = ACTIONS(4910),
    [anon_sym_BSLASHGlstext] = ACTIONS(4910),
    [anon_sym_BSLASHGLStext] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4910),
    [anon_sym_BSLASHglsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsname] = ACTIONS(4910),
    [anon_sym_BSLASHGlsname] = ACTIONS(4910),
    [anon_sym_BSLASHGLSname] = ACTIONS(4910),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4910),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4912),
    [anon_sym_BSLASHacrshort] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4914),
    [anon_sym_BSLASHACRshort] = ACTIONS(4914),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrlong] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4914),
    [anon_sym_BSLASHACRlong] = ACTIONS(4914),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrfull] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4914),
    [anon_sym_BSLASHACRfull] = ACTIONS(4914),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHacs] = ACTIONS(4914),
    [anon_sym_BSLASHAcs] = ACTIONS(4914),
    [anon_sym_BSLASHacsp] = ACTIONS(4914),
    [anon_sym_BSLASHAcsp] = ACTIONS(4914),
    [anon_sym_BSLASHacl] = ACTIONS(4914),
    [anon_sym_BSLASHAcl] = ACTIONS(4914),
    [anon_sym_BSLASHaclp] = ACTIONS(4914),
    [anon_sym_BSLASHAclp] = ACTIONS(4914),
    [anon_sym_BSLASHacf] = ACTIONS(4914),
    [anon_sym_BSLASHAcf] = ACTIONS(4914),
    [anon_sym_BSLASHacfp] = ACTIONS(4914),
    [anon_sym_BSLASHAcfp] = ACTIONS(4914),
    [anon_sym_BSLASHac] = ACTIONS(4914),
    [anon_sym_BSLASHAc] = ACTIONS(4914),
    [anon_sym_BSLASHacp] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4916),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4916),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4920),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4922),
    [anon_sym_BSLASHcolor] = ACTIONS(4924),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4924),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4924),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4924),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4924),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4926),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4926),
    [anon_sym_BSLASHurl] = ACTIONS(4928),
    [anon_sym_BSLASHhref] = ACTIONS(4928),
  },
  [292] = {
    [sym_block_comment] = STATE(293),
    [sym__text_content] = STATE(293),
    [sym_curly_group] = STATE(293),
    [sym_text] = STATE(293),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(293),
    [sym_displayed_equation] = STATE(293),
    [sym_inline_formula] = STATE(293),
    [sym_math_delimiter] = STATE(293),
    [sym_text_mode] = STATE(293),
    [sym__command] = STATE(293),
    [sym_generic_command] = STATE(293),
    [sym_title_declaration] = STATE(293),
    [sym_author_declaration] = STATE(293),
    [sym_package_include] = STATE(293),
    [sym_class_include] = STATE(293),
    [sym_latex_include] = STATE(293),
    [sym_biblatex_include] = STATE(293),
    [sym_bibstyle_include] = STATE(293),
    [sym_bibtex_include] = STATE(293),
    [sym_graphics_include] = STATE(293),
    [sym_svg_include] = STATE(293),
    [sym_inkscape_include] = STATE(293),
    [sym_verbatim_include] = STATE(293),
    [sym_import_include] = STATE(293),
    [sym_caption] = STATE(293),
    [sym_citation] = STATE(293),
    [sym_label_definition] = STATE(293),
    [sym_label_reference] = STATE(293),
    [sym_label_reference_range] = STATE(293),
    [sym_label_number] = STATE(293),
    [sym_new_command_definition] = STATE(293),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(293),
    [sym_let_command_definition] = STATE(293),
    [sym_paired_delimiter_definition] = STATE(293),
    [sym_environment_definition] = STATE(293),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(293),
    [sym_glossary_entry_reference] = STATE(293),
    [sym_acronym_definition] = STATE(293),
    [sym_acronym_reference] = STATE(293),
    [sym_theorem_definition] = STATE(293),
    [sym_color_definition] = STATE(293),
    [sym_color_set_definition] = STATE(293),
    [sym_color_reference] = STATE(293),
    [sym_tikz_library_import] = STATE(293),
    [sym_hyperlink] = STATE(293),
    [aux_sym_curly_group_impl_repeat1] = STATE(293),
    [aux_sym_text_repeat1] = STATE(331),
    [sym_command_name] = ACTIONS(4812),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4814),
    [anon_sym_LBRACK] = ACTIONS(5152),
    [anon_sym_RBRACK] = ACTIONS(5152),
    [anon_sym_COMMA] = ACTIONS(5152),
    [anon_sym_EQ] = ACTIONS(5152),
    [anon_sym_LPAREN] = ACTIONS(5152),
    [anon_sym_RPAREN] = ACTIONS(5152),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(5154),
    [sym_word] = ACTIONS(4822),
    [sym_placeholder] = ACTIONS(4824),
    [sym_delimiter] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_BANG] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4828),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym__] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4834),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4834),
    [anon_sym_DOLLAR] = ACTIONS(4836),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4838),
    [anon_sym_BSLASHleft] = ACTIONS(4840),
    [anon_sym_BSLASHbigl] = ACTIONS(4840),
    [anon_sym_BSLASHBigl] = ACTIONS(4840),
    [anon_sym_BSLASHbiggl] = ACTIONS(4840),
    [anon_sym_BSLASHBiggl] = ACTIONS(4840),
    [anon_sym_BSLASHtext] = ACTIONS(4842),
    [anon_sym_BSLASHintertext] = ACTIONS(4842),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4842),
    [anon_sym_BSLASHtitle] = ACTIONS(4844),
    [anon_sym_BSLASHauthor] = ACTIONS(4846),
    [anon_sym_BSLASHusepackage] = ACTIONS(4848),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4848),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4850),
    [anon_sym_BSLASHinclude] = ACTIONS(4852),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4852),
    [anon_sym_BSLASHinput] = ACTIONS(4852),
    [anon_sym_BSLASHsubfile] = ACTIONS(4852),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4856),
    [anon_sym_BSLASHbibliography] = ACTIONS(4858),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4860),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4862),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4866),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4866),
    [anon_sym_BSLASHimport] = ACTIONS(4868),
    [anon_sym_BSLASHsubimport] = ACTIONS(4868),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4868),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHcaption] = ACTIONS(4870),
    [anon_sym_BSLASHcite] = ACTIONS(4872),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCite] = ACTIONS(4872),
    [anon_sym_BSLASHnocite] = ACTIONS(4872),
    [anon_sym_BSLASHcitet] = ACTIONS(4872),
    [anon_sym_BSLASHcitep] = ACTIONS(4872),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteA] = ACTIONS(4872),
    [anon_sym_BSLASHciteR] = ACTIONS(4872),
    [anon_sym_BSLASHciteS] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4872),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteyear] = ACTIONS(4872),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitedate] = ACTIONS(4872),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteurl] = ACTIONS(4872),
    [anon_sym_BSLASHfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4872),
    [anon_sym_BSLASHcitealt] = ACTIONS(4872),
    [anon_sym_BSLASHcitealp] = ACTIONS(4872),
    [anon_sym_BSLASHcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHparencite] = ACTIONS(4872),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHParencite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHtextcite] = ACTIONS(4872),
    [anon_sym_BSLASHTextcite] = ACTIONS(4872),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHsupercite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite] = ACTIONS(4872),
    [anon_sym_BSLASHAutocite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHVolcite] = ACTIONS(4872),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHavolcite] = ACTIONS(4872),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHNotecite] = ACTIONS(4872),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHlabel] = ACTIONS(4876),
    [anon_sym_BSLASHref] = ACTIONS(4878),
    [anon_sym_BSLASHeqref] = ACTIONS(4878),
    [anon_sym_BSLASHvref] = ACTIONS(4878),
    [anon_sym_BSLASHVref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHpageref] = ACTIONS(4878),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHautopageref] = ACTIONS(4878),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcref] = ACTIONS(4878),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHCref] = ACTIONS(4878),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHCpageref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnameCref] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4886),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4888),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHdef] = ACTIONS(4896),
    [anon_sym_BSLASHgdef] = ACTIONS(4896),
    [anon_sym_BSLASHedef] = ACTIONS(4896),
    [anon_sym_BSLASHxdef] = ACTIONS(4896),
    [anon_sym_BSLASHlet] = ACTIONS(4898),
    [anon_sym_BSLASHglet] = ACTIONS(4898),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4900),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4900),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4908),
    [anon_sym_BSLASHgls] = ACTIONS(4910),
    [anon_sym_BSLASHGls] = ACTIONS(4910),
    [anon_sym_BSLASHGLS] = ACTIONS(4910),
    [anon_sym_BSLASHglspl] = ACTIONS(4910),
    [anon_sym_BSLASHGlspl] = ACTIONS(4910),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4910),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4910),
    [anon_sym_BSLASHglslink] = ACTIONS(4910),
    [anon_sym_BSLASHglstext] = ACTIONS(4910),
    [anon_sym_BSLASHGlstext] = ACTIONS(4910),
    [anon_sym_BSLASHGLStext] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4910),
    [anon_sym_BSLASHglsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsname] = ACTIONS(4910),
    [anon_sym_BSLASHGlsname] = ACTIONS(4910),
    [anon_sym_BSLASHGLSname] = ACTIONS(4910),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4910),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4912),
    [anon_sym_BSLASHacrshort] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4914),
    [anon_sym_BSLASHACRshort] = ACTIONS(4914),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrlong] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4914),
    [anon_sym_BSLASHACRlong] = ACTIONS(4914),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrfull] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4914),
    [anon_sym_BSLASHACRfull] = ACTIONS(4914),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHacs] = ACTIONS(4914),
    [anon_sym_BSLASHAcs] = ACTIONS(4914),
    [anon_sym_BSLASHacsp] = ACTIONS(4914),
    [anon_sym_BSLASHAcsp] = ACTIONS(4914),
    [anon_sym_BSLASHacl] = ACTIONS(4914),
    [anon_sym_BSLASHAcl] = ACTIONS(4914),
    [anon_sym_BSLASHaclp] = ACTIONS(4914),
    [anon_sym_BSLASHAclp] = ACTIONS(4914),
    [anon_sym_BSLASHacf] = ACTIONS(4914),
    [anon_sym_BSLASHAcf] = ACTIONS(4914),
    [anon_sym_BSLASHacfp] = ACTIONS(4914),
    [anon_sym_BSLASHAcfp] = ACTIONS(4914),
    [anon_sym_BSLASHac] = ACTIONS(4914),
    [anon_sym_BSLASHAc] = ACTIONS(4914),
    [anon_sym_BSLASHacp] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4916),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4916),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4920),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4922),
    [anon_sym_BSLASHcolor] = ACTIONS(4924),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4924),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4924),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4924),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4924),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4926),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4926),
    [anon_sym_BSLASHurl] = ACTIONS(4928),
    [anon_sym_BSLASHhref] = ACTIONS(4928),
  },
  [293] = {
    [sym_block_comment] = STATE(281),
    [sym__text_content] = STATE(281),
    [sym_curly_group] = STATE(281),
    [sym_text] = STATE(281),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(281),
    [sym_displayed_equation] = STATE(281),
    [sym_inline_formula] = STATE(281),
    [sym_math_delimiter] = STATE(281),
    [sym_text_mode] = STATE(281),
    [sym__command] = STATE(281),
    [sym_generic_command] = STATE(281),
    [sym_title_declaration] = STATE(281),
    [sym_author_declaration] = STATE(281),
    [sym_package_include] = STATE(281),
    [sym_class_include] = STATE(281),
    [sym_latex_include] = STATE(281),
    [sym_biblatex_include] = STATE(281),
    [sym_bibstyle_include] = STATE(281),
    [sym_bibtex_include] = STATE(281),
    [sym_graphics_include] = STATE(281),
    [sym_svg_include] = STATE(281),
    [sym_inkscape_include] = STATE(281),
    [sym_verbatim_include] = STATE(281),
    [sym_import_include] = STATE(281),
    [sym_caption] = STATE(281),
    [sym_citation] = STATE(281),
    [sym_label_definition] = STATE(281),
    [sym_label_reference] = STATE(281),
    [sym_label_reference_range] = STATE(281),
    [sym_label_number] = STATE(281),
    [sym_new_command_definition] = STATE(281),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(281),
    [sym_let_command_definition] = STATE(281),
    [sym_paired_delimiter_definition] = STATE(281),
    [sym_environment_definition] = STATE(281),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(281),
    [sym_glossary_entry_reference] = STATE(281),
    [sym_acronym_definition] = STATE(281),
    [sym_acronym_reference] = STATE(281),
    [sym_theorem_definition] = STATE(281),
    [sym_color_definition] = STATE(281),
    [sym_color_set_definition] = STATE(281),
    [sym_color_reference] = STATE(281),
    [sym_tikz_library_import] = STATE(281),
    [sym_hyperlink] = STATE(281),
    [aux_sym_curly_group_impl_repeat1] = STATE(281),
    [aux_sym_text_repeat1] = STATE(331),
    [sym_command_name] = ACTIONS(4812),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4814),
    [anon_sym_LBRACK] = ACTIONS(4816),
    [anon_sym_RBRACK] = ACTIONS(4816),
    [anon_sym_COMMA] = ACTIONS(4816),
    [anon_sym_EQ] = ACTIONS(4816),
    [anon_sym_LPAREN] = ACTIONS(4816),
    [anon_sym_RPAREN] = ACTIONS(4816),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(5156),
    [sym_word] = ACTIONS(4822),
    [sym_placeholder] = ACTIONS(4824),
    [sym_delimiter] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_BANG] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4828),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym__] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4834),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4834),
    [anon_sym_DOLLAR] = ACTIONS(4836),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4838),
    [anon_sym_BSLASHleft] = ACTIONS(4840),
    [anon_sym_BSLASHbigl] = ACTIONS(4840),
    [anon_sym_BSLASHBigl] = ACTIONS(4840),
    [anon_sym_BSLASHbiggl] = ACTIONS(4840),
    [anon_sym_BSLASHBiggl] = ACTIONS(4840),
    [anon_sym_BSLASHtext] = ACTIONS(4842),
    [anon_sym_BSLASHintertext] = ACTIONS(4842),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4842),
    [anon_sym_BSLASHtitle] = ACTIONS(4844),
    [anon_sym_BSLASHauthor] = ACTIONS(4846),
    [anon_sym_BSLASHusepackage] = ACTIONS(4848),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4848),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4850),
    [anon_sym_BSLASHinclude] = ACTIONS(4852),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4852),
    [anon_sym_BSLASHinput] = ACTIONS(4852),
    [anon_sym_BSLASHsubfile] = ACTIONS(4852),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4856),
    [anon_sym_BSLASHbibliography] = ACTIONS(4858),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4860),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4862),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4866),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4866),
    [anon_sym_BSLASHimport] = ACTIONS(4868),
    [anon_sym_BSLASHsubimport] = ACTIONS(4868),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4868),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHcaption] = ACTIONS(4870),
    [anon_sym_BSLASHcite] = ACTIONS(4872),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCite] = ACTIONS(4872),
    [anon_sym_BSLASHnocite] = ACTIONS(4872),
    [anon_sym_BSLASHcitet] = ACTIONS(4872),
    [anon_sym_BSLASHcitep] = ACTIONS(4872),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteA] = ACTIONS(4872),
    [anon_sym_BSLASHciteR] = ACTIONS(4872),
    [anon_sym_BSLASHciteS] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4872),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteyear] = ACTIONS(4872),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitedate] = ACTIONS(4872),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteurl] = ACTIONS(4872),
    [anon_sym_BSLASHfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4872),
    [anon_sym_BSLASHcitealt] = ACTIONS(4872),
    [anon_sym_BSLASHcitealp] = ACTIONS(4872),
    [anon_sym_BSLASHcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHparencite] = ACTIONS(4872),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHParencite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHtextcite] = ACTIONS(4872),
    [anon_sym_BSLASHTextcite] = ACTIONS(4872),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHsupercite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite] = ACTIONS(4872),
    [anon_sym_BSLASHAutocite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHVolcite] = ACTIONS(4872),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHavolcite] = ACTIONS(4872),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHNotecite] = ACTIONS(4872),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHlabel] = ACTIONS(4876),
    [anon_sym_BSLASHref] = ACTIONS(4878),
    [anon_sym_BSLASHeqref] = ACTIONS(4878),
    [anon_sym_BSLASHvref] = ACTIONS(4878),
    [anon_sym_BSLASHVref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHpageref] = ACTIONS(4878),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHautopageref] = ACTIONS(4878),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcref] = ACTIONS(4878),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHCref] = ACTIONS(4878),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHCpageref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnameCref] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4886),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4888),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHdef] = ACTIONS(4896),
    [anon_sym_BSLASHgdef] = ACTIONS(4896),
    [anon_sym_BSLASHedef] = ACTIONS(4896),
    [anon_sym_BSLASHxdef] = ACTIONS(4896),
    [anon_sym_BSLASHlet] = ACTIONS(4898),
    [anon_sym_BSLASHglet] = ACTIONS(4898),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4900),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4900),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4908),
    [anon_sym_BSLASHgls] = ACTIONS(4910),
    [anon_sym_BSLASHGls] = ACTIONS(4910),
    [anon_sym_BSLASHGLS] = ACTIONS(4910),
    [anon_sym_BSLASHglspl] = ACTIONS(4910),
    [anon_sym_BSLASHGlspl] = ACTIONS(4910),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4910),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4910),
    [anon_sym_BSLASHglslink] = ACTIONS(4910),
    [anon_sym_BSLASHglstext] = ACTIONS(4910),
    [anon_sym_BSLASHGlstext] = ACTIONS(4910),
    [anon_sym_BSLASHGLStext] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4910),
    [anon_sym_BSLASHglsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsname] = ACTIONS(4910),
    [anon_sym_BSLASHGlsname] = ACTIONS(4910),
    [anon_sym_BSLASHGLSname] = ACTIONS(4910),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4910),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4912),
    [anon_sym_BSLASHacrshort] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4914),
    [anon_sym_BSLASHACRshort] = ACTIONS(4914),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrlong] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4914),
    [anon_sym_BSLASHACRlong] = ACTIONS(4914),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrfull] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4914),
    [anon_sym_BSLASHACRfull] = ACTIONS(4914),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHacs] = ACTIONS(4914),
    [anon_sym_BSLASHAcs] = ACTIONS(4914),
    [anon_sym_BSLASHacsp] = ACTIONS(4914),
    [anon_sym_BSLASHAcsp] = ACTIONS(4914),
    [anon_sym_BSLASHacl] = ACTIONS(4914),
    [anon_sym_BSLASHAcl] = ACTIONS(4914),
    [anon_sym_BSLASHaclp] = ACTIONS(4914),
    [anon_sym_BSLASHAclp] = ACTIONS(4914),
    [anon_sym_BSLASHacf] = ACTIONS(4914),
    [anon_sym_BSLASHAcf] = ACTIONS(4914),
    [anon_sym_BSLASHacfp] = ACTIONS(4914),
    [anon_sym_BSLASHAcfp] = ACTIONS(4914),
    [anon_sym_BSLASHac] = ACTIONS(4914),
    [anon_sym_BSLASHAc] = ACTIONS(4914),
    [anon_sym_BSLASHacp] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4916),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4916),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4920),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4922),
    [anon_sym_BSLASHcolor] = ACTIONS(4924),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4924),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4924),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4924),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4924),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4926),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4926),
    [anon_sym_BSLASHurl] = ACTIONS(4928),
    [anon_sym_BSLASHhref] = ACTIONS(4928),
  },
  [294] = {
    [sym_block_comment] = STATE(291),
    [sym__text_content] = STATE(291),
    [sym_curly_group] = STATE(291),
    [sym_text] = STATE(291),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(291),
    [sym_displayed_equation] = STATE(291),
    [sym_inline_formula] = STATE(291),
    [sym_math_delimiter] = STATE(291),
    [sym_text_mode] = STATE(291),
    [sym__command] = STATE(291),
    [sym_generic_command] = STATE(291),
    [sym_title_declaration] = STATE(291),
    [sym_author_declaration] = STATE(291),
    [sym_package_include] = STATE(291),
    [sym_class_include] = STATE(291),
    [sym_latex_include] = STATE(291),
    [sym_biblatex_include] = STATE(291),
    [sym_bibstyle_include] = STATE(291),
    [sym_bibtex_include] = STATE(291),
    [sym_graphics_include] = STATE(291),
    [sym_svg_include] = STATE(291),
    [sym_inkscape_include] = STATE(291),
    [sym_verbatim_include] = STATE(291),
    [sym_import_include] = STATE(291),
    [sym_caption] = STATE(291),
    [sym_citation] = STATE(291),
    [sym_label_definition] = STATE(291),
    [sym_label_reference] = STATE(291),
    [sym_label_reference_range] = STATE(291),
    [sym_label_number] = STATE(291),
    [sym_new_command_definition] = STATE(291),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(291),
    [sym_let_command_definition] = STATE(291),
    [sym_paired_delimiter_definition] = STATE(291),
    [sym_environment_definition] = STATE(291),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(291),
    [sym_glossary_entry_reference] = STATE(291),
    [sym_acronym_definition] = STATE(291),
    [sym_acronym_reference] = STATE(291),
    [sym_theorem_definition] = STATE(291),
    [sym_color_definition] = STATE(291),
    [sym_color_set_definition] = STATE(291),
    [sym_color_reference] = STATE(291),
    [sym_tikz_library_import] = STATE(291),
    [sym_hyperlink] = STATE(291),
    [aux_sym_curly_group_impl_repeat1] = STATE(291),
    [aux_sym_text_repeat1] = STATE(331),
    [sym_command_name] = ACTIONS(4812),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4814),
    [anon_sym_LBRACK] = ACTIONS(5158),
    [anon_sym_RBRACK] = ACTIONS(5158),
    [anon_sym_COMMA] = ACTIONS(5158),
    [anon_sym_EQ] = ACTIONS(5158),
    [anon_sym_LPAREN] = ACTIONS(5158),
    [anon_sym_RPAREN] = ACTIONS(5158),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(5160),
    [sym_word] = ACTIONS(4822),
    [sym_placeholder] = ACTIONS(4824),
    [sym_delimiter] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_BANG] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4828),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym__] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4834),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4834),
    [anon_sym_DOLLAR] = ACTIONS(4836),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4838),
    [anon_sym_BSLASHleft] = ACTIONS(4840),
    [anon_sym_BSLASHbigl] = ACTIONS(4840),
    [anon_sym_BSLASHBigl] = ACTIONS(4840),
    [anon_sym_BSLASHbiggl] = ACTIONS(4840),
    [anon_sym_BSLASHBiggl] = ACTIONS(4840),
    [anon_sym_BSLASHtext] = ACTIONS(4842),
    [anon_sym_BSLASHintertext] = ACTIONS(4842),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4842),
    [anon_sym_BSLASHtitle] = ACTIONS(4844),
    [anon_sym_BSLASHauthor] = ACTIONS(4846),
    [anon_sym_BSLASHusepackage] = ACTIONS(4848),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4848),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4850),
    [anon_sym_BSLASHinclude] = ACTIONS(4852),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4852),
    [anon_sym_BSLASHinput] = ACTIONS(4852),
    [anon_sym_BSLASHsubfile] = ACTIONS(4852),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4856),
    [anon_sym_BSLASHbibliography] = ACTIONS(4858),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4860),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4862),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4866),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4866),
    [anon_sym_BSLASHimport] = ACTIONS(4868),
    [anon_sym_BSLASHsubimport] = ACTIONS(4868),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4868),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHcaption] = ACTIONS(4870),
    [anon_sym_BSLASHcite] = ACTIONS(4872),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCite] = ACTIONS(4872),
    [anon_sym_BSLASHnocite] = ACTIONS(4872),
    [anon_sym_BSLASHcitet] = ACTIONS(4872),
    [anon_sym_BSLASHcitep] = ACTIONS(4872),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteA] = ACTIONS(4872),
    [anon_sym_BSLASHciteR] = ACTIONS(4872),
    [anon_sym_BSLASHciteS] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4872),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteyear] = ACTIONS(4872),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitedate] = ACTIONS(4872),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteurl] = ACTIONS(4872),
    [anon_sym_BSLASHfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4872),
    [anon_sym_BSLASHcitealt] = ACTIONS(4872),
    [anon_sym_BSLASHcitealp] = ACTIONS(4872),
    [anon_sym_BSLASHcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHparencite] = ACTIONS(4872),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHParencite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHtextcite] = ACTIONS(4872),
    [anon_sym_BSLASHTextcite] = ACTIONS(4872),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHsupercite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite] = ACTIONS(4872),
    [anon_sym_BSLASHAutocite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHVolcite] = ACTIONS(4872),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHavolcite] = ACTIONS(4872),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHNotecite] = ACTIONS(4872),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHlabel] = ACTIONS(4876),
    [anon_sym_BSLASHref] = ACTIONS(4878),
    [anon_sym_BSLASHeqref] = ACTIONS(4878),
    [anon_sym_BSLASHvref] = ACTIONS(4878),
    [anon_sym_BSLASHVref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHpageref] = ACTIONS(4878),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHautopageref] = ACTIONS(4878),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcref] = ACTIONS(4878),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHCref] = ACTIONS(4878),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHCpageref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnameCref] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4886),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4888),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHdef] = ACTIONS(4896),
    [anon_sym_BSLASHgdef] = ACTIONS(4896),
    [anon_sym_BSLASHedef] = ACTIONS(4896),
    [anon_sym_BSLASHxdef] = ACTIONS(4896),
    [anon_sym_BSLASHlet] = ACTIONS(4898),
    [anon_sym_BSLASHglet] = ACTIONS(4898),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4900),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4900),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4908),
    [anon_sym_BSLASHgls] = ACTIONS(4910),
    [anon_sym_BSLASHGls] = ACTIONS(4910),
    [anon_sym_BSLASHGLS] = ACTIONS(4910),
    [anon_sym_BSLASHglspl] = ACTIONS(4910),
    [anon_sym_BSLASHGlspl] = ACTIONS(4910),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4910),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4910),
    [anon_sym_BSLASHglslink] = ACTIONS(4910),
    [anon_sym_BSLASHglstext] = ACTIONS(4910),
    [anon_sym_BSLASHGlstext] = ACTIONS(4910),
    [anon_sym_BSLASHGLStext] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4910),
    [anon_sym_BSLASHglsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsname] = ACTIONS(4910),
    [anon_sym_BSLASHGlsname] = ACTIONS(4910),
    [anon_sym_BSLASHGLSname] = ACTIONS(4910),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4910),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4912),
    [anon_sym_BSLASHacrshort] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4914),
    [anon_sym_BSLASHACRshort] = ACTIONS(4914),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrlong] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4914),
    [anon_sym_BSLASHACRlong] = ACTIONS(4914),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrfull] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4914),
    [anon_sym_BSLASHACRfull] = ACTIONS(4914),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHacs] = ACTIONS(4914),
    [anon_sym_BSLASHAcs] = ACTIONS(4914),
    [anon_sym_BSLASHacsp] = ACTIONS(4914),
    [anon_sym_BSLASHAcsp] = ACTIONS(4914),
    [anon_sym_BSLASHacl] = ACTIONS(4914),
    [anon_sym_BSLASHAcl] = ACTIONS(4914),
    [anon_sym_BSLASHaclp] = ACTIONS(4914),
    [anon_sym_BSLASHAclp] = ACTIONS(4914),
    [anon_sym_BSLASHacf] = ACTIONS(4914),
    [anon_sym_BSLASHAcf] = ACTIONS(4914),
    [anon_sym_BSLASHacfp] = ACTIONS(4914),
    [anon_sym_BSLASHAcfp] = ACTIONS(4914),
    [anon_sym_BSLASHac] = ACTIONS(4914),
    [anon_sym_BSLASHAc] = ACTIONS(4914),
    [anon_sym_BSLASHacp] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4916),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4916),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4920),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4922),
    [anon_sym_BSLASHcolor] = ACTIONS(4924),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4924),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4924),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4924),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4924),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4926),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4926),
    [anon_sym_BSLASHurl] = ACTIONS(4928),
    [anon_sym_BSLASHhref] = ACTIONS(4928),
  },
  [295] = {
    [sym_block_comment] = STATE(274),
    [sym__text_content] = STATE(274),
    [sym_curly_group] = STATE(274),
    [sym_text] = STATE(274),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(274),
    [sym_displayed_equation] = STATE(274),
    [sym_inline_formula] = STATE(274),
    [sym_math_delimiter] = STATE(274),
    [sym_text_mode] = STATE(274),
    [sym__command] = STATE(274),
    [sym_generic_command] = STATE(274),
    [sym_title_declaration] = STATE(274),
    [sym_author_declaration] = STATE(274),
    [sym_package_include] = STATE(274),
    [sym_class_include] = STATE(274),
    [sym_latex_include] = STATE(274),
    [sym_biblatex_include] = STATE(274),
    [sym_bibstyle_include] = STATE(274),
    [sym_bibtex_include] = STATE(274),
    [sym_graphics_include] = STATE(274),
    [sym_svg_include] = STATE(274),
    [sym_inkscape_include] = STATE(274),
    [sym_verbatim_include] = STATE(274),
    [sym_import_include] = STATE(274),
    [sym_caption] = STATE(274),
    [sym_citation] = STATE(274),
    [sym_label_definition] = STATE(274),
    [sym_label_reference] = STATE(274),
    [sym_label_reference_range] = STATE(274),
    [sym_label_number] = STATE(274),
    [sym_new_command_definition] = STATE(274),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(274),
    [sym_let_command_definition] = STATE(274),
    [sym_paired_delimiter_definition] = STATE(274),
    [sym_environment_definition] = STATE(274),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(274),
    [sym_glossary_entry_reference] = STATE(274),
    [sym_acronym_definition] = STATE(274),
    [sym_acronym_reference] = STATE(274),
    [sym_theorem_definition] = STATE(274),
    [sym_color_definition] = STATE(274),
    [sym_color_set_definition] = STATE(274),
    [sym_color_reference] = STATE(274),
    [sym_tikz_library_import] = STATE(274),
    [sym_hyperlink] = STATE(274),
    [aux_sym_curly_group_impl_repeat1] = STATE(274),
    [aux_sym_text_repeat1] = STATE(331),
    [sym_command_name] = ACTIONS(4812),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4814),
    [anon_sym_LBRACK] = ACTIONS(5162),
    [anon_sym_RBRACK] = ACTIONS(5162),
    [anon_sym_COMMA] = ACTIONS(5162),
    [anon_sym_EQ] = ACTIONS(5162),
    [anon_sym_LPAREN] = ACTIONS(5162),
    [anon_sym_RPAREN] = ACTIONS(5162),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(5164),
    [sym_word] = ACTIONS(4822),
    [sym_placeholder] = ACTIONS(4824),
    [sym_delimiter] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_BANG] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4828),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym__] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4834),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4834),
    [anon_sym_DOLLAR] = ACTIONS(4836),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4838),
    [anon_sym_BSLASHleft] = ACTIONS(4840),
    [anon_sym_BSLASHbigl] = ACTIONS(4840),
    [anon_sym_BSLASHBigl] = ACTIONS(4840),
    [anon_sym_BSLASHbiggl] = ACTIONS(4840),
    [anon_sym_BSLASHBiggl] = ACTIONS(4840),
    [anon_sym_BSLASHtext] = ACTIONS(4842),
    [anon_sym_BSLASHintertext] = ACTIONS(4842),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4842),
    [anon_sym_BSLASHtitle] = ACTIONS(4844),
    [anon_sym_BSLASHauthor] = ACTIONS(4846),
    [anon_sym_BSLASHusepackage] = ACTIONS(4848),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4848),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4850),
    [anon_sym_BSLASHinclude] = ACTIONS(4852),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4852),
    [anon_sym_BSLASHinput] = ACTIONS(4852),
    [anon_sym_BSLASHsubfile] = ACTIONS(4852),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4856),
    [anon_sym_BSLASHbibliography] = ACTIONS(4858),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4860),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4862),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4866),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4866),
    [anon_sym_BSLASHimport] = ACTIONS(4868),
    [anon_sym_BSLASHsubimport] = ACTIONS(4868),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4868),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHcaption] = ACTIONS(4870),
    [anon_sym_BSLASHcite] = ACTIONS(4872),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCite] = ACTIONS(4872),
    [anon_sym_BSLASHnocite] = ACTIONS(4872),
    [anon_sym_BSLASHcitet] = ACTIONS(4872),
    [anon_sym_BSLASHcitep] = ACTIONS(4872),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteA] = ACTIONS(4872),
    [anon_sym_BSLASHciteR] = ACTIONS(4872),
    [anon_sym_BSLASHciteS] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4872),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteyear] = ACTIONS(4872),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitedate] = ACTIONS(4872),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteurl] = ACTIONS(4872),
    [anon_sym_BSLASHfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4872),
    [anon_sym_BSLASHcitealt] = ACTIONS(4872),
    [anon_sym_BSLASHcitealp] = ACTIONS(4872),
    [anon_sym_BSLASHcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHparencite] = ACTIONS(4872),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHParencite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHtextcite] = ACTIONS(4872),
    [anon_sym_BSLASHTextcite] = ACTIONS(4872),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHsupercite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite] = ACTIONS(4872),
    [anon_sym_BSLASHAutocite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHVolcite] = ACTIONS(4872),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHavolcite] = ACTIONS(4872),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHNotecite] = ACTIONS(4872),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHlabel] = ACTIONS(4876),
    [anon_sym_BSLASHref] = ACTIONS(4878),
    [anon_sym_BSLASHeqref] = ACTIONS(4878),
    [anon_sym_BSLASHvref] = ACTIONS(4878),
    [anon_sym_BSLASHVref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHpageref] = ACTIONS(4878),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHautopageref] = ACTIONS(4878),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcref] = ACTIONS(4878),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHCref] = ACTIONS(4878),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHCpageref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnameCref] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4886),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4888),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHdef] = ACTIONS(4896),
    [anon_sym_BSLASHgdef] = ACTIONS(4896),
    [anon_sym_BSLASHedef] = ACTIONS(4896),
    [anon_sym_BSLASHxdef] = ACTIONS(4896),
    [anon_sym_BSLASHlet] = ACTIONS(4898),
    [anon_sym_BSLASHglet] = ACTIONS(4898),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4900),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4900),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4908),
    [anon_sym_BSLASHgls] = ACTIONS(4910),
    [anon_sym_BSLASHGls] = ACTIONS(4910),
    [anon_sym_BSLASHGLS] = ACTIONS(4910),
    [anon_sym_BSLASHglspl] = ACTIONS(4910),
    [anon_sym_BSLASHGlspl] = ACTIONS(4910),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4910),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4910),
    [anon_sym_BSLASHglslink] = ACTIONS(4910),
    [anon_sym_BSLASHglstext] = ACTIONS(4910),
    [anon_sym_BSLASHGlstext] = ACTIONS(4910),
    [anon_sym_BSLASHGLStext] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4910),
    [anon_sym_BSLASHglsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsname] = ACTIONS(4910),
    [anon_sym_BSLASHGlsname] = ACTIONS(4910),
    [anon_sym_BSLASHGLSname] = ACTIONS(4910),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4910),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4912),
    [anon_sym_BSLASHacrshort] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4914),
    [anon_sym_BSLASHACRshort] = ACTIONS(4914),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrlong] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4914),
    [anon_sym_BSLASHACRlong] = ACTIONS(4914),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrfull] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4914),
    [anon_sym_BSLASHACRfull] = ACTIONS(4914),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHacs] = ACTIONS(4914),
    [anon_sym_BSLASHAcs] = ACTIONS(4914),
    [anon_sym_BSLASHacsp] = ACTIONS(4914),
    [anon_sym_BSLASHAcsp] = ACTIONS(4914),
    [anon_sym_BSLASHacl] = ACTIONS(4914),
    [anon_sym_BSLASHAcl] = ACTIONS(4914),
    [anon_sym_BSLASHaclp] = ACTIONS(4914),
    [anon_sym_BSLASHAclp] = ACTIONS(4914),
    [anon_sym_BSLASHacf] = ACTIONS(4914),
    [anon_sym_BSLASHAcf] = ACTIONS(4914),
    [anon_sym_BSLASHacfp] = ACTIONS(4914),
    [anon_sym_BSLASHAcfp] = ACTIONS(4914),
    [anon_sym_BSLASHac] = ACTIONS(4914),
    [anon_sym_BSLASHAc] = ACTIONS(4914),
    [anon_sym_BSLASHacp] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4916),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4916),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4920),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4922),
    [anon_sym_BSLASHcolor] = ACTIONS(4924),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4924),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4924),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4924),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4924),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4926),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4926),
    [anon_sym_BSLASHurl] = ACTIONS(4928),
    [anon_sym_BSLASHhref] = ACTIONS(4928),
  },
  [296] = {
    [sym_block_comment] = STATE(276),
    [sym__text_content] = STATE(276),
    [sym_curly_group] = STATE(276),
    [sym_text] = STATE(276),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(276),
    [sym_displayed_equation] = STATE(276),
    [sym_inline_formula] = STATE(276),
    [sym_math_delimiter] = STATE(276),
    [sym_text_mode] = STATE(276),
    [sym__command] = STATE(276),
    [sym_generic_command] = STATE(276),
    [sym_title_declaration] = STATE(276),
    [sym_author_declaration] = STATE(276),
    [sym_package_include] = STATE(276),
    [sym_class_include] = STATE(276),
    [sym_latex_include] = STATE(276),
    [sym_biblatex_include] = STATE(276),
    [sym_bibstyle_include] = STATE(276),
    [sym_bibtex_include] = STATE(276),
    [sym_graphics_include] = STATE(276),
    [sym_svg_include] = STATE(276),
    [sym_inkscape_include] = STATE(276),
    [sym_verbatim_include] = STATE(276),
    [sym_import_include] = STATE(276),
    [sym_caption] = STATE(276),
    [sym_citation] = STATE(276),
    [sym_label_definition] = STATE(276),
    [sym_label_reference] = STATE(276),
    [sym_label_reference_range] = STATE(276),
    [sym_label_number] = STATE(276),
    [sym_new_command_definition] = STATE(276),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(276),
    [sym_let_command_definition] = STATE(276),
    [sym_paired_delimiter_definition] = STATE(276),
    [sym_environment_definition] = STATE(276),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(276),
    [sym_glossary_entry_reference] = STATE(276),
    [sym_acronym_definition] = STATE(276),
    [sym_acronym_reference] = STATE(276),
    [sym_theorem_definition] = STATE(276),
    [sym_color_definition] = STATE(276),
    [sym_color_set_definition] = STATE(276),
    [sym_color_reference] = STATE(276),
    [sym_tikz_library_import] = STATE(276),
    [sym_hyperlink] = STATE(276),
    [aux_sym_curly_group_impl_repeat1] = STATE(276),
    [aux_sym_text_repeat1] = STATE(331),
    [sym_command_name] = ACTIONS(4812),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4814),
    [anon_sym_LBRACK] = ACTIONS(5166),
    [anon_sym_RBRACK] = ACTIONS(5166),
    [anon_sym_COMMA] = ACTIONS(5166),
    [anon_sym_EQ] = ACTIONS(5166),
    [anon_sym_LPAREN] = ACTIONS(5166),
    [anon_sym_RPAREN] = ACTIONS(5166),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(5168),
    [sym_word] = ACTIONS(4822),
    [sym_placeholder] = ACTIONS(4824),
    [sym_delimiter] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_BANG] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4828),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym__] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4834),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4834),
    [anon_sym_DOLLAR] = ACTIONS(4836),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4838),
    [anon_sym_BSLASHleft] = ACTIONS(4840),
    [anon_sym_BSLASHbigl] = ACTIONS(4840),
    [anon_sym_BSLASHBigl] = ACTIONS(4840),
    [anon_sym_BSLASHbiggl] = ACTIONS(4840),
    [anon_sym_BSLASHBiggl] = ACTIONS(4840),
    [anon_sym_BSLASHtext] = ACTIONS(4842),
    [anon_sym_BSLASHintertext] = ACTIONS(4842),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4842),
    [anon_sym_BSLASHtitle] = ACTIONS(4844),
    [anon_sym_BSLASHauthor] = ACTIONS(4846),
    [anon_sym_BSLASHusepackage] = ACTIONS(4848),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4848),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4850),
    [anon_sym_BSLASHinclude] = ACTIONS(4852),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4852),
    [anon_sym_BSLASHinput] = ACTIONS(4852),
    [anon_sym_BSLASHsubfile] = ACTIONS(4852),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4856),
    [anon_sym_BSLASHbibliography] = ACTIONS(4858),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4860),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4862),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4866),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4866),
    [anon_sym_BSLASHimport] = ACTIONS(4868),
    [anon_sym_BSLASHsubimport] = ACTIONS(4868),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4868),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHcaption] = ACTIONS(4870),
    [anon_sym_BSLASHcite] = ACTIONS(4872),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCite] = ACTIONS(4872),
    [anon_sym_BSLASHnocite] = ACTIONS(4872),
    [anon_sym_BSLASHcitet] = ACTIONS(4872),
    [anon_sym_BSLASHcitep] = ACTIONS(4872),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteA] = ACTIONS(4872),
    [anon_sym_BSLASHciteR] = ACTIONS(4872),
    [anon_sym_BSLASHciteS] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4872),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteyear] = ACTIONS(4872),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitedate] = ACTIONS(4872),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteurl] = ACTIONS(4872),
    [anon_sym_BSLASHfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4872),
    [anon_sym_BSLASHcitealt] = ACTIONS(4872),
    [anon_sym_BSLASHcitealp] = ACTIONS(4872),
    [anon_sym_BSLASHcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHparencite] = ACTIONS(4872),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHParencite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHtextcite] = ACTIONS(4872),
    [anon_sym_BSLASHTextcite] = ACTIONS(4872),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHsupercite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite] = ACTIONS(4872),
    [anon_sym_BSLASHAutocite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHVolcite] = ACTIONS(4872),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHavolcite] = ACTIONS(4872),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHNotecite] = ACTIONS(4872),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHlabel] = ACTIONS(4876),
    [anon_sym_BSLASHref] = ACTIONS(4878),
    [anon_sym_BSLASHeqref] = ACTIONS(4878),
    [anon_sym_BSLASHvref] = ACTIONS(4878),
    [anon_sym_BSLASHVref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHpageref] = ACTIONS(4878),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHautopageref] = ACTIONS(4878),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcref] = ACTIONS(4878),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHCref] = ACTIONS(4878),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHCpageref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnameCref] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4886),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4888),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHdef] = ACTIONS(4896),
    [anon_sym_BSLASHgdef] = ACTIONS(4896),
    [anon_sym_BSLASHedef] = ACTIONS(4896),
    [anon_sym_BSLASHxdef] = ACTIONS(4896),
    [anon_sym_BSLASHlet] = ACTIONS(4898),
    [anon_sym_BSLASHglet] = ACTIONS(4898),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4900),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4900),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4908),
    [anon_sym_BSLASHgls] = ACTIONS(4910),
    [anon_sym_BSLASHGls] = ACTIONS(4910),
    [anon_sym_BSLASHGLS] = ACTIONS(4910),
    [anon_sym_BSLASHglspl] = ACTIONS(4910),
    [anon_sym_BSLASHGlspl] = ACTIONS(4910),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4910),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4910),
    [anon_sym_BSLASHglslink] = ACTIONS(4910),
    [anon_sym_BSLASHglstext] = ACTIONS(4910),
    [anon_sym_BSLASHGlstext] = ACTIONS(4910),
    [anon_sym_BSLASHGLStext] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4910),
    [anon_sym_BSLASHglsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsname] = ACTIONS(4910),
    [anon_sym_BSLASHGlsname] = ACTIONS(4910),
    [anon_sym_BSLASHGLSname] = ACTIONS(4910),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4910),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4912),
    [anon_sym_BSLASHacrshort] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4914),
    [anon_sym_BSLASHACRshort] = ACTIONS(4914),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrlong] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4914),
    [anon_sym_BSLASHACRlong] = ACTIONS(4914),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrfull] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4914),
    [anon_sym_BSLASHACRfull] = ACTIONS(4914),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHacs] = ACTIONS(4914),
    [anon_sym_BSLASHAcs] = ACTIONS(4914),
    [anon_sym_BSLASHacsp] = ACTIONS(4914),
    [anon_sym_BSLASHAcsp] = ACTIONS(4914),
    [anon_sym_BSLASHacl] = ACTIONS(4914),
    [anon_sym_BSLASHAcl] = ACTIONS(4914),
    [anon_sym_BSLASHaclp] = ACTIONS(4914),
    [anon_sym_BSLASHAclp] = ACTIONS(4914),
    [anon_sym_BSLASHacf] = ACTIONS(4914),
    [anon_sym_BSLASHAcf] = ACTIONS(4914),
    [anon_sym_BSLASHacfp] = ACTIONS(4914),
    [anon_sym_BSLASHAcfp] = ACTIONS(4914),
    [anon_sym_BSLASHac] = ACTIONS(4914),
    [anon_sym_BSLASHAc] = ACTIONS(4914),
    [anon_sym_BSLASHacp] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4916),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4916),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4920),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4922),
    [anon_sym_BSLASHcolor] = ACTIONS(4924),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4924),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4924),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4924),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4924),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4926),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4926),
    [anon_sym_BSLASHurl] = ACTIONS(4928),
    [anon_sym_BSLASHhref] = ACTIONS(4928),
  },
  [297] = {
    [sym_block_comment] = STATE(297),
    [sym__text_content] = STATE(297),
    [sym_curly_group] = STATE(297),
    [sym_brack_group] = STATE(297),
    [sym_text] = STATE(297),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(297),
    [sym_displayed_equation] = STATE(297),
    [sym_inline_formula] = STATE(297),
    [sym_math_delimiter] = STATE(297),
    [sym_text_mode] = STATE(297),
    [sym__command] = STATE(297),
    [sym_generic_command] = STATE(297),
    [sym_title_declaration] = STATE(297),
    [sym_author_declaration] = STATE(297),
    [sym_package_include] = STATE(297),
    [sym_class_include] = STATE(297),
    [sym_latex_include] = STATE(297),
    [sym_biblatex_include] = STATE(297),
    [sym_bibstyle_include] = STATE(297),
    [sym_bibtex_include] = STATE(297),
    [sym_graphics_include] = STATE(297),
    [sym_svg_include] = STATE(297),
    [sym_inkscape_include] = STATE(297),
    [sym_verbatim_include] = STATE(297),
    [sym_import_include] = STATE(297),
    [sym_caption] = STATE(297),
    [sym_citation] = STATE(297),
    [sym_label_definition] = STATE(297),
    [sym_label_reference] = STATE(297),
    [sym_label_reference_range] = STATE(297),
    [sym_label_number] = STATE(297),
    [sym_new_command_definition] = STATE(297),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(297),
    [sym_let_command_definition] = STATE(297),
    [sym_paired_delimiter_definition] = STATE(297),
    [sym_environment_definition] = STATE(297),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(297),
    [sym_glossary_entry_reference] = STATE(297),
    [sym_acronym_definition] = STATE(297),
    [sym_acronym_reference] = STATE(297),
    [sym_theorem_definition] = STATE(297),
    [sym_color_definition] = STATE(297),
    [sym_color_set_definition] = STATE(297),
    [sym_color_reference] = STATE(297),
    [sym_tikz_library_import] = STATE(297),
    [sym_hyperlink] = STATE(297),
    [aux_sym_text_repeat1] = STATE(331),
    [aux_sym_value_repeat1] = STATE(297),
    [sym_command_name] = ACTIONS(5170),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(5173),
    [anon_sym_LBRACK] = ACTIONS(5176),
    [anon_sym_COMMA] = ACTIONS(5179),
    [anon_sym_LPAREN] = ACTIONS(5181),
    [anon_sym_RPAREN] = ACTIONS(5181),
    [anon_sym_LBRACE] = ACTIONS(5184),
    [anon_sym_RBRACE] = ACTIONS(5179),
    [sym_word] = ACTIONS(5187),
    [sym_placeholder] = ACTIONS(5190),
    [sym_delimiter] = ACTIONS(5190),
    [anon_sym_PLUS] = ACTIONS(5193),
    [anon_sym_DASH] = ACTIONS(5193),
    [anon_sym_STAR] = ACTIONS(5193),
    [anon_sym_SLASH] = ACTIONS(5193),
    [anon_sym_LT] = ACTIONS(5196),
    [anon_sym_GT] = ACTIONS(5196),
    [anon_sym_BANG] = ACTIONS(5196),
    [anon_sym_PIPE] = ACTIONS(5196),
    [anon_sym_COLON] = ACTIONS(5196),
    [anon_sym_SQUOTE] = ACTIONS(5196),
    [anon_sym__] = ACTIONS(5199),
    [anon_sym_CARET] = ACTIONS(5202),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5205),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5205),
    [anon_sym_DOLLAR] = ACTIONS(5208),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5211),
    [anon_sym_BSLASHleft] = ACTIONS(5214),
    [anon_sym_BSLASHbigl] = ACTIONS(5214),
    [anon_sym_BSLASHBigl] = ACTIONS(5214),
    [anon_sym_BSLASHbiggl] = ACTIONS(5214),
    [anon_sym_BSLASHBiggl] = ACTIONS(5214),
    [anon_sym_BSLASHtext] = ACTIONS(5217),
    [anon_sym_BSLASHintertext] = ACTIONS(5217),
    [anon_sym_BSLASHshortintertext] = ACTIONS(5217),
    [anon_sym_BSLASHtitle] = ACTIONS(5220),
    [anon_sym_BSLASHauthor] = ACTIONS(5223),
    [anon_sym_BSLASHusepackage] = ACTIONS(5226),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(5226),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(5229),
    [anon_sym_BSLASHinclude] = ACTIONS(5232),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(5232),
    [anon_sym_BSLASHinput] = ACTIONS(5232),
    [anon_sym_BSLASHsubfile] = ACTIONS(5232),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(5235),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(5238),
    [anon_sym_BSLASHbibliography] = ACTIONS(5241),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(5244),
    [anon_sym_BSLASHincludesvg] = ACTIONS(5247),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(5250),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(5253),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(5253),
    [anon_sym_BSLASHimport] = ACTIONS(5256),
    [anon_sym_BSLASHsubimport] = ACTIONS(5256),
    [anon_sym_BSLASHinputfrom] = ACTIONS(5256),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(5256),
    [anon_sym_BSLASHincludefrom] = ACTIONS(5256),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(5256),
    [anon_sym_BSLASHcaption] = ACTIONS(5259),
    [anon_sym_BSLASHcite] = ACTIONS(5262),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(5265),
    [anon_sym_BSLASHCite] = ACTIONS(5262),
    [anon_sym_BSLASHnocite] = ACTIONS(5262),
    [anon_sym_BSLASHcitet] = ACTIONS(5262),
    [anon_sym_BSLASHcitep] = ACTIONS(5262),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(5265),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(5265),
    [anon_sym_BSLASHciteA] = ACTIONS(5262),
    [anon_sym_BSLASHciteR] = ACTIONS(5262),
    [anon_sym_BSLASHciteS] = ACTIONS(5262),
    [anon_sym_BSLASHciteyearR] = ACTIONS(5262),
    [anon_sym_BSLASHciteauthor] = ACTIONS(5262),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(5265),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(5262),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(5265),
    [anon_sym_BSLASHcitetitle] = ACTIONS(5262),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(5265),
    [anon_sym_BSLASHciteyear] = ACTIONS(5262),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(5265),
    [anon_sym_BSLASHcitedate] = ACTIONS(5262),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(5265),
    [anon_sym_BSLASHciteurl] = ACTIONS(5262),
    [anon_sym_BSLASHfullcite] = ACTIONS(5262),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(5262),
    [anon_sym_BSLASHcitealt] = ACTIONS(5262),
    [anon_sym_BSLASHcitealp] = ACTIONS(5262),
    [anon_sym_BSLASHcitetext] = ACTIONS(5262),
    [anon_sym_BSLASHparencite] = ACTIONS(5262),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(5265),
    [anon_sym_BSLASHParencite] = ACTIONS(5262),
    [anon_sym_BSLASHfootcite] = ACTIONS(5262),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(5262),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(5262),
    [anon_sym_BSLASHtextcite] = ACTIONS(5262),
    [anon_sym_BSLASHTextcite] = ACTIONS(5262),
    [anon_sym_BSLASHsmartcite] = ACTIONS(5262),
    [anon_sym_BSLASHSmartcite] = ACTIONS(5262),
    [anon_sym_BSLASHsupercite] = ACTIONS(5262),
    [anon_sym_BSLASHautocite] = ACTIONS(5262),
    [anon_sym_BSLASHAutocite] = ACTIONS(5262),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(5265),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(5265),
    [anon_sym_BSLASHvolcite] = ACTIONS(5262),
    [anon_sym_BSLASHVolcite] = ACTIONS(5262),
    [anon_sym_BSLASHpvolcite] = ACTIONS(5262),
    [anon_sym_BSLASHPvolcite] = ACTIONS(5262),
    [anon_sym_BSLASHfvolcite] = ACTIONS(5262),
    [anon_sym_BSLASHftvolcite] = ACTIONS(5262),
    [anon_sym_BSLASHsvolcite] = ACTIONS(5262),
    [anon_sym_BSLASHSvolcite] = ACTIONS(5262),
    [anon_sym_BSLASHtvolcite] = ACTIONS(5262),
    [anon_sym_BSLASHTvolcite] = ACTIONS(5262),
    [anon_sym_BSLASHavolcite] = ACTIONS(5262),
    [anon_sym_BSLASHAvolcite] = ACTIONS(5262),
    [anon_sym_BSLASHnotecite] = ACTIONS(5262),
    [anon_sym_BSLASHNotecite] = ACTIONS(5262),
    [anon_sym_BSLASHpnotecite] = ACTIONS(5262),
    [anon_sym_BSLASHPnotecite] = ACTIONS(5262),
    [anon_sym_BSLASHfnotecite] = ACTIONS(5262),
    [anon_sym_BSLASHlabel] = ACTIONS(5268),
    [anon_sym_BSLASHref] = ACTIONS(5271),
    [anon_sym_BSLASHeqref] = ACTIONS(5271),
    [anon_sym_BSLASHvref] = ACTIONS(5271),
    [anon_sym_BSLASHVref] = ACTIONS(5271),
    [anon_sym_BSLASHautoref] = ACTIONS(5271),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(5274),
    [anon_sym_BSLASHpageref] = ACTIONS(5271),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(5274),
    [anon_sym_BSLASHautopageref] = ACTIONS(5271),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(5274),
    [anon_sym_BSLASHcref] = ACTIONS(5271),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(5274),
    [anon_sym_BSLASHCref] = ACTIONS(5271),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(5274),
    [anon_sym_BSLASHcpageref] = ACTIONS(5271),
    [anon_sym_BSLASHCpageref] = ACTIONS(5271),
    [anon_sym_BSLASHnamecref] = ACTIONS(5271),
    [anon_sym_BSLASHnameCref] = ACTIONS(5271),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(5271),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(5271),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(5271),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(5271),
    [anon_sym_BSLASHlabelcref] = ACTIONS(5271),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(5274),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(5271),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(5274),
    [anon_sym_BSLASHcrefrange] = ACTIONS(5277),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(5280),
    [anon_sym_BSLASHCrefrange] = ACTIONS(5277),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(5280),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(5277),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(5277),
    [anon_sym_BSLASHnewlabel] = ACTIONS(5283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(5286),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(5289),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(5286),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(5289),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(5286),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(5289),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(5286),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(5289),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(5286),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(5289),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(5292),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(5292),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(5292),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(5292),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(5292),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(5292),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(5292),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(5292),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(5295),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(5295),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(5295),
    [anon_sym_BSLASHdef] = ACTIONS(5298),
    [anon_sym_BSLASHgdef] = ACTIONS(5298),
    [anon_sym_BSLASHedef] = ACTIONS(5298),
    [anon_sym_BSLASHxdef] = ACTIONS(5298),
    [anon_sym_BSLASHlet] = ACTIONS(5301),
    [anon_sym_BSLASHglet] = ACTIONS(5301),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(5304),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(5304),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(5307),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(5307),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(5310),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(5310),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(5310),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(5310),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(5313),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(5313),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(5313),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(5316),
    [anon_sym_BSLASHgls] = ACTIONS(5319),
    [anon_sym_BSLASHGls] = ACTIONS(5319),
    [anon_sym_BSLASHGLS] = ACTIONS(5319),
    [anon_sym_BSLASHglspl] = ACTIONS(5319),
    [anon_sym_BSLASHGlspl] = ACTIONS(5319),
    [anon_sym_BSLASHGLSpl] = ACTIONS(5319),
    [anon_sym_BSLASHglsdisp] = ACTIONS(5319),
    [anon_sym_BSLASHglslink] = ACTIONS(5319),
    [anon_sym_BSLASHglstext] = ACTIONS(5319),
    [anon_sym_BSLASHGlstext] = ACTIONS(5319),
    [anon_sym_BSLASHGLStext] = ACTIONS(5319),
    [anon_sym_BSLASHglsfirst] = ACTIONS(5319),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(5319),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(5319),
    [anon_sym_BSLASHglsplural] = ACTIONS(5319),
    [anon_sym_BSLASHGlsplural] = ACTIONS(5319),
    [anon_sym_BSLASHGLSplural] = ACTIONS(5319),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(5319),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(5319),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(5319),
    [anon_sym_BSLASHglsname] = ACTIONS(5319),
    [anon_sym_BSLASHGlsname] = ACTIONS(5319),
    [anon_sym_BSLASHGLSname] = ACTIONS(5319),
    [anon_sym_BSLASHglssymbol] = ACTIONS(5319),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(5319),
    [anon_sym_BSLASHglsdesc] = ACTIONS(5319),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(5319),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(5319),
    [anon_sym_BSLASHglsuseri] = ACTIONS(5319),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(5319),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(5319),
    [anon_sym_BSLASHglsuserii] = ACTIONS(5319),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(5319),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(5319),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(5319),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(5319),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(5319),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(5319),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(5319),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(5319),
    [anon_sym_BSLASHglsuserv] = ACTIONS(5319),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(5319),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(5319),
    [anon_sym_BSLASHglsuservi] = ACTIONS(5319),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(5319),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(5319),
    [anon_sym_BSLASHnewacronym] = ACTIONS(5322),
    [anon_sym_BSLASHacrshort] = ACTIONS(5325),
    [anon_sym_BSLASHAcrshort] = ACTIONS(5325),
    [anon_sym_BSLASHACRshort] = ACTIONS(5325),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(5325),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(5325),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(5325),
    [anon_sym_BSLASHacrlong] = ACTIONS(5325),
    [anon_sym_BSLASHAcrlong] = ACTIONS(5325),
    [anon_sym_BSLASHACRlong] = ACTIONS(5325),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(5325),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(5325),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(5325),
    [anon_sym_BSLASHacrfull] = ACTIONS(5325),
    [anon_sym_BSLASHAcrfull] = ACTIONS(5325),
    [anon_sym_BSLASHACRfull] = ACTIONS(5325),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(5325),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(5325),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(5325),
    [anon_sym_BSLASHacs] = ACTIONS(5325),
    [anon_sym_BSLASHAcs] = ACTIONS(5325),
    [anon_sym_BSLASHacsp] = ACTIONS(5325),
    [anon_sym_BSLASHAcsp] = ACTIONS(5325),
    [anon_sym_BSLASHacl] = ACTIONS(5325),
    [anon_sym_BSLASHAcl] = ACTIONS(5325),
    [anon_sym_BSLASHaclp] = ACTIONS(5325),
    [anon_sym_BSLASHAclp] = ACTIONS(5325),
    [anon_sym_BSLASHacf] = ACTIONS(5325),
    [anon_sym_BSLASHAcf] = ACTIONS(5325),
    [anon_sym_BSLASHacfp] = ACTIONS(5325),
    [anon_sym_BSLASHAcfp] = ACTIONS(5325),
    [anon_sym_BSLASHac] = ACTIONS(5325),
    [anon_sym_BSLASHAc] = ACTIONS(5325),
    [anon_sym_BSLASHacp] = ACTIONS(5325),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(5325),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(5325),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(5325),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(5325),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(5325),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(5325),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(5325),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(5325),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(5325),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(5325),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(5328),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(5331),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(5328),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(5331),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(5334),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(5337),
    [anon_sym_BSLASHcolor] = ACTIONS(5340),
    [anon_sym_BSLASHpagecolor] = ACTIONS(5340),
    [anon_sym_BSLASHtextcolor] = ACTIONS(5340),
    [anon_sym_BSLASHmathcolor] = ACTIONS(5340),
    [anon_sym_BSLASHcolorbox] = ACTIONS(5340),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(5343),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(5343),
    [anon_sym_BSLASHurl] = ACTIONS(5346),
    [anon_sym_BSLASHhref] = ACTIONS(5346),
  },
  [298] = {
    [sym_block_comment] = STATE(297),
    [sym__text_content] = STATE(297),
    [sym_curly_group] = STATE(297),
    [sym_brack_group] = STATE(297),
    [sym_text] = STATE(297),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(297),
    [sym_displayed_equation] = STATE(297),
    [sym_inline_formula] = STATE(297),
    [sym_math_delimiter] = STATE(297),
    [sym_text_mode] = STATE(297),
    [sym__command] = STATE(297),
    [sym_generic_command] = STATE(297),
    [sym_title_declaration] = STATE(297),
    [sym_author_declaration] = STATE(297),
    [sym_package_include] = STATE(297),
    [sym_class_include] = STATE(297),
    [sym_latex_include] = STATE(297),
    [sym_biblatex_include] = STATE(297),
    [sym_bibstyle_include] = STATE(297),
    [sym_bibtex_include] = STATE(297),
    [sym_graphics_include] = STATE(297),
    [sym_svg_include] = STATE(297),
    [sym_inkscape_include] = STATE(297),
    [sym_verbatim_include] = STATE(297),
    [sym_import_include] = STATE(297),
    [sym_caption] = STATE(297),
    [sym_citation] = STATE(297),
    [sym_label_definition] = STATE(297),
    [sym_label_reference] = STATE(297),
    [sym_label_reference_range] = STATE(297),
    [sym_label_number] = STATE(297),
    [sym_new_command_definition] = STATE(297),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(297),
    [sym_let_command_definition] = STATE(297),
    [sym_paired_delimiter_definition] = STATE(297),
    [sym_environment_definition] = STATE(297),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(297),
    [sym_glossary_entry_reference] = STATE(297),
    [sym_acronym_definition] = STATE(297),
    [sym_acronym_reference] = STATE(297),
    [sym_theorem_definition] = STATE(297),
    [sym_color_definition] = STATE(297),
    [sym_color_set_definition] = STATE(297),
    [sym_color_reference] = STATE(297),
    [sym_tikz_library_import] = STATE(297),
    [sym_hyperlink] = STATE(297),
    [aux_sym_text_repeat1] = STATE(331),
    [aux_sym_value_repeat1] = STATE(297),
    [sym_command_name] = ACTIONS(4812),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4814),
    [anon_sym_LBRACK] = ACTIONS(5349),
    [anon_sym_COMMA] = ACTIONS(5351),
    [anon_sym_LPAREN] = ACTIONS(5353),
    [anon_sym_RPAREN] = ACTIONS(5353),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(5351),
    [sym_word] = ACTIONS(4822),
    [sym_placeholder] = ACTIONS(4824),
    [sym_delimiter] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_BANG] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4828),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym__] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5355),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5355),
    [anon_sym_DOLLAR] = ACTIONS(5357),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5359),
    [anon_sym_BSLASHleft] = ACTIONS(4840),
    [anon_sym_BSLASHbigl] = ACTIONS(4840),
    [anon_sym_BSLASHBigl] = ACTIONS(4840),
    [anon_sym_BSLASHbiggl] = ACTIONS(4840),
    [anon_sym_BSLASHBiggl] = ACTIONS(4840),
    [anon_sym_BSLASHtext] = ACTIONS(4842),
    [anon_sym_BSLASHintertext] = ACTIONS(4842),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4842),
    [anon_sym_BSLASHtitle] = ACTIONS(4844),
    [anon_sym_BSLASHauthor] = ACTIONS(4846),
    [anon_sym_BSLASHusepackage] = ACTIONS(4848),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4848),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4850),
    [anon_sym_BSLASHinclude] = ACTIONS(4852),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4852),
    [anon_sym_BSLASHinput] = ACTIONS(4852),
    [anon_sym_BSLASHsubfile] = ACTIONS(4852),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4856),
    [anon_sym_BSLASHbibliography] = ACTIONS(4858),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4860),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4862),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4866),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4866),
    [anon_sym_BSLASHimport] = ACTIONS(4868),
    [anon_sym_BSLASHsubimport] = ACTIONS(4868),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4868),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHcaption] = ACTIONS(4870),
    [anon_sym_BSLASHcite] = ACTIONS(4872),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCite] = ACTIONS(4872),
    [anon_sym_BSLASHnocite] = ACTIONS(4872),
    [anon_sym_BSLASHcitet] = ACTIONS(4872),
    [anon_sym_BSLASHcitep] = ACTIONS(4872),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteA] = ACTIONS(4872),
    [anon_sym_BSLASHciteR] = ACTIONS(4872),
    [anon_sym_BSLASHciteS] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4872),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteyear] = ACTIONS(4872),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitedate] = ACTIONS(4872),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteurl] = ACTIONS(4872),
    [anon_sym_BSLASHfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4872),
    [anon_sym_BSLASHcitealt] = ACTIONS(4872),
    [anon_sym_BSLASHcitealp] = ACTIONS(4872),
    [anon_sym_BSLASHcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHparencite] = ACTIONS(4872),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHParencite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHtextcite] = ACTIONS(4872),
    [anon_sym_BSLASHTextcite] = ACTIONS(4872),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHsupercite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite] = ACTIONS(4872),
    [anon_sym_BSLASHAutocite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHVolcite] = ACTIONS(4872),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHavolcite] = ACTIONS(4872),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHNotecite] = ACTIONS(4872),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHlabel] = ACTIONS(4876),
    [anon_sym_BSLASHref] = ACTIONS(4878),
    [anon_sym_BSLASHeqref] = ACTIONS(4878),
    [anon_sym_BSLASHvref] = ACTIONS(4878),
    [anon_sym_BSLASHVref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHpageref] = ACTIONS(4878),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHautopageref] = ACTIONS(4878),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcref] = ACTIONS(4878),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHCref] = ACTIONS(4878),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHCpageref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnameCref] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4886),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4888),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHdef] = ACTIONS(4896),
    [anon_sym_BSLASHgdef] = ACTIONS(4896),
    [anon_sym_BSLASHedef] = ACTIONS(4896),
    [anon_sym_BSLASHxdef] = ACTIONS(4896),
    [anon_sym_BSLASHlet] = ACTIONS(4898),
    [anon_sym_BSLASHglet] = ACTIONS(4898),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4900),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4900),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4908),
    [anon_sym_BSLASHgls] = ACTIONS(4910),
    [anon_sym_BSLASHGls] = ACTIONS(4910),
    [anon_sym_BSLASHGLS] = ACTIONS(4910),
    [anon_sym_BSLASHglspl] = ACTIONS(4910),
    [anon_sym_BSLASHGlspl] = ACTIONS(4910),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4910),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4910),
    [anon_sym_BSLASHglslink] = ACTIONS(4910),
    [anon_sym_BSLASHglstext] = ACTIONS(4910),
    [anon_sym_BSLASHGlstext] = ACTIONS(4910),
    [anon_sym_BSLASHGLStext] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4910),
    [anon_sym_BSLASHglsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsname] = ACTIONS(4910),
    [anon_sym_BSLASHGlsname] = ACTIONS(4910),
    [anon_sym_BSLASHGLSname] = ACTIONS(4910),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4910),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4912),
    [anon_sym_BSLASHacrshort] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4914),
    [anon_sym_BSLASHACRshort] = ACTIONS(4914),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrlong] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4914),
    [anon_sym_BSLASHACRlong] = ACTIONS(4914),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrfull] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4914),
    [anon_sym_BSLASHACRfull] = ACTIONS(4914),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHacs] = ACTIONS(4914),
    [anon_sym_BSLASHAcs] = ACTIONS(4914),
    [anon_sym_BSLASHacsp] = ACTIONS(4914),
    [anon_sym_BSLASHAcsp] = ACTIONS(4914),
    [anon_sym_BSLASHacl] = ACTIONS(4914),
    [anon_sym_BSLASHAcl] = ACTIONS(4914),
    [anon_sym_BSLASHaclp] = ACTIONS(4914),
    [anon_sym_BSLASHAclp] = ACTIONS(4914),
    [anon_sym_BSLASHacf] = ACTIONS(4914),
    [anon_sym_BSLASHAcf] = ACTIONS(4914),
    [anon_sym_BSLASHacfp] = ACTIONS(4914),
    [anon_sym_BSLASHAcfp] = ACTIONS(4914),
    [anon_sym_BSLASHac] = ACTIONS(4914),
    [anon_sym_BSLASHAc] = ACTIONS(4914),
    [anon_sym_BSLASHacp] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4916),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4916),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4920),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4922),
    [anon_sym_BSLASHcolor] = ACTIONS(4924),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4924),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4924),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4924),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4924),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4926),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4926),
    [anon_sym_BSLASHurl] = ACTIONS(4928),
    [anon_sym_BSLASHhref] = ACTIONS(4928),
  },
  [299] = {
    [sym_block_comment] = STATE(300),
    [sym__text_content] = STATE(300),
    [sym_curly_group] = STATE(300),
    [sym_brack_group] = STATE(300),
    [sym_text] = STATE(300),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(300),
    [sym_displayed_equation] = STATE(300),
    [sym_inline_formula] = STATE(300),
    [sym_math_delimiter] = STATE(300),
    [sym_text_mode] = STATE(300),
    [sym__command] = STATE(300),
    [sym_generic_command] = STATE(300),
    [sym_title_declaration] = STATE(300),
    [sym_author_declaration] = STATE(300),
    [sym_package_include] = STATE(300),
    [sym_class_include] = STATE(300),
    [sym_latex_include] = STATE(300),
    [sym_biblatex_include] = STATE(300),
    [sym_bibstyle_include] = STATE(300),
    [sym_bibtex_include] = STATE(300),
    [sym_graphics_include] = STATE(300),
    [sym_svg_include] = STATE(300),
    [sym_inkscape_include] = STATE(300),
    [sym_verbatim_include] = STATE(300),
    [sym_import_include] = STATE(300),
    [sym_caption] = STATE(300),
    [sym_citation] = STATE(300),
    [sym_label_definition] = STATE(300),
    [sym_label_reference] = STATE(300),
    [sym_label_reference_range] = STATE(300),
    [sym_label_number] = STATE(300),
    [sym_new_command_definition] = STATE(300),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(300),
    [sym_let_command_definition] = STATE(300),
    [sym_paired_delimiter_definition] = STATE(300),
    [sym_environment_definition] = STATE(300),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(300),
    [sym_glossary_entry_reference] = STATE(300),
    [sym_acronym_definition] = STATE(300),
    [sym_acronym_reference] = STATE(300),
    [sym_theorem_definition] = STATE(300),
    [sym_color_definition] = STATE(300),
    [sym_color_set_definition] = STATE(300),
    [sym_color_reference] = STATE(300),
    [sym_tikz_library_import] = STATE(300),
    [sym_hyperlink] = STATE(300),
    [aux_sym_text_repeat1] = STATE(331),
    [aux_sym_value_repeat1] = STATE(300),
    [sym_command_name] = ACTIONS(4812),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4814),
    [anon_sym_LBRACK] = ACTIONS(5349),
    [anon_sym_RBRACK] = ACTIONS(5351),
    [anon_sym_COMMA] = ACTIONS(5351),
    [anon_sym_LPAREN] = ACTIONS(5361),
    [anon_sym_RPAREN] = ACTIONS(5361),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [sym_word] = ACTIONS(4822),
    [sym_placeholder] = ACTIONS(4824),
    [sym_delimiter] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_BANG] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4828),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym__] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5363),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5363),
    [anon_sym_DOLLAR] = ACTIONS(5365),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5367),
    [anon_sym_BSLASHleft] = ACTIONS(4840),
    [anon_sym_BSLASHbigl] = ACTIONS(4840),
    [anon_sym_BSLASHBigl] = ACTIONS(4840),
    [anon_sym_BSLASHbiggl] = ACTIONS(4840),
    [anon_sym_BSLASHBiggl] = ACTIONS(4840),
    [anon_sym_BSLASHtext] = ACTIONS(4842),
    [anon_sym_BSLASHintertext] = ACTIONS(4842),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4842),
    [anon_sym_BSLASHtitle] = ACTIONS(4844),
    [anon_sym_BSLASHauthor] = ACTIONS(4846),
    [anon_sym_BSLASHusepackage] = ACTIONS(4848),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4848),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4850),
    [anon_sym_BSLASHinclude] = ACTIONS(4852),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4852),
    [anon_sym_BSLASHinput] = ACTIONS(4852),
    [anon_sym_BSLASHsubfile] = ACTIONS(4852),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4856),
    [anon_sym_BSLASHbibliography] = ACTIONS(4858),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4860),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4862),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4866),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4866),
    [anon_sym_BSLASHimport] = ACTIONS(4868),
    [anon_sym_BSLASHsubimport] = ACTIONS(4868),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4868),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHcaption] = ACTIONS(4870),
    [anon_sym_BSLASHcite] = ACTIONS(4872),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCite] = ACTIONS(4872),
    [anon_sym_BSLASHnocite] = ACTIONS(4872),
    [anon_sym_BSLASHcitet] = ACTIONS(4872),
    [anon_sym_BSLASHcitep] = ACTIONS(4872),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteA] = ACTIONS(4872),
    [anon_sym_BSLASHciteR] = ACTIONS(4872),
    [anon_sym_BSLASHciteS] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4872),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteyear] = ACTIONS(4872),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitedate] = ACTIONS(4872),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteurl] = ACTIONS(4872),
    [anon_sym_BSLASHfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4872),
    [anon_sym_BSLASHcitealt] = ACTIONS(4872),
    [anon_sym_BSLASHcitealp] = ACTIONS(4872),
    [anon_sym_BSLASHcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHparencite] = ACTIONS(4872),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHParencite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHtextcite] = ACTIONS(4872),
    [anon_sym_BSLASHTextcite] = ACTIONS(4872),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHsupercite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite] = ACTIONS(4872),
    [anon_sym_BSLASHAutocite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHVolcite] = ACTIONS(4872),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHavolcite] = ACTIONS(4872),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHNotecite] = ACTIONS(4872),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHlabel] = ACTIONS(4876),
    [anon_sym_BSLASHref] = ACTIONS(4878),
    [anon_sym_BSLASHeqref] = ACTIONS(4878),
    [anon_sym_BSLASHvref] = ACTIONS(4878),
    [anon_sym_BSLASHVref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHpageref] = ACTIONS(4878),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHautopageref] = ACTIONS(4878),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcref] = ACTIONS(4878),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHCref] = ACTIONS(4878),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHCpageref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnameCref] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4886),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4888),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHdef] = ACTIONS(4896),
    [anon_sym_BSLASHgdef] = ACTIONS(4896),
    [anon_sym_BSLASHedef] = ACTIONS(4896),
    [anon_sym_BSLASHxdef] = ACTIONS(4896),
    [anon_sym_BSLASHlet] = ACTIONS(4898),
    [anon_sym_BSLASHglet] = ACTIONS(4898),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4900),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4900),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4908),
    [anon_sym_BSLASHgls] = ACTIONS(4910),
    [anon_sym_BSLASHGls] = ACTIONS(4910),
    [anon_sym_BSLASHGLS] = ACTIONS(4910),
    [anon_sym_BSLASHglspl] = ACTIONS(4910),
    [anon_sym_BSLASHGlspl] = ACTIONS(4910),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4910),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4910),
    [anon_sym_BSLASHglslink] = ACTIONS(4910),
    [anon_sym_BSLASHglstext] = ACTIONS(4910),
    [anon_sym_BSLASHGlstext] = ACTIONS(4910),
    [anon_sym_BSLASHGLStext] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4910),
    [anon_sym_BSLASHglsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsname] = ACTIONS(4910),
    [anon_sym_BSLASHGlsname] = ACTIONS(4910),
    [anon_sym_BSLASHGLSname] = ACTIONS(4910),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4910),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4912),
    [anon_sym_BSLASHacrshort] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4914),
    [anon_sym_BSLASHACRshort] = ACTIONS(4914),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrlong] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4914),
    [anon_sym_BSLASHACRlong] = ACTIONS(4914),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrfull] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4914),
    [anon_sym_BSLASHACRfull] = ACTIONS(4914),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHacs] = ACTIONS(4914),
    [anon_sym_BSLASHAcs] = ACTIONS(4914),
    [anon_sym_BSLASHacsp] = ACTIONS(4914),
    [anon_sym_BSLASHAcsp] = ACTIONS(4914),
    [anon_sym_BSLASHacl] = ACTIONS(4914),
    [anon_sym_BSLASHAcl] = ACTIONS(4914),
    [anon_sym_BSLASHaclp] = ACTIONS(4914),
    [anon_sym_BSLASHAclp] = ACTIONS(4914),
    [anon_sym_BSLASHacf] = ACTIONS(4914),
    [anon_sym_BSLASHAcf] = ACTIONS(4914),
    [anon_sym_BSLASHacfp] = ACTIONS(4914),
    [anon_sym_BSLASHAcfp] = ACTIONS(4914),
    [anon_sym_BSLASHac] = ACTIONS(4914),
    [anon_sym_BSLASHAc] = ACTIONS(4914),
    [anon_sym_BSLASHacp] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4916),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4916),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4920),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4922),
    [anon_sym_BSLASHcolor] = ACTIONS(4924),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4924),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4924),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4924),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4924),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4926),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4926),
    [anon_sym_BSLASHurl] = ACTIONS(4928),
    [anon_sym_BSLASHhref] = ACTIONS(4928),
  },
  [300] = {
    [sym_block_comment] = STATE(300),
    [sym__text_content] = STATE(300),
    [sym_curly_group] = STATE(300),
    [sym_brack_group] = STATE(300),
    [sym_text] = STATE(300),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(300),
    [sym_displayed_equation] = STATE(300),
    [sym_inline_formula] = STATE(300),
    [sym_math_delimiter] = STATE(300),
    [sym_text_mode] = STATE(300),
    [sym__command] = STATE(300),
    [sym_generic_command] = STATE(300),
    [sym_title_declaration] = STATE(300),
    [sym_author_declaration] = STATE(300),
    [sym_package_include] = STATE(300),
    [sym_class_include] = STATE(300),
    [sym_latex_include] = STATE(300),
    [sym_biblatex_include] = STATE(300),
    [sym_bibstyle_include] = STATE(300),
    [sym_bibtex_include] = STATE(300),
    [sym_graphics_include] = STATE(300),
    [sym_svg_include] = STATE(300),
    [sym_inkscape_include] = STATE(300),
    [sym_verbatim_include] = STATE(300),
    [sym_import_include] = STATE(300),
    [sym_caption] = STATE(300),
    [sym_citation] = STATE(300),
    [sym_label_definition] = STATE(300),
    [sym_label_reference] = STATE(300),
    [sym_label_reference_range] = STATE(300),
    [sym_label_number] = STATE(300),
    [sym_new_command_definition] = STATE(300),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(300),
    [sym_let_command_definition] = STATE(300),
    [sym_paired_delimiter_definition] = STATE(300),
    [sym_environment_definition] = STATE(300),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(300),
    [sym_glossary_entry_reference] = STATE(300),
    [sym_acronym_definition] = STATE(300),
    [sym_acronym_reference] = STATE(300),
    [sym_theorem_definition] = STATE(300),
    [sym_color_definition] = STATE(300),
    [sym_color_set_definition] = STATE(300),
    [sym_color_reference] = STATE(300),
    [sym_tikz_library_import] = STATE(300),
    [sym_hyperlink] = STATE(300),
    [aux_sym_text_repeat1] = STATE(331),
    [aux_sym_value_repeat1] = STATE(300),
    [sym_command_name] = ACTIONS(5170),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(5173),
    [anon_sym_LBRACK] = ACTIONS(5176),
    [anon_sym_RBRACK] = ACTIONS(5179),
    [anon_sym_COMMA] = ACTIONS(5179),
    [anon_sym_LPAREN] = ACTIONS(5369),
    [anon_sym_RPAREN] = ACTIONS(5369),
    [anon_sym_LBRACE] = ACTIONS(5184),
    [sym_word] = ACTIONS(5187),
    [sym_placeholder] = ACTIONS(5190),
    [sym_delimiter] = ACTIONS(5190),
    [anon_sym_PLUS] = ACTIONS(5193),
    [anon_sym_DASH] = ACTIONS(5193),
    [anon_sym_STAR] = ACTIONS(5193),
    [anon_sym_SLASH] = ACTIONS(5193),
    [anon_sym_LT] = ACTIONS(5196),
    [anon_sym_GT] = ACTIONS(5196),
    [anon_sym_BANG] = ACTIONS(5196),
    [anon_sym_PIPE] = ACTIONS(5196),
    [anon_sym_COLON] = ACTIONS(5196),
    [anon_sym_SQUOTE] = ACTIONS(5196),
    [anon_sym__] = ACTIONS(5199),
    [anon_sym_CARET] = ACTIONS(5202),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5372),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5372),
    [anon_sym_DOLLAR] = ACTIONS(5375),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5378),
    [anon_sym_BSLASHleft] = ACTIONS(5214),
    [anon_sym_BSLASHbigl] = ACTIONS(5214),
    [anon_sym_BSLASHBigl] = ACTIONS(5214),
    [anon_sym_BSLASHbiggl] = ACTIONS(5214),
    [anon_sym_BSLASHBiggl] = ACTIONS(5214),
    [anon_sym_BSLASHtext] = ACTIONS(5217),
    [anon_sym_BSLASHintertext] = ACTIONS(5217),
    [anon_sym_BSLASHshortintertext] = ACTIONS(5217),
    [anon_sym_BSLASHtitle] = ACTIONS(5220),
    [anon_sym_BSLASHauthor] = ACTIONS(5223),
    [anon_sym_BSLASHusepackage] = ACTIONS(5226),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(5226),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(5229),
    [anon_sym_BSLASHinclude] = ACTIONS(5232),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(5232),
    [anon_sym_BSLASHinput] = ACTIONS(5232),
    [anon_sym_BSLASHsubfile] = ACTIONS(5232),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(5235),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(5238),
    [anon_sym_BSLASHbibliography] = ACTIONS(5241),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(5244),
    [anon_sym_BSLASHincludesvg] = ACTIONS(5247),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(5250),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(5253),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(5253),
    [anon_sym_BSLASHimport] = ACTIONS(5256),
    [anon_sym_BSLASHsubimport] = ACTIONS(5256),
    [anon_sym_BSLASHinputfrom] = ACTIONS(5256),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(5256),
    [anon_sym_BSLASHincludefrom] = ACTIONS(5256),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(5256),
    [anon_sym_BSLASHcaption] = ACTIONS(5259),
    [anon_sym_BSLASHcite] = ACTIONS(5262),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(5265),
    [anon_sym_BSLASHCite] = ACTIONS(5262),
    [anon_sym_BSLASHnocite] = ACTIONS(5262),
    [anon_sym_BSLASHcitet] = ACTIONS(5262),
    [anon_sym_BSLASHcitep] = ACTIONS(5262),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(5265),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(5265),
    [anon_sym_BSLASHciteA] = ACTIONS(5262),
    [anon_sym_BSLASHciteR] = ACTIONS(5262),
    [anon_sym_BSLASHciteS] = ACTIONS(5262),
    [anon_sym_BSLASHciteyearR] = ACTIONS(5262),
    [anon_sym_BSLASHciteauthor] = ACTIONS(5262),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(5265),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(5262),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(5265),
    [anon_sym_BSLASHcitetitle] = ACTIONS(5262),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(5265),
    [anon_sym_BSLASHciteyear] = ACTIONS(5262),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(5265),
    [anon_sym_BSLASHcitedate] = ACTIONS(5262),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(5265),
    [anon_sym_BSLASHciteurl] = ACTIONS(5262),
    [anon_sym_BSLASHfullcite] = ACTIONS(5262),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(5262),
    [anon_sym_BSLASHcitealt] = ACTIONS(5262),
    [anon_sym_BSLASHcitealp] = ACTIONS(5262),
    [anon_sym_BSLASHcitetext] = ACTIONS(5262),
    [anon_sym_BSLASHparencite] = ACTIONS(5262),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(5265),
    [anon_sym_BSLASHParencite] = ACTIONS(5262),
    [anon_sym_BSLASHfootcite] = ACTIONS(5262),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(5262),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(5262),
    [anon_sym_BSLASHtextcite] = ACTIONS(5262),
    [anon_sym_BSLASHTextcite] = ACTIONS(5262),
    [anon_sym_BSLASHsmartcite] = ACTIONS(5262),
    [anon_sym_BSLASHSmartcite] = ACTIONS(5262),
    [anon_sym_BSLASHsupercite] = ACTIONS(5262),
    [anon_sym_BSLASHautocite] = ACTIONS(5262),
    [anon_sym_BSLASHAutocite] = ACTIONS(5262),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(5265),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(5265),
    [anon_sym_BSLASHvolcite] = ACTIONS(5262),
    [anon_sym_BSLASHVolcite] = ACTIONS(5262),
    [anon_sym_BSLASHpvolcite] = ACTIONS(5262),
    [anon_sym_BSLASHPvolcite] = ACTIONS(5262),
    [anon_sym_BSLASHfvolcite] = ACTIONS(5262),
    [anon_sym_BSLASHftvolcite] = ACTIONS(5262),
    [anon_sym_BSLASHsvolcite] = ACTIONS(5262),
    [anon_sym_BSLASHSvolcite] = ACTIONS(5262),
    [anon_sym_BSLASHtvolcite] = ACTIONS(5262),
    [anon_sym_BSLASHTvolcite] = ACTIONS(5262),
    [anon_sym_BSLASHavolcite] = ACTIONS(5262),
    [anon_sym_BSLASHAvolcite] = ACTIONS(5262),
    [anon_sym_BSLASHnotecite] = ACTIONS(5262),
    [anon_sym_BSLASHNotecite] = ACTIONS(5262),
    [anon_sym_BSLASHpnotecite] = ACTIONS(5262),
    [anon_sym_BSLASHPnotecite] = ACTIONS(5262),
    [anon_sym_BSLASHfnotecite] = ACTIONS(5262),
    [anon_sym_BSLASHlabel] = ACTIONS(5268),
    [anon_sym_BSLASHref] = ACTIONS(5271),
    [anon_sym_BSLASHeqref] = ACTIONS(5271),
    [anon_sym_BSLASHvref] = ACTIONS(5271),
    [anon_sym_BSLASHVref] = ACTIONS(5271),
    [anon_sym_BSLASHautoref] = ACTIONS(5271),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(5274),
    [anon_sym_BSLASHpageref] = ACTIONS(5271),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(5274),
    [anon_sym_BSLASHautopageref] = ACTIONS(5271),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(5274),
    [anon_sym_BSLASHcref] = ACTIONS(5271),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(5274),
    [anon_sym_BSLASHCref] = ACTIONS(5271),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(5274),
    [anon_sym_BSLASHcpageref] = ACTIONS(5271),
    [anon_sym_BSLASHCpageref] = ACTIONS(5271),
    [anon_sym_BSLASHnamecref] = ACTIONS(5271),
    [anon_sym_BSLASHnameCref] = ACTIONS(5271),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(5271),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(5271),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(5271),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(5271),
    [anon_sym_BSLASHlabelcref] = ACTIONS(5271),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(5274),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(5271),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(5274),
    [anon_sym_BSLASHcrefrange] = ACTIONS(5277),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(5280),
    [anon_sym_BSLASHCrefrange] = ACTIONS(5277),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(5280),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(5277),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(5277),
    [anon_sym_BSLASHnewlabel] = ACTIONS(5283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(5286),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(5289),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(5286),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(5289),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(5286),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(5289),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(5286),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(5289),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(5286),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(5289),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(5292),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(5292),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(5292),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(5292),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(5292),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(5292),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(5292),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(5292),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(5295),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(5295),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(5295),
    [anon_sym_BSLASHdef] = ACTIONS(5298),
    [anon_sym_BSLASHgdef] = ACTIONS(5298),
    [anon_sym_BSLASHedef] = ACTIONS(5298),
    [anon_sym_BSLASHxdef] = ACTIONS(5298),
    [anon_sym_BSLASHlet] = ACTIONS(5301),
    [anon_sym_BSLASHglet] = ACTIONS(5301),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(5304),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(5304),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(5307),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(5307),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(5310),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(5310),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(5310),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(5310),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(5313),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(5313),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(5313),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(5316),
    [anon_sym_BSLASHgls] = ACTIONS(5319),
    [anon_sym_BSLASHGls] = ACTIONS(5319),
    [anon_sym_BSLASHGLS] = ACTIONS(5319),
    [anon_sym_BSLASHglspl] = ACTIONS(5319),
    [anon_sym_BSLASHGlspl] = ACTIONS(5319),
    [anon_sym_BSLASHGLSpl] = ACTIONS(5319),
    [anon_sym_BSLASHglsdisp] = ACTIONS(5319),
    [anon_sym_BSLASHglslink] = ACTIONS(5319),
    [anon_sym_BSLASHglstext] = ACTIONS(5319),
    [anon_sym_BSLASHGlstext] = ACTIONS(5319),
    [anon_sym_BSLASHGLStext] = ACTIONS(5319),
    [anon_sym_BSLASHglsfirst] = ACTIONS(5319),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(5319),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(5319),
    [anon_sym_BSLASHglsplural] = ACTIONS(5319),
    [anon_sym_BSLASHGlsplural] = ACTIONS(5319),
    [anon_sym_BSLASHGLSplural] = ACTIONS(5319),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(5319),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(5319),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(5319),
    [anon_sym_BSLASHglsname] = ACTIONS(5319),
    [anon_sym_BSLASHGlsname] = ACTIONS(5319),
    [anon_sym_BSLASHGLSname] = ACTIONS(5319),
    [anon_sym_BSLASHglssymbol] = ACTIONS(5319),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(5319),
    [anon_sym_BSLASHglsdesc] = ACTIONS(5319),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(5319),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(5319),
    [anon_sym_BSLASHglsuseri] = ACTIONS(5319),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(5319),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(5319),
    [anon_sym_BSLASHglsuserii] = ACTIONS(5319),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(5319),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(5319),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(5319),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(5319),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(5319),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(5319),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(5319),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(5319),
    [anon_sym_BSLASHglsuserv] = ACTIONS(5319),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(5319),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(5319),
    [anon_sym_BSLASHglsuservi] = ACTIONS(5319),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(5319),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(5319),
    [anon_sym_BSLASHnewacronym] = ACTIONS(5322),
    [anon_sym_BSLASHacrshort] = ACTIONS(5325),
    [anon_sym_BSLASHAcrshort] = ACTIONS(5325),
    [anon_sym_BSLASHACRshort] = ACTIONS(5325),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(5325),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(5325),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(5325),
    [anon_sym_BSLASHacrlong] = ACTIONS(5325),
    [anon_sym_BSLASHAcrlong] = ACTIONS(5325),
    [anon_sym_BSLASHACRlong] = ACTIONS(5325),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(5325),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(5325),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(5325),
    [anon_sym_BSLASHacrfull] = ACTIONS(5325),
    [anon_sym_BSLASHAcrfull] = ACTIONS(5325),
    [anon_sym_BSLASHACRfull] = ACTIONS(5325),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(5325),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(5325),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(5325),
    [anon_sym_BSLASHacs] = ACTIONS(5325),
    [anon_sym_BSLASHAcs] = ACTIONS(5325),
    [anon_sym_BSLASHacsp] = ACTIONS(5325),
    [anon_sym_BSLASHAcsp] = ACTIONS(5325),
    [anon_sym_BSLASHacl] = ACTIONS(5325),
    [anon_sym_BSLASHAcl] = ACTIONS(5325),
    [anon_sym_BSLASHaclp] = ACTIONS(5325),
    [anon_sym_BSLASHAclp] = ACTIONS(5325),
    [anon_sym_BSLASHacf] = ACTIONS(5325),
    [anon_sym_BSLASHAcf] = ACTIONS(5325),
    [anon_sym_BSLASHacfp] = ACTIONS(5325),
    [anon_sym_BSLASHAcfp] = ACTIONS(5325),
    [anon_sym_BSLASHac] = ACTIONS(5325),
    [anon_sym_BSLASHAc] = ACTIONS(5325),
    [anon_sym_BSLASHacp] = ACTIONS(5325),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(5325),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(5325),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(5325),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(5325),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(5325),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(5325),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(5325),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(5325),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(5325),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(5325),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(5328),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(5331),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(5328),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(5331),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(5334),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(5337),
    [anon_sym_BSLASHcolor] = ACTIONS(5340),
    [anon_sym_BSLASHpagecolor] = ACTIONS(5340),
    [anon_sym_BSLASHtextcolor] = ACTIONS(5340),
    [anon_sym_BSLASHmathcolor] = ACTIONS(5340),
    [anon_sym_BSLASHcolorbox] = ACTIONS(5340),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(5343),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(5343),
    [anon_sym_BSLASHurl] = ACTIONS(5346),
    [anon_sym_BSLASHhref] = ACTIONS(5346),
  },
  [301] = {
    [sym_block_comment] = STATE(2161),
    [sym__text_content] = STATE(2161),
    [sym_curly_group] = STATE(2161),
    [sym_text] = STATE(2161),
    [sym_operator] = STATE(2147),
    [sym_subscript] = STATE(2147),
    [sym_superscript] = STATE(2147),
    [sym__math_content] = STATE(2161),
    [sym_displayed_equation] = STATE(2161),
    [sym_inline_formula] = STATE(2161),
    [sym_math_delimiter] = STATE(2161),
    [sym_text_mode] = STATE(2161),
    [sym__command] = STATE(2161),
    [sym_generic_command] = STATE(2161),
    [sym_title_declaration] = STATE(2161),
    [sym_author_declaration] = STATE(2161),
    [sym_package_include] = STATE(2161),
    [sym_class_include] = STATE(2161),
    [sym_latex_include] = STATE(2161),
    [sym_biblatex_include] = STATE(2161),
    [sym_bibstyle_include] = STATE(2161),
    [sym_bibtex_include] = STATE(2161),
    [sym_graphics_include] = STATE(2161),
    [sym_svg_include] = STATE(2161),
    [sym_inkscape_include] = STATE(2161),
    [sym_verbatim_include] = STATE(2161),
    [sym_import_include] = STATE(2161),
    [sym_caption] = STATE(2161),
    [sym_citation] = STATE(2161),
    [sym_label_definition] = STATE(2161),
    [sym_label_reference] = STATE(2161),
    [sym_label_reference_range] = STATE(2161),
    [sym_label_number] = STATE(2161),
    [sym_new_command_definition] = STATE(2161),
    [sym__new_command_definition] = STATE(2170),
    [sym__newer_command_definition] = STATE(2171),
    [sym__new_command_copy] = STATE(2172),
    [sym_old_command_definition] = STATE(2161),
    [sym_let_command_definition] = STATE(2161),
    [sym_paired_delimiter_definition] = STATE(2161),
    [sym_environment_definition] = STATE(2161),
    [sym__environment_definition] = STATE(2173),
    [sym__newer_environment_definition] = STATE(2174),
    [sym__new_environment_copy] = STATE(2175),
    [sym_glossary_entry_definition] = STATE(2161),
    [sym_glossary_entry_reference] = STATE(2161),
    [sym_acronym_definition] = STATE(2161),
    [sym_acronym_reference] = STATE(2161),
    [sym_theorem_definition] = STATE(2161),
    [sym_color_definition] = STATE(2161),
    [sym_color_set_definition] = STATE(2161),
    [sym_color_reference] = STATE(2161),
    [sym_tikz_library_import] = STATE(2161),
    [sym_hyperlink] = STATE(2161),
    [aux_sym_curly_group_author_list_repeat1] = STATE(314),
    [aux_sym_curly_group_author_list_repeat2] = STATE(2741),
    [aux_sym_text_repeat1] = STATE(335),
    [sym_command_name] = ACTIONS(5381),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(5383),
    [anon_sym_LPAREN] = ACTIONS(5385),
    [anon_sym_RPAREN] = ACTIONS(5385),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(5389),
    [anon_sym_BSLASHand] = ACTIONS(5391),
    [sym_word] = ACTIONS(5393),
    [sym_placeholder] = ACTIONS(5395),
    [sym_delimiter] = ACTIONS(5395),
    [anon_sym_PLUS] = ACTIONS(5397),
    [anon_sym_DASH] = ACTIONS(5397),
    [anon_sym_STAR] = ACTIONS(5397),
    [anon_sym_SLASH] = ACTIONS(5397),
    [anon_sym_LT] = ACTIONS(5399),
    [anon_sym_GT] = ACTIONS(5399),
    [anon_sym_BANG] = ACTIONS(5399),
    [anon_sym_PIPE] = ACTIONS(5399),
    [anon_sym_COLON] = ACTIONS(5399),
    [anon_sym_SQUOTE] = ACTIONS(5399),
    [anon_sym__] = ACTIONS(5401),
    [anon_sym_CARET] = ACTIONS(5403),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5405),
    [anon_sym_DOLLAR] = ACTIONS(5407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5409),
    [anon_sym_BSLASHleft] = ACTIONS(5411),
    [anon_sym_BSLASHbigl] = ACTIONS(5411),
    [anon_sym_BSLASHBigl] = ACTIONS(5411),
    [anon_sym_BSLASHbiggl] = ACTIONS(5411),
    [anon_sym_BSLASHBiggl] = ACTIONS(5411),
    [anon_sym_BSLASHtext] = ACTIONS(5413),
    [anon_sym_BSLASHintertext] = ACTIONS(5413),
    [anon_sym_BSLASHshortintertext] = ACTIONS(5413),
    [anon_sym_BSLASHtitle] = ACTIONS(5415),
    [anon_sym_BSLASHauthor] = ACTIONS(5417),
    [anon_sym_BSLASHusepackage] = ACTIONS(5419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(5419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(5421),
    [anon_sym_BSLASHinclude] = ACTIONS(5423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(5423),
    [anon_sym_BSLASHinput] = ACTIONS(5423),
    [anon_sym_BSLASHsubfile] = ACTIONS(5423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(5425),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(5427),
    [anon_sym_BSLASHbibliography] = ACTIONS(5429),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(5431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(5433),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(5435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(5437),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(5437),
    [anon_sym_BSLASHimport] = ACTIONS(5439),
    [anon_sym_BSLASHsubimport] = ACTIONS(5439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(5439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHcaption] = ACTIONS(5441),
    [anon_sym_BSLASHcite] = ACTIONS(5443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCite] = ACTIONS(5443),
    [anon_sym_BSLASHnocite] = ACTIONS(5443),
    [anon_sym_BSLASHcitet] = ACTIONS(5443),
    [anon_sym_BSLASHcitep] = ACTIONS(5443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteA] = ACTIONS(5443),
    [anon_sym_BSLASHciteR] = ACTIONS(5443),
    [anon_sym_BSLASHciteS] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(5443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteyear] = ACTIONS(5443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitedate] = ACTIONS(5443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteurl] = ACTIONS(5443),
    [anon_sym_BSLASHfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(5443),
    [anon_sym_BSLASHcitealt] = ACTIONS(5443),
    [anon_sym_BSLASHcitealp] = ACTIONS(5443),
    [anon_sym_BSLASHcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHparencite] = ACTIONS(5443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHParencite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHtextcite] = ACTIONS(5443),
    [anon_sym_BSLASHTextcite] = ACTIONS(5443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHsupercite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite] = ACTIONS(5443),
    [anon_sym_BSLASHAutocite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHVolcite] = ACTIONS(5443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHavolcite] = ACTIONS(5443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHNotecite] = ACTIONS(5443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHlabel] = ACTIONS(5447),
    [anon_sym_BSLASHref] = ACTIONS(5449),
    [anon_sym_BSLASHeqref] = ACTIONS(5449),
    [anon_sym_BSLASHvref] = ACTIONS(5449),
    [anon_sym_BSLASHVref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHpageref] = ACTIONS(5449),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHautopageref] = ACTIONS(5449),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcref] = ACTIONS(5449),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHCref] = ACTIONS(5449),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHCpageref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnameCref] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHCrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHnewlabel] = ACTIONS(5457),
    [anon_sym_BSLASHnewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(5459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHdef] = ACTIONS(5467),
    [anon_sym_BSLASHgdef] = ACTIONS(5467),
    [anon_sym_BSLASHedef] = ACTIONS(5467),
    [anon_sym_BSLASHxdef] = ACTIONS(5467),
    [anon_sym_BSLASHlet] = ACTIONS(5469),
    [anon_sym_BSLASHglet] = ACTIONS(5469),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(5471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(5471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(5479),
    [anon_sym_BSLASHgls] = ACTIONS(5481),
    [anon_sym_BSLASHGls] = ACTIONS(5481),
    [anon_sym_BSLASHGLS] = ACTIONS(5481),
    [anon_sym_BSLASHglspl] = ACTIONS(5481),
    [anon_sym_BSLASHGlspl] = ACTIONS(5481),
    [anon_sym_BSLASHGLSpl] = ACTIONS(5481),
    [anon_sym_BSLASHglsdisp] = ACTIONS(5481),
    [anon_sym_BSLASHglslink] = ACTIONS(5481),
    [anon_sym_BSLASHglstext] = ACTIONS(5481),
    [anon_sym_BSLASHGlstext] = ACTIONS(5481),
    [anon_sym_BSLASHGLStext] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(5481),
    [anon_sym_BSLASHglsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsname] = ACTIONS(5481),
    [anon_sym_BSLASHGlsname] = ACTIONS(5481),
    [anon_sym_BSLASHGLSname] = ACTIONS(5481),
    [anon_sym_BSLASHglssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHglsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(5481),
    [anon_sym_BSLASHnewacronym] = ACTIONS(5483),
    [anon_sym_BSLASHacrshort] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshort] = ACTIONS(5485),
    [anon_sym_BSLASHACRshort] = ACTIONS(5485),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrlong] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlong] = ACTIONS(5485),
    [anon_sym_BSLASHACRlong] = ACTIONS(5485),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrfull] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfull] = ACTIONS(5485),
    [anon_sym_BSLASHACRfull] = ACTIONS(5485),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHacs] = ACTIONS(5485),
    [anon_sym_BSLASHAcs] = ACTIONS(5485),
    [anon_sym_BSLASHacsp] = ACTIONS(5485),
    [anon_sym_BSLASHAcsp] = ACTIONS(5485),
    [anon_sym_BSLASHacl] = ACTIONS(5485),
    [anon_sym_BSLASHAcl] = ACTIONS(5485),
    [anon_sym_BSLASHaclp] = ACTIONS(5485),
    [anon_sym_BSLASHAclp] = ACTIONS(5485),
    [anon_sym_BSLASHacf] = ACTIONS(5485),
    [anon_sym_BSLASHAcf] = ACTIONS(5485),
    [anon_sym_BSLASHacfp] = ACTIONS(5485),
    [anon_sym_BSLASHAcfp] = ACTIONS(5485),
    [anon_sym_BSLASHac] = ACTIONS(5485),
    [anon_sym_BSLASHAc] = ACTIONS(5485),
    [anon_sym_BSLASHacp] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(5487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(5487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(5491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(5493),
    [anon_sym_BSLASHcolor] = ACTIONS(5495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(5495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(5495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(5495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(5495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(5497),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(5497),
    [anon_sym_BSLASHurl] = ACTIONS(5499),
    [anon_sym_BSLASHhref] = ACTIONS(5499),
  },
  [302] = {
    [sym_block_comment] = STATE(2161),
    [sym__text_content] = STATE(2161),
    [sym_curly_group] = STATE(2161),
    [sym_text] = STATE(2161),
    [sym_operator] = STATE(2147),
    [sym_subscript] = STATE(2147),
    [sym_superscript] = STATE(2147),
    [sym__math_content] = STATE(2161),
    [sym_displayed_equation] = STATE(2161),
    [sym_inline_formula] = STATE(2161),
    [sym_math_delimiter] = STATE(2161),
    [sym_text_mode] = STATE(2161),
    [sym__command] = STATE(2161),
    [sym_generic_command] = STATE(2161),
    [sym_title_declaration] = STATE(2161),
    [sym_author_declaration] = STATE(2161),
    [sym_package_include] = STATE(2161),
    [sym_class_include] = STATE(2161),
    [sym_latex_include] = STATE(2161),
    [sym_biblatex_include] = STATE(2161),
    [sym_bibstyle_include] = STATE(2161),
    [sym_bibtex_include] = STATE(2161),
    [sym_graphics_include] = STATE(2161),
    [sym_svg_include] = STATE(2161),
    [sym_inkscape_include] = STATE(2161),
    [sym_verbatim_include] = STATE(2161),
    [sym_import_include] = STATE(2161),
    [sym_caption] = STATE(2161),
    [sym_citation] = STATE(2161),
    [sym_label_definition] = STATE(2161),
    [sym_label_reference] = STATE(2161),
    [sym_label_reference_range] = STATE(2161),
    [sym_label_number] = STATE(2161),
    [sym_new_command_definition] = STATE(2161),
    [sym__new_command_definition] = STATE(2170),
    [sym__newer_command_definition] = STATE(2171),
    [sym__new_command_copy] = STATE(2172),
    [sym_old_command_definition] = STATE(2161),
    [sym_let_command_definition] = STATE(2161),
    [sym_paired_delimiter_definition] = STATE(2161),
    [sym_environment_definition] = STATE(2161),
    [sym__environment_definition] = STATE(2173),
    [sym__newer_environment_definition] = STATE(2174),
    [sym__new_environment_copy] = STATE(2175),
    [sym_glossary_entry_definition] = STATE(2161),
    [sym_glossary_entry_reference] = STATE(2161),
    [sym_acronym_definition] = STATE(2161),
    [sym_acronym_reference] = STATE(2161),
    [sym_theorem_definition] = STATE(2161),
    [sym_color_definition] = STATE(2161),
    [sym_color_set_definition] = STATE(2161),
    [sym_color_reference] = STATE(2161),
    [sym_tikz_library_import] = STATE(2161),
    [sym_hyperlink] = STATE(2161),
    [aux_sym_curly_group_author_list_repeat1] = STATE(314),
    [aux_sym_curly_group_author_list_repeat2] = STATE(2690),
    [aux_sym_text_repeat1] = STATE(335),
    [sym_command_name] = ACTIONS(5381),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(5383),
    [anon_sym_LPAREN] = ACTIONS(5385),
    [anon_sym_RPAREN] = ACTIONS(5385),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(5501),
    [anon_sym_BSLASHand] = ACTIONS(5391),
    [sym_word] = ACTIONS(5393),
    [sym_placeholder] = ACTIONS(5395),
    [sym_delimiter] = ACTIONS(5395),
    [anon_sym_PLUS] = ACTIONS(5397),
    [anon_sym_DASH] = ACTIONS(5397),
    [anon_sym_STAR] = ACTIONS(5397),
    [anon_sym_SLASH] = ACTIONS(5397),
    [anon_sym_LT] = ACTIONS(5399),
    [anon_sym_GT] = ACTIONS(5399),
    [anon_sym_BANG] = ACTIONS(5399),
    [anon_sym_PIPE] = ACTIONS(5399),
    [anon_sym_COLON] = ACTIONS(5399),
    [anon_sym_SQUOTE] = ACTIONS(5399),
    [anon_sym__] = ACTIONS(5401),
    [anon_sym_CARET] = ACTIONS(5403),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5405),
    [anon_sym_DOLLAR] = ACTIONS(5407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5409),
    [anon_sym_BSLASHleft] = ACTIONS(5411),
    [anon_sym_BSLASHbigl] = ACTIONS(5411),
    [anon_sym_BSLASHBigl] = ACTIONS(5411),
    [anon_sym_BSLASHbiggl] = ACTIONS(5411),
    [anon_sym_BSLASHBiggl] = ACTIONS(5411),
    [anon_sym_BSLASHtext] = ACTIONS(5413),
    [anon_sym_BSLASHintertext] = ACTIONS(5413),
    [anon_sym_BSLASHshortintertext] = ACTIONS(5413),
    [anon_sym_BSLASHtitle] = ACTIONS(5415),
    [anon_sym_BSLASHauthor] = ACTIONS(5417),
    [anon_sym_BSLASHusepackage] = ACTIONS(5419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(5419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(5421),
    [anon_sym_BSLASHinclude] = ACTIONS(5423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(5423),
    [anon_sym_BSLASHinput] = ACTIONS(5423),
    [anon_sym_BSLASHsubfile] = ACTIONS(5423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(5425),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(5427),
    [anon_sym_BSLASHbibliography] = ACTIONS(5429),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(5431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(5433),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(5435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(5437),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(5437),
    [anon_sym_BSLASHimport] = ACTIONS(5439),
    [anon_sym_BSLASHsubimport] = ACTIONS(5439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(5439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHcaption] = ACTIONS(5441),
    [anon_sym_BSLASHcite] = ACTIONS(5443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCite] = ACTIONS(5443),
    [anon_sym_BSLASHnocite] = ACTIONS(5443),
    [anon_sym_BSLASHcitet] = ACTIONS(5443),
    [anon_sym_BSLASHcitep] = ACTIONS(5443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteA] = ACTIONS(5443),
    [anon_sym_BSLASHciteR] = ACTIONS(5443),
    [anon_sym_BSLASHciteS] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(5443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteyear] = ACTIONS(5443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitedate] = ACTIONS(5443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteurl] = ACTIONS(5443),
    [anon_sym_BSLASHfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(5443),
    [anon_sym_BSLASHcitealt] = ACTIONS(5443),
    [anon_sym_BSLASHcitealp] = ACTIONS(5443),
    [anon_sym_BSLASHcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHparencite] = ACTIONS(5443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHParencite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHtextcite] = ACTIONS(5443),
    [anon_sym_BSLASHTextcite] = ACTIONS(5443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHsupercite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite] = ACTIONS(5443),
    [anon_sym_BSLASHAutocite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHVolcite] = ACTIONS(5443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHavolcite] = ACTIONS(5443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHNotecite] = ACTIONS(5443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHlabel] = ACTIONS(5447),
    [anon_sym_BSLASHref] = ACTIONS(5449),
    [anon_sym_BSLASHeqref] = ACTIONS(5449),
    [anon_sym_BSLASHvref] = ACTIONS(5449),
    [anon_sym_BSLASHVref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHpageref] = ACTIONS(5449),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHautopageref] = ACTIONS(5449),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcref] = ACTIONS(5449),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHCref] = ACTIONS(5449),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHCpageref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnameCref] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHCrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHnewlabel] = ACTIONS(5457),
    [anon_sym_BSLASHnewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(5459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHdef] = ACTIONS(5467),
    [anon_sym_BSLASHgdef] = ACTIONS(5467),
    [anon_sym_BSLASHedef] = ACTIONS(5467),
    [anon_sym_BSLASHxdef] = ACTIONS(5467),
    [anon_sym_BSLASHlet] = ACTIONS(5469),
    [anon_sym_BSLASHglet] = ACTIONS(5469),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(5471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(5471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(5479),
    [anon_sym_BSLASHgls] = ACTIONS(5481),
    [anon_sym_BSLASHGls] = ACTIONS(5481),
    [anon_sym_BSLASHGLS] = ACTIONS(5481),
    [anon_sym_BSLASHglspl] = ACTIONS(5481),
    [anon_sym_BSLASHGlspl] = ACTIONS(5481),
    [anon_sym_BSLASHGLSpl] = ACTIONS(5481),
    [anon_sym_BSLASHglsdisp] = ACTIONS(5481),
    [anon_sym_BSLASHglslink] = ACTIONS(5481),
    [anon_sym_BSLASHglstext] = ACTIONS(5481),
    [anon_sym_BSLASHGlstext] = ACTIONS(5481),
    [anon_sym_BSLASHGLStext] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(5481),
    [anon_sym_BSLASHglsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsname] = ACTIONS(5481),
    [anon_sym_BSLASHGlsname] = ACTIONS(5481),
    [anon_sym_BSLASHGLSname] = ACTIONS(5481),
    [anon_sym_BSLASHglssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHglsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(5481),
    [anon_sym_BSLASHnewacronym] = ACTIONS(5483),
    [anon_sym_BSLASHacrshort] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshort] = ACTIONS(5485),
    [anon_sym_BSLASHACRshort] = ACTIONS(5485),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrlong] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlong] = ACTIONS(5485),
    [anon_sym_BSLASHACRlong] = ACTIONS(5485),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrfull] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfull] = ACTIONS(5485),
    [anon_sym_BSLASHACRfull] = ACTIONS(5485),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHacs] = ACTIONS(5485),
    [anon_sym_BSLASHAcs] = ACTIONS(5485),
    [anon_sym_BSLASHacsp] = ACTIONS(5485),
    [anon_sym_BSLASHAcsp] = ACTIONS(5485),
    [anon_sym_BSLASHacl] = ACTIONS(5485),
    [anon_sym_BSLASHAcl] = ACTIONS(5485),
    [anon_sym_BSLASHaclp] = ACTIONS(5485),
    [anon_sym_BSLASHAclp] = ACTIONS(5485),
    [anon_sym_BSLASHacf] = ACTIONS(5485),
    [anon_sym_BSLASHAcf] = ACTIONS(5485),
    [anon_sym_BSLASHacfp] = ACTIONS(5485),
    [anon_sym_BSLASHAcfp] = ACTIONS(5485),
    [anon_sym_BSLASHac] = ACTIONS(5485),
    [anon_sym_BSLASHAc] = ACTIONS(5485),
    [anon_sym_BSLASHacp] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(5487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(5487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(5491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(5493),
    [anon_sym_BSLASHcolor] = ACTIONS(5495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(5495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(5495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(5495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(5495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(5497),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(5497),
    [anon_sym_BSLASHurl] = ACTIONS(5499),
    [anon_sym_BSLASHhref] = ACTIONS(5499),
  },
  [303] = {
    [sym_block_comment] = STATE(299),
    [sym__text_content] = STATE(299),
    [sym_curly_group] = STATE(299),
    [sym_brack_group] = STATE(299),
    [sym_text] = STATE(299),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym_value] = STATE(2615),
    [sym__math_content] = STATE(299),
    [sym_displayed_equation] = STATE(299),
    [sym_inline_formula] = STATE(299),
    [sym_math_delimiter] = STATE(299),
    [sym_text_mode] = STATE(299),
    [sym__command] = STATE(299),
    [sym_generic_command] = STATE(299),
    [sym_title_declaration] = STATE(299),
    [sym_author_declaration] = STATE(299),
    [sym_package_include] = STATE(299),
    [sym_class_include] = STATE(299),
    [sym_latex_include] = STATE(299),
    [sym_biblatex_include] = STATE(299),
    [sym_bibstyle_include] = STATE(299),
    [sym_bibtex_include] = STATE(299),
    [sym_graphics_include] = STATE(299),
    [sym_svg_include] = STATE(299),
    [sym_inkscape_include] = STATE(299),
    [sym_verbatim_include] = STATE(299),
    [sym_import_include] = STATE(299),
    [sym_caption] = STATE(299),
    [sym_citation] = STATE(299),
    [sym_label_definition] = STATE(299),
    [sym_label_reference] = STATE(299),
    [sym_label_reference_range] = STATE(299),
    [sym_label_number] = STATE(299),
    [sym_new_command_definition] = STATE(299),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(299),
    [sym_let_command_definition] = STATE(299),
    [sym_paired_delimiter_definition] = STATE(299),
    [sym_environment_definition] = STATE(299),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(299),
    [sym_glossary_entry_reference] = STATE(299),
    [sym_acronym_definition] = STATE(299),
    [sym_acronym_reference] = STATE(299),
    [sym_theorem_definition] = STATE(299),
    [sym_color_definition] = STATE(299),
    [sym_color_set_definition] = STATE(299),
    [sym_color_reference] = STATE(299),
    [sym_tikz_library_import] = STATE(299),
    [sym_hyperlink] = STATE(299),
    [aux_sym_text_repeat1] = STATE(331),
    [aux_sym_value_repeat1] = STATE(299),
    [sym_command_name] = ACTIONS(4812),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4814),
    [anon_sym_LBRACK] = ACTIONS(5349),
    [anon_sym_LPAREN] = ACTIONS(5503),
    [anon_sym_RPAREN] = ACTIONS(5503),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [sym_word] = ACTIONS(4822),
    [sym_placeholder] = ACTIONS(4824),
    [sym_delimiter] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_BANG] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4828),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym__] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5363),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5363),
    [anon_sym_DOLLAR] = ACTIONS(5365),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5367),
    [anon_sym_BSLASHleft] = ACTIONS(4840),
    [anon_sym_BSLASHbigl] = ACTIONS(4840),
    [anon_sym_BSLASHBigl] = ACTIONS(4840),
    [anon_sym_BSLASHbiggl] = ACTIONS(4840),
    [anon_sym_BSLASHBiggl] = ACTIONS(4840),
    [anon_sym_BSLASHtext] = ACTIONS(4842),
    [anon_sym_BSLASHintertext] = ACTIONS(4842),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4842),
    [anon_sym_BSLASHtitle] = ACTIONS(4844),
    [anon_sym_BSLASHauthor] = ACTIONS(4846),
    [anon_sym_BSLASHusepackage] = ACTIONS(4848),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4848),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4850),
    [anon_sym_BSLASHinclude] = ACTIONS(4852),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4852),
    [anon_sym_BSLASHinput] = ACTIONS(4852),
    [anon_sym_BSLASHsubfile] = ACTIONS(4852),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4856),
    [anon_sym_BSLASHbibliography] = ACTIONS(4858),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4860),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4862),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4866),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4866),
    [anon_sym_BSLASHimport] = ACTIONS(4868),
    [anon_sym_BSLASHsubimport] = ACTIONS(4868),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4868),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHcaption] = ACTIONS(4870),
    [anon_sym_BSLASHcite] = ACTIONS(4872),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCite] = ACTIONS(4872),
    [anon_sym_BSLASHnocite] = ACTIONS(4872),
    [anon_sym_BSLASHcitet] = ACTIONS(4872),
    [anon_sym_BSLASHcitep] = ACTIONS(4872),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteA] = ACTIONS(4872),
    [anon_sym_BSLASHciteR] = ACTIONS(4872),
    [anon_sym_BSLASHciteS] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4872),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteyear] = ACTIONS(4872),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitedate] = ACTIONS(4872),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteurl] = ACTIONS(4872),
    [anon_sym_BSLASHfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4872),
    [anon_sym_BSLASHcitealt] = ACTIONS(4872),
    [anon_sym_BSLASHcitealp] = ACTIONS(4872),
    [anon_sym_BSLASHcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHparencite] = ACTIONS(4872),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHParencite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHtextcite] = ACTIONS(4872),
    [anon_sym_BSLASHTextcite] = ACTIONS(4872),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHsupercite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite] = ACTIONS(4872),
    [anon_sym_BSLASHAutocite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHVolcite] = ACTIONS(4872),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHavolcite] = ACTIONS(4872),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHNotecite] = ACTIONS(4872),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHlabel] = ACTIONS(4876),
    [anon_sym_BSLASHref] = ACTIONS(4878),
    [anon_sym_BSLASHeqref] = ACTIONS(4878),
    [anon_sym_BSLASHvref] = ACTIONS(4878),
    [anon_sym_BSLASHVref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHpageref] = ACTIONS(4878),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHautopageref] = ACTIONS(4878),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcref] = ACTIONS(4878),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHCref] = ACTIONS(4878),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHCpageref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnameCref] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4886),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4888),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHdef] = ACTIONS(4896),
    [anon_sym_BSLASHgdef] = ACTIONS(4896),
    [anon_sym_BSLASHedef] = ACTIONS(4896),
    [anon_sym_BSLASHxdef] = ACTIONS(4896),
    [anon_sym_BSLASHlet] = ACTIONS(4898),
    [anon_sym_BSLASHglet] = ACTIONS(4898),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4900),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4900),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4908),
    [anon_sym_BSLASHgls] = ACTIONS(4910),
    [anon_sym_BSLASHGls] = ACTIONS(4910),
    [anon_sym_BSLASHGLS] = ACTIONS(4910),
    [anon_sym_BSLASHglspl] = ACTIONS(4910),
    [anon_sym_BSLASHGlspl] = ACTIONS(4910),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4910),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4910),
    [anon_sym_BSLASHglslink] = ACTIONS(4910),
    [anon_sym_BSLASHglstext] = ACTIONS(4910),
    [anon_sym_BSLASHGlstext] = ACTIONS(4910),
    [anon_sym_BSLASHGLStext] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4910),
    [anon_sym_BSLASHglsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsname] = ACTIONS(4910),
    [anon_sym_BSLASHGlsname] = ACTIONS(4910),
    [anon_sym_BSLASHGLSname] = ACTIONS(4910),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4910),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4912),
    [anon_sym_BSLASHacrshort] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4914),
    [anon_sym_BSLASHACRshort] = ACTIONS(4914),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrlong] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4914),
    [anon_sym_BSLASHACRlong] = ACTIONS(4914),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrfull] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4914),
    [anon_sym_BSLASHACRfull] = ACTIONS(4914),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHacs] = ACTIONS(4914),
    [anon_sym_BSLASHAcs] = ACTIONS(4914),
    [anon_sym_BSLASHacsp] = ACTIONS(4914),
    [anon_sym_BSLASHAcsp] = ACTIONS(4914),
    [anon_sym_BSLASHacl] = ACTIONS(4914),
    [anon_sym_BSLASHAcl] = ACTIONS(4914),
    [anon_sym_BSLASHaclp] = ACTIONS(4914),
    [anon_sym_BSLASHAclp] = ACTIONS(4914),
    [anon_sym_BSLASHacf] = ACTIONS(4914),
    [anon_sym_BSLASHAcf] = ACTIONS(4914),
    [anon_sym_BSLASHacfp] = ACTIONS(4914),
    [anon_sym_BSLASHAcfp] = ACTIONS(4914),
    [anon_sym_BSLASHac] = ACTIONS(4914),
    [anon_sym_BSLASHAc] = ACTIONS(4914),
    [anon_sym_BSLASHacp] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4916),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4916),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4920),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4922),
    [anon_sym_BSLASHcolor] = ACTIONS(4924),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4924),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4924),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4924),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4924),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4926),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4926),
    [anon_sym_BSLASHurl] = ACTIONS(4928),
    [anon_sym_BSLASHhref] = ACTIONS(4928),
  },
  [304] = {
    [sym_block_comment] = STATE(2161),
    [sym__text_content] = STATE(2161),
    [sym_curly_group] = STATE(2161),
    [sym_text] = STATE(2161),
    [sym_operator] = STATE(2147),
    [sym_subscript] = STATE(2147),
    [sym_superscript] = STATE(2147),
    [sym__math_content] = STATE(2161),
    [sym_displayed_equation] = STATE(2161),
    [sym_inline_formula] = STATE(2161),
    [sym_math_delimiter] = STATE(2161),
    [sym_text_mode] = STATE(2161),
    [sym__command] = STATE(2161),
    [sym_generic_command] = STATE(2161),
    [sym_title_declaration] = STATE(2161),
    [sym_author_declaration] = STATE(2161),
    [sym_package_include] = STATE(2161),
    [sym_class_include] = STATE(2161),
    [sym_latex_include] = STATE(2161),
    [sym_biblatex_include] = STATE(2161),
    [sym_bibstyle_include] = STATE(2161),
    [sym_bibtex_include] = STATE(2161),
    [sym_graphics_include] = STATE(2161),
    [sym_svg_include] = STATE(2161),
    [sym_inkscape_include] = STATE(2161),
    [sym_verbatim_include] = STATE(2161),
    [sym_import_include] = STATE(2161),
    [sym_caption] = STATE(2161),
    [sym_citation] = STATE(2161),
    [sym_label_definition] = STATE(2161),
    [sym_label_reference] = STATE(2161),
    [sym_label_reference_range] = STATE(2161),
    [sym_label_number] = STATE(2161),
    [sym_new_command_definition] = STATE(2161),
    [sym__new_command_definition] = STATE(2170),
    [sym__newer_command_definition] = STATE(2171),
    [sym__new_command_copy] = STATE(2172),
    [sym_old_command_definition] = STATE(2161),
    [sym_let_command_definition] = STATE(2161),
    [sym_paired_delimiter_definition] = STATE(2161),
    [sym_environment_definition] = STATE(2161),
    [sym__environment_definition] = STATE(2173),
    [sym__newer_environment_definition] = STATE(2174),
    [sym__new_environment_copy] = STATE(2175),
    [sym_glossary_entry_definition] = STATE(2161),
    [sym_glossary_entry_reference] = STATE(2161),
    [sym_acronym_definition] = STATE(2161),
    [sym_acronym_reference] = STATE(2161),
    [sym_theorem_definition] = STATE(2161),
    [sym_color_definition] = STATE(2161),
    [sym_color_set_definition] = STATE(2161),
    [sym_color_reference] = STATE(2161),
    [sym_tikz_library_import] = STATE(2161),
    [sym_hyperlink] = STATE(2161),
    [aux_sym_curly_group_author_list_repeat1] = STATE(314),
    [aux_sym_curly_group_author_list_repeat2] = STATE(2630),
    [aux_sym_text_repeat1] = STATE(335),
    [sym_command_name] = ACTIONS(5381),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(5383),
    [anon_sym_LPAREN] = ACTIONS(5385),
    [anon_sym_RPAREN] = ACTIONS(5385),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(5505),
    [anon_sym_BSLASHand] = ACTIONS(5391),
    [sym_word] = ACTIONS(5393),
    [sym_placeholder] = ACTIONS(5395),
    [sym_delimiter] = ACTIONS(5395),
    [anon_sym_PLUS] = ACTIONS(5397),
    [anon_sym_DASH] = ACTIONS(5397),
    [anon_sym_STAR] = ACTIONS(5397),
    [anon_sym_SLASH] = ACTIONS(5397),
    [anon_sym_LT] = ACTIONS(5399),
    [anon_sym_GT] = ACTIONS(5399),
    [anon_sym_BANG] = ACTIONS(5399),
    [anon_sym_PIPE] = ACTIONS(5399),
    [anon_sym_COLON] = ACTIONS(5399),
    [anon_sym_SQUOTE] = ACTIONS(5399),
    [anon_sym__] = ACTIONS(5401),
    [anon_sym_CARET] = ACTIONS(5403),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5405),
    [anon_sym_DOLLAR] = ACTIONS(5407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5409),
    [anon_sym_BSLASHleft] = ACTIONS(5411),
    [anon_sym_BSLASHbigl] = ACTIONS(5411),
    [anon_sym_BSLASHBigl] = ACTIONS(5411),
    [anon_sym_BSLASHbiggl] = ACTIONS(5411),
    [anon_sym_BSLASHBiggl] = ACTIONS(5411),
    [anon_sym_BSLASHtext] = ACTIONS(5413),
    [anon_sym_BSLASHintertext] = ACTIONS(5413),
    [anon_sym_BSLASHshortintertext] = ACTIONS(5413),
    [anon_sym_BSLASHtitle] = ACTIONS(5415),
    [anon_sym_BSLASHauthor] = ACTIONS(5417),
    [anon_sym_BSLASHusepackage] = ACTIONS(5419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(5419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(5421),
    [anon_sym_BSLASHinclude] = ACTIONS(5423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(5423),
    [anon_sym_BSLASHinput] = ACTIONS(5423),
    [anon_sym_BSLASHsubfile] = ACTIONS(5423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(5425),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(5427),
    [anon_sym_BSLASHbibliography] = ACTIONS(5429),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(5431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(5433),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(5435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(5437),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(5437),
    [anon_sym_BSLASHimport] = ACTIONS(5439),
    [anon_sym_BSLASHsubimport] = ACTIONS(5439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(5439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHcaption] = ACTIONS(5441),
    [anon_sym_BSLASHcite] = ACTIONS(5443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCite] = ACTIONS(5443),
    [anon_sym_BSLASHnocite] = ACTIONS(5443),
    [anon_sym_BSLASHcitet] = ACTIONS(5443),
    [anon_sym_BSLASHcitep] = ACTIONS(5443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteA] = ACTIONS(5443),
    [anon_sym_BSLASHciteR] = ACTIONS(5443),
    [anon_sym_BSLASHciteS] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(5443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteyear] = ACTIONS(5443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitedate] = ACTIONS(5443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteurl] = ACTIONS(5443),
    [anon_sym_BSLASHfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(5443),
    [anon_sym_BSLASHcitealt] = ACTIONS(5443),
    [anon_sym_BSLASHcitealp] = ACTIONS(5443),
    [anon_sym_BSLASHcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHparencite] = ACTIONS(5443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHParencite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHtextcite] = ACTIONS(5443),
    [anon_sym_BSLASHTextcite] = ACTIONS(5443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHsupercite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite] = ACTIONS(5443),
    [anon_sym_BSLASHAutocite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHVolcite] = ACTIONS(5443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHavolcite] = ACTIONS(5443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHNotecite] = ACTIONS(5443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHlabel] = ACTIONS(5447),
    [anon_sym_BSLASHref] = ACTIONS(5449),
    [anon_sym_BSLASHeqref] = ACTIONS(5449),
    [anon_sym_BSLASHvref] = ACTIONS(5449),
    [anon_sym_BSLASHVref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHpageref] = ACTIONS(5449),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHautopageref] = ACTIONS(5449),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcref] = ACTIONS(5449),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHCref] = ACTIONS(5449),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHCpageref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnameCref] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHCrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHnewlabel] = ACTIONS(5457),
    [anon_sym_BSLASHnewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(5459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHdef] = ACTIONS(5467),
    [anon_sym_BSLASHgdef] = ACTIONS(5467),
    [anon_sym_BSLASHedef] = ACTIONS(5467),
    [anon_sym_BSLASHxdef] = ACTIONS(5467),
    [anon_sym_BSLASHlet] = ACTIONS(5469),
    [anon_sym_BSLASHglet] = ACTIONS(5469),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(5471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(5471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(5479),
    [anon_sym_BSLASHgls] = ACTIONS(5481),
    [anon_sym_BSLASHGls] = ACTIONS(5481),
    [anon_sym_BSLASHGLS] = ACTIONS(5481),
    [anon_sym_BSLASHglspl] = ACTIONS(5481),
    [anon_sym_BSLASHGlspl] = ACTIONS(5481),
    [anon_sym_BSLASHGLSpl] = ACTIONS(5481),
    [anon_sym_BSLASHglsdisp] = ACTIONS(5481),
    [anon_sym_BSLASHglslink] = ACTIONS(5481),
    [anon_sym_BSLASHglstext] = ACTIONS(5481),
    [anon_sym_BSLASHGlstext] = ACTIONS(5481),
    [anon_sym_BSLASHGLStext] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(5481),
    [anon_sym_BSLASHglsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsname] = ACTIONS(5481),
    [anon_sym_BSLASHGlsname] = ACTIONS(5481),
    [anon_sym_BSLASHGLSname] = ACTIONS(5481),
    [anon_sym_BSLASHglssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHglsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(5481),
    [anon_sym_BSLASHnewacronym] = ACTIONS(5483),
    [anon_sym_BSLASHacrshort] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshort] = ACTIONS(5485),
    [anon_sym_BSLASHACRshort] = ACTIONS(5485),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrlong] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlong] = ACTIONS(5485),
    [anon_sym_BSLASHACRlong] = ACTIONS(5485),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrfull] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfull] = ACTIONS(5485),
    [anon_sym_BSLASHACRfull] = ACTIONS(5485),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHacs] = ACTIONS(5485),
    [anon_sym_BSLASHAcs] = ACTIONS(5485),
    [anon_sym_BSLASHacsp] = ACTIONS(5485),
    [anon_sym_BSLASHAcsp] = ACTIONS(5485),
    [anon_sym_BSLASHacl] = ACTIONS(5485),
    [anon_sym_BSLASHAcl] = ACTIONS(5485),
    [anon_sym_BSLASHaclp] = ACTIONS(5485),
    [anon_sym_BSLASHAclp] = ACTIONS(5485),
    [anon_sym_BSLASHacf] = ACTIONS(5485),
    [anon_sym_BSLASHAcf] = ACTIONS(5485),
    [anon_sym_BSLASHacfp] = ACTIONS(5485),
    [anon_sym_BSLASHAcfp] = ACTIONS(5485),
    [anon_sym_BSLASHac] = ACTIONS(5485),
    [anon_sym_BSLASHAc] = ACTIONS(5485),
    [anon_sym_BSLASHacp] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(5487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(5487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(5491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(5493),
    [anon_sym_BSLASHcolor] = ACTIONS(5495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(5495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(5495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(5495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(5495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(5497),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(5497),
    [anon_sym_BSLASHurl] = ACTIONS(5499),
    [anon_sym_BSLASHhref] = ACTIONS(5499),
  },
  [305] = {
    [sym_block_comment] = STATE(2161),
    [sym__text_content] = STATE(2161),
    [sym_curly_group] = STATE(2161),
    [sym_text] = STATE(2161),
    [sym_operator] = STATE(2147),
    [sym_subscript] = STATE(2147),
    [sym_superscript] = STATE(2147),
    [sym__math_content] = STATE(2161),
    [sym_displayed_equation] = STATE(2161),
    [sym_inline_formula] = STATE(2161),
    [sym_math_delimiter] = STATE(2161),
    [sym_text_mode] = STATE(2161),
    [sym__command] = STATE(2161),
    [sym_generic_command] = STATE(2161),
    [sym_title_declaration] = STATE(2161),
    [sym_author_declaration] = STATE(2161),
    [sym_package_include] = STATE(2161),
    [sym_class_include] = STATE(2161),
    [sym_latex_include] = STATE(2161),
    [sym_biblatex_include] = STATE(2161),
    [sym_bibstyle_include] = STATE(2161),
    [sym_bibtex_include] = STATE(2161),
    [sym_graphics_include] = STATE(2161),
    [sym_svg_include] = STATE(2161),
    [sym_inkscape_include] = STATE(2161),
    [sym_verbatim_include] = STATE(2161),
    [sym_import_include] = STATE(2161),
    [sym_caption] = STATE(2161),
    [sym_citation] = STATE(2161),
    [sym_label_definition] = STATE(2161),
    [sym_label_reference] = STATE(2161),
    [sym_label_reference_range] = STATE(2161),
    [sym_label_number] = STATE(2161),
    [sym_new_command_definition] = STATE(2161),
    [sym__new_command_definition] = STATE(2170),
    [sym__newer_command_definition] = STATE(2171),
    [sym__new_command_copy] = STATE(2172),
    [sym_old_command_definition] = STATE(2161),
    [sym_let_command_definition] = STATE(2161),
    [sym_paired_delimiter_definition] = STATE(2161),
    [sym_environment_definition] = STATE(2161),
    [sym__environment_definition] = STATE(2173),
    [sym__newer_environment_definition] = STATE(2174),
    [sym__new_environment_copy] = STATE(2175),
    [sym_glossary_entry_definition] = STATE(2161),
    [sym_glossary_entry_reference] = STATE(2161),
    [sym_acronym_definition] = STATE(2161),
    [sym_acronym_reference] = STATE(2161),
    [sym_theorem_definition] = STATE(2161),
    [sym_color_definition] = STATE(2161),
    [sym_color_set_definition] = STATE(2161),
    [sym_color_reference] = STATE(2161),
    [sym_tikz_library_import] = STATE(2161),
    [sym_hyperlink] = STATE(2161),
    [aux_sym_curly_group_author_list_repeat1] = STATE(314),
    [aux_sym_curly_group_author_list_repeat2] = STATE(2718),
    [aux_sym_text_repeat1] = STATE(335),
    [sym_command_name] = ACTIONS(5381),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(5383),
    [anon_sym_LPAREN] = ACTIONS(5385),
    [anon_sym_RPAREN] = ACTIONS(5385),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(5507),
    [anon_sym_BSLASHand] = ACTIONS(5391),
    [sym_word] = ACTIONS(5393),
    [sym_placeholder] = ACTIONS(5395),
    [sym_delimiter] = ACTIONS(5395),
    [anon_sym_PLUS] = ACTIONS(5397),
    [anon_sym_DASH] = ACTIONS(5397),
    [anon_sym_STAR] = ACTIONS(5397),
    [anon_sym_SLASH] = ACTIONS(5397),
    [anon_sym_LT] = ACTIONS(5399),
    [anon_sym_GT] = ACTIONS(5399),
    [anon_sym_BANG] = ACTIONS(5399),
    [anon_sym_PIPE] = ACTIONS(5399),
    [anon_sym_COLON] = ACTIONS(5399),
    [anon_sym_SQUOTE] = ACTIONS(5399),
    [anon_sym__] = ACTIONS(5401),
    [anon_sym_CARET] = ACTIONS(5403),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5405),
    [anon_sym_DOLLAR] = ACTIONS(5407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5409),
    [anon_sym_BSLASHleft] = ACTIONS(5411),
    [anon_sym_BSLASHbigl] = ACTIONS(5411),
    [anon_sym_BSLASHBigl] = ACTIONS(5411),
    [anon_sym_BSLASHbiggl] = ACTIONS(5411),
    [anon_sym_BSLASHBiggl] = ACTIONS(5411),
    [anon_sym_BSLASHtext] = ACTIONS(5413),
    [anon_sym_BSLASHintertext] = ACTIONS(5413),
    [anon_sym_BSLASHshortintertext] = ACTIONS(5413),
    [anon_sym_BSLASHtitle] = ACTIONS(5415),
    [anon_sym_BSLASHauthor] = ACTIONS(5417),
    [anon_sym_BSLASHusepackage] = ACTIONS(5419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(5419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(5421),
    [anon_sym_BSLASHinclude] = ACTIONS(5423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(5423),
    [anon_sym_BSLASHinput] = ACTIONS(5423),
    [anon_sym_BSLASHsubfile] = ACTIONS(5423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(5425),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(5427),
    [anon_sym_BSLASHbibliography] = ACTIONS(5429),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(5431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(5433),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(5435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(5437),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(5437),
    [anon_sym_BSLASHimport] = ACTIONS(5439),
    [anon_sym_BSLASHsubimport] = ACTIONS(5439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(5439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHcaption] = ACTIONS(5441),
    [anon_sym_BSLASHcite] = ACTIONS(5443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCite] = ACTIONS(5443),
    [anon_sym_BSLASHnocite] = ACTIONS(5443),
    [anon_sym_BSLASHcitet] = ACTIONS(5443),
    [anon_sym_BSLASHcitep] = ACTIONS(5443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteA] = ACTIONS(5443),
    [anon_sym_BSLASHciteR] = ACTIONS(5443),
    [anon_sym_BSLASHciteS] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(5443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteyear] = ACTIONS(5443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitedate] = ACTIONS(5443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteurl] = ACTIONS(5443),
    [anon_sym_BSLASHfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(5443),
    [anon_sym_BSLASHcitealt] = ACTIONS(5443),
    [anon_sym_BSLASHcitealp] = ACTIONS(5443),
    [anon_sym_BSLASHcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHparencite] = ACTIONS(5443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHParencite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHtextcite] = ACTIONS(5443),
    [anon_sym_BSLASHTextcite] = ACTIONS(5443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHsupercite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite] = ACTIONS(5443),
    [anon_sym_BSLASHAutocite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHVolcite] = ACTIONS(5443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHavolcite] = ACTIONS(5443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHNotecite] = ACTIONS(5443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHlabel] = ACTIONS(5447),
    [anon_sym_BSLASHref] = ACTIONS(5449),
    [anon_sym_BSLASHeqref] = ACTIONS(5449),
    [anon_sym_BSLASHvref] = ACTIONS(5449),
    [anon_sym_BSLASHVref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHpageref] = ACTIONS(5449),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHautopageref] = ACTIONS(5449),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcref] = ACTIONS(5449),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHCref] = ACTIONS(5449),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHCpageref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnameCref] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHCrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHnewlabel] = ACTIONS(5457),
    [anon_sym_BSLASHnewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(5459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHdef] = ACTIONS(5467),
    [anon_sym_BSLASHgdef] = ACTIONS(5467),
    [anon_sym_BSLASHedef] = ACTIONS(5467),
    [anon_sym_BSLASHxdef] = ACTIONS(5467),
    [anon_sym_BSLASHlet] = ACTIONS(5469),
    [anon_sym_BSLASHglet] = ACTIONS(5469),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(5471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(5471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(5479),
    [anon_sym_BSLASHgls] = ACTIONS(5481),
    [anon_sym_BSLASHGls] = ACTIONS(5481),
    [anon_sym_BSLASHGLS] = ACTIONS(5481),
    [anon_sym_BSLASHglspl] = ACTIONS(5481),
    [anon_sym_BSLASHGlspl] = ACTIONS(5481),
    [anon_sym_BSLASHGLSpl] = ACTIONS(5481),
    [anon_sym_BSLASHglsdisp] = ACTIONS(5481),
    [anon_sym_BSLASHglslink] = ACTIONS(5481),
    [anon_sym_BSLASHglstext] = ACTIONS(5481),
    [anon_sym_BSLASHGlstext] = ACTIONS(5481),
    [anon_sym_BSLASHGLStext] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(5481),
    [anon_sym_BSLASHglsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsname] = ACTIONS(5481),
    [anon_sym_BSLASHGlsname] = ACTIONS(5481),
    [anon_sym_BSLASHGLSname] = ACTIONS(5481),
    [anon_sym_BSLASHglssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHglsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(5481),
    [anon_sym_BSLASHnewacronym] = ACTIONS(5483),
    [anon_sym_BSLASHacrshort] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshort] = ACTIONS(5485),
    [anon_sym_BSLASHACRshort] = ACTIONS(5485),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrlong] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlong] = ACTIONS(5485),
    [anon_sym_BSLASHACRlong] = ACTIONS(5485),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrfull] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfull] = ACTIONS(5485),
    [anon_sym_BSLASHACRfull] = ACTIONS(5485),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHacs] = ACTIONS(5485),
    [anon_sym_BSLASHAcs] = ACTIONS(5485),
    [anon_sym_BSLASHacsp] = ACTIONS(5485),
    [anon_sym_BSLASHAcsp] = ACTIONS(5485),
    [anon_sym_BSLASHacl] = ACTIONS(5485),
    [anon_sym_BSLASHAcl] = ACTIONS(5485),
    [anon_sym_BSLASHaclp] = ACTIONS(5485),
    [anon_sym_BSLASHAclp] = ACTIONS(5485),
    [anon_sym_BSLASHacf] = ACTIONS(5485),
    [anon_sym_BSLASHAcf] = ACTIONS(5485),
    [anon_sym_BSLASHacfp] = ACTIONS(5485),
    [anon_sym_BSLASHAcfp] = ACTIONS(5485),
    [anon_sym_BSLASHac] = ACTIONS(5485),
    [anon_sym_BSLASHAc] = ACTIONS(5485),
    [anon_sym_BSLASHacp] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(5487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(5487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(5491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(5493),
    [anon_sym_BSLASHcolor] = ACTIONS(5495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(5495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(5495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(5495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(5495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(5497),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(5497),
    [anon_sym_BSLASHurl] = ACTIONS(5499),
    [anon_sym_BSLASHhref] = ACTIONS(5499),
  },
  [306] = {
    [sym_block_comment] = STATE(2161),
    [sym__text_content] = STATE(2161),
    [sym_curly_group] = STATE(2161),
    [sym_text] = STATE(2161),
    [sym_operator] = STATE(2147),
    [sym_subscript] = STATE(2147),
    [sym_superscript] = STATE(2147),
    [sym__math_content] = STATE(2161),
    [sym_displayed_equation] = STATE(2161),
    [sym_inline_formula] = STATE(2161),
    [sym_math_delimiter] = STATE(2161),
    [sym_text_mode] = STATE(2161),
    [sym__command] = STATE(2161),
    [sym_generic_command] = STATE(2161),
    [sym_title_declaration] = STATE(2161),
    [sym_author_declaration] = STATE(2161),
    [sym_package_include] = STATE(2161),
    [sym_class_include] = STATE(2161),
    [sym_latex_include] = STATE(2161),
    [sym_biblatex_include] = STATE(2161),
    [sym_bibstyle_include] = STATE(2161),
    [sym_bibtex_include] = STATE(2161),
    [sym_graphics_include] = STATE(2161),
    [sym_svg_include] = STATE(2161),
    [sym_inkscape_include] = STATE(2161),
    [sym_verbatim_include] = STATE(2161),
    [sym_import_include] = STATE(2161),
    [sym_caption] = STATE(2161),
    [sym_citation] = STATE(2161),
    [sym_label_definition] = STATE(2161),
    [sym_label_reference] = STATE(2161),
    [sym_label_reference_range] = STATE(2161),
    [sym_label_number] = STATE(2161),
    [sym_new_command_definition] = STATE(2161),
    [sym__new_command_definition] = STATE(2170),
    [sym__newer_command_definition] = STATE(2171),
    [sym__new_command_copy] = STATE(2172),
    [sym_old_command_definition] = STATE(2161),
    [sym_let_command_definition] = STATE(2161),
    [sym_paired_delimiter_definition] = STATE(2161),
    [sym_environment_definition] = STATE(2161),
    [sym__environment_definition] = STATE(2173),
    [sym__newer_environment_definition] = STATE(2174),
    [sym__new_environment_copy] = STATE(2175),
    [sym_glossary_entry_definition] = STATE(2161),
    [sym_glossary_entry_reference] = STATE(2161),
    [sym_acronym_definition] = STATE(2161),
    [sym_acronym_reference] = STATE(2161),
    [sym_theorem_definition] = STATE(2161),
    [sym_color_definition] = STATE(2161),
    [sym_color_set_definition] = STATE(2161),
    [sym_color_reference] = STATE(2161),
    [sym_tikz_library_import] = STATE(2161),
    [sym_hyperlink] = STATE(2161),
    [aux_sym_curly_group_author_list_repeat1] = STATE(314),
    [aux_sym_curly_group_author_list_repeat2] = STATE(2736),
    [aux_sym_text_repeat1] = STATE(335),
    [sym_command_name] = ACTIONS(5381),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(5383),
    [anon_sym_LPAREN] = ACTIONS(5385),
    [anon_sym_RPAREN] = ACTIONS(5385),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(5509),
    [anon_sym_BSLASHand] = ACTIONS(5391),
    [sym_word] = ACTIONS(5393),
    [sym_placeholder] = ACTIONS(5395),
    [sym_delimiter] = ACTIONS(5395),
    [anon_sym_PLUS] = ACTIONS(5397),
    [anon_sym_DASH] = ACTIONS(5397),
    [anon_sym_STAR] = ACTIONS(5397),
    [anon_sym_SLASH] = ACTIONS(5397),
    [anon_sym_LT] = ACTIONS(5399),
    [anon_sym_GT] = ACTIONS(5399),
    [anon_sym_BANG] = ACTIONS(5399),
    [anon_sym_PIPE] = ACTIONS(5399),
    [anon_sym_COLON] = ACTIONS(5399),
    [anon_sym_SQUOTE] = ACTIONS(5399),
    [anon_sym__] = ACTIONS(5401),
    [anon_sym_CARET] = ACTIONS(5403),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5405),
    [anon_sym_DOLLAR] = ACTIONS(5407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5409),
    [anon_sym_BSLASHleft] = ACTIONS(5411),
    [anon_sym_BSLASHbigl] = ACTIONS(5411),
    [anon_sym_BSLASHBigl] = ACTIONS(5411),
    [anon_sym_BSLASHbiggl] = ACTIONS(5411),
    [anon_sym_BSLASHBiggl] = ACTIONS(5411),
    [anon_sym_BSLASHtext] = ACTIONS(5413),
    [anon_sym_BSLASHintertext] = ACTIONS(5413),
    [anon_sym_BSLASHshortintertext] = ACTIONS(5413),
    [anon_sym_BSLASHtitle] = ACTIONS(5415),
    [anon_sym_BSLASHauthor] = ACTIONS(5417),
    [anon_sym_BSLASHusepackage] = ACTIONS(5419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(5419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(5421),
    [anon_sym_BSLASHinclude] = ACTIONS(5423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(5423),
    [anon_sym_BSLASHinput] = ACTIONS(5423),
    [anon_sym_BSLASHsubfile] = ACTIONS(5423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(5425),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(5427),
    [anon_sym_BSLASHbibliography] = ACTIONS(5429),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(5431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(5433),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(5435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(5437),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(5437),
    [anon_sym_BSLASHimport] = ACTIONS(5439),
    [anon_sym_BSLASHsubimport] = ACTIONS(5439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(5439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHcaption] = ACTIONS(5441),
    [anon_sym_BSLASHcite] = ACTIONS(5443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCite] = ACTIONS(5443),
    [anon_sym_BSLASHnocite] = ACTIONS(5443),
    [anon_sym_BSLASHcitet] = ACTIONS(5443),
    [anon_sym_BSLASHcitep] = ACTIONS(5443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteA] = ACTIONS(5443),
    [anon_sym_BSLASHciteR] = ACTIONS(5443),
    [anon_sym_BSLASHciteS] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(5443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteyear] = ACTIONS(5443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitedate] = ACTIONS(5443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteurl] = ACTIONS(5443),
    [anon_sym_BSLASHfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(5443),
    [anon_sym_BSLASHcitealt] = ACTIONS(5443),
    [anon_sym_BSLASHcitealp] = ACTIONS(5443),
    [anon_sym_BSLASHcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHparencite] = ACTIONS(5443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHParencite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHtextcite] = ACTIONS(5443),
    [anon_sym_BSLASHTextcite] = ACTIONS(5443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHsupercite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite] = ACTIONS(5443),
    [anon_sym_BSLASHAutocite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHVolcite] = ACTIONS(5443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHavolcite] = ACTIONS(5443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHNotecite] = ACTIONS(5443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHlabel] = ACTIONS(5447),
    [anon_sym_BSLASHref] = ACTIONS(5449),
    [anon_sym_BSLASHeqref] = ACTIONS(5449),
    [anon_sym_BSLASHvref] = ACTIONS(5449),
    [anon_sym_BSLASHVref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHpageref] = ACTIONS(5449),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHautopageref] = ACTIONS(5449),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcref] = ACTIONS(5449),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHCref] = ACTIONS(5449),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHCpageref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnameCref] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHCrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHnewlabel] = ACTIONS(5457),
    [anon_sym_BSLASHnewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(5459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHdef] = ACTIONS(5467),
    [anon_sym_BSLASHgdef] = ACTIONS(5467),
    [anon_sym_BSLASHedef] = ACTIONS(5467),
    [anon_sym_BSLASHxdef] = ACTIONS(5467),
    [anon_sym_BSLASHlet] = ACTIONS(5469),
    [anon_sym_BSLASHglet] = ACTIONS(5469),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(5471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(5471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(5479),
    [anon_sym_BSLASHgls] = ACTIONS(5481),
    [anon_sym_BSLASHGls] = ACTIONS(5481),
    [anon_sym_BSLASHGLS] = ACTIONS(5481),
    [anon_sym_BSLASHglspl] = ACTIONS(5481),
    [anon_sym_BSLASHGlspl] = ACTIONS(5481),
    [anon_sym_BSLASHGLSpl] = ACTIONS(5481),
    [anon_sym_BSLASHglsdisp] = ACTIONS(5481),
    [anon_sym_BSLASHglslink] = ACTIONS(5481),
    [anon_sym_BSLASHglstext] = ACTIONS(5481),
    [anon_sym_BSLASHGlstext] = ACTIONS(5481),
    [anon_sym_BSLASHGLStext] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(5481),
    [anon_sym_BSLASHglsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsname] = ACTIONS(5481),
    [anon_sym_BSLASHGlsname] = ACTIONS(5481),
    [anon_sym_BSLASHGLSname] = ACTIONS(5481),
    [anon_sym_BSLASHglssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHglsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(5481),
    [anon_sym_BSLASHnewacronym] = ACTIONS(5483),
    [anon_sym_BSLASHacrshort] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshort] = ACTIONS(5485),
    [anon_sym_BSLASHACRshort] = ACTIONS(5485),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrlong] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlong] = ACTIONS(5485),
    [anon_sym_BSLASHACRlong] = ACTIONS(5485),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrfull] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfull] = ACTIONS(5485),
    [anon_sym_BSLASHACRfull] = ACTIONS(5485),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHacs] = ACTIONS(5485),
    [anon_sym_BSLASHAcs] = ACTIONS(5485),
    [anon_sym_BSLASHacsp] = ACTIONS(5485),
    [anon_sym_BSLASHAcsp] = ACTIONS(5485),
    [anon_sym_BSLASHacl] = ACTIONS(5485),
    [anon_sym_BSLASHAcl] = ACTIONS(5485),
    [anon_sym_BSLASHaclp] = ACTIONS(5485),
    [anon_sym_BSLASHAclp] = ACTIONS(5485),
    [anon_sym_BSLASHacf] = ACTIONS(5485),
    [anon_sym_BSLASHAcf] = ACTIONS(5485),
    [anon_sym_BSLASHacfp] = ACTIONS(5485),
    [anon_sym_BSLASHAcfp] = ACTIONS(5485),
    [anon_sym_BSLASHac] = ACTIONS(5485),
    [anon_sym_BSLASHAc] = ACTIONS(5485),
    [anon_sym_BSLASHacp] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(5487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(5487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(5491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(5493),
    [anon_sym_BSLASHcolor] = ACTIONS(5495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(5495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(5495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(5495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(5495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(5497),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(5497),
    [anon_sym_BSLASHurl] = ACTIONS(5499),
    [anon_sym_BSLASHhref] = ACTIONS(5499),
  },
  [307] = {
    [sym_block_comment] = STATE(2161),
    [sym__text_content] = STATE(2161),
    [sym_curly_group] = STATE(2161),
    [sym_text] = STATE(2161),
    [sym_operator] = STATE(2147),
    [sym_subscript] = STATE(2147),
    [sym_superscript] = STATE(2147),
    [sym__math_content] = STATE(2161),
    [sym_displayed_equation] = STATE(2161),
    [sym_inline_formula] = STATE(2161),
    [sym_math_delimiter] = STATE(2161),
    [sym_text_mode] = STATE(2161),
    [sym__command] = STATE(2161),
    [sym_generic_command] = STATE(2161),
    [sym_title_declaration] = STATE(2161),
    [sym_author_declaration] = STATE(2161),
    [sym_package_include] = STATE(2161),
    [sym_class_include] = STATE(2161),
    [sym_latex_include] = STATE(2161),
    [sym_biblatex_include] = STATE(2161),
    [sym_bibstyle_include] = STATE(2161),
    [sym_bibtex_include] = STATE(2161),
    [sym_graphics_include] = STATE(2161),
    [sym_svg_include] = STATE(2161),
    [sym_inkscape_include] = STATE(2161),
    [sym_verbatim_include] = STATE(2161),
    [sym_import_include] = STATE(2161),
    [sym_caption] = STATE(2161),
    [sym_citation] = STATE(2161),
    [sym_label_definition] = STATE(2161),
    [sym_label_reference] = STATE(2161),
    [sym_label_reference_range] = STATE(2161),
    [sym_label_number] = STATE(2161),
    [sym_new_command_definition] = STATE(2161),
    [sym__new_command_definition] = STATE(2170),
    [sym__newer_command_definition] = STATE(2171),
    [sym__new_command_copy] = STATE(2172),
    [sym_old_command_definition] = STATE(2161),
    [sym_let_command_definition] = STATE(2161),
    [sym_paired_delimiter_definition] = STATE(2161),
    [sym_environment_definition] = STATE(2161),
    [sym__environment_definition] = STATE(2173),
    [sym__newer_environment_definition] = STATE(2174),
    [sym__new_environment_copy] = STATE(2175),
    [sym_glossary_entry_definition] = STATE(2161),
    [sym_glossary_entry_reference] = STATE(2161),
    [sym_acronym_definition] = STATE(2161),
    [sym_acronym_reference] = STATE(2161),
    [sym_theorem_definition] = STATE(2161),
    [sym_color_definition] = STATE(2161),
    [sym_color_set_definition] = STATE(2161),
    [sym_color_reference] = STATE(2161),
    [sym_tikz_library_import] = STATE(2161),
    [sym_hyperlink] = STATE(2161),
    [aux_sym_curly_group_author_list_repeat1] = STATE(314),
    [aux_sym_curly_group_author_list_repeat2] = STATE(2662),
    [aux_sym_text_repeat1] = STATE(335),
    [sym_command_name] = ACTIONS(5381),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(5383),
    [anon_sym_LPAREN] = ACTIONS(5385),
    [anon_sym_RPAREN] = ACTIONS(5385),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(5511),
    [anon_sym_BSLASHand] = ACTIONS(5391),
    [sym_word] = ACTIONS(5393),
    [sym_placeholder] = ACTIONS(5395),
    [sym_delimiter] = ACTIONS(5395),
    [anon_sym_PLUS] = ACTIONS(5397),
    [anon_sym_DASH] = ACTIONS(5397),
    [anon_sym_STAR] = ACTIONS(5397),
    [anon_sym_SLASH] = ACTIONS(5397),
    [anon_sym_LT] = ACTIONS(5399),
    [anon_sym_GT] = ACTIONS(5399),
    [anon_sym_BANG] = ACTIONS(5399),
    [anon_sym_PIPE] = ACTIONS(5399),
    [anon_sym_COLON] = ACTIONS(5399),
    [anon_sym_SQUOTE] = ACTIONS(5399),
    [anon_sym__] = ACTIONS(5401),
    [anon_sym_CARET] = ACTIONS(5403),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5405),
    [anon_sym_DOLLAR] = ACTIONS(5407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5409),
    [anon_sym_BSLASHleft] = ACTIONS(5411),
    [anon_sym_BSLASHbigl] = ACTIONS(5411),
    [anon_sym_BSLASHBigl] = ACTIONS(5411),
    [anon_sym_BSLASHbiggl] = ACTIONS(5411),
    [anon_sym_BSLASHBiggl] = ACTIONS(5411),
    [anon_sym_BSLASHtext] = ACTIONS(5413),
    [anon_sym_BSLASHintertext] = ACTIONS(5413),
    [anon_sym_BSLASHshortintertext] = ACTIONS(5413),
    [anon_sym_BSLASHtitle] = ACTIONS(5415),
    [anon_sym_BSLASHauthor] = ACTIONS(5417),
    [anon_sym_BSLASHusepackage] = ACTIONS(5419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(5419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(5421),
    [anon_sym_BSLASHinclude] = ACTIONS(5423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(5423),
    [anon_sym_BSLASHinput] = ACTIONS(5423),
    [anon_sym_BSLASHsubfile] = ACTIONS(5423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(5425),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(5427),
    [anon_sym_BSLASHbibliography] = ACTIONS(5429),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(5431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(5433),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(5435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(5437),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(5437),
    [anon_sym_BSLASHimport] = ACTIONS(5439),
    [anon_sym_BSLASHsubimport] = ACTIONS(5439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(5439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHcaption] = ACTIONS(5441),
    [anon_sym_BSLASHcite] = ACTIONS(5443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCite] = ACTIONS(5443),
    [anon_sym_BSLASHnocite] = ACTIONS(5443),
    [anon_sym_BSLASHcitet] = ACTIONS(5443),
    [anon_sym_BSLASHcitep] = ACTIONS(5443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteA] = ACTIONS(5443),
    [anon_sym_BSLASHciteR] = ACTIONS(5443),
    [anon_sym_BSLASHciteS] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(5443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteyear] = ACTIONS(5443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitedate] = ACTIONS(5443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteurl] = ACTIONS(5443),
    [anon_sym_BSLASHfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(5443),
    [anon_sym_BSLASHcitealt] = ACTIONS(5443),
    [anon_sym_BSLASHcitealp] = ACTIONS(5443),
    [anon_sym_BSLASHcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHparencite] = ACTIONS(5443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHParencite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHtextcite] = ACTIONS(5443),
    [anon_sym_BSLASHTextcite] = ACTIONS(5443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHsupercite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite] = ACTIONS(5443),
    [anon_sym_BSLASHAutocite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHVolcite] = ACTIONS(5443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHavolcite] = ACTIONS(5443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHNotecite] = ACTIONS(5443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHlabel] = ACTIONS(5447),
    [anon_sym_BSLASHref] = ACTIONS(5449),
    [anon_sym_BSLASHeqref] = ACTIONS(5449),
    [anon_sym_BSLASHvref] = ACTIONS(5449),
    [anon_sym_BSLASHVref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHpageref] = ACTIONS(5449),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHautopageref] = ACTIONS(5449),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcref] = ACTIONS(5449),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHCref] = ACTIONS(5449),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHCpageref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnameCref] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHCrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHnewlabel] = ACTIONS(5457),
    [anon_sym_BSLASHnewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(5459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHdef] = ACTIONS(5467),
    [anon_sym_BSLASHgdef] = ACTIONS(5467),
    [anon_sym_BSLASHedef] = ACTIONS(5467),
    [anon_sym_BSLASHxdef] = ACTIONS(5467),
    [anon_sym_BSLASHlet] = ACTIONS(5469),
    [anon_sym_BSLASHglet] = ACTIONS(5469),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(5471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(5471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(5479),
    [anon_sym_BSLASHgls] = ACTIONS(5481),
    [anon_sym_BSLASHGls] = ACTIONS(5481),
    [anon_sym_BSLASHGLS] = ACTIONS(5481),
    [anon_sym_BSLASHglspl] = ACTIONS(5481),
    [anon_sym_BSLASHGlspl] = ACTIONS(5481),
    [anon_sym_BSLASHGLSpl] = ACTIONS(5481),
    [anon_sym_BSLASHglsdisp] = ACTIONS(5481),
    [anon_sym_BSLASHglslink] = ACTIONS(5481),
    [anon_sym_BSLASHglstext] = ACTIONS(5481),
    [anon_sym_BSLASHGlstext] = ACTIONS(5481),
    [anon_sym_BSLASHGLStext] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(5481),
    [anon_sym_BSLASHglsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsname] = ACTIONS(5481),
    [anon_sym_BSLASHGlsname] = ACTIONS(5481),
    [anon_sym_BSLASHGLSname] = ACTIONS(5481),
    [anon_sym_BSLASHglssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHglsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(5481),
    [anon_sym_BSLASHnewacronym] = ACTIONS(5483),
    [anon_sym_BSLASHacrshort] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshort] = ACTIONS(5485),
    [anon_sym_BSLASHACRshort] = ACTIONS(5485),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrlong] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlong] = ACTIONS(5485),
    [anon_sym_BSLASHACRlong] = ACTIONS(5485),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrfull] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfull] = ACTIONS(5485),
    [anon_sym_BSLASHACRfull] = ACTIONS(5485),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHacs] = ACTIONS(5485),
    [anon_sym_BSLASHAcs] = ACTIONS(5485),
    [anon_sym_BSLASHacsp] = ACTIONS(5485),
    [anon_sym_BSLASHAcsp] = ACTIONS(5485),
    [anon_sym_BSLASHacl] = ACTIONS(5485),
    [anon_sym_BSLASHAcl] = ACTIONS(5485),
    [anon_sym_BSLASHaclp] = ACTIONS(5485),
    [anon_sym_BSLASHAclp] = ACTIONS(5485),
    [anon_sym_BSLASHacf] = ACTIONS(5485),
    [anon_sym_BSLASHAcf] = ACTIONS(5485),
    [anon_sym_BSLASHacfp] = ACTIONS(5485),
    [anon_sym_BSLASHAcfp] = ACTIONS(5485),
    [anon_sym_BSLASHac] = ACTIONS(5485),
    [anon_sym_BSLASHAc] = ACTIONS(5485),
    [anon_sym_BSLASHacp] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(5487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(5487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(5491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(5493),
    [anon_sym_BSLASHcolor] = ACTIONS(5495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(5495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(5495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(5495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(5495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(5497),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(5497),
    [anon_sym_BSLASHurl] = ACTIONS(5499),
    [anon_sym_BSLASHhref] = ACTIONS(5499),
  },
  [308] = {
    [sym_block_comment] = STATE(2161),
    [sym__text_content] = STATE(2161),
    [sym_curly_group] = STATE(2161),
    [sym_text] = STATE(2161),
    [sym_operator] = STATE(2147),
    [sym_subscript] = STATE(2147),
    [sym_superscript] = STATE(2147),
    [sym__math_content] = STATE(2161),
    [sym_displayed_equation] = STATE(2161),
    [sym_inline_formula] = STATE(2161),
    [sym_math_delimiter] = STATE(2161),
    [sym_text_mode] = STATE(2161),
    [sym__command] = STATE(2161),
    [sym_generic_command] = STATE(2161),
    [sym_title_declaration] = STATE(2161),
    [sym_author_declaration] = STATE(2161),
    [sym_package_include] = STATE(2161),
    [sym_class_include] = STATE(2161),
    [sym_latex_include] = STATE(2161),
    [sym_biblatex_include] = STATE(2161),
    [sym_bibstyle_include] = STATE(2161),
    [sym_bibtex_include] = STATE(2161),
    [sym_graphics_include] = STATE(2161),
    [sym_svg_include] = STATE(2161),
    [sym_inkscape_include] = STATE(2161),
    [sym_verbatim_include] = STATE(2161),
    [sym_import_include] = STATE(2161),
    [sym_caption] = STATE(2161),
    [sym_citation] = STATE(2161),
    [sym_label_definition] = STATE(2161),
    [sym_label_reference] = STATE(2161),
    [sym_label_reference_range] = STATE(2161),
    [sym_label_number] = STATE(2161),
    [sym_new_command_definition] = STATE(2161),
    [sym__new_command_definition] = STATE(2170),
    [sym__newer_command_definition] = STATE(2171),
    [sym__new_command_copy] = STATE(2172),
    [sym_old_command_definition] = STATE(2161),
    [sym_let_command_definition] = STATE(2161),
    [sym_paired_delimiter_definition] = STATE(2161),
    [sym_environment_definition] = STATE(2161),
    [sym__environment_definition] = STATE(2173),
    [sym__newer_environment_definition] = STATE(2174),
    [sym__new_environment_copy] = STATE(2175),
    [sym_glossary_entry_definition] = STATE(2161),
    [sym_glossary_entry_reference] = STATE(2161),
    [sym_acronym_definition] = STATE(2161),
    [sym_acronym_reference] = STATE(2161),
    [sym_theorem_definition] = STATE(2161),
    [sym_color_definition] = STATE(2161),
    [sym_color_set_definition] = STATE(2161),
    [sym_color_reference] = STATE(2161),
    [sym_tikz_library_import] = STATE(2161),
    [sym_hyperlink] = STATE(2161),
    [aux_sym_curly_group_author_list_repeat1] = STATE(314),
    [aux_sym_curly_group_author_list_repeat2] = STATE(2645),
    [aux_sym_text_repeat1] = STATE(335),
    [sym_command_name] = ACTIONS(5381),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(5383),
    [anon_sym_LPAREN] = ACTIONS(5385),
    [anon_sym_RPAREN] = ACTIONS(5385),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(5513),
    [anon_sym_BSLASHand] = ACTIONS(5391),
    [sym_word] = ACTIONS(5393),
    [sym_placeholder] = ACTIONS(5395),
    [sym_delimiter] = ACTIONS(5395),
    [anon_sym_PLUS] = ACTIONS(5397),
    [anon_sym_DASH] = ACTIONS(5397),
    [anon_sym_STAR] = ACTIONS(5397),
    [anon_sym_SLASH] = ACTIONS(5397),
    [anon_sym_LT] = ACTIONS(5399),
    [anon_sym_GT] = ACTIONS(5399),
    [anon_sym_BANG] = ACTIONS(5399),
    [anon_sym_PIPE] = ACTIONS(5399),
    [anon_sym_COLON] = ACTIONS(5399),
    [anon_sym_SQUOTE] = ACTIONS(5399),
    [anon_sym__] = ACTIONS(5401),
    [anon_sym_CARET] = ACTIONS(5403),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5405),
    [anon_sym_DOLLAR] = ACTIONS(5407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5409),
    [anon_sym_BSLASHleft] = ACTIONS(5411),
    [anon_sym_BSLASHbigl] = ACTIONS(5411),
    [anon_sym_BSLASHBigl] = ACTIONS(5411),
    [anon_sym_BSLASHbiggl] = ACTIONS(5411),
    [anon_sym_BSLASHBiggl] = ACTIONS(5411),
    [anon_sym_BSLASHtext] = ACTIONS(5413),
    [anon_sym_BSLASHintertext] = ACTIONS(5413),
    [anon_sym_BSLASHshortintertext] = ACTIONS(5413),
    [anon_sym_BSLASHtitle] = ACTIONS(5415),
    [anon_sym_BSLASHauthor] = ACTIONS(5417),
    [anon_sym_BSLASHusepackage] = ACTIONS(5419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(5419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(5421),
    [anon_sym_BSLASHinclude] = ACTIONS(5423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(5423),
    [anon_sym_BSLASHinput] = ACTIONS(5423),
    [anon_sym_BSLASHsubfile] = ACTIONS(5423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(5425),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(5427),
    [anon_sym_BSLASHbibliography] = ACTIONS(5429),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(5431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(5433),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(5435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(5437),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(5437),
    [anon_sym_BSLASHimport] = ACTIONS(5439),
    [anon_sym_BSLASHsubimport] = ACTIONS(5439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(5439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHcaption] = ACTIONS(5441),
    [anon_sym_BSLASHcite] = ACTIONS(5443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCite] = ACTIONS(5443),
    [anon_sym_BSLASHnocite] = ACTIONS(5443),
    [anon_sym_BSLASHcitet] = ACTIONS(5443),
    [anon_sym_BSLASHcitep] = ACTIONS(5443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteA] = ACTIONS(5443),
    [anon_sym_BSLASHciteR] = ACTIONS(5443),
    [anon_sym_BSLASHciteS] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(5443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteyear] = ACTIONS(5443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitedate] = ACTIONS(5443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteurl] = ACTIONS(5443),
    [anon_sym_BSLASHfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(5443),
    [anon_sym_BSLASHcitealt] = ACTIONS(5443),
    [anon_sym_BSLASHcitealp] = ACTIONS(5443),
    [anon_sym_BSLASHcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHparencite] = ACTIONS(5443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHParencite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHtextcite] = ACTIONS(5443),
    [anon_sym_BSLASHTextcite] = ACTIONS(5443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHsupercite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite] = ACTIONS(5443),
    [anon_sym_BSLASHAutocite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHVolcite] = ACTIONS(5443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHavolcite] = ACTIONS(5443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHNotecite] = ACTIONS(5443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHlabel] = ACTIONS(5447),
    [anon_sym_BSLASHref] = ACTIONS(5449),
    [anon_sym_BSLASHeqref] = ACTIONS(5449),
    [anon_sym_BSLASHvref] = ACTIONS(5449),
    [anon_sym_BSLASHVref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHpageref] = ACTIONS(5449),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHautopageref] = ACTIONS(5449),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcref] = ACTIONS(5449),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHCref] = ACTIONS(5449),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHCpageref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnameCref] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHCrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHnewlabel] = ACTIONS(5457),
    [anon_sym_BSLASHnewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(5459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHdef] = ACTIONS(5467),
    [anon_sym_BSLASHgdef] = ACTIONS(5467),
    [anon_sym_BSLASHedef] = ACTIONS(5467),
    [anon_sym_BSLASHxdef] = ACTIONS(5467),
    [anon_sym_BSLASHlet] = ACTIONS(5469),
    [anon_sym_BSLASHglet] = ACTIONS(5469),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(5471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(5471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(5479),
    [anon_sym_BSLASHgls] = ACTIONS(5481),
    [anon_sym_BSLASHGls] = ACTIONS(5481),
    [anon_sym_BSLASHGLS] = ACTIONS(5481),
    [anon_sym_BSLASHglspl] = ACTIONS(5481),
    [anon_sym_BSLASHGlspl] = ACTIONS(5481),
    [anon_sym_BSLASHGLSpl] = ACTIONS(5481),
    [anon_sym_BSLASHglsdisp] = ACTIONS(5481),
    [anon_sym_BSLASHglslink] = ACTIONS(5481),
    [anon_sym_BSLASHglstext] = ACTIONS(5481),
    [anon_sym_BSLASHGlstext] = ACTIONS(5481),
    [anon_sym_BSLASHGLStext] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(5481),
    [anon_sym_BSLASHglsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsname] = ACTIONS(5481),
    [anon_sym_BSLASHGlsname] = ACTIONS(5481),
    [anon_sym_BSLASHGLSname] = ACTIONS(5481),
    [anon_sym_BSLASHglssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHglsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(5481),
    [anon_sym_BSLASHnewacronym] = ACTIONS(5483),
    [anon_sym_BSLASHacrshort] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshort] = ACTIONS(5485),
    [anon_sym_BSLASHACRshort] = ACTIONS(5485),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrlong] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlong] = ACTIONS(5485),
    [anon_sym_BSLASHACRlong] = ACTIONS(5485),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrfull] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfull] = ACTIONS(5485),
    [anon_sym_BSLASHACRfull] = ACTIONS(5485),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHacs] = ACTIONS(5485),
    [anon_sym_BSLASHAcs] = ACTIONS(5485),
    [anon_sym_BSLASHacsp] = ACTIONS(5485),
    [anon_sym_BSLASHAcsp] = ACTIONS(5485),
    [anon_sym_BSLASHacl] = ACTIONS(5485),
    [anon_sym_BSLASHAcl] = ACTIONS(5485),
    [anon_sym_BSLASHaclp] = ACTIONS(5485),
    [anon_sym_BSLASHAclp] = ACTIONS(5485),
    [anon_sym_BSLASHacf] = ACTIONS(5485),
    [anon_sym_BSLASHAcf] = ACTIONS(5485),
    [anon_sym_BSLASHacfp] = ACTIONS(5485),
    [anon_sym_BSLASHAcfp] = ACTIONS(5485),
    [anon_sym_BSLASHac] = ACTIONS(5485),
    [anon_sym_BSLASHAc] = ACTIONS(5485),
    [anon_sym_BSLASHacp] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(5487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(5487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(5491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(5493),
    [anon_sym_BSLASHcolor] = ACTIONS(5495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(5495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(5495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(5495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(5495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(5497),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(5497),
    [anon_sym_BSLASHurl] = ACTIONS(5499),
    [anon_sym_BSLASHhref] = ACTIONS(5499),
  },
  [309] = {
    [sym_block_comment] = STATE(2161),
    [sym__text_content] = STATE(2161),
    [sym_curly_group] = STATE(2161),
    [sym_text] = STATE(2161),
    [sym_operator] = STATE(2147),
    [sym_subscript] = STATE(2147),
    [sym_superscript] = STATE(2147),
    [sym__math_content] = STATE(2161),
    [sym_displayed_equation] = STATE(2161),
    [sym_inline_formula] = STATE(2161),
    [sym_math_delimiter] = STATE(2161),
    [sym_text_mode] = STATE(2161),
    [sym__command] = STATE(2161),
    [sym_generic_command] = STATE(2161),
    [sym_title_declaration] = STATE(2161),
    [sym_author_declaration] = STATE(2161),
    [sym_package_include] = STATE(2161),
    [sym_class_include] = STATE(2161),
    [sym_latex_include] = STATE(2161),
    [sym_biblatex_include] = STATE(2161),
    [sym_bibstyle_include] = STATE(2161),
    [sym_bibtex_include] = STATE(2161),
    [sym_graphics_include] = STATE(2161),
    [sym_svg_include] = STATE(2161),
    [sym_inkscape_include] = STATE(2161),
    [sym_verbatim_include] = STATE(2161),
    [sym_import_include] = STATE(2161),
    [sym_caption] = STATE(2161),
    [sym_citation] = STATE(2161),
    [sym_label_definition] = STATE(2161),
    [sym_label_reference] = STATE(2161),
    [sym_label_reference_range] = STATE(2161),
    [sym_label_number] = STATE(2161),
    [sym_new_command_definition] = STATE(2161),
    [sym__new_command_definition] = STATE(2170),
    [sym__newer_command_definition] = STATE(2171),
    [sym__new_command_copy] = STATE(2172),
    [sym_old_command_definition] = STATE(2161),
    [sym_let_command_definition] = STATE(2161),
    [sym_paired_delimiter_definition] = STATE(2161),
    [sym_environment_definition] = STATE(2161),
    [sym__environment_definition] = STATE(2173),
    [sym__newer_environment_definition] = STATE(2174),
    [sym__new_environment_copy] = STATE(2175),
    [sym_glossary_entry_definition] = STATE(2161),
    [sym_glossary_entry_reference] = STATE(2161),
    [sym_acronym_definition] = STATE(2161),
    [sym_acronym_reference] = STATE(2161),
    [sym_theorem_definition] = STATE(2161),
    [sym_color_definition] = STATE(2161),
    [sym_color_set_definition] = STATE(2161),
    [sym_color_reference] = STATE(2161),
    [sym_tikz_library_import] = STATE(2161),
    [sym_hyperlink] = STATE(2161),
    [aux_sym_curly_group_author_list_repeat1] = STATE(314),
    [aux_sym_curly_group_author_list_repeat2] = STATE(2735),
    [aux_sym_text_repeat1] = STATE(335),
    [sym_command_name] = ACTIONS(5381),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(5383),
    [anon_sym_LPAREN] = ACTIONS(5385),
    [anon_sym_RPAREN] = ACTIONS(5385),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(5515),
    [anon_sym_BSLASHand] = ACTIONS(5391),
    [sym_word] = ACTIONS(5393),
    [sym_placeholder] = ACTIONS(5395),
    [sym_delimiter] = ACTIONS(5395),
    [anon_sym_PLUS] = ACTIONS(5397),
    [anon_sym_DASH] = ACTIONS(5397),
    [anon_sym_STAR] = ACTIONS(5397),
    [anon_sym_SLASH] = ACTIONS(5397),
    [anon_sym_LT] = ACTIONS(5399),
    [anon_sym_GT] = ACTIONS(5399),
    [anon_sym_BANG] = ACTIONS(5399),
    [anon_sym_PIPE] = ACTIONS(5399),
    [anon_sym_COLON] = ACTIONS(5399),
    [anon_sym_SQUOTE] = ACTIONS(5399),
    [anon_sym__] = ACTIONS(5401),
    [anon_sym_CARET] = ACTIONS(5403),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5405),
    [anon_sym_DOLLAR] = ACTIONS(5407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5409),
    [anon_sym_BSLASHleft] = ACTIONS(5411),
    [anon_sym_BSLASHbigl] = ACTIONS(5411),
    [anon_sym_BSLASHBigl] = ACTIONS(5411),
    [anon_sym_BSLASHbiggl] = ACTIONS(5411),
    [anon_sym_BSLASHBiggl] = ACTIONS(5411),
    [anon_sym_BSLASHtext] = ACTIONS(5413),
    [anon_sym_BSLASHintertext] = ACTIONS(5413),
    [anon_sym_BSLASHshortintertext] = ACTIONS(5413),
    [anon_sym_BSLASHtitle] = ACTIONS(5415),
    [anon_sym_BSLASHauthor] = ACTIONS(5417),
    [anon_sym_BSLASHusepackage] = ACTIONS(5419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(5419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(5421),
    [anon_sym_BSLASHinclude] = ACTIONS(5423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(5423),
    [anon_sym_BSLASHinput] = ACTIONS(5423),
    [anon_sym_BSLASHsubfile] = ACTIONS(5423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(5425),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(5427),
    [anon_sym_BSLASHbibliography] = ACTIONS(5429),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(5431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(5433),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(5435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(5437),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(5437),
    [anon_sym_BSLASHimport] = ACTIONS(5439),
    [anon_sym_BSLASHsubimport] = ACTIONS(5439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(5439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHcaption] = ACTIONS(5441),
    [anon_sym_BSLASHcite] = ACTIONS(5443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCite] = ACTIONS(5443),
    [anon_sym_BSLASHnocite] = ACTIONS(5443),
    [anon_sym_BSLASHcitet] = ACTIONS(5443),
    [anon_sym_BSLASHcitep] = ACTIONS(5443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteA] = ACTIONS(5443),
    [anon_sym_BSLASHciteR] = ACTIONS(5443),
    [anon_sym_BSLASHciteS] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(5443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteyear] = ACTIONS(5443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitedate] = ACTIONS(5443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteurl] = ACTIONS(5443),
    [anon_sym_BSLASHfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(5443),
    [anon_sym_BSLASHcitealt] = ACTIONS(5443),
    [anon_sym_BSLASHcitealp] = ACTIONS(5443),
    [anon_sym_BSLASHcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHparencite] = ACTIONS(5443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHParencite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHtextcite] = ACTIONS(5443),
    [anon_sym_BSLASHTextcite] = ACTIONS(5443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHsupercite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite] = ACTIONS(5443),
    [anon_sym_BSLASHAutocite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHVolcite] = ACTIONS(5443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHavolcite] = ACTIONS(5443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHNotecite] = ACTIONS(5443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHlabel] = ACTIONS(5447),
    [anon_sym_BSLASHref] = ACTIONS(5449),
    [anon_sym_BSLASHeqref] = ACTIONS(5449),
    [anon_sym_BSLASHvref] = ACTIONS(5449),
    [anon_sym_BSLASHVref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHpageref] = ACTIONS(5449),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHautopageref] = ACTIONS(5449),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcref] = ACTIONS(5449),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHCref] = ACTIONS(5449),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHCpageref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnameCref] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHCrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHnewlabel] = ACTIONS(5457),
    [anon_sym_BSLASHnewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(5459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHdef] = ACTIONS(5467),
    [anon_sym_BSLASHgdef] = ACTIONS(5467),
    [anon_sym_BSLASHedef] = ACTIONS(5467),
    [anon_sym_BSLASHxdef] = ACTIONS(5467),
    [anon_sym_BSLASHlet] = ACTIONS(5469),
    [anon_sym_BSLASHglet] = ACTIONS(5469),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(5471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(5471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(5479),
    [anon_sym_BSLASHgls] = ACTIONS(5481),
    [anon_sym_BSLASHGls] = ACTIONS(5481),
    [anon_sym_BSLASHGLS] = ACTIONS(5481),
    [anon_sym_BSLASHglspl] = ACTIONS(5481),
    [anon_sym_BSLASHGlspl] = ACTIONS(5481),
    [anon_sym_BSLASHGLSpl] = ACTIONS(5481),
    [anon_sym_BSLASHglsdisp] = ACTIONS(5481),
    [anon_sym_BSLASHglslink] = ACTIONS(5481),
    [anon_sym_BSLASHglstext] = ACTIONS(5481),
    [anon_sym_BSLASHGlstext] = ACTIONS(5481),
    [anon_sym_BSLASHGLStext] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(5481),
    [anon_sym_BSLASHglsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsname] = ACTIONS(5481),
    [anon_sym_BSLASHGlsname] = ACTIONS(5481),
    [anon_sym_BSLASHGLSname] = ACTIONS(5481),
    [anon_sym_BSLASHglssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHglsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(5481),
    [anon_sym_BSLASHnewacronym] = ACTIONS(5483),
    [anon_sym_BSLASHacrshort] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshort] = ACTIONS(5485),
    [anon_sym_BSLASHACRshort] = ACTIONS(5485),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrlong] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlong] = ACTIONS(5485),
    [anon_sym_BSLASHACRlong] = ACTIONS(5485),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrfull] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfull] = ACTIONS(5485),
    [anon_sym_BSLASHACRfull] = ACTIONS(5485),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHacs] = ACTIONS(5485),
    [anon_sym_BSLASHAcs] = ACTIONS(5485),
    [anon_sym_BSLASHacsp] = ACTIONS(5485),
    [anon_sym_BSLASHAcsp] = ACTIONS(5485),
    [anon_sym_BSLASHacl] = ACTIONS(5485),
    [anon_sym_BSLASHAcl] = ACTIONS(5485),
    [anon_sym_BSLASHaclp] = ACTIONS(5485),
    [anon_sym_BSLASHAclp] = ACTIONS(5485),
    [anon_sym_BSLASHacf] = ACTIONS(5485),
    [anon_sym_BSLASHAcf] = ACTIONS(5485),
    [anon_sym_BSLASHacfp] = ACTIONS(5485),
    [anon_sym_BSLASHAcfp] = ACTIONS(5485),
    [anon_sym_BSLASHac] = ACTIONS(5485),
    [anon_sym_BSLASHAc] = ACTIONS(5485),
    [anon_sym_BSLASHacp] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(5487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(5487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(5491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(5493),
    [anon_sym_BSLASHcolor] = ACTIONS(5495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(5495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(5495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(5495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(5495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(5497),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(5497),
    [anon_sym_BSLASHurl] = ACTIONS(5499),
    [anon_sym_BSLASHhref] = ACTIONS(5499),
  },
  [310] = {
    [sym_block_comment] = STATE(2161),
    [sym__text_content] = STATE(2161),
    [sym_curly_group] = STATE(2161),
    [sym_text] = STATE(2161),
    [sym_operator] = STATE(2147),
    [sym_subscript] = STATE(2147),
    [sym_superscript] = STATE(2147),
    [sym__math_content] = STATE(2161),
    [sym_displayed_equation] = STATE(2161),
    [sym_inline_formula] = STATE(2161),
    [sym_math_delimiter] = STATE(2161),
    [sym_text_mode] = STATE(2161),
    [sym__command] = STATE(2161),
    [sym_generic_command] = STATE(2161),
    [sym_title_declaration] = STATE(2161),
    [sym_author_declaration] = STATE(2161),
    [sym_package_include] = STATE(2161),
    [sym_class_include] = STATE(2161),
    [sym_latex_include] = STATE(2161),
    [sym_biblatex_include] = STATE(2161),
    [sym_bibstyle_include] = STATE(2161),
    [sym_bibtex_include] = STATE(2161),
    [sym_graphics_include] = STATE(2161),
    [sym_svg_include] = STATE(2161),
    [sym_inkscape_include] = STATE(2161),
    [sym_verbatim_include] = STATE(2161),
    [sym_import_include] = STATE(2161),
    [sym_caption] = STATE(2161),
    [sym_citation] = STATE(2161),
    [sym_label_definition] = STATE(2161),
    [sym_label_reference] = STATE(2161),
    [sym_label_reference_range] = STATE(2161),
    [sym_label_number] = STATE(2161),
    [sym_new_command_definition] = STATE(2161),
    [sym__new_command_definition] = STATE(2170),
    [sym__newer_command_definition] = STATE(2171),
    [sym__new_command_copy] = STATE(2172),
    [sym_old_command_definition] = STATE(2161),
    [sym_let_command_definition] = STATE(2161),
    [sym_paired_delimiter_definition] = STATE(2161),
    [sym_environment_definition] = STATE(2161),
    [sym__environment_definition] = STATE(2173),
    [sym__newer_environment_definition] = STATE(2174),
    [sym__new_environment_copy] = STATE(2175),
    [sym_glossary_entry_definition] = STATE(2161),
    [sym_glossary_entry_reference] = STATE(2161),
    [sym_acronym_definition] = STATE(2161),
    [sym_acronym_reference] = STATE(2161),
    [sym_theorem_definition] = STATE(2161),
    [sym_color_definition] = STATE(2161),
    [sym_color_set_definition] = STATE(2161),
    [sym_color_reference] = STATE(2161),
    [sym_tikz_library_import] = STATE(2161),
    [sym_hyperlink] = STATE(2161),
    [aux_sym_curly_group_author_list_repeat1] = STATE(314),
    [aux_sym_curly_group_author_list_repeat2] = STATE(2677),
    [aux_sym_text_repeat1] = STATE(335),
    [sym_command_name] = ACTIONS(5381),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(5383),
    [anon_sym_LPAREN] = ACTIONS(5385),
    [anon_sym_RPAREN] = ACTIONS(5385),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(5517),
    [anon_sym_BSLASHand] = ACTIONS(5391),
    [sym_word] = ACTIONS(5393),
    [sym_placeholder] = ACTIONS(5395),
    [sym_delimiter] = ACTIONS(5395),
    [anon_sym_PLUS] = ACTIONS(5397),
    [anon_sym_DASH] = ACTIONS(5397),
    [anon_sym_STAR] = ACTIONS(5397),
    [anon_sym_SLASH] = ACTIONS(5397),
    [anon_sym_LT] = ACTIONS(5399),
    [anon_sym_GT] = ACTIONS(5399),
    [anon_sym_BANG] = ACTIONS(5399),
    [anon_sym_PIPE] = ACTIONS(5399),
    [anon_sym_COLON] = ACTIONS(5399),
    [anon_sym_SQUOTE] = ACTIONS(5399),
    [anon_sym__] = ACTIONS(5401),
    [anon_sym_CARET] = ACTIONS(5403),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5405),
    [anon_sym_DOLLAR] = ACTIONS(5407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5409),
    [anon_sym_BSLASHleft] = ACTIONS(5411),
    [anon_sym_BSLASHbigl] = ACTIONS(5411),
    [anon_sym_BSLASHBigl] = ACTIONS(5411),
    [anon_sym_BSLASHbiggl] = ACTIONS(5411),
    [anon_sym_BSLASHBiggl] = ACTIONS(5411),
    [anon_sym_BSLASHtext] = ACTIONS(5413),
    [anon_sym_BSLASHintertext] = ACTIONS(5413),
    [anon_sym_BSLASHshortintertext] = ACTIONS(5413),
    [anon_sym_BSLASHtitle] = ACTIONS(5415),
    [anon_sym_BSLASHauthor] = ACTIONS(5417),
    [anon_sym_BSLASHusepackage] = ACTIONS(5419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(5419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(5421),
    [anon_sym_BSLASHinclude] = ACTIONS(5423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(5423),
    [anon_sym_BSLASHinput] = ACTIONS(5423),
    [anon_sym_BSLASHsubfile] = ACTIONS(5423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(5425),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(5427),
    [anon_sym_BSLASHbibliography] = ACTIONS(5429),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(5431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(5433),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(5435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(5437),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(5437),
    [anon_sym_BSLASHimport] = ACTIONS(5439),
    [anon_sym_BSLASHsubimport] = ACTIONS(5439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(5439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHcaption] = ACTIONS(5441),
    [anon_sym_BSLASHcite] = ACTIONS(5443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCite] = ACTIONS(5443),
    [anon_sym_BSLASHnocite] = ACTIONS(5443),
    [anon_sym_BSLASHcitet] = ACTIONS(5443),
    [anon_sym_BSLASHcitep] = ACTIONS(5443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteA] = ACTIONS(5443),
    [anon_sym_BSLASHciteR] = ACTIONS(5443),
    [anon_sym_BSLASHciteS] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(5443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteyear] = ACTIONS(5443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitedate] = ACTIONS(5443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteurl] = ACTIONS(5443),
    [anon_sym_BSLASHfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(5443),
    [anon_sym_BSLASHcitealt] = ACTIONS(5443),
    [anon_sym_BSLASHcitealp] = ACTIONS(5443),
    [anon_sym_BSLASHcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHparencite] = ACTIONS(5443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHParencite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHtextcite] = ACTIONS(5443),
    [anon_sym_BSLASHTextcite] = ACTIONS(5443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHsupercite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite] = ACTIONS(5443),
    [anon_sym_BSLASHAutocite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHVolcite] = ACTIONS(5443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHavolcite] = ACTIONS(5443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHNotecite] = ACTIONS(5443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHlabel] = ACTIONS(5447),
    [anon_sym_BSLASHref] = ACTIONS(5449),
    [anon_sym_BSLASHeqref] = ACTIONS(5449),
    [anon_sym_BSLASHvref] = ACTIONS(5449),
    [anon_sym_BSLASHVref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHpageref] = ACTIONS(5449),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHautopageref] = ACTIONS(5449),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcref] = ACTIONS(5449),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHCref] = ACTIONS(5449),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHCpageref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnameCref] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHCrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHnewlabel] = ACTIONS(5457),
    [anon_sym_BSLASHnewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(5459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHdef] = ACTIONS(5467),
    [anon_sym_BSLASHgdef] = ACTIONS(5467),
    [anon_sym_BSLASHedef] = ACTIONS(5467),
    [anon_sym_BSLASHxdef] = ACTIONS(5467),
    [anon_sym_BSLASHlet] = ACTIONS(5469),
    [anon_sym_BSLASHglet] = ACTIONS(5469),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(5471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(5471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(5479),
    [anon_sym_BSLASHgls] = ACTIONS(5481),
    [anon_sym_BSLASHGls] = ACTIONS(5481),
    [anon_sym_BSLASHGLS] = ACTIONS(5481),
    [anon_sym_BSLASHglspl] = ACTIONS(5481),
    [anon_sym_BSLASHGlspl] = ACTIONS(5481),
    [anon_sym_BSLASHGLSpl] = ACTIONS(5481),
    [anon_sym_BSLASHglsdisp] = ACTIONS(5481),
    [anon_sym_BSLASHglslink] = ACTIONS(5481),
    [anon_sym_BSLASHglstext] = ACTIONS(5481),
    [anon_sym_BSLASHGlstext] = ACTIONS(5481),
    [anon_sym_BSLASHGLStext] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(5481),
    [anon_sym_BSLASHglsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsname] = ACTIONS(5481),
    [anon_sym_BSLASHGlsname] = ACTIONS(5481),
    [anon_sym_BSLASHGLSname] = ACTIONS(5481),
    [anon_sym_BSLASHglssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHglsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(5481),
    [anon_sym_BSLASHnewacronym] = ACTIONS(5483),
    [anon_sym_BSLASHacrshort] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshort] = ACTIONS(5485),
    [anon_sym_BSLASHACRshort] = ACTIONS(5485),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrlong] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlong] = ACTIONS(5485),
    [anon_sym_BSLASHACRlong] = ACTIONS(5485),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrfull] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfull] = ACTIONS(5485),
    [anon_sym_BSLASHACRfull] = ACTIONS(5485),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHacs] = ACTIONS(5485),
    [anon_sym_BSLASHAcs] = ACTIONS(5485),
    [anon_sym_BSLASHacsp] = ACTIONS(5485),
    [anon_sym_BSLASHAcsp] = ACTIONS(5485),
    [anon_sym_BSLASHacl] = ACTIONS(5485),
    [anon_sym_BSLASHAcl] = ACTIONS(5485),
    [anon_sym_BSLASHaclp] = ACTIONS(5485),
    [anon_sym_BSLASHAclp] = ACTIONS(5485),
    [anon_sym_BSLASHacf] = ACTIONS(5485),
    [anon_sym_BSLASHAcf] = ACTIONS(5485),
    [anon_sym_BSLASHacfp] = ACTIONS(5485),
    [anon_sym_BSLASHAcfp] = ACTIONS(5485),
    [anon_sym_BSLASHac] = ACTIONS(5485),
    [anon_sym_BSLASHAc] = ACTIONS(5485),
    [anon_sym_BSLASHacp] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(5487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(5487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(5491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(5493),
    [anon_sym_BSLASHcolor] = ACTIONS(5495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(5495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(5495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(5495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(5495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(5497),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(5497),
    [anon_sym_BSLASHurl] = ACTIONS(5499),
    [anon_sym_BSLASHhref] = ACTIONS(5499),
  },
  [311] = {
    [sym_block_comment] = STATE(2161),
    [sym__text_content] = STATE(2161),
    [sym_curly_group] = STATE(2161),
    [sym_text] = STATE(2161),
    [sym_operator] = STATE(2147),
    [sym_subscript] = STATE(2147),
    [sym_superscript] = STATE(2147),
    [sym__math_content] = STATE(2161),
    [sym_displayed_equation] = STATE(2161),
    [sym_inline_formula] = STATE(2161),
    [sym_math_delimiter] = STATE(2161),
    [sym_text_mode] = STATE(2161),
    [sym__command] = STATE(2161),
    [sym_generic_command] = STATE(2161),
    [sym_title_declaration] = STATE(2161),
    [sym_author_declaration] = STATE(2161),
    [sym_package_include] = STATE(2161),
    [sym_class_include] = STATE(2161),
    [sym_latex_include] = STATE(2161),
    [sym_biblatex_include] = STATE(2161),
    [sym_bibstyle_include] = STATE(2161),
    [sym_bibtex_include] = STATE(2161),
    [sym_graphics_include] = STATE(2161),
    [sym_svg_include] = STATE(2161),
    [sym_inkscape_include] = STATE(2161),
    [sym_verbatim_include] = STATE(2161),
    [sym_import_include] = STATE(2161),
    [sym_caption] = STATE(2161),
    [sym_citation] = STATE(2161),
    [sym_label_definition] = STATE(2161),
    [sym_label_reference] = STATE(2161),
    [sym_label_reference_range] = STATE(2161),
    [sym_label_number] = STATE(2161),
    [sym_new_command_definition] = STATE(2161),
    [sym__new_command_definition] = STATE(2170),
    [sym__newer_command_definition] = STATE(2171),
    [sym__new_command_copy] = STATE(2172),
    [sym_old_command_definition] = STATE(2161),
    [sym_let_command_definition] = STATE(2161),
    [sym_paired_delimiter_definition] = STATE(2161),
    [sym_environment_definition] = STATE(2161),
    [sym__environment_definition] = STATE(2173),
    [sym__newer_environment_definition] = STATE(2174),
    [sym__new_environment_copy] = STATE(2175),
    [sym_glossary_entry_definition] = STATE(2161),
    [sym_glossary_entry_reference] = STATE(2161),
    [sym_acronym_definition] = STATE(2161),
    [sym_acronym_reference] = STATE(2161),
    [sym_theorem_definition] = STATE(2161),
    [sym_color_definition] = STATE(2161),
    [sym_color_set_definition] = STATE(2161),
    [sym_color_reference] = STATE(2161),
    [sym_tikz_library_import] = STATE(2161),
    [sym_hyperlink] = STATE(2161),
    [aux_sym_curly_group_author_list_repeat1] = STATE(314),
    [aux_sym_curly_group_author_list_repeat2] = STATE(2666),
    [aux_sym_text_repeat1] = STATE(335),
    [sym_command_name] = ACTIONS(5381),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(5383),
    [anon_sym_LPAREN] = ACTIONS(5385),
    [anon_sym_RPAREN] = ACTIONS(5385),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(5519),
    [anon_sym_BSLASHand] = ACTIONS(5391),
    [sym_word] = ACTIONS(5393),
    [sym_placeholder] = ACTIONS(5395),
    [sym_delimiter] = ACTIONS(5395),
    [anon_sym_PLUS] = ACTIONS(5397),
    [anon_sym_DASH] = ACTIONS(5397),
    [anon_sym_STAR] = ACTIONS(5397),
    [anon_sym_SLASH] = ACTIONS(5397),
    [anon_sym_LT] = ACTIONS(5399),
    [anon_sym_GT] = ACTIONS(5399),
    [anon_sym_BANG] = ACTIONS(5399),
    [anon_sym_PIPE] = ACTIONS(5399),
    [anon_sym_COLON] = ACTIONS(5399),
    [anon_sym_SQUOTE] = ACTIONS(5399),
    [anon_sym__] = ACTIONS(5401),
    [anon_sym_CARET] = ACTIONS(5403),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5405),
    [anon_sym_DOLLAR] = ACTIONS(5407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5409),
    [anon_sym_BSLASHleft] = ACTIONS(5411),
    [anon_sym_BSLASHbigl] = ACTIONS(5411),
    [anon_sym_BSLASHBigl] = ACTIONS(5411),
    [anon_sym_BSLASHbiggl] = ACTIONS(5411),
    [anon_sym_BSLASHBiggl] = ACTIONS(5411),
    [anon_sym_BSLASHtext] = ACTIONS(5413),
    [anon_sym_BSLASHintertext] = ACTIONS(5413),
    [anon_sym_BSLASHshortintertext] = ACTIONS(5413),
    [anon_sym_BSLASHtitle] = ACTIONS(5415),
    [anon_sym_BSLASHauthor] = ACTIONS(5417),
    [anon_sym_BSLASHusepackage] = ACTIONS(5419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(5419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(5421),
    [anon_sym_BSLASHinclude] = ACTIONS(5423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(5423),
    [anon_sym_BSLASHinput] = ACTIONS(5423),
    [anon_sym_BSLASHsubfile] = ACTIONS(5423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(5425),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(5427),
    [anon_sym_BSLASHbibliography] = ACTIONS(5429),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(5431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(5433),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(5435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(5437),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(5437),
    [anon_sym_BSLASHimport] = ACTIONS(5439),
    [anon_sym_BSLASHsubimport] = ACTIONS(5439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(5439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHcaption] = ACTIONS(5441),
    [anon_sym_BSLASHcite] = ACTIONS(5443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCite] = ACTIONS(5443),
    [anon_sym_BSLASHnocite] = ACTIONS(5443),
    [anon_sym_BSLASHcitet] = ACTIONS(5443),
    [anon_sym_BSLASHcitep] = ACTIONS(5443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteA] = ACTIONS(5443),
    [anon_sym_BSLASHciteR] = ACTIONS(5443),
    [anon_sym_BSLASHciteS] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(5443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteyear] = ACTIONS(5443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitedate] = ACTIONS(5443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteurl] = ACTIONS(5443),
    [anon_sym_BSLASHfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(5443),
    [anon_sym_BSLASHcitealt] = ACTIONS(5443),
    [anon_sym_BSLASHcitealp] = ACTIONS(5443),
    [anon_sym_BSLASHcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHparencite] = ACTIONS(5443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHParencite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHtextcite] = ACTIONS(5443),
    [anon_sym_BSLASHTextcite] = ACTIONS(5443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHsupercite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite] = ACTIONS(5443),
    [anon_sym_BSLASHAutocite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHVolcite] = ACTIONS(5443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHavolcite] = ACTIONS(5443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHNotecite] = ACTIONS(5443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHlabel] = ACTIONS(5447),
    [anon_sym_BSLASHref] = ACTIONS(5449),
    [anon_sym_BSLASHeqref] = ACTIONS(5449),
    [anon_sym_BSLASHvref] = ACTIONS(5449),
    [anon_sym_BSLASHVref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHpageref] = ACTIONS(5449),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHautopageref] = ACTIONS(5449),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcref] = ACTIONS(5449),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHCref] = ACTIONS(5449),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHCpageref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnameCref] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHCrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHnewlabel] = ACTIONS(5457),
    [anon_sym_BSLASHnewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(5459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHdef] = ACTIONS(5467),
    [anon_sym_BSLASHgdef] = ACTIONS(5467),
    [anon_sym_BSLASHedef] = ACTIONS(5467),
    [anon_sym_BSLASHxdef] = ACTIONS(5467),
    [anon_sym_BSLASHlet] = ACTIONS(5469),
    [anon_sym_BSLASHglet] = ACTIONS(5469),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(5471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(5471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(5479),
    [anon_sym_BSLASHgls] = ACTIONS(5481),
    [anon_sym_BSLASHGls] = ACTIONS(5481),
    [anon_sym_BSLASHGLS] = ACTIONS(5481),
    [anon_sym_BSLASHglspl] = ACTIONS(5481),
    [anon_sym_BSLASHGlspl] = ACTIONS(5481),
    [anon_sym_BSLASHGLSpl] = ACTIONS(5481),
    [anon_sym_BSLASHglsdisp] = ACTIONS(5481),
    [anon_sym_BSLASHglslink] = ACTIONS(5481),
    [anon_sym_BSLASHglstext] = ACTIONS(5481),
    [anon_sym_BSLASHGlstext] = ACTIONS(5481),
    [anon_sym_BSLASHGLStext] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(5481),
    [anon_sym_BSLASHglsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsname] = ACTIONS(5481),
    [anon_sym_BSLASHGlsname] = ACTIONS(5481),
    [anon_sym_BSLASHGLSname] = ACTIONS(5481),
    [anon_sym_BSLASHglssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHglsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(5481),
    [anon_sym_BSLASHnewacronym] = ACTIONS(5483),
    [anon_sym_BSLASHacrshort] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshort] = ACTIONS(5485),
    [anon_sym_BSLASHACRshort] = ACTIONS(5485),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrlong] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlong] = ACTIONS(5485),
    [anon_sym_BSLASHACRlong] = ACTIONS(5485),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrfull] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfull] = ACTIONS(5485),
    [anon_sym_BSLASHACRfull] = ACTIONS(5485),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHacs] = ACTIONS(5485),
    [anon_sym_BSLASHAcs] = ACTIONS(5485),
    [anon_sym_BSLASHacsp] = ACTIONS(5485),
    [anon_sym_BSLASHAcsp] = ACTIONS(5485),
    [anon_sym_BSLASHacl] = ACTIONS(5485),
    [anon_sym_BSLASHAcl] = ACTIONS(5485),
    [anon_sym_BSLASHaclp] = ACTIONS(5485),
    [anon_sym_BSLASHAclp] = ACTIONS(5485),
    [anon_sym_BSLASHacf] = ACTIONS(5485),
    [anon_sym_BSLASHAcf] = ACTIONS(5485),
    [anon_sym_BSLASHacfp] = ACTIONS(5485),
    [anon_sym_BSLASHAcfp] = ACTIONS(5485),
    [anon_sym_BSLASHac] = ACTIONS(5485),
    [anon_sym_BSLASHAc] = ACTIONS(5485),
    [anon_sym_BSLASHacp] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(5487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(5487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(5491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(5493),
    [anon_sym_BSLASHcolor] = ACTIONS(5495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(5495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(5495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(5495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(5495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(5497),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(5497),
    [anon_sym_BSLASHurl] = ACTIONS(5499),
    [anon_sym_BSLASHhref] = ACTIONS(5499),
  },
  [312] = {
    [sym_block_comment] = STATE(298),
    [sym__text_content] = STATE(298),
    [sym_curly_group] = STATE(298),
    [sym_brack_group] = STATE(298),
    [sym_text] = STATE(298),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym_value] = STATE(2615),
    [sym__math_content] = STATE(298),
    [sym_displayed_equation] = STATE(298),
    [sym_inline_formula] = STATE(298),
    [sym_math_delimiter] = STATE(298),
    [sym_text_mode] = STATE(298),
    [sym__command] = STATE(298),
    [sym_generic_command] = STATE(298),
    [sym_title_declaration] = STATE(298),
    [sym_author_declaration] = STATE(298),
    [sym_package_include] = STATE(298),
    [sym_class_include] = STATE(298),
    [sym_latex_include] = STATE(298),
    [sym_biblatex_include] = STATE(298),
    [sym_bibstyle_include] = STATE(298),
    [sym_bibtex_include] = STATE(298),
    [sym_graphics_include] = STATE(298),
    [sym_svg_include] = STATE(298),
    [sym_inkscape_include] = STATE(298),
    [sym_verbatim_include] = STATE(298),
    [sym_import_include] = STATE(298),
    [sym_caption] = STATE(298),
    [sym_citation] = STATE(298),
    [sym_label_definition] = STATE(298),
    [sym_label_reference] = STATE(298),
    [sym_label_reference_range] = STATE(298),
    [sym_label_number] = STATE(298),
    [sym_new_command_definition] = STATE(298),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(298),
    [sym_let_command_definition] = STATE(298),
    [sym_paired_delimiter_definition] = STATE(298),
    [sym_environment_definition] = STATE(298),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(298),
    [sym_glossary_entry_reference] = STATE(298),
    [sym_acronym_definition] = STATE(298),
    [sym_acronym_reference] = STATE(298),
    [sym_theorem_definition] = STATE(298),
    [sym_color_definition] = STATE(298),
    [sym_color_set_definition] = STATE(298),
    [sym_color_reference] = STATE(298),
    [sym_tikz_library_import] = STATE(298),
    [sym_hyperlink] = STATE(298),
    [aux_sym_text_repeat1] = STATE(331),
    [aux_sym_value_repeat1] = STATE(298),
    [sym_command_name] = ACTIONS(4812),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4814),
    [anon_sym_LBRACK] = ACTIONS(5349),
    [anon_sym_LPAREN] = ACTIONS(5521),
    [anon_sym_RPAREN] = ACTIONS(5521),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [sym_word] = ACTIONS(4822),
    [sym_placeholder] = ACTIONS(4824),
    [sym_delimiter] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_BANG] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4828),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym__] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5355),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5355),
    [anon_sym_DOLLAR] = ACTIONS(5357),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5359),
    [anon_sym_BSLASHleft] = ACTIONS(4840),
    [anon_sym_BSLASHbigl] = ACTIONS(4840),
    [anon_sym_BSLASHBigl] = ACTIONS(4840),
    [anon_sym_BSLASHbiggl] = ACTIONS(4840),
    [anon_sym_BSLASHBiggl] = ACTIONS(4840),
    [anon_sym_BSLASHtext] = ACTIONS(4842),
    [anon_sym_BSLASHintertext] = ACTIONS(4842),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4842),
    [anon_sym_BSLASHtitle] = ACTIONS(4844),
    [anon_sym_BSLASHauthor] = ACTIONS(4846),
    [anon_sym_BSLASHusepackage] = ACTIONS(4848),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4848),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4850),
    [anon_sym_BSLASHinclude] = ACTIONS(4852),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4852),
    [anon_sym_BSLASHinput] = ACTIONS(4852),
    [anon_sym_BSLASHsubfile] = ACTIONS(4852),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4856),
    [anon_sym_BSLASHbibliography] = ACTIONS(4858),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4860),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4862),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4866),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4866),
    [anon_sym_BSLASHimport] = ACTIONS(4868),
    [anon_sym_BSLASHsubimport] = ACTIONS(4868),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4868),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHcaption] = ACTIONS(4870),
    [anon_sym_BSLASHcite] = ACTIONS(4872),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCite] = ACTIONS(4872),
    [anon_sym_BSLASHnocite] = ACTIONS(4872),
    [anon_sym_BSLASHcitet] = ACTIONS(4872),
    [anon_sym_BSLASHcitep] = ACTIONS(4872),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteA] = ACTIONS(4872),
    [anon_sym_BSLASHciteR] = ACTIONS(4872),
    [anon_sym_BSLASHciteS] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4872),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteyear] = ACTIONS(4872),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitedate] = ACTIONS(4872),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteurl] = ACTIONS(4872),
    [anon_sym_BSLASHfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4872),
    [anon_sym_BSLASHcitealt] = ACTIONS(4872),
    [anon_sym_BSLASHcitealp] = ACTIONS(4872),
    [anon_sym_BSLASHcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHparencite] = ACTIONS(4872),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHParencite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHtextcite] = ACTIONS(4872),
    [anon_sym_BSLASHTextcite] = ACTIONS(4872),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHsupercite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite] = ACTIONS(4872),
    [anon_sym_BSLASHAutocite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHVolcite] = ACTIONS(4872),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHavolcite] = ACTIONS(4872),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHNotecite] = ACTIONS(4872),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHlabel] = ACTIONS(4876),
    [anon_sym_BSLASHref] = ACTIONS(4878),
    [anon_sym_BSLASHeqref] = ACTIONS(4878),
    [anon_sym_BSLASHvref] = ACTIONS(4878),
    [anon_sym_BSLASHVref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHpageref] = ACTIONS(4878),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHautopageref] = ACTIONS(4878),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcref] = ACTIONS(4878),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHCref] = ACTIONS(4878),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHCpageref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnameCref] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4886),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4888),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHdef] = ACTIONS(4896),
    [anon_sym_BSLASHgdef] = ACTIONS(4896),
    [anon_sym_BSLASHedef] = ACTIONS(4896),
    [anon_sym_BSLASHxdef] = ACTIONS(4896),
    [anon_sym_BSLASHlet] = ACTIONS(4898),
    [anon_sym_BSLASHglet] = ACTIONS(4898),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4900),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4900),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4908),
    [anon_sym_BSLASHgls] = ACTIONS(4910),
    [anon_sym_BSLASHGls] = ACTIONS(4910),
    [anon_sym_BSLASHGLS] = ACTIONS(4910),
    [anon_sym_BSLASHglspl] = ACTIONS(4910),
    [anon_sym_BSLASHGlspl] = ACTIONS(4910),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4910),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4910),
    [anon_sym_BSLASHglslink] = ACTIONS(4910),
    [anon_sym_BSLASHglstext] = ACTIONS(4910),
    [anon_sym_BSLASHGlstext] = ACTIONS(4910),
    [anon_sym_BSLASHGLStext] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4910),
    [anon_sym_BSLASHglsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsname] = ACTIONS(4910),
    [anon_sym_BSLASHGlsname] = ACTIONS(4910),
    [anon_sym_BSLASHGLSname] = ACTIONS(4910),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4910),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4912),
    [anon_sym_BSLASHacrshort] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4914),
    [anon_sym_BSLASHACRshort] = ACTIONS(4914),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrlong] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4914),
    [anon_sym_BSLASHACRlong] = ACTIONS(4914),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrfull] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4914),
    [anon_sym_BSLASHACRfull] = ACTIONS(4914),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHacs] = ACTIONS(4914),
    [anon_sym_BSLASHAcs] = ACTIONS(4914),
    [anon_sym_BSLASHacsp] = ACTIONS(4914),
    [anon_sym_BSLASHAcsp] = ACTIONS(4914),
    [anon_sym_BSLASHacl] = ACTIONS(4914),
    [anon_sym_BSLASHAcl] = ACTIONS(4914),
    [anon_sym_BSLASHaclp] = ACTIONS(4914),
    [anon_sym_BSLASHAclp] = ACTIONS(4914),
    [anon_sym_BSLASHacf] = ACTIONS(4914),
    [anon_sym_BSLASHAcf] = ACTIONS(4914),
    [anon_sym_BSLASHacfp] = ACTIONS(4914),
    [anon_sym_BSLASHAcfp] = ACTIONS(4914),
    [anon_sym_BSLASHac] = ACTIONS(4914),
    [anon_sym_BSLASHAc] = ACTIONS(4914),
    [anon_sym_BSLASHacp] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4916),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4916),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4920),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4922),
    [anon_sym_BSLASHcolor] = ACTIONS(4924),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4924),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4924),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4924),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4924),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4926),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4926),
    [anon_sym_BSLASHurl] = ACTIONS(4928),
    [anon_sym_BSLASHhref] = ACTIONS(4928),
  },
  [313] = {
    [sym_block_comment] = STATE(316),
    [sym__text_content] = STATE(316),
    [sym_curly_group] = STATE(316),
    [sym_text] = STATE(316),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(316),
    [sym_displayed_equation] = STATE(316),
    [sym_inline_formula] = STATE(316),
    [sym_math_delimiter] = STATE(316),
    [sym_text_mode] = STATE(316),
    [sym__command] = STATE(316),
    [sym_generic_command] = STATE(316),
    [sym_title_declaration] = STATE(316),
    [sym_author_declaration] = STATE(316),
    [sym_package_include] = STATE(316),
    [sym_class_include] = STATE(316),
    [sym_latex_include] = STATE(316),
    [sym_biblatex_include] = STATE(316),
    [sym_bibstyle_include] = STATE(316),
    [sym_bibtex_include] = STATE(316),
    [sym_graphics_include] = STATE(316),
    [sym_svg_include] = STATE(316),
    [sym_inkscape_include] = STATE(316),
    [sym_verbatim_include] = STATE(316),
    [sym_import_include] = STATE(316),
    [sym_caption] = STATE(316),
    [sym_citation] = STATE(316),
    [sym_label_definition] = STATE(316),
    [sym_label_reference] = STATE(316),
    [sym_label_reference_range] = STATE(316),
    [sym_label_number] = STATE(316),
    [sym_new_command_definition] = STATE(316),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(316),
    [sym_let_command_definition] = STATE(316),
    [sym_paired_delimiter_definition] = STATE(316),
    [sym_environment_definition] = STATE(316),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(316),
    [sym_glossary_entry_reference] = STATE(316),
    [sym_acronym_definition] = STATE(316),
    [sym_acronym_reference] = STATE(316),
    [sym_theorem_definition] = STATE(316),
    [sym_color_definition] = STATE(316),
    [sym_color_set_definition] = STATE(316),
    [sym_color_reference] = STATE(316),
    [sym_tikz_library_import] = STATE(316),
    [sym_hyperlink] = STATE(316),
    [aux_sym_curly_group_spec_repeat1] = STATE(316),
    [aux_sym_text_repeat1] = STATE(331),
    [sym_command_name] = ACTIONS(4812),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4814),
    [anon_sym_EQ] = ACTIONS(5523),
    [anon_sym_LPAREN] = ACTIONS(5523),
    [anon_sym_RPAREN] = ACTIONS(5523),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(5525),
    [sym_word] = ACTIONS(4822),
    [sym_placeholder] = ACTIONS(4824),
    [sym_delimiter] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_BANG] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4828),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym__] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5527),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5527),
    [anon_sym_DOLLAR] = ACTIONS(5529),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5531),
    [anon_sym_BSLASHleft] = ACTIONS(4840),
    [anon_sym_BSLASHbigl] = ACTIONS(4840),
    [anon_sym_BSLASHBigl] = ACTIONS(4840),
    [anon_sym_BSLASHbiggl] = ACTIONS(4840),
    [anon_sym_BSLASHBiggl] = ACTIONS(4840),
    [anon_sym_BSLASHtext] = ACTIONS(4842),
    [anon_sym_BSLASHintertext] = ACTIONS(4842),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4842),
    [anon_sym_BSLASHtitle] = ACTIONS(4844),
    [anon_sym_BSLASHauthor] = ACTIONS(4846),
    [anon_sym_BSLASHusepackage] = ACTIONS(4848),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4848),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4850),
    [anon_sym_BSLASHinclude] = ACTIONS(4852),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4852),
    [anon_sym_BSLASHinput] = ACTIONS(4852),
    [anon_sym_BSLASHsubfile] = ACTIONS(4852),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4856),
    [anon_sym_BSLASHbibliography] = ACTIONS(4858),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4860),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4862),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4866),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4866),
    [anon_sym_BSLASHimport] = ACTIONS(4868),
    [anon_sym_BSLASHsubimport] = ACTIONS(4868),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4868),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHcaption] = ACTIONS(4870),
    [anon_sym_BSLASHcite] = ACTIONS(4872),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCite] = ACTIONS(4872),
    [anon_sym_BSLASHnocite] = ACTIONS(4872),
    [anon_sym_BSLASHcitet] = ACTIONS(4872),
    [anon_sym_BSLASHcitep] = ACTIONS(4872),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteA] = ACTIONS(4872),
    [anon_sym_BSLASHciteR] = ACTIONS(4872),
    [anon_sym_BSLASHciteS] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4872),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteyear] = ACTIONS(4872),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitedate] = ACTIONS(4872),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteurl] = ACTIONS(4872),
    [anon_sym_BSLASHfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4872),
    [anon_sym_BSLASHcitealt] = ACTIONS(4872),
    [anon_sym_BSLASHcitealp] = ACTIONS(4872),
    [anon_sym_BSLASHcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHparencite] = ACTIONS(4872),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHParencite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHtextcite] = ACTIONS(4872),
    [anon_sym_BSLASHTextcite] = ACTIONS(4872),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHsupercite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite] = ACTIONS(4872),
    [anon_sym_BSLASHAutocite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHVolcite] = ACTIONS(4872),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHavolcite] = ACTIONS(4872),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHNotecite] = ACTIONS(4872),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHlabel] = ACTIONS(4876),
    [anon_sym_BSLASHref] = ACTIONS(4878),
    [anon_sym_BSLASHeqref] = ACTIONS(4878),
    [anon_sym_BSLASHvref] = ACTIONS(4878),
    [anon_sym_BSLASHVref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHpageref] = ACTIONS(4878),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHautopageref] = ACTIONS(4878),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcref] = ACTIONS(4878),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHCref] = ACTIONS(4878),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHCpageref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnameCref] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4886),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4888),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHdef] = ACTIONS(4896),
    [anon_sym_BSLASHgdef] = ACTIONS(4896),
    [anon_sym_BSLASHedef] = ACTIONS(4896),
    [anon_sym_BSLASHxdef] = ACTIONS(4896),
    [anon_sym_BSLASHlet] = ACTIONS(4898),
    [anon_sym_BSLASHglet] = ACTIONS(4898),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4900),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4900),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4908),
    [anon_sym_BSLASHgls] = ACTIONS(4910),
    [anon_sym_BSLASHGls] = ACTIONS(4910),
    [anon_sym_BSLASHGLS] = ACTIONS(4910),
    [anon_sym_BSLASHglspl] = ACTIONS(4910),
    [anon_sym_BSLASHGlspl] = ACTIONS(4910),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4910),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4910),
    [anon_sym_BSLASHglslink] = ACTIONS(4910),
    [anon_sym_BSLASHglstext] = ACTIONS(4910),
    [anon_sym_BSLASHGlstext] = ACTIONS(4910),
    [anon_sym_BSLASHGLStext] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4910),
    [anon_sym_BSLASHglsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsname] = ACTIONS(4910),
    [anon_sym_BSLASHGlsname] = ACTIONS(4910),
    [anon_sym_BSLASHGLSname] = ACTIONS(4910),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4910),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4912),
    [anon_sym_BSLASHacrshort] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4914),
    [anon_sym_BSLASHACRshort] = ACTIONS(4914),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrlong] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4914),
    [anon_sym_BSLASHACRlong] = ACTIONS(4914),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrfull] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4914),
    [anon_sym_BSLASHACRfull] = ACTIONS(4914),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHacs] = ACTIONS(4914),
    [anon_sym_BSLASHAcs] = ACTIONS(4914),
    [anon_sym_BSLASHacsp] = ACTIONS(4914),
    [anon_sym_BSLASHAcsp] = ACTIONS(4914),
    [anon_sym_BSLASHacl] = ACTIONS(4914),
    [anon_sym_BSLASHAcl] = ACTIONS(4914),
    [anon_sym_BSLASHaclp] = ACTIONS(4914),
    [anon_sym_BSLASHAclp] = ACTIONS(4914),
    [anon_sym_BSLASHacf] = ACTIONS(4914),
    [anon_sym_BSLASHAcf] = ACTIONS(4914),
    [anon_sym_BSLASHacfp] = ACTIONS(4914),
    [anon_sym_BSLASHAcfp] = ACTIONS(4914),
    [anon_sym_BSLASHac] = ACTIONS(4914),
    [anon_sym_BSLASHAc] = ACTIONS(4914),
    [anon_sym_BSLASHacp] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4916),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4916),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4920),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4922),
    [anon_sym_BSLASHcolor] = ACTIONS(4924),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4924),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4924),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4924),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4924),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4926),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4926),
    [anon_sym_BSLASHurl] = ACTIONS(4928),
    [anon_sym_BSLASHhref] = ACTIONS(4928),
  },
  [314] = {
    [sym_block_comment] = STATE(2161),
    [sym__text_content] = STATE(2161),
    [sym_curly_group] = STATE(2161),
    [sym_text] = STATE(2161),
    [sym_operator] = STATE(2147),
    [sym_subscript] = STATE(2147),
    [sym_superscript] = STATE(2147),
    [sym__math_content] = STATE(2161),
    [sym_displayed_equation] = STATE(2161),
    [sym_inline_formula] = STATE(2161),
    [sym_math_delimiter] = STATE(2161),
    [sym_text_mode] = STATE(2161),
    [sym__command] = STATE(2161),
    [sym_generic_command] = STATE(2161),
    [sym_title_declaration] = STATE(2161),
    [sym_author_declaration] = STATE(2161),
    [sym_package_include] = STATE(2161),
    [sym_class_include] = STATE(2161),
    [sym_latex_include] = STATE(2161),
    [sym_biblatex_include] = STATE(2161),
    [sym_bibstyle_include] = STATE(2161),
    [sym_bibtex_include] = STATE(2161),
    [sym_graphics_include] = STATE(2161),
    [sym_svg_include] = STATE(2161),
    [sym_inkscape_include] = STATE(2161),
    [sym_verbatim_include] = STATE(2161),
    [sym_import_include] = STATE(2161),
    [sym_caption] = STATE(2161),
    [sym_citation] = STATE(2161),
    [sym_label_definition] = STATE(2161),
    [sym_label_reference] = STATE(2161),
    [sym_label_reference_range] = STATE(2161),
    [sym_label_number] = STATE(2161),
    [sym_new_command_definition] = STATE(2161),
    [sym__new_command_definition] = STATE(2170),
    [sym__newer_command_definition] = STATE(2171),
    [sym__new_command_copy] = STATE(2172),
    [sym_old_command_definition] = STATE(2161),
    [sym_let_command_definition] = STATE(2161),
    [sym_paired_delimiter_definition] = STATE(2161),
    [sym_environment_definition] = STATE(2161),
    [sym__environment_definition] = STATE(2173),
    [sym__newer_environment_definition] = STATE(2174),
    [sym__new_environment_copy] = STATE(2175),
    [sym_glossary_entry_definition] = STATE(2161),
    [sym_glossary_entry_reference] = STATE(2161),
    [sym_acronym_definition] = STATE(2161),
    [sym_acronym_reference] = STATE(2161),
    [sym_theorem_definition] = STATE(2161),
    [sym_color_definition] = STATE(2161),
    [sym_color_set_definition] = STATE(2161),
    [sym_color_reference] = STATE(2161),
    [sym_tikz_library_import] = STATE(2161),
    [sym_hyperlink] = STATE(2161),
    [aux_sym_curly_group_author_list_repeat1] = STATE(314),
    [aux_sym_text_repeat1] = STATE(335),
    [sym_command_name] = ACTIONS(5533),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(5536),
    [anon_sym_LPAREN] = ACTIONS(5539),
    [anon_sym_RPAREN] = ACTIONS(5539),
    [anon_sym_LBRACE] = ACTIONS(5542),
    [anon_sym_RBRACE] = ACTIONS(5545),
    [anon_sym_BSLASHand] = ACTIONS(5547),
    [sym_word] = ACTIONS(5549),
    [sym_placeholder] = ACTIONS(5552),
    [sym_delimiter] = ACTIONS(5552),
    [anon_sym_PLUS] = ACTIONS(5555),
    [anon_sym_DASH] = ACTIONS(5555),
    [anon_sym_STAR] = ACTIONS(5555),
    [anon_sym_SLASH] = ACTIONS(5555),
    [anon_sym_LT] = ACTIONS(5558),
    [anon_sym_GT] = ACTIONS(5558),
    [anon_sym_BANG] = ACTIONS(5558),
    [anon_sym_PIPE] = ACTIONS(5558),
    [anon_sym_COLON] = ACTIONS(5558),
    [anon_sym_SQUOTE] = ACTIONS(5558),
    [anon_sym__] = ACTIONS(5561),
    [anon_sym_CARET] = ACTIONS(5564),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5567),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5567),
    [anon_sym_DOLLAR] = ACTIONS(5570),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5573),
    [anon_sym_BSLASHleft] = ACTIONS(5576),
    [anon_sym_BSLASHbigl] = ACTIONS(5576),
    [anon_sym_BSLASHBigl] = ACTIONS(5576),
    [anon_sym_BSLASHbiggl] = ACTIONS(5576),
    [anon_sym_BSLASHBiggl] = ACTIONS(5576),
    [anon_sym_BSLASHtext] = ACTIONS(5579),
    [anon_sym_BSLASHintertext] = ACTIONS(5579),
    [anon_sym_BSLASHshortintertext] = ACTIONS(5579),
    [anon_sym_BSLASHtitle] = ACTIONS(5582),
    [anon_sym_BSLASHauthor] = ACTIONS(5585),
    [anon_sym_BSLASHusepackage] = ACTIONS(5588),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(5588),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(5591),
    [anon_sym_BSLASHinclude] = ACTIONS(5594),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(5594),
    [anon_sym_BSLASHinput] = ACTIONS(5594),
    [anon_sym_BSLASHsubfile] = ACTIONS(5594),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(5597),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(5600),
    [anon_sym_BSLASHbibliography] = ACTIONS(5603),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(5606),
    [anon_sym_BSLASHincludesvg] = ACTIONS(5609),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(5612),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(5615),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(5615),
    [anon_sym_BSLASHimport] = ACTIONS(5618),
    [anon_sym_BSLASHsubimport] = ACTIONS(5618),
    [anon_sym_BSLASHinputfrom] = ACTIONS(5618),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(5618),
    [anon_sym_BSLASHincludefrom] = ACTIONS(5618),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(5618),
    [anon_sym_BSLASHcaption] = ACTIONS(5621),
    [anon_sym_BSLASHcite] = ACTIONS(5624),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(5627),
    [anon_sym_BSLASHCite] = ACTIONS(5624),
    [anon_sym_BSLASHnocite] = ACTIONS(5624),
    [anon_sym_BSLASHcitet] = ACTIONS(5624),
    [anon_sym_BSLASHcitep] = ACTIONS(5624),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(5627),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(5627),
    [anon_sym_BSLASHciteA] = ACTIONS(5624),
    [anon_sym_BSLASHciteR] = ACTIONS(5624),
    [anon_sym_BSLASHciteS] = ACTIONS(5624),
    [anon_sym_BSLASHciteyearR] = ACTIONS(5624),
    [anon_sym_BSLASHciteauthor] = ACTIONS(5624),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(5627),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(5624),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(5627),
    [anon_sym_BSLASHcitetitle] = ACTIONS(5624),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(5627),
    [anon_sym_BSLASHciteyear] = ACTIONS(5624),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(5627),
    [anon_sym_BSLASHcitedate] = ACTIONS(5624),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(5627),
    [anon_sym_BSLASHciteurl] = ACTIONS(5624),
    [anon_sym_BSLASHfullcite] = ACTIONS(5624),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(5624),
    [anon_sym_BSLASHcitealt] = ACTIONS(5624),
    [anon_sym_BSLASHcitealp] = ACTIONS(5624),
    [anon_sym_BSLASHcitetext] = ACTIONS(5624),
    [anon_sym_BSLASHparencite] = ACTIONS(5624),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(5627),
    [anon_sym_BSLASHParencite] = ACTIONS(5624),
    [anon_sym_BSLASHfootcite] = ACTIONS(5624),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(5624),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(5624),
    [anon_sym_BSLASHtextcite] = ACTIONS(5624),
    [anon_sym_BSLASHTextcite] = ACTIONS(5624),
    [anon_sym_BSLASHsmartcite] = ACTIONS(5624),
    [anon_sym_BSLASHSmartcite] = ACTIONS(5624),
    [anon_sym_BSLASHsupercite] = ACTIONS(5624),
    [anon_sym_BSLASHautocite] = ACTIONS(5624),
    [anon_sym_BSLASHAutocite] = ACTIONS(5624),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(5627),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(5627),
    [anon_sym_BSLASHvolcite] = ACTIONS(5624),
    [anon_sym_BSLASHVolcite] = ACTIONS(5624),
    [anon_sym_BSLASHpvolcite] = ACTIONS(5624),
    [anon_sym_BSLASHPvolcite] = ACTIONS(5624),
    [anon_sym_BSLASHfvolcite] = ACTIONS(5624),
    [anon_sym_BSLASHftvolcite] = ACTIONS(5624),
    [anon_sym_BSLASHsvolcite] = ACTIONS(5624),
    [anon_sym_BSLASHSvolcite] = ACTIONS(5624),
    [anon_sym_BSLASHtvolcite] = ACTIONS(5624),
    [anon_sym_BSLASHTvolcite] = ACTIONS(5624),
    [anon_sym_BSLASHavolcite] = ACTIONS(5624),
    [anon_sym_BSLASHAvolcite] = ACTIONS(5624),
    [anon_sym_BSLASHnotecite] = ACTIONS(5624),
    [anon_sym_BSLASHNotecite] = ACTIONS(5624),
    [anon_sym_BSLASHpnotecite] = ACTIONS(5624),
    [anon_sym_BSLASHPnotecite] = ACTIONS(5624),
    [anon_sym_BSLASHfnotecite] = ACTIONS(5624),
    [anon_sym_BSLASHlabel] = ACTIONS(5630),
    [anon_sym_BSLASHref] = ACTIONS(5633),
    [anon_sym_BSLASHeqref] = ACTIONS(5633),
    [anon_sym_BSLASHvref] = ACTIONS(5633),
    [anon_sym_BSLASHVref] = ACTIONS(5633),
    [anon_sym_BSLASHautoref] = ACTIONS(5633),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(5636),
    [anon_sym_BSLASHpageref] = ACTIONS(5633),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(5636),
    [anon_sym_BSLASHautopageref] = ACTIONS(5633),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(5636),
    [anon_sym_BSLASHcref] = ACTIONS(5633),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(5636),
    [anon_sym_BSLASHCref] = ACTIONS(5633),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(5636),
    [anon_sym_BSLASHcpageref] = ACTIONS(5633),
    [anon_sym_BSLASHCpageref] = ACTIONS(5633),
    [anon_sym_BSLASHnamecref] = ACTIONS(5633),
    [anon_sym_BSLASHnameCref] = ACTIONS(5633),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(5633),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(5633),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(5633),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(5633),
    [anon_sym_BSLASHlabelcref] = ACTIONS(5633),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(5636),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(5633),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(5636),
    [anon_sym_BSLASHcrefrange] = ACTIONS(5639),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(5642),
    [anon_sym_BSLASHCrefrange] = ACTIONS(5639),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(5642),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(5639),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(5639),
    [anon_sym_BSLASHnewlabel] = ACTIONS(5645),
    [anon_sym_BSLASHnewcommand] = ACTIONS(5648),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(5651),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(5648),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(5651),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(5648),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(5651),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(5648),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(5651),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(5648),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(5651),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(5654),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(5654),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(5654),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(5654),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(5654),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(5654),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(5654),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(5654),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(5657),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(5657),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(5657),
    [anon_sym_BSLASHdef] = ACTIONS(5660),
    [anon_sym_BSLASHgdef] = ACTIONS(5660),
    [anon_sym_BSLASHedef] = ACTIONS(5660),
    [anon_sym_BSLASHxdef] = ACTIONS(5660),
    [anon_sym_BSLASHlet] = ACTIONS(5663),
    [anon_sym_BSLASHglet] = ACTIONS(5663),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(5666),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(5666),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(5669),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(5669),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(5672),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(5672),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(5672),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(5672),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(5675),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(5675),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(5675),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(5678),
    [anon_sym_BSLASHgls] = ACTIONS(5681),
    [anon_sym_BSLASHGls] = ACTIONS(5681),
    [anon_sym_BSLASHGLS] = ACTIONS(5681),
    [anon_sym_BSLASHglspl] = ACTIONS(5681),
    [anon_sym_BSLASHGlspl] = ACTIONS(5681),
    [anon_sym_BSLASHGLSpl] = ACTIONS(5681),
    [anon_sym_BSLASHglsdisp] = ACTIONS(5681),
    [anon_sym_BSLASHglslink] = ACTIONS(5681),
    [anon_sym_BSLASHglstext] = ACTIONS(5681),
    [anon_sym_BSLASHGlstext] = ACTIONS(5681),
    [anon_sym_BSLASHGLStext] = ACTIONS(5681),
    [anon_sym_BSLASHglsfirst] = ACTIONS(5681),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(5681),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(5681),
    [anon_sym_BSLASHglsplural] = ACTIONS(5681),
    [anon_sym_BSLASHGlsplural] = ACTIONS(5681),
    [anon_sym_BSLASHGLSplural] = ACTIONS(5681),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(5681),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(5681),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(5681),
    [anon_sym_BSLASHglsname] = ACTIONS(5681),
    [anon_sym_BSLASHGlsname] = ACTIONS(5681),
    [anon_sym_BSLASHGLSname] = ACTIONS(5681),
    [anon_sym_BSLASHglssymbol] = ACTIONS(5681),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(5681),
    [anon_sym_BSLASHglsdesc] = ACTIONS(5681),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(5681),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(5681),
    [anon_sym_BSLASHglsuseri] = ACTIONS(5681),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(5681),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(5681),
    [anon_sym_BSLASHglsuserii] = ACTIONS(5681),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(5681),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(5681),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(5681),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(5681),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(5681),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(5681),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(5681),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(5681),
    [anon_sym_BSLASHglsuserv] = ACTIONS(5681),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(5681),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(5681),
    [anon_sym_BSLASHglsuservi] = ACTIONS(5681),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(5681),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(5681),
    [anon_sym_BSLASHnewacronym] = ACTIONS(5684),
    [anon_sym_BSLASHacrshort] = ACTIONS(5687),
    [anon_sym_BSLASHAcrshort] = ACTIONS(5687),
    [anon_sym_BSLASHACRshort] = ACTIONS(5687),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(5687),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(5687),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(5687),
    [anon_sym_BSLASHacrlong] = ACTIONS(5687),
    [anon_sym_BSLASHAcrlong] = ACTIONS(5687),
    [anon_sym_BSLASHACRlong] = ACTIONS(5687),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(5687),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(5687),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(5687),
    [anon_sym_BSLASHacrfull] = ACTIONS(5687),
    [anon_sym_BSLASHAcrfull] = ACTIONS(5687),
    [anon_sym_BSLASHACRfull] = ACTIONS(5687),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(5687),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(5687),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(5687),
    [anon_sym_BSLASHacs] = ACTIONS(5687),
    [anon_sym_BSLASHAcs] = ACTIONS(5687),
    [anon_sym_BSLASHacsp] = ACTIONS(5687),
    [anon_sym_BSLASHAcsp] = ACTIONS(5687),
    [anon_sym_BSLASHacl] = ACTIONS(5687),
    [anon_sym_BSLASHAcl] = ACTIONS(5687),
    [anon_sym_BSLASHaclp] = ACTIONS(5687),
    [anon_sym_BSLASHAclp] = ACTIONS(5687),
    [anon_sym_BSLASHacf] = ACTIONS(5687),
    [anon_sym_BSLASHAcf] = ACTIONS(5687),
    [anon_sym_BSLASHacfp] = ACTIONS(5687),
    [anon_sym_BSLASHAcfp] = ACTIONS(5687),
    [anon_sym_BSLASHac] = ACTIONS(5687),
    [anon_sym_BSLASHAc] = ACTIONS(5687),
    [anon_sym_BSLASHacp] = ACTIONS(5687),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(5687),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(5687),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(5687),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(5687),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(5687),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(5687),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(5687),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(5687),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(5687),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(5687),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(5690),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(5693),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(5690),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(5693),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(5696),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(5699),
    [anon_sym_BSLASHcolor] = ACTIONS(5702),
    [anon_sym_BSLASHpagecolor] = ACTIONS(5702),
    [anon_sym_BSLASHtextcolor] = ACTIONS(5702),
    [anon_sym_BSLASHmathcolor] = ACTIONS(5702),
    [anon_sym_BSLASHcolorbox] = ACTIONS(5702),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(5705),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(5705),
    [anon_sym_BSLASHurl] = ACTIONS(5708),
    [anon_sym_BSLASHhref] = ACTIONS(5708),
  },
  [315] = {
    [sym_block_comment] = STATE(2161),
    [sym__text_content] = STATE(2161),
    [sym_curly_group] = STATE(2161),
    [sym_text] = STATE(2161),
    [sym_operator] = STATE(2147),
    [sym_subscript] = STATE(2147),
    [sym_superscript] = STATE(2147),
    [sym__math_content] = STATE(2161),
    [sym_displayed_equation] = STATE(2161),
    [sym_inline_formula] = STATE(2161),
    [sym_math_delimiter] = STATE(2161),
    [sym_text_mode] = STATE(2161),
    [sym__command] = STATE(2161),
    [sym_generic_command] = STATE(2161),
    [sym_title_declaration] = STATE(2161),
    [sym_author_declaration] = STATE(2161),
    [sym_package_include] = STATE(2161),
    [sym_class_include] = STATE(2161),
    [sym_latex_include] = STATE(2161),
    [sym_biblatex_include] = STATE(2161),
    [sym_bibstyle_include] = STATE(2161),
    [sym_bibtex_include] = STATE(2161),
    [sym_graphics_include] = STATE(2161),
    [sym_svg_include] = STATE(2161),
    [sym_inkscape_include] = STATE(2161),
    [sym_verbatim_include] = STATE(2161),
    [sym_import_include] = STATE(2161),
    [sym_caption] = STATE(2161),
    [sym_citation] = STATE(2161),
    [sym_label_definition] = STATE(2161),
    [sym_label_reference] = STATE(2161),
    [sym_label_reference_range] = STATE(2161),
    [sym_label_number] = STATE(2161),
    [sym_new_command_definition] = STATE(2161),
    [sym__new_command_definition] = STATE(2170),
    [sym__newer_command_definition] = STATE(2171),
    [sym__new_command_copy] = STATE(2172),
    [sym_old_command_definition] = STATE(2161),
    [sym_let_command_definition] = STATE(2161),
    [sym_paired_delimiter_definition] = STATE(2161),
    [sym_environment_definition] = STATE(2161),
    [sym__environment_definition] = STATE(2173),
    [sym__newer_environment_definition] = STATE(2174),
    [sym__new_environment_copy] = STATE(2175),
    [sym_glossary_entry_definition] = STATE(2161),
    [sym_glossary_entry_reference] = STATE(2161),
    [sym_acronym_definition] = STATE(2161),
    [sym_acronym_reference] = STATE(2161),
    [sym_theorem_definition] = STATE(2161),
    [sym_color_definition] = STATE(2161),
    [sym_color_set_definition] = STATE(2161),
    [sym_color_reference] = STATE(2161),
    [sym_tikz_library_import] = STATE(2161),
    [sym_hyperlink] = STATE(2161),
    [aux_sym_curly_group_author_list_repeat1] = STATE(314),
    [aux_sym_text_repeat1] = STATE(335),
    [sym_command_name] = ACTIONS(5381),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(5383),
    [anon_sym_LPAREN] = ACTIONS(5385),
    [anon_sym_RPAREN] = ACTIONS(5385),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(5711),
    [anon_sym_BSLASHand] = ACTIONS(5713),
    [sym_word] = ACTIONS(5393),
    [sym_placeholder] = ACTIONS(5395),
    [sym_delimiter] = ACTIONS(5395),
    [anon_sym_PLUS] = ACTIONS(5397),
    [anon_sym_DASH] = ACTIONS(5397),
    [anon_sym_STAR] = ACTIONS(5397),
    [anon_sym_SLASH] = ACTIONS(5397),
    [anon_sym_LT] = ACTIONS(5399),
    [anon_sym_GT] = ACTIONS(5399),
    [anon_sym_BANG] = ACTIONS(5399),
    [anon_sym_PIPE] = ACTIONS(5399),
    [anon_sym_COLON] = ACTIONS(5399),
    [anon_sym_SQUOTE] = ACTIONS(5399),
    [anon_sym__] = ACTIONS(5401),
    [anon_sym_CARET] = ACTIONS(5403),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5405),
    [anon_sym_DOLLAR] = ACTIONS(5407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5409),
    [anon_sym_BSLASHleft] = ACTIONS(5411),
    [anon_sym_BSLASHbigl] = ACTIONS(5411),
    [anon_sym_BSLASHBigl] = ACTIONS(5411),
    [anon_sym_BSLASHbiggl] = ACTIONS(5411),
    [anon_sym_BSLASHBiggl] = ACTIONS(5411),
    [anon_sym_BSLASHtext] = ACTIONS(5413),
    [anon_sym_BSLASHintertext] = ACTIONS(5413),
    [anon_sym_BSLASHshortintertext] = ACTIONS(5413),
    [anon_sym_BSLASHtitle] = ACTIONS(5415),
    [anon_sym_BSLASHauthor] = ACTIONS(5417),
    [anon_sym_BSLASHusepackage] = ACTIONS(5419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(5419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(5421),
    [anon_sym_BSLASHinclude] = ACTIONS(5423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(5423),
    [anon_sym_BSLASHinput] = ACTIONS(5423),
    [anon_sym_BSLASHsubfile] = ACTIONS(5423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(5425),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(5427),
    [anon_sym_BSLASHbibliography] = ACTIONS(5429),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(5431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(5433),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(5435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(5437),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(5437),
    [anon_sym_BSLASHimport] = ACTIONS(5439),
    [anon_sym_BSLASHsubimport] = ACTIONS(5439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(5439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHcaption] = ACTIONS(5441),
    [anon_sym_BSLASHcite] = ACTIONS(5443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCite] = ACTIONS(5443),
    [anon_sym_BSLASHnocite] = ACTIONS(5443),
    [anon_sym_BSLASHcitet] = ACTIONS(5443),
    [anon_sym_BSLASHcitep] = ACTIONS(5443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteA] = ACTIONS(5443),
    [anon_sym_BSLASHciteR] = ACTIONS(5443),
    [anon_sym_BSLASHciteS] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(5443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteyear] = ACTIONS(5443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitedate] = ACTIONS(5443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteurl] = ACTIONS(5443),
    [anon_sym_BSLASHfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(5443),
    [anon_sym_BSLASHcitealt] = ACTIONS(5443),
    [anon_sym_BSLASHcitealp] = ACTIONS(5443),
    [anon_sym_BSLASHcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHparencite] = ACTIONS(5443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHParencite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHtextcite] = ACTIONS(5443),
    [anon_sym_BSLASHTextcite] = ACTIONS(5443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHsupercite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite] = ACTIONS(5443),
    [anon_sym_BSLASHAutocite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHVolcite] = ACTIONS(5443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHavolcite] = ACTIONS(5443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHNotecite] = ACTIONS(5443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHlabel] = ACTIONS(5447),
    [anon_sym_BSLASHref] = ACTIONS(5449),
    [anon_sym_BSLASHeqref] = ACTIONS(5449),
    [anon_sym_BSLASHvref] = ACTIONS(5449),
    [anon_sym_BSLASHVref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHpageref] = ACTIONS(5449),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHautopageref] = ACTIONS(5449),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcref] = ACTIONS(5449),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHCref] = ACTIONS(5449),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHCpageref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnameCref] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHCrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHnewlabel] = ACTIONS(5457),
    [anon_sym_BSLASHnewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(5459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHdef] = ACTIONS(5467),
    [anon_sym_BSLASHgdef] = ACTIONS(5467),
    [anon_sym_BSLASHedef] = ACTIONS(5467),
    [anon_sym_BSLASHxdef] = ACTIONS(5467),
    [anon_sym_BSLASHlet] = ACTIONS(5469),
    [anon_sym_BSLASHglet] = ACTIONS(5469),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(5471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(5471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(5479),
    [anon_sym_BSLASHgls] = ACTIONS(5481),
    [anon_sym_BSLASHGls] = ACTIONS(5481),
    [anon_sym_BSLASHGLS] = ACTIONS(5481),
    [anon_sym_BSLASHglspl] = ACTIONS(5481),
    [anon_sym_BSLASHGlspl] = ACTIONS(5481),
    [anon_sym_BSLASHGLSpl] = ACTIONS(5481),
    [anon_sym_BSLASHglsdisp] = ACTIONS(5481),
    [anon_sym_BSLASHglslink] = ACTIONS(5481),
    [anon_sym_BSLASHglstext] = ACTIONS(5481),
    [anon_sym_BSLASHGlstext] = ACTIONS(5481),
    [anon_sym_BSLASHGLStext] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(5481),
    [anon_sym_BSLASHglsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsname] = ACTIONS(5481),
    [anon_sym_BSLASHGlsname] = ACTIONS(5481),
    [anon_sym_BSLASHGLSname] = ACTIONS(5481),
    [anon_sym_BSLASHglssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHglsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(5481),
    [anon_sym_BSLASHnewacronym] = ACTIONS(5483),
    [anon_sym_BSLASHacrshort] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshort] = ACTIONS(5485),
    [anon_sym_BSLASHACRshort] = ACTIONS(5485),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrlong] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlong] = ACTIONS(5485),
    [anon_sym_BSLASHACRlong] = ACTIONS(5485),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrfull] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfull] = ACTIONS(5485),
    [anon_sym_BSLASHACRfull] = ACTIONS(5485),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHacs] = ACTIONS(5485),
    [anon_sym_BSLASHAcs] = ACTIONS(5485),
    [anon_sym_BSLASHacsp] = ACTIONS(5485),
    [anon_sym_BSLASHAcsp] = ACTIONS(5485),
    [anon_sym_BSLASHacl] = ACTIONS(5485),
    [anon_sym_BSLASHAcl] = ACTIONS(5485),
    [anon_sym_BSLASHaclp] = ACTIONS(5485),
    [anon_sym_BSLASHAclp] = ACTIONS(5485),
    [anon_sym_BSLASHacf] = ACTIONS(5485),
    [anon_sym_BSLASHAcf] = ACTIONS(5485),
    [anon_sym_BSLASHacfp] = ACTIONS(5485),
    [anon_sym_BSLASHAcfp] = ACTIONS(5485),
    [anon_sym_BSLASHac] = ACTIONS(5485),
    [anon_sym_BSLASHAc] = ACTIONS(5485),
    [anon_sym_BSLASHacp] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(5487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(5487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(5491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(5493),
    [anon_sym_BSLASHcolor] = ACTIONS(5495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(5495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(5495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(5495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(5495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(5497),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(5497),
    [anon_sym_BSLASHurl] = ACTIONS(5499),
    [anon_sym_BSLASHhref] = ACTIONS(5499),
  },
  [316] = {
    [sym_block_comment] = STATE(317),
    [sym__text_content] = STATE(317),
    [sym_curly_group] = STATE(317),
    [sym_text] = STATE(317),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(317),
    [sym_displayed_equation] = STATE(317),
    [sym_inline_formula] = STATE(317),
    [sym_math_delimiter] = STATE(317),
    [sym_text_mode] = STATE(317),
    [sym__command] = STATE(317),
    [sym_generic_command] = STATE(317),
    [sym_title_declaration] = STATE(317),
    [sym_author_declaration] = STATE(317),
    [sym_package_include] = STATE(317),
    [sym_class_include] = STATE(317),
    [sym_latex_include] = STATE(317),
    [sym_biblatex_include] = STATE(317),
    [sym_bibstyle_include] = STATE(317),
    [sym_bibtex_include] = STATE(317),
    [sym_graphics_include] = STATE(317),
    [sym_svg_include] = STATE(317),
    [sym_inkscape_include] = STATE(317),
    [sym_verbatim_include] = STATE(317),
    [sym_import_include] = STATE(317),
    [sym_caption] = STATE(317),
    [sym_citation] = STATE(317),
    [sym_label_definition] = STATE(317),
    [sym_label_reference] = STATE(317),
    [sym_label_reference_range] = STATE(317),
    [sym_label_number] = STATE(317),
    [sym_new_command_definition] = STATE(317),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(317),
    [sym_let_command_definition] = STATE(317),
    [sym_paired_delimiter_definition] = STATE(317),
    [sym_environment_definition] = STATE(317),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(317),
    [sym_glossary_entry_reference] = STATE(317),
    [sym_acronym_definition] = STATE(317),
    [sym_acronym_reference] = STATE(317),
    [sym_theorem_definition] = STATE(317),
    [sym_color_definition] = STATE(317),
    [sym_color_set_definition] = STATE(317),
    [sym_color_reference] = STATE(317),
    [sym_tikz_library_import] = STATE(317),
    [sym_hyperlink] = STATE(317),
    [aux_sym_curly_group_spec_repeat1] = STATE(317),
    [aux_sym_text_repeat1] = STATE(331),
    [sym_command_name] = ACTIONS(4812),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4814),
    [anon_sym_EQ] = ACTIONS(5715),
    [anon_sym_LPAREN] = ACTIONS(5715),
    [anon_sym_RPAREN] = ACTIONS(5715),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(5717),
    [sym_word] = ACTIONS(4822),
    [sym_placeholder] = ACTIONS(4824),
    [sym_delimiter] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_BANG] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4828),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym__] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5527),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5527),
    [anon_sym_DOLLAR] = ACTIONS(5529),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5531),
    [anon_sym_BSLASHleft] = ACTIONS(4840),
    [anon_sym_BSLASHbigl] = ACTIONS(4840),
    [anon_sym_BSLASHBigl] = ACTIONS(4840),
    [anon_sym_BSLASHbiggl] = ACTIONS(4840),
    [anon_sym_BSLASHBiggl] = ACTIONS(4840),
    [anon_sym_BSLASHtext] = ACTIONS(4842),
    [anon_sym_BSLASHintertext] = ACTIONS(4842),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4842),
    [anon_sym_BSLASHtitle] = ACTIONS(4844),
    [anon_sym_BSLASHauthor] = ACTIONS(4846),
    [anon_sym_BSLASHusepackage] = ACTIONS(4848),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4848),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4850),
    [anon_sym_BSLASHinclude] = ACTIONS(4852),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4852),
    [anon_sym_BSLASHinput] = ACTIONS(4852),
    [anon_sym_BSLASHsubfile] = ACTIONS(4852),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4856),
    [anon_sym_BSLASHbibliography] = ACTIONS(4858),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4860),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4862),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4866),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4866),
    [anon_sym_BSLASHimport] = ACTIONS(4868),
    [anon_sym_BSLASHsubimport] = ACTIONS(4868),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4868),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHcaption] = ACTIONS(4870),
    [anon_sym_BSLASHcite] = ACTIONS(4872),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCite] = ACTIONS(4872),
    [anon_sym_BSLASHnocite] = ACTIONS(4872),
    [anon_sym_BSLASHcitet] = ACTIONS(4872),
    [anon_sym_BSLASHcitep] = ACTIONS(4872),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteA] = ACTIONS(4872),
    [anon_sym_BSLASHciteR] = ACTIONS(4872),
    [anon_sym_BSLASHciteS] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4872),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteyear] = ACTIONS(4872),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitedate] = ACTIONS(4872),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteurl] = ACTIONS(4872),
    [anon_sym_BSLASHfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4872),
    [anon_sym_BSLASHcitealt] = ACTIONS(4872),
    [anon_sym_BSLASHcitealp] = ACTIONS(4872),
    [anon_sym_BSLASHcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHparencite] = ACTIONS(4872),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHParencite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHtextcite] = ACTIONS(4872),
    [anon_sym_BSLASHTextcite] = ACTIONS(4872),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHsupercite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite] = ACTIONS(4872),
    [anon_sym_BSLASHAutocite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHVolcite] = ACTIONS(4872),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHavolcite] = ACTIONS(4872),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHNotecite] = ACTIONS(4872),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHlabel] = ACTIONS(4876),
    [anon_sym_BSLASHref] = ACTIONS(4878),
    [anon_sym_BSLASHeqref] = ACTIONS(4878),
    [anon_sym_BSLASHvref] = ACTIONS(4878),
    [anon_sym_BSLASHVref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHpageref] = ACTIONS(4878),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHautopageref] = ACTIONS(4878),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcref] = ACTIONS(4878),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHCref] = ACTIONS(4878),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHCpageref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnameCref] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4886),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4888),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHdef] = ACTIONS(4896),
    [anon_sym_BSLASHgdef] = ACTIONS(4896),
    [anon_sym_BSLASHedef] = ACTIONS(4896),
    [anon_sym_BSLASHxdef] = ACTIONS(4896),
    [anon_sym_BSLASHlet] = ACTIONS(4898),
    [anon_sym_BSLASHglet] = ACTIONS(4898),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4900),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4900),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4908),
    [anon_sym_BSLASHgls] = ACTIONS(4910),
    [anon_sym_BSLASHGls] = ACTIONS(4910),
    [anon_sym_BSLASHGLS] = ACTIONS(4910),
    [anon_sym_BSLASHglspl] = ACTIONS(4910),
    [anon_sym_BSLASHGlspl] = ACTIONS(4910),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4910),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4910),
    [anon_sym_BSLASHglslink] = ACTIONS(4910),
    [anon_sym_BSLASHglstext] = ACTIONS(4910),
    [anon_sym_BSLASHGlstext] = ACTIONS(4910),
    [anon_sym_BSLASHGLStext] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4910),
    [anon_sym_BSLASHglsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsname] = ACTIONS(4910),
    [anon_sym_BSLASHGlsname] = ACTIONS(4910),
    [anon_sym_BSLASHGLSname] = ACTIONS(4910),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4910),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4912),
    [anon_sym_BSLASHacrshort] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4914),
    [anon_sym_BSLASHACRshort] = ACTIONS(4914),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrlong] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4914),
    [anon_sym_BSLASHACRlong] = ACTIONS(4914),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrfull] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4914),
    [anon_sym_BSLASHACRfull] = ACTIONS(4914),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHacs] = ACTIONS(4914),
    [anon_sym_BSLASHAcs] = ACTIONS(4914),
    [anon_sym_BSLASHacsp] = ACTIONS(4914),
    [anon_sym_BSLASHAcsp] = ACTIONS(4914),
    [anon_sym_BSLASHacl] = ACTIONS(4914),
    [anon_sym_BSLASHAcl] = ACTIONS(4914),
    [anon_sym_BSLASHaclp] = ACTIONS(4914),
    [anon_sym_BSLASHAclp] = ACTIONS(4914),
    [anon_sym_BSLASHacf] = ACTIONS(4914),
    [anon_sym_BSLASHAcf] = ACTIONS(4914),
    [anon_sym_BSLASHacfp] = ACTIONS(4914),
    [anon_sym_BSLASHAcfp] = ACTIONS(4914),
    [anon_sym_BSLASHac] = ACTIONS(4914),
    [anon_sym_BSLASHAc] = ACTIONS(4914),
    [anon_sym_BSLASHacp] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4916),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4916),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4920),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4922),
    [anon_sym_BSLASHcolor] = ACTIONS(4924),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4924),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4924),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4924),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4924),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4926),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4926),
    [anon_sym_BSLASHurl] = ACTIONS(4928),
    [anon_sym_BSLASHhref] = ACTIONS(4928),
  },
  [317] = {
    [sym_block_comment] = STATE(317),
    [sym__text_content] = STATE(317),
    [sym_curly_group] = STATE(317),
    [sym_text] = STATE(317),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__math_content] = STATE(317),
    [sym_displayed_equation] = STATE(317),
    [sym_inline_formula] = STATE(317),
    [sym_math_delimiter] = STATE(317),
    [sym_text_mode] = STATE(317),
    [sym__command] = STATE(317),
    [sym_generic_command] = STATE(317),
    [sym_title_declaration] = STATE(317),
    [sym_author_declaration] = STATE(317),
    [sym_package_include] = STATE(317),
    [sym_class_include] = STATE(317),
    [sym_latex_include] = STATE(317),
    [sym_biblatex_include] = STATE(317),
    [sym_bibstyle_include] = STATE(317),
    [sym_bibtex_include] = STATE(317),
    [sym_graphics_include] = STATE(317),
    [sym_svg_include] = STATE(317),
    [sym_inkscape_include] = STATE(317),
    [sym_verbatim_include] = STATE(317),
    [sym_import_include] = STATE(317),
    [sym_caption] = STATE(317),
    [sym_citation] = STATE(317),
    [sym_label_definition] = STATE(317),
    [sym_label_reference] = STATE(317),
    [sym_label_reference_range] = STATE(317),
    [sym_label_number] = STATE(317),
    [sym_new_command_definition] = STATE(317),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(317),
    [sym_let_command_definition] = STATE(317),
    [sym_paired_delimiter_definition] = STATE(317),
    [sym_environment_definition] = STATE(317),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(317),
    [sym_glossary_entry_reference] = STATE(317),
    [sym_acronym_definition] = STATE(317),
    [sym_acronym_reference] = STATE(317),
    [sym_theorem_definition] = STATE(317),
    [sym_color_definition] = STATE(317),
    [sym_color_set_definition] = STATE(317),
    [sym_color_reference] = STATE(317),
    [sym_tikz_library_import] = STATE(317),
    [sym_hyperlink] = STATE(317),
    [aux_sym_curly_group_spec_repeat1] = STATE(317),
    [aux_sym_text_repeat1] = STATE(331),
    [sym_command_name] = ACTIONS(5719),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(5722),
    [anon_sym_EQ] = ACTIONS(5725),
    [anon_sym_LPAREN] = ACTIONS(5725),
    [anon_sym_RPAREN] = ACTIONS(5725),
    [anon_sym_LBRACE] = ACTIONS(5728),
    [anon_sym_RBRACE] = ACTIONS(5731),
    [sym_word] = ACTIONS(5733),
    [sym_placeholder] = ACTIONS(5736),
    [sym_delimiter] = ACTIONS(5736),
    [anon_sym_PLUS] = ACTIONS(5739),
    [anon_sym_DASH] = ACTIONS(5739),
    [anon_sym_STAR] = ACTIONS(5739),
    [anon_sym_SLASH] = ACTIONS(5739),
    [anon_sym_LT] = ACTIONS(5742),
    [anon_sym_GT] = ACTIONS(5742),
    [anon_sym_BANG] = ACTIONS(5742),
    [anon_sym_PIPE] = ACTIONS(5742),
    [anon_sym_COLON] = ACTIONS(5742),
    [anon_sym_SQUOTE] = ACTIONS(5742),
    [anon_sym__] = ACTIONS(5745),
    [anon_sym_CARET] = ACTIONS(5748),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5751),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5751),
    [anon_sym_DOLLAR] = ACTIONS(5754),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5757),
    [anon_sym_BSLASHleft] = ACTIONS(5760),
    [anon_sym_BSLASHbigl] = ACTIONS(5760),
    [anon_sym_BSLASHBigl] = ACTIONS(5760),
    [anon_sym_BSLASHbiggl] = ACTIONS(5760),
    [anon_sym_BSLASHBiggl] = ACTIONS(5760),
    [anon_sym_BSLASHtext] = ACTIONS(5763),
    [anon_sym_BSLASHintertext] = ACTIONS(5763),
    [anon_sym_BSLASHshortintertext] = ACTIONS(5763),
    [anon_sym_BSLASHtitle] = ACTIONS(5766),
    [anon_sym_BSLASHauthor] = ACTIONS(5769),
    [anon_sym_BSLASHusepackage] = ACTIONS(5772),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(5772),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(5775),
    [anon_sym_BSLASHinclude] = ACTIONS(5778),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(5778),
    [anon_sym_BSLASHinput] = ACTIONS(5778),
    [anon_sym_BSLASHsubfile] = ACTIONS(5778),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(5781),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(5784),
    [anon_sym_BSLASHbibliography] = ACTIONS(5787),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(5790),
    [anon_sym_BSLASHincludesvg] = ACTIONS(5793),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(5796),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(5799),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(5799),
    [anon_sym_BSLASHimport] = ACTIONS(5802),
    [anon_sym_BSLASHsubimport] = ACTIONS(5802),
    [anon_sym_BSLASHinputfrom] = ACTIONS(5802),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(5802),
    [anon_sym_BSLASHincludefrom] = ACTIONS(5802),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(5802),
    [anon_sym_BSLASHcaption] = ACTIONS(5805),
    [anon_sym_BSLASHcite] = ACTIONS(5808),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(5811),
    [anon_sym_BSLASHCite] = ACTIONS(5808),
    [anon_sym_BSLASHnocite] = ACTIONS(5808),
    [anon_sym_BSLASHcitet] = ACTIONS(5808),
    [anon_sym_BSLASHcitep] = ACTIONS(5808),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(5811),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(5811),
    [anon_sym_BSLASHciteA] = ACTIONS(5808),
    [anon_sym_BSLASHciteR] = ACTIONS(5808),
    [anon_sym_BSLASHciteS] = ACTIONS(5808),
    [anon_sym_BSLASHciteyearR] = ACTIONS(5808),
    [anon_sym_BSLASHciteauthor] = ACTIONS(5808),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(5811),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(5808),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(5811),
    [anon_sym_BSLASHcitetitle] = ACTIONS(5808),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(5811),
    [anon_sym_BSLASHciteyear] = ACTIONS(5808),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(5811),
    [anon_sym_BSLASHcitedate] = ACTIONS(5808),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(5811),
    [anon_sym_BSLASHciteurl] = ACTIONS(5808),
    [anon_sym_BSLASHfullcite] = ACTIONS(5808),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(5808),
    [anon_sym_BSLASHcitealt] = ACTIONS(5808),
    [anon_sym_BSLASHcitealp] = ACTIONS(5808),
    [anon_sym_BSLASHcitetext] = ACTIONS(5808),
    [anon_sym_BSLASHparencite] = ACTIONS(5808),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(5811),
    [anon_sym_BSLASHParencite] = ACTIONS(5808),
    [anon_sym_BSLASHfootcite] = ACTIONS(5808),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(5808),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(5808),
    [anon_sym_BSLASHtextcite] = ACTIONS(5808),
    [anon_sym_BSLASHTextcite] = ACTIONS(5808),
    [anon_sym_BSLASHsmartcite] = ACTIONS(5808),
    [anon_sym_BSLASHSmartcite] = ACTIONS(5808),
    [anon_sym_BSLASHsupercite] = ACTIONS(5808),
    [anon_sym_BSLASHautocite] = ACTIONS(5808),
    [anon_sym_BSLASHAutocite] = ACTIONS(5808),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(5811),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(5811),
    [anon_sym_BSLASHvolcite] = ACTIONS(5808),
    [anon_sym_BSLASHVolcite] = ACTIONS(5808),
    [anon_sym_BSLASHpvolcite] = ACTIONS(5808),
    [anon_sym_BSLASHPvolcite] = ACTIONS(5808),
    [anon_sym_BSLASHfvolcite] = ACTIONS(5808),
    [anon_sym_BSLASHftvolcite] = ACTIONS(5808),
    [anon_sym_BSLASHsvolcite] = ACTIONS(5808),
    [anon_sym_BSLASHSvolcite] = ACTIONS(5808),
    [anon_sym_BSLASHtvolcite] = ACTIONS(5808),
    [anon_sym_BSLASHTvolcite] = ACTIONS(5808),
    [anon_sym_BSLASHavolcite] = ACTIONS(5808),
    [anon_sym_BSLASHAvolcite] = ACTIONS(5808),
    [anon_sym_BSLASHnotecite] = ACTIONS(5808),
    [anon_sym_BSLASHNotecite] = ACTIONS(5808),
    [anon_sym_BSLASHpnotecite] = ACTIONS(5808),
    [anon_sym_BSLASHPnotecite] = ACTIONS(5808),
    [anon_sym_BSLASHfnotecite] = ACTIONS(5808),
    [anon_sym_BSLASHlabel] = ACTIONS(5814),
    [anon_sym_BSLASHref] = ACTIONS(5817),
    [anon_sym_BSLASHeqref] = ACTIONS(5817),
    [anon_sym_BSLASHvref] = ACTIONS(5817),
    [anon_sym_BSLASHVref] = ACTIONS(5817),
    [anon_sym_BSLASHautoref] = ACTIONS(5817),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(5820),
    [anon_sym_BSLASHpageref] = ACTIONS(5817),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(5820),
    [anon_sym_BSLASHautopageref] = ACTIONS(5817),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(5820),
    [anon_sym_BSLASHcref] = ACTIONS(5817),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(5820),
    [anon_sym_BSLASHCref] = ACTIONS(5817),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(5820),
    [anon_sym_BSLASHcpageref] = ACTIONS(5817),
    [anon_sym_BSLASHCpageref] = ACTIONS(5817),
    [anon_sym_BSLASHnamecref] = ACTIONS(5817),
    [anon_sym_BSLASHnameCref] = ACTIONS(5817),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(5817),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(5817),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(5817),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(5817),
    [anon_sym_BSLASHlabelcref] = ACTIONS(5817),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(5820),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(5817),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(5820),
    [anon_sym_BSLASHcrefrange] = ACTIONS(5823),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(5826),
    [anon_sym_BSLASHCrefrange] = ACTIONS(5823),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(5826),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(5823),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(5823),
    [anon_sym_BSLASHnewlabel] = ACTIONS(5829),
    [anon_sym_BSLASHnewcommand] = ACTIONS(5832),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(5835),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(5832),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(5835),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(5832),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(5835),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(5832),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(5835),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(5832),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(5835),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(5838),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(5838),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(5838),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(5838),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(5838),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(5838),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(5838),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(5838),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(5841),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(5841),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(5841),
    [anon_sym_BSLASHdef] = ACTIONS(5844),
    [anon_sym_BSLASHgdef] = ACTIONS(5844),
    [anon_sym_BSLASHedef] = ACTIONS(5844),
    [anon_sym_BSLASHxdef] = ACTIONS(5844),
    [anon_sym_BSLASHlet] = ACTIONS(5847),
    [anon_sym_BSLASHglet] = ACTIONS(5847),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(5850),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(5850),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(5853),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(5853),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(5856),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(5856),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(5856),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(5856),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(5859),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(5859),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(5859),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(5862),
    [anon_sym_BSLASHgls] = ACTIONS(5865),
    [anon_sym_BSLASHGls] = ACTIONS(5865),
    [anon_sym_BSLASHGLS] = ACTIONS(5865),
    [anon_sym_BSLASHglspl] = ACTIONS(5865),
    [anon_sym_BSLASHGlspl] = ACTIONS(5865),
    [anon_sym_BSLASHGLSpl] = ACTIONS(5865),
    [anon_sym_BSLASHglsdisp] = ACTIONS(5865),
    [anon_sym_BSLASHglslink] = ACTIONS(5865),
    [anon_sym_BSLASHglstext] = ACTIONS(5865),
    [anon_sym_BSLASHGlstext] = ACTIONS(5865),
    [anon_sym_BSLASHGLStext] = ACTIONS(5865),
    [anon_sym_BSLASHglsfirst] = ACTIONS(5865),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(5865),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(5865),
    [anon_sym_BSLASHglsplural] = ACTIONS(5865),
    [anon_sym_BSLASHGlsplural] = ACTIONS(5865),
    [anon_sym_BSLASHGLSplural] = ACTIONS(5865),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(5865),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(5865),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(5865),
    [anon_sym_BSLASHglsname] = ACTIONS(5865),
    [anon_sym_BSLASHGlsname] = ACTIONS(5865),
    [anon_sym_BSLASHGLSname] = ACTIONS(5865),
    [anon_sym_BSLASHglssymbol] = ACTIONS(5865),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(5865),
    [anon_sym_BSLASHglsdesc] = ACTIONS(5865),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(5865),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(5865),
    [anon_sym_BSLASHglsuseri] = ACTIONS(5865),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(5865),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(5865),
    [anon_sym_BSLASHglsuserii] = ACTIONS(5865),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(5865),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(5865),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(5865),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(5865),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(5865),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(5865),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(5865),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(5865),
    [anon_sym_BSLASHglsuserv] = ACTIONS(5865),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(5865),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(5865),
    [anon_sym_BSLASHglsuservi] = ACTIONS(5865),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(5865),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(5865),
    [anon_sym_BSLASHnewacronym] = ACTIONS(5868),
    [anon_sym_BSLASHacrshort] = ACTIONS(5871),
    [anon_sym_BSLASHAcrshort] = ACTIONS(5871),
    [anon_sym_BSLASHACRshort] = ACTIONS(5871),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(5871),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(5871),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(5871),
    [anon_sym_BSLASHacrlong] = ACTIONS(5871),
    [anon_sym_BSLASHAcrlong] = ACTIONS(5871),
    [anon_sym_BSLASHACRlong] = ACTIONS(5871),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(5871),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(5871),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(5871),
    [anon_sym_BSLASHacrfull] = ACTIONS(5871),
    [anon_sym_BSLASHAcrfull] = ACTIONS(5871),
    [anon_sym_BSLASHACRfull] = ACTIONS(5871),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(5871),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(5871),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(5871),
    [anon_sym_BSLASHacs] = ACTIONS(5871),
    [anon_sym_BSLASHAcs] = ACTIONS(5871),
    [anon_sym_BSLASHacsp] = ACTIONS(5871),
    [anon_sym_BSLASHAcsp] = ACTIONS(5871),
    [anon_sym_BSLASHacl] = ACTIONS(5871),
    [anon_sym_BSLASHAcl] = ACTIONS(5871),
    [anon_sym_BSLASHaclp] = ACTIONS(5871),
    [anon_sym_BSLASHAclp] = ACTIONS(5871),
    [anon_sym_BSLASHacf] = ACTIONS(5871),
    [anon_sym_BSLASHAcf] = ACTIONS(5871),
    [anon_sym_BSLASHacfp] = ACTIONS(5871),
    [anon_sym_BSLASHAcfp] = ACTIONS(5871),
    [anon_sym_BSLASHac] = ACTIONS(5871),
    [anon_sym_BSLASHAc] = ACTIONS(5871),
    [anon_sym_BSLASHacp] = ACTIONS(5871),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(5871),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(5871),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(5871),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(5871),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(5871),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(5871),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(5871),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(5871),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(5871),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(5871),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(5874),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(5877),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(5874),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(5877),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(5880),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(5883),
    [anon_sym_BSLASHcolor] = ACTIONS(5886),
    [anon_sym_BSLASHpagecolor] = ACTIONS(5886),
    [anon_sym_BSLASHtextcolor] = ACTIONS(5886),
    [anon_sym_BSLASHmathcolor] = ACTIONS(5886),
    [anon_sym_BSLASHcolorbox] = ACTIONS(5886),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(5889),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(5889),
    [anon_sym_BSLASHurl] = ACTIONS(5892),
    [anon_sym_BSLASHhref] = ACTIONS(5892),
  },
  [318] = {
    [sym_block_comment] = STATE(2161),
    [sym__text_content] = STATE(2161),
    [sym_curly_group] = STATE(2161),
    [sym_text] = STATE(2161),
    [sym_operator] = STATE(2147),
    [sym_subscript] = STATE(2147),
    [sym_superscript] = STATE(2147),
    [sym__math_content] = STATE(2161),
    [sym_displayed_equation] = STATE(2161),
    [sym_inline_formula] = STATE(2161),
    [sym_math_delimiter] = STATE(2161),
    [sym_text_mode] = STATE(2161),
    [sym__command] = STATE(2161),
    [sym_generic_command] = STATE(2161),
    [sym_title_declaration] = STATE(2161),
    [sym_author_declaration] = STATE(2161),
    [sym_package_include] = STATE(2161),
    [sym_class_include] = STATE(2161),
    [sym_latex_include] = STATE(2161),
    [sym_biblatex_include] = STATE(2161),
    [sym_bibstyle_include] = STATE(2161),
    [sym_bibtex_include] = STATE(2161),
    [sym_graphics_include] = STATE(2161),
    [sym_svg_include] = STATE(2161),
    [sym_inkscape_include] = STATE(2161),
    [sym_verbatim_include] = STATE(2161),
    [sym_import_include] = STATE(2161),
    [sym_caption] = STATE(2161),
    [sym_citation] = STATE(2161),
    [sym_label_definition] = STATE(2161),
    [sym_label_reference] = STATE(2161),
    [sym_label_reference_range] = STATE(2161),
    [sym_label_number] = STATE(2161),
    [sym_new_command_definition] = STATE(2161),
    [sym__new_command_definition] = STATE(2170),
    [sym__newer_command_definition] = STATE(2171),
    [sym__new_command_copy] = STATE(2172),
    [sym_old_command_definition] = STATE(2161),
    [sym_let_command_definition] = STATE(2161),
    [sym_paired_delimiter_definition] = STATE(2161),
    [sym_environment_definition] = STATE(2161),
    [sym__environment_definition] = STATE(2173),
    [sym__newer_environment_definition] = STATE(2174),
    [sym__new_environment_copy] = STATE(2175),
    [sym_glossary_entry_definition] = STATE(2161),
    [sym_glossary_entry_reference] = STATE(2161),
    [sym_acronym_definition] = STATE(2161),
    [sym_acronym_reference] = STATE(2161),
    [sym_theorem_definition] = STATE(2161),
    [sym_color_definition] = STATE(2161),
    [sym_color_set_definition] = STATE(2161),
    [sym_color_reference] = STATE(2161),
    [sym_tikz_library_import] = STATE(2161),
    [sym_hyperlink] = STATE(2161),
    [aux_sym_curly_group_author_list_repeat1] = STATE(302),
    [aux_sym_text_repeat1] = STATE(335),
    [sym_command_name] = ACTIONS(5381),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(5383),
    [anon_sym_LPAREN] = ACTIONS(5385),
    [anon_sym_RPAREN] = ACTIONS(5385),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(5895),
    [sym_word] = ACTIONS(5393),
    [sym_placeholder] = ACTIONS(5395),
    [sym_delimiter] = ACTIONS(5395),
    [anon_sym_PLUS] = ACTIONS(5397),
    [anon_sym_DASH] = ACTIONS(5397),
    [anon_sym_STAR] = ACTIONS(5397),
    [anon_sym_SLASH] = ACTIONS(5397),
    [anon_sym_LT] = ACTIONS(5399),
    [anon_sym_GT] = ACTIONS(5399),
    [anon_sym_BANG] = ACTIONS(5399),
    [anon_sym_PIPE] = ACTIONS(5399),
    [anon_sym_COLON] = ACTIONS(5399),
    [anon_sym_SQUOTE] = ACTIONS(5399),
    [anon_sym__] = ACTIONS(5401),
    [anon_sym_CARET] = ACTIONS(5403),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5405),
    [anon_sym_DOLLAR] = ACTIONS(5407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5409),
    [anon_sym_BSLASHleft] = ACTIONS(5411),
    [anon_sym_BSLASHbigl] = ACTIONS(5411),
    [anon_sym_BSLASHBigl] = ACTIONS(5411),
    [anon_sym_BSLASHbiggl] = ACTIONS(5411),
    [anon_sym_BSLASHBiggl] = ACTIONS(5411),
    [anon_sym_BSLASHtext] = ACTIONS(5413),
    [anon_sym_BSLASHintertext] = ACTIONS(5413),
    [anon_sym_BSLASHshortintertext] = ACTIONS(5413),
    [anon_sym_BSLASHtitle] = ACTIONS(5415),
    [anon_sym_BSLASHauthor] = ACTIONS(5417),
    [anon_sym_BSLASHusepackage] = ACTIONS(5419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(5419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(5421),
    [anon_sym_BSLASHinclude] = ACTIONS(5423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(5423),
    [anon_sym_BSLASHinput] = ACTIONS(5423),
    [anon_sym_BSLASHsubfile] = ACTIONS(5423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(5425),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(5427),
    [anon_sym_BSLASHbibliography] = ACTIONS(5429),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(5431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(5433),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(5435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(5437),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(5437),
    [anon_sym_BSLASHimport] = ACTIONS(5439),
    [anon_sym_BSLASHsubimport] = ACTIONS(5439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(5439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHcaption] = ACTIONS(5441),
    [anon_sym_BSLASHcite] = ACTIONS(5443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCite] = ACTIONS(5443),
    [anon_sym_BSLASHnocite] = ACTIONS(5443),
    [anon_sym_BSLASHcitet] = ACTIONS(5443),
    [anon_sym_BSLASHcitep] = ACTIONS(5443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteA] = ACTIONS(5443),
    [anon_sym_BSLASHciteR] = ACTIONS(5443),
    [anon_sym_BSLASHciteS] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(5443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteyear] = ACTIONS(5443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitedate] = ACTIONS(5443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteurl] = ACTIONS(5443),
    [anon_sym_BSLASHfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(5443),
    [anon_sym_BSLASHcitealt] = ACTIONS(5443),
    [anon_sym_BSLASHcitealp] = ACTIONS(5443),
    [anon_sym_BSLASHcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHparencite] = ACTIONS(5443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHParencite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHtextcite] = ACTIONS(5443),
    [anon_sym_BSLASHTextcite] = ACTIONS(5443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHsupercite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite] = ACTIONS(5443),
    [anon_sym_BSLASHAutocite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHVolcite] = ACTIONS(5443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHavolcite] = ACTIONS(5443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHNotecite] = ACTIONS(5443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHlabel] = ACTIONS(5447),
    [anon_sym_BSLASHref] = ACTIONS(5449),
    [anon_sym_BSLASHeqref] = ACTIONS(5449),
    [anon_sym_BSLASHvref] = ACTIONS(5449),
    [anon_sym_BSLASHVref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHpageref] = ACTIONS(5449),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHautopageref] = ACTIONS(5449),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcref] = ACTIONS(5449),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHCref] = ACTIONS(5449),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHCpageref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnameCref] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHCrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHnewlabel] = ACTIONS(5457),
    [anon_sym_BSLASHnewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(5459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHdef] = ACTIONS(5467),
    [anon_sym_BSLASHgdef] = ACTIONS(5467),
    [anon_sym_BSLASHedef] = ACTIONS(5467),
    [anon_sym_BSLASHxdef] = ACTIONS(5467),
    [anon_sym_BSLASHlet] = ACTIONS(5469),
    [anon_sym_BSLASHglet] = ACTIONS(5469),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(5471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(5471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(5479),
    [anon_sym_BSLASHgls] = ACTIONS(5481),
    [anon_sym_BSLASHGls] = ACTIONS(5481),
    [anon_sym_BSLASHGLS] = ACTIONS(5481),
    [anon_sym_BSLASHglspl] = ACTIONS(5481),
    [anon_sym_BSLASHGlspl] = ACTIONS(5481),
    [anon_sym_BSLASHGLSpl] = ACTIONS(5481),
    [anon_sym_BSLASHglsdisp] = ACTIONS(5481),
    [anon_sym_BSLASHglslink] = ACTIONS(5481),
    [anon_sym_BSLASHglstext] = ACTIONS(5481),
    [anon_sym_BSLASHGlstext] = ACTIONS(5481),
    [anon_sym_BSLASHGLStext] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(5481),
    [anon_sym_BSLASHglsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsname] = ACTIONS(5481),
    [anon_sym_BSLASHGlsname] = ACTIONS(5481),
    [anon_sym_BSLASHGLSname] = ACTIONS(5481),
    [anon_sym_BSLASHglssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHglsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(5481),
    [anon_sym_BSLASHnewacronym] = ACTIONS(5483),
    [anon_sym_BSLASHacrshort] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshort] = ACTIONS(5485),
    [anon_sym_BSLASHACRshort] = ACTIONS(5485),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrlong] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlong] = ACTIONS(5485),
    [anon_sym_BSLASHACRlong] = ACTIONS(5485),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrfull] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfull] = ACTIONS(5485),
    [anon_sym_BSLASHACRfull] = ACTIONS(5485),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHacs] = ACTIONS(5485),
    [anon_sym_BSLASHAcs] = ACTIONS(5485),
    [anon_sym_BSLASHacsp] = ACTIONS(5485),
    [anon_sym_BSLASHAcsp] = ACTIONS(5485),
    [anon_sym_BSLASHacl] = ACTIONS(5485),
    [anon_sym_BSLASHAcl] = ACTIONS(5485),
    [anon_sym_BSLASHaclp] = ACTIONS(5485),
    [anon_sym_BSLASHAclp] = ACTIONS(5485),
    [anon_sym_BSLASHacf] = ACTIONS(5485),
    [anon_sym_BSLASHAcf] = ACTIONS(5485),
    [anon_sym_BSLASHacfp] = ACTIONS(5485),
    [anon_sym_BSLASHAcfp] = ACTIONS(5485),
    [anon_sym_BSLASHac] = ACTIONS(5485),
    [anon_sym_BSLASHAc] = ACTIONS(5485),
    [anon_sym_BSLASHacp] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(5487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(5487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(5491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(5493),
    [anon_sym_BSLASHcolor] = ACTIONS(5495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(5495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(5495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(5495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(5495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(5497),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(5497),
    [anon_sym_BSLASHurl] = ACTIONS(5499),
    [anon_sym_BSLASHhref] = ACTIONS(5499),
  },
  [319] = {
    [sym_block_comment] = STATE(2161),
    [sym__text_content] = STATE(2161),
    [sym_curly_group] = STATE(2161),
    [sym_text] = STATE(2161),
    [sym_operator] = STATE(2147),
    [sym_subscript] = STATE(2147),
    [sym_superscript] = STATE(2147),
    [sym__math_content] = STATE(2161),
    [sym_displayed_equation] = STATE(2161),
    [sym_inline_formula] = STATE(2161),
    [sym_math_delimiter] = STATE(2161),
    [sym_text_mode] = STATE(2161),
    [sym__command] = STATE(2161),
    [sym_generic_command] = STATE(2161),
    [sym_title_declaration] = STATE(2161),
    [sym_author_declaration] = STATE(2161),
    [sym_package_include] = STATE(2161),
    [sym_class_include] = STATE(2161),
    [sym_latex_include] = STATE(2161),
    [sym_biblatex_include] = STATE(2161),
    [sym_bibstyle_include] = STATE(2161),
    [sym_bibtex_include] = STATE(2161),
    [sym_graphics_include] = STATE(2161),
    [sym_svg_include] = STATE(2161),
    [sym_inkscape_include] = STATE(2161),
    [sym_verbatim_include] = STATE(2161),
    [sym_import_include] = STATE(2161),
    [sym_caption] = STATE(2161),
    [sym_citation] = STATE(2161),
    [sym_label_definition] = STATE(2161),
    [sym_label_reference] = STATE(2161),
    [sym_label_reference_range] = STATE(2161),
    [sym_label_number] = STATE(2161),
    [sym_new_command_definition] = STATE(2161),
    [sym__new_command_definition] = STATE(2170),
    [sym__newer_command_definition] = STATE(2171),
    [sym__new_command_copy] = STATE(2172),
    [sym_old_command_definition] = STATE(2161),
    [sym_let_command_definition] = STATE(2161),
    [sym_paired_delimiter_definition] = STATE(2161),
    [sym_environment_definition] = STATE(2161),
    [sym__environment_definition] = STATE(2173),
    [sym__newer_environment_definition] = STATE(2174),
    [sym__new_environment_copy] = STATE(2175),
    [sym_glossary_entry_definition] = STATE(2161),
    [sym_glossary_entry_reference] = STATE(2161),
    [sym_acronym_definition] = STATE(2161),
    [sym_acronym_reference] = STATE(2161),
    [sym_theorem_definition] = STATE(2161),
    [sym_color_definition] = STATE(2161),
    [sym_color_set_definition] = STATE(2161),
    [sym_color_reference] = STATE(2161),
    [sym_tikz_library_import] = STATE(2161),
    [sym_hyperlink] = STATE(2161),
    [aux_sym_curly_group_author_list_repeat1] = STATE(308),
    [aux_sym_text_repeat1] = STATE(335),
    [sym_command_name] = ACTIONS(5381),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(5383),
    [anon_sym_LPAREN] = ACTIONS(5385),
    [anon_sym_RPAREN] = ACTIONS(5385),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(5897),
    [sym_word] = ACTIONS(5393),
    [sym_placeholder] = ACTIONS(5395),
    [sym_delimiter] = ACTIONS(5395),
    [anon_sym_PLUS] = ACTIONS(5397),
    [anon_sym_DASH] = ACTIONS(5397),
    [anon_sym_STAR] = ACTIONS(5397),
    [anon_sym_SLASH] = ACTIONS(5397),
    [anon_sym_LT] = ACTIONS(5399),
    [anon_sym_GT] = ACTIONS(5399),
    [anon_sym_BANG] = ACTIONS(5399),
    [anon_sym_PIPE] = ACTIONS(5399),
    [anon_sym_COLON] = ACTIONS(5399),
    [anon_sym_SQUOTE] = ACTIONS(5399),
    [anon_sym__] = ACTIONS(5401),
    [anon_sym_CARET] = ACTIONS(5403),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5405),
    [anon_sym_DOLLAR] = ACTIONS(5407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5409),
    [anon_sym_BSLASHleft] = ACTIONS(5411),
    [anon_sym_BSLASHbigl] = ACTIONS(5411),
    [anon_sym_BSLASHBigl] = ACTIONS(5411),
    [anon_sym_BSLASHbiggl] = ACTIONS(5411),
    [anon_sym_BSLASHBiggl] = ACTIONS(5411),
    [anon_sym_BSLASHtext] = ACTIONS(5413),
    [anon_sym_BSLASHintertext] = ACTIONS(5413),
    [anon_sym_BSLASHshortintertext] = ACTIONS(5413),
    [anon_sym_BSLASHtitle] = ACTIONS(5415),
    [anon_sym_BSLASHauthor] = ACTIONS(5417),
    [anon_sym_BSLASHusepackage] = ACTIONS(5419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(5419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(5421),
    [anon_sym_BSLASHinclude] = ACTIONS(5423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(5423),
    [anon_sym_BSLASHinput] = ACTIONS(5423),
    [anon_sym_BSLASHsubfile] = ACTIONS(5423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(5425),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(5427),
    [anon_sym_BSLASHbibliography] = ACTIONS(5429),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(5431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(5433),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(5435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(5437),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(5437),
    [anon_sym_BSLASHimport] = ACTIONS(5439),
    [anon_sym_BSLASHsubimport] = ACTIONS(5439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(5439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHcaption] = ACTIONS(5441),
    [anon_sym_BSLASHcite] = ACTIONS(5443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCite] = ACTIONS(5443),
    [anon_sym_BSLASHnocite] = ACTIONS(5443),
    [anon_sym_BSLASHcitet] = ACTIONS(5443),
    [anon_sym_BSLASHcitep] = ACTIONS(5443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteA] = ACTIONS(5443),
    [anon_sym_BSLASHciteR] = ACTIONS(5443),
    [anon_sym_BSLASHciteS] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(5443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteyear] = ACTIONS(5443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitedate] = ACTIONS(5443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteurl] = ACTIONS(5443),
    [anon_sym_BSLASHfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(5443),
    [anon_sym_BSLASHcitealt] = ACTIONS(5443),
    [anon_sym_BSLASHcitealp] = ACTIONS(5443),
    [anon_sym_BSLASHcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHparencite] = ACTIONS(5443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHParencite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHtextcite] = ACTIONS(5443),
    [anon_sym_BSLASHTextcite] = ACTIONS(5443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHsupercite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite] = ACTIONS(5443),
    [anon_sym_BSLASHAutocite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHVolcite] = ACTIONS(5443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHavolcite] = ACTIONS(5443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHNotecite] = ACTIONS(5443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHlabel] = ACTIONS(5447),
    [anon_sym_BSLASHref] = ACTIONS(5449),
    [anon_sym_BSLASHeqref] = ACTIONS(5449),
    [anon_sym_BSLASHvref] = ACTIONS(5449),
    [anon_sym_BSLASHVref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHpageref] = ACTIONS(5449),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHautopageref] = ACTIONS(5449),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcref] = ACTIONS(5449),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHCref] = ACTIONS(5449),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHCpageref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnameCref] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHCrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHnewlabel] = ACTIONS(5457),
    [anon_sym_BSLASHnewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(5459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHdef] = ACTIONS(5467),
    [anon_sym_BSLASHgdef] = ACTIONS(5467),
    [anon_sym_BSLASHedef] = ACTIONS(5467),
    [anon_sym_BSLASHxdef] = ACTIONS(5467),
    [anon_sym_BSLASHlet] = ACTIONS(5469),
    [anon_sym_BSLASHglet] = ACTIONS(5469),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(5471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(5471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(5479),
    [anon_sym_BSLASHgls] = ACTIONS(5481),
    [anon_sym_BSLASHGls] = ACTIONS(5481),
    [anon_sym_BSLASHGLS] = ACTIONS(5481),
    [anon_sym_BSLASHglspl] = ACTIONS(5481),
    [anon_sym_BSLASHGlspl] = ACTIONS(5481),
    [anon_sym_BSLASHGLSpl] = ACTIONS(5481),
    [anon_sym_BSLASHglsdisp] = ACTIONS(5481),
    [anon_sym_BSLASHglslink] = ACTIONS(5481),
    [anon_sym_BSLASHglstext] = ACTIONS(5481),
    [anon_sym_BSLASHGlstext] = ACTIONS(5481),
    [anon_sym_BSLASHGLStext] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(5481),
    [anon_sym_BSLASHglsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsname] = ACTIONS(5481),
    [anon_sym_BSLASHGlsname] = ACTIONS(5481),
    [anon_sym_BSLASHGLSname] = ACTIONS(5481),
    [anon_sym_BSLASHglssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHglsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(5481),
    [anon_sym_BSLASHnewacronym] = ACTIONS(5483),
    [anon_sym_BSLASHacrshort] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshort] = ACTIONS(5485),
    [anon_sym_BSLASHACRshort] = ACTIONS(5485),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrlong] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlong] = ACTIONS(5485),
    [anon_sym_BSLASHACRlong] = ACTIONS(5485),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrfull] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfull] = ACTIONS(5485),
    [anon_sym_BSLASHACRfull] = ACTIONS(5485),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHacs] = ACTIONS(5485),
    [anon_sym_BSLASHAcs] = ACTIONS(5485),
    [anon_sym_BSLASHacsp] = ACTIONS(5485),
    [anon_sym_BSLASHAcsp] = ACTIONS(5485),
    [anon_sym_BSLASHacl] = ACTIONS(5485),
    [anon_sym_BSLASHAcl] = ACTIONS(5485),
    [anon_sym_BSLASHaclp] = ACTIONS(5485),
    [anon_sym_BSLASHAclp] = ACTIONS(5485),
    [anon_sym_BSLASHacf] = ACTIONS(5485),
    [anon_sym_BSLASHAcf] = ACTIONS(5485),
    [anon_sym_BSLASHacfp] = ACTIONS(5485),
    [anon_sym_BSLASHAcfp] = ACTIONS(5485),
    [anon_sym_BSLASHac] = ACTIONS(5485),
    [anon_sym_BSLASHAc] = ACTIONS(5485),
    [anon_sym_BSLASHacp] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(5487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(5487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(5491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(5493),
    [anon_sym_BSLASHcolor] = ACTIONS(5495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(5495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(5495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(5495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(5495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(5497),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(5497),
    [anon_sym_BSLASHurl] = ACTIONS(5499),
    [anon_sym_BSLASHhref] = ACTIONS(5499),
  },
  [320] = {
    [sym_block_comment] = STATE(2161),
    [sym__text_content] = STATE(2161),
    [sym_curly_group] = STATE(2161),
    [sym_text] = STATE(2161),
    [sym_operator] = STATE(2147),
    [sym_subscript] = STATE(2147),
    [sym_superscript] = STATE(2147),
    [sym__math_content] = STATE(2161),
    [sym_displayed_equation] = STATE(2161),
    [sym_inline_formula] = STATE(2161),
    [sym_math_delimiter] = STATE(2161),
    [sym_text_mode] = STATE(2161),
    [sym__command] = STATE(2161),
    [sym_generic_command] = STATE(2161),
    [sym_title_declaration] = STATE(2161),
    [sym_author_declaration] = STATE(2161),
    [sym_package_include] = STATE(2161),
    [sym_class_include] = STATE(2161),
    [sym_latex_include] = STATE(2161),
    [sym_biblatex_include] = STATE(2161),
    [sym_bibstyle_include] = STATE(2161),
    [sym_bibtex_include] = STATE(2161),
    [sym_graphics_include] = STATE(2161),
    [sym_svg_include] = STATE(2161),
    [sym_inkscape_include] = STATE(2161),
    [sym_verbatim_include] = STATE(2161),
    [sym_import_include] = STATE(2161),
    [sym_caption] = STATE(2161),
    [sym_citation] = STATE(2161),
    [sym_label_definition] = STATE(2161),
    [sym_label_reference] = STATE(2161),
    [sym_label_reference_range] = STATE(2161),
    [sym_label_number] = STATE(2161),
    [sym_new_command_definition] = STATE(2161),
    [sym__new_command_definition] = STATE(2170),
    [sym__newer_command_definition] = STATE(2171),
    [sym__new_command_copy] = STATE(2172),
    [sym_old_command_definition] = STATE(2161),
    [sym_let_command_definition] = STATE(2161),
    [sym_paired_delimiter_definition] = STATE(2161),
    [sym_environment_definition] = STATE(2161),
    [sym__environment_definition] = STATE(2173),
    [sym__newer_environment_definition] = STATE(2174),
    [sym__new_environment_copy] = STATE(2175),
    [sym_glossary_entry_definition] = STATE(2161),
    [sym_glossary_entry_reference] = STATE(2161),
    [sym_acronym_definition] = STATE(2161),
    [sym_acronym_reference] = STATE(2161),
    [sym_theorem_definition] = STATE(2161),
    [sym_color_definition] = STATE(2161),
    [sym_color_set_definition] = STATE(2161),
    [sym_color_reference] = STATE(2161),
    [sym_tikz_library_import] = STATE(2161),
    [sym_hyperlink] = STATE(2161),
    [aux_sym_curly_group_author_list_repeat1] = STATE(310),
    [aux_sym_text_repeat1] = STATE(335),
    [sym_command_name] = ACTIONS(5381),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(5383),
    [anon_sym_LPAREN] = ACTIONS(5385),
    [anon_sym_RPAREN] = ACTIONS(5385),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(5899),
    [sym_word] = ACTIONS(5393),
    [sym_placeholder] = ACTIONS(5395),
    [sym_delimiter] = ACTIONS(5395),
    [anon_sym_PLUS] = ACTIONS(5397),
    [anon_sym_DASH] = ACTIONS(5397),
    [anon_sym_STAR] = ACTIONS(5397),
    [anon_sym_SLASH] = ACTIONS(5397),
    [anon_sym_LT] = ACTIONS(5399),
    [anon_sym_GT] = ACTIONS(5399),
    [anon_sym_BANG] = ACTIONS(5399),
    [anon_sym_PIPE] = ACTIONS(5399),
    [anon_sym_COLON] = ACTIONS(5399),
    [anon_sym_SQUOTE] = ACTIONS(5399),
    [anon_sym__] = ACTIONS(5401),
    [anon_sym_CARET] = ACTIONS(5403),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5405),
    [anon_sym_DOLLAR] = ACTIONS(5407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5409),
    [anon_sym_BSLASHleft] = ACTIONS(5411),
    [anon_sym_BSLASHbigl] = ACTIONS(5411),
    [anon_sym_BSLASHBigl] = ACTIONS(5411),
    [anon_sym_BSLASHbiggl] = ACTIONS(5411),
    [anon_sym_BSLASHBiggl] = ACTIONS(5411),
    [anon_sym_BSLASHtext] = ACTIONS(5413),
    [anon_sym_BSLASHintertext] = ACTIONS(5413),
    [anon_sym_BSLASHshortintertext] = ACTIONS(5413),
    [anon_sym_BSLASHtitle] = ACTIONS(5415),
    [anon_sym_BSLASHauthor] = ACTIONS(5417),
    [anon_sym_BSLASHusepackage] = ACTIONS(5419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(5419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(5421),
    [anon_sym_BSLASHinclude] = ACTIONS(5423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(5423),
    [anon_sym_BSLASHinput] = ACTIONS(5423),
    [anon_sym_BSLASHsubfile] = ACTIONS(5423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(5425),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(5427),
    [anon_sym_BSLASHbibliography] = ACTIONS(5429),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(5431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(5433),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(5435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(5437),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(5437),
    [anon_sym_BSLASHimport] = ACTIONS(5439),
    [anon_sym_BSLASHsubimport] = ACTIONS(5439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(5439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHcaption] = ACTIONS(5441),
    [anon_sym_BSLASHcite] = ACTIONS(5443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCite] = ACTIONS(5443),
    [anon_sym_BSLASHnocite] = ACTIONS(5443),
    [anon_sym_BSLASHcitet] = ACTIONS(5443),
    [anon_sym_BSLASHcitep] = ACTIONS(5443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteA] = ACTIONS(5443),
    [anon_sym_BSLASHciteR] = ACTIONS(5443),
    [anon_sym_BSLASHciteS] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(5443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteyear] = ACTIONS(5443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitedate] = ACTIONS(5443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteurl] = ACTIONS(5443),
    [anon_sym_BSLASHfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(5443),
    [anon_sym_BSLASHcitealt] = ACTIONS(5443),
    [anon_sym_BSLASHcitealp] = ACTIONS(5443),
    [anon_sym_BSLASHcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHparencite] = ACTIONS(5443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHParencite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHtextcite] = ACTIONS(5443),
    [anon_sym_BSLASHTextcite] = ACTIONS(5443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHsupercite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite] = ACTIONS(5443),
    [anon_sym_BSLASHAutocite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHVolcite] = ACTIONS(5443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHavolcite] = ACTIONS(5443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHNotecite] = ACTIONS(5443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHlabel] = ACTIONS(5447),
    [anon_sym_BSLASHref] = ACTIONS(5449),
    [anon_sym_BSLASHeqref] = ACTIONS(5449),
    [anon_sym_BSLASHvref] = ACTIONS(5449),
    [anon_sym_BSLASHVref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHpageref] = ACTIONS(5449),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHautopageref] = ACTIONS(5449),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcref] = ACTIONS(5449),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHCref] = ACTIONS(5449),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHCpageref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnameCref] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHCrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHnewlabel] = ACTIONS(5457),
    [anon_sym_BSLASHnewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(5459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHdef] = ACTIONS(5467),
    [anon_sym_BSLASHgdef] = ACTIONS(5467),
    [anon_sym_BSLASHedef] = ACTIONS(5467),
    [anon_sym_BSLASHxdef] = ACTIONS(5467),
    [anon_sym_BSLASHlet] = ACTIONS(5469),
    [anon_sym_BSLASHglet] = ACTIONS(5469),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(5471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(5471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(5479),
    [anon_sym_BSLASHgls] = ACTIONS(5481),
    [anon_sym_BSLASHGls] = ACTIONS(5481),
    [anon_sym_BSLASHGLS] = ACTIONS(5481),
    [anon_sym_BSLASHglspl] = ACTIONS(5481),
    [anon_sym_BSLASHGlspl] = ACTIONS(5481),
    [anon_sym_BSLASHGLSpl] = ACTIONS(5481),
    [anon_sym_BSLASHglsdisp] = ACTIONS(5481),
    [anon_sym_BSLASHglslink] = ACTIONS(5481),
    [anon_sym_BSLASHglstext] = ACTIONS(5481),
    [anon_sym_BSLASHGlstext] = ACTIONS(5481),
    [anon_sym_BSLASHGLStext] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(5481),
    [anon_sym_BSLASHglsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsname] = ACTIONS(5481),
    [anon_sym_BSLASHGlsname] = ACTIONS(5481),
    [anon_sym_BSLASHGLSname] = ACTIONS(5481),
    [anon_sym_BSLASHglssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHglsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(5481),
    [anon_sym_BSLASHnewacronym] = ACTIONS(5483),
    [anon_sym_BSLASHacrshort] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshort] = ACTIONS(5485),
    [anon_sym_BSLASHACRshort] = ACTIONS(5485),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrlong] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlong] = ACTIONS(5485),
    [anon_sym_BSLASHACRlong] = ACTIONS(5485),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrfull] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfull] = ACTIONS(5485),
    [anon_sym_BSLASHACRfull] = ACTIONS(5485),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHacs] = ACTIONS(5485),
    [anon_sym_BSLASHAcs] = ACTIONS(5485),
    [anon_sym_BSLASHacsp] = ACTIONS(5485),
    [anon_sym_BSLASHAcsp] = ACTIONS(5485),
    [anon_sym_BSLASHacl] = ACTIONS(5485),
    [anon_sym_BSLASHAcl] = ACTIONS(5485),
    [anon_sym_BSLASHaclp] = ACTIONS(5485),
    [anon_sym_BSLASHAclp] = ACTIONS(5485),
    [anon_sym_BSLASHacf] = ACTIONS(5485),
    [anon_sym_BSLASHAcf] = ACTIONS(5485),
    [anon_sym_BSLASHacfp] = ACTIONS(5485),
    [anon_sym_BSLASHAcfp] = ACTIONS(5485),
    [anon_sym_BSLASHac] = ACTIONS(5485),
    [anon_sym_BSLASHAc] = ACTIONS(5485),
    [anon_sym_BSLASHacp] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(5487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(5487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(5491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(5493),
    [anon_sym_BSLASHcolor] = ACTIONS(5495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(5495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(5495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(5495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(5495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(5497),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(5497),
    [anon_sym_BSLASHurl] = ACTIONS(5499),
    [anon_sym_BSLASHhref] = ACTIONS(5499),
  },
  [321] = {
    [sym_block_comment] = STATE(2161),
    [sym__text_content] = STATE(2161),
    [sym_curly_group] = STATE(2161),
    [sym_text] = STATE(2161),
    [sym_operator] = STATE(2147),
    [sym_subscript] = STATE(2147),
    [sym_superscript] = STATE(2147),
    [sym__math_content] = STATE(2161),
    [sym_displayed_equation] = STATE(2161),
    [sym_inline_formula] = STATE(2161),
    [sym_math_delimiter] = STATE(2161),
    [sym_text_mode] = STATE(2161),
    [sym__command] = STATE(2161),
    [sym_generic_command] = STATE(2161),
    [sym_title_declaration] = STATE(2161),
    [sym_author_declaration] = STATE(2161),
    [sym_package_include] = STATE(2161),
    [sym_class_include] = STATE(2161),
    [sym_latex_include] = STATE(2161),
    [sym_biblatex_include] = STATE(2161),
    [sym_bibstyle_include] = STATE(2161),
    [sym_bibtex_include] = STATE(2161),
    [sym_graphics_include] = STATE(2161),
    [sym_svg_include] = STATE(2161),
    [sym_inkscape_include] = STATE(2161),
    [sym_verbatim_include] = STATE(2161),
    [sym_import_include] = STATE(2161),
    [sym_caption] = STATE(2161),
    [sym_citation] = STATE(2161),
    [sym_label_definition] = STATE(2161),
    [sym_label_reference] = STATE(2161),
    [sym_label_reference_range] = STATE(2161),
    [sym_label_number] = STATE(2161),
    [sym_new_command_definition] = STATE(2161),
    [sym__new_command_definition] = STATE(2170),
    [sym__newer_command_definition] = STATE(2171),
    [sym__new_command_copy] = STATE(2172),
    [sym_old_command_definition] = STATE(2161),
    [sym_let_command_definition] = STATE(2161),
    [sym_paired_delimiter_definition] = STATE(2161),
    [sym_environment_definition] = STATE(2161),
    [sym__environment_definition] = STATE(2173),
    [sym__newer_environment_definition] = STATE(2174),
    [sym__new_environment_copy] = STATE(2175),
    [sym_glossary_entry_definition] = STATE(2161),
    [sym_glossary_entry_reference] = STATE(2161),
    [sym_acronym_definition] = STATE(2161),
    [sym_acronym_reference] = STATE(2161),
    [sym_theorem_definition] = STATE(2161),
    [sym_color_definition] = STATE(2161),
    [sym_color_set_definition] = STATE(2161),
    [sym_color_reference] = STATE(2161),
    [sym_tikz_library_import] = STATE(2161),
    [sym_hyperlink] = STATE(2161),
    [aux_sym_curly_group_author_list_repeat1] = STATE(309),
    [aux_sym_text_repeat1] = STATE(335),
    [sym_command_name] = ACTIONS(5381),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(5383),
    [anon_sym_LPAREN] = ACTIONS(5385),
    [anon_sym_RPAREN] = ACTIONS(5385),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(5901),
    [sym_word] = ACTIONS(5393),
    [sym_placeholder] = ACTIONS(5395),
    [sym_delimiter] = ACTIONS(5395),
    [anon_sym_PLUS] = ACTIONS(5397),
    [anon_sym_DASH] = ACTIONS(5397),
    [anon_sym_STAR] = ACTIONS(5397),
    [anon_sym_SLASH] = ACTIONS(5397),
    [anon_sym_LT] = ACTIONS(5399),
    [anon_sym_GT] = ACTIONS(5399),
    [anon_sym_BANG] = ACTIONS(5399),
    [anon_sym_PIPE] = ACTIONS(5399),
    [anon_sym_COLON] = ACTIONS(5399),
    [anon_sym_SQUOTE] = ACTIONS(5399),
    [anon_sym__] = ACTIONS(5401),
    [anon_sym_CARET] = ACTIONS(5403),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5405),
    [anon_sym_DOLLAR] = ACTIONS(5407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5409),
    [anon_sym_BSLASHleft] = ACTIONS(5411),
    [anon_sym_BSLASHbigl] = ACTIONS(5411),
    [anon_sym_BSLASHBigl] = ACTIONS(5411),
    [anon_sym_BSLASHbiggl] = ACTIONS(5411),
    [anon_sym_BSLASHBiggl] = ACTIONS(5411),
    [anon_sym_BSLASHtext] = ACTIONS(5413),
    [anon_sym_BSLASHintertext] = ACTIONS(5413),
    [anon_sym_BSLASHshortintertext] = ACTIONS(5413),
    [anon_sym_BSLASHtitle] = ACTIONS(5415),
    [anon_sym_BSLASHauthor] = ACTIONS(5417),
    [anon_sym_BSLASHusepackage] = ACTIONS(5419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(5419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(5421),
    [anon_sym_BSLASHinclude] = ACTIONS(5423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(5423),
    [anon_sym_BSLASHinput] = ACTIONS(5423),
    [anon_sym_BSLASHsubfile] = ACTIONS(5423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(5425),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(5427),
    [anon_sym_BSLASHbibliography] = ACTIONS(5429),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(5431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(5433),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(5435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(5437),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(5437),
    [anon_sym_BSLASHimport] = ACTIONS(5439),
    [anon_sym_BSLASHsubimport] = ACTIONS(5439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(5439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHcaption] = ACTIONS(5441),
    [anon_sym_BSLASHcite] = ACTIONS(5443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCite] = ACTIONS(5443),
    [anon_sym_BSLASHnocite] = ACTIONS(5443),
    [anon_sym_BSLASHcitet] = ACTIONS(5443),
    [anon_sym_BSLASHcitep] = ACTIONS(5443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteA] = ACTIONS(5443),
    [anon_sym_BSLASHciteR] = ACTIONS(5443),
    [anon_sym_BSLASHciteS] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(5443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteyear] = ACTIONS(5443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitedate] = ACTIONS(5443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteurl] = ACTIONS(5443),
    [anon_sym_BSLASHfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(5443),
    [anon_sym_BSLASHcitealt] = ACTIONS(5443),
    [anon_sym_BSLASHcitealp] = ACTIONS(5443),
    [anon_sym_BSLASHcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHparencite] = ACTIONS(5443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHParencite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHtextcite] = ACTIONS(5443),
    [anon_sym_BSLASHTextcite] = ACTIONS(5443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHsupercite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite] = ACTIONS(5443),
    [anon_sym_BSLASHAutocite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHVolcite] = ACTIONS(5443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHavolcite] = ACTIONS(5443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHNotecite] = ACTIONS(5443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHlabel] = ACTIONS(5447),
    [anon_sym_BSLASHref] = ACTIONS(5449),
    [anon_sym_BSLASHeqref] = ACTIONS(5449),
    [anon_sym_BSLASHvref] = ACTIONS(5449),
    [anon_sym_BSLASHVref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHpageref] = ACTIONS(5449),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHautopageref] = ACTIONS(5449),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcref] = ACTIONS(5449),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHCref] = ACTIONS(5449),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHCpageref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnameCref] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHCrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHnewlabel] = ACTIONS(5457),
    [anon_sym_BSLASHnewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(5459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHdef] = ACTIONS(5467),
    [anon_sym_BSLASHgdef] = ACTIONS(5467),
    [anon_sym_BSLASHedef] = ACTIONS(5467),
    [anon_sym_BSLASHxdef] = ACTIONS(5467),
    [anon_sym_BSLASHlet] = ACTIONS(5469),
    [anon_sym_BSLASHglet] = ACTIONS(5469),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(5471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(5471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(5479),
    [anon_sym_BSLASHgls] = ACTIONS(5481),
    [anon_sym_BSLASHGls] = ACTIONS(5481),
    [anon_sym_BSLASHGLS] = ACTIONS(5481),
    [anon_sym_BSLASHglspl] = ACTIONS(5481),
    [anon_sym_BSLASHGlspl] = ACTIONS(5481),
    [anon_sym_BSLASHGLSpl] = ACTIONS(5481),
    [anon_sym_BSLASHglsdisp] = ACTIONS(5481),
    [anon_sym_BSLASHglslink] = ACTIONS(5481),
    [anon_sym_BSLASHglstext] = ACTIONS(5481),
    [anon_sym_BSLASHGlstext] = ACTIONS(5481),
    [anon_sym_BSLASHGLStext] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(5481),
    [anon_sym_BSLASHglsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsname] = ACTIONS(5481),
    [anon_sym_BSLASHGlsname] = ACTIONS(5481),
    [anon_sym_BSLASHGLSname] = ACTIONS(5481),
    [anon_sym_BSLASHglssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHglsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(5481),
    [anon_sym_BSLASHnewacronym] = ACTIONS(5483),
    [anon_sym_BSLASHacrshort] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshort] = ACTIONS(5485),
    [anon_sym_BSLASHACRshort] = ACTIONS(5485),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrlong] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlong] = ACTIONS(5485),
    [anon_sym_BSLASHACRlong] = ACTIONS(5485),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrfull] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfull] = ACTIONS(5485),
    [anon_sym_BSLASHACRfull] = ACTIONS(5485),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHacs] = ACTIONS(5485),
    [anon_sym_BSLASHAcs] = ACTIONS(5485),
    [anon_sym_BSLASHacsp] = ACTIONS(5485),
    [anon_sym_BSLASHAcsp] = ACTIONS(5485),
    [anon_sym_BSLASHacl] = ACTIONS(5485),
    [anon_sym_BSLASHAcl] = ACTIONS(5485),
    [anon_sym_BSLASHaclp] = ACTIONS(5485),
    [anon_sym_BSLASHAclp] = ACTIONS(5485),
    [anon_sym_BSLASHacf] = ACTIONS(5485),
    [anon_sym_BSLASHAcf] = ACTIONS(5485),
    [anon_sym_BSLASHacfp] = ACTIONS(5485),
    [anon_sym_BSLASHAcfp] = ACTIONS(5485),
    [anon_sym_BSLASHac] = ACTIONS(5485),
    [anon_sym_BSLASHAc] = ACTIONS(5485),
    [anon_sym_BSLASHacp] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(5487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(5487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(5491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(5493),
    [anon_sym_BSLASHcolor] = ACTIONS(5495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(5495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(5495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(5495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(5495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(5497),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(5497),
    [anon_sym_BSLASHurl] = ACTIONS(5499),
    [anon_sym_BSLASHhref] = ACTIONS(5499),
  },
  [322] = {
    [sym_block_comment] = STATE(2161),
    [sym__text_content] = STATE(2161),
    [sym_curly_group] = STATE(2161),
    [sym_text] = STATE(2161),
    [sym_operator] = STATE(2147),
    [sym_subscript] = STATE(2147),
    [sym_superscript] = STATE(2147),
    [sym__math_content] = STATE(2161),
    [sym_displayed_equation] = STATE(2161),
    [sym_inline_formula] = STATE(2161),
    [sym_math_delimiter] = STATE(2161),
    [sym_text_mode] = STATE(2161),
    [sym__command] = STATE(2161),
    [sym_generic_command] = STATE(2161),
    [sym_title_declaration] = STATE(2161),
    [sym_author_declaration] = STATE(2161),
    [sym_package_include] = STATE(2161),
    [sym_class_include] = STATE(2161),
    [sym_latex_include] = STATE(2161),
    [sym_biblatex_include] = STATE(2161),
    [sym_bibstyle_include] = STATE(2161),
    [sym_bibtex_include] = STATE(2161),
    [sym_graphics_include] = STATE(2161),
    [sym_svg_include] = STATE(2161),
    [sym_inkscape_include] = STATE(2161),
    [sym_verbatim_include] = STATE(2161),
    [sym_import_include] = STATE(2161),
    [sym_caption] = STATE(2161),
    [sym_citation] = STATE(2161),
    [sym_label_definition] = STATE(2161),
    [sym_label_reference] = STATE(2161),
    [sym_label_reference_range] = STATE(2161),
    [sym_label_number] = STATE(2161),
    [sym_new_command_definition] = STATE(2161),
    [sym__new_command_definition] = STATE(2170),
    [sym__newer_command_definition] = STATE(2171),
    [sym__new_command_copy] = STATE(2172),
    [sym_old_command_definition] = STATE(2161),
    [sym_let_command_definition] = STATE(2161),
    [sym_paired_delimiter_definition] = STATE(2161),
    [sym_environment_definition] = STATE(2161),
    [sym__environment_definition] = STATE(2173),
    [sym__newer_environment_definition] = STATE(2174),
    [sym__new_environment_copy] = STATE(2175),
    [sym_glossary_entry_definition] = STATE(2161),
    [sym_glossary_entry_reference] = STATE(2161),
    [sym_acronym_definition] = STATE(2161),
    [sym_acronym_reference] = STATE(2161),
    [sym_theorem_definition] = STATE(2161),
    [sym_color_definition] = STATE(2161),
    [sym_color_set_definition] = STATE(2161),
    [sym_color_reference] = STATE(2161),
    [sym_tikz_library_import] = STATE(2161),
    [sym_hyperlink] = STATE(2161),
    [aux_sym_curly_group_author_list_repeat1] = STATE(306),
    [aux_sym_text_repeat1] = STATE(335),
    [sym_command_name] = ACTIONS(5381),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(5383),
    [anon_sym_LPAREN] = ACTIONS(5385),
    [anon_sym_RPAREN] = ACTIONS(5385),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(5903),
    [sym_word] = ACTIONS(5393),
    [sym_placeholder] = ACTIONS(5395),
    [sym_delimiter] = ACTIONS(5395),
    [anon_sym_PLUS] = ACTIONS(5397),
    [anon_sym_DASH] = ACTIONS(5397),
    [anon_sym_STAR] = ACTIONS(5397),
    [anon_sym_SLASH] = ACTIONS(5397),
    [anon_sym_LT] = ACTIONS(5399),
    [anon_sym_GT] = ACTIONS(5399),
    [anon_sym_BANG] = ACTIONS(5399),
    [anon_sym_PIPE] = ACTIONS(5399),
    [anon_sym_COLON] = ACTIONS(5399),
    [anon_sym_SQUOTE] = ACTIONS(5399),
    [anon_sym__] = ACTIONS(5401),
    [anon_sym_CARET] = ACTIONS(5403),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5405),
    [anon_sym_DOLLAR] = ACTIONS(5407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5409),
    [anon_sym_BSLASHleft] = ACTIONS(5411),
    [anon_sym_BSLASHbigl] = ACTIONS(5411),
    [anon_sym_BSLASHBigl] = ACTIONS(5411),
    [anon_sym_BSLASHbiggl] = ACTIONS(5411),
    [anon_sym_BSLASHBiggl] = ACTIONS(5411),
    [anon_sym_BSLASHtext] = ACTIONS(5413),
    [anon_sym_BSLASHintertext] = ACTIONS(5413),
    [anon_sym_BSLASHshortintertext] = ACTIONS(5413),
    [anon_sym_BSLASHtitle] = ACTIONS(5415),
    [anon_sym_BSLASHauthor] = ACTIONS(5417),
    [anon_sym_BSLASHusepackage] = ACTIONS(5419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(5419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(5421),
    [anon_sym_BSLASHinclude] = ACTIONS(5423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(5423),
    [anon_sym_BSLASHinput] = ACTIONS(5423),
    [anon_sym_BSLASHsubfile] = ACTIONS(5423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(5425),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(5427),
    [anon_sym_BSLASHbibliography] = ACTIONS(5429),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(5431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(5433),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(5435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(5437),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(5437),
    [anon_sym_BSLASHimport] = ACTIONS(5439),
    [anon_sym_BSLASHsubimport] = ACTIONS(5439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(5439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHcaption] = ACTIONS(5441),
    [anon_sym_BSLASHcite] = ACTIONS(5443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCite] = ACTIONS(5443),
    [anon_sym_BSLASHnocite] = ACTIONS(5443),
    [anon_sym_BSLASHcitet] = ACTIONS(5443),
    [anon_sym_BSLASHcitep] = ACTIONS(5443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteA] = ACTIONS(5443),
    [anon_sym_BSLASHciteR] = ACTIONS(5443),
    [anon_sym_BSLASHciteS] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(5443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteyear] = ACTIONS(5443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitedate] = ACTIONS(5443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteurl] = ACTIONS(5443),
    [anon_sym_BSLASHfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(5443),
    [anon_sym_BSLASHcitealt] = ACTIONS(5443),
    [anon_sym_BSLASHcitealp] = ACTIONS(5443),
    [anon_sym_BSLASHcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHparencite] = ACTIONS(5443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHParencite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHtextcite] = ACTIONS(5443),
    [anon_sym_BSLASHTextcite] = ACTIONS(5443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHsupercite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite] = ACTIONS(5443),
    [anon_sym_BSLASHAutocite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHVolcite] = ACTIONS(5443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHavolcite] = ACTIONS(5443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHNotecite] = ACTIONS(5443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHlabel] = ACTIONS(5447),
    [anon_sym_BSLASHref] = ACTIONS(5449),
    [anon_sym_BSLASHeqref] = ACTIONS(5449),
    [anon_sym_BSLASHvref] = ACTIONS(5449),
    [anon_sym_BSLASHVref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHpageref] = ACTIONS(5449),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHautopageref] = ACTIONS(5449),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcref] = ACTIONS(5449),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHCref] = ACTIONS(5449),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHCpageref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnameCref] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHCrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHnewlabel] = ACTIONS(5457),
    [anon_sym_BSLASHnewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(5459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHdef] = ACTIONS(5467),
    [anon_sym_BSLASHgdef] = ACTIONS(5467),
    [anon_sym_BSLASHedef] = ACTIONS(5467),
    [anon_sym_BSLASHxdef] = ACTIONS(5467),
    [anon_sym_BSLASHlet] = ACTIONS(5469),
    [anon_sym_BSLASHglet] = ACTIONS(5469),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(5471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(5471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(5479),
    [anon_sym_BSLASHgls] = ACTIONS(5481),
    [anon_sym_BSLASHGls] = ACTIONS(5481),
    [anon_sym_BSLASHGLS] = ACTIONS(5481),
    [anon_sym_BSLASHglspl] = ACTIONS(5481),
    [anon_sym_BSLASHGlspl] = ACTIONS(5481),
    [anon_sym_BSLASHGLSpl] = ACTIONS(5481),
    [anon_sym_BSLASHglsdisp] = ACTIONS(5481),
    [anon_sym_BSLASHglslink] = ACTIONS(5481),
    [anon_sym_BSLASHglstext] = ACTIONS(5481),
    [anon_sym_BSLASHGlstext] = ACTIONS(5481),
    [anon_sym_BSLASHGLStext] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(5481),
    [anon_sym_BSLASHglsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsname] = ACTIONS(5481),
    [anon_sym_BSLASHGlsname] = ACTIONS(5481),
    [anon_sym_BSLASHGLSname] = ACTIONS(5481),
    [anon_sym_BSLASHglssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHglsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(5481),
    [anon_sym_BSLASHnewacronym] = ACTIONS(5483),
    [anon_sym_BSLASHacrshort] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshort] = ACTIONS(5485),
    [anon_sym_BSLASHACRshort] = ACTIONS(5485),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrlong] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlong] = ACTIONS(5485),
    [anon_sym_BSLASHACRlong] = ACTIONS(5485),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrfull] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfull] = ACTIONS(5485),
    [anon_sym_BSLASHACRfull] = ACTIONS(5485),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHacs] = ACTIONS(5485),
    [anon_sym_BSLASHAcs] = ACTIONS(5485),
    [anon_sym_BSLASHacsp] = ACTIONS(5485),
    [anon_sym_BSLASHAcsp] = ACTIONS(5485),
    [anon_sym_BSLASHacl] = ACTIONS(5485),
    [anon_sym_BSLASHAcl] = ACTIONS(5485),
    [anon_sym_BSLASHaclp] = ACTIONS(5485),
    [anon_sym_BSLASHAclp] = ACTIONS(5485),
    [anon_sym_BSLASHacf] = ACTIONS(5485),
    [anon_sym_BSLASHAcf] = ACTIONS(5485),
    [anon_sym_BSLASHacfp] = ACTIONS(5485),
    [anon_sym_BSLASHAcfp] = ACTIONS(5485),
    [anon_sym_BSLASHac] = ACTIONS(5485),
    [anon_sym_BSLASHAc] = ACTIONS(5485),
    [anon_sym_BSLASHacp] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(5487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(5487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(5491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(5493),
    [anon_sym_BSLASHcolor] = ACTIONS(5495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(5495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(5495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(5495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(5495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(5497),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(5497),
    [anon_sym_BSLASHurl] = ACTIONS(5499),
    [anon_sym_BSLASHhref] = ACTIONS(5499),
  },
  [323] = {
    [sym_block_comment] = STATE(2161),
    [sym__text_content] = STATE(2161),
    [sym_curly_group] = STATE(2161),
    [sym_text] = STATE(2161),
    [sym_operator] = STATE(2147),
    [sym_subscript] = STATE(2147),
    [sym_superscript] = STATE(2147),
    [sym__math_content] = STATE(2161),
    [sym_displayed_equation] = STATE(2161),
    [sym_inline_formula] = STATE(2161),
    [sym_math_delimiter] = STATE(2161),
    [sym_text_mode] = STATE(2161),
    [sym__command] = STATE(2161),
    [sym_generic_command] = STATE(2161),
    [sym_title_declaration] = STATE(2161),
    [sym_author_declaration] = STATE(2161),
    [sym_package_include] = STATE(2161),
    [sym_class_include] = STATE(2161),
    [sym_latex_include] = STATE(2161),
    [sym_biblatex_include] = STATE(2161),
    [sym_bibstyle_include] = STATE(2161),
    [sym_bibtex_include] = STATE(2161),
    [sym_graphics_include] = STATE(2161),
    [sym_svg_include] = STATE(2161),
    [sym_inkscape_include] = STATE(2161),
    [sym_verbatim_include] = STATE(2161),
    [sym_import_include] = STATE(2161),
    [sym_caption] = STATE(2161),
    [sym_citation] = STATE(2161),
    [sym_label_definition] = STATE(2161),
    [sym_label_reference] = STATE(2161),
    [sym_label_reference_range] = STATE(2161),
    [sym_label_number] = STATE(2161),
    [sym_new_command_definition] = STATE(2161),
    [sym__new_command_definition] = STATE(2170),
    [sym__newer_command_definition] = STATE(2171),
    [sym__new_command_copy] = STATE(2172),
    [sym_old_command_definition] = STATE(2161),
    [sym_let_command_definition] = STATE(2161),
    [sym_paired_delimiter_definition] = STATE(2161),
    [sym_environment_definition] = STATE(2161),
    [sym__environment_definition] = STATE(2173),
    [sym__newer_environment_definition] = STATE(2174),
    [sym__new_environment_copy] = STATE(2175),
    [sym_glossary_entry_definition] = STATE(2161),
    [sym_glossary_entry_reference] = STATE(2161),
    [sym_acronym_definition] = STATE(2161),
    [sym_acronym_reference] = STATE(2161),
    [sym_theorem_definition] = STATE(2161),
    [sym_color_definition] = STATE(2161),
    [sym_color_set_definition] = STATE(2161),
    [sym_color_reference] = STATE(2161),
    [sym_tikz_library_import] = STATE(2161),
    [sym_hyperlink] = STATE(2161),
    [aux_sym_curly_group_author_list_repeat1] = STATE(304),
    [aux_sym_text_repeat1] = STATE(335),
    [sym_command_name] = ACTIONS(5381),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(5383),
    [anon_sym_LPAREN] = ACTIONS(5385),
    [anon_sym_RPAREN] = ACTIONS(5385),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(5905),
    [sym_word] = ACTIONS(5393),
    [sym_placeholder] = ACTIONS(5395),
    [sym_delimiter] = ACTIONS(5395),
    [anon_sym_PLUS] = ACTIONS(5397),
    [anon_sym_DASH] = ACTIONS(5397),
    [anon_sym_STAR] = ACTIONS(5397),
    [anon_sym_SLASH] = ACTIONS(5397),
    [anon_sym_LT] = ACTIONS(5399),
    [anon_sym_GT] = ACTIONS(5399),
    [anon_sym_BANG] = ACTIONS(5399),
    [anon_sym_PIPE] = ACTIONS(5399),
    [anon_sym_COLON] = ACTIONS(5399),
    [anon_sym_SQUOTE] = ACTIONS(5399),
    [anon_sym__] = ACTIONS(5401),
    [anon_sym_CARET] = ACTIONS(5403),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5405),
    [anon_sym_DOLLAR] = ACTIONS(5407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5409),
    [anon_sym_BSLASHleft] = ACTIONS(5411),
    [anon_sym_BSLASHbigl] = ACTIONS(5411),
    [anon_sym_BSLASHBigl] = ACTIONS(5411),
    [anon_sym_BSLASHbiggl] = ACTIONS(5411),
    [anon_sym_BSLASHBiggl] = ACTIONS(5411),
    [anon_sym_BSLASHtext] = ACTIONS(5413),
    [anon_sym_BSLASHintertext] = ACTIONS(5413),
    [anon_sym_BSLASHshortintertext] = ACTIONS(5413),
    [anon_sym_BSLASHtitle] = ACTIONS(5415),
    [anon_sym_BSLASHauthor] = ACTIONS(5417),
    [anon_sym_BSLASHusepackage] = ACTIONS(5419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(5419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(5421),
    [anon_sym_BSLASHinclude] = ACTIONS(5423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(5423),
    [anon_sym_BSLASHinput] = ACTIONS(5423),
    [anon_sym_BSLASHsubfile] = ACTIONS(5423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(5425),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(5427),
    [anon_sym_BSLASHbibliography] = ACTIONS(5429),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(5431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(5433),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(5435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(5437),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(5437),
    [anon_sym_BSLASHimport] = ACTIONS(5439),
    [anon_sym_BSLASHsubimport] = ACTIONS(5439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(5439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHcaption] = ACTIONS(5441),
    [anon_sym_BSLASHcite] = ACTIONS(5443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCite] = ACTIONS(5443),
    [anon_sym_BSLASHnocite] = ACTIONS(5443),
    [anon_sym_BSLASHcitet] = ACTIONS(5443),
    [anon_sym_BSLASHcitep] = ACTIONS(5443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteA] = ACTIONS(5443),
    [anon_sym_BSLASHciteR] = ACTIONS(5443),
    [anon_sym_BSLASHciteS] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(5443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteyear] = ACTIONS(5443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitedate] = ACTIONS(5443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteurl] = ACTIONS(5443),
    [anon_sym_BSLASHfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(5443),
    [anon_sym_BSLASHcitealt] = ACTIONS(5443),
    [anon_sym_BSLASHcitealp] = ACTIONS(5443),
    [anon_sym_BSLASHcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHparencite] = ACTIONS(5443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHParencite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHtextcite] = ACTIONS(5443),
    [anon_sym_BSLASHTextcite] = ACTIONS(5443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHsupercite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite] = ACTIONS(5443),
    [anon_sym_BSLASHAutocite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHVolcite] = ACTIONS(5443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHavolcite] = ACTIONS(5443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHNotecite] = ACTIONS(5443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHlabel] = ACTIONS(5447),
    [anon_sym_BSLASHref] = ACTIONS(5449),
    [anon_sym_BSLASHeqref] = ACTIONS(5449),
    [anon_sym_BSLASHvref] = ACTIONS(5449),
    [anon_sym_BSLASHVref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHpageref] = ACTIONS(5449),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHautopageref] = ACTIONS(5449),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcref] = ACTIONS(5449),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHCref] = ACTIONS(5449),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHCpageref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnameCref] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHCrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHnewlabel] = ACTIONS(5457),
    [anon_sym_BSLASHnewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(5459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHdef] = ACTIONS(5467),
    [anon_sym_BSLASHgdef] = ACTIONS(5467),
    [anon_sym_BSLASHedef] = ACTIONS(5467),
    [anon_sym_BSLASHxdef] = ACTIONS(5467),
    [anon_sym_BSLASHlet] = ACTIONS(5469),
    [anon_sym_BSLASHglet] = ACTIONS(5469),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(5471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(5471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(5479),
    [anon_sym_BSLASHgls] = ACTIONS(5481),
    [anon_sym_BSLASHGls] = ACTIONS(5481),
    [anon_sym_BSLASHGLS] = ACTIONS(5481),
    [anon_sym_BSLASHglspl] = ACTIONS(5481),
    [anon_sym_BSLASHGlspl] = ACTIONS(5481),
    [anon_sym_BSLASHGLSpl] = ACTIONS(5481),
    [anon_sym_BSLASHglsdisp] = ACTIONS(5481),
    [anon_sym_BSLASHglslink] = ACTIONS(5481),
    [anon_sym_BSLASHglstext] = ACTIONS(5481),
    [anon_sym_BSLASHGlstext] = ACTIONS(5481),
    [anon_sym_BSLASHGLStext] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(5481),
    [anon_sym_BSLASHglsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsname] = ACTIONS(5481),
    [anon_sym_BSLASHGlsname] = ACTIONS(5481),
    [anon_sym_BSLASHGLSname] = ACTIONS(5481),
    [anon_sym_BSLASHglssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHglsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(5481),
    [anon_sym_BSLASHnewacronym] = ACTIONS(5483),
    [anon_sym_BSLASHacrshort] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshort] = ACTIONS(5485),
    [anon_sym_BSLASHACRshort] = ACTIONS(5485),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrlong] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlong] = ACTIONS(5485),
    [anon_sym_BSLASHACRlong] = ACTIONS(5485),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrfull] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfull] = ACTIONS(5485),
    [anon_sym_BSLASHACRfull] = ACTIONS(5485),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHacs] = ACTIONS(5485),
    [anon_sym_BSLASHAcs] = ACTIONS(5485),
    [anon_sym_BSLASHacsp] = ACTIONS(5485),
    [anon_sym_BSLASHAcsp] = ACTIONS(5485),
    [anon_sym_BSLASHacl] = ACTIONS(5485),
    [anon_sym_BSLASHAcl] = ACTIONS(5485),
    [anon_sym_BSLASHaclp] = ACTIONS(5485),
    [anon_sym_BSLASHAclp] = ACTIONS(5485),
    [anon_sym_BSLASHacf] = ACTIONS(5485),
    [anon_sym_BSLASHAcf] = ACTIONS(5485),
    [anon_sym_BSLASHacfp] = ACTIONS(5485),
    [anon_sym_BSLASHAcfp] = ACTIONS(5485),
    [anon_sym_BSLASHac] = ACTIONS(5485),
    [anon_sym_BSLASHAc] = ACTIONS(5485),
    [anon_sym_BSLASHacp] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(5487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(5487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(5491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(5493),
    [anon_sym_BSLASHcolor] = ACTIONS(5495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(5495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(5495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(5495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(5495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(5497),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(5497),
    [anon_sym_BSLASHurl] = ACTIONS(5499),
    [anon_sym_BSLASHhref] = ACTIONS(5499),
  },
  [324] = {
    [sym_block_comment] = STATE(2161),
    [sym__text_content] = STATE(2161),
    [sym_curly_group] = STATE(2161),
    [sym_text] = STATE(2161),
    [sym_operator] = STATE(2147),
    [sym_subscript] = STATE(2147),
    [sym_superscript] = STATE(2147),
    [sym__math_content] = STATE(2161),
    [sym_displayed_equation] = STATE(2161),
    [sym_inline_formula] = STATE(2161),
    [sym_math_delimiter] = STATE(2161),
    [sym_text_mode] = STATE(2161),
    [sym__command] = STATE(2161),
    [sym_generic_command] = STATE(2161),
    [sym_title_declaration] = STATE(2161),
    [sym_author_declaration] = STATE(2161),
    [sym_package_include] = STATE(2161),
    [sym_class_include] = STATE(2161),
    [sym_latex_include] = STATE(2161),
    [sym_biblatex_include] = STATE(2161),
    [sym_bibstyle_include] = STATE(2161),
    [sym_bibtex_include] = STATE(2161),
    [sym_graphics_include] = STATE(2161),
    [sym_svg_include] = STATE(2161),
    [sym_inkscape_include] = STATE(2161),
    [sym_verbatim_include] = STATE(2161),
    [sym_import_include] = STATE(2161),
    [sym_caption] = STATE(2161),
    [sym_citation] = STATE(2161),
    [sym_label_definition] = STATE(2161),
    [sym_label_reference] = STATE(2161),
    [sym_label_reference_range] = STATE(2161),
    [sym_label_number] = STATE(2161),
    [sym_new_command_definition] = STATE(2161),
    [sym__new_command_definition] = STATE(2170),
    [sym__newer_command_definition] = STATE(2171),
    [sym__new_command_copy] = STATE(2172),
    [sym_old_command_definition] = STATE(2161),
    [sym_let_command_definition] = STATE(2161),
    [sym_paired_delimiter_definition] = STATE(2161),
    [sym_environment_definition] = STATE(2161),
    [sym__environment_definition] = STATE(2173),
    [sym__newer_environment_definition] = STATE(2174),
    [sym__new_environment_copy] = STATE(2175),
    [sym_glossary_entry_definition] = STATE(2161),
    [sym_glossary_entry_reference] = STATE(2161),
    [sym_acronym_definition] = STATE(2161),
    [sym_acronym_reference] = STATE(2161),
    [sym_theorem_definition] = STATE(2161),
    [sym_color_definition] = STATE(2161),
    [sym_color_set_definition] = STATE(2161),
    [sym_color_reference] = STATE(2161),
    [sym_tikz_library_import] = STATE(2161),
    [sym_hyperlink] = STATE(2161),
    [aux_sym_curly_group_author_list_repeat1] = STATE(311),
    [aux_sym_text_repeat1] = STATE(335),
    [sym_command_name] = ACTIONS(5381),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(5383),
    [anon_sym_LPAREN] = ACTIONS(5385),
    [anon_sym_RPAREN] = ACTIONS(5385),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(5907),
    [sym_word] = ACTIONS(5393),
    [sym_placeholder] = ACTIONS(5395),
    [sym_delimiter] = ACTIONS(5395),
    [anon_sym_PLUS] = ACTIONS(5397),
    [anon_sym_DASH] = ACTIONS(5397),
    [anon_sym_STAR] = ACTIONS(5397),
    [anon_sym_SLASH] = ACTIONS(5397),
    [anon_sym_LT] = ACTIONS(5399),
    [anon_sym_GT] = ACTIONS(5399),
    [anon_sym_BANG] = ACTIONS(5399),
    [anon_sym_PIPE] = ACTIONS(5399),
    [anon_sym_COLON] = ACTIONS(5399),
    [anon_sym_SQUOTE] = ACTIONS(5399),
    [anon_sym__] = ACTIONS(5401),
    [anon_sym_CARET] = ACTIONS(5403),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5405),
    [anon_sym_DOLLAR] = ACTIONS(5407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5409),
    [anon_sym_BSLASHleft] = ACTIONS(5411),
    [anon_sym_BSLASHbigl] = ACTIONS(5411),
    [anon_sym_BSLASHBigl] = ACTIONS(5411),
    [anon_sym_BSLASHbiggl] = ACTIONS(5411),
    [anon_sym_BSLASHBiggl] = ACTIONS(5411),
    [anon_sym_BSLASHtext] = ACTIONS(5413),
    [anon_sym_BSLASHintertext] = ACTIONS(5413),
    [anon_sym_BSLASHshortintertext] = ACTIONS(5413),
    [anon_sym_BSLASHtitle] = ACTIONS(5415),
    [anon_sym_BSLASHauthor] = ACTIONS(5417),
    [anon_sym_BSLASHusepackage] = ACTIONS(5419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(5419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(5421),
    [anon_sym_BSLASHinclude] = ACTIONS(5423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(5423),
    [anon_sym_BSLASHinput] = ACTIONS(5423),
    [anon_sym_BSLASHsubfile] = ACTIONS(5423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(5425),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(5427),
    [anon_sym_BSLASHbibliography] = ACTIONS(5429),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(5431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(5433),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(5435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(5437),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(5437),
    [anon_sym_BSLASHimport] = ACTIONS(5439),
    [anon_sym_BSLASHsubimport] = ACTIONS(5439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(5439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHcaption] = ACTIONS(5441),
    [anon_sym_BSLASHcite] = ACTIONS(5443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCite] = ACTIONS(5443),
    [anon_sym_BSLASHnocite] = ACTIONS(5443),
    [anon_sym_BSLASHcitet] = ACTIONS(5443),
    [anon_sym_BSLASHcitep] = ACTIONS(5443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteA] = ACTIONS(5443),
    [anon_sym_BSLASHciteR] = ACTIONS(5443),
    [anon_sym_BSLASHciteS] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(5443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteyear] = ACTIONS(5443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitedate] = ACTIONS(5443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteurl] = ACTIONS(5443),
    [anon_sym_BSLASHfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(5443),
    [anon_sym_BSLASHcitealt] = ACTIONS(5443),
    [anon_sym_BSLASHcitealp] = ACTIONS(5443),
    [anon_sym_BSLASHcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHparencite] = ACTIONS(5443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHParencite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHtextcite] = ACTIONS(5443),
    [anon_sym_BSLASHTextcite] = ACTIONS(5443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHsupercite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite] = ACTIONS(5443),
    [anon_sym_BSLASHAutocite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHVolcite] = ACTIONS(5443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHavolcite] = ACTIONS(5443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHNotecite] = ACTIONS(5443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHlabel] = ACTIONS(5447),
    [anon_sym_BSLASHref] = ACTIONS(5449),
    [anon_sym_BSLASHeqref] = ACTIONS(5449),
    [anon_sym_BSLASHvref] = ACTIONS(5449),
    [anon_sym_BSLASHVref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHpageref] = ACTIONS(5449),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHautopageref] = ACTIONS(5449),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcref] = ACTIONS(5449),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHCref] = ACTIONS(5449),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHCpageref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnameCref] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHCrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHnewlabel] = ACTIONS(5457),
    [anon_sym_BSLASHnewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(5459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHdef] = ACTIONS(5467),
    [anon_sym_BSLASHgdef] = ACTIONS(5467),
    [anon_sym_BSLASHedef] = ACTIONS(5467),
    [anon_sym_BSLASHxdef] = ACTIONS(5467),
    [anon_sym_BSLASHlet] = ACTIONS(5469),
    [anon_sym_BSLASHglet] = ACTIONS(5469),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(5471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(5471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(5479),
    [anon_sym_BSLASHgls] = ACTIONS(5481),
    [anon_sym_BSLASHGls] = ACTIONS(5481),
    [anon_sym_BSLASHGLS] = ACTIONS(5481),
    [anon_sym_BSLASHglspl] = ACTIONS(5481),
    [anon_sym_BSLASHGlspl] = ACTIONS(5481),
    [anon_sym_BSLASHGLSpl] = ACTIONS(5481),
    [anon_sym_BSLASHglsdisp] = ACTIONS(5481),
    [anon_sym_BSLASHglslink] = ACTIONS(5481),
    [anon_sym_BSLASHglstext] = ACTIONS(5481),
    [anon_sym_BSLASHGlstext] = ACTIONS(5481),
    [anon_sym_BSLASHGLStext] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(5481),
    [anon_sym_BSLASHglsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsname] = ACTIONS(5481),
    [anon_sym_BSLASHGlsname] = ACTIONS(5481),
    [anon_sym_BSLASHGLSname] = ACTIONS(5481),
    [anon_sym_BSLASHglssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHglsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(5481),
    [anon_sym_BSLASHnewacronym] = ACTIONS(5483),
    [anon_sym_BSLASHacrshort] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshort] = ACTIONS(5485),
    [anon_sym_BSLASHACRshort] = ACTIONS(5485),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrlong] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlong] = ACTIONS(5485),
    [anon_sym_BSLASHACRlong] = ACTIONS(5485),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrfull] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfull] = ACTIONS(5485),
    [anon_sym_BSLASHACRfull] = ACTIONS(5485),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHacs] = ACTIONS(5485),
    [anon_sym_BSLASHAcs] = ACTIONS(5485),
    [anon_sym_BSLASHacsp] = ACTIONS(5485),
    [anon_sym_BSLASHAcsp] = ACTIONS(5485),
    [anon_sym_BSLASHacl] = ACTIONS(5485),
    [anon_sym_BSLASHAcl] = ACTIONS(5485),
    [anon_sym_BSLASHaclp] = ACTIONS(5485),
    [anon_sym_BSLASHAclp] = ACTIONS(5485),
    [anon_sym_BSLASHacf] = ACTIONS(5485),
    [anon_sym_BSLASHAcf] = ACTIONS(5485),
    [anon_sym_BSLASHacfp] = ACTIONS(5485),
    [anon_sym_BSLASHAcfp] = ACTIONS(5485),
    [anon_sym_BSLASHac] = ACTIONS(5485),
    [anon_sym_BSLASHAc] = ACTIONS(5485),
    [anon_sym_BSLASHacp] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(5487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(5487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(5491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(5493),
    [anon_sym_BSLASHcolor] = ACTIONS(5495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(5495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(5495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(5495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(5495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(5497),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(5497),
    [anon_sym_BSLASHurl] = ACTIONS(5499),
    [anon_sym_BSLASHhref] = ACTIONS(5499),
  },
  [325] = {
    [sym_block_comment] = STATE(2161),
    [sym__text_content] = STATE(2161),
    [sym_curly_group] = STATE(2161),
    [sym_text] = STATE(2161),
    [sym_operator] = STATE(2147),
    [sym_subscript] = STATE(2147),
    [sym_superscript] = STATE(2147),
    [sym__math_content] = STATE(2161),
    [sym_displayed_equation] = STATE(2161),
    [sym_inline_formula] = STATE(2161),
    [sym_math_delimiter] = STATE(2161),
    [sym_text_mode] = STATE(2161),
    [sym__command] = STATE(2161),
    [sym_generic_command] = STATE(2161),
    [sym_title_declaration] = STATE(2161),
    [sym_author_declaration] = STATE(2161),
    [sym_package_include] = STATE(2161),
    [sym_class_include] = STATE(2161),
    [sym_latex_include] = STATE(2161),
    [sym_biblatex_include] = STATE(2161),
    [sym_bibstyle_include] = STATE(2161),
    [sym_bibtex_include] = STATE(2161),
    [sym_graphics_include] = STATE(2161),
    [sym_svg_include] = STATE(2161),
    [sym_inkscape_include] = STATE(2161),
    [sym_verbatim_include] = STATE(2161),
    [sym_import_include] = STATE(2161),
    [sym_caption] = STATE(2161),
    [sym_citation] = STATE(2161),
    [sym_label_definition] = STATE(2161),
    [sym_label_reference] = STATE(2161),
    [sym_label_reference_range] = STATE(2161),
    [sym_label_number] = STATE(2161),
    [sym_new_command_definition] = STATE(2161),
    [sym__new_command_definition] = STATE(2170),
    [sym__newer_command_definition] = STATE(2171),
    [sym__new_command_copy] = STATE(2172),
    [sym_old_command_definition] = STATE(2161),
    [sym_let_command_definition] = STATE(2161),
    [sym_paired_delimiter_definition] = STATE(2161),
    [sym_environment_definition] = STATE(2161),
    [sym__environment_definition] = STATE(2173),
    [sym__newer_environment_definition] = STATE(2174),
    [sym__new_environment_copy] = STATE(2175),
    [sym_glossary_entry_definition] = STATE(2161),
    [sym_glossary_entry_reference] = STATE(2161),
    [sym_acronym_definition] = STATE(2161),
    [sym_acronym_reference] = STATE(2161),
    [sym_theorem_definition] = STATE(2161),
    [sym_color_definition] = STATE(2161),
    [sym_color_set_definition] = STATE(2161),
    [sym_color_reference] = STATE(2161),
    [sym_tikz_library_import] = STATE(2161),
    [sym_hyperlink] = STATE(2161),
    [aux_sym_curly_group_author_list_repeat1] = STATE(307),
    [aux_sym_text_repeat1] = STATE(335),
    [sym_command_name] = ACTIONS(5381),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(5383),
    [anon_sym_LPAREN] = ACTIONS(5385),
    [anon_sym_RPAREN] = ACTIONS(5385),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(5909),
    [sym_word] = ACTIONS(5393),
    [sym_placeholder] = ACTIONS(5395),
    [sym_delimiter] = ACTIONS(5395),
    [anon_sym_PLUS] = ACTIONS(5397),
    [anon_sym_DASH] = ACTIONS(5397),
    [anon_sym_STAR] = ACTIONS(5397),
    [anon_sym_SLASH] = ACTIONS(5397),
    [anon_sym_LT] = ACTIONS(5399),
    [anon_sym_GT] = ACTIONS(5399),
    [anon_sym_BANG] = ACTIONS(5399),
    [anon_sym_PIPE] = ACTIONS(5399),
    [anon_sym_COLON] = ACTIONS(5399),
    [anon_sym_SQUOTE] = ACTIONS(5399),
    [anon_sym__] = ACTIONS(5401),
    [anon_sym_CARET] = ACTIONS(5403),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5405),
    [anon_sym_DOLLAR] = ACTIONS(5407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5409),
    [anon_sym_BSLASHleft] = ACTIONS(5411),
    [anon_sym_BSLASHbigl] = ACTIONS(5411),
    [anon_sym_BSLASHBigl] = ACTIONS(5411),
    [anon_sym_BSLASHbiggl] = ACTIONS(5411),
    [anon_sym_BSLASHBiggl] = ACTIONS(5411),
    [anon_sym_BSLASHtext] = ACTIONS(5413),
    [anon_sym_BSLASHintertext] = ACTIONS(5413),
    [anon_sym_BSLASHshortintertext] = ACTIONS(5413),
    [anon_sym_BSLASHtitle] = ACTIONS(5415),
    [anon_sym_BSLASHauthor] = ACTIONS(5417),
    [anon_sym_BSLASHusepackage] = ACTIONS(5419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(5419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(5421),
    [anon_sym_BSLASHinclude] = ACTIONS(5423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(5423),
    [anon_sym_BSLASHinput] = ACTIONS(5423),
    [anon_sym_BSLASHsubfile] = ACTIONS(5423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(5425),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(5427),
    [anon_sym_BSLASHbibliography] = ACTIONS(5429),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(5431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(5433),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(5435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(5437),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(5437),
    [anon_sym_BSLASHimport] = ACTIONS(5439),
    [anon_sym_BSLASHsubimport] = ACTIONS(5439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(5439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHcaption] = ACTIONS(5441),
    [anon_sym_BSLASHcite] = ACTIONS(5443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCite] = ACTIONS(5443),
    [anon_sym_BSLASHnocite] = ACTIONS(5443),
    [anon_sym_BSLASHcitet] = ACTIONS(5443),
    [anon_sym_BSLASHcitep] = ACTIONS(5443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteA] = ACTIONS(5443),
    [anon_sym_BSLASHciteR] = ACTIONS(5443),
    [anon_sym_BSLASHciteS] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(5443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteyear] = ACTIONS(5443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitedate] = ACTIONS(5443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteurl] = ACTIONS(5443),
    [anon_sym_BSLASHfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(5443),
    [anon_sym_BSLASHcitealt] = ACTIONS(5443),
    [anon_sym_BSLASHcitealp] = ACTIONS(5443),
    [anon_sym_BSLASHcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHparencite] = ACTIONS(5443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHParencite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHtextcite] = ACTIONS(5443),
    [anon_sym_BSLASHTextcite] = ACTIONS(5443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHsupercite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite] = ACTIONS(5443),
    [anon_sym_BSLASHAutocite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHVolcite] = ACTIONS(5443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHavolcite] = ACTIONS(5443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHNotecite] = ACTIONS(5443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHlabel] = ACTIONS(5447),
    [anon_sym_BSLASHref] = ACTIONS(5449),
    [anon_sym_BSLASHeqref] = ACTIONS(5449),
    [anon_sym_BSLASHvref] = ACTIONS(5449),
    [anon_sym_BSLASHVref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHpageref] = ACTIONS(5449),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHautopageref] = ACTIONS(5449),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcref] = ACTIONS(5449),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHCref] = ACTIONS(5449),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHCpageref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnameCref] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHCrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHnewlabel] = ACTIONS(5457),
    [anon_sym_BSLASHnewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(5459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHdef] = ACTIONS(5467),
    [anon_sym_BSLASHgdef] = ACTIONS(5467),
    [anon_sym_BSLASHedef] = ACTIONS(5467),
    [anon_sym_BSLASHxdef] = ACTIONS(5467),
    [anon_sym_BSLASHlet] = ACTIONS(5469),
    [anon_sym_BSLASHglet] = ACTIONS(5469),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(5471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(5471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(5479),
    [anon_sym_BSLASHgls] = ACTIONS(5481),
    [anon_sym_BSLASHGls] = ACTIONS(5481),
    [anon_sym_BSLASHGLS] = ACTIONS(5481),
    [anon_sym_BSLASHglspl] = ACTIONS(5481),
    [anon_sym_BSLASHGlspl] = ACTIONS(5481),
    [anon_sym_BSLASHGLSpl] = ACTIONS(5481),
    [anon_sym_BSLASHglsdisp] = ACTIONS(5481),
    [anon_sym_BSLASHglslink] = ACTIONS(5481),
    [anon_sym_BSLASHglstext] = ACTIONS(5481),
    [anon_sym_BSLASHGlstext] = ACTIONS(5481),
    [anon_sym_BSLASHGLStext] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(5481),
    [anon_sym_BSLASHglsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsname] = ACTIONS(5481),
    [anon_sym_BSLASHGlsname] = ACTIONS(5481),
    [anon_sym_BSLASHGLSname] = ACTIONS(5481),
    [anon_sym_BSLASHglssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHglsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(5481),
    [anon_sym_BSLASHnewacronym] = ACTIONS(5483),
    [anon_sym_BSLASHacrshort] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshort] = ACTIONS(5485),
    [anon_sym_BSLASHACRshort] = ACTIONS(5485),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrlong] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlong] = ACTIONS(5485),
    [anon_sym_BSLASHACRlong] = ACTIONS(5485),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrfull] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfull] = ACTIONS(5485),
    [anon_sym_BSLASHACRfull] = ACTIONS(5485),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHacs] = ACTIONS(5485),
    [anon_sym_BSLASHAcs] = ACTIONS(5485),
    [anon_sym_BSLASHacsp] = ACTIONS(5485),
    [anon_sym_BSLASHAcsp] = ACTIONS(5485),
    [anon_sym_BSLASHacl] = ACTIONS(5485),
    [anon_sym_BSLASHAcl] = ACTIONS(5485),
    [anon_sym_BSLASHaclp] = ACTIONS(5485),
    [anon_sym_BSLASHAclp] = ACTIONS(5485),
    [anon_sym_BSLASHacf] = ACTIONS(5485),
    [anon_sym_BSLASHAcf] = ACTIONS(5485),
    [anon_sym_BSLASHacfp] = ACTIONS(5485),
    [anon_sym_BSLASHAcfp] = ACTIONS(5485),
    [anon_sym_BSLASHac] = ACTIONS(5485),
    [anon_sym_BSLASHAc] = ACTIONS(5485),
    [anon_sym_BSLASHacp] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(5487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(5487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(5491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(5493),
    [anon_sym_BSLASHcolor] = ACTIONS(5495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(5495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(5495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(5495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(5495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(5497),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(5497),
    [anon_sym_BSLASHurl] = ACTIONS(5499),
    [anon_sym_BSLASHhref] = ACTIONS(5499),
  },
  [326] = {
    [sym_block_comment] = STATE(2161),
    [sym__text_content] = STATE(2161),
    [sym_curly_group] = STATE(2161),
    [sym_text] = STATE(2161),
    [sym_operator] = STATE(2147),
    [sym_subscript] = STATE(2147),
    [sym_superscript] = STATE(2147),
    [sym__math_content] = STATE(2161),
    [sym_displayed_equation] = STATE(2161),
    [sym_inline_formula] = STATE(2161),
    [sym_math_delimiter] = STATE(2161),
    [sym_text_mode] = STATE(2161),
    [sym__command] = STATE(2161),
    [sym_generic_command] = STATE(2161),
    [sym_title_declaration] = STATE(2161),
    [sym_author_declaration] = STATE(2161),
    [sym_package_include] = STATE(2161),
    [sym_class_include] = STATE(2161),
    [sym_latex_include] = STATE(2161),
    [sym_biblatex_include] = STATE(2161),
    [sym_bibstyle_include] = STATE(2161),
    [sym_bibtex_include] = STATE(2161),
    [sym_graphics_include] = STATE(2161),
    [sym_svg_include] = STATE(2161),
    [sym_inkscape_include] = STATE(2161),
    [sym_verbatim_include] = STATE(2161),
    [sym_import_include] = STATE(2161),
    [sym_caption] = STATE(2161),
    [sym_citation] = STATE(2161),
    [sym_label_definition] = STATE(2161),
    [sym_label_reference] = STATE(2161),
    [sym_label_reference_range] = STATE(2161),
    [sym_label_number] = STATE(2161),
    [sym_new_command_definition] = STATE(2161),
    [sym__new_command_definition] = STATE(2170),
    [sym__newer_command_definition] = STATE(2171),
    [sym__new_command_copy] = STATE(2172),
    [sym_old_command_definition] = STATE(2161),
    [sym_let_command_definition] = STATE(2161),
    [sym_paired_delimiter_definition] = STATE(2161),
    [sym_environment_definition] = STATE(2161),
    [sym__environment_definition] = STATE(2173),
    [sym__newer_environment_definition] = STATE(2174),
    [sym__new_environment_copy] = STATE(2175),
    [sym_glossary_entry_definition] = STATE(2161),
    [sym_glossary_entry_reference] = STATE(2161),
    [sym_acronym_definition] = STATE(2161),
    [sym_acronym_reference] = STATE(2161),
    [sym_theorem_definition] = STATE(2161),
    [sym_color_definition] = STATE(2161),
    [sym_color_set_definition] = STATE(2161),
    [sym_color_reference] = STATE(2161),
    [sym_tikz_library_import] = STATE(2161),
    [sym_hyperlink] = STATE(2161),
    [aux_sym_curly_group_author_list_repeat1] = STATE(305),
    [aux_sym_text_repeat1] = STATE(335),
    [sym_command_name] = ACTIONS(5381),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(5383),
    [anon_sym_LPAREN] = ACTIONS(5385),
    [anon_sym_RPAREN] = ACTIONS(5385),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(5911),
    [sym_word] = ACTIONS(5393),
    [sym_placeholder] = ACTIONS(5395),
    [sym_delimiter] = ACTIONS(5395),
    [anon_sym_PLUS] = ACTIONS(5397),
    [anon_sym_DASH] = ACTIONS(5397),
    [anon_sym_STAR] = ACTIONS(5397),
    [anon_sym_SLASH] = ACTIONS(5397),
    [anon_sym_LT] = ACTIONS(5399),
    [anon_sym_GT] = ACTIONS(5399),
    [anon_sym_BANG] = ACTIONS(5399),
    [anon_sym_PIPE] = ACTIONS(5399),
    [anon_sym_COLON] = ACTIONS(5399),
    [anon_sym_SQUOTE] = ACTIONS(5399),
    [anon_sym__] = ACTIONS(5401),
    [anon_sym_CARET] = ACTIONS(5403),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5405),
    [anon_sym_DOLLAR] = ACTIONS(5407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5409),
    [anon_sym_BSLASHleft] = ACTIONS(5411),
    [anon_sym_BSLASHbigl] = ACTIONS(5411),
    [anon_sym_BSLASHBigl] = ACTIONS(5411),
    [anon_sym_BSLASHbiggl] = ACTIONS(5411),
    [anon_sym_BSLASHBiggl] = ACTIONS(5411),
    [anon_sym_BSLASHtext] = ACTIONS(5413),
    [anon_sym_BSLASHintertext] = ACTIONS(5413),
    [anon_sym_BSLASHshortintertext] = ACTIONS(5413),
    [anon_sym_BSLASHtitle] = ACTIONS(5415),
    [anon_sym_BSLASHauthor] = ACTIONS(5417),
    [anon_sym_BSLASHusepackage] = ACTIONS(5419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(5419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(5421),
    [anon_sym_BSLASHinclude] = ACTIONS(5423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(5423),
    [anon_sym_BSLASHinput] = ACTIONS(5423),
    [anon_sym_BSLASHsubfile] = ACTIONS(5423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(5425),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(5427),
    [anon_sym_BSLASHbibliography] = ACTIONS(5429),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(5431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(5433),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(5435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(5437),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(5437),
    [anon_sym_BSLASHimport] = ACTIONS(5439),
    [anon_sym_BSLASHsubimport] = ACTIONS(5439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(5439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHcaption] = ACTIONS(5441),
    [anon_sym_BSLASHcite] = ACTIONS(5443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCite] = ACTIONS(5443),
    [anon_sym_BSLASHnocite] = ACTIONS(5443),
    [anon_sym_BSLASHcitet] = ACTIONS(5443),
    [anon_sym_BSLASHcitep] = ACTIONS(5443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteA] = ACTIONS(5443),
    [anon_sym_BSLASHciteR] = ACTIONS(5443),
    [anon_sym_BSLASHciteS] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(5443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteyear] = ACTIONS(5443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitedate] = ACTIONS(5443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteurl] = ACTIONS(5443),
    [anon_sym_BSLASHfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(5443),
    [anon_sym_BSLASHcitealt] = ACTIONS(5443),
    [anon_sym_BSLASHcitealp] = ACTIONS(5443),
    [anon_sym_BSLASHcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHparencite] = ACTIONS(5443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHParencite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHtextcite] = ACTIONS(5443),
    [anon_sym_BSLASHTextcite] = ACTIONS(5443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHsupercite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite] = ACTIONS(5443),
    [anon_sym_BSLASHAutocite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHVolcite] = ACTIONS(5443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHavolcite] = ACTIONS(5443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHNotecite] = ACTIONS(5443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHlabel] = ACTIONS(5447),
    [anon_sym_BSLASHref] = ACTIONS(5449),
    [anon_sym_BSLASHeqref] = ACTIONS(5449),
    [anon_sym_BSLASHvref] = ACTIONS(5449),
    [anon_sym_BSLASHVref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHpageref] = ACTIONS(5449),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHautopageref] = ACTIONS(5449),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcref] = ACTIONS(5449),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHCref] = ACTIONS(5449),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHCpageref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnameCref] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHCrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHnewlabel] = ACTIONS(5457),
    [anon_sym_BSLASHnewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(5459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHdef] = ACTIONS(5467),
    [anon_sym_BSLASHgdef] = ACTIONS(5467),
    [anon_sym_BSLASHedef] = ACTIONS(5467),
    [anon_sym_BSLASHxdef] = ACTIONS(5467),
    [anon_sym_BSLASHlet] = ACTIONS(5469),
    [anon_sym_BSLASHglet] = ACTIONS(5469),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(5471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(5471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(5479),
    [anon_sym_BSLASHgls] = ACTIONS(5481),
    [anon_sym_BSLASHGls] = ACTIONS(5481),
    [anon_sym_BSLASHGLS] = ACTIONS(5481),
    [anon_sym_BSLASHglspl] = ACTIONS(5481),
    [anon_sym_BSLASHGlspl] = ACTIONS(5481),
    [anon_sym_BSLASHGLSpl] = ACTIONS(5481),
    [anon_sym_BSLASHglsdisp] = ACTIONS(5481),
    [anon_sym_BSLASHglslink] = ACTIONS(5481),
    [anon_sym_BSLASHglstext] = ACTIONS(5481),
    [anon_sym_BSLASHGlstext] = ACTIONS(5481),
    [anon_sym_BSLASHGLStext] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(5481),
    [anon_sym_BSLASHglsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsname] = ACTIONS(5481),
    [anon_sym_BSLASHGlsname] = ACTIONS(5481),
    [anon_sym_BSLASHGLSname] = ACTIONS(5481),
    [anon_sym_BSLASHglssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHglsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(5481),
    [anon_sym_BSLASHnewacronym] = ACTIONS(5483),
    [anon_sym_BSLASHacrshort] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshort] = ACTIONS(5485),
    [anon_sym_BSLASHACRshort] = ACTIONS(5485),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrlong] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlong] = ACTIONS(5485),
    [anon_sym_BSLASHACRlong] = ACTIONS(5485),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrfull] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfull] = ACTIONS(5485),
    [anon_sym_BSLASHACRfull] = ACTIONS(5485),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHacs] = ACTIONS(5485),
    [anon_sym_BSLASHAcs] = ACTIONS(5485),
    [anon_sym_BSLASHacsp] = ACTIONS(5485),
    [anon_sym_BSLASHAcsp] = ACTIONS(5485),
    [anon_sym_BSLASHacl] = ACTIONS(5485),
    [anon_sym_BSLASHAcl] = ACTIONS(5485),
    [anon_sym_BSLASHaclp] = ACTIONS(5485),
    [anon_sym_BSLASHAclp] = ACTIONS(5485),
    [anon_sym_BSLASHacf] = ACTIONS(5485),
    [anon_sym_BSLASHAcf] = ACTIONS(5485),
    [anon_sym_BSLASHacfp] = ACTIONS(5485),
    [anon_sym_BSLASHAcfp] = ACTIONS(5485),
    [anon_sym_BSLASHac] = ACTIONS(5485),
    [anon_sym_BSLASHAc] = ACTIONS(5485),
    [anon_sym_BSLASHacp] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(5487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(5487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(5491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(5493),
    [anon_sym_BSLASHcolor] = ACTIONS(5495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(5495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(5495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(5495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(5495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(5497),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(5497),
    [anon_sym_BSLASHurl] = ACTIONS(5499),
    [anon_sym_BSLASHhref] = ACTIONS(5499),
  },
  [327] = {
    [sym_block_comment] = STATE(2161),
    [sym__text_content] = STATE(2161),
    [sym_curly_group] = STATE(2161),
    [sym_text] = STATE(2161),
    [sym_operator] = STATE(2147),
    [sym_subscript] = STATE(2147),
    [sym_superscript] = STATE(2147),
    [sym__math_content] = STATE(2161),
    [sym_displayed_equation] = STATE(2161),
    [sym_inline_formula] = STATE(2161),
    [sym_math_delimiter] = STATE(2161),
    [sym_text_mode] = STATE(2161),
    [sym__command] = STATE(2161),
    [sym_generic_command] = STATE(2161),
    [sym_title_declaration] = STATE(2161),
    [sym_author_declaration] = STATE(2161),
    [sym_package_include] = STATE(2161),
    [sym_class_include] = STATE(2161),
    [sym_latex_include] = STATE(2161),
    [sym_biblatex_include] = STATE(2161),
    [sym_bibstyle_include] = STATE(2161),
    [sym_bibtex_include] = STATE(2161),
    [sym_graphics_include] = STATE(2161),
    [sym_svg_include] = STATE(2161),
    [sym_inkscape_include] = STATE(2161),
    [sym_verbatim_include] = STATE(2161),
    [sym_import_include] = STATE(2161),
    [sym_caption] = STATE(2161),
    [sym_citation] = STATE(2161),
    [sym_label_definition] = STATE(2161),
    [sym_label_reference] = STATE(2161),
    [sym_label_reference_range] = STATE(2161),
    [sym_label_number] = STATE(2161),
    [sym_new_command_definition] = STATE(2161),
    [sym__new_command_definition] = STATE(2170),
    [sym__newer_command_definition] = STATE(2171),
    [sym__new_command_copy] = STATE(2172),
    [sym_old_command_definition] = STATE(2161),
    [sym_let_command_definition] = STATE(2161),
    [sym_paired_delimiter_definition] = STATE(2161),
    [sym_environment_definition] = STATE(2161),
    [sym__environment_definition] = STATE(2173),
    [sym__newer_environment_definition] = STATE(2174),
    [sym__new_environment_copy] = STATE(2175),
    [sym_glossary_entry_definition] = STATE(2161),
    [sym_glossary_entry_reference] = STATE(2161),
    [sym_acronym_definition] = STATE(2161),
    [sym_acronym_reference] = STATE(2161),
    [sym_theorem_definition] = STATE(2161),
    [sym_color_definition] = STATE(2161),
    [sym_color_set_definition] = STATE(2161),
    [sym_color_reference] = STATE(2161),
    [sym_tikz_library_import] = STATE(2161),
    [sym_hyperlink] = STATE(2161),
    [aux_sym_curly_group_author_list_repeat1] = STATE(301),
    [aux_sym_text_repeat1] = STATE(335),
    [sym_command_name] = ACTIONS(5381),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(5383),
    [anon_sym_LPAREN] = ACTIONS(5385),
    [anon_sym_RPAREN] = ACTIONS(5385),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(5913),
    [sym_word] = ACTIONS(5393),
    [sym_placeholder] = ACTIONS(5395),
    [sym_delimiter] = ACTIONS(5395),
    [anon_sym_PLUS] = ACTIONS(5397),
    [anon_sym_DASH] = ACTIONS(5397),
    [anon_sym_STAR] = ACTIONS(5397),
    [anon_sym_SLASH] = ACTIONS(5397),
    [anon_sym_LT] = ACTIONS(5399),
    [anon_sym_GT] = ACTIONS(5399),
    [anon_sym_BANG] = ACTIONS(5399),
    [anon_sym_PIPE] = ACTIONS(5399),
    [anon_sym_COLON] = ACTIONS(5399),
    [anon_sym_SQUOTE] = ACTIONS(5399),
    [anon_sym__] = ACTIONS(5401),
    [anon_sym_CARET] = ACTIONS(5403),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5405),
    [anon_sym_DOLLAR] = ACTIONS(5407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5409),
    [anon_sym_BSLASHleft] = ACTIONS(5411),
    [anon_sym_BSLASHbigl] = ACTIONS(5411),
    [anon_sym_BSLASHBigl] = ACTIONS(5411),
    [anon_sym_BSLASHbiggl] = ACTIONS(5411),
    [anon_sym_BSLASHBiggl] = ACTIONS(5411),
    [anon_sym_BSLASHtext] = ACTIONS(5413),
    [anon_sym_BSLASHintertext] = ACTIONS(5413),
    [anon_sym_BSLASHshortintertext] = ACTIONS(5413),
    [anon_sym_BSLASHtitle] = ACTIONS(5415),
    [anon_sym_BSLASHauthor] = ACTIONS(5417),
    [anon_sym_BSLASHusepackage] = ACTIONS(5419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(5419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(5421),
    [anon_sym_BSLASHinclude] = ACTIONS(5423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(5423),
    [anon_sym_BSLASHinput] = ACTIONS(5423),
    [anon_sym_BSLASHsubfile] = ACTIONS(5423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(5425),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(5427),
    [anon_sym_BSLASHbibliography] = ACTIONS(5429),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(5431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(5433),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(5435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(5437),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(5437),
    [anon_sym_BSLASHimport] = ACTIONS(5439),
    [anon_sym_BSLASHsubimport] = ACTIONS(5439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(5439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHcaption] = ACTIONS(5441),
    [anon_sym_BSLASHcite] = ACTIONS(5443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCite] = ACTIONS(5443),
    [anon_sym_BSLASHnocite] = ACTIONS(5443),
    [anon_sym_BSLASHcitet] = ACTIONS(5443),
    [anon_sym_BSLASHcitep] = ACTIONS(5443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteA] = ACTIONS(5443),
    [anon_sym_BSLASHciteR] = ACTIONS(5443),
    [anon_sym_BSLASHciteS] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(5443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteyear] = ACTIONS(5443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitedate] = ACTIONS(5443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteurl] = ACTIONS(5443),
    [anon_sym_BSLASHfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(5443),
    [anon_sym_BSLASHcitealt] = ACTIONS(5443),
    [anon_sym_BSLASHcitealp] = ACTIONS(5443),
    [anon_sym_BSLASHcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHparencite] = ACTIONS(5443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHParencite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHtextcite] = ACTIONS(5443),
    [anon_sym_BSLASHTextcite] = ACTIONS(5443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHsupercite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite] = ACTIONS(5443),
    [anon_sym_BSLASHAutocite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHVolcite] = ACTIONS(5443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHavolcite] = ACTIONS(5443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHNotecite] = ACTIONS(5443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHlabel] = ACTIONS(5447),
    [anon_sym_BSLASHref] = ACTIONS(5449),
    [anon_sym_BSLASHeqref] = ACTIONS(5449),
    [anon_sym_BSLASHvref] = ACTIONS(5449),
    [anon_sym_BSLASHVref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHpageref] = ACTIONS(5449),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHautopageref] = ACTIONS(5449),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcref] = ACTIONS(5449),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHCref] = ACTIONS(5449),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHCpageref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnameCref] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHCrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHnewlabel] = ACTIONS(5457),
    [anon_sym_BSLASHnewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(5459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHdef] = ACTIONS(5467),
    [anon_sym_BSLASHgdef] = ACTIONS(5467),
    [anon_sym_BSLASHedef] = ACTIONS(5467),
    [anon_sym_BSLASHxdef] = ACTIONS(5467),
    [anon_sym_BSLASHlet] = ACTIONS(5469),
    [anon_sym_BSLASHglet] = ACTIONS(5469),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(5471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(5471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(5479),
    [anon_sym_BSLASHgls] = ACTIONS(5481),
    [anon_sym_BSLASHGls] = ACTIONS(5481),
    [anon_sym_BSLASHGLS] = ACTIONS(5481),
    [anon_sym_BSLASHglspl] = ACTIONS(5481),
    [anon_sym_BSLASHGlspl] = ACTIONS(5481),
    [anon_sym_BSLASHGLSpl] = ACTIONS(5481),
    [anon_sym_BSLASHglsdisp] = ACTIONS(5481),
    [anon_sym_BSLASHglslink] = ACTIONS(5481),
    [anon_sym_BSLASHglstext] = ACTIONS(5481),
    [anon_sym_BSLASHGlstext] = ACTIONS(5481),
    [anon_sym_BSLASHGLStext] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(5481),
    [anon_sym_BSLASHglsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsname] = ACTIONS(5481),
    [anon_sym_BSLASHGlsname] = ACTIONS(5481),
    [anon_sym_BSLASHGLSname] = ACTIONS(5481),
    [anon_sym_BSLASHglssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHglsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(5481),
    [anon_sym_BSLASHnewacronym] = ACTIONS(5483),
    [anon_sym_BSLASHacrshort] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshort] = ACTIONS(5485),
    [anon_sym_BSLASHACRshort] = ACTIONS(5485),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrlong] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlong] = ACTIONS(5485),
    [anon_sym_BSLASHACRlong] = ACTIONS(5485),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrfull] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfull] = ACTIONS(5485),
    [anon_sym_BSLASHACRfull] = ACTIONS(5485),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHacs] = ACTIONS(5485),
    [anon_sym_BSLASHAcs] = ACTIONS(5485),
    [anon_sym_BSLASHacsp] = ACTIONS(5485),
    [anon_sym_BSLASHAcsp] = ACTIONS(5485),
    [anon_sym_BSLASHacl] = ACTIONS(5485),
    [anon_sym_BSLASHAcl] = ACTIONS(5485),
    [anon_sym_BSLASHaclp] = ACTIONS(5485),
    [anon_sym_BSLASHAclp] = ACTIONS(5485),
    [anon_sym_BSLASHacf] = ACTIONS(5485),
    [anon_sym_BSLASHAcf] = ACTIONS(5485),
    [anon_sym_BSLASHacfp] = ACTIONS(5485),
    [anon_sym_BSLASHAcfp] = ACTIONS(5485),
    [anon_sym_BSLASHac] = ACTIONS(5485),
    [anon_sym_BSLASHAc] = ACTIONS(5485),
    [anon_sym_BSLASHacp] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(5487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(5487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(5491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(5493),
    [anon_sym_BSLASHcolor] = ACTIONS(5495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(5495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(5495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(5495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(5495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(5497),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(5497),
    [anon_sym_BSLASHurl] = ACTIONS(5499),
    [anon_sym_BSLASHhref] = ACTIONS(5499),
  },
  [328] = {
    [sym_block_comment] = STATE(2161),
    [sym__text_content] = STATE(2161),
    [sym_curly_group] = STATE(2161),
    [sym_text] = STATE(2161),
    [sym_operator] = STATE(2147),
    [sym_subscript] = STATE(2147),
    [sym_superscript] = STATE(2147),
    [sym__math_content] = STATE(2161),
    [sym_displayed_equation] = STATE(2161),
    [sym_inline_formula] = STATE(2161),
    [sym_math_delimiter] = STATE(2161),
    [sym_text_mode] = STATE(2161),
    [sym__command] = STATE(2161),
    [sym_generic_command] = STATE(2161),
    [sym_title_declaration] = STATE(2161),
    [sym_author_declaration] = STATE(2161),
    [sym_package_include] = STATE(2161),
    [sym_class_include] = STATE(2161),
    [sym_latex_include] = STATE(2161),
    [sym_biblatex_include] = STATE(2161),
    [sym_bibstyle_include] = STATE(2161),
    [sym_bibtex_include] = STATE(2161),
    [sym_graphics_include] = STATE(2161),
    [sym_svg_include] = STATE(2161),
    [sym_inkscape_include] = STATE(2161),
    [sym_verbatim_include] = STATE(2161),
    [sym_import_include] = STATE(2161),
    [sym_caption] = STATE(2161),
    [sym_citation] = STATE(2161),
    [sym_label_definition] = STATE(2161),
    [sym_label_reference] = STATE(2161),
    [sym_label_reference_range] = STATE(2161),
    [sym_label_number] = STATE(2161),
    [sym_new_command_definition] = STATE(2161),
    [sym__new_command_definition] = STATE(2170),
    [sym__newer_command_definition] = STATE(2171),
    [sym__new_command_copy] = STATE(2172),
    [sym_old_command_definition] = STATE(2161),
    [sym_let_command_definition] = STATE(2161),
    [sym_paired_delimiter_definition] = STATE(2161),
    [sym_environment_definition] = STATE(2161),
    [sym__environment_definition] = STATE(2173),
    [sym__newer_environment_definition] = STATE(2174),
    [sym__new_environment_copy] = STATE(2175),
    [sym_glossary_entry_definition] = STATE(2161),
    [sym_glossary_entry_reference] = STATE(2161),
    [sym_acronym_definition] = STATE(2161),
    [sym_acronym_reference] = STATE(2161),
    [sym_theorem_definition] = STATE(2161),
    [sym_color_definition] = STATE(2161),
    [sym_color_set_definition] = STATE(2161),
    [sym_color_reference] = STATE(2161),
    [sym_tikz_library_import] = STATE(2161),
    [sym_hyperlink] = STATE(2161),
    [aux_sym_curly_group_author_list_repeat1] = STATE(315),
    [aux_sym_text_repeat1] = STATE(335),
    [sym_command_name] = ACTIONS(5381),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(5383),
    [anon_sym_LPAREN] = ACTIONS(5385),
    [anon_sym_RPAREN] = ACTIONS(5385),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [sym_word] = ACTIONS(5393),
    [sym_placeholder] = ACTIONS(5395),
    [sym_delimiter] = ACTIONS(5395),
    [anon_sym_PLUS] = ACTIONS(5397),
    [anon_sym_DASH] = ACTIONS(5397),
    [anon_sym_STAR] = ACTIONS(5397),
    [anon_sym_SLASH] = ACTIONS(5397),
    [anon_sym_LT] = ACTIONS(5399),
    [anon_sym_GT] = ACTIONS(5399),
    [anon_sym_BANG] = ACTIONS(5399),
    [anon_sym_PIPE] = ACTIONS(5399),
    [anon_sym_COLON] = ACTIONS(5399),
    [anon_sym_SQUOTE] = ACTIONS(5399),
    [anon_sym__] = ACTIONS(5401),
    [anon_sym_CARET] = ACTIONS(5403),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(5405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(5405),
    [anon_sym_DOLLAR] = ACTIONS(5407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(5409),
    [anon_sym_BSLASHleft] = ACTIONS(5411),
    [anon_sym_BSLASHbigl] = ACTIONS(5411),
    [anon_sym_BSLASHBigl] = ACTIONS(5411),
    [anon_sym_BSLASHbiggl] = ACTIONS(5411),
    [anon_sym_BSLASHBiggl] = ACTIONS(5411),
    [anon_sym_BSLASHtext] = ACTIONS(5413),
    [anon_sym_BSLASHintertext] = ACTIONS(5413),
    [anon_sym_BSLASHshortintertext] = ACTIONS(5413),
    [anon_sym_BSLASHtitle] = ACTIONS(5415),
    [anon_sym_BSLASHauthor] = ACTIONS(5417),
    [anon_sym_BSLASHusepackage] = ACTIONS(5419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(5419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(5421),
    [anon_sym_BSLASHinclude] = ACTIONS(5423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(5423),
    [anon_sym_BSLASHinput] = ACTIONS(5423),
    [anon_sym_BSLASHsubfile] = ACTIONS(5423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(5425),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(5427),
    [anon_sym_BSLASHbibliography] = ACTIONS(5429),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(5431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(5433),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(5435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(5437),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(5437),
    [anon_sym_BSLASHimport] = ACTIONS(5439),
    [anon_sym_BSLASHsubimport] = ACTIONS(5439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(5439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHcaption] = ACTIONS(5441),
    [anon_sym_BSLASHcite] = ACTIONS(5443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCite] = ACTIONS(5443),
    [anon_sym_BSLASHnocite] = ACTIONS(5443),
    [anon_sym_BSLASHcitet] = ACTIONS(5443),
    [anon_sym_BSLASHcitep] = ACTIONS(5443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteA] = ACTIONS(5443),
    [anon_sym_BSLASHciteR] = ACTIONS(5443),
    [anon_sym_BSLASHciteS] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(5443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteyear] = ACTIONS(5443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitedate] = ACTIONS(5443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteurl] = ACTIONS(5443),
    [anon_sym_BSLASHfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(5443),
    [anon_sym_BSLASHcitealt] = ACTIONS(5443),
    [anon_sym_BSLASHcitealp] = ACTIONS(5443),
    [anon_sym_BSLASHcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHparencite] = ACTIONS(5443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHParencite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHtextcite] = ACTIONS(5443),
    [anon_sym_BSLASHTextcite] = ACTIONS(5443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHsupercite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite] = ACTIONS(5443),
    [anon_sym_BSLASHAutocite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHVolcite] = ACTIONS(5443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHavolcite] = ACTIONS(5443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHNotecite] = ACTIONS(5443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHlabel] = ACTIONS(5447),
    [anon_sym_BSLASHref] = ACTIONS(5449),
    [anon_sym_BSLASHeqref] = ACTIONS(5449),
    [anon_sym_BSLASHvref] = ACTIONS(5449),
    [anon_sym_BSLASHVref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHpageref] = ACTIONS(5449),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHautopageref] = ACTIONS(5449),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcref] = ACTIONS(5449),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHCref] = ACTIONS(5449),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHCpageref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnameCref] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHCrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHnewlabel] = ACTIONS(5457),
    [anon_sym_BSLASHnewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(5459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHdef] = ACTIONS(5467),
    [anon_sym_BSLASHgdef] = ACTIONS(5467),
    [anon_sym_BSLASHedef] = ACTIONS(5467),
    [anon_sym_BSLASHxdef] = ACTIONS(5467),
    [anon_sym_BSLASHlet] = ACTIONS(5469),
    [anon_sym_BSLASHglet] = ACTIONS(5469),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(5471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(5471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(5479),
    [anon_sym_BSLASHgls] = ACTIONS(5481),
    [anon_sym_BSLASHGls] = ACTIONS(5481),
    [anon_sym_BSLASHGLS] = ACTIONS(5481),
    [anon_sym_BSLASHglspl] = ACTIONS(5481),
    [anon_sym_BSLASHGlspl] = ACTIONS(5481),
    [anon_sym_BSLASHGLSpl] = ACTIONS(5481),
    [anon_sym_BSLASHglsdisp] = ACTIONS(5481),
    [anon_sym_BSLASHglslink] = ACTIONS(5481),
    [anon_sym_BSLASHglstext] = ACTIONS(5481),
    [anon_sym_BSLASHGlstext] = ACTIONS(5481),
    [anon_sym_BSLASHGLStext] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(5481),
    [anon_sym_BSLASHglsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsname] = ACTIONS(5481),
    [anon_sym_BSLASHGlsname] = ACTIONS(5481),
    [anon_sym_BSLASHGLSname] = ACTIONS(5481),
    [anon_sym_BSLASHglssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHglsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(5481),
    [anon_sym_BSLASHnewacronym] = ACTIONS(5483),
    [anon_sym_BSLASHacrshort] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshort] = ACTIONS(5485),
    [anon_sym_BSLASHACRshort] = ACTIONS(5485),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrlong] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlong] = ACTIONS(5485),
    [anon_sym_BSLASHACRlong] = ACTIONS(5485),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrfull] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfull] = ACTIONS(5485),
    [anon_sym_BSLASHACRfull] = ACTIONS(5485),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHacs] = ACTIONS(5485),
    [anon_sym_BSLASHAcs] = ACTIONS(5485),
    [anon_sym_BSLASHacsp] = ACTIONS(5485),
    [anon_sym_BSLASHAcsp] = ACTIONS(5485),
    [anon_sym_BSLASHacl] = ACTIONS(5485),
    [anon_sym_BSLASHAcl] = ACTIONS(5485),
    [anon_sym_BSLASHaclp] = ACTIONS(5485),
    [anon_sym_BSLASHAclp] = ACTIONS(5485),
    [anon_sym_BSLASHacf] = ACTIONS(5485),
    [anon_sym_BSLASHAcf] = ACTIONS(5485),
    [anon_sym_BSLASHacfp] = ACTIONS(5485),
    [anon_sym_BSLASHAcfp] = ACTIONS(5485),
    [anon_sym_BSLASHac] = ACTIONS(5485),
    [anon_sym_BSLASHAc] = ACTIONS(5485),
    [anon_sym_BSLASHacp] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(5487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(5487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(5491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(5493),
    [anon_sym_BSLASHcolor] = ACTIONS(5495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(5495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(5495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(5495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(5495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(5497),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(5497),
    [anon_sym_BSLASHurl] = ACTIONS(5499),
    [anon_sym_BSLASHhref] = ACTIONS(5499),
  },
  [329] = {
    [sym_block_comment] = STATE(1732),
    [sym_operator] = STATE(1732),
    [sym_subscript] = STATE(1732),
    [sym_superscript] = STATE(1732),
    [sym__command] = STATE(1732),
    [sym_generic_command] = STATE(1732),
    [sym_title_declaration] = STATE(1732),
    [sym_author_declaration] = STATE(1732),
    [sym_package_include] = STATE(1732),
    [sym_class_include] = STATE(1732),
    [sym_latex_include] = STATE(1732),
    [sym_biblatex_include] = STATE(1732),
    [sym_bibstyle_include] = STATE(1732),
    [sym_bibtex_include] = STATE(1732),
    [sym_graphics_include] = STATE(1732),
    [sym_svg_include] = STATE(1732),
    [sym_inkscape_include] = STATE(1732),
    [sym_verbatim_include] = STATE(1732),
    [sym_import_include] = STATE(1732),
    [sym_caption] = STATE(1732),
    [sym_citation] = STATE(1732),
    [sym_label_definition] = STATE(1732),
    [sym_label_reference] = STATE(1732),
    [sym_label_reference_range] = STATE(1732),
    [sym_label_number] = STATE(1732),
    [sym_new_command_definition] = STATE(1732),
    [sym__new_command_definition] = STATE(1786),
    [sym__newer_command_definition] = STATE(1788),
    [sym__new_command_copy] = STATE(1792),
    [sym_old_command_definition] = STATE(1732),
    [sym_let_command_definition] = STATE(1732),
    [sym_paired_delimiter_definition] = STATE(1732),
    [sym_environment_definition] = STATE(1732),
    [sym__environment_definition] = STATE(1794),
    [sym__newer_environment_definition] = STATE(1799),
    [sym__new_environment_copy] = STATE(1801),
    [sym_glossary_entry_definition] = STATE(1732),
    [sym_glossary_entry_reference] = STATE(1732),
    [sym_acronym_definition] = STATE(1732),
    [sym_acronym_reference] = STATE(1732),
    [sym_theorem_definition] = STATE(1732),
    [sym_color_definition] = STATE(1732),
    [sym_color_set_definition] = STATE(1732),
    [sym_color_reference] = STATE(1732),
    [sym_tikz_library_import] = STATE(1732),
    [sym_hyperlink] = STATE(1732),
    [aux_sym_text_repeat1] = STATE(330),
    [sym_command_name] = ACTIONS(3275),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(4196),
    [anon_sym_RBRACK] = ACTIONS(4196),
    [anon_sym_COMMA] = ACTIONS(4196),
    [anon_sym_EQ] = ACTIONS(4196),
    [anon_sym_LPAREN] = ACTIONS(4196),
    [anon_sym_RPAREN] = ACTIONS(4196),
    [anon_sym_LBRACE] = ACTIONS(4196),
    [sym_word] = ACTIONS(3283),
    [sym_placeholder] = ACTIONS(3285),
    [sym_delimiter] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_STAR] = ACTIONS(3287),
    [anon_sym_SLASH] = ACTIONS(3287),
    [anon_sym_LT] = ACTIONS(3289),
    [anon_sym_GT] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_PIPE] = ACTIONS(3289),
    [anon_sym_COLON] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym__] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3293),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4196),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4196),
    [anon_sym_DOLLAR] = ACTIONS(4198),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4196),
    [anon_sym_BSLASHleft] = ACTIONS(4198),
    [anon_sym_BSLASHbigl] = ACTIONS(4198),
    [anon_sym_BSLASHBigl] = ACTIONS(4198),
    [anon_sym_BSLASHbiggl] = ACTIONS(4198),
    [anon_sym_BSLASHBiggl] = ACTIONS(4198),
    [anon_sym_BSLASHtext] = ACTIONS(4198),
    [anon_sym_BSLASHintertext] = ACTIONS(4198),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4198),
    [anon_sym_BSLASHbegin] = ACTIONS(4198),
    [anon_sym_BSLASHend] = ACTIONS(4198),
    [anon_sym_BSLASHtitle] = ACTIONS(3307),
    [anon_sym_BSLASHauthor] = ACTIONS(3309),
    [anon_sym_BSLASHusepackage] = ACTIONS(3311),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3311),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3313),
    [anon_sym_BSLASHinclude] = ACTIONS(3315),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3315),
    [anon_sym_BSLASHinput] = ACTIONS(3315),
    [anon_sym_BSLASHsubfile] = ACTIONS(3315),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3317),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3319),
    [anon_sym_BSLASHbibliography] = ACTIONS(3321),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3323),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3325),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3327),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3329),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3329),
    [anon_sym_BSLASHimport] = ACTIONS(3331),
    [anon_sym_BSLASHsubimport] = ACTIONS(3331),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3331),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3331),
    [anon_sym_BSLASHcaption] = ACTIONS(3333),
    [anon_sym_BSLASHcite] = ACTIONS(3335),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCite] = ACTIONS(3335),
    [anon_sym_BSLASHnocite] = ACTIONS(3335),
    [anon_sym_BSLASHcitet] = ACTIONS(3335),
    [anon_sym_BSLASHcitep] = ACTIONS(3335),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteA] = ACTIONS(3335),
    [anon_sym_BSLASHciteR] = ACTIONS(3335),
    [anon_sym_BSLASHciteS] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3335),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3335),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteyear] = ACTIONS(3335),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHcitedate] = ACTIONS(3335),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHciteurl] = ACTIONS(3335),
    [anon_sym_BSLASHfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3335),
    [anon_sym_BSLASHcitealt] = ACTIONS(3335),
    [anon_sym_BSLASHcitealp] = ACTIONS(3335),
    [anon_sym_BSLASHcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHparencite] = ACTIONS(3335),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHParencite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3335),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3335),
    [anon_sym_BSLASHtextcite] = ACTIONS(3335),
    [anon_sym_BSLASHTextcite] = ACTIONS(3335),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3335),
    [anon_sym_BSLASHsupercite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite] = ACTIONS(3335),
    [anon_sym_BSLASHAutocite] = ACTIONS(3335),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3337),
    [anon_sym_BSLASHvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHVolcite] = ACTIONS(3335),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHavolcite] = ACTIONS(3335),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3335),
    [anon_sym_BSLASHnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHNotecite] = ACTIONS(3335),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3335),
    [anon_sym_BSLASHlabel] = ACTIONS(3339),
    [anon_sym_BSLASHref] = ACTIONS(3341),
    [anon_sym_BSLASHeqref] = ACTIONS(3341),
    [anon_sym_BSLASHvref] = ACTIONS(3341),
    [anon_sym_BSLASHVref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref] = ACTIONS(3341),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHpageref] = ACTIONS(3341),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHautopageref] = ACTIONS(3341),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcref] = ACTIONS(3341),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHCref] = ACTIONS(3341),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHCpageref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnameCref] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3341),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3341),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3343),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3347),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3345),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3349),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3351),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3351),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3351),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3353),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(3355),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(3357),
    [anon_sym_BSLASHdef] = ACTIONS(3359),
    [anon_sym_BSLASHgdef] = ACTIONS(3359),
    [anon_sym_BSLASHedef] = ACTIONS(3359),
    [anon_sym_BSLASHxdef] = ACTIONS(3359),
    [anon_sym_BSLASHlet] = ACTIONS(3361),
    [anon_sym_BSLASHglet] = ACTIONS(3361),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(3363),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(3363),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(3365),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(3367),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(3369),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(3371),
    [anon_sym_BSLASHgls] = ACTIONS(3373),
    [anon_sym_BSLASHGls] = ACTIONS(3373),
    [anon_sym_BSLASHGLS] = ACTIONS(3373),
    [anon_sym_BSLASHglspl] = ACTIONS(3373),
    [anon_sym_BSLASHGlspl] = ACTIONS(3373),
    [anon_sym_BSLASHGLSpl] = ACTIONS(3373),
    [anon_sym_BSLASHglsdisp] = ACTIONS(3373),
    [anon_sym_BSLASHglslink] = ACTIONS(3373),
    [anon_sym_BSLASHglstext] = ACTIONS(3373),
    [anon_sym_BSLASHGlstext] = ACTIONS(3373),
    [anon_sym_BSLASHGLStext] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(3373),
    [anon_sym_BSLASHglsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(3373),
    [anon_sym_BSLASHglsname] = ACTIONS(3373),
    [anon_sym_BSLASHGlsname] = ACTIONS(3373),
    [anon_sym_BSLASHGLSname] = ACTIONS(3373),
    [anon_sym_BSLASHglssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(3373),
    [anon_sym_BSLASHglsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(3373),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(3373),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(3373),
    [anon_sym_BSLASHglsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(3373),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(3373),
    [anon_sym_BSLASHnewacronym] = ACTIONS(3375),
    [anon_sym_BSLASHacrshort] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshort] = ACTIONS(3377),
    [anon_sym_BSLASHACRshort] = ACTIONS(3377),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrlong] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlong] = ACTIONS(3377),
    [anon_sym_BSLASHACRlong] = ACTIONS(3377),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(3377),
    [anon_sym_BSLASHacrfull] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfull] = ACTIONS(3377),
    [anon_sym_BSLASHACRfull] = ACTIONS(3377),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHacs] = ACTIONS(3377),
    [anon_sym_BSLASHAcs] = ACTIONS(3377),
    [anon_sym_BSLASHacsp] = ACTIONS(3377),
    [anon_sym_BSLASHAcsp] = ACTIONS(3377),
    [anon_sym_BSLASHacl] = ACTIONS(3377),
    [anon_sym_BSLASHAcl] = ACTIONS(3377),
    [anon_sym_BSLASHaclp] = ACTIONS(3377),
    [anon_sym_BSLASHAclp] = ACTIONS(3377),
    [anon_sym_BSLASHacf] = ACTIONS(3377),
    [anon_sym_BSLASHAcf] = ACTIONS(3377),
    [anon_sym_BSLASHacfp] = ACTIONS(3377),
    [anon_sym_BSLASHAcfp] = ACTIONS(3377),
    [anon_sym_BSLASHac] = ACTIONS(3377),
    [anon_sym_BSLASHAc] = ACTIONS(3377),
    [anon_sym_BSLASHacp] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(3377),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(3377),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(3377),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(3379),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(3379),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(3381),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(3383),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(3385),
    [anon_sym_BSLASHcolor] = ACTIONS(3387),
    [anon_sym_BSLASHpagecolor] = ACTIONS(3387),
    [anon_sym_BSLASHtextcolor] = ACTIONS(3387),
    [anon_sym_BSLASHmathcolor] = ACTIONS(3387),
    [anon_sym_BSLASHcolorbox] = ACTIONS(3387),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(3389),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(3389),
    [anon_sym_BSLASHurl] = ACTIONS(3391),
    [anon_sym_BSLASHhref] = ACTIONS(3391),
  },
  [330] = {
    [sym_block_comment] = STATE(1732),
    [sym_operator] = STATE(1732),
    [sym_subscript] = STATE(1732),
    [sym_superscript] = STATE(1732),
    [sym__command] = STATE(1732),
    [sym_generic_command] = STATE(1732),
    [sym_title_declaration] = STATE(1732),
    [sym_author_declaration] = STATE(1732),
    [sym_package_include] = STATE(1732),
    [sym_class_include] = STATE(1732),
    [sym_latex_include] = STATE(1732),
    [sym_biblatex_include] = STATE(1732),
    [sym_bibstyle_include] = STATE(1732),
    [sym_bibtex_include] = STATE(1732),
    [sym_graphics_include] = STATE(1732),
    [sym_svg_include] = STATE(1732),
    [sym_inkscape_include] = STATE(1732),
    [sym_verbatim_include] = STATE(1732),
    [sym_import_include] = STATE(1732),
    [sym_caption] = STATE(1732),
    [sym_citation] = STATE(1732),
    [sym_label_definition] = STATE(1732),
    [sym_label_reference] = STATE(1732),
    [sym_label_reference_range] = STATE(1732),
    [sym_label_number] = STATE(1732),
    [sym_new_command_definition] = STATE(1732),
    [sym__new_command_definition] = STATE(1786),
    [sym__newer_command_definition] = STATE(1788),
    [sym__new_command_copy] = STATE(1792),
    [sym_old_command_definition] = STATE(1732),
    [sym_let_command_definition] = STATE(1732),
    [sym_paired_delimiter_definition] = STATE(1732),
    [sym_environment_definition] = STATE(1732),
    [sym__environment_definition] = STATE(1794),
    [sym__newer_environment_definition] = STATE(1799),
    [sym__new_environment_copy] = STATE(1801),
    [sym_glossary_entry_definition] = STATE(1732),
    [sym_glossary_entry_reference] = STATE(1732),
    [sym_acronym_definition] = STATE(1732),
    [sym_acronym_reference] = STATE(1732),
    [sym_theorem_definition] = STATE(1732),
    [sym_color_definition] = STATE(1732),
    [sym_color_set_definition] = STATE(1732),
    [sym_color_reference] = STATE(1732),
    [sym_tikz_library_import] = STATE(1732),
    [sym_hyperlink] = STATE(1732),
    [aux_sym_text_repeat1] = STATE(330),
    [sym_command_name] = ACTIONS(5915),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(5918),
    [anon_sym_LBRACK] = ACTIONS(4045),
    [anon_sym_RBRACK] = ACTIONS(4045),
    [anon_sym_COMMA] = ACTIONS(4045),
    [anon_sym_EQ] = ACTIONS(4045),
    [anon_sym_LPAREN] = ACTIONS(4045),
    [anon_sym_RPAREN] = ACTIONS(4045),
    [anon_sym_LBRACE] = ACTIONS(4045),
    [sym_word] = ACTIONS(5921),
    [sym_placeholder] = ACTIONS(5924),
    [sym_delimiter] = ACTIONS(5924),
    [anon_sym_PLUS] = ACTIONS(5927),
    [anon_sym_DASH] = ACTIONS(5927),
    [anon_sym_STAR] = ACTIONS(5927),
    [anon_sym_SLASH] = ACTIONS(5927),
    [anon_sym_LT] = ACTIONS(5930),
    [anon_sym_GT] = ACTIONS(5930),
    [anon_sym_BANG] = ACTIONS(5930),
    [anon_sym_PIPE] = ACTIONS(5930),
    [anon_sym_COLON] = ACTIONS(5930),
    [anon_sym_SQUOTE] = ACTIONS(5930),
    [anon_sym__] = ACTIONS(5933),
    [anon_sym_CARET] = ACTIONS(5936),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4045),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4045),
    [anon_sym_DOLLAR] = ACTIONS(4047),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4045),
    [anon_sym_BSLASHleft] = ACTIONS(4047),
    [anon_sym_BSLASHbigl] = ACTIONS(4047),
    [anon_sym_BSLASHBigl] = ACTIONS(4047),
    [anon_sym_BSLASHbiggl] = ACTIONS(4047),
    [anon_sym_BSLASHBiggl] = ACTIONS(4047),
    [anon_sym_BSLASHtext] = ACTIONS(4047),
    [anon_sym_BSLASHintertext] = ACTIONS(4047),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4047),
    [anon_sym_BSLASHbegin] = ACTIONS(4047),
    [anon_sym_BSLASHend] = ACTIONS(4047),
    [anon_sym_BSLASHtitle] = ACTIONS(5939),
    [anon_sym_BSLASHauthor] = ACTIONS(5942),
    [anon_sym_BSLASHusepackage] = ACTIONS(5945),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(5945),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(5948),
    [anon_sym_BSLASHinclude] = ACTIONS(5951),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(5951),
    [anon_sym_BSLASHinput] = ACTIONS(5951),
    [anon_sym_BSLASHsubfile] = ACTIONS(5951),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(5954),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(5957),
    [anon_sym_BSLASHbibliography] = ACTIONS(5960),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(5963),
    [anon_sym_BSLASHincludesvg] = ACTIONS(5966),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(5969),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(5972),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(5972),
    [anon_sym_BSLASHimport] = ACTIONS(5975),
    [anon_sym_BSLASHsubimport] = ACTIONS(5975),
    [anon_sym_BSLASHinputfrom] = ACTIONS(5975),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(5975),
    [anon_sym_BSLASHincludefrom] = ACTIONS(5975),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(5975),
    [anon_sym_BSLASHcaption] = ACTIONS(5978),
    [anon_sym_BSLASHcite] = ACTIONS(5981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(5984),
    [anon_sym_BSLASHCite] = ACTIONS(5981),
    [anon_sym_BSLASHnocite] = ACTIONS(5981),
    [anon_sym_BSLASHcitet] = ACTIONS(5981),
    [anon_sym_BSLASHcitep] = ACTIONS(5981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(5984),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(5984),
    [anon_sym_BSLASHciteA] = ACTIONS(5981),
    [anon_sym_BSLASHciteR] = ACTIONS(5981),
    [anon_sym_BSLASHciteS] = ACTIONS(5981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(5981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(5981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(5984),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(5981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(5984),
    [anon_sym_BSLASHcitetitle] = ACTIONS(5981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(5984),
    [anon_sym_BSLASHciteyear] = ACTIONS(5981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(5984),
    [anon_sym_BSLASHcitedate] = ACTIONS(5981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(5984),
    [anon_sym_BSLASHciteurl] = ACTIONS(5981),
    [anon_sym_BSLASHfullcite] = ACTIONS(5981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(5981),
    [anon_sym_BSLASHcitealt] = ACTIONS(5981),
    [anon_sym_BSLASHcitealp] = ACTIONS(5981),
    [anon_sym_BSLASHcitetext] = ACTIONS(5981),
    [anon_sym_BSLASHparencite] = ACTIONS(5981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(5984),
    [anon_sym_BSLASHParencite] = ACTIONS(5981),
    [anon_sym_BSLASHfootcite] = ACTIONS(5981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(5981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(5981),
    [anon_sym_BSLASHtextcite] = ACTIONS(5981),
    [anon_sym_BSLASHTextcite] = ACTIONS(5981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(5981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(5981),
    [anon_sym_BSLASHsupercite] = ACTIONS(5981),
    [anon_sym_BSLASHautocite] = ACTIONS(5981),
    [anon_sym_BSLASHAutocite] = ACTIONS(5981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(5984),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(5984),
    [anon_sym_BSLASHvolcite] = ACTIONS(5981),
    [anon_sym_BSLASHVolcite] = ACTIONS(5981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(5981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(5981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(5981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(5981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(5981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(5981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(5981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(5981),
    [anon_sym_BSLASHavolcite] = ACTIONS(5981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(5981),
    [anon_sym_BSLASHnotecite] = ACTIONS(5981),
    [anon_sym_BSLASHNotecite] = ACTIONS(5981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(5981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(5981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(5981),
    [anon_sym_BSLASHlabel] = ACTIONS(5987),
    [anon_sym_BSLASHref] = ACTIONS(5990),
    [anon_sym_BSLASHeqref] = ACTIONS(5990),
    [anon_sym_BSLASHvref] = ACTIONS(5990),
    [anon_sym_BSLASHVref] = ACTIONS(5990),
    [anon_sym_BSLASHautoref] = ACTIONS(5990),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(5993),
    [anon_sym_BSLASHpageref] = ACTIONS(5990),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(5993),
    [anon_sym_BSLASHautopageref] = ACTIONS(5990),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(5993),
    [anon_sym_BSLASHcref] = ACTIONS(5990),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(5993),
    [anon_sym_BSLASHCref] = ACTIONS(5990),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(5993),
    [anon_sym_BSLASHcpageref] = ACTIONS(5990),
    [anon_sym_BSLASHCpageref] = ACTIONS(5990),
    [anon_sym_BSLASHnamecref] = ACTIONS(5990),
    [anon_sym_BSLASHnameCref] = ACTIONS(5990),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(5990),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(5990),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(5990),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(5990),
    [anon_sym_BSLASHlabelcref] = ACTIONS(5990),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(5993),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(5990),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(5993),
    [anon_sym_BSLASHcrefrange] = ACTIONS(5996),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(5999),
    [anon_sym_BSLASHCrefrange] = ACTIONS(5996),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(5999),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(5996),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(5996),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6002),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6005),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6008),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6005),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6008),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6005),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6008),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6005),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6008),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6005),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6008),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6011),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6011),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6011),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6011),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6011),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6011),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6011),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6011),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6014),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6014),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6014),
    [anon_sym_BSLASHdef] = ACTIONS(6017),
    [anon_sym_BSLASHgdef] = ACTIONS(6017),
    [anon_sym_BSLASHedef] = ACTIONS(6017),
    [anon_sym_BSLASHxdef] = ACTIONS(6017),
    [anon_sym_BSLASHlet] = ACTIONS(6020),
    [anon_sym_BSLASHglet] = ACTIONS(6020),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6023),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6023),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6026),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6026),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6029),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6029),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6029),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6029),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6032),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6032),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6032),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6035),
    [anon_sym_BSLASHgls] = ACTIONS(6038),
    [anon_sym_BSLASHGls] = ACTIONS(6038),
    [anon_sym_BSLASHGLS] = ACTIONS(6038),
    [anon_sym_BSLASHglspl] = ACTIONS(6038),
    [anon_sym_BSLASHGlspl] = ACTIONS(6038),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6038),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6038),
    [anon_sym_BSLASHglslink] = ACTIONS(6038),
    [anon_sym_BSLASHglstext] = ACTIONS(6038),
    [anon_sym_BSLASHGlstext] = ACTIONS(6038),
    [anon_sym_BSLASHGLStext] = ACTIONS(6038),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6038),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6038),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6038),
    [anon_sym_BSLASHglsplural] = ACTIONS(6038),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6038),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6038),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6038),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6038),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6038),
    [anon_sym_BSLASHglsname] = ACTIONS(6038),
    [anon_sym_BSLASHGlsname] = ACTIONS(6038),
    [anon_sym_BSLASHGLSname] = ACTIONS(6038),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6038),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6038),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6038),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6038),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6038),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6038),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6038),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6038),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6038),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6038),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6038),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6038),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6038),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6038),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6038),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6038),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6038),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6038),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6038),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6038),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6038),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6038),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6038),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6041),
    [anon_sym_BSLASHacrshort] = ACTIONS(6044),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6044),
    [anon_sym_BSLASHACRshort] = ACTIONS(6044),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6044),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6044),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6044),
    [anon_sym_BSLASHacrlong] = ACTIONS(6044),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6044),
    [anon_sym_BSLASHACRlong] = ACTIONS(6044),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6044),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6044),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6044),
    [anon_sym_BSLASHacrfull] = ACTIONS(6044),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6044),
    [anon_sym_BSLASHACRfull] = ACTIONS(6044),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6044),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6044),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6044),
    [anon_sym_BSLASHacs] = ACTIONS(6044),
    [anon_sym_BSLASHAcs] = ACTIONS(6044),
    [anon_sym_BSLASHacsp] = ACTIONS(6044),
    [anon_sym_BSLASHAcsp] = ACTIONS(6044),
    [anon_sym_BSLASHacl] = ACTIONS(6044),
    [anon_sym_BSLASHAcl] = ACTIONS(6044),
    [anon_sym_BSLASHaclp] = ACTIONS(6044),
    [anon_sym_BSLASHAclp] = ACTIONS(6044),
    [anon_sym_BSLASHacf] = ACTIONS(6044),
    [anon_sym_BSLASHAcf] = ACTIONS(6044),
    [anon_sym_BSLASHacfp] = ACTIONS(6044),
    [anon_sym_BSLASHAcfp] = ACTIONS(6044),
    [anon_sym_BSLASHac] = ACTIONS(6044),
    [anon_sym_BSLASHAc] = ACTIONS(6044),
    [anon_sym_BSLASHacp] = ACTIONS(6044),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6044),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6044),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6044),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6044),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6044),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6044),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6044),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6044),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6044),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6044),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6047),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6050),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6047),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6050),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6053),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6056),
    [anon_sym_BSLASHcolor] = ACTIONS(6059),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6059),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6059),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6059),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6059),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6062),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6062),
    [anon_sym_BSLASHurl] = ACTIONS(6065),
    [anon_sym_BSLASHhref] = ACTIONS(6065),
  },
  [331] = {
    [sym_block_comment] = STATE(1924),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__command] = STATE(1924),
    [sym_generic_command] = STATE(1924),
    [sym_title_declaration] = STATE(1924),
    [sym_author_declaration] = STATE(1924),
    [sym_package_include] = STATE(1924),
    [sym_class_include] = STATE(1924),
    [sym_latex_include] = STATE(1924),
    [sym_biblatex_include] = STATE(1924),
    [sym_bibstyle_include] = STATE(1924),
    [sym_bibtex_include] = STATE(1924),
    [sym_graphics_include] = STATE(1924),
    [sym_svg_include] = STATE(1924),
    [sym_inkscape_include] = STATE(1924),
    [sym_verbatim_include] = STATE(1924),
    [sym_import_include] = STATE(1924),
    [sym_caption] = STATE(1924),
    [sym_citation] = STATE(1924),
    [sym_label_definition] = STATE(1924),
    [sym_label_reference] = STATE(1924),
    [sym_label_reference_range] = STATE(1924),
    [sym_label_number] = STATE(1924),
    [sym_new_command_definition] = STATE(1924),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(1924),
    [sym_let_command_definition] = STATE(1924),
    [sym_paired_delimiter_definition] = STATE(1924),
    [sym_environment_definition] = STATE(1924),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(1924),
    [sym_glossary_entry_reference] = STATE(1924),
    [sym_acronym_definition] = STATE(1924),
    [sym_acronym_reference] = STATE(1924),
    [sym_theorem_definition] = STATE(1924),
    [sym_color_definition] = STATE(1924),
    [sym_color_set_definition] = STATE(1924),
    [sym_color_reference] = STATE(1924),
    [sym_tikz_library_import] = STATE(1924),
    [sym_hyperlink] = STATE(1924),
    [aux_sym_text_repeat1] = STATE(333),
    [sym_command_name] = ACTIONS(4812),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(4814),
    [anon_sym_LBRACK] = ACTIONS(4196),
    [anon_sym_RBRACK] = ACTIONS(4196),
    [anon_sym_COMMA] = ACTIONS(4196),
    [anon_sym_EQ] = ACTIONS(4196),
    [anon_sym_LPAREN] = ACTIONS(4196),
    [anon_sym_RPAREN] = ACTIONS(4196),
    [anon_sym_LBRACE] = ACTIONS(4196),
    [anon_sym_RBRACE] = ACTIONS(4196),
    [sym_word] = ACTIONS(4822),
    [sym_placeholder] = ACTIONS(4824),
    [sym_delimiter] = ACTIONS(4824),
    [anon_sym_PLUS] = ACTIONS(4826),
    [anon_sym_DASH] = ACTIONS(4826),
    [anon_sym_STAR] = ACTIONS(4826),
    [anon_sym_SLASH] = ACTIONS(4826),
    [anon_sym_LT] = ACTIONS(4828),
    [anon_sym_GT] = ACTIONS(4828),
    [anon_sym_BANG] = ACTIONS(4828),
    [anon_sym_PIPE] = ACTIONS(4828),
    [anon_sym_COLON] = ACTIONS(4828),
    [anon_sym_SQUOTE] = ACTIONS(4828),
    [anon_sym__] = ACTIONS(4830),
    [anon_sym_CARET] = ACTIONS(4832),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4196),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4196),
    [anon_sym_DOLLAR] = ACTIONS(4198),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4196),
    [anon_sym_BSLASHleft] = ACTIONS(4198),
    [anon_sym_BSLASHbigl] = ACTIONS(4198),
    [anon_sym_BSLASHBigl] = ACTIONS(4198),
    [anon_sym_BSLASHbiggl] = ACTIONS(4198),
    [anon_sym_BSLASHBiggl] = ACTIONS(4198),
    [anon_sym_BSLASHtext] = ACTIONS(4198),
    [anon_sym_BSLASHintertext] = ACTIONS(4198),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4198),
    [anon_sym_BSLASHtitle] = ACTIONS(4844),
    [anon_sym_BSLASHauthor] = ACTIONS(4846),
    [anon_sym_BSLASHusepackage] = ACTIONS(4848),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(4848),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(4850),
    [anon_sym_BSLASHinclude] = ACTIONS(4852),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(4852),
    [anon_sym_BSLASHinput] = ACTIONS(4852),
    [anon_sym_BSLASHsubfile] = ACTIONS(4852),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(4854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(4856),
    [anon_sym_BSLASHbibliography] = ACTIONS(4858),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(4860),
    [anon_sym_BSLASHincludesvg] = ACTIONS(4862),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(4864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(4866),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(4866),
    [anon_sym_BSLASHimport] = ACTIONS(4868),
    [anon_sym_BSLASHsubimport] = ACTIONS(4868),
    [anon_sym_BSLASHinputfrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(4868),
    [anon_sym_BSLASHincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(4868),
    [anon_sym_BSLASHcaption] = ACTIONS(4870),
    [anon_sym_BSLASHcite] = ACTIONS(4872),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCite] = ACTIONS(4872),
    [anon_sym_BSLASHnocite] = ACTIONS(4872),
    [anon_sym_BSLASHcitet] = ACTIONS(4872),
    [anon_sym_BSLASHcitep] = ACTIONS(4872),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteA] = ACTIONS(4872),
    [anon_sym_BSLASHciteR] = ACTIONS(4872),
    [anon_sym_BSLASHciteS] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearR] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(4872),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitetitle] = ACTIONS(4872),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteyear] = ACTIONS(4872),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHcitedate] = ACTIONS(4872),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHciteurl] = ACTIONS(4872),
    [anon_sym_BSLASHfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(4872),
    [anon_sym_BSLASHcitealt] = ACTIONS(4872),
    [anon_sym_BSLASHcitealp] = ACTIONS(4872),
    [anon_sym_BSLASHcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHparencite] = ACTIONS(4872),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHParencite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(4872),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(4872),
    [anon_sym_BSLASHtextcite] = ACTIONS(4872),
    [anon_sym_BSLASHTextcite] = ACTIONS(4872),
    [anon_sym_BSLASHsmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHSmartcite] = ACTIONS(4872),
    [anon_sym_BSLASHsupercite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite] = ACTIONS(4872),
    [anon_sym_BSLASHAutocite] = ACTIONS(4872),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(4874),
    [anon_sym_BSLASHvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHVolcite] = ACTIONS(4872),
    [anon_sym_BSLASHpvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHPvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHfvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHftvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHsvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHSvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHtvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHTvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHavolcite] = ACTIONS(4872),
    [anon_sym_BSLASHAvolcite] = ACTIONS(4872),
    [anon_sym_BSLASHnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHNotecite] = ACTIONS(4872),
    [anon_sym_BSLASHpnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHPnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHfnotecite] = ACTIONS(4872),
    [anon_sym_BSLASHlabel] = ACTIONS(4876),
    [anon_sym_BSLASHref] = ACTIONS(4878),
    [anon_sym_BSLASHeqref] = ACTIONS(4878),
    [anon_sym_BSLASHvref] = ACTIONS(4878),
    [anon_sym_BSLASHVref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref] = ACTIONS(4878),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHpageref] = ACTIONS(4878),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHautopageref] = ACTIONS(4878),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcref] = ACTIONS(4878),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHCref] = ACTIONS(4878),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHCpageref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnameCref] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(4878),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(4878),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(4880),
    [anon_sym_BSLASHcrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHCrefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(4884),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(4882),
    [anon_sym_BSLASHnewlabel] = ACTIONS(4886),
    [anon_sym_BSLASHnewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(4888),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(4888),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(4888),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(4890),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4892),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4894),
    [anon_sym_BSLASHdef] = ACTIONS(4896),
    [anon_sym_BSLASHgdef] = ACTIONS(4896),
    [anon_sym_BSLASHedef] = ACTIONS(4896),
    [anon_sym_BSLASHxdef] = ACTIONS(4896),
    [anon_sym_BSLASHlet] = ACTIONS(4898),
    [anon_sym_BSLASHglet] = ACTIONS(4898),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4900),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4900),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4902),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4904),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4906),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4908),
    [anon_sym_BSLASHgls] = ACTIONS(4910),
    [anon_sym_BSLASHGls] = ACTIONS(4910),
    [anon_sym_BSLASHGLS] = ACTIONS(4910),
    [anon_sym_BSLASHglspl] = ACTIONS(4910),
    [anon_sym_BSLASHGlspl] = ACTIONS(4910),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4910),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4910),
    [anon_sym_BSLASHglslink] = ACTIONS(4910),
    [anon_sym_BSLASHglstext] = ACTIONS(4910),
    [anon_sym_BSLASHGlstext] = ACTIONS(4910),
    [anon_sym_BSLASHGLStext] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4910),
    [anon_sym_BSLASHglsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4910),
    [anon_sym_BSLASHglsname] = ACTIONS(4910),
    [anon_sym_BSLASHGlsname] = ACTIONS(4910),
    [anon_sym_BSLASHGLSname] = ACTIONS(4910),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4910),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4910),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4910),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4910),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4910),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4910),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4912),
    [anon_sym_BSLASHacrshort] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4914),
    [anon_sym_BSLASHACRshort] = ACTIONS(4914),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrlong] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4914),
    [anon_sym_BSLASHACRlong] = ACTIONS(4914),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4914),
    [anon_sym_BSLASHacrfull] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4914),
    [anon_sym_BSLASHACRfull] = ACTIONS(4914),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHacs] = ACTIONS(4914),
    [anon_sym_BSLASHAcs] = ACTIONS(4914),
    [anon_sym_BSLASHacsp] = ACTIONS(4914),
    [anon_sym_BSLASHAcsp] = ACTIONS(4914),
    [anon_sym_BSLASHacl] = ACTIONS(4914),
    [anon_sym_BSLASHAcl] = ACTIONS(4914),
    [anon_sym_BSLASHaclp] = ACTIONS(4914),
    [anon_sym_BSLASHAclp] = ACTIONS(4914),
    [anon_sym_BSLASHacf] = ACTIONS(4914),
    [anon_sym_BSLASHAcf] = ACTIONS(4914),
    [anon_sym_BSLASHacfp] = ACTIONS(4914),
    [anon_sym_BSLASHAcfp] = ACTIONS(4914),
    [anon_sym_BSLASHac] = ACTIONS(4914),
    [anon_sym_BSLASHAc] = ACTIONS(4914),
    [anon_sym_BSLASHacp] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4914),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4914),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4914),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4916),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4916),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4918),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4920),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4922),
    [anon_sym_BSLASHcolor] = ACTIONS(4924),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4924),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4924),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4924),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4924),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4926),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4926),
    [anon_sym_BSLASHurl] = ACTIONS(4928),
    [anon_sym_BSLASHhref] = ACTIONS(4928),
  },
  [332] = {
    [sym_block_comment] = STATE(2042),
    [sym_operator] = STATE(2042),
    [sym_subscript] = STATE(2042),
    [sym_superscript] = STATE(2042),
    [sym__command] = STATE(2042),
    [sym_generic_command] = STATE(2042),
    [sym_title_declaration] = STATE(2042),
    [sym_author_declaration] = STATE(2042),
    [sym_package_include] = STATE(2042),
    [sym_class_include] = STATE(2042),
    [sym_latex_include] = STATE(2042),
    [sym_biblatex_include] = STATE(2042),
    [sym_bibstyle_include] = STATE(2042),
    [sym_bibtex_include] = STATE(2042),
    [sym_graphics_include] = STATE(2042),
    [sym_svg_include] = STATE(2042),
    [sym_inkscape_include] = STATE(2042),
    [sym_verbatim_include] = STATE(2042),
    [sym_import_include] = STATE(2042),
    [sym_caption] = STATE(2042),
    [sym_citation] = STATE(2042),
    [sym_label_definition] = STATE(2042),
    [sym_label_reference] = STATE(2042),
    [sym_label_reference_range] = STATE(2042),
    [sym_label_number] = STATE(2042),
    [sym_new_command_definition] = STATE(2042),
    [sym__new_command_definition] = STATE(2059),
    [sym__newer_command_definition] = STATE(2060),
    [sym__new_command_copy] = STATE(2061),
    [sym_old_command_definition] = STATE(2042),
    [sym_let_command_definition] = STATE(2042),
    [sym_paired_delimiter_definition] = STATE(2042),
    [sym_environment_definition] = STATE(2042),
    [sym__environment_definition] = STATE(2062),
    [sym__newer_environment_definition] = STATE(2063),
    [sym__new_environment_copy] = STATE(2064),
    [sym_glossary_entry_definition] = STATE(2042),
    [sym_glossary_entry_reference] = STATE(2042),
    [sym_acronym_definition] = STATE(2042),
    [sym_acronym_reference] = STATE(2042),
    [sym_theorem_definition] = STATE(2042),
    [sym_color_definition] = STATE(2042),
    [sym_color_set_definition] = STATE(2042),
    [sym_color_reference] = STATE(2042),
    [sym_tikz_library_import] = STATE(2042),
    [sym_hyperlink] = STATE(2042),
    [aux_sym_text_repeat1] = STATE(334),
    [sym_command_name] = ACTIONS(3593),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3595),
    [anon_sym_LBRACK] = ACTIONS(4196),
    [anon_sym_RBRACK] = ACTIONS(4196),
    [anon_sym_COMMA] = ACTIONS(4196),
    [anon_sym_EQ] = ACTIONS(4196),
    [anon_sym_LPAREN] = ACTIONS(4196),
    [anon_sym_RPAREN] = ACTIONS(4196),
    [anon_sym_LBRACE] = ACTIONS(4196),
    [sym_word] = ACTIONS(3605),
    [sym_placeholder] = ACTIONS(3607),
    [sym_delimiter] = ACTIONS(3607),
    [anon_sym_PLUS] = ACTIONS(3609),
    [anon_sym_DASH] = ACTIONS(3609),
    [anon_sym_STAR] = ACTIONS(3609),
    [anon_sym_SLASH] = ACTIONS(3609),
    [anon_sym_LT] = ACTIONS(3611),
    [anon_sym_GT] = ACTIONS(3611),
    [anon_sym_BANG] = ACTIONS(3611),
    [anon_sym_PIPE] = ACTIONS(3611),
    [anon_sym_COLON] = ACTIONS(3611),
    [anon_sym_SQUOTE] = ACTIONS(3611),
    [anon_sym__] = ACTIONS(3613),
    [anon_sym_CARET] = ACTIONS(3615),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4196),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4196),
    [anon_sym_DOLLAR] = ACTIONS(4198),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4196),
    [anon_sym_BSLASHleft] = ACTIONS(4198),
    [anon_sym_BSLASHbigl] = ACTIONS(4198),
    [anon_sym_BSLASHBigl] = ACTIONS(4198),
    [anon_sym_BSLASHbiggl] = ACTIONS(4198),
    [anon_sym_BSLASHBiggl] = ACTIONS(4198),
    [anon_sym_BSLASHtext] = ACTIONS(4198),
    [anon_sym_BSLASHintertext] = ACTIONS(4198),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4198),
    [anon_sym_BSLASHbegin] = ACTIONS(4198),
    [anon_sym_BSLASHtitle] = ACTIONS(3627),
    [anon_sym_BSLASHauthor] = ACTIONS(3629),
    [anon_sym_BSLASHusepackage] = ACTIONS(3631),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3631),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3633),
    [anon_sym_BSLASHinclude] = ACTIONS(3635),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3635),
    [anon_sym_BSLASHinput] = ACTIONS(3635),
    [anon_sym_BSLASHsubfile] = ACTIONS(3635),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3637),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3639),
    [anon_sym_BSLASHbibliography] = ACTIONS(3641),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3643),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3645),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3647),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3649),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3649),
    [anon_sym_BSLASHimport] = ACTIONS(3651),
    [anon_sym_BSLASHsubimport] = ACTIONS(3651),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3651),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3651),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3651),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3651),
    [anon_sym_BSLASHcaption] = ACTIONS(3653),
    [anon_sym_BSLASHcite] = ACTIONS(3655),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHCite] = ACTIONS(3655),
    [anon_sym_BSLASHnocite] = ACTIONS(3655),
    [anon_sym_BSLASHcitet] = ACTIONS(3655),
    [anon_sym_BSLASHcitep] = ACTIONS(3655),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHciteA] = ACTIONS(3655),
    [anon_sym_BSLASHciteR] = ACTIONS(3655),
    [anon_sym_BSLASHciteS] = ACTIONS(3655),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3655),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3655),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3655),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3655),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHciteyear] = ACTIONS(3655),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHcitedate] = ACTIONS(3655),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHciteurl] = ACTIONS(3655),
    [anon_sym_BSLASHfullcite] = ACTIONS(3655),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3655),
    [anon_sym_BSLASHcitealt] = ACTIONS(3655),
    [anon_sym_BSLASHcitealp] = ACTIONS(3655),
    [anon_sym_BSLASHcitetext] = ACTIONS(3655),
    [anon_sym_BSLASHparencite] = ACTIONS(3655),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHParencite] = ACTIONS(3655),
    [anon_sym_BSLASHfootcite] = ACTIONS(3655),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3655),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3655),
    [anon_sym_BSLASHtextcite] = ACTIONS(3655),
    [anon_sym_BSLASHTextcite] = ACTIONS(3655),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3655),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3655),
    [anon_sym_BSLASHsupercite] = ACTIONS(3655),
    [anon_sym_BSLASHautocite] = ACTIONS(3655),
    [anon_sym_BSLASHAutocite] = ACTIONS(3655),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3657),
    [anon_sym_BSLASHvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHVolcite] = ACTIONS(3655),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHavolcite] = ACTIONS(3655),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3655),
    [anon_sym_BSLASHnotecite] = ACTIONS(3655),
    [anon_sym_BSLASHNotecite] = ACTIONS(3655),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3655),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3655),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3655),
    [anon_sym_BSLASHlabel] = ACTIONS(3659),
    [anon_sym_BSLASHref] = ACTIONS(3661),
    [anon_sym_BSLASHeqref] = ACTIONS(3661),
    [anon_sym_BSLASHvref] = ACTIONS(3661),
    [anon_sym_BSLASHVref] = ACTIONS(3661),
    [anon_sym_BSLASHautoref] = ACTIONS(3661),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHpageref] = ACTIONS(3661),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHautopageref] = ACTIONS(3661),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHcref] = ACTIONS(3661),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHCref] = ACTIONS(3661),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHcpageref] = ACTIONS(3661),
    [anon_sym_BSLASHCpageref] = ACTIONS(3661),
    [anon_sym_BSLASHnamecref] = ACTIONS(3661),
    [anon_sym_BSLASHnameCref] = ACTIONS(3661),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3661),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3661),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3661),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3661),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3661),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3661),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3663),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3665),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3667),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3665),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3667),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3665),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3665),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3669),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3671),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3671),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3671),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3671),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3671),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3673),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(3675),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(3677),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(3677),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(3677),
    [anon_sym_BSLASHdef] = ACTIONS(3679),
    [anon_sym_BSLASHgdef] = ACTIONS(3679),
    [anon_sym_BSLASHedef] = ACTIONS(3679),
    [anon_sym_BSLASHxdef] = ACTIONS(3679),
    [anon_sym_BSLASHlet] = ACTIONS(3681),
    [anon_sym_BSLASHglet] = ACTIONS(3681),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(3683),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(3683),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(3685),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(3685),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(3687),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(3687),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(3687),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(3687),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(3689),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(3689),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(3689),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(3691),
    [anon_sym_BSLASHgls] = ACTIONS(3693),
    [anon_sym_BSLASHGls] = ACTIONS(3693),
    [anon_sym_BSLASHGLS] = ACTIONS(3693),
    [anon_sym_BSLASHglspl] = ACTIONS(3693),
    [anon_sym_BSLASHGlspl] = ACTIONS(3693),
    [anon_sym_BSLASHGLSpl] = ACTIONS(3693),
    [anon_sym_BSLASHglsdisp] = ACTIONS(3693),
    [anon_sym_BSLASHglslink] = ACTIONS(3693),
    [anon_sym_BSLASHglstext] = ACTIONS(3693),
    [anon_sym_BSLASHGlstext] = ACTIONS(3693),
    [anon_sym_BSLASHGLStext] = ACTIONS(3693),
    [anon_sym_BSLASHglsfirst] = ACTIONS(3693),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(3693),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(3693),
    [anon_sym_BSLASHglsplural] = ACTIONS(3693),
    [anon_sym_BSLASHGlsplural] = ACTIONS(3693),
    [anon_sym_BSLASHGLSplural] = ACTIONS(3693),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(3693),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(3693),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(3693),
    [anon_sym_BSLASHglsname] = ACTIONS(3693),
    [anon_sym_BSLASHGlsname] = ACTIONS(3693),
    [anon_sym_BSLASHGLSname] = ACTIONS(3693),
    [anon_sym_BSLASHglssymbol] = ACTIONS(3693),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(3693),
    [anon_sym_BSLASHglsdesc] = ACTIONS(3693),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(3693),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(3693),
    [anon_sym_BSLASHglsuseri] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(3693),
    [anon_sym_BSLASHglsuserii] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(3693),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(3693),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(3693),
    [anon_sym_BSLASHglsuserv] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(3693),
    [anon_sym_BSLASHglsuservi] = ACTIONS(3693),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(3693),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(3693),
    [anon_sym_BSLASHnewacronym] = ACTIONS(3695),
    [anon_sym_BSLASHacrshort] = ACTIONS(3697),
    [anon_sym_BSLASHAcrshort] = ACTIONS(3697),
    [anon_sym_BSLASHACRshort] = ACTIONS(3697),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHacrlong] = ACTIONS(3697),
    [anon_sym_BSLASHAcrlong] = ACTIONS(3697),
    [anon_sym_BSLASHACRlong] = ACTIONS(3697),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(3697),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(3697),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(3697),
    [anon_sym_BSLASHacrfull] = ACTIONS(3697),
    [anon_sym_BSLASHAcrfull] = ACTIONS(3697),
    [anon_sym_BSLASHACRfull] = ACTIONS(3697),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHacs] = ACTIONS(3697),
    [anon_sym_BSLASHAcs] = ACTIONS(3697),
    [anon_sym_BSLASHacsp] = ACTIONS(3697),
    [anon_sym_BSLASHAcsp] = ACTIONS(3697),
    [anon_sym_BSLASHacl] = ACTIONS(3697),
    [anon_sym_BSLASHAcl] = ACTIONS(3697),
    [anon_sym_BSLASHaclp] = ACTIONS(3697),
    [anon_sym_BSLASHAclp] = ACTIONS(3697),
    [anon_sym_BSLASHacf] = ACTIONS(3697),
    [anon_sym_BSLASHAcf] = ACTIONS(3697),
    [anon_sym_BSLASHacfp] = ACTIONS(3697),
    [anon_sym_BSLASHAcfp] = ACTIONS(3697),
    [anon_sym_BSLASHac] = ACTIONS(3697),
    [anon_sym_BSLASHAc] = ACTIONS(3697),
    [anon_sym_BSLASHacp] = ACTIONS(3697),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(3697),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(3697),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(3697),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(3697),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(3697),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(3699),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(3701),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(3699),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(3701),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(3703),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(3705),
    [anon_sym_BSLASHcolor] = ACTIONS(3707),
    [anon_sym_BSLASHpagecolor] = ACTIONS(3707),
    [anon_sym_BSLASHtextcolor] = ACTIONS(3707),
    [anon_sym_BSLASHmathcolor] = ACTIONS(3707),
    [anon_sym_BSLASHcolorbox] = ACTIONS(3707),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(3709),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(3709),
    [anon_sym_BSLASHurl] = ACTIONS(3711),
    [anon_sym_BSLASHhref] = ACTIONS(3711),
  },
  [333] = {
    [sym_block_comment] = STATE(1924),
    [sym_operator] = STATE(1924),
    [sym_subscript] = STATE(1924),
    [sym_superscript] = STATE(1924),
    [sym__command] = STATE(1924),
    [sym_generic_command] = STATE(1924),
    [sym_title_declaration] = STATE(1924),
    [sym_author_declaration] = STATE(1924),
    [sym_package_include] = STATE(1924),
    [sym_class_include] = STATE(1924),
    [sym_latex_include] = STATE(1924),
    [sym_biblatex_include] = STATE(1924),
    [sym_bibstyle_include] = STATE(1924),
    [sym_bibtex_include] = STATE(1924),
    [sym_graphics_include] = STATE(1924),
    [sym_svg_include] = STATE(1924),
    [sym_inkscape_include] = STATE(1924),
    [sym_verbatim_include] = STATE(1924),
    [sym_import_include] = STATE(1924),
    [sym_caption] = STATE(1924),
    [sym_citation] = STATE(1924),
    [sym_label_definition] = STATE(1924),
    [sym_label_reference] = STATE(1924),
    [sym_label_reference_range] = STATE(1924),
    [sym_label_number] = STATE(1924),
    [sym_new_command_definition] = STATE(1924),
    [sym__new_command_definition] = STATE(1927),
    [sym__newer_command_definition] = STATE(1928),
    [sym__new_command_copy] = STATE(1929),
    [sym_old_command_definition] = STATE(1924),
    [sym_let_command_definition] = STATE(1924),
    [sym_paired_delimiter_definition] = STATE(1924),
    [sym_environment_definition] = STATE(1924),
    [sym__environment_definition] = STATE(1930),
    [sym__newer_environment_definition] = STATE(1931),
    [sym__new_environment_copy] = STATE(1932),
    [sym_glossary_entry_definition] = STATE(1924),
    [sym_glossary_entry_reference] = STATE(1924),
    [sym_acronym_definition] = STATE(1924),
    [sym_acronym_reference] = STATE(1924),
    [sym_theorem_definition] = STATE(1924),
    [sym_color_definition] = STATE(1924),
    [sym_color_set_definition] = STATE(1924),
    [sym_color_reference] = STATE(1924),
    [sym_tikz_library_import] = STATE(1924),
    [sym_hyperlink] = STATE(1924),
    [aux_sym_text_repeat1] = STATE(333),
    [sym_command_name] = ACTIONS(6068),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6071),
    [anon_sym_LBRACK] = ACTIONS(4045),
    [anon_sym_RBRACK] = ACTIONS(4045),
    [anon_sym_COMMA] = ACTIONS(4045),
    [anon_sym_EQ] = ACTIONS(4045),
    [anon_sym_LPAREN] = ACTIONS(4045),
    [anon_sym_RPAREN] = ACTIONS(4045),
    [anon_sym_LBRACE] = ACTIONS(4045),
    [anon_sym_RBRACE] = ACTIONS(4045),
    [sym_word] = ACTIONS(6074),
    [sym_placeholder] = ACTIONS(6077),
    [sym_delimiter] = ACTIONS(6077),
    [anon_sym_PLUS] = ACTIONS(6080),
    [anon_sym_DASH] = ACTIONS(6080),
    [anon_sym_STAR] = ACTIONS(6080),
    [anon_sym_SLASH] = ACTIONS(6080),
    [anon_sym_LT] = ACTIONS(6083),
    [anon_sym_GT] = ACTIONS(6083),
    [anon_sym_BANG] = ACTIONS(6083),
    [anon_sym_PIPE] = ACTIONS(6083),
    [anon_sym_COLON] = ACTIONS(6083),
    [anon_sym_SQUOTE] = ACTIONS(6083),
    [anon_sym__] = ACTIONS(6086),
    [anon_sym_CARET] = ACTIONS(6089),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4045),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4045),
    [anon_sym_DOLLAR] = ACTIONS(4047),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4045),
    [anon_sym_BSLASHleft] = ACTIONS(4047),
    [anon_sym_BSLASHbigl] = ACTIONS(4047),
    [anon_sym_BSLASHBigl] = ACTIONS(4047),
    [anon_sym_BSLASHbiggl] = ACTIONS(4047),
    [anon_sym_BSLASHBiggl] = ACTIONS(4047),
    [anon_sym_BSLASHtext] = ACTIONS(4047),
    [anon_sym_BSLASHintertext] = ACTIONS(4047),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4047),
    [anon_sym_BSLASHtitle] = ACTIONS(6092),
    [anon_sym_BSLASHauthor] = ACTIONS(6095),
    [anon_sym_BSLASHusepackage] = ACTIONS(6098),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6098),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6101),
    [anon_sym_BSLASHinclude] = ACTIONS(6104),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6104),
    [anon_sym_BSLASHinput] = ACTIONS(6104),
    [anon_sym_BSLASHsubfile] = ACTIONS(6104),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6107),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6110),
    [anon_sym_BSLASHbibliography] = ACTIONS(6113),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6116),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6119),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6122),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6125),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6125),
    [anon_sym_BSLASHimport] = ACTIONS(6128),
    [anon_sym_BSLASHsubimport] = ACTIONS(6128),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6128),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6128),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6128),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6128),
    [anon_sym_BSLASHcaption] = ACTIONS(6131),
    [anon_sym_BSLASHcite] = ACTIONS(6134),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6137),
    [anon_sym_BSLASHCite] = ACTIONS(6134),
    [anon_sym_BSLASHnocite] = ACTIONS(6134),
    [anon_sym_BSLASHcitet] = ACTIONS(6134),
    [anon_sym_BSLASHcitep] = ACTIONS(6134),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6137),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6137),
    [anon_sym_BSLASHciteA] = ACTIONS(6134),
    [anon_sym_BSLASHciteR] = ACTIONS(6134),
    [anon_sym_BSLASHciteS] = ACTIONS(6134),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6134),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6134),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6137),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6134),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6137),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6134),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6137),
    [anon_sym_BSLASHciteyear] = ACTIONS(6134),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6137),
    [anon_sym_BSLASHcitedate] = ACTIONS(6134),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6137),
    [anon_sym_BSLASHciteurl] = ACTIONS(6134),
    [anon_sym_BSLASHfullcite] = ACTIONS(6134),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6134),
    [anon_sym_BSLASHcitealt] = ACTIONS(6134),
    [anon_sym_BSLASHcitealp] = ACTIONS(6134),
    [anon_sym_BSLASHcitetext] = ACTIONS(6134),
    [anon_sym_BSLASHparencite] = ACTIONS(6134),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6137),
    [anon_sym_BSLASHParencite] = ACTIONS(6134),
    [anon_sym_BSLASHfootcite] = ACTIONS(6134),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6134),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6134),
    [anon_sym_BSLASHtextcite] = ACTIONS(6134),
    [anon_sym_BSLASHTextcite] = ACTIONS(6134),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6134),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6134),
    [anon_sym_BSLASHsupercite] = ACTIONS(6134),
    [anon_sym_BSLASHautocite] = ACTIONS(6134),
    [anon_sym_BSLASHAutocite] = ACTIONS(6134),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6137),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6137),
    [anon_sym_BSLASHvolcite] = ACTIONS(6134),
    [anon_sym_BSLASHVolcite] = ACTIONS(6134),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6134),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6134),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6134),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6134),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6134),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6134),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6134),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6134),
    [anon_sym_BSLASHavolcite] = ACTIONS(6134),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6134),
    [anon_sym_BSLASHnotecite] = ACTIONS(6134),
    [anon_sym_BSLASHNotecite] = ACTIONS(6134),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6134),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6134),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6134),
    [anon_sym_BSLASHlabel] = ACTIONS(6140),
    [anon_sym_BSLASHref] = ACTIONS(6143),
    [anon_sym_BSLASHeqref] = ACTIONS(6143),
    [anon_sym_BSLASHvref] = ACTIONS(6143),
    [anon_sym_BSLASHVref] = ACTIONS(6143),
    [anon_sym_BSLASHautoref] = ACTIONS(6143),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6146),
    [anon_sym_BSLASHpageref] = ACTIONS(6143),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6146),
    [anon_sym_BSLASHautopageref] = ACTIONS(6143),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6146),
    [anon_sym_BSLASHcref] = ACTIONS(6143),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6146),
    [anon_sym_BSLASHCref] = ACTIONS(6143),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6146),
    [anon_sym_BSLASHcpageref] = ACTIONS(6143),
    [anon_sym_BSLASHCpageref] = ACTIONS(6143),
    [anon_sym_BSLASHnamecref] = ACTIONS(6143),
    [anon_sym_BSLASHnameCref] = ACTIONS(6143),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6143),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6143),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6143),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6143),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6143),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6146),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6143),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6146),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6149),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6152),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6149),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6152),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6149),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6149),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6155),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6158),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6161),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6158),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6161),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6158),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6161),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6158),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6161),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6158),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6161),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6164),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6164),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6164),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6164),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6164),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6164),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6164),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6164),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6167),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6167),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6167),
    [anon_sym_BSLASHdef] = ACTIONS(6170),
    [anon_sym_BSLASHgdef] = ACTIONS(6170),
    [anon_sym_BSLASHedef] = ACTIONS(6170),
    [anon_sym_BSLASHxdef] = ACTIONS(6170),
    [anon_sym_BSLASHlet] = ACTIONS(6173),
    [anon_sym_BSLASHglet] = ACTIONS(6173),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6176),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6176),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6179),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6179),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6182),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6182),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6182),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6182),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6185),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6185),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6185),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6188),
    [anon_sym_BSLASHgls] = ACTIONS(6191),
    [anon_sym_BSLASHGls] = ACTIONS(6191),
    [anon_sym_BSLASHGLS] = ACTIONS(6191),
    [anon_sym_BSLASHglspl] = ACTIONS(6191),
    [anon_sym_BSLASHGlspl] = ACTIONS(6191),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6191),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6191),
    [anon_sym_BSLASHglslink] = ACTIONS(6191),
    [anon_sym_BSLASHglstext] = ACTIONS(6191),
    [anon_sym_BSLASHGlstext] = ACTIONS(6191),
    [anon_sym_BSLASHGLStext] = ACTIONS(6191),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6191),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6191),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6191),
    [anon_sym_BSLASHglsplural] = ACTIONS(6191),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6191),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6191),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6191),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6191),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6191),
    [anon_sym_BSLASHglsname] = ACTIONS(6191),
    [anon_sym_BSLASHGlsname] = ACTIONS(6191),
    [anon_sym_BSLASHGLSname] = ACTIONS(6191),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6191),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6191),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6191),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6191),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6191),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6191),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6191),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6191),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6191),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6191),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6191),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6191),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6191),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6191),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6191),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6191),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6191),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6191),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6191),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6191),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6191),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6191),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6191),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6194),
    [anon_sym_BSLASHacrshort] = ACTIONS(6197),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6197),
    [anon_sym_BSLASHACRshort] = ACTIONS(6197),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6197),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6197),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6197),
    [anon_sym_BSLASHacrlong] = ACTIONS(6197),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6197),
    [anon_sym_BSLASHACRlong] = ACTIONS(6197),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6197),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6197),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6197),
    [anon_sym_BSLASHacrfull] = ACTIONS(6197),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6197),
    [anon_sym_BSLASHACRfull] = ACTIONS(6197),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6197),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6197),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6197),
    [anon_sym_BSLASHacs] = ACTIONS(6197),
    [anon_sym_BSLASHAcs] = ACTIONS(6197),
    [anon_sym_BSLASHacsp] = ACTIONS(6197),
    [anon_sym_BSLASHAcsp] = ACTIONS(6197),
    [anon_sym_BSLASHacl] = ACTIONS(6197),
    [anon_sym_BSLASHAcl] = ACTIONS(6197),
    [anon_sym_BSLASHaclp] = ACTIONS(6197),
    [anon_sym_BSLASHAclp] = ACTIONS(6197),
    [anon_sym_BSLASHacf] = ACTIONS(6197),
    [anon_sym_BSLASHAcf] = ACTIONS(6197),
    [anon_sym_BSLASHacfp] = ACTIONS(6197),
    [anon_sym_BSLASHAcfp] = ACTIONS(6197),
    [anon_sym_BSLASHac] = ACTIONS(6197),
    [anon_sym_BSLASHAc] = ACTIONS(6197),
    [anon_sym_BSLASHacp] = ACTIONS(6197),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6197),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6197),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6197),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6197),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6197),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6197),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6197),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6197),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6197),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6197),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6200),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6203),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6200),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6203),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6206),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6209),
    [anon_sym_BSLASHcolor] = ACTIONS(6212),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6212),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6212),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6212),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6212),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6215),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6215),
    [anon_sym_BSLASHurl] = ACTIONS(6218),
    [anon_sym_BSLASHhref] = ACTIONS(6218),
  },
  [334] = {
    [sym_block_comment] = STATE(2042),
    [sym_operator] = STATE(2042),
    [sym_subscript] = STATE(2042),
    [sym_superscript] = STATE(2042),
    [sym__command] = STATE(2042),
    [sym_generic_command] = STATE(2042),
    [sym_title_declaration] = STATE(2042),
    [sym_author_declaration] = STATE(2042),
    [sym_package_include] = STATE(2042),
    [sym_class_include] = STATE(2042),
    [sym_latex_include] = STATE(2042),
    [sym_biblatex_include] = STATE(2042),
    [sym_bibstyle_include] = STATE(2042),
    [sym_bibtex_include] = STATE(2042),
    [sym_graphics_include] = STATE(2042),
    [sym_svg_include] = STATE(2042),
    [sym_inkscape_include] = STATE(2042),
    [sym_verbatim_include] = STATE(2042),
    [sym_import_include] = STATE(2042),
    [sym_caption] = STATE(2042),
    [sym_citation] = STATE(2042),
    [sym_label_definition] = STATE(2042),
    [sym_label_reference] = STATE(2042),
    [sym_label_reference_range] = STATE(2042),
    [sym_label_number] = STATE(2042),
    [sym_new_command_definition] = STATE(2042),
    [sym__new_command_definition] = STATE(2059),
    [sym__newer_command_definition] = STATE(2060),
    [sym__new_command_copy] = STATE(2061),
    [sym_old_command_definition] = STATE(2042),
    [sym_let_command_definition] = STATE(2042),
    [sym_paired_delimiter_definition] = STATE(2042),
    [sym_environment_definition] = STATE(2042),
    [sym__environment_definition] = STATE(2062),
    [sym__newer_environment_definition] = STATE(2063),
    [sym__new_environment_copy] = STATE(2064),
    [sym_glossary_entry_definition] = STATE(2042),
    [sym_glossary_entry_reference] = STATE(2042),
    [sym_acronym_definition] = STATE(2042),
    [sym_acronym_reference] = STATE(2042),
    [sym_theorem_definition] = STATE(2042),
    [sym_color_definition] = STATE(2042),
    [sym_color_set_definition] = STATE(2042),
    [sym_color_reference] = STATE(2042),
    [sym_tikz_library_import] = STATE(2042),
    [sym_hyperlink] = STATE(2042),
    [aux_sym_text_repeat1] = STATE(334),
    [sym_command_name] = ACTIONS(6221),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6224),
    [anon_sym_LBRACK] = ACTIONS(4045),
    [anon_sym_RBRACK] = ACTIONS(4045),
    [anon_sym_COMMA] = ACTIONS(4045),
    [anon_sym_EQ] = ACTIONS(4045),
    [anon_sym_LPAREN] = ACTIONS(4045),
    [anon_sym_RPAREN] = ACTIONS(4045),
    [anon_sym_LBRACE] = ACTIONS(4045),
    [sym_word] = ACTIONS(6227),
    [sym_placeholder] = ACTIONS(6230),
    [sym_delimiter] = ACTIONS(6230),
    [anon_sym_PLUS] = ACTIONS(6233),
    [anon_sym_DASH] = ACTIONS(6233),
    [anon_sym_STAR] = ACTIONS(6233),
    [anon_sym_SLASH] = ACTIONS(6233),
    [anon_sym_LT] = ACTIONS(6236),
    [anon_sym_GT] = ACTIONS(6236),
    [anon_sym_BANG] = ACTIONS(6236),
    [anon_sym_PIPE] = ACTIONS(6236),
    [anon_sym_COLON] = ACTIONS(6236),
    [anon_sym_SQUOTE] = ACTIONS(6236),
    [anon_sym__] = ACTIONS(6239),
    [anon_sym_CARET] = ACTIONS(6242),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4045),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4045),
    [anon_sym_DOLLAR] = ACTIONS(4047),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4045),
    [anon_sym_BSLASHleft] = ACTIONS(4047),
    [anon_sym_BSLASHbigl] = ACTIONS(4047),
    [anon_sym_BSLASHBigl] = ACTIONS(4047),
    [anon_sym_BSLASHbiggl] = ACTIONS(4047),
    [anon_sym_BSLASHBiggl] = ACTIONS(4047),
    [anon_sym_BSLASHtext] = ACTIONS(4047),
    [anon_sym_BSLASHintertext] = ACTIONS(4047),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4047),
    [anon_sym_BSLASHbegin] = ACTIONS(4047),
    [anon_sym_BSLASHtitle] = ACTIONS(6245),
    [anon_sym_BSLASHauthor] = ACTIONS(6248),
    [anon_sym_BSLASHusepackage] = ACTIONS(6251),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6251),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6254),
    [anon_sym_BSLASHinclude] = ACTIONS(6257),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6257),
    [anon_sym_BSLASHinput] = ACTIONS(6257),
    [anon_sym_BSLASHsubfile] = ACTIONS(6257),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6260),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6263),
    [anon_sym_BSLASHbibliography] = ACTIONS(6266),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6269),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6272),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6275),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6278),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6278),
    [anon_sym_BSLASHimport] = ACTIONS(6281),
    [anon_sym_BSLASHsubimport] = ACTIONS(6281),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6281),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6281),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6281),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6281),
    [anon_sym_BSLASHcaption] = ACTIONS(6284),
    [anon_sym_BSLASHcite] = ACTIONS(6287),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6290),
    [anon_sym_BSLASHCite] = ACTIONS(6287),
    [anon_sym_BSLASHnocite] = ACTIONS(6287),
    [anon_sym_BSLASHcitet] = ACTIONS(6287),
    [anon_sym_BSLASHcitep] = ACTIONS(6287),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6290),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6290),
    [anon_sym_BSLASHciteA] = ACTIONS(6287),
    [anon_sym_BSLASHciteR] = ACTIONS(6287),
    [anon_sym_BSLASHciteS] = ACTIONS(6287),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6287),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6287),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6290),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6287),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6290),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6287),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6290),
    [anon_sym_BSLASHciteyear] = ACTIONS(6287),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6290),
    [anon_sym_BSLASHcitedate] = ACTIONS(6287),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6290),
    [anon_sym_BSLASHciteurl] = ACTIONS(6287),
    [anon_sym_BSLASHfullcite] = ACTIONS(6287),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6287),
    [anon_sym_BSLASHcitealt] = ACTIONS(6287),
    [anon_sym_BSLASHcitealp] = ACTIONS(6287),
    [anon_sym_BSLASHcitetext] = ACTIONS(6287),
    [anon_sym_BSLASHparencite] = ACTIONS(6287),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6290),
    [anon_sym_BSLASHParencite] = ACTIONS(6287),
    [anon_sym_BSLASHfootcite] = ACTIONS(6287),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6287),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6287),
    [anon_sym_BSLASHtextcite] = ACTIONS(6287),
    [anon_sym_BSLASHTextcite] = ACTIONS(6287),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6287),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6287),
    [anon_sym_BSLASHsupercite] = ACTIONS(6287),
    [anon_sym_BSLASHautocite] = ACTIONS(6287),
    [anon_sym_BSLASHAutocite] = ACTIONS(6287),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6290),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6290),
    [anon_sym_BSLASHvolcite] = ACTIONS(6287),
    [anon_sym_BSLASHVolcite] = ACTIONS(6287),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6287),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6287),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6287),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6287),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6287),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6287),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6287),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6287),
    [anon_sym_BSLASHavolcite] = ACTIONS(6287),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6287),
    [anon_sym_BSLASHnotecite] = ACTIONS(6287),
    [anon_sym_BSLASHNotecite] = ACTIONS(6287),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6287),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6287),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6287),
    [anon_sym_BSLASHlabel] = ACTIONS(6293),
    [anon_sym_BSLASHref] = ACTIONS(6296),
    [anon_sym_BSLASHeqref] = ACTIONS(6296),
    [anon_sym_BSLASHvref] = ACTIONS(6296),
    [anon_sym_BSLASHVref] = ACTIONS(6296),
    [anon_sym_BSLASHautoref] = ACTIONS(6296),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6299),
    [anon_sym_BSLASHpageref] = ACTIONS(6296),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6299),
    [anon_sym_BSLASHautopageref] = ACTIONS(6296),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6299),
    [anon_sym_BSLASHcref] = ACTIONS(6296),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6299),
    [anon_sym_BSLASHCref] = ACTIONS(6296),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6299),
    [anon_sym_BSLASHcpageref] = ACTIONS(6296),
    [anon_sym_BSLASHCpageref] = ACTIONS(6296),
    [anon_sym_BSLASHnamecref] = ACTIONS(6296),
    [anon_sym_BSLASHnameCref] = ACTIONS(6296),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6296),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6296),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6296),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6296),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6296),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6299),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6296),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6299),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6302),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6305),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6302),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6305),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6302),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6302),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6308),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6311),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6314),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6311),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6314),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6311),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6314),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6311),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6314),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6311),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6314),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6317),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6317),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6317),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6317),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6317),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6317),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6317),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6317),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6320),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6320),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6320),
    [anon_sym_BSLASHdef] = ACTIONS(6323),
    [anon_sym_BSLASHgdef] = ACTIONS(6323),
    [anon_sym_BSLASHedef] = ACTIONS(6323),
    [anon_sym_BSLASHxdef] = ACTIONS(6323),
    [anon_sym_BSLASHlet] = ACTIONS(6326),
    [anon_sym_BSLASHglet] = ACTIONS(6326),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6329),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6329),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6332),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6332),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6335),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6335),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6335),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6335),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6338),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6338),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6338),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6341),
    [anon_sym_BSLASHgls] = ACTIONS(6344),
    [anon_sym_BSLASHGls] = ACTIONS(6344),
    [anon_sym_BSLASHGLS] = ACTIONS(6344),
    [anon_sym_BSLASHglspl] = ACTIONS(6344),
    [anon_sym_BSLASHGlspl] = ACTIONS(6344),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6344),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6344),
    [anon_sym_BSLASHglslink] = ACTIONS(6344),
    [anon_sym_BSLASHglstext] = ACTIONS(6344),
    [anon_sym_BSLASHGlstext] = ACTIONS(6344),
    [anon_sym_BSLASHGLStext] = ACTIONS(6344),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6344),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6344),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6344),
    [anon_sym_BSLASHglsplural] = ACTIONS(6344),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6344),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6344),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6344),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6344),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6344),
    [anon_sym_BSLASHglsname] = ACTIONS(6344),
    [anon_sym_BSLASHGlsname] = ACTIONS(6344),
    [anon_sym_BSLASHGLSname] = ACTIONS(6344),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6344),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6344),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6344),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6344),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6344),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6344),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6344),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6344),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6344),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6344),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6344),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6344),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6344),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6344),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6344),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6344),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6344),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6344),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6344),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6344),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6344),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6344),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6344),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6347),
    [anon_sym_BSLASHacrshort] = ACTIONS(6350),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6350),
    [anon_sym_BSLASHACRshort] = ACTIONS(6350),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6350),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6350),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6350),
    [anon_sym_BSLASHacrlong] = ACTIONS(6350),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6350),
    [anon_sym_BSLASHACRlong] = ACTIONS(6350),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6350),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6350),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6350),
    [anon_sym_BSLASHacrfull] = ACTIONS(6350),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6350),
    [anon_sym_BSLASHACRfull] = ACTIONS(6350),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6350),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6350),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6350),
    [anon_sym_BSLASHacs] = ACTIONS(6350),
    [anon_sym_BSLASHAcs] = ACTIONS(6350),
    [anon_sym_BSLASHacsp] = ACTIONS(6350),
    [anon_sym_BSLASHAcsp] = ACTIONS(6350),
    [anon_sym_BSLASHacl] = ACTIONS(6350),
    [anon_sym_BSLASHAcl] = ACTIONS(6350),
    [anon_sym_BSLASHaclp] = ACTIONS(6350),
    [anon_sym_BSLASHAclp] = ACTIONS(6350),
    [anon_sym_BSLASHacf] = ACTIONS(6350),
    [anon_sym_BSLASHAcf] = ACTIONS(6350),
    [anon_sym_BSLASHacfp] = ACTIONS(6350),
    [anon_sym_BSLASHAcfp] = ACTIONS(6350),
    [anon_sym_BSLASHac] = ACTIONS(6350),
    [anon_sym_BSLASHAc] = ACTIONS(6350),
    [anon_sym_BSLASHacp] = ACTIONS(6350),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6350),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6350),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6350),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6350),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6350),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6350),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6350),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6350),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6350),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6350),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6353),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6356),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6353),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6356),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6359),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6362),
    [anon_sym_BSLASHcolor] = ACTIONS(6365),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6365),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6365),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6365),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6365),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6368),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6368),
    [anon_sym_BSLASHurl] = ACTIONS(6371),
    [anon_sym_BSLASHhref] = ACTIONS(6371),
  },
  [335] = {
    [sym_block_comment] = STATE(2147),
    [sym_operator] = STATE(2147),
    [sym_subscript] = STATE(2147),
    [sym_superscript] = STATE(2147),
    [sym__command] = STATE(2147),
    [sym_generic_command] = STATE(2147),
    [sym_title_declaration] = STATE(2147),
    [sym_author_declaration] = STATE(2147),
    [sym_package_include] = STATE(2147),
    [sym_class_include] = STATE(2147),
    [sym_latex_include] = STATE(2147),
    [sym_biblatex_include] = STATE(2147),
    [sym_bibstyle_include] = STATE(2147),
    [sym_bibtex_include] = STATE(2147),
    [sym_graphics_include] = STATE(2147),
    [sym_svg_include] = STATE(2147),
    [sym_inkscape_include] = STATE(2147),
    [sym_verbatim_include] = STATE(2147),
    [sym_import_include] = STATE(2147),
    [sym_caption] = STATE(2147),
    [sym_citation] = STATE(2147),
    [sym_label_definition] = STATE(2147),
    [sym_label_reference] = STATE(2147),
    [sym_label_reference_range] = STATE(2147),
    [sym_label_number] = STATE(2147),
    [sym_new_command_definition] = STATE(2147),
    [sym__new_command_definition] = STATE(2170),
    [sym__newer_command_definition] = STATE(2171),
    [sym__new_command_copy] = STATE(2172),
    [sym_old_command_definition] = STATE(2147),
    [sym_let_command_definition] = STATE(2147),
    [sym_paired_delimiter_definition] = STATE(2147),
    [sym_environment_definition] = STATE(2147),
    [sym__environment_definition] = STATE(2173),
    [sym__newer_environment_definition] = STATE(2174),
    [sym__new_environment_copy] = STATE(2175),
    [sym_glossary_entry_definition] = STATE(2147),
    [sym_glossary_entry_reference] = STATE(2147),
    [sym_acronym_definition] = STATE(2147),
    [sym_acronym_reference] = STATE(2147),
    [sym_theorem_definition] = STATE(2147),
    [sym_color_definition] = STATE(2147),
    [sym_color_set_definition] = STATE(2147),
    [sym_color_reference] = STATE(2147),
    [sym_tikz_library_import] = STATE(2147),
    [sym_hyperlink] = STATE(2147),
    [aux_sym_text_repeat1] = STATE(336),
    [sym_command_name] = ACTIONS(5381),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(5383),
    [anon_sym_LPAREN] = ACTIONS(4196),
    [anon_sym_RPAREN] = ACTIONS(4196),
    [anon_sym_LBRACE] = ACTIONS(4196),
    [anon_sym_RBRACE] = ACTIONS(4196),
    [anon_sym_BSLASHand] = ACTIONS(4198),
    [sym_word] = ACTIONS(5393),
    [sym_placeholder] = ACTIONS(5395),
    [sym_delimiter] = ACTIONS(5395),
    [anon_sym_PLUS] = ACTIONS(5397),
    [anon_sym_DASH] = ACTIONS(5397),
    [anon_sym_STAR] = ACTIONS(5397),
    [anon_sym_SLASH] = ACTIONS(5397),
    [anon_sym_LT] = ACTIONS(5399),
    [anon_sym_GT] = ACTIONS(5399),
    [anon_sym_BANG] = ACTIONS(5399),
    [anon_sym_PIPE] = ACTIONS(5399),
    [anon_sym_COLON] = ACTIONS(5399),
    [anon_sym_SQUOTE] = ACTIONS(5399),
    [anon_sym__] = ACTIONS(5401),
    [anon_sym_CARET] = ACTIONS(5403),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4196),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4196),
    [anon_sym_DOLLAR] = ACTIONS(4198),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4196),
    [anon_sym_BSLASHleft] = ACTIONS(4198),
    [anon_sym_BSLASHbigl] = ACTIONS(4198),
    [anon_sym_BSLASHBigl] = ACTIONS(4198),
    [anon_sym_BSLASHbiggl] = ACTIONS(4198),
    [anon_sym_BSLASHBiggl] = ACTIONS(4198),
    [anon_sym_BSLASHtext] = ACTIONS(4198),
    [anon_sym_BSLASHintertext] = ACTIONS(4198),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4198),
    [anon_sym_BSLASHtitle] = ACTIONS(5415),
    [anon_sym_BSLASHauthor] = ACTIONS(5417),
    [anon_sym_BSLASHusepackage] = ACTIONS(5419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(5419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(5421),
    [anon_sym_BSLASHinclude] = ACTIONS(5423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(5423),
    [anon_sym_BSLASHinput] = ACTIONS(5423),
    [anon_sym_BSLASHsubfile] = ACTIONS(5423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(5425),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(5427),
    [anon_sym_BSLASHbibliography] = ACTIONS(5429),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(5431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(5433),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(5435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(5437),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(5437),
    [anon_sym_BSLASHimport] = ACTIONS(5439),
    [anon_sym_BSLASHsubimport] = ACTIONS(5439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(5439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(5439),
    [anon_sym_BSLASHcaption] = ACTIONS(5441),
    [anon_sym_BSLASHcite] = ACTIONS(5443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCite] = ACTIONS(5443),
    [anon_sym_BSLASHnocite] = ACTIONS(5443),
    [anon_sym_BSLASHcitet] = ACTIONS(5443),
    [anon_sym_BSLASHcitep] = ACTIONS(5443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteA] = ACTIONS(5443),
    [anon_sym_BSLASHciteR] = ACTIONS(5443),
    [anon_sym_BSLASHciteS] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(5443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(5443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteyear] = ACTIONS(5443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHcitedate] = ACTIONS(5443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHciteurl] = ACTIONS(5443),
    [anon_sym_BSLASHfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(5443),
    [anon_sym_BSLASHcitealt] = ACTIONS(5443),
    [anon_sym_BSLASHcitealp] = ACTIONS(5443),
    [anon_sym_BSLASHcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHparencite] = ACTIONS(5443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHParencite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(5443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(5443),
    [anon_sym_BSLASHtextcite] = ACTIONS(5443),
    [anon_sym_BSLASHTextcite] = ACTIONS(5443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(5443),
    [anon_sym_BSLASHsupercite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite] = ACTIONS(5443),
    [anon_sym_BSLASHAutocite] = ACTIONS(5443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(5445),
    [anon_sym_BSLASHvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHVolcite] = ACTIONS(5443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHavolcite] = ACTIONS(5443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(5443),
    [anon_sym_BSLASHnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHNotecite] = ACTIONS(5443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(5443),
    [anon_sym_BSLASHlabel] = ACTIONS(5447),
    [anon_sym_BSLASHref] = ACTIONS(5449),
    [anon_sym_BSLASHeqref] = ACTIONS(5449),
    [anon_sym_BSLASHvref] = ACTIONS(5449),
    [anon_sym_BSLASHVref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref] = ACTIONS(5449),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHpageref] = ACTIONS(5449),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHautopageref] = ACTIONS(5449),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcref] = ACTIONS(5449),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHCref] = ACTIONS(5449),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHCpageref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnameCref] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(5449),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(5449),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(5451),
    [anon_sym_BSLASHcrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHCrefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(5455),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(5453),
    [anon_sym_BSLASHnewlabel] = ACTIONS(5457),
    [anon_sym_BSLASHnewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(5459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(5459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(5459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(5461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(5463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(5465),
    [anon_sym_BSLASHdef] = ACTIONS(5467),
    [anon_sym_BSLASHgdef] = ACTIONS(5467),
    [anon_sym_BSLASHedef] = ACTIONS(5467),
    [anon_sym_BSLASHxdef] = ACTIONS(5467),
    [anon_sym_BSLASHlet] = ACTIONS(5469),
    [anon_sym_BSLASHglet] = ACTIONS(5469),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(5471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(5471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(5473),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(5475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(5477),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(5479),
    [anon_sym_BSLASHgls] = ACTIONS(5481),
    [anon_sym_BSLASHGls] = ACTIONS(5481),
    [anon_sym_BSLASHGLS] = ACTIONS(5481),
    [anon_sym_BSLASHglspl] = ACTIONS(5481),
    [anon_sym_BSLASHGlspl] = ACTIONS(5481),
    [anon_sym_BSLASHGLSpl] = ACTIONS(5481),
    [anon_sym_BSLASHglsdisp] = ACTIONS(5481),
    [anon_sym_BSLASHglslink] = ACTIONS(5481),
    [anon_sym_BSLASHglstext] = ACTIONS(5481),
    [anon_sym_BSLASHGlstext] = ACTIONS(5481),
    [anon_sym_BSLASHGLStext] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(5481),
    [anon_sym_BSLASHglsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(5481),
    [anon_sym_BSLASHglsname] = ACTIONS(5481),
    [anon_sym_BSLASHGlsname] = ACTIONS(5481),
    [anon_sym_BSLASHGLSname] = ACTIONS(5481),
    [anon_sym_BSLASHglssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(5481),
    [anon_sym_BSLASHglsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(5481),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(5481),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(5481),
    [anon_sym_BSLASHglsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(5481),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(5481),
    [anon_sym_BSLASHnewacronym] = ACTIONS(5483),
    [anon_sym_BSLASHacrshort] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshort] = ACTIONS(5485),
    [anon_sym_BSLASHACRshort] = ACTIONS(5485),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrlong] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlong] = ACTIONS(5485),
    [anon_sym_BSLASHACRlong] = ACTIONS(5485),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(5485),
    [anon_sym_BSLASHacrfull] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfull] = ACTIONS(5485),
    [anon_sym_BSLASHACRfull] = ACTIONS(5485),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHacs] = ACTIONS(5485),
    [anon_sym_BSLASHAcs] = ACTIONS(5485),
    [anon_sym_BSLASHacsp] = ACTIONS(5485),
    [anon_sym_BSLASHAcsp] = ACTIONS(5485),
    [anon_sym_BSLASHacl] = ACTIONS(5485),
    [anon_sym_BSLASHAcl] = ACTIONS(5485),
    [anon_sym_BSLASHaclp] = ACTIONS(5485),
    [anon_sym_BSLASHAclp] = ACTIONS(5485),
    [anon_sym_BSLASHacf] = ACTIONS(5485),
    [anon_sym_BSLASHAcf] = ACTIONS(5485),
    [anon_sym_BSLASHacfp] = ACTIONS(5485),
    [anon_sym_BSLASHAcfp] = ACTIONS(5485),
    [anon_sym_BSLASHac] = ACTIONS(5485),
    [anon_sym_BSLASHAc] = ACTIONS(5485),
    [anon_sym_BSLASHacp] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(5485),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(5485),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(5485),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(5487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(5487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(5489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(5491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(5493),
    [anon_sym_BSLASHcolor] = ACTIONS(5495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(5495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(5495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(5495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(5495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(5497),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(5497),
    [anon_sym_BSLASHurl] = ACTIONS(5499),
    [anon_sym_BSLASHhref] = ACTIONS(5499),
  },
  [336] = {
    [sym_block_comment] = STATE(2147),
    [sym_operator] = STATE(2147),
    [sym_subscript] = STATE(2147),
    [sym_superscript] = STATE(2147),
    [sym__command] = STATE(2147),
    [sym_generic_command] = STATE(2147),
    [sym_title_declaration] = STATE(2147),
    [sym_author_declaration] = STATE(2147),
    [sym_package_include] = STATE(2147),
    [sym_class_include] = STATE(2147),
    [sym_latex_include] = STATE(2147),
    [sym_biblatex_include] = STATE(2147),
    [sym_bibstyle_include] = STATE(2147),
    [sym_bibtex_include] = STATE(2147),
    [sym_graphics_include] = STATE(2147),
    [sym_svg_include] = STATE(2147),
    [sym_inkscape_include] = STATE(2147),
    [sym_verbatim_include] = STATE(2147),
    [sym_import_include] = STATE(2147),
    [sym_caption] = STATE(2147),
    [sym_citation] = STATE(2147),
    [sym_label_definition] = STATE(2147),
    [sym_label_reference] = STATE(2147),
    [sym_label_reference_range] = STATE(2147),
    [sym_label_number] = STATE(2147),
    [sym_new_command_definition] = STATE(2147),
    [sym__new_command_definition] = STATE(2170),
    [sym__newer_command_definition] = STATE(2171),
    [sym__new_command_copy] = STATE(2172),
    [sym_old_command_definition] = STATE(2147),
    [sym_let_command_definition] = STATE(2147),
    [sym_paired_delimiter_definition] = STATE(2147),
    [sym_environment_definition] = STATE(2147),
    [sym__environment_definition] = STATE(2173),
    [sym__newer_environment_definition] = STATE(2174),
    [sym__new_environment_copy] = STATE(2175),
    [sym_glossary_entry_definition] = STATE(2147),
    [sym_glossary_entry_reference] = STATE(2147),
    [sym_acronym_definition] = STATE(2147),
    [sym_acronym_reference] = STATE(2147),
    [sym_theorem_definition] = STATE(2147),
    [sym_color_definition] = STATE(2147),
    [sym_color_set_definition] = STATE(2147),
    [sym_color_reference] = STATE(2147),
    [sym_tikz_library_import] = STATE(2147),
    [sym_hyperlink] = STATE(2147),
    [aux_sym_text_repeat1] = STATE(336),
    [sym_command_name] = ACTIONS(6374),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6377),
    [anon_sym_LPAREN] = ACTIONS(4045),
    [anon_sym_RPAREN] = ACTIONS(4045),
    [anon_sym_LBRACE] = ACTIONS(4045),
    [anon_sym_RBRACE] = ACTIONS(4045),
    [anon_sym_BSLASHand] = ACTIONS(4047),
    [sym_word] = ACTIONS(6380),
    [sym_placeholder] = ACTIONS(6383),
    [sym_delimiter] = ACTIONS(6383),
    [anon_sym_PLUS] = ACTIONS(6386),
    [anon_sym_DASH] = ACTIONS(6386),
    [anon_sym_STAR] = ACTIONS(6386),
    [anon_sym_SLASH] = ACTIONS(6386),
    [anon_sym_LT] = ACTIONS(6389),
    [anon_sym_GT] = ACTIONS(6389),
    [anon_sym_BANG] = ACTIONS(6389),
    [anon_sym_PIPE] = ACTIONS(6389),
    [anon_sym_COLON] = ACTIONS(6389),
    [anon_sym_SQUOTE] = ACTIONS(6389),
    [anon_sym__] = ACTIONS(6392),
    [anon_sym_CARET] = ACTIONS(6395),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(4045),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(4045),
    [anon_sym_DOLLAR] = ACTIONS(4047),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(4045),
    [anon_sym_BSLASHleft] = ACTIONS(4047),
    [anon_sym_BSLASHbigl] = ACTIONS(4047),
    [anon_sym_BSLASHBigl] = ACTIONS(4047),
    [anon_sym_BSLASHbiggl] = ACTIONS(4047),
    [anon_sym_BSLASHBiggl] = ACTIONS(4047),
    [anon_sym_BSLASHtext] = ACTIONS(4047),
    [anon_sym_BSLASHintertext] = ACTIONS(4047),
    [anon_sym_BSLASHshortintertext] = ACTIONS(4047),
    [anon_sym_BSLASHtitle] = ACTIONS(6398),
    [anon_sym_BSLASHauthor] = ACTIONS(6401),
    [anon_sym_BSLASHusepackage] = ACTIONS(6404),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6404),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6407),
    [anon_sym_BSLASHinclude] = ACTIONS(6410),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6410),
    [anon_sym_BSLASHinput] = ACTIONS(6410),
    [anon_sym_BSLASHsubfile] = ACTIONS(6410),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6413),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6416),
    [anon_sym_BSLASHbibliography] = ACTIONS(6419),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6422),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6425),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6428),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6431),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6431),
    [anon_sym_BSLASHimport] = ACTIONS(6434),
    [anon_sym_BSLASHsubimport] = ACTIONS(6434),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6434),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6434),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6434),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6434),
    [anon_sym_BSLASHcaption] = ACTIONS(6437),
    [anon_sym_BSLASHcite] = ACTIONS(6440),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6443),
    [anon_sym_BSLASHCite] = ACTIONS(6440),
    [anon_sym_BSLASHnocite] = ACTIONS(6440),
    [anon_sym_BSLASHcitet] = ACTIONS(6440),
    [anon_sym_BSLASHcitep] = ACTIONS(6440),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6443),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6443),
    [anon_sym_BSLASHciteA] = ACTIONS(6440),
    [anon_sym_BSLASHciteR] = ACTIONS(6440),
    [anon_sym_BSLASHciteS] = ACTIONS(6440),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6440),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6440),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6443),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6440),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6443),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6440),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6443),
    [anon_sym_BSLASHciteyear] = ACTIONS(6440),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6443),
    [anon_sym_BSLASHcitedate] = ACTIONS(6440),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6443),
    [anon_sym_BSLASHciteurl] = ACTIONS(6440),
    [anon_sym_BSLASHfullcite] = ACTIONS(6440),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6440),
    [anon_sym_BSLASHcitealt] = ACTIONS(6440),
    [anon_sym_BSLASHcitealp] = ACTIONS(6440),
    [anon_sym_BSLASHcitetext] = ACTIONS(6440),
    [anon_sym_BSLASHparencite] = ACTIONS(6440),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6443),
    [anon_sym_BSLASHParencite] = ACTIONS(6440),
    [anon_sym_BSLASHfootcite] = ACTIONS(6440),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6440),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6440),
    [anon_sym_BSLASHtextcite] = ACTIONS(6440),
    [anon_sym_BSLASHTextcite] = ACTIONS(6440),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6440),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6440),
    [anon_sym_BSLASHsupercite] = ACTIONS(6440),
    [anon_sym_BSLASHautocite] = ACTIONS(6440),
    [anon_sym_BSLASHAutocite] = ACTIONS(6440),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6443),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6443),
    [anon_sym_BSLASHvolcite] = ACTIONS(6440),
    [anon_sym_BSLASHVolcite] = ACTIONS(6440),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6440),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6440),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6440),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6440),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6440),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6440),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6440),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6440),
    [anon_sym_BSLASHavolcite] = ACTIONS(6440),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6440),
    [anon_sym_BSLASHnotecite] = ACTIONS(6440),
    [anon_sym_BSLASHNotecite] = ACTIONS(6440),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6440),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6440),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6440),
    [anon_sym_BSLASHlabel] = ACTIONS(6446),
    [anon_sym_BSLASHref] = ACTIONS(6449),
    [anon_sym_BSLASHeqref] = ACTIONS(6449),
    [anon_sym_BSLASHvref] = ACTIONS(6449),
    [anon_sym_BSLASHVref] = ACTIONS(6449),
    [anon_sym_BSLASHautoref] = ACTIONS(6449),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6452),
    [anon_sym_BSLASHpageref] = ACTIONS(6449),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6452),
    [anon_sym_BSLASHautopageref] = ACTIONS(6449),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6452),
    [anon_sym_BSLASHcref] = ACTIONS(6449),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6452),
    [anon_sym_BSLASHCref] = ACTIONS(6449),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6452),
    [anon_sym_BSLASHcpageref] = ACTIONS(6449),
    [anon_sym_BSLASHCpageref] = ACTIONS(6449),
    [anon_sym_BSLASHnamecref] = ACTIONS(6449),
    [anon_sym_BSLASHnameCref] = ACTIONS(6449),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6449),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6449),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6449),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6449),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6449),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6452),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6449),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6452),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6455),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6458),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6455),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6458),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6455),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6455),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6461),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6464),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6467),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6464),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6467),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6464),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6467),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6464),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6467),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6464),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6467),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6470),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6470),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6470),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6470),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6470),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6470),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6470),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6470),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6473),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6473),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6473),
    [anon_sym_BSLASHdef] = ACTIONS(6476),
    [anon_sym_BSLASHgdef] = ACTIONS(6476),
    [anon_sym_BSLASHedef] = ACTIONS(6476),
    [anon_sym_BSLASHxdef] = ACTIONS(6476),
    [anon_sym_BSLASHlet] = ACTIONS(6479),
    [anon_sym_BSLASHglet] = ACTIONS(6479),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6482),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6482),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6485),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6485),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6488),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6488),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6488),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6488),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6491),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6491),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6491),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6494),
    [anon_sym_BSLASHgls] = ACTIONS(6497),
    [anon_sym_BSLASHGls] = ACTIONS(6497),
    [anon_sym_BSLASHGLS] = ACTIONS(6497),
    [anon_sym_BSLASHglspl] = ACTIONS(6497),
    [anon_sym_BSLASHGlspl] = ACTIONS(6497),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6497),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6497),
    [anon_sym_BSLASHglslink] = ACTIONS(6497),
    [anon_sym_BSLASHglstext] = ACTIONS(6497),
    [anon_sym_BSLASHGlstext] = ACTIONS(6497),
    [anon_sym_BSLASHGLStext] = ACTIONS(6497),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6497),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6497),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6497),
    [anon_sym_BSLASHglsplural] = ACTIONS(6497),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6497),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6497),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6497),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6497),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6497),
    [anon_sym_BSLASHglsname] = ACTIONS(6497),
    [anon_sym_BSLASHGlsname] = ACTIONS(6497),
    [anon_sym_BSLASHGLSname] = ACTIONS(6497),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6497),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6497),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6497),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6497),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6497),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6497),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6497),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6497),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6497),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6497),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6497),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6497),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6497),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6497),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6497),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6497),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6497),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6497),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6497),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6497),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6497),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6497),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6497),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6500),
    [anon_sym_BSLASHacrshort] = ACTIONS(6503),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6503),
    [anon_sym_BSLASHACRshort] = ACTIONS(6503),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6503),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6503),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6503),
    [anon_sym_BSLASHacrlong] = ACTIONS(6503),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6503),
    [anon_sym_BSLASHACRlong] = ACTIONS(6503),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6503),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6503),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6503),
    [anon_sym_BSLASHacrfull] = ACTIONS(6503),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6503),
    [anon_sym_BSLASHACRfull] = ACTIONS(6503),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6503),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6503),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6503),
    [anon_sym_BSLASHacs] = ACTIONS(6503),
    [anon_sym_BSLASHAcs] = ACTIONS(6503),
    [anon_sym_BSLASHacsp] = ACTIONS(6503),
    [anon_sym_BSLASHAcsp] = ACTIONS(6503),
    [anon_sym_BSLASHacl] = ACTIONS(6503),
    [anon_sym_BSLASHAcl] = ACTIONS(6503),
    [anon_sym_BSLASHaclp] = ACTIONS(6503),
    [anon_sym_BSLASHAclp] = ACTIONS(6503),
    [anon_sym_BSLASHacf] = ACTIONS(6503),
    [anon_sym_BSLASHAcf] = ACTIONS(6503),
    [anon_sym_BSLASHacfp] = ACTIONS(6503),
    [anon_sym_BSLASHAcfp] = ACTIONS(6503),
    [anon_sym_BSLASHac] = ACTIONS(6503),
    [anon_sym_BSLASHAc] = ACTIONS(6503),
    [anon_sym_BSLASHacp] = ACTIONS(6503),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6503),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6503),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6503),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6503),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6503),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6503),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6503),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6503),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6503),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6503),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6506),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6509),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6506),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6509),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6512),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6515),
    [anon_sym_BSLASHcolor] = ACTIONS(6518),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6518),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6518),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6518),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6518),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6521),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6521),
    [anon_sym_BSLASHurl] = ACTIONS(6524),
    [anon_sym_BSLASHhref] = ACTIONS(6524),
  },
  [337] = {
    [sym__chapter_declaration] = STATE(158),
    [sym_chapter] = STATE(413),
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(414),
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(415),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(416),
    [aux_sym__section_repeat2] = STATE(413),
    [aux_sym__section_repeat3] = STATE(414),
    [aux_sym__section_repeat4] = STATE(415),
    [aux_sym__section_repeat5] = STATE(416),
    [sym_command_name] = ACTIONS(2244),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_RBRACK] = ACTIONS(2246),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_EQ] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(189),
    [anon_sym_BSLASHaddchap] = ACTIONS(187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(189),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHitem] = ACTIONS(2244),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [sym_word] = ACTIONS(2244),
    [sym_placeholder] = ACTIONS(2246),
    [sym_delimiter] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_COLON] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym__] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2246),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2246),
    [anon_sym_DOLLAR] = ACTIONS(2244),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHleft] = ACTIONS(2244),
    [anon_sym_BSLASHbigl] = ACTIONS(2244),
    [anon_sym_BSLASHBigl] = ACTIONS(2244),
    [anon_sym_BSLASHbiggl] = ACTIONS(2244),
    [anon_sym_BSLASHBiggl] = ACTIONS(2244),
    [anon_sym_BSLASHright] = ACTIONS(2244),
    [anon_sym_BSLASHbigr] = ACTIONS(2244),
    [anon_sym_BSLASHBigr] = ACTIONS(2244),
    [anon_sym_BSLASHbiggr] = ACTIONS(2244),
    [anon_sym_BSLASHBiggr] = ACTIONS(2244),
    [anon_sym_BSLASHtext] = ACTIONS(2244),
    [anon_sym_BSLASHintertext] = ACTIONS(2244),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2244),
    [anon_sym_BSLASHbegin] = ACTIONS(2244),
    [anon_sym_BSLASHtitle] = ACTIONS(2244),
    [anon_sym_BSLASHauthor] = ACTIONS(2244),
    [anon_sym_BSLASHusepackage] = ACTIONS(2244),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2244),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2244),
    [anon_sym_BSLASHinclude] = ACTIONS(2244),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2244),
    [anon_sym_BSLASHinput] = ACTIONS(2244),
    [anon_sym_BSLASHsubfile] = ACTIONS(2244),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2244),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2244),
    [anon_sym_BSLASHbibliography] = ACTIONS(2244),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2244),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2244),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2244),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2244),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2244),
    [anon_sym_BSLASHimport] = ACTIONS(2244),
    [anon_sym_BSLASHsubimport] = ACTIONS(2244),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2244),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHcaption] = ACTIONS(2244),
    [anon_sym_BSLASHcite] = ACTIONS(2244),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCite] = ACTIONS(2244),
    [anon_sym_BSLASHnocite] = ACTIONS(2244),
    [anon_sym_BSLASHcitet] = ACTIONS(2244),
    [anon_sym_BSLASHcitep] = ACTIONS(2244),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteA] = ACTIONS(2244),
    [anon_sym_BSLASHciteR] = ACTIONS(2244),
    [anon_sym_BSLASHciteS] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2244),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteyear] = ACTIONS(2244),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitedate] = ACTIONS(2244),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteurl] = ACTIONS(2244),
    [anon_sym_BSLASHfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2244),
    [anon_sym_BSLASHcitealt] = ACTIONS(2244),
    [anon_sym_BSLASHcitealp] = ACTIONS(2244),
    [anon_sym_BSLASHcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHparencite] = ACTIONS(2244),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHParencite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHtextcite] = ACTIONS(2244),
    [anon_sym_BSLASHTextcite] = ACTIONS(2244),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHsupercite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite] = ACTIONS(2244),
    [anon_sym_BSLASHAutocite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHVolcite] = ACTIONS(2244),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHavolcite] = ACTIONS(2244),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHNotecite] = ACTIONS(2244),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHlabel] = ACTIONS(2244),
    [anon_sym_BSLASHref] = ACTIONS(2244),
    [anon_sym_BSLASHeqref] = ACTIONS(2244),
    [anon_sym_BSLASHvref] = ACTIONS(2244),
    [anon_sym_BSLASHVref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHpageref] = ACTIONS(2244),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHautopageref] = ACTIONS(2244),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcref] = ACTIONS(2244),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCref] = ACTIONS(2244),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHCpageref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnameCref] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2244),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHdef] = ACTIONS(2244),
    [anon_sym_BSLASHgdef] = ACTIONS(2244),
    [anon_sym_BSLASHedef] = ACTIONS(2244),
    [anon_sym_BSLASHxdef] = ACTIONS(2244),
    [anon_sym_BSLASHlet] = ACTIONS(2244),
    [anon_sym_BSLASHglet] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2244),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2244),
    [anon_sym_BSLASHgls] = ACTIONS(2244),
    [anon_sym_BSLASHGls] = ACTIONS(2244),
    [anon_sym_BSLASHGLS] = ACTIONS(2244),
    [anon_sym_BSLASHglspl] = ACTIONS(2244),
    [anon_sym_BSLASHGlspl] = ACTIONS(2244),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2244),
    [anon_sym_BSLASHglslink] = ACTIONS(2244),
    [anon_sym_BSLASHglstext] = ACTIONS(2244),
    [anon_sym_BSLASHGlstext] = ACTIONS(2244),
    [anon_sym_BSLASHGLStext] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2244),
    [anon_sym_BSLASHglsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsname] = ACTIONS(2244),
    [anon_sym_BSLASHGlsname] = ACTIONS(2244),
    [anon_sym_BSLASHGLSname] = ACTIONS(2244),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2244),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2244),
    [anon_sym_BSLASHacrshort] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2244),
    [anon_sym_BSLASHACRshort] = ACTIONS(2244),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrlong] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2244),
    [anon_sym_BSLASHACRlong] = ACTIONS(2244),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrfull] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2244),
    [anon_sym_BSLASHACRfull] = ACTIONS(2244),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHacs] = ACTIONS(2244),
    [anon_sym_BSLASHAcs] = ACTIONS(2244),
    [anon_sym_BSLASHacsp] = ACTIONS(2244),
    [anon_sym_BSLASHAcsp] = ACTIONS(2244),
    [anon_sym_BSLASHacl] = ACTIONS(2244),
    [anon_sym_BSLASHAcl] = ACTIONS(2244),
    [anon_sym_BSLASHaclp] = ACTIONS(2244),
    [anon_sym_BSLASHAclp] = ACTIONS(2244),
    [anon_sym_BSLASHacf] = ACTIONS(2244),
    [anon_sym_BSLASHAcf] = ACTIONS(2244),
    [anon_sym_BSLASHacfp] = ACTIONS(2244),
    [anon_sym_BSLASHAcfp] = ACTIONS(2244),
    [anon_sym_BSLASHac] = ACTIONS(2244),
    [anon_sym_BSLASHAc] = ACTIONS(2244),
    [anon_sym_BSLASHacp] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2244),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2244),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2244),
    [anon_sym_BSLASHcolor] = ACTIONS(2244),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2244),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2244),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2244),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2244),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2244),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2244),
    [anon_sym_BSLASHurl] = ACTIONS(2244),
    [anon_sym_BSLASHhref] = ACTIONS(2244),
  },
  [338] = {
    [sym__chapter_declaration] = STATE(158),
    [sym_chapter] = STATE(439),
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(440),
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(441),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(442),
    [aux_sym__section_repeat2] = STATE(439),
    [aux_sym__section_repeat3] = STATE(440),
    [aux_sym__section_repeat4] = STATE(441),
    [aux_sym__section_repeat5] = STATE(442),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(189),
    [anon_sym_BSLASHaddchap] = ACTIONS(187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(189),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHright] = ACTIONS(6527),
    [anon_sym_BSLASHbigr] = ACTIONS(6527),
    [anon_sym_BSLASHBigr] = ACTIONS(6527),
    [anon_sym_BSLASHbiggr] = ACTIONS(6527),
    [anon_sym_BSLASHBiggr] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [339] = {
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(423),
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(424),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(425),
    [aux_sym__section_repeat3] = STATE(423),
    [aux_sym__section_repeat4] = STATE(424),
    [aux_sym__section_repeat5] = STATE(425),
    [sym_command_name] = ACTIONS(2260),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_RBRACK] = ACTIONS(2262),
    [anon_sym_COMMA] = ACTIONS(2262),
    [anon_sym_EQ] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_RPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHpart] = ACTIONS(2260),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddpart] = ACTIONS(2260),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHchapter] = ACTIONS(2260),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddchap] = ACTIONS(2260),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHitem] = ACTIONS(2260),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [sym_word] = ACTIONS(2260),
    [sym_placeholder] = ACTIONS(2262),
    [sym_delimiter] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_PIPE] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(2260),
    [anon_sym_SQUOTE] = ACTIONS(2260),
    [anon_sym__] = ACTIONS(2262),
    [anon_sym_CARET] = ACTIONS(2262),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2262),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2262),
    [anon_sym_DOLLAR] = ACTIONS(2260),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHleft] = ACTIONS(2260),
    [anon_sym_BSLASHbigl] = ACTIONS(2260),
    [anon_sym_BSLASHBigl] = ACTIONS(2260),
    [anon_sym_BSLASHbiggl] = ACTIONS(2260),
    [anon_sym_BSLASHBiggl] = ACTIONS(2260),
    [anon_sym_BSLASHright] = ACTIONS(2260),
    [anon_sym_BSLASHbigr] = ACTIONS(2260),
    [anon_sym_BSLASHBigr] = ACTIONS(2260),
    [anon_sym_BSLASHbiggr] = ACTIONS(2260),
    [anon_sym_BSLASHBiggr] = ACTIONS(2260),
    [anon_sym_BSLASHtext] = ACTIONS(2260),
    [anon_sym_BSLASHintertext] = ACTIONS(2260),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2260),
    [anon_sym_BSLASHbegin] = ACTIONS(2260),
    [anon_sym_BSLASHtitle] = ACTIONS(2260),
    [anon_sym_BSLASHauthor] = ACTIONS(2260),
    [anon_sym_BSLASHusepackage] = ACTIONS(2260),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2260),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2260),
    [anon_sym_BSLASHinclude] = ACTIONS(2260),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2260),
    [anon_sym_BSLASHinput] = ACTIONS(2260),
    [anon_sym_BSLASHsubfile] = ACTIONS(2260),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2260),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2260),
    [anon_sym_BSLASHbibliography] = ACTIONS(2260),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2260),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2260),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2260),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2260),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2260),
    [anon_sym_BSLASHimport] = ACTIONS(2260),
    [anon_sym_BSLASHsubimport] = ACTIONS(2260),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2260),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHcaption] = ACTIONS(2260),
    [anon_sym_BSLASHcite] = ACTIONS(2260),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCite] = ACTIONS(2260),
    [anon_sym_BSLASHnocite] = ACTIONS(2260),
    [anon_sym_BSLASHcitet] = ACTIONS(2260),
    [anon_sym_BSLASHcitep] = ACTIONS(2260),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteA] = ACTIONS(2260),
    [anon_sym_BSLASHciteR] = ACTIONS(2260),
    [anon_sym_BSLASHciteS] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2260),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteyear] = ACTIONS(2260),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitedate] = ACTIONS(2260),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteurl] = ACTIONS(2260),
    [anon_sym_BSLASHfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2260),
    [anon_sym_BSLASHcitealt] = ACTIONS(2260),
    [anon_sym_BSLASHcitealp] = ACTIONS(2260),
    [anon_sym_BSLASHcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHparencite] = ACTIONS(2260),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHParencite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHtextcite] = ACTIONS(2260),
    [anon_sym_BSLASHTextcite] = ACTIONS(2260),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHsupercite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite] = ACTIONS(2260),
    [anon_sym_BSLASHAutocite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHVolcite] = ACTIONS(2260),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHavolcite] = ACTIONS(2260),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHNotecite] = ACTIONS(2260),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHlabel] = ACTIONS(2260),
    [anon_sym_BSLASHref] = ACTIONS(2260),
    [anon_sym_BSLASHeqref] = ACTIONS(2260),
    [anon_sym_BSLASHvref] = ACTIONS(2260),
    [anon_sym_BSLASHVref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHpageref] = ACTIONS(2260),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHautopageref] = ACTIONS(2260),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcref] = ACTIONS(2260),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCref] = ACTIONS(2260),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHCpageref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnameCref] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2260),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHdef] = ACTIONS(2260),
    [anon_sym_BSLASHgdef] = ACTIONS(2260),
    [anon_sym_BSLASHedef] = ACTIONS(2260),
    [anon_sym_BSLASHxdef] = ACTIONS(2260),
    [anon_sym_BSLASHlet] = ACTIONS(2260),
    [anon_sym_BSLASHglet] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2260),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2260),
    [anon_sym_BSLASHgls] = ACTIONS(2260),
    [anon_sym_BSLASHGls] = ACTIONS(2260),
    [anon_sym_BSLASHGLS] = ACTIONS(2260),
    [anon_sym_BSLASHglspl] = ACTIONS(2260),
    [anon_sym_BSLASHGlspl] = ACTIONS(2260),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2260),
    [anon_sym_BSLASHglslink] = ACTIONS(2260),
    [anon_sym_BSLASHglstext] = ACTIONS(2260),
    [anon_sym_BSLASHGlstext] = ACTIONS(2260),
    [anon_sym_BSLASHGLStext] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2260),
    [anon_sym_BSLASHglsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsname] = ACTIONS(2260),
    [anon_sym_BSLASHGlsname] = ACTIONS(2260),
    [anon_sym_BSLASHGLSname] = ACTIONS(2260),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2260),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2260),
    [anon_sym_BSLASHacrshort] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2260),
    [anon_sym_BSLASHACRshort] = ACTIONS(2260),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrlong] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2260),
    [anon_sym_BSLASHACRlong] = ACTIONS(2260),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrfull] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2260),
    [anon_sym_BSLASHACRfull] = ACTIONS(2260),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHacs] = ACTIONS(2260),
    [anon_sym_BSLASHAcs] = ACTIONS(2260),
    [anon_sym_BSLASHacsp] = ACTIONS(2260),
    [anon_sym_BSLASHAcsp] = ACTIONS(2260),
    [anon_sym_BSLASHacl] = ACTIONS(2260),
    [anon_sym_BSLASHAcl] = ACTIONS(2260),
    [anon_sym_BSLASHaclp] = ACTIONS(2260),
    [anon_sym_BSLASHAclp] = ACTIONS(2260),
    [anon_sym_BSLASHacf] = ACTIONS(2260),
    [anon_sym_BSLASHAcf] = ACTIONS(2260),
    [anon_sym_BSLASHacfp] = ACTIONS(2260),
    [anon_sym_BSLASHAcfp] = ACTIONS(2260),
    [anon_sym_BSLASHac] = ACTIONS(2260),
    [anon_sym_BSLASHAc] = ACTIONS(2260),
    [anon_sym_BSLASHacp] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2260),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2260),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2260),
    [anon_sym_BSLASHcolor] = ACTIONS(2260),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2260),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2260),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2260),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2260),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2260),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2260),
    [anon_sym_BSLASHurl] = ACTIONS(2260),
    [anon_sym_BSLASHhref] = ACTIONS(2260),
  },
  [340] = {
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(574),
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(575),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(576),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(577),
    [aux_sym__section_repeat2] = STATE(574),
    [aux_sym__section_repeat3] = STATE(575),
    [aux_sym__section_repeat4] = STATE(576),
    [aux_sym__section_repeat5] = STATE(577),
    [ts_builtin_sym_end] = ACTIONS(6529),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [anon_sym_RBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [341] = {
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(534),
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(535),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(545),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(546),
    [aux_sym__section_repeat2] = STATE(534),
    [aux_sym__section_repeat3] = STATE(535),
    [aux_sym__section_repeat4] = STATE(545),
    [aux_sym__section_repeat5] = STATE(546),
    [ts_builtin_sym_end] = ACTIONS(2246),
    [sym_command_name] = ACTIONS(2244),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_RBRACK] = ACTIONS(2246),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_EQ] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHitem] = ACTIONS(2244),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2246),
    [sym_word] = ACTIONS(2244),
    [sym_placeholder] = ACTIONS(2246),
    [sym_delimiter] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_COLON] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym__] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2246),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2246),
    [anon_sym_DOLLAR] = ACTIONS(2244),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHleft] = ACTIONS(2244),
    [anon_sym_BSLASHbigl] = ACTIONS(2244),
    [anon_sym_BSLASHBigl] = ACTIONS(2244),
    [anon_sym_BSLASHbiggl] = ACTIONS(2244),
    [anon_sym_BSLASHBiggl] = ACTIONS(2244),
    [anon_sym_BSLASHtext] = ACTIONS(2244),
    [anon_sym_BSLASHintertext] = ACTIONS(2244),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2244),
    [anon_sym_BSLASHbegin] = ACTIONS(2244),
    [anon_sym_BSLASHtitle] = ACTIONS(2244),
    [anon_sym_BSLASHauthor] = ACTIONS(2244),
    [anon_sym_BSLASHusepackage] = ACTIONS(2244),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2244),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2244),
    [anon_sym_BSLASHinclude] = ACTIONS(2244),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2244),
    [anon_sym_BSLASHinput] = ACTIONS(2244),
    [anon_sym_BSLASHsubfile] = ACTIONS(2244),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2244),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2244),
    [anon_sym_BSLASHbibliography] = ACTIONS(2244),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2244),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2244),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2244),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2244),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2244),
    [anon_sym_BSLASHimport] = ACTIONS(2244),
    [anon_sym_BSLASHsubimport] = ACTIONS(2244),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2244),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHcaption] = ACTIONS(2244),
    [anon_sym_BSLASHcite] = ACTIONS(2244),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCite] = ACTIONS(2244),
    [anon_sym_BSLASHnocite] = ACTIONS(2244),
    [anon_sym_BSLASHcitet] = ACTIONS(2244),
    [anon_sym_BSLASHcitep] = ACTIONS(2244),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteA] = ACTIONS(2244),
    [anon_sym_BSLASHciteR] = ACTIONS(2244),
    [anon_sym_BSLASHciteS] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2244),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteyear] = ACTIONS(2244),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitedate] = ACTIONS(2244),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteurl] = ACTIONS(2244),
    [anon_sym_BSLASHfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2244),
    [anon_sym_BSLASHcitealt] = ACTIONS(2244),
    [anon_sym_BSLASHcitealp] = ACTIONS(2244),
    [anon_sym_BSLASHcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHparencite] = ACTIONS(2244),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHParencite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHtextcite] = ACTIONS(2244),
    [anon_sym_BSLASHTextcite] = ACTIONS(2244),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHsupercite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite] = ACTIONS(2244),
    [anon_sym_BSLASHAutocite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHVolcite] = ACTIONS(2244),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHavolcite] = ACTIONS(2244),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHNotecite] = ACTIONS(2244),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHlabel] = ACTIONS(2244),
    [anon_sym_BSLASHref] = ACTIONS(2244),
    [anon_sym_BSLASHeqref] = ACTIONS(2244),
    [anon_sym_BSLASHvref] = ACTIONS(2244),
    [anon_sym_BSLASHVref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHpageref] = ACTIONS(2244),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHautopageref] = ACTIONS(2244),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcref] = ACTIONS(2244),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCref] = ACTIONS(2244),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHCpageref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnameCref] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2244),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHdef] = ACTIONS(2244),
    [anon_sym_BSLASHgdef] = ACTIONS(2244),
    [anon_sym_BSLASHedef] = ACTIONS(2244),
    [anon_sym_BSLASHxdef] = ACTIONS(2244),
    [anon_sym_BSLASHlet] = ACTIONS(2244),
    [anon_sym_BSLASHglet] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2244),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2244),
    [anon_sym_BSLASHgls] = ACTIONS(2244),
    [anon_sym_BSLASHGls] = ACTIONS(2244),
    [anon_sym_BSLASHGLS] = ACTIONS(2244),
    [anon_sym_BSLASHglspl] = ACTIONS(2244),
    [anon_sym_BSLASHGlspl] = ACTIONS(2244),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2244),
    [anon_sym_BSLASHglslink] = ACTIONS(2244),
    [anon_sym_BSLASHglstext] = ACTIONS(2244),
    [anon_sym_BSLASHGlstext] = ACTIONS(2244),
    [anon_sym_BSLASHGLStext] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2244),
    [anon_sym_BSLASHglsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsname] = ACTIONS(2244),
    [anon_sym_BSLASHGlsname] = ACTIONS(2244),
    [anon_sym_BSLASHGLSname] = ACTIONS(2244),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2244),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2244),
    [anon_sym_BSLASHacrshort] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2244),
    [anon_sym_BSLASHACRshort] = ACTIONS(2244),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrlong] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2244),
    [anon_sym_BSLASHACRlong] = ACTIONS(2244),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrfull] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2244),
    [anon_sym_BSLASHACRfull] = ACTIONS(2244),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHacs] = ACTIONS(2244),
    [anon_sym_BSLASHAcs] = ACTIONS(2244),
    [anon_sym_BSLASHacsp] = ACTIONS(2244),
    [anon_sym_BSLASHAcsp] = ACTIONS(2244),
    [anon_sym_BSLASHacl] = ACTIONS(2244),
    [anon_sym_BSLASHAcl] = ACTIONS(2244),
    [anon_sym_BSLASHaclp] = ACTIONS(2244),
    [anon_sym_BSLASHAclp] = ACTIONS(2244),
    [anon_sym_BSLASHacf] = ACTIONS(2244),
    [anon_sym_BSLASHAcf] = ACTIONS(2244),
    [anon_sym_BSLASHacfp] = ACTIONS(2244),
    [anon_sym_BSLASHAcfp] = ACTIONS(2244),
    [anon_sym_BSLASHac] = ACTIONS(2244),
    [anon_sym_BSLASHAc] = ACTIONS(2244),
    [anon_sym_BSLASHacp] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2244),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2244),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2244),
    [anon_sym_BSLASHcolor] = ACTIONS(2244),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2244),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2244),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2244),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2244),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2244),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2244),
    [anon_sym_BSLASHurl] = ACTIONS(2244),
    [anon_sym_BSLASHhref] = ACTIONS(2244),
  },
  [342] = {
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(443),
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(362),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(363),
    [aux_sym__section_repeat3] = STATE(443),
    [aux_sym__section_repeat4] = STATE(362),
    [aux_sym__section_repeat5] = STATE(363),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHright] = ACTIONS(6531),
    [anon_sym_BSLASHbigr] = ACTIONS(6531),
    [anon_sym_BSLASHBigr] = ACTIONS(6531),
    [anon_sym_BSLASHbiggr] = ACTIONS(6531),
    [anon_sym_BSLASHBiggr] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [343] = {
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(850),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(732),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(733),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(742),
    [aux_sym__section_repeat2] = STATE(850),
    [aux_sym__section_repeat3] = STATE(732),
    [aux_sym__section_repeat4] = STATE(733),
    [aux_sym__section_repeat5] = STATE(742),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [344] = {
    [sym__chapter_declaration] = STATE(173),
    [sym_chapter] = STATE(827),
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(828),
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(829),
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(830),
    [aux_sym__section_repeat2] = STATE(827),
    [aux_sym__section_repeat3] = STATE(828),
    [aux_sym__section_repeat4] = STATE(829),
    [aux_sym__section_repeat5] = STATE(830),
    [sym_command_name] = ACTIONS(2244),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_RBRACK] = ACTIONS(2246),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_EQ] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(684),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(686),
    [anon_sym_BSLASHaddchap] = ACTIONS(684),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(686),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHitem] = ACTIONS(2244),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [sym_word] = ACTIONS(2244),
    [sym_placeholder] = ACTIONS(2246),
    [sym_delimiter] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_COLON] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym__] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2246),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2246),
    [anon_sym_DOLLAR] = ACTIONS(2244),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHleft] = ACTIONS(2244),
    [anon_sym_BSLASHbigl] = ACTIONS(2244),
    [anon_sym_BSLASHBigl] = ACTIONS(2244),
    [anon_sym_BSLASHbiggl] = ACTIONS(2244),
    [anon_sym_BSLASHBiggl] = ACTIONS(2244),
    [anon_sym_BSLASHtext] = ACTIONS(2244),
    [anon_sym_BSLASHintertext] = ACTIONS(2244),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2244),
    [anon_sym_BSLASHbegin] = ACTIONS(2244),
    [anon_sym_BSLASHend] = ACTIONS(2244),
    [anon_sym_BSLASHtitle] = ACTIONS(2244),
    [anon_sym_BSLASHauthor] = ACTIONS(2244),
    [anon_sym_BSLASHusepackage] = ACTIONS(2244),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2244),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2244),
    [anon_sym_BSLASHinclude] = ACTIONS(2244),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2244),
    [anon_sym_BSLASHinput] = ACTIONS(2244),
    [anon_sym_BSLASHsubfile] = ACTIONS(2244),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2244),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2244),
    [anon_sym_BSLASHbibliography] = ACTIONS(2244),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2244),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2244),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2244),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2244),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2244),
    [anon_sym_BSLASHimport] = ACTIONS(2244),
    [anon_sym_BSLASHsubimport] = ACTIONS(2244),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2244),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHcaption] = ACTIONS(2244),
    [anon_sym_BSLASHcite] = ACTIONS(2244),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCite] = ACTIONS(2244),
    [anon_sym_BSLASHnocite] = ACTIONS(2244),
    [anon_sym_BSLASHcitet] = ACTIONS(2244),
    [anon_sym_BSLASHcitep] = ACTIONS(2244),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteA] = ACTIONS(2244),
    [anon_sym_BSLASHciteR] = ACTIONS(2244),
    [anon_sym_BSLASHciteS] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2244),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteyear] = ACTIONS(2244),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitedate] = ACTIONS(2244),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteurl] = ACTIONS(2244),
    [anon_sym_BSLASHfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2244),
    [anon_sym_BSLASHcitealt] = ACTIONS(2244),
    [anon_sym_BSLASHcitealp] = ACTIONS(2244),
    [anon_sym_BSLASHcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHparencite] = ACTIONS(2244),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHParencite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHtextcite] = ACTIONS(2244),
    [anon_sym_BSLASHTextcite] = ACTIONS(2244),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHsupercite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite] = ACTIONS(2244),
    [anon_sym_BSLASHAutocite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHVolcite] = ACTIONS(2244),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHavolcite] = ACTIONS(2244),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHNotecite] = ACTIONS(2244),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHlabel] = ACTIONS(2244),
    [anon_sym_BSLASHref] = ACTIONS(2244),
    [anon_sym_BSLASHeqref] = ACTIONS(2244),
    [anon_sym_BSLASHvref] = ACTIONS(2244),
    [anon_sym_BSLASHVref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHpageref] = ACTIONS(2244),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHautopageref] = ACTIONS(2244),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcref] = ACTIONS(2244),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCref] = ACTIONS(2244),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHCpageref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnameCref] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2244),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHdef] = ACTIONS(2244),
    [anon_sym_BSLASHgdef] = ACTIONS(2244),
    [anon_sym_BSLASHedef] = ACTIONS(2244),
    [anon_sym_BSLASHxdef] = ACTIONS(2244),
    [anon_sym_BSLASHlet] = ACTIONS(2244),
    [anon_sym_BSLASHglet] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2244),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2244),
    [anon_sym_BSLASHgls] = ACTIONS(2244),
    [anon_sym_BSLASHGls] = ACTIONS(2244),
    [anon_sym_BSLASHGLS] = ACTIONS(2244),
    [anon_sym_BSLASHglspl] = ACTIONS(2244),
    [anon_sym_BSLASHGlspl] = ACTIONS(2244),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2244),
    [anon_sym_BSLASHglslink] = ACTIONS(2244),
    [anon_sym_BSLASHglstext] = ACTIONS(2244),
    [anon_sym_BSLASHGlstext] = ACTIONS(2244),
    [anon_sym_BSLASHGLStext] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2244),
    [anon_sym_BSLASHglsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsname] = ACTIONS(2244),
    [anon_sym_BSLASHGlsname] = ACTIONS(2244),
    [anon_sym_BSLASHGLSname] = ACTIONS(2244),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2244),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2244),
    [anon_sym_BSLASHacrshort] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2244),
    [anon_sym_BSLASHACRshort] = ACTIONS(2244),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrlong] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2244),
    [anon_sym_BSLASHACRlong] = ACTIONS(2244),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrfull] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2244),
    [anon_sym_BSLASHACRfull] = ACTIONS(2244),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHacs] = ACTIONS(2244),
    [anon_sym_BSLASHAcs] = ACTIONS(2244),
    [anon_sym_BSLASHacsp] = ACTIONS(2244),
    [anon_sym_BSLASHAcsp] = ACTIONS(2244),
    [anon_sym_BSLASHacl] = ACTIONS(2244),
    [anon_sym_BSLASHAcl] = ACTIONS(2244),
    [anon_sym_BSLASHaclp] = ACTIONS(2244),
    [anon_sym_BSLASHAclp] = ACTIONS(2244),
    [anon_sym_BSLASHacf] = ACTIONS(2244),
    [anon_sym_BSLASHAcf] = ACTIONS(2244),
    [anon_sym_BSLASHacfp] = ACTIONS(2244),
    [anon_sym_BSLASHAcfp] = ACTIONS(2244),
    [anon_sym_BSLASHac] = ACTIONS(2244),
    [anon_sym_BSLASHAc] = ACTIONS(2244),
    [anon_sym_BSLASHacp] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2244),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2244),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2244),
    [anon_sym_BSLASHcolor] = ACTIONS(2244),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2244),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2244),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2244),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2244),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2244),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2244),
    [anon_sym_BSLASHurl] = ACTIONS(2244),
    [anon_sym_BSLASHhref] = ACTIONS(2244),
  },
  [345] = {
    [sym__chapter_declaration] = STATE(173),
    [sym_chapter] = STATE(851),
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(852),
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(853),
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(854),
    [aux_sym__section_repeat2] = STATE(851),
    [aux_sym__section_repeat3] = STATE(852),
    [aux_sym__section_repeat4] = STATE(853),
    [aux_sym__section_repeat5] = STATE(854),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(684),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(686),
    [anon_sym_BSLASHaddchap] = ACTIONS(684),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(686),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHend] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [346] = {
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(744),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(745),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(746),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(747),
    [aux_sym__section_repeat2] = STATE(744),
    [aux_sym__section_repeat3] = STATE(745),
    [aux_sym__section_repeat4] = STATE(746),
    [aux_sym__section_repeat5] = STATE(747),
    [sym_command_name] = ACTIONS(2244),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_RBRACK] = ACTIONS(2246),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_EQ] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHitem] = ACTIONS(2244),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [sym_word] = ACTIONS(2244),
    [sym_placeholder] = ACTIONS(2246),
    [sym_delimiter] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_COLON] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym__] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2246),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2246),
    [anon_sym_DOLLAR] = ACTIONS(2244),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2246),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHleft] = ACTIONS(2244),
    [anon_sym_BSLASHbigl] = ACTIONS(2244),
    [anon_sym_BSLASHBigl] = ACTIONS(2244),
    [anon_sym_BSLASHbiggl] = ACTIONS(2244),
    [anon_sym_BSLASHBiggl] = ACTIONS(2244),
    [anon_sym_BSLASHtext] = ACTIONS(2244),
    [anon_sym_BSLASHintertext] = ACTIONS(2244),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2244),
    [anon_sym_BSLASHbegin] = ACTIONS(2244),
    [anon_sym_BSLASHtitle] = ACTIONS(2244),
    [anon_sym_BSLASHauthor] = ACTIONS(2244),
    [anon_sym_BSLASHusepackage] = ACTIONS(2244),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2244),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2244),
    [anon_sym_BSLASHinclude] = ACTIONS(2244),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2244),
    [anon_sym_BSLASHinput] = ACTIONS(2244),
    [anon_sym_BSLASHsubfile] = ACTIONS(2244),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2244),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2244),
    [anon_sym_BSLASHbibliography] = ACTIONS(2244),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2244),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2244),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2244),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2244),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2244),
    [anon_sym_BSLASHimport] = ACTIONS(2244),
    [anon_sym_BSLASHsubimport] = ACTIONS(2244),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2244),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHcaption] = ACTIONS(2244),
    [anon_sym_BSLASHcite] = ACTIONS(2244),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCite] = ACTIONS(2244),
    [anon_sym_BSLASHnocite] = ACTIONS(2244),
    [anon_sym_BSLASHcitet] = ACTIONS(2244),
    [anon_sym_BSLASHcitep] = ACTIONS(2244),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteA] = ACTIONS(2244),
    [anon_sym_BSLASHciteR] = ACTIONS(2244),
    [anon_sym_BSLASHciteS] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2244),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteyear] = ACTIONS(2244),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitedate] = ACTIONS(2244),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteurl] = ACTIONS(2244),
    [anon_sym_BSLASHfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2244),
    [anon_sym_BSLASHcitealt] = ACTIONS(2244),
    [anon_sym_BSLASHcitealp] = ACTIONS(2244),
    [anon_sym_BSLASHcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHparencite] = ACTIONS(2244),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHParencite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHtextcite] = ACTIONS(2244),
    [anon_sym_BSLASHTextcite] = ACTIONS(2244),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHsupercite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite] = ACTIONS(2244),
    [anon_sym_BSLASHAutocite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHVolcite] = ACTIONS(2244),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHavolcite] = ACTIONS(2244),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHNotecite] = ACTIONS(2244),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHlabel] = ACTIONS(2244),
    [anon_sym_BSLASHref] = ACTIONS(2244),
    [anon_sym_BSLASHeqref] = ACTIONS(2244),
    [anon_sym_BSLASHvref] = ACTIONS(2244),
    [anon_sym_BSLASHVref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHpageref] = ACTIONS(2244),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHautopageref] = ACTIONS(2244),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcref] = ACTIONS(2244),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCref] = ACTIONS(2244),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHCpageref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnameCref] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2244),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHdef] = ACTIONS(2244),
    [anon_sym_BSLASHgdef] = ACTIONS(2244),
    [anon_sym_BSLASHedef] = ACTIONS(2244),
    [anon_sym_BSLASHxdef] = ACTIONS(2244),
    [anon_sym_BSLASHlet] = ACTIONS(2244),
    [anon_sym_BSLASHglet] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2244),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2244),
    [anon_sym_BSLASHgls] = ACTIONS(2244),
    [anon_sym_BSLASHGls] = ACTIONS(2244),
    [anon_sym_BSLASHGLS] = ACTIONS(2244),
    [anon_sym_BSLASHglspl] = ACTIONS(2244),
    [anon_sym_BSLASHGlspl] = ACTIONS(2244),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2244),
    [anon_sym_BSLASHglslink] = ACTIONS(2244),
    [anon_sym_BSLASHglstext] = ACTIONS(2244),
    [anon_sym_BSLASHGlstext] = ACTIONS(2244),
    [anon_sym_BSLASHGLStext] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2244),
    [anon_sym_BSLASHglsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsname] = ACTIONS(2244),
    [anon_sym_BSLASHGlsname] = ACTIONS(2244),
    [anon_sym_BSLASHGLSname] = ACTIONS(2244),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2244),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2244),
    [anon_sym_BSLASHacrshort] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2244),
    [anon_sym_BSLASHACRshort] = ACTIONS(2244),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrlong] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2244),
    [anon_sym_BSLASHACRlong] = ACTIONS(2244),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrfull] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2244),
    [anon_sym_BSLASHACRfull] = ACTIONS(2244),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHacs] = ACTIONS(2244),
    [anon_sym_BSLASHAcs] = ACTIONS(2244),
    [anon_sym_BSLASHacsp] = ACTIONS(2244),
    [anon_sym_BSLASHAcsp] = ACTIONS(2244),
    [anon_sym_BSLASHacl] = ACTIONS(2244),
    [anon_sym_BSLASHAcl] = ACTIONS(2244),
    [anon_sym_BSLASHaclp] = ACTIONS(2244),
    [anon_sym_BSLASHAclp] = ACTIONS(2244),
    [anon_sym_BSLASHacf] = ACTIONS(2244),
    [anon_sym_BSLASHAcf] = ACTIONS(2244),
    [anon_sym_BSLASHacfp] = ACTIONS(2244),
    [anon_sym_BSLASHAcfp] = ACTIONS(2244),
    [anon_sym_BSLASHac] = ACTIONS(2244),
    [anon_sym_BSLASHAc] = ACTIONS(2244),
    [anon_sym_BSLASHacp] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2244),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2244),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2244),
    [anon_sym_BSLASHcolor] = ACTIONS(2244),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2244),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2244),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2244),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2244),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2244),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2244),
    [anon_sym_BSLASHurl] = ACTIONS(2244),
    [anon_sym_BSLASHhref] = ACTIONS(2244),
  },
  [347] = {
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(770),
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(771),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(772),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(773),
    [aux_sym__section_repeat2] = STATE(770),
    [aux_sym__section_repeat3] = STATE(771),
    [aux_sym__section_repeat4] = STATE(772),
    [aux_sym__section_repeat5] = STATE(773),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [348] = {
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(926),
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(927),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(928),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(929),
    [aux_sym__section_repeat2] = STATE(926),
    [aux_sym__section_repeat3] = STATE(927),
    [aux_sym__section_repeat4] = STATE(928),
    [aux_sym__section_repeat5] = STATE(929),
    [sym_command_name] = ACTIONS(2244),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_RBRACK] = ACTIONS(2246),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_EQ] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHitem] = ACTIONS(2244),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [sym_word] = ACTIONS(2244),
    [sym_placeholder] = ACTIONS(2246),
    [sym_delimiter] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_COLON] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym__] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2246),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2246),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2246),
    [anon_sym_DOLLAR] = ACTIONS(2244),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHleft] = ACTIONS(2244),
    [anon_sym_BSLASHbigl] = ACTIONS(2244),
    [anon_sym_BSLASHBigl] = ACTIONS(2244),
    [anon_sym_BSLASHbiggl] = ACTIONS(2244),
    [anon_sym_BSLASHBiggl] = ACTIONS(2244),
    [anon_sym_BSLASHtext] = ACTIONS(2244),
    [anon_sym_BSLASHintertext] = ACTIONS(2244),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2244),
    [anon_sym_BSLASHbegin] = ACTIONS(2244),
    [anon_sym_BSLASHtitle] = ACTIONS(2244),
    [anon_sym_BSLASHauthor] = ACTIONS(2244),
    [anon_sym_BSLASHusepackage] = ACTIONS(2244),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2244),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2244),
    [anon_sym_BSLASHinclude] = ACTIONS(2244),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2244),
    [anon_sym_BSLASHinput] = ACTIONS(2244),
    [anon_sym_BSLASHsubfile] = ACTIONS(2244),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2244),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2244),
    [anon_sym_BSLASHbibliography] = ACTIONS(2244),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2244),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2244),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2244),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2244),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2244),
    [anon_sym_BSLASHimport] = ACTIONS(2244),
    [anon_sym_BSLASHsubimport] = ACTIONS(2244),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2244),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHcaption] = ACTIONS(2244),
    [anon_sym_BSLASHcite] = ACTIONS(2244),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCite] = ACTIONS(2244),
    [anon_sym_BSLASHnocite] = ACTIONS(2244),
    [anon_sym_BSLASHcitet] = ACTIONS(2244),
    [anon_sym_BSLASHcitep] = ACTIONS(2244),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteA] = ACTIONS(2244),
    [anon_sym_BSLASHciteR] = ACTIONS(2244),
    [anon_sym_BSLASHciteS] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2244),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteyear] = ACTIONS(2244),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitedate] = ACTIONS(2244),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteurl] = ACTIONS(2244),
    [anon_sym_BSLASHfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2244),
    [anon_sym_BSLASHcitealt] = ACTIONS(2244),
    [anon_sym_BSLASHcitealp] = ACTIONS(2244),
    [anon_sym_BSLASHcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHparencite] = ACTIONS(2244),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHParencite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHtextcite] = ACTIONS(2244),
    [anon_sym_BSLASHTextcite] = ACTIONS(2244),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHsupercite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite] = ACTIONS(2244),
    [anon_sym_BSLASHAutocite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHVolcite] = ACTIONS(2244),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHavolcite] = ACTIONS(2244),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHNotecite] = ACTIONS(2244),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHlabel] = ACTIONS(2244),
    [anon_sym_BSLASHref] = ACTIONS(2244),
    [anon_sym_BSLASHeqref] = ACTIONS(2244),
    [anon_sym_BSLASHvref] = ACTIONS(2244),
    [anon_sym_BSLASHVref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHpageref] = ACTIONS(2244),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHautopageref] = ACTIONS(2244),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcref] = ACTIONS(2244),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCref] = ACTIONS(2244),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHCpageref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnameCref] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2244),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHdef] = ACTIONS(2244),
    [anon_sym_BSLASHgdef] = ACTIONS(2244),
    [anon_sym_BSLASHedef] = ACTIONS(2244),
    [anon_sym_BSLASHxdef] = ACTIONS(2244),
    [anon_sym_BSLASHlet] = ACTIONS(2244),
    [anon_sym_BSLASHglet] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2244),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2244),
    [anon_sym_BSLASHgls] = ACTIONS(2244),
    [anon_sym_BSLASHGls] = ACTIONS(2244),
    [anon_sym_BSLASHGLS] = ACTIONS(2244),
    [anon_sym_BSLASHglspl] = ACTIONS(2244),
    [anon_sym_BSLASHGlspl] = ACTIONS(2244),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2244),
    [anon_sym_BSLASHglslink] = ACTIONS(2244),
    [anon_sym_BSLASHglstext] = ACTIONS(2244),
    [anon_sym_BSLASHGlstext] = ACTIONS(2244),
    [anon_sym_BSLASHGLStext] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2244),
    [anon_sym_BSLASHglsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsname] = ACTIONS(2244),
    [anon_sym_BSLASHGlsname] = ACTIONS(2244),
    [anon_sym_BSLASHGLSname] = ACTIONS(2244),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2244),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2244),
    [anon_sym_BSLASHacrshort] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2244),
    [anon_sym_BSLASHACRshort] = ACTIONS(2244),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrlong] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2244),
    [anon_sym_BSLASHACRlong] = ACTIONS(2244),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrfull] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2244),
    [anon_sym_BSLASHACRfull] = ACTIONS(2244),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHacs] = ACTIONS(2244),
    [anon_sym_BSLASHAcs] = ACTIONS(2244),
    [anon_sym_BSLASHacsp] = ACTIONS(2244),
    [anon_sym_BSLASHAcsp] = ACTIONS(2244),
    [anon_sym_BSLASHacl] = ACTIONS(2244),
    [anon_sym_BSLASHAcl] = ACTIONS(2244),
    [anon_sym_BSLASHaclp] = ACTIONS(2244),
    [anon_sym_BSLASHAclp] = ACTIONS(2244),
    [anon_sym_BSLASHacf] = ACTIONS(2244),
    [anon_sym_BSLASHAcf] = ACTIONS(2244),
    [anon_sym_BSLASHacfp] = ACTIONS(2244),
    [anon_sym_BSLASHAcfp] = ACTIONS(2244),
    [anon_sym_BSLASHac] = ACTIONS(2244),
    [anon_sym_BSLASHAc] = ACTIONS(2244),
    [anon_sym_BSLASHacp] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2244),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2244),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2244),
    [anon_sym_BSLASHcolor] = ACTIONS(2244),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2244),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2244),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2244),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2244),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2244),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2244),
    [anon_sym_BSLASHurl] = ACTIONS(2244),
    [anon_sym_BSLASHhref] = ACTIONS(2244),
  },
  [349] = {
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(429),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(430),
    [aux_sym__section_repeat4] = STATE(429),
    [aux_sym__section_repeat5] = STATE(430),
    [sym_command_name] = ACTIONS(2290),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2290),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_RBRACK] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(2292),
    [anon_sym_EQ] = ACTIONS(2292),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_RPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHpart] = ACTIONS(2290),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddpart] = ACTIONS(2290),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHchapter] = ACTIONS(2290),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddchap] = ACTIONS(2290),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsection] = ACTIONS(2290),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddsec] = ACTIONS(2290),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHitem] = ACTIONS(2290),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2292),
    [anon_sym_LBRACE] = ACTIONS(2292),
    [sym_word] = ACTIONS(2290),
    [sym_placeholder] = ACTIONS(2292),
    [sym_delimiter] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2292),
    [anon_sym_SLASH] = ACTIONS(2292),
    [anon_sym_LT] = ACTIONS(2290),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(2290),
    [anon_sym_PIPE] = ACTIONS(2290),
    [anon_sym_COLON] = ACTIONS(2290),
    [anon_sym_SQUOTE] = ACTIONS(2290),
    [anon_sym__] = ACTIONS(2292),
    [anon_sym_CARET] = ACTIONS(2292),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2292),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2292),
    [anon_sym_DOLLAR] = ACTIONS(2290),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHleft] = ACTIONS(2290),
    [anon_sym_BSLASHbigl] = ACTIONS(2290),
    [anon_sym_BSLASHBigl] = ACTIONS(2290),
    [anon_sym_BSLASHbiggl] = ACTIONS(2290),
    [anon_sym_BSLASHBiggl] = ACTIONS(2290),
    [anon_sym_BSLASHright] = ACTIONS(2290),
    [anon_sym_BSLASHbigr] = ACTIONS(2290),
    [anon_sym_BSLASHBigr] = ACTIONS(2290),
    [anon_sym_BSLASHbiggr] = ACTIONS(2290),
    [anon_sym_BSLASHBiggr] = ACTIONS(2290),
    [anon_sym_BSLASHtext] = ACTIONS(2290),
    [anon_sym_BSLASHintertext] = ACTIONS(2290),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2290),
    [anon_sym_BSLASHbegin] = ACTIONS(2290),
    [anon_sym_BSLASHtitle] = ACTIONS(2290),
    [anon_sym_BSLASHauthor] = ACTIONS(2290),
    [anon_sym_BSLASHusepackage] = ACTIONS(2290),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2290),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2290),
    [anon_sym_BSLASHinclude] = ACTIONS(2290),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2290),
    [anon_sym_BSLASHinput] = ACTIONS(2290),
    [anon_sym_BSLASHsubfile] = ACTIONS(2290),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2290),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2290),
    [anon_sym_BSLASHbibliography] = ACTIONS(2290),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2290),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2290),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2290),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2290),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2290),
    [anon_sym_BSLASHimport] = ACTIONS(2290),
    [anon_sym_BSLASHsubimport] = ACTIONS(2290),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2290),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHcaption] = ACTIONS(2290),
    [anon_sym_BSLASHcite] = ACTIONS(2290),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCite] = ACTIONS(2290),
    [anon_sym_BSLASHnocite] = ACTIONS(2290),
    [anon_sym_BSLASHcitet] = ACTIONS(2290),
    [anon_sym_BSLASHcitep] = ACTIONS(2290),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteA] = ACTIONS(2290),
    [anon_sym_BSLASHciteR] = ACTIONS(2290),
    [anon_sym_BSLASHciteS] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2290),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteyear] = ACTIONS(2290),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitedate] = ACTIONS(2290),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteurl] = ACTIONS(2290),
    [anon_sym_BSLASHfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2290),
    [anon_sym_BSLASHcitealt] = ACTIONS(2290),
    [anon_sym_BSLASHcitealp] = ACTIONS(2290),
    [anon_sym_BSLASHcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHparencite] = ACTIONS(2290),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHParencite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHtextcite] = ACTIONS(2290),
    [anon_sym_BSLASHTextcite] = ACTIONS(2290),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHsupercite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite] = ACTIONS(2290),
    [anon_sym_BSLASHAutocite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHVolcite] = ACTIONS(2290),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHavolcite] = ACTIONS(2290),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHNotecite] = ACTIONS(2290),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHlabel] = ACTIONS(2290),
    [anon_sym_BSLASHref] = ACTIONS(2290),
    [anon_sym_BSLASHeqref] = ACTIONS(2290),
    [anon_sym_BSLASHvref] = ACTIONS(2290),
    [anon_sym_BSLASHVref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHpageref] = ACTIONS(2290),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHautopageref] = ACTIONS(2290),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcref] = ACTIONS(2290),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCref] = ACTIONS(2290),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHCpageref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnameCref] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2290),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHdef] = ACTIONS(2290),
    [anon_sym_BSLASHgdef] = ACTIONS(2290),
    [anon_sym_BSLASHedef] = ACTIONS(2290),
    [anon_sym_BSLASHxdef] = ACTIONS(2290),
    [anon_sym_BSLASHlet] = ACTIONS(2290),
    [anon_sym_BSLASHglet] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2290),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2290),
    [anon_sym_BSLASHgls] = ACTIONS(2290),
    [anon_sym_BSLASHGls] = ACTIONS(2290),
    [anon_sym_BSLASHGLS] = ACTIONS(2290),
    [anon_sym_BSLASHglspl] = ACTIONS(2290),
    [anon_sym_BSLASHGlspl] = ACTIONS(2290),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2290),
    [anon_sym_BSLASHglslink] = ACTIONS(2290),
    [anon_sym_BSLASHglstext] = ACTIONS(2290),
    [anon_sym_BSLASHGlstext] = ACTIONS(2290),
    [anon_sym_BSLASHGLStext] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2290),
    [anon_sym_BSLASHglsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsname] = ACTIONS(2290),
    [anon_sym_BSLASHGlsname] = ACTIONS(2290),
    [anon_sym_BSLASHGLSname] = ACTIONS(2290),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2290),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2290),
    [anon_sym_BSLASHacrshort] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2290),
    [anon_sym_BSLASHACRshort] = ACTIONS(2290),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrlong] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2290),
    [anon_sym_BSLASHACRlong] = ACTIONS(2290),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrfull] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2290),
    [anon_sym_BSLASHACRfull] = ACTIONS(2290),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHacs] = ACTIONS(2290),
    [anon_sym_BSLASHAcs] = ACTIONS(2290),
    [anon_sym_BSLASHacsp] = ACTIONS(2290),
    [anon_sym_BSLASHAcsp] = ACTIONS(2290),
    [anon_sym_BSLASHacl] = ACTIONS(2290),
    [anon_sym_BSLASHAcl] = ACTIONS(2290),
    [anon_sym_BSLASHaclp] = ACTIONS(2290),
    [anon_sym_BSLASHAclp] = ACTIONS(2290),
    [anon_sym_BSLASHacf] = ACTIONS(2290),
    [anon_sym_BSLASHAcf] = ACTIONS(2290),
    [anon_sym_BSLASHacfp] = ACTIONS(2290),
    [anon_sym_BSLASHAcfp] = ACTIONS(2290),
    [anon_sym_BSLASHac] = ACTIONS(2290),
    [anon_sym_BSLASHAc] = ACTIONS(2290),
    [anon_sym_BSLASHacp] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2290),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2290),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2290),
    [anon_sym_BSLASHcolor] = ACTIONS(2290),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2290),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2290),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2290),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2290),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2290),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2290),
    [anon_sym_BSLASHurl] = ACTIONS(2290),
    [anon_sym_BSLASHhref] = ACTIONS(2290),
  },
  [350] = {
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(551),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(552),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(500),
    [aux_sym__section_repeat3] = STATE(551),
    [aux_sym__section_repeat4] = STATE(552),
    [aux_sym__section_repeat5] = STATE(500),
    [ts_builtin_sym_end] = ACTIONS(2262),
    [sym_command_name] = ACTIONS(2260),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_RBRACK] = ACTIONS(2262),
    [anon_sym_COMMA] = ACTIONS(2262),
    [anon_sym_EQ] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_RPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHpart] = ACTIONS(2260),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddpart] = ACTIONS(2260),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHchapter] = ACTIONS(2260),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddchap] = ACTIONS(2260),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHitem] = ACTIONS(2260),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_RBRACE] = ACTIONS(2262),
    [sym_word] = ACTIONS(2260),
    [sym_placeholder] = ACTIONS(2262),
    [sym_delimiter] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_PIPE] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(2260),
    [anon_sym_SQUOTE] = ACTIONS(2260),
    [anon_sym__] = ACTIONS(2262),
    [anon_sym_CARET] = ACTIONS(2262),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2262),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2262),
    [anon_sym_DOLLAR] = ACTIONS(2260),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHleft] = ACTIONS(2260),
    [anon_sym_BSLASHbigl] = ACTIONS(2260),
    [anon_sym_BSLASHBigl] = ACTIONS(2260),
    [anon_sym_BSLASHbiggl] = ACTIONS(2260),
    [anon_sym_BSLASHBiggl] = ACTIONS(2260),
    [anon_sym_BSLASHtext] = ACTIONS(2260),
    [anon_sym_BSLASHintertext] = ACTIONS(2260),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2260),
    [anon_sym_BSLASHbegin] = ACTIONS(2260),
    [anon_sym_BSLASHtitle] = ACTIONS(2260),
    [anon_sym_BSLASHauthor] = ACTIONS(2260),
    [anon_sym_BSLASHusepackage] = ACTIONS(2260),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2260),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2260),
    [anon_sym_BSLASHinclude] = ACTIONS(2260),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2260),
    [anon_sym_BSLASHinput] = ACTIONS(2260),
    [anon_sym_BSLASHsubfile] = ACTIONS(2260),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2260),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2260),
    [anon_sym_BSLASHbibliography] = ACTIONS(2260),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2260),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2260),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2260),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2260),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2260),
    [anon_sym_BSLASHimport] = ACTIONS(2260),
    [anon_sym_BSLASHsubimport] = ACTIONS(2260),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2260),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHcaption] = ACTIONS(2260),
    [anon_sym_BSLASHcite] = ACTIONS(2260),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCite] = ACTIONS(2260),
    [anon_sym_BSLASHnocite] = ACTIONS(2260),
    [anon_sym_BSLASHcitet] = ACTIONS(2260),
    [anon_sym_BSLASHcitep] = ACTIONS(2260),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteA] = ACTIONS(2260),
    [anon_sym_BSLASHciteR] = ACTIONS(2260),
    [anon_sym_BSLASHciteS] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2260),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteyear] = ACTIONS(2260),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitedate] = ACTIONS(2260),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteurl] = ACTIONS(2260),
    [anon_sym_BSLASHfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2260),
    [anon_sym_BSLASHcitealt] = ACTIONS(2260),
    [anon_sym_BSLASHcitealp] = ACTIONS(2260),
    [anon_sym_BSLASHcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHparencite] = ACTIONS(2260),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHParencite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHtextcite] = ACTIONS(2260),
    [anon_sym_BSLASHTextcite] = ACTIONS(2260),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHsupercite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite] = ACTIONS(2260),
    [anon_sym_BSLASHAutocite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHVolcite] = ACTIONS(2260),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHavolcite] = ACTIONS(2260),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHNotecite] = ACTIONS(2260),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHlabel] = ACTIONS(2260),
    [anon_sym_BSLASHref] = ACTIONS(2260),
    [anon_sym_BSLASHeqref] = ACTIONS(2260),
    [anon_sym_BSLASHvref] = ACTIONS(2260),
    [anon_sym_BSLASHVref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHpageref] = ACTIONS(2260),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHautopageref] = ACTIONS(2260),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcref] = ACTIONS(2260),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCref] = ACTIONS(2260),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHCpageref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnameCref] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2260),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHdef] = ACTIONS(2260),
    [anon_sym_BSLASHgdef] = ACTIONS(2260),
    [anon_sym_BSLASHedef] = ACTIONS(2260),
    [anon_sym_BSLASHxdef] = ACTIONS(2260),
    [anon_sym_BSLASHlet] = ACTIONS(2260),
    [anon_sym_BSLASHglet] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2260),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2260),
    [anon_sym_BSLASHgls] = ACTIONS(2260),
    [anon_sym_BSLASHGls] = ACTIONS(2260),
    [anon_sym_BSLASHGLS] = ACTIONS(2260),
    [anon_sym_BSLASHglspl] = ACTIONS(2260),
    [anon_sym_BSLASHGlspl] = ACTIONS(2260),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2260),
    [anon_sym_BSLASHglslink] = ACTIONS(2260),
    [anon_sym_BSLASHglstext] = ACTIONS(2260),
    [anon_sym_BSLASHGlstext] = ACTIONS(2260),
    [anon_sym_BSLASHGLStext] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2260),
    [anon_sym_BSLASHglsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsname] = ACTIONS(2260),
    [anon_sym_BSLASHGlsname] = ACTIONS(2260),
    [anon_sym_BSLASHGLSname] = ACTIONS(2260),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2260),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2260),
    [anon_sym_BSLASHacrshort] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2260),
    [anon_sym_BSLASHACRshort] = ACTIONS(2260),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrlong] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2260),
    [anon_sym_BSLASHACRlong] = ACTIONS(2260),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrfull] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2260),
    [anon_sym_BSLASHACRfull] = ACTIONS(2260),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHacs] = ACTIONS(2260),
    [anon_sym_BSLASHAcs] = ACTIONS(2260),
    [anon_sym_BSLASHacsp] = ACTIONS(2260),
    [anon_sym_BSLASHAcsp] = ACTIONS(2260),
    [anon_sym_BSLASHacl] = ACTIONS(2260),
    [anon_sym_BSLASHAcl] = ACTIONS(2260),
    [anon_sym_BSLASHaclp] = ACTIONS(2260),
    [anon_sym_BSLASHAclp] = ACTIONS(2260),
    [anon_sym_BSLASHacf] = ACTIONS(2260),
    [anon_sym_BSLASHAcf] = ACTIONS(2260),
    [anon_sym_BSLASHacfp] = ACTIONS(2260),
    [anon_sym_BSLASHAcfp] = ACTIONS(2260),
    [anon_sym_BSLASHac] = ACTIONS(2260),
    [anon_sym_BSLASHAc] = ACTIONS(2260),
    [anon_sym_BSLASHacp] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2260),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2260),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2260),
    [anon_sym_BSLASHcolor] = ACTIONS(2260),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2260),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2260),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2260),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2260),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2260),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2260),
    [anon_sym_BSLASHurl] = ACTIONS(2260),
    [anon_sym_BSLASHhref] = ACTIONS(2260),
  },
  [351] = {
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(578),
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(579),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(580),
    [aux_sym__section_repeat3] = STATE(578),
    [aux_sym__section_repeat4] = STATE(579),
    [aux_sym__section_repeat5] = STATE(580),
    [ts_builtin_sym_end] = ACTIONS(6533),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [anon_sym_RBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [352] = {
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(364),
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(365),
    [aux_sym__section_repeat4] = STATE(364),
    [aux_sym__section_repeat5] = STATE(365),
    [sym_command_name] = ACTIONS(6535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6535),
    [anon_sym_LBRACK] = ACTIONS(6537),
    [anon_sym_RBRACK] = ACTIONS(6537),
    [anon_sym_COMMA] = ACTIONS(6537),
    [anon_sym_EQ] = ACTIONS(6537),
    [anon_sym_LPAREN] = ACTIONS(6537),
    [anon_sym_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHpart] = ACTIONS(6535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddpart] = ACTIONS(6535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHchapter] = ACTIONS(6535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddchap] = ACTIONS(6535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsection] = ACTIONS(6535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddsec] = ACTIONS(6535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHitem] = ACTIONS(6535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6537),
    [anon_sym_LBRACE] = ACTIONS(6537),
    [sym_word] = ACTIONS(6535),
    [sym_placeholder] = ACTIONS(6537),
    [sym_delimiter] = ACTIONS(6537),
    [anon_sym_PLUS] = ACTIONS(6537),
    [anon_sym_DASH] = ACTIONS(6537),
    [anon_sym_STAR] = ACTIONS(6537),
    [anon_sym_SLASH] = ACTIONS(6537),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_BANG] = ACTIONS(6535),
    [anon_sym_PIPE] = ACTIONS(6535),
    [anon_sym_COLON] = ACTIONS(6535),
    [anon_sym_SQUOTE] = ACTIONS(6535),
    [anon_sym__] = ACTIONS(6537),
    [anon_sym_CARET] = ACTIONS(6537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6537),
    [anon_sym_DOLLAR] = ACTIONS(6535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHleft] = ACTIONS(6535),
    [anon_sym_BSLASHbigl] = ACTIONS(6535),
    [anon_sym_BSLASHBigl] = ACTIONS(6535),
    [anon_sym_BSLASHbiggl] = ACTIONS(6535),
    [anon_sym_BSLASHBiggl] = ACTIONS(6535),
    [anon_sym_BSLASHright] = ACTIONS(6535),
    [anon_sym_BSLASHbigr] = ACTIONS(6535),
    [anon_sym_BSLASHBigr] = ACTIONS(6535),
    [anon_sym_BSLASHbiggr] = ACTIONS(6535),
    [anon_sym_BSLASHBiggr] = ACTIONS(6535),
    [anon_sym_BSLASHtext] = ACTIONS(6535),
    [anon_sym_BSLASHintertext] = ACTIONS(6535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6535),
    [anon_sym_BSLASHbegin] = ACTIONS(6535),
    [anon_sym_BSLASHtitle] = ACTIONS(6535),
    [anon_sym_BSLASHauthor] = ACTIONS(6535),
    [anon_sym_BSLASHusepackage] = ACTIONS(6535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6535),
    [anon_sym_BSLASHinclude] = ACTIONS(6535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6535),
    [anon_sym_BSLASHinput] = ACTIONS(6535),
    [anon_sym_BSLASHsubfile] = ACTIONS(6535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6535),
    [anon_sym_BSLASHbibliography] = ACTIONS(6535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6535),
    [anon_sym_BSLASHimport] = ACTIONS(6535),
    [anon_sym_BSLASHsubimport] = ACTIONS(6535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHcaption] = ACTIONS(6535),
    [anon_sym_BSLASHcite] = ACTIONS(6535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCite] = ACTIONS(6535),
    [anon_sym_BSLASHnocite] = ACTIONS(6535),
    [anon_sym_BSLASHcitet] = ACTIONS(6535),
    [anon_sym_BSLASHcitep] = ACTIONS(6535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteA] = ACTIONS(6535),
    [anon_sym_BSLASHciteR] = ACTIONS(6535),
    [anon_sym_BSLASHciteS] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteyear] = ACTIONS(6535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitedate] = ACTIONS(6535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteurl] = ACTIONS(6535),
    [anon_sym_BSLASHfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6535),
    [anon_sym_BSLASHcitealt] = ACTIONS(6535),
    [anon_sym_BSLASHcitealp] = ACTIONS(6535),
    [anon_sym_BSLASHcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHparencite] = ACTIONS(6535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHParencite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHtextcite] = ACTIONS(6535),
    [anon_sym_BSLASHTextcite] = ACTIONS(6535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHsupercite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite] = ACTIONS(6535),
    [anon_sym_BSLASHAutocite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHVolcite] = ACTIONS(6535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHavolcite] = ACTIONS(6535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHNotecite] = ACTIONS(6535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHlabel] = ACTIONS(6535),
    [anon_sym_BSLASHref] = ACTIONS(6535),
    [anon_sym_BSLASHeqref] = ACTIONS(6535),
    [anon_sym_BSLASHvref] = ACTIONS(6535),
    [anon_sym_BSLASHVref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHpageref] = ACTIONS(6535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHautopageref] = ACTIONS(6535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcref] = ACTIONS(6535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCref] = ACTIONS(6535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHCpageref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnameCref] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHdef] = ACTIONS(6535),
    [anon_sym_BSLASHgdef] = ACTIONS(6535),
    [anon_sym_BSLASHedef] = ACTIONS(6535),
    [anon_sym_BSLASHxdef] = ACTIONS(6535),
    [anon_sym_BSLASHlet] = ACTIONS(6535),
    [anon_sym_BSLASHglet] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6535),
    [anon_sym_BSLASHgls] = ACTIONS(6535),
    [anon_sym_BSLASHGls] = ACTIONS(6535),
    [anon_sym_BSLASHGLS] = ACTIONS(6535),
    [anon_sym_BSLASHglspl] = ACTIONS(6535),
    [anon_sym_BSLASHGlspl] = ACTIONS(6535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6535),
    [anon_sym_BSLASHglslink] = ACTIONS(6535),
    [anon_sym_BSLASHglstext] = ACTIONS(6535),
    [anon_sym_BSLASHGlstext] = ACTIONS(6535),
    [anon_sym_BSLASHGLStext] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6535),
    [anon_sym_BSLASHglsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsname] = ACTIONS(6535),
    [anon_sym_BSLASHGlsname] = ACTIONS(6535),
    [anon_sym_BSLASHGLSname] = ACTIONS(6535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6535),
    [anon_sym_BSLASHacrshort] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6535),
    [anon_sym_BSLASHACRshort] = ACTIONS(6535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrlong] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6535),
    [anon_sym_BSLASHACRlong] = ACTIONS(6535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrfull] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6535),
    [anon_sym_BSLASHACRfull] = ACTIONS(6535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHacs] = ACTIONS(6535),
    [anon_sym_BSLASHAcs] = ACTIONS(6535),
    [anon_sym_BSLASHacsp] = ACTIONS(6535),
    [anon_sym_BSLASHAcsp] = ACTIONS(6535),
    [anon_sym_BSLASHacl] = ACTIONS(6535),
    [anon_sym_BSLASHAcl] = ACTIONS(6535),
    [anon_sym_BSLASHaclp] = ACTIONS(6535),
    [anon_sym_BSLASHAclp] = ACTIONS(6535),
    [anon_sym_BSLASHacf] = ACTIONS(6535),
    [anon_sym_BSLASHAcf] = ACTIONS(6535),
    [anon_sym_BSLASHacfp] = ACTIONS(6535),
    [anon_sym_BSLASHAcfp] = ACTIONS(6535),
    [anon_sym_BSLASHac] = ACTIONS(6535),
    [anon_sym_BSLASHAc] = ACTIONS(6535),
    [anon_sym_BSLASHacp] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6535),
    [anon_sym_BSLASHcolor] = ACTIONS(6535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6535),
    [anon_sym_BSLASHurl] = ACTIONS(6535),
    [anon_sym_BSLASHhref] = ACTIONS(6535),
  },
  [353] = {
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(835),
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(836),
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(837),
    [aux_sym__section_repeat3] = STATE(835),
    [aux_sym__section_repeat4] = STATE(836),
    [aux_sym__section_repeat5] = STATE(837),
    [sym_command_name] = ACTIONS(2260),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_RBRACK] = ACTIONS(2262),
    [anon_sym_COMMA] = ACTIONS(2262),
    [anon_sym_EQ] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_RPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHpart] = ACTIONS(2260),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddpart] = ACTIONS(2260),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHchapter] = ACTIONS(2260),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddchap] = ACTIONS(2260),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHitem] = ACTIONS(2260),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [sym_word] = ACTIONS(2260),
    [sym_placeholder] = ACTIONS(2262),
    [sym_delimiter] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_PIPE] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(2260),
    [anon_sym_SQUOTE] = ACTIONS(2260),
    [anon_sym__] = ACTIONS(2262),
    [anon_sym_CARET] = ACTIONS(2262),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2262),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2262),
    [anon_sym_DOLLAR] = ACTIONS(2260),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHleft] = ACTIONS(2260),
    [anon_sym_BSLASHbigl] = ACTIONS(2260),
    [anon_sym_BSLASHBigl] = ACTIONS(2260),
    [anon_sym_BSLASHbiggl] = ACTIONS(2260),
    [anon_sym_BSLASHBiggl] = ACTIONS(2260),
    [anon_sym_BSLASHtext] = ACTIONS(2260),
    [anon_sym_BSLASHintertext] = ACTIONS(2260),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2260),
    [anon_sym_BSLASHbegin] = ACTIONS(2260),
    [anon_sym_BSLASHend] = ACTIONS(2260),
    [anon_sym_BSLASHtitle] = ACTIONS(2260),
    [anon_sym_BSLASHauthor] = ACTIONS(2260),
    [anon_sym_BSLASHusepackage] = ACTIONS(2260),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2260),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2260),
    [anon_sym_BSLASHinclude] = ACTIONS(2260),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2260),
    [anon_sym_BSLASHinput] = ACTIONS(2260),
    [anon_sym_BSLASHsubfile] = ACTIONS(2260),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2260),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2260),
    [anon_sym_BSLASHbibliography] = ACTIONS(2260),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2260),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2260),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2260),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2260),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2260),
    [anon_sym_BSLASHimport] = ACTIONS(2260),
    [anon_sym_BSLASHsubimport] = ACTIONS(2260),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2260),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHcaption] = ACTIONS(2260),
    [anon_sym_BSLASHcite] = ACTIONS(2260),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCite] = ACTIONS(2260),
    [anon_sym_BSLASHnocite] = ACTIONS(2260),
    [anon_sym_BSLASHcitet] = ACTIONS(2260),
    [anon_sym_BSLASHcitep] = ACTIONS(2260),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteA] = ACTIONS(2260),
    [anon_sym_BSLASHciteR] = ACTIONS(2260),
    [anon_sym_BSLASHciteS] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2260),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteyear] = ACTIONS(2260),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitedate] = ACTIONS(2260),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteurl] = ACTIONS(2260),
    [anon_sym_BSLASHfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2260),
    [anon_sym_BSLASHcitealt] = ACTIONS(2260),
    [anon_sym_BSLASHcitealp] = ACTIONS(2260),
    [anon_sym_BSLASHcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHparencite] = ACTIONS(2260),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHParencite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHtextcite] = ACTIONS(2260),
    [anon_sym_BSLASHTextcite] = ACTIONS(2260),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHsupercite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite] = ACTIONS(2260),
    [anon_sym_BSLASHAutocite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHVolcite] = ACTIONS(2260),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHavolcite] = ACTIONS(2260),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHNotecite] = ACTIONS(2260),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHlabel] = ACTIONS(2260),
    [anon_sym_BSLASHref] = ACTIONS(2260),
    [anon_sym_BSLASHeqref] = ACTIONS(2260),
    [anon_sym_BSLASHvref] = ACTIONS(2260),
    [anon_sym_BSLASHVref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHpageref] = ACTIONS(2260),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHautopageref] = ACTIONS(2260),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcref] = ACTIONS(2260),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCref] = ACTIONS(2260),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHCpageref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnameCref] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2260),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHdef] = ACTIONS(2260),
    [anon_sym_BSLASHgdef] = ACTIONS(2260),
    [anon_sym_BSLASHedef] = ACTIONS(2260),
    [anon_sym_BSLASHxdef] = ACTIONS(2260),
    [anon_sym_BSLASHlet] = ACTIONS(2260),
    [anon_sym_BSLASHglet] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2260),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2260),
    [anon_sym_BSLASHgls] = ACTIONS(2260),
    [anon_sym_BSLASHGls] = ACTIONS(2260),
    [anon_sym_BSLASHGLS] = ACTIONS(2260),
    [anon_sym_BSLASHglspl] = ACTIONS(2260),
    [anon_sym_BSLASHGlspl] = ACTIONS(2260),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2260),
    [anon_sym_BSLASHglslink] = ACTIONS(2260),
    [anon_sym_BSLASHglstext] = ACTIONS(2260),
    [anon_sym_BSLASHGlstext] = ACTIONS(2260),
    [anon_sym_BSLASHGLStext] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2260),
    [anon_sym_BSLASHglsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsname] = ACTIONS(2260),
    [anon_sym_BSLASHGlsname] = ACTIONS(2260),
    [anon_sym_BSLASHGLSname] = ACTIONS(2260),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2260),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2260),
    [anon_sym_BSLASHacrshort] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2260),
    [anon_sym_BSLASHACRshort] = ACTIONS(2260),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrlong] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2260),
    [anon_sym_BSLASHACRlong] = ACTIONS(2260),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrfull] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2260),
    [anon_sym_BSLASHACRfull] = ACTIONS(2260),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHacs] = ACTIONS(2260),
    [anon_sym_BSLASHAcs] = ACTIONS(2260),
    [anon_sym_BSLASHacsp] = ACTIONS(2260),
    [anon_sym_BSLASHAcsp] = ACTIONS(2260),
    [anon_sym_BSLASHacl] = ACTIONS(2260),
    [anon_sym_BSLASHAcl] = ACTIONS(2260),
    [anon_sym_BSLASHaclp] = ACTIONS(2260),
    [anon_sym_BSLASHAclp] = ACTIONS(2260),
    [anon_sym_BSLASHacf] = ACTIONS(2260),
    [anon_sym_BSLASHAcf] = ACTIONS(2260),
    [anon_sym_BSLASHacfp] = ACTIONS(2260),
    [anon_sym_BSLASHAcfp] = ACTIONS(2260),
    [anon_sym_BSLASHac] = ACTIONS(2260),
    [anon_sym_BSLASHAc] = ACTIONS(2260),
    [anon_sym_BSLASHacp] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2260),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2260),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2260),
    [anon_sym_BSLASHcolor] = ACTIONS(2260),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2260),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2260),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2260),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2260),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2260),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2260),
    [anon_sym_BSLASHurl] = ACTIONS(2260),
    [anon_sym_BSLASHhref] = ACTIONS(2260),
  },
  [354] = {
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(743),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(748),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(756),
    [aux_sym__section_repeat3] = STATE(743),
    [aux_sym__section_repeat4] = STATE(748),
    [aux_sym__section_repeat5] = STATE(756),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [355] = {
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(753),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(754),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(755),
    [aux_sym__section_repeat3] = STATE(753),
    [aux_sym__section_repeat4] = STATE(754),
    [aux_sym__section_repeat5] = STATE(755),
    [sym_command_name] = ACTIONS(2260),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_RBRACK] = ACTIONS(2262),
    [anon_sym_COMMA] = ACTIONS(2262),
    [anon_sym_EQ] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_RPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHpart] = ACTIONS(2260),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddpart] = ACTIONS(2260),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHchapter] = ACTIONS(2260),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddchap] = ACTIONS(2260),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHitem] = ACTIONS(2260),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [sym_word] = ACTIONS(2260),
    [sym_placeholder] = ACTIONS(2262),
    [sym_delimiter] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_PIPE] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(2260),
    [anon_sym_SQUOTE] = ACTIONS(2260),
    [anon_sym__] = ACTIONS(2262),
    [anon_sym_CARET] = ACTIONS(2262),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2262),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2262),
    [anon_sym_DOLLAR] = ACTIONS(2260),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2262),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHleft] = ACTIONS(2260),
    [anon_sym_BSLASHbigl] = ACTIONS(2260),
    [anon_sym_BSLASHBigl] = ACTIONS(2260),
    [anon_sym_BSLASHbiggl] = ACTIONS(2260),
    [anon_sym_BSLASHBiggl] = ACTIONS(2260),
    [anon_sym_BSLASHtext] = ACTIONS(2260),
    [anon_sym_BSLASHintertext] = ACTIONS(2260),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2260),
    [anon_sym_BSLASHbegin] = ACTIONS(2260),
    [anon_sym_BSLASHtitle] = ACTIONS(2260),
    [anon_sym_BSLASHauthor] = ACTIONS(2260),
    [anon_sym_BSLASHusepackage] = ACTIONS(2260),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2260),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2260),
    [anon_sym_BSLASHinclude] = ACTIONS(2260),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2260),
    [anon_sym_BSLASHinput] = ACTIONS(2260),
    [anon_sym_BSLASHsubfile] = ACTIONS(2260),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2260),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2260),
    [anon_sym_BSLASHbibliography] = ACTIONS(2260),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2260),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2260),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2260),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2260),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2260),
    [anon_sym_BSLASHimport] = ACTIONS(2260),
    [anon_sym_BSLASHsubimport] = ACTIONS(2260),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2260),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHcaption] = ACTIONS(2260),
    [anon_sym_BSLASHcite] = ACTIONS(2260),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCite] = ACTIONS(2260),
    [anon_sym_BSLASHnocite] = ACTIONS(2260),
    [anon_sym_BSLASHcitet] = ACTIONS(2260),
    [anon_sym_BSLASHcitep] = ACTIONS(2260),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteA] = ACTIONS(2260),
    [anon_sym_BSLASHciteR] = ACTIONS(2260),
    [anon_sym_BSLASHciteS] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2260),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteyear] = ACTIONS(2260),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitedate] = ACTIONS(2260),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteurl] = ACTIONS(2260),
    [anon_sym_BSLASHfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2260),
    [anon_sym_BSLASHcitealt] = ACTIONS(2260),
    [anon_sym_BSLASHcitealp] = ACTIONS(2260),
    [anon_sym_BSLASHcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHparencite] = ACTIONS(2260),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHParencite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHtextcite] = ACTIONS(2260),
    [anon_sym_BSLASHTextcite] = ACTIONS(2260),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHsupercite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite] = ACTIONS(2260),
    [anon_sym_BSLASHAutocite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHVolcite] = ACTIONS(2260),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHavolcite] = ACTIONS(2260),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHNotecite] = ACTIONS(2260),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHlabel] = ACTIONS(2260),
    [anon_sym_BSLASHref] = ACTIONS(2260),
    [anon_sym_BSLASHeqref] = ACTIONS(2260),
    [anon_sym_BSLASHvref] = ACTIONS(2260),
    [anon_sym_BSLASHVref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHpageref] = ACTIONS(2260),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHautopageref] = ACTIONS(2260),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcref] = ACTIONS(2260),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCref] = ACTIONS(2260),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHCpageref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnameCref] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2260),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHdef] = ACTIONS(2260),
    [anon_sym_BSLASHgdef] = ACTIONS(2260),
    [anon_sym_BSLASHedef] = ACTIONS(2260),
    [anon_sym_BSLASHxdef] = ACTIONS(2260),
    [anon_sym_BSLASHlet] = ACTIONS(2260),
    [anon_sym_BSLASHglet] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2260),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2260),
    [anon_sym_BSLASHgls] = ACTIONS(2260),
    [anon_sym_BSLASHGls] = ACTIONS(2260),
    [anon_sym_BSLASHGLS] = ACTIONS(2260),
    [anon_sym_BSLASHglspl] = ACTIONS(2260),
    [anon_sym_BSLASHGlspl] = ACTIONS(2260),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2260),
    [anon_sym_BSLASHglslink] = ACTIONS(2260),
    [anon_sym_BSLASHglstext] = ACTIONS(2260),
    [anon_sym_BSLASHGlstext] = ACTIONS(2260),
    [anon_sym_BSLASHGLStext] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2260),
    [anon_sym_BSLASHglsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsname] = ACTIONS(2260),
    [anon_sym_BSLASHGlsname] = ACTIONS(2260),
    [anon_sym_BSLASHGLSname] = ACTIONS(2260),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2260),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2260),
    [anon_sym_BSLASHacrshort] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2260),
    [anon_sym_BSLASHACRshort] = ACTIONS(2260),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrlong] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2260),
    [anon_sym_BSLASHACRlong] = ACTIONS(2260),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrfull] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2260),
    [anon_sym_BSLASHACRfull] = ACTIONS(2260),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHacs] = ACTIONS(2260),
    [anon_sym_BSLASHAcs] = ACTIONS(2260),
    [anon_sym_BSLASHacsp] = ACTIONS(2260),
    [anon_sym_BSLASHAcsp] = ACTIONS(2260),
    [anon_sym_BSLASHacl] = ACTIONS(2260),
    [anon_sym_BSLASHAcl] = ACTIONS(2260),
    [anon_sym_BSLASHaclp] = ACTIONS(2260),
    [anon_sym_BSLASHAclp] = ACTIONS(2260),
    [anon_sym_BSLASHacf] = ACTIONS(2260),
    [anon_sym_BSLASHAcf] = ACTIONS(2260),
    [anon_sym_BSLASHacfp] = ACTIONS(2260),
    [anon_sym_BSLASHAcfp] = ACTIONS(2260),
    [anon_sym_BSLASHac] = ACTIONS(2260),
    [anon_sym_BSLASHAc] = ACTIONS(2260),
    [anon_sym_BSLASHacp] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2260),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2260),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2260),
    [anon_sym_BSLASHcolor] = ACTIONS(2260),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2260),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2260),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2260),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2260),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2260),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2260),
    [anon_sym_BSLASHurl] = ACTIONS(2260),
    [anon_sym_BSLASHhref] = ACTIONS(2260),
  },
  [356] = {
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(855),
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(856),
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(857),
    [aux_sym__section_repeat3] = STATE(855),
    [aux_sym__section_repeat4] = STATE(856),
    [aux_sym__section_repeat5] = STATE(857),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHend] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [357] = {
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(774),
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(775),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(776),
    [aux_sym__section_repeat3] = STATE(774),
    [aux_sym__section_repeat4] = STATE(775),
    [aux_sym__section_repeat5] = STATE(776),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [358] = {
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(934),
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(935),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(936),
    [aux_sym__section_repeat3] = STATE(934),
    [aux_sym__section_repeat4] = STATE(935),
    [aux_sym__section_repeat5] = STATE(936),
    [sym_command_name] = ACTIONS(2260),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_RBRACK] = ACTIONS(2262),
    [anon_sym_COMMA] = ACTIONS(2262),
    [anon_sym_EQ] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_RPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHpart] = ACTIONS(2260),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddpart] = ACTIONS(2260),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHchapter] = ACTIONS(2260),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddchap] = ACTIONS(2260),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHitem] = ACTIONS(2260),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [sym_word] = ACTIONS(2260),
    [sym_placeholder] = ACTIONS(2262),
    [sym_delimiter] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_PIPE] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(2260),
    [anon_sym_SQUOTE] = ACTIONS(2260),
    [anon_sym__] = ACTIONS(2262),
    [anon_sym_CARET] = ACTIONS(2262),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2262),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2262),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2262),
    [anon_sym_DOLLAR] = ACTIONS(2260),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHleft] = ACTIONS(2260),
    [anon_sym_BSLASHbigl] = ACTIONS(2260),
    [anon_sym_BSLASHBigl] = ACTIONS(2260),
    [anon_sym_BSLASHbiggl] = ACTIONS(2260),
    [anon_sym_BSLASHBiggl] = ACTIONS(2260),
    [anon_sym_BSLASHtext] = ACTIONS(2260),
    [anon_sym_BSLASHintertext] = ACTIONS(2260),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2260),
    [anon_sym_BSLASHbegin] = ACTIONS(2260),
    [anon_sym_BSLASHtitle] = ACTIONS(2260),
    [anon_sym_BSLASHauthor] = ACTIONS(2260),
    [anon_sym_BSLASHusepackage] = ACTIONS(2260),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2260),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2260),
    [anon_sym_BSLASHinclude] = ACTIONS(2260),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2260),
    [anon_sym_BSLASHinput] = ACTIONS(2260),
    [anon_sym_BSLASHsubfile] = ACTIONS(2260),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2260),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2260),
    [anon_sym_BSLASHbibliography] = ACTIONS(2260),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2260),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2260),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2260),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2260),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2260),
    [anon_sym_BSLASHimport] = ACTIONS(2260),
    [anon_sym_BSLASHsubimport] = ACTIONS(2260),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2260),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHcaption] = ACTIONS(2260),
    [anon_sym_BSLASHcite] = ACTIONS(2260),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCite] = ACTIONS(2260),
    [anon_sym_BSLASHnocite] = ACTIONS(2260),
    [anon_sym_BSLASHcitet] = ACTIONS(2260),
    [anon_sym_BSLASHcitep] = ACTIONS(2260),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteA] = ACTIONS(2260),
    [anon_sym_BSLASHciteR] = ACTIONS(2260),
    [anon_sym_BSLASHciteS] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2260),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteyear] = ACTIONS(2260),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitedate] = ACTIONS(2260),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteurl] = ACTIONS(2260),
    [anon_sym_BSLASHfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2260),
    [anon_sym_BSLASHcitealt] = ACTIONS(2260),
    [anon_sym_BSLASHcitealp] = ACTIONS(2260),
    [anon_sym_BSLASHcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHparencite] = ACTIONS(2260),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHParencite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHtextcite] = ACTIONS(2260),
    [anon_sym_BSLASHTextcite] = ACTIONS(2260),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHsupercite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite] = ACTIONS(2260),
    [anon_sym_BSLASHAutocite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHVolcite] = ACTIONS(2260),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHavolcite] = ACTIONS(2260),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHNotecite] = ACTIONS(2260),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHlabel] = ACTIONS(2260),
    [anon_sym_BSLASHref] = ACTIONS(2260),
    [anon_sym_BSLASHeqref] = ACTIONS(2260),
    [anon_sym_BSLASHvref] = ACTIONS(2260),
    [anon_sym_BSLASHVref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHpageref] = ACTIONS(2260),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHautopageref] = ACTIONS(2260),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcref] = ACTIONS(2260),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCref] = ACTIONS(2260),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHCpageref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnameCref] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2260),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHdef] = ACTIONS(2260),
    [anon_sym_BSLASHgdef] = ACTIONS(2260),
    [anon_sym_BSLASHedef] = ACTIONS(2260),
    [anon_sym_BSLASHxdef] = ACTIONS(2260),
    [anon_sym_BSLASHlet] = ACTIONS(2260),
    [anon_sym_BSLASHglet] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2260),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2260),
    [anon_sym_BSLASHgls] = ACTIONS(2260),
    [anon_sym_BSLASHGls] = ACTIONS(2260),
    [anon_sym_BSLASHGLS] = ACTIONS(2260),
    [anon_sym_BSLASHglspl] = ACTIONS(2260),
    [anon_sym_BSLASHGlspl] = ACTIONS(2260),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2260),
    [anon_sym_BSLASHglslink] = ACTIONS(2260),
    [anon_sym_BSLASHglstext] = ACTIONS(2260),
    [anon_sym_BSLASHGlstext] = ACTIONS(2260),
    [anon_sym_BSLASHGLStext] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2260),
    [anon_sym_BSLASHglsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsname] = ACTIONS(2260),
    [anon_sym_BSLASHGlsname] = ACTIONS(2260),
    [anon_sym_BSLASHGLSname] = ACTIONS(2260),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2260),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2260),
    [anon_sym_BSLASHacrshort] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2260),
    [anon_sym_BSLASHACRshort] = ACTIONS(2260),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrlong] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2260),
    [anon_sym_BSLASHACRlong] = ACTIONS(2260),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrfull] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2260),
    [anon_sym_BSLASHACRfull] = ACTIONS(2260),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHacs] = ACTIONS(2260),
    [anon_sym_BSLASHAcs] = ACTIONS(2260),
    [anon_sym_BSLASHacsp] = ACTIONS(2260),
    [anon_sym_BSLASHAcsp] = ACTIONS(2260),
    [anon_sym_BSLASHacl] = ACTIONS(2260),
    [anon_sym_BSLASHAcl] = ACTIONS(2260),
    [anon_sym_BSLASHaclp] = ACTIONS(2260),
    [anon_sym_BSLASHAclp] = ACTIONS(2260),
    [anon_sym_BSLASHacf] = ACTIONS(2260),
    [anon_sym_BSLASHAcf] = ACTIONS(2260),
    [anon_sym_BSLASHacfp] = ACTIONS(2260),
    [anon_sym_BSLASHAcfp] = ACTIONS(2260),
    [anon_sym_BSLASHac] = ACTIONS(2260),
    [anon_sym_BSLASHAc] = ACTIONS(2260),
    [anon_sym_BSLASHacp] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2260),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2260),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2260),
    [anon_sym_BSLASHcolor] = ACTIONS(2260),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2260),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2260),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2260),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2260),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2260),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2260),
    [anon_sym_BSLASHurl] = ACTIONS(2260),
    [anon_sym_BSLASHhref] = ACTIONS(2260),
  },
  [359] = {
    [sym_block_comment] = STATE(2283),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(359),
    [sym_command_name] = ACTIONS(6539),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6542),
    [anon_sym_RBRACK] = ACTIONS(4045),
    [anon_sym_COMMA] = ACTIONS(4045),
    [anon_sym_EQ] = ACTIONS(4045),
    [anon_sym_RBRACE] = ACTIONS(4045),
    [sym_word] = ACTIONS(6545),
    [sym_placeholder] = ACTIONS(6548),
    [sym_delimiter] = ACTIONS(6548),
    [anon_sym_PLUS] = ACTIONS(6551),
    [anon_sym_DASH] = ACTIONS(6551),
    [anon_sym_STAR] = ACTIONS(6551),
    [anon_sym_SLASH] = ACTIONS(6551),
    [anon_sym_LT] = ACTIONS(6554),
    [anon_sym_GT] = ACTIONS(6554),
    [anon_sym_BANG] = ACTIONS(6554),
    [anon_sym_PIPE] = ACTIONS(6554),
    [anon_sym_COLON] = ACTIONS(6554),
    [anon_sym_SQUOTE] = ACTIONS(6554),
    [anon_sym__] = ACTIONS(6557),
    [anon_sym_CARET] = ACTIONS(6560),
    [anon_sym_BSLASHtitle] = ACTIONS(6563),
    [anon_sym_BSLASHauthor] = ACTIONS(6566),
    [anon_sym_BSLASHusepackage] = ACTIONS(6569),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6569),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6572),
    [anon_sym_BSLASHinclude] = ACTIONS(6575),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6575),
    [anon_sym_BSLASHinput] = ACTIONS(6575),
    [anon_sym_BSLASHsubfile] = ACTIONS(6575),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6578),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6581),
    [anon_sym_BSLASHbibliography] = ACTIONS(6584),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6587),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6590),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6593),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6596),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6596),
    [anon_sym_BSLASHimport] = ACTIONS(6599),
    [anon_sym_BSLASHsubimport] = ACTIONS(6599),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6599),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6599),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6599),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6599),
    [anon_sym_BSLASHcaption] = ACTIONS(6602),
    [anon_sym_BSLASHcite] = ACTIONS(6605),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6608),
    [anon_sym_BSLASHCite] = ACTIONS(6605),
    [anon_sym_BSLASHnocite] = ACTIONS(6605),
    [anon_sym_BSLASHcitet] = ACTIONS(6605),
    [anon_sym_BSLASHcitep] = ACTIONS(6605),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6608),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6608),
    [anon_sym_BSLASHciteA] = ACTIONS(6605),
    [anon_sym_BSLASHciteR] = ACTIONS(6605),
    [anon_sym_BSLASHciteS] = ACTIONS(6605),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6605),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6605),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6608),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6605),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6608),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6605),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6608),
    [anon_sym_BSLASHciteyear] = ACTIONS(6605),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6608),
    [anon_sym_BSLASHcitedate] = ACTIONS(6605),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6608),
    [anon_sym_BSLASHciteurl] = ACTIONS(6605),
    [anon_sym_BSLASHfullcite] = ACTIONS(6605),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6605),
    [anon_sym_BSLASHcitealt] = ACTIONS(6605),
    [anon_sym_BSLASHcitealp] = ACTIONS(6605),
    [anon_sym_BSLASHcitetext] = ACTIONS(6605),
    [anon_sym_BSLASHparencite] = ACTIONS(6605),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6608),
    [anon_sym_BSLASHParencite] = ACTIONS(6605),
    [anon_sym_BSLASHfootcite] = ACTIONS(6605),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6605),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6605),
    [anon_sym_BSLASHtextcite] = ACTIONS(6605),
    [anon_sym_BSLASHTextcite] = ACTIONS(6605),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6605),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6605),
    [anon_sym_BSLASHsupercite] = ACTIONS(6605),
    [anon_sym_BSLASHautocite] = ACTIONS(6605),
    [anon_sym_BSLASHAutocite] = ACTIONS(6605),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6608),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6608),
    [anon_sym_BSLASHvolcite] = ACTIONS(6605),
    [anon_sym_BSLASHVolcite] = ACTIONS(6605),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6605),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6605),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6605),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6605),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6605),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6605),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6605),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6605),
    [anon_sym_BSLASHavolcite] = ACTIONS(6605),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6605),
    [anon_sym_BSLASHnotecite] = ACTIONS(6605),
    [anon_sym_BSLASHNotecite] = ACTIONS(6605),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6605),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6605),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6605),
    [anon_sym_BSLASHlabel] = ACTIONS(6611),
    [anon_sym_BSLASHref] = ACTIONS(6614),
    [anon_sym_BSLASHeqref] = ACTIONS(6614),
    [anon_sym_BSLASHvref] = ACTIONS(6614),
    [anon_sym_BSLASHVref] = ACTIONS(6614),
    [anon_sym_BSLASHautoref] = ACTIONS(6614),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6617),
    [anon_sym_BSLASHpageref] = ACTIONS(6614),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6617),
    [anon_sym_BSLASHautopageref] = ACTIONS(6614),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6617),
    [anon_sym_BSLASHcref] = ACTIONS(6614),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6617),
    [anon_sym_BSLASHCref] = ACTIONS(6614),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6617),
    [anon_sym_BSLASHcpageref] = ACTIONS(6614),
    [anon_sym_BSLASHCpageref] = ACTIONS(6614),
    [anon_sym_BSLASHnamecref] = ACTIONS(6614),
    [anon_sym_BSLASHnameCref] = ACTIONS(6614),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6614),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6614),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6614),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6614),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6614),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6617),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6614),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6617),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6620),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6623),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6620),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6623),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6620),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6620),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6626),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6629),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6632),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6629),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6632),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6629),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6632),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6629),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6632),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6629),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6632),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6635),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6635),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6635),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6635),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6635),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6635),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6635),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6635),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6638),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6638),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6638),
    [anon_sym_BSLASHdef] = ACTIONS(6641),
    [anon_sym_BSLASHgdef] = ACTIONS(6641),
    [anon_sym_BSLASHedef] = ACTIONS(6641),
    [anon_sym_BSLASHxdef] = ACTIONS(6641),
    [anon_sym_BSLASHlet] = ACTIONS(6644),
    [anon_sym_BSLASHglet] = ACTIONS(6644),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6647),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6647),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6650),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6650),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6653),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6653),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6653),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6653),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6656),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6656),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6656),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6659),
    [anon_sym_BSLASHgls] = ACTIONS(6662),
    [anon_sym_BSLASHGls] = ACTIONS(6662),
    [anon_sym_BSLASHGLS] = ACTIONS(6662),
    [anon_sym_BSLASHglspl] = ACTIONS(6662),
    [anon_sym_BSLASHGlspl] = ACTIONS(6662),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6662),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6662),
    [anon_sym_BSLASHglslink] = ACTIONS(6662),
    [anon_sym_BSLASHglstext] = ACTIONS(6662),
    [anon_sym_BSLASHGlstext] = ACTIONS(6662),
    [anon_sym_BSLASHGLStext] = ACTIONS(6662),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6662),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6662),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6662),
    [anon_sym_BSLASHglsplural] = ACTIONS(6662),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6662),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6662),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6662),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6662),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6662),
    [anon_sym_BSLASHglsname] = ACTIONS(6662),
    [anon_sym_BSLASHGlsname] = ACTIONS(6662),
    [anon_sym_BSLASHGLSname] = ACTIONS(6662),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6662),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6662),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6662),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6662),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6662),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6662),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6662),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6662),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6662),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6662),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6662),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6662),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6662),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6662),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6662),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6662),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6662),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6662),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6662),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6662),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6662),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6662),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6662),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6665),
    [anon_sym_BSLASHacrshort] = ACTIONS(6668),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6668),
    [anon_sym_BSLASHACRshort] = ACTIONS(6668),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6668),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6668),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6668),
    [anon_sym_BSLASHacrlong] = ACTIONS(6668),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6668),
    [anon_sym_BSLASHACRlong] = ACTIONS(6668),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6668),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6668),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6668),
    [anon_sym_BSLASHacrfull] = ACTIONS(6668),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6668),
    [anon_sym_BSLASHACRfull] = ACTIONS(6668),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6668),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6668),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6668),
    [anon_sym_BSLASHacs] = ACTIONS(6668),
    [anon_sym_BSLASHAcs] = ACTIONS(6668),
    [anon_sym_BSLASHacsp] = ACTIONS(6668),
    [anon_sym_BSLASHAcsp] = ACTIONS(6668),
    [anon_sym_BSLASHacl] = ACTIONS(6668),
    [anon_sym_BSLASHAcl] = ACTIONS(6668),
    [anon_sym_BSLASHaclp] = ACTIONS(6668),
    [anon_sym_BSLASHAclp] = ACTIONS(6668),
    [anon_sym_BSLASHacf] = ACTIONS(6668),
    [anon_sym_BSLASHAcf] = ACTIONS(6668),
    [anon_sym_BSLASHacfp] = ACTIONS(6668),
    [anon_sym_BSLASHAcfp] = ACTIONS(6668),
    [anon_sym_BSLASHac] = ACTIONS(6668),
    [anon_sym_BSLASHAc] = ACTIONS(6668),
    [anon_sym_BSLASHacp] = ACTIONS(6668),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6668),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6668),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6668),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6668),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6668),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6668),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6668),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6668),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6668),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6668),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6671),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6674),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6671),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6674),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6677),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6680),
    [anon_sym_BSLASHcolor] = ACTIONS(6683),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6683),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6683),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6683),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6683),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6686),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6686),
    [anon_sym_BSLASHurl] = ACTIONS(6689),
    [anon_sym_BSLASHhref] = ACTIONS(6689),
  },
  [360] = {
    [sym_block_comment] = STATE(2283),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(359),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [anon_sym_RBRACK] = ACTIONS(4196),
    [anon_sym_COMMA] = ACTIONS(4196),
    [anon_sym_EQ] = ACTIONS(4196),
    [anon_sym_RBRACE] = ACTIONS(4196),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [361] = {
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(407),
    [aux_sym__section_repeat5] = STATE(407),
    [sym_command_name] = ACTIONS(6692),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6692),
    [anon_sym_LBRACK] = ACTIONS(6694),
    [anon_sym_RBRACK] = ACTIONS(6694),
    [anon_sym_COMMA] = ACTIONS(6694),
    [anon_sym_EQ] = ACTIONS(6694),
    [anon_sym_LPAREN] = ACTIONS(6694),
    [anon_sym_RPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHpart] = ACTIONS(6692),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddpart] = ACTIONS(6692),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHchapter] = ACTIONS(6692),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddchap] = ACTIONS(6692),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsection] = ACTIONS(6692),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddsec] = ACTIONS(6692),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsection] = ACTIONS(6692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHitem] = ACTIONS(6692),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6694),
    [anon_sym_LBRACE] = ACTIONS(6694),
    [sym_word] = ACTIONS(6692),
    [sym_placeholder] = ACTIONS(6694),
    [sym_delimiter] = ACTIONS(6694),
    [anon_sym_PLUS] = ACTIONS(6694),
    [anon_sym_DASH] = ACTIONS(6694),
    [anon_sym_STAR] = ACTIONS(6694),
    [anon_sym_SLASH] = ACTIONS(6694),
    [anon_sym_LT] = ACTIONS(6692),
    [anon_sym_GT] = ACTIONS(6692),
    [anon_sym_BANG] = ACTIONS(6692),
    [anon_sym_PIPE] = ACTIONS(6692),
    [anon_sym_COLON] = ACTIONS(6692),
    [anon_sym_SQUOTE] = ACTIONS(6692),
    [anon_sym__] = ACTIONS(6694),
    [anon_sym_CARET] = ACTIONS(6694),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6694),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6694),
    [anon_sym_DOLLAR] = ACTIONS(6692),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHleft] = ACTIONS(6692),
    [anon_sym_BSLASHbigl] = ACTIONS(6692),
    [anon_sym_BSLASHBigl] = ACTIONS(6692),
    [anon_sym_BSLASHbiggl] = ACTIONS(6692),
    [anon_sym_BSLASHBiggl] = ACTIONS(6692),
    [anon_sym_BSLASHright] = ACTIONS(6692),
    [anon_sym_BSLASHbigr] = ACTIONS(6692),
    [anon_sym_BSLASHBigr] = ACTIONS(6692),
    [anon_sym_BSLASHbiggr] = ACTIONS(6692),
    [anon_sym_BSLASHBiggr] = ACTIONS(6692),
    [anon_sym_BSLASHtext] = ACTIONS(6692),
    [anon_sym_BSLASHintertext] = ACTIONS(6692),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6692),
    [anon_sym_BSLASHbegin] = ACTIONS(6692),
    [anon_sym_BSLASHtitle] = ACTIONS(6692),
    [anon_sym_BSLASHauthor] = ACTIONS(6692),
    [anon_sym_BSLASHusepackage] = ACTIONS(6692),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6692),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6692),
    [anon_sym_BSLASHinclude] = ACTIONS(6692),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6692),
    [anon_sym_BSLASHinput] = ACTIONS(6692),
    [anon_sym_BSLASHsubfile] = ACTIONS(6692),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6692),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6692),
    [anon_sym_BSLASHbibliography] = ACTIONS(6692),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6692),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6692),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6692),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6692),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6692),
    [anon_sym_BSLASHimport] = ACTIONS(6692),
    [anon_sym_BSLASHsubimport] = ACTIONS(6692),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6692),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHcaption] = ACTIONS(6692),
    [anon_sym_BSLASHcite] = ACTIONS(6692),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCite] = ACTIONS(6692),
    [anon_sym_BSLASHnocite] = ACTIONS(6692),
    [anon_sym_BSLASHcitet] = ACTIONS(6692),
    [anon_sym_BSLASHcitep] = ACTIONS(6692),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteA] = ACTIONS(6692),
    [anon_sym_BSLASHciteR] = ACTIONS(6692),
    [anon_sym_BSLASHciteS] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6692),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteyear] = ACTIONS(6692),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitedate] = ACTIONS(6692),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteurl] = ACTIONS(6692),
    [anon_sym_BSLASHfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6692),
    [anon_sym_BSLASHcitealt] = ACTIONS(6692),
    [anon_sym_BSLASHcitealp] = ACTIONS(6692),
    [anon_sym_BSLASHcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHparencite] = ACTIONS(6692),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHParencite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHtextcite] = ACTIONS(6692),
    [anon_sym_BSLASHTextcite] = ACTIONS(6692),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHsupercite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite] = ACTIONS(6692),
    [anon_sym_BSLASHAutocite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHVolcite] = ACTIONS(6692),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHavolcite] = ACTIONS(6692),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHNotecite] = ACTIONS(6692),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHlabel] = ACTIONS(6692),
    [anon_sym_BSLASHref] = ACTIONS(6692),
    [anon_sym_BSLASHeqref] = ACTIONS(6692),
    [anon_sym_BSLASHvref] = ACTIONS(6692),
    [anon_sym_BSLASHVref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHpageref] = ACTIONS(6692),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHautopageref] = ACTIONS(6692),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcref] = ACTIONS(6692),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCref] = ACTIONS(6692),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHCpageref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnameCref] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6692),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHdef] = ACTIONS(6692),
    [anon_sym_BSLASHgdef] = ACTIONS(6692),
    [anon_sym_BSLASHedef] = ACTIONS(6692),
    [anon_sym_BSLASHxdef] = ACTIONS(6692),
    [anon_sym_BSLASHlet] = ACTIONS(6692),
    [anon_sym_BSLASHglet] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6692),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6692),
    [anon_sym_BSLASHgls] = ACTIONS(6692),
    [anon_sym_BSLASHGls] = ACTIONS(6692),
    [anon_sym_BSLASHGLS] = ACTIONS(6692),
    [anon_sym_BSLASHglspl] = ACTIONS(6692),
    [anon_sym_BSLASHGlspl] = ACTIONS(6692),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6692),
    [anon_sym_BSLASHglslink] = ACTIONS(6692),
    [anon_sym_BSLASHglstext] = ACTIONS(6692),
    [anon_sym_BSLASHGlstext] = ACTIONS(6692),
    [anon_sym_BSLASHGLStext] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6692),
    [anon_sym_BSLASHglsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsname] = ACTIONS(6692),
    [anon_sym_BSLASHGlsname] = ACTIONS(6692),
    [anon_sym_BSLASHGLSname] = ACTIONS(6692),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6692),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6692),
    [anon_sym_BSLASHacrshort] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6692),
    [anon_sym_BSLASHACRshort] = ACTIONS(6692),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrlong] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6692),
    [anon_sym_BSLASHACRlong] = ACTIONS(6692),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrfull] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6692),
    [anon_sym_BSLASHACRfull] = ACTIONS(6692),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHacs] = ACTIONS(6692),
    [anon_sym_BSLASHAcs] = ACTIONS(6692),
    [anon_sym_BSLASHacsp] = ACTIONS(6692),
    [anon_sym_BSLASHAcsp] = ACTIONS(6692),
    [anon_sym_BSLASHacl] = ACTIONS(6692),
    [anon_sym_BSLASHAcl] = ACTIONS(6692),
    [anon_sym_BSLASHaclp] = ACTIONS(6692),
    [anon_sym_BSLASHAclp] = ACTIONS(6692),
    [anon_sym_BSLASHacf] = ACTIONS(6692),
    [anon_sym_BSLASHAcf] = ACTIONS(6692),
    [anon_sym_BSLASHacfp] = ACTIONS(6692),
    [anon_sym_BSLASHAcfp] = ACTIONS(6692),
    [anon_sym_BSLASHac] = ACTIONS(6692),
    [anon_sym_BSLASHAc] = ACTIONS(6692),
    [anon_sym_BSLASHacp] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6692),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6692),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6692),
    [anon_sym_BSLASHcolor] = ACTIONS(6692),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6692),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6692),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6692),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6692),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6692),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6692),
    [anon_sym_BSLASHurl] = ACTIONS(6692),
    [anon_sym_BSLASHhref] = ACTIONS(6692),
  },
  [362] = {
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(406),
    [aux_sym__section_repeat4] = STATE(406),
    [sym_command_name] = ACTIONS(6696),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6696),
    [anon_sym_LBRACK] = ACTIONS(6698),
    [anon_sym_RBRACK] = ACTIONS(6698),
    [anon_sym_COMMA] = ACTIONS(6698),
    [anon_sym_EQ] = ACTIONS(6698),
    [anon_sym_LPAREN] = ACTIONS(6698),
    [anon_sym_RPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHpart] = ACTIONS(6696),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddpart] = ACTIONS(6696),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHchapter] = ACTIONS(6696),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddchap] = ACTIONS(6696),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsection] = ACTIONS(6696),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddsec] = ACTIONS(6696),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHitem] = ACTIONS(6696),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6698),
    [anon_sym_LBRACE] = ACTIONS(6698),
    [sym_word] = ACTIONS(6696),
    [sym_placeholder] = ACTIONS(6698),
    [sym_delimiter] = ACTIONS(6698),
    [anon_sym_PLUS] = ACTIONS(6698),
    [anon_sym_DASH] = ACTIONS(6698),
    [anon_sym_STAR] = ACTIONS(6698),
    [anon_sym_SLASH] = ACTIONS(6698),
    [anon_sym_LT] = ACTIONS(6696),
    [anon_sym_GT] = ACTIONS(6696),
    [anon_sym_BANG] = ACTIONS(6696),
    [anon_sym_PIPE] = ACTIONS(6696),
    [anon_sym_COLON] = ACTIONS(6696),
    [anon_sym_SQUOTE] = ACTIONS(6696),
    [anon_sym__] = ACTIONS(6698),
    [anon_sym_CARET] = ACTIONS(6698),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6698),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6698),
    [anon_sym_DOLLAR] = ACTIONS(6696),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHleft] = ACTIONS(6696),
    [anon_sym_BSLASHbigl] = ACTIONS(6696),
    [anon_sym_BSLASHBigl] = ACTIONS(6696),
    [anon_sym_BSLASHbiggl] = ACTIONS(6696),
    [anon_sym_BSLASHBiggl] = ACTIONS(6696),
    [anon_sym_BSLASHright] = ACTIONS(6696),
    [anon_sym_BSLASHbigr] = ACTIONS(6696),
    [anon_sym_BSLASHBigr] = ACTIONS(6696),
    [anon_sym_BSLASHbiggr] = ACTIONS(6696),
    [anon_sym_BSLASHBiggr] = ACTIONS(6696),
    [anon_sym_BSLASHtext] = ACTIONS(6696),
    [anon_sym_BSLASHintertext] = ACTIONS(6696),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6696),
    [anon_sym_BSLASHbegin] = ACTIONS(6696),
    [anon_sym_BSLASHtitle] = ACTIONS(6696),
    [anon_sym_BSLASHauthor] = ACTIONS(6696),
    [anon_sym_BSLASHusepackage] = ACTIONS(6696),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6696),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6696),
    [anon_sym_BSLASHinclude] = ACTIONS(6696),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6696),
    [anon_sym_BSLASHinput] = ACTIONS(6696),
    [anon_sym_BSLASHsubfile] = ACTIONS(6696),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6696),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6696),
    [anon_sym_BSLASHbibliography] = ACTIONS(6696),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6696),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6696),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6696),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6696),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6696),
    [anon_sym_BSLASHimport] = ACTIONS(6696),
    [anon_sym_BSLASHsubimport] = ACTIONS(6696),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6696),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHcaption] = ACTIONS(6696),
    [anon_sym_BSLASHcite] = ACTIONS(6696),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCite] = ACTIONS(6696),
    [anon_sym_BSLASHnocite] = ACTIONS(6696),
    [anon_sym_BSLASHcitet] = ACTIONS(6696),
    [anon_sym_BSLASHcitep] = ACTIONS(6696),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteA] = ACTIONS(6696),
    [anon_sym_BSLASHciteR] = ACTIONS(6696),
    [anon_sym_BSLASHciteS] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6696),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteyear] = ACTIONS(6696),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitedate] = ACTIONS(6696),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteurl] = ACTIONS(6696),
    [anon_sym_BSLASHfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6696),
    [anon_sym_BSLASHcitealt] = ACTIONS(6696),
    [anon_sym_BSLASHcitealp] = ACTIONS(6696),
    [anon_sym_BSLASHcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHparencite] = ACTIONS(6696),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHParencite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHtextcite] = ACTIONS(6696),
    [anon_sym_BSLASHTextcite] = ACTIONS(6696),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHsupercite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite] = ACTIONS(6696),
    [anon_sym_BSLASHAutocite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHVolcite] = ACTIONS(6696),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHavolcite] = ACTIONS(6696),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHNotecite] = ACTIONS(6696),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHlabel] = ACTIONS(6696),
    [anon_sym_BSLASHref] = ACTIONS(6696),
    [anon_sym_BSLASHeqref] = ACTIONS(6696),
    [anon_sym_BSLASHvref] = ACTIONS(6696),
    [anon_sym_BSLASHVref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHpageref] = ACTIONS(6696),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHautopageref] = ACTIONS(6696),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcref] = ACTIONS(6696),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCref] = ACTIONS(6696),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHCpageref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnameCref] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6696),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHdef] = ACTIONS(6696),
    [anon_sym_BSLASHgdef] = ACTIONS(6696),
    [anon_sym_BSLASHedef] = ACTIONS(6696),
    [anon_sym_BSLASHxdef] = ACTIONS(6696),
    [anon_sym_BSLASHlet] = ACTIONS(6696),
    [anon_sym_BSLASHglet] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6696),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6696),
    [anon_sym_BSLASHgls] = ACTIONS(6696),
    [anon_sym_BSLASHGls] = ACTIONS(6696),
    [anon_sym_BSLASHGLS] = ACTIONS(6696),
    [anon_sym_BSLASHglspl] = ACTIONS(6696),
    [anon_sym_BSLASHGlspl] = ACTIONS(6696),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6696),
    [anon_sym_BSLASHglslink] = ACTIONS(6696),
    [anon_sym_BSLASHglstext] = ACTIONS(6696),
    [anon_sym_BSLASHGlstext] = ACTIONS(6696),
    [anon_sym_BSLASHGLStext] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6696),
    [anon_sym_BSLASHglsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsname] = ACTIONS(6696),
    [anon_sym_BSLASHGlsname] = ACTIONS(6696),
    [anon_sym_BSLASHGLSname] = ACTIONS(6696),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6696),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6696),
    [anon_sym_BSLASHacrshort] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6696),
    [anon_sym_BSLASHACRshort] = ACTIONS(6696),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrlong] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6696),
    [anon_sym_BSLASHACRlong] = ACTIONS(6696),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrfull] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6696),
    [anon_sym_BSLASHACRfull] = ACTIONS(6696),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHacs] = ACTIONS(6696),
    [anon_sym_BSLASHAcs] = ACTIONS(6696),
    [anon_sym_BSLASHacsp] = ACTIONS(6696),
    [anon_sym_BSLASHAcsp] = ACTIONS(6696),
    [anon_sym_BSLASHacl] = ACTIONS(6696),
    [anon_sym_BSLASHAcl] = ACTIONS(6696),
    [anon_sym_BSLASHaclp] = ACTIONS(6696),
    [anon_sym_BSLASHAclp] = ACTIONS(6696),
    [anon_sym_BSLASHacf] = ACTIONS(6696),
    [anon_sym_BSLASHAcf] = ACTIONS(6696),
    [anon_sym_BSLASHacfp] = ACTIONS(6696),
    [anon_sym_BSLASHAcfp] = ACTIONS(6696),
    [anon_sym_BSLASHac] = ACTIONS(6696),
    [anon_sym_BSLASHAc] = ACTIONS(6696),
    [anon_sym_BSLASHacp] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6696),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6696),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6696),
    [anon_sym_BSLASHcolor] = ACTIONS(6696),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6696),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6696),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6696),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6696),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6696),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6696),
    [anon_sym_BSLASHurl] = ACTIONS(6696),
    [anon_sym_BSLASHhref] = ACTIONS(6696),
  },
  [363] = {
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(407),
    [aux_sym__section_repeat5] = STATE(407),
    [sym_command_name] = ACTIONS(6696),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6696),
    [anon_sym_LBRACK] = ACTIONS(6698),
    [anon_sym_RBRACK] = ACTIONS(6698),
    [anon_sym_COMMA] = ACTIONS(6698),
    [anon_sym_EQ] = ACTIONS(6698),
    [anon_sym_LPAREN] = ACTIONS(6698),
    [anon_sym_RPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHpart] = ACTIONS(6696),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddpart] = ACTIONS(6696),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHchapter] = ACTIONS(6696),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddchap] = ACTIONS(6696),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsection] = ACTIONS(6696),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddsec] = ACTIONS(6696),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubsection] = ACTIONS(6696),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHitem] = ACTIONS(6696),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6698),
    [anon_sym_LBRACE] = ACTIONS(6698),
    [sym_word] = ACTIONS(6696),
    [sym_placeholder] = ACTIONS(6698),
    [sym_delimiter] = ACTIONS(6698),
    [anon_sym_PLUS] = ACTIONS(6698),
    [anon_sym_DASH] = ACTIONS(6698),
    [anon_sym_STAR] = ACTIONS(6698),
    [anon_sym_SLASH] = ACTIONS(6698),
    [anon_sym_LT] = ACTIONS(6696),
    [anon_sym_GT] = ACTIONS(6696),
    [anon_sym_BANG] = ACTIONS(6696),
    [anon_sym_PIPE] = ACTIONS(6696),
    [anon_sym_COLON] = ACTIONS(6696),
    [anon_sym_SQUOTE] = ACTIONS(6696),
    [anon_sym__] = ACTIONS(6698),
    [anon_sym_CARET] = ACTIONS(6698),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6698),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6698),
    [anon_sym_DOLLAR] = ACTIONS(6696),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHleft] = ACTIONS(6696),
    [anon_sym_BSLASHbigl] = ACTIONS(6696),
    [anon_sym_BSLASHBigl] = ACTIONS(6696),
    [anon_sym_BSLASHbiggl] = ACTIONS(6696),
    [anon_sym_BSLASHBiggl] = ACTIONS(6696),
    [anon_sym_BSLASHright] = ACTIONS(6696),
    [anon_sym_BSLASHbigr] = ACTIONS(6696),
    [anon_sym_BSLASHBigr] = ACTIONS(6696),
    [anon_sym_BSLASHbiggr] = ACTIONS(6696),
    [anon_sym_BSLASHBiggr] = ACTIONS(6696),
    [anon_sym_BSLASHtext] = ACTIONS(6696),
    [anon_sym_BSLASHintertext] = ACTIONS(6696),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6696),
    [anon_sym_BSLASHbegin] = ACTIONS(6696),
    [anon_sym_BSLASHtitle] = ACTIONS(6696),
    [anon_sym_BSLASHauthor] = ACTIONS(6696),
    [anon_sym_BSLASHusepackage] = ACTIONS(6696),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6696),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6696),
    [anon_sym_BSLASHinclude] = ACTIONS(6696),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6696),
    [anon_sym_BSLASHinput] = ACTIONS(6696),
    [anon_sym_BSLASHsubfile] = ACTIONS(6696),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6696),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6696),
    [anon_sym_BSLASHbibliography] = ACTIONS(6696),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6696),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6696),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6696),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6696),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6696),
    [anon_sym_BSLASHimport] = ACTIONS(6696),
    [anon_sym_BSLASHsubimport] = ACTIONS(6696),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6696),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHcaption] = ACTIONS(6696),
    [anon_sym_BSLASHcite] = ACTIONS(6696),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCite] = ACTIONS(6696),
    [anon_sym_BSLASHnocite] = ACTIONS(6696),
    [anon_sym_BSLASHcitet] = ACTIONS(6696),
    [anon_sym_BSLASHcitep] = ACTIONS(6696),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteA] = ACTIONS(6696),
    [anon_sym_BSLASHciteR] = ACTIONS(6696),
    [anon_sym_BSLASHciteS] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6696),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteyear] = ACTIONS(6696),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitedate] = ACTIONS(6696),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteurl] = ACTIONS(6696),
    [anon_sym_BSLASHfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6696),
    [anon_sym_BSLASHcitealt] = ACTIONS(6696),
    [anon_sym_BSLASHcitealp] = ACTIONS(6696),
    [anon_sym_BSLASHcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHparencite] = ACTIONS(6696),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHParencite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHtextcite] = ACTIONS(6696),
    [anon_sym_BSLASHTextcite] = ACTIONS(6696),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHsupercite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite] = ACTIONS(6696),
    [anon_sym_BSLASHAutocite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHVolcite] = ACTIONS(6696),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHavolcite] = ACTIONS(6696),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHNotecite] = ACTIONS(6696),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHlabel] = ACTIONS(6696),
    [anon_sym_BSLASHref] = ACTIONS(6696),
    [anon_sym_BSLASHeqref] = ACTIONS(6696),
    [anon_sym_BSLASHvref] = ACTIONS(6696),
    [anon_sym_BSLASHVref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHpageref] = ACTIONS(6696),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHautopageref] = ACTIONS(6696),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcref] = ACTIONS(6696),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCref] = ACTIONS(6696),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHCpageref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnameCref] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6696),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHdef] = ACTIONS(6696),
    [anon_sym_BSLASHgdef] = ACTIONS(6696),
    [anon_sym_BSLASHedef] = ACTIONS(6696),
    [anon_sym_BSLASHxdef] = ACTIONS(6696),
    [anon_sym_BSLASHlet] = ACTIONS(6696),
    [anon_sym_BSLASHglet] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6696),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6696),
    [anon_sym_BSLASHgls] = ACTIONS(6696),
    [anon_sym_BSLASHGls] = ACTIONS(6696),
    [anon_sym_BSLASHGLS] = ACTIONS(6696),
    [anon_sym_BSLASHglspl] = ACTIONS(6696),
    [anon_sym_BSLASHGlspl] = ACTIONS(6696),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6696),
    [anon_sym_BSLASHglslink] = ACTIONS(6696),
    [anon_sym_BSLASHglstext] = ACTIONS(6696),
    [anon_sym_BSLASHGlstext] = ACTIONS(6696),
    [anon_sym_BSLASHGLStext] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6696),
    [anon_sym_BSLASHglsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsname] = ACTIONS(6696),
    [anon_sym_BSLASHGlsname] = ACTIONS(6696),
    [anon_sym_BSLASHGLSname] = ACTIONS(6696),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6696),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6696),
    [anon_sym_BSLASHacrshort] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6696),
    [anon_sym_BSLASHACRshort] = ACTIONS(6696),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrlong] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6696),
    [anon_sym_BSLASHACRlong] = ACTIONS(6696),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrfull] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6696),
    [anon_sym_BSLASHACRfull] = ACTIONS(6696),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHacs] = ACTIONS(6696),
    [anon_sym_BSLASHAcs] = ACTIONS(6696),
    [anon_sym_BSLASHacsp] = ACTIONS(6696),
    [anon_sym_BSLASHAcsp] = ACTIONS(6696),
    [anon_sym_BSLASHacl] = ACTIONS(6696),
    [anon_sym_BSLASHAcl] = ACTIONS(6696),
    [anon_sym_BSLASHaclp] = ACTIONS(6696),
    [anon_sym_BSLASHAclp] = ACTIONS(6696),
    [anon_sym_BSLASHacf] = ACTIONS(6696),
    [anon_sym_BSLASHAcf] = ACTIONS(6696),
    [anon_sym_BSLASHacfp] = ACTIONS(6696),
    [anon_sym_BSLASHAcfp] = ACTIONS(6696),
    [anon_sym_BSLASHac] = ACTIONS(6696),
    [anon_sym_BSLASHAc] = ACTIONS(6696),
    [anon_sym_BSLASHacp] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6696),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6696),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6696),
    [anon_sym_BSLASHcolor] = ACTIONS(6696),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6696),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6696),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6696),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6696),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6696),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6696),
    [anon_sym_BSLASHurl] = ACTIONS(6696),
    [anon_sym_BSLASHhref] = ACTIONS(6696),
  },
  [364] = {
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(406),
    [aux_sym__section_repeat4] = STATE(406),
    [sym_command_name] = ACTIONS(6700),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6700),
    [anon_sym_LBRACK] = ACTIONS(6702),
    [anon_sym_RBRACK] = ACTIONS(6702),
    [anon_sym_COMMA] = ACTIONS(6702),
    [anon_sym_EQ] = ACTIONS(6702),
    [anon_sym_LPAREN] = ACTIONS(6702),
    [anon_sym_RPAREN] = ACTIONS(6702),
    [anon_sym_BSLASHpart] = ACTIONS(6700),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddpart] = ACTIONS(6700),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHchapter] = ACTIONS(6700),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddchap] = ACTIONS(6700),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsection] = ACTIONS(6700),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddsec] = ACTIONS(6700),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6700),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHparagraph] = ACTIONS(6700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6700),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHitem] = ACTIONS(6700),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6702),
    [anon_sym_LBRACE] = ACTIONS(6702),
    [sym_word] = ACTIONS(6700),
    [sym_placeholder] = ACTIONS(6702),
    [sym_delimiter] = ACTIONS(6702),
    [anon_sym_PLUS] = ACTIONS(6702),
    [anon_sym_DASH] = ACTIONS(6702),
    [anon_sym_STAR] = ACTIONS(6702),
    [anon_sym_SLASH] = ACTIONS(6702),
    [anon_sym_LT] = ACTIONS(6700),
    [anon_sym_GT] = ACTIONS(6700),
    [anon_sym_BANG] = ACTIONS(6700),
    [anon_sym_PIPE] = ACTIONS(6700),
    [anon_sym_COLON] = ACTIONS(6700),
    [anon_sym_SQUOTE] = ACTIONS(6700),
    [anon_sym__] = ACTIONS(6702),
    [anon_sym_CARET] = ACTIONS(6702),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6702),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6702),
    [anon_sym_DOLLAR] = ACTIONS(6700),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6702),
    [anon_sym_BSLASHleft] = ACTIONS(6700),
    [anon_sym_BSLASHbigl] = ACTIONS(6700),
    [anon_sym_BSLASHBigl] = ACTIONS(6700),
    [anon_sym_BSLASHbiggl] = ACTIONS(6700),
    [anon_sym_BSLASHBiggl] = ACTIONS(6700),
    [anon_sym_BSLASHright] = ACTIONS(6700),
    [anon_sym_BSLASHbigr] = ACTIONS(6700),
    [anon_sym_BSLASHBigr] = ACTIONS(6700),
    [anon_sym_BSLASHbiggr] = ACTIONS(6700),
    [anon_sym_BSLASHBiggr] = ACTIONS(6700),
    [anon_sym_BSLASHtext] = ACTIONS(6700),
    [anon_sym_BSLASHintertext] = ACTIONS(6700),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6700),
    [anon_sym_BSLASHbegin] = ACTIONS(6700),
    [anon_sym_BSLASHtitle] = ACTIONS(6700),
    [anon_sym_BSLASHauthor] = ACTIONS(6700),
    [anon_sym_BSLASHusepackage] = ACTIONS(6700),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6700),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6700),
    [anon_sym_BSLASHinclude] = ACTIONS(6700),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6700),
    [anon_sym_BSLASHinput] = ACTIONS(6700),
    [anon_sym_BSLASHsubfile] = ACTIONS(6700),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6700),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6700),
    [anon_sym_BSLASHbibliography] = ACTIONS(6700),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6700),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6700),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6700),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6700),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6700),
    [anon_sym_BSLASHimport] = ACTIONS(6700),
    [anon_sym_BSLASHsubimport] = ACTIONS(6700),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6700),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6700),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6700),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6700),
    [anon_sym_BSLASHcaption] = ACTIONS(6700),
    [anon_sym_BSLASHcite] = ACTIONS(6700),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCite] = ACTIONS(6700),
    [anon_sym_BSLASHnocite] = ACTIONS(6700),
    [anon_sym_BSLASHcitet] = ACTIONS(6700),
    [anon_sym_BSLASHcitep] = ACTIONS(6700),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteA] = ACTIONS(6700),
    [anon_sym_BSLASHciteR] = ACTIONS(6700),
    [anon_sym_BSLASHciteS] = ACTIONS(6700),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6700),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6700),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6700),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6700),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteyear] = ACTIONS(6700),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitedate] = ACTIONS(6700),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteurl] = ACTIONS(6700),
    [anon_sym_BSLASHfullcite] = ACTIONS(6700),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6700),
    [anon_sym_BSLASHcitealt] = ACTIONS(6700),
    [anon_sym_BSLASHcitealp] = ACTIONS(6700),
    [anon_sym_BSLASHcitetext] = ACTIONS(6700),
    [anon_sym_BSLASHparencite] = ACTIONS(6700),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHParencite] = ACTIONS(6700),
    [anon_sym_BSLASHfootcite] = ACTIONS(6700),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6700),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6700),
    [anon_sym_BSLASHtextcite] = ACTIONS(6700),
    [anon_sym_BSLASHTextcite] = ACTIONS(6700),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6700),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6700),
    [anon_sym_BSLASHsupercite] = ACTIONS(6700),
    [anon_sym_BSLASHautocite] = ACTIONS(6700),
    [anon_sym_BSLASHAutocite] = ACTIONS(6700),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHVolcite] = ACTIONS(6700),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHavolcite] = ACTIONS(6700),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHNotecite] = ACTIONS(6700),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHlabel] = ACTIONS(6700),
    [anon_sym_BSLASHref] = ACTIONS(6700),
    [anon_sym_BSLASHeqref] = ACTIONS(6700),
    [anon_sym_BSLASHvref] = ACTIONS(6700),
    [anon_sym_BSLASHVref] = ACTIONS(6700),
    [anon_sym_BSLASHautoref] = ACTIONS(6700),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHpageref] = ACTIONS(6700),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHautopageref] = ACTIONS(6700),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcref] = ACTIONS(6700),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCref] = ACTIONS(6700),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcpageref] = ACTIONS(6700),
    [anon_sym_BSLASHCpageref] = ACTIONS(6700),
    [anon_sym_BSLASHnamecref] = ACTIONS(6700),
    [anon_sym_BSLASHnameCref] = ACTIONS(6700),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6700),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6700),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6700),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6700),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6700),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6700),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6700),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6700),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6700),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6700),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6700),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHdef] = ACTIONS(6700),
    [anon_sym_BSLASHgdef] = ACTIONS(6700),
    [anon_sym_BSLASHedef] = ACTIONS(6700),
    [anon_sym_BSLASHxdef] = ACTIONS(6700),
    [anon_sym_BSLASHlet] = ACTIONS(6700),
    [anon_sym_BSLASHglet] = ACTIONS(6700),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6700),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6700),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6700),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6700),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6700),
    [anon_sym_BSLASHgls] = ACTIONS(6700),
    [anon_sym_BSLASHGls] = ACTIONS(6700),
    [anon_sym_BSLASHGLS] = ACTIONS(6700),
    [anon_sym_BSLASHglspl] = ACTIONS(6700),
    [anon_sym_BSLASHGlspl] = ACTIONS(6700),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6700),
    [anon_sym_BSLASHglslink] = ACTIONS(6700),
    [anon_sym_BSLASHglstext] = ACTIONS(6700),
    [anon_sym_BSLASHGlstext] = ACTIONS(6700),
    [anon_sym_BSLASHGLStext] = ACTIONS(6700),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6700),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6700),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6700),
    [anon_sym_BSLASHglsplural] = ACTIONS(6700),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6700),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6700),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHglsname] = ACTIONS(6700),
    [anon_sym_BSLASHGlsname] = ACTIONS(6700),
    [anon_sym_BSLASHGLSname] = ACTIONS(6700),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6700),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6700),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6700),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6700),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6700),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6700),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6700),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6700),
    [anon_sym_BSLASHacrshort] = ACTIONS(6700),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6700),
    [anon_sym_BSLASHACRshort] = ACTIONS(6700),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHacrlong] = ACTIONS(6700),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6700),
    [anon_sym_BSLASHACRlong] = ACTIONS(6700),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHacrfull] = ACTIONS(6700),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6700),
    [anon_sym_BSLASHACRfull] = ACTIONS(6700),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHacs] = ACTIONS(6700),
    [anon_sym_BSLASHAcs] = ACTIONS(6700),
    [anon_sym_BSLASHacsp] = ACTIONS(6700),
    [anon_sym_BSLASHAcsp] = ACTIONS(6700),
    [anon_sym_BSLASHacl] = ACTIONS(6700),
    [anon_sym_BSLASHAcl] = ACTIONS(6700),
    [anon_sym_BSLASHaclp] = ACTIONS(6700),
    [anon_sym_BSLASHAclp] = ACTIONS(6700),
    [anon_sym_BSLASHacf] = ACTIONS(6700),
    [anon_sym_BSLASHAcf] = ACTIONS(6700),
    [anon_sym_BSLASHacfp] = ACTIONS(6700),
    [anon_sym_BSLASHAcfp] = ACTIONS(6700),
    [anon_sym_BSLASHac] = ACTIONS(6700),
    [anon_sym_BSLASHAc] = ACTIONS(6700),
    [anon_sym_BSLASHacp] = ACTIONS(6700),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6700),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6700),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6700),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6700),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6700),
    [anon_sym_BSLASHcolor] = ACTIONS(6700),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6700),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6700),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6700),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6700),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6700),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6700),
    [anon_sym_BSLASHurl] = ACTIONS(6700),
    [anon_sym_BSLASHhref] = ACTIONS(6700),
  },
  [365] = {
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(407),
    [aux_sym__section_repeat5] = STATE(407),
    [sym_command_name] = ACTIONS(6700),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6700),
    [anon_sym_LBRACK] = ACTIONS(6702),
    [anon_sym_RBRACK] = ACTIONS(6702),
    [anon_sym_COMMA] = ACTIONS(6702),
    [anon_sym_EQ] = ACTIONS(6702),
    [anon_sym_LPAREN] = ACTIONS(6702),
    [anon_sym_RPAREN] = ACTIONS(6702),
    [anon_sym_BSLASHpart] = ACTIONS(6700),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddpart] = ACTIONS(6700),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHchapter] = ACTIONS(6700),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddchap] = ACTIONS(6700),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsection] = ACTIONS(6700),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddsec] = ACTIONS(6700),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsubsection] = ACTIONS(6700),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(6700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6700),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHitem] = ACTIONS(6700),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6702),
    [anon_sym_LBRACE] = ACTIONS(6702),
    [sym_word] = ACTIONS(6700),
    [sym_placeholder] = ACTIONS(6702),
    [sym_delimiter] = ACTIONS(6702),
    [anon_sym_PLUS] = ACTIONS(6702),
    [anon_sym_DASH] = ACTIONS(6702),
    [anon_sym_STAR] = ACTIONS(6702),
    [anon_sym_SLASH] = ACTIONS(6702),
    [anon_sym_LT] = ACTIONS(6700),
    [anon_sym_GT] = ACTIONS(6700),
    [anon_sym_BANG] = ACTIONS(6700),
    [anon_sym_PIPE] = ACTIONS(6700),
    [anon_sym_COLON] = ACTIONS(6700),
    [anon_sym_SQUOTE] = ACTIONS(6700),
    [anon_sym__] = ACTIONS(6702),
    [anon_sym_CARET] = ACTIONS(6702),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6702),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6702),
    [anon_sym_DOLLAR] = ACTIONS(6700),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6702),
    [anon_sym_BSLASHleft] = ACTIONS(6700),
    [anon_sym_BSLASHbigl] = ACTIONS(6700),
    [anon_sym_BSLASHBigl] = ACTIONS(6700),
    [anon_sym_BSLASHbiggl] = ACTIONS(6700),
    [anon_sym_BSLASHBiggl] = ACTIONS(6700),
    [anon_sym_BSLASHright] = ACTIONS(6700),
    [anon_sym_BSLASHbigr] = ACTIONS(6700),
    [anon_sym_BSLASHBigr] = ACTIONS(6700),
    [anon_sym_BSLASHbiggr] = ACTIONS(6700),
    [anon_sym_BSLASHBiggr] = ACTIONS(6700),
    [anon_sym_BSLASHtext] = ACTIONS(6700),
    [anon_sym_BSLASHintertext] = ACTIONS(6700),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6700),
    [anon_sym_BSLASHbegin] = ACTIONS(6700),
    [anon_sym_BSLASHtitle] = ACTIONS(6700),
    [anon_sym_BSLASHauthor] = ACTIONS(6700),
    [anon_sym_BSLASHusepackage] = ACTIONS(6700),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6700),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6700),
    [anon_sym_BSLASHinclude] = ACTIONS(6700),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6700),
    [anon_sym_BSLASHinput] = ACTIONS(6700),
    [anon_sym_BSLASHsubfile] = ACTIONS(6700),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6700),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6700),
    [anon_sym_BSLASHbibliography] = ACTIONS(6700),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6700),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6700),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6700),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6700),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6700),
    [anon_sym_BSLASHimport] = ACTIONS(6700),
    [anon_sym_BSLASHsubimport] = ACTIONS(6700),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6700),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6700),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6700),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6700),
    [anon_sym_BSLASHcaption] = ACTIONS(6700),
    [anon_sym_BSLASHcite] = ACTIONS(6700),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCite] = ACTIONS(6700),
    [anon_sym_BSLASHnocite] = ACTIONS(6700),
    [anon_sym_BSLASHcitet] = ACTIONS(6700),
    [anon_sym_BSLASHcitep] = ACTIONS(6700),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteA] = ACTIONS(6700),
    [anon_sym_BSLASHciteR] = ACTIONS(6700),
    [anon_sym_BSLASHciteS] = ACTIONS(6700),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6700),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6700),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6700),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6700),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteyear] = ACTIONS(6700),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitedate] = ACTIONS(6700),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteurl] = ACTIONS(6700),
    [anon_sym_BSLASHfullcite] = ACTIONS(6700),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6700),
    [anon_sym_BSLASHcitealt] = ACTIONS(6700),
    [anon_sym_BSLASHcitealp] = ACTIONS(6700),
    [anon_sym_BSLASHcitetext] = ACTIONS(6700),
    [anon_sym_BSLASHparencite] = ACTIONS(6700),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHParencite] = ACTIONS(6700),
    [anon_sym_BSLASHfootcite] = ACTIONS(6700),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6700),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6700),
    [anon_sym_BSLASHtextcite] = ACTIONS(6700),
    [anon_sym_BSLASHTextcite] = ACTIONS(6700),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6700),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6700),
    [anon_sym_BSLASHsupercite] = ACTIONS(6700),
    [anon_sym_BSLASHautocite] = ACTIONS(6700),
    [anon_sym_BSLASHAutocite] = ACTIONS(6700),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHVolcite] = ACTIONS(6700),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHavolcite] = ACTIONS(6700),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHNotecite] = ACTIONS(6700),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHlabel] = ACTIONS(6700),
    [anon_sym_BSLASHref] = ACTIONS(6700),
    [anon_sym_BSLASHeqref] = ACTIONS(6700),
    [anon_sym_BSLASHvref] = ACTIONS(6700),
    [anon_sym_BSLASHVref] = ACTIONS(6700),
    [anon_sym_BSLASHautoref] = ACTIONS(6700),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHpageref] = ACTIONS(6700),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHautopageref] = ACTIONS(6700),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcref] = ACTIONS(6700),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCref] = ACTIONS(6700),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcpageref] = ACTIONS(6700),
    [anon_sym_BSLASHCpageref] = ACTIONS(6700),
    [anon_sym_BSLASHnamecref] = ACTIONS(6700),
    [anon_sym_BSLASHnameCref] = ACTIONS(6700),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6700),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6700),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6700),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6700),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6700),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6700),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6700),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6700),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6700),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6700),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6700),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHdef] = ACTIONS(6700),
    [anon_sym_BSLASHgdef] = ACTIONS(6700),
    [anon_sym_BSLASHedef] = ACTIONS(6700),
    [anon_sym_BSLASHxdef] = ACTIONS(6700),
    [anon_sym_BSLASHlet] = ACTIONS(6700),
    [anon_sym_BSLASHglet] = ACTIONS(6700),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6700),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6700),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6700),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6700),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6700),
    [anon_sym_BSLASHgls] = ACTIONS(6700),
    [anon_sym_BSLASHGls] = ACTIONS(6700),
    [anon_sym_BSLASHGLS] = ACTIONS(6700),
    [anon_sym_BSLASHglspl] = ACTIONS(6700),
    [anon_sym_BSLASHGlspl] = ACTIONS(6700),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6700),
    [anon_sym_BSLASHglslink] = ACTIONS(6700),
    [anon_sym_BSLASHglstext] = ACTIONS(6700),
    [anon_sym_BSLASHGlstext] = ACTIONS(6700),
    [anon_sym_BSLASHGLStext] = ACTIONS(6700),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6700),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6700),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6700),
    [anon_sym_BSLASHglsplural] = ACTIONS(6700),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6700),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6700),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHglsname] = ACTIONS(6700),
    [anon_sym_BSLASHGlsname] = ACTIONS(6700),
    [anon_sym_BSLASHGLSname] = ACTIONS(6700),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6700),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6700),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6700),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6700),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6700),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6700),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6700),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6700),
    [anon_sym_BSLASHacrshort] = ACTIONS(6700),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6700),
    [anon_sym_BSLASHACRshort] = ACTIONS(6700),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHacrlong] = ACTIONS(6700),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6700),
    [anon_sym_BSLASHACRlong] = ACTIONS(6700),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHacrfull] = ACTIONS(6700),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6700),
    [anon_sym_BSLASHACRfull] = ACTIONS(6700),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHacs] = ACTIONS(6700),
    [anon_sym_BSLASHAcs] = ACTIONS(6700),
    [anon_sym_BSLASHacsp] = ACTIONS(6700),
    [anon_sym_BSLASHAcsp] = ACTIONS(6700),
    [anon_sym_BSLASHacl] = ACTIONS(6700),
    [anon_sym_BSLASHAcl] = ACTIONS(6700),
    [anon_sym_BSLASHaclp] = ACTIONS(6700),
    [anon_sym_BSLASHAclp] = ACTIONS(6700),
    [anon_sym_BSLASHacf] = ACTIONS(6700),
    [anon_sym_BSLASHAcf] = ACTIONS(6700),
    [anon_sym_BSLASHacfp] = ACTIONS(6700),
    [anon_sym_BSLASHAcfp] = ACTIONS(6700),
    [anon_sym_BSLASHac] = ACTIONS(6700),
    [anon_sym_BSLASHAc] = ACTIONS(6700),
    [anon_sym_BSLASHacp] = ACTIONS(6700),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6700),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6700),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6700),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6700),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6700),
    [anon_sym_BSLASHcolor] = ACTIONS(6700),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6700),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6700),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6700),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6700),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6700),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6700),
    [anon_sym_BSLASHurl] = ACTIONS(6700),
    [anon_sym_BSLASHhref] = ACTIONS(6700),
  },
  [366] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(2713),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym_key_value_pair] = STATE(2654),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [anon_sym_RBRACE] = ACTIONS(6704),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [367] = {
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(407),
    [aux_sym__section_repeat5] = STATE(407),
    [sym_command_name] = ACTIONS(6706),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6706),
    [anon_sym_LBRACK] = ACTIONS(6708),
    [anon_sym_RBRACK] = ACTIONS(6708),
    [anon_sym_COMMA] = ACTIONS(6708),
    [anon_sym_EQ] = ACTIONS(6708),
    [anon_sym_LPAREN] = ACTIONS(6708),
    [anon_sym_RPAREN] = ACTIONS(6708),
    [anon_sym_BSLASHpart] = ACTIONS(6706),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHaddpart] = ACTIONS(6706),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHchapter] = ACTIONS(6706),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHaddchap] = ACTIONS(6706),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHsection] = ACTIONS(6706),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHaddsec] = ACTIONS(6706),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHsubsection] = ACTIONS(6706),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(6706),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6706),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHitem] = ACTIONS(6706),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6708),
    [anon_sym_LBRACE] = ACTIONS(6708),
    [sym_word] = ACTIONS(6706),
    [sym_placeholder] = ACTIONS(6708),
    [sym_delimiter] = ACTIONS(6708),
    [anon_sym_PLUS] = ACTIONS(6708),
    [anon_sym_DASH] = ACTIONS(6708),
    [anon_sym_STAR] = ACTIONS(6708),
    [anon_sym_SLASH] = ACTIONS(6708),
    [anon_sym_LT] = ACTIONS(6706),
    [anon_sym_GT] = ACTIONS(6706),
    [anon_sym_BANG] = ACTIONS(6706),
    [anon_sym_PIPE] = ACTIONS(6706),
    [anon_sym_COLON] = ACTIONS(6706),
    [anon_sym_SQUOTE] = ACTIONS(6706),
    [anon_sym__] = ACTIONS(6708),
    [anon_sym_CARET] = ACTIONS(6708),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6708),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6708),
    [anon_sym_DOLLAR] = ACTIONS(6706),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6708),
    [anon_sym_BSLASHleft] = ACTIONS(6706),
    [anon_sym_BSLASHbigl] = ACTIONS(6706),
    [anon_sym_BSLASHBigl] = ACTIONS(6706),
    [anon_sym_BSLASHbiggl] = ACTIONS(6706),
    [anon_sym_BSLASHBiggl] = ACTIONS(6706),
    [anon_sym_BSLASHright] = ACTIONS(6706),
    [anon_sym_BSLASHbigr] = ACTIONS(6706),
    [anon_sym_BSLASHBigr] = ACTIONS(6706),
    [anon_sym_BSLASHbiggr] = ACTIONS(6706),
    [anon_sym_BSLASHBiggr] = ACTIONS(6706),
    [anon_sym_BSLASHtext] = ACTIONS(6706),
    [anon_sym_BSLASHintertext] = ACTIONS(6706),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6706),
    [anon_sym_BSLASHbegin] = ACTIONS(6706),
    [anon_sym_BSLASHtitle] = ACTIONS(6706),
    [anon_sym_BSLASHauthor] = ACTIONS(6706),
    [anon_sym_BSLASHusepackage] = ACTIONS(6706),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6706),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6706),
    [anon_sym_BSLASHinclude] = ACTIONS(6706),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6706),
    [anon_sym_BSLASHinput] = ACTIONS(6706),
    [anon_sym_BSLASHsubfile] = ACTIONS(6706),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6706),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6706),
    [anon_sym_BSLASHbibliography] = ACTIONS(6706),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6706),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6706),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6706),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6706),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6706),
    [anon_sym_BSLASHimport] = ACTIONS(6706),
    [anon_sym_BSLASHsubimport] = ACTIONS(6706),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6706),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6706),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6706),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6706),
    [anon_sym_BSLASHcaption] = ACTIONS(6706),
    [anon_sym_BSLASHcite] = ACTIONS(6706),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHCite] = ACTIONS(6706),
    [anon_sym_BSLASHnocite] = ACTIONS(6706),
    [anon_sym_BSLASHcitet] = ACTIONS(6706),
    [anon_sym_BSLASHcitep] = ACTIONS(6706),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHciteA] = ACTIONS(6706),
    [anon_sym_BSLASHciteR] = ACTIONS(6706),
    [anon_sym_BSLASHciteS] = ACTIONS(6706),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6706),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6706),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6706),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6706),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHciteyear] = ACTIONS(6706),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcitedate] = ACTIONS(6706),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHciteurl] = ACTIONS(6706),
    [anon_sym_BSLASHfullcite] = ACTIONS(6706),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6706),
    [anon_sym_BSLASHcitealt] = ACTIONS(6706),
    [anon_sym_BSLASHcitealp] = ACTIONS(6706),
    [anon_sym_BSLASHcitetext] = ACTIONS(6706),
    [anon_sym_BSLASHparencite] = ACTIONS(6706),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHParencite] = ACTIONS(6706),
    [anon_sym_BSLASHfootcite] = ACTIONS(6706),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6706),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6706),
    [anon_sym_BSLASHtextcite] = ACTIONS(6706),
    [anon_sym_BSLASHTextcite] = ACTIONS(6706),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6706),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6706),
    [anon_sym_BSLASHsupercite] = ACTIONS(6706),
    [anon_sym_BSLASHautocite] = ACTIONS(6706),
    [anon_sym_BSLASHAutocite] = ACTIONS(6706),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHVolcite] = ACTIONS(6706),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHavolcite] = ACTIONS(6706),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHnotecite] = ACTIONS(6706),
    [anon_sym_BSLASHNotecite] = ACTIONS(6706),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6706),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6706),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6706),
    [anon_sym_BSLASHlabel] = ACTIONS(6706),
    [anon_sym_BSLASHref] = ACTIONS(6706),
    [anon_sym_BSLASHeqref] = ACTIONS(6706),
    [anon_sym_BSLASHvref] = ACTIONS(6706),
    [anon_sym_BSLASHVref] = ACTIONS(6706),
    [anon_sym_BSLASHautoref] = ACTIONS(6706),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHpageref] = ACTIONS(6706),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHautopageref] = ACTIONS(6706),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcref] = ACTIONS(6706),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHCref] = ACTIONS(6706),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcpageref] = ACTIONS(6706),
    [anon_sym_BSLASHCpageref] = ACTIONS(6706),
    [anon_sym_BSLASHnamecref] = ACTIONS(6706),
    [anon_sym_BSLASHnameCref] = ACTIONS(6706),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6706),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6706),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6706),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6706),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6706),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6706),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6706),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6706),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6706),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6706),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6706),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6706),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6706),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6706),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6706),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6706),
    [anon_sym_BSLASHdef] = ACTIONS(6706),
    [anon_sym_BSLASHgdef] = ACTIONS(6706),
    [anon_sym_BSLASHedef] = ACTIONS(6706),
    [anon_sym_BSLASHxdef] = ACTIONS(6706),
    [anon_sym_BSLASHlet] = ACTIONS(6706),
    [anon_sym_BSLASHglet] = ACTIONS(6706),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6706),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6706),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6706),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6706),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6706),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6706),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6706),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6706),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6706),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6706),
    [anon_sym_BSLASHgls] = ACTIONS(6706),
    [anon_sym_BSLASHGls] = ACTIONS(6706),
    [anon_sym_BSLASHGLS] = ACTIONS(6706),
    [anon_sym_BSLASHglspl] = ACTIONS(6706),
    [anon_sym_BSLASHGlspl] = ACTIONS(6706),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6706),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6706),
    [anon_sym_BSLASHglslink] = ACTIONS(6706),
    [anon_sym_BSLASHglstext] = ACTIONS(6706),
    [anon_sym_BSLASHGlstext] = ACTIONS(6706),
    [anon_sym_BSLASHGLStext] = ACTIONS(6706),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6706),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6706),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6706),
    [anon_sym_BSLASHglsplural] = ACTIONS(6706),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6706),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6706),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6706),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6706),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6706),
    [anon_sym_BSLASHglsname] = ACTIONS(6706),
    [anon_sym_BSLASHGlsname] = ACTIONS(6706),
    [anon_sym_BSLASHGLSname] = ACTIONS(6706),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6706),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6706),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6706),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6706),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6706),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6706),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6706),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6706),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6706),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6706),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6706),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6706),
    [anon_sym_BSLASHacrshort] = ACTIONS(6706),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6706),
    [anon_sym_BSLASHACRshort] = ACTIONS(6706),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6706),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6706),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6706),
    [anon_sym_BSLASHacrlong] = ACTIONS(6706),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6706),
    [anon_sym_BSLASHACRlong] = ACTIONS(6706),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6706),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6706),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6706),
    [anon_sym_BSLASHacrfull] = ACTIONS(6706),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6706),
    [anon_sym_BSLASHACRfull] = ACTIONS(6706),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6706),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6706),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6706),
    [anon_sym_BSLASHacs] = ACTIONS(6706),
    [anon_sym_BSLASHAcs] = ACTIONS(6706),
    [anon_sym_BSLASHacsp] = ACTIONS(6706),
    [anon_sym_BSLASHAcsp] = ACTIONS(6706),
    [anon_sym_BSLASHacl] = ACTIONS(6706),
    [anon_sym_BSLASHAcl] = ACTIONS(6706),
    [anon_sym_BSLASHaclp] = ACTIONS(6706),
    [anon_sym_BSLASHAclp] = ACTIONS(6706),
    [anon_sym_BSLASHacf] = ACTIONS(6706),
    [anon_sym_BSLASHAcf] = ACTIONS(6706),
    [anon_sym_BSLASHacfp] = ACTIONS(6706),
    [anon_sym_BSLASHAcfp] = ACTIONS(6706),
    [anon_sym_BSLASHac] = ACTIONS(6706),
    [anon_sym_BSLASHAc] = ACTIONS(6706),
    [anon_sym_BSLASHacp] = ACTIONS(6706),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6706),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6706),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6706),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6706),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6706),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6706),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6706),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6706),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6706),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6706),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6706),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6706),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6706),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6706),
    [anon_sym_BSLASHcolor] = ACTIONS(6706),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6706),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6706),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6706),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6706),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6706),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6706),
    [anon_sym_BSLASHurl] = ACTIONS(6706),
    [anon_sym_BSLASHhref] = ACTIONS(6706),
  },
  [368] = {
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(556),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(557),
    [aux_sym__section_repeat4] = STATE(556),
    [aux_sym__section_repeat5] = STATE(557),
    [ts_builtin_sym_end] = ACTIONS(2292),
    [sym_command_name] = ACTIONS(2290),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2290),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_RBRACK] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(2292),
    [anon_sym_EQ] = ACTIONS(2292),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_RPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHpart] = ACTIONS(2290),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddpart] = ACTIONS(2290),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHchapter] = ACTIONS(2290),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddchap] = ACTIONS(2290),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsection] = ACTIONS(2290),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddsec] = ACTIONS(2290),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHitem] = ACTIONS(2290),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2292),
    [anon_sym_LBRACE] = ACTIONS(2292),
    [anon_sym_RBRACE] = ACTIONS(2292),
    [sym_word] = ACTIONS(2290),
    [sym_placeholder] = ACTIONS(2292),
    [sym_delimiter] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2292),
    [anon_sym_SLASH] = ACTIONS(2292),
    [anon_sym_LT] = ACTIONS(2290),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(2290),
    [anon_sym_PIPE] = ACTIONS(2290),
    [anon_sym_COLON] = ACTIONS(2290),
    [anon_sym_SQUOTE] = ACTIONS(2290),
    [anon_sym__] = ACTIONS(2292),
    [anon_sym_CARET] = ACTIONS(2292),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2292),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2292),
    [anon_sym_DOLLAR] = ACTIONS(2290),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHleft] = ACTIONS(2290),
    [anon_sym_BSLASHbigl] = ACTIONS(2290),
    [anon_sym_BSLASHBigl] = ACTIONS(2290),
    [anon_sym_BSLASHbiggl] = ACTIONS(2290),
    [anon_sym_BSLASHBiggl] = ACTIONS(2290),
    [anon_sym_BSLASHtext] = ACTIONS(2290),
    [anon_sym_BSLASHintertext] = ACTIONS(2290),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2290),
    [anon_sym_BSLASHbegin] = ACTIONS(2290),
    [anon_sym_BSLASHtitle] = ACTIONS(2290),
    [anon_sym_BSLASHauthor] = ACTIONS(2290),
    [anon_sym_BSLASHusepackage] = ACTIONS(2290),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2290),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2290),
    [anon_sym_BSLASHinclude] = ACTIONS(2290),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2290),
    [anon_sym_BSLASHinput] = ACTIONS(2290),
    [anon_sym_BSLASHsubfile] = ACTIONS(2290),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2290),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2290),
    [anon_sym_BSLASHbibliography] = ACTIONS(2290),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2290),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2290),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2290),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2290),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2290),
    [anon_sym_BSLASHimport] = ACTIONS(2290),
    [anon_sym_BSLASHsubimport] = ACTIONS(2290),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2290),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHcaption] = ACTIONS(2290),
    [anon_sym_BSLASHcite] = ACTIONS(2290),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCite] = ACTIONS(2290),
    [anon_sym_BSLASHnocite] = ACTIONS(2290),
    [anon_sym_BSLASHcitet] = ACTIONS(2290),
    [anon_sym_BSLASHcitep] = ACTIONS(2290),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteA] = ACTIONS(2290),
    [anon_sym_BSLASHciteR] = ACTIONS(2290),
    [anon_sym_BSLASHciteS] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2290),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteyear] = ACTIONS(2290),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitedate] = ACTIONS(2290),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteurl] = ACTIONS(2290),
    [anon_sym_BSLASHfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2290),
    [anon_sym_BSLASHcitealt] = ACTIONS(2290),
    [anon_sym_BSLASHcitealp] = ACTIONS(2290),
    [anon_sym_BSLASHcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHparencite] = ACTIONS(2290),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHParencite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHtextcite] = ACTIONS(2290),
    [anon_sym_BSLASHTextcite] = ACTIONS(2290),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHsupercite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite] = ACTIONS(2290),
    [anon_sym_BSLASHAutocite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHVolcite] = ACTIONS(2290),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHavolcite] = ACTIONS(2290),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHNotecite] = ACTIONS(2290),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHlabel] = ACTIONS(2290),
    [anon_sym_BSLASHref] = ACTIONS(2290),
    [anon_sym_BSLASHeqref] = ACTIONS(2290),
    [anon_sym_BSLASHvref] = ACTIONS(2290),
    [anon_sym_BSLASHVref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHpageref] = ACTIONS(2290),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHautopageref] = ACTIONS(2290),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcref] = ACTIONS(2290),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCref] = ACTIONS(2290),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHCpageref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnameCref] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2290),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHdef] = ACTIONS(2290),
    [anon_sym_BSLASHgdef] = ACTIONS(2290),
    [anon_sym_BSLASHedef] = ACTIONS(2290),
    [anon_sym_BSLASHxdef] = ACTIONS(2290),
    [anon_sym_BSLASHlet] = ACTIONS(2290),
    [anon_sym_BSLASHglet] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2290),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2290),
    [anon_sym_BSLASHgls] = ACTIONS(2290),
    [anon_sym_BSLASHGls] = ACTIONS(2290),
    [anon_sym_BSLASHGLS] = ACTIONS(2290),
    [anon_sym_BSLASHglspl] = ACTIONS(2290),
    [anon_sym_BSLASHGlspl] = ACTIONS(2290),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2290),
    [anon_sym_BSLASHglslink] = ACTIONS(2290),
    [anon_sym_BSLASHglstext] = ACTIONS(2290),
    [anon_sym_BSLASHGlstext] = ACTIONS(2290),
    [anon_sym_BSLASHGLStext] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2290),
    [anon_sym_BSLASHglsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsname] = ACTIONS(2290),
    [anon_sym_BSLASHGlsname] = ACTIONS(2290),
    [anon_sym_BSLASHGLSname] = ACTIONS(2290),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2290),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2290),
    [anon_sym_BSLASHacrshort] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2290),
    [anon_sym_BSLASHACRshort] = ACTIONS(2290),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrlong] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2290),
    [anon_sym_BSLASHACRlong] = ACTIONS(2290),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrfull] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2290),
    [anon_sym_BSLASHACRfull] = ACTIONS(2290),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHacs] = ACTIONS(2290),
    [anon_sym_BSLASHAcs] = ACTIONS(2290),
    [anon_sym_BSLASHacsp] = ACTIONS(2290),
    [anon_sym_BSLASHAcsp] = ACTIONS(2290),
    [anon_sym_BSLASHacl] = ACTIONS(2290),
    [anon_sym_BSLASHAcl] = ACTIONS(2290),
    [anon_sym_BSLASHaclp] = ACTIONS(2290),
    [anon_sym_BSLASHAclp] = ACTIONS(2290),
    [anon_sym_BSLASHacf] = ACTIONS(2290),
    [anon_sym_BSLASHAcf] = ACTIONS(2290),
    [anon_sym_BSLASHacfp] = ACTIONS(2290),
    [anon_sym_BSLASHAcfp] = ACTIONS(2290),
    [anon_sym_BSLASHac] = ACTIONS(2290),
    [anon_sym_BSLASHAc] = ACTIONS(2290),
    [anon_sym_BSLASHacp] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2290),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2290),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2290),
    [anon_sym_BSLASHcolor] = ACTIONS(2290),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2290),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2290),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2290),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2290),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2290),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2290),
    [anon_sym_BSLASHurl] = ACTIONS(2290),
    [anon_sym_BSLASHhref] = ACTIONS(2290),
  },
  [369] = {
    [sym__chapter_declaration] = STATE(158),
    [sym_chapter] = STATE(404),
    [aux_sym__section_repeat2] = STATE(404),
    [sym_command_name] = ACTIONS(6710),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6710),
    [anon_sym_LBRACK] = ACTIONS(6712),
    [anon_sym_RBRACK] = ACTIONS(6712),
    [anon_sym_COMMA] = ACTIONS(6712),
    [anon_sym_EQ] = ACTIONS(6712),
    [anon_sym_LPAREN] = ACTIONS(6712),
    [anon_sym_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHpart] = ACTIONS(6710),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddpart] = ACTIONS(6710),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHchapter] = ACTIONS(187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(189),
    [anon_sym_BSLASHaddchap] = ACTIONS(187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(189),
    [anon_sym_BSLASHsection] = ACTIONS(6710),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddsec] = ACTIONS(6710),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHitem] = ACTIONS(6710),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6712),
    [anon_sym_LBRACE] = ACTIONS(6712),
    [sym_word] = ACTIONS(6710),
    [sym_placeholder] = ACTIONS(6712),
    [sym_delimiter] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(6712),
    [anon_sym_SLASH] = ACTIONS(6712),
    [anon_sym_LT] = ACTIONS(6710),
    [anon_sym_GT] = ACTIONS(6710),
    [anon_sym_BANG] = ACTIONS(6710),
    [anon_sym_PIPE] = ACTIONS(6710),
    [anon_sym_COLON] = ACTIONS(6710),
    [anon_sym_SQUOTE] = ACTIONS(6710),
    [anon_sym__] = ACTIONS(6712),
    [anon_sym_CARET] = ACTIONS(6712),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6712),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6712),
    [anon_sym_DOLLAR] = ACTIONS(6710),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHleft] = ACTIONS(6710),
    [anon_sym_BSLASHbigl] = ACTIONS(6710),
    [anon_sym_BSLASHBigl] = ACTIONS(6710),
    [anon_sym_BSLASHbiggl] = ACTIONS(6710),
    [anon_sym_BSLASHBiggl] = ACTIONS(6710),
    [anon_sym_BSLASHright] = ACTIONS(6710),
    [anon_sym_BSLASHbigr] = ACTIONS(6710),
    [anon_sym_BSLASHBigr] = ACTIONS(6710),
    [anon_sym_BSLASHbiggr] = ACTIONS(6710),
    [anon_sym_BSLASHBiggr] = ACTIONS(6710),
    [anon_sym_BSLASHtext] = ACTIONS(6710),
    [anon_sym_BSLASHintertext] = ACTIONS(6710),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6710),
    [anon_sym_BSLASHbegin] = ACTIONS(6710),
    [anon_sym_BSLASHtitle] = ACTIONS(6710),
    [anon_sym_BSLASHauthor] = ACTIONS(6710),
    [anon_sym_BSLASHusepackage] = ACTIONS(6710),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6710),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6710),
    [anon_sym_BSLASHinclude] = ACTIONS(6710),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6710),
    [anon_sym_BSLASHinput] = ACTIONS(6710),
    [anon_sym_BSLASHsubfile] = ACTIONS(6710),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6710),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6710),
    [anon_sym_BSLASHbibliography] = ACTIONS(6710),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6710),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6710),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6710),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6710),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6710),
    [anon_sym_BSLASHimport] = ACTIONS(6710),
    [anon_sym_BSLASHsubimport] = ACTIONS(6710),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6710),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHcaption] = ACTIONS(6710),
    [anon_sym_BSLASHcite] = ACTIONS(6710),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCite] = ACTIONS(6710),
    [anon_sym_BSLASHnocite] = ACTIONS(6710),
    [anon_sym_BSLASHcitet] = ACTIONS(6710),
    [anon_sym_BSLASHcitep] = ACTIONS(6710),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteA] = ACTIONS(6710),
    [anon_sym_BSLASHciteR] = ACTIONS(6710),
    [anon_sym_BSLASHciteS] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6710),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteyear] = ACTIONS(6710),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitedate] = ACTIONS(6710),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteurl] = ACTIONS(6710),
    [anon_sym_BSLASHfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6710),
    [anon_sym_BSLASHcitealt] = ACTIONS(6710),
    [anon_sym_BSLASHcitealp] = ACTIONS(6710),
    [anon_sym_BSLASHcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHparencite] = ACTIONS(6710),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHParencite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHtextcite] = ACTIONS(6710),
    [anon_sym_BSLASHTextcite] = ACTIONS(6710),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHsupercite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite] = ACTIONS(6710),
    [anon_sym_BSLASHAutocite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHVolcite] = ACTIONS(6710),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHavolcite] = ACTIONS(6710),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHNotecite] = ACTIONS(6710),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHlabel] = ACTIONS(6710),
    [anon_sym_BSLASHref] = ACTIONS(6710),
    [anon_sym_BSLASHeqref] = ACTIONS(6710),
    [anon_sym_BSLASHvref] = ACTIONS(6710),
    [anon_sym_BSLASHVref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHpageref] = ACTIONS(6710),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHautopageref] = ACTIONS(6710),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcref] = ACTIONS(6710),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCref] = ACTIONS(6710),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHCpageref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnameCref] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6710),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHdef] = ACTIONS(6710),
    [anon_sym_BSLASHgdef] = ACTIONS(6710),
    [anon_sym_BSLASHedef] = ACTIONS(6710),
    [anon_sym_BSLASHxdef] = ACTIONS(6710),
    [anon_sym_BSLASHlet] = ACTIONS(6710),
    [anon_sym_BSLASHglet] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6710),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6710),
    [anon_sym_BSLASHgls] = ACTIONS(6710),
    [anon_sym_BSLASHGls] = ACTIONS(6710),
    [anon_sym_BSLASHGLS] = ACTIONS(6710),
    [anon_sym_BSLASHglspl] = ACTIONS(6710),
    [anon_sym_BSLASHGlspl] = ACTIONS(6710),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6710),
    [anon_sym_BSLASHglslink] = ACTIONS(6710),
    [anon_sym_BSLASHglstext] = ACTIONS(6710),
    [anon_sym_BSLASHGlstext] = ACTIONS(6710),
    [anon_sym_BSLASHGLStext] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6710),
    [anon_sym_BSLASHglsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsname] = ACTIONS(6710),
    [anon_sym_BSLASHGlsname] = ACTIONS(6710),
    [anon_sym_BSLASHGLSname] = ACTIONS(6710),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6710),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6710),
    [anon_sym_BSLASHacrshort] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6710),
    [anon_sym_BSLASHACRshort] = ACTIONS(6710),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrlong] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6710),
    [anon_sym_BSLASHACRlong] = ACTIONS(6710),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrfull] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6710),
    [anon_sym_BSLASHACRfull] = ACTIONS(6710),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHacs] = ACTIONS(6710),
    [anon_sym_BSLASHAcs] = ACTIONS(6710),
    [anon_sym_BSLASHacsp] = ACTIONS(6710),
    [anon_sym_BSLASHAcsp] = ACTIONS(6710),
    [anon_sym_BSLASHacl] = ACTIONS(6710),
    [anon_sym_BSLASHAcl] = ACTIONS(6710),
    [anon_sym_BSLASHaclp] = ACTIONS(6710),
    [anon_sym_BSLASHAclp] = ACTIONS(6710),
    [anon_sym_BSLASHacf] = ACTIONS(6710),
    [anon_sym_BSLASHAcf] = ACTIONS(6710),
    [anon_sym_BSLASHacfp] = ACTIONS(6710),
    [anon_sym_BSLASHAcfp] = ACTIONS(6710),
    [anon_sym_BSLASHac] = ACTIONS(6710),
    [anon_sym_BSLASHAc] = ACTIONS(6710),
    [anon_sym_BSLASHacp] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6710),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6710),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6710),
    [anon_sym_BSLASHcolor] = ACTIONS(6710),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6710),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6710),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6710),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6710),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6710),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6710),
    [anon_sym_BSLASHurl] = ACTIONS(6710),
    [anon_sym_BSLASHhref] = ACTIONS(6710),
  },
  [370] = {
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(405),
    [aux_sym__section_repeat3] = STATE(405),
    [sym_command_name] = ACTIONS(6710),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6710),
    [anon_sym_LBRACK] = ACTIONS(6712),
    [anon_sym_RBRACK] = ACTIONS(6712),
    [anon_sym_COMMA] = ACTIONS(6712),
    [anon_sym_EQ] = ACTIONS(6712),
    [anon_sym_LPAREN] = ACTIONS(6712),
    [anon_sym_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHpart] = ACTIONS(6710),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddpart] = ACTIONS(6710),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHchapter] = ACTIONS(6710),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddchap] = ACTIONS(6710),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHitem] = ACTIONS(6710),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6712),
    [anon_sym_LBRACE] = ACTIONS(6712),
    [sym_word] = ACTIONS(6710),
    [sym_placeholder] = ACTIONS(6712),
    [sym_delimiter] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(6712),
    [anon_sym_SLASH] = ACTIONS(6712),
    [anon_sym_LT] = ACTIONS(6710),
    [anon_sym_GT] = ACTIONS(6710),
    [anon_sym_BANG] = ACTIONS(6710),
    [anon_sym_PIPE] = ACTIONS(6710),
    [anon_sym_COLON] = ACTIONS(6710),
    [anon_sym_SQUOTE] = ACTIONS(6710),
    [anon_sym__] = ACTIONS(6712),
    [anon_sym_CARET] = ACTIONS(6712),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6712),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6712),
    [anon_sym_DOLLAR] = ACTIONS(6710),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHleft] = ACTIONS(6710),
    [anon_sym_BSLASHbigl] = ACTIONS(6710),
    [anon_sym_BSLASHBigl] = ACTIONS(6710),
    [anon_sym_BSLASHbiggl] = ACTIONS(6710),
    [anon_sym_BSLASHBiggl] = ACTIONS(6710),
    [anon_sym_BSLASHright] = ACTIONS(6710),
    [anon_sym_BSLASHbigr] = ACTIONS(6710),
    [anon_sym_BSLASHBigr] = ACTIONS(6710),
    [anon_sym_BSLASHbiggr] = ACTIONS(6710),
    [anon_sym_BSLASHBiggr] = ACTIONS(6710),
    [anon_sym_BSLASHtext] = ACTIONS(6710),
    [anon_sym_BSLASHintertext] = ACTIONS(6710),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6710),
    [anon_sym_BSLASHbegin] = ACTIONS(6710),
    [anon_sym_BSLASHtitle] = ACTIONS(6710),
    [anon_sym_BSLASHauthor] = ACTIONS(6710),
    [anon_sym_BSLASHusepackage] = ACTIONS(6710),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6710),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6710),
    [anon_sym_BSLASHinclude] = ACTIONS(6710),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6710),
    [anon_sym_BSLASHinput] = ACTIONS(6710),
    [anon_sym_BSLASHsubfile] = ACTIONS(6710),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6710),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6710),
    [anon_sym_BSLASHbibliography] = ACTIONS(6710),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6710),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6710),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6710),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6710),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6710),
    [anon_sym_BSLASHimport] = ACTIONS(6710),
    [anon_sym_BSLASHsubimport] = ACTIONS(6710),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6710),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHcaption] = ACTIONS(6710),
    [anon_sym_BSLASHcite] = ACTIONS(6710),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCite] = ACTIONS(6710),
    [anon_sym_BSLASHnocite] = ACTIONS(6710),
    [anon_sym_BSLASHcitet] = ACTIONS(6710),
    [anon_sym_BSLASHcitep] = ACTIONS(6710),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteA] = ACTIONS(6710),
    [anon_sym_BSLASHciteR] = ACTIONS(6710),
    [anon_sym_BSLASHciteS] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6710),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteyear] = ACTIONS(6710),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitedate] = ACTIONS(6710),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteurl] = ACTIONS(6710),
    [anon_sym_BSLASHfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6710),
    [anon_sym_BSLASHcitealt] = ACTIONS(6710),
    [anon_sym_BSLASHcitealp] = ACTIONS(6710),
    [anon_sym_BSLASHcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHparencite] = ACTIONS(6710),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHParencite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHtextcite] = ACTIONS(6710),
    [anon_sym_BSLASHTextcite] = ACTIONS(6710),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHsupercite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite] = ACTIONS(6710),
    [anon_sym_BSLASHAutocite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHVolcite] = ACTIONS(6710),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHavolcite] = ACTIONS(6710),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHNotecite] = ACTIONS(6710),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHlabel] = ACTIONS(6710),
    [anon_sym_BSLASHref] = ACTIONS(6710),
    [anon_sym_BSLASHeqref] = ACTIONS(6710),
    [anon_sym_BSLASHvref] = ACTIONS(6710),
    [anon_sym_BSLASHVref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHpageref] = ACTIONS(6710),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHautopageref] = ACTIONS(6710),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcref] = ACTIONS(6710),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCref] = ACTIONS(6710),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHCpageref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnameCref] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6710),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHdef] = ACTIONS(6710),
    [anon_sym_BSLASHgdef] = ACTIONS(6710),
    [anon_sym_BSLASHedef] = ACTIONS(6710),
    [anon_sym_BSLASHxdef] = ACTIONS(6710),
    [anon_sym_BSLASHlet] = ACTIONS(6710),
    [anon_sym_BSLASHglet] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6710),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6710),
    [anon_sym_BSLASHgls] = ACTIONS(6710),
    [anon_sym_BSLASHGls] = ACTIONS(6710),
    [anon_sym_BSLASHGLS] = ACTIONS(6710),
    [anon_sym_BSLASHglspl] = ACTIONS(6710),
    [anon_sym_BSLASHGlspl] = ACTIONS(6710),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6710),
    [anon_sym_BSLASHglslink] = ACTIONS(6710),
    [anon_sym_BSLASHglstext] = ACTIONS(6710),
    [anon_sym_BSLASHGlstext] = ACTIONS(6710),
    [anon_sym_BSLASHGLStext] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6710),
    [anon_sym_BSLASHglsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsname] = ACTIONS(6710),
    [anon_sym_BSLASHGlsname] = ACTIONS(6710),
    [anon_sym_BSLASHGLSname] = ACTIONS(6710),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6710),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6710),
    [anon_sym_BSLASHacrshort] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6710),
    [anon_sym_BSLASHACRshort] = ACTIONS(6710),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrlong] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6710),
    [anon_sym_BSLASHACRlong] = ACTIONS(6710),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrfull] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6710),
    [anon_sym_BSLASHACRfull] = ACTIONS(6710),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHacs] = ACTIONS(6710),
    [anon_sym_BSLASHAcs] = ACTIONS(6710),
    [anon_sym_BSLASHacsp] = ACTIONS(6710),
    [anon_sym_BSLASHAcsp] = ACTIONS(6710),
    [anon_sym_BSLASHacl] = ACTIONS(6710),
    [anon_sym_BSLASHAcl] = ACTIONS(6710),
    [anon_sym_BSLASHaclp] = ACTIONS(6710),
    [anon_sym_BSLASHAclp] = ACTIONS(6710),
    [anon_sym_BSLASHacf] = ACTIONS(6710),
    [anon_sym_BSLASHAcf] = ACTIONS(6710),
    [anon_sym_BSLASHacfp] = ACTIONS(6710),
    [anon_sym_BSLASHAcfp] = ACTIONS(6710),
    [anon_sym_BSLASHac] = ACTIONS(6710),
    [anon_sym_BSLASHAc] = ACTIONS(6710),
    [anon_sym_BSLASHacp] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6710),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6710),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6710),
    [anon_sym_BSLASHcolor] = ACTIONS(6710),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6710),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6710),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6710),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6710),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6710),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6710),
    [anon_sym_BSLASHurl] = ACTIONS(6710),
    [anon_sym_BSLASHhref] = ACTIONS(6710),
  },
  [371] = {
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(406),
    [aux_sym__section_repeat4] = STATE(406),
    [sym_command_name] = ACTIONS(6710),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6710),
    [anon_sym_LBRACK] = ACTIONS(6712),
    [anon_sym_RBRACK] = ACTIONS(6712),
    [anon_sym_COMMA] = ACTIONS(6712),
    [anon_sym_EQ] = ACTIONS(6712),
    [anon_sym_LPAREN] = ACTIONS(6712),
    [anon_sym_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHpart] = ACTIONS(6710),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddpart] = ACTIONS(6710),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHchapter] = ACTIONS(6710),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddchap] = ACTIONS(6710),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsection] = ACTIONS(6710),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddsec] = ACTIONS(6710),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHitem] = ACTIONS(6710),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6712),
    [anon_sym_LBRACE] = ACTIONS(6712),
    [sym_word] = ACTIONS(6710),
    [sym_placeholder] = ACTIONS(6712),
    [sym_delimiter] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(6712),
    [anon_sym_SLASH] = ACTIONS(6712),
    [anon_sym_LT] = ACTIONS(6710),
    [anon_sym_GT] = ACTIONS(6710),
    [anon_sym_BANG] = ACTIONS(6710),
    [anon_sym_PIPE] = ACTIONS(6710),
    [anon_sym_COLON] = ACTIONS(6710),
    [anon_sym_SQUOTE] = ACTIONS(6710),
    [anon_sym__] = ACTIONS(6712),
    [anon_sym_CARET] = ACTIONS(6712),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6712),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6712),
    [anon_sym_DOLLAR] = ACTIONS(6710),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHleft] = ACTIONS(6710),
    [anon_sym_BSLASHbigl] = ACTIONS(6710),
    [anon_sym_BSLASHBigl] = ACTIONS(6710),
    [anon_sym_BSLASHbiggl] = ACTIONS(6710),
    [anon_sym_BSLASHBiggl] = ACTIONS(6710),
    [anon_sym_BSLASHright] = ACTIONS(6710),
    [anon_sym_BSLASHbigr] = ACTIONS(6710),
    [anon_sym_BSLASHBigr] = ACTIONS(6710),
    [anon_sym_BSLASHbiggr] = ACTIONS(6710),
    [anon_sym_BSLASHBiggr] = ACTIONS(6710),
    [anon_sym_BSLASHtext] = ACTIONS(6710),
    [anon_sym_BSLASHintertext] = ACTIONS(6710),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6710),
    [anon_sym_BSLASHbegin] = ACTIONS(6710),
    [anon_sym_BSLASHtitle] = ACTIONS(6710),
    [anon_sym_BSLASHauthor] = ACTIONS(6710),
    [anon_sym_BSLASHusepackage] = ACTIONS(6710),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6710),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6710),
    [anon_sym_BSLASHinclude] = ACTIONS(6710),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6710),
    [anon_sym_BSLASHinput] = ACTIONS(6710),
    [anon_sym_BSLASHsubfile] = ACTIONS(6710),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6710),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6710),
    [anon_sym_BSLASHbibliography] = ACTIONS(6710),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6710),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6710),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6710),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6710),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6710),
    [anon_sym_BSLASHimport] = ACTIONS(6710),
    [anon_sym_BSLASHsubimport] = ACTIONS(6710),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6710),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHcaption] = ACTIONS(6710),
    [anon_sym_BSLASHcite] = ACTIONS(6710),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCite] = ACTIONS(6710),
    [anon_sym_BSLASHnocite] = ACTIONS(6710),
    [anon_sym_BSLASHcitet] = ACTIONS(6710),
    [anon_sym_BSLASHcitep] = ACTIONS(6710),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteA] = ACTIONS(6710),
    [anon_sym_BSLASHciteR] = ACTIONS(6710),
    [anon_sym_BSLASHciteS] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6710),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteyear] = ACTIONS(6710),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitedate] = ACTIONS(6710),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteurl] = ACTIONS(6710),
    [anon_sym_BSLASHfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6710),
    [anon_sym_BSLASHcitealt] = ACTIONS(6710),
    [anon_sym_BSLASHcitealp] = ACTIONS(6710),
    [anon_sym_BSLASHcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHparencite] = ACTIONS(6710),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHParencite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHtextcite] = ACTIONS(6710),
    [anon_sym_BSLASHTextcite] = ACTIONS(6710),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHsupercite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite] = ACTIONS(6710),
    [anon_sym_BSLASHAutocite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHVolcite] = ACTIONS(6710),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHavolcite] = ACTIONS(6710),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHNotecite] = ACTIONS(6710),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHlabel] = ACTIONS(6710),
    [anon_sym_BSLASHref] = ACTIONS(6710),
    [anon_sym_BSLASHeqref] = ACTIONS(6710),
    [anon_sym_BSLASHvref] = ACTIONS(6710),
    [anon_sym_BSLASHVref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHpageref] = ACTIONS(6710),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHautopageref] = ACTIONS(6710),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcref] = ACTIONS(6710),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCref] = ACTIONS(6710),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHCpageref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnameCref] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6710),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHdef] = ACTIONS(6710),
    [anon_sym_BSLASHgdef] = ACTIONS(6710),
    [anon_sym_BSLASHedef] = ACTIONS(6710),
    [anon_sym_BSLASHxdef] = ACTIONS(6710),
    [anon_sym_BSLASHlet] = ACTIONS(6710),
    [anon_sym_BSLASHglet] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6710),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6710),
    [anon_sym_BSLASHgls] = ACTIONS(6710),
    [anon_sym_BSLASHGls] = ACTIONS(6710),
    [anon_sym_BSLASHGLS] = ACTIONS(6710),
    [anon_sym_BSLASHglspl] = ACTIONS(6710),
    [anon_sym_BSLASHGlspl] = ACTIONS(6710),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6710),
    [anon_sym_BSLASHglslink] = ACTIONS(6710),
    [anon_sym_BSLASHglstext] = ACTIONS(6710),
    [anon_sym_BSLASHGlstext] = ACTIONS(6710),
    [anon_sym_BSLASHGLStext] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6710),
    [anon_sym_BSLASHglsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsname] = ACTIONS(6710),
    [anon_sym_BSLASHGlsname] = ACTIONS(6710),
    [anon_sym_BSLASHGLSname] = ACTIONS(6710),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6710),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6710),
    [anon_sym_BSLASHacrshort] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6710),
    [anon_sym_BSLASHACRshort] = ACTIONS(6710),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrlong] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6710),
    [anon_sym_BSLASHACRlong] = ACTIONS(6710),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrfull] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6710),
    [anon_sym_BSLASHACRfull] = ACTIONS(6710),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHacs] = ACTIONS(6710),
    [anon_sym_BSLASHAcs] = ACTIONS(6710),
    [anon_sym_BSLASHacsp] = ACTIONS(6710),
    [anon_sym_BSLASHAcsp] = ACTIONS(6710),
    [anon_sym_BSLASHacl] = ACTIONS(6710),
    [anon_sym_BSLASHAcl] = ACTIONS(6710),
    [anon_sym_BSLASHaclp] = ACTIONS(6710),
    [anon_sym_BSLASHAclp] = ACTIONS(6710),
    [anon_sym_BSLASHacf] = ACTIONS(6710),
    [anon_sym_BSLASHAcf] = ACTIONS(6710),
    [anon_sym_BSLASHacfp] = ACTIONS(6710),
    [anon_sym_BSLASHAcfp] = ACTIONS(6710),
    [anon_sym_BSLASHac] = ACTIONS(6710),
    [anon_sym_BSLASHAc] = ACTIONS(6710),
    [anon_sym_BSLASHacp] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6710),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6710),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6710),
    [anon_sym_BSLASHcolor] = ACTIONS(6710),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6710),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6710),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6710),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6710),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6710),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6710),
    [anon_sym_BSLASHurl] = ACTIONS(6710),
    [anon_sym_BSLASHhref] = ACTIONS(6710),
  },
  [372] = {
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(407),
    [aux_sym__section_repeat5] = STATE(407),
    [sym_command_name] = ACTIONS(6710),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6710),
    [anon_sym_LBRACK] = ACTIONS(6712),
    [anon_sym_RBRACK] = ACTIONS(6712),
    [anon_sym_COMMA] = ACTIONS(6712),
    [anon_sym_EQ] = ACTIONS(6712),
    [anon_sym_LPAREN] = ACTIONS(6712),
    [anon_sym_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHpart] = ACTIONS(6710),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddpart] = ACTIONS(6710),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHchapter] = ACTIONS(6710),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddchap] = ACTIONS(6710),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsection] = ACTIONS(6710),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddsec] = ACTIONS(6710),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHitem] = ACTIONS(6710),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6712),
    [anon_sym_LBRACE] = ACTIONS(6712),
    [sym_word] = ACTIONS(6710),
    [sym_placeholder] = ACTIONS(6712),
    [sym_delimiter] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(6712),
    [anon_sym_SLASH] = ACTIONS(6712),
    [anon_sym_LT] = ACTIONS(6710),
    [anon_sym_GT] = ACTIONS(6710),
    [anon_sym_BANG] = ACTIONS(6710),
    [anon_sym_PIPE] = ACTIONS(6710),
    [anon_sym_COLON] = ACTIONS(6710),
    [anon_sym_SQUOTE] = ACTIONS(6710),
    [anon_sym__] = ACTIONS(6712),
    [anon_sym_CARET] = ACTIONS(6712),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6712),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6712),
    [anon_sym_DOLLAR] = ACTIONS(6710),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHleft] = ACTIONS(6710),
    [anon_sym_BSLASHbigl] = ACTIONS(6710),
    [anon_sym_BSLASHBigl] = ACTIONS(6710),
    [anon_sym_BSLASHbiggl] = ACTIONS(6710),
    [anon_sym_BSLASHBiggl] = ACTIONS(6710),
    [anon_sym_BSLASHright] = ACTIONS(6710),
    [anon_sym_BSLASHbigr] = ACTIONS(6710),
    [anon_sym_BSLASHBigr] = ACTIONS(6710),
    [anon_sym_BSLASHbiggr] = ACTIONS(6710),
    [anon_sym_BSLASHBiggr] = ACTIONS(6710),
    [anon_sym_BSLASHtext] = ACTIONS(6710),
    [anon_sym_BSLASHintertext] = ACTIONS(6710),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6710),
    [anon_sym_BSLASHbegin] = ACTIONS(6710),
    [anon_sym_BSLASHtitle] = ACTIONS(6710),
    [anon_sym_BSLASHauthor] = ACTIONS(6710),
    [anon_sym_BSLASHusepackage] = ACTIONS(6710),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6710),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6710),
    [anon_sym_BSLASHinclude] = ACTIONS(6710),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6710),
    [anon_sym_BSLASHinput] = ACTIONS(6710),
    [anon_sym_BSLASHsubfile] = ACTIONS(6710),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6710),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6710),
    [anon_sym_BSLASHbibliography] = ACTIONS(6710),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6710),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6710),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6710),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6710),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6710),
    [anon_sym_BSLASHimport] = ACTIONS(6710),
    [anon_sym_BSLASHsubimport] = ACTIONS(6710),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6710),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHcaption] = ACTIONS(6710),
    [anon_sym_BSLASHcite] = ACTIONS(6710),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCite] = ACTIONS(6710),
    [anon_sym_BSLASHnocite] = ACTIONS(6710),
    [anon_sym_BSLASHcitet] = ACTIONS(6710),
    [anon_sym_BSLASHcitep] = ACTIONS(6710),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteA] = ACTIONS(6710),
    [anon_sym_BSLASHciteR] = ACTIONS(6710),
    [anon_sym_BSLASHciteS] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6710),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteyear] = ACTIONS(6710),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitedate] = ACTIONS(6710),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteurl] = ACTIONS(6710),
    [anon_sym_BSLASHfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6710),
    [anon_sym_BSLASHcitealt] = ACTIONS(6710),
    [anon_sym_BSLASHcitealp] = ACTIONS(6710),
    [anon_sym_BSLASHcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHparencite] = ACTIONS(6710),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHParencite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHtextcite] = ACTIONS(6710),
    [anon_sym_BSLASHTextcite] = ACTIONS(6710),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHsupercite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite] = ACTIONS(6710),
    [anon_sym_BSLASHAutocite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHVolcite] = ACTIONS(6710),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHavolcite] = ACTIONS(6710),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHNotecite] = ACTIONS(6710),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHlabel] = ACTIONS(6710),
    [anon_sym_BSLASHref] = ACTIONS(6710),
    [anon_sym_BSLASHeqref] = ACTIONS(6710),
    [anon_sym_BSLASHvref] = ACTIONS(6710),
    [anon_sym_BSLASHVref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHpageref] = ACTIONS(6710),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHautopageref] = ACTIONS(6710),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcref] = ACTIONS(6710),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCref] = ACTIONS(6710),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHCpageref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnameCref] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6710),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHdef] = ACTIONS(6710),
    [anon_sym_BSLASHgdef] = ACTIONS(6710),
    [anon_sym_BSLASHedef] = ACTIONS(6710),
    [anon_sym_BSLASHxdef] = ACTIONS(6710),
    [anon_sym_BSLASHlet] = ACTIONS(6710),
    [anon_sym_BSLASHglet] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6710),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6710),
    [anon_sym_BSLASHgls] = ACTIONS(6710),
    [anon_sym_BSLASHGls] = ACTIONS(6710),
    [anon_sym_BSLASHGLS] = ACTIONS(6710),
    [anon_sym_BSLASHglspl] = ACTIONS(6710),
    [anon_sym_BSLASHGlspl] = ACTIONS(6710),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6710),
    [anon_sym_BSLASHglslink] = ACTIONS(6710),
    [anon_sym_BSLASHglstext] = ACTIONS(6710),
    [anon_sym_BSLASHGlstext] = ACTIONS(6710),
    [anon_sym_BSLASHGLStext] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6710),
    [anon_sym_BSLASHglsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsname] = ACTIONS(6710),
    [anon_sym_BSLASHGlsname] = ACTIONS(6710),
    [anon_sym_BSLASHGLSname] = ACTIONS(6710),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6710),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6710),
    [anon_sym_BSLASHacrshort] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6710),
    [anon_sym_BSLASHACRshort] = ACTIONS(6710),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrlong] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6710),
    [anon_sym_BSLASHACRlong] = ACTIONS(6710),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrfull] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6710),
    [anon_sym_BSLASHACRfull] = ACTIONS(6710),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHacs] = ACTIONS(6710),
    [anon_sym_BSLASHAcs] = ACTIONS(6710),
    [anon_sym_BSLASHacsp] = ACTIONS(6710),
    [anon_sym_BSLASHAcsp] = ACTIONS(6710),
    [anon_sym_BSLASHacl] = ACTIONS(6710),
    [anon_sym_BSLASHAcl] = ACTIONS(6710),
    [anon_sym_BSLASHaclp] = ACTIONS(6710),
    [anon_sym_BSLASHAclp] = ACTIONS(6710),
    [anon_sym_BSLASHacf] = ACTIONS(6710),
    [anon_sym_BSLASHAcf] = ACTIONS(6710),
    [anon_sym_BSLASHacfp] = ACTIONS(6710),
    [anon_sym_BSLASHAcfp] = ACTIONS(6710),
    [anon_sym_BSLASHac] = ACTIONS(6710),
    [anon_sym_BSLASHAc] = ACTIONS(6710),
    [anon_sym_BSLASHacp] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6710),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6710),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6710),
    [anon_sym_BSLASHcolor] = ACTIONS(6710),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6710),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6710),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6710),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6710),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6710),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6710),
    [anon_sym_BSLASHurl] = ACTIONS(6710),
    [anon_sym_BSLASHhref] = ACTIONS(6710),
  },
  [373] = {
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(408),
    [aux_sym__paragraph_repeat1] = STATE(408),
    [sym_command_name] = ACTIONS(6714),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6714),
    [anon_sym_LBRACK] = ACTIONS(6716),
    [anon_sym_RBRACK] = ACTIONS(6716),
    [anon_sym_COMMA] = ACTIONS(6716),
    [anon_sym_EQ] = ACTIONS(6716),
    [anon_sym_LPAREN] = ACTIONS(6716),
    [anon_sym_RPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHpart] = ACTIONS(6714),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddpart] = ACTIONS(6714),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHchapter] = ACTIONS(6714),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddchap] = ACTIONS(6714),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsection] = ACTIONS(6714),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddsec] = ACTIONS(6714),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHparagraph] = ACTIONS(203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6714),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHitem] = ACTIONS(6714),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6716),
    [anon_sym_LBRACE] = ACTIONS(6716),
    [sym_word] = ACTIONS(6714),
    [sym_placeholder] = ACTIONS(6716),
    [sym_delimiter] = ACTIONS(6716),
    [anon_sym_PLUS] = ACTIONS(6716),
    [anon_sym_DASH] = ACTIONS(6716),
    [anon_sym_STAR] = ACTIONS(6716),
    [anon_sym_SLASH] = ACTIONS(6716),
    [anon_sym_LT] = ACTIONS(6714),
    [anon_sym_GT] = ACTIONS(6714),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_PIPE] = ACTIONS(6714),
    [anon_sym_COLON] = ACTIONS(6714),
    [anon_sym_SQUOTE] = ACTIONS(6714),
    [anon_sym__] = ACTIONS(6716),
    [anon_sym_CARET] = ACTIONS(6716),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6716),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6716),
    [anon_sym_DOLLAR] = ACTIONS(6714),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHleft] = ACTIONS(6714),
    [anon_sym_BSLASHbigl] = ACTIONS(6714),
    [anon_sym_BSLASHBigl] = ACTIONS(6714),
    [anon_sym_BSLASHbiggl] = ACTIONS(6714),
    [anon_sym_BSLASHBiggl] = ACTIONS(6714),
    [anon_sym_BSLASHright] = ACTIONS(6714),
    [anon_sym_BSLASHbigr] = ACTIONS(6714),
    [anon_sym_BSLASHBigr] = ACTIONS(6714),
    [anon_sym_BSLASHbiggr] = ACTIONS(6714),
    [anon_sym_BSLASHBiggr] = ACTIONS(6714),
    [anon_sym_BSLASHtext] = ACTIONS(6714),
    [anon_sym_BSLASHintertext] = ACTIONS(6714),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6714),
    [anon_sym_BSLASHbegin] = ACTIONS(6714),
    [anon_sym_BSLASHtitle] = ACTIONS(6714),
    [anon_sym_BSLASHauthor] = ACTIONS(6714),
    [anon_sym_BSLASHusepackage] = ACTIONS(6714),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6714),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6714),
    [anon_sym_BSLASHinclude] = ACTIONS(6714),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6714),
    [anon_sym_BSLASHinput] = ACTIONS(6714),
    [anon_sym_BSLASHsubfile] = ACTIONS(6714),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6714),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6714),
    [anon_sym_BSLASHbibliography] = ACTIONS(6714),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6714),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6714),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6714),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6714),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6714),
    [anon_sym_BSLASHimport] = ACTIONS(6714),
    [anon_sym_BSLASHsubimport] = ACTIONS(6714),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6714),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHcaption] = ACTIONS(6714),
    [anon_sym_BSLASHcite] = ACTIONS(6714),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCite] = ACTIONS(6714),
    [anon_sym_BSLASHnocite] = ACTIONS(6714),
    [anon_sym_BSLASHcitet] = ACTIONS(6714),
    [anon_sym_BSLASHcitep] = ACTIONS(6714),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteA] = ACTIONS(6714),
    [anon_sym_BSLASHciteR] = ACTIONS(6714),
    [anon_sym_BSLASHciteS] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6714),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteyear] = ACTIONS(6714),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitedate] = ACTIONS(6714),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteurl] = ACTIONS(6714),
    [anon_sym_BSLASHfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6714),
    [anon_sym_BSLASHcitealt] = ACTIONS(6714),
    [anon_sym_BSLASHcitealp] = ACTIONS(6714),
    [anon_sym_BSLASHcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHparencite] = ACTIONS(6714),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHParencite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHtextcite] = ACTIONS(6714),
    [anon_sym_BSLASHTextcite] = ACTIONS(6714),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHsupercite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite] = ACTIONS(6714),
    [anon_sym_BSLASHAutocite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHVolcite] = ACTIONS(6714),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHavolcite] = ACTIONS(6714),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHNotecite] = ACTIONS(6714),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHlabel] = ACTIONS(6714),
    [anon_sym_BSLASHref] = ACTIONS(6714),
    [anon_sym_BSLASHeqref] = ACTIONS(6714),
    [anon_sym_BSLASHvref] = ACTIONS(6714),
    [anon_sym_BSLASHVref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHpageref] = ACTIONS(6714),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHautopageref] = ACTIONS(6714),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcref] = ACTIONS(6714),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCref] = ACTIONS(6714),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHCpageref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnameCref] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6714),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHdef] = ACTIONS(6714),
    [anon_sym_BSLASHgdef] = ACTIONS(6714),
    [anon_sym_BSLASHedef] = ACTIONS(6714),
    [anon_sym_BSLASHxdef] = ACTIONS(6714),
    [anon_sym_BSLASHlet] = ACTIONS(6714),
    [anon_sym_BSLASHglet] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6714),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6714),
    [anon_sym_BSLASHgls] = ACTIONS(6714),
    [anon_sym_BSLASHGls] = ACTIONS(6714),
    [anon_sym_BSLASHGLS] = ACTIONS(6714),
    [anon_sym_BSLASHglspl] = ACTIONS(6714),
    [anon_sym_BSLASHGlspl] = ACTIONS(6714),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6714),
    [anon_sym_BSLASHglslink] = ACTIONS(6714),
    [anon_sym_BSLASHglstext] = ACTIONS(6714),
    [anon_sym_BSLASHGlstext] = ACTIONS(6714),
    [anon_sym_BSLASHGLStext] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6714),
    [anon_sym_BSLASHglsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsname] = ACTIONS(6714),
    [anon_sym_BSLASHGlsname] = ACTIONS(6714),
    [anon_sym_BSLASHGLSname] = ACTIONS(6714),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6714),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6714),
    [anon_sym_BSLASHacrshort] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6714),
    [anon_sym_BSLASHACRshort] = ACTIONS(6714),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrlong] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6714),
    [anon_sym_BSLASHACRlong] = ACTIONS(6714),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrfull] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6714),
    [anon_sym_BSLASHACRfull] = ACTIONS(6714),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHacs] = ACTIONS(6714),
    [anon_sym_BSLASHAcs] = ACTIONS(6714),
    [anon_sym_BSLASHacsp] = ACTIONS(6714),
    [anon_sym_BSLASHAcsp] = ACTIONS(6714),
    [anon_sym_BSLASHacl] = ACTIONS(6714),
    [anon_sym_BSLASHAcl] = ACTIONS(6714),
    [anon_sym_BSLASHaclp] = ACTIONS(6714),
    [anon_sym_BSLASHAclp] = ACTIONS(6714),
    [anon_sym_BSLASHacf] = ACTIONS(6714),
    [anon_sym_BSLASHAcf] = ACTIONS(6714),
    [anon_sym_BSLASHacfp] = ACTIONS(6714),
    [anon_sym_BSLASHAcfp] = ACTIONS(6714),
    [anon_sym_BSLASHac] = ACTIONS(6714),
    [anon_sym_BSLASHAc] = ACTIONS(6714),
    [anon_sym_BSLASHacp] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6714),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6714),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6714),
    [anon_sym_BSLASHcolor] = ACTIONS(6714),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6714),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6714),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6714),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6714),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6714),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6714),
    [anon_sym_BSLASHurl] = ACTIONS(6714),
    [anon_sym_BSLASHhref] = ACTIONS(6714),
  },
  [374] = {
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(409),
    [aux_sym__paragraph_repeat2] = STATE(409),
    [sym_command_name] = ACTIONS(6714),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6714),
    [anon_sym_LBRACK] = ACTIONS(6716),
    [anon_sym_RBRACK] = ACTIONS(6716),
    [anon_sym_COMMA] = ACTIONS(6716),
    [anon_sym_EQ] = ACTIONS(6716),
    [anon_sym_LPAREN] = ACTIONS(6716),
    [anon_sym_RPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHpart] = ACTIONS(6714),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddpart] = ACTIONS(6714),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHchapter] = ACTIONS(6714),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddchap] = ACTIONS(6714),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsection] = ACTIONS(6714),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddsec] = ACTIONS(6714),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHparagraph] = ACTIONS(6714),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(6714),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6716),
    [anon_sym_LBRACE] = ACTIONS(6716),
    [sym_word] = ACTIONS(6714),
    [sym_placeholder] = ACTIONS(6716),
    [sym_delimiter] = ACTIONS(6716),
    [anon_sym_PLUS] = ACTIONS(6716),
    [anon_sym_DASH] = ACTIONS(6716),
    [anon_sym_STAR] = ACTIONS(6716),
    [anon_sym_SLASH] = ACTIONS(6716),
    [anon_sym_LT] = ACTIONS(6714),
    [anon_sym_GT] = ACTIONS(6714),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_PIPE] = ACTIONS(6714),
    [anon_sym_COLON] = ACTIONS(6714),
    [anon_sym_SQUOTE] = ACTIONS(6714),
    [anon_sym__] = ACTIONS(6716),
    [anon_sym_CARET] = ACTIONS(6716),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6716),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6716),
    [anon_sym_DOLLAR] = ACTIONS(6714),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHleft] = ACTIONS(6714),
    [anon_sym_BSLASHbigl] = ACTIONS(6714),
    [anon_sym_BSLASHBigl] = ACTIONS(6714),
    [anon_sym_BSLASHbiggl] = ACTIONS(6714),
    [anon_sym_BSLASHBiggl] = ACTIONS(6714),
    [anon_sym_BSLASHright] = ACTIONS(6714),
    [anon_sym_BSLASHbigr] = ACTIONS(6714),
    [anon_sym_BSLASHBigr] = ACTIONS(6714),
    [anon_sym_BSLASHbiggr] = ACTIONS(6714),
    [anon_sym_BSLASHBiggr] = ACTIONS(6714),
    [anon_sym_BSLASHtext] = ACTIONS(6714),
    [anon_sym_BSLASHintertext] = ACTIONS(6714),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6714),
    [anon_sym_BSLASHbegin] = ACTIONS(6714),
    [anon_sym_BSLASHtitle] = ACTIONS(6714),
    [anon_sym_BSLASHauthor] = ACTIONS(6714),
    [anon_sym_BSLASHusepackage] = ACTIONS(6714),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6714),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6714),
    [anon_sym_BSLASHinclude] = ACTIONS(6714),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6714),
    [anon_sym_BSLASHinput] = ACTIONS(6714),
    [anon_sym_BSLASHsubfile] = ACTIONS(6714),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6714),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6714),
    [anon_sym_BSLASHbibliography] = ACTIONS(6714),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6714),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6714),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6714),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6714),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6714),
    [anon_sym_BSLASHimport] = ACTIONS(6714),
    [anon_sym_BSLASHsubimport] = ACTIONS(6714),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6714),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHcaption] = ACTIONS(6714),
    [anon_sym_BSLASHcite] = ACTIONS(6714),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCite] = ACTIONS(6714),
    [anon_sym_BSLASHnocite] = ACTIONS(6714),
    [anon_sym_BSLASHcitet] = ACTIONS(6714),
    [anon_sym_BSLASHcitep] = ACTIONS(6714),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteA] = ACTIONS(6714),
    [anon_sym_BSLASHciteR] = ACTIONS(6714),
    [anon_sym_BSLASHciteS] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6714),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteyear] = ACTIONS(6714),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitedate] = ACTIONS(6714),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteurl] = ACTIONS(6714),
    [anon_sym_BSLASHfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6714),
    [anon_sym_BSLASHcitealt] = ACTIONS(6714),
    [anon_sym_BSLASHcitealp] = ACTIONS(6714),
    [anon_sym_BSLASHcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHparencite] = ACTIONS(6714),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHParencite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHtextcite] = ACTIONS(6714),
    [anon_sym_BSLASHTextcite] = ACTIONS(6714),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHsupercite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite] = ACTIONS(6714),
    [anon_sym_BSLASHAutocite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHVolcite] = ACTIONS(6714),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHavolcite] = ACTIONS(6714),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHNotecite] = ACTIONS(6714),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHlabel] = ACTIONS(6714),
    [anon_sym_BSLASHref] = ACTIONS(6714),
    [anon_sym_BSLASHeqref] = ACTIONS(6714),
    [anon_sym_BSLASHvref] = ACTIONS(6714),
    [anon_sym_BSLASHVref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHpageref] = ACTIONS(6714),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHautopageref] = ACTIONS(6714),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcref] = ACTIONS(6714),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCref] = ACTIONS(6714),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHCpageref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnameCref] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6714),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHdef] = ACTIONS(6714),
    [anon_sym_BSLASHgdef] = ACTIONS(6714),
    [anon_sym_BSLASHedef] = ACTIONS(6714),
    [anon_sym_BSLASHxdef] = ACTIONS(6714),
    [anon_sym_BSLASHlet] = ACTIONS(6714),
    [anon_sym_BSLASHglet] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6714),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6714),
    [anon_sym_BSLASHgls] = ACTIONS(6714),
    [anon_sym_BSLASHGls] = ACTIONS(6714),
    [anon_sym_BSLASHGLS] = ACTIONS(6714),
    [anon_sym_BSLASHglspl] = ACTIONS(6714),
    [anon_sym_BSLASHGlspl] = ACTIONS(6714),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6714),
    [anon_sym_BSLASHglslink] = ACTIONS(6714),
    [anon_sym_BSLASHglstext] = ACTIONS(6714),
    [anon_sym_BSLASHGlstext] = ACTIONS(6714),
    [anon_sym_BSLASHGLStext] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6714),
    [anon_sym_BSLASHglsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsname] = ACTIONS(6714),
    [anon_sym_BSLASHGlsname] = ACTIONS(6714),
    [anon_sym_BSLASHGLSname] = ACTIONS(6714),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6714),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6714),
    [anon_sym_BSLASHacrshort] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6714),
    [anon_sym_BSLASHACRshort] = ACTIONS(6714),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrlong] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6714),
    [anon_sym_BSLASHACRlong] = ACTIONS(6714),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrfull] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6714),
    [anon_sym_BSLASHACRfull] = ACTIONS(6714),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHacs] = ACTIONS(6714),
    [anon_sym_BSLASHAcs] = ACTIONS(6714),
    [anon_sym_BSLASHacsp] = ACTIONS(6714),
    [anon_sym_BSLASHAcsp] = ACTIONS(6714),
    [anon_sym_BSLASHacl] = ACTIONS(6714),
    [anon_sym_BSLASHAcl] = ACTIONS(6714),
    [anon_sym_BSLASHaclp] = ACTIONS(6714),
    [anon_sym_BSLASHAclp] = ACTIONS(6714),
    [anon_sym_BSLASHacf] = ACTIONS(6714),
    [anon_sym_BSLASHAcf] = ACTIONS(6714),
    [anon_sym_BSLASHacfp] = ACTIONS(6714),
    [anon_sym_BSLASHAcfp] = ACTIONS(6714),
    [anon_sym_BSLASHac] = ACTIONS(6714),
    [anon_sym_BSLASHAc] = ACTIONS(6714),
    [anon_sym_BSLASHacp] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6714),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6714),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6714),
    [anon_sym_BSLASHcolor] = ACTIONS(6714),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6714),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6714),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6714),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6714),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6714),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6714),
    [anon_sym_BSLASHurl] = ACTIONS(6714),
    [anon_sym_BSLASHhref] = ACTIONS(6714),
  },
  [375] = {
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(410),
    [aux_sym__paragraph_repeat3] = STATE(410),
    [sym_command_name] = ACTIONS(6714),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6714),
    [anon_sym_LBRACK] = ACTIONS(6716),
    [anon_sym_RBRACK] = ACTIONS(6716),
    [anon_sym_COMMA] = ACTIONS(6716),
    [anon_sym_EQ] = ACTIONS(6716),
    [anon_sym_LPAREN] = ACTIONS(6716),
    [anon_sym_RPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHpart] = ACTIONS(6714),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddpart] = ACTIONS(6714),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHchapter] = ACTIONS(6714),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddchap] = ACTIONS(6714),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsection] = ACTIONS(6714),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddsec] = ACTIONS(6714),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHparagraph] = ACTIONS(6714),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6714),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(6716),
    [sym_word] = ACTIONS(6714),
    [sym_placeholder] = ACTIONS(6716),
    [sym_delimiter] = ACTIONS(6716),
    [anon_sym_PLUS] = ACTIONS(6716),
    [anon_sym_DASH] = ACTIONS(6716),
    [anon_sym_STAR] = ACTIONS(6716),
    [anon_sym_SLASH] = ACTIONS(6716),
    [anon_sym_LT] = ACTIONS(6714),
    [anon_sym_GT] = ACTIONS(6714),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_PIPE] = ACTIONS(6714),
    [anon_sym_COLON] = ACTIONS(6714),
    [anon_sym_SQUOTE] = ACTIONS(6714),
    [anon_sym__] = ACTIONS(6716),
    [anon_sym_CARET] = ACTIONS(6716),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6716),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6716),
    [anon_sym_DOLLAR] = ACTIONS(6714),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHleft] = ACTIONS(6714),
    [anon_sym_BSLASHbigl] = ACTIONS(6714),
    [anon_sym_BSLASHBigl] = ACTIONS(6714),
    [anon_sym_BSLASHbiggl] = ACTIONS(6714),
    [anon_sym_BSLASHBiggl] = ACTIONS(6714),
    [anon_sym_BSLASHright] = ACTIONS(6714),
    [anon_sym_BSLASHbigr] = ACTIONS(6714),
    [anon_sym_BSLASHBigr] = ACTIONS(6714),
    [anon_sym_BSLASHbiggr] = ACTIONS(6714),
    [anon_sym_BSLASHBiggr] = ACTIONS(6714),
    [anon_sym_BSLASHtext] = ACTIONS(6714),
    [anon_sym_BSLASHintertext] = ACTIONS(6714),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6714),
    [anon_sym_BSLASHbegin] = ACTIONS(6714),
    [anon_sym_BSLASHtitle] = ACTIONS(6714),
    [anon_sym_BSLASHauthor] = ACTIONS(6714),
    [anon_sym_BSLASHusepackage] = ACTIONS(6714),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6714),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6714),
    [anon_sym_BSLASHinclude] = ACTIONS(6714),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6714),
    [anon_sym_BSLASHinput] = ACTIONS(6714),
    [anon_sym_BSLASHsubfile] = ACTIONS(6714),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6714),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6714),
    [anon_sym_BSLASHbibliography] = ACTIONS(6714),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6714),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6714),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6714),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6714),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6714),
    [anon_sym_BSLASHimport] = ACTIONS(6714),
    [anon_sym_BSLASHsubimport] = ACTIONS(6714),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6714),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHcaption] = ACTIONS(6714),
    [anon_sym_BSLASHcite] = ACTIONS(6714),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCite] = ACTIONS(6714),
    [anon_sym_BSLASHnocite] = ACTIONS(6714),
    [anon_sym_BSLASHcitet] = ACTIONS(6714),
    [anon_sym_BSLASHcitep] = ACTIONS(6714),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteA] = ACTIONS(6714),
    [anon_sym_BSLASHciteR] = ACTIONS(6714),
    [anon_sym_BSLASHciteS] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6714),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteyear] = ACTIONS(6714),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitedate] = ACTIONS(6714),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteurl] = ACTIONS(6714),
    [anon_sym_BSLASHfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6714),
    [anon_sym_BSLASHcitealt] = ACTIONS(6714),
    [anon_sym_BSLASHcitealp] = ACTIONS(6714),
    [anon_sym_BSLASHcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHparencite] = ACTIONS(6714),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHParencite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHtextcite] = ACTIONS(6714),
    [anon_sym_BSLASHTextcite] = ACTIONS(6714),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHsupercite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite] = ACTIONS(6714),
    [anon_sym_BSLASHAutocite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHVolcite] = ACTIONS(6714),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHavolcite] = ACTIONS(6714),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHNotecite] = ACTIONS(6714),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHlabel] = ACTIONS(6714),
    [anon_sym_BSLASHref] = ACTIONS(6714),
    [anon_sym_BSLASHeqref] = ACTIONS(6714),
    [anon_sym_BSLASHvref] = ACTIONS(6714),
    [anon_sym_BSLASHVref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHpageref] = ACTIONS(6714),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHautopageref] = ACTIONS(6714),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcref] = ACTIONS(6714),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCref] = ACTIONS(6714),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHCpageref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnameCref] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6714),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHdef] = ACTIONS(6714),
    [anon_sym_BSLASHgdef] = ACTIONS(6714),
    [anon_sym_BSLASHedef] = ACTIONS(6714),
    [anon_sym_BSLASHxdef] = ACTIONS(6714),
    [anon_sym_BSLASHlet] = ACTIONS(6714),
    [anon_sym_BSLASHglet] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6714),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6714),
    [anon_sym_BSLASHgls] = ACTIONS(6714),
    [anon_sym_BSLASHGls] = ACTIONS(6714),
    [anon_sym_BSLASHGLS] = ACTIONS(6714),
    [anon_sym_BSLASHglspl] = ACTIONS(6714),
    [anon_sym_BSLASHGlspl] = ACTIONS(6714),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6714),
    [anon_sym_BSLASHglslink] = ACTIONS(6714),
    [anon_sym_BSLASHglstext] = ACTIONS(6714),
    [anon_sym_BSLASHGlstext] = ACTIONS(6714),
    [anon_sym_BSLASHGLStext] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6714),
    [anon_sym_BSLASHglsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsname] = ACTIONS(6714),
    [anon_sym_BSLASHGlsname] = ACTIONS(6714),
    [anon_sym_BSLASHGLSname] = ACTIONS(6714),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6714),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6714),
    [anon_sym_BSLASHacrshort] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6714),
    [anon_sym_BSLASHACRshort] = ACTIONS(6714),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrlong] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6714),
    [anon_sym_BSLASHACRlong] = ACTIONS(6714),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrfull] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6714),
    [anon_sym_BSLASHACRfull] = ACTIONS(6714),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHacs] = ACTIONS(6714),
    [anon_sym_BSLASHAcs] = ACTIONS(6714),
    [anon_sym_BSLASHacsp] = ACTIONS(6714),
    [anon_sym_BSLASHAcsp] = ACTIONS(6714),
    [anon_sym_BSLASHacl] = ACTIONS(6714),
    [anon_sym_BSLASHAcl] = ACTIONS(6714),
    [anon_sym_BSLASHaclp] = ACTIONS(6714),
    [anon_sym_BSLASHAclp] = ACTIONS(6714),
    [anon_sym_BSLASHacf] = ACTIONS(6714),
    [anon_sym_BSLASHAcf] = ACTIONS(6714),
    [anon_sym_BSLASHacfp] = ACTIONS(6714),
    [anon_sym_BSLASHAcfp] = ACTIONS(6714),
    [anon_sym_BSLASHac] = ACTIONS(6714),
    [anon_sym_BSLASHAc] = ACTIONS(6714),
    [anon_sym_BSLASHacp] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6714),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6714),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6714),
    [anon_sym_BSLASHcolor] = ACTIONS(6714),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6714),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6714),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6714),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6714),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6714),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6714),
    [anon_sym_BSLASHurl] = ACTIONS(6714),
    [anon_sym_BSLASHhref] = ACTIONS(6714),
  },
  [376] = {
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(581),
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(582),
    [aux_sym__section_repeat4] = STATE(581),
    [aux_sym__section_repeat5] = STATE(582),
    [ts_builtin_sym_end] = ACTIONS(6537),
    [sym_command_name] = ACTIONS(6535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6535),
    [anon_sym_LBRACK] = ACTIONS(6537),
    [anon_sym_RBRACK] = ACTIONS(6537),
    [anon_sym_COMMA] = ACTIONS(6537),
    [anon_sym_EQ] = ACTIONS(6537),
    [anon_sym_LPAREN] = ACTIONS(6537),
    [anon_sym_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHpart] = ACTIONS(6535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddpart] = ACTIONS(6535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHchapter] = ACTIONS(6535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddchap] = ACTIONS(6535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsection] = ACTIONS(6535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddsec] = ACTIONS(6535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHitem] = ACTIONS(6535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6537),
    [anon_sym_LBRACE] = ACTIONS(6537),
    [anon_sym_RBRACE] = ACTIONS(6537),
    [sym_word] = ACTIONS(6535),
    [sym_placeholder] = ACTIONS(6537),
    [sym_delimiter] = ACTIONS(6537),
    [anon_sym_PLUS] = ACTIONS(6537),
    [anon_sym_DASH] = ACTIONS(6537),
    [anon_sym_STAR] = ACTIONS(6537),
    [anon_sym_SLASH] = ACTIONS(6537),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_BANG] = ACTIONS(6535),
    [anon_sym_PIPE] = ACTIONS(6535),
    [anon_sym_COLON] = ACTIONS(6535),
    [anon_sym_SQUOTE] = ACTIONS(6535),
    [anon_sym__] = ACTIONS(6537),
    [anon_sym_CARET] = ACTIONS(6537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6537),
    [anon_sym_DOLLAR] = ACTIONS(6535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHleft] = ACTIONS(6535),
    [anon_sym_BSLASHbigl] = ACTIONS(6535),
    [anon_sym_BSLASHBigl] = ACTIONS(6535),
    [anon_sym_BSLASHbiggl] = ACTIONS(6535),
    [anon_sym_BSLASHBiggl] = ACTIONS(6535),
    [anon_sym_BSLASHtext] = ACTIONS(6535),
    [anon_sym_BSLASHintertext] = ACTIONS(6535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6535),
    [anon_sym_BSLASHbegin] = ACTIONS(6535),
    [anon_sym_BSLASHtitle] = ACTIONS(6535),
    [anon_sym_BSLASHauthor] = ACTIONS(6535),
    [anon_sym_BSLASHusepackage] = ACTIONS(6535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6535),
    [anon_sym_BSLASHinclude] = ACTIONS(6535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6535),
    [anon_sym_BSLASHinput] = ACTIONS(6535),
    [anon_sym_BSLASHsubfile] = ACTIONS(6535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6535),
    [anon_sym_BSLASHbibliography] = ACTIONS(6535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6535),
    [anon_sym_BSLASHimport] = ACTIONS(6535),
    [anon_sym_BSLASHsubimport] = ACTIONS(6535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHcaption] = ACTIONS(6535),
    [anon_sym_BSLASHcite] = ACTIONS(6535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCite] = ACTIONS(6535),
    [anon_sym_BSLASHnocite] = ACTIONS(6535),
    [anon_sym_BSLASHcitet] = ACTIONS(6535),
    [anon_sym_BSLASHcitep] = ACTIONS(6535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteA] = ACTIONS(6535),
    [anon_sym_BSLASHciteR] = ACTIONS(6535),
    [anon_sym_BSLASHciteS] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteyear] = ACTIONS(6535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitedate] = ACTIONS(6535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteurl] = ACTIONS(6535),
    [anon_sym_BSLASHfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6535),
    [anon_sym_BSLASHcitealt] = ACTIONS(6535),
    [anon_sym_BSLASHcitealp] = ACTIONS(6535),
    [anon_sym_BSLASHcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHparencite] = ACTIONS(6535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHParencite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHtextcite] = ACTIONS(6535),
    [anon_sym_BSLASHTextcite] = ACTIONS(6535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHsupercite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite] = ACTIONS(6535),
    [anon_sym_BSLASHAutocite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHVolcite] = ACTIONS(6535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHavolcite] = ACTIONS(6535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHNotecite] = ACTIONS(6535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHlabel] = ACTIONS(6535),
    [anon_sym_BSLASHref] = ACTIONS(6535),
    [anon_sym_BSLASHeqref] = ACTIONS(6535),
    [anon_sym_BSLASHvref] = ACTIONS(6535),
    [anon_sym_BSLASHVref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHpageref] = ACTIONS(6535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHautopageref] = ACTIONS(6535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcref] = ACTIONS(6535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCref] = ACTIONS(6535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHCpageref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnameCref] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHdef] = ACTIONS(6535),
    [anon_sym_BSLASHgdef] = ACTIONS(6535),
    [anon_sym_BSLASHedef] = ACTIONS(6535),
    [anon_sym_BSLASHxdef] = ACTIONS(6535),
    [anon_sym_BSLASHlet] = ACTIONS(6535),
    [anon_sym_BSLASHglet] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6535),
    [anon_sym_BSLASHgls] = ACTIONS(6535),
    [anon_sym_BSLASHGls] = ACTIONS(6535),
    [anon_sym_BSLASHGLS] = ACTIONS(6535),
    [anon_sym_BSLASHglspl] = ACTIONS(6535),
    [anon_sym_BSLASHGlspl] = ACTIONS(6535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6535),
    [anon_sym_BSLASHglslink] = ACTIONS(6535),
    [anon_sym_BSLASHglstext] = ACTIONS(6535),
    [anon_sym_BSLASHGlstext] = ACTIONS(6535),
    [anon_sym_BSLASHGLStext] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6535),
    [anon_sym_BSLASHglsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsname] = ACTIONS(6535),
    [anon_sym_BSLASHGlsname] = ACTIONS(6535),
    [anon_sym_BSLASHGLSname] = ACTIONS(6535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6535),
    [anon_sym_BSLASHacrshort] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6535),
    [anon_sym_BSLASHACRshort] = ACTIONS(6535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrlong] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6535),
    [anon_sym_BSLASHACRlong] = ACTIONS(6535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrfull] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6535),
    [anon_sym_BSLASHACRfull] = ACTIONS(6535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHacs] = ACTIONS(6535),
    [anon_sym_BSLASHAcs] = ACTIONS(6535),
    [anon_sym_BSLASHacsp] = ACTIONS(6535),
    [anon_sym_BSLASHAcsp] = ACTIONS(6535),
    [anon_sym_BSLASHacl] = ACTIONS(6535),
    [anon_sym_BSLASHAcl] = ACTIONS(6535),
    [anon_sym_BSLASHaclp] = ACTIONS(6535),
    [anon_sym_BSLASHAclp] = ACTIONS(6535),
    [anon_sym_BSLASHacf] = ACTIONS(6535),
    [anon_sym_BSLASHAcf] = ACTIONS(6535),
    [anon_sym_BSLASHacfp] = ACTIONS(6535),
    [anon_sym_BSLASHAcfp] = ACTIONS(6535),
    [anon_sym_BSLASHac] = ACTIONS(6535),
    [anon_sym_BSLASHAc] = ACTIONS(6535),
    [anon_sym_BSLASHacp] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6535),
    [anon_sym_BSLASHcolor] = ACTIONS(6535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6535),
    [anon_sym_BSLASHurl] = ACTIONS(6535),
    [anon_sym_BSLASHhref] = ACTIONS(6535),
  },
  [377] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(2713),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym_key_value_pair] = STATE(2709),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [anon_sym_RBRACE] = ACTIONS(6718),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [378] = {
    [sym__chapter_declaration] = STATE(158),
    [sym_chapter] = STATE(404),
    [aux_sym__section_repeat2] = STATE(404),
    [sym_command_name] = ACTIONS(2244),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_RBRACK] = ACTIONS(2246),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_EQ] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(189),
    [anon_sym_BSLASHaddchap] = ACTIONS(187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(189),
    [anon_sym_BSLASHsection] = ACTIONS(2244),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddsec] = ACTIONS(2244),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHitem] = ACTIONS(2244),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [sym_word] = ACTIONS(2244),
    [sym_placeholder] = ACTIONS(2246),
    [sym_delimiter] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_COLON] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym__] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2246),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2246),
    [anon_sym_DOLLAR] = ACTIONS(2244),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHleft] = ACTIONS(2244),
    [anon_sym_BSLASHbigl] = ACTIONS(2244),
    [anon_sym_BSLASHBigl] = ACTIONS(2244),
    [anon_sym_BSLASHbiggl] = ACTIONS(2244),
    [anon_sym_BSLASHBiggl] = ACTIONS(2244),
    [anon_sym_BSLASHright] = ACTIONS(2244),
    [anon_sym_BSLASHbigr] = ACTIONS(2244),
    [anon_sym_BSLASHBigr] = ACTIONS(2244),
    [anon_sym_BSLASHbiggr] = ACTIONS(2244),
    [anon_sym_BSLASHBiggr] = ACTIONS(2244),
    [anon_sym_BSLASHtext] = ACTIONS(2244),
    [anon_sym_BSLASHintertext] = ACTIONS(2244),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2244),
    [anon_sym_BSLASHbegin] = ACTIONS(2244),
    [anon_sym_BSLASHtitle] = ACTIONS(2244),
    [anon_sym_BSLASHauthor] = ACTIONS(2244),
    [anon_sym_BSLASHusepackage] = ACTIONS(2244),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2244),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2244),
    [anon_sym_BSLASHinclude] = ACTIONS(2244),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2244),
    [anon_sym_BSLASHinput] = ACTIONS(2244),
    [anon_sym_BSLASHsubfile] = ACTIONS(2244),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2244),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2244),
    [anon_sym_BSLASHbibliography] = ACTIONS(2244),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2244),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2244),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2244),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2244),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2244),
    [anon_sym_BSLASHimport] = ACTIONS(2244),
    [anon_sym_BSLASHsubimport] = ACTIONS(2244),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2244),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHcaption] = ACTIONS(2244),
    [anon_sym_BSLASHcite] = ACTIONS(2244),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCite] = ACTIONS(2244),
    [anon_sym_BSLASHnocite] = ACTIONS(2244),
    [anon_sym_BSLASHcitet] = ACTIONS(2244),
    [anon_sym_BSLASHcitep] = ACTIONS(2244),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteA] = ACTIONS(2244),
    [anon_sym_BSLASHciteR] = ACTIONS(2244),
    [anon_sym_BSLASHciteS] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2244),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteyear] = ACTIONS(2244),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitedate] = ACTIONS(2244),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteurl] = ACTIONS(2244),
    [anon_sym_BSLASHfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2244),
    [anon_sym_BSLASHcitealt] = ACTIONS(2244),
    [anon_sym_BSLASHcitealp] = ACTIONS(2244),
    [anon_sym_BSLASHcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHparencite] = ACTIONS(2244),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHParencite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHtextcite] = ACTIONS(2244),
    [anon_sym_BSLASHTextcite] = ACTIONS(2244),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHsupercite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite] = ACTIONS(2244),
    [anon_sym_BSLASHAutocite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHVolcite] = ACTIONS(2244),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHavolcite] = ACTIONS(2244),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHNotecite] = ACTIONS(2244),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHlabel] = ACTIONS(2244),
    [anon_sym_BSLASHref] = ACTIONS(2244),
    [anon_sym_BSLASHeqref] = ACTIONS(2244),
    [anon_sym_BSLASHvref] = ACTIONS(2244),
    [anon_sym_BSLASHVref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHpageref] = ACTIONS(2244),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHautopageref] = ACTIONS(2244),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcref] = ACTIONS(2244),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCref] = ACTIONS(2244),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHCpageref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnameCref] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2244),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHdef] = ACTIONS(2244),
    [anon_sym_BSLASHgdef] = ACTIONS(2244),
    [anon_sym_BSLASHedef] = ACTIONS(2244),
    [anon_sym_BSLASHxdef] = ACTIONS(2244),
    [anon_sym_BSLASHlet] = ACTIONS(2244),
    [anon_sym_BSLASHglet] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2244),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2244),
    [anon_sym_BSLASHgls] = ACTIONS(2244),
    [anon_sym_BSLASHGls] = ACTIONS(2244),
    [anon_sym_BSLASHGLS] = ACTIONS(2244),
    [anon_sym_BSLASHglspl] = ACTIONS(2244),
    [anon_sym_BSLASHGlspl] = ACTIONS(2244),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2244),
    [anon_sym_BSLASHglslink] = ACTIONS(2244),
    [anon_sym_BSLASHglstext] = ACTIONS(2244),
    [anon_sym_BSLASHGlstext] = ACTIONS(2244),
    [anon_sym_BSLASHGLStext] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2244),
    [anon_sym_BSLASHglsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsname] = ACTIONS(2244),
    [anon_sym_BSLASHGlsname] = ACTIONS(2244),
    [anon_sym_BSLASHGLSname] = ACTIONS(2244),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2244),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2244),
    [anon_sym_BSLASHacrshort] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2244),
    [anon_sym_BSLASHACRshort] = ACTIONS(2244),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrlong] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2244),
    [anon_sym_BSLASHACRlong] = ACTIONS(2244),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrfull] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2244),
    [anon_sym_BSLASHACRfull] = ACTIONS(2244),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHacs] = ACTIONS(2244),
    [anon_sym_BSLASHAcs] = ACTIONS(2244),
    [anon_sym_BSLASHacsp] = ACTIONS(2244),
    [anon_sym_BSLASHAcsp] = ACTIONS(2244),
    [anon_sym_BSLASHacl] = ACTIONS(2244),
    [anon_sym_BSLASHAcl] = ACTIONS(2244),
    [anon_sym_BSLASHaclp] = ACTIONS(2244),
    [anon_sym_BSLASHAclp] = ACTIONS(2244),
    [anon_sym_BSLASHacf] = ACTIONS(2244),
    [anon_sym_BSLASHAcf] = ACTIONS(2244),
    [anon_sym_BSLASHacfp] = ACTIONS(2244),
    [anon_sym_BSLASHAcfp] = ACTIONS(2244),
    [anon_sym_BSLASHac] = ACTIONS(2244),
    [anon_sym_BSLASHAc] = ACTIONS(2244),
    [anon_sym_BSLASHacp] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2244),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2244),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2244),
    [anon_sym_BSLASHcolor] = ACTIONS(2244),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2244),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2244),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2244),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2244),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2244),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2244),
    [anon_sym_BSLASHurl] = ACTIONS(2244),
    [anon_sym_BSLASHhref] = ACTIONS(2244),
  },
  [379] = {
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(405),
    [aux_sym__section_repeat3] = STATE(405),
    [sym_command_name] = ACTIONS(2244),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_RBRACK] = ACTIONS(2246),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_EQ] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(2244),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddchap] = ACTIONS(2244),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHitem] = ACTIONS(2244),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [sym_word] = ACTIONS(2244),
    [sym_placeholder] = ACTIONS(2246),
    [sym_delimiter] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_COLON] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym__] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2246),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2246),
    [anon_sym_DOLLAR] = ACTIONS(2244),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHleft] = ACTIONS(2244),
    [anon_sym_BSLASHbigl] = ACTIONS(2244),
    [anon_sym_BSLASHBigl] = ACTIONS(2244),
    [anon_sym_BSLASHbiggl] = ACTIONS(2244),
    [anon_sym_BSLASHBiggl] = ACTIONS(2244),
    [anon_sym_BSLASHright] = ACTIONS(2244),
    [anon_sym_BSLASHbigr] = ACTIONS(2244),
    [anon_sym_BSLASHBigr] = ACTIONS(2244),
    [anon_sym_BSLASHbiggr] = ACTIONS(2244),
    [anon_sym_BSLASHBiggr] = ACTIONS(2244),
    [anon_sym_BSLASHtext] = ACTIONS(2244),
    [anon_sym_BSLASHintertext] = ACTIONS(2244),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2244),
    [anon_sym_BSLASHbegin] = ACTIONS(2244),
    [anon_sym_BSLASHtitle] = ACTIONS(2244),
    [anon_sym_BSLASHauthor] = ACTIONS(2244),
    [anon_sym_BSLASHusepackage] = ACTIONS(2244),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2244),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2244),
    [anon_sym_BSLASHinclude] = ACTIONS(2244),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2244),
    [anon_sym_BSLASHinput] = ACTIONS(2244),
    [anon_sym_BSLASHsubfile] = ACTIONS(2244),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2244),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2244),
    [anon_sym_BSLASHbibliography] = ACTIONS(2244),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2244),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2244),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2244),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2244),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2244),
    [anon_sym_BSLASHimport] = ACTIONS(2244),
    [anon_sym_BSLASHsubimport] = ACTIONS(2244),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2244),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHcaption] = ACTIONS(2244),
    [anon_sym_BSLASHcite] = ACTIONS(2244),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCite] = ACTIONS(2244),
    [anon_sym_BSLASHnocite] = ACTIONS(2244),
    [anon_sym_BSLASHcitet] = ACTIONS(2244),
    [anon_sym_BSLASHcitep] = ACTIONS(2244),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteA] = ACTIONS(2244),
    [anon_sym_BSLASHciteR] = ACTIONS(2244),
    [anon_sym_BSLASHciteS] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2244),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteyear] = ACTIONS(2244),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitedate] = ACTIONS(2244),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteurl] = ACTIONS(2244),
    [anon_sym_BSLASHfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2244),
    [anon_sym_BSLASHcitealt] = ACTIONS(2244),
    [anon_sym_BSLASHcitealp] = ACTIONS(2244),
    [anon_sym_BSLASHcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHparencite] = ACTIONS(2244),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHParencite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHtextcite] = ACTIONS(2244),
    [anon_sym_BSLASHTextcite] = ACTIONS(2244),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHsupercite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite] = ACTIONS(2244),
    [anon_sym_BSLASHAutocite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHVolcite] = ACTIONS(2244),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHavolcite] = ACTIONS(2244),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHNotecite] = ACTIONS(2244),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHlabel] = ACTIONS(2244),
    [anon_sym_BSLASHref] = ACTIONS(2244),
    [anon_sym_BSLASHeqref] = ACTIONS(2244),
    [anon_sym_BSLASHvref] = ACTIONS(2244),
    [anon_sym_BSLASHVref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHpageref] = ACTIONS(2244),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHautopageref] = ACTIONS(2244),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcref] = ACTIONS(2244),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCref] = ACTIONS(2244),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHCpageref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnameCref] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2244),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHdef] = ACTIONS(2244),
    [anon_sym_BSLASHgdef] = ACTIONS(2244),
    [anon_sym_BSLASHedef] = ACTIONS(2244),
    [anon_sym_BSLASHxdef] = ACTIONS(2244),
    [anon_sym_BSLASHlet] = ACTIONS(2244),
    [anon_sym_BSLASHglet] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2244),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2244),
    [anon_sym_BSLASHgls] = ACTIONS(2244),
    [anon_sym_BSLASHGls] = ACTIONS(2244),
    [anon_sym_BSLASHGLS] = ACTIONS(2244),
    [anon_sym_BSLASHglspl] = ACTIONS(2244),
    [anon_sym_BSLASHGlspl] = ACTIONS(2244),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2244),
    [anon_sym_BSLASHglslink] = ACTIONS(2244),
    [anon_sym_BSLASHglstext] = ACTIONS(2244),
    [anon_sym_BSLASHGlstext] = ACTIONS(2244),
    [anon_sym_BSLASHGLStext] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2244),
    [anon_sym_BSLASHglsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsname] = ACTIONS(2244),
    [anon_sym_BSLASHGlsname] = ACTIONS(2244),
    [anon_sym_BSLASHGLSname] = ACTIONS(2244),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2244),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2244),
    [anon_sym_BSLASHacrshort] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2244),
    [anon_sym_BSLASHACRshort] = ACTIONS(2244),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrlong] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2244),
    [anon_sym_BSLASHACRlong] = ACTIONS(2244),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrfull] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2244),
    [anon_sym_BSLASHACRfull] = ACTIONS(2244),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHacs] = ACTIONS(2244),
    [anon_sym_BSLASHAcs] = ACTIONS(2244),
    [anon_sym_BSLASHacsp] = ACTIONS(2244),
    [anon_sym_BSLASHAcsp] = ACTIONS(2244),
    [anon_sym_BSLASHacl] = ACTIONS(2244),
    [anon_sym_BSLASHAcl] = ACTIONS(2244),
    [anon_sym_BSLASHaclp] = ACTIONS(2244),
    [anon_sym_BSLASHAclp] = ACTIONS(2244),
    [anon_sym_BSLASHacf] = ACTIONS(2244),
    [anon_sym_BSLASHAcf] = ACTIONS(2244),
    [anon_sym_BSLASHacfp] = ACTIONS(2244),
    [anon_sym_BSLASHAcfp] = ACTIONS(2244),
    [anon_sym_BSLASHac] = ACTIONS(2244),
    [anon_sym_BSLASHAc] = ACTIONS(2244),
    [anon_sym_BSLASHacp] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2244),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2244),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2244),
    [anon_sym_BSLASHcolor] = ACTIONS(2244),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2244),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2244),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2244),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2244),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2244),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2244),
    [anon_sym_BSLASHurl] = ACTIONS(2244),
    [anon_sym_BSLASHhref] = ACTIONS(2244),
  },
  [380] = {
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(406),
    [aux_sym__section_repeat4] = STATE(406),
    [sym_command_name] = ACTIONS(2244),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_RBRACK] = ACTIONS(2246),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_EQ] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(2244),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddchap] = ACTIONS(2244),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsection] = ACTIONS(2244),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddsec] = ACTIONS(2244),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHitem] = ACTIONS(2244),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [sym_word] = ACTIONS(2244),
    [sym_placeholder] = ACTIONS(2246),
    [sym_delimiter] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_COLON] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym__] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2246),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2246),
    [anon_sym_DOLLAR] = ACTIONS(2244),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHleft] = ACTIONS(2244),
    [anon_sym_BSLASHbigl] = ACTIONS(2244),
    [anon_sym_BSLASHBigl] = ACTIONS(2244),
    [anon_sym_BSLASHbiggl] = ACTIONS(2244),
    [anon_sym_BSLASHBiggl] = ACTIONS(2244),
    [anon_sym_BSLASHright] = ACTIONS(2244),
    [anon_sym_BSLASHbigr] = ACTIONS(2244),
    [anon_sym_BSLASHBigr] = ACTIONS(2244),
    [anon_sym_BSLASHbiggr] = ACTIONS(2244),
    [anon_sym_BSLASHBiggr] = ACTIONS(2244),
    [anon_sym_BSLASHtext] = ACTIONS(2244),
    [anon_sym_BSLASHintertext] = ACTIONS(2244),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2244),
    [anon_sym_BSLASHbegin] = ACTIONS(2244),
    [anon_sym_BSLASHtitle] = ACTIONS(2244),
    [anon_sym_BSLASHauthor] = ACTIONS(2244),
    [anon_sym_BSLASHusepackage] = ACTIONS(2244),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2244),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2244),
    [anon_sym_BSLASHinclude] = ACTIONS(2244),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2244),
    [anon_sym_BSLASHinput] = ACTIONS(2244),
    [anon_sym_BSLASHsubfile] = ACTIONS(2244),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2244),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2244),
    [anon_sym_BSLASHbibliography] = ACTIONS(2244),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2244),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2244),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2244),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2244),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2244),
    [anon_sym_BSLASHimport] = ACTIONS(2244),
    [anon_sym_BSLASHsubimport] = ACTIONS(2244),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2244),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHcaption] = ACTIONS(2244),
    [anon_sym_BSLASHcite] = ACTIONS(2244),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCite] = ACTIONS(2244),
    [anon_sym_BSLASHnocite] = ACTIONS(2244),
    [anon_sym_BSLASHcitet] = ACTIONS(2244),
    [anon_sym_BSLASHcitep] = ACTIONS(2244),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteA] = ACTIONS(2244),
    [anon_sym_BSLASHciteR] = ACTIONS(2244),
    [anon_sym_BSLASHciteS] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2244),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteyear] = ACTIONS(2244),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitedate] = ACTIONS(2244),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteurl] = ACTIONS(2244),
    [anon_sym_BSLASHfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2244),
    [anon_sym_BSLASHcitealt] = ACTIONS(2244),
    [anon_sym_BSLASHcitealp] = ACTIONS(2244),
    [anon_sym_BSLASHcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHparencite] = ACTIONS(2244),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHParencite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHtextcite] = ACTIONS(2244),
    [anon_sym_BSLASHTextcite] = ACTIONS(2244),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHsupercite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite] = ACTIONS(2244),
    [anon_sym_BSLASHAutocite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHVolcite] = ACTIONS(2244),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHavolcite] = ACTIONS(2244),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHNotecite] = ACTIONS(2244),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHlabel] = ACTIONS(2244),
    [anon_sym_BSLASHref] = ACTIONS(2244),
    [anon_sym_BSLASHeqref] = ACTIONS(2244),
    [anon_sym_BSLASHvref] = ACTIONS(2244),
    [anon_sym_BSLASHVref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHpageref] = ACTIONS(2244),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHautopageref] = ACTIONS(2244),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcref] = ACTIONS(2244),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCref] = ACTIONS(2244),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHCpageref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnameCref] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2244),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHdef] = ACTIONS(2244),
    [anon_sym_BSLASHgdef] = ACTIONS(2244),
    [anon_sym_BSLASHedef] = ACTIONS(2244),
    [anon_sym_BSLASHxdef] = ACTIONS(2244),
    [anon_sym_BSLASHlet] = ACTIONS(2244),
    [anon_sym_BSLASHglet] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2244),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2244),
    [anon_sym_BSLASHgls] = ACTIONS(2244),
    [anon_sym_BSLASHGls] = ACTIONS(2244),
    [anon_sym_BSLASHGLS] = ACTIONS(2244),
    [anon_sym_BSLASHglspl] = ACTIONS(2244),
    [anon_sym_BSLASHGlspl] = ACTIONS(2244),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2244),
    [anon_sym_BSLASHglslink] = ACTIONS(2244),
    [anon_sym_BSLASHglstext] = ACTIONS(2244),
    [anon_sym_BSLASHGlstext] = ACTIONS(2244),
    [anon_sym_BSLASHGLStext] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2244),
    [anon_sym_BSLASHglsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsname] = ACTIONS(2244),
    [anon_sym_BSLASHGlsname] = ACTIONS(2244),
    [anon_sym_BSLASHGLSname] = ACTIONS(2244),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2244),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2244),
    [anon_sym_BSLASHacrshort] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2244),
    [anon_sym_BSLASHACRshort] = ACTIONS(2244),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrlong] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2244),
    [anon_sym_BSLASHACRlong] = ACTIONS(2244),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrfull] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2244),
    [anon_sym_BSLASHACRfull] = ACTIONS(2244),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHacs] = ACTIONS(2244),
    [anon_sym_BSLASHAcs] = ACTIONS(2244),
    [anon_sym_BSLASHacsp] = ACTIONS(2244),
    [anon_sym_BSLASHAcsp] = ACTIONS(2244),
    [anon_sym_BSLASHacl] = ACTIONS(2244),
    [anon_sym_BSLASHAcl] = ACTIONS(2244),
    [anon_sym_BSLASHaclp] = ACTIONS(2244),
    [anon_sym_BSLASHAclp] = ACTIONS(2244),
    [anon_sym_BSLASHacf] = ACTIONS(2244),
    [anon_sym_BSLASHAcf] = ACTIONS(2244),
    [anon_sym_BSLASHacfp] = ACTIONS(2244),
    [anon_sym_BSLASHAcfp] = ACTIONS(2244),
    [anon_sym_BSLASHac] = ACTIONS(2244),
    [anon_sym_BSLASHAc] = ACTIONS(2244),
    [anon_sym_BSLASHacp] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2244),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2244),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2244),
    [anon_sym_BSLASHcolor] = ACTIONS(2244),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2244),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2244),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2244),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2244),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2244),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2244),
    [anon_sym_BSLASHurl] = ACTIONS(2244),
    [anon_sym_BSLASHhref] = ACTIONS(2244),
  },
  [381] = {
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(407),
    [aux_sym__section_repeat5] = STATE(407),
    [sym_command_name] = ACTIONS(2244),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_RBRACK] = ACTIONS(2246),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_EQ] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(2244),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddchap] = ACTIONS(2244),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsection] = ACTIONS(2244),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddsec] = ACTIONS(2244),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHitem] = ACTIONS(2244),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [sym_word] = ACTIONS(2244),
    [sym_placeholder] = ACTIONS(2246),
    [sym_delimiter] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_COLON] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym__] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2246),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2246),
    [anon_sym_DOLLAR] = ACTIONS(2244),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHleft] = ACTIONS(2244),
    [anon_sym_BSLASHbigl] = ACTIONS(2244),
    [anon_sym_BSLASHBigl] = ACTIONS(2244),
    [anon_sym_BSLASHbiggl] = ACTIONS(2244),
    [anon_sym_BSLASHBiggl] = ACTIONS(2244),
    [anon_sym_BSLASHright] = ACTIONS(2244),
    [anon_sym_BSLASHbigr] = ACTIONS(2244),
    [anon_sym_BSLASHBigr] = ACTIONS(2244),
    [anon_sym_BSLASHbiggr] = ACTIONS(2244),
    [anon_sym_BSLASHBiggr] = ACTIONS(2244),
    [anon_sym_BSLASHtext] = ACTIONS(2244),
    [anon_sym_BSLASHintertext] = ACTIONS(2244),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2244),
    [anon_sym_BSLASHbegin] = ACTIONS(2244),
    [anon_sym_BSLASHtitle] = ACTIONS(2244),
    [anon_sym_BSLASHauthor] = ACTIONS(2244),
    [anon_sym_BSLASHusepackage] = ACTIONS(2244),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2244),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2244),
    [anon_sym_BSLASHinclude] = ACTIONS(2244),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2244),
    [anon_sym_BSLASHinput] = ACTIONS(2244),
    [anon_sym_BSLASHsubfile] = ACTIONS(2244),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2244),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2244),
    [anon_sym_BSLASHbibliography] = ACTIONS(2244),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2244),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2244),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2244),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2244),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2244),
    [anon_sym_BSLASHimport] = ACTIONS(2244),
    [anon_sym_BSLASHsubimport] = ACTIONS(2244),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2244),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHcaption] = ACTIONS(2244),
    [anon_sym_BSLASHcite] = ACTIONS(2244),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCite] = ACTIONS(2244),
    [anon_sym_BSLASHnocite] = ACTIONS(2244),
    [anon_sym_BSLASHcitet] = ACTIONS(2244),
    [anon_sym_BSLASHcitep] = ACTIONS(2244),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteA] = ACTIONS(2244),
    [anon_sym_BSLASHciteR] = ACTIONS(2244),
    [anon_sym_BSLASHciteS] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2244),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteyear] = ACTIONS(2244),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitedate] = ACTIONS(2244),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteurl] = ACTIONS(2244),
    [anon_sym_BSLASHfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2244),
    [anon_sym_BSLASHcitealt] = ACTIONS(2244),
    [anon_sym_BSLASHcitealp] = ACTIONS(2244),
    [anon_sym_BSLASHcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHparencite] = ACTIONS(2244),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHParencite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHtextcite] = ACTIONS(2244),
    [anon_sym_BSLASHTextcite] = ACTIONS(2244),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHsupercite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite] = ACTIONS(2244),
    [anon_sym_BSLASHAutocite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHVolcite] = ACTIONS(2244),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHavolcite] = ACTIONS(2244),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHNotecite] = ACTIONS(2244),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHlabel] = ACTIONS(2244),
    [anon_sym_BSLASHref] = ACTIONS(2244),
    [anon_sym_BSLASHeqref] = ACTIONS(2244),
    [anon_sym_BSLASHvref] = ACTIONS(2244),
    [anon_sym_BSLASHVref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHpageref] = ACTIONS(2244),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHautopageref] = ACTIONS(2244),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcref] = ACTIONS(2244),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCref] = ACTIONS(2244),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHCpageref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnameCref] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2244),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHdef] = ACTIONS(2244),
    [anon_sym_BSLASHgdef] = ACTIONS(2244),
    [anon_sym_BSLASHedef] = ACTIONS(2244),
    [anon_sym_BSLASHxdef] = ACTIONS(2244),
    [anon_sym_BSLASHlet] = ACTIONS(2244),
    [anon_sym_BSLASHglet] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2244),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2244),
    [anon_sym_BSLASHgls] = ACTIONS(2244),
    [anon_sym_BSLASHGls] = ACTIONS(2244),
    [anon_sym_BSLASHGLS] = ACTIONS(2244),
    [anon_sym_BSLASHglspl] = ACTIONS(2244),
    [anon_sym_BSLASHGlspl] = ACTIONS(2244),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2244),
    [anon_sym_BSLASHglslink] = ACTIONS(2244),
    [anon_sym_BSLASHglstext] = ACTIONS(2244),
    [anon_sym_BSLASHGlstext] = ACTIONS(2244),
    [anon_sym_BSLASHGLStext] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2244),
    [anon_sym_BSLASHglsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsname] = ACTIONS(2244),
    [anon_sym_BSLASHGlsname] = ACTIONS(2244),
    [anon_sym_BSLASHGLSname] = ACTIONS(2244),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2244),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2244),
    [anon_sym_BSLASHacrshort] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2244),
    [anon_sym_BSLASHACRshort] = ACTIONS(2244),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrlong] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2244),
    [anon_sym_BSLASHACRlong] = ACTIONS(2244),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrfull] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2244),
    [anon_sym_BSLASHACRfull] = ACTIONS(2244),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHacs] = ACTIONS(2244),
    [anon_sym_BSLASHAcs] = ACTIONS(2244),
    [anon_sym_BSLASHacsp] = ACTIONS(2244),
    [anon_sym_BSLASHAcsp] = ACTIONS(2244),
    [anon_sym_BSLASHacl] = ACTIONS(2244),
    [anon_sym_BSLASHAcl] = ACTIONS(2244),
    [anon_sym_BSLASHaclp] = ACTIONS(2244),
    [anon_sym_BSLASHAclp] = ACTIONS(2244),
    [anon_sym_BSLASHacf] = ACTIONS(2244),
    [anon_sym_BSLASHAcf] = ACTIONS(2244),
    [anon_sym_BSLASHacfp] = ACTIONS(2244),
    [anon_sym_BSLASHAcfp] = ACTIONS(2244),
    [anon_sym_BSLASHac] = ACTIONS(2244),
    [anon_sym_BSLASHAc] = ACTIONS(2244),
    [anon_sym_BSLASHacp] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2244),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2244),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2244),
    [anon_sym_BSLASHcolor] = ACTIONS(2244),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2244),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2244),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2244),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2244),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2244),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2244),
    [anon_sym_BSLASHurl] = ACTIONS(2244),
    [anon_sym_BSLASHhref] = ACTIONS(2244),
  },
  [382] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(2664),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym_key_value_pair] = STATE(2665),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [anon_sym_RBRACK] = ACTIONS(6720),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [383] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(2713),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym_key_value_pair] = STATE(2689),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [anon_sym_RBRACE] = ACTIONS(6722),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [384] = {
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(405),
    [aux_sym__section_repeat3] = STATE(405),
    [sym_command_name] = ACTIONS(2260),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_RBRACK] = ACTIONS(2262),
    [anon_sym_COMMA] = ACTIONS(2262),
    [anon_sym_EQ] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_RPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHpart] = ACTIONS(2260),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddpart] = ACTIONS(2260),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHchapter] = ACTIONS(2260),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddchap] = ACTIONS(2260),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(2260),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2260),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHitem] = ACTIONS(2260),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [sym_word] = ACTIONS(2260),
    [sym_placeholder] = ACTIONS(2262),
    [sym_delimiter] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_PIPE] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(2260),
    [anon_sym_SQUOTE] = ACTIONS(2260),
    [anon_sym__] = ACTIONS(2262),
    [anon_sym_CARET] = ACTIONS(2262),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2262),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2262),
    [anon_sym_DOLLAR] = ACTIONS(2260),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHleft] = ACTIONS(2260),
    [anon_sym_BSLASHbigl] = ACTIONS(2260),
    [anon_sym_BSLASHBigl] = ACTIONS(2260),
    [anon_sym_BSLASHbiggl] = ACTIONS(2260),
    [anon_sym_BSLASHBiggl] = ACTIONS(2260),
    [anon_sym_BSLASHright] = ACTIONS(2260),
    [anon_sym_BSLASHbigr] = ACTIONS(2260),
    [anon_sym_BSLASHBigr] = ACTIONS(2260),
    [anon_sym_BSLASHbiggr] = ACTIONS(2260),
    [anon_sym_BSLASHBiggr] = ACTIONS(2260),
    [anon_sym_BSLASHtext] = ACTIONS(2260),
    [anon_sym_BSLASHintertext] = ACTIONS(2260),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2260),
    [anon_sym_BSLASHbegin] = ACTIONS(2260),
    [anon_sym_BSLASHtitle] = ACTIONS(2260),
    [anon_sym_BSLASHauthor] = ACTIONS(2260),
    [anon_sym_BSLASHusepackage] = ACTIONS(2260),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2260),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2260),
    [anon_sym_BSLASHinclude] = ACTIONS(2260),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2260),
    [anon_sym_BSLASHinput] = ACTIONS(2260),
    [anon_sym_BSLASHsubfile] = ACTIONS(2260),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2260),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2260),
    [anon_sym_BSLASHbibliography] = ACTIONS(2260),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2260),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2260),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2260),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2260),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2260),
    [anon_sym_BSLASHimport] = ACTIONS(2260),
    [anon_sym_BSLASHsubimport] = ACTIONS(2260),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2260),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHcaption] = ACTIONS(2260),
    [anon_sym_BSLASHcite] = ACTIONS(2260),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCite] = ACTIONS(2260),
    [anon_sym_BSLASHnocite] = ACTIONS(2260),
    [anon_sym_BSLASHcitet] = ACTIONS(2260),
    [anon_sym_BSLASHcitep] = ACTIONS(2260),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteA] = ACTIONS(2260),
    [anon_sym_BSLASHciteR] = ACTIONS(2260),
    [anon_sym_BSLASHciteS] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2260),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteyear] = ACTIONS(2260),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitedate] = ACTIONS(2260),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteurl] = ACTIONS(2260),
    [anon_sym_BSLASHfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2260),
    [anon_sym_BSLASHcitealt] = ACTIONS(2260),
    [anon_sym_BSLASHcitealp] = ACTIONS(2260),
    [anon_sym_BSLASHcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHparencite] = ACTIONS(2260),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHParencite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHtextcite] = ACTIONS(2260),
    [anon_sym_BSLASHTextcite] = ACTIONS(2260),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHsupercite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite] = ACTIONS(2260),
    [anon_sym_BSLASHAutocite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHVolcite] = ACTIONS(2260),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHavolcite] = ACTIONS(2260),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHNotecite] = ACTIONS(2260),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHlabel] = ACTIONS(2260),
    [anon_sym_BSLASHref] = ACTIONS(2260),
    [anon_sym_BSLASHeqref] = ACTIONS(2260),
    [anon_sym_BSLASHvref] = ACTIONS(2260),
    [anon_sym_BSLASHVref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHpageref] = ACTIONS(2260),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHautopageref] = ACTIONS(2260),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcref] = ACTIONS(2260),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCref] = ACTIONS(2260),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHCpageref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnameCref] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2260),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHdef] = ACTIONS(2260),
    [anon_sym_BSLASHgdef] = ACTIONS(2260),
    [anon_sym_BSLASHedef] = ACTIONS(2260),
    [anon_sym_BSLASHxdef] = ACTIONS(2260),
    [anon_sym_BSLASHlet] = ACTIONS(2260),
    [anon_sym_BSLASHglet] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2260),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2260),
    [anon_sym_BSLASHgls] = ACTIONS(2260),
    [anon_sym_BSLASHGls] = ACTIONS(2260),
    [anon_sym_BSLASHGLS] = ACTIONS(2260),
    [anon_sym_BSLASHglspl] = ACTIONS(2260),
    [anon_sym_BSLASHGlspl] = ACTIONS(2260),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2260),
    [anon_sym_BSLASHglslink] = ACTIONS(2260),
    [anon_sym_BSLASHglstext] = ACTIONS(2260),
    [anon_sym_BSLASHGlstext] = ACTIONS(2260),
    [anon_sym_BSLASHGLStext] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2260),
    [anon_sym_BSLASHglsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsname] = ACTIONS(2260),
    [anon_sym_BSLASHGlsname] = ACTIONS(2260),
    [anon_sym_BSLASHGLSname] = ACTIONS(2260),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2260),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2260),
    [anon_sym_BSLASHacrshort] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2260),
    [anon_sym_BSLASHACRshort] = ACTIONS(2260),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrlong] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2260),
    [anon_sym_BSLASHACRlong] = ACTIONS(2260),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrfull] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2260),
    [anon_sym_BSLASHACRfull] = ACTIONS(2260),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHacs] = ACTIONS(2260),
    [anon_sym_BSLASHAcs] = ACTIONS(2260),
    [anon_sym_BSLASHacsp] = ACTIONS(2260),
    [anon_sym_BSLASHAcsp] = ACTIONS(2260),
    [anon_sym_BSLASHacl] = ACTIONS(2260),
    [anon_sym_BSLASHAcl] = ACTIONS(2260),
    [anon_sym_BSLASHaclp] = ACTIONS(2260),
    [anon_sym_BSLASHAclp] = ACTIONS(2260),
    [anon_sym_BSLASHacf] = ACTIONS(2260),
    [anon_sym_BSLASHAcf] = ACTIONS(2260),
    [anon_sym_BSLASHacfp] = ACTIONS(2260),
    [anon_sym_BSLASHAcfp] = ACTIONS(2260),
    [anon_sym_BSLASHac] = ACTIONS(2260),
    [anon_sym_BSLASHAc] = ACTIONS(2260),
    [anon_sym_BSLASHacp] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2260),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2260),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2260),
    [anon_sym_BSLASHcolor] = ACTIONS(2260),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2260),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2260),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2260),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2260),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2260),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2260),
    [anon_sym_BSLASHurl] = ACTIONS(2260),
    [anon_sym_BSLASHhref] = ACTIONS(2260),
  },
  [385] = {
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(406),
    [aux_sym__section_repeat4] = STATE(406),
    [sym_command_name] = ACTIONS(2260),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_RBRACK] = ACTIONS(2262),
    [anon_sym_COMMA] = ACTIONS(2262),
    [anon_sym_EQ] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_RPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHpart] = ACTIONS(2260),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddpart] = ACTIONS(2260),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHchapter] = ACTIONS(2260),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddchap] = ACTIONS(2260),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsection] = ACTIONS(2260),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddsec] = ACTIONS(2260),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2260),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHitem] = ACTIONS(2260),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [sym_word] = ACTIONS(2260),
    [sym_placeholder] = ACTIONS(2262),
    [sym_delimiter] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_PIPE] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(2260),
    [anon_sym_SQUOTE] = ACTIONS(2260),
    [anon_sym__] = ACTIONS(2262),
    [anon_sym_CARET] = ACTIONS(2262),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2262),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2262),
    [anon_sym_DOLLAR] = ACTIONS(2260),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHleft] = ACTIONS(2260),
    [anon_sym_BSLASHbigl] = ACTIONS(2260),
    [anon_sym_BSLASHBigl] = ACTIONS(2260),
    [anon_sym_BSLASHbiggl] = ACTIONS(2260),
    [anon_sym_BSLASHBiggl] = ACTIONS(2260),
    [anon_sym_BSLASHright] = ACTIONS(2260),
    [anon_sym_BSLASHbigr] = ACTIONS(2260),
    [anon_sym_BSLASHBigr] = ACTIONS(2260),
    [anon_sym_BSLASHbiggr] = ACTIONS(2260),
    [anon_sym_BSLASHBiggr] = ACTIONS(2260),
    [anon_sym_BSLASHtext] = ACTIONS(2260),
    [anon_sym_BSLASHintertext] = ACTIONS(2260),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2260),
    [anon_sym_BSLASHbegin] = ACTIONS(2260),
    [anon_sym_BSLASHtitle] = ACTIONS(2260),
    [anon_sym_BSLASHauthor] = ACTIONS(2260),
    [anon_sym_BSLASHusepackage] = ACTIONS(2260),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2260),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2260),
    [anon_sym_BSLASHinclude] = ACTIONS(2260),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2260),
    [anon_sym_BSLASHinput] = ACTIONS(2260),
    [anon_sym_BSLASHsubfile] = ACTIONS(2260),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2260),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2260),
    [anon_sym_BSLASHbibliography] = ACTIONS(2260),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2260),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2260),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2260),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2260),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2260),
    [anon_sym_BSLASHimport] = ACTIONS(2260),
    [anon_sym_BSLASHsubimport] = ACTIONS(2260),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2260),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHcaption] = ACTIONS(2260),
    [anon_sym_BSLASHcite] = ACTIONS(2260),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCite] = ACTIONS(2260),
    [anon_sym_BSLASHnocite] = ACTIONS(2260),
    [anon_sym_BSLASHcitet] = ACTIONS(2260),
    [anon_sym_BSLASHcitep] = ACTIONS(2260),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteA] = ACTIONS(2260),
    [anon_sym_BSLASHciteR] = ACTIONS(2260),
    [anon_sym_BSLASHciteS] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2260),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteyear] = ACTIONS(2260),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitedate] = ACTIONS(2260),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteurl] = ACTIONS(2260),
    [anon_sym_BSLASHfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2260),
    [anon_sym_BSLASHcitealt] = ACTIONS(2260),
    [anon_sym_BSLASHcitealp] = ACTIONS(2260),
    [anon_sym_BSLASHcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHparencite] = ACTIONS(2260),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHParencite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHtextcite] = ACTIONS(2260),
    [anon_sym_BSLASHTextcite] = ACTIONS(2260),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHsupercite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite] = ACTIONS(2260),
    [anon_sym_BSLASHAutocite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHVolcite] = ACTIONS(2260),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHavolcite] = ACTIONS(2260),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHNotecite] = ACTIONS(2260),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHlabel] = ACTIONS(2260),
    [anon_sym_BSLASHref] = ACTIONS(2260),
    [anon_sym_BSLASHeqref] = ACTIONS(2260),
    [anon_sym_BSLASHvref] = ACTIONS(2260),
    [anon_sym_BSLASHVref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHpageref] = ACTIONS(2260),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHautopageref] = ACTIONS(2260),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcref] = ACTIONS(2260),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCref] = ACTIONS(2260),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHCpageref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnameCref] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2260),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHdef] = ACTIONS(2260),
    [anon_sym_BSLASHgdef] = ACTIONS(2260),
    [anon_sym_BSLASHedef] = ACTIONS(2260),
    [anon_sym_BSLASHxdef] = ACTIONS(2260),
    [anon_sym_BSLASHlet] = ACTIONS(2260),
    [anon_sym_BSLASHglet] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2260),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2260),
    [anon_sym_BSLASHgls] = ACTIONS(2260),
    [anon_sym_BSLASHGls] = ACTIONS(2260),
    [anon_sym_BSLASHGLS] = ACTIONS(2260),
    [anon_sym_BSLASHglspl] = ACTIONS(2260),
    [anon_sym_BSLASHGlspl] = ACTIONS(2260),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2260),
    [anon_sym_BSLASHglslink] = ACTIONS(2260),
    [anon_sym_BSLASHglstext] = ACTIONS(2260),
    [anon_sym_BSLASHGlstext] = ACTIONS(2260),
    [anon_sym_BSLASHGLStext] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2260),
    [anon_sym_BSLASHglsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsname] = ACTIONS(2260),
    [anon_sym_BSLASHGlsname] = ACTIONS(2260),
    [anon_sym_BSLASHGLSname] = ACTIONS(2260),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2260),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2260),
    [anon_sym_BSLASHacrshort] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2260),
    [anon_sym_BSLASHACRshort] = ACTIONS(2260),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrlong] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2260),
    [anon_sym_BSLASHACRlong] = ACTIONS(2260),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrfull] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2260),
    [anon_sym_BSLASHACRfull] = ACTIONS(2260),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHacs] = ACTIONS(2260),
    [anon_sym_BSLASHAcs] = ACTIONS(2260),
    [anon_sym_BSLASHacsp] = ACTIONS(2260),
    [anon_sym_BSLASHAcsp] = ACTIONS(2260),
    [anon_sym_BSLASHacl] = ACTIONS(2260),
    [anon_sym_BSLASHAcl] = ACTIONS(2260),
    [anon_sym_BSLASHaclp] = ACTIONS(2260),
    [anon_sym_BSLASHAclp] = ACTIONS(2260),
    [anon_sym_BSLASHacf] = ACTIONS(2260),
    [anon_sym_BSLASHAcf] = ACTIONS(2260),
    [anon_sym_BSLASHacfp] = ACTIONS(2260),
    [anon_sym_BSLASHAcfp] = ACTIONS(2260),
    [anon_sym_BSLASHac] = ACTIONS(2260),
    [anon_sym_BSLASHAc] = ACTIONS(2260),
    [anon_sym_BSLASHacp] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2260),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2260),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2260),
    [anon_sym_BSLASHcolor] = ACTIONS(2260),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2260),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2260),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2260),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2260),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2260),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2260),
    [anon_sym_BSLASHurl] = ACTIONS(2260),
    [anon_sym_BSLASHhref] = ACTIONS(2260),
  },
  [386] = {
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(407),
    [aux_sym__section_repeat5] = STATE(407),
    [sym_command_name] = ACTIONS(2260),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_RBRACK] = ACTIONS(2262),
    [anon_sym_COMMA] = ACTIONS(2262),
    [anon_sym_EQ] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_RPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHpart] = ACTIONS(2260),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddpart] = ACTIONS(2260),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHchapter] = ACTIONS(2260),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddchap] = ACTIONS(2260),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsection] = ACTIONS(2260),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddsec] = ACTIONS(2260),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubsection] = ACTIONS(2260),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHitem] = ACTIONS(2260),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [sym_word] = ACTIONS(2260),
    [sym_placeholder] = ACTIONS(2262),
    [sym_delimiter] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_PIPE] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(2260),
    [anon_sym_SQUOTE] = ACTIONS(2260),
    [anon_sym__] = ACTIONS(2262),
    [anon_sym_CARET] = ACTIONS(2262),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2262),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2262),
    [anon_sym_DOLLAR] = ACTIONS(2260),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHleft] = ACTIONS(2260),
    [anon_sym_BSLASHbigl] = ACTIONS(2260),
    [anon_sym_BSLASHBigl] = ACTIONS(2260),
    [anon_sym_BSLASHbiggl] = ACTIONS(2260),
    [anon_sym_BSLASHBiggl] = ACTIONS(2260),
    [anon_sym_BSLASHright] = ACTIONS(2260),
    [anon_sym_BSLASHbigr] = ACTIONS(2260),
    [anon_sym_BSLASHBigr] = ACTIONS(2260),
    [anon_sym_BSLASHbiggr] = ACTIONS(2260),
    [anon_sym_BSLASHBiggr] = ACTIONS(2260),
    [anon_sym_BSLASHtext] = ACTIONS(2260),
    [anon_sym_BSLASHintertext] = ACTIONS(2260),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2260),
    [anon_sym_BSLASHbegin] = ACTIONS(2260),
    [anon_sym_BSLASHtitle] = ACTIONS(2260),
    [anon_sym_BSLASHauthor] = ACTIONS(2260),
    [anon_sym_BSLASHusepackage] = ACTIONS(2260),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2260),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2260),
    [anon_sym_BSLASHinclude] = ACTIONS(2260),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2260),
    [anon_sym_BSLASHinput] = ACTIONS(2260),
    [anon_sym_BSLASHsubfile] = ACTIONS(2260),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2260),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2260),
    [anon_sym_BSLASHbibliography] = ACTIONS(2260),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2260),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2260),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2260),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2260),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2260),
    [anon_sym_BSLASHimport] = ACTIONS(2260),
    [anon_sym_BSLASHsubimport] = ACTIONS(2260),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2260),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHcaption] = ACTIONS(2260),
    [anon_sym_BSLASHcite] = ACTIONS(2260),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCite] = ACTIONS(2260),
    [anon_sym_BSLASHnocite] = ACTIONS(2260),
    [anon_sym_BSLASHcitet] = ACTIONS(2260),
    [anon_sym_BSLASHcitep] = ACTIONS(2260),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteA] = ACTIONS(2260),
    [anon_sym_BSLASHciteR] = ACTIONS(2260),
    [anon_sym_BSLASHciteS] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2260),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteyear] = ACTIONS(2260),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitedate] = ACTIONS(2260),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteurl] = ACTIONS(2260),
    [anon_sym_BSLASHfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2260),
    [anon_sym_BSLASHcitealt] = ACTIONS(2260),
    [anon_sym_BSLASHcitealp] = ACTIONS(2260),
    [anon_sym_BSLASHcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHparencite] = ACTIONS(2260),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHParencite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHtextcite] = ACTIONS(2260),
    [anon_sym_BSLASHTextcite] = ACTIONS(2260),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHsupercite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite] = ACTIONS(2260),
    [anon_sym_BSLASHAutocite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHVolcite] = ACTIONS(2260),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHavolcite] = ACTIONS(2260),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHNotecite] = ACTIONS(2260),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHlabel] = ACTIONS(2260),
    [anon_sym_BSLASHref] = ACTIONS(2260),
    [anon_sym_BSLASHeqref] = ACTIONS(2260),
    [anon_sym_BSLASHvref] = ACTIONS(2260),
    [anon_sym_BSLASHVref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHpageref] = ACTIONS(2260),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHautopageref] = ACTIONS(2260),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcref] = ACTIONS(2260),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCref] = ACTIONS(2260),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHCpageref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnameCref] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2260),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHdef] = ACTIONS(2260),
    [anon_sym_BSLASHgdef] = ACTIONS(2260),
    [anon_sym_BSLASHedef] = ACTIONS(2260),
    [anon_sym_BSLASHxdef] = ACTIONS(2260),
    [anon_sym_BSLASHlet] = ACTIONS(2260),
    [anon_sym_BSLASHglet] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2260),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2260),
    [anon_sym_BSLASHgls] = ACTIONS(2260),
    [anon_sym_BSLASHGls] = ACTIONS(2260),
    [anon_sym_BSLASHGLS] = ACTIONS(2260),
    [anon_sym_BSLASHglspl] = ACTIONS(2260),
    [anon_sym_BSLASHGlspl] = ACTIONS(2260),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2260),
    [anon_sym_BSLASHglslink] = ACTIONS(2260),
    [anon_sym_BSLASHglstext] = ACTIONS(2260),
    [anon_sym_BSLASHGlstext] = ACTIONS(2260),
    [anon_sym_BSLASHGLStext] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2260),
    [anon_sym_BSLASHglsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsname] = ACTIONS(2260),
    [anon_sym_BSLASHGlsname] = ACTIONS(2260),
    [anon_sym_BSLASHGLSname] = ACTIONS(2260),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2260),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2260),
    [anon_sym_BSLASHacrshort] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2260),
    [anon_sym_BSLASHACRshort] = ACTIONS(2260),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrlong] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2260),
    [anon_sym_BSLASHACRlong] = ACTIONS(2260),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrfull] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2260),
    [anon_sym_BSLASHACRfull] = ACTIONS(2260),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHacs] = ACTIONS(2260),
    [anon_sym_BSLASHAcs] = ACTIONS(2260),
    [anon_sym_BSLASHacsp] = ACTIONS(2260),
    [anon_sym_BSLASHAcsp] = ACTIONS(2260),
    [anon_sym_BSLASHacl] = ACTIONS(2260),
    [anon_sym_BSLASHAcl] = ACTIONS(2260),
    [anon_sym_BSLASHaclp] = ACTIONS(2260),
    [anon_sym_BSLASHAclp] = ACTIONS(2260),
    [anon_sym_BSLASHacf] = ACTIONS(2260),
    [anon_sym_BSLASHAcf] = ACTIONS(2260),
    [anon_sym_BSLASHacfp] = ACTIONS(2260),
    [anon_sym_BSLASHAcfp] = ACTIONS(2260),
    [anon_sym_BSLASHac] = ACTIONS(2260),
    [anon_sym_BSLASHAc] = ACTIONS(2260),
    [anon_sym_BSLASHacp] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2260),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2260),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2260),
    [anon_sym_BSLASHcolor] = ACTIONS(2260),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2260),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2260),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2260),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2260),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2260),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2260),
    [anon_sym_BSLASHurl] = ACTIONS(2260),
    [anon_sym_BSLASHhref] = ACTIONS(2260),
  },
  [387] = {
    [sym__section_part] = STATE(536),
    [sym_curly_group] = STATE(537),
    [sym_brack_group] = STATE(2814),
    [sym_command_name] = ACTIONS(6724),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6724),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6726),
    [anon_sym_COMMA] = ACTIONS(6726),
    [anon_sym_EQ] = ACTIONS(6726),
    [anon_sym_LPAREN] = ACTIONS(6726),
    [anon_sym_RPAREN] = ACTIONS(6726),
    [anon_sym_BSLASHpart] = ACTIONS(6724),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHaddpart] = ACTIONS(6724),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHchapter] = ACTIONS(6724),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHaddchap] = ACTIONS(6724),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHsection] = ACTIONS(6724),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHaddsec] = ACTIONS(6724),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHsubsection] = ACTIONS(6724),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6724),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHparagraph] = ACTIONS(6724),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6724),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHitem] = ACTIONS(6724),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6726),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(6724),
    [sym_placeholder] = ACTIONS(6726),
    [sym_delimiter] = ACTIONS(6726),
    [anon_sym_PLUS] = ACTIONS(6726),
    [anon_sym_DASH] = ACTIONS(6726),
    [anon_sym_STAR] = ACTIONS(6726),
    [anon_sym_SLASH] = ACTIONS(6726),
    [anon_sym_LT] = ACTIONS(6724),
    [anon_sym_GT] = ACTIONS(6724),
    [anon_sym_BANG] = ACTIONS(6724),
    [anon_sym_PIPE] = ACTIONS(6724),
    [anon_sym_COLON] = ACTIONS(6724),
    [anon_sym_SQUOTE] = ACTIONS(6724),
    [anon_sym__] = ACTIONS(6726),
    [anon_sym_CARET] = ACTIONS(6726),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6726),
    [anon_sym_DOLLAR] = ACTIONS(6724),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6726),
    [anon_sym_BSLASHleft] = ACTIONS(6724),
    [anon_sym_BSLASHbigl] = ACTIONS(6724),
    [anon_sym_BSLASHBigl] = ACTIONS(6724),
    [anon_sym_BSLASHbiggl] = ACTIONS(6724),
    [anon_sym_BSLASHBiggl] = ACTIONS(6724),
    [anon_sym_BSLASHright] = ACTIONS(6724),
    [anon_sym_BSLASHbigr] = ACTIONS(6724),
    [anon_sym_BSLASHBigr] = ACTIONS(6724),
    [anon_sym_BSLASHbiggr] = ACTIONS(6724),
    [anon_sym_BSLASHBiggr] = ACTIONS(6724),
    [anon_sym_BSLASHtext] = ACTIONS(6724),
    [anon_sym_BSLASHintertext] = ACTIONS(6724),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6724),
    [anon_sym_BSLASHbegin] = ACTIONS(6724),
    [anon_sym_BSLASHtitle] = ACTIONS(6724),
    [anon_sym_BSLASHauthor] = ACTIONS(6724),
    [anon_sym_BSLASHusepackage] = ACTIONS(6724),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6724),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6724),
    [anon_sym_BSLASHinclude] = ACTIONS(6724),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6724),
    [anon_sym_BSLASHinput] = ACTIONS(6724),
    [anon_sym_BSLASHsubfile] = ACTIONS(6724),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6724),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6724),
    [anon_sym_BSLASHbibliography] = ACTIONS(6724),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6724),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6724),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6724),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6724),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6724),
    [anon_sym_BSLASHimport] = ACTIONS(6724),
    [anon_sym_BSLASHsubimport] = ACTIONS(6724),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6724),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6724),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6724),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6724),
    [anon_sym_BSLASHcaption] = ACTIONS(6724),
    [anon_sym_BSLASHcite] = ACTIONS(6724),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHCite] = ACTIONS(6724),
    [anon_sym_BSLASHnocite] = ACTIONS(6724),
    [anon_sym_BSLASHcitet] = ACTIONS(6724),
    [anon_sym_BSLASHcitep] = ACTIONS(6724),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHciteA] = ACTIONS(6724),
    [anon_sym_BSLASHciteR] = ACTIONS(6724),
    [anon_sym_BSLASHciteS] = ACTIONS(6724),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6724),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6724),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6724),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6724),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHciteyear] = ACTIONS(6724),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcitedate] = ACTIONS(6724),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHciteurl] = ACTIONS(6724),
    [anon_sym_BSLASHfullcite] = ACTIONS(6724),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6724),
    [anon_sym_BSLASHcitealt] = ACTIONS(6724),
    [anon_sym_BSLASHcitealp] = ACTIONS(6724),
    [anon_sym_BSLASHcitetext] = ACTIONS(6724),
    [anon_sym_BSLASHparencite] = ACTIONS(6724),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHParencite] = ACTIONS(6724),
    [anon_sym_BSLASHfootcite] = ACTIONS(6724),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6724),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6724),
    [anon_sym_BSLASHtextcite] = ACTIONS(6724),
    [anon_sym_BSLASHTextcite] = ACTIONS(6724),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6724),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6724),
    [anon_sym_BSLASHsupercite] = ACTIONS(6724),
    [anon_sym_BSLASHautocite] = ACTIONS(6724),
    [anon_sym_BSLASHAutocite] = ACTIONS(6724),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHVolcite] = ACTIONS(6724),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHavolcite] = ACTIONS(6724),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHnotecite] = ACTIONS(6724),
    [anon_sym_BSLASHNotecite] = ACTIONS(6724),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6724),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6724),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6724),
    [anon_sym_BSLASHlabel] = ACTIONS(6724),
    [anon_sym_BSLASHref] = ACTIONS(6724),
    [anon_sym_BSLASHeqref] = ACTIONS(6724),
    [anon_sym_BSLASHvref] = ACTIONS(6724),
    [anon_sym_BSLASHVref] = ACTIONS(6724),
    [anon_sym_BSLASHautoref] = ACTIONS(6724),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHpageref] = ACTIONS(6724),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHautopageref] = ACTIONS(6724),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcref] = ACTIONS(6724),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHCref] = ACTIONS(6724),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcpageref] = ACTIONS(6724),
    [anon_sym_BSLASHCpageref] = ACTIONS(6724),
    [anon_sym_BSLASHnamecref] = ACTIONS(6724),
    [anon_sym_BSLASHnameCref] = ACTIONS(6724),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6724),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6724),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6724),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6724),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6724),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6724),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6724),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6724),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6724),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6724),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6724),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6724),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6724),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6724),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6724),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6724),
    [anon_sym_BSLASHdef] = ACTIONS(6724),
    [anon_sym_BSLASHgdef] = ACTIONS(6724),
    [anon_sym_BSLASHedef] = ACTIONS(6724),
    [anon_sym_BSLASHxdef] = ACTIONS(6724),
    [anon_sym_BSLASHlet] = ACTIONS(6724),
    [anon_sym_BSLASHglet] = ACTIONS(6724),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6724),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6724),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6724),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6724),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6724),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6724),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6724),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6724),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6724),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6724),
    [anon_sym_BSLASHgls] = ACTIONS(6724),
    [anon_sym_BSLASHGls] = ACTIONS(6724),
    [anon_sym_BSLASHGLS] = ACTIONS(6724),
    [anon_sym_BSLASHglspl] = ACTIONS(6724),
    [anon_sym_BSLASHGlspl] = ACTIONS(6724),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6724),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6724),
    [anon_sym_BSLASHglslink] = ACTIONS(6724),
    [anon_sym_BSLASHglstext] = ACTIONS(6724),
    [anon_sym_BSLASHGlstext] = ACTIONS(6724),
    [anon_sym_BSLASHGLStext] = ACTIONS(6724),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6724),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6724),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6724),
    [anon_sym_BSLASHglsplural] = ACTIONS(6724),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6724),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6724),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6724),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6724),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6724),
    [anon_sym_BSLASHglsname] = ACTIONS(6724),
    [anon_sym_BSLASHGlsname] = ACTIONS(6724),
    [anon_sym_BSLASHGLSname] = ACTIONS(6724),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6724),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6724),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6724),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6724),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6724),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6724),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6724),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6724),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6724),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6724),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6724),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6724),
    [anon_sym_BSLASHacrshort] = ACTIONS(6724),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6724),
    [anon_sym_BSLASHACRshort] = ACTIONS(6724),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6724),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6724),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6724),
    [anon_sym_BSLASHacrlong] = ACTIONS(6724),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6724),
    [anon_sym_BSLASHACRlong] = ACTIONS(6724),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6724),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6724),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6724),
    [anon_sym_BSLASHacrfull] = ACTIONS(6724),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6724),
    [anon_sym_BSLASHACRfull] = ACTIONS(6724),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6724),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6724),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6724),
    [anon_sym_BSLASHacs] = ACTIONS(6724),
    [anon_sym_BSLASHAcs] = ACTIONS(6724),
    [anon_sym_BSLASHacsp] = ACTIONS(6724),
    [anon_sym_BSLASHAcsp] = ACTIONS(6724),
    [anon_sym_BSLASHacl] = ACTIONS(6724),
    [anon_sym_BSLASHAcl] = ACTIONS(6724),
    [anon_sym_BSLASHaclp] = ACTIONS(6724),
    [anon_sym_BSLASHAclp] = ACTIONS(6724),
    [anon_sym_BSLASHacf] = ACTIONS(6724),
    [anon_sym_BSLASHAcf] = ACTIONS(6724),
    [anon_sym_BSLASHacfp] = ACTIONS(6724),
    [anon_sym_BSLASHAcfp] = ACTIONS(6724),
    [anon_sym_BSLASHac] = ACTIONS(6724),
    [anon_sym_BSLASHAc] = ACTIONS(6724),
    [anon_sym_BSLASHacp] = ACTIONS(6724),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6724),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6724),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6724),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6724),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6724),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6724),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6724),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6724),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6724),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6724),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6724),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6724),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6724),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6724),
    [anon_sym_BSLASHcolor] = ACTIONS(6724),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6724),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6724),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6724),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6724),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6724),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6724),
    [anon_sym_BSLASHurl] = ACTIONS(6724),
    [anon_sym_BSLASHhref] = ACTIONS(6724),
  },
  [388] = {
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(406),
    [aux_sym__section_repeat4] = STATE(406),
    [sym_command_name] = ACTIONS(2290),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2290),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_RBRACK] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(2292),
    [anon_sym_EQ] = ACTIONS(2292),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_RPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHpart] = ACTIONS(2290),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddpart] = ACTIONS(2290),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHchapter] = ACTIONS(2290),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddchap] = ACTIONS(2290),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsection] = ACTIONS(2290),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddsec] = ACTIONS(2290),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2290),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHitem] = ACTIONS(2290),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2292),
    [anon_sym_LBRACE] = ACTIONS(2292),
    [sym_word] = ACTIONS(2290),
    [sym_placeholder] = ACTIONS(2292),
    [sym_delimiter] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2292),
    [anon_sym_SLASH] = ACTIONS(2292),
    [anon_sym_LT] = ACTIONS(2290),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(2290),
    [anon_sym_PIPE] = ACTIONS(2290),
    [anon_sym_COLON] = ACTIONS(2290),
    [anon_sym_SQUOTE] = ACTIONS(2290),
    [anon_sym__] = ACTIONS(2292),
    [anon_sym_CARET] = ACTIONS(2292),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2292),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2292),
    [anon_sym_DOLLAR] = ACTIONS(2290),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHleft] = ACTIONS(2290),
    [anon_sym_BSLASHbigl] = ACTIONS(2290),
    [anon_sym_BSLASHBigl] = ACTIONS(2290),
    [anon_sym_BSLASHbiggl] = ACTIONS(2290),
    [anon_sym_BSLASHBiggl] = ACTIONS(2290),
    [anon_sym_BSLASHright] = ACTIONS(2290),
    [anon_sym_BSLASHbigr] = ACTIONS(2290),
    [anon_sym_BSLASHBigr] = ACTIONS(2290),
    [anon_sym_BSLASHbiggr] = ACTIONS(2290),
    [anon_sym_BSLASHBiggr] = ACTIONS(2290),
    [anon_sym_BSLASHtext] = ACTIONS(2290),
    [anon_sym_BSLASHintertext] = ACTIONS(2290),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2290),
    [anon_sym_BSLASHbegin] = ACTIONS(2290),
    [anon_sym_BSLASHtitle] = ACTIONS(2290),
    [anon_sym_BSLASHauthor] = ACTIONS(2290),
    [anon_sym_BSLASHusepackage] = ACTIONS(2290),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2290),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2290),
    [anon_sym_BSLASHinclude] = ACTIONS(2290),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2290),
    [anon_sym_BSLASHinput] = ACTIONS(2290),
    [anon_sym_BSLASHsubfile] = ACTIONS(2290),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2290),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2290),
    [anon_sym_BSLASHbibliography] = ACTIONS(2290),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2290),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2290),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2290),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2290),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2290),
    [anon_sym_BSLASHimport] = ACTIONS(2290),
    [anon_sym_BSLASHsubimport] = ACTIONS(2290),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2290),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHcaption] = ACTIONS(2290),
    [anon_sym_BSLASHcite] = ACTIONS(2290),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCite] = ACTIONS(2290),
    [anon_sym_BSLASHnocite] = ACTIONS(2290),
    [anon_sym_BSLASHcitet] = ACTIONS(2290),
    [anon_sym_BSLASHcitep] = ACTIONS(2290),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteA] = ACTIONS(2290),
    [anon_sym_BSLASHciteR] = ACTIONS(2290),
    [anon_sym_BSLASHciteS] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2290),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteyear] = ACTIONS(2290),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitedate] = ACTIONS(2290),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteurl] = ACTIONS(2290),
    [anon_sym_BSLASHfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2290),
    [anon_sym_BSLASHcitealt] = ACTIONS(2290),
    [anon_sym_BSLASHcitealp] = ACTIONS(2290),
    [anon_sym_BSLASHcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHparencite] = ACTIONS(2290),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHParencite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHtextcite] = ACTIONS(2290),
    [anon_sym_BSLASHTextcite] = ACTIONS(2290),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHsupercite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite] = ACTIONS(2290),
    [anon_sym_BSLASHAutocite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHVolcite] = ACTIONS(2290),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHavolcite] = ACTIONS(2290),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHNotecite] = ACTIONS(2290),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHlabel] = ACTIONS(2290),
    [anon_sym_BSLASHref] = ACTIONS(2290),
    [anon_sym_BSLASHeqref] = ACTIONS(2290),
    [anon_sym_BSLASHvref] = ACTIONS(2290),
    [anon_sym_BSLASHVref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHpageref] = ACTIONS(2290),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHautopageref] = ACTIONS(2290),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcref] = ACTIONS(2290),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCref] = ACTIONS(2290),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHCpageref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnameCref] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2290),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHdef] = ACTIONS(2290),
    [anon_sym_BSLASHgdef] = ACTIONS(2290),
    [anon_sym_BSLASHedef] = ACTIONS(2290),
    [anon_sym_BSLASHxdef] = ACTIONS(2290),
    [anon_sym_BSLASHlet] = ACTIONS(2290),
    [anon_sym_BSLASHglet] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2290),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2290),
    [anon_sym_BSLASHgls] = ACTIONS(2290),
    [anon_sym_BSLASHGls] = ACTIONS(2290),
    [anon_sym_BSLASHGLS] = ACTIONS(2290),
    [anon_sym_BSLASHglspl] = ACTIONS(2290),
    [anon_sym_BSLASHGlspl] = ACTIONS(2290),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2290),
    [anon_sym_BSLASHglslink] = ACTIONS(2290),
    [anon_sym_BSLASHglstext] = ACTIONS(2290),
    [anon_sym_BSLASHGlstext] = ACTIONS(2290),
    [anon_sym_BSLASHGLStext] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2290),
    [anon_sym_BSLASHglsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsname] = ACTIONS(2290),
    [anon_sym_BSLASHGlsname] = ACTIONS(2290),
    [anon_sym_BSLASHGLSname] = ACTIONS(2290),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2290),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2290),
    [anon_sym_BSLASHacrshort] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2290),
    [anon_sym_BSLASHACRshort] = ACTIONS(2290),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrlong] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2290),
    [anon_sym_BSLASHACRlong] = ACTIONS(2290),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrfull] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2290),
    [anon_sym_BSLASHACRfull] = ACTIONS(2290),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHacs] = ACTIONS(2290),
    [anon_sym_BSLASHAcs] = ACTIONS(2290),
    [anon_sym_BSLASHacsp] = ACTIONS(2290),
    [anon_sym_BSLASHAcsp] = ACTIONS(2290),
    [anon_sym_BSLASHacl] = ACTIONS(2290),
    [anon_sym_BSLASHAcl] = ACTIONS(2290),
    [anon_sym_BSLASHaclp] = ACTIONS(2290),
    [anon_sym_BSLASHAclp] = ACTIONS(2290),
    [anon_sym_BSLASHacf] = ACTIONS(2290),
    [anon_sym_BSLASHAcf] = ACTIONS(2290),
    [anon_sym_BSLASHacfp] = ACTIONS(2290),
    [anon_sym_BSLASHAcfp] = ACTIONS(2290),
    [anon_sym_BSLASHac] = ACTIONS(2290),
    [anon_sym_BSLASHAc] = ACTIONS(2290),
    [anon_sym_BSLASHacp] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2290),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2290),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2290),
    [anon_sym_BSLASHcolor] = ACTIONS(2290),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2290),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2290),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2290),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2290),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2290),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2290),
    [anon_sym_BSLASHurl] = ACTIONS(2290),
    [anon_sym_BSLASHhref] = ACTIONS(2290),
  },
  [389] = {
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(407),
    [aux_sym__section_repeat5] = STATE(407),
    [sym_command_name] = ACTIONS(2290),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2290),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_RBRACK] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(2292),
    [anon_sym_EQ] = ACTIONS(2292),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_RPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHpart] = ACTIONS(2290),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddpart] = ACTIONS(2290),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHchapter] = ACTIONS(2290),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddchap] = ACTIONS(2290),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsection] = ACTIONS(2290),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddsec] = ACTIONS(2290),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubsection] = ACTIONS(2290),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHitem] = ACTIONS(2290),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2292),
    [anon_sym_LBRACE] = ACTIONS(2292),
    [sym_word] = ACTIONS(2290),
    [sym_placeholder] = ACTIONS(2292),
    [sym_delimiter] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2292),
    [anon_sym_SLASH] = ACTIONS(2292),
    [anon_sym_LT] = ACTIONS(2290),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(2290),
    [anon_sym_PIPE] = ACTIONS(2290),
    [anon_sym_COLON] = ACTIONS(2290),
    [anon_sym_SQUOTE] = ACTIONS(2290),
    [anon_sym__] = ACTIONS(2292),
    [anon_sym_CARET] = ACTIONS(2292),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2292),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2292),
    [anon_sym_DOLLAR] = ACTIONS(2290),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHleft] = ACTIONS(2290),
    [anon_sym_BSLASHbigl] = ACTIONS(2290),
    [anon_sym_BSLASHBigl] = ACTIONS(2290),
    [anon_sym_BSLASHbiggl] = ACTIONS(2290),
    [anon_sym_BSLASHBiggl] = ACTIONS(2290),
    [anon_sym_BSLASHright] = ACTIONS(2290),
    [anon_sym_BSLASHbigr] = ACTIONS(2290),
    [anon_sym_BSLASHBigr] = ACTIONS(2290),
    [anon_sym_BSLASHbiggr] = ACTIONS(2290),
    [anon_sym_BSLASHBiggr] = ACTIONS(2290),
    [anon_sym_BSLASHtext] = ACTIONS(2290),
    [anon_sym_BSLASHintertext] = ACTIONS(2290),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2290),
    [anon_sym_BSLASHbegin] = ACTIONS(2290),
    [anon_sym_BSLASHtitle] = ACTIONS(2290),
    [anon_sym_BSLASHauthor] = ACTIONS(2290),
    [anon_sym_BSLASHusepackage] = ACTIONS(2290),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2290),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2290),
    [anon_sym_BSLASHinclude] = ACTIONS(2290),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2290),
    [anon_sym_BSLASHinput] = ACTIONS(2290),
    [anon_sym_BSLASHsubfile] = ACTIONS(2290),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2290),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2290),
    [anon_sym_BSLASHbibliography] = ACTIONS(2290),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2290),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2290),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2290),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2290),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2290),
    [anon_sym_BSLASHimport] = ACTIONS(2290),
    [anon_sym_BSLASHsubimport] = ACTIONS(2290),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2290),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHcaption] = ACTIONS(2290),
    [anon_sym_BSLASHcite] = ACTIONS(2290),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCite] = ACTIONS(2290),
    [anon_sym_BSLASHnocite] = ACTIONS(2290),
    [anon_sym_BSLASHcitet] = ACTIONS(2290),
    [anon_sym_BSLASHcitep] = ACTIONS(2290),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteA] = ACTIONS(2290),
    [anon_sym_BSLASHciteR] = ACTIONS(2290),
    [anon_sym_BSLASHciteS] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2290),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteyear] = ACTIONS(2290),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitedate] = ACTIONS(2290),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteurl] = ACTIONS(2290),
    [anon_sym_BSLASHfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2290),
    [anon_sym_BSLASHcitealt] = ACTIONS(2290),
    [anon_sym_BSLASHcitealp] = ACTIONS(2290),
    [anon_sym_BSLASHcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHparencite] = ACTIONS(2290),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHParencite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHtextcite] = ACTIONS(2290),
    [anon_sym_BSLASHTextcite] = ACTIONS(2290),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHsupercite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite] = ACTIONS(2290),
    [anon_sym_BSLASHAutocite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHVolcite] = ACTIONS(2290),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHavolcite] = ACTIONS(2290),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHNotecite] = ACTIONS(2290),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHlabel] = ACTIONS(2290),
    [anon_sym_BSLASHref] = ACTIONS(2290),
    [anon_sym_BSLASHeqref] = ACTIONS(2290),
    [anon_sym_BSLASHvref] = ACTIONS(2290),
    [anon_sym_BSLASHVref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHpageref] = ACTIONS(2290),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHautopageref] = ACTIONS(2290),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcref] = ACTIONS(2290),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCref] = ACTIONS(2290),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHCpageref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnameCref] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2290),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHdef] = ACTIONS(2290),
    [anon_sym_BSLASHgdef] = ACTIONS(2290),
    [anon_sym_BSLASHedef] = ACTIONS(2290),
    [anon_sym_BSLASHxdef] = ACTIONS(2290),
    [anon_sym_BSLASHlet] = ACTIONS(2290),
    [anon_sym_BSLASHglet] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2290),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2290),
    [anon_sym_BSLASHgls] = ACTIONS(2290),
    [anon_sym_BSLASHGls] = ACTIONS(2290),
    [anon_sym_BSLASHGLS] = ACTIONS(2290),
    [anon_sym_BSLASHglspl] = ACTIONS(2290),
    [anon_sym_BSLASHGlspl] = ACTIONS(2290),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2290),
    [anon_sym_BSLASHglslink] = ACTIONS(2290),
    [anon_sym_BSLASHglstext] = ACTIONS(2290),
    [anon_sym_BSLASHGlstext] = ACTIONS(2290),
    [anon_sym_BSLASHGLStext] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2290),
    [anon_sym_BSLASHglsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsname] = ACTIONS(2290),
    [anon_sym_BSLASHGlsname] = ACTIONS(2290),
    [anon_sym_BSLASHGLSname] = ACTIONS(2290),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2290),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2290),
    [anon_sym_BSLASHacrshort] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2290),
    [anon_sym_BSLASHACRshort] = ACTIONS(2290),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrlong] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2290),
    [anon_sym_BSLASHACRlong] = ACTIONS(2290),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrfull] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2290),
    [anon_sym_BSLASHACRfull] = ACTIONS(2290),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHacs] = ACTIONS(2290),
    [anon_sym_BSLASHAcs] = ACTIONS(2290),
    [anon_sym_BSLASHacsp] = ACTIONS(2290),
    [anon_sym_BSLASHAcsp] = ACTIONS(2290),
    [anon_sym_BSLASHacl] = ACTIONS(2290),
    [anon_sym_BSLASHAcl] = ACTIONS(2290),
    [anon_sym_BSLASHaclp] = ACTIONS(2290),
    [anon_sym_BSLASHAclp] = ACTIONS(2290),
    [anon_sym_BSLASHacf] = ACTIONS(2290),
    [anon_sym_BSLASHAcf] = ACTIONS(2290),
    [anon_sym_BSLASHacfp] = ACTIONS(2290),
    [anon_sym_BSLASHAcfp] = ACTIONS(2290),
    [anon_sym_BSLASHac] = ACTIONS(2290),
    [anon_sym_BSLASHAc] = ACTIONS(2290),
    [anon_sym_BSLASHacp] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2290),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2290),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2290),
    [anon_sym_BSLASHcolor] = ACTIONS(2290),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2290),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2290),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2290),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2290),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2290),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2290),
    [anon_sym_BSLASHurl] = ACTIONS(2290),
    [anon_sym_BSLASHhref] = ACTIONS(2290),
  },
  [390] = {
    [sym__section_part] = STATE(538),
    [sym_curly_group] = STATE(537),
    [sym_brack_group] = STATE(2814),
    [sym_command_name] = ACTIONS(6728),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6728),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6730),
    [anon_sym_COMMA] = ACTIONS(6730),
    [anon_sym_EQ] = ACTIONS(6730),
    [anon_sym_LPAREN] = ACTIONS(6730),
    [anon_sym_RPAREN] = ACTIONS(6730),
    [anon_sym_BSLASHpart] = ACTIONS(6728),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHaddpart] = ACTIONS(6728),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHchapter] = ACTIONS(6728),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHaddchap] = ACTIONS(6728),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHsection] = ACTIONS(6728),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHaddsec] = ACTIONS(6728),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHsubsection] = ACTIONS(6728),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6728),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHparagraph] = ACTIONS(6728),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6728),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHitem] = ACTIONS(6728),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6730),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(6728),
    [sym_placeholder] = ACTIONS(6730),
    [sym_delimiter] = ACTIONS(6730),
    [anon_sym_PLUS] = ACTIONS(6730),
    [anon_sym_DASH] = ACTIONS(6730),
    [anon_sym_STAR] = ACTIONS(6730),
    [anon_sym_SLASH] = ACTIONS(6730),
    [anon_sym_LT] = ACTIONS(6728),
    [anon_sym_GT] = ACTIONS(6728),
    [anon_sym_BANG] = ACTIONS(6728),
    [anon_sym_PIPE] = ACTIONS(6728),
    [anon_sym_COLON] = ACTIONS(6728),
    [anon_sym_SQUOTE] = ACTIONS(6728),
    [anon_sym__] = ACTIONS(6730),
    [anon_sym_CARET] = ACTIONS(6730),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6730),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6730),
    [anon_sym_DOLLAR] = ACTIONS(6728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6730),
    [anon_sym_BSLASHleft] = ACTIONS(6728),
    [anon_sym_BSLASHbigl] = ACTIONS(6728),
    [anon_sym_BSLASHBigl] = ACTIONS(6728),
    [anon_sym_BSLASHbiggl] = ACTIONS(6728),
    [anon_sym_BSLASHBiggl] = ACTIONS(6728),
    [anon_sym_BSLASHright] = ACTIONS(6728),
    [anon_sym_BSLASHbigr] = ACTIONS(6728),
    [anon_sym_BSLASHBigr] = ACTIONS(6728),
    [anon_sym_BSLASHbiggr] = ACTIONS(6728),
    [anon_sym_BSLASHBiggr] = ACTIONS(6728),
    [anon_sym_BSLASHtext] = ACTIONS(6728),
    [anon_sym_BSLASHintertext] = ACTIONS(6728),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6728),
    [anon_sym_BSLASHbegin] = ACTIONS(6728),
    [anon_sym_BSLASHtitle] = ACTIONS(6728),
    [anon_sym_BSLASHauthor] = ACTIONS(6728),
    [anon_sym_BSLASHusepackage] = ACTIONS(6728),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6728),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6728),
    [anon_sym_BSLASHinclude] = ACTIONS(6728),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6728),
    [anon_sym_BSLASHinput] = ACTIONS(6728),
    [anon_sym_BSLASHsubfile] = ACTIONS(6728),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6728),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6728),
    [anon_sym_BSLASHbibliography] = ACTIONS(6728),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6728),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6728),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6728),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6728),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6728),
    [anon_sym_BSLASHimport] = ACTIONS(6728),
    [anon_sym_BSLASHsubimport] = ACTIONS(6728),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6728),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6728),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6728),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6728),
    [anon_sym_BSLASHcaption] = ACTIONS(6728),
    [anon_sym_BSLASHcite] = ACTIONS(6728),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHCite] = ACTIONS(6728),
    [anon_sym_BSLASHnocite] = ACTIONS(6728),
    [anon_sym_BSLASHcitet] = ACTIONS(6728),
    [anon_sym_BSLASHcitep] = ACTIONS(6728),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHciteA] = ACTIONS(6728),
    [anon_sym_BSLASHciteR] = ACTIONS(6728),
    [anon_sym_BSLASHciteS] = ACTIONS(6728),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6728),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6728),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6728),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6728),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHciteyear] = ACTIONS(6728),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcitedate] = ACTIONS(6728),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHciteurl] = ACTIONS(6728),
    [anon_sym_BSLASHfullcite] = ACTIONS(6728),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6728),
    [anon_sym_BSLASHcitealt] = ACTIONS(6728),
    [anon_sym_BSLASHcitealp] = ACTIONS(6728),
    [anon_sym_BSLASHcitetext] = ACTIONS(6728),
    [anon_sym_BSLASHparencite] = ACTIONS(6728),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHParencite] = ACTIONS(6728),
    [anon_sym_BSLASHfootcite] = ACTIONS(6728),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6728),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6728),
    [anon_sym_BSLASHtextcite] = ACTIONS(6728),
    [anon_sym_BSLASHTextcite] = ACTIONS(6728),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6728),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6728),
    [anon_sym_BSLASHsupercite] = ACTIONS(6728),
    [anon_sym_BSLASHautocite] = ACTIONS(6728),
    [anon_sym_BSLASHAutocite] = ACTIONS(6728),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHVolcite] = ACTIONS(6728),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHavolcite] = ACTIONS(6728),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHnotecite] = ACTIONS(6728),
    [anon_sym_BSLASHNotecite] = ACTIONS(6728),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6728),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6728),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6728),
    [anon_sym_BSLASHlabel] = ACTIONS(6728),
    [anon_sym_BSLASHref] = ACTIONS(6728),
    [anon_sym_BSLASHeqref] = ACTIONS(6728),
    [anon_sym_BSLASHvref] = ACTIONS(6728),
    [anon_sym_BSLASHVref] = ACTIONS(6728),
    [anon_sym_BSLASHautoref] = ACTIONS(6728),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHpageref] = ACTIONS(6728),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHautopageref] = ACTIONS(6728),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcref] = ACTIONS(6728),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHCref] = ACTIONS(6728),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcpageref] = ACTIONS(6728),
    [anon_sym_BSLASHCpageref] = ACTIONS(6728),
    [anon_sym_BSLASHnamecref] = ACTIONS(6728),
    [anon_sym_BSLASHnameCref] = ACTIONS(6728),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6728),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6728),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6728),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6728),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6728),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6728),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6728),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6728),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6728),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6728),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6728),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6728),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6728),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6728),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6728),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6728),
    [anon_sym_BSLASHdef] = ACTIONS(6728),
    [anon_sym_BSLASHgdef] = ACTIONS(6728),
    [anon_sym_BSLASHedef] = ACTIONS(6728),
    [anon_sym_BSLASHxdef] = ACTIONS(6728),
    [anon_sym_BSLASHlet] = ACTIONS(6728),
    [anon_sym_BSLASHglet] = ACTIONS(6728),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6728),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6728),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6728),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6728),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6728),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6728),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6728),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6728),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6728),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6728),
    [anon_sym_BSLASHgls] = ACTIONS(6728),
    [anon_sym_BSLASHGls] = ACTIONS(6728),
    [anon_sym_BSLASHGLS] = ACTIONS(6728),
    [anon_sym_BSLASHglspl] = ACTIONS(6728),
    [anon_sym_BSLASHGlspl] = ACTIONS(6728),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6728),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6728),
    [anon_sym_BSLASHglslink] = ACTIONS(6728),
    [anon_sym_BSLASHglstext] = ACTIONS(6728),
    [anon_sym_BSLASHGlstext] = ACTIONS(6728),
    [anon_sym_BSLASHGLStext] = ACTIONS(6728),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6728),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6728),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6728),
    [anon_sym_BSLASHglsplural] = ACTIONS(6728),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6728),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6728),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6728),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6728),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6728),
    [anon_sym_BSLASHglsname] = ACTIONS(6728),
    [anon_sym_BSLASHGlsname] = ACTIONS(6728),
    [anon_sym_BSLASHGLSname] = ACTIONS(6728),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6728),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6728),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6728),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6728),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6728),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6728),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6728),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6728),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6728),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6728),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6728),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6728),
    [anon_sym_BSLASHacrshort] = ACTIONS(6728),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6728),
    [anon_sym_BSLASHACRshort] = ACTIONS(6728),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6728),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6728),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6728),
    [anon_sym_BSLASHacrlong] = ACTIONS(6728),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6728),
    [anon_sym_BSLASHACRlong] = ACTIONS(6728),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6728),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6728),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6728),
    [anon_sym_BSLASHacrfull] = ACTIONS(6728),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6728),
    [anon_sym_BSLASHACRfull] = ACTIONS(6728),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6728),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6728),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6728),
    [anon_sym_BSLASHacs] = ACTIONS(6728),
    [anon_sym_BSLASHAcs] = ACTIONS(6728),
    [anon_sym_BSLASHacsp] = ACTIONS(6728),
    [anon_sym_BSLASHAcsp] = ACTIONS(6728),
    [anon_sym_BSLASHacl] = ACTIONS(6728),
    [anon_sym_BSLASHAcl] = ACTIONS(6728),
    [anon_sym_BSLASHaclp] = ACTIONS(6728),
    [anon_sym_BSLASHAclp] = ACTIONS(6728),
    [anon_sym_BSLASHacf] = ACTIONS(6728),
    [anon_sym_BSLASHAcf] = ACTIONS(6728),
    [anon_sym_BSLASHacfp] = ACTIONS(6728),
    [anon_sym_BSLASHAcfp] = ACTIONS(6728),
    [anon_sym_BSLASHac] = ACTIONS(6728),
    [anon_sym_BSLASHAc] = ACTIONS(6728),
    [anon_sym_BSLASHacp] = ACTIONS(6728),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6728),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6728),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6728),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6728),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6728),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6728),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6728),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6728),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6728),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6728),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6728),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6728),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6728),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6728),
    [anon_sym_BSLASHcolor] = ACTIONS(6728),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6728),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6728),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6728),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6728),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6728),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6728),
    [anon_sym_BSLASHurl] = ACTIONS(6728),
    [anon_sym_BSLASHhref] = ACTIONS(6728),
  },
  [391] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(2713),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym_key_value_pair] = STATE(2751),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [anon_sym_RBRACE] = ACTIONS(6732),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [392] = {
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(433),
    [aux_sym__section_repeat5] = STATE(433),
    [sym_command_name] = ACTIONS(2308),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_BSLASHpart] = ACTIONS(2308),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddpart] = ACTIONS(2308),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHchapter] = ACTIONS(2308),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddchap] = ACTIONS(2308),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsection] = ACTIONS(2308),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddsec] = ACTIONS(2308),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsection] = ACTIONS(2308),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(2308),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2308),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHitem] = ACTIONS(2308),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [sym_word] = ACTIONS(2308),
    [sym_placeholder] = ACTIONS(2310),
    [sym_delimiter] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_STAR] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2308),
    [anon_sym_GT] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_PIPE] = ACTIONS(2308),
    [anon_sym_COLON] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [anon_sym__] = ACTIONS(2310),
    [anon_sym_CARET] = ACTIONS(2310),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2310),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2310),
    [anon_sym_DOLLAR] = ACTIONS(2308),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2310),
    [anon_sym_BSLASHleft] = ACTIONS(2308),
    [anon_sym_BSLASHbigl] = ACTIONS(2308),
    [anon_sym_BSLASHBigl] = ACTIONS(2308),
    [anon_sym_BSLASHbiggl] = ACTIONS(2308),
    [anon_sym_BSLASHBiggl] = ACTIONS(2308),
    [anon_sym_BSLASHright] = ACTIONS(2308),
    [anon_sym_BSLASHbigr] = ACTIONS(2308),
    [anon_sym_BSLASHBigr] = ACTIONS(2308),
    [anon_sym_BSLASHbiggr] = ACTIONS(2308),
    [anon_sym_BSLASHBiggr] = ACTIONS(2308),
    [anon_sym_BSLASHtext] = ACTIONS(2308),
    [anon_sym_BSLASHintertext] = ACTIONS(2308),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2308),
    [anon_sym_BSLASHbegin] = ACTIONS(2308),
    [anon_sym_BSLASHtitle] = ACTIONS(2308),
    [anon_sym_BSLASHauthor] = ACTIONS(2308),
    [anon_sym_BSLASHusepackage] = ACTIONS(2308),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2308),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2308),
    [anon_sym_BSLASHinclude] = ACTIONS(2308),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2308),
    [anon_sym_BSLASHinput] = ACTIONS(2308),
    [anon_sym_BSLASHsubfile] = ACTIONS(2308),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2308),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2308),
    [anon_sym_BSLASHbibliography] = ACTIONS(2308),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2308),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2308),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2308),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2308),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2308),
    [anon_sym_BSLASHimport] = ACTIONS(2308),
    [anon_sym_BSLASHsubimport] = ACTIONS(2308),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2308),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2308),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2308),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2308),
    [anon_sym_BSLASHcaption] = ACTIONS(2308),
    [anon_sym_BSLASHcite] = ACTIONS(2308),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCite] = ACTIONS(2308),
    [anon_sym_BSLASHnocite] = ACTIONS(2308),
    [anon_sym_BSLASHcitet] = ACTIONS(2308),
    [anon_sym_BSLASHcitep] = ACTIONS(2308),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteA] = ACTIONS(2308),
    [anon_sym_BSLASHciteR] = ACTIONS(2308),
    [anon_sym_BSLASHciteS] = ACTIONS(2308),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2308),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2308),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2308),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2308),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteyear] = ACTIONS(2308),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitedate] = ACTIONS(2308),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteurl] = ACTIONS(2308),
    [anon_sym_BSLASHfullcite] = ACTIONS(2308),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2308),
    [anon_sym_BSLASHcitealt] = ACTIONS(2308),
    [anon_sym_BSLASHcitealp] = ACTIONS(2308),
    [anon_sym_BSLASHcitetext] = ACTIONS(2308),
    [anon_sym_BSLASHparencite] = ACTIONS(2308),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHParencite] = ACTIONS(2308),
    [anon_sym_BSLASHfootcite] = ACTIONS(2308),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2308),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2308),
    [anon_sym_BSLASHtextcite] = ACTIONS(2308),
    [anon_sym_BSLASHTextcite] = ACTIONS(2308),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2308),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2308),
    [anon_sym_BSLASHsupercite] = ACTIONS(2308),
    [anon_sym_BSLASHautocite] = ACTIONS(2308),
    [anon_sym_BSLASHAutocite] = ACTIONS(2308),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHVolcite] = ACTIONS(2308),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHavolcite] = ACTIONS(2308),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHNotecite] = ACTIONS(2308),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHlabel] = ACTIONS(2308),
    [anon_sym_BSLASHref] = ACTIONS(2308),
    [anon_sym_BSLASHeqref] = ACTIONS(2308),
    [anon_sym_BSLASHvref] = ACTIONS(2308),
    [anon_sym_BSLASHVref] = ACTIONS(2308),
    [anon_sym_BSLASHautoref] = ACTIONS(2308),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHpageref] = ACTIONS(2308),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHautopageref] = ACTIONS(2308),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcref] = ACTIONS(2308),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCref] = ACTIONS(2308),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcpageref] = ACTIONS(2308),
    [anon_sym_BSLASHCpageref] = ACTIONS(2308),
    [anon_sym_BSLASHnamecref] = ACTIONS(2308),
    [anon_sym_BSLASHnameCref] = ACTIONS(2308),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2308),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2308),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2308),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2308),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2308),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2308),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2308),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2308),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2308),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2308),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2308),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHdef] = ACTIONS(2308),
    [anon_sym_BSLASHgdef] = ACTIONS(2308),
    [anon_sym_BSLASHedef] = ACTIONS(2308),
    [anon_sym_BSLASHxdef] = ACTIONS(2308),
    [anon_sym_BSLASHlet] = ACTIONS(2308),
    [anon_sym_BSLASHglet] = ACTIONS(2308),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2308),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2308),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2308),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2308),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2308),
    [anon_sym_BSLASHgls] = ACTIONS(2308),
    [anon_sym_BSLASHGls] = ACTIONS(2308),
    [anon_sym_BSLASHGLS] = ACTIONS(2308),
    [anon_sym_BSLASHglspl] = ACTIONS(2308),
    [anon_sym_BSLASHGlspl] = ACTIONS(2308),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2308),
    [anon_sym_BSLASHglslink] = ACTIONS(2308),
    [anon_sym_BSLASHglstext] = ACTIONS(2308),
    [anon_sym_BSLASHGlstext] = ACTIONS(2308),
    [anon_sym_BSLASHGLStext] = ACTIONS(2308),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2308),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2308),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2308),
    [anon_sym_BSLASHglsplural] = ACTIONS(2308),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2308),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2308),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHglsname] = ACTIONS(2308),
    [anon_sym_BSLASHGlsname] = ACTIONS(2308),
    [anon_sym_BSLASHGLSname] = ACTIONS(2308),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2308),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2308),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2308),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2308),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2308),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2308),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2308),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2308),
    [anon_sym_BSLASHacrshort] = ACTIONS(2308),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2308),
    [anon_sym_BSLASHACRshort] = ACTIONS(2308),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHacrlong] = ACTIONS(2308),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2308),
    [anon_sym_BSLASHACRlong] = ACTIONS(2308),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHacrfull] = ACTIONS(2308),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2308),
    [anon_sym_BSLASHACRfull] = ACTIONS(2308),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHacs] = ACTIONS(2308),
    [anon_sym_BSLASHAcs] = ACTIONS(2308),
    [anon_sym_BSLASHacsp] = ACTIONS(2308),
    [anon_sym_BSLASHAcsp] = ACTIONS(2308),
    [anon_sym_BSLASHacl] = ACTIONS(2308),
    [anon_sym_BSLASHAcl] = ACTIONS(2308),
    [anon_sym_BSLASHaclp] = ACTIONS(2308),
    [anon_sym_BSLASHAclp] = ACTIONS(2308),
    [anon_sym_BSLASHacf] = ACTIONS(2308),
    [anon_sym_BSLASHAcf] = ACTIONS(2308),
    [anon_sym_BSLASHacfp] = ACTIONS(2308),
    [anon_sym_BSLASHAcfp] = ACTIONS(2308),
    [anon_sym_BSLASHac] = ACTIONS(2308),
    [anon_sym_BSLASHAc] = ACTIONS(2308),
    [anon_sym_BSLASHacp] = ACTIONS(2308),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2308),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2308),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2308),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2308),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2308),
    [anon_sym_BSLASHcolor] = ACTIONS(2308),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2308),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2308),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2308),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2308),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2308),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2308),
    [anon_sym_BSLASHurl] = ACTIONS(2308),
    [anon_sym_BSLASHhref] = ACTIONS(2308),
  },
  [393] = {
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(407),
    [aux_sym__section_repeat5] = STATE(407),
    [sym_command_name] = ACTIONS(2308),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_BSLASHpart] = ACTIONS(2308),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddpart] = ACTIONS(2308),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHchapter] = ACTIONS(2308),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddchap] = ACTIONS(2308),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsection] = ACTIONS(2308),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddsec] = ACTIONS(2308),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsection] = ACTIONS(2308),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(2308),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2308),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHitem] = ACTIONS(2308),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [sym_word] = ACTIONS(2308),
    [sym_placeholder] = ACTIONS(2310),
    [sym_delimiter] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_STAR] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2308),
    [anon_sym_GT] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_PIPE] = ACTIONS(2308),
    [anon_sym_COLON] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [anon_sym__] = ACTIONS(2310),
    [anon_sym_CARET] = ACTIONS(2310),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2310),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2310),
    [anon_sym_DOLLAR] = ACTIONS(2308),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2310),
    [anon_sym_BSLASHleft] = ACTIONS(2308),
    [anon_sym_BSLASHbigl] = ACTIONS(2308),
    [anon_sym_BSLASHBigl] = ACTIONS(2308),
    [anon_sym_BSLASHbiggl] = ACTIONS(2308),
    [anon_sym_BSLASHBiggl] = ACTIONS(2308),
    [anon_sym_BSLASHright] = ACTIONS(2308),
    [anon_sym_BSLASHbigr] = ACTIONS(2308),
    [anon_sym_BSLASHBigr] = ACTIONS(2308),
    [anon_sym_BSLASHbiggr] = ACTIONS(2308),
    [anon_sym_BSLASHBiggr] = ACTIONS(2308),
    [anon_sym_BSLASHtext] = ACTIONS(2308),
    [anon_sym_BSLASHintertext] = ACTIONS(2308),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2308),
    [anon_sym_BSLASHbegin] = ACTIONS(2308),
    [anon_sym_BSLASHtitle] = ACTIONS(2308),
    [anon_sym_BSLASHauthor] = ACTIONS(2308),
    [anon_sym_BSLASHusepackage] = ACTIONS(2308),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2308),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2308),
    [anon_sym_BSLASHinclude] = ACTIONS(2308),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2308),
    [anon_sym_BSLASHinput] = ACTIONS(2308),
    [anon_sym_BSLASHsubfile] = ACTIONS(2308),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2308),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2308),
    [anon_sym_BSLASHbibliography] = ACTIONS(2308),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2308),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2308),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2308),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2308),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2308),
    [anon_sym_BSLASHimport] = ACTIONS(2308),
    [anon_sym_BSLASHsubimport] = ACTIONS(2308),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2308),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2308),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2308),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2308),
    [anon_sym_BSLASHcaption] = ACTIONS(2308),
    [anon_sym_BSLASHcite] = ACTIONS(2308),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCite] = ACTIONS(2308),
    [anon_sym_BSLASHnocite] = ACTIONS(2308),
    [anon_sym_BSLASHcitet] = ACTIONS(2308),
    [anon_sym_BSLASHcitep] = ACTIONS(2308),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteA] = ACTIONS(2308),
    [anon_sym_BSLASHciteR] = ACTIONS(2308),
    [anon_sym_BSLASHciteS] = ACTIONS(2308),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2308),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2308),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2308),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2308),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteyear] = ACTIONS(2308),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitedate] = ACTIONS(2308),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteurl] = ACTIONS(2308),
    [anon_sym_BSLASHfullcite] = ACTIONS(2308),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2308),
    [anon_sym_BSLASHcitealt] = ACTIONS(2308),
    [anon_sym_BSLASHcitealp] = ACTIONS(2308),
    [anon_sym_BSLASHcitetext] = ACTIONS(2308),
    [anon_sym_BSLASHparencite] = ACTIONS(2308),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHParencite] = ACTIONS(2308),
    [anon_sym_BSLASHfootcite] = ACTIONS(2308),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2308),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2308),
    [anon_sym_BSLASHtextcite] = ACTIONS(2308),
    [anon_sym_BSLASHTextcite] = ACTIONS(2308),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2308),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2308),
    [anon_sym_BSLASHsupercite] = ACTIONS(2308),
    [anon_sym_BSLASHautocite] = ACTIONS(2308),
    [anon_sym_BSLASHAutocite] = ACTIONS(2308),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHVolcite] = ACTIONS(2308),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHavolcite] = ACTIONS(2308),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHNotecite] = ACTIONS(2308),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHlabel] = ACTIONS(2308),
    [anon_sym_BSLASHref] = ACTIONS(2308),
    [anon_sym_BSLASHeqref] = ACTIONS(2308),
    [anon_sym_BSLASHvref] = ACTIONS(2308),
    [anon_sym_BSLASHVref] = ACTIONS(2308),
    [anon_sym_BSLASHautoref] = ACTIONS(2308),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHpageref] = ACTIONS(2308),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHautopageref] = ACTIONS(2308),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcref] = ACTIONS(2308),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCref] = ACTIONS(2308),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcpageref] = ACTIONS(2308),
    [anon_sym_BSLASHCpageref] = ACTIONS(2308),
    [anon_sym_BSLASHnamecref] = ACTIONS(2308),
    [anon_sym_BSLASHnameCref] = ACTIONS(2308),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2308),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2308),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2308),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2308),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2308),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2308),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2308),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2308),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2308),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2308),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2308),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHdef] = ACTIONS(2308),
    [anon_sym_BSLASHgdef] = ACTIONS(2308),
    [anon_sym_BSLASHedef] = ACTIONS(2308),
    [anon_sym_BSLASHxdef] = ACTIONS(2308),
    [anon_sym_BSLASHlet] = ACTIONS(2308),
    [anon_sym_BSLASHglet] = ACTIONS(2308),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2308),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2308),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2308),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2308),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2308),
    [anon_sym_BSLASHgls] = ACTIONS(2308),
    [anon_sym_BSLASHGls] = ACTIONS(2308),
    [anon_sym_BSLASHGLS] = ACTIONS(2308),
    [anon_sym_BSLASHglspl] = ACTIONS(2308),
    [anon_sym_BSLASHGlspl] = ACTIONS(2308),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2308),
    [anon_sym_BSLASHglslink] = ACTIONS(2308),
    [anon_sym_BSLASHglstext] = ACTIONS(2308),
    [anon_sym_BSLASHGlstext] = ACTIONS(2308),
    [anon_sym_BSLASHGLStext] = ACTIONS(2308),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2308),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2308),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2308),
    [anon_sym_BSLASHglsplural] = ACTIONS(2308),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2308),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2308),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHglsname] = ACTIONS(2308),
    [anon_sym_BSLASHGlsname] = ACTIONS(2308),
    [anon_sym_BSLASHGLSname] = ACTIONS(2308),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2308),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2308),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2308),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2308),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2308),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2308),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2308),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2308),
    [anon_sym_BSLASHacrshort] = ACTIONS(2308),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2308),
    [anon_sym_BSLASHACRshort] = ACTIONS(2308),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHacrlong] = ACTIONS(2308),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2308),
    [anon_sym_BSLASHACRlong] = ACTIONS(2308),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHacrfull] = ACTIONS(2308),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2308),
    [anon_sym_BSLASHACRfull] = ACTIONS(2308),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHacs] = ACTIONS(2308),
    [anon_sym_BSLASHAcs] = ACTIONS(2308),
    [anon_sym_BSLASHacsp] = ACTIONS(2308),
    [anon_sym_BSLASHAcsp] = ACTIONS(2308),
    [anon_sym_BSLASHacl] = ACTIONS(2308),
    [anon_sym_BSLASHAcl] = ACTIONS(2308),
    [anon_sym_BSLASHaclp] = ACTIONS(2308),
    [anon_sym_BSLASHAclp] = ACTIONS(2308),
    [anon_sym_BSLASHacf] = ACTIONS(2308),
    [anon_sym_BSLASHAcf] = ACTIONS(2308),
    [anon_sym_BSLASHacfp] = ACTIONS(2308),
    [anon_sym_BSLASHAcfp] = ACTIONS(2308),
    [anon_sym_BSLASHac] = ACTIONS(2308),
    [anon_sym_BSLASHAc] = ACTIONS(2308),
    [anon_sym_BSLASHacp] = ACTIONS(2308),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2308),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2308),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2308),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2308),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2308),
    [anon_sym_BSLASHcolor] = ACTIONS(2308),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2308),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2308),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2308),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2308),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2308),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2308),
    [anon_sym_BSLASHurl] = ACTIONS(2308),
    [anon_sym_BSLASHhref] = ACTIONS(2308),
  },
  [394] = {
    [sym__section_part] = STATE(539),
    [sym_curly_group] = STATE(537),
    [sym_brack_group] = STATE(2814),
    [sym_command_name] = ACTIONS(6734),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6734),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6736),
    [anon_sym_COMMA] = ACTIONS(6736),
    [anon_sym_EQ] = ACTIONS(6736),
    [anon_sym_LPAREN] = ACTIONS(6736),
    [anon_sym_RPAREN] = ACTIONS(6736),
    [anon_sym_BSLASHpart] = ACTIONS(6734),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHaddpart] = ACTIONS(6734),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHchapter] = ACTIONS(6734),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHaddchap] = ACTIONS(6734),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHsection] = ACTIONS(6734),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHaddsec] = ACTIONS(6734),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHsubsection] = ACTIONS(6734),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6734),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHparagraph] = ACTIONS(6734),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6734),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHitem] = ACTIONS(6734),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6736),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(6734),
    [sym_placeholder] = ACTIONS(6736),
    [sym_delimiter] = ACTIONS(6736),
    [anon_sym_PLUS] = ACTIONS(6736),
    [anon_sym_DASH] = ACTIONS(6736),
    [anon_sym_STAR] = ACTIONS(6736),
    [anon_sym_SLASH] = ACTIONS(6736),
    [anon_sym_LT] = ACTIONS(6734),
    [anon_sym_GT] = ACTIONS(6734),
    [anon_sym_BANG] = ACTIONS(6734),
    [anon_sym_PIPE] = ACTIONS(6734),
    [anon_sym_COLON] = ACTIONS(6734),
    [anon_sym_SQUOTE] = ACTIONS(6734),
    [anon_sym__] = ACTIONS(6736),
    [anon_sym_CARET] = ACTIONS(6736),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6736),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6736),
    [anon_sym_DOLLAR] = ACTIONS(6734),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6736),
    [anon_sym_BSLASHleft] = ACTIONS(6734),
    [anon_sym_BSLASHbigl] = ACTIONS(6734),
    [anon_sym_BSLASHBigl] = ACTIONS(6734),
    [anon_sym_BSLASHbiggl] = ACTIONS(6734),
    [anon_sym_BSLASHBiggl] = ACTIONS(6734),
    [anon_sym_BSLASHright] = ACTIONS(6734),
    [anon_sym_BSLASHbigr] = ACTIONS(6734),
    [anon_sym_BSLASHBigr] = ACTIONS(6734),
    [anon_sym_BSLASHbiggr] = ACTIONS(6734),
    [anon_sym_BSLASHBiggr] = ACTIONS(6734),
    [anon_sym_BSLASHtext] = ACTIONS(6734),
    [anon_sym_BSLASHintertext] = ACTIONS(6734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6734),
    [anon_sym_BSLASHbegin] = ACTIONS(6734),
    [anon_sym_BSLASHtitle] = ACTIONS(6734),
    [anon_sym_BSLASHauthor] = ACTIONS(6734),
    [anon_sym_BSLASHusepackage] = ACTIONS(6734),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6734),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6734),
    [anon_sym_BSLASHinclude] = ACTIONS(6734),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6734),
    [anon_sym_BSLASHinput] = ACTIONS(6734),
    [anon_sym_BSLASHsubfile] = ACTIONS(6734),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6734),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6734),
    [anon_sym_BSLASHbibliography] = ACTIONS(6734),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6734),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6734),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6734),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6734),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6734),
    [anon_sym_BSLASHimport] = ACTIONS(6734),
    [anon_sym_BSLASHsubimport] = ACTIONS(6734),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6734),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6734),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6734),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6734),
    [anon_sym_BSLASHcaption] = ACTIONS(6734),
    [anon_sym_BSLASHcite] = ACTIONS(6734),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHCite] = ACTIONS(6734),
    [anon_sym_BSLASHnocite] = ACTIONS(6734),
    [anon_sym_BSLASHcitet] = ACTIONS(6734),
    [anon_sym_BSLASHcitep] = ACTIONS(6734),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHciteA] = ACTIONS(6734),
    [anon_sym_BSLASHciteR] = ACTIONS(6734),
    [anon_sym_BSLASHciteS] = ACTIONS(6734),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6734),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6734),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6734),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6734),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHciteyear] = ACTIONS(6734),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcitedate] = ACTIONS(6734),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHciteurl] = ACTIONS(6734),
    [anon_sym_BSLASHfullcite] = ACTIONS(6734),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6734),
    [anon_sym_BSLASHcitealt] = ACTIONS(6734),
    [anon_sym_BSLASHcitealp] = ACTIONS(6734),
    [anon_sym_BSLASHcitetext] = ACTIONS(6734),
    [anon_sym_BSLASHparencite] = ACTIONS(6734),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHParencite] = ACTIONS(6734),
    [anon_sym_BSLASHfootcite] = ACTIONS(6734),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6734),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6734),
    [anon_sym_BSLASHtextcite] = ACTIONS(6734),
    [anon_sym_BSLASHTextcite] = ACTIONS(6734),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6734),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6734),
    [anon_sym_BSLASHsupercite] = ACTIONS(6734),
    [anon_sym_BSLASHautocite] = ACTIONS(6734),
    [anon_sym_BSLASHAutocite] = ACTIONS(6734),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHVolcite] = ACTIONS(6734),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHavolcite] = ACTIONS(6734),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHnotecite] = ACTIONS(6734),
    [anon_sym_BSLASHNotecite] = ACTIONS(6734),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6734),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6734),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6734),
    [anon_sym_BSLASHlabel] = ACTIONS(6734),
    [anon_sym_BSLASHref] = ACTIONS(6734),
    [anon_sym_BSLASHeqref] = ACTIONS(6734),
    [anon_sym_BSLASHvref] = ACTIONS(6734),
    [anon_sym_BSLASHVref] = ACTIONS(6734),
    [anon_sym_BSLASHautoref] = ACTIONS(6734),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHpageref] = ACTIONS(6734),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHautopageref] = ACTIONS(6734),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcref] = ACTIONS(6734),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHCref] = ACTIONS(6734),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcpageref] = ACTIONS(6734),
    [anon_sym_BSLASHCpageref] = ACTIONS(6734),
    [anon_sym_BSLASHnamecref] = ACTIONS(6734),
    [anon_sym_BSLASHnameCref] = ACTIONS(6734),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6734),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6734),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6734),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6734),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6734),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6734),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6734),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6734),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6734),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6734),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6734),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6734),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6734),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6734),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6734),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6734),
    [anon_sym_BSLASHdef] = ACTIONS(6734),
    [anon_sym_BSLASHgdef] = ACTIONS(6734),
    [anon_sym_BSLASHedef] = ACTIONS(6734),
    [anon_sym_BSLASHxdef] = ACTIONS(6734),
    [anon_sym_BSLASHlet] = ACTIONS(6734),
    [anon_sym_BSLASHglet] = ACTIONS(6734),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6734),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6734),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6734),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6734),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6734),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6734),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6734),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6734),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6734),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6734),
    [anon_sym_BSLASHgls] = ACTIONS(6734),
    [anon_sym_BSLASHGls] = ACTIONS(6734),
    [anon_sym_BSLASHGLS] = ACTIONS(6734),
    [anon_sym_BSLASHglspl] = ACTIONS(6734),
    [anon_sym_BSLASHGlspl] = ACTIONS(6734),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6734),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6734),
    [anon_sym_BSLASHglslink] = ACTIONS(6734),
    [anon_sym_BSLASHglstext] = ACTIONS(6734),
    [anon_sym_BSLASHGlstext] = ACTIONS(6734),
    [anon_sym_BSLASHGLStext] = ACTIONS(6734),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6734),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6734),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6734),
    [anon_sym_BSLASHglsplural] = ACTIONS(6734),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6734),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6734),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6734),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6734),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6734),
    [anon_sym_BSLASHglsname] = ACTIONS(6734),
    [anon_sym_BSLASHGlsname] = ACTIONS(6734),
    [anon_sym_BSLASHGLSname] = ACTIONS(6734),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6734),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6734),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6734),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6734),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6734),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6734),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6734),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6734),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6734),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6734),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6734),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6734),
    [anon_sym_BSLASHacrshort] = ACTIONS(6734),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6734),
    [anon_sym_BSLASHACRshort] = ACTIONS(6734),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6734),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6734),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6734),
    [anon_sym_BSLASHacrlong] = ACTIONS(6734),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6734),
    [anon_sym_BSLASHACRlong] = ACTIONS(6734),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6734),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6734),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6734),
    [anon_sym_BSLASHacrfull] = ACTIONS(6734),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6734),
    [anon_sym_BSLASHACRfull] = ACTIONS(6734),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6734),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6734),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6734),
    [anon_sym_BSLASHacs] = ACTIONS(6734),
    [anon_sym_BSLASHAcs] = ACTIONS(6734),
    [anon_sym_BSLASHacsp] = ACTIONS(6734),
    [anon_sym_BSLASHAcsp] = ACTIONS(6734),
    [anon_sym_BSLASHacl] = ACTIONS(6734),
    [anon_sym_BSLASHAcl] = ACTIONS(6734),
    [anon_sym_BSLASHaclp] = ACTIONS(6734),
    [anon_sym_BSLASHAclp] = ACTIONS(6734),
    [anon_sym_BSLASHacf] = ACTIONS(6734),
    [anon_sym_BSLASHAcf] = ACTIONS(6734),
    [anon_sym_BSLASHacfp] = ACTIONS(6734),
    [anon_sym_BSLASHAcfp] = ACTIONS(6734),
    [anon_sym_BSLASHac] = ACTIONS(6734),
    [anon_sym_BSLASHAc] = ACTIONS(6734),
    [anon_sym_BSLASHacp] = ACTIONS(6734),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6734),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6734),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6734),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6734),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6734),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6734),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6734),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6734),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6734),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6734),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6734),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6734),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6734),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6734),
    [anon_sym_BSLASHcolor] = ACTIONS(6734),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6734),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6734),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6734),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6734),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6734),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6734),
    [anon_sym_BSLASHurl] = ACTIONS(6734),
    [anon_sym_BSLASHhref] = ACTIONS(6734),
  },
  [395] = {
    [sym__section_part] = STATE(540),
    [sym_curly_group] = STATE(537),
    [sym_brack_group] = STATE(2814),
    [sym_command_name] = ACTIONS(6738),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6738),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6740),
    [anon_sym_COMMA] = ACTIONS(6740),
    [anon_sym_EQ] = ACTIONS(6740),
    [anon_sym_LPAREN] = ACTIONS(6740),
    [anon_sym_RPAREN] = ACTIONS(6740),
    [anon_sym_BSLASHpart] = ACTIONS(6738),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHaddpart] = ACTIONS(6738),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHchapter] = ACTIONS(6738),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHaddchap] = ACTIONS(6738),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHsection] = ACTIONS(6738),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHaddsec] = ACTIONS(6738),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHsubsection] = ACTIONS(6738),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6738),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHparagraph] = ACTIONS(6738),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6738),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHitem] = ACTIONS(6738),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6740),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(6738),
    [sym_placeholder] = ACTIONS(6740),
    [sym_delimiter] = ACTIONS(6740),
    [anon_sym_PLUS] = ACTIONS(6740),
    [anon_sym_DASH] = ACTIONS(6740),
    [anon_sym_STAR] = ACTIONS(6740),
    [anon_sym_SLASH] = ACTIONS(6740),
    [anon_sym_LT] = ACTIONS(6738),
    [anon_sym_GT] = ACTIONS(6738),
    [anon_sym_BANG] = ACTIONS(6738),
    [anon_sym_PIPE] = ACTIONS(6738),
    [anon_sym_COLON] = ACTIONS(6738),
    [anon_sym_SQUOTE] = ACTIONS(6738),
    [anon_sym__] = ACTIONS(6740),
    [anon_sym_CARET] = ACTIONS(6740),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6740),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6740),
    [anon_sym_DOLLAR] = ACTIONS(6738),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6740),
    [anon_sym_BSLASHleft] = ACTIONS(6738),
    [anon_sym_BSLASHbigl] = ACTIONS(6738),
    [anon_sym_BSLASHBigl] = ACTIONS(6738),
    [anon_sym_BSLASHbiggl] = ACTIONS(6738),
    [anon_sym_BSLASHBiggl] = ACTIONS(6738),
    [anon_sym_BSLASHright] = ACTIONS(6738),
    [anon_sym_BSLASHbigr] = ACTIONS(6738),
    [anon_sym_BSLASHBigr] = ACTIONS(6738),
    [anon_sym_BSLASHbiggr] = ACTIONS(6738),
    [anon_sym_BSLASHBiggr] = ACTIONS(6738),
    [anon_sym_BSLASHtext] = ACTIONS(6738),
    [anon_sym_BSLASHintertext] = ACTIONS(6738),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6738),
    [anon_sym_BSLASHbegin] = ACTIONS(6738),
    [anon_sym_BSLASHtitle] = ACTIONS(6738),
    [anon_sym_BSLASHauthor] = ACTIONS(6738),
    [anon_sym_BSLASHusepackage] = ACTIONS(6738),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6738),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6738),
    [anon_sym_BSLASHinclude] = ACTIONS(6738),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6738),
    [anon_sym_BSLASHinput] = ACTIONS(6738),
    [anon_sym_BSLASHsubfile] = ACTIONS(6738),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6738),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6738),
    [anon_sym_BSLASHbibliography] = ACTIONS(6738),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6738),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6738),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6738),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6738),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6738),
    [anon_sym_BSLASHimport] = ACTIONS(6738),
    [anon_sym_BSLASHsubimport] = ACTIONS(6738),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6738),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6738),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6738),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6738),
    [anon_sym_BSLASHcaption] = ACTIONS(6738),
    [anon_sym_BSLASHcite] = ACTIONS(6738),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHCite] = ACTIONS(6738),
    [anon_sym_BSLASHnocite] = ACTIONS(6738),
    [anon_sym_BSLASHcitet] = ACTIONS(6738),
    [anon_sym_BSLASHcitep] = ACTIONS(6738),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHciteA] = ACTIONS(6738),
    [anon_sym_BSLASHciteR] = ACTIONS(6738),
    [anon_sym_BSLASHciteS] = ACTIONS(6738),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6738),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6738),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6738),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6738),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHciteyear] = ACTIONS(6738),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcitedate] = ACTIONS(6738),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHciteurl] = ACTIONS(6738),
    [anon_sym_BSLASHfullcite] = ACTIONS(6738),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6738),
    [anon_sym_BSLASHcitealt] = ACTIONS(6738),
    [anon_sym_BSLASHcitealp] = ACTIONS(6738),
    [anon_sym_BSLASHcitetext] = ACTIONS(6738),
    [anon_sym_BSLASHparencite] = ACTIONS(6738),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHParencite] = ACTIONS(6738),
    [anon_sym_BSLASHfootcite] = ACTIONS(6738),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6738),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6738),
    [anon_sym_BSLASHtextcite] = ACTIONS(6738),
    [anon_sym_BSLASHTextcite] = ACTIONS(6738),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6738),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6738),
    [anon_sym_BSLASHsupercite] = ACTIONS(6738),
    [anon_sym_BSLASHautocite] = ACTIONS(6738),
    [anon_sym_BSLASHAutocite] = ACTIONS(6738),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHVolcite] = ACTIONS(6738),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHavolcite] = ACTIONS(6738),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHnotecite] = ACTIONS(6738),
    [anon_sym_BSLASHNotecite] = ACTIONS(6738),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6738),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6738),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6738),
    [anon_sym_BSLASHlabel] = ACTIONS(6738),
    [anon_sym_BSLASHref] = ACTIONS(6738),
    [anon_sym_BSLASHeqref] = ACTIONS(6738),
    [anon_sym_BSLASHvref] = ACTIONS(6738),
    [anon_sym_BSLASHVref] = ACTIONS(6738),
    [anon_sym_BSLASHautoref] = ACTIONS(6738),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHpageref] = ACTIONS(6738),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHautopageref] = ACTIONS(6738),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcref] = ACTIONS(6738),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHCref] = ACTIONS(6738),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcpageref] = ACTIONS(6738),
    [anon_sym_BSLASHCpageref] = ACTIONS(6738),
    [anon_sym_BSLASHnamecref] = ACTIONS(6738),
    [anon_sym_BSLASHnameCref] = ACTIONS(6738),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6738),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6738),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6738),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6738),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6738),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6738),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6738),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6738),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6738),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6738),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6738),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6738),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6738),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6738),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6738),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6738),
    [anon_sym_BSLASHdef] = ACTIONS(6738),
    [anon_sym_BSLASHgdef] = ACTIONS(6738),
    [anon_sym_BSLASHedef] = ACTIONS(6738),
    [anon_sym_BSLASHxdef] = ACTIONS(6738),
    [anon_sym_BSLASHlet] = ACTIONS(6738),
    [anon_sym_BSLASHglet] = ACTIONS(6738),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6738),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6738),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6738),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6738),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6738),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6738),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6738),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6738),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6738),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6738),
    [anon_sym_BSLASHgls] = ACTIONS(6738),
    [anon_sym_BSLASHGls] = ACTIONS(6738),
    [anon_sym_BSLASHGLS] = ACTIONS(6738),
    [anon_sym_BSLASHglspl] = ACTIONS(6738),
    [anon_sym_BSLASHGlspl] = ACTIONS(6738),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6738),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6738),
    [anon_sym_BSLASHglslink] = ACTIONS(6738),
    [anon_sym_BSLASHglstext] = ACTIONS(6738),
    [anon_sym_BSLASHGlstext] = ACTIONS(6738),
    [anon_sym_BSLASHGLStext] = ACTIONS(6738),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6738),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6738),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6738),
    [anon_sym_BSLASHglsplural] = ACTIONS(6738),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6738),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6738),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6738),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6738),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6738),
    [anon_sym_BSLASHglsname] = ACTIONS(6738),
    [anon_sym_BSLASHGlsname] = ACTIONS(6738),
    [anon_sym_BSLASHGLSname] = ACTIONS(6738),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6738),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6738),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6738),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6738),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6738),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6738),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6738),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6738),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6738),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6738),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6738),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6738),
    [anon_sym_BSLASHacrshort] = ACTIONS(6738),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6738),
    [anon_sym_BSLASHACRshort] = ACTIONS(6738),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6738),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6738),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6738),
    [anon_sym_BSLASHacrlong] = ACTIONS(6738),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6738),
    [anon_sym_BSLASHACRlong] = ACTIONS(6738),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6738),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6738),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6738),
    [anon_sym_BSLASHacrfull] = ACTIONS(6738),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6738),
    [anon_sym_BSLASHACRfull] = ACTIONS(6738),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6738),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6738),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6738),
    [anon_sym_BSLASHacs] = ACTIONS(6738),
    [anon_sym_BSLASHAcs] = ACTIONS(6738),
    [anon_sym_BSLASHacsp] = ACTIONS(6738),
    [anon_sym_BSLASHAcsp] = ACTIONS(6738),
    [anon_sym_BSLASHacl] = ACTIONS(6738),
    [anon_sym_BSLASHAcl] = ACTIONS(6738),
    [anon_sym_BSLASHaclp] = ACTIONS(6738),
    [anon_sym_BSLASHAclp] = ACTIONS(6738),
    [anon_sym_BSLASHacf] = ACTIONS(6738),
    [anon_sym_BSLASHAcf] = ACTIONS(6738),
    [anon_sym_BSLASHacfp] = ACTIONS(6738),
    [anon_sym_BSLASHAcfp] = ACTIONS(6738),
    [anon_sym_BSLASHac] = ACTIONS(6738),
    [anon_sym_BSLASHAc] = ACTIONS(6738),
    [anon_sym_BSLASHacp] = ACTIONS(6738),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6738),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6738),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6738),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6738),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6738),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6738),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6738),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6738),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6738),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6738),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6738),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6738),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6738),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6738),
    [anon_sym_BSLASHcolor] = ACTIONS(6738),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6738),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6738),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6738),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6738),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6738),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6738),
    [anon_sym_BSLASHurl] = ACTIONS(6738),
    [anon_sym_BSLASHhref] = ACTIONS(6738),
  },
  [396] = {
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(409),
    [aux_sym__paragraph_repeat2] = STATE(409),
    [sym_command_name] = ACTIONS(2344),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2344),
    [anon_sym_LBRACK] = ACTIONS(2346),
    [anon_sym_RBRACK] = ACTIONS(2346),
    [anon_sym_COMMA] = ACTIONS(2346),
    [anon_sym_EQ] = ACTIONS(2346),
    [anon_sym_LPAREN] = ACTIONS(2346),
    [anon_sym_RPAREN] = ACTIONS(2346),
    [anon_sym_BSLASHpart] = ACTIONS(2344),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddpart] = ACTIONS(2344),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHchapter] = ACTIONS(2344),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddchap] = ACTIONS(2344),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsection] = ACTIONS(2344),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddsec] = ACTIONS(2344),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHparagraph] = ACTIONS(2344),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(2344),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2346),
    [anon_sym_LBRACE] = ACTIONS(2346),
    [sym_word] = ACTIONS(2344),
    [sym_placeholder] = ACTIONS(2346),
    [sym_delimiter] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_PIPE] = ACTIONS(2344),
    [anon_sym_COLON] = ACTIONS(2344),
    [anon_sym_SQUOTE] = ACTIONS(2344),
    [anon_sym__] = ACTIONS(2346),
    [anon_sym_CARET] = ACTIONS(2346),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2346),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2346),
    [anon_sym_DOLLAR] = ACTIONS(2344),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2346),
    [anon_sym_BSLASHleft] = ACTIONS(2344),
    [anon_sym_BSLASHbigl] = ACTIONS(2344),
    [anon_sym_BSLASHBigl] = ACTIONS(2344),
    [anon_sym_BSLASHbiggl] = ACTIONS(2344),
    [anon_sym_BSLASHBiggl] = ACTIONS(2344),
    [anon_sym_BSLASHright] = ACTIONS(2344),
    [anon_sym_BSLASHbigr] = ACTIONS(2344),
    [anon_sym_BSLASHBigr] = ACTIONS(2344),
    [anon_sym_BSLASHbiggr] = ACTIONS(2344),
    [anon_sym_BSLASHBiggr] = ACTIONS(2344),
    [anon_sym_BSLASHtext] = ACTIONS(2344),
    [anon_sym_BSLASHintertext] = ACTIONS(2344),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2344),
    [anon_sym_BSLASHbegin] = ACTIONS(2344),
    [anon_sym_BSLASHtitle] = ACTIONS(2344),
    [anon_sym_BSLASHauthor] = ACTIONS(2344),
    [anon_sym_BSLASHusepackage] = ACTIONS(2344),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2344),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2344),
    [anon_sym_BSLASHinclude] = ACTIONS(2344),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2344),
    [anon_sym_BSLASHinput] = ACTIONS(2344),
    [anon_sym_BSLASHsubfile] = ACTIONS(2344),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2344),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2344),
    [anon_sym_BSLASHbibliography] = ACTIONS(2344),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2344),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2344),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2344),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2344),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2344),
    [anon_sym_BSLASHimport] = ACTIONS(2344),
    [anon_sym_BSLASHsubimport] = ACTIONS(2344),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2344),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2344),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2344),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2344),
    [anon_sym_BSLASHcaption] = ACTIONS(2344),
    [anon_sym_BSLASHcite] = ACTIONS(2344),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCite] = ACTIONS(2344),
    [anon_sym_BSLASHnocite] = ACTIONS(2344),
    [anon_sym_BSLASHcitet] = ACTIONS(2344),
    [anon_sym_BSLASHcitep] = ACTIONS(2344),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteA] = ACTIONS(2344),
    [anon_sym_BSLASHciteR] = ACTIONS(2344),
    [anon_sym_BSLASHciteS] = ACTIONS(2344),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2344),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2344),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2344),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2344),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteyear] = ACTIONS(2344),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitedate] = ACTIONS(2344),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteurl] = ACTIONS(2344),
    [anon_sym_BSLASHfullcite] = ACTIONS(2344),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2344),
    [anon_sym_BSLASHcitealt] = ACTIONS(2344),
    [anon_sym_BSLASHcitealp] = ACTIONS(2344),
    [anon_sym_BSLASHcitetext] = ACTIONS(2344),
    [anon_sym_BSLASHparencite] = ACTIONS(2344),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHParencite] = ACTIONS(2344),
    [anon_sym_BSLASHfootcite] = ACTIONS(2344),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2344),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2344),
    [anon_sym_BSLASHtextcite] = ACTIONS(2344),
    [anon_sym_BSLASHTextcite] = ACTIONS(2344),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2344),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2344),
    [anon_sym_BSLASHsupercite] = ACTIONS(2344),
    [anon_sym_BSLASHautocite] = ACTIONS(2344),
    [anon_sym_BSLASHAutocite] = ACTIONS(2344),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHVolcite] = ACTIONS(2344),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHavolcite] = ACTIONS(2344),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHNotecite] = ACTIONS(2344),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHlabel] = ACTIONS(2344),
    [anon_sym_BSLASHref] = ACTIONS(2344),
    [anon_sym_BSLASHeqref] = ACTIONS(2344),
    [anon_sym_BSLASHvref] = ACTIONS(2344),
    [anon_sym_BSLASHVref] = ACTIONS(2344),
    [anon_sym_BSLASHautoref] = ACTIONS(2344),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHpageref] = ACTIONS(2344),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHautopageref] = ACTIONS(2344),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcref] = ACTIONS(2344),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCref] = ACTIONS(2344),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcpageref] = ACTIONS(2344),
    [anon_sym_BSLASHCpageref] = ACTIONS(2344),
    [anon_sym_BSLASHnamecref] = ACTIONS(2344),
    [anon_sym_BSLASHnameCref] = ACTIONS(2344),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2344),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2344),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2344),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2344),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2344),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2344),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2344),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2344),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2344),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2344),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2344),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHdef] = ACTIONS(2344),
    [anon_sym_BSLASHgdef] = ACTIONS(2344),
    [anon_sym_BSLASHedef] = ACTIONS(2344),
    [anon_sym_BSLASHxdef] = ACTIONS(2344),
    [anon_sym_BSLASHlet] = ACTIONS(2344),
    [anon_sym_BSLASHglet] = ACTIONS(2344),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2344),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2344),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2344),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2344),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2344),
    [anon_sym_BSLASHgls] = ACTIONS(2344),
    [anon_sym_BSLASHGls] = ACTIONS(2344),
    [anon_sym_BSLASHGLS] = ACTIONS(2344),
    [anon_sym_BSLASHglspl] = ACTIONS(2344),
    [anon_sym_BSLASHGlspl] = ACTIONS(2344),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2344),
    [anon_sym_BSLASHglslink] = ACTIONS(2344),
    [anon_sym_BSLASHglstext] = ACTIONS(2344),
    [anon_sym_BSLASHGlstext] = ACTIONS(2344),
    [anon_sym_BSLASHGLStext] = ACTIONS(2344),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2344),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2344),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2344),
    [anon_sym_BSLASHglsplural] = ACTIONS(2344),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2344),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2344),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHglsname] = ACTIONS(2344),
    [anon_sym_BSLASHGlsname] = ACTIONS(2344),
    [anon_sym_BSLASHGLSname] = ACTIONS(2344),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2344),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2344),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2344),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2344),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2344),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2344),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2344),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2344),
    [anon_sym_BSLASHacrshort] = ACTIONS(2344),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2344),
    [anon_sym_BSLASHACRshort] = ACTIONS(2344),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHacrlong] = ACTIONS(2344),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2344),
    [anon_sym_BSLASHACRlong] = ACTIONS(2344),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHacrfull] = ACTIONS(2344),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2344),
    [anon_sym_BSLASHACRfull] = ACTIONS(2344),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHacs] = ACTIONS(2344),
    [anon_sym_BSLASHAcs] = ACTIONS(2344),
    [anon_sym_BSLASHacsp] = ACTIONS(2344),
    [anon_sym_BSLASHAcsp] = ACTIONS(2344),
    [anon_sym_BSLASHacl] = ACTIONS(2344),
    [anon_sym_BSLASHAcl] = ACTIONS(2344),
    [anon_sym_BSLASHaclp] = ACTIONS(2344),
    [anon_sym_BSLASHAclp] = ACTIONS(2344),
    [anon_sym_BSLASHacf] = ACTIONS(2344),
    [anon_sym_BSLASHAcf] = ACTIONS(2344),
    [anon_sym_BSLASHacfp] = ACTIONS(2344),
    [anon_sym_BSLASHAcfp] = ACTIONS(2344),
    [anon_sym_BSLASHac] = ACTIONS(2344),
    [anon_sym_BSLASHAc] = ACTIONS(2344),
    [anon_sym_BSLASHacp] = ACTIONS(2344),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2344),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2344),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2344),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2344),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2344),
    [anon_sym_BSLASHcolor] = ACTIONS(2344),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2344),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2344),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2344),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2344),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2344),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2344),
    [anon_sym_BSLASHurl] = ACTIONS(2344),
    [anon_sym_BSLASHhref] = ACTIONS(2344),
  },
  [397] = {
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(410),
    [aux_sym__paragraph_repeat3] = STATE(410),
    [sym_command_name] = ACTIONS(2344),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2344),
    [anon_sym_LBRACK] = ACTIONS(2346),
    [anon_sym_RBRACK] = ACTIONS(2346),
    [anon_sym_COMMA] = ACTIONS(2346),
    [anon_sym_EQ] = ACTIONS(2346),
    [anon_sym_LPAREN] = ACTIONS(2346),
    [anon_sym_RPAREN] = ACTIONS(2346),
    [anon_sym_BSLASHpart] = ACTIONS(2344),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddpart] = ACTIONS(2344),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHchapter] = ACTIONS(2344),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddchap] = ACTIONS(2344),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsection] = ACTIONS(2344),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddsec] = ACTIONS(2344),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHparagraph] = ACTIONS(2344),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2344),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(2346),
    [sym_word] = ACTIONS(2344),
    [sym_placeholder] = ACTIONS(2346),
    [sym_delimiter] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_PIPE] = ACTIONS(2344),
    [anon_sym_COLON] = ACTIONS(2344),
    [anon_sym_SQUOTE] = ACTIONS(2344),
    [anon_sym__] = ACTIONS(2346),
    [anon_sym_CARET] = ACTIONS(2346),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2346),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2346),
    [anon_sym_DOLLAR] = ACTIONS(2344),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2346),
    [anon_sym_BSLASHleft] = ACTIONS(2344),
    [anon_sym_BSLASHbigl] = ACTIONS(2344),
    [anon_sym_BSLASHBigl] = ACTIONS(2344),
    [anon_sym_BSLASHbiggl] = ACTIONS(2344),
    [anon_sym_BSLASHBiggl] = ACTIONS(2344),
    [anon_sym_BSLASHright] = ACTIONS(2344),
    [anon_sym_BSLASHbigr] = ACTIONS(2344),
    [anon_sym_BSLASHBigr] = ACTIONS(2344),
    [anon_sym_BSLASHbiggr] = ACTIONS(2344),
    [anon_sym_BSLASHBiggr] = ACTIONS(2344),
    [anon_sym_BSLASHtext] = ACTIONS(2344),
    [anon_sym_BSLASHintertext] = ACTIONS(2344),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2344),
    [anon_sym_BSLASHbegin] = ACTIONS(2344),
    [anon_sym_BSLASHtitle] = ACTIONS(2344),
    [anon_sym_BSLASHauthor] = ACTIONS(2344),
    [anon_sym_BSLASHusepackage] = ACTIONS(2344),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2344),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2344),
    [anon_sym_BSLASHinclude] = ACTIONS(2344),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2344),
    [anon_sym_BSLASHinput] = ACTIONS(2344),
    [anon_sym_BSLASHsubfile] = ACTIONS(2344),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2344),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2344),
    [anon_sym_BSLASHbibliography] = ACTIONS(2344),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2344),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2344),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2344),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2344),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2344),
    [anon_sym_BSLASHimport] = ACTIONS(2344),
    [anon_sym_BSLASHsubimport] = ACTIONS(2344),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2344),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2344),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2344),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2344),
    [anon_sym_BSLASHcaption] = ACTIONS(2344),
    [anon_sym_BSLASHcite] = ACTIONS(2344),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCite] = ACTIONS(2344),
    [anon_sym_BSLASHnocite] = ACTIONS(2344),
    [anon_sym_BSLASHcitet] = ACTIONS(2344),
    [anon_sym_BSLASHcitep] = ACTIONS(2344),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteA] = ACTIONS(2344),
    [anon_sym_BSLASHciteR] = ACTIONS(2344),
    [anon_sym_BSLASHciteS] = ACTIONS(2344),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2344),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2344),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2344),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2344),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteyear] = ACTIONS(2344),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitedate] = ACTIONS(2344),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteurl] = ACTIONS(2344),
    [anon_sym_BSLASHfullcite] = ACTIONS(2344),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2344),
    [anon_sym_BSLASHcitealt] = ACTIONS(2344),
    [anon_sym_BSLASHcitealp] = ACTIONS(2344),
    [anon_sym_BSLASHcitetext] = ACTIONS(2344),
    [anon_sym_BSLASHparencite] = ACTIONS(2344),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHParencite] = ACTIONS(2344),
    [anon_sym_BSLASHfootcite] = ACTIONS(2344),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2344),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2344),
    [anon_sym_BSLASHtextcite] = ACTIONS(2344),
    [anon_sym_BSLASHTextcite] = ACTIONS(2344),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2344),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2344),
    [anon_sym_BSLASHsupercite] = ACTIONS(2344),
    [anon_sym_BSLASHautocite] = ACTIONS(2344),
    [anon_sym_BSLASHAutocite] = ACTIONS(2344),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHVolcite] = ACTIONS(2344),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHavolcite] = ACTIONS(2344),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHNotecite] = ACTIONS(2344),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHlabel] = ACTIONS(2344),
    [anon_sym_BSLASHref] = ACTIONS(2344),
    [anon_sym_BSLASHeqref] = ACTIONS(2344),
    [anon_sym_BSLASHvref] = ACTIONS(2344),
    [anon_sym_BSLASHVref] = ACTIONS(2344),
    [anon_sym_BSLASHautoref] = ACTIONS(2344),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHpageref] = ACTIONS(2344),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHautopageref] = ACTIONS(2344),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcref] = ACTIONS(2344),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCref] = ACTIONS(2344),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcpageref] = ACTIONS(2344),
    [anon_sym_BSLASHCpageref] = ACTIONS(2344),
    [anon_sym_BSLASHnamecref] = ACTIONS(2344),
    [anon_sym_BSLASHnameCref] = ACTIONS(2344),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2344),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2344),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2344),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2344),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2344),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2344),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2344),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2344),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2344),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2344),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2344),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHdef] = ACTIONS(2344),
    [anon_sym_BSLASHgdef] = ACTIONS(2344),
    [anon_sym_BSLASHedef] = ACTIONS(2344),
    [anon_sym_BSLASHxdef] = ACTIONS(2344),
    [anon_sym_BSLASHlet] = ACTIONS(2344),
    [anon_sym_BSLASHglet] = ACTIONS(2344),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2344),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2344),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2344),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2344),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2344),
    [anon_sym_BSLASHgls] = ACTIONS(2344),
    [anon_sym_BSLASHGls] = ACTIONS(2344),
    [anon_sym_BSLASHGLS] = ACTIONS(2344),
    [anon_sym_BSLASHglspl] = ACTIONS(2344),
    [anon_sym_BSLASHGlspl] = ACTIONS(2344),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2344),
    [anon_sym_BSLASHglslink] = ACTIONS(2344),
    [anon_sym_BSLASHglstext] = ACTIONS(2344),
    [anon_sym_BSLASHGlstext] = ACTIONS(2344),
    [anon_sym_BSLASHGLStext] = ACTIONS(2344),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2344),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2344),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2344),
    [anon_sym_BSLASHglsplural] = ACTIONS(2344),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2344),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2344),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHglsname] = ACTIONS(2344),
    [anon_sym_BSLASHGlsname] = ACTIONS(2344),
    [anon_sym_BSLASHGLSname] = ACTIONS(2344),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2344),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2344),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2344),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2344),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2344),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2344),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2344),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2344),
    [anon_sym_BSLASHacrshort] = ACTIONS(2344),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2344),
    [anon_sym_BSLASHACRshort] = ACTIONS(2344),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHacrlong] = ACTIONS(2344),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2344),
    [anon_sym_BSLASHACRlong] = ACTIONS(2344),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHacrfull] = ACTIONS(2344),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2344),
    [anon_sym_BSLASHACRfull] = ACTIONS(2344),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHacs] = ACTIONS(2344),
    [anon_sym_BSLASHAcs] = ACTIONS(2344),
    [anon_sym_BSLASHacsp] = ACTIONS(2344),
    [anon_sym_BSLASHAcsp] = ACTIONS(2344),
    [anon_sym_BSLASHacl] = ACTIONS(2344),
    [anon_sym_BSLASHAcl] = ACTIONS(2344),
    [anon_sym_BSLASHaclp] = ACTIONS(2344),
    [anon_sym_BSLASHAclp] = ACTIONS(2344),
    [anon_sym_BSLASHacf] = ACTIONS(2344),
    [anon_sym_BSLASHAcf] = ACTIONS(2344),
    [anon_sym_BSLASHacfp] = ACTIONS(2344),
    [anon_sym_BSLASHAcfp] = ACTIONS(2344),
    [anon_sym_BSLASHac] = ACTIONS(2344),
    [anon_sym_BSLASHAc] = ACTIONS(2344),
    [anon_sym_BSLASHacp] = ACTIONS(2344),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2344),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2344),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2344),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2344),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2344),
    [anon_sym_BSLASHcolor] = ACTIONS(2344),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2344),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2344),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2344),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2344),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2344),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2344),
    [anon_sym_BSLASHurl] = ACTIONS(2344),
    [anon_sym_BSLASHhref] = ACTIONS(2344),
  },
  [398] = {
    [sym__section_part] = STATE(541),
    [sym_curly_group] = STATE(537),
    [sym_brack_group] = STATE(2814),
    [sym_command_name] = ACTIONS(6742),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6742),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6744),
    [anon_sym_COMMA] = ACTIONS(6744),
    [anon_sym_EQ] = ACTIONS(6744),
    [anon_sym_LPAREN] = ACTIONS(6744),
    [anon_sym_RPAREN] = ACTIONS(6744),
    [anon_sym_BSLASHpart] = ACTIONS(6742),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHaddpart] = ACTIONS(6742),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHchapter] = ACTIONS(6742),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHaddchap] = ACTIONS(6742),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHsection] = ACTIONS(6742),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHaddsec] = ACTIONS(6742),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHsubsection] = ACTIONS(6742),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6742),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHparagraph] = ACTIONS(6742),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6742),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHitem] = ACTIONS(6742),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6744),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(6742),
    [sym_placeholder] = ACTIONS(6744),
    [sym_delimiter] = ACTIONS(6744),
    [anon_sym_PLUS] = ACTIONS(6744),
    [anon_sym_DASH] = ACTIONS(6744),
    [anon_sym_STAR] = ACTIONS(6744),
    [anon_sym_SLASH] = ACTIONS(6744),
    [anon_sym_LT] = ACTIONS(6742),
    [anon_sym_GT] = ACTIONS(6742),
    [anon_sym_BANG] = ACTIONS(6742),
    [anon_sym_PIPE] = ACTIONS(6742),
    [anon_sym_COLON] = ACTIONS(6742),
    [anon_sym_SQUOTE] = ACTIONS(6742),
    [anon_sym__] = ACTIONS(6744),
    [anon_sym_CARET] = ACTIONS(6744),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6744),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6744),
    [anon_sym_DOLLAR] = ACTIONS(6742),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6744),
    [anon_sym_BSLASHleft] = ACTIONS(6742),
    [anon_sym_BSLASHbigl] = ACTIONS(6742),
    [anon_sym_BSLASHBigl] = ACTIONS(6742),
    [anon_sym_BSLASHbiggl] = ACTIONS(6742),
    [anon_sym_BSLASHBiggl] = ACTIONS(6742),
    [anon_sym_BSLASHright] = ACTIONS(6742),
    [anon_sym_BSLASHbigr] = ACTIONS(6742),
    [anon_sym_BSLASHBigr] = ACTIONS(6742),
    [anon_sym_BSLASHbiggr] = ACTIONS(6742),
    [anon_sym_BSLASHBiggr] = ACTIONS(6742),
    [anon_sym_BSLASHtext] = ACTIONS(6742),
    [anon_sym_BSLASHintertext] = ACTIONS(6742),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6742),
    [anon_sym_BSLASHbegin] = ACTIONS(6742),
    [anon_sym_BSLASHtitle] = ACTIONS(6742),
    [anon_sym_BSLASHauthor] = ACTIONS(6742),
    [anon_sym_BSLASHusepackage] = ACTIONS(6742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6742),
    [anon_sym_BSLASHinclude] = ACTIONS(6742),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6742),
    [anon_sym_BSLASHinput] = ACTIONS(6742),
    [anon_sym_BSLASHsubfile] = ACTIONS(6742),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6742),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6742),
    [anon_sym_BSLASHbibliography] = ACTIONS(6742),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6742),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6742),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6742),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6742),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6742),
    [anon_sym_BSLASHimport] = ACTIONS(6742),
    [anon_sym_BSLASHsubimport] = ACTIONS(6742),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6742),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6742),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6742),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6742),
    [anon_sym_BSLASHcaption] = ACTIONS(6742),
    [anon_sym_BSLASHcite] = ACTIONS(6742),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHCite] = ACTIONS(6742),
    [anon_sym_BSLASHnocite] = ACTIONS(6742),
    [anon_sym_BSLASHcitet] = ACTIONS(6742),
    [anon_sym_BSLASHcitep] = ACTIONS(6742),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHciteA] = ACTIONS(6742),
    [anon_sym_BSLASHciteR] = ACTIONS(6742),
    [anon_sym_BSLASHciteS] = ACTIONS(6742),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6742),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6742),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6742),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6742),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHciteyear] = ACTIONS(6742),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcitedate] = ACTIONS(6742),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHciteurl] = ACTIONS(6742),
    [anon_sym_BSLASHfullcite] = ACTIONS(6742),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6742),
    [anon_sym_BSLASHcitealt] = ACTIONS(6742),
    [anon_sym_BSLASHcitealp] = ACTIONS(6742),
    [anon_sym_BSLASHcitetext] = ACTIONS(6742),
    [anon_sym_BSLASHparencite] = ACTIONS(6742),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHParencite] = ACTIONS(6742),
    [anon_sym_BSLASHfootcite] = ACTIONS(6742),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6742),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6742),
    [anon_sym_BSLASHtextcite] = ACTIONS(6742),
    [anon_sym_BSLASHTextcite] = ACTIONS(6742),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6742),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6742),
    [anon_sym_BSLASHsupercite] = ACTIONS(6742),
    [anon_sym_BSLASHautocite] = ACTIONS(6742),
    [anon_sym_BSLASHAutocite] = ACTIONS(6742),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHVolcite] = ACTIONS(6742),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHavolcite] = ACTIONS(6742),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHnotecite] = ACTIONS(6742),
    [anon_sym_BSLASHNotecite] = ACTIONS(6742),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6742),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6742),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6742),
    [anon_sym_BSLASHlabel] = ACTIONS(6742),
    [anon_sym_BSLASHref] = ACTIONS(6742),
    [anon_sym_BSLASHeqref] = ACTIONS(6742),
    [anon_sym_BSLASHvref] = ACTIONS(6742),
    [anon_sym_BSLASHVref] = ACTIONS(6742),
    [anon_sym_BSLASHautoref] = ACTIONS(6742),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHpageref] = ACTIONS(6742),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHautopageref] = ACTIONS(6742),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcref] = ACTIONS(6742),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHCref] = ACTIONS(6742),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcpageref] = ACTIONS(6742),
    [anon_sym_BSLASHCpageref] = ACTIONS(6742),
    [anon_sym_BSLASHnamecref] = ACTIONS(6742),
    [anon_sym_BSLASHnameCref] = ACTIONS(6742),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6742),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6742),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6742),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6742),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6742),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6742),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6742),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6742),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6742),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6742),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6742),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6742),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6742),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6742),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6742),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6742),
    [anon_sym_BSLASHdef] = ACTIONS(6742),
    [anon_sym_BSLASHgdef] = ACTIONS(6742),
    [anon_sym_BSLASHedef] = ACTIONS(6742),
    [anon_sym_BSLASHxdef] = ACTIONS(6742),
    [anon_sym_BSLASHlet] = ACTIONS(6742),
    [anon_sym_BSLASHglet] = ACTIONS(6742),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6742),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6742),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6742),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6742),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6742),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6742),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6742),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6742),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6742),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6742),
    [anon_sym_BSLASHgls] = ACTIONS(6742),
    [anon_sym_BSLASHGls] = ACTIONS(6742),
    [anon_sym_BSLASHGLS] = ACTIONS(6742),
    [anon_sym_BSLASHglspl] = ACTIONS(6742),
    [anon_sym_BSLASHGlspl] = ACTIONS(6742),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6742),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6742),
    [anon_sym_BSLASHglslink] = ACTIONS(6742),
    [anon_sym_BSLASHglstext] = ACTIONS(6742),
    [anon_sym_BSLASHGlstext] = ACTIONS(6742),
    [anon_sym_BSLASHGLStext] = ACTIONS(6742),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6742),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6742),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6742),
    [anon_sym_BSLASHglsplural] = ACTIONS(6742),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6742),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6742),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6742),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6742),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6742),
    [anon_sym_BSLASHglsname] = ACTIONS(6742),
    [anon_sym_BSLASHGlsname] = ACTIONS(6742),
    [anon_sym_BSLASHGLSname] = ACTIONS(6742),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6742),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6742),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6742),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6742),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6742),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6742),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6742),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6742),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6742),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6742),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6742),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6742),
    [anon_sym_BSLASHacrshort] = ACTIONS(6742),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6742),
    [anon_sym_BSLASHACRshort] = ACTIONS(6742),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6742),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6742),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6742),
    [anon_sym_BSLASHacrlong] = ACTIONS(6742),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6742),
    [anon_sym_BSLASHACRlong] = ACTIONS(6742),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6742),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6742),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6742),
    [anon_sym_BSLASHacrfull] = ACTIONS(6742),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6742),
    [anon_sym_BSLASHACRfull] = ACTIONS(6742),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6742),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6742),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6742),
    [anon_sym_BSLASHacs] = ACTIONS(6742),
    [anon_sym_BSLASHAcs] = ACTIONS(6742),
    [anon_sym_BSLASHacsp] = ACTIONS(6742),
    [anon_sym_BSLASHAcsp] = ACTIONS(6742),
    [anon_sym_BSLASHacl] = ACTIONS(6742),
    [anon_sym_BSLASHAcl] = ACTIONS(6742),
    [anon_sym_BSLASHaclp] = ACTIONS(6742),
    [anon_sym_BSLASHAclp] = ACTIONS(6742),
    [anon_sym_BSLASHacf] = ACTIONS(6742),
    [anon_sym_BSLASHAcf] = ACTIONS(6742),
    [anon_sym_BSLASHacfp] = ACTIONS(6742),
    [anon_sym_BSLASHAcfp] = ACTIONS(6742),
    [anon_sym_BSLASHac] = ACTIONS(6742),
    [anon_sym_BSLASHAc] = ACTIONS(6742),
    [anon_sym_BSLASHacp] = ACTIONS(6742),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6742),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6742),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6742),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6742),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6742),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6742),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6742),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6742),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6742),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6742),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6742),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6742),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6742),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6742),
    [anon_sym_BSLASHcolor] = ACTIONS(6742),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6742),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6742),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6742),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6742),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6742),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6742),
    [anon_sym_BSLASHurl] = ACTIONS(6742),
    [anon_sym_BSLASHhref] = ACTIONS(6742),
  },
  [399] = {
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(410),
    [aux_sym__paragraph_repeat3] = STATE(410),
    [sym_command_name] = ACTIONS(2354),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2356),
    [anon_sym_RBRACK] = ACTIONS(2356),
    [anon_sym_COMMA] = ACTIONS(2356),
    [anon_sym_EQ] = ACTIONS(2356),
    [anon_sym_LPAREN] = ACTIONS(2356),
    [anon_sym_RPAREN] = ACTIONS(2356),
    [anon_sym_BSLASHpart] = ACTIONS(2354),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddpart] = ACTIONS(2354),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHchapter] = ACTIONS(2354),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddchap] = ACTIONS(2354),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsection] = ACTIONS(2354),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddsec] = ACTIONS(2354),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubsection] = ACTIONS(2354),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2354),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHparagraph] = ACTIONS(2354),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2354),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(2356),
    [sym_word] = ACTIONS(2354),
    [sym_placeholder] = ACTIONS(2356),
    [sym_delimiter] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_SLASH] = ACTIONS(2356),
    [anon_sym_LT] = ACTIONS(2354),
    [anon_sym_GT] = ACTIONS(2354),
    [anon_sym_BANG] = ACTIONS(2354),
    [anon_sym_PIPE] = ACTIONS(2354),
    [anon_sym_COLON] = ACTIONS(2354),
    [anon_sym_SQUOTE] = ACTIONS(2354),
    [anon_sym__] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2356),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2356),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2356),
    [anon_sym_DOLLAR] = ACTIONS(2354),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2356),
    [anon_sym_BSLASHleft] = ACTIONS(2354),
    [anon_sym_BSLASHbigl] = ACTIONS(2354),
    [anon_sym_BSLASHBigl] = ACTIONS(2354),
    [anon_sym_BSLASHbiggl] = ACTIONS(2354),
    [anon_sym_BSLASHBiggl] = ACTIONS(2354),
    [anon_sym_BSLASHright] = ACTIONS(2354),
    [anon_sym_BSLASHbigr] = ACTIONS(2354),
    [anon_sym_BSLASHBigr] = ACTIONS(2354),
    [anon_sym_BSLASHbiggr] = ACTIONS(2354),
    [anon_sym_BSLASHBiggr] = ACTIONS(2354),
    [anon_sym_BSLASHtext] = ACTIONS(2354),
    [anon_sym_BSLASHintertext] = ACTIONS(2354),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2354),
    [anon_sym_BSLASHbegin] = ACTIONS(2354),
    [anon_sym_BSLASHtitle] = ACTIONS(2354),
    [anon_sym_BSLASHauthor] = ACTIONS(2354),
    [anon_sym_BSLASHusepackage] = ACTIONS(2354),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2354),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2354),
    [anon_sym_BSLASHinclude] = ACTIONS(2354),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2354),
    [anon_sym_BSLASHinput] = ACTIONS(2354),
    [anon_sym_BSLASHsubfile] = ACTIONS(2354),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2354),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2354),
    [anon_sym_BSLASHbibliography] = ACTIONS(2354),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2354),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2354),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2354),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2354),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2354),
    [anon_sym_BSLASHimport] = ACTIONS(2354),
    [anon_sym_BSLASHsubimport] = ACTIONS(2354),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2354),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2354),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2354),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2354),
    [anon_sym_BSLASHcaption] = ACTIONS(2354),
    [anon_sym_BSLASHcite] = ACTIONS(2354),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHCite] = ACTIONS(2354),
    [anon_sym_BSLASHnocite] = ACTIONS(2354),
    [anon_sym_BSLASHcitet] = ACTIONS(2354),
    [anon_sym_BSLASHcitep] = ACTIONS(2354),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHciteA] = ACTIONS(2354),
    [anon_sym_BSLASHciteR] = ACTIONS(2354),
    [anon_sym_BSLASHciteS] = ACTIONS(2354),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2354),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2354),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2354),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2354),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHciteyear] = ACTIONS(2354),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcitedate] = ACTIONS(2354),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHciteurl] = ACTIONS(2354),
    [anon_sym_BSLASHfullcite] = ACTIONS(2354),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2354),
    [anon_sym_BSLASHcitealt] = ACTIONS(2354),
    [anon_sym_BSLASHcitealp] = ACTIONS(2354),
    [anon_sym_BSLASHcitetext] = ACTIONS(2354),
    [anon_sym_BSLASHparencite] = ACTIONS(2354),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHParencite] = ACTIONS(2354),
    [anon_sym_BSLASHfootcite] = ACTIONS(2354),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2354),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2354),
    [anon_sym_BSLASHtextcite] = ACTIONS(2354),
    [anon_sym_BSLASHTextcite] = ACTIONS(2354),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2354),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2354),
    [anon_sym_BSLASHsupercite] = ACTIONS(2354),
    [anon_sym_BSLASHautocite] = ACTIONS(2354),
    [anon_sym_BSLASHAutocite] = ACTIONS(2354),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHVolcite] = ACTIONS(2354),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHavolcite] = ACTIONS(2354),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHnotecite] = ACTIONS(2354),
    [anon_sym_BSLASHNotecite] = ACTIONS(2354),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2354),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2354),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2354),
    [anon_sym_BSLASHlabel] = ACTIONS(2354),
    [anon_sym_BSLASHref] = ACTIONS(2354),
    [anon_sym_BSLASHeqref] = ACTIONS(2354),
    [anon_sym_BSLASHvref] = ACTIONS(2354),
    [anon_sym_BSLASHVref] = ACTIONS(2354),
    [anon_sym_BSLASHautoref] = ACTIONS(2354),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHpageref] = ACTIONS(2354),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHautopageref] = ACTIONS(2354),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcref] = ACTIONS(2354),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHCref] = ACTIONS(2354),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcpageref] = ACTIONS(2354),
    [anon_sym_BSLASHCpageref] = ACTIONS(2354),
    [anon_sym_BSLASHnamecref] = ACTIONS(2354),
    [anon_sym_BSLASHnameCref] = ACTIONS(2354),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2354),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2354),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2354),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2354),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2354),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2354),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2354),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2354),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2354),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2354),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2354),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2354),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2354),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2354),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2354),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2354),
    [anon_sym_BSLASHdef] = ACTIONS(2354),
    [anon_sym_BSLASHgdef] = ACTIONS(2354),
    [anon_sym_BSLASHedef] = ACTIONS(2354),
    [anon_sym_BSLASHxdef] = ACTIONS(2354),
    [anon_sym_BSLASHlet] = ACTIONS(2354),
    [anon_sym_BSLASHglet] = ACTIONS(2354),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2354),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2354),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2354),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2354),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2354),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2354),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2354),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2354),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2354),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2354),
    [anon_sym_BSLASHgls] = ACTIONS(2354),
    [anon_sym_BSLASHGls] = ACTIONS(2354),
    [anon_sym_BSLASHGLS] = ACTIONS(2354),
    [anon_sym_BSLASHglspl] = ACTIONS(2354),
    [anon_sym_BSLASHGlspl] = ACTIONS(2354),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2354),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2354),
    [anon_sym_BSLASHglslink] = ACTIONS(2354),
    [anon_sym_BSLASHglstext] = ACTIONS(2354),
    [anon_sym_BSLASHGlstext] = ACTIONS(2354),
    [anon_sym_BSLASHGLStext] = ACTIONS(2354),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2354),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2354),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2354),
    [anon_sym_BSLASHglsplural] = ACTIONS(2354),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2354),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2354),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2354),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2354),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2354),
    [anon_sym_BSLASHglsname] = ACTIONS(2354),
    [anon_sym_BSLASHGlsname] = ACTIONS(2354),
    [anon_sym_BSLASHGLSname] = ACTIONS(2354),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2354),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2354),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2354),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2354),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2354),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2354),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2354),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2354),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2354),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2354),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2354),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2354),
    [anon_sym_BSLASHacrshort] = ACTIONS(2354),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2354),
    [anon_sym_BSLASHACRshort] = ACTIONS(2354),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2354),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2354),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2354),
    [anon_sym_BSLASHacrlong] = ACTIONS(2354),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2354),
    [anon_sym_BSLASHACRlong] = ACTIONS(2354),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2354),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2354),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2354),
    [anon_sym_BSLASHacrfull] = ACTIONS(2354),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2354),
    [anon_sym_BSLASHACRfull] = ACTIONS(2354),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2354),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2354),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2354),
    [anon_sym_BSLASHacs] = ACTIONS(2354),
    [anon_sym_BSLASHAcs] = ACTIONS(2354),
    [anon_sym_BSLASHacsp] = ACTIONS(2354),
    [anon_sym_BSLASHAcsp] = ACTIONS(2354),
    [anon_sym_BSLASHacl] = ACTIONS(2354),
    [anon_sym_BSLASHAcl] = ACTIONS(2354),
    [anon_sym_BSLASHaclp] = ACTIONS(2354),
    [anon_sym_BSLASHAclp] = ACTIONS(2354),
    [anon_sym_BSLASHacf] = ACTIONS(2354),
    [anon_sym_BSLASHAcf] = ACTIONS(2354),
    [anon_sym_BSLASHacfp] = ACTIONS(2354),
    [anon_sym_BSLASHAcfp] = ACTIONS(2354),
    [anon_sym_BSLASHac] = ACTIONS(2354),
    [anon_sym_BSLASHAc] = ACTIONS(2354),
    [anon_sym_BSLASHacp] = ACTIONS(2354),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2354),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2354),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2354),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2354),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2354),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2354),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2354),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2354),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2354),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2354),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2354),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2354),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2354),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2354),
    [anon_sym_BSLASHcolor] = ACTIONS(2354),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2354),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2354),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2354),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2354),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2354),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2354),
    [anon_sym_BSLASHurl] = ACTIONS(2354),
    [anon_sym_BSLASHhref] = ACTIONS(2354),
  },
  [400] = {
    [sym__section_part] = STATE(542),
    [sym_curly_group] = STATE(537),
    [sym_brack_group] = STATE(2814),
    [sym_command_name] = ACTIONS(6746),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6746),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6748),
    [anon_sym_COMMA] = ACTIONS(6748),
    [anon_sym_EQ] = ACTIONS(6748),
    [anon_sym_LPAREN] = ACTIONS(6748),
    [anon_sym_RPAREN] = ACTIONS(6748),
    [anon_sym_BSLASHpart] = ACTIONS(6746),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHaddpart] = ACTIONS(6746),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHchapter] = ACTIONS(6746),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHaddchap] = ACTIONS(6746),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHsection] = ACTIONS(6746),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHaddsec] = ACTIONS(6746),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHsubsection] = ACTIONS(6746),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6746),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHparagraph] = ACTIONS(6746),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6746),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHitem] = ACTIONS(6746),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6748),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(6746),
    [sym_placeholder] = ACTIONS(6748),
    [sym_delimiter] = ACTIONS(6748),
    [anon_sym_PLUS] = ACTIONS(6748),
    [anon_sym_DASH] = ACTIONS(6748),
    [anon_sym_STAR] = ACTIONS(6748),
    [anon_sym_SLASH] = ACTIONS(6748),
    [anon_sym_LT] = ACTIONS(6746),
    [anon_sym_GT] = ACTIONS(6746),
    [anon_sym_BANG] = ACTIONS(6746),
    [anon_sym_PIPE] = ACTIONS(6746),
    [anon_sym_COLON] = ACTIONS(6746),
    [anon_sym_SQUOTE] = ACTIONS(6746),
    [anon_sym__] = ACTIONS(6748),
    [anon_sym_CARET] = ACTIONS(6748),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6748),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6748),
    [anon_sym_DOLLAR] = ACTIONS(6746),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6748),
    [anon_sym_BSLASHleft] = ACTIONS(6746),
    [anon_sym_BSLASHbigl] = ACTIONS(6746),
    [anon_sym_BSLASHBigl] = ACTIONS(6746),
    [anon_sym_BSLASHbiggl] = ACTIONS(6746),
    [anon_sym_BSLASHBiggl] = ACTIONS(6746),
    [anon_sym_BSLASHright] = ACTIONS(6746),
    [anon_sym_BSLASHbigr] = ACTIONS(6746),
    [anon_sym_BSLASHBigr] = ACTIONS(6746),
    [anon_sym_BSLASHbiggr] = ACTIONS(6746),
    [anon_sym_BSLASHBiggr] = ACTIONS(6746),
    [anon_sym_BSLASHtext] = ACTIONS(6746),
    [anon_sym_BSLASHintertext] = ACTIONS(6746),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6746),
    [anon_sym_BSLASHbegin] = ACTIONS(6746),
    [anon_sym_BSLASHtitle] = ACTIONS(6746),
    [anon_sym_BSLASHauthor] = ACTIONS(6746),
    [anon_sym_BSLASHusepackage] = ACTIONS(6746),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6746),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6746),
    [anon_sym_BSLASHinclude] = ACTIONS(6746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6746),
    [anon_sym_BSLASHinput] = ACTIONS(6746),
    [anon_sym_BSLASHsubfile] = ACTIONS(6746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6746),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6746),
    [anon_sym_BSLASHbibliography] = ACTIONS(6746),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6746),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6746),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6746),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6746),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6746),
    [anon_sym_BSLASHimport] = ACTIONS(6746),
    [anon_sym_BSLASHsubimport] = ACTIONS(6746),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6746),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6746),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6746),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6746),
    [anon_sym_BSLASHcaption] = ACTIONS(6746),
    [anon_sym_BSLASHcite] = ACTIONS(6746),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHCite] = ACTIONS(6746),
    [anon_sym_BSLASHnocite] = ACTIONS(6746),
    [anon_sym_BSLASHcitet] = ACTIONS(6746),
    [anon_sym_BSLASHcitep] = ACTIONS(6746),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHciteA] = ACTIONS(6746),
    [anon_sym_BSLASHciteR] = ACTIONS(6746),
    [anon_sym_BSLASHciteS] = ACTIONS(6746),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6746),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6746),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6746),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6746),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHciteyear] = ACTIONS(6746),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcitedate] = ACTIONS(6746),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHciteurl] = ACTIONS(6746),
    [anon_sym_BSLASHfullcite] = ACTIONS(6746),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6746),
    [anon_sym_BSLASHcitealt] = ACTIONS(6746),
    [anon_sym_BSLASHcitealp] = ACTIONS(6746),
    [anon_sym_BSLASHcitetext] = ACTIONS(6746),
    [anon_sym_BSLASHparencite] = ACTIONS(6746),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHParencite] = ACTIONS(6746),
    [anon_sym_BSLASHfootcite] = ACTIONS(6746),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6746),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6746),
    [anon_sym_BSLASHtextcite] = ACTIONS(6746),
    [anon_sym_BSLASHTextcite] = ACTIONS(6746),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6746),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6746),
    [anon_sym_BSLASHsupercite] = ACTIONS(6746),
    [anon_sym_BSLASHautocite] = ACTIONS(6746),
    [anon_sym_BSLASHAutocite] = ACTIONS(6746),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHVolcite] = ACTIONS(6746),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHavolcite] = ACTIONS(6746),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHnotecite] = ACTIONS(6746),
    [anon_sym_BSLASHNotecite] = ACTIONS(6746),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6746),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6746),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6746),
    [anon_sym_BSLASHlabel] = ACTIONS(6746),
    [anon_sym_BSLASHref] = ACTIONS(6746),
    [anon_sym_BSLASHeqref] = ACTIONS(6746),
    [anon_sym_BSLASHvref] = ACTIONS(6746),
    [anon_sym_BSLASHVref] = ACTIONS(6746),
    [anon_sym_BSLASHautoref] = ACTIONS(6746),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHpageref] = ACTIONS(6746),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHautopageref] = ACTIONS(6746),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcref] = ACTIONS(6746),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHCref] = ACTIONS(6746),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcpageref] = ACTIONS(6746),
    [anon_sym_BSLASHCpageref] = ACTIONS(6746),
    [anon_sym_BSLASHnamecref] = ACTIONS(6746),
    [anon_sym_BSLASHnameCref] = ACTIONS(6746),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6746),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6746),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6746),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6746),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6746),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6746),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6746),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6746),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6746),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6746),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6746),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6746),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6746),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6746),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6746),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6746),
    [anon_sym_BSLASHdef] = ACTIONS(6746),
    [anon_sym_BSLASHgdef] = ACTIONS(6746),
    [anon_sym_BSLASHedef] = ACTIONS(6746),
    [anon_sym_BSLASHxdef] = ACTIONS(6746),
    [anon_sym_BSLASHlet] = ACTIONS(6746),
    [anon_sym_BSLASHglet] = ACTIONS(6746),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6746),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6746),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6746),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6746),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6746),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6746),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6746),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6746),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6746),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6746),
    [anon_sym_BSLASHgls] = ACTIONS(6746),
    [anon_sym_BSLASHGls] = ACTIONS(6746),
    [anon_sym_BSLASHGLS] = ACTIONS(6746),
    [anon_sym_BSLASHglspl] = ACTIONS(6746),
    [anon_sym_BSLASHGlspl] = ACTIONS(6746),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6746),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6746),
    [anon_sym_BSLASHglslink] = ACTIONS(6746),
    [anon_sym_BSLASHglstext] = ACTIONS(6746),
    [anon_sym_BSLASHGlstext] = ACTIONS(6746),
    [anon_sym_BSLASHGLStext] = ACTIONS(6746),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6746),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6746),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6746),
    [anon_sym_BSLASHglsplural] = ACTIONS(6746),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6746),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6746),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6746),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6746),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6746),
    [anon_sym_BSLASHglsname] = ACTIONS(6746),
    [anon_sym_BSLASHGlsname] = ACTIONS(6746),
    [anon_sym_BSLASHGLSname] = ACTIONS(6746),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6746),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6746),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6746),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6746),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6746),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6746),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6746),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6746),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6746),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6746),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6746),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6746),
    [anon_sym_BSLASHacrshort] = ACTIONS(6746),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6746),
    [anon_sym_BSLASHACRshort] = ACTIONS(6746),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6746),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6746),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6746),
    [anon_sym_BSLASHacrlong] = ACTIONS(6746),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6746),
    [anon_sym_BSLASHACRlong] = ACTIONS(6746),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6746),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6746),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6746),
    [anon_sym_BSLASHacrfull] = ACTIONS(6746),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6746),
    [anon_sym_BSLASHACRfull] = ACTIONS(6746),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6746),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6746),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6746),
    [anon_sym_BSLASHacs] = ACTIONS(6746),
    [anon_sym_BSLASHAcs] = ACTIONS(6746),
    [anon_sym_BSLASHacsp] = ACTIONS(6746),
    [anon_sym_BSLASHAcsp] = ACTIONS(6746),
    [anon_sym_BSLASHacl] = ACTIONS(6746),
    [anon_sym_BSLASHAcl] = ACTIONS(6746),
    [anon_sym_BSLASHaclp] = ACTIONS(6746),
    [anon_sym_BSLASHAclp] = ACTIONS(6746),
    [anon_sym_BSLASHacf] = ACTIONS(6746),
    [anon_sym_BSLASHAcf] = ACTIONS(6746),
    [anon_sym_BSLASHacfp] = ACTIONS(6746),
    [anon_sym_BSLASHAcfp] = ACTIONS(6746),
    [anon_sym_BSLASHac] = ACTIONS(6746),
    [anon_sym_BSLASHAc] = ACTIONS(6746),
    [anon_sym_BSLASHacp] = ACTIONS(6746),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6746),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6746),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6746),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6746),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6746),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6746),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6746),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6746),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6746),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6746),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6746),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6746),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6746),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6746),
    [anon_sym_BSLASHcolor] = ACTIONS(6746),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6746),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6746),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6746),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6746),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6746),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6746),
    [anon_sym_BSLASHurl] = ACTIONS(6746),
    [anon_sym_BSLASHhref] = ACTIONS(6746),
  },
  [401] = {
    [sym__section_part] = STATE(543),
    [sym_curly_group] = STATE(537),
    [sym_brack_group] = STATE(2814),
    [sym_command_name] = ACTIONS(6750),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6750),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6752),
    [anon_sym_COMMA] = ACTIONS(6752),
    [anon_sym_EQ] = ACTIONS(6752),
    [anon_sym_LPAREN] = ACTIONS(6752),
    [anon_sym_RPAREN] = ACTIONS(6752),
    [anon_sym_BSLASHpart] = ACTIONS(6750),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHaddpart] = ACTIONS(6750),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHchapter] = ACTIONS(6750),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHaddchap] = ACTIONS(6750),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHsection] = ACTIONS(6750),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHaddsec] = ACTIONS(6750),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHsubsection] = ACTIONS(6750),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6750),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHparagraph] = ACTIONS(6750),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6750),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHitem] = ACTIONS(6750),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6752),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(6750),
    [sym_placeholder] = ACTIONS(6752),
    [sym_delimiter] = ACTIONS(6752),
    [anon_sym_PLUS] = ACTIONS(6752),
    [anon_sym_DASH] = ACTIONS(6752),
    [anon_sym_STAR] = ACTIONS(6752),
    [anon_sym_SLASH] = ACTIONS(6752),
    [anon_sym_LT] = ACTIONS(6750),
    [anon_sym_GT] = ACTIONS(6750),
    [anon_sym_BANG] = ACTIONS(6750),
    [anon_sym_PIPE] = ACTIONS(6750),
    [anon_sym_COLON] = ACTIONS(6750),
    [anon_sym_SQUOTE] = ACTIONS(6750),
    [anon_sym__] = ACTIONS(6752),
    [anon_sym_CARET] = ACTIONS(6752),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6752),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6752),
    [anon_sym_DOLLAR] = ACTIONS(6750),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6752),
    [anon_sym_BSLASHleft] = ACTIONS(6750),
    [anon_sym_BSLASHbigl] = ACTIONS(6750),
    [anon_sym_BSLASHBigl] = ACTIONS(6750),
    [anon_sym_BSLASHbiggl] = ACTIONS(6750),
    [anon_sym_BSLASHBiggl] = ACTIONS(6750),
    [anon_sym_BSLASHright] = ACTIONS(6750),
    [anon_sym_BSLASHbigr] = ACTIONS(6750),
    [anon_sym_BSLASHBigr] = ACTIONS(6750),
    [anon_sym_BSLASHbiggr] = ACTIONS(6750),
    [anon_sym_BSLASHBiggr] = ACTIONS(6750),
    [anon_sym_BSLASHtext] = ACTIONS(6750),
    [anon_sym_BSLASHintertext] = ACTIONS(6750),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6750),
    [anon_sym_BSLASHbegin] = ACTIONS(6750),
    [anon_sym_BSLASHtitle] = ACTIONS(6750),
    [anon_sym_BSLASHauthor] = ACTIONS(6750),
    [anon_sym_BSLASHusepackage] = ACTIONS(6750),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6750),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6750),
    [anon_sym_BSLASHinclude] = ACTIONS(6750),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6750),
    [anon_sym_BSLASHinput] = ACTIONS(6750),
    [anon_sym_BSLASHsubfile] = ACTIONS(6750),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6750),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6750),
    [anon_sym_BSLASHbibliography] = ACTIONS(6750),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6750),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6750),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6750),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6750),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6750),
    [anon_sym_BSLASHimport] = ACTIONS(6750),
    [anon_sym_BSLASHsubimport] = ACTIONS(6750),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6750),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6750),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6750),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6750),
    [anon_sym_BSLASHcaption] = ACTIONS(6750),
    [anon_sym_BSLASHcite] = ACTIONS(6750),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHCite] = ACTIONS(6750),
    [anon_sym_BSLASHnocite] = ACTIONS(6750),
    [anon_sym_BSLASHcitet] = ACTIONS(6750),
    [anon_sym_BSLASHcitep] = ACTIONS(6750),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHciteA] = ACTIONS(6750),
    [anon_sym_BSLASHciteR] = ACTIONS(6750),
    [anon_sym_BSLASHciteS] = ACTIONS(6750),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6750),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6750),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6750),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6750),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHciteyear] = ACTIONS(6750),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcitedate] = ACTIONS(6750),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHciteurl] = ACTIONS(6750),
    [anon_sym_BSLASHfullcite] = ACTIONS(6750),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6750),
    [anon_sym_BSLASHcitealt] = ACTIONS(6750),
    [anon_sym_BSLASHcitealp] = ACTIONS(6750),
    [anon_sym_BSLASHcitetext] = ACTIONS(6750),
    [anon_sym_BSLASHparencite] = ACTIONS(6750),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHParencite] = ACTIONS(6750),
    [anon_sym_BSLASHfootcite] = ACTIONS(6750),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6750),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6750),
    [anon_sym_BSLASHtextcite] = ACTIONS(6750),
    [anon_sym_BSLASHTextcite] = ACTIONS(6750),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6750),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6750),
    [anon_sym_BSLASHsupercite] = ACTIONS(6750),
    [anon_sym_BSLASHautocite] = ACTIONS(6750),
    [anon_sym_BSLASHAutocite] = ACTIONS(6750),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHVolcite] = ACTIONS(6750),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHavolcite] = ACTIONS(6750),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHnotecite] = ACTIONS(6750),
    [anon_sym_BSLASHNotecite] = ACTIONS(6750),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6750),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6750),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6750),
    [anon_sym_BSLASHlabel] = ACTIONS(6750),
    [anon_sym_BSLASHref] = ACTIONS(6750),
    [anon_sym_BSLASHeqref] = ACTIONS(6750),
    [anon_sym_BSLASHvref] = ACTIONS(6750),
    [anon_sym_BSLASHVref] = ACTIONS(6750),
    [anon_sym_BSLASHautoref] = ACTIONS(6750),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHpageref] = ACTIONS(6750),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHautopageref] = ACTIONS(6750),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcref] = ACTIONS(6750),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHCref] = ACTIONS(6750),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcpageref] = ACTIONS(6750),
    [anon_sym_BSLASHCpageref] = ACTIONS(6750),
    [anon_sym_BSLASHnamecref] = ACTIONS(6750),
    [anon_sym_BSLASHnameCref] = ACTIONS(6750),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6750),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6750),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6750),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6750),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6750),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6750),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6750),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6750),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6750),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6750),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6750),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6750),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6750),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6750),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6750),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6750),
    [anon_sym_BSLASHdef] = ACTIONS(6750),
    [anon_sym_BSLASHgdef] = ACTIONS(6750),
    [anon_sym_BSLASHedef] = ACTIONS(6750),
    [anon_sym_BSLASHxdef] = ACTIONS(6750),
    [anon_sym_BSLASHlet] = ACTIONS(6750),
    [anon_sym_BSLASHglet] = ACTIONS(6750),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6750),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6750),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6750),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6750),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6750),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6750),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6750),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6750),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6750),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6750),
    [anon_sym_BSLASHgls] = ACTIONS(6750),
    [anon_sym_BSLASHGls] = ACTIONS(6750),
    [anon_sym_BSLASHGLS] = ACTIONS(6750),
    [anon_sym_BSLASHglspl] = ACTIONS(6750),
    [anon_sym_BSLASHGlspl] = ACTIONS(6750),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6750),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6750),
    [anon_sym_BSLASHglslink] = ACTIONS(6750),
    [anon_sym_BSLASHglstext] = ACTIONS(6750),
    [anon_sym_BSLASHGlstext] = ACTIONS(6750),
    [anon_sym_BSLASHGLStext] = ACTIONS(6750),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6750),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6750),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6750),
    [anon_sym_BSLASHglsplural] = ACTIONS(6750),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6750),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6750),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6750),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6750),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6750),
    [anon_sym_BSLASHglsname] = ACTIONS(6750),
    [anon_sym_BSLASHGlsname] = ACTIONS(6750),
    [anon_sym_BSLASHGLSname] = ACTIONS(6750),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6750),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6750),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6750),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6750),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6750),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6750),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6750),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6750),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6750),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6750),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6750),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6750),
    [anon_sym_BSLASHacrshort] = ACTIONS(6750),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6750),
    [anon_sym_BSLASHACRshort] = ACTIONS(6750),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6750),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6750),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6750),
    [anon_sym_BSLASHacrlong] = ACTIONS(6750),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6750),
    [anon_sym_BSLASHACRlong] = ACTIONS(6750),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6750),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6750),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6750),
    [anon_sym_BSLASHacrfull] = ACTIONS(6750),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6750),
    [anon_sym_BSLASHACRfull] = ACTIONS(6750),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6750),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6750),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6750),
    [anon_sym_BSLASHacs] = ACTIONS(6750),
    [anon_sym_BSLASHAcs] = ACTIONS(6750),
    [anon_sym_BSLASHacsp] = ACTIONS(6750),
    [anon_sym_BSLASHAcsp] = ACTIONS(6750),
    [anon_sym_BSLASHacl] = ACTIONS(6750),
    [anon_sym_BSLASHAcl] = ACTIONS(6750),
    [anon_sym_BSLASHaclp] = ACTIONS(6750),
    [anon_sym_BSLASHAclp] = ACTIONS(6750),
    [anon_sym_BSLASHacf] = ACTIONS(6750),
    [anon_sym_BSLASHAcf] = ACTIONS(6750),
    [anon_sym_BSLASHacfp] = ACTIONS(6750),
    [anon_sym_BSLASHAcfp] = ACTIONS(6750),
    [anon_sym_BSLASHac] = ACTIONS(6750),
    [anon_sym_BSLASHAc] = ACTIONS(6750),
    [anon_sym_BSLASHacp] = ACTIONS(6750),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6750),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6750),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6750),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6750),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6750),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6750),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6750),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6750),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6750),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6750),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6750),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6750),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6750),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6750),
    [anon_sym_BSLASHcolor] = ACTIONS(6750),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6750),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6750),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6750),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6750),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6750),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6750),
    [anon_sym_BSLASHurl] = ACTIONS(6750),
    [anon_sym_BSLASHhref] = ACTIONS(6750),
  },
  [402] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(2713),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym_key_value_pair] = STATE(2728),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [anon_sym_RBRACE] = ACTIONS(6754),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [403] = {
    [sym__part_declaration] = STATE(157),
    [sym_part] = STATE(403),
    [aux_sym__section_repeat1] = STATE(403),
    [sym_command_name] = ACTIONS(6756),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6756),
    [anon_sym_LBRACK] = ACTIONS(6758),
    [anon_sym_RBRACK] = ACTIONS(6758),
    [anon_sym_COMMA] = ACTIONS(6758),
    [anon_sym_EQ] = ACTIONS(6758),
    [anon_sym_LPAREN] = ACTIONS(6758),
    [anon_sym_RPAREN] = ACTIONS(6758),
    [anon_sym_BSLASHpart] = ACTIONS(6760),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6763),
    [anon_sym_BSLASHaddpart] = ACTIONS(6760),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6763),
    [anon_sym_BSLASHchapter] = ACTIONS(6756),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHaddchap] = ACTIONS(6756),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHsection] = ACTIONS(6756),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHaddsec] = ACTIONS(6756),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHsubsection] = ACTIONS(6756),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6756),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHparagraph] = ACTIONS(6756),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6756),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHitem] = ACTIONS(6756),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6758),
    [anon_sym_LBRACE] = ACTIONS(6758),
    [sym_word] = ACTIONS(6756),
    [sym_placeholder] = ACTIONS(6758),
    [sym_delimiter] = ACTIONS(6758),
    [anon_sym_PLUS] = ACTIONS(6758),
    [anon_sym_DASH] = ACTIONS(6758),
    [anon_sym_STAR] = ACTIONS(6758),
    [anon_sym_SLASH] = ACTIONS(6758),
    [anon_sym_LT] = ACTIONS(6756),
    [anon_sym_GT] = ACTIONS(6756),
    [anon_sym_BANG] = ACTIONS(6756),
    [anon_sym_PIPE] = ACTIONS(6756),
    [anon_sym_COLON] = ACTIONS(6756),
    [anon_sym_SQUOTE] = ACTIONS(6756),
    [anon_sym__] = ACTIONS(6758),
    [anon_sym_CARET] = ACTIONS(6758),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6758),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6758),
    [anon_sym_DOLLAR] = ACTIONS(6756),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6758),
    [anon_sym_BSLASHleft] = ACTIONS(6756),
    [anon_sym_BSLASHbigl] = ACTIONS(6756),
    [anon_sym_BSLASHBigl] = ACTIONS(6756),
    [anon_sym_BSLASHbiggl] = ACTIONS(6756),
    [anon_sym_BSLASHBiggl] = ACTIONS(6756),
    [anon_sym_BSLASHright] = ACTIONS(6756),
    [anon_sym_BSLASHbigr] = ACTIONS(6756),
    [anon_sym_BSLASHBigr] = ACTIONS(6756),
    [anon_sym_BSLASHbiggr] = ACTIONS(6756),
    [anon_sym_BSLASHBiggr] = ACTIONS(6756),
    [anon_sym_BSLASHtext] = ACTIONS(6756),
    [anon_sym_BSLASHintertext] = ACTIONS(6756),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6756),
    [anon_sym_BSLASHbegin] = ACTIONS(6756),
    [anon_sym_BSLASHtitle] = ACTIONS(6756),
    [anon_sym_BSLASHauthor] = ACTIONS(6756),
    [anon_sym_BSLASHusepackage] = ACTIONS(6756),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6756),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6756),
    [anon_sym_BSLASHinclude] = ACTIONS(6756),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6756),
    [anon_sym_BSLASHinput] = ACTIONS(6756),
    [anon_sym_BSLASHsubfile] = ACTIONS(6756),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6756),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6756),
    [anon_sym_BSLASHbibliography] = ACTIONS(6756),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6756),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6756),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6756),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6756),
    [anon_sym_BSLASHimport] = ACTIONS(6756),
    [anon_sym_BSLASHsubimport] = ACTIONS(6756),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6756),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6756),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6756),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6756),
    [anon_sym_BSLASHcaption] = ACTIONS(6756),
    [anon_sym_BSLASHcite] = ACTIONS(6756),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHCite] = ACTIONS(6756),
    [anon_sym_BSLASHnocite] = ACTIONS(6756),
    [anon_sym_BSLASHcitet] = ACTIONS(6756),
    [anon_sym_BSLASHcitep] = ACTIONS(6756),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHciteA] = ACTIONS(6756),
    [anon_sym_BSLASHciteR] = ACTIONS(6756),
    [anon_sym_BSLASHciteS] = ACTIONS(6756),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6756),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6756),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6756),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6756),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHciteyear] = ACTIONS(6756),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcitedate] = ACTIONS(6756),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHciteurl] = ACTIONS(6756),
    [anon_sym_BSLASHfullcite] = ACTIONS(6756),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6756),
    [anon_sym_BSLASHcitealt] = ACTIONS(6756),
    [anon_sym_BSLASHcitealp] = ACTIONS(6756),
    [anon_sym_BSLASHcitetext] = ACTIONS(6756),
    [anon_sym_BSLASHparencite] = ACTIONS(6756),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHParencite] = ACTIONS(6756),
    [anon_sym_BSLASHfootcite] = ACTIONS(6756),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6756),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6756),
    [anon_sym_BSLASHtextcite] = ACTIONS(6756),
    [anon_sym_BSLASHTextcite] = ACTIONS(6756),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6756),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6756),
    [anon_sym_BSLASHsupercite] = ACTIONS(6756),
    [anon_sym_BSLASHautocite] = ACTIONS(6756),
    [anon_sym_BSLASHAutocite] = ACTIONS(6756),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHVolcite] = ACTIONS(6756),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHavolcite] = ACTIONS(6756),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHnotecite] = ACTIONS(6756),
    [anon_sym_BSLASHNotecite] = ACTIONS(6756),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6756),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6756),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6756),
    [anon_sym_BSLASHlabel] = ACTIONS(6756),
    [anon_sym_BSLASHref] = ACTIONS(6756),
    [anon_sym_BSLASHeqref] = ACTIONS(6756),
    [anon_sym_BSLASHvref] = ACTIONS(6756),
    [anon_sym_BSLASHVref] = ACTIONS(6756),
    [anon_sym_BSLASHautoref] = ACTIONS(6756),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHpageref] = ACTIONS(6756),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHautopageref] = ACTIONS(6756),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcref] = ACTIONS(6756),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHCref] = ACTIONS(6756),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcpageref] = ACTIONS(6756),
    [anon_sym_BSLASHCpageref] = ACTIONS(6756),
    [anon_sym_BSLASHnamecref] = ACTIONS(6756),
    [anon_sym_BSLASHnameCref] = ACTIONS(6756),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6756),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6756),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6756),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6756),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6756),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6756),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6756),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6756),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6756),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6756),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6756),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6756),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6756),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6756),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6756),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6756),
    [anon_sym_BSLASHdef] = ACTIONS(6756),
    [anon_sym_BSLASHgdef] = ACTIONS(6756),
    [anon_sym_BSLASHedef] = ACTIONS(6756),
    [anon_sym_BSLASHxdef] = ACTIONS(6756),
    [anon_sym_BSLASHlet] = ACTIONS(6756),
    [anon_sym_BSLASHglet] = ACTIONS(6756),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6756),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6756),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6756),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6756),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6756),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6756),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6756),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6756),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6756),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6756),
    [anon_sym_BSLASHgls] = ACTIONS(6756),
    [anon_sym_BSLASHGls] = ACTIONS(6756),
    [anon_sym_BSLASHGLS] = ACTIONS(6756),
    [anon_sym_BSLASHglspl] = ACTIONS(6756),
    [anon_sym_BSLASHGlspl] = ACTIONS(6756),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6756),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6756),
    [anon_sym_BSLASHglslink] = ACTIONS(6756),
    [anon_sym_BSLASHglstext] = ACTIONS(6756),
    [anon_sym_BSLASHGlstext] = ACTIONS(6756),
    [anon_sym_BSLASHGLStext] = ACTIONS(6756),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6756),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6756),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6756),
    [anon_sym_BSLASHglsplural] = ACTIONS(6756),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6756),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6756),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6756),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6756),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6756),
    [anon_sym_BSLASHglsname] = ACTIONS(6756),
    [anon_sym_BSLASHGlsname] = ACTIONS(6756),
    [anon_sym_BSLASHGLSname] = ACTIONS(6756),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6756),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6756),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6756),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6756),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6756),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6756),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6756),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6756),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6756),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6756),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6756),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6756),
    [anon_sym_BSLASHacrshort] = ACTIONS(6756),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6756),
    [anon_sym_BSLASHACRshort] = ACTIONS(6756),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6756),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6756),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6756),
    [anon_sym_BSLASHacrlong] = ACTIONS(6756),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6756),
    [anon_sym_BSLASHACRlong] = ACTIONS(6756),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6756),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6756),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6756),
    [anon_sym_BSLASHacrfull] = ACTIONS(6756),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6756),
    [anon_sym_BSLASHACRfull] = ACTIONS(6756),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6756),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6756),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6756),
    [anon_sym_BSLASHacs] = ACTIONS(6756),
    [anon_sym_BSLASHAcs] = ACTIONS(6756),
    [anon_sym_BSLASHacsp] = ACTIONS(6756),
    [anon_sym_BSLASHAcsp] = ACTIONS(6756),
    [anon_sym_BSLASHacl] = ACTIONS(6756),
    [anon_sym_BSLASHAcl] = ACTIONS(6756),
    [anon_sym_BSLASHaclp] = ACTIONS(6756),
    [anon_sym_BSLASHAclp] = ACTIONS(6756),
    [anon_sym_BSLASHacf] = ACTIONS(6756),
    [anon_sym_BSLASHAcf] = ACTIONS(6756),
    [anon_sym_BSLASHacfp] = ACTIONS(6756),
    [anon_sym_BSLASHAcfp] = ACTIONS(6756),
    [anon_sym_BSLASHac] = ACTIONS(6756),
    [anon_sym_BSLASHAc] = ACTIONS(6756),
    [anon_sym_BSLASHacp] = ACTIONS(6756),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6756),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6756),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6756),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6756),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6756),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6756),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6756),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6756),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6756),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6756),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6756),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6756),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6756),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6756),
    [anon_sym_BSLASHcolor] = ACTIONS(6756),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6756),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6756),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6756),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6756),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6756),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6756),
    [anon_sym_BSLASHurl] = ACTIONS(6756),
    [anon_sym_BSLASHhref] = ACTIONS(6756),
  },
  [404] = {
    [sym__chapter_declaration] = STATE(158),
    [sym_chapter] = STATE(404),
    [aux_sym__section_repeat2] = STATE(404),
    [sym_command_name] = ACTIONS(6766),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6766),
    [anon_sym_LBRACK] = ACTIONS(6768),
    [anon_sym_RBRACK] = ACTIONS(6768),
    [anon_sym_COMMA] = ACTIONS(6768),
    [anon_sym_EQ] = ACTIONS(6768),
    [anon_sym_LPAREN] = ACTIONS(6768),
    [anon_sym_RPAREN] = ACTIONS(6768),
    [anon_sym_BSLASHpart] = ACTIONS(6766),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHaddpart] = ACTIONS(6766),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHchapter] = ACTIONS(6770),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6773),
    [anon_sym_BSLASHaddchap] = ACTIONS(6770),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6773),
    [anon_sym_BSLASHsection] = ACTIONS(6766),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHaddsec] = ACTIONS(6766),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHsubsection] = ACTIONS(6766),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6766),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHparagraph] = ACTIONS(6766),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6766),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHitem] = ACTIONS(6766),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6768),
    [anon_sym_LBRACE] = ACTIONS(6768),
    [sym_word] = ACTIONS(6766),
    [sym_placeholder] = ACTIONS(6768),
    [sym_delimiter] = ACTIONS(6768),
    [anon_sym_PLUS] = ACTIONS(6768),
    [anon_sym_DASH] = ACTIONS(6768),
    [anon_sym_STAR] = ACTIONS(6768),
    [anon_sym_SLASH] = ACTIONS(6768),
    [anon_sym_LT] = ACTIONS(6766),
    [anon_sym_GT] = ACTIONS(6766),
    [anon_sym_BANG] = ACTIONS(6766),
    [anon_sym_PIPE] = ACTIONS(6766),
    [anon_sym_COLON] = ACTIONS(6766),
    [anon_sym_SQUOTE] = ACTIONS(6766),
    [anon_sym__] = ACTIONS(6768),
    [anon_sym_CARET] = ACTIONS(6768),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6768),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6768),
    [anon_sym_DOLLAR] = ACTIONS(6766),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6768),
    [anon_sym_BSLASHleft] = ACTIONS(6766),
    [anon_sym_BSLASHbigl] = ACTIONS(6766),
    [anon_sym_BSLASHBigl] = ACTIONS(6766),
    [anon_sym_BSLASHbiggl] = ACTIONS(6766),
    [anon_sym_BSLASHBiggl] = ACTIONS(6766),
    [anon_sym_BSLASHright] = ACTIONS(6766),
    [anon_sym_BSLASHbigr] = ACTIONS(6766),
    [anon_sym_BSLASHBigr] = ACTIONS(6766),
    [anon_sym_BSLASHbiggr] = ACTIONS(6766),
    [anon_sym_BSLASHBiggr] = ACTIONS(6766),
    [anon_sym_BSLASHtext] = ACTIONS(6766),
    [anon_sym_BSLASHintertext] = ACTIONS(6766),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6766),
    [anon_sym_BSLASHbegin] = ACTIONS(6766),
    [anon_sym_BSLASHtitle] = ACTIONS(6766),
    [anon_sym_BSLASHauthor] = ACTIONS(6766),
    [anon_sym_BSLASHusepackage] = ACTIONS(6766),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6766),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6766),
    [anon_sym_BSLASHinclude] = ACTIONS(6766),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6766),
    [anon_sym_BSLASHinput] = ACTIONS(6766),
    [anon_sym_BSLASHsubfile] = ACTIONS(6766),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6766),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6766),
    [anon_sym_BSLASHbibliography] = ACTIONS(6766),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6766),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6766),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6766),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6766),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6766),
    [anon_sym_BSLASHimport] = ACTIONS(6766),
    [anon_sym_BSLASHsubimport] = ACTIONS(6766),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6766),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6766),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6766),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6766),
    [anon_sym_BSLASHcaption] = ACTIONS(6766),
    [anon_sym_BSLASHcite] = ACTIONS(6766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHCite] = ACTIONS(6766),
    [anon_sym_BSLASHnocite] = ACTIONS(6766),
    [anon_sym_BSLASHcitet] = ACTIONS(6766),
    [anon_sym_BSLASHcitep] = ACTIONS(6766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHciteA] = ACTIONS(6766),
    [anon_sym_BSLASHciteR] = ACTIONS(6766),
    [anon_sym_BSLASHciteS] = ACTIONS(6766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHciteyear] = ACTIONS(6766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcitedate] = ACTIONS(6766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHciteurl] = ACTIONS(6766),
    [anon_sym_BSLASHfullcite] = ACTIONS(6766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6766),
    [anon_sym_BSLASHcitealt] = ACTIONS(6766),
    [anon_sym_BSLASHcitealp] = ACTIONS(6766),
    [anon_sym_BSLASHcitetext] = ACTIONS(6766),
    [anon_sym_BSLASHparencite] = ACTIONS(6766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHParencite] = ACTIONS(6766),
    [anon_sym_BSLASHfootcite] = ACTIONS(6766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6766),
    [anon_sym_BSLASHtextcite] = ACTIONS(6766),
    [anon_sym_BSLASHTextcite] = ACTIONS(6766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6766),
    [anon_sym_BSLASHsupercite] = ACTIONS(6766),
    [anon_sym_BSLASHautocite] = ACTIONS(6766),
    [anon_sym_BSLASHAutocite] = ACTIONS(6766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHVolcite] = ACTIONS(6766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHavolcite] = ACTIONS(6766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHnotecite] = ACTIONS(6766),
    [anon_sym_BSLASHNotecite] = ACTIONS(6766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6766),
    [anon_sym_BSLASHlabel] = ACTIONS(6766),
    [anon_sym_BSLASHref] = ACTIONS(6766),
    [anon_sym_BSLASHeqref] = ACTIONS(6766),
    [anon_sym_BSLASHvref] = ACTIONS(6766),
    [anon_sym_BSLASHVref] = ACTIONS(6766),
    [anon_sym_BSLASHautoref] = ACTIONS(6766),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHpageref] = ACTIONS(6766),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHautopageref] = ACTIONS(6766),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcref] = ACTIONS(6766),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHCref] = ACTIONS(6766),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcpageref] = ACTIONS(6766),
    [anon_sym_BSLASHCpageref] = ACTIONS(6766),
    [anon_sym_BSLASHnamecref] = ACTIONS(6766),
    [anon_sym_BSLASHnameCref] = ACTIONS(6766),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6766),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6766),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6766),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6766),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6766),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6766),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6766),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6766),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6766),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6766),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6766),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6766),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6766),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6766),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6766),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6766),
    [anon_sym_BSLASHdef] = ACTIONS(6766),
    [anon_sym_BSLASHgdef] = ACTIONS(6766),
    [anon_sym_BSLASHedef] = ACTIONS(6766),
    [anon_sym_BSLASHxdef] = ACTIONS(6766),
    [anon_sym_BSLASHlet] = ACTIONS(6766),
    [anon_sym_BSLASHglet] = ACTIONS(6766),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6766),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6766),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6766),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6766),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6766),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6766),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6766),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6766),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6766),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6766),
    [anon_sym_BSLASHgls] = ACTIONS(6766),
    [anon_sym_BSLASHGls] = ACTIONS(6766),
    [anon_sym_BSLASHGLS] = ACTIONS(6766),
    [anon_sym_BSLASHglspl] = ACTIONS(6766),
    [anon_sym_BSLASHGlspl] = ACTIONS(6766),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6766),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6766),
    [anon_sym_BSLASHglslink] = ACTIONS(6766),
    [anon_sym_BSLASHglstext] = ACTIONS(6766),
    [anon_sym_BSLASHGlstext] = ACTIONS(6766),
    [anon_sym_BSLASHGLStext] = ACTIONS(6766),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6766),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6766),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6766),
    [anon_sym_BSLASHglsplural] = ACTIONS(6766),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6766),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6766),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6766),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6766),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6766),
    [anon_sym_BSLASHglsname] = ACTIONS(6766),
    [anon_sym_BSLASHGlsname] = ACTIONS(6766),
    [anon_sym_BSLASHGLSname] = ACTIONS(6766),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6766),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6766),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6766),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6766),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6766),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6766),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6766),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6766),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6766),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6766),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6766),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6766),
    [anon_sym_BSLASHacrshort] = ACTIONS(6766),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6766),
    [anon_sym_BSLASHACRshort] = ACTIONS(6766),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6766),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6766),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6766),
    [anon_sym_BSLASHacrlong] = ACTIONS(6766),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6766),
    [anon_sym_BSLASHACRlong] = ACTIONS(6766),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6766),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6766),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6766),
    [anon_sym_BSLASHacrfull] = ACTIONS(6766),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6766),
    [anon_sym_BSLASHACRfull] = ACTIONS(6766),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6766),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6766),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6766),
    [anon_sym_BSLASHacs] = ACTIONS(6766),
    [anon_sym_BSLASHAcs] = ACTIONS(6766),
    [anon_sym_BSLASHacsp] = ACTIONS(6766),
    [anon_sym_BSLASHAcsp] = ACTIONS(6766),
    [anon_sym_BSLASHacl] = ACTIONS(6766),
    [anon_sym_BSLASHAcl] = ACTIONS(6766),
    [anon_sym_BSLASHaclp] = ACTIONS(6766),
    [anon_sym_BSLASHAclp] = ACTIONS(6766),
    [anon_sym_BSLASHacf] = ACTIONS(6766),
    [anon_sym_BSLASHAcf] = ACTIONS(6766),
    [anon_sym_BSLASHacfp] = ACTIONS(6766),
    [anon_sym_BSLASHAcfp] = ACTIONS(6766),
    [anon_sym_BSLASHac] = ACTIONS(6766),
    [anon_sym_BSLASHAc] = ACTIONS(6766),
    [anon_sym_BSLASHacp] = ACTIONS(6766),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6766),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6766),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6766),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6766),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6766),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6766),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6766),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6766),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6766),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6766),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6766),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6766),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6766),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6766),
    [anon_sym_BSLASHcolor] = ACTIONS(6766),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6766),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6766),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6766),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6766),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6766),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6766),
    [anon_sym_BSLASHurl] = ACTIONS(6766),
    [anon_sym_BSLASHhref] = ACTIONS(6766),
  },
  [405] = {
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(405),
    [aux_sym__section_repeat3] = STATE(405),
    [sym_command_name] = ACTIONS(6776),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6776),
    [anon_sym_LBRACK] = ACTIONS(6778),
    [anon_sym_RBRACK] = ACTIONS(6778),
    [anon_sym_COMMA] = ACTIONS(6778),
    [anon_sym_EQ] = ACTIONS(6778),
    [anon_sym_LPAREN] = ACTIONS(6778),
    [anon_sym_RPAREN] = ACTIONS(6778),
    [anon_sym_BSLASHpart] = ACTIONS(6776),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHaddpart] = ACTIONS(6776),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHchapter] = ACTIONS(6776),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHaddchap] = ACTIONS(6776),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHsection] = ACTIONS(6780),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6783),
    [anon_sym_BSLASHaddsec] = ACTIONS(6780),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6783),
    [anon_sym_BSLASHsubsection] = ACTIONS(6776),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6776),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHparagraph] = ACTIONS(6776),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6776),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHitem] = ACTIONS(6776),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6778),
    [anon_sym_LBRACE] = ACTIONS(6778),
    [sym_word] = ACTIONS(6776),
    [sym_placeholder] = ACTIONS(6778),
    [sym_delimiter] = ACTIONS(6778),
    [anon_sym_PLUS] = ACTIONS(6778),
    [anon_sym_DASH] = ACTIONS(6778),
    [anon_sym_STAR] = ACTIONS(6778),
    [anon_sym_SLASH] = ACTIONS(6778),
    [anon_sym_LT] = ACTIONS(6776),
    [anon_sym_GT] = ACTIONS(6776),
    [anon_sym_BANG] = ACTIONS(6776),
    [anon_sym_PIPE] = ACTIONS(6776),
    [anon_sym_COLON] = ACTIONS(6776),
    [anon_sym_SQUOTE] = ACTIONS(6776),
    [anon_sym__] = ACTIONS(6778),
    [anon_sym_CARET] = ACTIONS(6778),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6778),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6778),
    [anon_sym_DOLLAR] = ACTIONS(6776),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6778),
    [anon_sym_BSLASHleft] = ACTIONS(6776),
    [anon_sym_BSLASHbigl] = ACTIONS(6776),
    [anon_sym_BSLASHBigl] = ACTIONS(6776),
    [anon_sym_BSLASHbiggl] = ACTIONS(6776),
    [anon_sym_BSLASHBiggl] = ACTIONS(6776),
    [anon_sym_BSLASHright] = ACTIONS(6776),
    [anon_sym_BSLASHbigr] = ACTIONS(6776),
    [anon_sym_BSLASHBigr] = ACTIONS(6776),
    [anon_sym_BSLASHbiggr] = ACTIONS(6776),
    [anon_sym_BSLASHBiggr] = ACTIONS(6776),
    [anon_sym_BSLASHtext] = ACTIONS(6776),
    [anon_sym_BSLASHintertext] = ACTIONS(6776),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6776),
    [anon_sym_BSLASHbegin] = ACTIONS(6776),
    [anon_sym_BSLASHtitle] = ACTIONS(6776),
    [anon_sym_BSLASHauthor] = ACTIONS(6776),
    [anon_sym_BSLASHusepackage] = ACTIONS(6776),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6776),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6776),
    [anon_sym_BSLASHinclude] = ACTIONS(6776),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6776),
    [anon_sym_BSLASHinput] = ACTIONS(6776),
    [anon_sym_BSLASHsubfile] = ACTIONS(6776),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6776),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6776),
    [anon_sym_BSLASHbibliography] = ACTIONS(6776),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6776),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6776),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6776),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6776),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6776),
    [anon_sym_BSLASHimport] = ACTIONS(6776),
    [anon_sym_BSLASHsubimport] = ACTIONS(6776),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6776),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6776),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6776),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6776),
    [anon_sym_BSLASHcaption] = ACTIONS(6776),
    [anon_sym_BSLASHcite] = ACTIONS(6776),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHCite] = ACTIONS(6776),
    [anon_sym_BSLASHnocite] = ACTIONS(6776),
    [anon_sym_BSLASHcitet] = ACTIONS(6776),
    [anon_sym_BSLASHcitep] = ACTIONS(6776),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHciteA] = ACTIONS(6776),
    [anon_sym_BSLASHciteR] = ACTIONS(6776),
    [anon_sym_BSLASHciteS] = ACTIONS(6776),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6776),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6776),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6776),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6776),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHciteyear] = ACTIONS(6776),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcitedate] = ACTIONS(6776),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHciteurl] = ACTIONS(6776),
    [anon_sym_BSLASHfullcite] = ACTIONS(6776),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6776),
    [anon_sym_BSLASHcitealt] = ACTIONS(6776),
    [anon_sym_BSLASHcitealp] = ACTIONS(6776),
    [anon_sym_BSLASHcitetext] = ACTIONS(6776),
    [anon_sym_BSLASHparencite] = ACTIONS(6776),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHParencite] = ACTIONS(6776),
    [anon_sym_BSLASHfootcite] = ACTIONS(6776),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6776),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6776),
    [anon_sym_BSLASHtextcite] = ACTIONS(6776),
    [anon_sym_BSLASHTextcite] = ACTIONS(6776),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6776),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6776),
    [anon_sym_BSLASHsupercite] = ACTIONS(6776),
    [anon_sym_BSLASHautocite] = ACTIONS(6776),
    [anon_sym_BSLASHAutocite] = ACTIONS(6776),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHVolcite] = ACTIONS(6776),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHavolcite] = ACTIONS(6776),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHnotecite] = ACTIONS(6776),
    [anon_sym_BSLASHNotecite] = ACTIONS(6776),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6776),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6776),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6776),
    [anon_sym_BSLASHlabel] = ACTIONS(6776),
    [anon_sym_BSLASHref] = ACTIONS(6776),
    [anon_sym_BSLASHeqref] = ACTIONS(6776),
    [anon_sym_BSLASHvref] = ACTIONS(6776),
    [anon_sym_BSLASHVref] = ACTIONS(6776),
    [anon_sym_BSLASHautoref] = ACTIONS(6776),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHpageref] = ACTIONS(6776),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHautopageref] = ACTIONS(6776),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcref] = ACTIONS(6776),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHCref] = ACTIONS(6776),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcpageref] = ACTIONS(6776),
    [anon_sym_BSLASHCpageref] = ACTIONS(6776),
    [anon_sym_BSLASHnamecref] = ACTIONS(6776),
    [anon_sym_BSLASHnameCref] = ACTIONS(6776),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6776),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6776),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6776),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6776),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6776),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6776),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6776),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6776),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6776),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6776),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6776),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6776),
    [anon_sym_BSLASHdef] = ACTIONS(6776),
    [anon_sym_BSLASHgdef] = ACTIONS(6776),
    [anon_sym_BSLASHedef] = ACTIONS(6776),
    [anon_sym_BSLASHxdef] = ACTIONS(6776),
    [anon_sym_BSLASHlet] = ACTIONS(6776),
    [anon_sym_BSLASHglet] = ACTIONS(6776),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6776),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6776),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6776),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6776),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6776),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6776),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6776),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6776),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6776),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6776),
    [anon_sym_BSLASHgls] = ACTIONS(6776),
    [anon_sym_BSLASHGls] = ACTIONS(6776),
    [anon_sym_BSLASHGLS] = ACTIONS(6776),
    [anon_sym_BSLASHglspl] = ACTIONS(6776),
    [anon_sym_BSLASHGlspl] = ACTIONS(6776),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6776),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6776),
    [anon_sym_BSLASHglslink] = ACTIONS(6776),
    [anon_sym_BSLASHglstext] = ACTIONS(6776),
    [anon_sym_BSLASHGlstext] = ACTIONS(6776),
    [anon_sym_BSLASHGLStext] = ACTIONS(6776),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6776),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6776),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6776),
    [anon_sym_BSLASHglsplural] = ACTIONS(6776),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6776),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6776),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6776),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6776),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6776),
    [anon_sym_BSLASHglsname] = ACTIONS(6776),
    [anon_sym_BSLASHGlsname] = ACTIONS(6776),
    [anon_sym_BSLASHGLSname] = ACTIONS(6776),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6776),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6776),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6776),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6776),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6776),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6776),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6776),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6776),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6776),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6776),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6776),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6776),
    [anon_sym_BSLASHacrshort] = ACTIONS(6776),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6776),
    [anon_sym_BSLASHACRshort] = ACTIONS(6776),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6776),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6776),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6776),
    [anon_sym_BSLASHacrlong] = ACTIONS(6776),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6776),
    [anon_sym_BSLASHACRlong] = ACTIONS(6776),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6776),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6776),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6776),
    [anon_sym_BSLASHacrfull] = ACTIONS(6776),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6776),
    [anon_sym_BSLASHACRfull] = ACTIONS(6776),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6776),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6776),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6776),
    [anon_sym_BSLASHacs] = ACTIONS(6776),
    [anon_sym_BSLASHAcs] = ACTIONS(6776),
    [anon_sym_BSLASHacsp] = ACTIONS(6776),
    [anon_sym_BSLASHAcsp] = ACTIONS(6776),
    [anon_sym_BSLASHacl] = ACTIONS(6776),
    [anon_sym_BSLASHAcl] = ACTIONS(6776),
    [anon_sym_BSLASHaclp] = ACTIONS(6776),
    [anon_sym_BSLASHAclp] = ACTIONS(6776),
    [anon_sym_BSLASHacf] = ACTIONS(6776),
    [anon_sym_BSLASHAcf] = ACTIONS(6776),
    [anon_sym_BSLASHacfp] = ACTIONS(6776),
    [anon_sym_BSLASHAcfp] = ACTIONS(6776),
    [anon_sym_BSLASHac] = ACTIONS(6776),
    [anon_sym_BSLASHAc] = ACTIONS(6776),
    [anon_sym_BSLASHacp] = ACTIONS(6776),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6776),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6776),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6776),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6776),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6776),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6776),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6776),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6776),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6776),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6776),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6776),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6776),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6776),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6776),
    [anon_sym_BSLASHcolor] = ACTIONS(6776),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6776),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6776),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6776),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6776),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6776),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6776),
    [anon_sym_BSLASHurl] = ACTIONS(6776),
    [anon_sym_BSLASHhref] = ACTIONS(6776),
  },
  [406] = {
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(406),
    [aux_sym__section_repeat4] = STATE(406),
    [sym_command_name] = ACTIONS(6786),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6786),
    [anon_sym_LBRACK] = ACTIONS(6788),
    [anon_sym_RBRACK] = ACTIONS(6788),
    [anon_sym_COMMA] = ACTIONS(6788),
    [anon_sym_EQ] = ACTIONS(6788),
    [anon_sym_LPAREN] = ACTIONS(6788),
    [anon_sym_RPAREN] = ACTIONS(6788),
    [anon_sym_BSLASHpart] = ACTIONS(6786),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHaddpart] = ACTIONS(6786),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHchapter] = ACTIONS(6786),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHaddchap] = ACTIONS(6786),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHsection] = ACTIONS(6786),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHaddsec] = ACTIONS(6786),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHsubsection] = ACTIONS(6790),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6793),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6786),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHparagraph] = ACTIONS(6786),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6786),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHitem] = ACTIONS(6786),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6788),
    [anon_sym_LBRACE] = ACTIONS(6788),
    [sym_word] = ACTIONS(6786),
    [sym_placeholder] = ACTIONS(6788),
    [sym_delimiter] = ACTIONS(6788),
    [anon_sym_PLUS] = ACTIONS(6788),
    [anon_sym_DASH] = ACTIONS(6788),
    [anon_sym_STAR] = ACTIONS(6788),
    [anon_sym_SLASH] = ACTIONS(6788),
    [anon_sym_LT] = ACTIONS(6786),
    [anon_sym_GT] = ACTIONS(6786),
    [anon_sym_BANG] = ACTIONS(6786),
    [anon_sym_PIPE] = ACTIONS(6786),
    [anon_sym_COLON] = ACTIONS(6786),
    [anon_sym_SQUOTE] = ACTIONS(6786),
    [anon_sym__] = ACTIONS(6788),
    [anon_sym_CARET] = ACTIONS(6788),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6788),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6788),
    [anon_sym_DOLLAR] = ACTIONS(6786),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6788),
    [anon_sym_BSLASHleft] = ACTIONS(6786),
    [anon_sym_BSLASHbigl] = ACTIONS(6786),
    [anon_sym_BSLASHBigl] = ACTIONS(6786),
    [anon_sym_BSLASHbiggl] = ACTIONS(6786),
    [anon_sym_BSLASHBiggl] = ACTIONS(6786),
    [anon_sym_BSLASHright] = ACTIONS(6786),
    [anon_sym_BSLASHbigr] = ACTIONS(6786),
    [anon_sym_BSLASHBigr] = ACTIONS(6786),
    [anon_sym_BSLASHbiggr] = ACTIONS(6786),
    [anon_sym_BSLASHBiggr] = ACTIONS(6786),
    [anon_sym_BSLASHtext] = ACTIONS(6786),
    [anon_sym_BSLASHintertext] = ACTIONS(6786),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6786),
    [anon_sym_BSLASHbegin] = ACTIONS(6786),
    [anon_sym_BSLASHtitle] = ACTIONS(6786),
    [anon_sym_BSLASHauthor] = ACTIONS(6786),
    [anon_sym_BSLASHusepackage] = ACTIONS(6786),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6786),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6786),
    [anon_sym_BSLASHinclude] = ACTIONS(6786),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6786),
    [anon_sym_BSLASHinput] = ACTIONS(6786),
    [anon_sym_BSLASHsubfile] = ACTIONS(6786),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6786),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6786),
    [anon_sym_BSLASHbibliography] = ACTIONS(6786),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6786),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6786),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6786),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6786),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6786),
    [anon_sym_BSLASHimport] = ACTIONS(6786),
    [anon_sym_BSLASHsubimport] = ACTIONS(6786),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6786),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6786),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6786),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6786),
    [anon_sym_BSLASHcaption] = ACTIONS(6786),
    [anon_sym_BSLASHcite] = ACTIONS(6786),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHCite] = ACTIONS(6786),
    [anon_sym_BSLASHnocite] = ACTIONS(6786),
    [anon_sym_BSLASHcitet] = ACTIONS(6786),
    [anon_sym_BSLASHcitep] = ACTIONS(6786),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHciteA] = ACTIONS(6786),
    [anon_sym_BSLASHciteR] = ACTIONS(6786),
    [anon_sym_BSLASHciteS] = ACTIONS(6786),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6786),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6786),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6786),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6786),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHciteyear] = ACTIONS(6786),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcitedate] = ACTIONS(6786),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHciteurl] = ACTIONS(6786),
    [anon_sym_BSLASHfullcite] = ACTIONS(6786),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6786),
    [anon_sym_BSLASHcitealt] = ACTIONS(6786),
    [anon_sym_BSLASHcitealp] = ACTIONS(6786),
    [anon_sym_BSLASHcitetext] = ACTIONS(6786),
    [anon_sym_BSLASHparencite] = ACTIONS(6786),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHParencite] = ACTIONS(6786),
    [anon_sym_BSLASHfootcite] = ACTIONS(6786),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6786),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6786),
    [anon_sym_BSLASHtextcite] = ACTIONS(6786),
    [anon_sym_BSLASHTextcite] = ACTIONS(6786),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6786),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6786),
    [anon_sym_BSLASHsupercite] = ACTIONS(6786),
    [anon_sym_BSLASHautocite] = ACTIONS(6786),
    [anon_sym_BSLASHAutocite] = ACTIONS(6786),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHVolcite] = ACTIONS(6786),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHavolcite] = ACTIONS(6786),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHnotecite] = ACTIONS(6786),
    [anon_sym_BSLASHNotecite] = ACTIONS(6786),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6786),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6786),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6786),
    [anon_sym_BSLASHlabel] = ACTIONS(6786),
    [anon_sym_BSLASHref] = ACTIONS(6786),
    [anon_sym_BSLASHeqref] = ACTIONS(6786),
    [anon_sym_BSLASHvref] = ACTIONS(6786),
    [anon_sym_BSLASHVref] = ACTIONS(6786),
    [anon_sym_BSLASHautoref] = ACTIONS(6786),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHpageref] = ACTIONS(6786),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHautopageref] = ACTIONS(6786),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcref] = ACTIONS(6786),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHCref] = ACTIONS(6786),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcpageref] = ACTIONS(6786),
    [anon_sym_BSLASHCpageref] = ACTIONS(6786),
    [anon_sym_BSLASHnamecref] = ACTIONS(6786),
    [anon_sym_BSLASHnameCref] = ACTIONS(6786),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6786),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6786),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6786),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6786),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6786),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6786),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6786),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6786),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6786),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6786),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6786),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6786),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6786),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6786),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6786),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6786),
    [anon_sym_BSLASHdef] = ACTIONS(6786),
    [anon_sym_BSLASHgdef] = ACTIONS(6786),
    [anon_sym_BSLASHedef] = ACTIONS(6786),
    [anon_sym_BSLASHxdef] = ACTIONS(6786),
    [anon_sym_BSLASHlet] = ACTIONS(6786),
    [anon_sym_BSLASHglet] = ACTIONS(6786),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6786),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6786),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6786),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6786),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6786),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6786),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6786),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6786),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6786),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6786),
    [anon_sym_BSLASHgls] = ACTIONS(6786),
    [anon_sym_BSLASHGls] = ACTIONS(6786),
    [anon_sym_BSLASHGLS] = ACTIONS(6786),
    [anon_sym_BSLASHglspl] = ACTIONS(6786),
    [anon_sym_BSLASHGlspl] = ACTIONS(6786),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6786),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6786),
    [anon_sym_BSLASHglslink] = ACTIONS(6786),
    [anon_sym_BSLASHglstext] = ACTIONS(6786),
    [anon_sym_BSLASHGlstext] = ACTIONS(6786),
    [anon_sym_BSLASHGLStext] = ACTIONS(6786),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6786),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6786),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6786),
    [anon_sym_BSLASHglsplural] = ACTIONS(6786),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6786),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6786),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6786),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6786),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6786),
    [anon_sym_BSLASHglsname] = ACTIONS(6786),
    [anon_sym_BSLASHGlsname] = ACTIONS(6786),
    [anon_sym_BSLASHGLSname] = ACTIONS(6786),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6786),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6786),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6786),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6786),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6786),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6786),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6786),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6786),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6786),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6786),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6786),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6786),
    [anon_sym_BSLASHacrshort] = ACTIONS(6786),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6786),
    [anon_sym_BSLASHACRshort] = ACTIONS(6786),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6786),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6786),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6786),
    [anon_sym_BSLASHacrlong] = ACTIONS(6786),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6786),
    [anon_sym_BSLASHACRlong] = ACTIONS(6786),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6786),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6786),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6786),
    [anon_sym_BSLASHacrfull] = ACTIONS(6786),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6786),
    [anon_sym_BSLASHACRfull] = ACTIONS(6786),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6786),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6786),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6786),
    [anon_sym_BSLASHacs] = ACTIONS(6786),
    [anon_sym_BSLASHAcs] = ACTIONS(6786),
    [anon_sym_BSLASHacsp] = ACTIONS(6786),
    [anon_sym_BSLASHAcsp] = ACTIONS(6786),
    [anon_sym_BSLASHacl] = ACTIONS(6786),
    [anon_sym_BSLASHAcl] = ACTIONS(6786),
    [anon_sym_BSLASHaclp] = ACTIONS(6786),
    [anon_sym_BSLASHAclp] = ACTIONS(6786),
    [anon_sym_BSLASHacf] = ACTIONS(6786),
    [anon_sym_BSLASHAcf] = ACTIONS(6786),
    [anon_sym_BSLASHacfp] = ACTIONS(6786),
    [anon_sym_BSLASHAcfp] = ACTIONS(6786),
    [anon_sym_BSLASHac] = ACTIONS(6786),
    [anon_sym_BSLASHAc] = ACTIONS(6786),
    [anon_sym_BSLASHacp] = ACTIONS(6786),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6786),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6786),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6786),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6786),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6786),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6786),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6786),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6786),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6786),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6786),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6786),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6786),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6786),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6786),
    [anon_sym_BSLASHcolor] = ACTIONS(6786),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6786),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6786),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6786),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6786),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6786),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6786),
    [anon_sym_BSLASHurl] = ACTIONS(6786),
    [anon_sym_BSLASHhref] = ACTIONS(6786),
  },
  [407] = {
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(407),
    [aux_sym__section_repeat5] = STATE(407),
    [sym_command_name] = ACTIONS(6796),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6796),
    [anon_sym_LBRACK] = ACTIONS(6798),
    [anon_sym_RBRACK] = ACTIONS(6798),
    [anon_sym_COMMA] = ACTIONS(6798),
    [anon_sym_EQ] = ACTIONS(6798),
    [anon_sym_LPAREN] = ACTIONS(6798),
    [anon_sym_RPAREN] = ACTIONS(6798),
    [anon_sym_BSLASHpart] = ACTIONS(6796),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHaddpart] = ACTIONS(6796),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHchapter] = ACTIONS(6796),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHaddchap] = ACTIONS(6796),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHsection] = ACTIONS(6796),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHaddsec] = ACTIONS(6796),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHsubsection] = ACTIONS(6796),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6800),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6803),
    [anon_sym_BSLASHparagraph] = ACTIONS(6796),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6796),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHitem] = ACTIONS(6796),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6798),
    [anon_sym_LBRACE] = ACTIONS(6798),
    [sym_word] = ACTIONS(6796),
    [sym_placeholder] = ACTIONS(6798),
    [sym_delimiter] = ACTIONS(6798),
    [anon_sym_PLUS] = ACTIONS(6798),
    [anon_sym_DASH] = ACTIONS(6798),
    [anon_sym_STAR] = ACTIONS(6798),
    [anon_sym_SLASH] = ACTIONS(6798),
    [anon_sym_LT] = ACTIONS(6796),
    [anon_sym_GT] = ACTIONS(6796),
    [anon_sym_BANG] = ACTIONS(6796),
    [anon_sym_PIPE] = ACTIONS(6796),
    [anon_sym_COLON] = ACTIONS(6796),
    [anon_sym_SQUOTE] = ACTIONS(6796),
    [anon_sym__] = ACTIONS(6798),
    [anon_sym_CARET] = ACTIONS(6798),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6798),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6798),
    [anon_sym_DOLLAR] = ACTIONS(6796),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6798),
    [anon_sym_BSLASHleft] = ACTIONS(6796),
    [anon_sym_BSLASHbigl] = ACTIONS(6796),
    [anon_sym_BSLASHBigl] = ACTIONS(6796),
    [anon_sym_BSLASHbiggl] = ACTIONS(6796),
    [anon_sym_BSLASHBiggl] = ACTIONS(6796),
    [anon_sym_BSLASHright] = ACTIONS(6796),
    [anon_sym_BSLASHbigr] = ACTIONS(6796),
    [anon_sym_BSLASHBigr] = ACTIONS(6796),
    [anon_sym_BSLASHbiggr] = ACTIONS(6796),
    [anon_sym_BSLASHBiggr] = ACTIONS(6796),
    [anon_sym_BSLASHtext] = ACTIONS(6796),
    [anon_sym_BSLASHintertext] = ACTIONS(6796),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6796),
    [anon_sym_BSLASHbegin] = ACTIONS(6796),
    [anon_sym_BSLASHtitle] = ACTIONS(6796),
    [anon_sym_BSLASHauthor] = ACTIONS(6796),
    [anon_sym_BSLASHusepackage] = ACTIONS(6796),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6796),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6796),
    [anon_sym_BSLASHinclude] = ACTIONS(6796),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6796),
    [anon_sym_BSLASHinput] = ACTIONS(6796),
    [anon_sym_BSLASHsubfile] = ACTIONS(6796),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6796),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6796),
    [anon_sym_BSLASHbibliography] = ACTIONS(6796),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6796),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6796),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6796),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6796),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6796),
    [anon_sym_BSLASHimport] = ACTIONS(6796),
    [anon_sym_BSLASHsubimport] = ACTIONS(6796),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6796),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6796),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6796),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6796),
    [anon_sym_BSLASHcaption] = ACTIONS(6796),
    [anon_sym_BSLASHcite] = ACTIONS(6796),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHCite] = ACTIONS(6796),
    [anon_sym_BSLASHnocite] = ACTIONS(6796),
    [anon_sym_BSLASHcitet] = ACTIONS(6796),
    [anon_sym_BSLASHcitep] = ACTIONS(6796),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHciteA] = ACTIONS(6796),
    [anon_sym_BSLASHciteR] = ACTIONS(6796),
    [anon_sym_BSLASHciteS] = ACTIONS(6796),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6796),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6796),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6796),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6796),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHciteyear] = ACTIONS(6796),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcitedate] = ACTIONS(6796),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHciteurl] = ACTIONS(6796),
    [anon_sym_BSLASHfullcite] = ACTIONS(6796),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6796),
    [anon_sym_BSLASHcitealt] = ACTIONS(6796),
    [anon_sym_BSLASHcitealp] = ACTIONS(6796),
    [anon_sym_BSLASHcitetext] = ACTIONS(6796),
    [anon_sym_BSLASHparencite] = ACTIONS(6796),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHParencite] = ACTIONS(6796),
    [anon_sym_BSLASHfootcite] = ACTIONS(6796),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6796),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6796),
    [anon_sym_BSLASHtextcite] = ACTIONS(6796),
    [anon_sym_BSLASHTextcite] = ACTIONS(6796),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6796),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6796),
    [anon_sym_BSLASHsupercite] = ACTIONS(6796),
    [anon_sym_BSLASHautocite] = ACTIONS(6796),
    [anon_sym_BSLASHAutocite] = ACTIONS(6796),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHVolcite] = ACTIONS(6796),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHavolcite] = ACTIONS(6796),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHnotecite] = ACTIONS(6796),
    [anon_sym_BSLASHNotecite] = ACTIONS(6796),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6796),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6796),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6796),
    [anon_sym_BSLASHlabel] = ACTIONS(6796),
    [anon_sym_BSLASHref] = ACTIONS(6796),
    [anon_sym_BSLASHeqref] = ACTIONS(6796),
    [anon_sym_BSLASHvref] = ACTIONS(6796),
    [anon_sym_BSLASHVref] = ACTIONS(6796),
    [anon_sym_BSLASHautoref] = ACTIONS(6796),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHpageref] = ACTIONS(6796),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHautopageref] = ACTIONS(6796),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcref] = ACTIONS(6796),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHCref] = ACTIONS(6796),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcpageref] = ACTIONS(6796),
    [anon_sym_BSLASHCpageref] = ACTIONS(6796),
    [anon_sym_BSLASHnamecref] = ACTIONS(6796),
    [anon_sym_BSLASHnameCref] = ACTIONS(6796),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6796),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6796),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6796),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6796),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6796),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6796),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6796),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6796),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6796),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6796),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6796),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6796),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6796),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6796),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6796),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6796),
    [anon_sym_BSLASHdef] = ACTIONS(6796),
    [anon_sym_BSLASHgdef] = ACTIONS(6796),
    [anon_sym_BSLASHedef] = ACTIONS(6796),
    [anon_sym_BSLASHxdef] = ACTIONS(6796),
    [anon_sym_BSLASHlet] = ACTIONS(6796),
    [anon_sym_BSLASHglet] = ACTIONS(6796),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6796),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6796),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6796),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6796),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6796),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6796),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6796),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6796),
    [anon_sym_BSLASHgls] = ACTIONS(6796),
    [anon_sym_BSLASHGls] = ACTIONS(6796),
    [anon_sym_BSLASHGLS] = ACTIONS(6796),
    [anon_sym_BSLASHglspl] = ACTIONS(6796),
    [anon_sym_BSLASHGlspl] = ACTIONS(6796),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6796),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6796),
    [anon_sym_BSLASHglslink] = ACTIONS(6796),
    [anon_sym_BSLASHglstext] = ACTIONS(6796),
    [anon_sym_BSLASHGlstext] = ACTIONS(6796),
    [anon_sym_BSLASHGLStext] = ACTIONS(6796),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6796),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6796),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6796),
    [anon_sym_BSLASHglsplural] = ACTIONS(6796),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6796),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6796),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6796),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6796),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6796),
    [anon_sym_BSLASHglsname] = ACTIONS(6796),
    [anon_sym_BSLASHGlsname] = ACTIONS(6796),
    [anon_sym_BSLASHGLSname] = ACTIONS(6796),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6796),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6796),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6796),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6796),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6796),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6796),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6796),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6796),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6796),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6796),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6796),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6796),
    [anon_sym_BSLASHacrshort] = ACTIONS(6796),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6796),
    [anon_sym_BSLASHACRshort] = ACTIONS(6796),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6796),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6796),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6796),
    [anon_sym_BSLASHacrlong] = ACTIONS(6796),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6796),
    [anon_sym_BSLASHACRlong] = ACTIONS(6796),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6796),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6796),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6796),
    [anon_sym_BSLASHacrfull] = ACTIONS(6796),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6796),
    [anon_sym_BSLASHACRfull] = ACTIONS(6796),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6796),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6796),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6796),
    [anon_sym_BSLASHacs] = ACTIONS(6796),
    [anon_sym_BSLASHAcs] = ACTIONS(6796),
    [anon_sym_BSLASHacsp] = ACTIONS(6796),
    [anon_sym_BSLASHAcsp] = ACTIONS(6796),
    [anon_sym_BSLASHacl] = ACTIONS(6796),
    [anon_sym_BSLASHAcl] = ACTIONS(6796),
    [anon_sym_BSLASHaclp] = ACTIONS(6796),
    [anon_sym_BSLASHAclp] = ACTIONS(6796),
    [anon_sym_BSLASHacf] = ACTIONS(6796),
    [anon_sym_BSLASHAcf] = ACTIONS(6796),
    [anon_sym_BSLASHacfp] = ACTIONS(6796),
    [anon_sym_BSLASHAcfp] = ACTIONS(6796),
    [anon_sym_BSLASHac] = ACTIONS(6796),
    [anon_sym_BSLASHAc] = ACTIONS(6796),
    [anon_sym_BSLASHacp] = ACTIONS(6796),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6796),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6796),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6796),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6796),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6796),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6796),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6796),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6796),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6796),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6796),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6796),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6796),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6796),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6796),
    [anon_sym_BSLASHcolor] = ACTIONS(6796),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6796),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6796),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6796),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6796),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6796),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6796),
    [anon_sym_BSLASHurl] = ACTIONS(6796),
    [anon_sym_BSLASHhref] = ACTIONS(6796),
  },
  [408] = {
    [sym__paragraph_declaration] = STATE(207),
    [sym_paragraph] = STATE(408),
    [aux_sym__paragraph_repeat1] = STATE(408),
    [sym_command_name] = ACTIONS(6806),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6806),
    [anon_sym_LBRACK] = ACTIONS(6808),
    [anon_sym_RBRACK] = ACTIONS(6808),
    [anon_sym_COMMA] = ACTIONS(6808),
    [anon_sym_EQ] = ACTIONS(6808),
    [anon_sym_LPAREN] = ACTIONS(6808),
    [anon_sym_RPAREN] = ACTIONS(6808),
    [anon_sym_BSLASHpart] = ACTIONS(6806),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHaddpart] = ACTIONS(6806),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHchapter] = ACTIONS(6806),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHaddchap] = ACTIONS(6806),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHsection] = ACTIONS(6806),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHaddsec] = ACTIONS(6806),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHsubsection] = ACTIONS(6806),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6806),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHparagraph] = ACTIONS(6810),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6813),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6806),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHitem] = ACTIONS(6806),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6808),
    [anon_sym_LBRACE] = ACTIONS(6808),
    [sym_word] = ACTIONS(6806),
    [sym_placeholder] = ACTIONS(6808),
    [sym_delimiter] = ACTIONS(6808),
    [anon_sym_PLUS] = ACTIONS(6808),
    [anon_sym_DASH] = ACTIONS(6808),
    [anon_sym_STAR] = ACTIONS(6808),
    [anon_sym_SLASH] = ACTIONS(6808),
    [anon_sym_LT] = ACTIONS(6806),
    [anon_sym_GT] = ACTIONS(6806),
    [anon_sym_BANG] = ACTIONS(6806),
    [anon_sym_PIPE] = ACTIONS(6806),
    [anon_sym_COLON] = ACTIONS(6806),
    [anon_sym_SQUOTE] = ACTIONS(6806),
    [anon_sym__] = ACTIONS(6808),
    [anon_sym_CARET] = ACTIONS(6808),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6808),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6808),
    [anon_sym_DOLLAR] = ACTIONS(6806),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6808),
    [anon_sym_BSLASHleft] = ACTIONS(6806),
    [anon_sym_BSLASHbigl] = ACTIONS(6806),
    [anon_sym_BSLASHBigl] = ACTIONS(6806),
    [anon_sym_BSLASHbiggl] = ACTIONS(6806),
    [anon_sym_BSLASHBiggl] = ACTIONS(6806),
    [anon_sym_BSLASHright] = ACTIONS(6806),
    [anon_sym_BSLASHbigr] = ACTIONS(6806),
    [anon_sym_BSLASHBigr] = ACTIONS(6806),
    [anon_sym_BSLASHbiggr] = ACTIONS(6806),
    [anon_sym_BSLASHBiggr] = ACTIONS(6806),
    [anon_sym_BSLASHtext] = ACTIONS(6806),
    [anon_sym_BSLASHintertext] = ACTIONS(6806),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6806),
    [anon_sym_BSLASHbegin] = ACTIONS(6806),
    [anon_sym_BSLASHtitle] = ACTIONS(6806),
    [anon_sym_BSLASHauthor] = ACTIONS(6806),
    [anon_sym_BSLASHusepackage] = ACTIONS(6806),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6806),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6806),
    [anon_sym_BSLASHinclude] = ACTIONS(6806),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6806),
    [anon_sym_BSLASHinput] = ACTIONS(6806),
    [anon_sym_BSLASHsubfile] = ACTIONS(6806),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6806),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6806),
    [anon_sym_BSLASHbibliography] = ACTIONS(6806),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6806),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6806),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6806),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6806),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6806),
    [anon_sym_BSLASHimport] = ACTIONS(6806),
    [anon_sym_BSLASHsubimport] = ACTIONS(6806),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6806),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6806),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6806),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6806),
    [anon_sym_BSLASHcaption] = ACTIONS(6806),
    [anon_sym_BSLASHcite] = ACTIONS(6806),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHCite] = ACTIONS(6806),
    [anon_sym_BSLASHnocite] = ACTIONS(6806),
    [anon_sym_BSLASHcitet] = ACTIONS(6806),
    [anon_sym_BSLASHcitep] = ACTIONS(6806),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHciteA] = ACTIONS(6806),
    [anon_sym_BSLASHciteR] = ACTIONS(6806),
    [anon_sym_BSLASHciteS] = ACTIONS(6806),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6806),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6806),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6806),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6806),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHciteyear] = ACTIONS(6806),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcitedate] = ACTIONS(6806),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHciteurl] = ACTIONS(6806),
    [anon_sym_BSLASHfullcite] = ACTIONS(6806),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6806),
    [anon_sym_BSLASHcitealt] = ACTIONS(6806),
    [anon_sym_BSLASHcitealp] = ACTIONS(6806),
    [anon_sym_BSLASHcitetext] = ACTIONS(6806),
    [anon_sym_BSLASHparencite] = ACTIONS(6806),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHParencite] = ACTIONS(6806),
    [anon_sym_BSLASHfootcite] = ACTIONS(6806),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6806),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6806),
    [anon_sym_BSLASHtextcite] = ACTIONS(6806),
    [anon_sym_BSLASHTextcite] = ACTIONS(6806),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6806),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6806),
    [anon_sym_BSLASHsupercite] = ACTIONS(6806),
    [anon_sym_BSLASHautocite] = ACTIONS(6806),
    [anon_sym_BSLASHAutocite] = ACTIONS(6806),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHVolcite] = ACTIONS(6806),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHavolcite] = ACTIONS(6806),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHnotecite] = ACTIONS(6806),
    [anon_sym_BSLASHNotecite] = ACTIONS(6806),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6806),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6806),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6806),
    [anon_sym_BSLASHlabel] = ACTIONS(6806),
    [anon_sym_BSLASHref] = ACTIONS(6806),
    [anon_sym_BSLASHeqref] = ACTIONS(6806),
    [anon_sym_BSLASHvref] = ACTIONS(6806),
    [anon_sym_BSLASHVref] = ACTIONS(6806),
    [anon_sym_BSLASHautoref] = ACTIONS(6806),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHpageref] = ACTIONS(6806),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHautopageref] = ACTIONS(6806),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcref] = ACTIONS(6806),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHCref] = ACTIONS(6806),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcpageref] = ACTIONS(6806),
    [anon_sym_BSLASHCpageref] = ACTIONS(6806),
    [anon_sym_BSLASHnamecref] = ACTIONS(6806),
    [anon_sym_BSLASHnameCref] = ACTIONS(6806),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6806),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6806),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6806),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6806),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6806),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6806),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6806),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6806),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6806),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6806),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6806),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6806),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6806),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6806),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6806),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6806),
    [anon_sym_BSLASHdef] = ACTIONS(6806),
    [anon_sym_BSLASHgdef] = ACTIONS(6806),
    [anon_sym_BSLASHedef] = ACTIONS(6806),
    [anon_sym_BSLASHxdef] = ACTIONS(6806),
    [anon_sym_BSLASHlet] = ACTIONS(6806),
    [anon_sym_BSLASHglet] = ACTIONS(6806),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6806),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6806),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6806),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6806),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6806),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6806),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6806),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6806),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6806),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6806),
    [anon_sym_BSLASHgls] = ACTIONS(6806),
    [anon_sym_BSLASHGls] = ACTIONS(6806),
    [anon_sym_BSLASHGLS] = ACTIONS(6806),
    [anon_sym_BSLASHglspl] = ACTIONS(6806),
    [anon_sym_BSLASHGlspl] = ACTIONS(6806),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6806),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6806),
    [anon_sym_BSLASHglslink] = ACTIONS(6806),
    [anon_sym_BSLASHglstext] = ACTIONS(6806),
    [anon_sym_BSLASHGlstext] = ACTIONS(6806),
    [anon_sym_BSLASHGLStext] = ACTIONS(6806),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6806),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6806),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6806),
    [anon_sym_BSLASHglsplural] = ACTIONS(6806),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6806),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6806),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6806),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6806),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6806),
    [anon_sym_BSLASHglsname] = ACTIONS(6806),
    [anon_sym_BSLASHGlsname] = ACTIONS(6806),
    [anon_sym_BSLASHGLSname] = ACTIONS(6806),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6806),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6806),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6806),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6806),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6806),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6806),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6806),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6806),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6806),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6806),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6806),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6806),
    [anon_sym_BSLASHacrshort] = ACTIONS(6806),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6806),
    [anon_sym_BSLASHACRshort] = ACTIONS(6806),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6806),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6806),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6806),
    [anon_sym_BSLASHacrlong] = ACTIONS(6806),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6806),
    [anon_sym_BSLASHACRlong] = ACTIONS(6806),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6806),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6806),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6806),
    [anon_sym_BSLASHacrfull] = ACTIONS(6806),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6806),
    [anon_sym_BSLASHACRfull] = ACTIONS(6806),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6806),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6806),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6806),
    [anon_sym_BSLASHacs] = ACTIONS(6806),
    [anon_sym_BSLASHAcs] = ACTIONS(6806),
    [anon_sym_BSLASHacsp] = ACTIONS(6806),
    [anon_sym_BSLASHAcsp] = ACTIONS(6806),
    [anon_sym_BSLASHacl] = ACTIONS(6806),
    [anon_sym_BSLASHAcl] = ACTIONS(6806),
    [anon_sym_BSLASHaclp] = ACTIONS(6806),
    [anon_sym_BSLASHAclp] = ACTIONS(6806),
    [anon_sym_BSLASHacf] = ACTIONS(6806),
    [anon_sym_BSLASHAcf] = ACTIONS(6806),
    [anon_sym_BSLASHacfp] = ACTIONS(6806),
    [anon_sym_BSLASHAcfp] = ACTIONS(6806),
    [anon_sym_BSLASHac] = ACTIONS(6806),
    [anon_sym_BSLASHAc] = ACTIONS(6806),
    [anon_sym_BSLASHacp] = ACTIONS(6806),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6806),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6806),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6806),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6806),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6806),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6806),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6806),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6806),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6806),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6806),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6806),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6806),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6806),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6806),
    [anon_sym_BSLASHcolor] = ACTIONS(6806),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6806),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6806),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6806),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6806),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6806),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6806),
    [anon_sym_BSLASHurl] = ACTIONS(6806),
    [anon_sym_BSLASHhref] = ACTIONS(6806),
  },
  [409] = {
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(409),
    [aux_sym__paragraph_repeat2] = STATE(409),
    [sym_command_name] = ACTIONS(6816),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6816),
    [anon_sym_LBRACK] = ACTIONS(6818),
    [anon_sym_RBRACK] = ACTIONS(6818),
    [anon_sym_COMMA] = ACTIONS(6818),
    [anon_sym_EQ] = ACTIONS(6818),
    [anon_sym_LPAREN] = ACTIONS(6818),
    [anon_sym_RPAREN] = ACTIONS(6818),
    [anon_sym_BSLASHpart] = ACTIONS(6816),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHaddpart] = ACTIONS(6816),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHchapter] = ACTIONS(6816),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHaddchap] = ACTIONS(6816),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHsection] = ACTIONS(6816),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHaddsec] = ACTIONS(6816),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHsubsection] = ACTIONS(6816),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6816),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHparagraph] = ACTIONS(6816),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6820),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6823),
    [anon_sym_BSLASHitem] = ACTIONS(6816),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6818),
    [anon_sym_LBRACE] = ACTIONS(6818),
    [sym_word] = ACTIONS(6816),
    [sym_placeholder] = ACTIONS(6818),
    [sym_delimiter] = ACTIONS(6818),
    [anon_sym_PLUS] = ACTIONS(6818),
    [anon_sym_DASH] = ACTIONS(6818),
    [anon_sym_STAR] = ACTIONS(6818),
    [anon_sym_SLASH] = ACTIONS(6818),
    [anon_sym_LT] = ACTIONS(6816),
    [anon_sym_GT] = ACTIONS(6816),
    [anon_sym_BANG] = ACTIONS(6816),
    [anon_sym_PIPE] = ACTIONS(6816),
    [anon_sym_COLON] = ACTIONS(6816),
    [anon_sym_SQUOTE] = ACTIONS(6816),
    [anon_sym__] = ACTIONS(6818),
    [anon_sym_CARET] = ACTIONS(6818),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6818),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6818),
    [anon_sym_DOLLAR] = ACTIONS(6816),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6818),
    [anon_sym_BSLASHleft] = ACTIONS(6816),
    [anon_sym_BSLASHbigl] = ACTIONS(6816),
    [anon_sym_BSLASHBigl] = ACTIONS(6816),
    [anon_sym_BSLASHbiggl] = ACTIONS(6816),
    [anon_sym_BSLASHBiggl] = ACTIONS(6816),
    [anon_sym_BSLASHright] = ACTIONS(6816),
    [anon_sym_BSLASHbigr] = ACTIONS(6816),
    [anon_sym_BSLASHBigr] = ACTIONS(6816),
    [anon_sym_BSLASHbiggr] = ACTIONS(6816),
    [anon_sym_BSLASHBiggr] = ACTIONS(6816),
    [anon_sym_BSLASHtext] = ACTIONS(6816),
    [anon_sym_BSLASHintertext] = ACTIONS(6816),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6816),
    [anon_sym_BSLASHbegin] = ACTIONS(6816),
    [anon_sym_BSLASHtitle] = ACTIONS(6816),
    [anon_sym_BSLASHauthor] = ACTIONS(6816),
    [anon_sym_BSLASHusepackage] = ACTIONS(6816),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6816),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6816),
    [anon_sym_BSLASHinclude] = ACTIONS(6816),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6816),
    [anon_sym_BSLASHinput] = ACTIONS(6816),
    [anon_sym_BSLASHsubfile] = ACTIONS(6816),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6816),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6816),
    [anon_sym_BSLASHbibliography] = ACTIONS(6816),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6816),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6816),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6816),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6816),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6816),
    [anon_sym_BSLASHimport] = ACTIONS(6816),
    [anon_sym_BSLASHsubimport] = ACTIONS(6816),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6816),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6816),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6816),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6816),
    [anon_sym_BSLASHcaption] = ACTIONS(6816),
    [anon_sym_BSLASHcite] = ACTIONS(6816),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHCite] = ACTIONS(6816),
    [anon_sym_BSLASHnocite] = ACTIONS(6816),
    [anon_sym_BSLASHcitet] = ACTIONS(6816),
    [anon_sym_BSLASHcitep] = ACTIONS(6816),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHciteA] = ACTIONS(6816),
    [anon_sym_BSLASHciteR] = ACTIONS(6816),
    [anon_sym_BSLASHciteS] = ACTIONS(6816),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6816),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6816),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6816),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6816),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHciteyear] = ACTIONS(6816),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcitedate] = ACTIONS(6816),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHciteurl] = ACTIONS(6816),
    [anon_sym_BSLASHfullcite] = ACTIONS(6816),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6816),
    [anon_sym_BSLASHcitealt] = ACTIONS(6816),
    [anon_sym_BSLASHcitealp] = ACTIONS(6816),
    [anon_sym_BSLASHcitetext] = ACTIONS(6816),
    [anon_sym_BSLASHparencite] = ACTIONS(6816),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHParencite] = ACTIONS(6816),
    [anon_sym_BSLASHfootcite] = ACTIONS(6816),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6816),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6816),
    [anon_sym_BSLASHtextcite] = ACTIONS(6816),
    [anon_sym_BSLASHTextcite] = ACTIONS(6816),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6816),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6816),
    [anon_sym_BSLASHsupercite] = ACTIONS(6816),
    [anon_sym_BSLASHautocite] = ACTIONS(6816),
    [anon_sym_BSLASHAutocite] = ACTIONS(6816),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHVolcite] = ACTIONS(6816),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHavolcite] = ACTIONS(6816),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHnotecite] = ACTIONS(6816),
    [anon_sym_BSLASHNotecite] = ACTIONS(6816),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6816),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6816),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6816),
    [anon_sym_BSLASHlabel] = ACTIONS(6816),
    [anon_sym_BSLASHref] = ACTIONS(6816),
    [anon_sym_BSLASHeqref] = ACTIONS(6816),
    [anon_sym_BSLASHvref] = ACTIONS(6816),
    [anon_sym_BSLASHVref] = ACTIONS(6816),
    [anon_sym_BSLASHautoref] = ACTIONS(6816),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHpageref] = ACTIONS(6816),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHautopageref] = ACTIONS(6816),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcref] = ACTIONS(6816),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHCref] = ACTIONS(6816),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcpageref] = ACTIONS(6816),
    [anon_sym_BSLASHCpageref] = ACTIONS(6816),
    [anon_sym_BSLASHnamecref] = ACTIONS(6816),
    [anon_sym_BSLASHnameCref] = ACTIONS(6816),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6816),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6816),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6816),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6816),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6816),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6816),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6816),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6816),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6816),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6816),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6816),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6816),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6816),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6816),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6816),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6816),
    [anon_sym_BSLASHdef] = ACTIONS(6816),
    [anon_sym_BSLASHgdef] = ACTIONS(6816),
    [anon_sym_BSLASHedef] = ACTIONS(6816),
    [anon_sym_BSLASHxdef] = ACTIONS(6816),
    [anon_sym_BSLASHlet] = ACTIONS(6816),
    [anon_sym_BSLASHglet] = ACTIONS(6816),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6816),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6816),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6816),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6816),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6816),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6816),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6816),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6816),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6816),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6816),
    [anon_sym_BSLASHgls] = ACTIONS(6816),
    [anon_sym_BSLASHGls] = ACTIONS(6816),
    [anon_sym_BSLASHGLS] = ACTIONS(6816),
    [anon_sym_BSLASHglspl] = ACTIONS(6816),
    [anon_sym_BSLASHGlspl] = ACTIONS(6816),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6816),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6816),
    [anon_sym_BSLASHglslink] = ACTIONS(6816),
    [anon_sym_BSLASHglstext] = ACTIONS(6816),
    [anon_sym_BSLASHGlstext] = ACTIONS(6816),
    [anon_sym_BSLASHGLStext] = ACTIONS(6816),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6816),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6816),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6816),
    [anon_sym_BSLASHglsplural] = ACTIONS(6816),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6816),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6816),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6816),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6816),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6816),
    [anon_sym_BSLASHglsname] = ACTIONS(6816),
    [anon_sym_BSLASHGlsname] = ACTIONS(6816),
    [anon_sym_BSLASHGLSname] = ACTIONS(6816),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6816),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6816),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6816),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6816),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6816),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6816),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6816),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6816),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6816),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6816),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6816),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6816),
    [anon_sym_BSLASHacrshort] = ACTIONS(6816),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6816),
    [anon_sym_BSLASHACRshort] = ACTIONS(6816),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6816),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6816),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6816),
    [anon_sym_BSLASHacrlong] = ACTIONS(6816),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6816),
    [anon_sym_BSLASHACRlong] = ACTIONS(6816),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6816),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6816),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6816),
    [anon_sym_BSLASHacrfull] = ACTIONS(6816),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6816),
    [anon_sym_BSLASHACRfull] = ACTIONS(6816),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6816),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6816),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6816),
    [anon_sym_BSLASHacs] = ACTIONS(6816),
    [anon_sym_BSLASHAcs] = ACTIONS(6816),
    [anon_sym_BSLASHacsp] = ACTIONS(6816),
    [anon_sym_BSLASHAcsp] = ACTIONS(6816),
    [anon_sym_BSLASHacl] = ACTIONS(6816),
    [anon_sym_BSLASHAcl] = ACTIONS(6816),
    [anon_sym_BSLASHaclp] = ACTIONS(6816),
    [anon_sym_BSLASHAclp] = ACTIONS(6816),
    [anon_sym_BSLASHacf] = ACTIONS(6816),
    [anon_sym_BSLASHAcf] = ACTIONS(6816),
    [anon_sym_BSLASHacfp] = ACTIONS(6816),
    [anon_sym_BSLASHAcfp] = ACTIONS(6816),
    [anon_sym_BSLASHac] = ACTIONS(6816),
    [anon_sym_BSLASHAc] = ACTIONS(6816),
    [anon_sym_BSLASHacp] = ACTIONS(6816),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6816),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6816),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6816),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6816),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6816),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6816),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6816),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6816),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6816),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6816),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6816),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6816),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6816),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6816),
    [anon_sym_BSLASHcolor] = ACTIONS(6816),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6816),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6816),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6816),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6816),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6816),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6816),
    [anon_sym_BSLASHurl] = ACTIONS(6816),
    [anon_sym_BSLASHhref] = ACTIONS(6816),
  },
  [410] = {
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(410),
    [aux_sym__paragraph_repeat3] = STATE(410),
    [sym_command_name] = ACTIONS(6826),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6826),
    [anon_sym_LBRACK] = ACTIONS(6828),
    [anon_sym_RBRACK] = ACTIONS(6828),
    [anon_sym_COMMA] = ACTIONS(6828),
    [anon_sym_EQ] = ACTIONS(6828),
    [anon_sym_LPAREN] = ACTIONS(6828),
    [anon_sym_RPAREN] = ACTIONS(6828),
    [anon_sym_BSLASHpart] = ACTIONS(6826),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHaddpart] = ACTIONS(6826),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHchapter] = ACTIONS(6826),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHaddchap] = ACTIONS(6826),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHsection] = ACTIONS(6826),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHaddsec] = ACTIONS(6826),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHsubsection] = ACTIONS(6826),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6826),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHparagraph] = ACTIONS(6826),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6826),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHitem] = ACTIONS(6830),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6833),
    [anon_sym_LBRACE] = ACTIONS(6828),
    [sym_word] = ACTIONS(6826),
    [sym_placeholder] = ACTIONS(6828),
    [sym_delimiter] = ACTIONS(6828),
    [anon_sym_PLUS] = ACTIONS(6828),
    [anon_sym_DASH] = ACTIONS(6828),
    [anon_sym_STAR] = ACTIONS(6828),
    [anon_sym_SLASH] = ACTIONS(6828),
    [anon_sym_LT] = ACTIONS(6826),
    [anon_sym_GT] = ACTIONS(6826),
    [anon_sym_BANG] = ACTIONS(6826),
    [anon_sym_PIPE] = ACTIONS(6826),
    [anon_sym_COLON] = ACTIONS(6826),
    [anon_sym_SQUOTE] = ACTIONS(6826),
    [anon_sym__] = ACTIONS(6828),
    [anon_sym_CARET] = ACTIONS(6828),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6828),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6828),
    [anon_sym_DOLLAR] = ACTIONS(6826),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6828),
    [anon_sym_BSLASHleft] = ACTIONS(6826),
    [anon_sym_BSLASHbigl] = ACTIONS(6826),
    [anon_sym_BSLASHBigl] = ACTIONS(6826),
    [anon_sym_BSLASHbiggl] = ACTIONS(6826),
    [anon_sym_BSLASHBiggl] = ACTIONS(6826),
    [anon_sym_BSLASHright] = ACTIONS(6826),
    [anon_sym_BSLASHbigr] = ACTIONS(6826),
    [anon_sym_BSLASHBigr] = ACTIONS(6826),
    [anon_sym_BSLASHbiggr] = ACTIONS(6826),
    [anon_sym_BSLASHBiggr] = ACTIONS(6826),
    [anon_sym_BSLASHtext] = ACTIONS(6826),
    [anon_sym_BSLASHintertext] = ACTIONS(6826),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6826),
    [anon_sym_BSLASHbegin] = ACTIONS(6826),
    [anon_sym_BSLASHtitle] = ACTIONS(6826),
    [anon_sym_BSLASHauthor] = ACTIONS(6826),
    [anon_sym_BSLASHusepackage] = ACTIONS(6826),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6826),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6826),
    [anon_sym_BSLASHinclude] = ACTIONS(6826),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6826),
    [anon_sym_BSLASHinput] = ACTIONS(6826),
    [anon_sym_BSLASHsubfile] = ACTIONS(6826),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6826),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6826),
    [anon_sym_BSLASHbibliography] = ACTIONS(6826),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6826),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6826),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6826),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6826),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6826),
    [anon_sym_BSLASHimport] = ACTIONS(6826),
    [anon_sym_BSLASHsubimport] = ACTIONS(6826),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6826),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6826),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6826),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6826),
    [anon_sym_BSLASHcaption] = ACTIONS(6826),
    [anon_sym_BSLASHcite] = ACTIONS(6826),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHCite] = ACTIONS(6826),
    [anon_sym_BSLASHnocite] = ACTIONS(6826),
    [anon_sym_BSLASHcitet] = ACTIONS(6826),
    [anon_sym_BSLASHcitep] = ACTIONS(6826),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHciteA] = ACTIONS(6826),
    [anon_sym_BSLASHciteR] = ACTIONS(6826),
    [anon_sym_BSLASHciteS] = ACTIONS(6826),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6826),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6826),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6826),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6826),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHciteyear] = ACTIONS(6826),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcitedate] = ACTIONS(6826),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHciteurl] = ACTIONS(6826),
    [anon_sym_BSLASHfullcite] = ACTIONS(6826),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6826),
    [anon_sym_BSLASHcitealt] = ACTIONS(6826),
    [anon_sym_BSLASHcitealp] = ACTIONS(6826),
    [anon_sym_BSLASHcitetext] = ACTIONS(6826),
    [anon_sym_BSLASHparencite] = ACTIONS(6826),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHParencite] = ACTIONS(6826),
    [anon_sym_BSLASHfootcite] = ACTIONS(6826),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6826),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6826),
    [anon_sym_BSLASHtextcite] = ACTIONS(6826),
    [anon_sym_BSLASHTextcite] = ACTIONS(6826),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6826),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6826),
    [anon_sym_BSLASHsupercite] = ACTIONS(6826),
    [anon_sym_BSLASHautocite] = ACTIONS(6826),
    [anon_sym_BSLASHAutocite] = ACTIONS(6826),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHVolcite] = ACTIONS(6826),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHavolcite] = ACTIONS(6826),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHnotecite] = ACTIONS(6826),
    [anon_sym_BSLASHNotecite] = ACTIONS(6826),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6826),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6826),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6826),
    [anon_sym_BSLASHlabel] = ACTIONS(6826),
    [anon_sym_BSLASHref] = ACTIONS(6826),
    [anon_sym_BSLASHeqref] = ACTIONS(6826),
    [anon_sym_BSLASHvref] = ACTIONS(6826),
    [anon_sym_BSLASHVref] = ACTIONS(6826),
    [anon_sym_BSLASHautoref] = ACTIONS(6826),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHpageref] = ACTIONS(6826),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHautopageref] = ACTIONS(6826),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcref] = ACTIONS(6826),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHCref] = ACTIONS(6826),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcpageref] = ACTIONS(6826),
    [anon_sym_BSLASHCpageref] = ACTIONS(6826),
    [anon_sym_BSLASHnamecref] = ACTIONS(6826),
    [anon_sym_BSLASHnameCref] = ACTIONS(6826),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6826),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6826),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6826),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6826),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6826),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6826),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6826),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6826),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6826),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6826),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6826),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6826),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6826),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6826),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6826),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6826),
    [anon_sym_BSLASHdef] = ACTIONS(6826),
    [anon_sym_BSLASHgdef] = ACTIONS(6826),
    [anon_sym_BSLASHedef] = ACTIONS(6826),
    [anon_sym_BSLASHxdef] = ACTIONS(6826),
    [anon_sym_BSLASHlet] = ACTIONS(6826),
    [anon_sym_BSLASHglet] = ACTIONS(6826),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6826),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6826),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6826),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6826),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6826),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6826),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6826),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6826),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6826),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6826),
    [anon_sym_BSLASHgls] = ACTIONS(6826),
    [anon_sym_BSLASHGls] = ACTIONS(6826),
    [anon_sym_BSLASHGLS] = ACTIONS(6826),
    [anon_sym_BSLASHglspl] = ACTIONS(6826),
    [anon_sym_BSLASHGlspl] = ACTIONS(6826),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6826),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6826),
    [anon_sym_BSLASHglslink] = ACTIONS(6826),
    [anon_sym_BSLASHglstext] = ACTIONS(6826),
    [anon_sym_BSLASHGlstext] = ACTIONS(6826),
    [anon_sym_BSLASHGLStext] = ACTIONS(6826),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6826),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6826),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6826),
    [anon_sym_BSLASHglsplural] = ACTIONS(6826),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6826),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6826),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6826),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6826),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6826),
    [anon_sym_BSLASHglsname] = ACTIONS(6826),
    [anon_sym_BSLASHGlsname] = ACTIONS(6826),
    [anon_sym_BSLASHGLSname] = ACTIONS(6826),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6826),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6826),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6826),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6826),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6826),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6826),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6826),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6826),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6826),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6826),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6826),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6826),
    [anon_sym_BSLASHacrshort] = ACTIONS(6826),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6826),
    [anon_sym_BSLASHACRshort] = ACTIONS(6826),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6826),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6826),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6826),
    [anon_sym_BSLASHacrlong] = ACTIONS(6826),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6826),
    [anon_sym_BSLASHACRlong] = ACTIONS(6826),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6826),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6826),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6826),
    [anon_sym_BSLASHacrfull] = ACTIONS(6826),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6826),
    [anon_sym_BSLASHACRfull] = ACTIONS(6826),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6826),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6826),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6826),
    [anon_sym_BSLASHacs] = ACTIONS(6826),
    [anon_sym_BSLASHAcs] = ACTIONS(6826),
    [anon_sym_BSLASHacsp] = ACTIONS(6826),
    [anon_sym_BSLASHAcsp] = ACTIONS(6826),
    [anon_sym_BSLASHacl] = ACTIONS(6826),
    [anon_sym_BSLASHAcl] = ACTIONS(6826),
    [anon_sym_BSLASHaclp] = ACTIONS(6826),
    [anon_sym_BSLASHAclp] = ACTIONS(6826),
    [anon_sym_BSLASHacf] = ACTIONS(6826),
    [anon_sym_BSLASHAcf] = ACTIONS(6826),
    [anon_sym_BSLASHacfp] = ACTIONS(6826),
    [anon_sym_BSLASHAcfp] = ACTIONS(6826),
    [anon_sym_BSLASHac] = ACTIONS(6826),
    [anon_sym_BSLASHAc] = ACTIONS(6826),
    [anon_sym_BSLASHacp] = ACTIONS(6826),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6826),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6826),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6826),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6826),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6826),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6826),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6826),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6826),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6826),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6826),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6826),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6826),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6826),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6826),
    [anon_sym_BSLASHcolor] = ACTIONS(6826),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6826),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6826),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6826),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6826),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6826),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6826),
    [anon_sym_BSLASHurl] = ACTIONS(6826),
    [anon_sym_BSLASHhref] = ACTIONS(6826),
  },
  [411] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(2713),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym_key_value_pair] = STATE(2674),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [anon_sym_RBRACE] = ACTIONS(6836),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [412] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(2713),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym_key_value_pair] = STATE(2625),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [anon_sym_RBRACE] = ACTIONS(6838),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [413] = {
    [sym__chapter_declaration] = STATE(158),
    [sym_chapter] = STATE(404),
    [aux_sym__section_repeat2] = STATE(404),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(189),
    [anon_sym_BSLASHaddchap] = ACTIONS(187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(189),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHright] = ACTIONS(6527),
    [anon_sym_BSLASHbigr] = ACTIONS(6527),
    [anon_sym_BSLASHBigr] = ACTIONS(6527),
    [anon_sym_BSLASHbiggr] = ACTIONS(6527),
    [anon_sym_BSLASHBiggr] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [414] = {
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(405),
    [aux_sym__section_repeat3] = STATE(405),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHright] = ACTIONS(6527),
    [anon_sym_BSLASHbigr] = ACTIONS(6527),
    [anon_sym_BSLASHBigr] = ACTIONS(6527),
    [anon_sym_BSLASHbiggr] = ACTIONS(6527),
    [anon_sym_BSLASHBiggr] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [415] = {
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(406),
    [aux_sym__section_repeat4] = STATE(406),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHright] = ACTIONS(6527),
    [anon_sym_BSLASHbigr] = ACTIONS(6527),
    [anon_sym_BSLASHBigr] = ACTIONS(6527),
    [anon_sym_BSLASHbiggr] = ACTIONS(6527),
    [anon_sym_BSLASHBiggr] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [416] = {
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(407),
    [aux_sym__section_repeat5] = STATE(407),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHright] = ACTIONS(6527),
    [anon_sym_BSLASHbigr] = ACTIONS(6527),
    [anon_sym_BSLASHBigr] = ACTIONS(6527),
    [anon_sym_BSLASHbiggr] = ACTIONS(6527),
    [anon_sym_BSLASHBiggr] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [417] = {
    [sym__chapter_declaration] = STATE(158),
    [sym_chapter] = STATE(404),
    [aux_sym__section_repeat2] = STATE(404),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(189),
    [anon_sym_BSLASHaddchap] = ACTIONS(187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(189),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHright] = ACTIONS(6527),
    [anon_sym_BSLASHbigr] = ACTIONS(6527),
    [anon_sym_BSLASHBigr] = ACTIONS(6527),
    [anon_sym_BSLASHbiggr] = ACTIONS(6527),
    [anon_sym_BSLASHBiggr] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [418] = {
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(405),
    [aux_sym__section_repeat3] = STATE(405),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHright] = ACTIONS(6527),
    [anon_sym_BSLASHbigr] = ACTIONS(6527),
    [anon_sym_BSLASHBigr] = ACTIONS(6527),
    [anon_sym_BSLASHbiggr] = ACTIONS(6527),
    [anon_sym_BSLASHBiggr] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [419] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(2713),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym_key_value_pair] = STATE(2744),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [anon_sym_RBRACE] = ACTIONS(6840),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [420] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(2713),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym_key_value_pair] = STATE(2685),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [anon_sym_RBRACE] = ACTIONS(6842),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [421] = {
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(406),
    [aux_sym__section_repeat4] = STATE(406),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHright] = ACTIONS(6527),
    [anon_sym_BSLASHbigr] = ACTIONS(6527),
    [anon_sym_BSLASHBigr] = ACTIONS(6527),
    [anon_sym_BSLASHbiggr] = ACTIONS(6527),
    [anon_sym_BSLASHBiggr] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [422] = {
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(407),
    [aux_sym__section_repeat5] = STATE(407),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHright] = ACTIONS(6527),
    [anon_sym_BSLASHbigr] = ACTIONS(6527),
    [anon_sym_BSLASHBigr] = ACTIONS(6527),
    [anon_sym_BSLASHbiggr] = ACTIONS(6527),
    [anon_sym_BSLASHBiggr] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [423] = {
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(405),
    [aux_sym__section_repeat3] = STATE(405),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHright] = ACTIONS(6531),
    [anon_sym_BSLASHbigr] = ACTIONS(6531),
    [anon_sym_BSLASHBigr] = ACTIONS(6531),
    [anon_sym_BSLASHbiggr] = ACTIONS(6531),
    [anon_sym_BSLASHBiggr] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [424] = {
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(406),
    [aux_sym__section_repeat4] = STATE(406),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(6531),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddsec] = ACTIONS(6531),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHright] = ACTIONS(6531),
    [anon_sym_BSLASHbigr] = ACTIONS(6531),
    [anon_sym_BSLASHBigr] = ACTIONS(6531),
    [anon_sym_BSLASHbiggr] = ACTIONS(6531),
    [anon_sym_BSLASHBiggr] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [425] = {
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(407),
    [aux_sym__section_repeat5] = STATE(407),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(6531),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddsec] = ACTIONS(6531),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHright] = ACTIONS(6531),
    [anon_sym_BSLASHbigr] = ACTIONS(6531),
    [anon_sym_BSLASHBigr] = ACTIONS(6531),
    [anon_sym_BSLASHbiggr] = ACTIONS(6531),
    [anon_sym_BSLASHBiggr] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [426] = {
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(405),
    [aux_sym__section_repeat3] = STATE(405),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHright] = ACTIONS(6531),
    [anon_sym_BSLASHbigr] = ACTIONS(6531),
    [anon_sym_BSLASHBigr] = ACTIONS(6531),
    [anon_sym_BSLASHbiggr] = ACTIONS(6531),
    [anon_sym_BSLASHBiggr] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [427] = {
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(406),
    [aux_sym__section_repeat4] = STATE(406),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(6531),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddsec] = ACTIONS(6531),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHright] = ACTIONS(6531),
    [anon_sym_BSLASHbigr] = ACTIONS(6531),
    [anon_sym_BSLASHBigr] = ACTIONS(6531),
    [anon_sym_BSLASHbiggr] = ACTIONS(6531),
    [anon_sym_BSLASHBiggr] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [428] = {
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(407),
    [aux_sym__section_repeat5] = STATE(407),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(6531),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddsec] = ACTIONS(6531),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHright] = ACTIONS(6531),
    [anon_sym_BSLASHbigr] = ACTIONS(6531),
    [anon_sym_BSLASHBigr] = ACTIONS(6531),
    [anon_sym_BSLASHbiggr] = ACTIONS(6531),
    [anon_sym_BSLASHBiggr] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [429] = {
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(406),
    [aux_sym__section_repeat4] = STATE(406),
    [sym_command_name] = ACTIONS(6535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6535),
    [anon_sym_LBRACK] = ACTIONS(6537),
    [anon_sym_RBRACK] = ACTIONS(6537),
    [anon_sym_COMMA] = ACTIONS(6537),
    [anon_sym_EQ] = ACTIONS(6537),
    [anon_sym_LPAREN] = ACTIONS(6537),
    [anon_sym_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHpart] = ACTIONS(6535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddpart] = ACTIONS(6535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHchapter] = ACTIONS(6535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddchap] = ACTIONS(6535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsection] = ACTIONS(6535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddsec] = ACTIONS(6535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6535),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHitem] = ACTIONS(6535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6537),
    [anon_sym_LBRACE] = ACTIONS(6537),
    [sym_word] = ACTIONS(6535),
    [sym_placeholder] = ACTIONS(6537),
    [sym_delimiter] = ACTIONS(6537),
    [anon_sym_PLUS] = ACTIONS(6537),
    [anon_sym_DASH] = ACTIONS(6537),
    [anon_sym_STAR] = ACTIONS(6537),
    [anon_sym_SLASH] = ACTIONS(6537),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_BANG] = ACTIONS(6535),
    [anon_sym_PIPE] = ACTIONS(6535),
    [anon_sym_COLON] = ACTIONS(6535),
    [anon_sym_SQUOTE] = ACTIONS(6535),
    [anon_sym__] = ACTIONS(6537),
    [anon_sym_CARET] = ACTIONS(6537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6537),
    [anon_sym_DOLLAR] = ACTIONS(6535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHleft] = ACTIONS(6535),
    [anon_sym_BSLASHbigl] = ACTIONS(6535),
    [anon_sym_BSLASHBigl] = ACTIONS(6535),
    [anon_sym_BSLASHbiggl] = ACTIONS(6535),
    [anon_sym_BSLASHBiggl] = ACTIONS(6535),
    [anon_sym_BSLASHright] = ACTIONS(6535),
    [anon_sym_BSLASHbigr] = ACTIONS(6535),
    [anon_sym_BSLASHBigr] = ACTIONS(6535),
    [anon_sym_BSLASHbiggr] = ACTIONS(6535),
    [anon_sym_BSLASHBiggr] = ACTIONS(6535),
    [anon_sym_BSLASHtext] = ACTIONS(6535),
    [anon_sym_BSLASHintertext] = ACTIONS(6535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6535),
    [anon_sym_BSLASHbegin] = ACTIONS(6535),
    [anon_sym_BSLASHtitle] = ACTIONS(6535),
    [anon_sym_BSLASHauthor] = ACTIONS(6535),
    [anon_sym_BSLASHusepackage] = ACTIONS(6535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6535),
    [anon_sym_BSLASHinclude] = ACTIONS(6535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6535),
    [anon_sym_BSLASHinput] = ACTIONS(6535),
    [anon_sym_BSLASHsubfile] = ACTIONS(6535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6535),
    [anon_sym_BSLASHbibliography] = ACTIONS(6535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6535),
    [anon_sym_BSLASHimport] = ACTIONS(6535),
    [anon_sym_BSLASHsubimport] = ACTIONS(6535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHcaption] = ACTIONS(6535),
    [anon_sym_BSLASHcite] = ACTIONS(6535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCite] = ACTIONS(6535),
    [anon_sym_BSLASHnocite] = ACTIONS(6535),
    [anon_sym_BSLASHcitet] = ACTIONS(6535),
    [anon_sym_BSLASHcitep] = ACTIONS(6535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteA] = ACTIONS(6535),
    [anon_sym_BSLASHciteR] = ACTIONS(6535),
    [anon_sym_BSLASHciteS] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteyear] = ACTIONS(6535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitedate] = ACTIONS(6535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteurl] = ACTIONS(6535),
    [anon_sym_BSLASHfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6535),
    [anon_sym_BSLASHcitealt] = ACTIONS(6535),
    [anon_sym_BSLASHcitealp] = ACTIONS(6535),
    [anon_sym_BSLASHcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHparencite] = ACTIONS(6535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHParencite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHtextcite] = ACTIONS(6535),
    [anon_sym_BSLASHTextcite] = ACTIONS(6535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHsupercite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite] = ACTIONS(6535),
    [anon_sym_BSLASHAutocite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHVolcite] = ACTIONS(6535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHavolcite] = ACTIONS(6535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHNotecite] = ACTIONS(6535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHlabel] = ACTIONS(6535),
    [anon_sym_BSLASHref] = ACTIONS(6535),
    [anon_sym_BSLASHeqref] = ACTIONS(6535),
    [anon_sym_BSLASHvref] = ACTIONS(6535),
    [anon_sym_BSLASHVref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHpageref] = ACTIONS(6535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHautopageref] = ACTIONS(6535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcref] = ACTIONS(6535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCref] = ACTIONS(6535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHCpageref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnameCref] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHdef] = ACTIONS(6535),
    [anon_sym_BSLASHgdef] = ACTIONS(6535),
    [anon_sym_BSLASHedef] = ACTIONS(6535),
    [anon_sym_BSLASHxdef] = ACTIONS(6535),
    [anon_sym_BSLASHlet] = ACTIONS(6535),
    [anon_sym_BSLASHglet] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6535),
    [anon_sym_BSLASHgls] = ACTIONS(6535),
    [anon_sym_BSLASHGls] = ACTIONS(6535),
    [anon_sym_BSLASHGLS] = ACTIONS(6535),
    [anon_sym_BSLASHglspl] = ACTIONS(6535),
    [anon_sym_BSLASHGlspl] = ACTIONS(6535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6535),
    [anon_sym_BSLASHglslink] = ACTIONS(6535),
    [anon_sym_BSLASHglstext] = ACTIONS(6535),
    [anon_sym_BSLASHGlstext] = ACTIONS(6535),
    [anon_sym_BSLASHGLStext] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6535),
    [anon_sym_BSLASHglsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsname] = ACTIONS(6535),
    [anon_sym_BSLASHGlsname] = ACTIONS(6535),
    [anon_sym_BSLASHGLSname] = ACTIONS(6535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6535),
    [anon_sym_BSLASHacrshort] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6535),
    [anon_sym_BSLASHACRshort] = ACTIONS(6535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrlong] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6535),
    [anon_sym_BSLASHACRlong] = ACTIONS(6535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrfull] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6535),
    [anon_sym_BSLASHACRfull] = ACTIONS(6535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHacs] = ACTIONS(6535),
    [anon_sym_BSLASHAcs] = ACTIONS(6535),
    [anon_sym_BSLASHacsp] = ACTIONS(6535),
    [anon_sym_BSLASHAcsp] = ACTIONS(6535),
    [anon_sym_BSLASHacl] = ACTIONS(6535),
    [anon_sym_BSLASHAcl] = ACTIONS(6535),
    [anon_sym_BSLASHaclp] = ACTIONS(6535),
    [anon_sym_BSLASHAclp] = ACTIONS(6535),
    [anon_sym_BSLASHacf] = ACTIONS(6535),
    [anon_sym_BSLASHAcf] = ACTIONS(6535),
    [anon_sym_BSLASHacfp] = ACTIONS(6535),
    [anon_sym_BSLASHAcfp] = ACTIONS(6535),
    [anon_sym_BSLASHac] = ACTIONS(6535),
    [anon_sym_BSLASHAc] = ACTIONS(6535),
    [anon_sym_BSLASHacp] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6535),
    [anon_sym_BSLASHcolor] = ACTIONS(6535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6535),
    [anon_sym_BSLASHurl] = ACTIONS(6535),
    [anon_sym_BSLASHhref] = ACTIONS(6535),
  },
  [430] = {
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(407),
    [aux_sym__section_repeat5] = STATE(407),
    [sym_command_name] = ACTIONS(6535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6535),
    [anon_sym_LBRACK] = ACTIONS(6537),
    [anon_sym_RBRACK] = ACTIONS(6537),
    [anon_sym_COMMA] = ACTIONS(6537),
    [anon_sym_EQ] = ACTIONS(6537),
    [anon_sym_LPAREN] = ACTIONS(6537),
    [anon_sym_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHpart] = ACTIONS(6535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddpart] = ACTIONS(6535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHchapter] = ACTIONS(6535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddchap] = ACTIONS(6535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsection] = ACTIONS(6535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddsec] = ACTIONS(6535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsection] = ACTIONS(6535),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHitem] = ACTIONS(6535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6537),
    [anon_sym_LBRACE] = ACTIONS(6537),
    [sym_word] = ACTIONS(6535),
    [sym_placeholder] = ACTIONS(6537),
    [sym_delimiter] = ACTIONS(6537),
    [anon_sym_PLUS] = ACTIONS(6537),
    [anon_sym_DASH] = ACTIONS(6537),
    [anon_sym_STAR] = ACTIONS(6537),
    [anon_sym_SLASH] = ACTIONS(6537),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_BANG] = ACTIONS(6535),
    [anon_sym_PIPE] = ACTIONS(6535),
    [anon_sym_COLON] = ACTIONS(6535),
    [anon_sym_SQUOTE] = ACTIONS(6535),
    [anon_sym__] = ACTIONS(6537),
    [anon_sym_CARET] = ACTIONS(6537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6537),
    [anon_sym_DOLLAR] = ACTIONS(6535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHleft] = ACTIONS(6535),
    [anon_sym_BSLASHbigl] = ACTIONS(6535),
    [anon_sym_BSLASHBigl] = ACTIONS(6535),
    [anon_sym_BSLASHbiggl] = ACTIONS(6535),
    [anon_sym_BSLASHBiggl] = ACTIONS(6535),
    [anon_sym_BSLASHright] = ACTIONS(6535),
    [anon_sym_BSLASHbigr] = ACTIONS(6535),
    [anon_sym_BSLASHBigr] = ACTIONS(6535),
    [anon_sym_BSLASHbiggr] = ACTIONS(6535),
    [anon_sym_BSLASHBiggr] = ACTIONS(6535),
    [anon_sym_BSLASHtext] = ACTIONS(6535),
    [anon_sym_BSLASHintertext] = ACTIONS(6535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6535),
    [anon_sym_BSLASHbegin] = ACTIONS(6535),
    [anon_sym_BSLASHtitle] = ACTIONS(6535),
    [anon_sym_BSLASHauthor] = ACTIONS(6535),
    [anon_sym_BSLASHusepackage] = ACTIONS(6535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6535),
    [anon_sym_BSLASHinclude] = ACTIONS(6535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6535),
    [anon_sym_BSLASHinput] = ACTIONS(6535),
    [anon_sym_BSLASHsubfile] = ACTIONS(6535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6535),
    [anon_sym_BSLASHbibliography] = ACTIONS(6535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6535),
    [anon_sym_BSLASHimport] = ACTIONS(6535),
    [anon_sym_BSLASHsubimport] = ACTIONS(6535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHcaption] = ACTIONS(6535),
    [anon_sym_BSLASHcite] = ACTIONS(6535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCite] = ACTIONS(6535),
    [anon_sym_BSLASHnocite] = ACTIONS(6535),
    [anon_sym_BSLASHcitet] = ACTIONS(6535),
    [anon_sym_BSLASHcitep] = ACTIONS(6535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteA] = ACTIONS(6535),
    [anon_sym_BSLASHciteR] = ACTIONS(6535),
    [anon_sym_BSLASHciteS] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteyear] = ACTIONS(6535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitedate] = ACTIONS(6535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteurl] = ACTIONS(6535),
    [anon_sym_BSLASHfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6535),
    [anon_sym_BSLASHcitealt] = ACTIONS(6535),
    [anon_sym_BSLASHcitealp] = ACTIONS(6535),
    [anon_sym_BSLASHcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHparencite] = ACTIONS(6535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHParencite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHtextcite] = ACTIONS(6535),
    [anon_sym_BSLASHTextcite] = ACTIONS(6535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHsupercite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite] = ACTIONS(6535),
    [anon_sym_BSLASHAutocite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHVolcite] = ACTIONS(6535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHavolcite] = ACTIONS(6535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHNotecite] = ACTIONS(6535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHlabel] = ACTIONS(6535),
    [anon_sym_BSLASHref] = ACTIONS(6535),
    [anon_sym_BSLASHeqref] = ACTIONS(6535),
    [anon_sym_BSLASHvref] = ACTIONS(6535),
    [anon_sym_BSLASHVref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHpageref] = ACTIONS(6535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHautopageref] = ACTIONS(6535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcref] = ACTIONS(6535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCref] = ACTIONS(6535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHCpageref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnameCref] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHdef] = ACTIONS(6535),
    [anon_sym_BSLASHgdef] = ACTIONS(6535),
    [anon_sym_BSLASHedef] = ACTIONS(6535),
    [anon_sym_BSLASHxdef] = ACTIONS(6535),
    [anon_sym_BSLASHlet] = ACTIONS(6535),
    [anon_sym_BSLASHglet] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6535),
    [anon_sym_BSLASHgls] = ACTIONS(6535),
    [anon_sym_BSLASHGls] = ACTIONS(6535),
    [anon_sym_BSLASHGLS] = ACTIONS(6535),
    [anon_sym_BSLASHglspl] = ACTIONS(6535),
    [anon_sym_BSLASHGlspl] = ACTIONS(6535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6535),
    [anon_sym_BSLASHglslink] = ACTIONS(6535),
    [anon_sym_BSLASHglstext] = ACTIONS(6535),
    [anon_sym_BSLASHGlstext] = ACTIONS(6535),
    [anon_sym_BSLASHGLStext] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6535),
    [anon_sym_BSLASHglsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsname] = ACTIONS(6535),
    [anon_sym_BSLASHGlsname] = ACTIONS(6535),
    [anon_sym_BSLASHGLSname] = ACTIONS(6535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6535),
    [anon_sym_BSLASHacrshort] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6535),
    [anon_sym_BSLASHACRshort] = ACTIONS(6535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrlong] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6535),
    [anon_sym_BSLASHACRlong] = ACTIONS(6535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrfull] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6535),
    [anon_sym_BSLASHACRfull] = ACTIONS(6535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHacs] = ACTIONS(6535),
    [anon_sym_BSLASHAcs] = ACTIONS(6535),
    [anon_sym_BSLASHacsp] = ACTIONS(6535),
    [anon_sym_BSLASHAcsp] = ACTIONS(6535),
    [anon_sym_BSLASHacl] = ACTIONS(6535),
    [anon_sym_BSLASHAcl] = ACTIONS(6535),
    [anon_sym_BSLASHaclp] = ACTIONS(6535),
    [anon_sym_BSLASHAclp] = ACTIONS(6535),
    [anon_sym_BSLASHacf] = ACTIONS(6535),
    [anon_sym_BSLASHAcf] = ACTIONS(6535),
    [anon_sym_BSLASHacfp] = ACTIONS(6535),
    [anon_sym_BSLASHAcfp] = ACTIONS(6535),
    [anon_sym_BSLASHac] = ACTIONS(6535),
    [anon_sym_BSLASHAc] = ACTIONS(6535),
    [anon_sym_BSLASHacp] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6535),
    [anon_sym_BSLASHcolor] = ACTIONS(6535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6535),
    [anon_sym_BSLASHurl] = ACTIONS(6535),
    [anon_sym_BSLASHhref] = ACTIONS(6535),
  },
  [431] = {
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(406),
    [aux_sym__section_repeat4] = STATE(406),
    [sym_command_name] = ACTIONS(6535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6535),
    [anon_sym_LBRACK] = ACTIONS(6537),
    [anon_sym_RBRACK] = ACTIONS(6537),
    [anon_sym_COMMA] = ACTIONS(6537),
    [anon_sym_EQ] = ACTIONS(6537),
    [anon_sym_LPAREN] = ACTIONS(6537),
    [anon_sym_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHpart] = ACTIONS(6535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddpart] = ACTIONS(6535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHchapter] = ACTIONS(6535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddchap] = ACTIONS(6535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsection] = ACTIONS(6535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddsec] = ACTIONS(6535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6535),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHitem] = ACTIONS(6535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6537),
    [anon_sym_LBRACE] = ACTIONS(6537),
    [sym_word] = ACTIONS(6535),
    [sym_placeholder] = ACTIONS(6537),
    [sym_delimiter] = ACTIONS(6537),
    [anon_sym_PLUS] = ACTIONS(6537),
    [anon_sym_DASH] = ACTIONS(6537),
    [anon_sym_STAR] = ACTIONS(6537),
    [anon_sym_SLASH] = ACTIONS(6537),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_BANG] = ACTIONS(6535),
    [anon_sym_PIPE] = ACTIONS(6535),
    [anon_sym_COLON] = ACTIONS(6535),
    [anon_sym_SQUOTE] = ACTIONS(6535),
    [anon_sym__] = ACTIONS(6537),
    [anon_sym_CARET] = ACTIONS(6537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6537),
    [anon_sym_DOLLAR] = ACTIONS(6535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHleft] = ACTIONS(6535),
    [anon_sym_BSLASHbigl] = ACTIONS(6535),
    [anon_sym_BSLASHBigl] = ACTIONS(6535),
    [anon_sym_BSLASHbiggl] = ACTIONS(6535),
    [anon_sym_BSLASHBiggl] = ACTIONS(6535),
    [anon_sym_BSLASHright] = ACTIONS(6535),
    [anon_sym_BSLASHbigr] = ACTIONS(6535),
    [anon_sym_BSLASHBigr] = ACTIONS(6535),
    [anon_sym_BSLASHbiggr] = ACTIONS(6535),
    [anon_sym_BSLASHBiggr] = ACTIONS(6535),
    [anon_sym_BSLASHtext] = ACTIONS(6535),
    [anon_sym_BSLASHintertext] = ACTIONS(6535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6535),
    [anon_sym_BSLASHbegin] = ACTIONS(6535),
    [anon_sym_BSLASHtitle] = ACTIONS(6535),
    [anon_sym_BSLASHauthor] = ACTIONS(6535),
    [anon_sym_BSLASHusepackage] = ACTIONS(6535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6535),
    [anon_sym_BSLASHinclude] = ACTIONS(6535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6535),
    [anon_sym_BSLASHinput] = ACTIONS(6535),
    [anon_sym_BSLASHsubfile] = ACTIONS(6535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6535),
    [anon_sym_BSLASHbibliography] = ACTIONS(6535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6535),
    [anon_sym_BSLASHimport] = ACTIONS(6535),
    [anon_sym_BSLASHsubimport] = ACTIONS(6535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHcaption] = ACTIONS(6535),
    [anon_sym_BSLASHcite] = ACTIONS(6535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCite] = ACTIONS(6535),
    [anon_sym_BSLASHnocite] = ACTIONS(6535),
    [anon_sym_BSLASHcitet] = ACTIONS(6535),
    [anon_sym_BSLASHcitep] = ACTIONS(6535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteA] = ACTIONS(6535),
    [anon_sym_BSLASHciteR] = ACTIONS(6535),
    [anon_sym_BSLASHciteS] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteyear] = ACTIONS(6535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitedate] = ACTIONS(6535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteurl] = ACTIONS(6535),
    [anon_sym_BSLASHfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6535),
    [anon_sym_BSLASHcitealt] = ACTIONS(6535),
    [anon_sym_BSLASHcitealp] = ACTIONS(6535),
    [anon_sym_BSLASHcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHparencite] = ACTIONS(6535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHParencite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHtextcite] = ACTIONS(6535),
    [anon_sym_BSLASHTextcite] = ACTIONS(6535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHsupercite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite] = ACTIONS(6535),
    [anon_sym_BSLASHAutocite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHVolcite] = ACTIONS(6535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHavolcite] = ACTIONS(6535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHNotecite] = ACTIONS(6535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHlabel] = ACTIONS(6535),
    [anon_sym_BSLASHref] = ACTIONS(6535),
    [anon_sym_BSLASHeqref] = ACTIONS(6535),
    [anon_sym_BSLASHvref] = ACTIONS(6535),
    [anon_sym_BSLASHVref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHpageref] = ACTIONS(6535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHautopageref] = ACTIONS(6535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcref] = ACTIONS(6535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCref] = ACTIONS(6535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHCpageref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnameCref] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHdef] = ACTIONS(6535),
    [anon_sym_BSLASHgdef] = ACTIONS(6535),
    [anon_sym_BSLASHedef] = ACTIONS(6535),
    [anon_sym_BSLASHxdef] = ACTIONS(6535),
    [anon_sym_BSLASHlet] = ACTIONS(6535),
    [anon_sym_BSLASHglet] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6535),
    [anon_sym_BSLASHgls] = ACTIONS(6535),
    [anon_sym_BSLASHGls] = ACTIONS(6535),
    [anon_sym_BSLASHGLS] = ACTIONS(6535),
    [anon_sym_BSLASHglspl] = ACTIONS(6535),
    [anon_sym_BSLASHGlspl] = ACTIONS(6535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6535),
    [anon_sym_BSLASHglslink] = ACTIONS(6535),
    [anon_sym_BSLASHglstext] = ACTIONS(6535),
    [anon_sym_BSLASHGlstext] = ACTIONS(6535),
    [anon_sym_BSLASHGLStext] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6535),
    [anon_sym_BSLASHglsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsname] = ACTIONS(6535),
    [anon_sym_BSLASHGlsname] = ACTIONS(6535),
    [anon_sym_BSLASHGLSname] = ACTIONS(6535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6535),
    [anon_sym_BSLASHacrshort] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6535),
    [anon_sym_BSLASHACRshort] = ACTIONS(6535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrlong] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6535),
    [anon_sym_BSLASHACRlong] = ACTIONS(6535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrfull] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6535),
    [anon_sym_BSLASHACRfull] = ACTIONS(6535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHacs] = ACTIONS(6535),
    [anon_sym_BSLASHAcs] = ACTIONS(6535),
    [anon_sym_BSLASHacsp] = ACTIONS(6535),
    [anon_sym_BSLASHAcsp] = ACTIONS(6535),
    [anon_sym_BSLASHacl] = ACTIONS(6535),
    [anon_sym_BSLASHAcl] = ACTIONS(6535),
    [anon_sym_BSLASHaclp] = ACTIONS(6535),
    [anon_sym_BSLASHAclp] = ACTIONS(6535),
    [anon_sym_BSLASHacf] = ACTIONS(6535),
    [anon_sym_BSLASHAcf] = ACTIONS(6535),
    [anon_sym_BSLASHacfp] = ACTIONS(6535),
    [anon_sym_BSLASHAcfp] = ACTIONS(6535),
    [anon_sym_BSLASHac] = ACTIONS(6535),
    [anon_sym_BSLASHAc] = ACTIONS(6535),
    [anon_sym_BSLASHacp] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6535),
    [anon_sym_BSLASHcolor] = ACTIONS(6535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6535),
    [anon_sym_BSLASHurl] = ACTIONS(6535),
    [anon_sym_BSLASHhref] = ACTIONS(6535),
  },
  [432] = {
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(407),
    [aux_sym__section_repeat5] = STATE(407),
    [sym_command_name] = ACTIONS(6535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6535),
    [anon_sym_LBRACK] = ACTIONS(6537),
    [anon_sym_RBRACK] = ACTIONS(6537),
    [anon_sym_COMMA] = ACTIONS(6537),
    [anon_sym_EQ] = ACTIONS(6537),
    [anon_sym_LPAREN] = ACTIONS(6537),
    [anon_sym_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHpart] = ACTIONS(6535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddpart] = ACTIONS(6535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHchapter] = ACTIONS(6535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddchap] = ACTIONS(6535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsection] = ACTIONS(6535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddsec] = ACTIONS(6535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsection] = ACTIONS(6535),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHitem] = ACTIONS(6535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6537),
    [anon_sym_LBRACE] = ACTIONS(6537),
    [sym_word] = ACTIONS(6535),
    [sym_placeholder] = ACTIONS(6537),
    [sym_delimiter] = ACTIONS(6537),
    [anon_sym_PLUS] = ACTIONS(6537),
    [anon_sym_DASH] = ACTIONS(6537),
    [anon_sym_STAR] = ACTIONS(6537),
    [anon_sym_SLASH] = ACTIONS(6537),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_BANG] = ACTIONS(6535),
    [anon_sym_PIPE] = ACTIONS(6535),
    [anon_sym_COLON] = ACTIONS(6535),
    [anon_sym_SQUOTE] = ACTIONS(6535),
    [anon_sym__] = ACTIONS(6537),
    [anon_sym_CARET] = ACTIONS(6537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6537),
    [anon_sym_DOLLAR] = ACTIONS(6535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHleft] = ACTIONS(6535),
    [anon_sym_BSLASHbigl] = ACTIONS(6535),
    [anon_sym_BSLASHBigl] = ACTIONS(6535),
    [anon_sym_BSLASHbiggl] = ACTIONS(6535),
    [anon_sym_BSLASHBiggl] = ACTIONS(6535),
    [anon_sym_BSLASHright] = ACTIONS(6535),
    [anon_sym_BSLASHbigr] = ACTIONS(6535),
    [anon_sym_BSLASHBigr] = ACTIONS(6535),
    [anon_sym_BSLASHbiggr] = ACTIONS(6535),
    [anon_sym_BSLASHBiggr] = ACTIONS(6535),
    [anon_sym_BSLASHtext] = ACTIONS(6535),
    [anon_sym_BSLASHintertext] = ACTIONS(6535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6535),
    [anon_sym_BSLASHbegin] = ACTIONS(6535),
    [anon_sym_BSLASHtitle] = ACTIONS(6535),
    [anon_sym_BSLASHauthor] = ACTIONS(6535),
    [anon_sym_BSLASHusepackage] = ACTIONS(6535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6535),
    [anon_sym_BSLASHinclude] = ACTIONS(6535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6535),
    [anon_sym_BSLASHinput] = ACTIONS(6535),
    [anon_sym_BSLASHsubfile] = ACTIONS(6535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6535),
    [anon_sym_BSLASHbibliography] = ACTIONS(6535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6535),
    [anon_sym_BSLASHimport] = ACTIONS(6535),
    [anon_sym_BSLASHsubimport] = ACTIONS(6535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHcaption] = ACTIONS(6535),
    [anon_sym_BSLASHcite] = ACTIONS(6535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCite] = ACTIONS(6535),
    [anon_sym_BSLASHnocite] = ACTIONS(6535),
    [anon_sym_BSLASHcitet] = ACTIONS(6535),
    [anon_sym_BSLASHcitep] = ACTIONS(6535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteA] = ACTIONS(6535),
    [anon_sym_BSLASHciteR] = ACTIONS(6535),
    [anon_sym_BSLASHciteS] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteyear] = ACTIONS(6535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitedate] = ACTIONS(6535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteurl] = ACTIONS(6535),
    [anon_sym_BSLASHfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6535),
    [anon_sym_BSLASHcitealt] = ACTIONS(6535),
    [anon_sym_BSLASHcitealp] = ACTIONS(6535),
    [anon_sym_BSLASHcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHparencite] = ACTIONS(6535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHParencite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHtextcite] = ACTIONS(6535),
    [anon_sym_BSLASHTextcite] = ACTIONS(6535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHsupercite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite] = ACTIONS(6535),
    [anon_sym_BSLASHAutocite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHVolcite] = ACTIONS(6535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHavolcite] = ACTIONS(6535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHNotecite] = ACTIONS(6535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHlabel] = ACTIONS(6535),
    [anon_sym_BSLASHref] = ACTIONS(6535),
    [anon_sym_BSLASHeqref] = ACTIONS(6535),
    [anon_sym_BSLASHvref] = ACTIONS(6535),
    [anon_sym_BSLASHVref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHpageref] = ACTIONS(6535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHautopageref] = ACTIONS(6535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcref] = ACTIONS(6535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCref] = ACTIONS(6535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHCpageref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnameCref] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHdef] = ACTIONS(6535),
    [anon_sym_BSLASHgdef] = ACTIONS(6535),
    [anon_sym_BSLASHedef] = ACTIONS(6535),
    [anon_sym_BSLASHxdef] = ACTIONS(6535),
    [anon_sym_BSLASHlet] = ACTIONS(6535),
    [anon_sym_BSLASHglet] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6535),
    [anon_sym_BSLASHgls] = ACTIONS(6535),
    [anon_sym_BSLASHGls] = ACTIONS(6535),
    [anon_sym_BSLASHGLS] = ACTIONS(6535),
    [anon_sym_BSLASHglspl] = ACTIONS(6535),
    [anon_sym_BSLASHGlspl] = ACTIONS(6535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6535),
    [anon_sym_BSLASHglslink] = ACTIONS(6535),
    [anon_sym_BSLASHglstext] = ACTIONS(6535),
    [anon_sym_BSLASHGlstext] = ACTIONS(6535),
    [anon_sym_BSLASHGLStext] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6535),
    [anon_sym_BSLASHglsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsname] = ACTIONS(6535),
    [anon_sym_BSLASHGlsname] = ACTIONS(6535),
    [anon_sym_BSLASHGLSname] = ACTIONS(6535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6535),
    [anon_sym_BSLASHacrshort] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6535),
    [anon_sym_BSLASHACRshort] = ACTIONS(6535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrlong] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6535),
    [anon_sym_BSLASHACRlong] = ACTIONS(6535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrfull] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6535),
    [anon_sym_BSLASHACRfull] = ACTIONS(6535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHacs] = ACTIONS(6535),
    [anon_sym_BSLASHAcs] = ACTIONS(6535),
    [anon_sym_BSLASHacsp] = ACTIONS(6535),
    [anon_sym_BSLASHAcsp] = ACTIONS(6535),
    [anon_sym_BSLASHacl] = ACTIONS(6535),
    [anon_sym_BSLASHAcl] = ACTIONS(6535),
    [anon_sym_BSLASHaclp] = ACTIONS(6535),
    [anon_sym_BSLASHAclp] = ACTIONS(6535),
    [anon_sym_BSLASHacf] = ACTIONS(6535),
    [anon_sym_BSLASHAcf] = ACTIONS(6535),
    [anon_sym_BSLASHacfp] = ACTIONS(6535),
    [anon_sym_BSLASHAcfp] = ACTIONS(6535),
    [anon_sym_BSLASHac] = ACTIONS(6535),
    [anon_sym_BSLASHAc] = ACTIONS(6535),
    [anon_sym_BSLASHacp] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6535),
    [anon_sym_BSLASHcolor] = ACTIONS(6535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6535),
    [anon_sym_BSLASHurl] = ACTIONS(6535),
    [anon_sym_BSLASHhref] = ACTIONS(6535),
  },
  [433] = {
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(407),
    [aux_sym__section_repeat5] = STATE(407),
    [sym_command_name] = ACTIONS(6692),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6692),
    [anon_sym_LBRACK] = ACTIONS(6694),
    [anon_sym_RBRACK] = ACTIONS(6694),
    [anon_sym_COMMA] = ACTIONS(6694),
    [anon_sym_EQ] = ACTIONS(6694),
    [anon_sym_LPAREN] = ACTIONS(6694),
    [anon_sym_RPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHpart] = ACTIONS(6692),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddpart] = ACTIONS(6692),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHchapter] = ACTIONS(6692),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddchap] = ACTIONS(6692),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsection] = ACTIONS(6692),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddsec] = ACTIONS(6692),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsection] = ACTIONS(6692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHitem] = ACTIONS(6692),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6694),
    [anon_sym_LBRACE] = ACTIONS(6694),
    [sym_word] = ACTIONS(6692),
    [sym_placeholder] = ACTIONS(6694),
    [sym_delimiter] = ACTIONS(6694),
    [anon_sym_PLUS] = ACTIONS(6694),
    [anon_sym_DASH] = ACTIONS(6694),
    [anon_sym_STAR] = ACTIONS(6694),
    [anon_sym_SLASH] = ACTIONS(6694),
    [anon_sym_LT] = ACTIONS(6692),
    [anon_sym_GT] = ACTIONS(6692),
    [anon_sym_BANG] = ACTIONS(6692),
    [anon_sym_PIPE] = ACTIONS(6692),
    [anon_sym_COLON] = ACTIONS(6692),
    [anon_sym_SQUOTE] = ACTIONS(6692),
    [anon_sym__] = ACTIONS(6694),
    [anon_sym_CARET] = ACTIONS(6694),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6694),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6694),
    [anon_sym_DOLLAR] = ACTIONS(6692),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHleft] = ACTIONS(6692),
    [anon_sym_BSLASHbigl] = ACTIONS(6692),
    [anon_sym_BSLASHBigl] = ACTIONS(6692),
    [anon_sym_BSLASHbiggl] = ACTIONS(6692),
    [anon_sym_BSLASHBiggl] = ACTIONS(6692),
    [anon_sym_BSLASHright] = ACTIONS(6692),
    [anon_sym_BSLASHbigr] = ACTIONS(6692),
    [anon_sym_BSLASHBigr] = ACTIONS(6692),
    [anon_sym_BSLASHbiggr] = ACTIONS(6692),
    [anon_sym_BSLASHBiggr] = ACTIONS(6692),
    [anon_sym_BSLASHtext] = ACTIONS(6692),
    [anon_sym_BSLASHintertext] = ACTIONS(6692),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6692),
    [anon_sym_BSLASHbegin] = ACTIONS(6692),
    [anon_sym_BSLASHtitle] = ACTIONS(6692),
    [anon_sym_BSLASHauthor] = ACTIONS(6692),
    [anon_sym_BSLASHusepackage] = ACTIONS(6692),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6692),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6692),
    [anon_sym_BSLASHinclude] = ACTIONS(6692),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6692),
    [anon_sym_BSLASHinput] = ACTIONS(6692),
    [anon_sym_BSLASHsubfile] = ACTIONS(6692),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6692),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6692),
    [anon_sym_BSLASHbibliography] = ACTIONS(6692),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6692),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6692),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6692),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6692),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6692),
    [anon_sym_BSLASHimport] = ACTIONS(6692),
    [anon_sym_BSLASHsubimport] = ACTIONS(6692),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6692),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHcaption] = ACTIONS(6692),
    [anon_sym_BSLASHcite] = ACTIONS(6692),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCite] = ACTIONS(6692),
    [anon_sym_BSLASHnocite] = ACTIONS(6692),
    [anon_sym_BSLASHcitet] = ACTIONS(6692),
    [anon_sym_BSLASHcitep] = ACTIONS(6692),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteA] = ACTIONS(6692),
    [anon_sym_BSLASHciteR] = ACTIONS(6692),
    [anon_sym_BSLASHciteS] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6692),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteyear] = ACTIONS(6692),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitedate] = ACTIONS(6692),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteurl] = ACTIONS(6692),
    [anon_sym_BSLASHfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6692),
    [anon_sym_BSLASHcitealt] = ACTIONS(6692),
    [anon_sym_BSLASHcitealp] = ACTIONS(6692),
    [anon_sym_BSLASHcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHparencite] = ACTIONS(6692),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHParencite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHtextcite] = ACTIONS(6692),
    [anon_sym_BSLASHTextcite] = ACTIONS(6692),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHsupercite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite] = ACTIONS(6692),
    [anon_sym_BSLASHAutocite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHVolcite] = ACTIONS(6692),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHavolcite] = ACTIONS(6692),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHNotecite] = ACTIONS(6692),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHlabel] = ACTIONS(6692),
    [anon_sym_BSLASHref] = ACTIONS(6692),
    [anon_sym_BSLASHeqref] = ACTIONS(6692),
    [anon_sym_BSLASHvref] = ACTIONS(6692),
    [anon_sym_BSLASHVref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHpageref] = ACTIONS(6692),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHautopageref] = ACTIONS(6692),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcref] = ACTIONS(6692),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCref] = ACTIONS(6692),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHCpageref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnameCref] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6692),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHdef] = ACTIONS(6692),
    [anon_sym_BSLASHgdef] = ACTIONS(6692),
    [anon_sym_BSLASHedef] = ACTIONS(6692),
    [anon_sym_BSLASHxdef] = ACTIONS(6692),
    [anon_sym_BSLASHlet] = ACTIONS(6692),
    [anon_sym_BSLASHglet] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6692),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6692),
    [anon_sym_BSLASHgls] = ACTIONS(6692),
    [anon_sym_BSLASHGls] = ACTIONS(6692),
    [anon_sym_BSLASHGLS] = ACTIONS(6692),
    [anon_sym_BSLASHglspl] = ACTIONS(6692),
    [anon_sym_BSLASHGlspl] = ACTIONS(6692),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6692),
    [anon_sym_BSLASHglslink] = ACTIONS(6692),
    [anon_sym_BSLASHglstext] = ACTIONS(6692),
    [anon_sym_BSLASHGlstext] = ACTIONS(6692),
    [anon_sym_BSLASHGLStext] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6692),
    [anon_sym_BSLASHglsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsname] = ACTIONS(6692),
    [anon_sym_BSLASHGlsname] = ACTIONS(6692),
    [anon_sym_BSLASHGLSname] = ACTIONS(6692),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6692),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6692),
    [anon_sym_BSLASHacrshort] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6692),
    [anon_sym_BSLASHACRshort] = ACTIONS(6692),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrlong] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6692),
    [anon_sym_BSLASHACRlong] = ACTIONS(6692),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrfull] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6692),
    [anon_sym_BSLASHACRfull] = ACTIONS(6692),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHacs] = ACTIONS(6692),
    [anon_sym_BSLASHAcs] = ACTIONS(6692),
    [anon_sym_BSLASHacsp] = ACTIONS(6692),
    [anon_sym_BSLASHAcsp] = ACTIONS(6692),
    [anon_sym_BSLASHacl] = ACTIONS(6692),
    [anon_sym_BSLASHAcl] = ACTIONS(6692),
    [anon_sym_BSLASHaclp] = ACTIONS(6692),
    [anon_sym_BSLASHAclp] = ACTIONS(6692),
    [anon_sym_BSLASHacf] = ACTIONS(6692),
    [anon_sym_BSLASHAcf] = ACTIONS(6692),
    [anon_sym_BSLASHacfp] = ACTIONS(6692),
    [anon_sym_BSLASHAcfp] = ACTIONS(6692),
    [anon_sym_BSLASHac] = ACTIONS(6692),
    [anon_sym_BSLASHAc] = ACTIONS(6692),
    [anon_sym_BSLASHacp] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6692),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6692),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6692),
    [anon_sym_BSLASHcolor] = ACTIONS(6692),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6692),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6692),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6692),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6692),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6692),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6692),
    [anon_sym_BSLASHurl] = ACTIONS(6692),
    [anon_sym_BSLASHhref] = ACTIONS(6692),
  },
  [434] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(2713),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym_key_value_pair] = STATE(2711),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [anon_sym_RBRACE] = ACTIONS(6844),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [435] = {
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(367),
    [aux_sym__section_repeat5] = STATE(367),
    [sym_command_name] = ACTIONS(6692),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6692),
    [anon_sym_LBRACK] = ACTIONS(6694),
    [anon_sym_RBRACK] = ACTIONS(6694),
    [anon_sym_COMMA] = ACTIONS(6694),
    [anon_sym_EQ] = ACTIONS(6694),
    [anon_sym_LPAREN] = ACTIONS(6694),
    [anon_sym_RPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHpart] = ACTIONS(6692),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddpart] = ACTIONS(6692),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHchapter] = ACTIONS(6692),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddchap] = ACTIONS(6692),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsection] = ACTIONS(6692),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddsec] = ACTIONS(6692),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsection] = ACTIONS(6692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHitem] = ACTIONS(6692),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6694),
    [anon_sym_LBRACE] = ACTIONS(6694),
    [sym_word] = ACTIONS(6692),
    [sym_placeholder] = ACTIONS(6694),
    [sym_delimiter] = ACTIONS(6694),
    [anon_sym_PLUS] = ACTIONS(6694),
    [anon_sym_DASH] = ACTIONS(6694),
    [anon_sym_STAR] = ACTIONS(6694),
    [anon_sym_SLASH] = ACTIONS(6694),
    [anon_sym_LT] = ACTIONS(6692),
    [anon_sym_GT] = ACTIONS(6692),
    [anon_sym_BANG] = ACTIONS(6692),
    [anon_sym_PIPE] = ACTIONS(6692),
    [anon_sym_COLON] = ACTIONS(6692),
    [anon_sym_SQUOTE] = ACTIONS(6692),
    [anon_sym__] = ACTIONS(6694),
    [anon_sym_CARET] = ACTIONS(6694),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6694),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6694),
    [anon_sym_DOLLAR] = ACTIONS(6692),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHleft] = ACTIONS(6692),
    [anon_sym_BSLASHbigl] = ACTIONS(6692),
    [anon_sym_BSLASHBigl] = ACTIONS(6692),
    [anon_sym_BSLASHbiggl] = ACTIONS(6692),
    [anon_sym_BSLASHBiggl] = ACTIONS(6692),
    [anon_sym_BSLASHright] = ACTIONS(6692),
    [anon_sym_BSLASHbigr] = ACTIONS(6692),
    [anon_sym_BSLASHBigr] = ACTIONS(6692),
    [anon_sym_BSLASHbiggr] = ACTIONS(6692),
    [anon_sym_BSLASHBiggr] = ACTIONS(6692),
    [anon_sym_BSLASHtext] = ACTIONS(6692),
    [anon_sym_BSLASHintertext] = ACTIONS(6692),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6692),
    [anon_sym_BSLASHbegin] = ACTIONS(6692),
    [anon_sym_BSLASHtitle] = ACTIONS(6692),
    [anon_sym_BSLASHauthor] = ACTIONS(6692),
    [anon_sym_BSLASHusepackage] = ACTIONS(6692),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6692),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6692),
    [anon_sym_BSLASHinclude] = ACTIONS(6692),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6692),
    [anon_sym_BSLASHinput] = ACTIONS(6692),
    [anon_sym_BSLASHsubfile] = ACTIONS(6692),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6692),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6692),
    [anon_sym_BSLASHbibliography] = ACTIONS(6692),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6692),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6692),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6692),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6692),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6692),
    [anon_sym_BSLASHimport] = ACTIONS(6692),
    [anon_sym_BSLASHsubimport] = ACTIONS(6692),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6692),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHcaption] = ACTIONS(6692),
    [anon_sym_BSLASHcite] = ACTIONS(6692),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCite] = ACTIONS(6692),
    [anon_sym_BSLASHnocite] = ACTIONS(6692),
    [anon_sym_BSLASHcitet] = ACTIONS(6692),
    [anon_sym_BSLASHcitep] = ACTIONS(6692),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteA] = ACTIONS(6692),
    [anon_sym_BSLASHciteR] = ACTIONS(6692),
    [anon_sym_BSLASHciteS] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6692),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteyear] = ACTIONS(6692),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitedate] = ACTIONS(6692),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteurl] = ACTIONS(6692),
    [anon_sym_BSLASHfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6692),
    [anon_sym_BSLASHcitealt] = ACTIONS(6692),
    [anon_sym_BSLASHcitealp] = ACTIONS(6692),
    [anon_sym_BSLASHcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHparencite] = ACTIONS(6692),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHParencite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHtextcite] = ACTIONS(6692),
    [anon_sym_BSLASHTextcite] = ACTIONS(6692),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHsupercite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite] = ACTIONS(6692),
    [anon_sym_BSLASHAutocite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHVolcite] = ACTIONS(6692),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHavolcite] = ACTIONS(6692),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHNotecite] = ACTIONS(6692),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHlabel] = ACTIONS(6692),
    [anon_sym_BSLASHref] = ACTIONS(6692),
    [anon_sym_BSLASHeqref] = ACTIONS(6692),
    [anon_sym_BSLASHvref] = ACTIONS(6692),
    [anon_sym_BSLASHVref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHpageref] = ACTIONS(6692),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHautopageref] = ACTIONS(6692),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcref] = ACTIONS(6692),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCref] = ACTIONS(6692),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHCpageref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnameCref] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6692),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHdef] = ACTIONS(6692),
    [anon_sym_BSLASHgdef] = ACTIONS(6692),
    [anon_sym_BSLASHedef] = ACTIONS(6692),
    [anon_sym_BSLASHxdef] = ACTIONS(6692),
    [anon_sym_BSLASHlet] = ACTIONS(6692),
    [anon_sym_BSLASHglet] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6692),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6692),
    [anon_sym_BSLASHgls] = ACTIONS(6692),
    [anon_sym_BSLASHGls] = ACTIONS(6692),
    [anon_sym_BSLASHGLS] = ACTIONS(6692),
    [anon_sym_BSLASHglspl] = ACTIONS(6692),
    [anon_sym_BSLASHGlspl] = ACTIONS(6692),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6692),
    [anon_sym_BSLASHglslink] = ACTIONS(6692),
    [anon_sym_BSLASHglstext] = ACTIONS(6692),
    [anon_sym_BSLASHGlstext] = ACTIONS(6692),
    [anon_sym_BSLASHGLStext] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6692),
    [anon_sym_BSLASHglsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsname] = ACTIONS(6692),
    [anon_sym_BSLASHGlsname] = ACTIONS(6692),
    [anon_sym_BSLASHGLSname] = ACTIONS(6692),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6692),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6692),
    [anon_sym_BSLASHacrshort] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6692),
    [anon_sym_BSLASHACRshort] = ACTIONS(6692),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrlong] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6692),
    [anon_sym_BSLASHACRlong] = ACTIONS(6692),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrfull] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6692),
    [anon_sym_BSLASHACRfull] = ACTIONS(6692),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHacs] = ACTIONS(6692),
    [anon_sym_BSLASHAcs] = ACTIONS(6692),
    [anon_sym_BSLASHacsp] = ACTIONS(6692),
    [anon_sym_BSLASHAcsp] = ACTIONS(6692),
    [anon_sym_BSLASHacl] = ACTIONS(6692),
    [anon_sym_BSLASHAcl] = ACTIONS(6692),
    [anon_sym_BSLASHaclp] = ACTIONS(6692),
    [anon_sym_BSLASHAclp] = ACTIONS(6692),
    [anon_sym_BSLASHacf] = ACTIONS(6692),
    [anon_sym_BSLASHAcf] = ACTIONS(6692),
    [anon_sym_BSLASHacfp] = ACTIONS(6692),
    [anon_sym_BSLASHAcfp] = ACTIONS(6692),
    [anon_sym_BSLASHac] = ACTIONS(6692),
    [anon_sym_BSLASHAc] = ACTIONS(6692),
    [anon_sym_BSLASHacp] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6692),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6692),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6692),
    [anon_sym_BSLASHcolor] = ACTIONS(6692),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6692),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6692),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6692),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6692),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6692),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6692),
    [anon_sym_BSLASHurl] = ACTIONS(6692),
    [anon_sym_BSLASHhref] = ACTIONS(6692),
  },
  [436] = {
    [sym__subparagraph_declaration] = STATE(209),
    [sym_subparagraph] = STATE(409),
    [aux_sym__paragraph_repeat2] = STATE(409),
    [sym_command_name] = ACTIONS(6846),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6846),
    [anon_sym_LBRACK] = ACTIONS(6848),
    [anon_sym_RBRACK] = ACTIONS(6848),
    [anon_sym_COMMA] = ACTIONS(6848),
    [anon_sym_EQ] = ACTIONS(6848),
    [anon_sym_LPAREN] = ACTIONS(6848),
    [anon_sym_RPAREN] = ACTIONS(6848),
    [anon_sym_BSLASHpart] = ACTIONS(6846),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddpart] = ACTIONS(6846),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHchapter] = ACTIONS(6846),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddchap] = ACTIONS(6846),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsection] = ACTIONS(6846),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddsec] = ACTIONS(6846),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubsection] = ACTIONS(6846),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6846),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHparagraph] = ACTIONS(6846),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(209),
    [anon_sym_BSLASHitem] = ACTIONS(6846),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6848),
    [anon_sym_LBRACE] = ACTIONS(6848),
    [sym_word] = ACTIONS(6846),
    [sym_placeholder] = ACTIONS(6848),
    [sym_delimiter] = ACTIONS(6848),
    [anon_sym_PLUS] = ACTIONS(6848),
    [anon_sym_DASH] = ACTIONS(6848),
    [anon_sym_STAR] = ACTIONS(6848),
    [anon_sym_SLASH] = ACTIONS(6848),
    [anon_sym_LT] = ACTIONS(6846),
    [anon_sym_GT] = ACTIONS(6846),
    [anon_sym_BANG] = ACTIONS(6846),
    [anon_sym_PIPE] = ACTIONS(6846),
    [anon_sym_COLON] = ACTIONS(6846),
    [anon_sym_SQUOTE] = ACTIONS(6846),
    [anon_sym__] = ACTIONS(6848),
    [anon_sym_CARET] = ACTIONS(6848),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6848),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6848),
    [anon_sym_DOLLAR] = ACTIONS(6846),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6848),
    [anon_sym_BSLASHleft] = ACTIONS(6846),
    [anon_sym_BSLASHbigl] = ACTIONS(6846),
    [anon_sym_BSLASHBigl] = ACTIONS(6846),
    [anon_sym_BSLASHbiggl] = ACTIONS(6846),
    [anon_sym_BSLASHBiggl] = ACTIONS(6846),
    [anon_sym_BSLASHright] = ACTIONS(6846),
    [anon_sym_BSLASHbigr] = ACTIONS(6846),
    [anon_sym_BSLASHBigr] = ACTIONS(6846),
    [anon_sym_BSLASHbiggr] = ACTIONS(6846),
    [anon_sym_BSLASHBiggr] = ACTIONS(6846),
    [anon_sym_BSLASHtext] = ACTIONS(6846),
    [anon_sym_BSLASHintertext] = ACTIONS(6846),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6846),
    [anon_sym_BSLASHbegin] = ACTIONS(6846),
    [anon_sym_BSLASHtitle] = ACTIONS(6846),
    [anon_sym_BSLASHauthor] = ACTIONS(6846),
    [anon_sym_BSLASHusepackage] = ACTIONS(6846),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6846),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6846),
    [anon_sym_BSLASHinclude] = ACTIONS(6846),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6846),
    [anon_sym_BSLASHinput] = ACTIONS(6846),
    [anon_sym_BSLASHsubfile] = ACTIONS(6846),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6846),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6846),
    [anon_sym_BSLASHbibliography] = ACTIONS(6846),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6846),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6846),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6846),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6846),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6846),
    [anon_sym_BSLASHimport] = ACTIONS(6846),
    [anon_sym_BSLASHsubimport] = ACTIONS(6846),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6846),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6846),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6846),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6846),
    [anon_sym_BSLASHcaption] = ACTIONS(6846),
    [anon_sym_BSLASHcite] = ACTIONS(6846),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCite] = ACTIONS(6846),
    [anon_sym_BSLASHnocite] = ACTIONS(6846),
    [anon_sym_BSLASHcitet] = ACTIONS(6846),
    [anon_sym_BSLASHcitep] = ACTIONS(6846),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteA] = ACTIONS(6846),
    [anon_sym_BSLASHciteR] = ACTIONS(6846),
    [anon_sym_BSLASHciteS] = ACTIONS(6846),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6846),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6846),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6846),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6846),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteyear] = ACTIONS(6846),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitedate] = ACTIONS(6846),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteurl] = ACTIONS(6846),
    [anon_sym_BSLASHfullcite] = ACTIONS(6846),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6846),
    [anon_sym_BSLASHcitealt] = ACTIONS(6846),
    [anon_sym_BSLASHcitealp] = ACTIONS(6846),
    [anon_sym_BSLASHcitetext] = ACTIONS(6846),
    [anon_sym_BSLASHparencite] = ACTIONS(6846),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHParencite] = ACTIONS(6846),
    [anon_sym_BSLASHfootcite] = ACTIONS(6846),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6846),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6846),
    [anon_sym_BSLASHtextcite] = ACTIONS(6846),
    [anon_sym_BSLASHTextcite] = ACTIONS(6846),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6846),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6846),
    [anon_sym_BSLASHsupercite] = ACTIONS(6846),
    [anon_sym_BSLASHautocite] = ACTIONS(6846),
    [anon_sym_BSLASHAutocite] = ACTIONS(6846),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHVolcite] = ACTIONS(6846),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHavolcite] = ACTIONS(6846),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHNotecite] = ACTIONS(6846),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHlabel] = ACTIONS(6846),
    [anon_sym_BSLASHref] = ACTIONS(6846),
    [anon_sym_BSLASHeqref] = ACTIONS(6846),
    [anon_sym_BSLASHvref] = ACTIONS(6846),
    [anon_sym_BSLASHVref] = ACTIONS(6846),
    [anon_sym_BSLASHautoref] = ACTIONS(6846),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHpageref] = ACTIONS(6846),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHautopageref] = ACTIONS(6846),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcref] = ACTIONS(6846),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCref] = ACTIONS(6846),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcpageref] = ACTIONS(6846),
    [anon_sym_BSLASHCpageref] = ACTIONS(6846),
    [anon_sym_BSLASHnamecref] = ACTIONS(6846),
    [anon_sym_BSLASHnameCref] = ACTIONS(6846),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6846),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6846),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6846),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6846),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6846),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6846),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6846),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6846),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6846),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6846),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6846),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHdef] = ACTIONS(6846),
    [anon_sym_BSLASHgdef] = ACTIONS(6846),
    [anon_sym_BSLASHedef] = ACTIONS(6846),
    [anon_sym_BSLASHxdef] = ACTIONS(6846),
    [anon_sym_BSLASHlet] = ACTIONS(6846),
    [anon_sym_BSLASHglet] = ACTIONS(6846),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6846),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6846),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6846),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6846),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6846),
    [anon_sym_BSLASHgls] = ACTIONS(6846),
    [anon_sym_BSLASHGls] = ACTIONS(6846),
    [anon_sym_BSLASHGLS] = ACTIONS(6846),
    [anon_sym_BSLASHglspl] = ACTIONS(6846),
    [anon_sym_BSLASHGlspl] = ACTIONS(6846),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6846),
    [anon_sym_BSLASHglslink] = ACTIONS(6846),
    [anon_sym_BSLASHglstext] = ACTIONS(6846),
    [anon_sym_BSLASHGlstext] = ACTIONS(6846),
    [anon_sym_BSLASHGLStext] = ACTIONS(6846),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6846),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6846),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6846),
    [anon_sym_BSLASHglsplural] = ACTIONS(6846),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6846),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6846),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHglsname] = ACTIONS(6846),
    [anon_sym_BSLASHGlsname] = ACTIONS(6846),
    [anon_sym_BSLASHGLSname] = ACTIONS(6846),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6846),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6846),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6846),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6846),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6846),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6846),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6846),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6846),
    [anon_sym_BSLASHacrshort] = ACTIONS(6846),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6846),
    [anon_sym_BSLASHACRshort] = ACTIONS(6846),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHacrlong] = ACTIONS(6846),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6846),
    [anon_sym_BSLASHACRlong] = ACTIONS(6846),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHacrfull] = ACTIONS(6846),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6846),
    [anon_sym_BSLASHACRfull] = ACTIONS(6846),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHacs] = ACTIONS(6846),
    [anon_sym_BSLASHAcs] = ACTIONS(6846),
    [anon_sym_BSLASHacsp] = ACTIONS(6846),
    [anon_sym_BSLASHAcsp] = ACTIONS(6846),
    [anon_sym_BSLASHacl] = ACTIONS(6846),
    [anon_sym_BSLASHAcl] = ACTIONS(6846),
    [anon_sym_BSLASHaclp] = ACTIONS(6846),
    [anon_sym_BSLASHAclp] = ACTIONS(6846),
    [anon_sym_BSLASHacf] = ACTIONS(6846),
    [anon_sym_BSLASHAcf] = ACTIONS(6846),
    [anon_sym_BSLASHacfp] = ACTIONS(6846),
    [anon_sym_BSLASHAcfp] = ACTIONS(6846),
    [anon_sym_BSLASHac] = ACTIONS(6846),
    [anon_sym_BSLASHAc] = ACTIONS(6846),
    [anon_sym_BSLASHacp] = ACTIONS(6846),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6846),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6846),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6846),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6846),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6846),
    [anon_sym_BSLASHcolor] = ACTIONS(6846),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6846),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6846),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6846),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6846),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6846),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6846),
    [anon_sym_BSLASHurl] = ACTIONS(6846),
    [anon_sym_BSLASHhref] = ACTIONS(6846),
  },
  [437] = {
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(410),
    [aux_sym__paragraph_repeat3] = STATE(410),
    [sym_command_name] = ACTIONS(6846),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6846),
    [anon_sym_LBRACK] = ACTIONS(6848),
    [anon_sym_RBRACK] = ACTIONS(6848),
    [anon_sym_COMMA] = ACTIONS(6848),
    [anon_sym_EQ] = ACTIONS(6848),
    [anon_sym_LPAREN] = ACTIONS(6848),
    [anon_sym_RPAREN] = ACTIONS(6848),
    [anon_sym_BSLASHpart] = ACTIONS(6846),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddpart] = ACTIONS(6846),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHchapter] = ACTIONS(6846),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddchap] = ACTIONS(6846),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsection] = ACTIONS(6846),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddsec] = ACTIONS(6846),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubsection] = ACTIONS(6846),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6846),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHparagraph] = ACTIONS(6846),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6846),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(6848),
    [sym_word] = ACTIONS(6846),
    [sym_placeholder] = ACTIONS(6848),
    [sym_delimiter] = ACTIONS(6848),
    [anon_sym_PLUS] = ACTIONS(6848),
    [anon_sym_DASH] = ACTIONS(6848),
    [anon_sym_STAR] = ACTIONS(6848),
    [anon_sym_SLASH] = ACTIONS(6848),
    [anon_sym_LT] = ACTIONS(6846),
    [anon_sym_GT] = ACTIONS(6846),
    [anon_sym_BANG] = ACTIONS(6846),
    [anon_sym_PIPE] = ACTIONS(6846),
    [anon_sym_COLON] = ACTIONS(6846),
    [anon_sym_SQUOTE] = ACTIONS(6846),
    [anon_sym__] = ACTIONS(6848),
    [anon_sym_CARET] = ACTIONS(6848),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6848),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6848),
    [anon_sym_DOLLAR] = ACTIONS(6846),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6848),
    [anon_sym_BSLASHleft] = ACTIONS(6846),
    [anon_sym_BSLASHbigl] = ACTIONS(6846),
    [anon_sym_BSLASHBigl] = ACTIONS(6846),
    [anon_sym_BSLASHbiggl] = ACTIONS(6846),
    [anon_sym_BSLASHBiggl] = ACTIONS(6846),
    [anon_sym_BSLASHright] = ACTIONS(6846),
    [anon_sym_BSLASHbigr] = ACTIONS(6846),
    [anon_sym_BSLASHBigr] = ACTIONS(6846),
    [anon_sym_BSLASHbiggr] = ACTIONS(6846),
    [anon_sym_BSLASHBiggr] = ACTIONS(6846),
    [anon_sym_BSLASHtext] = ACTIONS(6846),
    [anon_sym_BSLASHintertext] = ACTIONS(6846),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6846),
    [anon_sym_BSLASHbegin] = ACTIONS(6846),
    [anon_sym_BSLASHtitle] = ACTIONS(6846),
    [anon_sym_BSLASHauthor] = ACTIONS(6846),
    [anon_sym_BSLASHusepackage] = ACTIONS(6846),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6846),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6846),
    [anon_sym_BSLASHinclude] = ACTIONS(6846),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6846),
    [anon_sym_BSLASHinput] = ACTIONS(6846),
    [anon_sym_BSLASHsubfile] = ACTIONS(6846),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6846),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6846),
    [anon_sym_BSLASHbibliography] = ACTIONS(6846),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6846),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6846),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6846),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6846),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6846),
    [anon_sym_BSLASHimport] = ACTIONS(6846),
    [anon_sym_BSLASHsubimport] = ACTIONS(6846),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6846),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6846),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6846),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6846),
    [anon_sym_BSLASHcaption] = ACTIONS(6846),
    [anon_sym_BSLASHcite] = ACTIONS(6846),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCite] = ACTIONS(6846),
    [anon_sym_BSLASHnocite] = ACTIONS(6846),
    [anon_sym_BSLASHcitet] = ACTIONS(6846),
    [anon_sym_BSLASHcitep] = ACTIONS(6846),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteA] = ACTIONS(6846),
    [anon_sym_BSLASHciteR] = ACTIONS(6846),
    [anon_sym_BSLASHciteS] = ACTIONS(6846),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6846),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6846),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6846),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6846),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteyear] = ACTIONS(6846),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitedate] = ACTIONS(6846),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteurl] = ACTIONS(6846),
    [anon_sym_BSLASHfullcite] = ACTIONS(6846),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6846),
    [anon_sym_BSLASHcitealt] = ACTIONS(6846),
    [anon_sym_BSLASHcitealp] = ACTIONS(6846),
    [anon_sym_BSLASHcitetext] = ACTIONS(6846),
    [anon_sym_BSLASHparencite] = ACTIONS(6846),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHParencite] = ACTIONS(6846),
    [anon_sym_BSLASHfootcite] = ACTIONS(6846),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6846),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6846),
    [anon_sym_BSLASHtextcite] = ACTIONS(6846),
    [anon_sym_BSLASHTextcite] = ACTIONS(6846),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6846),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6846),
    [anon_sym_BSLASHsupercite] = ACTIONS(6846),
    [anon_sym_BSLASHautocite] = ACTIONS(6846),
    [anon_sym_BSLASHAutocite] = ACTIONS(6846),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHVolcite] = ACTIONS(6846),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHavolcite] = ACTIONS(6846),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHNotecite] = ACTIONS(6846),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHlabel] = ACTIONS(6846),
    [anon_sym_BSLASHref] = ACTIONS(6846),
    [anon_sym_BSLASHeqref] = ACTIONS(6846),
    [anon_sym_BSLASHvref] = ACTIONS(6846),
    [anon_sym_BSLASHVref] = ACTIONS(6846),
    [anon_sym_BSLASHautoref] = ACTIONS(6846),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHpageref] = ACTIONS(6846),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHautopageref] = ACTIONS(6846),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcref] = ACTIONS(6846),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCref] = ACTIONS(6846),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcpageref] = ACTIONS(6846),
    [anon_sym_BSLASHCpageref] = ACTIONS(6846),
    [anon_sym_BSLASHnamecref] = ACTIONS(6846),
    [anon_sym_BSLASHnameCref] = ACTIONS(6846),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6846),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6846),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6846),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6846),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6846),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6846),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6846),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6846),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6846),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6846),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6846),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHdef] = ACTIONS(6846),
    [anon_sym_BSLASHgdef] = ACTIONS(6846),
    [anon_sym_BSLASHedef] = ACTIONS(6846),
    [anon_sym_BSLASHxdef] = ACTIONS(6846),
    [anon_sym_BSLASHlet] = ACTIONS(6846),
    [anon_sym_BSLASHglet] = ACTIONS(6846),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6846),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6846),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6846),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6846),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6846),
    [anon_sym_BSLASHgls] = ACTIONS(6846),
    [anon_sym_BSLASHGls] = ACTIONS(6846),
    [anon_sym_BSLASHGLS] = ACTIONS(6846),
    [anon_sym_BSLASHglspl] = ACTIONS(6846),
    [anon_sym_BSLASHGlspl] = ACTIONS(6846),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6846),
    [anon_sym_BSLASHglslink] = ACTIONS(6846),
    [anon_sym_BSLASHglstext] = ACTIONS(6846),
    [anon_sym_BSLASHGlstext] = ACTIONS(6846),
    [anon_sym_BSLASHGLStext] = ACTIONS(6846),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6846),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6846),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6846),
    [anon_sym_BSLASHglsplural] = ACTIONS(6846),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6846),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6846),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHglsname] = ACTIONS(6846),
    [anon_sym_BSLASHGlsname] = ACTIONS(6846),
    [anon_sym_BSLASHGLSname] = ACTIONS(6846),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6846),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6846),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6846),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6846),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6846),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6846),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6846),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6846),
    [anon_sym_BSLASHacrshort] = ACTIONS(6846),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6846),
    [anon_sym_BSLASHACRshort] = ACTIONS(6846),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHacrlong] = ACTIONS(6846),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6846),
    [anon_sym_BSLASHACRlong] = ACTIONS(6846),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHacrfull] = ACTIONS(6846),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6846),
    [anon_sym_BSLASHACRfull] = ACTIONS(6846),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHacs] = ACTIONS(6846),
    [anon_sym_BSLASHAcs] = ACTIONS(6846),
    [anon_sym_BSLASHacsp] = ACTIONS(6846),
    [anon_sym_BSLASHAcsp] = ACTIONS(6846),
    [anon_sym_BSLASHacl] = ACTIONS(6846),
    [anon_sym_BSLASHAcl] = ACTIONS(6846),
    [anon_sym_BSLASHaclp] = ACTIONS(6846),
    [anon_sym_BSLASHAclp] = ACTIONS(6846),
    [anon_sym_BSLASHacf] = ACTIONS(6846),
    [anon_sym_BSLASHAcf] = ACTIONS(6846),
    [anon_sym_BSLASHacfp] = ACTIONS(6846),
    [anon_sym_BSLASHAcfp] = ACTIONS(6846),
    [anon_sym_BSLASHac] = ACTIONS(6846),
    [anon_sym_BSLASHAc] = ACTIONS(6846),
    [anon_sym_BSLASHacp] = ACTIONS(6846),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6846),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6846),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6846),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6846),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6846),
    [anon_sym_BSLASHcolor] = ACTIONS(6846),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6846),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6846),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6846),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6846),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6846),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6846),
    [anon_sym_BSLASHurl] = ACTIONS(6846),
    [anon_sym_BSLASHhref] = ACTIONS(6846),
  },
  [438] = {
    [sym__enum_itemdeclaration] = STATE(218),
    [sym_enum_item] = STATE(410),
    [aux_sym__paragraph_repeat3] = STATE(410),
    [sym_command_name] = ACTIONS(6850),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6850),
    [anon_sym_LBRACK] = ACTIONS(6852),
    [anon_sym_RBRACK] = ACTIONS(6852),
    [anon_sym_COMMA] = ACTIONS(6852),
    [anon_sym_EQ] = ACTIONS(6852),
    [anon_sym_LPAREN] = ACTIONS(6852),
    [anon_sym_RPAREN] = ACTIONS(6852),
    [anon_sym_BSLASHpart] = ACTIONS(6850),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHaddpart] = ACTIONS(6850),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHchapter] = ACTIONS(6850),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHaddchap] = ACTIONS(6850),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHsection] = ACTIONS(6850),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHaddsec] = ACTIONS(6850),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHsubsection] = ACTIONS(6850),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6850),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHparagraph] = ACTIONS(6850),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6850),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHitem] = ACTIONS(211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(213),
    [anon_sym_LBRACE] = ACTIONS(6852),
    [sym_word] = ACTIONS(6850),
    [sym_placeholder] = ACTIONS(6852),
    [sym_delimiter] = ACTIONS(6852),
    [anon_sym_PLUS] = ACTIONS(6852),
    [anon_sym_DASH] = ACTIONS(6852),
    [anon_sym_STAR] = ACTIONS(6852),
    [anon_sym_SLASH] = ACTIONS(6852),
    [anon_sym_LT] = ACTIONS(6850),
    [anon_sym_GT] = ACTIONS(6850),
    [anon_sym_BANG] = ACTIONS(6850),
    [anon_sym_PIPE] = ACTIONS(6850),
    [anon_sym_COLON] = ACTIONS(6850),
    [anon_sym_SQUOTE] = ACTIONS(6850),
    [anon_sym__] = ACTIONS(6852),
    [anon_sym_CARET] = ACTIONS(6852),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6852),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6852),
    [anon_sym_DOLLAR] = ACTIONS(6850),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6852),
    [anon_sym_BSLASHleft] = ACTIONS(6850),
    [anon_sym_BSLASHbigl] = ACTIONS(6850),
    [anon_sym_BSLASHBigl] = ACTIONS(6850),
    [anon_sym_BSLASHbiggl] = ACTIONS(6850),
    [anon_sym_BSLASHBiggl] = ACTIONS(6850),
    [anon_sym_BSLASHright] = ACTIONS(6850),
    [anon_sym_BSLASHbigr] = ACTIONS(6850),
    [anon_sym_BSLASHBigr] = ACTIONS(6850),
    [anon_sym_BSLASHbiggr] = ACTIONS(6850),
    [anon_sym_BSLASHBiggr] = ACTIONS(6850),
    [anon_sym_BSLASHtext] = ACTIONS(6850),
    [anon_sym_BSLASHintertext] = ACTIONS(6850),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6850),
    [anon_sym_BSLASHbegin] = ACTIONS(6850),
    [anon_sym_BSLASHtitle] = ACTIONS(6850),
    [anon_sym_BSLASHauthor] = ACTIONS(6850),
    [anon_sym_BSLASHusepackage] = ACTIONS(6850),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6850),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6850),
    [anon_sym_BSLASHinclude] = ACTIONS(6850),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6850),
    [anon_sym_BSLASHinput] = ACTIONS(6850),
    [anon_sym_BSLASHsubfile] = ACTIONS(6850),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6850),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6850),
    [anon_sym_BSLASHbibliography] = ACTIONS(6850),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6850),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6850),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6850),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6850),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6850),
    [anon_sym_BSLASHimport] = ACTIONS(6850),
    [anon_sym_BSLASHsubimport] = ACTIONS(6850),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6850),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6850),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6850),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6850),
    [anon_sym_BSLASHcaption] = ACTIONS(6850),
    [anon_sym_BSLASHcite] = ACTIONS(6850),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHCite] = ACTIONS(6850),
    [anon_sym_BSLASHnocite] = ACTIONS(6850),
    [anon_sym_BSLASHcitet] = ACTIONS(6850),
    [anon_sym_BSLASHcitep] = ACTIONS(6850),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHciteA] = ACTIONS(6850),
    [anon_sym_BSLASHciteR] = ACTIONS(6850),
    [anon_sym_BSLASHciteS] = ACTIONS(6850),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6850),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6850),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6850),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6850),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHciteyear] = ACTIONS(6850),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcitedate] = ACTIONS(6850),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHciteurl] = ACTIONS(6850),
    [anon_sym_BSLASHfullcite] = ACTIONS(6850),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6850),
    [anon_sym_BSLASHcitealt] = ACTIONS(6850),
    [anon_sym_BSLASHcitealp] = ACTIONS(6850),
    [anon_sym_BSLASHcitetext] = ACTIONS(6850),
    [anon_sym_BSLASHparencite] = ACTIONS(6850),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHParencite] = ACTIONS(6850),
    [anon_sym_BSLASHfootcite] = ACTIONS(6850),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6850),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6850),
    [anon_sym_BSLASHtextcite] = ACTIONS(6850),
    [anon_sym_BSLASHTextcite] = ACTIONS(6850),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6850),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6850),
    [anon_sym_BSLASHsupercite] = ACTIONS(6850),
    [anon_sym_BSLASHautocite] = ACTIONS(6850),
    [anon_sym_BSLASHAutocite] = ACTIONS(6850),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHVolcite] = ACTIONS(6850),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHavolcite] = ACTIONS(6850),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHnotecite] = ACTIONS(6850),
    [anon_sym_BSLASHNotecite] = ACTIONS(6850),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6850),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6850),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6850),
    [anon_sym_BSLASHlabel] = ACTIONS(6850),
    [anon_sym_BSLASHref] = ACTIONS(6850),
    [anon_sym_BSLASHeqref] = ACTIONS(6850),
    [anon_sym_BSLASHvref] = ACTIONS(6850),
    [anon_sym_BSLASHVref] = ACTIONS(6850),
    [anon_sym_BSLASHautoref] = ACTIONS(6850),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHpageref] = ACTIONS(6850),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHautopageref] = ACTIONS(6850),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcref] = ACTIONS(6850),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHCref] = ACTIONS(6850),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcpageref] = ACTIONS(6850),
    [anon_sym_BSLASHCpageref] = ACTIONS(6850),
    [anon_sym_BSLASHnamecref] = ACTIONS(6850),
    [anon_sym_BSLASHnameCref] = ACTIONS(6850),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6850),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6850),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6850),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6850),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6850),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6850),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6850),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6850),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6850),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6850),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6850),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6850),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6850),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6850),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6850),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6850),
    [anon_sym_BSLASHdef] = ACTIONS(6850),
    [anon_sym_BSLASHgdef] = ACTIONS(6850),
    [anon_sym_BSLASHedef] = ACTIONS(6850),
    [anon_sym_BSLASHxdef] = ACTIONS(6850),
    [anon_sym_BSLASHlet] = ACTIONS(6850),
    [anon_sym_BSLASHglet] = ACTIONS(6850),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6850),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6850),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6850),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6850),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6850),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6850),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6850),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6850),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6850),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6850),
    [anon_sym_BSLASHgls] = ACTIONS(6850),
    [anon_sym_BSLASHGls] = ACTIONS(6850),
    [anon_sym_BSLASHGLS] = ACTIONS(6850),
    [anon_sym_BSLASHglspl] = ACTIONS(6850),
    [anon_sym_BSLASHGlspl] = ACTIONS(6850),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6850),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6850),
    [anon_sym_BSLASHglslink] = ACTIONS(6850),
    [anon_sym_BSLASHglstext] = ACTIONS(6850),
    [anon_sym_BSLASHGlstext] = ACTIONS(6850),
    [anon_sym_BSLASHGLStext] = ACTIONS(6850),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6850),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6850),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6850),
    [anon_sym_BSLASHglsplural] = ACTIONS(6850),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6850),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6850),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6850),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6850),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6850),
    [anon_sym_BSLASHglsname] = ACTIONS(6850),
    [anon_sym_BSLASHGlsname] = ACTIONS(6850),
    [anon_sym_BSLASHGLSname] = ACTIONS(6850),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6850),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6850),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6850),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6850),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6850),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6850),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6850),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6850),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6850),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6850),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6850),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6850),
    [anon_sym_BSLASHacrshort] = ACTIONS(6850),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6850),
    [anon_sym_BSLASHACRshort] = ACTIONS(6850),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6850),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6850),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6850),
    [anon_sym_BSLASHacrlong] = ACTIONS(6850),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6850),
    [anon_sym_BSLASHACRlong] = ACTIONS(6850),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6850),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6850),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6850),
    [anon_sym_BSLASHacrfull] = ACTIONS(6850),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6850),
    [anon_sym_BSLASHACRfull] = ACTIONS(6850),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6850),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6850),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6850),
    [anon_sym_BSLASHacs] = ACTIONS(6850),
    [anon_sym_BSLASHAcs] = ACTIONS(6850),
    [anon_sym_BSLASHacsp] = ACTIONS(6850),
    [anon_sym_BSLASHAcsp] = ACTIONS(6850),
    [anon_sym_BSLASHacl] = ACTIONS(6850),
    [anon_sym_BSLASHAcl] = ACTIONS(6850),
    [anon_sym_BSLASHaclp] = ACTIONS(6850),
    [anon_sym_BSLASHAclp] = ACTIONS(6850),
    [anon_sym_BSLASHacf] = ACTIONS(6850),
    [anon_sym_BSLASHAcf] = ACTIONS(6850),
    [anon_sym_BSLASHacfp] = ACTIONS(6850),
    [anon_sym_BSLASHAcfp] = ACTIONS(6850),
    [anon_sym_BSLASHac] = ACTIONS(6850),
    [anon_sym_BSLASHAc] = ACTIONS(6850),
    [anon_sym_BSLASHacp] = ACTIONS(6850),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6850),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6850),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6850),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6850),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6850),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6850),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6850),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6850),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6850),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6850),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6850),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6850),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6850),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6850),
    [anon_sym_BSLASHcolor] = ACTIONS(6850),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6850),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6850),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6850),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6850),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6850),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6850),
    [anon_sym_BSLASHurl] = ACTIONS(6850),
    [anon_sym_BSLASHhref] = ACTIONS(6850),
  },
  [439] = {
    [sym__chapter_declaration] = STATE(158),
    [sym_chapter] = STATE(404),
    [aux_sym__section_repeat2] = STATE(404),
    [sym_command_name] = ACTIONS(6854),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6854),
    [anon_sym_LBRACK] = ACTIONS(6856),
    [anon_sym_RBRACK] = ACTIONS(6856),
    [anon_sym_COMMA] = ACTIONS(6856),
    [anon_sym_EQ] = ACTIONS(6856),
    [anon_sym_LPAREN] = ACTIONS(6856),
    [anon_sym_RPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHpart] = ACTIONS(6854),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddpart] = ACTIONS(6854),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHchapter] = ACTIONS(187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(189),
    [anon_sym_BSLASHaddchap] = ACTIONS(187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(189),
    [anon_sym_BSLASHsection] = ACTIONS(6854),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddsec] = ACTIONS(6854),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHitem] = ACTIONS(6854),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6856),
    [anon_sym_LBRACE] = ACTIONS(6856),
    [sym_word] = ACTIONS(6854),
    [sym_placeholder] = ACTIONS(6856),
    [sym_delimiter] = ACTIONS(6856),
    [anon_sym_PLUS] = ACTIONS(6856),
    [anon_sym_DASH] = ACTIONS(6856),
    [anon_sym_STAR] = ACTIONS(6856),
    [anon_sym_SLASH] = ACTIONS(6856),
    [anon_sym_LT] = ACTIONS(6854),
    [anon_sym_GT] = ACTIONS(6854),
    [anon_sym_BANG] = ACTIONS(6854),
    [anon_sym_PIPE] = ACTIONS(6854),
    [anon_sym_COLON] = ACTIONS(6854),
    [anon_sym_SQUOTE] = ACTIONS(6854),
    [anon_sym__] = ACTIONS(6856),
    [anon_sym_CARET] = ACTIONS(6856),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6856),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6856),
    [anon_sym_DOLLAR] = ACTIONS(6854),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHleft] = ACTIONS(6854),
    [anon_sym_BSLASHbigl] = ACTIONS(6854),
    [anon_sym_BSLASHBigl] = ACTIONS(6854),
    [anon_sym_BSLASHbiggl] = ACTIONS(6854),
    [anon_sym_BSLASHBiggl] = ACTIONS(6854),
    [anon_sym_BSLASHright] = ACTIONS(6854),
    [anon_sym_BSLASHbigr] = ACTIONS(6854),
    [anon_sym_BSLASHBigr] = ACTIONS(6854),
    [anon_sym_BSLASHbiggr] = ACTIONS(6854),
    [anon_sym_BSLASHBiggr] = ACTIONS(6854),
    [anon_sym_BSLASHtext] = ACTIONS(6854),
    [anon_sym_BSLASHintertext] = ACTIONS(6854),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6854),
    [anon_sym_BSLASHbegin] = ACTIONS(6854),
    [anon_sym_BSLASHtitle] = ACTIONS(6854),
    [anon_sym_BSLASHauthor] = ACTIONS(6854),
    [anon_sym_BSLASHusepackage] = ACTIONS(6854),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6854),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6854),
    [anon_sym_BSLASHinclude] = ACTIONS(6854),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6854),
    [anon_sym_BSLASHinput] = ACTIONS(6854),
    [anon_sym_BSLASHsubfile] = ACTIONS(6854),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6854),
    [anon_sym_BSLASHbibliography] = ACTIONS(6854),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6854),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6854),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6854),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6854),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6854),
    [anon_sym_BSLASHimport] = ACTIONS(6854),
    [anon_sym_BSLASHsubimport] = ACTIONS(6854),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6854),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHcaption] = ACTIONS(6854),
    [anon_sym_BSLASHcite] = ACTIONS(6854),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCite] = ACTIONS(6854),
    [anon_sym_BSLASHnocite] = ACTIONS(6854),
    [anon_sym_BSLASHcitet] = ACTIONS(6854),
    [anon_sym_BSLASHcitep] = ACTIONS(6854),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteA] = ACTIONS(6854),
    [anon_sym_BSLASHciteR] = ACTIONS(6854),
    [anon_sym_BSLASHciteS] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6854),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteyear] = ACTIONS(6854),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitedate] = ACTIONS(6854),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteurl] = ACTIONS(6854),
    [anon_sym_BSLASHfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6854),
    [anon_sym_BSLASHcitealt] = ACTIONS(6854),
    [anon_sym_BSLASHcitealp] = ACTIONS(6854),
    [anon_sym_BSLASHcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHparencite] = ACTIONS(6854),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHParencite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHtextcite] = ACTIONS(6854),
    [anon_sym_BSLASHTextcite] = ACTIONS(6854),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHsupercite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite] = ACTIONS(6854),
    [anon_sym_BSLASHAutocite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHVolcite] = ACTIONS(6854),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHavolcite] = ACTIONS(6854),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHNotecite] = ACTIONS(6854),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHlabel] = ACTIONS(6854),
    [anon_sym_BSLASHref] = ACTIONS(6854),
    [anon_sym_BSLASHeqref] = ACTIONS(6854),
    [anon_sym_BSLASHvref] = ACTIONS(6854),
    [anon_sym_BSLASHVref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHpageref] = ACTIONS(6854),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHautopageref] = ACTIONS(6854),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcref] = ACTIONS(6854),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCref] = ACTIONS(6854),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHCpageref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnameCref] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6854),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHdef] = ACTIONS(6854),
    [anon_sym_BSLASHgdef] = ACTIONS(6854),
    [anon_sym_BSLASHedef] = ACTIONS(6854),
    [anon_sym_BSLASHxdef] = ACTIONS(6854),
    [anon_sym_BSLASHlet] = ACTIONS(6854),
    [anon_sym_BSLASHglet] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6854),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6854),
    [anon_sym_BSLASHgls] = ACTIONS(6854),
    [anon_sym_BSLASHGls] = ACTIONS(6854),
    [anon_sym_BSLASHGLS] = ACTIONS(6854),
    [anon_sym_BSLASHglspl] = ACTIONS(6854),
    [anon_sym_BSLASHGlspl] = ACTIONS(6854),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6854),
    [anon_sym_BSLASHglslink] = ACTIONS(6854),
    [anon_sym_BSLASHglstext] = ACTIONS(6854),
    [anon_sym_BSLASHGlstext] = ACTIONS(6854),
    [anon_sym_BSLASHGLStext] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6854),
    [anon_sym_BSLASHglsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsname] = ACTIONS(6854),
    [anon_sym_BSLASHGlsname] = ACTIONS(6854),
    [anon_sym_BSLASHGLSname] = ACTIONS(6854),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6854),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6854),
    [anon_sym_BSLASHacrshort] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6854),
    [anon_sym_BSLASHACRshort] = ACTIONS(6854),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrlong] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6854),
    [anon_sym_BSLASHACRlong] = ACTIONS(6854),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrfull] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6854),
    [anon_sym_BSLASHACRfull] = ACTIONS(6854),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHacs] = ACTIONS(6854),
    [anon_sym_BSLASHAcs] = ACTIONS(6854),
    [anon_sym_BSLASHacsp] = ACTIONS(6854),
    [anon_sym_BSLASHAcsp] = ACTIONS(6854),
    [anon_sym_BSLASHacl] = ACTIONS(6854),
    [anon_sym_BSLASHAcl] = ACTIONS(6854),
    [anon_sym_BSLASHaclp] = ACTIONS(6854),
    [anon_sym_BSLASHAclp] = ACTIONS(6854),
    [anon_sym_BSLASHacf] = ACTIONS(6854),
    [anon_sym_BSLASHAcf] = ACTIONS(6854),
    [anon_sym_BSLASHacfp] = ACTIONS(6854),
    [anon_sym_BSLASHAcfp] = ACTIONS(6854),
    [anon_sym_BSLASHac] = ACTIONS(6854),
    [anon_sym_BSLASHAc] = ACTIONS(6854),
    [anon_sym_BSLASHacp] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6854),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6854),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6854),
    [anon_sym_BSLASHcolor] = ACTIONS(6854),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6854),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6854),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6854),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6854),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6854),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6854),
    [anon_sym_BSLASHurl] = ACTIONS(6854),
    [anon_sym_BSLASHhref] = ACTIONS(6854),
  },
  [440] = {
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(405),
    [aux_sym__section_repeat3] = STATE(405),
    [sym_command_name] = ACTIONS(6854),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6854),
    [anon_sym_LBRACK] = ACTIONS(6856),
    [anon_sym_RBRACK] = ACTIONS(6856),
    [anon_sym_COMMA] = ACTIONS(6856),
    [anon_sym_EQ] = ACTIONS(6856),
    [anon_sym_LPAREN] = ACTIONS(6856),
    [anon_sym_RPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHpart] = ACTIONS(6854),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddpart] = ACTIONS(6854),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHchapter] = ACTIONS(6854),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddchap] = ACTIONS(6854),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHitem] = ACTIONS(6854),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6856),
    [anon_sym_LBRACE] = ACTIONS(6856),
    [sym_word] = ACTIONS(6854),
    [sym_placeholder] = ACTIONS(6856),
    [sym_delimiter] = ACTIONS(6856),
    [anon_sym_PLUS] = ACTIONS(6856),
    [anon_sym_DASH] = ACTIONS(6856),
    [anon_sym_STAR] = ACTIONS(6856),
    [anon_sym_SLASH] = ACTIONS(6856),
    [anon_sym_LT] = ACTIONS(6854),
    [anon_sym_GT] = ACTIONS(6854),
    [anon_sym_BANG] = ACTIONS(6854),
    [anon_sym_PIPE] = ACTIONS(6854),
    [anon_sym_COLON] = ACTIONS(6854),
    [anon_sym_SQUOTE] = ACTIONS(6854),
    [anon_sym__] = ACTIONS(6856),
    [anon_sym_CARET] = ACTIONS(6856),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6856),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6856),
    [anon_sym_DOLLAR] = ACTIONS(6854),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHleft] = ACTIONS(6854),
    [anon_sym_BSLASHbigl] = ACTIONS(6854),
    [anon_sym_BSLASHBigl] = ACTIONS(6854),
    [anon_sym_BSLASHbiggl] = ACTIONS(6854),
    [anon_sym_BSLASHBiggl] = ACTIONS(6854),
    [anon_sym_BSLASHright] = ACTIONS(6854),
    [anon_sym_BSLASHbigr] = ACTIONS(6854),
    [anon_sym_BSLASHBigr] = ACTIONS(6854),
    [anon_sym_BSLASHbiggr] = ACTIONS(6854),
    [anon_sym_BSLASHBiggr] = ACTIONS(6854),
    [anon_sym_BSLASHtext] = ACTIONS(6854),
    [anon_sym_BSLASHintertext] = ACTIONS(6854),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6854),
    [anon_sym_BSLASHbegin] = ACTIONS(6854),
    [anon_sym_BSLASHtitle] = ACTIONS(6854),
    [anon_sym_BSLASHauthor] = ACTIONS(6854),
    [anon_sym_BSLASHusepackage] = ACTIONS(6854),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6854),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6854),
    [anon_sym_BSLASHinclude] = ACTIONS(6854),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6854),
    [anon_sym_BSLASHinput] = ACTIONS(6854),
    [anon_sym_BSLASHsubfile] = ACTIONS(6854),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6854),
    [anon_sym_BSLASHbibliography] = ACTIONS(6854),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6854),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6854),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6854),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6854),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6854),
    [anon_sym_BSLASHimport] = ACTIONS(6854),
    [anon_sym_BSLASHsubimport] = ACTIONS(6854),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6854),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHcaption] = ACTIONS(6854),
    [anon_sym_BSLASHcite] = ACTIONS(6854),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCite] = ACTIONS(6854),
    [anon_sym_BSLASHnocite] = ACTIONS(6854),
    [anon_sym_BSLASHcitet] = ACTIONS(6854),
    [anon_sym_BSLASHcitep] = ACTIONS(6854),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteA] = ACTIONS(6854),
    [anon_sym_BSLASHciteR] = ACTIONS(6854),
    [anon_sym_BSLASHciteS] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6854),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteyear] = ACTIONS(6854),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitedate] = ACTIONS(6854),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteurl] = ACTIONS(6854),
    [anon_sym_BSLASHfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6854),
    [anon_sym_BSLASHcitealt] = ACTIONS(6854),
    [anon_sym_BSLASHcitealp] = ACTIONS(6854),
    [anon_sym_BSLASHcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHparencite] = ACTIONS(6854),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHParencite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHtextcite] = ACTIONS(6854),
    [anon_sym_BSLASHTextcite] = ACTIONS(6854),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHsupercite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite] = ACTIONS(6854),
    [anon_sym_BSLASHAutocite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHVolcite] = ACTIONS(6854),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHavolcite] = ACTIONS(6854),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHNotecite] = ACTIONS(6854),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHlabel] = ACTIONS(6854),
    [anon_sym_BSLASHref] = ACTIONS(6854),
    [anon_sym_BSLASHeqref] = ACTIONS(6854),
    [anon_sym_BSLASHvref] = ACTIONS(6854),
    [anon_sym_BSLASHVref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHpageref] = ACTIONS(6854),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHautopageref] = ACTIONS(6854),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcref] = ACTIONS(6854),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCref] = ACTIONS(6854),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHCpageref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnameCref] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6854),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHdef] = ACTIONS(6854),
    [anon_sym_BSLASHgdef] = ACTIONS(6854),
    [anon_sym_BSLASHedef] = ACTIONS(6854),
    [anon_sym_BSLASHxdef] = ACTIONS(6854),
    [anon_sym_BSLASHlet] = ACTIONS(6854),
    [anon_sym_BSLASHglet] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6854),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6854),
    [anon_sym_BSLASHgls] = ACTIONS(6854),
    [anon_sym_BSLASHGls] = ACTIONS(6854),
    [anon_sym_BSLASHGLS] = ACTIONS(6854),
    [anon_sym_BSLASHglspl] = ACTIONS(6854),
    [anon_sym_BSLASHGlspl] = ACTIONS(6854),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6854),
    [anon_sym_BSLASHglslink] = ACTIONS(6854),
    [anon_sym_BSLASHglstext] = ACTIONS(6854),
    [anon_sym_BSLASHGlstext] = ACTIONS(6854),
    [anon_sym_BSLASHGLStext] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6854),
    [anon_sym_BSLASHglsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsname] = ACTIONS(6854),
    [anon_sym_BSLASHGlsname] = ACTIONS(6854),
    [anon_sym_BSLASHGLSname] = ACTIONS(6854),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6854),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6854),
    [anon_sym_BSLASHacrshort] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6854),
    [anon_sym_BSLASHACRshort] = ACTIONS(6854),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrlong] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6854),
    [anon_sym_BSLASHACRlong] = ACTIONS(6854),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrfull] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6854),
    [anon_sym_BSLASHACRfull] = ACTIONS(6854),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHacs] = ACTIONS(6854),
    [anon_sym_BSLASHAcs] = ACTIONS(6854),
    [anon_sym_BSLASHacsp] = ACTIONS(6854),
    [anon_sym_BSLASHAcsp] = ACTIONS(6854),
    [anon_sym_BSLASHacl] = ACTIONS(6854),
    [anon_sym_BSLASHAcl] = ACTIONS(6854),
    [anon_sym_BSLASHaclp] = ACTIONS(6854),
    [anon_sym_BSLASHAclp] = ACTIONS(6854),
    [anon_sym_BSLASHacf] = ACTIONS(6854),
    [anon_sym_BSLASHAcf] = ACTIONS(6854),
    [anon_sym_BSLASHacfp] = ACTIONS(6854),
    [anon_sym_BSLASHAcfp] = ACTIONS(6854),
    [anon_sym_BSLASHac] = ACTIONS(6854),
    [anon_sym_BSLASHAc] = ACTIONS(6854),
    [anon_sym_BSLASHacp] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6854),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6854),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6854),
    [anon_sym_BSLASHcolor] = ACTIONS(6854),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6854),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6854),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6854),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6854),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6854),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6854),
    [anon_sym_BSLASHurl] = ACTIONS(6854),
    [anon_sym_BSLASHhref] = ACTIONS(6854),
  },
  [441] = {
    [sym__subsection_declaration] = STATE(180),
    [sym_subsection] = STATE(406),
    [aux_sym__section_repeat4] = STATE(406),
    [sym_command_name] = ACTIONS(6854),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6854),
    [anon_sym_LBRACK] = ACTIONS(6856),
    [anon_sym_RBRACK] = ACTIONS(6856),
    [anon_sym_COMMA] = ACTIONS(6856),
    [anon_sym_EQ] = ACTIONS(6856),
    [anon_sym_LPAREN] = ACTIONS(6856),
    [anon_sym_RPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHpart] = ACTIONS(6854),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddpart] = ACTIONS(6854),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHchapter] = ACTIONS(6854),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddchap] = ACTIONS(6854),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsection] = ACTIONS(6854),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddsec] = ACTIONS(6854),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsection] = ACTIONS(195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHitem] = ACTIONS(6854),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6856),
    [anon_sym_LBRACE] = ACTIONS(6856),
    [sym_word] = ACTIONS(6854),
    [sym_placeholder] = ACTIONS(6856),
    [sym_delimiter] = ACTIONS(6856),
    [anon_sym_PLUS] = ACTIONS(6856),
    [anon_sym_DASH] = ACTIONS(6856),
    [anon_sym_STAR] = ACTIONS(6856),
    [anon_sym_SLASH] = ACTIONS(6856),
    [anon_sym_LT] = ACTIONS(6854),
    [anon_sym_GT] = ACTIONS(6854),
    [anon_sym_BANG] = ACTIONS(6854),
    [anon_sym_PIPE] = ACTIONS(6854),
    [anon_sym_COLON] = ACTIONS(6854),
    [anon_sym_SQUOTE] = ACTIONS(6854),
    [anon_sym__] = ACTIONS(6856),
    [anon_sym_CARET] = ACTIONS(6856),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6856),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6856),
    [anon_sym_DOLLAR] = ACTIONS(6854),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHleft] = ACTIONS(6854),
    [anon_sym_BSLASHbigl] = ACTIONS(6854),
    [anon_sym_BSLASHBigl] = ACTIONS(6854),
    [anon_sym_BSLASHbiggl] = ACTIONS(6854),
    [anon_sym_BSLASHBiggl] = ACTIONS(6854),
    [anon_sym_BSLASHright] = ACTIONS(6854),
    [anon_sym_BSLASHbigr] = ACTIONS(6854),
    [anon_sym_BSLASHBigr] = ACTIONS(6854),
    [anon_sym_BSLASHbiggr] = ACTIONS(6854),
    [anon_sym_BSLASHBiggr] = ACTIONS(6854),
    [anon_sym_BSLASHtext] = ACTIONS(6854),
    [anon_sym_BSLASHintertext] = ACTIONS(6854),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6854),
    [anon_sym_BSLASHbegin] = ACTIONS(6854),
    [anon_sym_BSLASHtitle] = ACTIONS(6854),
    [anon_sym_BSLASHauthor] = ACTIONS(6854),
    [anon_sym_BSLASHusepackage] = ACTIONS(6854),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6854),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6854),
    [anon_sym_BSLASHinclude] = ACTIONS(6854),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6854),
    [anon_sym_BSLASHinput] = ACTIONS(6854),
    [anon_sym_BSLASHsubfile] = ACTIONS(6854),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6854),
    [anon_sym_BSLASHbibliography] = ACTIONS(6854),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6854),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6854),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6854),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6854),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6854),
    [anon_sym_BSLASHimport] = ACTIONS(6854),
    [anon_sym_BSLASHsubimport] = ACTIONS(6854),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6854),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHcaption] = ACTIONS(6854),
    [anon_sym_BSLASHcite] = ACTIONS(6854),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCite] = ACTIONS(6854),
    [anon_sym_BSLASHnocite] = ACTIONS(6854),
    [anon_sym_BSLASHcitet] = ACTIONS(6854),
    [anon_sym_BSLASHcitep] = ACTIONS(6854),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteA] = ACTIONS(6854),
    [anon_sym_BSLASHciteR] = ACTIONS(6854),
    [anon_sym_BSLASHciteS] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6854),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteyear] = ACTIONS(6854),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitedate] = ACTIONS(6854),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteurl] = ACTIONS(6854),
    [anon_sym_BSLASHfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6854),
    [anon_sym_BSLASHcitealt] = ACTIONS(6854),
    [anon_sym_BSLASHcitealp] = ACTIONS(6854),
    [anon_sym_BSLASHcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHparencite] = ACTIONS(6854),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHParencite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHtextcite] = ACTIONS(6854),
    [anon_sym_BSLASHTextcite] = ACTIONS(6854),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHsupercite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite] = ACTIONS(6854),
    [anon_sym_BSLASHAutocite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHVolcite] = ACTIONS(6854),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHavolcite] = ACTIONS(6854),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHNotecite] = ACTIONS(6854),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHlabel] = ACTIONS(6854),
    [anon_sym_BSLASHref] = ACTIONS(6854),
    [anon_sym_BSLASHeqref] = ACTIONS(6854),
    [anon_sym_BSLASHvref] = ACTIONS(6854),
    [anon_sym_BSLASHVref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHpageref] = ACTIONS(6854),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHautopageref] = ACTIONS(6854),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcref] = ACTIONS(6854),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCref] = ACTIONS(6854),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHCpageref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnameCref] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6854),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHdef] = ACTIONS(6854),
    [anon_sym_BSLASHgdef] = ACTIONS(6854),
    [anon_sym_BSLASHedef] = ACTIONS(6854),
    [anon_sym_BSLASHxdef] = ACTIONS(6854),
    [anon_sym_BSLASHlet] = ACTIONS(6854),
    [anon_sym_BSLASHglet] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6854),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6854),
    [anon_sym_BSLASHgls] = ACTIONS(6854),
    [anon_sym_BSLASHGls] = ACTIONS(6854),
    [anon_sym_BSLASHGLS] = ACTIONS(6854),
    [anon_sym_BSLASHglspl] = ACTIONS(6854),
    [anon_sym_BSLASHGlspl] = ACTIONS(6854),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6854),
    [anon_sym_BSLASHglslink] = ACTIONS(6854),
    [anon_sym_BSLASHglstext] = ACTIONS(6854),
    [anon_sym_BSLASHGlstext] = ACTIONS(6854),
    [anon_sym_BSLASHGLStext] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6854),
    [anon_sym_BSLASHglsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsname] = ACTIONS(6854),
    [anon_sym_BSLASHGlsname] = ACTIONS(6854),
    [anon_sym_BSLASHGLSname] = ACTIONS(6854),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6854),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6854),
    [anon_sym_BSLASHacrshort] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6854),
    [anon_sym_BSLASHACRshort] = ACTIONS(6854),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrlong] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6854),
    [anon_sym_BSLASHACRlong] = ACTIONS(6854),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrfull] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6854),
    [anon_sym_BSLASHACRfull] = ACTIONS(6854),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHacs] = ACTIONS(6854),
    [anon_sym_BSLASHAcs] = ACTIONS(6854),
    [anon_sym_BSLASHacsp] = ACTIONS(6854),
    [anon_sym_BSLASHAcsp] = ACTIONS(6854),
    [anon_sym_BSLASHacl] = ACTIONS(6854),
    [anon_sym_BSLASHAcl] = ACTIONS(6854),
    [anon_sym_BSLASHaclp] = ACTIONS(6854),
    [anon_sym_BSLASHAclp] = ACTIONS(6854),
    [anon_sym_BSLASHacf] = ACTIONS(6854),
    [anon_sym_BSLASHAcf] = ACTIONS(6854),
    [anon_sym_BSLASHacfp] = ACTIONS(6854),
    [anon_sym_BSLASHAcfp] = ACTIONS(6854),
    [anon_sym_BSLASHac] = ACTIONS(6854),
    [anon_sym_BSLASHAc] = ACTIONS(6854),
    [anon_sym_BSLASHacp] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6854),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6854),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6854),
    [anon_sym_BSLASHcolor] = ACTIONS(6854),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6854),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6854),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6854),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6854),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6854),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6854),
    [anon_sym_BSLASHurl] = ACTIONS(6854),
    [anon_sym_BSLASHhref] = ACTIONS(6854),
  },
  [442] = {
    [sym__subsubsection_declaration] = STATE(189),
    [sym_subsubsection] = STATE(407),
    [aux_sym__section_repeat5] = STATE(407),
    [sym_command_name] = ACTIONS(6854),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6854),
    [anon_sym_LBRACK] = ACTIONS(6856),
    [anon_sym_RBRACK] = ACTIONS(6856),
    [anon_sym_COMMA] = ACTIONS(6856),
    [anon_sym_EQ] = ACTIONS(6856),
    [anon_sym_LPAREN] = ACTIONS(6856),
    [anon_sym_RPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHpart] = ACTIONS(6854),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddpart] = ACTIONS(6854),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHchapter] = ACTIONS(6854),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddchap] = ACTIONS(6854),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsection] = ACTIONS(6854),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddsec] = ACTIONS(6854),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(201),
    [anon_sym_BSLASHparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHitem] = ACTIONS(6854),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6856),
    [anon_sym_LBRACE] = ACTIONS(6856),
    [sym_word] = ACTIONS(6854),
    [sym_placeholder] = ACTIONS(6856),
    [sym_delimiter] = ACTIONS(6856),
    [anon_sym_PLUS] = ACTIONS(6856),
    [anon_sym_DASH] = ACTIONS(6856),
    [anon_sym_STAR] = ACTIONS(6856),
    [anon_sym_SLASH] = ACTIONS(6856),
    [anon_sym_LT] = ACTIONS(6854),
    [anon_sym_GT] = ACTIONS(6854),
    [anon_sym_BANG] = ACTIONS(6854),
    [anon_sym_PIPE] = ACTIONS(6854),
    [anon_sym_COLON] = ACTIONS(6854),
    [anon_sym_SQUOTE] = ACTIONS(6854),
    [anon_sym__] = ACTIONS(6856),
    [anon_sym_CARET] = ACTIONS(6856),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6856),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6856),
    [anon_sym_DOLLAR] = ACTIONS(6854),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHleft] = ACTIONS(6854),
    [anon_sym_BSLASHbigl] = ACTIONS(6854),
    [anon_sym_BSLASHBigl] = ACTIONS(6854),
    [anon_sym_BSLASHbiggl] = ACTIONS(6854),
    [anon_sym_BSLASHBiggl] = ACTIONS(6854),
    [anon_sym_BSLASHright] = ACTIONS(6854),
    [anon_sym_BSLASHbigr] = ACTIONS(6854),
    [anon_sym_BSLASHBigr] = ACTIONS(6854),
    [anon_sym_BSLASHbiggr] = ACTIONS(6854),
    [anon_sym_BSLASHBiggr] = ACTIONS(6854),
    [anon_sym_BSLASHtext] = ACTIONS(6854),
    [anon_sym_BSLASHintertext] = ACTIONS(6854),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6854),
    [anon_sym_BSLASHbegin] = ACTIONS(6854),
    [anon_sym_BSLASHtitle] = ACTIONS(6854),
    [anon_sym_BSLASHauthor] = ACTIONS(6854),
    [anon_sym_BSLASHusepackage] = ACTIONS(6854),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6854),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6854),
    [anon_sym_BSLASHinclude] = ACTIONS(6854),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6854),
    [anon_sym_BSLASHinput] = ACTIONS(6854),
    [anon_sym_BSLASHsubfile] = ACTIONS(6854),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6854),
    [anon_sym_BSLASHbibliography] = ACTIONS(6854),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6854),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6854),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6854),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6854),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6854),
    [anon_sym_BSLASHimport] = ACTIONS(6854),
    [anon_sym_BSLASHsubimport] = ACTIONS(6854),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6854),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHcaption] = ACTIONS(6854),
    [anon_sym_BSLASHcite] = ACTIONS(6854),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCite] = ACTIONS(6854),
    [anon_sym_BSLASHnocite] = ACTIONS(6854),
    [anon_sym_BSLASHcitet] = ACTIONS(6854),
    [anon_sym_BSLASHcitep] = ACTIONS(6854),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteA] = ACTIONS(6854),
    [anon_sym_BSLASHciteR] = ACTIONS(6854),
    [anon_sym_BSLASHciteS] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6854),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteyear] = ACTIONS(6854),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitedate] = ACTIONS(6854),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteurl] = ACTIONS(6854),
    [anon_sym_BSLASHfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6854),
    [anon_sym_BSLASHcitealt] = ACTIONS(6854),
    [anon_sym_BSLASHcitealp] = ACTIONS(6854),
    [anon_sym_BSLASHcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHparencite] = ACTIONS(6854),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHParencite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHtextcite] = ACTIONS(6854),
    [anon_sym_BSLASHTextcite] = ACTIONS(6854),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHsupercite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite] = ACTIONS(6854),
    [anon_sym_BSLASHAutocite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHVolcite] = ACTIONS(6854),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHavolcite] = ACTIONS(6854),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHNotecite] = ACTIONS(6854),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHlabel] = ACTIONS(6854),
    [anon_sym_BSLASHref] = ACTIONS(6854),
    [anon_sym_BSLASHeqref] = ACTIONS(6854),
    [anon_sym_BSLASHvref] = ACTIONS(6854),
    [anon_sym_BSLASHVref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHpageref] = ACTIONS(6854),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHautopageref] = ACTIONS(6854),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcref] = ACTIONS(6854),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCref] = ACTIONS(6854),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHCpageref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnameCref] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6854),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHdef] = ACTIONS(6854),
    [anon_sym_BSLASHgdef] = ACTIONS(6854),
    [anon_sym_BSLASHedef] = ACTIONS(6854),
    [anon_sym_BSLASHxdef] = ACTIONS(6854),
    [anon_sym_BSLASHlet] = ACTIONS(6854),
    [anon_sym_BSLASHglet] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6854),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6854),
    [anon_sym_BSLASHgls] = ACTIONS(6854),
    [anon_sym_BSLASHGls] = ACTIONS(6854),
    [anon_sym_BSLASHGLS] = ACTIONS(6854),
    [anon_sym_BSLASHglspl] = ACTIONS(6854),
    [anon_sym_BSLASHGlspl] = ACTIONS(6854),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6854),
    [anon_sym_BSLASHglslink] = ACTIONS(6854),
    [anon_sym_BSLASHglstext] = ACTIONS(6854),
    [anon_sym_BSLASHGlstext] = ACTIONS(6854),
    [anon_sym_BSLASHGLStext] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6854),
    [anon_sym_BSLASHglsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsname] = ACTIONS(6854),
    [anon_sym_BSLASHGlsname] = ACTIONS(6854),
    [anon_sym_BSLASHGLSname] = ACTIONS(6854),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6854),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6854),
    [anon_sym_BSLASHacrshort] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6854),
    [anon_sym_BSLASHACRshort] = ACTIONS(6854),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrlong] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6854),
    [anon_sym_BSLASHACRlong] = ACTIONS(6854),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrfull] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6854),
    [anon_sym_BSLASHACRfull] = ACTIONS(6854),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHacs] = ACTIONS(6854),
    [anon_sym_BSLASHAcs] = ACTIONS(6854),
    [anon_sym_BSLASHacsp] = ACTIONS(6854),
    [anon_sym_BSLASHAcsp] = ACTIONS(6854),
    [anon_sym_BSLASHacl] = ACTIONS(6854),
    [anon_sym_BSLASHAcl] = ACTIONS(6854),
    [anon_sym_BSLASHaclp] = ACTIONS(6854),
    [anon_sym_BSLASHAclp] = ACTIONS(6854),
    [anon_sym_BSLASHacf] = ACTIONS(6854),
    [anon_sym_BSLASHAcf] = ACTIONS(6854),
    [anon_sym_BSLASHacfp] = ACTIONS(6854),
    [anon_sym_BSLASHAcfp] = ACTIONS(6854),
    [anon_sym_BSLASHac] = ACTIONS(6854),
    [anon_sym_BSLASHAc] = ACTIONS(6854),
    [anon_sym_BSLASHacp] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6854),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6854),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6854),
    [anon_sym_BSLASHcolor] = ACTIONS(6854),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6854),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6854),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6854),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6854),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6854),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6854),
    [anon_sym_BSLASHurl] = ACTIONS(6854),
    [anon_sym_BSLASHhref] = ACTIONS(6854),
  },
  [443] = {
    [sym__section_declaration] = STATE(168),
    [sym_section] = STATE(405),
    [aux_sym__section_repeat3] = STATE(405),
    [sym_command_name] = ACTIONS(6696),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6696),
    [anon_sym_LBRACK] = ACTIONS(6698),
    [anon_sym_RBRACK] = ACTIONS(6698),
    [anon_sym_COMMA] = ACTIONS(6698),
    [anon_sym_EQ] = ACTIONS(6698),
    [anon_sym_LPAREN] = ACTIONS(6698),
    [anon_sym_RPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHpart] = ACTIONS(6696),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddpart] = ACTIONS(6696),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHchapter] = ACTIONS(6696),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddchap] = ACTIONS(6696),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsection] = ACTIONS(191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(193),
    [anon_sym_BSLASHaddsec] = ACTIONS(191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(193),
    [anon_sym_BSLASHsubsection] = ACTIONS(6696),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHitem] = ACTIONS(6696),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6698),
    [anon_sym_LBRACE] = ACTIONS(6698),
    [sym_word] = ACTIONS(6696),
    [sym_placeholder] = ACTIONS(6698),
    [sym_delimiter] = ACTIONS(6698),
    [anon_sym_PLUS] = ACTIONS(6698),
    [anon_sym_DASH] = ACTIONS(6698),
    [anon_sym_STAR] = ACTIONS(6698),
    [anon_sym_SLASH] = ACTIONS(6698),
    [anon_sym_LT] = ACTIONS(6696),
    [anon_sym_GT] = ACTIONS(6696),
    [anon_sym_BANG] = ACTIONS(6696),
    [anon_sym_PIPE] = ACTIONS(6696),
    [anon_sym_COLON] = ACTIONS(6696),
    [anon_sym_SQUOTE] = ACTIONS(6696),
    [anon_sym__] = ACTIONS(6698),
    [anon_sym_CARET] = ACTIONS(6698),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6698),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6698),
    [anon_sym_DOLLAR] = ACTIONS(6696),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHleft] = ACTIONS(6696),
    [anon_sym_BSLASHbigl] = ACTIONS(6696),
    [anon_sym_BSLASHBigl] = ACTIONS(6696),
    [anon_sym_BSLASHbiggl] = ACTIONS(6696),
    [anon_sym_BSLASHBiggl] = ACTIONS(6696),
    [anon_sym_BSLASHright] = ACTIONS(6696),
    [anon_sym_BSLASHbigr] = ACTIONS(6696),
    [anon_sym_BSLASHBigr] = ACTIONS(6696),
    [anon_sym_BSLASHbiggr] = ACTIONS(6696),
    [anon_sym_BSLASHBiggr] = ACTIONS(6696),
    [anon_sym_BSLASHtext] = ACTIONS(6696),
    [anon_sym_BSLASHintertext] = ACTIONS(6696),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6696),
    [anon_sym_BSLASHbegin] = ACTIONS(6696),
    [anon_sym_BSLASHtitle] = ACTIONS(6696),
    [anon_sym_BSLASHauthor] = ACTIONS(6696),
    [anon_sym_BSLASHusepackage] = ACTIONS(6696),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6696),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6696),
    [anon_sym_BSLASHinclude] = ACTIONS(6696),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6696),
    [anon_sym_BSLASHinput] = ACTIONS(6696),
    [anon_sym_BSLASHsubfile] = ACTIONS(6696),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6696),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6696),
    [anon_sym_BSLASHbibliography] = ACTIONS(6696),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6696),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6696),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6696),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6696),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6696),
    [anon_sym_BSLASHimport] = ACTIONS(6696),
    [anon_sym_BSLASHsubimport] = ACTIONS(6696),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6696),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHcaption] = ACTIONS(6696),
    [anon_sym_BSLASHcite] = ACTIONS(6696),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCite] = ACTIONS(6696),
    [anon_sym_BSLASHnocite] = ACTIONS(6696),
    [anon_sym_BSLASHcitet] = ACTIONS(6696),
    [anon_sym_BSLASHcitep] = ACTIONS(6696),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteA] = ACTIONS(6696),
    [anon_sym_BSLASHciteR] = ACTIONS(6696),
    [anon_sym_BSLASHciteS] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6696),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteyear] = ACTIONS(6696),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitedate] = ACTIONS(6696),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteurl] = ACTIONS(6696),
    [anon_sym_BSLASHfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6696),
    [anon_sym_BSLASHcitealt] = ACTIONS(6696),
    [anon_sym_BSLASHcitealp] = ACTIONS(6696),
    [anon_sym_BSLASHcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHparencite] = ACTIONS(6696),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHParencite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHtextcite] = ACTIONS(6696),
    [anon_sym_BSLASHTextcite] = ACTIONS(6696),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHsupercite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite] = ACTIONS(6696),
    [anon_sym_BSLASHAutocite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHVolcite] = ACTIONS(6696),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHavolcite] = ACTIONS(6696),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHNotecite] = ACTIONS(6696),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHlabel] = ACTIONS(6696),
    [anon_sym_BSLASHref] = ACTIONS(6696),
    [anon_sym_BSLASHeqref] = ACTIONS(6696),
    [anon_sym_BSLASHvref] = ACTIONS(6696),
    [anon_sym_BSLASHVref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHpageref] = ACTIONS(6696),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHautopageref] = ACTIONS(6696),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcref] = ACTIONS(6696),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCref] = ACTIONS(6696),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHCpageref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnameCref] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6696),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHdef] = ACTIONS(6696),
    [anon_sym_BSLASHgdef] = ACTIONS(6696),
    [anon_sym_BSLASHedef] = ACTIONS(6696),
    [anon_sym_BSLASHxdef] = ACTIONS(6696),
    [anon_sym_BSLASHlet] = ACTIONS(6696),
    [anon_sym_BSLASHglet] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6696),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6696),
    [anon_sym_BSLASHgls] = ACTIONS(6696),
    [anon_sym_BSLASHGls] = ACTIONS(6696),
    [anon_sym_BSLASHGLS] = ACTIONS(6696),
    [anon_sym_BSLASHglspl] = ACTIONS(6696),
    [anon_sym_BSLASHGlspl] = ACTIONS(6696),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6696),
    [anon_sym_BSLASHglslink] = ACTIONS(6696),
    [anon_sym_BSLASHglstext] = ACTIONS(6696),
    [anon_sym_BSLASHGlstext] = ACTIONS(6696),
    [anon_sym_BSLASHGLStext] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6696),
    [anon_sym_BSLASHglsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsname] = ACTIONS(6696),
    [anon_sym_BSLASHGlsname] = ACTIONS(6696),
    [anon_sym_BSLASHGLSname] = ACTIONS(6696),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6696),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6696),
    [anon_sym_BSLASHacrshort] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6696),
    [anon_sym_BSLASHACRshort] = ACTIONS(6696),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrlong] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6696),
    [anon_sym_BSLASHACRlong] = ACTIONS(6696),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrfull] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6696),
    [anon_sym_BSLASHACRfull] = ACTIONS(6696),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHacs] = ACTIONS(6696),
    [anon_sym_BSLASHAcs] = ACTIONS(6696),
    [anon_sym_BSLASHacsp] = ACTIONS(6696),
    [anon_sym_BSLASHAcsp] = ACTIONS(6696),
    [anon_sym_BSLASHacl] = ACTIONS(6696),
    [anon_sym_BSLASHAcl] = ACTIONS(6696),
    [anon_sym_BSLASHaclp] = ACTIONS(6696),
    [anon_sym_BSLASHAclp] = ACTIONS(6696),
    [anon_sym_BSLASHacf] = ACTIONS(6696),
    [anon_sym_BSLASHAcf] = ACTIONS(6696),
    [anon_sym_BSLASHacfp] = ACTIONS(6696),
    [anon_sym_BSLASHAcfp] = ACTIONS(6696),
    [anon_sym_BSLASHac] = ACTIONS(6696),
    [anon_sym_BSLASHAc] = ACTIONS(6696),
    [anon_sym_BSLASHacp] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6696),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6696),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6696),
    [anon_sym_BSLASHcolor] = ACTIONS(6696),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6696),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6696),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6696),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6696),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6696),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6696),
    [anon_sym_BSLASHurl] = ACTIONS(6696),
    [anon_sym_BSLASHhref] = ACTIONS(6696),
  },
  [444] = {
    [sym__part_declaration] = STATE(157),
    [sym_part] = STATE(403),
    [aux_sym__section_repeat1] = STATE(403),
    [sym_command_name] = ACTIONS(6710),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6710),
    [anon_sym_LBRACK] = ACTIONS(6712),
    [anon_sym_RBRACK] = ACTIONS(6712),
    [anon_sym_COMMA] = ACTIONS(6712),
    [anon_sym_EQ] = ACTIONS(6712),
    [anon_sym_LPAREN] = ACTIONS(6712),
    [anon_sym_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHpart] = ACTIONS(183),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHaddpart] = ACTIONS(183),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(185),
    [anon_sym_BSLASHchapter] = ACTIONS(6710),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddchap] = ACTIONS(6710),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsection] = ACTIONS(6710),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddsec] = ACTIONS(6710),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHitem] = ACTIONS(6710),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6712),
    [anon_sym_LBRACE] = ACTIONS(6712),
    [sym_word] = ACTIONS(6710),
    [sym_placeholder] = ACTIONS(6712),
    [sym_delimiter] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(6712),
    [anon_sym_SLASH] = ACTIONS(6712),
    [anon_sym_LT] = ACTIONS(6710),
    [anon_sym_GT] = ACTIONS(6710),
    [anon_sym_BANG] = ACTIONS(6710),
    [anon_sym_PIPE] = ACTIONS(6710),
    [anon_sym_COLON] = ACTIONS(6710),
    [anon_sym_SQUOTE] = ACTIONS(6710),
    [anon_sym__] = ACTIONS(6712),
    [anon_sym_CARET] = ACTIONS(6712),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6712),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6712),
    [anon_sym_DOLLAR] = ACTIONS(6710),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHleft] = ACTIONS(6710),
    [anon_sym_BSLASHbigl] = ACTIONS(6710),
    [anon_sym_BSLASHBigl] = ACTIONS(6710),
    [anon_sym_BSLASHbiggl] = ACTIONS(6710),
    [anon_sym_BSLASHBiggl] = ACTIONS(6710),
    [anon_sym_BSLASHright] = ACTIONS(6710),
    [anon_sym_BSLASHbigr] = ACTIONS(6710),
    [anon_sym_BSLASHBigr] = ACTIONS(6710),
    [anon_sym_BSLASHbiggr] = ACTIONS(6710),
    [anon_sym_BSLASHBiggr] = ACTIONS(6710),
    [anon_sym_BSLASHtext] = ACTIONS(6710),
    [anon_sym_BSLASHintertext] = ACTIONS(6710),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6710),
    [anon_sym_BSLASHbegin] = ACTIONS(6710),
    [anon_sym_BSLASHtitle] = ACTIONS(6710),
    [anon_sym_BSLASHauthor] = ACTIONS(6710),
    [anon_sym_BSLASHusepackage] = ACTIONS(6710),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6710),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6710),
    [anon_sym_BSLASHinclude] = ACTIONS(6710),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6710),
    [anon_sym_BSLASHinput] = ACTIONS(6710),
    [anon_sym_BSLASHsubfile] = ACTIONS(6710),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6710),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6710),
    [anon_sym_BSLASHbibliography] = ACTIONS(6710),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6710),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6710),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6710),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6710),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6710),
    [anon_sym_BSLASHimport] = ACTIONS(6710),
    [anon_sym_BSLASHsubimport] = ACTIONS(6710),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6710),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHcaption] = ACTIONS(6710),
    [anon_sym_BSLASHcite] = ACTIONS(6710),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCite] = ACTIONS(6710),
    [anon_sym_BSLASHnocite] = ACTIONS(6710),
    [anon_sym_BSLASHcitet] = ACTIONS(6710),
    [anon_sym_BSLASHcitep] = ACTIONS(6710),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteA] = ACTIONS(6710),
    [anon_sym_BSLASHciteR] = ACTIONS(6710),
    [anon_sym_BSLASHciteS] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6710),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteyear] = ACTIONS(6710),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitedate] = ACTIONS(6710),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteurl] = ACTIONS(6710),
    [anon_sym_BSLASHfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6710),
    [anon_sym_BSLASHcitealt] = ACTIONS(6710),
    [anon_sym_BSLASHcitealp] = ACTIONS(6710),
    [anon_sym_BSLASHcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHparencite] = ACTIONS(6710),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHParencite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHtextcite] = ACTIONS(6710),
    [anon_sym_BSLASHTextcite] = ACTIONS(6710),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHsupercite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite] = ACTIONS(6710),
    [anon_sym_BSLASHAutocite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHVolcite] = ACTIONS(6710),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHavolcite] = ACTIONS(6710),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHNotecite] = ACTIONS(6710),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHlabel] = ACTIONS(6710),
    [anon_sym_BSLASHref] = ACTIONS(6710),
    [anon_sym_BSLASHeqref] = ACTIONS(6710),
    [anon_sym_BSLASHvref] = ACTIONS(6710),
    [anon_sym_BSLASHVref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHpageref] = ACTIONS(6710),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHautopageref] = ACTIONS(6710),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcref] = ACTIONS(6710),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCref] = ACTIONS(6710),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHCpageref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnameCref] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6710),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHdef] = ACTIONS(6710),
    [anon_sym_BSLASHgdef] = ACTIONS(6710),
    [anon_sym_BSLASHedef] = ACTIONS(6710),
    [anon_sym_BSLASHxdef] = ACTIONS(6710),
    [anon_sym_BSLASHlet] = ACTIONS(6710),
    [anon_sym_BSLASHglet] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6710),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6710),
    [anon_sym_BSLASHgls] = ACTIONS(6710),
    [anon_sym_BSLASHGls] = ACTIONS(6710),
    [anon_sym_BSLASHGLS] = ACTIONS(6710),
    [anon_sym_BSLASHglspl] = ACTIONS(6710),
    [anon_sym_BSLASHGlspl] = ACTIONS(6710),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6710),
    [anon_sym_BSLASHglslink] = ACTIONS(6710),
    [anon_sym_BSLASHglstext] = ACTIONS(6710),
    [anon_sym_BSLASHGlstext] = ACTIONS(6710),
    [anon_sym_BSLASHGLStext] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6710),
    [anon_sym_BSLASHglsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsname] = ACTIONS(6710),
    [anon_sym_BSLASHGlsname] = ACTIONS(6710),
    [anon_sym_BSLASHGLSname] = ACTIONS(6710),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6710),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6710),
    [anon_sym_BSLASHacrshort] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6710),
    [anon_sym_BSLASHACRshort] = ACTIONS(6710),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrlong] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6710),
    [anon_sym_BSLASHACRlong] = ACTIONS(6710),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrfull] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6710),
    [anon_sym_BSLASHACRfull] = ACTIONS(6710),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHacs] = ACTIONS(6710),
    [anon_sym_BSLASHAcs] = ACTIONS(6710),
    [anon_sym_BSLASHacsp] = ACTIONS(6710),
    [anon_sym_BSLASHAcsp] = ACTIONS(6710),
    [anon_sym_BSLASHacl] = ACTIONS(6710),
    [anon_sym_BSLASHAcl] = ACTIONS(6710),
    [anon_sym_BSLASHaclp] = ACTIONS(6710),
    [anon_sym_BSLASHAclp] = ACTIONS(6710),
    [anon_sym_BSLASHacf] = ACTIONS(6710),
    [anon_sym_BSLASHAcf] = ACTIONS(6710),
    [anon_sym_BSLASHacfp] = ACTIONS(6710),
    [anon_sym_BSLASHAcfp] = ACTIONS(6710),
    [anon_sym_BSLASHac] = ACTIONS(6710),
    [anon_sym_BSLASHAc] = ACTIONS(6710),
    [anon_sym_BSLASHacp] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6710),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6710),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6710),
    [anon_sym_BSLASHcolor] = ACTIONS(6710),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6710),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6710),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6710),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6710),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6710),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6710),
    [anon_sym_BSLASHurl] = ACTIONS(6710),
    [anon_sym_BSLASHhref] = ACTIONS(6710),
  },
  [445] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(2620),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [anon_sym_RBRACE] = ACTIONS(6858),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [446] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(2727),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [anon_sym_RBRACE] = ACTIONS(6860),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [447] = {
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(777),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(778),
    [aux_sym__section_repeat4] = STATE(777),
    [aux_sym__section_repeat5] = STATE(778),
    [sym_command_name] = ACTIONS(6535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6535),
    [anon_sym_LBRACK] = ACTIONS(6537),
    [anon_sym_RBRACK] = ACTIONS(6537),
    [anon_sym_COMMA] = ACTIONS(6537),
    [anon_sym_EQ] = ACTIONS(6537),
    [anon_sym_LPAREN] = ACTIONS(6537),
    [anon_sym_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHpart] = ACTIONS(6535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddpart] = ACTIONS(6535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHchapter] = ACTIONS(6535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddchap] = ACTIONS(6535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsection] = ACTIONS(6535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddsec] = ACTIONS(6535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHitem] = ACTIONS(6535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6537),
    [anon_sym_LBRACE] = ACTIONS(6537),
    [sym_word] = ACTIONS(6535),
    [sym_placeholder] = ACTIONS(6537),
    [sym_delimiter] = ACTIONS(6537),
    [anon_sym_PLUS] = ACTIONS(6537),
    [anon_sym_DASH] = ACTIONS(6537),
    [anon_sym_STAR] = ACTIONS(6537),
    [anon_sym_SLASH] = ACTIONS(6537),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_BANG] = ACTIONS(6535),
    [anon_sym_PIPE] = ACTIONS(6535),
    [anon_sym_COLON] = ACTIONS(6535),
    [anon_sym_SQUOTE] = ACTIONS(6535),
    [anon_sym__] = ACTIONS(6537),
    [anon_sym_CARET] = ACTIONS(6537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6537),
    [anon_sym_DOLLAR] = ACTIONS(6535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6537),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHleft] = ACTIONS(6535),
    [anon_sym_BSLASHbigl] = ACTIONS(6535),
    [anon_sym_BSLASHBigl] = ACTIONS(6535),
    [anon_sym_BSLASHbiggl] = ACTIONS(6535),
    [anon_sym_BSLASHBiggl] = ACTIONS(6535),
    [anon_sym_BSLASHtext] = ACTIONS(6535),
    [anon_sym_BSLASHintertext] = ACTIONS(6535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6535),
    [anon_sym_BSLASHbegin] = ACTIONS(6535),
    [anon_sym_BSLASHtitle] = ACTIONS(6535),
    [anon_sym_BSLASHauthor] = ACTIONS(6535),
    [anon_sym_BSLASHusepackage] = ACTIONS(6535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6535),
    [anon_sym_BSLASHinclude] = ACTIONS(6535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6535),
    [anon_sym_BSLASHinput] = ACTIONS(6535),
    [anon_sym_BSLASHsubfile] = ACTIONS(6535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6535),
    [anon_sym_BSLASHbibliography] = ACTIONS(6535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6535),
    [anon_sym_BSLASHimport] = ACTIONS(6535),
    [anon_sym_BSLASHsubimport] = ACTIONS(6535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHcaption] = ACTIONS(6535),
    [anon_sym_BSLASHcite] = ACTIONS(6535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCite] = ACTIONS(6535),
    [anon_sym_BSLASHnocite] = ACTIONS(6535),
    [anon_sym_BSLASHcitet] = ACTIONS(6535),
    [anon_sym_BSLASHcitep] = ACTIONS(6535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteA] = ACTIONS(6535),
    [anon_sym_BSLASHciteR] = ACTIONS(6535),
    [anon_sym_BSLASHciteS] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteyear] = ACTIONS(6535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitedate] = ACTIONS(6535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteurl] = ACTIONS(6535),
    [anon_sym_BSLASHfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6535),
    [anon_sym_BSLASHcitealt] = ACTIONS(6535),
    [anon_sym_BSLASHcitealp] = ACTIONS(6535),
    [anon_sym_BSLASHcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHparencite] = ACTIONS(6535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHParencite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHtextcite] = ACTIONS(6535),
    [anon_sym_BSLASHTextcite] = ACTIONS(6535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHsupercite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite] = ACTIONS(6535),
    [anon_sym_BSLASHAutocite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHVolcite] = ACTIONS(6535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHavolcite] = ACTIONS(6535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHNotecite] = ACTIONS(6535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHlabel] = ACTIONS(6535),
    [anon_sym_BSLASHref] = ACTIONS(6535),
    [anon_sym_BSLASHeqref] = ACTIONS(6535),
    [anon_sym_BSLASHvref] = ACTIONS(6535),
    [anon_sym_BSLASHVref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHpageref] = ACTIONS(6535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHautopageref] = ACTIONS(6535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcref] = ACTIONS(6535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCref] = ACTIONS(6535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHCpageref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnameCref] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHdef] = ACTIONS(6535),
    [anon_sym_BSLASHgdef] = ACTIONS(6535),
    [anon_sym_BSLASHedef] = ACTIONS(6535),
    [anon_sym_BSLASHxdef] = ACTIONS(6535),
    [anon_sym_BSLASHlet] = ACTIONS(6535),
    [anon_sym_BSLASHglet] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6535),
    [anon_sym_BSLASHgls] = ACTIONS(6535),
    [anon_sym_BSLASHGls] = ACTIONS(6535),
    [anon_sym_BSLASHGLS] = ACTIONS(6535),
    [anon_sym_BSLASHglspl] = ACTIONS(6535),
    [anon_sym_BSLASHGlspl] = ACTIONS(6535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6535),
    [anon_sym_BSLASHglslink] = ACTIONS(6535),
    [anon_sym_BSLASHglstext] = ACTIONS(6535),
    [anon_sym_BSLASHGlstext] = ACTIONS(6535),
    [anon_sym_BSLASHGLStext] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6535),
    [anon_sym_BSLASHglsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsname] = ACTIONS(6535),
    [anon_sym_BSLASHGlsname] = ACTIONS(6535),
    [anon_sym_BSLASHGLSname] = ACTIONS(6535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6535),
    [anon_sym_BSLASHacrshort] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6535),
    [anon_sym_BSLASHACRshort] = ACTIONS(6535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrlong] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6535),
    [anon_sym_BSLASHACRlong] = ACTIONS(6535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrfull] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6535),
    [anon_sym_BSLASHACRfull] = ACTIONS(6535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHacs] = ACTIONS(6535),
    [anon_sym_BSLASHAcs] = ACTIONS(6535),
    [anon_sym_BSLASHacsp] = ACTIONS(6535),
    [anon_sym_BSLASHAcsp] = ACTIONS(6535),
    [anon_sym_BSLASHacl] = ACTIONS(6535),
    [anon_sym_BSLASHAcl] = ACTIONS(6535),
    [anon_sym_BSLASHaclp] = ACTIONS(6535),
    [anon_sym_BSLASHAclp] = ACTIONS(6535),
    [anon_sym_BSLASHacf] = ACTIONS(6535),
    [anon_sym_BSLASHAcf] = ACTIONS(6535),
    [anon_sym_BSLASHacfp] = ACTIONS(6535),
    [anon_sym_BSLASHAcfp] = ACTIONS(6535),
    [anon_sym_BSLASHac] = ACTIONS(6535),
    [anon_sym_BSLASHAc] = ACTIONS(6535),
    [anon_sym_BSLASHacp] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6535),
    [anon_sym_BSLASHcolor] = ACTIONS(6535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6535),
    [anon_sym_BSLASHurl] = ACTIONS(6535),
    [anon_sym_BSLASHhref] = ACTIONS(6535),
  },
  [448] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(2720),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [anon_sym_RBRACE] = ACTIONS(6862),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [449] = {
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(940),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(941),
    [aux_sym__section_repeat4] = STATE(940),
    [aux_sym__section_repeat5] = STATE(941),
    [sym_command_name] = ACTIONS(2290),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2290),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_RBRACK] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(2292),
    [anon_sym_EQ] = ACTIONS(2292),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_RPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHpart] = ACTIONS(2290),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddpart] = ACTIONS(2290),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHchapter] = ACTIONS(2290),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddchap] = ACTIONS(2290),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsection] = ACTIONS(2290),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddsec] = ACTIONS(2290),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHitem] = ACTIONS(2290),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2292),
    [anon_sym_LBRACE] = ACTIONS(2292),
    [sym_word] = ACTIONS(2290),
    [sym_placeholder] = ACTIONS(2292),
    [sym_delimiter] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2292),
    [anon_sym_SLASH] = ACTIONS(2292),
    [anon_sym_LT] = ACTIONS(2290),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(2290),
    [anon_sym_PIPE] = ACTIONS(2290),
    [anon_sym_COLON] = ACTIONS(2290),
    [anon_sym_SQUOTE] = ACTIONS(2290),
    [anon_sym__] = ACTIONS(2292),
    [anon_sym_CARET] = ACTIONS(2292),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2292),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2292),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2292),
    [anon_sym_DOLLAR] = ACTIONS(2290),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHleft] = ACTIONS(2290),
    [anon_sym_BSLASHbigl] = ACTIONS(2290),
    [anon_sym_BSLASHBigl] = ACTIONS(2290),
    [anon_sym_BSLASHbiggl] = ACTIONS(2290),
    [anon_sym_BSLASHBiggl] = ACTIONS(2290),
    [anon_sym_BSLASHtext] = ACTIONS(2290),
    [anon_sym_BSLASHintertext] = ACTIONS(2290),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2290),
    [anon_sym_BSLASHbegin] = ACTIONS(2290),
    [anon_sym_BSLASHtitle] = ACTIONS(2290),
    [anon_sym_BSLASHauthor] = ACTIONS(2290),
    [anon_sym_BSLASHusepackage] = ACTIONS(2290),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2290),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2290),
    [anon_sym_BSLASHinclude] = ACTIONS(2290),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2290),
    [anon_sym_BSLASHinput] = ACTIONS(2290),
    [anon_sym_BSLASHsubfile] = ACTIONS(2290),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2290),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2290),
    [anon_sym_BSLASHbibliography] = ACTIONS(2290),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2290),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2290),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2290),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2290),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2290),
    [anon_sym_BSLASHimport] = ACTIONS(2290),
    [anon_sym_BSLASHsubimport] = ACTIONS(2290),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2290),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHcaption] = ACTIONS(2290),
    [anon_sym_BSLASHcite] = ACTIONS(2290),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCite] = ACTIONS(2290),
    [anon_sym_BSLASHnocite] = ACTIONS(2290),
    [anon_sym_BSLASHcitet] = ACTIONS(2290),
    [anon_sym_BSLASHcitep] = ACTIONS(2290),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteA] = ACTIONS(2290),
    [anon_sym_BSLASHciteR] = ACTIONS(2290),
    [anon_sym_BSLASHciteS] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2290),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteyear] = ACTIONS(2290),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitedate] = ACTIONS(2290),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteurl] = ACTIONS(2290),
    [anon_sym_BSLASHfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2290),
    [anon_sym_BSLASHcitealt] = ACTIONS(2290),
    [anon_sym_BSLASHcitealp] = ACTIONS(2290),
    [anon_sym_BSLASHcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHparencite] = ACTIONS(2290),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHParencite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHtextcite] = ACTIONS(2290),
    [anon_sym_BSLASHTextcite] = ACTIONS(2290),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHsupercite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite] = ACTIONS(2290),
    [anon_sym_BSLASHAutocite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHVolcite] = ACTIONS(2290),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHavolcite] = ACTIONS(2290),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHNotecite] = ACTIONS(2290),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHlabel] = ACTIONS(2290),
    [anon_sym_BSLASHref] = ACTIONS(2290),
    [anon_sym_BSLASHeqref] = ACTIONS(2290),
    [anon_sym_BSLASHvref] = ACTIONS(2290),
    [anon_sym_BSLASHVref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHpageref] = ACTIONS(2290),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHautopageref] = ACTIONS(2290),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcref] = ACTIONS(2290),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCref] = ACTIONS(2290),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHCpageref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnameCref] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2290),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHdef] = ACTIONS(2290),
    [anon_sym_BSLASHgdef] = ACTIONS(2290),
    [anon_sym_BSLASHedef] = ACTIONS(2290),
    [anon_sym_BSLASHxdef] = ACTIONS(2290),
    [anon_sym_BSLASHlet] = ACTIONS(2290),
    [anon_sym_BSLASHglet] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2290),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2290),
    [anon_sym_BSLASHgls] = ACTIONS(2290),
    [anon_sym_BSLASHGls] = ACTIONS(2290),
    [anon_sym_BSLASHGLS] = ACTIONS(2290),
    [anon_sym_BSLASHglspl] = ACTIONS(2290),
    [anon_sym_BSLASHGlspl] = ACTIONS(2290),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2290),
    [anon_sym_BSLASHglslink] = ACTIONS(2290),
    [anon_sym_BSLASHglstext] = ACTIONS(2290),
    [anon_sym_BSLASHGlstext] = ACTIONS(2290),
    [anon_sym_BSLASHGLStext] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2290),
    [anon_sym_BSLASHglsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsname] = ACTIONS(2290),
    [anon_sym_BSLASHGlsname] = ACTIONS(2290),
    [anon_sym_BSLASHGLSname] = ACTIONS(2290),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2290),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2290),
    [anon_sym_BSLASHacrshort] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2290),
    [anon_sym_BSLASHACRshort] = ACTIONS(2290),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrlong] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2290),
    [anon_sym_BSLASHACRlong] = ACTIONS(2290),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrfull] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2290),
    [anon_sym_BSLASHACRfull] = ACTIONS(2290),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHacs] = ACTIONS(2290),
    [anon_sym_BSLASHAcs] = ACTIONS(2290),
    [anon_sym_BSLASHacsp] = ACTIONS(2290),
    [anon_sym_BSLASHAcsp] = ACTIONS(2290),
    [anon_sym_BSLASHacl] = ACTIONS(2290),
    [anon_sym_BSLASHAcl] = ACTIONS(2290),
    [anon_sym_BSLASHaclp] = ACTIONS(2290),
    [anon_sym_BSLASHAclp] = ACTIONS(2290),
    [anon_sym_BSLASHacf] = ACTIONS(2290),
    [anon_sym_BSLASHAcf] = ACTIONS(2290),
    [anon_sym_BSLASHacfp] = ACTIONS(2290),
    [anon_sym_BSLASHAcfp] = ACTIONS(2290),
    [anon_sym_BSLASHac] = ACTIONS(2290),
    [anon_sym_BSLASHAc] = ACTIONS(2290),
    [anon_sym_BSLASHacp] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2290),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2290),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2290),
    [anon_sym_BSLASHcolor] = ACTIONS(2290),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2290),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2290),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2290),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2290),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2290),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2290),
    [anon_sym_BSLASHurl] = ACTIONS(2290),
    [anon_sym_BSLASHhref] = ACTIONS(2290),
  },
  [450] = {
    [sym_curly_group] = STATE(636),
    [aux_sym_generic_command_repeat1] = STATE(450),
    [sym_command_name] = ACTIONS(6864),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6864),
    [anon_sym_LBRACK] = ACTIONS(6866),
    [anon_sym_RBRACK] = ACTIONS(6866),
    [anon_sym_COMMA] = ACTIONS(6866),
    [anon_sym_EQ] = ACTIONS(6866),
    [anon_sym_LPAREN] = ACTIONS(6866),
    [anon_sym_RPAREN] = ACTIONS(6866),
    [anon_sym_BSLASHpart] = ACTIONS(6864),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHaddpart] = ACTIONS(6864),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHchapter] = ACTIONS(6864),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHaddchap] = ACTIONS(6864),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHsection] = ACTIONS(6864),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHaddsec] = ACTIONS(6864),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHsubsection] = ACTIONS(6864),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6864),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHparagraph] = ACTIONS(6864),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6864),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHitem] = ACTIONS(6864),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6866),
    [anon_sym_LBRACE] = ACTIONS(6868),
    [sym_word] = ACTIONS(6864),
    [sym_placeholder] = ACTIONS(6866),
    [sym_delimiter] = ACTIONS(6866),
    [anon_sym_PLUS] = ACTIONS(6866),
    [anon_sym_DASH] = ACTIONS(6866),
    [anon_sym_STAR] = ACTIONS(6866),
    [anon_sym_SLASH] = ACTIONS(6866),
    [anon_sym_LT] = ACTIONS(6864),
    [anon_sym_GT] = ACTIONS(6864),
    [anon_sym_BANG] = ACTIONS(6864),
    [anon_sym_PIPE] = ACTIONS(6864),
    [anon_sym_COLON] = ACTIONS(6864),
    [anon_sym_SQUOTE] = ACTIONS(6864),
    [anon_sym__] = ACTIONS(6866),
    [anon_sym_CARET] = ACTIONS(6866),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6866),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6866),
    [anon_sym_DOLLAR] = ACTIONS(6864),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6866),
    [anon_sym_BSLASHleft] = ACTIONS(6864),
    [anon_sym_BSLASHbigl] = ACTIONS(6864),
    [anon_sym_BSLASHBigl] = ACTIONS(6864),
    [anon_sym_BSLASHbiggl] = ACTIONS(6864),
    [anon_sym_BSLASHBiggl] = ACTIONS(6864),
    [anon_sym_BSLASHright] = ACTIONS(6864),
    [anon_sym_BSLASHbigr] = ACTIONS(6864),
    [anon_sym_BSLASHBigr] = ACTIONS(6864),
    [anon_sym_BSLASHbiggr] = ACTIONS(6864),
    [anon_sym_BSLASHBiggr] = ACTIONS(6864),
    [anon_sym_BSLASHtext] = ACTIONS(6864),
    [anon_sym_BSLASHintertext] = ACTIONS(6864),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6864),
    [anon_sym_BSLASHbegin] = ACTIONS(6864),
    [anon_sym_BSLASHtitle] = ACTIONS(6864),
    [anon_sym_BSLASHauthor] = ACTIONS(6864),
    [anon_sym_BSLASHusepackage] = ACTIONS(6864),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6864),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6864),
    [anon_sym_BSLASHinclude] = ACTIONS(6864),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6864),
    [anon_sym_BSLASHinput] = ACTIONS(6864),
    [anon_sym_BSLASHsubfile] = ACTIONS(6864),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6864),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6864),
    [anon_sym_BSLASHbibliography] = ACTIONS(6864),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6864),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6864),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6864),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6864),
    [anon_sym_BSLASHimport] = ACTIONS(6864),
    [anon_sym_BSLASHsubimport] = ACTIONS(6864),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6864),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6864),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6864),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6864),
    [anon_sym_BSLASHcaption] = ACTIONS(6864),
    [anon_sym_BSLASHcite] = ACTIONS(6864),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCite] = ACTIONS(6864),
    [anon_sym_BSLASHnocite] = ACTIONS(6864),
    [anon_sym_BSLASHcitet] = ACTIONS(6864),
    [anon_sym_BSLASHcitep] = ACTIONS(6864),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteA] = ACTIONS(6864),
    [anon_sym_BSLASHciteR] = ACTIONS(6864),
    [anon_sym_BSLASHciteS] = ACTIONS(6864),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6864),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6864),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6864),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6864),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteyear] = ACTIONS(6864),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitedate] = ACTIONS(6864),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteurl] = ACTIONS(6864),
    [anon_sym_BSLASHfullcite] = ACTIONS(6864),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6864),
    [anon_sym_BSLASHcitealt] = ACTIONS(6864),
    [anon_sym_BSLASHcitealp] = ACTIONS(6864),
    [anon_sym_BSLASHcitetext] = ACTIONS(6864),
    [anon_sym_BSLASHparencite] = ACTIONS(6864),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHParencite] = ACTIONS(6864),
    [anon_sym_BSLASHfootcite] = ACTIONS(6864),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6864),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6864),
    [anon_sym_BSLASHtextcite] = ACTIONS(6864),
    [anon_sym_BSLASHTextcite] = ACTIONS(6864),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6864),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6864),
    [anon_sym_BSLASHsupercite] = ACTIONS(6864),
    [anon_sym_BSLASHautocite] = ACTIONS(6864),
    [anon_sym_BSLASHAutocite] = ACTIONS(6864),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHVolcite] = ACTIONS(6864),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHavolcite] = ACTIONS(6864),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHNotecite] = ACTIONS(6864),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHlabel] = ACTIONS(6864),
    [anon_sym_BSLASHref] = ACTIONS(6864),
    [anon_sym_BSLASHeqref] = ACTIONS(6864),
    [anon_sym_BSLASHvref] = ACTIONS(6864),
    [anon_sym_BSLASHVref] = ACTIONS(6864),
    [anon_sym_BSLASHautoref] = ACTIONS(6864),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHpageref] = ACTIONS(6864),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHautopageref] = ACTIONS(6864),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcref] = ACTIONS(6864),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCref] = ACTIONS(6864),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcpageref] = ACTIONS(6864),
    [anon_sym_BSLASHCpageref] = ACTIONS(6864),
    [anon_sym_BSLASHnamecref] = ACTIONS(6864),
    [anon_sym_BSLASHnameCref] = ACTIONS(6864),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6864),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6864),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6864),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6864),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6864),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6864),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6864),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6864),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6864),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6864),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6864),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHdef] = ACTIONS(6864),
    [anon_sym_BSLASHgdef] = ACTIONS(6864),
    [anon_sym_BSLASHedef] = ACTIONS(6864),
    [anon_sym_BSLASHxdef] = ACTIONS(6864),
    [anon_sym_BSLASHlet] = ACTIONS(6864),
    [anon_sym_BSLASHglet] = ACTIONS(6864),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6864),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6864),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6864),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6864),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6864),
    [anon_sym_BSLASHgls] = ACTIONS(6864),
    [anon_sym_BSLASHGls] = ACTIONS(6864),
    [anon_sym_BSLASHGLS] = ACTIONS(6864),
    [anon_sym_BSLASHglspl] = ACTIONS(6864),
    [anon_sym_BSLASHGlspl] = ACTIONS(6864),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6864),
    [anon_sym_BSLASHglslink] = ACTIONS(6864),
    [anon_sym_BSLASHglstext] = ACTIONS(6864),
    [anon_sym_BSLASHGlstext] = ACTIONS(6864),
    [anon_sym_BSLASHGLStext] = ACTIONS(6864),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6864),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6864),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6864),
    [anon_sym_BSLASHglsplural] = ACTIONS(6864),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6864),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6864),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHglsname] = ACTIONS(6864),
    [anon_sym_BSLASHGlsname] = ACTIONS(6864),
    [anon_sym_BSLASHGLSname] = ACTIONS(6864),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6864),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6864),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6864),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6864),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6864),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6864),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6864),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6864),
    [anon_sym_BSLASHacrshort] = ACTIONS(6864),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6864),
    [anon_sym_BSLASHACRshort] = ACTIONS(6864),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHacrlong] = ACTIONS(6864),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6864),
    [anon_sym_BSLASHACRlong] = ACTIONS(6864),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHacrfull] = ACTIONS(6864),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6864),
    [anon_sym_BSLASHACRfull] = ACTIONS(6864),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHacs] = ACTIONS(6864),
    [anon_sym_BSLASHAcs] = ACTIONS(6864),
    [anon_sym_BSLASHacsp] = ACTIONS(6864),
    [anon_sym_BSLASHAcsp] = ACTIONS(6864),
    [anon_sym_BSLASHacl] = ACTIONS(6864),
    [anon_sym_BSLASHAcl] = ACTIONS(6864),
    [anon_sym_BSLASHaclp] = ACTIONS(6864),
    [anon_sym_BSLASHAclp] = ACTIONS(6864),
    [anon_sym_BSLASHacf] = ACTIONS(6864),
    [anon_sym_BSLASHAcf] = ACTIONS(6864),
    [anon_sym_BSLASHacfp] = ACTIONS(6864),
    [anon_sym_BSLASHAcfp] = ACTIONS(6864),
    [anon_sym_BSLASHac] = ACTIONS(6864),
    [anon_sym_BSLASHAc] = ACTIONS(6864),
    [anon_sym_BSLASHacp] = ACTIONS(6864),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6864),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6864),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6864),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6864),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6864),
    [anon_sym_BSLASHcolor] = ACTIONS(6864),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6864),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6864),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6864),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6864),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6864),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6864),
    [anon_sym_BSLASHurl] = ACTIONS(6864),
    [anon_sym_BSLASHhref] = ACTIONS(6864),
  },
  [451] = {
    [sym_command_name] = ACTIONS(6871),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6871),
    [anon_sym_BSLASHfi] = ACTIONS(6873),
    [anon_sym_LBRACK] = ACTIONS(6875),
    [anon_sym_RBRACK] = ACTIONS(6875),
    [anon_sym_COMMA] = ACTIONS(6875),
    [anon_sym_EQ] = ACTIONS(6875),
    [anon_sym_LPAREN] = ACTIONS(6875),
    [anon_sym_RPAREN] = ACTIONS(6875),
    [anon_sym_BSLASHpart] = ACTIONS(6871),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHaddpart] = ACTIONS(6871),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHchapter] = ACTIONS(6871),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHaddchap] = ACTIONS(6871),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHsection] = ACTIONS(6871),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHaddsec] = ACTIONS(6871),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHsubsection] = ACTIONS(6871),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6871),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHparagraph] = ACTIONS(6871),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6871),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHitem] = ACTIONS(6871),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6875),
    [anon_sym_LBRACE] = ACTIONS(6875),
    [sym_word] = ACTIONS(6871),
    [sym_placeholder] = ACTIONS(6875),
    [sym_delimiter] = ACTIONS(6875),
    [anon_sym_PLUS] = ACTIONS(6875),
    [anon_sym_DASH] = ACTIONS(6875),
    [anon_sym_STAR] = ACTIONS(6875),
    [anon_sym_SLASH] = ACTIONS(6875),
    [anon_sym_LT] = ACTIONS(6871),
    [anon_sym_GT] = ACTIONS(6871),
    [anon_sym_BANG] = ACTIONS(6871),
    [anon_sym_PIPE] = ACTIONS(6871),
    [anon_sym_COLON] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6871),
    [anon_sym__] = ACTIONS(6875),
    [anon_sym_CARET] = ACTIONS(6875),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6875),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6875),
    [anon_sym_DOLLAR] = ACTIONS(6871),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6875),
    [anon_sym_BSLASHleft] = ACTIONS(6871),
    [anon_sym_BSLASHbigl] = ACTIONS(6871),
    [anon_sym_BSLASHBigl] = ACTIONS(6871),
    [anon_sym_BSLASHbiggl] = ACTIONS(6871),
    [anon_sym_BSLASHBiggl] = ACTIONS(6871),
    [anon_sym_BSLASHright] = ACTIONS(6871),
    [anon_sym_BSLASHbigr] = ACTIONS(6871),
    [anon_sym_BSLASHBigr] = ACTIONS(6871),
    [anon_sym_BSLASHbiggr] = ACTIONS(6871),
    [anon_sym_BSLASHBiggr] = ACTIONS(6871),
    [anon_sym_BSLASHtext] = ACTIONS(6871),
    [anon_sym_BSLASHintertext] = ACTIONS(6871),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6871),
    [anon_sym_BSLASHbegin] = ACTIONS(6871),
    [anon_sym_BSLASHtitle] = ACTIONS(6871),
    [anon_sym_BSLASHauthor] = ACTIONS(6871),
    [anon_sym_BSLASHusepackage] = ACTIONS(6871),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6871),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6871),
    [anon_sym_BSLASHinclude] = ACTIONS(6871),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6871),
    [anon_sym_BSLASHinput] = ACTIONS(6871),
    [anon_sym_BSLASHsubfile] = ACTIONS(6871),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6871),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6871),
    [anon_sym_BSLASHbibliography] = ACTIONS(6871),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6871),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6871),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6871),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6871),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6871),
    [anon_sym_BSLASHimport] = ACTIONS(6871),
    [anon_sym_BSLASHsubimport] = ACTIONS(6871),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6871),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6871),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6871),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6871),
    [anon_sym_BSLASHcaption] = ACTIONS(6871),
    [anon_sym_BSLASHcite] = ACTIONS(6871),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCite] = ACTIONS(6871),
    [anon_sym_BSLASHnocite] = ACTIONS(6871),
    [anon_sym_BSLASHcitet] = ACTIONS(6871),
    [anon_sym_BSLASHcitep] = ACTIONS(6871),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteA] = ACTIONS(6871),
    [anon_sym_BSLASHciteR] = ACTIONS(6871),
    [anon_sym_BSLASHciteS] = ACTIONS(6871),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6871),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6871),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6871),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6871),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteyear] = ACTIONS(6871),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitedate] = ACTIONS(6871),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteurl] = ACTIONS(6871),
    [anon_sym_BSLASHfullcite] = ACTIONS(6871),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6871),
    [anon_sym_BSLASHcitealt] = ACTIONS(6871),
    [anon_sym_BSLASHcitealp] = ACTIONS(6871),
    [anon_sym_BSLASHcitetext] = ACTIONS(6871),
    [anon_sym_BSLASHparencite] = ACTIONS(6871),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHParencite] = ACTIONS(6871),
    [anon_sym_BSLASHfootcite] = ACTIONS(6871),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6871),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6871),
    [anon_sym_BSLASHtextcite] = ACTIONS(6871),
    [anon_sym_BSLASHTextcite] = ACTIONS(6871),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6871),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6871),
    [anon_sym_BSLASHsupercite] = ACTIONS(6871),
    [anon_sym_BSLASHautocite] = ACTIONS(6871),
    [anon_sym_BSLASHAutocite] = ACTIONS(6871),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHVolcite] = ACTIONS(6871),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHavolcite] = ACTIONS(6871),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHNotecite] = ACTIONS(6871),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHlabel] = ACTIONS(6871),
    [anon_sym_BSLASHref] = ACTIONS(6871),
    [anon_sym_BSLASHeqref] = ACTIONS(6871),
    [anon_sym_BSLASHvref] = ACTIONS(6871),
    [anon_sym_BSLASHVref] = ACTIONS(6871),
    [anon_sym_BSLASHautoref] = ACTIONS(6871),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHpageref] = ACTIONS(6871),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHautopageref] = ACTIONS(6871),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcref] = ACTIONS(6871),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCref] = ACTIONS(6871),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcpageref] = ACTIONS(6871),
    [anon_sym_BSLASHCpageref] = ACTIONS(6871),
    [anon_sym_BSLASHnamecref] = ACTIONS(6871),
    [anon_sym_BSLASHnameCref] = ACTIONS(6871),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6871),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6871),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6871),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6871),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6871),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6871),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6871),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6871),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6871),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6871),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6871),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHdef] = ACTIONS(6871),
    [anon_sym_BSLASHgdef] = ACTIONS(6871),
    [anon_sym_BSLASHedef] = ACTIONS(6871),
    [anon_sym_BSLASHxdef] = ACTIONS(6871),
    [anon_sym_BSLASHlet] = ACTIONS(6871),
    [anon_sym_BSLASHglet] = ACTIONS(6871),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6871),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6871),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6871),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6871),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6871),
    [anon_sym_BSLASHgls] = ACTIONS(6871),
    [anon_sym_BSLASHGls] = ACTIONS(6871),
    [anon_sym_BSLASHGLS] = ACTIONS(6871),
    [anon_sym_BSLASHglspl] = ACTIONS(6871),
    [anon_sym_BSLASHGlspl] = ACTIONS(6871),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6871),
    [anon_sym_BSLASHglslink] = ACTIONS(6871),
    [anon_sym_BSLASHglstext] = ACTIONS(6871),
    [anon_sym_BSLASHGlstext] = ACTIONS(6871),
    [anon_sym_BSLASHGLStext] = ACTIONS(6871),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6871),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6871),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6871),
    [anon_sym_BSLASHglsplural] = ACTIONS(6871),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6871),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6871),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHglsname] = ACTIONS(6871),
    [anon_sym_BSLASHGlsname] = ACTIONS(6871),
    [anon_sym_BSLASHGLSname] = ACTIONS(6871),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6871),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6871),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6871),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6871),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6871),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6871),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6871),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6871),
    [anon_sym_BSLASHacrshort] = ACTIONS(6871),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6871),
    [anon_sym_BSLASHACRshort] = ACTIONS(6871),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHacrlong] = ACTIONS(6871),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6871),
    [anon_sym_BSLASHACRlong] = ACTIONS(6871),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHacrfull] = ACTIONS(6871),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6871),
    [anon_sym_BSLASHACRfull] = ACTIONS(6871),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHacs] = ACTIONS(6871),
    [anon_sym_BSLASHAcs] = ACTIONS(6871),
    [anon_sym_BSLASHacsp] = ACTIONS(6871),
    [anon_sym_BSLASHAcsp] = ACTIONS(6871),
    [anon_sym_BSLASHacl] = ACTIONS(6871),
    [anon_sym_BSLASHAcl] = ACTIONS(6871),
    [anon_sym_BSLASHaclp] = ACTIONS(6871),
    [anon_sym_BSLASHAclp] = ACTIONS(6871),
    [anon_sym_BSLASHacf] = ACTIONS(6871),
    [anon_sym_BSLASHAcf] = ACTIONS(6871),
    [anon_sym_BSLASHacfp] = ACTIONS(6871),
    [anon_sym_BSLASHAcfp] = ACTIONS(6871),
    [anon_sym_BSLASHac] = ACTIONS(6871),
    [anon_sym_BSLASHAc] = ACTIONS(6871),
    [anon_sym_BSLASHacp] = ACTIONS(6871),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6871),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6871),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6871),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6871),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6871),
    [anon_sym_BSLASHcolor] = ACTIONS(6871),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6871),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6871),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6871),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6871),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6871),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6871),
    [anon_sym_BSLASHurl] = ACTIONS(6871),
    [anon_sym_BSLASHhref] = ACTIONS(6871),
    [sym__trivia_raw_fi] = ACTIONS(6877),
  },
  [452] = {
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(803),
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(862),
    [aux_sym__section_repeat4] = STATE(803),
    [aux_sym__section_repeat5] = STATE(862),
    [sym_command_name] = ACTIONS(6535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6535),
    [anon_sym_LBRACK] = ACTIONS(6537),
    [anon_sym_RBRACK] = ACTIONS(6537),
    [anon_sym_COMMA] = ACTIONS(6537),
    [anon_sym_EQ] = ACTIONS(6537),
    [anon_sym_LPAREN] = ACTIONS(6537),
    [anon_sym_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHpart] = ACTIONS(6535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddpart] = ACTIONS(6535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHchapter] = ACTIONS(6535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddchap] = ACTIONS(6535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsection] = ACTIONS(6535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddsec] = ACTIONS(6535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHitem] = ACTIONS(6535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6537),
    [anon_sym_LBRACE] = ACTIONS(6537),
    [sym_word] = ACTIONS(6535),
    [sym_placeholder] = ACTIONS(6537),
    [sym_delimiter] = ACTIONS(6537),
    [anon_sym_PLUS] = ACTIONS(6537),
    [anon_sym_DASH] = ACTIONS(6537),
    [anon_sym_STAR] = ACTIONS(6537),
    [anon_sym_SLASH] = ACTIONS(6537),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_BANG] = ACTIONS(6535),
    [anon_sym_PIPE] = ACTIONS(6535),
    [anon_sym_COLON] = ACTIONS(6535),
    [anon_sym_SQUOTE] = ACTIONS(6535),
    [anon_sym__] = ACTIONS(6537),
    [anon_sym_CARET] = ACTIONS(6537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6537),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6537),
    [anon_sym_DOLLAR] = ACTIONS(6535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHleft] = ACTIONS(6535),
    [anon_sym_BSLASHbigl] = ACTIONS(6535),
    [anon_sym_BSLASHBigl] = ACTIONS(6535),
    [anon_sym_BSLASHbiggl] = ACTIONS(6535),
    [anon_sym_BSLASHBiggl] = ACTIONS(6535),
    [anon_sym_BSLASHtext] = ACTIONS(6535),
    [anon_sym_BSLASHintertext] = ACTIONS(6535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6535),
    [anon_sym_BSLASHbegin] = ACTIONS(6535),
    [anon_sym_BSLASHtitle] = ACTIONS(6535),
    [anon_sym_BSLASHauthor] = ACTIONS(6535),
    [anon_sym_BSLASHusepackage] = ACTIONS(6535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6535),
    [anon_sym_BSLASHinclude] = ACTIONS(6535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6535),
    [anon_sym_BSLASHinput] = ACTIONS(6535),
    [anon_sym_BSLASHsubfile] = ACTIONS(6535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6535),
    [anon_sym_BSLASHbibliography] = ACTIONS(6535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6535),
    [anon_sym_BSLASHimport] = ACTIONS(6535),
    [anon_sym_BSLASHsubimport] = ACTIONS(6535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHcaption] = ACTIONS(6535),
    [anon_sym_BSLASHcite] = ACTIONS(6535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCite] = ACTIONS(6535),
    [anon_sym_BSLASHnocite] = ACTIONS(6535),
    [anon_sym_BSLASHcitet] = ACTIONS(6535),
    [anon_sym_BSLASHcitep] = ACTIONS(6535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteA] = ACTIONS(6535),
    [anon_sym_BSLASHciteR] = ACTIONS(6535),
    [anon_sym_BSLASHciteS] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteyear] = ACTIONS(6535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitedate] = ACTIONS(6535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteurl] = ACTIONS(6535),
    [anon_sym_BSLASHfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6535),
    [anon_sym_BSLASHcitealt] = ACTIONS(6535),
    [anon_sym_BSLASHcitealp] = ACTIONS(6535),
    [anon_sym_BSLASHcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHparencite] = ACTIONS(6535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHParencite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHtextcite] = ACTIONS(6535),
    [anon_sym_BSLASHTextcite] = ACTIONS(6535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHsupercite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite] = ACTIONS(6535),
    [anon_sym_BSLASHAutocite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHVolcite] = ACTIONS(6535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHavolcite] = ACTIONS(6535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHNotecite] = ACTIONS(6535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHlabel] = ACTIONS(6535),
    [anon_sym_BSLASHref] = ACTIONS(6535),
    [anon_sym_BSLASHeqref] = ACTIONS(6535),
    [anon_sym_BSLASHvref] = ACTIONS(6535),
    [anon_sym_BSLASHVref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHpageref] = ACTIONS(6535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHautopageref] = ACTIONS(6535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcref] = ACTIONS(6535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCref] = ACTIONS(6535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHCpageref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnameCref] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHdef] = ACTIONS(6535),
    [anon_sym_BSLASHgdef] = ACTIONS(6535),
    [anon_sym_BSLASHedef] = ACTIONS(6535),
    [anon_sym_BSLASHxdef] = ACTIONS(6535),
    [anon_sym_BSLASHlet] = ACTIONS(6535),
    [anon_sym_BSLASHglet] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6535),
    [anon_sym_BSLASHgls] = ACTIONS(6535),
    [anon_sym_BSLASHGls] = ACTIONS(6535),
    [anon_sym_BSLASHGLS] = ACTIONS(6535),
    [anon_sym_BSLASHglspl] = ACTIONS(6535),
    [anon_sym_BSLASHGlspl] = ACTIONS(6535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6535),
    [anon_sym_BSLASHglslink] = ACTIONS(6535),
    [anon_sym_BSLASHglstext] = ACTIONS(6535),
    [anon_sym_BSLASHGlstext] = ACTIONS(6535),
    [anon_sym_BSLASHGLStext] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6535),
    [anon_sym_BSLASHglsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsname] = ACTIONS(6535),
    [anon_sym_BSLASHGlsname] = ACTIONS(6535),
    [anon_sym_BSLASHGLSname] = ACTIONS(6535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6535),
    [anon_sym_BSLASHacrshort] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6535),
    [anon_sym_BSLASHACRshort] = ACTIONS(6535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrlong] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6535),
    [anon_sym_BSLASHACRlong] = ACTIONS(6535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrfull] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6535),
    [anon_sym_BSLASHACRfull] = ACTIONS(6535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHacs] = ACTIONS(6535),
    [anon_sym_BSLASHAcs] = ACTIONS(6535),
    [anon_sym_BSLASHacsp] = ACTIONS(6535),
    [anon_sym_BSLASHAcsp] = ACTIONS(6535),
    [anon_sym_BSLASHacl] = ACTIONS(6535),
    [anon_sym_BSLASHAcl] = ACTIONS(6535),
    [anon_sym_BSLASHaclp] = ACTIONS(6535),
    [anon_sym_BSLASHAclp] = ACTIONS(6535),
    [anon_sym_BSLASHacf] = ACTIONS(6535),
    [anon_sym_BSLASHAcf] = ACTIONS(6535),
    [anon_sym_BSLASHacfp] = ACTIONS(6535),
    [anon_sym_BSLASHAcfp] = ACTIONS(6535),
    [anon_sym_BSLASHac] = ACTIONS(6535),
    [anon_sym_BSLASHAc] = ACTIONS(6535),
    [anon_sym_BSLASHacp] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6535),
    [anon_sym_BSLASHcolor] = ACTIONS(6535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6535),
    [anon_sym_BSLASHurl] = ACTIONS(6535),
    [anon_sym_BSLASHhref] = ACTIONS(6535),
  },
  [453] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(2703),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [anon_sym_RBRACE] = ACTIONS(6879),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [454] = {
    [sym_curly_group] = STATE(479),
    [sym_brack_group_text] = STATE(3171),
    [sym_command_name] = ACTIONS(6881),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6881),
    [anon_sym_LBRACK] = ACTIONS(6883),
    [anon_sym_RBRACK] = ACTIONS(6885),
    [anon_sym_COMMA] = ACTIONS(6885),
    [anon_sym_EQ] = ACTIONS(6885),
    [anon_sym_LPAREN] = ACTIONS(6885),
    [anon_sym_RPAREN] = ACTIONS(6885),
    [anon_sym_BSLASHpart] = ACTIONS(6881),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHaddpart] = ACTIONS(6881),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHchapter] = ACTIONS(6881),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHaddchap] = ACTIONS(6881),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHsection] = ACTIONS(6881),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHaddsec] = ACTIONS(6881),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHsubsection] = ACTIONS(6881),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6881),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHparagraph] = ACTIONS(6881),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6881),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHitem] = ACTIONS(6881),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6885),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(6881),
    [sym_placeholder] = ACTIONS(6885),
    [sym_delimiter] = ACTIONS(6885),
    [anon_sym_PLUS] = ACTIONS(6885),
    [anon_sym_DASH] = ACTIONS(6885),
    [anon_sym_STAR] = ACTIONS(6885),
    [anon_sym_SLASH] = ACTIONS(6885),
    [anon_sym_LT] = ACTIONS(6881),
    [anon_sym_GT] = ACTIONS(6881),
    [anon_sym_BANG] = ACTIONS(6881),
    [anon_sym_PIPE] = ACTIONS(6881),
    [anon_sym_COLON] = ACTIONS(6881),
    [anon_sym_SQUOTE] = ACTIONS(6881),
    [anon_sym__] = ACTIONS(6885),
    [anon_sym_CARET] = ACTIONS(6885),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6885),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6885),
    [anon_sym_DOLLAR] = ACTIONS(6881),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6885),
    [anon_sym_BSLASHleft] = ACTIONS(6881),
    [anon_sym_BSLASHbigl] = ACTIONS(6881),
    [anon_sym_BSLASHBigl] = ACTIONS(6881),
    [anon_sym_BSLASHbiggl] = ACTIONS(6881),
    [anon_sym_BSLASHBiggl] = ACTIONS(6881),
    [anon_sym_BSLASHright] = ACTIONS(6881),
    [anon_sym_BSLASHbigr] = ACTIONS(6881),
    [anon_sym_BSLASHBigr] = ACTIONS(6881),
    [anon_sym_BSLASHbiggr] = ACTIONS(6881),
    [anon_sym_BSLASHBiggr] = ACTIONS(6881),
    [anon_sym_BSLASHtext] = ACTIONS(6881),
    [anon_sym_BSLASHintertext] = ACTIONS(6881),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6881),
    [anon_sym_BSLASHbegin] = ACTIONS(6881),
    [anon_sym_BSLASHtitle] = ACTIONS(6881),
    [anon_sym_BSLASHauthor] = ACTIONS(6881),
    [anon_sym_BSLASHusepackage] = ACTIONS(6881),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6881),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6881),
    [anon_sym_BSLASHinclude] = ACTIONS(6881),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6881),
    [anon_sym_BSLASHinput] = ACTIONS(6881),
    [anon_sym_BSLASHsubfile] = ACTIONS(6881),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6881),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6881),
    [anon_sym_BSLASHbibliography] = ACTIONS(6881),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6881),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6881),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6881),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6881),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6881),
    [anon_sym_BSLASHimport] = ACTIONS(6881),
    [anon_sym_BSLASHsubimport] = ACTIONS(6881),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6881),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6881),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6881),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6881),
    [anon_sym_BSLASHcaption] = ACTIONS(6881),
    [anon_sym_BSLASHcite] = ACTIONS(6881),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCite] = ACTIONS(6881),
    [anon_sym_BSLASHnocite] = ACTIONS(6881),
    [anon_sym_BSLASHcitet] = ACTIONS(6881),
    [anon_sym_BSLASHcitep] = ACTIONS(6881),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteA] = ACTIONS(6881),
    [anon_sym_BSLASHciteR] = ACTIONS(6881),
    [anon_sym_BSLASHciteS] = ACTIONS(6881),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6881),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6881),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6881),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6881),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteyear] = ACTIONS(6881),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitedate] = ACTIONS(6881),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteurl] = ACTIONS(6881),
    [anon_sym_BSLASHfullcite] = ACTIONS(6881),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6881),
    [anon_sym_BSLASHcitealt] = ACTIONS(6881),
    [anon_sym_BSLASHcitealp] = ACTIONS(6881),
    [anon_sym_BSLASHcitetext] = ACTIONS(6881),
    [anon_sym_BSLASHparencite] = ACTIONS(6881),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHParencite] = ACTIONS(6881),
    [anon_sym_BSLASHfootcite] = ACTIONS(6881),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6881),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6881),
    [anon_sym_BSLASHtextcite] = ACTIONS(6881),
    [anon_sym_BSLASHTextcite] = ACTIONS(6881),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6881),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6881),
    [anon_sym_BSLASHsupercite] = ACTIONS(6881),
    [anon_sym_BSLASHautocite] = ACTIONS(6881),
    [anon_sym_BSLASHAutocite] = ACTIONS(6881),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHVolcite] = ACTIONS(6881),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHavolcite] = ACTIONS(6881),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHNotecite] = ACTIONS(6881),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHlabel] = ACTIONS(6881),
    [anon_sym_BSLASHref] = ACTIONS(6881),
    [anon_sym_BSLASHeqref] = ACTIONS(6881),
    [anon_sym_BSLASHvref] = ACTIONS(6881),
    [anon_sym_BSLASHVref] = ACTIONS(6881),
    [anon_sym_BSLASHautoref] = ACTIONS(6881),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHpageref] = ACTIONS(6881),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHautopageref] = ACTIONS(6881),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcref] = ACTIONS(6881),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCref] = ACTIONS(6881),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcpageref] = ACTIONS(6881),
    [anon_sym_BSLASHCpageref] = ACTIONS(6881),
    [anon_sym_BSLASHnamecref] = ACTIONS(6881),
    [anon_sym_BSLASHnameCref] = ACTIONS(6881),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6881),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6881),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6881),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6881),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6881),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6881),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6881),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6881),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6881),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6881),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6881),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHdef] = ACTIONS(6881),
    [anon_sym_BSLASHgdef] = ACTIONS(6881),
    [anon_sym_BSLASHedef] = ACTIONS(6881),
    [anon_sym_BSLASHxdef] = ACTIONS(6881),
    [anon_sym_BSLASHlet] = ACTIONS(6881),
    [anon_sym_BSLASHglet] = ACTIONS(6881),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6881),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6881),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6881),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6881),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6881),
    [anon_sym_BSLASHgls] = ACTIONS(6881),
    [anon_sym_BSLASHGls] = ACTIONS(6881),
    [anon_sym_BSLASHGLS] = ACTIONS(6881),
    [anon_sym_BSLASHglspl] = ACTIONS(6881),
    [anon_sym_BSLASHGlspl] = ACTIONS(6881),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6881),
    [anon_sym_BSLASHglslink] = ACTIONS(6881),
    [anon_sym_BSLASHglstext] = ACTIONS(6881),
    [anon_sym_BSLASHGlstext] = ACTIONS(6881),
    [anon_sym_BSLASHGLStext] = ACTIONS(6881),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6881),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6881),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6881),
    [anon_sym_BSLASHglsplural] = ACTIONS(6881),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6881),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6881),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHglsname] = ACTIONS(6881),
    [anon_sym_BSLASHGlsname] = ACTIONS(6881),
    [anon_sym_BSLASHGLSname] = ACTIONS(6881),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6881),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6881),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6881),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6881),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6881),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6881),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6881),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6881),
    [anon_sym_BSLASHacrshort] = ACTIONS(6881),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6881),
    [anon_sym_BSLASHACRshort] = ACTIONS(6881),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHacrlong] = ACTIONS(6881),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6881),
    [anon_sym_BSLASHACRlong] = ACTIONS(6881),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHacrfull] = ACTIONS(6881),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6881),
    [anon_sym_BSLASHACRfull] = ACTIONS(6881),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHacs] = ACTIONS(6881),
    [anon_sym_BSLASHAcs] = ACTIONS(6881),
    [anon_sym_BSLASHacsp] = ACTIONS(6881),
    [anon_sym_BSLASHAcsp] = ACTIONS(6881),
    [anon_sym_BSLASHacl] = ACTIONS(6881),
    [anon_sym_BSLASHAcl] = ACTIONS(6881),
    [anon_sym_BSLASHaclp] = ACTIONS(6881),
    [anon_sym_BSLASHAclp] = ACTIONS(6881),
    [anon_sym_BSLASHacf] = ACTIONS(6881),
    [anon_sym_BSLASHAcf] = ACTIONS(6881),
    [anon_sym_BSLASHacfp] = ACTIONS(6881),
    [anon_sym_BSLASHAcfp] = ACTIONS(6881),
    [anon_sym_BSLASHac] = ACTIONS(6881),
    [anon_sym_BSLASHAc] = ACTIONS(6881),
    [anon_sym_BSLASHacp] = ACTIONS(6881),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6881),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6881),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6881),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6881),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6881),
    [anon_sym_BSLASHcolor] = ACTIONS(6881),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6881),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6881),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6881),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6881),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6881),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6881),
    [anon_sym_BSLASHurl] = ACTIONS(6881),
    [anon_sym_BSLASHhref] = ACTIONS(6881),
  },
  [455] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(2664),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym_key_value_pair] = STATE(2623),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [456] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(2626),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [anon_sym_RBRACE] = ACTIONS(6887),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [457] = {
    [sym_curly_group] = STATE(636),
    [aux_sym_generic_command_repeat1] = STATE(466),
    [sym_command_name] = ACTIONS(6889),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6889),
    [anon_sym_LBRACK] = ACTIONS(6891),
    [anon_sym_RBRACK] = ACTIONS(6891),
    [anon_sym_COMMA] = ACTIONS(6891),
    [anon_sym_EQ] = ACTIONS(6891),
    [anon_sym_LPAREN] = ACTIONS(6891),
    [anon_sym_RPAREN] = ACTIONS(6891),
    [anon_sym_BSLASHpart] = ACTIONS(6889),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHaddpart] = ACTIONS(6889),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHchapter] = ACTIONS(6889),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHaddchap] = ACTIONS(6889),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHsection] = ACTIONS(6889),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHaddsec] = ACTIONS(6889),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHsubsection] = ACTIONS(6889),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6889),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHparagraph] = ACTIONS(6889),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6889),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHitem] = ACTIONS(6889),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6891),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(6889),
    [sym_placeholder] = ACTIONS(6891),
    [sym_delimiter] = ACTIONS(6891),
    [anon_sym_PLUS] = ACTIONS(6891),
    [anon_sym_DASH] = ACTIONS(6891),
    [anon_sym_STAR] = ACTIONS(6891),
    [anon_sym_SLASH] = ACTIONS(6891),
    [anon_sym_LT] = ACTIONS(6889),
    [anon_sym_GT] = ACTIONS(6889),
    [anon_sym_BANG] = ACTIONS(6889),
    [anon_sym_PIPE] = ACTIONS(6889),
    [anon_sym_COLON] = ACTIONS(6889),
    [anon_sym_SQUOTE] = ACTIONS(6889),
    [anon_sym__] = ACTIONS(6891),
    [anon_sym_CARET] = ACTIONS(6891),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6891),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6891),
    [anon_sym_DOLLAR] = ACTIONS(6889),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6891),
    [anon_sym_BSLASHleft] = ACTIONS(6889),
    [anon_sym_BSLASHbigl] = ACTIONS(6889),
    [anon_sym_BSLASHBigl] = ACTIONS(6889),
    [anon_sym_BSLASHbiggl] = ACTIONS(6889),
    [anon_sym_BSLASHBiggl] = ACTIONS(6889),
    [anon_sym_BSLASHright] = ACTIONS(6889),
    [anon_sym_BSLASHbigr] = ACTIONS(6889),
    [anon_sym_BSLASHBigr] = ACTIONS(6889),
    [anon_sym_BSLASHbiggr] = ACTIONS(6889),
    [anon_sym_BSLASHBiggr] = ACTIONS(6889),
    [anon_sym_BSLASHtext] = ACTIONS(6889),
    [anon_sym_BSLASHintertext] = ACTIONS(6889),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6889),
    [anon_sym_BSLASHbegin] = ACTIONS(6889),
    [anon_sym_BSLASHtitle] = ACTIONS(6889),
    [anon_sym_BSLASHauthor] = ACTIONS(6889),
    [anon_sym_BSLASHusepackage] = ACTIONS(6889),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6889),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6889),
    [anon_sym_BSLASHinclude] = ACTIONS(6889),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6889),
    [anon_sym_BSLASHinput] = ACTIONS(6889),
    [anon_sym_BSLASHsubfile] = ACTIONS(6889),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6889),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6889),
    [anon_sym_BSLASHbibliography] = ACTIONS(6889),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6889),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6889),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6889),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6889),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6889),
    [anon_sym_BSLASHimport] = ACTIONS(6889),
    [anon_sym_BSLASHsubimport] = ACTIONS(6889),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6889),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6889),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6889),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6889),
    [anon_sym_BSLASHcaption] = ACTIONS(6889),
    [anon_sym_BSLASHcite] = ACTIONS(6889),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCite] = ACTIONS(6889),
    [anon_sym_BSLASHnocite] = ACTIONS(6889),
    [anon_sym_BSLASHcitet] = ACTIONS(6889),
    [anon_sym_BSLASHcitep] = ACTIONS(6889),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteA] = ACTIONS(6889),
    [anon_sym_BSLASHciteR] = ACTIONS(6889),
    [anon_sym_BSLASHciteS] = ACTIONS(6889),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6889),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6889),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6889),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6889),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteyear] = ACTIONS(6889),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitedate] = ACTIONS(6889),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteurl] = ACTIONS(6889),
    [anon_sym_BSLASHfullcite] = ACTIONS(6889),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6889),
    [anon_sym_BSLASHcitealt] = ACTIONS(6889),
    [anon_sym_BSLASHcitealp] = ACTIONS(6889),
    [anon_sym_BSLASHcitetext] = ACTIONS(6889),
    [anon_sym_BSLASHparencite] = ACTIONS(6889),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHParencite] = ACTIONS(6889),
    [anon_sym_BSLASHfootcite] = ACTIONS(6889),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6889),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6889),
    [anon_sym_BSLASHtextcite] = ACTIONS(6889),
    [anon_sym_BSLASHTextcite] = ACTIONS(6889),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6889),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6889),
    [anon_sym_BSLASHsupercite] = ACTIONS(6889),
    [anon_sym_BSLASHautocite] = ACTIONS(6889),
    [anon_sym_BSLASHAutocite] = ACTIONS(6889),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHVolcite] = ACTIONS(6889),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHavolcite] = ACTIONS(6889),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHNotecite] = ACTIONS(6889),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHlabel] = ACTIONS(6889),
    [anon_sym_BSLASHref] = ACTIONS(6889),
    [anon_sym_BSLASHeqref] = ACTIONS(6889),
    [anon_sym_BSLASHvref] = ACTIONS(6889),
    [anon_sym_BSLASHVref] = ACTIONS(6889),
    [anon_sym_BSLASHautoref] = ACTIONS(6889),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHpageref] = ACTIONS(6889),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHautopageref] = ACTIONS(6889),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcref] = ACTIONS(6889),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCref] = ACTIONS(6889),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcpageref] = ACTIONS(6889),
    [anon_sym_BSLASHCpageref] = ACTIONS(6889),
    [anon_sym_BSLASHnamecref] = ACTIONS(6889),
    [anon_sym_BSLASHnameCref] = ACTIONS(6889),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6889),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6889),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6889),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6889),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6889),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6889),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6889),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6889),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6889),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6889),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6889),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHdef] = ACTIONS(6889),
    [anon_sym_BSLASHgdef] = ACTIONS(6889),
    [anon_sym_BSLASHedef] = ACTIONS(6889),
    [anon_sym_BSLASHxdef] = ACTIONS(6889),
    [anon_sym_BSLASHlet] = ACTIONS(6889),
    [anon_sym_BSLASHglet] = ACTIONS(6889),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6889),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6889),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6889),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6889),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6889),
    [anon_sym_BSLASHgls] = ACTIONS(6889),
    [anon_sym_BSLASHGls] = ACTIONS(6889),
    [anon_sym_BSLASHGLS] = ACTIONS(6889),
    [anon_sym_BSLASHglspl] = ACTIONS(6889),
    [anon_sym_BSLASHGlspl] = ACTIONS(6889),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6889),
    [anon_sym_BSLASHglslink] = ACTIONS(6889),
    [anon_sym_BSLASHglstext] = ACTIONS(6889),
    [anon_sym_BSLASHGlstext] = ACTIONS(6889),
    [anon_sym_BSLASHGLStext] = ACTIONS(6889),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6889),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6889),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6889),
    [anon_sym_BSLASHglsplural] = ACTIONS(6889),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6889),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6889),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHglsname] = ACTIONS(6889),
    [anon_sym_BSLASHGlsname] = ACTIONS(6889),
    [anon_sym_BSLASHGLSname] = ACTIONS(6889),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6889),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6889),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6889),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6889),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6889),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6889),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6889),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6889),
    [anon_sym_BSLASHacrshort] = ACTIONS(6889),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6889),
    [anon_sym_BSLASHACRshort] = ACTIONS(6889),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHacrlong] = ACTIONS(6889),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6889),
    [anon_sym_BSLASHACRlong] = ACTIONS(6889),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHacrfull] = ACTIONS(6889),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6889),
    [anon_sym_BSLASHACRfull] = ACTIONS(6889),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHacs] = ACTIONS(6889),
    [anon_sym_BSLASHAcs] = ACTIONS(6889),
    [anon_sym_BSLASHacsp] = ACTIONS(6889),
    [anon_sym_BSLASHAcsp] = ACTIONS(6889),
    [anon_sym_BSLASHacl] = ACTIONS(6889),
    [anon_sym_BSLASHAcl] = ACTIONS(6889),
    [anon_sym_BSLASHaclp] = ACTIONS(6889),
    [anon_sym_BSLASHAclp] = ACTIONS(6889),
    [anon_sym_BSLASHacf] = ACTIONS(6889),
    [anon_sym_BSLASHAcf] = ACTIONS(6889),
    [anon_sym_BSLASHacfp] = ACTIONS(6889),
    [anon_sym_BSLASHAcfp] = ACTIONS(6889),
    [anon_sym_BSLASHac] = ACTIONS(6889),
    [anon_sym_BSLASHAc] = ACTIONS(6889),
    [anon_sym_BSLASHacp] = ACTIONS(6889),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6889),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6889),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6889),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6889),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6889),
    [anon_sym_BSLASHcolor] = ACTIONS(6889),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6889),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6889),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6889),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6889),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6889),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6889),
    [anon_sym_BSLASHurl] = ACTIONS(6889),
    [anon_sym_BSLASHhref] = ACTIONS(6889),
  },
  [458] = {
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(858),
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(859),
    [aux_sym__section_repeat4] = STATE(858),
    [aux_sym__section_repeat5] = STATE(859),
    [sym_command_name] = ACTIONS(6535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6535),
    [anon_sym_LBRACK] = ACTIONS(6537),
    [anon_sym_RBRACK] = ACTIONS(6537),
    [anon_sym_COMMA] = ACTIONS(6537),
    [anon_sym_EQ] = ACTIONS(6537),
    [anon_sym_LPAREN] = ACTIONS(6537),
    [anon_sym_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHpart] = ACTIONS(6535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddpart] = ACTIONS(6535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHchapter] = ACTIONS(6535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddchap] = ACTIONS(6535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsection] = ACTIONS(6535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddsec] = ACTIONS(6535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHitem] = ACTIONS(6535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6537),
    [anon_sym_LBRACE] = ACTIONS(6537),
    [sym_word] = ACTIONS(6535),
    [sym_placeholder] = ACTIONS(6537),
    [sym_delimiter] = ACTIONS(6537),
    [anon_sym_PLUS] = ACTIONS(6537),
    [anon_sym_DASH] = ACTIONS(6537),
    [anon_sym_STAR] = ACTIONS(6537),
    [anon_sym_SLASH] = ACTIONS(6537),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_BANG] = ACTIONS(6535),
    [anon_sym_PIPE] = ACTIONS(6535),
    [anon_sym_COLON] = ACTIONS(6535),
    [anon_sym_SQUOTE] = ACTIONS(6535),
    [anon_sym__] = ACTIONS(6537),
    [anon_sym_CARET] = ACTIONS(6537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6537),
    [anon_sym_DOLLAR] = ACTIONS(6535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHleft] = ACTIONS(6535),
    [anon_sym_BSLASHbigl] = ACTIONS(6535),
    [anon_sym_BSLASHBigl] = ACTIONS(6535),
    [anon_sym_BSLASHbiggl] = ACTIONS(6535),
    [anon_sym_BSLASHBiggl] = ACTIONS(6535),
    [anon_sym_BSLASHtext] = ACTIONS(6535),
    [anon_sym_BSLASHintertext] = ACTIONS(6535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6535),
    [anon_sym_BSLASHbegin] = ACTIONS(6535),
    [anon_sym_BSLASHend] = ACTIONS(6535),
    [anon_sym_BSLASHtitle] = ACTIONS(6535),
    [anon_sym_BSLASHauthor] = ACTIONS(6535),
    [anon_sym_BSLASHusepackage] = ACTIONS(6535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6535),
    [anon_sym_BSLASHinclude] = ACTIONS(6535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6535),
    [anon_sym_BSLASHinput] = ACTIONS(6535),
    [anon_sym_BSLASHsubfile] = ACTIONS(6535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6535),
    [anon_sym_BSLASHbibliography] = ACTIONS(6535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6535),
    [anon_sym_BSLASHimport] = ACTIONS(6535),
    [anon_sym_BSLASHsubimport] = ACTIONS(6535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHcaption] = ACTIONS(6535),
    [anon_sym_BSLASHcite] = ACTIONS(6535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCite] = ACTIONS(6535),
    [anon_sym_BSLASHnocite] = ACTIONS(6535),
    [anon_sym_BSLASHcitet] = ACTIONS(6535),
    [anon_sym_BSLASHcitep] = ACTIONS(6535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteA] = ACTIONS(6535),
    [anon_sym_BSLASHciteR] = ACTIONS(6535),
    [anon_sym_BSLASHciteS] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteyear] = ACTIONS(6535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitedate] = ACTIONS(6535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteurl] = ACTIONS(6535),
    [anon_sym_BSLASHfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6535),
    [anon_sym_BSLASHcitealt] = ACTIONS(6535),
    [anon_sym_BSLASHcitealp] = ACTIONS(6535),
    [anon_sym_BSLASHcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHparencite] = ACTIONS(6535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHParencite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHtextcite] = ACTIONS(6535),
    [anon_sym_BSLASHTextcite] = ACTIONS(6535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHsupercite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite] = ACTIONS(6535),
    [anon_sym_BSLASHAutocite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHVolcite] = ACTIONS(6535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHavolcite] = ACTIONS(6535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHNotecite] = ACTIONS(6535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHlabel] = ACTIONS(6535),
    [anon_sym_BSLASHref] = ACTIONS(6535),
    [anon_sym_BSLASHeqref] = ACTIONS(6535),
    [anon_sym_BSLASHvref] = ACTIONS(6535),
    [anon_sym_BSLASHVref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHpageref] = ACTIONS(6535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHautopageref] = ACTIONS(6535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcref] = ACTIONS(6535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCref] = ACTIONS(6535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHCpageref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnameCref] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHdef] = ACTIONS(6535),
    [anon_sym_BSLASHgdef] = ACTIONS(6535),
    [anon_sym_BSLASHedef] = ACTIONS(6535),
    [anon_sym_BSLASHxdef] = ACTIONS(6535),
    [anon_sym_BSLASHlet] = ACTIONS(6535),
    [anon_sym_BSLASHglet] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6535),
    [anon_sym_BSLASHgls] = ACTIONS(6535),
    [anon_sym_BSLASHGls] = ACTIONS(6535),
    [anon_sym_BSLASHGLS] = ACTIONS(6535),
    [anon_sym_BSLASHglspl] = ACTIONS(6535),
    [anon_sym_BSLASHGlspl] = ACTIONS(6535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6535),
    [anon_sym_BSLASHglslink] = ACTIONS(6535),
    [anon_sym_BSLASHglstext] = ACTIONS(6535),
    [anon_sym_BSLASHGlstext] = ACTIONS(6535),
    [anon_sym_BSLASHGLStext] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6535),
    [anon_sym_BSLASHglsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsname] = ACTIONS(6535),
    [anon_sym_BSLASHGlsname] = ACTIONS(6535),
    [anon_sym_BSLASHGLSname] = ACTIONS(6535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6535),
    [anon_sym_BSLASHacrshort] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6535),
    [anon_sym_BSLASHACRshort] = ACTIONS(6535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrlong] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6535),
    [anon_sym_BSLASHACRlong] = ACTIONS(6535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrfull] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6535),
    [anon_sym_BSLASHACRfull] = ACTIONS(6535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHacs] = ACTIONS(6535),
    [anon_sym_BSLASHAcs] = ACTIONS(6535),
    [anon_sym_BSLASHacsp] = ACTIONS(6535),
    [anon_sym_BSLASHAcsp] = ACTIONS(6535),
    [anon_sym_BSLASHacl] = ACTIONS(6535),
    [anon_sym_BSLASHAcl] = ACTIONS(6535),
    [anon_sym_BSLASHaclp] = ACTIONS(6535),
    [anon_sym_BSLASHAclp] = ACTIONS(6535),
    [anon_sym_BSLASHacf] = ACTIONS(6535),
    [anon_sym_BSLASHAcf] = ACTIONS(6535),
    [anon_sym_BSLASHacfp] = ACTIONS(6535),
    [anon_sym_BSLASHAcfp] = ACTIONS(6535),
    [anon_sym_BSLASHac] = ACTIONS(6535),
    [anon_sym_BSLASHAc] = ACTIONS(6535),
    [anon_sym_BSLASHacp] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6535),
    [anon_sym_BSLASHcolor] = ACTIONS(6535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6535),
    [anon_sym_BSLASHurl] = ACTIONS(6535),
    [anon_sym_BSLASHhref] = ACTIONS(6535),
  },
  [459] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(2704),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [anon_sym_RBRACE] = ACTIONS(6893),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [460] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(2651),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [anon_sym_RBRACE] = ACTIONS(6895),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [461] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(2713),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym_key_value_pair] = STATE(2623),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [462] = {
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(760),
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(761),
    [aux_sym__section_repeat4] = STATE(760),
    [aux_sym__section_repeat5] = STATE(761),
    [sym_command_name] = ACTIONS(2290),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2290),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_RBRACK] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(2292),
    [anon_sym_EQ] = ACTIONS(2292),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_RPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHpart] = ACTIONS(2290),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddpart] = ACTIONS(2290),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHchapter] = ACTIONS(2290),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddchap] = ACTIONS(2290),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsection] = ACTIONS(2290),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddsec] = ACTIONS(2290),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHitem] = ACTIONS(2290),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2292),
    [anon_sym_LBRACE] = ACTIONS(2292),
    [sym_word] = ACTIONS(2290),
    [sym_placeholder] = ACTIONS(2292),
    [sym_delimiter] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2292),
    [anon_sym_SLASH] = ACTIONS(2292),
    [anon_sym_LT] = ACTIONS(2290),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(2290),
    [anon_sym_PIPE] = ACTIONS(2290),
    [anon_sym_COLON] = ACTIONS(2290),
    [anon_sym_SQUOTE] = ACTIONS(2290),
    [anon_sym__] = ACTIONS(2292),
    [anon_sym_CARET] = ACTIONS(2292),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2292),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2292),
    [anon_sym_DOLLAR] = ACTIONS(2290),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2292),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHleft] = ACTIONS(2290),
    [anon_sym_BSLASHbigl] = ACTIONS(2290),
    [anon_sym_BSLASHBigl] = ACTIONS(2290),
    [anon_sym_BSLASHbiggl] = ACTIONS(2290),
    [anon_sym_BSLASHBiggl] = ACTIONS(2290),
    [anon_sym_BSLASHtext] = ACTIONS(2290),
    [anon_sym_BSLASHintertext] = ACTIONS(2290),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2290),
    [anon_sym_BSLASHbegin] = ACTIONS(2290),
    [anon_sym_BSLASHtitle] = ACTIONS(2290),
    [anon_sym_BSLASHauthor] = ACTIONS(2290),
    [anon_sym_BSLASHusepackage] = ACTIONS(2290),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2290),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2290),
    [anon_sym_BSLASHinclude] = ACTIONS(2290),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2290),
    [anon_sym_BSLASHinput] = ACTIONS(2290),
    [anon_sym_BSLASHsubfile] = ACTIONS(2290),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2290),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2290),
    [anon_sym_BSLASHbibliography] = ACTIONS(2290),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2290),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2290),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2290),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2290),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2290),
    [anon_sym_BSLASHimport] = ACTIONS(2290),
    [anon_sym_BSLASHsubimport] = ACTIONS(2290),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2290),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHcaption] = ACTIONS(2290),
    [anon_sym_BSLASHcite] = ACTIONS(2290),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCite] = ACTIONS(2290),
    [anon_sym_BSLASHnocite] = ACTIONS(2290),
    [anon_sym_BSLASHcitet] = ACTIONS(2290),
    [anon_sym_BSLASHcitep] = ACTIONS(2290),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteA] = ACTIONS(2290),
    [anon_sym_BSLASHciteR] = ACTIONS(2290),
    [anon_sym_BSLASHciteS] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2290),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteyear] = ACTIONS(2290),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitedate] = ACTIONS(2290),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteurl] = ACTIONS(2290),
    [anon_sym_BSLASHfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2290),
    [anon_sym_BSLASHcitealt] = ACTIONS(2290),
    [anon_sym_BSLASHcitealp] = ACTIONS(2290),
    [anon_sym_BSLASHcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHparencite] = ACTIONS(2290),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHParencite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHtextcite] = ACTIONS(2290),
    [anon_sym_BSLASHTextcite] = ACTIONS(2290),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHsupercite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite] = ACTIONS(2290),
    [anon_sym_BSLASHAutocite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHVolcite] = ACTIONS(2290),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHavolcite] = ACTIONS(2290),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHNotecite] = ACTIONS(2290),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHlabel] = ACTIONS(2290),
    [anon_sym_BSLASHref] = ACTIONS(2290),
    [anon_sym_BSLASHeqref] = ACTIONS(2290),
    [anon_sym_BSLASHvref] = ACTIONS(2290),
    [anon_sym_BSLASHVref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHpageref] = ACTIONS(2290),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHautopageref] = ACTIONS(2290),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcref] = ACTIONS(2290),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCref] = ACTIONS(2290),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHCpageref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnameCref] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2290),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHdef] = ACTIONS(2290),
    [anon_sym_BSLASHgdef] = ACTIONS(2290),
    [anon_sym_BSLASHedef] = ACTIONS(2290),
    [anon_sym_BSLASHxdef] = ACTIONS(2290),
    [anon_sym_BSLASHlet] = ACTIONS(2290),
    [anon_sym_BSLASHglet] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2290),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2290),
    [anon_sym_BSLASHgls] = ACTIONS(2290),
    [anon_sym_BSLASHGls] = ACTIONS(2290),
    [anon_sym_BSLASHGLS] = ACTIONS(2290),
    [anon_sym_BSLASHglspl] = ACTIONS(2290),
    [anon_sym_BSLASHGlspl] = ACTIONS(2290),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2290),
    [anon_sym_BSLASHglslink] = ACTIONS(2290),
    [anon_sym_BSLASHglstext] = ACTIONS(2290),
    [anon_sym_BSLASHGlstext] = ACTIONS(2290),
    [anon_sym_BSLASHGLStext] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2290),
    [anon_sym_BSLASHglsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsname] = ACTIONS(2290),
    [anon_sym_BSLASHGlsname] = ACTIONS(2290),
    [anon_sym_BSLASHGLSname] = ACTIONS(2290),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2290),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2290),
    [anon_sym_BSLASHacrshort] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2290),
    [anon_sym_BSLASHACRshort] = ACTIONS(2290),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrlong] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2290),
    [anon_sym_BSLASHACRlong] = ACTIONS(2290),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrfull] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2290),
    [anon_sym_BSLASHACRfull] = ACTIONS(2290),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHacs] = ACTIONS(2290),
    [anon_sym_BSLASHAcs] = ACTIONS(2290),
    [anon_sym_BSLASHacsp] = ACTIONS(2290),
    [anon_sym_BSLASHAcsp] = ACTIONS(2290),
    [anon_sym_BSLASHacl] = ACTIONS(2290),
    [anon_sym_BSLASHAcl] = ACTIONS(2290),
    [anon_sym_BSLASHaclp] = ACTIONS(2290),
    [anon_sym_BSLASHAclp] = ACTIONS(2290),
    [anon_sym_BSLASHacf] = ACTIONS(2290),
    [anon_sym_BSLASHAcf] = ACTIONS(2290),
    [anon_sym_BSLASHacfp] = ACTIONS(2290),
    [anon_sym_BSLASHAcfp] = ACTIONS(2290),
    [anon_sym_BSLASHac] = ACTIONS(2290),
    [anon_sym_BSLASHAc] = ACTIONS(2290),
    [anon_sym_BSLASHacp] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2290),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2290),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2290),
    [anon_sym_BSLASHcolor] = ACTIONS(2290),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2290),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2290),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2290),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2290),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2290),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2290),
    [anon_sym_BSLASHurl] = ACTIONS(2290),
    [anon_sym_BSLASHhref] = ACTIONS(2290),
  },
  [463] = {
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(841),
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(842),
    [aux_sym__section_repeat4] = STATE(841),
    [aux_sym__section_repeat5] = STATE(842),
    [sym_command_name] = ACTIONS(2290),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2290),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_RBRACK] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(2292),
    [anon_sym_EQ] = ACTIONS(2292),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_RPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHpart] = ACTIONS(2290),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddpart] = ACTIONS(2290),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHchapter] = ACTIONS(2290),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddchap] = ACTIONS(2290),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsection] = ACTIONS(2290),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddsec] = ACTIONS(2290),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHitem] = ACTIONS(2290),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2292),
    [anon_sym_LBRACE] = ACTIONS(2292),
    [sym_word] = ACTIONS(2290),
    [sym_placeholder] = ACTIONS(2292),
    [sym_delimiter] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2292),
    [anon_sym_SLASH] = ACTIONS(2292),
    [anon_sym_LT] = ACTIONS(2290),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(2290),
    [anon_sym_PIPE] = ACTIONS(2290),
    [anon_sym_COLON] = ACTIONS(2290),
    [anon_sym_SQUOTE] = ACTIONS(2290),
    [anon_sym__] = ACTIONS(2292),
    [anon_sym_CARET] = ACTIONS(2292),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2292),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2292),
    [anon_sym_DOLLAR] = ACTIONS(2290),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHleft] = ACTIONS(2290),
    [anon_sym_BSLASHbigl] = ACTIONS(2290),
    [anon_sym_BSLASHBigl] = ACTIONS(2290),
    [anon_sym_BSLASHbiggl] = ACTIONS(2290),
    [anon_sym_BSLASHBiggl] = ACTIONS(2290),
    [anon_sym_BSLASHtext] = ACTIONS(2290),
    [anon_sym_BSLASHintertext] = ACTIONS(2290),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2290),
    [anon_sym_BSLASHbegin] = ACTIONS(2290),
    [anon_sym_BSLASHend] = ACTIONS(2290),
    [anon_sym_BSLASHtitle] = ACTIONS(2290),
    [anon_sym_BSLASHauthor] = ACTIONS(2290),
    [anon_sym_BSLASHusepackage] = ACTIONS(2290),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2290),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2290),
    [anon_sym_BSLASHinclude] = ACTIONS(2290),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2290),
    [anon_sym_BSLASHinput] = ACTIONS(2290),
    [anon_sym_BSLASHsubfile] = ACTIONS(2290),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2290),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2290),
    [anon_sym_BSLASHbibliography] = ACTIONS(2290),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2290),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2290),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2290),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2290),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2290),
    [anon_sym_BSLASHimport] = ACTIONS(2290),
    [anon_sym_BSLASHsubimport] = ACTIONS(2290),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2290),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHcaption] = ACTIONS(2290),
    [anon_sym_BSLASHcite] = ACTIONS(2290),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCite] = ACTIONS(2290),
    [anon_sym_BSLASHnocite] = ACTIONS(2290),
    [anon_sym_BSLASHcitet] = ACTIONS(2290),
    [anon_sym_BSLASHcitep] = ACTIONS(2290),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteA] = ACTIONS(2290),
    [anon_sym_BSLASHciteR] = ACTIONS(2290),
    [anon_sym_BSLASHciteS] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2290),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteyear] = ACTIONS(2290),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitedate] = ACTIONS(2290),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteurl] = ACTIONS(2290),
    [anon_sym_BSLASHfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2290),
    [anon_sym_BSLASHcitealt] = ACTIONS(2290),
    [anon_sym_BSLASHcitealp] = ACTIONS(2290),
    [anon_sym_BSLASHcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHparencite] = ACTIONS(2290),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHParencite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHtextcite] = ACTIONS(2290),
    [anon_sym_BSLASHTextcite] = ACTIONS(2290),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHsupercite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite] = ACTIONS(2290),
    [anon_sym_BSLASHAutocite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHVolcite] = ACTIONS(2290),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHavolcite] = ACTIONS(2290),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHNotecite] = ACTIONS(2290),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHlabel] = ACTIONS(2290),
    [anon_sym_BSLASHref] = ACTIONS(2290),
    [anon_sym_BSLASHeqref] = ACTIONS(2290),
    [anon_sym_BSLASHvref] = ACTIONS(2290),
    [anon_sym_BSLASHVref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHpageref] = ACTIONS(2290),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHautopageref] = ACTIONS(2290),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcref] = ACTIONS(2290),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCref] = ACTIONS(2290),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHCpageref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnameCref] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2290),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHdef] = ACTIONS(2290),
    [anon_sym_BSLASHgdef] = ACTIONS(2290),
    [anon_sym_BSLASHedef] = ACTIONS(2290),
    [anon_sym_BSLASHxdef] = ACTIONS(2290),
    [anon_sym_BSLASHlet] = ACTIONS(2290),
    [anon_sym_BSLASHglet] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2290),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2290),
    [anon_sym_BSLASHgls] = ACTIONS(2290),
    [anon_sym_BSLASHGls] = ACTIONS(2290),
    [anon_sym_BSLASHGLS] = ACTIONS(2290),
    [anon_sym_BSLASHglspl] = ACTIONS(2290),
    [anon_sym_BSLASHGlspl] = ACTIONS(2290),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2290),
    [anon_sym_BSLASHglslink] = ACTIONS(2290),
    [anon_sym_BSLASHglstext] = ACTIONS(2290),
    [anon_sym_BSLASHGlstext] = ACTIONS(2290),
    [anon_sym_BSLASHGLStext] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2290),
    [anon_sym_BSLASHglsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsname] = ACTIONS(2290),
    [anon_sym_BSLASHGlsname] = ACTIONS(2290),
    [anon_sym_BSLASHGLSname] = ACTIONS(2290),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2290),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2290),
    [anon_sym_BSLASHacrshort] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2290),
    [anon_sym_BSLASHACRshort] = ACTIONS(2290),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrlong] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2290),
    [anon_sym_BSLASHACRlong] = ACTIONS(2290),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrfull] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2290),
    [anon_sym_BSLASHACRfull] = ACTIONS(2290),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHacs] = ACTIONS(2290),
    [anon_sym_BSLASHAcs] = ACTIONS(2290),
    [anon_sym_BSLASHacsp] = ACTIONS(2290),
    [anon_sym_BSLASHAcsp] = ACTIONS(2290),
    [anon_sym_BSLASHacl] = ACTIONS(2290),
    [anon_sym_BSLASHAcl] = ACTIONS(2290),
    [anon_sym_BSLASHaclp] = ACTIONS(2290),
    [anon_sym_BSLASHAclp] = ACTIONS(2290),
    [anon_sym_BSLASHacf] = ACTIONS(2290),
    [anon_sym_BSLASHAcf] = ACTIONS(2290),
    [anon_sym_BSLASHacfp] = ACTIONS(2290),
    [anon_sym_BSLASHAcfp] = ACTIONS(2290),
    [anon_sym_BSLASHac] = ACTIONS(2290),
    [anon_sym_BSLASHAc] = ACTIONS(2290),
    [anon_sym_BSLASHacp] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2290),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2290),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2290),
    [anon_sym_BSLASHcolor] = ACTIONS(2290),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2290),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2290),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2290),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2290),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2290),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2290),
    [anon_sym_BSLASHurl] = ACTIONS(2290),
    [anon_sym_BSLASHhref] = ACTIONS(2290),
  },
  [464] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(2637),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [anon_sym_RBRACE] = ACTIONS(6897),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [465] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(2694),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [anon_sym_RBRACE] = ACTIONS(6899),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [466] = {
    [sym_curly_group] = STATE(636),
    [aux_sym_generic_command_repeat1] = STATE(450),
    [sym_command_name] = ACTIONS(6901),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6901),
    [anon_sym_LBRACK] = ACTIONS(6903),
    [anon_sym_RBRACK] = ACTIONS(6903),
    [anon_sym_COMMA] = ACTIONS(6903),
    [anon_sym_EQ] = ACTIONS(6903),
    [anon_sym_LPAREN] = ACTIONS(6903),
    [anon_sym_RPAREN] = ACTIONS(6903),
    [anon_sym_BSLASHpart] = ACTIONS(6901),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHaddpart] = ACTIONS(6901),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHchapter] = ACTIONS(6901),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHaddchap] = ACTIONS(6901),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHsection] = ACTIONS(6901),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHaddsec] = ACTIONS(6901),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHsubsection] = ACTIONS(6901),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6901),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHparagraph] = ACTIONS(6901),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6901),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHitem] = ACTIONS(6901),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6903),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(6901),
    [sym_placeholder] = ACTIONS(6903),
    [sym_delimiter] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6903),
    [anon_sym_DASH] = ACTIONS(6903),
    [anon_sym_STAR] = ACTIONS(6903),
    [anon_sym_SLASH] = ACTIONS(6903),
    [anon_sym_LT] = ACTIONS(6901),
    [anon_sym_GT] = ACTIONS(6901),
    [anon_sym_BANG] = ACTIONS(6901),
    [anon_sym_PIPE] = ACTIONS(6901),
    [anon_sym_COLON] = ACTIONS(6901),
    [anon_sym_SQUOTE] = ACTIONS(6901),
    [anon_sym__] = ACTIONS(6903),
    [anon_sym_CARET] = ACTIONS(6903),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6903),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6903),
    [anon_sym_DOLLAR] = ACTIONS(6901),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6903),
    [anon_sym_BSLASHleft] = ACTIONS(6901),
    [anon_sym_BSLASHbigl] = ACTIONS(6901),
    [anon_sym_BSLASHBigl] = ACTIONS(6901),
    [anon_sym_BSLASHbiggl] = ACTIONS(6901),
    [anon_sym_BSLASHBiggl] = ACTIONS(6901),
    [anon_sym_BSLASHright] = ACTIONS(6901),
    [anon_sym_BSLASHbigr] = ACTIONS(6901),
    [anon_sym_BSLASHBigr] = ACTIONS(6901),
    [anon_sym_BSLASHbiggr] = ACTIONS(6901),
    [anon_sym_BSLASHBiggr] = ACTIONS(6901),
    [anon_sym_BSLASHtext] = ACTIONS(6901),
    [anon_sym_BSLASHintertext] = ACTIONS(6901),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6901),
    [anon_sym_BSLASHbegin] = ACTIONS(6901),
    [anon_sym_BSLASHtitle] = ACTIONS(6901),
    [anon_sym_BSLASHauthor] = ACTIONS(6901),
    [anon_sym_BSLASHusepackage] = ACTIONS(6901),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6901),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6901),
    [anon_sym_BSLASHinclude] = ACTIONS(6901),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6901),
    [anon_sym_BSLASHinput] = ACTIONS(6901),
    [anon_sym_BSLASHsubfile] = ACTIONS(6901),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6901),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6901),
    [anon_sym_BSLASHbibliography] = ACTIONS(6901),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6901),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6901),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6901),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6901),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6901),
    [anon_sym_BSLASHimport] = ACTIONS(6901),
    [anon_sym_BSLASHsubimport] = ACTIONS(6901),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6901),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6901),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6901),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6901),
    [anon_sym_BSLASHcaption] = ACTIONS(6901),
    [anon_sym_BSLASHcite] = ACTIONS(6901),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCite] = ACTIONS(6901),
    [anon_sym_BSLASHnocite] = ACTIONS(6901),
    [anon_sym_BSLASHcitet] = ACTIONS(6901),
    [anon_sym_BSLASHcitep] = ACTIONS(6901),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteA] = ACTIONS(6901),
    [anon_sym_BSLASHciteR] = ACTIONS(6901),
    [anon_sym_BSLASHciteS] = ACTIONS(6901),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6901),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6901),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6901),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6901),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteyear] = ACTIONS(6901),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitedate] = ACTIONS(6901),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteurl] = ACTIONS(6901),
    [anon_sym_BSLASHfullcite] = ACTIONS(6901),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6901),
    [anon_sym_BSLASHcitealt] = ACTIONS(6901),
    [anon_sym_BSLASHcitealp] = ACTIONS(6901),
    [anon_sym_BSLASHcitetext] = ACTIONS(6901),
    [anon_sym_BSLASHparencite] = ACTIONS(6901),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHParencite] = ACTIONS(6901),
    [anon_sym_BSLASHfootcite] = ACTIONS(6901),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6901),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6901),
    [anon_sym_BSLASHtextcite] = ACTIONS(6901),
    [anon_sym_BSLASHTextcite] = ACTIONS(6901),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6901),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6901),
    [anon_sym_BSLASHsupercite] = ACTIONS(6901),
    [anon_sym_BSLASHautocite] = ACTIONS(6901),
    [anon_sym_BSLASHAutocite] = ACTIONS(6901),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHVolcite] = ACTIONS(6901),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHavolcite] = ACTIONS(6901),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHNotecite] = ACTIONS(6901),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHlabel] = ACTIONS(6901),
    [anon_sym_BSLASHref] = ACTIONS(6901),
    [anon_sym_BSLASHeqref] = ACTIONS(6901),
    [anon_sym_BSLASHvref] = ACTIONS(6901),
    [anon_sym_BSLASHVref] = ACTIONS(6901),
    [anon_sym_BSLASHautoref] = ACTIONS(6901),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHpageref] = ACTIONS(6901),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHautopageref] = ACTIONS(6901),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcref] = ACTIONS(6901),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCref] = ACTIONS(6901),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcpageref] = ACTIONS(6901),
    [anon_sym_BSLASHCpageref] = ACTIONS(6901),
    [anon_sym_BSLASHnamecref] = ACTIONS(6901),
    [anon_sym_BSLASHnameCref] = ACTIONS(6901),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6901),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6901),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6901),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6901),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6901),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6901),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6901),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6901),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6901),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6901),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6901),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHdef] = ACTIONS(6901),
    [anon_sym_BSLASHgdef] = ACTIONS(6901),
    [anon_sym_BSLASHedef] = ACTIONS(6901),
    [anon_sym_BSLASHxdef] = ACTIONS(6901),
    [anon_sym_BSLASHlet] = ACTIONS(6901),
    [anon_sym_BSLASHglet] = ACTIONS(6901),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6901),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6901),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6901),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6901),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6901),
    [anon_sym_BSLASHgls] = ACTIONS(6901),
    [anon_sym_BSLASHGls] = ACTIONS(6901),
    [anon_sym_BSLASHGLS] = ACTIONS(6901),
    [anon_sym_BSLASHglspl] = ACTIONS(6901),
    [anon_sym_BSLASHGlspl] = ACTIONS(6901),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6901),
    [anon_sym_BSLASHglslink] = ACTIONS(6901),
    [anon_sym_BSLASHglstext] = ACTIONS(6901),
    [anon_sym_BSLASHGlstext] = ACTIONS(6901),
    [anon_sym_BSLASHGLStext] = ACTIONS(6901),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6901),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6901),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6901),
    [anon_sym_BSLASHglsplural] = ACTIONS(6901),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6901),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6901),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHglsname] = ACTIONS(6901),
    [anon_sym_BSLASHGlsname] = ACTIONS(6901),
    [anon_sym_BSLASHGLSname] = ACTIONS(6901),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6901),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6901),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6901),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6901),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6901),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6901),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6901),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6901),
    [anon_sym_BSLASHacrshort] = ACTIONS(6901),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6901),
    [anon_sym_BSLASHACRshort] = ACTIONS(6901),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHacrlong] = ACTIONS(6901),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6901),
    [anon_sym_BSLASHACRlong] = ACTIONS(6901),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHacrfull] = ACTIONS(6901),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6901),
    [anon_sym_BSLASHACRfull] = ACTIONS(6901),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHacs] = ACTIONS(6901),
    [anon_sym_BSLASHAcs] = ACTIONS(6901),
    [anon_sym_BSLASHacsp] = ACTIONS(6901),
    [anon_sym_BSLASHAcsp] = ACTIONS(6901),
    [anon_sym_BSLASHacl] = ACTIONS(6901),
    [anon_sym_BSLASHAcl] = ACTIONS(6901),
    [anon_sym_BSLASHaclp] = ACTIONS(6901),
    [anon_sym_BSLASHAclp] = ACTIONS(6901),
    [anon_sym_BSLASHacf] = ACTIONS(6901),
    [anon_sym_BSLASHAcf] = ACTIONS(6901),
    [anon_sym_BSLASHacfp] = ACTIONS(6901),
    [anon_sym_BSLASHAcfp] = ACTIONS(6901),
    [anon_sym_BSLASHac] = ACTIONS(6901),
    [anon_sym_BSLASHAc] = ACTIONS(6901),
    [anon_sym_BSLASHacp] = ACTIONS(6901),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6901),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6901),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6901),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6901),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6901),
    [anon_sym_BSLASHcolor] = ACTIONS(6901),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6901),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6901),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6901),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6901),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6901),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6901),
    [anon_sym_BSLASHurl] = ACTIONS(6901),
    [anon_sym_BSLASHhref] = ACTIONS(6901),
  },
  [467] = {
    [sym_curly_group] = STATE(473),
    [sym_brack_group_text] = STATE(3159),
    [sym_command_name] = ACTIONS(6905),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6905),
    [anon_sym_LBRACK] = ACTIONS(6883),
    [anon_sym_RBRACK] = ACTIONS(6907),
    [anon_sym_COMMA] = ACTIONS(6907),
    [anon_sym_EQ] = ACTIONS(6907),
    [anon_sym_LPAREN] = ACTIONS(6907),
    [anon_sym_RPAREN] = ACTIONS(6907),
    [anon_sym_BSLASHpart] = ACTIONS(6905),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHaddpart] = ACTIONS(6905),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHchapter] = ACTIONS(6905),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHaddchap] = ACTIONS(6905),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHsection] = ACTIONS(6905),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHaddsec] = ACTIONS(6905),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHsubsection] = ACTIONS(6905),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6905),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHparagraph] = ACTIONS(6905),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6905),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHitem] = ACTIONS(6905),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6907),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(6905),
    [sym_placeholder] = ACTIONS(6907),
    [sym_delimiter] = ACTIONS(6907),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_STAR] = ACTIONS(6907),
    [anon_sym_SLASH] = ACTIONS(6907),
    [anon_sym_LT] = ACTIONS(6905),
    [anon_sym_GT] = ACTIONS(6905),
    [anon_sym_BANG] = ACTIONS(6905),
    [anon_sym_PIPE] = ACTIONS(6905),
    [anon_sym_COLON] = ACTIONS(6905),
    [anon_sym_SQUOTE] = ACTIONS(6905),
    [anon_sym__] = ACTIONS(6907),
    [anon_sym_CARET] = ACTIONS(6907),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6907),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6907),
    [anon_sym_DOLLAR] = ACTIONS(6905),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6907),
    [anon_sym_BSLASHleft] = ACTIONS(6905),
    [anon_sym_BSLASHbigl] = ACTIONS(6905),
    [anon_sym_BSLASHBigl] = ACTIONS(6905),
    [anon_sym_BSLASHbiggl] = ACTIONS(6905),
    [anon_sym_BSLASHBiggl] = ACTIONS(6905),
    [anon_sym_BSLASHright] = ACTIONS(6905),
    [anon_sym_BSLASHbigr] = ACTIONS(6905),
    [anon_sym_BSLASHBigr] = ACTIONS(6905),
    [anon_sym_BSLASHbiggr] = ACTIONS(6905),
    [anon_sym_BSLASHBiggr] = ACTIONS(6905),
    [anon_sym_BSLASHtext] = ACTIONS(6905),
    [anon_sym_BSLASHintertext] = ACTIONS(6905),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6905),
    [anon_sym_BSLASHbegin] = ACTIONS(6905),
    [anon_sym_BSLASHtitle] = ACTIONS(6905),
    [anon_sym_BSLASHauthor] = ACTIONS(6905),
    [anon_sym_BSLASHusepackage] = ACTIONS(6905),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6905),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6905),
    [anon_sym_BSLASHinclude] = ACTIONS(6905),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6905),
    [anon_sym_BSLASHinput] = ACTIONS(6905),
    [anon_sym_BSLASHsubfile] = ACTIONS(6905),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6905),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6905),
    [anon_sym_BSLASHbibliography] = ACTIONS(6905),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6905),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6905),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6905),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6905),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6905),
    [anon_sym_BSLASHimport] = ACTIONS(6905),
    [anon_sym_BSLASHsubimport] = ACTIONS(6905),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6905),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6905),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6905),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6905),
    [anon_sym_BSLASHcaption] = ACTIONS(6905),
    [anon_sym_BSLASHcite] = ACTIONS(6905),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCite] = ACTIONS(6905),
    [anon_sym_BSLASHnocite] = ACTIONS(6905),
    [anon_sym_BSLASHcitet] = ACTIONS(6905),
    [anon_sym_BSLASHcitep] = ACTIONS(6905),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteA] = ACTIONS(6905),
    [anon_sym_BSLASHciteR] = ACTIONS(6905),
    [anon_sym_BSLASHciteS] = ACTIONS(6905),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6905),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6905),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6905),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6905),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteyear] = ACTIONS(6905),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitedate] = ACTIONS(6905),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteurl] = ACTIONS(6905),
    [anon_sym_BSLASHfullcite] = ACTIONS(6905),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6905),
    [anon_sym_BSLASHcitealt] = ACTIONS(6905),
    [anon_sym_BSLASHcitealp] = ACTIONS(6905),
    [anon_sym_BSLASHcitetext] = ACTIONS(6905),
    [anon_sym_BSLASHparencite] = ACTIONS(6905),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHParencite] = ACTIONS(6905),
    [anon_sym_BSLASHfootcite] = ACTIONS(6905),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6905),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6905),
    [anon_sym_BSLASHtextcite] = ACTIONS(6905),
    [anon_sym_BSLASHTextcite] = ACTIONS(6905),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6905),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6905),
    [anon_sym_BSLASHsupercite] = ACTIONS(6905),
    [anon_sym_BSLASHautocite] = ACTIONS(6905),
    [anon_sym_BSLASHAutocite] = ACTIONS(6905),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHVolcite] = ACTIONS(6905),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHavolcite] = ACTIONS(6905),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHNotecite] = ACTIONS(6905),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHlabel] = ACTIONS(6905),
    [anon_sym_BSLASHref] = ACTIONS(6905),
    [anon_sym_BSLASHeqref] = ACTIONS(6905),
    [anon_sym_BSLASHvref] = ACTIONS(6905),
    [anon_sym_BSLASHVref] = ACTIONS(6905),
    [anon_sym_BSLASHautoref] = ACTIONS(6905),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHpageref] = ACTIONS(6905),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHautopageref] = ACTIONS(6905),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcref] = ACTIONS(6905),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCref] = ACTIONS(6905),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcpageref] = ACTIONS(6905),
    [anon_sym_BSLASHCpageref] = ACTIONS(6905),
    [anon_sym_BSLASHnamecref] = ACTIONS(6905),
    [anon_sym_BSLASHnameCref] = ACTIONS(6905),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6905),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6905),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6905),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6905),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6905),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6905),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6905),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6905),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6905),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6905),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6905),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHdef] = ACTIONS(6905),
    [anon_sym_BSLASHgdef] = ACTIONS(6905),
    [anon_sym_BSLASHedef] = ACTIONS(6905),
    [anon_sym_BSLASHxdef] = ACTIONS(6905),
    [anon_sym_BSLASHlet] = ACTIONS(6905),
    [anon_sym_BSLASHglet] = ACTIONS(6905),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6905),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6905),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6905),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6905),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6905),
    [anon_sym_BSLASHgls] = ACTIONS(6905),
    [anon_sym_BSLASHGls] = ACTIONS(6905),
    [anon_sym_BSLASHGLS] = ACTIONS(6905),
    [anon_sym_BSLASHglspl] = ACTIONS(6905),
    [anon_sym_BSLASHGlspl] = ACTIONS(6905),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6905),
    [anon_sym_BSLASHglslink] = ACTIONS(6905),
    [anon_sym_BSLASHglstext] = ACTIONS(6905),
    [anon_sym_BSLASHGlstext] = ACTIONS(6905),
    [anon_sym_BSLASHGLStext] = ACTIONS(6905),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6905),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6905),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6905),
    [anon_sym_BSLASHglsplural] = ACTIONS(6905),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6905),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6905),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHglsname] = ACTIONS(6905),
    [anon_sym_BSLASHGlsname] = ACTIONS(6905),
    [anon_sym_BSLASHGLSname] = ACTIONS(6905),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6905),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6905),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6905),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6905),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6905),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6905),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6905),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6905),
    [anon_sym_BSLASHacrshort] = ACTIONS(6905),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6905),
    [anon_sym_BSLASHACRshort] = ACTIONS(6905),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHacrlong] = ACTIONS(6905),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6905),
    [anon_sym_BSLASHACRlong] = ACTIONS(6905),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHacrfull] = ACTIONS(6905),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6905),
    [anon_sym_BSLASHACRfull] = ACTIONS(6905),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHacs] = ACTIONS(6905),
    [anon_sym_BSLASHAcs] = ACTIONS(6905),
    [anon_sym_BSLASHacsp] = ACTIONS(6905),
    [anon_sym_BSLASHAcsp] = ACTIONS(6905),
    [anon_sym_BSLASHacl] = ACTIONS(6905),
    [anon_sym_BSLASHAcl] = ACTIONS(6905),
    [anon_sym_BSLASHaclp] = ACTIONS(6905),
    [anon_sym_BSLASHAclp] = ACTIONS(6905),
    [anon_sym_BSLASHacf] = ACTIONS(6905),
    [anon_sym_BSLASHAcf] = ACTIONS(6905),
    [anon_sym_BSLASHacfp] = ACTIONS(6905),
    [anon_sym_BSLASHAcfp] = ACTIONS(6905),
    [anon_sym_BSLASHac] = ACTIONS(6905),
    [anon_sym_BSLASHAc] = ACTIONS(6905),
    [anon_sym_BSLASHacp] = ACTIONS(6905),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6905),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6905),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6905),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6905),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6905),
    [anon_sym_BSLASHcolor] = ACTIONS(6905),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6905),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6905),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6905),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6905),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6905),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6905),
    [anon_sym_BSLASHurl] = ACTIONS(6905),
    [anon_sym_BSLASHhref] = ACTIONS(6905),
  },
  [468] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(2697),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [anon_sym_RBRACE] = ACTIONS(6909),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [469] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(3914),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [470] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(3793),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [471] = {
    [sym_command_name] = ACTIONS(6911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6911),
    [anon_sym_BSLASHfi] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(6915),
    [anon_sym_RBRACK] = ACTIONS(6915),
    [anon_sym_COMMA] = ACTIONS(6915),
    [anon_sym_EQ] = ACTIONS(6915),
    [anon_sym_LPAREN] = ACTIONS(6915),
    [anon_sym_RPAREN] = ACTIONS(6915),
    [anon_sym_BSLASHpart] = ACTIONS(6911),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHaddpart] = ACTIONS(6911),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHchapter] = ACTIONS(6911),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHaddchap] = ACTIONS(6911),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHsection] = ACTIONS(6911),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHaddsec] = ACTIONS(6911),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHsubsection] = ACTIONS(6911),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6911),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHparagraph] = ACTIONS(6911),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6911),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHitem] = ACTIONS(6911),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6915),
    [anon_sym_LBRACE] = ACTIONS(6915),
    [sym_word] = ACTIONS(6911),
    [sym_placeholder] = ACTIONS(6915),
    [sym_delimiter] = ACTIONS(6915),
    [anon_sym_PLUS] = ACTIONS(6915),
    [anon_sym_DASH] = ACTIONS(6915),
    [anon_sym_STAR] = ACTIONS(6915),
    [anon_sym_SLASH] = ACTIONS(6915),
    [anon_sym_LT] = ACTIONS(6911),
    [anon_sym_GT] = ACTIONS(6911),
    [anon_sym_BANG] = ACTIONS(6911),
    [anon_sym_PIPE] = ACTIONS(6911),
    [anon_sym_COLON] = ACTIONS(6911),
    [anon_sym_SQUOTE] = ACTIONS(6911),
    [anon_sym__] = ACTIONS(6915),
    [anon_sym_CARET] = ACTIONS(6915),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6915),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6915),
    [anon_sym_DOLLAR] = ACTIONS(6911),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6915),
    [anon_sym_BSLASHleft] = ACTIONS(6911),
    [anon_sym_BSLASHbigl] = ACTIONS(6911),
    [anon_sym_BSLASHBigl] = ACTIONS(6911),
    [anon_sym_BSLASHbiggl] = ACTIONS(6911),
    [anon_sym_BSLASHBiggl] = ACTIONS(6911),
    [anon_sym_BSLASHright] = ACTIONS(6911),
    [anon_sym_BSLASHbigr] = ACTIONS(6911),
    [anon_sym_BSLASHBigr] = ACTIONS(6911),
    [anon_sym_BSLASHbiggr] = ACTIONS(6911),
    [anon_sym_BSLASHBiggr] = ACTIONS(6911),
    [anon_sym_BSLASHtext] = ACTIONS(6911),
    [anon_sym_BSLASHintertext] = ACTIONS(6911),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6911),
    [anon_sym_BSLASHbegin] = ACTIONS(6911),
    [anon_sym_BSLASHtitle] = ACTIONS(6911),
    [anon_sym_BSLASHauthor] = ACTIONS(6911),
    [anon_sym_BSLASHusepackage] = ACTIONS(6911),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6911),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6911),
    [anon_sym_BSLASHinclude] = ACTIONS(6911),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6911),
    [anon_sym_BSLASHinput] = ACTIONS(6911),
    [anon_sym_BSLASHsubfile] = ACTIONS(6911),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6911),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6911),
    [anon_sym_BSLASHbibliography] = ACTIONS(6911),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6911),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6911),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6911),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6911),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6911),
    [anon_sym_BSLASHimport] = ACTIONS(6911),
    [anon_sym_BSLASHsubimport] = ACTIONS(6911),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6911),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6911),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6911),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6911),
    [anon_sym_BSLASHcaption] = ACTIONS(6911),
    [anon_sym_BSLASHcite] = ACTIONS(6911),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCite] = ACTIONS(6911),
    [anon_sym_BSLASHnocite] = ACTIONS(6911),
    [anon_sym_BSLASHcitet] = ACTIONS(6911),
    [anon_sym_BSLASHcitep] = ACTIONS(6911),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteA] = ACTIONS(6911),
    [anon_sym_BSLASHciteR] = ACTIONS(6911),
    [anon_sym_BSLASHciteS] = ACTIONS(6911),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6911),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6911),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6911),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6911),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteyear] = ACTIONS(6911),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitedate] = ACTIONS(6911),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteurl] = ACTIONS(6911),
    [anon_sym_BSLASHfullcite] = ACTIONS(6911),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6911),
    [anon_sym_BSLASHcitealt] = ACTIONS(6911),
    [anon_sym_BSLASHcitealp] = ACTIONS(6911),
    [anon_sym_BSLASHcitetext] = ACTIONS(6911),
    [anon_sym_BSLASHparencite] = ACTIONS(6911),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHParencite] = ACTIONS(6911),
    [anon_sym_BSLASHfootcite] = ACTIONS(6911),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6911),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6911),
    [anon_sym_BSLASHtextcite] = ACTIONS(6911),
    [anon_sym_BSLASHTextcite] = ACTIONS(6911),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6911),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6911),
    [anon_sym_BSLASHsupercite] = ACTIONS(6911),
    [anon_sym_BSLASHautocite] = ACTIONS(6911),
    [anon_sym_BSLASHAutocite] = ACTIONS(6911),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHVolcite] = ACTIONS(6911),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHavolcite] = ACTIONS(6911),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHNotecite] = ACTIONS(6911),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHlabel] = ACTIONS(6911),
    [anon_sym_BSLASHref] = ACTIONS(6911),
    [anon_sym_BSLASHeqref] = ACTIONS(6911),
    [anon_sym_BSLASHvref] = ACTIONS(6911),
    [anon_sym_BSLASHVref] = ACTIONS(6911),
    [anon_sym_BSLASHautoref] = ACTIONS(6911),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHpageref] = ACTIONS(6911),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHautopageref] = ACTIONS(6911),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcref] = ACTIONS(6911),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCref] = ACTIONS(6911),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcpageref] = ACTIONS(6911),
    [anon_sym_BSLASHCpageref] = ACTIONS(6911),
    [anon_sym_BSLASHnamecref] = ACTIONS(6911),
    [anon_sym_BSLASHnameCref] = ACTIONS(6911),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6911),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6911),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6911),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6911),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6911),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6911),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6911),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6911),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6911),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6911),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6911),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHdef] = ACTIONS(6911),
    [anon_sym_BSLASHgdef] = ACTIONS(6911),
    [anon_sym_BSLASHedef] = ACTIONS(6911),
    [anon_sym_BSLASHxdef] = ACTIONS(6911),
    [anon_sym_BSLASHlet] = ACTIONS(6911),
    [anon_sym_BSLASHglet] = ACTIONS(6911),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6911),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6911),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6911),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6911),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6911),
    [anon_sym_BSLASHgls] = ACTIONS(6911),
    [anon_sym_BSLASHGls] = ACTIONS(6911),
    [anon_sym_BSLASHGLS] = ACTIONS(6911),
    [anon_sym_BSLASHglspl] = ACTIONS(6911),
    [anon_sym_BSLASHGlspl] = ACTIONS(6911),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6911),
    [anon_sym_BSLASHglslink] = ACTIONS(6911),
    [anon_sym_BSLASHglstext] = ACTIONS(6911),
    [anon_sym_BSLASHGlstext] = ACTIONS(6911),
    [anon_sym_BSLASHGLStext] = ACTIONS(6911),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6911),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6911),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6911),
    [anon_sym_BSLASHglsplural] = ACTIONS(6911),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6911),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6911),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHglsname] = ACTIONS(6911),
    [anon_sym_BSLASHGlsname] = ACTIONS(6911),
    [anon_sym_BSLASHGLSname] = ACTIONS(6911),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6911),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6911),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6911),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6911),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6911),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6911),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6911),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6911),
    [anon_sym_BSLASHacrshort] = ACTIONS(6911),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6911),
    [anon_sym_BSLASHACRshort] = ACTIONS(6911),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHacrlong] = ACTIONS(6911),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6911),
    [anon_sym_BSLASHACRlong] = ACTIONS(6911),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHacrfull] = ACTIONS(6911),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6911),
    [anon_sym_BSLASHACRfull] = ACTIONS(6911),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHacs] = ACTIONS(6911),
    [anon_sym_BSLASHAcs] = ACTIONS(6911),
    [anon_sym_BSLASHacsp] = ACTIONS(6911),
    [anon_sym_BSLASHAcsp] = ACTIONS(6911),
    [anon_sym_BSLASHacl] = ACTIONS(6911),
    [anon_sym_BSLASHAcl] = ACTIONS(6911),
    [anon_sym_BSLASHaclp] = ACTIONS(6911),
    [anon_sym_BSLASHAclp] = ACTIONS(6911),
    [anon_sym_BSLASHacf] = ACTIONS(6911),
    [anon_sym_BSLASHAcf] = ACTIONS(6911),
    [anon_sym_BSLASHacfp] = ACTIONS(6911),
    [anon_sym_BSLASHAcfp] = ACTIONS(6911),
    [anon_sym_BSLASHac] = ACTIONS(6911),
    [anon_sym_BSLASHAc] = ACTIONS(6911),
    [anon_sym_BSLASHacp] = ACTIONS(6911),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6911),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6911),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6911),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6911),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6911),
    [anon_sym_BSLASHcolor] = ACTIONS(6911),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6911),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6911),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6911),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6911),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6911),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6911),
    [anon_sym_BSLASHurl] = ACTIONS(6911),
    [anon_sym_BSLASHhref] = ACTIONS(6911),
  },
  [472] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(3795),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [473] = {
    [sym_brack_group_text] = STATE(705),
    [sym_command_name] = ACTIONS(6917),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6917),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [anon_sym_RBRACK] = ACTIONS(6921),
    [anon_sym_COMMA] = ACTIONS(6921),
    [anon_sym_EQ] = ACTIONS(6921),
    [anon_sym_LPAREN] = ACTIONS(6921),
    [anon_sym_RPAREN] = ACTIONS(6921),
    [anon_sym_BSLASHpart] = ACTIONS(6917),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHaddpart] = ACTIONS(6917),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHchapter] = ACTIONS(6917),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHaddchap] = ACTIONS(6917),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHsection] = ACTIONS(6917),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHaddsec] = ACTIONS(6917),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHsubsection] = ACTIONS(6917),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6917),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHparagraph] = ACTIONS(6917),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6917),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHitem] = ACTIONS(6917),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6921),
    [anon_sym_LBRACE] = ACTIONS(6921),
    [sym_word] = ACTIONS(6917),
    [sym_placeholder] = ACTIONS(6921),
    [sym_delimiter] = ACTIONS(6921),
    [anon_sym_PLUS] = ACTIONS(6921),
    [anon_sym_DASH] = ACTIONS(6921),
    [anon_sym_STAR] = ACTIONS(6921),
    [anon_sym_SLASH] = ACTIONS(6921),
    [anon_sym_LT] = ACTIONS(6917),
    [anon_sym_GT] = ACTIONS(6917),
    [anon_sym_BANG] = ACTIONS(6917),
    [anon_sym_PIPE] = ACTIONS(6917),
    [anon_sym_COLON] = ACTIONS(6917),
    [anon_sym_SQUOTE] = ACTIONS(6917),
    [anon_sym__] = ACTIONS(6921),
    [anon_sym_CARET] = ACTIONS(6921),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6921),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6921),
    [anon_sym_DOLLAR] = ACTIONS(6917),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6921),
    [anon_sym_BSLASHleft] = ACTIONS(6917),
    [anon_sym_BSLASHbigl] = ACTIONS(6917),
    [anon_sym_BSLASHBigl] = ACTIONS(6917),
    [anon_sym_BSLASHbiggl] = ACTIONS(6917),
    [anon_sym_BSLASHBiggl] = ACTIONS(6917),
    [anon_sym_BSLASHright] = ACTIONS(6917),
    [anon_sym_BSLASHbigr] = ACTIONS(6917),
    [anon_sym_BSLASHBigr] = ACTIONS(6917),
    [anon_sym_BSLASHbiggr] = ACTIONS(6917),
    [anon_sym_BSLASHBiggr] = ACTIONS(6917),
    [anon_sym_BSLASHtext] = ACTIONS(6917),
    [anon_sym_BSLASHintertext] = ACTIONS(6917),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6917),
    [anon_sym_BSLASHbegin] = ACTIONS(6917),
    [anon_sym_BSLASHtitle] = ACTIONS(6917),
    [anon_sym_BSLASHauthor] = ACTIONS(6917),
    [anon_sym_BSLASHusepackage] = ACTIONS(6917),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6917),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6917),
    [anon_sym_BSLASHinclude] = ACTIONS(6917),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6917),
    [anon_sym_BSLASHinput] = ACTIONS(6917),
    [anon_sym_BSLASHsubfile] = ACTIONS(6917),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6917),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6917),
    [anon_sym_BSLASHbibliography] = ACTIONS(6917),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6917),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6917),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6917),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6917),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6917),
    [anon_sym_BSLASHimport] = ACTIONS(6917),
    [anon_sym_BSLASHsubimport] = ACTIONS(6917),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6917),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6917),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6917),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6917),
    [anon_sym_BSLASHcaption] = ACTIONS(6917),
    [anon_sym_BSLASHcite] = ACTIONS(6917),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCite] = ACTIONS(6917),
    [anon_sym_BSLASHnocite] = ACTIONS(6917),
    [anon_sym_BSLASHcitet] = ACTIONS(6917),
    [anon_sym_BSLASHcitep] = ACTIONS(6917),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteA] = ACTIONS(6917),
    [anon_sym_BSLASHciteR] = ACTIONS(6917),
    [anon_sym_BSLASHciteS] = ACTIONS(6917),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6917),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6917),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6917),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6917),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteyear] = ACTIONS(6917),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitedate] = ACTIONS(6917),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteurl] = ACTIONS(6917),
    [anon_sym_BSLASHfullcite] = ACTIONS(6917),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6917),
    [anon_sym_BSLASHcitealt] = ACTIONS(6917),
    [anon_sym_BSLASHcitealp] = ACTIONS(6917),
    [anon_sym_BSLASHcitetext] = ACTIONS(6917),
    [anon_sym_BSLASHparencite] = ACTIONS(6917),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHParencite] = ACTIONS(6917),
    [anon_sym_BSLASHfootcite] = ACTIONS(6917),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6917),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6917),
    [anon_sym_BSLASHtextcite] = ACTIONS(6917),
    [anon_sym_BSLASHTextcite] = ACTIONS(6917),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6917),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6917),
    [anon_sym_BSLASHsupercite] = ACTIONS(6917),
    [anon_sym_BSLASHautocite] = ACTIONS(6917),
    [anon_sym_BSLASHAutocite] = ACTIONS(6917),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHVolcite] = ACTIONS(6917),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHavolcite] = ACTIONS(6917),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHNotecite] = ACTIONS(6917),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHlabel] = ACTIONS(6917),
    [anon_sym_BSLASHref] = ACTIONS(6917),
    [anon_sym_BSLASHeqref] = ACTIONS(6917),
    [anon_sym_BSLASHvref] = ACTIONS(6917),
    [anon_sym_BSLASHVref] = ACTIONS(6917),
    [anon_sym_BSLASHautoref] = ACTIONS(6917),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHpageref] = ACTIONS(6917),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHautopageref] = ACTIONS(6917),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcref] = ACTIONS(6917),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCref] = ACTIONS(6917),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcpageref] = ACTIONS(6917),
    [anon_sym_BSLASHCpageref] = ACTIONS(6917),
    [anon_sym_BSLASHnamecref] = ACTIONS(6917),
    [anon_sym_BSLASHnameCref] = ACTIONS(6917),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6917),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6917),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6917),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6917),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6917),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6917),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6917),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6917),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6917),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6917),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6917),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHdef] = ACTIONS(6917),
    [anon_sym_BSLASHgdef] = ACTIONS(6917),
    [anon_sym_BSLASHedef] = ACTIONS(6917),
    [anon_sym_BSLASHxdef] = ACTIONS(6917),
    [anon_sym_BSLASHlet] = ACTIONS(6917),
    [anon_sym_BSLASHglet] = ACTIONS(6917),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6917),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6917),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6917),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6917),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6917),
    [anon_sym_BSLASHgls] = ACTIONS(6917),
    [anon_sym_BSLASHGls] = ACTIONS(6917),
    [anon_sym_BSLASHGLS] = ACTIONS(6917),
    [anon_sym_BSLASHglspl] = ACTIONS(6917),
    [anon_sym_BSLASHGlspl] = ACTIONS(6917),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6917),
    [anon_sym_BSLASHglslink] = ACTIONS(6917),
    [anon_sym_BSLASHglstext] = ACTIONS(6917),
    [anon_sym_BSLASHGlstext] = ACTIONS(6917),
    [anon_sym_BSLASHGLStext] = ACTIONS(6917),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6917),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6917),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6917),
    [anon_sym_BSLASHglsplural] = ACTIONS(6917),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6917),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6917),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHglsname] = ACTIONS(6917),
    [anon_sym_BSLASHGlsname] = ACTIONS(6917),
    [anon_sym_BSLASHGLSname] = ACTIONS(6917),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6917),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6917),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6917),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6917),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6917),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6917),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6917),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6917),
    [anon_sym_BSLASHacrshort] = ACTIONS(6917),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6917),
    [anon_sym_BSLASHACRshort] = ACTIONS(6917),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHacrlong] = ACTIONS(6917),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6917),
    [anon_sym_BSLASHACRlong] = ACTIONS(6917),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHacrfull] = ACTIONS(6917),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6917),
    [anon_sym_BSLASHACRfull] = ACTIONS(6917),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHacs] = ACTIONS(6917),
    [anon_sym_BSLASHAcs] = ACTIONS(6917),
    [anon_sym_BSLASHacsp] = ACTIONS(6917),
    [anon_sym_BSLASHAcsp] = ACTIONS(6917),
    [anon_sym_BSLASHacl] = ACTIONS(6917),
    [anon_sym_BSLASHAcl] = ACTIONS(6917),
    [anon_sym_BSLASHaclp] = ACTIONS(6917),
    [anon_sym_BSLASHAclp] = ACTIONS(6917),
    [anon_sym_BSLASHacf] = ACTIONS(6917),
    [anon_sym_BSLASHAcf] = ACTIONS(6917),
    [anon_sym_BSLASHacfp] = ACTIONS(6917),
    [anon_sym_BSLASHAcfp] = ACTIONS(6917),
    [anon_sym_BSLASHac] = ACTIONS(6917),
    [anon_sym_BSLASHAc] = ACTIONS(6917),
    [anon_sym_BSLASHacp] = ACTIONS(6917),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6917),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6917),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6917),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6917),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6917),
    [anon_sym_BSLASHcolor] = ACTIONS(6917),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6917),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6917),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6917),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6917),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6917),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6917),
    [anon_sym_BSLASHurl] = ACTIONS(6917),
    [anon_sym_BSLASHhref] = ACTIONS(6917),
  },
  [474] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(3963),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [475] = {
    [sym_curly_group] = STATE(714),
    [sym_command_name] = ACTIONS(6923),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6923),
    [anon_sym_LBRACK] = ACTIONS(6925),
    [anon_sym_RBRACK] = ACTIONS(6925),
    [anon_sym_COMMA] = ACTIONS(6925),
    [anon_sym_EQ] = ACTIONS(6925),
    [anon_sym_LPAREN] = ACTIONS(6925),
    [anon_sym_RPAREN] = ACTIONS(6925),
    [anon_sym_BSLASHpart] = ACTIONS(6923),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHaddpart] = ACTIONS(6923),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHchapter] = ACTIONS(6923),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHaddchap] = ACTIONS(6923),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHsection] = ACTIONS(6923),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHaddsec] = ACTIONS(6923),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHsubsection] = ACTIONS(6923),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6923),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHparagraph] = ACTIONS(6923),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6923),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHitem] = ACTIONS(6923),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6925),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(6923),
    [sym_placeholder] = ACTIONS(6925),
    [sym_delimiter] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6925),
    [anon_sym_DASH] = ACTIONS(6925),
    [anon_sym_STAR] = ACTIONS(6925),
    [anon_sym_SLASH] = ACTIONS(6925),
    [anon_sym_LT] = ACTIONS(6923),
    [anon_sym_GT] = ACTIONS(6923),
    [anon_sym_BANG] = ACTIONS(6923),
    [anon_sym_PIPE] = ACTIONS(6923),
    [anon_sym_COLON] = ACTIONS(6923),
    [anon_sym_SQUOTE] = ACTIONS(6923),
    [anon_sym__] = ACTIONS(6925),
    [anon_sym_CARET] = ACTIONS(6925),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6925),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6925),
    [anon_sym_DOLLAR] = ACTIONS(6923),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6925),
    [anon_sym_BSLASHleft] = ACTIONS(6923),
    [anon_sym_BSLASHbigl] = ACTIONS(6923),
    [anon_sym_BSLASHBigl] = ACTIONS(6923),
    [anon_sym_BSLASHbiggl] = ACTIONS(6923),
    [anon_sym_BSLASHBiggl] = ACTIONS(6923),
    [anon_sym_BSLASHright] = ACTIONS(6923),
    [anon_sym_BSLASHbigr] = ACTIONS(6923),
    [anon_sym_BSLASHBigr] = ACTIONS(6923),
    [anon_sym_BSLASHbiggr] = ACTIONS(6923),
    [anon_sym_BSLASHBiggr] = ACTIONS(6923),
    [anon_sym_BSLASHtext] = ACTIONS(6923),
    [anon_sym_BSLASHintertext] = ACTIONS(6923),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6923),
    [anon_sym_BSLASHbegin] = ACTIONS(6923),
    [anon_sym_BSLASHtitle] = ACTIONS(6923),
    [anon_sym_BSLASHauthor] = ACTIONS(6923),
    [anon_sym_BSLASHusepackage] = ACTIONS(6923),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6923),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6923),
    [anon_sym_BSLASHinclude] = ACTIONS(6923),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6923),
    [anon_sym_BSLASHinput] = ACTIONS(6923),
    [anon_sym_BSLASHsubfile] = ACTIONS(6923),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6923),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6923),
    [anon_sym_BSLASHbibliography] = ACTIONS(6923),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6923),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6923),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6923),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6923),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6923),
    [anon_sym_BSLASHimport] = ACTIONS(6923),
    [anon_sym_BSLASHsubimport] = ACTIONS(6923),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6923),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6923),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6923),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6923),
    [anon_sym_BSLASHcaption] = ACTIONS(6923),
    [anon_sym_BSLASHcite] = ACTIONS(6923),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCite] = ACTIONS(6923),
    [anon_sym_BSLASHnocite] = ACTIONS(6923),
    [anon_sym_BSLASHcitet] = ACTIONS(6923),
    [anon_sym_BSLASHcitep] = ACTIONS(6923),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteA] = ACTIONS(6923),
    [anon_sym_BSLASHciteR] = ACTIONS(6923),
    [anon_sym_BSLASHciteS] = ACTIONS(6923),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6923),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6923),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6923),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6923),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteyear] = ACTIONS(6923),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitedate] = ACTIONS(6923),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteurl] = ACTIONS(6923),
    [anon_sym_BSLASHfullcite] = ACTIONS(6923),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6923),
    [anon_sym_BSLASHcitealt] = ACTIONS(6923),
    [anon_sym_BSLASHcitealp] = ACTIONS(6923),
    [anon_sym_BSLASHcitetext] = ACTIONS(6923),
    [anon_sym_BSLASHparencite] = ACTIONS(6923),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHParencite] = ACTIONS(6923),
    [anon_sym_BSLASHfootcite] = ACTIONS(6923),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6923),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6923),
    [anon_sym_BSLASHtextcite] = ACTIONS(6923),
    [anon_sym_BSLASHTextcite] = ACTIONS(6923),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6923),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6923),
    [anon_sym_BSLASHsupercite] = ACTIONS(6923),
    [anon_sym_BSLASHautocite] = ACTIONS(6923),
    [anon_sym_BSLASHAutocite] = ACTIONS(6923),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHVolcite] = ACTIONS(6923),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHavolcite] = ACTIONS(6923),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHNotecite] = ACTIONS(6923),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHlabel] = ACTIONS(6923),
    [anon_sym_BSLASHref] = ACTIONS(6923),
    [anon_sym_BSLASHeqref] = ACTIONS(6923),
    [anon_sym_BSLASHvref] = ACTIONS(6923),
    [anon_sym_BSLASHVref] = ACTIONS(6923),
    [anon_sym_BSLASHautoref] = ACTIONS(6923),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHpageref] = ACTIONS(6923),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHautopageref] = ACTIONS(6923),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcref] = ACTIONS(6923),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCref] = ACTIONS(6923),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcpageref] = ACTIONS(6923),
    [anon_sym_BSLASHCpageref] = ACTIONS(6923),
    [anon_sym_BSLASHnamecref] = ACTIONS(6923),
    [anon_sym_BSLASHnameCref] = ACTIONS(6923),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6923),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6923),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6923),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6923),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6923),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6923),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6923),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6923),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6923),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6923),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6923),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHdef] = ACTIONS(6923),
    [anon_sym_BSLASHgdef] = ACTIONS(6923),
    [anon_sym_BSLASHedef] = ACTIONS(6923),
    [anon_sym_BSLASHxdef] = ACTIONS(6923),
    [anon_sym_BSLASHlet] = ACTIONS(6923),
    [anon_sym_BSLASHglet] = ACTIONS(6923),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6923),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6923),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6923),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6923),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6923),
    [anon_sym_BSLASHgls] = ACTIONS(6923),
    [anon_sym_BSLASHGls] = ACTIONS(6923),
    [anon_sym_BSLASHGLS] = ACTIONS(6923),
    [anon_sym_BSLASHglspl] = ACTIONS(6923),
    [anon_sym_BSLASHGlspl] = ACTIONS(6923),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6923),
    [anon_sym_BSLASHglslink] = ACTIONS(6923),
    [anon_sym_BSLASHglstext] = ACTIONS(6923),
    [anon_sym_BSLASHGlstext] = ACTIONS(6923),
    [anon_sym_BSLASHGLStext] = ACTIONS(6923),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6923),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6923),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6923),
    [anon_sym_BSLASHglsplural] = ACTIONS(6923),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6923),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6923),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHglsname] = ACTIONS(6923),
    [anon_sym_BSLASHGlsname] = ACTIONS(6923),
    [anon_sym_BSLASHGLSname] = ACTIONS(6923),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6923),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6923),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6923),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6923),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6923),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6923),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6923),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6923),
    [anon_sym_BSLASHacrshort] = ACTIONS(6923),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6923),
    [anon_sym_BSLASHACRshort] = ACTIONS(6923),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHacrlong] = ACTIONS(6923),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6923),
    [anon_sym_BSLASHACRlong] = ACTIONS(6923),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHacrfull] = ACTIONS(6923),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6923),
    [anon_sym_BSLASHACRfull] = ACTIONS(6923),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHacs] = ACTIONS(6923),
    [anon_sym_BSLASHAcs] = ACTIONS(6923),
    [anon_sym_BSLASHacsp] = ACTIONS(6923),
    [anon_sym_BSLASHAcsp] = ACTIONS(6923),
    [anon_sym_BSLASHacl] = ACTIONS(6923),
    [anon_sym_BSLASHAcl] = ACTIONS(6923),
    [anon_sym_BSLASHaclp] = ACTIONS(6923),
    [anon_sym_BSLASHAclp] = ACTIONS(6923),
    [anon_sym_BSLASHacf] = ACTIONS(6923),
    [anon_sym_BSLASHAcf] = ACTIONS(6923),
    [anon_sym_BSLASHacfp] = ACTIONS(6923),
    [anon_sym_BSLASHAcfp] = ACTIONS(6923),
    [anon_sym_BSLASHac] = ACTIONS(6923),
    [anon_sym_BSLASHAc] = ACTIONS(6923),
    [anon_sym_BSLASHacp] = ACTIONS(6923),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6923),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6923),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6923),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6923),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6923),
    [anon_sym_BSLASHcolor] = ACTIONS(6923),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6923),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6923),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6923),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6923),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6923),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6923),
    [anon_sym_BSLASHurl] = ACTIONS(6923),
    [anon_sym_BSLASHhref] = ACTIONS(6923),
  },
  [476] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(3970),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [477] = {
    [sym_brack_group_text] = STATE(544),
    [sym_command_name] = ACTIONS(6927),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6927),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [anon_sym_RBRACK] = ACTIONS(6929),
    [anon_sym_COMMA] = ACTIONS(6929),
    [anon_sym_EQ] = ACTIONS(6929),
    [anon_sym_LPAREN] = ACTIONS(6929),
    [anon_sym_RPAREN] = ACTIONS(6929),
    [anon_sym_BSLASHpart] = ACTIONS(6927),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHaddpart] = ACTIONS(6927),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHchapter] = ACTIONS(6927),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHaddchap] = ACTIONS(6927),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHsection] = ACTIONS(6927),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHaddsec] = ACTIONS(6927),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHsubsection] = ACTIONS(6927),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6927),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHparagraph] = ACTIONS(6927),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6927),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHitem] = ACTIONS(6927),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6929),
    [anon_sym_LBRACE] = ACTIONS(6929),
    [sym_word] = ACTIONS(6927),
    [sym_placeholder] = ACTIONS(6929),
    [sym_delimiter] = ACTIONS(6929),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_STAR] = ACTIONS(6929),
    [anon_sym_SLASH] = ACTIONS(6929),
    [anon_sym_LT] = ACTIONS(6927),
    [anon_sym_GT] = ACTIONS(6927),
    [anon_sym_BANG] = ACTIONS(6927),
    [anon_sym_PIPE] = ACTIONS(6927),
    [anon_sym_COLON] = ACTIONS(6927),
    [anon_sym_SQUOTE] = ACTIONS(6927),
    [anon_sym__] = ACTIONS(6929),
    [anon_sym_CARET] = ACTIONS(6929),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6929),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6929),
    [anon_sym_DOLLAR] = ACTIONS(6927),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6929),
    [anon_sym_BSLASHleft] = ACTIONS(6927),
    [anon_sym_BSLASHbigl] = ACTIONS(6927),
    [anon_sym_BSLASHBigl] = ACTIONS(6927),
    [anon_sym_BSLASHbiggl] = ACTIONS(6927),
    [anon_sym_BSLASHBiggl] = ACTIONS(6927),
    [anon_sym_BSLASHright] = ACTIONS(6927),
    [anon_sym_BSLASHbigr] = ACTIONS(6927),
    [anon_sym_BSLASHBigr] = ACTIONS(6927),
    [anon_sym_BSLASHbiggr] = ACTIONS(6927),
    [anon_sym_BSLASHBiggr] = ACTIONS(6927),
    [anon_sym_BSLASHtext] = ACTIONS(6927),
    [anon_sym_BSLASHintertext] = ACTIONS(6927),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6927),
    [anon_sym_BSLASHbegin] = ACTIONS(6927),
    [anon_sym_BSLASHtitle] = ACTIONS(6927),
    [anon_sym_BSLASHauthor] = ACTIONS(6927),
    [anon_sym_BSLASHusepackage] = ACTIONS(6927),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6927),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6927),
    [anon_sym_BSLASHinclude] = ACTIONS(6927),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6927),
    [anon_sym_BSLASHinput] = ACTIONS(6927),
    [anon_sym_BSLASHsubfile] = ACTIONS(6927),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6927),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6927),
    [anon_sym_BSLASHbibliography] = ACTIONS(6927),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6927),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6927),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6927),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6927),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6927),
    [anon_sym_BSLASHimport] = ACTIONS(6927),
    [anon_sym_BSLASHsubimport] = ACTIONS(6927),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6927),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6927),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6927),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6927),
    [anon_sym_BSLASHcaption] = ACTIONS(6927),
    [anon_sym_BSLASHcite] = ACTIONS(6927),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHCite] = ACTIONS(6927),
    [anon_sym_BSLASHnocite] = ACTIONS(6927),
    [anon_sym_BSLASHcitet] = ACTIONS(6927),
    [anon_sym_BSLASHcitep] = ACTIONS(6927),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHciteA] = ACTIONS(6927),
    [anon_sym_BSLASHciteR] = ACTIONS(6927),
    [anon_sym_BSLASHciteS] = ACTIONS(6927),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6927),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6927),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6927),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6927),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHciteyear] = ACTIONS(6927),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcitedate] = ACTIONS(6927),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHciteurl] = ACTIONS(6927),
    [anon_sym_BSLASHfullcite] = ACTIONS(6927),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6927),
    [anon_sym_BSLASHcitealt] = ACTIONS(6927),
    [anon_sym_BSLASHcitealp] = ACTIONS(6927),
    [anon_sym_BSLASHcitetext] = ACTIONS(6927),
    [anon_sym_BSLASHparencite] = ACTIONS(6927),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHParencite] = ACTIONS(6927),
    [anon_sym_BSLASHfootcite] = ACTIONS(6927),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6927),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6927),
    [anon_sym_BSLASHtextcite] = ACTIONS(6927),
    [anon_sym_BSLASHTextcite] = ACTIONS(6927),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6927),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6927),
    [anon_sym_BSLASHsupercite] = ACTIONS(6927),
    [anon_sym_BSLASHautocite] = ACTIONS(6927),
    [anon_sym_BSLASHAutocite] = ACTIONS(6927),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHVolcite] = ACTIONS(6927),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHavolcite] = ACTIONS(6927),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHnotecite] = ACTIONS(6927),
    [anon_sym_BSLASHNotecite] = ACTIONS(6927),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6927),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6927),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6927),
    [anon_sym_BSLASHlabel] = ACTIONS(6927),
    [anon_sym_BSLASHref] = ACTIONS(6927),
    [anon_sym_BSLASHeqref] = ACTIONS(6927),
    [anon_sym_BSLASHvref] = ACTIONS(6927),
    [anon_sym_BSLASHVref] = ACTIONS(6927),
    [anon_sym_BSLASHautoref] = ACTIONS(6927),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHpageref] = ACTIONS(6927),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHautopageref] = ACTIONS(6927),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcref] = ACTIONS(6927),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHCref] = ACTIONS(6927),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcpageref] = ACTIONS(6927),
    [anon_sym_BSLASHCpageref] = ACTIONS(6927),
    [anon_sym_BSLASHnamecref] = ACTIONS(6927),
    [anon_sym_BSLASHnameCref] = ACTIONS(6927),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6927),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6927),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6927),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6927),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6927),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6927),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6927),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6927),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6927),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6927),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6927),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6927),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6927),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6927),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6927),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6927),
    [anon_sym_BSLASHdef] = ACTIONS(6927),
    [anon_sym_BSLASHgdef] = ACTIONS(6927),
    [anon_sym_BSLASHedef] = ACTIONS(6927),
    [anon_sym_BSLASHxdef] = ACTIONS(6927),
    [anon_sym_BSLASHlet] = ACTIONS(6927),
    [anon_sym_BSLASHglet] = ACTIONS(6927),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6927),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6927),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6927),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6927),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6927),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6927),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6927),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6927),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6927),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6927),
    [anon_sym_BSLASHgls] = ACTIONS(6927),
    [anon_sym_BSLASHGls] = ACTIONS(6927),
    [anon_sym_BSLASHGLS] = ACTIONS(6927),
    [anon_sym_BSLASHglspl] = ACTIONS(6927),
    [anon_sym_BSLASHGlspl] = ACTIONS(6927),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6927),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6927),
    [anon_sym_BSLASHglslink] = ACTIONS(6927),
    [anon_sym_BSLASHglstext] = ACTIONS(6927),
    [anon_sym_BSLASHGlstext] = ACTIONS(6927),
    [anon_sym_BSLASHGLStext] = ACTIONS(6927),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6927),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6927),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6927),
    [anon_sym_BSLASHglsplural] = ACTIONS(6927),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6927),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6927),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6927),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6927),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6927),
    [anon_sym_BSLASHglsname] = ACTIONS(6927),
    [anon_sym_BSLASHGlsname] = ACTIONS(6927),
    [anon_sym_BSLASHGLSname] = ACTIONS(6927),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6927),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6927),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6927),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6927),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6927),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6927),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6927),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6927),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6927),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6927),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6927),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6927),
    [anon_sym_BSLASHacrshort] = ACTIONS(6927),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6927),
    [anon_sym_BSLASHACRshort] = ACTIONS(6927),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6927),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6927),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6927),
    [anon_sym_BSLASHacrlong] = ACTIONS(6927),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6927),
    [anon_sym_BSLASHACRlong] = ACTIONS(6927),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6927),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6927),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6927),
    [anon_sym_BSLASHacrfull] = ACTIONS(6927),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6927),
    [anon_sym_BSLASHACRfull] = ACTIONS(6927),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6927),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6927),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6927),
    [anon_sym_BSLASHacs] = ACTIONS(6927),
    [anon_sym_BSLASHAcs] = ACTIONS(6927),
    [anon_sym_BSLASHacsp] = ACTIONS(6927),
    [anon_sym_BSLASHAcsp] = ACTIONS(6927),
    [anon_sym_BSLASHacl] = ACTIONS(6927),
    [anon_sym_BSLASHAcl] = ACTIONS(6927),
    [anon_sym_BSLASHaclp] = ACTIONS(6927),
    [anon_sym_BSLASHAclp] = ACTIONS(6927),
    [anon_sym_BSLASHacf] = ACTIONS(6927),
    [anon_sym_BSLASHAcf] = ACTIONS(6927),
    [anon_sym_BSLASHacfp] = ACTIONS(6927),
    [anon_sym_BSLASHAcfp] = ACTIONS(6927),
    [anon_sym_BSLASHac] = ACTIONS(6927),
    [anon_sym_BSLASHAc] = ACTIONS(6927),
    [anon_sym_BSLASHacp] = ACTIONS(6927),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6927),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6927),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6927),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6927),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6927),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6927),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6927),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6927),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6927),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6927),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6927),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6927),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6927),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6927),
    [anon_sym_BSLASHcolor] = ACTIONS(6927),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6927),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6927),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6927),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6927),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6927),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6927),
    [anon_sym_BSLASHurl] = ACTIONS(6927),
    [anon_sym_BSLASHhref] = ACTIONS(6927),
  },
  [478] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(3918),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [479] = {
    [sym_brack_group_text] = STATE(719),
    [sym_command_name] = ACTIONS(6931),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6931),
    [anon_sym_LBRACK] = ACTIONS(6919),
    [anon_sym_RBRACK] = ACTIONS(6933),
    [anon_sym_COMMA] = ACTIONS(6933),
    [anon_sym_EQ] = ACTIONS(6933),
    [anon_sym_LPAREN] = ACTIONS(6933),
    [anon_sym_RPAREN] = ACTIONS(6933),
    [anon_sym_BSLASHpart] = ACTIONS(6931),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHaddpart] = ACTIONS(6931),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHchapter] = ACTIONS(6931),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHaddchap] = ACTIONS(6931),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHsection] = ACTIONS(6931),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHaddsec] = ACTIONS(6931),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHsubsection] = ACTIONS(6931),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6931),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHparagraph] = ACTIONS(6931),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6931),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHitem] = ACTIONS(6931),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6933),
    [anon_sym_LBRACE] = ACTIONS(6933),
    [sym_word] = ACTIONS(6931),
    [sym_placeholder] = ACTIONS(6933),
    [sym_delimiter] = ACTIONS(6933),
    [anon_sym_PLUS] = ACTIONS(6933),
    [anon_sym_DASH] = ACTIONS(6933),
    [anon_sym_STAR] = ACTIONS(6933),
    [anon_sym_SLASH] = ACTIONS(6933),
    [anon_sym_LT] = ACTIONS(6931),
    [anon_sym_GT] = ACTIONS(6931),
    [anon_sym_BANG] = ACTIONS(6931),
    [anon_sym_PIPE] = ACTIONS(6931),
    [anon_sym_COLON] = ACTIONS(6931),
    [anon_sym_SQUOTE] = ACTIONS(6931),
    [anon_sym__] = ACTIONS(6933),
    [anon_sym_CARET] = ACTIONS(6933),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6933),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6933),
    [anon_sym_DOLLAR] = ACTIONS(6931),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6933),
    [anon_sym_BSLASHleft] = ACTIONS(6931),
    [anon_sym_BSLASHbigl] = ACTIONS(6931),
    [anon_sym_BSLASHBigl] = ACTIONS(6931),
    [anon_sym_BSLASHbiggl] = ACTIONS(6931),
    [anon_sym_BSLASHBiggl] = ACTIONS(6931),
    [anon_sym_BSLASHright] = ACTIONS(6931),
    [anon_sym_BSLASHbigr] = ACTIONS(6931),
    [anon_sym_BSLASHBigr] = ACTIONS(6931),
    [anon_sym_BSLASHbiggr] = ACTIONS(6931),
    [anon_sym_BSLASHBiggr] = ACTIONS(6931),
    [anon_sym_BSLASHtext] = ACTIONS(6931),
    [anon_sym_BSLASHintertext] = ACTIONS(6931),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6931),
    [anon_sym_BSLASHbegin] = ACTIONS(6931),
    [anon_sym_BSLASHtitle] = ACTIONS(6931),
    [anon_sym_BSLASHauthor] = ACTIONS(6931),
    [anon_sym_BSLASHusepackage] = ACTIONS(6931),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6931),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6931),
    [anon_sym_BSLASHinclude] = ACTIONS(6931),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6931),
    [anon_sym_BSLASHinput] = ACTIONS(6931),
    [anon_sym_BSLASHsubfile] = ACTIONS(6931),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6931),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6931),
    [anon_sym_BSLASHbibliography] = ACTIONS(6931),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6931),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6931),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6931),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6931),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6931),
    [anon_sym_BSLASHimport] = ACTIONS(6931),
    [anon_sym_BSLASHsubimport] = ACTIONS(6931),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6931),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6931),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6931),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6931),
    [anon_sym_BSLASHcaption] = ACTIONS(6931),
    [anon_sym_BSLASHcite] = ACTIONS(6931),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCite] = ACTIONS(6931),
    [anon_sym_BSLASHnocite] = ACTIONS(6931),
    [anon_sym_BSLASHcitet] = ACTIONS(6931),
    [anon_sym_BSLASHcitep] = ACTIONS(6931),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteA] = ACTIONS(6931),
    [anon_sym_BSLASHciteR] = ACTIONS(6931),
    [anon_sym_BSLASHciteS] = ACTIONS(6931),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6931),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6931),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6931),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6931),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteyear] = ACTIONS(6931),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitedate] = ACTIONS(6931),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteurl] = ACTIONS(6931),
    [anon_sym_BSLASHfullcite] = ACTIONS(6931),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6931),
    [anon_sym_BSLASHcitealt] = ACTIONS(6931),
    [anon_sym_BSLASHcitealp] = ACTIONS(6931),
    [anon_sym_BSLASHcitetext] = ACTIONS(6931),
    [anon_sym_BSLASHparencite] = ACTIONS(6931),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHParencite] = ACTIONS(6931),
    [anon_sym_BSLASHfootcite] = ACTIONS(6931),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6931),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6931),
    [anon_sym_BSLASHtextcite] = ACTIONS(6931),
    [anon_sym_BSLASHTextcite] = ACTIONS(6931),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6931),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6931),
    [anon_sym_BSLASHsupercite] = ACTIONS(6931),
    [anon_sym_BSLASHautocite] = ACTIONS(6931),
    [anon_sym_BSLASHAutocite] = ACTIONS(6931),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHVolcite] = ACTIONS(6931),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHavolcite] = ACTIONS(6931),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHNotecite] = ACTIONS(6931),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHlabel] = ACTIONS(6931),
    [anon_sym_BSLASHref] = ACTIONS(6931),
    [anon_sym_BSLASHeqref] = ACTIONS(6931),
    [anon_sym_BSLASHvref] = ACTIONS(6931),
    [anon_sym_BSLASHVref] = ACTIONS(6931),
    [anon_sym_BSLASHautoref] = ACTIONS(6931),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHpageref] = ACTIONS(6931),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHautopageref] = ACTIONS(6931),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcref] = ACTIONS(6931),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCref] = ACTIONS(6931),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcpageref] = ACTIONS(6931),
    [anon_sym_BSLASHCpageref] = ACTIONS(6931),
    [anon_sym_BSLASHnamecref] = ACTIONS(6931),
    [anon_sym_BSLASHnameCref] = ACTIONS(6931),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6931),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6931),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6931),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6931),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6931),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6931),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6931),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6931),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6931),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6931),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6931),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHdef] = ACTIONS(6931),
    [anon_sym_BSLASHgdef] = ACTIONS(6931),
    [anon_sym_BSLASHedef] = ACTIONS(6931),
    [anon_sym_BSLASHxdef] = ACTIONS(6931),
    [anon_sym_BSLASHlet] = ACTIONS(6931),
    [anon_sym_BSLASHglet] = ACTIONS(6931),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6931),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6931),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6931),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6931),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6931),
    [anon_sym_BSLASHgls] = ACTIONS(6931),
    [anon_sym_BSLASHGls] = ACTIONS(6931),
    [anon_sym_BSLASHGLS] = ACTIONS(6931),
    [anon_sym_BSLASHglspl] = ACTIONS(6931),
    [anon_sym_BSLASHGlspl] = ACTIONS(6931),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6931),
    [anon_sym_BSLASHglslink] = ACTIONS(6931),
    [anon_sym_BSLASHglstext] = ACTIONS(6931),
    [anon_sym_BSLASHGlstext] = ACTIONS(6931),
    [anon_sym_BSLASHGLStext] = ACTIONS(6931),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6931),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6931),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6931),
    [anon_sym_BSLASHglsplural] = ACTIONS(6931),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6931),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6931),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHglsname] = ACTIONS(6931),
    [anon_sym_BSLASHGlsname] = ACTIONS(6931),
    [anon_sym_BSLASHGLSname] = ACTIONS(6931),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6931),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6931),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6931),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6931),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6931),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6931),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6931),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6931),
    [anon_sym_BSLASHacrshort] = ACTIONS(6931),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6931),
    [anon_sym_BSLASHACRshort] = ACTIONS(6931),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHacrlong] = ACTIONS(6931),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6931),
    [anon_sym_BSLASHACRlong] = ACTIONS(6931),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHacrfull] = ACTIONS(6931),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6931),
    [anon_sym_BSLASHACRfull] = ACTIONS(6931),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHacs] = ACTIONS(6931),
    [anon_sym_BSLASHAcs] = ACTIONS(6931),
    [anon_sym_BSLASHacsp] = ACTIONS(6931),
    [anon_sym_BSLASHAcsp] = ACTIONS(6931),
    [anon_sym_BSLASHacl] = ACTIONS(6931),
    [anon_sym_BSLASHAcl] = ACTIONS(6931),
    [anon_sym_BSLASHaclp] = ACTIONS(6931),
    [anon_sym_BSLASHAclp] = ACTIONS(6931),
    [anon_sym_BSLASHacf] = ACTIONS(6931),
    [anon_sym_BSLASHAcf] = ACTIONS(6931),
    [anon_sym_BSLASHacfp] = ACTIONS(6931),
    [anon_sym_BSLASHAcfp] = ACTIONS(6931),
    [anon_sym_BSLASHac] = ACTIONS(6931),
    [anon_sym_BSLASHAc] = ACTIONS(6931),
    [anon_sym_BSLASHacp] = ACTIONS(6931),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6931),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6931),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6931),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6931),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6931),
    [anon_sym_BSLASHcolor] = ACTIONS(6931),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6931),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6931),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6931),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6931),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6931),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6931),
    [anon_sym_BSLASHurl] = ACTIONS(6931),
    [anon_sym_BSLASHhref] = ACTIONS(6931),
  },
  [480] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(3922),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [481] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(3936),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [482] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(3781),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [483] = {
    [sym_curly_group] = STATE(723),
    [sym_command_name] = ACTIONS(6935),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6937),
    [anon_sym_RBRACK] = ACTIONS(6937),
    [anon_sym_COMMA] = ACTIONS(6937),
    [anon_sym_EQ] = ACTIONS(6937),
    [anon_sym_LPAREN] = ACTIONS(6937),
    [anon_sym_RPAREN] = ACTIONS(6937),
    [anon_sym_BSLASHpart] = ACTIONS(6935),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHaddpart] = ACTIONS(6935),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHchapter] = ACTIONS(6935),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHaddchap] = ACTIONS(6935),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHsection] = ACTIONS(6935),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHaddsec] = ACTIONS(6935),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHsubsection] = ACTIONS(6935),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6935),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHparagraph] = ACTIONS(6935),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6935),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHitem] = ACTIONS(6935),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6937),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(6935),
    [sym_placeholder] = ACTIONS(6937),
    [sym_delimiter] = ACTIONS(6937),
    [anon_sym_PLUS] = ACTIONS(6937),
    [anon_sym_DASH] = ACTIONS(6937),
    [anon_sym_STAR] = ACTIONS(6937),
    [anon_sym_SLASH] = ACTIONS(6937),
    [anon_sym_LT] = ACTIONS(6935),
    [anon_sym_GT] = ACTIONS(6935),
    [anon_sym_BANG] = ACTIONS(6935),
    [anon_sym_PIPE] = ACTIONS(6935),
    [anon_sym_COLON] = ACTIONS(6935),
    [anon_sym_SQUOTE] = ACTIONS(6935),
    [anon_sym__] = ACTIONS(6937),
    [anon_sym_CARET] = ACTIONS(6937),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6937),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6937),
    [anon_sym_DOLLAR] = ACTIONS(6935),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6937),
    [anon_sym_BSLASHleft] = ACTIONS(6935),
    [anon_sym_BSLASHbigl] = ACTIONS(6935),
    [anon_sym_BSLASHBigl] = ACTIONS(6935),
    [anon_sym_BSLASHbiggl] = ACTIONS(6935),
    [anon_sym_BSLASHBiggl] = ACTIONS(6935),
    [anon_sym_BSLASHright] = ACTIONS(6935),
    [anon_sym_BSLASHbigr] = ACTIONS(6935),
    [anon_sym_BSLASHBigr] = ACTIONS(6935),
    [anon_sym_BSLASHbiggr] = ACTIONS(6935),
    [anon_sym_BSLASHBiggr] = ACTIONS(6935),
    [anon_sym_BSLASHtext] = ACTIONS(6935),
    [anon_sym_BSLASHintertext] = ACTIONS(6935),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6935),
    [anon_sym_BSLASHbegin] = ACTIONS(6935),
    [anon_sym_BSLASHtitle] = ACTIONS(6935),
    [anon_sym_BSLASHauthor] = ACTIONS(6935),
    [anon_sym_BSLASHusepackage] = ACTIONS(6935),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6935),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6935),
    [anon_sym_BSLASHinclude] = ACTIONS(6935),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6935),
    [anon_sym_BSLASHinput] = ACTIONS(6935),
    [anon_sym_BSLASHsubfile] = ACTIONS(6935),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6935),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6935),
    [anon_sym_BSLASHbibliography] = ACTIONS(6935),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6935),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6935),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6935),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6935),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6935),
    [anon_sym_BSLASHimport] = ACTIONS(6935),
    [anon_sym_BSLASHsubimport] = ACTIONS(6935),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6935),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6935),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6935),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6935),
    [anon_sym_BSLASHcaption] = ACTIONS(6935),
    [anon_sym_BSLASHcite] = ACTIONS(6935),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCite] = ACTIONS(6935),
    [anon_sym_BSLASHnocite] = ACTIONS(6935),
    [anon_sym_BSLASHcitet] = ACTIONS(6935),
    [anon_sym_BSLASHcitep] = ACTIONS(6935),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteA] = ACTIONS(6935),
    [anon_sym_BSLASHciteR] = ACTIONS(6935),
    [anon_sym_BSLASHciteS] = ACTIONS(6935),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6935),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6935),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6935),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6935),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteyear] = ACTIONS(6935),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitedate] = ACTIONS(6935),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteurl] = ACTIONS(6935),
    [anon_sym_BSLASHfullcite] = ACTIONS(6935),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6935),
    [anon_sym_BSLASHcitealt] = ACTIONS(6935),
    [anon_sym_BSLASHcitealp] = ACTIONS(6935),
    [anon_sym_BSLASHcitetext] = ACTIONS(6935),
    [anon_sym_BSLASHparencite] = ACTIONS(6935),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHParencite] = ACTIONS(6935),
    [anon_sym_BSLASHfootcite] = ACTIONS(6935),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6935),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6935),
    [anon_sym_BSLASHtextcite] = ACTIONS(6935),
    [anon_sym_BSLASHTextcite] = ACTIONS(6935),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6935),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6935),
    [anon_sym_BSLASHsupercite] = ACTIONS(6935),
    [anon_sym_BSLASHautocite] = ACTIONS(6935),
    [anon_sym_BSLASHAutocite] = ACTIONS(6935),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHVolcite] = ACTIONS(6935),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHavolcite] = ACTIONS(6935),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHNotecite] = ACTIONS(6935),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHlabel] = ACTIONS(6935),
    [anon_sym_BSLASHref] = ACTIONS(6935),
    [anon_sym_BSLASHeqref] = ACTIONS(6935),
    [anon_sym_BSLASHvref] = ACTIONS(6935),
    [anon_sym_BSLASHVref] = ACTIONS(6935),
    [anon_sym_BSLASHautoref] = ACTIONS(6935),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHpageref] = ACTIONS(6935),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHautopageref] = ACTIONS(6935),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcref] = ACTIONS(6935),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCref] = ACTIONS(6935),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcpageref] = ACTIONS(6935),
    [anon_sym_BSLASHCpageref] = ACTIONS(6935),
    [anon_sym_BSLASHnamecref] = ACTIONS(6935),
    [anon_sym_BSLASHnameCref] = ACTIONS(6935),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6935),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6935),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6935),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6935),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6935),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6935),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6935),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6935),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6935),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6935),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6935),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHdef] = ACTIONS(6935),
    [anon_sym_BSLASHgdef] = ACTIONS(6935),
    [anon_sym_BSLASHedef] = ACTIONS(6935),
    [anon_sym_BSLASHxdef] = ACTIONS(6935),
    [anon_sym_BSLASHlet] = ACTIONS(6935),
    [anon_sym_BSLASHglet] = ACTIONS(6935),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6935),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6935),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6935),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6935),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6935),
    [anon_sym_BSLASHgls] = ACTIONS(6935),
    [anon_sym_BSLASHGls] = ACTIONS(6935),
    [anon_sym_BSLASHGLS] = ACTIONS(6935),
    [anon_sym_BSLASHglspl] = ACTIONS(6935),
    [anon_sym_BSLASHGlspl] = ACTIONS(6935),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6935),
    [anon_sym_BSLASHglslink] = ACTIONS(6935),
    [anon_sym_BSLASHglstext] = ACTIONS(6935),
    [anon_sym_BSLASHGlstext] = ACTIONS(6935),
    [anon_sym_BSLASHGLStext] = ACTIONS(6935),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6935),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6935),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6935),
    [anon_sym_BSLASHglsplural] = ACTIONS(6935),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6935),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6935),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHglsname] = ACTIONS(6935),
    [anon_sym_BSLASHGlsname] = ACTIONS(6935),
    [anon_sym_BSLASHGLSname] = ACTIONS(6935),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6935),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6935),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6935),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6935),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6935),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6935),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6935),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6935),
    [anon_sym_BSLASHacrshort] = ACTIONS(6935),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6935),
    [anon_sym_BSLASHACRshort] = ACTIONS(6935),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHacrlong] = ACTIONS(6935),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6935),
    [anon_sym_BSLASHACRlong] = ACTIONS(6935),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHacrfull] = ACTIONS(6935),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6935),
    [anon_sym_BSLASHACRfull] = ACTIONS(6935),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHacs] = ACTIONS(6935),
    [anon_sym_BSLASHAcs] = ACTIONS(6935),
    [anon_sym_BSLASHacsp] = ACTIONS(6935),
    [anon_sym_BSLASHAcsp] = ACTIONS(6935),
    [anon_sym_BSLASHacl] = ACTIONS(6935),
    [anon_sym_BSLASHAcl] = ACTIONS(6935),
    [anon_sym_BSLASHaclp] = ACTIONS(6935),
    [anon_sym_BSLASHAclp] = ACTIONS(6935),
    [anon_sym_BSLASHacf] = ACTIONS(6935),
    [anon_sym_BSLASHAcf] = ACTIONS(6935),
    [anon_sym_BSLASHacfp] = ACTIONS(6935),
    [anon_sym_BSLASHAcfp] = ACTIONS(6935),
    [anon_sym_BSLASHac] = ACTIONS(6935),
    [anon_sym_BSLASHAc] = ACTIONS(6935),
    [anon_sym_BSLASHacp] = ACTIONS(6935),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6935),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6935),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6935),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6935),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6935),
    [anon_sym_BSLASHcolor] = ACTIONS(6935),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6935),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6935),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6935),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6935),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6935),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6935),
    [anon_sym_BSLASHurl] = ACTIONS(6935),
    [anon_sym_BSLASHhref] = ACTIONS(6935),
  },
  [484] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(3806),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [485] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(3741),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [486] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(3696),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [487] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(3968),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [488] = {
    [sym_curly_group] = STATE(708),
    [sym_command_name] = ACTIONS(6939),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6939),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [anon_sym_RBRACK] = ACTIONS(6941),
    [anon_sym_COMMA] = ACTIONS(6941),
    [anon_sym_EQ] = ACTIONS(6941),
    [anon_sym_LPAREN] = ACTIONS(6941),
    [anon_sym_RPAREN] = ACTIONS(6941),
    [anon_sym_BSLASHpart] = ACTIONS(6939),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHaddpart] = ACTIONS(6939),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHchapter] = ACTIONS(6939),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHaddchap] = ACTIONS(6939),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHsection] = ACTIONS(6939),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHaddsec] = ACTIONS(6939),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHsubsection] = ACTIONS(6939),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6939),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHparagraph] = ACTIONS(6939),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6939),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHitem] = ACTIONS(6939),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6941),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(6939),
    [sym_placeholder] = ACTIONS(6941),
    [sym_delimiter] = ACTIONS(6941),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_STAR] = ACTIONS(6941),
    [anon_sym_SLASH] = ACTIONS(6941),
    [anon_sym_LT] = ACTIONS(6939),
    [anon_sym_GT] = ACTIONS(6939),
    [anon_sym_BANG] = ACTIONS(6939),
    [anon_sym_PIPE] = ACTIONS(6939),
    [anon_sym_COLON] = ACTIONS(6939),
    [anon_sym_SQUOTE] = ACTIONS(6939),
    [anon_sym__] = ACTIONS(6941),
    [anon_sym_CARET] = ACTIONS(6941),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6941),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6941),
    [anon_sym_DOLLAR] = ACTIONS(6939),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6941),
    [anon_sym_BSLASHleft] = ACTIONS(6939),
    [anon_sym_BSLASHbigl] = ACTIONS(6939),
    [anon_sym_BSLASHBigl] = ACTIONS(6939),
    [anon_sym_BSLASHbiggl] = ACTIONS(6939),
    [anon_sym_BSLASHBiggl] = ACTIONS(6939),
    [anon_sym_BSLASHright] = ACTIONS(6939),
    [anon_sym_BSLASHbigr] = ACTIONS(6939),
    [anon_sym_BSLASHBigr] = ACTIONS(6939),
    [anon_sym_BSLASHbiggr] = ACTIONS(6939),
    [anon_sym_BSLASHBiggr] = ACTIONS(6939),
    [anon_sym_BSLASHtext] = ACTIONS(6939),
    [anon_sym_BSLASHintertext] = ACTIONS(6939),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6939),
    [anon_sym_BSLASHbegin] = ACTIONS(6939),
    [anon_sym_BSLASHtitle] = ACTIONS(6939),
    [anon_sym_BSLASHauthor] = ACTIONS(6939),
    [anon_sym_BSLASHusepackage] = ACTIONS(6939),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6939),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6939),
    [anon_sym_BSLASHinclude] = ACTIONS(6939),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6939),
    [anon_sym_BSLASHinput] = ACTIONS(6939),
    [anon_sym_BSLASHsubfile] = ACTIONS(6939),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6939),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6939),
    [anon_sym_BSLASHbibliography] = ACTIONS(6939),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6939),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6939),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6939),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6939),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6939),
    [anon_sym_BSLASHimport] = ACTIONS(6939),
    [anon_sym_BSLASHsubimport] = ACTIONS(6939),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6939),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6939),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6939),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6939),
    [anon_sym_BSLASHcaption] = ACTIONS(6939),
    [anon_sym_BSLASHcite] = ACTIONS(6939),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCite] = ACTIONS(6939),
    [anon_sym_BSLASHnocite] = ACTIONS(6939),
    [anon_sym_BSLASHcitet] = ACTIONS(6939),
    [anon_sym_BSLASHcitep] = ACTIONS(6939),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteA] = ACTIONS(6939),
    [anon_sym_BSLASHciteR] = ACTIONS(6939),
    [anon_sym_BSLASHciteS] = ACTIONS(6939),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6939),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6939),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6939),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6939),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteyear] = ACTIONS(6939),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitedate] = ACTIONS(6939),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteurl] = ACTIONS(6939),
    [anon_sym_BSLASHfullcite] = ACTIONS(6939),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6939),
    [anon_sym_BSLASHcitealt] = ACTIONS(6939),
    [anon_sym_BSLASHcitealp] = ACTIONS(6939),
    [anon_sym_BSLASHcitetext] = ACTIONS(6939),
    [anon_sym_BSLASHparencite] = ACTIONS(6939),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHParencite] = ACTIONS(6939),
    [anon_sym_BSLASHfootcite] = ACTIONS(6939),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6939),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6939),
    [anon_sym_BSLASHtextcite] = ACTIONS(6939),
    [anon_sym_BSLASHTextcite] = ACTIONS(6939),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6939),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6939),
    [anon_sym_BSLASHsupercite] = ACTIONS(6939),
    [anon_sym_BSLASHautocite] = ACTIONS(6939),
    [anon_sym_BSLASHAutocite] = ACTIONS(6939),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHVolcite] = ACTIONS(6939),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHavolcite] = ACTIONS(6939),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHNotecite] = ACTIONS(6939),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHlabel] = ACTIONS(6939),
    [anon_sym_BSLASHref] = ACTIONS(6939),
    [anon_sym_BSLASHeqref] = ACTIONS(6939),
    [anon_sym_BSLASHvref] = ACTIONS(6939),
    [anon_sym_BSLASHVref] = ACTIONS(6939),
    [anon_sym_BSLASHautoref] = ACTIONS(6939),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHpageref] = ACTIONS(6939),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHautopageref] = ACTIONS(6939),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcref] = ACTIONS(6939),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCref] = ACTIONS(6939),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcpageref] = ACTIONS(6939),
    [anon_sym_BSLASHCpageref] = ACTIONS(6939),
    [anon_sym_BSLASHnamecref] = ACTIONS(6939),
    [anon_sym_BSLASHnameCref] = ACTIONS(6939),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6939),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6939),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6939),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6939),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6939),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6939),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6939),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6939),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6939),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6939),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6939),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHdef] = ACTIONS(6939),
    [anon_sym_BSLASHgdef] = ACTIONS(6939),
    [anon_sym_BSLASHedef] = ACTIONS(6939),
    [anon_sym_BSLASHxdef] = ACTIONS(6939),
    [anon_sym_BSLASHlet] = ACTIONS(6939),
    [anon_sym_BSLASHglet] = ACTIONS(6939),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6939),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6939),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6939),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6939),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6939),
    [anon_sym_BSLASHgls] = ACTIONS(6939),
    [anon_sym_BSLASHGls] = ACTIONS(6939),
    [anon_sym_BSLASHGLS] = ACTIONS(6939),
    [anon_sym_BSLASHglspl] = ACTIONS(6939),
    [anon_sym_BSLASHGlspl] = ACTIONS(6939),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6939),
    [anon_sym_BSLASHglslink] = ACTIONS(6939),
    [anon_sym_BSLASHglstext] = ACTIONS(6939),
    [anon_sym_BSLASHGlstext] = ACTIONS(6939),
    [anon_sym_BSLASHGLStext] = ACTIONS(6939),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6939),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6939),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6939),
    [anon_sym_BSLASHglsplural] = ACTIONS(6939),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6939),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6939),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHglsname] = ACTIONS(6939),
    [anon_sym_BSLASHGlsname] = ACTIONS(6939),
    [anon_sym_BSLASHGLSname] = ACTIONS(6939),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6939),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6939),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6939),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6939),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6939),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6939),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6939),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6939),
    [anon_sym_BSLASHacrshort] = ACTIONS(6939),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6939),
    [anon_sym_BSLASHACRshort] = ACTIONS(6939),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHacrlong] = ACTIONS(6939),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6939),
    [anon_sym_BSLASHACRlong] = ACTIONS(6939),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHacrfull] = ACTIONS(6939),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6939),
    [anon_sym_BSLASHACRfull] = ACTIONS(6939),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHacs] = ACTIONS(6939),
    [anon_sym_BSLASHAcs] = ACTIONS(6939),
    [anon_sym_BSLASHacsp] = ACTIONS(6939),
    [anon_sym_BSLASHAcsp] = ACTIONS(6939),
    [anon_sym_BSLASHacl] = ACTIONS(6939),
    [anon_sym_BSLASHAcl] = ACTIONS(6939),
    [anon_sym_BSLASHaclp] = ACTIONS(6939),
    [anon_sym_BSLASHAclp] = ACTIONS(6939),
    [anon_sym_BSLASHacf] = ACTIONS(6939),
    [anon_sym_BSLASHAcf] = ACTIONS(6939),
    [anon_sym_BSLASHacfp] = ACTIONS(6939),
    [anon_sym_BSLASHAcfp] = ACTIONS(6939),
    [anon_sym_BSLASHac] = ACTIONS(6939),
    [anon_sym_BSLASHAc] = ACTIONS(6939),
    [anon_sym_BSLASHacp] = ACTIONS(6939),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6939),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6939),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6939),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6939),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6939),
    [anon_sym_BSLASHcolor] = ACTIONS(6939),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6939),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6939),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6939),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6939),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6939),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6939),
    [anon_sym_BSLASHurl] = ACTIONS(6939),
    [anon_sym_BSLASHhref] = ACTIONS(6939),
  },
  [489] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(3975),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [490] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(2898),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [491] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(3971),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [492] = {
    [sym_curly_group] = STATE(682),
    [sym_command_name] = ACTIONS(6943),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6943),
    [anon_sym_LBRACK] = ACTIONS(6945),
    [anon_sym_RBRACK] = ACTIONS(6945),
    [anon_sym_COMMA] = ACTIONS(6945),
    [anon_sym_EQ] = ACTIONS(6945),
    [anon_sym_LPAREN] = ACTIONS(6945),
    [anon_sym_RPAREN] = ACTIONS(6945),
    [anon_sym_BSLASHpart] = ACTIONS(6943),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHaddpart] = ACTIONS(6943),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHchapter] = ACTIONS(6943),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHaddchap] = ACTIONS(6943),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHsection] = ACTIONS(6943),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHaddsec] = ACTIONS(6943),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHsubsection] = ACTIONS(6943),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6943),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHparagraph] = ACTIONS(6943),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6943),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHitem] = ACTIONS(6943),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6945),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(6943),
    [sym_placeholder] = ACTIONS(6945),
    [sym_delimiter] = ACTIONS(6945),
    [anon_sym_PLUS] = ACTIONS(6945),
    [anon_sym_DASH] = ACTIONS(6945),
    [anon_sym_STAR] = ACTIONS(6945),
    [anon_sym_SLASH] = ACTIONS(6945),
    [anon_sym_LT] = ACTIONS(6943),
    [anon_sym_GT] = ACTIONS(6943),
    [anon_sym_BANG] = ACTIONS(6943),
    [anon_sym_PIPE] = ACTIONS(6943),
    [anon_sym_COLON] = ACTIONS(6943),
    [anon_sym_SQUOTE] = ACTIONS(6943),
    [anon_sym__] = ACTIONS(6945),
    [anon_sym_CARET] = ACTIONS(6945),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6945),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6945),
    [anon_sym_DOLLAR] = ACTIONS(6943),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6945),
    [anon_sym_BSLASHleft] = ACTIONS(6943),
    [anon_sym_BSLASHbigl] = ACTIONS(6943),
    [anon_sym_BSLASHBigl] = ACTIONS(6943),
    [anon_sym_BSLASHbiggl] = ACTIONS(6943),
    [anon_sym_BSLASHBiggl] = ACTIONS(6943),
    [anon_sym_BSLASHright] = ACTIONS(6943),
    [anon_sym_BSLASHbigr] = ACTIONS(6943),
    [anon_sym_BSLASHBigr] = ACTIONS(6943),
    [anon_sym_BSLASHbiggr] = ACTIONS(6943),
    [anon_sym_BSLASHBiggr] = ACTIONS(6943),
    [anon_sym_BSLASHtext] = ACTIONS(6943),
    [anon_sym_BSLASHintertext] = ACTIONS(6943),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6943),
    [anon_sym_BSLASHbegin] = ACTIONS(6943),
    [anon_sym_BSLASHtitle] = ACTIONS(6943),
    [anon_sym_BSLASHauthor] = ACTIONS(6943),
    [anon_sym_BSLASHusepackage] = ACTIONS(6943),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6943),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6943),
    [anon_sym_BSLASHinclude] = ACTIONS(6943),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6943),
    [anon_sym_BSLASHinput] = ACTIONS(6943),
    [anon_sym_BSLASHsubfile] = ACTIONS(6943),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6943),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6943),
    [anon_sym_BSLASHbibliography] = ACTIONS(6943),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6943),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6943),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6943),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6943),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6943),
    [anon_sym_BSLASHimport] = ACTIONS(6943),
    [anon_sym_BSLASHsubimport] = ACTIONS(6943),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6943),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6943),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6943),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6943),
    [anon_sym_BSLASHcaption] = ACTIONS(6943),
    [anon_sym_BSLASHcite] = ACTIONS(6943),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCite] = ACTIONS(6943),
    [anon_sym_BSLASHnocite] = ACTIONS(6943),
    [anon_sym_BSLASHcitet] = ACTIONS(6943),
    [anon_sym_BSLASHcitep] = ACTIONS(6943),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteA] = ACTIONS(6943),
    [anon_sym_BSLASHciteR] = ACTIONS(6943),
    [anon_sym_BSLASHciteS] = ACTIONS(6943),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6943),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6943),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6943),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6943),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteyear] = ACTIONS(6943),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitedate] = ACTIONS(6943),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteurl] = ACTIONS(6943),
    [anon_sym_BSLASHfullcite] = ACTIONS(6943),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6943),
    [anon_sym_BSLASHcitealt] = ACTIONS(6943),
    [anon_sym_BSLASHcitealp] = ACTIONS(6943),
    [anon_sym_BSLASHcitetext] = ACTIONS(6943),
    [anon_sym_BSLASHparencite] = ACTIONS(6943),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHParencite] = ACTIONS(6943),
    [anon_sym_BSLASHfootcite] = ACTIONS(6943),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6943),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6943),
    [anon_sym_BSLASHtextcite] = ACTIONS(6943),
    [anon_sym_BSLASHTextcite] = ACTIONS(6943),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6943),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6943),
    [anon_sym_BSLASHsupercite] = ACTIONS(6943),
    [anon_sym_BSLASHautocite] = ACTIONS(6943),
    [anon_sym_BSLASHAutocite] = ACTIONS(6943),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHVolcite] = ACTIONS(6943),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHavolcite] = ACTIONS(6943),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHNotecite] = ACTIONS(6943),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHlabel] = ACTIONS(6943),
    [anon_sym_BSLASHref] = ACTIONS(6943),
    [anon_sym_BSLASHeqref] = ACTIONS(6943),
    [anon_sym_BSLASHvref] = ACTIONS(6943),
    [anon_sym_BSLASHVref] = ACTIONS(6943),
    [anon_sym_BSLASHautoref] = ACTIONS(6943),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHpageref] = ACTIONS(6943),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHautopageref] = ACTIONS(6943),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcref] = ACTIONS(6943),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCref] = ACTIONS(6943),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcpageref] = ACTIONS(6943),
    [anon_sym_BSLASHCpageref] = ACTIONS(6943),
    [anon_sym_BSLASHnamecref] = ACTIONS(6943),
    [anon_sym_BSLASHnameCref] = ACTIONS(6943),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6943),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6943),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6943),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6943),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6943),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6943),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6943),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6943),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6943),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6943),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6943),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHdef] = ACTIONS(6943),
    [anon_sym_BSLASHgdef] = ACTIONS(6943),
    [anon_sym_BSLASHedef] = ACTIONS(6943),
    [anon_sym_BSLASHxdef] = ACTIONS(6943),
    [anon_sym_BSLASHlet] = ACTIONS(6943),
    [anon_sym_BSLASHglet] = ACTIONS(6943),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6943),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6943),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6943),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6943),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6943),
    [anon_sym_BSLASHgls] = ACTIONS(6943),
    [anon_sym_BSLASHGls] = ACTIONS(6943),
    [anon_sym_BSLASHGLS] = ACTIONS(6943),
    [anon_sym_BSLASHglspl] = ACTIONS(6943),
    [anon_sym_BSLASHGlspl] = ACTIONS(6943),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6943),
    [anon_sym_BSLASHglslink] = ACTIONS(6943),
    [anon_sym_BSLASHglstext] = ACTIONS(6943),
    [anon_sym_BSLASHGlstext] = ACTIONS(6943),
    [anon_sym_BSLASHGLStext] = ACTIONS(6943),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6943),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6943),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6943),
    [anon_sym_BSLASHglsplural] = ACTIONS(6943),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6943),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6943),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHglsname] = ACTIONS(6943),
    [anon_sym_BSLASHGlsname] = ACTIONS(6943),
    [anon_sym_BSLASHGLSname] = ACTIONS(6943),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6943),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6943),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6943),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6943),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6943),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6943),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6943),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6943),
    [anon_sym_BSLASHacrshort] = ACTIONS(6943),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6943),
    [anon_sym_BSLASHACRshort] = ACTIONS(6943),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHacrlong] = ACTIONS(6943),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6943),
    [anon_sym_BSLASHACRlong] = ACTIONS(6943),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHacrfull] = ACTIONS(6943),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6943),
    [anon_sym_BSLASHACRfull] = ACTIONS(6943),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHacs] = ACTIONS(6943),
    [anon_sym_BSLASHAcs] = ACTIONS(6943),
    [anon_sym_BSLASHacsp] = ACTIONS(6943),
    [anon_sym_BSLASHAcsp] = ACTIONS(6943),
    [anon_sym_BSLASHacl] = ACTIONS(6943),
    [anon_sym_BSLASHAcl] = ACTIONS(6943),
    [anon_sym_BSLASHaclp] = ACTIONS(6943),
    [anon_sym_BSLASHAclp] = ACTIONS(6943),
    [anon_sym_BSLASHacf] = ACTIONS(6943),
    [anon_sym_BSLASHAcf] = ACTIONS(6943),
    [anon_sym_BSLASHacfp] = ACTIONS(6943),
    [anon_sym_BSLASHAcfp] = ACTIONS(6943),
    [anon_sym_BSLASHac] = ACTIONS(6943),
    [anon_sym_BSLASHAc] = ACTIONS(6943),
    [anon_sym_BSLASHacp] = ACTIONS(6943),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6943),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6943),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6943),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6943),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6943),
    [anon_sym_BSLASHcolor] = ACTIONS(6943),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6943),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6943),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6943),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6943),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6943),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6943),
    [anon_sym_BSLASHurl] = ACTIONS(6943),
    [anon_sym_BSLASHhref] = ACTIONS(6943),
  },
  [493] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(3976),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [494] = {
    [sym_curly_group] = STATE(681),
    [sym_command_name] = ACTIONS(6947),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6949),
    [anon_sym_RBRACK] = ACTIONS(6949),
    [anon_sym_COMMA] = ACTIONS(6949),
    [anon_sym_EQ] = ACTIONS(6949),
    [anon_sym_LPAREN] = ACTIONS(6949),
    [anon_sym_RPAREN] = ACTIONS(6949),
    [anon_sym_BSLASHpart] = ACTIONS(6947),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHaddpart] = ACTIONS(6947),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHchapter] = ACTIONS(6947),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHaddchap] = ACTIONS(6947),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHsection] = ACTIONS(6947),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHaddsec] = ACTIONS(6947),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHsubsection] = ACTIONS(6947),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6947),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHparagraph] = ACTIONS(6947),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6947),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHitem] = ACTIONS(6947),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6949),
    [anon_sym_LBRACE] = ACTIONS(215),
    [sym_word] = ACTIONS(6947),
    [sym_placeholder] = ACTIONS(6949),
    [sym_delimiter] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6949),
    [anon_sym_DASH] = ACTIONS(6949),
    [anon_sym_STAR] = ACTIONS(6949),
    [anon_sym_SLASH] = ACTIONS(6949),
    [anon_sym_LT] = ACTIONS(6947),
    [anon_sym_GT] = ACTIONS(6947),
    [anon_sym_BANG] = ACTIONS(6947),
    [anon_sym_PIPE] = ACTIONS(6947),
    [anon_sym_COLON] = ACTIONS(6947),
    [anon_sym_SQUOTE] = ACTIONS(6947),
    [anon_sym__] = ACTIONS(6949),
    [anon_sym_CARET] = ACTIONS(6949),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6949),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6949),
    [anon_sym_DOLLAR] = ACTIONS(6947),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6949),
    [anon_sym_BSLASHleft] = ACTIONS(6947),
    [anon_sym_BSLASHbigl] = ACTIONS(6947),
    [anon_sym_BSLASHBigl] = ACTIONS(6947),
    [anon_sym_BSLASHbiggl] = ACTIONS(6947),
    [anon_sym_BSLASHBiggl] = ACTIONS(6947),
    [anon_sym_BSLASHright] = ACTIONS(6947),
    [anon_sym_BSLASHbigr] = ACTIONS(6947),
    [anon_sym_BSLASHBigr] = ACTIONS(6947),
    [anon_sym_BSLASHbiggr] = ACTIONS(6947),
    [anon_sym_BSLASHBiggr] = ACTIONS(6947),
    [anon_sym_BSLASHtext] = ACTIONS(6947),
    [anon_sym_BSLASHintertext] = ACTIONS(6947),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6947),
    [anon_sym_BSLASHbegin] = ACTIONS(6947),
    [anon_sym_BSLASHtitle] = ACTIONS(6947),
    [anon_sym_BSLASHauthor] = ACTIONS(6947),
    [anon_sym_BSLASHusepackage] = ACTIONS(6947),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6947),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6947),
    [anon_sym_BSLASHinclude] = ACTIONS(6947),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6947),
    [anon_sym_BSLASHinput] = ACTIONS(6947),
    [anon_sym_BSLASHsubfile] = ACTIONS(6947),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6947),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6947),
    [anon_sym_BSLASHbibliography] = ACTIONS(6947),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6947),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6947),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6947),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6947),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6947),
    [anon_sym_BSLASHimport] = ACTIONS(6947),
    [anon_sym_BSLASHsubimport] = ACTIONS(6947),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6947),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6947),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6947),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6947),
    [anon_sym_BSLASHcaption] = ACTIONS(6947),
    [anon_sym_BSLASHcite] = ACTIONS(6947),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCite] = ACTIONS(6947),
    [anon_sym_BSLASHnocite] = ACTIONS(6947),
    [anon_sym_BSLASHcitet] = ACTIONS(6947),
    [anon_sym_BSLASHcitep] = ACTIONS(6947),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteA] = ACTIONS(6947),
    [anon_sym_BSLASHciteR] = ACTIONS(6947),
    [anon_sym_BSLASHciteS] = ACTIONS(6947),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6947),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6947),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6947),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6947),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteyear] = ACTIONS(6947),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitedate] = ACTIONS(6947),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteurl] = ACTIONS(6947),
    [anon_sym_BSLASHfullcite] = ACTIONS(6947),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6947),
    [anon_sym_BSLASHcitealt] = ACTIONS(6947),
    [anon_sym_BSLASHcitealp] = ACTIONS(6947),
    [anon_sym_BSLASHcitetext] = ACTIONS(6947),
    [anon_sym_BSLASHparencite] = ACTIONS(6947),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHParencite] = ACTIONS(6947),
    [anon_sym_BSLASHfootcite] = ACTIONS(6947),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6947),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6947),
    [anon_sym_BSLASHtextcite] = ACTIONS(6947),
    [anon_sym_BSLASHTextcite] = ACTIONS(6947),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6947),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6947),
    [anon_sym_BSLASHsupercite] = ACTIONS(6947),
    [anon_sym_BSLASHautocite] = ACTIONS(6947),
    [anon_sym_BSLASHAutocite] = ACTIONS(6947),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHVolcite] = ACTIONS(6947),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHavolcite] = ACTIONS(6947),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHNotecite] = ACTIONS(6947),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHlabel] = ACTIONS(6947),
    [anon_sym_BSLASHref] = ACTIONS(6947),
    [anon_sym_BSLASHeqref] = ACTIONS(6947),
    [anon_sym_BSLASHvref] = ACTIONS(6947),
    [anon_sym_BSLASHVref] = ACTIONS(6947),
    [anon_sym_BSLASHautoref] = ACTIONS(6947),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHpageref] = ACTIONS(6947),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHautopageref] = ACTIONS(6947),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcref] = ACTIONS(6947),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCref] = ACTIONS(6947),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcpageref] = ACTIONS(6947),
    [anon_sym_BSLASHCpageref] = ACTIONS(6947),
    [anon_sym_BSLASHnamecref] = ACTIONS(6947),
    [anon_sym_BSLASHnameCref] = ACTIONS(6947),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6947),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6947),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6947),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6947),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6947),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6947),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6947),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6947),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6947),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6947),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6947),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHdef] = ACTIONS(6947),
    [anon_sym_BSLASHgdef] = ACTIONS(6947),
    [anon_sym_BSLASHedef] = ACTIONS(6947),
    [anon_sym_BSLASHxdef] = ACTIONS(6947),
    [anon_sym_BSLASHlet] = ACTIONS(6947),
    [anon_sym_BSLASHglet] = ACTIONS(6947),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6947),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6947),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6947),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6947),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6947),
    [anon_sym_BSLASHgls] = ACTIONS(6947),
    [anon_sym_BSLASHGls] = ACTIONS(6947),
    [anon_sym_BSLASHGLS] = ACTIONS(6947),
    [anon_sym_BSLASHglspl] = ACTIONS(6947),
    [anon_sym_BSLASHGlspl] = ACTIONS(6947),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6947),
    [anon_sym_BSLASHglslink] = ACTIONS(6947),
    [anon_sym_BSLASHglstext] = ACTIONS(6947),
    [anon_sym_BSLASHGlstext] = ACTIONS(6947),
    [anon_sym_BSLASHGLStext] = ACTIONS(6947),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6947),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6947),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6947),
    [anon_sym_BSLASHglsplural] = ACTIONS(6947),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6947),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6947),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHglsname] = ACTIONS(6947),
    [anon_sym_BSLASHGlsname] = ACTIONS(6947),
    [anon_sym_BSLASHGLSname] = ACTIONS(6947),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6947),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6947),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6947),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6947),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6947),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6947),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6947),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6947),
    [anon_sym_BSLASHacrshort] = ACTIONS(6947),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6947),
    [anon_sym_BSLASHACRshort] = ACTIONS(6947),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHacrlong] = ACTIONS(6947),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6947),
    [anon_sym_BSLASHACRlong] = ACTIONS(6947),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHacrfull] = ACTIONS(6947),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6947),
    [anon_sym_BSLASHACRfull] = ACTIONS(6947),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHacs] = ACTIONS(6947),
    [anon_sym_BSLASHAcs] = ACTIONS(6947),
    [anon_sym_BSLASHacsp] = ACTIONS(6947),
    [anon_sym_BSLASHAcsp] = ACTIONS(6947),
    [anon_sym_BSLASHacl] = ACTIONS(6947),
    [anon_sym_BSLASHAcl] = ACTIONS(6947),
    [anon_sym_BSLASHaclp] = ACTIONS(6947),
    [anon_sym_BSLASHAclp] = ACTIONS(6947),
    [anon_sym_BSLASHacf] = ACTIONS(6947),
    [anon_sym_BSLASHAcf] = ACTIONS(6947),
    [anon_sym_BSLASHacfp] = ACTIONS(6947),
    [anon_sym_BSLASHAcfp] = ACTIONS(6947),
    [anon_sym_BSLASHac] = ACTIONS(6947),
    [anon_sym_BSLASHAc] = ACTIONS(6947),
    [anon_sym_BSLASHacp] = ACTIONS(6947),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6947),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6947),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6947),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6947),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6947),
    [anon_sym_BSLASHcolor] = ACTIONS(6947),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6947),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6947),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6947),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6947),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6947),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6947),
    [anon_sym_BSLASHurl] = ACTIONS(6947),
    [anon_sym_BSLASHhref] = ACTIONS(6947),
  },
  [495] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(3905),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [496] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(3907),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [497] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(3715),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [498] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(3716),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [499] = {
    [sym_block_comment] = STATE(2283),
    [sym_text] = STATE(3797),
    [sym_operator] = STATE(2283),
    [sym_subscript] = STATE(2283),
    [sym_superscript] = STATE(2283),
    [sym__command] = STATE(2283),
    [sym_generic_command] = STATE(2283),
    [sym_title_declaration] = STATE(2283),
    [sym_author_declaration] = STATE(2283),
    [sym_package_include] = STATE(2283),
    [sym_class_include] = STATE(2283),
    [sym_latex_include] = STATE(2283),
    [sym_biblatex_include] = STATE(2283),
    [sym_bibstyle_include] = STATE(2283),
    [sym_bibtex_include] = STATE(2283),
    [sym_graphics_include] = STATE(2283),
    [sym_svg_include] = STATE(2283),
    [sym_inkscape_include] = STATE(2283),
    [sym_verbatim_include] = STATE(2283),
    [sym_import_include] = STATE(2283),
    [sym_caption] = STATE(2283),
    [sym_citation] = STATE(2283),
    [sym_label_definition] = STATE(2283),
    [sym_label_reference] = STATE(2283),
    [sym_label_reference_range] = STATE(2283),
    [sym_label_number] = STATE(2283),
    [sym_new_command_definition] = STATE(2283),
    [sym__new_command_definition] = STATE(2250),
    [sym__newer_command_definition] = STATE(2251),
    [sym__new_command_copy] = STATE(2252),
    [sym_old_command_definition] = STATE(2283),
    [sym_let_command_definition] = STATE(2283),
    [sym_paired_delimiter_definition] = STATE(2283),
    [sym_environment_definition] = STATE(2283),
    [sym__environment_definition] = STATE(2253),
    [sym__newer_environment_definition] = STATE(2254),
    [sym__new_environment_copy] = STATE(2255),
    [sym_glossary_entry_definition] = STATE(2283),
    [sym_glossary_entry_reference] = STATE(2283),
    [sym_acronym_definition] = STATE(2283),
    [sym_acronym_reference] = STATE(2283),
    [sym_theorem_definition] = STATE(2283),
    [sym_color_definition] = STATE(2283),
    [sym_color_set_definition] = STATE(2283),
    [sym_color_reference] = STATE(2283),
    [sym_tikz_library_import] = STATE(2283),
    [sym_hyperlink] = STATE(2283),
    [aux_sym_text_repeat1] = STATE(360),
    [sym_command_name] = ACTIONS(3911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(3913),
    [sym_word] = ACTIONS(3915),
    [sym_placeholder] = ACTIONS(3917),
    [sym_delimiter] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3919),
    [anon_sym_DASH] = ACTIONS(3919),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_SLASH] = ACTIONS(3919),
    [anon_sym_LT] = ACTIONS(3921),
    [anon_sym_GT] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3921),
    [anon_sym_PIPE] = ACTIONS(3921),
    [anon_sym_COLON] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3921),
    [anon_sym__] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3925),
    [anon_sym_BSLASHtitle] = ACTIONS(3953),
    [anon_sym_BSLASHauthor] = ACTIONS(3955),
    [anon_sym_BSLASHusepackage] = ACTIONS(3957),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(3957),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(3959),
    [anon_sym_BSLASHinclude] = ACTIONS(3961),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(3961),
    [anon_sym_BSLASHinput] = ACTIONS(3961),
    [anon_sym_BSLASHsubfile] = ACTIONS(3961),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(3963),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(3965),
    [anon_sym_BSLASHbibliography] = ACTIONS(3967),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(3969),
    [anon_sym_BSLASHincludesvg] = ACTIONS(3971),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(3973),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(3975),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(3975),
    [anon_sym_BSLASHimport] = ACTIONS(3977),
    [anon_sym_BSLASHsubimport] = ACTIONS(3977),
    [anon_sym_BSLASHinputfrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(3977),
    [anon_sym_BSLASHincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(3977),
    [anon_sym_BSLASHcaption] = ACTIONS(3979),
    [anon_sym_BSLASHcite] = ACTIONS(3981),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCite] = ACTIONS(3981),
    [anon_sym_BSLASHnocite] = ACTIONS(3981),
    [anon_sym_BSLASHcitet] = ACTIONS(3981),
    [anon_sym_BSLASHcitep] = ACTIONS(3981),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteA] = ACTIONS(3981),
    [anon_sym_BSLASHciteR] = ACTIONS(3981),
    [anon_sym_BSLASHciteS] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearR] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(3981),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitetitle] = ACTIONS(3981),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteyear] = ACTIONS(3981),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHcitedate] = ACTIONS(3981),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHciteurl] = ACTIONS(3981),
    [anon_sym_BSLASHfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(3981),
    [anon_sym_BSLASHcitealt] = ACTIONS(3981),
    [anon_sym_BSLASHcitealp] = ACTIONS(3981),
    [anon_sym_BSLASHcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHparencite] = ACTIONS(3981),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHParencite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(3981),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(3981),
    [anon_sym_BSLASHtextcite] = ACTIONS(3981),
    [anon_sym_BSLASHTextcite] = ACTIONS(3981),
    [anon_sym_BSLASHsmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHSmartcite] = ACTIONS(3981),
    [anon_sym_BSLASHsupercite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite] = ACTIONS(3981),
    [anon_sym_BSLASHAutocite] = ACTIONS(3981),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(3983),
    [anon_sym_BSLASHvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHVolcite] = ACTIONS(3981),
    [anon_sym_BSLASHpvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHPvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHfvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHftvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHsvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHSvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHtvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHTvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHavolcite] = ACTIONS(3981),
    [anon_sym_BSLASHAvolcite] = ACTIONS(3981),
    [anon_sym_BSLASHnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHNotecite] = ACTIONS(3981),
    [anon_sym_BSLASHpnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHPnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHfnotecite] = ACTIONS(3981),
    [anon_sym_BSLASHlabel] = ACTIONS(3985),
    [anon_sym_BSLASHref] = ACTIONS(3987),
    [anon_sym_BSLASHeqref] = ACTIONS(3987),
    [anon_sym_BSLASHvref] = ACTIONS(3987),
    [anon_sym_BSLASHVref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref] = ACTIONS(3987),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHpageref] = ACTIONS(3987),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHautopageref] = ACTIONS(3987),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcref] = ACTIONS(3987),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHCref] = ACTIONS(3987),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHCpageref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnameCref] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(3987),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(3987),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(3989),
    [anon_sym_BSLASHcrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHCrefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(3993),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(3991),
    [anon_sym_BSLASHnewlabel] = ACTIONS(3995),
    [anon_sym_BSLASHnewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(3997),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(3997),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(3997),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(3999),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(4001),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(4003),
    [anon_sym_BSLASHdef] = ACTIONS(4005),
    [anon_sym_BSLASHgdef] = ACTIONS(4005),
    [anon_sym_BSLASHedef] = ACTIONS(4005),
    [anon_sym_BSLASHxdef] = ACTIONS(4005),
    [anon_sym_BSLASHlet] = ACTIONS(4007),
    [anon_sym_BSLASHglet] = ACTIONS(4007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(4009),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(4009),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(4011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(4013),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(4015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(4017),
    [anon_sym_BSLASHgls] = ACTIONS(4019),
    [anon_sym_BSLASHGls] = ACTIONS(4019),
    [anon_sym_BSLASHGLS] = ACTIONS(4019),
    [anon_sym_BSLASHglspl] = ACTIONS(4019),
    [anon_sym_BSLASHGlspl] = ACTIONS(4019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(4019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(4019),
    [anon_sym_BSLASHglslink] = ACTIONS(4019),
    [anon_sym_BSLASHglstext] = ACTIONS(4019),
    [anon_sym_BSLASHGlstext] = ACTIONS(4019),
    [anon_sym_BSLASHGLStext] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(4019),
    [anon_sym_BSLASHglsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(4019),
    [anon_sym_BSLASHglsname] = ACTIONS(4019),
    [anon_sym_BSLASHGlsname] = ACTIONS(4019),
    [anon_sym_BSLASHGLSname] = ACTIONS(4019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(4019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(4019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(4019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(4019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(4019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(4019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(4021),
    [anon_sym_BSLASHacrshort] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(4023),
    [anon_sym_BSLASHACRshort] = ACTIONS(4023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrlong] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(4023),
    [anon_sym_BSLASHACRlong] = ACTIONS(4023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(4023),
    [anon_sym_BSLASHacrfull] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(4023),
    [anon_sym_BSLASHACRfull] = ACTIONS(4023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHacs] = ACTIONS(4023),
    [anon_sym_BSLASHAcs] = ACTIONS(4023),
    [anon_sym_BSLASHacsp] = ACTIONS(4023),
    [anon_sym_BSLASHAcsp] = ACTIONS(4023),
    [anon_sym_BSLASHacl] = ACTIONS(4023),
    [anon_sym_BSLASHAcl] = ACTIONS(4023),
    [anon_sym_BSLASHaclp] = ACTIONS(4023),
    [anon_sym_BSLASHAclp] = ACTIONS(4023),
    [anon_sym_BSLASHacf] = ACTIONS(4023),
    [anon_sym_BSLASHAcf] = ACTIONS(4023),
    [anon_sym_BSLASHacfp] = ACTIONS(4023),
    [anon_sym_BSLASHAcfp] = ACTIONS(4023),
    [anon_sym_BSLASHac] = ACTIONS(4023),
    [anon_sym_BSLASHAc] = ACTIONS(4023),
    [anon_sym_BSLASHacp] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(4023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(4023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(4023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(4025),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(4025),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(4027),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(4029),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(4031),
    [anon_sym_BSLASHcolor] = ACTIONS(4033),
    [anon_sym_BSLASHpagecolor] = ACTIONS(4033),
    [anon_sym_BSLASHtextcolor] = ACTIONS(4033),
    [anon_sym_BSLASHmathcolor] = ACTIONS(4033),
    [anon_sym_BSLASHcolorbox] = ACTIONS(4033),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(4035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(4035),
    [anon_sym_BSLASHurl] = ACTIONS(4037),
    [anon_sym_BSLASHhref] = ACTIONS(4037),
  },
  [500] = {
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(529),
    [aux_sym__section_repeat5] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(6533),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(6531),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddsec] = ACTIONS(6531),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [anon_sym_RBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [501] = {
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(526),
    [aux_sym__section_repeat2] = STATE(526),
    [ts_builtin_sym_end] = ACTIONS(2246),
    [sym_command_name] = ACTIONS(2244),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_RBRACK] = ACTIONS(2246),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_EQ] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(2244),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddsec] = ACTIONS(2244),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHitem] = ACTIONS(2244),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2246),
    [sym_word] = ACTIONS(2244),
    [sym_placeholder] = ACTIONS(2246),
    [sym_delimiter] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_COLON] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym__] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2246),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2246),
    [anon_sym_DOLLAR] = ACTIONS(2244),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHleft] = ACTIONS(2244),
    [anon_sym_BSLASHbigl] = ACTIONS(2244),
    [anon_sym_BSLASHBigl] = ACTIONS(2244),
    [anon_sym_BSLASHbiggl] = ACTIONS(2244),
    [anon_sym_BSLASHBiggl] = ACTIONS(2244),
    [anon_sym_BSLASHtext] = ACTIONS(2244),
    [anon_sym_BSLASHintertext] = ACTIONS(2244),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2244),
    [anon_sym_BSLASHbegin] = ACTIONS(2244),
    [anon_sym_BSLASHtitle] = ACTIONS(2244),
    [anon_sym_BSLASHauthor] = ACTIONS(2244),
    [anon_sym_BSLASHusepackage] = ACTIONS(2244),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2244),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2244),
    [anon_sym_BSLASHinclude] = ACTIONS(2244),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2244),
    [anon_sym_BSLASHinput] = ACTIONS(2244),
    [anon_sym_BSLASHsubfile] = ACTIONS(2244),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2244),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2244),
    [anon_sym_BSLASHbibliography] = ACTIONS(2244),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2244),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2244),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2244),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2244),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2244),
    [anon_sym_BSLASHimport] = ACTIONS(2244),
    [anon_sym_BSLASHsubimport] = ACTIONS(2244),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2244),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHcaption] = ACTIONS(2244),
    [anon_sym_BSLASHcite] = ACTIONS(2244),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCite] = ACTIONS(2244),
    [anon_sym_BSLASHnocite] = ACTIONS(2244),
    [anon_sym_BSLASHcitet] = ACTIONS(2244),
    [anon_sym_BSLASHcitep] = ACTIONS(2244),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteA] = ACTIONS(2244),
    [anon_sym_BSLASHciteR] = ACTIONS(2244),
    [anon_sym_BSLASHciteS] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2244),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteyear] = ACTIONS(2244),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitedate] = ACTIONS(2244),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteurl] = ACTIONS(2244),
    [anon_sym_BSLASHfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2244),
    [anon_sym_BSLASHcitealt] = ACTIONS(2244),
    [anon_sym_BSLASHcitealp] = ACTIONS(2244),
    [anon_sym_BSLASHcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHparencite] = ACTIONS(2244),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHParencite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHtextcite] = ACTIONS(2244),
    [anon_sym_BSLASHTextcite] = ACTIONS(2244),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHsupercite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite] = ACTIONS(2244),
    [anon_sym_BSLASHAutocite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHVolcite] = ACTIONS(2244),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHavolcite] = ACTIONS(2244),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHNotecite] = ACTIONS(2244),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHlabel] = ACTIONS(2244),
    [anon_sym_BSLASHref] = ACTIONS(2244),
    [anon_sym_BSLASHeqref] = ACTIONS(2244),
    [anon_sym_BSLASHvref] = ACTIONS(2244),
    [anon_sym_BSLASHVref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHpageref] = ACTIONS(2244),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHautopageref] = ACTIONS(2244),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcref] = ACTIONS(2244),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCref] = ACTIONS(2244),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHCpageref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnameCref] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2244),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHdef] = ACTIONS(2244),
    [anon_sym_BSLASHgdef] = ACTIONS(2244),
    [anon_sym_BSLASHedef] = ACTIONS(2244),
    [anon_sym_BSLASHxdef] = ACTIONS(2244),
    [anon_sym_BSLASHlet] = ACTIONS(2244),
    [anon_sym_BSLASHglet] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2244),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2244),
    [anon_sym_BSLASHgls] = ACTIONS(2244),
    [anon_sym_BSLASHGls] = ACTIONS(2244),
    [anon_sym_BSLASHGLS] = ACTIONS(2244),
    [anon_sym_BSLASHglspl] = ACTIONS(2244),
    [anon_sym_BSLASHGlspl] = ACTIONS(2244),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2244),
    [anon_sym_BSLASHglslink] = ACTIONS(2244),
    [anon_sym_BSLASHglstext] = ACTIONS(2244),
    [anon_sym_BSLASHGlstext] = ACTIONS(2244),
    [anon_sym_BSLASHGLStext] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2244),
    [anon_sym_BSLASHglsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsname] = ACTIONS(2244),
    [anon_sym_BSLASHGlsname] = ACTIONS(2244),
    [anon_sym_BSLASHGLSname] = ACTIONS(2244),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2244),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2244),
    [anon_sym_BSLASHacrshort] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2244),
    [anon_sym_BSLASHACRshort] = ACTIONS(2244),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrlong] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2244),
    [anon_sym_BSLASHACRlong] = ACTIONS(2244),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrfull] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2244),
    [anon_sym_BSLASHACRfull] = ACTIONS(2244),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHacs] = ACTIONS(2244),
    [anon_sym_BSLASHAcs] = ACTIONS(2244),
    [anon_sym_BSLASHacsp] = ACTIONS(2244),
    [anon_sym_BSLASHAcsp] = ACTIONS(2244),
    [anon_sym_BSLASHacl] = ACTIONS(2244),
    [anon_sym_BSLASHAcl] = ACTIONS(2244),
    [anon_sym_BSLASHaclp] = ACTIONS(2244),
    [anon_sym_BSLASHAclp] = ACTIONS(2244),
    [anon_sym_BSLASHacf] = ACTIONS(2244),
    [anon_sym_BSLASHAcf] = ACTIONS(2244),
    [anon_sym_BSLASHacfp] = ACTIONS(2244),
    [anon_sym_BSLASHAcfp] = ACTIONS(2244),
    [anon_sym_BSLASHac] = ACTIONS(2244),
    [anon_sym_BSLASHAc] = ACTIONS(2244),
    [anon_sym_BSLASHacp] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2244),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2244),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2244),
    [anon_sym_BSLASHcolor] = ACTIONS(2244),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2244),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2244),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2244),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2244),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2244),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2244),
    [anon_sym_BSLASHurl] = ACTIONS(2244),
    [anon_sym_BSLASHhref] = ACTIONS(2244),
  },
  [502] = {
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(527),
    [aux_sym__section_repeat3] = STATE(527),
    [ts_builtin_sym_end] = ACTIONS(2246),
    [sym_command_name] = ACTIONS(2244),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_RBRACK] = ACTIONS(2246),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_EQ] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(2244),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddchap] = ACTIONS(2244),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHitem] = ACTIONS(2244),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2246),
    [sym_word] = ACTIONS(2244),
    [sym_placeholder] = ACTIONS(2246),
    [sym_delimiter] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_COLON] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym__] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2246),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2246),
    [anon_sym_DOLLAR] = ACTIONS(2244),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHleft] = ACTIONS(2244),
    [anon_sym_BSLASHbigl] = ACTIONS(2244),
    [anon_sym_BSLASHBigl] = ACTIONS(2244),
    [anon_sym_BSLASHbiggl] = ACTIONS(2244),
    [anon_sym_BSLASHBiggl] = ACTIONS(2244),
    [anon_sym_BSLASHtext] = ACTIONS(2244),
    [anon_sym_BSLASHintertext] = ACTIONS(2244),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2244),
    [anon_sym_BSLASHbegin] = ACTIONS(2244),
    [anon_sym_BSLASHtitle] = ACTIONS(2244),
    [anon_sym_BSLASHauthor] = ACTIONS(2244),
    [anon_sym_BSLASHusepackage] = ACTIONS(2244),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2244),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2244),
    [anon_sym_BSLASHinclude] = ACTIONS(2244),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2244),
    [anon_sym_BSLASHinput] = ACTIONS(2244),
    [anon_sym_BSLASHsubfile] = ACTIONS(2244),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2244),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2244),
    [anon_sym_BSLASHbibliography] = ACTIONS(2244),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2244),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2244),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2244),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2244),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2244),
    [anon_sym_BSLASHimport] = ACTIONS(2244),
    [anon_sym_BSLASHsubimport] = ACTIONS(2244),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2244),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHcaption] = ACTIONS(2244),
    [anon_sym_BSLASHcite] = ACTIONS(2244),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCite] = ACTIONS(2244),
    [anon_sym_BSLASHnocite] = ACTIONS(2244),
    [anon_sym_BSLASHcitet] = ACTIONS(2244),
    [anon_sym_BSLASHcitep] = ACTIONS(2244),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteA] = ACTIONS(2244),
    [anon_sym_BSLASHciteR] = ACTIONS(2244),
    [anon_sym_BSLASHciteS] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2244),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteyear] = ACTIONS(2244),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitedate] = ACTIONS(2244),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteurl] = ACTIONS(2244),
    [anon_sym_BSLASHfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2244),
    [anon_sym_BSLASHcitealt] = ACTIONS(2244),
    [anon_sym_BSLASHcitealp] = ACTIONS(2244),
    [anon_sym_BSLASHcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHparencite] = ACTIONS(2244),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHParencite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHtextcite] = ACTIONS(2244),
    [anon_sym_BSLASHTextcite] = ACTIONS(2244),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHsupercite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite] = ACTIONS(2244),
    [anon_sym_BSLASHAutocite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHVolcite] = ACTIONS(2244),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHavolcite] = ACTIONS(2244),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHNotecite] = ACTIONS(2244),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHlabel] = ACTIONS(2244),
    [anon_sym_BSLASHref] = ACTIONS(2244),
    [anon_sym_BSLASHeqref] = ACTIONS(2244),
    [anon_sym_BSLASHvref] = ACTIONS(2244),
    [anon_sym_BSLASHVref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHpageref] = ACTIONS(2244),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHautopageref] = ACTIONS(2244),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcref] = ACTIONS(2244),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCref] = ACTIONS(2244),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHCpageref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnameCref] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2244),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHdef] = ACTIONS(2244),
    [anon_sym_BSLASHgdef] = ACTIONS(2244),
    [anon_sym_BSLASHedef] = ACTIONS(2244),
    [anon_sym_BSLASHxdef] = ACTIONS(2244),
    [anon_sym_BSLASHlet] = ACTIONS(2244),
    [anon_sym_BSLASHglet] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2244),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2244),
    [anon_sym_BSLASHgls] = ACTIONS(2244),
    [anon_sym_BSLASHGls] = ACTIONS(2244),
    [anon_sym_BSLASHGLS] = ACTIONS(2244),
    [anon_sym_BSLASHglspl] = ACTIONS(2244),
    [anon_sym_BSLASHGlspl] = ACTIONS(2244),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2244),
    [anon_sym_BSLASHglslink] = ACTIONS(2244),
    [anon_sym_BSLASHglstext] = ACTIONS(2244),
    [anon_sym_BSLASHGlstext] = ACTIONS(2244),
    [anon_sym_BSLASHGLStext] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2244),
    [anon_sym_BSLASHglsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsname] = ACTIONS(2244),
    [anon_sym_BSLASHGlsname] = ACTIONS(2244),
    [anon_sym_BSLASHGLSname] = ACTIONS(2244),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2244),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2244),
    [anon_sym_BSLASHacrshort] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2244),
    [anon_sym_BSLASHACRshort] = ACTIONS(2244),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrlong] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2244),
    [anon_sym_BSLASHACRlong] = ACTIONS(2244),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrfull] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2244),
    [anon_sym_BSLASHACRfull] = ACTIONS(2244),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHacs] = ACTIONS(2244),
    [anon_sym_BSLASHAcs] = ACTIONS(2244),
    [anon_sym_BSLASHacsp] = ACTIONS(2244),
    [anon_sym_BSLASHAcsp] = ACTIONS(2244),
    [anon_sym_BSLASHacl] = ACTIONS(2244),
    [anon_sym_BSLASHAcl] = ACTIONS(2244),
    [anon_sym_BSLASHaclp] = ACTIONS(2244),
    [anon_sym_BSLASHAclp] = ACTIONS(2244),
    [anon_sym_BSLASHacf] = ACTIONS(2244),
    [anon_sym_BSLASHAcf] = ACTIONS(2244),
    [anon_sym_BSLASHacfp] = ACTIONS(2244),
    [anon_sym_BSLASHAcfp] = ACTIONS(2244),
    [anon_sym_BSLASHac] = ACTIONS(2244),
    [anon_sym_BSLASHAc] = ACTIONS(2244),
    [anon_sym_BSLASHacp] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2244),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2244),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2244),
    [anon_sym_BSLASHcolor] = ACTIONS(2244),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2244),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2244),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2244),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2244),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2244),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2244),
    [anon_sym_BSLASHurl] = ACTIONS(2244),
    [anon_sym_BSLASHhref] = ACTIONS(2244),
  },
  [503] = {
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(528),
    [aux_sym__section_repeat4] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(2246),
    [sym_command_name] = ACTIONS(2244),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_RBRACK] = ACTIONS(2246),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_EQ] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(2244),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddchap] = ACTIONS(2244),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsection] = ACTIONS(2244),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddsec] = ACTIONS(2244),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHitem] = ACTIONS(2244),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2246),
    [sym_word] = ACTIONS(2244),
    [sym_placeholder] = ACTIONS(2246),
    [sym_delimiter] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_COLON] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym__] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2246),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2246),
    [anon_sym_DOLLAR] = ACTIONS(2244),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHleft] = ACTIONS(2244),
    [anon_sym_BSLASHbigl] = ACTIONS(2244),
    [anon_sym_BSLASHBigl] = ACTIONS(2244),
    [anon_sym_BSLASHbiggl] = ACTIONS(2244),
    [anon_sym_BSLASHBiggl] = ACTIONS(2244),
    [anon_sym_BSLASHtext] = ACTIONS(2244),
    [anon_sym_BSLASHintertext] = ACTIONS(2244),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2244),
    [anon_sym_BSLASHbegin] = ACTIONS(2244),
    [anon_sym_BSLASHtitle] = ACTIONS(2244),
    [anon_sym_BSLASHauthor] = ACTIONS(2244),
    [anon_sym_BSLASHusepackage] = ACTIONS(2244),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2244),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2244),
    [anon_sym_BSLASHinclude] = ACTIONS(2244),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2244),
    [anon_sym_BSLASHinput] = ACTIONS(2244),
    [anon_sym_BSLASHsubfile] = ACTIONS(2244),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2244),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2244),
    [anon_sym_BSLASHbibliography] = ACTIONS(2244),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2244),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2244),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2244),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2244),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2244),
    [anon_sym_BSLASHimport] = ACTIONS(2244),
    [anon_sym_BSLASHsubimport] = ACTIONS(2244),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2244),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHcaption] = ACTIONS(2244),
    [anon_sym_BSLASHcite] = ACTIONS(2244),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCite] = ACTIONS(2244),
    [anon_sym_BSLASHnocite] = ACTIONS(2244),
    [anon_sym_BSLASHcitet] = ACTIONS(2244),
    [anon_sym_BSLASHcitep] = ACTIONS(2244),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteA] = ACTIONS(2244),
    [anon_sym_BSLASHciteR] = ACTIONS(2244),
    [anon_sym_BSLASHciteS] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2244),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteyear] = ACTIONS(2244),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitedate] = ACTIONS(2244),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteurl] = ACTIONS(2244),
    [anon_sym_BSLASHfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2244),
    [anon_sym_BSLASHcitealt] = ACTIONS(2244),
    [anon_sym_BSLASHcitealp] = ACTIONS(2244),
    [anon_sym_BSLASHcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHparencite] = ACTIONS(2244),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHParencite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHtextcite] = ACTIONS(2244),
    [anon_sym_BSLASHTextcite] = ACTIONS(2244),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHsupercite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite] = ACTIONS(2244),
    [anon_sym_BSLASHAutocite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHVolcite] = ACTIONS(2244),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHavolcite] = ACTIONS(2244),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHNotecite] = ACTIONS(2244),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHlabel] = ACTIONS(2244),
    [anon_sym_BSLASHref] = ACTIONS(2244),
    [anon_sym_BSLASHeqref] = ACTIONS(2244),
    [anon_sym_BSLASHvref] = ACTIONS(2244),
    [anon_sym_BSLASHVref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHpageref] = ACTIONS(2244),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHautopageref] = ACTIONS(2244),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcref] = ACTIONS(2244),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCref] = ACTIONS(2244),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHCpageref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnameCref] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2244),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHdef] = ACTIONS(2244),
    [anon_sym_BSLASHgdef] = ACTIONS(2244),
    [anon_sym_BSLASHedef] = ACTIONS(2244),
    [anon_sym_BSLASHxdef] = ACTIONS(2244),
    [anon_sym_BSLASHlet] = ACTIONS(2244),
    [anon_sym_BSLASHglet] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2244),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2244),
    [anon_sym_BSLASHgls] = ACTIONS(2244),
    [anon_sym_BSLASHGls] = ACTIONS(2244),
    [anon_sym_BSLASHGLS] = ACTIONS(2244),
    [anon_sym_BSLASHglspl] = ACTIONS(2244),
    [anon_sym_BSLASHGlspl] = ACTIONS(2244),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2244),
    [anon_sym_BSLASHglslink] = ACTIONS(2244),
    [anon_sym_BSLASHglstext] = ACTIONS(2244),
    [anon_sym_BSLASHGlstext] = ACTIONS(2244),
    [anon_sym_BSLASHGLStext] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2244),
    [anon_sym_BSLASHglsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsname] = ACTIONS(2244),
    [anon_sym_BSLASHGlsname] = ACTIONS(2244),
    [anon_sym_BSLASHGLSname] = ACTIONS(2244),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2244),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2244),
    [anon_sym_BSLASHacrshort] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2244),
    [anon_sym_BSLASHACRshort] = ACTIONS(2244),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrlong] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2244),
    [anon_sym_BSLASHACRlong] = ACTIONS(2244),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrfull] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2244),
    [anon_sym_BSLASHACRfull] = ACTIONS(2244),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHacs] = ACTIONS(2244),
    [anon_sym_BSLASHAcs] = ACTIONS(2244),
    [anon_sym_BSLASHacsp] = ACTIONS(2244),
    [anon_sym_BSLASHAcsp] = ACTIONS(2244),
    [anon_sym_BSLASHacl] = ACTIONS(2244),
    [anon_sym_BSLASHAcl] = ACTIONS(2244),
    [anon_sym_BSLASHaclp] = ACTIONS(2244),
    [anon_sym_BSLASHAclp] = ACTIONS(2244),
    [anon_sym_BSLASHacf] = ACTIONS(2244),
    [anon_sym_BSLASHAcf] = ACTIONS(2244),
    [anon_sym_BSLASHacfp] = ACTIONS(2244),
    [anon_sym_BSLASHAcfp] = ACTIONS(2244),
    [anon_sym_BSLASHac] = ACTIONS(2244),
    [anon_sym_BSLASHAc] = ACTIONS(2244),
    [anon_sym_BSLASHacp] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2244),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2244),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2244),
    [anon_sym_BSLASHcolor] = ACTIONS(2244),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2244),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2244),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2244),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2244),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2244),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2244),
    [anon_sym_BSLASHurl] = ACTIONS(2244),
    [anon_sym_BSLASHhref] = ACTIONS(2244),
  },
  [504] = {
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(529),
    [aux_sym__section_repeat5] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(2246),
    [sym_command_name] = ACTIONS(2244),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_RBRACK] = ACTIONS(2246),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_EQ] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(2244),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddchap] = ACTIONS(2244),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsection] = ACTIONS(2244),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddsec] = ACTIONS(2244),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHitem] = ACTIONS(2244),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2246),
    [sym_word] = ACTIONS(2244),
    [sym_placeholder] = ACTIONS(2246),
    [sym_delimiter] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_COLON] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym__] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2246),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2246),
    [anon_sym_DOLLAR] = ACTIONS(2244),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHleft] = ACTIONS(2244),
    [anon_sym_BSLASHbigl] = ACTIONS(2244),
    [anon_sym_BSLASHBigl] = ACTIONS(2244),
    [anon_sym_BSLASHbiggl] = ACTIONS(2244),
    [anon_sym_BSLASHBiggl] = ACTIONS(2244),
    [anon_sym_BSLASHtext] = ACTIONS(2244),
    [anon_sym_BSLASHintertext] = ACTIONS(2244),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2244),
    [anon_sym_BSLASHbegin] = ACTIONS(2244),
    [anon_sym_BSLASHtitle] = ACTIONS(2244),
    [anon_sym_BSLASHauthor] = ACTIONS(2244),
    [anon_sym_BSLASHusepackage] = ACTIONS(2244),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2244),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2244),
    [anon_sym_BSLASHinclude] = ACTIONS(2244),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2244),
    [anon_sym_BSLASHinput] = ACTIONS(2244),
    [anon_sym_BSLASHsubfile] = ACTIONS(2244),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2244),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2244),
    [anon_sym_BSLASHbibliography] = ACTIONS(2244),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2244),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2244),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2244),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2244),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2244),
    [anon_sym_BSLASHimport] = ACTIONS(2244),
    [anon_sym_BSLASHsubimport] = ACTIONS(2244),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2244),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHcaption] = ACTIONS(2244),
    [anon_sym_BSLASHcite] = ACTIONS(2244),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCite] = ACTIONS(2244),
    [anon_sym_BSLASHnocite] = ACTIONS(2244),
    [anon_sym_BSLASHcitet] = ACTIONS(2244),
    [anon_sym_BSLASHcitep] = ACTIONS(2244),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteA] = ACTIONS(2244),
    [anon_sym_BSLASHciteR] = ACTIONS(2244),
    [anon_sym_BSLASHciteS] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2244),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteyear] = ACTIONS(2244),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitedate] = ACTIONS(2244),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteurl] = ACTIONS(2244),
    [anon_sym_BSLASHfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2244),
    [anon_sym_BSLASHcitealt] = ACTIONS(2244),
    [anon_sym_BSLASHcitealp] = ACTIONS(2244),
    [anon_sym_BSLASHcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHparencite] = ACTIONS(2244),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHParencite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHtextcite] = ACTIONS(2244),
    [anon_sym_BSLASHTextcite] = ACTIONS(2244),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHsupercite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite] = ACTIONS(2244),
    [anon_sym_BSLASHAutocite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHVolcite] = ACTIONS(2244),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHavolcite] = ACTIONS(2244),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHNotecite] = ACTIONS(2244),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHlabel] = ACTIONS(2244),
    [anon_sym_BSLASHref] = ACTIONS(2244),
    [anon_sym_BSLASHeqref] = ACTIONS(2244),
    [anon_sym_BSLASHvref] = ACTIONS(2244),
    [anon_sym_BSLASHVref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHpageref] = ACTIONS(2244),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHautopageref] = ACTIONS(2244),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcref] = ACTIONS(2244),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCref] = ACTIONS(2244),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHCpageref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnameCref] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2244),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHdef] = ACTIONS(2244),
    [anon_sym_BSLASHgdef] = ACTIONS(2244),
    [anon_sym_BSLASHedef] = ACTIONS(2244),
    [anon_sym_BSLASHxdef] = ACTIONS(2244),
    [anon_sym_BSLASHlet] = ACTIONS(2244),
    [anon_sym_BSLASHglet] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2244),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2244),
    [anon_sym_BSLASHgls] = ACTIONS(2244),
    [anon_sym_BSLASHGls] = ACTIONS(2244),
    [anon_sym_BSLASHGLS] = ACTIONS(2244),
    [anon_sym_BSLASHglspl] = ACTIONS(2244),
    [anon_sym_BSLASHGlspl] = ACTIONS(2244),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2244),
    [anon_sym_BSLASHglslink] = ACTIONS(2244),
    [anon_sym_BSLASHglstext] = ACTIONS(2244),
    [anon_sym_BSLASHGlstext] = ACTIONS(2244),
    [anon_sym_BSLASHGLStext] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2244),
    [anon_sym_BSLASHglsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsname] = ACTIONS(2244),
    [anon_sym_BSLASHGlsname] = ACTIONS(2244),
    [anon_sym_BSLASHGLSname] = ACTIONS(2244),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2244),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2244),
    [anon_sym_BSLASHacrshort] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2244),
    [anon_sym_BSLASHACRshort] = ACTIONS(2244),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrlong] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2244),
    [anon_sym_BSLASHACRlong] = ACTIONS(2244),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrfull] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2244),
    [anon_sym_BSLASHACRfull] = ACTIONS(2244),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHacs] = ACTIONS(2244),
    [anon_sym_BSLASHAcs] = ACTIONS(2244),
    [anon_sym_BSLASHacsp] = ACTIONS(2244),
    [anon_sym_BSLASHAcsp] = ACTIONS(2244),
    [anon_sym_BSLASHacl] = ACTIONS(2244),
    [anon_sym_BSLASHAcl] = ACTIONS(2244),
    [anon_sym_BSLASHaclp] = ACTIONS(2244),
    [anon_sym_BSLASHAclp] = ACTIONS(2244),
    [anon_sym_BSLASHacf] = ACTIONS(2244),
    [anon_sym_BSLASHAcf] = ACTIONS(2244),
    [anon_sym_BSLASHacfp] = ACTIONS(2244),
    [anon_sym_BSLASHAcfp] = ACTIONS(2244),
    [anon_sym_BSLASHac] = ACTIONS(2244),
    [anon_sym_BSLASHAc] = ACTIONS(2244),
    [anon_sym_BSLASHacp] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2244),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2244),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2244),
    [anon_sym_BSLASHcolor] = ACTIONS(2244),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2244),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2244),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2244),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2244),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2244),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2244),
    [anon_sym_BSLASHurl] = ACTIONS(2244),
    [anon_sym_BSLASHhref] = ACTIONS(2244),
  },
  [505] = {
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(527),
    [aux_sym__section_repeat3] = STATE(527),
    [ts_builtin_sym_end] = ACTIONS(2262),
    [sym_command_name] = ACTIONS(2260),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_RBRACK] = ACTIONS(2262),
    [anon_sym_COMMA] = ACTIONS(2262),
    [anon_sym_EQ] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_RPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHpart] = ACTIONS(2260),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddpart] = ACTIONS(2260),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHchapter] = ACTIONS(2260),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddchap] = ACTIONS(2260),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(2260),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2260),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHitem] = ACTIONS(2260),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_RBRACE] = ACTIONS(2262),
    [sym_word] = ACTIONS(2260),
    [sym_placeholder] = ACTIONS(2262),
    [sym_delimiter] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_PIPE] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(2260),
    [anon_sym_SQUOTE] = ACTIONS(2260),
    [anon_sym__] = ACTIONS(2262),
    [anon_sym_CARET] = ACTIONS(2262),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2262),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2262),
    [anon_sym_DOLLAR] = ACTIONS(2260),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHleft] = ACTIONS(2260),
    [anon_sym_BSLASHbigl] = ACTIONS(2260),
    [anon_sym_BSLASHBigl] = ACTIONS(2260),
    [anon_sym_BSLASHbiggl] = ACTIONS(2260),
    [anon_sym_BSLASHBiggl] = ACTIONS(2260),
    [anon_sym_BSLASHtext] = ACTIONS(2260),
    [anon_sym_BSLASHintertext] = ACTIONS(2260),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2260),
    [anon_sym_BSLASHbegin] = ACTIONS(2260),
    [anon_sym_BSLASHtitle] = ACTIONS(2260),
    [anon_sym_BSLASHauthor] = ACTIONS(2260),
    [anon_sym_BSLASHusepackage] = ACTIONS(2260),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2260),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2260),
    [anon_sym_BSLASHinclude] = ACTIONS(2260),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2260),
    [anon_sym_BSLASHinput] = ACTIONS(2260),
    [anon_sym_BSLASHsubfile] = ACTIONS(2260),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2260),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2260),
    [anon_sym_BSLASHbibliography] = ACTIONS(2260),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2260),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2260),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2260),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2260),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2260),
    [anon_sym_BSLASHimport] = ACTIONS(2260),
    [anon_sym_BSLASHsubimport] = ACTIONS(2260),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2260),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHcaption] = ACTIONS(2260),
    [anon_sym_BSLASHcite] = ACTIONS(2260),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCite] = ACTIONS(2260),
    [anon_sym_BSLASHnocite] = ACTIONS(2260),
    [anon_sym_BSLASHcitet] = ACTIONS(2260),
    [anon_sym_BSLASHcitep] = ACTIONS(2260),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteA] = ACTIONS(2260),
    [anon_sym_BSLASHciteR] = ACTIONS(2260),
    [anon_sym_BSLASHciteS] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2260),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteyear] = ACTIONS(2260),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitedate] = ACTIONS(2260),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteurl] = ACTIONS(2260),
    [anon_sym_BSLASHfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2260),
    [anon_sym_BSLASHcitealt] = ACTIONS(2260),
    [anon_sym_BSLASHcitealp] = ACTIONS(2260),
    [anon_sym_BSLASHcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHparencite] = ACTIONS(2260),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHParencite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHtextcite] = ACTIONS(2260),
    [anon_sym_BSLASHTextcite] = ACTIONS(2260),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHsupercite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite] = ACTIONS(2260),
    [anon_sym_BSLASHAutocite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHVolcite] = ACTIONS(2260),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHavolcite] = ACTIONS(2260),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHNotecite] = ACTIONS(2260),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHlabel] = ACTIONS(2260),
    [anon_sym_BSLASHref] = ACTIONS(2260),
    [anon_sym_BSLASHeqref] = ACTIONS(2260),
    [anon_sym_BSLASHvref] = ACTIONS(2260),
    [anon_sym_BSLASHVref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHpageref] = ACTIONS(2260),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHautopageref] = ACTIONS(2260),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcref] = ACTIONS(2260),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCref] = ACTIONS(2260),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHCpageref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnameCref] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2260),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHdef] = ACTIONS(2260),
    [anon_sym_BSLASHgdef] = ACTIONS(2260),
    [anon_sym_BSLASHedef] = ACTIONS(2260),
    [anon_sym_BSLASHxdef] = ACTIONS(2260),
    [anon_sym_BSLASHlet] = ACTIONS(2260),
    [anon_sym_BSLASHglet] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2260),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2260),
    [anon_sym_BSLASHgls] = ACTIONS(2260),
    [anon_sym_BSLASHGls] = ACTIONS(2260),
    [anon_sym_BSLASHGLS] = ACTIONS(2260),
    [anon_sym_BSLASHglspl] = ACTIONS(2260),
    [anon_sym_BSLASHGlspl] = ACTIONS(2260),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2260),
    [anon_sym_BSLASHglslink] = ACTIONS(2260),
    [anon_sym_BSLASHglstext] = ACTIONS(2260),
    [anon_sym_BSLASHGlstext] = ACTIONS(2260),
    [anon_sym_BSLASHGLStext] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2260),
    [anon_sym_BSLASHglsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsname] = ACTIONS(2260),
    [anon_sym_BSLASHGlsname] = ACTIONS(2260),
    [anon_sym_BSLASHGLSname] = ACTIONS(2260),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2260),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2260),
    [anon_sym_BSLASHacrshort] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2260),
    [anon_sym_BSLASHACRshort] = ACTIONS(2260),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrlong] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2260),
    [anon_sym_BSLASHACRlong] = ACTIONS(2260),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrfull] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2260),
    [anon_sym_BSLASHACRfull] = ACTIONS(2260),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHacs] = ACTIONS(2260),
    [anon_sym_BSLASHAcs] = ACTIONS(2260),
    [anon_sym_BSLASHacsp] = ACTIONS(2260),
    [anon_sym_BSLASHAcsp] = ACTIONS(2260),
    [anon_sym_BSLASHacl] = ACTIONS(2260),
    [anon_sym_BSLASHAcl] = ACTIONS(2260),
    [anon_sym_BSLASHaclp] = ACTIONS(2260),
    [anon_sym_BSLASHAclp] = ACTIONS(2260),
    [anon_sym_BSLASHacf] = ACTIONS(2260),
    [anon_sym_BSLASHAcf] = ACTIONS(2260),
    [anon_sym_BSLASHacfp] = ACTIONS(2260),
    [anon_sym_BSLASHAcfp] = ACTIONS(2260),
    [anon_sym_BSLASHac] = ACTIONS(2260),
    [anon_sym_BSLASHAc] = ACTIONS(2260),
    [anon_sym_BSLASHacp] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2260),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2260),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2260),
    [anon_sym_BSLASHcolor] = ACTIONS(2260),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2260),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2260),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2260),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2260),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2260),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2260),
    [anon_sym_BSLASHurl] = ACTIONS(2260),
    [anon_sym_BSLASHhref] = ACTIONS(2260),
  },
  [506] = {
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(528),
    [aux_sym__section_repeat4] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(2262),
    [sym_command_name] = ACTIONS(2260),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_RBRACK] = ACTIONS(2262),
    [anon_sym_COMMA] = ACTIONS(2262),
    [anon_sym_EQ] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_RPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHpart] = ACTIONS(2260),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddpart] = ACTIONS(2260),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHchapter] = ACTIONS(2260),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddchap] = ACTIONS(2260),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsection] = ACTIONS(2260),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddsec] = ACTIONS(2260),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2260),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHitem] = ACTIONS(2260),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_RBRACE] = ACTIONS(2262),
    [sym_word] = ACTIONS(2260),
    [sym_placeholder] = ACTIONS(2262),
    [sym_delimiter] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_PIPE] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(2260),
    [anon_sym_SQUOTE] = ACTIONS(2260),
    [anon_sym__] = ACTIONS(2262),
    [anon_sym_CARET] = ACTIONS(2262),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2262),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2262),
    [anon_sym_DOLLAR] = ACTIONS(2260),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHleft] = ACTIONS(2260),
    [anon_sym_BSLASHbigl] = ACTIONS(2260),
    [anon_sym_BSLASHBigl] = ACTIONS(2260),
    [anon_sym_BSLASHbiggl] = ACTIONS(2260),
    [anon_sym_BSLASHBiggl] = ACTIONS(2260),
    [anon_sym_BSLASHtext] = ACTIONS(2260),
    [anon_sym_BSLASHintertext] = ACTIONS(2260),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2260),
    [anon_sym_BSLASHbegin] = ACTIONS(2260),
    [anon_sym_BSLASHtitle] = ACTIONS(2260),
    [anon_sym_BSLASHauthor] = ACTIONS(2260),
    [anon_sym_BSLASHusepackage] = ACTIONS(2260),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2260),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2260),
    [anon_sym_BSLASHinclude] = ACTIONS(2260),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2260),
    [anon_sym_BSLASHinput] = ACTIONS(2260),
    [anon_sym_BSLASHsubfile] = ACTIONS(2260),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2260),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2260),
    [anon_sym_BSLASHbibliography] = ACTIONS(2260),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2260),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2260),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2260),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2260),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2260),
    [anon_sym_BSLASHimport] = ACTIONS(2260),
    [anon_sym_BSLASHsubimport] = ACTIONS(2260),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2260),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHcaption] = ACTIONS(2260),
    [anon_sym_BSLASHcite] = ACTIONS(2260),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCite] = ACTIONS(2260),
    [anon_sym_BSLASHnocite] = ACTIONS(2260),
    [anon_sym_BSLASHcitet] = ACTIONS(2260),
    [anon_sym_BSLASHcitep] = ACTIONS(2260),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteA] = ACTIONS(2260),
    [anon_sym_BSLASHciteR] = ACTIONS(2260),
    [anon_sym_BSLASHciteS] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2260),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteyear] = ACTIONS(2260),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitedate] = ACTIONS(2260),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteurl] = ACTIONS(2260),
    [anon_sym_BSLASHfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2260),
    [anon_sym_BSLASHcitealt] = ACTIONS(2260),
    [anon_sym_BSLASHcitealp] = ACTIONS(2260),
    [anon_sym_BSLASHcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHparencite] = ACTIONS(2260),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHParencite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHtextcite] = ACTIONS(2260),
    [anon_sym_BSLASHTextcite] = ACTIONS(2260),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHsupercite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite] = ACTIONS(2260),
    [anon_sym_BSLASHAutocite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHVolcite] = ACTIONS(2260),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHavolcite] = ACTIONS(2260),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHNotecite] = ACTIONS(2260),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHlabel] = ACTIONS(2260),
    [anon_sym_BSLASHref] = ACTIONS(2260),
    [anon_sym_BSLASHeqref] = ACTIONS(2260),
    [anon_sym_BSLASHvref] = ACTIONS(2260),
    [anon_sym_BSLASHVref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHpageref] = ACTIONS(2260),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHautopageref] = ACTIONS(2260),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcref] = ACTIONS(2260),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCref] = ACTIONS(2260),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHCpageref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnameCref] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2260),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHdef] = ACTIONS(2260),
    [anon_sym_BSLASHgdef] = ACTIONS(2260),
    [anon_sym_BSLASHedef] = ACTIONS(2260),
    [anon_sym_BSLASHxdef] = ACTIONS(2260),
    [anon_sym_BSLASHlet] = ACTIONS(2260),
    [anon_sym_BSLASHglet] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2260),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2260),
    [anon_sym_BSLASHgls] = ACTIONS(2260),
    [anon_sym_BSLASHGls] = ACTIONS(2260),
    [anon_sym_BSLASHGLS] = ACTIONS(2260),
    [anon_sym_BSLASHglspl] = ACTIONS(2260),
    [anon_sym_BSLASHGlspl] = ACTIONS(2260),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2260),
    [anon_sym_BSLASHglslink] = ACTIONS(2260),
    [anon_sym_BSLASHglstext] = ACTIONS(2260),
    [anon_sym_BSLASHGlstext] = ACTIONS(2260),
    [anon_sym_BSLASHGLStext] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2260),
    [anon_sym_BSLASHglsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsname] = ACTIONS(2260),
    [anon_sym_BSLASHGlsname] = ACTIONS(2260),
    [anon_sym_BSLASHGLSname] = ACTIONS(2260),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2260),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2260),
    [anon_sym_BSLASHacrshort] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2260),
    [anon_sym_BSLASHACRshort] = ACTIONS(2260),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrlong] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2260),
    [anon_sym_BSLASHACRlong] = ACTIONS(2260),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrfull] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2260),
    [anon_sym_BSLASHACRfull] = ACTIONS(2260),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHacs] = ACTIONS(2260),
    [anon_sym_BSLASHAcs] = ACTIONS(2260),
    [anon_sym_BSLASHacsp] = ACTIONS(2260),
    [anon_sym_BSLASHAcsp] = ACTIONS(2260),
    [anon_sym_BSLASHacl] = ACTIONS(2260),
    [anon_sym_BSLASHAcl] = ACTIONS(2260),
    [anon_sym_BSLASHaclp] = ACTIONS(2260),
    [anon_sym_BSLASHAclp] = ACTIONS(2260),
    [anon_sym_BSLASHacf] = ACTIONS(2260),
    [anon_sym_BSLASHAcf] = ACTIONS(2260),
    [anon_sym_BSLASHacfp] = ACTIONS(2260),
    [anon_sym_BSLASHAcfp] = ACTIONS(2260),
    [anon_sym_BSLASHac] = ACTIONS(2260),
    [anon_sym_BSLASHAc] = ACTIONS(2260),
    [anon_sym_BSLASHacp] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2260),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2260),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2260),
    [anon_sym_BSLASHcolor] = ACTIONS(2260),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2260),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2260),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2260),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2260),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2260),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2260),
    [anon_sym_BSLASHurl] = ACTIONS(2260),
    [anon_sym_BSLASHhref] = ACTIONS(2260),
  },
  [507] = {
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(529),
    [aux_sym__section_repeat5] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(2262),
    [sym_command_name] = ACTIONS(2260),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_RBRACK] = ACTIONS(2262),
    [anon_sym_COMMA] = ACTIONS(2262),
    [anon_sym_EQ] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_RPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHpart] = ACTIONS(2260),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddpart] = ACTIONS(2260),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHchapter] = ACTIONS(2260),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddchap] = ACTIONS(2260),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsection] = ACTIONS(2260),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddsec] = ACTIONS(2260),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubsection] = ACTIONS(2260),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHitem] = ACTIONS(2260),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_RBRACE] = ACTIONS(2262),
    [sym_word] = ACTIONS(2260),
    [sym_placeholder] = ACTIONS(2262),
    [sym_delimiter] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_PIPE] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(2260),
    [anon_sym_SQUOTE] = ACTIONS(2260),
    [anon_sym__] = ACTIONS(2262),
    [anon_sym_CARET] = ACTIONS(2262),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2262),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2262),
    [anon_sym_DOLLAR] = ACTIONS(2260),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHleft] = ACTIONS(2260),
    [anon_sym_BSLASHbigl] = ACTIONS(2260),
    [anon_sym_BSLASHBigl] = ACTIONS(2260),
    [anon_sym_BSLASHbiggl] = ACTIONS(2260),
    [anon_sym_BSLASHBiggl] = ACTIONS(2260),
    [anon_sym_BSLASHtext] = ACTIONS(2260),
    [anon_sym_BSLASHintertext] = ACTIONS(2260),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2260),
    [anon_sym_BSLASHbegin] = ACTIONS(2260),
    [anon_sym_BSLASHtitle] = ACTIONS(2260),
    [anon_sym_BSLASHauthor] = ACTIONS(2260),
    [anon_sym_BSLASHusepackage] = ACTIONS(2260),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2260),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2260),
    [anon_sym_BSLASHinclude] = ACTIONS(2260),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2260),
    [anon_sym_BSLASHinput] = ACTIONS(2260),
    [anon_sym_BSLASHsubfile] = ACTIONS(2260),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2260),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2260),
    [anon_sym_BSLASHbibliography] = ACTIONS(2260),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2260),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2260),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2260),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2260),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2260),
    [anon_sym_BSLASHimport] = ACTIONS(2260),
    [anon_sym_BSLASHsubimport] = ACTIONS(2260),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2260),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHcaption] = ACTIONS(2260),
    [anon_sym_BSLASHcite] = ACTIONS(2260),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCite] = ACTIONS(2260),
    [anon_sym_BSLASHnocite] = ACTIONS(2260),
    [anon_sym_BSLASHcitet] = ACTIONS(2260),
    [anon_sym_BSLASHcitep] = ACTIONS(2260),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteA] = ACTIONS(2260),
    [anon_sym_BSLASHciteR] = ACTIONS(2260),
    [anon_sym_BSLASHciteS] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2260),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteyear] = ACTIONS(2260),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitedate] = ACTIONS(2260),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteurl] = ACTIONS(2260),
    [anon_sym_BSLASHfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2260),
    [anon_sym_BSLASHcitealt] = ACTIONS(2260),
    [anon_sym_BSLASHcitealp] = ACTIONS(2260),
    [anon_sym_BSLASHcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHparencite] = ACTIONS(2260),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHParencite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHtextcite] = ACTIONS(2260),
    [anon_sym_BSLASHTextcite] = ACTIONS(2260),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHsupercite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite] = ACTIONS(2260),
    [anon_sym_BSLASHAutocite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHVolcite] = ACTIONS(2260),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHavolcite] = ACTIONS(2260),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHNotecite] = ACTIONS(2260),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHlabel] = ACTIONS(2260),
    [anon_sym_BSLASHref] = ACTIONS(2260),
    [anon_sym_BSLASHeqref] = ACTIONS(2260),
    [anon_sym_BSLASHvref] = ACTIONS(2260),
    [anon_sym_BSLASHVref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHpageref] = ACTIONS(2260),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHautopageref] = ACTIONS(2260),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcref] = ACTIONS(2260),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCref] = ACTIONS(2260),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHCpageref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnameCref] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2260),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHdef] = ACTIONS(2260),
    [anon_sym_BSLASHgdef] = ACTIONS(2260),
    [anon_sym_BSLASHedef] = ACTIONS(2260),
    [anon_sym_BSLASHxdef] = ACTIONS(2260),
    [anon_sym_BSLASHlet] = ACTIONS(2260),
    [anon_sym_BSLASHglet] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2260),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2260),
    [anon_sym_BSLASHgls] = ACTIONS(2260),
    [anon_sym_BSLASHGls] = ACTIONS(2260),
    [anon_sym_BSLASHGLS] = ACTIONS(2260),
    [anon_sym_BSLASHglspl] = ACTIONS(2260),
    [anon_sym_BSLASHGlspl] = ACTIONS(2260),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2260),
    [anon_sym_BSLASHglslink] = ACTIONS(2260),
    [anon_sym_BSLASHglstext] = ACTIONS(2260),
    [anon_sym_BSLASHGlstext] = ACTIONS(2260),
    [anon_sym_BSLASHGLStext] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2260),
    [anon_sym_BSLASHglsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsname] = ACTIONS(2260),
    [anon_sym_BSLASHGlsname] = ACTIONS(2260),
    [anon_sym_BSLASHGLSname] = ACTIONS(2260),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2260),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2260),
    [anon_sym_BSLASHacrshort] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2260),
    [anon_sym_BSLASHACRshort] = ACTIONS(2260),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrlong] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2260),
    [anon_sym_BSLASHACRlong] = ACTIONS(2260),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrfull] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2260),
    [anon_sym_BSLASHACRfull] = ACTIONS(2260),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHacs] = ACTIONS(2260),
    [anon_sym_BSLASHAcs] = ACTIONS(2260),
    [anon_sym_BSLASHacsp] = ACTIONS(2260),
    [anon_sym_BSLASHAcsp] = ACTIONS(2260),
    [anon_sym_BSLASHacl] = ACTIONS(2260),
    [anon_sym_BSLASHAcl] = ACTIONS(2260),
    [anon_sym_BSLASHaclp] = ACTIONS(2260),
    [anon_sym_BSLASHAclp] = ACTIONS(2260),
    [anon_sym_BSLASHacf] = ACTIONS(2260),
    [anon_sym_BSLASHAcf] = ACTIONS(2260),
    [anon_sym_BSLASHacfp] = ACTIONS(2260),
    [anon_sym_BSLASHAcfp] = ACTIONS(2260),
    [anon_sym_BSLASHac] = ACTIONS(2260),
    [anon_sym_BSLASHAc] = ACTIONS(2260),
    [anon_sym_BSLASHacp] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2260),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2260),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2260),
    [anon_sym_BSLASHcolor] = ACTIONS(2260),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2260),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2260),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2260),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2260),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2260),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2260),
    [anon_sym_BSLASHurl] = ACTIONS(2260),
    [anon_sym_BSLASHhref] = ACTIONS(2260),
  },
  [508] = {
    [sym__section_part] = STATE(1004),
    [sym_curly_group] = STATE(1146),
    [sym_brack_group] = STATE(2958),
    [ts_builtin_sym_end] = ACTIONS(6744),
    [sym_command_name] = ACTIONS(6742),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6742),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6744),
    [anon_sym_COMMA] = ACTIONS(6744),
    [anon_sym_EQ] = ACTIONS(6744),
    [anon_sym_LPAREN] = ACTIONS(6744),
    [anon_sym_RPAREN] = ACTIONS(6744),
    [anon_sym_BSLASHpart] = ACTIONS(6742),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHaddpart] = ACTIONS(6742),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHchapter] = ACTIONS(6742),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHaddchap] = ACTIONS(6742),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHsection] = ACTIONS(6742),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHaddsec] = ACTIONS(6742),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHsubsection] = ACTIONS(6742),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6742),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHparagraph] = ACTIONS(6742),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6742),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHitem] = ACTIONS(6742),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6744),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(6744),
    [sym_word] = ACTIONS(6742),
    [sym_placeholder] = ACTIONS(6744),
    [sym_delimiter] = ACTIONS(6744),
    [anon_sym_PLUS] = ACTIONS(6744),
    [anon_sym_DASH] = ACTIONS(6744),
    [anon_sym_STAR] = ACTIONS(6744),
    [anon_sym_SLASH] = ACTIONS(6744),
    [anon_sym_LT] = ACTIONS(6742),
    [anon_sym_GT] = ACTIONS(6742),
    [anon_sym_BANG] = ACTIONS(6742),
    [anon_sym_PIPE] = ACTIONS(6742),
    [anon_sym_COLON] = ACTIONS(6742),
    [anon_sym_SQUOTE] = ACTIONS(6742),
    [anon_sym__] = ACTIONS(6744),
    [anon_sym_CARET] = ACTIONS(6744),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6744),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6744),
    [anon_sym_DOLLAR] = ACTIONS(6742),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6744),
    [anon_sym_BSLASHleft] = ACTIONS(6742),
    [anon_sym_BSLASHbigl] = ACTIONS(6742),
    [anon_sym_BSLASHBigl] = ACTIONS(6742),
    [anon_sym_BSLASHbiggl] = ACTIONS(6742),
    [anon_sym_BSLASHBiggl] = ACTIONS(6742),
    [anon_sym_BSLASHtext] = ACTIONS(6742),
    [anon_sym_BSLASHintertext] = ACTIONS(6742),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6742),
    [anon_sym_BSLASHbegin] = ACTIONS(6742),
    [anon_sym_BSLASHtitle] = ACTIONS(6742),
    [anon_sym_BSLASHauthor] = ACTIONS(6742),
    [anon_sym_BSLASHusepackage] = ACTIONS(6742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6742),
    [anon_sym_BSLASHinclude] = ACTIONS(6742),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6742),
    [anon_sym_BSLASHinput] = ACTIONS(6742),
    [anon_sym_BSLASHsubfile] = ACTIONS(6742),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6742),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6742),
    [anon_sym_BSLASHbibliography] = ACTIONS(6742),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6742),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6742),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6742),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6742),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6742),
    [anon_sym_BSLASHimport] = ACTIONS(6742),
    [anon_sym_BSLASHsubimport] = ACTIONS(6742),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6742),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6742),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6742),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6742),
    [anon_sym_BSLASHcaption] = ACTIONS(6742),
    [anon_sym_BSLASHcite] = ACTIONS(6742),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHCite] = ACTIONS(6742),
    [anon_sym_BSLASHnocite] = ACTIONS(6742),
    [anon_sym_BSLASHcitet] = ACTIONS(6742),
    [anon_sym_BSLASHcitep] = ACTIONS(6742),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHciteA] = ACTIONS(6742),
    [anon_sym_BSLASHciteR] = ACTIONS(6742),
    [anon_sym_BSLASHciteS] = ACTIONS(6742),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6742),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6742),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6742),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6742),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHciteyear] = ACTIONS(6742),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcitedate] = ACTIONS(6742),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHciteurl] = ACTIONS(6742),
    [anon_sym_BSLASHfullcite] = ACTIONS(6742),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6742),
    [anon_sym_BSLASHcitealt] = ACTIONS(6742),
    [anon_sym_BSLASHcitealp] = ACTIONS(6742),
    [anon_sym_BSLASHcitetext] = ACTIONS(6742),
    [anon_sym_BSLASHparencite] = ACTIONS(6742),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHParencite] = ACTIONS(6742),
    [anon_sym_BSLASHfootcite] = ACTIONS(6742),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6742),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6742),
    [anon_sym_BSLASHtextcite] = ACTIONS(6742),
    [anon_sym_BSLASHTextcite] = ACTIONS(6742),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6742),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6742),
    [anon_sym_BSLASHsupercite] = ACTIONS(6742),
    [anon_sym_BSLASHautocite] = ACTIONS(6742),
    [anon_sym_BSLASHAutocite] = ACTIONS(6742),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHVolcite] = ACTIONS(6742),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHavolcite] = ACTIONS(6742),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHnotecite] = ACTIONS(6742),
    [anon_sym_BSLASHNotecite] = ACTIONS(6742),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6742),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6742),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6742),
    [anon_sym_BSLASHlabel] = ACTIONS(6742),
    [anon_sym_BSLASHref] = ACTIONS(6742),
    [anon_sym_BSLASHeqref] = ACTIONS(6742),
    [anon_sym_BSLASHvref] = ACTIONS(6742),
    [anon_sym_BSLASHVref] = ACTIONS(6742),
    [anon_sym_BSLASHautoref] = ACTIONS(6742),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHpageref] = ACTIONS(6742),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHautopageref] = ACTIONS(6742),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcref] = ACTIONS(6742),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHCref] = ACTIONS(6742),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcpageref] = ACTIONS(6742),
    [anon_sym_BSLASHCpageref] = ACTIONS(6742),
    [anon_sym_BSLASHnamecref] = ACTIONS(6742),
    [anon_sym_BSLASHnameCref] = ACTIONS(6742),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6742),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6742),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6742),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6742),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6742),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6742),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6742),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6742),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6742),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6742),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6742),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6742),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6742),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6742),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6742),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6742),
    [anon_sym_BSLASHdef] = ACTIONS(6742),
    [anon_sym_BSLASHgdef] = ACTIONS(6742),
    [anon_sym_BSLASHedef] = ACTIONS(6742),
    [anon_sym_BSLASHxdef] = ACTIONS(6742),
    [anon_sym_BSLASHlet] = ACTIONS(6742),
    [anon_sym_BSLASHglet] = ACTIONS(6742),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6742),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6742),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6742),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6742),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6742),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6742),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6742),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6742),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6742),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6742),
    [anon_sym_BSLASHgls] = ACTIONS(6742),
    [anon_sym_BSLASHGls] = ACTIONS(6742),
    [anon_sym_BSLASHGLS] = ACTIONS(6742),
    [anon_sym_BSLASHglspl] = ACTIONS(6742),
    [anon_sym_BSLASHGlspl] = ACTIONS(6742),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6742),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6742),
    [anon_sym_BSLASHglslink] = ACTIONS(6742),
    [anon_sym_BSLASHglstext] = ACTIONS(6742),
    [anon_sym_BSLASHGlstext] = ACTIONS(6742),
    [anon_sym_BSLASHGLStext] = ACTIONS(6742),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6742),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6742),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6742),
    [anon_sym_BSLASHglsplural] = ACTIONS(6742),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6742),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6742),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6742),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6742),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6742),
    [anon_sym_BSLASHglsname] = ACTIONS(6742),
    [anon_sym_BSLASHGlsname] = ACTIONS(6742),
    [anon_sym_BSLASHGLSname] = ACTIONS(6742),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6742),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6742),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6742),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6742),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6742),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6742),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6742),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6742),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6742),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6742),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6742),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6742),
    [anon_sym_BSLASHacrshort] = ACTIONS(6742),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6742),
    [anon_sym_BSLASHACRshort] = ACTIONS(6742),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6742),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6742),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6742),
    [anon_sym_BSLASHacrlong] = ACTIONS(6742),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6742),
    [anon_sym_BSLASHACRlong] = ACTIONS(6742),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6742),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6742),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6742),
    [anon_sym_BSLASHacrfull] = ACTIONS(6742),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6742),
    [anon_sym_BSLASHACRfull] = ACTIONS(6742),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6742),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6742),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6742),
    [anon_sym_BSLASHacs] = ACTIONS(6742),
    [anon_sym_BSLASHAcs] = ACTIONS(6742),
    [anon_sym_BSLASHacsp] = ACTIONS(6742),
    [anon_sym_BSLASHAcsp] = ACTIONS(6742),
    [anon_sym_BSLASHacl] = ACTIONS(6742),
    [anon_sym_BSLASHAcl] = ACTIONS(6742),
    [anon_sym_BSLASHaclp] = ACTIONS(6742),
    [anon_sym_BSLASHAclp] = ACTIONS(6742),
    [anon_sym_BSLASHacf] = ACTIONS(6742),
    [anon_sym_BSLASHAcf] = ACTIONS(6742),
    [anon_sym_BSLASHacfp] = ACTIONS(6742),
    [anon_sym_BSLASHAcfp] = ACTIONS(6742),
    [anon_sym_BSLASHac] = ACTIONS(6742),
    [anon_sym_BSLASHAc] = ACTIONS(6742),
    [anon_sym_BSLASHacp] = ACTIONS(6742),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6742),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6742),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6742),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6742),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6742),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6742),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6742),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6742),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6742),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6742),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6742),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6742),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6742),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6742),
    [anon_sym_BSLASHcolor] = ACTIONS(6742),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6742),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6742),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6742),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6742),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6742),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6742),
    [anon_sym_BSLASHurl] = ACTIONS(6742),
    [anon_sym_BSLASHhref] = ACTIONS(6742),
  },
  [509] = {
    [sym__part_declaration] = STATE(161),
    [sym_part] = STATE(525),
    [aux_sym__section_repeat1] = STATE(525),
    [ts_builtin_sym_end] = ACTIONS(6712),
    [sym_command_name] = ACTIONS(6710),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6710),
    [anon_sym_LBRACK] = ACTIONS(6712),
    [anon_sym_RBRACK] = ACTIONS(6712),
    [anon_sym_COMMA] = ACTIONS(6712),
    [anon_sym_EQ] = ACTIONS(6712),
    [anon_sym_LPAREN] = ACTIONS(6712),
    [anon_sym_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHpart] = ACTIONS(13),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHaddpart] = ACTIONS(13),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(15),
    [anon_sym_BSLASHchapter] = ACTIONS(6710),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddchap] = ACTIONS(6710),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsection] = ACTIONS(6710),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddsec] = ACTIONS(6710),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHitem] = ACTIONS(6710),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6712),
    [anon_sym_LBRACE] = ACTIONS(6712),
    [anon_sym_RBRACE] = ACTIONS(6712),
    [sym_word] = ACTIONS(6710),
    [sym_placeholder] = ACTIONS(6712),
    [sym_delimiter] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(6712),
    [anon_sym_SLASH] = ACTIONS(6712),
    [anon_sym_LT] = ACTIONS(6710),
    [anon_sym_GT] = ACTIONS(6710),
    [anon_sym_BANG] = ACTIONS(6710),
    [anon_sym_PIPE] = ACTIONS(6710),
    [anon_sym_COLON] = ACTIONS(6710),
    [anon_sym_SQUOTE] = ACTIONS(6710),
    [anon_sym__] = ACTIONS(6712),
    [anon_sym_CARET] = ACTIONS(6712),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6712),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6712),
    [anon_sym_DOLLAR] = ACTIONS(6710),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHleft] = ACTIONS(6710),
    [anon_sym_BSLASHbigl] = ACTIONS(6710),
    [anon_sym_BSLASHBigl] = ACTIONS(6710),
    [anon_sym_BSLASHbiggl] = ACTIONS(6710),
    [anon_sym_BSLASHBiggl] = ACTIONS(6710),
    [anon_sym_BSLASHtext] = ACTIONS(6710),
    [anon_sym_BSLASHintertext] = ACTIONS(6710),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6710),
    [anon_sym_BSLASHbegin] = ACTIONS(6710),
    [anon_sym_BSLASHtitle] = ACTIONS(6710),
    [anon_sym_BSLASHauthor] = ACTIONS(6710),
    [anon_sym_BSLASHusepackage] = ACTIONS(6710),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6710),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6710),
    [anon_sym_BSLASHinclude] = ACTIONS(6710),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6710),
    [anon_sym_BSLASHinput] = ACTIONS(6710),
    [anon_sym_BSLASHsubfile] = ACTIONS(6710),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6710),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6710),
    [anon_sym_BSLASHbibliography] = ACTIONS(6710),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6710),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6710),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6710),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6710),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6710),
    [anon_sym_BSLASHimport] = ACTIONS(6710),
    [anon_sym_BSLASHsubimport] = ACTIONS(6710),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6710),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHcaption] = ACTIONS(6710),
    [anon_sym_BSLASHcite] = ACTIONS(6710),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCite] = ACTIONS(6710),
    [anon_sym_BSLASHnocite] = ACTIONS(6710),
    [anon_sym_BSLASHcitet] = ACTIONS(6710),
    [anon_sym_BSLASHcitep] = ACTIONS(6710),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteA] = ACTIONS(6710),
    [anon_sym_BSLASHciteR] = ACTIONS(6710),
    [anon_sym_BSLASHciteS] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6710),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteyear] = ACTIONS(6710),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitedate] = ACTIONS(6710),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteurl] = ACTIONS(6710),
    [anon_sym_BSLASHfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6710),
    [anon_sym_BSLASHcitealt] = ACTIONS(6710),
    [anon_sym_BSLASHcitealp] = ACTIONS(6710),
    [anon_sym_BSLASHcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHparencite] = ACTIONS(6710),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHParencite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHtextcite] = ACTIONS(6710),
    [anon_sym_BSLASHTextcite] = ACTIONS(6710),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHsupercite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite] = ACTIONS(6710),
    [anon_sym_BSLASHAutocite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHVolcite] = ACTIONS(6710),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHavolcite] = ACTIONS(6710),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHNotecite] = ACTIONS(6710),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHlabel] = ACTIONS(6710),
    [anon_sym_BSLASHref] = ACTIONS(6710),
    [anon_sym_BSLASHeqref] = ACTIONS(6710),
    [anon_sym_BSLASHvref] = ACTIONS(6710),
    [anon_sym_BSLASHVref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHpageref] = ACTIONS(6710),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHautopageref] = ACTIONS(6710),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcref] = ACTIONS(6710),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCref] = ACTIONS(6710),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHCpageref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnameCref] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6710),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHdef] = ACTIONS(6710),
    [anon_sym_BSLASHgdef] = ACTIONS(6710),
    [anon_sym_BSLASHedef] = ACTIONS(6710),
    [anon_sym_BSLASHxdef] = ACTIONS(6710),
    [anon_sym_BSLASHlet] = ACTIONS(6710),
    [anon_sym_BSLASHglet] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6710),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6710),
    [anon_sym_BSLASHgls] = ACTIONS(6710),
    [anon_sym_BSLASHGls] = ACTIONS(6710),
    [anon_sym_BSLASHGLS] = ACTIONS(6710),
    [anon_sym_BSLASHglspl] = ACTIONS(6710),
    [anon_sym_BSLASHGlspl] = ACTIONS(6710),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6710),
    [anon_sym_BSLASHglslink] = ACTIONS(6710),
    [anon_sym_BSLASHglstext] = ACTIONS(6710),
    [anon_sym_BSLASHGlstext] = ACTIONS(6710),
    [anon_sym_BSLASHGLStext] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6710),
    [anon_sym_BSLASHglsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsname] = ACTIONS(6710),
    [anon_sym_BSLASHGlsname] = ACTIONS(6710),
    [anon_sym_BSLASHGLSname] = ACTIONS(6710),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6710),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6710),
    [anon_sym_BSLASHacrshort] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6710),
    [anon_sym_BSLASHACRshort] = ACTIONS(6710),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrlong] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6710),
    [anon_sym_BSLASHACRlong] = ACTIONS(6710),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrfull] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6710),
    [anon_sym_BSLASHACRfull] = ACTIONS(6710),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHacs] = ACTIONS(6710),
    [anon_sym_BSLASHAcs] = ACTIONS(6710),
    [anon_sym_BSLASHacsp] = ACTIONS(6710),
    [anon_sym_BSLASHAcsp] = ACTIONS(6710),
    [anon_sym_BSLASHacl] = ACTIONS(6710),
    [anon_sym_BSLASHAcl] = ACTIONS(6710),
    [anon_sym_BSLASHaclp] = ACTIONS(6710),
    [anon_sym_BSLASHAclp] = ACTIONS(6710),
    [anon_sym_BSLASHacf] = ACTIONS(6710),
    [anon_sym_BSLASHAcf] = ACTIONS(6710),
    [anon_sym_BSLASHacfp] = ACTIONS(6710),
    [anon_sym_BSLASHAcfp] = ACTIONS(6710),
    [anon_sym_BSLASHac] = ACTIONS(6710),
    [anon_sym_BSLASHAc] = ACTIONS(6710),
    [anon_sym_BSLASHacp] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6710),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6710),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6710),
    [anon_sym_BSLASHcolor] = ACTIONS(6710),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6710),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6710),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6710),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6710),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6710),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6710),
    [anon_sym_BSLASHurl] = ACTIONS(6710),
    [anon_sym_BSLASHhref] = ACTIONS(6710),
  },
  [510] = {
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(528),
    [aux_sym__section_repeat4] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(2292),
    [sym_command_name] = ACTIONS(2290),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2290),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_RBRACK] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(2292),
    [anon_sym_EQ] = ACTIONS(2292),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_RPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHpart] = ACTIONS(2290),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddpart] = ACTIONS(2290),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHchapter] = ACTIONS(2290),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddchap] = ACTIONS(2290),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsection] = ACTIONS(2290),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddsec] = ACTIONS(2290),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2290),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHitem] = ACTIONS(2290),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2292),
    [anon_sym_LBRACE] = ACTIONS(2292),
    [anon_sym_RBRACE] = ACTIONS(2292),
    [sym_word] = ACTIONS(2290),
    [sym_placeholder] = ACTIONS(2292),
    [sym_delimiter] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2292),
    [anon_sym_SLASH] = ACTIONS(2292),
    [anon_sym_LT] = ACTIONS(2290),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(2290),
    [anon_sym_PIPE] = ACTIONS(2290),
    [anon_sym_COLON] = ACTIONS(2290),
    [anon_sym_SQUOTE] = ACTIONS(2290),
    [anon_sym__] = ACTIONS(2292),
    [anon_sym_CARET] = ACTIONS(2292),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2292),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2292),
    [anon_sym_DOLLAR] = ACTIONS(2290),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHleft] = ACTIONS(2290),
    [anon_sym_BSLASHbigl] = ACTIONS(2290),
    [anon_sym_BSLASHBigl] = ACTIONS(2290),
    [anon_sym_BSLASHbiggl] = ACTIONS(2290),
    [anon_sym_BSLASHBiggl] = ACTIONS(2290),
    [anon_sym_BSLASHtext] = ACTIONS(2290),
    [anon_sym_BSLASHintertext] = ACTIONS(2290),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2290),
    [anon_sym_BSLASHbegin] = ACTIONS(2290),
    [anon_sym_BSLASHtitle] = ACTIONS(2290),
    [anon_sym_BSLASHauthor] = ACTIONS(2290),
    [anon_sym_BSLASHusepackage] = ACTIONS(2290),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2290),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2290),
    [anon_sym_BSLASHinclude] = ACTIONS(2290),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2290),
    [anon_sym_BSLASHinput] = ACTIONS(2290),
    [anon_sym_BSLASHsubfile] = ACTIONS(2290),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2290),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2290),
    [anon_sym_BSLASHbibliography] = ACTIONS(2290),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2290),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2290),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2290),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2290),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2290),
    [anon_sym_BSLASHimport] = ACTIONS(2290),
    [anon_sym_BSLASHsubimport] = ACTIONS(2290),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2290),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHcaption] = ACTIONS(2290),
    [anon_sym_BSLASHcite] = ACTIONS(2290),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCite] = ACTIONS(2290),
    [anon_sym_BSLASHnocite] = ACTIONS(2290),
    [anon_sym_BSLASHcitet] = ACTIONS(2290),
    [anon_sym_BSLASHcitep] = ACTIONS(2290),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteA] = ACTIONS(2290),
    [anon_sym_BSLASHciteR] = ACTIONS(2290),
    [anon_sym_BSLASHciteS] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2290),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteyear] = ACTIONS(2290),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitedate] = ACTIONS(2290),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteurl] = ACTIONS(2290),
    [anon_sym_BSLASHfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2290),
    [anon_sym_BSLASHcitealt] = ACTIONS(2290),
    [anon_sym_BSLASHcitealp] = ACTIONS(2290),
    [anon_sym_BSLASHcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHparencite] = ACTIONS(2290),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHParencite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHtextcite] = ACTIONS(2290),
    [anon_sym_BSLASHTextcite] = ACTIONS(2290),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHsupercite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite] = ACTIONS(2290),
    [anon_sym_BSLASHAutocite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHVolcite] = ACTIONS(2290),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHavolcite] = ACTIONS(2290),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHNotecite] = ACTIONS(2290),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHlabel] = ACTIONS(2290),
    [anon_sym_BSLASHref] = ACTIONS(2290),
    [anon_sym_BSLASHeqref] = ACTIONS(2290),
    [anon_sym_BSLASHvref] = ACTIONS(2290),
    [anon_sym_BSLASHVref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHpageref] = ACTIONS(2290),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHautopageref] = ACTIONS(2290),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcref] = ACTIONS(2290),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCref] = ACTIONS(2290),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHCpageref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnameCref] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2290),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHdef] = ACTIONS(2290),
    [anon_sym_BSLASHgdef] = ACTIONS(2290),
    [anon_sym_BSLASHedef] = ACTIONS(2290),
    [anon_sym_BSLASHxdef] = ACTIONS(2290),
    [anon_sym_BSLASHlet] = ACTIONS(2290),
    [anon_sym_BSLASHglet] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2290),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2290),
    [anon_sym_BSLASHgls] = ACTIONS(2290),
    [anon_sym_BSLASHGls] = ACTIONS(2290),
    [anon_sym_BSLASHGLS] = ACTIONS(2290),
    [anon_sym_BSLASHglspl] = ACTIONS(2290),
    [anon_sym_BSLASHGlspl] = ACTIONS(2290),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2290),
    [anon_sym_BSLASHglslink] = ACTIONS(2290),
    [anon_sym_BSLASHglstext] = ACTIONS(2290),
    [anon_sym_BSLASHGlstext] = ACTIONS(2290),
    [anon_sym_BSLASHGLStext] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2290),
    [anon_sym_BSLASHglsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsname] = ACTIONS(2290),
    [anon_sym_BSLASHGlsname] = ACTIONS(2290),
    [anon_sym_BSLASHGLSname] = ACTIONS(2290),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2290),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2290),
    [anon_sym_BSLASHacrshort] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2290),
    [anon_sym_BSLASHACRshort] = ACTIONS(2290),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrlong] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2290),
    [anon_sym_BSLASHACRlong] = ACTIONS(2290),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrfull] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2290),
    [anon_sym_BSLASHACRfull] = ACTIONS(2290),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHacs] = ACTIONS(2290),
    [anon_sym_BSLASHAcs] = ACTIONS(2290),
    [anon_sym_BSLASHacsp] = ACTIONS(2290),
    [anon_sym_BSLASHAcsp] = ACTIONS(2290),
    [anon_sym_BSLASHacl] = ACTIONS(2290),
    [anon_sym_BSLASHAcl] = ACTIONS(2290),
    [anon_sym_BSLASHaclp] = ACTIONS(2290),
    [anon_sym_BSLASHAclp] = ACTIONS(2290),
    [anon_sym_BSLASHacf] = ACTIONS(2290),
    [anon_sym_BSLASHAcf] = ACTIONS(2290),
    [anon_sym_BSLASHacfp] = ACTIONS(2290),
    [anon_sym_BSLASHAcfp] = ACTIONS(2290),
    [anon_sym_BSLASHac] = ACTIONS(2290),
    [anon_sym_BSLASHAc] = ACTIONS(2290),
    [anon_sym_BSLASHacp] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2290),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2290),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2290),
    [anon_sym_BSLASHcolor] = ACTIONS(2290),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2290),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2290),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2290),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2290),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2290),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2290),
    [anon_sym_BSLASHurl] = ACTIONS(2290),
    [anon_sym_BSLASHhref] = ACTIONS(2290),
  },
  [511] = {
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(529),
    [aux_sym__section_repeat5] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(2292),
    [sym_command_name] = ACTIONS(2290),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2290),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_RBRACK] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(2292),
    [anon_sym_EQ] = ACTIONS(2292),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_RPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHpart] = ACTIONS(2290),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddpart] = ACTIONS(2290),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHchapter] = ACTIONS(2290),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddchap] = ACTIONS(2290),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsection] = ACTIONS(2290),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddsec] = ACTIONS(2290),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubsection] = ACTIONS(2290),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHitem] = ACTIONS(2290),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2292),
    [anon_sym_LBRACE] = ACTIONS(2292),
    [anon_sym_RBRACE] = ACTIONS(2292),
    [sym_word] = ACTIONS(2290),
    [sym_placeholder] = ACTIONS(2292),
    [sym_delimiter] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2292),
    [anon_sym_SLASH] = ACTIONS(2292),
    [anon_sym_LT] = ACTIONS(2290),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(2290),
    [anon_sym_PIPE] = ACTIONS(2290),
    [anon_sym_COLON] = ACTIONS(2290),
    [anon_sym_SQUOTE] = ACTIONS(2290),
    [anon_sym__] = ACTIONS(2292),
    [anon_sym_CARET] = ACTIONS(2292),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2292),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2292),
    [anon_sym_DOLLAR] = ACTIONS(2290),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHleft] = ACTIONS(2290),
    [anon_sym_BSLASHbigl] = ACTIONS(2290),
    [anon_sym_BSLASHBigl] = ACTIONS(2290),
    [anon_sym_BSLASHbiggl] = ACTIONS(2290),
    [anon_sym_BSLASHBiggl] = ACTIONS(2290),
    [anon_sym_BSLASHtext] = ACTIONS(2290),
    [anon_sym_BSLASHintertext] = ACTIONS(2290),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2290),
    [anon_sym_BSLASHbegin] = ACTIONS(2290),
    [anon_sym_BSLASHtitle] = ACTIONS(2290),
    [anon_sym_BSLASHauthor] = ACTIONS(2290),
    [anon_sym_BSLASHusepackage] = ACTIONS(2290),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2290),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2290),
    [anon_sym_BSLASHinclude] = ACTIONS(2290),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2290),
    [anon_sym_BSLASHinput] = ACTIONS(2290),
    [anon_sym_BSLASHsubfile] = ACTIONS(2290),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2290),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2290),
    [anon_sym_BSLASHbibliography] = ACTIONS(2290),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2290),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2290),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2290),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2290),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2290),
    [anon_sym_BSLASHimport] = ACTIONS(2290),
    [anon_sym_BSLASHsubimport] = ACTIONS(2290),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2290),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHcaption] = ACTIONS(2290),
    [anon_sym_BSLASHcite] = ACTIONS(2290),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCite] = ACTIONS(2290),
    [anon_sym_BSLASHnocite] = ACTIONS(2290),
    [anon_sym_BSLASHcitet] = ACTIONS(2290),
    [anon_sym_BSLASHcitep] = ACTIONS(2290),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteA] = ACTIONS(2290),
    [anon_sym_BSLASHciteR] = ACTIONS(2290),
    [anon_sym_BSLASHciteS] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2290),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteyear] = ACTIONS(2290),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitedate] = ACTIONS(2290),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteurl] = ACTIONS(2290),
    [anon_sym_BSLASHfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2290),
    [anon_sym_BSLASHcitealt] = ACTIONS(2290),
    [anon_sym_BSLASHcitealp] = ACTIONS(2290),
    [anon_sym_BSLASHcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHparencite] = ACTIONS(2290),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHParencite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHtextcite] = ACTIONS(2290),
    [anon_sym_BSLASHTextcite] = ACTIONS(2290),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHsupercite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite] = ACTIONS(2290),
    [anon_sym_BSLASHAutocite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHVolcite] = ACTIONS(2290),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHavolcite] = ACTIONS(2290),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHNotecite] = ACTIONS(2290),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHlabel] = ACTIONS(2290),
    [anon_sym_BSLASHref] = ACTIONS(2290),
    [anon_sym_BSLASHeqref] = ACTIONS(2290),
    [anon_sym_BSLASHvref] = ACTIONS(2290),
    [anon_sym_BSLASHVref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHpageref] = ACTIONS(2290),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHautopageref] = ACTIONS(2290),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcref] = ACTIONS(2290),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCref] = ACTIONS(2290),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHCpageref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnameCref] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2290),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHdef] = ACTIONS(2290),
    [anon_sym_BSLASHgdef] = ACTIONS(2290),
    [anon_sym_BSLASHedef] = ACTIONS(2290),
    [anon_sym_BSLASHxdef] = ACTIONS(2290),
    [anon_sym_BSLASHlet] = ACTIONS(2290),
    [anon_sym_BSLASHglet] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2290),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2290),
    [anon_sym_BSLASHgls] = ACTIONS(2290),
    [anon_sym_BSLASHGls] = ACTIONS(2290),
    [anon_sym_BSLASHGLS] = ACTIONS(2290),
    [anon_sym_BSLASHglspl] = ACTIONS(2290),
    [anon_sym_BSLASHGlspl] = ACTIONS(2290),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2290),
    [anon_sym_BSLASHglslink] = ACTIONS(2290),
    [anon_sym_BSLASHglstext] = ACTIONS(2290),
    [anon_sym_BSLASHGlstext] = ACTIONS(2290),
    [anon_sym_BSLASHGLStext] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2290),
    [anon_sym_BSLASHglsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsname] = ACTIONS(2290),
    [anon_sym_BSLASHGlsname] = ACTIONS(2290),
    [anon_sym_BSLASHGLSname] = ACTIONS(2290),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2290),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2290),
    [anon_sym_BSLASHacrshort] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2290),
    [anon_sym_BSLASHACRshort] = ACTIONS(2290),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrlong] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2290),
    [anon_sym_BSLASHACRlong] = ACTIONS(2290),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrfull] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2290),
    [anon_sym_BSLASHACRfull] = ACTIONS(2290),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHacs] = ACTIONS(2290),
    [anon_sym_BSLASHAcs] = ACTIONS(2290),
    [anon_sym_BSLASHacsp] = ACTIONS(2290),
    [anon_sym_BSLASHAcsp] = ACTIONS(2290),
    [anon_sym_BSLASHacl] = ACTIONS(2290),
    [anon_sym_BSLASHAcl] = ACTIONS(2290),
    [anon_sym_BSLASHaclp] = ACTIONS(2290),
    [anon_sym_BSLASHAclp] = ACTIONS(2290),
    [anon_sym_BSLASHacf] = ACTIONS(2290),
    [anon_sym_BSLASHAcf] = ACTIONS(2290),
    [anon_sym_BSLASHacfp] = ACTIONS(2290),
    [anon_sym_BSLASHAcfp] = ACTIONS(2290),
    [anon_sym_BSLASHac] = ACTIONS(2290),
    [anon_sym_BSLASHAc] = ACTIONS(2290),
    [anon_sym_BSLASHacp] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2290),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2290),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2290),
    [anon_sym_BSLASHcolor] = ACTIONS(2290),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2290),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2290),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2290),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2290),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2290),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2290),
    [anon_sym_BSLASHurl] = ACTIONS(2290),
    [anon_sym_BSLASHhref] = ACTIONS(2290),
  },
  [512] = {
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(526),
    [aux_sym__section_repeat2] = STATE(526),
    [ts_builtin_sym_end] = ACTIONS(6712),
    [sym_command_name] = ACTIONS(6710),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6710),
    [anon_sym_LBRACK] = ACTIONS(6712),
    [anon_sym_RBRACK] = ACTIONS(6712),
    [anon_sym_COMMA] = ACTIONS(6712),
    [anon_sym_EQ] = ACTIONS(6712),
    [anon_sym_LPAREN] = ACTIONS(6712),
    [anon_sym_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHpart] = ACTIONS(6710),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddpart] = ACTIONS(6710),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(6710),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddsec] = ACTIONS(6710),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHitem] = ACTIONS(6710),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6712),
    [anon_sym_LBRACE] = ACTIONS(6712),
    [anon_sym_RBRACE] = ACTIONS(6712),
    [sym_word] = ACTIONS(6710),
    [sym_placeholder] = ACTIONS(6712),
    [sym_delimiter] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(6712),
    [anon_sym_SLASH] = ACTIONS(6712),
    [anon_sym_LT] = ACTIONS(6710),
    [anon_sym_GT] = ACTIONS(6710),
    [anon_sym_BANG] = ACTIONS(6710),
    [anon_sym_PIPE] = ACTIONS(6710),
    [anon_sym_COLON] = ACTIONS(6710),
    [anon_sym_SQUOTE] = ACTIONS(6710),
    [anon_sym__] = ACTIONS(6712),
    [anon_sym_CARET] = ACTIONS(6712),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6712),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6712),
    [anon_sym_DOLLAR] = ACTIONS(6710),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHleft] = ACTIONS(6710),
    [anon_sym_BSLASHbigl] = ACTIONS(6710),
    [anon_sym_BSLASHBigl] = ACTIONS(6710),
    [anon_sym_BSLASHbiggl] = ACTIONS(6710),
    [anon_sym_BSLASHBiggl] = ACTIONS(6710),
    [anon_sym_BSLASHtext] = ACTIONS(6710),
    [anon_sym_BSLASHintertext] = ACTIONS(6710),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6710),
    [anon_sym_BSLASHbegin] = ACTIONS(6710),
    [anon_sym_BSLASHtitle] = ACTIONS(6710),
    [anon_sym_BSLASHauthor] = ACTIONS(6710),
    [anon_sym_BSLASHusepackage] = ACTIONS(6710),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6710),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6710),
    [anon_sym_BSLASHinclude] = ACTIONS(6710),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6710),
    [anon_sym_BSLASHinput] = ACTIONS(6710),
    [anon_sym_BSLASHsubfile] = ACTIONS(6710),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6710),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6710),
    [anon_sym_BSLASHbibliography] = ACTIONS(6710),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6710),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6710),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6710),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6710),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6710),
    [anon_sym_BSLASHimport] = ACTIONS(6710),
    [anon_sym_BSLASHsubimport] = ACTIONS(6710),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6710),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHcaption] = ACTIONS(6710),
    [anon_sym_BSLASHcite] = ACTIONS(6710),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCite] = ACTIONS(6710),
    [anon_sym_BSLASHnocite] = ACTIONS(6710),
    [anon_sym_BSLASHcitet] = ACTIONS(6710),
    [anon_sym_BSLASHcitep] = ACTIONS(6710),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteA] = ACTIONS(6710),
    [anon_sym_BSLASHciteR] = ACTIONS(6710),
    [anon_sym_BSLASHciteS] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6710),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteyear] = ACTIONS(6710),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitedate] = ACTIONS(6710),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteurl] = ACTIONS(6710),
    [anon_sym_BSLASHfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6710),
    [anon_sym_BSLASHcitealt] = ACTIONS(6710),
    [anon_sym_BSLASHcitealp] = ACTIONS(6710),
    [anon_sym_BSLASHcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHparencite] = ACTIONS(6710),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHParencite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHtextcite] = ACTIONS(6710),
    [anon_sym_BSLASHTextcite] = ACTIONS(6710),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHsupercite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite] = ACTIONS(6710),
    [anon_sym_BSLASHAutocite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHVolcite] = ACTIONS(6710),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHavolcite] = ACTIONS(6710),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHNotecite] = ACTIONS(6710),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHlabel] = ACTIONS(6710),
    [anon_sym_BSLASHref] = ACTIONS(6710),
    [anon_sym_BSLASHeqref] = ACTIONS(6710),
    [anon_sym_BSLASHvref] = ACTIONS(6710),
    [anon_sym_BSLASHVref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHpageref] = ACTIONS(6710),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHautopageref] = ACTIONS(6710),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcref] = ACTIONS(6710),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCref] = ACTIONS(6710),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHCpageref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnameCref] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6710),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHdef] = ACTIONS(6710),
    [anon_sym_BSLASHgdef] = ACTIONS(6710),
    [anon_sym_BSLASHedef] = ACTIONS(6710),
    [anon_sym_BSLASHxdef] = ACTIONS(6710),
    [anon_sym_BSLASHlet] = ACTIONS(6710),
    [anon_sym_BSLASHglet] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6710),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6710),
    [anon_sym_BSLASHgls] = ACTIONS(6710),
    [anon_sym_BSLASHGls] = ACTIONS(6710),
    [anon_sym_BSLASHGLS] = ACTIONS(6710),
    [anon_sym_BSLASHglspl] = ACTIONS(6710),
    [anon_sym_BSLASHGlspl] = ACTIONS(6710),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6710),
    [anon_sym_BSLASHglslink] = ACTIONS(6710),
    [anon_sym_BSLASHglstext] = ACTIONS(6710),
    [anon_sym_BSLASHGlstext] = ACTIONS(6710),
    [anon_sym_BSLASHGLStext] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6710),
    [anon_sym_BSLASHglsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsname] = ACTIONS(6710),
    [anon_sym_BSLASHGlsname] = ACTIONS(6710),
    [anon_sym_BSLASHGLSname] = ACTIONS(6710),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6710),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6710),
    [anon_sym_BSLASHacrshort] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6710),
    [anon_sym_BSLASHACRshort] = ACTIONS(6710),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrlong] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6710),
    [anon_sym_BSLASHACRlong] = ACTIONS(6710),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrfull] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6710),
    [anon_sym_BSLASHACRfull] = ACTIONS(6710),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHacs] = ACTIONS(6710),
    [anon_sym_BSLASHAcs] = ACTIONS(6710),
    [anon_sym_BSLASHacsp] = ACTIONS(6710),
    [anon_sym_BSLASHAcsp] = ACTIONS(6710),
    [anon_sym_BSLASHacl] = ACTIONS(6710),
    [anon_sym_BSLASHAcl] = ACTIONS(6710),
    [anon_sym_BSLASHaclp] = ACTIONS(6710),
    [anon_sym_BSLASHAclp] = ACTIONS(6710),
    [anon_sym_BSLASHacf] = ACTIONS(6710),
    [anon_sym_BSLASHAcf] = ACTIONS(6710),
    [anon_sym_BSLASHacfp] = ACTIONS(6710),
    [anon_sym_BSLASHAcfp] = ACTIONS(6710),
    [anon_sym_BSLASHac] = ACTIONS(6710),
    [anon_sym_BSLASHAc] = ACTIONS(6710),
    [anon_sym_BSLASHacp] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6710),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6710),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6710),
    [anon_sym_BSLASHcolor] = ACTIONS(6710),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6710),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6710),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6710),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6710),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6710),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6710),
    [anon_sym_BSLASHurl] = ACTIONS(6710),
    [anon_sym_BSLASHhref] = ACTIONS(6710),
  },
  [513] = {
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(562),
    [aux_sym__section_repeat5] = STATE(562),
    [ts_builtin_sym_end] = ACTIONS(2310),
    [sym_command_name] = ACTIONS(2308),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_BSLASHpart] = ACTIONS(2308),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddpart] = ACTIONS(2308),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHchapter] = ACTIONS(2308),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddchap] = ACTIONS(2308),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsection] = ACTIONS(2308),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddsec] = ACTIONS(2308),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsection] = ACTIONS(2308),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(2308),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2308),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHitem] = ACTIONS(2308),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [sym_word] = ACTIONS(2308),
    [sym_placeholder] = ACTIONS(2310),
    [sym_delimiter] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_STAR] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2308),
    [anon_sym_GT] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_PIPE] = ACTIONS(2308),
    [anon_sym_COLON] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [anon_sym__] = ACTIONS(2310),
    [anon_sym_CARET] = ACTIONS(2310),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2310),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2310),
    [anon_sym_DOLLAR] = ACTIONS(2308),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2310),
    [anon_sym_BSLASHleft] = ACTIONS(2308),
    [anon_sym_BSLASHbigl] = ACTIONS(2308),
    [anon_sym_BSLASHBigl] = ACTIONS(2308),
    [anon_sym_BSLASHbiggl] = ACTIONS(2308),
    [anon_sym_BSLASHBiggl] = ACTIONS(2308),
    [anon_sym_BSLASHtext] = ACTIONS(2308),
    [anon_sym_BSLASHintertext] = ACTIONS(2308),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2308),
    [anon_sym_BSLASHbegin] = ACTIONS(2308),
    [anon_sym_BSLASHtitle] = ACTIONS(2308),
    [anon_sym_BSLASHauthor] = ACTIONS(2308),
    [anon_sym_BSLASHusepackage] = ACTIONS(2308),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2308),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2308),
    [anon_sym_BSLASHinclude] = ACTIONS(2308),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2308),
    [anon_sym_BSLASHinput] = ACTIONS(2308),
    [anon_sym_BSLASHsubfile] = ACTIONS(2308),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2308),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2308),
    [anon_sym_BSLASHbibliography] = ACTIONS(2308),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2308),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2308),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2308),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2308),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2308),
    [anon_sym_BSLASHimport] = ACTIONS(2308),
    [anon_sym_BSLASHsubimport] = ACTIONS(2308),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2308),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2308),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2308),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2308),
    [anon_sym_BSLASHcaption] = ACTIONS(2308),
    [anon_sym_BSLASHcite] = ACTIONS(2308),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCite] = ACTIONS(2308),
    [anon_sym_BSLASHnocite] = ACTIONS(2308),
    [anon_sym_BSLASHcitet] = ACTIONS(2308),
    [anon_sym_BSLASHcitep] = ACTIONS(2308),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteA] = ACTIONS(2308),
    [anon_sym_BSLASHciteR] = ACTIONS(2308),
    [anon_sym_BSLASHciteS] = ACTIONS(2308),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2308),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2308),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2308),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2308),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteyear] = ACTIONS(2308),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitedate] = ACTIONS(2308),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteurl] = ACTIONS(2308),
    [anon_sym_BSLASHfullcite] = ACTIONS(2308),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2308),
    [anon_sym_BSLASHcitealt] = ACTIONS(2308),
    [anon_sym_BSLASHcitealp] = ACTIONS(2308),
    [anon_sym_BSLASHcitetext] = ACTIONS(2308),
    [anon_sym_BSLASHparencite] = ACTIONS(2308),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHParencite] = ACTIONS(2308),
    [anon_sym_BSLASHfootcite] = ACTIONS(2308),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2308),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2308),
    [anon_sym_BSLASHtextcite] = ACTIONS(2308),
    [anon_sym_BSLASHTextcite] = ACTIONS(2308),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2308),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2308),
    [anon_sym_BSLASHsupercite] = ACTIONS(2308),
    [anon_sym_BSLASHautocite] = ACTIONS(2308),
    [anon_sym_BSLASHAutocite] = ACTIONS(2308),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHVolcite] = ACTIONS(2308),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHavolcite] = ACTIONS(2308),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHNotecite] = ACTIONS(2308),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHlabel] = ACTIONS(2308),
    [anon_sym_BSLASHref] = ACTIONS(2308),
    [anon_sym_BSLASHeqref] = ACTIONS(2308),
    [anon_sym_BSLASHvref] = ACTIONS(2308),
    [anon_sym_BSLASHVref] = ACTIONS(2308),
    [anon_sym_BSLASHautoref] = ACTIONS(2308),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHpageref] = ACTIONS(2308),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHautopageref] = ACTIONS(2308),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcref] = ACTIONS(2308),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCref] = ACTIONS(2308),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcpageref] = ACTIONS(2308),
    [anon_sym_BSLASHCpageref] = ACTIONS(2308),
    [anon_sym_BSLASHnamecref] = ACTIONS(2308),
    [anon_sym_BSLASHnameCref] = ACTIONS(2308),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2308),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2308),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2308),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2308),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2308),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2308),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2308),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2308),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2308),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2308),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2308),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHdef] = ACTIONS(2308),
    [anon_sym_BSLASHgdef] = ACTIONS(2308),
    [anon_sym_BSLASHedef] = ACTIONS(2308),
    [anon_sym_BSLASHxdef] = ACTIONS(2308),
    [anon_sym_BSLASHlet] = ACTIONS(2308),
    [anon_sym_BSLASHglet] = ACTIONS(2308),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2308),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2308),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2308),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2308),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2308),
    [anon_sym_BSLASHgls] = ACTIONS(2308),
    [anon_sym_BSLASHGls] = ACTIONS(2308),
    [anon_sym_BSLASHGLS] = ACTIONS(2308),
    [anon_sym_BSLASHglspl] = ACTIONS(2308),
    [anon_sym_BSLASHGlspl] = ACTIONS(2308),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2308),
    [anon_sym_BSLASHglslink] = ACTIONS(2308),
    [anon_sym_BSLASHglstext] = ACTIONS(2308),
    [anon_sym_BSLASHGlstext] = ACTIONS(2308),
    [anon_sym_BSLASHGLStext] = ACTIONS(2308),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2308),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2308),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2308),
    [anon_sym_BSLASHglsplural] = ACTIONS(2308),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2308),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2308),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHglsname] = ACTIONS(2308),
    [anon_sym_BSLASHGlsname] = ACTIONS(2308),
    [anon_sym_BSLASHGLSname] = ACTIONS(2308),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2308),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2308),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2308),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2308),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2308),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2308),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2308),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2308),
    [anon_sym_BSLASHacrshort] = ACTIONS(2308),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2308),
    [anon_sym_BSLASHACRshort] = ACTIONS(2308),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHacrlong] = ACTIONS(2308),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2308),
    [anon_sym_BSLASHACRlong] = ACTIONS(2308),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHacrfull] = ACTIONS(2308),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2308),
    [anon_sym_BSLASHACRfull] = ACTIONS(2308),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHacs] = ACTIONS(2308),
    [anon_sym_BSLASHAcs] = ACTIONS(2308),
    [anon_sym_BSLASHacsp] = ACTIONS(2308),
    [anon_sym_BSLASHAcsp] = ACTIONS(2308),
    [anon_sym_BSLASHacl] = ACTIONS(2308),
    [anon_sym_BSLASHAcl] = ACTIONS(2308),
    [anon_sym_BSLASHaclp] = ACTIONS(2308),
    [anon_sym_BSLASHAclp] = ACTIONS(2308),
    [anon_sym_BSLASHacf] = ACTIONS(2308),
    [anon_sym_BSLASHAcf] = ACTIONS(2308),
    [anon_sym_BSLASHacfp] = ACTIONS(2308),
    [anon_sym_BSLASHAcfp] = ACTIONS(2308),
    [anon_sym_BSLASHac] = ACTIONS(2308),
    [anon_sym_BSLASHAc] = ACTIONS(2308),
    [anon_sym_BSLASHacp] = ACTIONS(2308),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2308),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2308),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2308),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2308),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2308),
    [anon_sym_BSLASHcolor] = ACTIONS(2308),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2308),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2308),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2308),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2308),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2308),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2308),
    [anon_sym_BSLASHurl] = ACTIONS(2308),
    [anon_sym_BSLASHhref] = ACTIONS(2308),
  },
  [514] = {
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(529),
    [aux_sym__section_repeat5] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(2310),
    [sym_command_name] = ACTIONS(2308),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_BSLASHpart] = ACTIONS(2308),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddpart] = ACTIONS(2308),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHchapter] = ACTIONS(2308),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddchap] = ACTIONS(2308),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsection] = ACTIONS(2308),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddsec] = ACTIONS(2308),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsection] = ACTIONS(2308),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(2308),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2308),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHitem] = ACTIONS(2308),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [sym_word] = ACTIONS(2308),
    [sym_placeholder] = ACTIONS(2310),
    [sym_delimiter] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_STAR] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2308),
    [anon_sym_GT] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_PIPE] = ACTIONS(2308),
    [anon_sym_COLON] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [anon_sym__] = ACTIONS(2310),
    [anon_sym_CARET] = ACTIONS(2310),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2310),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2310),
    [anon_sym_DOLLAR] = ACTIONS(2308),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2310),
    [anon_sym_BSLASHleft] = ACTIONS(2308),
    [anon_sym_BSLASHbigl] = ACTIONS(2308),
    [anon_sym_BSLASHBigl] = ACTIONS(2308),
    [anon_sym_BSLASHbiggl] = ACTIONS(2308),
    [anon_sym_BSLASHBiggl] = ACTIONS(2308),
    [anon_sym_BSLASHtext] = ACTIONS(2308),
    [anon_sym_BSLASHintertext] = ACTIONS(2308),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2308),
    [anon_sym_BSLASHbegin] = ACTIONS(2308),
    [anon_sym_BSLASHtitle] = ACTIONS(2308),
    [anon_sym_BSLASHauthor] = ACTIONS(2308),
    [anon_sym_BSLASHusepackage] = ACTIONS(2308),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2308),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2308),
    [anon_sym_BSLASHinclude] = ACTIONS(2308),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2308),
    [anon_sym_BSLASHinput] = ACTIONS(2308),
    [anon_sym_BSLASHsubfile] = ACTIONS(2308),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2308),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2308),
    [anon_sym_BSLASHbibliography] = ACTIONS(2308),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2308),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2308),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2308),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2308),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2308),
    [anon_sym_BSLASHimport] = ACTIONS(2308),
    [anon_sym_BSLASHsubimport] = ACTIONS(2308),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2308),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2308),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2308),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2308),
    [anon_sym_BSLASHcaption] = ACTIONS(2308),
    [anon_sym_BSLASHcite] = ACTIONS(2308),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCite] = ACTIONS(2308),
    [anon_sym_BSLASHnocite] = ACTIONS(2308),
    [anon_sym_BSLASHcitet] = ACTIONS(2308),
    [anon_sym_BSLASHcitep] = ACTIONS(2308),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteA] = ACTIONS(2308),
    [anon_sym_BSLASHciteR] = ACTIONS(2308),
    [anon_sym_BSLASHciteS] = ACTIONS(2308),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2308),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2308),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2308),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2308),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteyear] = ACTIONS(2308),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitedate] = ACTIONS(2308),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteurl] = ACTIONS(2308),
    [anon_sym_BSLASHfullcite] = ACTIONS(2308),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2308),
    [anon_sym_BSLASHcitealt] = ACTIONS(2308),
    [anon_sym_BSLASHcitealp] = ACTIONS(2308),
    [anon_sym_BSLASHcitetext] = ACTIONS(2308),
    [anon_sym_BSLASHparencite] = ACTIONS(2308),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHParencite] = ACTIONS(2308),
    [anon_sym_BSLASHfootcite] = ACTIONS(2308),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2308),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2308),
    [anon_sym_BSLASHtextcite] = ACTIONS(2308),
    [anon_sym_BSLASHTextcite] = ACTIONS(2308),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2308),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2308),
    [anon_sym_BSLASHsupercite] = ACTIONS(2308),
    [anon_sym_BSLASHautocite] = ACTIONS(2308),
    [anon_sym_BSLASHAutocite] = ACTIONS(2308),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHVolcite] = ACTIONS(2308),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHavolcite] = ACTIONS(2308),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHNotecite] = ACTIONS(2308),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHlabel] = ACTIONS(2308),
    [anon_sym_BSLASHref] = ACTIONS(2308),
    [anon_sym_BSLASHeqref] = ACTIONS(2308),
    [anon_sym_BSLASHvref] = ACTIONS(2308),
    [anon_sym_BSLASHVref] = ACTIONS(2308),
    [anon_sym_BSLASHautoref] = ACTIONS(2308),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHpageref] = ACTIONS(2308),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHautopageref] = ACTIONS(2308),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcref] = ACTIONS(2308),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCref] = ACTIONS(2308),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcpageref] = ACTIONS(2308),
    [anon_sym_BSLASHCpageref] = ACTIONS(2308),
    [anon_sym_BSLASHnamecref] = ACTIONS(2308),
    [anon_sym_BSLASHnameCref] = ACTIONS(2308),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2308),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2308),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2308),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2308),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2308),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2308),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2308),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2308),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2308),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2308),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2308),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHdef] = ACTIONS(2308),
    [anon_sym_BSLASHgdef] = ACTIONS(2308),
    [anon_sym_BSLASHedef] = ACTIONS(2308),
    [anon_sym_BSLASHxdef] = ACTIONS(2308),
    [anon_sym_BSLASHlet] = ACTIONS(2308),
    [anon_sym_BSLASHglet] = ACTIONS(2308),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2308),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2308),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2308),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2308),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2308),
    [anon_sym_BSLASHgls] = ACTIONS(2308),
    [anon_sym_BSLASHGls] = ACTIONS(2308),
    [anon_sym_BSLASHGLS] = ACTIONS(2308),
    [anon_sym_BSLASHglspl] = ACTIONS(2308),
    [anon_sym_BSLASHGlspl] = ACTIONS(2308),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2308),
    [anon_sym_BSLASHglslink] = ACTIONS(2308),
    [anon_sym_BSLASHglstext] = ACTIONS(2308),
    [anon_sym_BSLASHGlstext] = ACTIONS(2308),
    [anon_sym_BSLASHGLStext] = ACTIONS(2308),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2308),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2308),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2308),
    [anon_sym_BSLASHglsplural] = ACTIONS(2308),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2308),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2308),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHglsname] = ACTIONS(2308),
    [anon_sym_BSLASHGlsname] = ACTIONS(2308),
    [anon_sym_BSLASHGLSname] = ACTIONS(2308),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2308),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2308),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2308),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2308),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2308),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2308),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2308),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2308),
    [anon_sym_BSLASHacrshort] = ACTIONS(2308),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2308),
    [anon_sym_BSLASHACRshort] = ACTIONS(2308),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHacrlong] = ACTIONS(2308),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2308),
    [anon_sym_BSLASHACRlong] = ACTIONS(2308),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHacrfull] = ACTIONS(2308),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2308),
    [anon_sym_BSLASHACRfull] = ACTIONS(2308),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHacs] = ACTIONS(2308),
    [anon_sym_BSLASHAcs] = ACTIONS(2308),
    [anon_sym_BSLASHacsp] = ACTIONS(2308),
    [anon_sym_BSLASHAcsp] = ACTIONS(2308),
    [anon_sym_BSLASHacl] = ACTIONS(2308),
    [anon_sym_BSLASHAcl] = ACTIONS(2308),
    [anon_sym_BSLASHaclp] = ACTIONS(2308),
    [anon_sym_BSLASHAclp] = ACTIONS(2308),
    [anon_sym_BSLASHacf] = ACTIONS(2308),
    [anon_sym_BSLASHAcf] = ACTIONS(2308),
    [anon_sym_BSLASHacfp] = ACTIONS(2308),
    [anon_sym_BSLASHAcfp] = ACTIONS(2308),
    [anon_sym_BSLASHac] = ACTIONS(2308),
    [anon_sym_BSLASHAc] = ACTIONS(2308),
    [anon_sym_BSLASHacp] = ACTIONS(2308),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2308),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2308),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2308),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2308),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2308),
    [anon_sym_BSLASHcolor] = ACTIONS(2308),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2308),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2308),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2308),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2308),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2308),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2308),
    [anon_sym_BSLASHurl] = ACTIONS(2308),
    [anon_sym_BSLASHhref] = ACTIONS(2308),
  },
  [515] = {
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(527),
    [aux_sym__section_repeat3] = STATE(527),
    [ts_builtin_sym_end] = ACTIONS(6712),
    [sym_command_name] = ACTIONS(6710),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6710),
    [anon_sym_LBRACK] = ACTIONS(6712),
    [anon_sym_RBRACK] = ACTIONS(6712),
    [anon_sym_COMMA] = ACTIONS(6712),
    [anon_sym_EQ] = ACTIONS(6712),
    [anon_sym_LPAREN] = ACTIONS(6712),
    [anon_sym_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHpart] = ACTIONS(6710),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddpart] = ACTIONS(6710),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHchapter] = ACTIONS(6710),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddchap] = ACTIONS(6710),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHitem] = ACTIONS(6710),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6712),
    [anon_sym_LBRACE] = ACTIONS(6712),
    [anon_sym_RBRACE] = ACTIONS(6712),
    [sym_word] = ACTIONS(6710),
    [sym_placeholder] = ACTIONS(6712),
    [sym_delimiter] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(6712),
    [anon_sym_SLASH] = ACTIONS(6712),
    [anon_sym_LT] = ACTIONS(6710),
    [anon_sym_GT] = ACTIONS(6710),
    [anon_sym_BANG] = ACTIONS(6710),
    [anon_sym_PIPE] = ACTIONS(6710),
    [anon_sym_COLON] = ACTIONS(6710),
    [anon_sym_SQUOTE] = ACTIONS(6710),
    [anon_sym__] = ACTIONS(6712),
    [anon_sym_CARET] = ACTIONS(6712),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6712),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6712),
    [anon_sym_DOLLAR] = ACTIONS(6710),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHleft] = ACTIONS(6710),
    [anon_sym_BSLASHbigl] = ACTIONS(6710),
    [anon_sym_BSLASHBigl] = ACTIONS(6710),
    [anon_sym_BSLASHbiggl] = ACTIONS(6710),
    [anon_sym_BSLASHBiggl] = ACTIONS(6710),
    [anon_sym_BSLASHtext] = ACTIONS(6710),
    [anon_sym_BSLASHintertext] = ACTIONS(6710),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6710),
    [anon_sym_BSLASHbegin] = ACTIONS(6710),
    [anon_sym_BSLASHtitle] = ACTIONS(6710),
    [anon_sym_BSLASHauthor] = ACTIONS(6710),
    [anon_sym_BSLASHusepackage] = ACTIONS(6710),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6710),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6710),
    [anon_sym_BSLASHinclude] = ACTIONS(6710),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6710),
    [anon_sym_BSLASHinput] = ACTIONS(6710),
    [anon_sym_BSLASHsubfile] = ACTIONS(6710),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6710),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6710),
    [anon_sym_BSLASHbibliography] = ACTIONS(6710),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6710),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6710),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6710),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6710),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6710),
    [anon_sym_BSLASHimport] = ACTIONS(6710),
    [anon_sym_BSLASHsubimport] = ACTIONS(6710),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6710),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHcaption] = ACTIONS(6710),
    [anon_sym_BSLASHcite] = ACTIONS(6710),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCite] = ACTIONS(6710),
    [anon_sym_BSLASHnocite] = ACTIONS(6710),
    [anon_sym_BSLASHcitet] = ACTIONS(6710),
    [anon_sym_BSLASHcitep] = ACTIONS(6710),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteA] = ACTIONS(6710),
    [anon_sym_BSLASHciteR] = ACTIONS(6710),
    [anon_sym_BSLASHciteS] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6710),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteyear] = ACTIONS(6710),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitedate] = ACTIONS(6710),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteurl] = ACTIONS(6710),
    [anon_sym_BSLASHfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6710),
    [anon_sym_BSLASHcitealt] = ACTIONS(6710),
    [anon_sym_BSLASHcitealp] = ACTIONS(6710),
    [anon_sym_BSLASHcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHparencite] = ACTIONS(6710),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHParencite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHtextcite] = ACTIONS(6710),
    [anon_sym_BSLASHTextcite] = ACTIONS(6710),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHsupercite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite] = ACTIONS(6710),
    [anon_sym_BSLASHAutocite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHVolcite] = ACTIONS(6710),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHavolcite] = ACTIONS(6710),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHNotecite] = ACTIONS(6710),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHlabel] = ACTIONS(6710),
    [anon_sym_BSLASHref] = ACTIONS(6710),
    [anon_sym_BSLASHeqref] = ACTIONS(6710),
    [anon_sym_BSLASHvref] = ACTIONS(6710),
    [anon_sym_BSLASHVref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHpageref] = ACTIONS(6710),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHautopageref] = ACTIONS(6710),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcref] = ACTIONS(6710),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCref] = ACTIONS(6710),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHCpageref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnameCref] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6710),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHdef] = ACTIONS(6710),
    [anon_sym_BSLASHgdef] = ACTIONS(6710),
    [anon_sym_BSLASHedef] = ACTIONS(6710),
    [anon_sym_BSLASHxdef] = ACTIONS(6710),
    [anon_sym_BSLASHlet] = ACTIONS(6710),
    [anon_sym_BSLASHglet] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6710),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6710),
    [anon_sym_BSLASHgls] = ACTIONS(6710),
    [anon_sym_BSLASHGls] = ACTIONS(6710),
    [anon_sym_BSLASHGLS] = ACTIONS(6710),
    [anon_sym_BSLASHglspl] = ACTIONS(6710),
    [anon_sym_BSLASHGlspl] = ACTIONS(6710),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6710),
    [anon_sym_BSLASHglslink] = ACTIONS(6710),
    [anon_sym_BSLASHglstext] = ACTIONS(6710),
    [anon_sym_BSLASHGlstext] = ACTIONS(6710),
    [anon_sym_BSLASHGLStext] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6710),
    [anon_sym_BSLASHglsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsname] = ACTIONS(6710),
    [anon_sym_BSLASHGlsname] = ACTIONS(6710),
    [anon_sym_BSLASHGLSname] = ACTIONS(6710),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6710),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6710),
    [anon_sym_BSLASHacrshort] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6710),
    [anon_sym_BSLASHACRshort] = ACTIONS(6710),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrlong] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6710),
    [anon_sym_BSLASHACRlong] = ACTIONS(6710),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrfull] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6710),
    [anon_sym_BSLASHACRfull] = ACTIONS(6710),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHacs] = ACTIONS(6710),
    [anon_sym_BSLASHAcs] = ACTIONS(6710),
    [anon_sym_BSLASHacsp] = ACTIONS(6710),
    [anon_sym_BSLASHAcsp] = ACTIONS(6710),
    [anon_sym_BSLASHacl] = ACTIONS(6710),
    [anon_sym_BSLASHAcl] = ACTIONS(6710),
    [anon_sym_BSLASHaclp] = ACTIONS(6710),
    [anon_sym_BSLASHAclp] = ACTIONS(6710),
    [anon_sym_BSLASHacf] = ACTIONS(6710),
    [anon_sym_BSLASHAcf] = ACTIONS(6710),
    [anon_sym_BSLASHacfp] = ACTIONS(6710),
    [anon_sym_BSLASHAcfp] = ACTIONS(6710),
    [anon_sym_BSLASHac] = ACTIONS(6710),
    [anon_sym_BSLASHAc] = ACTIONS(6710),
    [anon_sym_BSLASHacp] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6710),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6710),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6710),
    [anon_sym_BSLASHcolor] = ACTIONS(6710),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6710),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6710),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6710),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6710),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6710),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6710),
    [anon_sym_BSLASHurl] = ACTIONS(6710),
    [anon_sym_BSLASHhref] = ACTIONS(6710),
  },
  [516] = {
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(528),
    [aux_sym__section_repeat4] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(6712),
    [sym_command_name] = ACTIONS(6710),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6710),
    [anon_sym_LBRACK] = ACTIONS(6712),
    [anon_sym_RBRACK] = ACTIONS(6712),
    [anon_sym_COMMA] = ACTIONS(6712),
    [anon_sym_EQ] = ACTIONS(6712),
    [anon_sym_LPAREN] = ACTIONS(6712),
    [anon_sym_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHpart] = ACTIONS(6710),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddpart] = ACTIONS(6710),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHchapter] = ACTIONS(6710),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddchap] = ACTIONS(6710),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsection] = ACTIONS(6710),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddsec] = ACTIONS(6710),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHitem] = ACTIONS(6710),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6712),
    [anon_sym_LBRACE] = ACTIONS(6712),
    [anon_sym_RBRACE] = ACTIONS(6712),
    [sym_word] = ACTIONS(6710),
    [sym_placeholder] = ACTIONS(6712),
    [sym_delimiter] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(6712),
    [anon_sym_SLASH] = ACTIONS(6712),
    [anon_sym_LT] = ACTIONS(6710),
    [anon_sym_GT] = ACTIONS(6710),
    [anon_sym_BANG] = ACTIONS(6710),
    [anon_sym_PIPE] = ACTIONS(6710),
    [anon_sym_COLON] = ACTIONS(6710),
    [anon_sym_SQUOTE] = ACTIONS(6710),
    [anon_sym__] = ACTIONS(6712),
    [anon_sym_CARET] = ACTIONS(6712),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6712),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6712),
    [anon_sym_DOLLAR] = ACTIONS(6710),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHleft] = ACTIONS(6710),
    [anon_sym_BSLASHbigl] = ACTIONS(6710),
    [anon_sym_BSLASHBigl] = ACTIONS(6710),
    [anon_sym_BSLASHbiggl] = ACTIONS(6710),
    [anon_sym_BSLASHBiggl] = ACTIONS(6710),
    [anon_sym_BSLASHtext] = ACTIONS(6710),
    [anon_sym_BSLASHintertext] = ACTIONS(6710),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6710),
    [anon_sym_BSLASHbegin] = ACTIONS(6710),
    [anon_sym_BSLASHtitle] = ACTIONS(6710),
    [anon_sym_BSLASHauthor] = ACTIONS(6710),
    [anon_sym_BSLASHusepackage] = ACTIONS(6710),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6710),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6710),
    [anon_sym_BSLASHinclude] = ACTIONS(6710),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6710),
    [anon_sym_BSLASHinput] = ACTIONS(6710),
    [anon_sym_BSLASHsubfile] = ACTIONS(6710),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6710),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6710),
    [anon_sym_BSLASHbibliography] = ACTIONS(6710),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6710),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6710),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6710),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6710),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6710),
    [anon_sym_BSLASHimport] = ACTIONS(6710),
    [anon_sym_BSLASHsubimport] = ACTIONS(6710),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6710),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHcaption] = ACTIONS(6710),
    [anon_sym_BSLASHcite] = ACTIONS(6710),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCite] = ACTIONS(6710),
    [anon_sym_BSLASHnocite] = ACTIONS(6710),
    [anon_sym_BSLASHcitet] = ACTIONS(6710),
    [anon_sym_BSLASHcitep] = ACTIONS(6710),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteA] = ACTIONS(6710),
    [anon_sym_BSLASHciteR] = ACTIONS(6710),
    [anon_sym_BSLASHciteS] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6710),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteyear] = ACTIONS(6710),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitedate] = ACTIONS(6710),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteurl] = ACTIONS(6710),
    [anon_sym_BSLASHfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6710),
    [anon_sym_BSLASHcitealt] = ACTIONS(6710),
    [anon_sym_BSLASHcitealp] = ACTIONS(6710),
    [anon_sym_BSLASHcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHparencite] = ACTIONS(6710),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHParencite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHtextcite] = ACTIONS(6710),
    [anon_sym_BSLASHTextcite] = ACTIONS(6710),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHsupercite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite] = ACTIONS(6710),
    [anon_sym_BSLASHAutocite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHVolcite] = ACTIONS(6710),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHavolcite] = ACTIONS(6710),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHNotecite] = ACTIONS(6710),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHlabel] = ACTIONS(6710),
    [anon_sym_BSLASHref] = ACTIONS(6710),
    [anon_sym_BSLASHeqref] = ACTIONS(6710),
    [anon_sym_BSLASHvref] = ACTIONS(6710),
    [anon_sym_BSLASHVref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHpageref] = ACTIONS(6710),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHautopageref] = ACTIONS(6710),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcref] = ACTIONS(6710),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCref] = ACTIONS(6710),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHCpageref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnameCref] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6710),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHdef] = ACTIONS(6710),
    [anon_sym_BSLASHgdef] = ACTIONS(6710),
    [anon_sym_BSLASHedef] = ACTIONS(6710),
    [anon_sym_BSLASHxdef] = ACTIONS(6710),
    [anon_sym_BSLASHlet] = ACTIONS(6710),
    [anon_sym_BSLASHglet] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6710),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6710),
    [anon_sym_BSLASHgls] = ACTIONS(6710),
    [anon_sym_BSLASHGls] = ACTIONS(6710),
    [anon_sym_BSLASHGLS] = ACTIONS(6710),
    [anon_sym_BSLASHglspl] = ACTIONS(6710),
    [anon_sym_BSLASHGlspl] = ACTIONS(6710),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6710),
    [anon_sym_BSLASHglslink] = ACTIONS(6710),
    [anon_sym_BSLASHglstext] = ACTIONS(6710),
    [anon_sym_BSLASHGlstext] = ACTIONS(6710),
    [anon_sym_BSLASHGLStext] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6710),
    [anon_sym_BSLASHglsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsname] = ACTIONS(6710),
    [anon_sym_BSLASHGlsname] = ACTIONS(6710),
    [anon_sym_BSLASHGLSname] = ACTIONS(6710),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6710),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6710),
    [anon_sym_BSLASHacrshort] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6710),
    [anon_sym_BSLASHACRshort] = ACTIONS(6710),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrlong] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6710),
    [anon_sym_BSLASHACRlong] = ACTIONS(6710),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrfull] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6710),
    [anon_sym_BSLASHACRfull] = ACTIONS(6710),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHacs] = ACTIONS(6710),
    [anon_sym_BSLASHAcs] = ACTIONS(6710),
    [anon_sym_BSLASHacsp] = ACTIONS(6710),
    [anon_sym_BSLASHAcsp] = ACTIONS(6710),
    [anon_sym_BSLASHacl] = ACTIONS(6710),
    [anon_sym_BSLASHAcl] = ACTIONS(6710),
    [anon_sym_BSLASHaclp] = ACTIONS(6710),
    [anon_sym_BSLASHAclp] = ACTIONS(6710),
    [anon_sym_BSLASHacf] = ACTIONS(6710),
    [anon_sym_BSLASHAcf] = ACTIONS(6710),
    [anon_sym_BSLASHacfp] = ACTIONS(6710),
    [anon_sym_BSLASHAcfp] = ACTIONS(6710),
    [anon_sym_BSLASHac] = ACTIONS(6710),
    [anon_sym_BSLASHAc] = ACTIONS(6710),
    [anon_sym_BSLASHacp] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6710),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6710),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6710),
    [anon_sym_BSLASHcolor] = ACTIONS(6710),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6710),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6710),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6710),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6710),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6710),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6710),
    [anon_sym_BSLASHurl] = ACTIONS(6710),
    [anon_sym_BSLASHhref] = ACTIONS(6710),
  },
  [517] = {
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(531),
    [aux_sym__paragraph_repeat2] = STATE(531),
    [ts_builtin_sym_end] = ACTIONS(2346),
    [sym_command_name] = ACTIONS(2344),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2344),
    [anon_sym_LBRACK] = ACTIONS(2346),
    [anon_sym_RBRACK] = ACTIONS(2346),
    [anon_sym_COMMA] = ACTIONS(2346),
    [anon_sym_EQ] = ACTIONS(2346),
    [anon_sym_LPAREN] = ACTIONS(2346),
    [anon_sym_RPAREN] = ACTIONS(2346),
    [anon_sym_BSLASHpart] = ACTIONS(2344),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddpart] = ACTIONS(2344),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHchapter] = ACTIONS(2344),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddchap] = ACTIONS(2344),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsection] = ACTIONS(2344),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddsec] = ACTIONS(2344),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHparagraph] = ACTIONS(2344),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(2344),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2346),
    [anon_sym_LBRACE] = ACTIONS(2346),
    [anon_sym_RBRACE] = ACTIONS(2346),
    [sym_word] = ACTIONS(2344),
    [sym_placeholder] = ACTIONS(2346),
    [sym_delimiter] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_PIPE] = ACTIONS(2344),
    [anon_sym_COLON] = ACTIONS(2344),
    [anon_sym_SQUOTE] = ACTIONS(2344),
    [anon_sym__] = ACTIONS(2346),
    [anon_sym_CARET] = ACTIONS(2346),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2346),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2346),
    [anon_sym_DOLLAR] = ACTIONS(2344),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2346),
    [anon_sym_BSLASHleft] = ACTIONS(2344),
    [anon_sym_BSLASHbigl] = ACTIONS(2344),
    [anon_sym_BSLASHBigl] = ACTIONS(2344),
    [anon_sym_BSLASHbiggl] = ACTIONS(2344),
    [anon_sym_BSLASHBiggl] = ACTIONS(2344),
    [anon_sym_BSLASHtext] = ACTIONS(2344),
    [anon_sym_BSLASHintertext] = ACTIONS(2344),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2344),
    [anon_sym_BSLASHbegin] = ACTIONS(2344),
    [anon_sym_BSLASHtitle] = ACTIONS(2344),
    [anon_sym_BSLASHauthor] = ACTIONS(2344),
    [anon_sym_BSLASHusepackage] = ACTIONS(2344),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2344),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2344),
    [anon_sym_BSLASHinclude] = ACTIONS(2344),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2344),
    [anon_sym_BSLASHinput] = ACTIONS(2344),
    [anon_sym_BSLASHsubfile] = ACTIONS(2344),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2344),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2344),
    [anon_sym_BSLASHbibliography] = ACTIONS(2344),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2344),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2344),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2344),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2344),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2344),
    [anon_sym_BSLASHimport] = ACTIONS(2344),
    [anon_sym_BSLASHsubimport] = ACTIONS(2344),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2344),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2344),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2344),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2344),
    [anon_sym_BSLASHcaption] = ACTIONS(2344),
    [anon_sym_BSLASHcite] = ACTIONS(2344),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCite] = ACTIONS(2344),
    [anon_sym_BSLASHnocite] = ACTIONS(2344),
    [anon_sym_BSLASHcitet] = ACTIONS(2344),
    [anon_sym_BSLASHcitep] = ACTIONS(2344),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteA] = ACTIONS(2344),
    [anon_sym_BSLASHciteR] = ACTIONS(2344),
    [anon_sym_BSLASHciteS] = ACTIONS(2344),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2344),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2344),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2344),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2344),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteyear] = ACTIONS(2344),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitedate] = ACTIONS(2344),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteurl] = ACTIONS(2344),
    [anon_sym_BSLASHfullcite] = ACTIONS(2344),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2344),
    [anon_sym_BSLASHcitealt] = ACTIONS(2344),
    [anon_sym_BSLASHcitealp] = ACTIONS(2344),
    [anon_sym_BSLASHcitetext] = ACTIONS(2344),
    [anon_sym_BSLASHparencite] = ACTIONS(2344),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHParencite] = ACTIONS(2344),
    [anon_sym_BSLASHfootcite] = ACTIONS(2344),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2344),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2344),
    [anon_sym_BSLASHtextcite] = ACTIONS(2344),
    [anon_sym_BSLASHTextcite] = ACTIONS(2344),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2344),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2344),
    [anon_sym_BSLASHsupercite] = ACTIONS(2344),
    [anon_sym_BSLASHautocite] = ACTIONS(2344),
    [anon_sym_BSLASHAutocite] = ACTIONS(2344),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHVolcite] = ACTIONS(2344),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHavolcite] = ACTIONS(2344),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHNotecite] = ACTIONS(2344),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHlabel] = ACTIONS(2344),
    [anon_sym_BSLASHref] = ACTIONS(2344),
    [anon_sym_BSLASHeqref] = ACTIONS(2344),
    [anon_sym_BSLASHvref] = ACTIONS(2344),
    [anon_sym_BSLASHVref] = ACTIONS(2344),
    [anon_sym_BSLASHautoref] = ACTIONS(2344),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHpageref] = ACTIONS(2344),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHautopageref] = ACTIONS(2344),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcref] = ACTIONS(2344),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCref] = ACTIONS(2344),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcpageref] = ACTIONS(2344),
    [anon_sym_BSLASHCpageref] = ACTIONS(2344),
    [anon_sym_BSLASHnamecref] = ACTIONS(2344),
    [anon_sym_BSLASHnameCref] = ACTIONS(2344),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2344),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2344),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2344),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2344),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2344),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2344),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2344),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2344),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2344),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2344),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2344),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHdef] = ACTIONS(2344),
    [anon_sym_BSLASHgdef] = ACTIONS(2344),
    [anon_sym_BSLASHedef] = ACTIONS(2344),
    [anon_sym_BSLASHxdef] = ACTIONS(2344),
    [anon_sym_BSLASHlet] = ACTIONS(2344),
    [anon_sym_BSLASHglet] = ACTIONS(2344),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2344),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2344),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2344),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2344),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2344),
    [anon_sym_BSLASHgls] = ACTIONS(2344),
    [anon_sym_BSLASHGls] = ACTIONS(2344),
    [anon_sym_BSLASHGLS] = ACTIONS(2344),
    [anon_sym_BSLASHglspl] = ACTIONS(2344),
    [anon_sym_BSLASHGlspl] = ACTIONS(2344),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2344),
    [anon_sym_BSLASHglslink] = ACTIONS(2344),
    [anon_sym_BSLASHglstext] = ACTIONS(2344),
    [anon_sym_BSLASHGlstext] = ACTIONS(2344),
    [anon_sym_BSLASHGLStext] = ACTIONS(2344),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2344),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2344),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2344),
    [anon_sym_BSLASHglsplural] = ACTIONS(2344),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2344),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2344),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHglsname] = ACTIONS(2344),
    [anon_sym_BSLASHGlsname] = ACTIONS(2344),
    [anon_sym_BSLASHGLSname] = ACTIONS(2344),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2344),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2344),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2344),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2344),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2344),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2344),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2344),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2344),
    [anon_sym_BSLASHacrshort] = ACTIONS(2344),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2344),
    [anon_sym_BSLASHACRshort] = ACTIONS(2344),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHacrlong] = ACTIONS(2344),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2344),
    [anon_sym_BSLASHACRlong] = ACTIONS(2344),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHacrfull] = ACTIONS(2344),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2344),
    [anon_sym_BSLASHACRfull] = ACTIONS(2344),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHacs] = ACTIONS(2344),
    [anon_sym_BSLASHAcs] = ACTIONS(2344),
    [anon_sym_BSLASHacsp] = ACTIONS(2344),
    [anon_sym_BSLASHAcsp] = ACTIONS(2344),
    [anon_sym_BSLASHacl] = ACTIONS(2344),
    [anon_sym_BSLASHAcl] = ACTIONS(2344),
    [anon_sym_BSLASHaclp] = ACTIONS(2344),
    [anon_sym_BSLASHAclp] = ACTIONS(2344),
    [anon_sym_BSLASHacf] = ACTIONS(2344),
    [anon_sym_BSLASHAcf] = ACTIONS(2344),
    [anon_sym_BSLASHacfp] = ACTIONS(2344),
    [anon_sym_BSLASHAcfp] = ACTIONS(2344),
    [anon_sym_BSLASHac] = ACTIONS(2344),
    [anon_sym_BSLASHAc] = ACTIONS(2344),
    [anon_sym_BSLASHacp] = ACTIONS(2344),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2344),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2344),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2344),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2344),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2344),
    [anon_sym_BSLASHcolor] = ACTIONS(2344),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2344),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2344),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2344),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2344),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2344),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2344),
    [anon_sym_BSLASHurl] = ACTIONS(2344),
    [anon_sym_BSLASHhref] = ACTIONS(2344),
  },
  [518] = {
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(532),
    [aux_sym__paragraph_repeat3] = STATE(532),
    [ts_builtin_sym_end] = ACTIONS(2346),
    [sym_command_name] = ACTIONS(2344),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2344),
    [anon_sym_LBRACK] = ACTIONS(2346),
    [anon_sym_RBRACK] = ACTIONS(2346),
    [anon_sym_COMMA] = ACTIONS(2346),
    [anon_sym_EQ] = ACTIONS(2346),
    [anon_sym_LPAREN] = ACTIONS(2346),
    [anon_sym_RPAREN] = ACTIONS(2346),
    [anon_sym_BSLASHpart] = ACTIONS(2344),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddpart] = ACTIONS(2344),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHchapter] = ACTIONS(2344),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddchap] = ACTIONS(2344),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsection] = ACTIONS(2344),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddsec] = ACTIONS(2344),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHparagraph] = ACTIONS(2344),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2344),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(2346),
    [anon_sym_RBRACE] = ACTIONS(2346),
    [sym_word] = ACTIONS(2344),
    [sym_placeholder] = ACTIONS(2346),
    [sym_delimiter] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_PIPE] = ACTIONS(2344),
    [anon_sym_COLON] = ACTIONS(2344),
    [anon_sym_SQUOTE] = ACTIONS(2344),
    [anon_sym__] = ACTIONS(2346),
    [anon_sym_CARET] = ACTIONS(2346),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2346),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2346),
    [anon_sym_DOLLAR] = ACTIONS(2344),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2346),
    [anon_sym_BSLASHleft] = ACTIONS(2344),
    [anon_sym_BSLASHbigl] = ACTIONS(2344),
    [anon_sym_BSLASHBigl] = ACTIONS(2344),
    [anon_sym_BSLASHbiggl] = ACTIONS(2344),
    [anon_sym_BSLASHBiggl] = ACTIONS(2344),
    [anon_sym_BSLASHtext] = ACTIONS(2344),
    [anon_sym_BSLASHintertext] = ACTIONS(2344),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2344),
    [anon_sym_BSLASHbegin] = ACTIONS(2344),
    [anon_sym_BSLASHtitle] = ACTIONS(2344),
    [anon_sym_BSLASHauthor] = ACTIONS(2344),
    [anon_sym_BSLASHusepackage] = ACTIONS(2344),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2344),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2344),
    [anon_sym_BSLASHinclude] = ACTIONS(2344),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2344),
    [anon_sym_BSLASHinput] = ACTIONS(2344),
    [anon_sym_BSLASHsubfile] = ACTIONS(2344),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2344),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2344),
    [anon_sym_BSLASHbibliography] = ACTIONS(2344),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2344),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2344),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2344),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2344),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2344),
    [anon_sym_BSLASHimport] = ACTIONS(2344),
    [anon_sym_BSLASHsubimport] = ACTIONS(2344),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2344),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2344),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2344),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2344),
    [anon_sym_BSLASHcaption] = ACTIONS(2344),
    [anon_sym_BSLASHcite] = ACTIONS(2344),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCite] = ACTIONS(2344),
    [anon_sym_BSLASHnocite] = ACTIONS(2344),
    [anon_sym_BSLASHcitet] = ACTIONS(2344),
    [anon_sym_BSLASHcitep] = ACTIONS(2344),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteA] = ACTIONS(2344),
    [anon_sym_BSLASHciteR] = ACTIONS(2344),
    [anon_sym_BSLASHciteS] = ACTIONS(2344),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2344),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2344),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2344),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2344),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteyear] = ACTIONS(2344),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitedate] = ACTIONS(2344),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteurl] = ACTIONS(2344),
    [anon_sym_BSLASHfullcite] = ACTIONS(2344),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2344),
    [anon_sym_BSLASHcitealt] = ACTIONS(2344),
    [anon_sym_BSLASHcitealp] = ACTIONS(2344),
    [anon_sym_BSLASHcitetext] = ACTIONS(2344),
    [anon_sym_BSLASHparencite] = ACTIONS(2344),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHParencite] = ACTIONS(2344),
    [anon_sym_BSLASHfootcite] = ACTIONS(2344),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2344),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2344),
    [anon_sym_BSLASHtextcite] = ACTIONS(2344),
    [anon_sym_BSLASHTextcite] = ACTIONS(2344),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2344),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2344),
    [anon_sym_BSLASHsupercite] = ACTIONS(2344),
    [anon_sym_BSLASHautocite] = ACTIONS(2344),
    [anon_sym_BSLASHAutocite] = ACTIONS(2344),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHVolcite] = ACTIONS(2344),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHavolcite] = ACTIONS(2344),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHNotecite] = ACTIONS(2344),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHlabel] = ACTIONS(2344),
    [anon_sym_BSLASHref] = ACTIONS(2344),
    [anon_sym_BSLASHeqref] = ACTIONS(2344),
    [anon_sym_BSLASHvref] = ACTIONS(2344),
    [anon_sym_BSLASHVref] = ACTIONS(2344),
    [anon_sym_BSLASHautoref] = ACTIONS(2344),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHpageref] = ACTIONS(2344),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHautopageref] = ACTIONS(2344),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcref] = ACTIONS(2344),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCref] = ACTIONS(2344),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcpageref] = ACTIONS(2344),
    [anon_sym_BSLASHCpageref] = ACTIONS(2344),
    [anon_sym_BSLASHnamecref] = ACTIONS(2344),
    [anon_sym_BSLASHnameCref] = ACTIONS(2344),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2344),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2344),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2344),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2344),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2344),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2344),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2344),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2344),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2344),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2344),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2344),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHdef] = ACTIONS(2344),
    [anon_sym_BSLASHgdef] = ACTIONS(2344),
    [anon_sym_BSLASHedef] = ACTIONS(2344),
    [anon_sym_BSLASHxdef] = ACTIONS(2344),
    [anon_sym_BSLASHlet] = ACTIONS(2344),
    [anon_sym_BSLASHglet] = ACTIONS(2344),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2344),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2344),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2344),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2344),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2344),
    [anon_sym_BSLASHgls] = ACTIONS(2344),
    [anon_sym_BSLASHGls] = ACTIONS(2344),
    [anon_sym_BSLASHGLS] = ACTIONS(2344),
    [anon_sym_BSLASHglspl] = ACTIONS(2344),
    [anon_sym_BSLASHGlspl] = ACTIONS(2344),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2344),
    [anon_sym_BSLASHglslink] = ACTIONS(2344),
    [anon_sym_BSLASHglstext] = ACTIONS(2344),
    [anon_sym_BSLASHGlstext] = ACTIONS(2344),
    [anon_sym_BSLASHGLStext] = ACTIONS(2344),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2344),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2344),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2344),
    [anon_sym_BSLASHglsplural] = ACTIONS(2344),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2344),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2344),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHglsname] = ACTIONS(2344),
    [anon_sym_BSLASHGlsname] = ACTIONS(2344),
    [anon_sym_BSLASHGLSname] = ACTIONS(2344),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2344),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2344),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2344),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2344),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2344),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2344),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2344),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2344),
    [anon_sym_BSLASHacrshort] = ACTIONS(2344),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2344),
    [anon_sym_BSLASHACRshort] = ACTIONS(2344),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHacrlong] = ACTIONS(2344),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2344),
    [anon_sym_BSLASHACRlong] = ACTIONS(2344),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHacrfull] = ACTIONS(2344),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2344),
    [anon_sym_BSLASHACRfull] = ACTIONS(2344),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHacs] = ACTIONS(2344),
    [anon_sym_BSLASHAcs] = ACTIONS(2344),
    [anon_sym_BSLASHacsp] = ACTIONS(2344),
    [anon_sym_BSLASHAcsp] = ACTIONS(2344),
    [anon_sym_BSLASHacl] = ACTIONS(2344),
    [anon_sym_BSLASHAcl] = ACTIONS(2344),
    [anon_sym_BSLASHaclp] = ACTIONS(2344),
    [anon_sym_BSLASHAclp] = ACTIONS(2344),
    [anon_sym_BSLASHacf] = ACTIONS(2344),
    [anon_sym_BSLASHAcf] = ACTIONS(2344),
    [anon_sym_BSLASHacfp] = ACTIONS(2344),
    [anon_sym_BSLASHAcfp] = ACTIONS(2344),
    [anon_sym_BSLASHac] = ACTIONS(2344),
    [anon_sym_BSLASHAc] = ACTIONS(2344),
    [anon_sym_BSLASHacp] = ACTIONS(2344),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2344),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2344),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2344),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2344),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2344),
    [anon_sym_BSLASHcolor] = ACTIONS(2344),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2344),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2344),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2344),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2344),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2344),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2344),
    [anon_sym_BSLASHurl] = ACTIONS(2344),
    [anon_sym_BSLASHhref] = ACTIONS(2344),
  },
  [519] = {
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(529),
    [aux_sym__section_repeat5] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(6712),
    [sym_command_name] = ACTIONS(6710),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6710),
    [anon_sym_LBRACK] = ACTIONS(6712),
    [anon_sym_RBRACK] = ACTIONS(6712),
    [anon_sym_COMMA] = ACTIONS(6712),
    [anon_sym_EQ] = ACTIONS(6712),
    [anon_sym_LPAREN] = ACTIONS(6712),
    [anon_sym_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHpart] = ACTIONS(6710),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddpart] = ACTIONS(6710),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHchapter] = ACTIONS(6710),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddchap] = ACTIONS(6710),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsection] = ACTIONS(6710),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddsec] = ACTIONS(6710),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHitem] = ACTIONS(6710),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6712),
    [anon_sym_LBRACE] = ACTIONS(6712),
    [anon_sym_RBRACE] = ACTIONS(6712),
    [sym_word] = ACTIONS(6710),
    [sym_placeholder] = ACTIONS(6712),
    [sym_delimiter] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(6712),
    [anon_sym_SLASH] = ACTIONS(6712),
    [anon_sym_LT] = ACTIONS(6710),
    [anon_sym_GT] = ACTIONS(6710),
    [anon_sym_BANG] = ACTIONS(6710),
    [anon_sym_PIPE] = ACTIONS(6710),
    [anon_sym_COLON] = ACTIONS(6710),
    [anon_sym_SQUOTE] = ACTIONS(6710),
    [anon_sym__] = ACTIONS(6712),
    [anon_sym_CARET] = ACTIONS(6712),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6712),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6712),
    [anon_sym_DOLLAR] = ACTIONS(6710),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHleft] = ACTIONS(6710),
    [anon_sym_BSLASHbigl] = ACTIONS(6710),
    [anon_sym_BSLASHBigl] = ACTIONS(6710),
    [anon_sym_BSLASHbiggl] = ACTIONS(6710),
    [anon_sym_BSLASHBiggl] = ACTIONS(6710),
    [anon_sym_BSLASHtext] = ACTIONS(6710),
    [anon_sym_BSLASHintertext] = ACTIONS(6710),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6710),
    [anon_sym_BSLASHbegin] = ACTIONS(6710),
    [anon_sym_BSLASHtitle] = ACTIONS(6710),
    [anon_sym_BSLASHauthor] = ACTIONS(6710),
    [anon_sym_BSLASHusepackage] = ACTIONS(6710),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6710),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6710),
    [anon_sym_BSLASHinclude] = ACTIONS(6710),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6710),
    [anon_sym_BSLASHinput] = ACTIONS(6710),
    [anon_sym_BSLASHsubfile] = ACTIONS(6710),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6710),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6710),
    [anon_sym_BSLASHbibliography] = ACTIONS(6710),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6710),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6710),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6710),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6710),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6710),
    [anon_sym_BSLASHimport] = ACTIONS(6710),
    [anon_sym_BSLASHsubimport] = ACTIONS(6710),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6710),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHcaption] = ACTIONS(6710),
    [anon_sym_BSLASHcite] = ACTIONS(6710),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCite] = ACTIONS(6710),
    [anon_sym_BSLASHnocite] = ACTIONS(6710),
    [anon_sym_BSLASHcitet] = ACTIONS(6710),
    [anon_sym_BSLASHcitep] = ACTIONS(6710),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteA] = ACTIONS(6710),
    [anon_sym_BSLASHciteR] = ACTIONS(6710),
    [anon_sym_BSLASHciteS] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6710),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteyear] = ACTIONS(6710),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitedate] = ACTIONS(6710),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteurl] = ACTIONS(6710),
    [anon_sym_BSLASHfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6710),
    [anon_sym_BSLASHcitealt] = ACTIONS(6710),
    [anon_sym_BSLASHcitealp] = ACTIONS(6710),
    [anon_sym_BSLASHcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHparencite] = ACTIONS(6710),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHParencite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHtextcite] = ACTIONS(6710),
    [anon_sym_BSLASHTextcite] = ACTIONS(6710),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHsupercite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite] = ACTIONS(6710),
    [anon_sym_BSLASHAutocite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHVolcite] = ACTIONS(6710),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHavolcite] = ACTIONS(6710),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHNotecite] = ACTIONS(6710),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHlabel] = ACTIONS(6710),
    [anon_sym_BSLASHref] = ACTIONS(6710),
    [anon_sym_BSLASHeqref] = ACTIONS(6710),
    [anon_sym_BSLASHvref] = ACTIONS(6710),
    [anon_sym_BSLASHVref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHpageref] = ACTIONS(6710),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHautopageref] = ACTIONS(6710),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcref] = ACTIONS(6710),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCref] = ACTIONS(6710),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHCpageref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnameCref] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6710),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHdef] = ACTIONS(6710),
    [anon_sym_BSLASHgdef] = ACTIONS(6710),
    [anon_sym_BSLASHedef] = ACTIONS(6710),
    [anon_sym_BSLASHxdef] = ACTIONS(6710),
    [anon_sym_BSLASHlet] = ACTIONS(6710),
    [anon_sym_BSLASHglet] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6710),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6710),
    [anon_sym_BSLASHgls] = ACTIONS(6710),
    [anon_sym_BSLASHGls] = ACTIONS(6710),
    [anon_sym_BSLASHGLS] = ACTIONS(6710),
    [anon_sym_BSLASHglspl] = ACTIONS(6710),
    [anon_sym_BSLASHGlspl] = ACTIONS(6710),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6710),
    [anon_sym_BSLASHglslink] = ACTIONS(6710),
    [anon_sym_BSLASHglstext] = ACTIONS(6710),
    [anon_sym_BSLASHGlstext] = ACTIONS(6710),
    [anon_sym_BSLASHGLStext] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6710),
    [anon_sym_BSLASHglsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsname] = ACTIONS(6710),
    [anon_sym_BSLASHGlsname] = ACTIONS(6710),
    [anon_sym_BSLASHGLSname] = ACTIONS(6710),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6710),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6710),
    [anon_sym_BSLASHacrshort] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6710),
    [anon_sym_BSLASHACRshort] = ACTIONS(6710),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrlong] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6710),
    [anon_sym_BSLASHACRlong] = ACTIONS(6710),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrfull] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6710),
    [anon_sym_BSLASHACRfull] = ACTIONS(6710),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHacs] = ACTIONS(6710),
    [anon_sym_BSLASHAcs] = ACTIONS(6710),
    [anon_sym_BSLASHacsp] = ACTIONS(6710),
    [anon_sym_BSLASHAcsp] = ACTIONS(6710),
    [anon_sym_BSLASHacl] = ACTIONS(6710),
    [anon_sym_BSLASHAcl] = ACTIONS(6710),
    [anon_sym_BSLASHaclp] = ACTIONS(6710),
    [anon_sym_BSLASHAclp] = ACTIONS(6710),
    [anon_sym_BSLASHacf] = ACTIONS(6710),
    [anon_sym_BSLASHAcf] = ACTIONS(6710),
    [anon_sym_BSLASHacfp] = ACTIONS(6710),
    [anon_sym_BSLASHAcfp] = ACTIONS(6710),
    [anon_sym_BSLASHac] = ACTIONS(6710),
    [anon_sym_BSLASHAc] = ACTIONS(6710),
    [anon_sym_BSLASHacp] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6710),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6710),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6710),
    [anon_sym_BSLASHcolor] = ACTIONS(6710),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6710),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6710),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6710),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6710),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6710),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6710),
    [anon_sym_BSLASHurl] = ACTIONS(6710),
    [anon_sym_BSLASHhref] = ACTIONS(6710),
  },
  [520] = {
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(532),
    [aux_sym__paragraph_repeat3] = STATE(532),
    [ts_builtin_sym_end] = ACTIONS(2356),
    [sym_command_name] = ACTIONS(2354),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2356),
    [anon_sym_RBRACK] = ACTIONS(2356),
    [anon_sym_COMMA] = ACTIONS(2356),
    [anon_sym_EQ] = ACTIONS(2356),
    [anon_sym_LPAREN] = ACTIONS(2356),
    [anon_sym_RPAREN] = ACTIONS(2356),
    [anon_sym_BSLASHpart] = ACTIONS(2354),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddpart] = ACTIONS(2354),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHchapter] = ACTIONS(2354),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddchap] = ACTIONS(2354),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsection] = ACTIONS(2354),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddsec] = ACTIONS(2354),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubsection] = ACTIONS(2354),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2354),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHparagraph] = ACTIONS(2354),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2354),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(2356),
    [anon_sym_RBRACE] = ACTIONS(2356),
    [sym_word] = ACTIONS(2354),
    [sym_placeholder] = ACTIONS(2356),
    [sym_delimiter] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_SLASH] = ACTIONS(2356),
    [anon_sym_LT] = ACTIONS(2354),
    [anon_sym_GT] = ACTIONS(2354),
    [anon_sym_BANG] = ACTIONS(2354),
    [anon_sym_PIPE] = ACTIONS(2354),
    [anon_sym_COLON] = ACTIONS(2354),
    [anon_sym_SQUOTE] = ACTIONS(2354),
    [anon_sym__] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2356),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2356),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2356),
    [anon_sym_DOLLAR] = ACTIONS(2354),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2356),
    [anon_sym_BSLASHleft] = ACTIONS(2354),
    [anon_sym_BSLASHbigl] = ACTIONS(2354),
    [anon_sym_BSLASHBigl] = ACTIONS(2354),
    [anon_sym_BSLASHbiggl] = ACTIONS(2354),
    [anon_sym_BSLASHBiggl] = ACTIONS(2354),
    [anon_sym_BSLASHtext] = ACTIONS(2354),
    [anon_sym_BSLASHintertext] = ACTIONS(2354),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2354),
    [anon_sym_BSLASHbegin] = ACTIONS(2354),
    [anon_sym_BSLASHtitle] = ACTIONS(2354),
    [anon_sym_BSLASHauthor] = ACTIONS(2354),
    [anon_sym_BSLASHusepackage] = ACTIONS(2354),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2354),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2354),
    [anon_sym_BSLASHinclude] = ACTIONS(2354),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2354),
    [anon_sym_BSLASHinput] = ACTIONS(2354),
    [anon_sym_BSLASHsubfile] = ACTIONS(2354),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2354),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2354),
    [anon_sym_BSLASHbibliography] = ACTIONS(2354),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2354),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2354),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2354),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2354),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2354),
    [anon_sym_BSLASHimport] = ACTIONS(2354),
    [anon_sym_BSLASHsubimport] = ACTIONS(2354),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2354),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2354),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2354),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2354),
    [anon_sym_BSLASHcaption] = ACTIONS(2354),
    [anon_sym_BSLASHcite] = ACTIONS(2354),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHCite] = ACTIONS(2354),
    [anon_sym_BSLASHnocite] = ACTIONS(2354),
    [anon_sym_BSLASHcitet] = ACTIONS(2354),
    [anon_sym_BSLASHcitep] = ACTIONS(2354),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHciteA] = ACTIONS(2354),
    [anon_sym_BSLASHciteR] = ACTIONS(2354),
    [anon_sym_BSLASHciteS] = ACTIONS(2354),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2354),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2354),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2354),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2354),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHciteyear] = ACTIONS(2354),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcitedate] = ACTIONS(2354),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHciteurl] = ACTIONS(2354),
    [anon_sym_BSLASHfullcite] = ACTIONS(2354),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2354),
    [anon_sym_BSLASHcitealt] = ACTIONS(2354),
    [anon_sym_BSLASHcitealp] = ACTIONS(2354),
    [anon_sym_BSLASHcitetext] = ACTIONS(2354),
    [anon_sym_BSLASHparencite] = ACTIONS(2354),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHParencite] = ACTIONS(2354),
    [anon_sym_BSLASHfootcite] = ACTIONS(2354),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2354),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2354),
    [anon_sym_BSLASHtextcite] = ACTIONS(2354),
    [anon_sym_BSLASHTextcite] = ACTIONS(2354),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2354),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2354),
    [anon_sym_BSLASHsupercite] = ACTIONS(2354),
    [anon_sym_BSLASHautocite] = ACTIONS(2354),
    [anon_sym_BSLASHAutocite] = ACTIONS(2354),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHVolcite] = ACTIONS(2354),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHavolcite] = ACTIONS(2354),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHnotecite] = ACTIONS(2354),
    [anon_sym_BSLASHNotecite] = ACTIONS(2354),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2354),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2354),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2354),
    [anon_sym_BSLASHlabel] = ACTIONS(2354),
    [anon_sym_BSLASHref] = ACTIONS(2354),
    [anon_sym_BSLASHeqref] = ACTIONS(2354),
    [anon_sym_BSLASHvref] = ACTIONS(2354),
    [anon_sym_BSLASHVref] = ACTIONS(2354),
    [anon_sym_BSLASHautoref] = ACTIONS(2354),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHpageref] = ACTIONS(2354),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHautopageref] = ACTIONS(2354),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcref] = ACTIONS(2354),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHCref] = ACTIONS(2354),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcpageref] = ACTIONS(2354),
    [anon_sym_BSLASHCpageref] = ACTIONS(2354),
    [anon_sym_BSLASHnamecref] = ACTIONS(2354),
    [anon_sym_BSLASHnameCref] = ACTIONS(2354),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2354),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2354),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2354),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2354),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2354),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2354),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2354),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2354),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2354),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2354),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2354),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2354),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2354),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2354),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2354),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2354),
    [anon_sym_BSLASHdef] = ACTIONS(2354),
    [anon_sym_BSLASHgdef] = ACTIONS(2354),
    [anon_sym_BSLASHedef] = ACTIONS(2354),
    [anon_sym_BSLASHxdef] = ACTIONS(2354),
    [anon_sym_BSLASHlet] = ACTIONS(2354),
    [anon_sym_BSLASHglet] = ACTIONS(2354),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2354),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2354),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2354),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2354),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2354),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2354),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2354),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2354),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2354),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2354),
    [anon_sym_BSLASHgls] = ACTIONS(2354),
    [anon_sym_BSLASHGls] = ACTIONS(2354),
    [anon_sym_BSLASHGLS] = ACTIONS(2354),
    [anon_sym_BSLASHglspl] = ACTIONS(2354),
    [anon_sym_BSLASHGlspl] = ACTIONS(2354),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2354),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2354),
    [anon_sym_BSLASHglslink] = ACTIONS(2354),
    [anon_sym_BSLASHglstext] = ACTIONS(2354),
    [anon_sym_BSLASHGlstext] = ACTIONS(2354),
    [anon_sym_BSLASHGLStext] = ACTIONS(2354),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2354),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2354),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2354),
    [anon_sym_BSLASHglsplural] = ACTIONS(2354),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2354),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2354),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2354),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2354),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2354),
    [anon_sym_BSLASHglsname] = ACTIONS(2354),
    [anon_sym_BSLASHGlsname] = ACTIONS(2354),
    [anon_sym_BSLASHGLSname] = ACTIONS(2354),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2354),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2354),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2354),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2354),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2354),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2354),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2354),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2354),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2354),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2354),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2354),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2354),
    [anon_sym_BSLASHacrshort] = ACTIONS(2354),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2354),
    [anon_sym_BSLASHACRshort] = ACTIONS(2354),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2354),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2354),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2354),
    [anon_sym_BSLASHacrlong] = ACTIONS(2354),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2354),
    [anon_sym_BSLASHACRlong] = ACTIONS(2354),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2354),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2354),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2354),
    [anon_sym_BSLASHacrfull] = ACTIONS(2354),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2354),
    [anon_sym_BSLASHACRfull] = ACTIONS(2354),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2354),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2354),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2354),
    [anon_sym_BSLASHacs] = ACTIONS(2354),
    [anon_sym_BSLASHAcs] = ACTIONS(2354),
    [anon_sym_BSLASHacsp] = ACTIONS(2354),
    [anon_sym_BSLASHAcsp] = ACTIONS(2354),
    [anon_sym_BSLASHacl] = ACTIONS(2354),
    [anon_sym_BSLASHAcl] = ACTIONS(2354),
    [anon_sym_BSLASHaclp] = ACTIONS(2354),
    [anon_sym_BSLASHAclp] = ACTIONS(2354),
    [anon_sym_BSLASHacf] = ACTIONS(2354),
    [anon_sym_BSLASHAcf] = ACTIONS(2354),
    [anon_sym_BSLASHacfp] = ACTIONS(2354),
    [anon_sym_BSLASHAcfp] = ACTIONS(2354),
    [anon_sym_BSLASHac] = ACTIONS(2354),
    [anon_sym_BSLASHAc] = ACTIONS(2354),
    [anon_sym_BSLASHacp] = ACTIONS(2354),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2354),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2354),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2354),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2354),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2354),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2354),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2354),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2354),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2354),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2354),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2354),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2354),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2354),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2354),
    [anon_sym_BSLASHcolor] = ACTIONS(2354),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2354),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2354),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2354),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2354),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2354),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2354),
    [anon_sym_BSLASHurl] = ACTIONS(2354),
    [anon_sym_BSLASHhref] = ACTIONS(2354),
  },
  [521] = {
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(530),
    [aux_sym__paragraph_repeat1] = STATE(530),
    [ts_builtin_sym_end] = ACTIONS(6716),
    [sym_command_name] = ACTIONS(6714),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6714),
    [anon_sym_LBRACK] = ACTIONS(6716),
    [anon_sym_RBRACK] = ACTIONS(6716),
    [anon_sym_COMMA] = ACTIONS(6716),
    [anon_sym_EQ] = ACTIONS(6716),
    [anon_sym_LPAREN] = ACTIONS(6716),
    [anon_sym_RPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHpart] = ACTIONS(6714),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddpart] = ACTIONS(6714),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHchapter] = ACTIONS(6714),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddchap] = ACTIONS(6714),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsection] = ACTIONS(6714),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddsec] = ACTIONS(6714),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHparagraph] = ACTIONS(33),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(35),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6714),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHitem] = ACTIONS(6714),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6716),
    [anon_sym_LBRACE] = ACTIONS(6716),
    [anon_sym_RBRACE] = ACTIONS(6716),
    [sym_word] = ACTIONS(6714),
    [sym_placeholder] = ACTIONS(6716),
    [sym_delimiter] = ACTIONS(6716),
    [anon_sym_PLUS] = ACTIONS(6716),
    [anon_sym_DASH] = ACTIONS(6716),
    [anon_sym_STAR] = ACTIONS(6716),
    [anon_sym_SLASH] = ACTIONS(6716),
    [anon_sym_LT] = ACTIONS(6714),
    [anon_sym_GT] = ACTIONS(6714),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_PIPE] = ACTIONS(6714),
    [anon_sym_COLON] = ACTIONS(6714),
    [anon_sym_SQUOTE] = ACTIONS(6714),
    [anon_sym__] = ACTIONS(6716),
    [anon_sym_CARET] = ACTIONS(6716),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6716),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6716),
    [anon_sym_DOLLAR] = ACTIONS(6714),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHleft] = ACTIONS(6714),
    [anon_sym_BSLASHbigl] = ACTIONS(6714),
    [anon_sym_BSLASHBigl] = ACTIONS(6714),
    [anon_sym_BSLASHbiggl] = ACTIONS(6714),
    [anon_sym_BSLASHBiggl] = ACTIONS(6714),
    [anon_sym_BSLASHtext] = ACTIONS(6714),
    [anon_sym_BSLASHintertext] = ACTIONS(6714),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6714),
    [anon_sym_BSLASHbegin] = ACTIONS(6714),
    [anon_sym_BSLASHtitle] = ACTIONS(6714),
    [anon_sym_BSLASHauthor] = ACTIONS(6714),
    [anon_sym_BSLASHusepackage] = ACTIONS(6714),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6714),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6714),
    [anon_sym_BSLASHinclude] = ACTIONS(6714),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6714),
    [anon_sym_BSLASHinput] = ACTIONS(6714),
    [anon_sym_BSLASHsubfile] = ACTIONS(6714),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6714),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6714),
    [anon_sym_BSLASHbibliography] = ACTIONS(6714),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6714),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6714),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6714),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6714),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6714),
    [anon_sym_BSLASHimport] = ACTIONS(6714),
    [anon_sym_BSLASHsubimport] = ACTIONS(6714),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6714),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHcaption] = ACTIONS(6714),
    [anon_sym_BSLASHcite] = ACTIONS(6714),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCite] = ACTIONS(6714),
    [anon_sym_BSLASHnocite] = ACTIONS(6714),
    [anon_sym_BSLASHcitet] = ACTIONS(6714),
    [anon_sym_BSLASHcitep] = ACTIONS(6714),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteA] = ACTIONS(6714),
    [anon_sym_BSLASHciteR] = ACTIONS(6714),
    [anon_sym_BSLASHciteS] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6714),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteyear] = ACTIONS(6714),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitedate] = ACTIONS(6714),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteurl] = ACTIONS(6714),
    [anon_sym_BSLASHfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6714),
    [anon_sym_BSLASHcitealt] = ACTIONS(6714),
    [anon_sym_BSLASHcitealp] = ACTIONS(6714),
    [anon_sym_BSLASHcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHparencite] = ACTIONS(6714),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHParencite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHtextcite] = ACTIONS(6714),
    [anon_sym_BSLASHTextcite] = ACTIONS(6714),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHsupercite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite] = ACTIONS(6714),
    [anon_sym_BSLASHAutocite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHVolcite] = ACTIONS(6714),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHavolcite] = ACTIONS(6714),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHNotecite] = ACTIONS(6714),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHlabel] = ACTIONS(6714),
    [anon_sym_BSLASHref] = ACTIONS(6714),
    [anon_sym_BSLASHeqref] = ACTIONS(6714),
    [anon_sym_BSLASHvref] = ACTIONS(6714),
    [anon_sym_BSLASHVref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHpageref] = ACTIONS(6714),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHautopageref] = ACTIONS(6714),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcref] = ACTIONS(6714),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCref] = ACTIONS(6714),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHCpageref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnameCref] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6714),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHdef] = ACTIONS(6714),
    [anon_sym_BSLASHgdef] = ACTIONS(6714),
    [anon_sym_BSLASHedef] = ACTIONS(6714),
    [anon_sym_BSLASHxdef] = ACTIONS(6714),
    [anon_sym_BSLASHlet] = ACTIONS(6714),
    [anon_sym_BSLASHglet] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6714),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6714),
    [anon_sym_BSLASHgls] = ACTIONS(6714),
    [anon_sym_BSLASHGls] = ACTIONS(6714),
    [anon_sym_BSLASHGLS] = ACTIONS(6714),
    [anon_sym_BSLASHglspl] = ACTIONS(6714),
    [anon_sym_BSLASHGlspl] = ACTIONS(6714),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6714),
    [anon_sym_BSLASHglslink] = ACTIONS(6714),
    [anon_sym_BSLASHglstext] = ACTIONS(6714),
    [anon_sym_BSLASHGlstext] = ACTIONS(6714),
    [anon_sym_BSLASHGLStext] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6714),
    [anon_sym_BSLASHglsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsname] = ACTIONS(6714),
    [anon_sym_BSLASHGlsname] = ACTIONS(6714),
    [anon_sym_BSLASHGLSname] = ACTIONS(6714),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6714),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6714),
    [anon_sym_BSLASHacrshort] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6714),
    [anon_sym_BSLASHACRshort] = ACTIONS(6714),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrlong] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6714),
    [anon_sym_BSLASHACRlong] = ACTIONS(6714),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrfull] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6714),
    [anon_sym_BSLASHACRfull] = ACTIONS(6714),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHacs] = ACTIONS(6714),
    [anon_sym_BSLASHAcs] = ACTIONS(6714),
    [anon_sym_BSLASHacsp] = ACTIONS(6714),
    [anon_sym_BSLASHAcsp] = ACTIONS(6714),
    [anon_sym_BSLASHacl] = ACTIONS(6714),
    [anon_sym_BSLASHAcl] = ACTIONS(6714),
    [anon_sym_BSLASHaclp] = ACTIONS(6714),
    [anon_sym_BSLASHAclp] = ACTIONS(6714),
    [anon_sym_BSLASHacf] = ACTIONS(6714),
    [anon_sym_BSLASHAcf] = ACTIONS(6714),
    [anon_sym_BSLASHacfp] = ACTIONS(6714),
    [anon_sym_BSLASHAcfp] = ACTIONS(6714),
    [anon_sym_BSLASHac] = ACTIONS(6714),
    [anon_sym_BSLASHAc] = ACTIONS(6714),
    [anon_sym_BSLASHacp] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6714),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6714),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6714),
    [anon_sym_BSLASHcolor] = ACTIONS(6714),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6714),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6714),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6714),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6714),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6714),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6714),
    [anon_sym_BSLASHurl] = ACTIONS(6714),
    [anon_sym_BSLASHhref] = ACTIONS(6714),
  },
  [522] = {
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(531),
    [aux_sym__paragraph_repeat2] = STATE(531),
    [ts_builtin_sym_end] = ACTIONS(6716),
    [sym_command_name] = ACTIONS(6714),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6714),
    [anon_sym_LBRACK] = ACTIONS(6716),
    [anon_sym_RBRACK] = ACTIONS(6716),
    [anon_sym_COMMA] = ACTIONS(6716),
    [anon_sym_EQ] = ACTIONS(6716),
    [anon_sym_LPAREN] = ACTIONS(6716),
    [anon_sym_RPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHpart] = ACTIONS(6714),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddpart] = ACTIONS(6714),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHchapter] = ACTIONS(6714),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddchap] = ACTIONS(6714),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsection] = ACTIONS(6714),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddsec] = ACTIONS(6714),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHparagraph] = ACTIONS(6714),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(6714),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6716),
    [anon_sym_LBRACE] = ACTIONS(6716),
    [anon_sym_RBRACE] = ACTIONS(6716),
    [sym_word] = ACTIONS(6714),
    [sym_placeholder] = ACTIONS(6716),
    [sym_delimiter] = ACTIONS(6716),
    [anon_sym_PLUS] = ACTIONS(6716),
    [anon_sym_DASH] = ACTIONS(6716),
    [anon_sym_STAR] = ACTIONS(6716),
    [anon_sym_SLASH] = ACTIONS(6716),
    [anon_sym_LT] = ACTIONS(6714),
    [anon_sym_GT] = ACTIONS(6714),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_PIPE] = ACTIONS(6714),
    [anon_sym_COLON] = ACTIONS(6714),
    [anon_sym_SQUOTE] = ACTIONS(6714),
    [anon_sym__] = ACTIONS(6716),
    [anon_sym_CARET] = ACTIONS(6716),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6716),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6716),
    [anon_sym_DOLLAR] = ACTIONS(6714),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHleft] = ACTIONS(6714),
    [anon_sym_BSLASHbigl] = ACTIONS(6714),
    [anon_sym_BSLASHBigl] = ACTIONS(6714),
    [anon_sym_BSLASHbiggl] = ACTIONS(6714),
    [anon_sym_BSLASHBiggl] = ACTIONS(6714),
    [anon_sym_BSLASHtext] = ACTIONS(6714),
    [anon_sym_BSLASHintertext] = ACTIONS(6714),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6714),
    [anon_sym_BSLASHbegin] = ACTIONS(6714),
    [anon_sym_BSLASHtitle] = ACTIONS(6714),
    [anon_sym_BSLASHauthor] = ACTIONS(6714),
    [anon_sym_BSLASHusepackage] = ACTIONS(6714),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6714),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6714),
    [anon_sym_BSLASHinclude] = ACTIONS(6714),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6714),
    [anon_sym_BSLASHinput] = ACTIONS(6714),
    [anon_sym_BSLASHsubfile] = ACTIONS(6714),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6714),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6714),
    [anon_sym_BSLASHbibliography] = ACTIONS(6714),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6714),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6714),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6714),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6714),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6714),
    [anon_sym_BSLASHimport] = ACTIONS(6714),
    [anon_sym_BSLASHsubimport] = ACTIONS(6714),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6714),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHcaption] = ACTIONS(6714),
    [anon_sym_BSLASHcite] = ACTIONS(6714),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCite] = ACTIONS(6714),
    [anon_sym_BSLASHnocite] = ACTIONS(6714),
    [anon_sym_BSLASHcitet] = ACTIONS(6714),
    [anon_sym_BSLASHcitep] = ACTIONS(6714),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteA] = ACTIONS(6714),
    [anon_sym_BSLASHciteR] = ACTIONS(6714),
    [anon_sym_BSLASHciteS] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6714),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteyear] = ACTIONS(6714),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitedate] = ACTIONS(6714),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteurl] = ACTIONS(6714),
    [anon_sym_BSLASHfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6714),
    [anon_sym_BSLASHcitealt] = ACTIONS(6714),
    [anon_sym_BSLASHcitealp] = ACTIONS(6714),
    [anon_sym_BSLASHcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHparencite] = ACTIONS(6714),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHParencite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHtextcite] = ACTIONS(6714),
    [anon_sym_BSLASHTextcite] = ACTIONS(6714),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHsupercite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite] = ACTIONS(6714),
    [anon_sym_BSLASHAutocite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHVolcite] = ACTIONS(6714),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHavolcite] = ACTIONS(6714),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHNotecite] = ACTIONS(6714),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHlabel] = ACTIONS(6714),
    [anon_sym_BSLASHref] = ACTIONS(6714),
    [anon_sym_BSLASHeqref] = ACTIONS(6714),
    [anon_sym_BSLASHvref] = ACTIONS(6714),
    [anon_sym_BSLASHVref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHpageref] = ACTIONS(6714),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHautopageref] = ACTIONS(6714),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcref] = ACTIONS(6714),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCref] = ACTIONS(6714),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHCpageref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnameCref] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6714),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHdef] = ACTIONS(6714),
    [anon_sym_BSLASHgdef] = ACTIONS(6714),
    [anon_sym_BSLASHedef] = ACTIONS(6714),
    [anon_sym_BSLASHxdef] = ACTIONS(6714),
    [anon_sym_BSLASHlet] = ACTIONS(6714),
    [anon_sym_BSLASHglet] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6714),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6714),
    [anon_sym_BSLASHgls] = ACTIONS(6714),
    [anon_sym_BSLASHGls] = ACTIONS(6714),
    [anon_sym_BSLASHGLS] = ACTIONS(6714),
    [anon_sym_BSLASHglspl] = ACTIONS(6714),
    [anon_sym_BSLASHGlspl] = ACTIONS(6714),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6714),
    [anon_sym_BSLASHglslink] = ACTIONS(6714),
    [anon_sym_BSLASHglstext] = ACTIONS(6714),
    [anon_sym_BSLASHGlstext] = ACTIONS(6714),
    [anon_sym_BSLASHGLStext] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6714),
    [anon_sym_BSLASHglsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsname] = ACTIONS(6714),
    [anon_sym_BSLASHGlsname] = ACTIONS(6714),
    [anon_sym_BSLASHGLSname] = ACTIONS(6714),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6714),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6714),
    [anon_sym_BSLASHacrshort] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6714),
    [anon_sym_BSLASHACRshort] = ACTIONS(6714),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrlong] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6714),
    [anon_sym_BSLASHACRlong] = ACTIONS(6714),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrfull] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6714),
    [anon_sym_BSLASHACRfull] = ACTIONS(6714),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHacs] = ACTIONS(6714),
    [anon_sym_BSLASHAcs] = ACTIONS(6714),
    [anon_sym_BSLASHacsp] = ACTIONS(6714),
    [anon_sym_BSLASHAcsp] = ACTIONS(6714),
    [anon_sym_BSLASHacl] = ACTIONS(6714),
    [anon_sym_BSLASHAcl] = ACTIONS(6714),
    [anon_sym_BSLASHaclp] = ACTIONS(6714),
    [anon_sym_BSLASHAclp] = ACTIONS(6714),
    [anon_sym_BSLASHacf] = ACTIONS(6714),
    [anon_sym_BSLASHAcf] = ACTIONS(6714),
    [anon_sym_BSLASHacfp] = ACTIONS(6714),
    [anon_sym_BSLASHAcfp] = ACTIONS(6714),
    [anon_sym_BSLASHac] = ACTIONS(6714),
    [anon_sym_BSLASHAc] = ACTIONS(6714),
    [anon_sym_BSLASHacp] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6714),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6714),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6714),
    [anon_sym_BSLASHcolor] = ACTIONS(6714),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6714),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6714),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6714),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6714),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6714),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6714),
    [anon_sym_BSLASHurl] = ACTIONS(6714),
    [anon_sym_BSLASHhref] = ACTIONS(6714),
  },
  [523] = {
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(532),
    [aux_sym__paragraph_repeat3] = STATE(532),
    [ts_builtin_sym_end] = ACTIONS(6716),
    [sym_command_name] = ACTIONS(6714),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6714),
    [anon_sym_LBRACK] = ACTIONS(6716),
    [anon_sym_RBRACK] = ACTIONS(6716),
    [anon_sym_COMMA] = ACTIONS(6716),
    [anon_sym_EQ] = ACTIONS(6716),
    [anon_sym_LPAREN] = ACTIONS(6716),
    [anon_sym_RPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHpart] = ACTIONS(6714),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddpart] = ACTIONS(6714),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHchapter] = ACTIONS(6714),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddchap] = ACTIONS(6714),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsection] = ACTIONS(6714),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddsec] = ACTIONS(6714),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHparagraph] = ACTIONS(6714),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6714),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(6716),
    [anon_sym_RBRACE] = ACTIONS(6716),
    [sym_word] = ACTIONS(6714),
    [sym_placeholder] = ACTIONS(6716),
    [sym_delimiter] = ACTIONS(6716),
    [anon_sym_PLUS] = ACTIONS(6716),
    [anon_sym_DASH] = ACTIONS(6716),
    [anon_sym_STAR] = ACTIONS(6716),
    [anon_sym_SLASH] = ACTIONS(6716),
    [anon_sym_LT] = ACTIONS(6714),
    [anon_sym_GT] = ACTIONS(6714),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_PIPE] = ACTIONS(6714),
    [anon_sym_COLON] = ACTIONS(6714),
    [anon_sym_SQUOTE] = ACTIONS(6714),
    [anon_sym__] = ACTIONS(6716),
    [anon_sym_CARET] = ACTIONS(6716),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6716),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6716),
    [anon_sym_DOLLAR] = ACTIONS(6714),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHleft] = ACTIONS(6714),
    [anon_sym_BSLASHbigl] = ACTIONS(6714),
    [anon_sym_BSLASHBigl] = ACTIONS(6714),
    [anon_sym_BSLASHbiggl] = ACTIONS(6714),
    [anon_sym_BSLASHBiggl] = ACTIONS(6714),
    [anon_sym_BSLASHtext] = ACTIONS(6714),
    [anon_sym_BSLASHintertext] = ACTIONS(6714),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6714),
    [anon_sym_BSLASHbegin] = ACTIONS(6714),
    [anon_sym_BSLASHtitle] = ACTIONS(6714),
    [anon_sym_BSLASHauthor] = ACTIONS(6714),
    [anon_sym_BSLASHusepackage] = ACTIONS(6714),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6714),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6714),
    [anon_sym_BSLASHinclude] = ACTIONS(6714),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6714),
    [anon_sym_BSLASHinput] = ACTIONS(6714),
    [anon_sym_BSLASHsubfile] = ACTIONS(6714),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6714),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6714),
    [anon_sym_BSLASHbibliography] = ACTIONS(6714),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6714),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6714),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6714),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6714),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6714),
    [anon_sym_BSLASHimport] = ACTIONS(6714),
    [anon_sym_BSLASHsubimport] = ACTIONS(6714),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6714),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHcaption] = ACTIONS(6714),
    [anon_sym_BSLASHcite] = ACTIONS(6714),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCite] = ACTIONS(6714),
    [anon_sym_BSLASHnocite] = ACTIONS(6714),
    [anon_sym_BSLASHcitet] = ACTIONS(6714),
    [anon_sym_BSLASHcitep] = ACTIONS(6714),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteA] = ACTIONS(6714),
    [anon_sym_BSLASHciteR] = ACTIONS(6714),
    [anon_sym_BSLASHciteS] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6714),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteyear] = ACTIONS(6714),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitedate] = ACTIONS(6714),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteurl] = ACTIONS(6714),
    [anon_sym_BSLASHfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6714),
    [anon_sym_BSLASHcitealt] = ACTIONS(6714),
    [anon_sym_BSLASHcitealp] = ACTIONS(6714),
    [anon_sym_BSLASHcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHparencite] = ACTIONS(6714),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHParencite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHtextcite] = ACTIONS(6714),
    [anon_sym_BSLASHTextcite] = ACTIONS(6714),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHsupercite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite] = ACTIONS(6714),
    [anon_sym_BSLASHAutocite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHVolcite] = ACTIONS(6714),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHavolcite] = ACTIONS(6714),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHNotecite] = ACTIONS(6714),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHlabel] = ACTIONS(6714),
    [anon_sym_BSLASHref] = ACTIONS(6714),
    [anon_sym_BSLASHeqref] = ACTIONS(6714),
    [anon_sym_BSLASHvref] = ACTIONS(6714),
    [anon_sym_BSLASHVref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHpageref] = ACTIONS(6714),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHautopageref] = ACTIONS(6714),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcref] = ACTIONS(6714),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCref] = ACTIONS(6714),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHCpageref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnameCref] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6714),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHdef] = ACTIONS(6714),
    [anon_sym_BSLASHgdef] = ACTIONS(6714),
    [anon_sym_BSLASHedef] = ACTIONS(6714),
    [anon_sym_BSLASHxdef] = ACTIONS(6714),
    [anon_sym_BSLASHlet] = ACTIONS(6714),
    [anon_sym_BSLASHglet] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6714),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6714),
    [anon_sym_BSLASHgls] = ACTIONS(6714),
    [anon_sym_BSLASHGls] = ACTIONS(6714),
    [anon_sym_BSLASHGLS] = ACTIONS(6714),
    [anon_sym_BSLASHglspl] = ACTIONS(6714),
    [anon_sym_BSLASHGlspl] = ACTIONS(6714),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6714),
    [anon_sym_BSLASHglslink] = ACTIONS(6714),
    [anon_sym_BSLASHglstext] = ACTIONS(6714),
    [anon_sym_BSLASHGlstext] = ACTIONS(6714),
    [anon_sym_BSLASHGLStext] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6714),
    [anon_sym_BSLASHglsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsname] = ACTIONS(6714),
    [anon_sym_BSLASHGlsname] = ACTIONS(6714),
    [anon_sym_BSLASHGLSname] = ACTIONS(6714),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6714),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6714),
    [anon_sym_BSLASHacrshort] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6714),
    [anon_sym_BSLASHACRshort] = ACTIONS(6714),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrlong] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6714),
    [anon_sym_BSLASHACRlong] = ACTIONS(6714),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrfull] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6714),
    [anon_sym_BSLASHACRfull] = ACTIONS(6714),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHacs] = ACTIONS(6714),
    [anon_sym_BSLASHAcs] = ACTIONS(6714),
    [anon_sym_BSLASHacsp] = ACTIONS(6714),
    [anon_sym_BSLASHAcsp] = ACTIONS(6714),
    [anon_sym_BSLASHacl] = ACTIONS(6714),
    [anon_sym_BSLASHAcl] = ACTIONS(6714),
    [anon_sym_BSLASHaclp] = ACTIONS(6714),
    [anon_sym_BSLASHAclp] = ACTIONS(6714),
    [anon_sym_BSLASHacf] = ACTIONS(6714),
    [anon_sym_BSLASHAcf] = ACTIONS(6714),
    [anon_sym_BSLASHacfp] = ACTIONS(6714),
    [anon_sym_BSLASHAcfp] = ACTIONS(6714),
    [anon_sym_BSLASHac] = ACTIONS(6714),
    [anon_sym_BSLASHAc] = ACTIONS(6714),
    [anon_sym_BSLASHacp] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6714),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6714),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6714),
    [anon_sym_BSLASHcolor] = ACTIONS(6714),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6714),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6714),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6714),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6714),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6714),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6714),
    [anon_sym_BSLASHurl] = ACTIONS(6714),
    [anon_sym_BSLASHhref] = ACTIONS(6714),
  },
  [524] = {
    [sym__section_part] = STATE(1007),
    [sym_curly_group] = STATE(1146),
    [sym_brack_group] = STATE(2958),
    [ts_builtin_sym_end] = ACTIONS(6748),
    [sym_command_name] = ACTIONS(6746),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6746),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6748),
    [anon_sym_COMMA] = ACTIONS(6748),
    [anon_sym_EQ] = ACTIONS(6748),
    [anon_sym_LPAREN] = ACTIONS(6748),
    [anon_sym_RPAREN] = ACTIONS(6748),
    [anon_sym_BSLASHpart] = ACTIONS(6746),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHaddpart] = ACTIONS(6746),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHchapter] = ACTIONS(6746),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHaddchap] = ACTIONS(6746),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHsection] = ACTIONS(6746),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHaddsec] = ACTIONS(6746),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHsubsection] = ACTIONS(6746),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6746),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHparagraph] = ACTIONS(6746),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6746),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHitem] = ACTIONS(6746),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6748),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(6748),
    [sym_word] = ACTIONS(6746),
    [sym_placeholder] = ACTIONS(6748),
    [sym_delimiter] = ACTIONS(6748),
    [anon_sym_PLUS] = ACTIONS(6748),
    [anon_sym_DASH] = ACTIONS(6748),
    [anon_sym_STAR] = ACTIONS(6748),
    [anon_sym_SLASH] = ACTIONS(6748),
    [anon_sym_LT] = ACTIONS(6746),
    [anon_sym_GT] = ACTIONS(6746),
    [anon_sym_BANG] = ACTIONS(6746),
    [anon_sym_PIPE] = ACTIONS(6746),
    [anon_sym_COLON] = ACTIONS(6746),
    [anon_sym_SQUOTE] = ACTIONS(6746),
    [anon_sym__] = ACTIONS(6748),
    [anon_sym_CARET] = ACTIONS(6748),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6748),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6748),
    [anon_sym_DOLLAR] = ACTIONS(6746),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6748),
    [anon_sym_BSLASHleft] = ACTIONS(6746),
    [anon_sym_BSLASHbigl] = ACTIONS(6746),
    [anon_sym_BSLASHBigl] = ACTIONS(6746),
    [anon_sym_BSLASHbiggl] = ACTIONS(6746),
    [anon_sym_BSLASHBiggl] = ACTIONS(6746),
    [anon_sym_BSLASHtext] = ACTIONS(6746),
    [anon_sym_BSLASHintertext] = ACTIONS(6746),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6746),
    [anon_sym_BSLASHbegin] = ACTIONS(6746),
    [anon_sym_BSLASHtitle] = ACTIONS(6746),
    [anon_sym_BSLASHauthor] = ACTIONS(6746),
    [anon_sym_BSLASHusepackage] = ACTIONS(6746),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6746),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6746),
    [anon_sym_BSLASHinclude] = ACTIONS(6746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6746),
    [anon_sym_BSLASHinput] = ACTIONS(6746),
    [anon_sym_BSLASHsubfile] = ACTIONS(6746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6746),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6746),
    [anon_sym_BSLASHbibliography] = ACTIONS(6746),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6746),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6746),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6746),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6746),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6746),
    [anon_sym_BSLASHimport] = ACTIONS(6746),
    [anon_sym_BSLASHsubimport] = ACTIONS(6746),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6746),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6746),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6746),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6746),
    [anon_sym_BSLASHcaption] = ACTIONS(6746),
    [anon_sym_BSLASHcite] = ACTIONS(6746),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHCite] = ACTIONS(6746),
    [anon_sym_BSLASHnocite] = ACTIONS(6746),
    [anon_sym_BSLASHcitet] = ACTIONS(6746),
    [anon_sym_BSLASHcitep] = ACTIONS(6746),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHciteA] = ACTIONS(6746),
    [anon_sym_BSLASHciteR] = ACTIONS(6746),
    [anon_sym_BSLASHciteS] = ACTIONS(6746),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6746),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6746),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6746),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6746),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHciteyear] = ACTIONS(6746),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcitedate] = ACTIONS(6746),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHciteurl] = ACTIONS(6746),
    [anon_sym_BSLASHfullcite] = ACTIONS(6746),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6746),
    [anon_sym_BSLASHcitealt] = ACTIONS(6746),
    [anon_sym_BSLASHcitealp] = ACTIONS(6746),
    [anon_sym_BSLASHcitetext] = ACTIONS(6746),
    [anon_sym_BSLASHparencite] = ACTIONS(6746),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHParencite] = ACTIONS(6746),
    [anon_sym_BSLASHfootcite] = ACTIONS(6746),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6746),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6746),
    [anon_sym_BSLASHtextcite] = ACTIONS(6746),
    [anon_sym_BSLASHTextcite] = ACTIONS(6746),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6746),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6746),
    [anon_sym_BSLASHsupercite] = ACTIONS(6746),
    [anon_sym_BSLASHautocite] = ACTIONS(6746),
    [anon_sym_BSLASHAutocite] = ACTIONS(6746),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHVolcite] = ACTIONS(6746),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHavolcite] = ACTIONS(6746),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHnotecite] = ACTIONS(6746),
    [anon_sym_BSLASHNotecite] = ACTIONS(6746),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6746),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6746),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6746),
    [anon_sym_BSLASHlabel] = ACTIONS(6746),
    [anon_sym_BSLASHref] = ACTIONS(6746),
    [anon_sym_BSLASHeqref] = ACTIONS(6746),
    [anon_sym_BSLASHvref] = ACTIONS(6746),
    [anon_sym_BSLASHVref] = ACTIONS(6746),
    [anon_sym_BSLASHautoref] = ACTIONS(6746),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHpageref] = ACTIONS(6746),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHautopageref] = ACTIONS(6746),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcref] = ACTIONS(6746),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHCref] = ACTIONS(6746),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcpageref] = ACTIONS(6746),
    [anon_sym_BSLASHCpageref] = ACTIONS(6746),
    [anon_sym_BSLASHnamecref] = ACTIONS(6746),
    [anon_sym_BSLASHnameCref] = ACTIONS(6746),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6746),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6746),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6746),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6746),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6746),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6746),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6746),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6746),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6746),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6746),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6746),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6746),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6746),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6746),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6746),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6746),
    [anon_sym_BSLASHdef] = ACTIONS(6746),
    [anon_sym_BSLASHgdef] = ACTIONS(6746),
    [anon_sym_BSLASHedef] = ACTIONS(6746),
    [anon_sym_BSLASHxdef] = ACTIONS(6746),
    [anon_sym_BSLASHlet] = ACTIONS(6746),
    [anon_sym_BSLASHglet] = ACTIONS(6746),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6746),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6746),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6746),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6746),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6746),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6746),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6746),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6746),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6746),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6746),
    [anon_sym_BSLASHgls] = ACTIONS(6746),
    [anon_sym_BSLASHGls] = ACTIONS(6746),
    [anon_sym_BSLASHGLS] = ACTIONS(6746),
    [anon_sym_BSLASHglspl] = ACTIONS(6746),
    [anon_sym_BSLASHGlspl] = ACTIONS(6746),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6746),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6746),
    [anon_sym_BSLASHglslink] = ACTIONS(6746),
    [anon_sym_BSLASHglstext] = ACTIONS(6746),
    [anon_sym_BSLASHGlstext] = ACTIONS(6746),
    [anon_sym_BSLASHGLStext] = ACTIONS(6746),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6746),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6746),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6746),
    [anon_sym_BSLASHglsplural] = ACTIONS(6746),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6746),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6746),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6746),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6746),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6746),
    [anon_sym_BSLASHglsname] = ACTIONS(6746),
    [anon_sym_BSLASHGlsname] = ACTIONS(6746),
    [anon_sym_BSLASHGLSname] = ACTIONS(6746),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6746),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6746),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6746),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6746),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6746),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6746),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6746),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6746),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6746),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6746),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6746),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6746),
    [anon_sym_BSLASHacrshort] = ACTIONS(6746),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6746),
    [anon_sym_BSLASHACRshort] = ACTIONS(6746),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6746),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6746),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6746),
    [anon_sym_BSLASHacrlong] = ACTIONS(6746),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6746),
    [anon_sym_BSLASHACRlong] = ACTIONS(6746),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6746),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6746),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6746),
    [anon_sym_BSLASHacrfull] = ACTIONS(6746),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6746),
    [anon_sym_BSLASHACRfull] = ACTIONS(6746),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6746),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6746),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6746),
    [anon_sym_BSLASHacs] = ACTIONS(6746),
    [anon_sym_BSLASHAcs] = ACTIONS(6746),
    [anon_sym_BSLASHacsp] = ACTIONS(6746),
    [anon_sym_BSLASHAcsp] = ACTIONS(6746),
    [anon_sym_BSLASHacl] = ACTIONS(6746),
    [anon_sym_BSLASHAcl] = ACTIONS(6746),
    [anon_sym_BSLASHaclp] = ACTIONS(6746),
    [anon_sym_BSLASHAclp] = ACTIONS(6746),
    [anon_sym_BSLASHacf] = ACTIONS(6746),
    [anon_sym_BSLASHAcf] = ACTIONS(6746),
    [anon_sym_BSLASHacfp] = ACTIONS(6746),
    [anon_sym_BSLASHAcfp] = ACTIONS(6746),
    [anon_sym_BSLASHac] = ACTIONS(6746),
    [anon_sym_BSLASHAc] = ACTIONS(6746),
    [anon_sym_BSLASHacp] = ACTIONS(6746),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6746),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6746),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6746),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6746),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6746),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6746),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6746),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6746),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6746),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6746),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6746),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6746),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6746),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6746),
    [anon_sym_BSLASHcolor] = ACTIONS(6746),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6746),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6746),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6746),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6746),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6746),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6746),
    [anon_sym_BSLASHurl] = ACTIONS(6746),
    [anon_sym_BSLASHhref] = ACTIONS(6746),
  },
  [525] = {
    [sym__part_declaration] = STATE(161),
    [sym_part] = STATE(525),
    [aux_sym__section_repeat1] = STATE(525),
    [ts_builtin_sym_end] = ACTIONS(6758),
    [sym_command_name] = ACTIONS(6756),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6756),
    [anon_sym_LBRACK] = ACTIONS(6758),
    [anon_sym_RBRACK] = ACTIONS(6758),
    [anon_sym_COMMA] = ACTIONS(6758),
    [anon_sym_EQ] = ACTIONS(6758),
    [anon_sym_LPAREN] = ACTIONS(6758),
    [anon_sym_RPAREN] = ACTIONS(6758),
    [anon_sym_BSLASHpart] = ACTIONS(6951),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6954),
    [anon_sym_BSLASHaddpart] = ACTIONS(6951),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6954),
    [anon_sym_BSLASHchapter] = ACTIONS(6756),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHaddchap] = ACTIONS(6756),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHsection] = ACTIONS(6756),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHaddsec] = ACTIONS(6756),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHsubsection] = ACTIONS(6756),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6756),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHparagraph] = ACTIONS(6756),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6756),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHitem] = ACTIONS(6756),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6758),
    [anon_sym_LBRACE] = ACTIONS(6758),
    [anon_sym_RBRACE] = ACTIONS(6758),
    [sym_word] = ACTIONS(6756),
    [sym_placeholder] = ACTIONS(6758),
    [sym_delimiter] = ACTIONS(6758),
    [anon_sym_PLUS] = ACTIONS(6758),
    [anon_sym_DASH] = ACTIONS(6758),
    [anon_sym_STAR] = ACTIONS(6758),
    [anon_sym_SLASH] = ACTIONS(6758),
    [anon_sym_LT] = ACTIONS(6756),
    [anon_sym_GT] = ACTIONS(6756),
    [anon_sym_BANG] = ACTIONS(6756),
    [anon_sym_PIPE] = ACTIONS(6756),
    [anon_sym_COLON] = ACTIONS(6756),
    [anon_sym_SQUOTE] = ACTIONS(6756),
    [anon_sym__] = ACTIONS(6758),
    [anon_sym_CARET] = ACTIONS(6758),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6758),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6758),
    [anon_sym_DOLLAR] = ACTIONS(6756),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6758),
    [anon_sym_BSLASHleft] = ACTIONS(6756),
    [anon_sym_BSLASHbigl] = ACTIONS(6756),
    [anon_sym_BSLASHBigl] = ACTIONS(6756),
    [anon_sym_BSLASHbiggl] = ACTIONS(6756),
    [anon_sym_BSLASHBiggl] = ACTIONS(6756),
    [anon_sym_BSLASHtext] = ACTIONS(6756),
    [anon_sym_BSLASHintertext] = ACTIONS(6756),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6756),
    [anon_sym_BSLASHbegin] = ACTIONS(6756),
    [anon_sym_BSLASHtitle] = ACTIONS(6756),
    [anon_sym_BSLASHauthor] = ACTIONS(6756),
    [anon_sym_BSLASHusepackage] = ACTIONS(6756),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6756),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6756),
    [anon_sym_BSLASHinclude] = ACTIONS(6756),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6756),
    [anon_sym_BSLASHinput] = ACTIONS(6756),
    [anon_sym_BSLASHsubfile] = ACTIONS(6756),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6756),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6756),
    [anon_sym_BSLASHbibliography] = ACTIONS(6756),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6756),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6756),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6756),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6756),
    [anon_sym_BSLASHimport] = ACTIONS(6756),
    [anon_sym_BSLASHsubimport] = ACTIONS(6756),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6756),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6756),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6756),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6756),
    [anon_sym_BSLASHcaption] = ACTIONS(6756),
    [anon_sym_BSLASHcite] = ACTIONS(6756),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHCite] = ACTIONS(6756),
    [anon_sym_BSLASHnocite] = ACTIONS(6756),
    [anon_sym_BSLASHcitet] = ACTIONS(6756),
    [anon_sym_BSLASHcitep] = ACTIONS(6756),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHciteA] = ACTIONS(6756),
    [anon_sym_BSLASHciteR] = ACTIONS(6756),
    [anon_sym_BSLASHciteS] = ACTIONS(6756),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6756),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6756),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6756),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6756),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHciteyear] = ACTIONS(6756),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcitedate] = ACTIONS(6756),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHciteurl] = ACTIONS(6756),
    [anon_sym_BSLASHfullcite] = ACTIONS(6756),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6756),
    [anon_sym_BSLASHcitealt] = ACTIONS(6756),
    [anon_sym_BSLASHcitealp] = ACTIONS(6756),
    [anon_sym_BSLASHcitetext] = ACTIONS(6756),
    [anon_sym_BSLASHparencite] = ACTIONS(6756),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHParencite] = ACTIONS(6756),
    [anon_sym_BSLASHfootcite] = ACTIONS(6756),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6756),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6756),
    [anon_sym_BSLASHtextcite] = ACTIONS(6756),
    [anon_sym_BSLASHTextcite] = ACTIONS(6756),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6756),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6756),
    [anon_sym_BSLASHsupercite] = ACTIONS(6756),
    [anon_sym_BSLASHautocite] = ACTIONS(6756),
    [anon_sym_BSLASHAutocite] = ACTIONS(6756),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHVolcite] = ACTIONS(6756),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHavolcite] = ACTIONS(6756),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHnotecite] = ACTIONS(6756),
    [anon_sym_BSLASHNotecite] = ACTIONS(6756),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6756),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6756),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6756),
    [anon_sym_BSLASHlabel] = ACTIONS(6756),
    [anon_sym_BSLASHref] = ACTIONS(6756),
    [anon_sym_BSLASHeqref] = ACTIONS(6756),
    [anon_sym_BSLASHvref] = ACTIONS(6756),
    [anon_sym_BSLASHVref] = ACTIONS(6756),
    [anon_sym_BSLASHautoref] = ACTIONS(6756),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHpageref] = ACTIONS(6756),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHautopageref] = ACTIONS(6756),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcref] = ACTIONS(6756),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHCref] = ACTIONS(6756),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcpageref] = ACTIONS(6756),
    [anon_sym_BSLASHCpageref] = ACTIONS(6756),
    [anon_sym_BSLASHnamecref] = ACTIONS(6756),
    [anon_sym_BSLASHnameCref] = ACTIONS(6756),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6756),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6756),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6756),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6756),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6756),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6756),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6756),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6756),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6756),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6756),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6756),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6756),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6756),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6756),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6756),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6756),
    [anon_sym_BSLASHdef] = ACTIONS(6756),
    [anon_sym_BSLASHgdef] = ACTIONS(6756),
    [anon_sym_BSLASHedef] = ACTIONS(6756),
    [anon_sym_BSLASHxdef] = ACTIONS(6756),
    [anon_sym_BSLASHlet] = ACTIONS(6756),
    [anon_sym_BSLASHglet] = ACTIONS(6756),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6756),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6756),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6756),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6756),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6756),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6756),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6756),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6756),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6756),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6756),
    [anon_sym_BSLASHgls] = ACTIONS(6756),
    [anon_sym_BSLASHGls] = ACTIONS(6756),
    [anon_sym_BSLASHGLS] = ACTIONS(6756),
    [anon_sym_BSLASHglspl] = ACTIONS(6756),
    [anon_sym_BSLASHGlspl] = ACTIONS(6756),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6756),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6756),
    [anon_sym_BSLASHglslink] = ACTIONS(6756),
    [anon_sym_BSLASHglstext] = ACTIONS(6756),
    [anon_sym_BSLASHGlstext] = ACTIONS(6756),
    [anon_sym_BSLASHGLStext] = ACTIONS(6756),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6756),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6756),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6756),
    [anon_sym_BSLASHglsplural] = ACTIONS(6756),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6756),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6756),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6756),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6756),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6756),
    [anon_sym_BSLASHglsname] = ACTIONS(6756),
    [anon_sym_BSLASHGlsname] = ACTIONS(6756),
    [anon_sym_BSLASHGLSname] = ACTIONS(6756),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6756),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6756),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6756),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6756),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6756),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6756),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6756),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6756),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6756),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6756),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6756),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6756),
    [anon_sym_BSLASHacrshort] = ACTIONS(6756),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6756),
    [anon_sym_BSLASHACRshort] = ACTIONS(6756),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6756),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6756),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6756),
    [anon_sym_BSLASHacrlong] = ACTIONS(6756),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6756),
    [anon_sym_BSLASHACRlong] = ACTIONS(6756),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6756),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6756),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6756),
    [anon_sym_BSLASHacrfull] = ACTIONS(6756),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6756),
    [anon_sym_BSLASHACRfull] = ACTIONS(6756),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6756),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6756),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6756),
    [anon_sym_BSLASHacs] = ACTIONS(6756),
    [anon_sym_BSLASHAcs] = ACTIONS(6756),
    [anon_sym_BSLASHacsp] = ACTIONS(6756),
    [anon_sym_BSLASHAcsp] = ACTIONS(6756),
    [anon_sym_BSLASHacl] = ACTIONS(6756),
    [anon_sym_BSLASHAcl] = ACTIONS(6756),
    [anon_sym_BSLASHaclp] = ACTIONS(6756),
    [anon_sym_BSLASHAclp] = ACTIONS(6756),
    [anon_sym_BSLASHacf] = ACTIONS(6756),
    [anon_sym_BSLASHAcf] = ACTIONS(6756),
    [anon_sym_BSLASHacfp] = ACTIONS(6756),
    [anon_sym_BSLASHAcfp] = ACTIONS(6756),
    [anon_sym_BSLASHac] = ACTIONS(6756),
    [anon_sym_BSLASHAc] = ACTIONS(6756),
    [anon_sym_BSLASHacp] = ACTIONS(6756),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6756),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6756),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6756),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6756),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6756),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6756),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6756),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6756),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6756),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6756),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6756),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6756),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6756),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6756),
    [anon_sym_BSLASHcolor] = ACTIONS(6756),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6756),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6756),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6756),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6756),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6756),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6756),
    [anon_sym_BSLASHurl] = ACTIONS(6756),
    [anon_sym_BSLASHhref] = ACTIONS(6756),
  },
  [526] = {
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(526),
    [aux_sym__section_repeat2] = STATE(526),
    [ts_builtin_sym_end] = ACTIONS(6768),
    [sym_command_name] = ACTIONS(6766),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6766),
    [anon_sym_LBRACK] = ACTIONS(6768),
    [anon_sym_RBRACK] = ACTIONS(6768),
    [anon_sym_COMMA] = ACTIONS(6768),
    [anon_sym_EQ] = ACTIONS(6768),
    [anon_sym_LPAREN] = ACTIONS(6768),
    [anon_sym_RPAREN] = ACTIONS(6768),
    [anon_sym_BSLASHpart] = ACTIONS(6766),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHaddpart] = ACTIONS(6766),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHchapter] = ACTIONS(6957),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6960),
    [anon_sym_BSLASHaddchap] = ACTIONS(6957),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6960),
    [anon_sym_BSLASHsection] = ACTIONS(6766),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHaddsec] = ACTIONS(6766),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHsubsection] = ACTIONS(6766),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6766),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHparagraph] = ACTIONS(6766),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6766),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHitem] = ACTIONS(6766),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6768),
    [anon_sym_LBRACE] = ACTIONS(6768),
    [anon_sym_RBRACE] = ACTIONS(6768),
    [sym_word] = ACTIONS(6766),
    [sym_placeholder] = ACTIONS(6768),
    [sym_delimiter] = ACTIONS(6768),
    [anon_sym_PLUS] = ACTIONS(6768),
    [anon_sym_DASH] = ACTIONS(6768),
    [anon_sym_STAR] = ACTIONS(6768),
    [anon_sym_SLASH] = ACTIONS(6768),
    [anon_sym_LT] = ACTIONS(6766),
    [anon_sym_GT] = ACTIONS(6766),
    [anon_sym_BANG] = ACTIONS(6766),
    [anon_sym_PIPE] = ACTIONS(6766),
    [anon_sym_COLON] = ACTIONS(6766),
    [anon_sym_SQUOTE] = ACTIONS(6766),
    [anon_sym__] = ACTIONS(6768),
    [anon_sym_CARET] = ACTIONS(6768),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6768),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6768),
    [anon_sym_DOLLAR] = ACTIONS(6766),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6768),
    [anon_sym_BSLASHleft] = ACTIONS(6766),
    [anon_sym_BSLASHbigl] = ACTIONS(6766),
    [anon_sym_BSLASHBigl] = ACTIONS(6766),
    [anon_sym_BSLASHbiggl] = ACTIONS(6766),
    [anon_sym_BSLASHBiggl] = ACTIONS(6766),
    [anon_sym_BSLASHtext] = ACTIONS(6766),
    [anon_sym_BSLASHintertext] = ACTIONS(6766),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6766),
    [anon_sym_BSLASHbegin] = ACTIONS(6766),
    [anon_sym_BSLASHtitle] = ACTIONS(6766),
    [anon_sym_BSLASHauthor] = ACTIONS(6766),
    [anon_sym_BSLASHusepackage] = ACTIONS(6766),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6766),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6766),
    [anon_sym_BSLASHinclude] = ACTIONS(6766),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6766),
    [anon_sym_BSLASHinput] = ACTIONS(6766),
    [anon_sym_BSLASHsubfile] = ACTIONS(6766),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6766),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6766),
    [anon_sym_BSLASHbibliography] = ACTIONS(6766),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6766),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6766),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6766),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6766),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6766),
    [anon_sym_BSLASHimport] = ACTIONS(6766),
    [anon_sym_BSLASHsubimport] = ACTIONS(6766),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6766),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6766),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6766),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6766),
    [anon_sym_BSLASHcaption] = ACTIONS(6766),
    [anon_sym_BSLASHcite] = ACTIONS(6766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHCite] = ACTIONS(6766),
    [anon_sym_BSLASHnocite] = ACTIONS(6766),
    [anon_sym_BSLASHcitet] = ACTIONS(6766),
    [anon_sym_BSLASHcitep] = ACTIONS(6766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHciteA] = ACTIONS(6766),
    [anon_sym_BSLASHciteR] = ACTIONS(6766),
    [anon_sym_BSLASHciteS] = ACTIONS(6766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHciteyear] = ACTIONS(6766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcitedate] = ACTIONS(6766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHciteurl] = ACTIONS(6766),
    [anon_sym_BSLASHfullcite] = ACTIONS(6766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6766),
    [anon_sym_BSLASHcitealt] = ACTIONS(6766),
    [anon_sym_BSLASHcitealp] = ACTIONS(6766),
    [anon_sym_BSLASHcitetext] = ACTIONS(6766),
    [anon_sym_BSLASHparencite] = ACTIONS(6766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHParencite] = ACTIONS(6766),
    [anon_sym_BSLASHfootcite] = ACTIONS(6766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6766),
    [anon_sym_BSLASHtextcite] = ACTIONS(6766),
    [anon_sym_BSLASHTextcite] = ACTIONS(6766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6766),
    [anon_sym_BSLASHsupercite] = ACTIONS(6766),
    [anon_sym_BSLASHautocite] = ACTIONS(6766),
    [anon_sym_BSLASHAutocite] = ACTIONS(6766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHVolcite] = ACTIONS(6766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHavolcite] = ACTIONS(6766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHnotecite] = ACTIONS(6766),
    [anon_sym_BSLASHNotecite] = ACTIONS(6766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6766),
    [anon_sym_BSLASHlabel] = ACTIONS(6766),
    [anon_sym_BSLASHref] = ACTIONS(6766),
    [anon_sym_BSLASHeqref] = ACTIONS(6766),
    [anon_sym_BSLASHvref] = ACTIONS(6766),
    [anon_sym_BSLASHVref] = ACTIONS(6766),
    [anon_sym_BSLASHautoref] = ACTIONS(6766),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHpageref] = ACTIONS(6766),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHautopageref] = ACTIONS(6766),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcref] = ACTIONS(6766),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHCref] = ACTIONS(6766),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcpageref] = ACTIONS(6766),
    [anon_sym_BSLASHCpageref] = ACTIONS(6766),
    [anon_sym_BSLASHnamecref] = ACTIONS(6766),
    [anon_sym_BSLASHnameCref] = ACTIONS(6766),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6766),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6766),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6766),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6766),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6766),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6766),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6766),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6766),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6766),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6766),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6766),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6766),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6766),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6766),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6766),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6766),
    [anon_sym_BSLASHdef] = ACTIONS(6766),
    [anon_sym_BSLASHgdef] = ACTIONS(6766),
    [anon_sym_BSLASHedef] = ACTIONS(6766),
    [anon_sym_BSLASHxdef] = ACTIONS(6766),
    [anon_sym_BSLASHlet] = ACTIONS(6766),
    [anon_sym_BSLASHglet] = ACTIONS(6766),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6766),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6766),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6766),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6766),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6766),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6766),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6766),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6766),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6766),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6766),
    [anon_sym_BSLASHgls] = ACTIONS(6766),
    [anon_sym_BSLASHGls] = ACTIONS(6766),
    [anon_sym_BSLASHGLS] = ACTIONS(6766),
    [anon_sym_BSLASHglspl] = ACTIONS(6766),
    [anon_sym_BSLASHGlspl] = ACTIONS(6766),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6766),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6766),
    [anon_sym_BSLASHglslink] = ACTIONS(6766),
    [anon_sym_BSLASHglstext] = ACTIONS(6766),
    [anon_sym_BSLASHGlstext] = ACTIONS(6766),
    [anon_sym_BSLASHGLStext] = ACTIONS(6766),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6766),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6766),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6766),
    [anon_sym_BSLASHglsplural] = ACTIONS(6766),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6766),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6766),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6766),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6766),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6766),
    [anon_sym_BSLASHglsname] = ACTIONS(6766),
    [anon_sym_BSLASHGlsname] = ACTIONS(6766),
    [anon_sym_BSLASHGLSname] = ACTIONS(6766),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6766),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6766),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6766),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6766),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6766),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6766),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6766),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6766),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6766),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6766),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6766),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6766),
    [anon_sym_BSLASHacrshort] = ACTIONS(6766),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6766),
    [anon_sym_BSLASHACRshort] = ACTIONS(6766),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6766),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6766),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6766),
    [anon_sym_BSLASHacrlong] = ACTIONS(6766),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6766),
    [anon_sym_BSLASHACRlong] = ACTIONS(6766),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6766),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6766),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6766),
    [anon_sym_BSLASHacrfull] = ACTIONS(6766),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6766),
    [anon_sym_BSLASHACRfull] = ACTIONS(6766),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6766),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6766),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6766),
    [anon_sym_BSLASHacs] = ACTIONS(6766),
    [anon_sym_BSLASHAcs] = ACTIONS(6766),
    [anon_sym_BSLASHacsp] = ACTIONS(6766),
    [anon_sym_BSLASHAcsp] = ACTIONS(6766),
    [anon_sym_BSLASHacl] = ACTIONS(6766),
    [anon_sym_BSLASHAcl] = ACTIONS(6766),
    [anon_sym_BSLASHaclp] = ACTIONS(6766),
    [anon_sym_BSLASHAclp] = ACTIONS(6766),
    [anon_sym_BSLASHacf] = ACTIONS(6766),
    [anon_sym_BSLASHAcf] = ACTIONS(6766),
    [anon_sym_BSLASHacfp] = ACTIONS(6766),
    [anon_sym_BSLASHAcfp] = ACTIONS(6766),
    [anon_sym_BSLASHac] = ACTIONS(6766),
    [anon_sym_BSLASHAc] = ACTIONS(6766),
    [anon_sym_BSLASHacp] = ACTIONS(6766),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6766),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6766),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6766),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6766),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6766),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6766),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6766),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6766),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6766),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6766),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6766),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6766),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6766),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6766),
    [anon_sym_BSLASHcolor] = ACTIONS(6766),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6766),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6766),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6766),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6766),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6766),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6766),
    [anon_sym_BSLASHurl] = ACTIONS(6766),
    [anon_sym_BSLASHhref] = ACTIONS(6766),
  },
  [527] = {
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(527),
    [aux_sym__section_repeat3] = STATE(527),
    [ts_builtin_sym_end] = ACTIONS(6778),
    [sym_command_name] = ACTIONS(6776),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6776),
    [anon_sym_LBRACK] = ACTIONS(6778),
    [anon_sym_RBRACK] = ACTIONS(6778),
    [anon_sym_COMMA] = ACTIONS(6778),
    [anon_sym_EQ] = ACTIONS(6778),
    [anon_sym_LPAREN] = ACTIONS(6778),
    [anon_sym_RPAREN] = ACTIONS(6778),
    [anon_sym_BSLASHpart] = ACTIONS(6776),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHaddpart] = ACTIONS(6776),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHchapter] = ACTIONS(6776),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHaddchap] = ACTIONS(6776),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHsection] = ACTIONS(6963),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6966),
    [anon_sym_BSLASHaddsec] = ACTIONS(6963),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6966),
    [anon_sym_BSLASHsubsection] = ACTIONS(6776),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6776),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHparagraph] = ACTIONS(6776),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6776),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHitem] = ACTIONS(6776),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6778),
    [anon_sym_LBRACE] = ACTIONS(6778),
    [anon_sym_RBRACE] = ACTIONS(6778),
    [sym_word] = ACTIONS(6776),
    [sym_placeholder] = ACTIONS(6778),
    [sym_delimiter] = ACTIONS(6778),
    [anon_sym_PLUS] = ACTIONS(6778),
    [anon_sym_DASH] = ACTIONS(6778),
    [anon_sym_STAR] = ACTIONS(6778),
    [anon_sym_SLASH] = ACTIONS(6778),
    [anon_sym_LT] = ACTIONS(6776),
    [anon_sym_GT] = ACTIONS(6776),
    [anon_sym_BANG] = ACTIONS(6776),
    [anon_sym_PIPE] = ACTIONS(6776),
    [anon_sym_COLON] = ACTIONS(6776),
    [anon_sym_SQUOTE] = ACTIONS(6776),
    [anon_sym__] = ACTIONS(6778),
    [anon_sym_CARET] = ACTIONS(6778),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6778),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6778),
    [anon_sym_DOLLAR] = ACTIONS(6776),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6778),
    [anon_sym_BSLASHleft] = ACTIONS(6776),
    [anon_sym_BSLASHbigl] = ACTIONS(6776),
    [anon_sym_BSLASHBigl] = ACTIONS(6776),
    [anon_sym_BSLASHbiggl] = ACTIONS(6776),
    [anon_sym_BSLASHBiggl] = ACTIONS(6776),
    [anon_sym_BSLASHtext] = ACTIONS(6776),
    [anon_sym_BSLASHintertext] = ACTIONS(6776),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6776),
    [anon_sym_BSLASHbegin] = ACTIONS(6776),
    [anon_sym_BSLASHtitle] = ACTIONS(6776),
    [anon_sym_BSLASHauthor] = ACTIONS(6776),
    [anon_sym_BSLASHusepackage] = ACTIONS(6776),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6776),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6776),
    [anon_sym_BSLASHinclude] = ACTIONS(6776),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6776),
    [anon_sym_BSLASHinput] = ACTIONS(6776),
    [anon_sym_BSLASHsubfile] = ACTIONS(6776),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6776),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6776),
    [anon_sym_BSLASHbibliography] = ACTIONS(6776),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6776),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6776),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6776),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6776),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6776),
    [anon_sym_BSLASHimport] = ACTIONS(6776),
    [anon_sym_BSLASHsubimport] = ACTIONS(6776),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6776),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6776),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6776),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6776),
    [anon_sym_BSLASHcaption] = ACTIONS(6776),
    [anon_sym_BSLASHcite] = ACTIONS(6776),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHCite] = ACTIONS(6776),
    [anon_sym_BSLASHnocite] = ACTIONS(6776),
    [anon_sym_BSLASHcitet] = ACTIONS(6776),
    [anon_sym_BSLASHcitep] = ACTIONS(6776),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHciteA] = ACTIONS(6776),
    [anon_sym_BSLASHciteR] = ACTIONS(6776),
    [anon_sym_BSLASHciteS] = ACTIONS(6776),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6776),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6776),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6776),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6776),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHciteyear] = ACTIONS(6776),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcitedate] = ACTIONS(6776),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHciteurl] = ACTIONS(6776),
    [anon_sym_BSLASHfullcite] = ACTIONS(6776),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6776),
    [anon_sym_BSLASHcitealt] = ACTIONS(6776),
    [anon_sym_BSLASHcitealp] = ACTIONS(6776),
    [anon_sym_BSLASHcitetext] = ACTIONS(6776),
    [anon_sym_BSLASHparencite] = ACTIONS(6776),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHParencite] = ACTIONS(6776),
    [anon_sym_BSLASHfootcite] = ACTIONS(6776),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6776),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6776),
    [anon_sym_BSLASHtextcite] = ACTIONS(6776),
    [anon_sym_BSLASHTextcite] = ACTIONS(6776),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6776),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6776),
    [anon_sym_BSLASHsupercite] = ACTIONS(6776),
    [anon_sym_BSLASHautocite] = ACTIONS(6776),
    [anon_sym_BSLASHAutocite] = ACTIONS(6776),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHVolcite] = ACTIONS(6776),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHavolcite] = ACTIONS(6776),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHnotecite] = ACTIONS(6776),
    [anon_sym_BSLASHNotecite] = ACTIONS(6776),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6776),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6776),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6776),
    [anon_sym_BSLASHlabel] = ACTIONS(6776),
    [anon_sym_BSLASHref] = ACTIONS(6776),
    [anon_sym_BSLASHeqref] = ACTIONS(6776),
    [anon_sym_BSLASHvref] = ACTIONS(6776),
    [anon_sym_BSLASHVref] = ACTIONS(6776),
    [anon_sym_BSLASHautoref] = ACTIONS(6776),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHpageref] = ACTIONS(6776),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHautopageref] = ACTIONS(6776),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcref] = ACTIONS(6776),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHCref] = ACTIONS(6776),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcpageref] = ACTIONS(6776),
    [anon_sym_BSLASHCpageref] = ACTIONS(6776),
    [anon_sym_BSLASHnamecref] = ACTIONS(6776),
    [anon_sym_BSLASHnameCref] = ACTIONS(6776),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6776),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6776),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6776),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6776),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6776),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6776),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6776),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6776),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6776),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6776),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6776),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6776),
    [anon_sym_BSLASHdef] = ACTIONS(6776),
    [anon_sym_BSLASHgdef] = ACTIONS(6776),
    [anon_sym_BSLASHedef] = ACTIONS(6776),
    [anon_sym_BSLASHxdef] = ACTIONS(6776),
    [anon_sym_BSLASHlet] = ACTIONS(6776),
    [anon_sym_BSLASHglet] = ACTIONS(6776),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6776),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6776),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6776),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6776),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6776),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6776),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6776),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6776),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6776),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6776),
    [anon_sym_BSLASHgls] = ACTIONS(6776),
    [anon_sym_BSLASHGls] = ACTIONS(6776),
    [anon_sym_BSLASHGLS] = ACTIONS(6776),
    [anon_sym_BSLASHglspl] = ACTIONS(6776),
    [anon_sym_BSLASHGlspl] = ACTIONS(6776),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6776),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6776),
    [anon_sym_BSLASHglslink] = ACTIONS(6776),
    [anon_sym_BSLASHglstext] = ACTIONS(6776),
    [anon_sym_BSLASHGlstext] = ACTIONS(6776),
    [anon_sym_BSLASHGLStext] = ACTIONS(6776),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6776),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6776),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6776),
    [anon_sym_BSLASHglsplural] = ACTIONS(6776),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6776),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6776),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6776),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6776),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6776),
    [anon_sym_BSLASHglsname] = ACTIONS(6776),
    [anon_sym_BSLASHGlsname] = ACTIONS(6776),
    [anon_sym_BSLASHGLSname] = ACTIONS(6776),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6776),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6776),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6776),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6776),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6776),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6776),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6776),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6776),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6776),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6776),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6776),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6776),
    [anon_sym_BSLASHacrshort] = ACTIONS(6776),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6776),
    [anon_sym_BSLASHACRshort] = ACTIONS(6776),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6776),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6776),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6776),
    [anon_sym_BSLASHacrlong] = ACTIONS(6776),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6776),
    [anon_sym_BSLASHACRlong] = ACTIONS(6776),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6776),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6776),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6776),
    [anon_sym_BSLASHacrfull] = ACTIONS(6776),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6776),
    [anon_sym_BSLASHACRfull] = ACTIONS(6776),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6776),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6776),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6776),
    [anon_sym_BSLASHacs] = ACTIONS(6776),
    [anon_sym_BSLASHAcs] = ACTIONS(6776),
    [anon_sym_BSLASHacsp] = ACTIONS(6776),
    [anon_sym_BSLASHAcsp] = ACTIONS(6776),
    [anon_sym_BSLASHacl] = ACTIONS(6776),
    [anon_sym_BSLASHAcl] = ACTIONS(6776),
    [anon_sym_BSLASHaclp] = ACTIONS(6776),
    [anon_sym_BSLASHAclp] = ACTIONS(6776),
    [anon_sym_BSLASHacf] = ACTIONS(6776),
    [anon_sym_BSLASHAcf] = ACTIONS(6776),
    [anon_sym_BSLASHacfp] = ACTIONS(6776),
    [anon_sym_BSLASHAcfp] = ACTIONS(6776),
    [anon_sym_BSLASHac] = ACTIONS(6776),
    [anon_sym_BSLASHAc] = ACTIONS(6776),
    [anon_sym_BSLASHacp] = ACTIONS(6776),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6776),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6776),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6776),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6776),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6776),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6776),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6776),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6776),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6776),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6776),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6776),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6776),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6776),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6776),
    [anon_sym_BSLASHcolor] = ACTIONS(6776),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6776),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6776),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6776),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6776),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6776),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6776),
    [anon_sym_BSLASHurl] = ACTIONS(6776),
    [anon_sym_BSLASHhref] = ACTIONS(6776),
  },
  [528] = {
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(528),
    [aux_sym__section_repeat4] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(6788),
    [sym_command_name] = ACTIONS(6786),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6786),
    [anon_sym_LBRACK] = ACTIONS(6788),
    [anon_sym_RBRACK] = ACTIONS(6788),
    [anon_sym_COMMA] = ACTIONS(6788),
    [anon_sym_EQ] = ACTIONS(6788),
    [anon_sym_LPAREN] = ACTIONS(6788),
    [anon_sym_RPAREN] = ACTIONS(6788),
    [anon_sym_BSLASHpart] = ACTIONS(6786),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHaddpart] = ACTIONS(6786),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHchapter] = ACTIONS(6786),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHaddchap] = ACTIONS(6786),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHsection] = ACTIONS(6786),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHaddsec] = ACTIONS(6786),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHsubsection] = ACTIONS(6969),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6972),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6786),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHparagraph] = ACTIONS(6786),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6786),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHitem] = ACTIONS(6786),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6788),
    [anon_sym_LBRACE] = ACTIONS(6788),
    [anon_sym_RBRACE] = ACTIONS(6788),
    [sym_word] = ACTIONS(6786),
    [sym_placeholder] = ACTIONS(6788),
    [sym_delimiter] = ACTIONS(6788),
    [anon_sym_PLUS] = ACTIONS(6788),
    [anon_sym_DASH] = ACTIONS(6788),
    [anon_sym_STAR] = ACTIONS(6788),
    [anon_sym_SLASH] = ACTIONS(6788),
    [anon_sym_LT] = ACTIONS(6786),
    [anon_sym_GT] = ACTIONS(6786),
    [anon_sym_BANG] = ACTIONS(6786),
    [anon_sym_PIPE] = ACTIONS(6786),
    [anon_sym_COLON] = ACTIONS(6786),
    [anon_sym_SQUOTE] = ACTIONS(6786),
    [anon_sym__] = ACTIONS(6788),
    [anon_sym_CARET] = ACTIONS(6788),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6788),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6788),
    [anon_sym_DOLLAR] = ACTIONS(6786),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6788),
    [anon_sym_BSLASHleft] = ACTIONS(6786),
    [anon_sym_BSLASHbigl] = ACTIONS(6786),
    [anon_sym_BSLASHBigl] = ACTIONS(6786),
    [anon_sym_BSLASHbiggl] = ACTIONS(6786),
    [anon_sym_BSLASHBiggl] = ACTIONS(6786),
    [anon_sym_BSLASHtext] = ACTIONS(6786),
    [anon_sym_BSLASHintertext] = ACTIONS(6786),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6786),
    [anon_sym_BSLASHbegin] = ACTIONS(6786),
    [anon_sym_BSLASHtitle] = ACTIONS(6786),
    [anon_sym_BSLASHauthor] = ACTIONS(6786),
    [anon_sym_BSLASHusepackage] = ACTIONS(6786),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6786),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6786),
    [anon_sym_BSLASHinclude] = ACTIONS(6786),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6786),
    [anon_sym_BSLASHinput] = ACTIONS(6786),
    [anon_sym_BSLASHsubfile] = ACTIONS(6786),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6786),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6786),
    [anon_sym_BSLASHbibliography] = ACTIONS(6786),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6786),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6786),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6786),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6786),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6786),
    [anon_sym_BSLASHimport] = ACTIONS(6786),
    [anon_sym_BSLASHsubimport] = ACTIONS(6786),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6786),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6786),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6786),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6786),
    [anon_sym_BSLASHcaption] = ACTIONS(6786),
    [anon_sym_BSLASHcite] = ACTIONS(6786),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHCite] = ACTIONS(6786),
    [anon_sym_BSLASHnocite] = ACTIONS(6786),
    [anon_sym_BSLASHcitet] = ACTIONS(6786),
    [anon_sym_BSLASHcitep] = ACTIONS(6786),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHciteA] = ACTIONS(6786),
    [anon_sym_BSLASHciteR] = ACTIONS(6786),
    [anon_sym_BSLASHciteS] = ACTIONS(6786),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6786),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6786),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6786),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6786),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHciteyear] = ACTIONS(6786),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcitedate] = ACTIONS(6786),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHciteurl] = ACTIONS(6786),
    [anon_sym_BSLASHfullcite] = ACTIONS(6786),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6786),
    [anon_sym_BSLASHcitealt] = ACTIONS(6786),
    [anon_sym_BSLASHcitealp] = ACTIONS(6786),
    [anon_sym_BSLASHcitetext] = ACTIONS(6786),
    [anon_sym_BSLASHparencite] = ACTIONS(6786),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHParencite] = ACTIONS(6786),
    [anon_sym_BSLASHfootcite] = ACTIONS(6786),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6786),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6786),
    [anon_sym_BSLASHtextcite] = ACTIONS(6786),
    [anon_sym_BSLASHTextcite] = ACTIONS(6786),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6786),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6786),
    [anon_sym_BSLASHsupercite] = ACTIONS(6786),
    [anon_sym_BSLASHautocite] = ACTIONS(6786),
    [anon_sym_BSLASHAutocite] = ACTIONS(6786),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHVolcite] = ACTIONS(6786),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHavolcite] = ACTIONS(6786),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHnotecite] = ACTIONS(6786),
    [anon_sym_BSLASHNotecite] = ACTIONS(6786),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6786),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6786),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6786),
    [anon_sym_BSLASHlabel] = ACTIONS(6786),
    [anon_sym_BSLASHref] = ACTIONS(6786),
    [anon_sym_BSLASHeqref] = ACTIONS(6786),
    [anon_sym_BSLASHvref] = ACTIONS(6786),
    [anon_sym_BSLASHVref] = ACTIONS(6786),
    [anon_sym_BSLASHautoref] = ACTIONS(6786),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHpageref] = ACTIONS(6786),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHautopageref] = ACTIONS(6786),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcref] = ACTIONS(6786),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHCref] = ACTIONS(6786),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcpageref] = ACTIONS(6786),
    [anon_sym_BSLASHCpageref] = ACTIONS(6786),
    [anon_sym_BSLASHnamecref] = ACTIONS(6786),
    [anon_sym_BSLASHnameCref] = ACTIONS(6786),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6786),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6786),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6786),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6786),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6786),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6786),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6786),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6786),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6786),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6786),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6786),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6786),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6786),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6786),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6786),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6786),
    [anon_sym_BSLASHdef] = ACTIONS(6786),
    [anon_sym_BSLASHgdef] = ACTIONS(6786),
    [anon_sym_BSLASHedef] = ACTIONS(6786),
    [anon_sym_BSLASHxdef] = ACTIONS(6786),
    [anon_sym_BSLASHlet] = ACTIONS(6786),
    [anon_sym_BSLASHglet] = ACTIONS(6786),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6786),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6786),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6786),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6786),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6786),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6786),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6786),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6786),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6786),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6786),
    [anon_sym_BSLASHgls] = ACTIONS(6786),
    [anon_sym_BSLASHGls] = ACTIONS(6786),
    [anon_sym_BSLASHGLS] = ACTIONS(6786),
    [anon_sym_BSLASHglspl] = ACTIONS(6786),
    [anon_sym_BSLASHGlspl] = ACTIONS(6786),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6786),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6786),
    [anon_sym_BSLASHglslink] = ACTIONS(6786),
    [anon_sym_BSLASHglstext] = ACTIONS(6786),
    [anon_sym_BSLASHGlstext] = ACTIONS(6786),
    [anon_sym_BSLASHGLStext] = ACTIONS(6786),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6786),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6786),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6786),
    [anon_sym_BSLASHglsplural] = ACTIONS(6786),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6786),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6786),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6786),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6786),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6786),
    [anon_sym_BSLASHglsname] = ACTIONS(6786),
    [anon_sym_BSLASHGlsname] = ACTIONS(6786),
    [anon_sym_BSLASHGLSname] = ACTIONS(6786),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6786),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6786),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6786),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6786),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6786),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6786),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6786),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6786),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6786),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6786),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6786),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6786),
    [anon_sym_BSLASHacrshort] = ACTIONS(6786),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6786),
    [anon_sym_BSLASHACRshort] = ACTIONS(6786),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6786),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6786),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6786),
    [anon_sym_BSLASHacrlong] = ACTIONS(6786),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6786),
    [anon_sym_BSLASHACRlong] = ACTIONS(6786),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6786),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6786),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6786),
    [anon_sym_BSLASHacrfull] = ACTIONS(6786),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6786),
    [anon_sym_BSLASHACRfull] = ACTIONS(6786),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6786),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6786),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6786),
    [anon_sym_BSLASHacs] = ACTIONS(6786),
    [anon_sym_BSLASHAcs] = ACTIONS(6786),
    [anon_sym_BSLASHacsp] = ACTIONS(6786),
    [anon_sym_BSLASHAcsp] = ACTIONS(6786),
    [anon_sym_BSLASHacl] = ACTIONS(6786),
    [anon_sym_BSLASHAcl] = ACTIONS(6786),
    [anon_sym_BSLASHaclp] = ACTIONS(6786),
    [anon_sym_BSLASHAclp] = ACTIONS(6786),
    [anon_sym_BSLASHacf] = ACTIONS(6786),
    [anon_sym_BSLASHAcf] = ACTIONS(6786),
    [anon_sym_BSLASHacfp] = ACTIONS(6786),
    [anon_sym_BSLASHAcfp] = ACTIONS(6786),
    [anon_sym_BSLASHac] = ACTIONS(6786),
    [anon_sym_BSLASHAc] = ACTIONS(6786),
    [anon_sym_BSLASHacp] = ACTIONS(6786),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6786),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6786),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6786),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6786),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6786),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6786),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6786),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6786),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6786),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6786),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6786),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6786),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6786),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6786),
    [anon_sym_BSLASHcolor] = ACTIONS(6786),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6786),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6786),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6786),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6786),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6786),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6786),
    [anon_sym_BSLASHurl] = ACTIONS(6786),
    [anon_sym_BSLASHhref] = ACTIONS(6786),
  },
  [529] = {
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(529),
    [aux_sym__section_repeat5] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(6798),
    [sym_command_name] = ACTIONS(6796),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6796),
    [anon_sym_LBRACK] = ACTIONS(6798),
    [anon_sym_RBRACK] = ACTIONS(6798),
    [anon_sym_COMMA] = ACTIONS(6798),
    [anon_sym_EQ] = ACTIONS(6798),
    [anon_sym_LPAREN] = ACTIONS(6798),
    [anon_sym_RPAREN] = ACTIONS(6798),
    [anon_sym_BSLASHpart] = ACTIONS(6796),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHaddpart] = ACTIONS(6796),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHchapter] = ACTIONS(6796),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHaddchap] = ACTIONS(6796),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHsection] = ACTIONS(6796),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHaddsec] = ACTIONS(6796),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHsubsection] = ACTIONS(6796),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6975),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6978),
    [anon_sym_BSLASHparagraph] = ACTIONS(6796),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6796),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHitem] = ACTIONS(6796),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6798),
    [anon_sym_LBRACE] = ACTIONS(6798),
    [anon_sym_RBRACE] = ACTIONS(6798),
    [sym_word] = ACTIONS(6796),
    [sym_placeholder] = ACTIONS(6798),
    [sym_delimiter] = ACTIONS(6798),
    [anon_sym_PLUS] = ACTIONS(6798),
    [anon_sym_DASH] = ACTIONS(6798),
    [anon_sym_STAR] = ACTIONS(6798),
    [anon_sym_SLASH] = ACTIONS(6798),
    [anon_sym_LT] = ACTIONS(6796),
    [anon_sym_GT] = ACTIONS(6796),
    [anon_sym_BANG] = ACTIONS(6796),
    [anon_sym_PIPE] = ACTIONS(6796),
    [anon_sym_COLON] = ACTIONS(6796),
    [anon_sym_SQUOTE] = ACTIONS(6796),
    [anon_sym__] = ACTIONS(6798),
    [anon_sym_CARET] = ACTIONS(6798),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6798),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6798),
    [anon_sym_DOLLAR] = ACTIONS(6796),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6798),
    [anon_sym_BSLASHleft] = ACTIONS(6796),
    [anon_sym_BSLASHbigl] = ACTIONS(6796),
    [anon_sym_BSLASHBigl] = ACTIONS(6796),
    [anon_sym_BSLASHbiggl] = ACTIONS(6796),
    [anon_sym_BSLASHBiggl] = ACTIONS(6796),
    [anon_sym_BSLASHtext] = ACTIONS(6796),
    [anon_sym_BSLASHintertext] = ACTIONS(6796),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6796),
    [anon_sym_BSLASHbegin] = ACTIONS(6796),
    [anon_sym_BSLASHtitle] = ACTIONS(6796),
    [anon_sym_BSLASHauthor] = ACTIONS(6796),
    [anon_sym_BSLASHusepackage] = ACTIONS(6796),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6796),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6796),
    [anon_sym_BSLASHinclude] = ACTIONS(6796),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6796),
    [anon_sym_BSLASHinput] = ACTIONS(6796),
    [anon_sym_BSLASHsubfile] = ACTIONS(6796),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6796),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6796),
    [anon_sym_BSLASHbibliography] = ACTIONS(6796),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6796),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6796),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6796),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6796),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6796),
    [anon_sym_BSLASHimport] = ACTIONS(6796),
    [anon_sym_BSLASHsubimport] = ACTIONS(6796),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6796),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6796),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6796),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6796),
    [anon_sym_BSLASHcaption] = ACTIONS(6796),
    [anon_sym_BSLASHcite] = ACTIONS(6796),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHCite] = ACTIONS(6796),
    [anon_sym_BSLASHnocite] = ACTIONS(6796),
    [anon_sym_BSLASHcitet] = ACTIONS(6796),
    [anon_sym_BSLASHcitep] = ACTIONS(6796),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHciteA] = ACTIONS(6796),
    [anon_sym_BSLASHciteR] = ACTIONS(6796),
    [anon_sym_BSLASHciteS] = ACTIONS(6796),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6796),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6796),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6796),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6796),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHciteyear] = ACTIONS(6796),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcitedate] = ACTIONS(6796),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHciteurl] = ACTIONS(6796),
    [anon_sym_BSLASHfullcite] = ACTIONS(6796),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6796),
    [anon_sym_BSLASHcitealt] = ACTIONS(6796),
    [anon_sym_BSLASHcitealp] = ACTIONS(6796),
    [anon_sym_BSLASHcitetext] = ACTIONS(6796),
    [anon_sym_BSLASHparencite] = ACTIONS(6796),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHParencite] = ACTIONS(6796),
    [anon_sym_BSLASHfootcite] = ACTIONS(6796),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6796),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6796),
    [anon_sym_BSLASHtextcite] = ACTIONS(6796),
    [anon_sym_BSLASHTextcite] = ACTIONS(6796),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6796),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6796),
    [anon_sym_BSLASHsupercite] = ACTIONS(6796),
    [anon_sym_BSLASHautocite] = ACTIONS(6796),
    [anon_sym_BSLASHAutocite] = ACTIONS(6796),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHVolcite] = ACTIONS(6796),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHavolcite] = ACTIONS(6796),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHnotecite] = ACTIONS(6796),
    [anon_sym_BSLASHNotecite] = ACTIONS(6796),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6796),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6796),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6796),
    [anon_sym_BSLASHlabel] = ACTIONS(6796),
    [anon_sym_BSLASHref] = ACTIONS(6796),
    [anon_sym_BSLASHeqref] = ACTIONS(6796),
    [anon_sym_BSLASHvref] = ACTIONS(6796),
    [anon_sym_BSLASHVref] = ACTIONS(6796),
    [anon_sym_BSLASHautoref] = ACTIONS(6796),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHpageref] = ACTIONS(6796),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHautopageref] = ACTIONS(6796),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcref] = ACTIONS(6796),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHCref] = ACTIONS(6796),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcpageref] = ACTIONS(6796),
    [anon_sym_BSLASHCpageref] = ACTIONS(6796),
    [anon_sym_BSLASHnamecref] = ACTIONS(6796),
    [anon_sym_BSLASHnameCref] = ACTIONS(6796),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6796),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6796),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6796),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6796),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6796),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6796),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6796),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6796),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6796),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6796),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6796),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6796),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6796),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6796),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6796),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6796),
    [anon_sym_BSLASHdef] = ACTIONS(6796),
    [anon_sym_BSLASHgdef] = ACTIONS(6796),
    [anon_sym_BSLASHedef] = ACTIONS(6796),
    [anon_sym_BSLASHxdef] = ACTIONS(6796),
    [anon_sym_BSLASHlet] = ACTIONS(6796),
    [anon_sym_BSLASHglet] = ACTIONS(6796),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6796),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6796),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6796),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6796),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6796),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6796),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6796),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6796),
    [anon_sym_BSLASHgls] = ACTIONS(6796),
    [anon_sym_BSLASHGls] = ACTIONS(6796),
    [anon_sym_BSLASHGLS] = ACTIONS(6796),
    [anon_sym_BSLASHglspl] = ACTIONS(6796),
    [anon_sym_BSLASHGlspl] = ACTIONS(6796),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6796),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6796),
    [anon_sym_BSLASHglslink] = ACTIONS(6796),
    [anon_sym_BSLASHglstext] = ACTIONS(6796),
    [anon_sym_BSLASHGlstext] = ACTIONS(6796),
    [anon_sym_BSLASHGLStext] = ACTIONS(6796),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6796),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6796),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6796),
    [anon_sym_BSLASHglsplural] = ACTIONS(6796),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6796),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6796),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6796),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6796),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6796),
    [anon_sym_BSLASHglsname] = ACTIONS(6796),
    [anon_sym_BSLASHGlsname] = ACTIONS(6796),
    [anon_sym_BSLASHGLSname] = ACTIONS(6796),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6796),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6796),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6796),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6796),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6796),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6796),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6796),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6796),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6796),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6796),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6796),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6796),
    [anon_sym_BSLASHacrshort] = ACTIONS(6796),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6796),
    [anon_sym_BSLASHACRshort] = ACTIONS(6796),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6796),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6796),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6796),
    [anon_sym_BSLASHacrlong] = ACTIONS(6796),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6796),
    [anon_sym_BSLASHACRlong] = ACTIONS(6796),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6796),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6796),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6796),
    [anon_sym_BSLASHacrfull] = ACTIONS(6796),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6796),
    [anon_sym_BSLASHACRfull] = ACTIONS(6796),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6796),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6796),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6796),
    [anon_sym_BSLASHacs] = ACTIONS(6796),
    [anon_sym_BSLASHAcs] = ACTIONS(6796),
    [anon_sym_BSLASHacsp] = ACTIONS(6796),
    [anon_sym_BSLASHAcsp] = ACTIONS(6796),
    [anon_sym_BSLASHacl] = ACTIONS(6796),
    [anon_sym_BSLASHAcl] = ACTIONS(6796),
    [anon_sym_BSLASHaclp] = ACTIONS(6796),
    [anon_sym_BSLASHAclp] = ACTIONS(6796),
    [anon_sym_BSLASHacf] = ACTIONS(6796),
    [anon_sym_BSLASHAcf] = ACTIONS(6796),
    [anon_sym_BSLASHacfp] = ACTIONS(6796),
    [anon_sym_BSLASHAcfp] = ACTIONS(6796),
    [anon_sym_BSLASHac] = ACTIONS(6796),
    [anon_sym_BSLASHAc] = ACTIONS(6796),
    [anon_sym_BSLASHacp] = ACTIONS(6796),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6796),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6796),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6796),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6796),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6796),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6796),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6796),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6796),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6796),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6796),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6796),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6796),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6796),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6796),
    [anon_sym_BSLASHcolor] = ACTIONS(6796),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6796),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6796),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6796),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6796),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6796),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6796),
    [anon_sym_BSLASHurl] = ACTIONS(6796),
    [anon_sym_BSLASHhref] = ACTIONS(6796),
  },
  [530] = {
    [sym__paragraph_declaration] = STATE(211),
    [sym_paragraph] = STATE(530),
    [aux_sym__paragraph_repeat1] = STATE(530),
    [ts_builtin_sym_end] = ACTIONS(6808),
    [sym_command_name] = ACTIONS(6806),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6806),
    [anon_sym_LBRACK] = ACTIONS(6808),
    [anon_sym_RBRACK] = ACTIONS(6808),
    [anon_sym_COMMA] = ACTIONS(6808),
    [anon_sym_EQ] = ACTIONS(6808),
    [anon_sym_LPAREN] = ACTIONS(6808),
    [anon_sym_RPAREN] = ACTIONS(6808),
    [anon_sym_BSLASHpart] = ACTIONS(6806),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHaddpart] = ACTIONS(6806),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHchapter] = ACTIONS(6806),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHaddchap] = ACTIONS(6806),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHsection] = ACTIONS(6806),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHaddsec] = ACTIONS(6806),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHsubsection] = ACTIONS(6806),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6806),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHparagraph] = ACTIONS(6981),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6984),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6806),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHitem] = ACTIONS(6806),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6808),
    [anon_sym_LBRACE] = ACTIONS(6808),
    [anon_sym_RBRACE] = ACTIONS(6808),
    [sym_word] = ACTIONS(6806),
    [sym_placeholder] = ACTIONS(6808),
    [sym_delimiter] = ACTIONS(6808),
    [anon_sym_PLUS] = ACTIONS(6808),
    [anon_sym_DASH] = ACTIONS(6808),
    [anon_sym_STAR] = ACTIONS(6808),
    [anon_sym_SLASH] = ACTIONS(6808),
    [anon_sym_LT] = ACTIONS(6806),
    [anon_sym_GT] = ACTIONS(6806),
    [anon_sym_BANG] = ACTIONS(6806),
    [anon_sym_PIPE] = ACTIONS(6806),
    [anon_sym_COLON] = ACTIONS(6806),
    [anon_sym_SQUOTE] = ACTIONS(6806),
    [anon_sym__] = ACTIONS(6808),
    [anon_sym_CARET] = ACTIONS(6808),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6808),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6808),
    [anon_sym_DOLLAR] = ACTIONS(6806),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6808),
    [anon_sym_BSLASHleft] = ACTIONS(6806),
    [anon_sym_BSLASHbigl] = ACTIONS(6806),
    [anon_sym_BSLASHBigl] = ACTIONS(6806),
    [anon_sym_BSLASHbiggl] = ACTIONS(6806),
    [anon_sym_BSLASHBiggl] = ACTIONS(6806),
    [anon_sym_BSLASHtext] = ACTIONS(6806),
    [anon_sym_BSLASHintertext] = ACTIONS(6806),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6806),
    [anon_sym_BSLASHbegin] = ACTIONS(6806),
    [anon_sym_BSLASHtitle] = ACTIONS(6806),
    [anon_sym_BSLASHauthor] = ACTIONS(6806),
    [anon_sym_BSLASHusepackage] = ACTIONS(6806),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6806),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6806),
    [anon_sym_BSLASHinclude] = ACTIONS(6806),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6806),
    [anon_sym_BSLASHinput] = ACTIONS(6806),
    [anon_sym_BSLASHsubfile] = ACTIONS(6806),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6806),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6806),
    [anon_sym_BSLASHbibliography] = ACTIONS(6806),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6806),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6806),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6806),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6806),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6806),
    [anon_sym_BSLASHimport] = ACTIONS(6806),
    [anon_sym_BSLASHsubimport] = ACTIONS(6806),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6806),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6806),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6806),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6806),
    [anon_sym_BSLASHcaption] = ACTIONS(6806),
    [anon_sym_BSLASHcite] = ACTIONS(6806),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHCite] = ACTIONS(6806),
    [anon_sym_BSLASHnocite] = ACTIONS(6806),
    [anon_sym_BSLASHcitet] = ACTIONS(6806),
    [anon_sym_BSLASHcitep] = ACTIONS(6806),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHciteA] = ACTIONS(6806),
    [anon_sym_BSLASHciteR] = ACTIONS(6806),
    [anon_sym_BSLASHciteS] = ACTIONS(6806),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6806),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6806),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6806),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6806),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHciteyear] = ACTIONS(6806),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcitedate] = ACTIONS(6806),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHciteurl] = ACTIONS(6806),
    [anon_sym_BSLASHfullcite] = ACTIONS(6806),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6806),
    [anon_sym_BSLASHcitealt] = ACTIONS(6806),
    [anon_sym_BSLASHcitealp] = ACTIONS(6806),
    [anon_sym_BSLASHcitetext] = ACTIONS(6806),
    [anon_sym_BSLASHparencite] = ACTIONS(6806),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHParencite] = ACTIONS(6806),
    [anon_sym_BSLASHfootcite] = ACTIONS(6806),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6806),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6806),
    [anon_sym_BSLASHtextcite] = ACTIONS(6806),
    [anon_sym_BSLASHTextcite] = ACTIONS(6806),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6806),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6806),
    [anon_sym_BSLASHsupercite] = ACTIONS(6806),
    [anon_sym_BSLASHautocite] = ACTIONS(6806),
    [anon_sym_BSLASHAutocite] = ACTIONS(6806),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHVolcite] = ACTIONS(6806),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHavolcite] = ACTIONS(6806),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHnotecite] = ACTIONS(6806),
    [anon_sym_BSLASHNotecite] = ACTIONS(6806),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6806),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6806),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6806),
    [anon_sym_BSLASHlabel] = ACTIONS(6806),
    [anon_sym_BSLASHref] = ACTIONS(6806),
    [anon_sym_BSLASHeqref] = ACTIONS(6806),
    [anon_sym_BSLASHvref] = ACTIONS(6806),
    [anon_sym_BSLASHVref] = ACTIONS(6806),
    [anon_sym_BSLASHautoref] = ACTIONS(6806),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHpageref] = ACTIONS(6806),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHautopageref] = ACTIONS(6806),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcref] = ACTIONS(6806),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHCref] = ACTIONS(6806),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcpageref] = ACTIONS(6806),
    [anon_sym_BSLASHCpageref] = ACTIONS(6806),
    [anon_sym_BSLASHnamecref] = ACTIONS(6806),
    [anon_sym_BSLASHnameCref] = ACTIONS(6806),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6806),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6806),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6806),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6806),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6806),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6806),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6806),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6806),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6806),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6806),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6806),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6806),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6806),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6806),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6806),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6806),
    [anon_sym_BSLASHdef] = ACTIONS(6806),
    [anon_sym_BSLASHgdef] = ACTIONS(6806),
    [anon_sym_BSLASHedef] = ACTIONS(6806),
    [anon_sym_BSLASHxdef] = ACTIONS(6806),
    [anon_sym_BSLASHlet] = ACTIONS(6806),
    [anon_sym_BSLASHglet] = ACTIONS(6806),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6806),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6806),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6806),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6806),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6806),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6806),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6806),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6806),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6806),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6806),
    [anon_sym_BSLASHgls] = ACTIONS(6806),
    [anon_sym_BSLASHGls] = ACTIONS(6806),
    [anon_sym_BSLASHGLS] = ACTIONS(6806),
    [anon_sym_BSLASHglspl] = ACTIONS(6806),
    [anon_sym_BSLASHGlspl] = ACTIONS(6806),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6806),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6806),
    [anon_sym_BSLASHglslink] = ACTIONS(6806),
    [anon_sym_BSLASHglstext] = ACTIONS(6806),
    [anon_sym_BSLASHGlstext] = ACTIONS(6806),
    [anon_sym_BSLASHGLStext] = ACTIONS(6806),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6806),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6806),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6806),
    [anon_sym_BSLASHglsplural] = ACTIONS(6806),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6806),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6806),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6806),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6806),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6806),
    [anon_sym_BSLASHglsname] = ACTIONS(6806),
    [anon_sym_BSLASHGlsname] = ACTIONS(6806),
    [anon_sym_BSLASHGLSname] = ACTIONS(6806),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6806),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6806),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6806),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6806),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6806),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6806),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6806),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6806),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6806),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6806),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6806),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6806),
    [anon_sym_BSLASHacrshort] = ACTIONS(6806),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6806),
    [anon_sym_BSLASHACRshort] = ACTIONS(6806),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6806),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6806),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6806),
    [anon_sym_BSLASHacrlong] = ACTIONS(6806),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6806),
    [anon_sym_BSLASHACRlong] = ACTIONS(6806),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6806),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6806),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6806),
    [anon_sym_BSLASHacrfull] = ACTIONS(6806),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6806),
    [anon_sym_BSLASHACRfull] = ACTIONS(6806),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6806),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6806),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6806),
    [anon_sym_BSLASHacs] = ACTIONS(6806),
    [anon_sym_BSLASHAcs] = ACTIONS(6806),
    [anon_sym_BSLASHacsp] = ACTIONS(6806),
    [anon_sym_BSLASHAcsp] = ACTIONS(6806),
    [anon_sym_BSLASHacl] = ACTIONS(6806),
    [anon_sym_BSLASHAcl] = ACTIONS(6806),
    [anon_sym_BSLASHaclp] = ACTIONS(6806),
    [anon_sym_BSLASHAclp] = ACTIONS(6806),
    [anon_sym_BSLASHacf] = ACTIONS(6806),
    [anon_sym_BSLASHAcf] = ACTIONS(6806),
    [anon_sym_BSLASHacfp] = ACTIONS(6806),
    [anon_sym_BSLASHAcfp] = ACTIONS(6806),
    [anon_sym_BSLASHac] = ACTIONS(6806),
    [anon_sym_BSLASHAc] = ACTIONS(6806),
    [anon_sym_BSLASHacp] = ACTIONS(6806),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6806),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6806),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6806),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6806),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6806),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6806),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6806),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6806),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6806),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6806),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6806),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6806),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6806),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6806),
    [anon_sym_BSLASHcolor] = ACTIONS(6806),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6806),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6806),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6806),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6806),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6806),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6806),
    [anon_sym_BSLASHurl] = ACTIONS(6806),
    [anon_sym_BSLASHhref] = ACTIONS(6806),
  },
  [531] = {
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(531),
    [aux_sym__paragraph_repeat2] = STATE(531),
    [ts_builtin_sym_end] = ACTIONS(6818),
    [sym_command_name] = ACTIONS(6816),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6816),
    [anon_sym_LBRACK] = ACTIONS(6818),
    [anon_sym_RBRACK] = ACTIONS(6818),
    [anon_sym_COMMA] = ACTIONS(6818),
    [anon_sym_EQ] = ACTIONS(6818),
    [anon_sym_LPAREN] = ACTIONS(6818),
    [anon_sym_RPAREN] = ACTIONS(6818),
    [anon_sym_BSLASHpart] = ACTIONS(6816),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHaddpart] = ACTIONS(6816),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHchapter] = ACTIONS(6816),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHaddchap] = ACTIONS(6816),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHsection] = ACTIONS(6816),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHaddsec] = ACTIONS(6816),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHsubsection] = ACTIONS(6816),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6816),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHparagraph] = ACTIONS(6816),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6987),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6990),
    [anon_sym_BSLASHitem] = ACTIONS(6816),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6818),
    [anon_sym_LBRACE] = ACTIONS(6818),
    [anon_sym_RBRACE] = ACTIONS(6818),
    [sym_word] = ACTIONS(6816),
    [sym_placeholder] = ACTIONS(6818),
    [sym_delimiter] = ACTIONS(6818),
    [anon_sym_PLUS] = ACTIONS(6818),
    [anon_sym_DASH] = ACTIONS(6818),
    [anon_sym_STAR] = ACTIONS(6818),
    [anon_sym_SLASH] = ACTIONS(6818),
    [anon_sym_LT] = ACTIONS(6816),
    [anon_sym_GT] = ACTIONS(6816),
    [anon_sym_BANG] = ACTIONS(6816),
    [anon_sym_PIPE] = ACTIONS(6816),
    [anon_sym_COLON] = ACTIONS(6816),
    [anon_sym_SQUOTE] = ACTIONS(6816),
    [anon_sym__] = ACTIONS(6818),
    [anon_sym_CARET] = ACTIONS(6818),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6818),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6818),
    [anon_sym_DOLLAR] = ACTIONS(6816),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6818),
    [anon_sym_BSLASHleft] = ACTIONS(6816),
    [anon_sym_BSLASHbigl] = ACTIONS(6816),
    [anon_sym_BSLASHBigl] = ACTIONS(6816),
    [anon_sym_BSLASHbiggl] = ACTIONS(6816),
    [anon_sym_BSLASHBiggl] = ACTIONS(6816),
    [anon_sym_BSLASHtext] = ACTIONS(6816),
    [anon_sym_BSLASHintertext] = ACTIONS(6816),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6816),
    [anon_sym_BSLASHbegin] = ACTIONS(6816),
    [anon_sym_BSLASHtitle] = ACTIONS(6816),
    [anon_sym_BSLASHauthor] = ACTIONS(6816),
    [anon_sym_BSLASHusepackage] = ACTIONS(6816),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6816),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6816),
    [anon_sym_BSLASHinclude] = ACTIONS(6816),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6816),
    [anon_sym_BSLASHinput] = ACTIONS(6816),
    [anon_sym_BSLASHsubfile] = ACTIONS(6816),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6816),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6816),
    [anon_sym_BSLASHbibliography] = ACTIONS(6816),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6816),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6816),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6816),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6816),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6816),
    [anon_sym_BSLASHimport] = ACTIONS(6816),
    [anon_sym_BSLASHsubimport] = ACTIONS(6816),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6816),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6816),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6816),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6816),
    [anon_sym_BSLASHcaption] = ACTIONS(6816),
    [anon_sym_BSLASHcite] = ACTIONS(6816),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHCite] = ACTIONS(6816),
    [anon_sym_BSLASHnocite] = ACTIONS(6816),
    [anon_sym_BSLASHcitet] = ACTIONS(6816),
    [anon_sym_BSLASHcitep] = ACTIONS(6816),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHciteA] = ACTIONS(6816),
    [anon_sym_BSLASHciteR] = ACTIONS(6816),
    [anon_sym_BSLASHciteS] = ACTIONS(6816),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6816),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6816),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6816),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6816),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHciteyear] = ACTIONS(6816),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcitedate] = ACTIONS(6816),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHciteurl] = ACTIONS(6816),
    [anon_sym_BSLASHfullcite] = ACTIONS(6816),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6816),
    [anon_sym_BSLASHcitealt] = ACTIONS(6816),
    [anon_sym_BSLASHcitealp] = ACTIONS(6816),
    [anon_sym_BSLASHcitetext] = ACTIONS(6816),
    [anon_sym_BSLASHparencite] = ACTIONS(6816),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHParencite] = ACTIONS(6816),
    [anon_sym_BSLASHfootcite] = ACTIONS(6816),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6816),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6816),
    [anon_sym_BSLASHtextcite] = ACTIONS(6816),
    [anon_sym_BSLASHTextcite] = ACTIONS(6816),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6816),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6816),
    [anon_sym_BSLASHsupercite] = ACTIONS(6816),
    [anon_sym_BSLASHautocite] = ACTIONS(6816),
    [anon_sym_BSLASHAutocite] = ACTIONS(6816),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHVolcite] = ACTIONS(6816),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHavolcite] = ACTIONS(6816),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHnotecite] = ACTIONS(6816),
    [anon_sym_BSLASHNotecite] = ACTIONS(6816),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6816),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6816),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6816),
    [anon_sym_BSLASHlabel] = ACTIONS(6816),
    [anon_sym_BSLASHref] = ACTIONS(6816),
    [anon_sym_BSLASHeqref] = ACTIONS(6816),
    [anon_sym_BSLASHvref] = ACTIONS(6816),
    [anon_sym_BSLASHVref] = ACTIONS(6816),
    [anon_sym_BSLASHautoref] = ACTIONS(6816),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHpageref] = ACTIONS(6816),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHautopageref] = ACTIONS(6816),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcref] = ACTIONS(6816),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHCref] = ACTIONS(6816),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcpageref] = ACTIONS(6816),
    [anon_sym_BSLASHCpageref] = ACTIONS(6816),
    [anon_sym_BSLASHnamecref] = ACTIONS(6816),
    [anon_sym_BSLASHnameCref] = ACTIONS(6816),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6816),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6816),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6816),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6816),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6816),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6816),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6816),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6816),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6816),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6816),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6816),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6816),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6816),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6816),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6816),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6816),
    [anon_sym_BSLASHdef] = ACTIONS(6816),
    [anon_sym_BSLASHgdef] = ACTIONS(6816),
    [anon_sym_BSLASHedef] = ACTIONS(6816),
    [anon_sym_BSLASHxdef] = ACTIONS(6816),
    [anon_sym_BSLASHlet] = ACTIONS(6816),
    [anon_sym_BSLASHglet] = ACTIONS(6816),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6816),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6816),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6816),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6816),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6816),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6816),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6816),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6816),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6816),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6816),
    [anon_sym_BSLASHgls] = ACTIONS(6816),
    [anon_sym_BSLASHGls] = ACTIONS(6816),
    [anon_sym_BSLASHGLS] = ACTIONS(6816),
    [anon_sym_BSLASHglspl] = ACTIONS(6816),
    [anon_sym_BSLASHGlspl] = ACTIONS(6816),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6816),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6816),
    [anon_sym_BSLASHglslink] = ACTIONS(6816),
    [anon_sym_BSLASHglstext] = ACTIONS(6816),
    [anon_sym_BSLASHGlstext] = ACTIONS(6816),
    [anon_sym_BSLASHGLStext] = ACTIONS(6816),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6816),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6816),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6816),
    [anon_sym_BSLASHglsplural] = ACTIONS(6816),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6816),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6816),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6816),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6816),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6816),
    [anon_sym_BSLASHglsname] = ACTIONS(6816),
    [anon_sym_BSLASHGlsname] = ACTIONS(6816),
    [anon_sym_BSLASHGLSname] = ACTIONS(6816),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6816),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6816),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6816),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6816),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6816),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6816),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6816),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6816),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6816),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6816),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6816),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6816),
    [anon_sym_BSLASHacrshort] = ACTIONS(6816),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6816),
    [anon_sym_BSLASHACRshort] = ACTIONS(6816),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6816),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6816),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6816),
    [anon_sym_BSLASHacrlong] = ACTIONS(6816),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6816),
    [anon_sym_BSLASHACRlong] = ACTIONS(6816),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6816),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6816),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6816),
    [anon_sym_BSLASHacrfull] = ACTIONS(6816),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6816),
    [anon_sym_BSLASHACRfull] = ACTIONS(6816),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6816),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6816),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6816),
    [anon_sym_BSLASHacs] = ACTIONS(6816),
    [anon_sym_BSLASHAcs] = ACTIONS(6816),
    [anon_sym_BSLASHacsp] = ACTIONS(6816),
    [anon_sym_BSLASHAcsp] = ACTIONS(6816),
    [anon_sym_BSLASHacl] = ACTIONS(6816),
    [anon_sym_BSLASHAcl] = ACTIONS(6816),
    [anon_sym_BSLASHaclp] = ACTIONS(6816),
    [anon_sym_BSLASHAclp] = ACTIONS(6816),
    [anon_sym_BSLASHacf] = ACTIONS(6816),
    [anon_sym_BSLASHAcf] = ACTIONS(6816),
    [anon_sym_BSLASHacfp] = ACTIONS(6816),
    [anon_sym_BSLASHAcfp] = ACTIONS(6816),
    [anon_sym_BSLASHac] = ACTIONS(6816),
    [anon_sym_BSLASHAc] = ACTIONS(6816),
    [anon_sym_BSLASHacp] = ACTIONS(6816),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6816),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6816),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6816),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6816),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6816),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6816),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6816),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6816),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6816),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6816),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6816),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6816),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6816),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6816),
    [anon_sym_BSLASHcolor] = ACTIONS(6816),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6816),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6816),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6816),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6816),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6816),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6816),
    [anon_sym_BSLASHurl] = ACTIONS(6816),
    [anon_sym_BSLASHhref] = ACTIONS(6816),
  },
  [532] = {
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(532),
    [aux_sym__paragraph_repeat3] = STATE(532),
    [ts_builtin_sym_end] = ACTIONS(6828),
    [sym_command_name] = ACTIONS(6826),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6826),
    [anon_sym_LBRACK] = ACTIONS(6828),
    [anon_sym_RBRACK] = ACTIONS(6828),
    [anon_sym_COMMA] = ACTIONS(6828),
    [anon_sym_EQ] = ACTIONS(6828),
    [anon_sym_LPAREN] = ACTIONS(6828),
    [anon_sym_RPAREN] = ACTIONS(6828),
    [anon_sym_BSLASHpart] = ACTIONS(6826),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHaddpart] = ACTIONS(6826),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHchapter] = ACTIONS(6826),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHaddchap] = ACTIONS(6826),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHsection] = ACTIONS(6826),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHaddsec] = ACTIONS(6826),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHsubsection] = ACTIONS(6826),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6826),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHparagraph] = ACTIONS(6826),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6826),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHitem] = ACTIONS(6993),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6996),
    [anon_sym_LBRACE] = ACTIONS(6828),
    [anon_sym_RBRACE] = ACTIONS(6828),
    [sym_word] = ACTIONS(6826),
    [sym_placeholder] = ACTIONS(6828),
    [sym_delimiter] = ACTIONS(6828),
    [anon_sym_PLUS] = ACTIONS(6828),
    [anon_sym_DASH] = ACTIONS(6828),
    [anon_sym_STAR] = ACTIONS(6828),
    [anon_sym_SLASH] = ACTIONS(6828),
    [anon_sym_LT] = ACTIONS(6826),
    [anon_sym_GT] = ACTIONS(6826),
    [anon_sym_BANG] = ACTIONS(6826),
    [anon_sym_PIPE] = ACTIONS(6826),
    [anon_sym_COLON] = ACTIONS(6826),
    [anon_sym_SQUOTE] = ACTIONS(6826),
    [anon_sym__] = ACTIONS(6828),
    [anon_sym_CARET] = ACTIONS(6828),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6828),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6828),
    [anon_sym_DOLLAR] = ACTIONS(6826),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6828),
    [anon_sym_BSLASHleft] = ACTIONS(6826),
    [anon_sym_BSLASHbigl] = ACTIONS(6826),
    [anon_sym_BSLASHBigl] = ACTIONS(6826),
    [anon_sym_BSLASHbiggl] = ACTIONS(6826),
    [anon_sym_BSLASHBiggl] = ACTIONS(6826),
    [anon_sym_BSLASHtext] = ACTIONS(6826),
    [anon_sym_BSLASHintertext] = ACTIONS(6826),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6826),
    [anon_sym_BSLASHbegin] = ACTIONS(6826),
    [anon_sym_BSLASHtitle] = ACTIONS(6826),
    [anon_sym_BSLASHauthor] = ACTIONS(6826),
    [anon_sym_BSLASHusepackage] = ACTIONS(6826),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6826),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6826),
    [anon_sym_BSLASHinclude] = ACTIONS(6826),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6826),
    [anon_sym_BSLASHinput] = ACTIONS(6826),
    [anon_sym_BSLASHsubfile] = ACTIONS(6826),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6826),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6826),
    [anon_sym_BSLASHbibliography] = ACTIONS(6826),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6826),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6826),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6826),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6826),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6826),
    [anon_sym_BSLASHimport] = ACTIONS(6826),
    [anon_sym_BSLASHsubimport] = ACTIONS(6826),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6826),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6826),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6826),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6826),
    [anon_sym_BSLASHcaption] = ACTIONS(6826),
    [anon_sym_BSLASHcite] = ACTIONS(6826),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHCite] = ACTIONS(6826),
    [anon_sym_BSLASHnocite] = ACTIONS(6826),
    [anon_sym_BSLASHcitet] = ACTIONS(6826),
    [anon_sym_BSLASHcitep] = ACTIONS(6826),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHciteA] = ACTIONS(6826),
    [anon_sym_BSLASHciteR] = ACTIONS(6826),
    [anon_sym_BSLASHciteS] = ACTIONS(6826),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6826),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6826),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6826),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6826),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHciteyear] = ACTIONS(6826),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcitedate] = ACTIONS(6826),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHciteurl] = ACTIONS(6826),
    [anon_sym_BSLASHfullcite] = ACTIONS(6826),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6826),
    [anon_sym_BSLASHcitealt] = ACTIONS(6826),
    [anon_sym_BSLASHcitealp] = ACTIONS(6826),
    [anon_sym_BSLASHcitetext] = ACTIONS(6826),
    [anon_sym_BSLASHparencite] = ACTIONS(6826),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHParencite] = ACTIONS(6826),
    [anon_sym_BSLASHfootcite] = ACTIONS(6826),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6826),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6826),
    [anon_sym_BSLASHtextcite] = ACTIONS(6826),
    [anon_sym_BSLASHTextcite] = ACTIONS(6826),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6826),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6826),
    [anon_sym_BSLASHsupercite] = ACTIONS(6826),
    [anon_sym_BSLASHautocite] = ACTIONS(6826),
    [anon_sym_BSLASHAutocite] = ACTIONS(6826),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHVolcite] = ACTIONS(6826),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHavolcite] = ACTIONS(6826),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHnotecite] = ACTIONS(6826),
    [anon_sym_BSLASHNotecite] = ACTIONS(6826),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6826),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6826),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6826),
    [anon_sym_BSLASHlabel] = ACTIONS(6826),
    [anon_sym_BSLASHref] = ACTIONS(6826),
    [anon_sym_BSLASHeqref] = ACTIONS(6826),
    [anon_sym_BSLASHvref] = ACTIONS(6826),
    [anon_sym_BSLASHVref] = ACTIONS(6826),
    [anon_sym_BSLASHautoref] = ACTIONS(6826),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHpageref] = ACTIONS(6826),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHautopageref] = ACTIONS(6826),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcref] = ACTIONS(6826),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHCref] = ACTIONS(6826),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcpageref] = ACTIONS(6826),
    [anon_sym_BSLASHCpageref] = ACTIONS(6826),
    [anon_sym_BSLASHnamecref] = ACTIONS(6826),
    [anon_sym_BSLASHnameCref] = ACTIONS(6826),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6826),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6826),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6826),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6826),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6826),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6826),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6826),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6826),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6826),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6826),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6826),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6826),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6826),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6826),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6826),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6826),
    [anon_sym_BSLASHdef] = ACTIONS(6826),
    [anon_sym_BSLASHgdef] = ACTIONS(6826),
    [anon_sym_BSLASHedef] = ACTIONS(6826),
    [anon_sym_BSLASHxdef] = ACTIONS(6826),
    [anon_sym_BSLASHlet] = ACTIONS(6826),
    [anon_sym_BSLASHglet] = ACTIONS(6826),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6826),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6826),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6826),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6826),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6826),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6826),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6826),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6826),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6826),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6826),
    [anon_sym_BSLASHgls] = ACTIONS(6826),
    [anon_sym_BSLASHGls] = ACTIONS(6826),
    [anon_sym_BSLASHGLS] = ACTIONS(6826),
    [anon_sym_BSLASHglspl] = ACTIONS(6826),
    [anon_sym_BSLASHGlspl] = ACTIONS(6826),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6826),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6826),
    [anon_sym_BSLASHglslink] = ACTIONS(6826),
    [anon_sym_BSLASHglstext] = ACTIONS(6826),
    [anon_sym_BSLASHGlstext] = ACTIONS(6826),
    [anon_sym_BSLASHGLStext] = ACTIONS(6826),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6826),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6826),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6826),
    [anon_sym_BSLASHglsplural] = ACTIONS(6826),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6826),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6826),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6826),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6826),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6826),
    [anon_sym_BSLASHglsname] = ACTIONS(6826),
    [anon_sym_BSLASHGlsname] = ACTIONS(6826),
    [anon_sym_BSLASHGLSname] = ACTIONS(6826),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6826),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6826),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6826),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6826),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6826),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6826),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6826),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6826),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6826),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6826),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6826),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6826),
    [anon_sym_BSLASHacrshort] = ACTIONS(6826),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6826),
    [anon_sym_BSLASHACRshort] = ACTIONS(6826),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6826),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6826),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6826),
    [anon_sym_BSLASHacrlong] = ACTIONS(6826),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6826),
    [anon_sym_BSLASHACRlong] = ACTIONS(6826),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6826),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6826),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6826),
    [anon_sym_BSLASHacrfull] = ACTIONS(6826),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6826),
    [anon_sym_BSLASHACRfull] = ACTIONS(6826),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6826),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6826),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6826),
    [anon_sym_BSLASHacs] = ACTIONS(6826),
    [anon_sym_BSLASHAcs] = ACTIONS(6826),
    [anon_sym_BSLASHacsp] = ACTIONS(6826),
    [anon_sym_BSLASHAcsp] = ACTIONS(6826),
    [anon_sym_BSLASHacl] = ACTIONS(6826),
    [anon_sym_BSLASHAcl] = ACTIONS(6826),
    [anon_sym_BSLASHaclp] = ACTIONS(6826),
    [anon_sym_BSLASHAclp] = ACTIONS(6826),
    [anon_sym_BSLASHacf] = ACTIONS(6826),
    [anon_sym_BSLASHAcf] = ACTIONS(6826),
    [anon_sym_BSLASHacfp] = ACTIONS(6826),
    [anon_sym_BSLASHAcfp] = ACTIONS(6826),
    [anon_sym_BSLASHac] = ACTIONS(6826),
    [anon_sym_BSLASHAc] = ACTIONS(6826),
    [anon_sym_BSLASHacp] = ACTIONS(6826),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6826),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6826),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6826),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6826),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6826),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6826),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6826),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6826),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6826),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6826),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6826),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6826),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6826),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6826),
    [anon_sym_BSLASHcolor] = ACTIONS(6826),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6826),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6826),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6826),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6826),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6826),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6826),
    [anon_sym_BSLASHurl] = ACTIONS(6826),
    [anon_sym_BSLASHhref] = ACTIONS(6826),
  },
  [533] = {
    [sym__section_part] = STATE(1009),
    [sym_curly_group] = STATE(1146),
    [sym_brack_group] = STATE(2958),
    [ts_builtin_sym_end] = ACTIONS(6752),
    [sym_command_name] = ACTIONS(6750),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6750),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6752),
    [anon_sym_COMMA] = ACTIONS(6752),
    [anon_sym_EQ] = ACTIONS(6752),
    [anon_sym_LPAREN] = ACTIONS(6752),
    [anon_sym_RPAREN] = ACTIONS(6752),
    [anon_sym_BSLASHpart] = ACTIONS(6750),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHaddpart] = ACTIONS(6750),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHchapter] = ACTIONS(6750),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHaddchap] = ACTIONS(6750),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHsection] = ACTIONS(6750),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHaddsec] = ACTIONS(6750),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHsubsection] = ACTIONS(6750),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6750),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHparagraph] = ACTIONS(6750),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6750),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHitem] = ACTIONS(6750),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6752),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(6752),
    [sym_word] = ACTIONS(6750),
    [sym_placeholder] = ACTIONS(6752),
    [sym_delimiter] = ACTIONS(6752),
    [anon_sym_PLUS] = ACTIONS(6752),
    [anon_sym_DASH] = ACTIONS(6752),
    [anon_sym_STAR] = ACTIONS(6752),
    [anon_sym_SLASH] = ACTIONS(6752),
    [anon_sym_LT] = ACTIONS(6750),
    [anon_sym_GT] = ACTIONS(6750),
    [anon_sym_BANG] = ACTIONS(6750),
    [anon_sym_PIPE] = ACTIONS(6750),
    [anon_sym_COLON] = ACTIONS(6750),
    [anon_sym_SQUOTE] = ACTIONS(6750),
    [anon_sym__] = ACTIONS(6752),
    [anon_sym_CARET] = ACTIONS(6752),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6752),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6752),
    [anon_sym_DOLLAR] = ACTIONS(6750),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6752),
    [anon_sym_BSLASHleft] = ACTIONS(6750),
    [anon_sym_BSLASHbigl] = ACTIONS(6750),
    [anon_sym_BSLASHBigl] = ACTIONS(6750),
    [anon_sym_BSLASHbiggl] = ACTIONS(6750),
    [anon_sym_BSLASHBiggl] = ACTIONS(6750),
    [anon_sym_BSLASHtext] = ACTIONS(6750),
    [anon_sym_BSLASHintertext] = ACTIONS(6750),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6750),
    [anon_sym_BSLASHbegin] = ACTIONS(6750),
    [anon_sym_BSLASHtitle] = ACTIONS(6750),
    [anon_sym_BSLASHauthor] = ACTIONS(6750),
    [anon_sym_BSLASHusepackage] = ACTIONS(6750),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6750),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6750),
    [anon_sym_BSLASHinclude] = ACTIONS(6750),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6750),
    [anon_sym_BSLASHinput] = ACTIONS(6750),
    [anon_sym_BSLASHsubfile] = ACTIONS(6750),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6750),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6750),
    [anon_sym_BSLASHbibliography] = ACTIONS(6750),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6750),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6750),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6750),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6750),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6750),
    [anon_sym_BSLASHimport] = ACTIONS(6750),
    [anon_sym_BSLASHsubimport] = ACTIONS(6750),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6750),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6750),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6750),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6750),
    [anon_sym_BSLASHcaption] = ACTIONS(6750),
    [anon_sym_BSLASHcite] = ACTIONS(6750),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHCite] = ACTIONS(6750),
    [anon_sym_BSLASHnocite] = ACTIONS(6750),
    [anon_sym_BSLASHcitet] = ACTIONS(6750),
    [anon_sym_BSLASHcitep] = ACTIONS(6750),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHciteA] = ACTIONS(6750),
    [anon_sym_BSLASHciteR] = ACTIONS(6750),
    [anon_sym_BSLASHciteS] = ACTIONS(6750),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6750),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6750),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6750),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6750),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHciteyear] = ACTIONS(6750),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcitedate] = ACTIONS(6750),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHciteurl] = ACTIONS(6750),
    [anon_sym_BSLASHfullcite] = ACTIONS(6750),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6750),
    [anon_sym_BSLASHcitealt] = ACTIONS(6750),
    [anon_sym_BSLASHcitealp] = ACTIONS(6750),
    [anon_sym_BSLASHcitetext] = ACTIONS(6750),
    [anon_sym_BSLASHparencite] = ACTIONS(6750),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHParencite] = ACTIONS(6750),
    [anon_sym_BSLASHfootcite] = ACTIONS(6750),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6750),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6750),
    [anon_sym_BSLASHtextcite] = ACTIONS(6750),
    [anon_sym_BSLASHTextcite] = ACTIONS(6750),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6750),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6750),
    [anon_sym_BSLASHsupercite] = ACTIONS(6750),
    [anon_sym_BSLASHautocite] = ACTIONS(6750),
    [anon_sym_BSLASHAutocite] = ACTIONS(6750),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHVolcite] = ACTIONS(6750),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHavolcite] = ACTIONS(6750),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHnotecite] = ACTIONS(6750),
    [anon_sym_BSLASHNotecite] = ACTIONS(6750),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6750),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6750),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6750),
    [anon_sym_BSLASHlabel] = ACTIONS(6750),
    [anon_sym_BSLASHref] = ACTIONS(6750),
    [anon_sym_BSLASHeqref] = ACTIONS(6750),
    [anon_sym_BSLASHvref] = ACTIONS(6750),
    [anon_sym_BSLASHVref] = ACTIONS(6750),
    [anon_sym_BSLASHautoref] = ACTIONS(6750),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHpageref] = ACTIONS(6750),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHautopageref] = ACTIONS(6750),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcref] = ACTIONS(6750),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHCref] = ACTIONS(6750),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcpageref] = ACTIONS(6750),
    [anon_sym_BSLASHCpageref] = ACTIONS(6750),
    [anon_sym_BSLASHnamecref] = ACTIONS(6750),
    [anon_sym_BSLASHnameCref] = ACTIONS(6750),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6750),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6750),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6750),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6750),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6750),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6750),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6750),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6750),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6750),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6750),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6750),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6750),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6750),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6750),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6750),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6750),
    [anon_sym_BSLASHdef] = ACTIONS(6750),
    [anon_sym_BSLASHgdef] = ACTIONS(6750),
    [anon_sym_BSLASHedef] = ACTIONS(6750),
    [anon_sym_BSLASHxdef] = ACTIONS(6750),
    [anon_sym_BSLASHlet] = ACTIONS(6750),
    [anon_sym_BSLASHglet] = ACTIONS(6750),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6750),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6750),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6750),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6750),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6750),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6750),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6750),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6750),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6750),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6750),
    [anon_sym_BSLASHgls] = ACTIONS(6750),
    [anon_sym_BSLASHGls] = ACTIONS(6750),
    [anon_sym_BSLASHGLS] = ACTIONS(6750),
    [anon_sym_BSLASHglspl] = ACTIONS(6750),
    [anon_sym_BSLASHGlspl] = ACTIONS(6750),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6750),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6750),
    [anon_sym_BSLASHglslink] = ACTIONS(6750),
    [anon_sym_BSLASHglstext] = ACTIONS(6750),
    [anon_sym_BSLASHGlstext] = ACTIONS(6750),
    [anon_sym_BSLASHGLStext] = ACTIONS(6750),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6750),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6750),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6750),
    [anon_sym_BSLASHglsplural] = ACTIONS(6750),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6750),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6750),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6750),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6750),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6750),
    [anon_sym_BSLASHglsname] = ACTIONS(6750),
    [anon_sym_BSLASHGlsname] = ACTIONS(6750),
    [anon_sym_BSLASHGLSname] = ACTIONS(6750),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6750),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6750),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6750),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6750),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6750),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6750),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6750),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6750),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6750),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6750),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6750),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6750),
    [anon_sym_BSLASHacrshort] = ACTIONS(6750),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6750),
    [anon_sym_BSLASHACRshort] = ACTIONS(6750),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6750),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6750),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6750),
    [anon_sym_BSLASHacrlong] = ACTIONS(6750),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6750),
    [anon_sym_BSLASHACRlong] = ACTIONS(6750),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6750),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6750),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6750),
    [anon_sym_BSLASHacrfull] = ACTIONS(6750),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6750),
    [anon_sym_BSLASHACRfull] = ACTIONS(6750),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6750),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6750),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6750),
    [anon_sym_BSLASHacs] = ACTIONS(6750),
    [anon_sym_BSLASHAcs] = ACTIONS(6750),
    [anon_sym_BSLASHacsp] = ACTIONS(6750),
    [anon_sym_BSLASHAcsp] = ACTIONS(6750),
    [anon_sym_BSLASHacl] = ACTIONS(6750),
    [anon_sym_BSLASHAcl] = ACTIONS(6750),
    [anon_sym_BSLASHaclp] = ACTIONS(6750),
    [anon_sym_BSLASHAclp] = ACTIONS(6750),
    [anon_sym_BSLASHacf] = ACTIONS(6750),
    [anon_sym_BSLASHAcf] = ACTIONS(6750),
    [anon_sym_BSLASHacfp] = ACTIONS(6750),
    [anon_sym_BSLASHAcfp] = ACTIONS(6750),
    [anon_sym_BSLASHac] = ACTIONS(6750),
    [anon_sym_BSLASHAc] = ACTIONS(6750),
    [anon_sym_BSLASHacp] = ACTIONS(6750),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6750),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6750),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6750),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6750),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6750),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6750),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6750),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6750),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6750),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6750),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6750),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6750),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6750),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6750),
    [anon_sym_BSLASHcolor] = ACTIONS(6750),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6750),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6750),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6750),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6750),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6750),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6750),
    [anon_sym_BSLASHurl] = ACTIONS(6750),
    [anon_sym_BSLASHhref] = ACTIONS(6750),
  },
  [534] = {
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(526),
    [aux_sym__section_repeat2] = STATE(526),
    [ts_builtin_sym_end] = ACTIONS(6529),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [anon_sym_RBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [535] = {
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(527),
    [aux_sym__section_repeat3] = STATE(527),
    [ts_builtin_sym_end] = ACTIONS(6529),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [anon_sym_RBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [536] = {
    [sym_command_name] = ACTIONS(6999),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(7001),
    [anon_sym_RBRACK] = ACTIONS(7001),
    [anon_sym_COMMA] = ACTIONS(7001),
    [anon_sym_EQ] = ACTIONS(7001),
    [anon_sym_LPAREN] = ACTIONS(7001),
    [anon_sym_RPAREN] = ACTIONS(7001),
    [anon_sym_BSLASHpart] = ACTIONS(6999),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHaddpart] = ACTIONS(6999),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHchapter] = ACTIONS(6999),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHaddchap] = ACTIONS(6999),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHsection] = ACTIONS(6999),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHaddsec] = ACTIONS(6999),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHsubsection] = ACTIONS(6999),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6999),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHparagraph] = ACTIONS(6999),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6999),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHitem] = ACTIONS(6999),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7001),
    [anon_sym_LBRACE] = ACTIONS(7001),
    [sym_word] = ACTIONS(6999),
    [sym_placeholder] = ACTIONS(7001),
    [sym_delimiter] = ACTIONS(7001),
    [anon_sym_PLUS] = ACTIONS(7001),
    [anon_sym_DASH] = ACTIONS(7001),
    [anon_sym_STAR] = ACTIONS(7001),
    [anon_sym_SLASH] = ACTIONS(7001),
    [anon_sym_LT] = ACTIONS(6999),
    [anon_sym_GT] = ACTIONS(6999),
    [anon_sym_BANG] = ACTIONS(6999),
    [anon_sym_PIPE] = ACTIONS(6999),
    [anon_sym_COLON] = ACTIONS(6999),
    [anon_sym_SQUOTE] = ACTIONS(6999),
    [anon_sym__] = ACTIONS(7001),
    [anon_sym_CARET] = ACTIONS(7001),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7001),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7001),
    [anon_sym_DOLLAR] = ACTIONS(6999),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7001),
    [anon_sym_BSLASHleft] = ACTIONS(6999),
    [anon_sym_BSLASHbigl] = ACTIONS(6999),
    [anon_sym_BSLASHBigl] = ACTIONS(6999),
    [anon_sym_BSLASHbiggl] = ACTIONS(6999),
    [anon_sym_BSLASHBiggl] = ACTIONS(6999),
    [anon_sym_BSLASHright] = ACTIONS(6999),
    [anon_sym_BSLASHbigr] = ACTIONS(6999),
    [anon_sym_BSLASHBigr] = ACTIONS(6999),
    [anon_sym_BSLASHbiggr] = ACTIONS(6999),
    [anon_sym_BSLASHBiggr] = ACTIONS(6999),
    [anon_sym_BSLASHtext] = ACTIONS(6999),
    [anon_sym_BSLASHintertext] = ACTIONS(6999),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6999),
    [anon_sym_BSLASHbegin] = ACTIONS(6999),
    [anon_sym_BSLASHtitle] = ACTIONS(6999),
    [anon_sym_BSLASHauthor] = ACTIONS(6999),
    [anon_sym_BSLASHusepackage] = ACTIONS(6999),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6999),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6999),
    [anon_sym_BSLASHinclude] = ACTIONS(6999),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6999),
    [anon_sym_BSLASHinput] = ACTIONS(6999),
    [anon_sym_BSLASHsubfile] = ACTIONS(6999),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6999),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6999),
    [anon_sym_BSLASHbibliography] = ACTIONS(6999),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6999),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6999),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6999),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6999),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6999),
    [anon_sym_BSLASHimport] = ACTIONS(6999),
    [anon_sym_BSLASHsubimport] = ACTIONS(6999),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6999),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6999),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6999),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6999),
    [anon_sym_BSLASHcaption] = ACTIONS(6999),
    [anon_sym_BSLASHcite] = ACTIONS(6999),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHCite] = ACTIONS(6999),
    [anon_sym_BSLASHnocite] = ACTIONS(6999),
    [anon_sym_BSLASHcitet] = ACTIONS(6999),
    [anon_sym_BSLASHcitep] = ACTIONS(6999),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHciteA] = ACTIONS(6999),
    [anon_sym_BSLASHciteR] = ACTIONS(6999),
    [anon_sym_BSLASHciteS] = ACTIONS(6999),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6999),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6999),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6999),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6999),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHciteyear] = ACTIONS(6999),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcitedate] = ACTIONS(6999),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHciteurl] = ACTIONS(6999),
    [anon_sym_BSLASHfullcite] = ACTIONS(6999),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6999),
    [anon_sym_BSLASHcitealt] = ACTIONS(6999),
    [anon_sym_BSLASHcitealp] = ACTIONS(6999),
    [anon_sym_BSLASHcitetext] = ACTIONS(6999),
    [anon_sym_BSLASHparencite] = ACTIONS(6999),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHParencite] = ACTIONS(6999),
    [anon_sym_BSLASHfootcite] = ACTIONS(6999),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6999),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6999),
    [anon_sym_BSLASHtextcite] = ACTIONS(6999),
    [anon_sym_BSLASHTextcite] = ACTIONS(6999),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6999),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6999),
    [anon_sym_BSLASHsupercite] = ACTIONS(6999),
    [anon_sym_BSLASHautocite] = ACTIONS(6999),
    [anon_sym_BSLASHAutocite] = ACTIONS(6999),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHVolcite] = ACTIONS(6999),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHavolcite] = ACTIONS(6999),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHnotecite] = ACTIONS(6999),
    [anon_sym_BSLASHNotecite] = ACTIONS(6999),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6999),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6999),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6999),
    [anon_sym_BSLASHlabel] = ACTIONS(6999),
    [anon_sym_BSLASHref] = ACTIONS(6999),
    [anon_sym_BSLASHeqref] = ACTIONS(6999),
    [anon_sym_BSLASHvref] = ACTIONS(6999),
    [anon_sym_BSLASHVref] = ACTIONS(6999),
    [anon_sym_BSLASHautoref] = ACTIONS(6999),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHpageref] = ACTIONS(6999),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHautopageref] = ACTIONS(6999),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcref] = ACTIONS(6999),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHCref] = ACTIONS(6999),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcpageref] = ACTIONS(6999),
    [anon_sym_BSLASHCpageref] = ACTIONS(6999),
    [anon_sym_BSLASHnamecref] = ACTIONS(6999),
    [anon_sym_BSLASHnameCref] = ACTIONS(6999),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6999),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6999),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6999),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6999),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6999),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6999),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6999),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6999),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6999),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6999),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6999),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6999),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6999),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6999),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6999),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6999),
    [anon_sym_BSLASHdef] = ACTIONS(6999),
    [anon_sym_BSLASHgdef] = ACTIONS(6999),
    [anon_sym_BSLASHedef] = ACTIONS(6999),
    [anon_sym_BSLASHxdef] = ACTIONS(6999),
    [anon_sym_BSLASHlet] = ACTIONS(6999),
    [anon_sym_BSLASHglet] = ACTIONS(6999),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6999),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6999),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6999),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6999),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6999),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6999),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6999),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6999),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6999),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6999),
    [anon_sym_BSLASHgls] = ACTIONS(6999),
    [anon_sym_BSLASHGls] = ACTIONS(6999),
    [anon_sym_BSLASHGLS] = ACTIONS(6999),
    [anon_sym_BSLASHglspl] = ACTIONS(6999),
    [anon_sym_BSLASHGlspl] = ACTIONS(6999),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6999),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6999),
    [anon_sym_BSLASHglslink] = ACTIONS(6999),
    [anon_sym_BSLASHglstext] = ACTIONS(6999),
    [anon_sym_BSLASHGlstext] = ACTIONS(6999),
    [anon_sym_BSLASHGLStext] = ACTIONS(6999),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6999),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6999),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6999),
    [anon_sym_BSLASHglsplural] = ACTIONS(6999),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6999),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6999),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6999),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6999),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6999),
    [anon_sym_BSLASHglsname] = ACTIONS(6999),
    [anon_sym_BSLASHGlsname] = ACTIONS(6999),
    [anon_sym_BSLASHGLSname] = ACTIONS(6999),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6999),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6999),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6999),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6999),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6999),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6999),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6999),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6999),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6999),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6999),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6999),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6999),
    [anon_sym_BSLASHacrshort] = ACTIONS(6999),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6999),
    [anon_sym_BSLASHACRshort] = ACTIONS(6999),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6999),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6999),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6999),
    [anon_sym_BSLASHacrlong] = ACTIONS(6999),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6999),
    [anon_sym_BSLASHACRlong] = ACTIONS(6999),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6999),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6999),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6999),
    [anon_sym_BSLASHacrfull] = ACTIONS(6999),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6999),
    [anon_sym_BSLASHACRfull] = ACTIONS(6999),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6999),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6999),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6999),
    [anon_sym_BSLASHacs] = ACTIONS(6999),
    [anon_sym_BSLASHAcs] = ACTIONS(6999),
    [anon_sym_BSLASHacsp] = ACTIONS(6999),
    [anon_sym_BSLASHAcsp] = ACTIONS(6999),
    [anon_sym_BSLASHacl] = ACTIONS(6999),
    [anon_sym_BSLASHAcl] = ACTIONS(6999),
    [anon_sym_BSLASHaclp] = ACTIONS(6999),
    [anon_sym_BSLASHAclp] = ACTIONS(6999),
    [anon_sym_BSLASHacf] = ACTIONS(6999),
    [anon_sym_BSLASHAcf] = ACTIONS(6999),
    [anon_sym_BSLASHacfp] = ACTIONS(6999),
    [anon_sym_BSLASHAcfp] = ACTIONS(6999),
    [anon_sym_BSLASHac] = ACTIONS(6999),
    [anon_sym_BSLASHAc] = ACTIONS(6999),
    [anon_sym_BSLASHacp] = ACTIONS(6999),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6999),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6999),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6999),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6999),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6999),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6999),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6999),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6999),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6999),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6999),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6999),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6999),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6999),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6999),
    [anon_sym_BSLASHcolor] = ACTIONS(6999),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6999),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6999),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6999),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6999),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6999),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6999),
    [anon_sym_BSLASHurl] = ACTIONS(6999),
    [anon_sym_BSLASHhref] = ACTIONS(6999),
  },
  [537] = {
    [sym_command_name] = ACTIONS(7003),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7003),
    [anon_sym_LBRACK] = ACTIONS(7005),
    [anon_sym_RBRACK] = ACTIONS(7005),
    [anon_sym_COMMA] = ACTIONS(7005),
    [anon_sym_EQ] = ACTIONS(7005),
    [anon_sym_LPAREN] = ACTIONS(7005),
    [anon_sym_RPAREN] = ACTIONS(7005),
    [anon_sym_BSLASHpart] = ACTIONS(7003),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHaddpart] = ACTIONS(7003),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHchapter] = ACTIONS(7003),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHaddchap] = ACTIONS(7003),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHsection] = ACTIONS(7003),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHaddsec] = ACTIONS(7003),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHsubsection] = ACTIONS(7003),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7003),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHparagraph] = ACTIONS(7003),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7003),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHitem] = ACTIONS(7003),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7005),
    [anon_sym_LBRACE] = ACTIONS(7005),
    [sym_word] = ACTIONS(7003),
    [sym_placeholder] = ACTIONS(7005),
    [sym_delimiter] = ACTIONS(7005),
    [anon_sym_PLUS] = ACTIONS(7005),
    [anon_sym_DASH] = ACTIONS(7005),
    [anon_sym_STAR] = ACTIONS(7005),
    [anon_sym_SLASH] = ACTIONS(7005),
    [anon_sym_LT] = ACTIONS(7003),
    [anon_sym_GT] = ACTIONS(7003),
    [anon_sym_BANG] = ACTIONS(7003),
    [anon_sym_PIPE] = ACTIONS(7003),
    [anon_sym_COLON] = ACTIONS(7003),
    [anon_sym_SQUOTE] = ACTIONS(7003),
    [anon_sym__] = ACTIONS(7005),
    [anon_sym_CARET] = ACTIONS(7005),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7005),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7005),
    [anon_sym_DOLLAR] = ACTIONS(7003),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7005),
    [anon_sym_BSLASHleft] = ACTIONS(7003),
    [anon_sym_BSLASHbigl] = ACTIONS(7003),
    [anon_sym_BSLASHBigl] = ACTIONS(7003),
    [anon_sym_BSLASHbiggl] = ACTIONS(7003),
    [anon_sym_BSLASHBiggl] = ACTIONS(7003),
    [anon_sym_BSLASHright] = ACTIONS(7003),
    [anon_sym_BSLASHbigr] = ACTIONS(7003),
    [anon_sym_BSLASHBigr] = ACTIONS(7003),
    [anon_sym_BSLASHbiggr] = ACTIONS(7003),
    [anon_sym_BSLASHBiggr] = ACTIONS(7003),
    [anon_sym_BSLASHtext] = ACTIONS(7003),
    [anon_sym_BSLASHintertext] = ACTIONS(7003),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7003),
    [anon_sym_BSLASHbegin] = ACTIONS(7003),
    [anon_sym_BSLASHtitle] = ACTIONS(7003),
    [anon_sym_BSLASHauthor] = ACTIONS(7003),
    [anon_sym_BSLASHusepackage] = ACTIONS(7003),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7003),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7003),
    [anon_sym_BSLASHinclude] = ACTIONS(7003),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7003),
    [anon_sym_BSLASHinput] = ACTIONS(7003),
    [anon_sym_BSLASHsubfile] = ACTIONS(7003),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7003),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7003),
    [anon_sym_BSLASHbibliography] = ACTIONS(7003),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7003),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7003),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7003),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7003),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7003),
    [anon_sym_BSLASHimport] = ACTIONS(7003),
    [anon_sym_BSLASHsubimport] = ACTIONS(7003),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7003),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7003),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7003),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7003),
    [anon_sym_BSLASHcaption] = ACTIONS(7003),
    [anon_sym_BSLASHcite] = ACTIONS(7003),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHCite] = ACTIONS(7003),
    [anon_sym_BSLASHnocite] = ACTIONS(7003),
    [anon_sym_BSLASHcitet] = ACTIONS(7003),
    [anon_sym_BSLASHcitep] = ACTIONS(7003),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHciteA] = ACTIONS(7003),
    [anon_sym_BSLASHciteR] = ACTIONS(7003),
    [anon_sym_BSLASHciteS] = ACTIONS(7003),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7003),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7003),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7003),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7003),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHciteyear] = ACTIONS(7003),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcitedate] = ACTIONS(7003),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHciteurl] = ACTIONS(7003),
    [anon_sym_BSLASHfullcite] = ACTIONS(7003),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7003),
    [anon_sym_BSLASHcitealt] = ACTIONS(7003),
    [anon_sym_BSLASHcitealp] = ACTIONS(7003),
    [anon_sym_BSLASHcitetext] = ACTIONS(7003),
    [anon_sym_BSLASHparencite] = ACTIONS(7003),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHParencite] = ACTIONS(7003),
    [anon_sym_BSLASHfootcite] = ACTIONS(7003),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7003),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7003),
    [anon_sym_BSLASHtextcite] = ACTIONS(7003),
    [anon_sym_BSLASHTextcite] = ACTIONS(7003),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7003),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7003),
    [anon_sym_BSLASHsupercite] = ACTIONS(7003),
    [anon_sym_BSLASHautocite] = ACTIONS(7003),
    [anon_sym_BSLASHAutocite] = ACTIONS(7003),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHVolcite] = ACTIONS(7003),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHavolcite] = ACTIONS(7003),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHnotecite] = ACTIONS(7003),
    [anon_sym_BSLASHNotecite] = ACTIONS(7003),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7003),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7003),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7003),
    [anon_sym_BSLASHlabel] = ACTIONS(7003),
    [anon_sym_BSLASHref] = ACTIONS(7003),
    [anon_sym_BSLASHeqref] = ACTIONS(7003),
    [anon_sym_BSLASHvref] = ACTIONS(7003),
    [anon_sym_BSLASHVref] = ACTIONS(7003),
    [anon_sym_BSLASHautoref] = ACTIONS(7003),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHpageref] = ACTIONS(7003),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHautopageref] = ACTIONS(7003),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcref] = ACTIONS(7003),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHCref] = ACTIONS(7003),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcpageref] = ACTIONS(7003),
    [anon_sym_BSLASHCpageref] = ACTIONS(7003),
    [anon_sym_BSLASHnamecref] = ACTIONS(7003),
    [anon_sym_BSLASHnameCref] = ACTIONS(7003),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7003),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7003),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7003),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7003),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7003),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7003),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7003),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7003),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7003),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7003),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7003),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7003),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7003),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7003),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7003),
    [anon_sym_BSLASHdef] = ACTIONS(7003),
    [anon_sym_BSLASHgdef] = ACTIONS(7003),
    [anon_sym_BSLASHedef] = ACTIONS(7003),
    [anon_sym_BSLASHxdef] = ACTIONS(7003),
    [anon_sym_BSLASHlet] = ACTIONS(7003),
    [anon_sym_BSLASHglet] = ACTIONS(7003),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7003),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7003),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7003),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7003),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7003),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7003),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7003),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7003),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7003),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7003),
    [anon_sym_BSLASHgls] = ACTIONS(7003),
    [anon_sym_BSLASHGls] = ACTIONS(7003),
    [anon_sym_BSLASHGLS] = ACTIONS(7003),
    [anon_sym_BSLASHglspl] = ACTIONS(7003),
    [anon_sym_BSLASHGlspl] = ACTIONS(7003),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7003),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7003),
    [anon_sym_BSLASHglslink] = ACTIONS(7003),
    [anon_sym_BSLASHglstext] = ACTIONS(7003),
    [anon_sym_BSLASHGlstext] = ACTIONS(7003),
    [anon_sym_BSLASHGLStext] = ACTIONS(7003),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7003),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7003),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7003),
    [anon_sym_BSLASHglsplural] = ACTIONS(7003),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7003),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7003),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7003),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7003),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7003),
    [anon_sym_BSLASHglsname] = ACTIONS(7003),
    [anon_sym_BSLASHGlsname] = ACTIONS(7003),
    [anon_sym_BSLASHGLSname] = ACTIONS(7003),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7003),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7003),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7003),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7003),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7003),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7003),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7003),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7003),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7003),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7003),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7003),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7003),
    [anon_sym_BSLASHacrshort] = ACTIONS(7003),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7003),
    [anon_sym_BSLASHACRshort] = ACTIONS(7003),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7003),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7003),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7003),
    [anon_sym_BSLASHacrlong] = ACTIONS(7003),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7003),
    [anon_sym_BSLASHACRlong] = ACTIONS(7003),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7003),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7003),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7003),
    [anon_sym_BSLASHacrfull] = ACTIONS(7003),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7003),
    [anon_sym_BSLASHACRfull] = ACTIONS(7003),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7003),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7003),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7003),
    [anon_sym_BSLASHacs] = ACTIONS(7003),
    [anon_sym_BSLASHAcs] = ACTIONS(7003),
    [anon_sym_BSLASHacsp] = ACTIONS(7003),
    [anon_sym_BSLASHAcsp] = ACTIONS(7003),
    [anon_sym_BSLASHacl] = ACTIONS(7003),
    [anon_sym_BSLASHAcl] = ACTIONS(7003),
    [anon_sym_BSLASHaclp] = ACTIONS(7003),
    [anon_sym_BSLASHAclp] = ACTIONS(7003),
    [anon_sym_BSLASHacf] = ACTIONS(7003),
    [anon_sym_BSLASHAcf] = ACTIONS(7003),
    [anon_sym_BSLASHacfp] = ACTIONS(7003),
    [anon_sym_BSLASHAcfp] = ACTIONS(7003),
    [anon_sym_BSLASHac] = ACTIONS(7003),
    [anon_sym_BSLASHAc] = ACTIONS(7003),
    [anon_sym_BSLASHacp] = ACTIONS(7003),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7003),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7003),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7003),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7003),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7003),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7003),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7003),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7003),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7003),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7003),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7003),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7003),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7003),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7003),
    [anon_sym_BSLASHcolor] = ACTIONS(7003),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7003),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7003),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7003),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7003),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7003),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7003),
    [anon_sym_BSLASHurl] = ACTIONS(7003),
    [anon_sym_BSLASHhref] = ACTIONS(7003),
  },
  [538] = {
    [sym_command_name] = ACTIONS(7007),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7007),
    [anon_sym_LBRACK] = ACTIONS(7009),
    [anon_sym_RBRACK] = ACTIONS(7009),
    [anon_sym_COMMA] = ACTIONS(7009),
    [anon_sym_EQ] = ACTIONS(7009),
    [anon_sym_LPAREN] = ACTIONS(7009),
    [anon_sym_RPAREN] = ACTIONS(7009),
    [anon_sym_BSLASHpart] = ACTIONS(7007),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHaddpart] = ACTIONS(7007),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHchapter] = ACTIONS(7007),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHaddchap] = ACTIONS(7007),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHsection] = ACTIONS(7007),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHaddsec] = ACTIONS(7007),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHsubsection] = ACTIONS(7007),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7007),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHparagraph] = ACTIONS(7007),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7007),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHitem] = ACTIONS(7007),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7009),
    [anon_sym_LBRACE] = ACTIONS(7009),
    [sym_word] = ACTIONS(7007),
    [sym_placeholder] = ACTIONS(7009),
    [sym_delimiter] = ACTIONS(7009),
    [anon_sym_PLUS] = ACTIONS(7009),
    [anon_sym_DASH] = ACTIONS(7009),
    [anon_sym_STAR] = ACTIONS(7009),
    [anon_sym_SLASH] = ACTIONS(7009),
    [anon_sym_LT] = ACTIONS(7007),
    [anon_sym_GT] = ACTIONS(7007),
    [anon_sym_BANG] = ACTIONS(7007),
    [anon_sym_PIPE] = ACTIONS(7007),
    [anon_sym_COLON] = ACTIONS(7007),
    [anon_sym_SQUOTE] = ACTIONS(7007),
    [anon_sym__] = ACTIONS(7009),
    [anon_sym_CARET] = ACTIONS(7009),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7009),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7009),
    [anon_sym_DOLLAR] = ACTIONS(7007),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7009),
    [anon_sym_BSLASHleft] = ACTIONS(7007),
    [anon_sym_BSLASHbigl] = ACTIONS(7007),
    [anon_sym_BSLASHBigl] = ACTIONS(7007),
    [anon_sym_BSLASHbiggl] = ACTIONS(7007),
    [anon_sym_BSLASHBiggl] = ACTIONS(7007),
    [anon_sym_BSLASHright] = ACTIONS(7007),
    [anon_sym_BSLASHbigr] = ACTIONS(7007),
    [anon_sym_BSLASHBigr] = ACTIONS(7007),
    [anon_sym_BSLASHbiggr] = ACTIONS(7007),
    [anon_sym_BSLASHBiggr] = ACTIONS(7007),
    [anon_sym_BSLASHtext] = ACTIONS(7007),
    [anon_sym_BSLASHintertext] = ACTIONS(7007),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7007),
    [anon_sym_BSLASHbegin] = ACTIONS(7007),
    [anon_sym_BSLASHtitle] = ACTIONS(7007),
    [anon_sym_BSLASHauthor] = ACTIONS(7007),
    [anon_sym_BSLASHusepackage] = ACTIONS(7007),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7007),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7007),
    [anon_sym_BSLASHinclude] = ACTIONS(7007),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7007),
    [anon_sym_BSLASHinput] = ACTIONS(7007),
    [anon_sym_BSLASHsubfile] = ACTIONS(7007),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7007),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7007),
    [anon_sym_BSLASHbibliography] = ACTIONS(7007),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7007),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7007),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7007),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7007),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7007),
    [anon_sym_BSLASHimport] = ACTIONS(7007),
    [anon_sym_BSLASHsubimport] = ACTIONS(7007),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7007),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7007),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7007),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7007),
    [anon_sym_BSLASHcaption] = ACTIONS(7007),
    [anon_sym_BSLASHcite] = ACTIONS(7007),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHCite] = ACTIONS(7007),
    [anon_sym_BSLASHnocite] = ACTIONS(7007),
    [anon_sym_BSLASHcitet] = ACTIONS(7007),
    [anon_sym_BSLASHcitep] = ACTIONS(7007),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHciteA] = ACTIONS(7007),
    [anon_sym_BSLASHciteR] = ACTIONS(7007),
    [anon_sym_BSLASHciteS] = ACTIONS(7007),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7007),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7007),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7007),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7007),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHciteyear] = ACTIONS(7007),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcitedate] = ACTIONS(7007),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHciteurl] = ACTIONS(7007),
    [anon_sym_BSLASHfullcite] = ACTIONS(7007),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7007),
    [anon_sym_BSLASHcitealt] = ACTIONS(7007),
    [anon_sym_BSLASHcitealp] = ACTIONS(7007),
    [anon_sym_BSLASHcitetext] = ACTIONS(7007),
    [anon_sym_BSLASHparencite] = ACTIONS(7007),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHParencite] = ACTIONS(7007),
    [anon_sym_BSLASHfootcite] = ACTIONS(7007),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7007),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7007),
    [anon_sym_BSLASHtextcite] = ACTIONS(7007),
    [anon_sym_BSLASHTextcite] = ACTIONS(7007),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7007),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7007),
    [anon_sym_BSLASHsupercite] = ACTIONS(7007),
    [anon_sym_BSLASHautocite] = ACTIONS(7007),
    [anon_sym_BSLASHAutocite] = ACTIONS(7007),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHVolcite] = ACTIONS(7007),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHavolcite] = ACTIONS(7007),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHnotecite] = ACTIONS(7007),
    [anon_sym_BSLASHNotecite] = ACTIONS(7007),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7007),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7007),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7007),
    [anon_sym_BSLASHlabel] = ACTIONS(7007),
    [anon_sym_BSLASHref] = ACTIONS(7007),
    [anon_sym_BSLASHeqref] = ACTIONS(7007),
    [anon_sym_BSLASHvref] = ACTIONS(7007),
    [anon_sym_BSLASHVref] = ACTIONS(7007),
    [anon_sym_BSLASHautoref] = ACTIONS(7007),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHpageref] = ACTIONS(7007),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHautopageref] = ACTIONS(7007),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcref] = ACTIONS(7007),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHCref] = ACTIONS(7007),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcpageref] = ACTIONS(7007),
    [anon_sym_BSLASHCpageref] = ACTIONS(7007),
    [anon_sym_BSLASHnamecref] = ACTIONS(7007),
    [anon_sym_BSLASHnameCref] = ACTIONS(7007),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7007),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7007),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7007),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7007),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7007),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7007),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7007),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7007),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7007),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7007),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7007),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7007),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7007),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7007),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7007),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7007),
    [anon_sym_BSLASHdef] = ACTIONS(7007),
    [anon_sym_BSLASHgdef] = ACTIONS(7007),
    [anon_sym_BSLASHedef] = ACTIONS(7007),
    [anon_sym_BSLASHxdef] = ACTIONS(7007),
    [anon_sym_BSLASHlet] = ACTIONS(7007),
    [anon_sym_BSLASHglet] = ACTIONS(7007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7007),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7007),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7007),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7007),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7007),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7007),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7007),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7007),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7007),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7007),
    [anon_sym_BSLASHgls] = ACTIONS(7007),
    [anon_sym_BSLASHGls] = ACTIONS(7007),
    [anon_sym_BSLASHGLS] = ACTIONS(7007),
    [anon_sym_BSLASHglspl] = ACTIONS(7007),
    [anon_sym_BSLASHGlspl] = ACTIONS(7007),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7007),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7007),
    [anon_sym_BSLASHglslink] = ACTIONS(7007),
    [anon_sym_BSLASHglstext] = ACTIONS(7007),
    [anon_sym_BSLASHGlstext] = ACTIONS(7007),
    [anon_sym_BSLASHGLStext] = ACTIONS(7007),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7007),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7007),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7007),
    [anon_sym_BSLASHglsplural] = ACTIONS(7007),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7007),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7007),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7007),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7007),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7007),
    [anon_sym_BSLASHglsname] = ACTIONS(7007),
    [anon_sym_BSLASHGlsname] = ACTIONS(7007),
    [anon_sym_BSLASHGLSname] = ACTIONS(7007),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7007),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7007),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7007),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7007),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7007),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7007),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7007),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7007),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7007),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7007),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7007),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7007),
    [anon_sym_BSLASHacrshort] = ACTIONS(7007),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7007),
    [anon_sym_BSLASHACRshort] = ACTIONS(7007),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7007),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7007),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7007),
    [anon_sym_BSLASHacrlong] = ACTIONS(7007),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7007),
    [anon_sym_BSLASHACRlong] = ACTIONS(7007),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7007),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7007),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7007),
    [anon_sym_BSLASHacrfull] = ACTIONS(7007),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7007),
    [anon_sym_BSLASHACRfull] = ACTIONS(7007),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7007),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7007),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7007),
    [anon_sym_BSLASHacs] = ACTIONS(7007),
    [anon_sym_BSLASHAcs] = ACTIONS(7007),
    [anon_sym_BSLASHacsp] = ACTIONS(7007),
    [anon_sym_BSLASHAcsp] = ACTIONS(7007),
    [anon_sym_BSLASHacl] = ACTIONS(7007),
    [anon_sym_BSLASHAcl] = ACTIONS(7007),
    [anon_sym_BSLASHaclp] = ACTIONS(7007),
    [anon_sym_BSLASHAclp] = ACTIONS(7007),
    [anon_sym_BSLASHacf] = ACTIONS(7007),
    [anon_sym_BSLASHAcf] = ACTIONS(7007),
    [anon_sym_BSLASHacfp] = ACTIONS(7007),
    [anon_sym_BSLASHAcfp] = ACTIONS(7007),
    [anon_sym_BSLASHac] = ACTIONS(7007),
    [anon_sym_BSLASHAc] = ACTIONS(7007),
    [anon_sym_BSLASHacp] = ACTIONS(7007),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7007),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7007),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7007),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7007),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7007),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7007),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7007),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7007),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7007),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7007),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7007),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7007),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7007),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7007),
    [anon_sym_BSLASHcolor] = ACTIONS(7007),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7007),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7007),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7007),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7007),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7007),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7007),
    [anon_sym_BSLASHurl] = ACTIONS(7007),
    [anon_sym_BSLASHhref] = ACTIONS(7007),
  },
  [539] = {
    [sym_command_name] = ACTIONS(7011),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7011),
    [anon_sym_LBRACK] = ACTIONS(7013),
    [anon_sym_RBRACK] = ACTIONS(7013),
    [anon_sym_COMMA] = ACTIONS(7013),
    [anon_sym_EQ] = ACTIONS(7013),
    [anon_sym_LPAREN] = ACTIONS(7013),
    [anon_sym_RPAREN] = ACTIONS(7013),
    [anon_sym_BSLASHpart] = ACTIONS(7011),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHaddpart] = ACTIONS(7011),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHchapter] = ACTIONS(7011),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHaddchap] = ACTIONS(7011),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHsection] = ACTIONS(7011),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHaddsec] = ACTIONS(7011),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHsubsection] = ACTIONS(7011),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7011),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHparagraph] = ACTIONS(7011),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7011),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHitem] = ACTIONS(7011),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7013),
    [anon_sym_LBRACE] = ACTIONS(7013),
    [sym_word] = ACTIONS(7011),
    [sym_placeholder] = ACTIONS(7013),
    [sym_delimiter] = ACTIONS(7013),
    [anon_sym_PLUS] = ACTIONS(7013),
    [anon_sym_DASH] = ACTIONS(7013),
    [anon_sym_STAR] = ACTIONS(7013),
    [anon_sym_SLASH] = ACTIONS(7013),
    [anon_sym_LT] = ACTIONS(7011),
    [anon_sym_GT] = ACTIONS(7011),
    [anon_sym_BANG] = ACTIONS(7011),
    [anon_sym_PIPE] = ACTIONS(7011),
    [anon_sym_COLON] = ACTIONS(7011),
    [anon_sym_SQUOTE] = ACTIONS(7011),
    [anon_sym__] = ACTIONS(7013),
    [anon_sym_CARET] = ACTIONS(7013),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7013),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7013),
    [anon_sym_DOLLAR] = ACTIONS(7011),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7013),
    [anon_sym_BSLASHleft] = ACTIONS(7011),
    [anon_sym_BSLASHbigl] = ACTIONS(7011),
    [anon_sym_BSLASHBigl] = ACTIONS(7011),
    [anon_sym_BSLASHbiggl] = ACTIONS(7011),
    [anon_sym_BSLASHBiggl] = ACTIONS(7011),
    [anon_sym_BSLASHright] = ACTIONS(7011),
    [anon_sym_BSLASHbigr] = ACTIONS(7011),
    [anon_sym_BSLASHBigr] = ACTIONS(7011),
    [anon_sym_BSLASHbiggr] = ACTIONS(7011),
    [anon_sym_BSLASHBiggr] = ACTIONS(7011),
    [anon_sym_BSLASHtext] = ACTIONS(7011),
    [anon_sym_BSLASHintertext] = ACTIONS(7011),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7011),
    [anon_sym_BSLASHbegin] = ACTIONS(7011),
    [anon_sym_BSLASHtitle] = ACTIONS(7011),
    [anon_sym_BSLASHauthor] = ACTIONS(7011),
    [anon_sym_BSLASHusepackage] = ACTIONS(7011),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7011),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7011),
    [anon_sym_BSLASHinclude] = ACTIONS(7011),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7011),
    [anon_sym_BSLASHinput] = ACTIONS(7011),
    [anon_sym_BSLASHsubfile] = ACTIONS(7011),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7011),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7011),
    [anon_sym_BSLASHbibliography] = ACTIONS(7011),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7011),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7011),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7011),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7011),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7011),
    [anon_sym_BSLASHimport] = ACTIONS(7011),
    [anon_sym_BSLASHsubimport] = ACTIONS(7011),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7011),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7011),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7011),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7011),
    [anon_sym_BSLASHcaption] = ACTIONS(7011),
    [anon_sym_BSLASHcite] = ACTIONS(7011),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHCite] = ACTIONS(7011),
    [anon_sym_BSLASHnocite] = ACTIONS(7011),
    [anon_sym_BSLASHcitet] = ACTIONS(7011),
    [anon_sym_BSLASHcitep] = ACTIONS(7011),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHciteA] = ACTIONS(7011),
    [anon_sym_BSLASHciteR] = ACTIONS(7011),
    [anon_sym_BSLASHciteS] = ACTIONS(7011),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7011),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7011),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7011),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7011),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHciteyear] = ACTIONS(7011),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcitedate] = ACTIONS(7011),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHciteurl] = ACTIONS(7011),
    [anon_sym_BSLASHfullcite] = ACTIONS(7011),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7011),
    [anon_sym_BSLASHcitealt] = ACTIONS(7011),
    [anon_sym_BSLASHcitealp] = ACTIONS(7011),
    [anon_sym_BSLASHcitetext] = ACTIONS(7011),
    [anon_sym_BSLASHparencite] = ACTIONS(7011),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHParencite] = ACTIONS(7011),
    [anon_sym_BSLASHfootcite] = ACTIONS(7011),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7011),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7011),
    [anon_sym_BSLASHtextcite] = ACTIONS(7011),
    [anon_sym_BSLASHTextcite] = ACTIONS(7011),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7011),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7011),
    [anon_sym_BSLASHsupercite] = ACTIONS(7011),
    [anon_sym_BSLASHautocite] = ACTIONS(7011),
    [anon_sym_BSLASHAutocite] = ACTIONS(7011),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHVolcite] = ACTIONS(7011),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHavolcite] = ACTIONS(7011),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHnotecite] = ACTIONS(7011),
    [anon_sym_BSLASHNotecite] = ACTIONS(7011),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7011),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7011),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7011),
    [anon_sym_BSLASHlabel] = ACTIONS(7011),
    [anon_sym_BSLASHref] = ACTIONS(7011),
    [anon_sym_BSLASHeqref] = ACTIONS(7011),
    [anon_sym_BSLASHvref] = ACTIONS(7011),
    [anon_sym_BSLASHVref] = ACTIONS(7011),
    [anon_sym_BSLASHautoref] = ACTIONS(7011),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHpageref] = ACTIONS(7011),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHautopageref] = ACTIONS(7011),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcref] = ACTIONS(7011),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHCref] = ACTIONS(7011),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcpageref] = ACTIONS(7011),
    [anon_sym_BSLASHCpageref] = ACTIONS(7011),
    [anon_sym_BSLASHnamecref] = ACTIONS(7011),
    [anon_sym_BSLASHnameCref] = ACTIONS(7011),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7011),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7011),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7011),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7011),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7011),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7011),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7011),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7011),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7011),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7011),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7011),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7011),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7011),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7011),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7011),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7011),
    [anon_sym_BSLASHdef] = ACTIONS(7011),
    [anon_sym_BSLASHgdef] = ACTIONS(7011),
    [anon_sym_BSLASHedef] = ACTIONS(7011),
    [anon_sym_BSLASHxdef] = ACTIONS(7011),
    [anon_sym_BSLASHlet] = ACTIONS(7011),
    [anon_sym_BSLASHglet] = ACTIONS(7011),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7011),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7011),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7011),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7011),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7011),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7011),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7011),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7011),
    [anon_sym_BSLASHgls] = ACTIONS(7011),
    [anon_sym_BSLASHGls] = ACTIONS(7011),
    [anon_sym_BSLASHGLS] = ACTIONS(7011),
    [anon_sym_BSLASHglspl] = ACTIONS(7011),
    [anon_sym_BSLASHGlspl] = ACTIONS(7011),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7011),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7011),
    [anon_sym_BSLASHglslink] = ACTIONS(7011),
    [anon_sym_BSLASHglstext] = ACTIONS(7011),
    [anon_sym_BSLASHGlstext] = ACTIONS(7011),
    [anon_sym_BSLASHGLStext] = ACTIONS(7011),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7011),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7011),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7011),
    [anon_sym_BSLASHglsplural] = ACTIONS(7011),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7011),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7011),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7011),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7011),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7011),
    [anon_sym_BSLASHglsname] = ACTIONS(7011),
    [anon_sym_BSLASHGlsname] = ACTIONS(7011),
    [anon_sym_BSLASHGLSname] = ACTIONS(7011),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7011),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7011),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7011),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7011),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7011),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7011),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7011),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7011),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7011),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7011),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7011),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7011),
    [anon_sym_BSLASHacrshort] = ACTIONS(7011),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7011),
    [anon_sym_BSLASHACRshort] = ACTIONS(7011),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7011),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7011),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7011),
    [anon_sym_BSLASHacrlong] = ACTIONS(7011),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7011),
    [anon_sym_BSLASHACRlong] = ACTIONS(7011),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7011),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7011),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7011),
    [anon_sym_BSLASHacrfull] = ACTIONS(7011),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7011),
    [anon_sym_BSLASHACRfull] = ACTIONS(7011),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7011),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7011),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7011),
    [anon_sym_BSLASHacs] = ACTIONS(7011),
    [anon_sym_BSLASHAcs] = ACTIONS(7011),
    [anon_sym_BSLASHacsp] = ACTIONS(7011),
    [anon_sym_BSLASHAcsp] = ACTIONS(7011),
    [anon_sym_BSLASHacl] = ACTIONS(7011),
    [anon_sym_BSLASHAcl] = ACTIONS(7011),
    [anon_sym_BSLASHaclp] = ACTIONS(7011),
    [anon_sym_BSLASHAclp] = ACTIONS(7011),
    [anon_sym_BSLASHacf] = ACTIONS(7011),
    [anon_sym_BSLASHAcf] = ACTIONS(7011),
    [anon_sym_BSLASHacfp] = ACTIONS(7011),
    [anon_sym_BSLASHAcfp] = ACTIONS(7011),
    [anon_sym_BSLASHac] = ACTIONS(7011),
    [anon_sym_BSLASHAc] = ACTIONS(7011),
    [anon_sym_BSLASHacp] = ACTIONS(7011),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7011),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7011),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7011),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7011),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7011),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7011),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7011),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7011),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7011),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7011),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7011),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7011),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7011),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7011),
    [anon_sym_BSLASHcolor] = ACTIONS(7011),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7011),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7011),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7011),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7011),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7011),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7011),
    [anon_sym_BSLASHurl] = ACTIONS(7011),
    [anon_sym_BSLASHhref] = ACTIONS(7011),
  },
  [540] = {
    [sym_command_name] = ACTIONS(7015),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7015),
    [anon_sym_LBRACK] = ACTIONS(7017),
    [anon_sym_RBRACK] = ACTIONS(7017),
    [anon_sym_COMMA] = ACTIONS(7017),
    [anon_sym_EQ] = ACTIONS(7017),
    [anon_sym_LPAREN] = ACTIONS(7017),
    [anon_sym_RPAREN] = ACTIONS(7017),
    [anon_sym_BSLASHpart] = ACTIONS(7015),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHaddpart] = ACTIONS(7015),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHchapter] = ACTIONS(7015),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHaddchap] = ACTIONS(7015),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHsection] = ACTIONS(7015),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHaddsec] = ACTIONS(7015),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHsubsection] = ACTIONS(7015),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7015),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHparagraph] = ACTIONS(7015),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7015),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHitem] = ACTIONS(7015),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7017),
    [anon_sym_LBRACE] = ACTIONS(7017),
    [sym_word] = ACTIONS(7015),
    [sym_placeholder] = ACTIONS(7017),
    [sym_delimiter] = ACTIONS(7017),
    [anon_sym_PLUS] = ACTIONS(7017),
    [anon_sym_DASH] = ACTIONS(7017),
    [anon_sym_STAR] = ACTIONS(7017),
    [anon_sym_SLASH] = ACTIONS(7017),
    [anon_sym_LT] = ACTIONS(7015),
    [anon_sym_GT] = ACTIONS(7015),
    [anon_sym_BANG] = ACTIONS(7015),
    [anon_sym_PIPE] = ACTIONS(7015),
    [anon_sym_COLON] = ACTIONS(7015),
    [anon_sym_SQUOTE] = ACTIONS(7015),
    [anon_sym__] = ACTIONS(7017),
    [anon_sym_CARET] = ACTIONS(7017),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7017),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7017),
    [anon_sym_DOLLAR] = ACTIONS(7015),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7017),
    [anon_sym_BSLASHleft] = ACTIONS(7015),
    [anon_sym_BSLASHbigl] = ACTIONS(7015),
    [anon_sym_BSLASHBigl] = ACTIONS(7015),
    [anon_sym_BSLASHbiggl] = ACTIONS(7015),
    [anon_sym_BSLASHBiggl] = ACTIONS(7015),
    [anon_sym_BSLASHright] = ACTIONS(7015),
    [anon_sym_BSLASHbigr] = ACTIONS(7015),
    [anon_sym_BSLASHBigr] = ACTIONS(7015),
    [anon_sym_BSLASHbiggr] = ACTIONS(7015),
    [anon_sym_BSLASHBiggr] = ACTIONS(7015),
    [anon_sym_BSLASHtext] = ACTIONS(7015),
    [anon_sym_BSLASHintertext] = ACTIONS(7015),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7015),
    [anon_sym_BSLASHbegin] = ACTIONS(7015),
    [anon_sym_BSLASHtitle] = ACTIONS(7015),
    [anon_sym_BSLASHauthor] = ACTIONS(7015),
    [anon_sym_BSLASHusepackage] = ACTIONS(7015),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7015),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7015),
    [anon_sym_BSLASHinclude] = ACTIONS(7015),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7015),
    [anon_sym_BSLASHinput] = ACTIONS(7015),
    [anon_sym_BSLASHsubfile] = ACTIONS(7015),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7015),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7015),
    [anon_sym_BSLASHbibliography] = ACTIONS(7015),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7015),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7015),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7015),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7015),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7015),
    [anon_sym_BSLASHimport] = ACTIONS(7015),
    [anon_sym_BSLASHsubimport] = ACTIONS(7015),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7015),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7015),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7015),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7015),
    [anon_sym_BSLASHcaption] = ACTIONS(7015),
    [anon_sym_BSLASHcite] = ACTIONS(7015),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHCite] = ACTIONS(7015),
    [anon_sym_BSLASHnocite] = ACTIONS(7015),
    [anon_sym_BSLASHcitet] = ACTIONS(7015),
    [anon_sym_BSLASHcitep] = ACTIONS(7015),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHciteA] = ACTIONS(7015),
    [anon_sym_BSLASHciteR] = ACTIONS(7015),
    [anon_sym_BSLASHciteS] = ACTIONS(7015),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7015),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7015),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7015),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7015),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHciteyear] = ACTIONS(7015),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcitedate] = ACTIONS(7015),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHciteurl] = ACTIONS(7015),
    [anon_sym_BSLASHfullcite] = ACTIONS(7015),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7015),
    [anon_sym_BSLASHcitealt] = ACTIONS(7015),
    [anon_sym_BSLASHcitealp] = ACTIONS(7015),
    [anon_sym_BSLASHcitetext] = ACTIONS(7015),
    [anon_sym_BSLASHparencite] = ACTIONS(7015),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHParencite] = ACTIONS(7015),
    [anon_sym_BSLASHfootcite] = ACTIONS(7015),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7015),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7015),
    [anon_sym_BSLASHtextcite] = ACTIONS(7015),
    [anon_sym_BSLASHTextcite] = ACTIONS(7015),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7015),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7015),
    [anon_sym_BSLASHsupercite] = ACTIONS(7015),
    [anon_sym_BSLASHautocite] = ACTIONS(7015),
    [anon_sym_BSLASHAutocite] = ACTIONS(7015),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHVolcite] = ACTIONS(7015),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHavolcite] = ACTIONS(7015),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHnotecite] = ACTIONS(7015),
    [anon_sym_BSLASHNotecite] = ACTIONS(7015),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7015),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7015),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7015),
    [anon_sym_BSLASHlabel] = ACTIONS(7015),
    [anon_sym_BSLASHref] = ACTIONS(7015),
    [anon_sym_BSLASHeqref] = ACTIONS(7015),
    [anon_sym_BSLASHvref] = ACTIONS(7015),
    [anon_sym_BSLASHVref] = ACTIONS(7015),
    [anon_sym_BSLASHautoref] = ACTIONS(7015),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHpageref] = ACTIONS(7015),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHautopageref] = ACTIONS(7015),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcref] = ACTIONS(7015),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHCref] = ACTIONS(7015),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcpageref] = ACTIONS(7015),
    [anon_sym_BSLASHCpageref] = ACTIONS(7015),
    [anon_sym_BSLASHnamecref] = ACTIONS(7015),
    [anon_sym_BSLASHnameCref] = ACTIONS(7015),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7015),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7015),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7015),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7015),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7015),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7015),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7015),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7015),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7015),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7015),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7015),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7015),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7015),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7015),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7015),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7015),
    [anon_sym_BSLASHdef] = ACTIONS(7015),
    [anon_sym_BSLASHgdef] = ACTIONS(7015),
    [anon_sym_BSLASHedef] = ACTIONS(7015),
    [anon_sym_BSLASHxdef] = ACTIONS(7015),
    [anon_sym_BSLASHlet] = ACTIONS(7015),
    [anon_sym_BSLASHglet] = ACTIONS(7015),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7015),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7015),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7015),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7015),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7015),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7015),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7015),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7015),
    [anon_sym_BSLASHgls] = ACTIONS(7015),
    [anon_sym_BSLASHGls] = ACTIONS(7015),
    [anon_sym_BSLASHGLS] = ACTIONS(7015),
    [anon_sym_BSLASHglspl] = ACTIONS(7015),
    [anon_sym_BSLASHGlspl] = ACTIONS(7015),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7015),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7015),
    [anon_sym_BSLASHglslink] = ACTIONS(7015),
    [anon_sym_BSLASHglstext] = ACTIONS(7015),
    [anon_sym_BSLASHGlstext] = ACTIONS(7015),
    [anon_sym_BSLASHGLStext] = ACTIONS(7015),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7015),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7015),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7015),
    [anon_sym_BSLASHglsplural] = ACTIONS(7015),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7015),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7015),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7015),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7015),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7015),
    [anon_sym_BSLASHglsname] = ACTIONS(7015),
    [anon_sym_BSLASHGlsname] = ACTIONS(7015),
    [anon_sym_BSLASHGLSname] = ACTIONS(7015),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7015),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7015),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7015),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7015),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7015),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7015),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7015),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7015),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7015),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7015),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7015),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7015),
    [anon_sym_BSLASHacrshort] = ACTIONS(7015),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7015),
    [anon_sym_BSLASHACRshort] = ACTIONS(7015),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7015),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7015),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7015),
    [anon_sym_BSLASHacrlong] = ACTIONS(7015),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7015),
    [anon_sym_BSLASHACRlong] = ACTIONS(7015),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7015),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7015),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7015),
    [anon_sym_BSLASHacrfull] = ACTIONS(7015),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7015),
    [anon_sym_BSLASHACRfull] = ACTIONS(7015),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7015),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7015),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7015),
    [anon_sym_BSLASHacs] = ACTIONS(7015),
    [anon_sym_BSLASHAcs] = ACTIONS(7015),
    [anon_sym_BSLASHacsp] = ACTIONS(7015),
    [anon_sym_BSLASHAcsp] = ACTIONS(7015),
    [anon_sym_BSLASHacl] = ACTIONS(7015),
    [anon_sym_BSLASHAcl] = ACTIONS(7015),
    [anon_sym_BSLASHaclp] = ACTIONS(7015),
    [anon_sym_BSLASHAclp] = ACTIONS(7015),
    [anon_sym_BSLASHacf] = ACTIONS(7015),
    [anon_sym_BSLASHAcf] = ACTIONS(7015),
    [anon_sym_BSLASHacfp] = ACTIONS(7015),
    [anon_sym_BSLASHAcfp] = ACTIONS(7015),
    [anon_sym_BSLASHac] = ACTIONS(7015),
    [anon_sym_BSLASHAc] = ACTIONS(7015),
    [anon_sym_BSLASHacp] = ACTIONS(7015),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7015),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7015),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7015),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7015),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7015),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7015),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7015),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7015),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7015),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7015),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7015),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7015),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7015),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7015),
    [anon_sym_BSLASHcolor] = ACTIONS(7015),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7015),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7015),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7015),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7015),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7015),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7015),
    [anon_sym_BSLASHurl] = ACTIONS(7015),
    [anon_sym_BSLASHhref] = ACTIONS(7015),
  },
  [541] = {
    [sym_command_name] = ACTIONS(7019),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7019),
    [anon_sym_LBRACK] = ACTIONS(7021),
    [anon_sym_RBRACK] = ACTIONS(7021),
    [anon_sym_COMMA] = ACTIONS(7021),
    [anon_sym_EQ] = ACTIONS(7021),
    [anon_sym_LPAREN] = ACTIONS(7021),
    [anon_sym_RPAREN] = ACTIONS(7021),
    [anon_sym_BSLASHpart] = ACTIONS(7019),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHaddpart] = ACTIONS(7019),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHchapter] = ACTIONS(7019),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHaddchap] = ACTIONS(7019),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHsection] = ACTIONS(7019),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHaddsec] = ACTIONS(7019),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHsubsection] = ACTIONS(7019),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7019),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHparagraph] = ACTIONS(7019),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7019),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHitem] = ACTIONS(7019),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7021),
    [anon_sym_LBRACE] = ACTIONS(7021),
    [sym_word] = ACTIONS(7019),
    [sym_placeholder] = ACTIONS(7021),
    [sym_delimiter] = ACTIONS(7021),
    [anon_sym_PLUS] = ACTIONS(7021),
    [anon_sym_DASH] = ACTIONS(7021),
    [anon_sym_STAR] = ACTIONS(7021),
    [anon_sym_SLASH] = ACTIONS(7021),
    [anon_sym_LT] = ACTIONS(7019),
    [anon_sym_GT] = ACTIONS(7019),
    [anon_sym_BANG] = ACTIONS(7019),
    [anon_sym_PIPE] = ACTIONS(7019),
    [anon_sym_COLON] = ACTIONS(7019),
    [anon_sym_SQUOTE] = ACTIONS(7019),
    [anon_sym__] = ACTIONS(7021),
    [anon_sym_CARET] = ACTIONS(7021),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7021),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7021),
    [anon_sym_DOLLAR] = ACTIONS(7019),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7021),
    [anon_sym_BSLASHleft] = ACTIONS(7019),
    [anon_sym_BSLASHbigl] = ACTIONS(7019),
    [anon_sym_BSLASHBigl] = ACTIONS(7019),
    [anon_sym_BSLASHbiggl] = ACTIONS(7019),
    [anon_sym_BSLASHBiggl] = ACTIONS(7019),
    [anon_sym_BSLASHright] = ACTIONS(7019),
    [anon_sym_BSLASHbigr] = ACTIONS(7019),
    [anon_sym_BSLASHBigr] = ACTIONS(7019),
    [anon_sym_BSLASHbiggr] = ACTIONS(7019),
    [anon_sym_BSLASHBiggr] = ACTIONS(7019),
    [anon_sym_BSLASHtext] = ACTIONS(7019),
    [anon_sym_BSLASHintertext] = ACTIONS(7019),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7019),
    [anon_sym_BSLASHbegin] = ACTIONS(7019),
    [anon_sym_BSLASHtitle] = ACTIONS(7019),
    [anon_sym_BSLASHauthor] = ACTIONS(7019),
    [anon_sym_BSLASHusepackage] = ACTIONS(7019),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7019),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7019),
    [anon_sym_BSLASHinclude] = ACTIONS(7019),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7019),
    [anon_sym_BSLASHinput] = ACTIONS(7019),
    [anon_sym_BSLASHsubfile] = ACTIONS(7019),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7019),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7019),
    [anon_sym_BSLASHbibliography] = ACTIONS(7019),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7019),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7019),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7019),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7019),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7019),
    [anon_sym_BSLASHimport] = ACTIONS(7019),
    [anon_sym_BSLASHsubimport] = ACTIONS(7019),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7019),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7019),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7019),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7019),
    [anon_sym_BSLASHcaption] = ACTIONS(7019),
    [anon_sym_BSLASHcite] = ACTIONS(7019),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHCite] = ACTIONS(7019),
    [anon_sym_BSLASHnocite] = ACTIONS(7019),
    [anon_sym_BSLASHcitet] = ACTIONS(7019),
    [anon_sym_BSLASHcitep] = ACTIONS(7019),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHciteA] = ACTIONS(7019),
    [anon_sym_BSLASHciteR] = ACTIONS(7019),
    [anon_sym_BSLASHciteS] = ACTIONS(7019),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7019),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7019),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7019),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7019),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHciteyear] = ACTIONS(7019),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcitedate] = ACTIONS(7019),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHciteurl] = ACTIONS(7019),
    [anon_sym_BSLASHfullcite] = ACTIONS(7019),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7019),
    [anon_sym_BSLASHcitealt] = ACTIONS(7019),
    [anon_sym_BSLASHcitealp] = ACTIONS(7019),
    [anon_sym_BSLASHcitetext] = ACTIONS(7019),
    [anon_sym_BSLASHparencite] = ACTIONS(7019),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHParencite] = ACTIONS(7019),
    [anon_sym_BSLASHfootcite] = ACTIONS(7019),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7019),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7019),
    [anon_sym_BSLASHtextcite] = ACTIONS(7019),
    [anon_sym_BSLASHTextcite] = ACTIONS(7019),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7019),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7019),
    [anon_sym_BSLASHsupercite] = ACTIONS(7019),
    [anon_sym_BSLASHautocite] = ACTIONS(7019),
    [anon_sym_BSLASHAutocite] = ACTIONS(7019),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHVolcite] = ACTIONS(7019),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHavolcite] = ACTIONS(7019),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHnotecite] = ACTIONS(7019),
    [anon_sym_BSLASHNotecite] = ACTIONS(7019),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7019),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7019),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7019),
    [anon_sym_BSLASHlabel] = ACTIONS(7019),
    [anon_sym_BSLASHref] = ACTIONS(7019),
    [anon_sym_BSLASHeqref] = ACTIONS(7019),
    [anon_sym_BSLASHvref] = ACTIONS(7019),
    [anon_sym_BSLASHVref] = ACTIONS(7019),
    [anon_sym_BSLASHautoref] = ACTIONS(7019),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHpageref] = ACTIONS(7019),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHautopageref] = ACTIONS(7019),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcref] = ACTIONS(7019),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHCref] = ACTIONS(7019),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcpageref] = ACTIONS(7019),
    [anon_sym_BSLASHCpageref] = ACTIONS(7019),
    [anon_sym_BSLASHnamecref] = ACTIONS(7019),
    [anon_sym_BSLASHnameCref] = ACTIONS(7019),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7019),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7019),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7019),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7019),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7019),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7019),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7019),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7019),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7019),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7019),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7019),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7019),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7019),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7019),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7019),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7019),
    [anon_sym_BSLASHdef] = ACTIONS(7019),
    [anon_sym_BSLASHgdef] = ACTIONS(7019),
    [anon_sym_BSLASHedef] = ACTIONS(7019),
    [anon_sym_BSLASHxdef] = ACTIONS(7019),
    [anon_sym_BSLASHlet] = ACTIONS(7019),
    [anon_sym_BSLASHglet] = ACTIONS(7019),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7019),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7019),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7019),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7019),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7019),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7019),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7019),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7019),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7019),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7019),
    [anon_sym_BSLASHgls] = ACTIONS(7019),
    [anon_sym_BSLASHGls] = ACTIONS(7019),
    [anon_sym_BSLASHGLS] = ACTIONS(7019),
    [anon_sym_BSLASHglspl] = ACTIONS(7019),
    [anon_sym_BSLASHGlspl] = ACTIONS(7019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7019),
    [anon_sym_BSLASHglslink] = ACTIONS(7019),
    [anon_sym_BSLASHglstext] = ACTIONS(7019),
    [anon_sym_BSLASHGlstext] = ACTIONS(7019),
    [anon_sym_BSLASHGLStext] = ACTIONS(7019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7019),
    [anon_sym_BSLASHglsplural] = ACTIONS(7019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7019),
    [anon_sym_BSLASHglsname] = ACTIONS(7019),
    [anon_sym_BSLASHGlsname] = ACTIONS(7019),
    [anon_sym_BSLASHGLSname] = ACTIONS(7019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7019),
    [anon_sym_BSLASHacrshort] = ACTIONS(7019),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7019),
    [anon_sym_BSLASHACRshort] = ACTIONS(7019),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7019),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7019),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7019),
    [anon_sym_BSLASHacrlong] = ACTIONS(7019),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7019),
    [anon_sym_BSLASHACRlong] = ACTIONS(7019),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7019),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7019),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7019),
    [anon_sym_BSLASHacrfull] = ACTIONS(7019),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7019),
    [anon_sym_BSLASHACRfull] = ACTIONS(7019),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7019),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7019),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7019),
    [anon_sym_BSLASHacs] = ACTIONS(7019),
    [anon_sym_BSLASHAcs] = ACTIONS(7019),
    [anon_sym_BSLASHacsp] = ACTIONS(7019),
    [anon_sym_BSLASHAcsp] = ACTIONS(7019),
    [anon_sym_BSLASHacl] = ACTIONS(7019),
    [anon_sym_BSLASHAcl] = ACTIONS(7019),
    [anon_sym_BSLASHaclp] = ACTIONS(7019),
    [anon_sym_BSLASHAclp] = ACTIONS(7019),
    [anon_sym_BSLASHacf] = ACTIONS(7019),
    [anon_sym_BSLASHAcf] = ACTIONS(7019),
    [anon_sym_BSLASHacfp] = ACTIONS(7019),
    [anon_sym_BSLASHAcfp] = ACTIONS(7019),
    [anon_sym_BSLASHac] = ACTIONS(7019),
    [anon_sym_BSLASHAc] = ACTIONS(7019),
    [anon_sym_BSLASHacp] = ACTIONS(7019),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7019),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7019),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7019),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7019),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7019),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7019),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7019),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7019),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7019),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7019),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7019),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7019),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7019),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7019),
    [anon_sym_BSLASHcolor] = ACTIONS(7019),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7019),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7019),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7019),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7019),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7019),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7019),
    [anon_sym_BSLASHurl] = ACTIONS(7019),
    [anon_sym_BSLASHhref] = ACTIONS(7019),
  },
  [542] = {
    [sym_command_name] = ACTIONS(7023),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7023),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [anon_sym_RBRACK] = ACTIONS(7025),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_EQ] = ACTIONS(7025),
    [anon_sym_LPAREN] = ACTIONS(7025),
    [anon_sym_RPAREN] = ACTIONS(7025),
    [anon_sym_BSLASHpart] = ACTIONS(7023),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHaddpart] = ACTIONS(7023),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHchapter] = ACTIONS(7023),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHaddchap] = ACTIONS(7023),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHsection] = ACTIONS(7023),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHaddsec] = ACTIONS(7023),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHsubsection] = ACTIONS(7023),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7023),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHparagraph] = ACTIONS(7023),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7023),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHitem] = ACTIONS(7023),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7025),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [sym_word] = ACTIONS(7023),
    [sym_placeholder] = ACTIONS(7025),
    [sym_delimiter] = ACTIONS(7025),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_STAR] = ACTIONS(7025),
    [anon_sym_SLASH] = ACTIONS(7025),
    [anon_sym_LT] = ACTIONS(7023),
    [anon_sym_GT] = ACTIONS(7023),
    [anon_sym_BANG] = ACTIONS(7023),
    [anon_sym_PIPE] = ACTIONS(7023),
    [anon_sym_COLON] = ACTIONS(7023),
    [anon_sym_SQUOTE] = ACTIONS(7023),
    [anon_sym__] = ACTIONS(7025),
    [anon_sym_CARET] = ACTIONS(7025),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7025),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7025),
    [anon_sym_DOLLAR] = ACTIONS(7023),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7025),
    [anon_sym_BSLASHleft] = ACTIONS(7023),
    [anon_sym_BSLASHbigl] = ACTIONS(7023),
    [anon_sym_BSLASHBigl] = ACTIONS(7023),
    [anon_sym_BSLASHbiggl] = ACTIONS(7023),
    [anon_sym_BSLASHBiggl] = ACTIONS(7023),
    [anon_sym_BSLASHright] = ACTIONS(7023),
    [anon_sym_BSLASHbigr] = ACTIONS(7023),
    [anon_sym_BSLASHBigr] = ACTIONS(7023),
    [anon_sym_BSLASHbiggr] = ACTIONS(7023),
    [anon_sym_BSLASHBiggr] = ACTIONS(7023),
    [anon_sym_BSLASHtext] = ACTIONS(7023),
    [anon_sym_BSLASHintertext] = ACTIONS(7023),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7023),
    [anon_sym_BSLASHbegin] = ACTIONS(7023),
    [anon_sym_BSLASHtitle] = ACTIONS(7023),
    [anon_sym_BSLASHauthor] = ACTIONS(7023),
    [anon_sym_BSLASHusepackage] = ACTIONS(7023),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7023),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7023),
    [anon_sym_BSLASHinclude] = ACTIONS(7023),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7023),
    [anon_sym_BSLASHinput] = ACTIONS(7023),
    [anon_sym_BSLASHsubfile] = ACTIONS(7023),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7023),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7023),
    [anon_sym_BSLASHbibliography] = ACTIONS(7023),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7023),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7023),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7023),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7023),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7023),
    [anon_sym_BSLASHimport] = ACTIONS(7023),
    [anon_sym_BSLASHsubimport] = ACTIONS(7023),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7023),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7023),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7023),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7023),
    [anon_sym_BSLASHcaption] = ACTIONS(7023),
    [anon_sym_BSLASHcite] = ACTIONS(7023),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHCite] = ACTIONS(7023),
    [anon_sym_BSLASHnocite] = ACTIONS(7023),
    [anon_sym_BSLASHcitet] = ACTIONS(7023),
    [anon_sym_BSLASHcitep] = ACTIONS(7023),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHciteA] = ACTIONS(7023),
    [anon_sym_BSLASHciteR] = ACTIONS(7023),
    [anon_sym_BSLASHciteS] = ACTIONS(7023),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7023),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7023),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7023),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7023),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHciteyear] = ACTIONS(7023),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcitedate] = ACTIONS(7023),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHciteurl] = ACTIONS(7023),
    [anon_sym_BSLASHfullcite] = ACTIONS(7023),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7023),
    [anon_sym_BSLASHcitealt] = ACTIONS(7023),
    [anon_sym_BSLASHcitealp] = ACTIONS(7023),
    [anon_sym_BSLASHcitetext] = ACTIONS(7023),
    [anon_sym_BSLASHparencite] = ACTIONS(7023),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHParencite] = ACTIONS(7023),
    [anon_sym_BSLASHfootcite] = ACTIONS(7023),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7023),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7023),
    [anon_sym_BSLASHtextcite] = ACTIONS(7023),
    [anon_sym_BSLASHTextcite] = ACTIONS(7023),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7023),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7023),
    [anon_sym_BSLASHsupercite] = ACTIONS(7023),
    [anon_sym_BSLASHautocite] = ACTIONS(7023),
    [anon_sym_BSLASHAutocite] = ACTIONS(7023),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHVolcite] = ACTIONS(7023),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHavolcite] = ACTIONS(7023),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHnotecite] = ACTIONS(7023),
    [anon_sym_BSLASHNotecite] = ACTIONS(7023),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7023),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7023),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7023),
    [anon_sym_BSLASHlabel] = ACTIONS(7023),
    [anon_sym_BSLASHref] = ACTIONS(7023),
    [anon_sym_BSLASHeqref] = ACTIONS(7023),
    [anon_sym_BSLASHvref] = ACTIONS(7023),
    [anon_sym_BSLASHVref] = ACTIONS(7023),
    [anon_sym_BSLASHautoref] = ACTIONS(7023),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHpageref] = ACTIONS(7023),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHautopageref] = ACTIONS(7023),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcref] = ACTIONS(7023),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHCref] = ACTIONS(7023),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcpageref] = ACTIONS(7023),
    [anon_sym_BSLASHCpageref] = ACTIONS(7023),
    [anon_sym_BSLASHnamecref] = ACTIONS(7023),
    [anon_sym_BSLASHnameCref] = ACTIONS(7023),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7023),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7023),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7023),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7023),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7023),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7023),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7023),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7023),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7023),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7023),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7023),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7023),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7023),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7023),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7023),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7023),
    [anon_sym_BSLASHdef] = ACTIONS(7023),
    [anon_sym_BSLASHgdef] = ACTIONS(7023),
    [anon_sym_BSLASHedef] = ACTIONS(7023),
    [anon_sym_BSLASHxdef] = ACTIONS(7023),
    [anon_sym_BSLASHlet] = ACTIONS(7023),
    [anon_sym_BSLASHglet] = ACTIONS(7023),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7023),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7023),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7023),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7023),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7023),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7023),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7023),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7023),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7023),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7023),
    [anon_sym_BSLASHgls] = ACTIONS(7023),
    [anon_sym_BSLASHGls] = ACTIONS(7023),
    [anon_sym_BSLASHGLS] = ACTIONS(7023),
    [anon_sym_BSLASHglspl] = ACTIONS(7023),
    [anon_sym_BSLASHGlspl] = ACTIONS(7023),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7023),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7023),
    [anon_sym_BSLASHglslink] = ACTIONS(7023),
    [anon_sym_BSLASHglstext] = ACTIONS(7023),
    [anon_sym_BSLASHGlstext] = ACTIONS(7023),
    [anon_sym_BSLASHGLStext] = ACTIONS(7023),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7023),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7023),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7023),
    [anon_sym_BSLASHglsplural] = ACTIONS(7023),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7023),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7023),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7023),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7023),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7023),
    [anon_sym_BSLASHglsname] = ACTIONS(7023),
    [anon_sym_BSLASHGlsname] = ACTIONS(7023),
    [anon_sym_BSLASHGLSname] = ACTIONS(7023),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7023),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7023),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7023),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7023),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7023),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7023),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7023),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7023),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7023),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7023),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7023),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7023),
    [anon_sym_BSLASHacrshort] = ACTIONS(7023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7023),
    [anon_sym_BSLASHACRshort] = ACTIONS(7023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7023),
    [anon_sym_BSLASHacrlong] = ACTIONS(7023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7023),
    [anon_sym_BSLASHACRlong] = ACTIONS(7023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7023),
    [anon_sym_BSLASHacrfull] = ACTIONS(7023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7023),
    [anon_sym_BSLASHACRfull] = ACTIONS(7023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7023),
    [anon_sym_BSLASHacs] = ACTIONS(7023),
    [anon_sym_BSLASHAcs] = ACTIONS(7023),
    [anon_sym_BSLASHacsp] = ACTIONS(7023),
    [anon_sym_BSLASHAcsp] = ACTIONS(7023),
    [anon_sym_BSLASHacl] = ACTIONS(7023),
    [anon_sym_BSLASHAcl] = ACTIONS(7023),
    [anon_sym_BSLASHaclp] = ACTIONS(7023),
    [anon_sym_BSLASHAclp] = ACTIONS(7023),
    [anon_sym_BSLASHacf] = ACTIONS(7023),
    [anon_sym_BSLASHAcf] = ACTIONS(7023),
    [anon_sym_BSLASHacfp] = ACTIONS(7023),
    [anon_sym_BSLASHAcfp] = ACTIONS(7023),
    [anon_sym_BSLASHac] = ACTIONS(7023),
    [anon_sym_BSLASHAc] = ACTIONS(7023),
    [anon_sym_BSLASHacp] = ACTIONS(7023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7023),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7023),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7023),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7023),
    [anon_sym_BSLASHcolor] = ACTIONS(7023),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7023),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7023),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7023),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7023),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7023),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7023),
    [anon_sym_BSLASHurl] = ACTIONS(7023),
    [anon_sym_BSLASHhref] = ACTIONS(7023),
  },
  [543] = {
    [sym_command_name] = ACTIONS(7027),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7027),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [anon_sym_RBRACK] = ACTIONS(7029),
    [anon_sym_COMMA] = ACTIONS(7029),
    [anon_sym_EQ] = ACTIONS(7029),
    [anon_sym_LPAREN] = ACTIONS(7029),
    [anon_sym_RPAREN] = ACTIONS(7029),
    [anon_sym_BSLASHpart] = ACTIONS(7027),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHaddpart] = ACTIONS(7027),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHchapter] = ACTIONS(7027),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHaddchap] = ACTIONS(7027),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHsection] = ACTIONS(7027),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHaddsec] = ACTIONS(7027),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHsubsection] = ACTIONS(7027),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7027),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHparagraph] = ACTIONS(7027),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7027),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHitem] = ACTIONS(7027),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7029),
    [anon_sym_LBRACE] = ACTIONS(7029),
    [sym_word] = ACTIONS(7027),
    [sym_placeholder] = ACTIONS(7029),
    [sym_delimiter] = ACTIONS(7029),
    [anon_sym_PLUS] = ACTIONS(7029),
    [anon_sym_DASH] = ACTIONS(7029),
    [anon_sym_STAR] = ACTIONS(7029),
    [anon_sym_SLASH] = ACTIONS(7029),
    [anon_sym_LT] = ACTIONS(7027),
    [anon_sym_GT] = ACTIONS(7027),
    [anon_sym_BANG] = ACTIONS(7027),
    [anon_sym_PIPE] = ACTIONS(7027),
    [anon_sym_COLON] = ACTIONS(7027),
    [anon_sym_SQUOTE] = ACTIONS(7027),
    [anon_sym__] = ACTIONS(7029),
    [anon_sym_CARET] = ACTIONS(7029),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7029),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7029),
    [anon_sym_DOLLAR] = ACTIONS(7027),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7029),
    [anon_sym_BSLASHleft] = ACTIONS(7027),
    [anon_sym_BSLASHbigl] = ACTIONS(7027),
    [anon_sym_BSLASHBigl] = ACTIONS(7027),
    [anon_sym_BSLASHbiggl] = ACTIONS(7027),
    [anon_sym_BSLASHBiggl] = ACTIONS(7027),
    [anon_sym_BSLASHright] = ACTIONS(7027),
    [anon_sym_BSLASHbigr] = ACTIONS(7027),
    [anon_sym_BSLASHBigr] = ACTIONS(7027),
    [anon_sym_BSLASHbiggr] = ACTIONS(7027),
    [anon_sym_BSLASHBiggr] = ACTIONS(7027),
    [anon_sym_BSLASHtext] = ACTIONS(7027),
    [anon_sym_BSLASHintertext] = ACTIONS(7027),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7027),
    [anon_sym_BSLASHbegin] = ACTIONS(7027),
    [anon_sym_BSLASHtitle] = ACTIONS(7027),
    [anon_sym_BSLASHauthor] = ACTIONS(7027),
    [anon_sym_BSLASHusepackage] = ACTIONS(7027),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7027),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7027),
    [anon_sym_BSLASHinclude] = ACTIONS(7027),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7027),
    [anon_sym_BSLASHinput] = ACTIONS(7027),
    [anon_sym_BSLASHsubfile] = ACTIONS(7027),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7027),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7027),
    [anon_sym_BSLASHbibliography] = ACTIONS(7027),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7027),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7027),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7027),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7027),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7027),
    [anon_sym_BSLASHimport] = ACTIONS(7027),
    [anon_sym_BSLASHsubimport] = ACTIONS(7027),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7027),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7027),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7027),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7027),
    [anon_sym_BSLASHcaption] = ACTIONS(7027),
    [anon_sym_BSLASHcite] = ACTIONS(7027),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHCite] = ACTIONS(7027),
    [anon_sym_BSLASHnocite] = ACTIONS(7027),
    [anon_sym_BSLASHcitet] = ACTIONS(7027),
    [anon_sym_BSLASHcitep] = ACTIONS(7027),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHciteA] = ACTIONS(7027),
    [anon_sym_BSLASHciteR] = ACTIONS(7027),
    [anon_sym_BSLASHciteS] = ACTIONS(7027),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7027),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7027),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7027),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7027),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHciteyear] = ACTIONS(7027),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcitedate] = ACTIONS(7027),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHciteurl] = ACTIONS(7027),
    [anon_sym_BSLASHfullcite] = ACTIONS(7027),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7027),
    [anon_sym_BSLASHcitealt] = ACTIONS(7027),
    [anon_sym_BSLASHcitealp] = ACTIONS(7027),
    [anon_sym_BSLASHcitetext] = ACTIONS(7027),
    [anon_sym_BSLASHparencite] = ACTIONS(7027),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHParencite] = ACTIONS(7027),
    [anon_sym_BSLASHfootcite] = ACTIONS(7027),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7027),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7027),
    [anon_sym_BSLASHtextcite] = ACTIONS(7027),
    [anon_sym_BSLASHTextcite] = ACTIONS(7027),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7027),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7027),
    [anon_sym_BSLASHsupercite] = ACTIONS(7027),
    [anon_sym_BSLASHautocite] = ACTIONS(7027),
    [anon_sym_BSLASHAutocite] = ACTIONS(7027),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHVolcite] = ACTIONS(7027),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHavolcite] = ACTIONS(7027),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHnotecite] = ACTIONS(7027),
    [anon_sym_BSLASHNotecite] = ACTIONS(7027),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7027),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7027),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7027),
    [anon_sym_BSLASHlabel] = ACTIONS(7027),
    [anon_sym_BSLASHref] = ACTIONS(7027),
    [anon_sym_BSLASHeqref] = ACTIONS(7027),
    [anon_sym_BSLASHvref] = ACTIONS(7027),
    [anon_sym_BSLASHVref] = ACTIONS(7027),
    [anon_sym_BSLASHautoref] = ACTIONS(7027),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHpageref] = ACTIONS(7027),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHautopageref] = ACTIONS(7027),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcref] = ACTIONS(7027),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHCref] = ACTIONS(7027),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcpageref] = ACTIONS(7027),
    [anon_sym_BSLASHCpageref] = ACTIONS(7027),
    [anon_sym_BSLASHnamecref] = ACTIONS(7027),
    [anon_sym_BSLASHnameCref] = ACTIONS(7027),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7027),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7027),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7027),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7027),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7027),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7027),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7027),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7027),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7027),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7027),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7027),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7027),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7027),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7027),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7027),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7027),
    [anon_sym_BSLASHdef] = ACTIONS(7027),
    [anon_sym_BSLASHgdef] = ACTIONS(7027),
    [anon_sym_BSLASHedef] = ACTIONS(7027),
    [anon_sym_BSLASHxdef] = ACTIONS(7027),
    [anon_sym_BSLASHlet] = ACTIONS(7027),
    [anon_sym_BSLASHglet] = ACTIONS(7027),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7027),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7027),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7027),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7027),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7027),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7027),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7027),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7027),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7027),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7027),
    [anon_sym_BSLASHgls] = ACTIONS(7027),
    [anon_sym_BSLASHGls] = ACTIONS(7027),
    [anon_sym_BSLASHGLS] = ACTIONS(7027),
    [anon_sym_BSLASHglspl] = ACTIONS(7027),
    [anon_sym_BSLASHGlspl] = ACTIONS(7027),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7027),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7027),
    [anon_sym_BSLASHglslink] = ACTIONS(7027),
    [anon_sym_BSLASHglstext] = ACTIONS(7027),
    [anon_sym_BSLASHGlstext] = ACTIONS(7027),
    [anon_sym_BSLASHGLStext] = ACTIONS(7027),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7027),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7027),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7027),
    [anon_sym_BSLASHglsplural] = ACTIONS(7027),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7027),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7027),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7027),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7027),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7027),
    [anon_sym_BSLASHglsname] = ACTIONS(7027),
    [anon_sym_BSLASHGlsname] = ACTIONS(7027),
    [anon_sym_BSLASHGLSname] = ACTIONS(7027),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7027),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7027),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7027),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7027),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7027),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7027),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7027),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7027),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7027),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7027),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7027),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7027),
    [anon_sym_BSLASHacrshort] = ACTIONS(7027),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7027),
    [anon_sym_BSLASHACRshort] = ACTIONS(7027),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7027),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7027),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7027),
    [anon_sym_BSLASHacrlong] = ACTIONS(7027),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7027),
    [anon_sym_BSLASHACRlong] = ACTIONS(7027),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7027),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7027),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7027),
    [anon_sym_BSLASHacrfull] = ACTIONS(7027),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7027),
    [anon_sym_BSLASHACRfull] = ACTIONS(7027),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7027),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7027),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7027),
    [anon_sym_BSLASHacs] = ACTIONS(7027),
    [anon_sym_BSLASHAcs] = ACTIONS(7027),
    [anon_sym_BSLASHacsp] = ACTIONS(7027),
    [anon_sym_BSLASHAcsp] = ACTIONS(7027),
    [anon_sym_BSLASHacl] = ACTIONS(7027),
    [anon_sym_BSLASHAcl] = ACTIONS(7027),
    [anon_sym_BSLASHaclp] = ACTIONS(7027),
    [anon_sym_BSLASHAclp] = ACTIONS(7027),
    [anon_sym_BSLASHacf] = ACTIONS(7027),
    [anon_sym_BSLASHAcf] = ACTIONS(7027),
    [anon_sym_BSLASHacfp] = ACTIONS(7027),
    [anon_sym_BSLASHAcfp] = ACTIONS(7027),
    [anon_sym_BSLASHac] = ACTIONS(7027),
    [anon_sym_BSLASHAc] = ACTIONS(7027),
    [anon_sym_BSLASHacp] = ACTIONS(7027),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7027),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7027),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7027),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7027),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7027),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7027),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7027),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7027),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7027),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7027),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7027),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7027),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7027),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7027),
    [anon_sym_BSLASHcolor] = ACTIONS(7027),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7027),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7027),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7027),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7027),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7027),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7027),
    [anon_sym_BSLASHurl] = ACTIONS(7027),
    [anon_sym_BSLASHhref] = ACTIONS(7027),
  },
  [544] = {
    [sym_command_name] = ACTIONS(7031),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7031),
    [anon_sym_LBRACK] = ACTIONS(7033),
    [anon_sym_RBRACK] = ACTIONS(7033),
    [anon_sym_COMMA] = ACTIONS(7033),
    [anon_sym_EQ] = ACTIONS(7033),
    [anon_sym_LPAREN] = ACTIONS(7033),
    [anon_sym_RPAREN] = ACTIONS(7033),
    [anon_sym_BSLASHpart] = ACTIONS(7031),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHaddpart] = ACTIONS(7031),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHchapter] = ACTIONS(7031),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHaddchap] = ACTIONS(7031),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHsection] = ACTIONS(7031),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHaddsec] = ACTIONS(7031),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHsubsection] = ACTIONS(7031),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7031),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHparagraph] = ACTIONS(7031),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7031),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHitem] = ACTIONS(7031),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7033),
    [anon_sym_LBRACE] = ACTIONS(7033),
    [sym_word] = ACTIONS(7031),
    [sym_placeholder] = ACTIONS(7033),
    [sym_delimiter] = ACTIONS(7033),
    [anon_sym_PLUS] = ACTIONS(7033),
    [anon_sym_DASH] = ACTIONS(7033),
    [anon_sym_STAR] = ACTIONS(7033),
    [anon_sym_SLASH] = ACTIONS(7033),
    [anon_sym_LT] = ACTIONS(7031),
    [anon_sym_GT] = ACTIONS(7031),
    [anon_sym_BANG] = ACTIONS(7031),
    [anon_sym_PIPE] = ACTIONS(7031),
    [anon_sym_COLON] = ACTIONS(7031),
    [anon_sym_SQUOTE] = ACTIONS(7031),
    [anon_sym__] = ACTIONS(7033),
    [anon_sym_CARET] = ACTIONS(7033),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7033),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7033),
    [anon_sym_DOLLAR] = ACTIONS(7031),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7033),
    [anon_sym_BSLASHleft] = ACTIONS(7031),
    [anon_sym_BSLASHbigl] = ACTIONS(7031),
    [anon_sym_BSLASHBigl] = ACTIONS(7031),
    [anon_sym_BSLASHbiggl] = ACTIONS(7031),
    [anon_sym_BSLASHBiggl] = ACTIONS(7031),
    [anon_sym_BSLASHright] = ACTIONS(7031),
    [anon_sym_BSLASHbigr] = ACTIONS(7031),
    [anon_sym_BSLASHBigr] = ACTIONS(7031),
    [anon_sym_BSLASHbiggr] = ACTIONS(7031),
    [anon_sym_BSLASHBiggr] = ACTIONS(7031),
    [anon_sym_BSLASHtext] = ACTIONS(7031),
    [anon_sym_BSLASHintertext] = ACTIONS(7031),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7031),
    [anon_sym_BSLASHbegin] = ACTIONS(7031),
    [anon_sym_BSLASHtitle] = ACTIONS(7031),
    [anon_sym_BSLASHauthor] = ACTIONS(7031),
    [anon_sym_BSLASHusepackage] = ACTIONS(7031),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7031),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7031),
    [anon_sym_BSLASHinclude] = ACTIONS(7031),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7031),
    [anon_sym_BSLASHinput] = ACTIONS(7031),
    [anon_sym_BSLASHsubfile] = ACTIONS(7031),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7031),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7031),
    [anon_sym_BSLASHbibliography] = ACTIONS(7031),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7031),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7031),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7031),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7031),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7031),
    [anon_sym_BSLASHimport] = ACTIONS(7031),
    [anon_sym_BSLASHsubimport] = ACTIONS(7031),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7031),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7031),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7031),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7031),
    [anon_sym_BSLASHcaption] = ACTIONS(7031),
    [anon_sym_BSLASHcite] = ACTIONS(7031),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHCite] = ACTIONS(7031),
    [anon_sym_BSLASHnocite] = ACTIONS(7031),
    [anon_sym_BSLASHcitet] = ACTIONS(7031),
    [anon_sym_BSLASHcitep] = ACTIONS(7031),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHciteA] = ACTIONS(7031),
    [anon_sym_BSLASHciteR] = ACTIONS(7031),
    [anon_sym_BSLASHciteS] = ACTIONS(7031),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7031),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7031),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7031),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7031),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHciteyear] = ACTIONS(7031),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcitedate] = ACTIONS(7031),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHciteurl] = ACTIONS(7031),
    [anon_sym_BSLASHfullcite] = ACTIONS(7031),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7031),
    [anon_sym_BSLASHcitealt] = ACTIONS(7031),
    [anon_sym_BSLASHcitealp] = ACTIONS(7031),
    [anon_sym_BSLASHcitetext] = ACTIONS(7031),
    [anon_sym_BSLASHparencite] = ACTIONS(7031),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHParencite] = ACTIONS(7031),
    [anon_sym_BSLASHfootcite] = ACTIONS(7031),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7031),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7031),
    [anon_sym_BSLASHtextcite] = ACTIONS(7031),
    [anon_sym_BSLASHTextcite] = ACTIONS(7031),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7031),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7031),
    [anon_sym_BSLASHsupercite] = ACTIONS(7031),
    [anon_sym_BSLASHautocite] = ACTIONS(7031),
    [anon_sym_BSLASHAutocite] = ACTIONS(7031),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHVolcite] = ACTIONS(7031),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHavolcite] = ACTIONS(7031),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHnotecite] = ACTIONS(7031),
    [anon_sym_BSLASHNotecite] = ACTIONS(7031),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7031),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7031),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7031),
    [anon_sym_BSLASHlabel] = ACTIONS(7031),
    [anon_sym_BSLASHref] = ACTIONS(7031),
    [anon_sym_BSLASHeqref] = ACTIONS(7031),
    [anon_sym_BSLASHvref] = ACTIONS(7031),
    [anon_sym_BSLASHVref] = ACTIONS(7031),
    [anon_sym_BSLASHautoref] = ACTIONS(7031),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHpageref] = ACTIONS(7031),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHautopageref] = ACTIONS(7031),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcref] = ACTIONS(7031),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHCref] = ACTIONS(7031),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcpageref] = ACTIONS(7031),
    [anon_sym_BSLASHCpageref] = ACTIONS(7031),
    [anon_sym_BSLASHnamecref] = ACTIONS(7031),
    [anon_sym_BSLASHnameCref] = ACTIONS(7031),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7031),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7031),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7031),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7031),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7031),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7031),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7031),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7031),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7031),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7031),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7031),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7031),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7031),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7031),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7031),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7031),
    [anon_sym_BSLASHdef] = ACTIONS(7031),
    [anon_sym_BSLASHgdef] = ACTIONS(7031),
    [anon_sym_BSLASHedef] = ACTIONS(7031),
    [anon_sym_BSLASHxdef] = ACTIONS(7031),
    [anon_sym_BSLASHlet] = ACTIONS(7031),
    [anon_sym_BSLASHglet] = ACTIONS(7031),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7031),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7031),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7031),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7031),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7031),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7031),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7031),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7031),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7031),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7031),
    [anon_sym_BSLASHgls] = ACTIONS(7031),
    [anon_sym_BSLASHGls] = ACTIONS(7031),
    [anon_sym_BSLASHGLS] = ACTIONS(7031),
    [anon_sym_BSLASHglspl] = ACTIONS(7031),
    [anon_sym_BSLASHGlspl] = ACTIONS(7031),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7031),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7031),
    [anon_sym_BSLASHglslink] = ACTIONS(7031),
    [anon_sym_BSLASHglstext] = ACTIONS(7031),
    [anon_sym_BSLASHGlstext] = ACTIONS(7031),
    [anon_sym_BSLASHGLStext] = ACTIONS(7031),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7031),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7031),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7031),
    [anon_sym_BSLASHglsplural] = ACTIONS(7031),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7031),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7031),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7031),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7031),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7031),
    [anon_sym_BSLASHglsname] = ACTIONS(7031),
    [anon_sym_BSLASHGlsname] = ACTIONS(7031),
    [anon_sym_BSLASHGLSname] = ACTIONS(7031),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7031),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7031),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7031),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7031),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7031),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7031),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7031),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7031),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7031),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7031),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7031),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7031),
    [anon_sym_BSLASHacrshort] = ACTIONS(7031),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7031),
    [anon_sym_BSLASHACRshort] = ACTIONS(7031),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7031),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7031),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7031),
    [anon_sym_BSLASHacrlong] = ACTIONS(7031),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7031),
    [anon_sym_BSLASHACRlong] = ACTIONS(7031),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7031),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7031),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7031),
    [anon_sym_BSLASHacrfull] = ACTIONS(7031),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7031),
    [anon_sym_BSLASHACRfull] = ACTIONS(7031),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7031),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7031),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7031),
    [anon_sym_BSLASHacs] = ACTIONS(7031),
    [anon_sym_BSLASHAcs] = ACTIONS(7031),
    [anon_sym_BSLASHacsp] = ACTIONS(7031),
    [anon_sym_BSLASHAcsp] = ACTIONS(7031),
    [anon_sym_BSLASHacl] = ACTIONS(7031),
    [anon_sym_BSLASHAcl] = ACTIONS(7031),
    [anon_sym_BSLASHaclp] = ACTIONS(7031),
    [anon_sym_BSLASHAclp] = ACTIONS(7031),
    [anon_sym_BSLASHacf] = ACTIONS(7031),
    [anon_sym_BSLASHAcf] = ACTIONS(7031),
    [anon_sym_BSLASHacfp] = ACTIONS(7031),
    [anon_sym_BSLASHAcfp] = ACTIONS(7031),
    [anon_sym_BSLASHac] = ACTIONS(7031),
    [anon_sym_BSLASHAc] = ACTIONS(7031),
    [anon_sym_BSLASHacp] = ACTIONS(7031),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7031),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7031),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7031),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7031),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7031),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7031),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7031),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7031),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7031),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7031),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7031),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7031),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7031),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7031),
    [anon_sym_BSLASHcolor] = ACTIONS(7031),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7031),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7031),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7031),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7031),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7031),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7031),
    [anon_sym_BSLASHurl] = ACTIONS(7031),
    [anon_sym_BSLASHhref] = ACTIONS(7031),
  },
  [545] = {
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(528),
    [aux_sym__section_repeat4] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(6529),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [anon_sym_RBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [546] = {
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(529),
    [aux_sym__section_repeat5] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(6529),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [anon_sym_RBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [547] = {
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(526),
    [aux_sym__section_repeat2] = STATE(526),
    [ts_builtin_sym_end] = ACTIONS(6529),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [anon_sym_RBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [548] = {
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(527),
    [aux_sym__section_repeat3] = STATE(527),
    [ts_builtin_sym_end] = ACTIONS(6529),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [anon_sym_RBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [549] = {
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(528),
    [aux_sym__section_repeat4] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(6529),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [anon_sym_RBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [550] = {
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(529),
    [aux_sym__section_repeat5] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(6529),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [anon_sym_RBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [551] = {
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(527),
    [aux_sym__section_repeat3] = STATE(527),
    [ts_builtin_sym_end] = ACTIONS(6533),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [anon_sym_RBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [552] = {
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(528),
    [aux_sym__section_repeat4] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(6533),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(6531),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddsec] = ACTIONS(6531),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [anon_sym_RBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [553] = {
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(527),
    [aux_sym__section_repeat3] = STATE(527),
    [ts_builtin_sym_end] = ACTIONS(6533),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [anon_sym_RBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [554] = {
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(528),
    [aux_sym__section_repeat4] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(6533),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(6531),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddsec] = ACTIONS(6531),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [anon_sym_RBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [555] = {
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(529),
    [aux_sym__section_repeat5] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(6533),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(6531),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddsec] = ACTIONS(6531),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [anon_sym_RBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [556] = {
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(528),
    [aux_sym__section_repeat4] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(6537),
    [sym_command_name] = ACTIONS(6535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6535),
    [anon_sym_LBRACK] = ACTIONS(6537),
    [anon_sym_RBRACK] = ACTIONS(6537),
    [anon_sym_COMMA] = ACTIONS(6537),
    [anon_sym_EQ] = ACTIONS(6537),
    [anon_sym_LPAREN] = ACTIONS(6537),
    [anon_sym_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHpart] = ACTIONS(6535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddpart] = ACTIONS(6535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHchapter] = ACTIONS(6535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddchap] = ACTIONS(6535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsection] = ACTIONS(6535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddsec] = ACTIONS(6535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6535),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHitem] = ACTIONS(6535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6537),
    [anon_sym_LBRACE] = ACTIONS(6537),
    [anon_sym_RBRACE] = ACTIONS(6537),
    [sym_word] = ACTIONS(6535),
    [sym_placeholder] = ACTIONS(6537),
    [sym_delimiter] = ACTIONS(6537),
    [anon_sym_PLUS] = ACTIONS(6537),
    [anon_sym_DASH] = ACTIONS(6537),
    [anon_sym_STAR] = ACTIONS(6537),
    [anon_sym_SLASH] = ACTIONS(6537),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_BANG] = ACTIONS(6535),
    [anon_sym_PIPE] = ACTIONS(6535),
    [anon_sym_COLON] = ACTIONS(6535),
    [anon_sym_SQUOTE] = ACTIONS(6535),
    [anon_sym__] = ACTIONS(6537),
    [anon_sym_CARET] = ACTIONS(6537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6537),
    [anon_sym_DOLLAR] = ACTIONS(6535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHleft] = ACTIONS(6535),
    [anon_sym_BSLASHbigl] = ACTIONS(6535),
    [anon_sym_BSLASHBigl] = ACTIONS(6535),
    [anon_sym_BSLASHbiggl] = ACTIONS(6535),
    [anon_sym_BSLASHBiggl] = ACTIONS(6535),
    [anon_sym_BSLASHtext] = ACTIONS(6535),
    [anon_sym_BSLASHintertext] = ACTIONS(6535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6535),
    [anon_sym_BSLASHbegin] = ACTIONS(6535),
    [anon_sym_BSLASHtitle] = ACTIONS(6535),
    [anon_sym_BSLASHauthor] = ACTIONS(6535),
    [anon_sym_BSLASHusepackage] = ACTIONS(6535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6535),
    [anon_sym_BSLASHinclude] = ACTIONS(6535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6535),
    [anon_sym_BSLASHinput] = ACTIONS(6535),
    [anon_sym_BSLASHsubfile] = ACTIONS(6535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6535),
    [anon_sym_BSLASHbibliography] = ACTIONS(6535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6535),
    [anon_sym_BSLASHimport] = ACTIONS(6535),
    [anon_sym_BSLASHsubimport] = ACTIONS(6535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHcaption] = ACTIONS(6535),
    [anon_sym_BSLASHcite] = ACTIONS(6535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCite] = ACTIONS(6535),
    [anon_sym_BSLASHnocite] = ACTIONS(6535),
    [anon_sym_BSLASHcitet] = ACTIONS(6535),
    [anon_sym_BSLASHcitep] = ACTIONS(6535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteA] = ACTIONS(6535),
    [anon_sym_BSLASHciteR] = ACTIONS(6535),
    [anon_sym_BSLASHciteS] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteyear] = ACTIONS(6535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitedate] = ACTIONS(6535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteurl] = ACTIONS(6535),
    [anon_sym_BSLASHfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6535),
    [anon_sym_BSLASHcitealt] = ACTIONS(6535),
    [anon_sym_BSLASHcitealp] = ACTIONS(6535),
    [anon_sym_BSLASHcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHparencite] = ACTIONS(6535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHParencite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHtextcite] = ACTIONS(6535),
    [anon_sym_BSLASHTextcite] = ACTIONS(6535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHsupercite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite] = ACTIONS(6535),
    [anon_sym_BSLASHAutocite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHVolcite] = ACTIONS(6535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHavolcite] = ACTIONS(6535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHNotecite] = ACTIONS(6535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHlabel] = ACTIONS(6535),
    [anon_sym_BSLASHref] = ACTIONS(6535),
    [anon_sym_BSLASHeqref] = ACTIONS(6535),
    [anon_sym_BSLASHvref] = ACTIONS(6535),
    [anon_sym_BSLASHVref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHpageref] = ACTIONS(6535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHautopageref] = ACTIONS(6535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcref] = ACTIONS(6535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCref] = ACTIONS(6535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHCpageref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnameCref] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHdef] = ACTIONS(6535),
    [anon_sym_BSLASHgdef] = ACTIONS(6535),
    [anon_sym_BSLASHedef] = ACTIONS(6535),
    [anon_sym_BSLASHxdef] = ACTIONS(6535),
    [anon_sym_BSLASHlet] = ACTIONS(6535),
    [anon_sym_BSLASHglet] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6535),
    [anon_sym_BSLASHgls] = ACTIONS(6535),
    [anon_sym_BSLASHGls] = ACTIONS(6535),
    [anon_sym_BSLASHGLS] = ACTIONS(6535),
    [anon_sym_BSLASHglspl] = ACTIONS(6535),
    [anon_sym_BSLASHGlspl] = ACTIONS(6535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6535),
    [anon_sym_BSLASHglslink] = ACTIONS(6535),
    [anon_sym_BSLASHglstext] = ACTIONS(6535),
    [anon_sym_BSLASHGlstext] = ACTIONS(6535),
    [anon_sym_BSLASHGLStext] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6535),
    [anon_sym_BSLASHglsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsname] = ACTIONS(6535),
    [anon_sym_BSLASHGlsname] = ACTIONS(6535),
    [anon_sym_BSLASHGLSname] = ACTIONS(6535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6535),
    [anon_sym_BSLASHacrshort] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6535),
    [anon_sym_BSLASHACRshort] = ACTIONS(6535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrlong] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6535),
    [anon_sym_BSLASHACRlong] = ACTIONS(6535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrfull] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6535),
    [anon_sym_BSLASHACRfull] = ACTIONS(6535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHacs] = ACTIONS(6535),
    [anon_sym_BSLASHAcs] = ACTIONS(6535),
    [anon_sym_BSLASHacsp] = ACTIONS(6535),
    [anon_sym_BSLASHAcsp] = ACTIONS(6535),
    [anon_sym_BSLASHacl] = ACTIONS(6535),
    [anon_sym_BSLASHAcl] = ACTIONS(6535),
    [anon_sym_BSLASHaclp] = ACTIONS(6535),
    [anon_sym_BSLASHAclp] = ACTIONS(6535),
    [anon_sym_BSLASHacf] = ACTIONS(6535),
    [anon_sym_BSLASHAcf] = ACTIONS(6535),
    [anon_sym_BSLASHacfp] = ACTIONS(6535),
    [anon_sym_BSLASHAcfp] = ACTIONS(6535),
    [anon_sym_BSLASHac] = ACTIONS(6535),
    [anon_sym_BSLASHAc] = ACTIONS(6535),
    [anon_sym_BSLASHacp] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6535),
    [anon_sym_BSLASHcolor] = ACTIONS(6535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6535),
    [anon_sym_BSLASHurl] = ACTIONS(6535),
    [anon_sym_BSLASHhref] = ACTIONS(6535),
  },
  [557] = {
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(529),
    [aux_sym__section_repeat5] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(6537),
    [sym_command_name] = ACTIONS(6535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6535),
    [anon_sym_LBRACK] = ACTIONS(6537),
    [anon_sym_RBRACK] = ACTIONS(6537),
    [anon_sym_COMMA] = ACTIONS(6537),
    [anon_sym_EQ] = ACTIONS(6537),
    [anon_sym_LPAREN] = ACTIONS(6537),
    [anon_sym_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHpart] = ACTIONS(6535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddpart] = ACTIONS(6535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHchapter] = ACTIONS(6535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddchap] = ACTIONS(6535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsection] = ACTIONS(6535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddsec] = ACTIONS(6535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsection] = ACTIONS(6535),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHitem] = ACTIONS(6535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6537),
    [anon_sym_LBRACE] = ACTIONS(6537),
    [anon_sym_RBRACE] = ACTIONS(6537),
    [sym_word] = ACTIONS(6535),
    [sym_placeholder] = ACTIONS(6537),
    [sym_delimiter] = ACTIONS(6537),
    [anon_sym_PLUS] = ACTIONS(6537),
    [anon_sym_DASH] = ACTIONS(6537),
    [anon_sym_STAR] = ACTIONS(6537),
    [anon_sym_SLASH] = ACTIONS(6537),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_BANG] = ACTIONS(6535),
    [anon_sym_PIPE] = ACTIONS(6535),
    [anon_sym_COLON] = ACTIONS(6535),
    [anon_sym_SQUOTE] = ACTIONS(6535),
    [anon_sym__] = ACTIONS(6537),
    [anon_sym_CARET] = ACTIONS(6537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6537),
    [anon_sym_DOLLAR] = ACTIONS(6535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHleft] = ACTIONS(6535),
    [anon_sym_BSLASHbigl] = ACTIONS(6535),
    [anon_sym_BSLASHBigl] = ACTIONS(6535),
    [anon_sym_BSLASHbiggl] = ACTIONS(6535),
    [anon_sym_BSLASHBiggl] = ACTIONS(6535),
    [anon_sym_BSLASHtext] = ACTIONS(6535),
    [anon_sym_BSLASHintertext] = ACTIONS(6535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6535),
    [anon_sym_BSLASHbegin] = ACTIONS(6535),
    [anon_sym_BSLASHtitle] = ACTIONS(6535),
    [anon_sym_BSLASHauthor] = ACTIONS(6535),
    [anon_sym_BSLASHusepackage] = ACTIONS(6535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6535),
    [anon_sym_BSLASHinclude] = ACTIONS(6535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6535),
    [anon_sym_BSLASHinput] = ACTIONS(6535),
    [anon_sym_BSLASHsubfile] = ACTIONS(6535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6535),
    [anon_sym_BSLASHbibliography] = ACTIONS(6535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6535),
    [anon_sym_BSLASHimport] = ACTIONS(6535),
    [anon_sym_BSLASHsubimport] = ACTIONS(6535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHcaption] = ACTIONS(6535),
    [anon_sym_BSLASHcite] = ACTIONS(6535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCite] = ACTIONS(6535),
    [anon_sym_BSLASHnocite] = ACTIONS(6535),
    [anon_sym_BSLASHcitet] = ACTIONS(6535),
    [anon_sym_BSLASHcitep] = ACTIONS(6535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteA] = ACTIONS(6535),
    [anon_sym_BSLASHciteR] = ACTIONS(6535),
    [anon_sym_BSLASHciteS] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteyear] = ACTIONS(6535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitedate] = ACTIONS(6535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteurl] = ACTIONS(6535),
    [anon_sym_BSLASHfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6535),
    [anon_sym_BSLASHcitealt] = ACTIONS(6535),
    [anon_sym_BSLASHcitealp] = ACTIONS(6535),
    [anon_sym_BSLASHcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHparencite] = ACTIONS(6535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHParencite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHtextcite] = ACTIONS(6535),
    [anon_sym_BSLASHTextcite] = ACTIONS(6535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHsupercite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite] = ACTIONS(6535),
    [anon_sym_BSLASHAutocite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHVolcite] = ACTIONS(6535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHavolcite] = ACTIONS(6535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHNotecite] = ACTIONS(6535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHlabel] = ACTIONS(6535),
    [anon_sym_BSLASHref] = ACTIONS(6535),
    [anon_sym_BSLASHeqref] = ACTIONS(6535),
    [anon_sym_BSLASHvref] = ACTIONS(6535),
    [anon_sym_BSLASHVref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHpageref] = ACTIONS(6535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHautopageref] = ACTIONS(6535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcref] = ACTIONS(6535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCref] = ACTIONS(6535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHCpageref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnameCref] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHdef] = ACTIONS(6535),
    [anon_sym_BSLASHgdef] = ACTIONS(6535),
    [anon_sym_BSLASHedef] = ACTIONS(6535),
    [anon_sym_BSLASHxdef] = ACTIONS(6535),
    [anon_sym_BSLASHlet] = ACTIONS(6535),
    [anon_sym_BSLASHglet] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6535),
    [anon_sym_BSLASHgls] = ACTIONS(6535),
    [anon_sym_BSLASHGls] = ACTIONS(6535),
    [anon_sym_BSLASHGLS] = ACTIONS(6535),
    [anon_sym_BSLASHglspl] = ACTIONS(6535),
    [anon_sym_BSLASHGlspl] = ACTIONS(6535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6535),
    [anon_sym_BSLASHglslink] = ACTIONS(6535),
    [anon_sym_BSLASHglstext] = ACTIONS(6535),
    [anon_sym_BSLASHGlstext] = ACTIONS(6535),
    [anon_sym_BSLASHGLStext] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6535),
    [anon_sym_BSLASHglsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsname] = ACTIONS(6535),
    [anon_sym_BSLASHGlsname] = ACTIONS(6535),
    [anon_sym_BSLASHGLSname] = ACTIONS(6535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6535),
    [anon_sym_BSLASHacrshort] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6535),
    [anon_sym_BSLASHACRshort] = ACTIONS(6535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrlong] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6535),
    [anon_sym_BSLASHACRlong] = ACTIONS(6535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrfull] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6535),
    [anon_sym_BSLASHACRfull] = ACTIONS(6535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHacs] = ACTIONS(6535),
    [anon_sym_BSLASHAcs] = ACTIONS(6535),
    [anon_sym_BSLASHacsp] = ACTIONS(6535),
    [anon_sym_BSLASHAcsp] = ACTIONS(6535),
    [anon_sym_BSLASHacl] = ACTIONS(6535),
    [anon_sym_BSLASHAcl] = ACTIONS(6535),
    [anon_sym_BSLASHaclp] = ACTIONS(6535),
    [anon_sym_BSLASHAclp] = ACTIONS(6535),
    [anon_sym_BSLASHacf] = ACTIONS(6535),
    [anon_sym_BSLASHAcf] = ACTIONS(6535),
    [anon_sym_BSLASHacfp] = ACTIONS(6535),
    [anon_sym_BSLASHAcfp] = ACTIONS(6535),
    [anon_sym_BSLASHac] = ACTIONS(6535),
    [anon_sym_BSLASHAc] = ACTIONS(6535),
    [anon_sym_BSLASHacp] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6535),
    [anon_sym_BSLASHcolor] = ACTIONS(6535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6535),
    [anon_sym_BSLASHurl] = ACTIONS(6535),
    [anon_sym_BSLASHhref] = ACTIONS(6535),
  },
  [558] = {
    [sym__section_part] = STATE(1151),
    [sym_curly_group] = STATE(1146),
    [sym_brack_group] = STATE(2958),
    [ts_builtin_sym_end] = ACTIONS(6730),
    [sym_command_name] = ACTIONS(6728),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6728),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6730),
    [anon_sym_COMMA] = ACTIONS(6730),
    [anon_sym_EQ] = ACTIONS(6730),
    [anon_sym_LPAREN] = ACTIONS(6730),
    [anon_sym_RPAREN] = ACTIONS(6730),
    [anon_sym_BSLASHpart] = ACTIONS(6728),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHaddpart] = ACTIONS(6728),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHchapter] = ACTIONS(6728),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHaddchap] = ACTIONS(6728),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHsection] = ACTIONS(6728),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHaddsec] = ACTIONS(6728),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHsubsection] = ACTIONS(6728),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6728),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHparagraph] = ACTIONS(6728),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6728),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHitem] = ACTIONS(6728),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6730),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(6730),
    [sym_word] = ACTIONS(6728),
    [sym_placeholder] = ACTIONS(6730),
    [sym_delimiter] = ACTIONS(6730),
    [anon_sym_PLUS] = ACTIONS(6730),
    [anon_sym_DASH] = ACTIONS(6730),
    [anon_sym_STAR] = ACTIONS(6730),
    [anon_sym_SLASH] = ACTIONS(6730),
    [anon_sym_LT] = ACTIONS(6728),
    [anon_sym_GT] = ACTIONS(6728),
    [anon_sym_BANG] = ACTIONS(6728),
    [anon_sym_PIPE] = ACTIONS(6728),
    [anon_sym_COLON] = ACTIONS(6728),
    [anon_sym_SQUOTE] = ACTIONS(6728),
    [anon_sym__] = ACTIONS(6730),
    [anon_sym_CARET] = ACTIONS(6730),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6730),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6730),
    [anon_sym_DOLLAR] = ACTIONS(6728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6730),
    [anon_sym_BSLASHleft] = ACTIONS(6728),
    [anon_sym_BSLASHbigl] = ACTIONS(6728),
    [anon_sym_BSLASHBigl] = ACTIONS(6728),
    [anon_sym_BSLASHbiggl] = ACTIONS(6728),
    [anon_sym_BSLASHBiggl] = ACTIONS(6728),
    [anon_sym_BSLASHtext] = ACTIONS(6728),
    [anon_sym_BSLASHintertext] = ACTIONS(6728),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6728),
    [anon_sym_BSLASHbegin] = ACTIONS(6728),
    [anon_sym_BSLASHtitle] = ACTIONS(6728),
    [anon_sym_BSLASHauthor] = ACTIONS(6728),
    [anon_sym_BSLASHusepackage] = ACTIONS(6728),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6728),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6728),
    [anon_sym_BSLASHinclude] = ACTIONS(6728),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6728),
    [anon_sym_BSLASHinput] = ACTIONS(6728),
    [anon_sym_BSLASHsubfile] = ACTIONS(6728),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6728),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6728),
    [anon_sym_BSLASHbibliography] = ACTIONS(6728),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6728),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6728),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6728),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6728),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6728),
    [anon_sym_BSLASHimport] = ACTIONS(6728),
    [anon_sym_BSLASHsubimport] = ACTIONS(6728),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6728),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6728),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6728),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6728),
    [anon_sym_BSLASHcaption] = ACTIONS(6728),
    [anon_sym_BSLASHcite] = ACTIONS(6728),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHCite] = ACTIONS(6728),
    [anon_sym_BSLASHnocite] = ACTIONS(6728),
    [anon_sym_BSLASHcitet] = ACTIONS(6728),
    [anon_sym_BSLASHcitep] = ACTIONS(6728),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHciteA] = ACTIONS(6728),
    [anon_sym_BSLASHciteR] = ACTIONS(6728),
    [anon_sym_BSLASHciteS] = ACTIONS(6728),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6728),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6728),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6728),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6728),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHciteyear] = ACTIONS(6728),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcitedate] = ACTIONS(6728),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHciteurl] = ACTIONS(6728),
    [anon_sym_BSLASHfullcite] = ACTIONS(6728),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6728),
    [anon_sym_BSLASHcitealt] = ACTIONS(6728),
    [anon_sym_BSLASHcitealp] = ACTIONS(6728),
    [anon_sym_BSLASHcitetext] = ACTIONS(6728),
    [anon_sym_BSLASHparencite] = ACTIONS(6728),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHParencite] = ACTIONS(6728),
    [anon_sym_BSLASHfootcite] = ACTIONS(6728),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6728),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6728),
    [anon_sym_BSLASHtextcite] = ACTIONS(6728),
    [anon_sym_BSLASHTextcite] = ACTIONS(6728),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6728),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6728),
    [anon_sym_BSLASHsupercite] = ACTIONS(6728),
    [anon_sym_BSLASHautocite] = ACTIONS(6728),
    [anon_sym_BSLASHAutocite] = ACTIONS(6728),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHVolcite] = ACTIONS(6728),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHavolcite] = ACTIONS(6728),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHnotecite] = ACTIONS(6728),
    [anon_sym_BSLASHNotecite] = ACTIONS(6728),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6728),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6728),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6728),
    [anon_sym_BSLASHlabel] = ACTIONS(6728),
    [anon_sym_BSLASHref] = ACTIONS(6728),
    [anon_sym_BSLASHeqref] = ACTIONS(6728),
    [anon_sym_BSLASHvref] = ACTIONS(6728),
    [anon_sym_BSLASHVref] = ACTIONS(6728),
    [anon_sym_BSLASHautoref] = ACTIONS(6728),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHpageref] = ACTIONS(6728),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHautopageref] = ACTIONS(6728),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcref] = ACTIONS(6728),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHCref] = ACTIONS(6728),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcpageref] = ACTIONS(6728),
    [anon_sym_BSLASHCpageref] = ACTIONS(6728),
    [anon_sym_BSLASHnamecref] = ACTIONS(6728),
    [anon_sym_BSLASHnameCref] = ACTIONS(6728),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6728),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6728),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6728),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6728),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6728),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6728),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6728),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6728),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6728),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6728),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6728),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6728),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6728),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6728),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6728),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6728),
    [anon_sym_BSLASHdef] = ACTIONS(6728),
    [anon_sym_BSLASHgdef] = ACTIONS(6728),
    [anon_sym_BSLASHedef] = ACTIONS(6728),
    [anon_sym_BSLASHxdef] = ACTIONS(6728),
    [anon_sym_BSLASHlet] = ACTIONS(6728),
    [anon_sym_BSLASHglet] = ACTIONS(6728),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6728),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6728),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6728),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6728),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6728),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6728),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6728),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6728),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6728),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6728),
    [anon_sym_BSLASHgls] = ACTIONS(6728),
    [anon_sym_BSLASHGls] = ACTIONS(6728),
    [anon_sym_BSLASHGLS] = ACTIONS(6728),
    [anon_sym_BSLASHglspl] = ACTIONS(6728),
    [anon_sym_BSLASHGlspl] = ACTIONS(6728),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6728),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6728),
    [anon_sym_BSLASHglslink] = ACTIONS(6728),
    [anon_sym_BSLASHglstext] = ACTIONS(6728),
    [anon_sym_BSLASHGlstext] = ACTIONS(6728),
    [anon_sym_BSLASHGLStext] = ACTIONS(6728),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6728),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6728),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6728),
    [anon_sym_BSLASHglsplural] = ACTIONS(6728),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6728),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6728),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6728),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6728),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6728),
    [anon_sym_BSLASHglsname] = ACTIONS(6728),
    [anon_sym_BSLASHGlsname] = ACTIONS(6728),
    [anon_sym_BSLASHGLSname] = ACTIONS(6728),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6728),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6728),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6728),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6728),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6728),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6728),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6728),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6728),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6728),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6728),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6728),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6728),
    [anon_sym_BSLASHacrshort] = ACTIONS(6728),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6728),
    [anon_sym_BSLASHACRshort] = ACTIONS(6728),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6728),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6728),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6728),
    [anon_sym_BSLASHacrlong] = ACTIONS(6728),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6728),
    [anon_sym_BSLASHACRlong] = ACTIONS(6728),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6728),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6728),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6728),
    [anon_sym_BSLASHacrfull] = ACTIONS(6728),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6728),
    [anon_sym_BSLASHACRfull] = ACTIONS(6728),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6728),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6728),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6728),
    [anon_sym_BSLASHacs] = ACTIONS(6728),
    [anon_sym_BSLASHAcs] = ACTIONS(6728),
    [anon_sym_BSLASHacsp] = ACTIONS(6728),
    [anon_sym_BSLASHAcsp] = ACTIONS(6728),
    [anon_sym_BSLASHacl] = ACTIONS(6728),
    [anon_sym_BSLASHAcl] = ACTIONS(6728),
    [anon_sym_BSLASHaclp] = ACTIONS(6728),
    [anon_sym_BSLASHAclp] = ACTIONS(6728),
    [anon_sym_BSLASHacf] = ACTIONS(6728),
    [anon_sym_BSLASHAcf] = ACTIONS(6728),
    [anon_sym_BSLASHacfp] = ACTIONS(6728),
    [anon_sym_BSLASHAcfp] = ACTIONS(6728),
    [anon_sym_BSLASHac] = ACTIONS(6728),
    [anon_sym_BSLASHAc] = ACTIONS(6728),
    [anon_sym_BSLASHacp] = ACTIONS(6728),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6728),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6728),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6728),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6728),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6728),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6728),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6728),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6728),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6728),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6728),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6728),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6728),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6728),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6728),
    [anon_sym_BSLASHcolor] = ACTIONS(6728),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6728),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6728),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6728),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6728),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6728),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6728),
    [anon_sym_BSLASHurl] = ACTIONS(6728),
    [anon_sym_BSLASHhref] = ACTIONS(6728),
  },
  [559] = {
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(528),
    [aux_sym__section_repeat4] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(6537),
    [sym_command_name] = ACTIONS(6535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6535),
    [anon_sym_LBRACK] = ACTIONS(6537),
    [anon_sym_RBRACK] = ACTIONS(6537),
    [anon_sym_COMMA] = ACTIONS(6537),
    [anon_sym_EQ] = ACTIONS(6537),
    [anon_sym_LPAREN] = ACTIONS(6537),
    [anon_sym_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHpart] = ACTIONS(6535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddpart] = ACTIONS(6535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHchapter] = ACTIONS(6535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddchap] = ACTIONS(6535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsection] = ACTIONS(6535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddsec] = ACTIONS(6535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6535),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHitem] = ACTIONS(6535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6537),
    [anon_sym_LBRACE] = ACTIONS(6537),
    [anon_sym_RBRACE] = ACTIONS(6537),
    [sym_word] = ACTIONS(6535),
    [sym_placeholder] = ACTIONS(6537),
    [sym_delimiter] = ACTIONS(6537),
    [anon_sym_PLUS] = ACTIONS(6537),
    [anon_sym_DASH] = ACTIONS(6537),
    [anon_sym_STAR] = ACTIONS(6537),
    [anon_sym_SLASH] = ACTIONS(6537),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_BANG] = ACTIONS(6535),
    [anon_sym_PIPE] = ACTIONS(6535),
    [anon_sym_COLON] = ACTIONS(6535),
    [anon_sym_SQUOTE] = ACTIONS(6535),
    [anon_sym__] = ACTIONS(6537),
    [anon_sym_CARET] = ACTIONS(6537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6537),
    [anon_sym_DOLLAR] = ACTIONS(6535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHleft] = ACTIONS(6535),
    [anon_sym_BSLASHbigl] = ACTIONS(6535),
    [anon_sym_BSLASHBigl] = ACTIONS(6535),
    [anon_sym_BSLASHbiggl] = ACTIONS(6535),
    [anon_sym_BSLASHBiggl] = ACTIONS(6535),
    [anon_sym_BSLASHtext] = ACTIONS(6535),
    [anon_sym_BSLASHintertext] = ACTIONS(6535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6535),
    [anon_sym_BSLASHbegin] = ACTIONS(6535),
    [anon_sym_BSLASHtitle] = ACTIONS(6535),
    [anon_sym_BSLASHauthor] = ACTIONS(6535),
    [anon_sym_BSLASHusepackage] = ACTIONS(6535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6535),
    [anon_sym_BSLASHinclude] = ACTIONS(6535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6535),
    [anon_sym_BSLASHinput] = ACTIONS(6535),
    [anon_sym_BSLASHsubfile] = ACTIONS(6535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6535),
    [anon_sym_BSLASHbibliography] = ACTIONS(6535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6535),
    [anon_sym_BSLASHimport] = ACTIONS(6535),
    [anon_sym_BSLASHsubimport] = ACTIONS(6535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHcaption] = ACTIONS(6535),
    [anon_sym_BSLASHcite] = ACTIONS(6535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCite] = ACTIONS(6535),
    [anon_sym_BSLASHnocite] = ACTIONS(6535),
    [anon_sym_BSLASHcitet] = ACTIONS(6535),
    [anon_sym_BSLASHcitep] = ACTIONS(6535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteA] = ACTIONS(6535),
    [anon_sym_BSLASHciteR] = ACTIONS(6535),
    [anon_sym_BSLASHciteS] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteyear] = ACTIONS(6535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitedate] = ACTIONS(6535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteurl] = ACTIONS(6535),
    [anon_sym_BSLASHfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6535),
    [anon_sym_BSLASHcitealt] = ACTIONS(6535),
    [anon_sym_BSLASHcitealp] = ACTIONS(6535),
    [anon_sym_BSLASHcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHparencite] = ACTIONS(6535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHParencite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHtextcite] = ACTIONS(6535),
    [anon_sym_BSLASHTextcite] = ACTIONS(6535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHsupercite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite] = ACTIONS(6535),
    [anon_sym_BSLASHAutocite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHVolcite] = ACTIONS(6535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHavolcite] = ACTIONS(6535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHNotecite] = ACTIONS(6535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHlabel] = ACTIONS(6535),
    [anon_sym_BSLASHref] = ACTIONS(6535),
    [anon_sym_BSLASHeqref] = ACTIONS(6535),
    [anon_sym_BSLASHvref] = ACTIONS(6535),
    [anon_sym_BSLASHVref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHpageref] = ACTIONS(6535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHautopageref] = ACTIONS(6535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcref] = ACTIONS(6535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCref] = ACTIONS(6535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHCpageref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnameCref] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHdef] = ACTIONS(6535),
    [anon_sym_BSLASHgdef] = ACTIONS(6535),
    [anon_sym_BSLASHedef] = ACTIONS(6535),
    [anon_sym_BSLASHxdef] = ACTIONS(6535),
    [anon_sym_BSLASHlet] = ACTIONS(6535),
    [anon_sym_BSLASHglet] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6535),
    [anon_sym_BSLASHgls] = ACTIONS(6535),
    [anon_sym_BSLASHGls] = ACTIONS(6535),
    [anon_sym_BSLASHGLS] = ACTIONS(6535),
    [anon_sym_BSLASHglspl] = ACTIONS(6535),
    [anon_sym_BSLASHGlspl] = ACTIONS(6535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6535),
    [anon_sym_BSLASHglslink] = ACTIONS(6535),
    [anon_sym_BSLASHglstext] = ACTIONS(6535),
    [anon_sym_BSLASHGlstext] = ACTIONS(6535),
    [anon_sym_BSLASHGLStext] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6535),
    [anon_sym_BSLASHglsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsname] = ACTIONS(6535),
    [anon_sym_BSLASHGlsname] = ACTIONS(6535),
    [anon_sym_BSLASHGLSname] = ACTIONS(6535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6535),
    [anon_sym_BSLASHacrshort] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6535),
    [anon_sym_BSLASHACRshort] = ACTIONS(6535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrlong] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6535),
    [anon_sym_BSLASHACRlong] = ACTIONS(6535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrfull] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6535),
    [anon_sym_BSLASHACRfull] = ACTIONS(6535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHacs] = ACTIONS(6535),
    [anon_sym_BSLASHAcs] = ACTIONS(6535),
    [anon_sym_BSLASHacsp] = ACTIONS(6535),
    [anon_sym_BSLASHAcsp] = ACTIONS(6535),
    [anon_sym_BSLASHacl] = ACTIONS(6535),
    [anon_sym_BSLASHAcl] = ACTIONS(6535),
    [anon_sym_BSLASHaclp] = ACTIONS(6535),
    [anon_sym_BSLASHAclp] = ACTIONS(6535),
    [anon_sym_BSLASHacf] = ACTIONS(6535),
    [anon_sym_BSLASHAcf] = ACTIONS(6535),
    [anon_sym_BSLASHacfp] = ACTIONS(6535),
    [anon_sym_BSLASHAcfp] = ACTIONS(6535),
    [anon_sym_BSLASHac] = ACTIONS(6535),
    [anon_sym_BSLASHAc] = ACTIONS(6535),
    [anon_sym_BSLASHacp] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6535),
    [anon_sym_BSLASHcolor] = ACTIONS(6535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6535),
    [anon_sym_BSLASHurl] = ACTIONS(6535),
    [anon_sym_BSLASHhref] = ACTIONS(6535),
  },
  [560] = {
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(529),
    [aux_sym__section_repeat5] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(6537),
    [sym_command_name] = ACTIONS(6535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6535),
    [anon_sym_LBRACK] = ACTIONS(6537),
    [anon_sym_RBRACK] = ACTIONS(6537),
    [anon_sym_COMMA] = ACTIONS(6537),
    [anon_sym_EQ] = ACTIONS(6537),
    [anon_sym_LPAREN] = ACTIONS(6537),
    [anon_sym_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHpart] = ACTIONS(6535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddpart] = ACTIONS(6535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHchapter] = ACTIONS(6535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddchap] = ACTIONS(6535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsection] = ACTIONS(6535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddsec] = ACTIONS(6535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsection] = ACTIONS(6535),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHitem] = ACTIONS(6535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6537),
    [anon_sym_LBRACE] = ACTIONS(6537),
    [anon_sym_RBRACE] = ACTIONS(6537),
    [sym_word] = ACTIONS(6535),
    [sym_placeholder] = ACTIONS(6537),
    [sym_delimiter] = ACTIONS(6537),
    [anon_sym_PLUS] = ACTIONS(6537),
    [anon_sym_DASH] = ACTIONS(6537),
    [anon_sym_STAR] = ACTIONS(6537),
    [anon_sym_SLASH] = ACTIONS(6537),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_BANG] = ACTIONS(6535),
    [anon_sym_PIPE] = ACTIONS(6535),
    [anon_sym_COLON] = ACTIONS(6535),
    [anon_sym_SQUOTE] = ACTIONS(6535),
    [anon_sym__] = ACTIONS(6537),
    [anon_sym_CARET] = ACTIONS(6537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6537),
    [anon_sym_DOLLAR] = ACTIONS(6535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHleft] = ACTIONS(6535),
    [anon_sym_BSLASHbigl] = ACTIONS(6535),
    [anon_sym_BSLASHBigl] = ACTIONS(6535),
    [anon_sym_BSLASHbiggl] = ACTIONS(6535),
    [anon_sym_BSLASHBiggl] = ACTIONS(6535),
    [anon_sym_BSLASHtext] = ACTIONS(6535),
    [anon_sym_BSLASHintertext] = ACTIONS(6535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6535),
    [anon_sym_BSLASHbegin] = ACTIONS(6535),
    [anon_sym_BSLASHtitle] = ACTIONS(6535),
    [anon_sym_BSLASHauthor] = ACTIONS(6535),
    [anon_sym_BSLASHusepackage] = ACTIONS(6535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6535),
    [anon_sym_BSLASHinclude] = ACTIONS(6535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6535),
    [anon_sym_BSLASHinput] = ACTIONS(6535),
    [anon_sym_BSLASHsubfile] = ACTIONS(6535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6535),
    [anon_sym_BSLASHbibliography] = ACTIONS(6535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6535),
    [anon_sym_BSLASHimport] = ACTIONS(6535),
    [anon_sym_BSLASHsubimport] = ACTIONS(6535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHcaption] = ACTIONS(6535),
    [anon_sym_BSLASHcite] = ACTIONS(6535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCite] = ACTIONS(6535),
    [anon_sym_BSLASHnocite] = ACTIONS(6535),
    [anon_sym_BSLASHcitet] = ACTIONS(6535),
    [anon_sym_BSLASHcitep] = ACTIONS(6535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteA] = ACTIONS(6535),
    [anon_sym_BSLASHciteR] = ACTIONS(6535),
    [anon_sym_BSLASHciteS] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteyear] = ACTIONS(6535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitedate] = ACTIONS(6535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteurl] = ACTIONS(6535),
    [anon_sym_BSLASHfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6535),
    [anon_sym_BSLASHcitealt] = ACTIONS(6535),
    [anon_sym_BSLASHcitealp] = ACTIONS(6535),
    [anon_sym_BSLASHcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHparencite] = ACTIONS(6535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHParencite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHtextcite] = ACTIONS(6535),
    [anon_sym_BSLASHTextcite] = ACTIONS(6535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHsupercite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite] = ACTIONS(6535),
    [anon_sym_BSLASHAutocite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHVolcite] = ACTIONS(6535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHavolcite] = ACTIONS(6535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHNotecite] = ACTIONS(6535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHlabel] = ACTIONS(6535),
    [anon_sym_BSLASHref] = ACTIONS(6535),
    [anon_sym_BSLASHeqref] = ACTIONS(6535),
    [anon_sym_BSLASHvref] = ACTIONS(6535),
    [anon_sym_BSLASHVref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHpageref] = ACTIONS(6535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHautopageref] = ACTIONS(6535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcref] = ACTIONS(6535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCref] = ACTIONS(6535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHCpageref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnameCref] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHdef] = ACTIONS(6535),
    [anon_sym_BSLASHgdef] = ACTIONS(6535),
    [anon_sym_BSLASHedef] = ACTIONS(6535),
    [anon_sym_BSLASHxdef] = ACTIONS(6535),
    [anon_sym_BSLASHlet] = ACTIONS(6535),
    [anon_sym_BSLASHglet] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6535),
    [anon_sym_BSLASHgls] = ACTIONS(6535),
    [anon_sym_BSLASHGls] = ACTIONS(6535),
    [anon_sym_BSLASHGLS] = ACTIONS(6535),
    [anon_sym_BSLASHglspl] = ACTIONS(6535),
    [anon_sym_BSLASHGlspl] = ACTIONS(6535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6535),
    [anon_sym_BSLASHglslink] = ACTIONS(6535),
    [anon_sym_BSLASHglstext] = ACTIONS(6535),
    [anon_sym_BSLASHGlstext] = ACTIONS(6535),
    [anon_sym_BSLASHGLStext] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6535),
    [anon_sym_BSLASHglsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsname] = ACTIONS(6535),
    [anon_sym_BSLASHGlsname] = ACTIONS(6535),
    [anon_sym_BSLASHGLSname] = ACTIONS(6535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6535),
    [anon_sym_BSLASHacrshort] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6535),
    [anon_sym_BSLASHACRshort] = ACTIONS(6535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrlong] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6535),
    [anon_sym_BSLASHACRlong] = ACTIONS(6535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrfull] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6535),
    [anon_sym_BSLASHACRfull] = ACTIONS(6535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHacs] = ACTIONS(6535),
    [anon_sym_BSLASHAcs] = ACTIONS(6535),
    [anon_sym_BSLASHacsp] = ACTIONS(6535),
    [anon_sym_BSLASHAcsp] = ACTIONS(6535),
    [anon_sym_BSLASHacl] = ACTIONS(6535),
    [anon_sym_BSLASHAcl] = ACTIONS(6535),
    [anon_sym_BSLASHaclp] = ACTIONS(6535),
    [anon_sym_BSLASHAclp] = ACTIONS(6535),
    [anon_sym_BSLASHacf] = ACTIONS(6535),
    [anon_sym_BSLASHAcf] = ACTIONS(6535),
    [anon_sym_BSLASHacfp] = ACTIONS(6535),
    [anon_sym_BSLASHAcfp] = ACTIONS(6535),
    [anon_sym_BSLASHac] = ACTIONS(6535),
    [anon_sym_BSLASHAc] = ACTIONS(6535),
    [anon_sym_BSLASHacp] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6535),
    [anon_sym_BSLASHcolor] = ACTIONS(6535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6535),
    [anon_sym_BSLASHurl] = ACTIONS(6535),
    [anon_sym_BSLASHhref] = ACTIONS(6535),
  },
  [561] = {
    [sym_command_name] = ACTIONS(2326),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2326),
    [anon_sym_LBRACK] = ACTIONS(2328),
    [anon_sym_RBRACK] = ACTIONS(2328),
    [anon_sym_COMMA] = ACTIONS(2328),
    [anon_sym_EQ] = ACTIONS(2328),
    [anon_sym_LPAREN] = ACTIONS(2328),
    [anon_sym_RPAREN] = ACTIONS(2328),
    [anon_sym_BSLASHpart] = ACTIONS(2326),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddpart] = ACTIONS(2326),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHchapter] = ACTIONS(2326),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddchap] = ACTIONS(2326),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsection] = ACTIONS(2326),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddsec] = ACTIONS(2326),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsubsection] = ACTIONS(2326),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2326),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHparagraph] = ACTIONS(2326),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2326),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHitem] = ACTIONS(2326),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2328),
    [anon_sym_LBRACE] = ACTIONS(2328),
    [sym_word] = ACTIONS(2326),
    [sym_placeholder] = ACTIONS(2328),
    [sym_delimiter] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2328),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_SLASH] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2326),
    [anon_sym_GT] = ACTIONS(2326),
    [anon_sym_BANG] = ACTIONS(2326),
    [anon_sym_PIPE] = ACTIONS(2326),
    [anon_sym_COLON] = ACTIONS(2326),
    [anon_sym_SQUOTE] = ACTIONS(2326),
    [anon_sym__] = ACTIONS(2328),
    [anon_sym_CARET] = ACTIONS(2328),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2328),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2328),
    [anon_sym_DOLLAR] = ACTIONS(2326),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2328),
    [anon_sym_BSLASHleft] = ACTIONS(2326),
    [anon_sym_BSLASHbigl] = ACTIONS(2326),
    [anon_sym_BSLASHBigl] = ACTIONS(2326),
    [anon_sym_BSLASHbiggl] = ACTIONS(2326),
    [anon_sym_BSLASHBiggl] = ACTIONS(2326),
    [anon_sym_BSLASHright] = ACTIONS(2326),
    [anon_sym_BSLASHbigr] = ACTIONS(2326),
    [anon_sym_BSLASHBigr] = ACTIONS(2326),
    [anon_sym_BSLASHbiggr] = ACTIONS(2326),
    [anon_sym_BSLASHBiggr] = ACTIONS(2326),
    [anon_sym_BSLASHtext] = ACTIONS(2326),
    [anon_sym_BSLASHintertext] = ACTIONS(2326),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2326),
    [anon_sym_BSLASHbegin] = ACTIONS(2326),
    [anon_sym_BSLASHtitle] = ACTIONS(2326),
    [anon_sym_BSLASHauthor] = ACTIONS(2326),
    [anon_sym_BSLASHusepackage] = ACTIONS(2326),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2326),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2326),
    [anon_sym_BSLASHinclude] = ACTIONS(2326),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2326),
    [anon_sym_BSLASHinput] = ACTIONS(2326),
    [anon_sym_BSLASHsubfile] = ACTIONS(2326),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2326),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2326),
    [anon_sym_BSLASHbibliography] = ACTIONS(2326),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2326),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2326),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2326),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2326),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2326),
    [anon_sym_BSLASHimport] = ACTIONS(2326),
    [anon_sym_BSLASHsubimport] = ACTIONS(2326),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2326),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2326),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2326),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2326),
    [anon_sym_BSLASHcaption] = ACTIONS(2326),
    [anon_sym_BSLASHcite] = ACTIONS(2326),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHCite] = ACTIONS(2326),
    [anon_sym_BSLASHnocite] = ACTIONS(2326),
    [anon_sym_BSLASHcitet] = ACTIONS(2326),
    [anon_sym_BSLASHcitep] = ACTIONS(2326),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHciteA] = ACTIONS(2326),
    [anon_sym_BSLASHciteR] = ACTIONS(2326),
    [anon_sym_BSLASHciteS] = ACTIONS(2326),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2326),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2326),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2326),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2326),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHciteyear] = ACTIONS(2326),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcitedate] = ACTIONS(2326),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHciteurl] = ACTIONS(2326),
    [anon_sym_BSLASHfullcite] = ACTIONS(2326),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2326),
    [anon_sym_BSLASHcitealt] = ACTIONS(2326),
    [anon_sym_BSLASHcitealp] = ACTIONS(2326),
    [anon_sym_BSLASHcitetext] = ACTIONS(2326),
    [anon_sym_BSLASHparencite] = ACTIONS(2326),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHParencite] = ACTIONS(2326),
    [anon_sym_BSLASHfootcite] = ACTIONS(2326),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2326),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2326),
    [anon_sym_BSLASHtextcite] = ACTIONS(2326),
    [anon_sym_BSLASHTextcite] = ACTIONS(2326),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2326),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2326),
    [anon_sym_BSLASHsupercite] = ACTIONS(2326),
    [anon_sym_BSLASHautocite] = ACTIONS(2326),
    [anon_sym_BSLASHAutocite] = ACTIONS(2326),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHVolcite] = ACTIONS(2326),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHavolcite] = ACTIONS(2326),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHnotecite] = ACTIONS(2326),
    [anon_sym_BSLASHNotecite] = ACTIONS(2326),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2326),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2326),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2326),
    [anon_sym_BSLASHlabel] = ACTIONS(2326),
    [anon_sym_BSLASHref] = ACTIONS(2326),
    [anon_sym_BSLASHeqref] = ACTIONS(2326),
    [anon_sym_BSLASHvref] = ACTIONS(2326),
    [anon_sym_BSLASHVref] = ACTIONS(2326),
    [anon_sym_BSLASHautoref] = ACTIONS(2326),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHpageref] = ACTIONS(2326),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHautopageref] = ACTIONS(2326),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcref] = ACTIONS(2326),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHCref] = ACTIONS(2326),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcpageref] = ACTIONS(2326),
    [anon_sym_BSLASHCpageref] = ACTIONS(2326),
    [anon_sym_BSLASHnamecref] = ACTIONS(2326),
    [anon_sym_BSLASHnameCref] = ACTIONS(2326),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2326),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2326),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2326),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2326),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2326),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2326),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2326),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2326),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2326),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2326),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2326),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2326),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2326),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2326),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2326),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2326),
    [anon_sym_BSLASHdef] = ACTIONS(2326),
    [anon_sym_BSLASHgdef] = ACTIONS(2326),
    [anon_sym_BSLASHedef] = ACTIONS(2326),
    [anon_sym_BSLASHxdef] = ACTIONS(2326),
    [anon_sym_BSLASHlet] = ACTIONS(2326),
    [anon_sym_BSLASHglet] = ACTIONS(2326),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2326),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2326),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2326),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2326),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2326),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2326),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2326),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2326),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2326),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2326),
    [anon_sym_BSLASHgls] = ACTIONS(2326),
    [anon_sym_BSLASHGls] = ACTIONS(2326),
    [anon_sym_BSLASHGLS] = ACTIONS(2326),
    [anon_sym_BSLASHglspl] = ACTIONS(2326),
    [anon_sym_BSLASHGlspl] = ACTIONS(2326),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2326),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2326),
    [anon_sym_BSLASHglslink] = ACTIONS(2326),
    [anon_sym_BSLASHglstext] = ACTIONS(2326),
    [anon_sym_BSLASHGlstext] = ACTIONS(2326),
    [anon_sym_BSLASHGLStext] = ACTIONS(2326),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2326),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2326),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2326),
    [anon_sym_BSLASHglsplural] = ACTIONS(2326),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2326),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2326),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2326),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2326),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2326),
    [anon_sym_BSLASHglsname] = ACTIONS(2326),
    [anon_sym_BSLASHGlsname] = ACTIONS(2326),
    [anon_sym_BSLASHGLSname] = ACTIONS(2326),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2326),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2326),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2326),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2326),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2326),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2326),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2326),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2326),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2326),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2326),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2326),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2326),
    [anon_sym_BSLASHacrshort] = ACTIONS(2326),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2326),
    [anon_sym_BSLASHACRshort] = ACTIONS(2326),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2326),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2326),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2326),
    [anon_sym_BSLASHacrlong] = ACTIONS(2326),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2326),
    [anon_sym_BSLASHACRlong] = ACTIONS(2326),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2326),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2326),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2326),
    [anon_sym_BSLASHacrfull] = ACTIONS(2326),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2326),
    [anon_sym_BSLASHACRfull] = ACTIONS(2326),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2326),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2326),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2326),
    [anon_sym_BSLASHacs] = ACTIONS(2326),
    [anon_sym_BSLASHAcs] = ACTIONS(2326),
    [anon_sym_BSLASHacsp] = ACTIONS(2326),
    [anon_sym_BSLASHAcsp] = ACTIONS(2326),
    [anon_sym_BSLASHacl] = ACTIONS(2326),
    [anon_sym_BSLASHAcl] = ACTIONS(2326),
    [anon_sym_BSLASHaclp] = ACTIONS(2326),
    [anon_sym_BSLASHAclp] = ACTIONS(2326),
    [anon_sym_BSLASHacf] = ACTIONS(2326),
    [anon_sym_BSLASHAcf] = ACTIONS(2326),
    [anon_sym_BSLASHacfp] = ACTIONS(2326),
    [anon_sym_BSLASHAcfp] = ACTIONS(2326),
    [anon_sym_BSLASHac] = ACTIONS(2326),
    [anon_sym_BSLASHAc] = ACTIONS(2326),
    [anon_sym_BSLASHacp] = ACTIONS(2326),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2326),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2326),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2326),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2326),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2326),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2326),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2326),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2326),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2326),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2326),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2326),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2326),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2326),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2326),
    [anon_sym_BSLASHcolor] = ACTIONS(2326),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2326),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2326),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2326),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2326),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2326),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2326),
    [anon_sym_BSLASHurl] = ACTIONS(2326),
    [anon_sym_BSLASHhref] = ACTIONS(2326),
  },
  [562] = {
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(529),
    [aux_sym__section_repeat5] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(6694),
    [sym_command_name] = ACTIONS(6692),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6692),
    [anon_sym_LBRACK] = ACTIONS(6694),
    [anon_sym_RBRACK] = ACTIONS(6694),
    [anon_sym_COMMA] = ACTIONS(6694),
    [anon_sym_EQ] = ACTIONS(6694),
    [anon_sym_LPAREN] = ACTIONS(6694),
    [anon_sym_RPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHpart] = ACTIONS(6692),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddpart] = ACTIONS(6692),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHchapter] = ACTIONS(6692),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddchap] = ACTIONS(6692),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsection] = ACTIONS(6692),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddsec] = ACTIONS(6692),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsection] = ACTIONS(6692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHitem] = ACTIONS(6692),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6694),
    [anon_sym_LBRACE] = ACTIONS(6694),
    [anon_sym_RBRACE] = ACTIONS(6694),
    [sym_word] = ACTIONS(6692),
    [sym_placeholder] = ACTIONS(6694),
    [sym_delimiter] = ACTIONS(6694),
    [anon_sym_PLUS] = ACTIONS(6694),
    [anon_sym_DASH] = ACTIONS(6694),
    [anon_sym_STAR] = ACTIONS(6694),
    [anon_sym_SLASH] = ACTIONS(6694),
    [anon_sym_LT] = ACTIONS(6692),
    [anon_sym_GT] = ACTIONS(6692),
    [anon_sym_BANG] = ACTIONS(6692),
    [anon_sym_PIPE] = ACTIONS(6692),
    [anon_sym_COLON] = ACTIONS(6692),
    [anon_sym_SQUOTE] = ACTIONS(6692),
    [anon_sym__] = ACTIONS(6694),
    [anon_sym_CARET] = ACTIONS(6694),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6694),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6694),
    [anon_sym_DOLLAR] = ACTIONS(6692),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHleft] = ACTIONS(6692),
    [anon_sym_BSLASHbigl] = ACTIONS(6692),
    [anon_sym_BSLASHBigl] = ACTIONS(6692),
    [anon_sym_BSLASHbiggl] = ACTIONS(6692),
    [anon_sym_BSLASHBiggl] = ACTIONS(6692),
    [anon_sym_BSLASHtext] = ACTIONS(6692),
    [anon_sym_BSLASHintertext] = ACTIONS(6692),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6692),
    [anon_sym_BSLASHbegin] = ACTIONS(6692),
    [anon_sym_BSLASHtitle] = ACTIONS(6692),
    [anon_sym_BSLASHauthor] = ACTIONS(6692),
    [anon_sym_BSLASHusepackage] = ACTIONS(6692),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6692),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6692),
    [anon_sym_BSLASHinclude] = ACTIONS(6692),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6692),
    [anon_sym_BSLASHinput] = ACTIONS(6692),
    [anon_sym_BSLASHsubfile] = ACTIONS(6692),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6692),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6692),
    [anon_sym_BSLASHbibliography] = ACTIONS(6692),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6692),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6692),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6692),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6692),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6692),
    [anon_sym_BSLASHimport] = ACTIONS(6692),
    [anon_sym_BSLASHsubimport] = ACTIONS(6692),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6692),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHcaption] = ACTIONS(6692),
    [anon_sym_BSLASHcite] = ACTIONS(6692),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCite] = ACTIONS(6692),
    [anon_sym_BSLASHnocite] = ACTIONS(6692),
    [anon_sym_BSLASHcitet] = ACTIONS(6692),
    [anon_sym_BSLASHcitep] = ACTIONS(6692),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteA] = ACTIONS(6692),
    [anon_sym_BSLASHciteR] = ACTIONS(6692),
    [anon_sym_BSLASHciteS] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6692),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteyear] = ACTIONS(6692),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitedate] = ACTIONS(6692),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteurl] = ACTIONS(6692),
    [anon_sym_BSLASHfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6692),
    [anon_sym_BSLASHcitealt] = ACTIONS(6692),
    [anon_sym_BSLASHcitealp] = ACTIONS(6692),
    [anon_sym_BSLASHcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHparencite] = ACTIONS(6692),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHParencite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHtextcite] = ACTIONS(6692),
    [anon_sym_BSLASHTextcite] = ACTIONS(6692),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHsupercite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite] = ACTIONS(6692),
    [anon_sym_BSLASHAutocite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHVolcite] = ACTIONS(6692),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHavolcite] = ACTIONS(6692),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHNotecite] = ACTIONS(6692),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHlabel] = ACTIONS(6692),
    [anon_sym_BSLASHref] = ACTIONS(6692),
    [anon_sym_BSLASHeqref] = ACTIONS(6692),
    [anon_sym_BSLASHvref] = ACTIONS(6692),
    [anon_sym_BSLASHVref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHpageref] = ACTIONS(6692),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHautopageref] = ACTIONS(6692),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcref] = ACTIONS(6692),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCref] = ACTIONS(6692),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHCpageref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnameCref] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6692),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHdef] = ACTIONS(6692),
    [anon_sym_BSLASHgdef] = ACTIONS(6692),
    [anon_sym_BSLASHedef] = ACTIONS(6692),
    [anon_sym_BSLASHxdef] = ACTIONS(6692),
    [anon_sym_BSLASHlet] = ACTIONS(6692),
    [anon_sym_BSLASHglet] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6692),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6692),
    [anon_sym_BSLASHgls] = ACTIONS(6692),
    [anon_sym_BSLASHGls] = ACTIONS(6692),
    [anon_sym_BSLASHGLS] = ACTIONS(6692),
    [anon_sym_BSLASHglspl] = ACTIONS(6692),
    [anon_sym_BSLASHGlspl] = ACTIONS(6692),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6692),
    [anon_sym_BSLASHglslink] = ACTIONS(6692),
    [anon_sym_BSLASHglstext] = ACTIONS(6692),
    [anon_sym_BSLASHGlstext] = ACTIONS(6692),
    [anon_sym_BSLASHGLStext] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6692),
    [anon_sym_BSLASHglsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsname] = ACTIONS(6692),
    [anon_sym_BSLASHGlsname] = ACTIONS(6692),
    [anon_sym_BSLASHGLSname] = ACTIONS(6692),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6692),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6692),
    [anon_sym_BSLASHacrshort] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6692),
    [anon_sym_BSLASHACRshort] = ACTIONS(6692),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrlong] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6692),
    [anon_sym_BSLASHACRlong] = ACTIONS(6692),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrfull] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6692),
    [anon_sym_BSLASHACRfull] = ACTIONS(6692),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHacs] = ACTIONS(6692),
    [anon_sym_BSLASHAcs] = ACTIONS(6692),
    [anon_sym_BSLASHacsp] = ACTIONS(6692),
    [anon_sym_BSLASHAcsp] = ACTIONS(6692),
    [anon_sym_BSLASHacl] = ACTIONS(6692),
    [anon_sym_BSLASHAcl] = ACTIONS(6692),
    [anon_sym_BSLASHaclp] = ACTIONS(6692),
    [anon_sym_BSLASHAclp] = ACTIONS(6692),
    [anon_sym_BSLASHacf] = ACTIONS(6692),
    [anon_sym_BSLASHAcf] = ACTIONS(6692),
    [anon_sym_BSLASHacfp] = ACTIONS(6692),
    [anon_sym_BSLASHAcfp] = ACTIONS(6692),
    [anon_sym_BSLASHac] = ACTIONS(6692),
    [anon_sym_BSLASHAc] = ACTIONS(6692),
    [anon_sym_BSLASHacp] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6692),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6692),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6692),
    [anon_sym_BSLASHcolor] = ACTIONS(6692),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6692),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6692),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6692),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6692),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6692),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6692),
    [anon_sym_BSLASHurl] = ACTIONS(6692),
    [anon_sym_BSLASHhref] = ACTIONS(6692),
  },
  [563] = {
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(583),
    [aux_sym__section_repeat5] = STATE(583),
    [ts_builtin_sym_end] = ACTIONS(6694),
    [sym_command_name] = ACTIONS(6692),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6692),
    [anon_sym_LBRACK] = ACTIONS(6694),
    [anon_sym_RBRACK] = ACTIONS(6694),
    [anon_sym_COMMA] = ACTIONS(6694),
    [anon_sym_EQ] = ACTIONS(6694),
    [anon_sym_LPAREN] = ACTIONS(6694),
    [anon_sym_RPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHpart] = ACTIONS(6692),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddpart] = ACTIONS(6692),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHchapter] = ACTIONS(6692),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddchap] = ACTIONS(6692),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsection] = ACTIONS(6692),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddsec] = ACTIONS(6692),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsection] = ACTIONS(6692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHitem] = ACTIONS(6692),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6694),
    [anon_sym_LBRACE] = ACTIONS(6694),
    [anon_sym_RBRACE] = ACTIONS(6694),
    [sym_word] = ACTIONS(6692),
    [sym_placeholder] = ACTIONS(6694),
    [sym_delimiter] = ACTIONS(6694),
    [anon_sym_PLUS] = ACTIONS(6694),
    [anon_sym_DASH] = ACTIONS(6694),
    [anon_sym_STAR] = ACTIONS(6694),
    [anon_sym_SLASH] = ACTIONS(6694),
    [anon_sym_LT] = ACTIONS(6692),
    [anon_sym_GT] = ACTIONS(6692),
    [anon_sym_BANG] = ACTIONS(6692),
    [anon_sym_PIPE] = ACTIONS(6692),
    [anon_sym_COLON] = ACTIONS(6692),
    [anon_sym_SQUOTE] = ACTIONS(6692),
    [anon_sym__] = ACTIONS(6694),
    [anon_sym_CARET] = ACTIONS(6694),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6694),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6694),
    [anon_sym_DOLLAR] = ACTIONS(6692),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHleft] = ACTIONS(6692),
    [anon_sym_BSLASHbigl] = ACTIONS(6692),
    [anon_sym_BSLASHBigl] = ACTIONS(6692),
    [anon_sym_BSLASHbiggl] = ACTIONS(6692),
    [anon_sym_BSLASHBiggl] = ACTIONS(6692),
    [anon_sym_BSLASHtext] = ACTIONS(6692),
    [anon_sym_BSLASHintertext] = ACTIONS(6692),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6692),
    [anon_sym_BSLASHbegin] = ACTIONS(6692),
    [anon_sym_BSLASHtitle] = ACTIONS(6692),
    [anon_sym_BSLASHauthor] = ACTIONS(6692),
    [anon_sym_BSLASHusepackage] = ACTIONS(6692),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6692),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6692),
    [anon_sym_BSLASHinclude] = ACTIONS(6692),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6692),
    [anon_sym_BSLASHinput] = ACTIONS(6692),
    [anon_sym_BSLASHsubfile] = ACTIONS(6692),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6692),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6692),
    [anon_sym_BSLASHbibliography] = ACTIONS(6692),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6692),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6692),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6692),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6692),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6692),
    [anon_sym_BSLASHimport] = ACTIONS(6692),
    [anon_sym_BSLASHsubimport] = ACTIONS(6692),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6692),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHcaption] = ACTIONS(6692),
    [anon_sym_BSLASHcite] = ACTIONS(6692),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCite] = ACTIONS(6692),
    [anon_sym_BSLASHnocite] = ACTIONS(6692),
    [anon_sym_BSLASHcitet] = ACTIONS(6692),
    [anon_sym_BSLASHcitep] = ACTIONS(6692),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteA] = ACTIONS(6692),
    [anon_sym_BSLASHciteR] = ACTIONS(6692),
    [anon_sym_BSLASHciteS] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6692),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteyear] = ACTIONS(6692),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitedate] = ACTIONS(6692),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteurl] = ACTIONS(6692),
    [anon_sym_BSLASHfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6692),
    [anon_sym_BSLASHcitealt] = ACTIONS(6692),
    [anon_sym_BSLASHcitealp] = ACTIONS(6692),
    [anon_sym_BSLASHcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHparencite] = ACTIONS(6692),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHParencite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHtextcite] = ACTIONS(6692),
    [anon_sym_BSLASHTextcite] = ACTIONS(6692),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHsupercite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite] = ACTIONS(6692),
    [anon_sym_BSLASHAutocite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHVolcite] = ACTIONS(6692),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHavolcite] = ACTIONS(6692),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHNotecite] = ACTIONS(6692),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHlabel] = ACTIONS(6692),
    [anon_sym_BSLASHref] = ACTIONS(6692),
    [anon_sym_BSLASHeqref] = ACTIONS(6692),
    [anon_sym_BSLASHvref] = ACTIONS(6692),
    [anon_sym_BSLASHVref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHpageref] = ACTIONS(6692),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHautopageref] = ACTIONS(6692),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcref] = ACTIONS(6692),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCref] = ACTIONS(6692),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHCpageref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnameCref] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6692),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHdef] = ACTIONS(6692),
    [anon_sym_BSLASHgdef] = ACTIONS(6692),
    [anon_sym_BSLASHedef] = ACTIONS(6692),
    [anon_sym_BSLASHxdef] = ACTIONS(6692),
    [anon_sym_BSLASHlet] = ACTIONS(6692),
    [anon_sym_BSLASHglet] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6692),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6692),
    [anon_sym_BSLASHgls] = ACTIONS(6692),
    [anon_sym_BSLASHGls] = ACTIONS(6692),
    [anon_sym_BSLASHGLS] = ACTIONS(6692),
    [anon_sym_BSLASHglspl] = ACTIONS(6692),
    [anon_sym_BSLASHGlspl] = ACTIONS(6692),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6692),
    [anon_sym_BSLASHglslink] = ACTIONS(6692),
    [anon_sym_BSLASHglstext] = ACTIONS(6692),
    [anon_sym_BSLASHGlstext] = ACTIONS(6692),
    [anon_sym_BSLASHGLStext] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6692),
    [anon_sym_BSLASHglsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsname] = ACTIONS(6692),
    [anon_sym_BSLASHGlsname] = ACTIONS(6692),
    [anon_sym_BSLASHGLSname] = ACTIONS(6692),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6692),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6692),
    [anon_sym_BSLASHacrshort] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6692),
    [anon_sym_BSLASHACRshort] = ACTIONS(6692),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrlong] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6692),
    [anon_sym_BSLASHACRlong] = ACTIONS(6692),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrfull] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6692),
    [anon_sym_BSLASHACRfull] = ACTIONS(6692),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHacs] = ACTIONS(6692),
    [anon_sym_BSLASHAcs] = ACTIONS(6692),
    [anon_sym_BSLASHacsp] = ACTIONS(6692),
    [anon_sym_BSLASHAcsp] = ACTIONS(6692),
    [anon_sym_BSLASHacl] = ACTIONS(6692),
    [anon_sym_BSLASHAcl] = ACTIONS(6692),
    [anon_sym_BSLASHaclp] = ACTIONS(6692),
    [anon_sym_BSLASHAclp] = ACTIONS(6692),
    [anon_sym_BSLASHacf] = ACTIONS(6692),
    [anon_sym_BSLASHAcf] = ACTIONS(6692),
    [anon_sym_BSLASHacfp] = ACTIONS(6692),
    [anon_sym_BSLASHAcfp] = ACTIONS(6692),
    [anon_sym_BSLASHac] = ACTIONS(6692),
    [anon_sym_BSLASHAc] = ACTIONS(6692),
    [anon_sym_BSLASHacp] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6692),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6692),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6692),
    [anon_sym_BSLASHcolor] = ACTIONS(6692),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6692),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6692),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6692),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6692),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6692),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6692),
    [anon_sym_BSLASHurl] = ACTIONS(6692),
    [anon_sym_BSLASHhref] = ACTIONS(6692),
  },
  [564] = {
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(529),
    [aux_sym__section_repeat5] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(6694),
    [sym_command_name] = ACTIONS(6692),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6692),
    [anon_sym_LBRACK] = ACTIONS(6694),
    [anon_sym_RBRACK] = ACTIONS(6694),
    [anon_sym_COMMA] = ACTIONS(6694),
    [anon_sym_EQ] = ACTIONS(6694),
    [anon_sym_LPAREN] = ACTIONS(6694),
    [anon_sym_RPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHpart] = ACTIONS(6692),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddpart] = ACTIONS(6692),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHchapter] = ACTIONS(6692),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddchap] = ACTIONS(6692),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsection] = ACTIONS(6692),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddsec] = ACTIONS(6692),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsection] = ACTIONS(6692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHitem] = ACTIONS(6692),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6694),
    [anon_sym_LBRACE] = ACTIONS(6694),
    [anon_sym_RBRACE] = ACTIONS(6694),
    [sym_word] = ACTIONS(6692),
    [sym_placeholder] = ACTIONS(6694),
    [sym_delimiter] = ACTIONS(6694),
    [anon_sym_PLUS] = ACTIONS(6694),
    [anon_sym_DASH] = ACTIONS(6694),
    [anon_sym_STAR] = ACTIONS(6694),
    [anon_sym_SLASH] = ACTIONS(6694),
    [anon_sym_LT] = ACTIONS(6692),
    [anon_sym_GT] = ACTIONS(6692),
    [anon_sym_BANG] = ACTIONS(6692),
    [anon_sym_PIPE] = ACTIONS(6692),
    [anon_sym_COLON] = ACTIONS(6692),
    [anon_sym_SQUOTE] = ACTIONS(6692),
    [anon_sym__] = ACTIONS(6694),
    [anon_sym_CARET] = ACTIONS(6694),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6694),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6694),
    [anon_sym_DOLLAR] = ACTIONS(6692),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHleft] = ACTIONS(6692),
    [anon_sym_BSLASHbigl] = ACTIONS(6692),
    [anon_sym_BSLASHBigl] = ACTIONS(6692),
    [anon_sym_BSLASHbiggl] = ACTIONS(6692),
    [anon_sym_BSLASHBiggl] = ACTIONS(6692),
    [anon_sym_BSLASHtext] = ACTIONS(6692),
    [anon_sym_BSLASHintertext] = ACTIONS(6692),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6692),
    [anon_sym_BSLASHbegin] = ACTIONS(6692),
    [anon_sym_BSLASHtitle] = ACTIONS(6692),
    [anon_sym_BSLASHauthor] = ACTIONS(6692),
    [anon_sym_BSLASHusepackage] = ACTIONS(6692),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6692),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6692),
    [anon_sym_BSLASHinclude] = ACTIONS(6692),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6692),
    [anon_sym_BSLASHinput] = ACTIONS(6692),
    [anon_sym_BSLASHsubfile] = ACTIONS(6692),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6692),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6692),
    [anon_sym_BSLASHbibliography] = ACTIONS(6692),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6692),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6692),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6692),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6692),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6692),
    [anon_sym_BSLASHimport] = ACTIONS(6692),
    [anon_sym_BSLASHsubimport] = ACTIONS(6692),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6692),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHcaption] = ACTIONS(6692),
    [anon_sym_BSLASHcite] = ACTIONS(6692),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCite] = ACTIONS(6692),
    [anon_sym_BSLASHnocite] = ACTIONS(6692),
    [anon_sym_BSLASHcitet] = ACTIONS(6692),
    [anon_sym_BSLASHcitep] = ACTIONS(6692),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteA] = ACTIONS(6692),
    [anon_sym_BSLASHciteR] = ACTIONS(6692),
    [anon_sym_BSLASHciteS] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6692),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteyear] = ACTIONS(6692),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitedate] = ACTIONS(6692),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteurl] = ACTIONS(6692),
    [anon_sym_BSLASHfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6692),
    [anon_sym_BSLASHcitealt] = ACTIONS(6692),
    [anon_sym_BSLASHcitealp] = ACTIONS(6692),
    [anon_sym_BSLASHcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHparencite] = ACTIONS(6692),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHParencite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHtextcite] = ACTIONS(6692),
    [anon_sym_BSLASHTextcite] = ACTIONS(6692),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHsupercite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite] = ACTIONS(6692),
    [anon_sym_BSLASHAutocite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHVolcite] = ACTIONS(6692),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHavolcite] = ACTIONS(6692),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHNotecite] = ACTIONS(6692),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHlabel] = ACTIONS(6692),
    [anon_sym_BSLASHref] = ACTIONS(6692),
    [anon_sym_BSLASHeqref] = ACTIONS(6692),
    [anon_sym_BSLASHvref] = ACTIONS(6692),
    [anon_sym_BSLASHVref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHpageref] = ACTIONS(6692),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHautopageref] = ACTIONS(6692),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcref] = ACTIONS(6692),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCref] = ACTIONS(6692),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHCpageref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnameCref] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6692),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHdef] = ACTIONS(6692),
    [anon_sym_BSLASHgdef] = ACTIONS(6692),
    [anon_sym_BSLASHedef] = ACTIONS(6692),
    [anon_sym_BSLASHxdef] = ACTIONS(6692),
    [anon_sym_BSLASHlet] = ACTIONS(6692),
    [anon_sym_BSLASHglet] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6692),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6692),
    [anon_sym_BSLASHgls] = ACTIONS(6692),
    [anon_sym_BSLASHGls] = ACTIONS(6692),
    [anon_sym_BSLASHGLS] = ACTIONS(6692),
    [anon_sym_BSLASHglspl] = ACTIONS(6692),
    [anon_sym_BSLASHGlspl] = ACTIONS(6692),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6692),
    [anon_sym_BSLASHglslink] = ACTIONS(6692),
    [anon_sym_BSLASHglstext] = ACTIONS(6692),
    [anon_sym_BSLASHGlstext] = ACTIONS(6692),
    [anon_sym_BSLASHGLStext] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6692),
    [anon_sym_BSLASHglsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsname] = ACTIONS(6692),
    [anon_sym_BSLASHGlsname] = ACTIONS(6692),
    [anon_sym_BSLASHGLSname] = ACTIONS(6692),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6692),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6692),
    [anon_sym_BSLASHacrshort] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6692),
    [anon_sym_BSLASHACRshort] = ACTIONS(6692),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrlong] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6692),
    [anon_sym_BSLASHACRlong] = ACTIONS(6692),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrfull] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6692),
    [anon_sym_BSLASHACRfull] = ACTIONS(6692),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHacs] = ACTIONS(6692),
    [anon_sym_BSLASHAcs] = ACTIONS(6692),
    [anon_sym_BSLASHacsp] = ACTIONS(6692),
    [anon_sym_BSLASHAcsp] = ACTIONS(6692),
    [anon_sym_BSLASHacl] = ACTIONS(6692),
    [anon_sym_BSLASHAcl] = ACTIONS(6692),
    [anon_sym_BSLASHaclp] = ACTIONS(6692),
    [anon_sym_BSLASHAclp] = ACTIONS(6692),
    [anon_sym_BSLASHacf] = ACTIONS(6692),
    [anon_sym_BSLASHAcf] = ACTIONS(6692),
    [anon_sym_BSLASHacfp] = ACTIONS(6692),
    [anon_sym_BSLASHAcfp] = ACTIONS(6692),
    [anon_sym_BSLASHac] = ACTIONS(6692),
    [anon_sym_BSLASHAc] = ACTIONS(6692),
    [anon_sym_BSLASHacp] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6692),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6692),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6692),
    [anon_sym_BSLASHcolor] = ACTIONS(6692),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6692),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6692),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6692),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6692),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6692),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6692),
    [anon_sym_BSLASHurl] = ACTIONS(6692),
    [anon_sym_BSLASHhref] = ACTIONS(6692),
  },
  [565] = {
    [sym__subparagraph_declaration] = STATE(222),
    [sym_subparagraph] = STATE(531),
    [aux_sym__paragraph_repeat2] = STATE(531),
    [ts_builtin_sym_end] = ACTIONS(6848),
    [sym_command_name] = ACTIONS(6846),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6846),
    [anon_sym_LBRACK] = ACTIONS(6848),
    [anon_sym_RBRACK] = ACTIONS(6848),
    [anon_sym_COMMA] = ACTIONS(6848),
    [anon_sym_EQ] = ACTIONS(6848),
    [anon_sym_LPAREN] = ACTIONS(6848),
    [anon_sym_RPAREN] = ACTIONS(6848),
    [anon_sym_BSLASHpart] = ACTIONS(6846),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddpart] = ACTIONS(6846),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHchapter] = ACTIONS(6846),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddchap] = ACTIONS(6846),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsection] = ACTIONS(6846),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddsec] = ACTIONS(6846),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubsection] = ACTIONS(6846),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6846),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHparagraph] = ACTIONS(6846),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(37),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(39),
    [anon_sym_BSLASHitem] = ACTIONS(6846),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6848),
    [anon_sym_LBRACE] = ACTIONS(6848),
    [anon_sym_RBRACE] = ACTIONS(6848),
    [sym_word] = ACTIONS(6846),
    [sym_placeholder] = ACTIONS(6848),
    [sym_delimiter] = ACTIONS(6848),
    [anon_sym_PLUS] = ACTIONS(6848),
    [anon_sym_DASH] = ACTIONS(6848),
    [anon_sym_STAR] = ACTIONS(6848),
    [anon_sym_SLASH] = ACTIONS(6848),
    [anon_sym_LT] = ACTIONS(6846),
    [anon_sym_GT] = ACTIONS(6846),
    [anon_sym_BANG] = ACTIONS(6846),
    [anon_sym_PIPE] = ACTIONS(6846),
    [anon_sym_COLON] = ACTIONS(6846),
    [anon_sym_SQUOTE] = ACTIONS(6846),
    [anon_sym__] = ACTIONS(6848),
    [anon_sym_CARET] = ACTIONS(6848),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6848),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6848),
    [anon_sym_DOLLAR] = ACTIONS(6846),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6848),
    [anon_sym_BSLASHleft] = ACTIONS(6846),
    [anon_sym_BSLASHbigl] = ACTIONS(6846),
    [anon_sym_BSLASHBigl] = ACTIONS(6846),
    [anon_sym_BSLASHbiggl] = ACTIONS(6846),
    [anon_sym_BSLASHBiggl] = ACTIONS(6846),
    [anon_sym_BSLASHtext] = ACTIONS(6846),
    [anon_sym_BSLASHintertext] = ACTIONS(6846),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6846),
    [anon_sym_BSLASHbegin] = ACTIONS(6846),
    [anon_sym_BSLASHtitle] = ACTIONS(6846),
    [anon_sym_BSLASHauthor] = ACTIONS(6846),
    [anon_sym_BSLASHusepackage] = ACTIONS(6846),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6846),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6846),
    [anon_sym_BSLASHinclude] = ACTIONS(6846),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6846),
    [anon_sym_BSLASHinput] = ACTIONS(6846),
    [anon_sym_BSLASHsubfile] = ACTIONS(6846),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6846),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6846),
    [anon_sym_BSLASHbibliography] = ACTIONS(6846),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6846),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6846),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6846),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6846),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6846),
    [anon_sym_BSLASHimport] = ACTIONS(6846),
    [anon_sym_BSLASHsubimport] = ACTIONS(6846),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6846),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6846),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6846),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6846),
    [anon_sym_BSLASHcaption] = ACTIONS(6846),
    [anon_sym_BSLASHcite] = ACTIONS(6846),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCite] = ACTIONS(6846),
    [anon_sym_BSLASHnocite] = ACTIONS(6846),
    [anon_sym_BSLASHcitet] = ACTIONS(6846),
    [anon_sym_BSLASHcitep] = ACTIONS(6846),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteA] = ACTIONS(6846),
    [anon_sym_BSLASHciteR] = ACTIONS(6846),
    [anon_sym_BSLASHciteS] = ACTIONS(6846),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6846),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6846),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6846),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6846),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteyear] = ACTIONS(6846),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitedate] = ACTIONS(6846),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteurl] = ACTIONS(6846),
    [anon_sym_BSLASHfullcite] = ACTIONS(6846),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6846),
    [anon_sym_BSLASHcitealt] = ACTIONS(6846),
    [anon_sym_BSLASHcitealp] = ACTIONS(6846),
    [anon_sym_BSLASHcitetext] = ACTIONS(6846),
    [anon_sym_BSLASHparencite] = ACTIONS(6846),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHParencite] = ACTIONS(6846),
    [anon_sym_BSLASHfootcite] = ACTIONS(6846),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6846),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6846),
    [anon_sym_BSLASHtextcite] = ACTIONS(6846),
    [anon_sym_BSLASHTextcite] = ACTIONS(6846),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6846),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6846),
    [anon_sym_BSLASHsupercite] = ACTIONS(6846),
    [anon_sym_BSLASHautocite] = ACTIONS(6846),
    [anon_sym_BSLASHAutocite] = ACTIONS(6846),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHVolcite] = ACTIONS(6846),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHavolcite] = ACTIONS(6846),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHNotecite] = ACTIONS(6846),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHlabel] = ACTIONS(6846),
    [anon_sym_BSLASHref] = ACTIONS(6846),
    [anon_sym_BSLASHeqref] = ACTIONS(6846),
    [anon_sym_BSLASHvref] = ACTIONS(6846),
    [anon_sym_BSLASHVref] = ACTIONS(6846),
    [anon_sym_BSLASHautoref] = ACTIONS(6846),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHpageref] = ACTIONS(6846),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHautopageref] = ACTIONS(6846),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcref] = ACTIONS(6846),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCref] = ACTIONS(6846),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcpageref] = ACTIONS(6846),
    [anon_sym_BSLASHCpageref] = ACTIONS(6846),
    [anon_sym_BSLASHnamecref] = ACTIONS(6846),
    [anon_sym_BSLASHnameCref] = ACTIONS(6846),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6846),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6846),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6846),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6846),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6846),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6846),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6846),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6846),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6846),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6846),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6846),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHdef] = ACTIONS(6846),
    [anon_sym_BSLASHgdef] = ACTIONS(6846),
    [anon_sym_BSLASHedef] = ACTIONS(6846),
    [anon_sym_BSLASHxdef] = ACTIONS(6846),
    [anon_sym_BSLASHlet] = ACTIONS(6846),
    [anon_sym_BSLASHglet] = ACTIONS(6846),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6846),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6846),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6846),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6846),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6846),
    [anon_sym_BSLASHgls] = ACTIONS(6846),
    [anon_sym_BSLASHGls] = ACTIONS(6846),
    [anon_sym_BSLASHGLS] = ACTIONS(6846),
    [anon_sym_BSLASHglspl] = ACTIONS(6846),
    [anon_sym_BSLASHGlspl] = ACTIONS(6846),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6846),
    [anon_sym_BSLASHglslink] = ACTIONS(6846),
    [anon_sym_BSLASHglstext] = ACTIONS(6846),
    [anon_sym_BSLASHGlstext] = ACTIONS(6846),
    [anon_sym_BSLASHGLStext] = ACTIONS(6846),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6846),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6846),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6846),
    [anon_sym_BSLASHglsplural] = ACTIONS(6846),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6846),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6846),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHglsname] = ACTIONS(6846),
    [anon_sym_BSLASHGlsname] = ACTIONS(6846),
    [anon_sym_BSLASHGLSname] = ACTIONS(6846),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6846),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6846),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6846),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6846),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6846),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6846),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6846),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6846),
    [anon_sym_BSLASHacrshort] = ACTIONS(6846),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6846),
    [anon_sym_BSLASHACRshort] = ACTIONS(6846),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHacrlong] = ACTIONS(6846),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6846),
    [anon_sym_BSLASHACRlong] = ACTIONS(6846),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHacrfull] = ACTIONS(6846),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6846),
    [anon_sym_BSLASHACRfull] = ACTIONS(6846),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHacs] = ACTIONS(6846),
    [anon_sym_BSLASHAcs] = ACTIONS(6846),
    [anon_sym_BSLASHacsp] = ACTIONS(6846),
    [anon_sym_BSLASHAcsp] = ACTIONS(6846),
    [anon_sym_BSLASHacl] = ACTIONS(6846),
    [anon_sym_BSLASHAcl] = ACTIONS(6846),
    [anon_sym_BSLASHaclp] = ACTIONS(6846),
    [anon_sym_BSLASHAclp] = ACTIONS(6846),
    [anon_sym_BSLASHacf] = ACTIONS(6846),
    [anon_sym_BSLASHAcf] = ACTIONS(6846),
    [anon_sym_BSLASHacfp] = ACTIONS(6846),
    [anon_sym_BSLASHAcfp] = ACTIONS(6846),
    [anon_sym_BSLASHac] = ACTIONS(6846),
    [anon_sym_BSLASHAc] = ACTIONS(6846),
    [anon_sym_BSLASHacp] = ACTIONS(6846),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6846),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6846),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6846),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6846),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6846),
    [anon_sym_BSLASHcolor] = ACTIONS(6846),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6846),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6846),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6846),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6846),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6846),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6846),
    [anon_sym_BSLASHurl] = ACTIONS(6846),
    [anon_sym_BSLASHhref] = ACTIONS(6846),
  },
  [566] = {
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(532),
    [aux_sym__paragraph_repeat3] = STATE(532),
    [ts_builtin_sym_end] = ACTIONS(6848),
    [sym_command_name] = ACTIONS(6846),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6846),
    [anon_sym_LBRACK] = ACTIONS(6848),
    [anon_sym_RBRACK] = ACTIONS(6848),
    [anon_sym_COMMA] = ACTIONS(6848),
    [anon_sym_EQ] = ACTIONS(6848),
    [anon_sym_LPAREN] = ACTIONS(6848),
    [anon_sym_RPAREN] = ACTIONS(6848),
    [anon_sym_BSLASHpart] = ACTIONS(6846),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddpart] = ACTIONS(6846),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHchapter] = ACTIONS(6846),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddchap] = ACTIONS(6846),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsection] = ACTIONS(6846),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddsec] = ACTIONS(6846),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubsection] = ACTIONS(6846),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6846),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHparagraph] = ACTIONS(6846),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6846),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(6848),
    [anon_sym_RBRACE] = ACTIONS(6848),
    [sym_word] = ACTIONS(6846),
    [sym_placeholder] = ACTIONS(6848),
    [sym_delimiter] = ACTIONS(6848),
    [anon_sym_PLUS] = ACTIONS(6848),
    [anon_sym_DASH] = ACTIONS(6848),
    [anon_sym_STAR] = ACTIONS(6848),
    [anon_sym_SLASH] = ACTIONS(6848),
    [anon_sym_LT] = ACTIONS(6846),
    [anon_sym_GT] = ACTIONS(6846),
    [anon_sym_BANG] = ACTIONS(6846),
    [anon_sym_PIPE] = ACTIONS(6846),
    [anon_sym_COLON] = ACTIONS(6846),
    [anon_sym_SQUOTE] = ACTIONS(6846),
    [anon_sym__] = ACTIONS(6848),
    [anon_sym_CARET] = ACTIONS(6848),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6848),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6848),
    [anon_sym_DOLLAR] = ACTIONS(6846),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6848),
    [anon_sym_BSLASHleft] = ACTIONS(6846),
    [anon_sym_BSLASHbigl] = ACTIONS(6846),
    [anon_sym_BSLASHBigl] = ACTIONS(6846),
    [anon_sym_BSLASHbiggl] = ACTIONS(6846),
    [anon_sym_BSLASHBiggl] = ACTIONS(6846),
    [anon_sym_BSLASHtext] = ACTIONS(6846),
    [anon_sym_BSLASHintertext] = ACTIONS(6846),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6846),
    [anon_sym_BSLASHbegin] = ACTIONS(6846),
    [anon_sym_BSLASHtitle] = ACTIONS(6846),
    [anon_sym_BSLASHauthor] = ACTIONS(6846),
    [anon_sym_BSLASHusepackage] = ACTIONS(6846),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6846),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6846),
    [anon_sym_BSLASHinclude] = ACTIONS(6846),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6846),
    [anon_sym_BSLASHinput] = ACTIONS(6846),
    [anon_sym_BSLASHsubfile] = ACTIONS(6846),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6846),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6846),
    [anon_sym_BSLASHbibliography] = ACTIONS(6846),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6846),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6846),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6846),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6846),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6846),
    [anon_sym_BSLASHimport] = ACTIONS(6846),
    [anon_sym_BSLASHsubimport] = ACTIONS(6846),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6846),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6846),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6846),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6846),
    [anon_sym_BSLASHcaption] = ACTIONS(6846),
    [anon_sym_BSLASHcite] = ACTIONS(6846),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCite] = ACTIONS(6846),
    [anon_sym_BSLASHnocite] = ACTIONS(6846),
    [anon_sym_BSLASHcitet] = ACTIONS(6846),
    [anon_sym_BSLASHcitep] = ACTIONS(6846),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteA] = ACTIONS(6846),
    [anon_sym_BSLASHciteR] = ACTIONS(6846),
    [anon_sym_BSLASHciteS] = ACTIONS(6846),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6846),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6846),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6846),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6846),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteyear] = ACTIONS(6846),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitedate] = ACTIONS(6846),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteurl] = ACTIONS(6846),
    [anon_sym_BSLASHfullcite] = ACTIONS(6846),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6846),
    [anon_sym_BSLASHcitealt] = ACTIONS(6846),
    [anon_sym_BSLASHcitealp] = ACTIONS(6846),
    [anon_sym_BSLASHcitetext] = ACTIONS(6846),
    [anon_sym_BSLASHparencite] = ACTIONS(6846),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHParencite] = ACTIONS(6846),
    [anon_sym_BSLASHfootcite] = ACTIONS(6846),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6846),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6846),
    [anon_sym_BSLASHtextcite] = ACTIONS(6846),
    [anon_sym_BSLASHTextcite] = ACTIONS(6846),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6846),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6846),
    [anon_sym_BSLASHsupercite] = ACTIONS(6846),
    [anon_sym_BSLASHautocite] = ACTIONS(6846),
    [anon_sym_BSLASHAutocite] = ACTIONS(6846),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHVolcite] = ACTIONS(6846),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHavolcite] = ACTIONS(6846),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHNotecite] = ACTIONS(6846),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHlabel] = ACTIONS(6846),
    [anon_sym_BSLASHref] = ACTIONS(6846),
    [anon_sym_BSLASHeqref] = ACTIONS(6846),
    [anon_sym_BSLASHvref] = ACTIONS(6846),
    [anon_sym_BSLASHVref] = ACTIONS(6846),
    [anon_sym_BSLASHautoref] = ACTIONS(6846),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHpageref] = ACTIONS(6846),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHautopageref] = ACTIONS(6846),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcref] = ACTIONS(6846),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCref] = ACTIONS(6846),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcpageref] = ACTIONS(6846),
    [anon_sym_BSLASHCpageref] = ACTIONS(6846),
    [anon_sym_BSLASHnamecref] = ACTIONS(6846),
    [anon_sym_BSLASHnameCref] = ACTIONS(6846),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6846),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6846),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6846),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6846),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6846),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6846),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6846),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6846),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6846),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6846),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6846),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHdef] = ACTIONS(6846),
    [anon_sym_BSLASHgdef] = ACTIONS(6846),
    [anon_sym_BSLASHedef] = ACTIONS(6846),
    [anon_sym_BSLASHxdef] = ACTIONS(6846),
    [anon_sym_BSLASHlet] = ACTIONS(6846),
    [anon_sym_BSLASHglet] = ACTIONS(6846),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6846),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6846),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6846),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6846),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6846),
    [anon_sym_BSLASHgls] = ACTIONS(6846),
    [anon_sym_BSLASHGls] = ACTIONS(6846),
    [anon_sym_BSLASHGLS] = ACTIONS(6846),
    [anon_sym_BSLASHglspl] = ACTIONS(6846),
    [anon_sym_BSLASHGlspl] = ACTIONS(6846),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6846),
    [anon_sym_BSLASHglslink] = ACTIONS(6846),
    [anon_sym_BSLASHglstext] = ACTIONS(6846),
    [anon_sym_BSLASHGlstext] = ACTIONS(6846),
    [anon_sym_BSLASHGLStext] = ACTIONS(6846),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6846),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6846),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6846),
    [anon_sym_BSLASHglsplural] = ACTIONS(6846),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6846),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6846),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHglsname] = ACTIONS(6846),
    [anon_sym_BSLASHGlsname] = ACTIONS(6846),
    [anon_sym_BSLASHGLSname] = ACTIONS(6846),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6846),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6846),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6846),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6846),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6846),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6846),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6846),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6846),
    [anon_sym_BSLASHacrshort] = ACTIONS(6846),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6846),
    [anon_sym_BSLASHACRshort] = ACTIONS(6846),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHacrlong] = ACTIONS(6846),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6846),
    [anon_sym_BSLASHACRlong] = ACTIONS(6846),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHacrfull] = ACTIONS(6846),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6846),
    [anon_sym_BSLASHACRfull] = ACTIONS(6846),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHacs] = ACTIONS(6846),
    [anon_sym_BSLASHAcs] = ACTIONS(6846),
    [anon_sym_BSLASHacsp] = ACTIONS(6846),
    [anon_sym_BSLASHAcsp] = ACTIONS(6846),
    [anon_sym_BSLASHacl] = ACTIONS(6846),
    [anon_sym_BSLASHAcl] = ACTIONS(6846),
    [anon_sym_BSLASHaclp] = ACTIONS(6846),
    [anon_sym_BSLASHAclp] = ACTIONS(6846),
    [anon_sym_BSLASHacf] = ACTIONS(6846),
    [anon_sym_BSLASHAcf] = ACTIONS(6846),
    [anon_sym_BSLASHacfp] = ACTIONS(6846),
    [anon_sym_BSLASHAcfp] = ACTIONS(6846),
    [anon_sym_BSLASHac] = ACTIONS(6846),
    [anon_sym_BSLASHAc] = ACTIONS(6846),
    [anon_sym_BSLASHacp] = ACTIONS(6846),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6846),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6846),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6846),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6846),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6846),
    [anon_sym_BSLASHcolor] = ACTIONS(6846),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6846),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6846),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6846),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6846),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6846),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6846),
    [anon_sym_BSLASHurl] = ACTIONS(6846),
    [anon_sym_BSLASHhref] = ACTIONS(6846),
  },
  [567] = {
    [sym__enum_itemdeclaration] = STATE(229),
    [sym_enum_item] = STATE(532),
    [aux_sym__paragraph_repeat3] = STATE(532),
    [ts_builtin_sym_end] = ACTIONS(6852),
    [sym_command_name] = ACTIONS(6850),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6850),
    [anon_sym_LBRACK] = ACTIONS(6852),
    [anon_sym_RBRACK] = ACTIONS(6852),
    [anon_sym_COMMA] = ACTIONS(6852),
    [anon_sym_EQ] = ACTIONS(6852),
    [anon_sym_LPAREN] = ACTIONS(6852),
    [anon_sym_RPAREN] = ACTIONS(6852),
    [anon_sym_BSLASHpart] = ACTIONS(6850),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHaddpart] = ACTIONS(6850),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHchapter] = ACTIONS(6850),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHaddchap] = ACTIONS(6850),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHsection] = ACTIONS(6850),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHaddsec] = ACTIONS(6850),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHsubsection] = ACTIONS(6850),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6850),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHparagraph] = ACTIONS(6850),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6850),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHitem] = ACTIONS(41),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(6852),
    [anon_sym_RBRACE] = ACTIONS(6852),
    [sym_word] = ACTIONS(6850),
    [sym_placeholder] = ACTIONS(6852),
    [sym_delimiter] = ACTIONS(6852),
    [anon_sym_PLUS] = ACTIONS(6852),
    [anon_sym_DASH] = ACTIONS(6852),
    [anon_sym_STAR] = ACTIONS(6852),
    [anon_sym_SLASH] = ACTIONS(6852),
    [anon_sym_LT] = ACTIONS(6850),
    [anon_sym_GT] = ACTIONS(6850),
    [anon_sym_BANG] = ACTIONS(6850),
    [anon_sym_PIPE] = ACTIONS(6850),
    [anon_sym_COLON] = ACTIONS(6850),
    [anon_sym_SQUOTE] = ACTIONS(6850),
    [anon_sym__] = ACTIONS(6852),
    [anon_sym_CARET] = ACTIONS(6852),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6852),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6852),
    [anon_sym_DOLLAR] = ACTIONS(6850),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6852),
    [anon_sym_BSLASHleft] = ACTIONS(6850),
    [anon_sym_BSLASHbigl] = ACTIONS(6850),
    [anon_sym_BSLASHBigl] = ACTIONS(6850),
    [anon_sym_BSLASHbiggl] = ACTIONS(6850),
    [anon_sym_BSLASHBiggl] = ACTIONS(6850),
    [anon_sym_BSLASHtext] = ACTIONS(6850),
    [anon_sym_BSLASHintertext] = ACTIONS(6850),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6850),
    [anon_sym_BSLASHbegin] = ACTIONS(6850),
    [anon_sym_BSLASHtitle] = ACTIONS(6850),
    [anon_sym_BSLASHauthor] = ACTIONS(6850),
    [anon_sym_BSLASHusepackage] = ACTIONS(6850),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6850),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6850),
    [anon_sym_BSLASHinclude] = ACTIONS(6850),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6850),
    [anon_sym_BSLASHinput] = ACTIONS(6850),
    [anon_sym_BSLASHsubfile] = ACTIONS(6850),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6850),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6850),
    [anon_sym_BSLASHbibliography] = ACTIONS(6850),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6850),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6850),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6850),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6850),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6850),
    [anon_sym_BSLASHimport] = ACTIONS(6850),
    [anon_sym_BSLASHsubimport] = ACTIONS(6850),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6850),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6850),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6850),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6850),
    [anon_sym_BSLASHcaption] = ACTIONS(6850),
    [anon_sym_BSLASHcite] = ACTIONS(6850),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHCite] = ACTIONS(6850),
    [anon_sym_BSLASHnocite] = ACTIONS(6850),
    [anon_sym_BSLASHcitet] = ACTIONS(6850),
    [anon_sym_BSLASHcitep] = ACTIONS(6850),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHciteA] = ACTIONS(6850),
    [anon_sym_BSLASHciteR] = ACTIONS(6850),
    [anon_sym_BSLASHciteS] = ACTIONS(6850),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6850),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6850),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6850),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6850),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHciteyear] = ACTIONS(6850),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcitedate] = ACTIONS(6850),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHciteurl] = ACTIONS(6850),
    [anon_sym_BSLASHfullcite] = ACTIONS(6850),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6850),
    [anon_sym_BSLASHcitealt] = ACTIONS(6850),
    [anon_sym_BSLASHcitealp] = ACTIONS(6850),
    [anon_sym_BSLASHcitetext] = ACTIONS(6850),
    [anon_sym_BSLASHparencite] = ACTIONS(6850),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHParencite] = ACTIONS(6850),
    [anon_sym_BSLASHfootcite] = ACTIONS(6850),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6850),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6850),
    [anon_sym_BSLASHtextcite] = ACTIONS(6850),
    [anon_sym_BSLASHTextcite] = ACTIONS(6850),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6850),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6850),
    [anon_sym_BSLASHsupercite] = ACTIONS(6850),
    [anon_sym_BSLASHautocite] = ACTIONS(6850),
    [anon_sym_BSLASHAutocite] = ACTIONS(6850),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHVolcite] = ACTIONS(6850),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHavolcite] = ACTIONS(6850),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHnotecite] = ACTIONS(6850),
    [anon_sym_BSLASHNotecite] = ACTIONS(6850),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6850),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6850),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6850),
    [anon_sym_BSLASHlabel] = ACTIONS(6850),
    [anon_sym_BSLASHref] = ACTIONS(6850),
    [anon_sym_BSLASHeqref] = ACTIONS(6850),
    [anon_sym_BSLASHvref] = ACTIONS(6850),
    [anon_sym_BSLASHVref] = ACTIONS(6850),
    [anon_sym_BSLASHautoref] = ACTIONS(6850),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHpageref] = ACTIONS(6850),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHautopageref] = ACTIONS(6850),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcref] = ACTIONS(6850),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHCref] = ACTIONS(6850),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcpageref] = ACTIONS(6850),
    [anon_sym_BSLASHCpageref] = ACTIONS(6850),
    [anon_sym_BSLASHnamecref] = ACTIONS(6850),
    [anon_sym_BSLASHnameCref] = ACTIONS(6850),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6850),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6850),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6850),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6850),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6850),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6850),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6850),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6850),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6850),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6850),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6850),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6850),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6850),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6850),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6850),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6850),
    [anon_sym_BSLASHdef] = ACTIONS(6850),
    [anon_sym_BSLASHgdef] = ACTIONS(6850),
    [anon_sym_BSLASHedef] = ACTIONS(6850),
    [anon_sym_BSLASHxdef] = ACTIONS(6850),
    [anon_sym_BSLASHlet] = ACTIONS(6850),
    [anon_sym_BSLASHglet] = ACTIONS(6850),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6850),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6850),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6850),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6850),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6850),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6850),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6850),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6850),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6850),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6850),
    [anon_sym_BSLASHgls] = ACTIONS(6850),
    [anon_sym_BSLASHGls] = ACTIONS(6850),
    [anon_sym_BSLASHGLS] = ACTIONS(6850),
    [anon_sym_BSLASHglspl] = ACTIONS(6850),
    [anon_sym_BSLASHGlspl] = ACTIONS(6850),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6850),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6850),
    [anon_sym_BSLASHglslink] = ACTIONS(6850),
    [anon_sym_BSLASHglstext] = ACTIONS(6850),
    [anon_sym_BSLASHGlstext] = ACTIONS(6850),
    [anon_sym_BSLASHGLStext] = ACTIONS(6850),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6850),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6850),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6850),
    [anon_sym_BSLASHglsplural] = ACTIONS(6850),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6850),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6850),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6850),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6850),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6850),
    [anon_sym_BSLASHglsname] = ACTIONS(6850),
    [anon_sym_BSLASHGlsname] = ACTIONS(6850),
    [anon_sym_BSLASHGLSname] = ACTIONS(6850),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6850),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6850),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6850),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6850),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6850),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6850),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6850),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6850),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6850),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6850),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6850),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6850),
    [anon_sym_BSLASHacrshort] = ACTIONS(6850),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6850),
    [anon_sym_BSLASHACRshort] = ACTIONS(6850),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6850),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6850),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6850),
    [anon_sym_BSLASHacrlong] = ACTIONS(6850),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6850),
    [anon_sym_BSLASHACRlong] = ACTIONS(6850),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6850),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6850),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6850),
    [anon_sym_BSLASHacrfull] = ACTIONS(6850),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6850),
    [anon_sym_BSLASHACRfull] = ACTIONS(6850),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6850),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6850),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6850),
    [anon_sym_BSLASHacs] = ACTIONS(6850),
    [anon_sym_BSLASHAcs] = ACTIONS(6850),
    [anon_sym_BSLASHacsp] = ACTIONS(6850),
    [anon_sym_BSLASHAcsp] = ACTIONS(6850),
    [anon_sym_BSLASHacl] = ACTIONS(6850),
    [anon_sym_BSLASHAcl] = ACTIONS(6850),
    [anon_sym_BSLASHaclp] = ACTIONS(6850),
    [anon_sym_BSLASHAclp] = ACTIONS(6850),
    [anon_sym_BSLASHacf] = ACTIONS(6850),
    [anon_sym_BSLASHAcf] = ACTIONS(6850),
    [anon_sym_BSLASHacfp] = ACTIONS(6850),
    [anon_sym_BSLASHAcfp] = ACTIONS(6850),
    [anon_sym_BSLASHac] = ACTIONS(6850),
    [anon_sym_BSLASHAc] = ACTIONS(6850),
    [anon_sym_BSLASHacp] = ACTIONS(6850),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6850),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6850),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6850),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6850),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6850),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6850),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6850),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6850),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6850),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6850),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6850),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6850),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6850),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6850),
    [anon_sym_BSLASHcolor] = ACTIONS(6850),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6850),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6850),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6850),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6850),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6850),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6850),
    [anon_sym_BSLASHurl] = ACTIONS(6850),
    [anon_sym_BSLASHhref] = ACTIONS(6850),
  },
  [568] = {
    [sym__section_part] = STATE(1137),
    [sym_curly_group] = STATE(1146),
    [sym_brack_group] = STATE(2958),
    [ts_builtin_sym_end] = ACTIONS(6726),
    [sym_command_name] = ACTIONS(6724),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6724),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6726),
    [anon_sym_COMMA] = ACTIONS(6726),
    [anon_sym_EQ] = ACTIONS(6726),
    [anon_sym_LPAREN] = ACTIONS(6726),
    [anon_sym_RPAREN] = ACTIONS(6726),
    [anon_sym_BSLASHpart] = ACTIONS(6724),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHaddpart] = ACTIONS(6724),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHchapter] = ACTIONS(6724),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHaddchap] = ACTIONS(6724),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHsection] = ACTIONS(6724),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHaddsec] = ACTIONS(6724),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHsubsection] = ACTIONS(6724),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6724),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHparagraph] = ACTIONS(6724),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6724),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHitem] = ACTIONS(6724),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6726),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(6726),
    [sym_word] = ACTIONS(6724),
    [sym_placeholder] = ACTIONS(6726),
    [sym_delimiter] = ACTIONS(6726),
    [anon_sym_PLUS] = ACTIONS(6726),
    [anon_sym_DASH] = ACTIONS(6726),
    [anon_sym_STAR] = ACTIONS(6726),
    [anon_sym_SLASH] = ACTIONS(6726),
    [anon_sym_LT] = ACTIONS(6724),
    [anon_sym_GT] = ACTIONS(6724),
    [anon_sym_BANG] = ACTIONS(6724),
    [anon_sym_PIPE] = ACTIONS(6724),
    [anon_sym_COLON] = ACTIONS(6724),
    [anon_sym_SQUOTE] = ACTIONS(6724),
    [anon_sym__] = ACTIONS(6726),
    [anon_sym_CARET] = ACTIONS(6726),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6726),
    [anon_sym_DOLLAR] = ACTIONS(6724),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6726),
    [anon_sym_BSLASHleft] = ACTIONS(6724),
    [anon_sym_BSLASHbigl] = ACTIONS(6724),
    [anon_sym_BSLASHBigl] = ACTIONS(6724),
    [anon_sym_BSLASHbiggl] = ACTIONS(6724),
    [anon_sym_BSLASHBiggl] = ACTIONS(6724),
    [anon_sym_BSLASHtext] = ACTIONS(6724),
    [anon_sym_BSLASHintertext] = ACTIONS(6724),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6724),
    [anon_sym_BSLASHbegin] = ACTIONS(6724),
    [anon_sym_BSLASHtitle] = ACTIONS(6724),
    [anon_sym_BSLASHauthor] = ACTIONS(6724),
    [anon_sym_BSLASHusepackage] = ACTIONS(6724),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6724),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6724),
    [anon_sym_BSLASHinclude] = ACTIONS(6724),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6724),
    [anon_sym_BSLASHinput] = ACTIONS(6724),
    [anon_sym_BSLASHsubfile] = ACTIONS(6724),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6724),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6724),
    [anon_sym_BSLASHbibliography] = ACTIONS(6724),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6724),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6724),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6724),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6724),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6724),
    [anon_sym_BSLASHimport] = ACTIONS(6724),
    [anon_sym_BSLASHsubimport] = ACTIONS(6724),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6724),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6724),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6724),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6724),
    [anon_sym_BSLASHcaption] = ACTIONS(6724),
    [anon_sym_BSLASHcite] = ACTIONS(6724),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHCite] = ACTIONS(6724),
    [anon_sym_BSLASHnocite] = ACTIONS(6724),
    [anon_sym_BSLASHcitet] = ACTIONS(6724),
    [anon_sym_BSLASHcitep] = ACTIONS(6724),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHciteA] = ACTIONS(6724),
    [anon_sym_BSLASHciteR] = ACTIONS(6724),
    [anon_sym_BSLASHciteS] = ACTIONS(6724),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6724),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6724),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6724),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6724),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHciteyear] = ACTIONS(6724),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcitedate] = ACTIONS(6724),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHciteurl] = ACTIONS(6724),
    [anon_sym_BSLASHfullcite] = ACTIONS(6724),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6724),
    [anon_sym_BSLASHcitealt] = ACTIONS(6724),
    [anon_sym_BSLASHcitealp] = ACTIONS(6724),
    [anon_sym_BSLASHcitetext] = ACTIONS(6724),
    [anon_sym_BSLASHparencite] = ACTIONS(6724),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHParencite] = ACTIONS(6724),
    [anon_sym_BSLASHfootcite] = ACTIONS(6724),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6724),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6724),
    [anon_sym_BSLASHtextcite] = ACTIONS(6724),
    [anon_sym_BSLASHTextcite] = ACTIONS(6724),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6724),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6724),
    [anon_sym_BSLASHsupercite] = ACTIONS(6724),
    [anon_sym_BSLASHautocite] = ACTIONS(6724),
    [anon_sym_BSLASHAutocite] = ACTIONS(6724),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHVolcite] = ACTIONS(6724),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHavolcite] = ACTIONS(6724),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHnotecite] = ACTIONS(6724),
    [anon_sym_BSLASHNotecite] = ACTIONS(6724),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6724),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6724),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6724),
    [anon_sym_BSLASHlabel] = ACTIONS(6724),
    [anon_sym_BSLASHref] = ACTIONS(6724),
    [anon_sym_BSLASHeqref] = ACTIONS(6724),
    [anon_sym_BSLASHvref] = ACTIONS(6724),
    [anon_sym_BSLASHVref] = ACTIONS(6724),
    [anon_sym_BSLASHautoref] = ACTIONS(6724),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHpageref] = ACTIONS(6724),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHautopageref] = ACTIONS(6724),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcref] = ACTIONS(6724),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHCref] = ACTIONS(6724),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcpageref] = ACTIONS(6724),
    [anon_sym_BSLASHCpageref] = ACTIONS(6724),
    [anon_sym_BSLASHnamecref] = ACTIONS(6724),
    [anon_sym_BSLASHnameCref] = ACTIONS(6724),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6724),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6724),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6724),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6724),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6724),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6724),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6724),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6724),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6724),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6724),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6724),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6724),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6724),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6724),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6724),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6724),
    [anon_sym_BSLASHdef] = ACTIONS(6724),
    [anon_sym_BSLASHgdef] = ACTIONS(6724),
    [anon_sym_BSLASHedef] = ACTIONS(6724),
    [anon_sym_BSLASHxdef] = ACTIONS(6724),
    [anon_sym_BSLASHlet] = ACTIONS(6724),
    [anon_sym_BSLASHglet] = ACTIONS(6724),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6724),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6724),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6724),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6724),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6724),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6724),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6724),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6724),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6724),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6724),
    [anon_sym_BSLASHgls] = ACTIONS(6724),
    [anon_sym_BSLASHGls] = ACTIONS(6724),
    [anon_sym_BSLASHGLS] = ACTIONS(6724),
    [anon_sym_BSLASHglspl] = ACTIONS(6724),
    [anon_sym_BSLASHGlspl] = ACTIONS(6724),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6724),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6724),
    [anon_sym_BSLASHglslink] = ACTIONS(6724),
    [anon_sym_BSLASHglstext] = ACTIONS(6724),
    [anon_sym_BSLASHGlstext] = ACTIONS(6724),
    [anon_sym_BSLASHGLStext] = ACTIONS(6724),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6724),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6724),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6724),
    [anon_sym_BSLASHglsplural] = ACTIONS(6724),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6724),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6724),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6724),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6724),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6724),
    [anon_sym_BSLASHglsname] = ACTIONS(6724),
    [anon_sym_BSLASHGlsname] = ACTIONS(6724),
    [anon_sym_BSLASHGLSname] = ACTIONS(6724),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6724),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6724),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6724),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6724),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6724),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6724),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6724),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6724),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6724),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6724),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6724),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6724),
    [anon_sym_BSLASHacrshort] = ACTIONS(6724),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6724),
    [anon_sym_BSLASHACRshort] = ACTIONS(6724),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6724),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6724),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6724),
    [anon_sym_BSLASHacrlong] = ACTIONS(6724),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6724),
    [anon_sym_BSLASHACRlong] = ACTIONS(6724),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6724),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6724),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6724),
    [anon_sym_BSLASHacrfull] = ACTIONS(6724),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6724),
    [anon_sym_BSLASHACRfull] = ACTIONS(6724),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6724),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6724),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6724),
    [anon_sym_BSLASHacs] = ACTIONS(6724),
    [anon_sym_BSLASHAcs] = ACTIONS(6724),
    [anon_sym_BSLASHacsp] = ACTIONS(6724),
    [anon_sym_BSLASHAcsp] = ACTIONS(6724),
    [anon_sym_BSLASHacl] = ACTIONS(6724),
    [anon_sym_BSLASHAcl] = ACTIONS(6724),
    [anon_sym_BSLASHaclp] = ACTIONS(6724),
    [anon_sym_BSLASHAclp] = ACTIONS(6724),
    [anon_sym_BSLASHacf] = ACTIONS(6724),
    [anon_sym_BSLASHAcf] = ACTIONS(6724),
    [anon_sym_BSLASHacfp] = ACTIONS(6724),
    [anon_sym_BSLASHAcfp] = ACTIONS(6724),
    [anon_sym_BSLASHac] = ACTIONS(6724),
    [anon_sym_BSLASHAc] = ACTIONS(6724),
    [anon_sym_BSLASHacp] = ACTIONS(6724),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6724),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6724),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6724),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6724),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6724),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6724),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6724),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6724),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6724),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6724),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6724),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6724),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6724),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6724),
    [anon_sym_BSLASHcolor] = ACTIONS(6724),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6724),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6724),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6724),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6724),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6724),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6724),
    [anon_sym_BSLASHurl] = ACTIONS(6724),
    [anon_sym_BSLASHhref] = ACTIONS(6724),
  },
  [569] = {
    [sym_command_name] = ACTIONS(7035),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7037),
    [anon_sym_RBRACK] = ACTIONS(7037),
    [anon_sym_COMMA] = ACTIONS(7037),
    [anon_sym_EQ] = ACTIONS(7037),
    [anon_sym_LPAREN] = ACTIONS(7037),
    [anon_sym_RPAREN] = ACTIONS(7037),
    [anon_sym_BSLASHpart] = ACTIONS(7035),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHaddpart] = ACTIONS(7035),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHchapter] = ACTIONS(7035),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHaddchap] = ACTIONS(7035),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHsection] = ACTIONS(7035),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHaddsec] = ACTIONS(7035),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHsubsection] = ACTIONS(7035),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7035),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHparagraph] = ACTIONS(7035),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7035),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHitem] = ACTIONS(7035),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7037),
    [anon_sym_LBRACE] = ACTIONS(7037),
    [sym_word] = ACTIONS(7035),
    [sym_placeholder] = ACTIONS(7037),
    [sym_delimiter] = ACTIONS(7037),
    [anon_sym_PLUS] = ACTIONS(7037),
    [anon_sym_DASH] = ACTIONS(7037),
    [anon_sym_STAR] = ACTIONS(7037),
    [anon_sym_SLASH] = ACTIONS(7037),
    [anon_sym_LT] = ACTIONS(7035),
    [anon_sym_GT] = ACTIONS(7035),
    [anon_sym_BANG] = ACTIONS(7035),
    [anon_sym_PIPE] = ACTIONS(7035),
    [anon_sym_COLON] = ACTIONS(7035),
    [anon_sym_SQUOTE] = ACTIONS(7035),
    [anon_sym__] = ACTIONS(7037),
    [anon_sym_CARET] = ACTIONS(7037),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7037),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7037),
    [anon_sym_DOLLAR] = ACTIONS(7035),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7037),
    [anon_sym_BSLASHleft] = ACTIONS(7035),
    [anon_sym_BSLASHbigl] = ACTIONS(7035),
    [anon_sym_BSLASHBigl] = ACTIONS(7035),
    [anon_sym_BSLASHbiggl] = ACTIONS(7035),
    [anon_sym_BSLASHBiggl] = ACTIONS(7035),
    [anon_sym_BSLASHright] = ACTIONS(7035),
    [anon_sym_BSLASHbigr] = ACTIONS(7035),
    [anon_sym_BSLASHBigr] = ACTIONS(7035),
    [anon_sym_BSLASHbiggr] = ACTIONS(7035),
    [anon_sym_BSLASHBiggr] = ACTIONS(7035),
    [anon_sym_BSLASHtext] = ACTIONS(7035),
    [anon_sym_BSLASHintertext] = ACTIONS(7035),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7035),
    [anon_sym_BSLASHbegin] = ACTIONS(7035),
    [anon_sym_BSLASHtitle] = ACTIONS(7035),
    [anon_sym_BSLASHauthor] = ACTIONS(7035),
    [anon_sym_BSLASHusepackage] = ACTIONS(7035),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7035),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7035),
    [anon_sym_BSLASHinclude] = ACTIONS(7035),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7035),
    [anon_sym_BSLASHinput] = ACTIONS(7035),
    [anon_sym_BSLASHsubfile] = ACTIONS(7035),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7035),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7035),
    [anon_sym_BSLASHbibliography] = ACTIONS(7035),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7035),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7035),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7035),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7035),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7035),
    [anon_sym_BSLASHimport] = ACTIONS(7035),
    [anon_sym_BSLASHsubimport] = ACTIONS(7035),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7035),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7035),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7035),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7035),
    [anon_sym_BSLASHcaption] = ACTIONS(7035),
    [anon_sym_BSLASHcite] = ACTIONS(7035),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHCite] = ACTIONS(7035),
    [anon_sym_BSLASHnocite] = ACTIONS(7035),
    [anon_sym_BSLASHcitet] = ACTIONS(7035),
    [anon_sym_BSLASHcitep] = ACTIONS(7035),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHciteA] = ACTIONS(7035),
    [anon_sym_BSLASHciteR] = ACTIONS(7035),
    [anon_sym_BSLASHciteS] = ACTIONS(7035),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7035),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7035),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7035),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7035),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHciteyear] = ACTIONS(7035),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcitedate] = ACTIONS(7035),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHciteurl] = ACTIONS(7035),
    [anon_sym_BSLASHfullcite] = ACTIONS(7035),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7035),
    [anon_sym_BSLASHcitealt] = ACTIONS(7035),
    [anon_sym_BSLASHcitealp] = ACTIONS(7035),
    [anon_sym_BSLASHcitetext] = ACTIONS(7035),
    [anon_sym_BSLASHparencite] = ACTIONS(7035),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHParencite] = ACTIONS(7035),
    [anon_sym_BSLASHfootcite] = ACTIONS(7035),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7035),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7035),
    [anon_sym_BSLASHtextcite] = ACTIONS(7035),
    [anon_sym_BSLASHTextcite] = ACTIONS(7035),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7035),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7035),
    [anon_sym_BSLASHsupercite] = ACTIONS(7035),
    [anon_sym_BSLASHautocite] = ACTIONS(7035),
    [anon_sym_BSLASHAutocite] = ACTIONS(7035),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHVolcite] = ACTIONS(7035),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHavolcite] = ACTIONS(7035),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHnotecite] = ACTIONS(7035),
    [anon_sym_BSLASHNotecite] = ACTIONS(7035),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7035),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7035),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7035),
    [anon_sym_BSLASHlabel] = ACTIONS(7035),
    [anon_sym_BSLASHref] = ACTIONS(7035),
    [anon_sym_BSLASHeqref] = ACTIONS(7035),
    [anon_sym_BSLASHvref] = ACTIONS(7035),
    [anon_sym_BSLASHVref] = ACTIONS(7035),
    [anon_sym_BSLASHautoref] = ACTIONS(7035),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHpageref] = ACTIONS(7035),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHautopageref] = ACTIONS(7035),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcref] = ACTIONS(7035),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHCref] = ACTIONS(7035),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcpageref] = ACTIONS(7035),
    [anon_sym_BSLASHCpageref] = ACTIONS(7035),
    [anon_sym_BSLASHnamecref] = ACTIONS(7035),
    [anon_sym_BSLASHnameCref] = ACTIONS(7035),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7035),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7035),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7035),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7035),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7035),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7035),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7035),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7035),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7035),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7035),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7035),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7035),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7035),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7035),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7035),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7035),
    [anon_sym_BSLASHdef] = ACTIONS(7035),
    [anon_sym_BSLASHgdef] = ACTIONS(7035),
    [anon_sym_BSLASHedef] = ACTIONS(7035),
    [anon_sym_BSLASHxdef] = ACTIONS(7035),
    [anon_sym_BSLASHlet] = ACTIONS(7035),
    [anon_sym_BSLASHglet] = ACTIONS(7035),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7035),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7035),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7035),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7035),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7035),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7035),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7035),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7035),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7035),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7035),
    [anon_sym_BSLASHgls] = ACTIONS(7035),
    [anon_sym_BSLASHGls] = ACTIONS(7035),
    [anon_sym_BSLASHGLS] = ACTIONS(7035),
    [anon_sym_BSLASHglspl] = ACTIONS(7035),
    [anon_sym_BSLASHGlspl] = ACTIONS(7035),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7035),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7035),
    [anon_sym_BSLASHglslink] = ACTIONS(7035),
    [anon_sym_BSLASHglstext] = ACTIONS(7035),
    [anon_sym_BSLASHGlstext] = ACTIONS(7035),
    [anon_sym_BSLASHGLStext] = ACTIONS(7035),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7035),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7035),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7035),
    [anon_sym_BSLASHglsplural] = ACTIONS(7035),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7035),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7035),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7035),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7035),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7035),
    [anon_sym_BSLASHglsname] = ACTIONS(7035),
    [anon_sym_BSLASHGlsname] = ACTIONS(7035),
    [anon_sym_BSLASHGLSname] = ACTIONS(7035),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7035),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7035),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7035),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7035),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7035),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7035),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7035),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7035),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7035),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7035),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7035),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7035),
    [anon_sym_BSLASHacrshort] = ACTIONS(7035),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7035),
    [anon_sym_BSLASHACRshort] = ACTIONS(7035),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7035),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7035),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7035),
    [anon_sym_BSLASHacrlong] = ACTIONS(7035),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7035),
    [anon_sym_BSLASHACRlong] = ACTIONS(7035),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7035),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7035),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7035),
    [anon_sym_BSLASHacrfull] = ACTIONS(7035),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7035),
    [anon_sym_BSLASHACRfull] = ACTIONS(7035),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7035),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7035),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7035),
    [anon_sym_BSLASHacs] = ACTIONS(7035),
    [anon_sym_BSLASHAcs] = ACTIONS(7035),
    [anon_sym_BSLASHacsp] = ACTIONS(7035),
    [anon_sym_BSLASHAcsp] = ACTIONS(7035),
    [anon_sym_BSLASHacl] = ACTIONS(7035),
    [anon_sym_BSLASHAcl] = ACTIONS(7035),
    [anon_sym_BSLASHaclp] = ACTIONS(7035),
    [anon_sym_BSLASHAclp] = ACTIONS(7035),
    [anon_sym_BSLASHacf] = ACTIONS(7035),
    [anon_sym_BSLASHAcf] = ACTIONS(7035),
    [anon_sym_BSLASHacfp] = ACTIONS(7035),
    [anon_sym_BSLASHAcfp] = ACTIONS(7035),
    [anon_sym_BSLASHac] = ACTIONS(7035),
    [anon_sym_BSLASHAc] = ACTIONS(7035),
    [anon_sym_BSLASHacp] = ACTIONS(7035),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7035),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7035),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7035),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7035),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7035),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7035),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7035),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7035),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7035),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7035),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7035),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7035),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7035),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7035),
    [anon_sym_BSLASHcolor] = ACTIONS(7035),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7035),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7035),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7035),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7035),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7035),
    [anon_sym_BSLASHurl] = ACTIONS(7035),
    [anon_sym_BSLASHhref] = ACTIONS(7035),
  },
  [570] = {
    [sym__section_part] = STATE(1154),
    [sym_curly_group] = STATE(1146),
    [sym_brack_group] = STATE(2958),
    [ts_builtin_sym_end] = ACTIONS(6736),
    [sym_command_name] = ACTIONS(6734),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6734),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6736),
    [anon_sym_COMMA] = ACTIONS(6736),
    [anon_sym_EQ] = ACTIONS(6736),
    [anon_sym_LPAREN] = ACTIONS(6736),
    [anon_sym_RPAREN] = ACTIONS(6736),
    [anon_sym_BSLASHpart] = ACTIONS(6734),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHaddpart] = ACTIONS(6734),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHchapter] = ACTIONS(6734),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHaddchap] = ACTIONS(6734),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHsection] = ACTIONS(6734),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHaddsec] = ACTIONS(6734),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHsubsection] = ACTIONS(6734),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6734),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHparagraph] = ACTIONS(6734),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6734),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHitem] = ACTIONS(6734),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6736),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(6736),
    [sym_word] = ACTIONS(6734),
    [sym_placeholder] = ACTIONS(6736),
    [sym_delimiter] = ACTIONS(6736),
    [anon_sym_PLUS] = ACTIONS(6736),
    [anon_sym_DASH] = ACTIONS(6736),
    [anon_sym_STAR] = ACTIONS(6736),
    [anon_sym_SLASH] = ACTIONS(6736),
    [anon_sym_LT] = ACTIONS(6734),
    [anon_sym_GT] = ACTIONS(6734),
    [anon_sym_BANG] = ACTIONS(6734),
    [anon_sym_PIPE] = ACTIONS(6734),
    [anon_sym_COLON] = ACTIONS(6734),
    [anon_sym_SQUOTE] = ACTIONS(6734),
    [anon_sym__] = ACTIONS(6736),
    [anon_sym_CARET] = ACTIONS(6736),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6736),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6736),
    [anon_sym_DOLLAR] = ACTIONS(6734),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6736),
    [anon_sym_BSLASHleft] = ACTIONS(6734),
    [anon_sym_BSLASHbigl] = ACTIONS(6734),
    [anon_sym_BSLASHBigl] = ACTIONS(6734),
    [anon_sym_BSLASHbiggl] = ACTIONS(6734),
    [anon_sym_BSLASHBiggl] = ACTIONS(6734),
    [anon_sym_BSLASHtext] = ACTIONS(6734),
    [anon_sym_BSLASHintertext] = ACTIONS(6734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6734),
    [anon_sym_BSLASHbegin] = ACTIONS(6734),
    [anon_sym_BSLASHtitle] = ACTIONS(6734),
    [anon_sym_BSLASHauthor] = ACTIONS(6734),
    [anon_sym_BSLASHusepackage] = ACTIONS(6734),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6734),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6734),
    [anon_sym_BSLASHinclude] = ACTIONS(6734),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6734),
    [anon_sym_BSLASHinput] = ACTIONS(6734),
    [anon_sym_BSLASHsubfile] = ACTIONS(6734),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6734),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6734),
    [anon_sym_BSLASHbibliography] = ACTIONS(6734),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6734),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6734),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6734),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6734),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6734),
    [anon_sym_BSLASHimport] = ACTIONS(6734),
    [anon_sym_BSLASHsubimport] = ACTIONS(6734),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6734),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6734),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6734),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6734),
    [anon_sym_BSLASHcaption] = ACTIONS(6734),
    [anon_sym_BSLASHcite] = ACTIONS(6734),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHCite] = ACTIONS(6734),
    [anon_sym_BSLASHnocite] = ACTIONS(6734),
    [anon_sym_BSLASHcitet] = ACTIONS(6734),
    [anon_sym_BSLASHcitep] = ACTIONS(6734),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHciteA] = ACTIONS(6734),
    [anon_sym_BSLASHciteR] = ACTIONS(6734),
    [anon_sym_BSLASHciteS] = ACTIONS(6734),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6734),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6734),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6734),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6734),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHciteyear] = ACTIONS(6734),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcitedate] = ACTIONS(6734),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHciteurl] = ACTIONS(6734),
    [anon_sym_BSLASHfullcite] = ACTIONS(6734),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6734),
    [anon_sym_BSLASHcitealt] = ACTIONS(6734),
    [anon_sym_BSLASHcitealp] = ACTIONS(6734),
    [anon_sym_BSLASHcitetext] = ACTIONS(6734),
    [anon_sym_BSLASHparencite] = ACTIONS(6734),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHParencite] = ACTIONS(6734),
    [anon_sym_BSLASHfootcite] = ACTIONS(6734),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6734),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6734),
    [anon_sym_BSLASHtextcite] = ACTIONS(6734),
    [anon_sym_BSLASHTextcite] = ACTIONS(6734),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6734),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6734),
    [anon_sym_BSLASHsupercite] = ACTIONS(6734),
    [anon_sym_BSLASHautocite] = ACTIONS(6734),
    [anon_sym_BSLASHAutocite] = ACTIONS(6734),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHVolcite] = ACTIONS(6734),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHavolcite] = ACTIONS(6734),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHnotecite] = ACTIONS(6734),
    [anon_sym_BSLASHNotecite] = ACTIONS(6734),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6734),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6734),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6734),
    [anon_sym_BSLASHlabel] = ACTIONS(6734),
    [anon_sym_BSLASHref] = ACTIONS(6734),
    [anon_sym_BSLASHeqref] = ACTIONS(6734),
    [anon_sym_BSLASHvref] = ACTIONS(6734),
    [anon_sym_BSLASHVref] = ACTIONS(6734),
    [anon_sym_BSLASHautoref] = ACTIONS(6734),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHpageref] = ACTIONS(6734),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHautopageref] = ACTIONS(6734),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcref] = ACTIONS(6734),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHCref] = ACTIONS(6734),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcpageref] = ACTIONS(6734),
    [anon_sym_BSLASHCpageref] = ACTIONS(6734),
    [anon_sym_BSLASHnamecref] = ACTIONS(6734),
    [anon_sym_BSLASHnameCref] = ACTIONS(6734),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6734),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6734),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6734),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6734),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6734),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6734),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6734),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6734),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6734),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6734),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6734),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6734),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6734),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6734),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6734),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6734),
    [anon_sym_BSLASHdef] = ACTIONS(6734),
    [anon_sym_BSLASHgdef] = ACTIONS(6734),
    [anon_sym_BSLASHedef] = ACTIONS(6734),
    [anon_sym_BSLASHxdef] = ACTIONS(6734),
    [anon_sym_BSLASHlet] = ACTIONS(6734),
    [anon_sym_BSLASHglet] = ACTIONS(6734),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6734),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6734),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6734),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6734),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6734),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6734),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6734),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6734),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6734),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6734),
    [anon_sym_BSLASHgls] = ACTIONS(6734),
    [anon_sym_BSLASHGls] = ACTIONS(6734),
    [anon_sym_BSLASHGLS] = ACTIONS(6734),
    [anon_sym_BSLASHglspl] = ACTIONS(6734),
    [anon_sym_BSLASHGlspl] = ACTIONS(6734),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6734),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6734),
    [anon_sym_BSLASHglslink] = ACTIONS(6734),
    [anon_sym_BSLASHglstext] = ACTIONS(6734),
    [anon_sym_BSLASHGlstext] = ACTIONS(6734),
    [anon_sym_BSLASHGLStext] = ACTIONS(6734),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6734),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6734),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6734),
    [anon_sym_BSLASHglsplural] = ACTIONS(6734),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6734),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6734),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6734),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6734),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6734),
    [anon_sym_BSLASHglsname] = ACTIONS(6734),
    [anon_sym_BSLASHGlsname] = ACTIONS(6734),
    [anon_sym_BSLASHGLSname] = ACTIONS(6734),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6734),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6734),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6734),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6734),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6734),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6734),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6734),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6734),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6734),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6734),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6734),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6734),
    [anon_sym_BSLASHacrshort] = ACTIONS(6734),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6734),
    [anon_sym_BSLASHACRshort] = ACTIONS(6734),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6734),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6734),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6734),
    [anon_sym_BSLASHacrlong] = ACTIONS(6734),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6734),
    [anon_sym_BSLASHACRlong] = ACTIONS(6734),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6734),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6734),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6734),
    [anon_sym_BSLASHacrfull] = ACTIONS(6734),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6734),
    [anon_sym_BSLASHACRfull] = ACTIONS(6734),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6734),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6734),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6734),
    [anon_sym_BSLASHacs] = ACTIONS(6734),
    [anon_sym_BSLASHAcs] = ACTIONS(6734),
    [anon_sym_BSLASHacsp] = ACTIONS(6734),
    [anon_sym_BSLASHAcsp] = ACTIONS(6734),
    [anon_sym_BSLASHacl] = ACTIONS(6734),
    [anon_sym_BSLASHAcl] = ACTIONS(6734),
    [anon_sym_BSLASHaclp] = ACTIONS(6734),
    [anon_sym_BSLASHAclp] = ACTIONS(6734),
    [anon_sym_BSLASHacf] = ACTIONS(6734),
    [anon_sym_BSLASHAcf] = ACTIONS(6734),
    [anon_sym_BSLASHacfp] = ACTIONS(6734),
    [anon_sym_BSLASHAcfp] = ACTIONS(6734),
    [anon_sym_BSLASHac] = ACTIONS(6734),
    [anon_sym_BSLASHAc] = ACTIONS(6734),
    [anon_sym_BSLASHacp] = ACTIONS(6734),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6734),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6734),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6734),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6734),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6734),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6734),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6734),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6734),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6734),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6734),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6734),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6734),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6734),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6734),
    [anon_sym_BSLASHcolor] = ACTIONS(6734),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6734),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6734),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6734),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6734),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6734),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6734),
    [anon_sym_BSLASHurl] = ACTIONS(6734),
    [anon_sym_BSLASHhref] = ACTIONS(6734),
  },
  [571] = {
    [sym__section_part] = STATE(1161),
    [sym_curly_group] = STATE(1146),
    [sym_brack_group] = STATE(2958),
    [ts_builtin_sym_end] = ACTIONS(6740),
    [sym_command_name] = ACTIONS(6738),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6738),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6740),
    [anon_sym_COMMA] = ACTIONS(6740),
    [anon_sym_EQ] = ACTIONS(6740),
    [anon_sym_LPAREN] = ACTIONS(6740),
    [anon_sym_RPAREN] = ACTIONS(6740),
    [anon_sym_BSLASHpart] = ACTIONS(6738),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHaddpart] = ACTIONS(6738),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHchapter] = ACTIONS(6738),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHaddchap] = ACTIONS(6738),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHsection] = ACTIONS(6738),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHaddsec] = ACTIONS(6738),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHsubsection] = ACTIONS(6738),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6738),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHparagraph] = ACTIONS(6738),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6738),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHitem] = ACTIONS(6738),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6740),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(6740),
    [sym_word] = ACTIONS(6738),
    [sym_placeholder] = ACTIONS(6740),
    [sym_delimiter] = ACTIONS(6740),
    [anon_sym_PLUS] = ACTIONS(6740),
    [anon_sym_DASH] = ACTIONS(6740),
    [anon_sym_STAR] = ACTIONS(6740),
    [anon_sym_SLASH] = ACTIONS(6740),
    [anon_sym_LT] = ACTIONS(6738),
    [anon_sym_GT] = ACTIONS(6738),
    [anon_sym_BANG] = ACTIONS(6738),
    [anon_sym_PIPE] = ACTIONS(6738),
    [anon_sym_COLON] = ACTIONS(6738),
    [anon_sym_SQUOTE] = ACTIONS(6738),
    [anon_sym__] = ACTIONS(6740),
    [anon_sym_CARET] = ACTIONS(6740),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6740),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6740),
    [anon_sym_DOLLAR] = ACTIONS(6738),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6740),
    [anon_sym_BSLASHleft] = ACTIONS(6738),
    [anon_sym_BSLASHbigl] = ACTIONS(6738),
    [anon_sym_BSLASHBigl] = ACTIONS(6738),
    [anon_sym_BSLASHbiggl] = ACTIONS(6738),
    [anon_sym_BSLASHBiggl] = ACTIONS(6738),
    [anon_sym_BSLASHtext] = ACTIONS(6738),
    [anon_sym_BSLASHintertext] = ACTIONS(6738),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6738),
    [anon_sym_BSLASHbegin] = ACTIONS(6738),
    [anon_sym_BSLASHtitle] = ACTIONS(6738),
    [anon_sym_BSLASHauthor] = ACTIONS(6738),
    [anon_sym_BSLASHusepackage] = ACTIONS(6738),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6738),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6738),
    [anon_sym_BSLASHinclude] = ACTIONS(6738),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6738),
    [anon_sym_BSLASHinput] = ACTIONS(6738),
    [anon_sym_BSLASHsubfile] = ACTIONS(6738),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6738),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6738),
    [anon_sym_BSLASHbibliography] = ACTIONS(6738),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6738),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6738),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6738),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6738),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6738),
    [anon_sym_BSLASHimport] = ACTIONS(6738),
    [anon_sym_BSLASHsubimport] = ACTIONS(6738),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6738),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6738),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6738),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6738),
    [anon_sym_BSLASHcaption] = ACTIONS(6738),
    [anon_sym_BSLASHcite] = ACTIONS(6738),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHCite] = ACTIONS(6738),
    [anon_sym_BSLASHnocite] = ACTIONS(6738),
    [anon_sym_BSLASHcitet] = ACTIONS(6738),
    [anon_sym_BSLASHcitep] = ACTIONS(6738),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHciteA] = ACTIONS(6738),
    [anon_sym_BSLASHciteR] = ACTIONS(6738),
    [anon_sym_BSLASHciteS] = ACTIONS(6738),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6738),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6738),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6738),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6738),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHciteyear] = ACTIONS(6738),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcitedate] = ACTIONS(6738),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHciteurl] = ACTIONS(6738),
    [anon_sym_BSLASHfullcite] = ACTIONS(6738),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6738),
    [anon_sym_BSLASHcitealt] = ACTIONS(6738),
    [anon_sym_BSLASHcitealp] = ACTIONS(6738),
    [anon_sym_BSLASHcitetext] = ACTIONS(6738),
    [anon_sym_BSLASHparencite] = ACTIONS(6738),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHParencite] = ACTIONS(6738),
    [anon_sym_BSLASHfootcite] = ACTIONS(6738),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6738),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6738),
    [anon_sym_BSLASHtextcite] = ACTIONS(6738),
    [anon_sym_BSLASHTextcite] = ACTIONS(6738),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6738),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6738),
    [anon_sym_BSLASHsupercite] = ACTIONS(6738),
    [anon_sym_BSLASHautocite] = ACTIONS(6738),
    [anon_sym_BSLASHAutocite] = ACTIONS(6738),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHVolcite] = ACTIONS(6738),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHavolcite] = ACTIONS(6738),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHnotecite] = ACTIONS(6738),
    [anon_sym_BSLASHNotecite] = ACTIONS(6738),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6738),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6738),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6738),
    [anon_sym_BSLASHlabel] = ACTIONS(6738),
    [anon_sym_BSLASHref] = ACTIONS(6738),
    [anon_sym_BSLASHeqref] = ACTIONS(6738),
    [anon_sym_BSLASHvref] = ACTIONS(6738),
    [anon_sym_BSLASHVref] = ACTIONS(6738),
    [anon_sym_BSLASHautoref] = ACTIONS(6738),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHpageref] = ACTIONS(6738),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHautopageref] = ACTIONS(6738),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcref] = ACTIONS(6738),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHCref] = ACTIONS(6738),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcpageref] = ACTIONS(6738),
    [anon_sym_BSLASHCpageref] = ACTIONS(6738),
    [anon_sym_BSLASHnamecref] = ACTIONS(6738),
    [anon_sym_BSLASHnameCref] = ACTIONS(6738),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6738),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6738),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6738),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6738),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6738),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6738),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6738),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6738),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6738),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6738),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6738),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6738),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6738),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6738),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6738),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6738),
    [anon_sym_BSLASHdef] = ACTIONS(6738),
    [anon_sym_BSLASHgdef] = ACTIONS(6738),
    [anon_sym_BSLASHedef] = ACTIONS(6738),
    [anon_sym_BSLASHxdef] = ACTIONS(6738),
    [anon_sym_BSLASHlet] = ACTIONS(6738),
    [anon_sym_BSLASHglet] = ACTIONS(6738),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6738),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6738),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6738),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6738),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6738),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6738),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6738),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6738),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6738),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6738),
    [anon_sym_BSLASHgls] = ACTIONS(6738),
    [anon_sym_BSLASHGls] = ACTIONS(6738),
    [anon_sym_BSLASHGLS] = ACTIONS(6738),
    [anon_sym_BSLASHglspl] = ACTIONS(6738),
    [anon_sym_BSLASHGlspl] = ACTIONS(6738),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6738),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6738),
    [anon_sym_BSLASHglslink] = ACTIONS(6738),
    [anon_sym_BSLASHglstext] = ACTIONS(6738),
    [anon_sym_BSLASHGlstext] = ACTIONS(6738),
    [anon_sym_BSLASHGLStext] = ACTIONS(6738),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6738),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6738),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6738),
    [anon_sym_BSLASHglsplural] = ACTIONS(6738),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6738),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6738),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6738),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6738),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6738),
    [anon_sym_BSLASHglsname] = ACTIONS(6738),
    [anon_sym_BSLASHGlsname] = ACTIONS(6738),
    [anon_sym_BSLASHGLSname] = ACTIONS(6738),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6738),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6738),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6738),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6738),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6738),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6738),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6738),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6738),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6738),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6738),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6738),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6738),
    [anon_sym_BSLASHacrshort] = ACTIONS(6738),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6738),
    [anon_sym_BSLASHACRshort] = ACTIONS(6738),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6738),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6738),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6738),
    [anon_sym_BSLASHacrlong] = ACTIONS(6738),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6738),
    [anon_sym_BSLASHACRlong] = ACTIONS(6738),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6738),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6738),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6738),
    [anon_sym_BSLASHacrfull] = ACTIONS(6738),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6738),
    [anon_sym_BSLASHACRfull] = ACTIONS(6738),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6738),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6738),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6738),
    [anon_sym_BSLASHacs] = ACTIONS(6738),
    [anon_sym_BSLASHAcs] = ACTIONS(6738),
    [anon_sym_BSLASHacsp] = ACTIONS(6738),
    [anon_sym_BSLASHAcsp] = ACTIONS(6738),
    [anon_sym_BSLASHacl] = ACTIONS(6738),
    [anon_sym_BSLASHAcl] = ACTIONS(6738),
    [anon_sym_BSLASHaclp] = ACTIONS(6738),
    [anon_sym_BSLASHAclp] = ACTIONS(6738),
    [anon_sym_BSLASHacf] = ACTIONS(6738),
    [anon_sym_BSLASHAcf] = ACTIONS(6738),
    [anon_sym_BSLASHacfp] = ACTIONS(6738),
    [anon_sym_BSLASHAcfp] = ACTIONS(6738),
    [anon_sym_BSLASHac] = ACTIONS(6738),
    [anon_sym_BSLASHAc] = ACTIONS(6738),
    [anon_sym_BSLASHacp] = ACTIONS(6738),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6738),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6738),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6738),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6738),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6738),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6738),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6738),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6738),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6738),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6738),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6738),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6738),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6738),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6738),
    [anon_sym_BSLASHcolor] = ACTIONS(6738),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6738),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6738),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6738),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6738),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6738),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6738),
    [anon_sym_BSLASHurl] = ACTIONS(6738),
    [anon_sym_BSLASHhref] = ACTIONS(6738),
  },
  [572] = {
    [sym_command_name] = ACTIONS(7039),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7039),
    [anon_sym_LBRACK] = ACTIONS(7041),
    [anon_sym_RBRACK] = ACTIONS(7041),
    [anon_sym_COMMA] = ACTIONS(7041),
    [anon_sym_EQ] = ACTIONS(7041),
    [anon_sym_LPAREN] = ACTIONS(7041),
    [anon_sym_RPAREN] = ACTIONS(7041),
    [anon_sym_BSLASHpart] = ACTIONS(7039),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHaddpart] = ACTIONS(7039),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHchapter] = ACTIONS(7039),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHaddchap] = ACTIONS(7039),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHsection] = ACTIONS(7039),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHaddsec] = ACTIONS(7039),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHsubsection] = ACTIONS(7039),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7039),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHparagraph] = ACTIONS(7039),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7039),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHitem] = ACTIONS(7039),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7041),
    [anon_sym_LBRACE] = ACTIONS(7041),
    [sym_word] = ACTIONS(7039),
    [sym_placeholder] = ACTIONS(7041),
    [sym_delimiter] = ACTIONS(7041),
    [anon_sym_PLUS] = ACTIONS(7041),
    [anon_sym_DASH] = ACTIONS(7041),
    [anon_sym_STAR] = ACTIONS(7041),
    [anon_sym_SLASH] = ACTIONS(7041),
    [anon_sym_LT] = ACTIONS(7039),
    [anon_sym_GT] = ACTIONS(7039),
    [anon_sym_BANG] = ACTIONS(7039),
    [anon_sym_PIPE] = ACTIONS(7039),
    [anon_sym_COLON] = ACTIONS(7039),
    [anon_sym_SQUOTE] = ACTIONS(7039),
    [anon_sym__] = ACTIONS(7041),
    [anon_sym_CARET] = ACTIONS(7041),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7041),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7041),
    [anon_sym_DOLLAR] = ACTIONS(7039),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7041),
    [anon_sym_BSLASHleft] = ACTIONS(7039),
    [anon_sym_BSLASHbigl] = ACTIONS(7039),
    [anon_sym_BSLASHBigl] = ACTIONS(7039),
    [anon_sym_BSLASHbiggl] = ACTIONS(7039),
    [anon_sym_BSLASHBiggl] = ACTIONS(7039),
    [anon_sym_BSLASHright] = ACTIONS(7039),
    [anon_sym_BSLASHbigr] = ACTIONS(7039),
    [anon_sym_BSLASHBigr] = ACTIONS(7039),
    [anon_sym_BSLASHbiggr] = ACTIONS(7039),
    [anon_sym_BSLASHBiggr] = ACTIONS(7039),
    [anon_sym_BSLASHtext] = ACTIONS(7039),
    [anon_sym_BSLASHintertext] = ACTIONS(7039),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7039),
    [anon_sym_BSLASHbegin] = ACTIONS(7039),
    [anon_sym_BSLASHtitle] = ACTIONS(7039),
    [anon_sym_BSLASHauthor] = ACTIONS(7039),
    [anon_sym_BSLASHusepackage] = ACTIONS(7039),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7039),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7039),
    [anon_sym_BSLASHinclude] = ACTIONS(7039),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7039),
    [anon_sym_BSLASHinput] = ACTIONS(7039),
    [anon_sym_BSLASHsubfile] = ACTIONS(7039),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7039),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7039),
    [anon_sym_BSLASHbibliography] = ACTIONS(7039),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7039),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7039),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7039),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7039),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7039),
    [anon_sym_BSLASHimport] = ACTIONS(7039),
    [anon_sym_BSLASHsubimport] = ACTIONS(7039),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7039),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7039),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7039),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7039),
    [anon_sym_BSLASHcaption] = ACTIONS(7039),
    [anon_sym_BSLASHcite] = ACTIONS(7039),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHCite] = ACTIONS(7039),
    [anon_sym_BSLASHnocite] = ACTIONS(7039),
    [anon_sym_BSLASHcitet] = ACTIONS(7039),
    [anon_sym_BSLASHcitep] = ACTIONS(7039),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHciteA] = ACTIONS(7039),
    [anon_sym_BSLASHciteR] = ACTIONS(7039),
    [anon_sym_BSLASHciteS] = ACTIONS(7039),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7039),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7039),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7039),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7039),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHciteyear] = ACTIONS(7039),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcitedate] = ACTIONS(7039),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHciteurl] = ACTIONS(7039),
    [anon_sym_BSLASHfullcite] = ACTIONS(7039),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7039),
    [anon_sym_BSLASHcitealt] = ACTIONS(7039),
    [anon_sym_BSLASHcitealp] = ACTIONS(7039),
    [anon_sym_BSLASHcitetext] = ACTIONS(7039),
    [anon_sym_BSLASHparencite] = ACTIONS(7039),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHParencite] = ACTIONS(7039),
    [anon_sym_BSLASHfootcite] = ACTIONS(7039),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7039),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7039),
    [anon_sym_BSLASHtextcite] = ACTIONS(7039),
    [anon_sym_BSLASHTextcite] = ACTIONS(7039),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7039),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7039),
    [anon_sym_BSLASHsupercite] = ACTIONS(7039),
    [anon_sym_BSLASHautocite] = ACTIONS(7039),
    [anon_sym_BSLASHAutocite] = ACTIONS(7039),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHVolcite] = ACTIONS(7039),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHavolcite] = ACTIONS(7039),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHnotecite] = ACTIONS(7039),
    [anon_sym_BSLASHNotecite] = ACTIONS(7039),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7039),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7039),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7039),
    [anon_sym_BSLASHlabel] = ACTIONS(7039),
    [anon_sym_BSLASHref] = ACTIONS(7039),
    [anon_sym_BSLASHeqref] = ACTIONS(7039),
    [anon_sym_BSLASHvref] = ACTIONS(7039),
    [anon_sym_BSLASHVref] = ACTIONS(7039),
    [anon_sym_BSLASHautoref] = ACTIONS(7039),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHpageref] = ACTIONS(7039),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHautopageref] = ACTIONS(7039),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcref] = ACTIONS(7039),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHCref] = ACTIONS(7039),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcpageref] = ACTIONS(7039),
    [anon_sym_BSLASHCpageref] = ACTIONS(7039),
    [anon_sym_BSLASHnamecref] = ACTIONS(7039),
    [anon_sym_BSLASHnameCref] = ACTIONS(7039),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7039),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7039),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7039),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7039),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7039),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7039),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7039),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7039),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7039),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7039),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7039),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7039),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7039),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7039),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7039),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7039),
    [anon_sym_BSLASHdef] = ACTIONS(7039),
    [anon_sym_BSLASHgdef] = ACTIONS(7039),
    [anon_sym_BSLASHedef] = ACTIONS(7039),
    [anon_sym_BSLASHxdef] = ACTIONS(7039),
    [anon_sym_BSLASHlet] = ACTIONS(7039),
    [anon_sym_BSLASHglet] = ACTIONS(7039),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7039),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7039),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7039),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7039),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7039),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7039),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7039),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7039),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7039),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7039),
    [anon_sym_BSLASHgls] = ACTIONS(7039),
    [anon_sym_BSLASHGls] = ACTIONS(7039),
    [anon_sym_BSLASHGLS] = ACTIONS(7039),
    [anon_sym_BSLASHglspl] = ACTIONS(7039),
    [anon_sym_BSLASHGlspl] = ACTIONS(7039),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7039),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7039),
    [anon_sym_BSLASHglslink] = ACTIONS(7039),
    [anon_sym_BSLASHglstext] = ACTIONS(7039),
    [anon_sym_BSLASHGlstext] = ACTIONS(7039),
    [anon_sym_BSLASHGLStext] = ACTIONS(7039),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7039),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7039),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7039),
    [anon_sym_BSLASHglsplural] = ACTIONS(7039),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7039),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7039),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7039),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7039),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7039),
    [anon_sym_BSLASHglsname] = ACTIONS(7039),
    [anon_sym_BSLASHGlsname] = ACTIONS(7039),
    [anon_sym_BSLASHGLSname] = ACTIONS(7039),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7039),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7039),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7039),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7039),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7039),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7039),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7039),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7039),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7039),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7039),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7039),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7039),
    [anon_sym_BSLASHacrshort] = ACTIONS(7039),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7039),
    [anon_sym_BSLASHACRshort] = ACTIONS(7039),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7039),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7039),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7039),
    [anon_sym_BSLASHacrlong] = ACTIONS(7039),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7039),
    [anon_sym_BSLASHACRlong] = ACTIONS(7039),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7039),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7039),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7039),
    [anon_sym_BSLASHacrfull] = ACTIONS(7039),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7039),
    [anon_sym_BSLASHACRfull] = ACTIONS(7039),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7039),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7039),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7039),
    [anon_sym_BSLASHacs] = ACTIONS(7039),
    [anon_sym_BSLASHAcs] = ACTIONS(7039),
    [anon_sym_BSLASHacsp] = ACTIONS(7039),
    [anon_sym_BSLASHAcsp] = ACTIONS(7039),
    [anon_sym_BSLASHacl] = ACTIONS(7039),
    [anon_sym_BSLASHAcl] = ACTIONS(7039),
    [anon_sym_BSLASHaclp] = ACTIONS(7039),
    [anon_sym_BSLASHAclp] = ACTIONS(7039),
    [anon_sym_BSLASHacf] = ACTIONS(7039),
    [anon_sym_BSLASHAcf] = ACTIONS(7039),
    [anon_sym_BSLASHacfp] = ACTIONS(7039),
    [anon_sym_BSLASHAcfp] = ACTIONS(7039),
    [anon_sym_BSLASHac] = ACTIONS(7039),
    [anon_sym_BSLASHAc] = ACTIONS(7039),
    [anon_sym_BSLASHacp] = ACTIONS(7039),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7039),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7039),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7039),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7039),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7039),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7039),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7039),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7039),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7039),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7039),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7039),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7039),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7039),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7039),
    [anon_sym_BSLASHcolor] = ACTIONS(7039),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7039),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7039),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7039),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7039),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7039),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7039),
    [anon_sym_BSLASHurl] = ACTIONS(7039),
    [anon_sym_BSLASHhref] = ACTIONS(7039),
  },
  [573] = {
    [sym_command_name] = ACTIONS(7043),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7043),
    [anon_sym_LBRACK] = ACTIONS(7045),
    [anon_sym_RBRACK] = ACTIONS(7045),
    [anon_sym_COMMA] = ACTIONS(7045),
    [anon_sym_EQ] = ACTIONS(7045),
    [anon_sym_LPAREN] = ACTIONS(7045),
    [anon_sym_RPAREN] = ACTIONS(7045),
    [anon_sym_BSLASHpart] = ACTIONS(7043),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHaddpart] = ACTIONS(7043),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHchapter] = ACTIONS(7043),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHaddchap] = ACTIONS(7043),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHsection] = ACTIONS(7043),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHaddsec] = ACTIONS(7043),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHsubsection] = ACTIONS(7043),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7043),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHparagraph] = ACTIONS(7043),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7043),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHitem] = ACTIONS(7043),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7045),
    [anon_sym_LBRACE] = ACTIONS(7045),
    [sym_word] = ACTIONS(7043),
    [sym_placeholder] = ACTIONS(7045),
    [sym_delimiter] = ACTIONS(7045),
    [anon_sym_PLUS] = ACTIONS(7045),
    [anon_sym_DASH] = ACTIONS(7045),
    [anon_sym_STAR] = ACTIONS(7045),
    [anon_sym_SLASH] = ACTIONS(7045),
    [anon_sym_LT] = ACTIONS(7043),
    [anon_sym_GT] = ACTIONS(7043),
    [anon_sym_BANG] = ACTIONS(7043),
    [anon_sym_PIPE] = ACTIONS(7043),
    [anon_sym_COLON] = ACTIONS(7043),
    [anon_sym_SQUOTE] = ACTIONS(7043),
    [anon_sym__] = ACTIONS(7045),
    [anon_sym_CARET] = ACTIONS(7045),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7045),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7045),
    [anon_sym_DOLLAR] = ACTIONS(7043),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7045),
    [anon_sym_BSLASHleft] = ACTIONS(7043),
    [anon_sym_BSLASHbigl] = ACTIONS(7043),
    [anon_sym_BSLASHBigl] = ACTIONS(7043),
    [anon_sym_BSLASHbiggl] = ACTIONS(7043),
    [anon_sym_BSLASHBiggl] = ACTIONS(7043),
    [anon_sym_BSLASHright] = ACTIONS(7043),
    [anon_sym_BSLASHbigr] = ACTIONS(7043),
    [anon_sym_BSLASHBigr] = ACTIONS(7043),
    [anon_sym_BSLASHbiggr] = ACTIONS(7043),
    [anon_sym_BSLASHBiggr] = ACTIONS(7043),
    [anon_sym_BSLASHtext] = ACTIONS(7043),
    [anon_sym_BSLASHintertext] = ACTIONS(7043),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7043),
    [anon_sym_BSLASHbegin] = ACTIONS(7043),
    [anon_sym_BSLASHtitle] = ACTIONS(7043),
    [anon_sym_BSLASHauthor] = ACTIONS(7043),
    [anon_sym_BSLASHusepackage] = ACTIONS(7043),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7043),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7043),
    [anon_sym_BSLASHinclude] = ACTIONS(7043),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7043),
    [anon_sym_BSLASHinput] = ACTIONS(7043),
    [anon_sym_BSLASHsubfile] = ACTIONS(7043),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7043),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7043),
    [anon_sym_BSLASHbibliography] = ACTIONS(7043),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7043),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7043),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7043),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7043),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7043),
    [anon_sym_BSLASHimport] = ACTIONS(7043),
    [anon_sym_BSLASHsubimport] = ACTIONS(7043),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7043),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7043),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7043),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7043),
    [anon_sym_BSLASHcaption] = ACTIONS(7043),
    [anon_sym_BSLASHcite] = ACTIONS(7043),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCite] = ACTIONS(7043),
    [anon_sym_BSLASHnocite] = ACTIONS(7043),
    [anon_sym_BSLASHcitet] = ACTIONS(7043),
    [anon_sym_BSLASHcitep] = ACTIONS(7043),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteA] = ACTIONS(7043),
    [anon_sym_BSLASHciteR] = ACTIONS(7043),
    [anon_sym_BSLASHciteS] = ACTIONS(7043),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7043),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7043),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7043),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7043),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteyear] = ACTIONS(7043),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitedate] = ACTIONS(7043),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteurl] = ACTIONS(7043),
    [anon_sym_BSLASHfullcite] = ACTIONS(7043),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7043),
    [anon_sym_BSLASHcitealt] = ACTIONS(7043),
    [anon_sym_BSLASHcitealp] = ACTIONS(7043),
    [anon_sym_BSLASHcitetext] = ACTIONS(7043),
    [anon_sym_BSLASHparencite] = ACTIONS(7043),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHParencite] = ACTIONS(7043),
    [anon_sym_BSLASHfootcite] = ACTIONS(7043),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7043),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7043),
    [anon_sym_BSLASHtextcite] = ACTIONS(7043),
    [anon_sym_BSLASHTextcite] = ACTIONS(7043),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7043),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7043),
    [anon_sym_BSLASHsupercite] = ACTIONS(7043),
    [anon_sym_BSLASHautocite] = ACTIONS(7043),
    [anon_sym_BSLASHAutocite] = ACTIONS(7043),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHVolcite] = ACTIONS(7043),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHavolcite] = ACTIONS(7043),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHNotecite] = ACTIONS(7043),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHlabel] = ACTIONS(7043),
    [anon_sym_BSLASHref] = ACTIONS(7043),
    [anon_sym_BSLASHeqref] = ACTIONS(7043),
    [anon_sym_BSLASHvref] = ACTIONS(7043),
    [anon_sym_BSLASHVref] = ACTIONS(7043),
    [anon_sym_BSLASHautoref] = ACTIONS(7043),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHpageref] = ACTIONS(7043),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHautopageref] = ACTIONS(7043),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcref] = ACTIONS(7043),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCref] = ACTIONS(7043),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcpageref] = ACTIONS(7043),
    [anon_sym_BSLASHCpageref] = ACTIONS(7043),
    [anon_sym_BSLASHnamecref] = ACTIONS(7043),
    [anon_sym_BSLASHnameCref] = ACTIONS(7043),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7043),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7043),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7043),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7043),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7043),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7043),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7043),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7043),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7043),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7043),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7043),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHdef] = ACTIONS(7043),
    [anon_sym_BSLASHgdef] = ACTIONS(7043),
    [anon_sym_BSLASHedef] = ACTIONS(7043),
    [anon_sym_BSLASHxdef] = ACTIONS(7043),
    [anon_sym_BSLASHlet] = ACTIONS(7043),
    [anon_sym_BSLASHglet] = ACTIONS(7043),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7043),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7043),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7043),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7043),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7043),
    [anon_sym_BSLASHgls] = ACTIONS(7043),
    [anon_sym_BSLASHGls] = ACTIONS(7043),
    [anon_sym_BSLASHGLS] = ACTIONS(7043),
    [anon_sym_BSLASHglspl] = ACTIONS(7043),
    [anon_sym_BSLASHGlspl] = ACTIONS(7043),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7043),
    [anon_sym_BSLASHglslink] = ACTIONS(7043),
    [anon_sym_BSLASHglstext] = ACTIONS(7043),
    [anon_sym_BSLASHGlstext] = ACTIONS(7043),
    [anon_sym_BSLASHGLStext] = ACTIONS(7043),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7043),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7043),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7043),
    [anon_sym_BSLASHglsplural] = ACTIONS(7043),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7043),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7043),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHglsname] = ACTIONS(7043),
    [anon_sym_BSLASHGlsname] = ACTIONS(7043),
    [anon_sym_BSLASHGLSname] = ACTIONS(7043),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7043),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7043),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7043),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7043),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7043),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7043),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7043),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7043),
    [anon_sym_BSLASHacrshort] = ACTIONS(7043),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7043),
    [anon_sym_BSLASHACRshort] = ACTIONS(7043),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHacrlong] = ACTIONS(7043),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7043),
    [anon_sym_BSLASHACRlong] = ACTIONS(7043),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHacrfull] = ACTIONS(7043),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7043),
    [anon_sym_BSLASHACRfull] = ACTIONS(7043),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHacs] = ACTIONS(7043),
    [anon_sym_BSLASHAcs] = ACTIONS(7043),
    [anon_sym_BSLASHacsp] = ACTIONS(7043),
    [anon_sym_BSLASHAcsp] = ACTIONS(7043),
    [anon_sym_BSLASHacl] = ACTIONS(7043),
    [anon_sym_BSLASHAcl] = ACTIONS(7043),
    [anon_sym_BSLASHaclp] = ACTIONS(7043),
    [anon_sym_BSLASHAclp] = ACTIONS(7043),
    [anon_sym_BSLASHacf] = ACTIONS(7043),
    [anon_sym_BSLASHAcf] = ACTIONS(7043),
    [anon_sym_BSLASHacfp] = ACTIONS(7043),
    [anon_sym_BSLASHAcfp] = ACTIONS(7043),
    [anon_sym_BSLASHac] = ACTIONS(7043),
    [anon_sym_BSLASHAc] = ACTIONS(7043),
    [anon_sym_BSLASHacp] = ACTIONS(7043),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7043),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7043),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7043),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7043),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7043),
    [anon_sym_BSLASHcolor] = ACTIONS(7043),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7043),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7043),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7043),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7043),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7043),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7043),
    [anon_sym_BSLASHurl] = ACTIONS(7043),
    [anon_sym_BSLASHhref] = ACTIONS(7043),
  },
  [574] = {
    [sym__chapter_declaration] = STATE(169),
    [sym_chapter] = STATE(526),
    [aux_sym__section_repeat2] = STATE(526),
    [ts_builtin_sym_end] = ACTIONS(6856),
    [sym_command_name] = ACTIONS(6854),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6854),
    [anon_sym_LBRACK] = ACTIONS(6856),
    [anon_sym_RBRACK] = ACTIONS(6856),
    [anon_sym_COMMA] = ACTIONS(6856),
    [anon_sym_EQ] = ACTIONS(6856),
    [anon_sym_LPAREN] = ACTIONS(6856),
    [anon_sym_RPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHpart] = ACTIONS(6854),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddpart] = ACTIONS(6854),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHchapter] = ACTIONS(17),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(19),
    [anon_sym_BSLASHaddchap] = ACTIONS(17),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(19),
    [anon_sym_BSLASHsection] = ACTIONS(6854),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddsec] = ACTIONS(6854),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHitem] = ACTIONS(6854),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6856),
    [anon_sym_LBRACE] = ACTIONS(6856),
    [anon_sym_RBRACE] = ACTIONS(6856),
    [sym_word] = ACTIONS(6854),
    [sym_placeholder] = ACTIONS(6856),
    [sym_delimiter] = ACTIONS(6856),
    [anon_sym_PLUS] = ACTIONS(6856),
    [anon_sym_DASH] = ACTIONS(6856),
    [anon_sym_STAR] = ACTIONS(6856),
    [anon_sym_SLASH] = ACTIONS(6856),
    [anon_sym_LT] = ACTIONS(6854),
    [anon_sym_GT] = ACTIONS(6854),
    [anon_sym_BANG] = ACTIONS(6854),
    [anon_sym_PIPE] = ACTIONS(6854),
    [anon_sym_COLON] = ACTIONS(6854),
    [anon_sym_SQUOTE] = ACTIONS(6854),
    [anon_sym__] = ACTIONS(6856),
    [anon_sym_CARET] = ACTIONS(6856),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6856),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6856),
    [anon_sym_DOLLAR] = ACTIONS(6854),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHleft] = ACTIONS(6854),
    [anon_sym_BSLASHbigl] = ACTIONS(6854),
    [anon_sym_BSLASHBigl] = ACTIONS(6854),
    [anon_sym_BSLASHbiggl] = ACTIONS(6854),
    [anon_sym_BSLASHBiggl] = ACTIONS(6854),
    [anon_sym_BSLASHtext] = ACTIONS(6854),
    [anon_sym_BSLASHintertext] = ACTIONS(6854),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6854),
    [anon_sym_BSLASHbegin] = ACTIONS(6854),
    [anon_sym_BSLASHtitle] = ACTIONS(6854),
    [anon_sym_BSLASHauthor] = ACTIONS(6854),
    [anon_sym_BSLASHusepackage] = ACTIONS(6854),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6854),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6854),
    [anon_sym_BSLASHinclude] = ACTIONS(6854),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6854),
    [anon_sym_BSLASHinput] = ACTIONS(6854),
    [anon_sym_BSLASHsubfile] = ACTIONS(6854),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6854),
    [anon_sym_BSLASHbibliography] = ACTIONS(6854),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6854),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6854),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6854),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6854),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6854),
    [anon_sym_BSLASHimport] = ACTIONS(6854),
    [anon_sym_BSLASHsubimport] = ACTIONS(6854),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6854),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHcaption] = ACTIONS(6854),
    [anon_sym_BSLASHcite] = ACTIONS(6854),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCite] = ACTIONS(6854),
    [anon_sym_BSLASHnocite] = ACTIONS(6854),
    [anon_sym_BSLASHcitet] = ACTIONS(6854),
    [anon_sym_BSLASHcitep] = ACTIONS(6854),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteA] = ACTIONS(6854),
    [anon_sym_BSLASHciteR] = ACTIONS(6854),
    [anon_sym_BSLASHciteS] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6854),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteyear] = ACTIONS(6854),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitedate] = ACTIONS(6854),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteurl] = ACTIONS(6854),
    [anon_sym_BSLASHfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6854),
    [anon_sym_BSLASHcitealt] = ACTIONS(6854),
    [anon_sym_BSLASHcitealp] = ACTIONS(6854),
    [anon_sym_BSLASHcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHparencite] = ACTIONS(6854),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHParencite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHtextcite] = ACTIONS(6854),
    [anon_sym_BSLASHTextcite] = ACTIONS(6854),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHsupercite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite] = ACTIONS(6854),
    [anon_sym_BSLASHAutocite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHVolcite] = ACTIONS(6854),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHavolcite] = ACTIONS(6854),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHNotecite] = ACTIONS(6854),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHlabel] = ACTIONS(6854),
    [anon_sym_BSLASHref] = ACTIONS(6854),
    [anon_sym_BSLASHeqref] = ACTIONS(6854),
    [anon_sym_BSLASHvref] = ACTIONS(6854),
    [anon_sym_BSLASHVref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHpageref] = ACTIONS(6854),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHautopageref] = ACTIONS(6854),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcref] = ACTIONS(6854),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCref] = ACTIONS(6854),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHCpageref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnameCref] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6854),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHdef] = ACTIONS(6854),
    [anon_sym_BSLASHgdef] = ACTIONS(6854),
    [anon_sym_BSLASHedef] = ACTIONS(6854),
    [anon_sym_BSLASHxdef] = ACTIONS(6854),
    [anon_sym_BSLASHlet] = ACTIONS(6854),
    [anon_sym_BSLASHglet] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6854),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6854),
    [anon_sym_BSLASHgls] = ACTIONS(6854),
    [anon_sym_BSLASHGls] = ACTIONS(6854),
    [anon_sym_BSLASHGLS] = ACTIONS(6854),
    [anon_sym_BSLASHglspl] = ACTIONS(6854),
    [anon_sym_BSLASHGlspl] = ACTIONS(6854),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6854),
    [anon_sym_BSLASHglslink] = ACTIONS(6854),
    [anon_sym_BSLASHglstext] = ACTIONS(6854),
    [anon_sym_BSLASHGlstext] = ACTIONS(6854),
    [anon_sym_BSLASHGLStext] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6854),
    [anon_sym_BSLASHglsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsname] = ACTIONS(6854),
    [anon_sym_BSLASHGlsname] = ACTIONS(6854),
    [anon_sym_BSLASHGLSname] = ACTIONS(6854),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6854),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6854),
    [anon_sym_BSLASHacrshort] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6854),
    [anon_sym_BSLASHACRshort] = ACTIONS(6854),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrlong] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6854),
    [anon_sym_BSLASHACRlong] = ACTIONS(6854),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrfull] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6854),
    [anon_sym_BSLASHACRfull] = ACTIONS(6854),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHacs] = ACTIONS(6854),
    [anon_sym_BSLASHAcs] = ACTIONS(6854),
    [anon_sym_BSLASHacsp] = ACTIONS(6854),
    [anon_sym_BSLASHAcsp] = ACTIONS(6854),
    [anon_sym_BSLASHacl] = ACTIONS(6854),
    [anon_sym_BSLASHAcl] = ACTIONS(6854),
    [anon_sym_BSLASHaclp] = ACTIONS(6854),
    [anon_sym_BSLASHAclp] = ACTIONS(6854),
    [anon_sym_BSLASHacf] = ACTIONS(6854),
    [anon_sym_BSLASHAcf] = ACTIONS(6854),
    [anon_sym_BSLASHacfp] = ACTIONS(6854),
    [anon_sym_BSLASHAcfp] = ACTIONS(6854),
    [anon_sym_BSLASHac] = ACTIONS(6854),
    [anon_sym_BSLASHAc] = ACTIONS(6854),
    [anon_sym_BSLASHacp] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6854),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6854),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6854),
    [anon_sym_BSLASHcolor] = ACTIONS(6854),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6854),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6854),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6854),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6854),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6854),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6854),
    [anon_sym_BSLASHurl] = ACTIONS(6854),
    [anon_sym_BSLASHhref] = ACTIONS(6854),
  },
  [575] = {
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(527),
    [aux_sym__section_repeat3] = STATE(527),
    [ts_builtin_sym_end] = ACTIONS(6856),
    [sym_command_name] = ACTIONS(6854),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6854),
    [anon_sym_LBRACK] = ACTIONS(6856),
    [anon_sym_RBRACK] = ACTIONS(6856),
    [anon_sym_COMMA] = ACTIONS(6856),
    [anon_sym_EQ] = ACTIONS(6856),
    [anon_sym_LPAREN] = ACTIONS(6856),
    [anon_sym_RPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHpart] = ACTIONS(6854),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddpart] = ACTIONS(6854),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHchapter] = ACTIONS(6854),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddchap] = ACTIONS(6854),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHitem] = ACTIONS(6854),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6856),
    [anon_sym_LBRACE] = ACTIONS(6856),
    [anon_sym_RBRACE] = ACTIONS(6856),
    [sym_word] = ACTIONS(6854),
    [sym_placeholder] = ACTIONS(6856),
    [sym_delimiter] = ACTIONS(6856),
    [anon_sym_PLUS] = ACTIONS(6856),
    [anon_sym_DASH] = ACTIONS(6856),
    [anon_sym_STAR] = ACTIONS(6856),
    [anon_sym_SLASH] = ACTIONS(6856),
    [anon_sym_LT] = ACTIONS(6854),
    [anon_sym_GT] = ACTIONS(6854),
    [anon_sym_BANG] = ACTIONS(6854),
    [anon_sym_PIPE] = ACTIONS(6854),
    [anon_sym_COLON] = ACTIONS(6854),
    [anon_sym_SQUOTE] = ACTIONS(6854),
    [anon_sym__] = ACTIONS(6856),
    [anon_sym_CARET] = ACTIONS(6856),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6856),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6856),
    [anon_sym_DOLLAR] = ACTIONS(6854),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHleft] = ACTIONS(6854),
    [anon_sym_BSLASHbigl] = ACTIONS(6854),
    [anon_sym_BSLASHBigl] = ACTIONS(6854),
    [anon_sym_BSLASHbiggl] = ACTIONS(6854),
    [anon_sym_BSLASHBiggl] = ACTIONS(6854),
    [anon_sym_BSLASHtext] = ACTIONS(6854),
    [anon_sym_BSLASHintertext] = ACTIONS(6854),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6854),
    [anon_sym_BSLASHbegin] = ACTIONS(6854),
    [anon_sym_BSLASHtitle] = ACTIONS(6854),
    [anon_sym_BSLASHauthor] = ACTIONS(6854),
    [anon_sym_BSLASHusepackage] = ACTIONS(6854),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6854),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6854),
    [anon_sym_BSLASHinclude] = ACTIONS(6854),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6854),
    [anon_sym_BSLASHinput] = ACTIONS(6854),
    [anon_sym_BSLASHsubfile] = ACTIONS(6854),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6854),
    [anon_sym_BSLASHbibliography] = ACTIONS(6854),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6854),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6854),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6854),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6854),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6854),
    [anon_sym_BSLASHimport] = ACTIONS(6854),
    [anon_sym_BSLASHsubimport] = ACTIONS(6854),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6854),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHcaption] = ACTIONS(6854),
    [anon_sym_BSLASHcite] = ACTIONS(6854),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCite] = ACTIONS(6854),
    [anon_sym_BSLASHnocite] = ACTIONS(6854),
    [anon_sym_BSLASHcitet] = ACTIONS(6854),
    [anon_sym_BSLASHcitep] = ACTIONS(6854),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteA] = ACTIONS(6854),
    [anon_sym_BSLASHciteR] = ACTIONS(6854),
    [anon_sym_BSLASHciteS] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6854),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteyear] = ACTIONS(6854),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitedate] = ACTIONS(6854),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteurl] = ACTIONS(6854),
    [anon_sym_BSLASHfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6854),
    [anon_sym_BSLASHcitealt] = ACTIONS(6854),
    [anon_sym_BSLASHcitealp] = ACTIONS(6854),
    [anon_sym_BSLASHcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHparencite] = ACTIONS(6854),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHParencite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHtextcite] = ACTIONS(6854),
    [anon_sym_BSLASHTextcite] = ACTIONS(6854),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHsupercite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite] = ACTIONS(6854),
    [anon_sym_BSLASHAutocite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHVolcite] = ACTIONS(6854),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHavolcite] = ACTIONS(6854),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHNotecite] = ACTIONS(6854),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHlabel] = ACTIONS(6854),
    [anon_sym_BSLASHref] = ACTIONS(6854),
    [anon_sym_BSLASHeqref] = ACTIONS(6854),
    [anon_sym_BSLASHvref] = ACTIONS(6854),
    [anon_sym_BSLASHVref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHpageref] = ACTIONS(6854),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHautopageref] = ACTIONS(6854),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcref] = ACTIONS(6854),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCref] = ACTIONS(6854),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHCpageref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnameCref] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6854),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHdef] = ACTIONS(6854),
    [anon_sym_BSLASHgdef] = ACTIONS(6854),
    [anon_sym_BSLASHedef] = ACTIONS(6854),
    [anon_sym_BSLASHxdef] = ACTIONS(6854),
    [anon_sym_BSLASHlet] = ACTIONS(6854),
    [anon_sym_BSLASHglet] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6854),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6854),
    [anon_sym_BSLASHgls] = ACTIONS(6854),
    [anon_sym_BSLASHGls] = ACTIONS(6854),
    [anon_sym_BSLASHGLS] = ACTIONS(6854),
    [anon_sym_BSLASHglspl] = ACTIONS(6854),
    [anon_sym_BSLASHGlspl] = ACTIONS(6854),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6854),
    [anon_sym_BSLASHglslink] = ACTIONS(6854),
    [anon_sym_BSLASHglstext] = ACTIONS(6854),
    [anon_sym_BSLASHGlstext] = ACTIONS(6854),
    [anon_sym_BSLASHGLStext] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6854),
    [anon_sym_BSLASHglsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsname] = ACTIONS(6854),
    [anon_sym_BSLASHGlsname] = ACTIONS(6854),
    [anon_sym_BSLASHGLSname] = ACTIONS(6854),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6854),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6854),
    [anon_sym_BSLASHacrshort] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6854),
    [anon_sym_BSLASHACRshort] = ACTIONS(6854),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrlong] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6854),
    [anon_sym_BSLASHACRlong] = ACTIONS(6854),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrfull] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6854),
    [anon_sym_BSLASHACRfull] = ACTIONS(6854),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHacs] = ACTIONS(6854),
    [anon_sym_BSLASHAcs] = ACTIONS(6854),
    [anon_sym_BSLASHacsp] = ACTIONS(6854),
    [anon_sym_BSLASHAcsp] = ACTIONS(6854),
    [anon_sym_BSLASHacl] = ACTIONS(6854),
    [anon_sym_BSLASHAcl] = ACTIONS(6854),
    [anon_sym_BSLASHaclp] = ACTIONS(6854),
    [anon_sym_BSLASHAclp] = ACTIONS(6854),
    [anon_sym_BSLASHacf] = ACTIONS(6854),
    [anon_sym_BSLASHAcf] = ACTIONS(6854),
    [anon_sym_BSLASHacfp] = ACTIONS(6854),
    [anon_sym_BSLASHAcfp] = ACTIONS(6854),
    [anon_sym_BSLASHac] = ACTIONS(6854),
    [anon_sym_BSLASHAc] = ACTIONS(6854),
    [anon_sym_BSLASHacp] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6854),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6854),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6854),
    [anon_sym_BSLASHcolor] = ACTIONS(6854),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6854),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6854),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6854),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6854),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6854),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6854),
    [anon_sym_BSLASHurl] = ACTIONS(6854),
    [anon_sym_BSLASHhref] = ACTIONS(6854),
  },
  [576] = {
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(528),
    [aux_sym__section_repeat4] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(6856),
    [sym_command_name] = ACTIONS(6854),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6854),
    [anon_sym_LBRACK] = ACTIONS(6856),
    [anon_sym_RBRACK] = ACTIONS(6856),
    [anon_sym_COMMA] = ACTIONS(6856),
    [anon_sym_EQ] = ACTIONS(6856),
    [anon_sym_LPAREN] = ACTIONS(6856),
    [anon_sym_RPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHpart] = ACTIONS(6854),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddpart] = ACTIONS(6854),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHchapter] = ACTIONS(6854),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddchap] = ACTIONS(6854),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsection] = ACTIONS(6854),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddsec] = ACTIONS(6854),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHitem] = ACTIONS(6854),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6856),
    [anon_sym_LBRACE] = ACTIONS(6856),
    [anon_sym_RBRACE] = ACTIONS(6856),
    [sym_word] = ACTIONS(6854),
    [sym_placeholder] = ACTIONS(6856),
    [sym_delimiter] = ACTIONS(6856),
    [anon_sym_PLUS] = ACTIONS(6856),
    [anon_sym_DASH] = ACTIONS(6856),
    [anon_sym_STAR] = ACTIONS(6856),
    [anon_sym_SLASH] = ACTIONS(6856),
    [anon_sym_LT] = ACTIONS(6854),
    [anon_sym_GT] = ACTIONS(6854),
    [anon_sym_BANG] = ACTIONS(6854),
    [anon_sym_PIPE] = ACTIONS(6854),
    [anon_sym_COLON] = ACTIONS(6854),
    [anon_sym_SQUOTE] = ACTIONS(6854),
    [anon_sym__] = ACTIONS(6856),
    [anon_sym_CARET] = ACTIONS(6856),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6856),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6856),
    [anon_sym_DOLLAR] = ACTIONS(6854),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHleft] = ACTIONS(6854),
    [anon_sym_BSLASHbigl] = ACTIONS(6854),
    [anon_sym_BSLASHBigl] = ACTIONS(6854),
    [anon_sym_BSLASHbiggl] = ACTIONS(6854),
    [anon_sym_BSLASHBiggl] = ACTIONS(6854),
    [anon_sym_BSLASHtext] = ACTIONS(6854),
    [anon_sym_BSLASHintertext] = ACTIONS(6854),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6854),
    [anon_sym_BSLASHbegin] = ACTIONS(6854),
    [anon_sym_BSLASHtitle] = ACTIONS(6854),
    [anon_sym_BSLASHauthor] = ACTIONS(6854),
    [anon_sym_BSLASHusepackage] = ACTIONS(6854),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6854),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6854),
    [anon_sym_BSLASHinclude] = ACTIONS(6854),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6854),
    [anon_sym_BSLASHinput] = ACTIONS(6854),
    [anon_sym_BSLASHsubfile] = ACTIONS(6854),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6854),
    [anon_sym_BSLASHbibliography] = ACTIONS(6854),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6854),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6854),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6854),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6854),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6854),
    [anon_sym_BSLASHimport] = ACTIONS(6854),
    [anon_sym_BSLASHsubimport] = ACTIONS(6854),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6854),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHcaption] = ACTIONS(6854),
    [anon_sym_BSLASHcite] = ACTIONS(6854),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCite] = ACTIONS(6854),
    [anon_sym_BSLASHnocite] = ACTIONS(6854),
    [anon_sym_BSLASHcitet] = ACTIONS(6854),
    [anon_sym_BSLASHcitep] = ACTIONS(6854),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteA] = ACTIONS(6854),
    [anon_sym_BSLASHciteR] = ACTIONS(6854),
    [anon_sym_BSLASHciteS] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6854),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteyear] = ACTIONS(6854),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitedate] = ACTIONS(6854),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteurl] = ACTIONS(6854),
    [anon_sym_BSLASHfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6854),
    [anon_sym_BSLASHcitealt] = ACTIONS(6854),
    [anon_sym_BSLASHcitealp] = ACTIONS(6854),
    [anon_sym_BSLASHcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHparencite] = ACTIONS(6854),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHParencite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHtextcite] = ACTIONS(6854),
    [anon_sym_BSLASHTextcite] = ACTIONS(6854),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHsupercite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite] = ACTIONS(6854),
    [anon_sym_BSLASHAutocite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHVolcite] = ACTIONS(6854),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHavolcite] = ACTIONS(6854),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHNotecite] = ACTIONS(6854),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHlabel] = ACTIONS(6854),
    [anon_sym_BSLASHref] = ACTIONS(6854),
    [anon_sym_BSLASHeqref] = ACTIONS(6854),
    [anon_sym_BSLASHvref] = ACTIONS(6854),
    [anon_sym_BSLASHVref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHpageref] = ACTIONS(6854),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHautopageref] = ACTIONS(6854),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcref] = ACTIONS(6854),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCref] = ACTIONS(6854),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHCpageref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnameCref] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6854),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHdef] = ACTIONS(6854),
    [anon_sym_BSLASHgdef] = ACTIONS(6854),
    [anon_sym_BSLASHedef] = ACTIONS(6854),
    [anon_sym_BSLASHxdef] = ACTIONS(6854),
    [anon_sym_BSLASHlet] = ACTIONS(6854),
    [anon_sym_BSLASHglet] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6854),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6854),
    [anon_sym_BSLASHgls] = ACTIONS(6854),
    [anon_sym_BSLASHGls] = ACTIONS(6854),
    [anon_sym_BSLASHGLS] = ACTIONS(6854),
    [anon_sym_BSLASHglspl] = ACTIONS(6854),
    [anon_sym_BSLASHGlspl] = ACTIONS(6854),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6854),
    [anon_sym_BSLASHglslink] = ACTIONS(6854),
    [anon_sym_BSLASHglstext] = ACTIONS(6854),
    [anon_sym_BSLASHGlstext] = ACTIONS(6854),
    [anon_sym_BSLASHGLStext] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6854),
    [anon_sym_BSLASHglsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsname] = ACTIONS(6854),
    [anon_sym_BSLASHGlsname] = ACTIONS(6854),
    [anon_sym_BSLASHGLSname] = ACTIONS(6854),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6854),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6854),
    [anon_sym_BSLASHacrshort] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6854),
    [anon_sym_BSLASHACRshort] = ACTIONS(6854),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrlong] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6854),
    [anon_sym_BSLASHACRlong] = ACTIONS(6854),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrfull] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6854),
    [anon_sym_BSLASHACRfull] = ACTIONS(6854),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHacs] = ACTIONS(6854),
    [anon_sym_BSLASHAcs] = ACTIONS(6854),
    [anon_sym_BSLASHacsp] = ACTIONS(6854),
    [anon_sym_BSLASHAcsp] = ACTIONS(6854),
    [anon_sym_BSLASHacl] = ACTIONS(6854),
    [anon_sym_BSLASHAcl] = ACTIONS(6854),
    [anon_sym_BSLASHaclp] = ACTIONS(6854),
    [anon_sym_BSLASHAclp] = ACTIONS(6854),
    [anon_sym_BSLASHacf] = ACTIONS(6854),
    [anon_sym_BSLASHAcf] = ACTIONS(6854),
    [anon_sym_BSLASHacfp] = ACTIONS(6854),
    [anon_sym_BSLASHAcfp] = ACTIONS(6854),
    [anon_sym_BSLASHac] = ACTIONS(6854),
    [anon_sym_BSLASHAc] = ACTIONS(6854),
    [anon_sym_BSLASHacp] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6854),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6854),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6854),
    [anon_sym_BSLASHcolor] = ACTIONS(6854),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6854),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6854),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6854),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6854),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6854),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6854),
    [anon_sym_BSLASHurl] = ACTIONS(6854),
    [anon_sym_BSLASHhref] = ACTIONS(6854),
  },
  [577] = {
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(529),
    [aux_sym__section_repeat5] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(6856),
    [sym_command_name] = ACTIONS(6854),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6854),
    [anon_sym_LBRACK] = ACTIONS(6856),
    [anon_sym_RBRACK] = ACTIONS(6856),
    [anon_sym_COMMA] = ACTIONS(6856),
    [anon_sym_EQ] = ACTIONS(6856),
    [anon_sym_LPAREN] = ACTIONS(6856),
    [anon_sym_RPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHpart] = ACTIONS(6854),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddpart] = ACTIONS(6854),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHchapter] = ACTIONS(6854),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddchap] = ACTIONS(6854),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsection] = ACTIONS(6854),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddsec] = ACTIONS(6854),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHitem] = ACTIONS(6854),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6856),
    [anon_sym_LBRACE] = ACTIONS(6856),
    [anon_sym_RBRACE] = ACTIONS(6856),
    [sym_word] = ACTIONS(6854),
    [sym_placeholder] = ACTIONS(6856),
    [sym_delimiter] = ACTIONS(6856),
    [anon_sym_PLUS] = ACTIONS(6856),
    [anon_sym_DASH] = ACTIONS(6856),
    [anon_sym_STAR] = ACTIONS(6856),
    [anon_sym_SLASH] = ACTIONS(6856),
    [anon_sym_LT] = ACTIONS(6854),
    [anon_sym_GT] = ACTIONS(6854),
    [anon_sym_BANG] = ACTIONS(6854),
    [anon_sym_PIPE] = ACTIONS(6854),
    [anon_sym_COLON] = ACTIONS(6854),
    [anon_sym_SQUOTE] = ACTIONS(6854),
    [anon_sym__] = ACTIONS(6856),
    [anon_sym_CARET] = ACTIONS(6856),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6856),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6856),
    [anon_sym_DOLLAR] = ACTIONS(6854),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHleft] = ACTIONS(6854),
    [anon_sym_BSLASHbigl] = ACTIONS(6854),
    [anon_sym_BSLASHBigl] = ACTIONS(6854),
    [anon_sym_BSLASHbiggl] = ACTIONS(6854),
    [anon_sym_BSLASHBiggl] = ACTIONS(6854),
    [anon_sym_BSLASHtext] = ACTIONS(6854),
    [anon_sym_BSLASHintertext] = ACTIONS(6854),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6854),
    [anon_sym_BSLASHbegin] = ACTIONS(6854),
    [anon_sym_BSLASHtitle] = ACTIONS(6854),
    [anon_sym_BSLASHauthor] = ACTIONS(6854),
    [anon_sym_BSLASHusepackage] = ACTIONS(6854),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6854),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6854),
    [anon_sym_BSLASHinclude] = ACTIONS(6854),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6854),
    [anon_sym_BSLASHinput] = ACTIONS(6854),
    [anon_sym_BSLASHsubfile] = ACTIONS(6854),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6854),
    [anon_sym_BSLASHbibliography] = ACTIONS(6854),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6854),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6854),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6854),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6854),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6854),
    [anon_sym_BSLASHimport] = ACTIONS(6854),
    [anon_sym_BSLASHsubimport] = ACTIONS(6854),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6854),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHcaption] = ACTIONS(6854),
    [anon_sym_BSLASHcite] = ACTIONS(6854),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCite] = ACTIONS(6854),
    [anon_sym_BSLASHnocite] = ACTIONS(6854),
    [anon_sym_BSLASHcitet] = ACTIONS(6854),
    [anon_sym_BSLASHcitep] = ACTIONS(6854),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteA] = ACTIONS(6854),
    [anon_sym_BSLASHciteR] = ACTIONS(6854),
    [anon_sym_BSLASHciteS] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6854),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteyear] = ACTIONS(6854),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitedate] = ACTIONS(6854),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteurl] = ACTIONS(6854),
    [anon_sym_BSLASHfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6854),
    [anon_sym_BSLASHcitealt] = ACTIONS(6854),
    [anon_sym_BSLASHcitealp] = ACTIONS(6854),
    [anon_sym_BSLASHcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHparencite] = ACTIONS(6854),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHParencite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHtextcite] = ACTIONS(6854),
    [anon_sym_BSLASHTextcite] = ACTIONS(6854),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHsupercite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite] = ACTIONS(6854),
    [anon_sym_BSLASHAutocite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHVolcite] = ACTIONS(6854),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHavolcite] = ACTIONS(6854),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHNotecite] = ACTIONS(6854),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHlabel] = ACTIONS(6854),
    [anon_sym_BSLASHref] = ACTIONS(6854),
    [anon_sym_BSLASHeqref] = ACTIONS(6854),
    [anon_sym_BSLASHvref] = ACTIONS(6854),
    [anon_sym_BSLASHVref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHpageref] = ACTIONS(6854),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHautopageref] = ACTIONS(6854),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcref] = ACTIONS(6854),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCref] = ACTIONS(6854),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHCpageref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnameCref] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6854),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHdef] = ACTIONS(6854),
    [anon_sym_BSLASHgdef] = ACTIONS(6854),
    [anon_sym_BSLASHedef] = ACTIONS(6854),
    [anon_sym_BSLASHxdef] = ACTIONS(6854),
    [anon_sym_BSLASHlet] = ACTIONS(6854),
    [anon_sym_BSLASHglet] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6854),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6854),
    [anon_sym_BSLASHgls] = ACTIONS(6854),
    [anon_sym_BSLASHGls] = ACTIONS(6854),
    [anon_sym_BSLASHGLS] = ACTIONS(6854),
    [anon_sym_BSLASHglspl] = ACTIONS(6854),
    [anon_sym_BSLASHGlspl] = ACTIONS(6854),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6854),
    [anon_sym_BSLASHglslink] = ACTIONS(6854),
    [anon_sym_BSLASHglstext] = ACTIONS(6854),
    [anon_sym_BSLASHGlstext] = ACTIONS(6854),
    [anon_sym_BSLASHGLStext] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6854),
    [anon_sym_BSLASHglsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsname] = ACTIONS(6854),
    [anon_sym_BSLASHGlsname] = ACTIONS(6854),
    [anon_sym_BSLASHGLSname] = ACTIONS(6854),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6854),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6854),
    [anon_sym_BSLASHacrshort] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6854),
    [anon_sym_BSLASHACRshort] = ACTIONS(6854),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrlong] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6854),
    [anon_sym_BSLASHACRlong] = ACTIONS(6854),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrfull] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6854),
    [anon_sym_BSLASHACRfull] = ACTIONS(6854),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHacs] = ACTIONS(6854),
    [anon_sym_BSLASHAcs] = ACTIONS(6854),
    [anon_sym_BSLASHacsp] = ACTIONS(6854),
    [anon_sym_BSLASHAcsp] = ACTIONS(6854),
    [anon_sym_BSLASHacl] = ACTIONS(6854),
    [anon_sym_BSLASHAcl] = ACTIONS(6854),
    [anon_sym_BSLASHaclp] = ACTIONS(6854),
    [anon_sym_BSLASHAclp] = ACTIONS(6854),
    [anon_sym_BSLASHacf] = ACTIONS(6854),
    [anon_sym_BSLASHAcf] = ACTIONS(6854),
    [anon_sym_BSLASHacfp] = ACTIONS(6854),
    [anon_sym_BSLASHAcfp] = ACTIONS(6854),
    [anon_sym_BSLASHac] = ACTIONS(6854),
    [anon_sym_BSLASHAc] = ACTIONS(6854),
    [anon_sym_BSLASHacp] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6854),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6854),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6854),
    [anon_sym_BSLASHcolor] = ACTIONS(6854),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6854),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6854),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6854),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6854),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6854),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6854),
    [anon_sym_BSLASHurl] = ACTIONS(6854),
    [anon_sym_BSLASHhref] = ACTIONS(6854),
  },
  [578] = {
    [sym__section_declaration] = STATE(179),
    [sym_section] = STATE(527),
    [aux_sym__section_repeat3] = STATE(527),
    [ts_builtin_sym_end] = ACTIONS(6698),
    [sym_command_name] = ACTIONS(6696),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6696),
    [anon_sym_LBRACK] = ACTIONS(6698),
    [anon_sym_RBRACK] = ACTIONS(6698),
    [anon_sym_COMMA] = ACTIONS(6698),
    [anon_sym_EQ] = ACTIONS(6698),
    [anon_sym_LPAREN] = ACTIONS(6698),
    [anon_sym_RPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHpart] = ACTIONS(6696),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddpart] = ACTIONS(6696),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHchapter] = ACTIONS(6696),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddchap] = ACTIONS(6696),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsection] = ACTIONS(21),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(23),
    [anon_sym_BSLASHaddsec] = ACTIONS(21),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(23),
    [anon_sym_BSLASHsubsection] = ACTIONS(6696),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHitem] = ACTIONS(6696),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6698),
    [anon_sym_LBRACE] = ACTIONS(6698),
    [anon_sym_RBRACE] = ACTIONS(6698),
    [sym_word] = ACTIONS(6696),
    [sym_placeholder] = ACTIONS(6698),
    [sym_delimiter] = ACTIONS(6698),
    [anon_sym_PLUS] = ACTIONS(6698),
    [anon_sym_DASH] = ACTIONS(6698),
    [anon_sym_STAR] = ACTIONS(6698),
    [anon_sym_SLASH] = ACTIONS(6698),
    [anon_sym_LT] = ACTIONS(6696),
    [anon_sym_GT] = ACTIONS(6696),
    [anon_sym_BANG] = ACTIONS(6696),
    [anon_sym_PIPE] = ACTIONS(6696),
    [anon_sym_COLON] = ACTIONS(6696),
    [anon_sym_SQUOTE] = ACTIONS(6696),
    [anon_sym__] = ACTIONS(6698),
    [anon_sym_CARET] = ACTIONS(6698),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6698),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6698),
    [anon_sym_DOLLAR] = ACTIONS(6696),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHleft] = ACTIONS(6696),
    [anon_sym_BSLASHbigl] = ACTIONS(6696),
    [anon_sym_BSLASHBigl] = ACTIONS(6696),
    [anon_sym_BSLASHbiggl] = ACTIONS(6696),
    [anon_sym_BSLASHBiggl] = ACTIONS(6696),
    [anon_sym_BSLASHtext] = ACTIONS(6696),
    [anon_sym_BSLASHintertext] = ACTIONS(6696),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6696),
    [anon_sym_BSLASHbegin] = ACTIONS(6696),
    [anon_sym_BSLASHtitle] = ACTIONS(6696),
    [anon_sym_BSLASHauthor] = ACTIONS(6696),
    [anon_sym_BSLASHusepackage] = ACTIONS(6696),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6696),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6696),
    [anon_sym_BSLASHinclude] = ACTIONS(6696),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6696),
    [anon_sym_BSLASHinput] = ACTIONS(6696),
    [anon_sym_BSLASHsubfile] = ACTIONS(6696),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6696),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6696),
    [anon_sym_BSLASHbibliography] = ACTIONS(6696),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6696),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6696),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6696),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6696),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6696),
    [anon_sym_BSLASHimport] = ACTIONS(6696),
    [anon_sym_BSLASHsubimport] = ACTIONS(6696),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6696),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHcaption] = ACTIONS(6696),
    [anon_sym_BSLASHcite] = ACTIONS(6696),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCite] = ACTIONS(6696),
    [anon_sym_BSLASHnocite] = ACTIONS(6696),
    [anon_sym_BSLASHcitet] = ACTIONS(6696),
    [anon_sym_BSLASHcitep] = ACTIONS(6696),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteA] = ACTIONS(6696),
    [anon_sym_BSLASHciteR] = ACTIONS(6696),
    [anon_sym_BSLASHciteS] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6696),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteyear] = ACTIONS(6696),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitedate] = ACTIONS(6696),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteurl] = ACTIONS(6696),
    [anon_sym_BSLASHfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6696),
    [anon_sym_BSLASHcitealt] = ACTIONS(6696),
    [anon_sym_BSLASHcitealp] = ACTIONS(6696),
    [anon_sym_BSLASHcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHparencite] = ACTIONS(6696),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHParencite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHtextcite] = ACTIONS(6696),
    [anon_sym_BSLASHTextcite] = ACTIONS(6696),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHsupercite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite] = ACTIONS(6696),
    [anon_sym_BSLASHAutocite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHVolcite] = ACTIONS(6696),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHavolcite] = ACTIONS(6696),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHNotecite] = ACTIONS(6696),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHlabel] = ACTIONS(6696),
    [anon_sym_BSLASHref] = ACTIONS(6696),
    [anon_sym_BSLASHeqref] = ACTIONS(6696),
    [anon_sym_BSLASHvref] = ACTIONS(6696),
    [anon_sym_BSLASHVref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHpageref] = ACTIONS(6696),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHautopageref] = ACTIONS(6696),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcref] = ACTIONS(6696),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCref] = ACTIONS(6696),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHCpageref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnameCref] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6696),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHdef] = ACTIONS(6696),
    [anon_sym_BSLASHgdef] = ACTIONS(6696),
    [anon_sym_BSLASHedef] = ACTIONS(6696),
    [anon_sym_BSLASHxdef] = ACTIONS(6696),
    [anon_sym_BSLASHlet] = ACTIONS(6696),
    [anon_sym_BSLASHglet] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6696),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6696),
    [anon_sym_BSLASHgls] = ACTIONS(6696),
    [anon_sym_BSLASHGls] = ACTIONS(6696),
    [anon_sym_BSLASHGLS] = ACTIONS(6696),
    [anon_sym_BSLASHglspl] = ACTIONS(6696),
    [anon_sym_BSLASHGlspl] = ACTIONS(6696),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6696),
    [anon_sym_BSLASHglslink] = ACTIONS(6696),
    [anon_sym_BSLASHglstext] = ACTIONS(6696),
    [anon_sym_BSLASHGlstext] = ACTIONS(6696),
    [anon_sym_BSLASHGLStext] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6696),
    [anon_sym_BSLASHglsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsname] = ACTIONS(6696),
    [anon_sym_BSLASHGlsname] = ACTIONS(6696),
    [anon_sym_BSLASHGLSname] = ACTIONS(6696),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6696),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6696),
    [anon_sym_BSLASHacrshort] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6696),
    [anon_sym_BSLASHACRshort] = ACTIONS(6696),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrlong] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6696),
    [anon_sym_BSLASHACRlong] = ACTIONS(6696),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrfull] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6696),
    [anon_sym_BSLASHACRfull] = ACTIONS(6696),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHacs] = ACTIONS(6696),
    [anon_sym_BSLASHAcs] = ACTIONS(6696),
    [anon_sym_BSLASHacsp] = ACTIONS(6696),
    [anon_sym_BSLASHAcsp] = ACTIONS(6696),
    [anon_sym_BSLASHacl] = ACTIONS(6696),
    [anon_sym_BSLASHAcl] = ACTIONS(6696),
    [anon_sym_BSLASHaclp] = ACTIONS(6696),
    [anon_sym_BSLASHAclp] = ACTIONS(6696),
    [anon_sym_BSLASHacf] = ACTIONS(6696),
    [anon_sym_BSLASHAcf] = ACTIONS(6696),
    [anon_sym_BSLASHacfp] = ACTIONS(6696),
    [anon_sym_BSLASHAcfp] = ACTIONS(6696),
    [anon_sym_BSLASHac] = ACTIONS(6696),
    [anon_sym_BSLASHAc] = ACTIONS(6696),
    [anon_sym_BSLASHacp] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6696),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6696),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6696),
    [anon_sym_BSLASHcolor] = ACTIONS(6696),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6696),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6696),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6696),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6696),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6696),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6696),
    [anon_sym_BSLASHurl] = ACTIONS(6696),
    [anon_sym_BSLASHhref] = ACTIONS(6696),
  },
  [579] = {
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(528),
    [aux_sym__section_repeat4] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(6698),
    [sym_command_name] = ACTIONS(6696),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6696),
    [anon_sym_LBRACK] = ACTIONS(6698),
    [anon_sym_RBRACK] = ACTIONS(6698),
    [anon_sym_COMMA] = ACTIONS(6698),
    [anon_sym_EQ] = ACTIONS(6698),
    [anon_sym_LPAREN] = ACTIONS(6698),
    [anon_sym_RPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHpart] = ACTIONS(6696),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddpart] = ACTIONS(6696),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHchapter] = ACTIONS(6696),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddchap] = ACTIONS(6696),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsection] = ACTIONS(6696),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddsec] = ACTIONS(6696),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHitem] = ACTIONS(6696),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6698),
    [anon_sym_LBRACE] = ACTIONS(6698),
    [anon_sym_RBRACE] = ACTIONS(6698),
    [sym_word] = ACTIONS(6696),
    [sym_placeholder] = ACTIONS(6698),
    [sym_delimiter] = ACTIONS(6698),
    [anon_sym_PLUS] = ACTIONS(6698),
    [anon_sym_DASH] = ACTIONS(6698),
    [anon_sym_STAR] = ACTIONS(6698),
    [anon_sym_SLASH] = ACTIONS(6698),
    [anon_sym_LT] = ACTIONS(6696),
    [anon_sym_GT] = ACTIONS(6696),
    [anon_sym_BANG] = ACTIONS(6696),
    [anon_sym_PIPE] = ACTIONS(6696),
    [anon_sym_COLON] = ACTIONS(6696),
    [anon_sym_SQUOTE] = ACTIONS(6696),
    [anon_sym__] = ACTIONS(6698),
    [anon_sym_CARET] = ACTIONS(6698),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6698),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6698),
    [anon_sym_DOLLAR] = ACTIONS(6696),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHleft] = ACTIONS(6696),
    [anon_sym_BSLASHbigl] = ACTIONS(6696),
    [anon_sym_BSLASHBigl] = ACTIONS(6696),
    [anon_sym_BSLASHbiggl] = ACTIONS(6696),
    [anon_sym_BSLASHBiggl] = ACTIONS(6696),
    [anon_sym_BSLASHtext] = ACTIONS(6696),
    [anon_sym_BSLASHintertext] = ACTIONS(6696),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6696),
    [anon_sym_BSLASHbegin] = ACTIONS(6696),
    [anon_sym_BSLASHtitle] = ACTIONS(6696),
    [anon_sym_BSLASHauthor] = ACTIONS(6696),
    [anon_sym_BSLASHusepackage] = ACTIONS(6696),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6696),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6696),
    [anon_sym_BSLASHinclude] = ACTIONS(6696),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6696),
    [anon_sym_BSLASHinput] = ACTIONS(6696),
    [anon_sym_BSLASHsubfile] = ACTIONS(6696),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6696),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6696),
    [anon_sym_BSLASHbibliography] = ACTIONS(6696),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6696),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6696),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6696),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6696),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6696),
    [anon_sym_BSLASHimport] = ACTIONS(6696),
    [anon_sym_BSLASHsubimport] = ACTIONS(6696),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6696),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHcaption] = ACTIONS(6696),
    [anon_sym_BSLASHcite] = ACTIONS(6696),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCite] = ACTIONS(6696),
    [anon_sym_BSLASHnocite] = ACTIONS(6696),
    [anon_sym_BSLASHcitet] = ACTIONS(6696),
    [anon_sym_BSLASHcitep] = ACTIONS(6696),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteA] = ACTIONS(6696),
    [anon_sym_BSLASHciteR] = ACTIONS(6696),
    [anon_sym_BSLASHciteS] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6696),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteyear] = ACTIONS(6696),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitedate] = ACTIONS(6696),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteurl] = ACTIONS(6696),
    [anon_sym_BSLASHfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6696),
    [anon_sym_BSLASHcitealt] = ACTIONS(6696),
    [anon_sym_BSLASHcitealp] = ACTIONS(6696),
    [anon_sym_BSLASHcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHparencite] = ACTIONS(6696),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHParencite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHtextcite] = ACTIONS(6696),
    [anon_sym_BSLASHTextcite] = ACTIONS(6696),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHsupercite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite] = ACTIONS(6696),
    [anon_sym_BSLASHAutocite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHVolcite] = ACTIONS(6696),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHavolcite] = ACTIONS(6696),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHNotecite] = ACTIONS(6696),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHlabel] = ACTIONS(6696),
    [anon_sym_BSLASHref] = ACTIONS(6696),
    [anon_sym_BSLASHeqref] = ACTIONS(6696),
    [anon_sym_BSLASHvref] = ACTIONS(6696),
    [anon_sym_BSLASHVref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHpageref] = ACTIONS(6696),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHautopageref] = ACTIONS(6696),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcref] = ACTIONS(6696),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCref] = ACTIONS(6696),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHCpageref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnameCref] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6696),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHdef] = ACTIONS(6696),
    [anon_sym_BSLASHgdef] = ACTIONS(6696),
    [anon_sym_BSLASHedef] = ACTIONS(6696),
    [anon_sym_BSLASHxdef] = ACTIONS(6696),
    [anon_sym_BSLASHlet] = ACTIONS(6696),
    [anon_sym_BSLASHglet] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6696),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6696),
    [anon_sym_BSLASHgls] = ACTIONS(6696),
    [anon_sym_BSLASHGls] = ACTIONS(6696),
    [anon_sym_BSLASHGLS] = ACTIONS(6696),
    [anon_sym_BSLASHglspl] = ACTIONS(6696),
    [anon_sym_BSLASHGlspl] = ACTIONS(6696),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6696),
    [anon_sym_BSLASHglslink] = ACTIONS(6696),
    [anon_sym_BSLASHglstext] = ACTIONS(6696),
    [anon_sym_BSLASHGlstext] = ACTIONS(6696),
    [anon_sym_BSLASHGLStext] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6696),
    [anon_sym_BSLASHglsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsname] = ACTIONS(6696),
    [anon_sym_BSLASHGlsname] = ACTIONS(6696),
    [anon_sym_BSLASHGLSname] = ACTIONS(6696),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6696),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6696),
    [anon_sym_BSLASHacrshort] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6696),
    [anon_sym_BSLASHACRshort] = ACTIONS(6696),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrlong] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6696),
    [anon_sym_BSLASHACRlong] = ACTIONS(6696),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrfull] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6696),
    [anon_sym_BSLASHACRfull] = ACTIONS(6696),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHacs] = ACTIONS(6696),
    [anon_sym_BSLASHAcs] = ACTIONS(6696),
    [anon_sym_BSLASHacsp] = ACTIONS(6696),
    [anon_sym_BSLASHAcsp] = ACTIONS(6696),
    [anon_sym_BSLASHacl] = ACTIONS(6696),
    [anon_sym_BSLASHAcl] = ACTIONS(6696),
    [anon_sym_BSLASHaclp] = ACTIONS(6696),
    [anon_sym_BSLASHAclp] = ACTIONS(6696),
    [anon_sym_BSLASHacf] = ACTIONS(6696),
    [anon_sym_BSLASHAcf] = ACTIONS(6696),
    [anon_sym_BSLASHacfp] = ACTIONS(6696),
    [anon_sym_BSLASHAcfp] = ACTIONS(6696),
    [anon_sym_BSLASHac] = ACTIONS(6696),
    [anon_sym_BSLASHAc] = ACTIONS(6696),
    [anon_sym_BSLASHacp] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6696),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6696),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6696),
    [anon_sym_BSLASHcolor] = ACTIONS(6696),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6696),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6696),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6696),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6696),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6696),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6696),
    [anon_sym_BSLASHurl] = ACTIONS(6696),
    [anon_sym_BSLASHhref] = ACTIONS(6696),
  },
  [580] = {
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(529),
    [aux_sym__section_repeat5] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(6698),
    [sym_command_name] = ACTIONS(6696),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6696),
    [anon_sym_LBRACK] = ACTIONS(6698),
    [anon_sym_RBRACK] = ACTIONS(6698),
    [anon_sym_COMMA] = ACTIONS(6698),
    [anon_sym_EQ] = ACTIONS(6698),
    [anon_sym_LPAREN] = ACTIONS(6698),
    [anon_sym_RPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHpart] = ACTIONS(6696),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddpart] = ACTIONS(6696),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHchapter] = ACTIONS(6696),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddchap] = ACTIONS(6696),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsection] = ACTIONS(6696),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddsec] = ACTIONS(6696),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubsection] = ACTIONS(6696),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHitem] = ACTIONS(6696),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6698),
    [anon_sym_LBRACE] = ACTIONS(6698),
    [anon_sym_RBRACE] = ACTIONS(6698),
    [sym_word] = ACTIONS(6696),
    [sym_placeholder] = ACTIONS(6698),
    [sym_delimiter] = ACTIONS(6698),
    [anon_sym_PLUS] = ACTIONS(6698),
    [anon_sym_DASH] = ACTIONS(6698),
    [anon_sym_STAR] = ACTIONS(6698),
    [anon_sym_SLASH] = ACTIONS(6698),
    [anon_sym_LT] = ACTIONS(6696),
    [anon_sym_GT] = ACTIONS(6696),
    [anon_sym_BANG] = ACTIONS(6696),
    [anon_sym_PIPE] = ACTIONS(6696),
    [anon_sym_COLON] = ACTIONS(6696),
    [anon_sym_SQUOTE] = ACTIONS(6696),
    [anon_sym__] = ACTIONS(6698),
    [anon_sym_CARET] = ACTIONS(6698),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6698),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6698),
    [anon_sym_DOLLAR] = ACTIONS(6696),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHleft] = ACTIONS(6696),
    [anon_sym_BSLASHbigl] = ACTIONS(6696),
    [anon_sym_BSLASHBigl] = ACTIONS(6696),
    [anon_sym_BSLASHbiggl] = ACTIONS(6696),
    [anon_sym_BSLASHBiggl] = ACTIONS(6696),
    [anon_sym_BSLASHtext] = ACTIONS(6696),
    [anon_sym_BSLASHintertext] = ACTIONS(6696),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6696),
    [anon_sym_BSLASHbegin] = ACTIONS(6696),
    [anon_sym_BSLASHtitle] = ACTIONS(6696),
    [anon_sym_BSLASHauthor] = ACTIONS(6696),
    [anon_sym_BSLASHusepackage] = ACTIONS(6696),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6696),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6696),
    [anon_sym_BSLASHinclude] = ACTIONS(6696),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6696),
    [anon_sym_BSLASHinput] = ACTIONS(6696),
    [anon_sym_BSLASHsubfile] = ACTIONS(6696),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6696),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6696),
    [anon_sym_BSLASHbibliography] = ACTIONS(6696),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6696),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6696),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6696),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6696),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6696),
    [anon_sym_BSLASHimport] = ACTIONS(6696),
    [anon_sym_BSLASHsubimport] = ACTIONS(6696),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6696),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHcaption] = ACTIONS(6696),
    [anon_sym_BSLASHcite] = ACTIONS(6696),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCite] = ACTIONS(6696),
    [anon_sym_BSLASHnocite] = ACTIONS(6696),
    [anon_sym_BSLASHcitet] = ACTIONS(6696),
    [anon_sym_BSLASHcitep] = ACTIONS(6696),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteA] = ACTIONS(6696),
    [anon_sym_BSLASHciteR] = ACTIONS(6696),
    [anon_sym_BSLASHciteS] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6696),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteyear] = ACTIONS(6696),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitedate] = ACTIONS(6696),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteurl] = ACTIONS(6696),
    [anon_sym_BSLASHfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6696),
    [anon_sym_BSLASHcitealt] = ACTIONS(6696),
    [anon_sym_BSLASHcitealp] = ACTIONS(6696),
    [anon_sym_BSLASHcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHparencite] = ACTIONS(6696),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHParencite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHtextcite] = ACTIONS(6696),
    [anon_sym_BSLASHTextcite] = ACTIONS(6696),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHsupercite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite] = ACTIONS(6696),
    [anon_sym_BSLASHAutocite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHVolcite] = ACTIONS(6696),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHavolcite] = ACTIONS(6696),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHNotecite] = ACTIONS(6696),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHlabel] = ACTIONS(6696),
    [anon_sym_BSLASHref] = ACTIONS(6696),
    [anon_sym_BSLASHeqref] = ACTIONS(6696),
    [anon_sym_BSLASHvref] = ACTIONS(6696),
    [anon_sym_BSLASHVref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHpageref] = ACTIONS(6696),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHautopageref] = ACTIONS(6696),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcref] = ACTIONS(6696),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCref] = ACTIONS(6696),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHCpageref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnameCref] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6696),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHdef] = ACTIONS(6696),
    [anon_sym_BSLASHgdef] = ACTIONS(6696),
    [anon_sym_BSLASHedef] = ACTIONS(6696),
    [anon_sym_BSLASHxdef] = ACTIONS(6696),
    [anon_sym_BSLASHlet] = ACTIONS(6696),
    [anon_sym_BSLASHglet] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6696),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6696),
    [anon_sym_BSLASHgls] = ACTIONS(6696),
    [anon_sym_BSLASHGls] = ACTIONS(6696),
    [anon_sym_BSLASHGLS] = ACTIONS(6696),
    [anon_sym_BSLASHglspl] = ACTIONS(6696),
    [anon_sym_BSLASHGlspl] = ACTIONS(6696),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6696),
    [anon_sym_BSLASHglslink] = ACTIONS(6696),
    [anon_sym_BSLASHglstext] = ACTIONS(6696),
    [anon_sym_BSLASHGlstext] = ACTIONS(6696),
    [anon_sym_BSLASHGLStext] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6696),
    [anon_sym_BSLASHglsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsname] = ACTIONS(6696),
    [anon_sym_BSLASHGlsname] = ACTIONS(6696),
    [anon_sym_BSLASHGLSname] = ACTIONS(6696),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6696),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6696),
    [anon_sym_BSLASHacrshort] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6696),
    [anon_sym_BSLASHACRshort] = ACTIONS(6696),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrlong] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6696),
    [anon_sym_BSLASHACRlong] = ACTIONS(6696),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrfull] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6696),
    [anon_sym_BSLASHACRfull] = ACTIONS(6696),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHacs] = ACTIONS(6696),
    [anon_sym_BSLASHAcs] = ACTIONS(6696),
    [anon_sym_BSLASHacsp] = ACTIONS(6696),
    [anon_sym_BSLASHAcsp] = ACTIONS(6696),
    [anon_sym_BSLASHacl] = ACTIONS(6696),
    [anon_sym_BSLASHAcl] = ACTIONS(6696),
    [anon_sym_BSLASHaclp] = ACTIONS(6696),
    [anon_sym_BSLASHAclp] = ACTIONS(6696),
    [anon_sym_BSLASHacf] = ACTIONS(6696),
    [anon_sym_BSLASHAcf] = ACTIONS(6696),
    [anon_sym_BSLASHacfp] = ACTIONS(6696),
    [anon_sym_BSLASHAcfp] = ACTIONS(6696),
    [anon_sym_BSLASHac] = ACTIONS(6696),
    [anon_sym_BSLASHAc] = ACTIONS(6696),
    [anon_sym_BSLASHacp] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6696),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6696),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6696),
    [anon_sym_BSLASHcolor] = ACTIONS(6696),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6696),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6696),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6696),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6696),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6696),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6696),
    [anon_sym_BSLASHurl] = ACTIONS(6696),
    [anon_sym_BSLASHhref] = ACTIONS(6696),
  },
  [581] = {
    [sym__subsection_declaration] = STATE(190),
    [sym_subsection] = STATE(528),
    [aux_sym__section_repeat4] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(6702),
    [sym_command_name] = ACTIONS(6700),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6700),
    [anon_sym_LBRACK] = ACTIONS(6702),
    [anon_sym_RBRACK] = ACTIONS(6702),
    [anon_sym_COMMA] = ACTIONS(6702),
    [anon_sym_EQ] = ACTIONS(6702),
    [anon_sym_LPAREN] = ACTIONS(6702),
    [anon_sym_RPAREN] = ACTIONS(6702),
    [anon_sym_BSLASHpart] = ACTIONS(6700),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddpart] = ACTIONS(6700),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHchapter] = ACTIONS(6700),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddchap] = ACTIONS(6700),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsection] = ACTIONS(6700),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddsec] = ACTIONS(6700),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsubsection] = ACTIONS(25),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(27),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6700),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHparagraph] = ACTIONS(6700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6700),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHitem] = ACTIONS(6700),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6702),
    [anon_sym_LBRACE] = ACTIONS(6702),
    [anon_sym_RBRACE] = ACTIONS(6702),
    [sym_word] = ACTIONS(6700),
    [sym_placeholder] = ACTIONS(6702),
    [sym_delimiter] = ACTIONS(6702),
    [anon_sym_PLUS] = ACTIONS(6702),
    [anon_sym_DASH] = ACTIONS(6702),
    [anon_sym_STAR] = ACTIONS(6702),
    [anon_sym_SLASH] = ACTIONS(6702),
    [anon_sym_LT] = ACTIONS(6700),
    [anon_sym_GT] = ACTIONS(6700),
    [anon_sym_BANG] = ACTIONS(6700),
    [anon_sym_PIPE] = ACTIONS(6700),
    [anon_sym_COLON] = ACTIONS(6700),
    [anon_sym_SQUOTE] = ACTIONS(6700),
    [anon_sym__] = ACTIONS(6702),
    [anon_sym_CARET] = ACTIONS(6702),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6702),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6702),
    [anon_sym_DOLLAR] = ACTIONS(6700),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6702),
    [anon_sym_BSLASHleft] = ACTIONS(6700),
    [anon_sym_BSLASHbigl] = ACTIONS(6700),
    [anon_sym_BSLASHBigl] = ACTIONS(6700),
    [anon_sym_BSLASHbiggl] = ACTIONS(6700),
    [anon_sym_BSLASHBiggl] = ACTIONS(6700),
    [anon_sym_BSLASHtext] = ACTIONS(6700),
    [anon_sym_BSLASHintertext] = ACTIONS(6700),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6700),
    [anon_sym_BSLASHbegin] = ACTIONS(6700),
    [anon_sym_BSLASHtitle] = ACTIONS(6700),
    [anon_sym_BSLASHauthor] = ACTIONS(6700),
    [anon_sym_BSLASHusepackage] = ACTIONS(6700),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6700),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6700),
    [anon_sym_BSLASHinclude] = ACTIONS(6700),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6700),
    [anon_sym_BSLASHinput] = ACTIONS(6700),
    [anon_sym_BSLASHsubfile] = ACTIONS(6700),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6700),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6700),
    [anon_sym_BSLASHbibliography] = ACTIONS(6700),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6700),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6700),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6700),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6700),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6700),
    [anon_sym_BSLASHimport] = ACTIONS(6700),
    [anon_sym_BSLASHsubimport] = ACTIONS(6700),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6700),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6700),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6700),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6700),
    [anon_sym_BSLASHcaption] = ACTIONS(6700),
    [anon_sym_BSLASHcite] = ACTIONS(6700),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCite] = ACTIONS(6700),
    [anon_sym_BSLASHnocite] = ACTIONS(6700),
    [anon_sym_BSLASHcitet] = ACTIONS(6700),
    [anon_sym_BSLASHcitep] = ACTIONS(6700),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteA] = ACTIONS(6700),
    [anon_sym_BSLASHciteR] = ACTIONS(6700),
    [anon_sym_BSLASHciteS] = ACTIONS(6700),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6700),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6700),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6700),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6700),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteyear] = ACTIONS(6700),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitedate] = ACTIONS(6700),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteurl] = ACTIONS(6700),
    [anon_sym_BSLASHfullcite] = ACTIONS(6700),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6700),
    [anon_sym_BSLASHcitealt] = ACTIONS(6700),
    [anon_sym_BSLASHcitealp] = ACTIONS(6700),
    [anon_sym_BSLASHcitetext] = ACTIONS(6700),
    [anon_sym_BSLASHparencite] = ACTIONS(6700),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHParencite] = ACTIONS(6700),
    [anon_sym_BSLASHfootcite] = ACTIONS(6700),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6700),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6700),
    [anon_sym_BSLASHtextcite] = ACTIONS(6700),
    [anon_sym_BSLASHTextcite] = ACTIONS(6700),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6700),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6700),
    [anon_sym_BSLASHsupercite] = ACTIONS(6700),
    [anon_sym_BSLASHautocite] = ACTIONS(6700),
    [anon_sym_BSLASHAutocite] = ACTIONS(6700),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHVolcite] = ACTIONS(6700),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHavolcite] = ACTIONS(6700),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHNotecite] = ACTIONS(6700),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHlabel] = ACTIONS(6700),
    [anon_sym_BSLASHref] = ACTIONS(6700),
    [anon_sym_BSLASHeqref] = ACTIONS(6700),
    [anon_sym_BSLASHvref] = ACTIONS(6700),
    [anon_sym_BSLASHVref] = ACTIONS(6700),
    [anon_sym_BSLASHautoref] = ACTIONS(6700),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHpageref] = ACTIONS(6700),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHautopageref] = ACTIONS(6700),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcref] = ACTIONS(6700),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCref] = ACTIONS(6700),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcpageref] = ACTIONS(6700),
    [anon_sym_BSLASHCpageref] = ACTIONS(6700),
    [anon_sym_BSLASHnamecref] = ACTIONS(6700),
    [anon_sym_BSLASHnameCref] = ACTIONS(6700),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6700),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6700),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6700),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6700),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6700),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6700),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6700),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6700),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6700),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6700),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6700),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHdef] = ACTIONS(6700),
    [anon_sym_BSLASHgdef] = ACTIONS(6700),
    [anon_sym_BSLASHedef] = ACTIONS(6700),
    [anon_sym_BSLASHxdef] = ACTIONS(6700),
    [anon_sym_BSLASHlet] = ACTIONS(6700),
    [anon_sym_BSLASHglet] = ACTIONS(6700),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6700),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6700),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6700),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6700),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6700),
    [anon_sym_BSLASHgls] = ACTIONS(6700),
    [anon_sym_BSLASHGls] = ACTIONS(6700),
    [anon_sym_BSLASHGLS] = ACTIONS(6700),
    [anon_sym_BSLASHglspl] = ACTIONS(6700),
    [anon_sym_BSLASHGlspl] = ACTIONS(6700),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6700),
    [anon_sym_BSLASHglslink] = ACTIONS(6700),
    [anon_sym_BSLASHglstext] = ACTIONS(6700),
    [anon_sym_BSLASHGlstext] = ACTIONS(6700),
    [anon_sym_BSLASHGLStext] = ACTIONS(6700),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6700),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6700),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6700),
    [anon_sym_BSLASHglsplural] = ACTIONS(6700),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6700),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6700),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHglsname] = ACTIONS(6700),
    [anon_sym_BSLASHGlsname] = ACTIONS(6700),
    [anon_sym_BSLASHGLSname] = ACTIONS(6700),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6700),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6700),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6700),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6700),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6700),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6700),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6700),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6700),
    [anon_sym_BSLASHacrshort] = ACTIONS(6700),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6700),
    [anon_sym_BSLASHACRshort] = ACTIONS(6700),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHacrlong] = ACTIONS(6700),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6700),
    [anon_sym_BSLASHACRlong] = ACTIONS(6700),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHacrfull] = ACTIONS(6700),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6700),
    [anon_sym_BSLASHACRfull] = ACTIONS(6700),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHacs] = ACTIONS(6700),
    [anon_sym_BSLASHAcs] = ACTIONS(6700),
    [anon_sym_BSLASHacsp] = ACTIONS(6700),
    [anon_sym_BSLASHAcsp] = ACTIONS(6700),
    [anon_sym_BSLASHacl] = ACTIONS(6700),
    [anon_sym_BSLASHAcl] = ACTIONS(6700),
    [anon_sym_BSLASHaclp] = ACTIONS(6700),
    [anon_sym_BSLASHAclp] = ACTIONS(6700),
    [anon_sym_BSLASHacf] = ACTIONS(6700),
    [anon_sym_BSLASHAcf] = ACTIONS(6700),
    [anon_sym_BSLASHacfp] = ACTIONS(6700),
    [anon_sym_BSLASHAcfp] = ACTIONS(6700),
    [anon_sym_BSLASHac] = ACTIONS(6700),
    [anon_sym_BSLASHAc] = ACTIONS(6700),
    [anon_sym_BSLASHacp] = ACTIONS(6700),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6700),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6700),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6700),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6700),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6700),
    [anon_sym_BSLASHcolor] = ACTIONS(6700),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6700),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6700),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6700),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6700),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6700),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6700),
    [anon_sym_BSLASHurl] = ACTIONS(6700),
    [anon_sym_BSLASHhref] = ACTIONS(6700),
  },
  [582] = {
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(529),
    [aux_sym__section_repeat5] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(6702),
    [sym_command_name] = ACTIONS(6700),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6700),
    [anon_sym_LBRACK] = ACTIONS(6702),
    [anon_sym_RBRACK] = ACTIONS(6702),
    [anon_sym_COMMA] = ACTIONS(6702),
    [anon_sym_EQ] = ACTIONS(6702),
    [anon_sym_LPAREN] = ACTIONS(6702),
    [anon_sym_RPAREN] = ACTIONS(6702),
    [anon_sym_BSLASHpart] = ACTIONS(6700),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddpart] = ACTIONS(6700),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHchapter] = ACTIONS(6700),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddchap] = ACTIONS(6700),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsection] = ACTIONS(6700),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddsec] = ACTIONS(6700),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsubsection] = ACTIONS(6700),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(6700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6700),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHitem] = ACTIONS(6700),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6702),
    [anon_sym_LBRACE] = ACTIONS(6702),
    [anon_sym_RBRACE] = ACTIONS(6702),
    [sym_word] = ACTIONS(6700),
    [sym_placeholder] = ACTIONS(6702),
    [sym_delimiter] = ACTIONS(6702),
    [anon_sym_PLUS] = ACTIONS(6702),
    [anon_sym_DASH] = ACTIONS(6702),
    [anon_sym_STAR] = ACTIONS(6702),
    [anon_sym_SLASH] = ACTIONS(6702),
    [anon_sym_LT] = ACTIONS(6700),
    [anon_sym_GT] = ACTIONS(6700),
    [anon_sym_BANG] = ACTIONS(6700),
    [anon_sym_PIPE] = ACTIONS(6700),
    [anon_sym_COLON] = ACTIONS(6700),
    [anon_sym_SQUOTE] = ACTIONS(6700),
    [anon_sym__] = ACTIONS(6702),
    [anon_sym_CARET] = ACTIONS(6702),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6702),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6702),
    [anon_sym_DOLLAR] = ACTIONS(6700),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6702),
    [anon_sym_BSLASHleft] = ACTIONS(6700),
    [anon_sym_BSLASHbigl] = ACTIONS(6700),
    [anon_sym_BSLASHBigl] = ACTIONS(6700),
    [anon_sym_BSLASHbiggl] = ACTIONS(6700),
    [anon_sym_BSLASHBiggl] = ACTIONS(6700),
    [anon_sym_BSLASHtext] = ACTIONS(6700),
    [anon_sym_BSLASHintertext] = ACTIONS(6700),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6700),
    [anon_sym_BSLASHbegin] = ACTIONS(6700),
    [anon_sym_BSLASHtitle] = ACTIONS(6700),
    [anon_sym_BSLASHauthor] = ACTIONS(6700),
    [anon_sym_BSLASHusepackage] = ACTIONS(6700),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6700),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6700),
    [anon_sym_BSLASHinclude] = ACTIONS(6700),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6700),
    [anon_sym_BSLASHinput] = ACTIONS(6700),
    [anon_sym_BSLASHsubfile] = ACTIONS(6700),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6700),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6700),
    [anon_sym_BSLASHbibliography] = ACTIONS(6700),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6700),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6700),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6700),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6700),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6700),
    [anon_sym_BSLASHimport] = ACTIONS(6700),
    [anon_sym_BSLASHsubimport] = ACTIONS(6700),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6700),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6700),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6700),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6700),
    [anon_sym_BSLASHcaption] = ACTIONS(6700),
    [anon_sym_BSLASHcite] = ACTIONS(6700),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCite] = ACTIONS(6700),
    [anon_sym_BSLASHnocite] = ACTIONS(6700),
    [anon_sym_BSLASHcitet] = ACTIONS(6700),
    [anon_sym_BSLASHcitep] = ACTIONS(6700),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteA] = ACTIONS(6700),
    [anon_sym_BSLASHciteR] = ACTIONS(6700),
    [anon_sym_BSLASHciteS] = ACTIONS(6700),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6700),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6700),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6700),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6700),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteyear] = ACTIONS(6700),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitedate] = ACTIONS(6700),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteurl] = ACTIONS(6700),
    [anon_sym_BSLASHfullcite] = ACTIONS(6700),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6700),
    [anon_sym_BSLASHcitealt] = ACTIONS(6700),
    [anon_sym_BSLASHcitealp] = ACTIONS(6700),
    [anon_sym_BSLASHcitetext] = ACTIONS(6700),
    [anon_sym_BSLASHparencite] = ACTIONS(6700),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHParencite] = ACTIONS(6700),
    [anon_sym_BSLASHfootcite] = ACTIONS(6700),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6700),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6700),
    [anon_sym_BSLASHtextcite] = ACTIONS(6700),
    [anon_sym_BSLASHTextcite] = ACTIONS(6700),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6700),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6700),
    [anon_sym_BSLASHsupercite] = ACTIONS(6700),
    [anon_sym_BSLASHautocite] = ACTIONS(6700),
    [anon_sym_BSLASHAutocite] = ACTIONS(6700),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHVolcite] = ACTIONS(6700),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHavolcite] = ACTIONS(6700),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHNotecite] = ACTIONS(6700),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHlabel] = ACTIONS(6700),
    [anon_sym_BSLASHref] = ACTIONS(6700),
    [anon_sym_BSLASHeqref] = ACTIONS(6700),
    [anon_sym_BSLASHvref] = ACTIONS(6700),
    [anon_sym_BSLASHVref] = ACTIONS(6700),
    [anon_sym_BSLASHautoref] = ACTIONS(6700),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHpageref] = ACTIONS(6700),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHautopageref] = ACTIONS(6700),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcref] = ACTIONS(6700),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCref] = ACTIONS(6700),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcpageref] = ACTIONS(6700),
    [anon_sym_BSLASHCpageref] = ACTIONS(6700),
    [anon_sym_BSLASHnamecref] = ACTIONS(6700),
    [anon_sym_BSLASHnameCref] = ACTIONS(6700),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6700),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6700),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6700),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6700),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6700),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6700),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6700),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6700),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6700),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6700),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6700),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHdef] = ACTIONS(6700),
    [anon_sym_BSLASHgdef] = ACTIONS(6700),
    [anon_sym_BSLASHedef] = ACTIONS(6700),
    [anon_sym_BSLASHxdef] = ACTIONS(6700),
    [anon_sym_BSLASHlet] = ACTIONS(6700),
    [anon_sym_BSLASHglet] = ACTIONS(6700),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6700),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6700),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6700),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6700),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6700),
    [anon_sym_BSLASHgls] = ACTIONS(6700),
    [anon_sym_BSLASHGls] = ACTIONS(6700),
    [anon_sym_BSLASHGLS] = ACTIONS(6700),
    [anon_sym_BSLASHglspl] = ACTIONS(6700),
    [anon_sym_BSLASHGlspl] = ACTIONS(6700),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6700),
    [anon_sym_BSLASHglslink] = ACTIONS(6700),
    [anon_sym_BSLASHglstext] = ACTIONS(6700),
    [anon_sym_BSLASHGlstext] = ACTIONS(6700),
    [anon_sym_BSLASHGLStext] = ACTIONS(6700),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6700),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6700),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6700),
    [anon_sym_BSLASHglsplural] = ACTIONS(6700),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6700),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6700),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHglsname] = ACTIONS(6700),
    [anon_sym_BSLASHGlsname] = ACTIONS(6700),
    [anon_sym_BSLASHGLSname] = ACTIONS(6700),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6700),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6700),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6700),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6700),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6700),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6700),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6700),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6700),
    [anon_sym_BSLASHacrshort] = ACTIONS(6700),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6700),
    [anon_sym_BSLASHACRshort] = ACTIONS(6700),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHacrlong] = ACTIONS(6700),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6700),
    [anon_sym_BSLASHACRlong] = ACTIONS(6700),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHacrfull] = ACTIONS(6700),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6700),
    [anon_sym_BSLASHACRfull] = ACTIONS(6700),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHacs] = ACTIONS(6700),
    [anon_sym_BSLASHAcs] = ACTIONS(6700),
    [anon_sym_BSLASHacsp] = ACTIONS(6700),
    [anon_sym_BSLASHAcsp] = ACTIONS(6700),
    [anon_sym_BSLASHacl] = ACTIONS(6700),
    [anon_sym_BSLASHAcl] = ACTIONS(6700),
    [anon_sym_BSLASHaclp] = ACTIONS(6700),
    [anon_sym_BSLASHAclp] = ACTIONS(6700),
    [anon_sym_BSLASHacf] = ACTIONS(6700),
    [anon_sym_BSLASHAcf] = ACTIONS(6700),
    [anon_sym_BSLASHacfp] = ACTIONS(6700),
    [anon_sym_BSLASHAcfp] = ACTIONS(6700),
    [anon_sym_BSLASHac] = ACTIONS(6700),
    [anon_sym_BSLASHAc] = ACTIONS(6700),
    [anon_sym_BSLASHacp] = ACTIONS(6700),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6700),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6700),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6700),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6700),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6700),
    [anon_sym_BSLASHcolor] = ACTIONS(6700),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6700),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6700),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6700),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6700),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6700),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6700),
    [anon_sym_BSLASHurl] = ACTIONS(6700),
    [anon_sym_BSLASHhref] = ACTIONS(6700),
  },
  [583] = {
    [sym__subsubsection_declaration] = STATE(199),
    [sym_subsubsection] = STATE(529),
    [aux_sym__section_repeat5] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(6708),
    [sym_command_name] = ACTIONS(6706),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6706),
    [anon_sym_LBRACK] = ACTIONS(6708),
    [anon_sym_RBRACK] = ACTIONS(6708),
    [anon_sym_COMMA] = ACTIONS(6708),
    [anon_sym_EQ] = ACTIONS(6708),
    [anon_sym_LPAREN] = ACTIONS(6708),
    [anon_sym_RPAREN] = ACTIONS(6708),
    [anon_sym_BSLASHpart] = ACTIONS(6706),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHaddpart] = ACTIONS(6706),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHchapter] = ACTIONS(6706),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHaddchap] = ACTIONS(6706),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHsection] = ACTIONS(6706),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHaddsec] = ACTIONS(6706),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHsubsection] = ACTIONS(6706),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(29),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(31),
    [anon_sym_BSLASHparagraph] = ACTIONS(6706),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6706),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHitem] = ACTIONS(6706),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6708),
    [anon_sym_LBRACE] = ACTIONS(6708),
    [anon_sym_RBRACE] = ACTIONS(6708),
    [sym_word] = ACTIONS(6706),
    [sym_placeholder] = ACTIONS(6708),
    [sym_delimiter] = ACTIONS(6708),
    [anon_sym_PLUS] = ACTIONS(6708),
    [anon_sym_DASH] = ACTIONS(6708),
    [anon_sym_STAR] = ACTIONS(6708),
    [anon_sym_SLASH] = ACTIONS(6708),
    [anon_sym_LT] = ACTIONS(6706),
    [anon_sym_GT] = ACTIONS(6706),
    [anon_sym_BANG] = ACTIONS(6706),
    [anon_sym_PIPE] = ACTIONS(6706),
    [anon_sym_COLON] = ACTIONS(6706),
    [anon_sym_SQUOTE] = ACTIONS(6706),
    [anon_sym__] = ACTIONS(6708),
    [anon_sym_CARET] = ACTIONS(6708),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6708),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6708),
    [anon_sym_DOLLAR] = ACTIONS(6706),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6708),
    [anon_sym_BSLASHleft] = ACTIONS(6706),
    [anon_sym_BSLASHbigl] = ACTIONS(6706),
    [anon_sym_BSLASHBigl] = ACTIONS(6706),
    [anon_sym_BSLASHbiggl] = ACTIONS(6706),
    [anon_sym_BSLASHBiggl] = ACTIONS(6706),
    [anon_sym_BSLASHtext] = ACTIONS(6706),
    [anon_sym_BSLASHintertext] = ACTIONS(6706),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6706),
    [anon_sym_BSLASHbegin] = ACTIONS(6706),
    [anon_sym_BSLASHtitle] = ACTIONS(6706),
    [anon_sym_BSLASHauthor] = ACTIONS(6706),
    [anon_sym_BSLASHusepackage] = ACTIONS(6706),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6706),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6706),
    [anon_sym_BSLASHinclude] = ACTIONS(6706),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6706),
    [anon_sym_BSLASHinput] = ACTIONS(6706),
    [anon_sym_BSLASHsubfile] = ACTIONS(6706),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6706),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6706),
    [anon_sym_BSLASHbibliography] = ACTIONS(6706),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6706),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6706),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6706),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6706),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6706),
    [anon_sym_BSLASHimport] = ACTIONS(6706),
    [anon_sym_BSLASHsubimport] = ACTIONS(6706),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6706),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6706),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6706),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6706),
    [anon_sym_BSLASHcaption] = ACTIONS(6706),
    [anon_sym_BSLASHcite] = ACTIONS(6706),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHCite] = ACTIONS(6706),
    [anon_sym_BSLASHnocite] = ACTIONS(6706),
    [anon_sym_BSLASHcitet] = ACTIONS(6706),
    [anon_sym_BSLASHcitep] = ACTIONS(6706),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHciteA] = ACTIONS(6706),
    [anon_sym_BSLASHciteR] = ACTIONS(6706),
    [anon_sym_BSLASHciteS] = ACTIONS(6706),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6706),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6706),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6706),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6706),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHciteyear] = ACTIONS(6706),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcitedate] = ACTIONS(6706),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHciteurl] = ACTIONS(6706),
    [anon_sym_BSLASHfullcite] = ACTIONS(6706),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6706),
    [anon_sym_BSLASHcitealt] = ACTIONS(6706),
    [anon_sym_BSLASHcitealp] = ACTIONS(6706),
    [anon_sym_BSLASHcitetext] = ACTIONS(6706),
    [anon_sym_BSLASHparencite] = ACTIONS(6706),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHParencite] = ACTIONS(6706),
    [anon_sym_BSLASHfootcite] = ACTIONS(6706),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6706),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6706),
    [anon_sym_BSLASHtextcite] = ACTIONS(6706),
    [anon_sym_BSLASHTextcite] = ACTIONS(6706),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6706),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6706),
    [anon_sym_BSLASHsupercite] = ACTIONS(6706),
    [anon_sym_BSLASHautocite] = ACTIONS(6706),
    [anon_sym_BSLASHAutocite] = ACTIONS(6706),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHVolcite] = ACTIONS(6706),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHavolcite] = ACTIONS(6706),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHnotecite] = ACTIONS(6706),
    [anon_sym_BSLASHNotecite] = ACTIONS(6706),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6706),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6706),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6706),
    [anon_sym_BSLASHlabel] = ACTIONS(6706),
    [anon_sym_BSLASHref] = ACTIONS(6706),
    [anon_sym_BSLASHeqref] = ACTIONS(6706),
    [anon_sym_BSLASHvref] = ACTIONS(6706),
    [anon_sym_BSLASHVref] = ACTIONS(6706),
    [anon_sym_BSLASHautoref] = ACTIONS(6706),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHpageref] = ACTIONS(6706),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHautopageref] = ACTIONS(6706),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcref] = ACTIONS(6706),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHCref] = ACTIONS(6706),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcpageref] = ACTIONS(6706),
    [anon_sym_BSLASHCpageref] = ACTIONS(6706),
    [anon_sym_BSLASHnamecref] = ACTIONS(6706),
    [anon_sym_BSLASHnameCref] = ACTIONS(6706),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6706),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6706),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6706),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6706),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6706),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6706),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6706),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6706),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6706),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6706),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6706),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6706),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6706),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6706),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6706),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6706),
    [anon_sym_BSLASHdef] = ACTIONS(6706),
    [anon_sym_BSLASHgdef] = ACTIONS(6706),
    [anon_sym_BSLASHedef] = ACTIONS(6706),
    [anon_sym_BSLASHxdef] = ACTIONS(6706),
    [anon_sym_BSLASHlet] = ACTIONS(6706),
    [anon_sym_BSLASHglet] = ACTIONS(6706),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6706),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6706),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6706),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6706),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6706),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6706),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6706),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6706),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6706),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6706),
    [anon_sym_BSLASHgls] = ACTIONS(6706),
    [anon_sym_BSLASHGls] = ACTIONS(6706),
    [anon_sym_BSLASHGLS] = ACTIONS(6706),
    [anon_sym_BSLASHglspl] = ACTIONS(6706),
    [anon_sym_BSLASHGlspl] = ACTIONS(6706),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6706),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6706),
    [anon_sym_BSLASHglslink] = ACTIONS(6706),
    [anon_sym_BSLASHglstext] = ACTIONS(6706),
    [anon_sym_BSLASHGlstext] = ACTIONS(6706),
    [anon_sym_BSLASHGLStext] = ACTIONS(6706),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6706),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6706),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6706),
    [anon_sym_BSLASHglsplural] = ACTIONS(6706),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6706),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6706),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6706),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6706),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6706),
    [anon_sym_BSLASHglsname] = ACTIONS(6706),
    [anon_sym_BSLASHGlsname] = ACTIONS(6706),
    [anon_sym_BSLASHGLSname] = ACTIONS(6706),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6706),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6706),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6706),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6706),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6706),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6706),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6706),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6706),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6706),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6706),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6706),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6706),
    [anon_sym_BSLASHacrshort] = ACTIONS(6706),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6706),
    [anon_sym_BSLASHACRshort] = ACTIONS(6706),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6706),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6706),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6706),
    [anon_sym_BSLASHacrlong] = ACTIONS(6706),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6706),
    [anon_sym_BSLASHACRlong] = ACTIONS(6706),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6706),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6706),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6706),
    [anon_sym_BSLASHacrfull] = ACTIONS(6706),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6706),
    [anon_sym_BSLASHACRfull] = ACTIONS(6706),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6706),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6706),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6706),
    [anon_sym_BSLASHacs] = ACTIONS(6706),
    [anon_sym_BSLASHAcs] = ACTIONS(6706),
    [anon_sym_BSLASHacsp] = ACTIONS(6706),
    [anon_sym_BSLASHAcsp] = ACTIONS(6706),
    [anon_sym_BSLASHacl] = ACTIONS(6706),
    [anon_sym_BSLASHAcl] = ACTIONS(6706),
    [anon_sym_BSLASHaclp] = ACTIONS(6706),
    [anon_sym_BSLASHAclp] = ACTIONS(6706),
    [anon_sym_BSLASHacf] = ACTIONS(6706),
    [anon_sym_BSLASHAcf] = ACTIONS(6706),
    [anon_sym_BSLASHacfp] = ACTIONS(6706),
    [anon_sym_BSLASHAcfp] = ACTIONS(6706),
    [anon_sym_BSLASHac] = ACTIONS(6706),
    [anon_sym_BSLASHAc] = ACTIONS(6706),
    [anon_sym_BSLASHacp] = ACTIONS(6706),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6706),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6706),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6706),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6706),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6706),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6706),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6706),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6706),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6706),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6706),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6706),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6706),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6706),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6706),
    [anon_sym_BSLASHcolor] = ACTIONS(6706),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6706),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6706),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6706),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6706),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6706),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6706),
    [anon_sym_BSLASHurl] = ACTIONS(6706),
    [anon_sym_BSLASHhref] = ACTIONS(6706),
  },
  [584] = {
    [sym_command_name] = ACTIONS(7047),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7047),
    [anon_sym_LBRACK] = ACTIONS(7049),
    [anon_sym_RBRACK] = ACTIONS(7049),
    [anon_sym_COMMA] = ACTIONS(7049),
    [anon_sym_EQ] = ACTIONS(7049),
    [anon_sym_LPAREN] = ACTIONS(7049),
    [anon_sym_RPAREN] = ACTIONS(7049),
    [anon_sym_BSLASHpart] = ACTIONS(7047),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddpart] = ACTIONS(7047),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHchapter] = ACTIONS(7047),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddchap] = ACTIONS(7047),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsection] = ACTIONS(7047),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddsec] = ACTIONS(7047),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubsection] = ACTIONS(7047),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7047),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHparagraph] = ACTIONS(7047),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7047),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHitem] = ACTIONS(7047),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7049),
    [anon_sym_LBRACE] = ACTIONS(7049),
    [sym_word] = ACTIONS(7047),
    [sym_placeholder] = ACTIONS(7049),
    [sym_delimiter] = ACTIONS(7049),
    [anon_sym_PLUS] = ACTIONS(7049),
    [anon_sym_DASH] = ACTIONS(7049),
    [anon_sym_STAR] = ACTIONS(7049),
    [anon_sym_SLASH] = ACTIONS(7049),
    [anon_sym_LT] = ACTIONS(7047),
    [anon_sym_GT] = ACTIONS(7047),
    [anon_sym_BANG] = ACTIONS(7047),
    [anon_sym_PIPE] = ACTIONS(7047),
    [anon_sym_COLON] = ACTIONS(7047),
    [anon_sym_SQUOTE] = ACTIONS(7047),
    [anon_sym__] = ACTIONS(7049),
    [anon_sym_CARET] = ACTIONS(7049),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7049),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7049),
    [anon_sym_DOLLAR] = ACTIONS(7047),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7049),
    [anon_sym_BSLASHleft] = ACTIONS(7047),
    [anon_sym_BSLASHbigl] = ACTIONS(7047),
    [anon_sym_BSLASHBigl] = ACTIONS(7047),
    [anon_sym_BSLASHbiggl] = ACTIONS(7047),
    [anon_sym_BSLASHBiggl] = ACTIONS(7047),
    [anon_sym_BSLASHright] = ACTIONS(7047),
    [anon_sym_BSLASHbigr] = ACTIONS(7047),
    [anon_sym_BSLASHBigr] = ACTIONS(7047),
    [anon_sym_BSLASHbiggr] = ACTIONS(7047),
    [anon_sym_BSLASHBiggr] = ACTIONS(7047),
    [anon_sym_BSLASHtext] = ACTIONS(7047),
    [anon_sym_BSLASHintertext] = ACTIONS(7047),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7047),
    [anon_sym_BSLASHbegin] = ACTIONS(7047),
    [anon_sym_BSLASHtitle] = ACTIONS(7047),
    [anon_sym_BSLASHauthor] = ACTIONS(7047),
    [anon_sym_BSLASHusepackage] = ACTIONS(7047),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7047),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7047),
    [anon_sym_BSLASHinclude] = ACTIONS(7047),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7047),
    [anon_sym_BSLASHinput] = ACTIONS(7047),
    [anon_sym_BSLASHsubfile] = ACTIONS(7047),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7047),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7047),
    [anon_sym_BSLASHbibliography] = ACTIONS(7047),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7047),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7047),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7047),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7047),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7047),
    [anon_sym_BSLASHimport] = ACTIONS(7047),
    [anon_sym_BSLASHsubimport] = ACTIONS(7047),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7047),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7047),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7047),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7047),
    [anon_sym_BSLASHcaption] = ACTIONS(7047),
    [anon_sym_BSLASHcite] = ACTIONS(7047),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCite] = ACTIONS(7047),
    [anon_sym_BSLASHnocite] = ACTIONS(7047),
    [anon_sym_BSLASHcitet] = ACTIONS(7047),
    [anon_sym_BSLASHcitep] = ACTIONS(7047),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteA] = ACTIONS(7047),
    [anon_sym_BSLASHciteR] = ACTIONS(7047),
    [anon_sym_BSLASHciteS] = ACTIONS(7047),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7047),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7047),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7047),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7047),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteyear] = ACTIONS(7047),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitedate] = ACTIONS(7047),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteurl] = ACTIONS(7047),
    [anon_sym_BSLASHfullcite] = ACTIONS(7047),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7047),
    [anon_sym_BSLASHcitealt] = ACTIONS(7047),
    [anon_sym_BSLASHcitealp] = ACTIONS(7047),
    [anon_sym_BSLASHcitetext] = ACTIONS(7047),
    [anon_sym_BSLASHparencite] = ACTIONS(7047),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHParencite] = ACTIONS(7047),
    [anon_sym_BSLASHfootcite] = ACTIONS(7047),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7047),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7047),
    [anon_sym_BSLASHtextcite] = ACTIONS(7047),
    [anon_sym_BSLASHTextcite] = ACTIONS(7047),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7047),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7047),
    [anon_sym_BSLASHsupercite] = ACTIONS(7047),
    [anon_sym_BSLASHautocite] = ACTIONS(7047),
    [anon_sym_BSLASHAutocite] = ACTIONS(7047),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHVolcite] = ACTIONS(7047),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHavolcite] = ACTIONS(7047),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHNotecite] = ACTIONS(7047),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHlabel] = ACTIONS(7047),
    [anon_sym_BSLASHref] = ACTIONS(7047),
    [anon_sym_BSLASHeqref] = ACTIONS(7047),
    [anon_sym_BSLASHvref] = ACTIONS(7047),
    [anon_sym_BSLASHVref] = ACTIONS(7047),
    [anon_sym_BSLASHautoref] = ACTIONS(7047),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHpageref] = ACTIONS(7047),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHautopageref] = ACTIONS(7047),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcref] = ACTIONS(7047),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCref] = ACTIONS(7047),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcpageref] = ACTIONS(7047),
    [anon_sym_BSLASHCpageref] = ACTIONS(7047),
    [anon_sym_BSLASHnamecref] = ACTIONS(7047),
    [anon_sym_BSLASHnameCref] = ACTIONS(7047),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7047),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7047),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7047),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7047),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7047),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7047),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7047),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7047),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7047),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7047),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7047),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHdef] = ACTIONS(7047),
    [anon_sym_BSLASHgdef] = ACTIONS(7047),
    [anon_sym_BSLASHedef] = ACTIONS(7047),
    [anon_sym_BSLASHxdef] = ACTIONS(7047),
    [anon_sym_BSLASHlet] = ACTIONS(7047),
    [anon_sym_BSLASHglet] = ACTIONS(7047),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7047),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7047),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7047),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7047),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7047),
    [anon_sym_BSLASHgls] = ACTIONS(7047),
    [anon_sym_BSLASHGls] = ACTIONS(7047),
    [anon_sym_BSLASHGLS] = ACTIONS(7047),
    [anon_sym_BSLASHglspl] = ACTIONS(7047),
    [anon_sym_BSLASHGlspl] = ACTIONS(7047),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7047),
    [anon_sym_BSLASHglslink] = ACTIONS(7047),
    [anon_sym_BSLASHglstext] = ACTIONS(7047),
    [anon_sym_BSLASHGlstext] = ACTIONS(7047),
    [anon_sym_BSLASHGLStext] = ACTIONS(7047),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7047),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7047),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7047),
    [anon_sym_BSLASHglsplural] = ACTIONS(7047),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7047),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7047),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHglsname] = ACTIONS(7047),
    [anon_sym_BSLASHGlsname] = ACTIONS(7047),
    [anon_sym_BSLASHGLSname] = ACTIONS(7047),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7047),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7047),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7047),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7047),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7047),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7047),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7047),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7047),
    [anon_sym_BSLASHacrshort] = ACTIONS(7047),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7047),
    [anon_sym_BSLASHACRshort] = ACTIONS(7047),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHacrlong] = ACTIONS(7047),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7047),
    [anon_sym_BSLASHACRlong] = ACTIONS(7047),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHacrfull] = ACTIONS(7047),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7047),
    [anon_sym_BSLASHACRfull] = ACTIONS(7047),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHacs] = ACTIONS(7047),
    [anon_sym_BSLASHAcs] = ACTIONS(7047),
    [anon_sym_BSLASHacsp] = ACTIONS(7047),
    [anon_sym_BSLASHAcsp] = ACTIONS(7047),
    [anon_sym_BSLASHacl] = ACTIONS(7047),
    [anon_sym_BSLASHAcl] = ACTIONS(7047),
    [anon_sym_BSLASHaclp] = ACTIONS(7047),
    [anon_sym_BSLASHAclp] = ACTIONS(7047),
    [anon_sym_BSLASHacf] = ACTIONS(7047),
    [anon_sym_BSLASHAcf] = ACTIONS(7047),
    [anon_sym_BSLASHacfp] = ACTIONS(7047),
    [anon_sym_BSLASHAcfp] = ACTIONS(7047),
    [anon_sym_BSLASHac] = ACTIONS(7047),
    [anon_sym_BSLASHAc] = ACTIONS(7047),
    [anon_sym_BSLASHacp] = ACTIONS(7047),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7047),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7047),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7047),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7047),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7047),
    [anon_sym_BSLASHcolor] = ACTIONS(7047),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7047),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7047),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7047),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7047),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7047),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7047),
    [anon_sym_BSLASHurl] = ACTIONS(7047),
    [anon_sym_BSLASHhref] = ACTIONS(7047),
  },
  [585] = {
    [sym_command_name] = ACTIONS(7047),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7047),
    [anon_sym_LBRACK] = ACTIONS(7049),
    [anon_sym_RBRACK] = ACTIONS(7049),
    [anon_sym_COMMA] = ACTIONS(7049),
    [anon_sym_EQ] = ACTIONS(7049),
    [anon_sym_LPAREN] = ACTIONS(7049),
    [anon_sym_RPAREN] = ACTIONS(7049),
    [anon_sym_BSLASHpart] = ACTIONS(7047),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddpart] = ACTIONS(7047),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHchapter] = ACTIONS(7047),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddchap] = ACTIONS(7047),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsection] = ACTIONS(7047),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddsec] = ACTIONS(7047),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubsection] = ACTIONS(7047),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7047),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHparagraph] = ACTIONS(7047),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7047),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHitem] = ACTIONS(7047),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7049),
    [anon_sym_LBRACE] = ACTIONS(7049),
    [sym_word] = ACTIONS(7047),
    [sym_placeholder] = ACTIONS(7049),
    [sym_delimiter] = ACTIONS(7049),
    [anon_sym_PLUS] = ACTIONS(7049),
    [anon_sym_DASH] = ACTIONS(7049),
    [anon_sym_STAR] = ACTIONS(7049),
    [anon_sym_SLASH] = ACTIONS(7049),
    [anon_sym_LT] = ACTIONS(7047),
    [anon_sym_GT] = ACTIONS(7047),
    [anon_sym_BANG] = ACTIONS(7047),
    [anon_sym_PIPE] = ACTIONS(7047),
    [anon_sym_COLON] = ACTIONS(7047),
    [anon_sym_SQUOTE] = ACTIONS(7047),
    [anon_sym__] = ACTIONS(7049),
    [anon_sym_CARET] = ACTIONS(7049),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7049),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7049),
    [anon_sym_DOLLAR] = ACTIONS(7047),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7049),
    [anon_sym_BSLASHleft] = ACTIONS(7047),
    [anon_sym_BSLASHbigl] = ACTIONS(7047),
    [anon_sym_BSLASHBigl] = ACTIONS(7047),
    [anon_sym_BSLASHbiggl] = ACTIONS(7047),
    [anon_sym_BSLASHBiggl] = ACTIONS(7047),
    [anon_sym_BSLASHright] = ACTIONS(7047),
    [anon_sym_BSLASHbigr] = ACTIONS(7047),
    [anon_sym_BSLASHBigr] = ACTIONS(7047),
    [anon_sym_BSLASHbiggr] = ACTIONS(7047),
    [anon_sym_BSLASHBiggr] = ACTIONS(7047),
    [anon_sym_BSLASHtext] = ACTIONS(7047),
    [anon_sym_BSLASHintertext] = ACTIONS(7047),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7047),
    [anon_sym_BSLASHbegin] = ACTIONS(7047),
    [anon_sym_BSLASHtitle] = ACTIONS(7047),
    [anon_sym_BSLASHauthor] = ACTIONS(7047),
    [anon_sym_BSLASHusepackage] = ACTIONS(7047),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7047),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7047),
    [anon_sym_BSLASHinclude] = ACTIONS(7047),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7047),
    [anon_sym_BSLASHinput] = ACTIONS(7047),
    [anon_sym_BSLASHsubfile] = ACTIONS(7047),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7047),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7047),
    [anon_sym_BSLASHbibliography] = ACTIONS(7047),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7047),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7047),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7047),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7047),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7047),
    [anon_sym_BSLASHimport] = ACTIONS(7047),
    [anon_sym_BSLASHsubimport] = ACTIONS(7047),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7047),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7047),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7047),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7047),
    [anon_sym_BSLASHcaption] = ACTIONS(7047),
    [anon_sym_BSLASHcite] = ACTIONS(7047),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCite] = ACTIONS(7047),
    [anon_sym_BSLASHnocite] = ACTIONS(7047),
    [anon_sym_BSLASHcitet] = ACTIONS(7047),
    [anon_sym_BSLASHcitep] = ACTIONS(7047),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteA] = ACTIONS(7047),
    [anon_sym_BSLASHciteR] = ACTIONS(7047),
    [anon_sym_BSLASHciteS] = ACTIONS(7047),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7047),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7047),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7047),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7047),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteyear] = ACTIONS(7047),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitedate] = ACTIONS(7047),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteurl] = ACTIONS(7047),
    [anon_sym_BSLASHfullcite] = ACTIONS(7047),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7047),
    [anon_sym_BSLASHcitealt] = ACTIONS(7047),
    [anon_sym_BSLASHcitealp] = ACTIONS(7047),
    [anon_sym_BSLASHcitetext] = ACTIONS(7047),
    [anon_sym_BSLASHparencite] = ACTIONS(7047),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHParencite] = ACTIONS(7047),
    [anon_sym_BSLASHfootcite] = ACTIONS(7047),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7047),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7047),
    [anon_sym_BSLASHtextcite] = ACTIONS(7047),
    [anon_sym_BSLASHTextcite] = ACTIONS(7047),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7047),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7047),
    [anon_sym_BSLASHsupercite] = ACTIONS(7047),
    [anon_sym_BSLASHautocite] = ACTIONS(7047),
    [anon_sym_BSLASHAutocite] = ACTIONS(7047),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHVolcite] = ACTIONS(7047),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHavolcite] = ACTIONS(7047),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHNotecite] = ACTIONS(7047),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHlabel] = ACTIONS(7047),
    [anon_sym_BSLASHref] = ACTIONS(7047),
    [anon_sym_BSLASHeqref] = ACTIONS(7047),
    [anon_sym_BSLASHvref] = ACTIONS(7047),
    [anon_sym_BSLASHVref] = ACTIONS(7047),
    [anon_sym_BSLASHautoref] = ACTIONS(7047),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHpageref] = ACTIONS(7047),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHautopageref] = ACTIONS(7047),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcref] = ACTIONS(7047),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCref] = ACTIONS(7047),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcpageref] = ACTIONS(7047),
    [anon_sym_BSLASHCpageref] = ACTIONS(7047),
    [anon_sym_BSLASHnamecref] = ACTIONS(7047),
    [anon_sym_BSLASHnameCref] = ACTIONS(7047),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7047),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7047),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7047),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7047),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7047),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7047),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7047),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7047),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7047),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7047),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7047),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHdef] = ACTIONS(7047),
    [anon_sym_BSLASHgdef] = ACTIONS(7047),
    [anon_sym_BSLASHedef] = ACTIONS(7047),
    [anon_sym_BSLASHxdef] = ACTIONS(7047),
    [anon_sym_BSLASHlet] = ACTIONS(7047),
    [anon_sym_BSLASHglet] = ACTIONS(7047),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7047),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7047),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7047),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7047),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7047),
    [anon_sym_BSLASHgls] = ACTIONS(7047),
    [anon_sym_BSLASHGls] = ACTIONS(7047),
    [anon_sym_BSLASHGLS] = ACTIONS(7047),
    [anon_sym_BSLASHglspl] = ACTIONS(7047),
    [anon_sym_BSLASHGlspl] = ACTIONS(7047),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7047),
    [anon_sym_BSLASHglslink] = ACTIONS(7047),
    [anon_sym_BSLASHglstext] = ACTIONS(7047),
    [anon_sym_BSLASHGlstext] = ACTIONS(7047),
    [anon_sym_BSLASHGLStext] = ACTIONS(7047),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7047),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7047),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7047),
    [anon_sym_BSLASHglsplural] = ACTIONS(7047),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7047),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7047),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHglsname] = ACTIONS(7047),
    [anon_sym_BSLASHGlsname] = ACTIONS(7047),
    [anon_sym_BSLASHGLSname] = ACTIONS(7047),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7047),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7047),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7047),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7047),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7047),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7047),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7047),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7047),
    [anon_sym_BSLASHacrshort] = ACTIONS(7047),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7047),
    [anon_sym_BSLASHACRshort] = ACTIONS(7047),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHacrlong] = ACTIONS(7047),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7047),
    [anon_sym_BSLASHACRlong] = ACTIONS(7047),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHacrfull] = ACTIONS(7047),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7047),
    [anon_sym_BSLASHACRfull] = ACTIONS(7047),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHacs] = ACTIONS(7047),
    [anon_sym_BSLASHAcs] = ACTIONS(7047),
    [anon_sym_BSLASHacsp] = ACTIONS(7047),
    [anon_sym_BSLASHAcsp] = ACTIONS(7047),
    [anon_sym_BSLASHacl] = ACTIONS(7047),
    [anon_sym_BSLASHAcl] = ACTIONS(7047),
    [anon_sym_BSLASHaclp] = ACTIONS(7047),
    [anon_sym_BSLASHAclp] = ACTIONS(7047),
    [anon_sym_BSLASHacf] = ACTIONS(7047),
    [anon_sym_BSLASHAcf] = ACTIONS(7047),
    [anon_sym_BSLASHacfp] = ACTIONS(7047),
    [anon_sym_BSLASHAcfp] = ACTIONS(7047),
    [anon_sym_BSLASHac] = ACTIONS(7047),
    [anon_sym_BSLASHAc] = ACTIONS(7047),
    [anon_sym_BSLASHacp] = ACTIONS(7047),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7047),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7047),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7047),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7047),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7047),
    [anon_sym_BSLASHcolor] = ACTIONS(7047),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7047),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7047),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7047),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7047),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7047),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7047),
    [anon_sym_BSLASHurl] = ACTIONS(7047),
    [anon_sym_BSLASHhref] = ACTIONS(7047),
  },
  [586] = {
    [sym_command_name] = ACTIONS(7051),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7051),
    [anon_sym_LBRACK] = ACTIONS(7053),
    [anon_sym_RBRACK] = ACTIONS(7053),
    [anon_sym_COMMA] = ACTIONS(7053),
    [anon_sym_EQ] = ACTIONS(7053),
    [anon_sym_LPAREN] = ACTIONS(7053),
    [anon_sym_RPAREN] = ACTIONS(7053),
    [anon_sym_BSLASHpart] = ACTIONS(7051),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHaddpart] = ACTIONS(7051),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHchapter] = ACTIONS(7051),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHaddchap] = ACTIONS(7051),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHsection] = ACTIONS(7051),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHaddsec] = ACTIONS(7051),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHsubsection] = ACTIONS(7051),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7051),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHparagraph] = ACTIONS(7051),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7051),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHitem] = ACTIONS(7051),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7053),
    [anon_sym_LBRACE] = ACTIONS(7053),
    [sym_word] = ACTIONS(7051),
    [sym_placeholder] = ACTIONS(7053),
    [sym_delimiter] = ACTIONS(7053),
    [anon_sym_PLUS] = ACTIONS(7053),
    [anon_sym_DASH] = ACTIONS(7053),
    [anon_sym_STAR] = ACTIONS(7053),
    [anon_sym_SLASH] = ACTIONS(7053),
    [anon_sym_LT] = ACTIONS(7051),
    [anon_sym_GT] = ACTIONS(7051),
    [anon_sym_BANG] = ACTIONS(7051),
    [anon_sym_PIPE] = ACTIONS(7051),
    [anon_sym_COLON] = ACTIONS(7051),
    [anon_sym_SQUOTE] = ACTIONS(7051),
    [anon_sym__] = ACTIONS(7053),
    [anon_sym_CARET] = ACTIONS(7053),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7053),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7053),
    [anon_sym_DOLLAR] = ACTIONS(7051),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7053),
    [anon_sym_BSLASHleft] = ACTIONS(7051),
    [anon_sym_BSLASHbigl] = ACTIONS(7051),
    [anon_sym_BSLASHBigl] = ACTIONS(7051),
    [anon_sym_BSLASHbiggl] = ACTIONS(7051),
    [anon_sym_BSLASHBiggl] = ACTIONS(7051),
    [anon_sym_BSLASHright] = ACTIONS(7051),
    [anon_sym_BSLASHbigr] = ACTIONS(7051),
    [anon_sym_BSLASHBigr] = ACTIONS(7051),
    [anon_sym_BSLASHbiggr] = ACTIONS(7051),
    [anon_sym_BSLASHBiggr] = ACTIONS(7051),
    [anon_sym_BSLASHtext] = ACTIONS(7051),
    [anon_sym_BSLASHintertext] = ACTIONS(7051),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7051),
    [anon_sym_BSLASHbegin] = ACTIONS(7051),
    [anon_sym_BSLASHtitle] = ACTIONS(7051),
    [anon_sym_BSLASHauthor] = ACTIONS(7051),
    [anon_sym_BSLASHusepackage] = ACTIONS(7051),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7051),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7051),
    [anon_sym_BSLASHinclude] = ACTIONS(7051),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7051),
    [anon_sym_BSLASHinput] = ACTIONS(7051),
    [anon_sym_BSLASHsubfile] = ACTIONS(7051),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7051),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7051),
    [anon_sym_BSLASHbibliography] = ACTIONS(7051),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7051),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7051),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7051),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7051),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7051),
    [anon_sym_BSLASHimport] = ACTIONS(7051),
    [anon_sym_BSLASHsubimport] = ACTIONS(7051),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7051),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7051),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7051),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7051),
    [anon_sym_BSLASHcaption] = ACTIONS(7051),
    [anon_sym_BSLASHcite] = ACTIONS(7051),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCite] = ACTIONS(7051),
    [anon_sym_BSLASHnocite] = ACTIONS(7051),
    [anon_sym_BSLASHcitet] = ACTIONS(7051),
    [anon_sym_BSLASHcitep] = ACTIONS(7051),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteA] = ACTIONS(7051),
    [anon_sym_BSLASHciteR] = ACTIONS(7051),
    [anon_sym_BSLASHciteS] = ACTIONS(7051),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7051),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7051),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7051),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7051),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteyear] = ACTIONS(7051),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitedate] = ACTIONS(7051),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteurl] = ACTIONS(7051),
    [anon_sym_BSLASHfullcite] = ACTIONS(7051),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7051),
    [anon_sym_BSLASHcitealt] = ACTIONS(7051),
    [anon_sym_BSLASHcitealp] = ACTIONS(7051),
    [anon_sym_BSLASHcitetext] = ACTIONS(7051),
    [anon_sym_BSLASHparencite] = ACTIONS(7051),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHParencite] = ACTIONS(7051),
    [anon_sym_BSLASHfootcite] = ACTIONS(7051),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7051),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7051),
    [anon_sym_BSLASHtextcite] = ACTIONS(7051),
    [anon_sym_BSLASHTextcite] = ACTIONS(7051),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7051),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7051),
    [anon_sym_BSLASHsupercite] = ACTIONS(7051),
    [anon_sym_BSLASHautocite] = ACTIONS(7051),
    [anon_sym_BSLASHAutocite] = ACTIONS(7051),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHVolcite] = ACTIONS(7051),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHavolcite] = ACTIONS(7051),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHNotecite] = ACTIONS(7051),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHlabel] = ACTIONS(7051),
    [anon_sym_BSLASHref] = ACTIONS(7051),
    [anon_sym_BSLASHeqref] = ACTIONS(7051),
    [anon_sym_BSLASHvref] = ACTIONS(7051),
    [anon_sym_BSLASHVref] = ACTIONS(7051),
    [anon_sym_BSLASHautoref] = ACTIONS(7051),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHpageref] = ACTIONS(7051),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHautopageref] = ACTIONS(7051),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcref] = ACTIONS(7051),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCref] = ACTIONS(7051),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcpageref] = ACTIONS(7051),
    [anon_sym_BSLASHCpageref] = ACTIONS(7051),
    [anon_sym_BSLASHnamecref] = ACTIONS(7051),
    [anon_sym_BSLASHnameCref] = ACTIONS(7051),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7051),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7051),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7051),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7051),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7051),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7051),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7051),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7051),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7051),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7051),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7051),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHdef] = ACTIONS(7051),
    [anon_sym_BSLASHgdef] = ACTIONS(7051),
    [anon_sym_BSLASHedef] = ACTIONS(7051),
    [anon_sym_BSLASHxdef] = ACTIONS(7051),
    [anon_sym_BSLASHlet] = ACTIONS(7051),
    [anon_sym_BSLASHglet] = ACTIONS(7051),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7051),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7051),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7051),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7051),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7051),
    [anon_sym_BSLASHgls] = ACTIONS(7051),
    [anon_sym_BSLASHGls] = ACTIONS(7051),
    [anon_sym_BSLASHGLS] = ACTIONS(7051),
    [anon_sym_BSLASHglspl] = ACTIONS(7051),
    [anon_sym_BSLASHGlspl] = ACTIONS(7051),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7051),
    [anon_sym_BSLASHglslink] = ACTIONS(7051),
    [anon_sym_BSLASHglstext] = ACTIONS(7051),
    [anon_sym_BSLASHGlstext] = ACTIONS(7051),
    [anon_sym_BSLASHGLStext] = ACTIONS(7051),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7051),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7051),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7051),
    [anon_sym_BSLASHglsplural] = ACTIONS(7051),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7051),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7051),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHglsname] = ACTIONS(7051),
    [anon_sym_BSLASHGlsname] = ACTIONS(7051),
    [anon_sym_BSLASHGLSname] = ACTIONS(7051),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7051),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7051),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7051),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7051),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7051),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7051),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7051),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7051),
    [anon_sym_BSLASHacrshort] = ACTIONS(7051),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7051),
    [anon_sym_BSLASHACRshort] = ACTIONS(7051),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHacrlong] = ACTIONS(7051),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7051),
    [anon_sym_BSLASHACRlong] = ACTIONS(7051),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHacrfull] = ACTIONS(7051),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7051),
    [anon_sym_BSLASHACRfull] = ACTIONS(7051),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHacs] = ACTIONS(7051),
    [anon_sym_BSLASHAcs] = ACTIONS(7051),
    [anon_sym_BSLASHacsp] = ACTIONS(7051),
    [anon_sym_BSLASHAcsp] = ACTIONS(7051),
    [anon_sym_BSLASHacl] = ACTIONS(7051),
    [anon_sym_BSLASHAcl] = ACTIONS(7051),
    [anon_sym_BSLASHaclp] = ACTIONS(7051),
    [anon_sym_BSLASHAclp] = ACTIONS(7051),
    [anon_sym_BSLASHacf] = ACTIONS(7051),
    [anon_sym_BSLASHAcf] = ACTIONS(7051),
    [anon_sym_BSLASHacfp] = ACTIONS(7051),
    [anon_sym_BSLASHAcfp] = ACTIONS(7051),
    [anon_sym_BSLASHac] = ACTIONS(7051),
    [anon_sym_BSLASHAc] = ACTIONS(7051),
    [anon_sym_BSLASHacp] = ACTIONS(7051),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7051),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7051),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7051),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7051),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7051),
    [anon_sym_BSLASHcolor] = ACTIONS(7051),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7051),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7051),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7051),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7051),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7051),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7051),
    [anon_sym_BSLASHurl] = ACTIONS(7051),
    [anon_sym_BSLASHhref] = ACTIONS(7051),
  },
  [587] = {
    [sym_command_name] = ACTIONS(157),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(157),
    [anon_sym_LBRACK] = ACTIONS(159),
    [anon_sym_RBRACK] = ACTIONS(159),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_RPAREN] = ACTIONS(159),
    [anon_sym_BSLASHpart] = ACTIONS(157),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddpart] = ACTIONS(157),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(159),
    [anon_sym_BSLASHchapter] = ACTIONS(157),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddchap] = ACTIONS(157),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsection] = ACTIONS(157),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddsec] = ACTIONS(157),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubsection] = ACTIONS(157),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(157),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHparagraph] = ACTIONS(157),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(157),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(159),
    [anon_sym_BSLASHitem] = ACTIONS(157),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(159),
    [anon_sym_LBRACE] = ACTIONS(159),
    [sym_word] = ACTIONS(157),
    [sym_placeholder] = ACTIONS(159),
    [sym_delimiter] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_SLASH] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(157),
    [anon_sym_GT] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(157),
    [anon_sym_PIPE] = ACTIONS(157),
    [anon_sym_COLON] = ACTIONS(157),
    [anon_sym_SQUOTE] = ACTIONS(157),
    [anon_sym__] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(159),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(159),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(159),
    [anon_sym_BSLASHleft] = ACTIONS(157),
    [anon_sym_BSLASHbigl] = ACTIONS(157),
    [anon_sym_BSLASHBigl] = ACTIONS(157),
    [anon_sym_BSLASHbiggl] = ACTIONS(157),
    [anon_sym_BSLASHBiggl] = ACTIONS(157),
    [anon_sym_BSLASHright] = ACTIONS(157),
    [anon_sym_BSLASHbigr] = ACTIONS(157),
    [anon_sym_BSLASHBigr] = ACTIONS(157),
    [anon_sym_BSLASHbiggr] = ACTIONS(157),
    [anon_sym_BSLASHBiggr] = ACTIONS(157),
    [anon_sym_BSLASHtext] = ACTIONS(157),
    [anon_sym_BSLASHintertext] = ACTIONS(157),
    [anon_sym_BSLASHshortintertext] = ACTIONS(157),
    [anon_sym_BSLASHbegin] = ACTIONS(157),
    [anon_sym_BSLASHtitle] = ACTIONS(157),
    [anon_sym_BSLASHauthor] = ACTIONS(157),
    [anon_sym_BSLASHusepackage] = ACTIONS(157),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(157),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(157),
    [anon_sym_BSLASHinclude] = ACTIONS(157),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(157),
    [anon_sym_BSLASHinput] = ACTIONS(157),
    [anon_sym_BSLASHsubfile] = ACTIONS(157),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(157),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(157),
    [anon_sym_BSLASHbibliography] = ACTIONS(157),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(157),
    [anon_sym_BSLASHincludesvg] = ACTIONS(157),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(157),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(157),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(157),
    [anon_sym_BSLASHimport] = ACTIONS(157),
    [anon_sym_BSLASHsubimport] = ACTIONS(157),
    [anon_sym_BSLASHinputfrom] = ACTIONS(157),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(157),
    [anon_sym_BSLASHincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHcaption] = ACTIONS(157),
    [anon_sym_BSLASHcite] = ACTIONS(157),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCite] = ACTIONS(157),
    [anon_sym_BSLASHnocite] = ACTIONS(157),
    [anon_sym_BSLASHcitet] = ACTIONS(157),
    [anon_sym_BSLASHcitep] = ACTIONS(157),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteA] = ACTIONS(157),
    [anon_sym_BSLASHciteR] = ACTIONS(157),
    [anon_sym_BSLASHciteS] = ACTIONS(157),
    [anon_sym_BSLASHciteyearR] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(157),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitetitle] = ACTIONS(157),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteyear] = ACTIONS(157),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitedate] = ACTIONS(157),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteurl] = ACTIONS(157),
    [anon_sym_BSLASHfullcite] = ACTIONS(157),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(157),
    [anon_sym_BSLASHcitealt] = ACTIONS(157),
    [anon_sym_BSLASHcitealp] = ACTIONS(157),
    [anon_sym_BSLASHcitetext] = ACTIONS(157),
    [anon_sym_BSLASHparencite] = ACTIONS(157),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHParencite] = ACTIONS(157),
    [anon_sym_BSLASHfootcite] = ACTIONS(157),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(157),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(157),
    [anon_sym_BSLASHtextcite] = ACTIONS(157),
    [anon_sym_BSLASHTextcite] = ACTIONS(157),
    [anon_sym_BSLASHsmartcite] = ACTIONS(157),
    [anon_sym_BSLASHSmartcite] = ACTIONS(157),
    [anon_sym_BSLASHsupercite] = ACTIONS(157),
    [anon_sym_BSLASHautocite] = ACTIONS(157),
    [anon_sym_BSLASHAutocite] = ACTIONS(157),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHvolcite] = ACTIONS(157),
    [anon_sym_BSLASHVolcite] = ACTIONS(157),
    [anon_sym_BSLASHpvolcite] = ACTIONS(157),
    [anon_sym_BSLASHPvolcite] = ACTIONS(157),
    [anon_sym_BSLASHfvolcite] = ACTIONS(157),
    [anon_sym_BSLASHftvolcite] = ACTIONS(157),
    [anon_sym_BSLASHsvolcite] = ACTIONS(157),
    [anon_sym_BSLASHSvolcite] = ACTIONS(157),
    [anon_sym_BSLASHtvolcite] = ACTIONS(157),
    [anon_sym_BSLASHTvolcite] = ACTIONS(157),
    [anon_sym_BSLASHavolcite] = ACTIONS(157),
    [anon_sym_BSLASHAvolcite] = ACTIONS(157),
    [anon_sym_BSLASHnotecite] = ACTIONS(157),
    [anon_sym_BSLASHNotecite] = ACTIONS(157),
    [anon_sym_BSLASHpnotecite] = ACTIONS(157),
    [anon_sym_BSLASHPnotecite] = ACTIONS(157),
    [anon_sym_BSLASHfnotecite] = ACTIONS(157),
    [anon_sym_BSLASHlabel] = ACTIONS(157),
    [anon_sym_BSLASHref] = ACTIONS(157),
    [anon_sym_BSLASHeqref] = ACTIONS(157),
    [anon_sym_BSLASHvref] = ACTIONS(157),
    [anon_sym_BSLASHVref] = ACTIONS(157),
    [anon_sym_BSLASHautoref] = ACTIONS(157),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpageref] = ACTIONS(157),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHautopageref] = ACTIONS(157),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcref] = ACTIONS(157),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCref] = ACTIONS(157),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpageref] = ACTIONS(157),
    [anon_sym_BSLASHCpageref] = ACTIONS(157),
    [anon_sym_BSLASHnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnameCref] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcrefrange] = ACTIONS(157),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCrefrange] = ACTIONS(157),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHnewlabel] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(157),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(157),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(157),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(159),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHdef] = ACTIONS(157),
    [anon_sym_BSLASHgdef] = ACTIONS(157),
    [anon_sym_BSLASHedef] = ACTIONS(157),
    [anon_sym_BSLASHxdef] = ACTIONS(157),
    [anon_sym_BSLASHlet] = ACTIONS(157),
    [anon_sym_BSLASHglet] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(157),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(157),
    [anon_sym_BSLASHgls] = ACTIONS(157),
    [anon_sym_BSLASHGls] = ACTIONS(157),
    [anon_sym_BSLASHGLS] = ACTIONS(157),
    [anon_sym_BSLASHglspl] = ACTIONS(157),
    [anon_sym_BSLASHGlspl] = ACTIONS(157),
    [anon_sym_BSLASHGLSpl] = ACTIONS(157),
    [anon_sym_BSLASHglsdisp] = ACTIONS(157),
    [anon_sym_BSLASHglslink] = ACTIONS(157),
    [anon_sym_BSLASHglstext] = ACTIONS(157),
    [anon_sym_BSLASHGlstext] = ACTIONS(157),
    [anon_sym_BSLASHGLStext] = ACTIONS(157),
    [anon_sym_BSLASHglsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(157),
    [anon_sym_BSLASHglsplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSplural] = ACTIONS(157),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHglsname] = ACTIONS(157),
    [anon_sym_BSLASHGlsname] = ACTIONS(157),
    [anon_sym_BSLASHGLSname] = ACTIONS(157),
    [anon_sym_BSLASHglssymbol] = ACTIONS(157),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(157),
    [anon_sym_BSLASHglsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(157),
    [anon_sym_BSLASHglsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(157),
    [anon_sym_BSLASHglsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(157),
    [anon_sym_BSLASHglsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(157),
    [anon_sym_BSLASHglsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(157),
    [anon_sym_BSLASHnewacronym] = ACTIONS(157),
    [anon_sym_BSLASHacrshort] = ACTIONS(157),
    [anon_sym_BSLASHAcrshort] = ACTIONS(157),
    [anon_sym_BSLASHACRshort] = ACTIONS(157),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(157),
    [anon_sym_BSLASHacrlong] = ACTIONS(157),
    [anon_sym_BSLASHAcrlong] = ACTIONS(157),
    [anon_sym_BSLASHACRlong] = ACTIONS(157),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(157),
    [anon_sym_BSLASHacrfull] = ACTIONS(157),
    [anon_sym_BSLASHAcrfull] = ACTIONS(157),
    [anon_sym_BSLASHACRfull] = ACTIONS(157),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(157),
    [anon_sym_BSLASHacs] = ACTIONS(157),
    [anon_sym_BSLASHAcs] = ACTIONS(157),
    [anon_sym_BSLASHacsp] = ACTIONS(157),
    [anon_sym_BSLASHAcsp] = ACTIONS(157),
    [anon_sym_BSLASHacl] = ACTIONS(157),
    [anon_sym_BSLASHAcl] = ACTIONS(157),
    [anon_sym_BSLASHaclp] = ACTIONS(157),
    [anon_sym_BSLASHAclp] = ACTIONS(157),
    [anon_sym_BSLASHacf] = ACTIONS(157),
    [anon_sym_BSLASHAcf] = ACTIONS(157),
    [anon_sym_BSLASHacfp] = ACTIONS(157),
    [anon_sym_BSLASHAcfp] = ACTIONS(157),
    [anon_sym_BSLASHac] = ACTIONS(157),
    [anon_sym_BSLASHAc] = ACTIONS(157),
    [anon_sym_BSLASHacp] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(157),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(157),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(157),
    [anon_sym_BSLASHcolor] = ACTIONS(157),
    [anon_sym_BSLASHpagecolor] = ACTIONS(157),
    [anon_sym_BSLASHtextcolor] = ACTIONS(157),
    [anon_sym_BSLASHmathcolor] = ACTIONS(157),
    [anon_sym_BSLASHcolorbox] = ACTIONS(157),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(157),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(157),
    [anon_sym_BSLASHurl] = ACTIONS(157),
    [anon_sym_BSLASHhref] = ACTIONS(157),
  },
  [588] = {
    [sym_command_name] = ACTIONS(163),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_RBRACK] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_RPAREN] = ACTIONS(165),
    [anon_sym_BSLASHpart] = ACTIONS(163),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddpart] = ACTIONS(163),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(165),
    [anon_sym_BSLASHchapter] = ACTIONS(163),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddchap] = ACTIONS(163),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsection] = ACTIONS(163),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddsec] = ACTIONS(163),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubsection] = ACTIONS(163),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(163),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHparagraph] = ACTIONS(163),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(163),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(165),
    [anon_sym_BSLASHitem] = ACTIONS(163),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(165),
    [sym_word] = ACTIONS(163),
    [sym_placeholder] = ACTIONS(165),
    [sym_delimiter] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym__] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(165),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(163),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(165),
    [anon_sym_BSLASHleft] = ACTIONS(163),
    [anon_sym_BSLASHbigl] = ACTIONS(163),
    [anon_sym_BSLASHBigl] = ACTIONS(163),
    [anon_sym_BSLASHbiggl] = ACTIONS(163),
    [anon_sym_BSLASHBiggl] = ACTIONS(163),
    [anon_sym_BSLASHright] = ACTIONS(163),
    [anon_sym_BSLASHbigr] = ACTIONS(163),
    [anon_sym_BSLASHBigr] = ACTIONS(163),
    [anon_sym_BSLASHbiggr] = ACTIONS(163),
    [anon_sym_BSLASHBiggr] = ACTIONS(163),
    [anon_sym_BSLASHtext] = ACTIONS(163),
    [anon_sym_BSLASHintertext] = ACTIONS(163),
    [anon_sym_BSLASHshortintertext] = ACTIONS(163),
    [anon_sym_BSLASHbegin] = ACTIONS(163),
    [anon_sym_BSLASHtitle] = ACTIONS(163),
    [anon_sym_BSLASHauthor] = ACTIONS(163),
    [anon_sym_BSLASHusepackage] = ACTIONS(163),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(163),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(163),
    [anon_sym_BSLASHinclude] = ACTIONS(163),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(163),
    [anon_sym_BSLASHinput] = ACTIONS(163),
    [anon_sym_BSLASHsubfile] = ACTIONS(163),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(163),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(163),
    [anon_sym_BSLASHbibliography] = ACTIONS(163),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(163),
    [anon_sym_BSLASHincludesvg] = ACTIONS(163),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(163),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(163),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(163),
    [anon_sym_BSLASHimport] = ACTIONS(163),
    [anon_sym_BSLASHsubimport] = ACTIONS(163),
    [anon_sym_BSLASHinputfrom] = ACTIONS(163),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(163),
    [anon_sym_BSLASHincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHcaption] = ACTIONS(163),
    [anon_sym_BSLASHcite] = ACTIONS(163),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCite] = ACTIONS(163),
    [anon_sym_BSLASHnocite] = ACTIONS(163),
    [anon_sym_BSLASHcitet] = ACTIONS(163),
    [anon_sym_BSLASHcitep] = ACTIONS(163),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteA] = ACTIONS(163),
    [anon_sym_BSLASHciteR] = ACTIONS(163),
    [anon_sym_BSLASHciteS] = ACTIONS(163),
    [anon_sym_BSLASHciteyearR] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(163),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitetitle] = ACTIONS(163),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteyear] = ACTIONS(163),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitedate] = ACTIONS(163),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteurl] = ACTIONS(163),
    [anon_sym_BSLASHfullcite] = ACTIONS(163),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(163),
    [anon_sym_BSLASHcitealt] = ACTIONS(163),
    [anon_sym_BSLASHcitealp] = ACTIONS(163),
    [anon_sym_BSLASHcitetext] = ACTIONS(163),
    [anon_sym_BSLASHparencite] = ACTIONS(163),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHParencite] = ACTIONS(163),
    [anon_sym_BSLASHfootcite] = ACTIONS(163),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(163),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(163),
    [anon_sym_BSLASHtextcite] = ACTIONS(163),
    [anon_sym_BSLASHTextcite] = ACTIONS(163),
    [anon_sym_BSLASHsmartcite] = ACTIONS(163),
    [anon_sym_BSLASHSmartcite] = ACTIONS(163),
    [anon_sym_BSLASHsupercite] = ACTIONS(163),
    [anon_sym_BSLASHautocite] = ACTIONS(163),
    [anon_sym_BSLASHAutocite] = ACTIONS(163),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHvolcite] = ACTIONS(163),
    [anon_sym_BSLASHVolcite] = ACTIONS(163),
    [anon_sym_BSLASHpvolcite] = ACTIONS(163),
    [anon_sym_BSLASHPvolcite] = ACTIONS(163),
    [anon_sym_BSLASHfvolcite] = ACTIONS(163),
    [anon_sym_BSLASHftvolcite] = ACTIONS(163),
    [anon_sym_BSLASHsvolcite] = ACTIONS(163),
    [anon_sym_BSLASHSvolcite] = ACTIONS(163),
    [anon_sym_BSLASHtvolcite] = ACTIONS(163),
    [anon_sym_BSLASHTvolcite] = ACTIONS(163),
    [anon_sym_BSLASHavolcite] = ACTIONS(163),
    [anon_sym_BSLASHAvolcite] = ACTIONS(163),
    [anon_sym_BSLASHnotecite] = ACTIONS(163),
    [anon_sym_BSLASHNotecite] = ACTIONS(163),
    [anon_sym_BSLASHpnotecite] = ACTIONS(163),
    [anon_sym_BSLASHPnotecite] = ACTIONS(163),
    [anon_sym_BSLASHfnotecite] = ACTIONS(163),
    [anon_sym_BSLASHlabel] = ACTIONS(163),
    [anon_sym_BSLASHref] = ACTIONS(163),
    [anon_sym_BSLASHeqref] = ACTIONS(163),
    [anon_sym_BSLASHvref] = ACTIONS(163),
    [anon_sym_BSLASHVref] = ACTIONS(163),
    [anon_sym_BSLASHautoref] = ACTIONS(163),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHpageref] = ACTIONS(163),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHautopageref] = ACTIONS(163),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcref] = ACTIONS(163),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCref] = ACTIONS(163),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpageref] = ACTIONS(163),
    [anon_sym_BSLASHCpageref] = ACTIONS(163),
    [anon_sym_BSLASHnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnameCref] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcrefrange] = ACTIONS(163),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCrefrange] = ACTIONS(163),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHnewlabel] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(163),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(163),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(163),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(165),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHdef] = ACTIONS(163),
    [anon_sym_BSLASHgdef] = ACTIONS(163),
    [anon_sym_BSLASHedef] = ACTIONS(163),
    [anon_sym_BSLASHxdef] = ACTIONS(163),
    [anon_sym_BSLASHlet] = ACTIONS(163),
    [anon_sym_BSLASHglet] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(163),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(163),
    [anon_sym_BSLASHgls] = ACTIONS(163),
    [anon_sym_BSLASHGls] = ACTIONS(163),
    [anon_sym_BSLASHGLS] = ACTIONS(163),
    [anon_sym_BSLASHglspl] = ACTIONS(163),
    [anon_sym_BSLASHGlspl] = ACTIONS(163),
    [anon_sym_BSLASHGLSpl] = ACTIONS(163),
    [anon_sym_BSLASHglsdisp] = ACTIONS(163),
    [anon_sym_BSLASHglslink] = ACTIONS(163),
    [anon_sym_BSLASHglstext] = ACTIONS(163),
    [anon_sym_BSLASHGlstext] = ACTIONS(163),
    [anon_sym_BSLASHGLStext] = ACTIONS(163),
    [anon_sym_BSLASHglsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(163),
    [anon_sym_BSLASHglsplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSplural] = ACTIONS(163),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHglsname] = ACTIONS(163),
    [anon_sym_BSLASHGlsname] = ACTIONS(163),
    [anon_sym_BSLASHGLSname] = ACTIONS(163),
    [anon_sym_BSLASHglssymbol] = ACTIONS(163),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(163),
    [anon_sym_BSLASHglsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(163),
    [anon_sym_BSLASHglsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(163),
    [anon_sym_BSLASHglsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(163),
    [anon_sym_BSLASHglsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(163),
    [anon_sym_BSLASHglsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(163),
    [anon_sym_BSLASHnewacronym] = ACTIONS(163),
    [anon_sym_BSLASHacrshort] = ACTIONS(163),
    [anon_sym_BSLASHAcrshort] = ACTIONS(163),
    [anon_sym_BSLASHACRshort] = ACTIONS(163),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(163),
    [anon_sym_BSLASHacrlong] = ACTIONS(163),
    [anon_sym_BSLASHAcrlong] = ACTIONS(163),
    [anon_sym_BSLASHACRlong] = ACTIONS(163),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(163),
    [anon_sym_BSLASHacrfull] = ACTIONS(163),
    [anon_sym_BSLASHAcrfull] = ACTIONS(163),
    [anon_sym_BSLASHACRfull] = ACTIONS(163),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(163),
    [anon_sym_BSLASHacs] = ACTIONS(163),
    [anon_sym_BSLASHAcs] = ACTIONS(163),
    [anon_sym_BSLASHacsp] = ACTIONS(163),
    [anon_sym_BSLASHAcsp] = ACTIONS(163),
    [anon_sym_BSLASHacl] = ACTIONS(163),
    [anon_sym_BSLASHAcl] = ACTIONS(163),
    [anon_sym_BSLASHaclp] = ACTIONS(163),
    [anon_sym_BSLASHAclp] = ACTIONS(163),
    [anon_sym_BSLASHacf] = ACTIONS(163),
    [anon_sym_BSLASHAcf] = ACTIONS(163),
    [anon_sym_BSLASHacfp] = ACTIONS(163),
    [anon_sym_BSLASHAcfp] = ACTIONS(163),
    [anon_sym_BSLASHac] = ACTIONS(163),
    [anon_sym_BSLASHAc] = ACTIONS(163),
    [anon_sym_BSLASHacp] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(163),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(163),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(163),
    [anon_sym_BSLASHcolor] = ACTIONS(163),
    [anon_sym_BSLASHpagecolor] = ACTIONS(163),
    [anon_sym_BSLASHtextcolor] = ACTIONS(163),
    [anon_sym_BSLASHmathcolor] = ACTIONS(163),
    [anon_sym_BSLASHcolorbox] = ACTIONS(163),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(163),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(163),
    [anon_sym_BSLASHurl] = ACTIONS(163),
    [anon_sym_BSLASHhref] = ACTIONS(163),
  },
  [589] = {
    [sym_command_name] = ACTIONS(7055),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7055),
    [anon_sym_LBRACK] = ACTIONS(7057),
    [anon_sym_RBRACK] = ACTIONS(7057),
    [anon_sym_COMMA] = ACTIONS(7057),
    [anon_sym_EQ] = ACTIONS(7057),
    [anon_sym_LPAREN] = ACTIONS(7057),
    [anon_sym_RPAREN] = ACTIONS(7057),
    [anon_sym_BSLASHpart] = ACTIONS(7055),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHaddpart] = ACTIONS(7055),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHchapter] = ACTIONS(7055),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHaddchap] = ACTIONS(7055),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHsection] = ACTIONS(7055),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHaddsec] = ACTIONS(7055),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHsubsection] = ACTIONS(7055),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7055),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHparagraph] = ACTIONS(7055),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7055),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHitem] = ACTIONS(7055),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7057),
    [anon_sym_LBRACE] = ACTIONS(7057),
    [sym_word] = ACTIONS(7055),
    [sym_placeholder] = ACTIONS(7057),
    [sym_delimiter] = ACTIONS(7057),
    [anon_sym_PLUS] = ACTIONS(7057),
    [anon_sym_DASH] = ACTIONS(7057),
    [anon_sym_STAR] = ACTIONS(7057),
    [anon_sym_SLASH] = ACTIONS(7057),
    [anon_sym_LT] = ACTIONS(7055),
    [anon_sym_GT] = ACTIONS(7055),
    [anon_sym_BANG] = ACTIONS(7055),
    [anon_sym_PIPE] = ACTIONS(7055),
    [anon_sym_COLON] = ACTIONS(7055),
    [anon_sym_SQUOTE] = ACTIONS(7055),
    [anon_sym__] = ACTIONS(7057),
    [anon_sym_CARET] = ACTIONS(7057),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7057),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7057),
    [anon_sym_DOLLAR] = ACTIONS(7055),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7057),
    [anon_sym_BSLASHleft] = ACTIONS(7055),
    [anon_sym_BSLASHbigl] = ACTIONS(7055),
    [anon_sym_BSLASHBigl] = ACTIONS(7055),
    [anon_sym_BSLASHbiggl] = ACTIONS(7055),
    [anon_sym_BSLASHBiggl] = ACTIONS(7055),
    [anon_sym_BSLASHright] = ACTIONS(7055),
    [anon_sym_BSLASHbigr] = ACTIONS(7055),
    [anon_sym_BSLASHBigr] = ACTIONS(7055),
    [anon_sym_BSLASHbiggr] = ACTIONS(7055),
    [anon_sym_BSLASHBiggr] = ACTIONS(7055),
    [anon_sym_BSLASHtext] = ACTIONS(7055),
    [anon_sym_BSLASHintertext] = ACTIONS(7055),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7055),
    [anon_sym_BSLASHbegin] = ACTIONS(7055),
    [anon_sym_BSLASHtitle] = ACTIONS(7055),
    [anon_sym_BSLASHauthor] = ACTIONS(7055),
    [anon_sym_BSLASHusepackage] = ACTIONS(7055),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7055),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7055),
    [anon_sym_BSLASHinclude] = ACTIONS(7055),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7055),
    [anon_sym_BSLASHinput] = ACTIONS(7055),
    [anon_sym_BSLASHsubfile] = ACTIONS(7055),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7055),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7055),
    [anon_sym_BSLASHbibliography] = ACTIONS(7055),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7055),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7055),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7055),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7055),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7055),
    [anon_sym_BSLASHimport] = ACTIONS(7055),
    [anon_sym_BSLASHsubimport] = ACTIONS(7055),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7055),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7055),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7055),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7055),
    [anon_sym_BSLASHcaption] = ACTIONS(7055),
    [anon_sym_BSLASHcite] = ACTIONS(7055),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCite] = ACTIONS(7055),
    [anon_sym_BSLASHnocite] = ACTIONS(7055),
    [anon_sym_BSLASHcitet] = ACTIONS(7055),
    [anon_sym_BSLASHcitep] = ACTIONS(7055),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHciteA] = ACTIONS(7055),
    [anon_sym_BSLASHciteR] = ACTIONS(7055),
    [anon_sym_BSLASHciteS] = ACTIONS(7055),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7055),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7055),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7055),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7055),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHciteyear] = ACTIONS(7055),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcitedate] = ACTIONS(7055),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHciteurl] = ACTIONS(7055),
    [anon_sym_BSLASHfullcite] = ACTIONS(7055),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7055),
    [anon_sym_BSLASHcitealt] = ACTIONS(7055),
    [anon_sym_BSLASHcitealp] = ACTIONS(7055),
    [anon_sym_BSLASHcitetext] = ACTIONS(7055),
    [anon_sym_BSLASHparencite] = ACTIONS(7055),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHParencite] = ACTIONS(7055),
    [anon_sym_BSLASHfootcite] = ACTIONS(7055),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7055),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7055),
    [anon_sym_BSLASHtextcite] = ACTIONS(7055),
    [anon_sym_BSLASHTextcite] = ACTIONS(7055),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7055),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7055),
    [anon_sym_BSLASHsupercite] = ACTIONS(7055),
    [anon_sym_BSLASHautocite] = ACTIONS(7055),
    [anon_sym_BSLASHAutocite] = ACTIONS(7055),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHVolcite] = ACTIONS(7055),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHavolcite] = ACTIONS(7055),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHNotecite] = ACTIONS(7055),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHlabel] = ACTIONS(7055),
    [anon_sym_BSLASHref] = ACTIONS(7055),
    [anon_sym_BSLASHeqref] = ACTIONS(7055),
    [anon_sym_BSLASHvref] = ACTIONS(7055),
    [anon_sym_BSLASHVref] = ACTIONS(7055),
    [anon_sym_BSLASHautoref] = ACTIONS(7055),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHpageref] = ACTIONS(7055),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHautopageref] = ACTIONS(7055),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcref] = ACTIONS(7055),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCref] = ACTIONS(7055),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcpageref] = ACTIONS(7055),
    [anon_sym_BSLASHCpageref] = ACTIONS(7055),
    [anon_sym_BSLASHnamecref] = ACTIONS(7055),
    [anon_sym_BSLASHnameCref] = ACTIONS(7055),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7055),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7055),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7055),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7055),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7055),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7055),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7055),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7055),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7055),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7055),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7055),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7055),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7055),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7055),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7055),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7055),
    [anon_sym_BSLASHdef] = ACTIONS(7055),
    [anon_sym_BSLASHgdef] = ACTIONS(7055),
    [anon_sym_BSLASHedef] = ACTIONS(7055),
    [anon_sym_BSLASHxdef] = ACTIONS(7055),
    [anon_sym_BSLASHlet] = ACTIONS(7055),
    [anon_sym_BSLASHglet] = ACTIONS(7055),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7055),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7055),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7055),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7055),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7055),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7055),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7055),
    [anon_sym_BSLASHgls] = ACTIONS(7055),
    [anon_sym_BSLASHGls] = ACTIONS(7055),
    [anon_sym_BSLASHGLS] = ACTIONS(7055),
    [anon_sym_BSLASHglspl] = ACTIONS(7055),
    [anon_sym_BSLASHGlspl] = ACTIONS(7055),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7055),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7055),
    [anon_sym_BSLASHglslink] = ACTIONS(7055),
    [anon_sym_BSLASHglstext] = ACTIONS(7055),
    [anon_sym_BSLASHGlstext] = ACTIONS(7055),
    [anon_sym_BSLASHGLStext] = ACTIONS(7055),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7055),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7055),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7055),
    [anon_sym_BSLASHglsplural] = ACTIONS(7055),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7055),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7055),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7055),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7055),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7055),
    [anon_sym_BSLASHglsname] = ACTIONS(7055),
    [anon_sym_BSLASHGlsname] = ACTIONS(7055),
    [anon_sym_BSLASHGLSname] = ACTIONS(7055),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7055),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7055),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7055),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7055),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7055),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7055),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7055),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7055),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7055),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7055),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7055),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7055),
    [anon_sym_BSLASHacrshort] = ACTIONS(7055),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7055),
    [anon_sym_BSLASHACRshort] = ACTIONS(7055),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHacrlong] = ACTIONS(7055),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7055),
    [anon_sym_BSLASHACRlong] = ACTIONS(7055),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7055),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7055),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7055),
    [anon_sym_BSLASHacrfull] = ACTIONS(7055),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7055),
    [anon_sym_BSLASHACRfull] = ACTIONS(7055),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHacs] = ACTIONS(7055),
    [anon_sym_BSLASHAcs] = ACTIONS(7055),
    [anon_sym_BSLASHacsp] = ACTIONS(7055),
    [anon_sym_BSLASHAcsp] = ACTIONS(7055),
    [anon_sym_BSLASHacl] = ACTIONS(7055),
    [anon_sym_BSLASHAcl] = ACTIONS(7055),
    [anon_sym_BSLASHaclp] = ACTIONS(7055),
    [anon_sym_BSLASHAclp] = ACTIONS(7055),
    [anon_sym_BSLASHacf] = ACTIONS(7055),
    [anon_sym_BSLASHAcf] = ACTIONS(7055),
    [anon_sym_BSLASHacfp] = ACTIONS(7055),
    [anon_sym_BSLASHAcfp] = ACTIONS(7055),
    [anon_sym_BSLASHac] = ACTIONS(7055),
    [anon_sym_BSLASHAc] = ACTIONS(7055),
    [anon_sym_BSLASHacp] = ACTIONS(7055),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7055),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7055),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7055),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7055),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7055),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7055),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7055),
    [anon_sym_BSLASHcolor] = ACTIONS(7055),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7055),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7055),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7055),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7055),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7055),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7055),
    [anon_sym_BSLASHurl] = ACTIONS(7055),
    [anon_sym_BSLASHhref] = ACTIONS(7055),
  },
  [590] = {
    [sym_command_name] = ACTIONS(7059),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7059),
    [anon_sym_LBRACK] = ACTIONS(7061),
    [anon_sym_RBRACK] = ACTIONS(7061),
    [anon_sym_COMMA] = ACTIONS(7061),
    [anon_sym_EQ] = ACTIONS(7061),
    [anon_sym_LPAREN] = ACTIONS(7061),
    [anon_sym_RPAREN] = ACTIONS(7061),
    [anon_sym_BSLASHpart] = ACTIONS(7059),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHaddpart] = ACTIONS(7059),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHchapter] = ACTIONS(7059),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHaddchap] = ACTIONS(7059),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHsection] = ACTIONS(7059),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHaddsec] = ACTIONS(7059),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHsubsection] = ACTIONS(7059),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7059),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHparagraph] = ACTIONS(7059),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7059),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHitem] = ACTIONS(7059),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7061),
    [anon_sym_LBRACE] = ACTIONS(7061),
    [sym_word] = ACTIONS(7059),
    [sym_placeholder] = ACTIONS(7061),
    [sym_delimiter] = ACTIONS(7061),
    [anon_sym_PLUS] = ACTIONS(7061),
    [anon_sym_DASH] = ACTIONS(7061),
    [anon_sym_STAR] = ACTIONS(7061),
    [anon_sym_SLASH] = ACTIONS(7061),
    [anon_sym_LT] = ACTIONS(7059),
    [anon_sym_GT] = ACTIONS(7059),
    [anon_sym_BANG] = ACTIONS(7059),
    [anon_sym_PIPE] = ACTIONS(7059),
    [anon_sym_COLON] = ACTIONS(7059),
    [anon_sym_SQUOTE] = ACTIONS(7059),
    [anon_sym__] = ACTIONS(7061),
    [anon_sym_CARET] = ACTIONS(7061),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7061),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7061),
    [anon_sym_DOLLAR] = ACTIONS(7059),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7061),
    [anon_sym_BSLASHleft] = ACTIONS(7059),
    [anon_sym_BSLASHbigl] = ACTIONS(7059),
    [anon_sym_BSLASHBigl] = ACTIONS(7059),
    [anon_sym_BSLASHbiggl] = ACTIONS(7059),
    [anon_sym_BSLASHBiggl] = ACTIONS(7059),
    [anon_sym_BSLASHright] = ACTIONS(7059),
    [anon_sym_BSLASHbigr] = ACTIONS(7059),
    [anon_sym_BSLASHBigr] = ACTIONS(7059),
    [anon_sym_BSLASHbiggr] = ACTIONS(7059),
    [anon_sym_BSLASHBiggr] = ACTIONS(7059),
    [anon_sym_BSLASHtext] = ACTIONS(7059),
    [anon_sym_BSLASHintertext] = ACTIONS(7059),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7059),
    [anon_sym_BSLASHbegin] = ACTIONS(7059),
    [anon_sym_BSLASHtitle] = ACTIONS(7059),
    [anon_sym_BSLASHauthor] = ACTIONS(7059),
    [anon_sym_BSLASHusepackage] = ACTIONS(7059),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7059),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7059),
    [anon_sym_BSLASHinclude] = ACTIONS(7059),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7059),
    [anon_sym_BSLASHinput] = ACTIONS(7059),
    [anon_sym_BSLASHsubfile] = ACTIONS(7059),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7059),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7059),
    [anon_sym_BSLASHbibliography] = ACTIONS(7059),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7059),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7059),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7059),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7059),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7059),
    [anon_sym_BSLASHimport] = ACTIONS(7059),
    [anon_sym_BSLASHsubimport] = ACTIONS(7059),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7059),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7059),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7059),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7059),
    [anon_sym_BSLASHcaption] = ACTIONS(7059),
    [anon_sym_BSLASHcite] = ACTIONS(7059),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHCite] = ACTIONS(7059),
    [anon_sym_BSLASHnocite] = ACTIONS(7059),
    [anon_sym_BSLASHcitet] = ACTIONS(7059),
    [anon_sym_BSLASHcitep] = ACTIONS(7059),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHciteA] = ACTIONS(7059),
    [anon_sym_BSLASHciteR] = ACTIONS(7059),
    [anon_sym_BSLASHciteS] = ACTIONS(7059),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7059),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7059),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7059),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7059),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHciteyear] = ACTIONS(7059),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcitedate] = ACTIONS(7059),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHciteurl] = ACTIONS(7059),
    [anon_sym_BSLASHfullcite] = ACTIONS(7059),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7059),
    [anon_sym_BSLASHcitealt] = ACTIONS(7059),
    [anon_sym_BSLASHcitealp] = ACTIONS(7059),
    [anon_sym_BSLASHcitetext] = ACTIONS(7059),
    [anon_sym_BSLASHparencite] = ACTIONS(7059),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHParencite] = ACTIONS(7059),
    [anon_sym_BSLASHfootcite] = ACTIONS(7059),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7059),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7059),
    [anon_sym_BSLASHtextcite] = ACTIONS(7059),
    [anon_sym_BSLASHTextcite] = ACTIONS(7059),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7059),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7059),
    [anon_sym_BSLASHsupercite] = ACTIONS(7059),
    [anon_sym_BSLASHautocite] = ACTIONS(7059),
    [anon_sym_BSLASHAutocite] = ACTIONS(7059),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHVolcite] = ACTIONS(7059),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHavolcite] = ACTIONS(7059),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHnotecite] = ACTIONS(7059),
    [anon_sym_BSLASHNotecite] = ACTIONS(7059),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7059),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7059),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7059),
    [anon_sym_BSLASHlabel] = ACTIONS(7059),
    [anon_sym_BSLASHref] = ACTIONS(7059),
    [anon_sym_BSLASHeqref] = ACTIONS(7059),
    [anon_sym_BSLASHvref] = ACTIONS(7059),
    [anon_sym_BSLASHVref] = ACTIONS(7059),
    [anon_sym_BSLASHautoref] = ACTIONS(7059),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHpageref] = ACTIONS(7059),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHautopageref] = ACTIONS(7059),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcref] = ACTIONS(7059),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHCref] = ACTIONS(7059),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcpageref] = ACTIONS(7059),
    [anon_sym_BSLASHCpageref] = ACTIONS(7059),
    [anon_sym_BSLASHnamecref] = ACTIONS(7059),
    [anon_sym_BSLASHnameCref] = ACTIONS(7059),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7059),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7059),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7059),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7059),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7059),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7059),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7059),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7059),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7059),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7059),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7059),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7059),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7059),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7059),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7059),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7059),
    [anon_sym_BSLASHdef] = ACTIONS(7059),
    [anon_sym_BSLASHgdef] = ACTIONS(7059),
    [anon_sym_BSLASHedef] = ACTIONS(7059),
    [anon_sym_BSLASHxdef] = ACTIONS(7059),
    [anon_sym_BSLASHlet] = ACTIONS(7059),
    [anon_sym_BSLASHglet] = ACTIONS(7059),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7059),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7059),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7059),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7059),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7059),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7059),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7059),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7059),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7059),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7059),
    [anon_sym_BSLASHgls] = ACTIONS(7059),
    [anon_sym_BSLASHGls] = ACTIONS(7059),
    [anon_sym_BSLASHGLS] = ACTIONS(7059),
    [anon_sym_BSLASHglspl] = ACTIONS(7059),
    [anon_sym_BSLASHGlspl] = ACTIONS(7059),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7059),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7059),
    [anon_sym_BSLASHglslink] = ACTIONS(7059),
    [anon_sym_BSLASHglstext] = ACTIONS(7059),
    [anon_sym_BSLASHGlstext] = ACTIONS(7059),
    [anon_sym_BSLASHGLStext] = ACTIONS(7059),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7059),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7059),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7059),
    [anon_sym_BSLASHglsplural] = ACTIONS(7059),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7059),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7059),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7059),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7059),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7059),
    [anon_sym_BSLASHglsname] = ACTIONS(7059),
    [anon_sym_BSLASHGlsname] = ACTIONS(7059),
    [anon_sym_BSLASHGLSname] = ACTIONS(7059),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7059),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7059),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7059),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7059),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7059),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7059),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7059),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7059),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7059),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7059),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7059),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7059),
    [anon_sym_BSLASHacrshort] = ACTIONS(7059),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7059),
    [anon_sym_BSLASHACRshort] = ACTIONS(7059),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHacrlong] = ACTIONS(7059),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7059),
    [anon_sym_BSLASHACRlong] = ACTIONS(7059),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7059),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7059),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7059),
    [anon_sym_BSLASHacrfull] = ACTIONS(7059),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7059),
    [anon_sym_BSLASHACRfull] = ACTIONS(7059),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHacs] = ACTIONS(7059),
    [anon_sym_BSLASHAcs] = ACTIONS(7059),
    [anon_sym_BSLASHacsp] = ACTIONS(7059),
    [anon_sym_BSLASHAcsp] = ACTIONS(7059),
    [anon_sym_BSLASHacl] = ACTIONS(7059),
    [anon_sym_BSLASHAcl] = ACTIONS(7059),
    [anon_sym_BSLASHaclp] = ACTIONS(7059),
    [anon_sym_BSLASHAclp] = ACTIONS(7059),
    [anon_sym_BSLASHacf] = ACTIONS(7059),
    [anon_sym_BSLASHAcf] = ACTIONS(7059),
    [anon_sym_BSLASHacfp] = ACTIONS(7059),
    [anon_sym_BSLASHAcfp] = ACTIONS(7059),
    [anon_sym_BSLASHac] = ACTIONS(7059),
    [anon_sym_BSLASHAc] = ACTIONS(7059),
    [anon_sym_BSLASHacp] = ACTIONS(7059),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7059),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7059),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7059),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7059),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7059),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7059),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7059),
    [anon_sym_BSLASHcolor] = ACTIONS(7059),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7059),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7059),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7059),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7059),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7059),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7059),
    [anon_sym_BSLASHurl] = ACTIONS(7059),
    [anon_sym_BSLASHhref] = ACTIONS(7059),
  },
  [591] = {
    [sym_command_name] = ACTIONS(7063),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7063),
    [anon_sym_LBRACK] = ACTIONS(7065),
    [anon_sym_RBRACK] = ACTIONS(7065),
    [anon_sym_COMMA] = ACTIONS(7065),
    [anon_sym_EQ] = ACTIONS(7065),
    [anon_sym_LPAREN] = ACTIONS(7065),
    [anon_sym_RPAREN] = ACTIONS(7065),
    [anon_sym_BSLASHpart] = ACTIONS(7063),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHaddpart] = ACTIONS(7063),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHchapter] = ACTIONS(7063),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHaddchap] = ACTIONS(7063),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHsection] = ACTIONS(7063),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHaddsec] = ACTIONS(7063),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHsubsection] = ACTIONS(7063),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7063),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHparagraph] = ACTIONS(7063),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7063),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHitem] = ACTIONS(7063),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7065),
    [anon_sym_LBRACE] = ACTIONS(7065),
    [sym_word] = ACTIONS(7063),
    [sym_placeholder] = ACTIONS(7065),
    [sym_delimiter] = ACTIONS(7065),
    [anon_sym_PLUS] = ACTIONS(7065),
    [anon_sym_DASH] = ACTIONS(7065),
    [anon_sym_STAR] = ACTIONS(7065),
    [anon_sym_SLASH] = ACTIONS(7065),
    [anon_sym_LT] = ACTIONS(7063),
    [anon_sym_GT] = ACTIONS(7063),
    [anon_sym_BANG] = ACTIONS(7063),
    [anon_sym_PIPE] = ACTIONS(7063),
    [anon_sym_COLON] = ACTIONS(7063),
    [anon_sym_SQUOTE] = ACTIONS(7063),
    [anon_sym__] = ACTIONS(7065),
    [anon_sym_CARET] = ACTIONS(7065),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7065),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7065),
    [anon_sym_DOLLAR] = ACTIONS(7063),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7065),
    [anon_sym_BSLASHleft] = ACTIONS(7063),
    [anon_sym_BSLASHbigl] = ACTIONS(7063),
    [anon_sym_BSLASHBigl] = ACTIONS(7063),
    [anon_sym_BSLASHbiggl] = ACTIONS(7063),
    [anon_sym_BSLASHBiggl] = ACTIONS(7063),
    [anon_sym_BSLASHright] = ACTIONS(7063),
    [anon_sym_BSLASHbigr] = ACTIONS(7063),
    [anon_sym_BSLASHBigr] = ACTIONS(7063),
    [anon_sym_BSLASHbiggr] = ACTIONS(7063),
    [anon_sym_BSLASHBiggr] = ACTIONS(7063),
    [anon_sym_BSLASHtext] = ACTIONS(7063),
    [anon_sym_BSLASHintertext] = ACTIONS(7063),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7063),
    [anon_sym_BSLASHbegin] = ACTIONS(7063),
    [anon_sym_BSLASHtitle] = ACTIONS(7063),
    [anon_sym_BSLASHauthor] = ACTIONS(7063),
    [anon_sym_BSLASHusepackage] = ACTIONS(7063),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7063),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7063),
    [anon_sym_BSLASHinclude] = ACTIONS(7063),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7063),
    [anon_sym_BSLASHinput] = ACTIONS(7063),
    [anon_sym_BSLASHsubfile] = ACTIONS(7063),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7063),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7063),
    [anon_sym_BSLASHbibliography] = ACTIONS(7063),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7063),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7063),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7063),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7063),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7063),
    [anon_sym_BSLASHimport] = ACTIONS(7063),
    [anon_sym_BSLASHsubimport] = ACTIONS(7063),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7063),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7063),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7063),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7063),
    [anon_sym_BSLASHcaption] = ACTIONS(7063),
    [anon_sym_BSLASHcite] = ACTIONS(7063),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHCite] = ACTIONS(7063),
    [anon_sym_BSLASHnocite] = ACTIONS(7063),
    [anon_sym_BSLASHcitet] = ACTIONS(7063),
    [anon_sym_BSLASHcitep] = ACTIONS(7063),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHciteA] = ACTIONS(7063),
    [anon_sym_BSLASHciteR] = ACTIONS(7063),
    [anon_sym_BSLASHciteS] = ACTIONS(7063),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7063),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7063),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7063),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7063),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHciteyear] = ACTIONS(7063),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcitedate] = ACTIONS(7063),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHciteurl] = ACTIONS(7063),
    [anon_sym_BSLASHfullcite] = ACTIONS(7063),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7063),
    [anon_sym_BSLASHcitealt] = ACTIONS(7063),
    [anon_sym_BSLASHcitealp] = ACTIONS(7063),
    [anon_sym_BSLASHcitetext] = ACTIONS(7063),
    [anon_sym_BSLASHparencite] = ACTIONS(7063),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHParencite] = ACTIONS(7063),
    [anon_sym_BSLASHfootcite] = ACTIONS(7063),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7063),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7063),
    [anon_sym_BSLASHtextcite] = ACTIONS(7063),
    [anon_sym_BSLASHTextcite] = ACTIONS(7063),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7063),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7063),
    [anon_sym_BSLASHsupercite] = ACTIONS(7063),
    [anon_sym_BSLASHautocite] = ACTIONS(7063),
    [anon_sym_BSLASHAutocite] = ACTIONS(7063),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHVolcite] = ACTIONS(7063),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHavolcite] = ACTIONS(7063),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHnotecite] = ACTIONS(7063),
    [anon_sym_BSLASHNotecite] = ACTIONS(7063),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7063),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7063),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7063),
    [anon_sym_BSLASHlabel] = ACTIONS(7063),
    [anon_sym_BSLASHref] = ACTIONS(7063),
    [anon_sym_BSLASHeqref] = ACTIONS(7063),
    [anon_sym_BSLASHvref] = ACTIONS(7063),
    [anon_sym_BSLASHVref] = ACTIONS(7063),
    [anon_sym_BSLASHautoref] = ACTIONS(7063),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHpageref] = ACTIONS(7063),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHautopageref] = ACTIONS(7063),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcref] = ACTIONS(7063),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHCref] = ACTIONS(7063),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcpageref] = ACTIONS(7063),
    [anon_sym_BSLASHCpageref] = ACTIONS(7063),
    [anon_sym_BSLASHnamecref] = ACTIONS(7063),
    [anon_sym_BSLASHnameCref] = ACTIONS(7063),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7063),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7063),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7063),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7063),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7063),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7063),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7063),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7063),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7063),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7063),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7063),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7063),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7063),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7063),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7063),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7063),
    [anon_sym_BSLASHdef] = ACTIONS(7063),
    [anon_sym_BSLASHgdef] = ACTIONS(7063),
    [anon_sym_BSLASHedef] = ACTIONS(7063),
    [anon_sym_BSLASHxdef] = ACTIONS(7063),
    [anon_sym_BSLASHlet] = ACTIONS(7063),
    [anon_sym_BSLASHglet] = ACTIONS(7063),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7063),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7063),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7063),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7063),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7063),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7063),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7063),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7063),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7063),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7063),
    [anon_sym_BSLASHgls] = ACTIONS(7063),
    [anon_sym_BSLASHGls] = ACTIONS(7063),
    [anon_sym_BSLASHGLS] = ACTIONS(7063),
    [anon_sym_BSLASHglspl] = ACTIONS(7063),
    [anon_sym_BSLASHGlspl] = ACTIONS(7063),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7063),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7063),
    [anon_sym_BSLASHglslink] = ACTIONS(7063),
    [anon_sym_BSLASHglstext] = ACTIONS(7063),
    [anon_sym_BSLASHGlstext] = ACTIONS(7063),
    [anon_sym_BSLASHGLStext] = ACTIONS(7063),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7063),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7063),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7063),
    [anon_sym_BSLASHglsplural] = ACTIONS(7063),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7063),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7063),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7063),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7063),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7063),
    [anon_sym_BSLASHglsname] = ACTIONS(7063),
    [anon_sym_BSLASHGlsname] = ACTIONS(7063),
    [anon_sym_BSLASHGLSname] = ACTIONS(7063),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7063),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7063),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7063),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7063),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7063),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7063),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7063),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7063),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7063),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7063),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7063),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7063),
    [anon_sym_BSLASHacrshort] = ACTIONS(7063),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7063),
    [anon_sym_BSLASHACRshort] = ACTIONS(7063),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHacrlong] = ACTIONS(7063),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7063),
    [anon_sym_BSLASHACRlong] = ACTIONS(7063),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7063),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7063),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7063),
    [anon_sym_BSLASHacrfull] = ACTIONS(7063),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7063),
    [anon_sym_BSLASHACRfull] = ACTIONS(7063),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHacs] = ACTIONS(7063),
    [anon_sym_BSLASHAcs] = ACTIONS(7063),
    [anon_sym_BSLASHacsp] = ACTIONS(7063),
    [anon_sym_BSLASHAcsp] = ACTIONS(7063),
    [anon_sym_BSLASHacl] = ACTIONS(7063),
    [anon_sym_BSLASHAcl] = ACTIONS(7063),
    [anon_sym_BSLASHaclp] = ACTIONS(7063),
    [anon_sym_BSLASHAclp] = ACTIONS(7063),
    [anon_sym_BSLASHacf] = ACTIONS(7063),
    [anon_sym_BSLASHAcf] = ACTIONS(7063),
    [anon_sym_BSLASHacfp] = ACTIONS(7063),
    [anon_sym_BSLASHAcfp] = ACTIONS(7063),
    [anon_sym_BSLASHac] = ACTIONS(7063),
    [anon_sym_BSLASHAc] = ACTIONS(7063),
    [anon_sym_BSLASHacp] = ACTIONS(7063),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7063),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7063),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7063),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7063),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7063),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7063),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7063),
    [anon_sym_BSLASHcolor] = ACTIONS(7063),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7063),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7063),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7063),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7063),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7063),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7063),
    [anon_sym_BSLASHurl] = ACTIONS(7063),
    [anon_sym_BSLASHhref] = ACTIONS(7063),
  },
  [592] = {
    [sym_command_name] = ACTIONS(7067),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7067),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_RBRACK] = ACTIONS(7069),
    [anon_sym_COMMA] = ACTIONS(7069),
    [anon_sym_EQ] = ACTIONS(7069),
    [anon_sym_LPAREN] = ACTIONS(7069),
    [anon_sym_RPAREN] = ACTIONS(7069),
    [anon_sym_BSLASHpart] = ACTIONS(7067),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHaddpart] = ACTIONS(7067),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHchapter] = ACTIONS(7067),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHaddchap] = ACTIONS(7067),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHsection] = ACTIONS(7067),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHaddsec] = ACTIONS(7067),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHsubsection] = ACTIONS(7067),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7067),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHparagraph] = ACTIONS(7067),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7067),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHitem] = ACTIONS(7067),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7069),
    [anon_sym_LBRACE] = ACTIONS(7069),
    [sym_word] = ACTIONS(7067),
    [sym_placeholder] = ACTIONS(7069),
    [sym_delimiter] = ACTIONS(7069),
    [anon_sym_PLUS] = ACTIONS(7069),
    [anon_sym_DASH] = ACTIONS(7069),
    [anon_sym_STAR] = ACTIONS(7069),
    [anon_sym_SLASH] = ACTIONS(7069),
    [anon_sym_LT] = ACTIONS(7067),
    [anon_sym_GT] = ACTIONS(7067),
    [anon_sym_BANG] = ACTIONS(7067),
    [anon_sym_PIPE] = ACTIONS(7067),
    [anon_sym_COLON] = ACTIONS(7067),
    [anon_sym_SQUOTE] = ACTIONS(7067),
    [anon_sym__] = ACTIONS(7069),
    [anon_sym_CARET] = ACTIONS(7069),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7069),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7069),
    [anon_sym_DOLLAR] = ACTIONS(7067),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7069),
    [anon_sym_BSLASHleft] = ACTIONS(7067),
    [anon_sym_BSLASHbigl] = ACTIONS(7067),
    [anon_sym_BSLASHBigl] = ACTIONS(7067),
    [anon_sym_BSLASHbiggl] = ACTIONS(7067),
    [anon_sym_BSLASHBiggl] = ACTIONS(7067),
    [anon_sym_BSLASHright] = ACTIONS(7067),
    [anon_sym_BSLASHbigr] = ACTIONS(7067),
    [anon_sym_BSLASHBigr] = ACTIONS(7067),
    [anon_sym_BSLASHbiggr] = ACTIONS(7067),
    [anon_sym_BSLASHBiggr] = ACTIONS(7067),
    [anon_sym_BSLASHtext] = ACTIONS(7067),
    [anon_sym_BSLASHintertext] = ACTIONS(7067),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7067),
    [anon_sym_BSLASHbegin] = ACTIONS(7067),
    [anon_sym_BSLASHtitle] = ACTIONS(7067),
    [anon_sym_BSLASHauthor] = ACTIONS(7067),
    [anon_sym_BSLASHusepackage] = ACTIONS(7067),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7067),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7067),
    [anon_sym_BSLASHinclude] = ACTIONS(7067),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7067),
    [anon_sym_BSLASHinput] = ACTIONS(7067),
    [anon_sym_BSLASHsubfile] = ACTIONS(7067),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7067),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7067),
    [anon_sym_BSLASHbibliography] = ACTIONS(7067),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7067),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7067),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7067),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7067),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7067),
    [anon_sym_BSLASHimport] = ACTIONS(7067),
    [anon_sym_BSLASHsubimport] = ACTIONS(7067),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7067),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7067),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7067),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7067),
    [anon_sym_BSLASHcaption] = ACTIONS(7067),
    [anon_sym_BSLASHcite] = ACTIONS(7067),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCite] = ACTIONS(7067),
    [anon_sym_BSLASHnocite] = ACTIONS(7067),
    [anon_sym_BSLASHcitet] = ACTIONS(7067),
    [anon_sym_BSLASHcitep] = ACTIONS(7067),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteA] = ACTIONS(7067),
    [anon_sym_BSLASHciteR] = ACTIONS(7067),
    [anon_sym_BSLASHciteS] = ACTIONS(7067),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7067),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7067),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7067),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7067),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteyear] = ACTIONS(7067),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitedate] = ACTIONS(7067),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteurl] = ACTIONS(7067),
    [anon_sym_BSLASHfullcite] = ACTIONS(7067),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7067),
    [anon_sym_BSLASHcitealt] = ACTIONS(7067),
    [anon_sym_BSLASHcitealp] = ACTIONS(7067),
    [anon_sym_BSLASHcitetext] = ACTIONS(7067),
    [anon_sym_BSLASHparencite] = ACTIONS(7067),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHParencite] = ACTIONS(7067),
    [anon_sym_BSLASHfootcite] = ACTIONS(7067),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7067),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7067),
    [anon_sym_BSLASHtextcite] = ACTIONS(7067),
    [anon_sym_BSLASHTextcite] = ACTIONS(7067),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7067),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7067),
    [anon_sym_BSLASHsupercite] = ACTIONS(7067),
    [anon_sym_BSLASHautocite] = ACTIONS(7067),
    [anon_sym_BSLASHAutocite] = ACTIONS(7067),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHVolcite] = ACTIONS(7067),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHavolcite] = ACTIONS(7067),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHNotecite] = ACTIONS(7067),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHlabel] = ACTIONS(7067),
    [anon_sym_BSLASHref] = ACTIONS(7067),
    [anon_sym_BSLASHeqref] = ACTIONS(7067),
    [anon_sym_BSLASHvref] = ACTIONS(7067),
    [anon_sym_BSLASHVref] = ACTIONS(7067),
    [anon_sym_BSLASHautoref] = ACTIONS(7067),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHpageref] = ACTIONS(7067),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHautopageref] = ACTIONS(7067),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcref] = ACTIONS(7067),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCref] = ACTIONS(7067),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcpageref] = ACTIONS(7067),
    [anon_sym_BSLASHCpageref] = ACTIONS(7067),
    [anon_sym_BSLASHnamecref] = ACTIONS(7067),
    [anon_sym_BSLASHnameCref] = ACTIONS(7067),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7067),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7067),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7067),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7067),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7067),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7067),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7067),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7067),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7067),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7067),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7067),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHdef] = ACTIONS(7067),
    [anon_sym_BSLASHgdef] = ACTIONS(7067),
    [anon_sym_BSLASHedef] = ACTIONS(7067),
    [anon_sym_BSLASHxdef] = ACTIONS(7067),
    [anon_sym_BSLASHlet] = ACTIONS(7067),
    [anon_sym_BSLASHglet] = ACTIONS(7067),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7067),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7067),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7067),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7067),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7067),
    [anon_sym_BSLASHgls] = ACTIONS(7067),
    [anon_sym_BSLASHGls] = ACTIONS(7067),
    [anon_sym_BSLASHGLS] = ACTIONS(7067),
    [anon_sym_BSLASHglspl] = ACTIONS(7067),
    [anon_sym_BSLASHGlspl] = ACTIONS(7067),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7067),
    [anon_sym_BSLASHglslink] = ACTIONS(7067),
    [anon_sym_BSLASHglstext] = ACTIONS(7067),
    [anon_sym_BSLASHGlstext] = ACTIONS(7067),
    [anon_sym_BSLASHGLStext] = ACTIONS(7067),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7067),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7067),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7067),
    [anon_sym_BSLASHglsplural] = ACTIONS(7067),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7067),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7067),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHglsname] = ACTIONS(7067),
    [anon_sym_BSLASHGlsname] = ACTIONS(7067),
    [anon_sym_BSLASHGLSname] = ACTIONS(7067),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7067),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7067),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7067),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7067),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7067),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7067),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7067),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7067),
    [anon_sym_BSLASHacrshort] = ACTIONS(7067),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7067),
    [anon_sym_BSLASHACRshort] = ACTIONS(7067),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHacrlong] = ACTIONS(7067),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7067),
    [anon_sym_BSLASHACRlong] = ACTIONS(7067),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHacrfull] = ACTIONS(7067),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7067),
    [anon_sym_BSLASHACRfull] = ACTIONS(7067),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHacs] = ACTIONS(7067),
    [anon_sym_BSLASHAcs] = ACTIONS(7067),
    [anon_sym_BSLASHacsp] = ACTIONS(7067),
    [anon_sym_BSLASHAcsp] = ACTIONS(7067),
    [anon_sym_BSLASHacl] = ACTIONS(7067),
    [anon_sym_BSLASHAcl] = ACTIONS(7067),
    [anon_sym_BSLASHaclp] = ACTIONS(7067),
    [anon_sym_BSLASHAclp] = ACTIONS(7067),
    [anon_sym_BSLASHacf] = ACTIONS(7067),
    [anon_sym_BSLASHAcf] = ACTIONS(7067),
    [anon_sym_BSLASHacfp] = ACTIONS(7067),
    [anon_sym_BSLASHAcfp] = ACTIONS(7067),
    [anon_sym_BSLASHac] = ACTIONS(7067),
    [anon_sym_BSLASHAc] = ACTIONS(7067),
    [anon_sym_BSLASHacp] = ACTIONS(7067),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7067),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7067),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7067),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7067),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7067),
    [anon_sym_BSLASHcolor] = ACTIONS(7067),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7067),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7067),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7067),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7067),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7067),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7067),
    [anon_sym_BSLASHurl] = ACTIONS(7067),
    [anon_sym_BSLASHhref] = ACTIONS(7067),
  },
  [593] = {
    [sym_command_name] = ACTIONS(169),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_COMMA] = ACTIONS(171),
    [anon_sym_EQ] = ACTIONS(171),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_BSLASHpart] = ACTIONS(169),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddpart] = ACTIONS(169),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(171),
    [anon_sym_BSLASHchapter] = ACTIONS(169),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddchap] = ACTIONS(169),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsection] = ACTIONS(169),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddsec] = ACTIONS(169),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubsection] = ACTIONS(169),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(169),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHparagraph] = ACTIONS(169),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(169),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(171),
    [anon_sym_BSLASHitem] = ACTIONS(169),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(171),
    [anon_sym_LBRACE] = ACTIONS(171),
    [sym_word] = ACTIONS(169),
    [sym_placeholder] = ACTIONS(171),
    [sym_delimiter] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_STAR] = ACTIONS(171),
    [anon_sym_SLASH] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(169),
    [anon_sym_GT] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_PIPE] = ACTIONS(169),
    [anon_sym_COLON] = ACTIONS(169),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym__] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(171),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(171),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(171),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(171),
    [anon_sym_BSLASHleft] = ACTIONS(169),
    [anon_sym_BSLASHbigl] = ACTIONS(169),
    [anon_sym_BSLASHBigl] = ACTIONS(169),
    [anon_sym_BSLASHbiggl] = ACTIONS(169),
    [anon_sym_BSLASHBiggl] = ACTIONS(169),
    [anon_sym_BSLASHright] = ACTIONS(169),
    [anon_sym_BSLASHbigr] = ACTIONS(169),
    [anon_sym_BSLASHBigr] = ACTIONS(169),
    [anon_sym_BSLASHbiggr] = ACTIONS(169),
    [anon_sym_BSLASHBiggr] = ACTIONS(169),
    [anon_sym_BSLASHtext] = ACTIONS(169),
    [anon_sym_BSLASHintertext] = ACTIONS(169),
    [anon_sym_BSLASHshortintertext] = ACTIONS(169),
    [anon_sym_BSLASHbegin] = ACTIONS(169),
    [anon_sym_BSLASHtitle] = ACTIONS(169),
    [anon_sym_BSLASHauthor] = ACTIONS(169),
    [anon_sym_BSLASHusepackage] = ACTIONS(169),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(169),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(169),
    [anon_sym_BSLASHinclude] = ACTIONS(169),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(169),
    [anon_sym_BSLASHinput] = ACTIONS(169),
    [anon_sym_BSLASHsubfile] = ACTIONS(169),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(169),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(169),
    [anon_sym_BSLASHbibliography] = ACTIONS(169),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(169),
    [anon_sym_BSLASHincludesvg] = ACTIONS(169),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(169),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(169),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(169),
    [anon_sym_BSLASHimport] = ACTIONS(169),
    [anon_sym_BSLASHsubimport] = ACTIONS(169),
    [anon_sym_BSLASHinputfrom] = ACTIONS(169),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(169),
    [anon_sym_BSLASHincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHcaption] = ACTIONS(169),
    [anon_sym_BSLASHcite] = ACTIONS(169),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCite] = ACTIONS(169),
    [anon_sym_BSLASHnocite] = ACTIONS(169),
    [anon_sym_BSLASHcitet] = ACTIONS(169),
    [anon_sym_BSLASHcitep] = ACTIONS(169),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteA] = ACTIONS(169),
    [anon_sym_BSLASHciteR] = ACTIONS(169),
    [anon_sym_BSLASHciteS] = ACTIONS(169),
    [anon_sym_BSLASHciteyearR] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(169),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitetitle] = ACTIONS(169),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteyear] = ACTIONS(169),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitedate] = ACTIONS(169),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteurl] = ACTIONS(169),
    [anon_sym_BSLASHfullcite] = ACTIONS(169),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(169),
    [anon_sym_BSLASHcitealt] = ACTIONS(169),
    [anon_sym_BSLASHcitealp] = ACTIONS(169),
    [anon_sym_BSLASHcitetext] = ACTIONS(169),
    [anon_sym_BSLASHparencite] = ACTIONS(169),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHParencite] = ACTIONS(169),
    [anon_sym_BSLASHfootcite] = ACTIONS(169),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(169),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(169),
    [anon_sym_BSLASHtextcite] = ACTIONS(169),
    [anon_sym_BSLASHTextcite] = ACTIONS(169),
    [anon_sym_BSLASHsmartcite] = ACTIONS(169),
    [anon_sym_BSLASHSmartcite] = ACTIONS(169),
    [anon_sym_BSLASHsupercite] = ACTIONS(169),
    [anon_sym_BSLASHautocite] = ACTIONS(169),
    [anon_sym_BSLASHAutocite] = ACTIONS(169),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHvolcite] = ACTIONS(169),
    [anon_sym_BSLASHVolcite] = ACTIONS(169),
    [anon_sym_BSLASHpvolcite] = ACTIONS(169),
    [anon_sym_BSLASHPvolcite] = ACTIONS(169),
    [anon_sym_BSLASHfvolcite] = ACTIONS(169),
    [anon_sym_BSLASHftvolcite] = ACTIONS(169),
    [anon_sym_BSLASHsvolcite] = ACTIONS(169),
    [anon_sym_BSLASHSvolcite] = ACTIONS(169),
    [anon_sym_BSLASHtvolcite] = ACTIONS(169),
    [anon_sym_BSLASHTvolcite] = ACTIONS(169),
    [anon_sym_BSLASHavolcite] = ACTIONS(169),
    [anon_sym_BSLASHAvolcite] = ACTIONS(169),
    [anon_sym_BSLASHnotecite] = ACTIONS(169),
    [anon_sym_BSLASHNotecite] = ACTIONS(169),
    [anon_sym_BSLASHpnotecite] = ACTIONS(169),
    [anon_sym_BSLASHPnotecite] = ACTIONS(169),
    [anon_sym_BSLASHfnotecite] = ACTIONS(169),
    [anon_sym_BSLASHlabel] = ACTIONS(169),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHeqref] = ACTIONS(169),
    [anon_sym_BSLASHvref] = ACTIONS(169),
    [anon_sym_BSLASHVref] = ACTIONS(169),
    [anon_sym_BSLASHautoref] = ACTIONS(169),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHpageref] = ACTIONS(169),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHautopageref] = ACTIONS(169),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcref] = ACTIONS(169),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCref] = ACTIONS(169),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpageref] = ACTIONS(169),
    [anon_sym_BSLASHCpageref] = ACTIONS(169),
    [anon_sym_BSLASHnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnameCref] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcrefrange] = ACTIONS(169),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCrefrange] = ACTIONS(169),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHnewlabel] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(169),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(169),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(169),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(171),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHdef] = ACTIONS(169),
    [anon_sym_BSLASHgdef] = ACTIONS(169),
    [anon_sym_BSLASHedef] = ACTIONS(169),
    [anon_sym_BSLASHxdef] = ACTIONS(169),
    [anon_sym_BSLASHlet] = ACTIONS(169),
    [anon_sym_BSLASHglet] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(169),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(169),
    [anon_sym_BSLASHgls] = ACTIONS(169),
    [anon_sym_BSLASHGls] = ACTIONS(169),
    [anon_sym_BSLASHGLS] = ACTIONS(169),
    [anon_sym_BSLASHglspl] = ACTIONS(169),
    [anon_sym_BSLASHGlspl] = ACTIONS(169),
    [anon_sym_BSLASHGLSpl] = ACTIONS(169),
    [anon_sym_BSLASHglsdisp] = ACTIONS(169),
    [anon_sym_BSLASHglslink] = ACTIONS(169),
    [anon_sym_BSLASHglstext] = ACTIONS(169),
    [anon_sym_BSLASHGlstext] = ACTIONS(169),
    [anon_sym_BSLASHGLStext] = ACTIONS(169),
    [anon_sym_BSLASHglsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(169),
    [anon_sym_BSLASHglsplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSplural] = ACTIONS(169),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHglsname] = ACTIONS(169),
    [anon_sym_BSLASHGlsname] = ACTIONS(169),
    [anon_sym_BSLASHGLSname] = ACTIONS(169),
    [anon_sym_BSLASHglssymbol] = ACTIONS(169),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(169),
    [anon_sym_BSLASHglsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(169),
    [anon_sym_BSLASHglsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(169),
    [anon_sym_BSLASHglsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(169),
    [anon_sym_BSLASHglsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(169),
    [anon_sym_BSLASHglsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(169),
    [anon_sym_BSLASHnewacronym] = ACTIONS(169),
    [anon_sym_BSLASHacrshort] = ACTIONS(169),
    [anon_sym_BSLASHAcrshort] = ACTIONS(169),
    [anon_sym_BSLASHACRshort] = ACTIONS(169),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(169),
    [anon_sym_BSLASHacrlong] = ACTIONS(169),
    [anon_sym_BSLASHAcrlong] = ACTIONS(169),
    [anon_sym_BSLASHACRlong] = ACTIONS(169),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(169),
    [anon_sym_BSLASHacrfull] = ACTIONS(169),
    [anon_sym_BSLASHAcrfull] = ACTIONS(169),
    [anon_sym_BSLASHACRfull] = ACTIONS(169),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(169),
    [anon_sym_BSLASHacs] = ACTIONS(169),
    [anon_sym_BSLASHAcs] = ACTIONS(169),
    [anon_sym_BSLASHacsp] = ACTIONS(169),
    [anon_sym_BSLASHAcsp] = ACTIONS(169),
    [anon_sym_BSLASHacl] = ACTIONS(169),
    [anon_sym_BSLASHAcl] = ACTIONS(169),
    [anon_sym_BSLASHaclp] = ACTIONS(169),
    [anon_sym_BSLASHAclp] = ACTIONS(169),
    [anon_sym_BSLASHacf] = ACTIONS(169),
    [anon_sym_BSLASHAcf] = ACTIONS(169),
    [anon_sym_BSLASHacfp] = ACTIONS(169),
    [anon_sym_BSLASHAcfp] = ACTIONS(169),
    [anon_sym_BSLASHac] = ACTIONS(169),
    [anon_sym_BSLASHAc] = ACTIONS(169),
    [anon_sym_BSLASHacp] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(169),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(169),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(169),
    [anon_sym_BSLASHcolor] = ACTIONS(169),
    [anon_sym_BSLASHpagecolor] = ACTIONS(169),
    [anon_sym_BSLASHtextcolor] = ACTIONS(169),
    [anon_sym_BSLASHmathcolor] = ACTIONS(169),
    [anon_sym_BSLASHcolorbox] = ACTIONS(169),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(169),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(169),
    [anon_sym_BSLASHurl] = ACTIONS(169),
    [anon_sym_BSLASHhref] = ACTIONS(169),
  },
  [594] = {
    [sym_command_name] = ACTIONS(173),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(173),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_RBRACK] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_RPAREN] = ACTIONS(175),
    [anon_sym_BSLASHpart] = ACTIONS(173),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddpart] = ACTIONS(173),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(175),
    [anon_sym_BSLASHchapter] = ACTIONS(173),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddchap] = ACTIONS(173),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsection] = ACTIONS(173),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddsec] = ACTIONS(173),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubsection] = ACTIONS(173),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(173),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHparagraph] = ACTIONS(173),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(173),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(175),
    [anon_sym_BSLASHitem] = ACTIONS(173),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(175),
    [anon_sym_LBRACE] = ACTIONS(175),
    [sym_word] = ACTIONS(173),
    [sym_placeholder] = ACTIONS(175),
    [sym_delimiter] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym__] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(175),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(175),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(175),
    [anon_sym_DOLLAR] = ACTIONS(173),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(175),
    [anon_sym_BSLASHleft] = ACTIONS(173),
    [anon_sym_BSLASHbigl] = ACTIONS(173),
    [anon_sym_BSLASHBigl] = ACTIONS(173),
    [anon_sym_BSLASHbiggl] = ACTIONS(173),
    [anon_sym_BSLASHBiggl] = ACTIONS(173),
    [anon_sym_BSLASHright] = ACTIONS(173),
    [anon_sym_BSLASHbigr] = ACTIONS(173),
    [anon_sym_BSLASHBigr] = ACTIONS(173),
    [anon_sym_BSLASHbiggr] = ACTIONS(173),
    [anon_sym_BSLASHBiggr] = ACTIONS(173),
    [anon_sym_BSLASHtext] = ACTIONS(173),
    [anon_sym_BSLASHintertext] = ACTIONS(173),
    [anon_sym_BSLASHshortintertext] = ACTIONS(173),
    [anon_sym_BSLASHbegin] = ACTIONS(173),
    [anon_sym_BSLASHtitle] = ACTIONS(173),
    [anon_sym_BSLASHauthor] = ACTIONS(173),
    [anon_sym_BSLASHusepackage] = ACTIONS(173),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(173),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(173),
    [anon_sym_BSLASHinclude] = ACTIONS(173),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(173),
    [anon_sym_BSLASHinput] = ACTIONS(173),
    [anon_sym_BSLASHsubfile] = ACTIONS(173),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(173),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(173),
    [anon_sym_BSLASHbibliography] = ACTIONS(173),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(173),
    [anon_sym_BSLASHincludesvg] = ACTIONS(173),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(173),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(173),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(173),
    [anon_sym_BSLASHimport] = ACTIONS(173),
    [anon_sym_BSLASHsubimport] = ACTIONS(173),
    [anon_sym_BSLASHinputfrom] = ACTIONS(173),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(173),
    [anon_sym_BSLASHincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHcaption] = ACTIONS(173),
    [anon_sym_BSLASHcite] = ACTIONS(173),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCite] = ACTIONS(173),
    [anon_sym_BSLASHnocite] = ACTIONS(173),
    [anon_sym_BSLASHcitet] = ACTIONS(173),
    [anon_sym_BSLASHcitep] = ACTIONS(173),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteA] = ACTIONS(173),
    [anon_sym_BSLASHciteR] = ACTIONS(173),
    [anon_sym_BSLASHciteS] = ACTIONS(173),
    [anon_sym_BSLASHciteyearR] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(173),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitetitle] = ACTIONS(173),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteyear] = ACTIONS(173),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitedate] = ACTIONS(173),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteurl] = ACTIONS(173),
    [anon_sym_BSLASHfullcite] = ACTIONS(173),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(173),
    [anon_sym_BSLASHcitealt] = ACTIONS(173),
    [anon_sym_BSLASHcitealp] = ACTIONS(173),
    [anon_sym_BSLASHcitetext] = ACTIONS(173),
    [anon_sym_BSLASHparencite] = ACTIONS(173),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHParencite] = ACTIONS(173),
    [anon_sym_BSLASHfootcite] = ACTIONS(173),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(173),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(173),
    [anon_sym_BSLASHtextcite] = ACTIONS(173),
    [anon_sym_BSLASHTextcite] = ACTIONS(173),
    [anon_sym_BSLASHsmartcite] = ACTIONS(173),
    [anon_sym_BSLASHSmartcite] = ACTIONS(173),
    [anon_sym_BSLASHsupercite] = ACTIONS(173),
    [anon_sym_BSLASHautocite] = ACTIONS(173),
    [anon_sym_BSLASHAutocite] = ACTIONS(173),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHvolcite] = ACTIONS(173),
    [anon_sym_BSLASHVolcite] = ACTIONS(173),
    [anon_sym_BSLASHpvolcite] = ACTIONS(173),
    [anon_sym_BSLASHPvolcite] = ACTIONS(173),
    [anon_sym_BSLASHfvolcite] = ACTIONS(173),
    [anon_sym_BSLASHftvolcite] = ACTIONS(173),
    [anon_sym_BSLASHsvolcite] = ACTIONS(173),
    [anon_sym_BSLASHSvolcite] = ACTIONS(173),
    [anon_sym_BSLASHtvolcite] = ACTIONS(173),
    [anon_sym_BSLASHTvolcite] = ACTIONS(173),
    [anon_sym_BSLASHavolcite] = ACTIONS(173),
    [anon_sym_BSLASHAvolcite] = ACTIONS(173),
    [anon_sym_BSLASHnotecite] = ACTIONS(173),
    [anon_sym_BSLASHNotecite] = ACTIONS(173),
    [anon_sym_BSLASHpnotecite] = ACTIONS(173),
    [anon_sym_BSLASHPnotecite] = ACTIONS(173),
    [anon_sym_BSLASHfnotecite] = ACTIONS(173),
    [anon_sym_BSLASHlabel] = ACTIONS(173),
    [anon_sym_BSLASHref] = ACTIONS(173),
    [anon_sym_BSLASHeqref] = ACTIONS(173),
    [anon_sym_BSLASHvref] = ACTIONS(173),
    [anon_sym_BSLASHVref] = ACTIONS(173),
    [anon_sym_BSLASHautoref] = ACTIONS(173),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHpageref] = ACTIONS(173),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHautopageref] = ACTIONS(173),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcref] = ACTIONS(173),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCref] = ACTIONS(173),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpageref] = ACTIONS(173),
    [anon_sym_BSLASHCpageref] = ACTIONS(173),
    [anon_sym_BSLASHnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnameCref] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcrefrange] = ACTIONS(173),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCrefrange] = ACTIONS(173),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHnewlabel] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(173),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(173),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(173),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(175),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHdef] = ACTIONS(173),
    [anon_sym_BSLASHgdef] = ACTIONS(173),
    [anon_sym_BSLASHedef] = ACTIONS(173),
    [anon_sym_BSLASHxdef] = ACTIONS(173),
    [anon_sym_BSLASHlet] = ACTIONS(173),
    [anon_sym_BSLASHglet] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(173),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(173),
    [anon_sym_BSLASHgls] = ACTIONS(173),
    [anon_sym_BSLASHGls] = ACTIONS(173),
    [anon_sym_BSLASHGLS] = ACTIONS(173),
    [anon_sym_BSLASHglspl] = ACTIONS(173),
    [anon_sym_BSLASHGlspl] = ACTIONS(173),
    [anon_sym_BSLASHGLSpl] = ACTIONS(173),
    [anon_sym_BSLASHglsdisp] = ACTIONS(173),
    [anon_sym_BSLASHglslink] = ACTIONS(173),
    [anon_sym_BSLASHglstext] = ACTIONS(173),
    [anon_sym_BSLASHGlstext] = ACTIONS(173),
    [anon_sym_BSLASHGLStext] = ACTIONS(173),
    [anon_sym_BSLASHglsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(173),
    [anon_sym_BSLASHglsplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSplural] = ACTIONS(173),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHglsname] = ACTIONS(173),
    [anon_sym_BSLASHGlsname] = ACTIONS(173),
    [anon_sym_BSLASHGLSname] = ACTIONS(173),
    [anon_sym_BSLASHglssymbol] = ACTIONS(173),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(173),
    [anon_sym_BSLASHglsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(173),
    [anon_sym_BSLASHglsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(173),
    [anon_sym_BSLASHglsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(173),
    [anon_sym_BSLASHglsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(173),
    [anon_sym_BSLASHglsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(173),
    [anon_sym_BSLASHnewacronym] = ACTIONS(173),
    [anon_sym_BSLASHacrshort] = ACTIONS(173),
    [anon_sym_BSLASHAcrshort] = ACTIONS(173),
    [anon_sym_BSLASHACRshort] = ACTIONS(173),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(173),
    [anon_sym_BSLASHacrlong] = ACTIONS(173),
    [anon_sym_BSLASHAcrlong] = ACTIONS(173),
    [anon_sym_BSLASHACRlong] = ACTIONS(173),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(173),
    [anon_sym_BSLASHacrfull] = ACTIONS(173),
    [anon_sym_BSLASHAcrfull] = ACTIONS(173),
    [anon_sym_BSLASHACRfull] = ACTIONS(173),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(173),
    [anon_sym_BSLASHacs] = ACTIONS(173),
    [anon_sym_BSLASHAcs] = ACTIONS(173),
    [anon_sym_BSLASHacsp] = ACTIONS(173),
    [anon_sym_BSLASHAcsp] = ACTIONS(173),
    [anon_sym_BSLASHacl] = ACTIONS(173),
    [anon_sym_BSLASHAcl] = ACTIONS(173),
    [anon_sym_BSLASHaclp] = ACTIONS(173),
    [anon_sym_BSLASHAclp] = ACTIONS(173),
    [anon_sym_BSLASHacf] = ACTIONS(173),
    [anon_sym_BSLASHAcf] = ACTIONS(173),
    [anon_sym_BSLASHacfp] = ACTIONS(173),
    [anon_sym_BSLASHAcfp] = ACTIONS(173),
    [anon_sym_BSLASHac] = ACTIONS(173),
    [anon_sym_BSLASHAc] = ACTIONS(173),
    [anon_sym_BSLASHacp] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(173),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(173),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(173),
    [anon_sym_BSLASHcolor] = ACTIONS(173),
    [anon_sym_BSLASHpagecolor] = ACTIONS(173),
    [anon_sym_BSLASHtextcolor] = ACTIONS(173),
    [anon_sym_BSLASHmathcolor] = ACTIONS(173),
    [anon_sym_BSLASHcolorbox] = ACTIONS(173),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(173),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(173),
    [anon_sym_BSLASHurl] = ACTIONS(173),
    [anon_sym_BSLASHhref] = ACTIONS(173),
  },
  [595] = {
    [sym_command_name] = ACTIONS(7071),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7071),
    [anon_sym_LBRACK] = ACTIONS(7073),
    [anon_sym_RBRACK] = ACTIONS(7073),
    [anon_sym_COMMA] = ACTIONS(7073),
    [anon_sym_EQ] = ACTIONS(7073),
    [anon_sym_LPAREN] = ACTIONS(7073),
    [anon_sym_RPAREN] = ACTIONS(7073),
    [anon_sym_BSLASHpart] = ACTIONS(7071),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHaddpart] = ACTIONS(7071),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHchapter] = ACTIONS(7071),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHaddchap] = ACTIONS(7071),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHsection] = ACTIONS(7071),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHaddsec] = ACTIONS(7071),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHsubsection] = ACTIONS(7071),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7071),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHparagraph] = ACTIONS(7071),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7071),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHitem] = ACTIONS(7071),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7073),
    [anon_sym_LBRACE] = ACTIONS(7073),
    [sym_word] = ACTIONS(7071),
    [sym_placeholder] = ACTIONS(7073),
    [sym_delimiter] = ACTIONS(7073),
    [anon_sym_PLUS] = ACTIONS(7073),
    [anon_sym_DASH] = ACTIONS(7073),
    [anon_sym_STAR] = ACTIONS(7073),
    [anon_sym_SLASH] = ACTIONS(7073),
    [anon_sym_LT] = ACTIONS(7071),
    [anon_sym_GT] = ACTIONS(7071),
    [anon_sym_BANG] = ACTIONS(7071),
    [anon_sym_PIPE] = ACTIONS(7071),
    [anon_sym_COLON] = ACTIONS(7071),
    [anon_sym_SQUOTE] = ACTIONS(7071),
    [anon_sym__] = ACTIONS(7073),
    [anon_sym_CARET] = ACTIONS(7073),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7073),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7073),
    [anon_sym_DOLLAR] = ACTIONS(7071),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7073),
    [anon_sym_BSLASHleft] = ACTIONS(7071),
    [anon_sym_BSLASHbigl] = ACTIONS(7071),
    [anon_sym_BSLASHBigl] = ACTIONS(7071),
    [anon_sym_BSLASHbiggl] = ACTIONS(7071),
    [anon_sym_BSLASHBiggl] = ACTIONS(7071),
    [anon_sym_BSLASHright] = ACTIONS(7071),
    [anon_sym_BSLASHbigr] = ACTIONS(7071),
    [anon_sym_BSLASHBigr] = ACTIONS(7071),
    [anon_sym_BSLASHbiggr] = ACTIONS(7071),
    [anon_sym_BSLASHBiggr] = ACTIONS(7071),
    [anon_sym_BSLASHtext] = ACTIONS(7071),
    [anon_sym_BSLASHintertext] = ACTIONS(7071),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7071),
    [anon_sym_BSLASHbegin] = ACTIONS(7071),
    [anon_sym_BSLASHtitle] = ACTIONS(7071),
    [anon_sym_BSLASHauthor] = ACTIONS(7071),
    [anon_sym_BSLASHusepackage] = ACTIONS(7071),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7071),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7071),
    [anon_sym_BSLASHinclude] = ACTIONS(7071),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7071),
    [anon_sym_BSLASHinput] = ACTIONS(7071),
    [anon_sym_BSLASHsubfile] = ACTIONS(7071),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7071),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7071),
    [anon_sym_BSLASHbibliography] = ACTIONS(7071),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7071),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7071),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7071),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7071),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7071),
    [anon_sym_BSLASHimport] = ACTIONS(7071),
    [anon_sym_BSLASHsubimport] = ACTIONS(7071),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7071),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7071),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7071),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7071),
    [anon_sym_BSLASHcaption] = ACTIONS(7071),
    [anon_sym_BSLASHcite] = ACTIONS(7071),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHCite] = ACTIONS(7071),
    [anon_sym_BSLASHnocite] = ACTIONS(7071),
    [anon_sym_BSLASHcitet] = ACTIONS(7071),
    [anon_sym_BSLASHcitep] = ACTIONS(7071),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHciteA] = ACTIONS(7071),
    [anon_sym_BSLASHciteR] = ACTIONS(7071),
    [anon_sym_BSLASHciteS] = ACTIONS(7071),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7071),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7071),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7071),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7071),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHciteyear] = ACTIONS(7071),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcitedate] = ACTIONS(7071),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHciteurl] = ACTIONS(7071),
    [anon_sym_BSLASHfullcite] = ACTIONS(7071),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7071),
    [anon_sym_BSLASHcitealt] = ACTIONS(7071),
    [anon_sym_BSLASHcitealp] = ACTIONS(7071),
    [anon_sym_BSLASHcitetext] = ACTIONS(7071),
    [anon_sym_BSLASHparencite] = ACTIONS(7071),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHParencite] = ACTIONS(7071),
    [anon_sym_BSLASHfootcite] = ACTIONS(7071),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7071),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7071),
    [anon_sym_BSLASHtextcite] = ACTIONS(7071),
    [anon_sym_BSLASHTextcite] = ACTIONS(7071),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7071),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7071),
    [anon_sym_BSLASHsupercite] = ACTIONS(7071),
    [anon_sym_BSLASHautocite] = ACTIONS(7071),
    [anon_sym_BSLASHAutocite] = ACTIONS(7071),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHVolcite] = ACTIONS(7071),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHavolcite] = ACTIONS(7071),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHnotecite] = ACTIONS(7071),
    [anon_sym_BSLASHNotecite] = ACTIONS(7071),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7071),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7071),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7071),
    [anon_sym_BSLASHlabel] = ACTIONS(7071),
    [anon_sym_BSLASHref] = ACTIONS(7071),
    [anon_sym_BSLASHeqref] = ACTIONS(7071),
    [anon_sym_BSLASHvref] = ACTIONS(7071),
    [anon_sym_BSLASHVref] = ACTIONS(7071),
    [anon_sym_BSLASHautoref] = ACTIONS(7071),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHpageref] = ACTIONS(7071),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHautopageref] = ACTIONS(7071),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcref] = ACTIONS(7071),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHCref] = ACTIONS(7071),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcpageref] = ACTIONS(7071),
    [anon_sym_BSLASHCpageref] = ACTIONS(7071),
    [anon_sym_BSLASHnamecref] = ACTIONS(7071),
    [anon_sym_BSLASHnameCref] = ACTIONS(7071),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7071),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7071),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7071),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7071),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7071),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7071),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7071),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7071),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7071),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7071),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7071),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7071),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7071),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7071),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7071),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7071),
    [anon_sym_BSLASHdef] = ACTIONS(7071),
    [anon_sym_BSLASHgdef] = ACTIONS(7071),
    [anon_sym_BSLASHedef] = ACTIONS(7071),
    [anon_sym_BSLASHxdef] = ACTIONS(7071),
    [anon_sym_BSLASHlet] = ACTIONS(7071),
    [anon_sym_BSLASHglet] = ACTIONS(7071),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7071),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7071),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7071),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7071),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7071),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7071),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7071),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7071),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7071),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7071),
    [anon_sym_BSLASHgls] = ACTIONS(7071),
    [anon_sym_BSLASHGls] = ACTIONS(7071),
    [anon_sym_BSLASHGLS] = ACTIONS(7071),
    [anon_sym_BSLASHglspl] = ACTIONS(7071),
    [anon_sym_BSLASHGlspl] = ACTIONS(7071),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7071),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7071),
    [anon_sym_BSLASHglslink] = ACTIONS(7071),
    [anon_sym_BSLASHglstext] = ACTIONS(7071),
    [anon_sym_BSLASHGlstext] = ACTIONS(7071),
    [anon_sym_BSLASHGLStext] = ACTIONS(7071),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7071),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7071),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7071),
    [anon_sym_BSLASHglsplural] = ACTIONS(7071),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7071),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7071),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7071),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7071),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7071),
    [anon_sym_BSLASHglsname] = ACTIONS(7071),
    [anon_sym_BSLASHGlsname] = ACTIONS(7071),
    [anon_sym_BSLASHGLSname] = ACTIONS(7071),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7071),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7071),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7071),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7071),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7071),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7071),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7071),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7071),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7071),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7071),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7071),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7071),
    [anon_sym_BSLASHacrshort] = ACTIONS(7071),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7071),
    [anon_sym_BSLASHACRshort] = ACTIONS(7071),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHacrlong] = ACTIONS(7071),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7071),
    [anon_sym_BSLASHACRlong] = ACTIONS(7071),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7071),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7071),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7071),
    [anon_sym_BSLASHacrfull] = ACTIONS(7071),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7071),
    [anon_sym_BSLASHACRfull] = ACTIONS(7071),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHacs] = ACTIONS(7071),
    [anon_sym_BSLASHAcs] = ACTIONS(7071),
    [anon_sym_BSLASHacsp] = ACTIONS(7071),
    [anon_sym_BSLASHAcsp] = ACTIONS(7071),
    [anon_sym_BSLASHacl] = ACTIONS(7071),
    [anon_sym_BSLASHAcl] = ACTIONS(7071),
    [anon_sym_BSLASHaclp] = ACTIONS(7071),
    [anon_sym_BSLASHAclp] = ACTIONS(7071),
    [anon_sym_BSLASHacf] = ACTIONS(7071),
    [anon_sym_BSLASHAcf] = ACTIONS(7071),
    [anon_sym_BSLASHacfp] = ACTIONS(7071),
    [anon_sym_BSLASHAcfp] = ACTIONS(7071),
    [anon_sym_BSLASHac] = ACTIONS(7071),
    [anon_sym_BSLASHAc] = ACTIONS(7071),
    [anon_sym_BSLASHacp] = ACTIONS(7071),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7071),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7071),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7071),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7071),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7071),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7071),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7071),
    [anon_sym_BSLASHcolor] = ACTIONS(7071),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7071),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7071),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7071),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7071),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7071),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7071),
    [anon_sym_BSLASHurl] = ACTIONS(7071),
    [anon_sym_BSLASHhref] = ACTIONS(7071),
  },
  [596] = {
    [sym_command_name] = ACTIONS(7075),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7075),
    [anon_sym_LBRACK] = ACTIONS(7077),
    [anon_sym_RBRACK] = ACTIONS(7077),
    [anon_sym_COMMA] = ACTIONS(7077),
    [anon_sym_EQ] = ACTIONS(7077),
    [anon_sym_LPAREN] = ACTIONS(7077),
    [anon_sym_RPAREN] = ACTIONS(7077),
    [anon_sym_BSLASHpart] = ACTIONS(7075),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHaddpart] = ACTIONS(7075),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHchapter] = ACTIONS(7075),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHaddchap] = ACTIONS(7075),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHsection] = ACTIONS(7075),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHaddsec] = ACTIONS(7075),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHsubsection] = ACTIONS(7075),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7075),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHparagraph] = ACTIONS(7075),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7075),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHitem] = ACTIONS(7075),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7077),
    [anon_sym_LBRACE] = ACTIONS(7077),
    [sym_word] = ACTIONS(7075),
    [sym_placeholder] = ACTIONS(7077),
    [sym_delimiter] = ACTIONS(7077),
    [anon_sym_PLUS] = ACTIONS(7077),
    [anon_sym_DASH] = ACTIONS(7077),
    [anon_sym_STAR] = ACTIONS(7077),
    [anon_sym_SLASH] = ACTIONS(7077),
    [anon_sym_LT] = ACTIONS(7075),
    [anon_sym_GT] = ACTIONS(7075),
    [anon_sym_BANG] = ACTIONS(7075),
    [anon_sym_PIPE] = ACTIONS(7075),
    [anon_sym_COLON] = ACTIONS(7075),
    [anon_sym_SQUOTE] = ACTIONS(7075),
    [anon_sym__] = ACTIONS(7077),
    [anon_sym_CARET] = ACTIONS(7077),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7077),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7077),
    [anon_sym_DOLLAR] = ACTIONS(7075),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7077),
    [anon_sym_BSLASHleft] = ACTIONS(7075),
    [anon_sym_BSLASHbigl] = ACTIONS(7075),
    [anon_sym_BSLASHBigl] = ACTIONS(7075),
    [anon_sym_BSLASHbiggl] = ACTIONS(7075),
    [anon_sym_BSLASHBiggl] = ACTIONS(7075),
    [anon_sym_BSLASHright] = ACTIONS(7075),
    [anon_sym_BSLASHbigr] = ACTIONS(7075),
    [anon_sym_BSLASHBigr] = ACTIONS(7075),
    [anon_sym_BSLASHbiggr] = ACTIONS(7075),
    [anon_sym_BSLASHBiggr] = ACTIONS(7075),
    [anon_sym_BSLASHtext] = ACTIONS(7075),
    [anon_sym_BSLASHintertext] = ACTIONS(7075),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7075),
    [anon_sym_BSLASHbegin] = ACTIONS(7075),
    [anon_sym_BSLASHtitle] = ACTIONS(7075),
    [anon_sym_BSLASHauthor] = ACTIONS(7075),
    [anon_sym_BSLASHusepackage] = ACTIONS(7075),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7075),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7075),
    [anon_sym_BSLASHinclude] = ACTIONS(7075),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7075),
    [anon_sym_BSLASHinput] = ACTIONS(7075),
    [anon_sym_BSLASHsubfile] = ACTIONS(7075),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7075),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7075),
    [anon_sym_BSLASHbibliography] = ACTIONS(7075),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7075),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7075),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7075),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7075),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7075),
    [anon_sym_BSLASHimport] = ACTIONS(7075),
    [anon_sym_BSLASHsubimport] = ACTIONS(7075),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7075),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7075),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7075),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7075),
    [anon_sym_BSLASHcaption] = ACTIONS(7075),
    [anon_sym_BSLASHcite] = ACTIONS(7075),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHCite] = ACTIONS(7075),
    [anon_sym_BSLASHnocite] = ACTIONS(7075),
    [anon_sym_BSLASHcitet] = ACTIONS(7075),
    [anon_sym_BSLASHcitep] = ACTIONS(7075),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHciteA] = ACTIONS(7075),
    [anon_sym_BSLASHciteR] = ACTIONS(7075),
    [anon_sym_BSLASHciteS] = ACTIONS(7075),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7075),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7075),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7075),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7075),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHciteyear] = ACTIONS(7075),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcitedate] = ACTIONS(7075),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHciteurl] = ACTIONS(7075),
    [anon_sym_BSLASHfullcite] = ACTIONS(7075),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7075),
    [anon_sym_BSLASHcitealt] = ACTIONS(7075),
    [anon_sym_BSLASHcitealp] = ACTIONS(7075),
    [anon_sym_BSLASHcitetext] = ACTIONS(7075),
    [anon_sym_BSLASHparencite] = ACTIONS(7075),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHParencite] = ACTIONS(7075),
    [anon_sym_BSLASHfootcite] = ACTIONS(7075),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7075),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7075),
    [anon_sym_BSLASHtextcite] = ACTIONS(7075),
    [anon_sym_BSLASHTextcite] = ACTIONS(7075),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7075),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7075),
    [anon_sym_BSLASHsupercite] = ACTIONS(7075),
    [anon_sym_BSLASHautocite] = ACTIONS(7075),
    [anon_sym_BSLASHAutocite] = ACTIONS(7075),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHVolcite] = ACTIONS(7075),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHavolcite] = ACTIONS(7075),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHnotecite] = ACTIONS(7075),
    [anon_sym_BSLASHNotecite] = ACTIONS(7075),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7075),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7075),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7075),
    [anon_sym_BSLASHlabel] = ACTIONS(7075),
    [anon_sym_BSLASHref] = ACTIONS(7075),
    [anon_sym_BSLASHeqref] = ACTIONS(7075),
    [anon_sym_BSLASHvref] = ACTIONS(7075),
    [anon_sym_BSLASHVref] = ACTIONS(7075),
    [anon_sym_BSLASHautoref] = ACTIONS(7075),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHpageref] = ACTIONS(7075),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHautopageref] = ACTIONS(7075),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcref] = ACTIONS(7075),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHCref] = ACTIONS(7075),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcpageref] = ACTIONS(7075),
    [anon_sym_BSLASHCpageref] = ACTIONS(7075),
    [anon_sym_BSLASHnamecref] = ACTIONS(7075),
    [anon_sym_BSLASHnameCref] = ACTIONS(7075),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7075),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7075),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7075),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7075),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7075),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7075),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7075),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7075),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7075),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7075),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7075),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7075),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7075),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7075),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7075),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7075),
    [anon_sym_BSLASHdef] = ACTIONS(7075),
    [anon_sym_BSLASHgdef] = ACTIONS(7075),
    [anon_sym_BSLASHedef] = ACTIONS(7075),
    [anon_sym_BSLASHxdef] = ACTIONS(7075),
    [anon_sym_BSLASHlet] = ACTIONS(7075),
    [anon_sym_BSLASHglet] = ACTIONS(7075),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7075),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7075),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7075),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7075),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7075),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7075),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7075),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7075),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7075),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7075),
    [anon_sym_BSLASHgls] = ACTIONS(7075),
    [anon_sym_BSLASHGls] = ACTIONS(7075),
    [anon_sym_BSLASHGLS] = ACTIONS(7075),
    [anon_sym_BSLASHglspl] = ACTIONS(7075),
    [anon_sym_BSLASHGlspl] = ACTIONS(7075),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7075),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7075),
    [anon_sym_BSLASHglslink] = ACTIONS(7075),
    [anon_sym_BSLASHglstext] = ACTIONS(7075),
    [anon_sym_BSLASHGlstext] = ACTIONS(7075),
    [anon_sym_BSLASHGLStext] = ACTIONS(7075),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7075),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7075),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7075),
    [anon_sym_BSLASHglsplural] = ACTIONS(7075),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7075),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7075),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7075),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7075),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7075),
    [anon_sym_BSLASHglsname] = ACTIONS(7075),
    [anon_sym_BSLASHGlsname] = ACTIONS(7075),
    [anon_sym_BSLASHGLSname] = ACTIONS(7075),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7075),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7075),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7075),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7075),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7075),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7075),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7075),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7075),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7075),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7075),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7075),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7075),
    [anon_sym_BSLASHacrshort] = ACTIONS(7075),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7075),
    [anon_sym_BSLASHACRshort] = ACTIONS(7075),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHacrlong] = ACTIONS(7075),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7075),
    [anon_sym_BSLASHACRlong] = ACTIONS(7075),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7075),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7075),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7075),
    [anon_sym_BSLASHacrfull] = ACTIONS(7075),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7075),
    [anon_sym_BSLASHACRfull] = ACTIONS(7075),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHacs] = ACTIONS(7075),
    [anon_sym_BSLASHAcs] = ACTIONS(7075),
    [anon_sym_BSLASHacsp] = ACTIONS(7075),
    [anon_sym_BSLASHAcsp] = ACTIONS(7075),
    [anon_sym_BSLASHacl] = ACTIONS(7075),
    [anon_sym_BSLASHAcl] = ACTIONS(7075),
    [anon_sym_BSLASHaclp] = ACTIONS(7075),
    [anon_sym_BSLASHAclp] = ACTIONS(7075),
    [anon_sym_BSLASHacf] = ACTIONS(7075),
    [anon_sym_BSLASHAcf] = ACTIONS(7075),
    [anon_sym_BSLASHacfp] = ACTIONS(7075),
    [anon_sym_BSLASHAcfp] = ACTIONS(7075),
    [anon_sym_BSLASHac] = ACTIONS(7075),
    [anon_sym_BSLASHAc] = ACTIONS(7075),
    [anon_sym_BSLASHacp] = ACTIONS(7075),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7075),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7075),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7075),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7075),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7075),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7075),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7075),
    [anon_sym_BSLASHcolor] = ACTIONS(7075),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7075),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7075),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7075),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7075),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7075),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7075),
    [anon_sym_BSLASHurl] = ACTIONS(7075),
    [anon_sym_BSLASHhref] = ACTIONS(7075),
  },
  [597] = {
    [sym_command_name] = ACTIONS(7079),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7079),
    [anon_sym_LBRACK] = ACTIONS(7081),
    [anon_sym_RBRACK] = ACTIONS(7081),
    [anon_sym_COMMA] = ACTIONS(7081),
    [anon_sym_EQ] = ACTIONS(7081),
    [anon_sym_LPAREN] = ACTIONS(7081),
    [anon_sym_RPAREN] = ACTIONS(7081),
    [anon_sym_BSLASHpart] = ACTIONS(7079),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHaddpart] = ACTIONS(7079),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHchapter] = ACTIONS(7079),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHaddchap] = ACTIONS(7079),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHsection] = ACTIONS(7079),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHaddsec] = ACTIONS(7079),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHsubsection] = ACTIONS(7079),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7079),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHparagraph] = ACTIONS(7079),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7079),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHitem] = ACTIONS(7079),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7081),
    [anon_sym_LBRACE] = ACTIONS(7081),
    [sym_word] = ACTIONS(7079),
    [sym_placeholder] = ACTIONS(7081),
    [sym_delimiter] = ACTIONS(7081),
    [anon_sym_PLUS] = ACTIONS(7081),
    [anon_sym_DASH] = ACTIONS(7081),
    [anon_sym_STAR] = ACTIONS(7081),
    [anon_sym_SLASH] = ACTIONS(7081),
    [anon_sym_LT] = ACTIONS(7079),
    [anon_sym_GT] = ACTIONS(7079),
    [anon_sym_BANG] = ACTIONS(7079),
    [anon_sym_PIPE] = ACTIONS(7079),
    [anon_sym_COLON] = ACTIONS(7079),
    [anon_sym_SQUOTE] = ACTIONS(7079),
    [anon_sym__] = ACTIONS(7081),
    [anon_sym_CARET] = ACTIONS(7081),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7081),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7081),
    [anon_sym_DOLLAR] = ACTIONS(7079),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7081),
    [anon_sym_BSLASHleft] = ACTIONS(7079),
    [anon_sym_BSLASHbigl] = ACTIONS(7079),
    [anon_sym_BSLASHBigl] = ACTIONS(7079),
    [anon_sym_BSLASHbiggl] = ACTIONS(7079),
    [anon_sym_BSLASHBiggl] = ACTIONS(7079),
    [anon_sym_BSLASHright] = ACTIONS(7079),
    [anon_sym_BSLASHbigr] = ACTIONS(7079),
    [anon_sym_BSLASHBigr] = ACTIONS(7079),
    [anon_sym_BSLASHbiggr] = ACTIONS(7079),
    [anon_sym_BSLASHBiggr] = ACTIONS(7079),
    [anon_sym_BSLASHtext] = ACTIONS(7079),
    [anon_sym_BSLASHintertext] = ACTIONS(7079),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7079),
    [anon_sym_BSLASHbegin] = ACTIONS(7079),
    [anon_sym_BSLASHtitle] = ACTIONS(7079),
    [anon_sym_BSLASHauthor] = ACTIONS(7079),
    [anon_sym_BSLASHusepackage] = ACTIONS(7079),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7079),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7079),
    [anon_sym_BSLASHinclude] = ACTIONS(7079),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7079),
    [anon_sym_BSLASHinput] = ACTIONS(7079),
    [anon_sym_BSLASHsubfile] = ACTIONS(7079),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7079),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7079),
    [anon_sym_BSLASHbibliography] = ACTIONS(7079),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7079),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7079),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7079),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7079),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7079),
    [anon_sym_BSLASHimport] = ACTIONS(7079),
    [anon_sym_BSLASHsubimport] = ACTIONS(7079),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7079),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7079),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7079),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7079),
    [anon_sym_BSLASHcaption] = ACTIONS(7079),
    [anon_sym_BSLASHcite] = ACTIONS(7079),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHCite] = ACTIONS(7079),
    [anon_sym_BSLASHnocite] = ACTIONS(7079),
    [anon_sym_BSLASHcitet] = ACTIONS(7079),
    [anon_sym_BSLASHcitep] = ACTIONS(7079),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHciteA] = ACTIONS(7079),
    [anon_sym_BSLASHciteR] = ACTIONS(7079),
    [anon_sym_BSLASHciteS] = ACTIONS(7079),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7079),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7079),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7079),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7079),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHciteyear] = ACTIONS(7079),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcitedate] = ACTIONS(7079),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHciteurl] = ACTIONS(7079),
    [anon_sym_BSLASHfullcite] = ACTIONS(7079),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7079),
    [anon_sym_BSLASHcitealt] = ACTIONS(7079),
    [anon_sym_BSLASHcitealp] = ACTIONS(7079),
    [anon_sym_BSLASHcitetext] = ACTIONS(7079),
    [anon_sym_BSLASHparencite] = ACTIONS(7079),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHParencite] = ACTIONS(7079),
    [anon_sym_BSLASHfootcite] = ACTIONS(7079),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7079),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7079),
    [anon_sym_BSLASHtextcite] = ACTIONS(7079),
    [anon_sym_BSLASHTextcite] = ACTIONS(7079),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7079),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7079),
    [anon_sym_BSLASHsupercite] = ACTIONS(7079),
    [anon_sym_BSLASHautocite] = ACTIONS(7079),
    [anon_sym_BSLASHAutocite] = ACTIONS(7079),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHVolcite] = ACTIONS(7079),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHavolcite] = ACTIONS(7079),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHnotecite] = ACTIONS(7079),
    [anon_sym_BSLASHNotecite] = ACTIONS(7079),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7079),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7079),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7079),
    [anon_sym_BSLASHlabel] = ACTIONS(7079),
    [anon_sym_BSLASHref] = ACTIONS(7079),
    [anon_sym_BSLASHeqref] = ACTIONS(7079),
    [anon_sym_BSLASHvref] = ACTIONS(7079),
    [anon_sym_BSLASHVref] = ACTIONS(7079),
    [anon_sym_BSLASHautoref] = ACTIONS(7079),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHpageref] = ACTIONS(7079),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHautopageref] = ACTIONS(7079),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcref] = ACTIONS(7079),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHCref] = ACTIONS(7079),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcpageref] = ACTIONS(7079),
    [anon_sym_BSLASHCpageref] = ACTIONS(7079),
    [anon_sym_BSLASHnamecref] = ACTIONS(7079),
    [anon_sym_BSLASHnameCref] = ACTIONS(7079),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7079),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7079),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7079),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7079),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7079),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7079),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7079),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7079),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7079),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7079),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7079),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7079),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7079),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7079),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7079),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7079),
    [anon_sym_BSLASHdef] = ACTIONS(7079),
    [anon_sym_BSLASHgdef] = ACTIONS(7079),
    [anon_sym_BSLASHedef] = ACTIONS(7079),
    [anon_sym_BSLASHxdef] = ACTIONS(7079),
    [anon_sym_BSLASHlet] = ACTIONS(7079),
    [anon_sym_BSLASHglet] = ACTIONS(7079),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7079),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7079),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7079),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7079),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7079),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7079),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7079),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7079),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7079),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7079),
    [anon_sym_BSLASHgls] = ACTIONS(7079),
    [anon_sym_BSLASHGls] = ACTIONS(7079),
    [anon_sym_BSLASHGLS] = ACTIONS(7079),
    [anon_sym_BSLASHglspl] = ACTIONS(7079),
    [anon_sym_BSLASHGlspl] = ACTIONS(7079),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7079),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7079),
    [anon_sym_BSLASHglslink] = ACTIONS(7079),
    [anon_sym_BSLASHglstext] = ACTIONS(7079),
    [anon_sym_BSLASHGlstext] = ACTIONS(7079),
    [anon_sym_BSLASHGLStext] = ACTIONS(7079),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7079),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7079),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7079),
    [anon_sym_BSLASHglsplural] = ACTIONS(7079),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7079),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7079),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7079),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7079),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7079),
    [anon_sym_BSLASHglsname] = ACTIONS(7079),
    [anon_sym_BSLASHGlsname] = ACTIONS(7079),
    [anon_sym_BSLASHGLSname] = ACTIONS(7079),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7079),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7079),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7079),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7079),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7079),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7079),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7079),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7079),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7079),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7079),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7079),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7079),
    [anon_sym_BSLASHacrshort] = ACTIONS(7079),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7079),
    [anon_sym_BSLASHACRshort] = ACTIONS(7079),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHacrlong] = ACTIONS(7079),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7079),
    [anon_sym_BSLASHACRlong] = ACTIONS(7079),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7079),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7079),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7079),
    [anon_sym_BSLASHacrfull] = ACTIONS(7079),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7079),
    [anon_sym_BSLASHACRfull] = ACTIONS(7079),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHacs] = ACTIONS(7079),
    [anon_sym_BSLASHAcs] = ACTIONS(7079),
    [anon_sym_BSLASHacsp] = ACTIONS(7079),
    [anon_sym_BSLASHAcsp] = ACTIONS(7079),
    [anon_sym_BSLASHacl] = ACTIONS(7079),
    [anon_sym_BSLASHAcl] = ACTIONS(7079),
    [anon_sym_BSLASHaclp] = ACTIONS(7079),
    [anon_sym_BSLASHAclp] = ACTIONS(7079),
    [anon_sym_BSLASHacf] = ACTIONS(7079),
    [anon_sym_BSLASHAcf] = ACTIONS(7079),
    [anon_sym_BSLASHacfp] = ACTIONS(7079),
    [anon_sym_BSLASHAcfp] = ACTIONS(7079),
    [anon_sym_BSLASHac] = ACTIONS(7079),
    [anon_sym_BSLASHAc] = ACTIONS(7079),
    [anon_sym_BSLASHacp] = ACTIONS(7079),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7079),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7079),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7079),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7079),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7079),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7079),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7079),
    [anon_sym_BSLASHcolor] = ACTIONS(7079),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7079),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7079),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7079),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7079),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7079),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7079),
    [anon_sym_BSLASHurl] = ACTIONS(7079),
    [anon_sym_BSLASHhref] = ACTIONS(7079),
  },
  [598] = {
    [sym_command_name] = ACTIONS(7083),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7083),
    [anon_sym_LBRACK] = ACTIONS(7085),
    [anon_sym_RBRACK] = ACTIONS(7085),
    [anon_sym_COMMA] = ACTIONS(7085),
    [anon_sym_EQ] = ACTIONS(7085),
    [anon_sym_LPAREN] = ACTIONS(7085),
    [anon_sym_RPAREN] = ACTIONS(7085),
    [anon_sym_BSLASHpart] = ACTIONS(7083),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHaddpart] = ACTIONS(7083),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHchapter] = ACTIONS(7083),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHaddchap] = ACTIONS(7083),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHsection] = ACTIONS(7083),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHaddsec] = ACTIONS(7083),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHsubsection] = ACTIONS(7083),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7083),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHparagraph] = ACTIONS(7083),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7083),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHitem] = ACTIONS(7083),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7085),
    [anon_sym_LBRACE] = ACTIONS(7085),
    [sym_word] = ACTIONS(7083),
    [sym_placeholder] = ACTIONS(7085),
    [sym_delimiter] = ACTIONS(7085),
    [anon_sym_PLUS] = ACTIONS(7085),
    [anon_sym_DASH] = ACTIONS(7085),
    [anon_sym_STAR] = ACTIONS(7085),
    [anon_sym_SLASH] = ACTIONS(7085),
    [anon_sym_LT] = ACTIONS(7083),
    [anon_sym_GT] = ACTIONS(7083),
    [anon_sym_BANG] = ACTIONS(7083),
    [anon_sym_PIPE] = ACTIONS(7083),
    [anon_sym_COLON] = ACTIONS(7083),
    [anon_sym_SQUOTE] = ACTIONS(7083),
    [anon_sym__] = ACTIONS(7085),
    [anon_sym_CARET] = ACTIONS(7085),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7085),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7085),
    [anon_sym_DOLLAR] = ACTIONS(7083),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7085),
    [anon_sym_BSLASHleft] = ACTIONS(7083),
    [anon_sym_BSLASHbigl] = ACTIONS(7083),
    [anon_sym_BSLASHBigl] = ACTIONS(7083),
    [anon_sym_BSLASHbiggl] = ACTIONS(7083),
    [anon_sym_BSLASHBiggl] = ACTIONS(7083),
    [anon_sym_BSLASHright] = ACTIONS(7083),
    [anon_sym_BSLASHbigr] = ACTIONS(7083),
    [anon_sym_BSLASHBigr] = ACTIONS(7083),
    [anon_sym_BSLASHbiggr] = ACTIONS(7083),
    [anon_sym_BSLASHBiggr] = ACTIONS(7083),
    [anon_sym_BSLASHtext] = ACTIONS(7083),
    [anon_sym_BSLASHintertext] = ACTIONS(7083),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7083),
    [anon_sym_BSLASHbegin] = ACTIONS(7083),
    [anon_sym_BSLASHtitle] = ACTIONS(7083),
    [anon_sym_BSLASHauthor] = ACTIONS(7083),
    [anon_sym_BSLASHusepackage] = ACTIONS(7083),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7083),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7083),
    [anon_sym_BSLASHinclude] = ACTIONS(7083),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7083),
    [anon_sym_BSLASHinput] = ACTIONS(7083),
    [anon_sym_BSLASHsubfile] = ACTIONS(7083),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7083),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7083),
    [anon_sym_BSLASHbibliography] = ACTIONS(7083),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7083),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7083),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7083),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7083),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7083),
    [anon_sym_BSLASHimport] = ACTIONS(7083),
    [anon_sym_BSLASHsubimport] = ACTIONS(7083),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7083),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7083),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7083),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7083),
    [anon_sym_BSLASHcaption] = ACTIONS(7083),
    [anon_sym_BSLASHcite] = ACTIONS(7083),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHCite] = ACTIONS(7083),
    [anon_sym_BSLASHnocite] = ACTIONS(7083),
    [anon_sym_BSLASHcitet] = ACTIONS(7083),
    [anon_sym_BSLASHcitep] = ACTIONS(7083),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHciteA] = ACTIONS(7083),
    [anon_sym_BSLASHciteR] = ACTIONS(7083),
    [anon_sym_BSLASHciteS] = ACTIONS(7083),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7083),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7083),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7083),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7083),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHciteyear] = ACTIONS(7083),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcitedate] = ACTIONS(7083),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHciteurl] = ACTIONS(7083),
    [anon_sym_BSLASHfullcite] = ACTIONS(7083),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7083),
    [anon_sym_BSLASHcitealt] = ACTIONS(7083),
    [anon_sym_BSLASHcitealp] = ACTIONS(7083),
    [anon_sym_BSLASHcitetext] = ACTIONS(7083),
    [anon_sym_BSLASHparencite] = ACTIONS(7083),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHParencite] = ACTIONS(7083),
    [anon_sym_BSLASHfootcite] = ACTIONS(7083),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7083),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7083),
    [anon_sym_BSLASHtextcite] = ACTIONS(7083),
    [anon_sym_BSLASHTextcite] = ACTIONS(7083),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7083),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7083),
    [anon_sym_BSLASHsupercite] = ACTIONS(7083),
    [anon_sym_BSLASHautocite] = ACTIONS(7083),
    [anon_sym_BSLASHAutocite] = ACTIONS(7083),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHVolcite] = ACTIONS(7083),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHavolcite] = ACTIONS(7083),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHnotecite] = ACTIONS(7083),
    [anon_sym_BSLASHNotecite] = ACTIONS(7083),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7083),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7083),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7083),
    [anon_sym_BSLASHlabel] = ACTIONS(7083),
    [anon_sym_BSLASHref] = ACTIONS(7083),
    [anon_sym_BSLASHeqref] = ACTIONS(7083),
    [anon_sym_BSLASHvref] = ACTIONS(7083),
    [anon_sym_BSLASHVref] = ACTIONS(7083),
    [anon_sym_BSLASHautoref] = ACTIONS(7083),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHpageref] = ACTIONS(7083),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHautopageref] = ACTIONS(7083),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcref] = ACTIONS(7083),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHCref] = ACTIONS(7083),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcpageref] = ACTIONS(7083),
    [anon_sym_BSLASHCpageref] = ACTIONS(7083),
    [anon_sym_BSLASHnamecref] = ACTIONS(7083),
    [anon_sym_BSLASHnameCref] = ACTIONS(7083),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7083),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7083),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7083),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7083),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7083),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7083),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7083),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7083),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7083),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7083),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7083),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7083),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7083),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7083),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7083),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7083),
    [anon_sym_BSLASHdef] = ACTIONS(7083),
    [anon_sym_BSLASHgdef] = ACTIONS(7083),
    [anon_sym_BSLASHedef] = ACTIONS(7083),
    [anon_sym_BSLASHxdef] = ACTIONS(7083),
    [anon_sym_BSLASHlet] = ACTIONS(7083),
    [anon_sym_BSLASHglet] = ACTIONS(7083),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7083),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7083),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7083),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7083),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7083),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7083),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7083),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7083),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7083),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7083),
    [anon_sym_BSLASHgls] = ACTIONS(7083),
    [anon_sym_BSLASHGls] = ACTIONS(7083),
    [anon_sym_BSLASHGLS] = ACTIONS(7083),
    [anon_sym_BSLASHglspl] = ACTIONS(7083),
    [anon_sym_BSLASHGlspl] = ACTIONS(7083),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7083),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7083),
    [anon_sym_BSLASHglslink] = ACTIONS(7083),
    [anon_sym_BSLASHglstext] = ACTIONS(7083),
    [anon_sym_BSLASHGlstext] = ACTIONS(7083),
    [anon_sym_BSLASHGLStext] = ACTIONS(7083),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7083),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7083),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7083),
    [anon_sym_BSLASHglsplural] = ACTIONS(7083),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7083),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7083),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7083),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7083),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7083),
    [anon_sym_BSLASHglsname] = ACTIONS(7083),
    [anon_sym_BSLASHGlsname] = ACTIONS(7083),
    [anon_sym_BSLASHGLSname] = ACTIONS(7083),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7083),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7083),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7083),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7083),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7083),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7083),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7083),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7083),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7083),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7083),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7083),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7083),
    [anon_sym_BSLASHacrshort] = ACTIONS(7083),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7083),
    [anon_sym_BSLASHACRshort] = ACTIONS(7083),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHacrlong] = ACTIONS(7083),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7083),
    [anon_sym_BSLASHACRlong] = ACTIONS(7083),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7083),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7083),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7083),
    [anon_sym_BSLASHacrfull] = ACTIONS(7083),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7083),
    [anon_sym_BSLASHACRfull] = ACTIONS(7083),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHacs] = ACTIONS(7083),
    [anon_sym_BSLASHAcs] = ACTIONS(7083),
    [anon_sym_BSLASHacsp] = ACTIONS(7083),
    [anon_sym_BSLASHAcsp] = ACTIONS(7083),
    [anon_sym_BSLASHacl] = ACTIONS(7083),
    [anon_sym_BSLASHAcl] = ACTIONS(7083),
    [anon_sym_BSLASHaclp] = ACTIONS(7083),
    [anon_sym_BSLASHAclp] = ACTIONS(7083),
    [anon_sym_BSLASHacf] = ACTIONS(7083),
    [anon_sym_BSLASHAcf] = ACTIONS(7083),
    [anon_sym_BSLASHacfp] = ACTIONS(7083),
    [anon_sym_BSLASHAcfp] = ACTIONS(7083),
    [anon_sym_BSLASHac] = ACTIONS(7083),
    [anon_sym_BSLASHAc] = ACTIONS(7083),
    [anon_sym_BSLASHacp] = ACTIONS(7083),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7083),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7083),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7083),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7083),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7083),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7083),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7083),
    [anon_sym_BSLASHcolor] = ACTIONS(7083),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7083),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7083),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7083),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7083),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7083),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7083),
    [anon_sym_BSLASHurl] = ACTIONS(7083),
    [anon_sym_BSLASHhref] = ACTIONS(7083),
  },
  [599] = {
    [sym_command_name] = ACTIONS(7087),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7087),
    [anon_sym_LBRACK] = ACTIONS(7089),
    [anon_sym_RBRACK] = ACTIONS(7089),
    [anon_sym_COMMA] = ACTIONS(7089),
    [anon_sym_EQ] = ACTIONS(7089),
    [anon_sym_LPAREN] = ACTIONS(7089),
    [anon_sym_RPAREN] = ACTIONS(7089),
    [anon_sym_BSLASHpart] = ACTIONS(7087),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHaddpart] = ACTIONS(7087),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHchapter] = ACTIONS(7087),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHaddchap] = ACTIONS(7087),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHsection] = ACTIONS(7087),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHaddsec] = ACTIONS(7087),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHsubsection] = ACTIONS(7087),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7087),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHparagraph] = ACTIONS(7087),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7087),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHitem] = ACTIONS(7087),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7089),
    [anon_sym_LBRACE] = ACTIONS(7089),
    [sym_word] = ACTIONS(7087),
    [sym_placeholder] = ACTIONS(7089),
    [sym_delimiter] = ACTIONS(7089),
    [anon_sym_PLUS] = ACTIONS(7089),
    [anon_sym_DASH] = ACTIONS(7089),
    [anon_sym_STAR] = ACTIONS(7089),
    [anon_sym_SLASH] = ACTIONS(7089),
    [anon_sym_LT] = ACTIONS(7087),
    [anon_sym_GT] = ACTIONS(7087),
    [anon_sym_BANG] = ACTIONS(7087),
    [anon_sym_PIPE] = ACTIONS(7087),
    [anon_sym_COLON] = ACTIONS(7087),
    [anon_sym_SQUOTE] = ACTIONS(7087),
    [anon_sym__] = ACTIONS(7089),
    [anon_sym_CARET] = ACTIONS(7089),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7089),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7089),
    [anon_sym_DOLLAR] = ACTIONS(7087),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7089),
    [anon_sym_BSLASHleft] = ACTIONS(7087),
    [anon_sym_BSLASHbigl] = ACTIONS(7087),
    [anon_sym_BSLASHBigl] = ACTIONS(7087),
    [anon_sym_BSLASHbiggl] = ACTIONS(7087),
    [anon_sym_BSLASHBiggl] = ACTIONS(7087),
    [anon_sym_BSLASHright] = ACTIONS(7087),
    [anon_sym_BSLASHbigr] = ACTIONS(7087),
    [anon_sym_BSLASHBigr] = ACTIONS(7087),
    [anon_sym_BSLASHbiggr] = ACTIONS(7087),
    [anon_sym_BSLASHBiggr] = ACTIONS(7087),
    [anon_sym_BSLASHtext] = ACTIONS(7087),
    [anon_sym_BSLASHintertext] = ACTIONS(7087),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7087),
    [anon_sym_BSLASHbegin] = ACTIONS(7087),
    [anon_sym_BSLASHtitle] = ACTIONS(7087),
    [anon_sym_BSLASHauthor] = ACTIONS(7087),
    [anon_sym_BSLASHusepackage] = ACTIONS(7087),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7087),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7087),
    [anon_sym_BSLASHinclude] = ACTIONS(7087),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7087),
    [anon_sym_BSLASHinput] = ACTIONS(7087),
    [anon_sym_BSLASHsubfile] = ACTIONS(7087),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7087),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7087),
    [anon_sym_BSLASHbibliography] = ACTIONS(7087),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7087),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7087),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7087),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7087),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7087),
    [anon_sym_BSLASHimport] = ACTIONS(7087),
    [anon_sym_BSLASHsubimport] = ACTIONS(7087),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7087),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7087),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7087),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7087),
    [anon_sym_BSLASHcaption] = ACTIONS(7087),
    [anon_sym_BSLASHcite] = ACTIONS(7087),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHCite] = ACTIONS(7087),
    [anon_sym_BSLASHnocite] = ACTIONS(7087),
    [anon_sym_BSLASHcitet] = ACTIONS(7087),
    [anon_sym_BSLASHcitep] = ACTIONS(7087),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHciteA] = ACTIONS(7087),
    [anon_sym_BSLASHciteR] = ACTIONS(7087),
    [anon_sym_BSLASHciteS] = ACTIONS(7087),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7087),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7087),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7087),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7087),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHciteyear] = ACTIONS(7087),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcitedate] = ACTIONS(7087),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHciteurl] = ACTIONS(7087),
    [anon_sym_BSLASHfullcite] = ACTIONS(7087),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7087),
    [anon_sym_BSLASHcitealt] = ACTIONS(7087),
    [anon_sym_BSLASHcitealp] = ACTIONS(7087),
    [anon_sym_BSLASHcitetext] = ACTIONS(7087),
    [anon_sym_BSLASHparencite] = ACTIONS(7087),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHParencite] = ACTIONS(7087),
    [anon_sym_BSLASHfootcite] = ACTIONS(7087),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7087),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7087),
    [anon_sym_BSLASHtextcite] = ACTIONS(7087),
    [anon_sym_BSLASHTextcite] = ACTIONS(7087),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7087),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7087),
    [anon_sym_BSLASHsupercite] = ACTIONS(7087),
    [anon_sym_BSLASHautocite] = ACTIONS(7087),
    [anon_sym_BSLASHAutocite] = ACTIONS(7087),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHVolcite] = ACTIONS(7087),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHavolcite] = ACTIONS(7087),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHnotecite] = ACTIONS(7087),
    [anon_sym_BSLASHNotecite] = ACTIONS(7087),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7087),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7087),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7087),
    [anon_sym_BSLASHlabel] = ACTIONS(7087),
    [anon_sym_BSLASHref] = ACTIONS(7087),
    [anon_sym_BSLASHeqref] = ACTIONS(7087),
    [anon_sym_BSLASHvref] = ACTIONS(7087),
    [anon_sym_BSLASHVref] = ACTIONS(7087),
    [anon_sym_BSLASHautoref] = ACTIONS(7087),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHpageref] = ACTIONS(7087),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHautopageref] = ACTIONS(7087),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcref] = ACTIONS(7087),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHCref] = ACTIONS(7087),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcpageref] = ACTIONS(7087),
    [anon_sym_BSLASHCpageref] = ACTIONS(7087),
    [anon_sym_BSLASHnamecref] = ACTIONS(7087),
    [anon_sym_BSLASHnameCref] = ACTIONS(7087),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7087),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7087),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7087),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7087),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7087),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7087),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7087),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7087),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7087),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7087),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7087),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7087),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7087),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7087),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7087),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7087),
    [anon_sym_BSLASHdef] = ACTIONS(7087),
    [anon_sym_BSLASHgdef] = ACTIONS(7087),
    [anon_sym_BSLASHedef] = ACTIONS(7087),
    [anon_sym_BSLASHxdef] = ACTIONS(7087),
    [anon_sym_BSLASHlet] = ACTIONS(7087),
    [anon_sym_BSLASHglet] = ACTIONS(7087),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7087),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7087),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7087),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7087),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7087),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7087),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7087),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7087),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7087),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7087),
    [anon_sym_BSLASHgls] = ACTIONS(7087),
    [anon_sym_BSLASHGls] = ACTIONS(7087),
    [anon_sym_BSLASHGLS] = ACTIONS(7087),
    [anon_sym_BSLASHglspl] = ACTIONS(7087),
    [anon_sym_BSLASHGlspl] = ACTIONS(7087),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7087),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7087),
    [anon_sym_BSLASHglslink] = ACTIONS(7087),
    [anon_sym_BSLASHglstext] = ACTIONS(7087),
    [anon_sym_BSLASHGlstext] = ACTIONS(7087),
    [anon_sym_BSLASHGLStext] = ACTIONS(7087),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7087),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7087),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7087),
    [anon_sym_BSLASHglsplural] = ACTIONS(7087),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7087),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7087),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7087),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7087),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7087),
    [anon_sym_BSLASHglsname] = ACTIONS(7087),
    [anon_sym_BSLASHGlsname] = ACTIONS(7087),
    [anon_sym_BSLASHGLSname] = ACTIONS(7087),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7087),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7087),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7087),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7087),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7087),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7087),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7087),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7087),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7087),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7087),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7087),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7087),
    [anon_sym_BSLASHacrshort] = ACTIONS(7087),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7087),
    [anon_sym_BSLASHACRshort] = ACTIONS(7087),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHacrlong] = ACTIONS(7087),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7087),
    [anon_sym_BSLASHACRlong] = ACTIONS(7087),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7087),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7087),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7087),
    [anon_sym_BSLASHacrfull] = ACTIONS(7087),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7087),
    [anon_sym_BSLASHACRfull] = ACTIONS(7087),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHacs] = ACTIONS(7087),
    [anon_sym_BSLASHAcs] = ACTIONS(7087),
    [anon_sym_BSLASHacsp] = ACTIONS(7087),
    [anon_sym_BSLASHAcsp] = ACTIONS(7087),
    [anon_sym_BSLASHacl] = ACTIONS(7087),
    [anon_sym_BSLASHAcl] = ACTIONS(7087),
    [anon_sym_BSLASHaclp] = ACTIONS(7087),
    [anon_sym_BSLASHAclp] = ACTIONS(7087),
    [anon_sym_BSLASHacf] = ACTIONS(7087),
    [anon_sym_BSLASHAcf] = ACTIONS(7087),
    [anon_sym_BSLASHacfp] = ACTIONS(7087),
    [anon_sym_BSLASHAcfp] = ACTIONS(7087),
    [anon_sym_BSLASHac] = ACTIONS(7087),
    [anon_sym_BSLASHAc] = ACTIONS(7087),
    [anon_sym_BSLASHacp] = ACTIONS(7087),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7087),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7087),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7087),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7087),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7087),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7087),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7087),
    [anon_sym_BSLASHcolor] = ACTIONS(7087),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7087),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7087),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7087),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7087),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7087),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7087),
    [anon_sym_BSLASHurl] = ACTIONS(7087),
    [anon_sym_BSLASHhref] = ACTIONS(7087),
  },
  [600] = {
    [sym_command_name] = ACTIONS(7091),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7091),
    [anon_sym_LBRACK] = ACTIONS(7093),
    [anon_sym_RBRACK] = ACTIONS(7093),
    [anon_sym_COMMA] = ACTIONS(7093),
    [anon_sym_EQ] = ACTIONS(7093),
    [anon_sym_LPAREN] = ACTIONS(7093),
    [anon_sym_RPAREN] = ACTIONS(7093),
    [anon_sym_BSLASHpart] = ACTIONS(7091),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHaddpart] = ACTIONS(7091),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHchapter] = ACTIONS(7091),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHaddchap] = ACTIONS(7091),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHsection] = ACTIONS(7091),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHaddsec] = ACTIONS(7091),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHsubsection] = ACTIONS(7091),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7091),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHparagraph] = ACTIONS(7091),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7091),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHitem] = ACTIONS(7091),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7093),
    [anon_sym_LBRACE] = ACTIONS(7093),
    [sym_word] = ACTIONS(7091),
    [sym_placeholder] = ACTIONS(7093),
    [sym_delimiter] = ACTIONS(7093),
    [anon_sym_PLUS] = ACTIONS(7093),
    [anon_sym_DASH] = ACTIONS(7093),
    [anon_sym_STAR] = ACTIONS(7093),
    [anon_sym_SLASH] = ACTIONS(7093),
    [anon_sym_LT] = ACTIONS(7091),
    [anon_sym_GT] = ACTIONS(7091),
    [anon_sym_BANG] = ACTIONS(7091),
    [anon_sym_PIPE] = ACTIONS(7091),
    [anon_sym_COLON] = ACTIONS(7091),
    [anon_sym_SQUOTE] = ACTIONS(7091),
    [anon_sym__] = ACTIONS(7093),
    [anon_sym_CARET] = ACTIONS(7093),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7093),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7093),
    [anon_sym_DOLLAR] = ACTIONS(7091),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7093),
    [anon_sym_BSLASHleft] = ACTIONS(7091),
    [anon_sym_BSLASHbigl] = ACTIONS(7091),
    [anon_sym_BSLASHBigl] = ACTIONS(7091),
    [anon_sym_BSLASHbiggl] = ACTIONS(7091),
    [anon_sym_BSLASHBiggl] = ACTIONS(7091),
    [anon_sym_BSLASHright] = ACTIONS(7091),
    [anon_sym_BSLASHbigr] = ACTIONS(7091),
    [anon_sym_BSLASHBigr] = ACTIONS(7091),
    [anon_sym_BSLASHbiggr] = ACTIONS(7091),
    [anon_sym_BSLASHBiggr] = ACTIONS(7091),
    [anon_sym_BSLASHtext] = ACTIONS(7091),
    [anon_sym_BSLASHintertext] = ACTIONS(7091),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7091),
    [anon_sym_BSLASHbegin] = ACTIONS(7091),
    [anon_sym_BSLASHtitle] = ACTIONS(7091),
    [anon_sym_BSLASHauthor] = ACTIONS(7091),
    [anon_sym_BSLASHusepackage] = ACTIONS(7091),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7091),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7091),
    [anon_sym_BSLASHinclude] = ACTIONS(7091),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7091),
    [anon_sym_BSLASHinput] = ACTIONS(7091),
    [anon_sym_BSLASHsubfile] = ACTIONS(7091),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7091),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7091),
    [anon_sym_BSLASHbibliography] = ACTIONS(7091),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7091),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7091),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7091),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7091),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7091),
    [anon_sym_BSLASHimport] = ACTIONS(7091),
    [anon_sym_BSLASHsubimport] = ACTIONS(7091),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7091),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7091),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7091),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7091),
    [anon_sym_BSLASHcaption] = ACTIONS(7091),
    [anon_sym_BSLASHcite] = ACTIONS(7091),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHCite] = ACTIONS(7091),
    [anon_sym_BSLASHnocite] = ACTIONS(7091),
    [anon_sym_BSLASHcitet] = ACTIONS(7091),
    [anon_sym_BSLASHcitep] = ACTIONS(7091),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHciteA] = ACTIONS(7091),
    [anon_sym_BSLASHciteR] = ACTIONS(7091),
    [anon_sym_BSLASHciteS] = ACTIONS(7091),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7091),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7091),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7091),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7091),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHciteyear] = ACTIONS(7091),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcitedate] = ACTIONS(7091),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHciteurl] = ACTIONS(7091),
    [anon_sym_BSLASHfullcite] = ACTIONS(7091),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7091),
    [anon_sym_BSLASHcitealt] = ACTIONS(7091),
    [anon_sym_BSLASHcitealp] = ACTIONS(7091),
    [anon_sym_BSLASHcitetext] = ACTIONS(7091),
    [anon_sym_BSLASHparencite] = ACTIONS(7091),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHParencite] = ACTIONS(7091),
    [anon_sym_BSLASHfootcite] = ACTIONS(7091),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7091),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7091),
    [anon_sym_BSLASHtextcite] = ACTIONS(7091),
    [anon_sym_BSLASHTextcite] = ACTIONS(7091),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7091),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7091),
    [anon_sym_BSLASHsupercite] = ACTIONS(7091),
    [anon_sym_BSLASHautocite] = ACTIONS(7091),
    [anon_sym_BSLASHAutocite] = ACTIONS(7091),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHVolcite] = ACTIONS(7091),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHavolcite] = ACTIONS(7091),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHnotecite] = ACTIONS(7091),
    [anon_sym_BSLASHNotecite] = ACTIONS(7091),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7091),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7091),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7091),
    [anon_sym_BSLASHlabel] = ACTIONS(7091),
    [anon_sym_BSLASHref] = ACTIONS(7091),
    [anon_sym_BSLASHeqref] = ACTIONS(7091),
    [anon_sym_BSLASHvref] = ACTIONS(7091),
    [anon_sym_BSLASHVref] = ACTIONS(7091),
    [anon_sym_BSLASHautoref] = ACTIONS(7091),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHpageref] = ACTIONS(7091),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHautopageref] = ACTIONS(7091),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcref] = ACTIONS(7091),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHCref] = ACTIONS(7091),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcpageref] = ACTIONS(7091),
    [anon_sym_BSLASHCpageref] = ACTIONS(7091),
    [anon_sym_BSLASHnamecref] = ACTIONS(7091),
    [anon_sym_BSLASHnameCref] = ACTIONS(7091),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7091),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7091),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7091),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7091),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7091),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7091),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7091),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7091),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7091),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7091),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7091),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7091),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7091),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7091),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7091),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7091),
    [anon_sym_BSLASHdef] = ACTIONS(7091),
    [anon_sym_BSLASHgdef] = ACTIONS(7091),
    [anon_sym_BSLASHedef] = ACTIONS(7091),
    [anon_sym_BSLASHxdef] = ACTIONS(7091),
    [anon_sym_BSLASHlet] = ACTIONS(7091),
    [anon_sym_BSLASHglet] = ACTIONS(7091),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7091),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7091),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7091),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7091),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7091),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7091),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7091),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7091),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7091),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7091),
    [anon_sym_BSLASHgls] = ACTIONS(7091),
    [anon_sym_BSLASHGls] = ACTIONS(7091),
    [anon_sym_BSLASHGLS] = ACTIONS(7091),
    [anon_sym_BSLASHglspl] = ACTIONS(7091),
    [anon_sym_BSLASHGlspl] = ACTIONS(7091),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7091),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7091),
    [anon_sym_BSLASHglslink] = ACTIONS(7091),
    [anon_sym_BSLASHglstext] = ACTIONS(7091),
    [anon_sym_BSLASHGlstext] = ACTIONS(7091),
    [anon_sym_BSLASHGLStext] = ACTIONS(7091),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7091),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7091),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7091),
    [anon_sym_BSLASHglsplural] = ACTIONS(7091),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7091),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7091),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7091),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7091),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7091),
    [anon_sym_BSLASHglsname] = ACTIONS(7091),
    [anon_sym_BSLASHGlsname] = ACTIONS(7091),
    [anon_sym_BSLASHGLSname] = ACTIONS(7091),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7091),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7091),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7091),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7091),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7091),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7091),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7091),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7091),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7091),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7091),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7091),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7091),
    [anon_sym_BSLASHacrshort] = ACTIONS(7091),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7091),
    [anon_sym_BSLASHACRshort] = ACTIONS(7091),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHacrlong] = ACTIONS(7091),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7091),
    [anon_sym_BSLASHACRlong] = ACTIONS(7091),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7091),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7091),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7091),
    [anon_sym_BSLASHacrfull] = ACTIONS(7091),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7091),
    [anon_sym_BSLASHACRfull] = ACTIONS(7091),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHacs] = ACTIONS(7091),
    [anon_sym_BSLASHAcs] = ACTIONS(7091),
    [anon_sym_BSLASHacsp] = ACTIONS(7091),
    [anon_sym_BSLASHAcsp] = ACTIONS(7091),
    [anon_sym_BSLASHacl] = ACTIONS(7091),
    [anon_sym_BSLASHAcl] = ACTIONS(7091),
    [anon_sym_BSLASHaclp] = ACTIONS(7091),
    [anon_sym_BSLASHAclp] = ACTIONS(7091),
    [anon_sym_BSLASHacf] = ACTIONS(7091),
    [anon_sym_BSLASHAcf] = ACTIONS(7091),
    [anon_sym_BSLASHacfp] = ACTIONS(7091),
    [anon_sym_BSLASHAcfp] = ACTIONS(7091),
    [anon_sym_BSLASHac] = ACTIONS(7091),
    [anon_sym_BSLASHAc] = ACTIONS(7091),
    [anon_sym_BSLASHacp] = ACTIONS(7091),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7091),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7091),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7091),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7091),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7091),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7091),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7091),
    [anon_sym_BSLASHcolor] = ACTIONS(7091),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7091),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7091),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7091),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7091),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7091),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7091),
    [anon_sym_BSLASHurl] = ACTIONS(7091),
    [anon_sym_BSLASHhref] = ACTIONS(7091),
  },
  [601] = {
    [sym_command_name] = ACTIONS(7095),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7095),
    [anon_sym_LBRACK] = ACTIONS(7097),
    [anon_sym_RBRACK] = ACTIONS(7097),
    [anon_sym_COMMA] = ACTIONS(7097),
    [anon_sym_EQ] = ACTIONS(7097),
    [anon_sym_LPAREN] = ACTIONS(7097),
    [anon_sym_RPAREN] = ACTIONS(7097),
    [anon_sym_BSLASHpart] = ACTIONS(7095),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHaddpart] = ACTIONS(7095),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHchapter] = ACTIONS(7095),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHaddchap] = ACTIONS(7095),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHsection] = ACTIONS(7095),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHaddsec] = ACTIONS(7095),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHsubsection] = ACTIONS(7095),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7095),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHparagraph] = ACTIONS(7095),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7095),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHitem] = ACTIONS(7095),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7097),
    [anon_sym_LBRACE] = ACTIONS(7097),
    [sym_word] = ACTIONS(7095),
    [sym_placeholder] = ACTIONS(7097),
    [sym_delimiter] = ACTIONS(7097),
    [anon_sym_PLUS] = ACTIONS(7097),
    [anon_sym_DASH] = ACTIONS(7097),
    [anon_sym_STAR] = ACTIONS(7097),
    [anon_sym_SLASH] = ACTIONS(7097),
    [anon_sym_LT] = ACTIONS(7095),
    [anon_sym_GT] = ACTIONS(7095),
    [anon_sym_BANG] = ACTIONS(7095),
    [anon_sym_PIPE] = ACTIONS(7095),
    [anon_sym_COLON] = ACTIONS(7095),
    [anon_sym_SQUOTE] = ACTIONS(7095),
    [anon_sym__] = ACTIONS(7097),
    [anon_sym_CARET] = ACTIONS(7097),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7097),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7097),
    [anon_sym_DOLLAR] = ACTIONS(7095),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7097),
    [anon_sym_BSLASHleft] = ACTIONS(7095),
    [anon_sym_BSLASHbigl] = ACTIONS(7095),
    [anon_sym_BSLASHBigl] = ACTIONS(7095),
    [anon_sym_BSLASHbiggl] = ACTIONS(7095),
    [anon_sym_BSLASHBiggl] = ACTIONS(7095),
    [anon_sym_BSLASHright] = ACTIONS(7095),
    [anon_sym_BSLASHbigr] = ACTIONS(7095),
    [anon_sym_BSLASHBigr] = ACTIONS(7095),
    [anon_sym_BSLASHbiggr] = ACTIONS(7095),
    [anon_sym_BSLASHBiggr] = ACTIONS(7095),
    [anon_sym_BSLASHtext] = ACTIONS(7095),
    [anon_sym_BSLASHintertext] = ACTIONS(7095),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7095),
    [anon_sym_BSLASHbegin] = ACTIONS(7095),
    [anon_sym_BSLASHtitle] = ACTIONS(7095),
    [anon_sym_BSLASHauthor] = ACTIONS(7095),
    [anon_sym_BSLASHusepackage] = ACTIONS(7095),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7095),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7095),
    [anon_sym_BSLASHinclude] = ACTIONS(7095),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7095),
    [anon_sym_BSLASHinput] = ACTIONS(7095),
    [anon_sym_BSLASHsubfile] = ACTIONS(7095),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7095),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7095),
    [anon_sym_BSLASHbibliography] = ACTIONS(7095),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7095),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7095),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7095),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7095),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7095),
    [anon_sym_BSLASHimport] = ACTIONS(7095),
    [anon_sym_BSLASHsubimport] = ACTIONS(7095),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7095),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7095),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7095),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7095),
    [anon_sym_BSLASHcaption] = ACTIONS(7095),
    [anon_sym_BSLASHcite] = ACTIONS(7095),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHCite] = ACTIONS(7095),
    [anon_sym_BSLASHnocite] = ACTIONS(7095),
    [anon_sym_BSLASHcitet] = ACTIONS(7095),
    [anon_sym_BSLASHcitep] = ACTIONS(7095),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHciteA] = ACTIONS(7095),
    [anon_sym_BSLASHciteR] = ACTIONS(7095),
    [anon_sym_BSLASHciteS] = ACTIONS(7095),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7095),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7095),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7095),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7095),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHciteyear] = ACTIONS(7095),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcitedate] = ACTIONS(7095),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHciteurl] = ACTIONS(7095),
    [anon_sym_BSLASHfullcite] = ACTIONS(7095),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7095),
    [anon_sym_BSLASHcitealt] = ACTIONS(7095),
    [anon_sym_BSLASHcitealp] = ACTIONS(7095),
    [anon_sym_BSLASHcitetext] = ACTIONS(7095),
    [anon_sym_BSLASHparencite] = ACTIONS(7095),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHParencite] = ACTIONS(7095),
    [anon_sym_BSLASHfootcite] = ACTIONS(7095),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7095),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7095),
    [anon_sym_BSLASHtextcite] = ACTIONS(7095),
    [anon_sym_BSLASHTextcite] = ACTIONS(7095),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7095),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7095),
    [anon_sym_BSLASHsupercite] = ACTIONS(7095),
    [anon_sym_BSLASHautocite] = ACTIONS(7095),
    [anon_sym_BSLASHAutocite] = ACTIONS(7095),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHVolcite] = ACTIONS(7095),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHavolcite] = ACTIONS(7095),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHnotecite] = ACTIONS(7095),
    [anon_sym_BSLASHNotecite] = ACTIONS(7095),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7095),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7095),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7095),
    [anon_sym_BSLASHlabel] = ACTIONS(7095),
    [anon_sym_BSLASHref] = ACTIONS(7095),
    [anon_sym_BSLASHeqref] = ACTIONS(7095),
    [anon_sym_BSLASHvref] = ACTIONS(7095),
    [anon_sym_BSLASHVref] = ACTIONS(7095),
    [anon_sym_BSLASHautoref] = ACTIONS(7095),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHpageref] = ACTIONS(7095),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHautopageref] = ACTIONS(7095),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcref] = ACTIONS(7095),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHCref] = ACTIONS(7095),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcpageref] = ACTIONS(7095),
    [anon_sym_BSLASHCpageref] = ACTIONS(7095),
    [anon_sym_BSLASHnamecref] = ACTIONS(7095),
    [anon_sym_BSLASHnameCref] = ACTIONS(7095),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7095),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7095),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7095),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7095),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7095),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7095),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7095),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7095),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7095),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7095),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7095),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7095),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7095),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7095),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7095),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7095),
    [anon_sym_BSLASHdef] = ACTIONS(7095),
    [anon_sym_BSLASHgdef] = ACTIONS(7095),
    [anon_sym_BSLASHedef] = ACTIONS(7095),
    [anon_sym_BSLASHxdef] = ACTIONS(7095),
    [anon_sym_BSLASHlet] = ACTIONS(7095),
    [anon_sym_BSLASHglet] = ACTIONS(7095),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7095),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7095),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7095),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7095),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7095),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7095),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7095),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7095),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7095),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7095),
    [anon_sym_BSLASHgls] = ACTIONS(7095),
    [anon_sym_BSLASHGls] = ACTIONS(7095),
    [anon_sym_BSLASHGLS] = ACTIONS(7095),
    [anon_sym_BSLASHglspl] = ACTIONS(7095),
    [anon_sym_BSLASHGlspl] = ACTIONS(7095),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7095),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7095),
    [anon_sym_BSLASHglslink] = ACTIONS(7095),
    [anon_sym_BSLASHglstext] = ACTIONS(7095),
    [anon_sym_BSLASHGlstext] = ACTIONS(7095),
    [anon_sym_BSLASHGLStext] = ACTIONS(7095),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7095),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7095),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7095),
    [anon_sym_BSLASHglsplural] = ACTIONS(7095),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7095),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7095),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7095),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7095),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7095),
    [anon_sym_BSLASHglsname] = ACTIONS(7095),
    [anon_sym_BSLASHGlsname] = ACTIONS(7095),
    [anon_sym_BSLASHGLSname] = ACTIONS(7095),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7095),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7095),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7095),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7095),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7095),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7095),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7095),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7095),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7095),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7095),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7095),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7095),
    [anon_sym_BSLASHacrshort] = ACTIONS(7095),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7095),
    [anon_sym_BSLASHACRshort] = ACTIONS(7095),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHacrlong] = ACTIONS(7095),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7095),
    [anon_sym_BSLASHACRlong] = ACTIONS(7095),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7095),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7095),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7095),
    [anon_sym_BSLASHacrfull] = ACTIONS(7095),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7095),
    [anon_sym_BSLASHACRfull] = ACTIONS(7095),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHacs] = ACTIONS(7095),
    [anon_sym_BSLASHAcs] = ACTIONS(7095),
    [anon_sym_BSLASHacsp] = ACTIONS(7095),
    [anon_sym_BSLASHAcsp] = ACTIONS(7095),
    [anon_sym_BSLASHacl] = ACTIONS(7095),
    [anon_sym_BSLASHAcl] = ACTIONS(7095),
    [anon_sym_BSLASHaclp] = ACTIONS(7095),
    [anon_sym_BSLASHAclp] = ACTIONS(7095),
    [anon_sym_BSLASHacf] = ACTIONS(7095),
    [anon_sym_BSLASHAcf] = ACTIONS(7095),
    [anon_sym_BSLASHacfp] = ACTIONS(7095),
    [anon_sym_BSLASHAcfp] = ACTIONS(7095),
    [anon_sym_BSLASHac] = ACTIONS(7095),
    [anon_sym_BSLASHAc] = ACTIONS(7095),
    [anon_sym_BSLASHacp] = ACTIONS(7095),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7095),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7095),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7095),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7095),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7095),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7095),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7095),
    [anon_sym_BSLASHcolor] = ACTIONS(7095),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7095),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7095),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7095),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7095),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7095),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7095),
    [anon_sym_BSLASHurl] = ACTIONS(7095),
    [anon_sym_BSLASHhref] = ACTIONS(7095),
  },
  [602] = {
    [sym_command_name] = ACTIONS(7099),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7099),
    [anon_sym_LBRACK] = ACTIONS(7101),
    [anon_sym_RBRACK] = ACTIONS(7101),
    [anon_sym_COMMA] = ACTIONS(7101),
    [anon_sym_EQ] = ACTIONS(7101),
    [anon_sym_LPAREN] = ACTIONS(7101),
    [anon_sym_RPAREN] = ACTIONS(7101),
    [anon_sym_BSLASHpart] = ACTIONS(7099),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHaddpart] = ACTIONS(7099),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHchapter] = ACTIONS(7099),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHaddchap] = ACTIONS(7099),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHsection] = ACTIONS(7099),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHaddsec] = ACTIONS(7099),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHsubsection] = ACTIONS(7099),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7099),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHparagraph] = ACTIONS(7099),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7099),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHitem] = ACTIONS(7099),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7101),
    [anon_sym_LBRACE] = ACTIONS(7101),
    [sym_word] = ACTIONS(7099),
    [sym_placeholder] = ACTIONS(7101),
    [sym_delimiter] = ACTIONS(7101),
    [anon_sym_PLUS] = ACTIONS(7101),
    [anon_sym_DASH] = ACTIONS(7101),
    [anon_sym_STAR] = ACTIONS(7101),
    [anon_sym_SLASH] = ACTIONS(7101),
    [anon_sym_LT] = ACTIONS(7099),
    [anon_sym_GT] = ACTIONS(7099),
    [anon_sym_BANG] = ACTIONS(7099),
    [anon_sym_PIPE] = ACTIONS(7099),
    [anon_sym_COLON] = ACTIONS(7099),
    [anon_sym_SQUOTE] = ACTIONS(7099),
    [anon_sym__] = ACTIONS(7101),
    [anon_sym_CARET] = ACTIONS(7101),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7101),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7101),
    [anon_sym_DOLLAR] = ACTIONS(7099),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7101),
    [anon_sym_BSLASHleft] = ACTIONS(7099),
    [anon_sym_BSLASHbigl] = ACTIONS(7099),
    [anon_sym_BSLASHBigl] = ACTIONS(7099),
    [anon_sym_BSLASHbiggl] = ACTIONS(7099),
    [anon_sym_BSLASHBiggl] = ACTIONS(7099),
    [anon_sym_BSLASHright] = ACTIONS(7099),
    [anon_sym_BSLASHbigr] = ACTIONS(7099),
    [anon_sym_BSLASHBigr] = ACTIONS(7099),
    [anon_sym_BSLASHbiggr] = ACTIONS(7099),
    [anon_sym_BSLASHBiggr] = ACTIONS(7099),
    [anon_sym_BSLASHtext] = ACTIONS(7099),
    [anon_sym_BSLASHintertext] = ACTIONS(7099),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7099),
    [anon_sym_BSLASHbegin] = ACTIONS(7099),
    [anon_sym_BSLASHtitle] = ACTIONS(7099),
    [anon_sym_BSLASHauthor] = ACTIONS(7099),
    [anon_sym_BSLASHusepackage] = ACTIONS(7099),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7099),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7099),
    [anon_sym_BSLASHinclude] = ACTIONS(7099),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7099),
    [anon_sym_BSLASHinput] = ACTIONS(7099),
    [anon_sym_BSLASHsubfile] = ACTIONS(7099),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7099),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7099),
    [anon_sym_BSLASHbibliography] = ACTIONS(7099),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7099),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7099),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7099),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7099),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7099),
    [anon_sym_BSLASHimport] = ACTIONS(7099),
    [anon_sym_BSLASHsubimport] = ACTIONS(7099),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7099),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7099),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7099),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7099),
    [anon_sym_BSLASHcaption] = ACTIONS(7099),
    [anon_sym_BSLASHcite] = ACTIONS(7099),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHCite] = ACTIONS(7099),
    [anon_sym_BSLASHnocite] = ACTIONS(7099),
    [anon_sym_BSLASHcitet] = ACTIONS(7099),
    [anon_sym_BSLASHcitep] = ACTIONS(7099),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHciteA] = ACTIONS(7099),
    [anon_sym_BSLASHciteR] = ACTIONS(7099),
    [anon_sym_BSLASHciteS] = ACTIONS(7099),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7099),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7099),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7099),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7099),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHciteyear] = ACTIONS(7099),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcitedate] = ACTIONS(7099),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHciteurl] = ACTIONS(7099),
    [anon_sym_BSLASHfullcite] = ACTIONS(7099),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7099),
    [anon_sym_BSLASHcitealt] = ACTIONS(7099),
    [anon_sym_BSLASHcitealp] = ACTIONS(7099),
    [anon_sym_BSLASHcitetext] = ACTIONS(7099),
    [anon_sym_BSLASHparencite] = ACTIONS(7099),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHParencite] = ACTIONS(7099),
    [anon_sym_BSLASHfootcite] = ACTIONS(7099),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7099),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7099),
    [anon_sym_BSLASHtextcite] = ACTIONS(7099),
    [anon_sym_BSLASHTextcite] = ACTIONS(7099),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7099),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7099),
    [anon_sym_BSLASHsupercite] = ACTIONS(7099),
    [anon_sym_BSLASHautocite] = ACTIONS(7099),
    [anon_sym_BSLASHAutocite] = ACTIONS(7099),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHVolcite] = ACTIONS(7099),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHavolcite] = ACTIONS(7099),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHnotecite] = ACTIONS(7099),
    [anon_sym_BSLASHNotecite] = ACTIONS(7099),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7099),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7099),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7099),
    [anon_sym_BSLASHlabel] = ACTIONS(7099),
    [anon_sym_BSLASHref] = ACTIONS(7099),
    [anon_sym_BSLASHeqref] = ACTIONS(7099),
    [anon_sym_BSLASHvref] = ACTIONS(7099),
    [anon_sym_BSLASHVref] = ACTIONS(7099),
    [anon_sym_BSLASHautoref] = ACTIONS(7099),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHpageref] = ACTIONS(7099),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHautopageref] = ACTIONS(7099),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcref] = ACTIONS(7099),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHCref] = ACTIONS(7099),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcpageref] = ACTIONS(7099),
    [anon_sym_BSLASHCpageref] = ACTIONS(7099),
    [anon_sym_BSLASHnamecref] = ACTIONS(7099),
    [anon_sym_BSLASHnameCref] = ACTIONS(7099),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7099),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7099),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7099),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7099),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7099),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7099),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7099),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7099),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7099),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7099),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7099),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7099),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7099),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7099),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7099),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7099),
    [anon_sym_BSLASHdef] = ACTIONS(7099),
    [anon_sym_BSLASHgdef] = ACTIONS(7099),
    [anon_sym_BSLASHedef] = ACTIONS(7099),
    [anon_sym_BSLASHxdef] = ACTIONS(7099),
    [anon_sym_BSLASHlet] = ACTIONS(7099),
    [anon_sym_BSLASHglet] = ACTIONS(7099),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7099),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7099),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7099),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7099),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7099),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7099),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7099),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7099),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7099),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7099),
    [anon_sym_BSLASHgls] = ACTIONS(7099),
    [anon_sym_BSLASHGls] = ACTIONS(7099),
    [anon_sym_BSLASHGLS] = ACTIONS(7099),
    [anon_sym_BSLASHglspl] = ACTIONS(7099),
    [anon_sym_BSLASHGlspl] = ACTIONS(7099),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7099),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7099),
    [anon_sym_BSLASHglslink] = ACTIONS(7099),
    [anon_sym_BSLASHglstext] = ACTIONS(7099),
    [anon_sym_BSLASHGlstext] = ACTIONS(7099),
    [anon_sym_BSLASHGLStext] = ACTIONS(7099),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7099),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7099),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7099),
    [anon_sym_BSLASHglsplural] = ACTIONS(7099),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7099),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7099),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7099),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7099),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7099),
    [anon_sym_BSLASHglsname] = ACTIONS(7099),
    [anon_sym_BSLASHGlsname] = ACTIONS(7099),
    [anon_sym_BSLASHGLSname] = ACTIONS(7099),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7099),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7099),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7099),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7099),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7099),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7099),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7099),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7099),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7099),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7099),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7099),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7099),
    [anon_sym_BSLASHacrshort] = ACTIONS(7099),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7099),
    [anon_sym_BSLASHACRshort] = ACTIONS(7099),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHacrlong] = ACTIONS(7099),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7099),
    [anon_sym_BSLASHACRlong] = ACTIONS(7099),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7099),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7099),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7099),
    [anon_sym_BSLASHacrfull] = ACTIONS(7099),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7099),
    [anon_sym_BSLASHACRfull] = ACTIONS(7099),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHacs] = ACTIONS(7099),
    [anon_sym_BSLASHAcs] = ACTIONS(7099),
    [anon_sym_BSLASHacsp] = ACTIONS(7099),
    [anon_sym_BSLASHAcsp] = ACTIONS(7099),
    [anon_sym_BSLASHacl] = ACTIONS(7099),
    [anon_sym_BSLASHAcl] = ACTIONS(7099),
    [anon_sym_BSLASHaclp] = ACTIONS(7099),
    [anon_sym_BSLASHAclp] = ACTIONS(7099),
    [anon_sym_BSLASHacf] = ACTIONS(7099),
    [anon_sym_BSLASHAcf] = ACTIONS(7099),
    [anon_sym_BSLASHacfp] = ACTIONS(7099),
    [anon_sym_BSLASHAcfp] = ACTIONS(7099),
    [anon_sym_BSLASHac] = ACTIONS(7099),
    [anon_sym_BSLASHAc] = ACTIONS(7099),
    [anon_sym_BSLASHacp] = ACTIONS(7099),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7099),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7099),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7099),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7099),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7099),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7099),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7099),
    [anon_sym_BSLASHcolor] = ACTIONS(7099),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7099),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7099),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7099),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7099),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7099),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7099),
    [anon_sym_BSLASHurl] = ACTIONS(7099),
    [anon_sym_BSLASHhref] = ACTIONS(7099),
  },
  [603] = {
    [sym_command_name] = ACTIONS(7103),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7103),
    [anon_sym_LBRACK] = ACTIONS(7105),
    [anon_sym_RBRACK] = ACTIONS(7105),
    [anon_sym_COMMA] = ACTIONS(7105),
    [anon_sym_EQ] = ACTIONS(7105),
    [anon_sym_LPAREN] = ACTIONS(7105),
    [anon_sym_RPAREN] = ACTIONS(7105),
    [anon_sym_BSLASHpart] = ACTIONS(7103),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHaddpart] = ACTIONS(7103),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHchapter] = ACTIONS(7103),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHaddchap] = ACTIONS(7103),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHsection] = ACTIONS(7103),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHaddsec] = ACTIONS(7103),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHsubsection] = ACTIONS(7103),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7103),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHparagraph] = ACTIONS(7103),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7103),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHitem] = ACTIONS(7103),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7105),
    [anon_sym_LBRACE] = ACTIONS(7105),
    [sym_word] = ACTIONS(7103),
    [sym_placeholder] = ACTIONS(7105),
    [sym_delimiter] = ACTIONS(7105),
    [anon_sym_PLUS] = ACTIONS(7105),
    [anon_sym_DASH] = ACTIONS(7105),
    [anon_sym_STAR] = ACTIONS(7105),
    [anon_sym_SLASH] = ACTIONS(7105),
    [anon_sym_LT] = ACTIONS(7103),
    [anon_sym_GT] = ACTIONS(7103),
    [anon_sym_BANG] = ACTIONS(7103),
    [anon_sym_PIPE] = ACTIONS(7103),
    [anon_sym_COLON] = ACTIONS(7103),
    [anon_sym_SQUOTE] = ACTIONS(7103),
    [anon_sym__] = ACTIONS(7105),
    [anon_sym_CARET] = ACTIONS(7105),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7105),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7105),
    [anon_sym_DOLLAR] = ACTIONS(7103),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7105),
    [anon_sym_BSLASHleft] = ACTIONS(7103),
    [anon_sym_BSLASHbigl] = ACTIONS(7103),
    [anon_sym_BSLASHBigl] = ACTIONS(7103),
    [anon_sym_BSLASHbiggl] = ACTIONS(7103),
    [anon_sym_BSLASHBiggl] = ACTIONS(7103),
    [anon_sym_BSLASHright] = ACTIONS(7103),
    [anon_sym_BSLASHbigr] = ACTIONS(7103),
    [anon_sym_BSLASHBigr] = ACTIONS(7103),
    [anon_sym_BSLASHbiggr] = ACTIONS(7103),
    [anon_sym_BSLASHBiggr] = ACTIONS(7103),
    [anon_sym_BSLASHtext] = ACTIONS(7103),
    [anon_sym_BSLASHintertext] = ACTIONS(7103),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7103),
    [anon_sym_BSLASHbegin] = ACTIONS(7103),
    [anon_sym_BSLASHtitle] = ACTIONS(7103),
    [anon_sym_BSLASHauthor] = ACTIONS(7103),
    [anon_sym_BSLASHusepackage] = ACTIONS(7103),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7103),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7103),
    [anon_sym_BSLASHinclude] = ACTIONS(7103),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7103),
    [anon_sym_BSLASHinput] = ACTIONS(7103),
    [anon_sym_BSLASHsubfile] = ACTIONS(7103),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7103),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7103),
    [anon_sym_BSLASHbibliography] = ACTIONS(7103),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7103),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7103),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7103),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7103),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7103),
    [anon_sym_BSLASHimport] = ACTIONS(7103),
    [anon_sym_BSLASHsubimport] = ACTIONS(7103),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7103),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7103),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7103),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7103),
    [anon_sym_BSLASHcaption] = ACTIONS(7103),
    [anon_sym_BSLASHcite] = ACTIONS(7103),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHCite] = ACTIONS(7103),
    [anon_sym_BSLASHnocite] = ACTIONS(7103),
    [anon_sym_BSLASHcitet] = ACTIONS(7103),
    [anon_sym_BSLASHcitep] = ACTIONS(7103),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHciteA] = ACTIONS(7103),
    [anon_sym_BSLASHciteR] = ACTIONS(7103),
    [anon_sym_BSLASHciteS] = ACTIONS(7103),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7103),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7103),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7103),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7103),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHciteyear] = ACTIONS(7103),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcitedate] = ACTIONS(7103),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHciteurl] = ACTIONS(7103),
    [anon_sym_BSLASHfullcite] = ACTIONS(7103),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7103),
    [anon_sym_BSLASHcitealt] = ACTIONS(7103),
    [anon_sym_BSLASHcitealp] = ACTIONS(7103),
    [anon_sym_BSLASHcitetext] = ACTIONS(7103),
    [anon_sym_BSLASHparencite] = ACTIONS(7103),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHParencite] = ACTIONS(7103),
    [anon_sym_BSLASHfootcite] = ACTIONS(7103),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7103),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7103),
    [anon_sym_BSLASHtextcite] = ACTIONS(7103),
    [anon_sym_BSLASHTextcite] = ACTIONS(7103),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7103),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7103),
    [anon_sym_BSLASHsupercite] = ACTIONS(7103),
    [anon_sym_BSLASHautocite] = ACTIONS(7103),
    [anon_sym_BSLASHAutocite] = ACTIONS(7103),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHVolcite] = ACTIONS(7103),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHavolcite] = ACTIONS(7103),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHnotecite] = ACTIONS(7103),
    [anon_sym_BSLASHNotecite] = ACTIONS(7103),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7103),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7103),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7103),
    [anon_sym_BSLASHlabel] = ACTIONS(7103),
    [anon_sym_BSLASHref] = ACTIONS(7103),
    [anon_sym_BSLASHeqref] = ACTIONS(7103),
    [anon_sym_BSLASHvref] = ACTIONS(7103),
    [anon_sym_BSLASHVref] = ACTIONS(7103),
    [anon_sym_BSLASHautoref] = ACTIONS(7103),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHpageref] = ACTIONS(7103),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHautopageref] = ACTIONS(7103),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcref] = ACTIONS(7103),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHCref] = ACTIONS(7103),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcpageref] = ACTIONS(7103),
    [anon_sym_BSLASHCpageref] = ACTIONS(7103),
    [anon_sym_BSLASHnamecref] = ACTIONS(7103),
    [anon_sym_BSLASHnameCref] = ACTIONS(7103),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7103),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7103),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7103),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7103),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7103),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7103),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7103),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7103),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7103),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7103),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7103),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7103),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7103),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7103),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7103),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7103),
    [anon_sym_BSLASHdef] = ACTIONS(7103),
    [anon_sym_BSLASHgdef] = ACTIONS(7103),
    [anon_sym_BSLASHedef] = ACTIONS(7103),
    [anon_sym_BSLASHxdef] = ACTIONS(7103),
    [anon_sym_BSLASHlet] = ACTIONS(7103),
    [anon_sym_BSLASHglet] = ACTIONS(7103),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7103),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7103),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7103),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7103),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7103),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7103),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7103),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7103),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7103),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7103),
    [anon_sym_BSLASHgls] = ACTIONS(7103),
    [anon_sym_BSLASHGls] = ACTIONS(7103),
    [anon_sym_BSLASHGLS] = ACTIONS(7103),
    [anon_sym_BSLASHglspl] = ACTIONS(7103),
    [anon_sym_BSLASHGlspl] = ACTIONS(7103),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7103),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7103),
    [anon_sym_BSLASHglslink] = ACTIONS(7103),
    [anon_sym_BSLASHglstext] = ACTIONS(7103),
    [anon_sym_BSLASHGlstext] = ACTIONS(7103),
    [anon_sym_BSLASHGLStext] = ACTIONS(7103),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7103),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7103),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7103),
    [anon_sym_BSLASHglsplural] = ACTIONS(7103),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7103),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7103),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7103),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7103),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7103),
    [anon_sym_BSLASHglsname] = ACTIONS(7103),
    [anon_sym_BSLASHGlsname] = ACTIONS(7103),
    [anon_sym_BSLASHGLSname] = ACTIONS(7103),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7103),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7103),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7103),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7103),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7103),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7103),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7103),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7103),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7103),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7103),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7103),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7103),
    [anon_sym_BSLASHacrshort] = ACTIONS(7103),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7103),
    [anon_sym_BSLASHACRshort] = ACTIONS(7103),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHacrlong] = ACTIONS(7103),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7103),
    [anon_sym_BSLASHACRlong] = ACTIONS(7103),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7103),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7103),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7103),
    [anon_sym_BSLASHacrfull] = ACTIONS(7103),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7103),
    [anon_sym_BSLASHACRfull] = ACTIONS(7103),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHacs] = ACTIONS(7103),
    [anon_sym_BSLASHAcs] = ACTIONS(7103),
    [anon_sym_BSLASHacsp] = ACTIONS(7103),
    [anon_sym_BSLASHAcsp] = ACTIONS(7103),
    [anon_sym_BSLASHacl] = ACTIONS(7103),
    [anon_sym_BSLASHAcl] = ACTIONS(7103),
    [anon_sym_BSLASHaclp] = ACTIONS(7103),
    [anon_sym_BSLASHAclp] = ACTIONS(7103),
    [anon_sym_BSLASHacf] = ACTIONS(7103),
    [anon_sym_BSLASHAcf] = ACTIONS(7103),
    [anon_sym_BSLASHacfp] = ACTIONS(7103),
    [anon_sym_BSLASHAcfp] = ACTIONS(7103),
    [anon_sym_BSLASHac] = ACTIONS(7103),
    [anon_sym_BSLASHAc] = ACTIONS(7103),
    [anon_sym_BSLASHacp] = ACTIONS(7103),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7103),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7103),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7103),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7103),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7103),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7103),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7103),
    [anon_sym_BSLASHcolor] = ACTIONS(7103),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7103),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7103),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7103),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7103),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7103),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7103),
    [anon_sym_BSLASHurl] = ACTIONS(7103),
    [anon_sym_BSLASHhref] = ACTIONS(7103),
  },
  [604] = {
    [sym_command_name] = ACTIONS(7107),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7107),
    [anon_sym_LBRACK] = ACTIONS(7109),
    [anon_sym_RBRACK] = ACTIONS(7109),
    [anon_sym_COMMA] = ACTIONS(7109),
    [anon_sym_EQ] = ACTIONS(7109),
    [anon_sym_LPAREN] = ACTIONS(7109),
    [anon_sym_RPAREN] = ACTIONS(7109),
    [anon_sym_BSLASHpart] = ACTIONS(7107),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHaddpart] = ACTIONS(7107),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHchapter] = ACTIONS(7107),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHaddchap] = ACTIONS(7107),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHsection] = ACTIONS(7107),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHaddsec] = ACTIONS(7107),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHsubsection] = ACTIONS(7107),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7107),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHparagraph] = ACTIONS(7107),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7107),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHitem] = ACTIONS(7107),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7109),
    [anon_sym_LBRACE] = ACTIONS(7109),
    [sym_word] = ACTIONS(7107),
    [sym_placeholder] = ACTIONS(7109),
    [sym_delimiter] = ACTIONS(7109),
    [anon_sym_PLUS] = ACTIONS(7109),
    [anon_sym_DASH] = ACTIONS(7109),
    [anon_sym_STAR] = ACTIONS(7109),
    [anon_sym_SLASH] = ACTIONS(7109),
    [anon_sym_LT] = ACTIONS(7107),
    [anon_sym_GT] = ACTIONS(7107),
    [anon_sym_BANG] = ACTIONS(7107),
    [anon_sym_PIPE] = ACTIONS(7107),
    [anon_sym_COLON] = ACTIONS(7107),
    [anon_sym_SQUOTE] = ACTIONS(7107),
    [anon_sym__] = ACTIONS(7109),
    [anon_sym_CARET] = ACTIONS(7109),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7109),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7109),
    [anon_sym_DOLLAR] = ACTIONS(7107),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7109),
    [anon_sym_BSLASHleft] = ACTIONS(7107),
    [anon_sym_BSLASHbigl] = ACTIONS(7107),
    [anon_sym_BSLASHBigl] = ACTIONS(7107),
    [anon_sym_BSLASHbiggl] = ACTIONS(7107),
    [anon_sym_BSLASHBiggl] = ACTIONS(7107),
    [anon_sym_BSLASHright] = ACTIONS(7107),
    [anon_sym_BSLASHbigr] = ACTIONS(7107),
    [anon_sym_BSLASHBigr] = ACTIONS(7107),
    [anon_sym_BSLASHbiggr] = ACTIONS(7107),
    [anon_sym_BSLASHBiggr] = ACTIONS(7107),
    [anon_sym_BSLASHtext] = ACTIONS(7107),
    [anon_sym_BSLASHintertext] = ACTIONS(7107),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7107),
    [anon_sym_BSLASHbegin] = ACTIONS(7107),
    [anon_sym_BSLASHtitle] = ACTIONS(7107),
    [anon_sym_BSLASHauthor] = ACTIONS(7107),
    [anon_sym_BSLASHusepackage] = ACTIONS(7107),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7107),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7107),
    [anon_sym_BSLASHinclude] = ACTIONS(7107),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7107),
    [anon_sym_BSLASHinput] = ACTIONS(7107),
    [anon_sym_BSLASHsubfile] = ACTIONS(7107),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7107),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7107),
    [anon_sym_BSLASHbibliography] = ACTIONS(7107),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7107),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7107),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7107),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7107),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7107),
    [anon_sym_BSLASHimport] = ACTIONS(7107),
    [anon_sym_BSLASHsubimport] = ACTIONS(7107),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7107),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7107),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7107),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7107),
    [anon_sym_BSLASHcaption] = ACTIONS(7107),
    [anon_sym_BSLASHcite] = ACTIONS(7107),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHCite] = ACTIONS(7107),
    [anon_sym_BSLASHnocite] = ACTIONS(7107),
    [anon_sym_BSLASHcitet] = ACTIONS(7107),
    [anon_sym_BSLASHcitep] = ACTIONS(7107),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHciteA] = ACTIONS(7107),
    [anon_sym_BSLASHciteR] = ACTIONS(7107),
    [anon_sym_BSLASHciteS] = ACTIONS(7107),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7107),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7107),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7107),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7107),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHciteyear] = ACTIONS(7107),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcitedate] = ACTIONS(7107),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHciteurl] = ACTIONS(7107),
    [anon_sym_BSLASHfullcite] = ACTIONS(7107),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7107),
    [anon_sym_BSLASHcitealt] = ACTIONS(7107),
    [anon_sym_BSLASHcitealp] = ACTIONS(7107),
    [anon_sym_BSLASHcitetext] = ACTIONS(7107),
    [anon_sym_BSLASHparencite] = ACTIONS(7107),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHParencite] = ACTIONS(7107),
    [anon_sym_BSLASHfootcite] = ACTIONS(7107),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7107),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7107),
    [anon_sym_BSLASHtextcite] = ACTIONS(7107),
    [anon_sym_BSLASHTextcite] = ACTIONS(7107),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7107),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7107),
    [anon_sym_BSLASHsupercite] = ACTIONS(7107),
    [anon_sym_BSLASHautocite] = ACTIONS(7107),
    [anon_sym_BSLASHAutocite] = ACTIONS(7107),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHVolcite] = ACTIONS(7107),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHavolcite] = ACTIONS(7107),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHnotecite] = ACTIONS(7107),
    [anon_sym_BSLASHNotecite] = ACTIONS(7107),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7107),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7107),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7107),
    [anon_sym_BSLASHlabel] = ACTIONS(7107),
    [anon_sym_BSLASHref] = ACTIONS(7107),
    [anon_sym_BSLASHeqref] = ACTIONS(7107),
    [anon_sym_BSLASHvref] = ACTIONS(7107),
    [anon_sym_BSLASHVref] = ACTIONS(7107),
    [anon_sym_BSLASHautoref] = ACTIONS(7107),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHpageref] = ACTIONS(7107),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHautopageref] = ACTIONS(7107),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcref] = ACTIONS(7107),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHCref] = ACTIONS(7107),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcpageref] = ACTIONS(7107),
    [anon_sym_BSLASHCpageref] = ACTIONS(7107),
    [anon_sym_BSLASHnamecref] = ACTIONS(7107),
    [anon_sym_BSLASHnameCref] = ACTIONS(7107),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7107),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7107),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7107),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7107),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7107),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7107),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7107),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7107),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7107),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7107),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7107),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7107),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7107),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7107),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7107),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7107),
    [anon_sym_BSLASHdef] = ACTIONS(7107),
    [anon_sym_BSLASHgdef] = ACTIONS(7107),
    [anon_sym_BSLASHedef] = ACTIONS(7107),
    [anon_sym_BSLASHxdef] = ACTIONS(7107),
    [anon_sym_BSLASHlet] = ACTIONS(7107),
    [anon_sym_BSLASHglet] = ACTIONS(7107),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7107),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7107),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7107),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7107),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7107),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7107),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7107),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7107),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7107),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7107),
    [anon_sym_BSLASHgls] = ACTIONS(7107),
    [anon_sym_BSLASHGls] = ACTIONS(7107),
    [anon_sym_BSLASHGLS] = ACTIONS(7107),
    [anon_sym_BSLASHglspl] = ACTIONS(7107),
    [anon_sym_BSLASHGlspl] = ACTIONS(7107),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7107),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7107),
    [anon_sym_BSLASHglslink] = ACTIONS(7107),
    [anon_sym_BSLASHglstext] = ACTIONS(7107),
    [anon_sym_BSLASHGlstext] = ACTIONS(7107),
    [anon_sym_BSLASHGLStext] = ACTIONS(7107),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7107),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7107),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7107),
    [anon_sym_BSLASHglsplural] = ACTIONS(7107),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7107),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7107),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7107),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7107),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7107),
    [anon_sym_BSLASHglsname] = ACTIONS(7107),
    [anon_sym_BSLASHGlsname] = ACTIONS(7107),
    [anon_sym_BSLASHGLSname] = ACTIONS(7107),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7107),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7107),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7107),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7107),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7107),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7107),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7107),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7107),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7107),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7107),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7107),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7107),
    [anon_sym_BSLASHacrshort] = ACTIONS(7107),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7107),
    [anon_sym_BSLASHACRshort] = ACTIONS(7107),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHacrlong] = ACTIONS(7107),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7107),
    [anon_sym_BSLASHACRlong] = ACTIONS(7107),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7107),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7107),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7107),
    [anon_sym_BSLASHacrfull] = ACTIONS(7107),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7107),
    [anon_sym_BSLASHACRfull] = ACTIONS(7107),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHacs] = ACTIONS(7107),
    [anon_sym_BSLASHAcs] = ACTIONS(7107),
    [anon_sym_BSLASHacsp] = ACTIONS(7107),
    [anon_sym_BSLASHAcsp] = ACTIONS(7107),
    [anon_sym_BSLASHacl] = ACTIONS(7107),
    [anon_sym_BSLASHAcl] = ACTIONS(7107),
    [anon_sym_BSLASHaclp] = ACTIONS(7107),
    [anon_sym_BSLASHAclp] = ACTIONS(7107),
    [anon_sym_BSLASHacf] = ACTIONS(7107),
    [anon_sym_BSLASHAcf] = ACTIONS(7107),
    [anon_sym_BSLASHacfp] = ACTIONS(7107),
    [anon_sym_BSLASHAcfp] = ACTIONS(7107),
    [anon_sym_BSLASHac] = ACTIONS(7107),
    [anon_sym_BSLASHAc] = ACTIONS(7107),
    [anon_sym_BSLASHacp] = ACTIONS(7107),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7107),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7107),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7107),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7107),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7107),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7107),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7107),
    [anon_sym_BSLASHcolor] = ACTIONS(7107),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7107),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7107),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7107),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7107),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7107),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7107),
    [anon_sym_BSLASHurl] = ACTIONS(7107),
    [anon_sym_BSLASHhref] = ACTIONS(7107),
  },
  [605] = {
    [sym_command_name] = ACTIONS(7111),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7111),
    [anon_sym_LBRACK] = ACTIONS(7113),
    [anon_sym_RBRACK] = ACTIONS(7113),
    [anon_sym_COMMA] = ACTIONS(7113),
    [anon_sym_EQ] = ACTIONS(7113),
    [anon_sym_LPAREN] = ACTIONS(7113),
    [anon_sym_RPAREN] = ACTIONS(7113),
    [anon_sym_BSLASHpart] = ACTIONS(7111),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHaddpart] = ACTIONS(7111),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHchapter] = ACTIONS(7111),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHaddchap] = ACTIONS(7111),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHsection] = ACTIONS(7111),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHaddsec] = ACTIONS(7111),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHsubsection] = ACTIONS(7111),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7111),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHparagraph] = ACTIONS(7111),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7111),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHitem] = ACTIONS(7111),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7113),
    [anon_sym_LBRACE] = ACTIONS(7113),
    [sym_word] = ACTIONS(7111),
    [sym_placeholder] = ACTIONS(7113),
    [sym_delimiter] = ACTIONS(7113),
    [anon_sym_PLUS] = ACTIONS(7113),
    [anon_sym_DASH] = ACTIONS(7113),
    [anon_sym_STAR] = ACTIONS(7113),
    [anon_sym_SLASH] = ACTIONS(7113),
    [anon_sym_LT] = ACTIONS(7111),
    [anon_sym_GT] = ACTIONS(7111),
    [anon_sym_BANG] = ACTIONS(7111),
    [anon_sym_PIPE] = ACTIONS(7111),
    [anon_sym_COLON] = ACTIONS(7111),
    [anon_sym_SQUOTE] = ACTIONS(7111),
    [anon_sym__] = ACTIONS(7113),
    [anon_sym_CARET] = ACTIONS(7113),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7113),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7113),
    [anon_sym_DOLLAR] = ACTIONS(7111),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7113),
    [anon_sym_BSLASHleft] = ACTIONS(7111),
    [anon_sym_BSLASHbigl] = ACTIONS(7111),
    [anon_sym_BSLASHBigl] = ACTIONS(7111),
    [anon_sym_BSLASHbiggl] = ACTIONS(7111),
    [anon_sym_BSLASHBiggl] = ACTIONS(7111),
    [anon_sym_BSLASHright] = ACTIONS(7111),
    [anon_sym_BSLASHbigr] = ACTIONS(7111),
    [anon_sym_BSLASHBigr] = ACTIONS(7111),
    [anon_sym_BSLASHbiggr] = ACTIONS(7111),
    [anon_sym_BSLASHBiggr] = ACTIONS(7111),
    [anon_sym_BSLASHtext] = ACTIONS(7111),
    [anon_sym_BSLASHintertext] = ACTIONS(7111),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7111),
    [anon_sym_BSLASHbegin] = ACTIONS(7111),
    [anon_sym_BSLASHtitle] = ACTIONS(7111),
    [anon_sym_BSLASHauthor] = ACTIONS(7111),
    [anon_sym_BSLASHusepackage] = ACTIONS(7111),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7111),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7111),
    [anon_sym_BSLASHinclude] = ACTIONS(7111),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7111),
    [anon_sym_BSLASHinput] = ACTIONS(7111),
    [anon_sym_BSLASHsubfile] = ACTIONS(7111),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7111),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7111),
    [anon_sym_BSLASHbibliography] = ACTIONS(7111),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7111),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7111),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7111),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7111),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7111),
    [anon_sym_BSLASHimport] = ACTIONS(7111),
    [anon_sym_BSLASHsubimport] = ACTIONS(7111),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7111),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7111),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7111),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7111),
    [anon_sym_BSLASHcaption] = ACTIONS(7111),
    [anon_sym_BSLASHcite] = ACTIONS(7111),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHCite] = ACTIONS(7111),
    [anon_sym_BSLASHnocite] = ACTIONS(7111),
    [anon_sym_BSLASHcitet] = ACTIONS(7111),
    [anon_sym_BSLASHcitep] = ACTIONS(7111),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHciteA] = ACTIONS(7111),
    [anon_sym_BSLASHciteR] = ACTIONS(7111),
    [anon_sym_BSLASHciteS] = ACTIONS(7111),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7111),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7111),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7111),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7111),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHciteyear] = ACTIONS(7111),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcitedate] = ACTIONS(7111),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHciteurl] = ACTIONS(7111),
    [anon_sym_BSLASHfullcite] = ACTIONS(7111),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7111),
    [anon_sym_BSLASHcitealt] = ACTIONS(7111),
    [anon_sym_BSLASHcitealp] = ACTIONS(7111),
    [anon_sym_BSLASHcitetext] = ACTIONS(7111),
    [anon_sym_BSLASHparencite] = ACTIONS(7111),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHParencite] = ACTIONS(7111),
    [anon_sym_BSLASHfootcite] = ACTIONS(7111),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7111),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7111),
    [anon_sym_BSLASHtextcite] = ACTIONS(7111),
    [anon_sym_BSLASHTextcite] = ACTIONS(7111),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7111),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7111),
    [anon_sym_BSLASHsupercite] = ACTIONS(7111),
    [anon_sym_BSLASHautocite] = ACTIONS(7111),
    [anon_sym_BSLASHAutocite] = ACTIONS(7111),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHVolcite] = ACTIONS(7111),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHavolcite] = ACTIONS(7111),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHnotecite] = ACTIONS(7111),
    [anon_sym_BSLASHNotecite] = ACTIONS(7111),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7111),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7111),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7111),
    [anon_sym_BSLASHlabel] = ACTIONS(7111),
    [anon_sym_BSLASHref] = ACTIONS(7111),
    [anon_sym_BSLASHeqref] = ACTIONS(7111),
    [anon_sym_BSLASHvref] = ACTIONS(7111),
    [anon_sym_BSLASHVref] = ACTIONS(7111),
    [anon_sym_BSLASHautoref] = ACTIONS(7111),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHpageref] = ACTIONS(7111),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHautopageref] = ACTIONS(7111),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcref] = ACTIONS(7111),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHCref] = ACTIONS(7111),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcpageref] = ACTIONS(7111),
    [anon_sym_BSLASHCpageref] = ACTIONS(7111),
    [anon_sym_BSLASHnamecref] = ACTIONS(7111),
    [anon_sym_BSLASHnameCref] = ACTIONS(7111),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7111),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7111),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7111),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7111),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7111),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7111),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7111),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7111),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7111),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7111),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7111),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7111),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7111),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7111),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7111),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7111),
    [anon_sym_BSLASHdef] = ACTIONS(7111),
    [anon_sym_BSLASHgdef] = ACTIONS(7111),
    [anon_sym_BSLASHedef] = ACTIONS(7111),
    [anon_sym_BSLASHxdef] = ACTIONS(7111),
    [anon_sym_BSLASHlet] = ACTIONS(7111),
    [anon_sym_BSLASHglet] = ACTIONS(7111),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7111),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7111),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7111),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7111),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7111),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7111),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7111),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7111),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7111),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7111),
    [anon_sym_BSLASHgls] = ACTIONS(7111),
    [anon_sym_BSLASHGls] = ACTIONS(7111),
    [anon_sym_BSLASHGLS] = ACTIONS(7111),
    [anon_sym_BSLASHglspl] = ACTIONS(7111),
    [anon_sym_BSLASHGlspl] = ACTIONS(7111),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7111),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7111),
    [anon_sym_BSLASHglslink] = ACTIONS(7111),
    [anon_sym_BSLASHglstext] = ACTIONS(7111),
    [anon_sym_BSLASHGlstext] = ACTIONS(7111),
    [anon_sym_BSLASHGLStext] = ACTIONS(7111),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7111),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7111),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7111),
    [anon_sym_BSLASHglsplural] = ACTIONS(7111),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7111),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7111),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7111),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7111),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7111),
    [anon_sym_BSLASHglsname] = ACTIONS(7111),
    [anon_sym_BSLASHGlsname] = ACTIONS(7111),
    [anon_sym_BSLASHGLSname] = ACTIONS(7111),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7111),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7111),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7111),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7111),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7111),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7111),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7111),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7111),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7111),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7111),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7111),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7111),
    [anon_sym_BSLASHacrshort] = ACTIONS(7111),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7111),
    [anon_sym_BSLASHACRshort] = ACTIONS(7111),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHacrlong] = ACTIONS(7111),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7111),
    [anon_sym_BSLASHACRlong] = ACTIONS(7111),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7111),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7111),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7111),
    [anon_sym_BSLASHacrfull] = ACTIONS(7111),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7111),
    [anon_sym_BSLASHACRfull] = ACTIONS(7111),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHacs] = ACTIONS(7111),
    [anon_sym_BSLASHAcs] = ACTIONS(7111),
    [anon_sym_BSLASHacsp] = ACTIONS(7111),
    [anon_sym_BSLASHAcsp] = ACTIONS(7111),
    [anon_sym_BSLASHacl] = ACTIONS(7111),
    [anon_sym_BSLASHAcl] = ACTIONS(7111),
    [anon_sym_BSLASHaclp] = ACTIONS(7111),
    [anon_sym_BSLASHAclp] = ACTIONS(7111),
    [anon_sym_BSLASHacf] = ACTIONS(7111),
    [anon_sym_BSLASHAcf] = ACTIONS(7111),
    [anon_sym_BSLASHacfp] = ACTIONS(7111),
    [anon_sym_BSLASHAcfp] = ACTIONS(7111),
    [anon_sym_BSLASHac] = ACTIONS(7111),
    [anon_sym_BSLASHAc] = ACTIONS(7111),
    [anon_sym_BSLASHacp] = ACTIONS(7111),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7111),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7111),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7111),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7111),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7111),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7111),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7111),
    [anon_sym_BSLASHcolor] = ACTIONS(7111),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7111),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7111),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7111),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7111),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7111),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7111),
    [anon_sym_BSLASHurl] = ACTIONS(7111),
    [anon_sym_BSLASHhref] = ACTIONS(7111),
  },
  [606] = {
    [sym_command_name] = ACTIONS(7115),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7115),
    [anon_sym_LBRACK] = ACTIONS(7117),
    [anon_sym_RBRACK] = ACTIONS(7117),
    [anon_sym_COMMA] = ACTIONS(7117),
    [anon_sym_EQ] = ACTIONS(7117),
    [anon_sym_LPAREN] = ACTIONS(7117),
    [anon_sym_RPAREN] = ACTIONS(7117),
    [anon_sym_BSLASHpart] = ACTIONS(7115),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHaddpart] = ACTIONS(7115),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHchapter] = ACTIONS(7115),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHaddchap] = ACTIONS(7115),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHsection] = ACTIONS(7115),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHaddsec] = ACTIONS(7115),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHsubsection] = ACTIONS(7115),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7115),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHparagraph] = ACTIONS(7115),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7115),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHitem] = ACTIONS(7115),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7117),
    [anon_sym_LBRACE] = ACTIONS(7117),
    [sym_word] = ACTIONS(7115),
    [sym_placeholder] = ACTIONS(7117),
    [sym_delimiter] = ACTIONS(7117),
    [anon_sym_PLUS] = ACTIONS(7117),
    [anon_sym_DASH] = ACTIONS(7117),
    [anon_sym_STAR] = ACTIONS(7117),
    [anon_sym_SLASH] = ACTIONS(7117),
    [anon_sym_LT] = ACTIONS(7115),
    [anon_sym_GT] = ACTIONS(7115),
    [anon_sym_BANG] = ACTIONS(7115),
    [anon_sym_PIPE] = ACTIONS(7115),
    [anon_sym_COLON] = ACTIONS(7115),
    [anon_sym_SQUOTE] = ACTIONS(7115),
    [anon_sym__] = ACTIONS(7117),
    [anon_sym_CARET] = ACTIONS(7117),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7117),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7117),
    [anon_sym_DOLLAR] = ACTIONS(7115),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7117),
    [anon_sym_BSLASHleft] = ACTIONS(7115),
    [anon_sym_BSLASHbigl] = ACTIONS(7115),
    [anon_sym_BSLASHBigl] = ACTIONS(7115),
    [anon_sym_BSLASHbiggl] = ACTIONS(7115),
    [anon_sym_BSLASHBiggl] = ACTIONS(7115),
    [anon_sym_BSLASHright] = ACTIONS(7115),
    [anon_sym_BSLASHbigr] = ACTIONS(7115),
    [anon_sym_BSLASHBigr] = ACTIONS(7115),
    [anon_sym_BSLASHbiggr] = ACTIONS(7115),
    [anon_sym_BSLASHBiggr] = ACTIONS(7115),
    [anon_sym_BSLASHtext] = ACTIONS(7115),
    [anon_sym_BSLASHintertext] = ACTIONS(7115),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7115),
    [anon_sym_BSLASHbegin] = ACTIONS(7115),
    [anon_sym_BSLASHtitle] = ACTIONS(7115),
    [anon_sym_BSLASHauthor] = ACTIONS(7115),
    [anon_sym_BSLASHusepackage] = ACTIONS(7115),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7115),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7115),
    [anon_sym_BSLASHinclude] = ACTIONS(7115),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7115),
    [anon_sym_BSLASHinput] = ACTIONS(7115),
    [anon_sym_BSLASHsubfile] = ACTIONS(7115),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7115),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7115),
    [anon_sym_BSLASHbibliography] = ACTIONS(7115),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7115),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7115),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7115),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7115),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7115),
    [anon_sym_BSLASHimport] = ACTIONS(7115),
    [anon_sym_BSLASHsubimport] = ACTIONS(7115),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7115),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7115),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7115),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7115),
    [anon_sym_BSLASHcaption] = ACTIONS(7115),
    [anon_sym_BSLASHcite] = ACTIONS(7115),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHCite] = ACTIONS(7115),
    [anon_sym_BSLASHnocite] = ACTIONS(7115),
    [anon_sym_BSLASHcitet] = ACTIONS(7115),
    [anon_sym_BSLASHcitep] = ACTIONS(7115),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHciteA] = ACTIONS(7115),
    [anon_sym_BSLASHciteR] = ACTIONS(7115),
    [anon_sym_BSLASHciteS] = ACTIONS(7115),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7115),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7115),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7115),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7115),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHciteyear] = ACTIONS(7115),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcitedate] = ACTIONS(7115),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHciteurl] = ACTIONS(7115),
    [anon_sym_BSLASHfullcite] = ACTIONS(7115),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7115),
    [anon_sym_BSLASHcitealt] = ACTIONS(7115),
    [anon_sym_BSLASHcitealp] = ACTIONS(7115),
    [anon_sym_BSLASHcitetext] = ACTIONS(7115),
    [anon_sym_BSLASHparencite] = ACTIONS(7115),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHParencite] = ACTIONS(7115),
    [anon_sym_BSLASHfootcite] = ACTIONS(7115),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7115),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7115),
    [anon_sym_BSLASHtextcite] = ACTIONS(7115),
    [anon_sym_BSLASHTextcite] = ACTIONS(7115),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7115),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7115),
    [anon_sym_BSLASHsupercite] = ACTIONS(7115),
    [anon_sym_BSLASHautocite] = ACTIONS(7115),
    [anon_sym_BSLASHAutocite] = ACTIONS(7115),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHVolcite] = ACTIONS(7115),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHavolcite] = ACTIONS(7115),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHnotecite] = ACTIONS(7115),
    [anon_sym_BSLASHNotecite] = ACTIONS(7115),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7115),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7115),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7115),
    [anon_sym_BSLASHlabel] = ACTIONS(7115),
    [anon_sym_BSLASHref] = ACTIONS(7115),
    [anon_sym_BSLASHeqref] = ACTIONS(7115),
    [anon_sym_BSLASHvref] = ACTIONS(7115),
    [anon_sym_BSLASHVref] = ACTIONS(7115),
    [anon_sym_BSLASHautoref] = ACTIONS(7115),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHpageref] = ACTIONS(7115),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHautopageref] = ACTIONS(7115),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcref] = ACTIONS(7115),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHCref] = ACTIONS(7115),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcpageref] = ACTIONS(7115),
    [anon_sym_BSLASHCpageref] = ACTIONS(7115),
    [anon_sym_BSLASHnamecref] = ACTIONS(7115),
    [anon_sym_BSLASHnameCref] = ACTIONS(7115),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7115),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7115),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7115),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7115),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7115),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7115),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7115),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7115),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7115),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7115),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7115),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7115),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7115),
    [anon_sym_BSLASHdef] = ACTIONS(7115),
    [anon_sym_BSLASHgdef] = ACTIONS(7115),
    [anon_sym_BSLASHedef] = ACTIONS(7115),
    [anon_sym_BSLASHxdef] = ACTIONS(7115),
    [anon_sym_BSLASHlet] = ACTIONS(7115),
    [anon_sym_BSLASHglet] = ACTIONS(7115),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7115),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7115),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7115),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7115),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7115),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7115),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7115),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7115),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7115),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7115),
    [anon_sym_BSLASHgls] = ACTIONS(7115),
    [anon_sym_BSLASHGls] = ACTIONS(7115),
    [anon_sym_BSLASHGLS] = ACTIONS(7115),
    [anon_sym_BSLASHglspl] = ACTIONS(7115),
    [anon_sym_BSLASHGlspl] = ACTIONS(7115),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7115),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7115),
    [anon_sym_BSLASHglslink] = ACTIONS(7115),
    [anon_sym_BSLASHglstext] = ACTIONS(7115),
    [anon_sym_BSLASHGlstext] = ACTIONS(7115),
    [anon_sym_BSLASHGLStext] = ACTIONS(7115),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7115),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7115),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7115),
    [anon_sym_BSLASHglsplural] = ACTIONS(7115),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7115),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7115),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7115),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7115),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7115),
    [anon_sym_BSLASHglsname] = ACTIONS(7115),
    [anon_sym_BSLASHGlsname] = ACTIONS(7115),
    [anon_sym_BSLASHGLSname] = ACTIONS(7115),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7115),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7115),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7115),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7115),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7115),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7115),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7115),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7115),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7115),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7115),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7115),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7115),
    [anon_sym_BSLASHacrshort] = ACTIONS(7115),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7115),
    [anon_sym_BSLASHACRshort] = ACTIONS(7115),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHacrlong] = ACTIONS(7115),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7115),
    [anon_sym_BSLASHACRlong] = ACTIONS(7115),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7115),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7115),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7115),
    [anon_sym_BSLASHacrfull] = ACTIONS(7115),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7115),
    [anon_sym_BSLASHACRfull] = ACTIONS(7115),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHacs] = ACTIONS(7115),
    [anon_sym_BSLASHAcs] = ACTIONS(7115),
    [anon_sym_BSLASHacsp] = ACTIONS(7115),
    [anon_sym_BSLASHAcsp] = ACTIONS(7115),
    [anon_sym_BSLASHacl] = ACTIONS(7115),
    [anon_sym_BSLASHAcl] = ACTIONS(7115),
    [anon_sym_BSLASHaclp] = ACTIONS(7115),
    [anon_sym_BSLASHAclp] = ACTIONS(7115),
    [anon_sym_BSLASHacf] = ACTIONS(7115),
    [anon_sym_BSLASHAcf] = ACTIONS(7115),
    [anon_sym_BSLASHacfp] = ACTIONS(7115),
    [anon_sym_BSLASHAcfp] = ACTIONS(7115),
    [anon_sym_BSLASHac] = ACTIONS(7115),
    [anon_sym_BSLASHAc] = ACTIONS(7115),
    [anon_sym_BSLASHacp] = ACTIONS(7115),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7115),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7115),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7115),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7115),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7115),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7115),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7115),
    [anon_sym_BSLASHcolor] = ACTIONS(7115),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7115),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7115),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7115),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7115),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7115),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7115),
    [anon_sym_BSLASHurl] = ACTIONS(7115),
    [anon_sym_BSLASHhref] = ACTIONS(7115),
  },
  [607] = {
    [sym_command_name] = ACTIONS(7119),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7119),
    [anon_sym_LBRACK] = ACTIONS(7121),
    [anon_sym_RBRACK] = ACTIONS(7121),
    [anon_sym_COMMA] = ACTIONS(7121),
    [anon_sym_EQ] = ACTIONS(7121),
    [anon_sym_LPAREN] = ACTIONS(7121),
    [anon_sym_RPAREN] = ACTIONS(7121),
    [anon_sym_BSLASHpart] = ACTIONS(7119),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHaddpart] = ACTIONS(7119),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHchapter] = ACTIONS(7119),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHaddchap] = ACTIONS(7119),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHsection] = ACTIONS(7119),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHaddsec] = ACTIONS(7119),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHsubsection] = ACTIONS(7119),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7119),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHparagraph] = ACTIONS(7119),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7119),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHitem] = ACTIONS(7119),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7121),
    [anon_sym_LBRACE] = ACTIONS(7121),
    [sym_word] = ACTIONS(7119),
    [sym_placeholder] = ACTIONS(7121),
    [sym_delimiter] = ACTIONS(7121),
    [anon_sym_PLUS] = ACTIONS(7121),
    [anon_sym_DASH] = ACTIONS(7121),
    [anon_sym_STAR] = ACTIONS(7121),
    [anon_sym_SLASH] = ACTIONS(7121),
    [anon_sym_LT] = ACTIONS(7119),
    [anon_sym_GT] = ACTIONS(7119),
    [anon_sym_BANG] = ACTIONS(7119),
    [anon_sym_PIPE] = ACTIONS(7119),
    [anon_sym_COLON] = ACTIONS(7119),
    [anon_sym_SQUOTE] = ACTIONS(7119),
    [anon_sym__] = ACTIONS(7121),
    [anon_sym_CARET] = ACTIONS(7121),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7121),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7121),
    [anon_sym_DOLLAR] = ACTIONS(7119),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7121),
    [anon_sym_BSLASHleft] = ACTIONS(7119),
    [anon_sym_BSLASHbigl] = ACTIONS(7119),
    [anon_sym_BSLASHBigl] = ACTIONS(7119),
    [anon_sym_BSLASHbiggl] = ACTIONS(7119),
    [anon_sym_BSLASHBiggl] = ACTIONS(7119),
    [anon_sym_BSLASHright] = ACTIONS(7119),
    [anon_sym_BSLASHbigr] = ACTIONS(7119),
    [anon_sym_BSLASHBigr] = ACTIONS(7119),
    [anon_sym_BSLASHbiggr] = ACTIONS(7119),
    [anon_sym_BSLASHBiggr] = ACTIONS(7119),
    [anon_sym_BSLASHtext] = ACTIONS(7119),
    [anon_sym_BSLASHintertext] = ACTIONS(7119),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7119),
    [anon_sym_BSLASHbegin] = ACTIONS(7119),
    [anon_sym_BSLASHtitle] = ACTIONS(7119),
    [anon_sym_BSLASHauthor] = ACTIONS(7119),
    [anon_sym_BSLASHusepackage] = ACTIONS(7119),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7119),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7119),
    [anon_sym_BSLASHinclude] = ACTIONS(7119),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7119),
    [anon_sym_BSLASHinput] = ACTIONS(7119),
    [anon_sym_BSLASHsubfile] = ACTIONS(7119),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7119),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7119),
    [anon_sym_BSLASHbibliography] = ACTIONS(7119),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7119),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7119),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7119),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7119),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7119),
    [anon_sym_BSLASHimport] = ACTIONS(7119),
    [anon_sym_BSLASHsubimport] = ACTIONS(7119),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7119),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7119),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7119),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7119),
    [anon_sym_BSLASHcaption] = ACTIONS(7119),
    [anon_sym_BSLASHcite] = ACTIONS(7119),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHCite] = ACTIONS(7119),
    [anon_sym_BSLASHnocite] = ACTIONS(7119),
    [anon_sym_BSLASHcitet] = ACTIONS(7119),
    [anon_sym_BSLASHcitep] = ACTIONS(7119),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHciteA] = ACTIONS(7119),
    [anon_sym_BSLASHciteR] = ACTIONS(7119),
    [anon_sym_BSLASHciteS] = ACTIONS(7119),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7119),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7119),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7119),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7119),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHciteyear] = ACTIONS(7119),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcitedate] = ACTIONS(7119),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHciteurl] = ACTIONS(7119),
    [anon_sym_BSLASHfullcite] = ACTIONS(7119),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7119),
    [anon_sym_BSLASHcitealt] = ACTIONS(7119),
    [anon_sym_BSLASHcitealp] = ACTIONS(7119),
    [anon_sym_BSLASHcitetext] = ACTIONS(7119),
    [anon_sym_BSLASHparencite] = ACTIONS(7119),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHParencite] = ACTIONS(7119),
    [anon_sym_BSLASHfootcite] = ACTIONS(7119),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7119),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7119),
    [anon_sym_BSLASHtextcite] = ACTIONS(7119),
    [anon_sym_BSLASHTextcite] = ACTIONS(7119),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7119),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7119),
    [anon_sym_BSLASHsupercite] = ACTIONS(7119),
    [anon_sym_BSLASHautocite] = ACTIONS(7119),
    [anon_sym_BSLASHAutocite] = ACTIONS(7119),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHVolcite] = ACTIONS(7119),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHavolcite] = ACTIONS(7119),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHnotecite] = ACTIONS(7119),
    [anon_sym_BSLASHNotecite] = ACTIONS(7119),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7119),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7119),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7119),
    [anon_sym_BSLASHlabel] = ACTIONS(7119),
    [anon_sym_BSLASHref] = ACTIONS(7119),
    [anon_sym_BSLASHeqref] = ACTIONS(7119),
    [anon_sym_BSLASHvref] = ACTIONS(7119),
    [anon_sym_BSLASHVref] = ACTIONS(7119),
    [anon_sym_BSLASHautoref] = ACTIONS(7119),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHpageref] = ACTIONS(7119),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHautopageref] = ACTIONS(7119),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcref] = ACTIONS(7119),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHCref] = ACTIONS(7119),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcpageref] = ACTIONS(7119),
    [anon_sym_BSLASHCpageref] = ACTIONS(7119),
    [anon_sym_BSLASHnamecref] = ACTIONS(7119),
    [anon_sym_BSLASHnameCref] = ACTIONS(7119),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7119),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7119),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7119),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7119),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7119),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7119),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7119),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7119),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7119),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7119),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7119),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7119),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7119),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7119),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7119),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7119),
    [anon_sym_BSLASHdef] = ACTIONS(7119),
    [anon_sym_BSLASHgdef] = ACTIONS(7119),
    [anon_sym_BSLASHedef] = ACTIONS(7119),
    [anon_sym_BSLASHxdef] = ACTIONS(7119),
    [anon_sym_BSLASHlet] = ACTIONS(7119),
    [anon_sym_BSLASHglet] = ACTIONS(7119),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7119),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7119),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7119),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7119),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7119),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7119),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7119),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7119),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7119),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7119),
    [anon_sym_BSLASHgls] = ACTIONS(7119),
    [anon_sym_BSLASHGls] = ACTIONS(7119),
    [anon_sym_BSLASHGLS] = ACTIONS(7119),
    [anon_sym_BSLASHglspl] = ACTIONS(7119),
    [anon_sym_BSLASHGlspl] = ACTIONS(7119),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7119),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7119),
    [anon_sym_BSLASHglslink] = ACTIONS(7119),
    [anon_sym_BSLASHglstext] = ACTIONS(7119),
    [anon_sym_BSLASHGlstext] = ACTIONS(7119),
    [anon_sym_BSLASHGLStext] = ACTIONS(7119),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7119),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7119),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7119),
    [anon_sym_BSLASHglsplural] = ACTIONS(7119),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7119),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7119),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7119),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7119),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7119),
    [anon_sym_BSLASHglsname] = ACTIONS(7119),
    [anon_sym_BSLASHGlsname] = ACTIONS(7119),
    [anon_sym_BSLASHGLSname] = ACTIONS(7119),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7119),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7119),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7119),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7119),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7119),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7119),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7119),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7119),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7119),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7119),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7119),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7119),
    [anon_sym_BSLASHacrshort] = ACTIONS(7119),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7119),
    [anon_sym_BSLASHACRshort] = ACTIONS(7119),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHacrlong] = ACTIONS(7119),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7119),
    [anon_sym_BSLASHACRlong] = ACTIONS(7119),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7119),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7119),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7119),
    [anon_sym_BSLASHacrfull] = ACTIONS(7119),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7119),
    [anon_sym_BSLASHACRfull] = ACTIONS(7119),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHacs] = ACTIONS(7119),
    [anon_sym_BSLASHAcs] = ACTIONS(7119),
    [anon_sym_BSLASHacsp] = ACTIONS(7119),
    [anon_sym_BSLASHAcsp] = ACTIONS(7119),
    [anon_sym_BSLASHacl] = ACTIONS(7119),
    [anon_sym_BSLASHAcl] = ACTIONS(7119),
    [anon_sym_BSLASHaclp] = ACTIONS(7119),
    [anon_sym_BSLASHAclp] = ACTIONS(7119),
    [anon_sym_BSLASHacf] = ACTIONS(7119),
    [anon_sym_BSLASHAcf] = ACTIONS(7119),
    [anon_sym_BSLASHacfp] = ACTIONS(7119),
    [anon_sym_BSLASHAcfp] = ACTIONS(7119),
    [anon_sym_BSLASHac] = ACTIONS(7119),
    [anon_sym_BSLASHAc] = ACTIONS(7119),
    [anon_sym_BSLASHacp] = ACTIONS(7119),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7119),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7119),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7119),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7119),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7119),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7119),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7119),
    [anon_sym_BSLASHcolor] = ACTIONS(7119),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7119),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7119),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7119),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7119),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7119),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7119),
    [anon_sym_BSLASHurl] = ACTIONS(7119),
    [anon_sym_BSLASHhref] = ACTIONS(7119),
  },
  [608] = {
    [sym_command_name] = ACTIONS(7123),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7123),
    [anon_sym_LBRACK] = ACTIONS(7125),
    [anon_sym_RBRACK] = ACTIONS(7125),
    [anon_sym_COMMA] = ACTIONS(7125),
    [anon_sym_EQ] = ACTIONS(7125),
    [anon_sym_LPAREN] = ACTIONS(7125),
    [anon_sym_RPAREN] = ACTIONS(7125),
    [anon_sym_BSLASHpart] = ACTIONS(7123),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHaddpart] = ACTIONS(7123),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHchapter] = ACTIONS(7123),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHaddchap] = ACTIONS(7123),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHsection] = ACTIONS(7123),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHaddsec] = ACTIONS(7123),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHsubsection] = ACTIONS(7123),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7123),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHparagraph] = ACTIONS(7123),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7123),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHitem] = ACTIONS(7123),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7125),
    [anon_sym_LBRACE] = ACTIONS(7125),
    [sym_word] = ACTIONS(7123),
    [sym_placeholder] = ACTIONS(7125),
    [sym_delimiter] = ACTIONS(7125),
    [anon_sym_PLUS] = ACTIONS(7125),
    [anon_sym_DASH] = ACTIONS(7125),
    [anon_sym_STAR] = ACTIONS(7125),
    [anon_sym_SLASH] = ACTIONS(7125),
    [anon_sym_LT] = ACTIONS(7123),
    [anon_sym_GT] = ACTIONS(7123),
    [anon_sym_BANG] = ACTIONS(7123),
    [anon_sym_PIPE] = ACTIONS(7123),
    [anon_sym_COLON] = ACTIONS(7123),
    [anon_sym_SQUOTE] = ACTIONS(7123),
    [anon_sym__] = ACTIONS(7125),
    [anon_sym_CARET] = ACTIONS(7125),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7125),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7125),
    [anon_sym_DOLLAR] = ACTIONS(7123),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7125),
    [anon_sym_BSLASHleft] = ACTIONS(7123),
    [anon_sym_BSLASHbigl] = ACTIONS(7123),
    [anon_sym_BSLASHBigl] = ACTIONS(7123),
    [anon_sym_BSLASHbiggl] = ACTIONS(7123),
    [anon_sym_BSLASHBiggl] = ACTIONS(7123),
    [anon_sym_BSLASHright] = ACTIONS(7123),
    [anon_sym_BSLASHbigr] = ACTIONS(7123),
    [anon_sym_BSLASHBigr] = ACTIONS(7123),
    [anon_sym_BSLASHbiggr] = ACTIONS(7123),
    [anon_sym_BSLASHBiggr] = ACTIONS(7123),
    [anon_sym_BSLASHtext] = ACTIONS(7123),
    [anon_sym_BSLASHintertext] = ACTIONS(7123),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7123),
    [anon_sym_BSLASHbegin] = ACTIONS(7123),
    [anon_sym_BSLASHtitle] = ACTIONS(7123),
    [anon_sym_BSLASHauthor] = ACTIONS(7123),
    [anon_sym_BSLASHusepackage] = ACTIONS(7123),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7123),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7123),
    [anon_sym_BSLASHinclude] = ACTIONS(7123),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7123),
    [anon_sym_BSLASHinput] = ACTIONS(7123),
    [anon_sym_BSLASHsubfile] = ACTIONS(7123),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7123),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7123),
    [anon_sym_BSLASHbibliography] = ACTIONS(7123),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7123),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7123),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7123),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7123),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7123),
    [anon_sym_BSLASHimport] = ACTIONS(7123),
    [anon_sym_BSLASHsubimport] = ACTIONS(7123),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7123),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7123),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7123),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7123),
    [anon_sym_BSLASHcaption] = ACTIONS(7123),
    [anon_sym_BSLASHcite] = ACTIONS(7123),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHCite] = ACTIONS(7123),
    [anon_sym_BSLASHnocite] = ACTIONS(7123),
    [anon_sym_BSLASHcitet] = ACTIONS(7123),
    [anon_sym_BSLASHcitep] = ACTIONS(7123),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHciteA] = ACTIONS(7123),
    [anon_sym_BSLASHciteR] = ACTIONS(7123),
    [anon_sym_BSLASHciteS] = ACTIONS(7123),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7123),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7123),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7123),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7123),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHciteyear] = ACTIONS(7123),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcitedate] = ACTIONS(7123),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHciteurl] = ACTIONS(7123),
    [anon_sym_BSLASHfullcite] = ACTIONS(7123),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7123),
    [anon_sym_BSLASHcitealt] = ACTIONS(7123),
    [anon_sym_BSLASHcitealp] = ACTIONS(7123),
    [anon_sym_BSLASHcitetext] = ACTIONS(7123),
    [anon_sym_BSLASHparencite] = ACTIONS(7123),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHParencite] = ACTIONS(7123),
    [anon_sym_BSLASHfootcite] = ACTIONS(7123),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7123),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7123),
    [anon_sym_BSLASHtextcite] = ACTIONS(7123),
    [anon_sym_BSLASHTextcite] = ACTIONS(7123),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7123),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7123),
    [anon_sym_BSLASHsupercite] = ACTIONS(7123),
    [anon_sym_BSLASHautocite] = ACTIONS(7123),
    [anon_sym_BSLASHAutocite] = ACTIONS(7123),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHVolcite] = ACTIONS(7123),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHavolcite] = ACTIONS(7123),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHnotecite] = ACTIONS(7123),
    [anon_sym_BSLASHNotecite] = ACTIONS(7123),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7123),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7123),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7123),
    [anon_sym_BSLASHlabel] = ACTIONS(7123),
    [anon_sym_BSLASHref] = ACTIONS(7123),
    [anon_sym_BSLASHeqref] = ACTIONS(7123),
    [anon_sym_BSLASHvref] = ACTIONS(7123),
    [anon_sym_BSLASHVref] = ACTIONS(7123),
    [anon_sym_BSLASHautoref] = ACTIONS(7123),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHpageref] = ACTIONS(7123),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHautopageref] = ACTIONS(7123),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcref] = ACTIONS(7123),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHCref] = ACTIONS(7123),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcpageref] = ACTIONS(7123),
    [anon_sym_BSLASHCpageref] = ACTIONS(7123),
    [anon_sym_BSLASHnamecref] = ACTIONS(7123),
    [anon_sym_BSLASHnameCref] = ACTIONS(7123),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7123),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7123),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7123),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7123),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7123),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7123),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7123),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7123),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7123),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7123),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7123),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7123),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7123),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7123),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7123),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7123),
    [anon_sym_BSLASHdef] = ACTIONS(7123),
    [anon_sym_BSLASHgdef] = ACTIONS(7123),
    [anon_sym_BSLASHedef] = ACTIONS(7123),
    [anon_sym_BSLASHxdef] = ACTIONS(7123),
    [anon_sym_BSLASHlet] = ACTIONS(7123),
    [anon_sym_BSLASHglet] = ACTIONS(7123),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7123),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7123),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7123),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7123),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7123),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7123),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7123),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7123),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7123),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7123),
    [anon_sym_BSLASHgls] = ACTIONS(7123),
    [anon_sym_BSLASHGls] = ACTIONS(7123),
    [anon_sym_BSLASHGLS] = ACTIONS(7123),
    [anon_sym_BSLASHglspl] = ACTIONS(7123),
    [anon_sym_BSLASHGlspl] = ACTIONS(7123),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7123),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7123),
    [anon_sym_BSLASHglslink] = ACTIONS(7123),
    [anon_sym_BSLASHglstext] = ACTIONS(7123),
    [anon_sym_BSLASHGlstext] = ACTIONS(7123),
    [anon_sym_BSLASHGLStext] = ACTIONS(7123),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7123),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7123),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7123),
    [anon_sym_BSLASHglsplural] = ACTIONS(7123),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7123),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7123),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7123),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7123),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7123),
    [anon_sym_BSLASHglsname] = ACTIONS(7123),
    [anon_sym_BSLASHGlsname] = ACTIONS(7123),
    [anon_sym_BSLASHGLSname] = ACTIONS(7123),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7123),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7123),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7123),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7123),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7123),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7123),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7123),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7123),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7123),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7123),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7123),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7123),
    [anon_sym_BSLASHacrshort] = ACTIONS(7123),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7123),
    [anon_sym_BSLASHACRshort] = ACTIONS(7123),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHacrlong] = ACTIONS(7123),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7123),
    [anon_sym_BSLASHACRlong] = ACTIONS(7123),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7123),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7123),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7123),
    [anon_sym_BSLASHacrfull] = ACTIONS(7123),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7123),
    [anon_sym_BSLASHACRfull] = ACTIONS(7123),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHacs] = ACTIONS(7123),
    [anon_sym_BSLASHAcs] = ACTIONS(7123),
    [anon_sym_BSLASHacsp] = ACTIONS(7123),
    [anon_sym_BSLASHAcsp] = ACTIONS(7123),
    [anon_sym_BSLASHacl] = ACTIONS(7123),
    [anon_sym_BSLASHAcl] = ACTIONS(7123),
    [anon_sym_BSLASHaclp] = ACTIONS(7123),
    [anon_sym_BSLASHAclp] = ACTIONS(7123),
    [anon_sym_BSLASHacf] = ACTIONS(7123),
    [anon_sym_BSLASHAcf] = ACTIONS(7123),
    [anon_sym_BSLASHacfp] = ACTIONS(7123),
    [anon_sym_BSLASHAcfp] = ACTIONS(7123),
    [anon_sym_BSLASHac] = ACTIONS(7123),
    [anon_sym_BSLASHAc] = ACTIONS(7123),
    [anon_sym_BSLASHacp] = ACTIONS(7123),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7123),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7123),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7123),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7123),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7123),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7123),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7123),
    [anon_sym_BSLASHcolor] = ACTIONS(7123),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7123),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7123),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7123),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7123),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7123),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7123),
    [anon_sym_BSLASHurl] = ACTIONS(7123),
    [anon_sym_BSLASHhref] = ACTIONS(7123),
  },
  [609] = {
    [sym_command_name] = ACTIONS(7127),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7127),
    [anon_sym_LBRACK] = ACTIONS(7129),
    [anon_sym_RBRACK] = ACTIONS(7129),
    [anon_sym_COMMA] = ACTIONS(7129),
    [anon_sym_EQ] = ACTIONS(7129),
    [anon_sym_LPAREN] = ACTIONS(7129),
    [anon_sym_RPAREN] = ACTIONS(7129),
    [anon_sym_BSLASHpart] = ACTIONS(7127),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHaddpart] = ACTIONS(7127),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHchapter] = ACTIONS(7127),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHaddchap] = ACTIONS(7127),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHsection] = ACTIONS(7127),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHaddsec] = ACTIONS(7127),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHsubsection] = ACTIONS(7127),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7127),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHparagraph] = ACTIONS(7127),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7127),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHitem] = ACTIONS(7127),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7129),
    [anon_sym_LBRACE] = ACTIONS(7129),
    [sym_word] = ACTIONS(7127),
    [sym_placeholder] = ACTIONS(7129),
    [sym_delimiter] = ACTIONS(7129),
    [anon_sym_PLUS] = ACTIONS(7129),
    [anon_sym_DASH] = ACTIONS(7129),
    [anon_sym_STAR] = ACTIONS(7129),
    [anon_sym_SLASH] = ACTIONS(7129),
    [anon_sym_LT] = ACTIONS(7127),
    [anon_sym_GT] = ACTIONS(7127),
    [anon_sym_BANG] = ACTIONS(7127),
    [anon_sym_PIPE] = ACTIONS(7127),
    [anon_sym_COLON] = ACTIONS(7127),
    [anon_sym_SQUOTE] = ACTIONS(7127),
    [anon_sym__] = ACTIONS(7129),
    [anon_sym_CARET] = ACTIONS(7129),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7129),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7129),
    [anon_sym_DOLLAR] = ACTIONS(7127),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7129),
    [anon_sym_BSLASHleft] = ACTIONS(7127),
    [anon_sym_BSLASHbigl] = ACTIONS(7127),
    [anon_sym_BSLASHBigl] = ACTIONS(7127),
    [anon_sym_BSLASHbiggl] = ACTIONS(7127),
    [anon_sym_BSLASHBiggl] = ACTIONS(7127),
    [anon_sym_BSLASHright] = ACTIONS(7127),
    [anon_sym_BSLASHbigr] = ACTIONS(7127),
    [anon_sym_BSLASHBigr] = ACTIONS(7127),
    [anon_sym_BSLASHbiggr] = ACTIONS(7127),
    [anon_sym_BSLASHBiggr] = ACTIONS(7127),
    [anon_sym_BSLASHtext] = ACTIONS(7127),
    [anon_sym_BSLASHintertext] = ACTIONS(7127),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7127),
    [anon_sym_BSLASHbegin] = ACTIONS(7127),
    [anon_sym_BSLASHtitle] = ACTIONS(7127),
    [anon_sym_BSLASHauthor] = ACTIONS(7127),
    [anon_sym_BSLASHusepackage] = ACTIONS(7127),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7127),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7127),
    [anon_sym_BSLASHinclude] = ACTIONS(7127),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7127),
    [anon_sym_BSLASHinput] = ACTIONS(7127),
    [anon_sym_BSLASHsubfile] = ACTIONS(7127),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7127),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7127),
    [anon_sym_BSLASHbibliography] = ACTIONS(7127),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7127),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7127),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7127),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7127),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7127),
    [anon_sym_BSLASHimport] = ACTIONS(7127),
    [anon_sym_BSLASHsubimport] = ACTIONS(7127),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7127),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7127),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7127),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7127),
    [anon_sym_BSLASHcaption] = ACTIONS(7127),
    [anon_sym_BSLASHcite] = ACTIONS(7127),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHCite] = ACTIONS(7127),
    [anon_sym_BSLASHnocite] = ACTIONS(7127),
    [anon_sym_BSLASHcitet] = ACTIONS(7127),
    [anon_sym_BSLASHcitep] = ACTIONS(7127),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHciteA] = ACTIONS(7127),
    [anon_sym_BSLASHciteR] = ACTIONS(7127),
    [anon_sym_BSLASHciteS] = ACTIONS(7127),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7127),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7127),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7127),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7127),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHciteyear] = ACTIONS(7127),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcitedate] = ACTIONS(7127),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHciteurl] = ACTIONS(7127),
    [anon_sym_BSLASHfullcite] = ACTIONS(7127),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7127),
    [anon_sym_BSLASHcitealt] = ACTIONS(7127),
    [anon_sym_BSLASHcitealp] = ACTIONS(7127),
    [anon_sym_BSLASHcitetext] = ACTIONS(7127),
    [anon_sym_BSLASHparencite] = ACTIONS(7127),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHParencite] = ACTIONS(7127),
    [anon_sym_BSLASHfootcite] = ACTIONS(7127),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7127),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7127),
    [anon_sym_BSLASHtextcite] = ACTIONS(7127),
    [anon_sym_BSLASHTextcite] = ACTIONS(7127),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7127),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7127),
    [anon_sym_BSLASHsupercite] = ACTIONS(7127),
    [anon_sym_BSLASHautocite] = ACTIONS(7127),
    [anon_sym_BSLASHAutocite] = ACTIONS(7127),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHVolcite] = ACTIONS(7127),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHavolcite] = ACTIONS(7127),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHnotecite] = ACTIONS(7127),
    [anon_sym_BSLASHNotecite] = ACTIONS(7127),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7127),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7127),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7127),
    [anon_sym_BSLASHlabel] = ACTIONS(7127),
    [anon_sym_BSLASHref] = ACTIONS(7127),
    [anon_sym_BSLASHeqref] = ACTIONS(7127),
    [anon_sym_BSLASHvref] = ACTIONS(7127),
    [anon_sym_BSLASHVref] = ACTIONS(7127),
    [anon_sym_BSLASHautoref] = ACTIONS(7127),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHpageref] = ACTIONS(7127),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHautopageref] = ACTIONS(7127),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcref] = ACTIONS(7127),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHCref] = ACTIONS(7127),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcpageref] = ACTIONS(7127),
    [anon_sym_BSLASHCpageref] = ACTIONS(7127),
    [anon_sym_BSLASHnamecref] = ACTIONS(7127),
    [anon_sym_BSLASHnameCref] = ACTIONS(7127),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7127),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7127),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7127),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7127),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7127),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7127),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7127),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7127),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7127),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7127),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7127),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7127),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7127),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7127),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7127),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7127),
    [anon_sym_BSLASHdef] = ACTIONS(7127),
    [anon_sym_BSLASHgdef] = ACTIONS(7127),
    [anon_sym_BSLASHedef] = ACTIONS(7127),
    [anon_sym_BSLASHxdef] = ACTIONS(7127),
    [anon_sym_BSLASHlet] = ACTIONS(7127),
    [anon_sym_BSLASHglet] = ACTIONS(7127),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7127),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7127),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7127),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7127),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7127),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7127),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7127),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7127),
    [anon_sym_BSLASHgls] = ACTIONS(7127),
    [anon_sym_BSLASHGls] = ACTIONS(7127),
    [anon_sym_BSLASHGLS] = ACTIONS(7127),
    [anon_sym_BSLASHglspl] = ACTIONS(7127),
    [anon_sym_BSLASHGlspl] = ACTIONS(7127),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7127),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7127),
    [anon_sym_BSLASHglslink] = ACTIONS(7127),
    [anon_sym_BSLASHglstext] = ACTIONS(7127),
    [anon_sym_BSLASHGlstext] = ACTIONS(7127),
    [anon_sym_BSLASHGLStext] = ACTIONS(7127),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7127),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7127),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7127),
    [anon_sym_BSLASHglsplural] = ACTIONS(7127),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7127),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7127),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7127),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7127),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7127),
    [anon_sym_BSLASHglsname] = ACTIONS(7127),
    [anon_sym_BSLASHGlsname] = ACTIONS(7127),
    [anon_sym_BSLASHGLSname] = ACTIONS(7127),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7127),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7127),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7127),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7127),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7127),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7127),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7127),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7127),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7127),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7127),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7127),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7127),
    [anon_sym_BSLASHacrshort] = ACTIONS(7127),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7127),
    [anon_sym_BSLASHACRshort] = ACTIONS(7127),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHacrlong] = ACTIONS(7127),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7127),
    [anon_sym_BSLASHACRlong] = ACTIONS(7127),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7127),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7127),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7127),
    [anon_sym_BSLASHacrfull] = ACTIONS(7127),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7127),
    [anon_sym_BSLASHACRfull] = ACTIONS(7127),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHacs] = ACTIONS(7127),
    [anon_sym_BSLASHAcs] = ACTIONS(7127),
    [anon_sym_BSLASHacsp] = ACTIONS(7127),
    [anon_sym_BSLASHAcsp] = ACTIONS(7127),
    [anon_sym_BSLASHacl] = ACTIONS(7127),
    [anon_sym_BSLASHAcl] = ACTIONS(7127),
    [anon_sym_BSLASHaclp] = ACTIONS(7127),
    [anon_sym_BSLASHAclp] = ACTIONS(7127),
    [anon_sym_BSLASHacf] = ACTIONS(7127),
    [anon_sym_BSLASHAcf] = ACTIONS(7127),
    [anon_sym_BSLASHacfp] = ACTIONS(7127),
    [anon_sym_BSLASHAcfp] = ACTIONS(7127),
    [anon_sym_BSLASHac] = ACTIONS(7127),
    [anon_sym_BSLASHAc] = ACTIONS(7127),
    [anon_sym_BSLASHacp] = ACTIONS(7127),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7127),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7127),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7127),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7127),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7127),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7127),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7127),
    [anon_sym_BSLASHcolor] = ACTIONS(7127),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7127),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7127),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7127),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7127),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7127),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7127),
    [anon_sym_BSLASHurl] = ACTIONS(7127),
    [anon_sym_BSLASHhref] = ACTIONS(7127),
  },
  [610] = {
    [sym_command_name] = ACTIONS(7131),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7131),
    [anon_sym_LBRACK] = ACTIONS(7133),
    [anon_sym_RBRACK] = ACTIONS(7133),
    [anon_sym_COMMA] = ACTIONS(7133),
    [anon_sym_EQ] = ACTIONS(7133),
    [anon_sym_LPAREN] = ACTIONS(7133),
    [anon_sym_RPAREN] = ACTIONS(7133),
    [anon_sym_BSLASHpart] = ACTIONS(7131),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHaddpart] = ACTIONS(7131),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHchapter] = ACTIONS(7131),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHaddchap] = ACTIONS(7131),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHsection] = ACTIONS(7131),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHaddsec] = ACTIONS(7131),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHsubsection] = ACTIONS(7131),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7131),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHparagraph] = ACTIONS(7131),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7131),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHitem] = ACTIONS(7131),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7133),
    [anon_sym_LBRACE] = ACTIONS(7133),
    [sym_word] = ACTIONS(7131),
    [sym_placeholder] = ACTIONS(7133),
    [sym_delimiter] = ACTIONS(7133),
    [anon_sym_PLUS] = ACTIONS(7133),
    [anon_sym_DASH] = ACTIONS(7133),
    [anon_sym_STAR] = ACTIONS(7133),
    [anon_sym_SLASH] = ACTIONS(7133),
    [anon_sym_LT] = ACTIONS(7131),
    [anon_sym_GT] = ACTIONS(7131),
    [anon_sym_BANG] = ACTIONS(7131),
    [anon_sym_PIPE] = ACTIONS(7131),
    [anon_sym_COLON] = ACTIONS(7131),
    [anon_sym_SQUOTE] = ACTIONS(7131),
    [anon_sym__] = ACTIONS(7133),
    [anon_sym_CARET] = ACTIONS(7133),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7133),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7133),
    [anon_sym_DOLLAR] = ACTIONS(7131),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7133),
    [anon_sym_BSLASHleft] = ACTIONS(7131),
    [anon_sym_BSLASHbigl] = ACTIONS(7131),
    [anon_sym_BSLASHBigl] = ACTIONS(7131),
    [anon_sym_BSLASHbiggl] = ACTIONS(7131),
    [anon_sym_BSLASHBiggl] = ACTIONS(7131),
    [anon_sym_BSLASHright] = ACTIONS(7131),
    [anon_sym_BSLASHbigr] = ACTIONS(7131),
    [anon_sym_BSLASHBigr] = ACTIONS(7131),
    [anon_sym_BSLASHbiggr] = ACTIONS(7131),
    [anon_sym_BSLASHBiggr] = ACTIONS(7131),
    [anon_sym_BSLASHtext] = ACTIONS(7131),
    [anon_sym_BSLASHintertext] = ACTIONS(7131),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7131),
    [anon_sym_BSLASHbegin] = ACTIONS(7131),
    [anon_sym_BSLASHtitle] = ACTIONS(7131),
    [anon_sym_BSLASHauthor] = ACTIONS(7131),
    [anon_sym_BSLASHusepackage] = ACTIONS(7131),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7131),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7131),
    [anon_sym_BSLASHinclude] = ACTIONS(7131),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7131),
    [anon_sym_BSLASHinput] = ACTIONS(7131),
    [anon_sym_BSLASHsubfile] = ACTIONS(7131),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7131),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7131),
    [anon_sym_BSLASHbibliography] = ACTIONS(7131),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7131),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7131),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7131),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7131),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7131),
    [anon_sym_BSLASHimport] = ACTIONS(7131),
    [anon_sym_BSLASHsubimport] = ACTIONS(7131),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7131),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7131),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7131),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7131),
    [anon_sym_BSLASHcaption] = ACTIONS(7131),
    [anon_sym_BSLASHcite] = ACTIONS(7131),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCite] = ACTIONS(7131),
    [anon_sym_BSLASHnocite] = ACTIONS(7131),
    [anon_sym_BSLASHcitet] = ACTIONS(7131),
    [anon_sym_BSLASHcitep] = ACTIONS(7131),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHciteA] = ACTIONS(7131),
    [anon_sym_BSLASHciteR] = ACTIONS(7131),
    [anon_sym_BSLASHciteS] = ACTIONS(7131),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7131),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7131),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7131),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7131),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHciteyear] = ACTIONS(7131),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcitedate] = ACTIONS(7131),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHciteurl] = ACTIONS(7131),
    [anon_sym_BSLASHfullcite] = ACTIONS(7131),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7131),
    [anon_sym_BSLASHcitealt] = ACTIONS(7131),
    [anon_sym_BSLASHcitealp] = ACTIONS(7131),
    [anon_sym_BSLASHcitetext] = ACTIONS(7131),
    [anon_sym_BSLASHparencite] = ACTIONS(7131),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHParencite] = ACTIONS(7131),
    [anon_sym_BSLASHfootcite] = ACTIONS(7131),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7131),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7131),
    [anon_sym_BSLASHtextcite] = ACTIONS(7131),
    [anon_sym_BSLASHTextcite] = ACTIONS(7131),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7131),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7131),
    [anon_sym_BSLASHsupercite] = ACTIONS(7131),
    [anon_sym_BSLASHautocite] = ACTIONS(7131),
    [anon_sym_BSLASHAutocite] = ACTIONS(7131),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHVolcite] = ACTIONS(7131),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHavolcite] = ACTIONS(7131),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHNotecite] = ACTIONS(7131),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHlabel] = ACTIONS(7131),
    [anon_sym_BSLASHref] = ACTIONS(7131),
    [anon_sym_BSLASHeqref] = ACTIONS(7131),
    [anon_sym_BSLASHvref] = ACTIONS(7131),
    [anon_sym_BSLASHVref] = ACTIONS(7131),
    [anon_sym_BSLASHautoref] = ACTIONS(7131),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHpageref] = ACTIONS(7131),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHautopageref] = ACTIONS(7131),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcref] = ACTIONS(7131),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCref] = ACTIONS(7131),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcpageref] = ACTIONS(7131),
    [anon_sym_BSLASHCpageref] = ACTIONS(7131),
    [anon_sym_BSLASHnamecref] = ACTIONS(7131),
    [anon_sym_BSLASHnameCref] = ACTIONS(7131),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7131),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7131),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7131),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7131),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7131),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7131),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7131),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7131),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7131),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7131),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7131),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7131),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7131),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7131),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7131),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7131),
    [anon_sym_BSLASHdef] = ACTIONS(7131),
    [anon_sym_BSLASHgdef] = ACTIONS(7131),
    [anon_sym_BSLASHedef] = ACTIONS(7131),
    [anon_sym_BSLASHxdef] = ACTIONS(7131),
    [anon_sym_BSLASHlet] = ACTIONS(7131),
    [anon_sym_BSLASHglet] = ACTIONS(7131),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7131),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7131),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7131),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7131),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7131),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7131),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7131),
    [anon_sym_BSLASHgls] = ACTIONS(7131),
    [anon_sym_BSLASHGls] = ACTIONS(7131),
    [anon_sym_BSLASHGLS] = ACTIONS(7131),
    [anon_sym_BSLASHglspl] = ACTIONS(7131),
    [anon_sym_BSLASHGlspl] = ACTIONS(7131),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7131),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7131),
    [anon_sym_BSLASHglslink] = ACTIONS(7131),
    [anon_sym_BSLASHglstext] = ACTIONS(7131),
    [anon_sym_BSLASHGlstext] = ACTIONS(7131),
    [anon_sym_BSLASHGLStext] = ACTIONS(7131),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7131),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7131),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7131),
    [anon_sym_BSLASHglsplural] = ACTIONS(7131),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7131),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7131),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7131),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7131),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7131),
    [anon_sym_BSLASHglsname] = ACTIONS(7131),
    [anon_sym_BSLASHGlsname] = ACTIONS(7131),
    [anon_sym_BSLASHGLSname] = ACTIONS(7131),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7131),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7131),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7131),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7131),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7131),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7131),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7131),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7131),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7131),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7131),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7131),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7131),
    [anon_sym_BSLASHacrshort] = ACTIONS(7131),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7131),
    [anon_sym_BSLASHACRshort] = ACTIONS(7131),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHacrlong] = ACTIONS(7131),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7131),
    [anon_sym_BSLASHACRlong] = ACTIONS(7131),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7131),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7131),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7131),
    [anon_sym_BSLASHacrfull] = ACTIONS(7131),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7131),
    [anon_sym_BSLASHACRfull] = ACTIONS(7131),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHacs] = ACTIONS(7131),
    [anon_sym_BSLASHAcs] = ACTIONS(7131),
    [anon_sym_BSLASHacsp] = ACTIONS(7131),
    [anon_sym_BSLASHAcsp] = ACTIONS(7131),
    [anon_sym_BSLASHacl] = ACTIONS(7131),
    [anon_sym_BSLASHAcl] = ACTIONS(7131),
    [anon_sym_BSLASHaclp] = ACTIONS(7131),
    [anon_sym_BSLASHAclp] = ACTIONS(7131),
    [anon_sym_BSLASHacf] = ACTIONS(7131),
    [anon_sym_BSLASHAcf] = ACTIONS(7131),
    [anon_sym_BSLASHacfp] = ACTIONS(7131),
    [anon_sym_BSLASHAcfp] = ACTIONS(7131),
    [anon_sym_BSLASHac] = ACTIONS(7131),
    [anon_sym_BSLASHAc] = ACTIONS(7131),
    [anon_sym_BSLASHacp] = ACTIONS(7131),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7131),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7131),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7131),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7131),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7131),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7131),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7131),
    [anon_sym_BSLASHcolor] = ACTIONS(7131),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7131),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7131),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7131),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7131),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7131),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7131),
    [anon_sym_BSLASHurl] = ACTIONS(7131),
    [anon_sym_BSLASHhref] = ACTIONS(7131),
  },
  [611] = {
    [sym_command_name] = ACTIONS(7135),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7135),
    [anon_sym_LBRACK] = ACTIONS(7137),
    [anon_sym_RBRACK] = ACTIONS(7137),
    [anon_sym_COMMA] = ACTIONS(7137),
    [anon_sym_EQ] = ACTIONS(7137),
    [anon_sym_LPAREN] = ACTIONS(7137),
    [anon_sym_RPAREN] = ACTIONS(7137),
    [anon_sym_BSLASHpart] = ACTIONS(7135),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHaddpart] = ACTIONS(7135),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHchapter] = ACTIONS(7135),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHaddchap] = ACTIONS(7135),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHsection] = ACTIONS(7135),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHaddsec] = ACTIONS(7135),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHsubsection] = ACTIONS(7135),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7135),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHparagraph] = ACTIONS(7135),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7135),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHitem] = ACTIONS(7135),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7137),
    [anon_sym_LBRACE] = ACTIONS(7137),
    [sym_word] = ACTIONS(7135),
    [sym_placeholder] = ACTIONS(7137),
    [sym_delimiter] = ACTIONS(7137),
    [anon_sym_PLUS] = ACTIONS(7137),
    [anon_sym_DASH] = ACTIONS(7137),
    [anon_sym_STAR] = ACTIONS(7137),
    [anon_sym_SLASH] = ACTIONS(7137),
    [anon_sym_LT] = ACTIONS(7135),
    [anon_sym_GT] = ACTIONS(7135),
    [anon_sym_BANG] = ACTIONS(7135),
    [anon_sym_PIPE] = ACTIONS(7135),
    [anon_sym_COLON] = ACTIONS(7135),
    [anon_sym_SQUOTE] = ACTIONS(7135),
    [anon_sym__] = ACTIONS(7137),
    [anon_sym_CARET] = ACTIONS(7137),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7137),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7137),
    [anon_sym_DOLLAR] = ACTIONS(7135),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7137),
    [anon_sym_BSLASHleft] = ACTIONS(7135),
    [anon_sym_BSLASHbigl] = ACTIONS(7135),
    [anon_sym_BSLASHBigl] = ACTIONS(7135),
    [anon_sym_BSLASHbiggl] = ACTIONS(7135),
    [anon_sym_BSLASHBiggl] = ACTIONS(7135),
    [anon_sym_BSLASHright] = ACTIONS(7135),
    [anon_sym_BSLASHbigr] = ACTIONS(7135),
    [anon_sym_BSLASHBigr] = ACTIONS(7135),
    [anon_sym_BSLASHbiggr] = ACTIONS(7135),
    [anon_sym_BSLASHBiggr] = ACTIONS(7135),
    [anon_sym_BSLASHtext] = ACTIONS(7135),
    [anon_sym_BSLASHintertext] = ACTIONS(7135),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7135),
    [anon_sym_BSLASHbegin] = ACTIONS(7135),
    [anon_sym_BSLASHtitle] = ACTIONS(7135),
    [anon_sym_BSLASHauthor] = ACTIONS(7135),
    [anon_sym_BSLASHusepackage] = ACTIONS(7135),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7135),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7135),
    [anon_sym_BSLASHinclude] = ACTIONS(7135),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7135),
    [anon_sym_BSLASHinput] = ACTIONS(7135),
    [anon_sym_BSLASHsubfile] = ACTIONS(7135),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7135),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7135),
    [anon_sym_BSLASHbibliography] = ACTIONS(7135),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7135),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7135),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7135),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7135),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7135),
    [anon_sym_BSLASHimport] = ACTIONS(7135),
    [anon_sym_BSLASHsubimport] = ACTIONS(7135),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7135),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7135),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7135),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7135),
    [anon_sym_BSLASHcaption] = ACTIONS(7135),
    [anon_sym_BSLASHcite] = ACTIONS(7135),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHCite] = ACTIONS(7135),
    [anon_sym_BSLASHnocite] = ACTIONS(7135),
    [anon_sym_BSLASHcitet] = ACTIONS(7135),
    [anon_sym_BSLASHcitep] = ACTIONS(7135),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHciteA] = ACTIONS(7135),
    [anon_sym_BSLASHciteR] = ACTIONS(7135),
    [anon_sym_BSLASHciteS] = ACTIONS(7135),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7135),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7135),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7135),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7135),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHciteyear] = ACTIONS(7135),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcitedate] = ACTIONS(7135),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHciteurl] = ACTIONS(7135),
    [anon_sym_BSLASHfullcite] = ACTIONS(7135),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7135),
    [anon_sym_BSLASHcitealt] = ACTIONS(7135),
    [anon_sym_BSLASHcitealp] = ACTIONS(7135),
    [anon_sym_BSLASHcitetext] = ACTIONS(7135),
    [anon_sym_BSLASHparencite] = ACTIONS(7135),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHParencite] = ACTIONS(7135),
    [anon_sym_BSLASHfootcite] = ACTIONS(7135),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7135),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7135),
    [anon_sym_BSLASHtextcite] = ACTIONS(7135),
    [anon_sym_BSLASHTextcite] = ACTIONS(7135),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7135),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7135),
    [anon_sym_BSLASHsupercite] = ACTIONS(7135),
    [anon_sym_BSLASHautocite] = ACTIONS(7135),
    [anon_sym_BSLASHAutocite] = ACTIONS(7135),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHVolcite] = ACTIONS(7135),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHavolcite] = ACTIONS(7135),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHnotecite] = ACTIONS(7135),
    [anon_sym_BSLASHNotecite] = ACTIONS(7135),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7135),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7135),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7135),
    [anon_sym_BSLASHlabel] = ACTIONS(7135),
    [anon_sym_BSLASHref] = ACTIONS(7135),
    [anon_sym_BSLASHeqref] = ACTIONS(7135),
    [anon_sym_BSLASHvref] = ACTIONS(7135),
    [anon_sym_BSLASHVref] = ACTIONS(7135),
    [anon_sym_BSLASHautoref] = ACTIONS(7135),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHpageref] = ACTIONS(7135),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHautopageref] = ACTIONS(7135),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcref] = ACTIONS(7135),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHCref] = ACTIONS(7135),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcpageref] = ACTIONS(7135),
    [anon_sym_BSLASHCpageref] = ACTIONS(7135),
    [anon_sym_BSLASHnamecref] = ACTIONS(7135),
    [anon_sym_BSLASHnameCref] = ACTIONS(7135),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7135),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7135),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7135),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7135),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7135),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7135),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7135),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7135),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7135),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7135),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7135),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7135),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7135),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7135),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7135),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7135),
    [anon_sym_BSLASHdef] = ACTIONS(7135),
    [anon_sym_BSLASHgdef] = ACTIONS(7135),
    [anon_sym_BSLASHedef] = ACTIONS(7135),
    [anon_sym_BSLASHxdef] = ACTIONS(7135),
    [anon_sym_BSLASHlet] = ACTIONS(7135),
    [anon_sym_BSLASHglet] = ACTIONS(7135),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7135),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7135),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7135),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7135),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7135),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7135),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7135),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7135),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7135),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7135),
    [anon_sym_BSLASHgls] = ACTIONS(7135),
    [anon_sym_BSLASHGls] = ACTIONS(7135),
    [anon_sym_BSLASHGLS] = ACTIONS(7135),
    [anon_sym_BSLASHglspl] = ACTIONS(7135),
    [anon_sym_BSLASHGlspl] = ACTIONS(7135),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7135),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7135),
    [anon_sym_BSLASHglslink] = ACTIONS(7135),
    [anon_sym_BSLASHglstext] = ACTIONS(7135),
    [anon_sym_BSLASHGlstext] = ACTIONS(7135),
    [anon_sym_BSLASHGLStext] = ACTIONS(7135),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7135),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7135),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7135),
    [anon_sym_BSLASHglsplural] = ACTIONS(7135),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7135),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7135),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7135),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7135),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7135),
    [anon_sym_BSLASHglsname] = ACTIONS(7135),
    [anon_sym_BSLASHGlsname] = ACTIONS(7135),
    [anon_sym_BSLASHGLSname] = ACTIONS(7135),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7135),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7135),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7135),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7135),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7135),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7135),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7135),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7135),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7135),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7135),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7135),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7135),
    [anon_sym_BSLASHacrshort] = ACTIONS(7135),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7135),
    [anon_sym_BSLASHACRshort] = ACTIONS(7135),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHacrlong] = ACTIONS(7135),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7135),
    [anon_sym_BSLASHACRlong] = ACTIONS(7135),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7135),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7135),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7135),
    [anon_sym_BSLASHacrfull] = ACTIONS(7135),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7135),
    [anon_sym_BSLASHACRfull] = ACTIONS(7135),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHacs] = ACTIONS(7135),
    [anon_sym_BSLASHAcs] = ACTIONS(7135),
    [anon_sym_BSLASHacsp] = ACTIONS(7135),
    [anon_sym_BSLASHAcsp] = ACTIONS(7135),
    [anon_sym_BSLASHacl] = ACTIONS(7135),
    [anon_sym_BSLASHAcl] = ACTIONS(7135),
    [anon_sym_BSLASHaclp] = ACTIONS(7135),
    [anon_sym_BSLASHAclp] = ACTIONS(7135),
    [anon_sym_BSLASHacf] = ACTIONS(7135),
    [anon_sym_BSLASHAcf] = ACTIONS(7135),
    [anon_sym_BSLASHacfp] = ACTIONS(7135),
    [anon_sym_BSLASHAcfp] = ACTIONS(7135),
    [anon_sym_BSLASHac] = ACTIONS(7135),
    [anon_sym_BSLASHAc] = ACTIONS(7135),
    [anon_sym_BSLASHacp] = ACTIONS(7135),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7135),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7135),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7135),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7135),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7135),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7135),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7135),
    [anon_sym_BSLASHcolor] = ACTIONS(7135),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7135),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7135),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7135),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7135),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7135),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7135),
    [anon_sym_BSLASHurl] = ACTIONS(7135),
    [anon_sym_BSLASHhref] = ACTIONS(7135),
  },
  [612] = {
    [sym_command_name] = ACTIONS(7139),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7139),
    [anon_sym_LBRACK] = ACTIONS(7141),
    [anon_sym_RBRACK] = ACTIONS(7141),
    [anon_sym_COMMA] = ACTIONS(7141),
    [anon_sym_EQ] = ACTIONS(7141),
    [anon_sym_LPAREN] = ACTIONS(7141),
    [anon_sym_RPAREN] = ACTIONS(7141),
    [anon_sym_BSLASHpart] = ACTIONS(7139),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHaddpart] = ACTIONS(7139),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHchapter] = ACTIONS(7139),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHaddchap] = ACTIONS(7139),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHsection] = ACTIONS(7139),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHaddsec] = ACTIONS(7139),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHsubsection] = ACTIONS(7139),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7139),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHparagraph] = ACTIONS(7139),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7139),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHitem] = ACTIONS(7139),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7141),
    [anon_sym_LBRACE] = ACTIONS(7141),
    [sym_word] = ACTIONS(7139),
    [sym_placeholder] = ACTIONS(7141),
    [sym_delimiter] = ACTIONS(7141),
    [anon_sym_PLUS] = ACTIONS(7141),
    [anon_sym_DASH] = ACTIONS(7141),
    [anon_sym_STAR] = ACTIONS(7141),
    [anon_sym_SLASH] = ACTIONS(7141),
    [anon_sym_LT] = ACTIONS(7139),
    [anon_sym_GT] = ACTIONS(7139),
    [anon_sym_BANG] = ACTIONS(7139),
    [anon_sym_PIPE] = ACTIONS(7139),
    [anon_sym_COLON] = ACTIONS(7139),
    [anon_sym_SQUOTE] = ACTIONS(7139),
    [anon_sym__] = ACTIONS(7141),
    [anon_sym_CARET] = ACTIONS(7141),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7141),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7141),
    [anon_sym_DOLLAR] = ACTIONS(7139),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7141),
    [anon_sym_BSLASHleft] = ACTIONS(7139),
    [anon_sym_BSLASHbigl] = ACTIONS(7139),
    [anon_sym_BSLASHBigl] = ACTIONS(7139),
    [anon_sym_BSLASHbiggl] = ACTIONS(7139),
    [anon_sym_BSLASHBiggl] = ACTIONS(7139),
    [anon_sym_BSLASHright] = ACTIONS(7139),
    [anon_sym_BSLASHbigr] = ACTIONS(7139),
    [anon_sym_BSLASHBigr] = ACTIONS(7139),
    [anon_sym_BSLASHbiggr] = ACTIONS(7139),
    [anon_sym_BSLASHBiggr] = ACTIONS(7139),
    [anon_sym_BSLASHtext] = ACTIONS(7139),
    [anon_sym_BSLASHintertext] = ACTIONS(7139),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7139),
    [anon_sym_BSLASHbegin] = ACTIONS(7139),
    [anon_sym_BSLASHtitle] = ACTIONS(7139),
    [anon_sym_BSLASHauthor] = ACTIONS(7139),
    [anon_sym_BSLASHusepackage] = ACTIONS(7139),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7139),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7139),
    [anon_sym_BSLASHinclude] = ACTIONS(7139),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7139),
    [anon_sym_BSLASHinput] = ACTIONS(7139),
    [anon_sym_BSLASHsubfile] = ACTIONS(7139),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7139),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7139),
    [anon_sym_BSLASHbibliography] = ACTIONS(7139),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7139),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7139),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7139),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7139),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7139),
    [anon_sym_BSLASHimport] = ACTIONS(7139),
    [anon_sym_BSLASHsubimport] = ACTIONS(7139),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7139),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7139),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7139),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7139),
    [anon_sym_BSLASHcaption] = ACTIONS(7139),
    [anon_sym_BSLASHcite] = ACTIONS(7139),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHCite] = ACTIONS(7139),
    [anon_sym_BSLASHnocite] = ACTIONS(7139),
    [anon_sym_BSLASHcitet] = ACTIONS(7139),
    [anon_sym_BSLASHcitep] = ACTIONS(7139),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHciteA] = ACTIONS(7139),
    [anon_sym_BSLASHciteR] = ACTIONS(7139),
    [anon_sym_BSLASHciteS] = ACTIONS(7139),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7139),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7139),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7139),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7139),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHciteyear] = ACTIONS(7139),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcitedate] = ACTIONS(7139),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHciteurl] = ACTIONS(7139),
    [anon_sym_BSLASHfullcite] = ACTIONS(7139),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7139),
    [anon_sym_BSLASHcitealt] = ACTIONS(7139),
    [anon_sym_BSLASHcitealp] = ACTIONS(7139),
    [anon_sym_BSLASHcitetext] = ACTIONS(7139),
    [anon_sym_BSLASHparencite] = ACTIONS(7139),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHParencite] = ACTIONS(7139),
    [anon_sym_BSLASHfootcite] = ACTIONS(7139),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7139),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7139),
    [anon_sym_BSLASHtextcite] = ACTIONS(7139),
    [anon_sym_BSLASHTextcite] = ACTIONS(7139),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7139),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7139),
    [anon_sym_BSLASHsupercite] = ACTIONS(7139),
    [anon_sym_BSLASHautocite] = ACTIONS(7139),
    [anon_sym_BSLASHAutocite] = ACTIONS(7139),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHVolcite] = ACTIONS(7139),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHavolcite] = ACTIONS(7139),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHnotecite] = ACTIONS(7139),
    [anon_sym_BSLASHNotecite] = ACTIONS(7139),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7139),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7139),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7139),
    [anon_sym_BSLASHlabel] = ACTIONS(7139),
    [anon_sym_BSLASHref] = ACTIONS(7139),
    [anon_sym_BSLASHeqref] = ACTIONS(7139),
    [anon_sym_BSLASHvref] = ACTIONS(7139),
    [anon_sym_BSLASHVref] = ACTIONS(7139),
    [anon_sym_BSLASHautoref] = ACTIONS(7139),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHpageref] = ACTIONS(7139),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHautopageref] = ACTIONS(7139),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcref] = ACTIONS(7139),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHCref] = ACTIONS(7139),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcpageref] = ACTIONS(7139),
    [anon_sym_BSLASHCpageref] = ACTIONS(7139),
    [anon_sym_BSLASHnamecref] = ACTIONS(7139),
    [anon_sym_BSLASHnameCref] = ACTIONS(7139),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7139),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7139),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7139),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7139),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7139),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7139),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7139),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7139),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7139),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7139),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7139),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7139),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7139),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7139),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7139),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7139),
    [anon_sym_BSLASHdef] = ACTIONS(7139),
    [anon_sym_BSLASHgdef] = ACTIONS(7139),
    [anon_sym_BSLASHedef] = ACTIONS(7139),
    [anon_sym_BSLASHxdef] = ACTIONS(7139),
    [anon_sym_BSLASHlet] = ACTIONS(7139),
    [anon_sym_BSLASHglet] = ACTIONS(7139),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7139),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7139),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7139),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7139),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7139),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7139),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7139),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7139),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7139),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7139),
    [anon_sym_BSLASHgls] = ACTIONS(7139),
    [anon_sym_BSLASHGls] = ACTIONS(7139),
    [anon_sym_BSLASHGLS] = ACTIONS(7139),
    [anon_sym_BSLASHglspl] = ACTIONS(7139),
    [anon_sym_BSLASHGlspl] = ACTIONS(7139),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7139),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7139),
    [anon_sym_BSLASHglslink] = ACTIONS(7139),
    [anon_sym_BSLASHglstext] = ACTIONS(7139),
    [anon_sym_BSLASHGlstext] = ACTIONS(7139),
    [anon_sym_BSLASHGLStext] = ACTIONS(7139),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7139),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7139),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7139),
    [anon_sym_BSLASHglsplural] = ACTIONS(7139),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7139),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7139),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7139),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7139),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7139),
    [anon_sym_BSLASHglsname] = ACTIONS(7139),
    [anon_sym_BSLASHGlsname] = ACTIONS(7139),
    [anon_sym_BSLASHGLSname] = ACTIONS(7139),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7139),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7139),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7139),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7139),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7139),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7139),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7139),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7139),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7139),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7139),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7139),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7139),
    [anon_sym_BSLASHacrshort] = ACTIONS(7139),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7139),
    [anon_sym_BSLASHACRshort] = ACTIONS(7139),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHacrlong] = ACTIONS(7139),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7139),
    [anon_sym_BSLASHACRlong] = ACTIONS(7139),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7139),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7139),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7139),
    [anon_sym_BSLASHacrfull] = ACTIONS(7139),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7139),
    [anon_sym_BSLASHACRfull] = ACTIONS(7139),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHacs] = ACTIONS(7139),
    [anon_sym_BSLASHAcs] = ACTIONS(7139),
    [anon_sym_BSLASHacsp] = ACTIONS(7139),
    [anon_sym_BSLASHAcsp] = ACTIONS(7139),
    [anon_sym_BSLASHacl] = ACTIONS(7139),
    [anon_sym_BSLASHAcl] = ACTIONS(7139),
    [anon_sym_BSLASHaclp] = ACTIONS(7139),
    [anon_sym_BSLASHAclp] = ACTIONS(7139),
    [anon_sym_BSLASHacf] = ACTIONS(7139),
    [anon_sym_BSLASHAcf] = ACTIONS(7139),
    [anon_sym_BSLASHacfp] = ACTIONS(7139),
    [anon_sym_BSLASHAcfp] = ACTIONS(7139),
    [anon_sym_BSLASHac] = ACTIONS(7139),
    [anon_sym_BSLASHAc] = ACTIONS(7139),
    [anon_sym_BSLASHacp] = ACTIONS(7139),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7139),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7139),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7139),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7139),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7139),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7139),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7139),
    [anon_sym_BSLASHcolor] = ACTIONS(7139),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7139),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7139),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7139),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7139),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7139),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7139),
    [anon_sym_BSLASHurl] = ACTIONS(7139),
    [anon_sym_BSLASHhref] = ACTIONS(7139),
  },
  [613] = {
    [sym_command_name] = ACTIONS(7143),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7143),
    [anon_sym_LBRACK] = ACTIONS(7145),
    [anon_sym_RBRACK] = ACTIONS(7145),
    [anon_sym_COMMA] = ACTIONS(7145),
    [anon_sym_EQ] = ACTIONS(7145),
    [anon_sym_LPAREN] = ACTIONS(7145),
    [anon_sym_RPAREN] = ACTIONS(7145),
    [anon_sym_BSLASHpart] = ACTIONS(7143),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHaddpart] = ACTIONS(7143),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHchapter] = ACTIONS(7143),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHaddchap] = ACTIONS(7143),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHsection] = ACTIONS(7143),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHaddsec] = ACTIONS(7143),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHsubsection] = ACTIONS(7143),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7143),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHparagraph] = ACTIONS(7143),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7143),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHitem] = ACTIONS(7143),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7145),
    [anon_sym_LBRACE] = ACTIONS(7145),
    [sym_word] = ACTIONS(7143),
    [sym_placeholder] = ACTIONS(7145),
    [sym_delimiter] = ACTIONS(7145),
    [anon_sym_PLUS] = ACTIONS(7145),
    [anon_sym_DASH] = ACTIONS(7145),
    [anon_sym_STAR] = ACTIONS(7145),
    [anon_sym_SLASH] = ACTIONS(7145),
    [anon_sym_LT] = ACTIONS(7143),
    [anon_sym_GT] = ACTIONS(7143),
    [anon_sym_BANG] = ACTIONS(7143),
    [anon_sym_PIPE] = ACTIONS(7143),
    [anon_sym_COLON] = ACTIONS(7143),
    [anon_sym_SQUOTE] = ACTIONS(7143),
    [anon_sym__] = ACTIONS(7145),
    [anon_sym_CARET] = ACTIONS(7145),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7145),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7145),
    [anon_sym_DOLLAR] = ACTIONS(7143),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7145),
    [anon_sym_BSLASHleft] = ACTIONS(7143),
    [anon_sym_BSLASHbigl] = ACTIONS(7143),
    [anon_sym_BSLASHBigl] = ACTIONS(7143),
    [anon_sym_BSLASHbiggl] = ACTIONS(7143),
    [anon_sym_BSLASHBiggl] = ACTIONS(7143),
    [anon_sym_BSLASHright] = ACTIONS(7143),
    [anon_sym_BSLASHbigr] = ACTIONS(7143),
    [anon_sym_BSLASHBigr] = ACTIONS(7143),
    [anon_sym_BSLASHbiggr] = ACTIONS(7143),
    [anon_sym_BSLASHBiggr] = ACTIONS(7143),
    [anon_sym_BSLASHtext] = ACTIONS(7143),
    [anon_sym_BSLASHintertext] = ACTIONS(7143),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7143),
    [anon_sym_BSLASHbegin] = ACTIONS(7143),
    [anon_sym_BSLASHtitle] = ACTIONS(7143),
    [anon_sym_BSLASHauthor] = ACTIONS(7143),
    [anon_sym_BSLASHusepackage] = ACTIONS(7143),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7143),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7143),
    [anon_sym_BSLASHinclude] = ACTIONS(7143),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7143),
    [anon_sym_BSLASHinput] = ACTIONS(7143),
    [anon_sym_BSLASHsubfile] = ACTIONS(7143),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7143),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7143),
    [anon_sym_BSLASHbibliography] = ACTIONS(7143),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7143),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7143),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7143),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7143),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7143),
    [anon_sym_BSLASHimport] = ACTIONS(7143),
    [anon_sym_BSLASHsubimport] = ACTIONS(7143),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7143),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7143),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7143),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7143),
    [anon_sym_BSLASHcaption] = ACTIONS(7143),
    [anon_sym_BSLASHcite] = ACTIONS(7143),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHCite] = ACTIONS(7143),
    [anon_sym_BSLASHnocite] = ACTIONS(7143),
    [anon_sym_BSLASHcitet] = ACTIONS(7143),
    [anon_sym_BSLASHcitep] = ACTIONS(7143),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHciteA] = ACTIONS(7143),
    [anon_sym_BSLASHciteR] = ACTIONS(7143),
    [anon_sym_BSLASHciteS] = ACTIONS(7143),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7143),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7143),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7143),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7143),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHciteyear] = ACTIONS(7143),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcitedate] = ACTIONS(7143),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHciteurl] = ACTIONS(7143),
    [anon_sym_BSLASHfullcite] = ACTIONS(7143),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7143),
    [anon_sym_BSLASHcitealt] = ACTIONS(7143),
    [anon_sym_BSLASHcitealp] = ACTIONS(7143),
    [anon_sym_BSLASHcitetext] = ACTIONS(7143),
    [anon_sym_BSLASHparencite] = ACTIONS(7143),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHParencite] = ACTIONS(7143),
    [anon_sym_BSLASHfootcite] = ACTIONS(7143),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7143),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7143),
    [anon_sym_BSLASHtextcite] = ACTIONS(7143),
    [anon_sym_BSLASHTextcite] = ACTIONS(7143),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7143),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7143),
    [anon_sym_BSLASHsupercite] = ACTIONS(7143),
    [anon_sym_BSLASHautocite] = ACTIONS(7143),
    [anon_sym_BSLASHAutocite] = ACTIONS(7143),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHVolcite] = ACTIONS(7143),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHavolcite] = ACTIONS(7143),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHnotecite] = ACTIONS(7143),
    [anon_sym_BSLASHNotecite] = ACTIONS(7143),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7143),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7143),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7143),
    [anon_sym_BSLASHlabel] = ACTIONS(7143),
    [anon_sym_BSLASHref] = ACTIONS(7143),
    [anon_sym_BSLASHeqref] = ACTIONS(7143),
    [anon_sym_BSLASHvref] = ACTIONS(7143),
    [anon_sym_BSLASHVref] = ACTIONS(7143),
    [anon_sym_BSLASHautoref] = ACTIONS(7143),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHpageref] = ACTIONS(7143),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHautopageref] = ACTIONS(7143),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcref] = ACTIONS(7143),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHCref] = ACTIONS(7143),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcpageref] = ACTIONS(7143),
    [anon_sym_BSLASHCpageref] = ACTIONS(7143),
    [anon_sym_BSLASHnamecref] = ACTIONS(7143),
    [anon_sym_BSLASHnameCref] = ACTIONS(7143),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7143),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7143),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7143),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7143),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7143),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7143),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7143),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7143),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7143),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7143),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7143),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7143),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7143),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7143),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7143),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7143),
    [anon_sym_BSLASHdef] = ACTIONS(7143),
    [anon_sym_BSLASHgdef] = ACTIONS(7143),
    [anon_sym_BSLASHedef] = ACTIONS(7143),
    [anon_sym_BSLASHxdef] = ACTIONS(7143),
    [anon_sym_BSLASHlet] = ACTIONS(7143),
    [anon_sym_BSLASHglet] = ACTIONS(7143),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7143),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7143),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7143),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7143),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7143),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7143),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7143),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7143),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7143),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7143),
    [anon_sym_BSLASHgls] = ACTIONS(7143),
    [anon_sym_BSLASHGls] = ACTIONS(7143),
    [anon_sym_BSLASHGLS] = ACTIONS(7143),
    [anon_sym_BSLASHglspl] = ACTIONS(7143),
    [anon_sym_BSLASHGlspl] = ACTIONS(7143),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7143),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7143),
    [anon_sym_BSLASHglslink] = ACTIONS(7143),
    [anon_sym_BSLASHglstext] = ACTIONS(7143),
    [anon_sym_BSLASHGlstext] = ACTIONS(7143),
    [anon_sym_BSLASHGLStext] = ACTIONS(7143),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7143),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7143),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7143),
    [anon_sym_BSLASHglsplural] = ACTIONS(7143),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7143),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7143),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7143),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7143),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7143),
    [anon_sym_BSLASHglsname] = ACTIONS(7143),
    [anon_sym_BSLASHGlsname] = ACTIONS(7143),
    [anon_sym_BSLASHGLSname] = ACTIONS(7143),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7143),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7143),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7143),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7143),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7143),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7143),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7143),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7143),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7143),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7143),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7143),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7143),
    [anon_sym_BSLASHacrshort] = ACTIONS(7143),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7143),
    [anon_sym_BSLASHACRshort] = ACTIONS(7143),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHacrlong] = ACTIONS(7143),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7143),
    [anon_sym_BSLASHACRlong] = ACTIONS(7143),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7143),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7143),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7143),
    [anon_sym_BSLASHacrfull] = ACTIONS(7143),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7143),
    [anon_sym_BSLASHACRfull] = ACTIONS(7143),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHacs] = ACTIONS(7143),
    [anon_sym_BSLASHAcs] = ACTIONS(7143),
    [anon_sym_BSLASHacsp] = ACTIONS(7143),
    [anon_sym_BSLASHAcsp] = ACTIONS(7143),
    [anon_sym_BSLASHacl] = ACTIONS(7143),
    [anon_sym_BSLASHAcl] = ACTIONS(7143),
    [anon_sym_BSLASHaclp] = ACTIONS(7143),
    [anon_sym_BSLASHAclp] = ACTIONS(7143),
    [anon_sym_BSLASHacf] = ACTIONS(7143),
    [anon_sym_BSLASHAcf] = ACTIONS(7143),
    [anon_sym_BSLASHacfp] = ACTIONS(7143),
    [anon_sym_BSLASHAcfp] = ACTIONS(7143),
    [anon_sym_BSLASHac] = ACTIONS(7143),
    [anon_sym_BSLASHAc] = ACTIONS(7143),
    [anon_sym_BSLASHacp] = ACTIONS(7143),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7143),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7143),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7143),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7143),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7143),
    [anon_sym_BSLASHcolor] = ACTIONS(7143),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7143),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7143),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7143),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7143),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7143),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7143),
    [anon_sym_BSLASHurl] = ACTIONS(7143),
    [anon_sym_BSLASHhref] = ACTIONS(7143),
  },
  [614] = {
    [sym_command_name] = ACTIONS(7147),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7147),
    [anon_sym_LBRACK] = ACTIONS(7149),
    [anon_sym_RBRACK] = ACTIONS(7149),
    [anon_sym_COMMA] = ACTIONS(7149),
    [anon_sym_EQ] = ACTIONS(7149),
    [anon_sym_LPAREN] = ACTIONS(7149),
    [anon_sym_RPAREN] = ACTIONS(7149),
    [anon_sym_BSLASHpart] = ACTIONS(7147),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHaddpart] = ACTIONS(7147),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHchapter] = ACTIONS(7147),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHaddchap] = ACTIONS(7147),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHsection] = ACTIONS(7147),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHaddsec] = ACTIONS(7147),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHsubsection] = ACTIONS(7147),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7147),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHparagraph] = ACTIONS(7147),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7147),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHitem] = ACTIONS(7147),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7149),
    [anon_sym_LBRACE] = ACTIONS(7149),
    [sym_word] = ACTIONS(7147),
    [sym_placeholder] = ACTIONS(7149),
    [sym_delimiter] = ACTIONS(7149),
    [anon_sym_PLUS] = ACTIONS(7149),
    [anon_sym_DASH] = ACTIONS(7149),
    [anon_sym_STAR] = ACTIONS(7149),
    [anon_sym_SLASH] = ACTIONS(7149),
    [anon_sym_LT] = ACTIONS(7147),
    [anon_sym_GT] = ACTIONS(7147),
    [anon_sym_BANG] = ACTIONS(7147),
    [anon_sym_PIPE] = ACTIONS(7147),
    [anon_sym_COLON] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(7147),
    [anon_sym__] = ACTIONS(7149),
    [anon_sym_CARET] = ACTIONS(7149),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7149),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7149),
    [anon_sym_DOLLAR] = ACTIONS(7147),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7149),
    [anon_sym_BSLASHleft] = ACTIONS(7147),
    [anon_sym_BSLASHbigl] = ACTIONS(7147),
    [anon_sym_BSLASHBigl] = ACTIONS(7147),
    [anon_sym_BSLASHbiggl] = ACTIONS(7147),
    [anon_sym_BSLASHBiggl] = ACTIONS(7147),
    [anon_sym_BSLASHright] = ACTIONS(7147),
    [anon_sym_BSLASHbigr] = ACTIONS(7147),
    [anon_sym_BSLASHBigr] = ACTIONS(7147),
    [anon_sym_BSLASHbiggr] = ACTIONS(7147),
    [anon_sym_BSLASHBiggr] = ACTIONS(7147),
    [anon_sym_BSLASHtext] = ACTIONS(7147),
    [anon_sym_BSLASHintertext] = ACTIONS(7147),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7147),
    [anon_sym_BSLASHbegin] = ACTIONS(7147),
    [anon_sym_BSLASHtitle] = ACTIONS(7147),
    [anon_sym_BSLASHauthor] = ACTIONS(7147),
    [anon_sym_BSLASHusepackage] = ACTIONS(7147),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7147),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7147),
    [anon_sym_BSLASHinclude] = ACTIONS(7147),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7147),
    [anon_sym_BSLASHinput] = ACTIONS(7147),
    [anon_sym_BSLASHsubfile] = ACTIONS(7147),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7147),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7147),
    [anon_sym_BSLASHbibliography] = ACTIONS(7147),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7147),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7147),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7147),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7147),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7147),
    [anon_sym_BSLASHimport] = ACTIONS(7147),
    [anon_sym_BSLASHsubimport] = ACTIONS(7147),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7147),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7147),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7147),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7147),
    [anon_sym_BSLASHcaption] = ACTIONS(7147),
    [anon_sym_BSLASHcite] = ACTIONS(7147),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHCite] = ACTIONS(7147),
    [anon_sym_BSLASHnocite] = ACTIONS(7147),
    [anon_sym_BSLASHcitet] = ACTIONS(7147),
    [anon_sym_BSLASHcitep] = ACTIONS(7147),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHciteA] = ACTIONS(7147),
    [anon_sym_BSLASHciteR] = ACTIONS(7147),
    [anon_sym_BSLASHciteS] = ACTIONS(7147),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7147),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7147),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7147),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7147),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHciteyear] = ACTIONS(7147),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcitedate] = ACTIONS(7147),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHciteurl] = ACTIONS(7147),
    [anon_sym_BSLASHfullcite] = ACTIONS(7147),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7147),
    [anon_sym_BSLASHcitealt] = ACTIONS(7147),
    [anon_sym_BSLASHcitealp] = ACTIONS(7147),
    [anon_sym_BSLASHcitetext] = ACTIONS(7147),
    [anon_sym_BSLASHparencite] = ACTIONS(7147),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHParencite] = ACTIONS(7147),
    [anon_sym_BSLASHfootcite] = ACTIONS(7147),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7147),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7147),
    [anon_sym_BSLASHtextcite] = ACTIONS(7147),
    [anon_sym_BSLASHTextcite] = ACTIONS(7147),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7147),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7147),
    [anon_sym_BSLASHsupercite] = ACTIONS(7147),
    [anon_sym_BSLASHautocite] = ACTIONS(7147),
    [anon_sym_BSLASHAutocite] = ACTIONS(7147),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHVolcite] = ACTIONS(7147),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHavolcite] = ACTIONS(7147),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHnotecite] = ACTIONS(7147),
    [anon_sym_BSLASHNotecite] = ACTIONS(7147),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7147),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7147),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7147),
    [anon_sym_BSLASHlabel] = ACTIONS(7147),
    [anon_sym_BSLASHref] = ACTIONS(7147),
    [anon_sym_BSLASHeqref] = ACTIONS(7147),
    [anon_sym_BSLASHvref] = ACTIONS(7147),
    [anon_sym_BSLASHVref] = ACTIONS(7147),
    [anon_sym_BSLASHautoref] = ACTIONS(7147),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHpageref] = ACTIONS(7147),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHautopageref] = ACTIONS(7147),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcref] = ACTIONS(7147),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHCref] = ACTIONS(7147),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcpageref] = ACTIONS(7147),
    [anon_sym_BSLASHCpageref] = ACTIONS(7147),
    [anon_sym_BSLASHnamecref] = ACTIONS(7147),
    [anon_sym_BSLASHnameCref] = ACTIONS(7147),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7147),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7147),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7147),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7147),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7147),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7147),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7147),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7147),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7147),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7147),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7147),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7147),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7147),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7147),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7147),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7147),
    [anon_sym_BSLASHdef] = ACTIONS(7147),
    [anon_sym_BSLASHgdef] = ACTIONS(7147),
    [anon_sym_BSLASHedef] = ACTIONS(7147),
    [anon_sym_BSLASHxdef] = ACTIONS(7147),
    [anon_sym_BSLASHlet] = ACTIONS(7147),
    [anon_sym_BSLASHglet] = ACTIONS(7147),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7147),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7147),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7147),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7147),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7147),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7147),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7147),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7147),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7147),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7147),
    [anon_sym_BSLASHgls] = ACTIONS(7147),
    [anon_sym_BSLASHGls] = ACTIONS(7147),
    [anon_sym_BSLASHGLS] = ACTIONS(7147),
    [anon_sym_BSLASHglspl] = ACTIONS(7147),
    [anon_sym_BSLASHGlspl] = ACTIONS(7147),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7147),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7147),
    [anon_sym_BSLASHglslink] = ACTIONS(7147),
    [anon_sym_BSLASHglstext] = ACTIONS(7147),
    [anon_sym_BSLASHGlstext] = ACTIONS(7147),
    [anon_sym_BSLASHGLStext] = ACTIONS(7147),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7147),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7147),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7147),
    [anon_sym_BSLASHglsplural] = ACTIONS(7147),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7147),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7147),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7147),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7147),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7147),
    [anon_sym_BSLASHglsname] = ACTIONS(7147),
    [anon_sym_BSLASHGlsname] = ACTIONS(7147),
    [anon_sym_BSLASHGLSname] = ACTIONS(7147),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7147),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7147),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7147),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7147),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7147),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7147),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7147),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7147),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7147),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7147),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7147),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7147),
    [anon_sym_BSLASHacrshort] = ACTIONS(7147),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7147),
    [anon_sym_BSLASHACRshort] = ACTIONS(7147),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHacrlong] = ACTIONS(7147),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7147),
    [anon_sym_BSLASHACRlong] = ACTIONS(7147),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7147),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7147),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7147),
    [anon_sym_BSLASHacrfull] = ACTIONS(7147),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7147),
    [anon_sym_BSLASHACRfull] = ACTIONS(7147),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHacs] = ACTIONS(7147),
    [anon_sym_BSLASHAcs] = ACTIONS(7147),
    [anon_sym_BSLASHacsp] = ACTIONS(7147),
    [anon_sym_BSLASHAcsp] = ACTIONS(7147),
    [anon_sym_BSLASHacl] = ACTIONS(7147),
    [anon_sym_BSLASHAcl] = ACTIONS(7147),
    [anon_sym_BSLASHaclp] = ACTIONS(7147),
    [anon_sym_BSLASHAclp] = ACTIONS(7147),
    [anon_sym_BSLASHacf] = ACTIONS(7147),
    [anon_sym_BSLASHAcf] = ACTIONS(7147),
    [anon_sym_BSLASHacfp] = ACTIONS(7147),
    [anon_sym_BSLASHAcfp] = ACTIONS(7147),
    [anon_sym_BSLASHac] = ACTIONS(7147),
    [anon_sym_BSLASHAc] = ACTIONS(7147),
    [anon_sym_BSLASHacp] = ACTIONS(7147),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7147),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7147),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7147),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7147),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7147),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7147),
    [anon_sym_BSLASHcolor] = ACTIONS(7147),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7147),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7147),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7147),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7147),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7147),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7147),
    [anon_sym_BSLASHurl] = ACTIONS(7147),
    [anon_sym_BSLASHhref] = ACTIONS(7147),
  },
  [615] = {
    [sym_command_name] = ACTIONS(7151),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7151),
    [anon_sym_LBRACK] = ACTIONS(7153),
    [anon_sym_RBRACK] = ACTIONS(7153),
    [anon_sym_COMMA] = ACTIONS(7153),
    [anon_sym_EQ] = ACTIONS(7153),
    [anon_sym_LPAREN] = ACTIONS(7153),
    [anon_sym_RPAREN] = ACTIONS(7153),
    [anon_sym_BSLASHpart] = ACTIONS(7151),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHaddpart] = ACTIONS(7151),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHchapter] = ACTIONS(7151),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHaddchap] = ACTIONS(7151),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHsection] = ACTIONS(7151),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHaddsec] = ACTIONS(7151),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHsubsection] = ACTIONS(7151),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7151),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHparagraph] = ACTIONS(7151),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7151),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHitem] = ACTIONS(7151),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7153),
    [anon_sym_LBRACE] = ACTIONS(7153),
    [sym_word] = ACTIONS(7151),
    [sym_placeholder] = ACTIONS(7153),
    [sym_delimiter] = ACTIONS(7153),
    [anon_sym_PLUS] = ACTIONS(7153),
    [anon_sym_DASH] = ACTIONS(7153),
    [anon_sym_STAR] = ACTIONS(7153),
    [anon_sym_SLASH] = ACTIONS(7153),
    [anon_sym_LT] = ACTIONS(7151),
    [anon_sym_GT] = ACTIONS(7151),
    [anon_sym_BANG] = ACTIONS(7151),
    [anon_sym_PIPE] = ACTIONS(7151),
    [anon_sym_COLON] = ACTIONS(7151),
    [anon_sym_SQUOTE] = ACTIONS(7151),
    [anon_sym__] = ACTIONS(7153),
    [anon_sym_CARET] = ACTIONS(7153),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7153),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7153),
    [anon_sym_DOLLAR] = ACTIONS(7151),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7153),
    [anon_sym_BSLASHleft] = ACTIONS(7151),
    [anon_sym_BSLASHbigl] = ACTIONS(7151),
    [anon_sym_BSLASHBigl] = ACTIONS(7151),
    [anon_sym_BSLASHbiggl] = ACTIONS(7151),
    [anon_sym_BSLASHBiggl] = ACTIONS(7151),
    [anon_sym_BSLASHright] = ACTIONS(7151),
    [anon_sym_BSLASHbigr] = ACTIONS(7151),
    [anon_sym_BSLASHBigr] = ACTIONS(7151),
    [anon_sym_BSLASHbiggr] = ACTIONS(7151),
    [anon_sym_BSLASHBiggr] = ACTIONS(7151),
    [anon_sym_BSLASHtext] = ACTIONS(7151),
    [anon_sym_BSLASHintertext] = ACTIONS(7151),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7151),
    [anon_sym_BSLASHbegin] = ACTIONS(7151),
    [anon_sym_BSLASHtitle] = ACTIONS(7151),
    [anon_sym_BSLASHauthor] = ACTIONS(7151),
    [anon_sym_BSLASHusepackage] = ACTIONS(7151),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7151),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7151),
    [anon_sym_BSLASHinclude] = ACTIONS(7151),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7151),
    [anon_sym_BSLASHinput] = ACTIONS(7151),
    [anon_sym_BSLASHsubfile] = ACTIONS(7151),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7151),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7151),
    [anon_sym_BSLASHbibliography] = ACTIONS(7151),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7151),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7151),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7151),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7151),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7151),
    [anon_sym_BSLASHimport] = ACTIONS(7151),
    [anon_sym_BSLASHsubimport] = ACTIONS(7151),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7151),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7151),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7151),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7151),
    [anon_sym_BSLASHcaption] = ACTIONS(7151),
    [anon_sym_BSLASHcite] = ACTIONS(7151),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHCite] = ACTIONS(7151),
    [anon_sym_BSLASHnocite] = ACTIONS(7151),
    [anon_sym_BSLASHcitet] = ACTIONS(7151),
    [anon_sym_BSLASHcitep] = ACTIONS(7151),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHciteA] = ACTIONS(7151),
    [anon_sym_BSLASHciteR] = ACTIONS(7151),
    [anon_sym_BSLASHciteS] = ACTIONS(7151),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7151),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7151),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7151),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7151),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHciteyear] = ACTIONS(7151),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcitedate] = ACTIONS(7151),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHciteurl] = ACTIONS(7151),
    [anon_sym_BSLASHfullcite] = ACTIONS(7151),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7151),
    [anon_sym_BSLASHcitealt] = ACTIONS(7151),
    [anon_sym_BSLASHcitealp] = ACTIONS(7151),
    [anon_sym_BSLASHcitetext] = ACTIONS(7151),
    [anon_sym_BSLASHparencite] = ACTIONS(7151),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHParencite] = ACTIONS(7151),
    [anon_sym_BSLASHfootcite] = ACTIONS(7151),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7151),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7151),
    [anon_sym_BSLASHtextcite] = ACTIONS(7151),
    [anon_sym_BSLASHTextcite] = ACTIONS(7151),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7151),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7151),
    [anon_sym_BSLASHsupercite] = ACTIONS(7151),
    [anon_sym_BSLASHautocite] = ACTIONS(7151),
    [anon_sym_BSLASHAutocite] = ACTIONS(7151),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHVolcite] = ACTIONS(7151),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHavolcite] = ACTIONS(7151),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHnotecite] = ACTIONS(7151),
    [anon_sym_BSLASHNotecite] = ACTIONS(7151),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7151),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7151),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7151),
    [anon_sym_BSLASHlabel] = ACTIONS(7151),
    [anon_sym_BSLASHref] = ACTIONS(7151),
    [anon_sym_BSLASHeqref] = ACTIONS(7151),
    [anon_sym_BSLASHvref] = ACTIONS(7151),
    [anon_sym_BSLASHVref] = ACTIONS(7151),
    [anon_sym_BSLASHautoref] = ACTIONS(7151),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHpageref] = ACTIONS(7151),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHautopageref] = ACTIONS(7151),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcref] = ACTIONS(7151),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHCref] = ACTIONS(7151),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcpageref] = ACTIONS(7151),
    [anon_sym_BSLASHCpageref] = ACTIONS(7151),
    [anon_sym_BSLASHnamecref] = ACTIONS(7151),
    [anon_sym_BSLASHnameCref] = ACTIONS(7151),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7151),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7151),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7151),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7151),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7151),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7151),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7151),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7151),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7151),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7151),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7151),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7151),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7151),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7151),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7151),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7151),
    [anon_sym_BSLASHdef] = ACTIONS(7151),
    [anon_sym_BSLASHgdef] = ACTIONS(7151),
    [anon_sym_BSLASHedef] = ACTIONS(7151),
    [anon_sym_BSLASHxdef] = ACTIONS(7151),
    [anon_sym_BSLASHlet] = ACTIONS(7151),
    [anon_sym_BSLASHglet] = ACTIONS(7151),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7151),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7151),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7151),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7151),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7151),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7151),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7151),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7151),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7151),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7151),
    [anon_sym_BSLASHgls] = ACTIONS(7151),
    [anon_sym_BSLASHGls] = ACTIONS(7151),
    [anon_sym_BSLASHGLS] = ACTIONS(7151),
    [anon_sym_BSLASHglspl] = ACTIONS(7151),
    [anon_sym_BSLASHGlspl] = ACTIONS(7151),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7151),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7151),
    [anon_sym_BSLASHglslink] = ACTIONS(7151),
    [anon_sym_BSLASHglstext] = ACTIONS(7151),
    [anon_sym_BSLASHGlstext] = ACTIONS(7151),
    [anon_sym_BSLASHGLStext] = ACTIONS(7151),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7151),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7151),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7151),
    [anon_sym_BSLASHglsplural] = ACTIONS(7151),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7151),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7151),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7151),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7151),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7151),
    [anon_sym_BSLASHglsname] = ACTIONS(7151),
    [anon_sym_BSLASHGlsname] = ACTIONS(7151),
    [anon_sym_BSLASHGLSname] = ACTIONS(7151),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7151),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7151),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7151),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7151),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7151),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7151),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7151),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7151),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7151),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7151),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7151),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7151),
    [anon_sym_BSLASHacrshort] = ACTIONS(7151),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7151),
    [anon_sym_BSLASHACRshort] = ACTIONS(7151),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHacrlong] = ACTIONS(7151),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7151),
    [anon_sym_BSLASHACRlong] = ACTIONS(7151),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7151),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7151),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7151),
    [anon_sym_BSLASHacrfull] = ACTIONS(7151),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7151),
    [anon_sym_BSLASHACRfull] = ACTIONS(7151),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHacs] = ACTIONS(7151),
    [anon_sym_BSLASHAcs] = ACTIONS(7151),
    [anon_sym_BSLASHacsp] = ACTIONS(7151),
    [anon_sym_BSLASHAcsp] = ACTIONS(7151),
    [anon_sym_BSLASHacl] = ACTIONS(7151),
    [anon_sym_BSLASHAcl] = ACTIONS(7151),
    [anon_sym_BSLASHaclp] = ACTIONS(7151),
    [anon_sym_BSLASHAclp] = ACTIONS(7151),
    [anon_sym_BSLASHacf] = ACTIONS(7151),
    [anon_sym_BSLASHAcf] = ACTIONS(7151),
    [anon_sym_BSLASHacfp] = ACTIONS(7151),
    [anon_sym_BSLASHAcfp] = ACTIONS(7151),
    [anon_sym_BSLASHac] = ACTIONS(7151),
    [anon_sym_BSLASHAc] = ACTIONS(7151),
    [anon_sym_BSLASHacp] = ACTIONS(7151),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7151),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7151),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7151),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7151),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7151),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7151),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7151),
    [anon_sym_BSLASHcolor] = ACTIONS(7151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7151),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7151),
    [anon_sym_BSLASHurl] = ACTIONS(7151),
    [anon_sym_BSLASHhref] = ACTIONS(7151),
  },
  [616] = {
    [sym_command_name] = ACTIONS(7155),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7155),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_RBRACK] = ACTIONS(7157),
    [anon_sym_COMMA] = ACTIONS(7157),
    [anon_sym_EQ] = ACTIONS(7157),
    [anon_sym_LPAREN] = ACTIONS(7157),
    [anon_sym_RPAREN] = ACTIONS(7157),
    [anon_sym_BSLASHpart] = ACTIONS(7155),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHaddpart] = ACTIONS(7155),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHchapter] = ACTIONS(7155),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHaddchap] = ACTIONS(7155),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHsection] = ACTIONS(7155),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHaddsec] = ACTIONS(7155),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHsubsection] = ACTIONS(7155),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7155),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHparagraph] = ACTIONS(7155),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7155),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHitem] = ACTIONS(7155),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7157),
    [sym_word] = ACTIONS(7155),
    [sym_placeholder] = ACTIONS(7157),
    [sym_delimiter] = ACTIONS(7157),
    [anon_sym_PLUS] = ACTIONS(7157),
    [anon_sym_DASH] = ACTIONS(7157),
    [anon_sym_STAR] = ACTIONS(7157),
    [anon_sym_SLASH] = ACTIONS(7157),
    [anon_sym_LT] = ACTIONS(7155),
    [anon_sym_GT] = ACTIONS(7155),
    [anon_sym_BANG] = ACTIONS(7155),
    [anon_sym_PIPE] = ACTIONS(7155),
    [anon_sym_COLON] = ACTIONS(7155),
    [anon_sym_SQUOTE] = ACTIONS(7155),
    [anon_sym__] = ACTIONS(7157),
    [anon_sym_CARET] = ACTIONS(7157),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7157),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7157),
    [anon_sym_DOLLAR] = ACTIONS(7155),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7157),
    [anon_sym_BSLASHleft] = ACTIONS(7155),
    [anon_sym_BSLASHbigl] = ACTIONS(7155),
    [anon_sym_BSLASHBigl] = ACTIONS(7155),
    [anon_sym_BSLASHbiggl] = ACTIONS(7155),
    [anon_sym_BSLASHBiggl] = ACTIONS(7155),
    [anon_sym_BSLASHright] = ACTIONS(7155),
    [anon_sym_BSLASHbigr] = ACTIONS(7155),
    [anon_sym_BSLASHBigr] = ACTIONS(7155),
    [anon_sym_BSLASHbiggr] = ACTIONS(7155),
    [anon_sym_BSLASHBiggr] = ACTIONS(7155),
    [anon_sym_BSLASHtext] = ACTIONS(7155),
    [anon_sym_BSLASHintertext] = ACTIONS(7155),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7155),
    [anon_sym_BSLASHbegin] = ACTIONS(7155),
    [anon_sym_BSLASHtitle] = ACTIONS(7155),
    [anon_sym_BSLASHauthor] = ACTIONS(7155),
    [anon_sym_BSLASHusepackage] = ACTIONS(7155),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7155),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7155),
    [anon_sym_BSLASHinclude] = ACTIONS(7155),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7155),
    [anon_sym_BSLASHinput] = ACTIONS(7155),
    [anon_sym_BSLASHsubfile] = ACTIONS(7155),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7155),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7155),
    [anon_sym_BSLASHbibliography] = ACTIONS(7155),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7155),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7155),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7155),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7155),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7155),
    [anon_sym_BSLASHimport] = ACTIONS(7155),
    [anon_sym_BSLASHsubimport] = ACTIONS(7155),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7155),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7155),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7155),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7155),
    [anon_sym_BSLASHcaption] = ACTIONS(7155),
    [anon_sym_BSLASHcite] = ACTIONS(7155),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHCite] = ACTIONS(7155),
    [anon_sym_BSLASHnocite] = ACTIONS(7155),
    [anon_sym_BSLASHcitet] = ACTIONS(7155),
    [anon_sym_BSLASHcitep] = ACTIONS(7155),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHciteA] = ACTIONS(7155),
    [anon_sym_BSLASHciteR] = ACTIONS(7155),
    [anon_sym_BSLASHciteS] = ACTIONS(7155),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7155),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7155),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7155),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7155),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHciteyear] = ACTIONS(7155),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcitedate] = ACTIONS(7155),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHciteurl] = ACTIONS(7155),
    [anon_sym_BSLASHfullcite] = ACTIONS(7155),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7155),
    [anon_sym_BSLASHcitealt] = ACTIONS(7155),
    [anon_sym_BSLASHcitealp] = ACTIONS(7155),
    [anon_sym_BSLASHcitetext] = ACTIONS(7155),
    [anon_sym_BSLASHparencite] = ACTIONS(7155),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHParencite] = ACTIONS(7155),
    [anon_sym_BSLASHfootcite] = ACTIONS(7155),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7155),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7155),
    [anon_sym_BSLASHtextcite] = ACTIONS(7155),
    [anon_sym_BSLASHTextcite] = ACTIONS(7155),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7155),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7155),
    [anon_sym_BSLASHsupercite] = ACTIONS(7155),
    [anon_sym_BSLASHautocite] = ACTIONS(7155),
    [anon_sym_BSLASHAutocite] = ACTIONS(7155),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHVolcite] = ACTIONS(7155),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHavolcite] = ACTIONS(7155),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHnotecite] = ACTIONS(7155),
    [anon_sym_BSLASHNotecite] = ACTIONS(7155),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7155),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7155),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7155),
    [anon_sym_BSLASHlabel] = ACTIONS(7155),
    [anon_sym_BSLASHref] = ACTIONS(7155),
    [anon_sym_BSLASHeqref] = ACTIONS(7155),
    [anon_sym_BSLASHvref] = ACTIONS(7155),
    [anon_sym_BSLASHVref] = ACTIONS(7155),
    [anon_sym_BSLASHautoref] = ACTIONS(7155),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHpageref] = ACTIONS(7155),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHautopageref] = ACTIONS(7155),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcref] = ACTIONS(7155),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHCref] = ACTIONS(7155),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcpageref] = ACTIONS(7155),
    [anon_sym_BSLASHCpageref] = ACTIONS(7155),
    [anon_sym_BSLASHnamecref] = ACTIONS(7155),
    [anon_sym_BSLASHnameCref] = ACTIONS(7155),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7155),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7155),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7155),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7155),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7155),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7155),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7155),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7155),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7155),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7155),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7155),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7155),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7155),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7155),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7155),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7155),
    [anon_sym_BSLASHdef] = ACTIONS(7155),
    [anon_sym_BSLASHgdef] = ACTIONS(7155),
    [anon_sym_BSLASHedef] = ACTIONS(7155),
    [anon_sym_BSLASHxdef] = ACTIONS(7155),
    [anon_sym_BSLASHlet] = ACTIONS(7155),
    [anon_sym_BSLASHglet] = ACTIONS(7155),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7155),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7155),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7155),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7155),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7155),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7155),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7155),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7155),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7155),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7155),
    [anon_sym_BSLASHgls] = ACTIONS(7155),
    [anon_sym_BSLASHGls] = ACTIONS(7155),
    [anon_sym_BSLASHGLS] = ACTIONS(7155),
    [anon_sym_BSLASHglspl] = ACTIONS(7155),
    [anon_sym_BSLASHGlspl] = ACTIONS(7155),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7155),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7155),
    [anon_sym_BSLASHglslink] = ACTIONS(7155),
    [anon_sym_BSLASHglstext] = ACTIONS(7155),
    [anon_sym_BSLASHGlstext] = ACTIONS(7155),
    [anon_sym_BSLASHGLStext] = ACTIONS(7155),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7155),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7155),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7155),
    [anon_sym_BSLASHglsplural] = ACTIONS(7155),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7155),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7155),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7155),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7155),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7155),
    [anon_sym_BSLASHglsname] = ACTIONS(7155),
    [anon_sym_BSLASHGlsname] = ACTIONS(7155),
    [anon_sym_BSLASHGLSname] = ACTIONS(7155),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7155),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7155),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7155),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7155),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7155),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7155),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7155),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7155),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7155),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7155),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7155),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7155),
    [anon_sym_BSLASHacrshort] = ACTIONS(7155),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7155),
    [anon_sym_BSLASHACRshort] = ACTIONS(7155),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHacrlong] = ACTIONS(7155),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7155),
    [anon_sym_BSLASHACRlong] = ACTIONS(7155),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7155),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7155),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7155),
    [anon_sym_BSLASHacrfull] = ACTIONS(7155),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7155),
    [anon_sym_BSLASHACRfull] = ACTIONS(7155),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHacs] = ACTIONS(7155),
    [anon_sym_BSLASHAcs] = ACTIONS(7155),
    [anon_sym_BSLASHacsp] = ACTIONS(7155),
    [anon_sym_BSLASHAcsp] = ACTIONS(7155),
    [anon_sym_BSLASHacl] = ACTIONS(7155),
    [anon_sym_BSLASHAcl] = ACTIONS(7155),
    [anon_sym_BSLASHaclp] = ACTIONS(7155),
    [anon_sym_BSLASHAclp] = ACTIONS(7155),
    [anon_sym_BSLASHacf] = ACTIONS(7155),
    [anon_sym_BSLASHAcf] = ACTIONS(7155),
    [anon_sym_BSLASHacfp] = ACTIONS(7155),
    [anon_sym_BSLASHAcfp] = ACTIONS(7155),
    [anon_sym_BSLASHac] = ACTIONS(7155),
    [anon_sym_BSLASHAc] = ACTIONS(7155),
    [anon_sym_BSLASHacp] = ACTIONS(7155),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7155),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7155),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7155),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7155),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7155),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7155),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7155),
    [anon_sym_BSLASHcolor] = ACTIONS(7155),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7155),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7155),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7155),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7155),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7155),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7155),
    [anon_sym_BSLASHurl] = ACTIONS(7155),
    [anon_sym_BSLASHhref] = ACTIONS(7155),
  },
  [617] = {
    [sym_command_name] = ACTIONS(7159),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7159),
    [anon_sym_LBRACK] = ACTIONS(7161),
    [anon_sym_RBRACK] = ACTIONS(7161),
    [anon_sym_COMMA] = ACTIONS(7161),
    [anon_sym_EQ] = ACTIONS(7161),
    [anon_sym_LPAREN] = ACTIONS(7161),
    [anon_sym_RPAREN] = ACTIONS(7161),
    [anon_sym_BSLASHpart] = ACTIONS(7159),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHaddpart] = ACTIONS(7159),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHchapter] = ACTIONS(7159),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHaddchap] = ACTIONS(7159),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHsection] = ACTIONS(7159),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHaddsec] = ACTIONS(7159),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHsubsection] = ACTIONS(7159),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7159),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHparagraph] = ACTIONS(7159),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7159),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHitem] = ACTIONS(7159),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7161),
    [anon_sym_LBRACE] = ACTIONS(7161),
    [sym_word] = ACTIONS(7159),
    [sym_placeholder] = ACTIONS(7161),
    [sym_delimiter] = ACTIONS(7161),
    [anon_sym_PLUS] = ACTIONS(7161),
    [anon_sym_DASH] = ACTIONS(7161),
    [anon_sym_STAR] = ACTIONS(7161),
    [anon_sym_SLASH] = ACTIONS(7161),
    [anon_sym_LT] = ACTIONS(7159),
    [anon_sym_GT] = ACTIONS(7159),
    [anon_sym_BANG] = ACTIONS(7159),
    [anon_sym_PIPE] = ACTIONS(7159),
    [anon_sym_COLON] = ACTIONS(7159),
    [anon_sym_SQUOTE] = ACTIONS(7159),
    [anon_sym__] = ACTIONS(7161),
    [anon_sym_CARET] = ACTIONS(7161),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7161),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7161),
    [anon_sym_DOLLAR] = ACTIONS(7159),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7161),
    [anon_sym_BSLASHleft] = ACTIONS(7159),
    [anon_sym_BSLASHbigl] = ACTIONS(7159),
    [anon_sym_BSLASHBigl] = ACTIONS(7159),
    [anon_sym_BSLASHbiggl] = ACTIONS(7159),
    [anon_sym_BSLASHBiggl] = ACTIONS(7159),
    [anon_sym_BSLASHright] = ACTIONS(7159),
    [anon_sym_BSLASHbigr] = ACTIONS(7159),
    [anon_sym_BSLASHBigr] = ACTIONS(7159),
    [anon_sym_BSLASHbiggr] = ACTIONS(7159),
    [anon_sym_BSLASHBiggr] = ACTIONS(7159),
    [anon_sym_BSLASHtext] = ACTIONS(7159),
    [anon_sym_BSLASHintertext] = ACTIONS(7159),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7159),
    [anon_sym_BSLASHbegin] = ACTIONS(7159),
    [anon_sym_BSLASHtitle] = ACTIONS(7159),
    [anon_sym_BSLASHauthor] = ACTIONS(7159),
    [anon_sym_BSLASHusepackage] = ACTIONS(7159),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7159),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7159),
    [anon_sym_BSLASHinclude] = ACTIONS(7159),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7159),
    [anon_sym_BSLASHinput] = ACTIONS(7159),
    [anon_sym_BSLASHsubfile] = ACTIONS(7159),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7159),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7159),
    [anon_sym_BSLASHbibliography] = ACTIONS(7159),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7159),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7159),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7159),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7159),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7159),
    [anon_sym_BSLASHimport] = ACTIONS(7159),
    [anon_sym_BSLASHsubimport] = ACTIONS(7159),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7159),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7159),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7159),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7159),
    [anon_sym_BSLASHcaption] = ACTIONS(7159),
    [anon_sym_BSLASHcite] = ACTIONS(7159),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHCite] = ACTIONS(7159),
    [anon_sym_BSLASHnocite] = ACTIONS(7159),
    [anon_sym_BSLASHcitet] = ACTIONS(7159),
    [anon_sym_BSLASHcitep] = ACTIONS(7159),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHciteA] = ACTIONS(7159),
    [anon_sym_BSLASHciteR] = ACTIONS(7159),
    [anon_sym_BSLASHciteS] = ACTIONS(7159),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7159),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7159),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7159),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7159),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHciteyear] = ACTIONS(7159),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcitedate] = ACTIONS(7159),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHciteurl] = ACTIONS(7159),
    [anon_sym_BSLASHfullcite] = ACTIONS(7159),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7159),
    [anon_sym_BSLASHcitealt] = ACTIONS(7159),
    [anon_sym_BSLASHcitealp] = ACTIONS(7159),
    [anon_sym_BSLASHcitetext] = ACTIONS(7159),
    [anon_sym_BSLASHparencite] = ACTIONS(7159),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHParencite] = ACTIONS(7159),
    [anon_sym_BSLASHfootcite] = ACTIONS(7159),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7159),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7159),
    [anon_sym_BSLASHtextcite] = ACTIONS(7159),
    [anon_sym_BSLASHTextcite] = ACTIONS(7159),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7159),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7159),
    [anon_sym_BSLASHsupercite] = ACTIONS(7159),
    [anon_sym_BSLASHautocite] = ACTIONS(7159),
    [anon_sym_BSLASHAutocite] = ACTIONS(7159),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHVolcite] = ACTIONS(7159),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHavolcite] = ACTIONS(7159),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHnotecite] = ACTIONS(7159),
    [anon_sym_BSLASHNotecite] = ACTIONS(7159),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7159),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7159),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7159),
    [anon_sym_BSLASHlabel] = ACTIONS(7159),
    [anon_sym_BSLASHref] = ACTIONS(7159),
    [anon_sym_BSLASHeqref] = ACTIONS(7159),
    [anon_sym_BSLASHvref] = ACTIONS(7159),
    [anon_sym_BSLASHVref] = ACTIONS(7159),
    [anon_sym_BSLASHautoref] = ACTIONS(7159),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHpageref] = ACTIONS(7159),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHautopageref] = ACTIONS(7159),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcref] = ACTIONS(7159),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHCref] = ACTIONS(7159),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcpageref] = ACTIONS(7159),
    [anon_sym_BSLASHCpageref] = ACTIONS(7159),
    [anon_sym_BSLASHnamecref] = ACTIONS(7159),
    [anon_sym_BSLASHnameCref] = ACTIONS(7159),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7159),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7159),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7159),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7159),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7159),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7159),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7159),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7159),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7159),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7159),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7159),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7159),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7159),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7159),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7159),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7159),
    [anon_sym_BSLASHdef] = ACTIONS(7159),
    [anon_sym_BSLASHgdef] = ACTIONS(7159),
    [anon_sym_BSLASHedef] = ACTIONS(7159),
    [anon_sym_BSLASHxdef] = ACTIONS(7159),
    [anon_sym_BSLASHlet] = ACTIONS(7159),
    [anon_sym_BSLASHglet] = ACTIONS(7159),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7159),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7159),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7159),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7159),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7159),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7159),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7159),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7159),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7159),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7159),
    [anon_sym_BSLASHgls] = ACTIONS(7159),
    [anon_sym_BSLASHGls] = ACTIONS(7159),
    [anon_sym_BSLASHGLS] = ACTIONS(7159),
    [anon_sym_BSLASHglspl] = ACTIONS(7159),
    [anon_sym_BSLASHGlspl] = ACTIONS(7159),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7159),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7159),
    [anon_sym_BSLASHglslink] = ACTIONS(7159),
    [anon_sym_BSLASHglstext] = ACTIONS(7159),
    [anon_sym_BSLASHGlstext] = ACTIONS(7159),
    [anon_sym_BSLASHGLStext] = ACTIONS(7159),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7159),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7159),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7159),
    [anon_sym_BSLASHglsplural] = ACTIONS(7159),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7159),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7159),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7159),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7159),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7159),
    [anon_sym_BSLASHglsname] = ACTIONS(7159),
    [anon_sym_BSLASHGlsname] = ACTIONS(7159),
    [anon_sym_BSLASHGLSname] = ACTIONS(7159),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7159),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7159),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7159),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7159),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7159),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7159),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7159),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7159),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7159),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7159),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7159),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7159),
    [anon_sym_BSLASHacrshort] = ACTIONS(7159),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7159),
    [anon_sym_BSLASHACRshort] = ACTIONS(7159),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHacrlong] = ACTIONS(7159),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7159),
    [anon_sym_BSLASHACRlong] = ACTIONS(7159),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7159),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7159),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7159),
    [anon_sym_BSLASHacrfull] = ACTIONS(7159),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7159),
    [anon_sym_BSLASHACRfull] = ACTIONS(7159),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHacs] = ACTIONS(7159),
    [anon_sym_BSLASHAcs] = ACTIONS(7159),
    [anon_sym_BSLASHacsp] = ACTIONS(7159),
    [anon_sym_BSLASHAcsp] = ACTIONS(7159),
    [anon_sym_BSLASHacl] = ACTIONS(7159),
    [anon_sym_BSLASHAcl] = ACTIONS(7159),
    [anon_sym_BSLASHaclp] = ACTIONS(7159),
    [anon_sym_BSLASHAclp] = ACTIONS(7159),
    [anon_sym_BSLASHacf] = ACTIONS(7159),
    [anon_sym_BSLASHAcf] = ACTIONS(7159),
    [anon_sym_BSLASHacfp] = ACTIONS(7159),
    [anon_sym_BSLASHAcfp] = ACTIONS(7159),
    [anon_sym_BSLASHac] = ACTIONS(7159),
    [anon_sym_BSLASHAc] = ACTIONS(7159),
    [anon_sym_BSLASHacp] = ACTIONS(7159),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7159),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7159),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7159),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7159),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7159),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7159),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7159),
    [anon_sym_BSLASHcolor] = ACTIONS(7159),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7159),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7159),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7159),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7159),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7159),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7159),
    [anon_sym_BSLASHurl] = ACTIONS(7159),
    [anon_sym_BSLASHhref] = ACTIONS(7159),
  },
  [618] = {
    [sym_command_name] = ACTIONS(7163),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7163),
    [anon_sym_LBRACK] = ACTIONS(7165),
    [anon_sym_RBRACK] = ACTIONS(7165),
    [anon_sym_COMMA] = ACTIONS(7165),
    [anon_sym_EQ] = ACTIONS(7165),
    [anon_sym_LPAREN] = ACTIONS(7165),
    [anon_sym_RPAREN] = ACTIONS(7165),
    [anon_sym_BSLASHpart] = ACTIONS(7163),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHaddpart] = ACTIONS(7163),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHchapter] = ACTIONS(7163),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHaddchap] = ACTIONS(7163),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHsection] = ACTIONS(7163),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHaddsec] = ACTIONS(7163),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHsubsection] = ACTIONS(7163),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7163),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHparagraph] = ACTIONS(7163),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7163),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHitem] = ACTIONS(7163),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7165),
    [anon_sym_LBRACE] = ACTIONS(7165),
    [sym_word] = ACTIONS(7163),
    [sym_placeholder] = ACTIONS(7165),
    [sym_delimiter] = ACTIONS(7165),
    [anon_sym_PLUS] = ACTIONS(7165),
    [anon_sym_DASH] = ACTIONS(7165),
    [anon_sym_STAR] = ACTIONS(7165),
    [anon_sym_SLASH] = ACTIONS(7165),
    [anon_sym_LT] = ACTIONS(7163),
    [anon_sym_GT] = ACTIONS(7163),
    [anon_sym_BANG] = ACTIONS(7163),
    [anon_sym_PIPE] = ACTIONS(7163),
    [anon_sym_COLON] = ACTIONS(7163),
    [anon_sym_SQUOTE] = ACTIONS(7163),
    [anon_sym__] = ACTIONS(7165),
    [anon_sym_CARET] = ACTIONS(7165),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7165),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7165),
    [anon_sym_DOLLAR] = ACTIONS(7163),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7165),
    [anon_sym_BSLASHleft] = ACTIONS(7163),
    [anon_sym_BSLASHbigl] = ACTIONS(7163),
    [anon_sym_BSLASHBigl] = ACTIONS(7163),
    [anon_sym_BSLASHbiggl] = ACTIONS(7163),
    [anon_sym_BSLASHBiggl] = ACTIONS(7163),
    [anon_sym_BSLASHright] = ACTIONS(7163),
    [anon_sym_BSLASHbigr] = ACTIONS(7163),
    [anon_sym_BSLASHBigr] = ACTIONS(7163),
    [anon_sym_BSLASHbiggr] = ACTIONS(7163),
    [anon_sym_BSLASHBiggr] = ACTIONS(7163),
    [anon_sym_BSLASHtext] = ACTIONS(7163),
    [anon_sym_BSLASHintertext] = ACTIONS(7163),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7163),
    [anon_sym_BSLASHbegin] = ACTIONS(7163),
    [anon_sym_BSLASHtitle] = ACTIONS(7163),
    [anon_sym_BSLASHauthor] = ACTIONS(7163),
    [anon_sym_BSLASHusepackage] = ACTIONS(7163),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7163),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7163),
    [anon_sym_BSLASHinclude] = ACTIONS(7163),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7163),
    [anon_sym_BSLASHinput] = ACTIONS(7163),
    [anon_sym_BSLASHsubfile] = ACTIONS(7163),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7163),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7163),
    [anon_sym_BSLASHbibliography] = ACTIONS(7163),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7163),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7163),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7163),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7163),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7163),
    [anon_sym_BSLASHimport] = ACTIONS(7163),
    [anon_sym_BSLASHsubimport] = ACTIONS(7163),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7163),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7163),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7163),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7163),
    [anon_sym_BSLASHcaption] = ACTIONS(7163),
    [anon_sym_BSLASHcite] = ACTIONS(7163),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHCite] = ACTIONS(7163),
    [anon_sym_BSLASHnocite] = ACTIONS(7163),
    [anon_sym_BSLASHcitet] = ACTIONS(7163),
    [anon_sym_BSLASHcitep] = ACTIONS(7163),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHciteA] = ACTIONS(7163),
    [anon_sym_BSLASHciteR] = ACTIONS(7163),
    [anon_sym_BSLASHciteS] = ACTIONS(7163),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7163),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7163),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7163),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7163),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHciteyear] = ACTIONS(7163),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcitedate] = ACTIONS(7163),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHciteurl] = ACTIONS(7163),
    [anon_sym_BSLASHfullcite] = ACTIONS(7163),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7163),
    [anon_sym_BSLASHcitealt] = ACTIONS(7163),
    [anon_sym_BSLASHcitealp] = ACTIONS(7163),
    [anon_sym_BSLASHcitetext] = ACTIONS(7163),
    [anon_sym_BSLASHparencite] = ACTIONS(7163),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHParencite] = ACTIONS(7163),
    [anon_sym_BSLASHfootcite] = ACTIONS(7163),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7163),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7163),
    [anon_sym_BSLASHtextcite] = ACTIONS(7163),
    [anon_sym_BSLASHTextcite] = ACTIONS(7163),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7163),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7163),
    [anon_sym_BSLASHsupercite] = ACTIONS(7163),
    [anon_sym_BSLASHautocite] = ACTIONS(7163),
    [anon_sym_BSLASHAutocite] = ACTIONS(7163),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHVolcite] = ACTIONS(7163),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHavolcite] = ACTIONS(7163),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHnotecite] = ACTIONS(7163),
    [anon_sym_BSLASHNotecite] = ACTIONS(7163),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7163),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7163),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7163),
    [anon_sym_BSLASHlabel] = ACTIONS(7163),
    [anon_sym_BSLASHref] = ACTIONS(7163),
    [anon_sym_BSLASHeqref] = ACTIONS(7163),
    [anon_sym_BSLASHvref] = ACTIONS(7163),
    [anon_sym_BSLASHVref] = ACTIONS(7163),
    [anon_sym_BSLASHautoref] = ACTIONS(7163),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHpageref] = ACTIONS(7163),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHautopageref] = ACTIONS(7163),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcref] = ACTIONS(7163),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHCref] = ACTIONS(7163),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcpageref] = ACTIONS(7163),
    [anon_sym_BSLASHCpageref] = ACTIONS(7163),
    [anon_sym_BSLASHnamecref] = ACTIONS(7163),
    [anon_sym_BSLASHnameCref] = ACTIONS(7163),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7163),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7163),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7163),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7163),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7163),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7163),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7163),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7163),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7163),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7163),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7163),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7163),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7163),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7163),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7163),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7163),
    [anon_sym_BSLASHdef] = ACTIONS(7163),
    [anon_sym_BSLASHgdef] = ACTIONS(7163),
    [anon_sym_BSLASHedef] = ACTIONS(7163),
    [anon_sym_BSLASHxdef] = ACTIONS(7163),
    [anon_sym_BSLASHlet] = ACTIONS(7163),
    [anon_sym_BSLASHglet] = ACTIONS(7163),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7163),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7163),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7163),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7163),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7163),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7163),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7163),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7163),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7163),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7163),
    [anon_sym_BSLASHgls] = ACTIONS(7163),
    [anon_sym_BSLASHGls] = ACTIONS(7163),
    [anon_sym_BSLASHGLS] = ACTIONS(7163),
    [anon_sym_BSLASHglspl] = ACTIONS(7163),
    [anon_sym_BSLASHGlspl] = ACTIONS(7163),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7163),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7163),
    [anon_sym_BSLASHglslink] = ACTIONS(7163),
    [anon_sym_BSLASHglstext] = ACTIONS(7163),
    [anon_sym_BSLASHGlstext] = ACTIONS(7163),
    [anon_sym_BSLASHGLStext] = ACTIONS(7163),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7163),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7163),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7163),
    [anon_sym_BSLASHglsplural] = ACTIONS(7163),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7163),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7163),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7163),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7163),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7163),
    [anon_sym_BSLASHglsname] = ACTIONS(7163),
    [anon_sym_BSLASHGlsname] = ACTIONS(7163),
    [anon_sym_BSLASHGLSname] = ACTIONS(7163),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7163),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7163),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7163),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7163),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7163),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7163),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7163),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7163),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7163),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7163),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7163),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7163),
    [anon_sym_BSLASHacrshort] = ACTIONS(7163),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7163),
    [anon_sym_BSLASHACRshort] = ACTIONS(7163),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHacrlong] = ACTIONS(7163),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7163),
    [anon_sym_BSLASHACRlong] = ACTIONS(7163),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7163),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7163),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7163),
    [anon_sym_BSLASHacrfull] = ACTIONS(7163),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7163),
    [anon_sym_BSLASHACRfull] = ACTIONS(7163),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHacs] = ACTIONS(7163),
    [anon_sym_BSLASHAcs] = ACTIONS(7163),
    [anon_sym_BSLASHacsp] = ACTIONS(7163),
    [anon_sym_BSLASHAcsp] = ACTIONS(7163),
    [anon_sym_BSLASHacl] = ACTIONS(7163),
    [anon_sym_BSLASHAcl] = ACTIONS(7163),
    [anon_sym_BSLASHaclp] = ACTIONS(7163),
    [anon_sym_BSLASHAclp] = ACTIONS(7163),
    [anon_sym_BSLASHacf] = ACTIONS(7163),
    [anon_sym_BSLASHAcf] = ACTIONS(7163),
    [anon_sym_BSLASHacfp] = ACTIONS(7163),
    [anon_sym_BSLASHAcfp] = ACTIONS(7163),
    [anon_sym_BSLASHac] = ACTIONS(7163),
    [anon_sym_BSLASHAc] = ACTIONS(7163),
    [anon_sym_BSLASHacp] = ACTIONS(7163),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7163),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7163),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7163),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7163),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7163),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7163),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7163),
    [anon_sym_BSLASHcolor] = ACTIONS(7163),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7163),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7163),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7163),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7163),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7163),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7163),
    [anon_sym_BSLASHurl] = ACTIONS(7163),
    [anon_sym_BSLASHhref] = ACTIONS(7163),
  },
  [619] = {
    [sym_command_name] = ACTIONS(7167),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7167),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_RBRACK] = ACTIONS(7169),
    [anon_sym_COMMA] = ACTIONS(7169),
    [anon_sym_EQ] = ACTIONS(7169),
    [anon_sym_LPAREN] = ACTIONS(7169),
    [anon_sym_RPAREN] = ACTIONS(7169),
    [anon_sym_BSLASHpart] = ACTIONS(7167),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHaddpart] = ACTIONS(7167),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHchapter] = ACTIONS(7167),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHaddchap] = ACTIONS(7167),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHsection] = ACTIONS(7167),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHaddsec] = ACTIONS(7167),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHsubsection] = ACTIONS(7167),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7167),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHparagraph] = ACTIONS(7167),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7167),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHitem] = ACTIONS(7167),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7169),
    [anon_sym_LBRACE] = ACTIONS(7169),
    [sym_word] = ACTIONS(7167),
    [sym_placeholder] = ACTIONS(7169),
    [sym_delimiter] = ACTIONS(7169),
    [anon_sym_PLUS] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7169),
    [anon_sym_STAR] = ACTIONS(7169),
    [anon_sym_SLASH] = ACTIONS(7169),
    [anon_sym_LT] = ACTIONS(7167),
    [anon_sym_GT] = ACTIONS(7167),
    [anon_sym_BANG] = ACTIONS(7167),
    [anon_sym_PIPE] = ACTIONS(7167),
    [anon_sym_COLON] = ACTIONS(7167),
    [anon_sym_SQUOTE] = ACTIONS(7167),
    [anon_sym__] = ACTIONS(7169),
    [anon_sym_CARET] = ACTIONS(7169),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7169),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7169),
    [anon_sym_DOLLAR] = ACTIONS(7167),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7169),
    [anon_sym_BSLASHleft] = ACTIONS(7167),
    [anon_sym_BSLASHbigl] = ACTIONS(7167),
    [anon_sym_BSLASHBigl] = ACTIONS(7167),
    [anon_sym_BSLASHbiggl] = ACTIONS(7167),
    [anon_sym_BSLASHBiggl] = ACTIONS(7167),
    [anon_sym_BSLASHright] = ACTIONS(7167),
    [anon_sym_BSLASHbigr] = ACTIONS(7167),
    [anon_sym_BSLASHBigr] = ACTIONS(7167),
    [anon_sym_BSLASHbiggr] = ACTIONS(7167),
    [anon_sym_BSLASHBiggr] = ACTIONS(7167),
    [anon_sym_BSLASHtext] = ACTIONS(7167),
    [anon_sym_BSLASHintertext] = ACTIONS(7167),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7167),
    [anon_sym_BSLASHbegin] = ACTIONS(7167),
    [anon_sym_BSLASHtitle] = ACTIONS(7167),
    [anon_sym_BSLASHauthor] = ACTIONS(7167),
    [anon_sym_BSLASHusepackage] = ACTIONS(7167),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7167),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7167),
    [anon_sym_BSLASHinclude] = ACTIONS(7167),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7167),
    [anon_sym_BSLASHinput] = ACTIONS(7167),
    [anon_sym_BSLASHsubfile] = ACTIONS(7167),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7167),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7167),
    [anon_sym_BSLASHbibliography] = ACTIONS(7167),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7167),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7167),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7167),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7167),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7167),
    [anon_sym_BSLASHimport] = ACTIONS(7167),
    [anon_sym_BSLASHsubimport] = ACTIONS(7167),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7167),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7167),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7167),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7167),
    [anon_sym_BSLASHcaption] = ACTIONS(7167),
    [anon_sym_BSLASHcite] = ACTIONS(7167),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHCite] = ACTIONS(7167),
    [anon_sym_BSLASHnocite] = ACTIONS(7167),
    [anon_sym_BSLASHcitet] = ACTIONS(7167),
    [anon_sym_BSLASHcitep] = ACTIONS(7167),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHciteA] = ACTIONS(7167),
    [anon_sym_BSLASHciteR] = ACTIONS(7167),
    [anon_sym_BSLASHciteS] = ACTIONS(7167),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7167),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7167),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7167),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7167),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHciteyear] = ACTIONS(7167),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcitedate] = ACTIONS(7167),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHciteurl] = ACTIONS(7167),
    [anon_sym_BSLASHfullcite] = ACTIONS(7167),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7167),
    [anon_sym_BSLASHcitealt] = ACTIONS(7167),
    [anon_sym_BSLASHcitealp] = ACTIONS(7167),
    [anon_sym_BSLASHcitetext] = ACTIONS(7167),
    [anon_sym_BSLASHparencite] = ACTIONS(7167),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHParencite] = ACTIONS(7167),
    [anon_sym_BSLASHfootcite] = ACTIONS(7167),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7167),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7167),
    [anon_sym_BSLASHtextcite] = ACTIONS(7167),
    [anon_sym_BSLASHTextcite] = ACTIONS(7167),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7167),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7167),
    [anon_sym_BSLASHsupercite] = ACTIONS(7167),
    [anon_sym_BSLASHautocite] = ACTIONS(7167),
    [anon_sym_BSLASHAutocite] = ACTIONS(7167),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHVolcite] = ACTIONS(7167),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHavolcite] = ACTIONS(7167),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHnotecite] = ACTIONS(7167),
    [anon_sym_BSLASHNotecite] = ACTIONS(7167),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7167),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7167),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7167),
    [anon_sym_BSLASHlabel] = ACTIONS(7167),
    [anon_sym_BSLASHref] = ACTIONS(7167),
    [anon_sym_BSLASHeqref] = ACTIONS(7167),
    [anon_sym_BSLASHvref] = ACTIONS(7167),
    [anon_sym_BSLASHVref] = ACTIONS(7167),
    [anon_sym_BSLASHautoref] = ACTIONS(7167),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHpageref] = ACTIONS(7167),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHautopageref] = ACTIONS(7167),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcref] = ACTIONS(7167),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHCref] = ACTIONS(7167),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcpageref] = ACTIONS(7167),
    [anon_sym_BSLASHCpageref] = ACTIONS(7167),
    [anon_sym_BSLASHnamecref] = ACTIONS(7167),
    [anon_sym_BSLASHnameCref] = ACTIONS(7167),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7167),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7167),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7167),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7167),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7167),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7167),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7167),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7167),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7167),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7167),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7167),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7167),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7167),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7167),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7167),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7167),
    [anon_sym_BSLASHdef] = ACTIONS(7167),
    [anon_sym_BSLASHgdef] = ACTIONS(7167),
    [anon_sym_BSLASHedef] = ACTIONS(7167),
    [anon_sym_BSLASHxdef] = ACTIONS(7167),
    [anon_sym_BSLASHlet] = ACTIONS(7167),
    [anon_sym_BSLASHglet] = ACTIONS(7167),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7167),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7167),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7167),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7167),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7167),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7167),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7167),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7167),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7167),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7167),
    [anon_sym_BSLASHgls] = ACTIONS(7167),
    [anon_sym_BSLASHGls] = ACTIONS(7167),
    [anon_sym_BSLASHGLS] = ACTIONS(7167),
    [anon_sym_BSLASHglspl] = ACTIONS(7167),
    [anon_sym_BSLASHGlspl] = ACTIONS(7167),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7167),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7167),
    [anon_sym_BSLASHglslink] = ACTIONS(7167),
    [anon_sym_BSLASHglstext] = ACTIONS(7167),
    [anon_sym_BSLASHGlstext] = ACTIONS(7167),
    [anon_sym_BSLASHGLStext] = ACTIONS(7167),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7167),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7167),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7167),
    [anon_sym_BSLASHglsplural] = ACTIONS(7167),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7167),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7167),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7167),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7167),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7167),
    [anon_sym_BSLASHglsname] = ACTIONS(7167),
    [anon_sym_BSLASHGlsname] = ACTIONS(7167),
    [anon_sym_BSLASHGLSname] = ACTIONS(7167),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7167),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7167),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7167),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7167),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7167),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7167),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7167),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7167),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7167),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7167),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7167),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7167),
    [anon_sym_BSLASHacrshort] = ACTIONS(7167),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7167),
    [anon_sym_BSLASHACRshort] = ACTIONS(7167),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHacrlong] = ACTIONS(7167),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7167),
    [anon_sym_BSLASHACRlong] = ACTIONS(7167),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7167),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7167),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7167),
    [anon_sym_BSLASHacrfull] = ACTIONS(7167),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7167),
    [anon_sym_BSLASHACRfull] = ACTIONS(7167),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHacs] = ACTIONS(7167),
    [anon_sym_BSLASHAcs] = ACTIONS(7167),
    [anon_sym_BSLASHacsp] = ACTIONS(7167),
    [anon_sym_BSLASHAcsp] = ACTIONS(7167),
    [anon_sym_BSLASHacl] = ACTIONS(7167),
    [anon_sym_BSLASHAcl] = ACTIONS(7167),
    [anon_sym_BSLASHaclp] = ACTIONS(7167),
    [anon_sym_BSLASHAclp] = ACTIONS(7167),
    [anon_sym_BSLASHacf] = ACTIONS(7167),
    [anon_sym_BSLASHAcf] = ACTIONS(7167),
    [anon_sym_BSLASHacfp] = ACTIONS(7167),
    [anon_sym_BSLASHAcfp] = ACTIONS(7167),
    [anon_sym_BSLASHac] = ACTIONS(7167),
    [anon_sym_BSLASHAc] = ACTIONS(7167),
    [anon_sym_BSLASHacp] = ACTIONS(7167),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7167),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7167),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7167),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7167),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7167),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7167),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7167),
    [anon_sym_BSLASHcolor] = ACTIONS(7167),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7167),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7167),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7167),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7167),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7167),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7167),
    [anon_sym_BSLASHurl] = ACTIONS(7167),
    [anon_sym_BSLASHhref] = ACTIONS(7167),
  },
  [620] = {
    [sym_command_name] = ACTIONS(7171),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(7173),
    [anon_sym_RBRACK] = ACTIONS(7173),
    [anon_sym_COMMA] = ACTIONS(7173),
    [anon_sym_EQ] = ACTIONS(7173),
    [anon_sym_LPAREN] = ACTIONS(7173),
    [anon_sym_RPAREN] = ACTIONS(7173),
    [anon_sym_BSLASHpart] = ACTIONS(7171),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHaddpart] = ACTIONS(7171),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHchapter] = ACTIONS(7171),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHaddchap] = ACTIONS(7171),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHsection] = ACTIONS(7171),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHaddsec] = ACTIONS(7171),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHsubsection] = ACTIONS(7171),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7171),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHparagraph] = ACTIONS(7171),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7171),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHitem] = ACTIONS(7171),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7173),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [sym_word] = ACTIONS(7171),
    [sym_placeholder] = ACTIONS(7173),
    [sym_delimiter] = ACTIONS(7173),
    [anon_sym_PLUS] = ACTIONS(7173),
    [anon_sym_DASH] = ACTIONS(7173),
    [anon_sym_STAR] = ACTIONS(7173),
    [anon_sym_SLASH] = ACTIONS(7173),
    [anon_sym_LT] = ACTIONS(7171),
    [anon_sym_GT] = ACTIONS(7171),
    [anon_sym_BANG] = ACTIONS(7171),
    [anon_sym_PIPE] = ACTIONS(7171),
    [anon_sym_COLON] = ACTIONS(7171),
    [anon_sym_SQUOTE] = ACTIONS(7171),
    [anon_sym__] = ACTIONS(7173),
    [anon_sym_CARET] = ACTIONS(7173),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7173),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7173),
    [anon_sym_DOLLAR] = ACTIONS(7171),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7173),
    [anon_sym_BSLASHleft] = ACTIONS(7171),
    [anon_sym_BSLASHbigl] = ACTIONS(7171),
    [anon_sym_BSLASHBigl] = ACTIONS(7171),
    [anon_sym_BSLASHbiggl] = ACTIONS(7171),
    [anon_sym_BSLASHBiggl] = ACTIONS(7171),
    [anon_sym_BSLASHright] = ACTIONS(7171),
    [anon_sym_BSLASHbigr] = ACTIONS(7171),
    [anon_sym_BSLASHBigr] = ACTIONS(7171),
    [anon_sym_BSLASHbiggr] = ACTIONS(7171),
    [anon_sym_BSLASHBiggr] = ACTIONS(7171),
    [anon_sym_BSLASHtext] = ACTIONS(7171),
    [anon_sym_BSLASHintertext] = ACTIONS(7171),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7171),
    [anon_sym_BSLASHbegin] = ACTIONS(7171),
    [anon_sym_BSLASHtitle] = ACTIONS(7171),
    [anon_sym_BSLASHauthor] = ACTIONS(7171),
    [anon_sym_BSLASHusepackage] = ACTIONS(7171),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7171),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7171),
    [anon_sym_BSLASHinclude] = ACTIONS(7171),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7171),
    [anon_sym_BSLASHinput] = ACTIONS(7171),
    [anon_sym_BSLASHsubfile] = ACTIONS(7171),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7171),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7171),
    [anon_sym_BSLASHbibliography] = ACTIONS(7171),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7171),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7171),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7171),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7171),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7171),
    [anon_sym_BSLASHimport] = ACTIONS(7171),
    [anon_sym_BSLASHsubimport] = ACTIONS(7171),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7171),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7171),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7171),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7171),
    [anon_sym_BSLASHcaption] = ACTIONS(7171),
    [anon_sym_BSLASHcite] = ACTIONS(7171),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHCite] = ACTIONS(7171),
    [anon_sym_BSLASHnocite] = ACTIONS(7171),
    [anon_sym_BSLASHcitet] = ACTIONS(7171),
    [anon_sym_BSLASHcitep] = ACTIONS(7171),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHciteA] = ACTIONS(7171),
    [anon_sym_BSLASHciteR] = ACTIONS(7171),
    [anon_sym_BSLASHciteS] = ACTIONS(7171),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7171),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7171),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7171),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7171),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHciteyear] = ACTIONS(7171),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcitedate] = ACTIONS(7171),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHciteurl] = ACTIONS(7171),
    [anon_sym_BSLASHfullcite] = ACTIONS(7171),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7171),
    [anon_sym_BSLASHcitealt] = ACTIONS(7171),
    [anon_sym_BSLASHcitealp] = ACTIONS(7171),
    [anon_sym_BSLASHcitetext] = ACTIONS(7171),
    [anon_sym_BSLASHparencite] = ACTIONS(7171),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHParencite] = ACTIONS(7171),
    [anon_sym_BSLASHfootcite] = ACTIONS(7171),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7171),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7171),
    [anon_sym_BSLASHtextcite] = ACTIONS(7171),
    [anon_sym_BSLASHTextcite] = ACTIONS(7171),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7171),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7171),
    [anon_sym_BSLASHsupercite] = ACTIONS(7171),
    [anon_sym_BSLASHautocite] = ACTIONS(7171),
    [anon_sym_BSLASHAutocite] = ACTIONS(7171),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHVolcite] = ACTIONS(7171),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHavolcite] = ACTIONS(7171),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHnotecite] = ACTIONS(7171),
    [anon_sym_BSLASHNotecite] = ACTIONS(7171),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7171),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7171),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7171),
    [anon_sym_BSLASHlabel] = ACTIONS(7171),
    [anon_sym_BSLASHref] = ACTIONS(7171),
    [anon_sym_BSLASHeqref] = ACTIONS(7171),
    [anon_sym_BSLASHvref] = ACTIONS(7171),
    [anon_sym_BSLASHVref] = ACTIONS(7171),
    [anon_sym_BSLASHautoref] = ACTIONS(7171),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHpageref] = ACTIONS(7171),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHautopageref] = ACTIONS(7171),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcref] = ACTIONS(7171),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHCref] = ACTIONS(7171),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcpageref] = ACTIONS(7171),
    [anon_sym_BSLASHCpageref] = ACTIONS(7171),
    [anon_sym_BSLASHnamecref] = ACTIONS(7171),
    [anon_sym_BSLASHnameCref] = ACTIONS(7171),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7171),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7171),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7171),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7171),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7171),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7171),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7171),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7171),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7171),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7171),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7171),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7171),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7171),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7171),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7171),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7171),
    [anon_sym_BSLASHdef] = ACTIONS(7171),
    [anon_sym_BSLASHgdef] = ACTIONS(7171),
    [anon_sym_BSLASHedef] = ACTIONS(7171),
    [anon_sym_BSLASHxdef] = ACTIONS(7171),
    [anon_sym_BSLASHlet] = ACTIONS(7171),
    [anon_sym_BSLASHglet] = ACTIONS(7171),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7171),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7171),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7171),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7171),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7171),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7171),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7171),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7171),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7171),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7171),
    [anon_sym_BSLASHgls] = ACTIONS(7171),
    [anon_sym_BSLASHGls] = ACTIONS(7171),
    [anon_sym_BSLASHGLS] = ACTIONS(7171),
    [anon_sym_BSLASHglspl] = ACTIONS(7171),
    [anon_sym_BSLASHGlspl] = ACTIONS(7171),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7171),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7171),
    [anon_sym_BSLASHglslink] = ACTIONS(7171),
    [anon_sym_BSLASHglstext] = ACTIONS(7171),
    [anon_sym_BSLASHGlstext] = ACTIONS(7171),
    [anon_sym_BSLASHGLStext] = ACTIONS(7171),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7171),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7171),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7171),
    [anon_sym_BSLASHglsplural] = ACTIONS(7171),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7171),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7171),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7171),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7171),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7171),
    [anon_sym_BSLASHglsname] = ACTIONS(7171),
    [anon_sym_BSLASHGlsname] = ACTIONS(7171),
    [anon_sym_BSLASHGLSname] = ACTIONS(7171),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7171),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7171),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7171),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7171),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7171),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7171),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7171),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7171),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7171),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7171),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7171),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7171),
    [anon_sym_BSLASHacrshort] = ACTIONS(7171),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7171),
    [anon_sym_BSLASHACRshort] = ACTIONS(7171),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHacrlong] = ACTIONS(7171),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7171),
    [anon_sym_BSLASHACRlong] = ACTIONS(7171),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7171),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7171),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7171),
    [anon_sym_BSLASHacrfull] = ACTIONS(7171),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7171),
    [anon_sym_BSLASHACRfull] = ACTIONS(7171),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHacs] = ACTIONS(7171),
    [anon_sym_BSLASHAcs] = ACTIONS(7171),
    [anon_sym_BSLASHacsp] = ACTIONS(7171),
    [anon_sym_BSLASHAcsp] = ACTIONS(7171),
    [anon_sym_BSLASHacl] = ACTIONS(7171),
    [anon_sym_BSLASHAcl] = ACTIONS(7171),
    [anon_sym_BSLASHaclp] = ACTIONS(7171),
    [anon_sym_BSLASHAclp] = ACTIONS(7171),
    [anon_sym_BSLASHacf] = ACTIONS(7171),
    [anon_sym_BSLASHAcf] = ACTIONS(7171),
    [anon_sym_BSLASHacfp] = ACTIONS(7171),
    [anon_sym_BSLASHAcfp] = ACTIONS(7171),
    [anon_sym_BSLASHac] = ACTIONS(7171),
    [anon_sym_BSLASHAc] = ACTIONS(7171),
    [anon_sym_BSLASHacp] = ACTIONS(7171),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7171),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7171),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7171),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7171),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7171),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7171),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7171),
    [anon_sym_BSLASHcolor] = ACTIONS(7171),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7171),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7171),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7171),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7171),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7171),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7171),
    [anon_sym_BSLASHurl] = ACTIONS(7171),
    [anon_sym_BSLASHhref] = ACTIONS(7171),
  },
  [621] = {
    [sym_command_name] = ACTIONS(7175),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7175),
    [anon_sym_LBRACK] = ACTIONS(7177),
    [anon_sym_RBRACK] = ACTIONS(7177),
    [anon_sym_COMMA] = ACTIONS(7177),
    [anon_sym_EQ] = ACTIONS(7177),
    [anon_sym_LPAREN] = ACTIONS(7177),
    [anon_sym_RPAREN] = ACTIONS(7177),
    [anon_sym_BSLASHpart] = ACTIONS(7175),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHaddpart] = ACTIONS(7175),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHchapter] = ACTIONS(7175),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHaddchap] = ACTIONS(7175),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHsection] = ACTIONS(7175),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHaddsec] = ACTIONS(7175),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHsubsection] = ACTIONS(7175),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7175),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHparagraph] = ACTIONS(7175),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7175),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHitem] = ACTIONS(7175),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7177),
    [anon_sym_LBRACE] = ACTIONS(7177),
    [sym_word] = ACTIONS(7175),
    [sym_placeholder] = ACTIONS(7177),
    [sym_delimiter] = ACTIONS(7177),
    [anon_sym_PLUS] = ACTIONS(7177),
    [anon_sym_DASH] = ACTIONS(7177),
    [anon_sym_STAR] = ACTIONS(7177),
    [anon_sym_SLASH] = ACTIONS(7177),
    [anon_sym_LT] = ACTIONS(7175),
    [anon_sym_GT] = ACTIONS(7175),
    [anon_sym_BANG] = ACTIONS(7175),
    [anon_sym_PIPE] = ACTIONS(7175),
    [anon_sym_COLON] = ACTIONS(7175),
    [anon_sym_SQUOTE] = ACTIONS(7175),
    [anon_sym__] = ACTIONS(7177),
    [anon_sym_CARET] = ACTIONS(7177),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7177),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7177),
    [anon_sym_DOLLAR] = ACTIONS(7175),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7177),
    [anon_sym_BSLASHleft] = ACTIONS(7175),
    [anon_sym_BSLASHbigl] = ACTIONS(7175),
    [anon_sym_BSLASHBigl] = ACTIONS(7175),
    [anon_sym_BSLASHbiggl] = ACTIONS(7175),
    [anon_sym_BSLASHBiggl] = ACTIONS(7175),
    [anon_sym_BSLASHright] = ACTIONS(7175),
    [anon_sym_BSLASHbigr] = ACTIONS(7175),
    [anon_sym_BSLASHBigr] = ACTIONS(7175),
    [anon_sym_BSLASHbiggr] = ACTIONS(7175),
    [anon_sym_BSLASHBiggr] = ACTIONS(7175),
    [anon_sym_BSLASHtext] = ACTIONS(7175),
    [anon_sym_BSLASHintertext] = ACTIONS(7175),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7175),
    [anon_sym_BSLASHbegin] = ACTIONS(7175),
    [anon_sym_BSLASHtitle] = ACTIONS(7175),
    [anon_sym_BSLASHauthor] = ACTIONS(7175),
    [anon_sym_BSLASHusepackage] = ACTIONS(7175),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7175),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7175),
    [anon_sym_BSLASHinclude] = ACTIONS(7175),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7175),
    [anon_sym_BSLASHinput] = ACTIONS(7175),
    [anon_sym_BSLASHsubfile] = ACTIONS(7175),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7175),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7175),
    [anon_sym_BSLASHbibliography] = ACTIONS(7175),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7175),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7175),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7175),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7175),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7175),
    [anon_sym_BSLASHimport] = ACTIONS(7175),
    [anon_sym_BSLASHsubimport] = ACTIONS(7175),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7175),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7175),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7175),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7175),
    [anon_sym_BSLASHcaption] = ACTIONS(7175),
    [anon_sym_BSLASHcite] = ACTIONS(7175),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHCite] = ACTIONS(7175),
    [anon_sym_BSLASHnocite] = ACTIONS(7175),
    [anon_sym_BSLASHcitet] = ACTIONS(7175),
    [anon_sym_BSLASHcitep] = ACTIONS(7175),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHciteA] = ACTIONS(7175),
    [anon_sym_BSLASHciteR] = ACTIONS(7175),
    [anon_sym_BSLASHciteS] = ACTIONS(7175),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7175),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7175),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7175),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7175),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHciteyear] = ACTIONS(7175),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcitedate] = ACTIONS(7175),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHciteurl] = ACTIONS(7175),
    [anon_sym_BSLASHfullcite] = ACTIONS(7175),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7175),
    [anon_sym_BSLASHcitealt] = ACTIONS(7175),
    [anon_sym_BSLASHcitealp] = ACTIONS(7175),
    [anon_sym_BSLASHcitetext] = ACTIONS(7175),
    [anon_sym_BSLASHparencite] = ACTIONS(7175),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHParencite] = ACTIONS(7175),
    [anon_sym_BSLASHfootcite] = ACTIONS(7175),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7175),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7175),
    [anon_sym_BSLASHtextcite] = ACTIONS(7175),
    [anon_sym_BSLASHTextcite] = ACTIONS(7175),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7175),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7175),
    [anon_sym_BSLASHsupercite] = ACTIONS(7175),
    [anon_sym_BSLASHautocite] = ACTIONS(7175),
    [anon_sym_BSLASHAutocite] = ACTIONS(7175),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHVolcite] = ACTIONS(7175),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHavolcite] = ACTIONS(7175),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHnotecite] = ACTIONS(7175),
    [anon_sym_BSLASHNotecite] = ACTIONS(7175),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7175),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7175),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7175),
    [anon_sym_BSLASHlabel] = ACTIONS(7175),
    [anon_sym_BSLASHref] = ACTIONS(7175),
    [anon_sym_BSLASHeqref] = ACTIONS(7175),
    [anon_sym_BSLASHvref] = ACTIONS(7175),
    [anon_sym_BSLASHVref] = ACTIONS(7175),
    [anon_sym_BSLASHautoref] = ACTIONS(7175),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHpageref] = ACTIONS(7175),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHautopageref] = ACTIONS(7175),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcref] = ACTIONS(7175),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHCref] = ACTIONS(7175),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcpageref] = ACTIONS(7175),
    [anon_sym_BSLASHCpageref] = ACTIONS(7175),
    [anon_sym_BSLASHnamecref] = ACTIONS(7175),
    [anon_sym_BSLASHnameCref] = ACTIONS(7175),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7175),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7175),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7175),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7175),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7175),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7175),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7175),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7175),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7175),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7175),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7175),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7175),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7175),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7175),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7175),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7175),
    [anon_sym_BSLASHdef] = ACTIONS(7175),
    [anon_sym_BSLASHgdef] = ACTIONS(7175),
    [anon_sym_BSLASHedef] = ACTIONS(7175),
    [anon_sym_BSLASHxdef] = ACTIONS(7175),
    [anon_sym_BSLASHlet] = ACTIONS(7175),
    [anon_sym_BSLASHglet] = ACTIONS(7175),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7175),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7175),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7175),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7175),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7175),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7175),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7175),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7175),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7175),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7175),
    [anon_sym_BSLASHgls] = ACTIONS(7175),
    [anon_sym_BSLASHGls] = ACTIONS(7175),
    [anon_sym_BSLASHGLS] = ACTIONS(7175),
    [anon_sym_BSLASHglspl] = ACTIONS(7175),
    [anon_sym_BSLASHGlspl] = ACTIONS(7175),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7175),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7175),
    [anon_sym_BSLASHglslink] = ACTIONS(7175),
    [anon_sym_BSLASHglstext] = ACTIONS(7175),
    [anon_sym_BSLASHGlstext] = ACTIONS(7175),
    [anon_sym_BSLASHGLStext] = ACTIONS(7175),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7175),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7175),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7175),
    [anon_sym_BSLASHglsplural] = ACTIONS(7175),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7175),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7175),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7175),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7175),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7175),
    [anon_sym_BSLASHglsname] = ACTIONS(7175),
    [anon_sym_BSLASHGlsname] = ACTIONS(7175),
    [anon_sym_BSLASHGLSname] = ACTIONS(7175),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7175),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7175),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7175),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7175),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7175),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7175),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7175),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7175),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7175),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7175),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7175),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7175),
    [anon_sym_BSLASHacrshort] = ACTIONS(7175),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7175),
    [anon_sym_BSLASHACRshort] = ACTIONS(7175),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHacrlong] = ACTIONS(7175),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7175),
    [anon_sym_BSLASHACRlong] = ACTIONS(7175),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7175),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7175),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7175),
    [anon_sym_BSLASHacrfull] = ACTIONS(7175),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7175),
    [anon_sym_BSLASHACRfull] = ACTIONS(7175),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHacs] = ACTIONS(7175),
    [anon_sym_BSLASHAcs] = ACTIONS(7175),
    [anon_sym_BSLASHacsp] = ACTIONS(7175),
    [anon_sym_BSLASHAcsp] = ACTIONS(7175),
    [anon_sym_BSLASHacl] = ACTIONS(7175),
    [anon_sym_BSLASHAcl] = ACTIONS(7175),
    [anon_sym_BSLASHaclp] = ACTIONS(7175),
    [anon_sym_BSLASHAclp] = ACTIONS(7175),
    [anon_sym_BSLASHacf] = ACTIONS(7175),
    [anon_sym_BSLASHAcf] = ACTIONS(7175),
    [anon_sym_BSLASHacfp] = ACTIONS(7175),
    [anon_sym_BSLASHAcfp] = ACTIONS(7175),
    [anon_sym_BSLASHac] = ACTIONS(7175),
    [anon_sym_BSLASHAc] = ACTIONS(7175),
    [anon_sym_BSLASHacp] = ACTIONS(7175),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7175),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7175),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7175),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7175),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7175),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7175),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7175),
    [anon_sym_BSLASHcolor] = ACTIONS(7175),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7175),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7175),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7175),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7175),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7175),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7175),
    [anon_sym_BSLASHurl] = ACTIONS(7175),
    [anon_sym_BSLASHhref] = ACTIONS(7175),
  },
  [622] = {
    [sym_command_name] = ACTIONS(7179),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7179),
    [anon_sym_LBRACK] = ACTIONS(7181),
    [anon_sym_RBRACK] = ACTIONS(7181),
    [anon_sym_COMMA] = ACTIONS(7181),
    [anon_sym_EQ] = ACTIONS(7181),
    [anon_sym_LPAREN] = ACTIONS(7181),
    [anon_sym_RPAREN] = ACTIONS(7181),
    [anon_sym_BSLASHpart] = ACTIONS(7179),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHaddpart] = ACTIONS(7179),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHchapter] = ACTIONS(7179),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHaddchap] = ACTIONS(7179),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHsection] = ACTIONS(7179),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHaddsec] = ACTIONS(7179),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHsubsection] = ACTIONS(7179),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7179),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHparagraph] = ACTIONS(7179),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7179),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHitem] = ACTIONS(7179),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7181),
    [anon_sym_LBRACE] = ACTIONS(7181),
    [sym_word] = ACTIONS(7179),
    [sym_placeholder] = ACTIONS(7181),
    [sym_delimiter] = ACTIONS(7181),
    [anon_sym_PLUS] = ACTIONS(7181),
    [anon_sym_DASH] = ACTIONS(7181),
    [anon_sym_STAR] = ACTIONS(7181),
    [anon_sym_SLASH] = ACTIONS(7181),
    [anon_sym_LT] = ACTIONS(7179),
    [anon_sym_GT] = ACTIONS(7179),
    [anon_sym_BANG] = ACTIONS(7179),
    [anon_sym_PIPE] = ACTIONS(7179),
    [anon_sym_COLON] = ACTIONS(7179),
    [anon_sym_SQUOTE] = ACTIONS(7179),
    [anon_sym__] = ACTIONS(7181),
    [anon_sym_CARET] = ACTIONS(7181),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7181),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7181),
    [anon_sym_DOLLAR] = ACTIONS(7179),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7181),
    [anon_sym_BSLASHleft] = ACTIONS(7179),
    [anon_sym_BSLASHbigl] = ACTIONS(7179),
    [anon_sym_BSLASHBigl] = ACTIONS(7179),
    [anon_sym_BSLASHbiggl] = ACTIONS(7179),
    [anon_sym_BSLASHBiggl] = ACTIONS(7179),
    [anon_sym_BSLASHright] = ACTIONS(7179),
    [anon_sym_BSLASHbigr] = ACTIONS(7179),
    [anon_sym_BSLASHBigr] = ACTIONS(7179),
    [anon_sym_BSLASHbiggr] = ACTIONS(7179),
    [anon_sym_BSLASHBiggr] = ACTIONS(7179),
    [anon_sym_BSLASHtext] = ACTIONS(7179),
    [anon_sym_BSLASHintertext] = ACTIONS(7179),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7179),
    [anon_sym_BSLASHbegin] = ACTIONS(7179),
    [anon_sym_BSLASHtitle] = ACTIONS(7179),
    [anon_sym_BSLASHauthor] = ACTIONS(7179),
    [anon_sym_BSLASHusepackage] = ACTIONS(7179),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7179),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7179),
    [anon_sym_BSLASHinclude] = ACTIONS(7179),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7179),
    [anon_sym_BSLASHinput] = ACTIONS(7179),
    [anon_sym_BSLASHsubfile] = ACTIONS(7179),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7179),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7179),
    [anon_sym_BSLASHbibliography] = ACTIONS(7179),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7179),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7179),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7179),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7179),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7179),
    [anon_sym_BSLASHimport] = ACTIONS(7179),
    [anon_sym_BSLASHsubimport] = ACTIONS(7179),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7179),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7179),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7179),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7179),
    [anon_sym_BSLASHcaption] = ACTIONS(7179),
    [anon_sym_BSLASHcite] = ACTIONS(7179),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHCite] = ACTIONS(7179),
    [anon_sym_BSLASHnocite] = ACTIONS(7179),
    [anon_sym_BSLASHcitet] = ACTIONS(7179),
    [anon_sym_BSLASHcitep] = ACTIONS(7179),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHciteA] = ACTIONS(7179),
    [anon_sym_BSLASHciteR] = ACTIONS(7179),
    [anon_sym_BSLASHciteS] = ACTIONS(7179),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7179),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7179),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7179),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7179),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHciteyear] = ACTIONS(7179),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcitedate] = ACTIONS(7179),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHciteurl] = ACTIONS(7179),
    [anon_sym_BSLASHfullcite] = ACTIONS(7179),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7179),
    [anon_sym_BSLASHcitealt] = ACTIONS(7179),
    [anon_sym_BSLASHcitealp] = ACTIONS(7179),
    [anon_sym_BSLASHcitetext] = ACTIONS(7179),
    [anon_sym_BSLASHparencite] = ACTIONS(7179),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHParencite] = ACTIONS(7179),
    [anon_sym_BSLASHfootcite] = ACTIONS(7179),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7179),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7179),
    [anon_sym_BSLASHtextcite] = ACTIONS(7179),
    [anon_sym_BSLASHTextcite] = ACTIONS(7179),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7179),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7179),
    [anon_sym_BSLASHsupercite] = ACTIONS(7179),
    [anon_sym_BSLASHautocite] = ACTIONS(7179),
    [anon_sym_BSLASHAutocite] = ACTIONS(7179),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHVolcite] = ACTIONS(7179),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHavolcite] = ACTIONS(7179),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHnotecite] = ACTIONS(7179),
    [anon_sym_BSLASHNotecite] = ACTIONS(7179),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7179),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7179),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7179),
    [anon_sym_BSLASHlabel] = ACTIONS(7179),
    [anon_sym_BSLASHref] = ACTIONS(7179),
    [anon_sym_BSLASHeqref] = ACTIONS(7179),
    [anon_sym_BSLASHvref] = ACTIONS(7179),
    [anon_sym_BSLASHVref] = ACTIONS(7179),
    [anon_sym_BSLASHautoref] = ACTIONS(7179),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHpageref] = ACTIONS(7179),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHautopageref] = ACTIONS(7179),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcref] = ACTIONS(7179),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHCref] = ACTIONS(7179),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcpageref] = ACTIONS(7179),
    [anon_sym_BSLASHCpageref] = ACTIONS(7179),
    [anon_sym_BSLASHnamecref] = ACTIONS(7179),
    [anon_sym_BSLASHnameCref] = ACTIONS(7179),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7179),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7179),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7179),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7179),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7179),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7179),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7179),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7179),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7179),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7179),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7179),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7179),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7179),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7179),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7179),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7179),
    [anon_sym_BSLASHdef] = ACTIONS(7179),
    [anon_sym_BSLASHgdef] = ACTIONS(7179),
    [anon_sym_BSLASHedef] = ACTIONS(7179),
    [anon_sym_BSLASHxdef] = ACTIONS(7179),
    [anon_sym_BSLASHlet] = ACTIONS(7179),
    [anon_sym_BSLASHglet] = ACTIONS(7179),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7179),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7179),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7179),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7179),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7179),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7179),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7179),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7179),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7179),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7179),
    [anon_sym_BSLASHgls] = ACTIONS(7179),
    [anon_sym_BSLASHGls] = ACTIONS(7179),
    [anon_sym_BSLASHGLS] = ACTIONS(7179),
    [anon_sym_BSLASHglspl] = ACTIONS(7179),
    [anon_sym_BSLASHGlspl] = ACTIONS(7179),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7179),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7179),
    [anon_sym_BSLASHglslink] = ACTIONS(7179),
    [anon_sym_BSLASHglstext] = ACTIONS(7179),
    [anon_sym_BSLASHGlstext] = ACTIONS(7179),
    [anon_sym_BSLASHGLStext] = ACTIONS(7179),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7179),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7179),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7179),
    [anon_sym_BSLASHglsplural] = ACTIONS(7179),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7179),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7179),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7179),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7179),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7179),
    [anon_sym_BSLASHglsname] = ACTIONS(7179),
    [anon_sym_BSLASHGlsname] = ACTIONS(7179),
    [anon_sym_BSLASHGLSname] = ACTIONS(7179),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7179),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7179),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7179),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7179),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7179),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7179),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7179),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7179),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7179),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7179),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7179),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7179),
    [anon_sym_BSLASHacrshort] = ACTIONS(7179),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7179),
    [anon_sym_BSLASHACRshort] = ACTIONS(7179),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHacrlong] = ACTIONS(7179),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7179),
    [anon_sym_BSLASHACRlong] = ACTIONS(7179),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7179),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7179),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7179),
    [anon_sym_BSLASHacrfull] = ACTIONS(7179),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7179),
    [anon_sym_BSLASHACRfull] = ACTIONS(7179),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHacs] = ACTIONS(7179),
    [anon_sym_BSLASHAcs] = ACTIONS(7179),
    [anon_sym_BSLASHacsp] = ACTIONS(7179),
    [anon_sym_BSLASHAcsp] = ACTIONS(7179),
    [anon_sym_BSLASHacl] = ACTIONS(7179),
    [anon_sym_BSLASHAcl] = ACTIONS(7179),
    [anon_sym_BSLASHaclp] = ACTIONS(7179),
    [anon_sym_BSLASHAclp] = ACTIONS(7179),
    [anon_sym_BSLASHacf] = ACTIONS(7179),
    [anon_sym_BSLASHAcf] = ACTIONS(7179),
    [anon_sym_BSLASHacfp] = ACTIONS(7179),
    [anon_sym_BSLASHAcfp] = ACTIONS(7179),
    [anon_sym_BSLASHac] = ACTIONS(7179),
    [anon_sym_BSLASHAc] = ACTIONS(7179),
    [anon_sym_BSLASHacp] = ACTIONS(7179),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7179),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7179),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7179),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7179),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7179),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7179),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7179),
    [anon_sym_BSLASHcolor] = ACTIONS(7179),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7179),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7179),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7179),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7179),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7179),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7179),
    [anon_sym_BSLASHurl] = ACTIONS(7179),
    [anon_sym_BSLASHhref] = ACTIONS(7179),
  },
  [623] = {
    [sym_command_name] = ACTIONS(7183),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7183),
    [anon_sym_LBRACK] = ACTIONS(7185),
    [anon_sym_RBRACK] = ACTIONS(7185),
    [anon_sym_COMMA] = ACTIONS(7185),
    [anon_sym_EQ] = ACTIONS(7185),
    [anon_sym_LPAREN] = ACTIONS(7185),
    [anon_sym_RPAREN] = ACTIONS(7185),
    [anon_sym_BSLASHpart] = ACTIONS(7183),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHaddpart] = ACTIONS(7183),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHchapter] = ACTIONS(7183),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHaddchap] = ACTIONS(7183),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHsection] = ACTIONS(7183),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHaddsec] = ACTIONS(7183),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHsubsection] = ACTIONS(7183),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7183),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHparagraph] = ACTIONS(7183),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7183),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHitem] = ACTIONS(7183),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7185),
    [anon_sym_LBRACE] = ACTIONS(7185),
    [sym_word] = ACTIONS(7183),
    [sym_placeholder] = ACTIONS(7185),
    [sym_delimiter] = ACTIONS(7185),
    [anon_sym_PLUS] = ACTIONS(7185),
    [anon_sym_DASH] = ACTIONS(7185),
    [anon_sym_STAR] = ACTIONS(7185),
    [anon_sym_SLASH] = ACTIONS(7185),
    [anon_sym_LT] = ACTIONS(7183),
    [anon_sym_GT] = ACTIONS(7183),
    [anon_sym_BANG] = ACTIONS(7183),
    [anon_sym_PIPE] = ACTIONS(7183),
    [anon_sym_COLON] = ACTIONS(7183),
    [anon_sym_SQUOTE] = ACTIONS(7183),
    [anon_sym__] = ACTIONS(7185),
    [anon_sym_CARET] = ACTIONS(7185),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7185),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7185),
    [anon_sym_DOLLAR] = ACTIONS(7183),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7185),
    [anon_sym_BSLASHleft] = ACTIONS(7183),
    [anon_sym_BSLASHbigl] = ACTIONS(7183),
    [anon_sym_BSLASHBigl] = ACTIONS(7183),
    [anon_sym_BSLASHbiggl] = ACTIONS(7183),
    [anon_sym_BSLASHBiggl] = ACTIONS(7183),
    [anon_sym_BSLASHright] = ACTIONS(7183),
    [anon_sym_BSLASHbigr] = ACTIONS(7183),
    [anon_sym_BSLASHBigr] = ACTIONS(7183),
    [anon_sym_BSLASHbiggr] = ACTIONS(7183),
    [anon_sym_BSLASHBiggr] = ACTIONS(7183),
    [anon_sym_BSLASHtext] = ACTIONS(7183),
    [anon_sym_BSLASHintertext] = ACTIONS(7183),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7183),
    [anon_sym_BSLASHbegin] = ACTIONS(7183),
    [anon_sym_BSLASHtitle] = ACTIONS(7183),
    [anon_sym_BSLASHauthor] = ACTIONS(7183),
    [anon_sym_BSLASHusepackage] = ACTIONS(7183),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7183),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7183),
    [anon_sym_BSLASHinclude] = ACTIONS(7183),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7183),
    [anon_sym_BSLASHinput] = ACTIONS(7183),
    [anon_sym_BSLASHsubfile] = ACTIONS(7183),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7183),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7183),
    [anon_sym_BSLASHbibliography] = ACTIONS(7183),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7183),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7183),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7183),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7183),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7183),
    [anon_sym_BSLASHimport] = ACTIONS(7183),
    [anon_sym_BSLASHsubimport] = ACTIONS(7183),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7183),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7183),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7183),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7183),
    [anon_sym_BSLASHcaption] = ACTIONS(7183),
    [anon_sym_BSLASHcite] = ACTIONS(7183),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHCite] = ACTIONS(7183),
    [anon_sym_BSLASHnocite] = ACTIONS(7183),
    [anon_sym_BSLASHcitet] = ACTIONS(7183),
    [anon_sym_BSLASHcitep] = ACTIONS(7183),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHciteA] = ACTIONS(7183),
    [anon_sym_BSLASHciteR] = ACTIONS(7183),
    [anon_sym_BSLASHciteS] = ACTIONS(7183),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7183),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7183),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7183),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7183),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHciteyear] = ACTIONS(7183),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcitedate] = ACTIONS(7183),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHciteurl] = ACTIONS(7183),
    [anon_sym_BSLASHfullcite] = ACTIONS(7183),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7183),
    [anon_sym_BSLASHcitealt] = ACTIONS(7183),
    [anon_sym_BSLASHcitealp] = ACTIONS(7183),
    [anon_sym_BSLASHcitetext] = ACTIONS(7183),
    [anon_sym_BSLASHparencite] = ACTIONS(7183),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHParencite] = ACTIONS(7183),
    [anon_sym_BSLASHfootcite] = ACTIONS(7183),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7183),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7183),
    [anon_sym_BSLASHtextcite] = ACTIONS(7183),
    [anon_sym_BSLASHTextcite] = ACTIONS(7183),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7183),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7183),
    [anon_sym_BSLASHsupercite] = ACTIONS(7183),
    [anon_sym_BSLASHautocite] = ACTIONS(7183),
    [anon_sym_BSLASHAutocite] = ACTIONS(7183),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHVolcite] = ACTIONS(7183),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHavolcite] = ACTIONS(7183),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHnotecite] = ACTIONS(7183),
    [anon_sym_BSLASHNotecite] = ACTIONS(7183),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7183),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7183),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7183),
    [anon_sym_BSLASHlabel] = ACTIONS(7183),
    [anon_sym_BSLASHref] = ACTIONS(7183),
    [anon_sym_BSLASHeqref] = ACTIONS(7183),
    [anon_sym_BSLASHvref] = ACTIONS(7183),
    [anon_sym_BSLASHVref] = ACTIONS(7183),
    [anon_sym_BSLASHautoref] = ACTIONS(7183),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHpageref] = ACTIONS(7183),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHautopageref] = ACTIONS(7183),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcref] = ACTIONS(7183),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHCref] = ACTIONS(7183),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcpageref] = ACTIONS(7183),
    [anon_sym_BSLASHCpageref] = ACTIONS(7183),
    [anon_sym_BSLASHnamecref] = ACTIONS(7183),
    [anon_sym_BSLASHnameCref] = ACTIONS(7183),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7183),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7183),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7183),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7183),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7183),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7183),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7183),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7183),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7183),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7183),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7183),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7183),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7183),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7183),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7183),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7183),
    [anon_sym_BSLASHdef] = ACTIONS(7183),
    [anon_sym_BSLASHgdef] = ACTIONS(7183),
    [anon_sym_BSLASHedef] = ACTIONS(7183),
    [anon_sym_BSLASHxdef] = ACTIONS(7183),
    [anon_sym_BSLASHlet] = ACTIONS(7183),
    [anon_sym_BSLASHglet] = ACTIONS(7183),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7183),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7183),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7183),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7183),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7183),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7183),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7183),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7183),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7183),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7183),
    [anon_sym_BSLASHgls] = ACTIONS(7183),
    [anon_sym_BSLASHGls] = ACTIONS(7183),
    [anon_sym_BSLASHGLS] = ACTIONS(7183),
    [anon_sym_BSLASHglspl] = ACTIONS(7183),
    [anon_sym_BSLASHGlspl] = ACTIONS(7183),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7183),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7183),
    [anon_sym_BSLASHglslink] = ACTIONS(7183),
    [anon_sym_BSLASHglstext] = ACTIONS(7183),
    [anon_sym_BSLASHGlstext] = ACTIONS(7183),
    [anon_sym_BSLASHGLStext] = ACTIONS(7183),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7183),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7183),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7183),
    [anon_sym_BSLASHglsplural] = ACTIONS(7183),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7183),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7183),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7183),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7183),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7183),
    [anon_sym_BSLASHglsname] = ACTIONS(7183),
    [anon_sym_BSLASHGlsname] = ACTIONS(7183),
    [anon_sym_BSLASHGLSname] = ACTIONS(7183),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7183),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7183),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7183),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7183),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7183),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7183),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7183),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7183),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7183),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7183),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7183),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7183),
    [anon_sym_BSLASHacrshort] = ACTIONS(7183),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7183),
    [anon_sym_BSLASHACRshort] = ACTIONS(7183),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHacrlong] = ACTIONS(7183),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7183),
    [anon_sym_BSLASHACRlong] = ACTIONS(7183),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7183),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7183),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7183),
    [anon_sym_BSLASHacrfull] = ACTIONS(7183),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7183),
    [anon_sym_BSLASHACRfull] = ACTIONS(7183),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHacs] = ACTIONS(7183),
    [anon_sym_BSLASHAcs] = ACTIONS(7183),
    [anon_sym_BSLASHacsp] = ACTIONS(7183),
    [anon_sym_BSLASHAcsp] = ACTIONS(7183),
    [anon_sym_BSLASHacl] = ACTIONS(7183),
    [anon_sym_BSLASHAcl] = ACTIONS(7183),
    [anon_sym_BSLASHaclp] = ACTIONS(7183),
    [anon_sym_BSLASHAclp] = ACTIONS(7183),
    [anon_sym_BSLASHacf] = ACTIONS(7183),
    [anon_sym_BSLASHAcf] = ACTIONS(7183),
    [anon_sym_BSLASHacfp] = ACTIONS(7183),
    [anon_sym_BSLASHAcfp] = ACTIONS(7183),
    [anon_sym_BSLASHac] = ACTIONS(7183),
    [anon_sym_BSLASHAc] = ACTIONS(7183),
    [anon_sym_BSLASHacp] = ACTIONS(7183),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7183),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7183),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7183),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7183),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7183),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7183),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7183),
    [anon_sym_BSLASHcolor] = ACTIONS(7183),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7183),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7183),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7183),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7183),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7183),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7183),
    [anon_sym_BSLASHurl] = ACTIONS(7183),
    [anon_sym_BSLASHhref] = ACTIONS(7183),
  },
  [624] = {
    [sym_command_name] = ACTIONS(7187),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7187),
    [anon_sym_LBRACK] = ACTIONS(7189),
    [anon_sym_RBRACK] = ACTIONS(7189),
    [anon_sym_COMMA] = ACTIONS(7189),
    [anon_sym_EQ] = ACTIONS(7189),
    [anon_sym_LPAREN] = ACTIONS(7189),
    [anon_sym_RPAREN] = ACTIONS(7189),
    [anon_sym_BSLASHpart] = ACTIONS(7187),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHaddpart] = ACTIONS(7187),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHchapter] = ACTIONS(7187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHaddchap] = ACTIONS(7187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHsection] = ACTIONS(7187),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHaddsec] = ACTIONS(7187),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHsubsection] = ACTIONS(7187),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7187),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHparagraph] = ACTIONS(7187),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7187),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHitem] = ACTIONS(7187),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7189),
    [anon_sym_LBRACE] = ACTIONS(7189),
    [sym_word] = ACTIONS(7187),
    [sym_placeholder] = ACTIONS(7189),
    [sym_delimiter] = ACTIONS(7189),
    [anon_sym_PLUS] = ACTIONS(7189),
    [anon_sym_DASH] = ACTIONS(7189),
    [anon_sym_STAR] = ACTIONS(7189),
    [anon_sym_SLASH] = ACTIONS(7189),
    [anon_sym_LT] = ACTIONS(7187),
    [anon_sym_GT] = ACTIONS(7187),
    [anon_sym_BANG] = ACTIONS(7187),
    [anon_sym_PIPE] = ACTIONS(7187),
    [anon_sym_COLON] = ACTIONS(7187),
    [anon_sym_SQUOTE] = ACTIONS(7187),
    [anon_sym__] = ACTIONS(7189),
    [anon_sym_CARET] = ACTIONS(7189),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7189),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7189),
    [anon_sym_DOLLAR] = ACTIONS(7187),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7189),
    [anon_sym_BSLASHleft] = ACTIONS(7187),
    [anon_sym_BSLASHbigl] = ACTIONS(7187),
    [anon_sym_BSLASHBigl] = ACTIONS(7187),
    [anon_sym_BSLASHbiggl] = ACTIONS(7187),
    [anon_sym_BSLASHBiggl] = ACTIONS(7187),
    [anon_sym_BSLASHright] = ACTIONS(7187),
    [anon_sym_BSLASHbigr] = ACTIONS(7187),
    [anon_sym_BSLASHBigr] = ACTIONS(7187),
    [anon_sym_BSLASHbiggr] = ACTIONS(7187),
    [anon_sym_BSLASHBiggr] = ACTIONS(7187),
    [anon_sym_BSLASHtext] = ACTIONS(7187),
    [anon_sym_BSLASHintertext] = ACTIONS(7187),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7187),
    [anon_sym_BSLASHbegin] = ACTIONS(7187),
    [anon_sym_BSLASHtitle] = ACTIONS(7187),
    [anon_sym_BSLASHauthor] = ACTIONS(7187),
    [anon_sym_BSLASHusepackage] = ACTIONS(7187),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7187),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7187),
    [anon_sym_BSLASHinclude] = ACTIONS(7187),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7187),
    [anon_sym_BSLASHinput] = ACTIONS(7187),
    [anon_sym_BSLASHsubfile] = ACTIONS(7187),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7187),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7187),
    [anon_sym_BSLASHbibliography] = ACTIONS(7187),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7187),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7187),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7187),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7187),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7187),
    [anon_sym_BSLASHimport] = ACTIONS(7187),
    [anon_sym_BSLASHsubimport] = ACTIONS(7187),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7187),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7187),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7187),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7187),
    [anon_sym_BSLASHcaption] = ACTIONS(7187),
    [anon_sym_BSLASHcite] = ACTIONS(7187),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCite] = ACTIONS(7187),
    [anon_sym_BSLASHnocite] = ACTIONS(7187),
    [anon_sym_BSLASHcitet] = ACTIONS(7187),
    [anon_sym_BSLASHcitep] = ACTIONS(7187),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteA] = ACTIONS(7187),
    [anon_sym_BSLASHciteR] = ACTIONS(7187),
    [anon_sym_BSLASHciteS] = ACTIONS(7187),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7187),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7187),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7187),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7187),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteyear] = ACTIONS(7187),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitedate] = ACTIONS(7187),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteurl] = ACTIONS(7187),
    [anon_sym_BSLASHfullcite] = ACTIONS(7187),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7187),
    [anon_sym_BSLASHcitealt] = ACTIONS(7187),
    [anon_sym_BSLASHcitealp] = ACTIONS(7187),
    [anon_sym_BSLASHcitetext] = ACTIONS(7187),
    [anon_sym_BSLASHparencite] = ACTIONS(7187),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHParencite] = ACTIONS(7187),
    [anon_sym_BSLASHfootcite] = ACTIONS(7187),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7187),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7187),
    [anon_sym_BSLASHtextcite] = ACTIONS(7187),
    [anon_sym_BSLASHTextcite] = ACTIONS(7187),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7187),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7187),
    [anon_sym_BSLASHsupercite] = ACTIONS(7187),
    [anon_sym_BSLASHautocite] = ACTIONS(7187),
    [anon_sym_BSLASHAutocite] = ACTIONS(7187),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHVolcite] = ACTIONS(7187),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHavolcite] = ACTIONS(7187),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHNotecite] = ACTIONS(7187),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHlabel] = ACTIONS(7187),
    [anon_sym_BSLASHref] = ACTIONS(7187),
    [anon_sym_BSLASHeqref] = ACTIONS(7187),
    [anon_sym_BSLASHvref] = ACTIONS(7187),
    [anon_sym_BSLASHVref] = ACTIONS(7187),
    [anon_sym_BSLASHautoref] = ACTIONS(7187),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHpageref] = ACTIONS(7187),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHautopageref] = ACTIONS(7187),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcref] = ACTIONS(7187),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCref] = ACTIONS(7187),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcpageref] = ACTIONS(7187),
    [anon_sym_BSLASHCpageref] = ACTIONS(7187),
    [anon_sym_BSLASHnamecref] = ACTIONS(7187),
    [anon_sym_BSLASHnameCref] = ACTIONS(7187),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7187),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7187),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7187),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7187),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7187),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7187),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7187),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7187),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7187),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7187),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7187),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHdef] = ACTIONS(7187),
    [anon_sym_BSLASHgdef] = ACTIONS(7187),
    [anon_sym_BSLASHedef] = ACTIONS(7187),
    [anon_sym_BSLASHxdef] = ACTIONS(7187),
    [anon_sym_BSLASHlet] = ACTIONS(7187),
    [anon_sym_BSLASHglet] = ACTIONS(7187),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7187),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7187),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7187),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7187),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7187),
    [anon_sym_BSLASHgls] = ACTIONS(7187),
    [anon_sym_BSLASHGls] = ACTIONS(7187),
    [anon_sym_BSLASHGLS] = ACTIONS(7187),
    [anon_sym_BSLASHglspl] = ACTIONS(7187),
    [anon_sym_BSLASHGlspl] = ACTIONS(7187),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7187),
    [anon_sym_BSLASHglslink] = ACTIONS(7187),
    [anon_sym_BSLASHglstext] = ACTIONS(7187),
    [anon_sym_BSLASHGlstext] = ACTIONS(7187),
    [anon_sym_BSLASHGLStext] = ACTIONS(7187),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7187),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7187),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7187),
    [anon_sym_BSLASHglsplural] = ACTIONS(7187),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7187),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7187),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHglsname] = ACTIONS(7187),
    [anon_sym_BSLASHGlsname] = ACTIONS(7187),
    [anon_sym_BSLASHGLSname] = ACTIONS(7187),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7187),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7187),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7187),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7187),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7187),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7187),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7187),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7187),
    [anon_sym_BSLASHacrshort] = ACTIONS(7187),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7187),
    [anon_sym_BSLASHACRshort] = ACTIONS(7187),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHacrlong] = ACTIONS(7187),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7187),
    [anon_sym_BSLASHACRlong] = ACTIONS(7187),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHacrfull] = ACTIONS(7187),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7187),
    [anon_sym_BSLASHACRfull] = ACTIONS(7187),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHacs] = ACTIONS(7187),
    [anon_sym_BSLASHAcs] = ACTIONS(7187),
    [anon_sym_BSLASHacsp] = ACTIONS(7187),
    [anon_sym_BSLASHAcsp] = ACTIONS(7187),
    [anon_sym_BSLASHacl] = ACTIONS(7187),
    [anon_sym_BSLASHAcl] = ACTIONS(7187),
    [anon_sym_BSLASHaclp] = ACTIONS(7187),
    [anon_sym_BSLASHAclp] = ACTIONS(7187),
    [anon_sym_BSLASHacf] = ACTIONS(7187),
    [anon_sym_BSLASHAcf] = ACTIONS(7187),
    [anon_sym_BSLASHacfp] = ACTIONS(7187),
    [anon_sym_BSLASHAcfp] = ACTIONS(7187),
    [anon_sym_BSLASHac] = ACTIONS(7187),
    [anon_sym_BSLASHAc] = ACTIONS(7187),
    [anon_sym_BSLASHacp] = ACTIONS(7187),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7187),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7187),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7187),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7187),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7187),
    [anon_sym_BSLASHcolor] = ACTIONS(7187),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7187),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7187),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7187),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7187),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7187),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7187),
    [anon_sym_BSLASHurl] = ACTIONS(7187),
    [anon_sym_BSLASHhref] = ACTIONS(7187),
  },
  [625] = {
    [sym_command_name] = ACTIONS(7191),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7191),
    [anon_sym_LBRACK] = ACTIONS(7193),
    [anon_sym_RBRACK] = ACTIONS(7193),
    [anon_sym_COMMA] = ACTIONS(7193),
    [anon_sym_EQ] = ACTIONS(7193),
    [anon_sym_LPAREN] = ACTIONS(7193),
    [anon_sym_RPAREN] = ACTIONS(7193),
    [anon_sym_BSLASHpart] = ACTIONS(7191),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHaddpart] = ACTIONS(7191),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHchapter] = ACTIONS(7191),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHaddchap] = ACTIONS(7191),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHsection] = ACTIONS(7191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHaddsec] = ACTIONS(7191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHsubsection] = ACTIONS(7191),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7191),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHparagraph] = ACTIONS(7191),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7191),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHitem] = ACTIONS(7191),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7193),
    [anon_sym_LBRACE] = ACTIONS(7193),
    [sym_word] = ACTIONS(7191),
    [sym_placeholder] = ACTIONS(7193),
    [sym_delimiter] = ACTIONS(7193),
    [anon_sym_PLUS] = ACTIONS(7193),
    [anon_sym_DASH] = ACTIONS(7193),
    [anon_sym_STAR] = ACTIONS(7193),
    [anon_sym_SLASH] = ACTIONS(7193),
    [anon_sym_LT] = ACTIONS(7191),
    [anon_sym_GT] = ACTIONS(7191),
    [anon_sym_BANG] = ACTIONS(7191),
    [anon_sym_PIPE] = ACTIONS(7191),
    [anon_sym_COLON] = ACTIONS(7191),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym__] = ACTIONS(7193),
    [anon_sym_CARET] = ACTIONS(7193),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7193),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7193),
    [anon_sym_DOLLAR] = ACTIONS(7191),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7193),
    [anon_sym_BSLASHleft] = ACTIONS(7191),
    [anon_sym_BSLASHbigl] = ACTIONS(7191),
    [anon_sym_BSLASHBigl] = ACTIONS(7191),
    [anon_sym_BSLASHbiggl] = ACTIONS(7191),
    [anon_sym_BSLASHBiggl] = ACTIONS(7191),
    [anon_sym_BSLASHright] = ACTIONS(7191),
    [anon_sym_BSLASHbigr] = ACTIONS(7191),
    [anon_sym_BSLASHBigr] = ACTIONS(7191),
    [anon_sym_BSLASHbiggr] = ACTIONS(7191),
    [anon_sym_BSLASHBiggr] = ACTIONS(7191),
    [anon_sym_BSLASHtext] = ACTIONS(7191),
    [anon_sym_BSLASHintertext] = ACTIONS(7191),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7191),
    [anon_sym_BSLASHbegin] = ACTIONS(7191),
    [anon_sym_BSLASHtitle] = ACTIONS(7191),
    [anon_sym_BSLASHauthor] = ACTIONS(7191),
    [anon_sym_BSLASHusepackage] = ACTIONS(7191),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7191),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7191),
    [anon_sym_BSLASHinclude] = ACTIONS(7191),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7191),
    [anon_sym_BSLASHinput] = ACTIONS(7191),
    [anon_sym_BSLASHsubfile] = ACTIONS(7191),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7191),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7191),
    [anon_sym_BSLASHbibliography] = ACTIONS(7191),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7191),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7191),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7191),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7191),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7191),
    [anon_sym_BSLASHimport] = ACTIONS(7191),
    [anon_sym_BSLASHsubimport] = ACTIONS(7191),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7191),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7191),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7191),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7191),
    [anon_sym_BSLASHcaption] = ACTIONS(7191),
    [anon_sym_BSLASHcite] = ACTIONS(7191),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCite] = ACTIONS(7191),
    [anon_sym_BSLASHnocite] = ACTIONS(7191),
    [anon_sym_BSLASHcitet] = ACTIONS(7191),
    [anon_sym_BSLASHcitep] = ACTIONS(7191),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteA] = ACTIONS(7191),
    [anon_sym_BSLASHciteR] = ACTIONS(7191),
    [anon_sym_BSLASHciteS] = ACTIONS(7191),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7191),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7191),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7191),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7191),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteyear] = ACTIONS(7191),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitedate] = ACTIONS(7191),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteurl] = ACTIONS(7191),
    [anon_sym_BSLASHfullcite] = ACTIONS(7191),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7191),
    [anon_sym_BSLASHcitealt] = ACTIONS(7191),
    [anon_sym_BSLASHcitealp] = ACTIONS(7191),
    [anon_sym_BSLASHcitetext] = ACTIONS(7191),
    [anon_sym_BSLASHparencite] = ACTIONS(7191),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHParencite] = ACTIONS(7191),
    [anon_sym_BSLASHfootcite] = ACTIONS(7191),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7191),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7191),
    [anon_sym_BSLASHtextcite] = ACTIONS(7191),
    [anon_sym_BSLASHTextcite] = ACTIONS(7191),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7191),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7191),
    [anon_sym_BSLASHsupercite] = ACTIONS(7191),
    [anon_sym_BSLASHautocite] = ACTIONS(7191),
    [anon_sym_BSLASHAutocite] = ACTIONS(7191),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHVolcite] = ACTIONS(7191),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHavolcite] = ACTIONS(7191),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHNotecite] = ACTIONS(7191),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHlabel] = ACTIONS(7191),
    [anon_sym_BSLASHref] = ACTIONS(7191),
    [anon_sym_BSLASHeqref] = ACTIONS(7191),
    [anon_sym_BSLASHvref] = ACTIONS(7191),
    [anon_sym_BSLASHVref] = ACTIONS(7191),
    [anon_sym_BSLASHautoref] = ACTIONS(7191),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHpageref] = ACTIONS(7191),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHautopageref] = ACTIONS(7191),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcref] = ACTIONS(7191),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCref] = ACTIONS(7191),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcpageref] = ACTIONS(7191),
    [anon_sym_BSLASHCpageref] = ACTIONS(7191),
    [anon_sym_BSLASHnamecref] = ACTIONS(7191),
    [anon_sym_BSLASHnameCref] = ACTIONS(7191),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7191),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7191),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7191),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7191),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7191),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7191),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7191),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7191),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7191),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7191),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7191),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHdef] = ACTIONS(7191),
    [anon_sym_BSLASHgdef] = ACTIONS(7191),
    [anon_sym_BSLASHedef] = ACTIONS(7191),
    [anon_sym_BSLASHxdef] = ACTIONS(7191),
    [anon_sym_BSLASHlet] = ACTIONS(7191),
    [anon_sym_BSLASHglet] = ACTIONS(7191),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7191),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7191),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7191),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7191),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7191),
    [anon_sym_BSLASHgls] = ACTIONS(7191),
    [anon_sym_BSLASHGls] = ACTIONS(7191),
    [anon_sym_BSLASHGLS] = ACTIONS(7191),
    [anon_sym_BSLASHglspl] = ACTIONS(7191),
    [anon_sym_BSLASHGlspl] = ACTIONS(7191),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7191),
    [anon_sym_BSLASHglslink] = ACTIONS(7191),
    [anon_sym_BSLASHglstext] = ACTIONS(7191),
    [anon_sym_BSLASHGlstext] = ACTIONS(7191),
    [anon_sym_BSLASHGLStext] = ACTIONS(7191),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7191),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7191),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7191),
    [anon_sym_BSLASHglsplural] = ACTIONS(7191),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7191),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7191),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHglsname] = ACTIONS(7191),
    [anon_sym_BSLASHGlsname] = ACTIONS(7191),
    [anon_sym_BSLASHGLSname] = ACTIONS(7191),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7191),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7191),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7191),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7191),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7191),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7191),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7191),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7191),
    [anon_sym_BSLASHacrshort] = ACTIONS(7191),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7191),
    [anon_sym_BSLASHACRshort] = ACTIONS(7191),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHacrlong] = ACTIONS(7191),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7191),
    [anon_sym_BSLASHACRlong] = ACTIONS(7191),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHacrfull] = ACTIONS(7191),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7191),
    [anon_sym_BSLASHACRfull] = ACTIONS(7191),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHacs] = ACTIONS(7191),
    [anon_sym_BSLASHAcs] = ACTIONS(7191),
    [anon_sym_BSLASHacsp] = ACTIONS(7191),
    [anon_sym_BSLASHAcsp] = ACTIONS(7191),
    [anon_sym_BSLASHacl] = ACTIONS(7191),
    [anon_sym_BSLASHAcl] = ACTIONS(7191),
    [anon_sym_BSLASHaclp] = ACTIONS(7191),
    [anon_sym_BSLASHAclp] = ACTIONS(7191),
    [anon_sym_BSLASHacf] = ACTIONS(7191),
    [anon_sym_BSLASHAcf] = ACTIONS(7191),
    [anon_sym_BSLASHacfp] = ACTIONS(7191),
    [anon_sym_BSLASHAcfp] = ACTIONS(7191),
    [anon_sym_BSLASHac] = ACTIONS(7191),
    [anon_sym_BSLASHAc] = ACTIONS(7191),
    [anon_sym_BSLASHacp] = ACTIONS(7191),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7191),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7191),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7191),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7191),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7191),
    [anon_sym_BSLASHcolor] = ACTIONS(7191),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7191),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7191),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7191),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7191),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7191),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7191),
    [anon_sym_BSLASHurl] = ACTIONS(7191),
    [anon_sym_BSLASHhref] = ACTIONS(7191),
  },
  [626] = {
    [sym_command_name] = ACTIONS(7195),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7195),
    [anon_sym_LBRACK] = ACTIONS(7197),
    [anon_sym_RBRACK] = ACTIONS(7197),
    [anon_sym_COMMA] = ACTIONS(7197),
    [anon_sym_EQ] = ACTIONS(7197),
    [anon_sym_LPAREN] = ACTIONS(7197),
    [anon_sym_RPAREN] = ACTIONS(7197),
    [anon_sym_BSLASHpart] = ACTIONS(7195),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHaddpart] = ACTIONS(7195),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHchapter] = ACTIONS(7195),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHaddchap] = ACTIONS(7195),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHsection] = ACTIONS(7195),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHaddsec] = ACTIONS(7195),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHsubsection] = ACTIONS(7195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7195),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHparagraph] = ACTIONS(7195),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7195),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHitem] = ACTIONS(7195),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7197),
    [anon_sym_LBRACE] = ACTIONS(7197),
    [sym_word] = ACTIONS(7195),
    [sym_placeholder] = ACTIONS(7197),
    [sym_delimiter] = ACTIONS(7197),
    [anon_sym_PLUS] = ACTIONS(7197),
    [anon_sym_DASH] = ACTIONS(7197),
    [anon_sym_STAR] = ACTIONS(7197),
    [anon_sym_SLASH] = ACTIONS(7197),
    [anon_sym_LT] = ACTIONS(7195),
    [anon_sym_GT] = ACTIONS(7195),
    [anon_sym_BANG] = ACTIONS(7195),
    [anon_sym_PIPE] = ACTIONS(7195),
    [anon_sym_COLON] = ACTIONS(7195),
    [anon_sym_SQUOTE] = ACTIONS(7195),
    [anon_sym__] = ACTIONS(7197),
    [anon_sym_CARET] = ACTIONS(7197),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7197),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7197),
    [anon_sym_DOLLAR] = ACTIONS(7195),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7197),
    [anon_sym_BSLASHleft] = ACTIONS(7195),
    [anon_sym_BSLASHbigl] = ACTIONS(7195),
    [anon_sym_BSLASHBigl] = ACTIONS(7195),
    [anon_sym_BSLASHbiggl] = ACTIONS(7195),
    [anon_sym_BSLASHBiggl] = ACTIONS(7195),
    [anon_sym_BSLASHright] = ACTIONS(7195),
    [anon_sym_BSLASHbigr] = ACTIONS(7195),
    [anon_sym_BSLASHBigr] = ACTIONS(7195),
    [anon_sym_BSLASHbiggr] = ACTIONS(7195),
    [anon_sym_BSLASHBiggr] = ACTIONS(7195),
    [anon_sym_BSLASHtext] = ACTIONS(7195),
    [anon_sym_BSLASHintertext] = ACTIONS(7195),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7195),
    [anon_sym_BSLASHbegin] = ACTIONS(7195),
    [anon_sym_BSLASHtitle] = ACTIONS(7195),
    [anon_sym_BSLASHauthor] = ACTIONS(7195),
    [anon_sym_BSLASHusepackage] = ACTIONS(7195),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7195),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7195),
    [anon_sym_BSLASHinclude] = ACTIONS(7195),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7195),
    [anon_sym_BSLASHinput] = ACTIONS(7195),
    [anon_sym_BSLASHsubfile] = ACTIONS(7195),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7195),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7195),
    [anon_sym_BSLASHbibliography] = ACTIONS(7195),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7195),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7195),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7195),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7195),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7195),
    [anon_sym_BSLASHimport] = ACTIONS(7195),
    [anon_sym_BSLASHsubimport] = ACTIONS(7195),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7195),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7195),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7195),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7195),
    [anon_sym_BSLASHcaption] = ACTIONS(7195),
    [anon_sym_BSLASHcite] = ACTIONS(7195),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCite] = ACTIONS(7195),
    [anon_sym_BSLASHnocite] = ACTIONS(7195),
    [anon_sym_BSLASHcitet] = ACTIONS(7195),
    [anon_sym_BSLASHcitep] = ACTIONS(7195),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteA] = ACTIONS(7195),
    [anon_sym_BSLASHciteR] = ACTIONS(7195),
    [anon_sym_BSLASHciteS] = ACTIONS(7195),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7195),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7195),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7195),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7195),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteyear] = ACTIONS(7195),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitedate] = ACTIONS(7195),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteurl] = ACTIONS(7195),
    [anon_sym_BSLASHfullcite] = ACTIONS(7195),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7195),
    [anon_sym_BSLASHcitealt] = ACTIONS(7195),
    [anon_sym_BSLASHcitealp] = ACTIONS(7195),
    [anon_sym_BSLASHcitetext] = ACTIONS(7195),
    [anon_sym_BSLASHparencite] = ACTIONS(7195),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHParencite] = ACTIONS(7195),
    [anon_sym_BSLASHfootcite] = ACTIONS(7195),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7195),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7195),
    [anon_sym_BSLASHtextcite] = ACTIONS(7195),
    [anon_sym_BSLASHTextcite] = ACTIONS(7195),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7195),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7195),
    [anon_sym_BSLASHsupercite] = ACTIONS(7195),
    [anon_sym_BSLASHautocite] = ACTIONS(7195),
    [anon_sym_BSLASHAutocite] = ACTIONS(7195),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHVolcite] = ACTIONS(7195),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHavolcite] = ACTIONS(7195),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHNotecite] = ACTIONS(7195),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHlabel] = ACTIONS(7195),
    [anon_sym_BSLASHref] = ACTIONS(7195),
    [anon_sym_BSLASHeqref] = ACTIONS(7195),
    [anon_sym_BSLASHvref] = ACTIONS(7195),
    [anon_sym_BSLASHVref] = ACTIONS(7195),
    [anon_sym_BSLASHautoref] = ACTIONS(7195),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHpageref] = ACTIONS(7195),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHautopageref] = ACTIONS(7195),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcref] = ACTIONS(7195),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCref] = ACTIONS(7195),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcpageref] = ACTIONS(7195),
    [anon_sym_BSLASHCpageref] = ACTIONS(7195),
    [anon_sym_BSLASHnamecref] = ACTIONS(7195),
    [anon_sym_BSLASHnameCref] = ACTIONS(7195),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7195),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7195),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7195),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7195),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7195),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7195),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7195),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7195),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7195),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7195),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7195),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHdef] = ACTIONS(7195),
    [anon_sym_BSLASHgdef] = ACTIONS(7195),
    [anon_sym_BSLASHedef] = ACTIONS(7195),
    [anon_sym_BSLASHxdef] = ACTIONS(7195),
    [anon_sym_BSLASHlet] = ACTIONS(7195),
    [anon_sym_BSLASHglet] = ACTIONS(7195),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7195),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7195),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7195),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7195),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7195),
    [anon_sym_BSLASHgls] = ACTIONS(7195),
    [anon_sym_BSLASHGls] = ACTIONS(7195),
    [anon_sym_BSLASHGLS] = ACTIONS(7195),
    [anon_sym_BSLASHglspl] = ACTIONS(7195),
    [anon_sym_BSLASHGlspl] = ACTIONS(7195),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7195),
    [anon_sym_BSLASHglslink] = ACTIONS(7195),
    [anon_sym_BSLASHglstext] = ACTIONS(7195),
    [anon_sym_BSLASHGlstext] = ACTIONS(7195),
    [anon_sym_BSLASHGLStext] = ACTIONS(7195),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7195),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7195),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7195),
    [anon_sym_BSLASHglsplural] = ACTIONS(7195),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7195),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7195),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHglsname] = ACTIONS(7195),
    [anon_sym_BSLASHGlsname] = ACTIONS(7195),
    [anon_sym_BSLASHGLSname] = ACTIONS(7195),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7195),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7195),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7195),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7195),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7195),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7195),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7195),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7195),
    [anon_sym_BSLASHacrshort] = ACTIONS(7195),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7195),
    [anon_sym_BSLASHACRshort] = ACTIONS(7195),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHacrlong] = ACTIONS(7195),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7195),
    [anon_sym_BSLASHACRlong] = ACTIONS(7195),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHacrfull] = ACTIONS(7195),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7195),
    [anon_sym_BSLASHACRfull] = ACTIONS(7195),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHacs] = ACTIONS(7195),
    [anon_sym_BSLASHAcs] = ACTIONS(7195),
    [anon_sym_BSLASHacsp] = ACTIONS(7195),
    [anon_sym_BSLASHAcsp] = ACTIONS(7195),
    [anon_sym_BSLASHacl] = ACTIONS(7195),
    [anon_sym_BSLASHAcl] = ACTIONS(7195),
    [anon_sym_BSLASHaclp] = ACTIONS(7195),
    [anon_sym_BSLASHAclp] = ACTIONS(7195),
    [anon_sym_BSLASHacf] = ACTIONS(7195),
    [anon_sym_BSLASHAcf] = ACTIONS(7195),
    [anon_sym_BSLASHacfp] = ACTIONS(7195),
    [anon_sym_BSLASHAcfp] = ACTIONS(7195),
    [anon_sym_BSLASHac] = ACTIONS(7195),
    [anon_sym_BSLASHAc] = ACTIONS(7195),
    [anon_sym_BSLASHacp] = ACTIONS(7195),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7195),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7195),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7195),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7195),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7195),
    [anon_sym_BSLASHcolor] = ACTIONS(7195),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7195),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7195),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7195),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7195),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7195),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7195),
    [anon_sym_BSLASHurl] = ACTIONS(7195),
    [anon_sym_BSLASHhref] = ACTIONS(7195),
  },
  [627] = {
    [sym_command_name] = ACTIONS(7199),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7199),
    [anon_sym_LBRACK] = ACTIONS(7201),
    [anon_sym_RBRACK] = ACTIONS(7201),
    [anon_sym_COMMA] = ACTIONS(7201),
    [anon_sym_EQ] = ACTIONS(7201),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_RPAREN] = ACTIONS(7201),
    [anon_sym_BSLASHpart] = ACTIONS(7199),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHaddpart] = ACTIONS(7199),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHchapter] = ACTIONS(7199),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHaddchap] = ACTIONS(7199),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHsection] = ACTIONS(7199),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHaddsec] = ACTIONS(7199),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHsubsection] = ACTIONS(7199),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHparagraph] = ACTIONS(7199),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7199),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHitem] = ACTIONS(7199),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7201),
    [anon_sym_LBRACE] = ACTIONS(7201),
    [sym_word] = ACTIONS(7199),
    [sym_placeholder] = ACTIONS(7201),
    [sym_delimiter] = ACTIONS(7201),
    [anon_sym_PLUS] = ACTIONS(7201),
    [anon_sym_DASH] = ACTIONS(7201),
    [anon_sym_STAR] = ACTIONS(7201),
    [anon_sym_SLASH] = ACTIONS(7201),
    [anon_sym_LT] = ACTIONS(7199),
    [anon_sym_GT] = ACTIONS(7199),
    [anon_sym_BANG] = ACTIONS(7199),
    [anon_sym_PIPE] = ACTIONS(7199),
    [anon_sym_COLON] = ACTIONS(7199),
    [anon_sym_SQUOTE] = ACTIONS(7199),
    [anon_sym__] = ACTIONS(7201),
    [anon_sym_CARET] = ACTIONS(7201),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7201),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7201),
    [anon_sym_DOLLAR] = ACTIONS(7199),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7201),
    [anon_sym_BSLASHleft] = ACTIONS(7199),
    [anon_sym_BSLASHbigl] = ACTIONS(7199),
    [anon_sym_BSLASHBigl] = ACTIONS(7199),
    [anon_sym_BSLASHbiggl] = ACTIONS(7199),
    [anon_sym_BSLASHBiggl] = ACTIONS(7199),
    [anon_sym_BSLASHright] = ACTIONS(7199),
    [anon_sym_BSLASHbigr] = ACTIONS(7199),
    [anon_sym_BSLASHBigr] = ACTIONS(7199),
    [anon_sym_BSLASHbiggr] = ACTIONS(7199),
    [anon_sym_BSLASHBiggr] = ACTIONS(7199),
    [anon_sym_BSLASHtext] = ACTIONS(7199),
    [anon_sym_BSLASHintertext] = ACTIONS(7199),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7199),
    [anon_sym_BSLASHbegin] = ACTIONS(7199),
    [anon_sym_BSLASHtitle] = ACTIONS(7199),
    [anon_sym_BSLASHauthor] = ACTIONS(7199),
    [anon_sym_BSLASHusepackage] = ACTIONS(7199),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7199),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7199),
    [anon_sym_BSLASHinclude] = ACTIONS(7199),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7199),
    [anon_sym_BSLASHinput] = ACTIONS(7199),
    [anon_sym_BSLASHsubfile] = ACTIONS(7199),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7199),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7199),
    [anon_sym_BSLASHbibliography] = ACTIONS(7199),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7199),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7199),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7199),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7199),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7199),
    [anon_sym_BSLASHimport] = ACTIONS(7199),
    [anon_sym_BSLASHsubimport] = ACTIONS(7199),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7199),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7199),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7199),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7199),
    [anon_sym_BSLASHcaption] = ACTIONS(7199),
    [anon_sym_BSLASHcite] = ACTIONS(7199),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCite] = ACTIONS(7199),
    [anon_sym_BSLASHnocite] = ACTIONS(7199),
    [anon_sym_BSLASHcitet] = ACTIONS(7199),
    [anon_sym_BSLASHcitep] = ACTIONS(7199),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteA] = ACTIONS(7199),
    [anon_sym_BSLASHciteR] = ACTIONS(7199),
    [anon_sym_BSLASHciteS] = ACTIONS(7199),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7199),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7199),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7199),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7199),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteyear] = ACTIONS(7199),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitedate] = ACTIONS(7199),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteurl] = ACTIONS(7199),
    [anon_sym_BSLASHfullcite] = ACTIONS(7199),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7199),
    [anon_sym_BSLASHcitealt] = ACTIONS(7199),
    [anon_sym_BSLASHcitealp] = ACTIONS(7199),
    [anon_sym_BSLASHcitetext] = ACTIONS(7199),
    [anon_sym_BSLASHparencite] = ACTIONS(7199),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHParencite] = ACTIONS(7199),
    [anon_sym_BSLASHfootcite] = ACTIONS(7199),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7199),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7199),
    [anon_sym_BSLASHtextcite] = ACTIONS(7199),
    [anon_sym_BSLASHTextcite] = ACTIONS(7199),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7199),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7199),
    [anon_sym_BSLASHsupercite] = ACTIONS(7199),
    [anon_sym_BSLASHautocite] = ACTIONS(7199),
    [anon_sym_BSLASHAutocite] = ACTIONS(7199),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHVolcite] = ACTIONS(7199),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHavolcite] = ACTIONS(7199),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHNotecite] = ACTIONS(7199),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHlabel] = ACTIONS(7199),
    [anon_sym_BSLASHref] = ACTIONS(7199),
    [anon_sym_BSLASHeqref] = ACTIONS(7199),
    [anon_sym_BSLASHvref] = ACTIONS(7199),
    [anon_sym_BSLASHVref] = ACTIONS(7199),
    [anon_sym_BSLASHautoref] = ACTIONS(7199),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHpageref] = ACTIONS(7199),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHautopageref] = ACTIONS(7199),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcref] = ACTIONS(7199),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCref] = ACTIONS(7199),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcpageref] = ACTIONS(7199),
    [anon_sym_BSLASHCpageref] = ACTIONS(7199),
    [anon_sym_BSLASHnamecref] = ACTIONS(7199),
    [anon_sym_BSLASHnameCref] = ACTIONS(7199),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7199),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7199),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7199),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7199),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7199),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7199),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7199),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7199),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7199),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7199),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7199),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHdef] = ACTIONS(7199),
    [anon_sym_BSLASHgdef] = ACTIONS(7199),
    [anon_sym_BSLASHedef] = ACTIONS(7199),
    [anon_sym_BSLASHxdef] = ACTIONS(7199),
    [anon_sym_BSLASHlet] = ACTIONS(7199),
    [anon_sym_BSLASHglet] = ACTIONS(7199),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7199),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7199),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7199),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7199),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7199),
    [anon_sym_BSLASHgls] = ACTIONS(7199),
    [anon_sym_BSLASHGls] = ACTIONS(7199),
    [anon_sym_BSLASHGLS] = ACTIONS(7199),
    [anon_sym_BSLASHglspl] = ACTIONS(7199),
    [anon_sym_BSLASHGlspl] = ACTIONS(7199),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7199),
    [anon_sym_BSLASHglslink] = ACTIONS(7199),
    [anon_sym_BSLASHglstext] = ACTIONS(7199),
    [anon_sym_BSLASHGlstext] = ACTIONS(7199),
    [anon_sym_BSLASHGLStext] = ACTIONS(7199),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7199),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7199),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7199),
    [anon_sym_BSLASHglsplural] = ACTIONS(7199),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7199),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7199),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHglsname] = ACTIONS(7199),
    [anon_sym_BSLASHGlsname] = ACTIONS(7199),
    [anon_sym_BSLASHGLSname] = ACTIONS(7199),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7199),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7199),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7199),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7199),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7199),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7199),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7199),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7199),
    [anon_sym_BSLASHacrshort] = ACTIONS(7199),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7199),
    [anon_sym_BSLASHACRshort] = ACTIONS(7199),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHacrlong] = ACTIONS(7199),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7199),
    [anon_sym_BSLASHACRlong] = ACTIONS(7199),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHacrfull] = ACTIONS(7199),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7199),
    [anon_sym_BSLASHACRfull] = ACTIONS(7199),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHacs] = ACTIONS(7199),
    [anon_sym_BSLASHAcs] = ACTIONS(7199),
    [anon_sym_BSLASHacsp] = ACTIONS(7199),
    [anon_sym_BSLASHAcsp] = ACTIONS(7199),
    [anon_sym_BSLASHacl] = ACTIONS(7199),
    [anon_sym_BSLASHAcl] = ACTIONS(7199),
    [anon_sym_BSLASHaclp] = ACTIONS(7199),
    [anon_sym_BSLASHAclp] = ACTIONS(7199),
    [anon_sym_BSLASHacf] = ACTIONS(7199),
    [anon_sym_BSLASHAcf] = ACTIONS(7199),
    [anon_sym_BSLASHacfp] = ACTIONS(7199),
    [anon_sym_BSLASHAcfp] = ACTIONS(7199),
    [anon_sym_BSLASHac] = ACTIONS(7199),
    [anon_sym_BSLASHAc] = ACTIONS(7199),
    [anon_sym_BSLASHacp] = ACTIONS(7199),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7199),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7199),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7199),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7199),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7199),
    [anon_sym_BSLASHcolor] = ACTIONS(7199),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7199),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7199),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7199),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7199),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7199),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7199),
    [anon_sym_BSLASHurl] = ACTIONS(7199),
    [anon_sym_BSLASHhref] = ACTIONS(7199),
  },
  [628] = {
    [sym_command_name] = ACTIONS(7203),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7203),
    [anon_sym_LBRACK] = ACTIONS(7205),
    [anon_sym_RBRACK] = ACTIONS(7205),
    [anon_sym_COMMA] = ACTIONS(7205),
    [anon_sym_EQ] = ACTIONS(7205),
    [anon_sym_LPAREN] = ACTIONS(7205),
    [anon_sym_RPAREN] = ACTIONS(7205),
    [anon_sym_BSLASHpart] = ACTIONS(7203),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHaddpart] = ACTIONS(7203),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHchapter] = ACTIONS(7203),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHaddchap] = ACTIONS(7203),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHsection] = ACTIONS(7203),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHaddsec] = ACTIONS(7203),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHsubsection] = ACTIONS(7203),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7203),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHparagraph] = ACTIONS(7203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7203),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHitem] = ACTIONS(7203),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7205),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [sym_word] = ACTIONS(7203),
    [sym_placeholder] = ACTIONS(7205),
    [sym_delimiter] = ACTIONS(7205),
    [anon_sym_PLUS] = ACTIONS(7205),
    [anon_sym_DASH] = ACTIONS(7205),
    [anon_sym_STAR] = ACTIONS(7205),
    [anon_sym_SLASH] = ACTIONS(7205),
    [anon_sym_LT] = ACTIONS(7203),
    [anon_sym_GT] = ACTIONS(7203),
    [anon_sym_BANG] = ACTIONS(7203),
    [anon_sym_PIPE] = ACTIONS(7203),
    [anon_sym_COLON] = ACTIONS(7203),
    [anon_sym_SQUOTE] = ACTIONS(7203),
    [anon_sym__] = ACTIONS(7205),
    [anon_sym_CARET] = ACTIONS(7205),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7205),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7203),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7205),
    [anon_sym_BSLASHleft] = ACTIONS(7203),
    [anon_sym_BSLASHbigl] = ACTIONS(7203),
    [anon_sym_BSLASHBigl] = ACTIONS(7203),
    [anon_sym_BSLASHbiggl] = ACTIONS(7203),
    [anon_sym_BSLASHBiggl] = ACTIONS(7203),
    [anon_sym_BSLASHright] = ACTIONS(7203),
    [anon_sym_BSLASHbigr] = ACTIONS(7203),
    [anon_sym_BSLASHBigr] = ACTIONS(7203),
    [anon_sym_BSLASHbiggr] = ACTIONS(7203),
    [anon_sym_BSLASHBiggr] = ACTIONS(7203),
    [anon_sym_BSLASHtext] = ACTIONS(7203),
    [anon_sym_BSLASHintertext] = ACTIONS(7203),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7203),
    [anon_sym_BSLASHbegin] = ACTIONS(7203),
    [anon_sym_BSLASHtitle] = ACTIONS(7203),
    [anon_sym_BSLASHauthor] = ACTIONS(7203),
    [anon_sym_BSLASHusepackage] = ACTIONS(7203),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7203),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7203),
    [anon_sym_BSLASHinclude] = ACTIONS(7203),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7203),
    [anon_sym_BSLASHinput] = ACTIONS(7203),
    [anon_sym_BSLASHsubfile] = ACTIONS(7203),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7203),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7203),
    [anon_sym_BSLASHbibliography] = ACTIONS(7203),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7203),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7203),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7203),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7203),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7203),
    [anon_sym_BSLASHimport] = ACTIONS(7203),
    [anon_sym_BSLASHsubimport] = ACTIONS(7203),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7203),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7203),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7203),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7203),
    [anon_sym_BSLASHcaption] = ACTIONS(7203),
    [anon_sym_BSLASHcite] = ACTIONS(7203),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCite] = ACTIONS(7203),
    [anon_sym_BSLASHnocite] = ACTIONS(7203),
    [anon_sym_BSLASHcitet] = ACTIONS(7203),
    [anon_sym_BSLASHcitep] = ACTIONS(7203),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteA] = ACTIONS(7203),
    [anon_sym_BSLASHciteR] = ACTIONS(7203),
    [anon_sym_BSLASHciteS] = ACTIONS(7203),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7203),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7203),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7203),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7203),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteyear] = ACTIONS(7203),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitedate] = ACTIONS(7203),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteurl] = ACTIONS(7203),
    [anon_sym_BSLASHfullcite] = ACTIONS(7203),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7203),
    [anon_sym_BSLASHcitealt] = ACTIONS(7203),
    [anon_sym_BSLASHcitealp] = ACTIONS(7203),
    [anon_sym_BSLASHcitetext] = ACTIONS(7203),
    [anon_sym_BSLASHparencite] = ACTIONS(7203),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHParencite] = ACTIONS(7203),
    [anon_sym_BSLASHfootcite] = ACTIONS(7203),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7203),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7203),
    [anon_sym_BSLASHtextcite] = ACTIONS(7203),
    [anon_sym_BSLASHTextcite] = ACTIONS(7203),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7203),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7203),
    [anon_sym_BSLASHsupercite] = ACTIONS(7203),
    [anon_sym_BSLASHautocite] = ACTIONS(7203),
    [anon_sym_BSLASHAutocite] = ACTIONS(7203),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHVolcite] = ACTIONS(7203),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHavolcite] = ACTIONS(7203),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHNotecite] = ACTIONS(7203),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHlabel] = ACTIONS(7203),
    [anon_sym_BSLASHref] = ACTIONS(7203),
    [anon_sym_BSLASHeqref] = ACTIONS(7203),
    [anon_sym_BSLASHvref] = ACTIONS(7203),
    [anon_sym_BSLASHVref] = ACTIONS(7203),
    [anon_sym_BSLASHautoref] = ACTIONS(7203),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHpageref] = ACTIONS(7203),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHautopageref] = ACTIONS(7203),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcref] = ACTIONS(7203),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCref] = ACTIONS(7203),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcpageref] = ACTIONS(7203),
    [anon_sym_BSLASHCpageref] = ACTIONS(7203),
    [anon_sym_BSLASHnamecref] = ACTIONS(7203),
    [anon_sym_BSLASHnameCref] = ACTIONS(7203),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7203),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7203),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7203),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7203),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7203),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7203),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7203),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7203),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7203),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7203),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7203),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHdef] = ACTIONS(7203),
    [anon_sym_BSLASHgdef] = ACTIONS(7203),
    [anon_sym_BSLASHedef] = ACTIONS(7203),
    [anon_sym_BSLASHxdef] = ACTIONS(7203),
    [anon_sym_BSLASHlet] = ACTIONS(7203),
    [anon_sym_BSLASHglet] = ACTIONS(7203),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7203),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7203),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7203),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7203),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7203),
    [anon_sym_BSLASHgls] = ACTIONS(7203),
    [anon_sym_BSLASHGls] = ACTIONS(7203),
    [anon_sym_BSLASHGLS] = ACTIONS(7203),
    [anon_sym_BSLASHglspl] = ACTIONS(7203),
    [anon_sym_BSLASHGlspl] = ACTIONS(7203),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7203),
    [anon_sym_BSLASHglslink] = ACTIONS(7203),
    [anon_sym_BSLASHglstext] = ACTIONS(7203),
    [anon_sym_BSLASHGlstext] = ACTIONS(7203),
    [anon_sym_BSLASHGLStext] = ACTIONS(7203),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7203),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7203),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7203),
    [anon_sym_BSLASHglsplural] = ACTIONS(7203),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7203),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7203),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHglsname] = ACTIONS(7203),
    [anon_sym_BSLASHGlsname] = ACTIONS(7203),
    [anon_sym_BSLASHGLSname] = ACTIONS(7203),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7203),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7203),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7203),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7203),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7203),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7203),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7203),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7203),
    [anon_sym_BSLASHacrshort] = ACTIONS(7203),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7203),
    [anon_sym_BSLASHACRshort] = ACTIONS(7203),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHacrlong] = ACTIONS(7203),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7203),
    [anon_sym_BSLASHACRlong] = ACTIONS(7203),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHacrfull] = ACTIONS(7203),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7203),
    [anon_sym_BSLASHACRfull] = ACTIONS(7203),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHacs] = ACTIONS(7203),
    [anon_sym_BSLASHAcs] = ACTIONS(7203),
    [anon_sym_BSLASHacsp] = ACTIONS(7203),
    [anon_sym_BSLASHAcsp] = ACTIONS(7203),
    [anon_sym_BSLASHacl] = ACTIONS(7203),
    [anon_sym_BSLASHAcl] = ACTIONS(7203),
    [anon_sym_BSLASHaclp] = ACTIONS(7203),
    [anon_sym_BSLASHAclp] = ACTIONS(7203),
    [anon_sym_BSLASHacf] = ACTIONS(7203),
    [anon_sym_BSLASHAcf] = ACTIONS(7203),
    [anon_sym_BSLASHacfp] = ACTIONS(7203),
    [anon_sym_BSLASHAcfp] = ACTIONS(7203),
    [anon_sym_BSLASHac] = ACTIONS(7203),
    [anon_sym_BSLASHAc] = ACTIONS(7203),
    [anon_sym_BSLASHacp] = ACTIONS(7203),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7203),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7203),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7203),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7203),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7203),
    [anon_sym_BSLASHcolor] = ACTIONS(7203),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7203),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7203),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7203),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7203),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7203),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7203),
    [anon_sym_BSLASHurl] = ACTIONS(7203),
    [anon_sym_BSLASHhref] = ACTIONS(7203),
  },
  [629] = {
    [sym_command_name] = ACTIONS(7207),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7207),
    [anon_sym_LBRACK] = ACTIONS(7209),
    [anon_sym_RBRACK] = ACTIONS(7209),
    [anon_sym_COMMA] = ACTIONS(7209),
    [anon_sym_EQ] = ACTIONS(7209),
    [anon_sym_LPAREN] = ACTIONS(7209),
    [anon_sym_RPAREN] = ACTIONS(7209),
    [anon_sym_BSLASHpart] = ACTIONS(7207),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHaddpart] = ACTIONS(7207),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHchapter] = ACTIONS(7207),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHaddchap] = ACTIONS(7207),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHsection] = ACTIONS(7207),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHaddsec] = ACTIONS(7207),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHsubsection] = ACTIONS(7207),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7207),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHparagraph] = ACTIONS(7207),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHitem] = ACTIONS(7207),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7209),
    [anon_sym_LBRACE] = ACTIONS(7209),
    [sym_word] = ACTIONS(7207),
    [sym_placeholder] = ACTIONS(7209),
    [sym_delimiter] = ACTIONS(7209),
    [anon_sym_PLUS] = ACTIONS(7209),
    [anon_sym_DASH] = ACTIONS(7209),
    [anon_sym_STAR] = ACTIONS(7209),
    [anon_sym_SLASH] = ACTIONS(7209),
    [anon_sym_LT] = ACTIONS(7207),
    [anon_sym_GT] = ACTIONS(7207),
    [anon_sym_BANG] = ACTIONS(7207),
    [anon_sym_PIPE] = ACTIONS(7207),
    [anon_sym_COLON] = ACTIONS(7207),
    [anon_sym_SQUOTE] = ACTIONS(7207),
    [anon_sym__] = ACTIONS(7209),
    [anon_sym_CARET] = ACTIONS(7209),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7209),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7209),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7209),
    [anon_sym_BSLASHleft] = ACTIONS(7207),
    [anon_sym_BSLASHbigl] = ACTIONS(7207),
    [anon_sym_BSLASHBigl] = ACTIONS(7207),
    [anon_sym_BSLASHbiggl] = ACTIONS(7207),
    [anon_sym_BSLASHBiggl] = ACTIONS(7207),
    [anon_sym_BSLASHright] = ACTIONS(7207),
    [anon_sym_BSLASHbigr] = ACTIONS(7207),
    [anon_sym_BSLASHBigr] = ACTIONS(7207),
    [anon_sym_BSLASHbiggr] = ACTIONS(7207),
    [anon_sym_BSLASHBiggr] = ACTIONS(7207),
    [anon_sym_BSLASHtext] = ACTIONS(7207),
    [anon_sym_BSLASHintertext] = ACTIONS(7207),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7207),
    [anon_sym_BSLASHbegin] = ACTIONS(7207),
    [anon_sym_BSLASHtitle] = ACTIONS(7207),
    [anon_sym_BSLASHauthor] = ACTIONS(7207),
    [anon_sym_BSLASHusepackage] = ACTIONS(7207),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7207),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7207),
    [anon_sym_BSLASHinclude] = ACTIONS(7207),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7207),
    [anon_sym_BSLASHinput] = ACTIONS(7207),
    [anon_sym_BSLASHsubfile] = ACTIONS(7207),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7207),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7207),
    [anon_sym_BSLASHbibliography] = ACTIONS(7207),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7207),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7207),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7207),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7207),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7207),
    [anon_sym_BSLASHimport] = ACTIONS(7207),
    [anon_sym_BSLASHsubimport] = ACTIONS(7207),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7207),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7207),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7207),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7207),
    [anon_sym_BSLASHcaption] = ACTIONS(7207),
    [anon_sym_BSLASHcite] = ACTIONS(7207),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCite] = ACTIONS(7207),
    [anon_sym_BSLASHnocite] = ACTIONS(7207),
    [anon_sym_BSLASHcitet] = ACTIONS(7207),
    [anon_sym_BSLASHcitep] = ACTIONS(7207),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteA] = ACTIONS(7207),
    [anon_sym_BSLASHciteR] = ACTIONS(7207),
    [anon_sym_BSLASHciteS] = ACTIONS(7207),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7207),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7207),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7207),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7207),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteyear] = ACTIONS(7207),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitedate] = ACTIONS(7207),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteurl] = ACTIONS(7207),
    [anon_sym_BSLASHfullcite] = ACTIONS(7207),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7207),
    [anon_sym_BSLASHcitealt] = ACTIONS(7207),
    [anon_sym_BSLASHcitealp] = ACTIONS(7207),
    [anon_sym_BSLASHcitetext] = ACTIONS(7207),
    [anon_sym_BSLASHparencite] = ACTIONS(7207),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHParencite] = ACTIONS(7207),
    [anon_sym_BSLASHfootcite] = ACTIONS(7207),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7207),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7207),
    [anon_sym_BSLASHtextcite] = ACTIONS(7207),
    [anon_sym_BSLASHTextcite] = ACTIONS(7207),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7207),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7207),
    [anon_sym_BSLASHsupercite] = ACTIONS(7207),
    [anon_sym_BSLASHautocite] = ACTIONS(7207),
    [anon_sym_BSLASHAutocite] = ACTIONS(7207),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHVolcite] = ACTIONS(7207),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHavolcite] = ACTIONS(7207),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHNotecite] = ACTIONS(7207),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHlabel] = ACTIONS(7207),
    [anon_sym_BSLASHref] = ACTIONS(7207),
    [anon_sym_BSLASHeqref] = ACTIONS(7207),
    [anon_sym_BSLASHvref] = ACTIONS(7207),
    [anon_sym_BSLASHVref] = ACTIONS(7207),
    [anon_sym_BSLASHautoref] = ACTIONS(7207),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHpageref] = ACTIONS(7207),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHautopageref] = ACTIONS(7207),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcref] = ACTIONS(7207),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCref] = ACTIONS(7207),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcpageref] = ACTIONS(7207),
    [anon_sym_BSLASHCpageref] = ACTIONS(7207),
    [anon_sym_BSLASHnamecref] = ACTIONS(7207),
    [anon_sym_BSLASHnameCref] = ACTIONS(7207),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7207),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7207),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7207),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7207),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7207),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7207),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7207),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7207),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7207),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7207),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7207),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHdef] = ACTIONS(7207),
    [anon_sym_BSLASHgdef] = ACTIONS(7207),
    [anon_sym_BSLASHedef] = ACTIONS(7207),
    [anon_sym_BSLASHxdef] = ACTIONS(7207),
    [anon_sym_BSLASHlet] = ACTIONS(7207),
    [anon_sym_BSLASHglet] = ACTIONS(7207),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7207),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7207),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7207),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7207),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7207),
    [anon_sym_BSLASHgls] = ACTIONS(7207),
    [anon_sym_BSLASHGls] = ACTIONS(7207),
    [anon_sym_BSLASHGLS] = ACTIONS(7207),
    [anon_sym_BSLASHglspl] = ACTIONS(7207),
    [anon_sym_BSLASHGlspl] = ACTIONS(7207),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7207),
    [anon_sym_BSLASHglslink] = ACTIONS(7207),
    [anon_sym_BSLASHglstext] = ACTIONS(7207),
    [anon_sym_BSLASHGlstext] = ACTIONS(7207),
    [anon_sym_BSLASHGLStext] = ACTIONS(7207),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7207),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7207),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7207),
    [anon_sym_BSLASHglsplural] = ACTIONS(7207),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7207),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7207),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHglsname] = ACTIONS(7207),
    [anon_sym_BSLASHGlsname] = ACTIONS(7207),
    [anon_sym_BSLASHGLSname] = ACTIONS(7207),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7207),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7207),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7207),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7207),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7207),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7207),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7207),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7207),
    [anon_sym_BSLASHacrshort] = ACTIONS(7207),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7207),
    [anon_sym_BSLASHACRshort] = ACTIONS(7207),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHacrlong] = ACTIONS(7207),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7207),
    [anon_sym_BSLASHACRlong] = ACTIONS(7207),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHacrfull] = ACTIONS(7207),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7207),
    [anon_sym_BSLASHACRfull] = ACTIONS(7207),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHacs] = ACTIONS(7207),
    [anon_sym_BSLASHAcs] = ACTIONS(7207),
    [anon_sym_BSLASHacsp] = ACTIONS(7207),
    [anon_sym_BSLASHAcsp] = ACTIONS(7207),
    [anon_sym_BSLASHacl] = ACTIONS(7207),
    [anon_sym_BSLASHAcl] = ACTIONS(7207),
    [anon_sym_BSLASHaclp] = ACTIONS(7207),
    [anon_sym_BSLASHAclp] = ACTIONS(7207),
    [anon_sym_BSLASHacf] = ACTIONS(7207),
    [anon_sym_BSLASHAcf] = ACTIONS(7207),
    [anon_sym_BSLASHacfp] = ACTIONS(7207),
    [anon_sym_BSLASHAcfp] = ACTIONS(7207),
    [anon_sym_BSLASHac] = ACTIONS(7207),
    [anon_sym_BSLASHAc] = ACTIONS(7207),
    [anon_sym_BSLASHacp] = ACTIONS(7207),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7207),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7207),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7207),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7207),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7207),
    [anon_sym_BSLASHcolor] = ACTIONS(7207),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7207),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7207),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7207),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7207),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7207),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7207),
    [anon_sym_BSLASHurl] = ACTIONS(7207),
    [anon_sym_BSLASHhref] = ACTIONS(7207),
  },
  [630] = {
    [sym_command_name] = ACTIONS(7211),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7211),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_RBRACK] = ACTIONS(7213),
    [anon_sym_COMMA] = ACTIONS(7213),
    [anon_sym_EQ] = ACTIONS(7213),
    [anon_sym_LPAREN] = ACTIONS(7213),
    [anon_sym_RPAREN] = ACTIONS(7213),
    [anon_sym_BSLASHpart] = ACTIONS(7211),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHaddpart] = ACTIONS(7211),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHchapter] = ACTIONS(7211),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHaddchap] = ACTIONS(7211),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHsection] = ACTIONS(7211),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHaddsec] = ACTIONS(7211),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHsubsection] = ACTIONS(7211),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7211),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHparagraph] = ACTIONS(7211),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7211),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHitem] = ACTIONS(7211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7213),
    [anon_sym_LBRACE] = ACTIONS(7213),
    [sym_word] = ACTIONS(7211),
    [sym_placeholder] = ACTIONS(7213),
    [sym_delimiter] = ACTIONS(7213),
    [anon_sym_PLUS] = ACTIONS(7213),
    [anon_sym_DASH] = ACTIONS(7213),
    [anon_sym_STAR] = ACTIONS(7213),
    [anon_sym_SLASH] = ACTIONS(7213),
    [anon_sym_LT] = ACTIONS(7211),
    [anon_sym_GT] = ACTIONS(7211),
    [anon_sym_BANG] = ACTIONS(7211),
    [anon_sym_PIPE] = ACTIONS(7211),
    [anon_sym_COLON] = ACTIONS(7211),
    [anon_sym_SQUOTE] = ACTIONS(7211),
    [anon_sym__] = ACTIONS(7213),
    [anon_sym_CARET] = ACTIONS(7213),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7213),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7213),
    [anon_sym_DOLLAR] = ACTIONS(7211),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7213),
    [anon_sym_BSLASHleft] = ACTIONS(7211),
    [anon_sym_BSLASHbigl] = ACTIONS(7211),
    [anon_sym_BSLASHBigl] = ACTIONS(7211),
    [anon_sym_BSLASHbiggl] = ACTIONS(7211),
    [anon_sym_BSLASHBiggl] = ACTIONS(7211),
    [anon_sym_BSLASHright] = ACTIONS(7211),
    [anon_sym_BSLASHbigr] = ACTIONS(7211),
    [anon_sym_BSLASHBigr] = ACTIONS(7211),
    [anon_sym_BSLASHbiggr] = ACTIONS(7211),
    [anon_sym_BSLASHBiggr] = ACTIONS(7211),
    [anon_sym_BSLASHtext] = ACTIONS(7211),
    [anon_sym_BSLASHintertext] = ACTIONS(7211),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7211),
    [anon_sym_BSLASHbegin] = ACTIONS(7211),
    [anon_sym_BSLASHtitle] = ACTIONS(7211),
    [anon_sym_BSLASHauthor] = ACTIONS(7211),
    [anon_sym_BSLASHusepackage] = ACTIONS(7211),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7211),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7211),
    [anon_sym_BSLASHinclude] = ACTIONS(7211),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7211),
    [anon_sym_BSLASHinput] = ACTIONS(7211),
    [anon_sym_BSLASHsubfile] = ACTIONS(7211),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7211),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7211),
    [anon_sym_BSLASHbibliography] = ACTIONS(7211),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7211),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7211),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7211),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7211),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7211),
    [anon_sym_BSLASHimport] = ACTIONS(7211),
    [anon_sym_BSLASHsubimport] = ACTIONS(7211),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7211),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7211),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7211),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7211),
    [anon_sym_BSLASHcaption] = ACTIONS(7211),
    [anon_sym_BSLASHcite] = ACTIONS(7211),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCite] = ACTIONS(7211),
    [anon_sym_BSLASHnocite] = ACTIONS(7211),
    [anon_sym_BSLASHcitet] = ACTIONS(7211),
    [anon_sym_BSLASHcitep] = ACTIONS(7211),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteA] = ACTIONS(7211),
    [anon_sym_BSLASHciteR] = ACTIONS(7211),
    [anon_sym_BSLASHciteS] = ACTIONS(7211),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7211),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7211),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7211),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7211),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteyear] = ACTIONS(7211),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitedate] = ACTIONS(7211),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteurl] = ACTIONS(7211),
    [anon_sym_BSLASHfullcite] = ACTIONS(7211),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7211),
    [anon_sym_BSLASHcitealt] = ACTIONS(7211),
    [anon_sym_BSLASHcitealp] = ACTIONS(7211),
    [anon_sym_BSLASHcitetext] = ACTIONS(7211),
    [anon_sym_BSLASHparencite] = ACTIONS(7211),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHParencite] = ACTIONS(7211),
    [anon_sym_BSLASHfootcite] = ACTIONS(7211),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7211),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7211),
    [anon_sym_BSLASHtextcite] = ACTIONS(7211),
    [anon_sym_BSLASHTextcite] = ACTIONS(7211),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7211),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7211),
    [anon_sym_BSLASHsupercite] = ACTIONS(7211),
    [anon_sym_BSLASHautocite] = ACTIONS(7211),
    [anon_sym_BSLASHAutocite] = ACTIONS(7211),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHVolcite] = ACTIONS(7211),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHavolcite] = ACTIONS(7211),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHNotecite] = ACTIONS(7211),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHlabel] = ACTIONS(7211),
    [anon_sym_BSLASHref] = ACTIONS(7211),
    [anon_sym_BSLASHeqref] = ACTIONS(7211),
    [anon_sym_BSLASHvref] = ACTIONS(7211),
    [anon_sym_BSLASHVref] = ACTIONS(7211),
    [anon_sym_BSLASHautoref] = ACTIONS(7211),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHpageref] = ACTIONS(7211),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHautopageref] = ACTIONS(7211),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcref] = ACTIONS(7211),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCref] = ACTIONS(7211),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcpageref] = ACTIONS(7211),
    [anon_sym_BSLASHCpageref] = ACTIONS(7211),
    [anon_sym_BSLASHnamecref] = ACTIONS(7211),
    [anon_sym_BSLASHnameCref] = ACTIONS(7211),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7211),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7211),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7211),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7211),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7211),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7211),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7211),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7211),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7211),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7211),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7211),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHdef] = ACTIONS(7211),
    [anon_sym_BSLASHgdef] = ACTIONS(7211),
    [anon_sym_BSLASHedef] = ACTIONS(7211),
    [anon_sym_BSLASHxdef] = ACTIONS(7211),
    [anon_sym_BSLASHlet] = ACTIONS(7211),
    [anon_sym_BSLASHglet] = ACTIONS(7211),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7211),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7211),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7211),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7211),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7211),
    [anon_sym_BSLASHgls] = ACTIONS(7211),
    [anon_sym_BSLASHGls] = ACTIONS(7211),
    [anon_sym_BSLASHGLS] = ACTIONS(7211),
    [anon_sym_BSLASHglspl] = ACTIONS(7211),
    [anon_sym_BSLASHGlspl] = ACTIONS(7211),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7211),
    [anon_sym_BSLASHglslink] = ACTIONS(7211),
    [anon_sym_BSLASHglstext] = ACTIONS(7211),
    [anon_sym_BSLASHGlstext] = ACTIONS(7211),
    [anon_sym_BSLASHGLStext] = ACTIONS(7211),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7211),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7211),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7211),
    [anon_sym_BSLASHglsplural] = ACTIONS(7211),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7211),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7211),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHglsname] = ACTIONS(7211),
    [anon_sym_BSLASHGlsname] = ACTIONS(7211),
    [anon_sym_BSLASHGLSname] = ACTIONS(7211),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7211),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7211),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7211),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7211),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7211),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7211),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7211),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7211),
    [anon_sym_BSLASHacrshort] = ACTIONS(7211),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7211),
    [anon_sym_BSLASHACRshort] = ACTIONS(7211),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHacrlong] = ACTIONS(7211),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7211),
    [anon_sym_BSLASHACRlong] = ACTIONS(7211),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHacrfull] = ACTIONS(7211),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7211),
    [anon_sym_BSLASHACRfull] = ACTIONS(7211),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHacs] = ACTIONS(7211),
    [anon_sym_BSLASHAcs] = ACTIONS(7211),
    [anon_sym_BSLASHacsp] = ACTIONS(7211),
    [anon_sym_BSLASHAcsp] = ACTIONS(7211),
    [anon_sym_BSLASHacl] = ACTIONS(7211),
    [anon_sym_BSLASHAcl] = ACTIONS(7211),
    [anon_sym_BSLASHaclp] = ACTIONS(7211),
    [anon_sym_BSLASHAclp] = ACTIONS(7211),
    [anon_sym_BSLASHacf] = ACTIONS(7211),
    [anon_sym_BSLASHAcf] = ACTIONS(7211),
    [anon_sym_BSLASHacfp] = ACTIONS(7211),
    [anon_sym_BSLASHAcfp] = ACTIONS(7211),
    [anon_sym_BSLASHac] = ACTIONS(7211),
    [anon_sym_BSLASHAc] = ACTIONS(7211),
    [anon_sym_BSLASHacp] = ACTIONS(7211),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7211),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7211),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7211),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7211),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7211),
    [anon_sym_BSLASHcolor] = ACTIONS(7211),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7211),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7211),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7211),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7211),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7211),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7211),
    [anon_sym_BSLASHurl] = ACTIONS(7211),
    [anon_sym_BSLASHhref] = ACTIONS(7211),
  },
  [631] = {
    [sym_command_name] = ACTIONS(7215),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7215),
    [anon_sym_LBRACK] = ACTIONS(7217),
    [anon_sym_RBRACK] = ACTIONS(7217),
    [anon_sym_COMMA] = ACTIONS(7217),
    [anon_sym_EQ] = ACTIONS(7217),
    [anon_sym_LPAREN] = ACTIONS(7217),
    [anon_sym_RPAREN] = ACTIONS(7217),
    [anon_sym_BSLASHpart] = ACTIONS(7215),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHaddpart] = ACTIONS(7215),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHchapter] = ACTIONS(7215),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHaddchap] = ACTIONS(7215),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHsection] = ACTIONS(7215),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHaddsec] = ACTIONS(7215),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHsubsection] = ACTIONS(7215),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7215),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHparagraph] = ACTIONS(7215),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7215),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHitem] = ACTIONS(7215),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7217),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [sym_word] = ACTIONS(7215),
    [sym_placeholder] = ACTIONS(7217),
    [sym_delimiter] = ACTIONS(7217),
    [anon_sym_PLUS] = ACTIONS(7217),
    [anon_sym_DASH] = ACTIONS(7217),
    [anon_sym_STAR] = ACTIONS(7217),
    [anon_sym_SLASH] = ACTIONS(7217),
    [anon_sym_LT] = ACTIONS(7215),
    [anon_sym_GT] = ACTIONS(7215),
    [anon_sym_BANG] = ACTIONS(7215),
    [anon_sym_PIPE] = ACTIONS(7215),
    [anon_sym_COLON] = ACTIONS(7215),
    [anon_sym_SQUOTE] = ACTIONS(7215),
    [anon_sym__] = ACTIONS(7217),
    [anon_sym_CARET] = ACTIONS(7217),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7217),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7217),
    [anon_sym_DOLLAR] = ACTIONS(7215),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7217),
    [anon_sym_BSLASHleft] = ACTIONS(7215),
    [anon_sym_BSLASHbigl] = ACTIONS(7215),
    [anon_sym_BSLASHBigl] = ACTIONS(7215),
    [anon_sym_BSLASHbiggl] = ACTIONS(7215),
    [anon_sym_BSLASHBiggl] = ACTIONS(7215),
    [anon_sym_BSLASHright] = ACTIONS(7215),
    [anon_sym_BSLASHbigr] = ACTIONS(7215),
    [anon_sym_BSLASHBigr] = ACTIONS(7215),
    [anon_sym_BSLASHbiggr] = ACTIONS(7215),
    [anon_sym_BSLASHBiggr] = ACTIONS(7215),
    [anon_sym_BSLASHtext] = ACTIONS(7215),
    [anon_sym_BSLASHintertext] = ACTIONS(7215),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7215),
    [anon_sym_BSLASHbegin] = ACTIONS(7215),
    [anon_sym_BSLASHtitle] = ACTIONS(7215),
    [anon_sym_BSLASHauthor] = ACTIONS(7215),
    [anon_sym_BSLASHusepackage] = ACTIONS(7215),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7215),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7215),
    [anon_sym_BSLASHinclude] = ACTIONS(7215),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7215),
    [anon_sym_BSLASHinput] = ACTIONS(7215),
    [anon_sym_BSLASHsubfile] = ACTIONS(7215),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7215),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7215),
    [anon_sym_BSLASHbibliography] = ACTIONS(7215),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7215),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7215),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7215),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7215),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7215),
    [anon_sym_BSLASHimport] = ACTIONS(7215),
    [anon_sym_BSLASHsubimport] = ACTIONS(7215),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7215),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7215),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7215),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7215),
    [anon_sym_BSLASHcaption] = ACTIONS(7215),
    [anon_sym_BSLASHcite] = ACTIONS(7215),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCite] = ACTIONS(7215),
    [anon_sym_BSLASHnocite] = ACTIONS(7215),
    [anon_sym_BSLASHcitet] = ACTIONS(7215),
    [anon_sym_BSLASHcitep] = ACTIONS(7215),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteA] = ACTIONS(7215),
    [anon_sym_BSLASHciteR] = ACTIONS(7215),
    [anon_sym_BSLASHciteS] = ACTIONS(7215),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7215),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7215),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7215),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7215),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteyear] = ACTIONS(7215),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitedate] = ACTIONS(7215),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteurl] = ACTIONS(7215),
    [anon_sym_BSLASHfullcite] = ACTIONS(7215),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7215),
    [anon_sym_BSLASHcitealt] = ACTIONS(7215),
    [anon_sym_BSLASHcitealp] = ACTIONS(7215),
    [anon_sym_BSLASHcitetext] = ACTIONS(7215),
    [anon_sym_BSLASHparencite] = ACTIONS(7215),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHParencite] = ACTIONS(7215),
    [anon_sym_BSLASHfootcite] = ACTIONS(7215),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7215),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7215),
    [anon_sym_BSLASHtextcite] = ACTIONS(7215),
    [anon_sym_BSLASHTextcite] = ACTIONS(7215),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7215),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7215),
    [anon_sym_BSLASHsupercite] = ACTIONS(7215),
    [anon_sym_BSLASHautocite] = ACTIONS(7215),
    [anon_sym_BSLASHAutocite] = ACTIONS(7215),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHVolcite] = ACTIONS(7215),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHavolcite] = ACTIONS(7215),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHNotecite] = ACTIONS(7215),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHlabel] = ACTIONS(7215),
    [anon_sym_BSLASHref] = ACTIONS(7215),
    [anon_sym_BSLASHeqref] = ACTIONS(7215),
    [anon_sym_BSLASHvref] = ACTIONS(7215),
    [anon_sym_BSLASHVref] = ACTIONS(7215),
    [anon_sym_BSLASHautoref] = ACTIONS(7215),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHpageref] = ACTIONS(7215),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHautopageref] = ACTIONS(7215),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcref] = ACTIONS(7215),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCref] = ACTIONS(7215),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcpageref] = ACTIONS(7215),
    [anon_sym_BSLASHCpageref] = ACTIONS(7215),
    [anon_sym_BSLASHnamecref] = ACTIONS(7215),
    [anon_sym_BSLASHnameCref] = ACTIONS(7215),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7215),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7215),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7215),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7215),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7215),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7215),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7215),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7215),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7215),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7215),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7215),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHdef] = ACTIONS(7215),
    [anon_sym_BSLASHgdef] = ACTIONS(7215),
    [anon_sym_BSLASHedef] = ACTIONS(7215),
    [anon_sym_BSLASHxdef] = ACTIONS(7215),
    [anon_sym_BSLASHlet] = ACTIONS(7215),
    [anon_sym_BSLASHglet] = ACTIONS(7215),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7215),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7215),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7215),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7215),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7215),
    [anon_sym_BSLASHgls] = ACTIONS(7215),
    [anon_sym_BSLASHGls] = ACTIONS(7215),
    [anon_sym_BSLASHGLS] = ACTIONS(7215),
    [anon_sym_BSLASHglspl] = ACTIONS(7215),
    [anon_sym_BSLASHGlspl] = ACTIONS(7215),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7215),
    [anon_sym_BSLASHglslink] = ACTIONS(7215),
    [anon_sym_BSLASHglstext] = ACTIONS(7215),
    [anon_sym_BSLASHGlstext] = ACTIONS(7215),
    [anon_sym_BSLASHGLStext] = ACTIONS(7215),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7215),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7215),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7215),
    [anon_sym_BSLASHglsplural] = ACTIONS(7215),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7215),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7215),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHglsname] = ACTIONS(7215),
    [anon_sym_BSLASHGlsname] = ACTIONS(7215),
    [anon_sym_BSLASHGLSname] = ACTIONS(7215),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7215),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7215),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7215),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7215),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7215),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7215),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7215),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7215),
    [anon_sym_BSLASHacrshort] = ACTIONS(7215),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7215),
    [anon_sym_BSLASHACRshort] = ACTIONS(7215),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHacrlong] = ACTIONS(7215),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7215),
    [anon_sym_BSLASHACRlong] = ACTIONS(7215),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHacrfull] = ACTIONS(7215),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7215),
    [anon_sym_BSLASHACRfull] = ACTIONS(7215),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHacs] = ACTIONS(7215),
    [anon_sym_BSLASHAcs] = ACTIONS(7215),
    [anon_sym_BSLASHacsp] = ACTIONS(7215),
    [anon_sym_BSLASHAcsp] = ACTIONS(7215),
    [anon_sym_BSLASHacl] = ACTIONS(7215),
    [anon_sym_BSLASHAcl] = ACTIONS(7215),
    [anon_sym_BSLASHaclp] = ACTIONS(7215),
    [anon_sym_BSLASHAclp] = ACTIONS(7215),
    [anon_sym_BSLASHacf] = ACTIONS(7215),
    [anon_sym_BSLASHAcf] = ACTIONS(7215),
    [anon_sym_BSLASHacfp] = ACTIONS(7215),
    [anon_sym_BSLASHAcfp] = ACTIONS(7215),
    [anon_sym_BSLASHac] = ACTIONS(7215),
    [anon_sym_BSLASHAc] = ACTIONS(7215),
    [anon_sym_BSLASHacp] = ACTIONS(7215),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7215),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7215),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7215),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7215),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7215),
    [anon_sym_BSLASHcolor] = ACTIONS(7215),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7215),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7215),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7215),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7215),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7215),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7215),
    [anon_sym_BSLASHurl] = ACTIONS(7215),
    [anon_sym_BSLASHhref] = ACTIONS(7215),
  },
  [632] = {
    [sym_command_name] = ACTIONS(7219),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7219),
    [anon_sym_LBRACK] = ACTIONS(7221),
    [anon_sym_RBRACK] = ACTIONS(7221),
    [anon_sym_COMMA] = ACTIONS(7221),
    [anon_sym_EQ] = ACTIONS(7221),
    [anon_sym_LPAREN] = ACTIONS(7221),
    [anon_sym_RPAREN] = ACTIONS(7221),
    [anon_sym_BSLASHpart] = ACTIONS(7219),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHaddpart] = ACTIONS(7219),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHchapter] = ACTIONS(7219),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHaddchap] = ACTIONS(7219),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHsection] = ACTIONS(7219),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHaddsec] = ACTIONS(7219),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHsubsection] = ACTIONS(7219),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7219),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHparagraph] = ACTIONS(7219),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7219),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHitem] = ACTIONS(7219),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7221),
    [anon_sym_LBRACE] = ACTIONS(7221),
    [sym_word] = ACTIONS(7219),
    [sym_placeholder] = ACTIONS(7221),
    [sym_delimiter] = ACTIONS(7221),
    [anon_sym_PLUS] = ACTIONS(7221),
    [anon_sym_DASH] = ACTIONS(7221),
    [anon_sym_STAR] = ACTIONS(7221),
    [anon_sym_SLASH] = ACTIONS(7221),
    [anon_sym_LT] = ACTIONS(7219),
    [anon_sym_GT] = ACTIONS(7219),
    [anon_sym_BANG] = ACTIONS(7219),
    [anon_sym_PIPE] = ACTIONS(7219),
    [anon_sym_COLON] = ACTIONS(7219),
    [anon_sym_SQUOTE] = ACTIONS(7219),
    [anon_sym__] = ACTIONS(7221),
    [anon_sym_CARET] = ACTIONS(7221),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7221),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7221),
    [anon_sym_DOLLAR] = ACTIONS(7219),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7221),
    [anon_sym_BSLASHleft] = ACTIONS(7219),
    [anon_sym_BSLASHbigl] = ACTIONS(7219),
    [anon_sym_BSLASHBigl] = ACTIONS(7219),
    [anon_sym_BSLASHbiggl] = ACTIONS(7219),
    [anon_sym_BSLASHBiggl] = ACTIONS(7219),
    [anon_sym_BSLASHright] = ACTIONS(7219),
    [anon_sym_BSLASHbigr] = ACTIONS(7219),
    [anon_sym_BSLASHBigr] = ACTIONS(7219),
    [anon_sym_BSLASHbiggr] = ACTIONS(7219),
    [anon_sym_BSLASHBiggr] = ACTIONS(7219),
    [anon_sym_BSLASHtext] = ACTIONS(7219),
    [anon_sym_BSLASHintertext] = ACTIONS(7219),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7219),
    [anon_sym_BSLASHbegin] = ACTIONS(7219),
    [anon_sym_BSLASHtitle] = ACTIONS(7219),
    [anon_sym_BSLASHauthor] = ACTIONS(7219),
    [anon_sym_BSLASHusepackage] = ACTIONS(7219),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7219),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7219),
    [anon_sym_BSLASHinclude] = ACTIONS(7219),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7219),
    [anon_sym_BSLASHinput] = ACTIONS(7219),
    [anon_sym_BSLASHsubfile] = ACTIONS(7219),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7219),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7219),
    [anon_sym_BSLASHbibliography] = ACTIONS(7219),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7219),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7219),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7219),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7219),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7219),
    [anon_sym_BSLASHimport] = ACTIONS(7219),
    [anon_sym_BSLASHsubimport] = ACTIONS(7219),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7219),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7219),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7219),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7219),
    [anon_sym_BSLASHcaption] = ACTIONS(7219),
    [anon_sym_BSLASHcite] = ACTIONS(7219),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCite] = ACTIONS(7219),
    [anon_sym_BSLASHnocite] = ACTIONS(7219),
    [anon_sym_BSLASHcitet] = ACTIONS(7219),
    [anon_sym_BSLASHcitep] = ACTIONS(7219),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteA] = ACTIONS(7219),
    [anon_sym_BSLASHciteR] = ACTIONS(7219),
    [anon_sym_BSLASHciteS] = ACTIONS(7219),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7219),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7219),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7219),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7219),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteyear] = ACTIONS(7219),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitedate] = ACTIONS(7219),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteurl] = ACTIONS(7219),
    [anon_sym_BSLASHfullcite] = ACTIONS(7219),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7219),
    [anon_sym_BSLASHcitealt] = ACTIONS(7219),
    [anon_sym_BSLASHcitealp] = ACTIONS(7219),
    [anon_sym_BSLASHcitetext] = ACTIONS(7219),
    [anon_sym_BSLASHparencite] = ACTIONS(7219),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHParencite] = ACTIONS(7219),
    [anon_sym_BSLASHfootcite] = ACTIONS(7219),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7219),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7219),
    [anon_sym_BSLASHtextcite] = ACTIONS(7219),
    [anon_sym_BSLASHTextcite] = ACTIONS(7219),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7219),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7219),
    [anon_sym_BSLASHsupercite] = ACTIONS(7219),
    [anon_sym_BSLASHautocite] = ACTIONS(7219),
    [anon_sym_BSLASHAutocite] = ACTIONS(7219),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHVolcite] = ACTIONS(7219),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHavolcite] = ACTIONS(7219),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHNotecite] = ACTIONS(7219),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHlabel] = ACTIONS(7219),
    [anon_sym_BSLASHref] = ACTIONS(7219),
    [anon_sym_BSLASHeqref] = ACTIONS(7219),
    [anon_sym_BSLASHvref] = ACTIONS(7219),
    [anon_sym_BSLASHVref] = ACTIONS(7219),
    [anon_sym_BSLASHautoref] = ACTIONS(7219),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHpageref] = ACTIONS(7219),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHautopageref] = ACTIONS(7219),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcref] = ACTIONS(7219),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCref] = ACTIONS(7219),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcpageref] = ACTIONS(7219),
    [anon_sym_BSLASHCpageref] = ACTIONS(7219),
    [anon_sym_BSLASHnamecref] = ACTIONS(7219),
    [anon_sym_BSLASHnameCref] = ACTIONS(7219),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7219),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7219),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7219),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7219),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7219),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7219),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7219),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7219),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7219),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7219),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7219),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHdef] = ACTIONS(7219),
    [anon_sym_BSLASHgdef] = ACTIONS(7219),
    [anon_sym_BSLASHedef] = ACTIONS(7219),
    [anon_sym_BSLASHxdef] = ACTIONS(7219),
    [anon_sym_BSLASHlet] = ACTIONS(7219),
    [anon_sym_BSLASHglet] = ACTIONS(7219),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7219),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7219),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7219),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7219),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7219),
    [anon_sym_BSLASHgls] = ACTIONS(7219),
    [anon_sym_BSLASHGls] = ACTIONS(7219),
    [anon_sym_BSLASHGLS] = ACTIONS(7219),
    [anon_sym_BSLASHglspl] = ACTIONS(7219),
    [anon_sym_BSLASHGlspl] = ACTIONS(7219),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7219),
    [anon_sym_BSLASHglslink] = ACTIONS(7219),
    [anon_sym_BSLASHglstext] = ACTIONS(7219),
    [anon_sym_BSLASHGlstext] = ACTIONS(7219),
    [anon_sym_BSLASHGLStext] = ACTIONS(7219),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7219),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7219),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7219),
    [anon_sym_BSLASHglsplural] = ACTIONS(7219),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7219),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7219),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHglsname] = ACTIONS(7219),
    [anon_sym_BSLASHGlsname] = ACTIONS(7219),
    [anon_sym_BSLASHGLSname] = ACTIONS(7219),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7219),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7219),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7219),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7219),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7219),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7219),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7219),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7219),
    [anon_sym_BSLASHacrshort] = ACTIONS(7219),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7219),
    [anon_sym_BSLASHACRshort] = ACTIONS(7219),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHacrlong] = ACTIONS(7219),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7219),
    [anon_sym_BSLASHACRlong] = ACTIONS(7219),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHacrfull] = ACTIONS(7219),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7219),
    [anon_sym_BSLASHACRfull] = ACTIONS(7219),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHacs] = ACTIONS(7219),
    [anon_sym_BSLASHAcs] = ACTIONS(7219),
    [anon_sym_BSLASHacsp] = ACTIONS(7219),
    [anon_sym_BSLASHAcsp] = ACTIONS(7219),
    [anon_sym_BSLASHacl] = ACTIONS(7219),
    [anon_sym_BSLASHAcl] = ACTIONS(7219),
    [anon_sym_BSLASHaclp] = ACTIONS(7219),
    [anon_sym_BSLASHAclp] = ACTIONS(7219),
    [anon_sym_BSLASHacf] = ACTIONS(7219),
    [anon_sym_BSLASHAcf] = ACTIONS(7219),
    [anon_sym_BSLASHacfp] = ACTIONS(7219),
    [anon_sym_BSLASHAcfp] = ACTIONS(7219),
    [anon_sym_BSLASHac] = ACTIONS(7219),
    [anon_sym_BSLASHAc] = ACTIONS(7219),
    [anon_sym_BSLASHacp] = ACTIONS(7219),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7219),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7219),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7219),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7219),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7219),
    [anon_sym_BSLASHcolor] = ACTIONS(7219),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7219),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7219),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7219),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7219),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7219),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7219),
    [anon_sym_BSLASHurl] = ACTIONS(7219),
    [anon_sym_BSLASHhref] = ACTIONS(7219),
  },
  [633] = {
    [sym_command_name] = ACTIONS(7223),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7223),
    [anon_sym_LBRACK] = ACTIONS(7225),
    [anon_sym_RBRACK] = ACTIONS(7225),
    [anon_sym_COMMA] = ACTIONS(7225),
    [anon_sym_EQ] = ACTIONS(7225),
    [anon_sym_LPAREN] = ACTIONS(7225),
    [anon_sym_RPAREN] = ACTIONS(7225),
    [anon_sym_BSLASHpart] = ACTIONS(7223),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHaddpart] = ACTIONS(7223),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHchapter] = ACTIONS(7223),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHaddchap] = ACTIONS(7223),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHsection] = ACTIONS(7223),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHaddsec] = ACTIONS(7223),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHsubsection] = ACTIONS(7223),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7223),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHparagraph] = ACTIONS(7223),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7223),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHitem] = ACTIONS(7223),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7225),
    [anon_sym_LBRACE] = ACTIONS(7225),
    [sym_word] = ACTIONS(7223),
    [sym_placeholder] = ACTIONS(7225),
    [sym_delimiter] = ACTIONS(7225),
    [anon_sym_PLUS] = ACTIONS(7225),
    [anon_sym_DASH] = ACTIONS(7225),
    [anon_sym_STAR] = ACTIONS(7225),
    [anon_sym_SLASH] = ACTIONS(7225),
    [anon_sym_LT] = ACTIONS(7223),
    [anon_sym_GT] = ACTIONS(7223),
    [anon_sym_BANG] = ACTIONS(7223),
    [anon_sym_PIPE] = ACTIONS(7223),
    [anon_sym_COLON] = ACTIONS(7223),
    [anon_sym_SQUOTE] = ACTIONS(7223),
    [anon_sym__] = ACTIONS(7225),
    [anon_sym_CARET] = ACTIONS(7225),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7225),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7225),
    [anon_sym_DOLLAR] = ACTIONS(7223),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7225),
    [anon_sym_BSLASHleft] = ACTIONS(7223),
    [anon_sym_BSLASHbigl] = ACTIONS(7223),
    [anon_sym_BSLASHBigl] = ACTIONS(7223),
    [anon_sym_BSLASHbiggl] = ACTIONS(7223),
    [anon_sym_BSLASHBiggl] = ACTIONS(7223),
    [anon_sym_BSLASHright] = ACTIONS(7223),
    [anon_sym_BSLASHbigr] = ACTIONS(7223),
    [anon_sym_BSLASHBigr] = ACTIONS(7223),
    [anon_sym_BSLASHbiggr] = ACTIONS(7223),
    [anon_sym_BSLASHBiggr] = ACTIONS(7223),
    [anon_sym_BSLASHtext] = ACTIONS(7223),
    [anon_sym_BSLASHintertext] = ACTIONS(7223),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7223),
    [anon_sym_BSLASHbegin] = ACTIONS(7223),
    [anon_sym_BSLASHtitle] = ACTIONS(7223),
    [anon_sym_BSLASHauthor] = ACTIONS(7223),
    [anon_sym_BSLASHusepackage] = ACTIONS(7223),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7223),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7223),
    [anon_sym_BSLASHinclude] = ACTIONS(7223),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7223),
    [anon_sym_BSLASHinput] = ACTIONS(7223),
    [anon_sym_BSLASHsubfile] = ACTIONS(7223),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7223),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7223),
    [anon_sym_BSLASHbibliography] = ACTIONS(7223),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7223),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7223),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7223),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7223),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7223),
    [anon_sym_BSLASHimport] = ACTIONS(7223),
    [anon_sym_BSLASHsubimport] = ACTIONS(7223),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7223),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7223),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7223),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7223),
    [anon_sym_BSLASHcaption] = ACTIONS(7223),
    [anon_sym_BSLASHcite] = ACTIONS(7223),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCite] = ACTIONS(7223),
    [anon_sym_BSLASHnocite] = ACTIONS(7223),
    [anon_sym_BSLASHcitet] = ACTIONS(7223),
    [anon_sym_BSLASHcitep] = ACTIONS(7223),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteA] = ACTIONS(7223),
    [anon_sym_BSLASHciteR] = ACTIONS(7223),
    [anon_sym_BSLASHciteS] = ACTIONS(7223),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7223),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7223),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7223),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7223),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteyear] = ACTIONS(7223),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitedate] = ACTIONS(7223),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteurl] = ACTIONS(7223),
    [anon_sym_BSLASHfullcite] = ACTIONS(7223),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7223),
    [anon_sym_BSLASHcitealt] = ACTIONS(7223),
    [anon_sym_BSLASHcitealp] = ACTIONS(7223),
    [anon_sym_BSLASHcitetext] = ACTIONS(7223),
    [anon_sym_BSLASHparencite] = ACTIONS(7223),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHParencite] = ACTIONS(7223),
    [anon_sym_BSLASHfootcite] = ACTIONS(7223),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7223),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7223),
    [anon_sym_BSLASHtextcite] = ACTIONS(7223),
    [anon_sym_BSLASHTextcite] = ACTIONS(7223),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7223),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7223),
    [anon_sym_BSLASHsupercite] = ACTIONS(7223),
    [anon_sym_BSLASHautocite] = ACTIONS(7223),
    [anon_sym_BSLASHAutocite] = ACTIONS(7223),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHVolcite] = ACTIONS(7223),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHavolcite] = ACTIONS(7223),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHNotecite] = ACTIONS(7223),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHlabel] = ACTIONS(7223),
    [anon_sym_BSLASHref] = ACTIONS(7223),
    [anon_sym_BSLASHeqref] = ACTIONS(7223),
    [anon_sym_BSLASHvref] = ACTIONS(7223),
    [anon_sym_BSLASHVref] = ACTIONS(7223),
    [anon_sym_BSLASHautoref] = ACTIONS(7223),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHpageref] = ACTIONS(7223),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHautopageref] = ACTIONS(7223),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcref] = ACTIONS(7223),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCref] = ACTIONS(7223),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcpageref] = ACTIONS(7223),
    [anon_sym_BSLASHCpageref] = ACTIONS(7223),
    [anon_sym_BSLASHnamecref] = ACTIONS(7223),
    [anon_sym_BSLASHnameCref] = ACTIONS(7223),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7223),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7223),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7223),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7223),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7223),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7223),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7223),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7223),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7223),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7223),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7223),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHdef] = ACTIONS(7223),
    [anon_sym_BSLASHgdef] = ACTIONS(7223),
    [anon_sym_BSLASHedef] = ACTIONS(7223),
    [anon_sym_BSLASHxdef] = ACTIONS(7223),
    [anon_sym_BSLASHlet] = ACTIONS(7223),
    [anon_sym_BSLASHglet] = ACTIONS(7223),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7223),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7223),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7223),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7223),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7223),
    [anon_sym_BSLASHgls] = ACTIONS(7223),
    [anon_sym_BSLASHGls] = ACTIONS(7223),
    [anon_sym_BSLASHGLS] = ACTIONS(7223),
    [anon_sym_BSLASHglspl] = ACTIONS(7223),
    [anon_sym_BSLASHGlspl] = ACTIONS(7223),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7223),
    [anon_sym_BSLASHglslink] = ACTIONS(7223),
    [anon_sym_BSLASHglstext] = ACTIONS(7223),
    [anon_sym_BSLASHGlstext] = ACTIONS(7223),
    [anon_sym_BSLASHGLStext] = ACTIONS(7223),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7223),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7223),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7223),
    [anon_sym_BSLASHglsplural] = ACTIONS(7223),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7223),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7223),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHglsname] = ACTIONS(7223),
    [anon_sym_BSLASHGlsname] = ACTIONS(7223),
    [anon_sym_BSLASHGLSname] = ACTIONS(7223),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7223),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7223),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7223),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7223),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7223),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7223),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7223),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7223),
    [anon_sym_BSLASHacrshort] = ACTIONS(7223),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7223),
    [anon_sym_BSLASHACRshort] = ACTIONS(7223),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHacrlong] = ACTIONS(7223),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7223),
    [anon_sym_BSLASHACRlong] = ACTIONS(7223),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHacrfull] = ACTIONS(7223),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7223),
    [anon_sym_BSLASHACRfull] = ACTIONS(7223),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHacs] = ACTIONS(7223),
    [anon_sym_BSLASHAcs] = ACTIONS(7223),
    [anon_sym_BSLASHacsp] = ACTIONS(7223),
    [anon_sym_BSLASHAcsp] = ACTIONS(7223),
    [anon_sym_BSLASHacl] = ACTIONS(7223),
    [anon_sym_BSLASHAcl] = ACTIONS(7223),
    [anon_sym_BSLASHaclp] = ACTIONS(7223),
    [anon_sym_BSLASHAclp] = ACTIONS(7223),
    [anon_sym_BSLASHacf] = ACTIONS(7223),
    [anon_sym_BSLASHAcf] = ACTIONS(7223),
    [anon_sym_BSLASHacfp] = ACTIONS(7223),
    [anon_sym_BSLASHAcfp] = ACTIONS(7223),
    [anon_sym_BSLASHac] = ACTIONS(7223),
    [anon_sym_BSLASHAc] = ACTIONS(7223),
    [anon_sym_BSLASHacp] = ACTIONS(7223),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7223),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7223),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7223),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7223),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7223),
    [anon_sym_BSLASHcolor] = ACTIONS(7223),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7223),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7223),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7223),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7223),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7223),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7223),
    [anon_sym_BSLASHurl] = ACTIONS(7223),
    [anon_sym_BSLASHhref] = ACTIONS(7223),
  },
  [634] = {
    [sym_command_name] = ACTIONS(7227),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7227),
    [anon_sym_LBRACK] = ACTIONS(7229),
    [anon_sym_RBRACK] = ACTIONS(7229),
    [anon_sym_COMMA] = ACTIONS(7229),
    [anon_sym_EQ] = ACTIONS(7229),
    [anon_sym_LPAREN] = ACTIONS(7229),
    [anon_sym_RPAREN] = ACTIONS(7229),
    [anon_sym_BSLASHpart] = ACTIONS(7227),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHaddpart] = ACTIONS(7227),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHchapter] = ACTIONS(7227),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHaddchap] = ACTIONS(7227),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHsection] = ACTIONS(7227),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHaddsec] = ACTIONS(7227),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHsubsection] = ACTIONS(7227),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7227),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHparagraph] = ACTIONS(7227),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7227),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHitem] = ACTIONS(7227),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7229),
    [anon_sym_LBRACE] = ACTIONS(7229),
    [sym_word] = ACTIONS(7227),
    [sym_placeholder] = ACTIONS(7229),
    [sym_delimiter] = ACTIONS(7229),
    [anon_sym_PLUS] = ACTIONS(7229),
    [anon_sym_DASH] = ACTIONS(7229),
    [anon_sym_STAR] = ACTIONS(7229),
    [anon_sym_SLASH] = ACTIONS(7229),
    [anon_sym_LT] = ACTIONS(7227),
    [anon_sym_GT] = ACTIONS(7227),
    [anon_sym_BANG] = ACTIONS(7227),
    [anon_sym_PIPE] = ACTIONS(7227),
    [anon_sym_COLON] = ACTIONS(7227),
    [anon_sym_SQUOTE] = ACTIONS(7227),
    [anon_sym__] = ACTIONS(7229),
    [anon_sym_CARET] = ACTIONS(7229),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7229),
    [anon_sym_DOLLAR] = ACTIONS(7227),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7229),
    [anon_sym_BSLASHleft] = ACTIONS(7227),
    [anon_sym_BSLASHbigl] = ACTIONS(7227),
    [anon_sym_BSLASHBigl] = ACTIONS(7227),
    [anon_sym_BSLASHbiggl] = ACTIONS(7227),
    [anon_sym_BSLASHBiggl] = ACTIONS(7227),
    [anon_sym_BSLASHright] = ACTIONS(7227),
    [anon_sym_BSLASHbigr] = ACTIONS(7227),
    [anon_sym_BSLASHBigr] = ACTIONS(7227),
    [anon_sym_BSLASHbiggr] = ACTIONS(7227),
    [anon_sym_BSLASHBiggr] = ACTIONS(7227),
    [anon_sym_BSLASHtext] = ACTIONS(7227),
    [anon_sym_BSLASHintertext] = ACTIONS(7227),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7227),
    [anon_sym_BSLASHbegin] = ACTIONS(7227),
    [anon_sym_BSLASHtitle] = ACTIONS(7227),
    [anon_sym_BSLASHauthor] = ACTIONS(7227),
    [anon_sym_BSLASHusepackage] = ACTIONS(7227),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7227),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7227),
    [anon_sym_BSLASHinclude] = ACTIONS(7227),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7227),
    [anon_sym_BSLASHinput] = ACTIONS(7227),
    [anon_sym_BSLASHsubfile] = ACTIONS(7227),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7227),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7227),
    [anon_sym_BSLASHbibliography] = ACTIONS(7227),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7227),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7227),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7227),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7227),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7227),
    [anon_sym_BSLASHimport] = ACTIONS(7227),
    [anon_sym_BSLASHsubimport] = ACTIONS(7227),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7227),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7227),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7227),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7227),
    [anon_sym_BSLASHcaption] = ACTIONS(7227),
    [anon_sym_BSLASHcite] = ACTIONS(7227),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCite] = ACTIONS(7227),
    [anon_sym_BSLASHnocite] = ACTIONS(7227),
    [anon_sym_BSLASHcitet] = ACTIONS(7227),
    [anon_sym_BSLASHcitep] = ACTIONS(7227),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteA] = ACTIONS(7227),
    [anon_sym_BSLASHciteR] = ACTIONS(7227),
    [anon_sym_BSLASHciteS] = ACTIONS(7227),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7227),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7227),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7227),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7227),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteyear] = ACTIONS(7227),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitedate] = ACTIONS(7227),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteurl] = ACTIONS(7227),
    [anon_sym_BSLASHfullcite] = ACTIONS(7227),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7227),
    [anon_sym_BSLASHcitealt] = ACTIONS(7227),
    [anon_sym_BSLASHcitealp] = ACTIONS(7227),
    [anon_sym_BSLASHcitetext] = ACTIONS(7227),
    [anon_sym_BSLASHparencite] = ACTIONS(7227),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHParencite] = ACTIONS(7227),
    [anon_sym_BSLASHfootcite] = ACTIONS(7227),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7227),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7227),
    [anon_sym_BSLASHtextcite] = ACTIONS(7227),
    [anon_sym_BSLASHTextcite] = ACTIONS(7227),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7227),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7227),
    [anon_sym_BSLASHsupercite] = ACTIONS(7227),
    [anon_sym_BSLASHautocite] = ACTIONS(7227),
    [anon_sym_BSLASHAutocite] = ACTIONS(7227),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHVolcite] = ACTIONS(7227),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHavolcite] = ACTIONS(7227),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHNotecite] = ACTIONS(7227),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHlabel] = ACTIONS(7227),
    [anon_sym_BSLASHref] = ACTIONS(7227),
    [anon_sym_BSLASHeqref] = ACTIONS(7227),
    [anon_sym_BSLASHvref] = ACTIONS(7227),
    [anon_sym_BSLASHVref] = ACTIONS(7227),
    [anon_sym_BSLASHautoref] = ACTIONS(7227),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHpageref] = ACTIONS(7227),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHautopageref] = ACTIONS(7227),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcref] = ACTIONS(7227),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCref] = ACTIONS(7227),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcpageref] = ACTIONS(7227),
    [anon_sym_BSLASHCpageref] = ACTIONS(7227),
    [anon_sym_BSLASHnamecref] = ACTIONS(7227),
    [anon_sym_BSLASHnameCref] = ACTIONS(7227),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7227),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7227),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7227),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7227),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7227),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7227),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7227),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7227),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7227),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7227),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7227),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHdef] = ACTIONS(7227),
    [anon_sym_BSLASHgdef] = ACTIONS(7227),
    [anon_sym_BSLASHedef] = ACTIONS(7227),
    [anon_sym_BSLASHxdef] = ACTIONS(7227),
    [anon_sym_BSLASHlet] = ACTIONS(7227),
    [anon_sym_BSLASHglet] = ACTIONS(7227),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7227),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7227),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7227),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7227),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7227),
    [anon_sym_BSLASHgls] = ACTIONS(7227),
    [anon_sym_BSLASHGls] = ACTIONS(7227),
    [anon_sym_BSLASHGLS] = ACTIONS(7227),
    [anon_sym_BSLASHglspl] = ACTIONS(7227),
    [anon_sym_BSLASHGlspl] = ACTIONS(7227),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7227),
    [anon_sym_BSLASHglslink] = ACTIONS(7227),
    [anon_sym_BSLASHglstext] = ACTIONS(7227),
    [anon_sym_BSLASHGlstext] = ACTIONS(7227),
    [anon_sym_BSLASHGLStext] = ACTIONS(7227),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7227),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7227),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7227),
    [anon_sym_BSLASHglsplural] = ACTIONS(7227),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7227),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7227),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHglsname] = ACTIONS(7227),
    [anon_sym_BSLASHGlsname] = ACTIONS(7227),
    [anon_sym_BSLASHGLSname] = ACTIONS(7227),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7227),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7227),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7227),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7227),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7227),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7227),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7227),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7227),
    [anon_sym_BSLASHacrshort] = ACTIONS(7227),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7227),
    [anon_sym_BSLASHACRshort] = ACTIONS(7227),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHacrlong] = ACTIONS(7227),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7227),
    [anon_sym_BSLASHACRlong] = ACTIONS(7227),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHacrfull] = ACTIONS(7227),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7227),
    [anon_sym_BSLASHACRfull] = ACTIONS(7227),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHacs] = ACTIONS(7227),
    [anon_sym_BSLASHAcs] = ACTIONS(7227),
    [anon_sym_BSLASHacsp] = ACTIONS(7227),
    [anon_sym_BSLASHAcsp] = ACTIONS(7227),
    [anon_sym_BSLASHacl] = ACTIONS(7227),
    [anon_sym_BSLASHAcl] = ACTIONS(7227),
    [anon_sym_BSLASHaclp] = ACTIONS(7227),
    [anon_sym_BSLASHAclp] = ACTIONS(7227),
    [anon_sym_BSLASHacf] = ACTIONS(7227),
    [anon_sym_BSLASHAcf] = ACTIONS(7227),
    [anon_sym_BSLASHacfp] = ACTIONS(7227),
    [anon_sym_BSLASHAcfp] = ACTIONS(7227),
    [anon_sym_BSLASHac] = ACTIONS(7227),
    [anon_sym_BSLASHAc] = ACTIONS(7227),
    [anon_sym_BSLASHacp] = ACTIONS(7227),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7227),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7227),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7227),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7227),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7227),
    [anon_sym_BSLASHcolor] = ACTIONS(7227),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7227),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7227),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7227),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7227),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7227),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7227),
    [anon_sym_BSLASHurl] = ACTIONS(7227),
    [anon_sym_BSLASHhref] = ACTIONS(7227),
  },
  [635] = {
    [sym_command_name] = ACTIONS(7231),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7231),
    [anon_sym_LBRACK] = ACTIONS(7233),
    [anon_sym_RBRACK] = ACTIONS(7233),
    [anon_sym_COMMA] = ACTIONS(7233),
    [anon_sym_EQ] = ACTIONS(7233),
    [anon_sym_LPAREN] = ACTIONS(7233),
    [anon_sym_RPAREN] = ACTIONS(7233),
    [anon_sym_BSLASHpart] = ACTIONS(7231),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHaddpart] = ACTIONS(7231),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHchapter] = ACTIONS(7231),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHaddchap] = ACTIONS(7231),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHsection] = ACTIONS(7231),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHaddsec] = ACTIONS(7231),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHsubsection] = ACTIONS(7231),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7231),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHparagraph] = ACTIONS(7231),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7231),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHitem] = ACTIONS(7231),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7233),
    [anon_sym_LBRACE] = ACTIONS(7233),
    [sym_word] = ACTIONS(7231),
    [sym_placeholder] = ACTIONS(7233),
    [sym_delimiter] = ACTIONS(7233),
    [anon_sym_PLUS] = ACTIONS(7233),
    [anon_sym_DASH] = ACTIONS(7233),
    [anon_sym_STAR] = ACTIONS(7233),
    [anon_sym_SLASH] = ACTIONS(7233),
    [anon_sym_LT] = ACTIONS(7231),
    [anon_sym_GT] = ACTIONS(7231),
    [anon_sym_BANG] = ACTIONS(7231),
    [anon_sym_PIPE] = ACTIONS(7231),
    [anon_sym_COLON] = ACTIONS(7231),
    [anon_sym_SQUOTE] = ACTIONS(7231),
    [anon_sym__] = ACTIONS(7233),
    [anon_sym_CARET] = ACTIONS(7233),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7233),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7233),
    [anon_sym_DOLLAR] = ACTIONS(7231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7233),
    [anon_sym_BSLASHleft] = ACTIONS(7231),
    [anon_sym_BSLASHbigl] = ACTIONS(7231),
    [anon_sym_BSLASHBigl] = ACTIONS(7231),
    [anon_sym_BSLASHbiggl] = ACTIONS(7231),
    [anon_sym_BSLASHBiggl] = ACTIONS(7231),
    [anon_sym_BSLASHright] = ACTIONS(7231),
    [anon_sym_BSLASHbigr] = ACTIONS(7231),
    [anon_sym_BSLASHBigr] = ACTIONS(7231),
    [anon_sym_BSLASHbiggr] = ACTIONS(7231),
    [anon_sym_BSLASHBiggr] = ACTIONS(7231),
    [anon_sym_BSLASHtext] = ACTIONS(7231),
    [anon_sym_BSLASHintertext] = ACTIONS(7231),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7231),
    [anon_sym_BSLASHbegin] = ACTIONS(7231),
    [anon_sym_BSLASHtitle] = ACTIONS(7231),
    [anon_sym_BSLASHauthor] = ACTIONS(7231),
    [anon_sym_BSLASHusepackage] = ACTIONS(7231),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7231),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7231),
    [anon_sym_BSLASHinclude] = ACTIONS(7231),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7231),
    [anon_sym_BSLASHinput] = ACTIONS(7231),
    [anon_sym_BSLASHsubfile] = ACTIONS(7231),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7231),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7231),
    [anon_sym_BSLASHbibliography] = ACTIONS(7231),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7231),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7231),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7231),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7231),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7231),
    [anon_sym_BSLASHimport] = ACTIONS(7231),
    [anon_sym_BSLASHsubimport] = ACTIONS(7231),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7231),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7231),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7231),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7231),
    [anon_sym_BSLASHcaption] = ACTIONS(7231),
    [anon_sym_BSLASHcite] = ACTIONS(7231),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCite] = ACTIONS(7231),
    [anon_sym_BSLASHnocite] = ACTIONS(7231),
    [anon_sym_BSLASHcitet] = ACTIONS(7231),
    [anon_sym_BSLASHcitep] = ACTIONS(7231),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteA] = ACTIONS(7231),
    [anon_sym_BSLASHciteR] = ACTIONS(7231),
    [anon_sym_BSLASHciteS] = ACTIONS(7231),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7231),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7231),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7231),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7231),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteyear] = ACTIONS(7231),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitedate] = ACTIONS(7231),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteurl] = ACTIONS(7231),
    [anon_sym_BSLASHfullcite] = ACTIONS(7231),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7231),
    [anon_sym_BSLASHcitealt] = ACTIONS(7231),
    [anon_sym_BSLASHcitealp] = ACTIONS(7231),
    [anon_sym_BSLASHcitetext] = ACTIONS(7231),
    [anon_sym_BSLASHparencite] = ACTIONS(7231),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHParencite] = ACTIONS(7231),
    [anon_sym_BSLASHfootcite] = ACTIONS(7231),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7231),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7231),
    [anon_sym_BSLASHtextcite] = ACTIONS(7231),
    [anon_sym_BSLASHTextcite] = ACTIONS(7231),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7231),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7231),
    [anon_sym_BSLASHsupercite] = ACTIONS(7231),
    [anon_sym_BSLASHautocite] = ACTIONS(7231),
    [anon_sym_BSLASHAutocite] = ACTIONS(7231),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHVolcite] = ACTIONS(7231),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHavolcite] = ACTIONS(7231),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHNotecite] = ACTIONS(7231),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHlabel] = ACTIONS(7231),
    [anon_sym_BSLASHref] = ACTIONS(7231),
    [anon_sym_BSLASHeqref] = ACTIONS(7231),
    [anon_sym_BSLASHvref] = ACTIONS(7231),
    [anon_sym_BSLASHVref] = ACTIONS(7231),
    [anon_sym_BSLASHautoref] = ACTIONS(7231),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHpageref] = ACTIONS(7231),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHautopageref] = ACTIONS(7231),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcref] = ACTIONS(7231),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCref] = ACTIONS(7231),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcpageref] = ACTIONS(7231),
    [anon_sym_BSLASHCpageref] = ACTIONS(7231),
    [anon_sym_BSLASHnamecref] = ACTIONS(7231),
    [anon_sym_BSLASHnameCref] = ACTIONS(7231),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7231),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7231),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7231),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7231),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7231),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7231),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7231),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7231),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7231),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7231),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7231),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHdef] = ACTIONS(7231),
    [anon_sym_BSLASHgdef] = ACTIONS(7231),
    [anon_sym_BSLASHedef] = ACTIONS(7231),
    [anon_sym_BSLASHxdef] = ACTIONS(7231),
    [anon_sym_BSLASHlet] = ACTIONS(7231),
    [anon_sym_BSLASHglet] = ACTIONS(7231),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7231),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7231),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7231),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7231),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7231),
    [anon_sym_BSLASHgls] = ACTIONS(7231),
    [anon_sym_BSLASHGls] = ACTIONS(7231),
    [anon_sym_BSLASHGLS] = ACTIONS(7231),
    [anon_sym_BSLASHglspl] = ACTIONS(7231),
    [anon_sym_BSLASHGlspl] = ACTIONS(7231),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7231),
    [anon_sym_BSLASHglslink] = ACTIONS(7231),
    [anon_sym_BSLASHglstext] = ACTIONS(7231),
    [anon_sym_BSLASHGlstext] = ACTIONS(7231),
    [anon_sym_BSLASHGLStext] = ACTIONS(7231),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7231),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7231),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7231),
    [anon_sym_BSLASHglsplural] = ACTIONS(7231),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7231),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7231),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHglsname] = ACTIONS(7231),
    [anon_sym_BSLASHGlsname] = ACTIONS(7231),
    [anon_sym_BSLASHGLSname] = ACTIONS(7231),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7231),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7231),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7231),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7231),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7231),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7231),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7231),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7231),
    [anon_sym_BSLASHacrshort] = ACTIONS(7231),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7231),
    [anon_sym_BSLASHACRshort] = ACTIONS(7231),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHacrlong] = ACTIONS(7231),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7231),
    [anon_sym_BSLASHACRlong] = ACTIONS(7231),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHacrfull] = ACTIONS(7231),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7231),
    [anon_sym_BSLASHACRfull] = ACTIONS(7231),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHacs] = ACTIONS(7231),
    [anon_sym_BSLASHAcs] = ACTIONS(7231),
    [anon_sym_BSLASHacsp] = ACTIONS(7231),
    [anon_sym_BSLASHAcsp] = ACTIONS(7231),
    [anon_sym_BSLASHacl] = ACTIONS(7231),
    [anon_sym_BSLASHAcl] = ACTIONS(7231),
    [anon_sym_BSLASHaclp] = ACTIONS(7231),
    [anon_sym_BSLASHAclp] = ACTIONS(7231),
    [anon_sym_BSLASHacf] = ACTIONS(7231),
    [anon_sym_BSLASHAcf] = ACTIONS(7231),
    [anon_sym_BSLASHacfp] = ACTIONS(7231),
    [anon_sym_BSLASHAcfp] = ACTIONS(7231),
    [anon_sym_BSLASHac] = ACTIONS(7231),
    [anon_sym_BSLASHAc] = ACTIONS(7231),
    [anon_sym_BSLASHacp] = ACTIONS(7231),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7231),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7231),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7231),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7231),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7231),
    [anon_sym_BSLASHcolor] = ACTIONS(7231),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7231),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7231),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7231),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7231),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7231),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7231),
    [anon_sym_BSLASHurl] = ACTIONS(7231),
    [anon_sym_BSLASHhref] = ACTIONS(7231),
  },
  [636] = {
    [sym_command_name] = ACTIONS(7235),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7235),
    [anon_sym_LBRACK] = ACTIONS(7237),
    [anon_sym_RBRACK] = ACTIONS(7237),
    [anon_sym_COMMA] = ACTIONS(7237),
    [anon_sym_EQ] = ACTIONS(7237),
    [anon_sym_LPAREN] = ACTIONS(7237),
    [anon_sym_RPAREN] = ACTIONS(7237),
    [anon_sym_BSLASHpart] = ACTIONS(7235),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHaddpart] = ACTIONS(7235),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHchapter] = ACTIONS(7235),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHaddchap] = ACTIONS(7235),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHsection] = ACTIONS(7235),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHaddsec] = ACTIONS(7235),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHsubsection] = ACTIONS(7235),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7235),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHparagraph] = ACTIONS(7235),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7235),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHitem] = ACTIONS(7235),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7237),
    [anon_sym_LBRACE] = ACTIONS(7237),
    [sym_word] = ACTIONS(7235),
    [sym_placeholder] = ACTIONS(7237),
    [sym_delimiter] = ACTIONS(7237),
    [anon_sym_PLUS] = ACTIONS(7237),
    [anon_sym_DASH] = ACTIONS(7237),
    [anon_sym_STAR] = ACTIONS(7237),
    [anon_sym_SLASH] = ACTIONS(7237),
    [anon_sym_LT] = ACTIONS(7235),
    [anon_sym_GT] = ACTIONS(7235),
    [anon_sym_BANG] = ACTIONS(7235),
    [anon_sym_PIPE] = ACTIONS(7235),
    [anon_sym_COLON] = ACTIONS(7235),
    [anon_sym_SQUOTE] = ACTIONS(7235),
    [anon_sym__] = ACTIONS(7237),
    [anon_sym_CARET] = ACTIONS(7237),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7237),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7237),
    [anon_sym_DOLLAR] = ACTIONS(7235),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7237),
    [anon_sym_BSLASHleft] = ACTIONS(7235),
    [anon_sym_BSLASHbigl] = ACTIONS(7235),
    [anon_sym_BSLASHBigl] = ACTIONS(7235),
    [anon_sym_BSLASHbiggl] = ACTIONS(7235),
    [anon_sym_BSLASHBiggl] = ACTIONS(7235),
    [anon_sym_BSLASHright] = ACTIONS(7235),
    [anon_sym_BSLASHbigr] = ACTIONS(7235),
    [anon_sym_BSLASHBigr] = ACTIONS(7235),
    [anon_sym_BSLASHbiggr] = ACTIONS(7235),
    [anon_sym_BSLASHBiggr] = ACTIONS(7235),
    [anon_sym_BSLASHtext] = ACTIONS(7235),
    [anon_sym_BSLASHintertext] = ACTIONS(7235),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7235),
    [anon_sym_BSLASHbegin] = ACTIONS(7235),
    [anon_sym_BSLASHtitle] = ACTIONS(7235),
    [anon_sym_BSLASHauthor] = ACTIONS(7235),
    [anon_sym_BSLASHusepackage] = ACTIONS(7235),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7235),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7235),
    [anon_sym_BSLASHinclude] = ACTIONS(7235),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7235),
    [anon_sym_BSLASHinput] = ACTIONS(7235),
    [anon_sym_BSLASHsubfile] = ACTIONS(7235),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7235),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7235),
    [anon_sym_BSLASHbibliography] = ACTIONS(7235),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7235),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7235),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7235),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7235),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7235),
    [anon_sym_BSLASHimport] = ACTIONS(7235),
    [anon_sym_BSLASHsubimport] = ACTIONS(7235),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7235),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7235),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7235),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7235),
    [anon_sym_BSLASHcaption] = ACTIONS(7235),
    [anon_sym_BSLASHcite] = ACTIONS(7235),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCite] = ACTIONS(7235),
    [anon_sym_BSLASHnocite] = ACTIONS(7235),
    [anon_sym_BSLASHcitet] = ACTIONS(7235),
    [anon_sym_BSLASHcitep] = ACTIONS(7235),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteA] = ACTIONS(7235),
    [anon_sym_BSLASHciteR] = ACTIONS(7235),
    [anon_sym_BSLASHciteS] = ACTIONS(7235),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7235),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7235),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7235),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7235),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteyear] = ACTIONS(7235),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitedate] = ACTIONS(7235),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteurl] = ACTIONS(7235),
    [anon_sym_BSLASHfullcite] = ACTIONS(7235),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7235),
    [anon_sym_BSLASHcitealt] = ACTIONS(7235),
    [anon_sym_BSLASHcitealp] = ACTIONS(7235),
    [anon_sym_BSLASHcitetext] = ACTIONS(7235),
    [anon_sym_BSLASHparencite] = ACTIONS(7235),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHParencite] = ACTIONS(7235),
    [anon_sym_BSLASHfootcite] = ACTIONS(7235),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7235),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7235),
    [anon_sym_BSLASHtextcite] = ACTIONS(7235),
    [anon_sym_BSLASHTextcite] = ACTIONS(7235),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7235),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7235),
    [anon_sym_BSLASHsupercite] = ACTIONS(7235),
    [anon_sym_BSLASHautocite] = ACTIONS(7235),
    [anon_sym_BSLASHAutocite] = ACTIONS(7235),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHVolcite] = ACTIONS(7235),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHavolcite] = ACTIONS(7235),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHNotecite] = ACTIONS(7235),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHlabel] = ACTIONS(7235),
    [anon_sym_BSLASHref] = ACTIONS(7235),
    [anon_sym_BSLASHeqref] = ACTIONS(7235),
    [anon_sym_BSLASHvref] = ACTIONS(7235),
    [anon_sym_BSLASHVref] = ACTIONS(7235),
    [anon_sym_BSLASHautoref] = ACTIONS(7235),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHpageref] = ACTIONS(7235),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHautopageref] = ACTIONS(7235),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcref] = ACTIONS(7235),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCref] = ACTIONS(7235),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcpageref] = ACTIONS(7235),
    [anon_sym_BSLASHCpageref] = ACTIONS(7235),
    [anon_sym_BSLASHnamecref] = ACTIONS(7235),
    [anon_sym_BSLASHnameCref] = ACTIONS(7235),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7235),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7235),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7235),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7235),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7235),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7235),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7235),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7235),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7235),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7235),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7235),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHdef] = ACTIONS(7235),
    [anon_sym_BSLASHgdef] = ACTIONS(7235),
    [anon_sym_BSLASHedef] = ACTIONS(7235),
    [anon_sym_BSLASHxdef] = ACTIONS(7235),
    [anon_sym_BSLASHlet] = ACTIONS(7235),
    [anon_sym_BSLASHglet] = ACTIONS(7235),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7235),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7235),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7235),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7235),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7235),
    [anon_sym_BSLASHgls] = ACTIONS(7235),
    [anon_sym_BSLASHGls] = ACTIONS(7235),
    [anon_sym_BSLASHGLS] = ACTIONS(7235),
    [anon_sym_BSLASHglspl] = ACTIONS(7235),
    [anon_sym_BSLASHGlspl] = ACTIONS(7235),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7235),
    [anon_sym_BSLASHglslink] = ACTIONS(7235),
    [anon_sym_BSLASHglstext] = ACTIONS(7235),
    [anon_sym_BSLASHGlstext] = ACTIONS(7235),
    [anon_sym_BSLASHGLStext] = ACTIONS(7235),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7235),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7235),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7235),
    [anon_sym_BSLASHglsplural] = ACTIONS(7235),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7235),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7235),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHglsname] = ACTIONS(7235),
    [anon_sym_BSLASHGlsname] = ACTIONS(7235),
    [anon_sym_BSLASHGLSname] = ACTIONS(7235),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7235),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7235),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7235),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7235),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7235),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7235),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7235),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7235),
    [anon_sym_BSLASHacrshort] = ACTIONS(7235),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7235),
    [anon_sym_BSLASHACRshort] = ACTIONS(7235),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHacrlong] = ACTIONS(7235),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7235),
    [anon_sym_BSLASHACRlong] = ACTIONS(7235),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHacrfull] = ACTIONS(7235),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7235),
    [anon_sym_BSLASHACRfull] = ACTIONS(7235),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHacs] = ACTIONS(7235),
    [anon_sym_BSLASHAcs] = ACTIONS(7235),
    [anon_sym_BSLASHacsp] = ACTIONS(7235),
    [anon_sym_BSLASHAcsp] = ACTIONS(7235),
    [anon_sym_BSLASHacl] = ACTIONS(7235),
    [anon_sym_BSLASHAcl] = ACTIONS(7235),
    [anon_sym_BSLASHaclp] = ACTIONS(7235),
    [anon_sym_BSLASHAclp] = ACTIONS(7235),
    [anon_sym_BSLASHacf] = ACTIONS(7235),
    [anon_sym_BSLASHAcf] = ACTIONS(7235),
    [anon_sym_BSLASHacfp] = ACTIONS(7235),
    [anon_sym_BSLASHAcfp] = ACTIONS(7235),
    [anon_sym_BSLASHac] = ACTIONS(7235),
    [anon_sym_BSLASHAc] = ACTIONS(7235),
    [anon_sym_BSLASHacp] = ACTIONS(7235),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7235),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7235),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7235),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7235),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7235),
    [anon_sym_BSLASHcolor] = ACTIONS(7235),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7235),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7235),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7235),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7235),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7235),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7235),
    [anon_sym_BSLASHurl] = ACTIONS(7235),
    [anon_sym_BSLASHhref] = ACTIONS(7235),
  },
  [637] = {
    [sym_command_name] = ACTIONS(7239),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7239),
    [anon_sym_LBRACK] = ACTIONS(7241),
    [anon_sym_RBRACK] = ACTIONS(7241),
    [anon_sym_COMMA] = ACTIONS(7241),
    [anon_sym_EQ] = ACTIONS(7241),
    [anon_sym_LPAREN] = ACTIONS(7241),
    [anon_sym_RPAREN] = ACTIONS(7241),
    [anon_sym_BSLASHpart] = ACTIONS(7239),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHaddpart] = ACTIONS(7239),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHchapter] = ACTIONS(7239),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHaddchap] = ACTIONS(7239),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHsection] = ACTIONS(7239),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHaddsec] = ACTIONS(7239),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHsubsection] = ACTIONS(7239),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7239),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHparagraph] = ACTIONS(7239),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7239),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHitem] = ACTIONS(7239),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7241),
    [anon_sym_LBRACE] = ACTIONS(7241),
    [sym_word] = ACTIONS(7239),
    [sym_placeholder] = ACTIONS(7241),
    [sym_delimiter] = ACTIONS(7241),
    [anon_sym_PLUS] = ACTIONS(7241),
    [anon_sym_DASH] = ACTIONS(7241),
    [anon_sym_STAR] = ACTIONS(7241),
    [anon_sym_SLASH] = ACTIONS(7241),
    [anon_sym_LT] = ACTIONS(7239),
    [anon_sym_GT] = ACTIONS(7239),
    [anon_sym_BANG] = ACTIONS(7239),
    [anon_sym_PIPE] = ACTIONS(7239),
    [anon_sym_COLON] = ACTIONS(7239),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym__] = ACTIONS(7241),
    [anon_sym_CARET] = ACTIONS(7241),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7241),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7241),
    [anon_sym_DOLLAR] = ACTIONS(7239),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7241),
    [anon_sym_BSLASHleft] = ACTIONS(7239),
    [anon_sym_BSLASHbigl] = ACTIONS(7239),
    [anon_sym_BSLASHBigl] = ACTIONS(7239),
    [anon_sym_BSLASHbiggl] = ACTIONS(7239),
    [anon_sym_BSLASHBiggl] = ACTIONS(7239),
    [anon_sym_BSLASHright] = ACTIONS(7239),
    [anon_sym_BSLASHbigr] = ACTIONS(7239),
    [anon_sym_BSLASHBigr] = ACTIONS(7239),
    [anon_sym_BSLASHbiggr] = ACTIONS(7239),
    [anon_sym_BSLASHBiggr] = ACTIONS(7239),
    [anon_sym_BSLASHtext] = ACTIONS(7239),
    [anon_sym_BSLASHintertext] = ACTIONS(7239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7239),
    [anon_sym_BSLASHbegin] = ACTIONS(7239),
    [anon_sym_BSLASHtitle] = ACTIONS(7239),
    [anon_sym_BSLASHauthor] = ACTIONS(7239),
    [anon_sym_BSLASHusepackage] = ACTIONS(7239),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7239),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7239),
    [anon_sym_BSLASHinclude] = ACTIONS(7239),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7239),
    [anon_sym_BSLASHinput] = ACTIONS(7239),
    [anon_sym_BSLASHsubfile] = ACTIONS(7239),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7239),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7239),
    [anon_sym_BSLASHbibliography] = ACTIONS(7239),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7239),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7239),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7239),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7239),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7239),
    [anon_sym_BSLASHimport] = ACTIONS(7239),
    [anon_sym_BSLASHsubimport] = ACTIONS(7239),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7239),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7239),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7239),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7239),
    [anon_sym_BSLASHcaption] = ACTIONS(7239),
    [anon_sym_BSLASHcite] = ACTIONS(7239),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCite] = ACTIONS(7239),
    [anon_sym_BSLASHnocite] = ACTIONS(7239),
    [anon_sym_BSLASHcitet] = ACTIONS(7239),
    [anon_sym_BSLASHcitep] = ACTIONS(7239),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteA] = ACTIONS(7239),
    [anon_sym_BSLASHciteR] = ACTIONS(7239),
    [anon_sym_BSLASHciteS] = ACTIONS(7239),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7239),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7239),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7239),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7239),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteyear] = ACTIONS(7239),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitedate] = ACTIONS(7239),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteurl] = ACTIONS(7239),
    [anon_sym_BSLASHfullcite] = ACTIONS(7239),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7239),
    [anon_sym_BSLASHcitealt] = ACTIONS(7239),
    [anon_sym_BSLASHcitealp] = ACTIONS(7239),
    [anon_sym_BSLASHcitetext] = ACTIONS(7239),
    [anon_sym_BSLASHparencite] = ACTIONS(7239),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHParencite] = ACTIONS(7239),
    [anon_sym_BSLASHfootcite] = ACTIONS(7239),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7239),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7239),
    [anon_sym_BSLASHtextcite] = ACTIONS(7239),
    [anon_sym_BSLASHTextcite] = ACTIONS(7239),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7239),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7239),
    [anon_sym_BSLASHsupercite] = ACTIONS(7239),
    [anon_sym_BSLASHautocite] = ACTIONS(7239),
    [anon_sym_BSLASHAutocite] = ACTIONS(7239),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHVolcite] = ACTIONS(7239),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHavolcite] = ACTIONS(7239),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHNotecite] = ACTIONS(7239),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHlabel] = ACTIONS(7239),
    [anon_sym_BSLASHref] = ACTIONS(7239),
    [anon_sym_BSLASHeqref] = ACTIONS(7239),
    [anon_sym_BSLASHvref] = ACTIONS(7239),
    [anon_sym_BSLASHVref] = ACTIONS(7239),
    [anon_sym_BSLASHautoref] = ACTIONS(7239),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHpageref] = ACTIONS(7239),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHautopageref] = ACTIONS(7239),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcref] = ACTIONS(7239),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCref] = ACTIONS(7239),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcpageref] = ACTIONS(7239),
    [anon_sym_BSLASHCpageref] = ACTIONS(7239),
    [anon_sym_BSLASHnamecref] = ACTIONS(7239),
    [anon_sym_BSLASHnameCref] = ACTIONS(7239),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7239),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7239),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7239),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7239),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7239),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7239),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7239),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7239),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7239),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7239),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7239),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHdef] = ACTIONS(7239),
    [anon_sym_BSLASHgdef] = ACTIONS(7239),
    [anon_sym_BSLASHedef] = ACTIONS(7239),
    [anon_sym_BSLASHxdef] = ACTIONS(7239),
    [anon_sym_BSLASHlet] = ACTIONS(7239),
    [anon_sym_BSLASHglet] = ACTIONS(7239),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7239),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7239),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7239),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7239),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7239),
    [anon_sym_BSLASHgls] = ACTIONS(7239),
    [anon_sym_BSLASHGls] = ACTIONS(7239),
    [anon_sym_BSLASHGLS] = ACTIONS(7239),
    [anon_sym_BSLASHglspl] = ACTIONS(7239),
    [anon_sym_BSLASHGlspl] = ACTIONS(7239),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7239),
    [anon_sym_BSLASHglslink] = ACTIONS(7239),
    [anon_sym_BSLASHglstext] = ACTIONS(7239),
    [anon_sym_BSLASHGlstext] = ACTIONS(7239),
    [anon_sym_BSLASHGLStext] = ACTIONS(7239),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7239),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7239),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7239),
    [anon_sym_BSLASHglsplural] = ACTIONS(7239),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7239),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7239),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHglsname] = ACTIONS(7239),
    [anon_sym_BSLASHGlsname] = ACTIONS(7239),
    [anon_sym_BSLASHGLSname] = ACTIONS(7239),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7239),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7239),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7239),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7239),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7239),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7239),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7239),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7239),
    [anon_sym_BSLASHacrshort] = ACTIONS(7239),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7239),
    [anon_sym_BSLASHACRshort] = ACTIONS(7239),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHacrlong] = ACTIONS(7239),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7239),
    [anon_sym_BSLASHACRlong] = ACTIONS(7239),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHacrfull] = ACTIONS(7239),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7239),
    [anon_sym_BSLASHACRfull] = ACTIONS(7239),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHacs] = ACTIONS(7239),
    [anon_sym_BSLASHAcs] = ACTIONS(7239),
    [anon_sym_BSLASHacsp] = ACTIONS(7239),
    [anon_sym_BSLASHAcsp] = ACTIONS(7239),
    [anon_sym_BSLASHacl] = ACTIONS(7239),
    [anon_sym_BSLASHAcl] = ACTIONS(7239),
    [anon_sym_BSLASHaclp] = ACTIONS(7239),
    [anon_sym_BSLASHAclp] = ACTIONS(7239),
    [anon_sym_BSLASHacf] = ACTIONS(7239),
    [anon_sym_BSLASHAcf] = ACTIONS(7239),
    [anon_sym_BSLASHacfp] = ACTIONS(7239),
    [anon_sym_BSLASHAcfp] = ACTIONS(7239),
    [anon_sym_BSLASHac] = ACTIONS(7239),
    [anon_sym_BSLASHAc] = ACTIONS(7239),
    [anon_sym_BSLASHacp] = ACTIONS(7239),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7239),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7239),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7239),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7239),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7239),
    [anon_sym_BSLASHcolor] = ACTIONS(7239),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7239),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7239),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7239),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7239),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7239),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7239),
    [anon_sym_BSLASHurl] = ACTIONS(7239),
    [anon_sym_BSLASHhref] = ACTIONS(7239),
  },
  [638] = {
    [sym_command_name] = ACTIONS(7243),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7243),
    [anon_sym_LBRACK] = ACTIONS(7245),
    [anon_sym_RBRACK] = ACTIONS(7245),
    [anon_sym_COMMA] = ACTIONS(7245),
    [anon_sym_EQ] = ACTIONS(7245),
    [anon_sym_LPAREN] = ACTIONS(7245),
    [anon_sym_RPAREN] = ACTIONS(7245),
    [anon_sym_BSLASHpart] = ACTIONS(7243),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHaddpart] = ACTIONS(7243),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHchapter] = ACTIONS(7243),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHaddchap] = ACTIONS(7243),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHsection] = ACTIONS(7243),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHaddsec] = ACTIONS(7243),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHsubsection] = ACTIONS(7243),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7243),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHparagraph] = ACTIONS(7243),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7243),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHitem] = ACTIONS(7243),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7245),
    [anon_sym_LBRACE] = ACTIONS(7245),
    [sym_word] = ACTIONS(7243),
    [sym_placeholder] = ACTIONS(7245),
    [sym_delimiter] = ACTIONS(7245),
    [anon_sym_PLUS] = ACTIONS(7245),
    [anon_sym_DASH] = ACTIONS(7245),
    [anon_sym_STAR] = ACTIONS(7245),
    [anon_sym_SLASH] = ACTIONS(7245),
    [anon_sym_LT] = ACTIONS(7243),
    [anon_sym_GT] = ACTIONS(7243),
    [anon_sym_BANG] = ACTIONS(7243),
    [anon_sym_PIPE] = ACTIONS(7243),
    [anon_sym_COLON] = ACTIONS(7243),
    [anon_sym_SQUOTE] = ACTIONS(7243),
    [anon_sym__] = ACTIONS(7245),
    [anon_sym_CARET] = ACTIONS(7245),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7245),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7245),
    [anon_sym_DOLLAR] = ACTIONS(7243),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7245),
    [anon_sym_BSLASHleft] = ACTIONS(7243),
    [anon_sym_BSLASHbigl] = ACTIONS(7243),
    [anon_sym_BSLASHBigl] = ACTIONS(7243),
    [anon_sym_BSLASHbiggl] = ACTIONS(7243),
    [anon_sym_BSLASHBiggl] = ACTIONS(7243),
    [anon_sym_BSLASHright] = ACTIONS(7243),
    [anon_sym_BSLASHbigr] = ACTIONS(7243),
    [anon_sym_BSLASHBigr] = ACTIONS(7243),
    [anon_sym_BSLASHbiggr] = ACTIONS(7243),
    [anon_sym_BSLASHBiggr] = ACTIONS(7243),
    [anon_sym_BSLASHtext] = ACTIONS(7243),
    [anon_sym_BSLASHintertext] = ACTIONS(7243),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7243),
    [anon_sym_BSLASHbegin] = ACTIONS(7243),
    [anon_sym_BSLASHtitle] = ACTIONS(7243),
    [anon_sym_BSLASHauthor] = ACTIONS(7243),
    [anon_sym_BSLASHusepackage] = ACTIONS(7243),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7243),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7243),
    [anon_sym_BSLASHinclude] = ACTIONS(7243),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7243),
    [anon_sym_BSLASHinput] = ACTIONS(7243),
    [anon_sym_BSLASHsubfile] = ACTIONS(7243),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7243),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7243),
    [anon_sym_BSLASHbibliography] = ACTIONS(7243),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7243),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7243),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7243),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7243),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7243),
    [anon_sym_BSLASHimport] = ACTIONS(7243),
    [anon_sym_BSLASHsubimport] = ACTIONS(7243),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7243),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7243),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7243),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7243),
    [anon_sym_BSLASHcaption] = ACTIONS(7243),
    [anon_sym_BSLASHcite] = ACTIONS(7243),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCite] = ACTIONS(7243),
    [anon_sym_BSLASHnocite] = ACTIONS(7243),
    [anon_sym_BSLASHcitet] = ACTIONS(7243),
    [anon_sym_BSLASHcitep] = ACTIONS(7243),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteA] = ACTIONS(7243),
    [anon_sym_BSLASHciteR] = ACTIONS(7243),
    [anon_sym_BSLASHciteS] = ACTIONS(7243),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7243),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7243),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7243),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7243),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteyear] = ACTIONS(7243),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitedate] = ACTIONS(7243),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteurl] = ACTIONS(7243),
    [anon_sym_BSLASHfullcite] = ACTIONS(7243),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7243),
    [anon_sym_BSLASHcitealt] = ACTIONS(7243),
    [anon_sym_BSLASHcitealp] = ACTIONS(7243),
    [anon_sym_BSLASHcitetext] = ACTIONS(7243),
    [anon_sym_BSLASHparencite] = ACTIONS(7243),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHParencite] = ACTIONS(7243),
    [anon_sym_BSLASHfootcite] = ACTIONS(7243),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7243),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7243),
    [anon_sym_BSLASHtextcite] = ACTIONS(7243),
    [anon_sym_BSLASHTextcite] = ACTIONS(7243),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7243),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7243),
    [anon_sym_BSLASHsupercite] = ACTIONS(7243),
    [anon_sym_BSLASHautocite] = ACTIONS(7243),
    [anon_sym_BSLASHAutocite] = ACTIONS(7243),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHVolcite] = ACTIONS(7243),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHavolcite] = ACTIONS(7243),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHNotecite] = ACTIONS(7243),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHlabel] = ACTIONS(7243),
    [anon_sym_BSLASHref] = ACTIONS(7243),
    [anon_sym_BSLASHeqref] = ACTIONS(7243),
    [anon_sym_BSLASHvref] = ACTIONS(7243),
    [anon_sym_BSLASHVref] = ACTIONS(7243),
    [anon_sym_BSLASHautoref] = ACTIONS(7243),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHpageref] = ACTIONS(7243),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHautopageref] = ACTIONS(7243),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcref] = ACTIONS(7243),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCref] = ACTIONS(7243),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcpageref] = ACTIONS(7243),
    [anon_sym_BSLASHCpageref] = ACTIONS(7243),
    [anon_sym_BSLASHnamecref] = ACTIONS(7243),
    [anon_sym_BSLASHnameCref] = ACTIONS(7243),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7243),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7243),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7243),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7243),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7243),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7243),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7243),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7243),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7243),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7243),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7243),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHdef] = ACTIONS(7243),
    [anon_sym_BSLASHgdef] = ACTIONS(7243),
    [anon_sym_BSLASHedef] = ACTIONS(7243),
    [anon_sym_BSLASHxdef] = ACTIONS(7243),
    [anon_sym_BSLASHlet] = ACTIONS(7243),
    [anon_sym_BSLASHglet] = ACTIONS(7243),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7243),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7243),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7243),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7243),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7243),
    [anon_sym_BSLASHgls] = ACTIONS(7243),
    [anon_sym_BSLASHGls] = ACTIONS(7243),
    [anon_sym_BSLASHGLS] = ACTIONS(7243),
    [anon_sym_BSLASHglspl] = ACTIONS(7243),
    [anon_sym_BSLASHGlspl] = ACTIONS(7243),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7243),
    [anon_sym_BSLASHglslink] = ACTIONS(7243),
    [anon_sym_BSLASHglstext] = ACTIONS(7243),
    [anon_sym_BSLASHGlstext] = ACTIONS(7243),
    [anon_sym_BSLASHGLStext] = ACTIONS(7243),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7243),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7243),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7243),
    [anon_sym_BSLASHglsplural] = ACTIONS(7243),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7243),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7243),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHglsname] = ACTIONS(7243),
    [anon_sym_BSLASHGlsname] = ACTIONS(7243),
    [anon_sym_BSLASHGLSname] = ACTIONS(7243),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7243),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7243),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7243),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7243),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7243),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7243),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7243),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7243),
    [anon_sym_BSLASHacrshort] = ACTIONS(7243),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7243),
    [anon_sym_BSLASHACRshort] = ACTIONS(7243),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHacrlong] = ACTIONS(7243),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7243),
    [anon_sym_BSLASHACRlong] = ACTIONS(7243),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHacrfull] = ACTIONS(7243),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7243),
    [anon_sym_BSLASHACRfull] = ACTIONS(7243),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHacs] = ACTIONS(7243),
    [anon_sym_BSLASHAcs] = ACTIONS(7243),
    [anon_sym_BSLASHacsp] = ACTIONS(7243),
    [anon_sym_BSLASHAcsp] = ACTIONS(7243),
    [anon_sym_BSLASHacl] = ACTIONS(7243),
    [anon_sym_BSLASHAcl] = ACTIONS(7243),
    [anon_sym_BSLASHaclp] = ACTIONS(7243),
    [anon_sym_BSLASHAclp] = ACTIONS(7243),
    [anon_sym_BSLASHacf] = ACTIONS(7243),
    [anon_sym_BSLASHAcf] = ACTIONS(7243),
    [anon_sym_BSLASHacfp] = ACTIONS(7243),
    [anon_sym_BSLASHAcfp] = ACTIONS(7243),
    [anon_sym_BSLASHac] = ACTIONS(7243),
    [anon_sym_BSLASHAc] = ACTIONS(7243),
    [anon_sym_BSLASHacp] = ACTIONS(7243),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7243),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7243),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7243),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7243),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7243),
    [anon_sym_BSLASHcolor] = ACTIONS(7243),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7243),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7243),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7243),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7243),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7243),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7243),
    [anon_sym_BSLASHurl] = ACTIONS(7243),
    [anon_sym_BSLASHhref] = ACTIONS(7243),
  },
  [639] = {
    [sym_command_name] = ACTIONS(7247),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7247),
    [anon_sym_LBRACK] = ACTIONS(7249),
    [anon_sym_RBRACK] = ACTIONS(7249),
    [anon_sym_COMMA] = ACTIONS(7249),
    [anon_sym_EQ] = ACTIONS(7249),
    [anon_sym_LPAREN] = ACTIONS(7249),
    [anon_sym_RPAREN] = ACTIONS(7249),
    [anon_sym_BSLASHpart] = ACTIONS(7247),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHaddpart] = ACTIONS(7247),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHchapter] = ACTIONS(7247),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHaddchap] = ACTIONS(7247),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHsection] = ACTIONS(7247),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHaddsec] = ACTIONS(7247),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHsubsection] = ACTIONS(7247),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7247),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHparagraph] = ACTIONS(7247),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7247),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHitem] = ACTIONS(7247),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7249),
    [anon_sym_LBRACE] = ACTIONS(7249),
    [sym_word] = ACTIONS(7247),
    [sym_placeholder] = ACTIONS(7249),
    [sym_delimiter] = ACTIONS(7249),
    [anon_sym_PLUS] = ACTIONS(7249),
    [anon_sym_DASH] = ACTIONS(7249),
    [anon_sym_STAR] = ACTIONS(7249),
    [anon_sym_SLASH] = ACTIONS(7249),
    [anon_sym_LT] = ACTIONS(7247),
    [anon_sym_GT] = ACTIONS(7247),
    [anon_sym_BANG] = ACTIONS(7247),
    [anon_sym_PIPE] = ACTIONS(7247),
    [anon_sym_COLON] = ACTIONS(7247),
    [anon_sym_SQUOTE] = ACTIONS(7247),
    [anon_sym__] = ACTIONS(7249),
    [anon_sym_CARET] = ACTIONS(7249),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7249),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7249),
    [anon_sym_DOLLAR] = ACTIONS(7247),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7249),
    [anon_sym_BSLASHleft] = ACTIONS(7247),
    [anon_sym_BSLASHbigl] = ACTIONS(7247),
    [anon_sym_BSLASHBigl] = ACTIONS(7247),
    [anon_sym_BSLASHbiggl] = ACTIONS(7247),
    [anon_sym_BSLASHBiggl] = ACTIONS(7247),
    [anon_sym_BSLASHright] = ACTIONS(7247),
    [anon_sym_BSLASHbigr] = ACTIONS(7247),
    [anon_sym_BSLASHBigr] = ACTIONS(7247),
    [anon_sym_BSLASHbiggr] = ACTIONS(7247),
    [anon_sym_BSLASHBiggr] = ACTIONS(7247),
    [anon_sym_BSLASHtext] = ACTIONS(7247),
    [anon_sym_BSLASHintertext] = ACTIONS(7247),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7247),
    [anon_sym_BSLASHbegin] = ACTIONS(7247),
    [anon_sym_BSLASHtitle] = ACTIONS(7247),
    [anon_sym_BSLASHauthor] = ACTIONS(7247),
    [anon_sym_BSLASHusepackage] = ACTIONS(7247),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7247),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7247),
    [anon_sym_BSLASHinclude] = ACTIONS(7247),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7247),
    [anon_sym_BSLASHinput] = ACTIONS(7247),
    [anon_sym_BSLASHsubfile] = ACTIONS(7247),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7247),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7247),
    [anon_sym_BSLASHbibliography] = ACTIONS(7247),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7247),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7247),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7247),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7247),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7247),
    [anon_sym_BSLASHimport] = ACTIONS(7247),
    [anon_sym_BSLASHsubimport] = ACTIONS(7247),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7247),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7247),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7247),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7247),
    [anon_sym_BSLASHcaption] = ACTIONS(7247),
    [anon_sym_BSLASHcite] = ACTIONS(7247),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCite] = ACTIONS(7247),
    [anon_sym_BSLASHnocite] = ACTIONS(7247),
    [anon_sym_BSLASHcitet] = ACTIONS(7247),
    [anon_sym_BSLASHcitep] = ACTIONS(7247),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteA] = ACTIONS(7247),
    [anon_sym_BSLASHciteR] = ACTIONS(7247),
    [anon_sym_BSLASHciteS] = ACTIONS(7247),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7247),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7247),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7247),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7247),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteyear] = ACTIONS(7247),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitedate] = ACTIONS(7247),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteurl] = ACTIONS(7247),
    [anon_sym_BSLASHfullcite] = ACTIONS(7247),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7247),
    [anon_sym_BSLASHcitealt] = ACTIONS(7247),
    [anon_sym_BSLASHcitealp] = ACTIONS(7247),
    [anon_sym_BSLASHcitetext] = ACTIONS(7247),
    [anon_sym_BSLASHparencite] = ACTIONS(7247),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHParencite] = ACTIONS(7247),
    [anon_sym_BSLASHfootcite] = ACTIONS(7247),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7247),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7247),
    [anon_sym_BSLASHtextcite] = ACTIONS(7247),
    [anon_sym_BSLASHTextcite] = ACTIONS(7247),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7247),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7247),
    [anon_sym_BSLASHsupercite] = ACTIONS(7247),
    [anon_sym_BSLASHautocite] = ACTIONS(7247),
    [anon_sym_BSLASHAutocite] = ACTIONS(7247),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHVolcite] = ACTIONS(7247),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHavolcite] = ACTIONS(7247),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHNotecite] = ACTIONS(7247),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHlabel] = ACTIONS(7247),
    [anon_sym_BSLASHref] = ACTIONS(7247),
    [anon_sym_BSLASHeqref] = ACTIONS(7247),
    [anon_sym_BSLASHvref] = ACTIONS(7247),
    [anon_sym_BSLASHVref] = ACTIONS(7247),
    [anon_sym_BSLASHautoref] = ACTIONS(7247),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHpageref] = ACTIONS(7247),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHautopageref] = ACTIONS(7247),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcref] = ACTIONS(7247),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCref] = ACTIONS(7247),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcpageref] = ACTIONS(7247),
    [anon_sym_BSLASHCpageref] = ACTIONS(7247),
    [anon_sym_BSLASHnamecref] = ACTIONS(7247),
    [anon_sym_BSLASHnameCref] = ACTIONS(7247),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7247),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7247),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7247),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7247),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7247),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7247),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7247),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7247),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7247),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7247),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7247),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHdef] = ACTIONS(7247),
    [anon_sym_BSLASHgdef] = ACTIONS(7247),
    [anon_sym_BSLASHedef] = ACTIONS(7247),
    [anon_sym_BSLASHxdef] = ACTIONS(7247),
    [anon_sym_BSLASHlet] = ACTIONS(7247),
    [anon_sym_BSLASHglet] = ACTIONS(7247),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7247),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7247),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7247),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7247),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7247),
    [anon_sym_BSLASHgls] = ACTIONS(7247),
    [anon_sym_BSLASHGls] = ACTIONS(7247),
    [anon_sym_BSLASHGLS] = ACTIONS(7247),
    [anon_sym_BSLASHglspl] = ACTIONS(7247),
    [anon_sym_BSLASHGlspl] = ACTIONS(7247),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7247),
    [anon_sym_BSLASHglslink] = ACTIONS(7247),
    [anon_sym_BSLASHglstext] = ACTIONS(7247),
    [anon_sym_BSLASHGlstext] = ACTIONS(7247),
    [anon_sym_BSLASHGLStext] = ACTIONS(7247),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7247),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7247),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7247),
    [anon_sym_BSLASHglsplural] = ACTIONS(7247),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7247),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7247),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHglsname] = ACTIONS(7247),
    [anon_sym_BSLASHGlsname] = ACTIONS(7247),
    [anon_sym_BSLASHGLSname] = ACTIONS(7247),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7247),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7247),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7247),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7247),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7247),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7247),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7247),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7247),
    [anon_sym_BSLASHacrshort] = ACTIONS(7247),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7247),
    [anon_sym_BSLASHACRshort] = ACTIONS(7247),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHacrlong] = ACTIONS(7247),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7247),
    [anon_sym_BSLASHACRlong] = ACTIONS(7247),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHacrfull] = ACTIONS(7247),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7247),
    [anon_sym_BSLASHACRfull] = ACTIONS(7247),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHacs] = ACTIONS(7247),
    [anon_sym_BSLASHAcs] = ACTIONS(7247),
    [anon_sym_BSLASHacsp] = ACTIONS(7247),
    [anon_sym_BSLASHAcsp] = ACTIONS(7247),
    [anon_sym_BSLASHacl] = ACTIONS(7247),
    [anon_sym_BSLASHAcl] = ACTIONS(7247),
    [anon_sym_BSLASHaclp] = ACTIONS(7247),
    [anon_sym_BSLASHAclp] = ACTIONS(7247),
    [anon_sym_BSLASHacf] = ACTIONS(7247),
    [anon_sym_BSLASHAcf] = ACTIONS(7247),
    [anon_sym_BSLASHacfp] = ACTIONS(7247),
    [anon_sym_BSLASHAcfp] = ACTIONS(7247),
    [anon_sym_BSLASHac] = ACTIONS(7247),
    [anon_sym_BSLASHAc] = ACTIONS(7247),
    [anon_sym_BSLASHacp] = ACTIONS(7247),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7247),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7247),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7247),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7247),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7247),
    [anon_sym_BSLASHcolor] = ACTIONS(7247),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7247),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7247),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7247),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7247),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7247),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7247),
    [anon_sym_BSLASHurl] = ACTIONS(7247),
    [anon_sym_BSLASHhref] = ACTIONS(7247),
  },
  [640] = {
    [sym_command_name] = ACTIONS(7251),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7251),
    [anon_sym_LBRACK] = ACTIONS(7253),
    [anon_sym_RBRACK] = ACTIONS(7253),
    [anon_sym_COMMA] = ACTIONS(7253),
    [anon_sym_EQ] = ACTIONS(7253),
    [anon_sym_LPAREN] = ACTIONS(7253),
    [anon_sym_RPAREN] = ACTIONS(7253),
    [anon_sym_BSLASHpart] = ACTIONS(7251),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHaddpart] = ACTIONS(7251),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHchapter] = ACTIONS(7251),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHaddchap] = ACTIONS(7251),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHsection] = ACTIONS(7251),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHaddsec] = ACTIONS(7251),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHsubsection] = ACTIONS(7251),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7251),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHparagraph] = ACTIONS(7251),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7251),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHitem] = ACTIONS(7251),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7253),
    [anon_sym_LBRACE] = ACTIONS(7253),
    [sym_word] = ACTIONS(7251),
    [sym_placeholder] = ACTIONS(7253),
    [sym_delimiter] = ACTIONS(7253),
    [anon_sym_PLUS] = ACTIONS(7253),
    [anon_sym_DASH] = ACTIONS(7253),
    [anon_sym_STAR] = ACTIONS(7253),
    [anon_sym_SLASH] = ACTIONS(7253),
    [anon_sym_LT] = ACTIONS(7251),
    [anon_sym_GT] = ACTIONS(7251),
    [anon_sym_BANG] = ACTIONS(7251),
    [anon_sym_PIPE] = ACTIONS(7251),
    [anon_sym_COLON] = ACTIONS(7251),
    [anon_sym_SQUOTE] = ACTIONS(7251),
    [anon_sym__] = ACTIONS(7253),
    [anon_sym_CARET] = ACTIONS(7253),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7253),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7253),
    [anon_sym_DOLLAR] = ACTIONS(7251),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7253),
    [anon_sym_BSLASHleft] = ACTIONS(7251),
    [anon_sym_BSLASHbigl] = ACTIONS(7251),
    [anon_sym_BSLASHBigl] = ACTIONS(7251),
    [anon_sym_BSLASHbiggl] = ACTIONS(7251),
    [anon_sym_BSLASHBiggl] = ACTIONS(7251),
    [anon_sym_BSLASHright] = ACTIONS(7251),
    [anon_sym_BSLASHbigr] = ACTIONS(7251),
    [anon_sym_BSLASHBigr] = ACTIONS(7251),
    [anon_sym_BSLASHbiggr] = ACTIONS(7251),
    [anon_sym_BSLASHBiggr] = ACTIONS(7251),
    [anon_sym_BSLASHtext] = ACTIONS(7251),
    [anon_sym_BSLASHintertext] = ACTIONS(7251),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7251),
    [anon_sym_BSLASHbegin] = ACTIONS(7251),
    [anon_sym_BSLASHtitle] = ACTIONS(7251),
    [anon_sym_BSLASHauthor] = ACTIONS(7251),
    [anon_sym_BSLASHusepackage] = ACTIONS(7251),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7251),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7251),
    [anon_sym_BSLASHinclude] = ACTIONS(7251),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7251),
    [anon_sym_BSLASHinput] = ACTIONS(7251),
    [anon_sym_BSLASHsubfile] = ACTIONS(7251),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7251),
    [anon_sym_BSLASHbibliography] = ACTIONS(7251),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7251),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7251),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7251),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7251),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7251),
    [anon_sym_BSLASHimport] = ACTIONS(7251),
    [anon_sym_BSLASHsubimport] = ACTIONS(7251),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7251),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7251),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7251),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7251),
    [anon_sym_BSLASHcaption] = ACTIONS(7251),
    [anon_sym_BSLASHcite] = ACTIONS(7251),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCite] = ACTIONS(7251),
    [anon_sym_BSLASHnocite] = ACTIONS(7251),
    [anon_sym_BSLASHcitet] = ACTIONS(7251),
    [anon_sym_BSLASHcitep] = ACTIONS(7251),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteA] = ACTIONS(7251),
    [anon_sym_BSLASHciteR] = ACTIONS(7251),
    [anon_sym_BSLASHciteS] = ACTIONS(7251),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7251),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7251),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7251),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7251),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteyear] = ACTIONS(7251),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitedate] = ACTIONS(7251),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteurl] = ACTIONS(7251),
    [anon_sym_BSLASHfullcite] = ACTIONS(7251),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7251),
    [anon_sym_BSLASHcitealt] = ACTIONS(7251),
    [anon_sym_BSLASHcitealp] = ACTIONS(7251),
    [anon_sym_BSLASHcitetext] = ACTIONS(7251),
    [anon_sym_BSLASHparencite] = ACTIONS(7251),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHParencite] = ACTIONS(7251),
    [anon_sym_BSLASHfootcite] = ACTIONS(7251),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7251),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7251),
    [anon_sym_BSLASHtextcite] = ACTIONS(7251),
    [anon_sym_BSLASHTextcite] = ACTIONS(7251),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7251),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7251),
    [anon_sym_BSLASHsupercite] = ACTIONS(7251),
    [anon_sym_BSLASHautocite] = ACTIONS(7251),
    [anon_sym_BSLASHAutocite] = ACTIONS(7251),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHVolcite] = ACTIONS(7251),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHavolcite] = ACTIONS(7251),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHNotecite] = ACTIONS(7251),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHlabel] = ACTIONS(7251),
    [anon_sym_BSLASHref] = ACTIONS(7251),
    [anon_sym_BSLASHeqref] = ACTIONS(7251),
    [anon_sym_BSLASHvref] = ACTIONS(7251),
    [anon_sym_BSLASHVref] = ACTIONS(7251),
    [anon_sym_BSLASHautoref] = ACTIONS(7251),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHpageref] = ACTIONS(7251),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHautopageref] = ACTIONS(7251),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcref] = ACTIONS(7251),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCref] = ACTIONS(7251),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcpageref] = ACTIONS(7251),
    [anon_sym_BSLASHCpageref] = ACTIONS(7251),
    [anon_sym_BSLASHnamecref] = ACTIONS(7251),
    [anon_sym_BSLASHnameCref] = ACTIONS(7251),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7251),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7251),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7251),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7251),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7251),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7251),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7251),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7251),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7251),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7251),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7251),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHdef] = ACTIONS(7251),
    [anon_sym_BSLASHgdef] = ACTIONS(7251),
    [anon_sym_BSLASHedef] = ACTIONS(7251),
    [anon_sym_BSLASHxdef] = ACTIONS(7251),
    [anon_sym_BSLASHlet] = ACTIONS(7251),
    [anon_sym_BSLASHglet] = ACTIONS(7251),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7251),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7251),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7251),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7251),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7251),
    [anon_sym_BSLASHgls] = ACTIONS(7251),
    [anon_sym_BSLASHGls] = ACTIONS(7251),
    [anon_sym_BSLASHGLS] = ACTIONS(7251),
    [anon_sym_BSLASHglspl] = ACTIONS(7251),
    [anon_sym_BSLASHGlspl] = ACTIONS(7251),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7251),
    [anon_sym_BSLASHglslink] = ACTIONS(7251),
    [anon_sym_BSLASHglstext] = ACTIONS(7251),
    [anon_sym_BSLASHGlstext] = ACTIONS(7251),
    [anon_sym_BSLASHGLStext] = ACTIONS(7251),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7251),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7251),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7251),
    [anon_sym_BSLASHglsplural] = ACTIONS(7251),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7251),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7251),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHglsname] = ACTIONS(7251),
    [anon_sym_BSLASHGlsname] = ACTIONS(7251),
    [anon_sym_BSLASHGLSname] = ACTIONS(7251),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7251),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7251),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7251),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7251),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7251),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7251),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7251),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7251),
    [anon_sym_BSLASHacrshort] = ACTIONS(7251),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7251),
    [anon_sym_BSLASHACRshort] = ACTIONS(7251),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHacrlong] = ACTIONS(7251),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7251),
    [anon_sym_BSLASHACRlong] = ACTIONS(7251),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHacrfull] = ACTIONS(7251),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7251),
    [anon_sym_BSLASHACRfull] = ACTIONS(7251),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHacs] = ACTIONS(7251),
    [anon_sym_BSLASHAcs] = ACTIONS(7251),
    [anon_sym_BSLASHacsp] = ACTIONS(7251),
    [anon_sym_BSLASHAcsp] = ACTIONS(7251),
    [anon_sym_BSLASHacl] = ACTIONS(7251),
    [anon_sym_BSLASHAcl] = ACTIONS(7251),
    [anon_sym_BSLASHaclp] = ACTIONS(7251),
    [anon_sym_BSLASHAclp] = ACTIONS(7251),
    [anon_sym_BSLASHacf] = ACTIONS(7251),
    [anon_sym_BSLASHAcf] = ACTIONS(7251),
    [anon_sym_BSLASHacfp] = ACTIONS(7251),
    [anon_sym_BSLASHAcfp] = ACTIONS(7251),
    [anon_sym_BSLASHac] = ACTIONS(7251),
    [anon_sym_BSLASHAc] = ACTIONS(7251),
    [anon_sym_BSLASHacp] = ACTIONS(7251),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7251),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7251),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7251),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7251),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7251),
    [anon_sym_BSLASHcolor] = ACTIONS(7251),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7251),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7251),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7251),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7251),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7251),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7251),
    [anon_sym_BSLASHurl] = ACTIONS(7251),
    [anon_sym_BSLASHhref] = ACTIONS(7251),
  },
  [641] = {
    [sym_command_name] = ACTIONS(7255),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7255),
    [anon_sym_LBRACK] = ACTIONS(7257),
    [anon_sym_RBRACK] = ACTIONS(7257),
    [anon_sym_COMMA] = ACTIONS(7257),
    [anon_sym_EQ] = ACTIONS(7257),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_RPAREN] = ACTIONS(7257),
    [anon_sym_BSLASHpart] = ACTIONS(7255),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHaddpart] = ACTIONS(7255),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHchapter] = ACTIONS(7255),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHaddchap] = ACTIONS(7255),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHsection] = ACTIONS(7255),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHaddsec] = ACTIONS(7255),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHsubsection] = ACTIONS(7255),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7255),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHparagraph] = ACTIONS(7255),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7255),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHitem] = ACTIONS(7255),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7257),
    [anon_sym_LBRACE] = ACTIONS(7257),
    [sym_word] = ACTIONS(7255),
    [sym_placeholder] = ACTIONS(7257),
    [sym_delimiter] = ACTIONS(7257),
    [anon_sym_PLUS] = ACTIONS(7257),
    [anon_sym_DASH] = ACTIONS(7257),
    [anon_sym_STAR] = ACTIONS(7257),
    [anon_sym_SLASH] = ACTIONS(7257),
    [anon_sym_LT] = ACTIONS(7255),
    [anon_sym_GT] = ACTIONS(7255),
    [anon_sym_BANG] = ACTIONS(7255),
    [anon_sym_PIPE] = ACTIONS(7255),
    [anon_sym_COLON] = ACTIONS(7255),
    [anon_sym_SQUOTE] = ACTIONS(7255),
    [anon_sym__] = ACTIONS(7257),
    [anon_sym_CARET] = ACTIONS(7257),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7257),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7257),
    [anon_sym_DOLLAR] = ACTIONS(7255),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7257),
    [anon_sym_BSLASHleft] = ACTIONS(7255),
    [anon_sym_BSLASHbigl] = ACTIONS(7255),
    [anon_sym_BSLASHBigl] = ACTIONS(7255),
    [anon_sym_BSLASHbiggl] = ACTIONS(7255),
    [anon_sym_BSLASHBiggl] = ACTIONS(7255),
    [anon_sym_BSLASHright] = ACTIONS(7255),
    [anon_sym_BSLASHbigr] = ACTIONS(7255),
    [anon_sym_BSLASHBigr] = ACTIONS(7255),
    [anon_sym_BSLASHbiggr] = ACTIONS(7255),
    [anon_sym_BSLASHBiggr] = ACTIONS(7255),
    [anon_sym_BSLASHtext] = ACTIONS(7255),
    [anon_sym_BSLASHintertext] = ACTIONS(7255),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7255),
    [anon_sym_BSLASHbegin] = ACTIONS(7255),
    [anon_sym_BSLASHtitle] = ACTIONS(7255),
    [anon_sym_BSLASHauthor] = ACTIONS(7255),
    [anon_sym_BSLASHusepackage] = ACTIONS(7255),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7255),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7255),
    [anon_sym_BSLASHinclude] = ACTIONS(7255),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7255),
    [anon_sym_BSLASHinput] = ACTIONS(7255),
    [anon_sym_BSLASHsubfile] = ACTIONS(7255),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7255),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7255),
    [anon_sym_BSLASHbibliography] = ACTIONS(7255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7255),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7255),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7255),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7255),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7255),
    [anon_sym_BSLASHimport] = ACTIONS(7255),
    [anon_sym_BSLASHsubimport] = ACTIONS(7255),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7255),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7255),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7255),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7255),
    [anon_sym_BSLASHcaption] = ACTIONS(7255),
    [anon_sym_BSLASHcite] = ACTIONS(7255),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCite] = ACTIONS(7255),
    [anon_sym_BSLASHnocite] = ACTIONS(7255),
    [anon_sym_BSLASHcitet] = ACTIONS(7255),
    [anon_sym_BSLASHcitep] = ACTIONS(7255),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteA] = ACTIONS(7255),
    [anon_sym_BSLASHciteR] = ACTIONS(7255),
    [anon_sym_BSLASHciteS] = ACTIONS(7255),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7255),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7255),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7255),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7255),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteyear] = ACTIONS(7255),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitedate] = ACTIONS(7255),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteurl] = ACTIONS(7255),
    [anon_sym_BSLASHfullcite] = ACTIONS(7255),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7255),
    [anon_sym_BSLASHcitealt] = ACTIONS(7255),
    [anon_sym_BSLASHcitealp] = ACTIONS(7255),
    [anon_sym_BSLASHcitetext] = ACTIONS(7255),
    [anon_sym_BSLASHparencite] = ACTIONS(7255),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHParencite] = ACTIONS(7255),
    [anon_sym_BSLASHfootcite] = ACTIONS(7255),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7255),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7255),
    [anon_sym_BSLASHtextcite] = ACTIONS(7255),
    [anon_sym_BSLASHTextcite] = ACTIONS(7255),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7255),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7255),
    [anon_sym_BSLASHsupercite] = ACTIONS(7255),
    [anon_sym_BSLASHautocite] = ACTIONS(7255),
    [anon_sym_BSLASHAutocite] = ACTIONS(7255),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHVolcite] = ACTIONS(7255),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHavolcite] = ACTIONS(7255),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHNotecite] = ACTIONS(7255),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHlabel] = ACTIONS(7255),
    [anon_sym_BSLASHref] = ACTIONS(7255),
    [anon_sym_BSLASHeqref] = ACTIONS(7255),
    [anon_sym_BSLASHvref] = ACTIONS(7255),
    [anon_sym_BSLASHVref] = ACTIONS(7255),
    [anon_sym_BSLASHautoref] = ACTIONS(7255),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHpageref] = ACTIONS(7255),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHautopageref] = ACTIONS(7255),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcref] = ACTIONS(7255),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCref] = ACTIONS(7255),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcpageref] = ACTIONS(7255),
    [anon_sym_BSLASHCpageref] = ACTIONS(7255),
    [anon_sym_BSLASHnamecref] = ACTIONS(7255),
    [anon_sym_BSLASHnameCref] = ACTIONS(7255),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7255),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7255),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7255),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7255),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7255),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7255),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7255),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7255),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7255),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7255),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7255),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHdef] = ACTIONS(7255),
    [anon_sym_BSLASHgdef] = ACTIONS(7255),
    [anon_sym_BSLASHedef] = ACTIONS(7255),
    [anon_sym_BSLASHxdef] = ACTIONS(7255),
    [anon_sym_BSLASHlet] = ACTIONS(7255),
    [anon_sym_BSLASHglet] = ACTIONS(7255),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7255),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7255),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7255),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7255),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7255),
    [anon_sym_BSLASHgls] = ACTIONS(7255),
    [anon_sym_BSLASHGls] = ACTIONS(7255),
    [anon_sym_BSLASHGLS] = ACTIONS(7255),
    [anon_sym_BSLASHglspl] = ACTIONS(7255),
    [anon_sym_BSLASHGlspl] = ACTIONS(7255),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7255),
    [anon_sym_BSLASHglslink] = ACTIONS(7255),
    [anon_sym_BSLASHglstext] = ACTIONS(7255),
    [anon_sym_BSLASHGlstext] = ACTIONS(7255),
    [anon_sym_BSLASHGLStext] = ACTIONS(7255),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7255),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7255),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7255),
    [anon_sym_BSLASHglsplural] = ACTIONS(7255),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7255),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7255),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHglsname] = ACTIONS(7255),
    [anon_sym_BSLASHGlsname] = ACTIONS(7255),
    [anon_sym_BSLASHGLSname] = ACTIONS(7255),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7255),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7255),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7255),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7255),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7255),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7255),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7255),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7255),
    [anon_sym_BSLASHacrshort] = ACTIONS(7255),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7255),
    [anon_sym_BSLASHACRshort] = ACTIONS(7255),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHacrlong] = ACTIONS(7255),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7255),
    [anon_sym_BSLASHACRlong] = ACTIONS(7255),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHacrfull] = ACTIONS(7255),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7255),
    [anon_sym_BSLASHACRfull] = ACTIONS(7255),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHacs] = ACTIONS(7255),
    [anon_sym_BSLASHAcs] = ACTIONS(7255),
    [anon_sym_BSLASHacsp] = ACTIONS(7255),
    [anon_sym_BSLASHAcsp] = ACTIONS(7255),
    [anon_sym_BSLASHacl] = ACTIONS(7255),
    [anon_sym_BSLASHAcl] = ACTIONS(7255),
    [anon_sym_BSLASHaclp] = ACTIONS(7255),
    [anon_sym_BSLASHAclp] = ACTIONS(7255),
    [anon_sym_BSLASHacf] = ACTIONS(7255),
    [anon_sym_BSLASHAcf] = ACTIONS(7255),
    [anon_sym_BSLASHacfp] = ACTIONS(7255),
    [anon_sym_BSLASHAcfp] = ACTIONS(7255),
    [anon_sym_BSLASHac] = ACTIONS(7255),
    [anon_sym_BSLASHAc] = ACTIONS(7255),
    [anon_sym_BSLASHacp] = ACTIONS(7255),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7255),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7255),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7255),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7255),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7255),
    [anon_sym_BSLASHcolor] = ACTIONS(7255),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7255),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7255),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7255),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7255),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7255),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7255),
    [anon_sym_BSLASHurl] = ACTIONS(7255),
    [anon_sym_BSLASHhref] = ACTIONS(7255),
  },
  [642] = {
    [sym_command_name] = ACTIONS(7259),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7259),
    [anon_sym_LBRACK] = ACTIONS(7261),
    [anon_sym_RBRACK] = ACTIONS(7261),
    [anon_sym_COMMA] = ACTIONS(7261),
    [anon_sym_EQ] = ACTIONS(7261),
    [anon_sym_LPAREN] = ACTIONS(7261),
    [anon_sym_RPAREN] = ACTIONS(7261),
    [anon_sym_BSLASHpart] = ACTIONS(7259),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHaddpart] = ACTIONS(7259),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHchapter] = ACTIONS(7259),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHaddchap] = ACTIONS(7259),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHsection] = ACTIONS(7259),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHaddsec] = ACTIONS(7259),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHsubsection] = ACTIONS(7259),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7259),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHparagraph] = ACTIONS(7259),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7259),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHitem] = ACTIONS(7259),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7261),
    [sym_word] = ACTIONS(7259),
    [sym_placeholder] = ACTIONS(7261),
    [sym_delimiter] = ACTIONS(7261),
    [anon_sym_PLUS] = ACTIONS(7261),
    [anon_sym_DASH] = ACTIONS(7261),
    [anon_sym_STAR] = ACTIONS(7261),
    [anon_sym_SLASH] = ACTIONS(7261),
    [anon_sym_LT] = ACTIONS(7259),
    [anon_sym_GT] = ACTIONS(7259),
    [anon_sym_BANG] = ACTIONS(7259),
    [anon_sym_PIPE] = ACTIONS(7259),
    [anon_sym_COLON] = ACTIONS(7259),
    [anon_sym_SQUOTE] = ACTIONS(7259),
    [anon_sym__] = ACTIONS(7261),
    [anon_sym_CARET] = ACTIONS(7261),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7261),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7261),
    [anon_sym_DOLLAR] = ACTIONS(7259),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7261),
    [anon_sym_BSLASHleft] = ACTIONS(7259),
    [anon_sym_BSLASHbigl] = ACTIONS(7259),
    [anon_sym_BSLASHBigl] = ACTIONS(7259),
    [anon_sym_BSLASHbiggl] = ACTIONS(7259),
    [anon_sym_BSLASHBiggl] = ACTIONS(7259),
    [anon_sym_BSLASHright] = ACTIONS(7259),
    [anon_sym_BSLASHbigr] = ACTIONS(7259),
    [anon_sym_BSLASHBigr] = ACTIONS(7259),
    [anon_sym_BSLASHbiggr] = ACTIONS(7259),
    [anon_sym_BSLASHBiggr] = ACTIONS(7259),
    [anon_sym_BSLASHtext] = ACTIONS(7259),
    [anon_sym_BSLASHintertext] = ACTIONS(7259),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7259),
    [anon_sym_BSLASHbegin] = ACTIONS(7259),
    [anon_sym_BSLASHtitle] = ACTIONS(7259),
    [anon_sym_BSLASHauthor] = ACTIONS(7259),
    [anon_sym_BSLASHusepackage] = ACTIONS(7259),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7259),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7259),
    [anon_sym_BSLASHinclude] = ACTIONS(7259),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7259),
    [anon_sym_BSLASHinput] = ACTIONS(7259),
    [anon_sym_BSLASHsubfile] = ACTIONS(7259),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7259),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7259),
    [anon_sym_BSLASHbibliography] = ACTIONS(7259),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7259),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7259),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7259),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7259),
    [anon_sym_BSLASHimport] = ACTIONS(7259),
    [anon_sym_BSLASHsubimport] = ACTIONS(7259),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7259),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7259),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7259),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7259),
    [anon_sym_BSLASHcaption] = ACTIONS(7259),
    [anon_sym_BSLASHcite] = ACTIONS(7259),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCite] = ACTIONS(7259),
    [anon_sym_BSLASHnocite] = ACTIONS(7259),
    [anon_sym_BSLASHcitet] = ACTIONS(7259),
    [anon_sym_BSLASHcitep] = ACTIONS(7259),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteA] = ACTIONS(7259),
    [anon_sym_BSLASHciteR] = ACTIONS(7259),
    [anon_sym_BSLASHciteS] = ACTIONS(7259),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7259),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7259),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7259),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7259),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteyear] = ACTIONS(7259),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitedate] = ACTIONS(7259),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteurl] = ACTIONS(7259),
    [anon_sym_BSLASHfullcite] = ACTIONS(7259),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7259),
    [anon_sym_BSLASHcitealt] = ACTIONS(7259),
    [anon_sym_BSLASHcitealp] = ACTIONS(7259),
    [anon_sym_BSLASHcitetext] = ACTIONS(7259),
    [anon_sym_BSLASHparencite] = ACTIONS(7259),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHParencite] = ACTIONS(7259),
    [anon_sym_BSLASHfootcite] = ACTIONS(7259),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7259),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7259),
    [anon_sym_BSLASHtextcite] = ACTIONS(7259),
    [anon_sym_BSLASHTextcite] = ACTIONS(7259),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7259),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7259),
    [anon_sym_BSLASHsupercite] = ACTIONS(7259),
    [anon_sym_BSLASHautocite] = ACTIONS(7259),
    [anon_sym_BSLASHAutocite] = ACTIONS(7259),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHVolcite] = ACTIONS(7259),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHavolcite] = ACTIONS(7259),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHNotecite] = ACTIONS(7259),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHlabel] = ACTIONS(7259),
    [anon_sym_BSLASHref] = ACTIONS(7259),
    [anon_sym_BSLASHeqref] = ACTIONS(7259),
    [anon_sym_BSLASHvref] = ACTIONS(7259),
    [anon_sym_BSLASHVref] = ACTIONS(7259),
    [anon_sym_BSLASHautoref] = ACTIONS(7259),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHpageref] = ACTIONS(7259),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHautopageref] = ACTIONS(7259),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcref] = ACTIONS(7259),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCref] = ACTIONS(7259),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcpageref] = ACTIONS(7259),
    [anon_sym_BSLASHCpageref] = ACTIONS(7259),
    [anon_sym_BSLASHnamecref] = ACTIONS(7259),
    [anon_sym_BSLASHnameCref] = ACTIONS(7259),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7259),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7259),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7259),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7259),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7259),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7259),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7259),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7259),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7259),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7259),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7259),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHdef] = ACTIONS(7259),
    [anon_sym_BSLASHgdef] = ACTIONS(7259),
    [anon_sym_BSLASHedef] = ACTIONS(7259),
    [anon_sym_BSLASHxdef] = ACTIONS(7259),
    [anon_sym_BSLASHlet] = ACTIONS(7259),
    [anon_sym_BSLASHglet] = ACTIONS(7259),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7259),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7259),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7259),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7259),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7259),
    [anon_sym_BSLASHgls] = ACTIONS(7259),
    [anon_sym_BSLASHGls] = ACTIONS(7259),
    [anon_sym_BSLASHGLS] = ACTIONS(7259),
    [anon_sym_BSLASHglspl] = ACTIONS(7259),
    [anon_sym_BSLASHGlspl] = ACTIONS(7259),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7259),
    [anon_sym_BSLASHglslink] = ACTIONS(7259),
    [anon_sym_BSLASHglstext] = ACTIONS(7259),
    [anon_sym_BSLASHGlstext] = ACTIONS(7259),
    [anon_sym_BSLASHGLStext] = ACTIONS(7259),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7259),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7259),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7259),
    [anon_sym_BSLASHglsplural] = ACTIONS(7259),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7259),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7259),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHglsname] = ACTIONS(7259),
    [anon_sym_BSLASHGlsname] = ACTIONS(7259),
    [anon_sym_BSLASHGLSname] = ACTIONS(7259),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7259),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7259),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7259),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7259),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7259),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7259),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7259),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7259),
    [anon_sym_BSLASHacrshort] = ACTIONS(7259),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7259),
    [anon_sym_BSLASHACRshort] = ACTIONS(7259),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHacrlong] = ACTIONS(7259),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7259),
    [anon_sym_BSLASHACRlong] = ACTIONS(7259),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHacrfull] = ACTIONS(7259),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7259),
    [anon_sym_BSLASHACRfull] = ACTIONS(7259),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHacs] = ACTIONS(7259),
    [anon_sym_BSLASHAcs] = ACTIONS(7259),
    [anon_sym_BSLASHacsp] = ACTIONS(7259),
    [anon_sym_BSLASHAcsp] = ACTIONS(7259),
    [anon_sym_BSLASHacl] = ACTIONS(7259),
    [anon_sym_BSLASHAcl] = ACTIONS(7259),
    [anon_sym_BSLASHaclp] = ACTIONS(7259),
    [anon_sym_BSLASHAclp] = ACTIONS(7259),
    [anon_sym_BSLASHacf] = ACTIONS(7259),
    [anon_sym_BSLASHAcf] = ACTIONS(7259),
    [anon_sym_BSLASHacfp] = ACTIONS(7259),
    [anon_sym_BSLASHAcfp] = ACTIONS(7259),
    [anon_sym_BSLASHac] = ACTIONS(7259),
    [anon_sym_BSLASHAc] = ACTIONS(7259),
    [anon_sym_BSLASHacp] = ACTIONS(7259),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7259),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7259),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7259),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7259),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7259),
    [anon_sym_BSLASHcolor] = ACTIONS(7259),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7259),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7259),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7259),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7259),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7259),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7259),
    [anon_sym_BSLASHurl] = ACTIONS(7259),
    [anon_sym_BSLASHhref] = ACTIONS(7259),
  },
  [643] = {
    [sym_command_name] = ACTIONS(7263),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7263),
    [anon_sym_LBRACK] = ACTIONS(7265),
    [anon_sym_RBRACK] = ACTIONS(7265),
    [anon_sym_COMMA] = ACTIONS(7265),
    [anon_sym_EQ] = ACTIONS(7265),
    [anon_sym_LPAREN] = ACTIONS(7265),
    [anon_sym_RPAREN] = ACTIONS(7265),
    [anon_sym_BSLASHpart] = ACTIONS(7263),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHaddpart] = ACTIONS(7263),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHchapter] = ACTIONS(7263),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHaddchap] = ACTIONS(7263),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHsection] = ACTIONS(7263),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHaddsec] = ACTIONS(7263),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHsubsection] = ACTIONS(7263),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7263),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHparagraph] = ACTIONS(7263),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7263),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHitem] = ACTIONS(7263),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7265),
    [anon_sym_LBRACE] = ACTIONS(7265),
    [sym_word] = ACTIONS(7263),
    [sym_placeholder] = ACTIONS(7265),
    [sym_delimiter] = ACTIONS(7265),
    [anon_sym_PLUS] = ACTIONS(7265),
    [anon_sym_DASH] = ACTIONS(7265),
    [anon_sym_STAR] = ACTIONS(7265),
    [anon_sym_SLASH] = ACTIONS(7265),
    [anon_sym_LT] = ACTIONS(7263),
    [anon_sym_GT] = ACTIONS(7263),
    [anon_sym_BANG] = ACTIONS(7263),
    [anon_sym_PIPE] = ACTIONS(7263),
    [anon_sym_COLON] = ACTIONS(7263),
    [anon_sym_SQUOTE] = ACTIONS(7263),
    [anon_sym__] = ACTIONS(7265),
    [anon_sym_CARET] = ACTIONS(7265),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7265),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7265),
    [anon_sym_DOLLAR] = ACTIONS(7263),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7265),
    [anon_sym_BSLASHleft] = ACTIONS(7263),
    [anon_sym_BSLASHbigl] = ACTIONS(7263),
    [anon_sym_BSLASHBigl] = ACTIONS(7263),
    [anon_sym_BSLASHbiggl] = ACTIONS(7263),
    [anon_sym_BSLASHBiggl] = ACTIONS(7263),
    [anon_sym_BSLASHright] = ACTIONS(7263),
    [anon_sym_BSLASHbigr] = ACTIONS(7263),
    [anon_sym_BSLASHBigr] = ACTIONS(7263),
    [anon_sym_BSLASHbiggr] = ACTIONS(7263),
    [anon_sym_BSLASHBiggr] = ACTIONS(7263),
    [anon_sym_BSLASHtext] = ACTIONS(7263),
    [anon_sym_BSLASHintertext] = ACTIONS(7263),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7263),
    [anon_sym_BSLASHbegin] = ACTIONS(7263),
    [anon_sym_BSLASHtitle] = ACTIONS(7263),
    [anon_sym_BSLASHauthor] = ACTIONS(7263),
    [anon_sym_BSLASHusepackage] = ACTIONS(7263),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7263),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7263),
    [anon_sym_BSLASHinclude] = ACTIONS(7263),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7263),
    [anon_sym_BSLASHinput] = ACTIONS(7263),
    [anon_sym_BSLASHsubfile] = ACTIONS(7263),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7263),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7263),
    [anon_sym_BSLASHbibliography] = ACTIONS(7263),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7263),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7263),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7263),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7263),
    [anon_sym_BSLASHimport] = ACTIONS(7263),
    [anon_sym_BSLASHsubimport] = ACTIONS(7263),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7263),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7263),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7263),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7263),
    [anon_sym_BSLASHcaption] = ACTIONS(7263),
    [anon_sym_BSLASHcite] = ACTIONS(7263),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCite] = ACTIONS(7263),
    [anon_sym_BSLASHnocite] = ACTIONS(7263),
    [anon_sym_BSLASHcitet] = ACTIONS(7263),
    [anon_sym_BSLASHcitep] = ACTIONS(7263),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteA] = ACTIONS(7263),
    [anon_sym_BSLASHciteR] = ACTIONS(7263),
    [anon_sym_BSLASHciteS] = ACTIONS(7263),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7263),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7263),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7263),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7263),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteyear] = ACTIONS(7263),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitedate] = ACTIONS(7263),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteurl] = ACTIONS(7263),
    [anon_sym_BSLASHfullcite] = ACTIONS(7263),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7263),
    [anon_sym_BSLASHcitealt] = ACTIONS(7263),
    [anon_sym_BSLASHcitealp] = ACTIONS(7263),
    [anon_sym_BSLASHcitetext] = ACTIONS(7263),
    [anon_sym_BSLASHparencite] = ACTIONS(7263),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHParencite] = ACTIONS(7263),
    [anon_sym_BSLASHfootcite] = ACTIONS(7263),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7263),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7263),
    [anon_sym_BSLASHtextcite] = ACTIONS(7263),
    [anon_sym_BSLASHTextcite] = ACTIONS(7263),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7263),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7263),
    [anon_sym_BSLASHsupercite] = ACTIONS(7263),
    [anon_sym_BSLASHautocite] = ACTIONS(7263),
    [anon_sym_BSLASHAutocite] = ACTIONS(7263),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHVolcite] = ACTIONS(7263),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHavolcite] = ACTIONS(7263),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHNotecite] = ACTIONS(7263),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHlabel] = ACTIONS(7263),
    [anon_sym_BSLASHref] = ACTIONS(7263),
    [anon_sym_BSLASHeqref] = ACTIONS(7263),
    [anon_sym_BSLASHvref] = ACTIONS(7263),
    [anon_sym_BSLASHVref] = ACTIONS(7263),
    [anon_sym_BSLASHautoref] = ACTIONS(7263),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHpageref] = ACTIONS(7263),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHautopageref] = ACTIONS(7263),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcref] = ACTIONS(7263),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCref] = ACTIONS(7263),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcpageref] = ACTIONS(7263),
    [anon_sym_BSLASHCpageref] = ACTIONS(7263),
    [anon_sym_BSLASHnamecref] = ACTIONS(7263),
    [anon_sym_BSLASHnameCref] = ACTIONS(7263),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7263),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7263),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7263),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7263),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7263),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7263),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7263),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7263),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7263),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7263),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7263),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHdef] = ACTIONS(7263),
    [anon_sym_BSLASHgdef] = ACTIONS(7263),
    [anon_sym_BSLASHedef] = ACTIONS(7263),
    [anon_sym_BSLASHxdef] = ACTIONS(7263),
    [anon_sym_BSLASHlet] = ACTIONS(7263),
    [anon_sym_BSLASHglet] = ACTIONS(7263),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7263),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7263),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7263),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7263),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7263),
    [anon_sym_BSLASHgls] = ACTIONS(7263),
    [anon_sym_BSLASHGls] = ACTIONS(7263),
    [anon_sym_BSLASHGLS] = ACTIONS(7263),
    [anon_sym_BSLASHglspl] = ACTIONS(7263),
    [anon_sym_BSLASHGlspl] = ACTIONS(7263),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7263),
    [anon_sym_BSLASHglslink] = ACTIONS(7263),
    [anon_sym_BSLASHglstext] = ACTIONS(7263),
    [anon_sym_BSLASHGlstext] = ACTIONS(7263),
    [anon_sym_BSLASHGLStext] = ACTIONS(7263),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7263),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7263),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7263),
    [anon_sym_BSLASHglsplural] = ACTIONS(7263),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7263),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7263),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHglsname] = ACTIONS(7263),
    [anon_sym_BSLASHGlsname] = ACTIONS(7263),
    [anon_sym_BSLASHGLSname] = ACTIONS(7263),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7263),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7263),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7263),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7263),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7263),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7263),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7263),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7263),
    [anon_sym_BSLASHacrshort] = ACTIONS(7263),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7263),
    [anon_sym_BSLASHACRshort] = ACTIONS(7263),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHacrlong] = ACTIONS(7263),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7263),
    [anon_sym_BSLASHACRlong] = ACTIONS(7263),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHacrfull] = ACTIONS(7263),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7263),
    [anon_sym_BSLASHACRfull] = ACTIONS(7263),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHacs] = ACTIONS(7263),
    [anon_sym_BSLASHAcs] = ACTIONS(7263),
    [anon_sym_BSLASHacsp] = ACTIONS(7263),
    [anon_sym_BSLASHAcsp] = ACTIONS(7263),
    [anon_sym_BSLASHacl] = ACTIONS(7263),
    [anon_sym_BSLASHAcl] = ACTIONS(7263),
    [anon_sym_BSLASHaclp] = ACTIONS(7263),
    [anon_sym_BSLASHAclp] = ACTIONS(7263),
    [anon_sym_BSLASHacf] = ACTIONS(7263),
    [anon_sym_BSLASHAcf] = ACTIONS(7263),
    [anon_sym_BSLASHacfp] = ACTIONS(7263),
    [anon_sym_BSLASHAcfp] = ACTIONS(7263),
    [anon_sym_BSLASHac] = ACTIONS(7263),
    [anon_sym_BSLASHAc] = ACTIONS(7263),
    [anon_sym_BSLASHacp] = ACTIONS(7263),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7263),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7263),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7263),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7263),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7263),
    [anon_sym_BSLASHcolor] = ACTIONS(7263),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7263),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7263),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7263),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7263),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7263),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7263),
    [anon_sym_BSLASHurl] = ACTIONS(7263),
    [anon_sym_BSLASHhref] = ACTIONS(7263),
  },
  [644] = {
    [sym_command_name] = ACTIONS(7267),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7267),
    [anon_sym_LBRACK] = ACTIONS(7269),
    [anon_sym_RBRACK] = ACTIONS(7269),
    [anon_sym_COMMA] = ACTIONS(7269),
    [anon_sym_EQ] = ACTIONS(7269),
    [anon_sym_LPAREN] = ACTIONS(7269),
    [anon_sym_RPAREN] = ACTIONS(7269),
    [anon_sym_BSLASHpart] = ACTIONS(7267),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHaddpart] = ACTIONS(7267),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHchapter] = ACTIONS(7267),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHaddchap] = ACTIONS(7267),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHsection] = ACTIONS(7267),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHaddsec] = ACTIONS(7267),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHsubsection] = ACTIONS(7267),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7267),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHparagraph] = ACTIONS(7267),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7267),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHitem] = ACTIONS(7267),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7269),
    [anon_sym_LBRACE] = ACTIONS(7269),
    [sym_word] = ACTIONS(7267),
    [sym_placeholder] = ACTIONS(7269),
    [sym_delimiter] = ACTIONS(7269),
    [anon_sym_PLUS] = ACTIONS(7269),
    [anon_sym_DASH] = ACTIONS(7269),
    [anon_sym_STAR] = ACTIONS(7269),
    [anon_sym_SLASH] = ACTIONS(7269),
    [anon_sym_LT] = ACTIONS(7267),
    [anon_sym_GT] = ACTIONS(7267),
    [anon_sym_BANG] = ACTIONS(7267),
    [anon_sym_PIPE] = ACTIONS(7267),
    [anon_sym_COLON] = ACTIONS(7267),
    [anon_sym_SQUOTE] = ACTIONS(7267),
    [anon_sym__] = ACTIONS(7269),
    [anon_sym_CARET] = ACTIONS(7269),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7269),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7269),
    [anon_sym_DOLLAR] = ACTIONS(7267),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7269),
    [anon_sym_BSLASHleft] = ACTIONS(7267),
    [anon_sym_BSLASHbigl] = ACTIONS(7267),
    [anon_sym_BSLASHBigl] = ACTIONS(7267),
    [anon_sym_BSLASHbiggl] = ACTIONS(7267),
    [anon_sym_BSLASHBiggl] = ACTIONS(7267),
    [anon_sym_BSLASHright] = ACTIONS(7267),
    [anon_sym_BSLASHbigr] = ACTIONS(7267),
    [anon_sym_BSLASHBigr] = ACTIONS(7267),
    [anon_sym_BSLASHbiggr] = ACTIONS(7267),
    [anon_sym_BSLASHBiggr] = ACTIONS(7267),
    [anon_sym_BSLASHtext] = ACTIONS(7267),
    [anon_sym_BSLASHintertext] = ACTIONS(7267),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7267),
    [anon_sym_BSLASHbegin] = ACTIONS(7267),
    [anon_sym_BSLASHtitle] = ACTIONS(7267),
    [anon_sym_BSLASHauthor] = ACTIONS(7267),
    [anon_sym_BSLASHusepackage] = ACTIONS(7267),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7267),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7267),
    [anon_sym_BSLASHinclude] = ACTIONS(7267),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7267),
    [anon_sym_BSLASHinput] = ACTIONS(7267),
    [anon_sym_BSLASHsubfile] = ACTIONS(7267),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7267),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7267),
    [anon_sym_BSLASHbibliography] = ACTIONS(7267),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7267),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7267),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7267),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7267),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7267),
    [anon_sym_BSLASHimport] = ACTIONS(7267),
    [anon_sym_BSLASHsubimport] = ACTIONS(7267),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7267),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7267),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7267),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7267),
    [anon_sym_BSLASHcaption] = ACTIONS(7267),
    [anon_sym_BSLASHcite] = ACTIONS(7267),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCite] = ACTIONS(7267),
    [anon_sym_BSLASHnocite] = ACTIONS(7267),
    [anon_sym_BSLASHcitet] = ACTIONS(7267),
    [anon_sym_BSLASHcitep] = ACTIONS(7267),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteA] = ACTIONS(7267),
    [anon_sym_BSLASHciteR] = ACTIONS(7267),
    [anon_sym_BSLASHciteS] = ACTIONS(7267),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7267),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7267),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7267),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7267),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteyear] = ACTIONS(7267),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitedate] = ACTIONS(7267),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteurl] = ACTIONS(7267),
    [anon_sym_BSLASHfullcite] = ACTIONS(7267),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7267),
    [anon_sym_BSLASHcitealt] = ACTIONS(7267),
    [anon_sym_BSLASHcitealp] = ACTIONS(7267),
    [anon_sym_BSLASHcitetext] = ACTIONS(7267),
    [anon_sym_BSLASHparencite] = ACTIONS(7267),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHParencite] = ACTIONS(7267),
    [anon_sym_BSLASHfootcite] = ACTIONS(7267),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7267),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7267),
    [anon_sym_BSLASHtextcite] = ACTIONS(7267),
    [anon_sym_BSLASHTextcite] = ACTIONS(7267),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7267),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7267),
    [anon_sym_BSLASHsupercite] = ACTIONS(7267),
    [anon_sym_BSLASHautocite] = ACTIONS(7267),
    [anon_sym_BSLASHAutocite] = ACTIONS(7267),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHVolcite] = ACTIONS(7267),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHavolcite] = ACTIONS(7267),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHNotecite] = ACTIONS(7267),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHlabel] = ACTIONS(7267),
    [anon_sym_BSLASHref] = ACTIONS(7267),
    [anon_sym_BSLASHeqref] = ACTIONS(7267),
    [anon_sym_BSLASHvref] = ACTIONS(7267),
    [anon_sym_BSLASHVref] = ACTIONS(7267),
    [anon_sym_BSLASHautoref] = ACTIONS(7267),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHpageref] = ACTIONS(7267),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHautopageref] = ACTIONS(7267),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcref] = ACTIONS(7267),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCref] = ACTIONS(7267),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcpageref] = ACTIONS(7267),
    [anon_sym_BSLASHCpageref] = ACTIONS(7267),
    [anon_sym_BSLASHnamecref] = ACTIONS(7267),
    [anon_sym_BSLASHnameCref] = ACTIONS(7267),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7267),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7267),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7267),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7267),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7267),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7267),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7267),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7267),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7267),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7267),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7267),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHdef] = ACTIONS(7267),
    [anon_sym_BSLASHgdef] = ACTIONS(7267),
    [anon_sym_BSLASHedef] = ACTIONS(7267),
    [anon_sym_BSLASHxdef] = ACTIONS(7267),
    [anon_sym_BSLASHlet] = ACTIONS(7267),
    [anon_sym_BSLASHglet] = ACTIONS(7267),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7267),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7267),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7267),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7267),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7267),
    [anon_sym_BSLASHgls] = ACTIONS(7267),
    [anon_sym_BSLASHGls] = ACTIONS(7267),
    [anon_sym_BSLASHGLS] = ACTIONS(7267),
    [anon_sym_BSLASHglspl] = ACTIONS(7267),
    [anon_sym_BSLASHGlspl] = ACTIONS(7267),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7267),
    [anon_sym_BSLASHglslink] = ACTIONS(7267),
    [anon_sym_BSLASHglstext] = ACTIONS(7267),
    [anon_sym_BSLASHGlstext] = ACTIONS(7267),
    [anon_sym_BSLASHGLStext] = ACTIONS(7267),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7267),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7267),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7267),
    [anon_sym_BSLASHglsplural] = ACTIONS(7267),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7267),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7267),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHglsname] = ACTIONS(7267),
    [anon_sym_BSLASHGlsname] = ACTIONS(7267),
    [anon_sym_BSLASHGLSname] = ACTIONS(7267),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7267),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7267),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7267),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7267),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7267),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7267),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7267),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7267),
    [anon_sym_BSLASHacrshort] = ACTIONS(7267),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7267),
    [anon_sym_BSLASHACRshort] = ACTIONS(7267),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHacrlong] = ACTIONS(7267),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7267),
    [anon_sym_BSLASHACRlong] = ACTIONS(7267),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHacrfull] = ACTIONS(7267),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7267),
    [anon_sym_BSLASHACRfull] = ACTIONS(7267),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHacs] = ACTIONS(7267),
    [anon_sym_BSLASHAcs] = ACTIONS(7267),
    [anon_sym_BSLASHacsp] = ACTIONS(7267),
    [anon_sym_BSLASHAcsp] = ACTIONS(7267),
    [anon_sym_BSLASHacl] = ACTIONS(7267),
    [anon_sym_BSLASHAcl] = ACTIONS(7267),
    [anon_sym_BSLASHaclp] = ACTIONS(7267),
    [anon_sym_BSLASHAclp] = ACTIONS(7267),
    [anon_sym_BSLASHacf] = ACTIONS(7267),
    [anon_sym_BSLASHAcf] = ACTIONS(7267),
    [anon_sym_BSLASHacfp] = ACTIONS(7267),
    [anon_sym_BSLASHAcfp] = ACTIONS(7267),
    [anon_sym_BSLASHac] = ACTIONS(7267),
    [anon_sym_BSLASHAc] = ACTIONS(7267),
    [anon_sym_BSLASHacp] = ACTIONS(7267),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7267),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7267),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7267),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7267),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7267),
    [anon_sym_BSLASHcolor] = ACTIONS(7267),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7267),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7267),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7267),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7267),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7267),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7267),
    [anon_sym_BSLASHurl] = ACTIONS(7267),
    [anon_sym_BSLASHhref] = ACTIONS(7267),
  },
  [645] = {
    [sym_command_name] = ACTIONS(7271),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7271),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_RBRACK] = ACTIONS(7273),
    [anon_sym_COMMA] = ACTIONS(7273),
    [anon_sym_EQ] = ACTIONS(7273),
    [anon_sym_LPAREN] = ACTIONS(7273),
    [anon_sym_RPAREN] = ACTIONS(7273),
    [anon_sym_BSLASHpart] = ACTIONS(7271),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHaddpart] = ACTIONS(7271),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHchapter] = ACTIONS(7271),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHaddchap] = ACTIONS(7271),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHsection] = ACTIONS(7271),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHaddsec] = ACTIONS(7271),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHsubsection] = ACTIONS(7271),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7271),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHparagraph] = ACTIONS(7271),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7271),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHitem] = ACTIONS(7271),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7273),
    [sym_word] = ACTIONS(7271),
    [sym_placeholder] = ACTIONS(7273),
    [sym_delimiter] = ACTIONS(7273),
    [anon_sym_PLUS] = ACTIONS(7273),
    [anon_sym_DASH] = ACTIONS(7273),
    [anon_sym_STAR] = ACTIONS(7273),
    [anon_sym_SLASH] = ACTIONS(7273),
    [anon_sym_LT] = ACTIONS(7271),
    [anon_sym_GT] = ACTIONS(7271),
    [anon_sym_BANG] = ACTIONS(7271),
    [anon_sym_PIPE] = ACTIONS(7271),
    [anon_sym_COLON] = ACTIONS(7271),
    [anon_sym_SQUOTE] = ACTIONS(7271),
    [anon_sym__] = ACTIONS(7273),
    [anon_sym_CARET] = ACTIONS(7273),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7273),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7273),
    [anon_sym_DOLLAR] = ACTIONS(7271),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7273),
    [anon_sym_BSLASHleft] = ACTIONS(7271),
    [anon_sym_BSLASHbigl] = ACTIONS(7271),
    [anon_sym_BSLASHBigl] = ACTIONS(7271),
    [anon_sym_BSLASHbiggl] = ACTIONS(7271),
    [anon_sym_BSLASHBiggl] = ACTIONS(7271),
    [anon_sym_BSLASHright] = ACTIONS(7271),
    [anon_sym_BSLASHbigr] = ACTIONS(7271),
    [anon_sym_BSLASHBigr] = ACTIONS(7271),
    [anon_sym_BSLASHbiggr] = ACTIONS(7271),
    [anon_sym_BSLASHBiggr] = ACTIONS(7271),
    [anon_sym_BSLASHtext] = ACTIONS(7271),
    [anon_sym_BSLASHintertext] = ACTIONS(7271),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7271),
    [anon_sym_BSLASHbegin] = ACTIONS(7271),
    [anon_sym_BSLASHtitle] = ACTIONS(7271),
    [anon_sym_BSLASHauthor] = ACTIONS(7271),
    [anon_sym_BSLASHusepackage] = ACTIONS(7271),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7271),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7271),
    [anon_sym_BSLASHinclude] = ACTIONS(7271),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7271),
    [anon_sym_BSLASHinput] = ACTIONS(7271),
    [anon_sym_BSLASHsubfile] = ACTIONS(7271),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7271),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7271),
    [anon_sym_BSLASHbibliography] = ACTIONS(7271),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7271),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7271),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7271),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7271),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7271),
    [anon_sym_BSLASHimport] = ACTIONS(7271),
    [anon_sym_BSLASHsubimport] = ACTIONS(7271),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7271),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7271),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7271),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7271),
    [anon_sym_BSLASHcaption] = ACTIONS(7271),
    [anon_sym_BSLASHcite] = ACTIONS(7271),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCite] = ACTIONS(7271),
    [anon_sym_BSLASHnocite] = ACTIONS(7271),
    [anon_sym_BSLASHcitet] = ACTIONS(7271),
    [anon_sym_BSLASHcitep] = ACTIONS(7271),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteA] = ACTIONS(7271),
    [anon_sym_BSLASHciteR] = ACTIONS(7271),
    [anon_sym_BSLASHciteS] = ACTIONS(7271),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7271),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7271),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7271),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7271),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteyear] = ACTIONS(7271),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitedate] = ACTIONS(7271),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteurl] = ACTIONS(7271),
    [anon_sym_BSLASHfullcite] = ACTIONS(7271),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7271),
    [anon_sym_BSLASHcitealt] = ACTIONS(7271),
    [anon_sym_BSLASHcitealp] = ACTIONS(7271),
    [anon_sym_BSLASHcitetext] = ACTIONS(7271),
    [anon_sym_BSLASHparencite] = ACTIONS(7271),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHParencite] = ACTIONS(7271),
    [anon_sym_BSLASHfootcite] = ACTIONS(7271),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7271),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7271),
    [anon_sym_BSLASHtextcite] = ACTIONS(7271),
    [anon_sym_BSLASHTextcite] = ACTIONS(7271),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7271),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7271),
    [anon_sym_BSLASHsupercite] = ACTIONS(7271),
    [anon_sym_BSLASHautocite] = ACTIONS(7271),
    [anon_sym_BSLASHAutocite] = ACTIONS(7271),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHVolcite] = ACTIONS(7271),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHavolcite] = ACTIONS(7271),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHNotecite] = ACTIONS(7271),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHlabel] = ACTIONS(7271),
    [anon_sym_BSLASHref] = ACTIONS(7271),
    [anon_sym_BSLASHeqref] = ACTIONS(7271),
    [anon_sym_BSLASHvref] = ACTIONS(7271),
    [anon_sym_BSLASHVref] = ACTIONS(7271),
    [anon_sym_BSLASHautoref] = ACTIONS(7271),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHpageref] = ACTIONS(7271),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHautopageref] = ACTIONS(7271),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcref] = ACTIONS(7271),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCref] = ACTIONS(7271),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcpageref] = ACTIONS(7271),
    [anon_sym_BSLASHCpageref] = ACTIONS(7271),
    [anon_sym_BSLASHnamecref] = ACTIONS(7271),
    [anon_sym_BSLASHnameCref] = ACTIONS(7271),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7271),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7271),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7271),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7271),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7271),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7271),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7271),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7271),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7271),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7271),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7271),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHdef] = ACTIONS(7271),
    [anon_sym_BSLASHgdef] = ACTIONS(7271),
    [anon_sym_BSLASHedef] = ACTIONS(7271),
    [anon_sym_BSLASHxdef] = ACTIONS(7271),
    [anon_sym_BSLASHlet] = ACTIONS(7271),
    [anon_sym_BSLASHglet] = ACTIONS(7271),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7271),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7271),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7271),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7271),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7271),
    [anon_sym_BSLASHgls] = ACTIONS(7271),
    [anon_sym_BSLASHGls] = ACTIONS(7271),
    [anon_sym_BSLASHGLS] = ACTIONS(7271),
    [anon_sym_BSLASHglspl] = ACTIONS(7271),
    [anon_sym_BSLASHGlspl] = ACTIONS(7271),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7271),
    [anon_sym_BSLASHglslink] = ACTIONS(7271),
    [anon_sym_BSLASHglstext] = ACTIONS(7271),
    [anon_sym_BSLASHGlstext] = ACTIONS(7271),
    [anon_sym_BSLASHGLStext] = ACTIONS(7271),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7271),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7271),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7271),
    [anon_sym_BSLASHglsplural] = ACTIONS(7271),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7271),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7271),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHglsname] = ACTIONS(7271),
    [anon_sym_BSLASHGlsname] = ACTIONS(7271),
    [anon_sym_BSLASHGLSname] = ACTIONS(7271),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7271),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7271),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7271),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7271),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7271),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7271),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7271),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7271),
    [anon_sym_BSLASHacrshort] = ACTIONS(7271),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7271),
    [anon_sym_BSLASHACRshort] = ACTIONS(7271),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHacrlong] = ACTIONS(7271),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7271),
    [anon_sym_BSLASHACRlong] = ACTIONS(7271),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHacrfull] = ACTIONS(7271),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7271),
    [anon_sym_BSLASHACRfull] = ACTIONS(7271),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHacs] = ACTIONS(7271),
    [anon_sym_BSLASHAcs] = ACTIONS(7271),
    [anon_sym_BSLASHacsp] = ACTIONS(7271),
    [anon_sym_BSLASHAcsp] = ACTIONS(7271),
    [anon_sym_BSLASHacl] = ACTIONS(7271),
    [anon_sym_BSLASHAcl] = ACTIONS(7271),
    [anon_sym_BSLASHaclp] = ACTIONS(7271),
    [anon_sym_BSLASHAclp] = ACTIONS(7271),
    [anon_sym_BSLASHacf] = ACTIONS(7271),
    [anon_sym_BSLASHAcf] = ACTIONS(7271),
    [anon_sym_BSLASHacfp] = ACTIONS(7271),
    [anon_sym_BSLASHAcfp] = ACTIONS(7271),
    [anon_sym_BSLASHac] = ACTIONS(7271),
    [anon_sym_BSLASHAc] = ACTIONS(7271),
    [anon_sym_BSLASHacp] = ACTIONS(7271),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7271),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7271),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7271),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7271),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7271),
    [anon_sym_BSLASHcolor] = ACTIONS(7271),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7271),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7271),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7271),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7271),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7271),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7271),
    [anon_sym_BSLASHurl] = ACTIONS(7271),
    [anon_sym_BSLASHhref] = ACTIONS(7271),
  },
  [646] = {
    [sym_command_name] = ACTIONS(7275),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7275),
    [anon_sym_LBRACK] = ACTIONS(7277),
    [anon_sym_RBRACK] = ACTIONS(7277),
    [anon_sym_COMMA] = ACTIONS(7277),
    [anon_sym_EQ] = ACTIONS(7277),
    [anon_sym_LPAREN] = ACTIONS(7277),
    [anon_sym_RPAREN] = ACTIONS(7277),
    [anon_sym_BSLASHpart] = ACTIONS(7275),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHaddpart] = ACTIONS(7275),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHchapter] = ACTIONS(7275),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHaddchap] = ACTIONS(7275),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHsection] = ACTIONS(7275),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHaddsec] = ACTIONS(7275),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHsubsection] = ACTIONS(7275),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7275),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHparagraph] = ACTIONS(7275),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7275),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHitem] = ACTIONS(7275),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7277),
    [anon_sym_LBRACE] = ACTIONS(7277),
    [sym_word] = ACTIONS(7275),
    [sym_placeholder] = ACTIONS(7277),
    [sym_delimiter] = ACTIONS(7277),
    [anon_sym_PLUS] = ACTIONS(7277),
    [anon_sym_DASH] = ACTIONS(7277),
    [anon_sym_STAR] = ACTIONS(7277),
    [anon_sym_SLASH] = ACTIONS(7277),
    [anon_sym_LT] = ACTIONS(7275),
    [anon_sym_GT] = ACTIONS(7275),
    [anon_sym_BANG] = ACTIONS(7275),
    [anon_sym_PIPE] = ACTIONS(7275),
    [anon_sym_COLON] = ACTIONS(7275),
    [anon_sym_SQUOTE] = ACTIONS(7275),
    [anon_sym__] = ACTIONS(7277),
    [anon_sym_CARET] = ACTIONS(7277),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7277),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7277),
    [anon_sym_DOLLAR] = ACTIONS(7275),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7277),
    [anon_sym_BSLASHleft] = ACTIONS(7275),
    [anon_sym_BSLASHbigl] = ACTIONS(7275),
    [anon_sym_BSLASHBigl] = ACTIONS(7275),
    [anon_sym_BSLASHbiggl] = ACTIONS(7275),
    [anon_sym_BSLASHBiggl] = ACTIONS(7275),
    [anon_sym_BSLASHright] = ACTIONS(7275),
    [anon_sym_BSLASHbigr] = ACTIONS(7275),
    [anon_sym_BSLASHBigr] = ACTIONS(7275),
    [anon_sym_BSLASHbiggr] = ACTIONS(7275),
    [anon_sym_BSLASHBiggr] = ACTIONS(7275),
    [anon_sym_BSLASHtext] = ACTIONS(7275),
    [anon_sym_BSLASHintertext] = ACTIONS(7275),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7275),
    [anon_sym_BSLASHbegin] = ACTIONS(7275),
    [anon_sym_BSLASHtitle] = ACTIONS(7275),
    [anon_sym_BSLASHauthor] = ACTIONS(7275),
    [anon_sym_BSLASHusepackage] = ACTIONS(7275),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7275),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7275),
    [anon_sym_BSLASHinclude] = ACTIONS(7275),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7275),
    [anon_sym_BSLASHinput] = ACTIONS(7275),
    [anon_sym_BSLASHsubfile] = ACTIONS(7275),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7275),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7275),
    [anon_sym_BSLASHbibliography] = ACTIONS(7275),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7275),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7275),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7275),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7275),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7275),
    [anon_sym_BSLASHimport] = ACTIONS(7275),
    [anon_sym_BSLASHsubimport] = ACTIONS(7275),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7275),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7275),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7275),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7275),
    [anon_sym_BSLASHcaption] = ACTIONS(7275),
    [anon_sym_BSLASHcite] = ACTIONS(7275),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCite] = ACTIONS(7275),
    [anon_sym_BSLASHnocite] = ACTIONS(7275),
    [anon_sym_BSLASHcitet] = ACTIONS(7275),
    [anon_sym_BSLASHcitep] = ACTIONS(7275),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteA] = ACTIONS(7275),
    [anon_sym_BSLASHciteR] = ACTIONS(7275),
    [anon_sym_BSLASHciteS] = ACTIONS(7275),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7275),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7275),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7275),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7275),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteyear] = ACTIONS(7275),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitedate] = ACTIONS(7275),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteurl] = ACTIONS(7275),
    [anon_sym_BSLASHfullcite] = ACTIONS(7275),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7275),
    [anon_sym_BSLASHcitealt] = ACTIONS(7275),
    [anon_sym_BSLASHcitealp] = ACTIONS(7275),
    [anon_sym_BSLASHcitetext] = ACTIONS(7275),
    [anon_sym_BSLASHparencite] = ACTIONS(7275),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHParencite] = ACTIONS(7275),
    [anon_sym_BSLASHfootcite] = ACTIONS(7275),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7275),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7275),
    [anon_sym_BSLASHtextcite] = ACTIONS(7275),
    [anon_sym_BSLASHTextcite] = ACTIONS(7275),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7275),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7275),
    [anon_sym_BSLASHsupercite] = ACTIONS(7275),
    [anon_sym_BSLASHautocite] = ACTIONS(7275),
    [anon_sym_BSLASHAutocite] = ACTIONS(7275),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHVolcite] = ACTIONS(7275),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHavolcite] = ACTIONS(7275),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHNotecite] = ACTIONS(7275),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHlabel] = ACTIONS(7275),
    [anon_sym_BSLASHref] = ACTIONS(7275),
    [anon_sym_BSLASHeqref] = ACTIONS(7275),
    [anon_sym_BSLASHvref] = ACTIONS(7275),
    [anon_sym_BSLASHVref] = ACTIONS(7275),
    [anon_sym_BSLASHautoref] = ACTIONS(7275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHpageref] = ACTIONS(7275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHautopageref] = ACTIONS(7275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcref] = ACTIONS(7275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCref] = ACTIONS(7275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcpageref] = ACTIONS(7275),
    [anon_sym_BSLASHCpageref] = ACTIONS(7275),
    [anon_sym_BSLASHnamecref] = ACTIONS(7275),
    [anon_sym_BSLASHnameCref] = ACTIONS(7275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7275),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7275),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7275),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7275),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7275),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7275),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7275),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7275),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHdef] = ACTIONS(7275),
    [anon_sym_BSLASHgdef] = ACTIONS(7275),
    [anon_sym_BSLASHedef] = ACTIONS(7275),
    [anon_sym_BSLASHxdef] = ACTIONS(7275),
    [anon_sym_BSLASHlet] = ACTIONS(7275),
    [anon_sym_BSLASHglet] = ACTIONS(7275),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7275),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7275),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7275),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7275),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7275),
    [anon_sym_BSLASHgls] = ACTIONS(7275),
    [anon_sym_BSLASHGls] = ACTIONS(7275),
    [anon_sym_BSLASHGLS] = ACTIONS(7275),
    [anon_sym_BSLASHglspl] = ACTIONS(7275),
    [anon_sym_BSLASHGlspl] = ACTIONS(7275),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7275),
    [anon_sym_BSLASHglslink] = ACTIONS(7275),
    [anon_sym_BSLASHglstext] = ACTIONS(7275),
    [anon_sym_BSLASHGlstext] = ACTIONS(7275),
    [anon_sym_BSLASHGLStext] = ACTIONS(7275),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7275),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7275),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7275),
    [anon_sym_BSLASHglsplural] = ACTIONS(7275),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7275),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7275),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHglsname] = ACTIONS(7275),
    [anon_sym_BSLASHGlsname] = ACTIONS(7275),
    [anon_sym_BSLASHGLSname] = ACTIONS(7275),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7275),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7275),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7275),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7275),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7275),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7275),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7275),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7275),
    [anon_sym_BSLASHacrshort] = ACTIONS(7275),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7275),
    [anon_sym_BSLASHACRshort] = ACTIONS(7275),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHacrlong] = ACTIONS(7275),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7275),
    [anon_sym_BSLASHACRlong] = ACTIONS(7275),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHacrfull] = ACTIONS(7275),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7275),
    [anon_sym_BSLASHACRfull] = ACTIONS(7275),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHacs] = ACTIONS(7275),
    [anon_sym_BSLASHAcs] = ACTIONS(7275),
    [anon_sym_BSLASHacsp] = ACTIONS(7275),
    [anon_sym_BSLASHAcsp] = ACTIONS(7275),
    [anon_sym_BSLASHacl] = ACTIONS(7275),
    [anon_sym_BSLASHAcl] = ACTIONS(7275),
    [anon_sym_BSLASHaclp] = ACTIONS(7275),
    [anon_sym_BSLASHAclp] = ACTIONS(7275),
    [anon_sym_BSLASHacf] = ACTIONS(7275),
    [anon_sym_BSLASHAcf] = ACTIONS(7275),
    [anon_sym_BSLASHacfp] = ACTIONS(7275),
    [anon_sym_BSLASHAcfp] = ACTIONS(7275),
    [anon_sym_BSLASHac] = ACTIONS(7275),
    [anon_sym_BSLASHAc] = ACTIONS(7275),
    [anon_sym_BSLASHacp] = ACTIONS(7275),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7275),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7275),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7275),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7275),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7275),
    [anon_sym_BSLASHcolor] = ACTIONS(7275),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7275),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7275),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7275),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7275),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7275),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7275),
    [anon_sym_BSLASHurl] = ACTIONS(7275),
    [anon_sym_BSLASHhref] = ACTIONS(7275),
  },
  [647] = {
    [sym_command_name] = ACTIONS(7279),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7279),
    [anon_sym_LBRACK] = ACTIONS(7281),
    [anon_sym_RBRACK] = ACTIONS(7281),
    [anon_sym_COMMA] = ACTIONS(7281),
    [anon_sym_EQ] = ACTIONS(7281),
    [anon_sym_LPAREN] = ACTIONS(7281),
    [anon_sym_RPAREN] = ACTIONS(7281),
    [anon_sym_BSLASHpart] = ACTIONS(7279),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHaddpart] = ACTIONS(7279),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHchapter] = ACTIONS(7279),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHaddchap] = ACTIONS(7279),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHsection] = ACTIONS(7279),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHaddsec] = ACTIONS(7279),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHsubsection] = ACTIONS(7279),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7279),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHparagraph] = ACTIONS(7279),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7279),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHitem] = ACTIONS(7279),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7281),
    [anon_sym_LBRACE] = ACTIONS(7281),
    [sym_word] = ACTIONS(7279),
    [sym_placeholder] = ACTIONS(7281),
    [sym_delimiter] = ACTIONS(7281),
    [anon_sym_PLUS] = ACTIONS(7281),
    [anon_sym_DASH] = ACTIONS(7281),
    [anon_sym_STAR] = ACTIONS(7281),
    [anon_sym_SLASH] = ACTIONS(7281),
    [anon_sym_LT] = ACTIONS(7279),
    [anon_sym_GT] = ACTIONS(7279),
    [anon_sym_BANG] = ACTIONS(7279),
    [anon_sym_PIPE] = ACTIONS(7279),
    [anon_sym_COLON] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7279),
    [anon_sym__] = ACTIONS(7281),
    [anon_sym_CARET] = ACTIONS(7281),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7281),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7281),
    [anon_sym_DOLLAR] = ACTIONS(7279),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7281),
    [anon_sym_BSLASHleft] = ACTIONS(7279),
    [anon_sym_BSLASHbigl] = ACTIONS(7279),
    [anon_sym_BSLASHBigl] = ACTIONS(7279),
    [anon_sym_BSLASHbiggl] = ACTIONS(7279),
    [anon_sym_BSLASHBiggl] = ACTIONS(7279),
    [anon_sym_BSLASHright] = ACTIONS(7279),
    [anon_sym_BSLASHbigr] = ACTIONS(7279),
    [anon_sym_BSLASHBigr] = ACTIONS(7279),
    [anon_sym_BSLASHbiggr] = ACTIONS(7279),
    [anon_sym_BSLASHBiggr] = ACTIONS(7279),
    [anon_sym_BSLASHtext] = ACTIONS(7279),
    [anon_sym_BSLASHintertext] = ACTIONS(7279),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7279),
    [anon_sym_BSLASHbegin] = ACTIONS(7279),
    [anon_sym_BSLASHtitle] = ACTIONS(7279),
    [anon_sym_BSLASHauthor] = ACTIONS(7279),
    [anon_sym_BSLASHusepackage] = ACTIONS(7279),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7279),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7279),
    [anon_sym_BSLASHinclude] = ACTIONS(7279),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7279),
    [anon_sym_BSLASHinput] = ACTIONS(7279),
    [anon_sym_BSLASHsubfile] = ACTIONS(7279),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7279),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7279),
    [anon_sym_BSLASHbibliography] = ACTIONS(7279),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7279),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7279),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7279),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7279),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7279),
    [anon_sym_BSLASHimport] = ACTIONS(7279),
    [anon_sym_BSLASHsubimport] = ACTIONS(7279),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7279),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7279),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7279),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7279),
    [anon_sym_BSLASHcaption] = ACTIONS(7279),
    [anon_sym_BSLASHcite] = ACTIONS(7279),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCite] = ACTIONS(7279),
    [anon_sym_BSLASHnocite] = ACTIONS(7279),
    [anon_sym_BSLASHcitet] = ACTIONS(7279),
    [anon_sym_BSLASHcitep] = ACTIONS(7279),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteA] = ACTIONS(7279),
    [anon_sym_BSLASHciteR] = ACTIONS(7279),
    [anon_sym_BSLASHciteS] = ACTIONS(7279),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7279),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7279),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7279),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7279),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteyear] = ACTIONS(7279),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitedate] = ACTIONS(7279),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteurl] = ACTIONS(7279),
    [anon_sym_BSLASHfullcite] = ACTIONS(7279),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7279),
    [anon_sym_BSLASHcitealt] = ACTIONS(7279),
    [anon_sym_BSLASHcitealp] = ACTIONS(7279),
    [anon_sym_BSLASHcitetext] = ACTIONS(7279),
    [anon_sym_BSLASHparencite] = ACTIONS(7279),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHParencite] = ACTIONS(7279),
    [anon_sym_BSLASHfootcite] = ACTIONS(7279),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7279),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7279),
    [anon_sym_BSLASHtextcite] = ACTIONS(7279),
    [anon_sym_BSLASHTextcite] = ACTIONS(7279),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7279),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7279),
    [anon_sym_BSLASHsupercite] = ACTIONS(7279),
    [anon_sym_BSLASHautocite] = ACTIONS(7279),
    [anon_sym_BSLASHAutocite] = ACTIONS(7279),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHVolcite] = ACTIONS(7279),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHavolcite] = ACTIONS(7279),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHNotecite] = ACTIONS(7279),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHlabel] = ACTIONS(7279),
    [anon_sym_BSLASHref] = ACTIONS(7279),
    [anon_sym_BSLASHeqref] = ACTIONS(7279),
    [anon_sym_BSLASHvref] = ACTIONS(7279),
    [anon_sym_BSLASHVref] = ACTIONS(7279),
    [anon_sym_BSLASHautoref] = ACTIONS(7279),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHpageref] = ACTIONS(7279),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHautopageref] = ACTIONS(7279),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcref] = ACTIONS(7279),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCref] = ACTIONS(7279),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcpageref] = ACTIONS(7279),
    [anon_sym_BSLASHCpageref] = ACTIONS(7279),
    [anon_sym_BSLASHnamecref] = ACTIONS(7279),
    [anon_sym_BSLASHnameCref] = ACTIONS(7279),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7279),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7279),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7279),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7279),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7279),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7279),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7279),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHdef] = ACTIONS(7279),
    [anon_sym_BSLASHgdef] = ACTIONS(7279),
    [anon_sym_BSLASHedef] = ACTIONS(7279),
    [anon_sym_BSLASHxdef] = ACTIONS(7279),
    [anon_sym_BSLASHlet] = ACTIONS(7279),
    [anon_sym_BSLASHglet] = ACTIONS(7279),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7279),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7279),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7279),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7279),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7279),
    [anon_sym_BSLASHgls] = ACTIONS(7279),
    [anon_sym_BSLASHGls] = ACTIONS(7279),
    [anon_sym_BSLASHGLS] = ACTIONS(7279),
    [anon_sym_BSLASHglspl] = ACTIONS(7279),
    [anon_sym_BSLASHGlspl] = ACTIONS(7279),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7279),
    [anon_sym_BSLASHglslink] = ACTIONS(7279),
    [anon_sym_BSLASHglstext] = ACTIONS(7279),
    [anon_sym_BSLASHGlstext] = ACTIONS(7279),
    [anon_sym_BSLASHGLStext] = ACTIONS(7279),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7279),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7279),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7279),
    [anon_sym_BSLASHglsplural] = ACTIONS(7279),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7279),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7279),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHglsname] = ACTIONS(7279),
    [anon_sym_BSLASHGlsname] = ACTIONS(7279),
    [anon_sym_BSLASHGLSname] = ACTIONS(7279),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7279),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7279),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7279),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7279),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7279),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7279),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7279),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7279),
    [anon_sym_BSLASHacrshort] = ACTIONS(7279),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7279),
    [anon_sym_BSLASHACRshort] = ACTIONS(7279),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHacrlong] = ACTIONS(7279),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7279),
    [anon_sym_BSLASHACRlong] = ACTIONS(7279),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHacrfull] = ACTIONS(7279),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7279),
    [anon_sym_BSLASHACRfull] = ACTIONS(7279),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHacs] = ACTIONS(7279),
    [anon_sym_BSLASHAcs] = ACTIONS(7279),
    [anon_sym_BSLASHacsp] = ACTIONS(7279),
    [anon_sym_BSLASHAcsp] = ACTIONS(7279),
    [anon_sym_BSLASHacl] = ACTIONS(7279),
    [anon_sym_BSLASHAcl] = ACTIONS(7279),
    [anon_sym_BSLASHaclp] = ACTIONS(7279),
    [anon_sym_BSLASHAclp] = ACTIONS(7279),
    [anon_sym_BSLASHacf] = ACTIONS(7279),
    [anon_sym_BSLASHAcf] = ACTIONS(7279),
    [anon_sym_BSLASHacfp] = ACTIONS(7279),
    [anon_sym_BSLASHAcfp] = ACTIONS(7279),
    [anon_sym_BSLASHac] = ACTIONS(7279),
    [anon_sym_BSLASHAc] = ACTIONS(7279),
    [anon_sym_BSLASHacp] = ACTIONS(7279),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7279),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7279),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7279),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7279),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7279),
    [anon_sym_BSLASHcolor] = ACTIONS(7279),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7279),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7279),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7279),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7279),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7279),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7279),
    [anon_sym_BSLASHurl] = ACTIONS(7279),
    [anon_sym_BSLASHhref] = ACTIONS(7279),
  },
  [648] = {
    [sym_command_name] = ACTIONS(7283),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7283),
    [anon_sym_LBRACK] = ACTIONS(7285),
    [anon_sym_RBRACK] = ACTIONS(7285),
    [anon_sym_COMMA] = ACTIONS(7285),
    [anon_sym_EQ] = ACTIONS(7285),
    [anon_sym_LPAREN] = ACTIONS(7285),
    [anon_sym_RPAREN] = ACTIONS(7285),
    [anon_sym_BSLASHpart] = ACTIONS(7283),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHaddpart] = ACTIONS(7283),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHchapter] = ACTIONS(7283),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHaddchap] = ACTIONS(7283),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHsection] = ACTIONS(7283),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHaddsec] = ACTIONS(7283),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHsubsection] = ACTIONS(7283),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7283),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHparagraph] = ACTIONS(7283),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7283),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHitem] = ACTIONS(7283),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7285),
    [anon_sym_LBRACE] = ACTIONS(7285),
    [sym_word] = ACTIONS(7283),
    [sym_placeholder] = ACTIONS(7285),
    [sym_delimiter] = ACTIONS(7285),
    [anon_sym_PLUS] = ACTIONS(7285),
    [anon_sym_DASH] = ACTIONS(7285),
    [anon_sym_STAR] = ACTIONS(7285),
    [anon_sym_SLASH] = ACTIONS(7285),
    [anon_sym_LT] = ACTIONS(7283),
    [anon_sym_GT] = ACTIONS(7283),
    [anon_sym_BANG] = ACTIONS(7283),
    [anon_sym_PIPE] = ACTIONS(7283),
    [anon_sym_COLON] = ACTIONS(7283),
    [anon_sym_SQUOTE] = ACTIONS(7283),
    [anon_sym__] = ACTIONS(7285),
    [anon_sym_CARET] = ACTIONS(7285),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7285),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7285),
    [anon_sym_DOLLAR] = ACTIONS(7283),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7285),
    [anon_sym_BSLASHleft] = ACTIONS(7283),
    [anon_sym_BSLASHbigl] = ACTIONS(7283),
    [anon_sym_BSLASHBigl] = ACTIONS(7283),
    [anon_sym_BSLASHbiggl] = ACTIONS(7283),
    [anon_sym_BSLASHBiggl] = ACTIONS(7283),
    [anon_sym_BSLASHright] = ACTIONS(7283),
    [anon_sym_BSLASHbigr] = ACTIONS(7283),
    [anon_sym_BSLASHBigr] = ACTIONS(7283),
    [anon_sym_BSLASHbiggr] = ACTIONS(7283),
    [anon_sym_BSLASHBiggr] = ACTIONS(7283),
    [anon_sym_BSLASHtext] = ACTIONS(7283),
    [anon_sym_BSLASHintertext] = ACTIONS(7283),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7283),
    [anon_sym_BSLASHbegin] = ACTIONS(7283),
    [anon_sym_BSLASHtitle] = ACTIONS(7283),
    [anon_sym_BSLASHauthor] = ACTIONS(7283),
    [anon_sym_BSLASHusepackage] = ACTIONS(7283),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7283),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7283),
    [anon_sym_BSLASHinclude] = ACTIONS(7283),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7283),
    [anon_sym_BSLASHinput] = ACTIONS(7283),
    [anon_sym_BSLASHsubfile] = ACTIONS(7283),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7283),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7283),
    [anon_sym_BSLASHbibliography] = ACTIONS(7283),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7283),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7283),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7283),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7283),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7283),
    [anon_sym_BSLASHimport] = ACTIONS(7283),
    [anon_sym_BSLASHsubimport] = ACTIONS(7283),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7283),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7283),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7283),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7283),
    [anon_sym_BSLASHcaption] = ACTIONS(7283),
    [anon_sym_BSLASHcite] = ACTIONS(7283),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCite] = ACTIONS(7283),
    [anon_sym_BSLASHnocite] = ACTIONS(7283),
    [anon_sym_BSLASHcitet] = ACTIONS(7283),
    [anon_sym_BSLASHcitep] = ACTIONS(7283),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteA] = ACTIONS(7283),
    [anon_sym_BSLASHciteR] = ACTIONS(7283),
    [anon_sym_BSLASHciteS] = ACTIONS(7283),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7283),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7283),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7283),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7283),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteyear] = ACTIONS(7283),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitedate] = ACTIONS(7283),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteurl] = ACTIONS(7283),
    [anon_sym_BSLASHfullcite] = ACTIONS(7283),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7283),
    [anon_sym_BSLASHcitealt] = ACTIONS(7283),
    [anon_sym_BSLASHcitealp] = ACTIONS(7283),
    [anon_sym_BSLASHcitetext] = ACTIONS(7283),
    [anon_sym_BSLASHparencite] = ACTIONS(7283),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHParencite] = ACTIONS(7283),
    [anon_sym_BSLASHfootcite] = ACTIONS(7283),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7283),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7283),
    [anon_sym_BSLASHtextcite] = ACTIONS(7283),
    [anon_sym_BSLASHTextcite] = ACTIONS(7283),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7283),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7283),
    [anon_sym_BSLASHsupercite] = ACTIONS(7283),
    [anon_sym_BSLASHautocite] = ACTIONS(7283),
    [anon_sym_BSLASHAutocite] = ACTIONS(7283),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHVolcite] = ACTIONS(7283),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHavolcite] = ACTIONS(7283),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHNotecite] = ACTIONS(7283),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHlabel] = ACTIONS(7283),
    [anon_sym_BSLASHref] = ACTIONS(7283),
    [anon_sym_BSLASHeqref] = ACTIONS(7283),
    [anon_sym_BSLASHvref] = ACTIONS(7283),
    [anon_sym_BSLASHVref] = ACTIONS(7283),
    [anon_sym_BSLASHautoref] = ACTIONS(7283),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHpageref] = ACTIONS(7283),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHautopageref] = ACTIONS(7283),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcref] = ACTIONS(7283),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCref] = ACTIONS(7283),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcpageref] = ACTIONS(7283),
    [anon_sym_BSLASHCpageref] = ACTIONS(7283),
    [anon_sym_BSLASHnamecref] = ACTIONS(7283),
    [anon_sym_BSLASHnameCref] = ACTIONS(7283),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7283),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7283),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7283),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7283),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7283),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7283),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7283),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7283),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7283),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7283),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHdef] = ACTIONS(7283),
    [anon_sym_BSLASHgdef] = ACTIONS(7283),
    [anon_sym_BSLASHedef] = ACTIONS(7283),
    [anon_sym_BSLASHxdef] = ACTIONS(7283),
    [anon_sym_BSLASHlet] = ACTIONS(7283),
    [anon_sym_BSLASHglet] = ACTIONS(7283),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7283),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7283),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7283),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7283),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7283),
    [anon_sym_BSLASHgls] = ACTIONS(7283),
    [anon_sym_BSLASHGls] = ACTIONS(7283),
    [anon_sym_BSLASHGLS] = ACTIONS(7283),
    [anon_sym_BSLASHglspl] = ACTIONS(7283),
    [anon_sym_BSLASHGlspl] = ACTIONS(7283),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7283),
    [anon_sym_BSLASHglslink] = ACTIONS(7283),
    [anon_sym_BSLASHglstext] = ACTIONS(7283),
    [anon_sym_BSLASHGlstext] = ACTIONS(7283),
    [anon_sym_BSLASHGLStext] = ACTIONS(7283),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7283),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7283),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7283),
    [anon_sym_BSLASHglsplural] = ACTIONS(7283),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7283),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7283),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHglsname] = ACTIONS(7283),
    [anon_sym_BSLASHGlsname] = ACTIONS(7283),
    [anon_sym_BSLASHGLSname] = ACTIONS(7283),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7283),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7283),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7283),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7283),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7283),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7283),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7283),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7283),
    [anon_sym_BSLASHacrshort] = ACTIONS(7283),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7283),
    [anon_sym_BSLASHACRshort] = ACTIONS(7283),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHacrlong] = ACTIONS(7283),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7283),
    [anon_sym_BSLASHACRlong] = ACTIONS(7283),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHacrfull] = ACTIONS(7283),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7283),
    [anon_sym_BSLASHACRfull] = ACTIONS(7283),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHacs] = ACTIONS(7283),
    [anon_sym_BSLASHAcs] = ACTIONS(7283),
    [anon_sym_BSLASHacsp] = ACTIONS(7283),
    [anon_sym_BSLASHAcsp] = ACTIONS(7283),
    [anon_sym_BSLASHacl] = ACTIONS(7283),
    [anon_sym_BSLASHAcl] = ACTIONS(7283),
    [anon_sym_BSLASHaclp] = ACTIONS(7283),
    [anon_sym_BSLASHAclp] = ACTIONS(7283),
    [anon_sym_BSLASHacf] = ACTIONS(7283),
    [anon_sym_BSLASHAcf] = ACTIONS(7283),
    [anon_sym_BSLASHacfp] = ACTIONS(7283),
    [anon_sym_BSLASHAcfp] = ACTIONS(7283),
    [anon_sym_BSLASHac] = ACTIONS(7283),
    [anon_sym_BSLASHAc] = ACTIONS(7283),
    [anon_sym_BSLASHacp] = ACTIONS(7283),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7283),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7283),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7283),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7283),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7283),
    [anon_sym_BSLASHcolor] = ACTIONS(7283),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7283),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7283),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7283),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7283),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7283),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7283),
    [anon_sym_BSLASHurl] = ACTIONS(7283),
    [anon_sym_BSLASHhref] = ACTIONS(7283),
  },
  [649] = {
    [sym_command_name] = ACTIONS(7287),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7287),
    [anon_sym_LBRACK] = ACTIONS(7289),
    [anon_sym_RBRACK] = ACTIONS(7289),
    [anon_sym_COMMA] = ACTIONS(7289),
    [anon_sym_EQ] = ACTIONS(7289),
    [anon_sym_LPAREN] = ACTIONS(7289),
    [anon_sym_RPAREN] = ACTIONS(7289),
    [anon_sym_BSLASHpart] = ACTIONS(7287),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHaddpart] = ACTIONS(7287),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHchapter] = ACTIONS(7287),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHaddchap] = ACTIONS(7287),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHsection] = ACTIONS(7287),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHaddsec] = ACTIONS(7287),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHsubsection] = ACTIONS(7287),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7287),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHparagraph] = ACTIONS(7287),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7287),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHitem] = ACTIONS(7287),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7289),
    [anon_sym_LBRACE] = ACTIONS(7289),
    [sym_word] = ACTIONS(7287),
    [sym_placeholder] = ACTIONS(7289),
    [sym_delimiter] = ACTIONS(7289),
    [anon_sym_PLUS] = ACTIONS(7289),
    [anon_sym_DASH] = ACTIONS(7289),
    [anon_sym_STAR] = ACTIONS(7289),
    [anon_sym_SLASH] = ACTIONS(7289),
    [anon_sym_LT] = ACTIONS(7287),
    [anon_sym_GT] = ACTIONS(7287),
    [anon_sym_BANG] = ACTIONS(7287),
    [anon_sym_PIPE] = ACTIONS(7287),
    [anon_sym_COLON] = ACTIONS(7287),
    [anon_sym_SQUOTE] = ACTIONS(7287),
    [anon_sym__] = ACTIONS(7289),
    [anon_sym_CARET] = ACTIONS(7289),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7289),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7289),
    [anon_sym_DOLLAR] = ACTIONS(7287),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7289),
    [anon_sym_BSLASHleft] = ACTIONS(7287),
    [anon_sym_BSLASHbigl] = ACTIONS(7287),
    [anon_sym_BSLASHBigl] = ACTIONS(7287),
    [anon_sym_BSLASHbiggl] = ACTIONS(7287),
    [anon_sym_BSLASHBiggl] = ACTIONS(7287),
    [anon_sym_BSLASHright] = ACTIONS(7287),
    [anon_sym_BSLASHbigr] = ACTIONS(7287),
    [anon_sym_BSLASHBigr] = ACTIONS(7287),
    [anon_sym_BSLASHbiggr] = ACTIONS(7287),
    [anon_sym_BSLASHBiggr] = ACTIONS(7287),
    [anon_sym_BSLASHtext] = ACTIONS(7287),
    [anon_sym_BSLASHintertext] = ACTIONS(7287),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7287),
    [anon_sym_BSLASHbegin] = ACTIONS(7287),
    [anon_sym_BSLASHtitle] = ACTIONS(7287),
    [anon_sym_BSLASHauthor] = ACTIONS(7287),
    [anon_sym_BSLASHusepackage] = ACTIONS(7287),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7287),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7287),
    [anon_sym_BSLASHinclude] = ACTIONS(7287),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7287),
    [anon_sym_BSLASHinput] = ACTIONS(7287),
    [anon_sym_BSLASHsubfile] = ACTIONS(7287),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7287),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7287),
    [anon_sym_BSLASHbibliography] = ACTIONS(7287),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7287),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7287),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7287),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7287),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7287),
    [anon_sym_BSLASHimport] = ACTIONS(7287),
    [anon_sym_BSLASHsubimport] = ACTIONS(7287),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7287),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7287),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7287),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7287),
    [anon_sym_BSLASHcaption] = ACTIONS(7287),
    [anon_sym_BSLASHcite] = ACTIONS(7287),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCite] = ACTIONS(7287),
    [anon_sym_BSLASHnocite] = ACTIONS(7287),
    [anon_sym_BSLASHcitet] = ACTIONS(7287),
    [anon_sym_BSLASHcitep] = ACTIONS(7287),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteA] = ACTIONS(7287),
    [anon_sym_BSLASHciteR] = ACTIONS(7287),
    [anon_sym_BSLASHciteS] = ACTIONS(7287),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7287),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7287),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7287),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7287),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteyear] = ACTIONS(7287),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitedate] = ACTIONS(7287),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteurl] = ACTIONS(7287),
    [anon_sym_BSLASHfullcite] = ACTIONS(7287),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7287),
    [anon_sym_BSLASHcitealt] = ACTIONS(7287),
    [anon_sym_BSLASHcitealp] = ACTIONS(7287),
    [anon_sym_BSLASHcitetext] = ACTIONS(7287),
    [anon_sym_BSLASHparencite] = ACTIONS(7287),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHParencite] = ACTIONS(7287),
    [anon_sym_BSLASHfootcite] = ACTIONS(7287),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7287),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7287),
    [anon_sym_BSLASHtextcite] = ACTIONS(7287),
    [anon_sym_BSLASHTextcite] = ACTIONS(7287),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7287),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7287),
    [anon_sym_BSLASHsupercite] = ACTIONS(7287),
    [anon_sym_BSLASHautocite] = ACTIONS(7287),
    [anon_sym_BSLASHAutocite] = ACTIONS(7287),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHVolcite] = ACTIONS(7287),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHavolcite] = ACTIONS(7287),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHNotecite] = ACTIONS(7287),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHlabel] = ACTIONS(7287),
    [anon_sym_BSLASHref] = ACTIONS(7287),
    [anon_sym_BSLASHeqref] = ACTIONS(7287),
    [anon_sym_BSLASHvref] = ACTIONS(7287),
    [anon_sym_BSLASHVref] = ACTIONS(7287),
    [anon_sym_BSLASHautoref] = ACTIONS(7287),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHpageref] = ACTIONS(7287),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHautopageref] = ACTIONS(7287),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcref] = ACTIONS(7287),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCref] = ACTIONS(7287),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcpageref] = ACTIONS(7287),
    [anon_sym_BSLASHCpageref] = ACTIONS(7287),
    [anon_sym_BSLASHnamecref] = ACTIONS(7287),
    [anon_sym_BSLASHnameCref] = ACTIONS(7287),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7287),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7287),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7287),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7287),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7287),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7287),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7287),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7287),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7287),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7287),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7287),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHdef] = ACTIONS(7287),
    [anon_sym_BSLASHgdef] = ACTIONS(7287),
    [anon_sym_BSLASHedef] = ACTIONS(7287),
    [anon_sym_BSLASHxdef] = ACTIONS(7287),
    [anon_sym_BSLASHlet] = ACTIONS(7287),
    [anon_sym_BSLASHglet] = ACTIONS(7287),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7287),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7287),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7287),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7287),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7287),
    [anon_sym_BSLASHgls] = ACTIONS(7287),
    [anon_sym_BSLASHGls] = ACTIONS(7287),
    [anon_sym_BSLASHGLS] = ACTIONS(7287),
    [anon_sym_BSLASHglspl] = ACTIONS(7287),
    [anon_sym_BSLASHGlspl] = ACTIONS(7287),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7287),
    [anon_sym_BSLASHglslink] = ACTIONS(7287),
    [anon_sym_BSLASHglstext] = ACTIONS(7287),
    [anon_sym_BSLASHGlstext] = ACTIONS(7287),
    [anon_sym_BSLASHGLStext] = ACTIONS(7287),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7287),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7287),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7287),
    [anon_sym_BSLASHglsplural] = ACTIONS(7287),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7287),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7287),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHglsname] = ACTIONS(7287),
    [anon_sym_BSLASHGlsname] = ACTIONS(7287),
    [anon_sym_BSLASHGLSname] = ACTIONS(7287),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7287),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7287),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7287),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7287),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7287),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7287),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7287),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7287),
    [anon_sym_BSLASHacrshort] = ACTIONS(7287),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7287),
    [anon_sym_BSLASHACRshort] = ACTIONS(7287),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHacrlong] = ACTIONS(7287),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7287),
    [anon_sym_BSLASHACRlong] = ACTIONS(7287),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHacrfull] = ACTIONS(7287),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7287),
    [anon_sym_BSLASHACRfull] = ACTIONS(7287),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHacs] = ACTIONS(7287),
    [anon_sym_BSLASHAcs] = ACTIONS(7287),
    [anon_sym_BSLASHacsp] = ACTIONS(7287),
    [anon_sym_BSLASHAcsp] = ACTIONS(7287),
    [anon_sym_BSLASHacl] = ACTIONS(7287),
    [anon_sym_BSLASHAcl] = ACTIONS(7287),
    [anon_sym_BSLASHaclp] = ACTIONS(7287),
    [anon_sym_BSLASHAclp] = ACTIONS(7287),
    [anon_sym_BSLASHacf] = ACTIONS(7287),
    [anon_sym_BSLASHAcf] = ACTIONS(7287),
    [anon_sym_BSLASHacfp] = ACTIONS(7287),
    [anon_sym_BSLASHAcfp] = ACTIONS(7287),
    [anon_sym_BSLASHac] = ACTIONS(7287),
    [anon_sym_BSLASHAc] = ACTIONS(7287),
    [anon_sym_BSLASHacp] = ACTIONS(7287),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7287),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7287),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7287),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7287),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7287),
    [anon_sym_BSLASHcolor] = ACTIONS(7287),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7287),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7287),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7287),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7287),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7287),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7287),
    [anon_sym_BSLASHurl] = ACTIONS(7287),
    [anon_sym_BSLASHhref] = ACTIONS(7287),
  },
  [650] = {
    [sym_command_name] = ACTIONS(7291),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7291),
    [anon_sym_LBRACK] = ACTIONS(7293),
    [anon_sym_RBRACK] = ACTIONS(7293),
    [anon_sym_COMMA] = ACTIONS(7293),
    [anon_sym_EQ] = ACTIONS(7293),
    [anon_sym_LPAREN] = ACTIONS(7293),
    [anon_sym_RPAREN] = ACTIONS(7293),
    [anon_sym_BSLASHpart] = ACTIONS(7291),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHaddpart] = ACTIONS(7291),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHchapter] = ACTIONS(7291),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHaddchap] = ACTIONS(7291),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHsection] = ACTIONS(7291),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHaddsec] = ACTIONS(7291),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHsubsection] = ACTIONS(7291),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7291),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHparagraph] = ACTIONS(7291),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7291),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHitem] = ACTIONS(7291),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7293),
    [anon_sym_LBRACE] = ACTIONS(7293),
    [sym_word] = ACTIONS(7291),
    [sym_placeholder] = ACTIONS(7293),
    [sym_delimiter] = ACTIONS(7293),
    [anon_sym_PLUS] = ACTIONS(7293),
    [anon_sym_DASH] = ACTIONS(7293),
    [anon_sym_STAR] = ACTIONS(7293),
    [anon_sym_SLASH] = ACTIONS(7293),
    [anon_sym_LT] = ACTIONS(7291),
    [anon_sym_GT] = ACTIONS(7291),
    [anon_sym_BANG] = ACTIONS(7291),
    [anon_sym_PIPE] = ACTIONS(7291),
    [anon_sym_COLON] = ACTIONS(7291),
    [anon_sym_SQUOTE] = ACTIONS(7291),
    [anon_sym__] = ACTIONS(7293),
    [anon_sym_CARET] = ACTIONS(7293),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7293),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7293),
    [anon_sym_DOLLAR] = ACTIONS(7291),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7293),
    [anon_sym_BSLASHleft] = ACTIONS(7291),
    [anon_sym_BSLASHbigl] = ACTIONS(7291),
    [anon_sym_BSLASHBigl] = ACTIONS(7291),
    [anon_sym_BSLASHbiggl] = ACTIONS(7291),
    [anon_sym_BSLASHBiggl] = ACTIONS(7291),
    [anon_sym_BSLASHright] = ACTIONS(7291),
    [anon_sym_BSLASHbigr] = ACTIONS(7291),
    [anon_sym_BSLASHBigr] = ACTIONS(7291),
    [anon_sym_BSLASHbiggr] = ACTIONS(7291),
    [anon_sym_BSLASHBiggr] = ACTIONS(7291),
    [anon_sym_BSLASHtext] = ACTIONS(7291),
    [anon_sym_BSLASHintertext] = ACTIONS(7291),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7291),
    [anon_sym_BSLASHbegin] = ACTIONS(7291),
    [anon_sym_BSLASHtitle] = ACTIONS(7291),
    [anon_sym_BSLASHauthor] = ACTIONS(7291),
    [anon_sym_BSLASHusepackage] = ACTIONS(7291),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7291),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7291),
    [anon_sym_BSLASHinclude] = ACTIONS(7291),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7291),
    [anon_sym_BSLASHinput] = ACTIONS(7291),
    [anon_sym_BSLASHsubfile] = ACTIONS(7291),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7291),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7291),
    [anon_sym_BSLASHbibliography] = ACTIONS(7291),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7291),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7291),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7291),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7291),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7291),
    [anon_sym_BSLASHimport] = ACTIONS(7291),
    [anon_sym_BSLASHsubimport] = ACTIONS(7291),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7291),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7291),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7291),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7291),
    [anon_sym_BSLASHcaption] = ACTIONS(7291),
    [anon_sym_BSLASHcite] = ACTIONS(7291),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCite] = ACTIONS(7291),
    [anon_sym_BSLASHnocite] = ACTIONS(7291),
    [anon_sym_BSLASHcitet] = ACTIONS(7291),
    [anon_sym_BSLASHcitep] = ACTIONS(7291),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteA] = ACTIONS(7291),
    [anon_sym_BSLASHciteR] = ACTIONS(7291),
    [anon_sym_BSLASHciteS] = ACTIONS(7291),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7291),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7291),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7291),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7291),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteyear] = ACTIONS(7291),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitedate] = ACTIONS(7291),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteurl] = ACTIONS(7291),
    [anon_sym_BSLASHfullcite] = ACTIONS(7291),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7291),
    [anon_sym_BSLASHcitealt] = ACTIONS(7291),
    [anon_sym_BSLASHcitealp] = ACTIONS(7291),
    [anon_sym_BSLASHcitetext] = ACTIONS(7291),
    [anon_sym_BSLASHparencite] = ACTIONS(7291),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHParencite] = ACTIONS(7291),
    [anon_sym_BSLASHfootcite] = ACTIONS(7291),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7291),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7291),
    [anon_sym_BSLASHtextcite] = ACTIONS(7291),
    [anon_sym_BSLASHTextcite] = ACTIONS(7291),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7291),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7291),
    [anon_sym_BSLASHsupercite] = ACTIONS(7291),
    [anon_sym_BSLASHautocite] = ACTIONS(7291),
    [anon_sym_BSLASHAutocite] = ACTIONS(7291),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHVolcite] = ACTIONS(7291),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHavolcite] = ACTIONS(7291),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHNotecite] = ACTIONS(7291),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHlabel] = ACTIONS(7291),
    [anon_sym_BSLASHref] = ACTIONS(7291),
    [anon_sym_BSLASHeqref] = ACTIONS(7291),
    [anon_sym_BSLASHvref] = ACTIONS(7291),
    [anon_sym_BSLASHVref] = ACTIONS(7291),
    [anon_sym_BSLASHautoref] = ACTIONS(7291),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHpageref] = ACTIONS(7291),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHautopageref] = ACTIONS(7291),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcref] = ACTIONS(7291),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCref] = ACTIONS(7291),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcpageref] = ACTIONS(7291),
    [anon_sym_BSLASHCpageref] = ACTIONS(7291),
    [anon_sym_BSLASHnamecref] = ACTIONS(7291),
    [anon_sym_BSLASHnameCref] = ACTIONS(7291),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7291),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7291),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7291),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7291),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7291),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7291),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7291),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7291),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7291),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7291),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7291),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHdef] = ACTIONS(7291),
    [anon_sym_BSLASHgdef] = ACTIONS(7291),
    [anon_sym_BSLASHedef] = ACTIONS(7291),
    [anon_sym_BSLASHxdef] = ACTIONS(7291),
    [anon_sym_BSLASHlet] = ACTIONS(7291),
    [anon_sym_BSLASHglet] = ACTIONS(7291),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7291),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7291),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7291),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7291),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7291),
    [anon_sym_BSLASHgls] = ACTIONS(7291),
    [anon_sym_BSLASHGls] = ACTIONS(7291),
    [anon_sym_BSLASHGLS] = ACTIONS(7291),
    [anon_sym_BSLASHglspl] = ACTIONS(7291),
    [anon_sym_BSLASHGlspl] = ACTIONS(7291),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7291),
    [anon_sym_BSLASHglslink] = ACTIONS(7291),
    [anon_sym_BSLASHglstext] = ACTIONS(7291),
    [anon_sym_BSLASHGlstext] = ACTIONS(7291),
    [anon_sym_BSLASHGLStext] = ACTIONS(7291),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7291),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7291),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7291),
    [anon_sym_BSLASHglsplural] = ACTIONS(7291),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7291),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7291),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHglsname] = ACTIONS(7291),
    [anon_sym_BSLASHGlsname] = ACTIONS(7291),
    [anon_sym_BSLASHGLSname] = ACTIONS(7291),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7291),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7291),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7291),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7291),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7291),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7291),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7291),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7291),
    [anon_sym_BSLASHacrshort] = ACTIONS(7291),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7291),
    [anon_sym_BSLASHACRshort] = ACTIONS(7291),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHacrlong] = ACTIONS(7291),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7291),
    [anon_sym_BSLASHACRlong] = ACTIONS(7291),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHacrfull] = ACTIONS(7291),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7291),
    [anon_sym_BSLASHACRfull] = ACTIONS(7291),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHacs] = ACTIONS(7291),
    [anon_sym_BSLASHAcs] = ACTIONS(7291),
    [anon_sym_BSLASHacsp] = ACTIONS(7291),
    [anon_sym_BSLASHAcsp] = ACTIONS(7291),
    [anon_sym_BSLASHacl] = ACTIONS(7291),
    [anon_sym_BSLASHAcl] = ACTIONS(7291),
    [anon_sym_BSLASHaclp] = ACTIONS(7291),
    [anon_sym_BSLASHAclp] = ACTIONS(7291),
    [anon_sym_BSLASHacf] = ACTIONS(7291),
    [anon_sym_BSLASHAcf] = ACTIONS(7291),
    [anon_sym_BSLASHacfp] = ACTIONS(7291),
    [anon_sym_BSLASHAcfp] = ACTIONS(7291),
    [anon_sym_BSLASHac] = ACTIONS(7291),
    [anon_sym_BSLASHAc] = ACTIONS(7291),
    [anon_sym_BSLASHacp] = ACTIONS(7291),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7291),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7291),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7291),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7291),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7291),
    [anon_sym_BSLASHcolor] = ACTIONS(7291),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7291),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7291),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7291),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7291),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7291),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7291),
    [anon_sym_BSLASHurl] = ACTIONS(7291),
    [anon_sym_BSLASHhref] = ACTIONS(7291),
  },
  [651] = {
    [sym_command_name] = ACTIONS(7295),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7295),
    [anon_sym_LBRACK] = ACTIONS(7297),
    [anon_sym_RBRACK] = ACTIONS(7297),
    [anon_sym_COMMA] = ACTIONS(7297),
    [anon_sym_EQ] = ACTIONS(7297),
    [anon_sym_LPAREN] = ACTIONS(7297),
    [anon_sym_RPAREN] = ACTIONS(7297),
    [anon_sym_BSLASHpart] = ACTIONS(7295),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHaddpart] = ACTIONS(7295),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHchapter] = ACTIONS(7295),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHaddchap] = ACTIONS(7295),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHsection] = ACTIONS(7295),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHaddsec] = ACTIONS(7295),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHsubsection] = ACTIONS(7295),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7295),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHparagraph] = ACTIONS(7295),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7295),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHitem] = ACTIONS(7295),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7297),
    [anon_sym_LBRACE] = ACTIONS(7297),
    [sym_word] = ACTIONS(7295),
    [sym_placeholder] = ACTIONS(7297),
    [sym_delimiter] = ACTIONS(7297),
    [anon_sym_PLUS] = ACTIONS(7297),
    [anon_sym_DASH] = ACTIONS(7297),
    [anon_sym_STAR] = ACTIONS(7297),
    [anon_sym_SLASH] = ACTIONS(7297),
    [anon_sym_LT] = ACTIONS(7295),
    [anon_sym_GT] = ACTIONS(7295),
    [anon_sym_BANG] = ACTIONS(7295),
    [anon_sym_PIPE] = ACTIONS(7295),
    [anon_sym_COLON] = ACTIONS(7295),
    [anon_sym_SQUOTE] = ACTIONS(7295),
    [anon_sym__] = ACTIONS(7297),
    [anon_sym_CARET] = ACTIONS(7297),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7297),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7297),
    [anon_sym_DOLLAR] = ACTIONS(7295),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7297),
    [anon_sym_BSLASHleft] = ACTIONS(7295),
    [anon_sym_BSLASHbigl] = ACTIONS(7295),
    [anon_sym_BSLASHBigl] = ACTIONS(7295),
    [anon_sym_BSLASHbiggl] = ACTIONS(7295),
    [anon_sym_BSLASHBiggl] = ACTIONS(7295),
    [anon_sym_BSLASHright] = ACTIONS(7295),
    [anon_sym_BSLASHbigr] = ACTIONS(7295),
    [anon_sym_BSLASHBigr] = ACTIONS(7295),
    [anon_sym_BSLASHbiggr] = ACTIONS(7295),
    [anon_sym_BSLASHBiggr] = ACTIONS(7295),
    [anon_sym_BSLASHtext] = ACTIONS(7295),
    [anon_sym_BSLASHintertext] = ACTIONS(7295),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7295),
    [anon_sym_BSLASHbegin] = ACTIONS(7295),
    [anon_sym_BSLASHtitle] = ACTIONS(7295),
    [anon_sym_BSLASHauthor] = ACTIONS(7295),
    [anon_sym_BSLASHusepackage] = ACTIONS(7295),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7295),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7295),
    [anon_sym_BSLASHinclude] = ACTIONS(7295),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7295),
    [anon_sym_BSLASHinput] = ACTIONS(7295),
    [anon_sym_BSLASHsubfile] = ACTIONS(7295),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7295),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7295),
    [anon_sym_BSLASHbibliography] = ACTIONS(7295),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7295),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7295),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7295),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7295),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7295),
    [anon_sym_BSLASHimport] = ACTIONS(7295),
    [anon_sym_BSLASHsubimport] = ACTIONS(7295),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7295),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7295),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7295),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7295),
    [anon_sym_BSLASHcaption] = ACTIONS(7295),
    [anon_sym_BSLASHcite] = ACTIONS(7295),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCite] = ACTIONS(7295),
    [anon_sym_BSLASHnocite] = ACTIONS(7295),
    [anon_sym_BSLASHcitet] = ACTIONS(7295),
    [anon_sym_BSLASHcitep] = ACTIONS(7295),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteA] = ACTIONS(7295),
    [anon_sym_BSLASHciteR] = ACTIONS(7295),
    [anon_sym_BSLASHciteS] = ACTIONS(7295),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7295),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7295),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7295),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7295),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteyear] = ACTIONS(7295),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitedate] = ACTIONS(7295),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteurl] = ACTIONS(7295),
    [anon_sym_BSLASHfullcite] = ACTIONS(7295),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7295),
    [anon_sym_BSLASHcitealt] = ACTIONS(7295),
    [anon_sym_BSLASHcitealp] = ACTIONS(7295),
    [anon_sym_BSLASHcitetext] = ACTIONS(7295),
    [anon_sym_BSLASHparencite] = ACTIONS(7295),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHParencite] = ACTIONS(7295),
    [anon_sym_BSLASHfootcite] = ACTIONS(7295),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7295),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7295),
    [anon_sym_BSLASHtextcite] = ACTIONS(7295),
    [anon_sym_BSLASHTextcite] = ACTIONS(7295),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7295),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7295),
    [anon_sym_BSLASHsupercite] = ACTIONS(7295),
    [anon_sym_BSLASHautocite] = ACTIONS(7295),
    [anon_sym_BSLASHAutocite] = ACTIONS(7295),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHVolcite] = ACTIONS(7295),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHavolcite] = ACTIONS(7295),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHNotecite] = ACTIONS(7295),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHlabel] = ACTIONS(7295),
    [anon_sym_BSLASHref] = ACTIONS(7295),
    [anon_sym_BSLASHeqref] = ACTIONS(7295),
    [anon_sym_BSLASHvref] = ACTIONS(7295),
    [anon_sym_BSLASHVref] = ACTIONS(7295),
    [anon_sym_BSLASHautoref] = ACTIONS(7295),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHpageref] = ACTIONS(7295),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHautopageref] = ACTIONS(7295),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcref] = ACTIONS(7295),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCref] = ACTIONS(7295),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcpageref] = ACTIONS(7295),
    [anon_sym_BSLASHCpageref] = ACTIONS(7295),
    [anon_sym_BSLASHnamecref] = ACTIONS(7295),
    [anon_sym_BSLASHnameCref] = ACTIONS(7295),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7295),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7295),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7295),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7295),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7295),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7295),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7295),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7295),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7295),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7295),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7295),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHdef] = ACTIONS(7295),
    [anon_sym_BSLASHgdef] = ACTIONS(7295),
    [anon_sym_BSLASHedef] = ACTIONS(7295),
    [anon_sym_BSLASHxdef] = ACTIONS(7295),
    [anon_sym_BSLASHlet] = ACTIONS(7295),
    [anon_sym_BSLASHglet] = ACTIONS(7295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7295),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7295),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7295),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7295),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7295),
    [anon_sym_BSLASHgls] = ACTIONS(7295),
    [anon_sym_BSLASHGls] = ACTIONS(7295),
    [anon_sym_BSLASHGLS] = ACTIONS(7295),
    [anon_sym_BSLASHglspl] = ACTIONS(7295),
    [anon_sym_BSLASHGlspl] = ACTIONS(7295),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7295),
    [anon_sym_BSLASHglslink] = ACTIONS(7295),
    [anon_sym_BSLASHglstext] = ACTIONS(7295),
    [anon_sym_BSLASHGlstext] = ACTIONS(7295),
    [anon_sym_BSLASHGLStext] = ACTIONS(7295),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7295),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7295),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7295),
    [anon_sym_BSLASHglsplural] = ACTIONS(7295),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7295),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7295),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHglsname] = ACTIONS(7295),
    [anon_sym_BSLASHGlsname] = ACTIONS(7295),
    [anon_sym_BSLASHGLSname] = ACTIONS(7295),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7295),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7295),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7295),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7295),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7295),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7295),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7295),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7295),
    [anon_sym_BSLASHacrshort] = ACTIONS(7295),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7295),
    [anon_sym_BSLASHACRshort] = ACTIONS(7295),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHacrlong] = ACTIONS(7295),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7295),
    [anon_sym_BSLASHACRlong] = ACTIONS(7295),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHacrfull] = ACTIONS(7295),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7295),
    [anon_sym_BSLASHACRfull] = ACTIONS(7295),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHacs] = ACTIONS(7295),
    [anon_sym_BSLASHAcs] = ACTIONS(7295),
    [anon_sym_BSLASHacsp] = ACTIONS(7295),
    [anon_sym_BSLASHAcsp] = ACTIONS(7295),
    [anon_sym_BSLASHacl] = ACTIONS(7295),
    [anon_sym_BSLASHAcl] = ACTIONS(7295),
    [anon_sym_BSLASHaclp] = ACTIONS(7295),
    [anon_sym_BSLASHAclp] = ACTIONS(7295),
    [anon_sym_BSLASHacf] = ACTIONS(7295),
    [anon_sym_BSLASHAcf] = ACTIONS(7295),
    [anon_sym_BSLASHacfp] = ACTIONS(7295),
    [anon_sym_BSLASHAcfp] = ACTIONS(7295),
    [anon_sym_BSLASHac] = ACTIONS(7295),
    [anon_sym_BSLASHAc] = ACTIONS(7295),
    [anon_sym_BSLASHacp] = ACTIONS(7295),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7295),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7295),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7295),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7295),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7295),
    [anon_sym_BSLASHcolor] = ACTIONS(7295),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7295),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7295),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7295),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7295),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7295),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7295),
    [anon_sym_BSLASHurl] = ACTIONS(7295),
    [anon_sym_BSLASHhref] = ACTIONS(7295),
  },
  [652] = {
    [sym_command_name] = ACTIONS(7299),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7299),
    [anon_sym_LBRACK] = ACTIONS(7301),
    [anon_sym_RBRACK] = ACTIONS(7301),
    [anon_sym_COMMA] = ACTIONS(7301),
    [anon_sym_EQ] = ACTIONS(7301),
    [anon_sym_LPAREN] = ACTIONS(7301),
    [anon_sym_RPAREN] = ACTIONS(7301),
    [anon_sym_BSLASHpart] = ACTIONS(7299),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHaddpart] = ACTIONS(7299),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHchapter] = ACTIONS(7299),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHaddchap] = ACTIONS(7299),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHsection] = ACTIONS(7299),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHaddsec] = ACTIONS(7299),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHsubsection] = ACTIONS(7299),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7299),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHparagraph] = ACTIONS(7299),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7299),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHitem] = ACTIONS(7299),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7301),
    [anon_sym_LBRACE] = ACTIONS(7301),
    [sym_word] = ACTIONS(7299),
    [sym_placeholder] = ACTIONS(7301),
    [sym_delimiter] = ACTIONS(7301),
    [anon_sym_PLUS] = ACTIONS(7301),
    [anon_sym_DASH] = ACTIONS(7301),
    [anon_sym_STAR] = ACTIONS(7301),
    [anon_sym_SLASH] = ACTIONS(7301),
    [anon_sym_LT] = ACTIONS(7299),
    [anon_sym_GT] = ACTIONS(7299),
    [anon_sym_BANG] = ACTIONS(7299),
    [anon_sym_PIPE] = ACTIONS(7299),
    [anon_sym_COLON] = ACTIONS(7299),
    [anon_sym_SQUOTE] = ACTIONS(7299),
    [anon_sym__] = ACTIONS(7301),
    [anon_sym_CARET] = ACTIONS(7301),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7301),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7301),
    [anon_sym_DOLLAR] = ACTIONS(7299),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7301),
    [anon_sym_BSLASHleft] = ACTIONS(7299),
    [anon_sym_BSLASHbigl] = ACTIONS(7299),
    [anon_sym_BSLASHBigl] = ACTIONS(7299),
    [anon_sym_BSLASHbiggl] = ACTIONS(7299),
    [anon_sym_BSLASHBiggl] = ACTIONS(7299),
    [anon_sym_BSLASHright] = ACTIONS(7299),
    [anon_sym_BSLASHbigr] = ACTIONS(7299),
    [anon_sym_BSLASHBigr] = ACTIONS(7299),
    [anon_sym_BSLASHbiggr] = ACTIONS(7299),
    [anon_sym_BSLASHBiggr] = ACTIONS(7299),
    [anon_sym_BSLASHtext] = ACTIONS(7299),
    [anon_sym_BSLASHintertext] = ACTIONS(7299),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7299),
    [anon_sym_BSLASHbegin] = ACTIONS(7299),
    [anon_sym_BSLASHtitle] = ACTIONS(7299),
    [anon_sym_BSLASHauthor] = ACTIONS(7299),
    [anon_sym_BSLASHusepackage] = ACTIONS(7299),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7299),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7299),
    [anon_sym_BSLASHinclude] = ACTIONS(7299),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7299),
    [anon_sym_BSLASHinput] = ACTIONS(7299),
    [anon_sym_BSLASHsubfile] = ACTIONS(7299),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7299),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7299),
    [anon_sym_BSLASHbibliography] = ACTIONS(7299),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7299),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7299),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7299),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7299),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7299),
    [anon_sym_BSLASHimport] = ACTIONS(7299),
    [anon_sym_BSLASHsubimport] = ACTIONS(7299),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7299),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7299),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7299),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7299),
    [anon_sym_BSLASHcaption] = ACTIONS(7299),
    [anon_sym_BSLASHcite] = ACTIONS(7299),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCite] = ACTIONS(7299),
    [anon_sym_BSLASHnocite] = ACTIONS(7299),
    [anon_sym_BSLASHcitet] = ACTIONS(7299),
    [anon_sym_BSLASHcitep] = ACTIONS(7299),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteA] = ACTIONS(7299),
    [anon_sym_BSLASHciteR] = ACTIONS(7299),
    [anon_sym_BSLASHciteS] = ACTIONS(7299),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7299),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7299),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7299),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7299),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteyear] = ACTIONS(7299),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitedate] = ACTIONS(7299),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteurl] = ACTIONS(7299),
    [anon_sym_BSLASHfullcite] = ACTIONS(7299),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7299),
    [anon_sym_BSLASHcitealt] = ACTIONS(7299),
    [anon_sym_BSLASHcitealp] = ACTIONS(7299),
    [anon_sym_BSLASHcitetext] = ACTIONS(7299),
    [anon_sym_BSLASHparencite] = ACTIONS(7299),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHParencite] = ACTIONS(7299),
    [anon_sym_BSLASHfootcite] = ACTIONS(7299),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7299),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7299),
    [anon_sym_BSLASHtextcite] = ACTIONS(7299),
    [anon_sym_BSLASHTextcite] = ACTIONS(7299),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7299),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7299),
    [anon_sym_BSLASHsupercite] = ACTIONS(7299),
    [anon_sym_BSLASHautocite] = ACTIONS(7299),
    [anon_sym_BSLASHAutocite] = ACTIONS(7299),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHVolcite] = ACTIONS(7299),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHavolcite] = ACTIONS(7299),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHNotecite] = ACTIONS(7299),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHlabel] = ACTIONS(7299),
    [anon_sym_BSLASHref] = ACTIONS(7299),
    [anon_sym_BSLASHeqref] = ACTIONS(7299),
    [anon_sym_BSLASHvref] = ACTIONS(7299),
    [anon_sym_BSLASHVref] = ACTIONS(7299),
    [anon_sym_BSLASHautoref] = ACTIONS(7299),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHpageref] = ACTIONS(7299),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHautopageref] = ACTIONS(7299),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcref] = ACTIONS(7299),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCref] = ACTIONS(7299),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcpageref] = ACTIONS(7299),
    [anon_sym_BSLASHCpageref] = ACTIONS(7299),
    [anon_sym_BSLASHnamecref] = ACTIONS(7299),
    [anon_sym_BSLASHnameCref] = ACTIONS(7299),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7299),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7299),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7299),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7299),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7299),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7299),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7299),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7299),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7299),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7299),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7299),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHdef] = ACTIONS(7299),
    [anon_sym_BSLASHgdef] = ACTIONS(7299),
    [anon_sym_BSLASHedef] = ACTIONS(7299),
    [anon_sym_BSLASHxdef] = ACTIONS(7299),
    [anon_sym_BSLASHlet] = ACTIONS(7299),
    [anon_sym_BSLASHglet] = ACTIONS(7299),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7299),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7299),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7299),
    [anon_sym_BSLASHgls] = ACTIONS(7299),
    [anon_sym_BSLASHGls] = ACTIONS(7299),
    [anon_sym_BSLASHGLS] = ACTIONS(7299),
    [anon_sym_BSLASHglspl] = ACTIONS(7299),
    [anon_sym_BSLASHGlspl] = ACTIONS(7299),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7299),
    [anon_sym_BSLASHglslink] = ACTIONS(7299),
    [anon_sym_BSLASHglstext] = ACTIONS(7299),
    [anon_sym_BSLASHGlstext] = ACTIONS(7299),
    [anon_sym_BSLASHGLStext] = ACTIONS(7299),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7299),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7299),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7299),
    [anon_sym_BSLASHglsplural] = ACTIONS(7299),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7299),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7299),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHglsname] = ACTIONS(7299),
    [anon_sym_BSLASHGlsname] = ACTIONS(7299),
    [anon_sym_BSLASHGLSname] = ACTIONS(7299),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7299),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7299),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7299),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7299),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7299),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7299),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7299),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7299),
    [anon_sym_BSLASHacrshort] = ACTIONS(7299),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7299),
    [anon_sym_BSLASHACRshort] = ACTIONS(7299),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHacrlong] = ACTIONS(7299),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7299),
    [anon_sym_BSLASHACRlong] = ACTIONS(7299),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHacrfull] = ACTIONS(7299),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7299),
    [anon_sym_BSLASHACRfull] = ACTIONS(7299),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHacs] = ACTIONS(7299),
    [anon_sym_BSLASHAcs] = ACTIONS(7299),
    [anon_sym_BSLASHacsp] = ACTIONS(7299),
    [anon_sym_BSLASHAcsp] = ACTIONS(7299),
    [anon_sym_BSLASHacl] = ACTIONS(7299),
    [anon_sym_BSLASHAcl] = ACTIONS(7299),
    [anon_sym_BSLASHaclp] = ACTIONS(7299),
    [anon_sym_BSLASHAclp] = ACTIONS(7299),
    [anon_sym_BSLASHacf] = ACTIONS(7299),
    [anon_sym_BSLASHAcf] = ACTIONS(7299),
    [anon_sym_BSLASHacfp] = ACTIONS(7299),
    [anon_sym_BSLASHAcfp] = ACTIONS(7299),
    [anon_sym_BSLASHac] = ACTIONS(7299),
    [anon_sym_BSLASHAc] = ACTIONS(7299),
    [anon_sym_BSLASHacp] = ACTIONS(7299),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7299),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7299),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7299),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7299),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7299),
    [anon_sym_BSLASHcolor] = ACTIONS(7299),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7299),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7299),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7299),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7299),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7299),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7299),
    [anon_sym_BSLASHurl] = ACTIONS(7299),
    [anon_sym_BSLASHhref] = ACTIONS(7299),
  },
  [653] = {
    [sym_command_name] = ACTIONS(7303),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7303),
    [anon_sym_LBRACK] = ACTIONS(7305),
    [anon_sym_RBRACK] = ACTIONS(7305),
    [anon_sym_COMMA] = ACTIONS(7305),
    [anon_sym_EQ] = ACTIONS(7305),
    [anon_sym_LPAREN] = ACTIONS(7305),
    [anon_sym_RPAREN] = ACTIONS(7305),
    [anon_sym_BSLASHpart] = ACTIONS(7303),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHaddpart] = ACTIONS(7303),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHchapter] = ACTIONS(7303),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHaddchap] = ACTIONS(7303),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHsection] = ACTIONS(7303),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHaddsec] = ACTIONS(7303),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHsubsection] = ACTIONS(7303),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7303),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHparagraph] = ACTIONS(7303),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7303),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHitem] = ACTIONS(7303),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7305),
    [anon_sym_LBRACE] = ACTIONS(7305),
    [sym_word] = ACTIONS(7303),
    [sym_placeholder] = ACTIONS(7305),
    [sym_delimiter] = ACTIONS(7305),
    [anon_sym_PLUS] = ACTIONS(7305),
    [anon_sym_DASH] = ACTIONS(7305),
    [anon_sym_STAR] = ACTIONS(7305),
    [anon_sym_SLASH] = ACTIONS(7305),
    [anon_sym_LT] = ACTIONS(7303),
    [anon_sym_GT] = ACTIONS(7303),
    [anon_sym_BANG] = ACTIONS(7303),
    [anon_sym_PIPE] = ACTIONS(7303),
    [anon_sym_COLON] = ACTIONS(7303),
    [anon_sym_SQUOTE] = ACTIONS(7303),
    [anon_sym__] = ACTIONS(7305),
    [anon_sym_CARET] = ACTIONS(7305),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7305),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7305),
    [anon_sym_DOLLAR] = ACTIONS(7303),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7305),
    [anon_sym_BSLASHleft] = ACTIONS(7303),
    [anon_sym_BSLASHbigl] = ACTIONS(7303),
    [anon_sym_BSLASHBigl] = ACTIONS(7303),
    [anon_sym_BSLASHbiggl] = ACTIONS(7303),
    [anon_sym_BSLASHBiggl] = ACTIONS(7303),
    [anon_sym_BSLASHright] = ACTIONS(7303),
    [anon_sym_BSLASHbigr] = ACTIONS(7303),
    [anon_sym_BSLASHBigr] = ACTIONS(7303),
    [anon_sym_BSLASHbiggr] = ACTIONS(7303),
    [anon_sym_BSLASHBiggr] = ACTIONS(7303),
    [anon_sym_BSLASHtext] = ACTIONS(7303),
    [anon_sym_BSLASHintertext] = ACTIONS(7303),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7303),
    [anon_sym_BSLASHbegin] = ACTIONS(7303),
    [anon_sym_BSLASHtitle] = ACTIONS(7303),
    [anon_sym_BSLASHauthor] = ACTIONS(7303),
    [anon_sym_BSLASHusepackage] = ACTIONS(7303),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7303),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7303),
    [anon_sym_BSLASHinclude] = ACTIONS(7303),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7303),
    [anon_sym_BSLASHinput] = ACTIONS(7303),
    [anon_sym_BSLASHsubfile] = ACTIONS(7303),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7303),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7303),
    [anon_sym_BSLASHbibliography] = ACTIONS(7303),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7303),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7303),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7303),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7303),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7303),
    [anon_sym_BSLASHimport] = ACTIONS(7303),
    [anon_sym_BSLASHsubimport] = ACTIONS(7303),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7303),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7303),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7303),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7303),
    [anon_sym_BSLASHcaption] = ACTIONS(7303),
    [anon_sym_BSLASHcite] = ACTIONS(7303),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCite] = ACTIONS(7303),
    [anon_sym_BSLASHnocite] = ACTIONS(7303),
    [anon_sym_BSLASHcitet] = ACTIONS(7303),
    [anon_sym_BSLASHcitep] = ACTIONS(7303),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteA] = ACTIONS(7303),
    [anon_sym_BSLASHciteR] = ACTIONS(7303),
    [anon_sym_BSLASHciteS] = ACTIONS(7303),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7303),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7303),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7303),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7303),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteyear] = ACTIONS(7303),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitedate] = ACTIONS(7303),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteurl] = ACTIONS(7303),
    [anon_sym_BSLASHfullcite] = ACTIONS(7303),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7303),
    [anon_sym_BSLASHcitealt] = ACTIONS(7303),
    [anon_sym_BSLASHcitealp] = ACTIONS(7303),
    [anon_sym_BSLASHcitetext] = ACTIONS(7303),
    [anon_sym_BSLASHparencite] = ACTIONS(7303),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHParencite] = ACTIONS(7303),
    [anon_sym_BSLASHfootcite] = ACTIONS(7303),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7303),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7303),
    [anon_sym_BSLASHtextcite] = ACTIONS(7303),
    [anon_sym_BSLASHTextcite] = ACTIONS(7303),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7303),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7303),
    [anon_sym_BSLASHsupercite] = ACTIONS(7303),
    [anon_sym_BSLASHautocite] = ACTIONS(7303),
    [anon_sym_BSLASHAutocite] = ACTIONS(7303),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHVolcite] = ACTIONS(7303),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHavolcite] = ACTIONS(7303),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHNotecite] = ACTIONS(7303),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHlabel] = ACTIONS(7303),
    [anon_sym_BSLASHref] = ACTIONS(7303),
    [anon_sym_BSLASHeqref] = ACTIONS(7303),
    [anon_sym_BSLASHvref] = ACTIONS(7303),
    [anon_sym_BSLASHVref] = ACTIONS(7303),
    [anon_sym_BSLASHautoref] = ACTIONS(7303),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHpageref] = ACTIONS(7303),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHautopageref] = ACTIONS(7303),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcref] = ACTIONS(7303),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCref] = ACTIONS(7303),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcpageref] = ACTIONS(7303),
    [anon_sym_BSLASHCpageref] = ACTIONS(7303),
    [anon_sym_BSLASHnamecref] = ACTIONS(7303),
    [anon_sym_BSLASHnameCref] = ACTIONS(7303),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7303),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7303),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7303),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7303),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7303),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7303),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7303),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7303),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7303),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7303),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7303),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHdef] = ACTIONS(7303),
    [anon_sym_BSLASHgdef] = ACTIONS(7303),
    [anon_sym_BSLASHedef] = ACTIONS(7303),
    [anon_sym_BSLASHxdef] = ACTIONS(7303),
    [anon_sym_BSLASHlet] = ACTIONS(7303),
    [anon_sym_BSLASHglet] = ACTIONS(7303),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7303),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7303),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7303),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7303),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7303),
    [anon_sym_BSLASHgls] = ACTIONS(7303),
    [anon_sym_BSLASHGls] = ACTIONS(7303),
    [anon_sym_BSLASHGLS] = ACTIONS(7303),
    [anon_sym_BSLASHglspl] = ACTIONS(7303),
    [anon_sym_BSLASHGlspl] = ACTIONS(7303),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7303),
    [anon_sym_BSLASHglslink] = ACTIONS(7303),
    [anon_sym_BSLASHglstext] = ACTIONS(7303),
    [anon_sym_BSLASHGlstext] = ACTIONS(7303),
    [anon_sym_BSLASHGLStext] = ACTIONS(7303),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7303),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7303),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7303),
    [anon_sym_BSLASHglsplural] = ACTIONS(7303),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7303),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7303),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHglsname] = ACTIONS(7303),
    [anon_sym_BSLASHGlsname] = ACTIONS(7303),
    [anon_sym_BSLASHGLSname] = ACTIONS(7303),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7303),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7303),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7303),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7303),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7303),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7303),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7303),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7303),
    [anon_sym_BSLASHacrshort] = ACTIONS(7303),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7303),
    [anon_sym_BSLASHACRshort] = ACTIONS(7303),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHacrlong] = ACTIONS(7303),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7303),
    [anon_sym_BSLASHACRlong] = ACTIONS(7303),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHacrfull] = ACTIONS(7303),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7303),
    [anon_sym_BSLASHACRfull] = ACTIONS(7303),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHacs] = ACTIONS(7303),
    [anon_sym_BSLASHAcs] = ACTIONS(7303),
    [anon_sym_BSLASHacsp] = ACTIONS(7303),
    [anon_sym_BSLASHAcsp] = ACTIONS(7303),
    [anon_sym_BSLASHacl] = ACTIONS(7303),
    [anon_sym_BSLASHAcl] = ACTIONS(7303),
    [anon_sym_BSLASHaclp] = ACTIONS(7303),
    [anon_sym_BSLASHAclp] = ACTIONS(7303),
    [anon_sym_BSLASHacf] = ACTIONS(7303),
    [anon_sym_BSLASHAcf] = ACTIONS(7303),
    [anon_sym_BSLASHacfp] = ACTIONS(7303),
    [anon_sym_BSLASHAcfp] = ACTIONS(7303),
    [anon_sym_BSLASHac] = ACTIONS(7303),
    [anon_sym_BSLASHAc] = ACTIONS(7303),
    [anon_sym_BSLASHacp] = ACTIONS(7303),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7303),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7303),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7303),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7303),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7303),
    [anon_sym_BSLASHcolor] = ACTIONS(7303),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7303),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7303),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7303),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7303),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7303),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7303),
    [anon_sym_BSLASHurl] = ACTIONS(7303),
    [anon_sym_BSLASHhref] = ACTIONS(7303),
  },
  [654] = {
    [sym_command_name] = ACTIONS(7307),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7307),
    [anon_sym_LBRACK] = ACTIONS(7309),
    [anon_sym_RBRACK] = ACTIONS(7309),
    [anon_sym_COMMA] = ACTIONS(7309),
    [anon_sym_EQ] = ACTIONS(7309),
    [anon_sym_LPAREN] = ACTIONS(7309),
    [anon_sym_RPAREN] = ACTIONS(7309),
    [anon_sym_BSLASHpart] = ACTIONS(7307),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHaddpart] = ACTIONS(7307),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHchapter] = ACTIONS(7307),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHaddchap] = ACTIONS(7307),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHsection] = ACTIONS(7307),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHaddsec] = ACTIONS(7307),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHsubsection] = ACTIONS(7307),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7307),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHparagraph] = ACTIONS(7307),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7307),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHitem] = ACTIONS(7307),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7309),
    [anon_sym_LBRACE] = ACTIONS(7309),
    [sym_word] = ACTIONS(7307),
    [sym_placeholder] = ACTIONS(7309),
    [sym_delimiter] = ACTIONS(7309),
    [anon_sym_PLUS] = ACTIONS(7309),
    [anon_sym_DASH] = ACTIONS(7309),
    [anon_sym_STAR] = ACTIONS(7309),
    [anon_sym_SLASH] = ACTIONS(7309),
    [anon_sym_LT] = ACTIONS(7307),
    [anon_sym_GT] = ACTIONS(7307),
    [anon_sym_BANG] = ACTIONS(7307),
    [anon_sym_PIPE] = ACTIONS(7307),
    [anon_sym_COLON] = ACTIONS(7307),
    [anon_sym_SQUOTE] = ACTIONS(7307),
    [anon_sym__] = ACTIONS(7309),
    [anon_sym_CARET] = ACTIONS(7309),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7309),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7309),
    [anon_sym_DOLLAR] = ACTIONS(7307),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7309),
    [anon_sym_BSLASHleft] = ACTIONS(7307),
    [anon_sym_BSLASHbigl] = ACTIONS(7307),
    [anon_sym_BSLASHBigl] = ACTIONS(7307),
    [anon_sym_BSLASHbiggl] = ACTIONS(7307),
    [anon_sym_BSLASHBiggl] = ACTIONS(7307),
    [anon_sym_BSLASHright] = ACTIONS(7307),
    [anon_sym_BSLASHbigr] = ACTIONS(7307),
    [anon_sym_BSLASHBigr] = ACTIONS(7307),
    [anon_sym_BSLASHbiggr] = ACTIONS(7307),
    [anon_sym_BSLASHBiggr] = ACTIONS(7307),
    [anon_sym_BSLASHtext] = ACTIONS(7307),
    [anon_sym_BSLASHintertext] = ACTIONS(7307),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7307),
    [anon_sym_BSLASHbegin] = ACTIONS(7307),
    [anon_sym_BSLASHtitle] = ACTIONS(7307),
    [anon_sym_BSLASHauthor] = ACTIONS(7307),
    [anon_sym_BSLASHusepackage] = ACTIONS(7307),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7307),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7307),
    [anon_sym_BSLASHinclude] = ACTIONS(7307),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7307),
    [anon_sym_BSLASHinput] = ACTIONS(7307),
    [anon_sym_BSLASHsubfile] = ACTIONS(7307),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7307),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7307),
    [anon_sym_BSLASHbibliography] = ACTIONS(7307),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7307),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7307),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7307),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7307),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7307),
    [anon_sym_BSLASHimport] = ACTIONS(7307),
    [anon_sym_BSLASHsubimport] = ACTIONS(7307),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7307),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7307),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7307),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7307),
    [anon_sym_BSLASHcaption] = ACTIONS(7307),
    [anon_sym_BSLASHcite] = ACTIONS(7307),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCite] = ACTIONS(7307),
    [anon_sym_BSLASHnocite] = ACTIONS(7307),
    [anon_sym_BSLASHcitet] = ACTIONS(7307),
    [anon_sym_BSLASHcitep] = ACTIONS(7307),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteA] = ACTIONS(7307),
    [anon_sym_BSLASHciteR] = ACTIONS(7307),
    [anon_sym_BSLASHciteS] = ACTIONS(7307),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7307),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7307),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7307),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7307),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteyear] = ACTIONS(7307),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitedate] = ACTIONS(7307),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteurl] = ACTIONS(7307),
    [anon_sym_BSLASHfullcite] = ACTIONS(7307),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7307),
    [anon_sym_BSLASHcitealt] = ACTIONS(7307),
    [anon_sym_BSLASHcitealp] = ACTIONS(7307),
    [anon_sym_BSLASHcitetext] = ACTIONS(7307),
    [anon_sym_BSLASHparencite] = ACTIONS(7307),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHParencite] = ACTIONS(7307),
    [anon_sym_BSLASHfootcite] = ACTIONS(7307),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7307),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7307),
    [anon_sym_BSLASHtextcite] = ACTIONS(7307),
    [anon_sym_BSLASHTextcite] = ACTIONS(7307),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7307),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7307),
    [anon_sym_BSLASHsupercite] = ACTIONS(7307),
    [anon_sym_BSLASHautocite] = ACTIONS(7307),
    [anon_sym_BSLASHAutocite] = ACTIONS(7307),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHVolcite] = ACTIONS(7307),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHavolcite] = ACTIONS(7307),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHNotecite] = ACTIONS(7307),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHlabel] = ACTIONS(7307),
    [anon_sym_BSLASHref] = ACTIONS(7307),
    [anon_sym_BSLASHeqref] = ACTIONS(7307),
    [anon_sym_BSLASHvref] = ACTIONS(7307),
    [anon_sym_BSLASHVref] = ACTIONS(7307),
    [anon_sym_BSLASHautoref] = ACTIONS(7307),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHpageref] = ACTIONS(7307),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHautopageref] = ACTIONS(7307),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcref] = ACTIONS(7307),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCref] = ACTIONS(7307),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcpageref] = ACTIONS(7307),
    [anon_sym_BSLASHCpageref] = ACTIONS(7307),
    [anon_sym_BSLASHnamecref] = ACTIONS(7307),
    [anon_sym_BSLASHnameCref] = ACTIONS(7307),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7307),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7307),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7307),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7307),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7307),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7307),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7307),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7307),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7307),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7307),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7307),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHdef] = ACTIONS(7307),
    [anon_sym_BSLASHgdef] = ACTIONS(7307),
    [anon_sym_BSLASHedef] = ACTIONS(7307),
    [anon_sym_BSLASHxdef] = ACTIONS(7307),
    [anon_sym_BSLASHlet] = ACTIONS(7307),
    [anon_sym_BSLASHglet] = ACTIONS(7307),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7307),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7307),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7307),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7307),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7307),
    [anon_sym_BSLASHgls] = ACTIONS(7307),
    [anon_sym_BSLASHGls] = ACTIONS(7307),
    [anon_sym_BSLASHGLS] = ACTIONS(7307),
    [anon_sym_BSLASHglspl] = ACTIONS(7307),
    [anon_sym_BSLASHGlspl] = ACTIONS(7307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7307),
    [anon_sym_BSLASHglslink] = ACTIONS(7307),
    [anon_sym_BSLASHglstext] = ACTIONS(7307),
    [anon_sym_BSLASHGlstext] = ACTIONS(7307),
    [anon_sym_BSLASHGLStext] = ACTIONS(7307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7307),
    [anon_sym_BSLASHglsplural] = ACTIONS(7307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHglsname] = ACTIONS(7307),
    [anon_sym_BSLASHGlsname] = ACTIONS(7307),
    [anon_sym_BSLASHGLSname] = ACTIONS(7307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7307),
    [anon_sym_BSLASHacrshort] = ACTIONS(7307),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7307),
    [anon_sym_BSLASHACRshort] = ACTIONS(7307),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHacrlong] = ACTIONS(7307),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7307),
    [anon_sym_BSLASHACRlong] = ACTIONS(7307),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHacrfull] = ACTIONS(7307),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7307),
    [anon_sym_BSLASHACRfull] = ACTIONS(7307),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHacs] = ACTIONS(7307),
    [anon_sym_BSLASHAcs] = ACTIONS(7307),
    [anon_sym_BSLASHacsp] = ACTIONS(7307),
    [anon_sym_BSLASHAcsp] = ACTIONS(7307),
    [anon_sym_BSLASHacl] = ACTIONS(7307),
    [anon_sym_BSLASHAcl] = ACTIONS(7307),
    [anon_sym_BSLASHaclp] = ACTIONS(7307),
    [anon_sym_BSLASHAclp] = ACTIONS(7307),
    [anon_sym_BSLASHacf] = ACTIONS(7307),
    [anon_sym_BSLASHAcf] = ACTIONS(7307),
    [anon_sym_BSLASHacfp] = ACTIONS(7307),
    [anon_sym_BSLASHAcfp] = ACTIONS(7307),
    [anon_sym_BSLASHac] = ACTIONS(7307),
    [anon_sym_BSLASHAc] = ACTIONS(7307),
    [anon_sym_BSLASHacp] = ACTIONS(7307),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7307),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7307),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7307),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7307),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7307),
    [anon_sym_BSLASHcolor] = ACTIONS(7307),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7307),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7307),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7307),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7307),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7307),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7307),
    [anon_sym_BSLASHurl] = ACTIONS(7307),
    [anon_sym_BSLASHhref] = ACTIONS(7307),
  },
  [655] = {
    [sym_command_name] = ACTIONS(7311),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7311),
    [anon_sym_LBRACK] = ACTIONS(7313),
    [anon_sym_RBRACK] = ACTIONS(7313),
    [anon_sym_COMMA] = ACTIONS(7313),
    [anon_sym_EQ] = ACTIONS(7313),
    [anon_sym_LPAREN] = ACTIONS(7313),
    [anon_sym_RPAREN] = ACTIONS(7313),
    [anon_sym_BSLASHpart] = ACTIONS(7311),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHaddpart] = ACTIONS(7311),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHchapter] = ACTIONS(7311),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHaddchap] = ACTIONS(7311),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHsection] = ACTIONS(7311),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHaddsec] = ACTIONS(7311),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHsubsection] = ACTIONS(7311),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7311),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHparagraph] = ACTIONS(7311),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7311),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHitem] = ACTIONS(7311),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7313),
    [anon_sym_LBRACE] = ACTIONS(7313),
    [sym_word] = ACTIONS(7311),
    [sym_placeholder] = ACTIONS(7313),
    [sym_delimiter] = ACTIONS(7313),
    [anon_sym_PLUS] = ACTIONS(7313),
    [anon_sym_DASH] = ACTIONS(7313),
    [anon_sym_STAR] = ACTIONS(7313),
    [anon_sym_SLASH] = ACTIONS(7313),
    [anon_sym_LT] = ACTIONS(7311),
    [anon_sym_GT] = ACTIONS(7311),
    [anon_sym_BANG] = ACTIONS(7311),
    [anon_sym_PIPE] = ACTIONS(7311),
    [anon_sym_COLON] = ACTIONS(7311),
    [anon_sym_SQUOTE] = ACTIONS(7311),
    [anon_sym__] = ACTIONS(7313),
    [anon_sym_CARET] = ACTIONS(7313),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7313),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7313),
    [anon_sym_DOLLAR] = ACTIONS(7311),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7313),
    [anon_sym_BSLASHleft] = ACTIONS(7311),
    [anon_sym_BSLASHbigl] = ACTIONS(7311),
    [anon_sym_BSLASHBigl] = ACTIONS(7311),
    [anon_sym_BSLASHbiggl] = ACTIONS(7311),
    [anon_sym_BSLASHBiggl] = ACTIONS(7311),
    [anon_sym_BSLASHright] = ACTIONS(7311),
    [anon_sym_BSLASHbigr] = ACTIONS(7311),
    [anon_sym_BSLASHBigr] = ACTIONS(7311),
    [anon_sym_BSLASHbiggr] = ACTIONS(7311),
    [anon_sym_BSLASHBiggr] = ACTIONS(7311),
    [anon_sym_BSLASHtext] = ACTIONS(7311),
    [anon_sym_BSLASHintertext] = ACTIONS(7311),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7311),
    [anon_sym_BSLASHbegin] = ACTIONS(7311),
    [anon_sym_BSLASHtitle] = ACTIONS(7311),
    [anon_sym_BSLASHauthor] = ACTIONS(7311),
    [anon_sym_BSLASHusepackage] = ACTIONS(7311),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7311),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7311),
    [anon_sym_BSLASHinclude] = ACTIONS(7311),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7311),
    [anon_sym_BSLASHinput] = ACTIONS(7311),
    [anon_sym_BSLASHsubfile] = ACTIONS(7311),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7311),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7311),
    [anon_sym_BSLASHbibliography] = ACTIONS(7311),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7311),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7311),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7311),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7311),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7311),
    [anon_sym_BSLASHimport] = ACTIONS(7311),
    [anon_sym_BSLASHsubimport] = ACTIONS(7311),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7311),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7311),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7311),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7311),
    [anon_sym_BSLASHcaption] = ACTIONS(7311),
    [anon_sym_BSLASHcite] = ACTIONS(7311),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCite] = ACTIONS(7311),
    [anon_sym_BSLASHnocite] = ACTIONS(7311),
    [anon_sym_BSLASHcitet] = ACTIONS(7311),
    [anon_sym_BSLASHcitep] = ACTIONS(7311),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteA] = ACTIONS(7311),
    [anon_sym_BSLASHciteR] = ACTIONS(7311),
    [anon_sym_BSLASHciteS] = ACTIONS(7311),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7311),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7311),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7311),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7311),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteyear] = ACTIONS(7311),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitedate] = ACTIONS(7311),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteurl] = ACTIONS(7311),
    [anon_sym_BSLASHfullcite] = ACTIONS(7311),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7311),
    [anon_sym_BSLASHcitealt] = ACTIONS(7311),
    [anon_sym_BSLASHcitealp] = ACTIONS(7311),
    [anon_sym_BSLASHcitetext] = ACTIONS(7311),
    [anon_sym_BSLASHparencite] = ACTIONS(7311),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHParencite] = ACTIONS(7311),
    [anon_sym_BSLASHfootcite] = ACTIONS(7311),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7311),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7311),
    [anon_sym_BSLASHtextcite] = ACTIONS(7311),
    [anon_sym_BSLASHTextcite] = ACTIONS(7311),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7311),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7311),
    [anon_sym_BSLASHsupercite] = ACTIONS(7311),
    [anon_sym_BSLASHautocite] = ACTIONS(7311),
    [anon_sym_BSLASHAutocite] = ACTIONS(7311),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHVolcite] = ACTIONS(7311),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHavolcite] = ACTIONS(7311),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHNotecite] = ACTIONS(7311),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHlabel] = ACTIONS(7311),
    [anon_sym_BSLASHref] = ACTIONS(7311),
    [anon_sym_BSLASHeqref] = ACTIONS(7311),
    [anon_sym_BSLASHvref] = ACTIONS(7311),
    [anon_sym_BSLASHVref] = ACTIONS(7311),
    [anon_sym_BSLASHautoref] = ACTIONS(7311),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHpageref] = ACTIONS(7311),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHautopageref] = ACTIONS(7311),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcref] = ACTIONS(7311),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCref] = ACTIONS(7311),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcpageref] = ACTIONS(7311),
    [anon_sym_BSLASHCpageref] = ACTIONS(7311),
    [anon_sym_BSLASHnamecref] = ACTIONS(7311),
    [anon_sym_BSLASHnameCref] = ACTIONS(7311),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7311),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7311),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7311),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7311),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7311),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7311),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7311),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7311),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7311),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7311),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7311),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHdef] = ACTIONS(7311),
    [anon_sym_BSLASHgdef] = ACTIONS(7311),
    [anon_sym_BSLASHedef] = ACTIONS(7311),
    [anon_sym_BSLASHxdef] = ACTIONS(7311),
    [anon_sym_BSLASHlet] = ACTIONS(7311),
    [anon_sym_BSLASHglet] = ACTIONS(7311),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7311),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7311),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7311),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7311),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7311),
    [anon_sym_BSLASHgls] = ACTIONS(7311),
    [anon_sym_BSLASHGls] = ACTIONS(7311),
    [anon_sym_BSLASHGLS] = ACTIONS(7311),
    [anon_sym_BSLASHglspl] = ACTIONS(7311),
    [anon_sym_BSLASHGlspl] = ACTIONS(7311),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7311),
    [anon_sym_BSLASHglslink] = ACTIONS(7311),
    [anon_sym_BSLASHglstext] = ACTIONS(7311),
    [anon_sym_BSLASHGlstext] = ACTIONS(7311),
    [anon_sym_BSLASHGLStext] = ACTIONS(7311),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7311),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7311),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7311),
    [anon_sym_BSLASHglsplural] = ACTIONS(7311),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7311),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7311),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHglsname] = ACTIONS(7311),
    [anon_sym_BSLASHGlsname] = ACTIONS(7311),
    [anon_sym_BSLASHGLSname] = ACTIONS(7311),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7311),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7311),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7311),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7311),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7311),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7311),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7311),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7311),
    [anon_sym_BSLASHacrshort] = ACTIONS(7311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7311),
    [anon_sym_BSLASHACRshort] = ACTIONS(7311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHacrlong] = ACTIONS(7311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7311),
    [anon_sym_BSLASHACRlong] = ACTIONS(7311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHacrfull] = ACTIONS(7311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7311),
    [anon_sym_BSLASHACRfull] = ACTIONS(7311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHacs] = ACTIONS(7311),
    [anon_sym_BSLASHAcs] = ACTIONS(7311),
    [anon_sym_BSLASHacsp] = ACTIONS(7311),
    [anon_sym_BSLASHAcsp] = ACTIONS(7311),
    [anon_sym_BSLASHacl] = ACTIONS(7311),
    [anon_sym_BSLASHAcl] = ACTIONS(7311),
    [anon_sym_BSLASHaclp] = ACTIONS(7311),
    [anon_sym_BSLASHAclp] = ACTIONS(7311),
    [anon_sym_BSLASHacf] = ACTIONS(7311),
    [anon_sym_BSLASHAcf] = ACTIONS(7311),
    [anon_sym_BSLASHacfp] = ACTIONS(7311),
    [anon_sym_BSLASHAcfp] = ACTIONS(7311),
    [anon_sym_BSLASHac] = ACTIONS(7311),
    [anon_sym_BSLASHAc] = ACTIONS(7311),
    [anon_sym_BSLASHacp] = ACTIONS(7311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7311),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7311),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7311),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7311),
    [anon_sym_BSLASHcolor] = ACTIONS(7311),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7311),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7311),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7311),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7311),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7311),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7311),
    [anon_sym_BSLASHurl] = ACTIONS(7311),
    [anon_sym_BSLASHhref] = ACTIONS(7311),
  },
  [656] = {
    [sym_command_name] = ACTIONS(7315),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7315),
    [anon_sym_LBRACK] = ACTIONS(7317),
    [anon_sym_RBRACK] = ACTIONS(7317),
    [anon_sym_COMMA] = ACTIONS(7317),
    [anon_sym_EQ] = ACTIONS(7317),
    [anon_sym_LPAREN] = ACTIONS(7317),
    [anon_sym_RPAREN] = ACTIONS(7317),
    [anon_sym_BSLASHpart] = ACTIONS(7315),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHaddpart] = ACTIONS(7315),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHchapter] = ACTIONS(7315),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHaddchap] = ACTIONS(7315),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHsection] = ACTIONS(7315),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHaddsec] = ACTIONS(7315),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHsubsection] = ACTIONS(7315),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7315),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHparagraph] = ACTIONS(7315),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7315),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHitem] = ACTIONS(7315),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7317),
    [anon_sym_LBRACE] = ACTIONS(7317),
    [sym_word] = ACTIONS(7315),
    [sym_placeholder] = ACTIONS(7317),
    [sym_delimiter] = ACTIONS(7317),
    [anon_sym_PLUS] = ACTIONS(7317),
    [anon_sym_DASH] = ACTIONS(7317),
    [anon_sym_STAR] = ACTIONS(7317),
    [anon_sym_SLASH] = ACTIONS(7317),
    [anon_sym_LT] = ACTIONS(7315),
    [anon_sym_GT] = ACTIONS(7315),
    [anon_sym_BANG] = ACTIONS(7315),
    [anon_sym_PIPE] = ACTIONS(7315),
    [anon_sym_COLON] = ACTIONS(7315),
    [anon_sym_SQUOTE] = ACTIONS(7315),
    [anon_sym__] = ACTIONS(7317),
    [anon_sym_CARET] = ACTIONS(7317),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7317),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7317),
    [anon_sym_DOLLAR] = ACTIONS(7315),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7317),
    [anon_sym_BSLASHleft] = ACTIONS(7315),
    [anon_sym_BSLASHbigl] = ACTIONS(7315),
    [anon_sym_BSLASHBigl] = ACTIONS(7315),
    [anon_sym_BSLASHbiggl] = ACTIONS(7315),
    [anon_sym_BSLASHBiggl] = ACTIONS(7315),
    [anon_sym_BSLASHright] = ACTIONS(7315),
    [anon_sym_BSLASHbigr] = ACTIONS(7315),
    [anon_sym_BSLASHBigr] = ACTIONS(7315),
    [anon_sym_BSLASHbiggr] = ACTIONS(7315),
    [anon_sym_BSLASHBiggr] = ACTIONS(7315),
    [anon_sym_BSLASHtext] = ACTIONS(7315),
    [anon_sym_BSLASHintertext] = ACTIONS(7315),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7315),
    [anon_sym_BSLASHbegin] = ACTIONS(7315),
    [anon_sym_BSLASHtitle] = ACTIONS(7315),
    [anon_sym_BSLASHauthor] = ACTIONS(7315),
    [anon_sym_BSLASHusepackage] = ACTIONS(7315),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7315),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7315),
    [anon_sym_BSLASHinclude] = ACTIONS(7315),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7315),
    [anon_sym_BSLASHinput] = ACTIONS(7315),
    [anon_sym_BSLASHsubfile] = ACTIONS(7315),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7315),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7315),
    [anon_sym_BSLASHbibliography] = ACTIONS(7315),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7315),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7315),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7315),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7315),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7315),
    [anon_sym_BSLASHimport] = ACTIONS(7315),
    [anon_sym_BSLASHsubimport] = ACTIONS(7315),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7315),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7315),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7315),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7315),
    [anon_sym_BSLASHcaption] = ACTIONS(7315),
    [anon_sym_BSLASHcite] = ACTIONS(7315),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCite] = ACTIONS(7315),
    [anon_sym_BSLASHnocite] = ACTIONS(7315),
    [anon_sym_BSLASHcitet] = ACTIONS(7315),
    [anon_sym_BSLASHcitep] = ACTIONS(7315),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteA] = ACTIONS(7315),
    [anon_sym_BSLASHciteR] = ACTIONS(7315),
    [anon_sym_BSLASHciteS] = ACTIONS(7315),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7315),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7315),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7315),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7315),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteyear] = ACTIONS(7315),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitedate] = ACTIONS(7315),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteurl] = ACTIONS(7315),
    [anon_sym_BSLASHfullcite] = ACTIONS(7315),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7315),
    [anon_sym_BSLASHcitealt] = ACTIONS(7315),
    [anon_sym_BSLASHcitealp] = ACTIONS(7315),
    [anon_sym_BSLASHcitetext] = ACTIONS(7315),
    [anon_sym_BSLASHparencite] = ACTIONS(7315),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHParencite] = ACTIONS(7315),
    [anon_sym_BSLASHfootcite] = ACTIONS(7315),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7315),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7315),
    [anon_sym_BSLASHtextcite] = ACTIONS(7315),
    [anon_sym_BSLASHTextcite] = ACTIONS(7315),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7315),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7315),
    [anon_sym_BSLASHsupercite] = ACTIONS(7315),
    [anon_sym_BSLASHautocite] = ACTIONS(7315),
    [anon_sym_BSLASHAutocite] = ACTIONS(7315),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHVolcite] = ACTIONS(7315),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHavolcite] = ACTIONS(7315),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHNotecite] = ACTIONS(7315),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHlabel] = ACTIONS(7315),
    [anon_sym_BSLASHref] = ACTIONS(7315),
    [anon_sym_BSLASHeqref] = ACTIONS(7315),
    [anon_sym_BSLASHvref] = ACTIONS(7315),
    [anon_sym_BSLASHVref] = ACTIONS(7315),
    [anon_sym_BSLASHautoref] = ACTIONS(7315),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHpageref] = ACTIONS(7315),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHautopageref] = ACTIONS(7315),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcref] = ACTIONS(7315),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCref] = ACTIONS(7315),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcpageref] = ACTIONS(7315),
    [anon_sym_BSLASHCpageref] = ACTIONS(7315),
    [anon_sym_BSLASHnamecref] = ACTIONS(7315),
    [anon_sym_BSLASHnameCref] = ACTIONS(7315),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7315),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7315),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7315),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7315),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7315),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7315),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7315),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7315),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7315),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7315),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7315),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHdef] = ACTIONS(7315),
    [anon_sym_BSLASHgdef] = ACTIONS(7315),
    [anon_sym_BSLASHedef] = ACTIONS(7315),
    [anon_sym_BSLASHxdef] = ACTIONS(7315),
    [anon_sym_BSLASHlet] = ACTIONS(7315),
    [anon_sym_BSLASHglet] = ACTIONS(7315),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7315),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7315),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7315),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7315),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7315),
    [anon_sym_BSLASHgls] = ACTIONS(7315),
    [anon_sym_BSLASHGls] = ACTIONS(7315),
    [anon_sym_BSLASHGLS] = ACTIONS(7315),
    [anon_sym_BSLASHglspl] = ACTIONS(7315),
    [anon_sym_BSLASHGlspl] = ACTIONS(7315),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7315),
    [anon_sym_BSLASHglslink] = ACTIONS(7315),
    [anon_sym_BSLASHglstext] = ACTIONS(7315),
    [anon_sym_BSLASHGlstext] = ACTIONS(7315),
    [anon_sym_BSLASHGLStext] = ACTIONS(7315),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7315),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7315),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7315),
    [anon_sym_BSLASHglsplural] = ACTIONS(7315),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7315),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7315),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHglsname] = ACTIONS(7315),
    [anon_sym_BSLASHGlsname] = ACTIONS(7315),
    [anon_sym_BSLASHGLSname] = ACTIONS(7315),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7315),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7315),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7315),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7315),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7315),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7315),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7315),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7315),
    [anon_sym_BSLASHacrshort] = ACTIONS(7315),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7315),
    [anon_sym_BSLASHACRshort] = ACTIONS(7315),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHacrlong] = ACTIONS(7315),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7315),
    [anon_sym_BSLASHACRlong] = ACTIONS(7315),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHacrfull] = ACTIONS(7315),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7315),
    [anon_sym_BSLASHACRfull] = ACTIONS(7315),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHacs] = ACTIONS(7315),
    [anon_sym_BSLASHAcs] = ACTIONS(7315),
    [anon_sym_BSLASHacsp] = ACTIONS(7315),
    [anon_sym_BSLASHAcsp] = ACTIONS(7315),
    [anon_sym_BSLASHacl] = ACTIONS(7315),
    [anon_sym_BSLASHAcl] = ACTIONS(7315),
    [anon_sym_BSLASHaclp] = ACTIONS(7315),
    [anon_sym_BSLASHAclp] = ACTIONS(7315),
    [anon_sym_BSLASHacf] = ACTIONS(7315),
    [anon_sym_BSLASHAcf] = ACTIONS(7315),
    [anon_sym_BSLASHacfp] = ACTIONS(7315),
    [anon_sym_BSLASHAcfp] = ACTIONS(7315),
    [anon_sym_BSLASHac] = ACTIONS(7315),
    [anon_sym_BSLASHAc] = ACTIONS(7315),
    [anon_sym_BSLASHacp] = ACTIONS(7315),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7315),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7315),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7315),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7315),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7315),
    [anon_sym_BSLASHcolor] = ACTIONS(7315),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7315),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7315),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7315),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7315),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7315),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7315),
    [anon_sym_BSLASHurl] = ACTIONS(7315),
    [anon_sym_BSLASHhref] = ACTIONS(7315),
  },
  [657] = {
    [sym_command_name] = ACTIONS(7319),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7319),
    [anon_sym_LBRACK] = ACTIONS(7321),
    [anon_sym_RBRACK] = ACTIONS(7321),
    [anon_sym_COMMA] = ACTIONS(7321),
    [anon_sym_EQ] = ACTIONS(7321),
    [anon_sym_LPAREN] = ACTIONS(7321),
    [anon_sym_RPAREN] = ACTIONS(7321),
    [anon_sym_BSLASHpart] = ACTIONS(7319),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHaddpart] = ACTIONS(7319),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHchapter] = ACTIONS(7319),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHaddchap] = ACTIONS(7319),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHsection] = ACTIONS(7319),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHaddsec] = ACTIONS(7319),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHsubsection] = ACTIONS(7319),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7319),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHparagraph] = ACTIONS(7319),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7319),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHitem] = ACTIONS(7319),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7321),
    [anon_sym_LBRACE] = ACTIONS(7321),
    [sym_word] = ACTIONS(7319),
    [sym_placeholder] = ACTIONS(7321),
    [sym_delimiter] = ACTIONS(7321),
    [anon_sym_PLUS] = ACTIONS(7321),
    [anon_sym_DASH] = ACTIONS(7321),
    [anon_sym_STAR] = ACTIONS(7321),
    [anon_sym_SLASH] = ACTIONS(7321),
    [anon_sym_LT] = ACTIONS(7319),
    [anon_sym_GT] = ACTIONS(7319),
    [anon_sym_BANG] = ACTIONS(7319),
    [anon_sym_PIPE] = ACTIONS(7319),
    [anon_sym_COLON] = ACTIONS(7319),
    [anon_sym_SQUOTE] = ACTIONS(7319),
    [anon_sym__] = ACTIONS(7321),
    [anon_sym_CARET] = ACTIONS(7321),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7321),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7321),
    [anon_sym_DOLLAR] = ACTIONS(7319),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7321),
    [anon_sym_BSLASHleft] = ACTIONS(7319),
    [anon_sym_BSLASHbigl] = ACTIONS(7319),
    [anon_sym_BSLASHBigl] = ACTIONS(7319),
    [anon_sym_BSLASHbiggl] = ACTIONS(7319),
    [anon_sym_BSLASHBiggl] = ACTIONS(7319),
    [anon_sym_BSLASHright] = ACTIONS(7319),
    [anon_sym_BSLASHbigr] = ACTIONS(7319),
    [anon_sym_BSLASHBigr] = ACTIONS(7319),
    [anon_sym_BSLASHbiggr] = ACTIONS(7319),
    [anon_sym_BSLASHBiggr] = ACTIONS(7319),
    [anon_sym_BSLASHtext] = ACTIONS(7319),
    [anon_sym_BSLASHintertext] = ACTIONS(7319),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7319),
    [anon_sym_BSLASHbegin] = ACTIONS(7319),
    [anon_sym_BSLASHtitle] = ACTIONS(7319),
    [anon_sym_BSLASHauthor] = ACTIONS(7319),
    [anon_sym_BSLASHusepackage] = ACTIONS(7319),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7319),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7319),
    [anon_sym_BSLASHinclude] = ACTIONS(7319),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7319),
    [anon_sym_BSLASHinput] = ACTIONS(7319),
    [anon_sym_BSLASHsubfile] = ACTIONS(7319),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7319),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7319),
    [anon_sym_BSLASHbibliography] = ACTIONS(7319),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7319),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7319),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7319),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7319),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7319),
    [anon_sym_BSLASHimport] = ACTIONS(7319),
    [anon_sym_BSLASHsubimport] = ACTIONS(7319),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7319),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7319),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7319),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7319),
    [anon_sym_BSLASHcaption] = ACTIONS(7319),
    [anon_sym_BSLASHcite] = ACTIONS(7319),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCite] = ACTIONS(7319),
    [anon_sym_BSLASHnocite] = ACTIONS(7319),
    [anon_sym_BSLASHcitet] = ACTIONS(7319),
    [anon_sym_BSLASHcitep] = ACTIONS(7319),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteA] = ACTIONS(7319),
    [anon_sym_BSLASHciteR] = ACTIONS(7319),
    [anon_sym_BSLASHciteS] = ACTIONS(7319),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7319),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7319),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7319),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7319),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteyear] = ACTIONS(7319),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitedate] = ACTIONS(7319),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteurl] = ACTIONS(7319),
    [anon_sym_BSLASHfullcite] = ACTIONS(7319),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7319),
    [anon_sym_BSLASHcitealt] = ACTIONS(7319),
    [anon_sym_BSLASHcitealp] = ACTIONS(7319),
    [anon_sym_BSLASHcitetext] = ACTIONS(7319),
    [anon_sym_BSLASHparencite] = ACTIONS(7319),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHParencite] = ACTIONS(7319),
    [anon_sym_BSLASHfootcite] = ACTIONS(7319),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7319),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7319),
    [anon_sym_BSLASHtextcite] = ACTIONS(7319),
    [anon_sym_BSLASHTextcite] = ACTIONS(7319),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7319),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7319),
    [anon_sym_BSLASHsupercite] = ACTIONS(7319),
    [anon_sym_BSLASHautocite] = ACTIONS(7319),
    [anon_sym_BSLASHAutocite] = ACTIONS(7319),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHVolcite] = ACTIONS(7319),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHavolcite] = ACTIONS(7319),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHNotecite] = ACTIONS(7319),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHlabel] = ACTIONS(7319),
    [anon_sym_BSLASHref] = ACTIONS(7319),
    [anon_sym_BSLASHeqref] = ACTIONS(7319),
    [anon_sym_BSLASHvref] = ACTIONS(7319),
    [anon_sym_BSLASHVref] = ACTIONS(7319),
    [anon_sym_BSLASHautoref] = ACTIONS(7319),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHpageref] = ACTIONS(7319),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHautopageref] = ACTIONS(7319),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcref] = ACTIONS(7319),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCref] = ACTIONS(7319),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcpageref] = ACTIONS(7319),
    [anon_sym_BSLASHCpageref] = ACTIONS(7319),
    [anon_sym_BSLASHnamecref] = ACTIONS(7319),
    [anon_sym_BSLASHnameCref] = ACTIONS(7319),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7319),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7319),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7319),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7319),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7319),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7319),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7319),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7319),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7319),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7319),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7319),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHdef] = ACTIONS(7319),
    [anon_sym_BSLASHgdef] = ACTIONS(7319),
    [anon_sym_BSLASHedef] = ACTIONS(7319),
    [anon_sym_BSLASHxdef] = ACTIONS(7319),
    [anon_sym_BSLASHlet] = ACTIONS(7319),
    [anon_sym_BSLASHglet] = ACTIONS(7319),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7319),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7319),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7319),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7319),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7319),
    [anon_sym_BSLASHgls] = ACTIONS(7319),
    [anon_sym_BSLASHGls] = ACTIONS(7319),
    [anon_sym_BSLASHGLS] = ACTIONS(7319),
    [anon_sym_BSLASHglspl] = ACTIONS(7319),
    [anon_sym_BSLASHGlspl] = ACTIONS(7319),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7319),
    [anon_sym_BSLASHglslink] = ACTIONS(7319),
    [anon_sym_BSLASHglstext] = ACTIONS(7319),
    [anon_sym_BSLASHGlstext] = ACTIONS(7319),
    [anon_sym_BSLASHGLStext] = ACTIONS(7319),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7319),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7319),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7319),
    [anon_sym_BSLASHglsplural] = ACTIONS(7319),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7319),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7319),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHglsname] = ACTIONS(7319),
    [anon_sym_BSLASHGlsname] = ACTIONS(7319),
    [anon_sym_BSLASHGLSname] = ACTIONS(7319),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7319),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7319),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7319),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7319),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7319),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7319),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7319),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7319),
    [anon_sym_BSLASHacrshort] = ACTIONS(7319),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7319),
    [anon_sym_BSLASHACRshort] = ACTIONS(7319),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHacrlong] = ACTIONS(7319),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7319),
    [anon_sym_BSLASHACRlong] = ACTIONS(7319),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHacrfull] = ACTIONS(7319),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7319),
    [anon_sym_BSLASHACRfull] = ACTIONS(7319),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHacs] = ACTIONS(7319),
    [anon_sym_BSLASHAcs] = ACTIONS(7319),
    [anon_sym_BSLASHacsp] = ACTIONS(7319),
    [anon_sym_BSLASHAcsp] = ACTIONS(7319),
    [anon_sym_BSLASHacl] = ACTIONS(7319),
    [anon_sym_BSLASHAcl] = ACTIONS(7319),
    [anon_sym_BSLASHaclp] = ACTIONS(7319),
    [anon_sym_BSLASHAclp] = ACTIONS(7319),
    [anon_sym_BSLASHacf] = ACTIONS(7319),
    [anon_sym_BSLASHAcf] = ACTIONS(7319),
    [anon_sym_BSLASHacfp] = ACTIONS(7319),
    [anon_sym_BSLASHAcfp] = ACTIONS(7319),
    [anon_sym_BSLASHac] = ACTIONS(7319),
    [anon_sym_BSLASHAc] = ACTIONS(7319),
    [anon_sym_BSLASHacp] = ACTIONS(7319),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7319),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7319),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7319),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7319),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7319),
    [anon_sym_BSLASHcolor] = ACTIONS(7319),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7319),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7319),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7319),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7319),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7319),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7319),
    [anon_sym_BSLASHurl] = ACTIONS(7319),
    [anon_sym_BSLASHhref] = ACTIONS(7319),
  },
  [658] = {
    [sym_command_name] = ACTIONS(7323),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7323),
    [anon_sym_LBRACK] = ACTIONS(7325),
    [anon_sym_RBRACK] = ACTIONS(7325),
    [anon_sym_COMMA] = ACTIONS(7325),
    [anon_sym_EQ] = ACTIONS(7325),
    [anon_sym_LPAREN] = ACTIONS(7325),
    [anon_sym_RPAREN] = ACTIONS(7325),
    [anon_sym_BSLASHpart] = ACTIONS(7323),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHaddpart] = ACTIONS(7323),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHchapter] = ACTIONS(7323),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHaddchap] = ACTIONS(7323),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHsection] = ACTIONS(7323),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHaddsec] = ACTIONS(7323),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHsubsection] = ACTIONS(7323),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7323),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHparagraph] = ACTIONS(7323),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7323),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHitem] = ACTIONS(7323),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7325),
    [anon_sym_LBRACE] = ACTIONS(7325),
    [sym_word] = ACTIONS(7323),
    [sym_placeholder] = ACTIONS(7325),
    [sym_delimiter] = ACTIONS(7325),
    [anon_sym_PLUS] = ACTIONS(7325),
    [anon_sym_DASH] = ACTIONS(7325),
    [anon_sym_STAR] = ACTIONS(7325),
    [anon_sym_SLASH] = ACTIONS(7325),
    [anon_sym_LT] = ACTIONS(7323),
    [anon_sym_GT] = ACTIONS(7323),
    [anon_sym_BANG] = ACTIONS(7323),
    [anon_sym_PIPE] = ACTIONS(7323),
    [anon_sym_COLON] = ACTIONS(7323),
    [anon_sym_SQUOTE] = ACTIONS(7323),
    [anon_sym__] = ACTIONS(7325),
    [anon_sym_CARET] = ACTIONS(7325),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7325),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7325),
    [anon_sym_DOLLAR] = ACTIONS(7323),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7325),
    [anon_sym_BSLASHleft] = ACTIONS(7323),
    [anon_sym_BSLASHbigl] = ACTIONS(7323),
    [anon_sym_BSLASHBigl] = ACTIONS(7323),
    [anon_sym_BSLASHbiggl] = ACTIONS(7323),
    [anon_sym_BSLASHBiggl] = ACTIONS(7323),
    [anon_sym_BSLASHright] = ACTIONS(7323),
    [anon_sym_BSLASHbigr] = ACTIONS(7323),
    [anon_sym_BSLASHBigr] = ACTIONS(7323),
    [anon_sym_BSLASHbiggr] = ACTIONS(7323),
    [anon_sym_BSLASHBiggr] = ACTIONS(7323),
    [anon_sym_BSLASHtext] = ACTIONS(7323),
    [anon_sym_BSLASHintertext] = ACTIONS(7323),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7323),
    [anon_sym_BSLASHbegin] = ACTIONS(7323),
    [anon_sym_BSLASHtitle] = ACTIONS(7323),
    [anon_sym_BSLASHauthor] = ACTIONS(7323),
    [anon_sym_BSLASHusepackage] = ACTIONS(7323),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7323),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7323),
    [anon_sym_BSLASHinclude] = ACTIONS(7323),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7323),
    [anon_sym_BSLASHinput] = ACTIONS(7323),
    [anon_sym_BSLASHsubfile] = ACTIONS(7323),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7323),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7323),
    [anon_sym_BSLASHbibliography] = ACTIONS(7323),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7323),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7323),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7323),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7323),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7323),
    [anon_sym_BSLASHimport] = ACTIONS(7323),
    [anon_sym_BSLASHsubimport] = ACTIONS(7323),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7323),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7323),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7323),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7323),
    [anon_sym_BSLASHcaption] = ACTIONS(7323),
    [anon_sym_BSLASHcite] = ACTIONS(7323),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCite] = ACTIONS(7323),
    [anon_sym_BSLASHnocite] = ACTIONS(7323),
    [anon_sym_BSLASHcitet] = ACTIONS(7323),
    [anon_sym_BSLASHcitep] = ACTIONS(7323),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteA] = ACTIONS(7323),
    [anon_sym_BSLASHciteR] = ACTIONS(7323),
    [anon_sym_BSLASHciteS] = ACTIONS(7323),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7323),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7323),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7323),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7323),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteyear] = ACTIONS(7323),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitedate] = ACTIONS(7323),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteurl] = ACTIONS(7323),
    [anon_sym_BSLASHfullcite] = ACTIONS(7323),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7323),
    [anon_sym_BSLASHcitealt] = ACTIONS(7323),
    [anon_sym_BSLASHcitealp] = ACTIONS(7323),
    [anon_sym_BSLASHcitetext] = ACTIONS(7323),
    [anon_sym_BSLASHparencite] = ACTIONS(7323),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHParencite] = ACTIONS(7323),
    [anon_sym_BSLASHfootcite] = ACTIONS(7323),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7323),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7323),
    [anon_sym_BSLASHtextcite] = ACTIONS(7323),
    [anon_sym_BSLASHTextcite] = ACTIONS(7323),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7323),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7323),
    [anon_sym_BSLASHsupercite] = ACTIONS(7323),
    [anon_sym_BSLASHautocite] = ACTIONS(7323),
    [anon_sym_BSLASHAutocite] = ACTIONS(7323),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHVolcite] = ACTIONS(7323),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHavolcite] = ACTIONS(7323),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHNotecite] = ACTIONS(7323),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHlabel] = ACTIONS(7323),
    [anon_sym_BSLASHref] = ACTIONS(7323),
    [anon_sym_BSLASHeqref] = ACTIONS(7323),
    [anon_sym_BSLASHvref] = ACTIONS(7323),
    [anon_sym_BSLASHVref] = ACTIONS(7323),
    [anon_sym_BSLASHautoref] = ACTIONS(7323),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHpageref] = ACTIONS(7323),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHautopageref] = ACTIONS(7323),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcref] = ACTIONS(7323),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCref] = ACTIONS(7323),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcpageref] = ACTIONS(7323),
    [anon_sym_BSLASHCpageref] = ACTIONS(7323),
    [anon_sym_BSLASHnamecref] = ACTIONS(7323),
    [anon_sym_BSLASHnameCref] = ACTIONS(7323),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7323),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7323),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7323),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7323),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7323),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7323),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7323),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7323),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7323),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7323),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7323),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHdef] = ACTIONS(7323),
    [anon_sym_BSLASHgdef] = ACTIONS(7323),
    [anon_sym_BSLASHedef] = ACTIONS(7323),
    [anon_sym_BSLASHxdef] = ACTIONS(7323),
    [anon_sym_BSLASHlet] = ACTIONS(7323),
    [anon_sym_BSLASHglet] = ACTIONS(7323),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7323),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7323),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7323),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7323),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7323),
    [anon_sym_BSLASHgls] = ACTIONS(7323),
    [anon_sym_BSLASHGls] = ACTIONS(7323),
    [anon_sym_BSLASHGLS] = ACTIONS(7323),
    [anon_sym_BSLASHglspl] = ACTIONS(7323),
    [anon_sym_BSLASHGlspl] = ACTIONS(7323),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7323),
    [anon_sym_BSLASHglslink] = ACTIONS(7323),
    [anon_sym_BSLASHglstext] = ACTIONS(7323),
    [anon_sym_BSLASHGlstext] = ACTIONS(7323),
    [anon_sym_BSLASHGLStext] = ACTIONS(7323),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7323),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7323),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7323),
    [anon_sym_BSLASHglsplural] = ACTIONS(7323),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7323),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7323),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHglsname] = ACTIONS(7323),
    [anon_sym_BSLASHGlsname] = ACTIONS(7323),
    [anon_sym_BSLASHGLSname] = ACTIONS(7323),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7323),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7323),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7323),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7323),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7323),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7323),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7323),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7323),
    [anon_sym_BSLASHacrshort] = ACTIONS(7323),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7323),
    [anon_sym_BSLASHACRshort] = ACTIONS(7323),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHacrlong] = ACTIONS(7323),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7323),
    [anon_sym_BSLASHACRlong] = ACTIONS(7323),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHacrfull] = ACTIONS(7323),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7323),
    [anon_sym_BSLASHACRfull] = ACTIONS(7323),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHacs] = ACTIONS(7323),
    [anon_sym_BSLASHAcs] = ACTIONS(7323),
    [anon_sym_BSLASHacsp] = ACTIONS(7323),
    [anon_sym_BSLASHAcsp] = ACTIONS(7323),
    [anon_sym_BSLASHacl] = ACTIONS(7323),
    [anon_sym_BSLASHAcl] = ACTIONS(7323),
    [anon_sym_BSLASHaclp] = ACTIONS(7323),
    [anon_sym_BSLASHAclp] = ACTIONS(7323),
    [anon_sym_BSLASHacf] = ACTIONS(7323),
    [anon_sym_BSLASHAcf] = ACTIONS(7323),
    [anon_sym_BSLASHacfp] = ACTIONS(7323),
    [anon_sym_BSLASHAcfp] = ACTIONS(7323),
    [anon_sym_BSLASHac] = ACTIONS(7323),
    [anon_sym_BSLASHAc] = ACTIONS(7323),
    [anon_sym_BSLASHacp] = ACTIONS(7323),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7323),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7323),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7323),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7323),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7323),
    [anon_sym_BSLASHcolor] = ACTIONS(7323),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7323),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7323),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7323),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7323),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7323),
    [anon_sym_BSLASHurl] = ACTIONS(7323),
    [anon_sym_BSLASHhref] = ACTIONS(7323),
  },
  [659] = {
    [sym_command_name] = ACTIONS(7327),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7327),
    [anon_sym_LBRACK] = ACTIONS(7329),
    [anon_sym_RBRACK] = ACTIONS(7329),
    [anon_sym_COMMA] = ACTIONS(7329),
    [anon_sym_EQ] = ACTIONS(7329),
    [anon_sym_LPAREN] = ACTIONS(7329),
    [anon_sym_RPAREN] = ACTIONS(7329),
    [anon_sym_BSLASHpart] = ACTIONS(7327),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHaddpart] = ACTIONS(7327),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHchapter] = ACTIONS(7327),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHaddchap] = ACTIONS(7327),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHsection] = ACTIONS(7327),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHaddsec] = ACTIONS(7327),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHsubsection] = ACTIONS(7327),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7327),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHparagraph] = ACTIONS(7327),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7327),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHitem] = ACTIONS(7327),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7329),
    [anon_sym_LBRACE] = ACTIONS(7329),
    [sym_word] = ACTIONS(7327),
    [sym_placeholder] = ACTIONS(7329),
    [sym_delimiter] = ACTIONS(7329),
    [anon_sym_PLUS] = ACTIONS(7329),
    [anon_sym_DASH] = ACTIONS(7329),
    [anon_sym_STAR] = ACTIONS(7329),
    [anon_sym_SLASH] = ACTIONS(7329),
    [anon_sym_LT] = ACTIONS(7327),
    [anon_sym_GT] = ACTIONS(7327),
    [anon_sym_BANG] = ACTIONS(7327),
    [anon_sym_PIPE] = ACTIONS(7327),
    [anon_sym_COLON] = ACTIONS(7327),
    [anon_sym_SQUOTE] = ACTIONS(7327),
    [anon_sym__] = ACTIONS(7329),
    [anon_sym_CARET] = ACTIONS(7329),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7329),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7329),
    [anon_sym_DOLLAR] = ACTIONS(7327),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7329),
    [anon_sym_BSLASHleft] = ACTIONS(7327),
    [anon_sym_BSLASHbigl] = ACTIONS(7327),
    [anon_sym_BSLASHBigl] = ACTIONS(7327),
    [anon_sym_BSLASHbiggl] = ACTIONS(7327),
    [anon_sym_BSLASHBiggl] = ACTIONS(7327),
    [anon_sym_BSLASHright] = ACTIONS(7327),
    [anon_sym_BSLASHbigr] = ACTIONS(7327),
    [anon_sym_BSLASHBigr] = ACTIONS(7327),
    [anon_sym_BSLASHbiggr] = ACTIONS(7327),
    [anon_sym_BSLASHBiggr] = ACTIONS(7327),
    [anon_sym_BSLASHtext] = ACTIONS(7327),
    [anon_sym_BSLASHintertext] = ACTIONS(7327),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7327),
    [anon_sym_BSLASHbegin] = ACTIONS(7327),
    [anon_sym_BSLASHtitle] = ACTIONS(7327),
    [anon_sym_BSLASHauthor] = ACTIONS(7327),
    [anon_sym_BSLASHusepackage] = ACTIONS(7327),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7327),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7327),
    [anon_sym_BSLASHinclude] = ACTIONS(7327),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7327),
    [anon_sym_BSLASHinput] = ACTIONS(7327),
    [anon_sym_BSLASHsubfile] = ACTIONS(7327),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7327),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7327),
    [anon_sym_BSLASHbibliography] = ACTIONS(7327),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7327),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7327),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7327),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7327),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7327),
    [anon_sym_BSLASHimport] = ACTIONS(7327),
    [anon_sym_BSLASHsubimport] = ACTIONS(7327),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7327),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7327),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7327),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7327),
    [anon_sym_BSLASHcaption] = ACTIONS(7327),
    [anon_sym_BSLASHcite] = ACTIONS(7327),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCite] = ACTIONS(7327),
    [anon_sym_BSLASHnocite] = ACTIONS(7327),
    [anon_sym_BSLASHcitet] = ACTIONS(7327),
    [anon_sym_BSLASHcitep] = ACTIONS(7327),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteA] = ACTIONS(7327),
    [anon_sym_BSLASHciteR] = ACTIONS(7327),
    [anon_sym_BSLASHciteS] = ACTIONS(7327),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7327),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7327),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7327),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7327),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteyear] = ACTIONS(7327),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitedate] = ACTIONS(7327),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteurl] = ACTIONS(7327),
    [anon_sym_BSLASHfullcite] = ACTIONS(7327),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7327),
    [anon_sym_BSLASHcitealt] = ACTIONS(7327),
    [anon_sym_BSLASHcitealp] = ACTIONS(7327),
    [anon_sym_BSLASHcitetext] = ACTIONS(7327),
    [anon_sym_BSLASHparencite] = ACTIONS(7327),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHParencite] = ACTIONS(7327),
    [anon_sym_BSLASHfootcite] = ACTIONS(7327),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7327),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7327),
    [anon_sym_BSLASHtextcite] = ACTIONS(7327),
    [anon_sym_BSLASHTextcite] = ACTIONS(7327),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7327),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7327),
    [anon_sym_BSLASHsupercite] = ACTIONS(7327),
    [anon_sym_BSLASHautocite] = ACTIONS(7327),
    [anon_sym_BSLASHAutocite] = ACTIONS(7327),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHVolcite] = ACTIONS(7327),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHavolcite] = ACTIONS(7327),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHNotecite] = ACTIONS(7327),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHlabel] = ACTIONS(7327),
    [anon_sym_BSLASHref] = ACTIONS(7327),
    [anon_sym_BSLASHeqref] = ACTIONS(7327),
    [anon_sym_BSLASHvref] = ACTIONS(7327),
    [anon_sym_BSLASHVref] = ACTIONS(7327),
    [anon_sym_BSLASHautoref] = ACTIONS(7327),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHpageref] = ACTIONS(7327),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHautopageref] = ACTIONS(7327),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcref] = ACTIONS(7327),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCref] = ACTIONS(7327),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcpageref] = ACTIONS(7327),
    [anon_sym_BSLASHCpageref] = ACTIONS(7327),
    [anon_sym_BSLASHnamecref] = ACTIONS(7327),
    [anon_sym_BSLASHnameCref] = ACTIONS(7327),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7327),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7327),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7327),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7327),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7327),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7327),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7327),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7327),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7327),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7327),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7327),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHdef] = ACTIONS(7327),
    [anon_sym_BSLASHgdef] = ACTIONS(7327),
    [anon_sym_BSLASHedef] = ACTIONS(7327),
    [anon_sym_BSLASHxdef] = ACTIONS(7327),
    [anon_sym_BSLASHlet] = ACTIONS(7327),
    [anon_sym_BSLASHglet] = ACTIONS(7327),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7327),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7327),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7327),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7327),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7327),
    [anon_sym_BSLASHgls] = ACTIONS(7327),
    [anon_sym_BSLASHGls] = ACTIONS(7327),
    [anon_sym_BSLASHGLS] = ACTIONS(7327),
    [anon_sym_BSLASHglspl] = ACTIONS(7327),
    [anon_sym_BSLASHGlspl] = ACTIONS(7327),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7327),
    [anon_sym_BSLASHglslink] = ACTIONS(7327),
    [anon_sym_BSLASHglstext] = ACTIONS(7327),
    [anon_sym_BSLASHGlstext] = ACTIONS(7327),
    [anon_sym_BSLASHGLStext] = ACTIONS(7327),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7327),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7327),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7327),
    [anon_sym_BSLASHglsplural] = ACTIONS(7327),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7327),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7327),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHglsname] = ACTIONS(7327),
    [anon_sym_BSLASHGlsname] = ACTIONS(7327),
    [anon_sym_BSLASHGLSname] = ACTIONS(7327),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7327),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7327),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7327),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7327),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7327),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7327),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7327),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7327),
    [anon_sym_BSLASHacrshort] = ACTIONS(7327),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7327),
    [anon_sym_BSLASHACRshort] = ACTIONS(7327),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHacrlong] = ACTIONS(7327),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7327),
    [anon_sym_BSLASHACRlong] = ACTIONS(7327),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHacrfull] = ACTIONS(7327),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7327),
    [anon_sym_BSLASHACRfull] = ACTIONS(7327),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHacs] = ACTIONS(7327),
    [anon_sym_BSLASHAcs] = ACTIONS(7327),
    [anon_sym_BSLASHacsp] = ACTIONS(7327),
    [anon_sym_BSLASHAcsp] = ACTIONS(7327),
    [anon_sym_BSLASHacl] = ACTIONS(7327),
    [anon_sym_BSLASHAcl] = ACTIONS(7327),
    [anon_sym_BSLASHaclp] = ACTIONS(7327),
    [anon_sym_BSLASHAclp] = ACTIONS(7327),
    [anon_sym_BSLASHacf] = ACTIONS(7327),
    [anon_sym_BSLASHAcf] = ACTIONS(7327),
    [anon_sym_BSLASHacfp] = ACTIONS(7327),
    [anon_sym_BSLASHAcfp] = ACTIONS(7327),
    [anon_sym_BSLASHac] = ACTIONS(7327),
    [anon_sym_BSLASHAc] = ACTIONS(7327),
    [anon_sym_BSLASHacp] = ACTIONS(7327),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7327),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7327),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7327),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7327),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7327),
    [anon_sym_BSLASHcolor] = ACTIONS(7327),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7327),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7327),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7327),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7327),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7327),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7327),
    [anon_sym_BSLASHurl] = ACTIONS(7327),
    [anon_sym_BSLASHhref] = ACTIONS(7327),
  },
  [660] = {
    [sym_command_name] = ACTIONS(7331),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7331),
    [anon_sym_LBRACK] = ACTIONS(7333),
    [anon_sym_RBRACK] = ACTIONS(7333),
    [anon_sym_COMMA] = ACTIONS(7333),
    [anon_sym_EQ] = ACTIONS(7333),
    [anon_sym_LPAREN] = ACTIONS(7333),
    [anon_sym_RPAREN] = ACTIONS(7333),
    [anon_sym_BSLASHpart] = ACTIONS(7331),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHaddpart] = ACTIONS(7331),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHchapter] = ACTIONS(7331),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHaddchap] = ACTIONS(7331),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHsection] = ACTIONS(7331),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHaddsec] = ACTIONS(7331),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHsubsection] = ACTIONS(7331),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7331),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHparagraph] = ACTIONS(7331),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7331),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHitem] = ACTIONS(7331),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7333),
    [anon_sym_LBRACE] = ACTIONS(7333),
    [sym_word] = ACTIONS(7331),
    [sym_placeholder] = ACTIONS(7333),
    [sym_delimiter] = ACTIONS(7333),
    [anon_sym_PLUS] = ACTIONS(7333),
    [anon_sym_DASH] = ACTIONS(7333),
    [anon_sym_STAR] = ACTIONS(7333),
    [anon_sym_SLASH] = ACTIONS(7333),
    [anon_sym_LT] = ACTIONS(7331),
    [anon_sym_GT] = ACTIONS(7331),
    [anon_sym_BANG] = ACTIONS(7331),
    [anon_sym_PIPE] = ACTIONS(7331),
    [anon_sym_COLON] = ACTIONS(7331),
    [anon_sym_SQUOTE] = ACTIONS(7331),
    [anon_sym__] = ACTIONS(7333),
    [anon_sym_CARET] = ACTIONS(7333),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7333),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7333),
    [anon_sym_DOLLAR] = ACTIONS(7331),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7333),
    [anon_sym_BSLASHleft] = ACTIONS(7331),
    [anon_sym_BSLASHbigl] = ACTIONS(7331),
    [anon_sym_BSLASHBigl] = ACTIONS(7331),
    [anon_sym_BSLASHbiggl] = ACTIONS(7331),
    [anon_sym_BSLASHBiggl] = ACTIONS(7331),
    [anon_sym_BSLASHright] = ACTIONS(7331),
    [anon_sym_BSLASHbigr] = ACTIONS(7331),
    [anon_sym_BSLASHBigr] = ACTIONS(7331),
    [anon_sym_BSLASHbiggr] = ACTIONS(7331),
    [anon_sym_BSLASHBiggr] = ACTIONS(7331),
    [anon_sym_BSLASHtext] = ACTIONS(7331),
    [anon_sym_BSLASHintertext] = ACTIONS(7331),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7331),
    [anon_sym_BSLASHbegin] = ACTIONS(7331),
    [anon_sym_BSLASHtitle] = ACTIONS(7331),
    [anon_sym_BSLASHauthor] = ACTIONS(7331),
    [anon_sym_BSLASHusepackage] = ACTIONS(7331),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7331),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7331),
    [anon_sym_BSLASHinclude] = ACTIONS(7331),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7331),
    [anon_sym_BSLASHinput] = ACTIONS(7331),
    [anon_sym_BSLASHsubfile] = ACTIONS(7331),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7331),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7331),
    [anon_sym_BSLASHbibliography] = ACTIONS(7331),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7331),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7331),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7331),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7331),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7331),
    [anon_sym_BSLASHimport] = ACTIONS(7331),
    [anon_sym_BSLASHsubimport] = ACTIONS(7331),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7331),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7331),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7331),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7331),
    [anon_sym_BSLASHcaption] = ACTIONS(7331),
    [anon_sym_BSLASHcite] = ACTIONS(7331),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCite] = ACTIONS(7331),
    [anon_sym_BSLASHnocite] = ACTIONS(7331),
    [anon_sym_BSLASHcitet] = ACTIONS(7331),
    [anon_sym_BSLASHcitep] = ACTIONS(7331),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteA] = ACTIONS(7331),
    [anon_sym_BSLASHciteR] = ACTIONS(7331),
    [anon_sym_BSLASHciteS] = ACTIONS(7331),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7331),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7331),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7331),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7331),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteyear] = ACTIONS(7331),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitedate] = ACTIONS(7331),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteurl] = ACTIONS(7331),
    [anon_sym_BSLASHfullcite] = ACTIONS(7331),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7331),
    [anon_sym_BSLASHcitealt] = ACTIONS(7331),
    [anon_sym_BSLASHcitealp] = ACTIONS(7331),
    [anon_sym_BSLASHcitetext] = ACTIONS(7331),
    [anon_sym_BSLASHparencite] = ACTIONS(7331),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHParencite] = ACTIONS(7331),
    [anon_sym_BSLASHfootcite] = ACTIONS(7331),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7331),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7331),
    [anon_sym_BSLASHtextcite] = ACTIONS(7331),
    [anon_sym_BSLASHTextcite] = ACTIONS(7331),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7331),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7331),
    [anon_sym_BSLASHsupercite] = ACTIONS(7331),
    [anon_sym_BSLASHautocite] = ACTIONS(7331),
    [anon_sym_BSLASHAutocite] = ACTIONS(7331),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHVolcite] = ACTIONS(7331),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHavolcite] = ACTIONS(7331),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHNotecite] = ACTIONS(7331),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHlabel] = ACTIONS(7331),
    [anon_sym_BSLASHref] = ACTIONS(7331),
    [anon_sym_BSLASHeqref] = ACTIONS(7331),
    [anon_sym_BSLASHvref] = ACTIONS(7331),
    [anon_sym_BSLASHVref] = ACTIONS(7331),
    [anon_sym_BSLASHautoref] = ACTIONS(7331),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHpageref] = ACTIONS(7331),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHautopageref] = ACTIONS(7331),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcref] = ACTIONS(7331),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCref] = ACTIONS(7331),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcpageref] = ACTIONS(7331),
    [anon_sym_BSLASHCpageref] = ACTIONS(7331),
    [anon_sym_BSLASHnamecref] = ACTIONS(7331),
    [anon_sym_BSLASHnameCref] = ACTIONS(7331),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7331),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7331),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7331),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7331),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7331),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7331),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7331),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7331),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7331),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7331),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7331),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHdef] = ACTIONS(7331),
    [anon_sym_BSLASHgdef] = ACTIONS(7331),
    [anon_sym_BSLASHedef] = ACTIONS(7331),
    [anon_sym_BSLASHxdef] = ACTIONS(7331),
    [anon_sym_BSLASHlet] = ACTIONS(7331),
    [anon_sym_BSLASHglet] = ACTIONS(7331),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7331),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7331),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7331),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7331),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7331),
    [anon_sym_BSLASHgls] = ACTIONS(7331),
    [anon_sym_BSLASHGls] = ACTIONS(7331),
    [anon_sym_BSLASHGLS] = ACTIONS(7331),
    [anon_sym_BSLASHglspl] = ACTIONS(7331),
    [anon_sym_BSLASHGlspl] = ACTIONS(7331),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7331),
    [anon_sym_BSLASHglslink] = ACTIONS(7331),
    [anon_sym_BSLASHglstext] = ACTIONS(7331),
    [anon_sym_BSLASHGlstext] = ACTIONS(7331),
    [anon_sym_BSLASHGLStext] = ACTIONS(7331),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7331),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7331),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7331),
    [anon_sym_BSLASHglsplural] = ACTIONS(7331),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7331),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7331),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHglsname] = ACTIONS(7331),
    [anon_sym_BSLASHGlsname] = ACTIONS(7331),
    [anon_sym_BSLASHGLSname] = ACTIONS(7331),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7331),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7331),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7331),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7331),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7331),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7331),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7331),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7331),
    [anon_sym_BSLASHacrshort] = ACTIONS(7331),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7331),
    [anon_sym_BSLASHACRshort] = ACTIONS(7331),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHacrlong] = ACTIONS(7331),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7331),
    [anon_sym_BSLASHACRlong] = ACTIONS(7331),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHacrfull] = ACTIONS(7331),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7331),
    [anon_sym_BSLASHACRfull] = ACTIONS(7331),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHacs] = ACTIONS(7331),
    [anon_sym_BSLASHAcs] = ACTIONS(7331),
    [anon_sym_BSLASHacsp] = ACTIONS(7331),
    [anon_sym_BSLASHAcsp] = ACTIONS(7331),
    [anon_sym_BSLASHacl] = ACTIONS(7331),
    [anon_sym_BSLASHAcl] = ACTIONS(7331),
    [anon_sym_BSLASHaclp] = ACTIONS(7331),
    [anon_sym_BSLASHAclp] = ACTIONS(7331),
    [anon_sym_BSLASHacf] = ACTIONS(7331),
    [anon_sym_BSLASHAcf] = ACTIONS(7331),
    [anon_sym_BSLASHacfp] = ACTIONS(7331),
    [anon_sym_BSLASHAcfp] = ACTIONS(7331),
    [anon_sym_BSLASHac] = ACTIONS(7331),
    [anon_sym_BSLASHAc] = ACTIONS(7331),
    [anon_sym_BSLASHacp] = ACTIONS(7331),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7331),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7331),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7331),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7331),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7331),
    [anon_sym_BSLASHcolor] = ACTIONS(7331),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7331),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7331),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7331),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7331),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7331),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7331),
    [anon_sym_BSLASHurl] = ACTIONS(7331),
    [anon_sym_BSLASHhref] = ACTIONS(7331),
  },
  [661] = {
    [sym_command_name] = ACTIONS(7335),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7335),
    [anon_sym_LBRACK] = ACTIONS(7337),
    [anon_sym_RBRACK] = ACTIONS(7337),
    [anon_sym_COMMA] = ACTIONS(7337),
    [anon_sym_EQ] = ACTIONS(7337),
    [anon_sym_LPAREN] = ACTIONS(7337),
    [anon_sym_RPAREN] = ACTIONS(7337),
    [anon_sym_BSLASHpart] = ACTIONS(7335),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHaddpart] = ACTIONS(7335),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHchapter] = ACTIONS(7335),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHaddchap] = ACTIONS(7335),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHsection] = ACTIONS(7335),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHaddsec] = ACTIONS(7335),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHsubsection] = ACTIONS(7335),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7335),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHparagraph] = ACTIONS(7335),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7335),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHitem] = ACTIONS(7335),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7337),
    [anon_sym_LBRACE] = ACTIONS(7337),
    [sym_word] = ACTIONS(7335),
    [sym_placeholder] = ACTIONS(7337),
    [sym_delimiter] = ACTIONS(7337),
    [anon_sym_PLUS] = ACTIONS(7337),
    [anon_sym_DASH] = ACTIONS(7337),
    [anon_sym_STAR] = ACTIONS(7337),
    [anon_sym_SLASH] = ACTIONS(7337),
    [anon_sym_LT] = ACTIONS(7335),
    [anon_sym_GT] = ACTIONS(7335),
    [anon_sym_BANG] = ACTIONS(7335),
    [anon_sym_PIPE] = ACTIONS(7335),
    [anon_sym_COLON] = ACTIONS(7335),
    [anon_sym_SQUOTE] = ACTIONS(7335),
    [anon_sym__] = ACTIONS(7337),
    [anon_sym_CARET] = ACTIONS(7337),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7337),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7337),
    [anon_sym_DOLLAR] = ACTIONS(7335),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7337),
    [anon_sym_BSLASHleft] = ACTIONS(7335),
    [anon_sym_BSLASHbigl] = ACTIONS(7335),
    [anon_sym_BSLASHBigl] = ACTIONS(7335),
    [anon_sym_BSLASHbiggl] = ACTIONS(7335),
    [anon_sym_BSLASHBiggl] = ACTIONS(7335),
    [anon_sym_BSLASHright] = ACTIONS(7335),
    [anon_sym_BSLASHbigr] = ACTIONS(7335),
    [anon_sym_BSLASHBigr] = ACTIONS(7335),
    [anon_sym_BSLASHbiggr] = ACTIONS(7335),
    [anon_sym_BSLASHBiggr] = ACTIONS(7335),
    [anon_sym_BSLASHtext] = ACTIONS(7335),
    [anon_sym_BSLASHintertext] = ACTIONS(7335),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7335),
    [anon_sym_BSLASHbegin] = ACTIONS(7335),
    [anon_sym_BSLASHtitle] = ACTIONS(7335),
    [anon_sym_BSLASHauthor] = ACTIONS(7335),
    [anon_sym_BSLASHusepackage] = ACTIONS(7335),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7335),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7335),
    [anon_sym_BSLASHinclude] = ACTIONS(7335),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7335),
    [anon_sym_BSLASHinput] = ACTIONS(7335),
    [anon_sym_BSLASHsubfile] = ACTIONS(7335),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7335),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7335),
    [anon_sym_BSLASHbibliography] = ACTIONS(7335),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7335),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7335),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7335),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7335),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7335),
    [anon_sym_BSLASHimport] = ACTIONS(7335),
    [anon_sym_BSLASHsubimport] = ACTIONS(7335),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7335),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7335),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7335),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7335),
    [anon_sym_BSLASHcaption] = ACTIONS(7335),
    [anon_sym_BSLASHcite] = ACTIONS(7335),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCite] = ACTIONS(7335),
    [anon_sym_BSLASHnocite] = ACTIONS(7335),
    [anon_sym_BSLASHcitet] = ACTIONS(7335),
    [anon_sym_BSLASHcitep] = ACTIONS(7335),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteA] = ACTIONS(7335),
    [anon_sym_BSLASHciteR] = ACTIONS(7335),
    [anon_sym_BSLASHciteS] = ACTIONS(7335),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7335),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7335),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7335),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7335),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteyear] = ACTIONS(7335),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitedate] = ACTIONS(7335),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteurl] = ACTIONS(7335),
    [anon_sym_BSLASHfullcite] = ACTIONS(7335),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7335),
    [anon_sym_BSLASHcitealt] = ACTIONS(7335),
    [anon_sym_BSLASHcitealp] = ACTIONS(7335),
    [anon_sym_BSLASHcitetext] = ACTIONS(7335),
    [anon_sym_BSLASHparencite] = ACTIONS(7335),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHParencite] = ACTIONS(7335),
    [anon_sym_BSLASHfootcite] = ACTIONS(7335),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7335),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7335),
    [anon_sym_BSLASHtextcite] = ACTIONS(7335),
    [anon_sym_BSLASHTextcite] = ACTIONS(7335),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7335),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7335),
    [anon_sym_BSLASHsupercite] = ACTIONS(7335),
    [anon_sym_BSLASHautocite] = ACTIONS(7335),
    [anon_sym_BSLASHAutocite] = ACTIONS(7335),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHVolcite] = ACTIONS(7335),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHavolcite] = ACTIONS(7335),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHNotecite] = ACTIONS(7335),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHlabel] = ACTIONS(7335),
    [anon_sym_BSLASHref] = ACTIONS(7335),
    [anon_sym_BSLASHeqref] = ACTIONS(7335),
    [anon_sym_BSLASHvref] = ACTIONS(7335),
    [anon_sym_BSLASHVref] = ACTIONS(7335),
    [anon_sym_BSLASHautoref] = ACTIONS(7335),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHpageref] = ACTIONS(7335),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHautopageref] = ACTIONS(7335),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcref] = ACTIONS(7335),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCref] = ACTIONS(7335),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcpageref] = ACTIONS(7335),
    [anon_sym_BSLASHCpageref] = ACTIONS(7335),
    [anon_sym_BSLASHnamecref] = ACTIONS(7335),
    [anon_sym_BSLASHnameCref] = ACTIONS(7335),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7335),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7335),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7335),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7335),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7335),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7335),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7335),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7335),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7335),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7335),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7335),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHdef] = ACTIONS(7335),
    [anon_sym_BSLASHgdef] = ACTIONS(7335),
    [anon_sym_BSLASHedef] = ACTIONS(7335),
    [anon_sym_BSLASHxdef] = ACTIONS(7335),
    [anon_sym_BSLASHlet] = ACTIONS(7335),
    [anon_sym_BSLASHglet] = ACTIONS(7335),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7335),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7335),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7335),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7335),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7335),
    [anon_sym_BSLASHgls] = ACTIONS(7335),
    [anon_sym_BSLASHGls] = ACTIONS(7335),
    [anon_sym_BSLASHGLS] = ACTIONS(7335),
    [anon_sym_BSLASHglspl] = ACTIONS(7335),
    [anon_sym_BSLASHGlspl] = ACTIONS(7335),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7335),
    [anon_sym_BSLASHglslink] = ACTIONS(7335),
    [anon_sym_BSLASHglstext] = ACTIONS(7335),
    [anon_sym_BSLASHGlstext] = ACTIONS(7335),
    [anon_sym_BSLASHGLStext] = ACTIONS(7335),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7335),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7335),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7335),
    [anon_sym_BSLASHglsplural] = ACTIONS(7335),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7335),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7335),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHglsname] = ACTIONS(7335),
    [anon_sym_BSLASHGlsname] = ACTIONS(7335),
    [anon_sym_BSLASHGLSname] = ACTIONS(7335),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7335),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7335),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7335),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7335),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7335),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7335),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7335),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7335),
    [anon_sym_BSLASHacrshort] = ACTIONS(7335),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7335),
    [anon_sym_BSLASHACRshort] = ACTIONS(7335),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHacrlong] = ACTIONS(7335),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7335),
    [anon_sym_BSLASHACRlong] = ACTIONS(7335),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHacrfull] = ACTIONS(7335),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7335),
    [anon_sym_BSLASHACRfull] = ACTIONS(7335),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHacs] = ACTIONS(7335),
    [anon_sym_BSLASHAcs] = ACTIONS(7335),
    [anon_sym_BSLASHacsp] = ACTIONS(7335),
    [anon_sym_BSLASHAcsp] = ACTIONS(7335),
    [anon_sym_BSLASHacl] = ACTIONS(7335),
    [anon_sym_BSLASHAcl] = ACTIONS(7335),
    [anon_sym_BSLASHaclp] = ACTIONS(7335),
    [anon_sym_BSLASHAclp] = ACTIONS(7335),
    [anon_sym_BSLASHacf] = ACTIONS(7335),
    [anon_sym_BSLASHAcf] = ACTIONS(7335),
    [anon_sym_BSLASHacfp] = ACTIONS(7335),
    [anon_sym_BSLASHAcfp] = ACTIONS(7335),
    [anon_sym_BSLASHac] = ACTIONS(7335),
    [anon_sym_BSLASHAc] = ACTIONS(7335),
    [anon_sym_BSLASHacp] = ACTIONS(7335),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7335),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7335),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7335),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7335),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7335),
    [anon_sym_BSLASHcolor] = ACTIONS(7335),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7335),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7335),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7335),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7335),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7335),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7335),
    [anon_sym_BSLASHurl] = ACTIONS(7335),
    [anon_sym_BSLASHhref] = ACTIONS(7335),
  },
  [662] = {
    [sym_command_name] = ACTIONS(7339),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7339),
    [anon_sym_LBRACK] = ACTIONS(7341),
    [anon_sym_RBRACK] = ACTIONS(7341),
    [anon_sym_COMMA] = ACTIONS(7341),
    [anon_sym_EQ] = ACTIONS(7341),
    [anon_sym_LPAREN] = ACTIONS(7341),
    [anon_sym_RPAREN] = ACTIONS(7341),
    [anon_sym_BSLASHpart] = ACTIONS(7339),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHaddpart] = ACTIONS(7339),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHchapter] = ACTIONS(7339),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHaddchap] = ACTIONS(7339),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHsection] = ACTIONS(7339),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHaddsec] = ACTIONS(7339),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHsubsection] = ACTIONS(7339),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7339),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHparagraph] = ACTIONS(7339),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7339),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHitem] = ACTIONS(7339),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7341),
    [anon_sym_LBRACE] = ACTIONS(7341),
    [sym_word] = ACTIONS(7339),
    [sym_placeholder] = ACTIONS(7341),
    [sym_delimiter] = ACTIONS(7341),
    [anon_sym_PLUS] = ACTIONS(7341),
    [anon_sym_DASH] = ACTIONS(7341),
    [anon_sym_STAR] = ACTIONS(7341),
    [anon_sym_SLASH] = ACTIONS(7341),
    [anon_sym_LT] = ACTIONS(7339),
    [anon_sym_GT] = ACTIONS(7339),
    [anon_sym_BANG] = ACTIONS(7339),
    [anon_sym_PIPE] = ACTIONS(7339),
    [anon_sym_COLON] = ACTIONS(7339),
    [anon_sym_SQUOTE] = ACTIONS(7339),
    [anon_sym__] = ACTIONS(7341),
    [anon_sym_CARET] = ACTIONS(7341),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7341),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7341),
    [anon_sym_DOLLAR] = ACTIONS(7339),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7341),
    [anon_sym_BSLASHleft] = ACTIONS(7339),
    [anon_sym_BSLASHbigl] = ACTIONS(7339),
    [anon_sym_BSLASHBigl] = ACTIONS(7339),
    [anon_sym_BSLASHbiggl] = ACTIONS(7339),
    [anon_sym_BSLASHBiggl] = ACTIONS(7339),
    [anon_sym_BSLASHright] = ACTIONS(7339),
    [anon_sym_BSLASHbigr] = ACTIONS(7339),
    [anon_sym_BSLASHBigr] = ACTIONS(7339),
    [anon_sym_BSLASHbiggr] = ACTIONS(7339),
    [anon_sym_BSLASHBiggr] = ACTIONS(7339),
    [anon_sym_BSLASHtext] = ACTIONS(7339),
    [anon_sym_BSLASHintertext] = ACTIONS(7339),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7339),
    [anon_sym_BSLASHbegin] = ACTIONS(7339),
    [anon_sym_BSLASHtitle] = ACTIONS(7339),
    [anon_sym_BSLASHauthor] = ACTIONS(7339),
    [anon_sym_BSLASHusepackage] = ACTIONS(7339),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7339),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7339),
    [anon_sym_BSLASHinclude] = ACTIONS(7339),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7339),
    [anon_sym_BSLASHinput] = ACTIONS(7339),
    [anon_sym_BSLASHsubfile] = ACTIONS(7339),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7339),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7339),
    [anon_sym_BSLASHbibliography] = ACTIONS(7339),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7339),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7339),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7339),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7339),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7339),
    [anon_sym_BSLASHimport] = ACTIONS(7339),
    [anon_sym_BSLASHsubimport] = ACTIONS(7339),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7339),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7339),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7339),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7339),
    [anon_sym_BSLASHcaption] = ACTIONS(7339),
    [anon_sym_BSLASHcite] = ACTIONS(7339),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCite] = ACTIONS(7339),
    [anon_sym_BSLASHnocite] = ACTIONS(7339),
    [anon_sym_BSLASHcitet] = ACTIONS(7339),
    [anon_sym_BSLASHcitep] = ACTIONS(7339),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteA] = ACTIONS(7339),
    [anon_sym_BSLASHciteR] = ACTIONS(7339),
    [anon_sym_BSLASHciteS] = ACTIONS(7339),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7339),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7339),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7339),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7339),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteyear] = ACTIONS(7339),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitedate] = ACTIONS(7339),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteurl] = ACTIONS(7339),
    [anon_sym_BSLASHfullcite] = ACTIONS(7339),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7339),
    [anon_sym_BSLASHcitealt] = ACTIONS(7339),
    [anon_sym_BSLASHcitealp] = ACTIONS(7339),
    [anon_sym_BSLASHcitetext] = ACTIONS(7339),
    [anon_sym_BSLASHparencite] = ACTIONS(7339),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHParencite] = ACTIONS(7339),
    [anon_sym_BSLASHfootcite] = ACTIONS(7339),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7339),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7339),
    [anon_sym_BSLASHtextcite] = ACTIONS(7339),
    [anon_sym_BSLASHTextcite] = ACTIONS(7339),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7339),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7339),
    [anon_sym_BSLASHsupercite] = ACTIONS(7339),
    [anon_sym_BSLASHautocite] = ACTIONS(7339),
    [anon_sym_BSLASHAutocite] = ACTIONS(7339),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHVolcite] = ACTIONS(7339),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHavolcite] = ACTIONS(7339),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHNotecite] = ACTIONS(7339),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHlabel] = ACTIONS(7339),
    [anon_sym_BSLASHref] = ACTIONS(7339),
    [anon_sym_BSLASHeqref] = ACTIONS(7339),
    [anon_sym_BSLASHvref] = ACTIONS(7339),
    [anon_sym_BSLASHVref] = ACTIONS(7339),
    [anon_sym_BSLASHautoref] = ACTIONS(7339),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHpageref] = ACTIONS(7339),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHautopageref] = ACTIONS(7339),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcref] = ACTIONS(7339),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCref] = ACTIONS(7339),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcpageref] = ACTIONS(7339),
    [anon_sym_BSLASHCpageref] = ACTIONS(7339),
    [anon_sym_BSLASHnamecref] = ACTIONS(7339),
    [anon_sym_BSLASHnameCref] = ACTIONS(7339),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7339),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7339),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7339),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7339),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7339),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7339),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7339),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7339),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7339),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7339),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7339),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHdef] = ACTIONS(7339),
    [anon_sym_BSLASHgdef] = ACTIONS(7339),
    [anon_sym_BSLASHedef] = ACTIONS(7339),
    [anon_sym_BSLASHxdef] = ACTIONS(7339),
    [anon_sym_BSLASHlet] = ACTIONS(7339),
    [anon_sym_BSLASHglet] = ACTIONS(7339),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7339),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7339),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7339),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7339),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7339),
    [anon_sym_BSLASHgls] = ACTIONS(7339),
    [anon_sym_BSLASHGls] = ACTIONS(7339),
    [anon_sym_BSLASHGLS] = ACTIONS(7339),
    [anon_sym_BSLASHglspl] = ACTIONS(7339),
    [anon_sym_BSLASHGlspl] = ACTIONS(7339),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7339),
    [anon_sym_BSLASHglslink] = ACTIONS(7339),
    [anon_sym_BSLASHglstext] = ACTIONS(7339),
    [anon_sym_BSLASHGlstext] = ACTIONS(7339),
    [anon_sym_BSLASHGLStext] = ACTIONS(7339),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7339),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7339),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7339),
    [anon_sym_BSLASHglsplural] = ACTIONS(7339),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7339),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7339),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHglsname] = ACTIONS(7339),
    [anon_sym_BSLASHGlsname] = ACTIONS(7339),
    [anon_sym_BSLASHGLSname] = ACTIONS(7339),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7339),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7339),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7339),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7339),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7339),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7339),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7339),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7339),
    [anon_sym_BSLASHacrshort] = ACTIONS(7339),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7339),
    [anon_sym_BSLASHACRshort] = ACTIONS(7339),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHacrlong] = ACTIONS(7339),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7339),
    [anon_sym_BSLASHACRlong] = ACTIONS(7339),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHacrfull] = ACTIONS(7339),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7339),
    [anon_sym_BSLASHACRfull] = ACTIONS(7339),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHacs] = ACTIONS(7339),
    [anon_sym_BSLASHAcs] = ACTIONS(7339),
    [anon_sym_BSLASHacsp] = ACTIONS(7339),
    [anon_sym_BSLASHAcsp] = ACTIONS(7339),
    [anon_sym_BSLASHacl] = ACTIONS(7339),
    [anon_sym_BSLASHAcl] = ACTIONS(7339),
    [anon_sym_BSLASHaclp] = ACTIONS(7339),
    [anon_sym_BSLASHAclp] = ACTIONS(7339),
    [anon_sym_BSLASHacf] = ACTIONS(7339),
    [anon_sym_BSLASHAcf] = ACTIONS(7339),
    [anon_sym_BSLASHacfp] = ACTIONS(7339),
    [anon_sym_BSLASHAcfp] = ACTIONS(7339),
    [anon_sym_BSLASHac] = ACTIONS(7339),
    [anon_sym_BSLASHAc] = ACTIONS(7339),
    [anon_sym_BSLASHacp] = ACTIONS(7339),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7339),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7339),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7339),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7339),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7339),
    [anon_sym_BSLASHcolor] = ACTIONS(7339),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7339),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7339),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7339),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7339),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7339),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7339),
    [anon_sym_BSLASHurl] = ACTIONS(7339),
    [anon_sym_BSLASHhref] = ACTIONS(7339),
  },
  [663] = {
    [sym_command_name] = ACTIONS(7343),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7343),
    [anon_sym_LBRACK] = ACTIONS(7345),
    [anon_sym_RBRACK] = ACTIONS(7345),
    [anon_sym_COMMA] = ACTIONS(7345),
    [anon_sym_EQ] = ACTIONS(7345),
    [anon_sym_LPAREN] = ACTIONS(7345),
    [anon_sym_RPAREN] = ACTIONS(7345),
    [anon_sym_BSLASHpart] = ACTIONS(7343),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHaddpart] = ACTIONS(7343),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHchapter] = ACTIONS(7343),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHaddchap] = ACTIONS(7343),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHsection] = ACTIONS(7343),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHaddsec] = ACTIONS(7343),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHsubsection] = ACTIONS(7343),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7343),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHparagraph] = ACTIONS(7343),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7343),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHitem] = ACTIONS(7343),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7345),
    [anon_sym_LBRACE] = ACTIONS(7345),
    [sym_word] = ACTIONS(7343),
    [sym_placeholder] = ACTIONS(7345),
    [sym_delimiter] = ACTIONS(7345),
    [anon_sym_PLUS] = ACTIONS(7345),
    [anon_sym_DASH] = ACTIONS(7345),
    [anon_sym_STAR] = ACTIONS(7345),
    [anon_sym_SLASH] = ACTIONS(7345),
    [anon_sym_LT] = ACTIONS(7343),
    [anon_sym_GT] = ACTIONS(7343),
    [anon_sym_BANG] = ACTIONS(7343),
    [anon_sym_PIPE] = ACTIONS(7343),
    [anon_sym_COLON] = ACTIONS(7343),
    [anon_sym_SQUOTE] = ACTIONS(7343),
    [anon_sym__] = ACTIONS(7345),
    [anon_sym_CARET] = ACTIONS(7345),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7345),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7345),
    [anon_sym_DOLLAR] = ACTIONS(7343),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7345),
    [anon_sym_BSLASHleft] = ACTIONS(7343),
    [anon_sym_BSLASHbigl] = ACTIONS(7343),
    [anon_sym_BSLASHBigl] = ACTIONS(7343),
    [anon_sym_BSLASHbiggl] = ACTIONS(7343),
    [anon_sym_BSLASHBiggl] = ACTIONS(7343),
    [anon_sym_BSLASHright] = ACTIONS(7343),
    [anon_sym_BSLASHbigr] = ACTIONS(7343),
    [anon_sym_BSLASHBigr] = ACTIONS(7343),
    [anon_sym_BSLASHbiggr] = ACTIONS(7343),
    [anon_sym_BSLASHBiggr] = ACTIONS(7343),
    [anon_sym_BSLASHtext] = ACTIONS(7343),
    [anon_sym_BSLASHintertext] = ACTIONS(7343),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7343),
    [anon_sym_BSLASHbegin] = ACTIONS(7343),
    [anon_sym_BSLASHtitle] = ACTIONS(7343),
    [anon_sym_BSLASHauthor] = ACTIONS(7343),
    [anon_sym_BSLASHusepackage] = ACTIONS(7343),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7343),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7343),
    [anon_sym_BSLASHinclude] = ACTIONS(7343),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7343),
    [anon_sym_BSLASHinput] = ACTIONS(7343),
    [anon_sym_BSLASHsubfile] = ACTIONS(7343),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7343),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7343),
    [anon_sym_BSLASHbibliography] = ACTIONS(7343),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7343),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7343),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7343),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7343),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7343),
    [anon_sym_BSLASHimport] = ACTIONS(7343),
    [anon_sym_BSLASHsubimport] = ACTIONS(7343),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7343),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7343),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7343),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7343),
    [anon_sym_BSLASHcaption] = ACTIONS(7343),
    [anon_sym_BSLASHcite] = ACTIONS(7343),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCite] = ACTIONS(7343),
    [anon_sym_BSLASHnocite] = ACTIONS(7343),
    [anon_sym_BSLASHcitet] = ACTIONS(7343),
    [anon_sym_BSLASHcitep] = ACTIONS(7343),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteA] = ACTIONS(7343),
    [anon_sym_BSLASHciteR] = ACTIONS(7343),
    [anon_sym_BSLASHciteS] = ACTIONS(7343),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7343),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7343),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7343),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7343),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteyear] = ACTIONS(7343),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitedate] = ACTIONS(7343),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteurl] = ACTIONS(7343),
    [anon_sym_BSLASHfullcite] = ACTIONS(7343),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7343),
    [anon_sym_BSLASHcitealt] = ACTIONS(7343),
    [anon_sym_BSLASHcitealp] = ACTIONS(7343),
    [anon_sym_BSLASHcitetext] = ACTIONS(7343),
    [anon_sym_BSLASHparencite] = ACTIONS(7343),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHParencite] = ACTIONS(7343),
    [anon_sym_BSLASHfootcite] = ACTIONS(7343),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7343),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7343),
    [anon_sym_BSLASHtextcite] = ACTIONS(7343),
    [anon_sym_BSLASHTextcite] = ACTIONS(7343),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7343),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7343),
    [anon_sym_BSLASHsupercite] = ACTIONS(7343),
    [anon_sym_BSLASHautocite] = ACTIONS(7343),
    [anon_sym_BSLASHAutocite] = ACTIONS(7343),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHVolcite] = ACTIONS(7343),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHavolcite] = ACTIONS(7343),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHNotecite] = ACTIONS(7343),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHlabel] = ACTIONS(7343),
    [anon_sym_BSLASHref] = ACTIONS(7343),
    [anon_sym_BSLASHeqref] = ACTIONS(7343),
    [anon_sym_BSLASHvref] = ACTIONS(7343),
    [anon_sym_BSLASHVref] = ACTIONS(7343),
    [anon_sym_BSLASHautoref] = ACTIONS(7343),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHpageref] = ACTIONS(7343),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHautopageref] = ACTIONS(7343),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcref] = ACTIONS(7343),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCref] = ACTIONS(7343),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcpageref] = ACTIONS(7343),
    [anon_sym_BSLASHCpageref] = ACTIONS(7343),
    [anon_sym_BSLASHnamecref] = ACTIONS(7343),
    [anon_sym_BSLASHnameCref] = ACTIONS(7343),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7343),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7343),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7343),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7343),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7343),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7343),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7343),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7343),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7343),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7343),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7343),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHdef] = ACTIONS(7343),
    [anon_sym_BSLASHgdef] = ACTIONS(7343),
    [anon_sym_BSLASHedef] = ACTIONS(7343),
    [anon_sym_BSLASHxdef] = ACTIONS(7343),
    [anon_sym_BSLASHlet] = ACTIONS(7343),
    [anon_sym_BSLASHglet] = ACTIONS(7343),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7343),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7343),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7343),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7343),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7343),
    [anon_sym_BSLASHgls] = ACTIONS(7343),
    [anon_sym_BSLASHGls] = ACTIONS(7343),
    [anon_sym_BSLASHGLS] = ACTIONS(7343),
    [anon_sym_BSLASHglspl] = ACTIONS(7343),
    [anon_sym_BSLASHGlspl] = ACTIONS(7343),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7343),
    [anon_sym_BSLASHglslink] = ACTIONS(7343),
    [anon_sym_BSLASHglstext] = ACTIONS(7343),
    [anon_sym_BSLASHGlstext] = ACTIONS(7343),
    [anon_sym_BSLASHGLStext] = ACTIONS(7343),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7343),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7343),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7343),
    [anon_sym_BSLASHglsplural] = ACTIONS(7343),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7343),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7343),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHglsname] = ACTIONS(7343),
    [anon_sym_BSLASHGlsname] = ACTIONS(7343),
    [anon_sym_BSLASHGLSname] = ACTIONS(7343),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7343),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7343),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7343),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7343),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7343),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7343),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7343),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7343),
    [anon_sym_BSLASHacrshort] = ACTIONS(7343),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7343),
    [anon_sym_BSLASHACRshort] = ACTIONS(7343),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHacrlong] = ACTIONS(7343),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7343),
    [anon_sym_BSLASHACRlong] = ACTIONS(7343),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHacrfull] = ACTIONS(7343),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7343),
    [anon_sym_BSLASHACRfull] = ACTIONS(7343),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHacs] = ACTIONS(7343),
    [anon_sym_BSLASHAcs] = ACTIONS(7343),
    [anon_sym_BSLASHacsp] = ACTIONS(7343),
    [anon_sym_BSLASHAcsp] = ACTIONS(7343),
    [anon_sym_BSLASHacl] = ACTIONS(7343),
    [anon_sym_BSLASHAcl] = ACTIONS(7343),
    [anon_sym_BSLASHaclp] = ACTIONS(7343),
    [anon_sym_BSLASHAclp] = ACTIONS(7343),
    [anon_sym_BSLASHacf] = ACTIONS(7343),
    [anon_sym_BSLASHAcf] = ACTIONS(7343),
    [anon_sym_BSLASHacfp] = ACTIONS(7343),
    [anon_sym_BSLASHAcfp] = ACTIONS(7343),
    [anon_sym_BSLASHac] = ACTIONS(7343),
    [anon_sym_BSLASHAc] = ACTIONS(7343),
    [anon_sym_BSLASHacp] = ACTIONS(7343),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7343),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7343),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7343),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7343),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7343),
    [anon_sym_BSLASHcolor] = ACTIONS(7343),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7343),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7343),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7343),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7343),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7343),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7343),
    [anon_sym_BSLASHurl] = ACTIONS(7343),
    [anon_sym_BSLASHhref] = ACTIONS(7343),
  },
  [664] = {
    [sym_command_name] = ACTIONS(7347),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7347),
    [anon_sym_LBRACK] = ACTIONS(7349),
    [anon_sym_RBRACK] = ACTIONS(7349),
    [anon_sym_COMMA] = ACTIONS(7349),
    [anon_sym_EQ] = ACTIONS(7349),
    [anon_sym_LPAREN] = ACTIONS(7349),
    [anon_sym_RPAREN] = ACTIONS(7349),
    [anon_sym_BSLASHpart] = ACTIONS(7347),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHaddpart] = ACTIONS(7347),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHchapter] = ACTIONS(7347),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHaddchap] = ACTIONS(7347),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHsection] = ACTIONS(7347),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHaddsec] = ACTIONS(7347),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHsubsection] = ACTIONS(7347),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7347),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHparagraph] = ACTIONS(7347),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7347),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHitem] = ACTIONS(7347),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7349),
    [anon_sym_LBRACE] = ACTIONS(7349),
    [sym_word] = ACTIONS(7347),
    [sym_placeholder] = ACTIONS(7349),
    [sym_delimiter] = ACTIONS(7349),
    [anon_sym_PLUS] = ACTIONS(7349),
    [anon_sym_DASH] = ACTIONS(7349),
    [anon_sym_STAR] = ACTIONS(7349),
    [anon_sym_SLASH] = ACTIONS(7349),
    [anon_sym_LT] = ACTIONS(7347),
    [anon_sym_GT] = ACTIONS(7347),
    [anon_sym_BANG] = ACTIONS(7347),
    [anon_sym_PIPE] = ACTIONS(7347),
    [anon_sym_COLON] = ACTIONS(7347),
    [anon_sym_SQUOTE] = ACTIONS(7347),
    [anon_sym__] = ACTIONS(7349),
    [anon_sym_CARET] = ACTIONS(7349),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7349),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7349),
    [anon_sym_DOLLAR] = ACTIONS(7347),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7349),
    [anon_sym_BSLASHleft] = ACTIONS(7347),
    [anon_sym_BSLASHbigl] = ACTIONS(7347),
    [anon_sym_BSLASHBigl] = ACTIONS(7347),
    [anon_sym_BSLASHbiggl] = ACTIONS(7347),
    [anon_sym_BSLASHBiggl] = ACTIONS(7347),
    [anon_sym_BSLASHright] = ACTIONS(7347),
    [anon_sym_BSLASHbigr] = ACTIONS(7347),
    [anon_sym_BSLASHBigr] = ACTIONS(7347),
    [anon_sym_BSLASHbiggr] = ACTIONS(7347),
    [anon_sym_BSLASHBiggr] = ACTIONS(7347),
    [anon_sym_BSLASHtext] = ACTIONS(7347),
    [anon_sym_BSLASHintertext] = ACTIONS(7347),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7347),
    [anon_sym_BSLASHbegin] = ACTIONS(7347),
    [anon_sym_BSLASHtitle] = ACTIONS(7347),
    [anon_sym_BSLASHauthor] = ACTIONS(7347),
    [anon_sym_BSLASHusepackage] = ACTIONS(7347),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7347),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7347),
    [anon_sym_BSLASHinclude] = ACTIONS(7347),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7347),
    [anon_sym_BSLASHinput] = ACTIONS(7347),
    [anon_sym_BSLASHsubfile] = ACTIONS(7347),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7347),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7347),
    [anon_sym_BSLASHbibliography] = ACTIONS(7347),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7347),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7347),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7347),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7347),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7347),
    [anon_sym_BSLASHimport] = ACTIONS(7347),
    [anon_sym_BSLASHsubimport] = ACTIONS(7347),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7347),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7347),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7347),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7347),
    [anon_sym_BSLASHcaption] = ACTIONS(7347),
    [anon_sym_BSLASHcite] = ACTIONS(7347),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCite] = ACTIONS(7347),
    [anon_sym_BSLASHnocite] = ACTIONS(7347),
    [anon_sym_BSLASHcitet] = ACTIONS(7347),
    [anon_sym_BSLASHcitep] = ACTIONS(7347),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteA] = ACTIONS(7347),
    [anon_sym_BSLASHciteR] = ACTIONS(7347),
    [anon_sym_BSLASHciteS] = ACTIONS(7347),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7347),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7347),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7347),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7347),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteyear] = ACTIONS(7347),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitedate] = ACTIONS(7347),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteurl] = ACTIONS(7347),
    [anon_sym_BSLASHfullcite] = ACTIONS(7347),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7347),
    [anon_sym_BSLASHcitealt] = ACTIONS(7347),
    [anon_sym_BSLASHcitealp] = ACTIONS(7347),
    [anon_sym_BSLASHcitetext] = ACTIONS(7347),
    [anon_sym_BSLASHparencite] = ACTIONS(7347),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHParencite] = ACTIONS(7347),
    [anon_sym_BSLASHfootcite] = ACTIONS(7347),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7347),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7347),
    [anon_sym_BSLASHtextcite] = ACTIONS(7347),
    [anon_sym_BSLASHTextcite] = ACTIONS(7347),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7347),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7347),
    [anon_sym_BSLASHsupercite] = ACTIONS(7347),
    [anon_sym_BSLASHautocite] = ACTIONS(7347),
    [anon_sym_BSLASHAutocite] = ACTIONS(7347),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHVolcite] = ACTIONS(7347),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHavolcite] = ACTIONS(7347),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHNotecite] = ACTIONS(7347),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHlabel] = ACTIONS(7347),
    [anon_sym_BSLASHref] = ACTIONS(7347),
    [anon_sym_BSLASHeqref] = ACTIONS(7347),
    [anon_sym_BSLASHvref] = ACTIONS(7347),
    [anon_sym_BSLASHVref] = ACTIONS(7347),
    [anon_sym_BSLASHautoref] = ACTIONS(7347),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHpageref] = ACTIONS(7347),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHautopageref] = ACTIONS(7347),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcref] = ACTIONS(7347),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCref] = ACTIONS(7347),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcpageref] = ACTIONS(7347),
    [anon_sym_BSLASHCpageref] = ACTIONS(7347),
    [anon_sym_BSLASHnamecref] = ACTIONS(7347),
    [anon_sym_BSLASHnameCref] = ACTIONS(7347),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7347),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7347),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7347),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7347),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7347),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7347),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7347),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7347),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7347),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7347),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7347),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHdef] = ACTIONS(7347),
    [anon_sym_BSLASHgdef] = ACTIONS(7347),
    [anon_sym_BSLASHedef] = ACTIONS(7347),
    [anon_sym_BSLASHxdef] = ACTIONS(7347),
    [anon_sym_BSLASHlet] = ACTIONS(7347),
    [anon_sym_BSLASHglet] = ACTIONS(7347),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7347),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7347),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7347),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7347),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7347),
    [anon_sym_BSLASHgls] = ACTIONS(7347),
    [anon_sym_BSLASHGls] = ACTIONS(7347),
    [anon_sym_BSLASHGLS] = ACTIONS(7347),
    [anon_sym_BSLASHglspl] = ACTIONS(7347),
    [anon_sym_BSLASHGlspl] = ACTIONS(7347),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7347),
    [anon_sym_BSLASHglslink] = ACTIONS(7347),
    [anon_sym_BSLASHglstext] = ACTIONS(7347),
    [anon_sym_BSLASHGlstext] = ACTIONS(7347),
    [anon_sym_BSLASHGLStext] = ACTIONS(7347),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7347),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7347),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7347),
    [anon_sym_BSLASHglsplural] = ACTIONS(7347),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7347),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7347),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHglsname] = ACTIONS(7347),
    [anon_sym_BSLASHGlsname] = ACTIONS(7347),
    [anon_sym_BSLASHGLSname] = ACTIONS(7347),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7347),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7347),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7347),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7347),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7347),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7347),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7347),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7347),
    [anon_sym_BSLASHacrshort] = ACTIONS(7347),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7347),
    [anon_sym_BSLASHACRshort] = ACTIONS(7347),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHacrlong] = ACTIONS(7347),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7347),
    [anon_sym_BSLASHACRlong] = ACTIONS(7347),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHacrfull] = ACTIONS(7347),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7347),
    [anon_sym_BSLASHACRfull] = ACTIONS(7347),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHacs] = ACTIONS(7347),
    [anon_sym_BSLASHAcs] = ACTIONS(7347),
    [anon_sym_BSLASHacsp] = ACTIONS(7347),
    [anon_sym_BSLASHAcsp] = ACTIONS(7347),
    [anon_sym_BSLASHacl] = ACTIONS(7347),
    [anon_sym_BSLASHAcl] = ACTIONS(7347),
    [anon_sym_BSLASHaclp] = ACTIONS(7347),
    [anon_sym_BSLASHAclp] = ACTIONS(7347),
    [anon_sym_BSLASHacf] = ACTIONS(7347),
    [anon_sym_BSLASHAcf] = ACTIONS(7347),
    [anon_sym_BSLASHacfp] = ACTIONS(7347),
    [anon_sym_BSLASHAcfp] = ACTIONS(7347),
    [anon_sym_BSLASHac] = ACTIONS(7347),
    [anon_sym_BSLASHAc] = ACTIONS(7347),
    [anon_sym_BSLASHacp] = ACTIONS(7347),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7347),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7347),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7347),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7347),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7347),
    [anon_sym_BSLASHcolor] = ACTIONS(7347),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7347),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7347),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7347),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7347),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7347),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7347),
    [anon_sym_BSLASHurl] = ACTIONS(7347),
    [anon_sym_BSLASHhref] = ACTIONS(7347),
  },
  [665] = {
    [sym_command_name] = ACTIONS(7351),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7351),
    [anon_sym_LBRACK] = ACTIONS(7353),
    [anon_sym_RBRACK] = ACTIONS(7353),
    [anon_sym_COMMA] = ACTIONS(7353),
    [anon_sym_EQ] = ACTIONS(7353),
    [anon_sym_LPAREN] = ACTIONS(7353),
    [anon_sym_RPAREN] = ACTIONS(7353),
    [anon_sym_BSLASHpart] = ACTIONS(7351),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHaddpart] = ACTIONS(7351),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHchapter] = ACTIONS(7351),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHaddchap] = ACTIONS(7351),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHsection] = ACTIONS(7351),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHaddsec] = ACTIONS(7351),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHsubsection] = ACTIONS(7351),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7351),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHparagraph] = ACTIONS(7351),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7351),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHitem] = ACTIONS(7351),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7353),
    [anon_sym_LBRACE] = ACTIONS(7353),
    [sym_word] = ACTIONS(7351),
    [sym_placeholder] = ACTIONS(7353),
    [sym_delimiter] = ACTIONS(7353),
    [anon_sym_PLUS] = ACTIONS(7353),
    [anon_sym_DASH] = ACTIONS(7353),
    [anon_sym_STAR] = ACTIONS(7353),
    [anon_sym_SLASH] = ACTIONS(7353),
    [anon_sym_LT] = ACTIONS(7351),
    [anon_sym_GT] = ACTIONS(7351),
    [anon_sym_BANG] = ACTIONS(7351),
    [anon_sym_PIPE] = ACTIONS(7351),
    [anon_sym_COLON] = ACTIONS(7351),
    [anon_sym_SQUOTE] = ACTIONS(7351),
    [anon_sym__] = ACTIONS(7353),
    [anon_sym_CARET] = ACTIONS(7353),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7353),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7353),
    [anon_sym_DOLLAR] = ACTIONS(7351),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7353),
    [anon_sym_BSLASHleft] = ACTIONS(7351),
    [anon_sym_BSLASHbigl] = ACTIONS(7351),
    [anon_sym_BSLASHBigl] = ACTIONS(7351),
    [anon_sym_BSLASHbiggl] = ACTIONS(7351),
    [anon_sym_BSLASHBiggl] = ACTIONS(7351),
    [anon_sym_BSLASHright] = ACTIONS(7351),
    [anon_sym_BSLASHbigr] = ACTIONS(7351),
    [anon_sym_BSLASHBigr] = ACTIONS(7351),
    [anon_sym_BSLASHbiggr] = ACTIONS(7351),
    [anon_sym_BSLASHBiggr] = ACTIONS(7351),
    [anon_sym_BSLASHtext] = ACTIONS(7351),
    [anon_sym_BSLASHintertext] = ACTIONS(7351),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7351),
    [anon_sym_BSLASHbegin] = ACTIONS(7351),
    [anon_sym_BSLASHtitle] = ACTIONS(7351),
    [anon_sym_BSLASHauthor] = ACTIONS(7351),
    [anon_sym_BSLASHusepackage] = ACTIONS(7351),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7351),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7351),
    [anon_sym_BSLASHinclude] = ACTIONS(7351),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7351),
    [anon_sym_BSLASHinput] = ACTIONS(7351),
    [anon_sym_BSLASHsubfile] = ACTIONS(7351),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7351),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7351),
    [anon_sym_BSLASHbibliography] = ACTIONS(7351),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7351),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7351),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7351),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7351),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7351),
    [anon_sym_BSLASHimport] = ACTIONS(7351),
    [anon_sym_BSLASHsubimport] = ACTIONS(7351),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7351),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7351),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7351),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7351),
    [anon_sym_BSLASHcaption] = ACTIONS(7351),
    [anon_sym_BSLASHcite] = ACTIONS(7351),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCite] = ACTIONS(7351),
    [anon_sym_BSLASHnocite] = ACTIONS(7351),
    [anon_sym_BSLASHcitet] = ACTIONS(7351),
    [anon_sym_BSLASHcitep] = ACTIONS(7351),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteA] = ACTIONS(7351),
    [anon_sym_BSLASHciteR] = ACTIONS(7351),
    [anon_sym_BSLASHciteS] = ACTIONS(7351),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7351),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7351),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7351),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7351),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteyear] = ACTIONS(7351),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitedate] = ACTIONS(7351),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteurl] = ACTIONS(7351),
    [anon_sym_BSLASHfullcite] = ACTIONS(7351),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7351),
    [anon_sym_BSLASHcitealt] = ACTIONS(7351),
    [anon_sym_BSLASHcitealp] = ACTIONS(7351),
    [anon_sym_BSLASHcitetext] = ACTIONS(7351),
    [anon_sym_BSLASHparencite] = ACTIONS(7351),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHParencite] = ACTIONS(7351),
    [anon_sym_BSLASHfootcite] = ACTIONS(7351),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7351),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7351),
    [anon_sym_BSLASHtextcite] = ACTIONS(7351),
    [anon_sym_BSLASHTextcite] = ACTIONS(7351),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7351),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7351),
    [anon_sym_BSLASHsupercite] = ACTIONS(7351),
    [anon_sym_BSLASHautocite] = ACTIONS(7351),
    [anon_sym_BSLASHAutocite] = ACTIONS(7351),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHVolcite] = ACTIONS(7351),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHavolcite] = ACTIONS(7351),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHNotecite] = ACTIONS(7351),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHlabel] = ACTIONS(7351),
    [anon_sym_BSLASHref] = ACTIONS(7351),
    [anon_sym_BSLASHeqref] = ACTIONS(7351),
    [anon_sym_BSLASHvref] = ACTIONS(7351),
    [anon_sym_BSLASHVref] = ACTIONS(7351),
    [anon_sym_BSLASHautoref] = ACTIONS(7351),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHpageref] = ACTIONS(7351),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHautopageref] = ACTIONS(7351),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcref] = ACTIONS(7351),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCref] = ACTIONS(7351),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcpageref] = ACTIONS(7351),
    [anon_sym_BSLASHCpageref] = ACTIONS(7351),
    [anon_sym_BSLASHnamecref] = ACTIONS(7351),
    [anon_sym_BSLASHnameCref] = ACTIONS(7351),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7351),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7351),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7351),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7351),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7351),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7351),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7351),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7351),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7351),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7351),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7351),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHdef] = ACTIONS(7351),
    [anon_sym_BSLASHgdef] = ACTIONS(7351),
    [anon_sym_BSLASHedef] = ACTIONS(7351),
    [anon_sym_BSLASHxdef] = ACTIONS(7351),
    [anon_sym_BSLASHlet] = ACTIONS(7351),
    [anon_sym_BSLASHglet] = ACTIONS(7351),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7351),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7351),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7351),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7351),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7351),
    [anon_sym_BSLASHgls] = ACTIONS(7351),
    [anon_sym_BSLASHGls] = ACTIONS(7351),
    [anon_sym_BSLASHGLS] = ACTIONS(7351),
    [anon_sym_BSLASHglspl] = ACTIONS(7351),
    [anon_sym_BSLASHGlspl] = ACTIONS(7351),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7351),
    [anon_sym_BSLASHglslink] = ACTIONS(7351),
    [anon_sym_BSLASHglstext] = ACTIONS(7351),
    [anon_sym_BSLASHGlstext] = ACTIONS(7351),
    [anon_sym_BSLASHGLStext] = ACTIONS(7351),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7351),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7351),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7351),
    [anon_sym_BSLASHglsplural] = ACTIONS(7351),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7351),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7351),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHglsname] = ACTIONS(7351),
    [anon_sym_BSLASHGlsname] = ACTIONS(7351),
    [anon_sym_BSLASHGLSname] = ACTIONS(7351),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7351),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7351),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7351),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7351),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7351),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7351),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7351),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7351),
    [anon_sym_BSLASHacrshort] = ACTIONS(7351),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7351),
    [anon_sym_BSLASHACRshort] = ACTIONS(7351),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHacrlong] = ACTIONS(7351),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7351),
    [anon_sym_BSLASHACRlong] = ACTIONS(7351),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHacrfull] = ACTIONS(7351),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7351),
    [anon_sym_BSLASHACRfull] = ACTIONS(7351),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHacs] = ACTIONS(7351),
    [anon_sym_BSLASHAcs] = ACTIONS(7351),
    [anon_sym_BSLASHacsp] = ACTIONS(7351),
    [anon_sym_BSLASHAcsp] = ACTIONS(7351),
    [anon_sym_BSLASHacl] = ACTIONS(7351),
    [anon_sym_BSLASHAcl] = ACTIONS(7351),
    [anon_sym_BSLASHaclp] = ACTIONS(7351),
    [anon_sym_BSLASHAclp] = ACTIONS(7351),
    [anon_sym_BSLASHacf] = ACTIONS(7351),
    [anon_sym_BSLASHAcf] = ACTIONS(7351),
    [anon_sym_BSLASHacfp] = ACTIONS(7351),
    [anon_sym_BSLASHAcfp] = ACTIONS(7351),
    [anon_sym_BSLASHac] = ACTIONS(7351),
    [anon_sym_BSLASHAc] = ACTIONS(7351),
    [anon_sym_BSLASHacp] = ACTIONS(7351),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7351),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7351),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7351),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7351),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7351),
    [anon_sym_BSLASHcolor] = ACTIONS(7351),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7351),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7351),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7351),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7351),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7351),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7351),
    [anon_sym_BSLASHurl] = ACTIONS(7351),
    [anon_sym_BSLASHhref] = ACTIONS(7351),
  },
  [666] = {
    [sym_command_name] = ACTIONS(7355),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7357),
    [anon_sym_RBRACK] = ACTIONS(7357),
    [anon_sym_COMMA] = ACTIONS(7357),
    [anon_sym_EQ] = ACTIONS(7357),
    [anon_sym_LPAREN] = ACTIONS(7357),
    [anon_sym_RPAREN] = ACTIONS(7357),
    [anon_sym_BSLASHpart] = ACTIONS(7355),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHaddpart] = ACTIONS(7355),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHchapter] = ACTIONS(7355),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHaddchap] = ACTIONS(7355),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHsection] = ACTIONS(7355),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHaddsec] = ACTIONS(7355),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHsubsection] = ACTIONS(7355),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7355),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHparagraph] = ACTIONS(7355),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7355),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHitem] = ACTIONS(7355),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7357),
    [anon_sym_LBRACE] = ACTIONS(7357),
    [sym_word] = ACTIONS(7355),
    [sym_placeholder] = ACTIONS(7357),
    [sym_delimiter] = ACTIONS(7357),
    [anon_sym_PLUS] = ACTIONS(7357),
    [anon_sym_DASH] = ACTIONS(7357),
    [anon_sym_STAR] = ACTIONS(7357),
    [anon_sym_SLASH] = ACTIONS(7357),
    [anon_sym_LT] = ACTIONS(7355),
    [anon_sym_GT] = ACTIONS(7355),
    [anon_sym_BANG] = ACTIONS(7355),
    [anon_sym_PIPE] = ACTIONS(7355),
    [anon_sym_COLON] = ACTIONS(7355),
    [anon_sym_SQUOTE] = ACTIONS(7355),
    [anon_sym__] = ACTIONS(7357),
    [anon_sym_CARET] = ACTIONS(7357),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7357),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7357),
    [anon_sym_DOLLAR] = ACTIONS(7355),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7357),
    [anon_sym_BSLASHleft] = ACTIONS(7355),
    [anon_sym_BSLASHbigl] = ACTIONS(7355),
    [anon_sym_BSLASHBigl] = ACTIONS(7355),
    [anon_sym_BSLASHbiggl] = ACTIONS(7355),
    [anon_sym_BSLASHBiggl] = ACTIONS(7355),
    [anon_sym_BSLASHright] = ACTIONS(7355),
    [anon_sym_BSLASHbigr] = ACTIONS(7355),
    [anon_sym_BSLASHBigr] = ACTIONS(7355),
    [anon_sym_BSLASHbiggr] = ACTIONS(7355),
    [anon_sym_BSLASHBiggr] = ACTIONS(7355),
    [anon_sym_BSLASHtext] = ACTIONS(7355),
    [anon_sym_BSLASHintertext] = ACTIONS(7355),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7355),
    [anon_sym_BSLASHbegin] = ACTIONS(7355),
    [anon_sym_BSLASHtitle] = ACTIONS(7355),
    [anon_sym_BSLASHauthor] = ACTIONS(7355),
    [anon_sym_BSLASHusepackage] = ACTIONS(7355),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7355),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7355),
    [anon_sym_BSLASHinclude] = ACTIONS(7355),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7355),
    [anon_sym_BSLASHinput] = ACTIONS(7355),
    [anon_sym_BSLASHsubfile] = ACTIONS(7355),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7355),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7355),
    [anon_sym_BSLASHbibliography] = ACTIONS(7355),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7355),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7355),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7355),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7355),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7355),
    [anon_sym_BSLASHimport] = ACTIONS(7355),
    [anon_sym_BSLASHsubimport] = ACTIONS(7355),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7355),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7355),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7355),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7355),
    [anon_sym_BSLASHcaption] = ACTIONS(7355),
    [anon_sym_BSLASHcite] = ACTIONS(7355),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCite] = ACTIONS(7355),
    [anon_sym_BSLASHnocite] = ACTIONS(7355),
    [anon_sym_BSLASHcitet] = ACTIONS(7355),
    [anon_sym_BSLASHcitep] = ACTIONS(7355),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteA] = ACTIONS(7355),
    [anon_sym_BSLASHciteR] = ACTIONS(7355),
    [anon_sym_BSLASHciteS] = ACTIONS(7355),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7355),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7355),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7355),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7355),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteyear] = ACTIONS(7355),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitedate] = ACTIONS(7355),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteurl] = ACTIONS(7355),
    [anon_sym_BSLASHfullcite] = ACTIONS(7355),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7355),
    [anon_sym_BSLASHcitealt] = ACTIONS(7355),
    [anon_sym_BSLASHcitealp] = ACTIONS(7355),
    [anon_sym_BSLASHcitetext] = ACTIONS(7355),
    [anon_sym_BSLASHparencite] = ACTIONS(7355),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHParencite] = ACTIONS(7355),
    [anon_sym_BSLASHfootcite] = ACTIONS(7355),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7355),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7355),
    [anon_sym_BSLASHtextcite] = ACTIONS(7355),
    [anon_sym_BSLASHTextcite] = ACTIONS(7355),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7355),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7355),
    [anon_sym_BSLASHsupercite] = ACTIONS(7355),
    [anon_sym_BSLASHautocite] = ACTIONS(7355),
    [anon_sym_BSLASHAutocite] = ACTIONS(7355),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHVolcite] = ACTIONS(7355),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHavolcite] = ACTIONS(7355),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHNotecite] = ACTIONS(7355),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHlabel] = ACTIONS(7355),
    [anon_sym_BSLASHref] = ACTIONS(7355),
    [anon_sym_BSLASHeqref] = ACTIONS(7355),
    [anon_sym_BSLASHvref] = ACTIONS(7355),
    [anon_sym_BSLASHVref] = ACTIONS(7355),
    [anon_sym_BSLASHautoref] = ACTIONS(7355),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHpageref] = ACTIONS(7355),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHautopageref] = ACTIONS(7355),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcref] = ACTIONS(7355),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCref] = ACTIONS(7355),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcpageref] = ACTIONS(7355),
    [anon_sym_BSLASHCpageref] = ACTIONS(7355),
    [anon_sym_BSLASHnamecref] = ACTIONS(7355),
    [anon_sym_BSLASHnameCref] = ACTIONS(7355),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7355),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7355),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7355),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7355),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7355),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7355),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7355),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7355),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7355),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7355),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7355),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHdef] = ACTIONS(7355),
    [anon_sym_BSLASHgdef] = ACTIONS(7355),
    [anon_sym_BSLASHedef] = ACTIONS(7355),
    [anon_sym_BSLASHxdef] = ACTIONS(7355),
    [anon_sym_BSLASHlet] = ACTIONS(7355),
    [anon_sym_BSLASHglet] = ACTIONS(7355),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7355),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7355),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7355),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7355),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7355),
    [anon_sym_BSLASHgls] = ACTIONS(7355),
    [anon_sym_BSLASHGls] = ACTIONS(7355),
    [anon_sym_BSLASHGLS] = ACTIONS(7355),
    [anon_sym_BSLASHglspl] = ACTIONS(7355),
    [anon_sym_BSLASHGlspl] = ACTIONS(7355),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7355),
    [anon_sym_BSLASHglslink] = ACTIONS(7355),
    [anon_sym_BSLASHglstext] = ACTIONS(7355),
    [anon_sym_BSLASHGlstext] = ACTIONS(7355),
    [anon_sym_BSLASHGLStext] = ACTIONS(7355),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7355),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7355),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7355),
    [anon_sym_BSLASHglsplural] = ACTIONS(7355),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7355),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7355),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHglsname] = ACTIONS(7355),
    [anon_sym_BSLASHGlsname] = ACTIONS(7355),
    [anon_sym_BSLASHGLSname] = ACTIONS(7355),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7355),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7355),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7355),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7355),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7355),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7355),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7355),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7355),
    [anon_sym_BSLASHacrshort] = ACTIONS(7355),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7355),
    [anon_sym_BSLASHACRshort] = ACTIONS(7355),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHacrlong] = ACTIONS(7355),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7355),
    [anon_sym_BSLASHACRlong] = ACTIONS(7355),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHacrfull] = ACTIONS(7355),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7355),
    [anon_sym_BSLASHACRfull] = ACTIONS(7355),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHacs] = ACTIONS(7355),
    [anon_sym_BSLASHAcs] = ACTIONS(7355),
    [anon_sym_BSLASHacsp] = ACTIONS(7355),
    [anon_sym_BSLASHAcsp] = ACTIONS(7355),
    [anon_sym_BSLASHacl] = ACTIONS(7355),
    [anon_sym_BSLASHAcl] = ACTIONS(7355),
    [anon_sym_BSLASHaclp] = ACTIONS(7355),
    [anon_sym_BSLASHAclp] = ACTIONS(7355),
    [anon_sym_BSLASHacf] = ACTIONS(7355),
    [anon_sym_BSLASHAcf] = ACTIONS(7355),
    [anon_sym_BSLASHacfp] = ACTIONS(7355),
    [anon_sym_BSLASHAcfp] = ACTIONS(7355),
    [anon_sym_BSLASHac] = ACTIONS(7355),
    [anon_sym_BSLASHAc] = ACTIONS(7355),
    [anon_sym_BSLASHacp] = ACTIONS(7355),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7355),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7355),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7355),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7355),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7355),
    [anon_sym_BSLASHcolor] = ACTIONS(7355),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7355),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7355),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7355),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7355),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7355),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7355),
    [anon_sym_BSLASHurl] = ACTIONS(7355),
    [anon_sym_BSLASHhref] = ACTIONS(7355),
  },
  [667] = {
    [sym_command_name] = ACTIONS(7359),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7359),
    [anon_sym_LBRACK] = ACTIONS(7361),
    [anon_sym_RBRACK] = ACTIONS(7361),
    [anon_sym_COMMA] = ACTIONS(7361),
    [anon_sym_EQ] = ACTIONS(7361),
    [anon_sym_LPAREN] = ACTIONS(7361),
    [anon_sym_RPAREN] = ACTIONS(7361),
    [anon_sym_BSLASHpart] = ACTIONS(7359),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHaddpart] = ACTIONS(7359),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHchapter] = ACTIONS(7359),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHaddchap] = ACTIONS(7359),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHsection] = ACTIONS(7359),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHaddsec] = ACTIONS(7359),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHsubsection] = ACTIONS(7359),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7359),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHparagraph] = ACTIONS(7359),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7359),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHitem] = ACTIONS(7359),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7361),
    [anon_sym_LBRACE] = ACTIONS(7361),
    [sym_word] = ACTIONS(7359),
    [sym_placeholder] = ACTIONS(7361),
    [sym_delimiter] = ACTIONS(7361),
    [anon_sym_PLUS] = ACTIONS(7361),
    [anon_sym_DASH] = ACTIONS(7361),
    [anon_sym_STAR] = ACTIONS(7361),
    [anon_sym_SLASH] = ACTIONS(7361),
    [anon_sym_LT] = ACTIONS(7359),
    [anon_sym_GT] = ACTIONS(7359),
    [anon_sym_BANG] = ACTIONS(7359),
    [anon_sym_PIPE] = ACTIONS(7359),
    [anon_sym_COLON] = ACTIONS(7359),
    [anon_sym_SQUOTE] = ACTIONS(7359),
    [anon_sym__] = ACTIONS(7361),
    [anon_sym_CARET] = ACTIONS(7361),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7361),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7361),
    [anon_sym_DOLLAR] = ACTIONS(7359),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7361),
    [anon_sym_BSLASHleft] = ACTIONS(7359),
    [anon_sym_BSLASHbigl] = ACTIONS(7359),
    [anon_sym_BSLASHBigl] = ACTIONS(7359),
    [anon_sym_BSLASHbiggl] = ACTIONS(7359),
    [anon_sym_BSLASHBiggl] = ACTIONS(7359),
    [anon_sym_BSLASHright] = ACTIONS(7359),
    [anon_sym_BSLASHbigr] = ACTIONS(7359),
    [anon_sym_BSLASHBigr] = ACTIONS(7359),
    [anon_sym_BSLASHbiggr] = ACTIONS(7359),
    [anon_sym_BSLASHBiggr] = ACTIONS(7359),
    [anon_sym_BSLASHtext] = ACTIONS(7359),
    [anon_sym_BSLASHintertext] = ACTIONS(7359),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7359),
    [anon_sym_BSLASHbegin] = ACTIONS(7359),
    [anon_sym_BSLASHtitle] = ACTIONS(7359),
    [anon_sym_BSLASHauthor] = ACTIONS(7359),
    [anon_sym_BSLASHusepackage] = ACTIONS(7359),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7359),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7359),
    [anon_sym_BSLASHinclude] = ACTIONS(7359),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7359),
    [anon_sym_BSLASHinput] = ACTIONS(7359),
    [anon_sym_BSLASHsubfile] = ACTIONS(7359),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7359),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7359),
    [anon_sym_BSLASHbibliography] = ACTIONS(7359),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7359),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7359),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7359),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7359),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7359),
    [anon_sym_BSLASHimport] = ACTIONS(7359),
    [anon_sym_BSLASHsubimport] = ACTIONS(7359),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7359),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7359),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7359),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7359),
    [anon_sym_BSLASHcaption] = ACTIONS(7359),
    [anon_sym_BSLASHcite] = ACTIONS(7359),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCite] = ACTIONS(7359),
    [anon_sym_BSLASHnocite] = ACTIONS(7359),
    [anon_sym_BSLASHcitet] = ACTIONS(7359),
    [anon_sym_BSLASHcitep] = ACTIONS(7359),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteA] = ACTIONS(7359),
    [anon_sym_BSLASHciteR] = ACTIONS(7359),
    [anon_sym_BSLASHciteS] = ACTIONS(7359),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7359),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7359),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7359),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7359),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteyear] = ACTIONS(7359),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitedate] = ACTIONS(7359),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteurl] = ACTIONS(7359),
    [anon_sym_BSLASHfullcite] = ACTIONS(7359),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7359),
    [anon_sym_BSLASHcitealt] = ACTIONS(7359),
    [anon_sym_BSLASHcitealp] = ACTIONS(7359),
    [anon_sym_BSLASHcitetext] = ACTIONS(7359),
    [anon_sym_BSLASHparencite] = ACTIONS(7359),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHParencite] = ACTIONS(7359),
    [anon_sym_BSLASHfootcite] = ACTIONS(7359),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7359),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7359),
    [anon_sym_BSLASHtextcite] = ACTIONS(7359),
    [anon_sym_BSLASHTextcite] = ACTIONS(7359),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7359),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7359),
    [anon_sym_BSLASHsupercite] = ACTIONS(7359),
    [anon_sym_BSLASHautocite] = ACTIONS(7359),
    [anon_sym_BSLASHAutocite] = ACTIONS(7359),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHVolcite] = ACTIONS(7359),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHavolcite] = ACTIONS(7359),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHNotecite] = ACTIONS(7359),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHlabel] = ACTIONS(7359),
    [anon_sym_BSLASHref] = ACTIONS(7359),
    [anon_sym_BSLASHeqref] = ACTIONS(7359),
    [anon_sym_BSLASHvref] = ACTIONS(7359),
    [anon_sym_BSLASHVref] = ACTIONS(7359),
    [anon_sym_BSLASHautoref] = ACTIONS(7359),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHpageref] = ACTIONS(7359),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHautopageref] = ACTIONS(7359),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcref] = ACTIONS(7359),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCref] = ACTIONS(7359),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcpageref] = ACTIONS(7359),
    [anon_sym_BSLASHCpageref] = ACTIONS(7359),
    [anon_sym_BSLASHnamecref] = ACTIONS(7359),
    [anon_sym_BSLASHnameCref] = ACTIONS(7359),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7359),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7359),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7359),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7359),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7359),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7359),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7359),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7359),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7359),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7359),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7359),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHdef] = ACTIONS(7359),
    [anon_sym_BSLASHgdef] = ACTIONS(7359),
    [anon_sym_BSLASHedef] = ACTIONS(7359),
    [anon_sym_BSLASHxdef] = ACTIONS(7359),
    [anon_sym_BSLASHlet] = ACTIONS(7359),
    [anon_sym_BSLASHglet] = ACTIONS(7359),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7359),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7359),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7359),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7359),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7359),
    [anon_sym_BSLASHgls] = ACTIONS(7359),
    [anon_sym_BSLASHGls] = ACTIONS(7359),
    [anon_sym_BSLASHGLS] = ACTIONS(7359),
    [anon_sym_BSLASHglspl] = ACTIONS(7359),
    [anon_sym_BSLASHGlspl] = ACTIONS(7359),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7359),
    [anon_sym_BSLASHglslink] = ACTIONS(7359),
    [anon_sym_BSLASHglstext] = ACTIONS(7359),
    [anon_sym_BSLASHGlstext] = ACTIONS(7359),
    [anon_sym_BSLASHGLStext] = ACTIONS(7359),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7359),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7359),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7359),
    [anon_sym_BSLASHglsplural] = ACTIONS(7359),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7359),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7359),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHglsname] = ACTIONS(7359),
    [anon_sym_BSLASHGlsname] = ACTIONS(7359),
    [anon_sym_BSLASHGLSname] = ACTIONS(7359),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7359),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7359),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7359),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7359),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7359),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7359),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7359),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7359),
    [anon_sym_BSLASHacrshort] = ACTIONS(7359),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7359),
    [anon_sym_BSLASHACRshort] = ACTIONS(7359),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHacrlong] = ACTIONS(7359),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7359),
    [anon_sym_BSLASHACRlong] = ACTIONS(7359),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHacrfull] = ACTIONS(7359),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7359),
    [anon_sym_BSLASHACRfull] = ACTIONS(7359),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHacs] = ACTIONS(7359),
    [anon_sym_BSLASHAcs] = ACTIONS(7359),
    [anon_sym_BSLASHacsp] = ACTIONS(7359),
    [anon_sym_BSLASHAcsp] = ACTIONS(7359),
    [anon_sym_BSLASHacl] = ACTIONS(7359),
    [anon_sym_BSLASHAcl] = ACTIONS(7359),
    [anon_sym_BSLASHaclp] = ACTIONS(7359),
    [anon_sym_BSLASHAclp] = ACTIONS(7359),
    [anon_sym_BSLASHacf] = ACTIONS(7359),
    [anon_sym_BSLASHAcf] = ACTIONS(7359),
    [anon_sym_BSLASHacfp] = ACTIONS(7359),
    [anon_sym_BSLASHAcfp] = ACTIONS(7359),
    [anon_sym_BSLASHac] = ACTIONS(7359),
    [anon_sym_BSLASHAc] = ACTIONS(7359),
    [anon_sym_BSLASHacp] = ACTIONS(7359),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7359),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7359),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7359),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7359),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7359),
    [anon_sym_BSLASHcolor] = ACTIONS(7359),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7359),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7359),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7359),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7359),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7359),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7359),
    [anon_sym_BSLASHurl] = ACTIONS(7359),
    [anon_sym_BSLASHhref] = ACTIONS(7359),
  },
  [668] = {
    [sym_command_name] = ACTIONS(7363),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7363),
    [anon_sym_LBRACK] = ACTIONS(7365),
    [anon_sym_RBRACK] = ACTIONS(7365),
    [anon_sym_COMMA] = ACTIONS(7365),
    [anon_sym_EQ] = ACTIONS(7365),
    [anon_sym_LPAREN] = ACTIONS(7365),
    [anon_sym_RPAREN] = ACTIONS(7365),
    [anon_sym_BSLASHpart] = ACTIONS(7363),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHaddpart] = ACTIONS(7363),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHchapter] = ACTIONS(7363),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHaddchap] = ACTIONS(7363),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHsection] = ACTIONS(7363),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHaddsec] = ACTIONS(7363),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHsubsection] = ACTIONS(7363),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7363),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHparagraph] = ACTIONS(7363),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7363),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHitem] = ACTIONS(7363),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7365),
    [anon_sym_LBRACE] = ACTIONS(7365),
    [sym_word] = ACTIONS(7363),
    [sym_placeholder] = ACTIONS(7365),
    [sym_delimiter] = ACTIONS(7365),
    [anon_sym_PLUS] = ACTIONS(7365),
    [anon_sym_DASH] = ACTIONS(7365),
    [anon_sym_STAR] = ACTIONS(7365),
    [anon_sym_SLASH] = ACTIONS(7365),
    [anon_sym_LT] = ACTIONS(7363),
    [anon_sym_GT] = ACTIONS(7363),
    [anon_sym_BANG] = ACTIONS(7363),
    [anon_sym_PIPE] = ACTIONS(7363),
    [anon_sym_COLON] = ACTIONS(7363),
    [anon_sym_SQUOTE] = ACTIONS(7363),
    [anon_sym__] = ACTIONS(7365),
    [anon_sym_CARET] = ACTIONS(7365),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7365),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7365),
    [anon_sym_DOLLAR] = ACTIONS(7363),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7365),
    [anon_sym_BSLASHleft] = ACTIONS(7363),
    [anon_sym_BSLASHbigl] = ACTIONS(7363),
    [anon_sym_BSLASHBigl] = ACTIONS(7363),
    [anon_sym_BSLASHbiggl] = ACTIONS(7363),
    [anon_sym_BSLASHBiggl] = ACTIONS(7363),
    [anon_sym_BSLASHright] = ACTIONS(7363),
    [anon_sym_BSLASHbigr] = ACTIONS(7363),
    [anon_sym_BSLASHBigr] = ACTIONS(7363),
    [anon_sym_BSLASHbiggr] = ACTIONS(7363),
    [anon_sym_BSLASHBiggr] = ACTIONS(7363),
    [anon_sym_BSLASHtext] = ACTIONS(7363),
    [anon_sym_BSLASHintertext] = ACTIONS(7363),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7363),
    [anon_sym_BSLASHbegin] = ACTIONS(7363),
    [anon_sym_BSLASHtitle] = ACTIONS(7363),
    [anon_sym_BSLASHauthor] = ACTIONS(7363),
    [anon_sym_BSLASHusepackage] = ACTIONS(7363),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7363),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7363),
    [anon_sym_BSLASHinclude] = ACTIONS(7363),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7363),
    [anon_sym_BSLASHinput] = ACTIONS(7363),
    [anon_sym_BSLASHsubfile] = ACTIONS(7363),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7363),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7363),
    [anon_sym_BSLASHbibliography] = ACTIONS(7363),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7363),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7363),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7363),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7363),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7363),
    [anon_sym_BSLASHimport] = ACTIONS(7363),
    [anon_sym_BSLASHsubimport] = ACTIONS(7363),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7363),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7363),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7363),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7363),
    [anon_sym_BSLASHcaption] = ACTIONS(7363),
    [anon_sym_BSLASHcite] = ACTIONS(7363),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCite] = ACTIONS(7363),
    [anon_sym_BSLASHnocite] = ACTIONS(7363),
    [anon_sym_BSLASHcitet] = ACTIONS(7363),
    [anon_sym_BSLASHcitep] = ACTIONS(7363),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteA] = ACTIONS(7363),
    [anon_sym_BSLASHciteR] = ACTIONS(7363),
    [anon_sym_BSLASHciteS] = ACTIONS(7363),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7363),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7363),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7363),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7363),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteyear] = ACTIONS(7363),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitedate] = ACTIONS(7363),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteurl] = ACTIONS(7363),
    [anon_sym_BSLASHfullcite] = ACTIONS(7363),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7363),
    [anon_sym_BSLASHcitealt] = ACTIONS(7363),
    [anon_sym_BSLASHcitealp] = ACTIONS(7363),
    [anon_sym_BSLASHcitetext] = ACTIONS(7363),
    [anon_sym_BSLASHparencite] = ACTIONS(7363),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHParencite] = ACTIONS(7363),
    [anon_sym_BSLASHfootcite] = ACTIONS(7363),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7363),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7363),
    [anon_sym_BSLASHtextcite] = ACTIONS(7363),
    [anon_sym_BSLASHTextcite] = ACTIONS(7363),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7363),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7363),
    [anon_sym_BSLASHsupercite] = ACTIONS(7363),
    [anon_sym_BSLASHautocite] = ACTIONS(7363),
    [anon_sym_BSLASHAutocite] = ACTIONS(7363),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHVolcite] = ACTIONS(7363),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHavolcite] = ACTIONS(7363),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHNotecite] = ACTIONS(7363),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHlabel] = ACTIONS(7363),
    [anon_sym_BSLASHref] = ACTIONS(7363),
    [anon_sym_BSLASHeqref] = ACTIONS(7363),
    [anon_sym_BSLASHvref] = ACTIONS(7363),
    [anon_sym_BSLASHVref] = ACTIONS(7363),
    [anon_sym_BSLASHautoref] = ACTIONS(7363),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHpageref] = ACTIONS(7363),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHautopageref] = ACTIONS(7363),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcref] = ACTIONS(7363),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCref] = ACTIONS(7363),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcpageref] = ACTIONS(7363),
    [anon_sym_BSLASHCpageref] = ACTIONS(7363),
    [anon_sym_BSLASHnamecref] = ACTIONS(7363),
    [anon_sym_BSLASHnameCref] = ACTIONS(7363),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7363),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7363),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7363),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7363),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7363),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7363),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7363),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7363),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7363),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7363),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7363),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHdef] = ACTIONS(7363),
    [anon_sym_BSLASHgdef] = ACTIONS(7363),
    [anon_sym_BSLASHedef] = ACTIONS(7363),
    [anon_sym_BSLASHxdef] = ACTIONS(7363),
    [anon_sym_BSLASHlet] = ACTIONS(7363),
    [anon_sym_BSLASHglet] = ACTIONS(7363),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7363),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7363),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7363),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7363),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7363),
    [anon_sym_BSLASHgls] = ACTIONS(7363),
    [anon_sym_BSLASHGls] = ACTIONS(7363),
    [anon_sym_BSLASHGLS] = ACTIONS(7363),
    [anon_sym_BSLASHglspl] = ACTIONS(7363),
    [anon_sym_BSLASHGlspl] = ACTIONS(7363),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7363),
    [anon_sym_BSLASHglslink] = ACTIONS(7363),
    [anon_sym_BSLASHglstext] = ACTIONS(7363),
    [anon_sym_BSLASHGlstext] = ACTIONS(7363),
    [anon_sym_BSLASHGLStext] = ACTIONS(7363),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7363),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7363),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7363),
    [anon_sym_BSLASHglsplural] = ACTIONS(7363),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7363),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7363),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHglsname] = ACTIONS(7363),
    [anon_sym_BSLASHGlsname] = ACTIONS(7363),
    [anon_sym_BSLASHGLSname] = ACTIONS(7363),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7363),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7363),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7363),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7363),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7363),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7363),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7363),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7363),
    [anon_sym_BSLASHacrshort] = ACTIONS(7363),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7363),
    [anon_sym_BSLASHACRshort] = ACTIONS(7363),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHacrlong] = ACTIONS(7363),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7363),
    [anon_sym_BSLASHACRlong] = ACTIONS(7363),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHacrfull] = ACTIONS(7363),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7363),
    [anon_sym_BSLASHACRfull] = ACTIONS(7363),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHacs] = ACTIONS(7363),
    [anon_sym_BSLASHAcs] = ACTIONS(7363),
    [anon_sym_BSLASHacsp] = ACTIONS(7363),
    [anon_sym_BSLASHAcsp] = ACTIONS(7363),
    [anon_sym_BSLASHacl] = ACTIONS(7363),
    [anon_sym_BSLASHAcl] = ACTIONS(7363),
    [anon_sym_BSLASHaclp] = ACTIONS(7363),
    [anon_sym_BSLASHAclp] = ACTIONS(7363),
    [anon_sym_BSLASHacf] = ACTIONS(7363),
    [anon_sym_BSLASHAcf] = ACTIONS(7363),
    [anon_sym_BSLASHacfp] = ACTIONS(7363),
    [anon_sym_BSLASHAcfp] = ACTIONS(7363),
    [anon_sym_BSLASHac] = ACTIONS(7363),
    [anon_sym_BSLASHAc] = ACTIONS(7363),
    [anon_sym_BSLASHacp] = ACTIONS(7363),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7363),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7363),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7363),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7363),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7363),
    [anon_sym_BSLASHcolor] = ACTIONS(7363),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7363),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7363),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7363),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7363),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7363),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7363),
    [anon_sym_BSLASHurl] = ACTIONS(7363),
    [anon_sym_BSLASHhref] = ACTIONS(7363),
  },
  [669] = {
    [sym_command_name] = ACTIONS(7367),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7367),
    [anon_sym_LBRACK] = ACTIONS(7369),
    [anon_sym_RBRACK] = ACTIONS(7369),
    [anon_sym_COMMA] = ACTIONS(7369),
    [anon_sym_EQ] = ACTIONS(7369),
    [anon_sym_LPAREN] = ACTIONS(7369),
    [anon_sym_RPAREN] = ACTIONS(7369),
    [anon_sym_BSLASHpart] = ACTIONS(7367),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHaddpart] = ACTIONS(7367),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHchapter] = ACTIONS(7367),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHaddchap] = ACTIONS(7367),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHsection] = ACTIONS(7367),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHaddsec] = ACTIONS(7367),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHsubsection] = ACTIONS(7367),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7367),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHparagraph] = ACTIONS(7367),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7367),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHitem] = ACTIONS(7367),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7369),
    [anon_sym_LBRACE] = ACTIONS(7369),
    [sym_word] = ACTIONS(7367),
    [sym_placeholder] = ACTIONS(7369),
    [sym_delimiter] = ACTIONS(7369),
    [anon_sym_PLUS] = ACTIONS(7369),
    [anon_sym_DASH] = ACTIONS(7369),
    [anon_sym_STAR] = ACTIONS(7369),
    [anon_sym_SLASH] = ACTIONS(7369),
    [anon_sym_LT] = ACTIONS(7367),
    [anon_sym_GT] = ACTIONS(7367),
    [anon_sym_BANG] = ACTIONS(7367),
    [anon_sym_PIPE] = ACTIONS(7367),
    [anon_sym_COLON] = ACTIONS(7367),
    [anon_sym_SQUOTE] = ACTIONS(7367),
    [anon_sym__] = ACTIONS(7369),
    [anon_sym_CARET] = ACTIONS(7369),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7369),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7369),
    [anon_sym_DOLLAR] = ACTIONS(7367),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7369),
    [anon_sym_BSLASHleft] = ACTIONS(7367),
    [anon_sym_BSLASHbigl] = ACTIONS(7367),
    [anon_sym_BSLASHBigl] = ACTIONS(7367),
    [anon_sym_BSLASHbiggl] = ACTIONS(7367),
    [anon_sym_BSLASHBiggl] = ACTIONS(7367),
    [anon_sym_BSLASHright] = ACTIONS(7367),
    [anon_sym_BSLASHbigr] = ACTIONS(7367),
    [anon_sym_BSLASHBigr] = ACTIONS(7367),
    [anon_sym_BSLASHbiggr] = ACTIONS(7367),
    [anon_sym_BSLASHBiggr] = ACTIONS(7367),
    [anon_sym_BSLASHtext] = ACTIONS(7367),
    [anon_sym_BSLASHintertext] = ACTIONS(7367),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7367),
    [anon_sym_BSLASHbegin] = ACTIONS(7367),
    [anon_sym_BSLASHtitle] = ACTIONS(7367),
    [anon_sym_BSLASHauthor] = ACTIONS(7367),
    [anon_sym_BSLASHusepackage] = ACTIONS(7367),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7367),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7367),
    [anon_sym_BSLASHinclude] = ACTIONS(7367),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7367),
    [anon_sym_BSLASHinput] = ACTIONS(7367),
    [anon_sym_BSLASHsubfile] = ACTIONS(7367),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7367),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7367),
    [anon_sym_BSLASHbibliography] = ACTIONS(7367),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7367),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7367),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7367),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7367),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7367),
    [anon_sym_BSLASHimport] = ACTIONS(7367),
    [anon_sym_BSLASHsubimport] = ACTIONS(7367),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7367),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7367),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7367),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7367),
    [anon_sym_BSLASHcaption] = ACTIONS(7367),
    [anon_sym_BSLASHcite] = ACTIONS(7367),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCite] = ACTIONS(7367),
    [anon_sym_BSLASHnocite] = ACTIONS(7367),
    [anon_sym_BSLASHcitet] = ACTIONS(7367),
    [anon_sym_BSLASHcitep] = ACTIONS(7367),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteA] = ACTIONS(7367),
    [anon_sym_BSLASHciteR] = ACTIONS(7367),
    [anon_sym_BSLASHciteS] = ACTIONS(7367),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7367),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7367),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7367),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7367),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteyear] = ACTIONS(7367),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitedate] = ACTIONS(7367),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteurl] = ACTIONS(7367),
    [anon_sym_BSLASHfullcite] = ACTIONS(7367),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7367),
    [anon_sym_BSLASHcitealt] = ACTIONS(7367),
    [anon_sym_BSLASHcitealp] = ACTIONS(7367),
    [anon_sym_BSLASHcitetext] = ACTIONS(7367),
    [anon_sym_BSLASHparencite] = ACTIONS(7367),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHParencite] = ACTIONS(7367),
    [anon_sym_BSLASHfootcite] = ACTIONS(7367),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7367),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7367),
    [anon_sym_BSLASHtextcite] = ACTIONS(7367),
    [anon_sym_BSLASHTextcite] = ACTIONS(7367),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7367),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7367),
    [anon_sym_BSLASHsupercite] = ACTIONS(7367),
    [anon_sym_BSLASHautocite] = ACTIONS(7367),
    [anon_sym_BSLASHAutocite] = ACTIONS(7367),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHVolcite] = ACTIONS(7367),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHavolcite] = ACTIONS(7367),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHNotecite] = ACTIONS(7367),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHlabel] = ACTIONS(7367),
    [anon_sym_BSLASHref] = ACTIONS(7367),
    [anon_sym_BSLASHeqref] = ACTIONS(7367),
    [anon_sym_BSLASHvref] = ACTIONS(7367),
    [anon_sym_BSLASHVref] = ACTIONS(7367),
    [anon_sym_BSLASHautoref] = ACTIONS(7367),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHpageref] = ACTIONS(7367),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHautopageref] = ACTIONS(7367),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcref] = ACTIONS(7367),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCref] = ACTIONS(7367),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcpageref] = ACTIONS(7367),
    [anon_sym_BSLASHCpageref] = ACTIONS(7367),
    [anon_sym_BSLASHnamecref] = ACTIONS(7367),
    [anon_sym_BSLASHnameCref] = ACTIONS(7367),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7367),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7367),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7367),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7367),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7367),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7367),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7367),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7367),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7367),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7367),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7367),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHdef] = ACTIONS(7367),
    [anon_sym_BSLASHgdef] = ACTIONS(7367),
    [anon_sym_BSLASHedef] = ACTIONS(7367),
    [anon_sym_BSLASHxdef] = ACTIONS(7367),
    [anon_sym_BSLASHlet] = ACTIONS(7367),
    [anon_sym_BSLASHglet] = ACTIONS(7367),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7367),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7367),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7367),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7367),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7367),
    [anon_sym_BSLASHgls] = ACTIONS(7367),
    [anon_sym_BSLASHGls] = ACTIONS(7367),
    [anon_sym_BSLASHGLS] = ACTIONS(7367),
    [anon_sym_BSLASHglspl] = ACTIONS(7367),
    [anon_sym_BSLASHGlspl] = ACTIONS(7367),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7367),
    [anon_sym_BSLASHglslink] = ACTIONS(7367),
    [anon_sym_BSLASHglstext] = ACTIONS(7367),
    [anon_sym_BSLASHGlstext] = ACTIONS(7367),
    [anon_sym_BSLASHGLStext] = ACTIONS(7367),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7367),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7367),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7367),
    [anon_sym_BSLASHglsplural] = ACTIONS(7367),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7367),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7367),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHglsname] = ACTIONS(7367),
    [anon_sym_BSLASHGlsname] = ACTIONS(7367),
    [anon_sym_BSLASHGLSname] = ACTIONS(7367),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7367),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7367),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7367),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7367),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7367),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7367),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7367),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7367),
    [anon_sym_BSLASHacrshort] = ACTIONS(7367),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7367),
    [anon_sym_BSLASHACRshort] = ACTIONS(7367),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHacrlong] = ACTIONS(7367),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7367),
    [anon_sym_BSLASHACRlong] = ACTIONS(7367),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHacrfull] = ACTIONS(7367),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7367),
    [anon_sym_BSLASHACRfull] = ACTIONS(7367),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHacs] = ACTIONS(7367),
    [anon_sym_BSLASHAcs] = ACTIONS(7367),
    [anon_sym_BSLASHacsp] = ACTIONS(7367),
    [anon_sym_BSLASHAcsp] = ACTIONS(7367),
    [anon_sym_BSLASHacl] = ACTIONS(7367),
    [anon_sym_BSLASHAcl] = ACTIONS(7367),
    [anon_sym_BSLASHaclp] = ACTIONS(7367),
    [anon_sym_BSLASHAclp] = ACTIONS(7367),
    [anon_sym_BSLASHacf] = ACTIONS(7367),
    [anon_sym_BSLASHAcf] = ACTIONS(7367),
    [anon_sym_BSLASHacfp] = ACTIONS(7367),
    [anon_sym_BSLASHAcfp] = ACTIONS(7367),
    [anon_sym_BSLASHac] = ACTIONS(7367),
    [anon_sym_BSLASHAc] = ACTIONS(7367),
    [anon_sym_BSLASHacp] = ACTIONS(7367),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7367),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7367),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7367),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7367),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7367),
    [anon_sym_BSLASHcolor] = ACTIONS(7367),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7367),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7367),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7367),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7367),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7367),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7367),
    [anon_sym_BSLASHurl] = ACTIONS(7367),
    [anon_sym_BSLASHhref] = ACTIONS(7367),
  },
  [670] = {
    [sym_command_name] = ACTIONS(7371),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7371),
    [anon_sym_LBRACK] = ACTIONS(7373),
    [anon_sym_RBRACK] = ACTIONS(7373),
    [anon_sym_COMMA] = ACTIONS(7373),
    [anon_sym_EQ] = ACTIONS(7373),
    [anon_sym_LPAREN] = ACTIONS(7373),
    [anon_sym_RPAREN] = ACTIONS(7373),
    [anon_sym_BSLASHpart] = ACTIONS(7371),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHaddpart] = ACTIONS(7371),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHchapter] = ACTIONS(7371),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHaddchap] = ACTIONS(7371),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHsection] = ACTIONS(7371),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHaddsec] = ACTIONS(7371),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHsubsection] = ACTIONS(7371),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7371),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHparagraph] = ACTIONS(7371),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7371),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHitem] = ACTIONS(7371),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7373),
    [anon_sym_LBRACE] = ACTIONS(7373),
    [sym_word] = ACTIONS(7371),
    [sym_placeholder] = ACTIONS(7373),
    [sym_delimiter] = ACTIONS(7373),
    [anon_sym_PLUS] = ACTIONS(7373),
    [anon_sym_DASH] = ACTIONS(7373),
    [anon_sym_STAR] = ACTIONS(7373),
    [anon_sym_SLASH] = ACTIONS(7373),
    [anon_sym_LT] = ACTIONS(7371),
    [anon_sym_GT] = ACTIONS(7371),
    [anon_sym_BANG] = ACTIONS(7371),
    [anon_sym_PIPE] = ACTIONS(7371),
    [anon_sym_COLON] = ACTIONS(7371),
    [anon_sym_SQUOTE] = ACTIONS(7371),
    [anon_sym__] = ACTIONS(7373),
    [anon_sym_CARET] = ACTIONS(7373),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7373),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7373),
    [anon_sym_DOLLAR] = ACTIONS(7371),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7373),
    [anon_sym_BSLASHleft] = ACTIONS(7371),
    [anon_sym_BSLASHbigl] = ACTIONS(7371),
    [anon_sym_BSLASHBigl] = ACTIONS(7371),
    [anon_sym_BSLASHbiggl] = ACTIONS(7371),
    [anon_sym_BSLASHBiggl] = ACTIONS(7371),
    [anon_sym_BSLASHright] = ACTIONS(7371),
    [anon_sym_BSLASHbigr] = ACTIONS(7371),
    [anon_sym_BSLASHBigr] = ACTIONS(7371),
    [anon_sym_BSLASHbiggr] = ACTIONS(7371),
    [anon_sym_BSLASHBiggr] = ACTIONS(7371),
    [anon_sym_BSLASHtext] = ACTIONS(7371),
    [anon_sym_BSLASHintertext] = ACTIONS(7371),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7371),
    [anon_sym_BSLASHbegin] = ACTIONS(7371),
    [anon_sym_BSLASHtitle] = ACTIONS(7371),
    [anon_sym_BSLASHauthor] = ACTIONS(7371),
    [anon_sym_BSLASHusepackage] = ACTIONS(7371),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7371),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7371),
    [anon_sym_BSLASHinclude] = ACTIONS(7371),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7371),
    [anon_sym_BSLASHinput] = ACTIONS(7371),
    [anon_sym_BSLASHsubfile] = ACTIONS(7371),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7371),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7371),
    [anon_sym_BSLASHbibliography] = ACTIONS(7371),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7371),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7371),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7371),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7371),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7371),
    [anon_sym_BSLASHimport] = ACTIONS(7371),
    [anon_sym_BSLASHsubimport] = ACTIONS(7371),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7371),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7371),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7371),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7371),
    [anon_sym_BSLASHcaption] = ACTIONS(7371),
    [anon_sym_BSLASHcite] = ACTIONS(7371),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCite] = ACTIONS(7371),
    [anon_sym_BSLASHnocite] = ACTIONS(7371),
    [anon_sym_BSLASHcitet] = ACTIONS(7371),
    [anon_sym_BSLASHcitep] = ACTIONS(7371),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteA] = ACTIONS(7371),
    [anon_sym_BSLASHciteR] = ACTIONS(7371),
    [anon_sym_BSLASHciteS] = ACTIONS(7371),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7371),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7371),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7371),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7371),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteyear] = ACTIONS(7371),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitedate] = ACTIONS(7371),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteurl] = ACTIONS(7371),
    [anon_sym_BSLASHfullcite] = ACTIONS(7371),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7371),
    [anon_sym_BSLASHcitealt] = ACTIONS(7371),
    [anon_sym_BSLASHcitealp] = ACTIONS(7371),
    [anon_sym_BSLASHcitetext] = ACTIONS(7371),
    [anon_sym_BSLASHparencite] = ACTIONS(7371),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHParencite] = ACTIONS(7371),
    [anon_sym_BSLASHfootcite] = ACTIONS(7371),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7371),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7371),
    [anon_sym_BSLASHtextcite] = ACTIONS(7371),
    [anon_sym_BSLASHTextcite] = ACTIONS(7371),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7371),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7371),
    [anon_sym_BSLASHsupercite] = ACTIONS(7371),
    [anon_sym_BSLASHautocite] = ACTIONS(7371),
    [anon_sym_BSLASHAutocite] = ACTIONS(7371),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHVolcite] = ACTIONS(7371),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHavolcite] = ACTIONS(7371),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHNotecite] = ACTIONS(7371),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHlabel] = ACTIONS(7371),
    [anon_sym_BSLASHref] = ACTIONS(7371),
    [anon_sym_BSLASHeqref] = ACTIONS(7371),
    [anon_sym_BSLASHvref] = ACTIONS(7371),
    [anon_sym_BSLASHVref] = ACTIONS(7371),
    [anon_sym_BSLASHautoref] = ACTIONS(7371),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHpageref] = ACTIONS(7371),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHautopageref] = ACTIONS(7371),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcref] = ACTIONS(7371),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCref] = ACTIONS(7371),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcpageref] = ACTIONS(7371),
    [anon_sym_BSLASHCpageref] = ACTIONS(7371),
    [anon_sym_BSLASHnamecref] = ACTIONS(7371),
    [anon_sym_BSLASHnameCref] = ACTIONS(7371),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7371),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7371),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7371),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7371),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7371),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7371),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7371),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7371),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7371),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7371),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7371),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHdef] = ACTIONS(7371),
    [anon_sym_BSLASHgdef] = ACTIONS(7371),
    [anon_sym_BSLASHedef] = ACTIONS(7371),
    [anon_sym_BSLASHxdef] = ACTIONS(7371),
    [anon_sym_BSLASHlet] = ACTIONS(7371),
    [anon_sym_BSLASHglet] = ACTIONS(7371),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7371),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7371),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7371),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7371),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7371),
    [anon_sym_BSLASHgls] = ACTIONS(7371),
    [anon_sym_BSLASHGls] = ACTIONS(7371),
    [anon_sym_BSLASHGLS] = ACTIONS(7371),
    [anon_sym_BSLASHglspl] = ACTIONS(7371),
    [anon_sym_BSLASHGlspl] = ACTIONS(7371),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7371),
    [anon_sym_BSLASHglslink] = ACTIONS(7371),
    [anon_sym_BSLASHglstext] = ACTIONS(7371),
    [anon_sym_BSLASHGlstext] = ACTIONS(7371),
    [anon_sym_BSLASHGLStext] = ACTIONS(7371),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7371),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7371),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7371),
    [anon_sym_BSLASHglsplural] = ACTIONS(7371),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7371),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7371),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHglsname] = ACTIONS(7371),
    [anon_sym_BSLASHGlsname] = ACTIONS(7371),
    [anon_sym_BSLASHGLSname] = ACTIONS(7371),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7371),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7371),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7371),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7371),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7371),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7371),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7371),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7371),
    [anon_sym_BSLASHacrshort] = ACTIONS(7371),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7371),
    [anon_sym_BSLASHACRshort] = ACTIONS(7371),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHacrlong] = ACTIONS(7371),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7371),
    [anon_sym_BSLASHACRlong] = ACTIONS(7371),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHacrfull] = ACTIONS(7371),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7371),
    [anon_sym_BSLASHACRfull] = ACTIONS(7371),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHacs] = ACTIONS(7371),
    [anon_sym_BSLASHAcs] = ACTIONS(7371),
    [anon_sym_BSLASHacsp] = ACTIONS(7371),
    [anon_sym_BSLASHAcsp] = ACTIONS(7371),
    [anon_sym_BSLASHacl] = ACTIONS(7371),
    [anon_sym_BSLASHAcl] = ACTIONS(7371),
    [anon_sym_BSLASHaclp] = ACTIONS(7371),
    [anon_sym_BSLASHAclp] = ACTIONS(7371),
    [anon_sym_BSLASHacf] = ACTIONS(7371),
    [anon_sym_BSLASHAcf] = ACTIONS(7371),
    [anon_sym_BSLASHacfp] = ACTIONS(7371),
    [anon_sym_BSLASHAcfp] = ACTIONS(7371),
    [anon_sym_BSLASHac] = ACTIONS(7371),
    [anon_sym_BSLASHAc] = ACTIONS(7371),
    [anon_sym_BSLASHacp] = ACTIONS(7371),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7371),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7371),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7371),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7371),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7371),
    [anon_sym_BSLASHcolor] = ACTIONS(7371),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7371),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7371),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7371),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7371),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7371),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7371),
    [anon_sym_BSLASHurl] = ACTIONS(7371),
    [anon_sym_BSLASHhref] = ACTIONS(7371),
  },
  [671] = {
    [sym_command_name] = ACTIONS(7375),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7375),
    [anon_sym_LBRACK] = ACTIONS(7377),
    [anon_sym_RBRACK] = ACTIONS(7377),
    [anon_sym_COMMA] = ACTIONS(7377),
    [anon_sym_EQ] = ACTIONS(7377),
    [anon_sym_LPAREN] = ACTIONS(7377),
    [anon_sym_RPAREN] = ACTIONS(7377),
    [anon_sym_BSLASHpart] = ACTIONS(7375),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHaddpart] = ACTIONS(7375),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHchapter] = ACTIONS(7375),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHaddchap] = ACTIONS(7375),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHsection] = ACTIONS(7375),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHaddsec] = ACTIONS(7375),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHsubsection] = ACTIONS(7375),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7375),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHparagraph] = ACTIONS(7375),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7375),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHitem] = ACTIONS(7375),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7377),
    [anon_sym_LBRACE] = ACTIONS(7377),
    [sym_word] = ACTIONS(7375),
    [sym_placeholder] = ACTIONS(7377),
    [sym_delimiter] = ACTIONS(7377),
    [anon_sym_PLUS] = ACTIONS(7377),
    [anon_sym_DASH] = ACTIONS(7377),
    [anon_sym_STAR] = ACTIONS(7377),
    [anon_sym_SLASH] = ACTIONS(7377),
    [anon_sym_LT] = ACTIONS(7375),
    [anon_sym_GT] = ACTIONS(7375),
    [anon_sym_BANG] = ACTIONS(7375),
    [anon_sym_PIPE] = ACTIONS(7375),
    [anon_sym_COLON] = ACTIONS(7375),
    [anon_sym_SQUOTE] = ACTIONS(7375),
    [anon_sym__] = ACTIONS(7377),
    [anon_sym_CARET] = ACTIONS(7377),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7377),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7377),
    [anon_sym_DOLLAR] = ACTIONS(7375),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7377),
    [anon_sym_BSLASHleft] = ACTIONS(7375),
    [anon_sym_BSLASHbigl] = ACTIONS(7375),
    [anon_sym_BSLASHBigl] = ACTIONS(7375),
    [anon_sym_BSLASHbiggl] = ACTIONS(7375),
    [anon_sym_BSLASHBiggl] = ACTIONS(7375),
    [anon_sym_BSLASHright] = ACTIONS(7375),
    [anon_sym_BSLASHbigr] = ACTIONS(7375),
    [anon_sym_BSLASHBigr] = ACTIONS(7375),
    [anon_sym_BSLASHbiggr] = ACTIONS(7375),
    [anon_sym_BSLASHBiggr] = ACTIONS(7375),
    [anon_sym_BSLASHtext] = ACTIONS(7375),
    [anon_sym_BSLASHintertext] = ACTIONS(7375),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7375),
    [anon_sym_BSLASHbegin] = ACTIONS(7375),
    [anon_sym_BSLASHtitle] = ACTIONS(7375),
    [anon_sym_BSLASHauthor] = ACTIONS(7375),
    [anon_sym_BSLASHusepackage] = ACTIONS(7375),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7375),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7375),
    [anon_sym_BSLASHinclude] = ACTIONS(7375),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7375),
    [anon_sym_BSLASHinput] = ACTIONS(7375),
    [anon_sym_BSLASHsubfile] = ACTIONS(7375),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7375),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7375),
    [anon_sym_BSLASHbibliography] = ACTIONS(7375),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7375),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7375),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7375),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7375),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7375),
    [anon_sym_BSLASHimport] = ACTIONS(7375),
    [anon_sym_BSLASHsubimport] = ACTIONS(7375),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7375),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7375),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7375),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7375),
    [anon_sym_BSLASHcaption] = ACTIONS(7375),
    [anon_sym_BSLASHcite] = ACTIONS(7375),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCite] = ACTIONS(7375),
    [anon_sym_BSLASHnocite] = ACTIONS(7375),
    [anon_sym_BSLASHcitet] = ACTIONS(7375),
    [anon_sym_BSLASHcitep] = ACTIONS(7375),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteA] = ACTIONS(7375),
    [anon_sym_BSLASHciteR] = ACTIONS(7375),
    [anon_sym_BSLASHciteS] = ACTIONS(7375),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7375),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7375),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7375),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7375),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteyear] = ACTIONS(7375),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitedate] = ACTIONS(7375),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteurl] = ACTIONS(7375),
    [anon_sym_BSLASHfullcite] = ACTIONS(7375),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7375),
    [anon_sym_BSLASHcitealt] = ACTIONS(7375),
    [anon_sym_BSLASHcitealp] = ACTIONS(7375),
    [anon_sym_BSLASHcitetext] = ACTIONS(7375),
    [anon_sym_BSLASHparencite] = ACTIONS(7375),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHParencite] = ACTIONS(7375),
    [anon_sym_BSLASHfootcite] = ACTIONS(7375),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7375),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7375),
    [anon_sym_BSLASHtextcite] = ACTIONS(7375),
    [anon_sym_BSLASHTextcite] = ACTIONS(7375),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7375),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7375),
    [anon_sym_BSLASHsupercite] = ACTIONS(7375),
    [anon_sym_BSLASHautocite] = ACTIONS(7375),
    [anon_sym_BSLASHAutocite] = ACTIONS(7375),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHVolcite] = ACTIONS(7375),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHavolcite] = ACTIONS(7375),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHNotecite] = ACTIONS(7375),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHlabel] = ACTIONS(7375),
    [anon_sym_BSLASHref] = ACTIONS(7375),
    [anon_sym_BSLASHeqref] = ACTIONS(7375),
    [anon_sym_BSLASHvref] = ACTIONS(7375),
    [anon_sym_BSLASHVref] = ACTIONS(7375),
    [anon_sym_BSLASHautoref] = ACTIONS(7375),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHpageref] = ACTIONS(7375),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHautopageref] = ACTIONS(7375),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcref] = ACTIONS(7375),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCref] = ACTIONS(7375),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcpageref] = ACTIONS(7375),
    [anon_sym_BSLASHCpageref] = ACTIONS(7375),
    [anon_sym_BSLASHnamecref] = ACTIONS(7375),
    [anon_sym_BSLASHnameCref] = ACTIONS(7375),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7375),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7375),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7375),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7375),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7375),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7375),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7375),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7375),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7375),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7375),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7375),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHdef] = ACTIONS(7375),
    [anon_sym_BSLASHgdef] = ACTIONS(7375),
    [anon_sym_BSLASHedef] = ACTIONS(7375),
    [anon_sym_BSLASHxdef] = ACTIONS(7375),
    [anon_sym_BSLASHlet] = ACTIONS(7375),
    [anon_sym_BSLASHglet] = ACTIONS(7375),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7375),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7375),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7375),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7375),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7375),
    [anon_sym_BSLASHgls] = ACTIONS(7375),
    [anon_sym_BSLASHGls] = ACTIONS(7375),
    [anon_sym_BSLASHGLS] = ACTIONS(7375),
    [anon_sym_BSLASHglspl] = ACTIONS(7375),
    [anon_sym_BSLASHGlspl] = ACTIONS(7375),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7375),
    [anon_sym_BSLASHglslink] = ACTIONS(7375),
    [anon_sym_BSLASHglstext] = ACTIONS(7375),
    [anon_sym_BSLASHGlstext] = ACTIONS(7375),
    [anon_sym_BSLASHGLStext] = ACTIONS(7375),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7375),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7375),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7375),
    [anon_sym_BSLASHglsplural] = ACTIONS(7375),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7375),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7375),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHglsname] = ACTIONS(7375),
    [anon_sym_BSLASHGlsname] = ACTIONS(7375),
    [anon_sym_BSLASHGLSname] = ACTIONS(7375),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7375),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7375),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7375),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7375),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7375),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7375),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7375),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7375),
    [anon_sym_BSLASHacrshort] = ACTIONS(7375),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7375),
    [anon_sym_BSLASHACRshort] = ACTIONS(7375),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHacrlong] = ACTIONS(7375),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7375),
    [anon_sym_BSLASHACRlong] = ACTIONS(7375),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHacrfull] = ACTIONS(7375),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7375),
    [anon_sym_BSLASHACRfull] = ACTIONS(7375),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHacs] = ACTIONS(7375),
    [anon_sym_BSLASHAcs] = ACTIONS(7375),
    [anon_sym_BSLASHacsp] = ACTIONS(7375),
    [anon_sym_BSLASHAcsp] = ACTIONS(7375),
    [anon_sym_BSLASHacl] = ACTIONS(7375),
    [anon_sym_BSLASHAcl] = ACTIONS(7375),
    [anon_sym_BSLASHaclp] = ACTIONS(7375),
    [anon_sym_BSLASHAclp] = ACTIONS(7375),
    [anon_sym_BSLASHacf] = ACTIONS(7375),
    [anon_sym_BSLASHAcf] = ACTIONS(7375),
    [anon_sym_BSLASHacfp] = ACTIONS(7375),
    [anon_sym_BSLASHAcfp] = ACTIONS(7375),
    [anon_sym_BSLASHac] = ACTIONS(7375),
    [anon_sym_BSLASHAc] = ACTIONS(7375),
    [anon_sym_BSLASHacp] = ACTIONS(7375),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7375),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7375),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7375),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7375),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7375),
    [anon_sym_BSLASHcolor] = ACTIONS(7375),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7375),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7375),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7375),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7375),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7375),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7375),
    [anon_sym_BSLASHurl] = ACTIONS(7375),
    [anon_sym_BSLASHhref] = ACTIONS(7375),
  },
  [672] = {
    [sym_command_name] = ACTIONS(7379),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7379),
    [anon_sym_LBRACK] = ACTIONS(7381),
    [anon_sym_RBRACK] = ACTIONS(7381),
    [anon_sym_COMMA] = ACTIONS(7381),
    [anon_sym_EQ] = ACTIONS(7381),
    [anon_sym_LPAREN] = ACTIONS(7381),
    [anon_sym_RPAREN] = ACTIONS(7381),
    [anon_sym_BSLASHpart] = ACTIONS(7379),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHaddpart] = ACTIONS(7379),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHchapter] = ACTIONS(7379),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHaddchap] = ACTIONS(7379),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHsection] = ACTIONS(7379),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHaddsec] = ACTIONS(7379),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHsubsection] = ACTIONS(7379),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7379),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHparagraph] = ACTIONS(7379),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7379),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHitem] = ACTIONS(7379),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7381),
    [anon_sym_LBRACE] = ACTIONS(7381),
    [sym_word] = ACTIONS(7379),
    [sym_placeholder] = ACTIONS(7381),
    [sym_delimiter] = ACTIONS(7381),
    [anon_sym_PLUS] = ACTIONS(7381),
    [anon_sym_DASH] = ACTIONS(7381),
    [anon_sym_STAR] = ACTIONS(7381),
    [anon_sym_SLASH] = ACTIONS(7381),
    [anon_sym_LT] = ACTIONS(7379),
    [anon_sym_GT] = ACTIONS(7379),
    [anon_sym_BANG] = ACTIONS(7379),
    [anon_sym_PIPE] = ACTIONS(7379),
    [anon_sym_COLON] = ACTIONS(7379),
    [anon_sym_SQUOTE] = ACTIONS(7379),
    [anon_sym__] = ACTIONS(7381),
    [anon_sym_CARET] = ACTIONS(7381),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7381),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7381),
    [anon_sym_DOLLAR] = ACTIONS(7379),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7381),
    [anon_sym_BSLASHleft] = ACTIONS(7379),
    [anon_sym_BSLASHbigl] = ACTIONS(7379),
    [anon_sym_BSLASHBigl] = ACTIONS(7379),
    [anon_sym_BSLASHbiggl] = ACTIONS(7379),
    [anon_sym_BSLASHBiggl] = ACTIONS(7379),
    [anon_sym_BSLASHright] = ACTIONS(7379),
    [anon_sym_BSLASHbigr] = ACTIONS(7379),
    [anon_sym_BSLASHBigr] = ACTIONS(7379),
    [anon_sym_BSLASHbiggr] = ACTIONS(7379),
    [anon_sym_BSLASHBiggr] = ACTIONS(7379),
    [anon_sym_BSLASHtext] = ACTIONS(7379),
    [anon_sym_BSLASHintertext] = ACTIONS(7379),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7379),
    [anon_sym_BSLASHbegin] = ACTIONS(7379),
    [anon_sym_BSLASHtitle] = ACTIONS(7379),
    [anon_sym_BSLASHauthor] = ACTIONS(7379),
    [anon_sym_BSLASHusepackage] = ACTIONS(7379),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7379),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7379),
    [anon_sym_BSLASHinclude] = ACTIONS(7379),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7379),
    [anon_sym_BSLASHinput] = ACTIONS(7379),
    [anon_sym_BSLASHsubfile] = ACTIONS(7379),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7379),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7379),
    [anon_sym_BSLASHbibliography] = ACTIONS(7379),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7379),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7379),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7379),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7379),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7379),
    [anon_sym_BSLASHimport] = ACTIONS(7379),
    [anon_sym_BSLASHsubimport] = ACTIONS(7379),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7379),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7379),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7379),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7379),
    [anon_sym_BSLASHcaption] = ACTIONS(7379),
    [anon_sym_BSLASHcite] = ACTIONS(7379),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCite] = ACTIONS(7379),
    [anon_sym_BSLASHnocite] = ACTIONS(7379),
    [anon_sym_BSLASHcitet] = ACTIONS(7379),
    [anon_sym_BSLASHcitep] = ACTIONS(7379),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteA] = ACTIONS(7379),
    [anon_sym_BSLASHciteR] = ACTIONS(7379),
    [anon_sym_BSLASHciteS] = ACTIONS(7379),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7379),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7379),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7379),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7379),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteyear] = ACTIONS(7379),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitedate] = ACTIONS(7379),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteurl] = ACTIONS(7379),
    [anon_sym_BSLASHfullcite] = ACTIONS(7379),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7379),
    [anon_sym_BSLASHcitealt] = ACTIONS(7379),
    [anon_sym_BSLASHcitealp] = ACTIONS(7379),
    [anon_sym_BSLASHcitetext] = ACTIONS(7379),
    [anon_sym_BSLASHparencite] = ACTIONS(7379),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHParencite] = ACTIONS(7379),
    [anon_sym_BSLASHfootcite] = ACTIONS(7379),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7379),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7379),
    [anon_sym_BSLASHtextcite] = ACTIONS(7379),
    [anon_sym_BSLASHTextcite] = ACTIONS(7379),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7379),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7379),
    [anon_sym_BSLASHsupercite] = ACTIONS(7379),
    [anon_sym_BSLASHautocite] = ACTIONS(7379),
    [anon_sym_BSLASHAutocite] = ACTIONS(7379),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHVolcite] = ACTIONS(7379),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHavolcite] = ACTIONS(7379),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHNotecite] = ACTIONS(7379),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHlabel] = ACTIONS(7379),
    [anon_sym_BSLASHref] = ACTIONS(7379),
    [anon_sym_BSLASHeqref] = ACTIONS(7379),
    [anon_sym_BSLASHvref] = ACTIONS(7379),
    [anon_sym_BSLASHVref] = ACTIONS(7379),
    [anon_sym_BSLASHautoref] = ACTIONS(7379),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHpageref] = ACTIONS(7379),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHautopageref] = ACTIONS(7379),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcref] = ACTIONS(7379),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCref] = ACTIONS(7379),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcpageref] = ACTIONS(7379),
    [anon_sym_BSLASHCpageref] = ACTIONS(7379),
    [anon_sym_BSLASHnamecref] = ACTIONS(7379),
    [anon_sym_BSLASHnameCref] = ACTIONS(7379),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7379),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7379),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7379),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7379),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7379),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7379),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7379),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7379),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7379),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7379),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7379),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHdef] = ACTIONS(7379),
    [anon_sym_BSLASHgdef] = ACTIONS(7379),
    [anon_sym_BSLASHedef] = ACTIONS(7379),
    [anon_sym_BSLASHxdef] = ACTIONS(7379),
    [anon_sym_BSLASHlet] = ACTIONS(7379),
    [anon_sym_BSLASHglet] = ACTIONS(7379),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7379),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7379),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7379),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7379),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7379),
    [anon_sym_BSLASHgls] = ACTIONS(7379),
    [anon_sym_BSLASHGls] = ACTIONS(7379),
    [anon_sym_BSLASHGLS] = ACTIONS(7379),
    [anon_sym_BSLASHglspl] = ACTIONS(7379),
    [anon_sym_BSLASHGlspl] = ACTIONS(7379),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7379),
    [anon_sym_BSLASHglslink] = ACTIONS(7379),
    [anon_sym_BSLASHglstext] = ACTIONS(7379),
    [anon_sym_BSLASHGlstext] = ACTIONS(7379),
    [anon_sym_BSLASHGLStext] = ACTIONS(7379),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7379),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7379),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7379),
    [anon_sym_BSLASHglsplural] = ACTIONS(7379),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7379),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7379),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHglsname] = ACTIONS(7379),
    [anon_sym_BSLASHGlsname] = ACTIONS(7379),
    [anon_sym_BSLASHGLSname] = ACTIONS(7379),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7379),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7379),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7379),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7379),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7379),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7379),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7379),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7379),
    [anon_sym_BSLASHacrshort] = ACTIONS(7379),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7379),
    [anon_sym_BSLASHACRshort] = ACTIONS(7379),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHacrlong] = ACTIONS(7379),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7379),
    [anon_sym_BSLASHACRlong] = ACTIONS(7379),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHacrfull] = ACTIONS(7379),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7379),
    [anon_sym_BSLASHACRfull] = ACTIONS(7379),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHacs] = ACTIONS(7379),
    [anon_sym_BSLASHAcs] = ACTIONS(7379),
    [anon_sym_BSLASHacsp] = ACTIONS(7379),
    [anon_sym_BSLASHAcsp] = ACTIONS(7379),
    [anon_sym_BSLASHacl] = ACTIONS(7379),
    [anon_sym_BSLASHAcl] = ACTIONS(7379),
    [anon_sym_BSLASHaclp] = ACTIONS(7379),
    [anon_sym_BSLASHAclp] = ACTIONS(7379),
    [anon_sym_BSLASHacf] = ACTIONS(7379),
    [anon_sym_BSLASHAcf] = ACTIONS(7379),
    [anon_sym_BSLASHacfp] = ACTIONS(7379),
    [anon_sym_BSLASHAcfp] = ACTIONS(7379),
    [anon_sym_BSLASHac] = ACTIONS(7379),
    [anon_sym_BSLASHAc] = ACTIONS(7379),
    [anon_sym_BSLASHacp] = ACTIONS(7379),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7379),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7379),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7379),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7379),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7379),
    [anon_sym_BSLASHcolor] = ACTIONS(7379),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7379),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7379),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7379),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7379),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7379),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7379),
    [anon_sym_BSLASHurl] = ACTIONS(7379),
    [anon_sym_BSLASHhref] = ACTIONS(7379),
  },
  [673] = {
    [sym_command_name] = ACTIONS(7383),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7383),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_RBRACK] = ACTIONS(7385),
    [anon_sym_COMMA] = ACTIONS(7385),
    [anon_sym_EQ] = ACTIONS(7385),
    [anon_sym_LPAREN] = ACTIONS(7385),
    [anon_sym_RPAREN] = ACTIONS(7385),
    [anon_sym_BSLASHpart] = ACTIONS(7383),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHaddpart] = ACTIONS(7383),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHchapter] = ACTIONS(7383),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHaddchap] = ACTIONS(7383),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHsection] = ACTIONS(7383),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHaddsec] = ACTIONS(7383),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHsubsection] = ACTIONS(7383),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7383),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHparagraph] = ACTIONS(7383),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7383),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHitem] = ACTIONS(7383),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7385),
    [sym_word] = ACTIONS(7383),
    [sym_placeholder] = ACTIONS(7385),
    [sym_delimiter] = ACTIONS(7385),
    [anon_sym_PLUS] = ACTIONS(7385),
    [anon_sym_DASH] = ACTIONS(7385),
    [anon_sym_STAR] = ACTIONS(7385),
    [anon_sym_SLASH] = ACTIONS(7385),
    [anon_sym_LT] = ACTIONS(7383),
    [anon_sym_GT] = ACTIONS(7383),
    [anon_sym_BANG] = ACTIONS(7383),
    [anon_sym_PIPE] = ACTIONS(7383),
    [anon_sym_COLON] = ACTIONS(7383),
    [anon_sym_SQUOTE] = ACTIONS(7383),
    [anon_sym__] = ACTIONS(7385),
    [anon_sym_CARET] = ACTIONS(7385),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7385),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7385),
    [anon_sym_DOLLAR] = ACTIONS(7383),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7385),
    [anon_sym_BSLASHleft] = ACTIONS(7383),
    [anon_sym_BSLASHbigl] = ACTIONS(7383),
    [anon_sym_BSLASHBigl] = ACTIONS(7383),
    [anon_sym_BSLASHbiggl] = ACTIONS(7383),
    [anon_sym_BSLASHBiggl] = ACTIONS(7383),
    [anon_sym_BSLASHright] = ACTIONS(7383),
    [anon_sym_BSLASHbigr] = ACTIONS(7383),
    [anon_sym_BSLASHBigr] = ACTIONS(7383),
    [anon_sym_BSLASHbiggr] = ACTIONS(7383),
    [anon_sym_BSLASHBiggr] = ACTIONS(7383),
    [anon_sym_BSLASHtext] = ACTIONS(7383),
    [anon_sym_BSLASHintertext] = ACTIONS(7383),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7383),
    [anon_sym_BSLASHbegin] = ACTIONS(7383),
    [anon_sym_BSLASHtitle] = ACTIONS(7383),
    [anon_sym_BSLASHauthor] = ACTIONS(7383),
    [anon_sym_BSLASHusepackage] = ACTIONS(7383),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7383),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7383),
    [anon_sym_BSLASHinclude] = ACTIONS(7383),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7383),
    [anon_sym_BSLASHinput] = ACTIONS(7383),
    [anon_sym_BSLASHsubfile] = ACTIONS(7383),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7383),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7383),
    [anon_sym_BSLASHbibliography] = ACTIONS(7383),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7383),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7383),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7383),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7383),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7383),
    [anon_sym_BSLASHimport] = ACTIONS(7383),
    [anon_sym_BSLASHsubimport] = ACTIONS(7383),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7383),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7383),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7383),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7383),
    [anon_sym_BSLASHcaption] = ACTIONS(7383),
    [anon_sym_BSLASHcite] = ACTIONS(7383),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCite] = ACTIONS(7383),
    [anon_sym_BSLASHnocite] = ACTIONS(7383),
    [anon_sym_BSLASHcitet] = ACTIONS(7383),
    [anon_sym_BSLASHcitep] = ACTIONS(7383),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteA] = ACTIONS(7383),
    [anon_sym_BSLASHciteR] = ACTIONS(7383),
    [anon_sym_BSLASHciteS] = ACTIONS(7383),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7383),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7383),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7383),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7383),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteyear] = ACTIONS(7383),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitedate] = ACTIONS(7383),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteurl] = ACTIONS(7383),
    [anon_sym_BSLASHfullcite] = ACTIONS(7383),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7383),
    [anon_sym_BSLASHcitealt] = ACTIONS(7383),
    [anon_sym_BSLASHcitealp] = ACTIONS(7383),
    [anon_sym_BSLASHcitetext] = ACTIONS(7383),
    [anon_sym_BSLASHparencite] = ACTIONS(7383),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHParencite] = ACTIONS(7383),
    [anon_sym_BSLASHfootcite] = ACTIONS(7383),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7383),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7383),
    [anon_sym_BSLASHtextcite] = ACTIONS(7383),
    [anon_sym_BSLASHTextcite] = ACTIONS(7383),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7383),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7383),
    [anon_sym_BSLASHsupercite] = ACTIONS(7383),
    [anon_sym_BSLASHautocite] = ACTIONS(7383),
    [anon_sym_BSLASHAutocite] = ACTIONS(7383),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHVolcite] = ACTIONS(7383),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHavolcite] = ACTIONS(7383),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHNotecite] = ACTIONS(7383),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHlabel] = ACTIONS(7383),
    [anon_sym_BSLASHref] = ACTIONS(7383),
    [anon_sym_BSLASHeqref] = ACTIONS(7383),
    [anon_sym_BSLASHvref] = ACTIONS(7383),
    [anon_sym_BSLASHVref] = ACTIONS(7383),
    [anon_sym_BSLASHautoref] = ACTIONS(7383),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHpageref] = ACTIONS(7383),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHautopageref] = ACTIONS(7383),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcref] = ACTIONS(7383),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCref] = ACTIONS(7383),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcpageref] = ACTIONS(7383),
    [anon_sym_BSLASHCpageref] = ACTIONS(7383),
    [anon_sym_BSLASHnamecref] = ACTIONS(7383),
    [anon_sym_BSLASHnameCref] = ACTIONS(7383),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7383),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7383),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7383),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7383),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7383),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7383),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7383),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7383),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7383),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7383),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7383),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHdef] = ACTIONS(7383),
    [anon_sym_BSLASHgdef] = ACTIONS(7383),
    [anon_sym_BSLASHedef] = ACTIONS(7383),
    [anon_sym_BSLASHxdef] = ACTIONS(7383),
    [anon_sym_BSLASHlet] = ACTIONS(7383),
    [anon_sym_BSLASHglet] = ACTIONS(7383),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7383),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7383),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7383),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7383),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7383),
    [anon_sym_BSLASHgls] = ACTIONS(7383),
    [anon_sym_BSLASHGls] = ACTIONS(7383),
    [anon_sym_BSLASHGLS] = ACTIONS(7383),
    [anon_sym_BSLASHglspl] = ACTIONS(7383),
    [anon_sym_BSLASHGlspl] = ACTIONS(7383),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7383),
    [anon_sym_BSLASHglslink] = ACTIONS(7383),
    [anon_sym_BSLASHglstext] = ACTIONS(7383),
    [anon_sym_BSLASHGlstext] = ACTIONS(7383),
    [anon_sym_BSLASHGLStext] = ACTIONS(7383),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7383),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7383),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7383),
    [anon_sym_BSLASHglsplural] = ACTIONS(7383),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7383),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7383),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHglsname] = ACTIONS(7383),
    [anon_sym_BSLASHGlsname] = ACTIONS(7383),
    [anon_sym_BSLASHGLSname] = ACTIONS(7383),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7383),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7383),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7383),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7383),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7383),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7383),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7383),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7383),
    [anon_sym_BSLASHacrshort] = ACTIONS(7383),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7383),
    [anon_sym_BSLASHACRshort] = ACTIONS(7383),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHacrlong] = ACTIONS(7383),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7383),
    [anon_sym_BSLASHACRlong] = ACTIONS(7383),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHacrfull] = ACTIONS(7383),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7383),
    [anon_sym_BSLASHACRfull] = ACTIONS(7383),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHacs] = ACTIONS(7383),
    [anon_sym_BSLASHAcs] = ACTIONS(7383),
    [anon_sym_BSLASHacsp] = ACTIONS(7383),
    [anon_sym_BSLASHAcsp] = ACTIONS(7383),
    [anon_sym_BSLASHacl] = ACTIONS(7383),
    [anon_sym_BSLASHAcl] = ACTIONS(7383),
    [anon_sym_BSLASHaclp] = ACTIONS(7383),
    [anon_sym_BSLASHAclp] = ACTIONS(7383),
    [anon_sym_BSLASHacf] = ACTIONS(7383),
    [anon_sym_BSLASHAcf] = ACTIONS(7383),
    [anon_sym_BSLASHacfp] = ACTIONS(7383),
    [anon_sym_BSLASHAcfp] = ACTIONS(7383),
    [anon_sym_BSLASHac] = ACTIONS(7383),
    [anon_sym_BSLASHAc] = ACTIONS(7383),
    [anon_sym_BSLASHacp] = ACTIONS(7383),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7383),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7383),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7383),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7383),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7383),
    [anon_sym_BSLASHcolor] = ACTIONS(7383),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7383),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7383),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7383),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7383),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7383),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7383),
    [anon_sym_BSLASHurl] = ACTIONS(7383),
    [anon_sym_BSLASHhref] = ACTIONS(7383),
  },
  [674] = {
    [sym_command_name] = ACTIONS(7387),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7387),
    [anon_sym_LBRACK] = ACTIONS(7389),
    [anon_sym_RBRACK] = ACTIONS(7389),
    [anon_sym_COMMA] = ACTIONS(7389),
    [anon_sym_EQ] = ACTIONS(7389),
    [anon_sym_LPAREN] = ACTIONS(7389),
    [anon_sym_RPAREN] = ACTIONS(7389),
    [anon_sym_BSLASHpart] = ACTIONS(7387),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHaddpart] = ACTIONS(7387),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHchapter] = ACTIONS(7387),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHaddchap] = ACTIONS(7387),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHsection] = ACTIONS(7387),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHaddsec] = ACTIONS(7387),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHsubsection] = ACTIONS(7387),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7387),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHparagraph] = ACTIONS(7387),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7387),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHitem] = ACTIONS(7387),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7389),
    [anon_sym_LBRACE] = ACTIONS(7389),
    [sym_word] = ACTIONS(7387),
    [sym_placeholder] = ACTIONS(7389),
    [sym_delimiter] = ACTIONS(7389),
    [anon_sym_PLUS] = ACTIONS(7389),
    [anon_sym_DASH] = ACTIONS(7389),
    [anon_sym_STAR] = ACTIONS(7389),
    [anon_sym_SLASH] = ACTIONS(7389),
    [anon_sym_LT] = ACTIONS(7387),
    [anon_sym_GT] = ACTIONS(7387),
    [anon_sym_BANG] = ACTIONS(7387),
    [anon_sym_PIPE] = ACTIONS(7387),
    [anon_sym_COLON] = ACTIONS(7387),
    [anon_sym_SQUOTE] = ACTIONS(7387),
    [anon_sym__] = ACTIONS(7389),
    [anon_sym_CARET] = ACTIONS(7389),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7389),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7389),
    [anon_sym_DOLLAR] = ACTIONS(7387),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7389),
    [anon_sym_BSLASHleft] = ACTIONS(7387),
    [anon_sym_BSLASHbigl] = ACTIONS(7387),
    [anon_sym_BSLASHBigl] = ACTIONS(7387),
    [anon_sym_BSLASHbiggl] = ACTIONS(7387),
    [anon_sym_BSLASHBiggl] = ACTIONS(7387),
    [anon_sym_BSLASHright] = ACTIONS(7387),
    [anon_sym_BSLASHbigr] = ACTIONS(7387),
    [anon_sym_BSLASHBigr] = ACTIONS(7387),
    [anon_sym_BSLASHbiggr] = ACTIONS(7387),
    [anon_sym_BSLASHBiggr] = ACTIONS(7387),
    [anon_sym_BSLASHtext] = ACTIONS(7387),
    [anon_sym_BSLASHintertext] = ACTIONS(7387),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7387),
    [anon_sym_BSLASHbegin] = ACTIONS(7387),
    [anon_sym_BSLASHtitle] = ACTIONS(7387),
    [anon_sym_BSLASHauthor] = ACTIONS(7387),
    [anon_sym_BSLASHusepackage] = ACTIONS(7387),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7387),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7387),
    [anon_sym_BSLASHinclude] = ACTIONS(7387),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7387),
    [anon_sym_BSLASHinput] = ACTIONS(7387),
    [anon_sym_BSLASHsubfile] = ACTIONS(7387),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7387),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7387),
    [anon_sym_BSLASHbibliography] = ACTIONS(7387),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7387),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7387),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7387),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7387),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7387),
    [anon_sym_BSLASHimport] = ACTIONS(7387),
    [anon_sym_BSLASHsubimport] = ACTIONS(7387),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7387),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7387),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7387),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7387),
    [anon_sym_BSLASHcaption] = ACTIONS(7387),
    [anon_sym_BSLASHcite] = ACTIONS(7387),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCite] = ACTIONS(7387),
    [anon_sym_BSLASHnocite] = ACTIONS(7387),
    [anon_sym_BSLASHcitet] = ACTIONS(7387),
    [anon_sym_BSLASHcitep] = ACTIONS(7387),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteA] = ACTIONS(7387),
    [anon_sym_BSLASHciteR] = ACTIONS(7387),
    [anon_sym_BSLASHciteS] = ACTIONS(7387),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7387),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7387),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7387),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7387),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteyear] = ACTIONS(7387),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitedate] = ACTIONS(7387),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteurl] = ACTIONS(7387),
    [anon_sym_BSLASHfullcite] = ACTIONS(7387),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7387),
    [anon_sym_BSLASHcitealt] = ACTIONS(7387),
    [anon_sym_BSLASHcitealp] = ACTIONS(7387),
    [anon_sym_BSLASHcitetext] = ACTIONS(7387),
    [anon_sym_BSLASHparencite] = ACTIONS(7387),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHParencite] = ACTIONS(7387),
    [anon_sym_BSLASHfootcite] = ACTIONS(7387),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7387),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7387),
    [anon_sym_BSLASHtextcite] = ACTIONS(7387),
    [anon_sym_BSLASHTextcite] = ACTIONS(7387),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7387),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7387),
    [anon_sym_BSLASHsupercite] = ACTIONS(7387),
    [anon_sym_BSLASHautocite] = ACTIONS(7387),
    [anon_sym_BSLASHAutocite] = ACTIONS(7387),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHVolcite] = ACTIONS(7387),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHavolcite] = ACTIONS(7387),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHNotecite] = ACTIONS(7387),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHlabel] = ACTIONS(7387),
    [anon_sym_BSLASHref] = ACTIONS(7387),
    [anon_sym_BSLASHeqref] = ACTIONS(7387),
    [anon_sym_BSLASHvref] = ACTIONS(7387),
    [anon_sym_BSLASHVref] = ACTIONS(7387),
    [anon_sym_BSLASHautoref] = ACTIONS(7387),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHpageref] = ACTIONS(7387),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHautopageref] = ACTIONS(7387),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcref] = ACTIONS(7387),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCref] = ACTIONS(7387),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcpageref] = ACTIONS(7387),
    [anon_sym_BSLASHCpageref] = ACTIONS(7387),
    [anon_sym_BSLASHnamecref] = ACTIONS(7387),
    [anon_sym_BSLASHnameCref] = ACTIONS(7387),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7387),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7387),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7387),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7387),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7387),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7387),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7387),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7387),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7387),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7387),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7387),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHdef] = ACTIONS(7387),
    [anon_sym_BSLASHgdef] = ACTIONS(7387),
    [anon_sym_BSLASHedef] = ACTIONS(7387),
    [anon_sym_BSLASHxdef] = ACTIONS(7387),
    [anon_sym_BSLASHlet] = ACTIONS(7387),
    [anon_sym_BSLASHglet] = ACTIONS(7387),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7387),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7387),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7387),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7387),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7387),
    [anon_sym_BSLASHgls] = ACTIONS(7387),
    [anon_sym_BSLASHGls] = ACTIONS(7387),
    [anon_sym_BSLASHGLS] = ACTIONS(7387),
    [anon_sym_BSLASHglspl] = ACTIONS(7387),
    [anon_sym_BSLASHGlspl] = ACTIONS(7387),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7387),
    [anon_sym_BSLASHglslink] = ACTIONS(7387),
    [anon_sym_BSLASHglstext] = ACTIONS(7387),
    [anon_sym_BSLASHGlstext] = ACTIONS(7387),
    [anon_sym_BSLASHGLStext] = ACTIONS(7387),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7387),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7387),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7387),
    [anon_sym_BSLASHglsplural] = ACTIONS(7387),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7387),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7387),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHglsname] = ACTIONS(7387),
    [anon_sym_BSLASHGlsname] = ACTIONS(7387),
    [anon_sym_BSLASHGLSname] = ACTIONS(7387),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7387),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7387),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7387),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7387),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7387),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7387),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7387),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7387),
    [anon_sym_BSLASHacrshort] = ACTIONS(7387),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7387),
    [anon_sym_BSLASHACRshort] = ACTIONS(7387),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHacrlong] = ACTIONS(7387),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7387),
    [anon_sym_BSLASHACRlong] = ACTIONS(7387),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHacrfull] = ACTIONS(7387),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7387),
    [anon_sym_BSLASHACRfull] = ACTIONS(7387),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHacs] = ACTIONS(7387),
    [anon_sym_BSLASHAcs] = ACTIONS(7387),
    [anon_sym_BSLASHacsp] = ACTIONS(7387),
    [anon_sym_BSLASHAcsp] = ACTIONS(7387),
    [anon_sym_BSLASHacl] = ACTIONS(7387),
    [anon_sym_BSLASHAcl] = ACTIONS(7387),
    [anon_sym_BSLASHaclp] = ACTIONS(7387),
    [anon_sym_BSLASHAclp] = ACTIONS(7387),
    [anon_sym_BSLASHacf] = ACTIONS(7387),
    [anon_sym_BSLASHAcf] = ACTIONS(7387),
    [anon_sym_BSLASHacfp] = ACTIONS(7387),
    [anon_sym_BSLASHAcfp] = ACTIONS(7387),
    [anon_sym_BSLASHac] = ACTIONS(7387),
    [anon_sym_BSLASHAc] = ACTIONS(7387),
    [anon_sym_BSLASHacp] = ACTIONS(7387),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7387),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7387),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7387),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7387),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7387),
    [anon_sym_BSLASHcolor] = ACTIONS(7387),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7387),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7387),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7387),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7387),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7387),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7387),
    [anon_sym_BSLASHurl] = ACTIONS(7387),
    [anon_sym_BSLASHhref] = ACTIONS(7387),
  },
  [675] = {
    [sym_command_name] = ACTIONS(7391),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7391),
    [anon_sym_LBRACK] = ACTIONS(7393),
    [anon_sym_RBRACK] = ACTIONS(7393),
    [anon_sym_COMMA] = ACTIONS(7393),
    [anon_sym_EQ] = ACTIONS(7393),
    [anon_sym_LPAREN] = ACTIONS(7393),
    [anon_sym_RPAREN] = ACTIONS(7393),
    [anon_sym_BSLASHpart] = ACTIONS(7391),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHaddpart] = ACTIONS(7391),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHchapter] = ACTIONS(7391),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHaddchap] = ACTIONS(7391),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHsection] = ACTIONS(7391),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHaddsec] = ACTIONS(7391),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHsubsection] = ACTIONS(7391),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7391),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHparagraph] = ACTIONS(7391),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7391),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHitem] = ACTIONS(7391),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7393),
    [anon_sym_LBRACE] = ACTIONS(7393),
    [sym_word] = ACTIONS(7391),
    [sym_placeholder] = ACTIONS(7393),
    [sym_delimiter] = ACTIONS(7393),
    [anon_sym_PLUS] = ACTIONS(7393),
    [anon_sym_DASH] = ACTIONS(7393),
    [anon_sym_STAR] = ACTIONS(7393),
    [anon_sym_SLASH] = ACTIONS(7393),
    [anon_sym_LT] = ACTIONS(7391),
    [anon_sym_GT] = ACTIONS(7391),
    [anon_sym_BANG] = ACTIONS(7391),
    [anon_sym_PIPE] = ACTIONS(7391),
    [anon_sym_COLON] = ACTIONS(7391),
    [anon_sym_SQUOTE] = ACTIONS(7391),
    [anon_sym__] = ACTIONS(7393),
    [anon_sym_CARET] = ACTIONS(7393),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7393),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7393),
    [anon_sym_DOLLAR] = ACTIONS(7391),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7393),
    [anon_sym_BSLASHleft] = ACTIONS(7391),
    [anon_sym_BSLASHbigl] = ACTIONS(7391),
    [anon_sym_BSLASHBigl] = ACTIONS(7391),
    [anon_sym_BSLASHbiggl] = ACTIONS(7391),
    [anon_sym_BSLASHBiggl] = ACTIONS(7391),
    [anon_sym_BSLASHright] = ACTIONS(7391),
    [anon_sym_BSLASHbigr] = ACTIONS(7391),
    [anon_sym_BSLASHBigr] = ACTIONS(7391),
    [anon_sym_BSLASHbiggr] = ACTIONS(7391),
    [anon_sym_BSLASHBiggr] = ACTIONS(7391),
    [anon_sym_BSLASHtext] = ACTIONS(7391),
    [anon_sym_BSLASHintertext] = ACTIONS(7391),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7391),
    [anon_sym_BSLASHbegin] = ACTIONS(7391),
    [anon_sym_BSLASHtitle] = ACTIONS(7391),
    [anon_sym_BSLASHauthor] = ACTIONS(7391),
    [anon_sym_BSLASHusepackage] = ACTIONS(7391),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7391),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7391),
    [anon_sym_BSLASHinclude] = ACTIONS(7391),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7391),
    [anon_sym_BSLASHinput] = ACTIONS(7391),
    [anon_sym_BSLASHsubfile] = ACTIONS(7391),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7391),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7391),
    [anon_sym_BSLASHbibliography] = ACTIONS(7391),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7391),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7391),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7391),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7391),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7391),
    [anon_sym_BSLASHimport] = ACTIONS(7391),
    [anon_sym_BSLASHsubimport] = ACTIONS(7391),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7391),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7391),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7391),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7391),
    [anon_sym_BSLASHcaption] = ACTIONS(7391),
    [anon_sym_BSLASHcite] = ACTIONS(7391),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCite] = ACTIONS(7391),
    [anon_sym_BSLASHnocite] = ACTIONS(7391),
    [anon_sym_BSLASHcitet] = ACTIONS(7391),
    [anon_sym_BSLASHcitep] = ACTIONS(7391),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteA] = ACTIONS(7391),
    [anon_sym_BSLASHciteR] = ACTIONS(7391),
    [anon_sym_BSLASHciteS] = ACTIONS(7391),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7391),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7391),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7391),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7391),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteyear] = ACTIONS(7391),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitedate] = ACTIONS(7391),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteurl] = ACTIONS(7391),
    [anon_sym_BSLASHfullcite] = ACTIONS(7391),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7391),
    [anon_sym_BSLASHcitealt] = ACTIONS(7391),
    [anon_sym_BSLASHcitealp] = ACTIONS(7391),
    [anon_sym_BSLASHcitetext] = ACTIONS(7391),
    [anon_sym_BSLASHparencite] = ACTIONS(7391),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHParencite] = ACTIONS(7391),
    [anon_sym_BSLASHfootcite] = ACTIONS(7391),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7391),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7391),
    [anon_sym_BSLASHtextcite] = ACTIONS(7391),
    [anon_sym_BSLASHTextcite] = ACTIONS(7391),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7391),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7391),
    [anon_sym_BSLASHsupercite] = ACTIONS(7391),
    [anon_sym_BSLASHautocite] = ACTIONS(7391),
    [anon_sym_BSLASHAutocite] = ACTIONS(7391),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHVolcite] = ACTIONS(7391),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHavolcite] = ACTIONS(7391),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHNotecite] = ACTIONS(7391),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHlabel] = ACTIONS(7391),
    [anon_sym_BSLASHref] = ACTIONS(7391),
    [anon_sym_BSLASHeqref] = ACTIONS(7391),
    [anon_sym_BSLASHvref] = ACTIONS(7391),
    [anon_sym_BSLASHVref] = ACTIONS(7391),
    [anon_sym_BSLASHautoref] = ACTIONS(7391),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHpageref] = ACTIONS(7391),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHautopageref] = ACTIONS(7391),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcref] = ACTIONS(7391),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCref] = ACTIONS(7391),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcpageref] = ACTIONS(7391),
    [anon_sym_BSLASHCpageref] = ACTIONS(7391),
    [anon_sym_BSLASHnamecref] = ACTIONS(7391),
    [anon_sym_BSLASHnameCref] = ACTIONS(7391),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7391),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7391),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7391),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7391),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7391),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7391),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7391),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7391),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7391),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7391),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7391),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHdef] = ACTIONS(7391),
    [anon_sym_BSLASHgdef] = ACTIONS(7391),
    [anon_sym_BSLASHedef] = ACTIONS(7391),
    [anon_sym_BSLASHxdef] = ACTIONS(7391),
    [anon_sym_BSLASHlet] = ACTIONS(7391),
    [anon_sym_BSLASHglet] = ACTIONS(7391),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7391),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7391),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7391),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7391),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7391),
    [anon_sym_BSLASHgls] = ACTIONS(7391),
    [anon_sym_BSLASHGls] = ACTIONS(7391),
    [anon_sym_BSLASHGLS] = ACTIONS(7391),
    [anon_sym_BSLASHglspl] = ACTIONS(7391),
    [anon_sym_BSLASHGlspl] = ACTIONS(7391),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7391),
    [anon_sym_BSLASHglslink] = ACTIONS(7391),
    [anon_sym_BSLASHglstext] = ACTIONS(7391),
    [anon_sym_BSLASHGlstext] = ACTIONS(7391),
    [anon_sym_BSLASHGLStext] = ACTIONS(7391),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7391),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7391),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7391),
    [anon_sym_BSLASHglsplural] = ACTIONS(7391),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7391),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7391),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHglsname] = ACTIONS(7391),
    [anon_sym_BSLASHGlsname] = ACTIONS(7391),
    [anon_sym_BSLASHGLSname] = ACTIONS(7391),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7391),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7391),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7391),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7391),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7391),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7391),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7391),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7391),
    [anon_sym_BSLASHacrshort] = ACTIONS(7391),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7391),
    [anon_sym_BSLASHACRshort] = ACTIONS(7391),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHacrlong] = ACTIONS(7391),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7391),
    [anon_sym_BSLASHACRlong] = ACTIONS(7391),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHacrfull] = ACTIONS(7391),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7391),
    [anon_sym_BSLASHACRfull] = ACTIONS(7391),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHacs] = ACTIONS(7391),
    [anon_sym_BSLASHAcs] = ACTIONS(7391),
    [anon_sym_BSLASHacsp] = ACTIONS(7391),
    [anon_sym_BSLASHAcsp] = ACTIONS(7391),
    [anon_sym_BSLASHacl] = ACTIONS(7391),
    [anon_sym_BSLASHAcl] = ACTIONS(7391),
    [anon_sym_BSLASHaclp] = ACTIONS(7391),
    [anon_sym_BSLASHAclp] = ACTIONS(7391),
    [anon_sym_BSLASHacf] = ACTIONS(7391),
    [anon_sym_BSLASHAcf] = ACTIONS(7391),
    [anon_sym_BSLASHacfp] = ACTIONS(7391),
    [anon_sym_BSLASHAcfp] = ACTIONS(7391),
    [anon_sym_BSLASHac] = ACTIONS(7391),
    [anon_sym_BSLASHAc] = ACTIONS(7391),
    [anon_sym_BSLASHacp] = ACTIONS(7391),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7391),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7391),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7391),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7391),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7391),
    [anon_sym_BSLASHcolor] = ACTIONS(7391),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7391),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7391),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7391),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7391),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7391),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7391),
    [anon_sym_BSLASHurl] = ACTIONS(7391),
    [anon_sym_BSLASHhref] = ACTIONS(7391),
  },
  [676] = {
    [sym_command_name] = ACTIONS(7395),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7395),
    [anon_sym_LBRACK] = ACTIONS(7397),
    [anon_sym_RBRACK] = ACTIONS(7397),
    [anon_sym_COMMA] = ACTIONS(7397),
    [anon_sym_EQ] = ACTIONS(7397),
    [anon_sym_LPAREN] = ACTIONS(7397),
    [anon_sym_RPAREN] = ACTIONS(7397),
    [anon_sym_BSLASHpart] = ACTIONS(7395),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHaddpart] = ACTIONS(7395),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHchapter] = ACTIONS(7395),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHaddchap] = ACTIONS(7395),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHsection] = ACTIONS(7395),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHaddsec] = ACTIONS(7395),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHsubsection] = ACTIONS(7395),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7395),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHparagraph] = ACTIONS(7395),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7395),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHitem] = ACTIONS(7395),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7397),
    [anon_sym_LBRACE] = ACTIONS(7397),
    [sym_word] = ACTIONS(7395),
    [sym_placeholder] = ACTIONS(7397),
    [sym_delimiter] = ACTIONS(7397),
    [anon_sym_PLUS] = ACTIONS(7397),
    [anon_sym_DASH] = ACTIONS(7397),
    [anon_sym_STAR] = ACTIONS(7397),
    [anon_sym_SLASH] = ACTIONS(7397),
    [anon_sym_LT] = ACTIONS(7395),
    [anon_sym_GT] = ACTIONS(7395),
    [anon_sym_BANG] = ACTIONS(7395),
    [anon_sym_PIPE] = ACTIONS(7395),
    [anon_sym_COLON] = ACTIONS(7395),
    [anon_sym_SQUOTE] = ACTIONS(7395),
    [anon_sym__] = ACTIONS(7397),
    [anon_sym_CARET] = ACTIONS(7397),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7397),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7397),
    [anon_sym_DOLLAR] = ACTIONS(7395),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7397),
    [anon_sym_BSLASHleft] = ACTIONS(7395),
    [anon_sym_BSLASHbigl] = ACTIONS(7395),
    [anon_sym_BSLASHBigl] = ACTIONS(7395),
    [anon_sym_BSLASHbiggl] = ACTIONS(7395),
    [anon_sym_BSLASHBiggl] = ACTIONS(7395),
    [anon_sym_BSLASHright] = ACTIONS(7395),
    [anon_sym_BSLASHbigr] = ACTIONS(7395),
    [anon_sym_BSLASHBigr] = ACTIONS(7395),
    [anon_sym_BSLASHbiggr] = ACTIONS(7395),
    [anon_sym_BSLASHBiggr] = ACTIONS(7395),
    [anon_sym_BSLASHtext] = ACTIONS(7395),
    [anon_sym_BSLASHintertext] = ACTIONS(7395),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7395),
    [anon_sym_BSLASHbegin] = ACTIONS(7395),
    [anon_sym_BSLASHtitle] = ACTIONS(7395),
    [anon_sym_BSLASHauthor] = ACTIONS(7395),
    [anon_sym_BSLASHusepackage] = ACTIONS(7395),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7395),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7395),
    [anon_sym_BSLASHinclude] = ACTIONS(7395),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7395),
    [anon_sym_BSLASHinput] = ACTIONS(7395),
    [anon_sym_BSLASHsubfile] = ACTIONS(7395),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7395),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7395),
    [anon_sym_BSLASHbibliography] = ACTIONS(7395),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7395),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7395),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7395),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7395),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7395),
    [anon_sym_BSLASHimport] = ACTIONS(7395),
    [anon_sym_BSLASHsubimport] = ACTIONS(7395),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7395),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7395),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7395),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7395),
    [anon_sym_BSLASHcaption] = ACTIONS(7395),
    [anon_sym_BSLASHcite] = ACTIONS(7395),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCite] = ACTIONS(7395),
    [anon_sym_BSLASHnocite] = ACTIONS(7395),
    [anon_sym_BSLASHcitet] = ACTIONS(7395),
    [anon_sym_BSLASHcitep] = ACTIONS(7395),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteA] = ACTIONS(7395),
    [anon_sym_BSLASHciteR] = ACTIONS(7395),
    [anon_sym_BSLASHciteS] = ACTIONS(7395),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7395),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7395),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7395),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7395),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteyear] = ACTIONS(7395),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitedate] = ACTIONS(7395),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteurl] = ACTIONS(7395),
    [anon_sym_BSLASHfullcite] = ACTIONS(7395),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7395),
    [anon_sym_BSLASHcitealt] = ACTIONS(7395),
    [anon_sym_BSLASHcitealp] = ACTIONS(7395),
    [anon_sym_BSLASHcitetext] = ACTIONS(7395),
    [anon_sym_BSLASHparencite] = ACTIONS(7395),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHParencite] = ACTIONS(7395),
    [anon_sym_BSLASHfootcite] = ACTIONS(7395),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7395),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7395),
    [anon_sym_BSLASHtextcite] = ACTIONS(7395),
    [anon_sym_BSLASHTextcite] = ACTIONS(7395),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7395),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7395),
    [anon_sym_BSLASHsupercite] = ACTIONS(7395),
    [anon_sym_BSLASHautocite] = ACTIONS(7395),
    [anon_sym_BSLASHAutocite] = ACTIONS(7395),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHVolcite] = ACTIONS(7395),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHavolcite] = ACTIONS(7395),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHNotecite] = ACTIONS(7395),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHlabel] = ACTIONS(7395),
    [anon_sym_BSLASHref] = ACTIONS(7395),
    [anon_sym_BSLASHeqref] = ACTIONS(7395),
    [anon_sym_BSLASHvref] = ACTIONS(7395),
    [anon_sym_BSLASHVref] = ACTIONS(7395),
    [anon_sym_BSLASHautoref] = ACTIONS(7395),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHpageref] = ACTIONS(7395),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHautopageref] = ACTIONS(7395),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcref] = ACTIONS(7395),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCref] = ACTIONS(7395),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcpageref] = ACTIONS(7395),
    [anon_sym_BSLASHCpageref] = ACTIONS(7395),
    [anon_sym_BSLASHnamecref] = ACTIONS(7395),
    [anon_sym_BSLASHnameCref] = ACTIONS(7395),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7395),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7395),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7395),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7395),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7395),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7395),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7395),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7395),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7395),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7395),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7395),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHdef] = ACTIONS(7395),
    [anon_sym_BSLASHgdef] = ACTIONS(7395),
    [anon_sym_BSLASHedef] = ACTIONS(7395),
    [anon_sym_BSLASHxdef] = ACTIONS(7395),
    [anon_sym_BSLASHlet] = ACTIONS(7395),
    [anon_sym_BSLASHglet] = ACTIONS(7395),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7395),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7395),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7395),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7395),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7395),
    [anon_sym_BSLASHgls] = ACTIONS(7395),
    [anon_sym_BSLASHGls] = ACTIONS(7395),
    [anon_sym_BSLASHGLS] = ACTIONS(7395),
    [anon_sym_BSLASHglspl] = ACTIONS(7395),
    [anon_sym_BSLASHGlspl] = ACTIONS(7395),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7395),
    [anon_sym_BSLASHglslink] = ACTIONS(7395),
    [anon_sym_BSLASHglstext] = ACTIONS(7395),
    [anon_sym_BSLASHGlstext] = ACTIONS(7395),
    [anon_sym_BSLASHGLStext] = ACTIONS(7395),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7395),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7395),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7395),
    [anon_sym_BSLASHglsplural] = ACTIONS(7395),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7395),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7395),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHglsname] = ACTIONS(7395),
    [anon_sym_BSLASHGlsname] = ACTIONS(7395),
    [anon_sym_BSLASHGLSname] = ACTIONS(7395),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7395),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7395),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7395),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7395),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7395),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7395),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7395),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7395),
    [anon_sym_BSLASHacrshort] = ACTIONS(7395),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7395),
    [anon_sym_BSLASHACRshort] = ACTIONS(7395),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHacrlong] = ACTIONS(7395),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7395),
    [anon_sym_BSLASHACRlong] = ACTIONS(7395),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHacrfull] = ACTIONS(7395),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7395),
    [anon_sym_BSLASHACRfull] = ACTIONS(7395),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHacs] = ACTIONS(7395),
    [anon_sym_BSLASHAcs] = ACTIONS(7395),
    [anon_sym_BSLASHacsp] = ACTIONS(7395),
    [anon_sym_BSLASHAcsp] = ACTIONS(7395),
    [anon_sym_BSLASHacl] = ACTIONS(7395),
    [anon_sym_BSLASHAcl] = ACTIONS(7395),
    [anon_sym_BSLASHaclp] = ACTIONS(7395),
    [anon_sym_BSLASHAclp] = ACTIONS(7395),
    [anon_sym_BSLASHacf] = ACTIONS(7395),
    [anon_sym_BSLASHAcf] = ACTIONS(7395),
    [anon_sym_BSLASHacfp] = ACTIONS(7395),
    [anon_sym_BSLASHAcfp] = ACTIONS(7395),
    [anon_sym_BSLASHac] = ACTIONS(7395),
    [anon_sym_BSLASHAc] = ACTIONS(7395),
    [anon_sym_BSLASHacp] = ACTIONS(7395),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7395),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7395),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7395),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7395),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7395),
    [anon_sym_BSLASHcolor] = ACTIONS(7395),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7395),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7395),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7395),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7395),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7395),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7395),
    [anon_sym_BSLASHurl] = ACTIONS(7395),
    [anon_sym_BSLASHhref] = ACTIONS(7395),
  },
  [677] = {
    [sym_command_name] = ACTIONS(7399),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7399),
    [anon_sym_LBRACK] = ACTIONS(7401),
    [anon_sym_RBRACK] = ACTIONS(7401),
    [anon_sym_COMMA] = ACTIONS(7401),
    [anon_sym_EQ] = ACTIONS(7401),
    [anon_sym_LPAREN] = ACTIONS(7401),
    [anon_sym_RPAREN] = ACTIONS(7401),
    [anon_sym_BSLASHpart] = ACTIONS(7399),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHaddpart] = ACTIONS(7399),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHchapter] = ACTIONS(7399),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHaddchap] = ACTIONS(7399),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHsection] = ACTIONS(7399),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHaddsec] = ACTIONS(7399),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHsubsection] = ACTIONS(7399),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7399),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHparagraph] = ACTIONS(7399),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7399),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHitem] = ACTIONS(7399),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7401),
    [anon_sym_LBRACE] = ACTIONS(7401),
    [sym_word] = ACTIONS(7399),
    [sym_placeholder] = ACTIONS(7401),
    [sym_delimiter] = ACTIONS(7401),
    [anon_sym_PLUS] = ACTIONS(7401),
    [anon_sym_DASH] = ACTIONS(7401),
    [anon_sym_STAR] = ACTIONS(7401),
    [anon_sym_SLASH] = ACTIONS(7401),
    [anon_sym_LT] = ACTIONS(7399),
    [anon_sym_GT] = ACTIONS(7399),
    [anon_sym_BANG] = ACTIONS(7399),
    [anon_sym_PIPE] = ACTIONS(7399),
    [anon_sym_COLON] = ACTIONS(7399),
    [anon_sym_SQUOTE] = ACTIONS(7399),
    [anon_sym__] = ACTIONS(7401),
    [anon_sym_CARET] = ACTIONS(7401),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7401),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7401),
    [anon_sym_DOLLAR] = ACTIONS(7399),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7401),
    [anon_sym_BSLASHleft] = ACTIONS(7399),
    [anon_sym_BSLASHbigl] = ACTIONS(7399),
    [anon_sym_BSLASHBigl] = ACTIONS(7399),
    [anon_sym_BSLASHbiggl] = ACTIONS(7399),
    [anon_sym_BSLASHBiggl] = ACTIONS(7399),
    [anon_sym_BSLASHright] = ACTIONS(7399),
    [anon_sym_BSLASHbigr] = ACTIONS(7399),
    [anon_sym_BSLASHBigr] = ACTIONS(7399),
    [anon_sym_BSLASHbiggr] = ACTIONS(7399),
    [anon_sym_BSLASHBiggr] = ACTIONS(7399),
    [anon_sym_BSLASHtext] = ACTIONS(7399),
    [anon_sym_BSLASHintertext] = ACTIONS(7399),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7399),
    [anon_sym_BSLASHbegin] = ACTIONS(7399),
    [anon_sym_BSLASHtitle] = ACTIONS(7399),
    [anon_sym_BSLASHauthor] = ACTIONS(7399),
    [anon_sym_BSLASHusepackage] = ACTIONS(7399),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7399),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7399),
    [anon_sym_BSLASHinclude] = ACTIONS(7399),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7399),
    [anon_sym_BSLASHinput] = ACTIONS(7399),
    [anon_sym_BSLASHsubfile] = ACTIONS(7399),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7399),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7399),
    [anon_sym_BSLASHbibliography] = ACTIONS(7399),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7399),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7399),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7399),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7399),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7399),
    [anon_sym_BSLASHimport] = ACTIONS(7399),
    [anon_sym_BSLASHsubimport] = ACTIONS(7399),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7399),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7399),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7399),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7399),
    [anon_sym_BSLASHcaption] = ACTIONS(7399),
    [anon_sym_BSLASHcite] = ACTIONS(7399),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCite] = ACTIONS(7399),
    [anon_sym_BSLASHnocite] = ACTIONS(7399),
    [anon_sym_BSLASHcitet] = ACTIONS(7399),
    [anon_sym_BSLASHcitep] = ACTIONS(7399),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteA] = ACTIONS(7399),
    [anon_sym_BSLASHciteR] = ACTIONS(7399),
    [anon_sym_BSLASHciteS] = ACTIONS(7399),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7399),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7399),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7399),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7399),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteyear] = ACTIONS(7399),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitedate] = ACTIONS(7399),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteurl] = ACTIONS(7399),
    [anon_sym_BSLASHfullcite] = ACTIONS(7399),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7399),
    [anon_sym_BSLASHcitealt] = ACTIONS(7399),
    [anon_sym_BSLASHcitealp] = ACTIONS(7399),
    [anon_sym_BSLASHcitetext] = ACTIONS(7399),
    [anon_sym_BSLASHparencite] = ACTIONS(7399),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHParencite] = ACTIONS(7399),
    [anon_sym_BSLASHfootcite] = ACTIONS(7399),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7399),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7399),
    [anon_sym_BSLASHtextcite] = ACTIONS(7399),
    [anon_sym_BSLASHTextcite] = ACTIONS(7399),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7399),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7399),
    [anon_sym_BSLASHsupercite] = ACTIONS(7399),
    [anon_sym_BSLASHautocite] = ACTIONS(7399),
    [anon_sym_BSLASHAutocite] = ACTIONS(7399),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHVolcite] = ACTIONS(7399),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHavolcite] = ACTIONS(7399),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHNotecite] = ACTIONS(7399),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHlabel] = ACTIONS(7399),
    [anon_sym_BSLASHref] = ACTIONS(7399),
    [anon_sym_BSLASHeqref] = ACTIONS(7399),
    [anon_sym_BSLASHvref] = ACTIONS(7399),
    [anon_sym_BSLASHVref] = ACTIONS(7399),
    [anon_sym_BSLASHautoref] = ACTIONS(7399),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHpageref] = ACTIONS(7399),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHautopageref] = ACTIONS(7399),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcref] = ACTIONS(7399),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCref] = ACTIONS(7399),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcpageref] = ACTIONS(7399),
    [anon_sym_BSLASHCpageref] = ACTIONS(7399),
    [anon_sym_BSLASHnamecref] = ACTIONS(7399),
    [anon_sym_BSLASHnameCref] = ACTIONS(7399),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7399),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7399),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7399),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7399),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7399),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7399),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7399),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7399),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7399),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7399),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7399),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHdef] = ACTIONS(7399),
    [anon_sym_BSLASHgdef] = ACTIONS(7399),
    [anon_sym_BSLASHedef] = ACTIONS(7399),
    [anon_sym_BSLASHxdef] = ACTIONS(7399),
    [anon_sym_BSLASHlet] = ACTIONS(7399),
    [anon_sym_BSLASHglet] = ACTIONS(7399),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7399),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7399),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7399),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7399),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7399),
    [anon_sym_BSLASHgls] = ACTIONS(7399),
    [anon_sym_BSLASHGls] = ACTIONS(7399),
    [anon_sym_BSLASHGLS] = ACTIONS(7399),
    [anon_sym_BSLASHglspl] = ACTIONS(7399),
    [anon_sym_BSLASHGlspl] = ACTIONS(7399),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7399),
    [anon_sym_BSLASHglslink] = ACTIONS(7399),
    [anon_sym_BSLASHglstext] = ACTIONS(7399),
    [anon_sym_BSLASHGlstext] = ACTIONS(7399),
    [anon_sym_BSLASHGLStext] = ACTIONS(7399),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7399),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7399),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7399),
    [anon_sym_BSLASHglsplural] = ACTIONS(7399),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7399),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7399),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHglsname] = ACTIONS(7399),
    [anon_sym_BSLASHGlsname] = ACTIONS(7399),
    [anon_sym_BSLASHGLSname] = ACTIONS(7399),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7399),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7399),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7399),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7399),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7399),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7399),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7399),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7399),
    [anon_sym_BSLASHacrshort] = ACTIONS(7399),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7399),
    [anon_sym_BSLASHACRshort] = ACTIONS(7399),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHacrlong] = ACTIONS(7399),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7399),
    [anon_sym_BSLASHACRlong] = ACTIONS(7399),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHacrfull] = ACTIONS(7399),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7399),
    [anon_sym_BSLASHACRfull] = ACTIONS(7399),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHacs] = ACTIONS(7399),
    [anon_sym_BSLASHAcs] = ACTIONS(7399),
    [anon_sym_BSLASHacsp] = ACTIONS(7399),
    [anon_sym_BSLASHAcsp] = ACTIONS(7399),
    [anon_sym_BSLASHacl] = ACTIONS(7399),
    [anon_sym_BSLASHAcl] = ACTIONS(7399),
    [anon_sym_BSLASHaclp] = ACTIONS(7399),
    [anon_sym_BSLASHAclp] = ACTIONS(7399),
    [anon_sym_BSLASHacf] = ACTIONS(7399),
    [anon_sym_BSLASHAcf] = ACTIONS(7399),
    [anon_sym_BSLASHacfp] = ACTIONS(7399),
    [anon_sym_BSLASHAcfp] = ACTIONS(7399),
    [anon_sym_BSLASHac] = ACTIONS(7399),
    [anon_sym_BSLASHAc] = ACTIONS(7399),
    [anon_sym_BSLASHacp] = ACTIONS(7399),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7399),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7399),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7399),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7399),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7399),
    [anon_sym_BSLASHcolor] = ACTIONS(7399),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7399),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7399),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7399),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7399),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7399),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7399),
    [anon_sym_BSLASHurl] = ACTIONS(7399),
    [anon_sym_BSLASHhref] = ACTIONS(7399),
  },
  [678] = {
    [sym_command_name] = ACTIONS(7403),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7403),
    [anon_sym_LBRACK] = ACTIONS(7405),
    [anon_sym_RBRACK] = ACTIONS(7405),
    [anon_sym_COMMA] = ACTIONS(7405),
    [anon_sym_EQ] = ACTIONS(7405),
    [anon_sym_LPAREN] = ACTIONS(7405),
    [anon_sym_RPAREN] = ACTIONS(7405),
    [anon_sym_BSLASHpart] = ACTIONS(7403),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHaddpart] = ACTIONS(7403),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHchapter] = ACTIONS(7403),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHaddchap] = ACTIONS(7403),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHsection] = ACTIONS(7403),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHaddsec] = ACTIONS(7403),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHsubsection] = ACTIONS(7403),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7403),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHparagraph] = ACTIONS(7403),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7403),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHitem] = ACTIONS(7403),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7405),
    [anon_sym_LBRACE] = ACTIONS(7405),
    [sym_word] = ACTIONS(7403),
    [sym_placeholder] = ACTIONS(7405),
    [sym_delimiter] = ACTIONS(7405),
    [anon_sym_PLUS] = ACTIONS(7405),
    [anon_sym_DASH] = ACTIONS(7405),
    [anon_sym_STAR] = ACTIONS(7405),
    [anon_sym_SLASH] = ACTIONS(7405),
    [anon_sym_LT] = ACTIONS(7403),
    [anon_sym_GT] = ACTIONS(7403),
    [anon_sym_BANG] = ACTIONS(7403),
    [anon_sym_PIPE] = ACTIONS(7403),
    [anon_sym_COLON] = ACTIONS(7403),
    [anon_sym_SQUOTE] = ACTIONS(7403),
    [anon_sym__] = ACTIONS(7405),
    [anon_sym_CARET] = ACTIONS(7405),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7405),
    [anon_sym_DOLLAR] = ACTIONS(7403),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7405),
    [anon_sym_BSLASHleft] = ACTIONS(7403),
    [anon_sym_BSLASHbigl] = ACTIONS(7403),
    [anon_sym_BSLASHBigl] = ACTIONS(7403),
    [anon_sym_BSLASHbiggl] = ACTIONS(7403),
    [anon_sym_BSLASHBiggl] = ACTIONS(7403),
    [anon_sym_BSLASHright] = ACTIONS(7403),
    [anon_sym_BSLASHbigr] = ACTIONS(7403),
    [anon_sym_BSLASHBigr] = ACTIONS(7403),
    [anon_sym_BSLASHbiggr] = ACTIONS(7403),
    [anon_sym_BSLASHBiggr] = ACTIONS(7403),
    [anon_sym_BSLASHtext] = ACTIONS(7403),
    [anon_sym_BSLASHintertext] = ACTIONS(7403),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7403),
    [anon_sym_BSLASHbegin] = ACTIONS(7403),
    [anon_sym_BSLASHtitle] = ACTIONS(7403),
    [anon_sym_BSLASHauthor] = ACTIONS(7403),
    [anon_sym_BSLASHusepackage] = ACTIONS(7403),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7403),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7403),
    [anon_sym_BSLASHinclude] = ACTIONS(7403),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7403),
    [anon_sym_BSLASHinput] = ACTIONS(7403),
    [anon_sym_BSLASHsubfile] = ACTIONS(7403),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7403),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7403),
    [anon_sym_BSLASHbibliography] = ACTIONS(7403),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7403),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7403),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7403),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7403),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7403),
    [anon_sym_BSLASHimport] = ACTIONS(7403),
    [anon_sym_BSLASHsubimport] = ACTIONS(7403),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7403),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7403),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7403),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7403),
    [anon_sym_BSLASHcaption] = ACTIONS(7403),
    [anon_sym_BSLASHcite] = ACTIONS(7403),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCite] = ACTIONS(7403),
    [anon_sym_BSLASHnocite] = ACTIONS(7403),
    [anon_sym_BSLASHcitet] = ACTIONS(7403),
    [anon_sym_BSLASHcitep] = ACTIONS(7403),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteA] = ACTIONS(7403),
    [anon_sym_BSLASHciteR] = ACTIONS(7403),
    [anon_sym_BSLASHciteS] = ACTIONS(7403),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7403),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7403),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7403),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7403),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteyear] = ACTIONS(7403),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitedate] = ACTIONS(7403),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteurl] = ACTIONS(7403),
    [anon_sym_BSLASHfullcite] = ACTIONS(7403),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7403),
    [anon_sym_BSLASHcitealt] = ACTIONS(7403),
    [anon_sym_BSLASHcitealp] = ACTIONS(7403),
    [anon_sym_BSLASHcitetext] = ACTIONS(7403),
    [anon_sym_BSLASHparencite] = ACTIONS(7403),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHParencite] = ACTIONS(7403),
    [anon_sym_BSLASHfootcite] = ACTIONS(7403),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7403),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7403),
    [anon_sym_BSLASHtextcite] = ACTIONS(7403),
    [anon_sym_BSLASHTextcite] = ACTIONS(7403),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7403),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7403),
    [anon_sym_BSLASHsupercite] = ACTIONS(7403),
    [anon_sym_BSLASHautocite] = ACTIONS(7403),
    [anon_sym_BSLASHAutocite] = ACTIONS(7403),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHVolcite] = ACTIONS(7403),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHavolcite] = ACTIONS(7403),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHNotecite] = ACTIONS(7403),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHlabel] = ACTIONS(7403),
    [anon_sym_BSLASHref] = ACTIONS(7403),
    [anon_sym_BSLASHeqref] = ACTIONS(7403),
    [anon_sym_BSLASHvref] = ACTIONS(7403),
    [anon_sym_BSLASHVref] = ACTIONS(7403),
    [anon_sym_BSLASHautoref] = ACTIONS(7403),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHpageref] = ACTIONS(7403),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHautopageref] = ACTIONS(7403),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcref] = ACTIONS(7403),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCref] = ACTIONS(7403),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcpageref] = ACTIONS(7403),
    [anon_sym_BSLASHCpageref] = ACTIONS(7403),
    [anon_sym_BSLASHnamecref] = ACTIONS(7403),
    [anon_sym_BSLASHnameCref] = ACTIONS(7403),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7403),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7403),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7403),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7403),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7403),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7403),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7403),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7403),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7403),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7403),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7403),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHdef] = ACTIONS(7403),
    [anon_sym_BSLASHgdef] = ACTIONS(7403),
    [anon_sym_BSLASHedef] = ACTIONS(7403),
    [anon_sym_BSLASHxdef] = ACTIONS(7403),
    [anon_sym_BSLASHlet] = ACTIONS(7403),
    [anon_sym_BSLASHglet] = ACTIONS(7403),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7403),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7403),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7403),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7403),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7403),
    [anon_sym_BSLASHgls] = ACTIONS(7403),
    [anon_sym_BSLASHGls] = ACTIONS(7403),
    [anon_sym_BSLASHGLS] = ACTIONS(7403),
    [anon_sym_BSLASHglspl] = ACTIONS(7403),
    [anon_sym_BSLASHGlspl] = ACTIONS(7403),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7403),
    [anon_sym_BSLASHglslink] = ACTIONS(7403),
    [anon_sym_BSLASHglstext] = ACTIONS(7403),
    [anon_sym_BSLASHGlstext] = ACTIONS(7403),
    [anon_sym_BSLASHGLStext] = ACTIONS(7403),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7403),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7403),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7403),
    [anon_sym_BSLASHglsplural] = ACTIONS(7403),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7403),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7403),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHglsname] = ACTIONS(7403),
    [anon_sym_BSLASHGlsname] = ACTIONS(7403),
    [anon_sym_BSLASHGLSname] = ACTIONS(7403),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7403),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7403),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7403),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7403),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7403),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7403),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7403),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7403),
    [anon_sym_BSLASHacrshort] = ACTIONS(7403),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7403),
    [anon_sym_BSLASHACRshort] = ACTIONS(7403),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHacrlong] = ACTIONS(7403),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7403),
    [anon_sym_BSLASHACRlong] = ACTIONS(7403),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHacrfull] = ACTIONS(7403),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7403),
    [anon_sym_BSLASHACRfull] = ACTIONS(7403),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHacs] = ACTIONS(7403),
    [anon_sym_BSLASHAcs] = ACTIONS(7403),
    [anon_sym_BSLASHacsp] = ACTIONS(7403),
    [anon_sym_BSLASHAcsp] = ACTIONS(7403),
    [anon_sym_BSLASHacl] = ACTIONS(7403),
    [anon_sym_BSLASHAcl] = ACTIONS(7403),
    [anon_sym_BSLASHaclp] = ACTIONS(7403),
    [anon_sym_BSLASHAclp] = ACTIONS(7403),
    [anon_sym_BSLASHacf] = ACTIONS(7403),
    [anon_sym_BSLASHAcf] = ACTIONS(7403),
    [anon_sym_BSLASHacfp] = ACTIONS(7403),
    [anon_sym_BSLASHAcfp] = ACTIONS(7403),
    [anon_sym_BSLASHac] = ACTIONS(7403),
    [anon_sym_BSLASHAc] = ACTIONS(7403),
    [anon_sym_BSLASHacp] = ACTIONS(7403),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7403),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7403),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7403),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7403),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7403),
    [anon_sym_BSLASHcolor] = ACTIONS(7403),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7403),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7403),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7403),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7403),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7403),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7403),
    [anon_sym_BSLASHurl] = ACTIONS(7403),
    [anon_sym_BSLASHhref] = ACTIONS(7403),
  },
  [679] = {
    [sym_command_name] = ACTIONS(7407),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7407),
    [anon_sym_LBRACK] = ACTIONS(7409),
    [anon_sym_RBRACK] = ACTIONS(7409),
    [anon_sym_COMMA] = ACTIONS(7409),
    [anon_sym_EQ] = ACTIONS(7409),
    [anon_sym_LPAREN] = ACTIONS(7409),
    [anon_sym_RPAREN] = ACTIONS(7409),
    [anon_sym_BSLASHpart] = ACTIONS(7407),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHaddpart] = ACTIONS(7407),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHchapter] = ACTIONS(7407),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHaddchap] = ACTIONS(7407),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHsection] = ACTIONS(7407),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHaddsec] = ACTIONS(7407),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHsubsection] = ACTIONS(7407),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7407),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHparagraph] = ACTIONS(7407),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7407),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHitem] = ACTIONS(7407),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7409),
    [anon_sym_LBRACE] = ACTIONS(7409),
    [sym_word] = ACTIONS(7407),
    [sym_placeholder] = ACTIONS(7409),
    [sym_delimiter] = ACTIONS(7409),
    [anon_sym_PLUS] = ACTIONS(7409),
    [anon_sym_DASH] = ACTIONS(7409),
    [anon_sym_STAR] = ACTIONS(7409),
    [anon_sym_SLASH] = ACTIONS(7409),
    [anon_sym_LT] = ACTIONS(7407),
    [anon_sym_GT] = ACTIONS(7407),
    [anon_sym_BANG] = ACTIONS(7407),
    [anon_sym_PIPE] = ACTIONS(7407),
    [anon_sym_COLON] = ACTIONS(7407),
    [anon_sym_SQUOTE] = ACTIONS(7407),
    [anon_sym__] = ACTIONS(7409),
    [anon_sym_CARET] = ACTIONS(7409),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7409),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7409),
    [anon_sym_DOLLAR] = ACTIONS(7407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7409),
    [anon_sym_BSLASHleft] = ACTIONS(7407),
    [anon_sym_BSLASHbigl] = ACTIONS(7407),
    [anon_sym_BSLASHBigl] = ACTIONS(7407),
    [anon_sym_BSLASHbiggl] = ACTIONS(7407),
    [anon_sym_BSLASHBiggl] = ACTIONS(7407),
    [anon_sym_BSLASHright] = ACTIONS(7407),
    [anon_sym_BSLASHbigr] = ACTIONS(7407),
    [anon_sym_BSLASHBigr] = ACTIONS(7407),
    [anon_sym_BSLASHbiggr] = ACTIONS(7407),
    [anon_sym_BSLASHBiggr] = ACTIONS(7407),
    [anon_sym_BSLASHtext] = ACTIONS(7407),
    [anon_sym_BSLASHintertext] = ACTIONS(7407),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7407),
    [anon_sym_BSLASHbegin] = ACTIONS(7407),
    [anon_sym_BSLASHtitle] = ACTIONS(7407),
    [anon_sym_BSLASHauthor] = ACTIONS(7407),
    [anon_sym_BSLASHusepackage] = ACTIONS(7407),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7407),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7407),
    [anon_sym_BSLASHinclude] = ACTIONS(7407),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7407),
    [anon_sym_BSLASHinput] = ACTIONS(7407),
    [anon_sym_BSLASHsubfile] = ACTIONS(7407),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7407),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7407),
    [anon_sym_BSLASHbibliography] = ACTIONS(7407),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7407),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7407),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7407),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7407),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7407),
    [anon_sym_BSLASHimport] = ACTIONS(7407),
    [anon_sym_BSLASHsubimport] = ACTIONS(7407),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7407),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7407),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7407),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7407),
    [anon_sym_BSLASHcaption] = ACTIONS(7407),
    [anon_sym_BSLASHcite] = ACTIONS(7407),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCite] = ACTIONS(7407),
    [anon_sym_BSLASHnocite] = ACTIONS(7407),
    [anon_sym_BSLASHcitet] = ACTIONS(7407),
    [anon_sym_BSLASHcitep] = ACTIONS(7407),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteA] = ACTIONS(7407),
    [anon_sym_BSLASHciteR] = ACTIONS(7407),
    [anon_sym_BSLASHciteS] = ACTIONS(7407),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7407),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7407),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7407),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7407),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteyear] = ACTIONS(7407),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitedate] = ACTIONS(7407),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteurl] = ACTIONS(7407),
    [anon_sym_BSLASHfullcite] = ACTIONS(7407),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7407),
    [anon_sym_BSLASHcitealt] = ACTIONS(7407),
    [anon_sym_BSLASHcitealp] = ACTIONS(7407),
    [anon_sym_BSLASHcitetext] = ACTIONS(7407),
    [anon_sym_BSLASHparencite] = ACTIONS(7407),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHParencite] = ACTIONS(7407),
    [anon_sym_BSLASHfootcite] = ACTIONS(7407),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7407),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7407),
    [anon_sym_BSLASHtextcite] = ACTIONS(7407),
    [anon_sym_BSLASHTextcite] = ACTIONS(7407),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7407),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7407),
    [anon_sym_BSLASHsupercite] = ACTIONS(7407),
    [anon_sym_BSLASHautocite] = ACTIONS(7407),
    [anon_sym_BSLASHAutocite] = ACTIONS(7407),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHVolcite] = ACTIONS(7407),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHavolcite] = ACTIONS(7407),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHNotecite] = ACTIONS(7407),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHlabel] = ACTIONS(7407),
    [anon_sym_BSLASHref] = ACTIONS(7407),
    [anon_sym_BSLASHeqref] = ACTIONS(7407),
    [anon_sym_BSLASHvref] = ACTIONS(7407),
    [anon_sym_BSLASHVref] = ACTIONS(7407),
    [anon_sym_BSLASHautoref] = ACTIONS(7407),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHpageref] = ACTIONS(7407),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHautopageref] = ACTIONS(7407),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcref] = ACTIONS(7407),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCref] = ACTIONS(7407),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcpageref] = ACTIONS(7407),
    [anon_sym_BSLASHCpageref] = ACTIONS(7407),
    [anon_sym_BSLASHnamecref] = ACTIONS(7407),
    [anon_sym_BSLASHnameCref] = ACTIONS(7407),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7407),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7407),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7407),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7407),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7407),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7407),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7407),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7407),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7407),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7407),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7407),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHdef] = ACTIONS(7407),
    [anon_sym_BSLASHgdef] = ACTIONS(7407),
    [anon_sym_BSLASHedef] = ACTIONS(7407),
    [anon_sym_BSLASHxdef] = ACTIONS(7407),
    [anon_sym_BSLASHlet] = ACTIONS(7407),
    [anon_sym_BSLASHglet] = ACTIONS(7407),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7407),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7407),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7407),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7407),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7407),
    [anon_sym_BSLASHgls] = ACTIONS(7407),
    [anon_sym_BSLASHGls] = ACTIONS(7407),
    [anon_sym_BSLASHGLS] = ACTIONS(7407),
    [anon_sym_BSLASHglspl] = ACTIONS(7407),
    [anon_sym_BSLASHGlspl] = ACTIONS(7407),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7407),
    [anon_sym_BSLASHglslink] = ACTIONS(7407),
    [anon_sym_BSLASHglstext] = ACTIONS(7407),
    [anon_sym_BSLASHGlstext] = ACTIONS(7407),
    [anon_sym_BSLASHGLStext] = ACTIONS(7407),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7407),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7407),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7407),
    [anon_sym_BSLASHglsplural] = ACTIONS(7407),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7407),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7407),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHglsname] = ACTIONS(7407),
    [anon_sym_BSLASHGlsname] = ACTIONS(7407),
    [anon_sym_BSLASHGLSname] = ACTIONS(7407),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7407),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7407),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7407),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7407),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7407),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7407),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7407),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7407),
    [anon_sym_BSLASHacrshort] = ACTIONS(7407),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7407),
    [anon_sym_BSLASHACRshort] = ACTIONS(7407),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHacrlong] = ACTIONS(7407),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7407),
    [anon_sym_BSLASHACRlong] = ACTIONS(7407),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHacrfull] = ACTIONS(7407),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7407),
    [anon_sym_BSLASHACRfull] = ACTIONS(7407),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHacs] = ACTIONS(7407),
    [anon_sym_BSLASHAcs] = ACTIONS(7407),
    [anon_sym_BSLASHacsp] = ACTIONS(7407),
    [anon_sym_BSLASHAcsp] = ACTIONS(7407),
    [anon_sym_BSLASHacl] = ACTIONS(7407),
    [anon_sym_BSLASHAcl] = ACTIONS(7407),
    [anon_sym_BSLASHaclp] = ACTIONS(7407),
    [anon_sym_BSLASHAclp] = ACTIONS(7407),
    [anon_sym_BSLASHacf] = ACTIONS(7407),
    [anon_sym_BSLASHAcf] = ACTIONS(7407),
    [anon_sym_BSLASHacfp] = ACTIONS(7407),
    [anon_sym_BSLASHAcfp] = ACTIONS(7407),
    [anon_sym_BSLASHac] = ACTIONS(7407),
    [anon_sym_BSLASHAc] = ACTIONS(7407),
    [anon_sym_BSLASHacp] = ACTIONS(7407),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7407),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7407),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7407),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7407),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7407),
    [anon_sym_BSLASHcolor] = ACTIONS(7407),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7407),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7407),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7407),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7407),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7407),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7407),
    [anon_sym_BSLASHurl] = ACTIONS(7407),
    [anon_sym_BSLASHhref] = ACTIONS(7407),
  },
  [680] = {
    [sym_command_name] = ACTIONS(7411),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7411),
    [anon_sym_LBRACK] = ACTIONS(7413),
    [anon_sym_RBRACK] = ACTIONS(7413),
    [anon_sym_COMMA] = ACTIONS(7413),
    [anon_sym_EQ] = ACTIONS(7413),
    [anon_sym_LPAREN] = ACTIONS(7413),
    [anon_sym_RPAREN] = ACTIONS(7413),
    [anon_sym_BSLASHpart] = ACTIONS(7411),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHaddpart] = ACTIONS(7411),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHchapter] = ACTIONS(7411),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHaddchap] = ACTIONS(7411),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHsection] = ACTIONS(7411),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHaddsec] = ACTIONS(7411),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHsubsection] = ACTIONS(7411),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7411),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHparagraph] = ACTIONS(7411),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7411),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHitem] = ACTIONS(7411),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7413),
    [anon_sym_LBRACE] = ACTIONS(7413),
    [sym_word] = ACTIONS(7411),
    [sym_placeholder] = ACTIONS(7413),
    [sym_delimiter] = ACTIONS(7413),
    [anon_sym_PLUS] = ACTIONS(7413),
    [anon_sym_DASH] = ACTIONS(7413),
    [anon_sym_STAR] = ACTIONS(7413),
    [anon_sym_SLASH] = ACTIONS(7413),
    [anon_sym_LT] = ACTIONS(7411),
    [anon_sym_GT] = ACTIONS(7411),
    [anon_sym_BANG] = ACTIONS(7411),
    [anon_sym_PIPE] = ACTIONS(7411),
    [anon_sym_COLON] = ACTIONS(7411),
    [anon_sym_SQUOTE] = ACTIONS(7411),
    [anon_sym__] = ACTIONS(7413),
    [anon_sym_CARET] = ACTIONS(7413),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7413),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7413),
    [anon_sym_DOLLAR] = ACTIONS(7411),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7413),
    [anon_sym_BSLASHleft] = ACTIONS(7411),
    [anon_sym_BSLASHbigl] = ACTIONS(7411),
    [anon_sym_BSLASHBigl] = ACTIONS(7411),
    [anon_sym_BSLASHbiggl] = ACTIONS(7411),
    [anon_sym_BSLASHBiggl] = ACTIONS(7411),
    [anon_sym_BSLASHright] = ACTIONS(7411),
    [anon_sym_BSLASHbigr] = ACTIONS(7411),
    [anon_sym_BSLASHBigr] = ACTIONS(7411),
    [anon_sym_BSLASHbiggr] = ACTIONS(7411),
    [anon_sym_BSLASHBiggr] = ACTIONS(7411),
    [anon_sym_BSLASHtext] = ACTIONS(7411),
    [anon_sym_BSLASHintertext] = ACTIONS(7411),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7411),
    [anon_sym_BSLASHbegin] = ACTIONS(7411),
    [anon_sym_BSLASHtitle] = ACTIONS(7411),
    [anon_sym_BSLASHauthor] = ACTIONS(7411),
    [anon_sym_BSLASHusepackage] = ACTIONS(7411),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7411),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7411),
    [anon_sym_BSLASHinclude] = ACTIONS(7411),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7411),
    [anon_sym_BSLASHinput] = ACTIONS(7411),
    [anon_sym_BSLASHsubfile] = ACTIONS(7411),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7411),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7411),
    [anon_sym_BSLASHbibliography] = ACTIONS(7411),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7411),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7411),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7411),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7411),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7411),
    [anon_sym_BSLASHimport] = ACTIONS(7411),
    [anon_sym_BSLASHsubimport] = ACTIONS(7411),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7411),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7411),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7411),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7411),
    [anon_sym_BSLASHcaption] = ACTIONS(7411),
    [anon_sym_BSLASHcite] = ACTIONS(7411),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCite] = ACTIONS(7411),
    [anon_sym_BSLASHnocite] = ACTIONS(7411),
    [anon_sym_BSLASHcitet] = ACTIONS(7411),
    [anon_sym_BSLASHcitep] = ACTIONS(7411),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteA] = ACTIONS(7411),
    [anon_sym_BSLASHciteR] = ACTIONS(7411),
    [anon_sym_BSLASHciteS] = ACTIONS(7411),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7411),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7411),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7411),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7411),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteyear] = ACTIONS(7411),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitedate] = ACTIONS(7411),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteurl] = ACTIONS(7411),
    [anon_sym_BSLASHfullcite] = ACTIONS(7411),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7411),
    [anon_sym_BSLASHcitealt] = ACTIONS(7411),
    [anon_sym_BSLASHcitealp] = ACTIONS(7411),
    [anon_sym_BSLASHcitetext] = ACTIONS(7411),
    [anon_sym_BSLASHparencite] = ACTIONS(7411),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHParencite] = ACTIONS(7411),
    [anon_sym_BSLASHfootcite] = ACTIONS(7411),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7411),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7411),
    [anon_sym_BSLASHtextcite] = ACTIONS(7411),
    [anon_sym_BSLASHTextcite] = ACTIONS(7411),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7411),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7411),
    [anon_sym_BSLASHsupercite] = ACTIONS(7411),
    [anon_sym_BSLASHautocite] = ACTIONS(7411),
    [anon_sym_BSLASHAutocite] = ACTIONS(7411),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHVolcite] = ACTIONS(7411),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHavolcite] = ACTIONS(7411),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHNotecite] = ACTIONS(7411),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHlabel] = ACTIONS(7411),
    [anon_sym_BSLASHref] = ACTIONS(7411),
    [anon_sym_BSLASHeqref] = ACTIONS(7411),
    [anon_sym_BSLASHvref] = ACTIONS(7411),
    [anon_sym_BSLASHVref] = ACTIONS(7411),
    [anon_sym_BSLASHautoref] = ACTIONS(7411),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHpageref] = ACTIONS(7411),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHautopageref] = ACTIONS(7411),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcref] = ACTIONS(7411),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCref] = ACTIONS(7411),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcpageref] = ACTIONS(7411),
    [anon_sym_BSLASHCpageref] = ACTIONS(7411),
    [anon_sym_BSLASHnamecref] = ACTIONS(7411),
    [anon_sym_BSLASHnameCref] = ACTIONS(7411),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7411),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7411),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7411),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7411),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7411),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7411),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7411),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7411),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7411),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7411),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7411),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHdef] = ACTIONS(7411),
    [anon_sym_BSLASHgdef] = ACTIONS(7411),
    [anon_sym_BSLASHedef] = ACTIONS(7411),
    [anon_sym_BSLASHxdef] = ACTIONS(7411),
    [anon_sym_BSLASHlet] = ACTIONS(7411),
    [anon_sym_BSLASHglet] = ACTIONS(7411),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7411),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7411),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7411),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7411),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7411),
    [anon_sym_BSLASHgls] = ACTIONS(7411),
    [anon_sym_BSLASHGls] = ACTIONS(7411),
    [anon_sym_BSLASHGLS] = ACTIONS(7411),
    [anon_sym_BSLASHglspl] = ACTIONS(7411),
    [anon_sym_BSLASHGlspl] = ACTIONS(7411),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7411),
    [anon_sym_BSLASHglslink] = ACTIONS(7411),
    [anon_sym_BSLASHglstext] = ACTIONS(7411),
    [anon_sym_BSLASHGlstext] = ACTIONS(7411),
    [anon_sym_BSLASHGLStext] = ACTIONS(7411),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7411),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7411),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7411),
    [anon_sym_BSLASHglsplural] = ACTIONS(7411),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7411),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7411),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHglsname] = ACTIONS(7411),
    [anon_sym_BSLASHGlsname] = ACTIONS(7411),
    [anon_sym_BSLASHGLSname] = ACTIONS(7411),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7411),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7411),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7411),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7411),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7411),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7411),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7411),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7411),
    [anon_sym_BSLASHacrshort] = ACTIONS(7411),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7411),
    [anon_sym_BSLASHACRshort] = ACTIONS(7411),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHacrlong] = ACTIONS(7411),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7411),
    [anon_sym_BSLASHACRlong] = ACTIONS(7411),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHacrfull] = ACTIONS(7411),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7411),
    [anon_sym_BSLASHACRfull] = ACTIONS(7411),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHacs] = ACTIONS(7411),
    [anon_sym_BSLASHAcs] = ACTIONS(7411),
    [anon_sym_BSLASHacsp] = ACTIONS(7411),
    [anon_sym_BSLASHAcsp] = ACTIONS(7411),
    [anon_sym_BSLASHacl] = ACTIONS(7411),
    [anon_sym_BSLASHAcl] = ACTIONS(7411),
    [anon_sym_BSLASHaclp] = ACTIONS(7411),
    [anon_sym_BSLASHAclp] = ACTIONS(7411),
    [anon_sym_BSLASHacf] = ACTIONS(7411),
    [anon_sym_BSLASHAcf] = ACTIONS(7411),
    [anon_sym_BSLASHacfp] = ACTIONS(7411),
    [anon_sym_BSLASHAcfp] = ACTIONS(7411),
    [anon_sym_BSLASHac] = ACTIONS(7411),
    [anon_sym_BSLASHAc] = ACTIONS(7411),
    [anon_sym_BSLASHacp] = ACTIONS(7411),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7411),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7411),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7411),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7411),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7411),
    [anon_sym_BSLASHcolor] = ACTIONS(7411),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7411),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7411),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7411),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7411),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7411),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7411),
    [anon_sym_BSLASHurl] = ACTIONS(7411),
    [anon_sym_BSLASHhref] = ACTIONS(7411),
  },
  [681] = {
    [sym_command_name] = ACTIONS(7415),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7415),
    [anon_sym_LBRACK] = ACTIONS(7417),
    [anon_sym_RBRACK] = ACTIONS(7417),
    [anon_sym_COMMA] = ACTIONS(7417),
    [anon_sym_EQ] = ACTIONS(7417),
    [anon_sym_LPAREN] = ACTIONS(7417),
    [anon_sym_RPAREN] = ACTIONS(7417),
    [anon_sym_BSLASHpart] = ACTIONS(7415),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHaddpart] = ACTIONS(7415),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHchapter] = ACTIONS(7415),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHaddchap] = ACTIONS(7415),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHsection] = ACTIONS(7415),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHaddsec] = ACTIONS(7415),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHsubsection] = ACTIONS(7415),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7415),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHparagraph] = ACTIONS(7415),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7415),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHitem] = ACTIONS(7415),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7417),
    [anon_sym_LBRACE] = ACTIONS(7417),
    [sym_word] = ACTIONS(7415),
    [sym_placeholder] = ACTIONS(7417),
    [sym_delimiter] = ACTIONS(7417),
    [anon_sym_PLUS] = ACTIONS(7417),
    [anon_sym_DASH] = ACTIONS(7417),
    [anon_sym_STAR] = ACTIONS(7417),
    [anon_sym_SLASH] = ACTIONS(7417),
    [anon_sym_LT] = ACTIONS(7415),
    [anon_sym_GT] = ACTIONS(7415),
    [anon_sym_BANG] = ACTIONS(7415),
    [anon_sym_PIPE] = ACTIONS(7415),
    [anon_sym_COLON] = ACTIONS(7415),
    [anon_sym_SQUOTE] = ACTIONS(7415),
    [anon_sym__] = ACTIONS(7417),
    [anon_sym_CARET] = ACTIONS(7417),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7417),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7417),
    [anon_sym_DOLLAR] = ACTIONS(7415),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7417),
    [anon_sym_BSLASHleft] = ACTIONS(7415),
    [anon_sym_BSLASHbigl] = ACTIONS(7415),
    [anon_sym_BSLASHBigl] = ACTIONS(7415),
    [anon_sym_BSLASHbiggl] = ACTIONS(7415),
    [anon_sym_BSLASHBiggl] = ACTIONS(7415),
    [anon_sym_BSLASHright] = ACTIONS(7415),
    [anon_sym_BSLASHbigr] = ACTIONS(7415),
    [anon_sym_BSLASHBigr] = ACTIONS(7415),
    [anon_sym_BSLASHbiggr] = ACTIONS(7415),
    [anon_sym_BSLASHBiggr] = ACTIONS(7415),
    [anon_sym_BSLASHtext] = ACTIONS(7415),
    [anon_sym_BSLASHintertext] = ACTIONS(7415),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7415),
    [anon_sym_BSLASHbegin] = ACTIONS(7415),
    [anon_sym_BSLASHtitle] = ACTIONS(7415),
    [anon_sym_BSLASHauthor] = ACTIONS(7415),
    [anon_sym_BSLASHusepackage] = ACTIONS(7415),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7415),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7415),
    [anon_sym_BSLASHinclude] = ACTIONS(7415),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7415),
    [anon_sym_BSLASHinput] = ACTIONS(7415),
    [anon_sym_BSLASHsubfile] = ACTIONS(7415),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7415),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7415),
    [anon_sym_BSLASHbibliography] = ACTIONS(7415),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7415),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7415),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7415),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7415),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7415),
    [anon_sym_BSLASHimport] = ACTIONS(7415),
    [anon_sym_BSLASHsubimport] = ACTIONS(7415),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7415),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7415),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7415),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7415),
    [anon_sym_BSLASHcaption] = ACTIONS(7415),
    [anon_sym_BSLASHcite] = ACTIONS(7415),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCite] = ACTIONS(7415),
    [anon_sym_BSLASHnocite] = ACTIONS(7415),
    [anon_sym_BSLASHcitet] = ACTIONS(7415),
    [anon_sym_BSLASHcitep] = ACTIONS(7415),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteA] = ACTIONS(7415),
    [anon_sym_BSLASHciteR] = ACTIONS(7415),
    [anon_sym_BSLASHciteS] = ACTIONS(7415),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7415),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7415),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7415),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7415),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteyear] = ACTIONS(7415),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitedate] = ACTIONS(7415),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteurl] = ACTIONS(7415),
    [anon_sym_BSLASHfullcite] = ACTIONS(7415),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7415),
    [anon_sym_BSLASHcitealt] = ACTIONS(7415),
    [anon_sym_BSLASHcitealp] = ACTIONS(7415),
    [anon_sym_BSLASHcitetext] = ACTIONS(7415),
    [anon_sym_BSLASHparencite] = ACTIONS(7415),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHParencite] = ACTIONS(7415),
    [anon_sym_BSLASHfootcite] = ACTIONS(7415),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7415),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7415),
    [anon_sym_BSLASHtextcite] = ACTIONS(7415),
    [anon_sym_BSLASHTextcite] = ACTIONS(7415),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7415),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7415),
    [anon_sym_BSLASHsupercite] = ACTIONS(7415),
    [anon_sym_BSLASHautocite] = ACTIONS(7415),
    [anon_sym_BSLASHAutocite] = ACTIONS(7415),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHVolcite] = ACTIONS(7415),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHavolcite] = ACTIONS(7415),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHNotecite] = ACTIONS(7415),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHlabel] = ACTIONS(7415),
    [anon_sym_BSLASHref] = ACTIONS(7415),
    [anon_sym_BSLASHeqref] = ACTIONS(7415),
    [anon_sym_BSLASHvref] = ACTIONS(7415),
    [anon_sym_BSLASHVref] = ACTIONS(7415),
    [anon_sym_BSLASHautoref] = ACTIONS(7415),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHpageref] = ACTIONS(7415),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHautopageref] = ACTIONS(7415),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcref] = ACTIONS(7415),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCref] = ACTIONS(7415),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcpageref] = ACTIONS(7415),
    [anon_sym_BSLASHCpageref] = ACTIONS(7415),
    [anon_sym_BSLASHnamecref] = ACTIONS(7415),
    [anon_sym_BSLASHnameCref] = ACTIONS(7415),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7415),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7415),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7415),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7415),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7415),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7415),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7415),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7415),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7415),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7415),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7415),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHdef] = ACTIONS(7415),
    [anon_sym_BSLASHgdef] = ACTIONS(7415),
    [anon_sym_BSLASHedef] = ACTIONS(7415),
    [anon_sym_BSLASHxdef] = ACTIONS(7415),
    [anon_sym_BSLASHlet] = ACTIONS(7415),
    [anon_sym_BSLASHglet] = ACTIONS(7415),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7415),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7415),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7415),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7415),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7415),
    [anon_sym_BSLASHgls] = ACTIONS(7415),
    [anon_sym_BSLASHGls] = ACTIONS(7415),
    [anon_sym_BSLASHGLS] = ACTIONS(7415),
    [anon_sym_BSLASHglspl] = ACTIONS(7415),
    [anon_sym_BSLASHGlspl] = ACTIONS(7415),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7415),
    [anon_sym_BSLASHglslink] = ACTIONS(7415),
    [anon_sym_BSLASHglstext] = ACTIONS(7415),
    [anon_sym_BSLASHGlstext] = ACTIONS(7415),
    [anon_sym_BSLASHGLStext] = ACTIONS(7415),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7415),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7415),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7415),
    [anon_sym_BSLASHglsplural] = ACTIONS(7415),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7415),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7415),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHglsname] = ACTIONS(7415),
    [anon_sym_BSLASHGlsname] = ACTIONS(7415),
    [anon_sym_BSLASHGLSname] = ACTIONS(7415),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7415),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7415),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7415),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7415),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7415),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7415),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7415),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7415),
    [anon_sym_BSLASHacrshort] = ACTIONS(7415),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7415),
    [anon_sym_BSLASHACRshort] = ACTIONS(7415),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHacrlong] = ACTIONS(7415),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7415),
    [anon_sym_BSLASHACRlong] = ACTIONS(7415),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHacrfull] = ACTIONS(7415),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7415),
    [anon_sym_BSLASHACRfull] = ACTIONS(7415),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHacs] = ACTIONS(7415),
    [anon_sym_BSLASHAcs] = ACTIONS(7415),
    [anon_sym_BSLASHacsp] = ACTIONS(7415),
    [anon_sym_BSLASHAcsp] = ACTIONS(7415),
    [anon_sym_BSLASHacl] = ACTIONS(7415),
    [anon_sym_BSLASHAcl] = ACTIONS(7415),
    [anon_sym_BSLASHaclp] = ACTIONS(7415),
    [anon_sym_BSLASHAclp] = ACTIONS(7415),
    [anon_sym_BSLASHacf] = ACTIONS(7415),
    [anon_sym_BSLASHAcf] = ACTIONS(7415),
    [anon_sym_BSLASHacfp] = ACTIONS(7415),
    [anon_sym_BSLASHAcfp] = ACTIONS(7415),
    [anon_sym_BSLASHac] = ACTIONS(7415),
    [anon_sym_BSLASHAc] = ACTIONS(7415),
    [anon_sym_BSLASHacp] = ACTIONS(7415),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7415),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7415),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7415),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7415),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7415),
    [anon_sym_BSLASHcolor] = ACTIONS(7415),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7415),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7415),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7415),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7415),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7415),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7415),
    [anon_sym_BSLASHurl] = ACTIONS(7415),
    [anon_sym_BSLASHhref] = ACTIONS(7415),
  },
  [682] = {
    [sym_command_name] = ACTIONS(7419),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7419),
    [anon_sym_LBRACK] = ACTIONS(7421),
    [anon_sym_RBRACK] = ACTIONS(7421),
    [anon_sym_COMMA] = ACTIONS(7421),
    [anon_sym_EQ] = ACTIONS(7421),
    [anon_sym_LPAREN] = ACTIONS(7421),
    [anon_sym_RPAREN] = ACTIONS(7421),
    [anon_sym_BSLASHpart] = ACTIONS(7419),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHaddpart] = ACTIONS(7419),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHchapter] = ACTIONS(7419),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHaddchap] = ACTIONS(7419),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHsection] = ACTIONS(7419),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHaddsec] = ACTIONS(7419),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHsubsection] = ACTIONS(7419),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7419),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHparagraph] = ACTIONS(7419),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7419),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHitem] = ACTIONS(7419),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7421),
    [anon_sym_LBRACE] = ACTIONS(7421),
    [sym_word] = ACTIONS(7419),
    [sym_placeholder] = ACTIONS(7421),
    [sym_delimiter] = ACTIONS(7421),
    [anon_sym_PLUS] = ACTIONS(7421),
    [anon_sym_DASH] = ACTIONS(7421),
    [anon_sym_STAR] = ACTIONS(7421),
    [anon_sym_SLASH] = ACTIONS(7421),
    [anon_sym_LT] = ACTIONS(7419),
    [anon_sym_GT] = ACTIONS(7419),
    [anon_sym_BANG] = ACTIONS(7419),
    [anon_sym_PIPE] = ACTIONS(7419),
    [anon_sym_COLON] = ACTIONS(7419),
    [anon_sym_SQUOTE] = ACTIONS(7419),
    [anon_sym__] = ACTIONS(7421),
    [anon_sym_CARET] = ACTIONS(7421),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7421),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7421),
    [anon_sym_DOLLAR] = ACTIONS(7419),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7421),
    [anon_sym_BSLASHleft] = ACTIONS(7419),
    [anon_sym_BSLASHbigl] = ACTIONS(7419),
    [anon_sym_BSLASHBigl] = ACTIONS(7419),
    [anon_sym_BSLASHbiggl] = ACTIONS(7419),
    [anon_sym_BSLASHBiggl] = ACTIONS(7419),
    [anon_sym_BSLASHright] = ACTIONS(7419),
    [anon_sym_BSLASHbigr] = ACTIONS(7419),
    [anon_sym_BSLASHBigr] = ACTIONS(7419),
    [anon_sym_BSLASHbiggr] = ACTIONS(7419),
    [anon_sym_BSLASHBiggr] = ACTIONS(7419),
    [anon_sym_BSLASHtext] = ACTIONS(7419),
    [anon_sym_BSLASHintertext] = ACTIONS(7419),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7419),
    [anon_sym_BSLASHbegin] = ACTIONS(7419),
    [anon_sym_BSLASHtitle] = ACTIONS(7419),
    [anon_sym_BSLASHauthor] = ACTIONS(7419),
    [anon_sym_BSLASHusepackage] = ACTIONS(7419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7419),
    [anon_sym_BSLASHinclude] = ACTIONS(7419),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7419),
    [anon_sym_BSLASHinput] = ACTIONS(7419),
    [anon_sym_BSLASHsubfile] = ACTIONS(7419),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7419),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7419),
    [anon_sym_BSLASHbibliography] = ACTIONS(7419),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7419),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7419),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7419),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7419),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7419),
    [anon_sym_BSLASHimport] = ACTIONS(7419),
    [anon_sym_BSLASHsubimport] = ACTIONS(7419),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7419),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7419),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7419),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7419),
    [anon_sym_BSLASHcaption] = ACTIONS(7419),
    [anon_sym_BSLASHcite] = ACTIONS(7419),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCite] = ACTIONS(7419),
    [anon_sym_BSLASHnocite] = ACTIONS(7419),
    [anon_sym_BSLASHcitet] = ACTIONS(7419),
    [anon_sym_BSLASHcitep] = ACTIONS(7419),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteA] = ACTIONS(7419),
    [anon_sym_BSLASHciteR] = ACTIONS(7419),
    [anon_sym_BSLASHciteS] = ACTIONS(7419),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7419),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7419),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7419),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7419),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteyear] = ACTIONS(7419),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitedate] = ACTIONS(7419),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteurl] = ACTIONS(7419),
    [anon_sym_BSLASHfullcite] = ACTIONS(7419),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7419),
    [anon_sym_BSLASHcitealt] = ACTIONS(7419),
    [anon_sym_BSLASHcitealp] = ACTIONS(7419),
    [anon_sym_BSLASHcitetext] = ACTIONS(7419),
    [anon_sym_BSLASHparencite] = ACTIONS(7419),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHParencite] = ACTIONS(7419),
    [anon_sym_BSLASHfootcite] = ACTIONS(7419),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7419),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7419),
    [anon_sym_BSLASHtextcite] = ACTIONS(7419),
    [anon_sym_BSLASHTextcite] = ACTIONS(7419),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7419),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7419),
    [anon_sym_BSLASHsupercite] = ACTIONS(7419),
    [anon_sym_BSLASHautocite] = ACTIONS(7419),
    [anon_sym_BSLASHAutocite] = ACTIONS(7419),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHVolcite] = ACTIONS(7419),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHavolcite] = ACTIONS(7419),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHNotecite] = ACTIONS(7419),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHlabel] = ACTIONS(7419),
    [anon_sym_BSLASHref] = ACTIONS(7419),
    [anon_sym_BSLASHeqref] = ACTIONS(7419),
    [anon_sym_BSLASHvref] = ACTIONS(7419),
    [anon_sym_BSLASHVref] = ACTIONS(7419),
    [anon_sym_BSLASHautoref] = ACTIONS(7419),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHpageref] = ACTIONS(7419),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHautopageref] = ACTIONS(7419),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcref] = ACTIONS(7419),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCref] = ACTIONS(7419),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcpageref] = ACTIONS(7419),
    [anon_sym_BSLASHCpageref] = ACTIONS(7419),
    [anon_sym_BSLASHnamecref] = ACTIONS(7419),
    [anon_sym_BSLASHnameCref] = ACTIONS(7419),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7419),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7419),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7419),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7419),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7419),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7419),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7419),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7419),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7419),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7419),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7419),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHdef] = ACTIONS(7419),
    [anon_sym_BSLASHgdef] = ACTIONS(7419),
    [anon_sym_BSLASHedef] = ACTIONS(7419),
    [anon_sym_BSLASHxdef] = ACTIONS(7419),
    [anon_sym_BSLASHlet] = ACTIONS(7419),
    [anon_sym_BSLASHglet] = ACTIONS(7419),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7419),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7419),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7419),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7419),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7419),
    [anon_sym_BSLASHgls] = ACTIONS(7419),
    [anon_sym_BSLASHGls] = ACTIONS(7419),
    [anon_sym_BSLASHGLS] = ACTIONS(7419),
    [anon_sym_BSLASHglspl] = ACTIONS(7419),
    [anon_sym_BSLASHGlspl] = ACTIONS(7419),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7419),
    [anon_sym_BSLASHglslink] = ACTIONS(7419),
    [anon_sym_BSLASHglstext] = ACTIONS(7419),
    [anon_sym_BSLASHGlstext] = ACTIONS(7419),
    [anon_sym_BSLASHGLStext] = ACTIONS(7419),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7419),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7419),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7419),
    [anon_sym_BSLASHglsplural] = ACTIONS(7419),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7419),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7419),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHglsname] = ACTIONS(7419),
    [anon_sym_BSLASHGlsname] = ACTIONS(7419),
    [anon_sym_BSLASHGLSname] = ACTIONS(7419),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7419),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7419),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7419),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7419),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7419),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7419),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7419),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7419),
    [anon_sym_BSLASHacrshort] = ACTIONS(7419),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7419),
    [anon_sym_BSLASHACRshort] = ACTIONS(7419),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHacrlong] = ACTIONS(7419),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7419),
    [anon_sym_BSLASHACRlong] = ACTIONS(7419),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHacrfull] = ACTIONS(7419),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7419),
    [anon_sym_BSLASHACRfull] = ACTIONS(7419),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHacs] = ACTIONS(7419),
    [anon_sym_BSLASHAcs] = ACTIONS(7419),
    [anon_sym_BSLASHacsp] = ACTIONS(7419),
    [anon_sym_BSLASHAcsp] = ACTIONS(7419),
    [anon_sym_BSLASHacl] = ACTIONS(7419),
    [anon_sym_BSLASHAcl] = ACTIONS(7419),
    [anon_sym_BSLASHaclp] = ACTIONS(7419),
    [anon_sym_BSLASHAclp] = ACTIONS(7419),
    [anon_sym_BSLASHacf] = ACTIONS(7419),
    [anon_sym_BSLASHAcf] = ACTIONS(7419),
    [anon_sym_BSLASHacfp] = ACTIONS(7419),
    [anon_sym_BSLASHAcfp] = ACTIONS(7419),
    [anon_sym_BSLASHac] = ACTIONS(7419),
    [anon_sym_BSLASHAc] = ACTIONS(7419),
    [anon_sym_BSLASHacp] = ACTIONS(7419),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7419),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7419),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7419),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7419),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7419),
    [anon_sym_BSLASHcolor] = ACTIONS(7419),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7419),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7419),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7419),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7419),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7419),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7419),
    [anon_sym_BSLASHurl] = ACTIONS(7419),
    [anon_sym_BSLASHhref] = ACTIONS(7419),
  },
  [683] = {
    [sym_command_name] = ACTIONS(7423),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7423),
    [anon_sym_LBRACK] = ACTIONS(7425),
    [anon_sym_RBRACK] = ACTIONS(7425),
    [anon_sym_COMMA] = ACTIONS(7425),
    [anon_sym_EQ] = ACTIONS(7425),
    [anon_sym_LPAREN] = ACTIONS(7425),
    [anon_sym_RPAREN] = ACTIONS(7425),
    [anon_sym_BSLASHpart] = ACTIONS(7423),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHaddpart] = ACTIONS(7423),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHchapter] = ACTIONS(7423),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHaddchap] = ACTIONS(7423),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHsection] = ACTIONS(7423),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHaddsec] = ACTIONS(7423),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHsubsection] = ACTIONS(7423),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7423),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHparagraph] = ACTIONS(7423),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7423),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHitem] = ACTIONS(7423),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7425),
    [anon_sym_LBRACE] = ACTIONS(7425),
    [sym_word] = ACTIONS(7423),
    [sym_placeholder] = ACTIONS(7425),
    [sym_delimiter] = ACTIONS(7425),
    [anon_sym_PLUS] = ACTIONS(7425),
    [anon_sym_DASH] = ACTIONS(7425),
    [anon_sym_STAR] = ACTIONS(7425),
    [anon_sym_SLASH] = ACTIONS(7425),
    [anon_sym_LT] = ACTIONS(7423),
    [anon_sym_GT] = ACTIONS(7423),
    [anon_sym_BANG] = ACTIONS(7423),
    [anon_sym_PIPE] = ACTIONS(7423),
    [anon_sym_COLON] = ACTIONS(7423),
    [anon_sym_SQUOTE] = ACTIONS(7423),
    [anon_sym__] = ACTIONS(7425),
    [anon_sym_CARET] = ACTIONS(7425),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7425),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7425),
    [anon_sym_DOLLAR] = ACTIONS(7423),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7425),
    [anon_sym_BSLASHleft] = ACTIONS(7423),
    [anon_sym_BSLASHbigl] = ACTIONS(7423),
    [anon_sym_BSLASHBigl] = ACTIONS(7423),
    [anon_sym_BSLASHbiggl] = ACTIONS(7423),
    [anon_sym_BSLASHBiggl] = ACTIONS(7423),
    [anon_sym_BSLASHright] = ACTIONS(7423),
    [anon_sym_BSLASHbigr] = ACTIONS(7423),
    [anon_sym_BSLASHBigr] = ACTIONS(7423),
    [anon_sym_BSLASHbiggr] = ACTIONS(7423),
    [anon_sym_BSLASHBiggr] = ACTIONS(7423),
    [anon_sym_BSLASHtext] = ACTIONS(7423),
    [anon_sym_BSLASHintertext] = ACTIONS(7423),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7423),
    [anon_sym_BSLASHbegin] = ACTIONS(7423),
    [anon_sym_BSLASHtitle] = ACTIONS(7423),
    [anon_sym_BSLASHauthor] = ACTIONS(7423),
    [anon_sym_BSLASHusepackage] = ACTIONS(7423),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7423),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7423),
    [anon_sym_BSLASHinclude] = ACTIONS(7423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7423),
    [anon_sym_BSLASHinput] = ACTIONS(7423),
    [anon_sym_BSLASHsubfile] = ACTIONS(7423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7423),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7423),
    [anon_sym_BSLASHbibliography] = ACTIONS(7423),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7423),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7423),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7423),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7423),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7423),
    [anon_sym_BSLASHimport] = ACTIONS(7423),
    [anon_sym_BSLASHsubimport] = ACTIONS(7423),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7423),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7423),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7423),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7423),
    [anon_sym_BSLASHcaption] = ACTIONS(7423),
    [anon_sym_BSLASHcite] = ACTIONS(7423),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHCite] = ACTIONS(7423),
    [anon_sym_BSLASHnocite] = ACTIONS(7423),
    [anon_sym_BSLASHcitet] = ACTIONS(7423),
    [anon_sym_BSLASHcitep] = ACTIONS(7423),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHciteA] = ACTIONS(7423),
    [anon_sym_BSLASHciteR] = ACTIONS(7423),
    [anon_sym_BSLASHciteS] = ACTIONS(7423),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7423),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7423),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7423),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7423),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHciteyear] = ACTIONS(7423),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcitedate] = ACTIONS(7423),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHciteurl] = ACTIONS(7423),
    [anon_sym_BSLASHfullcite] = ACTIONS(7423),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7423),
    [anon_sym_BSLASHcitealt] = ACTIONS(7423),
    [anon_sym_BSLASHcitealp] = ACTIONS(7423),
    [anon_sym_BSLASHcitetext] = ACTIONS(7423),
    [anon_sym_BSLASHparencite] = ACTIONS(7423),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHParencite] = ACTIONS(7423),
    [anon_sym_BSLASHfootcite] = ACTIONS(7423),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7423),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7423),
    [anon_sym_BSLASHtextcite] = ACTIONS(7423),
    [anon_sym_BSLASHTextcite] = ACTIONS(7423),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7423),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7423),
    [anon_sym_BSLASHsupercite] = ACTIONS(7423),
    [anon_sym_BSLASHautocite] = ACTIONS(7423),
    [anon_sym_BSLASHAutocite] = ACTIONS(7423),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHVolcite] = ACTIONS(7423),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHavolcite] = ACTIONS(7423),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHnotecite] = ACTIONS(7423),
    [anon_sym_BSLASHNotecite] = ACTIONS(7423),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7423),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7423),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7423),
    [anon_sym_BSLASHlabel] = ACTIONS(7423),
    [anon_sym_BSLASHref] = ACTIONS(7423),
    [anon_sym_BSLASHeqref] = ACTIONS(7423),
    [anon_sym_BSLASHvref] = ACTIONS(7423),
    [anon_sym_BSLASHVref] = ACTIONS(7423),
    [anon_sym_BSLASHautoref] = ACTIONS(7423),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHpageref] = ACTIONS(7423),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHautopageref] = ACTIONS(7423),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcref] = ACTIONS(7423),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHCref] = ACTIONS(7423),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcpageref] = ACTIONS(7423),
    [anon_sym_BSLASHCpageref] = ACTIONS(7423),
    [anon_sym_BSLASHnamecref] = ACTIONS(7423),
    [anon_sym_BSLASHnameCref] = ACTIONS(7423),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7423),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7423),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7423),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7423),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7423),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7423),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7423),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7423),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7423),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7423),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7423),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7423),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7423),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7423),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7423),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7423),
    [anon_sym_BSLASHdef] = ACTIONS(7423),
    [anon_sym_BSLASHgdef] = ACTIONS(7423),
    [anon_sym_BSLASHedef] = ACTIONS(7423),
    [anon_sym_BSLASHxdef] = ACTIONS(7423),
    [anon_sym_BSLASHlet] = ACTIONS(7423),
    [anon_sym_BSLASHglet] = ACTIONS(7423),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7423),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7423),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7423),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7423),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7423),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7423),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7423),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7423),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7423),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7423),
    [anon_sym_BSLASHgls] = ACTIONS(7423),
    [anon_sym_BSLASHGls] = ACTIONS(7423),
    [anon_sym_BSLASHGLS] = ACTIONS(7423),
    [anon_sym_BSLASHglspl] = ACTIONS(7423),
    [anon_sym_BSLASHGlspl] = ACTIONS(7423),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7423),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7423),
    [anon_sym_BSLASHglslink] = ACTIONS(7423),
    [anon_sym_BSLASHglstext] = ACTIONS(7423),
    [anon_sym_BSLASHGlstext] = ACTIONS(7423),
    [anon_sym_BSLASHGLStext] = ACTIONS(7423),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7423),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7423),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7423),
    [anon_sym_BSLASHglsplural] = ACTIONS(7423),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7423),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7423),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7423),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7423),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7423),
    [anon_sym_BSLASHglsname] = ACTIONS(7423),
    [anon_sym_BSLASHGlsname] = ACTIONS(7423),
    [anon_sym_BSLASHGLSname] = ACTIONS(7423),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7423),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7423),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7423),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7423),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7423),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7423),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7423),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7423),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7423),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7423),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7423),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7423),
    [anon_sym_BSLASHacrshort] = ACTIONS(7423),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7423),
    [anon_sym_BSLASHACRshort] = ACTIONS(7423),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHacrlong] = ACTIONS(7423),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7423),
    [anon_sym_BSLASHACRlong] = ACTIONS(7423),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7423),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7423),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7423),
    [anon_sym_BSLASHacrfull] = ACTIONS(7423),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7423),
    [anon_sym_BSLASHACRfull] = ACTIONS(7423),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHacs] = ACTIONS(7423),
    [anon_sym_BSLASHAcs] = ACTIONS(7423),
    [anon_sym_BSLASHacsp] = ACTIONS(7423),
    [anon_sym_BSLASHAcsp] = ACTIONS(7423),
    [anon_sym_BSLASHacl] = ACTIONS(7423),
    [anon_sym_BSLASHAcl] = ACTIONS(7423),
    [anon_sym_BSLASHaclp] = ACTIONS(7423),
    [anon_sym_BSLASHAclp] = ACTIONS(7423),
    [anon_sym_BSLASHacf] = ACTIONS(7423),
    [anon_sym_BSLASHAcf] = ACTIONS(7423),
    [anon_sym_BSLASHacfp] = ACTIONS(7423),
    [anon_sym_BSLASHAcfp] = ACTIONS(7423),
    [anon_sym_BSLASHac] = ACTIONS(7423),
    [anon_sym_BSLASHAc] = ACTIONS(7423),
    [anon_sym_BSLASHacp] = ACTIONS(7423),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7423),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7423),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7423),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7423),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7423),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7423),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7423),
    [anon_sym_BSLASHcolor] = ACTIONS(7423),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7423),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7423),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7423),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7423),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7423),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7423),
    [anon_sym_BSLASHurl] = ACTIONS(7423),
    [anon_sym_BSLASHhref] = ACTIONS(7423),
  },
  [684] = {
    [sym_command_name] = ACTIONS(7427),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7427),
    [anon_sym_LBRACK] = ACTIONS(7429),
    [anon_sym_RBRACK] = ACTIONS(7429),
    [anon_sym_COMMA] = ACTIONS(7429),
    [anon_sym_EQ] = ACTIONS(7429),
    [anon_sym_LPAREN] = ACTIONS(7429),
    [anon_sym_RPAREN] = ACTIONS(7429),
    [anon_sym_BSLASHpart] = ACTIONS(7427),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHaddpart] = ACTIONS(7427),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHchapter] = ACTIONS(7427),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHaddchap] = ACTIONS(7427),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHsection] = ACTIONS(7427),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHaddsec] = ACTIONS(7427),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHsubsection] = ACTIONS(7427),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7427),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHparagraph] = ACTIONS(7427),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7427),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHitem] = ACTIONS(7427),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7429),
    [anon_sym_LBRACE] = ACTIONS(7429),
    [sym_word] = ACTIONS(7427),
    [sym_placeholder] = ACTIONS(7429),
    [sym_delimiter] = ACTIONS(7429),
    [anon_sym_PLUS] = ACTIONS(7429),
    [anon_sym_DASH] = ACTIONS(7429),
    [anon_sym_STAR] = ACTIONS(7429),
    [anon_sym_SLASH] = ACTIONS(7429),
    [anon_sym_LT] = ACTIONS(7427),
    [anon_sym_GT] = ACTIONS(7427),
    [anon_sym_BANG] = ACTIONS(7427),
    [anon_sym_PIPE] = ACTIONS(7427),
    [anon_sym_COLON] = ACTIONS(7427),
    [anon_sym_SQUOTE] = ACTIONS(7427),
    [anon_sym__] = ACTIONS(7429),
    [anon_sym_CARET] = ACTIONS(7429),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7429),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7429),
    [anon_sym_DOLLAR] = ACTIONS(7427),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7429),
    [anon_sym_BSLASHleft] = ACTIONS(7427),
    [anon_sym_BSLASHbigl] = ACTIONS(7427),
    [anon_sym_BSLASHBigl] = ACTIONS(7427),
    [anon_sym_BSLASHbiggl] = ACTIONS(7427),
    [anon_sym_BSLASHBiggl] = ACTIONS(7427),
    [anon_sym_BSLASHright] = ACTIONS(7427),
    [anon_sym_BSLASHbigr] = ACTIONS(7427),
    [anon_sym_BSLASHBigr] = ACTIONS(7427),
    [anon_sym_BSLASHbiggr] = ACTIONS(7427),
    [anon_sym_BSLASHBiggr] = ACTIONS(7427),
    [anon_sym_BSLASHtext] = ACTIONS(7427),
    [anon_sym_BSLASHintertext] = ACTIONS(7427),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7427),
    [anon_sym_BSLASHbegin] = ACTIONS(7427),
    [anon_sym_BSLASHtitle] = ACTIONS(7427),
    [anon_sym_BSLASHauthor] = ACTIONS(7427),
    [anon_sym_BSLASHusepackage] = ACTIONS(7427),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7427),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7427),
    [anon_sym_BSLASHinclude] = ACTIONS(7427),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7427),
    [anon_sym_BSLASHinput] = ACTIONS(7427),
    [anon_sym_BSLASHsubfile] = ACTIONS(7427),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7427),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7427),
    [anon_sym_BSLASHbibliography] = ACTIONS(7427),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7427),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7427),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7427),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7427),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7427),
    [anon_sym_BSLASHimport] = ACTIONS(7427),
    [anon_sym_BSLASHsubimport] = ACTIONS(7427),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7427),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7427),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7427),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7427),
    [anon_sym_BSLASHcaption] = ACTIONS(7427),
    [anon_sym_BSLASHcite] = ACTIONS(7427),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHCite] = ACTIONS(7427),
    [anon_sym_BSLASHnocite] = ACTIONS(7427),
    [anon_sym_BSLASHcitet] = ACTIONS(7427),
    [anon_sym_BSLASHcitep] = ACTIONS(7427),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHciteA] = ACTIONS(7427),
    [anon_sym_BSLASHciteR] = ACTIONS(7427),
    [anon_sym_BSLASHciteS] = ACTIONS(7427),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7427),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7427),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7427),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7427),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHciteyear] = ACTIONS(7427),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcitedate] = ACTIONS(7427),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHciteurl] = ACTIONS(7427),
    [anon_sym_BSLASHfullcite] = ACTIONS(7427),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7427),
    [anon_sym_BSLASHcitealt] = ACTIONS(7427),
    [anon_sym_BSLASHcitealp] = ACTIONS(7427),
    [anon_sym_BSLASHcitetext] = ACTIONS(7427),
    [anon_sym_BSLASHparencite] = ACTIONS(7427),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHParencite] = ACTIONS(7427),
    [anon_sym_BSLASHfootcite] = ACTIONS(7427),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7427),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7427),
    [anon_sym_BSLASHtextcite] = ACTIONS(7427),
    [anon_sym_BSLASHTextcite] = ACTIONS(7427),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7427),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7427),
    [anon_sym_BSLASHsupercite] = ACTIONS(7427),
    [anon_sym_BSLASHautocite] = ACTIONS(7427),
    [anon_sym_BSLASHAutocite] = ACTIONS(7427),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHVolcite] = ACTIONS(7427),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHavolcite] = ACTIONS(7427),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHnotecite] = ACTIONS(7427),
    [anon_sym_BSLASHNotecite] = ACTIONS(7427),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7427),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7427),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7427),
    [anon_sym_BSLASHlabel] = ACTIONS(7427),
    [anon_sym_BSLASHref] = ACTIONS(7427),
    [anon_sym_BSLASHeqref] = ACTIONS(7427),
    [anon_sym_BSLASHvref] = ACTIONS(7427),
    [anon_sym_BSLASHVref] = ACTIONS(7427),
    [anon_sym_BSLASHautoref] = ACTIONS(7427),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHpageref] = ACTIONS(7427),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHautopageref] = ACTIONS(7427),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcref] = ACTIONS(7427),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHCref] = ACTIONS(7427),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcpageref] = ACTIONS(7427),
    [anon_sym_BSLASHCpageref] = ACTIONS(7427),
    [anon_sym_BSLASHnamecref] = ACTIONS(7427),
    [anon_sym_BSLASHnameCref] = ACTIONS(7427),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7427),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7427),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7427),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7427),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7427),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7427),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7427),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7427),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7427),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7427),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7427),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7427),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7427),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7427),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7427),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7427),
    [anon_sym_BSLASHdef] = ACTIONS(7427),
    [anon_sym_BSLASHgdef] = ACTIONS(7427),
    [anon_sym_BSLASHedef] = ACTIONS(7427),
    [anon_sym_BSLASHxdef] = ACTIONS(7427),
    [anon_sym_BSLASHlet] = ACTIONS(7427),
    [anon_sym_BSLASHglet] = ACTIONS(7427),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7427),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7427),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7427),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7427),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7427),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7427),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7427),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7427),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7427),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7427),
    [anon_sym_BSLASHgls] = ACTIONS(7427),
    [anon_sym_BSLASHGls] = ACTIONS(7427),
    [anon_sym_BSLASHGLS] = ACTIONS(7427),
    [anon_sym_BSLASHglspl] = ACTIONS(7427),
    [anon_sym_BSLASHGlspl] = ACTIONS(7427),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7427),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7427),
    [anon_sym_BSLASHglslink] = ACTIONS(7427),
    [anon_sym_BSLASHglstext] = ACTIONS(7427),
    [anon_sym_BSLASHGlstext] = ACTIONS(7427),
    [anon_sym_BSLASHGLStext] = ACTIONS(7427),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7427),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7427),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7427),
    [anon_sym_BSLASHglsplural] = ACTIONS(7427),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7427),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7427),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7427),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7427),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7427),
    [anon_sym_BSLASHglsname] = ACTIONS(7427),
    [anon_sym_BSLASHGlsname] = ACTIONS(7427),
    [anon_sym_BSLASHGLSname] = ACTIONS(7427),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7427),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7427),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7427),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7427),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7427),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7427),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7427),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7427),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7427),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7427),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7427),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7427),
    [anon_sym_BSLASHacrshort] = ACTIONS(7427),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7427),
    [anon_sym_BSLASHACRshort] = ACTIONS(7427),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHacrlong] = ACTIONS(7427),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7427),
    [anon_sym_BSLASHACRlong] = ACTIONS(7427),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7427),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7427),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7427),
    [anon_sym_BSLASHacrfull] = ACTIONS(7427),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7427),
    [anon_sym_BSLASHACRfull] = ACTIONS(7427),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHacs] = ACTIONS(7427),
    [anon_sym_BSLASHAcs] = ACTIONS(7427),
    [anon_sym_BSLASHacsp] = ACTIONS(7427),
    [anon_sym_BSLASHAcsp] = ACTIONS(7427),
    [anon_sym_BSLASHacl] = ACTIONS(7427),
    [anon_sym_BSLASHAcl] = ACTIONS(7427),
    [anon_sym_BSLASHaclp] = ACTIONS(7427),
    [anon_sym_BSLASHAclp] = ACTIONS(7427),
    [anon_sym_BSLASHacf] = ACTIONS(7427),
    [anon_sym_BSLASHAcf] = ACTIONS(7427),
    [anon_sym_BSLASHacfp] = ACTIONS(7427),
    [anon_sym_BSLASHAcfp] = ACTIONS(7427),
    [anon_sym_BSLASHac] = ACTIONS(7427),
    [anon_sym_BSLASHAc] = ACTIONS(7427),
    [anon_sym_BSLASHacp] = ACTIONS(7427),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7427),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7427),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7427),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7427),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7427),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7427),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7427),
    [anon_sym_BSLASHcolor] = ACTIONS(7427),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7427),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7427),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7427),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7427),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7427),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7427),
    [anon_sym_BSLASHurl] = ACTIONS(7427),
    [anon_sym_BSLASHhref] = ACTIONS(7427),
  },
  [685] = {
    [sym_command_name] = ACTIONS(7431),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7431),
    [anon_sym_LBRACK] = ACTIONS(7433),
    [anon_sym_RBRACK] = ACTIONS(7433),
    [anon_sym_COMMA] = ACTIONS(7433),
    [anon_sym_EQ] = ACTIONS(7433),
    [anon_sym_LPAREN] = ACTIONS(7433),
    [anon_sym_RPAREN] = ACTIONS(7433),
    [anon_sym_BSLASHpart] = ACTIONS(7431),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHaddpart] = ACTIONS(7431),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHchapter] = ACTIONS(7431),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHaddchap] = ACTIONS(7431),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHsection] = ACTIONS(7431),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHaddsec] = ACTIONS(7431),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHsubsection] = ACTIONS(7431),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7431),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHparagraph] = ACTIONS(7431),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7431),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHitem] = ACTIONS(7431),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7433),
    [anon_sym_LBRACE] = ACTIONS(7433),
    [sym_word] = ACTIONS(7431),
    [sym_placeholder] = ACTIONS(7433),
    [sym_delimiter] = ACTIONS(7433),
    [anon_sym_PLUS] = ACTIONS(7433),
    [anon_sym_DASH] = ACTIONS(7433),
    [anon_sym_STAR] = ACTIONS(7433),
    [anon_sym_SLASH] = ACTIONS(7433),
    [anon_sym_LT] = ACTIONS(7431),
    [anon_sym_GT] = ACTIONS(7431),
    [anon_sym_BANG] = ACTIONS(7431),
    [anon_sym_PIPE] = ACTIONS(7431),
    [anon_sym_COLON] = ACTIONS(7431),
    [anon_sym_SQUOTE] = ACTIONS(7431),
    [anon_sym__] = ACTIONS(7433),
    [anon_sym_CARET] = ACTIONS(7433),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7433),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7433),
    [anon_sym_DOLLAR] = ACTIONS(7431),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7433),
    [anon_sym_BSLASHleft] = ACTIONS(7431),
    [anon_sym_BSLASHbigl] = ACTIONS(7431),
    [anon_sym_BSLASHBigl] = ACTIONS(7431),
    [anon_sym_BSLASHbiggl] = ACTIONS(7431),
    [anon_sym_BSLASHBiggl] = ACTIONS(7431),
    [anon_sym_BSLASHright] = ACTIONS(7431),
    [anon_sym_BSLASHbigr] = ACTIONS(7431),
    [anon_sym_BSLASHBigr] = ACTIONS(7431),
    [anon_sym_BSLASHbiggr] = ACTIONS(7431),
    [anon_sym_BSLASHBiggr] = ACTIONS(7431),
    [anon_sym_BSLASHtext] = ACTIONS(7431),
    [anon_sym_BSLASHintertext] = ACTIONS(7431),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7431),
    [anon_sym_BSLASHbegin] = ACTIONS(7431),
    [anon_sym_BSLASHtitle] = ACTIONS(7431),
    [anon_sym_BSLASHauthor] = ACTIONS(7431),
    [anon_sym_BSLASHusepackage] = ACTIONS(7431),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7431),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7431),
    [anon_sym_BSLASHinclude] = ACTIONS(7431),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7431),
    [anon_sym_BSLASHinput] = ACTIONS(7431),
    [anon_sym_BSLASHsubfile] = ACTIONS(7431),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7431),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7431),
    [anon_sym_BSLASHbibliography] = ACTIONS(7431),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7431),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7431),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7431),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7431),
    [anon_sym_BSLASHimport] = ACTIONS(7431),
    [anon_sym_BSLASHsubimport] = ACTIONS(7431),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7431),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7431),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7431),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7431),
    [anon_sym_BSLASHcaption] = ACTIONS(7431),
    [anon_sym_BSLASHcite] = ACTIONS(7431),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHCite] = ACTIONS(7431),
    [anon_sym_BSLASHnocite] = ACTIONS(7431),
    [anon_sym_BSLASHcitet] = ACTIONS(7431),
    [anon_sym_BSLASHcitep] = ACTIONS(7431),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHciteA] = ACTIONS(7431),
    [anon_sym_BSLASHciteR] = ACTIONS(7431),
    [anon_sym_BSLASHciteS] = ACTIONS(7431),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7431),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7431),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7431),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7431),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHciteyear] = ACTIONS(7431),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcitedate] = ACTIONS(7431),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHciteurl] = ACTIONS(7431),
    [anon_sym_BSLASHfullcite] = ACTIONS(7431),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7431),
    [anon_sym_BSLASHcitealt] = ACTIONS(7431),
    [anon_sym_BSLASHcitealp] = ACTIONS(7431),
    [anon_sym_BSLASHcitetext] = ACTIONS(7431),
    [anon_sym_BSLASHparencite] = ACTIONS(7431),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHParencite] = ACTIONS(7431),
    [anon_sym_BSLASHfootcite] = ACTIONS(7431),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7431),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7431),
    [anon_sym_BSLASHtextcite] = ACTIONS(7431),
    [anon_sym_BSLASHTextcite] = ACTIONS(7431),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7431),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7431),
    [anon_sym_BSLASHsupercite] = ACTIONS(7431),
    [anon_sym_BSLASHautocite] = ACTIONS(7431),
    [anon_sym_BSLASHAutocite] = ACTIONS(7431),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHVolcite] = ACTIONS(7431),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHavolcite] = ACTIONS(7431),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHnotecite] = ACTIONS(7431),
    [anon_sym_BSLASHNotecite] = ACTIONS(7431),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7431),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7431),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7431),
    [anon_sym_BSLASHlabel] = ACTIONS(7431),
    [anon_sym_BSLASHref] = ACTIONS(7431),
    [anon_sym_BSLASHeqref] = ACTIONS(7431),
    [anon_sym_BSLASHvref] = ACTIONS(7431),
    [anon_sym_BSLASHVref] = ACTIONS(7431),
    [anon_sym_BSLASHautoref] = ACTIONS(7431),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHpageref] = ACTIONS(7431),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHautopageref] = ACTIONS(7431),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcref] = ACTIONS(7431),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHCref] = ACTIONS(7431),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcpageref] = ACTIONS(7431),
    [anon_sym_BSLASHCpageref] = ACTIONS(7431),
    [anon_sym_BSLASHnamecref] = ACTIONS(7431),
    [anon_sym_BSLASHnameCref] = ACTIONS(7431),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7431),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7431),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7431),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7431),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7431),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7431),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7431),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7431),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7431),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7431),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7431),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7431),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7431),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7431),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7431),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7431),
    [anon_sym_BSLASHdef] = ACTIONS(7431),
    [anon_sym_BSLASHgdef] = ACTIONS(7431),
    [anon_sym_BSLASHedef] = ACTIONS(7431),
    [anon_sym_BSLASHxdef] = ACTIONS(7431),
    [anon_sym_BSLASHlet] = ACTIONS(7431),
    [anon_sym_BSLASHglet] = ACTIONS(7431),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7431),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7431),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7431),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7431),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7431),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7431),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7431),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7431),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7431),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7431),
    [anon_sym_BSLASHgls] = ACTIONS(7431),
    [anon_sym_BSLASHGls] = ACTIONS(7431),
    [anon_sym_BSLASHGLS] = ACTIONS(7431),
    [anon_sym_BSLASHglspl] = ACTIONS(7431),
    [anon_sym_BSLASHGlspl] = ACTIONS(7431),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7431),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7431),
    [anon_sym_BSLASHglslink] = ACTIONS(7431),
    [anon_sym_BSLASHglstext] = ACTIONS(7431),
    [anon_sym_BSLASHGlstext] = ACTIONS(7431),
    [anon_sym_BSLASHGLStext] = ACTIONS(7431),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7431),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7431),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7431),
    [anon_sym_BSLASHglsplural] = ACTIONS(7431),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7431),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7431),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7431),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7431),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7431),
    [anon_sym_BSLASHglsname] = ACTIONS(7431),
    [anon_sym_BSLASHGlsname] = ACTIONS(7431),
    [anon_sym_BSLASHGLSname] = ACTIONS(7431),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7431),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7431),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7431),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7431),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7431),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7431),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7431),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7431),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7431),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7431),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7431),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7431),
    [anon_sym_BSLASHacrshort] = ACTIONS(7431),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7431),
    [anon_sym_BSLASHACRshort] = ACTIONS(7431),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHacrlong] = ACTIONS(7431),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7431),
    [anon_sym_BSLASHACRlong] = ACTIONS(7431),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7431),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7431),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7431),
    [anon_sym_BSLASHacrfull] = ACTIONS(7431),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7431),
    [anon_sym_BSLASHACRfull] = ACTIONS(7431),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHacs] = ACTIONS(7431),
    [anon_sym_BSLASHAcs] = ACTIONS(7431),
    [anon_sym_BSLASHacsp] = ACTIONS(7431),
    [anon_sym_BSLASHAcsp] = ACTIONS(7431),
    [anon_sym_BSLASHacl] = ACTIONS(7431),
    [anon_sym_BSLASHAcl] = ACTIONS(7431),
    [anon_sym_BSLASHaclp] = ACTIONS(7431),
    [anon_sym_BSLASHAclp] = ACTIONS(7431),
    [anon_sym_BSLASHacf] = ACTIONS(7431),
    [anon_sym_BSLASHAcf] = ACTIONS(7431),
    [anon_sym_BSLASHacfp] = ACTIONS(7431),
    [anon_sym_BSLASHAcfp] = ACTIONS(7431),
    [anon_sym_BSLASHac] = ACTIONS(7431),
    [anon_sym_BSLASHAc] = ACTIONS(7431),
    [anon_sym_BSLASHacp] = ACTIONS(7431),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7431),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7431),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7431),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7431),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7431),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7431),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7431),
    [anon_sym_BSLASHcolor] = ACTIONS(7431),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7431),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7431),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7431),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7431),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7431),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7431),
    [anon_sym_BSLASHurl] = ACTIONS(7431),
    [anon_sym_BSLASHhref] = ACTIONS(7431),
  },
  [686] = {
    [sym_command_name] = ACTIONS(7435),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7435),
    [anon_sym_LBRACK] = ACTIONS(7437),
    [anon_sym_RBRACK] = ACTIONS(7437),
    [anon_sym_COMMA] = ACTIONS(7437),
    [anon_sym_EQ] = ACTIONS(7437),
    [anon_sym_LPAREN] = ACTIONS(7437),
    [anon_sym_RPAREN] = ACTIONS(7437),
    [anon_sym_BSLASHpart] = ACTIONS(7435),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHaddpart] = ACTIONS(7435),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHchapter] = ACTIONS(7435),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHaddchap] = ACTIONS(7435),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHsection] = ACTIONS(7435),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHaddsec] = ACTIONS(7435),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHsubsection] = ACTIONS(7435),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7435),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHparagraph] = ACTIONS(7435),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7435),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHitem] = ACTIONS(7435),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7437),
    [anon_sym_LBRACE] = ACTIONS(7437),
    [sym_word] = ACTIONS(7435),
    [sym_placeholder] = ACTIONS(7437),
    [sym_delimiter] = ACTIONS(7437),
    [anon_sym_PLUS] = ACTIONS(7437),
    [anon_sym_DASH] = ACTIONS(7437),
    [anon_sym_STAR] = ACTIONS(7437),
    [anon_sym_SLASH] = ACTIONS(7437),
    [anon_sym_LT] = ACTIONS(7435),
    [anon_sym_GT] = ACTIONS(7435),
    [anon_sym_BANG] = ACTIONS(7435),
    [anon_sym_PIPE] = ACTIONS(7435),
    [anon_sym_COLON] = ACTIONS(7435),
    [anon_sym_SQUOTE] = ACTIONS(7435),
    [anon_sym__] = ACTIONS(7437),
    [anon_sym_CARET] = ACTIONS(7437),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7437),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7437),
    [anon_sym_DOLLAR] = ACTIONS(7435),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7437),
    [anon_sym_BSLASHleft] = ACTIONS(7435),
    [anon_sym_BSLASHbigl] = ACTIONS(7435),
    [anon_sym_BSLASHBigl] = ACTIONS(7435),
    [anon_sym_BSLASHbiggl] = ACTIONS(7435),
    [anon_sym_BSLASHBiggl] = ACTIONS(7435),
    [anon_sym_BSLASHright] = ACTIONS(7435),
    [anon_sym_BSLASHbigr] = ACTIONS(7435),
    [anon_sym_BSLASHBigr] = ACTIONS(7435),
    [anon_sym_BSLASHbiggr] = ACTIONS(7435),
    [anon_sym_BSLASHBiggr] = ACTIONS(7435),
    [anon_sym_BSLASHtext] = ACTIONS(7435),
    [anon_sym_BSLASHintertext] = ACTIONS(7435),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7435),
    [anon_sym_BSLASHbegin] = ACTIONS(7435),
    [anon_sym_BSLASHtitle] = ACTIONS(7435),
    [anon_sym_BSLASHauthor] = ACTIONS(7435),
    [anon_sym_BSLASHusepackage] = ACTIONS(7435),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7435),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7435),
    [anon_sym_BSLASHinclude] = ACTIONS(7435),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7435),
    [anon_sym_BSLASHinput] = ACTIONS(7435),
    [anon_sym_BSLASHsubfile] = ACTIONS(7435),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7435),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7435),
    [anon_sym_BSLASHbibliography] = ACTIONS(7435),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7435),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7435),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7435),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7435),
    [anon_sym_BSLASHimport] = ACTIONS(7435),
    [anon_sym_BSLASHsubimport] = ACTIONS(7435),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7435),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7435),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7435),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7435),
    [anon_sym_BSLASHcaption] = ACTIONS(7435),
    [anon_sym_BSLASHcite] = ACTIONS(7435),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHCite] = ACTIONS(7435),
    [anon_sym_BSLASHnocite] = ACTIONS(7435),
    [anon_sym_BSLASHcitet] = ACTIONS(7435),
    [anon_sym_BSLASHcitep] = ACTIONS(7435),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHciteA] = ACTIONS(7435),
    [anon_sym_BSLASHciteR] = ACTIONS(7435),
    [anon_sym_BSLASHciteS] = ACTIONS(7435),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7435),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7435),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7435),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7435),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHciteyear] = ACTIONS(7435),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcitedate] = ACTIONS(7435),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHciteurl] = ACTIONS(7435),
    [anon_sym_BSLASHfullcite] = ACTIONS(7435),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7435),
    [anon_sym_BSLASHcitealt] = ACTIONS(7435),
    [anon_sym_BSLASHcitealp] = ACTIONS(7435),
    [anon_sym_BSLASHcitetext] = ACTIONS(7435),
    [anon_sym_BSLASHparencite] = ACTIONS(7435),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHParencite] = ACTIONS(7435),
    [anon_sym_BSLASHfootcite] = ACTIONS(7435),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7435),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7435),
    [anon_sym_BSLASHtextcite] = ACTIONS(7435),
    [anon_sym_BSLASHTextcite] = ACTIONS(7435),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7435),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7435),
    [anon_sym_BSLASHsupercite] = ACTIONS(7435),
    [anon_sym_BSLASHautocite] = ACTIONS(7435),
    [anon_sym_BSLASHAutocite] = ACTIONS(7435),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHVolcite] = ACTIONS(7435),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHavolcite] = ACTIONS(7435),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHnotecite] = ACTIONS(7435),
    [anon_sym_BSLASHNotecite] = ACTIONS(7435),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7435),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7435),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7435),
    [anon_sym_BSLASHlabel] = ACTIONS(7435),
    [anon_sym_BSLASHref] = ACTIONS(7435),
    [anon_sym_BSLASHeqref] = ACTIONS(7435),
    [anon_sym_BSLASHvref] = ACTIONS(7435),
    [anon_sym_BSLASHVref] = ACTIONS(7435),
    [anon_sym_BSLASHautoref] = ACTIONS(7435),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHpageref] = ACTIONS(7435),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHautopageref] = ACTIONS(7435),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcref] = ACTIONS(7435),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHCref] = ACTIONS(7435),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcpageref] = ACTIONS(7435),
    [anon_sym_BSLASHCpageref] = ACTIONS(7435),
    [anon_sym_BSLASHnamecref] = ACTIONS(7435),
    [anon_sym_BSLASHnameCref] = ACTIONS(7435),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7435),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7435),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7435),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7435),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7435),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7435),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7435),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7435),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7435),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7435),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7435),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7435),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7435),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7435),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7435),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7435),
    [anon_sym_BSLASHdef] = ACTIONS(7435),
    [anon_sym_BSLASHgdef] = ACTIONS(7435),
    [anon_sym_BSLASHedef] = ACTIONS(7435),
    [anon_sym_BSLASHxdef] = ACTIONS(7435),
    [anon_sym_BSLASHlet] = ACTIONS(7435),
    [anon_sym_BSLASHglet] = ACTIONS(7435),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7435),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7435),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7435),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7435),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7435),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7435),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7435),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7435),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7435),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7435),
    [anon_sym_BSLASHgls] = ACTIONS(7435),
    [anon_sym_BSLASHGls] = ACTIONS(7435),
    [anon_sym_BSLASHGLS] = ACTIONS(7435),
    [anon_sym_BSLASHglspl] = ACTIONS(7435),
    [anon_sym_BSLASHGlspl] = ACTIONS(7435),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7435),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7435),
    [anon_sym_BSLASHglslink] = ACTIONS(7435),
    [anon_sym_BSLASHglstext] = ACTIONS(7435),
    [anon_sym_BSLASHGlstext] = ACTIONS(7435),
    [anon_sym_BSLASHGLStext] = ACTIONS(7435),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7435),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7435),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7435),
    [anon_sym_BSLASHglsplural] = ACTIONS(7435),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7435),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7435),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7435),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7435),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7435),
    [anon_sym_BSLASHglsname] = ACTIONS(7435),
    [anon_sym_BSLASHGlsname] = ACTIONS(7435),
    [anon_sym_BSLASHGLSname] = ACTIONS(7435),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7435),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7435),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7435),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7435),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7435),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7435),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7435),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7435),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7435),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7435),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7435),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7435),
    [anon_sym_BSLASHacrshort] = ACTIONS(7435),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7435),
    [anon_sym_BSLASHACRshort] = ACTIONS(7435),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHacrlong] = ACTIONS(7435),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7435),
    [anon_sym_BSLASHACRlong] = ACTIONS(7435),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7435),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7435),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7435),
    [anon_sym_BSLASHacrfull] = ACTIONS(7435),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7435),
    [anon_sym_BSLASHACRfull] = ACTIONS(7435),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHacs] = ACTIONS(7435),
    [anon_sym_BSLASHAcs] = ACTIONS(7435),
    [anon_sym_BSLASHacsp] = ACTIONS(7435),
    [anon_sym_BSLASHAcsp] = ACTIONS(7435),
    [anon_sym_BSLASHacl] = ACTIONS(7435),
    [anon_sym_BSLASHAcl] = ACTIONS(7435),
    [anon_sym_BSLASHaclp] = ACTIONS(7435),
    [anon_sym_BSLASHAclp] = ACTIONS(7435),
    [anon_sym_BSLASHacf] = ACTIONS(7435),
    [anon_sym_BSLASHAcf] = ACTIONS(7435),
    [anon_sym_BSLASHacfp] = ACTIONS(7435),
    [anon_sym_BSLASHAcfp] = ACTIONS(7435),
    [anon_sym_BSLASHac] = ACTIONS(7435),
    [anon_sym_BSLASHAc] = ACTIONS(7435),
    [anon_sym_BSLASHacp] = ACTIONS(7435),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7435),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7435),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7435),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7435),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7435),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7435),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7435),
    [anon_sym_BSLASHcolor] = ACTIONS(7435),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7435),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7435),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7435),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7435),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7435),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7435),
    [anon_sym_BSLASHurl] = ACTIONS(7435),
    [anon_sym_BSLASHhref] = ACTIONS(7435),
  },
  [687] = {
    [sym_command_name] = ACTIONS(7439),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7439),
    [anon_sym_LBRACK] = ACTIONS(7441),
    [anon_sym_RBRACK] = ACTIONS(7441),
    [anon_sym_COMMA] = ACTIONS(7441),
    [anon_sym_EQ] = ACTIONS(7441),
    [anon_sym_LPAREN] = ACTIONS(7441),
    [anon_sym_RPAREN] = ACTIONS(7441),
    [anon_sym_BSLASHpart] = ACTIONS(7439),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHaddpart] = ACTIONS(7439),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHchapter] = ACTIONS(7439),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHaddchap] = ACTIONS(7439),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHsection] = ACTIONS(7439),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHaddsec] = ACTIONS(7439),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHsubsection] = ACTIONS(7439),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7439),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHparagraph] = ACTIONS(7439),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7439),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHitem] = ACTIONS(7439),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7441),
    [anon_sym_LBRACE] = ACTIONS(7441),
    [sym_word] = ACTIONS(7439),
    [sym_placeholder] = ACTIONS(7441),
    [sym_delimiter] = ACTIONS(7441),
    [anon_sym_PLUS] = ACTIONS(7441),
    [anon_sym_DASH] = ACTIONS(7441),
    [anon_sym_STAR] = ACTIONS(7441),
    [anon_sym_SLASH] = ACTIONS(7441),
    [anon_sym_LT] = ACTIONS(7439),
    [anon_sym_GT] = ACTIONS(7439),
    [anon_sym_BANG] = ACTIONS(7439),
    [anon_sym_PIPE] = ACTIONS(7439),
    [anon_sym_COLON] = ACTIONS(7439),
    [anon_sym_SQUOTE] = ACTIONS(7439),
    [anon_sym__] = ACTIONS(7441),
    [anon_sym_CARET] = ACTIONS(7441),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7441),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7441),
    [anon_sym_DOLLAR] = ACTIONS(7439),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7441),
    [anon_sym_BSLASHleft] = ACTIONS(7439),
    [anon_sym_BSLASHbigl] = ACTIONS(7439),
    [anon_sym_BSLASHBigl] = ACTIONS(7439),
    [anon_sym_BSLASHbiggl] = ACTIONS(7439),
    [anon_sym_BSLASHBiggl] = ACTIONS(7439),
    [anon_sym_BSLASHright] = ACTIONS(7439),
    [anon_sym_BSLASHbigr] = ACTIONS(7439),
    [anon_sym_BSLASHBigr] = ACTIONS(7439),
    [anon_sym_BSLASHbiggr] = ACTIONS(7439),
    [anon_sym_BSLASHBiggr] = ACTIONS(7439),
    [anon_sym_BSLASHtext] = ACTIONS(7439),
    [anon_sym_BSLASHintertext] = ACTIONS(7439),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7439),
    [anon_sym_BSLASHbegin] = ACTIONS(7439),
    [anon_sym_BSLASHtitle] = ACTIONS(7439),
    [anon_sym_BSLASHauthor] = ACTIONS(7439),
    [anon_sym_BSLASHusepackage] = ACTIONS(7439),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7439),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7439),
    [anon_sym_BSLASHinclude] = ACTIONS(7439),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7439),
    [anon_sym_BSLASHinput] = ACTIONS(7439),
    [anon_sym_BSLASHsubfile] = ACTIONS(7439),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7439),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7439),
    [anon_sym_BSLASHbibliography] = ACTIONS(7439),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7439),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7439),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7439),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7439),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7439),
    [anon_sym_BSLASHimport] = ACTIONS(7439),
    [anon_sym_BSLASHsubimport] = ACTIONS(7439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7439),
    [anon_sym_BSLASHcaption] = ACTIONS(7439),
    [anon_sym_BSLASHcite] = ACTIONS(7439),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHCite] = ACTIONS(7439),
    [anon_sym_BSLASHnocite] = ACTIONS(7439),
    [anon_sym_BSLASHcitet] = ACTIONS(7439),
    [anon_sym_BSLASHcitep] = ACTIONS(7439),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHciteA] = ACTIONS(7439),
    [anon_sym_BSLASHciteR] = ACTIONS(7439),
    [anon_sym_BSLASHciteS] = ACTIONS(7439),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7439),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7439),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7439),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7439),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHciteyear] = ACTIONS(7439),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcitedate] = ACTIONS(7439),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHciteurl] = ACTIONS(7439),
    [anon_sym_BSLASHfullcite] = ACTIONS(7439),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7439),
    [anon_sym_BSLASHcitealt] = ACTIONS(7439),
    [anon_sym_BSLASHcitealp] = ACTIONS(7439),
    [anon_sym_BSLASHcitetext] = ACTIONS(7439),
    [anon_sym_BSLASHparencite] = ACTIONS(7439),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHParencite] = ACTIONS(7439),
    [anon_sym_BSLASHfootcite] = ACTIONS(7439),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7439),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7439),
    [anon_sym_BSLASHtextcite] = ACTIONS(7439),
    [anon_sym_BSLASHTextcite] = ACTIONS(7439),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7439),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7439),
    [anon_sym_BSLASHsupercite] = ACTIONS(7439),
    [anon_sym_BSLASHautocite] = ACTIONS(7439),
    [anon_sym_BSLASHAutocite] = ACTIONS(7439),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHVolcite] = ACTIONS(7439),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHavolcite] = ACTIONS(7439),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHnotecite] = ACTIONS(7439),
    [anon_sym_BSLASHNotecite] = ACTIONS(7439),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7439),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7439),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7439),
    [anon_sym_BSLASHlabel] = ACTIONS(7439),
    [anon_sym_BSLASHref] = ACTIONS(7439),
    [anon_sym_BSLASHeqref] = ACTIONS(7439),
    [anon_sym_BSLASHvref] = ACTIONS(7439),
    [anon_sym_BSLASHVref] = ACTIONS(7439),
    [anon_sym_BSLASHautoref] = ACTIONS(7439),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHpageref] = ACTIONS(7439),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHautopageref] = ACTIONS(7439),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcref] = ACTIONS(7439),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHCref] = ACTIONS(7439),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcpageref] = ACTIONS(7439),
    [anon_sym_BSLASHCpageref] = ACTIONS(7439),
    [anon_sym_BSLASHnamecref] = ACTIONS(7439),
    [anon_sym_BSLASHnameCref] = ACTIONS(7439),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7439),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7439),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7439),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7439),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7439),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7439),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7439),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7439),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7439),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7439),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7439),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7439),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7439),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7439),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7439),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7439),
    [anon_sym_BSLASHdef] = ACTIONS(7439),
    [anon_sym_BSLASHgdef] = ACTIONS(7439),
    [anon_sym_BSLASHedef] = ACTIONS(7439),
    [anon_sym_BSLASHxdef] = ACTIONS(7439),
    [anon_sym_BSLASHlet] = ACTIONS(7439),
    [anon_sym_BSLASHglet] = ACTIONS(7439),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7439),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7439),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7439),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7439),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7439),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7439),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7439),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7439),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7439),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7439),
    [anon_sym_BSLASHgls] = ACTIONS(7439),
    [anon_sym_BSLASHGls] = ACTIONS(7439),
    [anon_sym_BSLASHGLS] = ACTIONS(7439),
    [anon_sym_BSLASHglspl] = ACTIONS(7439),
    [anon_sym_BSLASHGlspl] = ACTIONS(7439),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7439),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7439),
    [anon_sym_BSLASHglslink] = ACTIONS(7439),
    [anon_sym_BSLASHglstext] = ACTIONS(7439),
    [anon_sym_BSLASHGlstext] = ACTIONS(7439),
    [anon_sym_BSLASHGLStext] = ACTIONS(7439),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7439),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7439),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7439),
    [anon_sym_BSLASHglsplural] = ACTIONS(7439),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7439),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7439),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7439),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7439),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7439),
    [anon_sym_BSLASHglsname] = ACTIONS(7439),
    [anon_sym_BSLASHGlsname] = ACTIONS(7439),
    [anon_sym_BSLASHGLSname] = ACTIONS(7439),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7439),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7439),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7439),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7439),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7439),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7439),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7439),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7439),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7439),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7439),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7439),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7439),
    [anon_sym_BSLASHacrshort] = ACTIONS(7439),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7439),
    [anon_sym_BSLASHACRshort] = ACTIONS(7439),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHacrlong] = ACTIONS(7439),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7439),
    [anon_sym_BSLASHACRlong] = ACTIONS(7439),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7439),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7439),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7439),
    [anon_sym_BSLASHacrfull] = ACTIONS(7439),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7439),
    [anon_sym_BSLASHACRfull] = ACTIONS(7439),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHacs] = ACTIONS(7439),
    [anon_sym_BSLASHAcs] = ACTIONS(7439),
    [anon_sym_BSLASHacsp] = ACTIONS(7439),
    [anon_sym_BSLASHAcsp] = ACTIONS(7439),
    [anon_sym_BSLASHacl] = ACTIONS(7439),
    [anon_sym_BSLASHAcl] = ACTIONS(7439),
    [anon_sym_BSLASHaclp] = ACTIONS(7439),
    [anon_sym_BSLASHAclp] = ACTIONS(7439),
    [anon_sym_BSLASHacf] = ACTIONS(7439),
    [anon_sym_BSLASHAcf] = ACTIONS(7439),
    [anon_sym_BSLASHacfp] = ACTIONS(7439),
    [anon_sym_BSLASHAcfp] = ACTIONS(7439),
    [anon_sym_BSLASHac] = ACTIONS(7439),
    [anon_sym_BSLASHAc] = ACTIONS(7439),
    [anon_sym_BSLASHacp] = ACTIONS(7439),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7439),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7439),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7439),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7439),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7439),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7439),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7439),
    [anon_sym_BSLASHcolor] = ACTIONS(7439),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7439),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7439),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7439),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7439),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7439),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7439),
    [anon_sym_BSLASHurl] = ACTIONS(7439),
    [anon_sym_BSLASHhref] = ACTIONS(7439),
  },
  [688] = {
    [sym_command_name] = ACTIONS(7443),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7443),
    [anon_sym_LBRACK] = ACTIONS(7445),
    [anon_sym_RBRACK] = ACTIONS(7445),
    [anon_sym_COMMA] = ACTIONS(7445),
    [anon_sym_EQ] = ACTIONS(7445),
    [anon_sym_LPAREN] = ACTIONS(7445),
    [anon_sym_RPAREN] = ACTIONS(7445),
    [anon_sym_BSLASHpart] = ACTIONS(7443),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHaddpart] = ACTIONS(7443),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHchapter] = ACTIONS(7443),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHaddchap] = ACTIONS(7443),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHsection] = ACTIONS(7443),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHaddsec] = ACTIONS(7443),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHsubsection] = ACTIONS(7443),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7443),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHparagraph] = ACTIONS(7443),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7443),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHitem] = ACTIONS(7443),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7445),
    [anon_sym_LBRACE] = ACTIONS(7445),
    [sym_word] = ACTIONS(7443),
    [sym_placeholder] = ACTIONS(7445),
    [sym_delimiter] = ACTIONS(7445),
    [anon_sym_PLUS] = ACTIONS(7445),
    [anon_sym_DASH] = ACTIONS(7445),
    [anon_sym_STAR] = ACTIONS(7445),
    [anon_sym_SLASH] = ACTIONS(7445),
    [anon_sym_LT] = ACTIONS(7443),
    [anon_sym_GT] = ACTIONS(7443),
    [anon_sym_BANG] = ACTIONS(7443),
    [anon_sym_PIPE] = ACTIONS(7443),
    [anon_sym_COLON] = ACTIONS(7443),
    [anon_sym_SQUOTE] = ACTIONS(7443),
    [anon_sym__] = ACTIONS(7445),
    [anon_sym_CARET] = ACTIONS(7445),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7445),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7445),
    [anon_sym_DOLLAR] = ACTIONS(7443),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7445),
    [anon_sym_BSLASHleft] = ACTIONS(7443),
    [anon_sym_BSLASHbigl] = ACTIONS(7443),
    [anon_sym_BSLASHBigl] = ACTIONS(7443),
    [anon_sym_BSLASHbiggl] = ACTIONS(7443),
    [anon_sym_BSLASHBiggl] = ACTIONS(7443),
    [anon_sym_BSLASHright] = ACTIONS(7443),
    [anon_sym_BSLASHbigr] = ACTIONS(7443),
    [anon_sym_BSLASHBigr] = ACTIONS(7443),
    [anon_sym_BSLASHbiggr] = ACTIONS(7443),
    [anon_sym_BSLASHBiggr] = ACTIONS(7443),
    [anon_sym_BSLASHtext] = ACTIONS(7443),
    [anon_sym_BSLASHintertext] = ACTIONS(7443),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7443),
    [anon_sym_BSLASHbegin] = ACTIONS(7443),
    [anon_sym_BSLASHtitle] = ACTIONS(7443),
    [anon_sym_BSLASHauthor] = ACTIONS(7443),
    [anon_sym_BSLASHusepackage] = ACTIONS(7443),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7443),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7443),
    [anon_sym_BSLASHinclude] = ACTIONS(7443),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7443),
    [anon_sym_BSLASHinput] = ACTIONS(7443),
    [anon_sym_BSLASHsubfile] = ACTIONS(7443),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7443),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7443),
    [anon_sym_BSLASHbibliography] = ACTIONS(7443),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7443),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7443),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7443),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7443),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7443),
    [anon_sym_BSLASHimport] = ACTIONS(7443),
    [anon_sym_BSLASHsubimport] = ACTIONS(7443),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7443),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7443),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7443),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7443),
    [anon_sym_BSLASHcaption] = ACTIONS(7443),
    [anon_sym_BSLASHcite] = ACTIONS(7443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHCite] = ACTIONS(7443),
    [anon_sym_BSLASHnocite] = ACTIONS(7443),
    [anon_sym_BSLASHcitet] = ACTIONS(7443),
    [anon_sym_BSLASHcitep] = ACTIONS(7443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHciteA] = ACTIONS(7443),
    [anon_sym_BSLASHciteR] = ACTIONS(7443),
    [anon_sym_BSLASHciteS] = ACTIONS(7443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHciteyear] = ACTIONS(7443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcitedate] = ACTIONS(7443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHciteurl] = ACTIONS(7443),
    [anon_sym_BSLASHfullcite] = ACTIONS(7443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7443),
    [anon_sym_BSLASHcitealt] = ACTIONS(7443),
    [anon_sym_BSLASHcitealp] = ACTIONS(7443),
    [anon_sym_BSLASHcitetext] = ACTIONS(7443),
    [anon_sym_BSLASHparencite] = ACTIONS(7443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHParencite] = ACTIONS(7443),
    [anon_sym_BSLASHfootcite] = ACTIONS(7443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7443),
    [anon_sym_BSLASHtextcite] = ACTIONS(7443),
    [anon_sym_BSLASHTextcite] = ACTIONS(7443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7443),
    [anon_sym_BSLASHsupercite] = ACTIONS(7443),
    [anon_sym_BSLASHautocite] = ACTIONS(7443),
    [anon_sym_BSLASHAutocite] = ACTIONS(7443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHVolcite] = ACTIONS(7443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHavolcite] = ACTIONS(7443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHnotecite] = ACTIONS(7443),
    [anon_sym_BSLASHNotecite] = ACTIONS(7443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7443),
    [anon_sym_BSLASHlabel] = ACTIONS(7443),
    [anon_sym_BSLASHref] = ACTIONS(7443),
    [anon_sym_BSLASHeqref] = ACTIONS(7443),
    [anon_sym_BSLASHvref] = ACTIONS(7443),
    [anon_sym_BSLASHVref] = ACTIONS(7443),
    [anon_sym_BSLASHautoref] = ACTIONS(7443),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHpageref] = ACTIONS(7443),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHautopageref] = ACTIONS(7443),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcref] = ACTIONS(7443),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHCref] = ACTIONS(7443),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcpageref] = ACTIONS(7443),
    [anon_sym_BSLASHCpageref] = ACTIONS(7443),
    [anon_sym_BSLASHnamecref] = ACTIONS(7443),
    [anon_sym_BSLASHnameCref] = ACTIONS(7443),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7443),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7443),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7443),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7443),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7443),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7443),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7443),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7443),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7443),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7443),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7443),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7443),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7443),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7443),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7443),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7443),
    [anon_sym_BSLASHdef] = ACTIONS(7443),
    [anon_sym_BSLASHgdef] = ACTIONS(7443),
    [anon_sym_BSLASHedef] = ACTIONS(7443),
    [anon_sym_BSLASHxdef] = ACTIONS(7443),
    [anon_sym_BSLASHlet] = ACTIONS(7443),
    [anon_sym_BSLASHglet] = ACTIONS(7443),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7443),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7443),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7443),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7443),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7443),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7443),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7443),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7443),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7443),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7443),
    [anon_sym_BSLASHgls] = ACTIONS(7443),
    [anon_sym_BSLASHGls] = ACTIONS(7443),
    [anon_sym_BSLASHGLS] = ACTIONS(7443),
    [anon_sym_BSLASHglspl] = ACTIONS(7443),
    [anon_sym_BSLASHGlspl] = ACTIONS(7443),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7443),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7443),
    [anon_sym_BSLASHglslink] = ACTIONS(7443),
    [anon_sym_BSLASHglstext] = ACTIONS(7443),
    [anon_sym_BSLASHGlstext] = ACTIONS(7443),
    [anon_sym_BSLASHGLStext] = ACTIONS(7443),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7443),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7443),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7443),
    [anon_sym_BSLASHglsplural] = ACTIONS(7443),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7443),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7443),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7443),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7443),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7443),
    [anon_sym_BSLASHglsname] = ACTIONS(7443),
    [anon_sym_BSLASHGlsname] = ACTIONS(7443),
    [anon_sym_BSLASHGLSname] = ACTIONS(7443),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7443),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7443),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7443),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7443),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7443),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7443),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7443),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7443),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7443),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7443),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7443),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7443),
    [anon_sym_BSLASHacrshort] = ACTIONS(7443),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7443),
    [anon_sym_BSLASHACRshort] = ACTIONS(7443),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHacrlong] = ACTIONS(7443),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7443),
    [anon_sym_BSLASHACRlong] = ACTIONS(7443),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7443),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7443),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7443),
    [anon_sym_BSLASHacrfull] = ACTIONS(7443),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7443),
    [anon_sym_BSLASHACRfull] = ACTIONS(7443),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHacs] = ACTIONS(7443),
    [anon_sym_BSLASHAcs] = ACTIONS(7443),
    [anon_sym_BSLASHacsp] = ACTIONS(7443),
    [anon_sym_BSLASHAcsp] = ACTIONS(7443),
    [anon_sym_BSLASHacl] = ACTIONS(7443),
    [anon_sym_BSLASHAcl] = ACTIONS(7443),
    [anon_sym_BSLASHaclp] = ACTIONS(7443),
    [anon_sym_BSLASHAclp] = ACTIONS(7443),
    [anon_sym_BSLASHacf] = ACTIONS(7443),
    [anon_sym_BSLASHAcf] = ACTIONS(7443),
    [anon_sym_BSLASHacfp] = ACTIONS(7443),
    [anon_sym_BSLASHAcfp] = ACTIONS(7443),
    [anon_sym_BSLASHac] = ACTIONS(7443),
    [anon_sym_BSLASHAc] = ACTIONS(7443),
    [anon_sym_BSLASHacp] = ACTIONS(7443),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7443),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7443),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7443),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7443),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7443),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7443),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7443),
    [anon_sym_BSLASHcolor] = ACTIONS(7443),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7443),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7443),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7443),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7443),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7443),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7443),
    [anon_sym_BSLASHurl] = ACTIONS(7443),
    [anon_sym_BSLASHhref] = ACTIONS(7443),
  },
  [689] = {
    [sym_command_name] = ACTIONS(7447),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7447),
    [anon_sym_LBRACK] = ACTIONS(7449),
    [anon_sym_RBRACK] = ACTIONS(7449),
    [anon_sym_COMMA] = ACTIONS(7449),
    [anon_sym_EQ] = ACTIONS(7449),
    [anon_sym_LPAREN] = ACTIONS(7449),
    [anon_sym_RPAREN] = ACTIONS(7449),
    [anon_sym_BSLASHpart] = ACTIONS(7447),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHaddpart] = ACTIONS(7447),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHchapter] = ACTIONS(7447),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHaddchap] = ACTIONS(7447),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHsection] = ACTIONS(7447),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHaddsec] = ACTIONS(7447),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHsubsection] = ACTIONS(7447),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7447),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHparagraph] = ACTIONS(7447),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7447),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHitem] = ACTIONS(7447),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7449),
    [anon_sym_LBRACE] = ACTIONS(7449),
    [sym_word] = ACTIONS(7447),
    [sym_placeholder] = ACTIONS(7449),
    [sym_delimiter] = ACTIONS(7449),
    [anon_sym_PLUS] = ACTIONS(7449),
    [anon_sym_DASH] = ACTIONS(7449),
    [anon_sym_STAR] = ACTIONS(7449),
    [anon_sym_SLASH] = ACTIONS(7449),
    [anon_sym_LT] = ACTIONS(7447),
    [anon_sym_GT] = ACTIONS(7447),
    [anon_sym_BANG] = ACTIONS(7447),
    [anon_sym_PIPE] = ACTIONS(7447),
    [anon_sym_COLON] = ACTIONS(7447),
    [anon_sym_SQUOTE] = ACTIONS(7447),
    [anon_sym__] = ACTIONS(7449),
    [anon_sym_CARET] = ACTIONS(7449),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7449),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7449),
    [anon_sym_DOLLAR] = ACTIONS(7447),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7449),
    [anon_sym_BSLASHleft] = ACTIONS(7447),
    [anon_sym_BSLASHbigl] = ACTIONS(7447),
    [anon_sym_BSLASHBigl] = ACTIONS(7447),
    [anon_sym_BSLASHbiggl] = ACTIONS(7447),
    [anon_sym_BSLASHBiggl] = ACTIONS(7447),
    [anon_sym_BSLASHright] = ACTIONS(7447),
    [anon_sym_BSLASHbigr] = ACTIONS(7447),
    [anon_sym_BSLASHBigr] = ACTIONS(7447),
    [anon_sym_BSLASHbiggr] = ACTIONS(7447),
    [anon_sym_BSLASHBiggr] = ACTIONS(7447),
    [anon_sym_BSLASHtext] = ACTIONS(7447),
    [anon_sym_BSLASHintertext] = ACTIONS(7447),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7447),
    [anon_sym_BSLASHbegin] = ACTIONS(7447),
    [anon_sym_BSLASHtitle] = ACTIONS(7447),
    [anon_sym_BSLASHauthor] = ACTIONS(7447),
    [anon_sym_BSLASHusepackage] = ACTIONS(7447),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7447),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7447),
    [anon_sym_BSLASHinclude] = ACTIONS(7447),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7447),
    [anon_sym_BSLASHinput] = ACTIONS(7447),
    [anon_sym_BSLASHsubfile] = ACTIONS(7447),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7447),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7447),
    [anon_sym_BSLASHbibliography] = ACTIONS(7447),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7447),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7447),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7447),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7447),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7447),
    [anon_sym_BSLASHimport] = ACTIONS(7447),
    [anon_sym_BSLASHsubimport] = ACTIONS(7447),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7447),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7447),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7447),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7447),
    [anon_sym_BSLASHcaption] = ACTIONS(7447),
    [anon_sym_BSLASHcite] = ACTIONS(7447),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHCite] = ACTIONS(7447),
    [anon_sym_BSLASHnocite] = ACTIONS(7447),
    [anon_sym_BSLASHcitet] = ACTIONS(7447),
    [anon_sym_BSLASHcitep] = ACTIONS(7447),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHciteA] = ACTIONS(7447),
    [anon_sym_BSLASHciteR] = ACTIONS(7447),
    [anon_sym_BSLASHciteS] = ACTIONS(7447),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7447),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7447),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7447),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7447),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHciteyear] = ACTIONS(7447),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcitedate] = ACTIONS(7447),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHciteurl] = ACTIONS(7447),
    [anon_sym_BSLASHfullcite] = ACTIONS(7447),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7447),
    [anon_sym_BSLASHcitealt] = ACTIONS(7447),
    [anon_sym_BSLASHcitealp] = ACTIONS(7447),
    [anon_sym_BSLASHcitetext] = ACTIONS(7447),
    [anon_sym_BSLASHparencite] = ACTIONS(7447),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHParencite] = ACTIONS(7447),
    [anon_sym_BSLASHfootcite] = ACTIONS(7447),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7447),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7447),
    [anon_sym_BSLASHtextcite] = ACTIONS(7447),
    [anon_sym_BSLASHTextcite] = ACTIONS(7447),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7447),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7447),
    [anon_sym_BSLASHsupercite] = ACTIONS(7447),
    [anon_sym_BSLASHautocite] = ACTIONS(7447),
    [anon_sym_BSLASHAutocite] = ACTIONS(7447),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHVolcite] = ACTIONS(7447),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHavolcite] = ACTIONS(7447),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHnotecite] = ACTIONS(7447),
    [anon_sym_BSLASHNotecite] = ACTIONS(7447),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7447),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7447),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7447),
    [anon_sym_BSLASHlabel] = ACTIONS(7447),
    [anon_sym_BSLASHref] = ACTIONS(7447),
    [anon_sym_BSLASHeqref] = ACTIONS(7447),
    [anon_sym_BSLASHvref] = ACTIONS(7447),
    [anon_sym_BSLASHVref] = ACTIONS(7447),
    [anon_sym_BSLASHautoref] = ACTIONS(7447),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHpageref] = ACTIONS(7447),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHautopageref] = ACTIONS(7447),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcref] = ACTIONS(7447),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHCref] = ACTIONS(7447),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcpageref] = ACTIONS(7447),
    [anon_sym_BSLASHCpageref] = ACTIONS(7447),
    [anon_sym_BSLASHnamecref] = ACTIONS(7447),
    [anon_sym_BSLASHnameCref] = ACTIONS(7447),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7447),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7447),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7447),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7447),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7447),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7447),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7447),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7447),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7447),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7447),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7447),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7447),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7447),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7447),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7447),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7447),
    [anon_sym_BSLASHdef] = ACTIONS(7447),
    [anon_sym_BSLASHgdef] = ACTIONS(7447),
    [anon_sym_BSLASHedef] = ACTIONS(7447),
    [anon_sym_BSLASHxdef] = ACTIONS(7447),
    [anon_sym_BSLASHlet] = ACTIONS(7447),
    [anon_sym_BSLASHglet] = ACTIONS(7447),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7447),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7447),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7447),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7447),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7447),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7447),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7447),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7447),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7447),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7447),
    [anon_sym_BSLASHgls] = ACTIONS(7447),
    [anon_sym_BSLASHGls] = ACTIONS(7447),
    [anon_sym_BSLASHGLS] = ACTIONS(7447),
    [anon_sym_BSLASHglspl] = ACTIONS(7447),
    [anon_sym_BSLASHGlspl] = ACTIONS(7447),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7447),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7447),
    [anon_sym_BSLASHglslink] = ACTIONS(7447),
    [anon_sym_BSLASHglstext] = ACTIONS(7447),
    [anon_sym_BSLASHGlstext] = ACTIONS(7447),
    [anon_sym_BSLASHGLStext] = ACTIONS(7447),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7447),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7447),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7447),
    [anon_sym_BSLASHglsplural] = ACTIONS(7447),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7447),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7447),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7447),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7447),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7447),
    [anon_sym_BSLASHglsname] = ACTIONS(7447),
    [anon_sym_BSLASHGlsname] = ACTIONS(7447),
    [anon_sym_BSLASHGLSname] = ACTIONS(7447),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7447),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7447),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7447),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7447),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7447),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7447),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7447),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7447),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7447),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7447),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7447),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7447),
    [anon_sym_BSLASHacrshort] = ACTIONS(7447),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7447),
    [anon_sym_BSLASHACRshort] = ACTIONS(7447),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHacrlong] = ACTIONS(7447),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7447),
    [anon_sym_BSLASHACRlong] = ACTIONS(7447),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7447),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7447),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7447),
    [anon_sym_BSLASHacrfull] = ACTIONS(7447),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7447),
    [anon_sym_BSLASHACRfull] = ACTIONS(7447),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHacs] = ACTIONS(7447),
    [anon_sym_BSLASHAcs] = ACTIONS(7447),
    [anon_sym_BSLASHacsp] = ACTIONS(7447),
    [anon_sym_BSLASHAcsp] = ACTIONS(7447),
    [anon_sym_BSLASHacl] = ACTIONS(7447),
    [anon_sym_BSLASHAcl] = ACTIONS(7447),
    [anon_sym_BSLASHaclp] = ACTIONS(7447),
    [anon_sym_BSLASHAclp] = ACTIONS(7447),
    [anon_sym_BSLASHacf] = ACTIONS(7447),
    [anon_sym_BSLASHAcf] = ACTIONS(7447),
    [anon_sym_BSLASHacfp] = ACTIONS(7447),
    [anon_sym_BSLASHAcfp] = ACTIONS(7447),
    [anon_sym_BSLASHac] = ACTIONS(7447),
    [anon_sym_BSLASHAc] = ACTIONS(7447),
    [anon_sym_BSLASHacp] = ACTIONS(7447),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7447),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7447),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7447),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7447),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7447),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7447),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7447),
    [anon_sym_BSLASHcolor] = ACTIONS(7447),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7447),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7447),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7447),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7447),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7447),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7447),
    [anon_sym_BSLASHurl] = ACTIONS(7447),
    [anon_sym_BSLASHhref] = ACTIONS(7447),
  },
  [690] = {
    [sym_command_name] = ACTIONS(7451),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7451),
    [anon_sym_LBRACK] = ACTIONS(7453),
    [anon_sym_RBRACK] = ACTIONS(7453),
    [anon_sym_COMMA] = ACTIONS(7453),
    [anon_sym_EQ] = ACTIONS(7453),
    [anon_sym_LPAREN] = ACTIONS(7453),
    [anon_sym_RPAREN] = ACTIONS(7453),
    [anon_sym_BSLASHpart] = ACTIONS(7451),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHaddpart] = ACTIONS(7451),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHchapter] = ACTIONS(7451),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHaddchap] = ACTIONS(7451),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHsection] = ACTIONS(7451),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHaddsec] = ACTIONS(7451),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHsubsection] = ACTIONS(7451),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7451),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHparagraph] = ACTIONS(7451),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7451),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHitem] = ACTIONS(7451),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7453),
    [anon_sym_LBRACE] = ACTIONS(7453),
    [sym_word] = ACTIONS(7451),
    [sym_placeholder] = ACTIONS(7453),
    [sym_delimiter] = ACTIONS(7453),
    [anon_sym_PLUS] = ACTIONS(7453),
    [anon_sym_DASH] = ACTIONS(7453),
    [anon_sym_STAR] = ACTIONS(7453),
    [anon_sym_SLASH] = ACTIONS(7453),
    [anon_sym_LT] = ACTIONS(7451),
    [anon_sym_GT] = ACTIONS(7451),
    [anon_sym_BANG] = ACTIONS(7451),
    [anon_sym_PIPE] = ACTIONS(7451),
    [anon_sym_COLON] = ACTIONS(7451),
    [anon_sym_SQUOTE] = ACTIONS(7451),
    [anon_sym__] = ACTIONS(7453),
    [anon_sym_CARET] = ACTIONS(7453),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7453),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7453),
    [anon_sym_DOLLAR] = ACTIONS(7451),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7453),
    [anon_sym_BSLASHleft] = ACTIONS(7451),
    [anon_sym_BSLASHbigl] = ACTIONS(7451),
    [anon_sym_BSLASHBigl] = ACTIONS(7451),
    [anon_sym_BSLASHbiggl] = ACTIONS(7451),
    [anon_sym_BSLASHBiggl] = ACTIONS(7451),
    [anon_sym_BSLASHright] = ACTIONS(7451),
    [anon_sym_BSLASHbigr] = ACTIONS(7451),
    [anon_sym_BSLASHBigr] = ACTIONS(7451),
    [anon_sym_BSLASHbiggr] = ACTIONS(7451),
    [anon_sym_BSLASHBiggr] = ACTIONS(7451),
    [anon_sym_BSLASHtext] = ACTIONS(7451),
    [anon_sym_BSLASHintertext] = ACTIONS(7451),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7451),
    [anon_sym_BSLASHbegin] = ACTIONS(7451),
    [anon_sym_BSLASHtitle] = ACTIONS(7451),
    [anon_sym_BSLASHauthor] = ACTIONS(7451),
    [anon_sym_BSLASHusepackage] = ACTIONS(7451),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7451),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7451),
    [anon_sym_BSLASHinclude] = ACTIONS(7451),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7451),
    [anon_sym_BSLASHinput] = ACTIONS(7451),
    [anon_sym_BSLASHsubfile] = ACTIONS(7451),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7451),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7451),
    [anon_sym_BSLASHbibliography] = ACTIONS(7451),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7451),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7451),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7451),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7451),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7451),
    [anon_sym_BSLASHimport] = ACTIONS(7451),
    [anon_sym_BSLASHsubimport] = ACTIONS(7451),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7451),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7451),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7451),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7451),
    [anon_sym_BSLASHcaption] = ACTIONS(7451),
    [anon_sym_BSLASHcite] = ACTIONS(7451),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHCite] = ACTIONS(7451),
    [anon_sym_BSLASHnocite] = ACTIONS(7451),
    [anon_sym_BSLASHcitet] = ACTIONS(7451),
    [anon_sym_BSLASHcitep] = ACTIONS(7451),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHciteA] = ACTIONS(7451),
    [anon_sym_BSLASHciteR] = ACTIONS(7451),
    [anon_sym_BSLASHciteS] = ACTIONS(7451),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7451),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7451),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7451),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7451),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHciteyear] = ACTIONS(7451),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcitedate] = ACTIONS(7451),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHciteurl] = ACTIONS(7451),
    [anon_sym_BSLASHfullcite] = ACTIONS(7451),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7451),
    [anon_sym_BSLASHcitealt] = ACTIONS(7451),
    [anon_sym_BSLASHcitealp] = ACTIONS(7451),
    [anon_sym_BSLASHcitetext] = ACTIONS(7451),
    [anon_sym_BSLASHparencite] = ACTIONS(7451),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHParencite] = ACTIONS(7451),
    [anon_sym_BSLASHfootcite] = ACTIONS(7451),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7451),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7451),
    [anon_sym_BSLASHtextcite] = ACTIONS(7451),
    [anon_sym_BSLASHTextcite] = ACTIONS(7451),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7451),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7451),
    [anon_sym_BSLASHsupercite] = ACTIONS(7451),
    [anon_sym_BSLASHautocite] = ACTIONS(7451),
    [anon_sym_BSLASHAutocite] = ACTIONS(7451),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHVolcite] = ACTIONS(7451),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHavolcite] = ACTIONS(7451),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHnotecite] = ACTIONS(7451),
    [anon_sym_BSLASHNotecite] = ACTIONS(7451),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7451),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7451),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7451),
    [anon_sym_BSLASHlabel] = ACTIONS(7451),
    [anon_sym_BSLASHref] = ACTIONS(7451),
    [anon_sym_BSLASHeqref] = ACTIONS(7451),
    [anon_sym_BSLASHvref] = ACTIONS(7451),
    [anon_sym_BSLASHVref] = ACTIONS(7451),
    [anon_sym_BSLASHautoref] = ACTIONS(7451),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHpageref] = ACTIONS(7451),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHautopageref] = ACTIONS(7451),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcref] = ACTIONS(7451),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHCref] = ACTIONS(7451),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcpageref] = ACTIONS(7451),
    [anon_sym_BSLASHCpageref] = ACTIONS(7451),
    [anon_sym_BSLASHnamecref] = ACTIONS(7451),
    [anon_sym_BSLASHnameCref] = ACTIONS(7451),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7451),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7451),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7451),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7451),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7451),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7451),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7451),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7451),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7451),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7451),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7451),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7451),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7451),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7451),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7451),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7451),
    [anon_sym_BSLASHdef] = ACTIONS(7451),
    [anon_sym_BSLASHgdef] = ACTIONS(7451),
    [anon_sym_BSLASHedef] = ACTIONS(7451),
    [anon_sym_BSLASHxdef] = ACTIONS(7451),
    [anon_sym_BSLASHlet] = ACTIONS(7451),
    [anon_sym_BSLASHglet] = ACTIONS(7451),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7451),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7451),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7451),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7451),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7451),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7451),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7451),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7451),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7451),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7451),
    [anon_sym_BSLASHgls] = ACTIONS(7451),
    [anon_sym_BSLASHGls] = ACTIONS(7451),
    [anon_sym_BSLASHGLS] = ACTIONS(7451),
    [anon_sym_BSLASHglspl] = ACTIONS(7451),
    [anon_sym_BSLASHGlspl] = ACTIONS(7451),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7451),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7451),
    [anon_sym_BSLASHglslink] = ACTIONS(7451),
    [anon_sym_BSLASHglstext] = ACTIONS(7451),
    [anon_sym_BSLASHGlstext] = ACTIONS(7451),
    [anon_sym_BSLASHGLStext] = ACTIONS(7451),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7451),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7451),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7451),
    [anon_sym_BSLASHglsplural] = ACTIONS(7451),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7451),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7451),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7451),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7451),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7451),
    [anon_sym_BSLASHglsname] = ACTIONS(7451),
    [anon_sym_BSLASHGlsname] = ACTIONS(7451),
    [anon_sym_BSLASHGLSname] = ACTIONS(7451),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7451),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7451),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7451),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7451),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7451),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7451),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7451),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7451),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7451),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7451),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7451),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7451),
    [anon_sym_BSLASHacrshort] = ACTIONS(7451),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7451),
    [anon_sym_BSLASHACRshort] = ACTIONS(7451),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHacrlong] = ACTIONS(7451),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7451),
    [anon_sym_BSLASHACRlong] = ACTIONS(7451),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7451),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7451),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7451),
    [anon_sym_BSLASHacrfull] = ACTIONS(7451),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7451),
    [anon_sym_BSLASHACRfull] = ACTIONS(7451),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHacs] = ACTIONS(7451),
    [anon_sym_BSLASHAcs] = ACTIONS(7451),
    [anon_sym_BSLASHacsp] = ACTIONS(7451),
    [anon_sym_BSLASHAcsp] = ACTIONS(7451),
    [anon_sym_BSLASHacl] = ACTIONS(7451),
    [anon_sym_BSLASHAcl] = ACTIONS(7451),
    [anon_sym_BSLASHaclp] = ACTIONS(7451),
    [anon_sym_BSLASHAclp] = ACTIONS(7451),
    [anon_sym_BSLASHacf] = ACTIONS(7451),
    [anon_sym_BSLASHAcf] = ACTIONS(7451),
    [anon_sym_BSLASHacfp] = ACTIONS(7451),
    [anon_sym_BSLASHAcfp] = ACTIONS(7451),
    [anon_sym_BSLASHac] = ACTIONS(7451),
    [anon_sym_BSLASHAc] = ACTIONS(7451),
    [anon_sym_BSLASHacp] = ACTIONS(7451),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7451),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7451),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7451),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7451),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7451),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7451),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7451),
    [anon_sym_BSLASHcolor] = ACTIONS(7451),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7451),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7451),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7451),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7451),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7451),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7451),
    [anon_sym_BSLASHurl] = ACTIONS(7451),
    [anon_sym_BSLASHhref] = ACTIONS(7451),
  },
  [691] = {
    [sym_command_name] = ACTIONS(7455),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7455),
    [anon_sym_LBRACK] = ACTIONS(7457),
    [anon_sym_RBRACK] = ACTIONS(7457),
    [anon_sym_COMMA] = ACTIONS(7457),
    [anon_sym_EQ] = ACTIONS(7457),
    [anon_sym_LPAREN] = ACTIONS(7457),
    [anon_sym_RPAREN] = ACTIONS(7457),
    [anon_sym_BSLASHpart] = ACTIONS(7455),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHaddpart] = ACTIONS(7455),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHchapter] = ACTIONS(7455),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHaddchap] = ACTIONS(7455),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHsection] = ACTIONS(7455),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHaddsec] = ACTIONS(7455),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHsubsection] = ACTIONS(7455),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7455),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHparagraph] = ACTIONS(7455),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7455),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHitem] = ACTIONS(7455),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7457),
    [anon_sym_LBRACE] = ACTIONS(7457),
    [sym_word] = ACTIONS(7455),
    [sym_placeholder] = ACTIONS(7457),
    [sym_delimiter] = ACTIONS(7457),
    [anon_sym_PLUS] = ACTIONS(7457),
    [anon_sym_DASH] = ACTIONS(7457),
    [anon_sym_STAR] = ACTIONS(7457),
    [anon_sym_SLASH] = ACTIONS(7457),
    [anon_sym_LT] = ACTIONS(7455),
    [anon_sym_GT] = ACTIONS(7455),
    [anon_sym_BANG] = ACTIONS(7455),
    [anon_sym_PIPE] = ACTIONS(7455),
    [anon_sym_COLON] = ACTIONS(7455),
    [anon_sym_SQUOTE] = ACTIONS(7455),
    [anon_sym__] = ACTIONS(7457),
    [anon_sym_CARET] = ACTIONS(7457),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7457),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7457),
    [anon_sym_DOLLAR] = ACTIONS(7455),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7457),
    [anon_sym_BSLASHleft] = ACTIONS(7455),
    [anon_sym_BSLASHbigl] = ACTIONS(7455),
    [anon_sym_BSLASHBigl] = ACTIONS(7455),
    [anon_sym_BSLASHbiggl] = ACTIONS(7455),
    [anon_sym_BSLASHBiggl] = ACTIONS(7455),
    [anon_sym_BSLASHright] = ACTIONS(7455),
    [anon_sym_BSLASHbigr] = ACTIONS(7455),
    [anon_sym_BSLASHBigr] = ACTIONS(7455),
    [anon_sym_BSLASHbiggr] = ACTIONS(7455),
    [anon_sym_BSLASHBiggr] = ACTIONS(7455),
    [anon_sym_BSLASHtext] = ACTIONS(7455),
    [anon_sym_BSLASHintertext] = ACTIONS(7455),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7455),
    [anon_sym_BSLASHbegin] = ACTIONS(7455),
    [anon_sym_BSLASHtitle] = ACTIONS(7455),
    [anon_sym_BSLASHauthor] = ACTIONS(7455),
    [anon_sym_BSLASHusepackage] = ACTIONS(7455),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7455),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7455),
    [anon_sym_BSLASHinclude] = ACTIONS(7455),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7455),
    [anon_sym_BSLASHinput] = ACTIONS(7455),
    [anon_sym_BSLASHsubfile] = ACTIONS(7455),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7455),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7455),
    [anon_sym_BSLASHbibliography] = ACTIONS(7455),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7455),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7455),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7455),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7455),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7455),
    [anon_sym_BSLASHimport] = ACTIONS(7455),
    [anon_sym_BSLASHsubimport] = ACTIONS(7455),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7455),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7455),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7455),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7455),
    [anon_sym_BSLASHcaption] = ACTIONS(7455),
    [anon_sym_BSLASHcite] = ACTIONS(7455),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHCite] = ACTIONS(7455),
    [anon_sym_BSLASHnocite] = ACTIONS(7455),
    [anon_sym_BSLASHcitet] = ACTIONS(7455),
    [anon_sym_BSLASHcitep] = ACTIONS(7455),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHciteA] = ACTIONS(7455),
    [anon_sym_BSLASHciteR] = ACTIONS(7455),
    [anon_sym_BSLASHciteS] = ACTIONS(7455),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7455),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7455),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7455),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7455),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHciteyear] = ACTIONS(7455),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcitedate] = ACTIONS(7455),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHciteurl] = ACTIONS(7455),
    [anon_sym_BSLASHfullcite] = ACTIONS(7455),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7455),
    [anon_sym_BSLASHcitealt] = ACTIONS(7455),
    [anon_sym_BSLASHcitealp] = ACTIONS(7455),
    [anon_sym_BSLASHcitetext] = ACTIONS(7455),
    [anon_sym_BSLASHparencite] = ACTIONS(7455),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHParencite] = ACTIONS(7455),
    [anon_sym_BSLASHfootcite] = ACTIONS(7455),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7455),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7455),
    [anon_sym_BSLASHtextcite] = ACTIONS(7455),
    [anon_sym_BSLASHTextcite] = ACTIONS(7455),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7455),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7455),
    [anon_sym_BSLASHsupercite] = ACTIONS(7455),
    [anon_sym_BSLASHautocite] = ACTIONS(7455),
    [anon_sym_BSLASHAutocite] = ACTIONS(7455),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHVolcite] = ACTIONS(7455),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHavolcite] = ACTIONS(7455),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHnotecite] = ACTIONS(7455),
    [anon_sym_BSLASHNotecite] = ACTIONS(7455),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7455),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7455),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7455),
    [anon_sym_BSLASHlabel] = ACTIONS(7455),
    [anon_sym_BSLASHref] = ACTIONS(7455),
    [anon_sym_BSLASHeqref] = ACTIONS(7455),
    [anon_sym_BSLASHvref] = ACTIONS(7455),
    [anon_sym_BSLASHVref] = ACTIONS(7455),
    [anon_sym_BSLASHautoref] = ACTIONS(7455),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHpageref] = ACTIONS(7455),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHautopageref] = ACTIONS(7455),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcref] = ACTIONS(7455),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHCref] = ACTIONS(7455),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcpageref] = ACTIONS(7455),
    [anon_sym_BSLASHCpageref] = ACTIONS(7455),
    [anon_sym_BSLASHnamecref] = ACTIONS(7455),
    [anon_sym_BSLASHnameCref] = ACTIONS(7455),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7455),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7455),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7455),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7455),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7455),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7455),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7455),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7455),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7455),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7455),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7455),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7455),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7455),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7455),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7455),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7455),
    [anon_sym_BSLASHdef] = ACTIONS(7455),
    [anon_sym_BSLASHgdef] = ACTIONS(7455),
    [anon_sym_BSLASHedef] = ACTIONS(7455),
    [anon_sym_BSLASHxdef] = ACTIONS(7455),
    [anon_sym_BSLASHlet] = ACTIONS(7455),
    [anon_sym_BSLASHglet] = ACTIONS(7455),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7455),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7455),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7455),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7455),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7455),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7455),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7455),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7455),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7455),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7455),
    [anon_sym_BSLASHgls] = ACTIONS(7455),
    [anon_sym_BSLASHGls] = ACTIONS(7455),
    [anon_sym_BSLASHGLS] = ACTIONS(7455),
    [anon_sym_BSLASHglspl] = ACTIONS(7455),
    [anon_sym_BSLASHGlspl] = ACTIONS(7455),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7455),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7455),
    [anon_sym_BSLASHglslink] = ACTIONS(7455),
    [anon_sym_BSLASHglstext] = ACTIONS(7455),
    [anon_sym_BSLASHGlstext] = ACTIONS(7455),
    [anon_sym_BSLASHGLStext] = ACTIONS(7455),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7455),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7455),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7455),
    [anon_sym_BSLASHglsplural] = ACTIONS(7455),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7455),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7455),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7455),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7455),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7455),
    [anon_sym_BSLASHglsname] = ACTIONS(7455),
    [anon_sym_BSLASHGlsname] = ACTIONS(7455),
    [anon_sym_BSLASHGLSname] = ACTIONS(7455),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7455),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7455),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7455),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7455),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7455),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7455),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7455),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7455),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7455),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7455),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7455),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7455),
    [anon_sym_BSLASHacrshort] = ACTIONS(7455),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7455),
    [anon_sym_BSLASHACRshort] = ACTIONS(7455),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHacrlong] = ACTIONS(7455),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7455),
    [anon_sym_BSLASHACRlong] = ACTIONS(7455),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7455),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7455),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7455),
    [anon_sym_BSLASHacrfull] = ACTIONS(7455),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7455),
    [anon_sym_BSLASHACRfull] = ACTIONS(7455),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHacs] = ACTIONS(7455),
    [anon_sym_BSLASHAcs] = ACTIONS(7455),
    [anon_sym_BSLASHacsp] = ACTIONS(7455),
    [anon_sym_BSLASHAcsp] = ACTIONS(7455),
    [anon_sym_BSLASHacl] = ACTIONS(7455),
    [anon_sym_BSLASHAcl] = ACTIONS(7455),
    [anon_sym_BSLASHaclp] = ACTIONS(7455),
    [anon_sym_BSLASHAclp] = ACTIONS(7455),
    [anon_sym_BSLASHacf] = ACTIONS(7455),
    [anon_sym_BSLASHAcf] = ACTIONS(7455),
    [anon_sym_BSLASHacfp] = ACTIONS(7455),
    [anon_sym_BSLASHAcfp] = ACTIONS(7455),
    [anon_sym_BSLASHac] = ACTIONS(7455),
    [anon_sym_BSLASHAc] = ACTIONS(7455),
    [anon_sym_BSLASHacp] = ACTIONS(7455),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7455),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7455),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7455),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7455),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7455),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7455),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7455),
    [anon_sym_BSLASHcolor] = ACTIONS(7455),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7455),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7455),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7455),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7455),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7455),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7455),
    [anon_sym_BSLASHurl] = ACTIONS(7455),
    [anon_sym_BSLASHhref] = ACTIONS(7455),
  },
  [692] = {
    [sym_command_name] = ACTIONS(7459),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7459),
    [anon_sym_LBRACK] = ACTIONS(7461),
    [anon_sym_RBRACK] = ACTIONS(7461),
    [anon_sym_COMMA] = ACTIONS(7461),
    [anon_sym_EQ] = ACTIONS(7461),
    [anon_sym_LPAREN] = ACTIONS(7461),
    [anon_sym_RPAREN] = ACTIONS(7461),
    [anon_sym_BSLASHpart] = ACTIONS(7459),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHaddpart] = ACTIONS(7459),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHchapter] = ACTIONS(7459),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHaddchap] = ACTIONS(7459),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHsection] = ACTIONS(7459),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHaddsec] = ACTIONS(7459),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHsubsection] = ACTIONS(7459),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7459),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHparagraph] = ACTIONS(7459),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7459),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHitem] = ACTIONS(7459),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7461),
    [anon_sym_LBRACE] = ACTIONS(7461),
    [sym_word] = ACTIONS(7459),
    [sym_placeholder] = ACTIONS(7461),
    [sym_delimiter] = ACTIONS(7461),
    [anon_sym_PLUS] = ACTIONS(7461),
    [anon_sym_DASH] = ACTIONS(7461),
    [anon_sym_STAR] = ACTIONS(7461),
    [anon_sym_SLASH] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(7459),
    [anon_sym_GT] = ACTIONS(7459),
    [anon_sym_BANG] = ACTIONS(7459),
    [anon_sym_PIPE] = ACTIONS(7459),
    [anon_sym_COLON] = ACTIONS(7459),
    [anon_sym_SQUOTE] = ACTIONS(7459),
    [anon_sym__] = ACTIONS(7461),
    [anon_sym_CARET] = ACTIONS(7461),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7461),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7461),
    [anon_sym_DOLLAR] = ACTIONS(7459),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7461),
    [anon_sym_BSLASHleft] = ACTIONS(7459),
    [anon_sym_BSLASHbigl] = ACTIONS(7459),
    [anon_sym_BSLASHBigl] = ACTIONS(7459),
    [anon_sym_BSLASHbiggl] = ACTIONS(7459),
    [anon_sym_BSLASHBiggl] = ACTIONS(7459),
    [anon_sym_BSLASHright] = ACTIONS(7459),
    [anon_sym_BSLASHbigr] = ACTIONS(7459),
    [anon_sym_BSLASHBigr] = ACTIONS(7459),
    [anon_sym_BSLASHbiggr] = ACTIONS(7459),
    [anon_sym_BSLASHBiggr] = ACTIONS(7459),
    [anon_sym_BSLASHtext] = ACTIONS(7459),
    [anon_sym_BSLASHintertext] = ACTIONS(7459),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7459),
    [anon_sym_BSLASHbegin] = ACTIONS(7459),
    [anon_sym_BSLASHtitle] = ACTIONS(7459),
    [anon_sym_BSLASHauthor] = ACTIONS(7459),
    [anon_sym_BSLASHusepackage] = ACTIONS(7459),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7459),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7459),
    [anon_sym_BSLASHinclude] = ACTIONS(7459),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7459),
    [anon_sym_BSLASHinput] = ACTIONS(7459),
    [anon_sym_BSLASHsubfile] = ACTIONS(7459),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7459),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7459),
    [anon_sym_BSLASHbibliography] = ACTIONS(7459),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7459),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7459),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7459),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7459),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7459),
    [anon_sym_BSLASHimport] = ACTIONS(7459),
    [anon_sym_BSLASHsubimport] = ACTIONS(7459),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7459),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7459),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7459),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7459),
    [anon_sym_BSLASHcaption] = ACTIONS(7459),
    [anon_sym_BSLASHcite] = ACTIONS(7459),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHCite] = ACTIONS(7459),
    [anon_sym_BSLASHnocite] = ACTIONS(7459),
    [anon_sym_BSLASHcitet] = ACTIONS(7459),
    [anon_sym_BSLASHcitep] = ACTIONS(7459),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHciteA] = ACTIONS(7459),
    [anon_sym_BSLASHciteR] = ACTIONS(7459),
    [anon_sym_BSLASHciteS] = ACTIONS(7459),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7459),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7459),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7459),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7459),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHciteyear] = ACTIONS(7459),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcitedate] = ACTIONS(7459),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHciteurl] = ACTIONS(7459),
    [anon_sym_BSLASHfullcite] = ACTIONS(7459),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7459),
    [anon_sym_BSLASHcitealt] = ACTIONS(7459),
    [anon_sym_BSLASHcitealp] = ACTIONS(7459),
    [anon_sym_BSLASHcitetext] = ACTIONS(7459),
    [anon_sym_BSLASHparencite] = ACTIONS(7459),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHParencite] = ACTIONS(7459),
    [anon_sym_BSLASHfootcite] = ACTIONS(7459),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7459),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7459),
    [anon_sym_BSLASHtextcite] = ACTIONS(7459),
    [anon_sym_BSLASHTextcite] = ACTIONS(7459),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7459),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7459),
    [anon_sym_BSLASHsupercite] = ACTIONS(7459),
    [anon_sym_BSLASHautocite] = ACTIONS(7459),
    [anon_sym_BSLASHAutocite] = ACTIONS(7459),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHVolcite] = ACTIONS(7459),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHavolcite] = ACTIONS(7459),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHnotecite] = ACTIONS(7459),
    [anon_sym_BSLASHNotecite] = ACTIONS(7459),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7459),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7459),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7459),
    [anon_sym_BSLASHlabel] = ACTIONS(7459),
    [anon_sym_BSLASHref] = ACTIONS(7459),
    [anon_sym_BSLASHeqref] = ACTIONS(7459),
    [anon_sym_BSLASHvref] = ACTIONS(7459),
    [anon_sym_BSLASHVref] = ACTIONS(7459),
    [anon_sym_BSLASHautoref] = ACTIONS(7459),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHpageref] = ACTIONS(7459),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHautopageref] = ACTIONS(7459),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcref] = ACTIONS(7459),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHCref] = ACTIONS(7459),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcpageref] = ACTIONS(7459),
    [anon_sym_BSLASHCpageref] = ACTIONS(7459),
    [anon_sym_BSLASHnamecref] = ACTIONS(7459),
    [anon_sym_BSLASHnameCref] = ACTIONS(7459),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7459),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7459),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7459),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7459),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7459),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7459),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7459),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7459),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7459),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7459),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7459),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7459),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7459),
    [anon_sym_BSLASHdef] = ACTIONS(7459),
    [anon_sym_BSLASHgdef] = ACTIONS(7459),
    [anon_sym_BSLASHedef] = ACTIONS(7459),
    [anon_sym_BSLASHxdef] = ACTIONS(7459),
    [anon_sym_BSLASHlet] = ACTIONS(7459),
    [anon_sym_BSLASHglet] = ACTIONS(7459),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7459),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7459),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7459),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7459),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7459),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7459),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7459),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7459),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7459),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7459),
    [anon_sym_BSLASHgls] = ACTIONS(7459),
    [anon_sym_BSLASHGls] = ACTIONS(7459),
    [anon_sym_BSLASHGLS] = ACTIONS(7459),
    [anon_sym_BSLASHglspl] = ACTIONS(7459),
    [anon_sym_BSLASHGlspl] = ACTIONS(7459),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7459),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7459),
    [anon_sym_BSLASHglslink] = ACTIONS(7459),
    [anon_sym_BSLASHglstext] = ACTIONS(7459),
    [anon_sym_BSLASHGlstext] = ACTIONS(7459),
    [anon_sym_BSLASHGLStext] = ACTIONS(7459),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7459),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7459),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7459),
    [anon_sym_BSLASHglsplural] = ACTIONS(7459),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7459),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7459),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7459),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7459),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7459),
    [anon_sym_BSLASHglsname] = ACTIONS(7459),
    [anon_sym_BSLASHGlsname] = ACTIONS(7459),
    [anon_sym_BSLASHGLSname] = ACTIONS(7459),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7459),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7459),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7459),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7459),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7459),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7459),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7459),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7459),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7459),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7459),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7459),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7459),
    [anon_sym_BSLASHacrshort] = ACTIONS(7459),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7459),
    [anon_sym_BSLASHACRshort] = ACTIONS(7459),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHacrlong] = ACTIONS(7459),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7459),
    [anon_sym_BSLASHACRlong] = ACTIONS(7459),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7459),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7459),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7459),
    [anon_sym_BSLASHacrfull] = ACTIONS(7459),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7459),
    [anon_sym_BSLASHACRfull] = ACTIONS(7459),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHacs] = ACTIONS(7459),
    [anon_sym_BSLASHAcs] = ACTIONS(7459),
    [anon_sym_BSLASHacsp] = ACTIONS(7459),
    [anon_sym_BSLASHAcsp] = ACTIONS(7459),
    [anon_sym_BSLASHacl] = ACTIONS(7459),
    [anon_sym_BSLASHAcl] = ACTIONS(7459),
    [anon_sym_BSLASHaclp] = ACTIONS(7459),
    [anon_sym_BSLASHAclp] = ACTIONS(7459),
    [anon_sym_BSLASHacf] = ACTIONS(7459),
    [anon_sym_BSLASHAcf] = ACTIONS(7459),
    [anon_sym_BSLASHacfp] = ACTIONS(7459),
    [anon_sym_BSLASHAcfp] = ACTIONS(7459),
    [anon_sym_BSLASHac] = ACTIONS(7459),
    [anon_sym_BSLASHAc] = ACTIONS(7459),
    [anon_sym_BSLASHacp] = ACTIONS(7459),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7459),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7459),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7459),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7459),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7459),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7459),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7459),
    [anon_sym_BSLASHcolor] = ACTIONS(7459),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7459),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7459),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7459),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7459),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7459),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7459),
    [anon_sym_BSLASHurl] = ACTIONS(7459),
    [anon_sym_BSLASHhref] = ACTIONS(7459),
  },
  [693] = {
    [sym_command_name] = ACTIONS(7463),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7463),
    [anon_sym_LBRACK] = ACTIONS(7465),
    [anon_sym_RBRACK] = ACTIONS(7465),
    [anon_sym_COMMA] = ACTIONS(7465),
    [anon_sym_EQ] = ACTIONS(7465),
    [anon_sym_LPAREN] = ACTIONS(7465),
    [anon_sym_RPAREN] = ACTIONS(7465),
    [anon_sym_BSLASHpart] = ACTIONS(7463),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHaddpart] = ACTIONS(7463),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHchapter] = ACTIONS(7463),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHaddchap] = ACTIONS(7463),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHsection] = ACTIONS(7463),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHaddsec] = ACTIONS(7463),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHsubsection] = ACTIONS(7463),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7463),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHparagraph] = ACTIONS(7463),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7463),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHitem] = ACTIONS(7463),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7465),
    [anon_sym_LBRACE] = ACTIONS(7465),
    [sym_word] = ACTIONS(7463),
    [sym_placeholder] = ACTIONS(7465),
    [sym_delimiter] = ACTIONS(7465),
    [anon_sym_PLUS] = ACTIONS(7465),
    [anon_sym_DASH] = ACTIONS(7465),
    [anon_sym_STAR] = ACTIONS(7465),
    [anon_sym_SLASH] = ACTIONS(7465),
    [anon_sym_LT] = ACTIONS(7463),
    [anon_sym_GT] = ACTIONS(7463),
    [anon_sym_BANG] = ACTIONS(7463),
    [anon_sym_PIPE] = ACTIONS(7463),
    [anon_sym_COLON] = ACTIONS(7463),
    [anon_sym_SQUOTE] = ACTIONS(7463),
    [anon_sym__] = ACTIONS(7465),
    [anon_sym_CARET] = ACTIONS(7465),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7465),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7465),
    [anon_sym_DOLLAR] = ACTIONS(7463),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7465),
    [anon_sym_BSLASHleft] = ACTIONS(7463),
    [anon_sym_BSLASHbigl] = ACTIONS(7463),
    [anon_sym_BSLASHBigl] = ACTIONS(7463),
    [anon_sym_BSLASHbiggl] = ACTIONS(7463),
    [anon_sym_BSLASHBiggl] = ACTIONS(7463),
    [anon_sym_BSLASHright] = ACTIONS(7463),
    [anon_sym_BSLASHbigr] = ACTIONS(7463),
    [anon_sym_BSLASHBigr] = ACTIONS(7463),
    [anon_sym_BSLASHbiggr] = ACTIONS(7463),
    [anon_sym_BSLASHBiggr] = ACTIONS(7463),
    [anon_sym_BSLASHtext] = ACTIONS(7463),
    [anon_sym_BSLASHintertext] = ACTIONS(7463),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7463),
    [anon_sym_BSLASHbegin] = ACTIONS(7463),
    [anon_sym_BSLASHtitle] = ACTIONS(7463),
    [anon_sym_BSLASHauthor] = ACTIONS(7463),
    [anon_sym_BSLASHusepackage] = ACTIONS(7463),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7463),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7463),
    [anon_sym_BSLASHinclude] = ACTIONS(7463),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7463),
    [anon_sym_BSLASHinput] = ACTIONS(7463),
    [anon_sym_BSLASHsubfile] = ACTIONS(7463),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7463),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7463),
    [anon_sym_BSLASHbibliography] = ACTIONS(7463),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7463),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7463),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7463),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7463),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7463),
    [anon_sym_BSLASHimport] = ACTIONS(7463),
    [anon_sym_BSLASHsubimport] = ACTIONS(7463),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7463),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7463),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7463),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7463),
    [anon_sym_BSLASHcaption] = ACTIONS(7463),
    [anon_sym_BSLASHcite] = ACTIONS(7463),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCite] = ACTIONS(7463),
    [anon_sym_BSLASHnocite] = ACTIONS(7463),
    [anon_sym_BSLASHcitet] = ACTIONS(7463),
    [anon_sym_BSLASHcitep] = ACTIONS(7463),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteA] = ACTIONS(7463),
    [anon_sym_BSLASHciteR] = ACTIONS(7463),
    [anon_sym_BSLASHciteS] = ACTIONS(7463),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7463),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7463),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7463),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7463),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteyear] = ACTIONS(7463),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitedate] = ACTIONS(7463),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteurl] = ACTIONS(7463),
    [anon_sym_BSLASHfullcite] = ACTIONS(7463),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7463),
    [anon_sym_BSLASHcitealt] = ACTIONS(7463),
    [anon_sym_BSLASHcitealp] = ACTIONS(7463),
    [anon_sym_BSLASHcitetext] = ACTIONS(7463),
    [anon_sym_BSLASHparencite] = ACTIONS(7463),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHParencite] = ACTIONS(7463),
    [anon_sym_BSLASHfootcite] = ACTIONS(7463),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7463),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7463),
    [anon_sym_BSLASHtextcite] = ACTIONS(7463),
    [anon_sym_BSLASHTextcite] = ACTIONS(7463),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7463),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7463),
    [anon_sym_BSLASHsupercite] = ACTIONS(7463),
    [anon_sym_BSLASHautocite] = ACTIONS(7463),
    [anon_sym_BSLASHAutocite] = ACTIONS(7463),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHVolcite] = ACTIONS(7463),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHavolcite] = ACTIONS(7463),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHNotecite] = ACTIONS(7463),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHlabel] = ACTIONS(7463),
    [anon_sym_BSLASHref] = ACTIONS(7463),
    [anon_sym_BSLASHeqref] = ACTIONS(7463),
    [anon_sym_BSLASHvref] = ACTIONS(7463),
    [anon_sym_BSLASHVref] = ACTIONS(7463),
    [anon_sym_BSLASHautoref] = ACTIONS(7463),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHpageref] = ACTIONS(7463),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHautopageref] = ACTIONS(7463),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcref] = ACTIONS(7463),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCref] = ACTIONS(7463),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcpageref] = ACTIONS(7463),
    [anon_sym_BSLASHCpageref] = ACTIONS(7463),
    [anon_sym_BSLASHnamecref] = ACTIONS(7463),
    [anon_sym_BSLASHnameCref] = ACTIONS(7463),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7463),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7463),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7463),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7463),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7463),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7463),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7463),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7463),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7463),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7463),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7463),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHdef] = ACTIONS(7463),
    [anon_sym_BSLASHgdef] = ACTIONS(7463),
    [anon_sym_BSLASHedef] = ACTIONS(7463),
    [anon_sym_BSLASHxdef] = ACTIONS(7463),
    [anon_sym_BSLASHlet] = ACTIONS(7463),
    [anon_sym_BSLASHglet] = ACTIONS(7463),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7463),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7463),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7463),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7463),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7463),
    [anon_sym_BSLASHgls] = ACTIONS(7463),
    [anon_sym_BSLASHGls] = ACTIONS(7463),
    [anon_sym_BSLASHGLS] = ACTIONS(7463),
    [anon_sym_BSLASHglspl] = ACTIONS(7463),
    [anon_sym_BSLASHGlspl] = ACTIONS(7463),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7463),
    [anon_sym_BSLASHglslink] = ACTIONS(7463),
    [anon_sym_BSLASHglstext] = ACTIONS(7463),
    [anon_sym_BSLASHGlstext] = ACTIONS(7463),
    [anon_sym_BSLASHGLStext] = ACTIONS(7463),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7463),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7463),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7463),
    [anon_sym_BSLASHglsplural] = ACTIONS(7463),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7463),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7463),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHglsname] = ACTIONS(7463),
    [anon_sym_BSLASHGlsname] = ACTIONS(7463),
    [anon_sym_BSLASHGLSname] = ACTIONS(7463),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7463),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7463),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7463),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7463),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7463),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7463),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7463),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7463),
    [anon_sym_BSLASHacrshort] = ACTIONS(7463),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7463),
    [anon_sym_BSLASHACRshort] = ACTIONS(7463),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHacrlong] = ACTIONS(7463),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7463),
    [anon_sym_BSLASHACRlong] = ACTIONS(7463),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHacrfull] = ACTIONS(7463),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7463),
    [anon_sym_BSLASHACRfull] = ACTIONS(7463),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHacs] = ACTIONS(7463),
    [anon_sym_BSLASHAcs] = ACTIONS(7463),
    [anon_sym_BSLASHacsp] = ACTIONS(7463),
    [anon_sym_BSLASHAcsp] = ACTIONS(7463),
    [anon_sym_BSLASHacl] = ACTIONS(7463),
    [anon_sym_BSLASHAcl] = ACTIONS(7463),
    [anon_sym_BSLASHaclp] = ACTIONS(7463),
    [anon_sym_BSLASHAclp] = ACTIONS(7463),
    [anon_sym_BSLASHacf] = ACTIONS(7463),
    [anon_sym_BSLASHAcf] = ACTIONS(7463),
    [anon_sym_BSLASHacfp] = ACTIONS(7463),
    [anon_sym_BSLASHAcfp] = ACTIONS(7463),
    [anon_sym_BSLASHac] = ACTIONS(7463),
    [anon_sym_BSLASHAc] = ACTIONS(7463),
    [anon_sym_BSLASHacp] = ACTIONS(7463),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7463),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7463),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7463),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7463),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7463),
    [anon_sym_BSLASHcolor] = ACTIONS(7463),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7463),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7463),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7463),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7463),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7463),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7463),
    [anon_sym_BSLASHurl] = ACTIONS(7463),
    [anon_sym_BSLASHhref] = ACTIONS(7463),
  },
  [694] = {
    [sym_command_name] = ACTIONS(7467),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7467),
    [anon_sym_LBRACK] = ACTIONS(7469),
    [anon_sym_RBRACK] = ACTIONS(7469),
    [anon_sym_COMMA] = ACTIONS(7469),
    [anon_sym_EQ] = ACTIONS(7469),
    [anon_sym_LPAREN] = ACTIONS(7469),
    [anon_sym_RPAREN] = ACTIONS(7469),
    [anon_sym_BSLASHpart] = ACTIONS(7467),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHaddpart] = ACTIONS(7467),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHchapter] = ACTIONS(7467),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHaddchap] = ACTIONS(7467),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHsection] = ACTIONS(7467),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHaddsec] = ACTIONS(7467),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHsubsection] = ACTIONS(7467),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7467),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHparagraph] = ACTIONS(7467),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7467),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHitem] = ACTIONS(7467),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7469),
    [anon_sym_LBRACE] = ACTIONS(7469),
    [sym_word] = ACTIONS(7467),
    [sym_placeholder] = ACTIONS(7469),
    [sym_delimiter] = ACTIONS(7469),
    [anon_sym_PLUS] = ACTIONS(7469),
    [anon_sym_DASH] = ACTIONS(7469),
    [anon_sym_STAR] = ACTIONS(7469),
    [anon_sym_SLASH] = ACTIONS(7469),
    [anon_sym_LT] = ACTIONS(7467),
    [anon_sym_GT] = ACTIONS(7467),
    [anon_sym_BANG] = ACTIONS(7467),
    [anon_sym_PIPE] = ACTIONS(7467),
    [anon_sym_COLON] = ACTIONS(7467),
    [anon_sym_SQUOTE] = ACTIONS(7467),
    [anon_sym__] = ACTIONS(7469),
    [anon_sym_CARET] = ACTIONS(7469),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7469),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7469),
    [anon_sym_DOLLAR] = ACTIONS(7467),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7469),
    [anon_sym_BSLASHleft] = ACTIONS(7467),
    [anon_sym_BSLASHbigl] = ACTIONS(7467),
    [anon_sym_BSLASHBigl] = ACTIONS(7467),
    [anon_sym_BSLASHbiggl] = ACTIONS(7467),
    [anon_sym_BSLASHBiggl] = ACTIONS(7467),
    [anon_sym_BSLASHright] = ACTIONS(7467),
    [anon_sym_BSLASHbigr] = ACTIONS(7467),
    [anon_sym_BSLASHBigr] = ACTIONS(7467),
    [anon_sym_BSLASHbiggr] = ACTIONS(7467),
    [anon_sym_BSLASHBiggr] = ACTIONS(7467),
    [anon_sym_BSLASHtext] = ACTIONS(7467),
    [anon_sym_BSLASHintertext] = ACTIONS(7467),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7467),
    [anon_sym_BSLASHbegin] = ACTIONS(7467),
    [anon_sym_BSLASHtitle] = ACTIONS(7467),
    [anon_sym_BSLASHauthor] = ACTIONS(7467),
    [anon_sym_BSLASHusepackage] = ACTIONS(7467),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7467),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7467),
    [anon_sym_BSLASHinclude] = ACTIONS(7467),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7467),
    [anon_sym_BSLASHinput] = ACTIONS(7467),
    [anon_sym_BSLASHsubfile] = ACTIONS(7467),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7467),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7467),
    [anon_sym_BSLASHbibliography] = ACTIONS(7467),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7467),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7467),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7467),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7467),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7467),
    [anon_sym_BSLASHimport] = ACTIONS(7467),
    [anon_sym_BSLASHsubimport] = ACTIONS(7467),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7467),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7467),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7467),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7467),
    [anon_sym_BSLASHcaption] = ACTIONS(7467),
    [anon_sym_BSLASHcite] = ACTIONS(7467),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCite] = ACTIONS(7467),
    [anon_sym_BSLASHnocite] = ACTIONS(7467),
    [anon_sym_BSLASHcitet] = ACTIONS(7467),
    [anon_sym_BSLASHcitep] = ACTIONS(7467),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteA] = ACTIONS(7467),
    [anon_sym_BSLASHciteR] = ACTIONS(7467),
    [anon_sym_BSLASHciteS] = ACTIONS(7467),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7467),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7467),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7467),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7467),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteyear] = ACTIONS(7467),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitedate] = ACTIONS(7467),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteurl] = ACTIONS(7467),
    [anon_sym_BSLASHfullcite] = ACTIONS(7467),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7467),
    [anon_sym_BSLASHcitealt] = ACTIONS(7467),
    [anon_sym_BSLASHcitealp] = ACTIONS(7467),
    [anon_sym_BSLASHcitetext] = ACTIONS(7467),
    [anon_sym_BSLASHparencite] = ACTIONS(7467),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHParencite] = ACTIONS(7467),
    [anon_sym_BSLASHfootcite] = ACTIONS(7467),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7467),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7467),
    [anon_sym_BSLASHtextcite] = ACTIONS(7467),
    [anon_sym_BSLASHTextcite] = ACTIONS(7467),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7467),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7467),
    [anon_sym_BSLASHsupercite] = ACTIONS(7467),
    [anon_sym_BSLASHautocite] = ACTIONS(7467),
    [anon_sym_BSLASHAutocite] = ACTIONS(7467),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHVolcite] = ACTIONS(7467),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHavolcite] = ACTIONS(7467),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHNotecite] = ACTIONS(7467),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHlabel] = ACTIONS(7467),
    [anon_sym_BSLASHref] = ACTIONS(7467),
    [anon_sym_BSLASHeqref] = ACTIONS(7467),
    [anon_sym_BSLASHvref] = ACTIONS(7467),
    [anon_sym_BSLASHVref] = ACTIONS(7467),
    [anon_sym_BSLASHautoref] = ACTIONS(7467),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHpageref] = ACTIONS(7467),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHautopageref] = ACTIONS(7467),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcref] = ACTIONS(7467),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCref] = ACTIONS(7467),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcpageref] = ACTIONS(7467),
    [anon_sym_BSLASHCpageref] = ACTIONS(7467),
    [anon_sym_BSLASHnamecref] = ACTIONS(7467),
    [anon_sym_BSLASHnameCref] = ACTIONS(7467),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7467),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7467),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7467),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7467),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7467),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7467),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7467),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7467),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7467),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7467),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7467),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHdef] = ACTIONS(7467),
    [anon_sym_BSLASHgdef] = ACTIONS(7467),
    [anon_sym_BSLASHedef] = ACTIONS(7467),
    [anon_sym_BSLASHxdef] = ACTIONS(7467),
    [anon_sym_BSLASHlet] = ACTIONS(7467),
    [anon_sym_BSLASHglet] = ACTIONS(7467),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7467),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7467),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7467),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7467),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7467),
    [anon_sym_BSLASHgls] = ACTIONS(7467),
    [anon_sym_BSLASHGls] = ACTIONS(7467),
    [anon_sym_BSLASHGLS] = ACTIONS(7467),
    [anon_sym_BSLASHglspl] = ACTIONS(7467),
    [anon_sym_BSLASHGlspl] = ACTIONS(7467),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7467),
    [anon_sym_BSLASHglslink] = ACTIONS(7467),
    [anon_sym_BSLASHglstext] = ACTIONS(7467),
    [anon_sym_BSLASHGlstext] = ACTIONS(7467),
    [anon_sym_BSLASHGLStext] = ACTIONS(7467),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7467),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7467),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7467),
    [anon_sym_BSLASHglsplural] = ACTIONS(7467),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7467),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7467),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHglsname] = ACTIONS(7467),
    [anon_sym_BSLASHGlsname] = ACTIONS(7467),
    [anon_sym_BSLASHGLSname] = ACTIONS(7467),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7467),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7467),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7467),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7467),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7467),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7467),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7467),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7467),
    [anon_sym_BSLASHacrshort] = ACTIONS(7467),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7467),
    [anon_sym_BSLASHACRshort] = ACTIONS(7467),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHacrlong] = ACTIONS(7467),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7467),
    [anon_sym_BSLASHACRlong] = ACTIONS(7467),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHacrfull] = ACTIONS(7467),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7467),
    [anon_sym_BSLASHACRfull] = ACTIONS(7467),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHacs] = ACTIONS(7467),
    [anon_sym_BSLASHAcs] = ACTIONS(7467),
    [anon_sym_BSLASHacsp] = ACTIONS(7467),
    [anon_sym_BSLASHAcsp] = ACTIONS(7467),
    [anon_sym_BSLASHacl] = ACTIONS(7467),
    [anon_sym_BSLASHAcl] = ACTIONS(7467),
    [anon_sym_BSLASHaclp] = ACTIONS(7467),
    [anon_sym_BSLASHAclp] = ACTIONS(7467),
    [anon_sym_BSLASHacf] = ACTIONS(7467),
    [anon_sym_BSLASHAcf] = ACTIONS(7467),
    [anon_sym_BSLASHacfp] = ACTIONS(7467),
    [anon_sym_BSLASHAcfp] = ACTIONS(7467),
    [anon_sym_BSLASHac] = ACTIONS(7467),
    [anon_sym_BSLASHAc] = ACTIONS(7467),
    [anon_sym_BSLASHacp] = ACTIONS(7467),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7467),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7467),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7467),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7467),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7467),
    [anon_sym_BSLASHcolor] = ACTIONS(7467),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7467),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7467),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7467),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7467),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7467),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7467),
    [anon_sym_BSLASHurl] = ACTIONS(7467),
    [anon_sym_BSLASHhref] = ACTIONS(7467),
  },
  [695] = {
    [sym_command_name] = ACTIONS(7471),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7471),
    [anon_sym_LBRACK] = ACTIONS(7473),
    [anon_sym_RBRACK] = ACTIONS(7473),
    [anon_sym_COMMA] = ACTIONS(7473),
    [anon_sym_EQ] = ACTIONS(7473),
    [anon_sym_LPAREN] = ACTIONS(7473),
    [anon_sym_RPAREN] = ACTIONS(7473),
    [anon_sym_BSLASHpart] = ACTIONS(7471),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHaddpart] = ACTIONS(7471),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHchapter] = ACTIONS(7471),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHaddchap] = ACTIONS(7471),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHsection] = ACTIONS(7471),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHaddsec] = ACTIONS(7471),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHsubsection] = ACTIONS(7471),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7471),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHparagraph] = ACTIONS(7471),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7471),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHitem] = ACTIONS(7471),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7473),
    [anon_sym_LBRACE] = ACTIONS(7473),
    [sym_word] = ACTIONS(7471),
    [sym_placeholder] = ACTIONS(7473),
    [sym_delimiter] = ACTIONS(7473),
    [anon_sym_PLUS] = ACTIONS(7473),
    [anon_sym_DASH] = ACTIONS(7473),
    [anon_sym_STAR] = ACTIONS(7473),
    [anon_sym_SLASH] = ACTIONS(7473),
    [anon_sym_LT] = ACTIONS(7471),
    [anon_sym_GT] = ACTIONS(7471),
    [anon_sym_BANG] = ACTIONS(7471),
    [anon_sym_PIPE] = ACTIONS(7471),
    [anon_sym_COLON] = ACTIONS(7471),
    [anon_sym_SQUOTE] = ACTIONS(7471),
    [anon_sym__] = ACTIONS(7473),
    [anon_sym_CARET] = ACTIONS(7473),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7473),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7473),
    [anon_sym_DOLLAR] = ACTIONS(7471),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7473),
    [anon_sym_BSLASHleft] = ACTIONS(7471),
    [anon_sym_BSLASHbigl] = ACTIONS(7471),
    [anon_sym_BSLASHBigl] = ACTIONS(7471),
    [anon_sym_BSLASHbiggl] = ACTIONS(7471),
    [anon_sym_BSLASHBiggl] = ACTIONS(7471),
    [anon_sym_BSLASHright] = ACTIONS(7471),
    [anon_sym_BSLASHbigr] = ACTIONS(7471),
    [anon_sym_BSLASHBigr] = ACTIONS(7471),
    [anon_sym_BSLASHbiggr] = ACTIONS(7471),
    [anon_sym_BSLASHBiggr] = ACTIONS(7471),
    [anon_sym_BSLASHtext] = ACTIONS(7471),
    [anon_sym_BSLASHintertext] = ACTIONS(7471),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7471),
    [anon_sym_BSLASHbegin] = ACTIONS(7471),
    [anon_sym_BSLASHtitle] = ACTIONS(7471),
    [anon_sym_BSLASHauthor] = ACTIONS(7471),
    [anon_sym_BSLASHusepackage] = ACTIONS(7471),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7471),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7471),
    [anon_sym_BSLASHinclude] = ACTIONS(7471),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7471),
    [anon_sym_BSLASHinput] = ACTIONS(7471),
    [anon_sym_BSLASHsubfile] = ACTIONS(7471),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7471),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7471),
    [anon_sym_BSLASHbibliography] = ACTIONS(7471),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7471),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7471),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7471),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7471),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7471),
    [anon_sym_BSLASHimport] = ACTIONS(7471),
    [anon_sym_BSLASHsubimport] = ACTIONS(7471),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7471),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7471),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7471),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7471),
    [anon_sym_BSLASHcaption] = ACTIONS(7471),
    [anon_sym_BSLASHcite] = ACTIONS(7471),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCite] = ACTIONS(7471),
    [anon_sym_BSLASHnocite] = ACTIONS(7471),
    [anon_sym_BSLASHcitet] = ACTIONS(7471),
    [anon_sym_BSLASHcitep] = ACTIONS(7471),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteA] = ACTIONS(7471),
    [anon_sym_BSLASHciteR] = ACTIONS(7471),
    [anon_sym_BSLASHciteS] = ACTIONS(7471),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7471),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7471),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7471),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7471),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteyear] = ACTIONS(7471),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitedate] = ACTIONS(7471),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteurl] = ACTIONS(7471),
    [anon_sym_BSLASHfullcite] = ACTIONS(7471),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7471),
    [anon_sym_BSLASHcitealt] = ACTIONS(7471),
    [anon_sym_BSLASHcitealp] = ACTIONS(7471),
    [anon_sym_BSLASHcitetext] = ACTIONS(7471),
    [anon_sym_BSLASHparencite] = ACTIONS(7471),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHParencite] = ACTIONS(7471),
    [anon_sym_BSLASHfootcite] = ACTIONS(7471),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7471),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7471),
    [anon_sym_BSLASHtextcite] = ACTIONS(7471),
    [anon_sym_BSLASHTextcite] = ACTIONS(7471),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7471),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7471),
    [anon_sym_BSLASHsupercite] = ACTIONS(7471),
    [anon_sym_BSLASHautocite] = ACTIONS(7471),
    [anon_sym_BSLASHAutocite] = ACTIONS(7471),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHVolcite] = ACTIONS(7471),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHavolcite] = ACTIONS(7471),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHNotecite] = ACTIONS(7471),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHlabel] = ACTIONS(7471),
    [anon_sym_BSLASHref] = ACTIONS(7471),
    [anon_sym_BSLASHeqref] = ACTIONS(7471),
    [anon_sym_BSLASHvref] = ACTIONS(7471),
    [anon_sym_BSLASHVref] = ACTIONS(7471),
    [anon_sym_BSLASHautoref] = ACTIONS(7471),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHpageref] = ACTIONS(7471),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHautopageref] = ACTIONS(7471),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcref] = ACTIONS(7471),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCref] = ACTIONS(7471),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcpageref] = ACTIONS(7471),
    [anon_sym_BSLASHCpageref] = ACTIONS(7471),
    [anon_sym_BSLASHnamecref] = ACTIONS(7471),
    [anon_sym_BSLASHnameCref] = ACTIONS(7471),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7471),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7471),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7471),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7471),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7471),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7471),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7471),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7471),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7471),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7471),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7471),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHdef] = ACTIONS(7471),
    [anon_sym_BSLASHgdef] = ACTIONS(7471),
    [anon_sym_BSLASHedef] = ACTIONS(7471),
    [anon_sym_BSLASHxdef] = ACTIONS(7471),
    [anon_sym_BSLASHlet] = ACTIONS(7471),
    [anon_sym_BSLASHglet] = ACTIONS(7471),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7471),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7471),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7471),
    [anon_sym_BSLASHgls] = ACTIONS(7471),
    [anon_sym_BSLASHGls] = ACTIONS(7471),
    [anon_sym_BSLASHGLS] = ACTIONS(7471),
    [anon_sym_BSLASHglspl] = ACTIONS(7471),
    [anon_sym_BSLASHGlspl] = ACTIONS(7471),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7471),
    [anon_sym_BSLASHglslink] = ACTIONS(7471),
    [anon_sym_BSLASHglstext] = ACTIONS(7471),
    [anon_sym_BSLASHGlstext] = ACTIONS(7471),
    [anon_sym_BSLASHGLStext] = ACTIONS(7471),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7471),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7471),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7471),
    [anon_sym_BSLASHglsplural] = ACTIONS(7471),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7471),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7471),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHglsname] = ACTIONS(7471),
    [anon_sym_BSLASHGlsname] = ACTIONS(7471),
    [anon_sym_BSLASHGLSname] = ACTIONS(7471),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7471),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7471),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7471),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7471),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7471),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7471),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7471),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7471),
    [anon_sym_BSLASHacrshort] = ACTIONS(7471),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7471),
    [anon_sym_BSLASHACRshort] = ACTIONS(7471),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHacrlong] = ACTIONS(7471),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7471),
    [anon_sym_BSLASHACRlong] = ACTIONS(7471),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHacrfull] = ACTIONS(7471),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7471),
    [anon_sym_BSLASHACRfull] = ACTIONS(7471),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHacs] = ACTIONS(7471),
    [anon_sym_BSLASHAcs] = ACTIONS(7471),
    [anon_sym_BSLASHacsp] = ACTIONS(7471),
    [anon_sym_BSLASHAcsp] = ACTIONS(7471),
    [anon_sym_BSLASHacl] = ACTIONS(7471),
    [anon_sym_BSLASHAcl] = ACTIONS(7471),
    [anon_sym_BSLASHaclp] = ACTIONS(7471),
    [anon_sym_BSLASHAclp] = ACTIONS(7471),
    [anon_sym_BSLASHacf] = ACTIONS(7471),
    [anon_sym_BSLASHAcf] = ACTIONS(7471),
    [anon_sym_BSLASHacfp] = ACTIONS(7471),
    [anon_sym_BSLASHAcfp] = ACTIONS(7471),
    [anon_sym_BSLASHac] = ACTIONS(7471),
    [anon_sym_BSLASHAc] = ACTIONS(7471),
    [anon_sym_BSLASHacp] = ACTIONS(7471),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7471),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7471),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7471),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7471),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7471),
    [anon_sym_BSLASHcolor] = ACTIONS(7471),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7471),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7471),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7471),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7471),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7471),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7471),
    [anon_sym_BSLASHurl] = ACTIONS(7471),
    [anon_sym_BSLASHhref] = ACTIONS(7471),
  },
  [696] = {
    [sym_command_name] = ACTIONS(7475),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7475),
    [anon_sym_LBRACK] = ACTIONS(7477),
    [anon_sym_RBRACK] = ACTIONS(7477),
    [anon_sym_COMMA] = ACTIONS(7477),
    [anon_sym_EQ] = ACTIONS(7477),
    [anon_sym_LPAREN] = ACTIONS(7477),
    [anon_sym_RPAREN] = ACTIONS(7477),
    [anon_sym_BSLASHpart] = ACTIONS(7475),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHaddpart] = ACTIONS(7475),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHchapter] = ACTIONS(7475),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHaddchap] = ACTIONS(7475),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHsection] = ACTIONS(7475),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHaddsec] = ACTIONS(7475),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHsubsection] = ACTIONS(7475),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7475),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHparagraph] = ACTIONS(7475),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7475),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHitem] = ACTIONS(7475),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7477),
    [anon_sym_LBRACE] = ACTIONS(7477),
    [sym_word] = ACTIONS(7475),
    [sym_placeholder] = ACTIONS(7477),
    [sym_delimiter] = ACTIONS(7477),
    [anon_sym_PLUS] = ACTIONS(7477),
    [anon_sym_DASH] = ACTIONS(7477),
    [anon_sym_STAR] = ACTIONS(7477),
    [anon_sym_SLASH] = ACTIONS(7477),
    [anon_sym_LT] = ACTIONS(7475),
    [anon_sym_GT] = ACTIONS(7475),
    [anon_sym_BANG] = ACTIONS(7475),
    [anon_sym_PIPE] = ACTIONS(7475),
    [anon_sym_COLON] = ACTIONS(7475),
    [anon_sym_SQUOTE] = ACTIONS(7475),
    [anon_sym__] = ACTIONS(7477),
    [anon_sym_CARET] = ACTIONS(7477),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7477),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7477),
    [anon_sym_DOLLAR] = ACTIONS(7475),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7477),
    [anon_sym_BSLASHleft] = ACTIONS(7475),
    [anon_sym_BSLASHbigl] = ACTIONS(7475),
    [anon_sym_BSLASHBigl] = ACTIONS(7475),
    [anon_sym_BSLASHbiggl] = ACTIONS(7475),
    [anon_sym_BSLASHBiggl] = ACTIONS(7475),
    [anon_sym_BSLASHright] = ACTIONS(7475),
    [anon_sym_BSLASHbigr] = ACTIONS(7475),
    [anon_sym_BSLASHBigr] = ACTIONS(7475),
    [anon_sym_BSLASHbiggr] = ACTIONS(7475),
    [anon_sym_BSLASHBiggr] = ACTIONS(7475),
    [anon_sym_BSLASHtext] = ACTIONS(7475),
    [anon_sym_BSLASHintertext] = ACTIONS(7475),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7475),
    [anon_sym_BSLASHbegin] = ACTIONS(7475),
    [anon_sym_BSLASHtitle] = ACTIONS(7475),
    [anon_sym_BSLASHauthor] = ACTIONS(7475),
    [anon_sym_BSLASHusepackage] = ACTIONS(7475),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7475),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7475),
    [anon_sym_BSLASHinclude] = ACTIONS(7475),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7475),
    [anon_sym_BSLASHinput] = ACTIONS(7475),
    [anon_sym_BSLASHsubfile] = ACTIONS(7475),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7475),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7475),
    [anon_sym_BSLASHbibliography] = ACTIONS(7475),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7475),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7475),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7475),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7475),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7475),
    [anon_sym_BSLASHimport] = ACTIONS(7475),
    [anon_sym_BSLASHsubimport] = ACTIONS(7475),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7475),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7475),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7475),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7475),
    [anon_sym_BSLASHcaption] = ACTIONS(7475),
    [anon_sym_BSLASHcite] = ACTIONS(7475),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCite] = ACTIONS(7475),
    [anon_sym_BSLASHnocite] = ACTIONS(7475),
    [anon_sym_BSLASHcitet] = ACTIONS(7475),
    [anon_sym_BSLASHcitep] = ACTIONS(7475),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteA] = ACTIONS(7475),
    [anon_sym_BSLASHciteR] = ACTIONS(7475),
    [anon_sym_BSLASHciteS] = ACTIONS(7475),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7475),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7475),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7475),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7475),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteyear] = ACTIONS(7475),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitedate] = ACTIONS(7475),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteurl] = ACTIONS(7475),
    [anon_sym_BSLASHfullcite] = ACTIONS(7475),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7475),
    [anon_sym_BSLASHcitealt] = ACTIONS(7475),
    [anon_sym_BSLASHcitealp] = ACTIONS(7475),
    [anon_sym_BSLASHcitetext] = ACTIONS(7475),
    [anon_sym_BSLASHparencite] = ACTIONS(7475),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHParencite] = ACTIONS(7475),
    [anon_sym_BSLASHfootcite] = ACTIONS(7475),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7475),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7475),
    [anon_sym_BSLASHtextcite] = ACTIONS(7475),
    [anon_sym_BSLASHTextcite] = ACTIONS(7475),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7475),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7475),
    [anon_sym_BSLASHsupercite] = ACTIONS(7475),
    [anon_sym_BSLASHautocite] = ACTIONS(7475),
    [anon_sym_BSLASHAutocite] = ACTIONS(7475),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHVolcite] = ACTIONS(7475),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHavolcite] = ACTIONS(7475),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHNotecite] = ACTIONS(7475),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHlabel] = ACTIONS(7475),
    [anon_sym_BSLASHref] = ACTIONS(7475),
    [anon_sym_BSLASHeqref] = ACTIONS(7475),
    [anon_sym_BSLASHvref] = ACTIONS(7475),
    [anon_sym_BSLASHVref] = ACTIONS(7475),
    [anon_sym_BSLASHautoref] = ACTIONS(7475),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHpageref] = ACTIONS(7475),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHautopageref] = ACTIONS(7475),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcref] = ACTIONS(7475),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCref] = ACTIONS(7475),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcpageref] = ACTIONS(7475),
    [anon_sym_BSLASHCpageref] = ACTIONS(7475),
    [anon_sym_BSLASHnamecref] = ACTIONS(7475),
    [anon_sym_BSLASHnameCref] = ACTIONS(7475),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7475),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7475),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7475),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7475),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7475),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7475),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7475),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7475),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7475),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7475),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7475),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHdef] = ACTIONS(7475),
    [anon_sym_BSLASHgdef] = ACTIONS(7475),
    [anon_sym_BSLASHedef] = ACTIONS(7475),
    [anon_sym_BSLASHxdef] = ACTIONS(7475),
    [anon_sym_BSLASHlet] = ACTIONS(7475),
    [anon_sym_BSLASHglet] = ACTIONS(7475),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7475),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7475),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7475),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7475),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7475),
    [anon_sym_BSLASHgls] = ACTIONS(7475),
    [anon_sym_BSLASHGls] = ACTIONS(7475),
    [anon_sym_BSLASHGLS] = ACTIONS(7475),
    [anon_sym_BSLASHglspl] = ACTIONS(7475),
    [anon_sym_BSLASHGlspl] = ACTIONS(7475),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7475),
    [anon_sym_BSLASHglslink] = ACTIONS(7475),
    [anon_sym_BSLASHglstext] = ACTIONS(7475),
    [anon_sym_BSLASHGlstext] = ACTIONS(7475),
    [anon_sym_BSLASHGLStext] = ACTIONS(7475),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7475),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7475),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7475),
    [anon_sym_BSLASHglsplural] = ACTIONS(7475),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7475),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7475),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHglsname] = ACTIONS(7475),
    [anon_sym_BSLASHGlsname] = ACTIONS(7475),
    [anon_sym_BSLASHGLSname] = ACTIONS(7475),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7475),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7475),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7475),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7475),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7475),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7475),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7475),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7475),
    [anon_sym_BSLASHacrshort] = ACTIONS(7475),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7475),
    [anon_sym_BSLASHACRshort] = ACTIONS(7475),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHacrlong] = ACTIONS(7475),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7475),
    [anon_sym_BSLASHACRlong] = ACTIONS(7475),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHacrfull] = ACTIONS(7475),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7475),
    [anon_sym_BSLASHACRfull] = ACTIONS(7475),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHacs] = ACTIONS(7475),
    [anon_sym_BSLASHAcs] = ACTIONS(7475),
    [anon_sym_BSLASHacsp] = ACTIONS(7475),
    [anon_sym_BSLASHAcsp] = ACTIONS(7475),
    [anon_sym_BSLASHacl] = ACTIONS(7475),
    [anon_sym_BSLASHAcl] = ACTIONS(7475),
    [anon_sym_BSLASHaclp] = ACTIONS(7475),
    [anon_sym_BSLASHAclp] = ACTIONS(7475),
    [anon_sym_BSLASHacf] = ACTIONS(7475),
    [anon_sym_BSLASHAcf] = ACTIONS(7475),
    [anon_sym_BSLASHacfp] = ACTIONS(7475),
    [anon_sym_BSLASHAcfp] = ACTIONS(7475),
    [anon_sym_BSLASHac] = ACTIONS(7475),
    [anon_sym_BSLASHAc] = ACTIONS(7475),
    [anon_sym_BSLASHacp] = ACTIONS(7475),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7475),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7475),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7475),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7475),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7475),
    [anon_sym_BSLASHcolor] = ACTIONS(7475),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7475),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7475),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7475),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7475),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7475),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7475),
    [anon_sym_BSLASHurl] = ACTIONS(7475),
    [anon_sym_BSLASHhref] = ACTIONS(7475),
  },
  [697] = {
    [sym_command_name] = ACTIONS(7479),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(7481),
    [anon_sym_RBRACK] = ACTIONS(7481),
    [anon_sym_COMMA] = ACTIONS(7481),
    [anon_sym_EQ] = ACTIONS(7481),
    [anon_sym_LPAREN] = ACTIONS(7481),
    [anon_sym_RPAREN] = ACTIONS(7481),
    [anon_sym_BSLASHpart] = ACTIONS(7479),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHaddpart] = ACTIONS(7479),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHchapter] = ACTIONS(7479),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHaddchap] = ACTIONS(7479),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHsection] = ACTIONS(7479),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHaddsec] = ACTIONS(7479),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHsubsection] = ACTIONS(7479),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7479),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHparagraph] = ACTIONS(7479),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7479),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHitem] = ACTIONS(7479),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7481),
    [anon_sym_LBRACE] = ACTIONS(7481),
    [sym_word] = ACTIONS(7479),
    [sym_placeholder] = ACTIONS(7481),
    [sym_delimiter] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7481),
    [anon_sym_DASH] = ACTIONS(7481),
    [anon_sym_STAR] = ACTIONS(7481),
    [anon_sym_SLASH] = ACTIONS(7481),
    [anon_sym_LT] = ACTIONS(7479),
    [anon_sym_GT] = ACTIONS(7479),
    [anon_sym_BANG] = ACTIONS(7479),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_COLON] = ACTIONS(7479),
    [anon_sym_SQUOTE] = ACTIONS(7479),
    [anon_sym__] = ACTIONS(7481),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7481),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7481),
    [anon_sym_DOLLAR] = ACTIONS(7479),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7481),
    [anon_sym_BSLASHleft] = ACTIONS(7479),
    [anon_sym_BSLASHbigl] = ACTIONS(7479),
    [anon_sym_BSLASHBigl] = ACTIONS(7479),
    [anon_sym_BSLASHbiggl] = ACTIONS(7479),
    [anon_sym_BSLASHBiggl] = ACTIONS(7479),
    [anon_sym_BSLASHright] = ACTIONS(7479),
    [anon_sym_BSLASHbigr] = ACTIONS(7479),
    [anon_sym_BSLASHBigr] = ACTIONS(7479),
    [anon_sym_BSLASHbiggr] = ACTIONS(7479),
    [anon_sym_BSLASHBiggr] = ACTIONS(7479),
    [anon_sym_BSLASHtext] = ACTIONS(7479),
    [anon_sym_BSLASHintertext] = ACTIONS(7479),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7479),
    [anon_sym_BSLASHbegin] = ACTIONS(7479),
    [anon_sym_BSLASHtitle] = ACTIONS(7479),
    [anon_sym_BSLASHauthor] = ACTIONS(7479),
    [anon_sym_BSLASHusepackage] = ACTIONS(7479),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7479),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7479),
    [anon_sym_BSLASHinclude] = ACTIONS(7479),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7479),
    [anon_sym_BSLASHinput] = ACTIONS(7479),
    [anon_sym_BSLASHsubfile] = ACTIONS(7479),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7479),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7479),
    [anon_sym_BSLASHbibliography] = ACTIONS(7479),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7479),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7479),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7479),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7479),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7479),
    [anon_sym_BSLASHimport] = ACTIONS(7479),
    [anon_sym_BSLASHsubimport] = ACTIONS(7479),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7479),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7479),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7479),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7479),
    [anon_sym_BSLASHcaption] = ACTIONS(7479),
    [anon_sym_BSLASHcite] = ACTIONS(7479),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCite] = ACTIONS(7479),
    [anon_sym_BSLASHnocite] = ACTIONS(7479),
    [anon_sym_BSLASHcitet] = ACTIONS(7479),
    [anon_sym_BSLASHcitep] = ACTIONS(7479),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteA] = ACTIONS(7479),
    [anon_sym_BSLASHciteR] = ACTIONS(7479),
    [anon_sym_BSLASHciteS] = ACTIONS(7479),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7479),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7479),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7479),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7479),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteyear] = ACTIONS(7479),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitedate] = ACTIONS(7479),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteurl] = ACTIONS(7479),
    [anon_sym_BSLASHfullcite] = ACTIONS(7479),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7479),
    [anon_sym_BSLASHcitealt] = ACTIONS(7479),
    [anon_sym_BSLASHcitealp] = ACTIONS(7479),
    [anon_sym_BSLASHcitetext] = ACTIONS(7479),
    [anon_sym_BSLASHparencite] = ACTIONS(7479),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHParencite] = ACTIONS(7479),
    [anon_sym_BSLASHfootcite] = ACTIONS(7479),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7479),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7479),
    [anon_sym_BSLASHtextcite] = ACTIONS(7479),
    [anon_sym_BSLASHTextcite] = ACTIONS(7479),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7479),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7479),
    [anon_sym_BSLASHsupercite] = ACTIONS(7479),
    [anon_sym_BSLASHautocite] = ACTIONS(7479),
    [anon_sym_BSLASHAutocite] = ACTIONS(7479),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHVolcite] = ACTIONS(7479),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHavolcite] = ACTIONS(7479),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHNotecite] = ACTIONS(7479),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHlabel] = ACTIONS(7479),
    [anon_sym_BSLASHref] = ACTIONS(7479),
    [anon_sym_BSLASHeqref] = ACTIONS(7479),
    [anon_sym_BSLASHvref] = ACTIONS(7479),
    [anon_sym_BSLASHVref] = ACTIONS(7479),
    [anon_sym_BSLASHautoref] = ACTIONS(7479),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHpageref] = ACTIONS(7479),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHautopageref] = ACTIONS(7479),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcref] = ACTIONS(7479),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCref] = ACTIONS(7479),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcpageref] = ACTIONS(7479),
    [anon_sym_BSLASHCpageref] = ACTIONS(7479),
    [anon_sym_BSLASHnamecref] = ACTIONS(7479),
    [anon_sym_BSLASHnameCref] = ACTIONS(7479),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7479),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7479),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7479),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7479),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7479),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7479),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7479),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7479),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7479),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7479),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7479),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHdef] = ACTIONS(7479),
    [anon_sym_BSLASHgdef] = ACTIONS(7479),
    [anon_sym_BSLASHedef] = ACTIONS(7479),
    [anon_sym_BSLASHxdef] = ACTIONS(7479),
    [anon_sym_BSLASHlet] = ACTIONS(7479),
    [anon_sym_BSLASHglet] = ACTIONS(7479),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7479),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7479),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7479),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7479),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7479),
    [anon_sym_BSLASHgls] = ACTIONS(7479),
    [anon_sym_BSLASHGls] = ACTIONS(7479),
    [anon_sym_BSLASHGLS] = ACTIONS(7479),
    [anon_sym_BSLASHglspl] = ACTIONS(7479),
    [anon_sym_BSLASHGlspl] = ACTIONS(7479),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7479),
    [anon_sym_BSLASHglslink] = ACTIONS(7479),
    [anon_sym_BSLASHglstext] = ACTIONS(7479),
    [anon_sym_BSLASHGlstext] = ACTIONS(7479),
    [anon_sym_BSLASHGLStext] = ACTIONS(7479),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7479),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7479),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7479),
    [anon_sym_BSLASHglsplural] = ACTIONS(7479),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7479),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7479),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHglsname] = ACTIONS(7479),
    [anon_sym_BSLASHGlsname] = ACTIONS(7479),
    [anon_sym_BSLASHGLSname] = ACTIONS(7479),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7479),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7479),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7479),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7479),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7479),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7479),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7479),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7479),
    [anon_sym_BSLASHacrshort] = ACTIONS(7479),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7479),
    [anon_sym_BSLASHACRshort] = ACTIONS(7479),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHacrlong] = ACTIONS(7479),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7479),
    [anon_sym_BSLASHACRlong] = ACTIONS(7479),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHacrfull] = ACTIONS(7479),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7479),
    [anon_sym_BSLASHACRfull] = ACTIONS(7479),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHacs] = ACTIONS(7479),
    [anon_sym_BSLASHAcs] = ACTIONS(7479),
    [anon_sym_BSLASHacsp] = ACTIONS(7479),
    [anon_sym_BSLASHAcsp] = ACTIONS(7479),
    [anon_sym_BSLASHacl] = ACTIONS(7479),
    [anon_sym_BSLASHAcl] = ACTIONS(7479),
    [anon_sym_BSLASHaclp] = ACTIONS(7479),
    [anon_sym_BSLASHAclp] = ACTIONS(7479),
    [anon_sym_BSLASHacf] = ACTIONS(7479),
    [anon_sym_BSLASHAcf] = ACTIONS(7479),
    [anon_sym_BSLASHacfp] = ACTIONS(7479),
    [anon_sym_BSLASHAcfp] = ACTIONS(7479),
    [anon_sym_BSLASHac] = ACTIONS(7479),
    [anon_sym_BSLASHAc] = ACTIONS(7479),
    [anon_sym_BSLASHacp] = ACTIONS(7479),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7479),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7479),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7479),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7479),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7479),
    [anon_sym_BSLASHcolor] = ACTIONS(7479),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7479),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7479),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7479),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7479),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7479),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7479),
    [anon_sym_BSLASHurl] = ACTIONS(7479),
    [anon_sym_BSLASHhref] = ACTIONS(7479),
  },
  [698] = {
    [sym_command_name] = ACTIONS(7483),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(7485),
    [anon_sym_RBRACK] = ACTIONS(7485),
    [anon_sym_COMMA] = ACTIONS(7485),
    [anon_sym_EQ] = ACTIONS(7485),
    [anon_sym_LPAREN] = ACTIONS(7485),
    [anon_sym_RPAREN] = ACTIONS(7485),
    [anon_sym_BSLASHpart] = ACTIONS(7483),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHaddpart] = ACTIONS(7483),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHchapter] = ACTIONS(7483),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHaddchap] = ACTIONS(7483),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHsection] = ACTIONS(7483),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHaddsec] = ACTIONS(7483),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHsubsection] = ACTIONS(7483),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7483),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHparagraph] = ACTIONS(7483),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7483),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHitem] = ACTIONS(7483),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7485),
    [anon_sym_LBRACE] = ACTIONS(7485),
    [sym_word] = ACTIONS(7483),
    [sym_placeholder] = ACTIONS(7485),
    [sym_delimiter] = ACTIONS(7485),
    [anon_sym_PLUS] = ACTIONS(7485),
    [anon_sym_DASH] = ACTIONS(7485),
    [anon_sym_STAR] = ACTIONS(7485),
    [anon_sym_SLASH] = ACTIONS(7485),
    [anon_sym_LT] = ACTIONS(7483),
    [anon_sym_GT] = ACTIONS(7483),
    [anon_sym_BANG] = ACTIONS(7483),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_COLON] = ACTIONS(7483),
    [anon_sym_SQUOTE] = ACTIONS(7483),
    [anon_sym__] = ACTIONS(7485),
    [anon_sym_CARET] = ACTIONS(7485),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7485),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7485),
    [anon_sym_DOLLAR] = ACTIONS(7483),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7485),
    [anon_sym_BSLASHleft] = ACTIONS(7483),
    [anon_sym_BSLASHbigl] = ACTIONS(7483),
    [anon_sym_BSLASHBigl] = ACTIONS(7483),
    [anon_sym_BSLASHbiggl] = ACTIONS(7483),
    [anon_sym_BSLASHBiggl] = ACTIONS(7483),
    [anon_sym_BSLASHright] = ACTIONS(7483),
    [anon_sym_BSLASHbigr] = ACTIONS(7483),
    [anon_sym_BSLASHBigr] = ACTIONS(7483),
    [anon_sym_BSLASHbiggr] = ACTIONS(7483),
    [anon_sym_BSLASHBiggr] = ACTIONS(7483),
    [anon_sym_BSLASHtext] = ACTIONS(7483),
    [anon_sym_BSLASHintertext] = ACTIONS(7483),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7483),
    [anon_sym_BSLASHbegin] = ACTIONS(7483),
    [anon_sym_BSLASHtitle] = ACTIONS(7483),
    [anon_sym_BSLASHauthor] = ACTIONS(7483),
    [anon_sym_BSLASHusepackage] = ACTIONS(7483),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7483),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7483),
    [anon_sym_BSLASHinclude] = ACTIONS(7483),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7483),
    [anon_sym_BSLASHinput] = ACTIONS(7483),
    [anon_sym_BSLASHsubfile] = ACTIONS(7483),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7483),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7483),
    [anon_sym_BSLASHbibliography] = ACTIONS(7483),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7483),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7483),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7483),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7483),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7483),
    [anon_sym_BSLASHimport] = ACTIONS(7483),
    [anon_sym_BSLASHsubimport] = ACTIONS(7483),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7483),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7483),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7483),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7483),
    [anon_sym_BSLASHcaption] = ACTIONS(7483),
    [anon_sym_BSLASHcite] = ACTIONS(7483),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCite] = ACTIONS(7483),
    [anon_sym_BSLASHnocite] = ACTIONS(7483),
    [anon_sym_BSLASHcitet] = ACTIONS(7483),
    [anon_sym_BSLASHcitep] = ACTIONS(7483),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteA] = ACTIONS(7483),
    [anon_sym_BSLASHciteR] = ACTIONS(7483),
    [anon_sym_BSLASHciteS] = ACTIONS(7483),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7483),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7483),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7483),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7483),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteyear] = ACTIONS(7483),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitedate] = ACTIONS(7483),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteurl] = ACTIONS(7483),
    [anon_sym_BSLASHfullcite] = ACTIONS(7483),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7483),
    [anon_sym_BSLASHcitealt] = ACTIONS(7483),
    [anon_sym_BSLASHcitealp] = ACTIONS(7483),
    [anon_sym_BSLASHcitetext] = ACTIONS(7483),
    [anon_sym_BSLASHparencite] = ACTIONS(7483),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHParencite] = ACTIONS(7483),
    [anon_sym_BSLASHfootcite] = ACTIONS(7483),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7483),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7483),
    [anon_sym_BSLASHtextcite] = ACTIONS(7483),
    [anon_sym_BSLASHTextcite] = ACTIONS(7483),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7483),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7483),
    [anon_sym_BSLASHsupercite] = ACTIONS(7483),
    [anon_sym_BSLASHautocite] = ACTIONS(7483),
    [anon_sym_BSLASHAutocite] = ACTIONS(7483),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHVolcite] = ACTIONS(7483),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHavolcite] = ACTIONS(7483),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHNotecite] = ACTIONS(7483),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHlabel] = ACTIONS(7483),
    [anon_sym_BSLASHref] = ACTIONS(7483),
    [anon_sym_BSLASHeqref] = ACTIONS(7483),
    [anon_sym_BSLASHvref] = ACTIONS(7483),
    [anon_sym_BSLASHVref] = ACTIONS(7483),
    [anon_sym_BSLASHautoref] = ACTIONS(7483),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHpageref] = ACTIONS(7483),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHautopageref] = ACTIONS(7483),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcref] = ACTIONS(7483),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCref] = ACTIONS(7483),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcpageref] = ACTIONS(7483),
    [anon_sym_BSLASHCpageref] = ACTIONS(7483),
    [anon_sym_BSLASHnamecref] = ACTIONS(7483),
    [anon_sym_BSLASHnameCref] = ACTIONS(7483),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7483),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7483),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7483),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7483),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7483),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7483),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7483),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7483),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7483),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7483),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7483),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHdef] = ACTIONS(7483),
    [anon_sym_BSLASHgdef] = ACTIONS(7483),
    [anon_sym_BSLASHedef] = ACTIONS(7483),
    [anon_sym_BSLASHxdef] = ACTIONS(7483),
    [anon_sym_BSLASHlet] = ACTIONS(7483),
    [anon_sym_BSLASHglet] = ACTIONS(7483),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7483),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7483),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7483),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7483),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7483),
    [anon_sym_BSLASHgls] = ACTIONS(7483),
    [anon_sym_BSLASHGls] = ACTIONS(7483),
    [anon_sym_BSLASHGLS] = ACTIONS(7483),
    [anon_sym_BSLASHglspl] = ACTIONS(7483),
    [anon_sym_BSLASHGlspl] = ACTIONS(7483),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7483),
    [anon_sym_BSLASHglslink] = ACTIONS(7483),
    [anon_sym_BSLASHglstext] = ACTIONS(7483),
    [anon_sym_BSLASHGlstext] = ACTIONS(7483),
    [anon_sym_BSLASHGLStext] = ACTIONS(7483),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7483),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7483),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7483),
    [anon_sym_BSLASHglsplural] = ACTIONS(7483),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7483),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7483),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHglsname] = ACTIONS(7483),
    [anon_sym_BSLASHGlsname] = ACTIONS(7483),
    [anon_sym_BSLASHGLSname] = ACTIONS(7483),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7483),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7483),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7483),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7483),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7483),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7483),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7483),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7483),
    [anon_sym_BSLASHacrshort] = ACTIONS(7483),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7483),
    [anon_sym_BSLASHACRshort] = ACTIONS(7483),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHacrlong] = ACTIONS(7483),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7483),
    [anon_sym_BSLASHACRlong] = ACTIONS(7483),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHacrfull] = ACTIONS(7483),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7483),
    [anon_sym_BSLASHACRfull] = ACTIONS(7483),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHacs] = ACTIONS(7483),
    [anon_sym_BSLASHAcs] = ACTIONS(7483),
    [anon_sym_BSLASHacsp] = ACTIONS(7483),
    [anon_sym_BSLASHAcsp] = ACTIONS(7483),
    [anon_sym_BSLASHacl] = ACTIONS(7483),
    [anon_sym_BSLASHAcl] = ACTIONS(7483),
    [anon_sym_BSLASHaclp] = ACTIONS(7483),
    [anon_sym_BSLASHAclp] = ACTIONS(7483),
    [anon_sym_BSLASHacf] = ACTIONS(7483),
    [anon_sym_BSLASHAcf] = ACTIONS(7483),
    [anon_sym_BSLASHacfp] = ACTIONS(7483),
    [anon_sym_BSLASHAcfp] = ACTIONS(7483),
    [anon_sym_BSLASHac] = ACTIONS(7483),
    [anon_sym_BSLASHAc] = ACTIONS(7483),
    [anon_sym_BSLASHacp] = ACTIONS(7483),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7483),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7483),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7483),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7483),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7483),
    [anon_sym_BSLASHcolor] = ACTIONS(7483),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7483),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7483),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7483),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7483),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7483),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7483),
    [anon_sym_BSLASHurl] = ACTIONS(7483),
    [anon_sym_BSLASHhref] = ACTIONS(7483),
  },
  [699] = {
    [sym_command_name] = ACTIONS(7487),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7487),
    [anon_sym_LBRACK] = ACTIONS(7489),
    [anon_sym_RBRACK] = ACTIONS(7489),
    [anon_sym_COMMA] = ACTIONS(7489),
    [anon_sym_EQ] = ACTIONS(7489),
    [anon_sym_LPAREN] = ACTIONS(7489),
    [anon_sym_RPAREN] = ACTIONS(7489),
    [anon_sym_BSLASHpart] = ACTIONS(7487),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHaddpart] = ACTIONS(7487),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHchapter] = ACTIONS(7487),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHaddchap] = ACTIONS(7487),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHsection] = ACTIONS(7487),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHaddsec] = ACTIONS(7487),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHsubsection] = ACTIONS(7487),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7487),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHparagraph] = ACTIONS(7487),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7487),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHitem] = ACTIONS(7487),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7489),
    [anon_sym_LBRACE] = ACTIONS(7489),
    [sym_word] = ACTIONS(7487),
    [sym_placeholder] = ACTIONS(7489),
    [sym_delimiter] = ACTIONS(7489),
    [anon_sym_PLUS] = ACTIONS(7489),
    [anon_sym_DASH] = ACTIONS(7489),
    [anon_sym_STAR] = ACTIONS(7489),
    [anon_sym_SLASH] = ACTIONS(7489),
    [anon_sym_LT] = ACTIONS(7487),
    [anon_sym_GT] = ACTIONS(7487),
    [anon_sym_BANG] = ACTIONS(7487),
    [anon_sym_PIPE] = ACTIONS(7487),
    [anon_sym_COLON] = ACTIONS(7487),
    [anon_sym_SQUOTE] = ACTIONS(7487),
    [anon_sym__] = ACTIONS(7489),
    [anon_sym_CARET] = ACTIONS(7489),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7489),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7489),
    [anon_sym_DOLLAR] = ACTIONS(7487),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7489),
    [anon_sym_BSLASHleft] = ACTIONS(7487),
    [anon_sym_BSLASHbigl] = ACTIONS(7487),
    [anon_sym_BSLASHBigl] = ACTIONS(7487),
    [anon_sym_BSLASHbiggl] = ACTIONS(7487),
    [anon_sym_BSLASHBiggl] = ACTIONS(7487),
    [anon_sym_BSLASHright] = ACTIONS(7487),
    [anon_sym_BSLASHbigr] = ACTIONS(7487),
    [anon_sym_BSLASHBigr] = ACTIONS(7487),
    [anon_sym_BSLASHbiggr] = ACTIONS(7487),
    [anon_sym_BSLASHBiggr] = ACTIONS(7487),
    [anon_sym_BSLASHtext] = ACTIONS(7487),
    [anon_sym_BSLASHintertext] = ACTIONS(7487),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7487),
    [anon_sym_BSLASHbegin] = ACTIONS(7487),
    [anon_sym_BSLASHtitle] = ACTIONS(7487),
    [anon_sym_BSLASHauthor] = ACTIONS(7487),
    [anon_sym_BSLASHusepackage] = ACTIONS(7487),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7487),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7487),
    [anon_sym_BSLASHinclude] = ACTIONS(7487),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7487),
    [anon_sym_BSLASHinput] = ACTIONS(7487),
    [anon_sym_BSLASHsubfile] = ACTIONS(7487),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7487),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7487),
    [anon_sym_BSLASHbibliography] = ACTIONS(7487),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7487),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7487),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7487),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7487),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7487),
    [anon_sym_BSLASHimport] = ACTIONS(7487),
    [anon_sym_BSLASHsubimport] = ACTIONS(7487),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7487),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7487),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7487),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7487),
    [anon_sym_BSLASHcaption] = ACTIONS(7487),
    [anon_sym_BSLASHcite] = ACTIONS(7487),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCite] = ACTIONS(7487),
    [anon_sym_BSLASHnocite] = ACTIONS(7487),
    [anon_sym_BSLASHcitet] = ACTIONS(7487),
    [anon_sym_BSLASHcitep] = ACTIONS(7487),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteA] = ACTIONS(7487),
    [anon_sym_BSLASHciteR] = ACTIONS(7487),
    [anon_sym_BSLASHciteS] = ACTIONS(7487),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7487),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7487),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7487),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7487),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteyear] = ACTIONS(7487),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitedate] = ACTIONS(7487),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteurl] = ACTIONS(7487),
    [anon_sym_BSLASHfullcite] = ACTIONS(7487),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7487),
    [anon_sym_BSLASHcitealt] = ACTIONS(7487),
    [anon_sym_BSLASHcitealp] = ACTIONS(7487),
    [anon_sym_BSLASHcitetext] = ACTIONS(7487),
    [anon_sym_BSLASHparencite] = ACTIONS(7487),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHParencite] = ACTIONS(7487),
    [anon_sym_BSLASHfootcite] = ACTIONS(7487),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7487),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7487),
    [anon_sym_BSLASHtextcite] = ACTIONS(7487),
    [anon_sym_BSLASHTextcite] = ACTIONS(7487),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7487),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7487),
    [anon_sym_BSLASHsupercite] = ACTIONS(7487),
    [anon_sym_BSLASHautocite] = ACTIONS(7487),
    [anon_sym_BSLASHAutocite] = ACTIONS(7487),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHVolcite] = ACTIONS(7487),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHavolcite] = ACTIONS(7487),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHNotecite] = ACTIONS(7487),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHlabel] = ACTIONS(7487),
    [anon_sym_BSLASHref] = ACTIONS(7487),
    [anon_sym_BSLASHeqref] = ACTIONS(7487),
    [anon_sym_BSLASHvref] = ACTIONS(7487),
    [anon_sym_BSLASHVref] = ACTIONS(7487),
    [anon_sym_BSLASHautoref] = ACTIONS(7487),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHpageref] = ACTIONS(7487),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHautopageref] = ACTIONS(7487),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcref] = ACTIONS(7487),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCref] = ACTIONS(7487),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcpageref] = ACTIONS(7487),
    [anon_sym_BSLASHCpageref] = ACTIONS(7487),
    [anon_sym_BSLASHnamecref] = ACTIONS(7487),
    [anon_sym_BSLASHnameCref] = ACTIONS(7487),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7487),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7487),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7487),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7487),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7487),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7487),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7487),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7487),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7487),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7487),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7487),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHdef] = ACTIONS(7487),
    [anon_sym_BSLASHgdef] = ACTIONS(7487),
    [anon_sym_BSLASHedef] = ACTIONS(7487),
    [anon_sym_BSLASHxdef] = ACTIONS(7487),
    [anon_sym_BSLASHlet] = ACTIONS(7487),
    [anon_sym_BSLASHglet] = ACTIONS(7487),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7487),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7487),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7487),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7487),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7487),
    [anon_sym_BSLASHgls] = ACTIONS(7487),
    [anon_sym_BSLASHGls] = ACTIONS(7487),
    [anon_sym_BSLASHGLS] = ACTIONS(7487),
    [anon_sym_BSLASHglspl] = ACTIONS(7487),
    [anon_sym_BSLASHGlspl] = ACTIONS(7487),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7487),
    [anon_sym_BSLASHglslink] = ACTIONS(7487),
    [anon_sym_BSLASHglstext] = ACTIONS(7487),
    [anon_sym_BSLASHGlstext] = ACTIONS(7487),
    [anon_sym_BSLASHGLStext] = ACTIONS(7487),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7487),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7487),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7487),
    [anon_sym_BSLASHglsplural] = ACTIONS(7487),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7487),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7487),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHglsname] = ACTIONS(7487),
    [anon_sym_BSLASHGlsname] = ACTIONS(7487),
    [anon_sym_BSLASHGLSname] = ACTIONS(7487),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7487),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7487),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7487),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7487),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7487),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7487),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7487),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7487),
    [anon_sym_BSLASHacrshort] = ACTIONS(7487),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7487),
    [anon_sym_BSLASHACRshort] = ACTIONS(7487),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHacrlong] = ACTIONS(7487),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7487),
    [anon_sym_BSLASHACRlong] = ACTIONS(7487),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHacrfull] = ACTIONS(7487),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7487),
    [anon_sym_BSLASHACRfull] = ACTIONS(7487),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHacs] = ACTIONS(7487),
    [anon_sym_BSLASHAcs] = ACTIONS(7487),
    [anon_sym_BSLASHacsp] = ACTIONS(7487),
    [anon_sym_BSLASHAcsp] = ACTIONS(7487),
    [anon_sym_BSLASHacl] = ACTIONS(7487),
    [anon_sym_BSLASHAcl] = ACTIONS(7487),
    [anon_sym_BSLASHaclp] = ACTIONS(7487),
    [anon_sym_BSLASHAclp] = ACTIONS(7487),
    [anon_sym_BSLASHacf] = ACTIONS(7487),
    [anon_sym_BSLASHAcf] = ACTIONS(7487),
    [anon_sym_BSLASHacfp] = ACTIONS(7487),
    [anon_sym_BSLASHAcfp] = ACTIONS(7487),
    [anon_sym_BSLASHac] = ACTIONS(7487),
    [anon_sym_BSLASHAc] = ACTIONS(7487),
    [anon_sym_BSLASHacp] = ACTIONS(7487),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7487),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7487),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7487),
    [anon_sym_BSLASHcolor] = ACTIONS(7487),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7487),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7487),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7487),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7487),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7487),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7487),
    [anon_sym_BSLASHurl] = ACTIONS(7487),
    [anon_sym_BSLASHhref] = ACTIONS(7487),
  },
  [700] = {
    [sym_command_name] = ACTIONS(7491),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(7493),
    [anon_sym_RBRACK] = ACTIONS(7493),
    [anon_sym_COMMA] = ACTIONS(7493),
    [anon_sym_EQ] = ACTIONS(7493),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_RPAREN] = ACTIONS(7493),
    [anon_sym_BSLASHpart] = ACTIONS(7491),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHaddpart] = ACTIONS(7491),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHchapter] = ACTIONS(7491),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHaddchap] = ACTIONS(7491),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHsection] = ACTIONS(7491),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHaddsec] = ACTIONS(7491),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHsubsection] = ACTIONS(7491),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7491),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHparagraph] = ACTIONS(7491),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7491),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHitem] = ACTIONS(7491),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7493),
    [anon_sym_LBRACE] = ACTIONS(7493),
    [sym_word] = ACTIONS(7491),
    [sym_placeholder] = ACTIONS(7493),
    [sym_delimiter] = ACTIONS(7493),
    [anon_sym_PLUS] = ACTIONS(7493),
    [anon_sym_DASH] = ACTIONS(7493),
    [anon_sym_STAR] = ACTIONS(7493),
    [anon_sym_SLASH] = ACTIONS(7493),
    [anon_sym_LT] = ACTIONS(7491),
    [anon_sym_GT] = ACTIONS(7491),
    [anon_sym_BANG] = ACTIONS(7491),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_COLON] = ACTIONS(7491),
    [anon_sym_SQUOTE] = ACTIONS(7491),
    [anon_sym__] = ACTIONS(7493),
    [anon_sym_CARET] = ACTIONS(7493),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7493),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7493),
    [anon_sym_DOLLAR] = ACTIONS(7491),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7493),
    [anon_sym_BSLASHleft] = ACTIONS(7491),
    [anon_sym_BSLASHbigl] = ACTIONS(7491),
    [anon_sym_BSLASHBigl] = ACTIONS(7491),
    [anon_sym_BSLASHbiggl] = ACTIONS(7491),
    [anon_sym_BSLASHBiggl] = ACTIONS(7491),
    [anon_sym_BSLASHright] = ACTIONS(7491),
    [anon_sym_BSLASHbigr] = ACTIONS(7491),
    [anon_sym_BSLASHBigr] = ACTIONS(7491),
    [anon_sym_BSLASHbiggr] = ACTIONS(7491),
    [anon_sym_BSLASHBiggr] = ACTIONS(7491),
    [anon_sym_BSLASHtext] = ACTIONS(7491),
    [anon_sym_BSLASHintertext] = ACTIONS(7491),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7491),
    [anon_sym_BSLASHbegin] = ACTIONS(7491),
    [anon_sym_BSLASHtitle] = ACTIONS(7491),
    [anon_sym_BSLASHauthor] = ACTIONS(7491),
    [anon_sym_BSLASHusepackage] = ACTIONS(7491),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7491),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7491),
    [anon_sym_BSLASHinclude] = ACTIONS(7491),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7491),
    [anon_sym_BSLASHinput] = ACTIONS(7491),
    [anon_sym_BSLASHsubfile] = ACTIONS(7491),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7491),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7491),
    [anon_sym_BSLASHbibliography] = ACTIONS(7491),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7491),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7491),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7491),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7491),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7491),
    [anon_sym_BSLASHimport] = ACTIONS(7491),
    [anon_sym_BSLASHsubimport] = ACTIONS(7491),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7491),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7491),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7491),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7491),
    [anon_sym_BSLASHcaption] = ACTIONS(7491),
    [anon_sym_BSLASHcite] = ACTIONS(7491),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCite] = ACTIONS(7491),
    [anon_sym_BSLASHnocite] = ACTIONS(7491),
    [anon_sym_BSLASHcitet] = ACTIONS(7491),
    [anon_sym_BSLASHcitep] = ACTIONS(7491),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteA] = ACTIONS(7491),
    [anon_sym_BSLASHciteR] = ACTIONS(7491),
    [anon_sym_BSLASHciteS] = ACTIONS(7491),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7491),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7491),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7491),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7491),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteyear] = ACTIONS(7491),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitedate] = ACTIONS(7491),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteurl] = ACTIONS(7491),
    [anon_sym_BSLASHfullcite] = ACTIONS(7491),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7491),
    [anon_sym_BSLASHcitealt] = ACTIONS(7491),
    [anon_sym_BSLASHcitealp] = ACTIONS(7491),
    [anon_sym_BSLASHcitetext] = ACTIONS(7491),
    [anon_sym_BSLASHparencite] = ACTIONS(7491),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHParencite] = ACTIONS(7491),
    [anon_sym_BSLASHfootcite] = ACTIONS(7491),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7491),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7491),
    [anon_sym_BSLASHtextcite] = ACTIONS(7491),
    [anon_sym_BSLASHTextcite] = ACTIONS(7491),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7491),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7491),
    [anon_sym_BSLASHsupercite] = ACTIONS(7491),
    [anon_sym_BSLASHautocite] = ACTIONS(7491),
    [anon_sym_BSLASHAutocite] = ACTIONS(7491),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHVolcite] = ACTIONS(7491),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHavolcite] = ACTIONS(7491),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHNotecite] = ACTIONS(7491),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHlabel] = ACTIONS(7491),
    [anon_sym_BSLASHref] = ACTIONS(7491),
    [anon_sym_BSLASHeqref] = ACTIONS(7491),
    [anon_sym_BSLASHvref] = ACTIONS(7491),
    [anon_sym_BSLASHVref] = ACTIONS(7491),
    [anon_sym_BSLASHautoref] = ACTIONS(7491),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHpageref] = ACTIONS(7491),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHautopageref] = ACTIONS(7491),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcref] = ACTIONS(7491),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCref] = ACTIONS(7491),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcpageref] = ACTIONS(7491),
    [anon_sym_BSLASHCpageref] = ACTIONS(7491),
    [anon_sym_BSLASHnamecref] = ACTIONS(7491),
    [anon_sym_BSLASHnameCref] = ACTIONS(7491),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7491),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7491),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7491),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7491),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7491),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7491),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7491),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7491),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7491),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7491),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7491),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHdef] = ACTIONS(7491),
    [anon_sym_BSLASHgdef] = ACTIONS(7491),
    [anon_sym_BSLASHedef] = ACTIONS(7491),
    [anon_sym_BSLASHxdef] = ACTIONS(7491),
    [anon_sym_BSLASHlet] = ACTIONS(7491),
    [anon_sym_BSLASHglet] = ACTIONS(7491),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7491),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7491),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7491),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7491),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7491),
    [anon_sym_BSLASHgls] = ACTIONS(7491),
    [anon_sym_BSLASHGls] = ACTIONS(7491),
    [anon_sym_BSLASHGLS] = ACTIONS(7491),
    [anon_sym_BSLASHglspl] = ACTIONS(7491),
    [anon_sym_BSLASHGlspl] = ACTIONS(7491),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7491),
    [anon_sym_BSLASHglslink] = ACTIONS(7491),
    [anon_sym_BSLASHglstext] = ACTIONS(7491),
    [anon_sym_BSLASHGlstext] = ACTIONS(7491),
    [anon_sym_BSLASHGLStext] = ACTIONS(7491),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7491),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7491),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7491),
    [anon_sym_BSLASHglsplural] = ACTIONS(7491),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7491),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7491),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHglsname] = ACTIONS(7491),
    [anon_sym_BSLASHGlsname] = ACTIONS(7491),
    [anon_sym_BSLASHGLSname] = ACTIONS(7491),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7491),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7491),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7491),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7491),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7491),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7491),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7491),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7491),
    [anon_sym_BSLASHacrshort] = ACTIONS(7491),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7491),
    [anon_sym_BSLASHACRshort] = ACTIONS(7491),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHacrlong] = ACTIONS(7491),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7491),
    [anon_sym_BSLASHACRlong] = ACTIONS(7491),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHacrfull] = ACTIONS(7491),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7491),
    [anon_sym_BSLASHACRfull] = ACTIONS(7491),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHacs] = ACTIONS(7491),
    [anon_sym_BSLASHAcs] = ACTIONS(7491),
    [anon_sym_BSLASHacsp] = ACTIONS(7491),
    [anon_sym_BSLASHAcsp] = ACTIONS(7491),
    [anon_sym_BSLASHacl] = ACTIONS(7491),
    [anon_sym_BSLASHAcl] = ACTIONS(7491),
    [anon_sym_BSLASHaclp] = ACTIONS(7491),
    [anon_sym_BSLASHAclp] = ACTIONS(7491),
    [anon_sym_BSLASHacf] = ACTIONS(7491),
    [anon_sym_BSLASHAcf] = ACTIONS(7491),
    [anon_sym_BSLASHacfp] = ACTIONS(7491),
    [anon_sym_BSLASHAcfp] = ACTIONS(7491),
    [anon_sym_BSLASHac] = ACTIONS(7491),
    [anon_sym_BSLASHAc] = ACTIONS(7491),
    [anon_sym_BSLASHacp] = ACTIONS(7491),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7491),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7491),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7491),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7491),
    [anon_sym_BSLASHcolor] = ACTIONS(7491),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7491),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7491),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7491),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7491),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7491),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7491),
    [anon_sym_BSLASHurl] = ACTIONS(7491),
    [anon_sym_BSLASHhref] = ACTIONS(7491),
  },
  [701] = {
    [sym_command_name] = ACTIONS(7495),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7495),
    [anon_sym_LBRACK] = ACTIONS(7497),
    [anon_sym_RBRACK] = ACTIONS(7497),
    [anon_sym_COMMA] = ACTIONS(7497),
    [anon_sym_EQ] = ACTIONS(7497),
    [anon_sym_LPAREN] = ACTIONS(7497),
    [anon_sym_RPAREN] = ACTIONS(7497),
    [anon_sym_BSLASHpart] = ACTIONS(7495),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHaddpart] = ACTIONS(7495),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHchapter] = ACTIONS(7495),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHaddchap] = ACTIONS(7495),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHsection] = ACTIONS(7495),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHaddsec] = ACTIONS(7495),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHsubsection] = ACTIONS(7495),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7495),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHparagraph] = ACTIONS(7495),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7495),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHitem] = ACTIONS(7495),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7497),
    [sym_word] = ACTIONS(7495),
    [sym_placeholder] = ACTIONS(7497),
    [sym_delimiter] = ACTIONS(7497),
    [anon_sym_PLUS] = ACTIONS(7497),
    [anon_sym_DASH] = ACTIONS(7497),
    [anon_sym_STAR] = ACTIONS(7497),
    [anon_sym_SLASH] = ACTIONS(7497),
    [anon_sym_LT] = ACTIONS(7495),
    [anon_sym_GT] = ACTIONS(7495),
    [anon_sym_BANG] = ACTIONS(7495),
    [anon_sym_PIPE] = ACTIONS(7495),
    [anon_sym_COLON] = ACTIONS(7495),
    [anon_sym_SQUOTE] = ACTIONS(7495),
    [anon_sym__] = ACTIONS(7497),
    [anon_sym_CARET] = ACTIONS(7497),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7497),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7497),
    [anon_sym_DOLLAR] = ACTIONS(7495),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7497),
    [anon_sym_BSLASHleft] = ACTIONS(7495),
    [anon_sym_BSLASHbigl] = ACTIONS(7495),
    [anon_sym_BSLASHBigl] = ACTIONS(7495),
    [anon_sym_BSLASHbiggl] = ACTIONS(7495),
    [anon_sym_BSLASHBiggl] = ACTIONS(7495),
    [anon_sym_BSLASHright] = ACTIONS(7495),
    [anon_sym_BSLASHbigr] = ACTIONS(7495),
    [anon_sym_BSLASHBigr] = ACTIONS(7495),
    [anon_sym_BSLASHbiggr] = ACTIONS(7495),
    [anon_sym_BSLASHBiggr] = ACTIONS(7495),
    [anon_sym_BSLASHtext] = ACTIONS(7495),
    [anon_sym_BSLASHintertext] = ACTIONS(7495),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7495),
    [anon_sym_BSLASHbegin] = ACTIONS(7495),
    [anon_sym_BSLASHtitle] = ACTIONS(7495),
    [anon_sym_BSLASHauthor] = ACTIONS(7495),
    [anon_sym_BSLASHusepackage] = ACTIONS(7495),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7495),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7495),
    [anon_sym_BSLASHinclude] = ACTIONS(7495),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7495),
    [anon_sym_BSLASHinput] = ACTIONS(7495),
    [anon_sym_BSLASHsubfile] = ACTIONS(7495),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7495),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7495),
    [anon_sym_BSLASHbibliography] = ACTIONS(7495),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7495),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7495),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7495),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7495),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7495),
    [anon_sym_BSLASHimport] = ACTIONS(7495),
    [anon_sym_BSLASHsubimport] = ACTIONS(7495),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7495),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7495),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7495),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7495),
    [anon_sym_BSLASHcaption] = ACTIONS(7495),
    [anon_sym_BSLASHcite] = ACTIONS(7495),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCite] = ACTIONS(7495),
    [anon_sym_BSLASHnocite] = ACTIONS(7495),
    [anon_sym_BSLASHcitet] = ACTIONS(7495),
    [anon_sym_BSLASHcitep] = ACTIONS(7495),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteA] = ACTIONS(7495),
    [anon_sym_BSLASHciteR] = ACTIONS(7495),
    [anon_sym_BSLASHciteS] = ACTIONS(7495),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7495),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7495),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7495),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7495),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteyear] = ACTIONS(7495),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitedate] = ACTIONS(7495),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteurl] = ACTIONS(7495),
    [anon_sym_BSLASHfullcite] = ACTIONS(7495),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7495),
    [anon_sym_BSLASHcitealt] = ACTIONS(7495),
    [anon_sym_BSLASHcitealp] = ACTIONS(7495),
    [anon_sym_BSLASHcitetext] = ACTIONS(7495),
    [anon_sym_BSLASHparencite] = ACTIONS(7495),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHParencite] = ACTIONS(7495),
    [anon_sym_BSLASHfootcite] = ACTIONS(7495),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7495),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7495),
    [anon_sym_BSLASHtextcite] = ACTIONS(7495),
    [anon_sym_BSLASHTextcite] = ACTIONS(7495),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7495),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7495),
    [anon_sym_BSLASHsupercite] = ACTIONS(7495),
    [anon_sym_BSLASHautocite] = ACTIONS(7495),
    [anon_sym_BSLASHAutocite] = ACTIONS(7495),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHVolcite] = ACTIONS(7495),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHavolcite] = ACTIONS(7495),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHNotecite] = ACTIONS(7495),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHlabel] = ACTIONS(7495),
    [anon_sym_BSLASHref] = ACTIONS(7495),
    [anon_sym_BSLASHeqref] = ACTIONS(7495),
    [anon_sym_BSLASHvref] = ACTIONS(7495),
    [anon_sym_BSLASHVref] = ACTIONS(7495),
    [anon_sym_BSLASHautoref] = ACTIONS(7495),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHpageref] = ACTIONS(7495),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHautopageref] = ACTIONS(7495),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcref] = ACTIONS(7495),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCref] = ACTIONS(7495),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcpageref] = ACTIONS(7495),
    [anon_sym_BSLASHCpageref] = ACTIONS(7495),
    [anon_sym_BSLASHnamecref] = ACTIONS(7495),
    [anon_sym_BSLASHnameCref] = ACTIONS(7495),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7495),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7495),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7495),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7495),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7495),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7495),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7495),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7495),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7495),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7495),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7495),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHdef] = ACTIONS(7495),
    [anon_sym_BSLASHgdef] = ACTIONS(7495),
    [anon_sym_BSLASHedef] = ACTIONS(7495),
    [anon_sym_BSLASHxdef] = ACTIONS(7495),
    [anon_sym_BSLASHlet] = ACTIONS(7495),
    [anon_sym_BSLASHglet] = ACTIONS(7495),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7495),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7495),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7495),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7495),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7495),
    [anon_sym_BSLASHgls] = ACTIONS(7495),
    [anon_sym_BSLASHGls] = ACTIONS(7495),
    [anon_sym_BSLASHGLS] = ACTIONS(7495),
    [anon_sym_BSLASHglspl] = ACTIONS(7495),
    [anon_sym_BSLASHGlspl] = ACTIONS(7495),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7495),
    [anon_sym_BSLASHglslink] = ACTIONS(7495),
    [anon_sym_BSLASHglstext] = ACTIONS(7495),
    [anon_sym_BSLASHGlstext] = ACTIONS(7495),
    [anon_sym_BSLASHGLStext] = ACTIONS(7495),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7495),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7495),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7495),
    [anon_sym_BSLASHglsplural] = ACTIONS(7495),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7495),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7495),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHglsname] = ACTIONS(7495),
    [anon_sym_BSLASHGlsname] = ACTIONS(7495),
    [anon_sym_BSLASHGLSname] = ACTIONS(7495),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7495),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7495),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7495),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7495),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7495),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7495),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7495),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7495),
    [anon_sym_BSLASHacrshort] = ACTIONS(7495),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7495),
    [anon_sym_BSLASHACRshort] = ACTIONS(7495),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHacrlong] = ACTIONS(7495),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7495),
    [anon_sym_BSLASHACRlong] = ACTIONS(7495),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHacrfull] = ACTIONS(7495),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7495),
    [anon_sym_BSLASHACRfull] = ACTIONS(7495),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHacs] = ACTIONS(7495),
    [anon_sym_BSLASHAcs] = ACTIONS(7495),
    [anon_sym_BSLASHacsp] = ACTIONS(7495),
    [anon_sym_BSLASHAcsp] = ACTIONS(7495),
    [anon_sym_BSLASHacl] = ACTIONS(7495),
    [anon_sym_BSLASHAcl] = ACTIONS(7495),
    [anon_sym_BSLASHaclp] = ACTIONS(7495),
    [anon_sym_BSLASHAclp] = ACTIONS(7495),
    [anon_sym_BSLASHacf] = ACTIONS(7495),
    [anon_sym_BSLASHAcf] = ACTIONS(7495),
    [anon_sym_BSLASHacfp] = ACTIONS(7495),
    [anon_sym_BSLASHAcfp] = ACTIONS(7495),
    [anon_sym_BSLASHac] = ACTIONS(7495),
    [anon_sym_BSLASHAc] = ACTIONS(7495),
    [anon_sym_BSLASHacp] = ACTIONS(7495),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7495),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7495),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7495),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7495),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7495),
    [anon_sym_BSLASHcolor] = ACTIONS(7495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7495),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7495),
    [anon_sym_BSLASHurl] = ACTIONS(7495),
    [anon_sym_BSLASHhref] = ACTIONS(7495),
  },
  [702] = {
    [sym_command_name] = ACTIONS(7499),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7499),
    [anon_sym_LBRACK] = ACTIONS(7501),
    [anon_sym_RBRACK] = ACTIONS(7501),
    [anon_sym_COMMA] = ACTIONS(7501),
    [anon_sym_EQ] = ACTIONS(7501),
    [anon_sym_LPAREN] = ACTIONS(7501),
    [anon_sym_RPAREN] = ACTIONS(7501),
    [anon_sym_BSLASHpart] = ACTIONS(7499),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHaddpart] = ACTIONS(7499),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHchapter] = ACTIONS(7499),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHaddchap] = ACTIONS(7499),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHsection] = ACTIONS(7499),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHaddsec] = ACTIONS(7499),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHsubsection] = ACTIONS(7499),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7499),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHparagraph] = ACTIONS(7499),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7499),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHitem] = ACTIONS(7499),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7501),
    [anon_sym_LBRACE] = ACTIONS(7501),
    [sym_word] = ACTIONS(7499),
    [sym_placeholder] = ACTIONS(7501),
    [sym_delimiter] = ACTIONS(7501),
    [anon_sym_PLUS] = ACTIONS(7501),
    [anon_sym_DASH] = ACTIONS(7501),
    [anon_sym_STAR] = ACTIONS(7501),
    [anon_sym_SLASH] = ACTIONS(7501),
    [anon_sym_LT] = ACTIONS(7499),
    [anon_sym_GT] = ACTIONS(7499),
    [anon_sym_BANG] = ACTIONS(7499),
    [anon_sym_PIPE] = ACTIONS(7499),
    [anon_sym_COLON] = ACTIONS(7499),
    [anon_sym_SQUOTE] = ACTIONS(7499),
    [anon_sym__] = ACTIONS(7501),
    [anon_sym_CARET] = ACTIONS(7501),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7501),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7501),
    [anon_sym_DOLLAR] = ACTIONS(7499),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7501),
    [anon_sym_BSLASHleft] = ACTIONS(7499),
    [anon_sym_BSLASHbigl] = ACTIONS(7499),
    [anon_sym_BSLASHBigl] = ACTIONS(7499),
    [anon_sym_BSLASHbiggl] = ACTIONS(7499),
    [anon_sym_BSLASHBiggl] = ACTIONS(7499),
    [anon_sym_BSLASHright] = ACTIONS(7499),
    [anon_sym_BSLASHbigr] = ACTIONS(7499),
    [anon_sym_BSLASHBigr] = ACTIONS(7499),
    [anon_sym_BSLASHbiggr] = ACTIONS(7499),
    [anon_sym_BSLASHBiggr] = ACTIONS(7499),
    [anon_sym_BSLASHtext] = ACTIONS(7499),
    [anon_sym_BSLASHintertext] = ACTIONS(7499),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7499),
    [anon_sym_BSLASHbegin] = ACTIONS(7499),
    [anon_sym_BSLASHtitle] = ACTIONS(7499),
    [anon_sym_BSLASHauthor] = ACTIONS(7499),
    [anon_sym_BSLASHusepackage] = ACTIONS(7499),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7499),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7499),
    [anon_sym_BSLASHinclude] = ACTIONS(7499),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7499),
    [anon_sym_BSLASHinput] = ACTIONS(7499),
    [anon_sym_BSLASHsubfile] = ACTIONS(7499),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7499),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7499),
    [anon_sym_BSLASHbibliography] = ACTIONS(7499),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7499),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7499),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7499),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7499),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7499),
    [anon_sym_BSLASHimport] = ACTIONS(7499),
    [anon_sym_BSLASHsubimport] = ACTIONS(7499),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7499),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7499),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7499),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7499),
    [anon_sym_BSLASHcaption] = ACTIONS(7499),
    [anon_sym_BSLASHcite] = ACTIONS(7499),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCite] = ACTIONS(7499),
    [anon_sym_BSLASHnocite] = ACTIONS(7499),
    [anon_sym_BSLASHcitet] = ACTIONS(7499),
    [anon_sym_BSLASHcitep] = ACTIONS(7499),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteA] = ACTIONS(7499),
    [anon_sym_BSLASHciteR] = ACTIONS(7499),
    [anon_sym_BSLASHciteS] = ACTIONS(7499),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7499),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7499),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7499),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7499),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteyear] = ACTIONS(7499),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitedate] = ACTIONS(7499),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteurl] = ACTIONS(7499),
    [anon_sym_BSLASHfullcite] = ACTIONS(7499),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7499),
    [anon_sym_BSLASHcitealt] = ACTIONS(7499),
    [anon_sym_BSLASHcitealp] = ACTIONS(7499),
    [anon_sym_BSLASHcitetext] = ACTIONS(7499),
    [anon_sym_BSLASHparencite] = ACTIONS(7499),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHParencite] = ACTIONS(7499),
    [anon_sym_BSLASHfootcite] = ACTIONS(7499),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7499),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7499),
    [anon_sym_BSLASHtextcite] = ACTIONS(7499),
    [anon_sym_BSLASHTextcite] = ACTIONS(7499),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7499),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7499),
    [anon_sym_BSLASHsupercite] = ACTIONS(7499),
    [anon_sym_BSLASHautocite] = ACTIONS(7499),
    [anon_sym_BSLASHAutocite] = ACTIONS(7499),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHVolcite] = ACTIONS(7499),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHavolcite] = ACTIONS(7499),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHNotecite] = ACTIONS(7499),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHlabel] = ACTIONS(7499),
    [anon_sym_BSLASHref] = ACTIONS(7499),
    [anon_sym_BSLASHeqref] = ACTIONS(7499),
    [anon_sym_BSLASHvref] = ACTIONS(7499),
    [anon_sym_BSLASHVref] = ACTIONS(7499),
    [anon_sym_BSLASHautoref] = ACTIONS(7499),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHpageref] = ACTIONS(7499),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHautopageref] = ACTIONS(7499),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcref] = ACTIONS(7499),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCref] = ACTIONS(7499),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcpageref] = ACTIONS(7499),
    [anon_sym_BSLASHCpageref] = ACTIONS(7499),
    [anon_sym_BSLASHnamecref] = ACTIONS(7499),
    [anon_sym_BSLASHnameCref] = ACTIONS(7499),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7499),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7499),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7499),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7499),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7499),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7499),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7499),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7499),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7499),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7499),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7499),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHdef] = ACTIONS(7499),
    [anon_sym_BSLASHgdef] = ACTIONS(7499),
    [anon_sym_BSLASHedef] = ACTIONS(7499),
    [anon_sym_BSLASHxdef] = ACTIONS(7499),
    [anon_sym_BSLASHlet] = ACTIONS(7499),
    [anon_sym_BSLASHglet] = ACTIONS(7499),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7499),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7499),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7499),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7499),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7499),
    [anon_sym_BSLASHgls] = ACTIONS(7499),
    [anon_sym_BSLASHGls] = ACTIONS(7499),
    [anon_sym_BSLASHGLS] = ACTIONS(7499),
    [anon_sym_BSLASHglspl] = ACTIONS(7499),
    [anon_sym_BSLASHGlspl] = ACTIONS(7499),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7499),
    [anon_sym_BSLASHglslink] = ACTIONS(7499),
    [anon_sym_BSLASHglstext] = ACTIONS(7499),
    [anon_sym_BSLASHGlstext] = ACTIONS(7499),
    [anon_sym_BSLASHGLStext] = ACTIONS(7499),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7499),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7499),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7499),
    [anon_sym_BSLASHglsplural] = ACTIONS(7499),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7499),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7499),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHglsname] = ACTIONS(7499),
    [anon_sym_BSLASHGlsname] = ACTIONS(7499),
    [anon_sym_BSLASHGLSname] = ACTIONS(7499),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7499),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7499),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7499),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7499),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7499),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7499),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7499),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7499),
    [anon_sym_BSLASHacrshort] = ACTIONS(7499),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7499),
    [anon_sym_BSLASHACRshort] = ACTIONS(7499),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHacrlong] = ACTIONS(7499),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7499),
    [anon_sym_BSLASHACRlong] = ACTIONS(7499),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHacrfull] = ACTIONS(7499),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7499),
    [anon_sym_BSLASHACRfull] = ACTIONS(7499),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHacs] = ACTIONS(7499),
    [anon_sym_BSLASHAcs] = ACTIONS(7499),
    [anon_sym_BSLASHacsp] = ACTIONS(7499),
    [anon_sym_BSLASHAcsp] = ACTIONS(7499),
    [anon_sym_BSLASHacl] = ACTIONS(7499),
    [anon_sym_BSLASHAcl] = ACTIONS(7499),
    [anon_sym_BSLASHaclp] = ACTIONS(7499),
    [anon_sym_BSLASHAclp] = ACTIONS(7499),
    [anon_sym_BSLASHacf] = ACTIONS(7499),
    [anon_sym_BSLASHAcf] = ACTIONS(7499),
    [anon_sym_BSLASHacfp] = ACTIONS(7499),
    [anon_sym_BSLASHAcfp] = ACTIONS(7499),
    [anon_sym_BSLASHac] = ACTIONS(7499),
    [anon_sym_BSLASHAc] = ACTIONS(7499),
    [anon_sym_BSLASHacp] = ACTIONS(7499),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7499),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7499),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7499),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7499),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7499),
    [anon_sym_BSLASHcolor] = ACTIONS(7499),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7499),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7499),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7499),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7499),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7499),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7499),
    [anon_sym_BSLASHurl] = ACTIONS(7499),
    [anon_sym_BSLASHhref] = ACTIONS(7499),
  },
  [703] = {
    [sym_command_name] = ACTIONS(7503),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7503),
    [anon_sym_LBRACK] = ACTIONS(7505),
    [anon_sym_RBRACK] = ACTIONS(7505),
    [anon_sym_COMMA] = ACTIONS(7505),
    [anon_sym_EQ] = ACTIONS(7505),
    [anon_sym_LPAREN] = ACTIONS(7505),
    [anon_sym_RPAREN] = ACTIONS(7505),
    [anon_sym_BSLASHpart] = ACTIONS(7503),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHaddpart] = ACTIONS(7503),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHchapter] = ACTIONS(7503),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHaddchap] = ACTIONS(7503),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHsection] = ACTIONS(7503),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHaddsec] = ACTIONS(7503),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHsubsection] = ACTIONS(7503),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7503),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHparagraph] = ACTIONS(7503),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7503),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHitem] = ACTIONS(7503),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7505),
    [anon_sym_LBRACE] = ACTIONS(7505),
    [sym_word] = ACTIONS(7503),
    [sym_placeholder] = ACTIONS(7505),
    [sym_delimiter] = ACTIONS(7505),
    [anon_sym_PLUS] = ACTIONS(7505),
    [anon_sym_DASH] = ACTIONS(7505),
    [anon_sym_STAR] = ACTIONS(7505),
    [anon_sym_SLASH] = ACTIONS(7505),
    [anon_sym_LT] = ACTIONS(7503),
    [anon_sym_GT] = ACTIONS(7503),
    [anon_sym_BANG] = ACTIONS(7503),
    [anon_sym_PIPE] = ACTIONS(7503),
    [anon_sym_COLON] = ACTIONS(7503),
    [anon_sym_SQUOTE] = ACTIONS(7503),
    [anon_sym__] = ACTIONS(7505),
    [anon_sym_CARET] = ACTIONS(7505),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7505),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7505),
    [anon_sym_DOLLAR] = ACTIONS(7503),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7505),
    [anon_sym_BSLASHleft] = ACTIONS(7503),
    [anon_sym_BSLASHbigl] = ACTIONS(7503),
    [anon_sym_BSLASHBigl] = ACTIONS(7503),
    [anon_sym_BSLASHbiggl] = ACTIONS(7503),
    [anon_sym_BSLASHBiggl] = ACTIONS(7503),
    [anon_sym_BSLASHright] = ACTIONS(7503),
    [anon_sym_BSLASHbigr] = ACTIONS(7503),
    [anon_sym_BSLASHBigr] = ACTIONS(7503),
    [anon_sym_BSLASHbiggr] = ACTIONS(7503),
    [anon_sym_BSLASHBiggr] = ACTIONS(7503),
    [anon_sym_BSLASHtext] = ACTIONS(7503),
    [anon_sym_BSLASHintertext] = ACTIONS(7503),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7503),
    [anon_sym_BSLASHbegin] = ACTIONS(7503),
    [anon_sym_BSLASHtitle] = ACTIONS(7503),
    [anon_sym_BSLASHauthor] = ACTIONS(7503),
    [anon_sym_BSLASHusepackage] = ACTIONS(7503),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7503),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7503),
    [anon_sym_BSLASHinclude] = ACTIONS(7503),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7503),
    [anon_sym_BSLASHinput] = ACTIONS(7503),
    [anon_sym_BSLASHsubfile] = ACTIONS(7503),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7503),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7503),
    [anon_sym_BSLASHbibliography] = ACTIONS(7503),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7503),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7503),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7503),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7503),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7503),
    [anon_sym_BSLASHimport] = ACTIONS(7503),
    [anon_sym_BSLASHsubimport] = ACTIONS(7503),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7503),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7503),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7503),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7503),
    [anon_sym_BSLASHcaption] = ACTIONS(7503),
    [anon_sym_BSLASHcite] = ACTIONS(7503),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCite] = ACTIONS(7503),
    [anon_sym_BSLASHnocite] = ACTIONS(7503),
    [anon_sym_BSLASHcitet] = ACTIONS(7503),
    [anon_sym_BSLASHcitep] = ACTIONS(7503),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteA] = ACTIONS(7503),
    [anon_sym_BSLASHciteR] = ACTIONS(7503),
    [anon_sym_BSLASHciteS] = ACTIONS(7503),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7503),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7503),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7503),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7503),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteyear] = ACTIONS(7503),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitedate] = ACTIONS(7503),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteurl] = ACTIONS(7503),
    [anon_sym_BSLASHfullcite] = ACTIONS(7503),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7503),
    [anon_sym_BSLASHcitealt] = ACTIONS(7503),
    [anon_sym_BSLASHcitealp] = ACTIONS(7503),
    [anon_sym_BSLASHcitetext] = ACTIONS(7503),
    [anon_sym_BSLASHparencite] = ACTIONS(7503),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHParencite] = ACTIONS(7503),
    [anon_sym_BSLASHfootcite] = ACTIONS(7503),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7503),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7503),
    [anon_sym_BSLASHtextcite] = ACTIONS(7503),
    [anon_sym_BSLASHTextcite] = ACTIONS(7503),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7503),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7503),
    [anon_sym_BSLASHsupercite] = ACTIONS(7503),
    [anon_sym_BSLASHautocite] = ACTIONS(7503),
    [anon_sym_BSLASHAutocite] = ACTIONS(7503),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHVolcite] = ACTIONS(7503),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHavolcite] = ACTIONS(7503),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHNotecite] = ACTIONS(7503),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHlabel] = ACTIONS(7503),
    [anon_sym_BSLASHref] = ACTIONS(7503),
    [anon_sym_BSLASHeqref] = ACTIONS(7503),
    [anon_sym_BSLASHvref] = ACTIONS(7503),
    [anon_sym_BSLASHVref] = ACTIONS(7503),
    [anon_sym_BSLASHautoref] = ACTIONS(7503),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHpageref] = ACTIONS(7503),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHautopageref] = ACTIONS(7503),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcref] = ACTIONS(7503),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCref] = ACTIONS(7503),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcpageref] = ACTIONS(7503),
    [anon_sym_BSLASHCpageref] = ACTIONS(7503),
    [anon_sym_BSLASHnamecref] = ACTIONS(7503),
    [anon_sym_BSLASHnameCref] = ACTIONS(7503),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7503),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7503),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7503),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7503),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7503),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7503),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7503),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7503),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7503),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7503),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7503),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHdef] = ACTIONS(7503),
    [anon_sym_BSLASHgdef] = ACTIONS(7503),
    [anon_sym_BSLASHedef] = ACTIONS(7503),
    [anon_sym_BSLASHxdef] = ACTIONS(7503),
    [anon_sym_BSLASHlet] = ACTIONS(7503),
    [anon_sym_BSLASHglet] = ACTIONS(7503),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7503),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7503),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7503),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7503),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7503),
    [anon_sym_BSLASHgls] = ACTIONS(7503),
    [anon_sym_BSLASHGls] = ACTIONS(7503),
    [anon_sym_BSLASHGLS] = ACTIONS(7503),
    [anon_sym_BSLASHglspl] = ACTIONS(7503),
    [anon_sym_BSLASHGlspl] = ACTIONS(7503),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7503),
    [anon_sym_BSLASHglslink] = ACTIONS(7503),
    [anon_sym_BSLASHglstext] = ACTIONS(7503),
    [anon_sym_BSLASHGlstext] = ACTIONS(7503),
    [anon_sym_BSLASHGLStext] = ACTIONS(7503),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7503),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7503),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7503),
    [anon_sym_BSLASHglsplural] = ACTIONS(7503),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7503),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7503),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHglsname] = ACTIONS(7503),
    [anon_sym_BSLASHGlsname] = ACTIONS(7503),
    [anon_sym_BSLASHGLSname] = ACTIONS(7503),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7503),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7503),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7503),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7503),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7503),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7503),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7503),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7503),
    [anon_sym_BSLASHacrshort] = ACTIONS(7503),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7503),
    [anon_sym_BSLASHACRshort] = ACTIONS(7503),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHacrlong] = ACTIONS(7503),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7503),
    [anon_sym_BSLASHACRlong] = ACTIONS(7503),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHacrfull] = ACTIONS(7503),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7503),
    [anon_sym_BSLASHACRfull] = ACTIONS(7503),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHacs] = ACTIONS(7503),
    [anon_sym_BSLASHAcs] = ACTIONS(7503),
    [anon_sym_BSLASHacsp] = ACTIONS(7503),
    [anon_sym_BSLASHAcsp] = ACTIONS(7503),
    [anon_sym_BSLASHacl] = ACTIONS(7503),
    [anon_sym_BSLASHAcl] = ACTIONS(7503),
    [anon_sym_BSLASHaclp] = ACTIONS(7503),
    [anon_sym_BSLASHAclp] = ACTIONS(7503),
    [anon_sym_BSLASHacf] = ACTIONS(7503),
    [anon_sym_BSLASHAcf] = ACTIONS(7503),
    [anon_sym_BSLASHacfp] = ACTIONS(7503),
    [anon_sym_BSLASHAcfp] = ACTIONS(7503),
    [anon_sym_BSLASHac] = ACTIONS(7503),
    [anon_sym_BSLASHAc] = ACTIONS(7503),
    [anon_sym_BSLASHacp] = ACTIONS(7503),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7503),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7503),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7503),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7503),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7503),
    [anon_sym_BSLASHcolor] = ACTIONS(7503),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7503),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7503),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7503),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7503),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7503),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7503),
    [anon_sym_BSLASHurl] = ACTIONS(7503),
    [anon_sym_BSLASHhref] = ACTIONS(7503),
  },
  [704] = {
    [sym_command_name] = ACTIONS(7507),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7507),
    [anon_sym_LBRACK] = ACTIONS(7509),
    [anon_sym_RBRACK] = ACTIONS(7509),
    [anon_sym_COMMA] = ACTIONS(7509),
    [anon_sym_EQ] = ACTIONS(7509),
    [anon_sym_LPAREN] = ACTIONS(7509),
    [anon_sym_RPAREN] = ACTIONS(7509),
    [anon_sym_BSLASHpart] = ACTIONS(7507),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHaddpart] = ACTIONS(7507),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHchapter] = ACTIONS(7507),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHaddchap] = ACTIONS(7507),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHsection] = ACTIONS(7507),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHaddsec] = ACTIONS(7507),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHsubsection] = ACTIONS(7507),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7507),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHparagraph] = ACTIONS(7507),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7507),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHitem] = ACTIONS(7507),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7509),
    [anon_sym_LBRACE] = ACTIONS(7509),
    [sym_word] = ACTIONS(7507),
    [sym_placeholder] = ACTIONS(7509),
    [sym_delimiter] = ACTIONS(7509),
    [anon_sym_PLUS] = ACTIONS(7509),
    [anon_sym_DASH] = ACTIONS(7509),
    [anon_sym_STAR] = ACTIONS(7509),
    [anon_sym_SLASH] = ACTIONS(7509),
    [anon_sym_LT] = ACTIONS(7507),
    [anon_sym_GT] = ACTIONS(7507),
    [anon_sym_BANG] = ACTIONS(7507),
    [anon_sym_PIPE] = ACTIONS(7507),
    [anon_sym_COLON] = ACTIONS(7507),
    [anon_sym_SQUOTE] = ACTIONS(7507),
    [anon_sym__] = ACTIONS(7509),
    [anon_sym_CARET] = ACTIONS(7509),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7509),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7509),
    [anon_sym_DOLLAR] = ACTIONS(7507),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7509),
    [anon_sym_BSLASHleft] = ACTIONS(7507),
    [anon_sym_BSLASHbigl] = ACTIONS(7507),
    [anon_sym_BSLASHBigl] = ACTIONS(7507),
    [anon_sym_BSLASHbiggl] = ACTIONS(7507),
    [anon_sym_BSLASHBiggl] = ACTIONS(7507),
    [anon_sym_BSLASHright] = ACTIONS(7507),
    [anon_sym_BSLASHbigr] = ACTIONS(7507),
    [anon_sym_BSLASHBigr] = ACTIONS(7507),
    [anon_sym_BSLASHbiggr] = ACTIONS(7507),
    [anon_sym_BSLASHBiggr] = ACTIONS(7507),
    [anon_sym_BSLASHtext] = ACTIONS(7507),
    [anon_sym_BSLASHintertext] = ACTIONS(7507),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7507),
    [anon_sym_BSLASHbegin] = ACTIONS(7507),
    [anon_sym_BSLASHtitle] = ACTIONS(7507),
    [anon_sym_BSLASHauthor] = ACTIONS(7507),
    [anon_sym_BSLASHusepackage] = ACTIONS(7507),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7507),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7507),
    [anon_sym_BSLASHinclude] = ACTIONS(7507),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7507),
    [anon_sym_BSLASHinput] = ACTIONS(7507),
    [anon_sym_BSLASHsubfile] = ACTIONS(7507),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7507),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7507),
    [anon_sym_BSLASHbibliography] = ACTIONS(7507),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7507),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7507),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7507),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7507),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7507),
    [anon_sym_BSLASHimport] = ACTIONS(7507),
    [anon_sym_BSLASHsubimport] = ACTIONS(7507),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7507),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7507),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7507),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7507),
    [anon_sym_BSLASHcaption] = ACTIONS(7507),
    [anon_sym_BSLASHcite] = ACTIONS(7507),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCite] = ACTIONS(7507),
    [anon_sym_BSLASHnocite] = ACTIONS(7507),
    [anon_sym_BSLASHcitet] = ACTIONS(7507),
    [anon_sym_BSLASHcitep] = ACTIONS(7507),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteA] = ACTIONS(7507),
    [anon_sym_BSLASHciteR] = ACTIONS(7507),
    [anon_sym_BSLASHciteS] = ACTIONS(7507),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7507),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7507),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7507),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7507),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteyear] = ACTIONS(7507),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitedate] = ACTIONS(7507),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteurl] = ACTIONS(7507),
    [anon_sym_BSLASHfullcite] = ACTIONS(7507),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7507),
    [anon_sym_BSLASHcitealt] = ACTIONS(7507),
    [anon_sym_BSLASHcitealp] = ACTIONS(7507),
    [anon_sym_BSLASHcitetext] = ACTIONS(7507),
    [anon_sym_BSLASHparencite] = ACTIONS(7507),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHParencite] = ACTIONS(7507),
    [anon_sym_BSLASHfootcite] = ACTIONS(7507),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7507),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7507),
    [anon_sym_BSLASHtextcite] = ACTIONS(7507),
    [anon_sym_BSLASHTextcite] = ACTIONS(7507),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7507),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7507),
    [anon_sym_BSLASHsupercite] = ACTIONS(7507),
    [anon_sym_BSLASHautocite] = ACTIONS(7507),
    [anon_sym_BSLASHAutocite] = ACTIONS(7507),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHVolcite] = ACTIONS(7507),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHavolcite] = ACTIONS(7507),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHNotecite] = ACTIONS(7507),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHlabel] = ACTIONS(7507),
    [anon_sym_BSLASHref] = ACTIONS(7507),
    [anon_sym_BSLASHeqref] = ACTIONS(7507),
    [anon_sym_BSLASHvref] = ACTIONS(7507),
    [anon_sym_BSLASHVref] = ACTIONS(7507),
    [anon_sym_BSLASHautoref] = ACTIONS(7507),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHpageref] = ACTIONS(7507),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHautopageref] = ACTIONS(7507),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcref] = ACTIONS(7507),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCref] = ACTIONS(7507),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcpageref] = ACTIONS(7507),
    [anon_sym_BSLASHCpageref] = ACTIONS(7507),
    [anon_sym_BSLASHnamecref] = ACTIONS(7507),
    [anon_sym_BSLASHnameCref] = ACTIONS(7507),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7507),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7507),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7507),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7507),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7507),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7507),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7507),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7507),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7507),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7507),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7507),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHdef] = ACTIONS(7507),
    [anon_sym_BSLASHgdef] = ACTIONS(7507),
    [anon_sym_BSLASHedef] = ACTIONS(7507),
    [anon_sym_BSLASHxdef] = ACTIONS(7507),
    [anon_sym_BSLASHlet] = ACTIONS(7507),
    [anon_sym_BSLASHglet] = ACTIONS(7507),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7507),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7507),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7507),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7507),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7507),
    [anon_sym_BSLASHgls] = ACTIONS(7507),
    [anon_sym_BSLASHGls] = ACTIONS(7507),
    [anon_sym_BSLASHGLS] = ACTIONS(7507),
    [anon_sym_BSLASHglspl] = ACTIONS(7507),
    [anon_sym_BSLASHGlspl] = ACTIONS(7507),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7507),
    [anon_sym_BSLASHglslink] = ACTIONS(7507),
    [anon_sym_BSLASHglstext] = ACTIONS(7507),
    [anon_sym_BSLASHGlstext] = ACTIONS(7507),
    [anon_sym_BSLASHGLStext] = ACTIONS(7507),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7507),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7507),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7507),
    [anon_sym_BSLASHglsplural] = ACTIONS(7507),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7507),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7507),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHglsname] = ACTIONS(7507),
    [anon_sym_BSLASHGlsname] = ACTIONS(7507),
    [anon_sym_BSLASHGLSname] = ACTIONS(7507),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7507),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7507),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7507),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7507),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7507),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7507),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7507),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7507),
    [anon_sym_BSLASHacrshort] = ACTIONS(7507),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7507),
    [anon_sym_BSLASHACRshort] = ACTIONS(7507),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHacrlong] = ACTIONS(7507),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7507),
    [anon_sym_BSLASHACRlong] = ACTIONS(7507),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHacrfull] = ACTIONS(7507),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7507),
    [anon_sym_BSLASHACRfull] = ACTIONS(7507),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHacs] = ACTIONS(7507),
    [anon_sym_BSLASHAcs] = ACTIONS(7507),
    [anon_sym_BSLASHacsp] = ACTIONS(7507),
    [anon_sym_BSLASHAcsp] = ACTIONS(7507),
    [anon_sym_BSLASHacl] = ACTIONS(7507),
    [anon_sym_BSLASHAcl] = ACTIONS(7507),
    [anon_sym_BSLASHaclp] = ACTIONS(7507),
    [anon_sym_BSLASHAclp] = ACTIONS(7507),
    [anon_sym_BSLASHacf] = ACTIONS(7507),
    [anon_sym_BSLASHAcf] = ACTIONS(7507),
    [anon_sym_BSLASHacfp] = ACTIONS(7507),
    [anon_sym_BSLASHAcfp] = ACTIONS(7507),
    [anon_sym_BSLASHac] = ACTIONS(7507),
    [anon_sym_BSLASHAc] = ACTIONS(7507),
    [anon_sym_BSLASHacp] = ACTIONS(7507),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7507),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7507),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7507),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7507),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7507),
    [anon_sym_BSLASHcolor] = ACTIONS(7507),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7507),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7507),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7507),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7507),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7507),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7507),
    [anon_sym_BSLASHurl] = ACTIONS(7507),
    [anon_sym_BSLASHhref] = ACTIONS(7507),
  },
  [705] = {
    [sym_command_name] = ACTIONS(7511),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(7513),
    [anon_sym_RBRACK] = ACTIONS(7513),
    [anon_sym_COMMA] = ACTIONS(7513),
    [anon_sym_EQ] = ACTIONS(7513),
    [anon_sym_LPAREN] = ACTIONS(7513),
    [anon_sym_RPAREN] = ACTIONS(7513),
    [anon_sym_BSLASHpart] = ACTIONS(7511),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHaddpart] = ACTIONS(7511),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHchapter] = ACTIONS(7511),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHaddchap] = ACTIONS(7511),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHsection] = ACTIONS(7511),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHaddsec] = ACTIONS(7511),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHsubsection] = ACTIONS(7511),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7511),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHparagraph] = ACTIONS(7511),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7511),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHitem] = ACTIONS(7511),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7513),
    [anon_sym_LBRACE] = ACTIONS(7513),
    [sym_word] = ACTIONS(7511),
    [sym_placeholder] = ACTIONS(7513),
    [sym_delimiter] = ACTIONS(7513),
    [anon_sym_PLUS] = ACTIONS(7513),
    [anon_sym_DASH] = ACTIONS(7513),
    [anon_sym_STAR] = ACTIONS(7513),
    [anon_sym_SLASH] = ACTIONS(7513),
    [anon_sym_LT] = ACTIONS(7511),
    [anon_sym_GT] = ACTIONS(7511),
    [anon_sym_BANG] = ACTIONS(7511),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_COLON] = ACTIONS(7511),
    [anon_sym_SQUOTE] = ACTIONS(7511),
    [anon_sym__] = ACTIONS(7513),
    [anon_sym_CARET] = ACTIONS(7513),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7513),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7513),
    [anon_sym_DOLLAR] = ACTIONS(7511),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7513),
    [anon_sym_BSLASHleft] = ACTIONS(7511),
    [anon_sym_BSLASHbigl] = ACTIONS(7511),
    [anon_sym_BSLASHBigl] = ACTIONS(7511),
    [anon_sym_BSLASHbiggl] = ACTIONS(7511),
    [anon_sym_BSLASHBiggl] = ACTIONS(7511),
    [anon_sym_BSLASHright] = ACTIONS(7511),
    [anon_sym_BSLASHbigr] = ACTIONS(7511),
    [anon_sym_BSLASHBigr] = ACTIONS(7511),
    [anon_sym_BSLASHbiggr] = ACTIONS(7511),
    [anon_sym_BSLASHBiggr] = ACTIONS(7511),
    [anon_sym_BSLASHtext] = ACTIONS(7511),
    [anon_sym_BSLASHintertext] = ACTIONS(7511),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7511),
    [anon_sym_BSLASHbegin] = ACTIONS(7511),
    [anon_sym_BSLASHtitle] = ACTIONS(7511),
    [anon_sym_BSLASHauthor] = ACTIONS(7511),
    [anon_sym_BSLASHusepackage] = ACTIONS(7511),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7511),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7511),
    [anon_sym_BSLASHinclude] = ACTIONS(7511),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7511),
    [anon_sym_BSLASHinput] = ACTIONS(7511),
    [anon_sym_BSLASHsubfile] = ACTIONS(7511),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7511),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7511),
    [anon_sym_BSLASHbibliography] = ACTIONS(7511),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7511),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7511),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7511),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7511),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7511),
    [anon_sym_BSLASHimport] = ACTIONS(7511),
    [anon_sym_BSLASHsubimport] = ACTIONS(7511),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7511),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7511),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7511),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7511),
    [anon_sym_BSLASHcaption] = ACTIONS(7511),
    [anon_sym_BSLASHcite] = ACTIONS(7511),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCite] = ACTIONS(7511),
    [anon_sym_BSLASHnocite] = ACTIONS(7511),
    [anon_sym_BSLASHcitet] = ACTIONS(7511),
    [anon_sym_BSLASHcitep] = ACTIONS(7511),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteA] = ACTIONS(7511),
    [anon_sym_BSLASHciteR] = ACTIONS(7511),
    [anon_sym_BSLASHciteS] = ACTIONS(7511),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7511),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7511),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7511),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7511),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteyear] = ACTIONS(7511),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitedate] = ACTIONS(7511),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteurl] = ACTIONS(7511),
    [anon_sym_BSLASHfullcite] = ACTIONS(7511),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7511),
    [anon_sym_BSLASHcitealt] = ACTIONS(7511),
    [anon_sym_BSLASHcitealp] = ACTIONS(7511),
    [anon_sym_BSLASHcitetext] = ACTIONS(7511),
    [anon_sym_BSLASHparencite] = ACTIONS(7511),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHParencite] = ACTIONS(7511),
    [anon_sym_BSLASHfootcite] = ACTIONS(7511),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7511),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7511),
    [anon_sym_BSLASHtextcite] = ACTIONS(7511),
    [anon_sym_BSLASHTextcite] = ACTIONS(7511),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7511),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7511),
    [anon_sym_BSLASHsupercite] = ACTIONS(7511),
    [anon_sym_BSLASHautocite] = ACTIONS(7511),
    [anon_sym_BSLASHAutocite] = ACTIONS(7511),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHVolcite] = ACTIONS(7511),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHavolcite] = ACTIONS(7511),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHNotecite] = ACTIONS(7511),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHlabel] = ACTIONS(7511),
    [anon_sym_BSLASHref] = ACTIONS(7511),
    [anon_sym_BSLASHeqref] = ACTIONS(7511),
    [anon_sym_BSLASHvref] = ACTIONS(7511),
    [anon_sym_BSLASHVref] = ACTIONS(7511),
    [anon_sym_BSLASHautoref] = ACTIONS(7511),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHpageref] = ACTIONS(7511),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHautopageref] = ACTIONS(7511),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcref] = ACTIONS(7511),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCref] = ACTIONS(7511),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcpageref] = ACTIONS(7511),
    [anon_sym_BSLASHCpageref] = ACTIONS(7511),
    [anon_sym_BSLASHnamecref] = ACTIONS(7511),
    [anon_sym_BSLASHnameCref] = ACTIONS(7511),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7511),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7511),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7511),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7511),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7511),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7511),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7511),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7511),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7511),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7511),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7511),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHdef] = ACTIONS(7511),
    [anon_sym_BSLASHgdef] = ACTIONS(7511),
    [anon_sym_BSLASHedef] = ACTIONS(7511),
    [anon_sym_BSLASHxdef] = ACTIONS(7511),
    [anon_sym_BSLASHlet] = ACTIONS(7511),
    [anon_sym_BSLASHglet] = ACTIONS(7511),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7511),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7511),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7511),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7511),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7511),
    [anon_sym_BSLASHgls] = ACTIONS(7511),
    [anon_sym_BSLASHGls] = ACTIONS(7511),
    [anon_sym_BSLASHGLS] = ACTIONS(7511),
    [anon_sym_BSLASHglspl] = ACTIONS(7511),
    [anon_sym_BSLASHGlspl] = ACTIONS(7511),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7511),
    [anon_sym_BSLASHglslink] = ACTIONS(7511),
    [anon_sym_BSLASHglstext] = ACTIONS(7511),
    [anon_sym_BSLASHGlstext] = ACTIONS(7511),
    [anon_sym_BSLASHGLStext] = ACTIONS(7511),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7511),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7511),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7511),
    [anon_sym_BSLASHglsplural] = ACTIONS(7511),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7511),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7511),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHglsname] = ACTIONS(7511),
    [anon_sym_BSLASHGlsname] = ACTIONS(7511),
    [anon_sym_BSLASHGLSname] = ACTIONS(7511),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7511),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7511),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7511),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7511),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7511),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7511),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7511),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7511),
    [anon_sym_BSLASHacrshort] = ACTIONS(7511),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7511),
    [anon_sym_BSLASHACRshort] = ACTIONS(7511),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHacrlong] = ACTIONS(7511),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7511),
    [anon_sym_BSLASHACRlong] = ACTIONS(7511),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHacrfull] = ACTIONS(7511),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7511),
    [anon_sym_BSLASHACRfull] = ACTIONS(7511),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHacs] = ACTIONS(7511),
    [anon_sym_BSLASHAcs] = ACTIONS(7511),
    [anon_sym_BSLASHacsp] = ACTIONS(7511),
    [anon_sym_BSLASHAcsp] = ACTIONS(7511),
    [anon_sym_BSLASHacl] = ACTIONS(7511),
    [anon_sym_BSLASHAcl] = ACTIONS(7511),
    [anon_sym_BSLASHaclp] = ACTIONS(7511),
    [anon_sym_BSLASHAclp] = ACTIONS(7511),
    [anon_sym_BSLASHacf] = ACTIONS(7511),
    [anon_sym_BSLASHAcf] = ACTIONS(7511),
    [anon_sym_BSLASHacfp] = ACTIONS(7511),
    [anon_sym_BSLASHAcfp] = ACTIONS(7511),
    [anon_sym_BSLASHac] = ACTIONS(7511),
    [anon_sym_BSLASHAc] = ACTIONS(7511),
    [anon_sym_BSLASHacp] = ACTIONS(7511),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7511),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7511),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7511),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7511),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7511),
    [anon_sym_BSLASHcolor] = ACTIONS(7511),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7511),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7511),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7511),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7511),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7511),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7511),
    [anon_sym_BSLASHurl] = ACTIONS(7511),
    [anon_sym_BSLASHhref] = ACTIONS(7511),
  },
  [706] = {
    [sym_command_name] = ACTIONS(7515),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7515),
    [anon_sym_LBRACK] = ACTIONS(7517),
    [anon_sym_RBRACK] = ACTIONS(7517),
    [anon_sym_COMMA] = ACTIONS(7517),
    [anon_sym_EQ] = ACTIONS(7517),
    [anon_sym_LPAREN] = ACTIONS(7517),
    [anon_sym_RPAREN] = ACTIONS(7517),
    [anon_sym_BSLASHpart] = ACTIONS(7515),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHaddpart] = ACTIONS(7515),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHchapter] = ACTIONS(7515),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHaddchap] = ACTIONS(7515),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHsection] = ACTIONS(7515),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHaddsec] = ACTIONS(7515),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHsubsection] = ACTIONS(7515),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7515),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHparagraph] = ACTIONS(7515),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7515),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHitem] = ACTIONS(7515),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7517),
    [anon_sym_LBRACE] = ACTIONS(7517),
    [sym_word] = ACTIONS(7515),
    [sym_placeholder] = ACTIONS(7517),
    [sym_delimiter] = ACTIONS(7517),
    [anon_sym_PLUS] = ACTIONS(7517),
    [anon_sym_DASH] = ACTIONS(7517),
    [anon_sym_STAR] = ACTIONS(7517),
    [anon_sym_SLASH] = ACTIONS(7517),
    [anon_sym_LT] = ACTIONS(7515),
    [anon_sym_GT] = ACTIONS(7515),
    [anon_sym_BANG] = ACTIONS(7515),
    [anon_sym_PIPE] = ACTIONS(7515),
    [anon_sym_COLON] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7515),
    [anon_sym__] = ACTIONS(7517),
    [anon_sym_CARET] = ACTIONS(7517),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7517),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7517),
    [anon_sym_DOLLAR] = ACTIONS(7515),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7517),
    [anon_sym_BSLASHleft] = ACTIONS(7515),
    [anon_sym_BSLASHbigl] = ACTIONS(7515),
    [anon_sym_BSLASHBigl] = ACTIONS(7515),
    [anon_sym_BSLASHbiggl] = ACTIONS(7515),
    [anon_sym_BSLASHBiggl] = ACTIONS(7515),
    [anon_sym_BSLASHright] = ACTIONS(7515),
    [anon_sym_BSLASHbigr] = ACTIONS(7515),
    [anon_sym_BSLASHBigr] = ACTIONS(7515),
    [anon_sym_BSLASHbiggr] = ACTIONS(7515),
    [anon_sym_BSLASHBiggr] = ACTIONS(7515),
    [anon_sym_BSLASHtext] = ACTIONS(7515),
    [anon_sym_BSLASHintertext] = ACTIONS(7515),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7515),
    [anon_sym_BSLASHbegin] = ACTIONS(7515),
    [anon_sym_BSLASHtitle] = ACTIONS(7515),
    [anon_sym_BSLASHauthor] = ACTIONS(7515),
    [anon_sym_BSLASHusepackage] = ACTIONS(7515),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7515),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7515),
    [anon_sym_BSLASHinclude] = ACTIONS(7515),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7515),
    [anon_sym_BSLASHinput] = ACTIONS(7515),
    [anon_sym_BSLASHsubfile] = ACTIONS(7515),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7515),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7515),
    [anon_sym_BSLASHbibliography] = ACTIONS(7515),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7515),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7515),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7515),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7515),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7515),
    [anon_sym_BSLASHimport] = ACTIONS(7515),
    [anon_sym_BSLASHsubimport] = ACTIONS(7515),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7515),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7515),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7515),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7515),
    [anon_sym_BSLASHcaption] = ACTIONS(7515),
    [anon_sym_BSLASHcite] = ACTIONS(7515),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCite] = ACTIONS(7515),
    [anon_sym_BSLASHnocite] = ACTIONS(7515),
    [anon_sym_BSLASHcitet] = ACTIONS(7515),
    [anon_sym_BSLASHcitep] = ACTIONS(7515),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteA] = ACTIONS(7515),
    [anon_sym_BSLASHciteR] = ACTIONS(7515),
    [anon_sym_BSLASHciteS] = ACTIONS(7515),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7515),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7515),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7515),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7515),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteyear] = ACTIONS(7515),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitedate] = ACTIONS(7515),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteurl] = ACTIONS(7515),
    [anon_sym_BSLASHfullcite] = ACTIONS(7515),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7515),
    [anon_sym_BSLASHcitealt] = ACTIONS(7515),
    [anon_sym_BSLASHcitealp] = ACTIONS(7515),
    [anon_sym_BSLASHcitetext] = ACTIONS(7515),
    [anon_sym_BSLASHparencite] = ACTIONS(7515),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHParencite] = ACTIONS(7515),
    [anon_sym_BSLASHfootcite] = ACTIONS(7515),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7515),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7515),
    [anon_sym_BSLASHtextcite] = ACTIONS(7515),
    [anon_sym_BSLASHTextcite] = ACTIONS(7515),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7515),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7515),
    [anon_sym_BSLASHsupercite] = ACTIONS(7515),
    [anon_sym_BSLASHautocite] = ACTIONS(7515),
    [anon_sym_BSLASHAutocite] = ACTIONS(7515),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHVolcite] = ACTIONS(7515),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHavolcite] = ACTIONS(7515),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHNotecite] = ACTIONS(7515),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHlabel] = ACTIONS(7515),
    [anon_sym_BSLASHref] = ACTIONS(7515),
    [anon_sym_BSLASHeqref] = ACTIONS(7515),
    [anon_sym_BSLASHvref] = ACTIONS(7515),
    [anon_sym_BSLASHVref] = ACTIONS(7515),
    [anon_sym_BSLASHautoref] = ACTIONS(7515),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHpageref] = ACTIONS(7515),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHautopageref] = ACTIONS(7515),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcref] = ACTIONS(7515),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCref] = ACTIONS(7515),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcpageref] = ACTIONS(7515),
    [anon_sym_BSLASHCpageref] = ACTIONS(7515),
    [anon_sym_BSLASHnamecref] = ACTIONS(7515),
    [anon_sym_BSLASHnameCref] = ACTIONS(7515),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7515),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7515),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7515),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7515),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7515),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7515),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7515),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7515),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7515),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7515),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7515),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHdef] = ACTIONS(7515),
    [anon_sym_BSLASHgdef] = ACTIONS(7515),
    [anon_sym_BSLASHedef] = ACTIONS(7515),
    [anon_sym_BSLASHxdef] = ACTIONS(7515),
    [anon_sym_BSLASHlet] = ACTIONS(7515),
    [anon_sym_BSLASHglet] = ACTIONS(7515),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7515),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7515),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7515),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7515),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7515),
    [anon_sym_BSLASHgls] = ACTIONS(7515),
    [anon_sym_BSLASHGls] = ACTIONS(7515),
    [anon_sym_BSLASHGLS] = ACTIONS(7515),
    [anon_sym_BSLASHglspl] = ACTIONS(7515),
    [anon_sym_BSLASHGlspl] = ACTIONS(7515),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7515),
    [anon_sym_BSLASHglslink] = ACTIONS(7515),
    [anon_sym_BSLASHglstext] = ACTIONS(7515),
    [anon_sym_BSLASHGlstext] = ACTIONS(7515),
    [anon_sym_BSLASHGLStext] = ACTIONS(7515),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7515),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7515),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7515),
    [anon_sym_BSLASHglsplural] = ACTIONS(7515),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7515),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7515),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHglsname] = ACTIONS(7515),
    [anon_sym_BSLASHGlsname] = ACTIONS(7515),
    [anon_sym_BSLASHGLSname] = ACTIONS(7515),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7515),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7515),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7515),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7515),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7515),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7515),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7515),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7515),
    [anon_sym_BSLASHacrshort] = ACTIONS(7515),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7515),
    [anon_sym_BSLASHACRshort] = ACTIONS(7515),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHacrlong] = ACTIONS(7515),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7515),
    [anon_sym_BSLASHACRlong] = ACTIONS(7515),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHacrfull] = ACTIONS(7515),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7515),
    [anon_sym_BSLASHACRfull] = ACTIONS(7515),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHacs] = ACTIONS(7515),
    [anon_sym_BSLASHAcs] = ACTIONS(7515),
    [anon_sym_BSLASHacsp] = ACTIONS(7515),
    [anon_sym_BSLASHAcsp] = ACTIONS(7515),
    [anon_sym_BSLASHacl] = ACTIONS(7515),
    [anon_sym_BSLASHAcl] = ACTIONS(7515),
    [anon_sym_BSLASHaclp] = ACTIONS(7515),
    [anon_sym_BSLASHAclp] = ACTIONS(7515),
    [anon_sym_BSLASHacf] = ACTIONS(7515),
    [anon_sym_BSLASHAcf] = ACTIONS(7515),
    [anon_sym_BSLASHacfp] = ACTIONS(7515),
    [anon_sym_BSLASHAcfp] = ACTIONS(7515),
    [anon_sym_BSLASHac] = ACTIONS(7515),
    [anon_sym_BSLASHAc] = ACTIONS(7515),
    [anon_sym_BSLASHacp] = ACTIONS(7515),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7515),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7515),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7515),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7515),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7515),
    [anon_sym_BSLASHcolor] = ACTIONS(7515),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7515),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7515),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7515),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7515),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7515),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7515),
    [anon_sym_BSLASHurl] = ACTIONS(7515),
    [anon_sym_BSLASHhref] = ACTIONS(7515),
  },
  [707] = {
    [sym_command_name] = ACTIONS(7519),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7519),
    [anon_sym_LBRACK] = ACTIONS(7521),
    [anon_sym_RBRACK] = ACTIONS(7521),
    [anon_sym_COMMA] = ACTIONS(7521),
    [anon_sym_EQ] = ACTIONS(7521),
    [anon_sym_LPAREN] = ACTIONS(7521),
    [anon_sym_RPAREN] = ACTIONS(7521),
    [anon_sym_BSLASHpart] = ACTIONS(7519),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHaddpart] = ACTIONS(7519),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHchapter] = ACTIONS(7519),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHaddchap] = ACTIONS(7519),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHsection] = ACTIONS(7519),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHaddsec] = ACTIONS(7519),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHsubsection] = ACTIONS(7519),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7519),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHparagraph] = ACTIONS(7519),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7519),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHitem] = ACTIONS(7519),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7521),
    [anon_sym_LBRACE] = ACTIONS(7521),
    [sym_word] = ACTIONS(7519),
    [sym_placeholder] = ACTIONS(7521),
    [sym_delimiter] = ACTIONS(7521),
    [anon_sym_PLUS] = ACTIONS(7521),
    [anon_sym_DASH] = ACTIONS(7521),
    [anon_sym_STAR] = ACTIONS(7521),
    [anon_sym_SLASH] = ACTIONS(7521),
    [anon_sym_LT] = ACTIONS(7519),
    [anon_sym_GT] = ACTIONS(7519),
    [anon_sym_BANG] = ACTIONS(7519),
    [anon_sym_PIPE] = ACTIONS(7519),
    [anon_sym_COLON] = ACTIONS(7519),
    [anon_sym_SQUOTE] = ACTIONS(7519),
    [anon_sym__] = ACTIONS(7521),
    [anon_sym_CARET] = ACTIONS(7521),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7521),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7521),
    [anon_sym_DOLLAR] = ACTIONS(7519),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7521),
    [anon_sym_BSLASHleft] = ACTIONS(7519),
    [anon_sym_BSLASHbigl] = ACTIONS(7519),
    [anon_sym_BSLASHBigl] = ACTIONS(7519),
    [anon_sym_BSLASHbiggl] = ACTIONS(7519),
    [anon_sym_BSLASHBiggl] = ACTIONS(7519),
    [anon_sym_BSLASHright] = ACTIONS(7519),
    [anon_sym_BSLASHbigr] = ACTIONS(7519),
    [anon_sym_BSLASHBigr] = ACTIONS(7519),
    [anon_sym_BSLASHbiggr] = ACTIONS(7519),
    [anon_sym_BSLASHBiggr] = ACTIONS(7519),
    [anon_sym_BSLASHtext] = ACTIONS(7519),
    [anon_sym_BSLASHintertext] = ACTIONS(7519),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7519),
    [anon_sym_BSLASHbegin] = ACTIONS(7519),
    [anon_sym_BSLASHtitle] = ACTIONS(7519),
    [anon_sym_BSLASHauthor] = ACTIONS(7519),
    [anon_sym_BSLASHusepackage] = ACTIONS(7519),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7519),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7519),
    [anon_sym_BSLASHinclude] = ACTIONS(7519),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7519),
    [anon_sym_BSLASHinput] = ACTIONS(7519),
    [anon_sym_BSLASHsubfile] = ACTIONS(7519),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7519),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7519),
    [anon_sym_BSLASHbibliography] = ACTIONS(7519),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7519),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7519),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7519),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7519),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7519),
    [anon_sym_BSLASHimport] = ACTIONS(7519),
    [anon_sym_BSLASHsubimport] = ACTIONS(7519),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7519),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7519),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7519),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7519),
    [anon_sym_BSLASHcaption] = ACTIONS(7519),
    [anon_sym_BSLASHcite] = ACTIONS(7519),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCite] = ACTIONS(7519),
    [anon_sym_BSLASHnocite] = ACTIONS(7519),
    [anon_sym_BSLASHcitet] = ACTIONS(7519),
    [anon_sym_BSLASHcitep] = ACTIONS(7519),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteA] = ACTIONS(7519),
    [anon_sym_BSLASHciteR] = ACTIONS(7519),
    [anon_sym_BSLASHciteS] = ACTIONS(7519),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7519),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7519),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7519),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7519),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteyear] = ACTIONS(7519),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitedate] = ACTIONS(7519),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteurl] = ACTIONS(7519),
    [anon_sym_BSLASHfullcite] = ACTIONS(7519),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7519),
    [anon_sym_BSLASHcitealt] = ACTIONS(7519),
    [anon_sym_BSLASHcitealp] = ACTIONS(7519),
    [anon_sym_BSLASHcitetext] = ACTIONS(7519),
    [anon_sym_BSLASHparencite] = ACTIONS(7519),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHParencite] = ACTIONS(7519),
    [anon_sym_BSLASHfootcite] = ACTIONS(7519),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7519),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7519),
    [anon_sym_BSLASHtextcite] = ACTIONS(7519),
    [anon_sym_BSLASHTextcite] = ACTIONS(7519),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7519),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7519),
    [anon_sym_BSLASHsupercite] = ACTIONS(7519),
    [anon_sym_BSLASHautocite] = ACTIONS(7519),
    [anon_sym_BSLASHAutocite] = ACTIONS(7519),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHVolcite] = ACTIONS(7519),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHavolcite] = ACTIONS(7519),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHNotecite] = ACTIONS(7519),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHlabel] = ACTIONS(7519),
    [anon_sym_BSLASHref] = ACTIONS(7519),
    [anon_sym_BSLASHeqref] = ACTIONS(7519),
    [anon_sym_BSLASHvref] = ACTIONS(7519),
    [anon_sym_BSLASHVref] = ACTIONS(7519),
    [anon_sym_BSLASHautoref] = ACTIONS(7519),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHpageref] = ACTIONS(7519),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHautopageref] = ACTIONS(7519),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcref] = ACTIONS(7519),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCref] = ACTIONS(7519),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcpageref] = ACTIONS(7519),
    [anon_sym_BSLASHCpageref] = ACTIONS(7519),
    [anon_sym_BSLASHnamecref] = ACTIONS(7519),
    [anon_sym_BSLASHnameCref] = ACTIONS(7519),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7519),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7519),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7519),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7519),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7519),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7519),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7519),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7519),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7519),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7519),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7519),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHdef] = ACTIONS(7519),
    [anon_sym_BSLASHgdef] = ACTIONS(7519),
    [anon_sym_BSLASHedef] = ACTIONS(7519),
    [anon_sym_BSLASHxdef] = ACTIONS(7519),
    [anon_sym_BSLASHlet] = ACTIONS(7519),
    [anon_sym_BSLASHglet] = ACTIONS(7519),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7519),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7519),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7519),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7519),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7519),
    [anon_sym_BSLASHgls] = ACTIONS(7519),
    [anon_sym_BSLASHGls] = ACTIONS(7519),
    [anon_sym_BSLASHGLS] = ACTIONS(7519),
    [anon_sym_BSLASHglspl] = ACTIONS(7519),
    [anon_sym_BSLASHGlspl] = ACTIONS(7519),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7519),
    [anon_sym_BSLASHglslink] = ACTIONS(7519),
    [anon_sym_BSLASHglstext] = ACTIONS(7519),
    [anon_sym_BSLASHGlstext] = ACTIONS(7519),
    [anon_sym_BSLASHGLStext] = ACTIONS(7519),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7519),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7519),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7519),
    [anon_sym_BSLASHglsplural] = ACTIONS(7519),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7519),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7519),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHglsname] = ACTIONS(7519),
    [anon_sym_BSLASHGlsname] = ACTIONS(7519),
    [anon_sym_BSLASHGLSname] = ACTIONS(7519),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7519),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7519),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7519),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7519),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7519),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7519),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7519),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7519),
    [anon_sym_BSLASHacrshort] = ACTIONS(7519),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7519),
    [anon_sym_BSLASHACRshort] = ACTIONS(7519),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHacrlong] = ACTIONS(7519),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7519),
    [anon_sym_BSLASHACRlong] = ACTIONS(7519),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHacrfull] = ACTIONS(7519),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7519),
    [anon_sym_BSLASHACRfull] = ACTIONS(7519),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHacs] = ACTIONS(7519),
    [anon_sym_BSLASHAcs] = ACTIONS(7519),
    [anon_sym_BSLASHacsp] = ACTIONS(7519),
    [anon_sym_BSLASHAcsp] = ACTIONS(7519),
    [anon_sym_BSLASHacl] = ACTIONS(7519),
    [anon_sym_BSLASHAcl] = ACTIONS(7519),
    [anon_sym_BSLASHaclp] = ACTIONS(7519),
    [anon_sym_BSLASHAclp] = ACTIONS(7519),
    [anon_sym_BSLASHacf] = ACTIONS(7519),
    [anon_sym_BSLASHAcf] = ACTIONS(7519),
    [anon_sym_BSLASHacfp] = ACTIONS(7519),
    [anon_sym_BSLASHAcfp] = ACTIONS(7519),
    [anon_sym_BSLASHac] = ACTIONS(7519),
    [anon_sym_BSLASHAc] = ACTIONS(7519),
    [anon_sym_BSLASHacp] = ACTIONS(7519),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7519),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7519),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7519),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7519),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7519),
    [anon_sym_BSLASHcolor] = ACTIONS(7519),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7519),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7519),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7519),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7519),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7519),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7519),
    [anon_sym_BSLASHurl] = ACTIONS(7519),
    [anon_sym_BSLASHhref] = ACTIONS(7519),
  },
  [708] = {
    [sym_command_name] = ACTIONS(7523),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7523),
    [anon_sym_LBRACK] = ACTIONS(7525),
    [anon_sym_RBRACK] = ACTIONS(7525),
    [anon_sym_COMMA] = ACTIONS(7525),
    [anon_sym_EQ] = ACTIONS(7525),
    [anon_sym_LPAREN] = ACTIONS(7525),
    [anon_sym_RPAREN] = ACTIONS(7525),
    [anon_sym_BSLASHpart] = ACTIONS(7523),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHaddpart] = ACTIONS(7523),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHchapter] = ACTIONS(7523),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHaddchap] = ACTIONS(7523),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHsection] = ACTIONS(7523),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHaddsec] = ACTIONS(7523),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHsubsection] = ACTIONS(7523),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7523),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHparagraph] = ACTIONS(7523),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7523),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHitem] = ACTIONS(7523),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7525),
    [anon_sym_LBRACE] = ACTIONS(7525),
    [sym_word] = ACTIONS(7523),
    [sym_placeholder] = ACTIONS(7525),
    [sym_delimiter] = ACTIONS(7525),
    [anon_sym_PLUS] = ACTIONS(7525),
    [anon_sym_DASH] = ACTIONS(7525),
    [anon_sym_STAR] = ACTIONS(7525),
    [anon_sym_SLASH] = ACTIONS(7525),
    [anon_sym_LT] = ACTIONS(7523),
    [anon_sym_GT] = ACTIONS(7523),
    [anon_sym_BANG] = ACTIONS(7523),
    [anon_sym_PIPE] = ACTIONS(7523),
    [anon_sym_COLON] = ACTIONS(7523),
    [anon_sym_SQUOTE] = ACTIONS(7523),
    [anon_sym__] = ACTIONS(7525),
    [anon_sym_CARET] = ACTIONS(7525),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7525),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7525),
    [anon_sym_DOLLAR] = ACTIONS(7523),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7525),
    [anon_sym_BSLASHleft] = ACTIONS(7523),
    [anon_sym_BSLASHbigl] = ACTIONS(7523),
    [anon_sym_BSLASHBigl] = ACTIONS(7523),
    [anon_sym_BSLASHbiggl] = ACTIONS(7523),
    [anon_sym_BSLASHBiggl] = ACTIONS(7523),
    [anon_sym_BSLASHright] = ACTIONS(7523),
    [anon_sym_BSLASHbigr] = ACTIONS(7523),
    [anon_sym_BSLASHBigr] = ACTIONS(7523),
    [anon_sym_BSLASHbiggr] = ACTIONS(7523),
    [anon_sym_BSLASHBiggr] = ACTIONS(7523),
    [anon_sym_BSLASHtext] = ACTIONS(7523),
    [anon_sym_BSLASHintertext] = ACTIONS(7523),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7523),
    [anon_sym_BSLASHbegin] = ACTIONS(7523),
    [anon_sym_BSLASHtitle] = ACTIONS(7523),
    [anon_sym_BSLASHauthor] = ACTIONS(7523),
    [anon_sym_BSLASHusepackage] = ACTIONS(7523),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7523),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7523),
    [anon_sym_BSLASHinclude] = ACTIONS(7523),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7523),
    [anon_sym_BSLASHinput] = ACTIONS(7523),
    [anon_sym_BSLASHsubfile] = ACTIONS(7523),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7523),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7523),
    [anon_sym_BSLASHbibliography] = ACTIONS(7523),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7523),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7523),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7523),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7523),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7523),
    [anon_sym_BSLASHimport] = ACTIONS(7523),
    [anon_sym_BSLASHsubimport] = ACTIONS(7523),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7523),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7523),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7523),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7523),
    [anon_sym_BSLASHcaption] = ACTIONS(7523),
    [anon_sym_BSLASHcite] = ACTIONS(7523),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCite] = ACTIONS(7523),
    [anon_sym_BSLASHnocite] = ACTIONS(7523),
    [anon_sym_BSLASHcitet] = ACTIONS(7523),
    [anon_sym_BSLASHcitep] = ACTIONS(7523),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteA] = ACTIONS(7523),
    [anon_sym_BSLASHciteR] = ACTIONS(7523),
    [anon_sym_BSLASHciteS] = ACTIONS(7523),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7523),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7523),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7523),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7523),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteyear] = ACTIONS(7523),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitedate] = ACTIONS(7523),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteurl] = ACTIONS(7523),
    [anon_sym_BSLASHfullcite] = ACTIONS(7523),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7523),
    [anon_sym_BSLASHcitealt] = ACTIONS(7523),
    [anon_sym_BSLASHcitealp] = ACTIONS(7523),
    [anon_sym_BSLASHcitetext] = ACTIONS(7523),
    [anon_sym_BSLASHparencite] = ACTIONS(7523),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHParencite] = ACTIONS(7523),
    [anon_sym_BSLASHfootcite] = ACTIONS(7523),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7523),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7523),
    [anon_sym_BSLASHtextcite] = ACTIONS(7523),
    [anon_sym_BSLASHTextcite] = ACTIONS(7523),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7523),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7523),
    [anon_sym_BSLASHsupercite] = ACTIONS(7523),
    [anon_sym_BSLASHautocite] = ACTIONS(7523),
    [anon_sym_BSLASHAutocite] = ACTIONS(7523),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHVolcite] = ACTIONS(7523),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHavolcite] = ACTIONS(7523),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHNotecite] = ACTIONS(7523),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHlabel] = ACTIONS(7523),
    [anon_sym_BSLASHref] = ACTIONS(7523),
    [anon_sym_BSLASHeqref] = ACTIONS(7523),
    [anon_sym_BSLASHvref] = ACTIONS(7523),
    [anon_sym_BSLASHVref] = ACTIONS(7523),
    [anon_sym_BSLASHautoref] = ACTIONS(7523),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHpageref] = ACTIONS(7523),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHautopageref] = ACTIONS(7523),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcref] = ACTIONS(7523),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCref] = ACTIONS(7523),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcpageref] = ACTIONS(7523),
    [anon_sym_BSLASHCpageref] = ACTIONS(7523),
    [anon_sym_BSLASHnamecref] = ACTIONS(7523),
    [anon_sym_BSLASHnameCref] = ACTIONS(7523),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7523),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7523),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7523),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7523),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7523),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7523),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7523),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7523),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7523),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7523),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7523),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHdef] = ACTIONS(7523),
    [anon_sym_BSLASHgdef] = ACTIONS(7523),
    [anon_sym_BSLASHedef] = ACTIONS(7523),
    [anon_sym_BSLASHxdef] = ACTIONS(7523),
    [anon_sym_BSLASHlet] = ACTIONS(7523),
    [anon_sym_BSLASHglet] = ACTIONS(7523),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7523),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7523),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7523),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7523),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7523),
    [anon_sym_BSLASHgls] = ACTIONS(7523),
    [anon_sym_BSLASHGls] = ACTIONS(7523),
    [anon_sym_BSLASHGLS] = ACTIONS(7523),
    [anon_sym_BSLASHglspl] = ACTIONS(7523),
    [anon_sym_BSLASHGlspl] = ACTIONS(7523),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7523),
    [anon_sym_BSLASHglslink] = ACTIONS(7523),
    [anon_sym_BSLASHglstext] = ACTIONS(7523),
    [anon_sym_BSLASHGlstext] = ACTIONS(7523),
    [anon_sym_BSLASHGLStext] = ACTIONS(7523),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7523),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7523),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7523),
    [anon_sym_BSLASHglsplural] = ACTIONS(7523),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7523),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7523),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHglsname] = ACTIONS(7523),
    [anon_sym_BSLASHGlsname] = ACTIONS(7523),
    [anon_sym_BSLASHGLSname] = ACTIONS(7523),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7523),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7523),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7523),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7523),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7523),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7523),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7523),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7523),
    [anon_sym_BSLASHacrshort] = ACTIONS(7523),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7523),
    [anon_sym_BSLASHACRshort] = ACTIONS(7523),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHacrlong] = ACTIONS(7523),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7523),
    [anon_sym_BSLASHACRlong] = ACTIONS(7523),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHacrfull] = ACTIONS(7523),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7523),
    [anon_sym_BSLASHACRfull] = ACTIONS(7523),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHacs] = ACTIONS(7523),
    [anon_sym_BSLASHAcs] = ACTIONS(7523),
    [anon_sym_BSLASHacsp] = ACTIONS(7523),
    [anon_sym_BSLASHAcsp] = ACTIONS(7523),
    [anon_sym_BSLASHacl] = ACTIONS(7523),
    [anon_sym_BSLASHAcl] = ACTIONS(7523),
    [anon_sym_BSLASHaclp] = ACTIONS(7523),
    [anon_sym_BSLASHAclp] = ACTIONS(7523),
    [anon_sym_BSLASHacf] = ACTIONS(7523),
    [anon_sym_BSLASHAcf] = ACTIONS(7523),
    [anon_sym_BSLASHacfp] = ACTIONS(7523),
    [anon_sym_BSLASHAcfp] = ACTIONS(7523),
    [anon_sym_BSLASHac] = ACTIONS(7523),
    [anon_sym_BSLASHAc] = ACTIONS(7523),
    [anon_sym_BSLASHacp] = ACTIONS(7523),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7523),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7523),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7523),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7523),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7523),
    [anon_sym_BSLASHcolor] = ACTIONS(7523),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7523),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7523),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7523),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7523),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7523),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7523),
    [anon_sym_BSLASHurl] = ACTIONS(7523),
    [anon_sym_BSLASHhref] = ACTIONS(7523),
  },
  [709] = {
    [sym_command_name] = ACTIONS(7527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7527),
    [anon_sym_LBRACK] = ACTIONS(7529),
    [anon_sym_RBRACK] = ACTIONS(7529),
    [anon_sym_COMMA] = ACTIONS(7529),
    [anon_sym_EQ] = ACTIONS(7529),
    [anon_sym_LPAREN] = ACTIONS(7529),
    [anon_sym_RPAREN] = ACTIONS(7529),
    [anon_sym_BSLASHpart] = ACTIONS(7527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHaddpart] = ACTIONS(7527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHchapter] = ACTIONS(7527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHaddchap] = ACTIONS(7527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHsection] = ACTIONS(7527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHaddsec] = ACTIONS(7527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHsubsection] = ACTIONS(7527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHparagraph] = ACTIONS(7527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHitem] = ACTIONS(7527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7529),
    [anon_sym_LBRACE] = ACTIONS(7529),
    [sym_word] = ACTIONS(7527),
    [sym_placeholder] = ACTIONS(7529),
    [sym_delimiter] = ACTIONS(7529),
    [anon_sym_PLUS] = ACTIONS(7529),
    [anon_sym_DASH] = ACTIONS(7529),
    [anon_sym_STAR] = ACTIONS(7529),
    [anon_sym_SLASH] = ACTIONS(7529),
    [anon_sym_LT] = ACTIONS(7527),
    [anon_sym_GT] = ACTIONS(7527),
    [anon_sym_BANG] = ACTIONS(7527),
    [anon_sym_PIPE] = ACTIONS(7527),
    [anon_sym_COLON] = ACTIONS(7527),
    [anon_sym_SQUOTE] = ACTIONS(7527),
    [anon_sym__] = ACTIONS(7529),
    [anon_sym_CARET] = ACTIONS(7529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7529),
    [anon_sym_DOLLAR] = ACTIONS(7527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7529),
    [anon_sym_BSLASHleft] = ACTIONS(7527),
    [anon_sym_BSLASHbigl] = ACTIONS(7527),
    [anon_sym_BSLASHBigl] = ACTIONS(7527),
    [anon_sym_BSLASHbiggl] = ACTIONS(7527),
    [anon_sym_BSLASHBiggl] = ACTIONS(7527),
    [anon_sym_BSLASHright] = ACTIONS(7527),
    [anon_sym_BSLASHbigr] = ACTIONS(7527),
    [anon_sym_BSLASHBigr] = ACTIONS(7527),
    [anon_sym_BSLASHbiggr] = ACTIONS(7527),
    [anon_sym_BSLASHBiggr] = ACTIONS(7527),
    [anon_sym_BSLASHtext] = ACTIONS(7527),
    [anon_sym_BSLASHintertext] = ACTIONS(7527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7527),
    [anon_sym_BSLASHbegin] = ACTIONS(7527),
    [anon_sym_BSLASHtitle] = ACTIONS(7527),
    [anon_sym_BSLASHauthor] = ACTIONS(7527),
    [anon_sym_BSLASHusepackage] = ACTIONS(7527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7527),
    [anon_sym_BSLASHinclude] = ACTIONS(7527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7527),
    [anon_sym_BSLASHinput] = ACTIONS(7527),
    [anon_sym_BSLASHsubfile] = ACTIONS(7527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7527),
    [anon_sym_BSLASHbibliography] = ACTIONS(7527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7527),
    [anon_sym_BSLASHimport] = ACTIONS(7527),
    [anon_sym_BSLASHsubimport] = ACTIONS(7527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7527),
    [anon_sym_BSLASHcaption] = ACTIONS(7527),
    [anon_sym_BSLASHcite] = ACTIONS(7527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCite] = ACTIONS(7527),
    [anon_sym_BSLASHnocite] = ACTIONS(7527),
    [anon_sym_BSLASHcitet] = ACTIONS(7527),
    [anon_sym_BSLASHcitep] = ACTIONS(7527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteA] = ACTIONS(7527),
    [anon_sym_BSLASHciteR] = ACTIONS(7527),
    [anon_sym_BSLASHciteS] = ACTIONS(7527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteyear] = ACTIONS(7527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitedate] = ACTIONS(7527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteurl] = ACTIONS(7527),
    [anon_sym_BSLASHfullcite] = ACTIONS(7527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7527),
    [anon_sym_BSLASHcitealt] = ACTIONS(7527),
    [anon_sym_BSLASHcitealp] = ACTIONS(7527),
    [anon_sym_BSLASHcitetext] = ACTIONS(7527),
    [anon_sym_BSLASHparencite] = ACTIONS(7527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHParencite] = ACTIONS(7527),
    [anon_sym_BSLASHfootcite] = ACTIONS(7527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7527),
    [anon_sym_BSLASHtextcite] = ACTIONS(7527),
    [anon_sym_BSLASHTextcite] = ACTIONS(7527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7527),
    [anon_sym_BSLASHsupercite] = ACTIONS(7527),
    [anon_sym_BSLASHautocite] = ACTIONS(7527),
    [anon_sym_BSLASHAutocite] = ACTIONS(7527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHVolcite] = ACTIONS(7527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHavolcite] = ACTIONS(7527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHNotecite] = ACTIONS(7527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHlabel] = ACTIONS(7527),
    [anon_sym_BSLASHref] = ACTIONS(7527),
    [anon_sym_BSLASHeqref] = ACTIONS(7527),
    [anon_sym_BSLASHvref] = ACTIONS(7527),
    [anon_sym_BSLASHVref] = ACTIONS(7527),
    [anon_sym_BSLASHautoref] = ACTIONS(7527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHpageref] = ACTIONS(7527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHautopageref] = ACTIONS(7527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcref] = ACTIONS(7527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCref] = ACTIONS(7527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcpageref] = ACTIONS(7527),
    [anon_sym_BSLASHCpageref] = ACTIONS(7527),
    [anon_sym_BSLASHnamecref] = ACTIONS(7527),
    [anon_sym_BSLASHnameCref] = ACTIONS(7527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHdef] = ACTIONS(7527),
    [anon_sym_BSLASHgdef] = ACTIONS(7527),
    [anon_sym_BSLASHedef] = ACTIONS(7527),
    [anon_sym_BSLASHxdef] = ACTIONS(7527),
    [anon_sym_BSLASHlet] = ACTIONS(7527),
    [anon_sym_BSLASHglet] = ACTIONS(7527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7527),
    [anon_sym_BSLASHgls] = ACTIONS(7527),
    [anon_sym_BSLASHGls] = ACTIONS(7527),
    [anon_sym_BSLASHGLS] = ACTIONS(7527),
    [anon_sym_BSLASHglspl] = ACTIONS(7527),
    [anon_sym_BSLASHGlspl] = ACTIONS(7527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7527),
    [anon_sym_BSLASHglslink] = ACTIONS(7527),
    [anon_sym_BSLASHglstext] = ACTIONS(7527),
    [anon_sym_BSLASHGlstext] = ACTIONS(7527),
    [anon_sym_BSLASHGLStext] = ACTIONS(7527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7527),
    [anon_sym_BSLASHglsplural] = ACTIONS(7527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHglsname] = ACTIONS(7527),
    [anon_sym_BSLASHGlsname] = ACTIONS(7527),
    [anon_sym_BSLASHGLSname] = ACTIONS(7527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7527),
    [anon_sym_BSLASHacrshort] = ACTIONS(7527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7527),
    [anon_sym_BSLASHACRshort] = ACTIONS(7527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHacrlong] = ACTIONS(7527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7527),
    [anon_sym_BSLASHACRlong] = ACTIONS(7527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHacrfull] = ACTIONS(7527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7527),
    [anon_sym_BSLASHACRfull] = ACTIONS(7527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHacs] = ACTIONS(7527),
    [anon_sym_BSLASHAcs] = ACTIONS(7527),
    [anon_sym_BSLASHacsp] = ACTIONS(7527),
    [anon_sym_BSLASHAcsp] = ACTIONS(7527),
    [anon_sym_BSLASHacl] = ACTIONS(7527),
    [anon_sym_BSLASHAcl] = ACTIONS(7527),
    [anon_sym_BSLASHaclp] = ACTIONS(7527),
    [anon_sym_BSLASHAclp] = ACTIONS(7527),
    [anon_sym_BSLASHacf] = ACTIONS(7527),
    [anon_sym_BSLASHAcf] = ACTIONS(7527),
    [anon_sym_BSLASHacfp] = ACTIONS(7527),
    [anon_sym_BSLASHAcfp] = ACTIONS(7527),
    [anon_sym_BSLASHac] = ACTIONS(7527),
    [anon_sym_BSLASHAc] = ACTIONS(7527),
    [anon_sym_BSLASHacp] = ACTIONS(7527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7527),
    [anon_sym_BSLASHcolor] = ACTIONS(7527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7527),
    [anon_sym_BSLASHurl] = ACTIONS(7527),
    [anon_sym_BSLASHhref] = ACTIONS(7527),
  },
  [710] = {
    [sym_command_name] = ACTIONS(7531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(7533),
    [anon_sym_RBRACK] = ACTIONS(7533),
    [anon_sym_COMMA] = ACTIONS(7533),
    [anon_sym_EQ] = ACTIONS(7533),
    [anon_sym_LPAREN] = ACTIONS(7533),
    [anon_sym_RPAREN] = ACTIONS(7533),
    [anon_sym_BSLASHpart] = ACTIONS(7531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHaddpart] = ACTIONS(7531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHchapter] = ACTIONS(7531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHaddchap] = ACTIONS(7531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHsection] = ACTIONS(7531),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHaddsec] = ACTIONS(7531),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHsubsection] = ACTIONS(7531),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7531),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHparagraph] = ACTIONS(7531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHitem] = ACTIONS(7531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7533),
    [anon_sym_LBRACE] = ACTIONS(7533),
    [sym_word] = ACTIONS(7531),
    [sym_placeholder] = ACTIONS(7533),
    [sym_delimiter] = ACTIONS(7533),
    [anon_sym_PLUS] = ACTIONS(7533),
    [anon_sym_DASH] = ACTIONS(7533),
    [anon_sym_STAR] = ACTIONS(7533),
    [anon_sym_SLASH] = ACTIONS(7533),
    [anon_sym_LT] = ACTIONS(7531),
    [anon_sym_GT] = ACTIONS(7531),
    [anon_sym_BANG] = ACTIONS(7531),
    [anon_sym_PIPE] = ACTIONS(7531),
    [anon_sym_COLON] = ACTIONS(7531),
    [anon_sym_SQUOTE] = ACTIONS(7531),
    [anon_sym__] = ACTIONS(7533),
    [anon_sym_CARET] = ACTIONS(7533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7533),
    [anon_sym_DOLLAR] = ACTIONS(7531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7533),
    [anon_sym_BSLASHleft] = ACTIONS(7531),
    [anon_sym_BSLASHbigl] = ACTIONS(7531),
    [anon_sym_BSLASHBigl] = ACTIONS(7531),
    [anon_sym_BSLASHbiggl] = ACTIONS(7531),
    [anon_sym_BSLASHBiggl] = ACTIONS(7531),
    [anon_sym_BSLASHright] = ACTIONS(7531),
    [anon_sym_BSLASHbigr] = ACTIONS(7531),
    [anon_sym_BSLASHBigr] = ACTIONS(7531),
    [anon_sym_BSLASHbiggr] = ACTIONS(7531),
    [anon_sym_BSLASHBiggr] = ACTIONS(7531),
    [anon_sym_BSLASHtext] = ACTIONS(7531),
    [anon_sym_BSLASHintertext] = ACTIONS(7531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7531),
    [anon_sym_BSLASHbegin] = ACTIONS(7531),
    [anon_sym_BSLASHtitle] = ACTIONS(7531),
    [anon_sym_BSLASHauthor] = ACTIONS(7531),
    [anon_sym_BSLASHusepackage] = ACTIONS(7531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7531),
    [anon_sym_BSLASHinclude] = ACTIONS(7531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7531),
    [anon_sym_BSLASHinput] = ACTIONS(7531),
    [anon_sym_BSLASHsubfile] = ACTIONS(7531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7531),
    [anon_sym_BSLASHbibliography] = ACTIONS(7531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7531),
    [anon_sym_BSLASHimport] = ACTIONS(7531),
    [anon_sym_BSLASHsubimport] = ACTIONS(7531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7531),
    [anon_sym_BSLASHcaption] = ACTIONS(7531),
    [anon_sym_BSLASHcite] = ACTIONS(7531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCite] = ACTIONS(7531),
    [anon_sym_BSLASHnocite] = ACTIONS(7531),
    [anon_sym_BSLASHcitet] = ACTIONS(7531),
    [anon_sym_BSLASHcitep] = ACTIONS(7531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteA] = ACTIONS(7531),
    [anon_sym_BSLASHciteR] = ACTIONS(7531),
    [anon_sym_BSLASHciteS] = ACTIONS(7531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteyear] = ACTIONS(7531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitedate] = ACTIONS(7531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteurl] = ACTIONS(7531),
    [anon_sym_BSLASHfullcite] = ACTIONS(7531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7531),
    [anon_sym_BSLASHcitealt] = ACTIONS(7531),
    [anon_sym_BSLASHcitealp] = ACTIONS(7531),
    [anon_sym_BSLASHcitetext] = ACTIONS(7531),
    [anon_sym_BSLASHparencite] = ACTIONS(7531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHParencite] = ACTIONS(7531),
    [anon_sym_BSLASHfootcite] = ACTIONS(7531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7531),
    [anon_sym_BSLASHtextcite] = ACTIONS(7531),
    [anon_sym_BSLASHTextcite] = ACTIONS(7531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7531),
    [anon_sym_BSLASHsupercite] = ACTIONS(7531),
    [anon_sym_BSLASHautocite] = ACTIONS(7531),
    [anon_sym_BSLASHAutocite] = ACTIONS(7531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHVolcite] = ACTIONS(7531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHavolcite] = ACTIONS(7531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHNotecite] = ACTIONS(7531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHlabel] = ACTIONS(7531),
    [anon_sym_BSLASHref] = ACTIONS(7531),
    [anon_sym_BSLASHeqref] = ACTIONS(7531),
    [anon_sym_BSLASHvref] = ACTIONS(7531),
    [anon_sym_BSLASHVref] = ACTIONS(7531),
    [anon_sym_BSLASHautoref] = ACTIONS(7531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHpageref] = ACTIONS(7531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHautopageref] = ACTIONS(7531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcref] = ACTIONS(7531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCref] = ACTIONS(7531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcpageref] = ACTIONS(7531),
    [anon_sym_BSLASHCpageref] = ACTIONS(7531),
    [anon_sym_BSLASHnamecref] = ACTIONS(7531),
    [anon_sym_BSLASHnameCref] = ACTIONS(7531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHdef] = ACTIONS(7531),
    [anon_sym_BSLASHgdef] = ACTIONS(7531),
    [anon_sym_BSLASHedef] = ACTIONS(7531),
    [anon_sym_BSLASHxdef] = ACTIONS(7531),
    [anon_sym_BSLASHlet] = ACTIONS(7531),
    [anon_sym_BSLASHglet] = ACTIONS(7531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7531),
    [anon_sym_BSLASHgls] = ACTIONS(7531),
    [anon_sym_BSLASHGls] = ACTIONS(7531),
    [anon_sym_BSLASHGLS] = ACTIONS(7531),
    [anon_sym_BSLASHglspl] = ACTIONS(7531),
    [anon_sym_BSLASHGlspl] = ACTIONS(7531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7531),
    [anon_sym_BSLASHglslink] = ACTIONS(7531),
    [anon_sym_BSLASHglstext] = ACTIONS(7531),
    [anon_sym_BSLASHGlstext] = ACTIONS(7531),
    [anon_sym_BSLASHGLStext] = ACTIONS(7531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7531),
    [anon_sym_BSLASHglsplural] = ACTIONS(7531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHglsname] = ACTIONS(7531),
    [anon_sym_BSLASHGlsname] = ACTIONS(7531),
    [anon_sym_BSLASHGLSname] = ACTIONS(7531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7531),
    [anon_sym_BSLASHacrshort] = ACTIONS(7531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7531),
    [anon_sym_BSLASHACRshort] = ACTIONS(7531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHacrlong] = ACTIONS(7531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7531),
    [anon_sym_BSLASHACRlong] = ACTIONS(7531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHacrfull] = ACTIONS(7531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7531),
    [anon_sym_BSLASHACRfull] = ACTIONS(7531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHacs] = ACTIONS(7531),
    [anon_sym_BSLASHAcs] = ACTIONS(7531),
    [anon_sym_BSLASHacsp] = ACTIONS(7531),
    [anon_sym_BSLASHAcsp] = ACTIONS(7531),
    [anon_sym_BSLASHacl] = ACTIONS(7531),
    [anon_sym_BSLASHAcl] = ACTIONS(7531),
    [anon_sym_BSLASHaclp] = ACTIONS(7531),
    [anon_sym_BSLASHAclp] = ACTIONS(7531),
    [anon_sym_BSLASHacf] = ACTIONS(7531),
    [anon_sym_BSLASHAcf] = ACTIONS(7531),
    [anon_sym_BSLASHacfp] = ACTIONS(7531),
    [anon_sym_BSLASHAcfp] = ACTIONS(7531),
    [anon_sym_BSLASHac] = ACTIONS(7531),
    [anon_sym_BSLASHAc] = ACTIONS(7531),
    [anon_sym_BSLASHacp] = ACTIONS(7531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7531),
    [anon_sym_BSLASHcolor] = ACTIONS(7531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7531),
    [anon_sym_BSLASHurl] = ACTIONS(7531),
    [anon_sym_BSLASHhref] = ACTIONS(7531),
  },
  [711] = {
    [sym_command_name] = ACTIONS(7535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(7537),
    [anon_sym_RBRACK] = ACTIONS(7537),
    [anon_sym_COMMA] = ACTIONS(7537),
    [anon_sym_EQ] = ACTIONS(7537),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_RPAREN] = ACTIONS(7537),
    [anon_sym_BSLASHpart] = ACTIONS(7535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHaddpart] = ACTIONS(7535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHchapter] = ACTIONS(7535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHaddchap] = ACTIONS(7535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHsection] = ACTIONS(7535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHaddsec] = ACTIONS(7535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHsubsection] = ACTIONS(7535),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7535),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHparagraph] = ACTIONS(7535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHitem] = ACTIONS(7535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7537),
    [anon_sym_LBRACE] = ACTIONS(7537),
    [sym_word] = ACTIONS(7535),
    [sym_placeholder] = ACTIONS(7537),
    [sym_delimiter] = ACTIONS(7537),
    [anon_sym_PLUS] = ACTIONS(7537),
    [anon_sym_DASH] = ACTIONS(7537),
    [anon_sym_STAR] = ACTIONS(7537),
    [anon_sym_SLASH] = ACTIONS(7537),
    [anon_sym_LT] = ACTIONS(7535),
    [anon_sym_GT] = ACTIONS(7535),
    [anon_sym_BANG] = ACTIONS(7535),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_COLON] = ACTIONS(7535),
    [anon_sym_SQUOTE] = ACTIONS(7535),
    [anon_sym__] = ACTIONS(7537),
    [anon_sym_CARET] = ACTIONS(7537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7537),
    [anon_sym_DOLLAR] = ACTIONS(7535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7537),
    [anon_sym_BSLASHleft] = ACTIONS(7535),
    [anon_sym_BSLASHbigl] = ACTIONS(7535),
    [anon_sym_BSLASHBigl] = ACTIONS(7535),
    [anon_sym_BSLASHbiggl] = ACTIONS(7535),
    [anon_sym_BSLASHBiggl] = ACTIONS(7535),
    [anon_sym_BSLASHright] = ACTIONS(7535),
    [anon_sym_BSLASHbigr] = ACTIONS(7535),
    [anon_sym_BSLASHBigr] = ACTIONS(7535),
    [anon_sym_BSLASHbiggr] = ACTIONS(7535),
    [anon_sym_BSLASHBiggr] = ACTIONS(7535),
    [anon_sym_BSLASHtext] = ACTIONS(7535),
    [anon_sym_BSLASHintertext] = ACTIONS(7535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7535),
    [anon_sym_BSLASHbegin] = ACTIONS(7535),
    [anon_sym_BSLASHtitle] = ACTIONS(7535),
    [anon_sym_BSLASHauthor] = ACTIONS(7535),
    [anon_sym_BSLASHusepackage] = ACTIONS(7535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7535),
    [anon_sym_BSLASHinclude] = ACTIONS(7535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7535),
    [anon_sym_BSLASHinput] = ACTIONS(7535),
    [anon_sym_BSLASHsubfile] = ACTIONS(7535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7535),
    [anon_sym_BSLASHbibliography] = ACTIONS(7535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7535),
    [anon_sym_BSLASHimport] = ACTIONS(7535),
    [anon_sym_BSLASHsubimport] = ACTIONS(7535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7535),
    [anon_sym_BSLASHcaption] = ACTIONS(7535),
    [anon_sym_BSLASHcite] = ACTIONS(7535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCite] = ACTIONS(7535),
    [anon_sym_BSLASHnocite] = ACTIONS(7535),
    [anon_sym_BSLASHcitet] = ACTIONS(7535),
    [anon_sym_BSLASHcitep] = ACTIONS(7535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteA] = ACTIONS(7535),
    [anon_sym_BSLASHciteR] = ACTIONS(7535),
    [anon_sym_BSLASHciteS] = ACTIONS(7535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteyear] = ACTIONS(7535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitedate] = ACTIONS(7535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteurl] = ACTIONS(7535),
    [anon_sym_BSLASHfullcite] = ACTIONS(7535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7535),
    [anon_sym_BSLASHcitealt] = ACTIONS(7535),
    [anon_sym_BSLASHcitealp] = ACTIONS(7535),
    [anon_sym_BSLASHcitetext] = ACTIONS(7535),
    [anon_sym_BSLASHparencite] = ACTIONS(7535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHParencite] = ACTIONS(7535),
    [anon_sym_BSLASHfootcite] = ACTIONS(7535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7535),
    [anon_sym_BSLASHtextcite] = ACTIONS(7535),
    [anon_sym_BSLASHTextcite] = ACTIONS(7535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7535),
    [anon_sym_BSLASHsupercite] = ACTIONS(7535),
    [anon_sym_BSLASHautocite] = ACTIONS(7535),
    [anon_sym_BSLASHAutocite] = ACTIONS(7535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHVolcite] = ACTIONS(7535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHavolcite] = ACTIONS(7535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHNotecite] = ACTIONS(7535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHlabel] = ACTIONS(7535),
    [anon_sym_BSLASHref] = ACTIONS(7535),
    [anon_sym_BSLASHeqref] = ACTIONS(7535),
    [anon_sym_BSLASHvref] = ACTIONS(7535),
    [anon_sym_BSLASHVref] = ACTIONS(7535),
    [anon_sym_BSLASHautoref] = ACTIONS(7535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHpageref] = ACTIONS(7535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHautopageref] = ACTIONS(7535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcref] = ACTIONS(7535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCref] = ACTIONS(7535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcpageref] = ACTIONS(7535),
    [anon_sym_BSLASHCpageref] = ACTIONS(7535),
    [anon_sym_BSLASHnamecref] = ACTIONS(7535),
    [anon_sym_BSLASHnameCref] = ACTIONS(7535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHdef] = ACTIONS(7535),
    [anon_sym_BSLASHgdef] = ACTIONS(7535),
    [anon_sym_BSLASHedef] = ACTIONS(7535),
    [anon_sym_BSLASHxdef] = ACTIONS(7535),
    [anon_sym_BSLASHlet] = ACTIONS(7535),
    [anon_sym_BSLASHglet] = ACTIONS(7535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7535),
    [anon_sym_BSLASHgls] = ACTIONS(7535),
    [anon_sym_BSLASHGls] = ACTIONS(7535),
    [anon_sym_BSLASHGLS] = ACTIONS(7535),
    [anon_sym_BSLASHglspl] = ACTIONS(7535),
    [anon_sym_BSLASHGlspl] = ACTIONS(7535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7535),
    [anon_sym_BSLASHglslink] = ACTIONS(7535),
    [anon_sym_BSLASHglstext] = ACTIONS(7535),
    [anon_sym_BSLASHGlstext] = ACTIONS(7535),
    [anon_sym_BSLASHGLStext] = ACTIONS(7535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7535),
    [anon_sym_BSLASHglsplural] = ACTIONS(7535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHglsname] = ACTIONS(7535),
    [anon_sym_BSLASHGlsname] = ACTIONS(7535),
    [anon_sym_BSLASHGLSname] = ACTIONS(7535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7535),
    [anon_sym_BSLASHacrshort] = ACTIONS(7535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7535),
    [anon_sym_BSLASHACRshort] = ACTIONS(7535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHacrlong] = ACTIONS(7535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7535),
    [anon_sym_BSLASHACRlong] = ACTIONS(7535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHacrfull] = ACTIONS(7535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7535),
    [anon_sym_BSLASHACRfull] = ACTIONS(7535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHacs] = ACTIONS(7535),
    [anon_sym_BSLASHAcs] = ACTIONS(7535),
    [anon_sym_BSLASHacsp] = ACTIONS(7535),
    [anon_sym_BSLASHAcsp] = ACTIONS(7535),
    [anon_sym_BSLASHacl] = ACTIONS(7535),
    [anon_sym_BSLASHAcl] = ACTIONS(7535),
    [anon_sym_BSLASHaclp] = ACTIONS(7535),
    [anon_sym_BSLASHAclp] = ACTIONS(7535),
    [anon_sym_BSLASHacf] = ACTIONS(7535),
    [anon_sym_BSLASHAcf] = ACTIONS(7535),
    [anon_sym_BSLASHacfp] = ACTIONS(7535),
    [anon_sym_BSLASHAcfp] = ACTIONS(7535),
    [anon_sym_BSLASHac] = ACTIONS(7535),
    [anon_sym_BSLASHAc] = ACTIONS(7535),
    [anon_sym_BSLASHacp] = ACTIONS(7535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7535),
    [anon_sym_BSLASHcolor] = ACTIONS(7535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7535),
    [anon_sym_BSLASHurl] = ACTIONS(7535),
    [anon_sym_BSLASHhref] = ACTIONS(7535),
  },
  [712] = {
    [sym_command_name] = ACTIONS(7539),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(7541),
    [anon_sym_RBRACK] = ACTIONS(7541),
    [anon_sym_COMMA] = ACTIONS(7541),
    [anon_sym_EQ] = ACTIONS(7541),
    [anon_sym_LPAREN] = ACTIONS(7541),
    [anon_sym_RPAREN] = ACTIONS(7541),
    [anon_sym_BSLASHpart] = ACTIONS(7539),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHaddpart] = ACTIONS(7539),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHchapter] = ACTIONS(7539),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHaddchap] = ACTIONS(7539),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHsection] = ACTIONS(7539),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHaddsec] = ACTIONS(7539),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHsubsection] = ACTIONS(7539),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7539),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHparagraph] = ACTIONS(7539),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7539),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHitem] = ACTIONS(7539),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7541),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [sym_word] = ACTIONS(7539),
    [sym_placeholder] = ACTIONS(7541),
    [sym_delimiter] = ACTIONS(7541),
    [anon_sym_PLUS] = ACTIONS(7541),
    [anon_sym_DASH] = ACTIONS(7541),
    [anon_sym_STAR] = ACTIONS(7541),
    [anon_sym_SLASH] = ACTIONS(7541),
    [anon_sym_LT] = ACTIONS(7539),
    [anon_sym_GT] = ACTIONS(7539),
    [anon_sym_BANG] = ACTIONS(7539),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_COLON] = ACTIONS(7539),
    [anon_sym_SQUOTE] = ACTIONS(7539),
    [anon_sym__] = ACTIONS(7541),
    [anon_sym_CARET] = ACTIONS(7541),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7541),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7539),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7541),
    [anon_sym_BSLASHleft] = ACTIONS(7539),
    [anon_sym_BSLASHbigl] = ACTIONS(7539),
    [anon_sym_BSLASHBigl] = ACTIONS(7539),
    [anon_sym_BSLASHbiggl] = ACTIONS(7539),
    [anon_sym_BSLASHBiggl] = ACTIONS(7539),
    [anon_sym_BSLASHright] = ACTIONS(7539),
    [anon_sym_BSLASHbigr] = ACTIONS(7539),
    [anon_sym_BSLASHBigr] = ACTIONS(7539),
    [anon_sym_BSLASHbiggr] = ACTIONS(7539),
    [anon_sym_BSLASHBiggr] = ACTIONS(7539),
    [anon_sym_BSLASHtext] = ACTIONS(7539),
    [anon_sym_BSLASHintertext] = ACTIONS(7539),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7539),
    [anon_sym_BSLASHbegin] = ACTIONS(7539),
    [anon_sym_BSLASHtitle] = ACTIONS(7539),
    [anon_sym_BSLASHauthor] = ACTIONS(7539),
    [anon_sym_BSLASHusepackage] = ACTIONS(7539),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7539),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7539),
    [anon_sym_BSLASHinclude] = ACTIONS(7539),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7539),
    [anon_sym_BSLASHinput] = ACTIONS(7539),
    [anon_sym_BSLASHsubfile] = ACTIONS(7539),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7539),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7539),
    [anon_sym_BSLASHbibliography] = ACTIONS(7539),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7539),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7539),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7539),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7539),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7539),
    [anon_sym_BSLASHimport] = ACTIONS(7539),
    [anon_sym_BSLASHsubimport] = ACTIONS(7539),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7539),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7539),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7539),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7539),
    [anon_sym_BSLASHcaption] = ACTIONS(7539),
    [anon_sym_BSLASHcite] = ACTIONS(7539),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCite] = ACTIONS(7539),
    [anon_sym_BSLASHnocite] = ACTIONS(7539),
    [anon_sym_BSLASHcitet] = ACTIONS(7539),
    [anon_sym_BSLASHcitep] = ACTIONS(7539),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteA] = ACTIONS(7539),
    [anon_sym_BSLASHciteR] = ACTIONS(7539),
    [anon_sym_BSLASHciteS] = ACTIONS(7539),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7539),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7539),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7539),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7539),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteyear] = ACTIONS(7539),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitedate] = ACTIONS(7539),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteurl] = ACTIONS(7539),
    [anon_sym_BSLASHfullcite] = ACTIONS(7539),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7539),
    [anon_sym_BSLASHcitealt] = ACTIONS(7539),
    [anon_sym_BSLASHcitealp] = ACTIONS(7539),
    [anon_sym_BSLASHcitetext] = ACTIONS(7539),
    [anon_sym_BSLASHparencite] = ACTIONS(7539),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHParencite] = ACTIONS(7539),
    [anon_sym_BSLASHfootcite] = ACTIONS(7539),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7539),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7539),
    [anon_sym_BSLASHtextcite] = ACTIONS(7539),
    [anon_sym_BSLASHTextcite] = ACTIONS(7539),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7539),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7539),
    [anon_sym_BSLASHsupercite] = ACTIONS(7539),
    [anon_sym_BSLASHautocite] = ACTIONS(7539),
    [anon_sym_BSLASHAutocite] = ACTIONS(7539),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHVolcite] = ACTIONS(7539),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHavolcite] = ACTIONS(7539),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHNotecite] = ACTIONS(7539),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHlabel] = ACTIONS(7539),
    [anon_sym_BSLASHref] = ACTIONS(7539),
    [anon_sym_BSLASHeqref] = ACTIONS(7539),
    [anon_sym_BSLASHvref] = ACTIONS(7539),
    [anon_sym_BSLASHVref] = ACTIONS(7539),
    [anon_sym_BSLASHautoref] = ACTIONS(7539),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHpageref] = ACTIONS(7539),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHautopageref] = ACTIONS(7539),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcref] = ACTIONS(7539),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCref] = ACTIONS(7539),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcpageref] = ACTIONS(7539),
    [anon_sym_BSLASHCpageref] = ACTIONS(7539),
    [anon_sym_BSLASHnamecref] = ACTIONS(7539),
    [anon_sym_BSLASHnameCref] = ACTIONS(7539),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7539),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7539),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7539),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7539),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7539),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7539),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7539),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7539),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7539),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7539),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7539),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHdef] = ACTIONS(7539),
    [anon_sym_BSLASHgdef] = ACTIONS(7539),
    [anon_sym_BSLASHedef] = ACTIONS(7539),
    [anon_sym_BSLASHxdef] = ACTIONS(7539),
    [anon_sym_BSLASHlet] = ACTIONS(7539),
    [anon_sym_BSLASHglet] = ACTIONS(7539),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7539),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7539),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7539),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7539),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7539),
    [anon_sym_BSLASHgls] = ACTIONS(7539),
    [anon_sym_BSLASHGls] = ACTIONS(7539),
    [anon_sym_BSLASHGLS] = ACTIONS(7539),
    [anon_sym_BSLASHglspl] = ACTIONS(7539),
    [anon_sym_BSLASHGlspl] = ACTIONS(7539),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7539),
    [anon_sym_BSLASHglslink] = ACTIONS(7539),
    [anon_sym_BSLASHglstext] = ACTIONS(7539),
    [anon_sym_BSLASHGlstext] = ACTIONS(7539),
    [anon_sym_BSLASHGLStext] = ACTIONS(7539),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7539),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7539),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7539),
    [anon_sym_BSLASHglsplural] = ACTIONS(7539),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7539),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7539),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHglsname] = ACTIONS(7539),
    [anon_sym_BSLASHGlsname] = ACTIONS(7539),
    [anon_sym_BSLASHGLSname] = ACTIONS(7539),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7539),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7539),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7539),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7539),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7539),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7539),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7539),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7539),
    [anon_sym_BSLASHacrshort] = ACTIONS(7539),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7539),
    [anon_sym_BSLASHACRshort] = ACTIONS(7539),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHacrlong] = ACTIONS(7539),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7539),
    [anon_sym_BSLASHACRlong] = ACTIONS(7539),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHacrfull] = ACTIONS(7539),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7539),
    [anon_sym_BSLASHACRfull] = ACTIONS(7539),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHacs] = ACTIONS(7539),
    [anon_sym_BSLASHAcs] = ACTIONS(7539),
    [anon_sym_BSLASHacsp] = ACTIONS(7539),
    [anon_sym_BSLASHAcsp] = ACTIONS(7539),
    [anon_sym_BSLASHacl] = ACTIONS(7539),
    [anon_sym_BSLASHAcl] = ACTIONS(7539),
    [anon_sym_BSLASHaclp] = ACTIONS(7539),
    [anon_sym_BSLASHAclp] = ACTIONS(7539),
    [anon_sym_BSLASHacf] = ACTIONS(7539),
    [anon_sym_BSLASHAcf] = ACTIONS(7539),
    [anon_sym_BSLASHacfp] = ACTIONS(7539),
    [anon_sym_BSLASHAcfp] = ACTIONS(7539),
    [anon_sym_BSLASHac] = ACTIONS(7539),
    [anon_sym_BSLASHAc] = ACTIONS(7539),
    [anon_sym_BSLASHacp] = ACTIONS(7539),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7539),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7539),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7539),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7539),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7539),
    [anon_sym_BSLASHcolor] = ACTIONS(7539),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7539),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7539),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7539),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7539),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7539),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7539),
    [anon_sym_BSLASHurl] = ACTIONS(7539),
    [anon_sym_BSLASHhref] = ACTIONS(7539),
  },
  [713] = {
    [sym_command_name] = ACTIONS(7543),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(7545),
    [anon_sym_RBRACK] = ACTIONS(7545),
    [anon_sym_COMMA] = ACTIONS(7545),
    [anon_sym_EQ] = ACTIONS(7545),
    [anon_sym_LPAREN] = ACTIONS(7545),
    [anon_sym_RPAREN] = ACTIONS(7545),
    [anon_sym_BSLASHpart] = ACTIONS(7543),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHaddpart] = ACTIONS(7543),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHchapter] = ACTIONS(7543),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHaddchap] = ACTIONS(7543),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHsection] = ACTIONS(7543),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHaddsec] = ACTIONS(7543),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHsubsection] = ACTIONS(7543),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7543),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHparagraph] = ACTIONS(7543),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7543),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHitem] = ACTIONS(7543),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7545),
    [anon_sym_LBRACE] = ACTIONS(7545),
    [sym_word] = ACTIONS(7543),
    [sym_placeholder] = ACTIONS(7545),
    [sym_delimiter] = ACTIONS(7545),
    [anon_sym_PLUS] = ACTIONS(7545),
    [anon_sym_DASH] = ACTIONS(7545),
    [anon_sym_STAR] = ACTIONS(7545),
    [anon_sym_SLASH] = ACTIONS(7545),
    [anon_sym_LT] = ACTIONS(7543),
    [anon_sym_GT] = ACTIONS(7543),
    [anon_sym_BANG] = ACTIONS(7543),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_COLON] = ACTIONS(7543),
    [anon_sym_SQUOTE] = ACTIONS(7543),
    [anon_sym__] = ACTIONS(7545),
    [anon_sym_CARET] = ACTIONS(7545),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7545),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7545),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7545),
    [anon_sym_BSLASHleft] = ACTIONS(7543),
    [anon_sym_BSLASHbigl] = ACTIONS(7543),
    [anon_sym_BSLASHBigl] = ACTIONS(7543),
    [anon_sym_BSLASHbiggl] = ACTIONS(7543),
    [anon_sym_BSLASHBiggl] = ACTIONS(7543),
    [anon_sym_BSLASHright] = ACTIONS(7543),
    [anon_sym_BSLASHbigr] = ACTIONS(7543),
    [anon_sym_BSLASHBigr] = ACTIONS(7543),
    [anon_sym_BSLASHbiggr] = ACTIONS(7543),
    [anon_sym_BSLASHBiggr] = ACTIONS(7543),
    [anon_sym_BSLASHtext] = ACTIONS(7543),
    [anon_sym_BSLASHintertext] = ACTIONS(7543),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7543),
    [anon_sym_BSLASHbegin] = ACTIONS(7543),
    [anon_sym_BSLASHtitle] = ACTIONS(7543),
    [anon_sym_BSLASHauthor] = ACTIONS(7543),
    [anon_sym_BSLASHusepackage] = ACTIONS(7543),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7543),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7543),
    [anon_sym_BSLASHinclude] = ACTIONS(7543),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7543),
    [anon_sym_BSLASHinput] = ACTIONS(7543),
    [anon_sym_BSLASHsubfile] = ACTIONS(7543),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7543),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7543),
    [anon_sym_BSLASHbibliography] = ACTIONS(7543),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7543),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7543),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7543),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7543),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7543),
    [anon_sym_BSLASHimport] = ACTIONS(7543),
    [anon_sym_BSLASHsubimport] = ACTIONS(7543),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7543),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7543),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7543),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7543),
    [anon_sym_BSLASHcaption] = ACTIONS(7543),
    [anon_sym_BSLASHcite] = ACTIONS(7543),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCite] = ACTIONS(7543),
    [anon_sym_BSLASHnocite] = ACTIONS(7543),
    [anon_sym_BSLASHcitet] = ACTIONS(7543),
    [anon_sym_BSLASHcitep] = ACTIONS(7543),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteA] = ACTIONS(7543),
    [anon_sym_BSLASHciteR] = ACTIONS(7543),
    [anon_sym_BSLASHciteS] = ACTIONS(7543),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7543),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7543),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7543),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7543),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteyear] = ACTIONS(7543),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitedate] = ACTIONS(7543),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteurl] = ACTIONS(7543),
    [anon_sym_BSLASHfullcite] = ACTIONS(7543),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7543),
    [anon_sym_BSLASHcitealt] = ACTIONS(7543),
    [anon_sym_BSLASHcitealp] = ACTIONS(7543),
    [anon_sym_BSLASHcitetext] = ACTIONS(7543),
    [anon_sym_BSLASHparencite] = ACTIONS(7543),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHParencite] = ACTIONS(7543),
    [anon_sym_BSLASHfootcite] = ACTIONS(7543),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7543),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7543),
    [anon_sym_BSLASHtextcite] = ACTIONS(7543),
    [anon_sym_BSLASHTextcite] = ACTIONS(7543),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7543),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7543),
    [anon_sym_BSLASHsupercite] = ACTIONS(7543),
    [anon_sym_BSLASHautocite] = ACTIONS(7543),
    [anon_sym_BSLASHAutocite] = ACTIONS(7543),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHVolcite] = ACTIONS(7543),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHavolcite] = ACTIONS(7543),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHNotecite] = ACTIONS(7543),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHlabel] = ACTIONS(7543),
    [anon_sym_BSLASHref] = ACTIONS(7543),
    [anon_sym_BSLASHeqref] = ACTIONS(7543),
    [anon_sym_BSLASHvref] = ACTIONS(7543),
    [anon_sym_BSLASHVref] = ACTIONS(7543),
    [anon_sym_BSLASHautoref] = ACTIONS(7543),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHpageref] = ACTIONS(7543),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHautopageref] = ACTIONS(7543),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcref] = ACTIONS(7543),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCref] = ACTIONS(7543),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcpageref] = ACTIONS(7543),
    [anon_sym_BSLASHCpageref] = ACTIONS(7543),
    [anon_sym_BSLASHnamecref] = ACTIONS(7543),
    [anon_sym_BSLASHnameCref] = ACTIONS(7543),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7543),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7543),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7543),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7543),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7543),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7543),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7543),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7543),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7543),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7543),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7543),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHdef] = ACTIONS(7543),
    [anon_sym_BSLASHgdef] = ACTIONS(7543),
    [anon_sym_BSLASHedef] = ACTIONS(7543),
    [anon_sym_BSLASHxdef] = ACTIONS(7543),
    [anon_sym_BSLASHlet] = ACTIONS(7543),
    [anon_sym_BSLASHglet] = ACTIONS(7543),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7543),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7543),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7543),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7543),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7543),
    [anon_sym_BSLASHgls] = ACTIONS(7543),
    [anon_sym_BSLASHGls] = ACTIONS(7543),
    [anon_sym_BSLASHGLS] = ACTIONS(7543),
    [anon_sym_BSLASHglspl] = ACTIONS(7543),
    [anon_sym_BSLASHGlspl] = ACTIONS(7543),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7543),
    [anon_sym_BSLASHglslink] = ACTIONS(7543),
    [anon_sym_BSLASHglstext] = ACTIONS(7543),
    [anon_sym_BSLASHGlstext] = ACTIONS(7543),
    [anon_sym_BSLASHGLStext] = ACTIONS(7543),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7543),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7543),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7543),
    [anon_sym_BSLASHglsplural] = ACTIONS(7543),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7543),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7543),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHglsname] = ACTIONS(7543),
    [anon_sym_BSLASHGlsname] = ACTIONS(7543),
    [anon_sym_BSLASHGLSname] = ACTIONS(7543),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7543),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7543),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7543),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7543),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7543),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7543),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7543),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7543),
    [anon_sym_BSLASHacrshort] = ACTIONS(7543),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7543),
    [anon_sym_BSLASHACRshort] = ACTIONS(7543),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHacrlong] = ACTIONS(7543),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7543),
    [anon_sym_BSLASHACRlong] = ACTIONS(7543),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHacrfull] = ACTIONS(7543),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7543),
    [anon_sym_BSLASHACRfull] = ACTIONS(7543),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHacs] = ACTIONS(7543),
    [anon_sym_BSLASHAcs] = ACTIONS(7543),
    [anon_sym_BSLASHacsp] = ACTIONS(7543),
    [anon_sym_BSLASHAcsp] = ACTIONS(7543),
    [anon_sym_BSLASHacl] = ACTIONS(7543),
    [anon_sym_BSLASHAcl] = ACTIONS(7543),
    [anon_sym_BSLASHaclp] = ACTIONS(7543),
    [anon_sym_BSLASHAclp] = ACTIONS(7543),
    [anon_sym_BSLASHacf] = ACTIONS(7543),
    [anon_sym_BSLASHAcf] = ACTIONS(7543),
    [anon_sym_BSLASHacfp] = ACTIONS(7543),
    [anon_sym_BSLASHAcfp] = ACTIONS(7543),
    [anon_sym_BSLASHac] = ACTIONS(7543),
    [anon_sym_BSLASHAc] = ACTIONS(7543),
    [anon_sym_BSLASHacp] = ACTIONS(7543),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7543),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7543),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7543),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7543),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7543),
    [anon_sym_BSLASHcolor] = ACTIONS(7543),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7543),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7543),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7543),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7543),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7543),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7543),
    [anon_sym_BSLASHurl] = ACTIONS(7543),
    [anon_sym_BSLASHhref] = ACTIONS(7543),
  },
  [714] = {
    [sym_command_name] = ACTIONS(7547),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7547),
    [anon_sym_LBRACK] = ACTIONS(7549),
    [anon_sym_RBRACK] = ACTIONS(7549),
    [anon_sym_COMMA] = ACTIONS(7549),
    [anon_sym_EQ] = ACTIONS(7549),
    [anon_sym_LPAREN] = ACTIONS(7549),
    [anon_sym_RPAREN] = ACTIONS(7549),
    [anon_sym_BSLASHpart] = ACTIONS(7547),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHaddpart] = ACTIONS(7547),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHchapter] = ACTIONS(7547),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHaddchap] = ACTIONS(7547),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHsection] = ACTIONS(7547),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHaddsec] = ACTIONS(7547),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHsubsection] = ACTIONS(7547),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7547),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHparagraph] = ACTIONS(7547),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7547),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHitem] = ACTIONS(7547),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7549),
    [anon_sym_LBRACE] = ACTIONS(7549),
    [sym_word] = ACTIONS(7547),
    [sym_placeholder] = ACTIONS(7549),
    [sym_delimiter] = ACTIONS(7549),
    [anon_sym_PLUS] = ACTIONS(7549),
    [anon_sym_DASH] = ACTIONS(7549),
    [anon_sym_STAR] = ACTIONS(7549),
    [anon_sym_SLASH] = ACTIONS(7549),
    [anon_sym_LT] = ACTIONS(7547),
    [anon_sym_GT] = ACTIONS(7547),
    [anon_sym_BANG] = ACTIONS(7547),
    [anon_sym_PIPE] = ACTIONS(7547),
    [anon_sym_COLON] = ACTIONS(7547),
    [anon_sym_SQUOTE] = ACTIONS(7547),
    [anon_sym__] = ACTIONS(7549),
    [anon_sym_CARET] = ACTIONS(7549),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7549),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7549),
    [anon_sym_DOLLAR] = ACTIONS(7547),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7549),
    [anon_sym_BSLASHleft] = ACTIONS(7547),
    [anon_sym_BSLASHbigl] = ACTIONS(7547),
    [anon_sym_BSLASHBigl] = ACTIONS(7547),
    [anon_sym_BSLASHbiggl] = ACTIONS(7547),
    [anon_sym_BSLASHBiggl] = ACTIONS(7547),
    [anon_sym_BSLASHright] = ACTIONS(7547),
    [anon_sym_BSLASHbigr] = ACTIONS(7547),
    [anon_sym_BSLASHBigr] = ACTIONS(7547),
    [anon_sym_BSLASHbiggr] = ACTIONS(7547),
    [anon_sym_BSLASHBiggr] = ACTIONS(7547),
    [anon_sym_BSLASHtext] = ACTIONS(7547),
    [anon_sym_BSLASHintertext] = ACTIONS(7547),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7547),
    [anon_sym_BSLASHbegin] = ACTIONS(7547),
    [anon_sym_BSLASHtitle] = ACTIONS(7547),
    [anon_sym_BSLASHauthor] = ACTIONS(7547),
    [anon_sym_BSLASHusepackage] = ACTIONS(7547),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7547),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7547),
    [anon_sym_BSLASHinclude] = ACTIONS(7547),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7547),
    [anon_sym_BSLASHinput] = ACTIONS(7547),
    [anon_sym_BSLASHsubfile] = ACTIONS(7547),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7547),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7547),
    [anon_sym_BSLASHbibliography] = ACTIONS(7547),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7547),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7547),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7547),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7547),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7547),
    [anon_sym_BSLASHimport] = ACTIONS(7547),
    [anon_sym_BSLASHsubimport] = ACTIONS(7547),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7547),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7547),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7547),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7547),
    [anon_sym_BSLASHcaption] = ACTIONS(7547),
    [anon_sym_BSLASHcite] = ACTIONS(7547),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCite] = ACTIONS(7547),
    [anon_sym_BSLASHnocite] = ACTIONS(7547),
    [anon_sym_BSLASHcitet] = ACTIONS(7547),
    [anon_sym_BSLASHcitep] = ACTIONS(7547),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteA] = ACTIONS(7547),
    [anon_sym_BSLASHciteR] = ACTIONS(7547),
    [anon_sym_BSLASHciteS] = ACTIONS(7547),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7547),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7547),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7547),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7547),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteyear] = ACTIONS(7547),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitedate] = ACTIONS(7547),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteurl] = ACTIONS(7547),
    [anon_sym_BSLASHfullcite] = ACTIONS(7547),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7547),
    [anon_sym_BSLASHcitealt] = ACTIONS(7547),
    [anon_sym_BSLASHcitealp] = ACTIONS(7547),
    [anon_sym_BSLASHcitetext] = ACTIONS(7547),
    [anon_sym_BSLASHparencite] = ACTIONS(7547),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHParencite] = ACTIONS(7547),
    [anon_sym_BSLASHfootcite] = ACTIONS(7547),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7547),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7547),
    [anon_sym_BSLASHtextcite] = ACTIONS(7547),
    [anon_sym_BSLASHTextcite] = ACTIONS(7547),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7547),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7547),
    [anon_sym_BSLASHsupercite] = ACTIONS(7547),
    [anon_sym_BSLASHautocite] = ACTIONS(7547),
    [anon_sym_BSLASHAutocite] = ACTIONS(7547),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHVolcite] = ACTIONS(7547),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHavolcite] = ACTIONS(7547),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHNotecite] = ACTIONS(7547),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHlabel] = ACTIONS(7547),
    [anon_sym_BSLASHref] = ACTIONS(7547),
    [anon_sym_BSLASHeqref] = ACTIONS(7547),
    [anon_sym_BSLASHvref] = ACTIONS(7547),
    [anon_sym_BSLASHVref] = ACTIONS(7547),
    [anon_sym_BSLASHautoref] = ACTIONS(7547),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHpageref] = ACTIONS(7547),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHautopageref] = ACTIONS(7547),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcref] = ACTIONS(7547),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCref] = ACTIONS(7547),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcpageref] = ACTIONS(7547),
    [anon_sym_BSLASHCpageref] = ACTIONS(7547),
    [anon_sym_BSLASHnamecref] = ACTIONS(7547),
    [anon_sym_BSLASHnameCref] = ACTIONS(7547),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7547),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7547),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7547),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7547),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7547),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7547),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7547),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7547),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7547),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7547),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7547),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHdef] = ACTIONS(7547),
    [anon_sym_BSLASHgdef] = ACTIONS(7547),
    [anon_sym_BSLASHedef] = ACTIONS(7547),
    [anon_sym_BSLASHxdef] = ACTIONS(7547),
    [anon_sym_BSLASHlet] = ACTIONS(7547),
    [anon_sym_BSLASHglet] = ACTIONS(7547),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7547),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7547),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7547),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7547),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7547),
    [anon_sym_BSLASHgls] = ACTIONS(7547),
    [anon_sym_BSLASHGls] = ACTIONS(7547),
    [anon_sym_BSLASHGLS] = ACTIONS(7547),
    [anon_sym_BSLASHglspl] = ACTIONS(7547),
    [anon_sym_BSLASHGlspl] = ACTIONS(7547),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7547),
    [anon_sym_BSLASHglslink] = ACTIONS(7547),
    [anon_sym_BSLASHglstext] = ACTIONS(7547),
    [anon_sym_BSLASHGlstext] = ACTIONS(7547),
    [anon_sym_BSLASHGLStext] = ACTIONS(7547),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7547),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7547),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7547),
    [anon_sym_BSLASHglsplural] = ACTIONS(7547),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7547),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7547),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHglsname] = ACTIONS(7547),
    [anon_sym_BSLASHGlsname] = ACTIONS(7547),
    [anon_sym_BSLASHGLSname] = ACTIONS(7547),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7547),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7547),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7547),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7547),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7547),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7547),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7547),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7547),
    [anon_sym_BSLASHacrshort] = ACTIONS(7547),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7547),
    [anon_sym_BSLASHACRshort] = ACTIONS(7547),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHacrlong] = ACTIONS(7547),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7547),
    [anon_sym_BSLASHACRlong] = ACTIONS(7547),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHacrfull] = ACTIONS(7547),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7547),
    [anon_sym_BSLASHACRfull] = ACTIONS(7547),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHacs] = ACTIONS(7547),
    [anon_sym_BSLASHAcs] = ACTIONS(7547),
    [anon_sym_BSLASHacsp] = ACTIONS(7547),
    [anon_sym_BSLASHAcsp] = ACTIONS(7547),
    [anon_sym_BSLASHacl] = ACTIONS(7547),
    [anon_sym_BSLASHAcl] = ACTIONS(7547),
    [anon_sym_BSLASHaclp] = ACTIONS(7547),
    [anon_sym_BSLASHAclp] = ACTIONS(7547),
    [anon_sym_BSLASHacf] = ACTIONS(7547),
    [anon_sym_BSLASHAcf] = ACTIONS(7547),
    [anon_sym_BSLASHacfp] = ACTIONS(7547),
    [anon_sym_BSLASHAcfp] = ACTIONS(7547),
    [anon_sym_BSLASHac] = ACTIONS(7547),
    [anon_sym_BSLASHAc] = ACTIONS(7547),
    [anon_sym_BSLASHacp] = ACTIONS(7547),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7547),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7547),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7547),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7547),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7547),
    [anon_sym_BSLASHcolor] = ACTIONS(7547),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7547),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7547),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7547),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7547),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7547),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7547),
    [anon_sym_BSLASHurl] = ACTIONS(7547),
    [anon_sym_BSLASHhref] = ACTIONS(7547),
  },
  [715] = {
    [sym_command_name] = ACTIONS(7551),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7551),
    [anon_sym_LBRACK] = ACTIONS(7553),
    [anon_sym_RBRACK] = ACTIONS(7553),
    [anon_sym_COMMA] = ACTIONS(7553),
    [anon_sym_EQ] = ACTIONS(7553),
    [anon_sym_LPAREN] = ACTIONS(7553),
    [anon_sym_RPAREN] = ACTIONS(7553),
    [anon_sym_BSLASHpart] = ACTIONS(7551),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHaddpart] = ACTIONS(7551),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHchapter] = ACTIONS(7551),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHaddchap] = ACTIONS(7551),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHsection] = ACTIONS(7551),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHaddsec] = ACTIONS(7551),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHsubsection] = ACTIONS(7551),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7551),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHparagraph] = ACTIONS(7551),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7551),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHitem] = ACTIONS(7551),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7553),
    [anon_sym_LBRACE] = ACTIONS(7553),
    [sym_word] = ACTIONS(7551),
    [sym_placeholder] = ACTIONS(7553),
    [sym_delimiter] = ACTIONS(7553),
    [anon_sym_PLUS] = ACTIONS(7553),
    [anon_sym_DASH] = ACTIONS(7553),
    [anon_sym_STAR] = ACTIONS(7553),
    [anon_sym_SLASH] = ACTIONS(7553),
    [anon_sym_LT] = ACTIONS(7551),
    [anon_sym_GT] = ACTIONS(7551),
    [anon_sym_BANG] = ACTIONS(7551),
    [anon_sym_PIPE] = ACTIONS(7551),
    [anon_sym_COLON] = ACTIONS(7551),
    [anon_sym_SQUOTE] = ACTIONS(7551),
    [anon_sym__] = ACTIONS(7553),
    [anon_sym_CARET] = ACTIONS(7553),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7553),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7553),
    [anon_sym_DOLLAR] = ACTIONS(7551),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7553),
    [anon_sym_BSLASHleft] = ACTIONS(7551),
    [anon_sym_BSLASHbigl] = ACTIONS(7551),
    [anon_sym_BSLASHBigl] = ACTIONS(7551),
    [anon_sym_BSLASHbiggl] = ACTIONS(7551),
    [anon_sym_BSLASHBiggl] = ACTIONS(7551),
    [anon_sym_BSLASHright] = ACTIONS(7551),
    [anon_sym_BSLASHbigr] = ACTIONS(7551),
    [anon_sym_BSLASHBigr] = ACTIONS(7551),
    [anon_sym_BSLASHbiggr] = ACTIONS(7551),
    [anon_sym_BSLASHBiggr] = ACTIONS(7551),
    [anon_sym_BSLASHtext] = ACTIONS(7551),
    [anon_sym_BSLASHintertext] = ACTIONS(7551),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7551),
    [anon_sym_BSLASHbegin] = ACTIONS(7551),
    [anon_sym_BSLASHtitle] = ACTIONS(7551),
    [anon_sym_BSLASHauthor] = ACTIONS(7551),
    [anon_sym_BSLASHusepackage] = ACTIONS(7551),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7551),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7551),
    [anon_sym_BSLASHinclude] = ACTIONS(7551),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7551),
    [anon_sym_BSLASHinput] = ACTIONS(7551),
    [anon_sym_BSLASHsubfile] = ACTIONS(7551),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7551),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7551),
    [anon_sym_BSLASHbibliography] = ACTIONS(7551),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7551),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7551),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7551),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7551),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7551),
    [anon_sym_BSLASHimport] = ACTIONS(7551),
    [anon_sym_BSLASHsubimport] = ACTIONS(7551),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7551),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7551),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7551),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7551),
    [anon_sym_BSLASHcaption] = ACTIONS(7551),
    [anon_sym_BSLASHcite] = ACTIONS(7551),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCite] = ACTIONS(7551),
    [anon_sym_BSLASHnocite] = ACTIONS(7551),
    [anon_sym_BSLASHcitet] = ACTIONS(7551),
    [anon_sym_BSLASHcitep] = ACTIONS(7551),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteA] = ACTIONS(7551),
    [anon_sym_BSLASHciteR] = ACTIONS(7551),
    [anon_sym_BSLASHciteS] = ACTIONS(7551),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7551),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7551),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7551),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7551),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteyear] = ACTIONS(7551),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitedate] = ACTIONS(7551),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteurl] = ACTIONS(7551),
    [anon_sym_BSLASHfullcite] = ACTIONS(7551),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7551),
    [anon_sym_BSLASHcitealt] = ACTIONS(7551),
    [anon_sym_BSLASHcitealp] = ACTIONS(7551),
    [anon_sym_BSLASHcitetext] = ACTIONS(7551),
    [anon_sym_BSLASHparencite] = ACTIONS(7551),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHParencite] = ACTIONS(7551),
    [anon_sym_BSLASHfootcite] = ACTIONS(7551),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7551),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7551),
    [anon_sym_BSLASHtextcite] = ACTIONS(7551),
    [anon_sym_BSLASHTextcite] = ACTIONS(7551),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7551),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7551),
    [anon_sym_BSLASHsupercite] = ACTIONS(7551),
    [anon_sym_BSLASHautocite] = ACTIONS(7551),
    [anon_sym_BSLASHAutocite] = ACTIONS(7551),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHVolcite] = ACTIONS(7551),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHavolcite] = ACTIONS(7551),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHNotecite] = ACTIONS(7551),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHlabel] = ACTIONS(7551),
    [anon_sym_BSLASHref] = ACTIONS(7551),
    [anon_sym_BSLASHeqref] = ACTIONS(7551),
    [anon_sym_BSLASHvref] = ACTIONS(7551),
    [anon_sym_BSLASHVref] = ACTIONS(7551),
    [anon_sym_BSLASHautoref] = ACTIONS(7551),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHpageref] = ACTIONS(7551),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHautopageref] = ACTIONS(7551),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcref] = ACTIONS(7551),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCref] = ACTIONS(7551),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcpageref] = ACTIONS(7551),
    [anon_sym_BSLASHCpageref] = ACTIONS(7551),
    [anon_sym_BSLASHnamecref] = ACTIONS(7551),
    [anon_sym_BSLASHnameCref] = ACTIONS(7551),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7551),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7551),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7551),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7551),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7551),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7551),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7551),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7551),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7551),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7551),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7551),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHdef] = ACTIONS(7551),
    [anon_sym_BSLASHgdef] = ACTIONS(7551),
    [anon_sym_BSLASHedef] = ACTIONS(7551),
    [anon_sym_BSLASHxdef] = ACTIONS(7551),
    [anon_sym_BSLASHlet] = ACTIONS(7551),
    [anon_sym_BSLASHglet] = ACTIONS(7551),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7551),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7551),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7551),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7551),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7551),
    [anon_sym_BSLASHgls] = ACTIONS(7551),
    [anon_sym_BSLASHGls] = ACTIONS(7551),
    [anon_sym_BSLASHGLS] = ACTIONS(7551),
    [anon_sym_BSLASHglspl] = ACTIONS(7551),
    [anon_sym_BSLASHGlspl] = ACTIONS(7551),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7551),
    [anon_sym_BSLASHglslink] = ACTIONS(7551),
    [anon_sym_BSLASHglstext] = ACTIONS(7551),
    [anon_sym_BSLASHGlstext] = ACTIONS(7551),
    [anon_sym_BSLASHGLStext] = ACTIONS(7551),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7551),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7551),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7551),
    [anon_sym_BSLASHglsplural] = ACTIONS(7551),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7551),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7551),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHglsname] = ACTIONS(7551),
    [anon_sym_BSLASHGlsname] = ACTIONS(7551),
    [anon_sym_BSLASHGLSname] = ACTIONS(7551),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7551),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7551),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7551),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7551),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7551),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7551),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7551),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7551),
    [anon_sym_BSLASHacrshort] = ACTIONS(7551),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7551),
    [anon_sym_BSLASHACRshort] = ACTIONS(7551),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHacrlong] = ACTIONS(7551),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7551),
    [anon_sym_BSLASHACRlong] = ACTIONS(7551),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHacrfull] = ACTIONS(7551),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7551),
    [anon_sym_BSLASHACRfull] = ACTIONS(7551),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHacs] = ACTIONS(7551),
    [anon_sym_BSLASHAcs] = ACTIONS(7551),
    [anon_sym_BSLASHacsp] = ACTIONS(7551),
    [anon_sym_BSLASHAcsp] = ACTIONS(7551),
    [anon_sym_BSLASHacl] = ACTIONS(7551),
    [anon_sym_BSLASHAcl] = ACTIONS(7551),
    [anon_sym_BSLASHaclp] = ACTIONS(7551),
    [anon_sym_BSLASHAclp] = ACTIONS(7551),
    [anon_sym_BSLASHacf] = ACTIONS(7551),
    [anon_sym_BSLASHAcf] = ACTIONS(7551),
    [anon_sym_BSLASHacfp] = ACTIONS(7551),
    [anon_sym_BSLASHAcfp] = ACTIONS(7551),
    [anon_sym_BSLASHac] = ACTIONS(7551),
    [anon_sym_BSLASHAc] = ACTIONS(7551),
    [anon_sym_BSLASHacp] = ACTIONS(7551),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7551),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7551),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7551),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7551),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7551),
    [anon_sym_BSLASHcolor] = ACTIONS(7551),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7551),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7551),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7551),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7551),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7551),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7551),
    [anon_sym_BSLASHurl] = ACTIONS(7551),
    [anon_sym_BSLASHhref] = ACTIONS(7551),
  },
  [716] = {
    [sym_command_name] = ACTIONS(7555),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7555),
    [anon_sym_LBRACK] = ACTIONS(7557),
    [anon_sym_RBRACK] = ACTIONS(7557),
    [anon_sym_COMMA] = ACTIONS(7557),
    [anon_sym_EQ] = ACTIONS(7557),
    [anon_sym_LPAREN] = ACTIONS(7557),
    [anon_sym_RPAREN] = ACTIONS(7557),
    [anon_sym_BSLASHpart] = ACTIONS(7555),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHaddpart] = ACTIONS(7555),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHchapter] = ACTIONS(7555),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHaddchap] = ACTIONS(7555),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHsection] = ACTIONS(7555),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHaddsec] = ACTIONS(7555),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHsubsection] = ACTIONS(7555),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7555),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHparagraph] = ACTIONS(7555),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7555),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHitem] = ACTIONS(7555),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7557),
    [anon_sym_LBRACE] = ACTIONS(7557),
    [sym_word] = ACTIONS(7555),
    [sym_placeholder] = ACTIONS(7557),
    [sym_delimiter] = ACTIONS(7557),
    [anon_sym_PLUS] = ACTIONS(7557),
    [anon_sym_DASH] = ACTIONS(7557),
    [anon_sym_STAR] = ACTIONS(7557),
    [anon_sym_SLASH] = ACTIONS(7557),
    [anon_sym_LT] = ACTIONS(7555),
    [anon_sym_GT] = ACTIONS(7555),
    [anon_sym_BANG] = ACTIONS(7555),
    [anon_sym_PIPE] = ACTIONS(7555),
    [anon_sym_COLON] = ACTIONS(7555),
    [anon_sym_SQUOTE] = ACTIONS(7555),
    [anon_sym__] = ACTIONS(7557),
    [anon_sym_CARET] = ACTIONS(7557),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7557),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7557),
    [anon_sym_DOLLAR] = ACTIONS(7555),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7557),
    [anon_sym_BSLASHleft] = ACTIONS(7555),
    [anon_sym_BSLASHbigl] = ACTIONS(7555),
    [anon_sym_BSLASHBigl] = ACTIONS(7555),
    [anon_sym_BSLASHbiggl] = ACTIONS(7555),
    [anon_sym_BSLASHBiggl] = ACTIONS(7555),
    [anon_sym_BSLASHright] = ACTIONS(7555),
    [anon_sym_BSLASHbigr] = ACTIONS(7555),
    [anon_sym_BSLASHBigr] = ACTIONS(7555),
    [anon_sym_BSLASHbiggr] = ACTIONS(7555),
    [anon_sym_BSLASHBiggr] = ACTIONS(7555),
    [anon_sym_BSLASHtext] = ACTIONS(7555),
    [anon_sym_BSLASHintertext] = ACTIONS(7555),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7555),
    [anon_sym_BSLASHbegin] = ACTIONS(7555),
    [anon_sym_BSLASHtitle] = ACTIONS(7555),
    [anon_sym_BSLASHauthor] = ACTIONS(7555),
    [anon_sym_BSLASHusepackage] = ACTIONS(7555),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7555),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7555),
    [anon_sym_BSLASHinclude] = ACTIONS(7555),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7555),
    [anon_sym_BSLASHinput] = ACTIONS(7555),
    [anon_sym_BSLASHsubfile] = ACTIONS(7555),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7555),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7555),
    [anon_sym_BSLASHbibliography] = ACTIONS(7555),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7555),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7555),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7555),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7555),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7555),
    [anon_sym_BSLASHimport] = ACTIONS(7555),
    [anon_sym_BSLASHsubimport] = ACTIONS(7555),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7555),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7555),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7555),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7555),
    [anon_sym_BSLASHcaption] = ACTIONS(7555),
    [anon_sym_BSLASHcite] = ACTIONS(7555),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCite] = ACTIONS(7555),
    [anon_sym_BSLASHnocite] = ACTIONS(7555),
    [anon_sym_BSLASHcitet] = ACTIONS(7555),
    [anon_sym_BSLASHcitep] = ACTIONS(7555),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteA] = ACTIONS(7555),
    [anon_sym_BSLASHciteR] = ACTIONS(7555),
    [anon_sym_BSLASHciteS] = ACTIONS(7555),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7555),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7555),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7555),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7555),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteyear] = ACTIONS(7555),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitedate] = ACTIONS(7555),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteurl] = ACTIONS(7555),
    [anon_sym_BSLASHfullcite] = ACTIONS(7555),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7555),
    [anon_sym_BSLASHcitealt] = ACTIONS(7555),
    [anon_sym_BSLASHcitealp] = ACTIONS(7555),
    [anon_sym_BSLASHcitetext] = ACTIONS(7555),
    [anon_sym_BSLASHparencite] = ACTIONS(7555),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHParencite] = ACTIONS(7555),
    [anon_sym_BSLASHfootcite] = ACTIONS(7555),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7555),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7555),
    [anon_sym_BSLASHtextcite] = ACTIONS(7555),
    [anon_sym_BSLASHTextcite] = ACTIONS(7555),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7555),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7555),
    [anon_sym_BSLASHsupercite] = ACTIONS(7555),
    [anon_sym_BSLASHautocite] = ACTIONS(7555),
    [anon_sym_BSLASHAutocite] = ACTIONS(7555),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHVolcite] = ACTIONS(7555),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHavolcite] = ACTIONS(7555),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHNotecite] = ACTIONS(7555),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHlabel] = ACTIONS(7555),
    [anon_sym_BSLASHref] = ACTIONS(7555),
    [anon_sym_BSLASHeqref] = ACTIONS(7555),
    [anon_sym_BSLASHvref] = ACTIONS(7555),
    [anon_sym_BSLASHVref] = ACTIONS(7555),
    [anon_sym_BSLASHautoref] = ACTIONS(7555),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHpageref] = ACTIONS(7555),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHautopageref] = ACTIONS(7555),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcref] = ACTIONS(7555),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCref] = ACTIONS(7555),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcpageref] = ACTIONS(7555),
    [anon_sym_BSLASHCpageref] = ACTIONS(7555),
    [anon_sym_BSLASHnamecref] = ACTIONS(7555),
    [anon_sym_BSLASHnameCref] = ACTIONS(7555),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7555),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7555),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7555),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7555),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7555),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7555),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7555),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7555),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7555),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7555),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7555),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHdef] = ACTIONS(7555),
    [anon_sym_BSLASHgdef] = ACTIONS(7555),
    [anon_sym_BSLASHedef] = ACTIONS(7555),
    [anon_sym_BSLASHxdef] = ACTIONS(7555),
    [anon_sym_BSLASHlet] = ACTIONS(7555),
    [anon_sym_BSLASHglet] = ACTIONS(7555),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7555),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7555),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7555),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7555),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7555),
    [anon_sym_BSLASHgls] = ACTIONS(7555),
    [anon_sym_BSLASHGls] = ACTIONS(7555),
    [anon_sym_BSLASHGLS] = ACTIONS(7555),
    [anon_sym_BSLASHglspl] = ACTIONS(7555),
    [anon_sym_BSLASHGlspl] = ACTIONS(7555),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7555),
    [anon_sym_BSLASHglslink] = ACTIONS(7555),
    [anon_sym_BSLASHglstext] = ACTIONS(7555),
    [anon_sym_BSLASHGlstext] = ACTIONS(7555),
    [anon_sym_BSLASHGLStext] = ACTIONS(7555),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7555),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7555),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7555),
    [anon_sym_BSLASHglsplural] = ACTIONS(7555),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7555),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7555),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHglsname] = ACTIONS(7555),
    [anon_sym_BSLASHGlsname] = ACTIONS(7555),
    [anon_sym_BSLASHGLSname] = ACTIONS(7555),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7555),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7555),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7555),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7555),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7555),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7555),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7555),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7555),
    [anon_sym_BSLASHacrshort] = ACTIONS(7555),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7555),
    [anon_sym_BSLASHACRshort] = ACTIONS(7555),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHacrlong] = ACTIONS(7555),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7555),
    [anon_sym_BSLASHACRlong] = ACTIONS(7555),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHacrfull] = ACTIONS(7555),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7555),
    [anon_sym_BSLASHACRfull] = ACTIONS(7555),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHacs] = ACTIONS(7555),
    [anon_sym_BSLASHAcs] = ACTIONS(7555),
    [anon_sym_BSLASHacsp] = ACTIONS(7555),
    [anon_sym_BSLASHAcsp] = ACTIONS(7555),
    [anon_sym_BSLASHacl] = ACTIONS(7555),
    [anon_sym_BSLASHAcl] = ACTIONS(7555),
    [anon_sym_BSLASHaclp] = ACTIONS(7555),
    [anon_sym_BSLASHAclp] = ACTIONS(7555),
    [anon_sym_BSLASHacf] = ACTIONS(7555),
    [anon_sym_BSLASHAcf] = ACTIONS(7555),
    [anon_sym_BSLASHacfp] = ACTIONS(7555),
    [anon_sym_BSLASHAcfp] = ACTIONS(7555),
    [anon_sym_BSLASHac] = ACTIONS(7555),
    [anon_sym_BSLASHAc] = ACTIONS(7555),
    [anon_sym_BSLASHacp] = ACTIONS(7555),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7555),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7555),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7555),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7555),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7555),
    [anon_sym_BSLASHcolor] = ACTIONS(7555),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7555),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7555),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7555),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7555),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7555),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7555),
    [anon_sym_BSLASHurl] = ACTIONS(7555),
    [anon_sym_BSLASHhref] = ACTIONS(7555),
  },
  [717] = {
    [sym_command_name] = ACTIONS(7559),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7559),
    [anon_sym_LBRACK] = ACTIONS(7561),
    [anon_sym_RBRACK] = ACTIONS(7561),
    [anon_sym_COMMA] = ACTIONS(7561),
    [anon_sym_EQ] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7561),
    [anon_sym_RPAREN] = ACTIONS(7561),
    [anon_sym_BSLASHpart] = ACTIONS(7559),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHaddpart] = ACTIONS(7559),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHchapter] = ACTIONS(7559),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHaddchap] = ACTIONS(7559),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHsection] = ACTIONS(7559),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHaddsec] = ACTIONS(7559),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHsubsection] = ACTIONS(7559),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7559),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHparagraph] = ACTIONS(7559),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7559),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHitem] = ACTIONS(7559),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7561),
    [anon_sym_LBRACE] = ACTIONS(7561),
    [sym_word] = ACTIONS(7559),
    [sym_placeholder] = ACTIONS(7561),
    [sym_delimiter] = ACTIONS(7561),
    [anon_sym_PLUS] = ACTIONS(7561),
    [anon_sym_DASH] = ACTIONS(7561),
    [anon_sym_STAR] = ACTIONS(7561),
    [anon_sym_SLASH] = ACTIONS(7561),
    [anon_sym_LT] = ACTIONS(7559),
    [anon_sym_GT] = ACTIONS(7559),
    [anon_sym_BANG] = ACTIONS(7559),
    [anon_sym_PIPE] = ACTIONS(7559),
    [anon_sym_COLON] = ACTIONS(7559),
    [anon_sym_SQUOTE] = ACTIONS(7559),
    [anon_sym__] = ACTIONS(7561),
    [anon_sym_CARET] = ACTIONS(7561),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7561),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7561),
    [anon_sym_DOLLAR] = ACTIONS(7559),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7561),
    [anon_sym_BSLASHleft] = ACTIONS(7559),
    [anon_sym_BSLASHbigl] = ACTIONS(7559),
    [anon_sym_BSLASHBigl] = ACTIONS(7559),
    [anon_sym_BSLASHbiggl] = ACTIONS(7559),
    [anon_sym_BSLASHBiggl] = ACTIONS(7559),
    [anon_sym_BSLASHright] = ACTIONS(7559),
    [anon_sym_BSLASHbigr] = ACTIONS(7559),
    [anon_sym_BSLASHBigr] = ACTIONS(7559),
    [anon_sym_BSLASHbiggr] = ACTIONS(7559),
    [anon_sym_BSLASHBiggr] = ACTIONS(7559),
    [anon_sym_BSLASHtext] = ACTIONS(7559),
    [anon_sym_BSLASHintertext] = ACTIONS(7559),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7559),
    [anon_sym_BSLASHbegin] = ACTIONS(7559),
    [anon_sym_BSLASHtitle] = ACTIONS(7559),
    [anon_sym_BSLASHauthor] = ACTIONS(7559),
    [anon_sym_BSLASHusepackage] = ACTIONS(7559),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7559),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7559),
    [anon_sym_BSLASHinclude] = ACTIONS(7559),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7559),
    [anon_sym_BSLASHinput] = ACTIONS(7559),
    [anon_sym_BSLASHsubfile] = ACTIONS(7559),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7559),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7559),
    [anon_sym_BSLASHbibliography] = ACTIONS(7559),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7559),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7559),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7559),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7559),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7559),
    [anon_sym_BSLASHimport] = ACTIONS(7559),
    [anon_sym_BSLASHsubimport] = ACTIONS(7559),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7559),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7559),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7559),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7559),
    [anon_sym_BSLASHcaption] = ACTIONS(7559),
    [anon_sym_BSLASHcite] = ACTIONS(7559),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCite] = ACTIONS(7559),
    [anon_sym_BSLASHnocite] = ACTIONS(7559),
    [anon_sym_BSLASHcitet] = ACTIONS(7559),
    [anon_sym_BSLASHcitep] = ACTIONS(7559),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteA] = ACTIONS(7559),
    [anon_sym_BSLASHciteR] = ACTIONS(7559),
    [anon_sym_BSLASHciteS] = ACTIONS(7559),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7559),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7559),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7559),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7559),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteyear] = ACTIONS(7559),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitedate] = ACTIONS(7559),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteurl] = ACTIONS(7559),
    [anon_sym_BSLASHfullcite] = ACTIONS(7559),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7559),
    [anon_sym_BSLASHcitealt] = ACTIONS(7559),
    [anon_sym_BSLASHcitealp] = ACTIONS(7559),
    [anon_sym_BSLASHcitetext] = ACTIONS(7559),
    [anon_sym_BSLASHparencite] = ACTIONS(7559),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHParencite] = ACTIONS(7559),
    [anon_sym_BSLASHfootcite] = ACTIONS(7559),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7559),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7559),
    [anon_sym_BSLASHtextcite] = ACTIONS(7559),
    [anon_sym_BSLASHTextcite] = ACTIONS(7559),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7559),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7559),
    [anon_sym_BSLASHsupercite] = ACTIONS(7559),
    [anon_sym_BSLASHautocite] = ACTIONS(7559),
    [anon_sym_BSLASHAutocite] = ACTIONS(7559),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHVolcite] = ACTIONS(7559),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHavolcite] = ACTIONS(7559),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHNotecite] = ACTIONS(7559),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHlabel] = ACTIONS(7559),
    [anon_sym_BSLASHref] = ACTIONS(7559),
    [anon_sym_BSLASHeqref] = ACTIONS(7559),
    [anon_sym_BSLASHvref] = ACTIONS(7559),
    [anon_sym_BSLASHVref] = ACTIONS(7559),
    [anon_sym_BSLASHautoref] = ACTIONS(7559),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHpageref] = ACTIONS(7559),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHautopageref] = ACTIONS(7559),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcref] = ACTIONS(7559),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCref] = ACTIONS(7559),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcpageref] = ACTIONS(7559),
    [anon_sym_BSLASHCpageref] = ACTIONS(7559),
    [anon_sym_BSLASHnamecref] = ACTIONS(7559),
    [anon_sym_BSLASHnameCref] = ACTIONS(7559),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7559),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7559),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7559),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7559),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7559),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7559),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7559),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7559),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7559),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7559),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7559),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHdef] = ACTIONS(7559),
    [anon_sym_BSLASHgdef] = ACTIONS(7559),
    [anon_sym_BSLASHedef] = ACTIONS(7559),
    [anon_sym_BSLASHxdef] = ACTIONS(7559),
    [anon_sym_BSLASHlet] = ACTIONS(7559),
    [anon_sym_BSLASHglet] = ACTIONS(7559),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7559),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7559),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7559),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7559),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7559),
    [anon_sym_BSLASHgls] = ACTIONS(7559),
    [anon_sym_BSLASHGls] = ACTIONS(7559),
    [anon_sym_BSLASHGLS] = ACTIONS(7559),
    [anon_sym_BSLASHglspl] = ACTIONS(7559),
    [anon_sym_BSLASHGlspl] = ACTIONS(7559),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7559),
    [anon_sym_BSLASHglslink] = ACTIONS(7559),
    [anon_sym_BSLASHglstext] = ACTIONS(7559),
    [anon_sym_BSLASHGlstext] = ACTIONS(7559),
    [anon_sym_BSLASHGLStext] = ACTIONS(7559),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7559),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7559),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7559),
    [anon_sym_BSLASHglsplural] = ACTIONS(7559),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7559),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7559),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHglsname] = ACTIONS(7559),
    [anon_sym_BSLASHGlsname] = ACTIONS(7559),
    [anon_sym_BSLASHGLSname] = ACTIONS(7559),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7559),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7559),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7559),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7559),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7559),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7559),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7559),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7559),
    [anon_sym_BSLASHacrshort] = ACTIONS(7559),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7559),
    [anon_sym_BSLASHACRshort] = ACTIONS(7559),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHacrlong] = ACTIONS(7559),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7559),
    [anon_sym_BSLASHACRlong] = ACTIONS(7559),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHacrfull] = ACTIONS(7559),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7559),
    [anon_sym_BSLASHACRfull] = ACTIONS(7559),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHacs] = ACTIONS(7559),
    [anon_sym_BSLASHAcs] = ACTIONS(7559),
    [anon_sym_BSLASHacsp] = ACTIONS(7559),
    [anon_sym_BSLASHAcsp] = ACTIONS(7559),
    [anon_sym_BSLASHacl] = ACTIONS(7559),
    [anon_sym_BSLASHAcl] = ACTIONS(7559),
    [anon_sym_BSLASHaclp] = ACTIONS(7559),
    [anon_sym_BSLASHAclp] = ACTIONS(7559),
    [anon_sym_BSLASHacf] = ACTIONS(7559),
    [anon_sym_BSLASHAcf] = ACTIONS(7559),
    [anon_sym_BSLASHacfp] = ACTIONS(7559),
    [anon_sym_BSLASHAcfp] = ACTIONS(7559),
    [anon_sym_BSLASHac] = ACTIONS(7559),
    [anon_sym_BSLASHAc] = ACTIONS(7559),
    [anon_sym_BSLASHacp] = ACTIONS(7559),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7559),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7559),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7559),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7559),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7559),
    [anon_sym_BSLASHcolor] = ACTIONS(7559),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7559),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7559),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7559),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7559),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7559),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7559),
    [anon_sym_BSLASHurl] = ACTIONS(7559),
    [anon_sym_BSLASHhref] = ACTIONS(7559),
  },
  [718] = {
    [sym_command_name] = ACTIONS(7563),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7563),
    [anon_sym_LBRACK] = ACTIONS(7565),
    [anon_sym_RBRACK] = ACTIONS(7565),
    [anon_sym_COMMA] = ACTIONS(7565),
    [anon_sym_EQ] = ACTIONS(7565),
    [anon_sym_LPAREN] = ACTIONS(7565),
    [anon_sym_RPAREN] = ACTIONS(7565),
    [anon_sym_BSLASHpart] = ACTIONS(7563),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHaddpart] = ACTIONS(7563),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHchapter] = ACTIONS(7563),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHaddchap] = ACTIONS(7563),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHsection] = ACTIONS(7563),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHaddsec] = ACTIONS(7563),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHsubsection] = ACTIONS(7563),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7563),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHparagraph] = ACTIONS(7563),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7563),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHitem] = ACTIONS(7563),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7565),
    [anon_sym_LBRACE] = ACTIONS(7565),
    [sym_word] = ACTIONS(7563),
    [sym_placeholder] = ACTIONS(7565),
    [sym_delimiter] = ACTIONS(7565),
    [anon_sym_PLUS] = ACTIONS(7565),
    [anon_sym_DASH] = ACTIONS(7565),
    [anon_sym_STAR] = ACTIONS(7565),
    [anon_sym_SLASH] = ACTIONS(7565),
    [anon_sym_LT] = ACTIONS(7563),
    [anon_sym_GT] = ACTIONS(7563),
    [anon_sym_BANG] = ACTIONS(7563),
    [anon_sym_PIPE] = ACTIONS(7563),
    [anon_sym_COLON] = ACTIONS(7563),
    [anon_sym_SQUOTE] = ACTIONS(7563),
    [anon_sym__] = ACTIONS(7565),
    [anon_sym_CARET] = ACTIONS(7565),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7565),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7565),
    [anon_sym_DOLLAR] = ACTIONS(7563),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7565),
    [anon_sym_BSLASHleft] = ACTIONS(7563),
    [anon_sym_BSLASHbigl] = ACTIONS(7563),
    [anon_sym_BSLASHBigl] = ACTIONS(7563),
    [anon_sym_BSLASHbiggl] = ACTIONS(7563),
    [anon_sym_BSLASHBiggl] = ACTIONS(7563),
    [anon_sym_BSLASHright] = ACTIONS(7563),
    [anon_sym_BSLASHbigr] = ACTIONS(7563),
    [anon_sym_BSLASHBigr] = ACTIONS(7563),
    [anon_sym_BSLASHbiggr] = ACTIONS(7563),
    [anon_sym_BSLASHBiggr] = ACTIONS(7563),
    [anon_sym_BSLASHtext] = ACTIONS(7563),
    [anon_sym_BSLASHintertext] = ACTIONS(7563),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7563),
    [anon_sym_BSLASHbegin] = ACTIONS(7563),
    [anon_sym_BSLASHtitle] = ACTIONS(7563),
    [anon_sym_BSLASHauthor] = ACTIONS(7563),
    [anon_sym_BSLASHusepackage] = ACTIONS(7563),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7563),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7563),
    [anon_sym_BSLASHinclude] = ACTIONS(7563),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7563),
    [anon_sym_BSLASHinput] = ACTIONS(7563),
    [anon_sym_BSLASHsubfile] = ACTIONS(7563),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7563),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7563),
    [anon_sym_BSLASHbibliography] = ACTIONS(7563),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7563),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7563),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7563),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7563),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7563),
    [anon_sym_BSLASHimport] = ACTIONS(7563),
    [anon_sym_BSLASHsubimport] = ACTIONS(7563),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7563),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7563),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7563),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7563),
    [anon_sym_BSLASHcaption] = ACTIONS(7563),
    [anon_sym_BSLASHcite] = ACTIONS(7563),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCite] = ACTIONS(7563),
    [anon_sym_BSLASHnocite] = ACTIONS(7563),
    [anon_sym_BSLASHcitet] = ACTIONS(7563),
    [anon_sym_BSLASHcitep] = ACTIONS(7563),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteA] = ACTIONS(7563),
    [anon_sym_BSLASHciteR] = ACTIONS(7563),
    [anon_sym_BSLASHciteS] = ACTIONS(7563),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7563),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7563),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7563),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7563),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteyear] = ACTIONS(7563),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitedate] = ACTIONS(7563),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteurl] = ACTIONS(7563),
    [anon_sym_BSLASHfullcite] = ACTIONS(7563),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7563),
    [anon_sym_BSLASHcitealt] = ACTIONS(7563),
    [anon_sym_BSLASHcitealp] = ACTIONS(7563),
    [anon_sym_BSLASHcitetext] = ACTIONS(7563),
    [anon_sym_BSLASHparencite] = ACTIONS(7563),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHParencite] = ACTIONS(7563),
    [anon_sym_BSLASHfootcite] = ACTIONS(7563),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7563),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7563),
    [anon_sym_BSLASHtextcite] = ACTIONS(7563),
    [anon_sym_BSLASHTextcite] = ACTIONS(7563),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7563),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7563),
    [anon_sym_BSLASHsupercite] = ACTIONS(7563),
    [anon_sym_BSLASHautocite] = ACTIONS(7563),
    [anon_sym_BSLASHAutocite] = ACTIONS(7563),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHVolcite] = ACTIONS(7563),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHavolcite] = ACTIONS(7563),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHNotecite] = ACTIONS(7563),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHlabel] = ACTIONS(7563),
    [anon_sym_BSLASHref] = ACTIONS(7563),
    [anon_sym_BSLASHeqref] = ACTIONS(7563),
    [anon_sym_BSLASHvref] = ACTIONS(7563),
    [anon_sym_BSLASHVref] = ACTIONS(7563),
    [anon_sym_BSLASHautoref] = ACTIONS(7563),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHpageref] = ACTIONS(7563),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHautopageref] = ACTIONS(7563),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcref] = ACTIONS(7563),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCref] = ACTIONS(7563),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcpageref] = ACTIONS(7563),
    [anon_sym_BSLASHCpageref] = ACTIONS(7563),
    [anon_sym_BSLASHnamecref] = ACTIONS(7563),
    [anon_sym_BSLASHnameCref] = ACTIONS(7563),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7563),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7563),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7563),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7563),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7563),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7563),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7563),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7563),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7563),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7563),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7563),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHdef] = ACTIONS(7563),
    [anon_sym_BSLASHgdef] = ACTIONS(7563),
    [anon_sym_BSLASHedef] = ACTIONS(7563),
    [anon_sym_BSLASHxdef] = ACTIONS(7563),
    [anon_sym_BSLASHlet] = ACTIONS(7563),
    [anon_sym_BSLASHglet] = ACTIONS(7563),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7563),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7563),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7563),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7563),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7563),
    [anon_sym_BSLASHgls] = ACTIONS(7563),
    [anon_sym_BSLASHGls] = ACTIONS(7563),
    [anon_sym_BSLASHGLS] = ACTIONS(7563),
    [anon_sym_BSLASHglspl] = ACTIONS(7563),
    [anon_sym_BSLASHGlspl] = ACTIONS(7563),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7563),
    [anon_sym_BSLASHglslink] = ACTIONS(7563),
    [anon_sym_BSLASHglstext] = ACTIONS(7563),
    [anon_sym_BSLASHGlstext] = ACTIONS(7563),
    [anon_sym_BSLASHGLStext] = ACTIONS(7563),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7563),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7563),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7563),
    [anon_sym_BSLASHglsplural] = ACTIONS(7563),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7563),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7563),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHglsname] = ACTIONS(7563),
    [anon_sym_BSLASHGlsname] = ACTIONS(7563),
    [anon_sym_BSLASHGLSname] = ACTIONS(7563),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7563),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7563),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7563),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7563),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7563),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7563),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7563),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7563),
    [anon_sym_BSLASHacrshort] = ACTIONS(7563),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7563),
    [anon_sym_BSLASHACRshort] = ACTIONS(7563),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHacrlong] = ACTIONS(7563),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7563),
    [anon_sym_BSLASHACRlong] = ACTIONS(7563),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHacrfull] = ACTIONS(7563),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7563),
    [anon_sym_BSLASHACRfull] = ACTIONS(7563),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHacs] = ACTIONS(7563),
    [anon_sym_BSLASHAcs] = ACTIONS(7563),
    [anon_sym_BSLASHacsp] = ACTIONS(7563),
    [anon_sym_BSLASHAcsp] = ACTIONS(7563),
    [anon_sym_BSLASHacl] = ACTIONS(7563),
    [anon_sym_BSLASHAcl] = ACTIONS(7563),
    [anon_sym_BSLASHaclp] = ACTIONS(7563),
    [anon_sym_BSLASHAclp] = ACTIONS(7563),
    [anon_sym_BSLASHacf] = ACTIONS(7563),
    [anon_sym_BSLASHAcf] = ACTIONS(7563),
    [anon_sym_BSLASHacfp] = ACTIONS(7563),
    [anon_sym_BSLASHAcfp] = ACTIONS(7563),
    [anon_sym_BSLASHac] = ACTIONS(7563),
    [anon_sym_BSLASHAc] = ACTIONS(7563),
    [anon_sym_BSLASHacp] = ACTIONS(7563),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7563),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7563),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7563),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7563),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7563),
    [anon_sym_BSLASHcolor] = ACTIONS(7563),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7563),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7563),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7563),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7563),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7563),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7563),
    [anon_sym_BSLASHurl] = ACTIONS(7563),
    [anon_sym_BSLASHhref] = ACTIONS(7563),
  },
  [719] = {
    [sym_command_name] = ACTIONS(7567),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7567),
    [anon_sym_LBRACK] = ACTIONS(7569),
    [anon_sym_RBRACK] = ACTIONS(7569),
    [anon_sym_COMMA] = ACTIONS(7569),
    [anon_sym_EQ] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7569),
    [anon_sym_RPAREN] = ACTIONS(7569),
    [anon_sym_BSLASHpart] = ACTIONS(7567),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHaddpart] = ACTIONS(7567),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHchapter] = ACTIONS(7567),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHaddchap] = ACTIONS(7567),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHsection] = ACTIONS(7567),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHaddsec] = ACTIONS(7567),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHsubsection] = ACTIONS(7567),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7567),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHparagraph] = ACTIONS(7567),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7567),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHitem] = ACTIONS(7567),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7569),
    [anon_sym_LBRACE] = ACTIONS(7569),
    [sym_word] = ACTIONS(7567),
    [sym_placeholder] = ACTIONS(7569),
    [sym_delimiter] = ACTIONS(7569),
    [anon_sym_PLUS] = ACTIONS(7569),
    [anon_sym_DASH] = ACTIONS(7569),
    [anon_sym_STAR] = ACTIONS(7569),
    [anon_sym_SLASH] = ACTIONS(7569),
    [anon_sym_LT] = ACTIONS(7567),
    [anon_sym_GT] = ACTIONS(7567),
    [anon_sym_BANG] = ACTIONS(7567),
    [anon_sym_PIPE] = ACTIONS(7567),
    [anon_sym_COLON] = ACTIONS(7567),
    [anon_sym_SQUOTE] = ACTIONS(7567),
    [anon_sym__] = ACTIONS(7569),
    [anon_sym_CARET] = ACTIONS(7569),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7569),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7569),
    [anon_sym_DOLLAR] = ACTIONS(7567),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7569),
    [anon_sym_BSLASHleft] = ACTIONS(7567),
    [anon_sym_BSLASHbigl] = ACTIONS(7567),
    [anon_sym_BSLASHBigl] = ACTIONS(7567),
    [anon_sym_BSLASHbiggl] = ACTIONS(7567),
    [anon_sym_BSLASHBiggl] = ACTIONS(7567),
    [anon_sym_BSLASHright] = ACTIONS(7567),
    [anon_sym_BSLASHbigr] = ACTIONS(7567),
    [anon_sym_BSLASHBigr] = ACTIONS(7567),
    [anon_sym_BSLASHbiggr] = ACTIONS(7567),
    [anon_sym_BSLASHBiggr] = ACTIONS(7567),
    [anon_sym_BSLASHtext] = ACTIONS(7567),
    [anon_sym_BSLASHintertext] = ACTIONS(7567),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7567),
    [anon_sym_BSLASHbegin] = ACTIONS(7567),
    [anon_sym_BSLASHtitle] = ACTIONS(7567),
    [anon_sym_BSLASHauthor] = ACTIONS(7567),
    [anon_sym_BSLASHusepackage] = ACTIONS(7567),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7567),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7567),
    [anon_sym_BSLASHinclude] = ACTIONS(7567),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7567),
    [anon_sym_BSLASHinput] = ACTIONS(7567),
    [anon_sym_BSLASHsubfile] = ACTIONS(7567),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7567),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7567),
    [anon_sym_BSLASHbibliography] = ACTIONS(7567),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7567),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7567),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7567),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7567),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7567),
    [anon_sym_BSLASHimport] = ACTIONS(7567),
    [anon_sym_BSLASHsubimport] = ACTIONS(7567),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7567),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7567),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7567),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7567),
    [anon_sym_BSLASHcaption] = ACTIONS(7567),
    [anon_sym_BSLASHcite] = ACTIONS(7567),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCite] = ACTIONS(7567),
    [anon_sym_BSLASHnocite] = ACTIONS(7567),
    [anon_sym_BSLASHcitet] = ACTIONS(7567),
    [anon_sym_BSLASHcitep] = ACTIONS(7567),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteA] = ACTIONS(7567),
    [anon_sym_BSLASHciteR] = ACTIONS(7567),
    [anon_sym_BSLASHciteS] = ACTIONS(7567),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7567),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7567),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7567),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7567),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteyear] = ACTIONS(7567),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitedate] = ACTIONS(7567),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteurl] = ACTIONS(7567),
    [anon_sym_BSLASHfullcite] = ACTIONS(7567),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7567),
    [anon_sym_BSLASHcitealt] = ACTIONS(7567),
    [anon_sym_BSLASHcitealp] = ACTIONS(7567),
    [anon_sym_BSLASHcitetext] = ACTIONS(7567),
    [anon_sym_BSLASHparencite] = ACTIONS(7567),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHParencite] = ACTIONS(7567),
    [anon_sym_BSLASHfootcite] = ACTIONS(7567),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7567),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7567),
    [anon_sym_BSLASHtextcite] = ACTIONS(7567),
    [anon_sym_BSLASHTextcite] = ACTIONS(7567),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7567),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7567),
    [anon_sym_BSLASHsupercite] = ACTIONS(7567),
    [anon_sym_BSLASHautocite] = ACTIONS(7567),
    [anon_sym_BSLASHAutocite] = ACTIONS(7567),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHVolcite] = ACTIONS(7567),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHavolcite] = ACTIONS(7567),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHNotecite] = ACTIONS(7567),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHlabel] = ACTIONS(7567),
    [anon_sym_BSLASHref] = ACTIONS(7567),
    [anon_sym_BSLASHeqref] = ACTIONS(7567),
    [anon_sym_BSLASHvref] = ACTIONS(7567),
    [anon_sym_BSLASHVref] = ACTIONS(7567),
    [anon_sym_BSLASHautoref] = ACTIONS(7567),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHpageref] = ACTIONS(7567),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHautopageref] = ACTIONS(7567),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcref] = ACTIONS(7567),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCref] = ACTIONS(7567),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcpageref] = ACTIONS(7567),
    [anon_sym_BSLASHCpageref] = ACTIONS(7567),
    [anon_sym_BSLASHnamecref] = ACTIONS(7567),
    [anon_sym_BSLASHnameCref] = ACTIONS(7567),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7567),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7567),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7567),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7567),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7567),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7567),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7567),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7567),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7567),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7567),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7567),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHdef] = ACTIONS(7567),
    [anon_sym_BSLASHgdef] = ACTIONS(7567),
    [anon_sym_BSLASHedef] = ACTIONS(7567),
    [anon_sym_BSLASHxdef] = ACTIONS(7567),
    [anon_sym_BSLASHlet] = ACTIONS(7567),
    [anon_sym_BSLASHglet] = ACTIONS(7567),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7567),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7567),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7567),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7567),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7567),
    [anon_sym_BSLASHgls] = ACTIONS(7567),
    [anon_sym_BSLASHGls] = ACTIONS(7567),
    [anon_sym_BSLASHGLS] = ACTIONS(7567),
    [anon_sym_BSLASHglspl] = ACTIONS(7567),
    [anon_sym_BSLASHGlspl] = ACTIONS(7567),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7567),
    [anon_sym_BSLASHglslink] = ACTIONS(7567),
    [anon_sym_BSLASHglstext] = ACTIONS(7567),
    [anon_sym_BSLASHGlstext] = ACTIONS(7567),
    [anon_sym_BSLASHGLStext] = ACTIONS(7567),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7567),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7567),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7567),
    [anon_sym_BSLASHglsplural] = ACTIONS(7567),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7567),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7567),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHglsname] = ACTIONS(7567),
    [anon_sym_BSLASHGlsname] = ACTIONS(7567),
    [anon_sym_BSLASHGLSname] = ACTIONS(7567),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7567),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7567),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7567),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7567),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7567),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7567),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7567),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7567),
    [anon_sym_BSLASHacrshort] = ACTIONS(7567),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7567),
    [anon_sym_BSLASHACRshort] = ACTIONS(7567),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHacrlong] = ACTIONS(7567),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7567),
    [anon_sym_BSLASHACRlong] = ACTIONS(7567),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHacrfull] = ACTIONS(7567),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7567),
    [anon_sym_BSLASHACRfull] = ACTIONS(7567),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHacs] = ACTIONS(7567),
    [anon_sym_BSLASHAcs] = ACTIONS(7567),
    [anon_sym_BSLASHacsp] = ACTIONS(7567),
    [anon_sym_BSLASHAcsp] = ACTIONS(7567),
    [anon_sym_BSLASHacl] = ACTIONS(7567),
    [anon_sym_BSLASHAcl] = ACTIONS(7567),
    [anon_sym_BSLASHaclp] = ACTIONS(7567),
    [anon_sym_BSLASHAclp] = ACTIONS(7567),
    [anon_sym_BSLASHacf] = ACTIONS(7567),
    [anon_sym_BSLASHAcf] = ACTIONS(7567),
    [anon_sym_BSLASHacfp] = ACTIONS(7567),
    [anon_sym_BSLASHAcfp] = ACTIONS(7567),
    [anon_sym_BSLASHac] = ACTIONS(7567),
    [anon_sym_BSLASHAc] = ACTIONS(7567),
    [anon_sym_BSLASHacp] = ACTIONS(7567),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7567),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7567),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7567),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7567),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7567),
    [anon_sym_BSLASHcolor] = ACTIONS(7567),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7567),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7567),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7567),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7567),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7567),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7567),
    [anon_sym_BSLASHurl] = ACTIONS(7567),
    [anon_sym_BSLASHhref] = ACTIONS(7567),
  },
  [720] = {
    [sym_command_name] = ACTIONS(7571),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7571),
    [anon_sym_LBRACK] = ACTIONS(7573),
    [anon_sym_RBRACK] = ACTIONS(7573),
    [anon_sym_COMMA] = ACTIONS(7573),
    [anon_sym_EQ] = ACTIONS(7573),
    [anon_sym_LPAREN] = ACTIONS(7573),
    [anon_sym_RPAREN] = ACTIONS(7573),
    [anon_sym_BSLASHpart] = ACTIONS(7571),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHaddpart] = ACTIONS(7571),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHchapter] = ACTIONS(7571),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHaddchap] = ACTIONS(7571),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHsection] = ACTIONS(7571),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHaddsec] = ACTIONS(7571),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHsubsection] = ACTIONS(7571),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7571),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHparagraph] = ACTIONS(7571),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7571),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHitem] = ACTIONS(7571),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7573),
    [anon_sym_LBRACE] = ACTIONS(7573),
    [sym_word] = ACTIONS(7571),
    [sym_placeholder] = ACTIONS(7573),
    [sym_delimiter] = ACTIONS(7573),
    [anon_sym_PLUS] = ACTIONS(7573),
    [anon_sym_DASH] = ACTIONS(7573),
    [anon_sym_STAR] = ACTIONS(7573),
    [anon_sym_SLASH] = ACTIONS(7573),
    [anon_sym_LT] = ACTIONS(7571),
    [anon_sym_GT] = ACTIONS(7571),
    [anon_sym_BANG] = ACTIONS(7571),
    [anon_sym_PIPE] = ACTIONS(7571),
    [anon_sym_COLON] = ACTIONS(7571),
    [anon_sym_SQUOTE] = ACTIONS(7571),
    [anon_sym__] = ACTIONS(7573),
    [anon_sym_CARET] = ACTIONS(7573),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7573),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7573),
    [anon_sym_DOLLAR] = ACTIONS(7571),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7573),
    [anon_sym_BSLASHleft] = ACTIONS(7571),
    [anon_sym_BSLASHbigl] = ACTIONS(7571),
    [anon_sym_BSLASHBigl] = ACTIONS(7571),
    [anon_sym_BSLASHbiggl] = ACTIONS(7571),
    [anon_sym_BSLASHBiggl] = ACTIONS(7571),
    [anon_sym_BSLASHright] = ACTIONS(7571),
    [anon_sym_BSLASHbigr] = ACTIONS(7571),
    [anon_sym_BSLASHBigr] = ACTIONS(7571),
    [anon_sym_BSLASHbiggr] = ACTIONS(7571),
    [anon_sym_BSLASHBiggr] = ACTIONS(7571),
    [anon_sym_BSLASHtext] = ACTIONS(7571),
    [anon_sym_BSLASHintertext] = ACTIONS(7571),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7571),
    [anon_sym_BSLASHbegin] = ACTIONS(7571),
    [anon_sym_BSLASHtitle] = ACTIONS(7571),
    [anon_sym_BSLASHauthor] = ACTIONS(7571),
    [anon_sym_BSLASHusepackage] = ACTIONS(7571),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7571),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7571),
    [anon_sym_BSLASHinclude] = ACTIONS(7571),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7571),
    [anon_sym_BSLASHinput] = ACTIONS(7571),
    [anon_sym_BSLASHsubfile] = ACTIONS(7571),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7571),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7571),
    [anon_sym_BSLASHbibliography] = ACTIONS(7571),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7571),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7571),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7571),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7571),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7571),
    [anon_sym_BSLASHimport] = ACTIONS(7571),
    [anon_sym_BSLASHsubimport] = ACTIONS(7571),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7571),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7571),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7571),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7571),
    [anon_sym_BSLASHcaption] = ACTIONS(7571),
    [anon_sym_BSLASHcite] = ACTIONS(7571),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCite] = ACTIONS(7571),
    [anon_sym_BSLASHnocite] = ACTIONS(7571),
    [anon_sym_BSLASHcitet] = ACTIONS(7571),
    [anon_sym_BSLASHcitep] = ACTIONS(7571),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteA] = ACTIONS(7571),
    [anon_sym_BSLASHciteR] = ACTIONS(7571),
    [anon_sym_BSLASHciteS] = ACTIONS(7571),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7571),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7571),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7571),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7571),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteyear] = ACTIONS(7571),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitedate] = ACTIONS(7571),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteurl] = ACTIONS(7571),
    [anon_sym_BSLASHfullcite] = ACTIONS(7571),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7571),
    [anon_sym_BSLASHcitealt] = ACTIONS(7571),
    [anon_sym_BSLASHcitealp] = ACTIONS(7571),
    [anon_sym_BSLASHcitetext] = ACTIONS(7571),
    [anon_sym_BSLASHparencite] = ACTIONS(7571),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHParencite] = ACTIONS(7571),
    [anon_sym_BSLASHfootcite] = ACTIONS(7571),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7571),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7571),
    [anon_sym_BSLASHtextcite] = ACTIONS(7571),
    [anon_sym_BSLASHTextcite] = ACTIONS(7571),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7571),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7571),
    [anon_sym_BSLASHsupercite] = ACTIONS(7571),
    [anon_sym_BSLASHautocite] = ACTIONS(7571),
    [anon_sym_BSLASHAutocite] = ACTIONS(7571),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHVolcite] = ACTIONS(7571),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHavolcite] = ACTIONS(7571),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHNotecite] = ACTIONS(7571),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHlabel] = ACTIONS(7571),
    [anon_sym_BSLASHref] = ACTIONS(7571),
    [anon_sym_BSLASHeqref] = ACTIONS(7571),
    [anon_sym_BSLASHvref] = ACTIONS(7571),
    [anon_sym_BSLASHVref] = ACTIONS(7571),
    [anon_sym_BSLASHautoref] = ACTIONS(7571),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHpageref] = ACTIONS(7571),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHautopageref] = ACTIONS(7571),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcref] = ACTIONS(7571),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCref] = ACTIONS(7571),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcpageref] = ACTIONS(7571),
    [anon_sym_BSLASHCpageref] = ACTIONS(7571),
    [anon_sym_BSLASHnamecref] = ACTIONS(7571),
    [anon_sym_BSLASHnameCref] = ACTIONS(7571),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7571),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7571),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7571),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7571),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7571),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7571),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7571),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7571),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7571),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7571),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7571),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHdef] = ACTIONS(7571),
    [anon_sym_BSLASHgdef] = ACTIONS(7571),
    [anon_sym_BSLASHedef] = ACTIONS(7571),
    [anon_sym_BSLASHxdef] = ACTIONS(7571),
    [anon_sym_BSLASHlet] = ACTIONS(7571),
    [anon_sym_BSLASHglet] = ACTIONS(7571),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7571),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7571),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7571),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7571),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7571),
    [anon_sym_BSLASHgls] = ACTIONS(7571),
    [anon_sym_BSLASHGls] = ACTIONS(7571),
    [anon_sym_BSLASHGLS] = ACTIONS(7571),
    [anon_sym_BSLASHglspl] = ACTIONS(7571),
    [anon_sym_BSLASHGlspl] = ACTIONS(7571),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7571),
    [anon_sym_BSLASHglslink] = ACTIONS(7571),
    [anon_sym_BSLASHglstext] = ACTIONS(7571),
    [anon_sym_BSLASHGlstext] = ACTIONS(7571),
    [anon_sym_BSLASHGLStext] = ACTIONS(7571),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7571),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7571),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7571),
    [anon_sym_BSLASHglsplural] = ACTIONS(7571),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7571),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7571),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHglsname] = ACTIONS(7571),
    [anon_sym_BSLASHGlsname] = ACTIONS(7571),
    [anon_sym_BSLASHGLSname] = ACTIONS(7571),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7571),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7571),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7571),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7571),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7571),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7571),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7571),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7571),
    [anon_sym_BSLASHacrshort] = ACTIONS(7571),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7571),
    [anon_sym_BSLASHACRshort] = ACTIONS(7571),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHacrlong] = ACTIONS(7571),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7571),
    [anon_sym_BSLASHACRlong] = ACTIONS(7571),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHacrfull] = ACTIONS(7571),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7571),
    [anon_sym_BSLASHACRfull] = ACTIONS(7571),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHacs] = ACTIONS(7571),
    [anon_sym_BSLASHAcs] = ACTIONS(7571),
    [anon_sym_BSLASHacsp] = ACTIONS(7571),
    [anon_sym_BSLASHAcsp] = ACTIONS(7571),
    [anon_sym_BSLASHacl] = ACTIONS(7571),
    [anon_sym_BSLASHAcl] = ACTIONS(7571),
    [anon_sym_BSLASHaclp] = ACTIONS(7571),
    [anon_sym_BSLASHAclp] = ACTIONS(7571),
    [anon_sym_BSLASHacf] = ACTIONS(7571),
    [anon_sym_BSLASHAcf] = ACTIONS(7571),
    [anon_sym_BSLASHacfp] = ACTIONS(7571),
    [anon_sym_BSLASHAcfp] = ACTIONS(7571),
    [anon_sym_BSLASHac] = ACTIONS(7571),
    [anon_sym_BSLASHAc] = ACTIONS(7571),
    [anon_sym_BSLASHacp] = ACTIONS(7571),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7571),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7571),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7571),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7571),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7571),
    [anon_sym_BSLASHcolor] = ACTIONS(7571),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7571),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7571),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7571),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7571),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7571),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7571),
    [anon_sym_BSLASHurl] = ACTIONS(7571),
    [anon_sym_BSLASHhref] = ACTIONS(7571),
  },
  [721] = {
    [sym_command_name] = ACTIONS(7575),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7575),
    [anon_sym_LBRACK] = ACTIONS(7577),
    [anon_sym_RBRACK] = ACTIONS(7577),
    [anon_sym_COMMA] = ACTIONS(7577),
    [anon_sym_EQ] = ACTIONS(7577),
    [anon_sym_LPAREN] = ACTIONS(7577),
    [anon_sym_RPAREN] = ACTIONS(7577),
    [anon_sym_BSLASHpart] = ACTIONS(7575),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHaddpart] = ACTIONS(7575),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHchapter] = ACTIONS(7575),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHaddchap] = ACTIONS(7575),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHsection] = ACTIONS(7575),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHaddsec] = ACTIONS(7575),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHsubsection] = ACTIONS(7575),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7575),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHparagraph] = ACTIONS(7575),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7575),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHitem] = ACTIONS(7575),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7577),
    [anon_sym_LBRACE] = ACTIONS(7577),
    [sym_word] = ACTIONS(7575),
    [sym_placeholder] = ACTIONS(7577),
    [sym_delimiter] = ACTIONS(7577),
    [anon_sym_PLUS] = ACTIONS(7577),
    [anon_sym_DASH] = ACTIONS(7577),
    [anon_sym_STAR] = ACTIONS(7577),
    [anon_sym_SLASH] = ACTIONS(7577),
    [anon_sym_LT] = ACTIONS(7575),
    [anon_sym_GT] = ACTIONS(7575),
    [anon_sym_BANG] = ACTIONS(7575),
    [anon_sym_PIPE] = ACTIONS(7575),
    [anon_sym_COLON] = ACTIONS(7575),
    [anon_sym_SQUOTE] = ACTIONS(7575),
    [anon_sym__] = ACTIONS(7577),
    [anon_sym_CARET] = ACTIONS(7577),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7577),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7577),
    [anon_sym_DOLLAR] = ACTIONS(7575),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7577),
    [anon_sym_BSLASHleft] = ACTIONS(7575),
    [anon_sym_BSLASHbigl] = ACTIONS(7575),
    [anon_sym_BSLASHBigl] = ACTIONS(7575),
    [anon_sym_BSLASHbiggl] = ACTIONS(7575),
    [anon_sym_BSLASHBiggl] = ACTIONS(7575),
    [anon_sym_BSLASHright] = ACTIONS(7575),
    [anon_sym_BSLASHbigr] = ACTIONS(7575),
    [anon_sym_BSLASHBigr] = ACTIONS(7575),
    [anon_sym_BSLASHbiggr] = ACTIONS(7575),
    [anon_sym_BSLASHBiggr] = ACTIONS(7575),
    [anon_sym_BSLASHtext] = ACTIONS(7575),
    [anon_sym_BSLASHintertext] = ACTIONS(7575),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7575),
    [anon_sym_BSLASHbegin] = ACTIONS(7575),
    [anon_sym_BSLASHtitle] = ACTIONS(7575),
    [anon_sym_BSLASHauthor] = ACTIONS(7575),
    [anon_sym_BSLASHusepackage] = ACTIONS(7575),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7575),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7575),
    [anon_sym_BSLASHinclude] = ACTIONS(7575),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7575),
    [anon_sym_BSLASHinput] = ACTIONS(7575),
    [anon_sym_BSLASHsubfile] = ACTIONS(7575),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7575),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7575),
    [anon_sym_BSLASHbibliography] = ACTIONS(7575),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7575),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7575),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7575),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7575),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7575),
    [anon_sym_BSLASHimport] = ACTIONS(7575),
    [anon_sym_BSLASHsubimport] = ACTIONS(7575),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7575),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7575),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7575),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7575),
    [anon_sym_BSLASHcaption] = ACTIONS(7575),
    [anon_sym_BSLASHcite] = ACTIONS(7575),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCite] = ACTIONS(7575),
    [anon_sym_BSLASHnocite] = ACTIONS(7575),
    [anon_sym_BSLASHcitet] = ACTIONS(7575),
    [anon_sym_BSLASHcitep] = ACTIONS(7575),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteA] = ACTIONS(7575),
    [anon_sym_BSLASHciteR] = ACTIONS(7575),
    [anon_sym_BSLASHciteS] = ACTIONS(7575),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7575),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7575),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7575),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7575),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteyear] = ACTIONS(7575),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitedate] = ACTIONS(7575),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteurl] = ACTIONS(7575),
    [anon_sym_BSLASHfullcite] = ACTIONS(7575),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7575),
    [anon_sym_BSLASHcitealt] = ACTIONS(7575),
    [anon_sym_BSLASHcitealp] = ACTIONS(7575),
    [anon_sym_BSLASHcitetext] = ACTIONS(7575),
    [anon_sym_BSLASHparencite] = ACTIONS(7575),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHParencite] = ACTIONS(7575),
    [anon_sym_BSLASHfootcite] = ACTIONS(7575),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7575),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7575),
    [anon_sym_BSLASHtextcite] = ACTIONS(7575),
    [anon_sym_BSLASHTextcite] = ACTIONS(7575),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7575),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7575),
    [anon_sym_BSLASHsupercite] = ACTIONS(7575),
    [anon_sym_BSLASHautocite] = ACTIONS(7575),
    [anon_sym_BSLASHAutocite] = ACTIONS(7575),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHVolcite] = ACTIONS(7575),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHavolcite] = ACTIONS(7575),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHNotecite] = ACTIONS(7575),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHlabel] = ACTIONS(7575),
    [anon_sym_BSLASHref] = ACTIONS(7575),
    [anon_sym_BSLASHeqref] = ACTIONS(7575),
    [anon_sym_BSLASHvref] = ACTIONS(7575),
    [anon_sym_BSLASHVref] = ACTIONS(7575),
    [anon_sym_BSLASHautoref] = ACTIONS(7575),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHpageref] = ACTIONS(7575),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHautopageref] = ACTIONS(7575),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcref] = ACTIONS(7575),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCref] = ACTIONS(7575),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcpageref] = ACTIONS(7575),
    [anon_sym_BSLASHCpageref] = ACTIONS(7575),
    [anon_sym_BSLASHnamecref] = ACTIONS(7575),
    [anon_sym_BSLASHnameCref] = ACTIONS(7575),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7575),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7575),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7575),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7575),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7575),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7575),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7575),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7575),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7575),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7575),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7575),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHdef] = ACTIONS(7575),
    [anon_sym_BSLASHgdef] = ACTIONS(7575),
    [anon_sym_BSLASHedef] = ACTIONS(7575),
    [anon_sym_BSLASHxdef] = ACTIONS(7575),
    [anon_sym_BSLASHlet] = ACTIONS(7575),
    [anon_sym_BSLASHglet] = ACTIONS(7575),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7575),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7575),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7575),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7575),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7575),
    [anon_sym_BSLASHgls] = ACTIONS(7575),
    [anon_sym_BSLASHGls] = ACTIONS(7575),
    [anon_sym_BSLASHGLS] = ACTIONS(7575),
    [anon_sym_BSLASHglspl] = ACTIONS(7575),
    [anon_sym_BSLASHGlspl] = ACTIONS(7575),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7575),
    [anon_sym_BSLASHglslink] = ACTIONS(7575),
    [anon_sym_BSLASHglstext] = ACTIONS(7575),
    [anon_sym_BSLASHGlstext] = ACTIONS(7575),
    [anon_sym_BSLASHGLStext] = ACTIONS(7575),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7575),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7575),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7575),
    [anon_sym_BSLASHglsplural] = ACTIONS(7575),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7575),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7575),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHglsname] = ACTIONS(7575),
    [anon_sym_BSLASHGlsname] = ACTIONS(7575),
    [anon_sym_BSLASHGLSname] = ACTIONS(7575),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7575),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7575),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7575),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7575),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7575),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7575),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7575),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7575),
    [anon_sym_BSLASHacrshort] = ACTIONS(7575),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7575),
    [anon_sym_BSLASHACRshort] = ACTIONS(7575),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHacrlong] = ACTIONS(7575),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7575),
    [anon_sym_BSLASHACRlong] = ACTIONS(7575),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHacrfull] = ACTIONS(7575),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7575),
    [anon_sym_BSLASHACRfull] = ACTIONS(7575),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHacs] = ACTIONS(7575),
    [anon_sym_BSLASHAcs] = ACTIONS(7575),
    [anon_sym_BSLASHacsp] = ACTIONS(7575),
    [anon_sym_BSLASHAcsp] = ACTIONS(7575),
    [anon_sym_BSLASHacl] = ACTIONS(7575),
    [anon_sym_BSLASHAcl] = ACTIONS(7575),
    [anon_sym_BSLASHaclp] = ACTIONS(7575),
    [anon_sym_BSLASHAclp] = ACTIONS(7575),
    [anon_sym_BSLASHacf] = ACTIONS(7575),
    [anon_sym_BSLASHAcf] = ACTIONS(7575),
    [anon_sym_BSLASHacfp] = ACTIONS(7575),
    [anon_sym_BSLASHAcfp] = ACTIONS(7575),
    [anon_sym_BSLASHac] = ACTIONS(7575),
    [anon_sym_BSLASHAc] = ACTIONS(7575),
    [anon_sym_BSLASHacp] = ACTIONS(7575),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7575),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7575),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7575),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7575),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7575),
    [anon_sym_BSLASHcolor] = ACTIONS(7575),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7575),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7575),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7575),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7575),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7575),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7575),
    [anon_sym_BSLASHurl] = ACTIONS(7575),
    [anon_sym_BSLASHhref] = ACTIONS(7575),
  },
  [722] = {
    [sym_command_name] = ACTIONS(7579),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7579),
    [anon_sym_LBRACK] = ACTIONS(7581),
    [anon_sym_RBRACK] = ACTIONS(7581),
    [anon_sym_COMMA] = ACTIONS(7581),
    [anon_sym_EQ] = ACTIONS(7581),
    [anon_sym_LPAREN] = ACTIONS(7581),
    [anon_sym_RPAREN] = ACTIONS(7581),
    [anon_sym_BSLASHpart] = ACTIONS(7579),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHaddpart] = ACTIONS(7579),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHchapter] = ACTIONS(7579),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHaddchap] = ACTIONS(7579),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHsection] = ACTIONS(7579),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHaddsec] = ACTIONS(7579),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHsubsection] = ACTIONS(7579),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7579),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHparagraph] = ACTIONS(7579),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7579),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHitem] = ACTIONS(7579),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7581),
    [anon_sym_LBRACE] = ACTIONS(7581),
    [sym_word] = ACTIONS(7579),
    [sym_placeholder] = ACTIONS(7581),
    [sym_delimiter] = ACTIONS(7581),
    [anon_sym_PLUS] = ACTIONS(7581),
    [anon_sym_DASH] = ACTIONS(7581),
    [anon_sym_STAR] = ACTIONS(7581),
    [anon_sym_SLASH] = ACTIONS(7581),
    [anon_sym_LT] = ACTIONS(7579),
    [anon_sym_GT] = ACTIONS(7579),
    [anon_sym_BANG] = ACTIONS(7579),
    [anon_sym_PIPE] = ACTIONS(7579),
    [anon_sym_COLON] = ACTIONS(7579),
    [anon_sym_SQUOTE] = ACTIONS(7579),
    [anon_sym__] = ACTIONS(7581),
    [anon_sym_CARET] = ACTIONS(7581),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7581),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7581),
    [anon_sym_DOLLAR] = ACTIONS(7579),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7581),
    [anon_sym_BSLASHleft] = ACTIONS(7579),
    [anon_sym_BSLASHbigl] = ACTIONS(7579),
    [anon_sym_BSLASHBigl] = ACTIONS(7579),
    [anon_sym_BSLASHbiggl] = ACTIONS(7579),
    [anon_sym_BSLASHBiggl] = ACTIONS(7579),
    [anon_sym_BSLASHright] = ACTIONS(7579),
    [anon_sym_BSLASHbigr] = ACTIONS(7579),
    [anon_sym_BSLASHBigr] = ACTIONS(7579),
    [anon_sym_BSLASHbiggr] = ACTIONS(7579),
    [anon_sym_BSLASHBiggr] = ACTIONS(7579),
    [anon_sym_BSLASHtext] = ACTIONS(7579),
    [anon_sym_BSLASHintertext] = ACTIONS(7579),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7579),
    [anon_sym_BSLASHbegin] = ACTIONS(7579),
    [anon_sym_BSLASHtitle] = ACTIONS(7579),
    [anon_sym_BSLASHauthor] = ACTIONS(7579),
    [anon_sym_BSLASHusepackage] = ACTIONS(7579),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7579),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7579),
    [anon_sym_BSLASHinclude] = ACTIONS(7579),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7579),
    [anon_sym_BSLASHinput] = ACTIONS(7579),
    [anon_sym_BSLASHsubfile] = ACTIONS(7579),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7579),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7579),
    [anon_sym_BSLASHbibliography] = ACTIONS(7579),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7579),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7579),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7579),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7579),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7579),
    [anon_sym_BSLASHimport] = ACTIONS(7579),
    [anon_sym_BSLASHsubimport] = ACTIONS(7579),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7579),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7579),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7579),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7579),
    [anon_sym_BSLASHcaption] = ACTIONS(7579),
    [anon_sym_BSLASHcite] = ACTIONS(7579),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCite] = ACTIONS(7579),
    [anon_sym_BSLASHnocite] = ACTIONS(7579),
    [anon_sym_BSLASHcitet] = ACTIONS(7579),
    [anon_sym_BSLASHcitep] = ACTIONS(7579),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteA] = ACTIONS(7579),
    [anon_sym_BSLASHciteR] = ACTIONS(7579),
    [anon_sym_BSLASHciteS] = ACTIONS(7579),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7579),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7579),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7579),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7579),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteyear] = ACTIONS(7579),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitedate] = ACTIONS(7579),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteurl] = ACTIONS(7579),
    [anon_sym_BSLASHfullcite] = ACTIONS(7579),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7579),
    [anon_sym_BSLASHcitealt] = ACTIONS(7579),
    [anon_sym_BSLASHcitealp] = ACTIONS(7579),
    [anon_sym_BSLASHcitetext] = ACTIONS(7579),
    [anon_sym_BSLASHparencite] = ACTIONS(7579),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHParencite] = ACTIONS(7579),
    [anon_sym_BSLASHfootcite] = ACTIONS(7579),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7579),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7579),
    [anon_sym_BSLASHtextcite] = ACTIONS(7579),
    [anon_sym_BSLASHTextcite] = ACTIONS(7579),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7579),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7579),
    [anon_sym_BSLASHsupercite] = ACTIONS(7579),
    [anon_sym_BSLASHautocite] = ACTIONS(7579),
    [anon_sym_BSLASHAutocite] = ACTIONS(7579),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHVolcite] = ACTIONS(7579),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHavolcite] = ACTIONS(7579),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHNotecite] = ACTIONS(7579),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHlabel] = ACTIONS(7579),
    [anon_sym_BSLASHref] = ACTIONS(7579),
    [anon_sym_BSLASHeqref] = ACTIONS(7579),
    [anon_sym_BSLASHvref] = ACTIONS(7579),
    [anon_sym_BSLASHVref] = ACTIONS(7579),
    [anon_sym_BSLASHautoref] = ACTIONS(7579),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHpageref] = ACTIONS(7579),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHautopageref] = ACTIONS(7579),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcref] = ACTIONS(7579),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCref] = ACTIONS(7579),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcpageref] = ACTIONS(7579),
    [anon_sym_BSLASHCpageref] = ACTIONS(7579),
    [anon_sym_BSLASHnamecref] = ACTIONS(7579),
    [anon_sym_BSLASHnameCref] = ACTIONS(7579),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7579),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7579),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7579),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7579),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7579),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7579),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7579),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7579),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7579),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7579),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7579),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHdef] = ACTIONS(7579),
    [anon_sym_BSLASHgdef] = ACTIONS(7579),
    [anon_sym_BSLASHedef] = ACTIONS(7579),
    [anon_sym_BSLASHxdef] = ACTIONS(7579),
    [anon_sym_BSLASHlet] = ACTIONS(7579),
    [anon_sym_BSLASHglet] = ACTIONS(7579),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7579),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7579),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7579),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7579),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7579),
    [anon_sym_BSLASHgls] = ACTIONS(7579),
    [anon_sym_BSLASHGls] = ACTIONS(7579),
    [anon_sym_BSLASHGLS] = ACTIONS(7579),
    [anon_sym_BSLASHglspl] = ACTIONS(7579),
    [anon_sym_BSLASHGlspl] = ACTIONS(7579),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7579),
    [anon_sym_BSLASHglslink] = ACTIONS(7579),
    [anon_sym_BSLASHglstext] = ACTIONS(7579),
    [anon_sym_BSLASHGlstext] = ACTIONS(7579),
    [anon_sym_BSLASHGLStext] = ACTIONS(7579),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7579),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7579),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7579),
    [anon_sym_BSLASHglsplural] = ACTIONS(7579),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7579),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7579),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHglsname] = ACTIONS(7579),
    [anon_sym_BSLASHGlsname] = ACTIONS(7579),
    [anon_sym_BSLASHGLSname] = ACTIONS(7579),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7579),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7579),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7579),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7579),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7579),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7579),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7579),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7579),
    [anon_sym_BSLASHacrshort] = ACTIONS(7579),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7579),
    [anon_sym_BSLASHACRshort] = ACTIONS(7579),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHacrlong] = ACTIONS(7579),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7579),
    [anon_sym_BSLASHACRlong] = ACTIONS(7579),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHacrfull] = ACTIONS(7579),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7579),
    [anon_sym_BSLASHACRfull] = ACTIONS(7579),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHacs] = ACTIONS(7579),
    [anon_sym_BSLASHAcs] = ACTIONS(7579),
    [anon_sym_BSLASHacsp] = ACTIONS(7579),
    [anon_sym_BSLASHAcsp] = ACTIONS(7579),
    [anon_sym_BSLASHacl] = ACTIONS(7579),
    [anon_sym_BSLASHAcl] = ACTIONS(7579),
    [anon_sym_BSLASHaclp] = ACTIONS(7579),
    [anon_sym_BSLASHAclp] = ACTIONS(7579),
    [anon_sym_BSLASHacf] = ACTIONS(7579),
    [anon_sym_BSLASHAcf] = ACTIONS(7579),
    [anon_sym_BSLASHacfp] = ACTIONS(7579),
    [anon_sym_BSLASHAcfp] = ACTIONS(7579),
    [anon_sym_BSLASHac] = ACTIONS(7579),
    [anon_sym_BSLASHAc] = ACTIONS(7579),
    [anon_sym_BSLASHacp] = ACTIONS(7579),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7579),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7579),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7579),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7579),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7579),
    [anon_sym_BSLASHcolor] = ACTIONS(7579),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7579),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7579),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7579),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7579),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7579),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7579),
    [anon_sym_BSLASHurl] = ACTIONS(7579),
    [anon_sym_BSLASHhref] = ACTIONS(7579),
  },
  [723] = {
    [sym_command_name] = ACTIONS(7583),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7583),
    [anon_sym_LBRACK] = ACTIONS(7585),
    [anon_sym_RBRACK] = ACTIONS(7585),
    [anon_sym_COMMA] = ACTIONS(7585),
    [anon_sym_EQ] = ACTIONS(7585),
    [anon_sym_LPAREN] = ACTIONS(7585),
    [anon_sym_RPAREN] = ACTIONS(7585),
    [anon_sym_BSLASHpart] = ACTIONS(7583),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHaddpart] = ACTIONS(7583),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHchapter] = ACTIONS(7583),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHaddchap] = ACTIONS(7583),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHsection] = ACTIONS(7583),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHaddsec] = ACTIONS(7583),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHsubsection] = ACTIONS(7583),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7583),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHparagraph] = ACTIONS(7583),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7583),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHitem] = ACTIONS(7583),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7585),
    [anon_sym_LBRACE] = ACTIONS(7585),
    [sym_word] = ACTIONS(7583),
    [sym_placeholder] = ACTIONS(7585),
    [sym_delimiter] = ACTIONS(7585),
    [anon_sym_PLUS] = ACTIONS(7585),
    [anon_sym_DASH] = ACTIONS(7585),
    [anon_sym_STAR] = ACTIONS(7585),
    [anon_sym_SLASH] = ACTIONS(7585),
    [anon_sym_LT] = ACTIONS(7583),
    [anon_sym_GT] = ACTIONS(7583),
    [anon_sym_BANG] = ACTIONS(7583),
    [anon_sym_PIPE] = ACTIONS(7583),
    [anon_sym_COLON] = ACTIONS(7583),
    [anon_sym_SQUOTE] = ACTIONS(7583),
    [anon_sym__] = ACTIONS(7585),
    [anon_sym_CARET] = ACTIONS(7585),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7585),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7585),
    [anon_sym_DOLLAR] = ACTIONS(7583),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7585),
    [anon_sym_BSLASHleft] = ACTIONS(7583),
    [anon_sym_BSLASHbigl] = ACTIONS(7583),
    [anon_sym_BSLASHBigl] = ACTIONS(7583),
    [anon_sym_BSLASHbiggl] = ACTIONS(7583),
    [anon_sym_BSLASHBiggl] = ACTIONS(7583),
    [anon_sym_BSLASHright] = ACTIONS(7583),
    [anon_sym_BSLASHbigr] = ACTIONS(7583),
    [anon_sym_BSLASHBigr] = ACTIONS(7583),
    [anon_sym_BSLASHbiggr] = ACTIONS(7583),
    [anon_sym_BSLASHBiggr] = ACTIONS(7583),
    [anon_sym_BSLASHtext] = ACTIONS(7583),
    [anon_sym_BSLASHintertext] = ACTIONS(7583),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7583),
    [anon_sym_BSLASHbegin] = ACTIONS(7583),
    [anon_sym_BSLASHtitle] = ACTIONS(7583),
    [anon_sym_BSLASHauthor] = ACTIONS(7583),
    [anon_sym_BSLASHusepackage] = ACTIONS(7583),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7583),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7583),
    [anon_sym_BSLASHinclude] = ACTIONS(7583),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7583),
    [anon_sym_BSLASHinput] = ACTIONS(7583),
    [anon_sym_BSLASHsubfile] = ACTIONS(7583),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7583),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7583),
    [anon_sym_BSLASHbibliography] = ACTIONS(7583),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7583),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7583),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7583),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7583),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7583),
    [anon_sym_BSLASHimport] = ACTIONS(7583),
    [anon_sym_BSLASHsubimport] = ACTIONS(7583),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7583),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7583),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7583),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7583),
    [anon_sym_BSLASHcaption] = ACTIONS(7583),
    [anon_sym_BSLASHcite] = ACTIONS(7583),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCite] = ACTIONS(7583),
    [anon_sym_BSLASHnocite] = ACTIONS(7583),
    [anon_sym_BSLASHcitet] = ACTIONS(7583),
    [anon_sym_BSLASHcitep] = ACTIONS(7583),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteA] = ACTIONS(7583),
    [anon_sym_BSLASHciteR] = ACTIONS(7583),
    [anon_sym_BSLASHciteS] = ACTIONS(7583),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7583),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7583),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7583),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7583),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteyear] = ACTIONS(7583),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitedate] = ACTIONS(7583),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteurl] = ACTIONS(7583),
    [anon_sym_BSLASHfullcite] = ACTIONS(7583),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7583),
    [anon_sym_BSLASHcitealt] = ACTIONS(7583),
    [anon_sym_BSLASHcitealp] = ACTIONS(7583),
    [anon_sym_BSLASHcitetext] = ACTIONS(7583),
    [anon_sym_BSLASHparencite] = ACTIONS(7583),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHParencite] = ACTIONS(7583),
    [anon_sym_BSLASHfootcite] = ACTIONS(7583),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7583),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7583),
    [anon_sym_BSLASHtextcite] = ACTIONS(7583),
    [anon_sym_BSLASHTextcite] = ACTIONS(7583),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7583),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7583),
    [anon_sym_BSLASHsupercite] = ACTIONS(7583),
    [anon_sym_BSLASHautocite] = ACTIONS(7583),
    [anon_sym_BSLASHAutocite] = ACTIONS(7583),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHVolcite] = ACTIONS(7583),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHavolcite] = ACTIONS(7583),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHNotecite] = ACTIONS(7583),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHlabel] = ACTIONS(7583),
    [anon_sym_BSLASHref] = ACTIONS(7583),
    [anon_sym_BSLASHeqref] = ACTIONS(7583),
    [anon_sym_BSLASHvref] = ACTIONS(7583),
    [anon_sym_BSLASHVref] = ACTIONS(7583),
    [anon_sym_BSLASHautoref] = ACTIONS(7583),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHpageref] = ACTIONS(7583),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHautopageref] = ACTIONS(7583),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcref] = ACTIONS(7583),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCref] = ACTIONS(7583),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcpageref] = ACTIONS(7583),
    [anon_sym_BSLASHCpageref] = ACTIONS(7583),
    [anon_sym_BSLASHnamecref] = ACTIONS(7583),
    [anon_sym_BSLASHnameCref] = ACTIONS(7583),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7583),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7583),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7583),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7583),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7583),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7583),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7583),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7583),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7583),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7583),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7583),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHdef] = ACTIONS(7583),
    [anon_sym_BSLASHgdef] = ACTIONS(7583),
    [anon_sym_BSLASHedef] = ACTIONS(7583),
    [anon_sym_BSLASHxdef] = ACTIONS(7583),
    [anon_sym_BSLASHlet] = ACTIONS(7583),
    [anon_sym_BSLASHglet] = ACTIONS(7583),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7583),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7583),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7583),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7583),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7583),
    [anon_sym_BSLASHgls] = ACTIONS(7583),
    [anon_sym_BSLASHGls] = ACTIONS(7583),
    [anon_sym_BSLASHGLS] = ACTIONS(7583),
    [anon_sym_BSLASHglspl] = ACTIONS(7583),
    [anon_sym_BSLASHGlspl] = ACTIONS(7583),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7583),
    [anon_sym_BSLASHglslink] = ACTIONS(7583),
    [anon_sym_BSLASHglstext] = ACTIONS(7583),
    [anon_sym_BSLASHGlstext] = ACTIONS(7583),
    [anon_sym_BSLASHGLStext] = ACTIONS(7583),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7583),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7583),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7583),
    [anon_sym_BSLASHglsplural] = ACTIONS(7583),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7583),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7583),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHglsname] = ACTIONS(7583),
    [anon_sym_BSLASHGlsname] = ACTIONS(7583),
    [anon_sym_BSLASHGLSname] = ACTIONS(7583),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7583),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7583),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7583),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7583),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7583),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7583),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7583),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7583),
    [anon_sym_BSLASHacrshort] = ACTIONS(7583),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7583),
    [anon_sym_BSLASHACRshort] = ACTIONS(7583),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHacrlong] = ACTIONS(7583),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7583),
    [anon_sym_BSLASHACRlong] = ACTIONS(7583),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHacrfull] = ACTIONS(7583),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7583),
    [anon_sym_BSLASHACRfull] = ACTIONS(7583),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHacs] = ACTIONS(7583),
    [anon_sym_BSLASHAcs] = ACTIONS(7583),
    [anon_sym_BSLASHacsp] = ACTIONS(7583),
    [anon_sym_BSLASHAcsp] = ACTIONS(7583),
    [anon_sym_BSLASHacl] = ACTIONS(7583),
    [anon_sym_BSLASHAcl] = ACTIONS(7583),
    [anon_sym_BSLASHaclp] = ACTIONS(7583),
    [anon_sym_BSLASHAclp] = ACTIONS(7583),
    [anon_sym_BSLASHacf] = ACTIONS(7583),
    [anon_sym_BSLASHAcf] = ACTIONS(7583),
    [anon_sym_BSLASHacfp] = ACTIONS(7583),
    [anon_sym_BSLASHAcfp] = ACTIONS(7583),
    [anon_sym_BSLASHac] = ACTIONS(7583),
    [anon_sym_BSLASHAc] = ACTIONS(7583),
    [anon_sym_BSLASHacp] = ACTIONS(7583),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7583),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7583),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7583),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7583),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7583),
    [anon_sym_BSLASHcolor] = ACTIONS(7583),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7583),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7583),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7583),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7583),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7583),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7583),
    [anon_sym_BSLASHurl] = ACTIONS(7583),
    [anon_sym_BSLASHhref] = ACTIONS(7583),
  },
  [724] = {
    [sym_command_name] = ACTIONS(7587),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7587),
    [anon_sym_LBRACK] = ACTIONS(7589),
    [anon_sym_RBRACK] = ACTIONS(7589),
    [anon_sym_COMMA] = ACTIONS(7589),
    [anon_sym_EQ] = ACTIONS(7589),
    [anon_sym_LPAREN] = ACTIONS(7589),
    [anon_sym_RPAREN] = ACTIONS(7589),
    [anon_sym_BSLASHpart] = ACTIONS(7587),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHaddpart] = ACTIONS(7587),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHchapter] = ACTIONS(7587),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHaddchap] = ACTIONS(7587),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHsection] = ACTIONS(7587),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHaddsec] = ACTIONS(7587),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHsubsection] = ACTIONS(7587),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7587),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHparagraph] = ACTIONS(7587),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7587),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHitem] = ACTIONS(7587),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7589),
    [anon_sym_LBRACE] = ACTIONS(7589),
    [sym_word] = ACTIONS(7587),
    [sym_placeholder] = ACTIONS(7589),
    [sym_delimiter] = ACTIONS(7589),
    [anon_sym_PLUS] = ACTIONS(7589),
    [anon_sym_DASH] = ACTIONS(7589),
    [anon_sym_STAR] = ACTIONS(7589),
    [anon_sym_SLASH] = ACTIONS(7589),
    [anon_sym_LT] = ACTIONS(7587),
    [anon_sym_GT] = ACTIONS(7587),
    [anon_sym_BANG] = ACTIONS(7587),
    [anon_sym_PIPE] = ACTIONS(7587),
    [anon_sym_COLON] = ACTIONS(7587),
    [anon_sym_SQUOTE] = ACTIONS(7587),
    [anon_sym__] = ACTIONS(7589),
    [anon_sym_CARET] = ACTIONS(7589),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7589),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7589),
    [anon_sym_DOLLAR] = ACTIONS(7587),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7589),
    [anon_sym_BSLASHleft] = ACTIONS(7587),
    [anon_sym_BSLASHbigl] = ACTIONS(7587),
    [anon_sym_BSLASHBigl] = ACTIONS(7587),
    [anon_sym_BSLASHbiggl] = ACTIONS(7587),
    [anon_sym_BSLASHBiggl] = ACTIONS(7587),
    [anon_sym_BSLASHright] = ACTIONS(7587),
    [anon_sym_BSLASHbigr] = ACTIONS(7587),
    [anon_sym_BSLASHBigr] = ACTIONS(7587),
    [anon_sym_BSLASHbiggr] = ACTIONS(7587),
    [anon_sym_BSLASHBiggr] = ACTIONS(7587),
    [anon_sym_BSLASHtext] = ACTIONS(7587),
    [anon_sym_BSLASHintertext] = ACTIONS(7587),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7587),
    [anon_sym_BSLASHbegin] = ACTIONS(7587),
    [anon_sym_BSLASHtitle] = ACTIONS(7587),
    [anon_sym_BSLASHauthor] = ACTIONS(7587),
    [anon_sym_BSLASHusepackage] = ACTIONS(7587),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7587),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7587),
    [anon_sym_BSLASHinclude] = ACTIONS(7587),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7587),
    [anon_sym_BSLASHinput] = ACTIONS(7587),
    [anon_sym_BSLASHsubfile] = ACTIONS(7587),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7587),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7587),
    [anon_sym_BSLASHbibliography] = ACTIONS(7587),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7587),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7587),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7587),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7587),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7587),
    [anon_sym_BSLASHimport] = ACTIONS(7587),
    [anon_sym_BSLASHsubimport] = ACTIONS(7587),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7587),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7587),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7587),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7587),
    [anon_sym_BSLASHcaption] = ACTIONS(7587),
    [anon_sym_BSLASHcite] = ACTIONS(7587),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCite] = ACTIONS(7587),
    [anon_sym_BSLASHnocite] = ACTIONS(7587),
    [anon_sym_BSLASHcitet] = ACTIONS(7587),
    [anon_sym_BSLASHcitep] = ACTIONS(7587),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteA] = ACTIONS(7587),
    [anon_sym_BSLASHciteR] = ACTIONS(7587),
    [anon_sym_BSLASHciteS] = ACTIONS(7587),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7587),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7587),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7587),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7587),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteyear] = ACTIONS(7587),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitedate] = ACTIONS(7587),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteurl] = ACTIONS(7587),
    [anon_sym_BSLASHfullcite] = ACTIONS(7587),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7587),
    [anon_sym_BSLASHcitealt] = ACTIONS(7587),
    [anon_sym_BSLASHcitealp] = ACTIONS(7587),
    [anon_sym_BSLASHcitetext] = ACTIONS(7587),
    [anon_sym_BSLASHparencite] = ACTIONS(7587),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHParencite] = ACTIONS(7587),
    [anon_sym_BSLASHfootcite] = ACTIONS(7587),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7587),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7587),
    [anon_sym_BSLASHtextcite] = ACTIONS(7587),
    [anon_sym_BSLASHTextcite] = ACTIONS(7587),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7587),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7587),
    [anon_sym_BSLASHsupercite] = ACTIONS(7587),
    [anon_sym_BSLASHautocite] = ACTIONS(7587),
    [anon_sym_BSLASHAutocite] = ACTIONS(7587),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHVolcite] = ACTIONS(7587),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHavolcite] = ACTIONS(7587),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHNotecite] = ACTIONS(7587),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHlabel] = ACTIONS(7587),
    [anon_sym_BSLASHref] = ACTIONS(7587),
    [anon_sym_BSLASHeqref] = ACTIONS(7587),
    [anon_sym_BSLASHvref] = ACTIONS(7587),
    [anon_sym_BSLASHVref] = ACTIONS(7587),
    [anon_sym_BSLASHautoref] = ACTIONS(7587),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHpageref] = ACTIONS(7587),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHautopageref] = ACTIONS(7587),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcref] = ACTIONS(7587),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCref] = ACTIONS(7587),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcpageref] = ACTIONS(7587),
    [anon_sym_BSLASHCpageref] = ACTIONS(7587),
    [anon_sym_BSLASHnamecref] = ACTIONS(7587),
    [anon_sym_BSLASHnameCref] = ACTIONS(7587),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7587),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7587),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7587),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7587),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7587),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7587),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7587),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7587),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7587),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7587),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7587),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHdef] = ACTIONS(7587),
    [anon_sym_BSLASHgdef] = ACTIONS(7587),
    [anon_sym_BSLASHedef] = ACTIONS(7587),
    [anon_sym_BSLASHxdef] = ACTIONS(7587),
    [anon_sym_BSLASHlet] = ACTIONS(7587),
    [anon_sym_BSLASHglet] = ACTIONS(7587),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7587),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7587),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7587),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7587),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7587),
    [anon_sym_BSLASHgls] = ACTIONS(7587),
    [anon_sym_BSLASHGls] = ACTIONS(7587),
    [anon_sym_BSLASHGLS] = ACTIONS(7587),
    [anon_sym_BSLASHglspl] = ACTIONS(7587),
    [anon_sym_BSLASHGlspl] = ACTIONS(7587),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7587),
    [anon_sym_BSLASHglslink] = ACTIONS(7587),
    [anon_sym_BSLASHglstext] = ACTIONS(7587),
    [anon_sym_BSLASHGlstext] = ACTIONS(7587),
    [anon_sym_BSLASHGLStext] = ACTIONS(7587),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7587),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7587),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7587),
    [anon_sym_BSLASHglsplural] = ACTIONS(7587),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7587),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7587),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHglsname] = ACTIONS(7587),
    [anon_sym_BSLASHGlsname] = ACTIONS(7587),
    [anon_sym_BSLASHGLSname] = ACTIONS(7587),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7587),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7587),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7587),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7587),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7587),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7587),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7587),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7587),
    [anon_sym_BSLASHacrshort] = ACTIONS(7587),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7587),
    [anon_sym_BSLASHACRshort] = ACTIONS(7587),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHacrlong] = ACTIONS(7587),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7587),
    [anon_sym_BSLASHACRlong] = ACTIONS(7587),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHacrfull] = ACTIONS(7587),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7587),
    [anon_sym_BSLASHACRfull] = ACTIONS(7587),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHacs] = ACTIONS(7587),
    [anon_sym_BSLASHAcs] = ACTIONS(7587),
    [anon_sym_BSLASHacsp] = ACTIONS(7587),
    [anon_sym_BSLASHAcsp] = ACTIONS(7587),
    [anon_sym_BSLASHacl] = ACTIONS(7587),
    [anon_sym_BSLASHAcl] = ACTIONS(7587),
    [anon_sym_BSLASHaclp] = ACTIONS(7587),
    [anon_sym_BSLASHAclp] = ACTIONS(7587),
    [anon_sym_BSLASHacf] = ACTIONS(7587),
    [anon_sym_BSLASHAcf] = ACTIONS(7587),
    [anon_sym_BSLASHacfp] = ACTIONS(7587),
    [anon_sym_BSLASHAcfp] = ACTIONS(7587),
    [anon_sym_BSLASHac] = ACTIONS(7587),
    [anon_sym_BSLASHAc] = ACTIONS(7587),
    [anon_sym_BSLASHacp] = ACTIONS(7587),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7587),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7587),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7587),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7587),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7587),
    [anon_sym_BSLASHcolor] = ACTIONS(7587),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7587),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7587),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7587),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7587),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7587),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7587),
    [anon_sym_BSLASHurl] = ACTIONS(7587),
    [anon_sym_BSLASHhref] = ACTIONS(7587),
  },
  [725] = {
    [sym_command_name] = ACTIONS(7591),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7591),
    [anon_sym_LBRACK] = ACTIONS(7593),
    [anon_sym_RBRACK] = ACTIONS(7593),
    [anon_sym_COMMA] = ACTIONS(7593),
    [anon_sym_EQ] = ACTIONS(7593),
    [anon_sym_LPAREN] = ACTIONS(7593),
    [anon_sym_RPAREN] = ACTIONS(7593),
    [anon_sym_BSLASHpart] = ACTIONS(7591),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHaddpart] = ACTIONS(7591),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHchapter] = ACTIONS(7591),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHaddchap] = ACTIONS(7591),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHsection] = ACTIONS(7591),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHaddsec] = ACTIONS(7591),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHsubsection] = ACTIONS(7591),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7591),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHparagraph] = ACTIONS(7591),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7591),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHitem] = ACTIONS(7591),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7593),
    [anon_sym_LBRACE] = ACTIONS(7593),
    [sym_word] = ACTIONS(7591),
    [sym_placeholder] = ACTIONS(7593),
    [sym_delimiter] = ACTIONS(7593),
    [anon_sym_PLUS] = ACTIONS(7593),
    [anon_sym_DASH] = ACTIONS(7593),
    [anon_sym_STAR] = ACTIONS(7593),
    [anon_sym_SLASH] = ACTIONS(7593),
    [anon_sym_LT] = ACTIONS(7591),
    [anon_sym_GT] = ACTIONS(7591),
    [anon_sym_BANG] = ACTIONS(7591),
    [anon_sym_PIPE] = ACTIONS(7591),
    [anon_sym_COLON] = ACTIONS(7591),
    [anon_sym_SQUOTE] = ACTIONS(7591),
    [anon_sym__] = ACTIONS(7593),
    [anon_sym_CARET] = ACTIONS(7593),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7593),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7593),
    [anon_sym_DOLLAR] = ACTIONS(7591),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7593),
    [anon_sym_BSLASHleft] = ACTIONS(7591),
    [anon_sym_BSLASHbigl] = ACTIONS(7591),
    [anon_sym_BSLASHBigl] = ACTIONS(7591),
    [anon_sym_BSLASHbiggl] = ACTIONS(7591),
    [anon_sym_BSLASHBiggl] = ACTIONS(7591),
    [anon_sym_BSLASHright] = ACTIONS(7591),
    [anon_sym_BSLASHbigr] = ACTIONS(7591),
    [anon_sym_BSLASHBigr] = ACTIONS(7591),
    [anon_sym_BSLASHbiggr] = ACTIONS(7591),
    [anon_sym_BSLASHBiggr] = ACTIONS(7591),
    [anon_sym_BSLASHtext] = ACTIONS(7591),
    [anon_sym_BSLASHintertext] = ACTIONS(7591),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7591),
    [anon_sym_BSLASHbegin] = ACTIONS(7591),
    [anon_sym_BSLASHtitle] = ACTIONS(7591),
    [anon_sym_BSLASHauthor] = ACTIONS(7591),
    [anon_sym_BSLASHusepackage] = ACTIONS(7591),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7591),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7591),
    [anon_sym_BSLASHinclude] = ACTIONS(7591),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7591),
    [anon_sym_BSLASHinput] = ACTIONS(7591),
    [anon_sym_BSLASHsubfile] = ACTIONS(7591),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7591),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7591),
    [anon_sym_BSLASHbibliography] = ACTIONS(7591),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7591),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7591),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7591),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7591),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7591),
    [anon_sym_BSLASHimport] = ACTIONS(7591),
    [anon_sym_BSLASHsubimport] = ACTIONS(7591),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7591),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7591),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7591),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7591),
    [anon_sym_BSLASHcaption] = ACTIONS(7591),
    [anon_sym_BSLASHcite] = ACTIONS(7591),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCite] = ACTIONS(7591),
    [anon_sym_BSLASHnocite] = ACTIONS(7591),
    [anon_sym_BSLASHcitet] = ACTIONS(7591),
    [anon_sym_BSLASHcitep] = ACTIONS(7591),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteA] = ACTIONS(7591),
    [anon_sym_BSLASHciteR] = ACTIONS(7591),
    [anon_sym_BSLASHciteS] = ACTIONS(7591),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7591),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7591),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7591),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7591),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteyear] = ACTIONS(7591),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitedate] = ACTIONS(7591),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteurl] = ACTIONS(7591),
    [anon_sym_BSLASHfullcite] = ACTIONS(7591),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7591),
    [anon_sym_BSLASHcitealt] = ACTIONS(7591),
    [anon_sym_BSLASHcitealp] = ACTIONS(7591),
    [anon_sym_BSLASHcitetext] = ACTIONS(7591),
    [anon_sym_BSLASHparencite] = ACTIONS(7591),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHParencite] = ACTIONS(7591),
    [anon_sym_BSLASHfootcite] = ACTIONS(7591),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7591),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7591),
    [anon_sym_BSLASHtextcite] = ACTIONS(7591),
    [anon_sym_BSLASHTextcite] = ACTIONS(7591),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7591),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7591),
    [anon_sym_BSLASHsupercite] = ACTIONS(7591),
    [anon_sym_BSLASHautocite] = ACTIONS(7591),
    [anon_sym_BSLASHAutocite] = ACTIONS(7591),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHVolcite] = ACTIONS(7591),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHavolcite] = ACTIONS(7591),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHNotecite] = ACTIONS(7591),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHlabel] = ACTIONS(7591),
    [anon_sym_BSLASHref] = ACTIONS(7591),
    [anon_sym_BSLASHeqref] = ACTIONS(7591),
    [anon_sym_BSLASHvref] = ACTIONS(7591),
    [anon_sym_BSLASHVref] = ACTIONS(7591),
    [anon_sym_BSLASHautoref] = ACTIONS(7591),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHpageref] = ACTIONS(7591),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHautopageref] = ACTIONS(7591),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcref] = ACTIONS(7591),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCref] = ACTIONS(7591),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcpageref] = ACTIONS(7591),
    [anon_sym_BSLASHCpageref] = ACTIONS(7591),
    [anon_sym_BSLASHnamecref] = ACTIONS(7591),
    [anon_sym_BSLASHnameCref] = ACTIONS(7591),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7591),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7591),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7591),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7591),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7591),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7591),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7591),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7591),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7591),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7591),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7591),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHdef] = ACTIONS(7591),
    [anon_sym_BSLASHgdef] = ACTIONS(7591),
    [anon_sym_BSLASHedef] = ACTIONS(7591),
    [anon_sym_BSLASHxdef] = ACTIONS(7591),
    [anon_sym_BSLASHlet] = ACTIONS(7591),
    [anon_sym_BSLASHglet] = ACTIONS(7591),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7591),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7591),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7591),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7591),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7591),
    [anon_sym_BSLASHgls] = ACTIONS(7591),
    [anon_sym_BSLASHGls] = ACTIONS(7591),
    [anon_sym_BSLASHGLS] = ACTIONS(7591),
    [anon_sym_BSLASHglspl] = ACTIONS(7591),
    [anon_sym_BSLASHGlspl] = ACTIONS(7591),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7591),
    [anon_sym_BSLASHglslink] = ACTIONS(7591),
    [anon_sym_BSLASHglstext] = ACTIONS(7591),
    [anon_sym_BSLASHGlstext] = ACTIONS(7591),
    [anon_sym_BSLASHGLStext] = ACTIONS(7591),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7591),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7591),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7591),
    [anon_sym_BSLASHglsplural] = ACTIONS(7591),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7591),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7591),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHglsname] = ACTIONS(7591),
    [anon_sym_BSLASHGlsname] = ACTIONS(7591),
    [anon_sym_BSLASHGLSname] = ACTIONS(7591),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7591),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7591),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7591),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7591),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7591),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7591),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7591),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7591),
    [anon_sym_BSLASHacrshort] = ACTIONS(7591),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7591),
    [anon_sym_BSLASHACRshort] = ACTIONS(7591),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHacrlong] = ACTIONS(7591),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7591),
    [anon_sym_BSLASHACRlong] = ACTIONS(7591),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHacrfull] = ACTIONS(7591),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7591),
    [anon_sym_BSLASHACRfull] = ACTIONS(7591),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHacs] = ACTIONS(7591),
    [anon_sym_BSLASHAcs] = ACTIONS(7591),
    [anon_sym_BSLASHacsp] = ACTIONS(7591),
    [anon_sym_BSLASHAcsp] = ACTIONS(7591),
    [anon_sym_BSLASHacl] = ACTIONS(7591),
    [anon_sym_BSLASHAcl] = ACTIONS(7591),
    [anon_sym_BSLASHaclp] = ACTIONS(7591),
    [anon_sym_BSLASHAclp] = ACTIONS(7591),
    [anon_sym_BSLASHacf] = ACTIONS(7591),
    [anon_sym_BSLASHAcf] = ACTIONS(7591),
    [anon_sym_BSLASHacfp] = ACTIONS(7591),
    [anon_sym_BSLASHAcfp] = ACTIONS(7591),
    [anon_sym_BSLASHac] = ACTIONS(7591),
    [anon_sym_BSLASHAc] = ACTIONS(7591),
    [anon_sym_BSLASHacp] = ACTIONS(7591),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7591),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7591),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7591),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7591),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7591),
    [anon_sym_BSLASHcolor] = ACTIONS(7591),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7591),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7591),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7591),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7591),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7591),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7591),
    [anon_sym_BSLASHurl] = ACTIONS(7591),
    [anon_sym_BSLASHhref] = ACTIONS(7591),
  },
  [726] = {
    [sym_command_name] = ACTIONS(7595),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7595),
    [anon_sym_LBRACK] = ACTIONS(7597),
    [anon_sym_RBRACK] = ACTIONS(7597),
    [anon_sym_COMMA] = ACTIONS(7597),
    [anon_sym_EQ] = ACTIONS(7597),
    [anon_sym_LPAREN] = ACTIONS(7597),
    [anon_sym_RPAREN] = ACTIONS(7597),
    [anon_sym_BSLASHpart] = ACTIONS(7595),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHaddpart] = ACTIONS(7595),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHchapter] = ACTIONS(7595),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHaddchap] = ACTIONS(7595),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHsection] = ACTIONS(7595),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHaddsec] = ACTIONS(7595),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHsubsection] = ACTIONS(7595),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7595),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHparagraph] = ACTIONS(7595),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7595),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHitem] = ACTIONS(7595),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7597),
    [anon_sym_LBRACE] = ACTIONS(7597),
    [sym_word] = ACTIONS(7595),
    [sym_placeholder] = ACTIONS(7597),
    [sym_delimiter] = ACTIONS(7597),
    [anon_sym_PLUS] = ACTIONS(7597),
    [anon_sym_DASH] = ACTIONS(7597),
    [anon_sym_STAR] = ACTIONS(7597),
    [anon_sym_SLASH] = ACTIONS(7597),
    [anon_sym_LT] = ACTIONS(7595),
    [anon_sym_GT] = ACTIONS(7595),
    [anon_sym_BANG] = ACTIONS(7595),
    [anon_sym_PIPE] = ACTIONS(7595),
    [anon_sym_COLON] = ACTIONS(7595),
    [anon_sym_SQUOTE] = ACTIONS(7595),
    [anon_sym__] = ACTIONS(7597),
    [anon_sym_CARET] = ACTIONS(7597),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7597),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7597),
    [anon_sym_DOLLAR] = ACTIONS(7595),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7597),
    [anon_sym_BSLASHleft] = ACTIONS(7595),
    [anon_sym_BSLASHbigl] = ACTIONS(7595),
    [anon_sym_BSLASHBigl] = ACTIONS(7595),
    [anon_sym_BSLASHbiggl] = ACTIONS(7595),
    [anon_sym_BSLASHBiggl] = ACTIONS(7595),
    [anon_sym_BSLASHright] = ACTIONS(7595),
    [anon_sym_BSLASHbigr] = ACTIONS(7595),
    [anon_sym_BSLASHBigr] = ACTIONS(7595),
    [anon_sym_BSLASHbiggr] = ACTIONS(7595),
    [anon_sym_BSLASHBiggr] = ACTIONS(7595),
    [anon_sym_BSLASHtext] = ACTIONS(7595),
    [anon_sym_BSLASHintertext] = ACTIONS(7595),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7595),
    [anon_sym_BSLASHbegin] = ACTIONS(7595),
    [anon_sym_BSLASHtitle] = ACTIONS(7595),
    [anon_sym_BSLASHauthor] = ACTIONS(7595),
    [anon_sym_BSLASHusepackage] = ACTIONS(7595),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7595),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7595),
    [anon_sym_BSLASHinclude] = ACTIONS(7595),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7595),
    [anon_sym_BSLASHinput] = ACTIONS(7595),
    [anon_sym_BSLASHsubfile] = ACTIONS(7595),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7595),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7595),
    [anon_sym_BSLASHbibliography] = ACTIONS(7595),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7595),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7595),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7595),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7595),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7595),
    [anon_sym_BSLASHimport] = ACTIONS(7595),
    [anon_sym_BSLASHsubimport] = ACTIONS(7595),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7595),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7595),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7595),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7595),
    [anon_sym_BSLASHcaption] = ACTIONS(7595),
    [anon_sym_BSLASHcite] = ACTIONS(7595),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCite] = ACTIONS(7595),
    [anon_sym_BSLASHnocite] = ACTIONS(7595),
    [anon_sym_BSLASHcitet] = ACTIONS(7595),
    [anon_sym_BSLASHcitep] = ACTIONS(7595),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteA] = ACTIONS(7595),
    [anon_sym_BSLASHciteR] = ACTIONS(7595),
    [anon_sym_BSLASHciteS] = ACTIONS(7595),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7595),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7595),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7595),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7595),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteyear] = ACTIONS(7595),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitedate] = ACTIONS(7595),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteurl] = ACTIONS(7595),
    [anon_sym_BSLASHfullcite] = ACTIONS(7595),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7595),
    [anon_sym_BSLASHcitealt] = ACTIONS(7595),
    [anon_sym_BSLASHcitealp] = ACTIONS(7595),
    [anon_sym_BSLASHcitetext] = ACTIONS(7595),
    [anon_sym_BSLASHparencite] = ACTIONS(7595),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHParencite] = ACTIONS(7595),
    [anon_sym_BSLASHfootcite] = ACTIONS(7595),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7595),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7595),
    [anon_sym_BSLASHtextcite] = ACTIONS(7595),
    [anon_sym_BSLASHTextcite] = ACTIONS(7595),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7595),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7595),
    [anon_sym_BSLASHsupercite] = ACTIONS(7595),
    [anon_sym_BSLASHautocite] = ACTIONS(7595),
    [anon_sym_BSLASHAutocite] = ACTIONS(7595),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHVolcite] = ACTIONS(7595),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHavolcite] = ACTIONS(7595),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHNotecite] = ACTIONS(7595),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHlabel] = ACTIONS(7595),
    [anon_sym_BSLASHref] = ACTIONS(7595),
    [anon_sym_BSLASHeqref] = ACTIONS(7595),
    [anon_sym_BSLASHvref] = ACTIONS(7595),
    [anon_sym_BSLASHVref] = ACTIONS(7595),
    [anon_sym_BSLASHautoref] = ACTIONS(7595),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHpageref] = ACTIONS(7595),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHautopageref] = ACTIONS(7595),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcref] = ACTIONS(7595),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCref] = ACTIONS(7595),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcpageref] = ACTIONS(7595),
    [anon_sym_BSLASHCpageref] = ACTIONS(7595),
    [anon_sym_BSLASHnamecref] = ACTIONS(7595),
    [anon_sym_BSLASHnameCref] = ACTIONS(7595),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7595),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7595),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7595),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7595),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7595),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7595),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7595),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7595),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7595),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7595),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7595),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHdef] = ACTIONS(7595),
    [anon_sym_BSLASHgdef] = ACTIONS(7595),
    [anon_sym_BSLASHedef] = ACTIONS(7595),
    [anon_sym_BSLASHxdef] = ACTIONS(7595),
    [anon_sym_BSLASHlet] = ACTIONS(7595),
    [anon_sym_BSLASHglet] = ACTIONS(7595),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7595),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7595),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7595),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7595),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7595),
    [anon_sym_BSLASHgls] = ACTIONS(7595),
    [anon_sym_BSLASHGls] = ACTIONS(7595),
    [anon_sym_BSLASHGLS] = ACTIONS(7595),
    [anon_sym_BSLASHglspl] = ACTIONS(7595),
    [anon_sym_BSLASHGlspl] = ACTIONS(7595),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7595),
    [anon_sym_BSLASHglslink] = ACTIONS(7595),
    [anon_sym_BSLASHglstext] = ACTIONS(7595),
    [anon_sym_BSLASHGlstext] = ACTIONS(7595),
    [anon_sym_BSLASHGLStext] = ACTIONS(7595),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7595),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7595),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7595),
    [anon_sym_BSLASHglsplural] = ACTIONS(7595),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7595),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7595),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHglsname] = ACTIONS(7595),
    [anon_sym_BSLASHGlsname] = ACTIONS(7595),
    [anon_sym_BSLASHGLSname] = ACTIONS(7595),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7595),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7595),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7595),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7595),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7595),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7595),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7595),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7595),
    [anon_sym_BSLASHacrshort] = ACTIONS(7595),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7595),
    [anon_sym_BSLASHACRshort] = ACTIONS(7595),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHacrlong] = ACTIONS(7595),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7595),
    [anon_sym_BSLASHACRlong] = ACTIONS(7595),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHacrfull] = ACTIONS(7595),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7595),
    [anon_sym_BSLASHACRfull] = ACTIONS(7595),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHacs] = ACTIONS(7595),
    [anon_sym_BSLASHAcs] = ACTIONS(7595),
    [anon_sym_BSLASHacsp] = ACTIONS(7595),
    [anon_sym_BSLASHAcsp] = ACTIONS(7595),
    [anon_sym_BSLASHacl] = ACTIONS(7595),
    [anon_sym_BSLASHAcl] = ACTIONS(7595),
    [anon_sym_BSLASHaclp] = ACTIONS(7595),
    [anon_sym_BSLASHAclp] = ACTIONS(7595),
    [anon_sym_BSLASHacf] = ACTIONS(7595),
    [anon_sym_BSLASHAcf] = ACTIONS(7595),
    [anon_sym_BSLASHacfp] = ACTIONS(7595),
    [anon_sym_BSLASHAcfp] = ACTIONS(7595),
    [anon_sym_BSLASHac] = ACTIONS(7595),
    [anon_sym_BSLASHAc] = ACTIONS(7595),
    [anon_sym_BSLASHacp] = ACTIONS(7595),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7595),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7595),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7595),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7595),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7595),
    [anon_sym_BSLASHcolor] = ACTIONS(7595),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7595),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7595),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7595),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7595),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7595),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7595),
    [anon_sym_BSLASHurl] = ACTIONS(7595),
    [anon_sym_BSLASHhref] = ACTIONS(7595),
  },
  [727] = {
    [sym_command_name] = ACTIONS(7599),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7599),
    [anon_sym_LBRACK] = ACTIONS(7601),
    [anon_sym_RBRACK] = ACTIONS(7601),
    [anon_sym_COMMA] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(7601),
    [anon_sym_LPAREN] = ACTIONS(7601),
    [anon_sym_RPAREN] = ACTIONS(7601),
    [anon_sym_BSLASHpart] = ACTIONS(7599),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHaddpart] = ACTIONS(7599),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHchapter] = ACTIONS(7599),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHaddchap] = ACTIONS(7599),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHsection] = ACTIONS(7599),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHaddsec] = ACTIONS(7599),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHsubsection] = ACTIONS(7599),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7599),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHparagraph] = ACTIONS(7599),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7599),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHitem] = ACTIONS(7599),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7601),
    [anon_sym_LBRACE] = ACTIONS(7601),
    [sym_word] = ACTIONS(7599),
    [sym_placeholder] = ACTIONS(7601),
    [sym_delimiter] = ACTIONS(7601),
    [anon_sym_PLUS] = ACTIONS(7601),
    [anon_sym_DASH] = ACTIONS(7601),
    [anon_sym_STAR] = ACTIONS(7601),
    [anon_sym_SLASH] = ACTIONS(7601),
    [anon_sym_LT] = ACTIONS(7599),
    [anon_sym_GT] = ACTIONS(7599),
    [anon_sym_BANG] = ACTIONS(7599),
    [anon_sym_PIPE] = ACTIONS(7599),
    [anon_sym_COLON] = ACTIONS(7599),
    [anon_sym_SQUOTE] = ACTIONS(7599),
    [anon_sym__] = ACTIONS(7601),
    [anon_sym_CARET] = ACTIONS(7601),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7601),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7601),
    [anon_sym_DOLLAR] = ACTIONS(7599),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7601),
    [anon_sym_BSLASHleft] = ACTIONS(7599),
    [anon_sym_BSLASHbigl] = ACTIONS(7599),
    [anon_sym_BSLASHBigl] = ACTIONS(7599),
    [anon_sym_BSLASHbiggl] = ACTIONS(7599),
    [anon_sym_BSLASHBiggl] = ACTIONS(7599),
    [anon_sym_BSLASHright] = ACTIONS(7599),
    [anon_sym_BSLASHbigr] = ACTIONS(7599),
    [anon_sym_BSLASHBigr] = ACTIONS(7599),
    [anon_sym_BSLASHbiggr] = ACTIONS(7599),
    [anon_sym_BSLASHBiggr] = ACTIONS(7599),
    [anon_sym_BSLASHtext] = ACTIONS(7599),
    [anon_sym_BSLASHintertext] = ACTIONS(7599),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7599),
    [anon_sym_BSLASHbegin] = ACTIONS(7599),
    [anon_sym_BSLASHtitle] = ACTIONS(7599),
    [anon_sym_BSLASHauthor] = ACTIONS(7599),
    [anon_sym_BSLASHusepackage] = ACTIONS(7599),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7599),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7599),
    [anon_sym_BSLASHinclude] = ACTIONS(7599),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7599),
    [anon_sym_BSLASHinput] = ACTIONS(7599),
    [anon_sym_BSLASHsubfile] = ACTIONS(7599),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7599),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7599),
    [anon_sym_BSLASHbibliography] = ACTIONS(7599),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7599),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7599),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7599),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7599),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7599),
    [anon_sym_BSLASHimport] = ACTIONS(7599),
    [anon_sym_BSLASHsubimport] = ACTIONS(7599),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7599),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7599),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7599),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7599),
    [anon_sym_BSLASHcaption] = ACTIONS(7599),
    [anon_sym_BSLASHcite] = ACTIONS(7599),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCite] = ACTIONS(7599),
    [anon_sym_BSLASHnocite] = ACTIONS(7599),
    [anon_sym_BSLASHcitet] = ACTIONS(7599),
    [anon_sym_BSLASHcitep] = ACTIONS(7599),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteA] = ACTIONS(7599),
    [anon_sym_BSLASHciteR] = ACTIONS(7599),
    [anon_sym_BSLASHciteS] = ACTIONS(7599),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7599),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7599),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7599),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7599),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteyear] = ACTIONS(7599),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitedate] = ACTIONS(7599),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteurl] = ACTIONS(7599),
    [anon_sym_BSLASHfullcite] = ACTIONS(7599),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7599),
    [anon_sym_BSLASHcitealt] = ACTIONS(7599),
    [anon_sym_BSLASHcitealp] = ACTIONS(7599),
    [anon_sym_BSLASHcitetext] = ACTIONS(7599),
    [anon_sym_BSLASHparencite] = ACTIONS(7599),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHParencite] = ACTIONS(7599),
    [anon_sym_BSLASHfootcite] = ACTIONS(7599),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7599),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7599),
    [anon_sym_BSLASHtextcite] = ACTIONS(7599),
    [anon_sym_BSLASHTextcite] = ACTIONS(7599),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7599),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7599),
    [anon_sym_BSLASHsupercite] = ACTIONS(7599),
    [anon_sym_BSLASHautocite] = ACTIONS(7599),
    [anon_sym_BSLASHAutocite] = ACTIONS(7599),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHVolcite] = ACTIONS(7599),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHavolcite] = ACTIONS(7599),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHNotecite] = ACTIONS(7599),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHlabel] = ACTIONS(7599),
    [anon_sym_BSLASHref] = ACTIONS(7599),
    [anon_sym_BSLASHeqref] = ACTIONS(7599),
    [anon_sym_BSLASHvref] = ACTIONS(7599),
    [anon_sym_BSLASHVref] = ACTIONS(7599),
    [anon_sym_BSLASHautoref] = ACTIONS(7599),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHpageref] = ACTIONS(7599),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHautopageref] = ACTIONS(7599),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcref] = ACTIONS(7599),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCref] = ACTIONS(7599),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcpageref] = ACTIONS(7599),
    [anon_sym_BSLASHCpageref] = ACTIONS(7599),
    [anon_sym_BSLASHnamecref] = ACTIONS(7599),
    [anon_sym_BSLASHnameCref] = ACTIONS(7599),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7599),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7599),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7599),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7599),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7599),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7599),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7599),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7599),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7599),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7599),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7599),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHdef] = ACTIONS(7599),
    [anon_sym_BSLASHgdef] = ACTIONS(7599),
    [anon_sym_BSLASHedef] = ACTIONS(7599),
    [anon_sym_BSLASHxdef] = ACTIONS(7599),
    [anon_sym_BSLASHlet] = ACTIONS(7599),
    [anon_sym_BSLASHglet] = ACTIONS(7599),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7599),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7599),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7599),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7599),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7599),
    [anon_sym_BSLASHgls] = ACTIONS(7599),
    [anon_sym_BSLASHGls] = ACTIONS(7599),
    [anon_sym_BSLASHGLS] = ACTIONS(7599),
    [anon_sym_BSLASHglspl] = ACTIONS(7599),
    [anon_sym_BSLASHGlspl] = ACTIONS(7599),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7599),
    [anon_sym_BSLASHglslink] = ACTIONS(7599),
    [anon_sym_BSLASHglstext] = ACTIONS(7599),
    [anon_sym_BSLASHGlstext] = ACTIONS(7599),
    [anon_sym_BSLASHGLStext] = ACTIONS(7599),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7599),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7599),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7599),
    [anon_sym_BSLASHglsplural] = ACTIONS(7599),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7599),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7599),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHglsname] = ACTIONS(7599),
    [anon_sym_BSLASHGlsname] = ACTIONS(7599),
    [anon_sym_BSLASHGLSname] = ACTIONS(7599),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7599),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7599),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7599),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7599),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7599),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7599),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7599),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7599),
    [anon_sym_BSLASHacrshort] = ACTIONS(7599),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7599),
    [anon_sym_BSLASHACRshort] = ACTIONS(7599),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHacrlong] = ACTIONS(7599),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7599),
    [anon_sym_BSLASHACRlong] = ACTIONS(7599),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHacrfull] = ACTIONS(7599),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7599),
    [anon_sym_BSLASHACRfull] = ACTIONS(7599),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHacs] = ACTIONS(7599),
    [anon_sym_BSLASHAcs] = ACTIONS(7599),
    [anon_sym_BSLASHacsp] = ACTIONS(7599),
    [anon_sym_BSLASHAcsp] = ACTIONS(7599),
    [anon_sym_BSLASHacl] = ACTIONS(7599),
    [anon_sym_BSLASHAcl] = ACTIONS(7599),
    [anon_sym_BSLASHaclp] = ACTIONS(7599),
    [anon_sym_BSLASHAclp] = ACTIONS(7599),
    [anon_sym_BSLASHacf] = ACTIONS(7599),
    [anon_sym_BSLASHAcf] = ACTIONS(7599),
    [anon_sym_BSLASHacfp] = ACTIONS(7599),
    [anon_sym_BSLASHAcfp] = ACTIONS(7599),
    [anon_sym_BSLASHac] = ACTIONS(7599),
    [anon_sym_BSLASHAc] = ACTIONS(7599),
    [anon_sym_BSLASHacp] = ACTIONS(7599),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7599),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7599),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7599),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7599),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7599),
    [anon_sym_BSLASHcolor] = ACTIONS(7599),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7599),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7599),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7599),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7599),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7599),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7599),
    [anon_sym_BSLASHurl] = ACTIONS(7599),
    [anon_sym_BSLASHhref] = ACTIONS(7599),
  },
  [728] = {
    [sym_command_name] = ACTIONS(7603),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7603),
    [anon_sym_LBRACK] = ACTIONS(7605),
    [anon_sym_RBRACK] = ACTIONS(7605),
    [anon_sym_COMMA] = ACTIONS(7605),
    [anon_sym_EQ] = ACTIONS(7605),
    [anon_sym_LPAREN] = ACTIONS(7605),
    [anon_sym_RPAREN] = ACTIONS(7605),
    [anon_sym_BSLASHpart] = ACTIONS(7603),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHaddpart] = ACTIONS(7603),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHchapter] = ACTIONS(7603),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHaddchap] = ACTIONS(7603),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHsection] = ACTIONS(7603),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHaddsec] = ACTIONS(7603),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHsubsection] = ACTIONS(7603),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7603),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHparagraph] = ACTIONS(7603),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7603),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHitem] = ACTIONS(7603),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7605),
    [anon_sym_LBRACE] = ACTIONS(7605),
    [sym_word] = ACTIONS(7603),
    [sym_placeholder] = ACTIONS(7605),
    [sym_delimiter] = ACTIONS(7605),
    [anon_sym_PLUS] = ACTIONS(7605),
    [anon_sym_DASH] = ACTIONS(7605),
    [anon_sym_STAR] = ACTIONS(7605),
    [anon_sym_SLASH] = ACTIONS(7605),
    [anon_sym_LT] = ACTIONS(7603),
    [anon_sym_GT] = ACTIONS(7603),
    [anon_sym_BANG] = ACTIONS(7603),
    [anon_sym_PIPE] = ACTIONS(7603),
    [anon_sym_COLON] = ACTIONS(7603),
    [anon_sym_SQUOTE] = ACTIONS(7603),
    [anon_sym__] = ACTIONS(7605),
    [anon_sym_CARET] = ACTIONS(7605),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7605),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7605),
    [anon_sym_DOLLAR] = ACTIONS(7603),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7605),
    [anon_sym_BSLASHleft] = ACTIONS(7603),
    [anon_sym_BSLASHbigl] = ACTIONS(7603),
    [anon_sym_BSLASHBigl] = ACTIONS(7603),
    [anon_sym_BSLASHbiggl] = ACTIONS(7603),
    [anon_sym_BSLASHBiggl] = ACTIONS(7603),
    [anon_sym_BSLASHright] = ACTIONS(7603),
    [anon_sym_BSLASHbigr] = ACTIONS(7603),
    [anon_sym_BSLASHBigr] = ACTIONS(7603),
    [anon_sym_BSLASHbiggr] = ACTIONS(7603),
    [anon_sym_BSLASHBiggr] = ACTIONS(7603),
    [anon_sym_BSLASHtext] = ACTIONS(7603),
    [anon_sym_BSLASHintertext] = ACTIONS(7603),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7603),
    [anon_sym_BSLASHbegin] = ACTIONS(7603),
    [anon_sym_BSLASHtitle] = ACTIONS(7603),
    [anon_sym_BSLASHauthor] = ACTIONS(7603),
    [anon_sym_BSLASHusepackage] = ACTIONS(7603),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7603),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7603),
    [anon_sym_BSLASHinclude] = ACTIONS(7603),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7603),
    [anon_sym_BSLASHinput] = ACTIONS(7603),
    [anon_sym_BSLASHsubfile] = ACTIONS(7603),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7603),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7603),
    [anon_sym_BSLASHbibliography] = ACTIONS(7603),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7603),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7603),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7603),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7603),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7603),
    [anon_sym_BSLASHimport] = ACTIONS(7603),
    [anon_sym_BSLASHsubimport] = ACTIONS(7603),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7603),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7603),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7603),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7603),
    [anon_sym_BSLASHcaption] = ACTIONS(7603),
    [anon_sym_BSLASHcite] = ACTIONS(7603),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCite] = ACTIONS(7603),
    [anon_sym_BSLASHnocite] = ACTIONS(7603),
    [anon_sym_BSLASHcitet] = ACTIONS(7603),
    [anon_sym_BSLASHcitep] = ACTIONS(7603),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteA] = ACTIONS(7603),
    [anon_sym_BSLASHciteR] = ACTIONS(7603),
    [anon_sym_BSLASHciteS] = ACTIONS(7603),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7603),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7603),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7603),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7603),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteyear] = ACTIONS(7603),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitedate] = ACTIONS(7603),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteurl] = ACTIONS(7603),
    [anon_sym_BSLASHfullcite] = ACTIONS(7603),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7603),
    [anon_sym_BSLASHcitealt] = ACTIONS(7603),
    [anon_sym_BSLASHcitealp] = ACTIONS(7603),
    [anon_sym_BSLASHcitetext] = ACTIONS(7603),
    [anon_sym_BSLASHparencite] = ACTIONS(7603),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHParencite] = ACTIONS(7603),
    [anon_sym_BSLASHfootcite] = ACTIONS(7603),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7603),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7603),
    [anon_sym_BSLASHtextcite] = ACTIONS(7603),
    [anon_sym_BSLASHTextcite] = ACTIONS(7603),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7603),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7603),
    [anon_sym_BSLASHsupercite] = ACTIONS(7603),
    [anon_sym_BSLASHautocite] = ACTIONS(7603),
    [anon_sym_BSLASHAutocite] = ACTIONS(7603),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHVolcite] = ACTIONS(7603),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHavolcite] = ACTIONS(7603),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHNotecite] = ACTIONS(7603),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHlabel] = ACTIONS(7603),
    [anon_sym_BSLASHref] = ACTIONS(7603),
    [anon_sym_BSLASHeqref] = ACTIONS(7603),
    [anon_sym_BSLASHvref] = ACTIONS(7603),
    [anon_sym_BSLASHVref] = ACTIONS(7603),
    [anon_sym_BSLASHautoref] = ACTIONS(7603),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHpageref] = ACTIONS(7603),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHautopageref] = ACTIONS(7603),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcref] = ACTIONS(7603),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCref] = ACTIONS(7603),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcpageref] = ACTIONS(7603),
    [anon_sym_BSLASHCpageref] = ACTIONS(7603),
    [anon_sym_BSLASHnamecref] = ACTIONS(7603),
    [anon_sym_BSLASHnameCref] = ACTIONS(7603),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7603),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7603),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7603),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7603),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7603),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7603),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7603),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7603),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7603),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7603),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7603),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHdef] = ACTIONS(7603),
    [anon_sym_BSLASHgdef] = ACTIONS(7603),
    [anon_sym_BSLASHedef] = ACTIONS(7603),
    [anon_sym_BSLASHxdef] = ACTIONS(7603),
    [anon_sym_BSLASHlet] = ACTIONS(7603),
    [anon_sym_BSLASHglet] = ACTIONS(7603),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7603),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7603),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7603),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7603),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7603),
    [anon_sym_BSLASHgls] = ACTIONS(7603),
    [anon_sym_BSLASHGls] = ACTIONS(7603),
    [anon_sym_BSLASHGLS] = ACTIONS(7603),
    [anon_sym_BSLASHglspl] = ACTIONS(7603),
    [anon_sym_BSLASHGlspl] = ACTIONS(7603),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7603),
    [anon_sym_BSLASHglslink] = ACTIONS(7603),
    [anon_sym_BSLASHglstext] = ACTIONS(7603),
    [anon_sym_BSLASHGlstext] = ACTIONS(7603),
    [anon_sym_BSLASHGLStext] = ACTIONS(7603),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7603),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7603),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7603),
    [anon_sym_BSLASHglsplural] = ACTIONS(7603),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7603),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7603),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHglsname] = ACTIONS(7603),
    [anon_sym_BSLASHGlsname] = ACTIONS(7603),
    [anon_sym_BSLASHGLSname] = ACTIONS(7603),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7603),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7603),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7603),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7603),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7603),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7603),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7603),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7603),
    [anon_sym_BSLASHacrshort] = ACTIONS(7603),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7603),
    [anon_sym_BSLASHACRshort] = ACTIONS(7603),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHacrlong] = ACTIONS(7603),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7603),
    [anon_sym_BSLASHACRlong] = ACTIONS(7603),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHacrfull] = ACTIONS(7603),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7603),
    [anon_sym_BSLASHACRfull] = ACTIONS(7603),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHacs] = ACTIONS(7603),
    [anon_sym_BSLASHAcs] = ACTIONS(7603),
    [anon_sym_BSLASHacsp] = ACTIONS(7603),
    [anon_sym_BSLASHAcsp] = ACTIONS(7603),
    [anon_sym_BSLASHacl] = ACTIONS(7603),
    [anon_sym_BSLASHAcl] = ACTIONS(7603),
    [anon_sym_BSLASHaclp] = ACTIONS(7603),
    [anon_sym_BSLASHAclp] = ACTIONS(7603),
    [anon_sym_BSLASHacf] = ACTIONS(7603),
    [anon_sym_BSLASHAcf] = ACTIONS(7603),
    [anon_sym_BSLASHacfp] = ACTIONS(7603),
    [anon_sym_BSLASHAcfp] = ACTIONS(7603),
    [anon_sym_BSLASHac] = ACTIONS(7603),
    [anon_sym_BSLASHAc] = ACTIONS(7603),
    [anon_sym_BSLASHacp] = ACTIONS(7603),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7603),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7603),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7603),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7603),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7603),
    [anon_sym_BSLASHcolor] = ACTIONS(7603),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7603),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7603),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7603),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7603),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7603),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7603),
    [anon_sym_BSLASHurl] = ACTIONS(7603),
    [anon_sym_BSLASHhref] = ACTIONS(7603),
  },
  [729] = {
    [sym_command_name] = ACTIONS(7607),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7607),
    [anon_sym_LBRACK] = ACTIONS(7609),
    [anon_sym_RBRACK] = ACTIONS(7609),
    [anon_sym_COMMA] = ACTIONS(7609),
    [anon_sym_EQ] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7609),
    [anon_sym_RPAREN] = ACTIONS(7609),
    [anon_sym_BSLASHpart] = ACTIONS(7607),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHaddpart] = ACTIONS(7607),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHchapter] = ACTIONS(7607),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHaddchap] = ACTIONS(7607),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHsection] = ACTIONS(7607),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHaddsec] = ACTIONS(7607),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHsubsection] = ACTIONS(7607),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7607),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHparagraph] = ACTIONS(7607),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7607),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHitem] = ACTIONS(7607),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7609),
    [anon_sym_LBRACE] = ACTIONS(7609),
    [sym_word] = ACTIONS(7607),
    [sym_placeholder] = ACTIONS(7609),
    [sym_delimiter] = ACTIONS(7609),
    [anon_sym_PLUS] = ACTIONS(7609),
    [anon_sym_DASH] = ACTIONS(7609),
    [anon_sym_STAR] = ACTIONS(7609),
    [anon_sym_SLASH] = ACTIONS(7609),
    [anon_sym_LT] = ACTIONS(7607),
    [anon_sym_GT] = ACTIONS(7607),
    [anon_sym_BANG] = ACTIONS(7607),
    [anon_sym_PIPE] = ACTIONS(7607),
    [anon_sym_COLON] = ACTIONS(7607),
    [anon_sym_SQUOTE] = ACTIONS(7607),
    [anon_sym__] = ACTIONS(7609),
    [anon_sym_CARET] = ACTIONS(7609),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7609),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7609),
    [anon_sym_DOLLAR] = ACTIONS(7607),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7609),
    [anon_sym_BSLASHleft] = ACTIONS(7607),
    [anon_sym_BSLASHbigl] = ACTIONS(7607),
    [anon_sym_BSLASHBigl] = ACTIONS(7607),
    [anon_sym_BSLASHbiggl] = ACTIONS(7607),
    [anon_sym_BSLASHBiggl] = ACTIONS(7607),
    [anon_sym_BSLASHright] = ACTIONS(7607),
    [anon_sym_BSLASHbigr] = ACTIONS(7607),
    [anon_sym_BSLASHBigr] = ACTIONS(7607),
    [anon_sym_BSLASHbiggr] = ACTIONS(7607),
    [anon_sym_BSLASHBiggr] = ACTIONS(7607),
    [anon_sym_BSLASHtext] = ACTIONS(7607),
    [anon_sym_BSLASHintertext] = ACTIONS(7607),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7607),
    [anon_sym_BSLASHbegin] = ACTIONS(7607),
    [anon_sym_BSLASHtitle] = ACTIONS(7607),
    [anon_sym_BSLASHauthor] = ACTIONS(7607),
    [anon_sym_BSLASHusepackage] = ACTIONS(7607),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7607),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7607),
    [anon_sym_BSLASHinclude] = ACTIONS(7607),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7607),
    [anon_sym_BSLASHinput] = ACTIONS(7607),
    [anon_sym_BSLASHsubfile] = ACTIONS(7607),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7607),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7607),
    [anon_sym_BSLASHbibliography] = ACTIONS(7607),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7607),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7607),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7607),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7607),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7607),
    [anon_sym_BSLASHimport] = ACTIONS(7607),
    [anon_sym_BSLASHsubimport] = ACTIONS(7607),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7607),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7607),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7607),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7607),
    [anon_sym_BSLASHcaption] = ACTIONS(7607),
    [anon_sym_BSLASHcite] = ACTIONS(7607),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCite] = ACTIONS(7607),
    [anon_sym_BSLASHnocite] = ACTIONS(7607),
    [anon_sym_BSLASHcitet] = ACTIONS(7607),
    [anon_sym_BSLASHcitep] = ACTIONS(7607),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHciteA] = ACTIONS(7607),
    [anon_sym_BSLASHciteR] = ACTIONS(7607),
    [anon_sym_BSLASHciteS] = ACTIONS(7607),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7607),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7607),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7607),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7607),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHciteyear] = ACTIONS(7607),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcitedate] = ACTIONS(7607),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHciteurl] = ACTIONS(7607),
    [anon_sym_BSLASHfullcite] = ACTIONS(7607),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7607),
    [anon_sym_BSLASHcitealt] = ACTIONS(7607),
    [anon_sym_BSLASHcitealp] = ACTIONS(7607),
    [anon_sym_BSLASHcitetext] = ACTIONS(7607),
    [anon_sym_BSLASHparencite] = ACTIONS(7607),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHParencite] = ACTIONS(7607),
    [anon_sym_BSLASHfootcite] = ACTIONS(7607),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7607),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7607),
    [anon_sym_BSLASHtextcite] = ACTIONS(7607),
    [anon_sym_BSLASHTextcite] = ACTIONS(7607),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7607),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7607),
    [anon_sym_BSLASHsupercite] = ACTIONS(7607),
    [anon_sym_BSLASHautocite] = ACTIONS(7607),
    [anon_sym_BSLASHAutocite] = ACTIONS(7607),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHVolcite] = ACTIONS(7607),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHavolcite] = ACTIONS(7607),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHNotecite] = ACTIONS(7607),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHlabel] = ACTIONS(7607),
    [anon_sym_BSLASHref] = ACTIONS(7607),
    [anon_sym_BSLASHeqref] = ACTIONS(7607),
    [anon_sym_BSLASHvref] = ACTIONS(7607),
    [anon_sym_BSLASHVref] = ACTIONS(7607),
    [anon_sym_BSLASHautoref] = ACTIONS(7607),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHpageref] = ACTIONS(7607),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHautopageref] = ACTIONS(7607),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcref] = ACTIONS(7607),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCref] = ACTIONS(7607),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcpageref] = ACTIONS(7607),
    [anon_sym_BSLASHCpageref] = ACTIONS(7607),
    [anon_sym_BSLASHnamecref] = ACTIONS(7607),
    [anon_sym_BSLASHnameCref] = ACTIONS(7607),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7607),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7607),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7607),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7607),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7607),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7607),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7607),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7607),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7607),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7607),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7607),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7607),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7607),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7607),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7607),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7607),
    [anon_sym_BSLASHdef] = ACTIONS(7607),
    [anon_sym_BSLASHgdef] = ACTIONS(7607),
    [anon_sym_BSLASHedef] = ACTIONS(7607),
    [anon_sym_BSLASHxdef] = ACTIONS(7607),
    [anon_sym_BSLASHlet] = ACTIONS(7607),
    [anon_sym_BSLASHglet] = ACTIONS(7607),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7607),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7607),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7607),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7607),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7607),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7607),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7607),
    [anon_sym_BSLASHgls] = ACTIONS(7607),
    [anon_sym_BSLASHGls] = ACTIONS(7607),
    [anon_sym_BSLASHGLS] = ACTIONS(7607),
    [anon_sym_BSLASHglspl] = ACTIONS(7607),
    [anon_sym_BSLASHGlspl] = ACTIONS(7607),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7607),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7607),
    [anon_sym_BSLASHglslink] = ACTIONS(7607),
    [anon_sym_BSLASHglstext] = ACTIONS(7607),
    [anon_sym_BSLASHGlstext] = ACTIONS(7607),
    [anon_sym_BSLASHGLStext] = ACTIONS(7607),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7607),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7607),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7607),
    [anon_sym_BSLASHglsplural] = ACTIONS(7607),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7607),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7607),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7607),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7607),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7607),
    [anon_sym_BSLASHglsname] = ACTIONS(7607),
    [anon_sym_BSLASHGlsname] = ACTIONS(7607),
    [anon_sym_BSLASHGLSname] = ACTIONS(7607),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7607),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7607),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7607),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7607),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7607),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7607),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7607),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7607),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7607),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7607),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7607),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7607),
    [anon_sym_BSLASHacrshort] = ACTIONS(7607),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7607),
    [anon_sym_BSLASHACRshort] = ACTIONS(7607),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHacrlong] = ACTIONS(7607),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7607),
    [anon_sym_BSLASHACRlong] = ACTIONS(7607),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7607),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7607),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7607),
    [anon_sym_BSLASHacrfull] = ACTIONS(7607),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7607),
    [anon_sym_BSLASHACRfull] = ACTIONS(7607),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHacs] = ACTIONS(7607),
    [anon_sym_BSLASHAcs] = ACTIONS(7607),
    [anon_sym_BSLASHacsp] = ACTIONS(7607),
    [anon_sym_BSLASHAcsp] = ACTIONS(7607),
    [anon_sym_BSLASHacl] = ACTIONS(7607),
    [anon_sym_BSLASHAcl] = ACTIONS(7607),
    [anon_sym_BSLASHaclp] = ACTIONS(7607),
    [anon_sym_BSLASHAclp] = ACTIONS(7607),
    [anon_sym_BSLASHacf] = ACTIONS(7607),
    [anon_sym_BSLASHAcf] = ACTIONS(7607),
    [anon_sym_BSLASHacfp] = ACTIONS(7607),
    [anon_sym_BSLASHAcfp] = ACTIONS(7607),
    [anon_sym_BSLASHac] = ACTIONS(7607),
    [anon_sym_BSLASHAc] = ACTIONS(7607),
    [anon_sym_BSLASHacp] = ACTIONS(7607),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7607),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7607),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7607),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7607),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7607),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7607),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7607),
    [anon_sym_BSLASHcolor] = ACTIONS(7607),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7607),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7607),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7607),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7607),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7607),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7607),
    [anon_sym_BSLASHurl] = ACTIONS(7607),
    [anon_sym_BSLASHhref] = ACTIONS(7607),
  },
  [730] = {
    [sym_curly_group] = STATE(1117),
    [aux_sym_generic_command_repeat1] = STATE(818),
    [ts_builtin_sym_end] = ACTIONS(6903),
    [sym_command_name] = ACTIONS(6901),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6901),
    [anon_sym_LBRACK] = ACTIONS(6903),
    [anon_sym_RBRACK] = ACTIONS(6903),
    [anon_sym_COMMA] = ACTIONS(6903),
    [anon_sym_EQ] = ACTIONS(6903),
    [anon_sym_LPAREN] = ACTIONS(6903),
    [anon_sym_RPAREN] = ACTIONS(6903),
    [anon_sym_BSLASHpart] = ACTIONS(6901),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHaddpart] = ACTIONS(6901),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHchapter] = ACTIONS(6901),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHaddchap] = ACTIONS(6901),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHsection] = ACTIONS(6901),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHaddsec] = ACTIONS(6901),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHsubsection] = ACTIONS(6901),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6901),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHparagraph] = ACTIONS(6901),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6901),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHitem] = ACTIONS(6901),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6903),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(6903),
    [sym_word] = ACTIONS(6901),
    [sym_placeholder] = ACTIONS(6903),
    [sym_delimiter] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6903),
    [anon_sym_DASH] = ACTIONS(6903),
    [anon_sym_STAR] = ACTIONS(6903),
    [anon_sym_SLASH] = ACTIONS(6903),
    [anon_sym_LT] = ACTIONS(6901),
    [anon_sym_GT] = ACTIONS(6901),
    [anon_sym_BANG] = ACTIONS(6901),
    [anon_sym_PIPE] = ACTIONS(6901),
    [anon_sym_COLON] = ACTIONS(6901),
    [anon_sym_SQUOTE] = ACTIONS(6901),
    [anon_sym__] = ACTIONS(6903),
    [anon_sym_CARET] = ACTIONS(6903),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6903),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6903),
    [anon_sym_DOLLAR] = ACTIONS(6901),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6903),
    [anon_sym_BSLASHleft] = ACTIONS(6901),
    [anon_sym_BSLASHbigl] = ACTIONS(6901),
    [anon_sym_BSLASHBigl] = ACTIONS(6901),
    [anon_sym_BSLASHbiggl] = ACTIONS(6901),
    [anon_sym_BSLASHBiggl] = ACTIONS(6901),
    [anon_sym_BSLASHtext] = ACTIONS(6901),
    [anon_sym_BSLASHintertext] = ACTIONS(6901),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6901),
    [anon_sym_BSLASHbegin] = ACTIONS(6901),
    [anon_sym_BSLASHtitle] = ACTIONS(6901),
    [anon_sym_BSLASHauthor] = ACTIONS(6901),
    [anon_sym_BSLASHusepackage] = ACTIONS(6901),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6901),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6901),
    [anon_sym_BSLASHinclude] = ACTIONS(6901),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6901),
    [anon_sym_BSLASHinput] = ACTIONS(6901),
    [anon_sym_BSLASHsubfile] = ACTIONS(6901),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6901),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6901),
    [anon_sym_BSLASHbibliography] = ACTIONS(6901),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6901),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6901),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6901),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6901),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6901),
    [anon_sym_BSLASHimport] = ACTIONS(6901),
    [anon_sym_BSLASHsubimport] = ACTIONS(6901),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6901),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6901),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6901),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6901),
    [anon_sym_BSLASHcaption] = ACTIONS(6901),
    [anon_sym_BSLASHcite] = ACTIONS(6901),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCite] = ACTIONS(6901),
    [anon_sym_BSLASHnocite] = ACTIONS(6901),
    [anon_sym_BSLASHcitet] = ACTIONS(6901),
    [anon_sym_BSLASHcitep] = ACTIONS(6901),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteA] = ACTIONS(6901),
    [anon_sym_BSLASHciteR] = ACTIONS(6901),
    [anon_sym_BSLASHciteS] = ACTIONS(6901),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6901),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6901),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6901),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6901),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteyear] = ACTIONS(6901),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitedate] = ACTIONS(6901),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteurl] = ACTIONS(6901),
    [anon_sym_BSLASHfullcite] = ACTIONS(6901),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6901),
    [anon_sym_BSLASHcitealt] = ACTIONS(6901),
    [anon_sym_BSLASHcitealp] = ACTIONS(6901),
    [anon_sym_BSLASHcitetext] = ACTIONS(6901),
    [anon_sym_BSLASHparencite] = ACTIONS(6901),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHParencite] = ACTIONS(6901),
    [anon_sym_BSLASHfootcite] = ACTIONS(6901),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6901),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6901),
    [anon_sym_BSLASHtextcite] = ACTIONS(6901),
    [anon_sym_BSLASHTextcite] = ACTIONS(6901),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6901),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6901),
    [anon_sym_BSLASHsupercite] = ACTIONS(6901),
    [anon_sym_BSLASHautocite] = ACTIONS(6901),
    [anon_sym_BSLASHAutocite] = ACTIONS(6901),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHVolcite] = ACTIONS(6901),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHavolcite] = ACTIONS(6901),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHNotecite] = ACTIONS(6901),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHlabel] = ACTIONS(6901),
    [anon_sym_BSLASHref] = ACTIONS(6901),
    [anon_sym_BSLASHeqref] = ACTIONS(6901),
    [anon_sym_BSLASHvref] = ACTIONS(6901),
    [anon_sym_BSLASHVref] = ACTIONS(6901),
    [anon_sym_BSLASHautoref] = ACTIONS(6901),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHpageref] = ACTIONS(6901),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHautopageref] = ACTIONS(6901),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcref] = ACTIONS(6901),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCref] = ACTIONS(6901),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcpageref] = ACTIONS(6901),
    [anon_sym_BSLASHCpageref] = ACTIONS(6901),
    [anon_sym_BSLASHnamecref] = ACTIONS(6901),
    [anon_sym_BSLASHnameCref] = ACTIONS(6901),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6901),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6901),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6901),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6901),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6901),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6901),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6901),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6901),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6901),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6901),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6901),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHdef] = ACTIONS(6901),
    [anon_sym_BSLASHgdef] = ACTIONS(6901),
    [anon_sym_BSLASHedef] = ACTIONS(6901),
    [anon_sym_BSLASHxdef] = ACTIONS(6901),
    [anon_sym_BSLASHlet] = ACTIONS(6901),
    [anon_sym_BSLASHglet] = ACTIONS(6901),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6901),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6901),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6901),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6901),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6901),
    [anon_sym_BSLASHgls] = ACTIONS(6901),
    [anon_sym_BSLASHGls] = ACTIONS(6901),
    [anon_sym_BSLASHGLS] = ACTIONS(6901),
    [anon_sym_BSLASHglspl] = ACTIONS(6901),
    [anon_sym_BSLASHGlspl] = ACTIONS(6901),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6901),
    [anon_sym_BSLASHglslink] = ACTIONS(6901),
    [anon_sym_BSLASHglstext] = ACTIONS(6901),
    [anon_sym_BSLASHGlstext] = ACTIONS(6901),
    [anon_sym_BSLASHGLStext] = ACTIONS(6901),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6901),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6901),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6901),
    [anon_sym_BSLASHglsplural] = ACTIONS(6901),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6901),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6901),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHglsname] = ACTIONS(6901),
    [anon_sym_BSLASHGlsname] = ACTIONS(6901),
    [anon_sym_BSLASHGLSname] = ACTIONS(6901),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6901),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6901),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6901),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6901),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6901),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6901),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6901),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6901),
    [anon_sym_BSLASHacrshort] = ACTIONS(6901),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6901),
    [anon_sym_BSLASHACRshort] = ACTIONS(6901),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHacrlong] = ACTIONS(6901),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6901),
    [anon_sym_BSLASHACRlong] = ACTIONS(6901),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHacrfull] = ACTIONS(6901),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6901),
    [anon_sym_BSLASHACRfull] = ACTIONS(6901),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHacs] = ACTIONS(6901),
    [anon_sym_BSLASHAcs] = ACTIONS(6901),
    [anon_sym_BSLASHacsp] = ACTIONS(6901),
    [anon_sym_BSLASHAcsp] = ACTIONS(6901),
    [anon_sym_BSLASHacl] = ACTIONS(6901),
    [anon_sym_BSLASHAcl] = ACTIONS(6901),
    [anon_sym_BSLASHaclp] = ACTIONS(6901),
    [anon_sym_BSLASHAclp] = ACTIONS(6901),
    [anon_sym_BSLASHacf] = ACTIONS(6901),
    [anon_sym_BSLASHAcf] = ACTIONS(6901),
    [anon_sym_BSLASHacfp] = ACTIONS(6901),
    [anon_sym_BSLASHAcfp] = ACTIONS(6901),
    [anon_sym_BSLASHac] = ACTIONS(6901),
    [anon_sym_BSLASHAc] = ACTIONS(6901),
    [anon_sym_BSLASHacp] = ACTIONS(6901),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6901),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6901),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6901),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6901),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6901),
    [anon_sym_BSLASHcolor] = ACTIONS(6901),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6901),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6901),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6901),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6901),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6901),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6901),
    [anon_sym_BSLASHurl] = ACTIONS(6901),
    [anon_sym_BSLASHhref] = ACTIONS(6901),
  },
  [731] = {
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(924),
    [aux_sym__paragraph_repeat3] = STATE(924),
    [sym_command_name] = ACTIONS(6846),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6846),
    [anon_sym_LBRACK] = ACTIONS(6848),
    [anon_sym_RBRACK] = ACTIONS(6848),
    [anon_sym_COMMA] = ACTIONS(6848),
    [anon_sym_EQ] = ACTIONS(6848),
    [anon_sym_LPAREN] = ACTIONS(6848),
    [anon_sym_RPAREN] = ACTIONS(6848),
    [anon_sym_BSLASHpart] = ACTIONS(6846),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddpart] = ACTIONS(6846),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHchapter] = ACTIONS(6846),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddchap] = ACTIONS(6846),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsection] = ACTIONS(6846),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddsec] = ACTIONS(6846),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubsection] = ACTIONS(6846),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6846),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHparagraph] = ACTIONS(6846),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6846),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(6848),
    [sym_word] = ACTIONS(6846),
    [sym_placeholder] = ACTIONS(6848),
    [sym_delimiter] = ACTIONS(6848),
    [anon_sym_PLUS] = ACTIONS(6848),
    [anon_sym_DASH] = ACTIONS(6848),
    [anon_sym_STAR] = ACTIONS(6848),
    [anon_sym_SLASH] = ACTIONS(6848),
    [anon_sym_LT] = ACTIONS(6846),
    [anon_sym_GT] = ACTIONS(6846),
    [anon_sym_BANG] = ACTIONS(6846),
    [anon_sym_PIPE] = ACTIONS(6846),
    [anon_sym_COLON] = ACTIONS(6846),
    [anon_sym_SQUOTE] = ACTIONS(6846),
    [anon_sym__] = ACTIONS(6848),
    [anon_sym_CARET] = ACTIONS(6848),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6848),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6848),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6848),
    [anon_sym_DOLLAR] = ACTIONS(6846),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6848),
    [anon_sym_BSLASHleft] = ACTIONS(6846),
    [anon_sym_BSLASHbigl] = ACTIONS(6846),
    [anon_sym_BSLASHBigl] = ACTIONS(6846),
    [anon_sym_BSLASHbiggl] = ACTIONS(6846),
    [anon_sym_BSLASHBiggl] = ACTIONS(6846),
    [anon_sym_BSLASHtext] = ACTIONS(6846),
    [anon_sym_BSLASHintertext] = ACTIONS(6846),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6846),
    [anon_sym_BSLASHbegin] = ACTIONS(6846),
    [anon_sym_BSLASHtitle] = ACTIONS(6846),
    [anon_sym_BSLASHauthor] = ACTIONS(6846),
    [anon_sym_BSLASHusepackage] = ACTIONS(6846),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6846),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6846),
    [anon_sym_BSLASHinclude] = ACTIONS(6846),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6846),
    [anon_sym_BSLASHinput] = ACTIONS(6846),
    [anon_sym_BSLASHsubfile] = ACTIONS(6846),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6846),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6846),
    [anon_sym_BSLASHbibliography] = ACTIONS(6846),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6846),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6846),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6846),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6846),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6846),
    [anon_sym_BSLASHimport] = ACTIONS(6846),
    [anon_sym_BSLASHsubimport] = ACTIONS(6846),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6846),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6846),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6846),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6846),
    [anon_sym_BSLASHcaption] = ACTIONS(6846),
    [anon_sym_BSLASHcite] = ACTIONS(6846),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCite] = ACTIONS(6846),
    [anon_sym_BSLASHnocite] = ACTIONS(6846),
    [anon_sym_BSLASHcitet] = ACTIONS(6846),
    [anon_sym_BSLASHcitep] = ACTIONS(6846),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteA] = ACTIONS(6846),
    [anon_sym_BSLASHciteR] = ACTIONS(6846),
    [anon_sym_BSLASHciteS] = ACTIONS(6846),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6846),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6846),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6846),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6846),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteyear] = ACTIONS(6846),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitedate] = ACTIONS(6846),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteurl] = ACTIONS(6846),
    [anon_sym_BSLASHfullcite] = ACTIONS(6846),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6846),
    [anon_sym_BSLASHcitealt] = ACTIONS(6846),
    [anon_sym_BSLASHcitealp] = ACTIONS(6846),
    [anon_sym_BSLASHcitetext] = ACTIONS(6846),
    [anon_sym_BSLASHparencite] = ACTIONS(6846),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHParencite] = ACTIONS(6846),
    [anon_sym_BSLASHfootcite] = ACTIONS(6846),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6846),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6846),
    [anon_sym_BSLASHtextcite] = ACTIONS(6846),
    [anon_sym_BSLASHTextcite] = ACTIONS(6846),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6846),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6846),
    [anon_sym_BSLASHsupercite] = ACTIONS(6846),
    [anon_sym_BSLASHautocite] = ACTIONS(6846),
    [anon_sym_BSLASHAutocite] = ACTIONS(6846),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHVolcite] = ACTIONS(6846),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHavolcite] = ACTIONS(6846),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHNotecite] = ACTIONS(6846),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHlabel] = ACTIONS(6846),
    [anon_sym_BSLASHref] = ACTIONS(6846),
    [anon_sym_BSLASHeqref] = ACTIONS(6846),
    [anon_sym_BSLASHvref] = ACTIONS(6846),
    [anon_sym_BSLASHVref] = ACTIONS(6846),
    [anon_sym_BSLASHautoref] = ACTIONS(6846),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHpageref] = ACTIONS(6846),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHautopageref] = ACTIONS(6846),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcref] = ACTIONS(6846),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCref] = ACTIONS(6846),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcpageref] = ACTIONS(6846),
    [anon_sym_BSLASHCpageref] = ACTIONS(6846),
    [anon_sym_BSLASHnamecref] = ACTIONS(6846),
    [anon_sym_BSLASHnameCref] = ACTIONS(6846),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6846),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6846),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6846),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6846),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6846),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6846),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6846),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6846),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6846),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6846),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6846),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHdef] = ACTIONS(6846),
    [anon_sym_BSLASHgdef] = ACTIONS(6846),
    [anon_sym_BSLASHedef] = ACTIONS(6846),
    [anon_sym_BSLASHxdef] = ACTIONS(6846),
    [anon_sym_BSLASHlet] = ACTIONS(6846),
    [anon_sym_BSLASHglet] = ACTIONS(6846),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6846),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6846),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6846),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6846),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6846),
    [anon_sym_BSLASHgls] = ACTIONS(6846),
    [anon_sym_BSLASHGls] = ACTIONS(6846),
    [anon_sym_BSLASHGLS] = ACTIONS(6846),
    [anon_sym_BSLASHglspl] = ACTIONS(6846),
    [anon_sym_BSLASHGlspl] = ACTIONS(6846),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6846),
    [anon_sym_BSLASHglslink] = ACTIONS(6846),
    [anon_sym_BSLASHglstext] = ACTIONS(6846),
    [anon_sym_BSLASHGlstext] = ACTIONS(6846),
    [anon_sym_BSLASHGLStext] = ACTIONS(6846),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6846),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6846),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6846),
    [anon_sym_BSLASHglsplural] = ACTIONS(6846),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6846),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6846),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHglsname] = ACTIONS(6846),
    [anon_sym_BSLASHGlsname] = ACTIONS(6846),
    [anon_sym_BSLASHGLSname] = ACTIONS(6846),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6846),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6846),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6846),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6846),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6846),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6846),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6846),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6846),
    [anon_sym_BSLASHacrshort] = ACTIONS(6846),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6846),
    [anon_sym_BSLASHACRshort] = ACTIONS(6846),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHacrlong] = ACTIONS(6846),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6846),
    [anon_sym_BSLASHACRlong] = ACTIONS(6846),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHacrfull] = ACTIONS(6846),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6846),
    [anon_sym_BSLASHACRfull] = ACTIONS(6846),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHacs] = ACTIONS(6846),
    [anon_sym_BSLASHAcs] = ACTIONS(6846),
    [anon_sym_BSLASHacsp] = ACTIONS(6846),
    [anon_sym_BSLASHAcsp] = ACTIONS(6846),
    [anon_sym_BSLASHacl] = ACTIONS(6846),
    [anon_sym_BSLASHAcl] = ACTIONS(6846),
    [anon_sym_BSLASHaclp] = ACTIONS(6846),
    [anon_sym_BSLASHAclp] = ACTIONS(6846),
    [anon_sym_BSLASHacf] = ACTIONS(6846),
    [anon_sym_BSLASHAcf] = ACTIONS(6846),
    [anon_sym_BSLASHacfp] = ACTIONS(6846),
    [anon_sym_BSLASHAcfp] = ACTIONS(6846),
    [anon_sym_BSLASHac] = ACTIONS(6846),
    [anon_sym_BSLASHAc] = ACTIONS(6846),
    [anon_sym_BSLASHacp] = ACTIONS(6846),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6846),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6846),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6846),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6846),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6846),
    [anon_sym_BSLASHcolor] = ACTIONS(6846),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6846),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6846),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6846),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6846),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6846),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6846),
    [anon_sym_BSLASHurl] = ACTIONS(6846),
    [anon_sym_BSLASHhref] = ACTIONS(6846),
  },
  [732] = {
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(919),
    [aux_sym__section_repeat3] = STATE(919),
    [sym_command_name] = ACTIONS(6854),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6854),
    [anon_sym_LBRACK] = ACTIONS(6856),
    [anon_sym_RBRACK] = ACTIONS(6856),
    [anon_sym_COMMA] = ACTIONS(6856),
    [anon_sym_EQ] = ACTIONS(6856),
    [anon_sym_LPAREN] = ACTIONS(6856),
    [anon_sym_RPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHpart] = ACTIONS(6854),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddpart] = ACTIONS(6854),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHchapter] = ACTIONS(6854),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddchap] = ACTIONS(6854),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHitem] = ACTIONS(6854),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6856),
    [anon_sym_LBRACE] = ACTIONS(6856),
    [sym_word] = ACTIONS(6854),
    [sym_placeholder] = ACTIONS(6856),
    [sym_delimiter] = ACTIONS(6856),
    [anon_sym_PLUS] = ACTIONS(6856),
    [anon_sym_DASH] = ACTIONS(6856),
    [anon_sym_STAR] = ACTIONS(6856),
    [anon_sym_SLASH] = ACTIONS(6856),
    [anon_sym_LT] = ACTIONS(6854),
    [anon_sym_GT] = ACTIONS(6854),
    [anon_sym_BANG] = ACTIONS(6854),
    [anon_sym_PIPE] = ACTIONS(6854),
    [anon_sym_COLON] = ACTIONS(6854),
    [anon_sym_SQUOTE] = ACTIONS(6854),
    [anon_sym__] = ACTIONS(6856),
    [anon_sym_CARET] = ACTIONS(6856),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6856),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6856),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6856),
    [anon_sym_DOLLAR] = ACTIONS(6854),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHleft] = ACTIONS(6854),
    [anon_sym_BSLASHbigl] = ACTIONS(6854),
    [anon_sym_BSLASHBigl] = ACTIONS(6854),
    [anon_sym_BSLASHbiggl] = ACTIONS(6854),
    [anon_sym_BSLASHBiggl] = ACTIONS(6854),
    [anon_sym_BSLASHtext] = ACTIONS(6854),
    [anon_sym_BSLASHintertext] = ACTIONS(6854),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6854),
    [anon_sym_BSLASHbegin] = ACTIONS(6854),
    [anon_sym_BSLASHtitle] = ACTIONS(6854),
    [anon_sym_BSLASHauthor] = ACTIONS(6854),
    [anon_sym_BSLASHusepackage] = ACTIONS(6854),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6854),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6854),
    [anon_sym_BSLASHinclude] = ACTIONS(6854),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6854),
    [anon_sym_BSLASHinput] = ACTIONS(6854),
    [anon_sym_BSLASHsubfile] = ACTIONS(6854),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6854),
    [anon_sym_BSLASHbibliography] = ACTIONS(6854),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6854),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6854),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6854),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6854),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6854),
    [anon_sym_BSLASHimport] = ACTIONS(6854),
    [anon_sym_BSLASHsubimport] = ACTIONS(6854),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6854),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHcaption] = ACTIONS(6854),
    [anon_sym_BSLASHcite] = ACTIONS(6854),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCite] = ACTIONS(6854),
    [anon_sym_BSLASHnocite] = ACTIONS(6854),
    [anon_sym_BSLASHcitet] = ACTIONS(6854),
    [anon_sym_BSLASHcitep] = ACTIONS(6854),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteA] = ACTIONS(6854),
    [anon_sym_BSLASHciteR] = ACTIONS(6854),
    [anon_sym_BSLASHciteS] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6854),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteyear] = ACTIONS(6854),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitedate] = ACTIONS(6854),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteurl] = ACTIONS(6854),
    [anon_sym_BSLASHfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6854),
    [anon_sym_BSLASHcitealt] = ACTIONS(6854),
    [anon_sym_BSLASHcitealp] = ACTIONS(6854),
    [anon_sym_BSLASHcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHparencite] = ACTIONS(6854),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHParencite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHtextcite] = ACTIONS(6854),
    [anon_sym_BSLASHTextcite] = ACTIONS(6854),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHsupercite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite] = ACTIONS(6854),
    [anon_sym_BSLASHAutocite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHVolcite] = ACTIONS(6854),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHavolcite] = ACTIONS(6854),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHNotecite] = ACTIONS(6854),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHlabel] = ACTIONS(6854),
    [anon_sym_BSLASHref] = ACTIONS(6854),
    [anon_sym_BSLASHeqref] = ACTIONS(6854),
    [anon_sym_BSLASHvref] = ACTIONS(6854),
    [anon_sym_BSLASHVref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHpageref] = ACTIONS(6854),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHautopageref] = ACTIONS(6854),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcref] = ACTIONS(6854),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCref] = ACTIONS(6854),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHCpageref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnameCref] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6854),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHdef] = ACTIONS(6854),
    [anon_sym_BSLASHgdef] = ACTIONS(6854),
    [anon_sym_BSLASHedef] = ACTIONS(6854),
    [anon_sym_BSLASHxdef] = ACTIONS(6854),
    [anon_sym_BSLASHlet] = ACTIONS(6854),
    [anon_sym_BSLASHglet] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6854),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6854),
    [anon_sym_BSLASHgls] = ACTIONS(6854),
    [anon_sym_BSLASHGls] = ACTIONS(6854),
    [anon_sym_BSLASHGLS] = ACTIONS(6854),
    [anon_sym_BSLASHglspl] = ACTIONS(6854),
    [anon_sym_BSLASHGlspl] = ACTIONS(6854),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6854),
    [anon_sym_BSLASHglslink] = ACTIONS(6854),
    [anon_sym_BSLASHglstext] = ACTIONS(6854),
    [anon_sym_BSLASHGlstext] = ACTIONS(6854),
    [anon_sym_BSLASHGLStext] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6854),
    [anon_sym_BSLASHglsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsname] = ACTIONS(6854),
    [anon_sym_BSLASHGlsname] = ACTIONS(6854),
    [anon_sym_BSLASHGLSname] = ACTIONS(6854),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6854),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6854),
    [anon_sym_BSLASHacrshort] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6854),
    [anon_sym_BSLASHACRshort] = ACTIONS(6854),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrlong] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6854),
    [anon_sym_BSLASHACRlong] = ACTIONS(6854),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrfull] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6854),
    [anon_sym_BSLASHACRfull] = ACTIONS(6854),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHacs] = ACTIONS(6854),
    [anon_sym_BSLASHAcs] = ACTIONS(6854),
    [anon_sym_BSLASHacsp] = ACTIONS(6854),
    [anon_sym_BSLASHAcsp] = ACTIONS(6854),
    [anon_sym_BSLASHacl] = ACTIONS(6854),
    [anon_sym_BSLASHAcl] = ACTIONS(6854),
    [anon_sym_BSLASHaclp] = ACTIONS(6854),
    [anon_sym_BSLASHAclp] = ACTIONS(6854),
    [anon_sym_BSLASHacf] = ACTIONS(6854),
    [anon_sym_BSLASHAcf] = ACTIONS(6854),
    [anon_sym_BSLASHacfp] = ACTIONS(6854),
    [anon_sym_BSLASHAcfp] = ACTIONS(6854),
    [anon_sym_BSLASHac] = ACTIONS(6854),
    [anon_sym_BSLASHAc] = ACTIONS(6854),
    [anon_sym_BSLASHacp] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6854),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6854),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6854),
    [anon_sym_BSLASHcolor] = ACTIONS(6854),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6854),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6854),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6854),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6854),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6854),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6854),
    [anon_sym_BSLASHurl] = ACTIONS(6854),
    [anon_sym_BSLASHhref] = ACTIONS(6854),
  },
  [733] = {
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(920),
    [aux_sym__section_repeat4] = STATE(920),
    [sym_command_name] = ACTIONS(6854),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6854),
    [anon_sym_LBRACK] = ACTIONS(6856),
    [anon_sym_RBRACK] = ACTIONS(6856),
    [anon_sym_COMMA] = ACTIONS(6856),
    [anon_sym_EQ] = ACTIONS(6856),
    [anon_sym_LPAREN] = ACTIONS(6856),
    [anon_sym_RPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHpart] = ACTIONS(6854),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddpart] = ACTIONS(6854),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHchapter] = ACTIONS(6854),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddchap] = ACTIONS(6854),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsection] = ACTIONS(6854),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddsec] = ACTIONS(6854),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHitem] = ACTIONS(6854),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6856),
    [anon_sym_LBRACE] = ACTIONS(6856),
    [sym_word] = ACTIONS(6854),
    [sym_placeholder] = ACTIONS(6856),
    [sym_delimiter] = ACTIONS(6856),
    [anon_sym_PLUS] = ACTIONS(6856),
    [anon_sym_DASH] = ACTIONS(6856),
    [anon_sym_STAR] = ACTIONS(6856),
    [anon_sym_SLASH] = ACTIONS(6856),
    [anon_sym_LT] = ACTIONS(6854),
    [anon_sym_GT] = ACTIONS(6854),
    [anon_sym_BANG] = ACTIONS(6854),
    [anon_sym_PIPE] = ACTIONS(6854),
    [anon_sym_COLON] = ACTIONS(6854),
    [anon_sym_SQUOTE] = ACTIONS(6854),
    [anon_sym__] = ACTIONS(6856),
    [anon_sym_CARET] = ACTIONS(6856),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6856),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6856),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6856),
    [anon_sym_DOLLAR] = ACTIONS(6854),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHleft] = ACTIONS(6854),
    [anon_sym_BSLASHbigl] = ACTIONS(6854),
    [anon_sym_BSLASHBigl] = ACTIONS(6854),
    [anon_sym_BSLASHbiggl] = ACTIONS(6854),
    [anon_sym_BSLASHBiggl] = ACTIONS(6854),
    [anon_sym_BSLASHtext] = ACTIONS(6854),
    [anon_sym_BSLASHintertext] = ACTIONS(6854),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6854),
    [anon_sym_BSLASHbegin] = ACTIONS(6854),
    [anon_sym_BSLASHtitle] = ACTIONS(6854),
    [anon_sym_BSLASHauthor] = ACTIONS(6854),
    [anon_sym_BSLASHusepackage] = ACTIONS(6854),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6854),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6854),
    [anon_sym_BSLASHinclude] = ACTIONS(6854),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6854),
    [anon_sym_BSLASHinput] = ACTIONS(6854),
    [anon_sym_BSLASHsubfile] = ACTIONS(6854),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6854),
    [anon_sym_BSLASHbibliography] = ACTIONS(6854),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6854),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6854),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6854),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6854),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6854),
    [anon_sym_BSLASHimport] = ACTIONS(6854),
    [anon_sym_BSLASHsubimport] = ACTIONS(6854),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6854),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHcaption] = ACTIONS(6854),
    [anon_sym_BSLASHcite] = ACTIONS(6854),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCite] = ACTIONS(6854),
    [anon_sym_BSLASHnocite] = ACTIONS(6854),
    [anon_sym_BSLASHcitet] = ACTIONS(6854),
    [anon_sym_BSLASHcitep] = ACTIONS(6854),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteA] = ACTIONS(6854),
    [anon_sym_BSLASHciteR] = ACTIONS(6854),
    [anon_sym_BSLASHciteS] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6854),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteyear] = ACTIONS(6854),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitedate] = ACTIONS(6854),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteurl] = ACTIONS(6854),
    [anon_sym_BSLASHfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6854),
    [anon_sym_BSLASHcitealt] = ACTIONS(6854),
    [anon_sym_BSLASHcitealp] = ACTIONS(6854),
    [anon_sym_BSLASHcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHparencite] = ACTIONS(6854),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHParencite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHtextcite] = ACTIONS(6854),
    [anon_sym_BSLASHTextcite] = ACTIONS(6854),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHsupercite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite] = ACTIONS(6854),
    [anon_sym_BSLASHAutocite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHVolcite] = ACTIONS(6854),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHavolcite] = ACTIONS(6854),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHNotecite] = ACTIONS(6854),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHlabel] = ACTIONS(6854),
    [anon_sym_BSLASHref] = ACTIONS(6854),
    [anon_sym_BSLASHeqref] = ACTIONS(6854),
    [anon_sym_BSLASHvref] = ACTIONS(6854),
    [anon_sym_BSLASHVref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHpageref] = ACTIONS(6854),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHautopageref] = ACTIONS(6854),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcref] = ACTIONS(6854),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCref] = ACTIONS(6854),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHCpageref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnameCref] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6854),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHdef] = ACTIONS(6854),
    [anon_sym_BSLASHgdef] = ACTIONS(6854),
    [anon_sym_BSLASHedef] = ACTIONS(6854),
    [anon_sym_BSLASHxdef] = ACTIONS(6854),
    [anon_sym_BSLASHlet] = ACTIONS(6854),
    [anon_sym_BSLASHglet] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6854),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6854),
    [anon_sym_BSLASHgls] = ACTIONS(6854),
    [anon_sym_BSLASHGls] = ACTIONS(6854),
    [anon_sym_BSLASHGLS] = ACTIONS(6854),
    [anon_sym_BSLASHglspl] = ACTIONS(6854),
    [anon_sym_BSLASHGlspl] = ACTIONS(6854),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6854),
    [anon_sym_BSLASHglslink] = ACTIONS(6854),
    [anon_sym_BSLASHglstext] = ACTIONS(6854),
    [anon_sym_BSLASHGlstext] = ACTIONS(6854),
    [anon_sym_BSLASHGLStext] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6854),
    [anon_sym_BSLASHglsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsname] = ACTIONS(6854),
    [anon_sym_BSLASHGlsname] = ACTIONS(6854),
    [anon_sym_BSLASHGLSname] = ACTIONS(6854),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6854),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6854),
    [anon_sym_BSLASHacrshort] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6854),
    [anon_sym_BSLASHACRshort] = ACTIONS(6854),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrlong] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6854),
    [anon_sym_BSLASHACRlong] = ACTIONS(6854),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrfull] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6854),
    [anon_sym_BSLASHACRfull] = ACTIONS(6854),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHacs] = ACTIONS(6854),
    [anon_sym_BSLASHAcs] = ACTIONS(6854),
    [anon_sym_BSLASHacsp] = ACTIONS(6854),
    [anon_sym_BSLASHAcsp] = ACTIONS(6854),
    [anon_sym_BSLASHacl] = ACTIONS(6854),
    [anon_sym_BSLASHAcl] = ACTIONS(6854),
    [anon_sym_BSLASHaclp] = ACTIONS(6854),
    [anon_sym_BSLASHAclp] = ACTIONS(6854),
    [anon_sym_BSLASHacf] = ACTIONS(6854),
    [anon_sym_BSLASHAcf] = ACTIONS(6854),
    [anon_sym_BSLASHacfp] = ACTIONS(6854),
    [anon_sym_BSLASHAcfp] = ACTIONS(6854),
    [anon_sym_BSLASHac] = ACTIONS(6854),
    [anon_sym_BSLASHAc] = ACTIONS(6854),
    [anon_sym_BSLASHacp] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6854),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6854),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6854),
    [anon_sym_BSLASHcolor] = ACTIONS(6854),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6854),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6854),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6854),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6854),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6854),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6854),
    [anon_sym_BSLASHurl] = ACTIONS(6854),
    [anon_sym_BSLASHhref] = ACTIONS(6854),
  },
  [734] = {
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(734),
    [aux_sym__section_repeat1] = STATE(734),
    [sym_command_name] = ACTIONS(6756),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6756),
    [anon_sym_LBRACK] = ACTIONS(6758),
    [anon_sym_RBRACK] = ACTIONS(6758),
    [anon_sym_COMMA] = ACTIONS(6758),
    [anon_sym_EQ] = ACTIONS(6758),
    [anon_sym_LPAREN] = ACTIONS(6758),
    [anon_sym_RPAREN] = ACTIONS(6758),
    [anon_sym_BSLASHpart] = ACTIONS(7611),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7614),
    [anon_sym_BSLASHaddpart] = ACTIONS(7611),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7614),
    [anon_sym_BSLASHchapter] = ACTIONS(6756),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHaddchap] = ACTIONS(6756),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHsection] = ACTIONS(6756),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHaddsec] = ACTIONS(6756),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHsubsection] = ACTIONS(6756),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6756),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHparagraph] = ACTIONS(6756),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6756),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHitem] = ACTIONS(6756),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6758),
    [anon_sym_LBRACE] = ACTIONS(6758),
    [sym_word] = ACTIONS(6756),
    [sym_placeholder] = ACTIONS(6758),
    [sym_delimiter] = ACTIONS(6758),
    [anon_sym_PLUS] = ACTIONS(6758),
    [anon_sym_DASH] = ACTIONS(6758),
    [anon_sym_STAR] = ACTIONS(6758),
    [anon_sym_SLASH] = ACTIONS(6758),
    [anon_sym_LT] = ACTIONS(6756),
    [anon_sym_GT] = ACTIONS(6756),
    [anon_sym_BANG] = ACTIONS(6756),
    [anon_sym_PIPE] = ACTIONS(6756),
    [anon_sym_COLON] = ACTIONS(6756),
    [anon_sym_SQUOTE] = ACTIONS(6756),
    [anon_sym__] = ACTIONS(6758),
    [anon_sym_CARET] = ACTIONS(6758),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6758),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6758),
    [anon_sym_DOLLAR] = ACTIONS(6756),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6758),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6758),
    [anon_sym_BSLASHleft] = ACTIONS(6756),
    [anon_sym_BSLASHbigl] = ACTIONS(6756),
    [anon_sym_BSLASHBigl] = ACTIONS(6756),
    [anon_sym_BSLASHbiggl] = ACTIONS(6756),
    [anon_sym_BSLASHBiggl] = ACTIONS(6756),
    [anon_sym_BSLASHtext] = ACTIONS(6756),
    [anon_sym_BSLASHintertext] = ACTIONS(6756),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6756),
    [anon_sym_BSLASHbegin] = ACTIONS(6756),
    [anon_sym_BSLASHtitle] = ACTIONS(6756),
    [anon_sym_BSLASHauthor] = ACTIONS(6756),
    [anon_sym_BSLASHusepackage] = ACTIONS(6756),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6756),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6756),
    [anon_sym_BSLASHinclude] = ACTIONS(6756),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6756),
    [anon_sym_BSLASHinput] = ACTIONS(6756),
    [anon_sym_BSLASHsubfile] = ACTIONS(6756),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6756),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6756),
    [anon_sym_BSLASHbibliography] = ACTIONS(6756),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6756),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6756),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6756),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6756),
    [anon_sym_BSLASHimport] = ACTIONS(6756),
    [anon_sym_BSLASHsubimport] = ACTIONS(6756),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6756),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6756),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6756),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6756),
    [anon_sym_BSLASHcaption] = ACTIONS(6756),
    [anon_sym_BSLASHcite] = ACTIONS(6756),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHCite] = ACTIONS(6756),
    [anon_sym_BSLASHnocite] = ACTIONS(6756),
    [anon_sym_BSLASHcitet] = ACTIONS(6756),
    [anon_sym_BSLASHcitep] = ACTIONS(6756),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHciteA] = ACTIONS(6756),
    [anon_sym_BSLASHciteR] = ACTIONS(6756),
    [anon_sym_BSLASHciteS] = ACTIONS(6756),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6756),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6756),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6756),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6756),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHciteyear] = ACTIONS(6756),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcitedate] = ACTIONS(6756),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHciteurl] = ACTIONS(6756),
    [anon_sym_BSLASHfullcite] = ACTIONS(6756),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6756),
    [anon_sym_BSLASHcitealt] = ACTIONS(6756),
    [anon_sym_BSLASHcitealp] = ACTIONS(6756),
    [anon_sym_BSLASHcitetext] = ACTIONS(6756),
    [anon_sym_BSLASHparencite] = ACTIONS(6756),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHParencite] = ACTIONS(6756),
    [anon_sym_BSLASHfootcite] = ACTIONS(6756),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6756),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6756),
    [anon_sym_BSLASHtextcite] = ACTIONS(6756),
    [anon_sym_BSLASHTextcite] = ACTIONS(6756),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6756),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6756),
    [anon_sym_BSLASHsupercite] = ACTIONS(6756),
    [anon_sym_BSLASHautocite] = ACTIONS(6756),
    [anon_sym_BSLASHAutocite] = ACTIONS(6756),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHVolcite] = ACTIONS(6756),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHavolcite] = ACTIONS(6756),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHnotecite] = ACTIONS(6756),
    [anon_sym_BSLASHNotecite] = ACTIONS(6756),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6756),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6756),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6756),
    [anon_sym_BSLASHlabel] = ACTIONS(6756),
    [anon_sym_BSLASHref] = ACTIONS(6756),
    [anon_sym_BSLASHeqref] = ACTIONS(6756),
    [anon_sym_BSLASHvref] = ACTIONS(6756),
    [anon_sym_BSLASHVref] = ACTIONS(6756),
    [anon_sym_BSLASHautoref] = ACTIONS(6756),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHpageref] = ACTIONS(6756),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHautopageref] = ACTIONS(6756),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcref] = ACTIONS(6756),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHCref] = ACTIONS(6756),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcpageref] = ACTIONS(6756),
    [anon_sym_BSLASHCpageref] = ACTIONS(6756),
    [anon_sym_BSLASHnamecref] = ACTIONS(6756),
    [anon_sym_BSLASHnameCref] = ACTIONS(6756),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6756),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6756),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6756),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6756),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6756),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6756),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6756),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6756),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6756),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6756),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6756),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6756),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6756),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6756),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6756),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6756),
    [anon_sym_BSLASHdef] = ACTIONS(6756),
    [anon_sym_BSLASHgdef] = ACTIONS(6756),
    [anon_sym_BSLASHedef] = ACTIONS(6756),
    [anon_sym_BSLASHxdef] = ACTIONS(6756),
    [anon_sym_BSLASHlet] = ACTIONS(6756),
    [anon_sym_BSLASHglet] = ACTIONS(6756),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6756),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6756),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6756),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6756),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6756),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6756),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6756),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6756),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6756),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6756),
    [anon_sym_BSLASHgls] = ACTIONS(6756),
    [anon_sym_BSLASHGls] = ACTIONS(6756),
    [anon_sym_BSLASHGLS] = ACTIONS(6756),
    [anon_sym_BSLASHglspl] = ACTIONS(6756),
    [anon_sym_BSLASHGlspl] = ACTIONS(6756),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6756),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6756),
    [anon_sym_BSLASHglslink] = ACTIONS(6756),
    [anon_sym_BSLASHglstext] = ACTIONS(6756),
    [anon_sym_BSLASHGlstext] = ACTIONS(6756),
    [anon_sym_BSLASHGLStext] = ACTIONS(6756),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6756),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6756),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6756),
    [anon_sym_BSLASHglsplural] = ACTIONS(6756),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6756),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6756),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6756),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6756),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6756),
    [anon_sym_BSLASHglsname] = ACTIONS(6756),
    [anon_sym_BSLASHGlsname] = ACTIONS(6756),
    [anon_sym_BSLASHGLSname] = ACTIONS(6756),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6756),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6756),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6756),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6756),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6756),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6756),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6756),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6756),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6756),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6756),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6756),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6756),
    [anon_sym_BSLASHacrshort] = ACTIONS(6756),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6756),
    [anon_sym_BSLASHACRshort] = ACTIONS(6756),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6756),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6756),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6756),
    [anon_sym_BSLASHacrlong] = ACTIONS(6756),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6756),
    [anon_sym_BSLASHACRlong] = ACTIONS(6756),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6756),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6756),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6756),
    [anon_sym_BSLASHacrfull] = ACTIONS(6756),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6756),
    [anon_sym_BSLASHACRfull] = ACTIONS(6756),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6756),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6756),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6756),
    [anon_sym_BSLASHacs] = ACTIONS(6756),
    [anon_sym_BSLASHAcs] = ACTIONS(6756),
    [anon_sym_BSLASHacsp] = ACTIONS(6756),
    [anon_sym_BSLASHAcsp] = ACTIONS(6756),
    [anon_sym_BSLASHacl] = ACTIONS(6756),
    [anon_sym_BSLASHAcl] = ACTIONS(6756),
    [anon_sym_BSLASHaclp] = ACTIONS(6756),
    [anon_sym_BSLASHAclp] = ACTIONS(6756),
    [anon_sym_BSLASHacf] = ACTIONS(6756),
    [anon_sym_BSLASHAcf] = ACTIONS(6756),
    [anon_sym_BSLASHacfp] = ACTIONS(6756),
    [anon_sym_BSLASHAcfp] = ACTIONS(6756),
    [anon_sym_BSLASHac] = ACTIONS(6756),
    [anon_sym_BSLASHAc] = ACTIONS(6756),
    [anon_sym_BSLASHacp] = ACTIONS(6756),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6756),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6756),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6756),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6756),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6756),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6756),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6756),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6756),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6756),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6756),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6756),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6756),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6756),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6756),
    [anon_sym_BSLASHcolor] = ACTIONS(6756),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6756),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6756),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6756),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6756),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6756),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6756),
    [anon_sym_BSLASHurl] = ACTIONS(6756),
    [anon_sym_BSLASHhref] = ACTIONS(6756),
  },
  [735] = {
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(735),
    [aux_sym__section_repeat2] = STATE(735),
    [sym_command_name] = ACTIONS(6766),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6766),
    [anon_sym_LBRACK] = ACTIONS(6768),
    [anon_sym_RBRACK] = ACTIONS(6768),
    [anon_sym_COMMA] = ACTIONS(6768),
    [anon_sym_EQ] = ACTIONS(6768),
    [anon_sym_LPAREN] = ACTIONS(6768),
    [anon_sym_RPAREN] = ACTIONS(6768),
    [anon_sym_BSLASHpart] = ACTIONS(6766),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHaddpart] = ACTIONS(6766),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHchapter] = ACTIONS(7617),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7620),
    [anon_sym_BSLASHaddchap] = ACTIONS(7617),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7620),
    [anon_sym_BSLASHsection] = ACTIONS(6766),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHaddsec] = ACTIONS(6766),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHsubsection] = ACTIONS(6766),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6766),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHparagraph] = ACTIONS(6766),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6766),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHitem] = ACTIONS(6766),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6768),
    [anon_sym_LBRACE] = ACTIONS(6768),
    [sym_word] = ACTIONS(6766),
    [sym_placeholder] = ACTIONS(6768),
    [sym_delimiter] = ACTIONS(6768),
    [anon_sym_PLUS] = ACTIONS(6768),
    [anon_sym_DASH] = ACTIONS(6768),
    [anon_sym_STAR] = ACTIONS(6768),
    [anon_sym_SLASH] = ACTIONS(6768),
    [anon_sym_LT] = ACTIONS(6766),
    [anon_sym_GT] = ACTIONS(6766),
    [anon_sym_BANG] = ACTIONS(6766),
    [anon_sym_PIPE] = ACTIONS(6766),
    [anon_sym_COLON] = ACTIONS(6766),
    [anon_sym_SQUOTE] = ACTIONS(6766),
    [anon_sym__] = ACTIONS(6768),
    [anon_sym_CARET] = ACTIONS(6768),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6768),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6768),
    [anon_sym_DOLLAR] = ACTIONS(6766),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6768),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6768),
    [anon_sym_BSLASHleft] = ACTIONS(6766),
    [anon_sym_BSLASHbigl] = ACTIONS(6766),
    [anon_sym_BSLASHBigl] = ACTIONS(6766),
    [anon_sym_BSLASHbiggl] = ACTIONS(6766),
    [anon_sym_BSLASHBiggl] = ACTIONS(6766),
    [anon_sym_BSLASHtext] = ACTIONS(6766),
    [anon_sym_BSLASHintertext] = ACTIONS(6766),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6766),
    [anon_sym_BSLASHbegin] = ACTIONS(6766),
    [anon_sym_BSLASHtitle] = ACTIONS(6766),
    [anon_sym_BSLASHauthor] = ACTIONS(6766),
    [anon_sym_BSLASHusepackage] = ACTIONS(6766),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6766),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6766),
    [anon_sym_BSLASHinclude] = ACTIONS(6766),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6766),
    [anon_sym_BSLASHinput] = ACTIONS(6766),
    [anon_sym_BSLASHsubfile] = ACTIONS(6766),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6766),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6766),
    [anon_sym_BSLASHbibliography] = ACTIONS(6766),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6766),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6766),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6766),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6766),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6766),
    [anon_sym_BSLASHimport] = ACTIONS(6766),
    [anon_sym_BSLASHsubimport] = ACTIONS(6766),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6766),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6766),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6766),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6766),
    [anon_sym_BSLASHcaption] = ACTIONS(6766),
    [anon_sym_BSLASHcite] = ACTIONS(6766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHCite] = ACTIONS(6766),
    [anon_sym_BSLASHnocite] = ACTIONS(6766),
    [anon_sym_BSLASHcitet] = ACTIONS(6766),
    [anon_sym_BSLASHcitep] = ACTIONS(6766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHciteA] = ACTIONS(6766),
    [anon_sym_BSLASHciteR] = ACTIONS(6766),
    [anon_sym_BSLASHciteS] = ACTIONS(6766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHciteyear] = ACTIONS(6766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcitedate] = ACTIONS(6766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHciteurl] = ACTIONS(6766),
    [anon_sym_BSLASHfullcite] = ACTIONS(6766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6766),
    [anon_sym_BSLASHcitealt] = ACTIONS(6766),
    [anon_sym_BSLASHcitealp] = ACTIONS(6766),
    [anon_sym_BSLASHcitetext] = ACTIONS(6766),
    [anon_sym_BSLASHparencite] = ACTIONS(6766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHParencite] = ACTIONS(6766),
    [anon_sym_BSLASHfootcite] = ACTIONS(6766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6766),
    [anon_sym_BSLASHtextcite] = ACTIONS(6766),
    [anon_sym_BSLASHTextcite] = ACTIONS(6766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6766),
    [anon_sym_BSLASHsupercite] = ACTIONS(6766),
    [anon_sym_BSLASHautocite] = ACTIONS(6766),
    [anon_sym_BSLASHAutocite] = ACTIONS(6766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHVolcite] = ACTIONS(6766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHavolcite] = ACTIONS(6766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHnotecite] = ACTIONS(6766),
    [anon_sym_BSLASHNotecite] = ACTIONS(6766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6766),
    [anon_sym_BSLASHlabel] = ACTIONS(6766),
    [anon_sym_BSLASHref] = ACTIONS(6766),
    [anon_sym_BSLASHeqref] = ACTIONS(6766),
    [anon_sym_BSLASHvref] = ACTIONS(6766),
    [anon_sym_BSLASHVref] = ACTIONS(6766),
    [anon_sym_BSLASHautoref] = ACTIONS(6766),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHpageref] = ACTIONS(6766),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHautopageref] = ACTIONS(6766),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcref] = ACTIONS(6766),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHCref] = ACTIONS(6766),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcpageref] = ACTIONS(6766),
    [anon_sym_BSLASHCpageref] = ACTIONS(6766),
    [anon_sym_BSLASHnamecref] = ACTIONS(6766),
    [anon_sym_BSLASHnameCref] = ACTIONS(6766),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6766),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6766),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6766),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6766),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6766),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6766),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6766),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6766),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6766),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6766),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6766),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6766),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6766),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6766),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6766),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6766),
    [anon_sym_BSLASHdef] = ACTIONS(6766),
    [anon_sym_BSLASHgdef] = ACTIONS(6766),
    [anon_sym_BSLASHedef] = ACTIONS(6766),
    [anon_sym_BSLASHxdef] = ACTIONS(6766),
    [anon_sym_BSLASHlet] = ACTIONS(6766),
    [anon_sym_BSLASHglet] = ACTIONS(6766),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6766),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6766),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6766),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6766),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6766),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6766),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6766),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6766),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6766),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6766),
    [anon_sym_BSLASHgls] = ACTIONS(6766),
    [anon_sym_BSLASHGls] = ACTIONS(6766),
    [anon_sym_BSLASHGLS] = ACTIONS(6766),
    [anon_sym_BSLASHglspl] = ACTIONS(6766),
    [anon_sym_BSLASHGlspl] = ACTIONS(6766),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6766),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6766),
    [anon_sym_BSLASHglslink] = ACTIONS(6766),
    [anon_sym_BSLASHglstext] = ACTIONS(6766),
    [anon_sym_BSLASHGlstext] = ACTIONS(6766),
    [anon_sym_BSLASHGLStext] = ACTIONS(6766),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6766),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6766),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6766),
    [anon_sym_BSLASHglsplural] = ACTIONS(6766),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6766),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6766),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6766),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6766),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6766),
    [anon_sym_BSLASHglsname] = ACTIONS(6766),
    [anon_sym_BSLASHGlsname] = ACTIONS(6766),
    [anon_sym_BSLASHGLSname] = ACTIONS(6766),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6766),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6766),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6766),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6766),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6766),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6766),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6766),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6766),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6766),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6766),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6766),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6766),
    [anon_sym_BSLASHacrshort] = ACTIONS(6766),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6766),
    [anon_sym_BSLASHACRshort] = ACTIONS(6766),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6766),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6766),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6766),
    [anon_sym_BSLASHacrlong] = ACTIONS(6766),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6766),
    [anon_sym_BSLASHACRlong] = ACTIONS(6766),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6766),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6766),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6766),
    [anon_sym_BSLASHacrfull] = ACTIONS(6766),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6766),
    [anon_sym_BSLASHACRfull] = ACTIONS(6766),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6766),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6766),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6766),
    [anon_sym_BSLASHacs] = ACTIONS(6766),
    [anon_sym_BSLASHAcs] = ACTIONS(6766),
    [anon_sym_BSLASHacsp] = ACTIONS(6766),
    [anon_sym_BSLASHAcsp] = ACTIONS(6766),
    [anon_sym_BSLASHacl] = ACTIONS(6766),
    [anon_sym_BSLASHAcl] = ACTIONS(6766),
    [anon_sym_BSLASHaclp] = ACTIONS(6766),
    [anon_sym_BSLASHAclp] = ACTIONS(6766),
    [anon_sym_BSLASHacf] = ACTIONS(6766),
    [anon_sym_BSLASHAcf] = ACTIONS(6766),
    [anon_sym_BSLASHacfp] = ACTIONS(6766),
    [anon_sym_BSLASHAcfp] = ACTIONS(6766),
    [anon_sym_BSLASHac] = ACTIONS(6766),
    [anon_sym_BSLASHAc] = ACTIONS(6766),
    [anon_sym_BSLASHacp] = ACTIONS(6766),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6766),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6766),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6766),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6766),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6766),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6766),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6766),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6766),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6766),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6766),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6766),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6766),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6766),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6766),
    [anon_sym_BSLASHcolor] = ACTIONS(6766),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6766),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6766),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6766),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6766),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6766),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6766),
    [anon_sym_BSLASHurl] = ACTIONS(6766),
    [anon_sym_BSLASHhref] = ACTIONS(6766),
  },
  [736] = {
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(736),
    [aux_sym__section_repeat3] = STATE(736),
    [sym_command_name] = ACTIONS(6776),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6776),
    [anon_sym_LBRACK] = ACTIONS(6778),
    [anon_sym_RBRACK] = ACTIONS(6778),
    [anon_sym_COMMA] = ACTIONS(6778),
    [anon_sym_EQ] = ACTIONS(6778),
    [anon_sym_LPAREN] = ACTIONS(6778),
    [anon_sym_RPAREN] = ACTIONS(6778),
    [anon_sym_BSLASHpart] = ACTIONS(6776),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHaddpart] = ACTIONS(6776),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHchapter] = ACTIONS(6776),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHaddchap] = ACTIONS(6776),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHsection] = ACTIONS(7623),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7626),
    [anon_sym_BSLASHaddsec] = ACTIONS(7623),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7626),
    [anon_sym_BSLASHsubsection] = ACTIONS(6776),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6776),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHparagraph] = ACTIONS(6776),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6776),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHitem] = ACTIONS(6776),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6778),
    [anon_sym_LBRACE] = ACTIONS(6778),
    [sym_word] = ACTIONS(6776),
    [sym_placeholder] = ACTIONS(6778),
    [sym_delimiter] = ACTIONS(6778),
    [anon_sym_PLUS] = ACTIONS(6778),
    [anon_sym_DASH] = ACTIONS(6778),
    [anon_sym_STAR] = ACTIONS(6778),
    [anon_sym_SLASH] = ACTIONS(6778),
    [anon_sym_LT] = ACTIONS(6776),
    [anon_sym_GT] = ACTIONS(6776),
    [anon_sym_BANG] = ACTIONS(6776),
    [anon_sym_PIPE] = ACTIONS(6776),
    [anon_sym_COLON] = ACTIONS(6776),
    [anon_sym_SQUOTE] = ACTIONS(6776),
    [anon_sym__] = ACTIONS(6778),
    [anon_sym_CARET] = ACTIONS(6778),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6778),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6778),
    [anon_sym_DOLLAR] = ACTIONS(6776),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6778),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6778),
    [anon_sym_BSLASHleft] = ACTIONS(6776),
    [anon_sym_BSLASHbigl] = ACTIONS(6776),
    [anon_sym_BSLASHBigl] = ACTIONS(6776),
    [anon_sym_BSLASHbiggl] = ACTIONS(6776),
    [anon_sym_BSLASHBiggl] = ACTIONS(6776),
    [anon_sym_BSLASHtext] = ACTIONS(6776),
    [anon_sym_BSLASHintertext] = ACTIONS(6776),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6776),
    [anon_sym_BSLASHbegin] = ACTIONS(6776),
    [anon_sym_BSLASHtitle] = ACTIONS(6776),
    [anon_sym_BSLASHauthor] = ACTIONS(6776),
    [anon_sym_BSLASHusepackage] = ACTIONS(6776),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6776),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6776),
    [anon_sym_BSLASHinclude] = ACTIONS(6776),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6776),
    [anon_sym_BSLASHinput] = ACTIONS(6776),
    [anon_sym_BSLASHsubfile] = ACTIONS(6776),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6776),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6776),
    [anon_sym_BSLASHbibliography] = ACTIONS(6776),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6776),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6776),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6776),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6776),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6776),
    [anon_sym_BSLASHimport] = ACTIONS(6776),
    [anon_sym_BSLASHsubimport] = ACTIONS(6776),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6776),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6776),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6776),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6776),
    [anon_sym_BSLASHcaption] = ACTIONS(6776),
    [anon_sym_BSLASHcite] = ACTIONS(6776),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHCite] = ACTIONS(6776),
    [anon_sym_BSLASHnocite] = ACTIONS(6776),
    [anon_sym_BSLASHcitet] = ACTIONS(6776),
    [anon_sym_BSLASHcitep] = ACTIONS(6776),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHciteA] = ACTIONS(6776),
    [anon_sym_BSLASHciteR] = ACTIONS(6776),
    [anon_sym_BSLASHciteS] = ACTIONS(6776),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6776),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6776),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6776),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6776),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHciteyear] = ACTIONS(6776),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcitedate] = ACTIONS(6776),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHciteurl] = ACTIONS(6776),
    [anon_sym_BSLASHfullcite] = ACTIONS(6776),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6776),
    [anon_sym_BSLASHcitealt] = ACTIONS(6776),
    [anon_sym_BSLASHcitealp] = ACTIONS(6776),
    [anon_sym_BSLASHcitetext] = ACTIONS(6776),
    [anon_sym_BSLASHparencite] = ACTIONS(6776),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHParencite] = ACTIONS(6776),
    [anon_sym_BSLASHfootcite] = ACTIONS(6776),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6776),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6776),
    [anon_sym_BSLASHtextcite] = ACTIONS(6776),
    [anon_sym_BSLASHTextcite] = ACTIONS(6776),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6776),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6776),
    [anon_sym_BSLASHsupercite] = ACTIONS(6776),
    [anon_sym_BSLASHautocite] = ACTIONS(6776),
    [anon_sym_BSLASHAutocite] = ACTIONS(6776),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHVolcite] = ACTIONS(6776),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHavolcite] = ACTIONS(6776),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHnotecite] = ACTIONS(6776),
    [anon_sym_BSLASHNotecite] = ACTIONS(6776),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6776),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6776),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6776),
    [anon_sym_BSLASHlabel] = ACTIONS(6776),
    [anon_sym_BSLASHref] = ACTIONS(6776),
    [anon_sym_BSLASHeqref] = ACTIONS(6776),
    [anon_sym_BSLASHvref] = ACTIONS(6776),
    [anon_sym_BSLASHVref] = ACTIONS(6776),
    [anon_sym_BSLASHautoref] = ACTIONS(6776),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHpageref] = ACTIONS(6776),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHautopageref] = ACTIONS(6776),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcref] = ACTIONS(6776),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHCref] = ACTIONS(6776),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcpageref] = ACTIONS(6776),
    [anon_sym_BSLASHCpageref] = ACTIONS(6776),
    [anon_sym_BSLASHnamecref] = ACTIONS(6776),
    [anon_sym_BSLASHnameCref] = ACTIONS(6776),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6776),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6776),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6776),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6776),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6776),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6776),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6776),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6776),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6776),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6776),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6776),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6776),
    [anon_sym_BSLASHdef] = ACTIONS(6776),
    [anon_sym_BSLASHgdef] = ACTIONS(6776),
    [anon_sym_BSLASHedef] = ACTIONS(6776),
    [anon_sym_BSLASHxdef] = ACTIONS(6776),
    [anon_sym_BSLASHlet] = ACTIONS(6776),
    [anon_sym_BSLASHglet] = ACTIONS(6776),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6776),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6776),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6776),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6776),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6776),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6776),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6776),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6776),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6776),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6776),
    [anon_sym_BSLASHgls] = ACTIONS(6776),
    [anon_sym_BSLASHGls] = ACTIONS(6776),
    [anon_sym_BSLASHGLS] = ACTIONS(6776),
    [anon_sym_BSLASHglspl] = ACTIONS(6776),
    [anon_sym_BSLASHGlspl] = ACTIONS(6776),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6776),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6776),
    [anon_sym_BSLASHglslink] = ACTIONS(6776),
    [anon_sym_BSLASHglstext] = ACTIONS(6776),
    [anon_sym_BSLASHGlstext] = ACTIONS(6776),
    [anon_sym_BSLASHGLStext] = ACTIONS(6776),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6776),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6776),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6776),
    [anon_sym_BSLASHglsplural] = ACTIONS(6776),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6776),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6776),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6776),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6776),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6776),
    [anon_sym_BSLASHglsname] = ACTIONS(6776),
    [anon_sym_BSLASHGlsname] = ACTIONS(6776),
    [anon_sym_BSLASHGLSname] = ACTIONS(6776),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6776),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6776),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6776),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6776),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6776),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6776),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6776),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6776),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6776),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6776),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6776),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6776),
    [anon_sym_BSLASHacrshort] = ACTIONS(6776),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6776),
    [anon_sym_BSLASHACRshort] = ACTIONS(6776),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6776),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6776),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6776),
    [anon_sym_BSLASHacrlong] = ACTIONS(6776),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6776),
    [anon_sym_BSLASHACRlong] = ACTIONS(6776),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6776),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6776),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6776),
    [anon_sym_BSLASHacrfull] = ACTIONS(6776),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6776),
    [anon_sym_BSLASHACRfull] = ACTIONS(6776),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6776),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6776),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6776),
    [anon_sym_BSLASHacs] = ACTIONS(6776),
    [anon_sym_BSLASHAcs] = ACTIONS(6776),
    [anon_sym_BSLASHacsp] = ACTIONS(6776),
    [anon_sym_BSLASHAcsp] = ACTIONS(6776),
    [anon_sym_BSLASHacl] = ACTIONS(6776),
    [anon_sym_BSLASHAcl] = ACTIONS(6776),
    [anon_sym_BSLASHaclp] = ACTIONS(6776),
    [anon_sym_BSLASHAclp] = ACTIONS(6776),
    [anon_sym_BSLASHacf] = ACTIONS(6776),
    [anon_sym_BSLASHAcf] = ACTIONS(6776),
    [anon_sym_BSLASHacfp] = ACTIONS(6776),
    [anon_sym_BSLASHAcfp] = ACTIONS(6776),
    [anon_sym_BSLASHac] = ACTIONS(6776),
    [anon_sym_BSLASHAc] = ACTIONS(6776),
    [anon_sym_BSLASHacp] = ACTIONS(6776),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6776),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6776),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6776),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6776),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6776),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6776),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6776),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6776),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6776),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6776),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6776),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6776),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6776),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6776),
    [anon_sym_BSLASHcolor] = ACTIONS(6776),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6776),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6776),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6776),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6776),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6776),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6776),
    [anon_sym_BSLASHurl] = ACTIONS(6776),
    [anon_sym_BSLASHhref] = ACTIONS(6776),
  },
  [737] = {
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(737),
    [aux_sym__section_repeat4] = STATE(737),
    [sym_command_name] = ACTIONS(6786),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6786),
    [anon_sym_LBRACK] = ACTIONS(6788),
    [anon_sym_RBRACK] = ACTIONS(6788),
    [anon_sym_COMMA] = ACTIONS(6788),
    [anon_sym_EQ] = ACTIONS(6788),
    [anon_sym_LPAREN] = ACTIONS(6788),
    [anon_sym_RPAREN] = ACTIONS(6788),
    [anon_sym_BSLASHpart] = ACTIONS(6786),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHaddpart] = ACTIONS(6786),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHchapter] = ACTIONS(6786),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHaddchap] = ACTIONS(6786),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHsection] = ACTIONS(6786),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHaddsec] = ACTIONS(6786),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHsubsection] = ACTIONS(7629),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7632),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6786),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHparagraph] = ACTIONS(6786),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6786),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHitem] = ACTIONS(6786),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6788),
    [anon_sym_LBRACE] = ACTIONS(6788),
    [sym_word] = ACTIONS(6786),
    [sym_placeholder] = ACTIONS(6788),
    [sym_delimiter] = ACTIONS(6788),
    [anon_sym_PLUS] = ACTIONS(6788),
    [anon_sym_DASH] = ACTIONS(6788),
    [anon_sym_STAR] = ACTIONS(6788),
    [anon_sym_SLASH] = ACTIONS(6788),
    [anon_sym_LT] = ACTIONS(6786),
    [anon_sym_GT] = ACTIONS(6786),
    [anon_sym_BANG] = ACTIONS(6786),
    [anon_sym_PIPE] = ACTIONS(6786),
    [anon_sym_COLON] = ACTIONS(6786),
    [anon_sym_SQUOTE] = ACTIONS(6786),
    [anon_sym__] = ACTIONS(6788),
    [anon_sym_CARET] = ACTIONS(6788),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6788),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6788),
    [anon_sym_DOLLAR] = ACTIONS(6786),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6788),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6788),
    [anon_sym_BSLASHleft] = ACTIONS(6786),
    [anon_sym_BSLASHbigl] = ACTIONS(6786),
    [anon_sym_BSLASHBigl] = ACTIONS(6786),
    [anon_sym_BSLASHbiggl] = ACTIONS(6786),
    [anon_sym_BSLASHBiggl] = ACTIONS(6786),
    [anon_sym_BSLASHtext] = ACTIONS(6786),
    [anon_sym_BSLASHintertext] = ACTIONS(6786),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6786),
    [anon_sym_BSLASHbegin] = ACTIONS(6786),
    [anon_sym_BSLASHtitle] = ACTIONS(6786),
    [anon_sym_BSLASHauthor] = ACTIONS(6786),
    [anon_sym_BSLASHusepackage] = ACTIONS(6786),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6786),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6786),
    [anon_sym_BSLASHinclude] = ACTIONS(6786),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6786),
    [anon_sym_BSLASHinput] = ACTIONS(6786),
    [anon_sym_BSLASHsubfile] = ACTIONS(6786),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6786),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6786),
    [anon_sym_BSLASHbibliography] = ACTIONS(6786),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6786),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6786),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6786),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6786),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6786),
    [anon_sym_BSLASHimport] = ACTIONS(6786),
    [anon_sym_BSLASHsubimport] = ACTIONS(6786),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6786),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6786),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6786),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6786),
    [anon_sym_BSLASHcaption] = ACTIONS(6786),
    [anon_sym_BSLASHcite] = ACTIONS(6786),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHCite] = ACTIONS(6786),
    [anon_sym_BSLASHnocite] = ACTIONS(6786),
    [anon_sym_BSLASHcitet] = ACTIONS(6786),
    [anon_sym_BSLASHcitep] = ACTIONS(6786),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHciteA] = ACTIONS(6786),
    [anon_sym_BSLASHciteR] = ACTIONS(6786),
    [anon_sym_BSLASHciteS] = ACTIONS(6786),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6786),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6786),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6786),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6786),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHciteyear] = ACTIONS(6786),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcitedate] = ACTIONS(6786),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHciteurl] = ACTIONS(6786),
    [anon_sym_BSLASHfullcite] = ACTIONS(6786),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6786),
    [anon_sym_BSLASHcitealt] = ACTIONS(6786),
    [anon_sym_BSLASHcitealp] = ACTIONS(6786),
    [anon_sym_BSLASHcitetext] = ACTIONS(6786),
    [anon_sym_BSLASHparencite] = ACTIONS(6786),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHParencite] = ACTIONS(6786),
    [anon_sym_BSLASHfootcite] = ACTIONS(6786),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6786),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6786),
    [anon_sym_BSLASHtextcite] = ACTIONS(6786),
    [anon_sym_BSLASHTextcite] = ACTIONS(6786),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6786),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6786),
    [anon_sym_BSLASHsupercite] = ACTIONS(6786),
    [anon_sym_BSLASHautocite] = ACTIONS(6786),
    [anon_sym_BSLASHAutocite] = ACTIONS(6786),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHVolcite] = ACTIONS(6786),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHavolcite] = ACTIONS(6786),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHnotecite] = ACTIONS(6786),
    [anon_sym_BSLASHNotecite] = ACTIONS(6786),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6786),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6786),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6786),
    [anon_sym_BSLASHlabel] = ACTIONS(6786),
    [anon_sym_BSLASHref] = ACTIONS(6786),
    [anon_sym_BSLASHeqref] = ACTIONS(6786),
    [anon_sym_BSLASHvref] = ACTIONS(6786),
    [anon_sym_BSLASHVref] = ACTIONS(6786),
    [anon_sym_BSLASHautoref] = ACTIONS(6786),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHpageref] = ACTIONS(6786),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHautopageref] = ACTIONS(6786),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcref] = ACTIONS(6786),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHCref] = ACTIONS(6786),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcpageref] = ACTIONS(6786),
    [anon_sym_BSLASHCpageref] = ACTIONS(6786),
    [anon_sym_BSLASHnamecref] = ACTIONS(6786),
    [anon_sym_BSLASHnameCref] = ACTIONS(6786),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6786),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6786),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6786),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6786),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6786),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6786),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6786),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6786),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6786),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6786),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6786),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6786),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6786),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6786),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6786),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6786),
    [anon_sym_BSLASHdef] = ACTIONS(6786),
    [anon_sym_BSLASHgdef] = ACTIONS(6786),
    [anon_sym_BSLASHedef] = ACTIONS(6786),
    [anon_sym_BSLASHxdef] = ACTIONS(6786),
    [anon_sym_BSLASHlet] = ACTIONS(6786),
    [anon_sym_BSLASHglet] = ACTIONS(6786),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6786),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6786),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6786),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6786),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6786),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6786),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6786),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6786),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6786),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6786),
    [anon_sym_BSLASHgls] = ACTIONS(6786),
    [anon_sym_BSLASHGls] = ACTIONS(6786),
    [anon_sym_BSLASHGLS] = ACTIONS(6786),
    [anon_sym_BSLASHglspl] = ACTIONS(6786),
    [anon_sym_BSLASHGlspl] = ACTIONS(6786),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6786),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6786),
    [anon_sym_BSLASHglslink] = ACTIONS(6786),
    [anon_sym_BSLASHglstext] = ACTIONS(6786),
    [anon_sym_BSLASHGlstext] = ACTIONS(6786),
    [anon_sym_BSLASHGLStext] = ACTIONS(6786),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6786),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6786),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6786),
    [anon_sym_BSLASHglsplural] = ACTIONS(6786),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6786),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6786),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6786),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6786),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6786),
    [anon_sym_BSLASHglsname] = ACTIONS(6786),
    [anon_sym_BSLASHGlsname] = ACTIONS(6786),
    [anon_sym_BSLASHGLSname] = ACTIONS(6786),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6786),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6786),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6786),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6786),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6786),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6786),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6786),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6786),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6786),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6786),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6786),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6786),
    [anon_sym_BSLASHacrshort] = ACTIONS(6786),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6786),
    [anon_sym_BSLASHACRshort] = ACTIONS(6786),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6786),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6786),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6786),
    [anon_sym_BSLASHacrlong] = ACTIONS(6786),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6786),
    [anon_sym_BSLASHACRlong] = ACTIONS(6786),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6786),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6786),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6786),
    [anon_sym_BSLASHacrfull] = ACTIONS(6786),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6786),
    [anon_sym_BSLASHACRfull] = ACTIONS(6786),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6786),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6786),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6786),
    [anon_sym_BSLASHacs] = ACTIONS(6786),
    [anon_sym_BSLASHAcs] = ACTIONS(6786),
    [anon_sym_BSLASHacsp] = ACTIONS(6786),
    [anon_sym_BSLASHAcsp] = ACTIONS(6786),
    [anon_sym_BSLASHacl] = ACTIONS(6786),
    [anon_sym_BSLASHAcl] = ACTIONS(6786),
    [anon_sym_BSLASHaclp] = ACTIONS(6786),
    [anon_sym_BSLASHAclp] = ACTIONS(6786),
    [anon_sym_BSLASHacf] = ACTIONS(6786),
    [anon_sym_BSLASHAcf] = ACTIONS(6786),
    [anon_sym_BSLASHacfp] = ACTIONS(6786),
    [anon_sym_BSLASHAcfp] = ACTIONS(6786),
    [anon_sym_BSLASHac] = ACTIONS(6786),
    [anon_sym_BSLASHAc] = ACTIONS(6786),
    [anon_sym_BSLASHacp] = ACTIONS(6786),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6786),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6786),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6786),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6786),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6786),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6786),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6786),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6786),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6786),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6786),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6786),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6786),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6786),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6786),
    [anon_sym_BSLASHcolor] = ACTIONS(6786),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6786),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6786),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6786),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6786),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6786),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6786),
    [anon_sym_BSLASHurl] = ACTIONS(6786),
    [anon_sym_BSLASHhref] = ACTIONS(6786),
  },
  [738] = {
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(738),
    [aux_sym__section_repeat5] = STATE(738),
    [sym_command_name] = ACTIONS(6796),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6796),
    [anon_sym_LBRACK] = ACTIONS(6798),
    [anon_sym_RBRACK] = ACTIONS(6798),
    [anon_sym_COMMA] = ACTIONS(6798),
    [anon_sym_EQ] = ACTIONS(6798),
    [anon_sym_LPAREN] = ACTIONS(6798),
    [anon_sym_RPAREN] = ACTIONS(6798),
    [anon_sym_BSLASHpart] = ACTIONS(6796),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHaddpart] = ACTIONS(6796),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHchapter] = ACTIONS(6796),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHaddchap] = ACTIONS(6796),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHsection] = ACTIONS(6796),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHaddsec] = ACTIONS(6796),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHsubsection] = ACTIONS(6796),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7635),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7638),
    [anon_sym_BSLASHparagraph] = ACTIONS(6796),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6796),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHitem] = ACTIONS(6796),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6798),
    [anon_sym_LBRACE] = ACTIONS(6798),
    [sym_word] = ACTIONS(6796),
    [sym_placeholder] = ACTIONS(6798),
    [sym_delimiter] = ACTIONS(6798),
    [anon_sym_PLUS] = ACTIONS(6798),
    [anon_sym_DASH] = ACTIONS(6798),
    [anon_sym_STAR] = ACTIONS(6798),
    [anon_sym_SLASH] = ACTIONS(6798),
    [anon_sym_LT] = ACTIONS(6796),
    [anon_sym_GT] = ACTIONS(6796),
    [anon_sym_BANG] = ACTIONS(6796),
    [anon_sym_PIPE] = ACTIONS(6796),
    [anon_sym_COLON] = ACTIONS(6796),
    [anon_sym_SQUOTE] = ACTIONS(6796),
    [anon_sym__] = ACTIONS(6798),
    [anon_sym_CARET] = ACTIONS(6798),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6798),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6798),
    [anon_sym_DOLLAR] = ACTIONS(6796),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6798),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6798),
    [anon_sym_BSLASHleft] = ACTIONS(6796),
    [anon_sym_BSLASHbigl] = ACTIONS(6796),
    [anon_sym_BSLASHBigl] = ACTIONS(6796),
    [anon_sym_BSLASHbiggl] = ACTIONS(6796),
    [anon_sym_BSLASHBiggl] = ACTIONS(6796),
    [anon_sym_BSLASHtext] = ACTIONS(6796),
    [anon_sym_BSLASHintertext] = ACTIONS(6796),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6796),
    [anon_sym_BSLASHbegin] = ACTIONS(6796),
    [anon_sym_BSLASHtitle] = ACTIONS(6796),
    [anon_sym_BSLASHauthor] = ACTIONS(6796),
    [anon_sym_BSLASHusepackage] = ACTIONS(6796),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6796),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6796),
    [anon_sym_BSLASHinclude] = ACTIONS(6796),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6796),
    [anon_sym_BSLASHinput] = ACTIONS(6796),
    [anon_sym_BSLASHsubfile] = ACTIONS(6796),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6796),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6796),
    [anon_sym_BSLASHbibliography] = ACTIONS(6796),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6796),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6796),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6796),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6796),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6796),
    [anon_sym_BSLASHimport] = ACTIONS(6796),
    [anon_sym_BSLASHsubimport] = ACTIONS(6796),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6796),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6796),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6796),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6796),
    [anon_sym_BSLASHcaption] = ACTIONS(6796),
    [anon_sym_BSLASHcite] = ACTIONS(6796),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHCite] = ACTIONS(6796),
    [anon_sym_BSLASHnocite] = ACTIONS(6796),
    [anon_sym_BSLASHcitet] = ACTIONS(6796),
    [anon_sym_BSLASHcitep] = ACTIONS(6796),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHciteA] = ACTIONS(6796),
    [anon_sym_BSLASHciteR] = ACTIONS(6796),
    [anon_sym_BSLASHciteS] = ACTIONS(6796),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6796),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6796),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6796),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6796),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHciteyear] = ACTIONS(6796),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcitedate] = ACTIONS(6796),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHciteurl] = ACTIONS(6796),
    [anon_sym_BSLASHfullcite] = ACTIONS(6796),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6796),
    [anon_sym_BSLASHcitealt] = ACTIONS(6796),
    [anon_sym_BSLASHcitealp] = ACTIONS(6796),
    [anon_sym_BSLASHcitetext] = ACTIONS(6796),
    [anon_sym_BSLASHparencite] = ACTIONS(6796),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHParencite] = ACTIONS(6796),
    [anon_sym_BSLASHfootcite] = ACTIONS(6796),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6796),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6796),
    [anon_sym_BSLASHtextcite] = ACTIONS(6796),
    [anon_sym_BSLASHTextcite] = ACTIONS(6796),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6796),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6796),
    [anon_sym_BSLASHsupercite] = ACTIONS(6796),
    [anon_sym_BSLASHautocite] = ACTIONS(6796),
    [anon_sym_BSLASHAutocite] = ACTIONS(6796),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHVolcite] = ACTIONS(6796),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHavolcite] = ACTIONS(6796),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHnotecite] = ACTIONS(6796),
    [anon_sym_BSLASHNotecite] = ACTIONS(6796),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6796),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6796),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6796),
    [anon_sym_BSLASHlabel] = ACTIONS(6796),
    [anon_sym_BSLASHref] = ACTIONS(6796),
    [anon_sym_BSLASHeqref] = ACTIONS(6796),
    [anon_sym_BSLASHvref] = ACTIONS(6796),
    [anon_sym_BSLASHVref] = ACTIONS(6796),
    [anon_sym_BSLASHautoref] = ACTIONS(6796),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHpageref] = ACTIONS(6796),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHautopageref] = ACTIONS(6796),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcref] = ACTIONS(6796),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHCref] = ACTIONS(6796),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcpageref] = ACTIONS(6796),
    [anon_sym_BSLASHCpageref] = ACTIONS(6796),
    [anon_sym_BSLASHnamecref] = ACTIONS(6796),
    [anon_sym_BSLASHnameCref] = ACTIONS(6796),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6796),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6796),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6796),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6796),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6796),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6796),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6796),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6796),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6796),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6796),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6796),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6796),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6796),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6796),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6796),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6796),
    [anon_sym_BSLASHdef] = ACTIONS(6796),
    [anon_sym_BSLASHgdef] = ACTIONS(6796),
    [anon_sym_BSLASHedef] = ACTIONS(6796),
    [anon_sym_BSLASHxdef] = ACTIONS(6796),
    [anon_sym_BSLASHlet] = ACTIONS(6796),
    [anon_sym_BSLASHglet] = ACTIONS(6796),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6796),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6796),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6796),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6796),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6796),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6796),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6796),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6796),
    [anon_sym_BSLASHgls] = ACTIONS(6796),
    [anon_sym_BSLASHGls] = ACTIONS(6796),
    [anon_sym_BSLASHGLS] = ACTIONS(6796),
    [anon_sym_BSLASHglspl] = ACTIONS(6796),
    [anon_sym_BSLASHGlspl] = ACTIONS(6796),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6796),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6796),
    [anon_sym_BSLASHglslink] = ACTIONS(6796),
    [anon_sym_BSLASHglstext] = ACTIONS(6796),
    [anon_sym_BSLASHGlstext] = ACTIONS(6796),
    [anon_sym_BSLASHGLStext] = ACTIONS(6796),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6796),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6796),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6796),
    [anon_sym_BSLASHglsplural] = ACTIONS(6796),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6796),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6796),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6796),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6796),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6796),
    [anon_sym_BSLASHglsname] = ACTIONS(6796),
    [anon_sym_BSLASHGlsname] = ACTIONS(6796),
    [anon_sym_BSLASHGLSname] = ACTIONS(6796),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6796),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6796),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6796),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6796),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6796),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6796),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6796),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6796),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6796),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6796),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6796),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6796),
    [anon_sym_BSLASHacrshort] = ACTIONS(6796),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6796),
    [anon_sym_BSLASHACRshort] = ACTIONS(6796),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6796),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6796),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6796),
    [anon_sym_BSLASHacrlong] = ACTIONS(6796),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6796),
    [anon_sym_BSLASHACRlong] = ACTIONS(6796),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6796),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6796),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6796),
    [anon_sym_BSLASHacrfull] = ACTIONS(6796),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6796),
    [anon_sym_BSLASHACRfull] = ACTIONS(6796),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6796),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6796),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6796),
    [anon_sym_BSLASHacs] = ACTIONS(6796),
    [anon_sym_BSLASHAcs] = ACTIONS(6796),
    [anon_sym_BSLASHacsp] = ACTIONS(6796),
    [anon_sym_BSLASHAcsp] = ACTIONS(6796),
    [anon_sym_BSLASHacl] = ACTIONS(6796),
    [anon_sym_BSLASHAcl] = ACTIONS(6796),
    [anon_sym_BSLASHaclp] = ACTIONS(6796),
    [anon_sym_BSLASHAclp] = ACTIONS(6796),
    [anon_sym_BSLASHacf] = ACTIONS(6796),
    [anon_sym_BSLASHAcf] = ACTIONS(6796),
    [anon_sym_BSLASHacfp] = ACTIONS(6796),
    [anon_sym_BSLASHAcfp] = ACTIONS(6796),
    [anon_sym_BSLASHac] = ACTIONS(6796),
    [anon_sym_BSLASHAc] = ACTIONS(6796),
    [anon_sym_BSLASHacp] = ACTIONS(6796),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6796),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6796),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6796),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6796),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6796),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6796),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6796),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6796),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6796),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6796),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6796),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6796),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6796),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6796),
    [anon_sym_BSLASHcolor] = ACTIONS(6796),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6796),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6796),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6796),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6796),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6796),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6796),
    [anon_sym_BSLASHurl] = ACTIONS(6796),
    [anon_sym_BSLASHhref] = ACTIONS(6796),
  },
  [739] = {
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(739),
    [aux_sym__paragraph_repeat1] = STATE(739),
    [sym_command_name] = ACTIONS(6806),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6806),
    [anon_sym_LBRACK] = ACTIONS(6808),
    [anon_sym_RBRACK] = ACTIONS(6808),
    [anon_sym_COMMA] = ACTIONS(6808),
    [anon_sym_EQ] = ACTIONS(6808),
    [anon_sym_LPAREN] = ACTIONS(6808),
    [anon_sym_RPAREN] = ACTIONS(6808),
    [anon_sym_BSLASHpart] = ACTIONS(6806),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHaddpart] = ACTIONS(6806),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHchapter] = ACTIONS(6806),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHaddchap] = ACTIONS(6806),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHsection] = ACTIONS(6806),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHaddsec] = ACTIONS(6806),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHsubsection] = ACTIONS(6806),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6806),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHparagraph] = ACTIONS(7641),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7644),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6806),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHitem] = ACTIONS(6806),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6808),
    [anon_sym_LBRACE] = ACTIONS(6808),
    [sym_word] = ACTIONS(6806),
    [sym_placeholder] = ACTIONS(6808),
    [sym_delimiter] = ACTIONS(6808),
    [anon_sym_PLUS] = ACTIONS(6808),
    [anon_sym_DASH] = ACTIONS(6808),
    [anon_sym_STAR] = ACTIONS(6808),
    [anon_sym_SLASH] = ACTIONS(6808),
    [anon_sym_LT] = ACTIONS(6806),
    [anon_sym_GT] = ACTIONS(6806),
    [anon_sym_BANG] = ACTIONS(6806),
    [anon_sym_PIPE] = ACTIONS(6806),
    [anon_sym_COLON] = ACTIONS(6806),
    [anon_sym_SQUOTE] = ACTIONS(6806),
    [anon_sym__] = ACTIONS(6808),
    [anon_sym_CARET] = ACTIONS(6808),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6808),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6808),
    [anon_sym_DOLLAR] = ACTIONS(6806),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6808),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6808),
    [anon_sym_BSLASHleft] = ACTIONS(6806),
    [anon_sym_BSLASHbigl] = ACTIONS(6806),
    [anon_sym_BSLASHBigl] = ACTIONS(6806),
    [anon_sym_BSLASHbiggl] = ACTIONS(6806),
    [anon_sym_BSLASHBiggl] = ACTIONS(6806),
    [anon_sym_BSLASHtext] = ACTIONS(6806),
    [anon_sym_BSLASHintertext] = ACTIONS(6806),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6806),
    [anon_sym_BSLASHbegin] = ACTIONS(6806),
    [anon_sym_BSLASHtitle] = ACTIONS(6806),
    [anon_sym_BSLASHauthor] = ACTIONS(6806),
    [anon_sym_BSLASHusepackage] = ACTIONS(6806),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6806),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6806),
    [anon_sym_BSLASHinclude] = ACTIONS(6806),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6806),
    [anon_sym_BSLASHinput] = ACTIONS(6806),
    [anon_sym_BSLASHsubfile] = ACTIONS(6806),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6806),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6806),
    [anon_sym_BSLASHbibliography] = ACTIONS(6806),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6806),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6806),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6806),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6806),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6806),
    [anon_sym_BSLASHimport] = ACTIONS(6806),
    [anon_sym_BSLASHsubimport] = ACTIONS(6806),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6806),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6806),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6806),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6806),
    [anon_sym_BSLASHcaption] = ACTIONS(6806),
    [anon_sym_BSLASHcite] = ACTIONS(6806),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHCite] = ACTIONS(6806),
    [anon_sym_BSLASHnocite] = ACTIONS(6806),
    [anon_sym_BSLASHcitet] = ACTIONS(6806),
    [anon_sym_BSLASHcitep] = ACTIONS(6806),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHciteA] = ACTIONS(6806),
    [anon_sym_BSLASHciteR] = ACTIONS(6806),
    [anon_sym_BSLASHciteS] = ACTIONS(6806),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6806),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6806),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6806),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6806),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHciteyear] = ACTIONS(6806),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcitedate] = ACTIONS(6806),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHciteurl] = ACTIONS(6806),
    [anon_sym_BSLASHfullcite] = ACTIONS(6806),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6806),
    [anon_sym_BSLASHcitealt] = ACTIONS(6806),
    [anon_sym_BSLASHcitealp] = ACTIONS(6806),
    [anon_sym_BSLASHcitetext] = ACTIONS(6806),
    [anon_sym_BSLASHparencite] = ACTIONS(6806),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHParencite] = ACTIONS(6806),
    [anon_sym_BSLASHfootcite] = ACTIONS(6806),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6806),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6806),
    [anon_sym_BSLASHtextcite] = ACTIONS(6806),
    [anon_sym_BSLASHTextcite] = ACTIONS(6806),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6806),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6806),
    [anon_sym_BSLASHsupercite] = ACTIONS(6806),
    [anon_sym_BSLASHautocite] = ACTIONS(6806),
    [anon_sym_BSLASHAutocite] = ACTIONS(6806),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHVolcite] = ACTIONS(6806),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHavolcite] = ACTIONS(6806),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHnotecite] = ACTIONS(6806),
    [anon_sym_BSLASHNotecite] = ACTIONS(6806),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6806),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6806),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6806),
    [anon_sym_BSLASHlabel] = ACTIONS(6806),
    [anon_sym_BSLASHref] = ACTIONS(6806),
    [anon_sym_BSLASHeqref] = ACTIONS(6806),
    [anon_sym_BSLASHvref] = ACTIONS(6806),
    [anon_sym_BSLASHVref] = ACTIONS(6806),
    [anon_sym_BSLASHautoref] = ACTIONS(6806),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHpageref] = ACTIONS(6806),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHautopageref] = ACTIONS(6806),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcref] = ACTIONS(6806),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHCref] = ACTIONS(6806),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcpageref] = ACTIONS(6806),
    [anon_sym_BSLASHCpageref] = ACTIONS(6806),
    [anon_sym_BSLASHnamecref] = ACTIONS(6806),
    [anon_sym_BSLASHnameCref] = ACTIONS(6806),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6806),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6806),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6806),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6806),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6806),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6806),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6806),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6806),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6806),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6806),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6806),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6806),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6806),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6806),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6806),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6806),
    [anon_sym_BSLASHdef] = ACTIONS(6806),
    [anon_sym_BSLASHgdef] = ACTIONS(6806),
    [anon_sym_BSLASHedef] = ACTIONS(6806),
    [anon_sym_BSLASHxdef] = ACTIONS(6806),
    [anon_sym_BSLASHlet] = ACTIONS(6806),
    [anon_sym_BSLASHglet] = ACTIONS(6806),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6806),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6806),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6806),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6806),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6806),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6806),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6806),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6806),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6806),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6806),
    [anon_sym_BSLASHgls] = ACTIONS(6806),
    [anon_sym_BSLASHGls] = ACTIONS(6806),
    [anon_sym_BSLASHGLS] = ACTIONS(6806),
    [anon_sym_BSLASHglspl] = ACTIONS(6806),
    [anon_sym_BSLASHGlspl] = ACTIONS(6806),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6806),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6806),
    [anon_sym_BSLASHglslink] = ACTIONS(6806),
    [anon_sym_BSLASHglstext] = ACTIONS(6806),
    [anon_sym_BSLASHGlstext] = ACTIONS(6806),
    [anon_sym_BSLASHGLStext] = ACTIONS(6806),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6806),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6806),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6806),
    [anon_sym_BSLASHglsplural] = ACTIONS(6806),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6806),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6806),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6806),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6806),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6806),
    [anon_sym_BSLASHglsname] = ACTIONS(6806),
    [anon_sym_BSLASHGlsname] = ACTIONS(6806),
    [anon_sym_BSLASHGLSname] = ACTIONS(6806),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6806),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6806),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6806),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6806),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6806),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6806),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6806),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6806),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6806),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6806),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6806),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6806),
    [anon_sym_BSLASHacrshort] = ACTIONS(6806),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6806),
    [anon_sym_BSLASHACRshort] = ACTIONS(6806),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6806),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6806),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6806),
    [anon_sym_BSLASHacrlong] = ACTIONS(6806),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6806),
    [anon_sym_BSLASHACRlong] = ACTIONS(6806),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6806),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6806),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6806),
    [anon_sym_BSLASHacrfull] = ACTIONS(6806),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6806),
    [anon_sym_BSLASHACRfull] = ACTIONS(6806),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6806),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6806),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6806),
    [anon_sym_BSLASHacs] = ACTIONS(6806),
    [anon_sym_BSLASHAcs] = ACTIONS(6806),
    [anon_sym_BSLASHacsp] = ACTIONS(6806),
    [anon_sym_BSLASHAcsp] = ACTIONS(6806),
    [anon_sym_BSLASHacl] = ACTIONS(6806),
    [anon_sym_BSLASHAcl] = ACTIONS(6806),
    [anon_sym_BSLASHaclp] = ACTIONS(6806),
    [anon_sym_BSLASHAclp] = ACTIONS(6806),
    [anon_sym_BSLASHacf] = ACTIONS(6806),
    [anon_sym_BSLASHAcf] = ACTIONS(6806),
    [anon_sym_BSLASHacfp] = ACTIONS(6806),
    [anon_sym_BSLASHAcfp] = ACTIONS(6806),
    [anon_sym_BSLASHac] = ACTIONS(6806),
    [anon_sym_BSLASHAc] = ACTIONS(6806),
    [anon_sym_BSLASHacp] = ACTIONS(6806),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6806),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6806),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6806),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6806),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6806),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6806),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6806),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6806),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6806),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6806),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6806),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6806),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6806),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6806),
    [anon_sym_BSLASHcolor] = ACTIONS(6806),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6806),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6806),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6806),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6806),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6806),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6806),
    [anon_sym_BSLASHurl] = ACTIONS(6806),
    [anon_sym_BSLASHhref] = ACTIONS(6806),
  },
  [740] = {
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(740),
    [aux_sym__paragraph_repeat2] = STATE(740),
    [sym_command_name] = ACTIONS(6816),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6816),
    [anon_sym_LBRACK] = ACTIONS(6818),
    [anon_sym_RBRACK] = ACTIONS(6818),
    [anon_sym_COMMA] = ACTIONS(6818),
    [anon_sym_EQ] = ACTIONS(6818),
    [anon_sym_LPAREN] = ACTIONS(6818),
    [anon_sym_RPAREN] = ACTIONS(6818),
    [anon_sym_BSLASHpart] = ACTIONS(6816),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHaddpart] = ACTIONS(6816),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHchapter] = ACTIONS(6816),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHaddchap] = ACTIONS(6816),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHsection] = ACTIONS(6816),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHaddsec] = ACTIONS(6816),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHsubsection] = ACTIONS(6816),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6816),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHparagraph] = ACTIONS(6816),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7647),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7650),
    [anon_sym_BSLASHitem] = ACTIONS(6816),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6818),
    [anon_sym_LBRACE] = ACTIONS(6818),
    [sym_word] = ACTIONS(6816),
    [sym_placeholder] = ACTIONS(6818),
    [sym_delimiter] = ACTIONS(6818),
    [anon_sym_PLUS] = ACTIONS(6818),
    [anon_sym_DASH] = ACTIONS(6818),
    [anon_sym_STAR] = ACTIONS(6818),
    [anon_sym_SLASH] = ACTIONS(6818),
    [anon_sym_LT] = ACTIONS(6816),
    [anon_sym_GT] = ACTIONS(6816),
    [anon_sym_BANG] = ACTIONS(6816),
    [anon_sym_PIPE] = ACTIONS(6816),
    [anon_sym_COLON] = ACTIONS(6816),
    [anon_sym_SQUOTE] = ACTIONS(6816),
    [anon_sym__] = ACTIONS(6818),
    [anon_sym_CARET] = ACTIONS(6818),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6818),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6818),
    [anon_sym_DOLLAR] = ACTIONS(6816),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6818),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6818),
    [anon_sym_BSLASHleft] = ACTIONS(6816),
    [anon_sym_BSLASHbigl] = ACTIONS(6816),
    [anon_sym_BSLASHBigl] = ACTIONS(6816),
    [anon_sym_BSLASHbiggl] = ACTIONS(6816),
    [anon_sym_BSLASHBiggl] = ACTIONS(6816),
    [anon_sym_BSLASHtext] = ACTIONS(6816),
    [anon_sym_BSLASHintertext] = ACTIONS(6816),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6816),
    [anon_sym_BSLASHbegin] = ACTIONS(6816),
    [anon_sym_BSLASHtitle] = ACTIONS(6816),
    [anon_sym_BSLASHauthor] = ACTIONS(6816),
    [anon_sym_BSLASHusepackage] = ACTIONS(6816),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6816),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6816),
    [anon_sym_BSLASHinclude] = ACTIONS(6816),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6816),
    [anon_sym_BSLASHinput] = ACTIONS(6816),
    [anon_sym_BSLASHsubfile] = ACTIONS(6816),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6816),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6816),
    [anon_sym_BSLASHbibliography] = ACTIONS(6816),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6816),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6816),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6816),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6816),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6816),
    [anon_sym_BSLASHimport] = ACTIONS(6816),
    [anon_sym_BSLASHsubimport] = ACTIONS(6816),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6816),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6816),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6816),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6816),
    [anon_sym_BSLASHcaption] = ACTIONS(6816),
    [anon_sym_BSLASHcite] = ACTIONS(6816),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHCite] = ACTIONS(6816),
    [anon_sym_BSLASHnocite] = ACTIONS(6816),
    [anon_sym_BSLASHcitet] = ACTIONS(6816),
    [anon_sym_BSLASHcitep] = ACTIONS(6816),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHciteA] = ACTIONS(6816),
    [anon_sym_BSLASHciteR] = ACTIONS(6816),
    [anon_sym_BSLASHciteS] = ACTIONS(6816),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6816),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6816),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6816),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6816),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHciteyear] = ACTIONS(6816),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcitedate] = ACTIONS(6816),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHciteurl] = ACTIONS(6816),
    [anon_sym_BSLASHfullcite] = ACTIONS(6816),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6816),
    [anon_sym_BSLASHcitealt] = ACTIONS(6816),
    [anon_sym_BSLASHcitealp] = ACTIONS(6816),
    [anon_sym_BSLASHcitetext] = ACTIONS(6816),
    [anon_sym_BSLASHparencite] = ACTIONS(6816),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHParencite] = ACTIONS(6816),
    [anon_sym_BSLASHfootcite] = ACTIONS(6816),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6816),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6816),
    [anon_sym_BSLASHtextcite] = ACTIONS(6816),
    [anon_sym_BSLASHTextcite] = ACTIONS(6816),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6816),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6816),
    [anon_sym_BSLASHsupercite] = ACTIONS(6816),
    [anon_sym_BSLASHautocite] = ACTIONS(6816),
    [anon_sym_BSLASHAutocite] = ACTIONS(6816),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHVolcite] = ACTIONS(6816),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHavolcite] = ACTIONS(6816),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHnotecite] = ACTIONS(6816),
    [anon_sym_BSLASHNotecite] = ACTIONS(6816),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6816),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6816),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6816),
    [anon_sym_BSLASHlabel] = ACTIONS(6816),
    [anon_sym_BSLASHref] = ACTIONS(6816),
    [anon_sym_BSLASHeqref] = ACTIONS(6816),
    [anon_sym_BSLASHvref] = ACTIONS(6816),
    [anon_sym_BSLASHVref] = ACTIONS(6816),
    [anon_sym_BSLASHautoref] = ACTIONS(6816),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHpageref] = ACTIONS(6816),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHautopageref] = ACTIONS(6816),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcref] = ACTIONS(6816),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHCref] = ACTIONS(6816),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcpageref] = ACTIONS(6816),
    [anon_sym_BSLASHCpageref] = ACTIONS(6816),
    [anon_sym_BSLASHnamecref] = ACTIONS(6816),
    [anon_sym_BSLASHnameCref] = ACTIONS(6816),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6816),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6816),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6816),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6816),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6816),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6816),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6816),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6816),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6816),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6816),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6816),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6816),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6816),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6816),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6816),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6816),
    [anon_sym_BSLASHdef] = ACTIONS(6816),
    [anon_sym_BSLASHgdef] = ACTIONS(6816),
    [anon_sym_BSLASHedef] = ACTIONS(6816),
    [anon_sym_BSLASHxdef] = ACTIONS(6816),
    [anon_sym_BSLASHlet] = ACTIONS(6816),
    [anon_sym_BSLASHglet] = ACTIONS(6816),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6816),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6816),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6816),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6816),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6816),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6816),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6816),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6816),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6816),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6816),
    [anon_sym_BSLASHgls] = ACTIONS(6816),
    [anon_sym_BSLASHGls] = ACTIONS(6816),
    [anon_sym_BSLASHGLS] = ACTIONS(6816),
    [anon_sym_BSLASHglspl] = ACTIONS(6816),
    [anon_sym_BSLASHGlspl] = ACTIONS(6816),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6816),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6816),
    [anon_sym_BSLASHglslink] = ACTIONS(6816),
    [anon_sym_BSLASHglstext] = ACTIONS(6816),
    [anon_sym_BSLASHGlstext] = ACTIONS(6816),
    [anon_sym_BSLASHGLStext] = ACTIONS(6816),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6816),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6816),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6816),
    [anon_sym_BSLASHglsplural] = ACTIONS(6816),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6816),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6816),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6816),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6816),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6816),
    [anon_sym_BSLASHglsname] = ACTIONS(6816),
    [anon_sym_BSLASHGlsname] = ACTIONS(6816),
    [anon_sym_BSLASHGLSname] = ACTIONS(6816),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6816),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6816),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6816),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6816),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6816),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6816),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6816),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6816),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6816),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6816),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6816),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6816),
    [anon_sym_BSLASHacrshort] = ACTIONS(6816),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6816),
    [anon_sym_BSLASHACRshort] = ACTIONS(6816),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6816),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6816),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6816),
    [anon_sym_BSLASHacrlong] = ACTIONS(6816),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6816),
    [anon_sym_BSLASHACRlong] = ACTIONS(6816),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6816),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6816),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6816),
    [anon_sym_BSLASHacrfull] = ACTIONS(6816),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6816),
    [anon_sym_BSLASHACRfull] = ACTIONS(6816),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6816),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6816),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6816),
    [anon_sym_BSLASHacs] = ACTIONS(6816),
    [anon_sym_BSLASHAcs] = ACTIONS(6816),
    [anon_sym_BSLASHacsp] = ACTIONS(6816),
    [anon_sym_BSLASHAcsp] = ACTIONS(6816),
    [anon_sym_BSLASHacl] = ACTIONS(6816),
    [anon_sym_BSLASHAcl] = ACTIONS(6816),
    [anon_sym_BSLASHaclp] = ACTIONS(6816),
    [anon_sym_BSLASHAclp] = ACTIONS(6816),
    [anon_sym_BSLASHacf] = ACTIONS(6816),
    [anon_sym_BSLASHAcf] = ACTIONS(6816),
    [anon_sym_BSLASHacfp] = ACTIONS(6816),
    [anon_sym_BSLASHAcfp] = ACTIONS(6816),
    [anon_sym_BSLASHac] = ACTIONS(6816),
    [anon_sym_BSLASHAc] = ACTIONS(6816),
    [anon_sym_BSLASHacp] = ACTIONS(6816),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6816),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6816),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6816),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6816),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6816),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6816),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6816),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6816),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6816),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6816),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6816),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6816),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6816),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6816),
    [anon_sym_BSLASHcolor] = ACTIONS(6816),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6816),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6816),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6816),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6816),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6816),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6816),
    [anon_sym_BSLASHurl] = ACTIONS(6816),
    [anon_sym_BSLASHhref] = ACTIONS(6816),
  },
  [741] = {
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(741),
    [aux_sym__paragraph_repeat3] = STATE(741),
    [sym_command_name] = ACTIONS(6826),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6826),
    [anon_sym_LBRACK] = ACTIONS(6828),
    [anon_sym_RBRACK] = ACTIONS(6828),
    [anon_sym_COMMA] = ACTIONS(6828),
    [anon_sym_EQ] = ACTIONS(6828),
    [anon_sym_LPAREN] = ACTIONS(6828),
    [anon_sym_RPAREN] = ACTIONS(6828),
    [anon_sym_BSLASHpart] = ACTIONS(6826),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHaddpart] = ACTIONS(6826),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHchapter] = ACTIONS(6826),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHaddchap] = ACTIONS(6826),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHsection] = ACTIONS(6826),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHaddsec] = ACTIONS(6826),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHsubsection] = ACTIONS(6826),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6826),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHparagraph] = ACTIONS(6826),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6826),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHitem] = ACTIONS(7653),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7656),
    [anon_sym_LBRACE] = ACTIONS(6828),
    [sym_word] = ACTIONS(6826),
    [sym_placeholder] = ACTIONS(6828),
    [sym_delimiter] = ACTIONS(6828),
    [anon_sym_PLUS] = ACTIONS(6828),
    [anon_sym_DASH] = ACTIONS(6828),
    [anon_sym_STAR] = ACTIONS(6828),
    [anon_sym_SLASH] = ACTIONS(6828),
    [anon_sym_LT] = ACTIONS(6826),
    [anon_sym_GT] = ACTIONS(6826),
    [anon_sym_BANG] = ACTIONS(6826),
    [anon_sym_PIPE] = ACTIONS(6826),
    [anon_sym_COLON] = ACTIONS(6826),
    [anon_sym_SQUOTE] = ACTIONS(6826),
    [anon_sym__] = ACTIONS(6828),
    [anon_sym_CARET] = ACTIONS(6828),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6828),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6828),
    [anon_sym_DOLLAR] = ACTIONS(6826),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6828),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6828),
    [anon_sym_BSLASHleft] = ACTIONS(6826),
    [anon_sym_BSLASHbigl] = ACTIONS(6826),
    [anon_sym_BSLASHBigl] = ACTIONS(6826),
    [anon_sym_BSLASHbiggl] = ACTIONS(6826),
    [anon_sym_BSLASHBiggl] = ACTIONS(6826),
    [anon_sym_BSLASHtext] = ACTIONS(6826),
    [anon_sym_BSLASHintertext] = ACTIONS(6826),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6826),
    [anon_sym_BSLASHbegin] = ACTIONS(6826),
    [anon_sym_BSLASHtitle] = ACTIONS(6826),
    [anon_sym_BSLASHauthor] = ACTIONS(6826),
    [anon_sym_BSLASHusepackage] = ACTIONS(6826),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6826),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6826),
    [anon_sym_BSLASHinclude] = ACTIONS(6826),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6826),
    [anon_sym_BSLASHinput] = ACTIONS(6826),
    [anon_sym_BSLASHsubfile] = ACTIONS(6826),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6826),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6826),
    [anon_sym_BSLASHbibliography] = ACTIONS(6826),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6826),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6826),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6826),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6826),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6826),
    [anon_sym_BSLASHimport] = ACTIONS(6826),
    [anon_sym_BSLASHsubimport] = ACTIONS(6826),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6826),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6826),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6826),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6826),
    [anon_sym_BSLASHcaption] = ACTIONS(6826),
    [anon_sym_BSLASHcite] = ACTIONS(6826),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHCite] = ACTIONS(6826),
    [anon_sym_BSLASHnocite] = ACTIONS(6826),
    [anon_sym_BSLASHcitet] = ACTIONS(6826),
    [anon_sym_BSLASHcitep] = ACTIONS(6826),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHciteA] = ACTIONS(6826),
    [anon_sym_BSLASHciteR] = ACTIONS(6826),
    [anon_sym_BSLASHciteS] = ACTIONS(6826),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6826),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6826),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6826),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6826),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHciteyear] = ACTIONS(6826),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcitedate] = ACTIONS(6826),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHciteurl] = ACTIONS(6826),
    [anon_sym_BSLASHfullcite] = ACTIONS(6826),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6826),
    [anon_sym_BSLASHcitealt] = ACTIONS(6826),
    [anon_sym_BSLASHcitealp] = ACTIONS(6826),
    [anon_sym_BSLASHcitetext] = ACTIONS(6826),
    [anon_sym_BSLASHparencite] = ACTIONS(6826),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHParencite] = ACTIONS(6826),
    [anon_sym_BSLASHfootcite] = ACTIONS(6826),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6826),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6826),
    [anon_sym_BSLASHtextcite] = ACTIONS(6826),
    [anon_sym_BSLASHTextcite] = ACTIONS(6826),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6826),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6826),
    [anon_sym_BSLASHsupercite] = ACTIONS(6826),
    [anon_sym_BSLASHautocite] = ACTIONS(6826),
    [anon_sym_BSLASHAutocite] = ACTIONS(6826),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHVolcite] = ACTIONS(6826),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHavolcite] = ACTIONS(6826),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHnotecite] = ACTIONS(6826),
    [anon_sym_BSLASHNotecite] = ACTIONS(6826),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6826),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6826),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6826),
    [anon_sym_BSLASHlabel] = ACTIONS(6826),
    [anon_sym_BSLASHref] = ACTIONS(6826),
    [anon_sym_BSLASHeqref] = ACTIONS(6826),
    [anon_sym_BSLASHvref] = ACTIONS(6826),
    [anon_sym_BSLASHVref] = ACTIONS(6826),
    [anon_sym_BSLASHautoref] = ACTIONS(6826),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHpageref] = ACTIONS(6826),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHautopageref] = ACTIONS(6826),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcref] = ACTIONS(6826),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHCref] = ACTIONS(6826),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcpageref] = ACTIONS(6826),
    [anon_sym_BSLASHCpageref] = ACTIONS(6826),
    [anon_sym_BSLASHnamecref] = ACTIONS(6826),
    [anon_sym_BSLASHnameCref] = ACTIONS(6826),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6826),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6826),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6826),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6826),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6826),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6826),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6826),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6826),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6826),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6826),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6826),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6826),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6826),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6826),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6826),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6826),
    [anon_sym_BSLASHdef] = ACTIONS(6826),
    [anon_sym_BSLASHgdef] = ACTIONS(6826),
    [anon_sym_BSLASHedef] = ACTIONS(6826),
    [anon_sym_BSLASHxdef] = ACTIONS(6826),
    [anon_sym_BSLASHlet] = ACTIONS(6826),
    [anon_sym_BSLASHglet] = ACTIONS(6826),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6826),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6826),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6826),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6826),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6826),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6826),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6826),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6826),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6826),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6826),
    [anon_sym_BSLASHgls] = ACTIONS(6826),
    [anon_sym_BSLASHGls] = ACTIONS(6826),
    [anon_sym_BSLASHGLS] = ACTIONS(6826),
    [anon_sym_BSLASHglspl] = ACTIONS(6826),
    [anon_sym_BSLASHGlspl] = ACTIONS(6826),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6826),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6826),
    [anon_sym_BSLASHglslink] = ACTIONS(6826),
    [anon_sym_BSLASHglstext] = ACTIONS(6826),
    [anon_sym_BSLASHGlstext] = ACTIONS(6826),
    [anon_sym_BSLASHGLStext] = ACTIONS(6826),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6826),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6826),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6826),
    [anon_sym_BSLASHglsplural] = ACTIONS(6826),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6826),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6826),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6826),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6826),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6826),
    [anon_sym_BSLASHglsname] = ACTIONS(6826),
    [anon_sym_BSLASHGlsname] = ACTIONS(6826),
    [anon_sym_BSLASHGLSname] = ACTIONS(6826),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6826),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6826),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6826),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6826),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6826),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6826),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6826),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6826),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6826),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6826),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6826),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6826),
    [anon_sym_BSLASHacrshort] = ACTIONS(6826),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6826),
    [anon_sym_BSLASHACRshort] = ACTIONS(6826),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6826),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6826),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6826),
    [anon_sym_BSLASHacrlong] = ACTIONS(6826),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6826),
    [anon_sym_BSLASHACRlong] = ACTIONS(6826),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6826),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6826),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6826),
    [anon_sym_BSLASHacrfull] = ACTIONS(6826),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6826),
    [anon_sym_BSLASHACRfull] = ACTIONS(6826),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6826),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6826),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6826),
    [anon_sym_BSLASHacs] = ACTIONS(6826),
    [anon_sym_BSLASHAcs] = ACTIONS(6826),
    [anon_sym_BSLASHacsp] = ACTIONS(6826),
    [anon_sym_BSLASHAcsp] = ACTIONS(6826),
    [anon_sym_BSLASHacl] = ACTIONS(6826),
    [anon_sym_BSLASHAcl] = ACTIONS(6826),
    [anon_sym_BSLASHaclp] = ACTIONS(6826),
    [anon_sym_BSLASHAclp] = ACTIONS(6826),
    [anon_sym_BSLASHacf] = ACTIONS(6826),
    [anon_sym_BSLASHAcf] = ACTIONS(6826),
    [anon_sym_BSLASHacfp] = ACTIONS(6826),
    [anon_sym_BSLASHAcfp] = ACTIONS(6826),
    [anon_sym_BSLASHac] = ACTIONS(6826),
    [anon_sym_BSLASHAc] = ACTIONS(6826),
    [anon_sym_BSLASHacp] = ACTIONS(6826),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6826),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6826),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6826),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6826),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6826),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6826),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6826),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6826),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6826),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6826),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6826),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6826),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6826),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6826),
    [anon_sym_BSLASHcolor] = ACTIONS(6826),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6826),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6826),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6826),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6826),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6826),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6826),
    [anon_sym_BSLASHurl] = ACTIONS(6826),
    [anon_sym_BSLASHhref] = ACTIONS(6826),
  },
  [742] = {
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(921),
    [aux_sym__section_repeat5] = STATE(921),
    [sym_command_name] = ACTIONS(6854),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6854),
    [anon_sym_LBRACK] = ACTIONS(6856),
    [anon_sym_RBRACK] = ACTIONS(6856),
    [anon_sym_COMMA] = ACTIONS(6856),
    [anon_sym_EQ] = ACTIONS(6856),
    [anon_sym_LPAREN] = ACTIONS(6856),
    [anon_sym_RPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHpart] = ACTIONS(6854),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddpart] = ACTIONS(6854),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHchapter] = ACTIONS(6854),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddchap] = ACTIONS(6854),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsection] = ACTIONS(6854),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddsec] = ACTIONS(6854),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHitem] = ACTIONS(6854),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6856),
    [anon_sym_LBRACE] = ACTIONS(6856),
    [sym_word] = ACTIONS(6854),
    [sym_placeholder] = ACTIONS(6856),
    [sym_delimiter] = ACTIONS(6856),
    [anon_sym_PLUS] = ACTIONS(6856),
    [anon_sym_DASH] = ACTIONS(6856),
    [anon_sym_STAR] = ACTIONS(6856),
    [anon_sym_SLASH] = ACTIONS(6856),
    [anon_sym_LT] = ACTIONS(6854),
    [anon_sym_GT] = ACTIONS(6854),
    [anon_sym_BANG] = ACTIONS(6854),
    [anon_sym_PIPE] = ACTIONS(6854),
    [anon_sym_COLON] = ACTIONS(6854),
    [anon_sym_SQUOTE] = ACTIONS(6854),
    [anon_sym__] = ACTIONS(6856),
    [anon_sym_CARET] = ACTIONS(6856),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6856),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6856),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6856),
    [anon_sym_DOLLAR] = ACTIONS(6854),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHleft] = ACTIONS(6854),
    [anon_sym_BSLASHbigl] = ACTIONS(6854),
    [anon_sym_BSLASHBigl] = ACTIONS(6854),
    [anon_sym_BSLASHbiggl] = ACTIONS(6854),
    [anon_sym_BSLASHBiggl] = ACTIONS(6854),
    [anon_sym_BSLASHtext] = ACTIONS(6854),
    [anon_sym_BSLASHintertext] = ACTIONS(6854),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6854),
    [anon_sym_BSLASHbegin] = ACTIONS(6854),
    [anon_sym_BSLASHtitle] = ACTIONS(6854),
    [anon_sym_BSLASHauthor] = ACTIONS(6854),
    [anon_sym_BSLASHusepackage] = ACTIONS(6854),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6854),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6854),
    [anon_sym_BSLASHinclude] = ACTIONS(6854),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6854),
    [anon_sym_BSLASHinput] = ACTIONS(6854),
    [anon_sym_BSLASHsubfile] = ACTIONS(6854),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6854),
    [anon_sym_BSLASHbibliography] = ACTIONS(6854),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6854),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6854),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6854),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6854),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6854),
    [anon_sym_BSLASHimport] = ACTIONS(6854),
    [anon_sym_BSLASHsubimport] = ACTIONS(6854),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6854),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHcaption] = ACTIONS(6854),
    [anon_sym_BSLASHcite] = ACTIONS(6854),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCite] = ACTIONS(6854),
    [anon_sym_BSLASHnocite] = ACTIONS(6854),
    [anon_sym_BSLASHcitet] = ACTIONS(6854),
    [anon_sym_BSLASHcitep] = ACTIONS(6854),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteA] = ACTIONS(6854),
    [anon_sym_BSLASHciteR] = ACTIONS(6854),
    [anon_sym_BSLASHciteS] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6854),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteyear] = ACTIONS(6854),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitedate] = ACTIONS(6854),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteurl] = ACTIONS(6854),
    [anon_sym_BSLASHfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6854),
    [anon_sym_BSLASHcitealt] = ACTIONS(6854),
    [anon_sym_BSLASHcitealp] = ACTIONS(6854),
    [anon_sym_BSLASHcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHparencite] = ACTIONS(6854),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHParencite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHtextcite] = ACTIONS(6854),
    [anon_sym_BSLASHTextcite] = ACTIONS(6854),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHsupercite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite] = ACTIONS(6854),
    [anon_sym_BSLASHAutocite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHVolcite] = ACTIONS(6854),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHavolcite] = ACTIONS(6854),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHNotecite] = ACTIONS(6854),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHlabel] = ACTIONS(6854),
    [anon_sym_BSLASHref] = ACTIONS(6854),
    [anon_sym_BSLASHeqref] = ACTIONS(6854),
    [anon_sym_BSLASHvref] = ACTIONS(6854),
    [anon_sym_BSLASHVref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHpageref] = ACTIONS(6854),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHautopageref] = ACTIONS(6854),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcref] = ACTIONS(6854),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCref] = ACTIONS(6854),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHCpageref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnameCref] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6854),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHdef] = ACTIONS(6854),
    [anon_sym_BSLASHgdef] = ACTIONS(6854),
    [anon_sym_BSLASHedef] = ACTIONS(6854),
    [anon_sym_BSLASHxdef] = ACTIONS(6854),
    [anon_sym_BSLASHlet] = ACTIONS(6854),
    [anon_sym_BSLASHglet] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6854),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6854),
    [anon_sym_BSLASHgls] = ACTIONS(6854),
    [anon_sym_BSLASHGls] = ACTIONS(6854),
    [anon_sym_BSLASHGLS] = ACTIONS(6854),
    [anon_sym_BSLASHglspl] = ACTIONS(6854),
    [anon_sym_BSLASHGlspl] = ACTIONS(6854),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6854),
    [anon_sym_BSLASHglslink] = ACTIONS(6854),
    [anon_sym_BSLASHglstext] = ACTIONS(6854),
    [anon_sym_BSLASHGlstext] = ACTIONS(6854),
    [anon_sym_BSLASHGLStext] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6854),
    [anon_sym_BSLASHglsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsname] = ACTIONS(6854),
    [anon_sym_BSLASHGlsname] = ACTIONS(6854),
    [anon_sym_BSLASHGLSname] = ACTIONS(6854),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6854),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6854),
    [anon_sym_BSLASHacrshort] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6854),
    [anon_sym_BSLASHACRshort] = ACTIONS(6854),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrlong] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6854),
    [anon_sym_BSLASHACRlong] = ACTIONS(6854),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrfull] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6854),
    [anon_sym_BSLASHACRfull] = ACTIONS(6854),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHacs] = ACTIONS(6854),
    [anon_sym_BSLASHAcs] = ACTIONS(6854),
    [anon_sym_BSLASHacsp] = ACTIONS(6854),
    [anon_sym_BSLASHAcsp] = ACTIONS(6854),
    [anon_sym_BSLASHacl] = ACTIONS(6854),
    [anon_sym_BSLASHAcl] = ACTIONS(6854),
    [anon_sym_BSLASHaclp] = ACTIONS(6854),
    [anon_sym_BSLASHAclp] = ACTIONS(6854),
    [anon_sym_BSLASHacf] = ACTIONS(6854),
    [anon_sym_BSLASHAcf] = ACTIONS(6854),
    [anon_sym_BSLASHacfp] = ACTIONS(6854),
    [anon_sym_BSLASHAcfp] = ACTIONS(6854),
    [anon_sym_BSLASHac] = ACTIONS(6854),
    [anon_sym_BSLASHAc] = ACTIONS(6854),
    [anon_sym_BSLASHacp] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6854),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6854),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6854),
    [anon_sym_BSLASHcolor] = ACTIONS(6854),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6854),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6854),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6854),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6854),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6854),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6854),
    [anon_sym_BSLASHurl] = ACTIONS(6854),
    [anon_sym_BSLASHhref] = ACTIONS(6854),
  },
  [743] = {
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(919),
    [aux_sym__section_repeat3] = STATE(919),
    [sym_command_name] = ACTIONS(6696),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6696),
    [anon_sym_LBRACK] = ACTIONS(6698),
    [anon_sym_RBRACK] = ACTIONS(6698),
    [anon_sym_COMMA] = ACTIONS(6698),
    [anon_sym_EQ] = ACTIONS(6698),
    [anon_sym_LPAREN] = ACTIONS(6698),
    [anon_sym_RPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHpart] = ACTIONS(6696),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddpart] = ACTIONS(6696),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHchapter] = ACTIONS(6696),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddchap] = ACTIONS(6696),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(6696),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHitem] = ACTIONS(6696),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6698),
    [anon_sym_LBRACE] = ACTIONS(6698),
    [sym_word] = ACTIONS(6696),
    [sym_placeholder] = ACTIONS(6698),
    [sym_delimiter] = ACTIONS(6698),
    [anon_sym_PLUS] = ACTIONS(6698),
    [anon_sym_DASH] = ACTIONS(6698),
    [anon_sym_STAR] = ACTIONS(6698),
    [anon_sym_SLASH] = ACTIONS(6698),
    [anon_sym_LT] = ACTIONS(6696),
    [anon_sym_GT] = ACTIONS(6696),
    [anon_sym_BANG] = ACTIONS(6696),
    [anon_sym_PIPE] = ACTIONS(6696),
    [anon_sym_COLON] = ACTIONS(6696),
    [anon_sym_SQUOTE] = ACTIONS(6696),
    [anon_sym__] = ACTIONS(6698),
    [anon_sym_CARET] = ACTIONS(6698),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6698),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6698),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6698),
    [anon_sym_DOLLAR] = ACTIONS(6696),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHleft] = ACTIONS(6696),
    [anon_sym_BSLASHbigl] = ACTIONS(6696),
    [anon_sym_BSLASHBigl] = ACTIONS(6696),
    [anon_sym_BSLASHbiggl] = ACTIONS(6696),
    [anon_sym_BSLASHBiggl] = ACTIONS(6696),
    [anon_sym_BSLASHtext] = ACTIONS(6696),
    [anon_sym_BSLASHintertext] = ACTIONS(6696),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6696),
    [anon_sym_BSLASHbegin] = ACTIONS(6696),
    [anon_sym_BSLASHtitle] = ACTIONS(6696),
    [anon_sym_BSLASHauthor] = ACTIONS(6696),
    [anon_sym_BSLASHusepackage] = ACTIONS(6696),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6696),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6696),
    [anon_sym_BSLASHinclude] = ACTIONS(6696),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6696),
    [anon_sym_BSLASHinput] = ACTIONS(6696),
    [anon_sym_BSLASHsubfile] = ACTIONS(6696),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6696),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6696),
    [anon_sym_BSLASHbibliography] = ACTIONS(6696),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6696),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6696),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6696),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6696),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6696),
    [anon_sym_BSLASHimport] = ACTIONS(6696),
    [anon_sym_BSLASHsubimport] = ACTIONS(6696),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6696),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHcaption] = ACTIONS(6696),
    [anon_sym_BSLASHcite] = ACTIONS(6696),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCite] = ACTIONS(6696),
    [anon_sym_BSLASHnocite] = ACTIONS(6696),
    [anon_sym_BSLASHcitet] = ACTIONS(6696),
    [anon_sym_BSLASHcitep] = ACTIONS(6696),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteA] = ACTIONS(6696),
    [anon_sym_BSLASHciteR] = ACTIONS(6696),
    [anon_sym_BSLASHciteS] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6696),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteyear] = ACTIONS(6696),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitedate] = ACTIONS(6696),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteurl] = ACTIONS(6696),
    [anon_sym_BSLASHfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6696),
    [anon_sym_BSLASHcitealt] = ACTIONS(6696),
    [anon_sym_BSLASHcitealp] = ACTIONS(6696),
    [anon_sym_BSLASHcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHparencite] = ACTIONS(6696),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHParencite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHtextcite] = ACTIONS(6696),
    [anon_sym_BSLASHTextcite] = ACTIONS(6696),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHsupercite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite] = ACTIONS(6696),
    [anon_sym_BSLASHAutocite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHVolcite] = ACTIONS(6696),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHavolcite] = ACTIONS(6696),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHNotecite] = ACTIONS(6696),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHlabel] = ACTIONS(6696),
    [anon_sym_BSLASHref] = ACTIONS(6696),
    [anon_sym_BSLASHeqref] = ACTIONS(6696),
    [anon_sym_BSLASHvref] = ACTIONS(6696),
    [anon_sym_BSLASHVref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHpageref] = ACTIONS(6696),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHautopageref] = ACTIONS(6696),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcref] = ACTIONS(6696),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCref] = ACTIONS(6696),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHCpageref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnameCref] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6696),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHdef] = ACTIONS(6696),
    [anon_sym_BSLASHgdef] = ACTIONS(6696),
    [anon_sym_BSLASHedef] = ACTIONS(6696),
    [anon_sym_BSLASHxdef] = ACTIONS(6696),
    [anon_sym_BSLASHlet] = ACTIONS(6696),
    [anon_sym_BSLASHglet] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6696),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6696),
    [anon_sym_BSLASHgls] = ACTIONS(6696),
    [anon_sym_BSLASHGls] = ACTIONS(6696),
    [anon_sym_BSLASHGLS] = ACTIONS(6696),
    [anon_sym_BSLASHglspl] = ACTIONS(6696),
    [anon_sym_BSLASHGlspl] = ACTIONS(6696),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6696),
    [anon_sym_BSLASHglslink] = ACTIONS(6696),
    [anon_sym_BSLASHglstext] = ACTIONS(6696),
    [anon_sym_BSLASHGlstext] = ACTIONS(6696),
    [anon_sym_BSLASHGLStext] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6696),
    [anon_sym_BSLASHglsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsname] = ACTIONS(6696),
    [anon_sym_BSLASHGlsname] = ACTIONS(6696),
    [anon_sym_BSLASHGLSname] = ACTIONS(6696),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6696),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6696),
    [anon_sym_BSLASHacrshort] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6696),
    [anon_sym_BSLASHACRshort] = ACTIONS(6696),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrlong] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6696),
    [anon_sym_BSLASHACRlong] = ACTIONS(6696),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrfull] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6696),
    [anon_sym_BSLASHACRfull] = ACTIONS(6696),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHacs] = ACTIONS(6696),
    [anon_sym_BSLASHAcs] = ACTIONS(6696),
    [anon_sym_BSLASHacsp] = ACTIONS(6696),
    [anon_sym_BSLASHAcsp] = ACTIONS(6696),
    [anon_sym_BSLASHacl] = ACTIONS(6696),
    [anon_sym_BSLASHAcl] = ACTIONS(6696),
    [anon_sym_BSLASHaclp] = ACTIONS(6696),
    [anon_sym_BSLASHAclp] = ACTIONS(6696),
    [anon_sym_BSLASHacf] = ACTIONS(6696),
    [anon_sym_BSLASHAcf] = ACTIONS(6696),
    [anon_sym_BSLASHacfp] = ACTIONS(6696),
    [anon_sym_BSLASHAcfp] = ACTIONS(6696),
    [anon_sym_BSLASHac] = ACTIONS(6696),
    [anon_sym_BSLASHAc] = ACTIONS(6696),
    [anon_sym_BSLASHacp] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6696),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6696),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6696),
    [anon_sym_BSLASHcolor] = ACTIONS(6696),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6696),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6696),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6696),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6696),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6696),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6696),
    [anon_sym_BSLASHurl] = ACTIONS(6696),
    [anon_sym_BSLASHhref] = ACTIONS(6696),
  },
  [744] = {
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(735),
    [aux_sym__section_repeat2] = STATE(735),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [745] = {
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(736),
    [aux_sym__section_repeat3] = STATE(736),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [746] = {
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(737),
    [aux_sym__section_repeat4] = STATE(737),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [747] = {
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(738),
    [aux_sym__section_repeat5] = STATE(738),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [748] = {
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(920),
    [aux_sym__section_repeat4] = STATE(920),
    [sym_command_name] = ACTIONS(6696),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6696),
    [anon_sym_LBRACK] = ACTIONS(6698),
    [anon_sym_RBRACK] = ACTIONS(6698),
    [anon_sym_COMMA] = ACTIONS(6698),
    [anon_sym_EQ] = ACTIONS(6698),
    [anon_sym_LPAREN] = ACTIONS(6698),
    [anon_sym_RPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHpart] = ACTIONS(6696),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddpart] = ACTIONS(6696),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHchapter] = ACTIONS(6696),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddchap] = ACTIONS(6696),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsection] = ACTIONS(6696),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddsec] = ACTIONS(6696),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHitem] = ACTIONS(6696),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6698),
    [anon_sym_LBRACE] = ACTIONS(6698),
    [sym_word] = ACTIONS(6696),
    [sym_placeholder] = ACTIONS(6698),
    [sym_delimiter] = ACTIONS(6698),
    [anon_sym_PLUS] = ACTIONS(6698),
    [anon_sym_DASH] = ACTIONS(6698),
    [anon_sym_STAR] = ACTIONS(6698),
    [anon_sym_SLASH] = ACTIONS(6698),
    [anon_sym_LT] = ACTIONS(6696),
    [anon_sym_GT] = ACTIONS(6696),
    [anon_sym_BANG] = ACTIONS(6696),
    [anon_sym_PIPE] = ACTIONS(6696),
    [anon_sym_COLON] = ACTIONS(6696),
    [anon_sym_SQUOTE] = ACTIONS(6696),
    [anon_sym__] = ACTIONS(6698),
    [anon_sym_CARET] = ACTIONS(6698),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6698),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6698),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6698),
    [anon_sym_DOLLAR] = ACTIONS(6696),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHleft] = ACTIONS(6696),
    [anon_sym_BSLASHbigl] = ACTIONS(6696),
    [anon_sym_BSLASHBigl] = ACTIONS(6696),
    [anon_sym_BSLASHbiggl] = ACTIONS(6696),
    [anon_sym_BSLASHBiggl] = ACTIONS(6696),
    [anon_sym_BSLASHtext] = ACTIONS(6696),
    [anon_sym_BSLASHintertext] = ACTIONS(6696),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6696),
    [anon_sym_BSLASHbegin] = ACTIONS(6696),
    [anon_sym_BSLASHtitle] = ACTIONS(6696),
    [anon_sym_BSLASHauthor] = ACTIONS(6696),
    [anon_sym_BSLASHusepackage] = ACTIONS(6696),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6696),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6696),
    [anon_sym_BSLASHinclude] = ACTIONS(6696),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6696),
    [anon_sym_BSLASHinput] = ACTIONS(6696),
    [anon_sym_BSLASHsubfile] = ACTIONS(6696),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6696),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6696),
    [anon_sym_BSLASHbibliography] = ACTIONS(6696),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6696),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6696),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6696),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6696),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6696),
    [anon_sym_BSLASHimport] = ACTIONS(6696),
    [anon_sym_BSLASHsubimport] = ACTIONS(6696),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6696),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHcaption] = ACTIONS(6696),
    [anon_sym_BSLASHcite] = ACTIONS(6696),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCite] = ACTIONS(6696),
    [anon_sym_BSLASHnocite] = ACTIONS(6696),
    [anon_sym_BSLASHcitet] = ACTIONS(6696),
    [anon_sym_BSLASHcitep] = ACTIONS(6696),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteA] = ACTIONS(6696),
    [anon_sym_BSLASHciteR] = ACTIONS(6696),
    [anon_sym_BSLASHciteS] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6696),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteyear] = ACTIONS(6696),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitedate] = ACTIONS(6696),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteurl] = ACTIONS(6696),
    [anon_sym_BSLASHfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6696),
    [anon_sym_BSLASHcitealt] = ACTIONS(6696),
    [anon_sym_BSLASHcitealp] = ACTIONS(6696),
    [anon_sym_BSLASHcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHparencite] = ACTIONS(6696),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHParencite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHtextcite] = ACTIONS(6696),
    [anon_sym_BSLASHTextcite] = ACTIONS(6696),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHsupercite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite] = ACTIONS(6696),
    [anon_sym_BSLASHAutocite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHVolcite] = ACTIONS(6696),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHavolcite] = ACTIONS(6696),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHNotecite] = ACTIONS(6696),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHlabel] = ACTIONS(6696),
    [anon_sym_BSLASHref] = ACTIONS(6696),
    [anon_sym_BSLASHeqref] = ACTIONS(6696),
    [anon_sym_BSLASHvref] = ACTIONS(6696),
    [anon_sym_BSLASHVref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHpageref] = ACTIONS(6696),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHautopageref] = ACTIONS(6696),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcref] = ACTIONS(6696),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCref] = ACTIONS(6696),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHCpageref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnameCref] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6696),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHdef] = ACTIONS(6696),
    [anon_sym_BSLASHgdef] = ACTIONS(6696),
    [anon_sym_BSLASHedef] = ACTIONS(6696),
    [anon_sym_BSLASHxdef] = ACTIONS(6696),
    [anon_sym_BSLASHlet] = ACTIONS(6696),
    [anon_sym_BSLASHglet] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6696),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6696),
    [anon_sym_BSLASHgls] = ACTIONS(6696),
    [anon_sym_BSLASHGls] = ACTIONS(6696),
    [anon_sym_BSLASHGLS] = ACTIONS(6696),
    [anon_sym_BSLASHglspl] = ACTIONS(6696),
    [anon_sym_BSLASHGlspl] = ACTIONS(6696),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6696),
    [anon_sym_BSLASHglslink] = ACTIONS(6696),
    [anon_sym_BSLASHglstext] = ACTIONS(6696),
    [anon_sym_BSLASHGlstext] = ACTIONS(6696),
    [anon_sym_BSLASHGLStext] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6696),
    [anon_sym_BSLASHglsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsname] = ACTIONS(6696),
    [anon_sym_BSLASHGlsname] = ACTIONS(6696),
    [anon_sym_BSLASHGLSname] = ACTIONS(6696),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6696),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6696),
    [anon_sym_BSLASHacrshort] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6696),
    [anon_sym_BSLASHACRshort] = ACTIONS(6696),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrlong] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6696),
    [anon_sym_BSLASHACRlong] = ACTIONS(6696),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrfull] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6696),
    [anon_sym_BSLASHACRfull] = ACTIONS(6696),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHacs] = ACTIONS(6696),
    [anon_sym_BSLASHAcs] = ACTIONS(6696),
    [anon_sym_BSLASHacsp] = ACTIONS(6696),
    [anon_sym_BSLASHAcsp] = ACTIONS(6696),
    [anon_sym_BSLASHacl] = ACTIONS(6696),
    [anon_sym_BSLASHAcl] = ACTIONS(6696),
    [anon_sym_BSLASHaclp] = ACTIONS(6696),
    [anon_sym_BSLASHAclp] = ACTIONS(6696),
    [anon_sym_BSLASHacf] = ACTIONS(6696),
    [anon_sym_BSLASHAcf] = ACTIONS(6696),
    [anon_sym_BSLASHacfp] = ACTIONS(6696),
    [anon_sym_BSLASHAcfp] = ACTIONS(6696),
    [anon_sym_BSLASHac] = ACTIONS(6696),
    [anon_sym_BSLASHAc] = ACTIONS(6696),
    [anon_sym_BSLASHacp] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6696),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6696),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6696),
    [anon_sym_BSLASHcolor] = ACTIONS(6696),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6696),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6696),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6696),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6696),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6696),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6696),
    [anon_sym_BSLASHurl] = ACTIONS(6696),
    [anon_sym_BSLASHhref] = ACTIONS(6696),
  },
  [749] = {
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(735),
    [aux_sym__section_repeat2] = STATE(735),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [750] = {
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(736),
    [aux_sym__section_repeat3] = STATE(736),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [751] = {
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(737),
    [aux_sym__section_repeat4] = STATE(737),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [752] = {
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(738),
    [aux_sym__section_repeat5] = STATE(738),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [753] = {
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(736),
    [aux_sym__section_repeat3] = STATE(736),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [754] = {
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(737),
    [aux_sym__section_repeat4] = STATE(737),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(6531),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddsec] = ACTIONS(6531),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [755] = {
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(738),
    [aux_sym__section_repeat5] = STATE(738),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(6531),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddsec] = ACTIONS(6531),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [756] = {
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(921),
    [aux_sym__section_repeat5] = STATE(921),
    [sym_command_name] = ACTIONS(6696),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6696),
    [anon_sym_LBRACK] = ACTIONS(6698),
    [anon_sym_RBRACK] = ACTIONS(6698),
    [anon_sym_COMMA] = ACTIONS(6698),
    [anon_sym_EQ] = ACTIONS(6698),
    [anon_sym_LPAREN] = ACTIONS(6698),
    [anon_sym_RPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHpart] = ACTIONS(6696),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddpart] = ACTIONS(6696),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHchapter] = ACTIONS(6696),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddchap] = ACTIONS(6696),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsection] = ACTIONS(6696),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddsec] = ACTIONS(6696),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubsection] = ACTIONS(6696),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHitem] = ACTIONS(6696),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6698),
    [anon_sym_LBRACE] = ACTIONS(6698),
    [sym_word] = ACTIONS(6696),
    [sym_placeholder] = ACTIONS(6698),
    [sym_delimiter] = ACTIONS(6698),
    [anon_sym_PLUS] = ACTIONS(6698),
    [anon_sym_DASH] = ACTIONS(6698),
    [anon_sym_STAR] = ACTIONS(6698),
    [anon_sym_SLASH] = ACTIONS(6698),
    [anon_sym_LT] = ACTIONS(6696),
    [anon_sym_GT] = ACTIONS(6696),
    [anon_sym_BANG] = ACTIONS(6696),
    [anon_sym_PIPE] = ACTIONS(6696),
    [anon_sym_COLON] = ACTIONS(6696),
    [anon_sym_SQUOTE] = ACTIONS(6696),
    [anon_sym__] = ACTIONS(6698),
    [anon_sym_CARET] = ACTIONS(6698),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6698),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6698),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6698),
    [anon_sym_DOLLAR] = ACTIONS(6696),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHleft] = ACTIONS(6696),
    [anon_sym_BSLASHbigl] = ACTIONS(6696),
    [anon_sym_BSLASHBigl] = ACTIONS(6696),
    [anon_sym_BSLASHbiggl] = ACTIONS(6696),
    [anon_sym_BSLASHBiggl] = ACTIONS(6696),
    [anon_sym_BSLASHtext] = ACTIONS(6696),
    [anon_sym_BSLASHintertext] = ACTIONS(6696),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6696),
    [anon_sym_BSLASHbegin] = ACTIONS(6696),
    [anon_sym_BSLASHtitle] = ACTIONS(6696),
    [anon_sym_BSLASHauthor] = ACTIONS(6696),
    [anon_sym_BSLASHusepackage] = ACTIONS(6696),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6696),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6696),
    [anon_sym_BSLASHinclude] = ACTIONS(6696),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6696),
    [anon_sym_BSLASHinput] = ACTIONS(6696),
    [anon_sym_BSLASHsubfile] = ACTIONS(6696),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6696),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6696),
    [anon_sym_BSLASHbibliography] = ACTIONS(6696),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6696),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6696),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6696),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6696),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6696),
    [anon_sym_BSLASHimport] = ACTIONS(6696),
    [anon_sym_BSLASHsubimport] = ACTIONS(6696),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6696),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHcaption] = ACTIONS(6696),
    [anon_sym_BSLASHcite] = ACTIONS(6696),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCite] = ACTIONS(6696),
    [anon_sym_BSLASHnocite] = ACTIONS(6696),
    [anon_sym_BSLASHcitet] = ACTIONS(6696),
    [anon_sym_BSLASHcitep] = ACTIONS(6696),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteA] = ACTIONS(6696),
    [anon_sym_BSLASHciteR] = ACTIONS(6696),
    [anon_sym_BSLASHciteS] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6696),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteyear] = ACTIONS(6696),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitedate] = ACTIONS(6696),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteurl] = ACTIONS(6696),
    [anon_sym_BSLASHfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6696),
    [anon_sym_BSLASHcitealt] = ACTIONS(6696),
    [anon_sym_BSLASHcitealp] = ACTIONS(6696),
    [anon_sym_BSLASHcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHparencite] = ACTIONS(6696),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHParencite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHtextcite] = ACTIONS(6696),
    [anon_sym_BSLASHTextcite] = ACTIONS(6696),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHsupercite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite] = ACTIONS(6696),
    [anon_sym_BSLASHAutocite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHVolcite] = ACTIONS(6696),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHavolcite] = ACTIONS(6696),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHNotecite] = ACTIONS(6696),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHlabel] = ACTIONS(6696),
    [anon_sym_BSLASHref] = ACTIONS(6696),
    [anon_sym_BSLASHeqref] = ACTIONS(6696),
    [anon_sym_BSLASHvref] = ACTIONS(6696),
    [anon_sym_BSLASHVref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHpageref] = ACTIONS(6696),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHautopageref] = ACTIONS(6696),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcref] = ACTIONS(6696),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCref] = ACTIONS(6696),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHCpageref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnameCref] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6696),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHdef] = ACTIONS(6696),
    [anon_sym_BSLASHgdef] = ACTIONS(6696),
    [anon_sym_BSLASHedef] = ACTIONS(6696),
    [anon_sym_BSLASHxdef] = ACTIONS(6696),
    [anon_sym_BSLASHlet] = ACTIONS(6696),
    [anon_sym_BSLASHglet] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6696),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6696),
    [anon_sym_BSLASHgls] = ACTIONS(6696),
    [anon_sym_BSLASHGls] = ACTIONS(6696),
    [anon_sym_BSLASHGLS] = ACTIONS(6696),
    [anon_sym_BSLASHglspl] = ACTIONS(6696),
    [anon_sym_BSLASHGlspl] = ACTIONS(6696),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6696),
    [anon_sym_BSLASHglslink] = ACTIONS(6696),
    [anon_sym_BSLASHglstext] = ACTIONS(6696),
    [anon_sym_BSLASHGlstext] = ACTIONS(6696),
    [anon_sym_BSLASHGLStext] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6696),
    [anon_sym_BSLASHglsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsname] = ACTIONS(6696),
    [anon_sym_BSLASHGlsname] = ACTIONS(6696),
    [anon_sym_BSLASHGLSname] = ACTIONS(6696),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6696),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6696),
    [anon_sym_BSLASHacrshort] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6696),
    [anon_sym_BSLASHACRshort] = ACTIONS(6696),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrlong] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6696),
    [anon_sym_BSLASHACRlong] = ACTIONS(6696),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrfull] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6696),
    [anon_sym_BSLASHACRfull] = ACTIONS(6696),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHacs] = ACTIONS(6696),
    [anon_sym_BSLASHAcs] = ACTIONS(6696),
    [anon_sym_BSLASHacsp] = ACTIONS(6696),
    [anon_sym_BSLASHAcsp] = ACTIONS(6696),
    [anon_sym_BSLASHacl] = ACTIONS(6696),
    [anon_sym_BSLASHAcl] = ACTIONS(6696),
    [anon_sym_BSLASHaclp] = ACTIONS(6696),
    [anon_sym_BSLASHAclp] = ACTIONS(6696),
    [anon_sym_BSLASHacf] = ACTIONS(6696),
    [anon_sym_BSLASHAcf] = ACTIONS(6696),
    [anon_sym_BSLASHacfp] = ACTIONS(6696),
    [anon_sym_BSLASHAcfp] = ACTIONS(6696),
    [anon_sym_BSLASHac] = ACTIONS(6696),
    [anon_sym_BSLASHAc] = ACTIONS(6696),
    [anon_sym_BSLASHacp] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6696),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6696),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6696),
    [anon_sym_BSLASHcolor] = ACTIONS(6696),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6696),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6696),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6696),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6696),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6696),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6696),
    [anon_sym_BSLASHurl] = ACTIONS(6696),
    [anon_sym_BSLASHhref] = ACTIONS(6696),
  },
  [757] = {
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(736),
    [aux_sym__section_repeat3] = STATE(736),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [758] = {
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(737),
    [aux_sym__section_repeat4] = STATE(737),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(6531),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddsec] = ACTIONS(6531),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [759] = {
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(738),
    [aux_sym__section_repeat5] = STATE(738),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(6531),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddsec] = ACTIONS(6531),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [760] = {
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(737),
    [aux_sym__section_repeat4] = STATE(737),
    [sym_command_name] = ACTIONS(6535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6535),
    [anon_sym_LBRACK] = ACTIONS(6537),
    [anon_sym_RBRACK] = ACTIONS(6537),
    [anon_sym_COMMA] = ACTIONS(6537),
    [anon_sym_EQ] = ACTIONS(6537),
    [anon_sym_LPAREN] = ACTIONS(6537),
    [anon_sym_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHpart] = ACTIONS(6535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddpart] = ACTIONS(6535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHchapter] = ACTIONS(6535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddchap] = ACTIONS(6535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsection] = ACTIONS(6535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddsec] = ACTIONS(6535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6535),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHitem] = ACTIONS(6535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6537),
    [anon_sym_LBRACE] = ACTIONS(6537),
    [sym_word] = ACTIONS(6535),
    [sym_placeholder] = ACTIONS(6537),
    [sym_delimiter] = ACTIONS(6537),
    [anon_sym_PLUS] = ACTIONS(6537),
    [anon_sym_DASH] = ACTIONS(6537),
    [anon_sym_STAR] = ACTIONS(6537),
    [anon_sym_SLASH] = ACTIONS(6537),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_BANG] = ACTIONS(6535),
    [anon_sym_PIPE] = ACTIONS(6535),
    [anon_sym_COLON] = ACTIONS(6535),
    [anon_sym_SQUOTE] = ACTIONS(6535),
    [anon_sym__] = ACTIONS(6537),
    [anon_sym_CARET] = ACTIONS(6537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6537),
    [anon_sym_DOLLAR] = ACTIONS(6535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6537),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHleft] = ACTIONS(6535),
    [anon_sym_BSLASHbigl] = ACTIONS(6535),
    [anon_sym_BSLASHBigl] = ACTIONS(6535),
    [anon_sym_BSLASHbiggl] = ACTIONS(6535),
    [anon_sym_BSLASHBiggl] = ACTIONS(6535),
    [anon_sym_BSLASHtext] = ACTIONS(6535),
    [anon_sym_BSLASHintertext] = ACTIONS(6535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6535),
    [anon_sym_BSLASHbegin] = ACTIONS(6535),
    [anon_sym_BSLASHtitle] = ACTIONS(6535),
    [anon_sym_BSLASHauthor] = ACTIONS(6535),
    [anon_sym_BSLASHusepackage] = ACTIONS(6535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6535),
    [anon_sym_BSLASHinclude] = ACTIONS(6535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6535),
    [anon_sym_BSLASHinput] = ACTIONS(6535),
    [anon_sym_BSLASHsubfile] = ACTIONS(6535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6535),
    [anon_sym_BSLASHbibliography] = ACTIONS(6535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6535),
    [anon_sym_BSLASHimport] = ACTIONS(6535),
    [anon_sym_BSLASHsubimport] = ACTIONS(6535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHcaption] = ACTIONS(6535),
    [anon_sym_BSLASHcite] = ACTIONS(6535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCite] = ACTIONS(6535),
    [anon_sym_BSLASHnocite] = ACTIONS(6535),
    [anon_sym_BSLASHcitet] = ACTIONS(6535),
    [anon_sym_BSLASHcitep] = ACTIONS(6535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteA] = ACTIONS(6535),
    [anon_sym_BSLASHciteR] = ACTIONS(6535),
    [anon_sym_BSLASHciteS] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteyear] = ACTIONS(6535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitedate] = ACTIONS(6535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteurl] = ACTIONS(6535),
    [anon_sym_BSLASHfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6535),
    [anon_sym_BSLASHcitealt] = ACTIONS(6535),
    [anon_sym_BSLASHcitealp] = ACTIONS(6535),
    [anon_sym_BSLASHcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHparencite] = ACTIONS(6535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHParencite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHtextcite] = ACTIONS(6535),
    [anon_sym_BSLASHTextcite] = ACTIONS(6535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHsupercite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite] = ACTIONS(6535),
    [anon_sym_BSLASHAutocite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHVolcite] = ACTIONS(6535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHavolcite] = ACTIONS(6535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHNotecite] = ACTIONS(6535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHlabel] = ACTIONS(6535),
    [anon_sym_BSLASHref] = ACTIONS(6535),
    [anon_sym_BSLASHeqref] = ACTIONS(6535),
    [anon_sym_BSLASHvref] = ACTIONS(6535),
    [anon_sym_BSLASHVref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHpageref] = ACTIONS(6535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHautopageref] = ACTIONS(6535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcref] = ACTIONS(6535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCref] = ACTIONS(6535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHCpageref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnameCref] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHdef] = ACTIONS(6535),
    [anon_sym_BSLASHgdef] = ACTIONS(6535),
    [anon_sym_BSLASHedef] = ACTIONS(6535),
    [anon_sym_BSLASHxdef] = ACTIONS(6535),
    [anon_sym_BSLASHlet] = ACTIONS(6535),
    [anon_sym_BSLASHglet] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6535),
    [anon_sym_BSLASHgls] = ACTIONS(6535),
    [anon_sym_BSLASHGls] = ACTIONS(6535),
    [anon_sym_BSLASHGLS] = ACTIONS(6535),
    [anon_sym_BSLASHglspl] = ACTIONS(6535),
    [anon_sym_BSLASHGlspl] = ACTIONS(6535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6535),
    [anon_sym_BSLASHglslink] = ACTIONS(6535),
    [anon_sym_BSLASHglstext] = ACTIONS(6535),
    [anon_sym_BSLASHGlstext] = ACTIONS(6535),
    [anon_sym_BSLASHGLStext] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6535),
    [anon_sym_BSLASHglsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsname] = ACTIONS(6535),
    [anon_sym_BSLASHGlsname] = ACTIONS(6535),
    [anon_sym_BSLASHGLSname] = ACTIONS(6535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6535),
    [anon_sym_BSLASHacrshort] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6535),
    [anon_sym_BSLASHACRshort] = ACTIONS(6535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrlong] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6535),
    [anon_sym_BSLASHACRlong] = ACTIONS(6535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrfull] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6535),
    [anon_sym_BSLASHACRfull] = ACTIONS(6535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHacs] = ACTIONS(6535),
    [anon_sym_BSLASHAcs] = ACTIONS(6535),
    [anon_sym_BSLASHacsp] = ACTIONS(6535),
    [anon_sym_BSLASHAcsp] = ACTIONS(6535),
    [anon_sym_BSLASHacl] = ACTIONS(6535),
    [anon_sym_BSLASHAcl] = ACTIONS(6535),
    [anon_sym_BSLASHaclp] = ACTIONS(6535),
    [anon_sym_BSLASHAclp] = ACTIONS(6535),
    [anon_sym_BSLASHacf] = ACTIONS(6535),
    [anon_sym_BSLASHAcf] = ACTIONS(6535),
    [anon_sym_BSLASHacfp] = ACTIONS(6535),
    [anon_sym_BSLASHAcfp] = ACTIONS(6535),
    [anon_sym_BSLASHac] = ACTIONS(6535),
    [anon_sym_BSLASHAc] = ACTIONS(6535),
    [anon_sym_BSLASHacp] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6535),
    [anon_sym_BSLASHcolor] = ACTIONS(6535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6535),
    [anon_sym_BSLASHurl] = ACTIONS(6535),
    [anon_sym_BSLASHhref] = ACTIONS(6535),
  },
  [761] = {
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(738),
    [aux_sym__section_repeat5] = STATE(738),
    [sym_command_name] = ACTIONS(6535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6535),
    [anon_sym_LBRACK] = ACTIONS(6537),
    [anon_sym_RBRACK] = ACTIONS(6537),
    [anon_sym_COMMA] = ACTIONS(6537),
    [anon_sym_EQ] = ACTIONS(6537),
    [anon_sym_LPAREN] = ACTIONS(6537),
    [anon_sym_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHpart] = ACTIONS(6535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddpart] = ACTIONS(6535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHchapter] = ACTIONS(6535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddchap] = ACTIONS(6535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsection] = ACTIONS(6535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddsec] = ACTIONS(6535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsection] = ACTIONS(6535),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHitem] = ACTIONS(6535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6537),
    [anon_sym_LBRACE] = ACTIONS(6537),
    [sym_word] = ACTIONS(6535),
    [sym_placeholder] = ACTIONS(6537),
    [sym_delimiter] = ACTIONS(6537),
    [anon_sym_PLUS] = ACTIONS(6537),
    [anon_sym_DASH] = ACTIONS(6537),
    [anon_sym_STAR] = ACTIONS(6537),
    [anon_sym_SLASH] = ACTIONS(6537),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_BANG] = ACTIONS(6535),
    [anon_sym_PIPE] = ACTIONS(6535),
    [anon_sym_COLON] = ACTIONS(6535),
    [anon_sym_SQUOTE] = ACTIONS(6535),
    [anon_sym__] = ACTIONS(6537),
    [anon_sym_CARET] = ACTIONS(6537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6537),
    [anon_sym_DOLLAR] = ACTIONS(6535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6537),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHleft] = ACTIONS(6535),
    [anon_sym_BSLASHbigl] = ACTIONS(6535),
    [anon_sym_BSLASHBigl] = ACTIONS(6535),
    [anon_sym_BSLASHbiggl] = ACTIONS(6535),
    [anon_sym_BSLASHBiggl] = ACTIONS(6535),
    [anon_sym_BSLASHtext] = ACTIONS(6535),
    [anon_sym_BSLASHintertext] = ACTIONS(6535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6535),
    [anon_sym_BSLASHbegin] = ACTIONS(6535),
    [anon_sym_BSLASHtitle] = ACTIONS(6535),
    [anon_sym_BSLASHauthor] = ACTIONS(6535),
    [anon_sym_BSLASHusepackage] = ACTIONS(6535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6535),
    [anon_sym_BSLASHinclude] = ACTIONS(6535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6535),
    [anon_sym_BSLASHinput] = ACTIONS(6535),
    [anon_sym_BSLASHsubfile] = ACTIONS(6535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6535),
    [anon_sym_BSLASHbibliography] = ACTIONS(6535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6535),
    [anon_sym_BSLASHimport] = ACTIONS(6535),
    [anon_sym_BSLASHsubimport] = ACTIONS(6535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHcaption] = ACTIONS(6535),
    [anon_sym_BSLASHcite] = ACTIONS(6535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCite] = ACTIONS(6535),
    [anon_sym_BSLASHnocite] = ACTIONS(6535),
    [anon_sym_BSLASHcitet] = ACTIONS(6535),
    [anon_sym_BSLASHcitep] = ACTIONS(6535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteA] = ACTIONS(6535),
    [anon_sym_BSLASHciteR] = ACTIONS(6535),
    [anon_sym_BSLASHciteS] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteyear] = ACTIONS(6535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitedate] = ACTIONS(6535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteurl] = ACTIONS(6535),
    [anon_sym_BSLASHfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6535),
    [anon_sym_BSLASHcitealt] = ACTIONS(6535),
    [anon_sym_BSLASHcitealp] = ACTIONS(6535),
    [anon_sym_BSLASHcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHparencite] = ACTIONS(6535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHParencite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHtextcite] = ACTIONS(6535),
    [anon_sym_BSLASHTextcite] = ACTIONS(6535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHsupercite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite] = ACTIONS(6535),
    [anon_sym_BSLASHAutocite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHVolcite] = ACTIONS(6535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHavolcite] = ACTIONS(6535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHNotecite] = ACTIONS(6535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHlabel] = ACTIONS(6535),
    [anon_sym_BSLASHref] = ACTIONS(6535),
    [anon_sym_BSLASHeqref] = ACTIONS(6535),
    [anon_sym_BSLASHvref] = ACTIONS(6535),
    [anon_sym_BSLASHVref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHpageref] = ACTIONS(6535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHautopageref] = ACTIONS(6535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcref] = ACTIONS(6535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCref] = ACTIONS(6535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHCpageref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnameCref] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHdef] = ACTIONS(6535),
    [anon_sym_BSLASHgdef] = ACTIONS(6535),
    [anon_sym_BSLASHedef] = ACTIONS(6535),
    [anon_sym_BSLASHxdef] = ACTIONS(6535),
    [anon_sym_BSLASHlet] = ACTIONS(6535),
    [anon_sym_BSLASHglet] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6535),
    [anon_sym_BSLASHgls] = ACTIONS(6535),
    [anon_sym_BSLASHGls] = ACTIONS(6535),
    [anon_sym_BSLASHGLS] = ACTIONS(6535),
    [anon_sym_BSLASHglspl] = ACTIONS(6535),
    [anon_sym_BSLASHGlspl] = ACTIONS(6535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6535),
    [anon_sym_BSLASHglslink] = ACTIONS(6535),
    [anon_sym_BSLASHglstext] = ACTIONS(6535),
    [anon_sym_BSLASHGlstext] = ACTIONS(6535),
    [anon_sym_BSLASHGLStext] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6535),
    [anon_sym_BSLASHglsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsname] = ACTIONS(6535),
    [anon_sym_BSLASHGlsname] = ACTIONS(6535),
    [anon_sym_BSLASHGLSname] = ACTIONS(6535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6535),
    [anon_sym_BSLASHacrshort] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6535),
    [anon_sym_BSLASHACRshort] = ACTIONS(6535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrlong] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6535),
    [anon_sym_BSLASHACRlong] = ACTIONS(6535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrfull] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6535),
    [anon_sym_BSLASHACRfull] = ACTIONS(6535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHacs] = ACTIONS(6535),
    [anon_sym_BSLASHAcs] = ACTIONS(6535),
    [anon_sym_BSLASHacsp] = ACTIONS(6535),
    [anon_sym_BSLASHAcsp] = ACTIONS(6535),
    [anon_sym_BSLASHacl] = ACTIONS(6535),
    [anon_sym_BSLASHAcl] = ACTIONS(6535),
    [anon_sym_BSLASHaclp] = ACTIONS(6535),
    [anon_sym_BSLASHAclp] = ACTIONS(6535),
    [anon_sym_BSLASHacf] = ACTIONS(6535),
    [anon_sym_BSLASHAcf] = ACTIONS(6535),
    [anon_sym_BSLASHacfp] = ACTIONS(6535),
    [anon_sym_BSLASHAcfp] = ACTIONS(6535),
    [anon_sym_BSLASHac] = ACTIONS(6535),
    [anon_sym_BSLASHAc] = ACTIONS(6535),
    [anon_sym_BSLASHacp] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6535),
    [anon_sym_BSLASHcolor] = ACTIONS(6535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6535),
    [anon_sym_BSLASHurl] = ACTIONS(6535),
    [anon_sym_BSLASHhref] = ACTIONS(6535),
  },
  [762] = {
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(737),
    [aux_sym__section_repeat4] = STATE(737),
    [sym_command_name] = ACTIONS(6535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6535),
    [anon_sym_LBRACK] = ACTIONS(6537),
    [anon_sym_RBRACK] = ACTIONS(6537),
    [anon_sym_COMMA] = ACTIONS(6537),
    [anon_sym_EQ] = ACTIONS(6537),
    [anon_sym_LPAREN] = ACTIONS(6537),
    [anon_sym_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHpart] = ACTIONS(6535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddpart] = ACTIONS(6535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHchapter] = ACTIONS(6535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddchap] = ACTIONS(6535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsection] = ACTIONS(6535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddsec] = ACTIONS(6535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6535),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHitem] = ACTIONS(6535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6537),
    [anon_sym_LBRACE] = ACTIONS(6537),
    [sym_word] = ACTIONS(6535),
    [sym_placeholder] = ACTIONS(6537),
    [sym_delimiter] = ACTIONS(6537),
    [anon_sym_PLUS] = ACTIONS(6537),
    [anon_sym_DASH] = ACTIONS(6537),
    [anon_sym_STAR] = ACTIONS(6537),
    [anon_sym_SLASH] = ACTIONS(6537),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_BANG] = ACTIONS(6535),
    [anon_sym_PIPE] = ACTIONS(6535),
    [anon_sym_COLON] = ACTIONS(6535),
    [anon_sym_SQUOTE] = ACTIONS(6535),
    [anon_sym__] = ACTIONS(6537),
    [anon_sym_CARET] = ACTIONS(6537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6537),
    [anon_sym_DOLLAR] = ACTIONS(6535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6537),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHleft] = ACTIONS(6535),
    [anon_sym_BSLASHbigl] = ACTIONS(6535),
    [anon_sym_BSLASHBigl] = ACTIONS(6535),
    [anon_sym_BSLASHbiggl] = ACTIONS(6535),
    [anon_sym_BSLASHBiggl] = ACTIONS(6535),
    [anon_sym_BSLASHtext] = ACTIONS(6535),
    [anon_sym_BSLASHintertext] = ACTIONS(6535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6535),
    [anon_sym_BSLASHbegin] = ACTIONS(6535),
    [anon_sym_BSLASHtitle] = ACTIONS(6535),
    [anon_sym_BSLASHauthor] = ACTIONS(6535),
    [anon_sym_BSLASHusepackage] = ACTIONS(6535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6535),
    [anon_sym_BSLASHinclude] = ACTIONS(6535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6535),
    [anon_sym_BSLASHinput] = ACTIONS(6535),
    [anon_sym_BSLASHsubfile] = ACTIONS(6535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6535),
    [anon_sym_BSLASHbibliography] = ACTIONS(6535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6535),
    [anon_sym_BSLASHimport] = ACTIONS(6535),
    [anon_sym_BSLASHsubimport] = ACTIONS(6535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHcaption] = ACTIONS(6535),
    [anon_sym_BSLASHcite] = ACTIONS(6535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCite] = ACTIONS(6535),
    [anon_sym_BSLASHnocite] = ACTIONS(6535),
    [anon_sym_BSLASHcitet] = ACTIONS(6535),
    [anon_sym_BSLASHcitep] = ACTIONS(6535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteA] = ACTIONS(6535),
    [anon_sym_BSLASHciteR] = ACTIONS(6535),
    [anon_sym_BSLASHciteS] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteyear] = ACTIONS(6535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitedate] = ACTIONS(6535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteurl] = ACTIONS(6535),
    [anon_sym_BSLASHfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6535),
    [anon_sym_BSLASHcitealt] = ACTIONS(6535),
    [anon_sym_BSLASHcitealp] = ACTIONS(6535),
    [anon_sym_BSLASHcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHparencite] = ACTIONS(6535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHParencite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHtextcite] = ACTIONS(6535),
    [anon_sym_BSLASHTextcite] = ACTIONS(6535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHsupercite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite] = ACTIONS(6535),
    [anon_sym_BSLASHAutocite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHVolcite] = ACTIONS(6535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHavolcite] = ACTIONS(6535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHNotecite] = ACTIONS(6535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHlabel] = ACTIONS(6535),
    [anon_sym_BSLASHref] = ACTIONS(6535),
    [anon_sym_BSLASHeqref] = ACTIONS(6535),
    [anon_sym_BSLASHvref] = ACTIONS(6535),
    [anon_sym_BSLASHVref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHpageref] = ACTIONS(6535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHautopageref] = ACTIONS(6535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcref] = ACTIONS(6535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCref] = ACTIONS(6535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHCpageref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnameCref] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHdef] = ACTIONS(6535),
    [anon_sym_BSLASHgdef] = ACTIONS(6535),
    [anon_sym_BSLASHedef] = ACTIONS(6535),
    [anon_sym_BSLASHxdef] = ACTIONS(6535),
    [anon_sym_BSLASHlet] = ACTIONS(6535),
    [anon_sym_BSLASHglet] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6535),
    [anon_sym_BSLASHgls] = ACTIONS(6535),
    [anon_sym_BSLASHGls] = ACTIONS(6535),
    [anon_sym_BSLASHGLS] = ACTIONS(6535),
    [anon_sym_BSLASHglspl] = ACTIONS(6535),
    [anon_sym_BSLASHGlspl] = ACTIONS(6535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6535),
    [anon_sym_BSLASHglslink] = ACTIONS(6535),
    [anon_sym_BSLASHglstext] = ACTIONS(6535),
    [anon_sym_BSLASHGlstext] = ACTIONS(6535),
    [anon_sym_BSLASHGLStext] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6535),
    [anon_sym_BSLASHglsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsname] = ACTIONS(6535),
    [anon_sym_BSLASHGlsname] = ACTIONS(6535),
    [anon_sym_BSLASHGLSname] = ACTIONS(6535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6535),
    [anon_sym_BSLASHacrshort] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6535),
    [anon_sym_BSLASHACRshort] = ACTIONS(6535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrlong] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6535),
    [anon_sym_BSLASHACRlong] = ACTIONS(6535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrfull] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6535),
    [anon_sym_BSLASHACRfull] = ACTIONS(6535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHacs] = ACTIONS(6535),
    [anon_sym_BSLASHAcs] = ACTIONS(6535),
    [anon_sym_BSLASHacsp] = ACTIONS(6535),
    [anon_sym_BSLASHAcsp] = ACTIONS(6535),
    [anon_sym_BSLASHacl] = ACTIONS(6535),
    [anon_sym_BSLASHAcl] = ACTIONS(6535),
    [anon_sym_BSLASHaclp] = ACTIONS(6535),
    [anon_sym_BSLASHAclp] = ACTIONS(6535),
    [anon_sym_BSLASHacf] = ACTIONS(6535),
    [anon_sym_BSLASHAcf] = ACTIONS(6535),
    [anon_sym_BSLASHacfp] = ACTIONS(6535),
    [anon_sym_BSLASHAcfp] = ACTIONS(6535),
    [anon_sym_BSLASHac] = ACTIONS(6535),
    [anon_sym_BSLASHAc] = ACTIONS(6535),
    [anon_sym_BSLASHacp] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6535),
    [anon_sym_BSLASHcolor] = ACTIONS(6535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6535),
    [anon_sym_BSLASHurl] = ACTIONS(6535),
    [anon_sym_BSLASHhref] = ACTIONS(6535),
  },
  [763] = {
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(738),
    [aux_sym__section_repeat5] = STATE(738),
    [sym_command_name] = ACTIONS(6535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6535),
    [anon_sym_LBRACK] = ACTIONS(6537),
    [anon_sym_RBRACK] = ACTIONS(6537),
    [anon_sym_COMMA] = ACTIONS(6537),
    [anon_sym_EQ] = ACTIONS(6537),
    [anon_sym_LPAREN] = ACTIONS(6537),
    [anon_sym_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHpart] = ACTIONS(6535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddpart] = ACTIONS(6535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHchapter] = ACTIONS(6535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddchap] = ACTIONS(6535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsection] = ACTIONS(6535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddsec] = ACTIONS(6535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsection] = ACTIONS(6535),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHitem] = ACTIONS(6535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6537),
    [anon_sym_LBRACE] = ACTIONS(6537),
    [sym_word] = ACTIONS(6535),
    [sym_placeholder] = ACTIONS(6537),
    [sym_delimiter] = ACTIONS(6537),
    [anon_sym_PLUS] = ACTIONS(6537),
    [anon_sym_DASH] = ACTIONS(6537),
    [anon_sym_STAR] = ACTIONS(6537),
    [anon_sym_SLASH] = ACTIONS(6537),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_BANG] = ACTIONS(6535),
    [anon_sym_PIPE] = ACTIONS(6535),
    [anon_sym_COLON] = ACTIONS(6535),
    [anon_sym_SQUOTE] = ACTIONS(6535),
    [anon_sym__] = ACTIONS(6537),
    [anon_sym_CARET] = ACTIONS(6537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6537),
    [anon_sym_DOLLAR] = ACTIONS(6535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6537),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHleft] = ACTIONS(6535),
    [anon_sym_BSLASHbigl] = ACTIONS(6535),
    [anon_sym_BSLASHBigl] = ACTIONS(6535),
    [anon_sym_BSLASHbiggl] = ACTIONS(6535),
    [anon_sym_BSLASHBiggl] = ACTIONS(6535),
    [anon_sym_BSLASHtext] = ACTIONS(6535),
    [anon_sym_BSLASHintertext] = ACTIONS(6535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6535),
    [anon_sym_BSLASHbegin] = ACTIONS(6535),
    [anon_sym_BSLASHtitle] = ACTIONS(6535),
    [anon_sym_BSLASHauthor] = ACTIONS(6535),
    [anon_sym_BSLASHusepackage] = ACTIONS(6535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6535),
    [anon_sym_BSLASHinclude] = ACTIONS(6535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6535),
    [anon_sym_BSLASHinput] = ACTIONS(6535),
    [anon_sym_BSLASHsubfile] = ACTIONS(6535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6535),
    [anon_sym_BSLASHbibliography] = ACTIONS(6535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6535),
    [anon_sym_BSLASHimport] = ACTIONS(6535),
    [anon_sym_BSLASHsubimport] = ACTIONS(6535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHcaption] = ACTIONS(6535),
    [anon_sym_BSLASHcite] = ACTIONS(6535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCite] = ACTIONS(6535),
    [anon_sym_BSLASHnocite] = ACTIONS(6535),
    [anon_sym_BSLASHcitet] = ACTIONS(6535),
    [anon_sym_BSLASHcitep] = ACTIONS(6535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteA] = ACTIONS(6535),
    [anon_sym_BSLASHciteR] = ACTIONS(6535),
    [anon_sym_BSLASHciteS] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteyear] = ACTIONS(6535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitedate] = ACTIONS(6535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteurl] = ACTIONS(6535),
    [anon_sym_BSLASHfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6535),
    [anon_sym_BSLASHcitealt] = ACTIONS(6535),
    [anon_sym_BSLASHcitealp] = ACTIONS(6535),
    [anon_sym_BSLASHcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHparencite] = ACTIONS(6535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHParencite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHtextcite] = ACTIONS(6535),
    [anon_sym_BSLASHTextcite] = ACTIONS(6535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHsupercite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite] = ACTIONS(6535),
    [anon_sym_BSLASHAutocite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHVolcite] = ACTIONS(6535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHavolcite] = ACTIONS(6535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHNotecite] = ACTIONS(6535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHlabel] = ACTIONS(6535),
    [anon_sym_BSLASHref] = ACTIONS(6535),
    [anon_sym_BSLASHeqref] = ACTIONS(6535),
    [anon_sym_BSLASHvref] = ACTIONS(6535),
    [anon_sym_BSLASHVref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHpageref] = ACTIONS(6535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHautopageref] = ACTIONS(6535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcref] = ACTIONS(6535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCref] = ACTIONS(6535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHCpageref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnameCref] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHdef] = ACTIONS(6535),
    [anon_sym_BSLASHgdef] = ACTIONS(6535),
    [anon_sym_BSLASHedef] = ACTIONS(6535),
    [anon_sym_BSLASHxdef] = ACTIONS(6535),
    [anon_sym_BSLASHlet] = ACTIONS(6535),
    [anon_sym_BSLASHglet] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6535),
    [anon_sym_BSLASHgls] = ACTIONS(6535),
    [anon_sym_BSLASHGls] = ACTIONS(6535),
    [anon_sym_BSLASHGLS] = ACTIONS(6535),
    [anon_sym_BSLASHglspl] = ACTIONS(6535),
    [anon_sym_BSLASHGlspl] = ACTIONS(6535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6535),
    [anon_sym_BSLASHglslink] = ACTIONS(6535),
    [anon_sym_BSLASHglstext] = ACTIONS(6535),
    [anon_sym_BSLASHGlstext] = ACTIONS(6535),
    [anon_sym_BSLASHGLStext] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6535),
    [anon_sym_BSLASHglsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsname] = ACTIONS(6535),
    [anon_sym_BSLASHGlsname] = ACTIONS(6535),
    [anon_sym_BSLASHGLSname] = ACTIONS(6535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6535),
    [anon_sym_BSLASHacrshort] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6535),
    [anon_sym_BSLASHACRshort] = ACTIONS(6535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrlong] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6535),
    [anon_sym_BSLASHACRlong] = ACTIONS(6535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrfull] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6535),
    [anon_sym_BSLASHACRfull] = ACTIONS(6535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHacs] = ACTIONS(6535),
    [anon_sym_BSLASHAcs] = ACTIONS(6535),
    [anon_sym_BSLASHacsp] = ACTIONS(6535),
    [anon_sym_BSLASHAcsp] = ACTIONS(6535),
    [anon_sym_BSLASHacl] = ACTIONS(6535),
    [anon_sym_BSLASHAcl] = ACTIONS(6535),
    [anon_sym_BSLASHaclp] = ACTIONS(6535),
    [anon_sym_BSLASHAclp] = ACTIONS(6535),
    [anon_sym_BSLASHacf] = ACTIONS(6535),
    [anon_sym_BSLASHAcf] = ACTIONS(6535),
    [anon_sym_BSLASHacfp] = ACTIONS(6535),
    [anon_sym_BSLASHAcfp] = ACTIONS(6535),
    [anon_sym_BSLASHac] = ACTIONS(6535),
    [anon_sym_BSLASHAc] = ACTIONS(6535),
    [anon_sym_BSLASHacp] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6535),
    [anon_sym_BSLASHcolor] = ACTIONS(6535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6535),
    [anon_sym_BSLASHurl] = ACTIONS(6535),
    [anon_sym_BSLASHhref] = ACTIONS(6535),
  },
  [764] = {
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(738),
    [aux_sym__section_repeat5] = STATE(738),
    [sym_command_name] = ACTIONS(6692),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6692),
    [anon_sym_LBRACK] = ACTIONS(6694),
    [anon_sym_RBRACK] = ACTIONS(6694),
    [anon_sym_COMMA] = ACTIONS(6694),
    [anon_sym_EQ] = ACTIONS(6694),
    [anon_sym_LPAREN] = ACTIONS(6694),
    [anon_sym_RPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHpart] = ACTIONS(6692),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddpart] = ACTIONS(6692),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHchapter] = ACTIONS(6692),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddchap] = ACTIONS(6692),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsection] = ACTIONS(6692),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddsec] = ACTIONS(6692),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsection] = ACTIONS(6692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHitem] = ACTIONS(6692),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6694),
    [anon_sym_LBRACE] = ACTIONS(6694),
    [sym_word] = ACTIONS(6692),
    [sym_placeholder] = ACTIONS(6694),
    [sym_delimiter] = ACTIONS(6694),
    [anon_sym_PLUS] = ACTIONS(6694),
    [anon_sym_DASH] = ACTIONS(6694),
    [anon_sym_STAR] = ACTIONS(6694),
    [anon_sym_SLASH] = ACTIONS(6694),
    [anon_sym_LT] = ACTIONS(6692),
    [anon_sym_GT] = ACTIONS(6692),
    [anon_sym_BANG] = ACTIONS(6692),
    [anon_sym_PIPE] = ACTIONS(6692),
    [anon_sym_COLON] = ACTIONS(6692),
    [anon_sym_SQUOTE] = ACTIONS(6692),
    [anon_sym__] = ACTIONS(6694),
    [anon_sym_CARET] = ACTIONS(6694),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6694),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6694),
    [anon_sym_DOLLAR] = ACTIONS(6692),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6694),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHleft] = ACTIONS(6692),
    [anon_sym_BSLASHbigl] = ACTIONS(6692),
    [anon_sym_BSLASHBigl] = ACTIONS(6692),
    [anon_sym_BSLASHbiggl] = ACTIONS(6692),
    [anon_sym_BSLASHBiggl] = ACTIONS(6692),
    [anon_sym_BSLASHtext] = ACTIONS(6692),
    [anon_sym_BSLASHintertext] = ACTIONS(6692),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6692),
    [anon_sym_BSLASHbegin] = ACTIONS(6692),
    [anon_sym_BSLASHtitle] = ACTIONS(6692),
    [anon_sym_BSLASHauthor] = ACTIONS(6692),
    [anon_sym_BSLASHusepackage] = ACTIONS(6692),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6692),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6692),
    [anon_sym_BSLASHinclude] = ACTIONS(6692),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6692),
    [anon_sym_BSLASHinput] = ACTIONS(6692),
    [anon_sym_BSLASHsubfile] = ACTIONS(6692),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6692),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6692),
    [anon_sym_BSLASHbibliography] = ACTIONS(6692),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6692),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6692),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6692),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6692),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6692),
    [anon_sym_BSLASHimport] = ACTIONS(6692),
    [anon_sym_BSLASHsubimport] = ACTIONS(6692),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6692),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHcaption] = ACTIONS(6692),
    [anon_sym_BSLASHcite] = ACTIONS(6692),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCite] = ACTIONS(6692),
    [anon_sym_BSLASHnocite] = ACTIONS(6692),
    [anon_sym_BSLASHcitet] = ACTIONS(6692),
    [anon_sym_BSLASHcitep] = ACTIONS(6692),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteA] = ACTIONS(6692),
    [anon_sym_BSLASHciteR] = ACTIONS(6692),
    [anon_sym_BSLASHciteS] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6692),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteyear] = ACTIONS(6692),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitedate] = ACTIONS(6692),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteurl] = ACTIONS(6692),
    [anon_sym_BSLASHfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6692),
    [anon_sym_BSLASHcitealt] = ACTIONS(6692),
    [anon_sym_BSLASHcitealp] = ACTIONS(6692),
    [anon_sym_BSLASHcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHparencite] = ACTIONS(6692),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHParencite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHtextcite] = ACTIONS(6692),
    [anon_sym_BSLASHTextcite] = ACTIONS(6692),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHsupercite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite] = ACTIONS(6692),
    [anon_sym_BSLASHAutocite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHVolcite] = ACTIONS(6692),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHavolcite] = ACTIONS(6692),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHNotecite] = ACTIONS(6692),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHlabel] = ACTIONS(6692),
    [anon_sym_BSLASHref] = ACTIONS(6692),
    [anon_sym_BSLASHeqref] = ACTIONS(6692),
    [anon_sym_BSLASHvref] = ACTIONS(6692),
    [anon_sym_BSLASHVref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHpageref] = ACTIONS(6692),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHautopageref] = ACTIONS(6692),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcref] = ACTIONS(6692),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCref] = ACTIONS(6692),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHCpageref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnameCref] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6692),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHdef] = ACTIONS(6692),
    [anon_sym_BSLASHgdef] = ACTIONS(6692),
    [anon_sym_BSLASHedef] = ACTIONS(6692),
    [anon_sym_BSLASHxdef] = ACTIONS(6692),
    [anon_sym_BSLASHlet] = ACTIONS(6692),
    [anon_sym_BSLASHglet] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6692),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6692),
    [anon_sym_BSLASHgls] = ACTIONS(6692),
    [anon_sym_BSLASHGls] = ACTIONS(6692),
    [anon_sym_BSLASHGLS] = ACTIONS(6692),
    [anon_sym_BSLASHglspl] = ACTIONS(6692),
    [anon_sym_BSLASHGlspl] = ACTIONS(6692),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6692),
    [anon_sym_BSLASHglslink] = ACTIONS(6692),
    [anon_sym_BSLASHglstext] = ACTIONS(6692),
    [anon_sym_BSLASHGlstext] = ACTIONS(6692),
    [anon_sym_BSLASHGLStext] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6692),
    [anon_sym_BSLASHglsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsname] = ACTIONS(6692),
    [anon_sym_BSLASHGlsname] = ACTIONS(6692),
    [anon_sym_BSLASHGLSname] = ACTIONS(6692),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6692),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6692),
    [anon_sym_BSLASHacrshort] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6692),
    [anon_sym_BSLASHACRshort] = ACTIONS(6692),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrlong] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6692),
    [anon_sym_BSLASHACRlong] = ACTIONS(6692),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrfull] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6692),
    [anon_sym_BSLASHACRfull] = ACTIONS(6692),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHacs] = ACTIONS(6692),
    [anon_sym_BSLASHAcs] = ACTIONS(6692),
    [anon_sym_BSLASHacsp] = ACTIONS(6692),
    [anon_sym_BSLASHAcsp] = ACTIONS(6692),
    [anon_sym_BSLASHacl] = ACTIONS(6692),
    [anon_sym_BSLASHAcl] = ACTIONS(6692),
    [anon_sym_BSLASHaclp] = ACTIONS(6692),
    [anon_sym_BSLASHAclp] = ACTIONS(6692),
    [anon_sym_BSLASHacf] = ACTIONS(6692),
    [anon_sym_BSLASHAcf] = ACTIONS(6692),
    [anon_sym_BSLASHacfp] = ACTIONS(6692),
    [anon_sym_BSLASHAcfp] = ACTIONS(6692),
    [anon_sym_BSLASHac] = ACTIONS(6692),
    [anon_sym_BSLASHAc] = ACTIONS(6692),
    [anon_sym_BSLASHacp] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6692),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6692),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6692),
    [anon_sym_BSLASHcolor] = ACTIONS(6692),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6692),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6692),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6692),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6692),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6692),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6692),
    [anon_sym_BSLASHurl] = ACTIONS(6692),
    [anon_sym_BSLASHhref] = ACTIONS(6692),
  },
  [765] = {
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(779),
    [aux_sym__section_repeat5] = STATE(779),
    [sym_command_name] = ACTIONS(6692),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6692),
    [anon_sym_LBRACK] = ACTIONS(6694),
    [anon_sym_RBRACK] = ACTIONS(6694),
    [anon_sym_COMMA] = ACTIONS(6694),
    [anon_sym_EQ] = ACTIONS(6694),
    [anon_sym_LPAREN] = ACTIONS(6694),
    [anon_sym_RPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHpart] = ACTIONS(6692),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddpart] = ACTIONS(6692),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHchapter] = ACTIONS(6692),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddchap] = ACTIONS(6692),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsection] = ACTIONS(6692),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddsec] = ACTIONS(6692),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsection] = ACTIONS(6692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHitem] = ACTIONS(6692),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6694),
    [anon_sym_LBRACE] = ACTIONS(6694),
    [sym_word] = ACTIONS(6692),
    [sym_placeholder] = ACTIONS(6694),
    [sym_delimiter] = ACTIONS(6694),
    [anon_sym_PLUS] = ACTIONS(6694),
    [anon_sym_DASH] = ACTIONS(6694),
    [anon_sym_STAR] = ACTIONS(6694),
    [anon_sym_SLASH] = ACTIONS(6694),
    [anon_sym_LT] = ACTIONS(6692),
    [anon_sym_GT] = ACTIONS(6692),
    [anon_sym_BANG] = ACTIONS(6692),
    [anon_sym_PIPE] = ACTIONS(6692),
    [anon_sym_COLON] = ACTIONS(6692),
    [anon_sym_SQUOTE] = ACTIONS(6692),
    [anon_sym__] = ACTIONS(6694),
    [anon_sym_CARET] = ACTIONS(6694),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6694),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6694),
    [anon_sym_DOLLAR] = ACTIONS(6692),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6694),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHleft] = ACTIONS(6692),
    [anon_sym_BSLASHbigl] = ACTIONS(6692),
    [anon_sym_BSLASHBigl] = ACTIONS(6692),
    [anon_sym_BSLASHbiggl] = ACTIONS(6692),
    [anon_sym_BSLASHBiggl] = ACTIONS(6692),
    [anon_sym_BSLASHtext] = ACTIONS(6692),
    [anon_sym_BSLASHintertext] = ACTIONS(6692),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6692),
    [anon_sym_BSLASHbegin] = ACTIONS(6692),
    [anon_sym_BSLASHtitle] = ACTIONS(6692),
    [anon_sym_BSLASHauthor] = ACTIONS(6692),
    [anon_sym_BSLASHusepackage] = ACTIONS(6692),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6692),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6692),
    [anon_sym_BSLASHinclude] = ACTIONS(6692),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6692),
    [anon_sym_BSLASHinput] = ACTIONS(6692),
    [anon_sym_BSLASHsubfile] = ACTIONS(6692),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6692),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6692),
    [anon_sym_BSLASHbibliography] = ACTIONS(6692),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6692),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6692),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6692),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6692),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6692),
    [anon_sym_BSLASHimport] = ACTIONS(6692),
    [anon_sym_BSLASHsubimport] = ACTIONS(6692),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6692),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHcaption] = ACTIONS(6692),
    [anon_sym_BSLASHcite] = ACTIONS(6692),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCite] = ACTIONS(6692),
    [anon_sym_BSLASHnocite] = ACTIONS(6692),
    [anon_sym_BSLASHcitet] = ACTIONS(6692),
    [anon_sym_BSLASHcitep] = ACTIONS(6692),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteA] = ACTIONS(6692),
    [anon_sym_BSLASHciteR] = ACTIONS(6692),
    [anon_sym_BSLASHciteS] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6692),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteyear] = ACTIONS(6692),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitedate] = ACTIONS(6692),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteurl] = ACTIONS(6692),
    [anon_sym_BSLASHfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6692),
    [anon_sym_BSLASHcitealt] = ACTIONS(6692),
    [anon_sym_BSLASHcitealp] = ACTIONS(6692),
    [anon_sym_BSLASHcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHparencite] = ACTIONS(6692),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHParencite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHtextcite] = ACTIONS(6692),
    [anon_sym_BSLASHTextcite] = ACTIONS(6692),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHsupercite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite] = ACTIONS(6692),
    [anon_sym_BSLASHAutocite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHVolcite] = ACTIONS(6692),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHavolcite] = ACTIONS(6692),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHNotecite] = ACTIONS(6692),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHlabel] = ACTIONS(6692),
    [anon_sym_BSLASHref] = ACTIONS(6692),
    [anon_sym_BSLASHeqref] = ACTIONS(6692),
    [anon_sym_BSLASHvref] = ACTIONS(6692),
    [anon_sym_BSLASHVref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHpageref] = ACTIONS(6692),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHautopageref] = ACTIONS(6692),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcref] = ACTIONS(6692),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCref] = ACTIONS(6692),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHCpageref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnameCref] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6692),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHdef] = ACTIONS(6692),
    [anon_sym_BSLASHgdef] = ACTIONS(6692),
    [anon_sym_BSLASHedef] = ACTIONS(6692),
    [anon_sym_BSLASHxdef] = ACTIONS(6692),
    [anon_sym_BSLASHlet] = ACTIONS(6692),
    [anon_sym_BSLASHglet] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6692),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6692),
    [anon_sym_BSLASHgls] = ACTIONS(6692),
    [anon_sym_BSLASHGls] = ACTIONS(6692),
    [anon_sym_BSLASHGLS] = ACTIONS(6692),
    [anon_sym_BSLASHglspl] = ACTIONS(6692),
    [anon_sym_BSLASHGlspl] = ACTIONS(6692),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6692),
    [anon_sym_BSLASHglslink] = ACTIONS(6692),
    [anon_sym_BSLASHglstext] = ACTIONS(6692),
    [anon_sym_BSLASHGlstext] = ACTIONS(6692),
    [anon_sym_BSLASHGLStext] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6692),
    [anon_sym_BSLASHglsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsname] = ACTIONS(6692),
    [anon_sym_BSLASHGlsname] = ACTIONS(6692),
    [anon_sym_BSLASHGLSname] = ACTIONS(6692),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6692),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6692),
    [anon_sym_BSLASHacrshort] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6692),
    [anon_sym_BSLASHACRshort] = ACTIONS(6692),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrlong] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6692),
    [anon_sym_BSLASHACRlong] = ACTIONS(6692),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrfull] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6692),
    [anon_sym_BSLASHACRfull] = ACTIONS(6692),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHacs] = ACTIONS(6692),
    [anon_sym_BSLASHAcs] = ACTIONS(6692),
    [anon_sym_BSLASHacsp] = ACTIONS(6692),
    [anon_sym_BSLASHAcsp] = ACTIONS(6692),
    [anon_sym_BSLASHacl] = ACTIONS(6692),
    [anon_sym_BSLASHAcl] = ACTIONS(6692),
    [anon_sym_BSLASHaclp] = ACTIONS(6692),
    [anon_sym_BSLASHAclp] = ACTIONS(6692),
    [anon_sym_BSLASHacf] = ACTIONS(6692),
    [anon_sym_BSLASHAcf] = ACTIONS(6692),
    [anon_sym_BSLASHacfp] = ACTIONS(6692),
    [anon_sym_BSLASHAcfp] = ACTIONS(6692),
    [anon_sym_BSLASHac] = ACTIONS(6692),
    [anon_sym_BSLASHAc] = ACTIONS(6692),
    [anon_sym_BSLASHacp] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6692),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6692),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6692),
    [anon_sym_BSLASHcolor] = ACTIONS(6692),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6692),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6692),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6692),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6692),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6692),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6692),
    [anon_sym_BSLASHurl] = ACTIONS(6692),
    [anon_sym_BSLASHhref] = ACTIONS(6692),
  },
  [766] = {
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(738),
    [aux_sym__section_repeat5] = STATE(738),
    [sym_command_name] = ACTIONS(6692),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6692),
    [anon_sym_LBRACK] = ACTIONS(6694),
    [anon_sym_RBRACK] = ACTIONS(6694),
    [anon_sym_COMMA] = ACTIONS(6694),
    [anon_sym_EQ] = ACTIONS(6694),
    [anon_sym_LPAREN] = ACTIONS(6694),
    [anon_sym_RPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHpart] = ACTIONS(6692),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddpart] = ACTIONS(6692),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHchapter] = ACTIONS(6692),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddchap] = ACTIONS(6692),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsection] = ACTIONS(6692),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddsec] = ACTIONS(6692),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsection] = ACTIONS(6692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHitem] = ACTIONS(6692),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6694),
    [anon_sym_LBRACE] = ACTIONS(6694),
    [sym_word] = ACTIONS(6692),
    [sym_placeholder] = ACTIONS(6694),
    [sym_delimiter] = ACTIONS(6694),
    [anon_sym_PLUS] = ACTIONS(6694),
    [anon_sym_DASH] = ACTIONS(6694),
    [anon_sym_STAR] = ACTIONS(6694),
    [anon_sym_SLASH] = ACTIONS(6694),
    [anon_sym_LT] = ACTIONS(6692),
    [anon_sym_GT] = ACTIONS(6692),
    [anon_sym_BANG] = ACTIONS(6692),
    [anon_sym_PIPE] = ACTIONS(6692),
    [anon_sym_COLON] = ACTIONS(6692),
    [anon_sym_SQUOTE] = ACTIONS(6692),
    [anon_sym__] = ACTIONS(6694),
    [anon_sym_CARET] = ACTIONS(6694),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6694),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6694),
    [anon_sym_DOLLAR] = ACTIONS(6692),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6694),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHleft] = ACTIONS(6692),
    [anon_sym_BSLASHbigl] = ACTIONS(6692),
    [anon_sym_BSLASHBigl] = ACTIONS(6692),
    [anon_sym_BSLASHbiggl] = ACTIONS(6692),
    [anon_sym_BSLASHBiggl] = ACTIONS(6692),
    [anon_sym_BSLASHtext] = ACTIONS(6692),
    [anon_sym_BSLASHintertext] = ACTIONS(6692),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6692),
    [anon_sym_BSLASHbegin] = ACTIONS(6692),
    [anon_sym_BSLASHtitle] = ACTIONS(6692),
    [anon_sym_BSLASHauthor] = ACTIONS(6692),
    [anon_sym_BSLASHusepackage] = ACTIONS(6692),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6692),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6692),
    [anon_sym_BSLASHinclude] = ACTIONS(6692),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6692),
    [anon_sym_BSLASHinput] = ACTIONS(6692),
    [anon_sym_BSLASHsubfile] = ACTIONS(6692),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6692),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6692),
    [anon_sym_BSLASHbibliography] = ACTIONS(6692),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6692),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6692),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6692),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6692),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6692),
    [anon_sym_BSLASHimport] = ACTIONS(6692),
    [anon_sym_BSLASHsubimport] = ACTIONS(6692),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6692),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHcaption] = ACTIONS(6692),
    [anon_sym_BSLASHcite] = ACTIONS(6692),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCite] = ACTIONS(6692),
    [anon_sym_BSLASHnocite] = ACTIONS(6692),
    [anon_sym_BSLASHcitet] = ACTIONS(6692),
    [anon_sym_BSLASHcitep] = ACTIONS(6692),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteA] = ACTIONS(6692),
    [anon_sym_BSLASHciteR] = ACTIONS(6692),
    [anon_sym_BSLASHciteS] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6692),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteyear] = ACTIONS(6692),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitedate] = ACTIONS(6692),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteurl] = ACTIONS(6692),
    [anon_sym_BSLASHfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6692),
    [anon_sym_BSLASHcitealt] = ACTIONS(6692),
    [anon_sym_BSLASHcitealp] = ACTIONS(6692),
    [anon_sym_BSLASHcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHparencite] = ACTIONS(6692),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHParencite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHtextcite] = ACTIONS(6692),
    [anon_sym_BSLASHTextcite] = ACTIONS(6692),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHsupercite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite] = ACTIONS(6692),
    [anon_sym_BSLASHAutocite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHVolcite] = ACTIONS(6692),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHavolcite] = ACTIONS(6692),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHNotecite] = ACTIONS(6692),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHlabel] = ACTIONS(6692),
    [anon_sym_BSLASHref] = ACTIONS(6692),
    [anon_sym_BSLASHeqref] = ACTIONS(6692),
    [anon_sym_BSLASHvref] = ACTIONS(6692),
    [anon_sym_BSLASHVref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHpageref] = ACTIONS(6692),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHautopageref] = ACTIONS(6692),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcref] = ACTIONS(6692),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCref] = ACTIONS(6692),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHCpageref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnameCref] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6692),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHdef] = ACTIONS(6692),
    [anon_sym_BSLASHgdef] = ACTIONS(6692),
    [anon_sym_BSLASHedef] = ACTIONS(6692),
    [anon_sym_BSLASHxdef] = ACTIONS(6692),
    [anon_sym_BSLASHlet] = ACTIONS(6692),
    [anon_sym_BSLASHglet] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6692),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6692),
    [anon_sym_BSLASHgls] = ACTIONS(6692),
    [anon_sym_BSLASHGls] = ACTIONS(6692),
    [anon_sym_BSLASHGLS] = ACTIONS(6692),
    [anon_sym_BSLASHglspl] = ACTIONS(6692),
    [anon_sym_BSLASHGlspl] = ACTIONS(6692),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6692),
    [anon_sym_BSLASHglslink] = ACTIONS(6692),
    [anon_sym_BSLASHglstext] = ACTIONS(6692),
    [anon_sym_BSLASHGlstext] = ACTIONS(6692),
    [anon_sym_BSLASHGLStext] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6692),
    [anon_sym_BSLASHglsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsname] = ACTIONS(6692),
    [anon_sym_BSLASHGlsname] = ACTIONS(6692),
    [anon_sym_BSLASHGLSname] = ACTIONS(6692),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6692),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6692),
    [anon_sym_BSLASHacrshort] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6692),
    [anon_sym_BSLASHACRshort] = ACTIONS(6692),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrlong] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6692),
    [anon_sym_BSLASHACRlong] = ACTIONS(6692),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrfull] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6692),
    [anon_sym_BSLASHACRfull] = ACTIONS(6692),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHacs] = ACTIONS(6692),
    [anon_sym_BSLASHAcs] = ACTIONS(6692),
    [anon_sym_BSLASHacsp] = ACTIONS(6692),
    [anon_sym_BSLASHAcsp] = ACTIONS(6692),
    [anon_sym_BSLASHacl] = ACTIONS(6692),
    [anon_sym_BSLASHAcl] = ACTIONS(6692),
    [anon_sym_BSLASHaclp] = ACTIONS(6692),
    [anon_sym_BSLASHAclp] = ACTIONS(6692),
    [anon_sym_BSLASHacf] = ACTIONS(6692),
    [anon_sym_BSLASHAcf] = ACTIONS(6692),
    [anon_sym_BSLASHacfp] = ACTIONS(6692),
    [anon_sym_BSLASHAcfp] = ACTIONS(6692),
    [anon_sym_BSLASHac] = ACTIONS(6692),
    [anon_sym_BSLASHAc] = ACTIONS(6692),
    [anon_sym_BSLASHacp] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6692),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6692),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6692),
    [anon_sym_BSLASHcolor] = ACTIONS(6692),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6692),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6692),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6692),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6692),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6692),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6692),
    [anon_sym_BSLASHurl] = ACTIONS(6692),
    [anon_sym_BSLASHhref] = ACTIONS(6692),
  },
  [767] = {
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(740),
    [aux_sym__paragraph_repeat2] = STATE(740),
    [sym_command_name] = ACTIONS(6846),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6846),
    [anon_sym_LBRACK] = ACTIONS(6848),
    [anon_sym_RBRACK] = ACTIONS(6848),
    [anon_sym_COMMA] = ACTIONS(6848),
    [anon_sym_EQ] = ACTIONS(6848),
    [anon_sym_LPAREN] = ACTIONS(6848),
    [anon_sym_RPAREN] = ACTIONS(6848),
    [anon_sym_BSLASHpart] = ACTIONS(6846),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddpart] = ACTIONS(6846),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHchapter] = ACTIONS(6846),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddchap] = ACTIONS(6846),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsection] = ACTIONS(6846),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddsec] = ACTIONS(6846),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubsection] = ACTIONS(6846),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6846),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHparagraph] = ACTIONS(6846),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(6846),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6848),
    [anon_sym_LBRACE] = ACTIONS(6848),
    [sym_word] = ACTIONS(6846),
    [sym_placeholder] = ACTIONS(6848),
    [sym_delimiter] = ACTIONS(6848),
    [anon_sym_PLUS] = ACTIONS(6848),
    [anon_sym_DASH] = ACTIONS(6848),
    [anon_sym_STAR] = ACTIONS(6848),
    [anon_sym_SLASH] = ACTIONS(6848),
    [anon_sym_LT] = ACTIONS(6846),
    [anon_sym_GT] = ACTIONS(6846),
    [anon_sym_BANG] = ACTIONS(6846),
    [anon_sym_PIPE] = ACTIONS(6846),
    [anon_sym_COLON] = ACTIONS(6846),
    [anon_sym_SQUOTE] = ACTIONS(6846),
    [anon_sym__] = ACTIONS(6848),
    [anon_sym_CARET] = ACTIONS(6848),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6848),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6848),
    [anon_sym_DOLLAR] = ACTIONS(6846),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6848),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6848),
    [anon_sym_BSLASHleft] = ACTIONS(6846),
    [anon_sym_BSLASHbigl] = ACTIONS(6846),
    [anon_sym_BSLASHBigl] = ACTIONS(6846),
    [anon_sym_BSLASHbiggl] = ACTIONS(6846),
    [anon_sym_BSLASHBiggl] = ACTIONS(6846),
    [anon_sym_BSLASHtext] = ACTIONS(6846),
    [anon_sym_BSLASHintertext] = ACTIONS(6846),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6846),
    [anon_sym_BSLASHbegin] = ACTIONS(6846),
    [anon_sym_BSLASHtitle] = ACTIONS(6846),
    [anon_sym_BSLASHauthor] = ACTIONS(6846),
    [anon_sym_BSLASHusepackage] = ACTIONS(6846),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6846),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6846),
    [anon_sym_BSLASHinclude] = ACTIONS(6846),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6846),
    [anon_sym_BSLASHinput] = ACTIONS(6846),
    [anon_sym_BSLASHsubfile] = ACTIONS(6846),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6846),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6846),
    [anon_sym_BSLASHbibliography] = ACTIONS(6846),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6846),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6846),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6846),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6846),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6846),
    [anon_sym_BSLASHimport] = ACTIONS(6846),
    [anon_sym_BSLASHsubimport] = ACTIONS(6846),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6846),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6846),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6846),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6846),
    [anon_sym_BSLASHcaption] = ACTIONS(6846),
    [anon_sym_BSLASHcite] = ACTIONS(6846),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCite] = ACTIONS(6846),
    [anon_sym_BSLASHnocite] = ACTIONS(6846),
    [anon_sym_BSLASHcitet] = ACTIONS(6846),
    [anon_sym_BSLASHcitep] = ACTIONS(6846),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteA] = ACTIONS(6846),
    [anon_sym_BSLASHciteR] = ACTIONS(6846),
    [anon_sym_BSLASHciteS] = ACTIONS(6846),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6846),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6846),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6846),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6846),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteyear] = ACTIONS(6846),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitedate] = ACTIONS(6846),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteurl] = ACTIONS(6846),
    [anon_sym_BSLASHfullcite] = ACTIONS(6846),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6846),
    [anon_sym_BSLASHcitealt] = ACTIONS(6846),
    [anon_sym_BSLASHcitealp] = ACTIONS(6846),
    [anon_sym_BSLASHcitetext] = ACTIONS(6846),
    [anon_sym_BSLASHparencite] = ACTIONS(6846),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHParencite] = ACTIONS(6846),
    [anon_sym_BSLASHfootcite] = ACTIONS(6846),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6846),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6846),
    [anon_sym_BSLASHtextcite] = ACTIONS(6846),
    [anon_sym_BSLASHTextcite] = ACTIONS(6846),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6846),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6846),
    [anon_sym_BSLASHsupercite] = ACTIONS(6846),
    [anon_sym_BSLASHautocite] = ACTIONS(6846),
    [anon_sym_BSLASHAutocite] = ACTIONS(6846),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHVolcite] = ACTIONS(6846),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHavolcite] = ACTIONS(6846),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHNotecite] = ACTIONS(6846),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHlabel] = ACTIONS(6846),
    [anon_sym_BSLASHref] = ACTIONS(6846),
    [anon_sym_BSLASHeqref] = ACTIONS(6846),
    [anon_sym_BSLASHvref] = ACTIONS(6846),
    [anon_sym_BSLASHVref] = ACTIONS(6846),
    [anon_sym_BSLASHautoref] = ACTIONS(6846),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHpageref] = ACTIONS(6846),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHautopageref] = ACTIONS(6846),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcref] = ACTIONS(6846),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCref] = ACTIONS(6846),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcpageref] = ACTIONS(6846),
    [anon_sym_BSLASHCpageref] = ACTIONS(6846),
    [anon_sym_BSLASHnamecref] = ACTIONS(6846),
    [anon_sym_BSLASHnameCref] = ACTIONS(6846),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6846),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6846),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6846),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6846),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6846),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6846),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6846),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6846),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6846),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6846),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6846),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHdef] = ACTIONS(6846),
    [anon_sym_BSLASHgdef] = ACTIONS(6846),
    [anon_sym_BSLASHedef] = ACTIONS(6846),
    [anon_sym_BSLASHxdef] = ACTIONS(6846),
    [anon_sym_BSLASHlet] = ACTIONS(6846),
    [anon_sym_BSLASHglet] = ACTIONS(6846),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6846),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6846),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6846),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6846),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6846),
    [anon_sym_BSLASHgls] = ACTIONS(6846),
    [anon_sym_BSLASHGls] = ACTIONS(6846),
    [anon_sym_BSLASHGLS] = ACTIONS(6846),
    [anon_sym_BSLASHglspl] = ACTIONS(6846),
    [anon_sym_BSLASHGlspl] = ACTIONS(6846),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6846),
    [anon_sym_BSLASHglslink] = ACTIONS(6846),
    [anon_sym_BSLASHglstext] = ACTIONS(6846),
    [anon_sym_BSLASHGlstext] = ACTIONS(6846),
    [anon_sym_BSLASHGLStext] = ACTIONS(6846),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6846),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6846),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6846),
    [anon_sym_BSLASHglsplural] = ACTIONS(6846),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6846),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6846),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHglsname] = ACTIONS(6846),
    [anon_sym_BSLASHGlsname] = ACTIONS(6846),
    [anon_sym_BSLASHGLSname] = ACTIONS(6846),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6846),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6846),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6846),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6846),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6846),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6846),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6846),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6846),
    [anon_sym_BSLASHacrshort] = ACTIONS(6846),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6846),
    [anon_sym_BSLASHACRshort] = ACTIONS(6846),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHacrlong] = ACTIONS(6846),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6846),
    [anon_sym_BSLASHACRlong] = ACTIONS(6846),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHacrfull] = ACTIONS(6846),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6846),
    [anon_sym_BSLASHACRfull] = ACTIONS(6846),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHacs] = ACTIONS(6846),
    [anon_sym_BSLASHAcs] = ACTIONS(6846),
    [anon_sym_BSLASHacsp] = ACTIONS(6846),
    [anon_sym_BSLASHAcsp] = ACTIONS(6846),
    [anon_sym_BSLASHacl] = ACTIONS(6846),
    [anon_sym_BSLASHAcl] = ACTIONS(6846),
    [anon_sym_BSLASHaclp] = ACTIONS(6846),
    [anon_sym_BSLASHAclp] = ACTIONS(6846),
    [anon_sym_BSLASHacf] = ACTIONS(6846),
    [anon_sym_BSLASHAcf] = ACTIONS(6846),
    [anon_sym_BSLASHacfp] = ACTIONS(6846),
    [anon_sym_BSLASHAcfp] = ACTIONS(6846),
    [anon_sym_BSLASHac] = ACTIONS(6846),
    [anon_sym_BSLASHAc] = ACTIONS(6846),
    [anon_sym_BSLASHacp] = ACTIONS(6846),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6846),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6846),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6846),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6846),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6846),
    [anon_sym_BSLASHcolor] = ACTIONS(6846),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6846),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6846),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6846),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6846),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6846),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6846),
    [anon_sym_BSLASHurl] = ACTIONS(6846),
    [anon_sym_BSLASHhref] = ACTIONS(6846),
  },
  [768] = {
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(741),
    [aux_sym__paragraph_repeat3] = STATE(741),
    [sym_command_name] = ACTIONS(6846),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6846),
    [anon_sym_LBRACK] = ACTIONS(6848),
    [anon_sym_RBRACK] = ACTIONS(6848),
    [anon_sym_COMMA] = ACTIONS(6848),
    [anon_sym_EQ] = ACTIONS(6848),
    [anon_sym_LPAREN] = ACTIONS(6848),
    [anon_sym_RPAREN] = ACTIONS(6848),
    [anon_sym_BSLASHpart] = ACTIONS(6846),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddpart] = ACTIONS(6846),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHchapter] = ACTIONS(6846),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddchap] = ACTIONS(6846),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsection] = ACTIONS(6846),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddsec] = ACTIONS(6846),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubsection] = ACTIONS(6846),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6846),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHparagraph] = ACTIONS(6846),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6846),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(6848),
    [sym_word] = ACTIONS(6846),
    [sym_placeholder] = ACTIONS(6848),
    [sym_delimiter] = ACTIONS(6848),
    [anon_sym_PLUS] = ACTIONS(6848),
    [anon_sym_DASH] = ACTIONS(6848),
    [anon_sym_STAR] = ACTIONS(6848),
    [anon_sym_SLASH] = ACTIONS(6848),
    [anon_sym_LT] = ACTIONS(6846),
    [anon_sym_GT] = ACTIONS(6846),
    [anon_sym_BANG] = ACTIONS(6846),
    [anon_sym_PIPE] = ACTIONS(6846),
    [anon_sym_COLON] = ACTIONS(6846),
    [anon_sym_SQUOTE] = ACTIONS(6846),
    [anon_sym__] = ACTIONS(6848),
    [anon_sym_CARET] = ACTIONS(6848),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6848),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6848),
    [anon_sym_DOLLAR] = ACTIONS(6846),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6848),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6848),
    [anon_sym_BSLASHleft] = ACTIONS(6846),
    [anon_sym_BSLASHbigl] = ACTIONS(6846),
    [anon_sym_BSLASHBigl] = ACTIONS(6846),
    [anon_sym_BSLASHbiggl] = ACTIONS(6846),
    [anon_sym_BSLASHBiggl] = ACTIONS(6846),
    [anon_sym_BSLASHtext] = ACTIONS(6846),
    [anon_sym_BSLASHintertext] = ACTIONS(6846),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6846),
    [anon_sym_BSLASHbegin] = ACTIONS(6846),
    [anon_sym_BSLASHtitle] = ACTIONS(6846),
    [anon_sym_BSLASHauthor] = ACTIONS(6846),
    [anon_sym_BSLASHusepackage] = ACTIONS(6846),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6846),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6846),
    [anon_sym_BSLASHinclude] = ACTIONS(6846),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6846),
    [anon_sym_BSLASHinput] = ACTIONS(6846),
    [anon_sym_BSLASHsubfile] = ACTIONS(6846),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6846),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6846),
    [anon_sym_BSLASHbibliography] = ACTIONS(6846),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6846),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6846),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6846),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6846),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6846),
    [anon_sym_BSLASHimport] = ACTIONS(6846),
    [anon_sym_BSLASHsubimport] = ACTIONS(6846),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6846),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6846),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6846),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6846),
    [anon_sym_BSLASHcaption] = ACTIONS(6846),
    [anon_sym_BSLASHcite] = ACTIONS(6846),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCite] = ACTIONS(6846),
    [anon_sym_BSLASHnocite] = ACTIONS(6846),
    [anon_sym_BSLASHcitet] = ACTIONS(6846),
    [anon_sym_BSLASHcitep] = ACTIONS(6846),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteA] = ACTIONS(6846),
    [anon_sym_BSLASHciteR] = ACTIONS(6846),
    [anon_sym_BSLASHciteS] = ACTIONS(6846),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6846),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6846),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6846),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6846),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteyear] = ACTIONS(6846),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitedate] = ACTIONS(6846),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteurl] = ACTIONS(6846),
    [anon_sym_BSLASHfullcite] = ACTIONS(6846),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6846),
    [anon_sym_BSLASHcitealt] = ACTIONS(6846),
    [anon_sym_BSLASHcitealp] = ACTIONS(6846),
    [anon_sym_BSLASHcitetext] = ACTIONS(6846),
    [anon_sym_BSLASHparencite] = ACTIONS(6846),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHParencite] = ACTIONS(6846),
    [anon_sym_BSLASHfootcite] = ACTIONS(6846),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6846),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6846),
    [anon_sym_BSLASHtextcite] = ACTIONS(6846),
    [anon_sym_BSLASHTextcite] = ACTIONS(6846),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6846),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6846),
    [anon_sym_BSLASHsupercite] = ACTIONS(6846),
    [anon_sym_BSLASHautocite] = ACTIONS(6846),
    [anon_sym_BSLASHAutocite] = ACTIONS(6846),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHVolcite] = ACTIONS(6846),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHavolcite] = ACTIONS(6846),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHNotecite] = ACTIONS(6846),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHlabel] = ACTIONS(6846),
    [anon_sym_BSLASHref] = ACTIONS(6846),
    [anon_sym_BSLASHeqref] = ACTIONS(6846),
    [anon_sym_BSLASHvref] = ACTIONS(6846),
    [anon_sym_BSLASHVref] = ACTIONS(6846),
    [anon_sym_BSLASHautoref] = ACTIONS(6846),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHpageref] = ACTIONS(6846),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHautopageref] = ACTIONS(6846),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcref] = ACTIONS(6846),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCref] = ACTIONS(6846),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcpageref] = ACTIONS(6846),
    [anon_sym_BSLASHCpageref] = ACTIONS(6846),
    [anon_sym_BSLASHnamecref] = ACTIONS(6846),
    [anon_sym_BSLASHnameCref] = ACTIONS(6846),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6846),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6846),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6846),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6846),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6846),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6846),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6846),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6846),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6846),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6846),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6846),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHdef] = ACTIONS(6846),
    [anon_sym_BSLASHgdef] = ACTIONS(6846),
    [anon_sym_BSLASHedef] = ACTIONS(6846),
    [anon_sym_BSLASHxdef] = ACTIONS(6846),
    [anon_sym_BSLASHlet] = ACTIONS(6846),
    [anon_sym_BSLASHglet] = ACTIONS(6846),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6846),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6846),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6846),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6846),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6846),
    [anon_sym_BSLASHgls] = ACTIONS(6846),
    [anon_sym_BSLASHGls] = ACTIONS(6846),
    [anon_sym_BSLASHGLS] = ACTIONS(6846),
    [anon_sym_BSLASHglspl] = ACTIONS(6846),
    [anon_sym_BSLASHGlspl] = ACTIONS(6846),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6846),
    [anon_sym_BSLASHglslink] = ACTIONS(6846),
    [anon_sym_BSLASHglstext] = ACTIONS(6846),
    [anon_sym_BSLASHGlstext] = ACTIONS(6846),
    [anon_sym_BSLASHGLStext] = ACTIONS(6846),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6846),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6846),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6846),
    [anon_sym_BSLASHglsplural] = ACTIONS(6846),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6846),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6846),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHglsname] = ACTIONS(6846),
    [anon_sym_BSLASHGlsname] = ACTIONS(6846),
    [anon_sym_BSLASHGLSname] = ACTIONS(6846),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6846),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6846),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6846),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6846),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6846),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6846),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6846),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6846),
    [anon_sym_BSLASHacrshort] = ACTIONS(6846),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6846),
    [anon_sym_BSLASHACRshort] = ACTIONS(6846),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHacrlong] = ACTIONS(6846),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6846),
    [anon_sym_BSLASHACRlong] = ACTIONS(6846),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHacrfull] = ACTIONS(6846),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6846),
    [anon_sym_BSLASHACRfull] = ACTIONS(6846),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHacs] = ACTIONS(6846),
    [anon_sym_BSLASHAcs] = ACTIONS(6846),
    [anon_sym_BSLASHacsp] = ACTIONS(6846),
    [anon_sym_BSLASHAcsp] = ACTIONS(6846),
    [anon_sym_BSLASHacl] = ACTIONS(6846),
    [anon_sym_BSLASHAcl] = ACTIONS(6846),
    [anon_sym_BSLASHaclp] = ACTIONS(6846),
    [anon_sym_BSLASHAclp] = ACTIONS(6846),
    [anon_sym_BSLASHacf] = ACTIONS(6846),
    [anon_sym_BSLASHAcf] = ACTIONS(6846),
    [anon_sym_BSLASHacfp] = ACTIONS(6846),
    [anon_sym_BSLASHAcfp] = ACTIONS(6846),
    [anon_sym_BSLASHac] = ACTIONS(6846),
    [anon_sym_BSLASHAc] = ACTIONS(6846),
    [anon_sym_BSLASHacp] = ACTIONS(6846),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6846),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6846),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6846),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6846),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6846),
    [anon_sym_BSLASHcolor] = ACTIONS(6846),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6846),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6846),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6846),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6846),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6846),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6846),
    [anon_sym_BSLASHurl] = ACTIONS(6846),
    [anon_sym_BSLASHhref] = ACTIONS(6846),
  },
  [769] = {
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(741),
    [aux_sym__paragraph_repeat3] = STATE(741),
    [sym_command_name] = ACTIONS(6850),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6850),
    [anon_sym_LBRACK] = ACTIONS(6852),
    [anon_sym_RBRACK] = ACTIONS(6852),
    [anon_sym_COMMA] = ACTIONS(6852),
    [anon_sym_EQ] = ACTIONS(6852),
    [anon_sym_LPAREN] = ACTIONS(6852),
    [anon_sym_RPAREN] = ACTIONS(6852),
    [anon_sym_BSLASHpart] = ACTIONS(6850),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHaddpart] = ACTIONS(6850),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHchapter] = ACTIONS(6850),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHaddchap] = ACTIONS(6850),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHsection] = ACTIONS(6850),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHaddsec] = ACTIONS(6850),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHsubsection] = ACTIONS(6850),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6850),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHparagraph] = ACTIONS(6850),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6850),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(6852),
    [sym_word] = ACTIONS(6850),
    [sym_placeholder] = ACTIONS(6852),
    [sym_delimiter] = ACTIONS(6852),
    [anon_sym_PLUS] = ACTIONS(6852),
    [anon_sym_DASH] = ACTIONS(6852),
    [anon_sym_STAR] = ACTIONS(6852),
    [anon_sym_SLASH] = ACTIONS(6852),
    [anon_sym_LT] = ACTIONS(6850),
    [anon_sym_GT] = ACTIONS(6850),
    [anon_sym_BANG] = ACTIONS(6850),
    [anon_sym_PIPE] = ACTIONS(6850),
    [anon_sym_COLON] = ACTIONS(6850),
    [anon_sym_SQUOTE] = ACTIONS(6850),
    [anon_sym__] = ACTIONS(6852),
    [anon_sym_CARET] = ACTIONS(6852),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6852),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6852),
    [anon_sym_DOLLAR] = ACTIONS(6850),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6852),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6852),
    [anon_sym_BSLASHleft] = ACTIONS(6850),
    [anon_sym_BSLASHbigl] = ACTIONS(6850),
    [anon_sym_BSLASHBigl] = ACTIONS(6850),
    [anon_sym_BSLASHbiggl] = ACTIONS(6850),
    [anon_sym_BSLASHBiggl] = ACTIONS(6850),
    [anon_sym_BSLASHtext] = ACTIONS(6850),
    [anon_sym_BSLASHintertext] = ACTIONS(6850),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6850),
    [anon_sym_BSLASHbegin] = ACTIONS(6850),
    [anon_sym_BSLASHtitle] = ACTIONS(6850),
    [anon_sym_BSLASHauthor] = ACTIONS(6850),
    [anon_sym_BSLASHusepackage] = ACTIONS(6850),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6850),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6850),
    [anon_sym_BSLASHinclude] = ACTIONS(6850),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6850),
    [anon_sym_BSLASHinput] = ACTIONS(6850),
    [anon_sym_BSLASHsubfile] = ACTIONS(6850),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6850),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6850),
    [anon_sym_BSLASHbibliography] = ACTIONS(6850),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6850),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6850),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6850),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6850),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6850),
    [anon_sym_BSLASHimport] = ACTIONS(6850),
    [anon_sym_BSLASHsubimport] = ACTIONS(6850),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6850),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6850),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6850),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6850),
    [anon_sym_BSLASHcaption] = ACTIONS(6850),
    [anon_sym_BSLASHcite] = ACTIONS(6850),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHCite] = ACTIONS(6850),
    [anon_sym_BSLASHnocite] = ACTIONS(6850),
    [anon_sym_BSLASHcitet] = ACTIONS(6850),
    [anon_sym_BSLASHcitep] = ACTIONS(6850),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHciteA] = ACTIONS(6850),
    [anon_sym_BSLASHciteR] = ACTIONS(6850),
    [anon_sym_BSLASHciteS] = ACTIONS(6850),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6850),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6850),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6850),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6850),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHciteyear] = ACTIONS(6850),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcitedate] = ACTIONS(6850),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHciteurl] = ACTIONS(6850),
    [anon_sym_BSLASHfullcite] = ACTIONS(6850),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6850),
    [anon_sym_BSLASHcitealt] = ACTIONS(6850),
    [anon_sym_BSLASHcitealp] = ACTIONS(6850),
    [anon_sym_BSLASHcitetext] = ACTIONS(6850),
    [anon_sym_BSLASHparencite] = ACTIONS(6850),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHParencite] = ACTIONS(6850),
    [anon_sym_BSLASHfootcite] = ACTIONS(6850),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6850),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6850),
    [anon_sym_BSLASHtextcite] = ACTIONS(6850),
    [anon_sym_BSLASHTextcite] = ACTIONS(6850),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6850),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6850),
    [anon_sym_BSLASHsupercite] = ACTIONS(6850),
    [anon_sym_BSLASHautocite] = ACTIONS(6850),
    [anon_sym_BSLASHAutocite] = ACTIONS(6850),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHVolcite] = ACTIONS(6850),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHavolcite] = ACTIONS(6850),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHnotecite] = ACTIONS(6850),
    [anon_sym_BSLASHNotecite] = ACTIONS(6850),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6850),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6850),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6850),
    [anon_sym_BSLASHlabel] = ACTIONS(6850),
    [anon_sym_BSLASHref] = ACTIONS(6850),
    [anon_sym_BSLASHeqref] = ACTIONS(6850),
    [anon_sym_BSLASHvref] = ACTIONS(6850),
    [anon_sym_BSLASHVref] = ACTIONS(6850),
    [anon_sym_BSLASHautoref] = ACTIONS(6850),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHpageref] = ACTIONS(6850),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHautopageref] = ACTIONS(6850),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcref] = ACTIONS(6850),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHCref] = ACTIONS(6850),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcpageref] = ACTIONS(6850),
    [anon_sym_BSLASHCpageref] = ACTIONS(6850),
    [anon_sym_BSLASHnamecref] = ACTIONS(6850),
    [anon_sym_BSLASHnameCref] = ACTIONS(6850),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6850),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6850),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6850),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6850),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6850),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6850),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6850),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6850),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6850),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6850),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6850),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6850),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6850),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6850),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6850),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6850),
    [anon_sym_BSLASHdef] = ACTIONS(6850),
    [anon_sym_BSLASHgdef] = ACTIONS(6850),
    [anon_sym_BSLASHedef] = ACTIONS(6850),
    [anon_sym_BSLASHxdef] = ACTIONS(6850),
    [anon_sym_BSLASHlet] = ACTIONS(6850),
    [anon_sym_BSLASHglet] = ACTIONS(6850),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6850),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6850),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6850),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6850),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6850),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6850),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6850),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6850),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6850),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6850),
    [anon_sym_BSLASHgls] = ACTIONS(6850),
    [anon_sym_BSLASHGls] = ACTIONS(6850),
    [anon_sym_BSLASHGLS] = ACTIONS(6850),
    [anon_sym_BSLASHglspl] = ACTIONS(6850),
    [anon_sym_BSLASHGlspl] = ACTIONS(6850),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6850),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6850),
    [anon_sym_BSLASHglslink] = ACTIONS(6850),
    [anon_sym_BSLASHglstext] = ACTIONS(6850),
    [anon_sym_BSLASHGlstext] = ACTIONS(6850),
    [anon_sym_BSLASHGLStext] = ACTIONS(6850),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6850),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6850),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6850),
    [anon_sym_BSLASHglsplural] = ACTIONS(6850),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6850),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6850),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6850),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6850),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6850),
    [anon_sym_BSLASHglsname] = ACTIONS(6850),
    [anon_sym_BSLASHGlsname] = ACTIONS(6850),
    [anon_sym_BSLASHGLSname] = ACTIONS(6850),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6850),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6850),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6850),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6850),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6850),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6850),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6850),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6850),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6850),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6850),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6850),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6850),
    [anon_sym_BSLASHacrshort] = ACTIONS(6850),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6850),
    [anon_sym_BSLASHACRshort] = ACTIONS(6850),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6850),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6850),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6850),
    [anon_sym_BSLASHacrlong] = ACTIONS(6850),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6850),
    [anon_sym_BSLASHACRlong] = ACTIONS(6850),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6850),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6850),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6850),
    [anon_sym_BSLASHacrfull] = ACTIONS(6850),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6850),
    [anon_sym_BSLASHACRfull] = ACTIONS(6850),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6850),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6850),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6850),
    [anon_sym_BSLASHacs] = ACTIONS(6850),
    [anon_sym_BSLASHAcs] = ACTIONS(6850),
    [anon_sym_BSLASHacsp] = ACTIONS(6850),
    [anon_sym_BSLASHAcsp] = ACTIONS(6850),
    [anon_sym_BSLASHacl] = ACTIONS(6850),
    [anon_sym_BSLASHAcl] = ACTIONS(6850),
    [anon_sym_BSLASHaclp] = ACTIONS(6850),
    [anon_sym_BSLASHAclp] = ACTIONS(6850),
    [anon_sym_BSLASHacf] = ACTIONS(6850),
    [anon_sym_BSLASHAcf] = ACTIONS(6850),
    [anon_sym_BSLASHacfp] = ACTIONS(6850),
    [anon_sym_BSLASHAcfp] = ACTIONS(6850),
    [anon_sym_BSLASHac] = ACTIONS(6850),
    [anon_sym_BSLASHAc] = ACTIONS(6850),
    [anon_sym_BSLASHacp] = ACTIONS(6850),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6850),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6850),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6850),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6850),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6850),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6850),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6850),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6850),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6850),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6850),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6850),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6850),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6850),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6850),
    [anon_sym_BSLASHcolor] = ACTIONS(6850),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6850),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6850),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6850),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6850),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6850),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6850),
    [anon_sym_BSLASHurl] = ACTIONS(6850),
    [anon_sym_BSLASHhref] = ACTIONS(6850),
  },
  [770] = {
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(735),
    [aux_sym__section_repeat2] = STATE(735),
    [sym_command_name] = ACTIONS(6854),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6854),
    [anon_sym_LBRACK] = ACTIONS(6856),
    [anon_sym_RBRACK] = ACTIONS(6856),
    [anon_sym_COMMA] = ACTIONS(6856),
    [anon_sym_EQ] = ACTIONS(6856),
    [anon_sym_LPAREN] = ACTIONS(6856),
    [anon_sym_RPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHpart] = ACTIONS(6854),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddpart] = ACTIONS(6854),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(6854),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddsec] = ACTIONS(6854),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHitem] = ACTIONS(6854),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6856),
    [anon_sym_LBRACE] = ACTIONS(6856),
    [sym_word] = ACTIONS(6854),
    [sym_placeholder] = ACTIONS(6856),
    [sym_delimiter] = ACTIONS(6856),
    [anon_sym_PLUS] = ACTIONS(6856),
    [anon_sym_DASH] = ACTIONS(6856),
    [anon_sym_STAR] = ACTIONS(6856),
    [anon_sym_SLASH] = ACTIONS(6856),
    [anon_sym_LT] = ACTIONS(6854),
    [anon_sym_GT] = ACTIONS(6854),
    [anon_sym_BANG] = ACTIONS(6854),
    [anon_sym_PIPE] = ACTIONS(6854),
    [anon_sym_COLON] = ACTIONS(6854),
    [anon_sym_SQUOTE] = ACTIONS(6854),
    [anon_sym__] = ACTIONS(6856),
    [anon_sym_CARET] = ACTIONS(6856),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6856),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6856),
    [anon_sym_DOLLAR] = ACTIONS(6854),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6856),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHleft] = ACTIONS(6854),
    [anon_sym_BSLASHbigl] = ACTIONS(6854),
    [anon_sym_BSLASHBigl] = ACTIONS(6854),
    [anon_sym_BSLASHbiggl] = ACTIONS(6854),
    [anon_sym_BSLASHBiggl] = ACTIONS(6854),
    [anon_sym_BSLASHtext] = ACTIONS(6854),
    [anon_sym_BSLASHintertext] = ACTIONS(6854),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6854),
    [anon_sym_BSLASHbegin] = ACTIONS(6854),
    [anon_sym_BSLASHtitle] = ACTIONS(6854),
    [anon_sym_BSLASHauthor] = ACTIONS(6854),
    [anon_sym_BSLASHusepackage] = ACTIONS(6854),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6854),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6854),
    [anon_sym_BSLASHinclude] = ACTIONS(6854),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6854),
    [anon_sym_BSLASHinput] = ACTIONS(6854),
    [anon_sym_BSLASHsubfile] = ACTIONS(6854),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6854),
    [anon_sym_BSLASHbibliography] = ACTIONS(6854),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6854),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6854),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6854),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6854),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6854),
    [anon_sym_BSLASHimport] = ACTIONS(6854),
    [anon_sym_BSLASHsubimport] = ACTIONS(6854),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6854),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHcaption] = ACTIONS(6854),
    [anon_sym_BSLASHcite] = ACTIONS(6854),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCite] = ACTIONS(6854),
    [anon_sym_BSLASHnocite] = ACTIONS(6854),
    [anon_sym_BSLASHcitet] = ACTIONS(6854),
    [anon_sym_BSLASHcitep] = ACTIONS(6854),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteA] = ACTIONS(6854),
    [anon_sym_BSLASHciteR] = ACTIONS(6854),
    [anon_sym_BSLASHciteS] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6854),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteyear] = ACTIONS(6854),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitedate] = ACTIONS(6854),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteurl] = ACTIONS(6854),
    [anon_sym_BSLASHfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6854),
    [anon_sym_BSLASHcitealt] = ACTIONS(6854),
    [anon_sym_BSLASHcitealp] = ACTIONS(6854),
    [anon_sym_BSLASHcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHparencite] = ACTIONS(6854),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHParencite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHtextcite] = ACTIONS(6854),
    [anon_sym_BSLASHTextcite] = ACTIONS(6854),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHsupercite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite] = ACTIONS(6854),
    [anon_sym_BSLASHAutocite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHVolcite] = ACTIONS(6854),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHavolcite] = ACTIONS(6854),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHNotecite] = ACTIONS(6854),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHlabel] = ACTIONS(6854),
    [anon_sym_BSLASHref] = ACTIONS(6854),
    [anon_sym_BSLASHeqref] = ACTIONS(6854),
    [anon_sym_BSLASHvref] = ACTIONS(6854),
    [anon_sym_BSLASHVref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHpageref] = ACTIONS(6854),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHautopageref] = ACTIONS(6854),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcref] = ACTIONS(6854),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCref] = ACTIONS(6854),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHCpageref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnameCref] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6854),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHdef] = ACTIONS(6854),
    [anon_sym_BSLASHgdef] = ACTIONS(6854),
    [anon_sym_BSLASHedef] = ACTIONS(6854),
    [anon_sym_BSLASHxdef] = ACTIONS(6854),
    [anon_sym_BSLASHlet] = ACTIONS(6854),
    [anon_sym_BSLASHglet] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6854),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6854),
    [anon_sym_BSLASHgls] = ACTIONS(6854),
    [anon_sym_BSLASHGls] = ACTIONS(6854),
    [anon_sym_BSLASHGLS] = ACTIONS(6854),
    [anon_sym_BSLASHglspl] = ACTIONS(6854),
    [anon_sym_BSLASHGlspl] = ACTIONS(6854),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6854),
    [anon_sym_BSLASHglslink] = ACTIONS(6854),
    [anon_sym_BSLASHglstext] = ACTIONS(6854),
    [anon_sym_BSLASHGlstext] = ACTIONS(6854),
    [anon_sym_BSLASHGLStext] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6854),
    [anon_sym_BSLASHglsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsname] = ACTIONS(6854),
    [anon_sym_BSLASHGlsname] = ACTIONS(6854),
    [anon_sym_BSLASHGLSname] = ACTIONS(6854),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6854),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6854),
    [anon_sym_BSLASHacrshort] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6854),
    [anon_sym_BSLASHACRshort] = ACTIONS(6854),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrlong] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6854),
    [anon_sym_BSLASHACRlong] = ACTIONS(6854),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrfull] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6854),
    [anon_sym_BSLASHACRfull] = ACTIONS(6854),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHacs] = ACTIONS(6854),
    [anon_sym_BSLASHAcs] = ACTIONS(6854),
    [anon_sym_BSLASHacsp] = ACTIONS(6854),
    [anon_sym_BSLASHAcsp] = ACTIONS(6854),
    [anon_sym_BSLASHacl] = ACTIONS(6854),
    [anon_sym_BSLASHAcl] = ACTIONS(6854),
    [anon_sym_BSLASHaclp] = ACTIONS(6854),
    [anon_sym_BSLASHAclp] = ACTIONS(6854),
    [anon_sym_BSLASHacf] = ACTIONS(6854),
    [anon_sym_BSLASHAcf] = ACTIONS(6854),
    [anon_sym_BSLASHacfp] = ACTIONS(6854),
    [anon_sym_BSLASHAcfp] = ACTIONS(6854),
    [anon_sym_BSLASHac] = ACTIONS(6854),
    [anon_sym_BSLASHAc] = ACTIONS(6854),
    [anon_sym_BSLASHacp] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6854),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6854),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6854),
    [anon_sym_BSLASHcolor] = ACTIONS(6854),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6854),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6854),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6854),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6854),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6854),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6854),
    [anon_sym_BSLASHurl] = ACTIONS(6854),
    [anon_sym_BSLASHhref] = ACTIONS(6854),
  },
  [771] = {
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(736),
    [aux_sym__section_repeat3] = STATE(736),
    [sym_command_name] = ACTIONS(6854),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6854),
    [anon_sym_LBRACK] = ACTIONS(6856),
    [anon_sym_RBRACK] = ACTIONS(6856),
    [anon_sym_COMMA] = ACTIONS(6856),
    [anon_sym_EQ] = ACTIONS(6856),
    [anon_sym_LPAREN] = ACTIONS(6856),
    [anon_sym_RPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHpart] = ACTIONS(6854),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddpart] = ACTIONS(6854),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHchapter] = ACTIONS(6854),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddchap] = ACTIONS(6854),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHitem] = ACTIONS(6854),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6856),
    [anon_sym_LBRACE] = ACTIONS(6856),
    [sym_word] = ACTIONS(6854),
    [sym_placeholder] = ACTIONS(6856),
    [sym_delimiter] = ACTIONS(6856),
    [anon_sym_PLUS] = ACTIONS(6856),
    [anon_sym_DASH] = ACTIONS(6856),
    [anon_sym_STAR] = ACTIONS(6856),
    [anon_sym_SLASH] = ACTIONS(6856),
    [anon_sym_LT] = ACTIONS(6854),
    [anon_sym_GT] = ACTIONS(6854),
    [anon_sym_BANG] = ACTIONS(6854),
    [anon_sym_PIPE] = ACTIONS(6854),
    [anon_sym_COLON] = ACTIONS(6854),
    [anon_sym_SQUOTE] = ACTIONS(6854),
    [anon_sym__] = ACTIONS(6856),
    [anon_sym_CARET] = ACTIONS(6856),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6856),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6856),
    [anon_sym_DOLLAR] = ACTIONS(6854),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6856),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHleft] = ACTIONS(6854),
    [anon_sym_BSLASHbigl] = ACTIONS(6854),
    [anon_sym_BSLASHBigl] = ACTIONS(6854),
    [anon_sym_BSLASHbiggl] = ACTIONS(6854),
    [anon_sym_BSLASHBiggl] = ACTIONS(6854),
    [anon_sym_BSLASHtext] = ACTIONS(6854),
    [anon_sym_BSLASHintertext] = ACTIONS(6854),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6854),
    [anon_sym_BSLASHbegin] = ACTIONS(6854),
    [anon_sym_BSLASHtitle] = ACTIONS(6854),
    [anon_sym_BSLASHauthor] = ACTIONS(6854),
    [anon_sym_BSLASHusepackage] = ACTIONS(6854),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6854),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6854),
    [anon_sym_BSLASHinclude] = ACTIONS(6854),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6854),
    [anon_sym_BSLASHinput] = ACTIONS(6854),
    [anon_sym_BSLASHsubfile] = ACTIONS(6854),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6854),
    [anon_sym_BSLASHbibliography] = ACTIONS(6854),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6854),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6854),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6854),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6854),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6854),
    [anon_sym_BSLASHimport] = ACTIONS(6854),
    [anon_sym_BSLASHsubimport] = ACTIONS(6854),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6854),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHcaption] = ACTIONS(6854),
    [anon_sym_BSLASHcite] = ACTIONS(6854),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCite] = ACTIONS(6854),
    [anon_sym_BSLASHnocite] = ACTIONS(6854),
    [anon_sym_BSLASHcitet] = ACTIONS(6854),
    [anon_sym_BSLASHcitep] = ACTIONS(6854),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteA] = ACTIONS(6854),
    [anon_sym_BSLASHciteR] = ACTIONS(6854),
    [anon_sym_BSLASHciteS] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6854),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteyear] = ACTIONS(6854),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitedate] = ACTIONS(6854),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteurl] = ACTIONS(6854),
    [anon_sym_BSLASHfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6854),
    [anon_sym_BSLASHcitealt] = ACTIONS(6854),
    [anon_sym_BSLASHcitealp] = ACTIONS(6854),
    [anon_sym_BSLASHcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHparencite] = ACTIONS(6854),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHParencite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHtextcite] = ACTIONS(6854),
    [anon_sym_BSLASHTextcite] = ACTIONS(6854),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHsupercite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite] = ACTIONS(6854),
    [anon_sym_BSLASHAutocite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHVolcite] = ACTIONS(6854),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHavolcite] = ACTIONS(6854),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHNotecite] = ACTIONS(6854),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHlabel] = ACTIONS(6854),
    [anon_sym_BSLASHref] = ACTIONS(6854),
    [anon_sym_BSLASHeqref] = ACTIONS(6854),
    [anon_sym_BSLASHvref] = ACTIONS(6854),
    [anon_sym_BSLASHVref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHpageref] = ACTIONS(6854),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHautopageref] = ACTIONS(6854),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcref] = ACTIONS(6854),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCref] = ACTIONS(6854),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHCpageref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnameCref] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6854),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHdef] = ACTIONS(6854),
    [anon_sym_BSLASHgdef] = ACTIONS(6854),
    [anon_sym_BSLASHedef] = ACTIONS(6854),
    [anon_sym_BSLASHxdef] = ACTIONS(6854),
    [anon_sym_BSLASHlet] = ACTIONS(6854),
    [anon_sym_BSLASHglet] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6854),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6854),
    [anon_sym_BSLASHgls] = ACTIONS(6854),
    [anon_sym_BSLASHGls] = ACTIONS(6854),
    [anon_sym_BSLASHGLS] = ACTIONS(6854),
    [anon_sym_BSLASHglspl] = ACTIONS(6854),
    [anon_sym_BSLASHGlspl] = ACTIONS(6854),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6854),
    [anon_sym_BSLASHglslink] = ACTIONS(6854),
    [anon_sym_BSLASHglstext] = ACTIONS(6854),
    [anon_sym_BSLASHGlstext] = ACTIONS(6854),
    [anon_sym_BSLASHGLStext] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6854),
    [anon_sym_BSLASHglsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsname] = ACTIONS(6854),
    [anon_sym_BSLASHGlsname] = ACTIONS(6854),
    [anon_sym_BSLASHGLSname] = ACTIONS(6854),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6854),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6854),
    [anon_sym_BSLASHacrshort] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6854),
    [anon_sym_BSLASHACRshort] = ACTIONS(6854),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrlong] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6854),
    [anon_sym_BSLASHACRlong] = ACTIONS(6854),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrfull] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6854),
    [anon_sym_BSLASHACRfull] = ACTIONS(6854),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHacs] = ACTIONS(6854),
    [anon_sym_BSLASHAcs] = ACTIONS(6854),
    [anon_sym_BSLASHacsp] = ACTIONS(6854),
    [anon_sym_BSLASHAcsp] = ACTIONS(6854),
    [anon_sym_BSLASHacl] = ACTIONS(6854),
    [anon_sym_BSLASHAcl] = ACTIONS(6854),
    [anon_sym_BSLASHaclp] = ACTIONS(6854),
    [anon_sym_BSLASHAclp] = ACTIONS(6854),
    [anon_sym_BSLASHacf] = ACTIONS(6854),
    [anon_sym_BSLASHAcf] = ACTIONS(6854),
    [anon_sym_BSLASHacfp] = ACTIONS(6854),
    [anon_sym_BSLASHAcfp] = ACTIONS(6854),
    [anon_sym_BSLASHac] = ACTIONS(6854),
    [anon_sym_BSLASHAc] = ACTIONS(6854),
    [anon_sym_BSLASHacp] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6854),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6854),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6854),
    [anon_sym_BSLASHcolor] = ACTIONS(6854),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6854),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6854),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6854),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6854),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6854),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6854),
    [anon_sym_BSLASHurl] = ACTIONS(6854),
    [anon_sym_BSLASHhref] = ACTIONS(6854),
  },
  [772] = {
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(737),
    [aux_sym__section_repeat4] = STATE(737),
    [sym_command_name] = ACTIONS(6854),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6854),
    [anon_sym_LBRACK] = ACTIONS(6856),
    [anon_sym_RBRACK] = ACTIONS(6856),
    [anon_sym_COMMA] = ACTIONS(6856),
    [anon_sym_EQ] = ACTIONS(6856),
    [anon_sym_LPAREN] = ACTIONS(6856),
    [anon_sym_RPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHpart] = ACTIONS(6854),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddpart] = ACTIONS(6854),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHchapter] = ACTIONS(6854),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddchap] = ACTIONS(6854),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsection] = ACTIONS(6854),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddsec] = ACTIONS(6854),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHitem] = ACTIONS(6854),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6856),
    [anon_sym_LBRACE] = ACTIONS(6856),
    [sym_word] = ACTIONS(6854),
    [sym_placeholder] = ACTIONS(6856),
    [sym_delimiter] = ACTIONS(6856),
    [anon_sym_PLUS] = ACTIONS(6856),
    [anon_sym_DASH] = ACTIONS(6856),
    [anon_sym_STAR] = ACTIONS(6856),
    [anon_sym_SLASH] = ACTIONS(6856),
    [anon_sym_LT] = ACTIONS(6854),
    [anon_sym_GT] = ACTIONS(6854),
    [anon_sym_BANG] = ACTIONS(6854),
    [anon_sym_PIPE] = ACTIONS(6854),
    [anon_sym_COLON] = ACTIONS(6854),
    [anon_sym_SQUOTE] = ACTIONS(6854),
    [anon_sym__] = ACTIONS(6856),
    [anon_sym_CARET] = ACTIONS(6856),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6856),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6856),
    [anon_sym_DOLLAR] = ACTIONS(6854),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6856),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHleft] = ACTIONS(6854),
    [anon_sym_BSLASHbigl] = ACTIONS(6854),
    [anon_sym_BSLASHBigl] = ACTIONS(6854),
    [anon_sym_BSLASHbiggl] = ACTIONS(6854),
    [anon_sym_BSLASHBiggl] = ACTIONS(6854),
    [anon_sym_BSLASHtext] = ACTIONS(6854),
    [anon_sym_BSLASHintertext] = ACTIONS(6854),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6854),
    [anon_sym_BSLASHbegin] = ACTIONS(6854),
    [anon_sym_BSLASHtitle] = ACTIONS(6854),
    [anon_sym_BSLASHauthor] = ACTIONS(6854),
    [anon_sym_BSLASHusepackage] = ACTIONS(6854),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6854),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6854),
    [anon_sym_BSLASHinclude] = ACTIONS(6854),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6854),
    [anon_sym_BSLASHinput] = ACTIONS(6854),
    [anon_sym_BSLASHsubfile] = ACTIONS(6854),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6854),
    [anon_sym_BSLASHbibliography] = ACTIONS(6854),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6854),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6854),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6854),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6854),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6854),
    [anon_sym_BSLASHimport] = ACTIONS(6854),
    [anon_sym_BSLASHsubimport] = ACTIONS(6854),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6854),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHcaption] = ACTIONS(6854),
    [anon_sym_BSLASHcite] = ACTIONS(6854),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCite] = ACTIONS(6854),
    [anon_sym_BSLASHnocite] = ACTIONS(6854),
    [anon_sym_BSLASHcitet] = ACTIONS(6854),
    [anon_sym_BSLASHcitep] = ACTIONS(6854),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteA] = ACTIONS(6854),
    [anon_sym_BSLASHciteR] = ACTIONS(6854),
    [anon_sym_BSLASHciteS] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6854),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteyear] = ACTIONS(6854),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitedate] = ACTIONS(6854),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteurl] = ACTIONS(6854),
    [anon_sym_BSLASHfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6854),
    [anon_sym_BSLASHcitealt] = ACTIONS(6854),
    [anon_sym_BSLASHcitealp] = ACTIONS(6854),
    [anon_sym_BSLASHcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHparencite] = ACTIONS(6854),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHParencite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHtextcite] = ACTIONS(6854),
    [anon_sym_BSLASHTextcite] = ACTIONS(6854),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHsupercite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite] = ACTIONS(6854),
    [anon_sym_BSLASHAutocite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHVolcite] = ACTIONS(6854),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHavolcite] = ACTIONS(6854),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHNotecite] = ACTIONS(6854),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHlabel] = ACTIONS(6854),
    [anon_sym_BSLASHref] = ACTIONS(6854),
    [anon_sym_BSLASHeqref] = ACTIONS(6854),
    [anon_sym_BSLASHvref] = ACTIONS(6854),
    [anon_sym_BSLASHVref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHpageref] = ACTIONS(6854),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHautopageref] = ACTIONS(6854),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcref] = ACTIONS(6854),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCref] = ACTIONS(6854),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHCpageref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnameCref] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6854),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHdef] = ACTIONS(6854),
    [anon_sym_BSLASHgdef] = ACTIONS(6854),
    [anon_sym_BSLASHedef] = ACTIONS(6854),
    [anon_sym_BSLASHxdef] = ACTIONS(6854),
    [anon_sym_BSLASHlet] = ACTIONS(6854),
    [anon_sym_BSLASHglet] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6854),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6854),
    [anon_sym_BSLASHgls] = ACTIONS(6854),
    [anon_sym_BSLASHGls] = ACTIONS(6854),
    [anon_sym_BSLASHGLS] = ACTIONS(6854),
    [anon_sym_BSLASHglspl] = ACTIONS(6854),
    [anon_sym_BSLASHGlspl] = ACTIONS(6854),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6854),
    [anon_sym_BSLASHglslink] = ACTIONS(6854),
    [anon_sym_BSLASHglstext] = ACTIONS(6854),
    [anon_sym_BSLASHGlstext] = ACTIONS(6854),
    [anon_sym_BSLASHGLStext] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6854),
    [anon_sym_BSLASHglsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsname] = ACTIONS(6854),
    [anon_sym_BSLASHGlsname] = ACTIONS(6854),
    [anon_sym_BSLASHGLSname] = ACTIONS(6854),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6854),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6854),
    [anon_sym_BSLASHacrshort] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6854),
    [anon_sym_BSLASHACRshort] = ACTIONS(6854),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrlong] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6854),
    [anon_sym_BSLASHACRlong] = ACTIONS(6854),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrfull] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6854),
    [anon_sym_BSLASHACRfull] = ACTIONS(6854),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHacs] = ACTIONS(6854),
    [anon_sym_BSLASHAcs] = ACTIONS(6854),
    [anon_sym_BSLASHacsp] = ACTIONS(6854),
    [anon_sym_BSLASHAcsp] = ACTIONS(6854),
    [anon_sym_BSLASHacl] = ACTIONS(6854),
    [anon_sym_BSLASHAcl] = ACTIONS(6854),
    [anon_sym_BSLASHaclp] = ACTIONS(6854),
    [anon_sym_BSLASHAclp] = ACTIONS(6854),
    [anon_sym_BSLASHacf] = ACTIONS(6854),
    [anon_sym_BSLASHAcf] = ACTIONS(6854),
    [anon_sym_BSLASHacfp] = ACTIONS(6854),
    [anon_sym_BSLASHAcfp] = ACTIONS(6854),
    [anon_sym_BSLASHac] = ACTIONS(6854),
    [anon_sym_BSLASHAc] = ACTIONS(6854),
    [anon_sym_BSLASHacp] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6854),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6854),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6854),
    [anon_sym_BSLASHcolor] = ACTIONS(6854),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6854),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6854),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6854),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6854),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6854),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6854),
    [anon_sym_BSLASHurl] = ACTIONS(6854),
    [anon_sym_BSLASHhref] = ACTIONS(6854),
  },
  [773] = {
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(738),
    [aux_sym__section_repeat5] = STATE(738),
    [sym_command_name] = ACTIONS(6854),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6854),
    [anon_sym_LBRACK] = ACTIONS(6856),
    [anon_sym_RBRACK] = ACTIONS(6856),
    [anon_sym_COMMA] = ACTIONS(6856),
    [anon_sym_EQ] = ACTIONS(6856),
    [anon_sym_LPAREN] = ACTIONS(6856),
    [anon_sym_RPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHpart] = ACTIONS(6854),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddpart] = ACTIONS(6854),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHchapter] = ACTIONS(6854),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddchap] = ACTIONS(6854),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsection] = ACTIONS(6854),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddsec] = ACTIONS(6854),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHitem] = ACTIONS(6854),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6856),
    [anon_sym_LBRACE] = ACTIONS(6856),
    [sym_word] = ACTIONS(6854),
    [sym_placeholder] = ACTIONS(6856),
    [sym_delimiter] = ACTIONS(6856),
    [anon_sym_PLUS] = ACTIONS(6856),
    [anon_sym_DASH] = ACTIONS(6856),
    [anon_sym_STAR] = ACTIONS(6856),
    [anon_sym_SLASH] = ACTIONS(6856),
    [anon_sym_LT] = ACTIONS(6854),
    [anon_sym_GT] = ACTIONS(6854),
    [anon_sym_BANG] = ACTIONS(6854),
    [anon_sym_PIPE] = ACTIONS(6854),
    [anon_sym_COLON] = ACTIONS(6854),
    [anon_sym_SQUOTE] = ACTIONS(6854),
    [anon_sym__] = ACTIONS(6856),
    [anon_sym_CARET] = ACTIONS(6856),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6856),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6856),
    [anon_sym_DOLLAR] = ACTIONS(6854),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6856),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHleft] = ACTIONS(6854),
    [anon_sym_BSLASHbigl] = ACTIONS(6854),
    [anon_sym_BSLASHBigl] = ACTIONS(6854),
    [anon_sym_BSLASHbiggl] = ACTIONS(6854),
    [anon_sym_BSLASHBiggl] = ACTIONS(6854),
    [anon_sym_BSLASHtext] = ACTIONS(6854),
    [anon_sym_BSLASHintertext] = ACTIONS(6854),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6854),
    [anon_sym_BSLASHbegin] = ACTIONS(6854),
    [anon_sym_BSLASHtitle] = ACTIONS(6854),
    [anon_sym_BSLASHauthor] = ACTIONS(6854),
    [anon_sym_BSLASHusepackage] = ACTIONS(6854),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6854),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6854),
    [anon_sym_BSLASHinclude] = ACTIONS(6854),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6854),
    [anon_sym_BSLASHinput] = ACTIONS(6854),
    [anon_sym_BSLASHsubfile] = ACTIONS(6854),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6854),
    [anon_sym_BSLASHbibliography] = ACTIONS(6854),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6854),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6854),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6854),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6854),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6854),
    [anon_sym_BSLASHimport] = ACTIONS(6854),
    [anon_sym_BSLASHsubimport] = ACTIONS(6854),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6854),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHcaption] = ACTIONS(6854),
    [anon_sym_BSLASHcite] = ACTIONS(6854),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCite] = ACTIONS(6854),
    [anon_sym_BSLASHnocite] = ACTIONS(6854),
    [anon_sym_BSLASHcitet] = ACTIONS(6854),
    [anon_sym_BSLASHcitep] = ACTIONS(6854),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteA] = ACTIONS(6854),
    [anon_sym_BSLASHciteR] = ACTIONS(6854),
    [anon_sym_BSLASHciteS] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6854),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteyear] = ACTIONS(6854),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitedate] = ACTIONS(6854),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteurl] = ACTIONS(6854),
    [anon_sym_BSLASHfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6854),
    [anon_sym_BSLASHcitealt] = ACTIONS(6854),
    [anon_sym_BSLASHcitealp] = ACTIONS(6854),
    [anon_sym_BSLASHcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHparencite] = ACTIONS(6854),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHParencite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHtextcite] = ACTIONS(6854),
    [anon_sym_BSLASHTextcite] = ACTIONS(6854),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHsupercite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite] = ACTIONS(6854),
    [anon_sym_BSLASHAutocite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHVolcite] = ACTIONS(6854),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHavolcite] = ACTIONS(6854),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHNotecite] = ACTIONS(6854),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHlabel] = ACTIONS(6854),
    [anon_sym_BSLASHref] = ACTIONS(6854),
    [anon_sym_BSLASHeqref] = ACTIONS(6854),
    [anon_sym_BSLASHvref] = ACTIONS(6854),
    [anon_sym_BSLASHVref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHpageref] = ACTIONS(6854),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHautopageref] = ACTIONS(6854),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcref] = ACTIONS(6854),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCref] = ACTIONS(6854),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHCpageref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnameCref] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6854),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHdef] = ACTIONS(6854),
    [anon_sym_BSLASHgdef] = ACTIONS(6854),
    [anon_sym_BSLASHedef] = ACTIONS(6854),
    [anon_sym_BSLASHxdef] = ACTIONS(6854),
    [anon_sym_BSLASHlet] = ACTIONS(6854),
    [anon_sym_BSLASHglet] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6854),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6854),
    [anon_sym_BSLASHgls] = ACTIONS(6854),
    [anon_sym_BSLASHGls] = ACTIONS(6854),
    [anon_sym_BSLASHGLS] = ACTIONS(6854),
    [anon_sym_BSLASHglspl] = ACTIONS(6854),
    [anon_sym_BSLASHGlspl] = ACTIONS(6854),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6854),
    [anon_sym_BSLASHglslink] = ACTIONS(6854),
    [anon_sym_BSLASHglstext] = ACTIONS(6854),
    [anon_sym_BSLASHGlstext] = ACTIONS(6854),
    [anon_sym_BSLASHGLStext] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6854),
    [anon_sym_BSLASHglsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsname] = ACTIONS(6854),
    [anon_sym_BSLASHGlsname] = ACTIONS(6854),
    [anon_sym_BSLASHGLSname] = ACTIONS(6854),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6854),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6854),
    [anon_sym_BSLASHacrshort] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6854),
    [anon_sym_BSLASHACRshort] = ACTIONS(6854),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrlong] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6854),
    [anon_sym_BSLASHACRlong] = ACTIONS(6854),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrfull] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6854),
    [anon_sym_BSLASHACRfull] = ACTIONS(6854),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHacs] = ACTIONS(6854),
    [anon_sym_BSLASHAcs] = ACTIONS(6854),
    [anon_sym_BSLASHacsp] = ACTIONS(6854),
    [anon_sym_BSLASHAcsp] = ACTIONS(6854),
    [anon_sym_BSLASHacl] = ACTIONS(6854),
    [anon_sym_BSLASHAcl] = ACTIONS(6854),
    [anon_sym_BSLASHaclp] = ACTIONS(6854),
    [anon_sym_BSLASHAclp] = ACTIONS(6854),
    [anon_sym_BSLASHacf] = ACTIONS(6854),
    [anon_sym_BSLASHAcf] = ACTIONS(6854),
    [anon_sym_BSLASHacfp] = ACTIONS(6854),
    [anon_sym_BSLASHAcfp] = ACTIONS(6854),
    [anon_sym_BSLASHac] = ACTIONS(6854),
    [anon_sym_BSLASHAc] = ACTIONS(6854),
    [anon_sym_BSLASHacp] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6854),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6854),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6854),
    [anon_sym_BSLASHcolor] = ACTIONS(6854),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6854),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6854),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6854),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6854),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6854),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6854),
    [anon_sym_BSLASHurl] = ACTIONS(6854),
    [anon_sym_BSLASHhref] = ACTIONS(6854),
  },
  [774] = {
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(736),
    [aux_sym__section_repeat3] = STATE(736),
    [sym_command_name] = ACTIONS(6696),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6696),
    [anon_sym_LBRACK] = ACTIONS(6698),
    [anon_sym_RBRACK] = ACTIONS(6698),
    [anon_sym_COMMA] = ACTIONS(6698),
    [anon_sym_EQ] = ACTIONS(6698),
    [anon_sym_LPAREN] = ACTIONS(6698),
    [anon_sym_RPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHpart] = ACTIONS(6696),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddpart] = ACTIONS(6696),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHchapter] = ACTIONS(6696),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddchap] = ACTIONS(6696),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(6696),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHitem] = ACTIONS(6696),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6698),
    [anon_sym_LBRACE] = ACTIONS(6698),
    [sym_word] = ACTIONS(6696),
    [sym_placeholder] = ACTIONS(6698),
    [sym_delimiter] = ACTIONS(6698),
    [anon_sym_PLUS] = ACTIONS(6698),
    [anon_sym_DASH] = ACTIONS(6698),
    [anon_sym_STAR] = ACTIONS(6698),
    [anon_sym_SLASH] = ACTIONS(6698),
    [anon_sym_LT] = ACTIONS(6696),
    [anon_sym_GT] = ACTIONS(6696),
    [anon_sym_BANG] = ACTIONS(6696),
    [anon_sym_PIPE] = ACTIONS(6696),
    [anon_sym_COLON] = ACTIONS(6696),
    [anon_sym_SQUOTE] = ACTIONS(6696),
    [anon_sym__] = ACTIONS(6698),
    [anon_sym_CARET] = ACTIONS(6698),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6698),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6698),
    [anon_sym_DOLLAR] = ACTIONS(6696),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6698),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHleft] = ACTIONS(6696),
    [anon_sym_BSLASHbigl] = ACTIONS(6696),
    [anon_sym_BSLASHBigl] = ACTIONS(6696),
    [anon_sym_BSLASHbiggl] = ACTIONS(6696),
    [anon_sym_BSLASHBiggl] = ACTIONS(6696),
    [anon_sym_BSLASHtext] = ACTIONS(6696),
    [anon_sym_BSLASHintertext] = ACTIONS(6696),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6696),
    [anon_sym_BSLASHbegin] = ACTIONS(6696),
    [anon_sym_BSLASHtitle] = ACTIONS(6696),
    [anon_sym_BSLASHauthor] = ACTIONS(6696),
    [anon_sym_BSLASHusepackage] = ACTIONS(6696),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6696),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6696),
    [anon_sym_BSLASHinclude] = ACTIONS(6696),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6696),
    [anon_sym_BSLASHinput] = ACTIONS(6696),
    [anon_sym_BSLASHsubfile] = ACTIONS(6696),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6696),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6696),
    [anon_sym_BSLASHbibliography] = ACTIONS(6696),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6696),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6696),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6696),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6696),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6696),
    [anon_sym_BSLASHimport] = ACTIONS(6696),
    [anon_sym_BSLASHsubimport] = ACTIONS(6696),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6696),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHcaption] = ACTIONS(6696),
    [anon_sym_BSLASHcite] = ACTIONS(6696),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCite] = ACTIONS(6696),
    [anon_sym_BSLASHnocite] = ACTIONS(6696),
    [anon_sym_BSLASHcitet] = ACTIONS(6696),
    [anon_sym_BSLASHcitep] = ACTIONS(6696),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteA] = ACTIONS(6696),
    [anon_sym_BSLASHciteR] = ACTIONS(6696),
    [anon_sym_BSLASHciteS] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6696),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteyear] = ACTIONS(6696),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitedate] = ACTIONS(6696),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteurl] = ACTIONS(6696),
    [anon_sym_BSLASHfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6696),
    [anon_sym_BSLASHcitealt] = ACTIONS(6696),
    [anon_sym_BSLASHcitealp] = ACTIONS(6696),
    [anon_sym_BSLASHcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHparencite] = ACTIONS(6696),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHParencite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHtextcite] = ACTIONS(6696),
    [anon_sym_BSLASHTextcite] = ACTIONS(6696),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHsupercite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite] = ACTIONS(6696),
    [anon_sym_BSLASHAutocite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHVolcite] = ACTIONS(6696),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHavolcite] = ACTIONS(6696),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHNotecite] = ACTIONS(6696),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHlabel] = ACTIONS(6696),
    [anon_sym_BSLASHref] = ACTIONS(6696),
    [anon_sym_BSLASHeqref] = ACTIONS(6696),
    [anon_sym_BSLASHvref] = ACTIONS(6696),
    [anon_sym_BSLASHVref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHpageref] = ACTIONS(6696),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHautopageref] = ACTIONS(6696),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcref] = ACTIONS(6696),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCref] = ACTIONS(6696),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHCpageref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnameCref] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6696),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHdef] = ACTIONS(6696),
    [anon_sym_BSLASHgdef] = ACTIONS(6696),
    [anon_sym_BSLASHedef] = ACTIONS(6696),
    [anon_sym_BSLASHxdef] = ACTIONS(6696),
    [anon_sym_BSLASHlet] = ACTIONS(6696),
    [anon_sym_BSLASHglet] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6696),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6696),
    [anon_sym_BSLASHgls] = ACTIONS(6696),
    [anon_sym_BSLASHGls] = ACTIONS(6696),
    [anon_sym_BSLASHGLS] = ACTIONS(6696),
    [anon_sym_BSLASHglspl] = ACTIONS(6696),
    [anon_sym_BSLASHGlspl] = ACTIONS(6696),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6696),
    [anon_sym_BSLASHglslink] = ACTIONS(6696),
    [anon_sym_BSLASHglstext] = ACTIONS(6696),
    [anon_sym_BSLASHGlstext] = ACTIONS(6696),
    [anon_sym_BSLASHGLStext] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6696),
    [anon_sym_BSLASHglsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsname] = ACTIONS(6696),
    [anon_sym_BSLASHGlsname] = ACTIONS(6696),
    [anon_sym_BSLASHGLSname] = ACTIONS(6696),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6696),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6696),
    [anon_sym_BSLASHacrshort] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6696),
    [anon_sym_BSLASHACRshort] = ACTIONS(6696),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrlong] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6696),
    [anon_sym_BSLASHACRlong] = ACTIONS(6696),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrfull] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6696),
    [anon_sym_BSLASHACRfull] = ACTIONS(6696),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHacs] = ACTIONS(6696),
    [anon_sym_BSLASHAcs] = ACTIONS(6696),
    [anon_sym_BSLASHacsp] = ACTIONS(6696),
    [anon_sym_BSLASHAcsp] = ACTIONS(6696),
    [anon_sym_BSLASHacl] = ACTIONS(6696),
    [anon_sym_BSLASHAcl] = ACTIONS(6696),
    [anon_sym_BSLASHaclp] = ACTIONS(6696),
    [anon_sym_BSLASHAclp] = ACTIONS(6696),
    [anon_sym_BSLASHacf] = ACTIONS(6696),
    [anon_sym_BSLASHAcf] = ACTIONS(6696),
    [anon_sym_BSLASHacfp] = ACTIONS(6696),
    [anon_sym_BSLASHAcfp] = ACTIONS(6696),
    [anon_sym_BSLASHac] = ACTIONS(6696),
    [anon_sym_BSLASHAc] = ACTIONS(6696),
    [anon_sym_BSLASHacp] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6696),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6696),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6696),
    [anon_sym_BSLASHcolor] = ACTIONS(6696),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6696),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6696),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6696),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6696),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6696),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6696),
    [anon_sym_BSLASHurl] = ACTIONS(6696),
    [anon_sym_BSLASHhref] = ACTIONS(6696),
  },
  [775] = {
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(737),
    [aux_sym__section_repeat4] = STATE(737),
    [sym_command_name] = ACTIONS(6696),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6696),
    [anon_sym_LBRACK] = ACTIONS(6698),
    [anon_sym_RBRACK] = ACTIONS(6698),
    [anon_sym_COMMA] = ACTIONS(6698),
    [anon_sym_EQ] = ACTIONS(6698),
    [anon_sym_LPAREN] = ACTIONS(6698),
    [anon_sym_RPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHpart] = ACTIONS(6696),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddpart] = ACTIONS(6696),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHchapter] = ACTIONS(6696),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddchap] = ACTIONS(6696),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsection] = ACTIONS(6696),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddsec] = ACTIONS(6696),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHitem] = ACTIONS(6696),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6698),
    [anon_sym_LBRACE] = ACTIONS(6698),
    [sym_word] = ACTIONS(6696),
    [sym_placeholder] = ACTIONS(6698),
    [sym_delimiter] = ACTIONS(6698),
    [anon_sym_PLUS] = ACTIONS(6698),
    [anon_sym_DASH] = ACTIONS(6698),
    [anon_sym_STAR] = ACTIONS(6698),
    [anon_sym_SLASH] = ACTIONS(6698),
    [anon_sym_LT] = ACTIONS(6696),
    [anon_sym_GT] = ACTIONS(6696),
    [anon_sym_BANG] = ACTIONS(6696),
    [anon_sym_PIPE] = ACTIONS(6696),
    [anon_sym_COLON] = ACTIONS(6696),
    [anon_sym_SQUOTE] = ACTIONS(6696),
    [anon_sym__] = ACTIONS(6698),
    [anon_sym_CARET] = ACTIONS(6698),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6698),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6698),
    [anon_sym_DOLLAR] = ACTIONS(6696),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6698),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHleft] = ACTIONS(6696),
    [anon_sym_BSLASHbigl] = ACTIONS(6696),
    [anon_sym_BSLASHBigl] = ACTIONS(6696),
    [anon_sym_BSLASHbiggl] = ACTIONS(6696),
    [anon_sym_BSLASHBiggl] = ACTIONS(6696),
    [anon_sym_BSLASHtext] = ACTIONS(6696),
    [anon_sym_BSLASHintertext] = ACTIONS(6696),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6696),
    [anon_sym_BSLASHbegin] = ACTIONS(6696),
    [anon_sym_BSLASHtitle] = ACTIONS(6696),
    [anon_sym_BSLASHauthor] = ACTIONS(6696),
    [anon_sym_BSLASHusepackage] = ACTIONS(6696),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6696),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6696),
    [anon_sym_BSLASHinclude] = ACTIONS(6696),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6696),
    [anon_sym_BSLASHinput] = ACTIONS(6696),
    [anon_sym_BSLASHsubfile] = ACTIONS(6696),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6696),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6696),
    [anon_sym_BSLASHbibliography] = ACTIONS(6696),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6696),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6696),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6696),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6696),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6696),
    [anon_sym_BSLASHimport] = ACTIONS(6696),
    [anon_sym_BSLASHsubimport] = ACTIONS(6696),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6696),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHcaption] = ACTIONS(6696),
    [anon_sym_BSLASHcite] = ACTIONS(6696),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCite] = ACTIONS(6696),
    [anon_sym_BSLASHnocite] = ACTIONS(6696),
    [anon_sym_BSLASHcitet] = ACTIONS(6696),
    [anon_sym_BSLASHcitep] = ACTIONS(6696),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteA] = ACTIONS(6696),
    [anon_sym_BSLASHciteR] = ACTIONS(6696),
    [anon_sym_BSLASHciteS] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6696),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteyear] = ACTIONS(6696),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitedate] = ACTIONS(6696),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteurl] = ACTIONS(6696),
    [anon_sym_BSLASHfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6696),
    [anon_sym_BSLASHcitealt] = ACTIONS(6696),
    [anon_sym_BSLASHcitealp] = ACTIONS(6696),
    [anon_sym_BSLASHcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHparencite] = ACTIONS(6696),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHParencite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHtextcite] = ACTIONS(6696),
    [anon_sym_BSLASHTextcite] = ACTIONS(6696),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHsupercite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite] = ACTIONS(6696),
    [anon_sym_BSLASHAutocite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHVolcite] = ACTIONS(6696),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHavolcite] = ACTIONS(6696),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHNotecite] = ACTIONS(6696),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHlabel] = ACTIONS(6696),
    [anon_sym_BSLASHref] = ACTIONS(6696),
    [anon_sym_BSLASHeqref] = ACTIONS(6696),
    [anon_sym_BSLASHvref] = ACTIONS(6696),
    [anon_sym_BSLASHVref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHpageref] = ACTIONS(6696),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHautopageref] = ACTIONS(6696),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcref] = ACTIONS(6696),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCref] = ACTIONS(6696),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHCpageref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnameCref] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6696),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHdef] = ACTIONS(6696),
    [anon_sym_BSLASHgdef] = ACTIONS(6696),
    [anon_sym_BSLASHedef] = ACTIONS(6696),
    [anon_sym_BSLASHxdef] = ACTIONS(6696),
    [anon_sym_BSLASHlet] = ACTIONS(6696),
    [anon_sym_BSLASHglet] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6696),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6696),
    [anon_sym_BSLASHgls] = ACTIONS(6696),
    [anon_sym_BSLASHGls] = ACTIONS(6696),
    [anon_sym_BSLASHGLS] = ACTIONS(6696),
    [anon_sym_BSLASHglspl] = ACTIONS(6696),
    [anon_sym_BSLASHGlspl] = ACTIONS(6696),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6696),
    [anon_sym_BSLASHglslink] = ACTIONS(6696),
    [anon_sym_BSLASHglstext] = ACTIONS(6696),
    [anon_sym_BSLASHGlstext] = ACTIONS(6696),
    [anon_sym_BSLASHGLStext] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6696),
    [anon_sym_BSLASHglsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsname] = ACTIONS(6696),
    [anon_sym_BSLASHGlsname] = ACTIONS(6696),
    [anon_sym_BSLASHGLSname] = ACTIONS(6696),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6696),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6696),
    [anon_sym_BSLASHacrshort] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6696),
    [anon_sym_BSLASHACRshort] = ACTIONS(6696),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrlong] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6696),
    [anon_sym_BSLASHACRlong] = ACTIONS(6696),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrfull] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6696),
    [anon_sym_BSLASHACRfull] = ACTIONS(6696),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHacs] = ACTIONS(6696),
    [anon_sym_BSLASHAcs] = ACTIONS(6696),
    [anon_sym_BSLASHacsp] = ACTIONS(6696),
    [anon_sym_BSLASHAcsp] = ACTIONS(6696),
    [anon_sym_BSLASHacl] = ACTIONS(6696),
    [anon_sym_BSLASHAcl] = ACTIONS(6696),
    [anon_sym_BSLASHaclp] = ACTIONS(6696),
    [anon_sym_BSLASHAclp] = ACTIONS(6696),
    [anon_sym_BSLASHacf] = ACTIONS(6696),
    [anon_sym_BSLASHAcf] = ACTIONS(6696),
    [anon_sym_BSLASHacfp] = ACTIONS(6696),
    [anon_sym_BSLASHAcfp] = ACTIONS(6696),
    [anon_sym_BSLASHac] = ACTIONS(6696),
    [anon_sym_BSLASHAc] = ACTIONS(6696),
    [anon_sym_BSLASHacp] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6696),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6696),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6696),
    [anon_sym_BSLASHcolor] = ACTIONS(6696),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6696),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6696),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6696),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6696),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6696),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6696),
    [anon_sym_BSLASHurl] = ACTIONS(6696),
    [anon_sym_BSLASHhref] = ACTIONS(6696),
  },
  [776] = {
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(738),
    [aux_sym__section_repeat5] = STATE(738),
    [sym_command_name] = ACTIONS(6696),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6696),
    [anon_sym_LBRACK] = ACTIONS(6698),
    [anon_sym_RBRACK] = ACTIONS(6698),
    [anon_sym_COMMA] = ACTIONS(6698),
    [anon_sym_EQ] = ACTIONS(6698),
    [anon_sym_LPAREN] = ACTIONS(6698),
    [anon_sym_RPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHpart] = ACTIONS(6696),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddpart] = ACTIONS(6696),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHchapter] = ACTIONS(6696),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddchap] = ACTIONS(6696),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsection] = ACTIONS(6696),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddsec] = ACTIONS(6696),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubsection] = ACTIONS(6696),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHitem] = ACTIONS(6696),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6698),
    [anon_sym_LBRACE] = ACTIONS(6698),
    [sym_word] = ACTIONS(6696),
    [sym_placeholder] = ACTIONS(6698),
    [sym_delimiter] = ACTIONS(6698),
    [anon_sym_PLUS] = ACTIONS(6698),
    [anon_sym_DASH] = ACTIONS(6698),
    [anon_sym_STAR] = ACTIONS(6698),
    [anon_sym_SLASH] = ACTIONS(6698),
    [anon_sym_LT] = ACTIONS(6696),
    [anon_sym_GT] = ACTIONS(6696),
    [anon_sym_BANG] = ACTIONS(6696),
    [anon_sym_PIPE] = ACTIONS(6696),
    [anon_sym_COLON] = ACTIONS(6696),
    [anon_sym_SQUOTE] = ACTIONS(6696),
    [anon_sym__] = ACTIONS(6698),
    [anon_sym_CARET] = ACTIONS(6698),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6698),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6698),
    [anon_sym_DOLLAR] = ACTIONS(6696),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6698),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHleft] = ACTIONS(6696),
    [anon_sym_BSLASHbigl] = ACTIONS(6696),
    [anon_sym_BSLASHBigl] = ACTIONS(6696),
    [anon_sym_BSLASHbiggl] = ACTIONS(6696),
    [anon_sym_BSLASHBiggl] = ACTIONS(6696),
    [anon_sym_BSLASHtext] = ACTIONS(6696),
    [anon_sym_BSLASHintertext] = ACTIONS(6696),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6696),
    [anon_sym_BSLASHbegin] = ACTIONS(6696),
    [anon_sym_BSLASHtitle] = ACTIONS(6696),
    [anon_sym_BSLASHauthor] = ACTIONS(6696),
    [anon_sym_BSLASHusepackage] = ACTIONS(6696),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6696),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6696),
    [anon_sym_BSLASHinclude] = ACTIONS(6696),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6696),
    [anon_sym_BSLASHinput] = ACTIONS(6696),
    [anon_sym_BSLASHsubfile] = ACTIONS(6696),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6696),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6696),
    [anon_sym_BSLASHbibliography] = ACTIONS(6696),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6696),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6696),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6696),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6696),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6696),
    [anon_sym_BSLASHimport] = ACTIONS(6696),
    [anon_sym_BSLASHsubimport] = ACTIONS(6696),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6696),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHcaption] = ACTIONS(6696),
    [anon_sym_BSLASHcite] = ACTIONS(6696),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCite] = ACTIONS(6696),
    [anon_sym_BSLASHnocite] = ACTIONS(6696),
    [anon_sym_BSLASHcitet] = ACTIONS(6696),
    [anon_sym_BSLASHcitep] = ACTIONS(6696),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteA] = ACTIONS(6696),
    [anon_sym_BSLASHciteR] = ACTIONS(6696),
    [anon_sym_BSLASHciteS] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6696),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteyear] = ACTIONS(6696),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitedate] = ACTIONS(6696),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteurl] = ACTIONS(6696),
    [anon_sym_BSLASHfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6696),
    [anon_sym_BSLASHcitealt] = ACTIONS(6696),
    [anon_sym_BSLASHcitealp] = ACTIONS(6696),
    [anon_sym_BSLASHcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHparencite] = ACTIONS(6696),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHParencite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHtextcite] = ACTIONS(6696),
    [anon_sym_BSLASHTextcite] = ACTIONS(6696),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHsupercite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite] = ACTIONS(6696),
    [anon_sym_BSLASHAutocite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHVolcite] = ACTIONS(6696),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHavolcite] = ACTIONS(6696),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHNotecite] = ACTIONS(6696),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHlabel] = ACTIONS(6696),
    [anon_sym_BSLASHref] = ACTIONS(6696),
    [anon_sym_BSLASHeqref] = ACTIONS(6696),
    [anon_sym_BSLASHvref] = ACTIONS(6696),
    [anon_sym_BSLASHVref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHpageref] = ACTIONS(6696),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHautopageref] = ACTIONS(6696),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcref] = ACTIONS(6696),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCref] = ACTIONS(6696),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHCpageref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnameCref] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6696),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHdef] = ACTIONS(6696),
    [anon_sym_BSLASHgdef] = ACTIONS(6696),
    [anon_sym_BSLASHedef] = ACTIONS(6696),
    [anon_sym_BSLASHxdef] = ACTIONS(6696),
    [anon_sym_BSLASHlet] = ACTIONS(6696),
    [anon_sym_BSLASHglet] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6696),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6696),
    [anon_sym_BSLASHgls] = ACTIONS(6696),
    [anon_sym_BSLASHGls] = ACTIONS(6696),
    [anon_sym_BSLASHGLS] = ACTIONS(6696),
    [anon_sym_BSLASHglspl] = ACTIONS(6696),
    [anon_sym_BSLASHGlspl] = ACTIONS(6696),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6696),
    [anon_sym_BSLASHglslink] = ACTIONS(6696),
    [anon_sym_BSLASHglstext] = ACTIONS(6696),
    [anon_sym_BSLASHGlstext] = ACTIONS(6696),
    [anon_sym_BSLASHGLStext] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6696),
    [anon_sym_BSLASHglsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsname] = ACTIONS(6696),
    [anon_sym_BSLASHGlsname] = ACTIONS(6696),
    [anon_sym_BSLASHGLSname] = ACTIONS(6696),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6696),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6696),
    [anon_sym_BSLASHacrshort] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6696),
    [anon_sym_BSLASHACRshort] = ACTIONS(6696),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrlong] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6696),
    [anon_sym_BSLASHACRlong] = ACTIONS(6696),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrfull] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6696),
    [anon_sym_BSLASHACRfull] = ACTIONS(6696),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHacs] = ACTIONS(6696),
    [anon_sym_BSLASHAcs] = ACTIONS(6696),
    [anon_sym_BSLASHacsp] = ACTIONS(6696),
    [anon_sym_BSLASHAcsp] = ACTIONS(6696),
    [anon_sym_BSLASHacl] = ACTIONS(6696),
    [anon_sym_BSLASHAcl] = ACTIONS(6696),
    [anon_sym_BSLASHaclp] = ACTIONS(6696),
    [anon_sym_BSLASHAclp] = ACTIONS(6696),
    [anon_sym_BSLASHacf] = ACTIONS(6696),
    [anon_sym_BSLASHAcf] = ACTIONS(6696),
    [anon_sym_BSLASHacfp] = ACTIONS(6696),
    [anon_sym_BSLASHAcfp] = ACTIONS(6696),
    [anon_sym_BSLASHac] = ACTIONS(6696),
    [anon_sym_BSLASHAc] = ACTIONS(6696),
    [anon_sym_BSLASHacp] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6696),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6696),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6696),
    [anon_sym_BSLASHcolor] = ACTIONS(6696),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6696),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6696),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6696),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6696),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6696),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6696),
    [anon_sym_BSLASHurl] = ACTIONS(6696),
    [anon_sym_BSLASHhref] = ACTIONS(6696),
  },
  [777] = {
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(737),
    [aux_sym__section_repeat4] = STATE(737),
    [sym_command_name] = ACTIONS(6700),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6700),
    [anon_sym_LBRACK] = ACTIONS(6702),
    [anon_sym_RBRACK] = ACTIONS(6702),
    [anon_sym_COMMA] = ACTIONS(6702),
    [anon_sym_EQ] = ACTIONS(6702),
    [anon_sym_LPAREN] = ACTIONS(6702),
    [anon_sym_RPAREN] = ACTIONS(6702),
    [anon_sym_BSLASHpart] = ACTIONS(6700),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddpart] = ACTIONS(6700),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHchapter] = ACTIONS(6700),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddchap] = ACTIONS(6700),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsection] = ACTIONS(6700),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddsec] = ACTIONS(6700),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6700),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHparagraph] = ACTIONS(6700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6700),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHitem] = ACTIONS(6700),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6702),
    [anon_sym_LBRACE] = ACTIONS(6702),
    [sym_word] = ACTIONS(6700),
    [sym_placeholder] = ACTIONS(6702),
    [sym_delimiter] = ACTIONS(6702),
    [anon_sym_PLUS] = ACTIONS(6702),
    [anon_sym_DASH] = ACTIONS(6702),
    [anon_sym_STAR] = ACTIONS(6702),
    [anon_sym_SLASH] = ACTIONS(6702),
    [anon_sym_LT] = ACTIONS(6700),
    [anon_sym_GT] = ACTIONS(6700),
    [anon_sym_BANG] = ACTIONS(6700),
    [anon_sym_PIPE] = ACTIONS(6700),
    [anon_sym_COLON] = ACTIONS(6700),
    [anon_sym_SQUOTE] = ACTIONS(6700),
    [anon_sym__] = ACTIONS(6702),
    [anon_sym_CARET] = ACTIONS(6702),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6702),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6702),
    [anon_sym_DOLLAR] = ACTIONS(6700),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6702),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6702),
    [anon_sym_BSLASHleft] = ACTIONS(6700),
    [anon_sym_BSLASHbigl] = ACTIONS(6700),
    [anon_sym_BSLASHBigl] = ACTIONS(6700),
    [anon_sym_BSLASHbiggl] = ACTIONS(6700),
    [anon_sym_BSLASHBiggl] = ACTIONS(6700),
    [anon_sym_BSLASHtext] = ACTIONS(6700),
    [anon_sym_BSLASHintertext] = ACTIONS(6700),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6700),
    [anon_sym_BSLASHbegin] = ACTIONS(6700),
    [anon_sym_BSLASHtitle] = ACTIONS(6700),
    [anon_sym_BSLASHauthor] = ACTIONS(6700),
    [anon_sym_BSLASHusepackage] = ACTIONS(6700),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6700),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6700),
    [anon_sym_BSLASHinclude] = ACTIONS(6700),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6700),
    [anon_sym_BSLASHinput] = ACTIONS(6700),
    [anon_sym_BSLASHsubfile] = ACTIONS(6700),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6700),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6700),
    [anon_sym_BSLASHbibliography] = ACTIONS(6700),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6700),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6700),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6700),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6700),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6700),
    [anon_sym_BSLASHimport] = ACTIONS(6700),
    [anon_sym_BSLASHsubimport] = ACTIONS(6700),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6700),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6700),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6700),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6700),
    [anon_sym_BSLASHcaption] = ACTIONS(6700),
    [anon_sym_BSLASHcite] = ACTIONS(6700),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCite] = ACTIONS(6700),
    [anon_sym_BSLASHnocite] = ACTIONS(6700),
    [anon_sym_BSLASHcitet] = ACTIONS(6700),
    [anon_sym_BSLASHcitep] = ACTIONS(6700),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteA] = ACTIONS(6700),
    [anon_sym_BSLASHciteR] = ACTIONS(6700),
    [anon_sym_BSLASHciteS] = ACTIONS(6700),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6700),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6700),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6700),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6700),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteyear] = ACTIONS(6700),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitedate] = ACTIONS(6700),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteurl] = ACTIONS(6700),
    [anon_sym_BSLASHfullcite] = ACTIONS(6700),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6700),
    [anon_sym_BSLASHcitealt] = ACTIONS(6700),
    [anon_sym_BSLASHcitealp] = ACTIONS(6700),
    [anon_sym_BSLASHcitetext] = ACTIONS(6700),
    [anon_sym_BSLASHparencite] = ACTIONS(6700),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHParencite] = ACTIONS(6700),
    [anon_sym_BSLASHfootcite] = ACTIONS(6700),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6700),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6700),
    [anon_sym_BSLASHtextcite] = ACTIONS(6700),
    [anon_sym_BSLASHTextcite] = ACTIONS(6700),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6700),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6700),
    [anon_sym_BSLASHsupercite] = ACTIONS(6700),
    [anon_sym_BSLASHautocite] = ACTIONS(6700),
    [anon_sym_BSLASHAutocite] = ACTIONS(6700),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHVolcite] = ACTIONS(6700),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHavolcite] = ACTIONS(6700),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHNotecite] = ACTIONS(6700),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHlabel] = ACTIONS(6700),
    [anon_sym_BSLASHref] = ACTIONS(6700),
    [anon_sym_BSLASHeqref] = ACTIONS(6700),
    [anon_sym_BSLASHvref] = ACTIONS(6700),
    [anon_sym_BSLASHVref] = ACTIONS(6700),
    [anon_sym_BSLASHautoref] = ACTIONS(6700),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHpageref] = ACTIONS(6700),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHautopageref] = ACTIONS(6700),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcref] = ACTIONS(6700),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCref] = ACTIONS(6700),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcpageref] = ACTIONS(6700),
    [anon_sym_BSLASHCpageref] = ACTIONS(6700),
    [anon_sym_BSLASHnamecref] = ACTIONS(6700),
    [anon_sym_BSLASHnameCref] = ACTIONS(6700),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6700),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6700),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6700),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6700),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6700),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6700),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6700),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6700),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6700),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6700),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6700),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHdef] = ACTIONS(6700),
    [anon_sym_BSLASHgdef] = ACTIONS(6700),
    [anon_sym_BSLASHedef] = ACTIONS(6700),
    [anon_sym_BSLASHxdef] = ACTIONS(6700),
    [anon_sym_BSLASHlet] = ACTIONS(6700),
    [anon_sym_BSLASHglet] = ACTIONS(6700),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6700),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6700),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6700),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6700),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6700),
    [anon_sym_BSLASHgls] = ACTIONS(6700),
    [anon_sym_BSLASHGls] = ACTIONS(6700),
    [anon_sym_BSLASHGLS] = ACTIONS(6700),
    [anon_sym_BSLASHglspl] = ACTIONS(6700),
    [anon_sym_BSLASHGlspl] = ACTIONS(6700),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6700),
    [anon_sym_BSLASHglslink] = ACTIONS(6700),
    [anon_sym_BSLASHglstext] = ACTIONS(6700),
    [anon_sym_BSLASHGlstext] = ACTIONS(6700),
    [anon_sym_BSLASHGLStext] = ACTIONS(6700),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6700),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6700),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6700),
    [anon_sym_BSLASHglsplural] = ACTIONS(6700),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6700),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6700),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHglsname] = ACTIONS(6700),
    [anon_sym_BSLASHGlsname] = ACTIONS(6700),
    [anon_sym_BSLASHGLSname] = ACTIONS(6700),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6700),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6700),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6700),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6700),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6700),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6700),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6700),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6700),
    [anon_sym_BSLASHacrshort] = ACTIONS(6700),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6700),
    [anon_sym_BSLASHACRshort] = ACTIONS(6700),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHacrlong] = ACTIONS(6700),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6700),
    [anon_sym_BSLASHACRlong] = ACTIONS(6700),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHacrfull] = ACTIONS(6700),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6700),
    [anon_sym_BSLASHACRfull] = ACTIONS(6700),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHacs] = ACTIONS(6700),
    [anon_sym_BSLASHAcs] = ACTIONS(6700),
    [anon_sym_BSLASHacsp] = ACTIONS(6700),
    [anon_sym_BSLASHAcsp] = ACTIONS(6700),
    [anon_sym_BSLASHacl] = ACTIONS(6700),
    [anon_sym_BSLASHAcl] = ACTIONS(6700),
    [anon_sym_BSLASHaclp] = ACTIONS(6700),
    [anon_sym_BSLASHAclp] = ACTIONS(6700),
    [anon_sym_BSLASHacf] = ACTIONS(6700),
    [anon_sym_BSLASHAcf] = ACTIONS(6700),
    [anon_sym_BSLASHacfp] = ACTIONS(6700),
    [anon_sym_BSLASHAcfp] = ACTIONS(6700),
    [anon_sym_BSLASHac] = ACTIONS(6700),
    [anon_sym_BSLASHAc] = ACTIONS(6700),
    [anon_sym_BSLASHacp] = ACTIONS(6700),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6700),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6700),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6700),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6700),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6700),
    [anon_sym_BSLASHcolor] = ACTIONS(6700),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6700),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6700),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6700),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6700),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6700),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6700),
    [anon_sym_BSLASHurl] = ACTIONS(6700),
    [anon_sym_BSLASHhref] = ACTIONS(6700),
  },
  [778] = {
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(738),
    [aux_sym__section_repeat5] = STATE(738),
    [sym_command_name] = ACTIONS(6700),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6700),
    [anon_sym_LBRACK] = ACTIONS(6702),
    [anon_sym_RBRACK] = ACTIONS(6702),
    [anon_sym_COMMA] = ACTIONS(6702),
    [anon_sym_EQ] = ACTIONS(6702),
    [anon_sym_LPAREN] = ACTIONS(6702),
    [anon_sym_RPAREN] = ACTIONS(6702),
    [anon_sym_BSLASHpart] = ACTIONS(6700),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddpart] = ACTIONS(6700),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHchapter] = ACTIONS(6700),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddchap] = ACTIONS(6700),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsection] = ACTIONS(6700),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddsec] = ACTIONS(6700),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsubsection] = ACTIONS(6700),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(6700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6700),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHitem] = ACTIONS(6700),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6702),
    [anon_sym_LBRACE] = ACTIONS(6702),
    [sym_word] = ACTIONS(6700),
    [sym_placeholder] = ACTIONS(6702),
    [sym_delimiter] = ACTIONS(6702),
    [anon_sym_PLUS] = ACTIONS(6702),
    [anon_sym_DASH] = ACTIONS(6702),
    [anon_sym_STAR] = ACTIONS(6702),
    [anon_sym_SLASH] = ACTIONS(6702),
    [anon_sym_LT] = ACTIONS(6700),
    [anon_sym_GT] = ACTIONS(6700),
    [anon_sym_BANG] = ACTIONS(6700),
    [anon_sym_PIPE] = ACTIONS(6700),
    [anon_sym_COLON] = ACTIONS(6700),
    [anon_sym_SQUOTE] = ACTIONS(6700),
    [anon_sym__] = ACTIONS(6702),
    [anon_sym_CARET] = ACTIONS(6702),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6702),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6702),
    [anon_sym_DOLLAR] = ACTIONS(6700),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6702),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6702),
    [anon_sym_BSLASHleft] = ACTIONS(6700),
    [anon_sym_BSLASHbigl] = ACTIONS(6700),
    [anon_sym_BSLASHBigl] = ACTIONS(6700),
    [anon_sym_BSLASHbiggl] = ACTIONS(6700),
    [anon_sym_BSLASHBiggl] = ACTIONS(6700),
    [anon_sym_BSLASHtext] = ACTIONS(6700),
    [anon_sym_BSLASHintertext] = ACTIONS(6700),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6700),
    [anon_sym_BSLASHbegin] = ACTIONS(6700),
    [anon_sym_BSLASHtitle] = ACTIONS(6700),
    [anon_sym_BSLASHauthor] = ACTIONS(6700),
    [anon_sym_BSLASHusepackage] = ACTIONS(6700),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6700),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6700),
    [anon_sym_BSLASHinclude] = ACTIONS(6700),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6700),
    [anon_sym_BSLASHinput] = ACTIONS(6700),
    [anon_sym_BSLASHsubfile] = ACTIONS(6700),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6700),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6700),
    [anon_sym_BSLASHbibliography] = ACTIONS(6700),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6700),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6700),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6700),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6700),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6700),
    [anon_sym_BSLASHimport] = ACTIONS(6700),
    [anon_sym_BSLASHsubimport] = ACTIONS(6700),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6700),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6700),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6700),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6700),
    [anon_sym_BSLASHcaption] = ACTIONS(6700),
    [anon_sym_BSLASHcite] = ACTIONS(6700),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCite] = ACTIONS(6700),
    [anon_sym_BSLASHnocite] = ACTIONS(6700),
    [anon_sym_BSLASHcitet] = ACTIONS(6700),
    [anon_sym_BSLASHcitep] = ACTIONS(6700),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteA] = ACTIONS(6700),
    [anon_sym_BSLASHciteR] = ACTIONS(6700),
    [anon_sym_BSLASHciteS] = ACTIONS(6700),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6700),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6700),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6700),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6700),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteyear] = ACTIONS(6700),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitedate] = ACTIONS(6700),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteurl] = ACTIONS(6700),
    [anon_sym_BSLASHfullcite] = ACTIONS(6700),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6700),
    [anon_sym_BSLASHcitealt] = ACTIONS(6700),
    [anon_sym_BSLASHcitealp] = ACTIONS(6700),
    [anon_sym_BSLASHcitetext] = ACTIONS(6700),
    [anon_sym_BSLASHparencite] = ACTIONS(6700),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHParencite] = ACTIONS(6700),
    [anon_sym_BSLASHfootcite] = ACTIONS(6700),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6700),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6700),
    [anon_sym_BSLASHtextcite] = ACTIONS(6700),
    [anon_sym_BSLASHTextcite] = ACTIONS(6700),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6700),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6700),
    [anon_sym_BSLASHsupercite] = ACTIONS(6700),
    [anon_sym_BSLASHautocite] = ACTIONS(6700),
    [anon_sym_BSLASHAutocite] = ACTIONS(6700),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHVolcite] = ACTIONS(6700),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHavolcite] = ACTIONS(6700),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHNotecite] = ACTIONS(6700),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHlabel] = ACTIONS(6700),
    [anon_sym_BSLASHref] = ACTIONS(6700),
    [anon_sym_BSLASHeqref] = ACTIONS(6700),
    [anon_sym_BSLASHvref] = ACTIONS(6700),
    [anon_sym_BSLASHVref] = ACTIONS(6700),
    [anon_sym_BSLASHautoref] = ACTIONS(6700),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHpageref] = ACTIONS(6700),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHautopageref] = ACTIONS(6700),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcref] = ACTIONS(6700),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCref] = ACTIONS(6700),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcpageref] = ACTIONS(6700),
    [anon_sym_BSLASHCpageref] = ACTIONS(6700),
    [anon_sym_BSLASHnamecref] = ACTIONS(6700),
    [anon_sym_BSLASHnameCref] = ACTIONS(6700),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6700),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6700),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6700),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6700),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6700),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6700),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6700),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6700),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6700),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6700),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6700),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHdef] = ACTIONS(6700),
    [anon_sym_BSLASHgdef] = ACTIONS(6700),
    [anon_sym_BSLASHedef] = ACTIONS(6700),
    [anon_sym_BSLASHxdef] = ACTIONS(6700),
    [anon_sym_BSLASHlet] = ACTIONS(6700),
    [anon_sym_BSLASHglet] = ACTIONS(6700),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6700),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6700),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6700),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6700),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6700),
    [anon_sym_BSLASHgls] = ACTIONS(6700),
    [anon_sym_BSLASHGls] = ACTIONS(6700),
    [anon_sym_BSLASHGLS] = ACTIONS(6700),
    [anon_sym_BSLASHglspl] = ACTIONS(6700),
    [anon_sym_BSLASHGlspl] = ACTIONS(6700),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6700),
    [anon_sym_BSLASHglslink] = ACTIONS(6700),
    [anon_sym_BSLASHglstext] = ACTIONS(6700),
    [anon_sym_BSLASHGlstext] = ACTIONS(6700),
    [anon_sym_BSLASHGLStext] = ACTIONS(6700),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6700),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6700),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6700),
    [anon_sym_BSLASHglsplural] = ACTIONS(6700),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6700),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6700),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHglsname] = ACTIONS(6700),
    [anon_sym_BSLASHGlsname] = ACTIONS(6700),
    [anon_sym_BSLASHGLSname] = ACTIONS(6700),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6700),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6700),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6700),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6700),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6700),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6700),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6700),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6700),
    [anon_sym_BSLASHacrshort] = ACTIONS(6700),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6700),
    [anon_sym_BSLASHACRshort] = ACTIONS(6700),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHacrlong] = ACTIONS(6700),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6700),
    [anon_sym_BSLASHACRlong] = ACTIONS(6700),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHacrfull] = ACTIONS(6700),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6700),
    [anon_sym_BSLASHACRfull] = ACTIONS(6700),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHacs] = ACTIONS(6700),
    [anon_sym_BSLASHAcs] = ACTIONS(6700),
    [anon_sym_BSLASHacsp] = ACTIONS(6700),
    [anon_sym_BSLASHAcsp] = ACTIONS(6700),
    [anon_sym_BSLASHacl] = ACTIONS(6700),
    [anon_sym_BSLASHAcl] = ACTIONS(6700),
    [anon_sym_BSLASHaclp] = ACTIONS(6700),
    [anon_sym_BSLASHAclp] = ACTIONS(6700),
    [anon_sym_BSLASHacf] = ACTIONS(6700),
    [anon_sym_BSLASHAcf] = ACTIONS(6700),
    [anon_sym_BSLASHacfp] = ACTIONS(6700),
    [anon_sym_BSLASHAcfp] = ACTIONS(6700),
    [anon_sym_BSLASHac] = ACTIONS(6700),
    [anon_sym_BSLASHAc] = ACTIONS(6700),
    [anon_sym_BSLASHacp] = ACTIONS(6700),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6700),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6700),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6700),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6700),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6700),
    [anon_sym_BSLASHcolor] = ACTIONS(6700),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6700),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6700),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6700),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6700),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6700),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6700),
    [anon_sym_BSLASHurl] = ACTIONS(6700),
    [anon_sym_BSLASHhref] = ACTIONS(6700),
  },
  [779] = {
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(738),
    [aux_sym__section_repeat5] = STATE(738),
    [sym_command_name] = ACTIONS(6706),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6706),
    [anon_sym_LBRACK] = ACTIONS(6708),
    [anon_sym_RBRACK] = ACTIONS(6708),
    [anon_sym_COMMA] = ACTIONS(6708),
    [anon_sym_EQ] = ACTIONS(6708),
    [anon_sym_LPAREN] = ACTIONS(6708),
    [anon_sym_RPAREN] = ACTIONS(6708),
    [anon_sym_BSLASHpart] = ACTIONS(6706),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHaddpart] = ACTIONS(6706),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHchapter] = ACTIONS(6706),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHaddchap] = ACTIONS(6706),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHsection] = ACTIONS(6706),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHaddsec] = ACTIONS(6706),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHsubsection] = ACTIONS(6706),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(6706),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6706),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHitem] = ACTIONS(6706),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6708),
    [anon_sym_LBRACE] = ACTIONS(6708),
    [sym_word] = ACTIONS(6706),
    [sym_placeholder] = ACTIONS(6708),
    [sym_delimiter] = ACTIONS(6708),
    [anon_sym_PLUS] = ACTIONS(6708),
    [anon_sym_DASH] = ACTIONS(6708),
    [anon_sym_STAR] = ACTIONS(6708),
    [anon_sym_SLASH] = ACTIONS(6708),
    [anon_sym_LT] = ACTIONS(6706),
    [anon_sym_GT] = ACTIONS(6706),
    [anon_sym_BANG] = ACTIONS(6706),
    [anon_sym_PIPE] = ACTIONS(6706),
    [anon_sym_COLON] = ACTIONS(6706),
    [anon_sym_SQUOTE] = ACTIONS(6706),
    [anon_sym__] = ACTIONS(6708),
    [anon_sym_CARET] = ACTIONS(6708),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6708),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6708),
    [anon_sym_DOLLAR] = ACTIONS(6706),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6708),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6708),
    [anon_sym_BSLASHleft] = ACTIONS(6706),
    [anon_sym_BSLASHbigl] = ACTIONS(6706),
    [anon_sym_BSLASHBigl] = ACTIONS(6706),
    [anon_sym_BSLASHbiggl] = ACTIONS(6706),
    [anon_sym_BSLASHBiggl] = ACTIONS(6706),
    [anon_sym_BSLASHtext] = ACTIONS(6706),
    [anon_sym_BSLASHintertext] = ACTIONS(6706),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6706),
    [anon_sym_BSLASHbegin] = ACTIONS(6706),
    [anon_sym_BSLASHtitle] = ACTIONS(6706),
    [anon_sym_BSLASHauthor] = ACTIONS(6706),
    [anon_sym_BSLASHusepackage] = ACTIONS(6706),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6706),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6706),
    [anon_sym_BSLASHinclude] = ACTIONS(6706),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6706),
    [anon_sym_BSLASHinput] = ACTIONS(6706),
    [anon_sym_BSLASHsubfile] = ACTIONS(6706),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6706),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6706),
    [anon_sym_BSLASHbibliography] = ACTIONS(6706),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6706),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6706),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6706),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6706),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6706),
    [anon_sym_BSLASHimport] = ACTIONS(6706),
    [anon_sym_BSLASHsubimport] = ACTIONS(6706),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6706),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6706),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6706),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6706),
    [anon_sym_BSLASHcaption] = ACTIONS(6706),
    [anon_sym_BSLASHcite] = ACTIONS(6706),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHCite] = ACTIONS(6706),
    [anon_sym_BSLASHnocite] = ACTIONS(6706),
    [anon_sym_BSLASHcitet] = ACTIONS(6706),
    [anon_sym_BSLASHcitep] = ACTIONS(6706),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHciteA] = ACTIONS(6706),
    [anon_sym_BSLASHciteR] = ACTIONS(6706),
    [anon_sym_BSLASHciteS] = ACTIONS(6706),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6706),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6706),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6706),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6706),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHciteyear] = ACTIONS(6706),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcitedate] = ACTIONS(6706),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHciteurl] = ACTIONS(6706),
    [anon_sym_BSLASHfullcite] = ACTIONS(6706),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6706),
    [anon_sym_BSLASHcitealt] = ACTIONS(6706),
    [anon_sym_BSLASHcitealp] = ACTIONS(6706),
    [anon_sym_BSLASHcitetext] = ACTIONS(6706),
    [anon_sym_BSLASHparencite] = ACTIONS(6706),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHParencite] = ACTIONS(6706),
    [anon_sym_BSLASHfootcite] = ACTIONS(6706),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6706),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6706),
    [anon_sym_BSLASHtextcite] = ACTIONS(6706),
    [anon_sym_BSLASHTextcite] = ACTIONS(6706),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6706),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6706),
    [anon_sym_BSLASHsupercite] = ACTIONS(6706),
    [anon_sym_BSLASHautocite] = ACTIONS(6706),
    [anon_sym_BSLASHAutocite] = ACTIONS(6706),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHVolcite] = ACTIONS(6706),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHavolcite] = ACTIONS(6706),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHnotecite] = ACTIONS(6706),
    [anon_sym_BSLASHNotecite] = ACTIONS(6706),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6706),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6706),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6706),
    [anon_sym_BSLASHlabel] = ACTIONS(6706),
    [anon_sym_BSLASHref] = ACTIONS(6706),
    [anon_sym_BSLASHeqref] = ACTIONS(6706),
    [anon_sym_BSLASHvref] = ACTIONS(6706),
    [anon_sym_BSLASHVref] = ACTIONS(6706),
    [anon_sym_BSLASHautoref] = ACTIONS(6706),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHpageref] = ACTIONS(6706),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHautopageref] = ACTIONS(6706),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcref] = ACTIONS(6706),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHCref] = ACTIONS(6706),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcpageref] = ACTIONS(6706),
    [anon_sym_BSLASHCpageref] = ACTIONS(6706),
    [anon_sym_BSLASHnamecref] = ACTIONS(6706),
    [anon_sym_BSLASHnameCref] = ACTIONS(6706),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6706),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6706),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6706),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6706),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6706),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6706),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6706),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6706),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6706),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6706),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6706),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6706),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6706),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6706),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6706),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6706),
    [anon_sym_BSLASHdef] = ACTIONS(6706),
    [anon_sym_BSLASHgdef] = ACTIONS(6706),
    [anon_sym_BSLASHedef] = ACTIONS(6706),
    [anon_sym_BSLASHxdef] = ACTIONS(6706),
    [anon_sym_BSLASHlet] = ACTIONS(6706),
    [anon_sym_BSLASHglet] = ACTIONS(6706),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6706),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6706),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6706),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6706),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6706),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6706),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6706),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6706),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6706),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6706),
    [anon_sym_BSLASHgls] = ACTIONS(6706),
    [anon_sym_BSLASHGls] = ACTIONS(6706),
    [anon_sym_BSLASHGLS] = ACTIONS(6706),
    [anon_sym_BSLASHglspl] = ACTIONS(6706),
    [anon_sym_BSLASHGlspl] = ACTIONS(6706),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6706),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6706),
    [anon_sym_BSLASHglslink] = ACTIONS(6706),
    [anon_sym_BSLASHglstext] = ACTIONS(6706),
    [anon_sym_BSLASHGlstext] = ACTIONS(6706),
    [anon_sym_BSLASHGLStext] = ACTIONS(6706),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6706),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6706),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6706),
    [anon_sym_BSLASHglsplural] = ACTIONS(6706),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6706),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6706),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6706),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6706),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6706),
    [anon_sym_BSLASHglsname] = ACTIONS(6706),
    [anon_sym_BSLASHGlsname] = ACTIONS(6706),
    [anon_sym_BSLASHGLSname] = ACTIONS(6706),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6706),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6706),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6706),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6706),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6706),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6706),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6706),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6706),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6706),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6706),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6706),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6706),
    [anon_sym_BSLASHacrshort] = ACTIONS(6706),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6706),
    [anon_sym_BSLASHACRshort] = ACTIONS(6706),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6706),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6706),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6706),
    [anon_sym_BSLASHacrlong] = ACTIONS(6706),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6706),
    [anon_sym_BSLASHACRlong] = ACTIONS(6706),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6706),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6706),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6706),
    [anon_sym_BSLASHacrfull] = ACTIONS(6706),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6706),
    [anon_sym_BSLASHACRfull] = ACTIONS(6706),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6706),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6706),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6706),
    [anon_sym_BSLASHacs] = ACTIONS(6706),
    [anon_sym_BSLASHAcs] = ACTIONS(6706),
    [anon_sym_BSLASHacsp] = ACTIONS(6706),
    [anon_sym_BSLASHAcsp] = ACTIONS(6706),
    [anon_sym_BSLASHacl] = ACTIONS(6706),
    [anon_sym_BSLASHAcl] = ACTIONS(6706),
    [anon_sym_BSLASHaclp] = ACTIONS(6706),
    [anon_sym_BSLASHAclp] = ACTIONS(6706),
    [anon_sym_BSLASHacf] = ACTIONS(6706),
    [anon_sym_BSLASHAcf] = ACTIONS(6706),
    [anon_sym_BSLASHacfp] = ACTIONS(6706),
    [anon_sym_BSLASHAcfp] = ACTIONS(6706),
    [anon_sym_BSLASHac] = ACTIONS(6706),
    [anon_sym_BSLASHAc] = ACTIONS(6706),
    [anon_sym_BSLASHacp] = ACTIONS(6706),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6706),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6706),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6706),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6706),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6706),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6706),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6706),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6706),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6706),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6706),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6706),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6706),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6706),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6706),
    [anon_sym_BSLASHcolor] = ACTIONS(6706),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6706),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6706),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6706),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6706),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6706),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6706),
    [anon_sym_BSLASHurl] = ACTIONS(6706),
    [anon_sym_BSLASHhref] = ACTIONS(6706),
  },
  [780] = {
    [sym__section_part] = STATE(1438),
    [sym_curly_group] = STATE(1439),
    [sym_brack_group] = STATE(3532),
    [sym_command_name] = ACTIONS(6724),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6724),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6726),
    [anon_sym_COMMA] = ACTIONS(6726),
    [anon_sym_EQ] = ACTIONS(6726),
    [anon_sym_LPAREN] = ACTIONS(6726),
    [anon_sym_RPAREN] = ACTIONS(6726),
    [anon_sym_BSLASHpart] = ACTIONS(6724),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHaddpart] = ACTIONS(6724),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHchapter] = ACTIONS(6724),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHaddchap] = ACTIONS(6724),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHsection] = ACTIONS(6724),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHaddsec] = ACTIONS(6724),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHsubsection] = ACTIONS(6724),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6724),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHparagraph] = ACTIONS(6724),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6724),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHitem] = ACTIONS(6724),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6726),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(6724),
    [sym_placeholder] = ACTIONS(6726),
    [sym_delimiter] = ACTIONS(6726),
    [anon_sym_PLUS] = ACTIONS(6726),
    [anon_sym_DASH] = ACTIONS(6726),
    [anon_sym_STAR] = ACTIONS(6726),
    [anon_sym_SLASH] = ACTIONS(6726),
    [anon_sym_LT] = ACTIONS(6724),
    [anon_sym_GT] = ACTIONS(6724),
    [anon_sym_BANG] = ACTIONS(6724),
    [anon_sym_PIPE] = ACTIONS(6724),
    [anon_sym_COLON] = ACTIONS(6724),
    [anon_sym_SQUOTE] = ACTIONS(6724),
    [anon_sym__] = ACTIONS(6726),
    [anon_sym_CARET] = ACTIONS(6726),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6726),
    [anon_sym_DOLLAR] = ACTIONS(6724),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6726),
    [anon_sym_BSLASHleft] = ACTIONS(6724),
    [anon_sym_BSLASHbigl] = ACTIONS(6724),
    [anon_sym_BSLASHBigl] = ACTIONS(6724),
    [anon_sym_BSLASHbiggl] = ACTIONS(6724),
    [anon_sym_BSLASHBiggl] = ACTIONS(6724),
    [anon_sym_BSLASHtext] = ACTIONS(6724),
    [anon_sym_BSLASHintertext] = ACTIONS(6724),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6724),
    [anon_sym_BSLASHbegin] = ACTIONS(6724),
    [anon_sym_BSLASHend] = ACTIONS(6724),
    [anon_sym_BSLASHtitle] = ACTIONS(6724),
    [anon_sym_BSLASHauthor] = ACTIONS(6724),
    [anon_sym_BSLASHusepackage] = ACTIONS(6724),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6724),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6724),
    [anon_sym_BSLASHinclude] = ACTIONS(6724),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6724),
    [anon_sym_BSLASHinput] = ACTIONS(6724),
    [anon_sym_BSLASHsubfile] = ACTIONS(6724),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6724),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6724),
    [anon_sym_BSLASHbibliography] = ACTIONS(6724),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6724),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6724),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6724),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6724),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6724),
    [anon_sym_BSLASHimport] = ACTIONS(6724),
    [anon_sym_BSLASHsubimport] = ACTIONS(6724),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6724),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6724),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6724),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6724),
    [anon_sym_BSLASHcaption] = ACTIONS(6724),
    [anon_sym_BSLASHcite] = ACTIONS(6724),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHCite] = ACTIONS(6724),
    [anon_sym_BSLASHnocite] = ACTIONS(6724),
    [anon_sym_BSLASHcitet] = ACTIONS(6724),
    [anon_sym_BSLASHcitep] = ACTIONS(6724),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHciteA] = ACTIONS(6724),
    [anon_sym_BSLASHciteR] = ACTIONS(6724),
    [anon_sym_BSLASHciteS] = ACTIONS(6724),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6724),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6724),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6724),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6724),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHciteyear] = ACTIONS(6724),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcitedate] = ACTIONS(6724),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHciteurl] = ACTIONS(6724),
    [anon_sym_BSLASHfullcite] = ACTIONS(6724),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6724),
    [anon_sym_BSLASHcitealt] = ACTIONS(6724),
    [anon_sym_BSLASHcitealp] = ACTIONS(6724),
    [anon_sym_BSLASHcitetext] = ACTIONS(6724),
    [anon_sym_BSLASHparencite] = ACTIONS(6724),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHParencite] = ACTIONS(6724),
    [anon_sym_BSLASHfootcite] = ACTIONS(6724),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6724),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6724),
    [anon_sym_BSLASHtextcite] = ACTIONS(6724),
    [anon_sym_BSLASHTextcite] = ACTIONS(6724),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6724),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6724),
    [anon_sym_BSLASHsupercite] = ACTIONS(6724),
    [anon_sym_BSLASHautocite] = ACTIONS(6724),
    [anon_sym_BSLASHAutocite] = ACTIONS(6724),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHVolcite] = ACTIONS(6724),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHavolcite] = ACTIONS(6724),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHnotecite] = ACTIONS(6724),
    [anon_sym_BSLASHNotecite] = ACTIONS(6724),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6724),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6724),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6724),
    [anon_sym_BSLASHlabel] = ACTIONS(6724),
    [anon_sym_BSLASHref] = ACTIONS(6724),
    [anon_sym_BSLASHeqref] = ACTIONS(6724),
    [anon_sym_BSLASHvref] = ACTIONS(6724),
    [anon_sym_BSLASHVref] = ACTIONS(6724),
    [anon_sym_BSLASHautoref] = ACTIONS(6724),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHpageref] = ACTIONS(6724),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHautopageref] = ACTIONS(6724),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcref] = ACTIONS(6724),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHCref] = ACTIONS(6724),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcpageref] = ACTIONS(6724),
    [anon_sym_BSLASHCpageref] = ACTIONS(6724),
    [anon_sym_BSLASHnamecref] = ACTIONS(6724),
    [anon_sym_BSLASHnameCref] = ACTIONS(6724),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6724),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6724),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6724),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6724),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6724),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6724),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6724),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6724),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6724),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6724),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6724),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6724),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6724),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6724),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6724),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6724),
    [anon_sym_BSLASHdef] = ACTIONS(6724),
    [anon_sym_BSLASHgdef] = ACTIONS(6724),
    [anon_sym_BSLASHedef] = ACTIONS(6724),
    [anon_sym_BSLASHxdef] = ACTIONS(6724),
    [anon_sym_BSLASHlet] = ACTIONS(6724),
    [anon_sym_BSLASHglet] = ACTIONS(6724),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6724),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6724),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6724),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6724),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6724),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6724),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6724),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6724),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6724),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6724),
    [anon_sym_BSLASHgls] = ACTIONS(6724),
    [anon_sym_BSLASHGls] = ACTIONS(6724),
    [anon_sym_BSLASHGLS] = ACTIONS(6724),
    [anon_sym_BSLASHglspl] = ACTIONS(6724),
    [anon_sym_BSLASHGlspl] = ACTIONS(6724),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6724),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6724),
    [anon_sym_BSLASHglslink] = ACTIONS(6724),
    [anon_sym_BSLASHglstext] = ACTIONS(6724),
    [anon_sym_BSLASHGlstext] = ACTIONS(6724),
    [anon_sym_BSLASHGLStext] = ACTIONS(6724),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6724),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6724),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6724),
    [anon_sym_BSLASHglsplural] = ACTIONS(6724),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6724),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6724),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6724),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6724),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6724),
    [anon_sym_BSLASHglsname] = ACTIONS(6724),
    [anon_sym_BSLASHGlsname] = ACTIONS(6724),
    [anon_sym_BSLASHGLSname] = ACTIONS(6724),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6724),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6724),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6724),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6724),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6724),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6724),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6724),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6724),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6724),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6724),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6724),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6724),
    [anon_sym_BSLASHacrshort] = ACTIONS(6724),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6724),
    [anon_sym_BSLASHACRshort] = ACTIONS(6724),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6724),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6724),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6724),
    [anon_sym_BSLASHacrlong] = ACTIONS(6724),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6724),
    [anon_sym_BSLASHACRlong] = ACTIONS(6724),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6724),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6724),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6724),
    [anon_sym_BSLASHacrfull] = ACTIONS(6724),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6724),
    [anon_sym_BSLASHACRfull] = ACTIONS(6724),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6724),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6724),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6724),
    [anon_sym_BSLASHacs] = ACTIONS(6724),
    [anon_sym_BSLASHAcs] = ACTIONS(6724),
    [anon_sym_BSLASHacsp] = ACTIONS(6724),
    [anon_sym_BSLASHAcsp] = ACTIONS(6724),
    [anon_sym_BSLASHacl] = ACTIONS(6724),
    [anon_sym_BSLASHAcl] = ACTIONS(6724),
    [anon_sym_BSLASHaclp] = ACTIONS(6724),
    [anon_sym_BSLASHAclp] = ACTIONS(6724),
    [anon_sym_BSLASHacf] = ACTIONS(6724),
    [anon_sym_BSLASHAcf] = ACTIONS(6724),
    [anon_sym_BSLASHacfp] = ACTIONS(6724),
    [anon_sym_BSLASHAcfp] = ACTIONS(6724),
    [anon_sym_BSLASHac] = ACTIONS(6724),
    [anon_sym_BSLASHAc] = ACTIONS(6724),
    [anon_sym_BSLASHacp] = ACTIONS(6724),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6724),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6724),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6724),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6724),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6724),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6724),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6724),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6724),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6724),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6724),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6724),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6724),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6724),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6724),
    [anon_sym_BSLASHcolor] = ACTIONS(6724),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6724),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6724),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6724),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6724),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6724),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6724),
    [anon_sym_BSLASHurl] = ACTIONS(6724),
    [anon_sym_BSLASHhref] = ACTIONS(6724),
  },
  [781] = {
    [sym__section_part] = STATE(1440),
    [sym_curly_group] = STATE(1439),
    [sym_brack_group] = STATE(3532),
    [sym_command_name] = ACTIONS(6728),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6728),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6730),
    [anon_sym_COMMA] = ACTIONS(6730),
    [anon_sym_EQ] = ACTIONS(6730),
    [anon_sym_LPAREN] = ACTIONS(6730),
    [anon_sym_RPAREN] = ACTIONS(6730),
    [anon_sym_BSLASHpart] = ACTIONS(6728),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHaddpart] = ACTIONS(6728),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHchapter] = ACTIONS(6728),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHaddchap] = ACTIONS(6728),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHsection] = ACTIONS(6728),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHaddsec] = ACTIONS(6728),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHsubsection] = ACTIONS(6728),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6728),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHparagraph] = ACTIONS(6728),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6728),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHitem] = ACTIONS(6728),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6730),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(6728),
    [sym_placeholder] = ACTIONS(6730),
    [sym_delimiter] = ACTIONS(6730),
    [anon_sym_PLUS] = ACTIONS(6730),
    [anon_sym_DASH] = ACTIONS(6730),
    [anon_sym_STAR] = ACTIONS(6730),
    [anon_sym_SLASH] = ACTIONS(6730),
    [anon_sym_LT] = ACTIONS(6728),
    [anon_sym_GT] = ACTIONS(6728),
    [anon_sym_BANG] = ACTIONS(6728),
    [anon_sym_PIPE] = ACTIONS(6728),
    [anon_sym_COLON] = ACTIONS(6728),
    [anon_sym_SQUOTE] = ACTIONS(6728),
    [anon_sym__] = ACTIONS(6730),
    [anon_sym_CARET] = ACTIONS(6730),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6730),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6730),
    [anon_sym_DOLLAR] = ACTIONS(6728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6730),
    [anon_sym_BSLASHleft] = ACTIONS(6728),
    [anon_sym_BSLASHbigl] = ACTIONS(6728),
    [anon_sym_BSLASHBigl] = ACTIONS(6728),
    [anon_sym_BSLASHbiggl] = ACTIONS(6728),
    [anon_sym_BSLASHBiggl] = ACTIONS(6728),
    [anon_sym_BSLASHtext] = ACTIONS(6728),
    [anon_sym_BSLASHintertext] = ACTIONS(6728),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6728),
    [anon_sym_BSLASHbegin] = ACTIONS(6728),
    [anon_sym_BSLASHend] = ACTIONS(6728),
    [anon_sym_BSLASHtitle] = ACTIONS(6728),
    [anon_sym_BSLASHauthor] = ACTIONS(6728),
    [anon_sym_BSLASHusepackage] = ACTIONS(6728),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6728),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6728),
    [anon_sym_BSLASHinclude] = ACTIONS(6728),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6728),
    [anon_sym_BSLASHinput] = ACTIONS(6728),
    [anon_sym_BSLASHsubfile] = ACTIONS(6728),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6728),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6728),
    [anon_sym_BSLASHbibliography] = ACTIONS(6728),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6728),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6728),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6728),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6728),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6728),
    [anon_sym_BSLASHimport] = ACTIONS(6728),
    [anon_sym_BSLASHsubimport] = ACTIONS(6728),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6728),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6728),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6728),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6728),
    [anon_sym_BSLASHcaption] = ACTIONS(6728),
    [anon_sym_BSLASHcite] = ACTIONS(6728),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHCite] = ACTIONS(6728),
    [anon_sym_BSLASHnocite] = ACTIONS(6728),
    [anon_sym_BSLASHcitet] = ACTIONS(6728),
    [anon_sym_BSLASHcitep] = ACTIONS(6728),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHciteA] = ACTIONS(6728),
    [anon_sym_BSLASHciteR] = ACTIONS(6728),
    [anon_sym_BSLASHciteS] = ACTIONS(6728),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6728),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6728),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6728),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6728),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHciteyear] = ACTIONS(6728),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcitedate] = ACTIONS(6728),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHciteurl] = ACTIONS(6728),
    [anon_sym_BSLASHfullcite] = ACTIONS(6728),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6728),
    [anon_sym_BSLASHcitealt] = ACTIONS(6728),
    [anon_sym_BSLASHcitealp] = ACTIONS(6728),
    [anon_sym_BSLASHcitetext] = ACTIONS(6728),
    [anon_sym_BSLASHparencite] = ACTIONS(6728),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHParencite] = ACTIONS(6728),
    [anon_sym_BSLASHfootcite] = ACTIONS(6728),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6728),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6728),
    [anon_sym_BSLASHtextcite] = ACTIONS(6728),
    [anon_sym_BSLASHTextcite] = ACTIONS(6728),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6728),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6728),
    [anon_sym_BSLASHsupercite] = ACTIONS(6728),
    [anon_sym_BSLASHautocite] = ACTIONS(6728),
    [anon_sym_BSLASHAutocite] = ACTIONS(6728),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHVolcite] = ACTIONS(6728),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHavolcite] = ACTIONS(6728),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHnotecite] = ACTIONS(6728),
    [anon_sym_BSLASHNotecite] = ACTIONS(6728),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6728),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6728),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6728),
    [anon_sym_BSLASHlabel] = ACTIONS(6728),
    [anon_sym_BSLASHref] = ACTIONS(6728),
    [anon_sym_BSLASHeqref] = ACTIONS(6728),
    [anon_sym_BSLASHvref] = ACTIONS(6728),
    [anon_sym_BSLASHVref] = ACTIONS(6728),
    [anon_sym_BSLASHautoref] = ACTIONS(6728),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHpageref] = ACTIONS(6728),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHautopageref] = ACTIONS(6728),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcref] = ACTIONS(6728),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHCref] = ACTIONS(6728),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcpageref] = ACTIONS(6728),
    [anon_sym_BSLASHCpageref] = ACTIONS(6728),
    [anon_sym_BSLASHnamecref] = ACTIONS(6728),
    [anon_sym_BSLASHnameCref] = ACTIONS(6728),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6728),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6728),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6728),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6728),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6728),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6728),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6728),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6728),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6728),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6728),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6728),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6728),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6728),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6728),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6728),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6728),
    [anon_sym_BSLASHdef] = ACTIONS(6728),
    [anon_sym_BSLASHgdef] = ACTIONS(6728),
    [anon_sym_BSLASHedef] = ACTIONS(6728),
    [anon_sym_BSLASHxdef] = ACTIONS(6728),
    [anon_sym_BSLASHlet] = ACTIONS(6728),
    [anon_sym_BSLASHglet] = ACTIONS(6728),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6728),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6728),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6728),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6728),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6728),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6728),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6728),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6728),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6728),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6728),
    [anon_sym_BSLASHgls] = ACTIONS(6728),
    [anon_sym_BSLASHGls] = ACTIONS(6728),
    [anon_sym_BSLASHGLS] = ACTIONS(6728),
    [anon_sym_BSLASHglspl] = ACTIONS(6728),
    [anon_sym_BSLASHGlspl] = ACTIONS(6728),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6728),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6728),
    [anon_sym_BSLASHglslink] = ACTIONS(6728),
    [anon_sym_BSLASHglstext] = ACTIONS(6728),
    [anon_sym_BSLASHGlstext] = ACTIONS(6728),
    [anon_sym_BSLASHGLStext] = ACTIONS(6728),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6728),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6728),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6728),
    [anon_sym_BSLASHglsplural] = ACTIONS(6728),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6728),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6728),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6728),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6728),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6728),
    [anon_sym_BSLASHglsname] = ACTIONS(6728),
    [anon_sym_BSLASHGlsname] = ACTIONS(6728),
    [anon_sym_BSLASHGLSname] = ACTIONS(6728),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6728),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6728),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6728),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6728),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6728),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6728),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6728),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6728),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6728),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6728),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6728),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6728),
    [anon_sym_BSLASHacrshort] = ACTIONS(6728),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6728),
    [anon_sym_BSLASHACRshort] = ACTIONS(6728),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6728),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6728),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6728),
    [anon_sym_BSLASHacrlong] = ACTIONS(6728),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6728),
    [anon_sym_BSLASHACRlong] = ACTIONS(6728),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6728),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6728),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6728),
    [anon_sym_BSLASHacrfull] = ACTIONS(6728),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6728),
    [anon_sym_BSLASHACRfull] = ACTIONS(6728),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6728),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6728),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6728),
    [anon_sym_BSLASHacs] = ACTIONS(6728),
    [anon_sym_BSLASHAcs] = ACTIONS(6728),
    [anon_sym_BSLASHacsp] = ACTIONS(6728),
    [anon_sym_BSLASHAcsp] = ACTIONS(6728),
    [anon_sym_BSLASHacl] = ACTIONS(6728),
    [anon_sym_BSLASHAcl] = ACTIONS(6728),
    [anon_sym_BSLASHaclp] = ACTIONS(6728),
    [anon_sym_BSLASHAclp] = ACTIONS(6728),
    [anon_sym_BSLASHacf] = ACTIONS(6728),
    [anon_sym_BSLASHAcf] = ACTIONS(6728),
    [anon_sym_BSLASHacfp] = ACTIONS(6728),
    [anon_sym_BSLASHAcfp] = ACTIONS(6728),
    [anon_sym_BSLASHac] = ACTIONS(6728),
    [anon_sym_BSLASHAc] = ACTIONS(6728),
    [anon_sym_BSLASHacp] = ACTIONS(6728),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6728),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6728),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6728),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6728),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6728),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6728),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6728),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6728),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6728),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6728),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6728),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6728),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6728),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6728),
    [anon_sym_BSLASHcolor] = ACTIONS(6728),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6728),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6728),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6728),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6728),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6728),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6728),
    [anon_sym_BSLASHurl] = ACTIONS(6728),
    [anon_sym_BSLASHhref] = ACTIONS(6728),
  },
  [782] = {
    [sym__section_part] = STATE(1441),
    [sym_curly_group] = STATE(1439),
    [sym_brack_group] = STATE(3532),
    [sym_command_name] = ACTIONS(6734),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6734),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6736),
    [anon_sym_COMMA] = ACTIONS(6736),
    [anon_sym_EQ] = ACTIONS(6736),
    [anon_sym_LPAREN] = ACTIONS(6736),
    [anon_sym_RPAREN] = ACTIONS(6736),
    [anon_sym_BSLASHpart] = ACTIONS(6734),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHaddpart] = ACTIONS(6734),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHchapter] = ACTIONS(6734),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHaddchap] = ACTIONS(6734),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHsection] = ACTIONS(6734),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHaddsec] = ACTIONS(6734),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHsubsection] = ACTIONS(6734),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6734),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHparagraph] = ACTIONS(6734),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6734),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHitem] = ACTIONS(6734),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6736),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(6734),
    [sym_placeholder] = ACTIONS(6736),
    [sym_delimiter] = ACTIONS(6736),
    [anon_sym_PLUS] = ACTIONS(6736),
    [anon_sym_DASH] = ACTIONS(6736),
    [anon_sym_STAR] = ACTIONS(6736),
    [anon_sym_SLASH] = ACTIONS(6736),
    [anon_sym_LT] = ACTIONS(6734),
    [anon_sym_GT] = ACTIONS(6734),
    [anon_sym_BANG] = ACTIONS(6734),
    [anon_sym_PIPE] = ACTIONS(6734),
    [anon_sym_COLON] = ACTIONS(6734),
    [anon_sym_SQUOTE] = ACTIONS(6734),
    [anon_sym__] = ACTIONS(6736),
    [anon_sym_CARET] = ACTIONS(6736),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6736),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6736),
    [anon_sym_DOLLAR] = ACTIONS(6734),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6736),
    [anon_sym_BSLASHleft] = ACTIONS(6734),
    [anon_sym_BSLASHbigl] = ACTIONS(6734),
    [anon_sym_BSLASHBigl] = ACTIONS(6734),
    [anon_sym_BSLASHbiggl] = ACTIONS(6734),
    [anon_sym_BSLASHBiggl] = ACTIONS(6734),
    [anon_sym_BSLASHtext] = ACTIONS(6734),
    [anon_sym_BSLASHintertext] = ACTIONS(6734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6734),
    [anon_sym_BSLASHbegin] = ACTIONS(6734),
    [anon_sym_BSLASHend] = ACTIONS(6734),
    [anon_sym_BSLASHtitle] = ACTIONS(6734),
    [anon_sym_BSLASHauthor] = ACTIONS(6734),
    [anon_sym_BSLASHusepackage] = ACTIONS(6734),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6734),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6734),
    [anon_sym_BSLASHinclude] = ACTIONS(6734),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6734),
    [anon_sym_BSLASHinput] = ACTIONS(6734),
    [anon_sym_BSLASHsubfile] = ACTIONS(6734),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6734),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6734),
    [anon_sym_BSLASHbibliography] = ACTIONS(6734),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6734),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6734),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6734),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6734),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6734),
    [anon_sym_BSLASHimport] = ACTIONS(6734),
    [anon_sym_BSLASHsubimport] = ACTIONS(6734),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6734),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6734),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6734),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6734),
    [anon_sym_BSLASHcaption] = ACTIONS(6734),
    [anon_sym_BSLASHcite] = ACTIONS(6734),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHCite] = ACTIONS(6734),
    [anon_sym_BSLASHnocite] = ACTIONS(6734),
    [anon_sym_BSLASHcitet] = ACTIONS(6734),
    [anon_sym_BSLASHcitep] = ACTIONS(6734),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHciteA] = ACTIONS(6734),
    [anon_sym_BSLASHciteR] = ACTIONS(6734),
    [anon_sym_BSLASHciteS] = ACTIONS(6734),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6734),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6734),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6734),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6734),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHciteyear] = ACTIONS(6734),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcitedate] = ACTIONS(6734),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHciteurl] = ACTIONS(6734),
    [anon_sym_BSLASHfullcite] = ACTIONS(6734),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6734),
    [anon_sym_BSLASHcitealt] = ACTIONS(6734),
    [anon_sym_BSLASHcitealp] = ACTIONS(6734),
    [anon_sym_BSLASHcitetext] = ACTIONS(6734),
    [anon_sym_BSLASHparencite] = ACTIONS(6734),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHParencite] = ACTIONS(6734),
    [anon_sym_BSLASHfootcite] = ACTIONS(6734),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6734),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6734),
    [anon_sym_BSLASHtextcite] = ACTIONS(6734),
    [anon_sym_BSLASHTextcite] = ACTIONS(6734),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6734),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6734),
    [anon_sym_BSLASHsupercite] = ACTIONS(6734),
    [anon_sym_BSLASHautocite] = ACTIONS(6734),
    [anon_sym_BSLASHAutocite] = ACTIONS(6734),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHVolcite] = ACTIONS(6734),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHavolcite] = ACTIONS(6734),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHnotecite] = ACTIONS(6734),
    [anon_sym_BSLASHNotecite] = ACTIONS(6734),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6734),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6734),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6734),
    [anon_sym_BSLASHlabel] = ACTIONS(6734),
    [anon_sym_BSLASHref] = ACTIONS(6734),
    [anon_sym_BSLASHeqref] = ACTIONS(6734),
    [anon_sym_BSLASHvref] = ACTIONS(6734),
    [anon_sym_BSLASHVref] = ACTIONS(6734),
    [anon_sym_BSLASHautoref] = ACTIONS(6734),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHpageref] = ACTIONS(6734),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHautopageref] = ACTIONS(6734),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcref] = ACTIONS(6734),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHCref] = ACTIONS(6734),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcpageref] = ACTIONS(6734),
    [anon_sym_BSLASHCpageref] = ACTIONS(6734),
    [anon_sym_BSLASHnamecref] = ACTIONS(6734),
    [anon_sym_BSLASHnameCref] = ACTIONS(6734),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6734),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6734),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6734),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6734),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6734),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6734),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6734),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6734),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6734),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6734),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6734),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6734),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6734),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6734),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6734),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6734),
    [anon_sym_BSLASHdef] = ACTIONS(6734),
    [anon_sym_BSLASHgdef] = ACTIONS(6734),
    [anon_sym_BSLASHedef] = ACTIONS(6734),
    [anon_sym_BSLASHxdef] = ACTIONS(6734),
    [anon_sym_BSLASHlet] = ACTIONS(6734),
    [anon_sym_BSLASHglet] = ACTIONS(6734),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6734),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6734),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6734),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6734),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6734),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6734),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6734),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6734),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6734),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6734),
    [anon_sym_BSLASHgls] = ACTIONS(6734),
    [anon_sym_BSLASHGls] = ACTIONS(6734),
    [anon_sym_BSLASHGLS] = ACTIONS(6734),
    [anon_sym_BSLASHglspl] = ACTIONS(6734),
    [anon_sym_BSLASHGlspl] = ACTIONS(6734),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6734),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6734),
    [anon_sym_BSLASHglslink] = ACTIONS(6734),
    [anon_sym_BSLASHglstext] = ACTIONS(6734),
    [anon_sym_BSLASHGlstext] = ACTIONS(6734),
    [anon_sym_BSLASHGLStext] = ACTIONS(6734),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6734),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6734),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6734),
    [anon_sym_BSLASHglsplural] = ACTIONS(6734),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6734),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6734),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6734),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6734),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6734),
    [anon_sym_BSLASHglsname] = ACTIONS(6734),
    [anon_sym_BSLASHGlsname] = ACTIONS(6734),
    [anon_sym_BSLASHGLSname] = ACTIONS(6734),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6734),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6734),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6734),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6734),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6734),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6734),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6734),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6734),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6734),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6734),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6734),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6734),
    [anon_sym_BSLASHacrshort] = ACTIONS(6734),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6734),
    [anon_sym_BSLASHACRshort] = ACTIONS(6734),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6734),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6734),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6734),
    [anon_sym_BSLASHacrlong] = ACTIONS(6734),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6734),
    [anon_sym_BSLASHACRlong] = ACTIONS(6734),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6734),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6734),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6734),
    [anon_sym_BSLASHacrfull] = ACTIONS(6734),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6734),
    [anon_sym_BSLASHACRfull] = ACTIONS(6734),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6734),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6734),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6734),
    [anon_sym_BSLASHacs] = ACTIONS(6734),
    [anon_sym_BSLASHAcs] = ACTIONS(6734),
    [anon_sym_BSLASHacsp] = ACTIONS(6734),
    [anon_sym_BSLASHAcsp] = ACTIONS(6734),
    [anon_sym_BSLASHacl] = ACTIONS(6734),
    [anon_sym_BSLASHAcl] = ACTIONS(6734),
    [anon_sym_BSLASHaclp] = ACTIONS(6734),
    [anon_sym_BSLASHAclp] = ACTIONS(6734),
    [anon_sym_BSLASHacf] = ACTIONS(6734),
    [anon_sym_BSLASHAcf] = ACTIONS(6734),
    [anon_sym_BSLASHacfp] = ACTIONS(6734),
    [anon_sym_BSLASHAcfp] = ACTIONS(6734),
    [anon_sym_BSLASHac] = ACTIONS(6734),
    [anon_sym_BSLASHAc] = ACTIONS(6734),
    [anon_sym_BSLASHacp] = ACTIONS(6734),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6734),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6734),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6734),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6734),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6734),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6734),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6734),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6734),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6734),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6734),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6734),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6734),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6734),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6734),
    [anon_sym_BSLASHcolor] = ACTIONS(6734),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6734),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6734),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6734),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6734),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6734),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6734),
    [anon_sym_BSLASHurl] = ACTIONS(6734),
    [anon_sym_BSLASHhref] = ACTIONS(6734),
  },
  [783] = {
    [sym__section_part] = STATE(1442),
    [sym_curly_group] = STATE(1439),
    [sym_brack_group] = STATE(3532),
    [sym_command_name] = ACTIONS(6738),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6738),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6740),
    [anon_sym_COMMA] = ACTIONS(6740),
    [anon_sym_EQ] = ACTIONS(6740),
    [anon_sym_LPAREN] = ACTIONS(6740),
    [anon_sym_RPAREN] = ACTIONS(6740),
    [anon_sym_BSLASHpart] = ACTIONS(6738),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHaddpart] = ACTIONS(6738),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHchapter] = ACTIONS(6738),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHaddchap] = ACTIONS(6738),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHsection] = ACTIONS(6738),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHaddsec] = ACTIONS(6738),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHsubsection] = ACTIONS(6738),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6738),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHparagraph] = ACTIONS(6738),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6738),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHitem] = ACTIONS(6738),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6740),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(6738),
    [sym_placeholder] = ACTIONS(6740),
    [sym_delimiter] = ACTIONS(6740),
    [anon_sym_PLUS] = ACTIONS(6740),
    [anon_sym_DASH] = ACTIONS(6740),
    [anon_sym_STAR] = ACTIONS(6740),
    [anon_sym_SLASH] = ACTIONS(6740),
    [anon_sym_LT] = ACTIONS(6738),
    [anon_sym_GT] = ACTIONS(6738),
    [anon_sym_BANG] = ACTIONS(6738),
    [anon_sym_PIPE] = ACTIONS(6738),
    [anon_sym_COLON] = ACTIONS(6738),
    [anon_sym_SQUOTE] = ACTIONS(6738),
    [anon_sym__] = ACTIONS(6740),
    [anon_sym_CARET] = ACTIONS(6740),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6740),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6740),
    [anon_sym_DOLLAR] = ACTIONS(6738),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6740),
    [anon_sym_BSLASHleft] = ACTIONS(6738),
    [anon_sym_BSLASHbigl] = ACTIONS(6738),
    [anon_sym_BSLASHBigl] = ACTIONS(6738),
    [anon_sym_BSLASHbiggl] = ACTIONS(6738),
    [anon_sym_BSLASHBiggl] = ACTIONS(6738),
    [anon_sym_BSLASHtext] = ACTIONS(6738),
    [anon_sym_BSLASHintertext] = ACTIONS(6738),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6738),
    [anon_sym_BSLASHbegin] = ACTIONS(6738),
    [anon_sym_BSLASHend] = ACTIONS(6738),
    [anon_sym_BSLASHtitle] = ACTIONS(6738),
    [anon_sym_BSLASHauthor] = ACTIONS(6738),
    [anon_sym_BSLASHusepackage] = ACTIONS(6738),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6738),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6738),
    [anon_sym_BSLASHinclude] = ACTIONS(6738),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6738),
    [anon_sym_BSLASHinput] = ACTIONS(6738),
    [anon_sym_BSLASHsubfile] = ACTIONS(6738),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6738),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6738),
    [anon_sym_BSLASHbibliography] = ACTIONS(6738),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6738),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6738),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6738),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6738),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6738),
    [anon_sym_BSLASHimport] = ACTIONS(6738),
    [anon_sym_BSLASHsubimport] = ACTIONS(6738),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6738),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6738),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6738),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6738),
    [anon_sym_BSLASHcaption] = ACTIONS(6738),
    [anon_sym_BSLASHcite] = ACTIONS(6738),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHCite] = ACTIONS(6738),
    [anon_sym_BSLASHnocite] = ACTIONS(6738),
    [anon_sym_BSLASHcitet] = ACTIONS(6738),
    [anon_sym_BSLASHcitep] = ACTIONS(6738),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHciteA] = ACTIONS(6738),
    [anon_sym_BSLASHciteR] = ACTIONS(6738),
    [anon_sym_BSLASHciteS] = ACTIONS(6738),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6738),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6738),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6738),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6738),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHciteyear] = ACTIONS(6738),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcitedate] = ACTIONS(6738),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHciteurl] = ACTIONS(6738),
    [anon_sym_BSLASHfullcite] = ACTIONS(6738),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6738),
    [anon_sym_BSLASHcitealt] = ACTIONS(6738),
    [anon_sym_BSLASHcitealp] = ACTIONS(6738),
    [anon_sym_BSLASHcitetext] = ACTIONS(6738),
    [anon_sym_BSLASHparencite] = ACTIONS(6738),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHParencite] = ACTIONS(6738),
    [anon_sym_BSLASHfootcite] = ACTIONS(6738),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6738),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6738),
    [anon_sym_BSLASHtextcite] = ACTIONS(6738),
    [anon_sym_BSLASHTextcite] = ACTIONS(6738),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6738),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6738),
    [anon_sym_BSLASHsupercite] = ACTIONS(6738),
    [anon_sym_BSLASHautocite] = ACTIONS(6738),
    [anon_sym_BSLASHAutocite] = ACTIONS(6738),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHVolcite] = ACTIONS(6738),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHavolcite] = ACTIONS(6738),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHnotecite] = ACTIONS(6738),
    [anon_sym_BSLASHNotecite] = ACTIONS(6738),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6738),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6738),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6738),
    [anon_sym_BSLASHlabel] = ACTIONS(6738),
    [anon_sym_BSLASHref] = ACTIONS(6738),
    [anon_sym_BSLASHeqref] = ACTIONS(6738),
    [anon_sym_BSLASHvref] = ACTIONS(6738),
    [anon_sym_BSLASHVref] = ACTIONS(6738),
    [anon_sym_BSLASHautoref] = ACTIONS(6738),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHpageref] = ACTIONS(6738),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHautopageref] = ACTIONS(6738),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcref] = ACTIONS(6738),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHCref] = ACTIONS(6738),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcpageref] = ACTIONS(6738),
    [anon_sym_BSLASHCpageref] = ACTIONS(6738),
    [anon_sym_BSLASHnamecref] = ACTIONS(6738),
    [anon_sym_BSLASHnameCref] = ACTIONS(6738),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6738),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6738),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6738),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6738),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6738),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6738),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6738),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6738),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6738),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6738),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6738),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6738),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6738),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6738),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6738),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6738),
    [anon_sym_BSLASHdef] = ACTIONS(6738),
    [anon_sym_BSLASHgdef] = ACTIONS(6738),
    [anon_sym_BSLASHedef] = ACTIONS(6738),
    [anon_sym_BSLASHxdef] = ACTIONS(6738),
    [anon_sym_BSLASHlet] = ACTIONS(6738),
    [anon_sym_BSLASHglet] = ACTIONS(6738),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6738),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6738),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6738),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6738),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6738),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6738),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6738),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6738),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6738),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6738),
    [anon_sym_BSLASHgls] = ACTIONS(6738),
    [anon_sym_BSLASHGls] = ACTIONS(6738),
    [anon_sym_BSLASHGLS] = ACTIONS(6738),
    [anon_sym_BSLASHglspl] = ACTIONS(6738),
    [anon_sym_BSLASHGlspl] = ACTIONS(6738),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6738),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6738),
    [anon_sym_BSLASHglslink] = ACTIONS(6738),
    [anon_sym_BSLASHglstext] = ACTIONS(6738),
    [anon_sym_BSLASHGlstext] = ACTIONS(6738),
    [anon_sym_BSLASHGLStext] = ACTIONS(6738),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6738),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6738),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6738),
    [anon_sym_BSLASHglsplural] = ACTIONS(6738),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6738),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6738),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6738),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6738),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6738),
    [anon_sym_BSLASHglsname] = ACTIONS(6738),
    [anon_sym_BSLASHGlsname] = ACTIONS(6738),
    [anon_sym_BSLASHGLSname] = ACTIONS(6738),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6738),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6738),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6738),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6738),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6738),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6738),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6738),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6738),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6738),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6738),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6738),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6738),
    [anon_sym_BSLASHacrshort] = ACTIONS(6738),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6738),
    [anon_sym_BSLASHACRshort] = ACTIONS(6738),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6738),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6738),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6738),
    [anon_sym_BSLASHacrlong] = ACTIONS(6738),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6738),
    [anon_sym_BSLASHACRlong] = ACTIONS(6738),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6738),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6738),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6738),
    [anon_sym_BSLASHacrfull] = ACTIONS(6738),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6738),
    [anon_sym_BSLASHACRfull] = ACTIONS(6738),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6738),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6738),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6738),
    [anon_sym_BSLASHacs] = ACTIONS(6738),
    [anon_sym_BSLASHAcs] = ACTIONS(6738),
    [anon_sym_BSLASHacsp] = ACTIONS(6738),
    [anon_sym_BSLASHAcsp] = ACTIONS(6738),
    [anon_sym_BSLASHacl] = ACTIONS(6738),
    [anon_sym_BSLASHAcl] = ACTIONS(6738),
    [anon_sym_BSLASHaclp] = ACTIONS(6738),
    [anon_sym_BSLASHAclp] = ACTIONS(6738),
    [anon_sym_BSLASHacf] = ACTIONS(6738),
    [anon_sym_BSLASHAcf] = ACTIONS(6738),
    [anon_sym_BSLASHacfp] = ACTIONS(6738),
    [anon_sym_BSLASHAcfp] = ACTIONS(6738),
    [anon_sym_BSLASHac] = ACTIONS(6738),
    [anon_sym_BSLASHAc] = ACTIONS(6738),
    [anon_sym_BSLASHacp] = ACTIONS(6738),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6738),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6738),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6738),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6738),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6738),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6738),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6738),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6738),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6738),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6738),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6738),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6738),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6738),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6738),
    [anon_sym_BSLASHcolor] = ACTIONS(6738),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6738),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6738),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6738),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6738),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6738),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6738),
    [anon_sym_BSLASHurl] = ACTIONS(6738),
    [anon_sym_BSLASHhref] = ACTIONS(6738),
  },
  [784] = {
    [sym__section_part] = STATE(1443),
    [sym_curly_group] = STATE(1439),
    [sym_brack_group] = STATE(3532),
    [sym_command_name] = ACTIONS(6742),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6742),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6744),
    [anon_sym_COMMA] = ACTIONS(6744),
    [anon_sym_EQ] = ACTIONS(6744),
    [anon_sym_LPAREN] = ACTIONS(6744),
    [anon_sym_RPAREN] = ACTIONS(6744),
    [anon_sym_BSLASHpart] = ACTIONS(6742),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHaddpart] = ACTIONS(6742),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHchapter] = ACTIONS(6742),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHaddchap] = ACTIONS(6742),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHsection] = ACTIONS(6742),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHaddsec] = ACTIONS(6742),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHsubsection] = ACTIONS(6742),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6742),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHparagraph] = ACTIONS(6742),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6742),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHitem] = ACTIONS(6742),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6744),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(6742),
    [sym_placeholder] = ACTIONS(6744),
    [sym_delimiter] = ACTIONS(6744),
    [anon_sym_PLUS] = ACTIONS(6744),
    [anon_sym_DASH] = ACTIONS(6744),
    [anon_sym_STAR] = ACTIONS(6744),
    [anon_sym_SLASH] = ACTIONS(6744),
    [anon_sym_LT] = ACTIONS(6742),
    [anon_sym_GT] = ACTIONS(6742),
    [anon_sym_BANG] = ACTIONS(6742),
    [anon_sym_PIPE] = ACTIONS(6742),
    [anon_sym_COLON] = ACTIONS(6742),
    [anon_sym_SQUOTE] = ACTIONS(6742),
    [anon_sym__] = ACTIONS(6744),
    [anon_sym_CARET] = ACTIONS(6744),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6744),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6744),
    [anon_sym_DOLLAR] = ACTIONS(6742),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6744),
    [anon_sym_BSLASHleft] = ACTIONS(6742),
    [anon_sym_BSLASHbigl] = ACTIONS(6742),
    [anon_sym_BSLASHBigl] = ACTIONS(6742),
    [anon_sym_BSLASHbiggl] = ACTIONS(6742),
    [anon_sym_BSLASHBiggl] = ACTIONS(6742),
    [anon_sym_BSLASHtext] = ACTIONS(6742),
    [anon_sym_BSLASHintertext] = ACTIONS(6742),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6742),
    [anon_sym_BSLASHbegin] = ACTIONS(6742),
    [anon_sym_BSLASHend] = ACTIONS(6742),
    [anon_sym_BSLASHtitle] = ACTIONS(6742),
    [anon_sym_BSLASHauthor] = ACTIONS(6742),
    [anon_sym_BSLASHusepackage] = ACTIONS(6742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6742),
    [anon_sym_BSLASHinclude] = ACTIONS(6742),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6742),
    [anon_sym_BSLASHinput] = ACTIONS(6742),
    [anon_sym_BSLASHsubfile] = ACTIONS(6742),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6742),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6742),
    [anon_sym_BSLASHbibliography] = ACTIONS(6742),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6742),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6742),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6742),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6742),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6742),
    [anon_sym_BSLASHimport] = ACTIONS(6742),
    [anon_sym_BSLASHsubimport] = ACTIONS(6742),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6742),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6742),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6742),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6742),
    [anon_sym_BSLASHcaption] = ACTIONS(6742),
    [anon_sym_BSLASHcite] = ACTIONS(6742),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHCite] = ACTIONS(6742),
    [anon_sym_BSLASHnocite] = ACTIONS(6742),
    [anon_sym_BSLASHcitet] = ACTIONS(6742),
    [anon_sym_BSLASHcitep] = ACTIONS(6742),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHciteA] = ACTIONS(6742),
    [anon_sym_BSLASHciteR] = ACTIONS(6742),
    [anon_sym_BSLASHciteS] = ACTIONS(6742),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6742),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6742),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6742),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6742),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHciteyear] = ACTIONS(6742),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcitedate] = ACTIONS(6742),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHciteurl] = ACTIONS(6742),
    [anon_sym_BSLASHfullcite] = ACTIONS(6742),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6742),
    [anon_sym_BSLASHcitealt] = ACTIONS(6742),
    [anon_sym_BSLASHcitealp] = ACTIONS(6742),
    [anon_sym_BSLASHcitetext] = ACTIONS(6742),
    [anon_sym_BSLASHparencite] = ACTIONS(6742),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHParencite] = ACTIONS(6742),
    [anon_sym_BSLASHfootcite] = ACTIONS(6742),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6742),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6742),
    [anon_sym_BSLASHtextcite] = ACTIONS(6742),
    [anon_sym_BSLASHTextcite] = ACTIONS(6742),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6742),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6742),
    [anon_sym_BSLASHsupercite] = ACTIONS(6742),
    [anon_sym_BSLASHautocite] = ACTIONS(6742),
    [anon_sym_BSLASHAutocite] = ACTIONS(6742),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHVolcite] = ACTIONS(6742),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHavolcite] = ACTIONS(6742),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHnotecite] = ACTIONS(6742),
    [anon_sym_BSLASHNotecite] = ACTIONS(6742),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6742),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6742),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6742),
    [anon_sym_BSLASHlabel] = ACTIONS(6742),
    [anon_sym_BSLASHref] = ACTIONS(6742),
    [anon_sym_BSLASHeqref] = ACTIONS(6742),
    [anon_sym_BSLASHvref] = ACTIONS(6742),
    [anon_sym_BSLASHVref] = ACTIONS(6742),
    [anon_sym_BSLASHautoref] = ACTIONS(6742),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHpageref] = ACTIONS(6742),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHautopageref] = ACTIONS(6742),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcref] = ACTIONS(6742),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHCref] = ACTIONS(6742),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcpageref] = ACTIONS(6742),
    [anon_sym_BSLASHCpageref] = ACTIONS(6742),
    [anon_sym_BSLASHnamecref] = ACTIONS(6742),
    [anon_sym_BSLASHnameCref] = ACTIONS(6742),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6742),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6742),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6742),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6742),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6742),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6742),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6742),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6742),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6742),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6742),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6742),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6742),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6742),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6742),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6742),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6742),
    [anon_sym_BSLASHdef] = ACTIONS(6742),
    [anon_sym_BSLASHgdef] = ACTIONS(6742),
    [anon_sym_BSLASHedef] = ACTIONS(6742),
    [anon_sym_BSLASHxdef] = ACTIONS(6742),
    [anon_sym_BSLASHlet] = ACTIONS(6742),
    [anon_sym_BSLASHglet] = ACTIONS(6742),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6742),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6742),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6742),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6742),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6742),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6742),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6742),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6742),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6742),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6742),
    [anon_sym_BSLASHgls] = ACTIONS(6742),
    [anon_sym_BSLASHGls] = ACTIONS(6742),
    [anon_sym_BSLASHGLS] = ACTIONS(6742),
    [anon_sym_BSLASHglspl] = ACTIONS(6742),
    [anon_sym_BSLASHGlspl] = ACTIONS(6742),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6742),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6742),
    [anon_sym_BSLASHglslink] = ACTIONS(6742),
    [anon_sym_BSLASHglstext] = ACTIONS(6742),
    [anon_sym_BSLASHGlstext] = ACTIONS(6742),
    [anon_sym_BSLASHGLStext] = ACTIONS(6742),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6742),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6742),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6742),
    [anon_sym_BSLASHglsplural] = ACTIONS(6742),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6742),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6742),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6742),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6742),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6742),
    [anon_sym_BSLASHglsname] = ACTIONS(6742),
    [anon_sym_BSLASHGlsname] = ACTIONS(6742),
    [anon_sym_BSLASHGLSname] = ACTIONS(6742),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6742),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6742),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6742),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6742),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6742),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6742),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6742),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6742),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6742),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6742),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6742),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6742),
    [anon_sym_BSLASHacrshort] = ACTIONS(6742),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6742),
    [anon_sym_BSLASHACRshort] = ACTIONS(6742),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6742),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6742),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6742),
    [anon_sym_BSLASHacrlong] = ACTIONS(6742),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6742),
    [anon_sym_BSLASHACRlong] = ACTIONS(6742),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6742),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6742),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6742),
    [anon_sym_BSLASHacrfull] = ACTIONS(6742),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6742),
    [anon_sym_BSLASHACRfull] = ACTIONS(6742),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6742),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6742),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6742),
    [anon_sym_BSLASHacs] = ACTIONS(6742),
    [anon_sym_BSLASHAcs] = ACTIONS(6742),
    [anon_sym_BSLASHacsp] = ACTIONS(6742),
    [anon_sym_BSLASHAcsp] = ACTIONS(6742),
    [anon_sym_BSLASHacl] = ACTIONS(6742),
    [anon_sym_BSLASHAcl] = ACTIONS(6742),
    [anon_sym_BSLASHaclp] = ACTIONS(6742),
    [anon_sym_BSLASHAclp] = ACTIONS(6742),
    [anon_sym_BSLASHacf] = ACTIONS(6742),
    [anon_sym_BSLASHAcf] = ACTIONS(6742),
    [anon_sym_BSLASHacfp] = ACTIONS(6742),
    [anon_sym_BSLASHAcfp] = ACTIONS(6742),
    [anon_sym_BSLASHac] = ACTIONS(6742),
    [anon_sym_BSLASHAc] = ACTIONS(6742),
    [anon_sym_BSLASHacp] = ACTIONS(6742),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6742),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6742),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6742),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6742),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6742),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6742),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6742),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6742),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6742),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6742),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6742),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6742),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6742),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6742),
    [anon_sym_BSLASHcolor] = ACTIONS(6742),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6742),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6742),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6742),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6742),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6742),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6742),
    [anon_sym_BSLASHurl] = ACTIONS(6742),
    [anon_sym_BSLASHhref] = ACTIONS(6742),
  },
  [785] = {
    [sym__section_part] = STATE(1444),
    [sym_curly_group] = STATE(1439),
    [sym_brack_group] = STATE(3532),
    [sym_command_name] = ACTIONS(6746),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6746),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6748),
    [anon_sym_COMMA] = ACTIONS(6748),
    [anon_sym_EQ] = ACTIONS(6748),
    [anon_sym_LPAREN] = ACTIONS(6748),
    [anon_sym_RPAREN] = ACTIONS(6748),
    [anon_sym_BSLASHpart] = ACTIONS(6746),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHaddpart] = ACTIONS(6746),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHchapter] = ACTIONS(6746),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHaddchap] = ACTIONS(6746),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHsection] = ACTIONS(6746),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHaddsec] = ACTIONS(6746),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHsubsection] = ACTIONS(6746),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6746),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHparagraph] = ACTIONS(6746),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6746),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHitem] = ACTIONS(6746),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6748),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(6746),
    [sym_placeholder] = ACTIONS(6748),
    [sym_delimiter] = ACTIONS(6748),
    [anon_sym_PLUS] = ACTIONS(6748),
    [anon_sym_DASH] = ACTIONS(6748),
    [anon_sym_STAR] = ACTIONS(6748),
    [anon_sym_SLASH] = ACTIONS(6748),
    [anon_sym_LT] = ACTIONS(6746),
    [anon_sym_GT] = ACTIONS(6746),
    [anon_sym_BANG] = ACTIONS(6746),
    [anon_sym_PIPE] = ACTIONS(6746),
    [anon_sym_COLON] = ACTIONS(6746),
    [anon_sym_SQUOTE] = ACTIONS(6746),
    [anon_sym__] = ACTIONS(6748),
    [anon_sym_CARET] = ACTIONS(6748),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6748),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6748),
    [anon_sym_DOLLAR] = ACTIONS(6746),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6748),
    [anon_sym_BSLASHleft] = ACTIONS(6746),
    [anon_sym_BSLASHbigl] = ACTIONS(6746),
    [anon_sym_BSLASHBigl] = ACTIONS(6746),
    [anon_sym_BSLASHbiggl] = ACTIONS(6746),
    [anon_sym_BSLASHBiggl] = ACTIONS(6746),
    [anon_sym_BSLASHtext] = ACTIONS(6746),
    [anon_sym_BSLASHintertext] = ACTIONS(6746),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6746),
    [anon_sym_BSLASHbegin] = ACTIONS(6746),
    [anon_sym_BSLASHend] = ACTIONS(6746),
    [anon_sym_BSLASHtitle] = ACTIONS(6746),
    [anon_sym_BSLASHauthor] = ACTIONS(6746),
    [anon_sym_BSLASHusepackage] = ACTIONS(6746),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6746),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6746),
    [anon_sym_BSLASHinclude] = ACTIONS(6746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6746),
    [anon_sym_BSLASHinput] = ACTIONS(6746),
    [anon_sym_BSLASHsubfile] = ACTIONS(6746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6746),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6746),
    [anon_sym_BSLASHbibliography] = ACTIONS(6746),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6746),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6746),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6746),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6746),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6746),
    [anon_sym_BSLASHimport] = ACTIONS(6746),
    [anon_sym_BSLASHsubimport] = ACTIONS(6746),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6746),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6746),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6746),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6746),
    [anon_sym_BSLASHcaption] = ACTIONS(6746),
    [anon_sym_BSLASHcite] = ACTIONS(6746),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHCite] = ACTIONS(6746),
    [anon_sym_BSLASHnocite] = ACTIONS(6746),
    [anon_sym_BSLASHcitet] = ACTIONS(6746),
    [anon_sym_BSLASHcitep] = ACTIONS(6746),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHciteA] = ACTIONS(6746),
    [anon_sym_BSLASHciteR] = ACTIONS(6746),
    [anon_sym_BSLASHciteS] = ACTIONS(6746),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6746),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6746),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6746),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6746),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHciteyear] = ACTIONS(6746),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcitedate] = ACTIONS(6746),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHciteurl] = ACTIONS(6746),
    [anon_sym_BSLASHfullcite] = ACTIONS(6746),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6746),
    [anon_sym_BSLASHcitealt] = ACTIONS(6746),
    [anon_sym_BSLASHcitealp] = ACTIONS(6746),
    [anon_sym_BSLASHcitetext] = ACTIONS(6746),
    [anon_sym_BSLASHparencite] = ACTIONS(6746),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHParencite] = ACTIONS(6746),
    [anon_sym_BSLASHfootcite] = ACTIONS(6746),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6746),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6746),
    [anon_sym_BSLASHtextcite] = ACTIONS(6746),
    [anon_sym_BSLASHTextcite] = ACTIONS(6746),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6746),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6746),
    [anon_sym_BSLASHsupercite] = ACTIONS(6746),
    [anon_sym_BSLASHautocite] = ACTIONS(6746),
    [anon_sym_BSLASHAutocite] = ACTIONS(6746),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHVolcite] = ACTIONS(6746),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHavolcite] = ACTIONS(6746),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHnotecite] = ACTIONS(6746),
    [anon_sym_BSLASHNotecite] = ACTIONS(6746),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6746),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6746),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6746),
    [anon_sym_BSLASHlabel] = ACTIONS(6746),
    [anon_sym_BSLASHref] = ACTIONS(6746),
    [anon_sym_BSLASHeqref] = ACTIONS(6746),
    [anon_sym_BSLASHvref] = ACTIONS(6746),
    [anon_sym_BSLASHVref] = ACTIONS(6746),
    [anon_sym_BSLASHautoref] = ACTIONS(6746),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHpageref] = ACTIONS(6746),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHautopageref] = ACTIONS(6746),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcref] = ACTIONS(6746),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHCref] = ACTIONS(6746),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcpageref] = ACTIONS(6746),
    [anon_sym_BSLASHCpageref] = ACTIONS(6746),
    [anon_sym_BSLASHnamecref] = ACTIONS(6746),
    [anon_sym_BSLASHnameCref] = ACTIONS(6746),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6746),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6746),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6746),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6746),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6746),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6746),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6746),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6746),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6746),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6746),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6746),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6746),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6746),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6746),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6746),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6746),
    [anon_sym_BSLASHdef] = ACTIONS(6746),
    [anon_sym_BSLASHgdef] = ACTIONS(6746),
    [anon_sym_BSLASHedef] = ACTIONS(6746),
    [anon_sym_BSLASHxdef] = ACTIONS(6746),
    [anon_sym_BSLASHlet] = ACTIONS(6746),
    [anon_sym_BSLASHglet] = ACTIONS(6746),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6746),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6746),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6746),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6746),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6746),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6746),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6746),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6746),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6746),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6746),
    [anon_sym_BSLASHgls] = ACTIONS(6746),
    [anon_sym_BSLASHGls] = ACTIONS(6746),
    [anon_sym_BSLASHGLS] = ACTIONS(6746),
    [anon_sym_BSLASHglspl] = ACTIONS(6746),
    [anon_sym_BSLASHGlspl] = ACTIONS(6746),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6746),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6746),
    [anon_sym_BSLASHglslink] = ACTIONS(6746),
    [anon_sym_BSLASHglstext] = ACTIONS(6746),
    [anon_sym_BSLASHGlstext] = ACTIONS(6746),
    [anon_sym_BSLASHGLStext] = ACTIONS(6746),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6746),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6746),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6746),
    [anon_sym_BSLASHglsplural] = ACTIONS(6746),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6746),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6746),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6746),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6746),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6746),
    [anon_sym_BSLASHglsname] = ACTIONS(6746),
    [anon_sym_BSLASHGlsname] = ACTIONS(6746),
    [anon_sym_BSLASHGLSname] = ACTIONS(6746),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6746),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6746),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6746),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6746),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6746),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6746),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6746),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6746),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6746),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6746),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6746),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6746),
    [anon_sym_BSLASHacrshort] = ACTIONS(6746),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6746),
    [anon_sym_BSLASHACRshort] = ACTIONS(6746),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6746),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6746),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6746),
    [anon_sym_BSLASHacrlong] = ACTIONS(6746),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6746),
    [anon_sym_BSLASHACRlong] = ACTIONS(6746),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6746),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6746),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6746),
    [anon_sym_BSLASHacrfull] = ACTIONS(6746),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6746),
    [anon_sym_BSLASHACRfull] = ACTIONS(6746),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6746),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6746),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6746),
    [anon_sym_BSLASHacs] = ACTIONS(6746),
    [anon_sym_BSLASHAcs] = ACTIONS(6746),
    [anon_sym_BSLASHacsp] = ACTIONS(6746),
    [anon_sym_BSLASHAcsp] = ACTIONS(6746),
    [anon_sym_BSLASHacl] = ACTIONS(6746),
    [anon_sym_BSLASHAcl] = ACTIONS(6746),
    [anon_sym_BSLASHaclp] = ACTIONS(6746),
    [anon_sym_BSLASHAclp] = ACTIONS(6746),
    [anon_sym_BSLASHacf] = ACTIONS(6746),
    [anon_sym_BSLASHAcf] = ACTIONS(6746),
    [anon_sym_BSLASHacfp] = ACTIONS(6746),
    [anon_sym_BSLASHAcfp] = ACTIONS(6746),
    [anon_sym_BSLASHac] = ACTIONS(6746),
    [anon_sym_BSLASHAc] = ACTIONS(6746),
    [anon_sym_BSLASHacp] = ACTIONS(6746),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6746),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6746),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6746),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6746),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6746),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6746),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6746),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6746),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6746),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6746),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6746),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6746),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6746),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6746),
    [anon_sym_BSLASHcolor] = ACTIONS(6746),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6746),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6746),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6746),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6746),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6746),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6746),
    [anon_sym_BSLASHurl] = ACTIONS(6746),
    [anon_sym_BSLASHhref] = ACTIONS(6746),
  },
  [786] = {
    [sym__section_part] = STATE(1450),
    [sym_curly_group] = STATE(1439),
    [sym_brack_group] = STATE(3532),
    [sym_command_name] = ACTIONS(6750),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6750),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6752),
    [anon_sym_COMMA] = ACTIONS(6752),
    [anon_sym_EQ] = ACTIONS(6752),
    [anon_sym_LPAREN] = ACTIONS(6752),
    [anon_sym_RPAREN] = ACTIONS(6752),
    [anon_sym_BSLASHpart] = ACTIONS(6750),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHaddpart] = ACTIONS(6750),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHchapter] = ACTIONS(6750),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHaddchap] = ACTIONS(6750),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHsection] = ACTIONS(6750),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHaddsec] = ACTIONS(6750),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHsubsection] = ACTIONS(6750),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6750),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHparagraph] = ACTIONS(6750),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6750),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHitem] = ACTIONS(6750),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6752),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(6750),
    [sym_placeholder] = ACTIONS(6752),
    [sym_delimiter] = ACTIONS(6752),
    [anon_sym_PLUS] = ACTIONS(6752),
    [anon_sym_DASH] = ACTIONS(6752),
    [anon_sym_STAR] = ACTIONS(6752),
    [anon_sym_SLASH] = ACTIONS(6752),
    [anon_sym_LT] = ACTIONS(6750),
    [anon_sym_GT] = ACTIONS(6750),
    [anon_sym_BANG] = ACTIONS(6750),
    [anon_sym_PIPE] = ACTIONS(6750),
    [anon_sym_COLON] = ACTIONS(6750),
    [anon_sym_SQUOTE] = ACTIONS(6750),
    [anon_sym__] = ACTIONS(6752),
    [anon_sym_CARET] = ACTIONS(6752),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6752),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6752),
    [anon_sym_DOLLAR] = ACTIONS(6750),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6752),
    [anon_sym_BSLASHleft] = ACTIONS(6750),
    [anon_sym_BSLASHbigl] = ACTIONS(6750),
    [anon_sym_BSLASHBigl] = ACTIONS(6750),
    [anon_sym_BSLASHbiggl] = ACTIONS(6750),
    [anon_sym_BSLASHBiggl] = ACTIONS(6750),
    [anon_sym_BSLASHtext] = ACTIONS(6750),
    [anon_sym_BSLASHintertext] = ACTIONS(6750),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6750),
    [anon_sym_BSLASHbegin] = ACTIONS(6750),
    [anon_sym_BSLASHend] = ACTIONS(6750),
    [anon_sym_BSLASHtitle] = ACTIONS(6750),
    [anon_sym_BSLASHauthor] = ACTIONS(6750),
    [anon_sym_BSLASHusepackage] = ACTIONS(6750),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6750),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6750),
    [anon_sym_BSLASHinclude] = ACTIONS(6750),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6750),
    [anon_sym_BSLASHinput] = ACTIONS(6750),
    [anon_sym_BSLASHsubfile] = ACTIONS(6750),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6750),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6750),
    [anon_sym_BSLASHbibliography] = ACTIONS(6750),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6750),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6750),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6750),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6750),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6750),
    [anon_sym_BSLASHimport] = ACTIONS(6750),
    [anon_sym_BSLASHsubimport] = ACTIONS(6750),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6750),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6750),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6750),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6750),
    [anon_sym_BSLASHcaption] = ACTIONS(6750),
    [anon_sym_BSLASHcite] = ACTIONS(6750),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHCite] = ACTIONS(6750),
    [anon_sym_BSLASHnocite] = ACTIONS(6750),
    [anon_sym_BSLASHcitet] = ACTIONS(6750),
    [anon_sym_BSLASHcitep] = ACTIONS(6750),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHciteA] = ACTIONS(6750),
    [anon_sym_BSLASHciteR] = ACTIONS(6750),
    [anon_sym_BSLASHciteS] = ACTIONS(6750),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6750),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6750),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6750),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6750),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHciteyear] = ACTIONS(6750),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcitedate] = ACTIONS(6750),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHciteurl] = ACTIONS(6750),
    [anon_sym_BSLASHfullcite] = ACTIONS(6750),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6750),
    [anon_sym_BSLASHcitealt] = ACTIONS(6750),
    [anon_sym_BSLASHcitealp] = ACTIONS(6750),
    [anon_sym_BSLASHcitetext] = ACTIONS(6750),
    [anon_sym_BSLASHparencite] = ACTIONS(6750),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHParencite] = ACTIONS(6750),
    [anon_sym_BSLASHfootcite] = ACTIONS(6750),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6750),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6750),
    [anon_sym_BSLASHtextcite] = ACTIONS(6750),
    [anon_sym_BSLASHTextcite] = ACTIONS(6750),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6750),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6750),
    [anon_sym_BSLASHsupercite] = ACTIONS(6750),
    [anon_sym_BSLASHautocite] = ACTIONS(6750),
    [anon_sym_BSLASHAutocite] = ACTIONS(6750),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHVolcite] = ACTIONS(6750),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHavolcite] = ACTIONS(6750),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHnotecite] = ACTIONS(6750),
    [anon_sym_BSLASHNotecite] = ACTIONS(6750),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6750),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6750),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6750),
    [anon_sym_BSLASHlabel] = ACTIONS(6750),
    [anon_sym_BSLASHref] = ACTIONS(6750),
    [anon_sym_BSLASHeqref] = ACTIONS(6750),
    [anon_sym_BSLASHvref] = ACTIONS(6750),
    [anon_sym_BSLASHVref] = ACTIONS(6750),
    [anon_sym_BSLASHautoref] = ACTIONS(6750),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHpageref] = ACTIONS(6750),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHautopageref] = ACTIONS(6750),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcref] = ACTIONS(6750),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHCref] = ACTIONS(6750),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcpageref] = ACTIONS(6750),
    [anon_sym_BSLASHCpageref] = ACTIONS(6750),
    [anon_sym_BSLASHnamecref] = ACTIONS(6750),
    [anon_sym_BSLASHnameCref] = ACTIONS(6750),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6750),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6750),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6750),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6750),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6750),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6750),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6750),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6750),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6750),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6750),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6750),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6750),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6750),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6750),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6750),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6750),
    [anon_sym_BSLASHdef] = ACTIONS(6750),
    [anon_sym_BSLASHgdef] = ACTIONS(6750),
    [anon_sym_BSLASHedef] = ACTIONS(6750),
    [anon_sym_BSLASHxdef] = ACTIONS(6750),
    [anon_sym_BSLASHlet] = ACTIONS(6750),
    [anon_sym_BSLASHglet] = ACTIONS(6750),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6750),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6750),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6750),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6750),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6750),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6750),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6750),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6750),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6750),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6750),
    [anon_sym_BSLASHgls] = ACTIONS(6750),
    [anon_sym_BSLASHGls] = ACTIONS(6750),
    [anon_sym_BSLASHGLS] = ACTIONS(6750),
    [anon_sym_BSLASHglspl] = ACTIONS(6750),
    [anon_sym_BSLASHGlspl] = ACTIONS(6750),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6750),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6750),
    [anon_sym_BSLASHglslink] = ACTIONS(6750),
    [anon_sym_BSLASHglstext] = ACTIONS(6750),
    [anon_sym_BSLASHGlstext] = ACTIONS(6750),
    [anon_sym_BSLASHGLStext] = ACTIONS(6750),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6750),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6750),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6750),
    [anon_sym_BSLASHglsplural] = ACTIONS(6750),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6750),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6750),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6750),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6750),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6750),
    [anon_sym_BSLASHglsname] = ACTIONS(6750),
    [anon_sym_BSLASHGlsname] = ACTIONS(6750),
    [anon_sym_BSLASHGLSname] = ACTIONS(6750),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6750),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6750),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6750),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6750),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6750),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6750),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6750),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6750),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6750),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6750),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6750),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6750),
    [anon_sym_BSLASHacrshort] = ACTIONS(6750),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6750),
    [anon_sym_BSLASHACRshort] = ACTIONS(6750),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6750),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6750),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6750),
    [anon_sym_BSLASHacrlong] = ACTIONS(6750),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6750),
    [anon_sym_BSLASHACRlong] = ACTIONS(6750),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6750),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6750),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6750),
    [anon_sym_BSLASHacrfull] = ACTIONS(6750),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6750),
    [anon_sym_BSLASHACRfull] = ACTIONS(6750),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6750),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6750),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6750),
    [anon_sym_BSLASHacs] = ACTIONS(6750),
    [anon_sym_BSLASHAcs] = ACTIONS(6750),
    [anon_sym_BSLASHacsp] = ACTIONS(6750),
    [anon_sym_BSLASHAcsp] = ACTIONS(6750),
    [anon_sym_BSLASHacl] = ACTIONS(6750),
    [anon_sym_BSLASHAcl] = ACTIONS(6750),
    [anon_sym_BSLASHaclp] = ACTIONS(6750),
    [anon_sym_BSLASHAclp] = ACTIONS(6750),
    [anon_sym_BSLASHacf] = ACTIONS(6750),
    [anon_sym_BSLASHAcf] = ACTIONS(6750),
    [anon_sym_BSLASHacfp] = ACTIONS(6750),
    [anon_sym_BSLASHAcfp] = ACTIONS(6750),
    [anon_sym_BSLASHac] = ACTIONS(6750),
    [anon_sym_BSLASHAc] = ACTIONS(6750),
    [anon_sym_BSLASHacp] = ACTIONS(6750),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6750),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6750),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6750),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6750),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6750),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6750),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6750),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6750),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6750),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6750),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6750),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6750),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6750),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6750),
    [anon_sym_BSLASHcolor] = ACTIONS(6750),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6750),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6750),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6750),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6750),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6750),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6750),
    [anon_sym_BSLASHurl] = ACTIONS(6750),
    [anon_sym_BSLASHhref] = ACTIONS(6750),
  },
  [787] = {
    [sym__part_declaration] = STATE(165),
    [sym_part] = STATE(734),
    [aux_sym__section_repeat1] = STATE(734),
    [sym_command_name] = ACTIONS(6710),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6710),
    [anon_sym_LBRACK] = ACTIONS(6712),
    [anon_sym_RBRACK] = ACTIONS(6712),
    [anon_sym_COMMA] = ACTIONS(6712),
    [anon_sym_EQ] = ACTIONS(6712),
    [anon_sym_LPAREN] = ACTIONS(6712),
    [anon_sym_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHpart] = ACTIONS(642),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHaddpart] = ACTIONS(642),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(644),
    [anon_sym_BSLASHchapter] = ACTIONS(6710),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddchap] = ACTIONS(6710),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsection] = ACTIONS(6710),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddsec] = ACTIONS(6710),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHitem] = ACTIONS(6710),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6712),
    [anon_sym_LBRACE] = ACTIONS(6712),
    [sym_word] = ACTIONS(6710),
    [sym_placeholder] = ACTIONS(6712),
    [sym_delimiter] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(6712),
    [anon_sym_SLASH] = ACTIONS(6712),
    [anon_sym_LT] = ACTIONS(6710),
    [anon_sym_GT] = ACTIONS(6710),
    [anon_sym_BANG] = ACTIONS(6710),
    [anon_sym_PIPE] = ACTIONS(6710),
    [anon_sym_COLON] = ACTIONS(6710),
    [anon_sym_SQUOTE] = ACTIONS(6710),
    [anon_sym__] = ACTIONS(6712),
    [anon_sym_CARET] = ACTIONS(6712),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6712),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6712),
    [anon_sym_DOLLAR] = ACTIONS(6710),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6712),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHleft] = ACTIONS(6710),
    [anon_sym_BSLASHbigl] = ACTIONS(6710),
    [anon_sym_BSLASHBigl] = ACTIONS(6710),
    [anon_sym_BSLASHbiggl] = ACTIONS(6710),
    [anon_sym_BSLASHBiggl] = ACTIONS(6710),
    [anon_sym_BSLASHtext] = ACTIONS(6710),
    [anon_sym_BSLASHintertext] = ACTIONS(6710),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6710),
    [anon_sym_BSLASHbegin] = ACTIONS(6710),
    [anon_sym_BSLASHtitle] = ACTIONS(6710),
    [anon_sym_BSLASHauthor] = ACTIONS(6710),
    [anon_sym_BSLASHusepackage] = ACTIONS(6710),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6710),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6710),
    [anon_sym_BSLASHinclude] = ACTIONS(6710),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6710),
    [anon_sym_BSLASHinput] = ACTIONS(6710),
    [anon_sym_BSLASHsubfile] = ACTIONS(6710),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6710),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6710),
    [anon_sym_BSLASHbibliography] = ACTIONS(6710),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6710),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6710),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6710),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6710),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6710),
    [anon_sym_BSLASHimport] = ACTIONS(6710),
    [anon_sym_BSLASHsubimport] = ACTIONS(6710),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6710),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHcaption] = ACTIONS(6710),
    [anon_sym_BSLASHcite] = ACTIONS(6710),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCite] = ACTIONS(6710),
    [anon_sym_BSLASHnocite] = ACTIONS(6710),
    [anon_sym_BSLASHcitet] = ACTIONS(6710),
    [anon_sym_BSLASHcitep] = ACTIONS(6710),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteA] = ACTIONS(6710),
    [anon_sym_BSLASHciteR] = ACTIONS(6710),
    [anon_sym_BSLASHciteS] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6710),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteyear] = ACTIONS(6710),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitedate] = ACTIONS(6710),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteurl] = ACTIONS(6710),
    [anon_sym_BSLASHfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6710),
    [anon_sym_BSLASHcitealt] = ACTIONS(6710),
    [anon_sym_BSLASHcitealp] = ACTIONS(6710),
    [anon_sym_BSLASHcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHparencite] = ACTIONS(6710),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHParencite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHtextcite] = ACTIONS(6710),
    [anon_sym_BSLASHTextcite] = ACTIONS(6710),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHsupercite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite] = ACTIONS(6710),
    [anon_sym_BSLASHAutocite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHVolcite] = ACTIONS(6710),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHavolcite] = ACTIONS(6710),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHNotecite] = ACTIONS(6710),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHlabel] = ACTIONS(6710),
    [anon_sym_BSLASHref] = ACTIONS(6710),
    [anon_sym_BSLASHeqref] = ACTIONS(6710),
    [anon_sym_BSLASHvref] = ACTIONS(6710),
    [anon_sym_BSLASHVref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHpageref] = ACTIONS(6710),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHautopageref] = ACTIONS(6710),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcref] = ACTIONS(6710),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCref] = ACTIONS(6710),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHCpageref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnameCref] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6710),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHdef] = ACTIONS(6710),
    [anon_sym_BSLASHgdef] = ACTIONS(6710),
    [anon_sym_BSLASHedef] = ACTIONS(6710),
    [anon_sym_BSLASHxdef] = ACTIONS(6710),
    [anon_sym_BSLASHlet] = ACTIONS(6710),
    [anon_sym_BSLASHglet] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6710),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6710),
    [anon_sym_BSLASHgls] = ACTIONS(6710),
    [anon_sym_BSLASHGls] = ACTIONS(6710),
    [anon_sym_BSLASHGLS] = ACTIONS(6710),
    [anon_sym_BSLASHglspl] = ACTIONS(6710),
    [anon_sym_BSLASHGlspl] = ACTIONS(6710),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6710),
    [anon_sym_BSLASHglslink] = ACTIONS(6710),
    [anon_sym_BSLASHglstext] = ACTIONS(6710),
    [anon_sym_BSLASHGlstext] = ACTIONS(6710),
    [anon_sym_BSLASHGLStext] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6710),
    [anon_sym_BSLASHglsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsname] = ACTIONS(6710),
    [anon_sym_BSLASHGlsname] = ACTIONS(6710),
    [anon_sym_BSLASHGLSname] = ACTIONS(6710),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6710),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6710),
    [anon_sym_BSLASHacrshort] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6710),
    [anon_sym_BSLASHACRshort] = ACTIONS(6710),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrlong] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6710),
    [anon_sym_BSLASHACRlong] = ACTIONS(6710),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrfull] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6710),
    [anon_sym_BSLASHACRfull] = ACTIONS(6710),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHacs] = ACTIONS(6710),
    [anon_sym_BSLASHAcs] = ACTIONS(6710),
    [anon_sym_BSLASHacsp] = ACTIONS(6710),
    [anon_sym_BSLASHAcsp] = ACTIONS(6710),
    [anon_sym_BSLASHacl] = ACTIONS(6710),
    [anon_sym_BSLASHAcl] = ACTIONS(6710),
    [anon_sym_BSLASHaclp] = ACTIONS(6710),
    [anon_sym_BSLASHAclp] = ACTIONS(6710),
    [anon_sym_BSLASHacf] = ACTIONS(6710),
    [anon_sym_BSLASHAcf] = ACTIONS(6710),
    [anon_sym_BSLASHacfp] = ACTIONS(6710),
    [anon_sym_BSLASHAcfp] = ACTIONS(6710),
    [anon_sym_BSLASHac] = ACTIONS(6710),
    [anon_sym_BSLASHAc] = ACTIONS(6710),
    [anon_sym_BSLASHacp] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6710),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6710),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6710),
    [anon_sym_BSLASHcolor] = ACTIONS(6710),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6710),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6710),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6710),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6710),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6710),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6710),
    [anon_sym_BSLASHurl] = ACTIONS(6710),
    [anon_sym_BSLASHhref] = ACTIONS(6710),
  },
  [788] = {
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(735),
    [aux_sym__section_repeat2] = STATE(735),
    [sym_command_name] = ACTIONS(6710),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6710),
    [anon_sym_LBRACK] = ACTIONS(6712),
    [anon_sym_RBRACK] = ACTIONS(6712),
    [anon_sym_COMMA] = ACTIONS(6712),
    [anon_sym_EQ] = ACTIONS(6712),
    [anon_sym_LPAREN] = ACTIONS(6712),
    [anon_sym_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHpart] = ACTIONS(6710),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddpart] = ACTIONS(6710),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(6710),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddsec] = ACTIONS(6710),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHitem] = ACTIONS(6710),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6712),
    [anon_sym_LBRACE] = ACTIONS(6712),
    [sym_word] = ACTIONS(6710),
    [sym_placeholder] = ACTIONS(6712),
    [sym_delimiter] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(6712),
    [anon_sym_SLASH] = ACTIONS(6712),
    [anon_sym_LT] = ACTIONS(6710),
    [anon_sym_GT] = ACTIONS(6710),
    [anon_sym_BANG] = ACTIONS(6710),
    [anon_sym_PIPE] = ACTIONS(6710),
    [anon_sym_COLON] = ACTIONS(6710),
    [anon_sym_SQUOTE] = ACTIONS(6710),
    [anon_sym__] = ACTIONS(6712),
    [anon_sym_CARET] = ACTIONS(6712),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6712),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6712),
    [anon_sym_DOLLAR] = ACTIONS(6710),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6712),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHleft] = ACTIONS(6710),
    [anon_sym_BSLASHbigl] = ACTIONS(6710),
    [anon_sym_BSLASHBigl] = ACTIONS(6710),
    [anon_sym_BSLASHbiggl] = ACTIONS(6710),
    [anon_sym_BSLASHBiggl] = ACTIONS(6710),
    [anon_sym_BSLASHtext] = ACTIONS(6710),
    [anon_sym_BSLASHintertext] = ACTIONS(6710),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6710),
    [anon_sym_BSLASHbegin] = ACTIONS(6710),
    [anon_sym_BSLASHtitle] = ACTIONS(6710),
    [anon_sym_BSLASHauthor] = ACTIONS(6710),
    [anon_sym_BSLASHusepackage] = ACTIONS(6710),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6710),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6710),
    [anon_sym_BSLASHinclude] = ACTIONS(6710),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6710),
    [anon_sym_BSLASHinput] = ACTIONS(6710),
    [anon_sym_BSLASHsubfile] = ACTIONS(6710),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6710),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6710),
    [anon_sym_BSLASHbibliography] = ACTIONS(6710),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6710),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6710),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6710),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6710),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6710),
    [anon_sym_BSLASHimport] = ACTIONS(6710),
    [anon_sym_BSLASHsubimport] = ACTIONS(6710),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6710),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHcaption] = ACTIONS(6710),
    [anon_sym_BSLASHcite] = ACTIONS(6710),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCite] = ACTIONS(6710),
    [anon_sym_BSLASHnocite] = ACTIONS(6710),
    [anon_sym_BSLASHcitet] = ACTIONS(6710),
    [anon_sym_BSLASHcitep] = ACTIONS(6710),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteA] = ACTIONS(6710),
    [anon_sym_BSLASHciteR] = ACTIONS(6710),
    [anon_sym_BSLASHciteS] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6710),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteyear] = ACTIONS(6710),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitedate] = ACTIONS(6710),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteurl] = ACTIONS(6710),
    [anon_sym_BSLASHfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6710),
    [anon_sym_BSLASHcitealt] = ACTIONS(6710),
    [anon_sym_BSLASHcitealp] = ACTIONS(6710),
    [anon_sym_BSLASHcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHparencite] = ACTIONS(6710),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHParencite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHtextcite] = ACTIONS(6710),
    [anon_sym_BSLASHTextcite] = ACTIONS(6710),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHsupercite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite] = ACTIONS(6710),
    [anon_sym_BSLASHAutocite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHVolcite] = ACTIONS(6710),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHavolcite] = ACTIONS(6710),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHNotecite] = ACTIONS(6710),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHlabel] = ACTIONS(6710),
    [anon_sym_BSLASHref] = ACTIONS(6710),
    [anon_sym_BSLASHeqref] = ACTIONS(6710),
    [anon_sym_BSLASHvref] = ACTIONS(6710),
    [anon_sym_BSLASHVref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHpageref] = ACTIONS(6710),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHautopageref] = ACTIONS(6710),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcref] = ACTIONS(6710),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCref] = ACTIONS(6710),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHCpageref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnameCref] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6710),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHdef] = ACTIONS(6710),
    [anon_sym_BSLASHgdef] = ACTIONS(6710),
    [anon_sym_BSLASHedef] = ACTIONS(6710),
    [anon_sym_BSLASHxdef] = ACTIONS(6710),
    [anon_sym_BSLASHlet] = ACTIONS(6710),
    [anon_sym_BSLASHglet] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6710),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6710),
    [anon_sym_BSLASHgls] = ACTIONS(6710),
    [anon_sym_BSLASHGls] = ACTIONS(6710),
    [anon_sym_BSLASHGLS] = ACTIONS(6710),
    [anon_sym_BSLASHglspl] = ACTIONS(6710),
    [anon_sym_BSLASHGlspl] = ACTIONS(6710),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6710),
    [anon_sym_BSLASHglslink] = ACTIONS(6710),
    [anon_sym_BSLASHglstext] = ACTIONS(6710),
    [anon_sym_BSLASHGlstext] = ACTIONS(6710),
    [anon_sym_BSLASHGLStext] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6710),
    [anon_sym_BSLASHglsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsname] = ACTIONS(6710),
    [anon_sym_BSLASHGlsname] = ACTIONS(6710),
    [anon_sym_BSLASHGLSname] = ACTIONS(6710),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6710),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6710),
    [anon_sym_BSLASHacrshort] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6710),
    [anon_sym_BSLASHACRshort] = ACTIONS(6710),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrlong] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6710),
    [anon_sym_BSLASHACRlong] = ACTIONS(6710),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrfull] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6710),
    [anon_sym_BSLASHACRfull] = ACTIONS(6710),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHacs] = ACTIONS(6710),
    [anon_sym_BSLASHAcs] = ACTIONS(6710),
    [anon_sym_BSLASHacsp] = ACTIONS(6710),
    [anon_sym_BSLASHAcsp] = ACTIONS(6710),
    [anon_sym_BSLASHacl] = ACTIONS(6710),
    [anon_sym_BSLASHAcl] = ACTIONS(6710),
    [anon_sym_BSLASHaclp] = ACTIONS(6710),
    [anon_sym_BSLASHAclp] = ACTIONS(6710),
    [anon_sym_BSLASHacf] = ACTIONS(6710),
    [anon_sym_BSLASHAcf] = ACTIONS(6710),
    [anon_sym_BSLASHacfp] = ACTIONS(6710),
    [anon_sym_BSLASHAcfp] = ACTIONS(6710),
    [anon_sym_BSLASHac] = ACTIONS(6710),
    [anon_sym_BSLASHAc] = ACTIONS(6710),
    [anon_sym_BSLASHacp] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6710),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6710),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6710),
    [anon_sym_BSLASHcolor] = ACTIONS(6710),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6710),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6710),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6710),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6710),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6710),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6710),
    [anon_sym_BSLASHurl] = ACTIONS(6710),
    [anon_sym_BSLASHhref] = ACTIONS(6710),
  },
  [789] = {
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(736),
    [aux_sym__section_repeat3] = STATE(736),
    [sym_command_name] = ACTIONS(6710),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6710),
    [anon_sym_LBRACK] = ACTIONS(6712),
    [anon_sym_RBRACK] = ACTIONS(6712),
    [anon_sym_COMMA] = ACTIONS(6712),
    [anon_sym_EQ] = ACTIONS(6712),
    [anon_sym_LPAREN] = ACTIONS(6712),
    [anon_sym_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHpart] = ACTIONS(6710),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddpart] = ACTIONS(6710),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHchapter] = ACTIONS(6710),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddchap] = ACTIONS(6710),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHitem] = ACTIONS(6710),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6712),
    [anon_sym_LBRACE] = ACTIONS(6712),
    [sym_word] = ACTIONS(6710),
    [sym_placeholder] = ACTIONS(6712),
    [sym_delimiter] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(6712),
    [anon_sym_SLASH] = ACTIONS(6712),
    [anon_sym_LT] = ACTIONS(6710),
    [anon_sym_GT] = ACTIONS(6710),
    [anon_sym_BANG] = ACTIONS(6710),
    [anon_sym_PIPE] = ACTIONS(6710),
    [anon_sym_COLON] = ACTIONS(6710),
    [anon_sym_SQUOTE] = ACTIONS(6710),
    [anon_sym__] = ACTIONS(6712),
    [anon_sym_CARET] = ACTIONS(6712),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6712),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6712),
    [anon_sym_DOLLAR] = ACTIONS(6710),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6712),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHleft] = ACTIONS(6710),
    [anon_sym_BSLASHbigl] = ACTIONS(6710),
    [anon_sym_BSLASHBigl] = ACTIONS(6710),
    [anon_sym_BSLASHbiggl] = ACTIONS(6710),
    [anon_sym_BSLASHBiggl] = ACTIONS(6710),
    [anon_sym_BSLASHtext] = ACTIONS(6710),
    [anon_sym_BSLASHintertext] = ACTIONS(6710),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6710),
    [anon_sym_BSLASHbegin] = ACTIONS(6710),
    [anon_sym_BSLASHtitle] = ACTIONS(6710),
    [anon_sym_BSLASHauthor] = ACTIONS(6710),
    [anon_sym_BSLASHusepackage] = ACTIONS(6710),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6710),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6710),
    [anon_sym_BSLASHinclude] = ACTIONS(6710),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6710),
    [anon_sym_BSLASHinput] = ACTIONS(6710),
    [anon_sym_BSLASHsubfile] = ACTIONS(6710),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6710),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6710),
    [anon_sym_BSLASHbibliography] = ACTIONS(6710),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6710),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6710),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6710),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6710),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6710),
    [anon_sym_BSLASHimport] = ACTIONS(6710),
    [anon_sym_BSLASHsubimport] = ACTIONS(6710),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6710),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHcaption] = ACTIONS(6710),
    [anon_sym_BSLASHcite] = ACTIONS(6710),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCite] = ACTIONS(6710),
    [anon_sym_BSLASHnocite] = ACTIONS(6710),
    [anon_sym_BSLASHcitet] = ACTIONS(6710),
    [anon_sym_BSLASHcitep] = ACTIONS(6710),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteA] = ACTIONS(6710),
    [anon_sym_BSLASHciteR] = ACTIONS(6710),
    [anon_sym_BSLASHciteS] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6710),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteyear] = ACTIONS(6710),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitedate] = ACTIONS(6710),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteurl] = ACTIONS(6710),
    [anon_sym_BSLASHfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6710),
    [anon_sym_BSLASHcitealt] = ACTIONS(6710),
    [anon_sym_BSLASHcitealp] = ACTIONS(6710),
    [anon_sym_BSLASHcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHparencite] = ACTIONS(6710),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHParencite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHtextcite] = ACTIONS(6710),
    [anon_sym_BSLASHTextcite] = ACTIONS(6710),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHsupercite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite] = ACTIONS(6710),
    [anon_sym_BSLASHAutocite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHVolcite] = ACTIONS(6710),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHavolcite] = ACTIONS(6710),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHNotecite] = ACTIONS(6710),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHlabel] = ACTIONS(6710),
    [anon_sym_BSLASHref] = ACTIONS(6710),
    [anon_sym_BSLASHeqref] = ACTIONS(6710),
    [anon_sym_BSLASHvref] = ACTIONS(6710),
    [anon_sym_BSLASHVref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHpageref] = ACTIONS(6710),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHautopageref] = ACTIONS(6710),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcref] = ACTIONS(6710),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCref] = ACTIONS(6710),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHCpageref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnameCref] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6710),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHdef] = ACTIONS(6710),
    [anon_sym_BSLASHgdef] = ACTIONS(6710),
    [anon_sym_BSLASHedef] = ACTIONS(6710),
    [anon_sym_BSLASHxdef] = ACTIONS(6710),
    [anon_sym_BSLASHlet] = ACTIONS(6710),
    [anon_sym_BSLASHglet] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6710),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6710),
    [anon_sym_BSLASHgls] = ACTIONS(6710),
    [anon_sym_BSLASHGls] = ACTIONS(6710),
    [anon_sym_BSLASHGLS] = ACTIONS(6710),
    [anon_sym_BSLASHglspl] = ACTIONS(6710),
    [anon_sym_BSLASHGlspl] = ACTIONS(6710),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6710),
    [anon_sym_BSLASHglslink] = ACTIONS(6710),
    [anon_sym_BSLASHglstext] = ACTIONS(6710),
    [anon_sym_BSLASHGlstext] = ACTIONS(6710),
    [anon_sym_BSLASHGLStext] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6710),
    [anon_sym_BSLASHglsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsname] = ACTIONS(6710),
    [anon_sym_BSLASHGlsname] = ACTIONS(6710),
    [anon_sym_BSLASHGLSname] = ACTIONS(6710),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6710),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6710),
    [anon_sym_BSLASHacrshort] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6710),
    [anon_sym_BSLASHACRshort] = ACTIONS(6710),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrlong] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6710),
    [anon_sym_BSLASHACRlong] = ACTIONS(6710),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrfull] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6710),
    [anon_sym_BSLASHACRfull] = ACTIONS(6710),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHacs] = ACTIONS(6710),
    [anon_sym_BSLASHAcs] = ACTIONS(6710),
    [anon_sym_BSLASHacsp] = ACTIONS(6710),
    [anon_sym_BSLASHAcsp] = ACTIONS(6710),
    [anon_sym_BSLASHacl] = ACTIONS(6710),
    [anon_sym_BSLASHAcl] = ACTIONS(6710),
    [anon_sym_BSLASHaclp] = ACTIONS(6710),
    [anon_sym_BSLASHAclp] = ACTIONS(6710),
    [anon_sym_BSLASHacf] = ACTIONS(6710),
    [anon_sym_BSLASHAcf] = ACTIONS(6710),
    [anon_sym_BSLASHacfp] = ACTIONS(6710),
    [anon_sym_BSLASHAcfp] = ACTIONS(6710),
    [anon_sym_BSLASHac] = ACTIONS(6710),
    [anon_sym_BSLASHAc] = ACTIONS(6710),
    [anon_sym_BSLASHacp] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6710),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6710),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6710),
    [anon_sym_BSLASHcolor] = ACTIONS(6710),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6710),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6710),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6710),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6710),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6710),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6710),
    [anon_sym_BSLASHurl] = ACTIONS(6710),
    [anon_sym_BSLASHhref] = ACTIONS(6710),
  },
  [790] = {
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(737),
    [aux_sym__section_repeat4] = STATE(737),
    [sym_command_name] = ACTIONS(6710),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6710),
    [anon_sym_LBRACK] = ACTIONS(6712),
    [anon_sym_RBRACK] = ACTIONS(6712),
    [anon_sym_COMMA] = ACTIONS(6712),
    [anon_sym_EQ] = ACTIONS(6712),
    [anon_sym_LPAREN] = ACTIONS(6712),
    [anon_sym_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHpart] = ACTIONS(6710),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddpart] = ACTIONS(6710),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHchapter] = ACTIONS(6710),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddchap] = ACTIONS(6710),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsection] = ACTIONS(6710),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddsec] = ACTIONS(6710),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHitem] = ACTIONS(6710),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6712),
    [anon_sym_LBRACE] = ACTIONS(6712),
    [sym_word] = ACTIONS(6710),
    [sym_placeholder] = ACTIONS(6712),
    [sym_delimiter] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(6712),
    [anon_sym_SLASH] = ACTIONS(6712),
    [anon_sym_LT] = ACTIONS(6710),
    [anon_sym_GT] = ACTIONS(6710),
    [anon_sym_BANG] = ACTIONS(6710),
    [anon_sym_PIPE] = ACTIONS(6710),
    [anon_sym_COLON] = ACTIONS(6710),
    [anon_sym_SQUOTE] = ACTIONS(6710),
    [anon_sym__] = ACTIONS(6712),
    [anon_sym_CARET] = ACTIONS(6712),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6712),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6712),
    [anon_sym_DOLLAR] = ACTIONS(6710),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6712),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHleft] = ACTIONS(6710),
    [anon_sym_BSLASHbigl] = ACTIONS(6710),
    [anon_sym_BSLASHBigl] = ACTIONS(6710),
    [anon_sym_BSLASHbiggl] = ACTIONS(6710),
    [anon_sym_BSLASHBiggl] = ACTIONS(6710),
    [anon_sym_BSLASHtext] = ACTIONS(6710),
    [anon_sym_BSLASHintertext] = ACTIONS(6710),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6710),
    [anon_sym_BSLASHbegin] = ACTIONS(6710),
    [anon_sym_BSLASHtitle] = ACTIONS(6710),
    [anon_sym_BSLASHauthor] = ACTIONS(6710),
    [anon_sym_BSLASHusepackage] = ACTIONS(6710),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6710),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6710),
    [anon_sym_BSLASHinclude] = ACTIONS(6710),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6710),
    [anon_sym_BSLASHinput] = ACTIONS(6710),
    [anon_sym_BSLASHsubfile] = ACTIONS(6710),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6710),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6710),
    [anon_sym_BSLASHbibliography] = ACTIONS(6710),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6710),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6710),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6710),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6710),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6710),
    [anon_sym_BSLASHimport] = ACTIONS(6710),
    [anon_sym_BSLASHsubimport] = ACTIONS(6710),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6710),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHcaption] = ACTIONS(6710),
    [anon_sym_BSLASHcite] = ACTIONS(6710),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCite] = ACTIONS(6710),
    [anon_sym_BSLASHnocite] = ACTIONS(6710),
    [anon_sym_BSLASHcitet] = ACTIONS(6710),
    [anon_sym_BSLASHcitep] = ACTIONS(6710),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteA] = ACTIONS(6710),
    [anon_sym_BSLASHciteR] = ACTIONS(6710),
    [anon_sym_BSLASHciteS] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6710),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteyear] = ACTIONS(6710),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitedate] = ACTIONS(6710),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteurl] = ACTIONS(6710),
    [anon_sym_BSLASHfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6710),
    [anon_sym_BSLASHcitealt] = ACTIONS(6710),
    [anon_sym_BSLASHcitealp] = ACTIONS(6710),
    [anon_sym_BSLASHcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHparencite] = ACTIONS(6710),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHParencite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHtextcite] = ACTIONS(6710),
    [anon_sym_BSLASHTextcite] = ACTIONS(6710),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHsupercite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite] = ACTIONS(6710),
    [anon_sym_BSLASHAutocite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHVolcite] = ACTIONS(6710),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHavolcite] = ACTIONS(6710),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHNotecite] = ACTIONS(6710),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHlabel] = ACTIONS(6710),
    [anon_sym_BSLASHref] = ACTIONS(6710),
    [anon_sym_BSLASHeqref] = ACTIONS(6710),
    [anon_sym_BSLASHvref] = ACTIONS(6710),
    [anon_sym_BSLASHVref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHpageref] = ACTIONS(6710),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHautopageref] = ACTIONS(6710),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcref] = ACTIONS(6710),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCref] = ACTIONS(6710),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHCpageref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnameCref] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6710),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHdef] = ACTIONS(6710),
    [anon_sym_BSLASHgdef] = ACTIONS(6710),
    [anon_sym_BSLASHedef] = ACTIONS(6710),
    [anon_sym_BSLASHxdef] = ACTIONS(6710),
    [anon_sym_BSLASHlet] = ACTIONS(6710),
    [anon_sym_BSLASHglet] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6710),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6710),
    [anon_sym_BSLASHgls] = ACTIONS(6710),
    [anon_sym_BSLASHGls] = ACTIONS(6710),
    [anon_sym_BSLASHGLS] = ACTIONS(6710),
    [anon_sym_BSLASHglspl] = ACTIONS(6710),
    [anon_sym_BSLASHGlspl] = ACTIONS(6710),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6710),
    [anon_sym_BSLASHglslink] = ACTIONS(6710),
    [anon_sym_BSLASHglstext] = ACTIONS(6710),
    [anon_sym_BSLASHGlstext] = ACTIONS(6710),
    [anon_sym_BSLASHGLStext] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6710),
    [anon_sym_BSLASHglsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsname] = ACTIONS(6710),
    [anon_sym_BSLASHGlsname] = ACTIONS(6710),
    [anon_sym_BSLASHGLSname] = ACTIONS(6710),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6710),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6710),
    [anon_sym_BSLASHacrshort] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6710),
    [anon_sym_BSLASHACRshort] = ACTIONS(6710),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrlong] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6710),
    [anon_sym_BSLASHACRlong] = ACTIONS(6710),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrfull] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6710),
    [anon_sym_BSLASHACRfull] = ACTIONS(6710),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHacs] = ACTIONS(6710),
    [anon_sym_BSLASHAcs] = ACTIONS(6710),
    [anon_sym_BSLASHacsp] = ACTIONS(6710),
    [anon_sym_BSLASHAcsp] = ACTIONS(6710),
    [anon_sym_BSLASHacl] = ACTIONS(6710),
    [anon_sym_BSLASHAcl] = ACTIONS(6710),
    [anon_sym_BSLASHaclp] = ACTIONS(6710),
    [anon_sym_BSLASHAclp] = ACTIONS(6710),
    [anon_sym_BSLASHacf] = ACTIONS(6710),
    [anon_sym_BSLASHAcf] = ACTIONS(6710),
    [anon_sym_BSLASHacfp] = ACTIONS(6710),
    [anon_sym_BSLASHAcfp] = ACTIONS(6710),
    [anon_sym_BSLASHac] = ACTIONS(6710),
    [anon_sym_BSLASHAc] = ACTIONS(6710),
    [anon_sym_BSLASHacp] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6710),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6710),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6710),
    [anon_sym_BSLASHcolor] = ACTIONS(6710),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6710),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6710),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6710),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6710),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6710),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6710),
    [anon_sym_BSLASHurl] = ACTIONS(6710),
    [anon_sym_BSLASHhref] = ACTIONS(6710),
  },
  [791] = {
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(738),
    [aux_sym__section_repeat5] = STATE(738),
    [sym_command_name] = ACTIONS(6710),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6710),
    [anon_sym_LBRACK] = ACTIONS(6712),
    [anon_sym_RBRACK] = ACTIONS(6712),
    [anon_sym_COMMA] = ACTIONS(6712),
    [anon_sym_EQ] = ACTIONS(6712),
    [anon_sym_LPAREN] = ACTIONS(6712),
    [anon_sym_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHpart] = ACTIONS(6710),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddpart] = ACTIONS(6710),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHchapter] = ACTIONS(6710),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddchap] = ACTIONS(6710),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsection] = ACTIONS(6710),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddsec] = ACTIONS(6710),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHitem] = ACTIONS(6710),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6712),
    [anon_sym_LBRACE] = ACTIONS(6712),
    [sym_word] = ACTIONS(6710),
    [sym_placeholder] = ACTIONS(6712),
    [sym_delimiter] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(6712),
    [anon_sym_SLASH] = ACTIONS(6712),
    [anon_sym_LT] = ACTIONS(6710),
    [anon_sym_GT] = ACTIONS(6710),
    [anon_sym_BANG] = ACTIONS(6710),
    [anon_sym_PIPE] = ACTIONS(6710),
    [anon_sym_COLON] = ACTIONS(6710),
    [anon_sym_SQUOTE] = ACTIONS(6710),
    [anon_sym__] = ACTIONS(6712),
    [anon_sym_CARET] = ACTIONS(6712),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6712),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6712),
    [anon_sym_DOLLAR] = ACTIONS(6710),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6712),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHleft] = ACTIONS(6710),
    [anon_sym_BSLASHbigl] = ACTIONS(6710),
    [anon_sym_BSLASHBigl] = ACTIONS(6710),
    [anon_sym_BSLASHbiggl] = ACTIONS(6710),
    [anon_sym_BSLASHBiggl] = ACTIONS(6710),
    [anon_sym_BSLASHtext] = ACTIONS(6710),
    [anon_sym_BSLASHintertext] = ACTIONS(6710),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6710),
    [anon_sym_BSLASHbegin] = ACTIONS(6710),
    [anon_sym_BSLASHtitle] = ACTIONS(6710),
    [anon_sym_BSLASHauthor] = ACTIONS(6710),
    [anon_sym_BSLASHusepackage] = ACTIONS(6710),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6710),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6710),
    [anon_sym_BSLASHinclude] = ACTIONS(6710),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6710),
    [anon_sym_BSLASHinput] = ACTIONS(6710),
    [anon_sym_BSLASHsubfile] = ACTIONS(6710),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6710),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6710),
    [anon_sym_BSLASHbibliography] = ACTIONS(6710),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6710),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6710),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6710),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6710),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6710),
    [anon_sym_BSLASHimport] = ACTIONS(6710),
    [anon_sym_BSLASHsubimport] = ACTIONS(6710),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6710),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHcaption] = ACTIONS(6710),
    [anon_sym_BSLASHcite] = ACTIONS(6710),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCite] = ACTIONS(6710),
    [anon_sym_BSLASHnocite] = ACTIONS(6710),
    [anon_sym_BSLASHcitet] = ACTIONS(6710),
    [anon_sym_BSLASHcitep] = ACTIONS(6710),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteA] = ACTIONS(6710),
    [anon_sym_BSLASHciteR] = ACTIONS(6710),
    [anon_sym_BSLASHciteS] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6710),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteyear] = ACTIONS(6710),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitedate] = ACTIONS(6710),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteurl] = ACTIONS(6710),
    [anon_sym_BSLASHfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6710),
    [anon_sym_BSLASHcitealt] = ACTIONS(6710),
    [anon_sym_BSLASHcitealp] = ACTIONS(6710),
    [anon_sym_BSLASHcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHparencite] = ACTIONS(6710),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHParencite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHtextcite] = ACTIONS(6710),
    [anon_sym_BSLASHTextcite] = ACTIONS(6710),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHsupercite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite] = ACTIONS(6710),
    [anon_sym_BSLASHAutocite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHVolcite] = ACTIONS(6710),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHavolcite] = ACTIONS(6710),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHNotecite] = ACTIONS(6710),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHlabel] = ACTIONS(6710),
    [anon_sym_BSLASHref] = ACTIONS(6710),
    [anon_sym_BSLASHeqref] = ACTIONS(6710),
    [anon_sym_BSLASHvref] = ACTIONS(6710),
    [anon_sym_BSLASHVref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHpageref] = ACTIONS(6710),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHautopageref] = ACTIONS(6710),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcref] = ACTIONS(6710),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCref] = ACTIONS(6710),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHCpageref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnameCref] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6710),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHdef] = ACTIONS(6710),
    [anon_sym_BSLASHgdef] = ACTIONS(6710),
    [anon_sym_BSLASHedef] = ACTIONS(6710),
    [anon_sym_BSLASHxdef] = ACTIONS(6710),
    [anon_sym_BSLASHlet] = ACTIONS(6710),
    [anon_sym_BSLASHglet] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6710),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6710),
    [anon_sym_BSLASHgls] = ACTIONS(6710),
    [anon_sym_BSLASHGls] = ACTIONS(6710),
    [anon_sym_BSLASHGLS] = ACTIONS(6710),
    [anon_sym_BSLASHglspl] = ACTIONS(6710),
    [anon_sym_BSLASHGlspl] = ACTIONS(6710),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6710),
    [anon_sym_BSLASHglslink] = ACTIONS(6710),
    [anon_sym_BSLASHglstext] = ACTIONS(6710),
    [anon_sym_BSLASHGlstext] = ACTIONS(6710),
    [anon_sym_BSLASHGLStext] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6710),
    [anon_sym_BSLASHglsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsname] = ACTIONS(6710),
    [anon_sym_BSLASHGlsname] = ACTIONS(6710),
    [anon_sym_BSLASHGLSname] = ACTIONS(6710),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6710),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6710),
    [anon_sym_BSLASHacrshort] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6710),
    [anon_sym_BSLASHACRshort] = ACTIONS(6710),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrlong] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6710),
    [anon_sym_BSLASHACRlong] = ACTIONS(6710),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrfull] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6710),
    [anon_sym_BSLASHACRfull] = ACTIONS(6710),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHacs] = ACTIONS(6710),
    [anon_sym_BSLASHAcs] = ACTIONS(6710),
    [anon_sym_BSLASHacsp] = ACTIONS(6710),
    [anon_sym_BSLASHAcsp] = ACTIONS(6710),
    [anon_sym_BSLASHacl] = ACTIONS(6710),
    [anon_sym_BSLASHAcl] = ACTIONS(6710),
    [anon_sym_BSLASHaclp] = ACTIONS(6710),
    [anon_sym_BSLASHAclp] = ACTIONS(6710),
    [anon_sym_BSLASHacf] = ACTIONS(6710),
    [anon_sym_BSLASHAcf] = ACTIONS(6710),
    [anon_sym_BSLASHacfp] = ACTIONS(6710),
    [anon_sym_BSLASHAcfp] = ACTIONS(6710),
    [anon_sym_BSLASHac] = ACTIONS(6710),
    [anon_sym_BSLASHAc] = ACTIONS(6710),
    [anon_sym_BSLASHacp] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6710),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6710),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6710),
    [anon_sym_BSLASHcolor] = ACTIONS(6710),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6710),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6710),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6710),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6710),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6710),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6710),
    [anon_sym_BSLASHurl] = ACTIONS(6710),
    [anon_sym_BSLASHhref] = ACTIONS(6710),
  },
  [792] = {
    [sym__paragraph_declaration] = STATE(214),
    [sym_paragraph] = STATE(739),
    [aux_sym__paragraph_repeat1] = STATE(739),
    [sym_command_name] = ACTIONS(6714),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6714),
    [anon_sym_LBRACK] = ACTIONS(6716),
    [anon_sym_RBRACK] = ACTIONS(6716),
    [anon_sym_COMMA] = ACTIONS(6716),
    [anon_sym_EQ] = ACTIONS(6716),
    [anon_sym_LPAREN] = ACTIONS(6716),
    [anon_sym_RPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHpart] = ACTIONS(6714),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddpart] = ACTIONS(6714),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHchapter] = ACTIONS(6714),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddchap] = ACTIONS(6714),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsection] = ACTIONS(6714),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddsec] = ACTIONS(6714),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHparagraph] = ACTIONS(662),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(664),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6714),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHitem] = ACTIONS(6714),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6716),
    [anon_sym_LBRACE] = ACTIONS(6716),
    [sym_word] = ACTIONS(6714),
    [sym_placeholder] = ACTIONS(6716),
    [sym_delimiter] = ACTIONS(6716),
    [anon_sym_PLUS] = ACTIONS(6716),
    [anon_sym_DASH] = ACTIONS(6716),
    [anon_sym_STAR] = ACTIONS(6716),
    [anon_sym_SLASH] = ACTIONS(6716),
    [anon_sym_LT] = ACTIONS(6714),
    [anon_sym_GT] = ACTIONS(6714),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_PIPE] = ACTIONS(6714),
    [anon_sym_COLON] = ACTIONS(6714),
    [anon_sym_SQUOTE] = ACTIONS(6714),
    [anon_sym__] = ACTIONS(6716),
    [anon_sym_CARET] = ACTIONS(6716),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6716),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6716),
    [anon_sym_DOLLAR] = ACTIONS(6714),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6716),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHleft] = ACTIONS(6714),
    [anon_sym_BSLASHbigl] = ACTIONS(6714),
    [anon_sym_BSLASHBigl] = ACTIONS(6714),
    [anon_sym_BSLASHbiggl] = ACTIONS(6714),
    [anon_sym_BSLASHBiggl] = ACTIONS(6714),
    [anon_sym_BSLASHtext] = ACTIONS(6714),
    [anon_sym_BSLASHintertext] = ACTIONS(6714),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6714),
    [anon_sym_BSLASHbegin] = ACTIONS(6714),
    [anon_sym_BSLASHtitle] = ACTIONS(6714),
    [anon_sym_BSLASHauthor] = ACTIONS(6714),
    [anon_sym_BSLASHusepackage] = ACTIONS(6714),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6714),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6714),
    [anon_sym_BSLASHinclude] = ACTIONS(6714),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6714),
    [anon_sym_BSLASHinput] = ACTIONS(6714),
    [anon_sym_BSLASHsubfile] = ACTIONS(6714),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6714),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6714),
    [anon_sym_BSLASHbibliography] = ACTIONS(6714),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6714),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6714),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6714),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6714),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6714),
    [anon_sym_BSLASHimport] = ACTIONS(6714),
    [anon_sym_BSLASHsubimport] = ACTIONS(6714),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6714),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHcaption] = ACTIONS(6714),
    [anon_sym_BSLASHcite] = ACTIONS(6714),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCite] = ACTIONS(6714),
    [anon_sym_BSLASHnocite] = ACTIONS(6714),
    [anon_sym_BSLASHcitet] = ACTIONS(6714),
    [anon_sym_BSLASHcitep] = ACTIONS(6714),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteA] = ACTIONS(6714),
    [anon_sym_BSLASHciteR] = ACTIONS(6714),
    [anon_sym_BSLASHciteS] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6714),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteyear] = ACTIONS(6714),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitedate] = ACTIONS(6714),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteurl] = ACTIONS(6714),
    [anon_sym_BSLASHfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6714),
    [anon_sym_BSLASHcitealt] = ACTIONS(6714),
    [anon_sym_BSLASHcitealp] = ACTIONS(6714),
    [anon_sym_BSLASHcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHparencite] = ACTIONS(6714),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHParencite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHtextcite] = ACTIONS(6714),
    [anon_sym_BSLASHTextcite] = ACTIONS(6714),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHsupercite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite] = ACTIONS(6714),
    [anon_sym_BSLASHAutocite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHVolcite] = ACTIONS(6714),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHavolcite] = ACTIONS(6714),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHNotecite] = ACTIONS(6714),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHlabel] = ACTIONS(6714),
    [anon_sym_BSLASHref] = ACTIONS(6714),
    [anon_sym_BSLASHeqref] = ACTIONS(6714),
    [anon_sym_BSLASHvref] = ACTIONS(6714),
    [anon_sym_BSLASHVref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHpageref] = ACTIONS(6714),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHautopageref] = ACTIONS(6714),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcref] = ACTIONS(6714),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCref] = ACTIONS(6714),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHCpageref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnameCref] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6714),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHdef] = ACTIONS(6714),
    [anon_sym_BSLASHgdef] = ACTIONS(6714),
    [anon_sym_BSLASHedef] = ACTIONS(6714),
    [anon_sym_BSLASHxdef] = ACTIONS(6714),
    [anon_sym_BSLASHlet] = ACTIONS(6714),
    [anon_sym_BSLASHglet] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6714),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6714),
    [anon_sym_BSLASHgls] = ACTIONS(6714),
    [anon_sym_BSLASHGls] = ACTIONS(6714),
    [anon_sym_BSLASHGLS] = ACTIONS(6714),
    [anon_sym_BSLASHglspl] = ACTIONS(6714),
    [anon_sym_BSLASHGlspl] = ACTIONS(6714),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6714),
    [anon_sym_BSLASHglslink] = ACTIONS(6714),
    [anon_sym_BSLASHglstext] = ACTIONS(6714),
    [anon_sym_BSLASHGlstext] = ACTIONS(6714),
    [anon_sym_BSLASHGLStext] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6714),
    [anon_sym_BSLASHglsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsname] = ACTIONS(6714),
    [anon_sym_BSLASHGlsname] = ACTIONS(6714),
    [anon_sym_BSLASHGLSname] = ACTIONS(6714),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6714),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6714),
    [anon_sym_BSLASHacrshort] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6714),
    [anon_sym_BSLASHACRshort] = ACTIONS(6714),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrlong] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6714),
    [anon_sym_BSLASHACRlong] = ACTIONS(6714),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrfull] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6714),
    [anon_sym_BSLASHACRfull] = ACTIONS(6714),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHacs] = ACTIONS(6714),
    [anon_sym_BSLASHAcs] = ACTIONS(6714),
    [anon_sym_BSLASHacsp] = ACTIONS(6714),
    [anon_sym_BSLASHAcsp] = ACTIONS(6714),
    [anon_sym_BSLASHacl] = ACTIONS(6714),
    [anon_sym_BSLASHAcl] = ACTIONS(6714),
    [anon_sym_BSLASHaclp] = ACTIONS(6714),
    [anon_sym_BSLASHAclp] = ACTIONS(6714),
    [anon_sym_BSLASHacf] = ACTIONS(6714),
    [anon_sym_BSLASHAcf] = ACTIONS(6714),
    [anon_sym_BSLASHacfp] = ACTIONS(6714),
    [anon_sym_BSLASHAcfp] = ACTIONS(6714),
    [anon_sym_BSLASHac] = ACTIONS(6714),
    [anon_sym_BSLASHAc] = ACTIONS(6714),
    [anon_sym_BSLASHacp] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6714),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6714),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6714),
    [anon_sym_BSLASHcolor] = ACTIONS(6714),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6714),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6714),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6714),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6714),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6714),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6714),
    [anon_sym_BSLASHurl] = ACTIONS(6714),
    [anon_sym_BSLASHhref] = ACTIONS(6714),
  },
  [793] = {
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(740),
    [aux_sym__paragraph_repeat2] = STATE(740),
    [sym_command_name] = ACTIONS(6714),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6714),
    [anon_sym_LBRACK] = ACTIONS(6716),
    [anon_sym_RBRACK] = ACTIONS(6716),
    [anon_sym_COMMA] = ACTIONS(6716),
    [anon_sym_EQ] = ACTIONS(6716),
    [anon_sym_LPAREN] = ACTIONS(6716),
    [anon_sym_RPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHpart] = ACTIONS(6714),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddpart] = ACTIONS(6714),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHchapter] = ACTIONS(6714),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddchap] = ACTIONS(6714),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsection] = ACTIONS(6714),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddsec] = ACTIONS(6714),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHparagraph] = ACTIONS(6714),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(6714),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6716),
    [anon_sym_LBRACE] = ACTIONS(6716),
    [sym_word] = ACTIONS(6714),
    [sym_placeholder] = ACTIONS(6716),
    [sym_delimiter] = ACTIONS(6716),
    [anon_sym_PLUS] = ACTIONS(6716),
    [anon_sym_DASH] = ACTIONS(6716),
    [anon_sym_STAR] = ACTIONS(6716),
    [anon_sym_SLASH] = ACTIONS(6716),
    [anon_sym_LT] = ACTIONS(6714),
    [anon_sym_GT] = ACTIONS(6714),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_PIPE] = ACTIONS(6714),
    [anon_sym_COLON] = ACTIONS(6714),
    [anon_sym_SQUOTE] = ACTIONS(6714),
    [anon_sym__] = ACTIONS(6716),
    [anon_sym_CARET] = ACTIONS(6716),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6716),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6716),
    [anon_sym_DOLLAR] = ACTIONS(6714),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6716),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHleft] = ACTIONS(6714),
    [anon_sym_BSLASHbigl] = ACTIONS(6714),
    [anon_sym_BSLASHBigl] = ACTIONS(6714),
    [anon_sym_BSLASHbiggl] = ACTIONS(6714),
    [anon_sym_BSLASHBiggl] = ACTIONS(6714),
    [anon_sym_BSLASHtext] = ACTIONS(6714),
    [anon_sym_BSLASHintertext] = ACTIONS(6714),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6714),
    [anon_sym_BSLASHbegin] = ACTIONS(6714),
    [anon_sym_BSLASHtitle] = ACTIONS(6714),
    [anon_sym_BSLASHauthor] = ACTIONS(6714),
    [anon_sym_BSLASHusepackage] = ACTIONS(6714),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6714),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6714),
    [anon_sym_BSLASHinclude] = ACTIONS(6714),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6714),
    [anon_sym_BSLASHinput] = ACTIONS(6714),
    [anon_sym_BSLASHsubfile] = ACTIONS(6714),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6714),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6714),
    [anon_sym_BSLASHbibliography] = ACTIONS(6714),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6714),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6714),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6714),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6714),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6714),
    [anon_sym_BSLASHimport] = ACTIONS(6714),
    [anon_sym_BSLASHsubimport] = ACTIONS(6714),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6714),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHcaption] = ACTIONS(6714),
    [anon_sym_BSLASHcite] = ACTIONS(6714),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCite] = ACTIONS(6714),
    [anon_sym_BSLASHnocite] = ACTIONS(6714),
    [anon_sym_BSLASHcitet] = ACTIONS(6714),
    [anon_sym_BSLASHcitep] = ACTIONS(6714),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteA] = ACTIONS(6714),
    [anon_sym_BSLASHciteR] = ACTIONS(6714),
    [anon_sym_BSLASHciteS] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6714),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteyear] = ACTIONS(6714),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitedate] = ACTIONS(6714),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteurl] = ACTIONS(6714),
    [anon_sym_BSLASHfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6714),
    [anon_sym_BSLASHcitealt] = ACTIONS(6714),
    [anon_sym_BSLASHcitealp] = ACTIONS(6714),
    [anon_sym_BSLASHcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHparencite] = ACTIONS(6714),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHParencite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHtextcite] = ACTIONS(6714),
    [anon_sym_BSLASHTextcite] = ACTIONS(6714),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHsupercite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite] = ACTIONS(6714),
    [anon_sym_BSLASHAutocite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHVolcite] = ACTIONS(6714),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHavolcite] = ACTIONS(6714),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHNotecite] = ACTIONS(6714),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHlabel] = ACTIONS(6714),
    [anon_sym_BSLASHref] = ACTIONS(6714),
    [anon_sym_BSLASHeqref] = ACTIONS(6714),
    [anon_sym_BSLASHvref] = ACTIONS(6714),
    [anon_sym_BSLASHVref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHpageref] = ACTIONS(6714),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHautopageref] = ACTIONS(6714),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcref] = ACTIONS(6714),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCref] = ACTIONS(6714),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHCpageref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnameCref] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6714),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHdef] = ACTIONS(6714),
    [anon_sym_BSLASHgdef] = ACTIONS(6714),
    [anon_sym_BSLASHedef] = ACTIONS(6714),
    [anon_sym_BSLASHxdef] = ACTIONS(6714),
    [anon_sym_BSLASHlet] = ACTIONS(6714),
    [anon_sym_BSLASHglet] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6714),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6714),
    [anon_sym_BSLASHgls] = ACTIONS(6714),
    [anon_sym_BSLASHGls] = ACTIONS(6714),
    [anon_sym_BSLASHGLS] = ACTIONS(6714),
    [anon_sym_BSLASHglspl] = ACTIONS(6714),
    [anon_sym_BSLASHGlspl] = ACTIONS(6714),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6714),
    [anon_sym_BSLASHglslink] = ACTIONS(6714),
    [anon_sym_BSLASHglstext] = ACTIONS(6714),
    [anon_sym_BSLASHGlstext] = ACTIONS(6714),
    [anon_sym_BSLASHGLStext] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6714),
    [anon_sym_BSLASHglsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsname] = ACTIONS(6714),
    [anon_sym_BSLASHGlsname] = ACTIONS(6714),
    [anon_sym_BSLASHGLSname] = ACTIONS(6714),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6714),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6714),
    [anon_sym_BSLASHacrshort] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6714),
    [anon_sym_BSLASHACRshort] = ACTIONS(6714),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrlong] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6714),
    [anon_sym_BSLASHACRlong] = ACTIONS(6714),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrfull] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6714),
    [anon_sym_BSLASHACRfull] = ACTIONS(6714),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHacs] = ACTIONS(6714),
    [anon_sym_BSLASHAcs] = ACTIONS(6714),
    [anon_sym_BSLASHacsp] = ACTIONS(6714),
    [anon_sym_BSLASHAcsp] = ACTIONS(6714),
    [anon_sym_BSLASHacl] = ACTIONS(6714),
    [anon_sym_BSLASHAcl] = ACTIONS(6714),
    [anon_sym_BSLASHaclp] = ACTIONS(6714),
    [anon_sym_BSLASHAclp] = ACTIONS(6714),
    [anon_sym_BSLASHacf] = ACTIONS(6714),
    [anon_sym_BSLASHAcf] = ACTIONS(6714),
    [anon_sym_BSLASHacfp] = ACTIONS(6714),
    [anon_sym_BSLASHAcfp] = ACTIONS(6714),
    [anon_sym_BSLASHac] = ACTIONS(6714),
    [anon_sym_BSLASHAc] = ACTIONS(6714),
    [anon_sym_BSLASHacp] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6714),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6714),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6714),
    [anon_sym_BSLASHcolor] = ACTIONS(6714),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6714),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6714),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6714),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6714),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6714),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6714),
    [anon_sym_BSLASHurl] = ACTIONS(6714),
    [anon_sym_BSLASHhref] = ACTIONS(6714),
  },
  [794] = {
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(741),
    [aux_sym__paragraph_repeat3] = STATE(741),
    [sym_command_name] = ACTIONS(6714),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6714),
    [anon_sym_LBRACK] = ACTIONS(6716),
    [anon_sym_RBRACK] = ACTIONS(6716),
    [anon_sym_COMMA] = ACTIONS(6716),
    [anon_sym_EQ] = ACTIONS(6716),
    [anon_sym_LPAREN] = ACTIONS(6716),
    [anon_sym_RPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHpart] = ACTIONS(6714),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddpart] = ACTIONS(6714),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHchapter] = ACTIONS(6714),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddchap] = ACTIONS(6714),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsection] = ACTIONS(6714),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddsec] = ACTIONS(6714),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHparagraph] = ACTIONS(6714),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6714),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(6716),
    [sym_word] = ACTIONS(6714),
    [sym_placeholder] = ACTIONS(6716),
    [sym_delimiter] = ACTIONS(6716),
    [anon_sym_PLUS] = ACTIONS(6716),
    [anon_sym_DASH] = ACTIONS(6716),
    [anon_sym_STAR] = ACTIONS(6716),
    [anon_sym_SLASH] = ACTIONS(6716),
    [anon_sym_LT] = ACTIONS(6714),
    [anon_sym_GT] = ACTIONS(6714),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_PIPE] = ACTIONS(6714),
    [anon_sym_COLON] = ACTIONS(6714),
    [anon_sym_SQUOTE] = ACTIONS(6714),
    [anon_sym__] = ACTIONS(6716),
    [anon_sym_CARET] = ACTIONS(6716),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6716),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6716),
    [anon_sym_DOLLAR] = ACTIONS(6714),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6716),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHleft] = ACTIONS(6714),
    [anon_sym_BSLASHbigl] = ACTIONS(6714),
    [anon_sym_BSLASHBigl] = ACTIONS(6714),
    [anon_sym_BSLASHbiggl] = ACTIONS(6714),
    [anon_sym_BSLASHBiggl] = ACTIONS(6714),
    [anon_sym_BSLASHtext] = ACTIONS(6714),
    [anon_sym_BSLASHintertext] = ACTIONS(6714),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6714),
    [anon_sym_BSLASHbegin] = ACTIONS(6714),
    [anon_sym_BSLASHtitle] = ACTIONS(6714),
    [anon_sym_BSLASHauthor] = ACTIONS(6714),
    [anon_sym_BSLASHusepackage] = ACTIONS(6714),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6714),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6714),
    [anon_sym_BSLASHinclude] = ACTIONS(6714),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6714),
    [anon_sym_BSLASHinput] = ACTIONS(6714),
    [anon_sym_BSLASHsubfile] = ACTIONS(6714),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6714),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6714),
    [anon_sym_BSLASHbibliography] = ACTIONS(6714),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6714),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6714),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6714),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6714),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6714),
    [anon_sym_BSLASHimport] = ACTIONS(6714),
    [anon_sym_BSLASHsubimport] = ACTIONS(6714),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6714),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHcaption] = ACTIONS(6714),
    [anon_sym_BSLASHcite] = ACTIONS(6714),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCite] = ACTIONS(6714),
    [anon_sym_BSLASHnocite] = ACTIONS(6714),
    [anon_sym_BSLASHcitet] = ACTIONS(6714),
    [anon_sym_BSLASHcitep] = ACTIONS(6714),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteA] = ACTIONS(6714),
    [anon_sym_BSLASHciteR] = ACTIONS(6714),
    [anon_sym_BSLASHciteS] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6714),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteyear] = ACTIONS(6714),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitedate] = ACTIONS(6714),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteurl] = ACTIONS(6714),
    [anon_sym_BSLASHfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6714),
    [anon_sym_BSLASHcitealt] = ACTIONS(6714),
    [anon_sym_BSLASHcitealp] = ACTIONS(6714),
    [anon_sym_BSLASHcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHparencite] = ACTIONS(6714),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHParencite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHtextcite] = ACTIONS(6714),
    [anon_sym_BSLASHTextcite] = ACTIONS(6714),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHsupercite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite] = ACTIONS(6714),
    [anon_sym_BSLASHAutocite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHVolcite] = ACTIONS(6714),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHavolcite] = ACTIONS(6714),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHNotecite] = ACTIONS(6714),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHlabel] = ACTIONS(6714),
    [anon_sym_BSLASHref] = ACTIONS(6714),
    [anon_sym_BSLASHeqref] = ACTIONS(6714),
    [anon_sym_BSLASHvref] = ACTIONS(6714),
    [anon_sym_BSLASHVref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHpageref] = ACTIONS(6714),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHautopageref] = ACTIONS(6714),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcref] = ACTIONS(6714),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCref] = ACTIONS(6714),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHCpageref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnameCref] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6714),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHdef] = ACTIONS(6714),
    [anon_sym_BSLASHgdef] = ACTIONS(6714),
    [anon_sym_BSLASHedef] = ACTIONS(6714),
    [anon_sym_BSLASHxdef] = ACTIONS(6714),
    [anon_sym_BSLASHlet] = ACTIONS(6714),
    [anon_sym_BSLASHglet] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6714),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6714),
    [anon_sym_BSLASHgls] = ACTIONS(6714),
    [anon_sym_BSLASHGls] = ACTIONS(6714),
    [anon_sym_BSLASHGLS] = ACTIONS(6714),
    [anon_sym_BSLASHglspl] = ACTIONS(6714),
    [anon_sym_BSLASHGlspl] = ACTIONS(6714),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6714),
    [anon_sym_BSLASHglslink] = ACTIONS(6714),
    [anon_sym_BSLASHglstext] = ACTIONS(6714),
    [anon_sym_BSLASHGlstext] = ACTIONS(6714),
    [anon_sym_BSLASHGLStext] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6714),
    [anon_sym_BSLASHglsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsname] = ACTIONS(6714),
    [anon_sym_BSLASHGlsname] = ACTIONS(6714),
    [anon_sym_BSLASHGLSname] = ACTIONS(6714),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6714),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6714),
    [anon_sym_BSLASHacrshort] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6714),
    [anon_sym_BSLASHACRshort] = ACTIONS(6714),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrlong] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6714),
    [anon_sym_BSLASHACRlong] = ACTIONS(6714),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrfull] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6714),
    [anon_sym_BSLASHACRfull] = ACTIONS(6714),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHacs] = ACTIONS(6714),
    [anon_sym_BSLASHAcs] = ACTIONS(6714),
    [anon_sym_BSLASHacsp] = ACTIONS(6714),
    [anon_sym_BSLASHAcsp] = ACTIONS(6714),
    [anon_sym_BSLASHacl] = ACTIONS(6714),
    [anon_sym_BSLASHAcl] = ACTIONS(6714),
    [anon_sym_BSLASHaclp] = ACTIONS(6714),
    [anon_sym_BSLASHAclp] = ACTIONS(6714),
    [anon_sym_BSLASHacf] = ACTIONS(6714),
    [anon_sym_BSLASHAcf] = ACTIONS(6714),
    [anon_sym_BSLASHacfp] = ACTIONS(6714),
    [anon_sym_BSLASHAcfp] = ACTIONS(6714),
    [anon_sym_BSLASHac] = ACTIONS(6714),
    [anon_sym_BSLASHAc] = ACTIONS(6714),
    [anon_sym_BSLASHacp] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6714),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6714),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6714),
    [anon_sym_BSLASHcolor] = ACTIONS(6714),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6714),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6714),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6714),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6714),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6714),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6714),
    [anon_sym_BSLASHurl] = ACTIONS(6714),
    [anon_sym_BSLASHhref] = ACTIONS(6714),
  },
  [795] = {
    [sym__part_declaration] = STATE(163),
    [sym_part] = STATE(819),
    [aux_sym__section_repeat1] = STATE(819),
    [sym_command_name] = ACTIONS(6710),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6710),
    [anon_sym_LBRACK] = ACTIONS(6712),
    [anon_sym_RBRACK] = ACTIONS(6712),
    [anon_sym_COMMA] = ACTIONS(6712),
    [anon_sym_EQ] = ACTIONS(6712),
    [anon_sym_LPAREN] = ACTIONS(6712),
    [anon_sym_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHpart] = ACTIONS(680),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHaddpart] = ACTIONS(680),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(682),
    [anon_sym_BSLASHchapter] = ACTIONS(6710),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddchap] = ACTIONS(6710),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsection] = ACTIONS(6710),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddsec] = ACTIONS(6710),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHitem] = ACTIONS(6710),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6712),
    [anon_sym_LBRACE] = ACTIONS(6712),
    [sym_word] = ACTIONS(6710),
    [sym_placeholder] = ACTIONS(6712),
    [sym_delimiter] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(6712),
    [anon_sym_SLASH] = ACTIONS(6712),
    [anon_sym_LT] = ACTIONS(6710),
    [anon_sym_GT] = ACTIONS(6710),
    [anon_sym_BANG] = ACTIONS(6710),
    [anon_sym_PIPE] = ACTIONS(6710),
    [anon_sym_COLON] = ACTIONS(6710),
    [anon_sym_SQUOTE] = ACTIONS(6710),
    [anon_sym__] = ACTIONS(6712),
    [anon_sym_CARET] = ACTIONS(6712),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6712),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6712),
    [anon_sym_DOLLAR] = ACTIONS(6710),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHleft] = ACTIONS(6710),
    [anon_sym_BSLASHbigl] = ACTIONS(6710),
    [anon_sym_BSLASHBigl] = ACTIONS(6710),
    [anon_sym_BSLASHbiggl] = ACTIONS(6710),
    [anon_sym_BSLASHBiggl] = ACTIONS(6710),
    [anon_sym_BSLASHtext] = ACTIONS(6710),
    [anon_sym_BSLASHintertext] = ACTIONS(6710),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6710),
    [anon_sym_BSLASHbegin] = ACTIONS(6710),
    [anon_sym_BSLASHend] = ACTIONS(6710),
    [anon_sym_BSLASHtitle] = ACTIONS(6710),
    [anon_sym_BSLASHauthor] = ACTIONS(6710),
    [anon_sym_BSLASHusepackage] = ACTIONS(6710),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6710),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6710),
    [anon_sym_BSLASHinclude] = ACTIONS(6710),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6710),
    [anon_sym_BSLASHinput] = ACTIONS(6710),
    [anon_sym_BSLASHsubfile] = ACTIONS(6710),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6710),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6710),
    [anon_sym_BSLASHbibliography] = ACTIONS(6710),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6710),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6710),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6710),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6710),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6710),
    [anon_sym_BSLASHimport] = ACTIONS(6710),
    [anon_sym_BSLASHsubimport] = ACTIONS(6710),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6710),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHcaption] = ACTIONS(6710),
    [anon_sym_BSLASHcite] = ACTIONS(6710),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCite] = ACTIONS(6710),
    [anon_sym_BSLASHnocite] = ACTIONS(6710),
    [anon_sym_BSLASHcitet] = ACTIONS(6710),
    [anon_sym_BSLASHcitep] = ACTIONS(6710),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteA] = ACTIONS(6710),
    [anon_sym_BSLASHciteR] = ACTIONS(6710),
    [anon_sym_BSLASHciteS] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6710),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteyear] = ACTIONS(6710),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitedate] = ACTIONS(6710),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteurl] = ACTIONS(6710),
    [anon_sym_BSLASHfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6710),
    [anon_sym_BSLASHcitealt] = ACTIONS(6710),
    [anon_sym_BSLASHcitealp] = ACTIONS(6710),
    [anon_sym_BSLASHcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHparencite] = ACTIONS(6710),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHParencite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHtextcite] = ACTIONS(6710),
    [anon_sym_BSLASHTextcite] = ACTIONS(6710),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHsupercite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite] = ACTIONS(6710),
    [anon_sym_BSLASHAutocite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHVolcite] = ACTIONS(6710),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHavolcite] = ACTIONS(6710),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHNotecite] = ACTIONS(6710),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHlabel] = ACTIONS(6710),
    [anon_sym_BSLASHref] = ACTIONS(6710),
    [anon_sym_BSLASHeqref] = ACTIONS(6710),
    [anon_sym_BSLASHvref] = ACTIONS(6710),
    [anon_sym_BSLASHVref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHpageref] = ACTIONS(6710),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHautopageref] = ACTIONS(6710),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcref] = ACTIONS(6710),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCref] = ACTIONS(6710),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHCpageref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnameCref] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6710),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHdef] = ACTIONS(6710),
    [anon_sym_BSLASHgdef] = ACTIONS(6710),
    [anon_sym_BSLASHedef] = ACTIONS(6710),
    [anon_sym_BSLASHxdef] = ACTIONS(6710),
    [anon_sym_BSLASHlet] = ACTIONS(6710),
    [anon_sym_BSLASHglet] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6710),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6710),
    [anon_sym_BSLASHgls] = ACTIONS(6710),
    [anon_sym_BSLASHGls] = ACTIONS(6710),
    [anon_sym_BSLASHGLS] = ACTIONS(6710),
    [anon_sym_BSLASHglspl] = ACTIONS(6710),
    [anon_sym_BSLASHGlspl] = ACTIONS(6710),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6710),
    [anon_sym_BSLASHglslink] = ACTIONS(6710),
    [anon_sym_BSLASHglstext] = ACTIONS(6710),
    [anon_sym_BSLASHGlstext] = ACTIONS(6710),
    [anon_sym_BSLASHGLStext] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6710),
    [anon_sym_BSLASHglsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsname] = ACTIONS(6710),
    [anon_sym_BSLASHGlsname] = ACTIONS(6710),
    [anon_sym_BSLASHGLSname] = ACTIONS(6710),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6710),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6710),
    [anon_sym_BSLASHacrshort] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6710),
    [anon_sym_BSLASHACRshort] = ACTIONS(6710),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrlong] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6710),
    [anon_sym_BSLASHACRlong] = ACTIONS(6710),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrfull] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6710),
    [anon_sym_BSLASHACRfull] = ACTIONS(6710),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHacs] = ACTIONS(6710),
    [anon_sym_BSLASHAcs] = ACTIONS(6710),
    [anon_sym_BSLASHacsp] = ACTIONS(6710),
    [anon_sym_BSLASHAcsp] = ACTIONS(6710),
    [anon_sym_BSLASHacl] = ACTIONS(6710),
    [anon_sym_BSLASHAcl] = ACTIONS(6710),
    [anon_sym_BSLASHaclp] = ACTIONS(6710),
    [anon_sym_BSLASHAclp] = ACTIONS(6710),
    [anon_sym_BSLASHacf] = ACTIONS(6710),
    [anon_sym_BSLASHAcf] = ACTIONS(6710),
    [anon_sym_BSLASHacfp] = ACTIONS(6710),
    [anon_sym_BSLASHAcfp] = ACTIONS(6710),
    [anon_sym_BSLASHac] = ACTIONS(6710),
    [anon_sym_BSLASHAc] = ACTIONS(6710),
    [anon_sym_BSLASHacp] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6710),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6710),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6710),
    [anon_sym_BSLASHcolor] = ACTIONS(6710),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6710),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6710),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6710),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6710),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6710),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6710),
    [anon_sym_BSLASHurl] = ACTIONS(6710),
    [anon_sym_BSLASHhref] = ACTIONS(6710),
  },
  [796] = {
    [sym__chapter_declaration] = STATE(173),
    [sym_chapter] = STATE(820),
    [aux_sym__section_repeat2] = STATE(820),
    [sym_command_name] = ACTIONS(6710),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6710),
    [anon_sym_LBRACK] = ACTIONS(6712),
    [anon_sym_RBRACK] = ACTIONS(6712),
    [anon_sym_COMMA] = ACTIONS(6712),
    [anon_sym_EQ] = ACTIONS(6712),
    [anon_sym_LPAREN] = ACTIONS(6712),
    [anon_sym_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHpart] = ACTIONS(6710),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddpart] = ACTIONS(6710),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHchapter] = ACTIONS(684),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(686),
    [anon_sym_BSLASHaddchap] = ACTIONS(684),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(686),
    [anon_sym_BSLASHsection] = ACTIONS(6710),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddsec] = ACTIONS(6710),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHitem] = ACTIONS(6710),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6712),
    [anon_sym_LBRACE] = ACTIONS(6712),
    [sym_word] = ACTIONS(6710),
    [sym_placeholder] = ACTIONS(6712),
    [sym_delimiter] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(6712),
    [anon_sym_SLASH] = ACTIONS(6712),
    [anon_sym_LT] = ACTIONS(6710),
    [anon_sym_GT] = ACTIONS(6710),
    [anon_sym_BANG] = ACTIONS(6710),
    [anon_sym_PIPE] = ACTIONS(6710),
    [anon_sym_COLON] = ACTIONS(6710),
    [anon_sym_SQUOTE] = ACTIONS(6710),
    [anon_sym__] = ACTIONS(6712),
    [anon_sym_CARET] = ACTIONS(6712),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6712),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6712),
    [anon_sym_DOLLAR] = ACTIONS(6710),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHleft] = ACTIONS(6710),
    [anon_sym_BSLASHbigl] = ACTIONS(6710),
    [anon_sym_BSLASHBigl] = ACTIONS(6710),
    [anon_sym_BSLASHbiggl] = ACTIONS(6710),
    [anon_sym_BSLASHBiggl] = ACTIONS(6710),
    [anon_sym_BSLASHtext] = ACTIONS(6710),
    [anon_sym_BSLASHintertext] = ACTIONS(6710),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6710),
    [anon_sym_BSLASHbegin] = ACTIONS(6710),
    [anon_sym_BSLASHend] = ACTIONS(6710),
    [anon_sym_BSLASHtitle] = ACTIONS(6710),
    [anon_sym_BSLASHauthor] = ACTIONS(6710),
    [anon_sym_BSLASHusepackage] = ACTIONS(6710),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6710),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6710),
    [anon_sym_BSLASHinclude] = ACTIONS(6710),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6710),
    [anon_sym_BSLASHinput] = ACTIONS(6710),
    [anon_sym_BSLASHsubfile] = ACTIONS(6710),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6710),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6710),
    [anon_sym_BSLASHbibliography] = ACTIONS(6710),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6710),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6710),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6710),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6710),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6710),
    [anon_sym_BSLASHimport] = ACTIONS(6710),
    [anon_sym_BSLASHsubimport] = ACTIONS(6710),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6710),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHcaption] = ACTIONS(6710),
    [anon_sym_BSLASHcite] = ACTIONS(6710),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCite] = ACTIONS(6710),
    [anon_sym_BSLASHnocite] = ACTIONS(6710),
    [anon_sym_BSLASHcitet] = ACTIONS(6710),
    [anon_sym_BSLASHcitep] = ACTIONS(6710),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteA] = ACTIONS(6710),
    [anon_sym_BSLASHciteR] = ACTIONS(6710),
    [anon_sym_BSLASHciteS] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6710),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteyear] = ACTIONS(6710),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitedate] = ACTIONS(6710),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteurl] = ACTIONS(6710),
    [anon_sym_BSLASHfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6710),
    [anon_sym_BSLASHcitealt] = ACTIONS(6710),
    [anon_sym_BSLASHcitealp] = ACTIONS(6710),
    [anon_sym_BSLASHcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHparencite] = ACTIONS(6710),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHParencite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHtextcite] = ACTIONS(6710),
    [anon_sym_BSLASHTextcite] = ACTIONS(6710),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHsupercite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite] = ACTIONS(6710),
    [anon_sym_BSLASHAutocite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHVolcite] = ACTIONS(6710),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHavolcite] = ACTIONS(6710),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHNotecite] = ACTIONS(6710),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHlabel] = ACTIONS(6710),
    [anon_sym_BSLASHref] = ACTIONS(6710),
    [anon_sym_BSLASHeqref] = ACTIONS(6710),
    [anon_sym_BSLASHvref] = ACTIONS(6710),
    [anon_sym_BSLASHVref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHpageref] = ACTIONS(6710),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHautopageref] = ACTIONS(6710),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcref] = ACTIONS(6710),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCref] = ACTIONS(6710),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHCpageref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnameCref] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6710),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHdef] = ACTIONS(6710),
    [anon_sym_BSLASHgdef] = ACTIONS(6710),
    [anon_sym_BSLASHedef] = ACTIONS(6710),
    [anon_sym_BSLASHxdef] = ACTIONS(6710),
    [anon_sym_BSLASHlet] = ACTIONS(6710),
    [anon_sym_BSLASHglet] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6710),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6710),
    [anon_sym_BSLASHgls] = ACTIONS(6710),
    [anon_sym_BSLASHGls] = ACTIONS(6710),
    [anon_sym_BSLASHGLS] = ACTIONS(6710),
    [anon_sym_BSLASHglspl] = ACTIONS(6710),
    [anon_sym_BSLASHGlspl] = ACTIONS(6710),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6710),
    [anon_sym_BSLASHglslink] = ACTIONS(6710),
    [anon_sym_BSLASHglstext] = ACTIONS(6710),
    [anon_sym_BSLASHGlstext] = ACTIONS(6710),
    [anon_sym_BSLASHGLStext] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6710),
    [anon_sym_BSLASHglsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsname] = ACTIONS(6710),
    [anon_sym_BSLASHGlsname] = ACTIONS(6710),
    [anon_sym_BSLASHGLSname] = ACTIONS(6710),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6710),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6710),
    [anon_sym_BSLASHacrshort] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6710),
    [anon_sym_BSLASHACRshort] = ACTIONS(6710),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrlong] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6710),
    [anon_sym_BSLASHACRlong] = ACTIONS(6710),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrfull] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6710),
    [anon_sym_BSLASHACRfull] = ACTIONS(6710),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHacs] = ACTIONS(6710),
    [anon_sym_BSLASHAcs] = ACTIONS(6710),
    [anon_sym_BSLASHacsp] = ACTIONS(6710),
    [anon_sym_BSLASHAcsp] = ACTIONS(6710),
    [anon_sym_BSLASHacl] = ACTIONS(6710),
    [anon_sym_BSLASHAcl] = ACTIONS(6710),
    [anon_sym_BSLASHaclp] = ACTIONS(6710),
    [anon_sym_BSLASHAclp] = ACTIONS(6710),
    [anon_sym_BSLASHacf] = ACTIONS(6710),
    [anon_sym_BSLASHAcf] = ACTIONS(6710),
    [anon_sym_BSLASHacfp] = ACTIONS(6710),
    [anon_sym_BSLASHAcfp] = ACTIONS(6710),
    [anon_sym_BSLASHac] = ACTIONS(6710),
    [anon_sym_BSLASHAc] = ACTIONS(6710),
    [anon_sym_BSLASHacp] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6710),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6710),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6710),
    [anon_sym_BSLASHcolor] = ACTIONS(6710),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6710),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6710),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6710),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6710),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6710),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6710),
    [anon_sym_BSLASHurl] = ACTIONS(6710),
    [anon_sym_BSLASHhref] = ACTIONS(6710),
  },
  [797] = {
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(821),
    [aux_sym__section_repeat3] = STATE(821),
    [sym_command_name] = ACTIONS(6710),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6710),
    [anon_sym_LBRACK] = ACTIONS(6712),
    [anon_sym_RBRACK] = ACTIONS(6712),
    [anon_sym_COMMA] = ACTIONS(6712),
    [anon_sym_EQ] = ACTIONS(6712),
    [anon_sym_LPAREN] = ACTIONS(6712),
    [anon_sym_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHpart] = ACTIONS(6710),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddpart] = ACTIONS(6710),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHchapter] = ACTIONS(6710),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddchap] = ACTIONS(6710),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHitem] = ACTIONS(6710),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6712),
    [anon_sym_LBRACE] = ACTIONS(6712),
    [sym_word] = ACTIONS(6710),
    [sym_placeholder] = ACTIONS(6712),
    [sym_delimiter] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(6712),
    [anon_sym_SLASH] = ACTIONS(6712),
    [anon_sym_LT] = ACTIONS(6710),
    [anon_sym_GT] = ACTIONS(6710),
    [anon_sym_BANG] = ACTIONS(6710),
    [anon_sym_PIPE] = ACTIONS(6710),
    [anon_sym_COLON] = ACTIONS(6710),
    [anon_sym_SQUOTE] = ACTIONS(6710),
    [anon_sym__] = ACTIONS(6712),
    [anon_sym_CARET] = ACTIONS(6712),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6712),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6712),
    [anon_sym_DOLLAR] = ACTIONS(6710),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHleft] = ACTIONS(6710),
    [anon_sym_BSLASHbigl] = ACTIONS(6710),
    [anon_sym_BSLASHBigl] = ACTIONS(6710),
    [anon_sym_BSLASHbiggl] = ACTIONS(6710),
    [anon_sym_BSLASHBiggl] = ACTIONS(6710),
    [anon_sym_BSLASHtext] = ACTIONS(6710),
    [anon_sym_BSLASHintertext] = ACTIONS(6710),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6710),
    [anon_sym_BSLASHbegin] = ACTIONS(6710),
    [anon_sym_BSLASHend] = ACTIONS(6710),
    [anon_sym_BSLASHtitle] = ACTIONS(6710),
    [anon_sym_BSLASHauthor] = ACTIONS(6710),
    [anon_sym_BSLASHusepackage] = ACTIONS(6710),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6710),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6710),
    [anon_sym_BSLASHinclude] = ACTIONS(6710),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6710),
    [anon_sym_BSLASHinput] = ACTIONS(6710),
    [anon_sym_BSLASHsubfile] = ACTIONS(6710),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6710),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6710),
    [anon_sym_BSLASHbibliography] = ACTIONS(6710),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6710),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6710),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6710),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6710),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6710),
    [anon_sym_BSLASHimport] = ACTIONS(6710),
    [anon_sym_BSLASHsubimport] = ACTIONS(6710),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6710),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHcaption] = ACTIONS(6710),
    [anon_sym_BSLASHcite] = ACTIONS(6710),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCite] = ACTIONS(6710),
    [anon_sym_BSLASHnocite] = ACTIONS(6710),
    [anon_sym_BSLASHcitet] = ACTIONS(6710),
    [anon_sym_BSLASHcitep] = ACTIONS(6710),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteA] = ACTIONS(6710),
    [anon_sym_BSLASHciteR] = ACTIONS(6710),
    [anon_sym_BSLASHciteS] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6710),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteyear] = ACTIONS(6710),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitedate] = ACTIONS(6710),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteurl] = ACTIONS(6710),
    [anon_sym_BSLASHfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6710),
    [anon_sym_BSLASHcitealt] = ACTIONS(6710),
    [anon_sym_BSLASHcitealp] = ACTIONS(6710),
    [anon_sym_BSLASHcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHparencite] = ACTIONS(6710),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHParencite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHtextcite] = ACTIONS(6710),
    [anon_sym_BSLASHTextcite] = ACTIONS(6710),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHsupercite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite] = ACTIONS(6710),
    [anon_sym_BSLASHAutocite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHVolcite] = ACTIONS(6710),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHavolcite] = ACTIONS(6710),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHNotecite] = ACTIONS(6710),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHlabel] = ACTIONS(6710),
    [anon_sym_BSLASHref] = ACTIONS(6710),
    [anon_sym_BSLASHeqref] = ACTIONS(6710),
    [anon_sym_BSLASHvref] = ACTIONS(6710),
    [anon_sym_BSLASHVref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHpageref] = ACTIONS(6710),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHautopageref] = ACTIONS(6710),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcref] = ACTIONS(6710),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCref] = ACTIONS(6710),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHCpageref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnameCref] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6710),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHdef] = ACTIONS(6710),
    [anon_sym_BSLASHgdef] = ACTIONS(6710),
    [anon_sym_BSLASHedef] = ACTIONS(6710),
    [anon_sym_BSLASHxdef] = ACTIONS(6710),
    [anon_sym_BSLASHlet] = ACTIONS(6710),
    [anon_sym_BSLASHglet] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6710),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6710),
    [anon_sym_BSLASHgls] = ACTIONS(6710),
    [anon_sym_BSLASHGls] = ACTIONS(6710),
    [anon_sym_BSLASHGLS] = ACTIONS(6710),
    [anon_sym_BSLASHglspl] = ACTIONS(6710),
    [anon_sym_BSLASHGlspl] = ACTIONS(6710),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6710),
    [anon_sym_BSLASHglslink] = ACTIONS(6710),
    [anon_sym_BSLASHglstext] = ACTIONS(6710),
    [anon_sym_BSLASHGlstext] = ACTIONS(6710),
    [anon_sym_BSLASHGLStext] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6710),
    [anon_sym_BSLASHglsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsname] = ACTIONS(6710),
    [anon_sym_BSLASHGlsname] = ACTIONS(6710),
    [anon_sym_BSLASHGLSname] = ACTIONS(6710),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6710),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6710),
    [anon_sym_BSLASHacrshort] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6710),
    [anon_sym_BSLASHACRshort] = ACTIONS(6710),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrlong] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6710),
    [anon_sym_BSLASHACRlong] = ACTIONS(6710),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrfull] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6710),
    [anon_sym_BSLASHACRfull] = ACTIONS(6710),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHacs] = ACTIONS(6710),
    [anon_sym_BSLASHAcs] = ACTIONS(6710),
    [anon_sym_BSLASHacsp] = ACTIONS(6710),
    [anon_sym_BSLASHAcsp] = ACTIONS(6710),
    [anon_sym_BSLASHacl] = ACTIONS(6710),
    [anon_sym_BSLASHAcl] = ACTIONS(6710),
    [anon_sym_BSLASHaclp] = ACTIONS(6710),
    [anon_sym_BSLASHAclp] = ACTIONS(6710),
    [anon_sym_BSLASHacf] = ACTIONS(6710),
    [anon_sym_BSLASHAcf] = ACTIONS(6710),
    [anon_sym_BSLASHacfp] = ACTIONS(6710),
    [anon_sym_BSLASHAcfp] = ACTIONS(6710),
    [anon_sym_BSLASHac] = ACTIONS(6710),
    [anon_sym_BSLASHAc] = ACTIONS(6710),
    [anon_sym_BSLASHacp] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6710),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6710),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6710),
    [anon_sym_BSLASHcolor] = ACTIONS(6710),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6710),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6710),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6710),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6710),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6710),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6710),
    [anon_sym_BSLASHurl] = ACTIONS(6710),
    [anon_sym_BSLASHhref] = ACTIONS(6710),
  },
  [798] = {
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(822),
    [aux_sym__section_repeat4] = STATE(822),
    [sym_command_name] = ACTIONS(6710),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6710),
    [anon_sym_LBRACK] = ACTIONS(6712),
    [anon_sym_RBRACK] = ACTIONS(6712),
    [anon_sym_COMMA] = ACTIONS(6712),
    [anon_sym_EQ] = ACTIONS(6712),
    [anon_sym_LPAREN] = ACTIONS(6712),
    [anon_sym_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHpart] = ACTIONS(6710),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddpart] = ACTIONS(6710),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHchapter] = ACTIONS(6710),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddchap] = ACTIONS(6710),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsection] = ACTIONS(6710),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddsec] = ACTIONS(6710),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHitem] = ACTIONS(6710),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6712),
    [anon_sym_LBRACE] = ACTIONS(6712),
    [sym_word] = ACTIONS(6710),
    [sym_placeholder] = ACTIONS(6712),
    [sym_delimiter] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(6712),
    [anon_sym_SLASH] = ACTIONS(6712),
    [anon_sym_LT] = ACTIONS(6710),
    [anon_sym_GT] = ACTIONS(6710),
    [anon_sym_BANG] = ACTIONS(6710),
    [anon_sym_PIPE] = ACTIONS(6710),
    [anon_sym_COLON] = ACTIONS(6710),
    [anon_sym_SQUOTE] = ACTIONS(6710),
    [anon_sym__] = ACTIONS(6712),
    [anon_sym_CARET] = ACTIONS(6712),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6712),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6712),
    [anon_sym_DOLLAR] = ACTIONS(6710),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHleft] = ACTIONS(6710),
    [anon_sym_BSLASHbigl] = ACTIONS(6710),
    [anon_sym_BSLASHBigl] = ACTIONS(6710),
    [anon_sym_BSLASHbiggl] = ACTIONS(6710),
    [anon_sym_BSLASHBiggl] = ACTIONS(6710),
    [anon_sym_BSLASHtext] = ACTIONS(6710),
    [anon_sym_BSLASHintertext] = ACTIONS(6710),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6710),
    [anon_sym_BSLASHbegin] = ACTIONS(6710),
    [anon_sym_BSLASHend] = ACTIONS(6710),
    [anon_sym_BSLASHtitle] = ACTIONS(6710),
    [anon_sym_BSLASHauthor] = ACTIONS(6710),
    [anon_sym_BSLASHusepackage] = ACTIONS(6710),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6710),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6710),
    [anon_sym_BSLASHinclude] = ACTIONS(6710),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6710),
    [anon_sym_BSLASHinput] = ACTIONS(6710),
    [anon_sym_BSLASHsubfile] = ACTIONS(6710),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6710),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6710),
    [anon_sym_BSLASHbibliography] = ACTIONS(6710),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6710),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6710),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6710),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6710),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6710),
    [anon_sym_BSLASHimport] = ACTIONS(6710),
    [anon_sym_BSLASHsubimport] = ACTIONS(6710),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6710),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHcaption] = ACTIONS(6710),
    [anon_sym_BSLASHcite] = ACTIONS(6710),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCite] = ACTIONS(6710),
    [anon_sym_BSLASHnocite] = ACTIONS(6710),
    [anon_sym_BSLASHcitet] = ACTIONS(6710),
    [anon_sym_BSLASHcitep] = ACTIONS(6710),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteA] = ACTIONS(6710),
    [anon_sym_BSLASHciteR] = ACTIONS(6710),
    [anon_sym_BSLASHciteS] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6710),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteyear] = ACTIONS(6710),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitedate] = ACTIONS(6710),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteurl] = ACTIONS(6710),
    [anon_sym_BSLASHfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6710),
    [anon_sym_BSLASHcitealt] = ACTIONS(6710),
    [anon_sym_BSLASHcitealp] = ACTIONS(6710),
    [anon_sym_BSLASHcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHparencite] = ACTIONS(6710),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHParencite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHtextcite] = ACTIONS(6710),
    [anon_sym_BSLASHTextcite] = ACTIONS(6710),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHsupercite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite] = ACTIONS(6710),
    [anon_sym_BSLASHAutocite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHVolcite] = ACTIONS(6710),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHavolcite] = ACTIONS(6710),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHNotecite] = ACTIONS(6710),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHlabel] = ACTIONS(6710),
    [anon_sym_BSLASHref] = ACTIONS(6710),
    [anon_sym_BSLASHeqref] = ACTIONS(6710),
    [anon_sym_BSLASHvref] = ACTIONS(6710),
    [anon_sym_BSLASHVref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHpageref] = ACTIONS(6710),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHautopageref] = ACTIONS(6710),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcref] = ACTIONS(6710),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCref] = ACTIONS(6710),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHCpageref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnameCref] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6710),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHdef] = ACTIONS(6710),
    [anon_sym_BSLASHgdef] = ACTIONS(6710),
    [anon_sym_BSLASHedef] = ACTIONS(6710),
    [anon_sym_BSLASHxdef] = ACTIONS(6710),
    [anon_sym_BSLASHlet] = ACTIONS(6710),
    [anon_sym_BSLASHglet] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6710),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6710),
    [anon_sym_BSLASHgls] = ACTIONS(6710),
    [anon_sym_BSLASHGls] = ACTIONS(6710),
    [anon_sym_BSLASHGLS] = ACTIONS(6710),
    [anon_sym_BSLASHglspl] = ACTIONS(6710),
    [anon_sym_BSLASHGlspl] = ACTIONS(6710),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6710),
    [anon_sym_BSLASHglslink] = ACTIONS(6710),
    [anon_sym_BSLASHglstext] = ACTIONS(6710),
    [anon_sym_BSLASHGlstext] = ACTIONS(6710),
    [anon_sym_BSLASHGLStext] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6710),
    [anon_sym_BSLASHglsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsname] = ACTIONS(6710),
    [anon_sym_BSLASHGlsname] = ACTIONS(6710),
    [anon_sym_BSLASHGLSname] = ACTIONS(6710),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6710),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6710),
    [anon_sym_BSLASHacrshort] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6710),
    [anon_sym_BSLASHACRshort] = ACTIONS(6710),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrlong] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6710),
    [anon_sym_BSLASHACRlong] = ACTIONS(6710),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrfull] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6710),
    [anon_sym_BSLASHACRfull] = ACTIONS(6710),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHacs] = ACTIONS(6710),
    [anon_sym_BSLASHAcs] = ACTIONS(6710),
    [anon_sym_BSLASHacsp] = ACTIONS(6710),
    [anon_sym_BSLASHAcsp] = ACTIONS(6710),
    [anon_sym_BSLASHacl] = ACTIONS(6710),
    [anon_sym_BSLASHAcl] = ACTIONS(6710),
    [anon_sym_BSLASHaclp] = ACTIONS(6710),
    [anon_sym_BSLASHAclp] = ACTIONS(6710),
    [anon_sym_BSLASHacf] = ACTIONS(6710),
    [anon_sym_BSLASHAcf] = ACTIONS(6710),
    [anon_sym_BSLASHacfp] = ACTIONS(6710),
    [anon_sym_BSLASHAcfp] = ACTIONS(6710),
    [anon_sym_BSLASHac] = ACTIONS(6710),
    [anon_sym_BSLASHAc] = ACTIONS(6710),
    [anon_sym_BSLASHacp] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6710),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6710),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6710),
    [anon_sym_BSLASHcolor] = ACTIONS(6710),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6710),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6710),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6710),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6710),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6710),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6710),
    [anon_sym_BSLASHurl] = ACTIONS(6710),
    [anon_sym_BSLASHhref] = ACTIONS(6710),
  },
  [799] = {
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(823),
    [aux_sym__section_repeat5] = STATE(823),
    [sym_command_name] = ACTIONS(6710),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6710),
    [anon_sym_LBRACK] = ACTIONS(6712),
    [anon_sym_RBRACK] = ACTIONS(6712),
    [anon_sym_COMMA] = ACTIONS(6712),
    [anon_sym_EQ] = ACTIONS(6712),
    [anon_sym_LPAREN] = ACTIONS(6712),
    [anon_sym_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHpart] = ACTIONS(6710),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddpart] = ACTIONS(6710),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHchapter] = ACTIONS(6710),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddchap] = ACTIONS(6710),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsection] = ACTIONS(6710),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddsec] = ACTIONS(6710),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHitem] = ACTIONS(6710),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6712),
    [anon_sym_LBRACE] = ACTIONS(6712),
    [sym_word] = ACTIONS(6710),
    [sym_placeholder] = ACTIONS(6712),
    [sym_delimiter] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(6712),
    [anon_sym_SLASH] = ACTIONS(6712),
    [anon_sym_LT] = ACTIONS(6710),
    [anon_sym_GT] = ACTIONS(6710),
    [anon_sym_BANG] = ACTIONS(6710),
    [anon_sym_PIPE] = ACTIONS(6710),
    [anon_sym_COLON] = ACTIONS(6710),
    [anon_sym_SQUOTE] = ACTIONS(6710),
    [anon_sym__] = ACTIONS(6712),
    [anon_sym_CARET] = ACTIONS(6712),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6712),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6712),
    [anon_sym_DOLLAR] = ACTIONS(6710),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHleft] = ACTIONS(6710),
    [anon_sym_BSLASHbigl] = ACTIONS(6710),
    [anon_sym_BSLASHBigl] = ACTIONS(6710),
    [anon_sym_BSLASHbiggl] = ACTIONS(6710),
    [anon_sym_BSLASHBiggl] = ACTIONS(6710),
    [anon_sym_BSLASHtext] = ACTIONS(6710),
    [anon_sym_BSLASHintertext] = ACTIONS(6710),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6710),
    [anon_sym_BSLASHbegin] = ACTIONS(6710),
    [anon_sym_BSLASHend] = ACTIONS(6710),
    [anon_sym_BSLASHtitle] = ACTIONS(6710),
    [anon_sym_BSLASHauthor] = ACTIONS(6710),
    [anon_sym_BSLASHusepackage] = ACTIONS(6710),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6710),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6710),
    [anon_sym_BSLASHinclude] = ACTIONS(6710),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6710),
    [anon_sym_BSLASHinput] = ACTIONS(6710),
    [anon_sym_BSLASHsubfile] = ACTIONS(6710),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6710),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6710),
    [anon_sym_BSLASHbibliography] = ACTIONS(6710),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6710),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6710),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6710),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6710),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6710),
    [anon_sym_BSLASHimport] = ACTIONS(6710),
    [anon_sym_BSLASHsubimport] = ACTIONS(6710),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6710),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHcaption] = ACTIONS(6710),
    [anon_sym_BSLASHcite] = ACTIONS(6710),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCite] = ACTIONS(6710),
    [anon_sym_BSLASHnocite] = ACTIONS(6710),
    [anon_sym_BSLASHcitet] = ACTIONS(6710),
    [anon_sym_BSLASHcitep] = ACTIONS(6710),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteA] = ACTIONS(6710),
    [anon_sym_BSLASHciteR] = ACTIONS(6710),
    [anon_sym_BSLASHciteS] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6710),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteyear] = ACTIONS(6710),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitedate] = ACTIONS(6710),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteurl] = ACTIONS(6710),
    [anon_sym_BSLASHfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6710),
    [anon_sym_BSLASHcitealt] = ACTIONS(6710),
    [anon_sym_BSLASHcitealp] = ACTIONS(6710),
    [anon_sym_BSLASHcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHparencite] = ACTIONS(6710),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHParencite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHtextcite] = ACTIONS(6710),
    [anon_sym_BSLASHTextcite] = ACTIONS(6710),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHsupercite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite] = ACTIONS(6710),
    [anon_sym_BSLASHAutocite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHVolcite] = ACTIONS(6710),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHavolcite] = ACTIONS(6710),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHNotecite] = ACTIONS(6710),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHlabel] = ACTIONS(6710),
    [anon_sym_BSLASHref] = ACTIONS(6710),
    [anon_sym_BSLASHeqref] = ACTIONS(6710),
    [anon_sym_BSLASHvref] = ACTIONS(6710),
    [anon_sym_BSLASHVref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHpageref] = ACTIONS(6710),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHautopageref] = ACTIONS(6710),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcref] = ACTIONS(6710),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCref] = ACTIONS(6710),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHCpageref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnameCref] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6710),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHdef] = ACTIONS(6710),
    [anon_sym_BSLASHgdef] = ACTIONS(6710),
    [anon_sym_BSLASHedef] = ACTIONS(6710),
    [anon_sym_BSLASHxdef] = ACTIONS(6710),
    [anon_sym_BSLASHlet] = ACTIONS(6710),
    [anon_sym_BSLASHglet] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6710),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6710),
    [anon_sym_BSLASHgls] = ACTIONS(6710),
    [anon_sym_BSLASHGls] = ACTIONS(6710),
    [anon_sym_BSLASHGLS] = ACTIONS(6710),
    [anon_sym_BSLASHglspl] = ACTIONS(6710),
    [anon_sym_BSLASHGlspl] = ACTIONS(6710),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6710),
    [anon_sym_BSLASHglslink] = ACTIONS(6710),
    [anon_sym_BSLASHglstext] = ACTIONS(6710),
    [anon_sym_BSLASHGlstext] = ACTIONS(6710),
    [anon_sym_BSLASHGLStext] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6710),
    [anon_sym_BSLASHglsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsname] = ACTIONS(6710),
    [anon_sym_BSLASHGlsname] = ACTIONS(6710),
    [anon_sym_BSLASHGLSname] = ACTIONS(6710),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6710),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6710),
    [anon_sym_BSLASHacrshort] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6710),
    [anon_sym_BSLASHACRshort] = ACTIONS(6710),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrlong] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6710),
    [anon_sym_BSLASHACRlong] = ACTIONS(6710),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrfull] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6710),
    [anon_sym_BSLASHACRfull] = ACTIONS(6710),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHacs] = ACTIONS(6710),
    [anon_sym_BSLASHAcs] = ACTIONS(6710),
    [anon_sym_BSLASHacsp] = ACTIONS(6710),
    [anon_sym_BSLASHAcsp] = ACTIONS(6710),
    [anon_sym_BSLASHacl] = ACTIONS(6710),
    [anon_sym_BSLASHAcl] = ACTIONS(6710),
    [anon_sym_BSLASHaclp] = ACTIONS(6710),
    [anon_sym_BSLASHAclp] = ACTIONS(6710),
    [anon_sym_BSLASHacf] = ACTIONS(6710),
    [anon_sym_BSLASHAcf] = ACTIONS(6710),
    [anon_sym_BSLASHacfp] = ACTIONS(6710),
    [anon_sym_BSLASHAcfp] = ACTIONS(6710),
    [anon_sym_BSLASHac] = ACTIONS(6710),
    [anon_sym_BSLASHAc] = ACTIONS(6710),
    [anon_sym_BSLASHacp] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6710),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6710),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6710),
    [anon_sym_BSLASHcolor] = ACTIONS(6710),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6710),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6710),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6710),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6710),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6710),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6710),
    [anon_sym_BSLASHurl] = ACTIONS(6710),
    [anon_sym_BSLASHhref] = ACTIONS(6710),
  },
  [800] = {
    [sym__paragraph_declaration] = STATE(213),
    [sym_paragraph] = STATE(824),
    [aux_sym__paragraph_repeat1] = STATE(824),
    [sym_command_name] = ACTIONS(6714),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6714),
    [anon_sym_LBRACK] = ACTIONS(6716),
    [anon_sym_RBRACK] = ACTIONS(6716),
    [anon_sym_COMMA] = ACTIONS(6716),
    [anon_sym_EQ] = ACTIONS(6716),
    [anon_sym_LPAREN] = ACTIONS(6716),
    [anon_sym_RPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHpart] = ACTIONS(6714),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddpart] = ACTIONS(6714),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHchapter] = ACTIONS(6714),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddchap] = ACTIONS(6714),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsection] = ACTIONS(6714),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddsec] = ACTIONS(6714),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHparagraph] = ACTIONS(700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6714),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHitem] = ACTIONS(6714),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6716),
    [anon_sym_LBRACE] = ACTIONS(6716),
    [sym_word] = ACTIONS(6714),
    [sym_placeholder] = ACTIONS(6716),
    [sym_delimiter] = ACTIONS(6716),
    [anon_sym_PLUS] = ACTIONS(6716),
    [anon_sym_DASH] = ACTIONS(6716),
    [anon_sym_STAR] = ACTIONS(6716),
    [anon_sym_SLASH] = ACTIONS(6716),
    [anon_sym_LT] = ACTIONS(6714),
    [anon_sym_GT] = ACTIONS(6714),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_PIPE] = ACTIONS(6714),
    [anon_sym_COLON] = ACTIONS(6714),
    [anon_sym_SQUOTE] = ACTIONS(6714),
    [anon_sym__] = ACTIONS(6716),
    [anon_sym_CARET] = ACTIONS(6716),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6716),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6716),
    [anon_sym_DOLLAR] = ACTIONS(6714),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHleft] = ACTIONS(6714),
    [anon_sym_BSLASHbigl] = ACTIONS(6714),
    [anon_sym_BSLASHBigl] = ACTIONS(6714),
    [anon_sym_BSLASHbiggl] = ACTIONS(6714),
    [anon_sym_BSLASHBiggl] = ACTIONS(6714),
    [anon_sym_BSLASHtext] = ACTIONS(6714),
    [anon_sym_BSLASHintertext] = ACTIONS(6714),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6714),
    [anon_sym_BSLASHbegin] = ACTIONS(6714),
    [anon_sym_BSLASHend] = ACTIONS(6714),
    [anon_sym_BSLASHtitle] = ACTIONS(6714),
    [anon_sym_BSLASHauthor] = ACTIONS(6714),
    [anon_sym_BSLASHusepackage] = ACTIONS(6714),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6714),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6714),
    [anon_sym_BSLASHinclude] = ACTIONS(6714),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6714),
    [anon_sym_BSLASHinput] = ACTIONS(6714),
    [anon_sym_BSLASHsubfile] = ACTIONS(6714),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6714),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6714),
    [anon_sym_BSLASHbibliography] = ACTIONS(6714),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6714),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6714),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6714),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6714),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6714),
    [anon_sym_BSLASHimport] = ACTIONS(6714),
    [anon_sym_BSLASHsubimport] = ACTIONS(6714),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6714),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHcaption] = ACTIONS(6714),
    [anon_sym_BSLASHcite] = ACTIONS(6714),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCite] = ACTIONS(6714),
    [anon_sym_BSLASHnocite] = ACTIONS(6714),
    [anon_sym_BSLASHcitet] = ACTIONS(6714),
    [anon_sym_BSLASHcitep] = ACTIONS(6714),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteA] = ACTIONS(6714),
    [anon_sym_BSLASHciteR] = ACTIONS(6714),
    [anon_sym_BSLASHciteS] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6714),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteyear] = ACTIONS(6714),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitedate] = ACTIONS(6714),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteurl] = ACTIONS(6714),
    [anon_sym_BSLASHfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6714),
    [anon_sym_BSLASHcitealt] = ACTIONS(6714),
    [anon_sym_BSLASHcitealp] = ACTIONS(6714),
    [anon_sym_BSLASHcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHparencite] = ACTIONS(6714),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHParencite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHtextcite] = ACTIONS(6714),
    [anon_sym_BSLASHTextcite] = ACTIONS(6714),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHsupercite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite] = ACTIONS(6714),
    [anon_sym_BSLASHAutocite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHVolcite] = ACTIONS(6714),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHavolcite] = ACTIONS(6714),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHNotecite] = ACTIONS(6714),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHlabel] = ACTIONS(6714),
    [anon_sym_BSLASHref] = ACTIONS(6714),
    [anon_sym_BSLASHeqref] = ACTIONS(6714),
    [anon_sym_BSLASHvref] = ACTIONS(6714),
    [anon_sym_BSLASHVref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHpageref] = ACTIONS(6714),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHautopageref] = ACTIONS(6714),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcref] = ACTIONS(6714),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCref] = ACTIONS(6714),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHCpageref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnameCref] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6714),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHdef] = ACTIONS(6714),
    [anon_sym_BSLASHgdef] = ACTIONS(6714),
    [anon_sym_BSLASHedef] = ACTIONS(6714),
    [anon_sym_BSLASHxdef] = ACTIONS(6714),
    [anon_sym_BSLASHlet] = ACTIONS(6714),
    [anon_sym_BSLASHglet] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6714),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6714),
    [anon_sym_BSLASHgls] = ACTIONS(6714),
    [anon_sym_BSLASHGls] = ACTIONS(6714),
    [anon_sym_BSLASHGLS] = ACTIONS(6714),
    [anon_sym_BSLASHglspl] = ACTIONS(6714),
    [anon_sym_BSLASHGlspl] = ACTIONS(6714),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6714),
    [anon_sym_BSLASHglslink] = ACTIONS(6714),
    [anon_sym_BSLASHglstext] = ACTIONS(6714),
    [anon_sym_BSLASHGlstext] = ACTIONS(6714),
    [anon_sym_BSLASHGLStext] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6714),
    [anon_sym_BSLASHglsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsname] = ACTIONS(6714),
    [anon_sym_BSLASHGlsname] = ACTIONS(6714),
    [anon_sym_BSLASHGLSname] = ACTIONS(6714),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6714),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6714),
    [anon_sym_BSLASHacrshort] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6714),
    [anon_sym_BSLASHACRshort] = ACTIONS(6714),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrlong] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6714),
    [anon_sym_BSLASHACRlong] = ACTIONS(6714),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrfull] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6714),
    [anon_sym_BSLASHACRfull] = ACTIONS(6714),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHacs] = ACTIONS(6714),
    [anon_sym_BSLASHAcs] = ACTIONS(6714),
    [anon_sym_BSLASHacsp] = ACTIONS(6714),
    [anon_sym_BSLASHAcsp] = ACTIONS(6714),
    [anon_sym_BSLASHacl] = ACTIONS(6714),
    [anon_sym_BSLASHAcl] = ACTIONS(6714),
    [anon_sym_BSLASHaclp] = ACTIONS(6714),
    [anon_sym_BSLASHAclp] = ACTIONS(6714),
    [anon_sym_BSLASHacf] = ACTIONS(6714),
    [anon_sym_BSLASHAcf] = ACTIONS(6714),
    [anon_sym_BSLASHacfp] = ACTIONS(6714),
    [anon_sym_BSLASHAcfp] = ACTIONS(6714),
    [anon_sym_BSLASHac] = ACTIONS(6714),
    [anon_sym_BSLASHAc] = ACTIONS(6714),
    [anon_sym_BSLASHacp] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6714),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6714),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6714),
    [anon_sym_BSLASHcolor] = ACTIONS(6714),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6714),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6714),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6714),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6714),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6714),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6714),
    [anon_sym_BSLASHurl] = ACTIONS(6714),
    [anon_sym_BSLASHhref] = ACTIONS(6714),
  },
  [801] = {
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(825),
    [aux_sym__paragraph_repeat2] = STATE(825),
    [sym_command_name] = ACTIONS(6714),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6714),
    [anon_sym_LBRACK] = ACTIONS(6716),
    [anon_sym_RBRACK] = ACTIONS(6716),
    [anon_sym_COMMA] = ACTIONS(6716),
    [anon_sym_EQ] = ACTIONS(6716),
    [anon_sym_LPAREN] = ACTIONS(6716),
    [anon_sym_RPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHpart] = ACTIONS(6714),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddpart] = ACTIONS(6714),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHchapter] = ACTIONS(6714),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddchap] = ACTIONS(6714),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsection] = ACTIONS(6714),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddsec] = ACTIONS(6714),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHparagraph] = ACTIONS(6714),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(704),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(706),
    [anon_sym_BSLASHitem] = ACTIONS(6714),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6716),
    [anon_sym_LBRACE] = ACTIONS(6716),
    [sym_word] = ACTIONS(6714),
    [sym_placeholder] = ACTIONS(6716),
    [sym_delimiter] = ACTIONS(6716),
    [anon_sym_PLUS] = ACTIONS(6716),
    [anon_sym_DASH] = ACTIONS(6716),
    [anon_sym_STAR] = ACTIONS(6716),
    [anon_sym_SLASH] = ACTIONS(6716),
    [anon_sym_LT] = ACTIONS(6714),
    [anon_sym_GT] = ACTIONS(6714),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_PIPE] = ACTIONS(6714),
    [anon_sym_COLON] = ACTIONS(6714),
    [anon_sym_SQUOTE] = ACTIONS(6714),
    [anon_sym__] = ACTIONS(6716),
    [anon_sym_CARET] = ACTIONS(6716),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6716),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6716),
    [anon_sym_DOLLAR] = ACTIONS(6714),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHleft] = ACTIONS(6714),
    [anon_sym_BSLASHbigl] = ACTIONS(6714),
    [anon_sym_BSLASHBigl] = ACTIONS(6714),
    [anon_sym_BSLASHbiggl] = ACTIONS(6714),
    [anon_sym_BSLASHBiggl] = ACTIONS(6714),
    [anon_sym_BSLASHtext] = ACTIONS(6714),
    [anon_sym_BSLASHintertext] = ACTIONS(6714),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6714),
    [anon_sym_BSLASHbegin] = ACTIONS(6714),
    [anon_sym_BSLASHend] = ACTIONS(6714),
    [anon_sym_BSLASHtitle] = ACTIONS(6714),
    [anon_sym_BSLASHauthor] = ACTIONS(6714),
    [anon_sym_BSLASHusepackage] = ACTIONS(6714),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6714),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6714),
    [anon_sym_BSLASHinclude] = ACTIONS(6714),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6714),
    [anon_sym_BSLASHinput] = ACTIONS(6714),
    [anon_sym_BSLASHsubfile] = ACTIONS(6714),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6714),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6714),
    [anon_sym_BSLASHbibliography] = ACTIONS(6714),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6714),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6714),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6714),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6714),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6714),
    [anon_sym_BSLASHimport] = ACTIONS(6714),
    [anon_sym_BSLASHsubimport] = ACTIONS(6714),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6714),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHcaption] = ACTIONS(6714),
    [anon_sym_BSLASHcite] = ACTIONS(6714),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCite] = ACTIONS(6714),
    [anon_sym_BSLASHnocite] = ACTIONS(6714),
    [anon_sym_BSLASHcitet] = ACTIONS(6714),
    [anon_sym_BSLASHcitep] = ACTIONS(6714),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteA] = ACTIONS(6714),
    [anon_sym_BSLASHciteR] = ACTIONS(6714),
    [anon_sym_BSLASHciteS] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6714),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteyear] = ACTIONS(6714),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitedate] = ACTIONS(6714),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteurl] = ACTIONS(6714),
    [anon_sym_BSLASHfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6714),
    [anon_sym_BSLASHcitealt] = ACTIONS(6714),
    [anon_sym_BSLASHcitealp] = ACTIONS(6714),
    [anon_sym_BSLASHcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHparencite] = ACTIONS(6714),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHParencite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHtextcite] = ACTIONS(6714),
    [anon_sym_BSLASHTextcite] = ACTIONS(6714),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHsupercite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite] = ACTIONS(6714),
    [anon_sym_BSLASHAutocite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHVolcite] = ACTIONS(6714),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHavolcite] = ACTIONS(6714),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHNotecite] = ACTIONS(6714),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHlabel] = ACTIONS(6714),
    [anon_sym_BSLASHref] = ACTIONS(6714),
    [anon_sym_BSLASHeqref] = ACTIONS(6714),
    [anon_sym_BSLASHvref] = ACTIONS(6714),
    [anon_sym_BSLASHVref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHpageref] = ACTIONS(6714),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHautopageref] = ACTIONS(6714),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcref] = ACTIONS(6714),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCref] = ACTIONS(6714),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHCpageref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnameCref] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6714),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHdef] = ACTIONS(6714),
    [anon_sym_BSLASHgdef] = ACTIONS(6714),
    [anon_sym_BSLASHedef] = ACTIONS(6714),
    [anon_sym_BSLASHxdef] = ACTIONS(6714),
    [anon_sym_BSLASHlet] = ACTIONS(6714),
    [anon_sym_BSLASHglet] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6714),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6714),
    [anon_sym_BSLASHgls] = ACTIONS(6714),
    [anon_sym_BSLASHGls] = ACTIONS(6714),
    [anon_sym_BSLASHGLS] = ACTIONS(6714),
    [anon_sym_BSLASHglspl] = ACTIONS(6714),
    [anon_sym_BSLASHGlspl] = ACTIONS(6714),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6714),
    [anon_sym_BSLASHglslink] = ACTIONS(6714),
    [anon_sym_BSLASHglstext] = ACTIONS(6714),
    [anon_sym_BSLASHGlstext] = ACTIONS(6714),
    [anon_sym_BSLASHGLStext] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6714),
    [anon_sym_BSLASHglsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsname] = ACTIONS(6714),
    [anon_sym_BSLASHGlsname] = ACTIONS(6714),
    [anon_sym_BSLASHGLSname] = ACTIONS(6714),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6714),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6714),
    [anon_sym_BSLASHacrshort] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6714),
    [anon_sym_BSLASHACRshort] = ACTIONS(6714),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrlong] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6714),
    [anon_sym_BSLASHACRlong] = ACTIONS(6714),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrfull] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6714),
    [anon_sym_BSLASHACRfull] = ACTIONS(6714),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHacs] = ACTIONS(6714),
    [anon_sym_BSLASHAcs] = ACTIONS(6714),
    [anon_sym_BSLASHacsp] = ACTIONS(6714),
    [anon_sym_BSLASHAcsp] = ACTIONS(6714),
    [anon_sym_BSLASHacl] = ACTIONS(6714),
    [anon_sym_BSLASHAcl] = ACTIONS(6714),
    [anon_sym_BSLASHaclp] = ACTIONS(6714),
    [anon_sym_BSLASHAclp] = ACTIONS(6714),
    [anon_sym_BSLASHacf] = ACTIONS(6714),
    [anon_sym_BSLASHAcf] = ACTIONS(6714),
    [anon_sym_BSLASHacfp] = ACTIONS(6714),
    [anon_sym_BSLASHAcfp] = ACTIONS(6714),
    [anon_sym_BSLASHac] = ACTIONS(6714),
    [anon_sym_BSLASHAc] = ACTIONS(6714),
    [anon_sym_BSLASHacp] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6714),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6714),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6714),
    [anon_sym_BSLASHcolor] = ACTIONS(6714),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6714),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6714),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6714),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6714),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6714),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6714),
    [anon_sym_BSLASHurl] = ACTIONS(6714),
    [anon_sym_BSLASHhref] = ACTIONS(6714),
  },
  [802] = {
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(826),
    [aux_sym__paragraph_repeat3] = STATE(826),
    [sym_command_name] = ACTIONS(6714),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6714),
    [anon_sym_LBRACK] = ACTIONS(6716),
    [anon_sym_RBRACK] = ACTIONS(6716),
    [anon_sym_COMMA] = ACTIONS(6716),
    [anon_sym_EQ] = ACTIONS(6716),
    [anon_sym_LPAREN] = ACTIONS(6716),
    [anon_sym_RPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHpart] = ACTIONS(6714),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddpart] = ACTIONS(6714),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHchapter] = ACTIONS(6714),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddchap] = ACTIONS(6714),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsection] = ACTIONS(6714),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddsec] = ACTIONS(6714),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHparagraph] = ACTIONS(6714),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6714),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(6716),
    [sym_word] = ACTIONS(6714),
    [sym_placeholder] = ACTIONS(6716),
    [sym_delimiter] = ACTIONS(6716),
    [anon_sym_PLUS] = ACTIONS(6716),
    [anon_sym_DASH] = ACTIONS(6716),
    [anon_sym_STAR] = ACTIONS(6716),
    [anon_sym_SLASH] = ACTIONS(6716),
    [anon_sym_LT] = ACTIONS(6714),
    [anon_sym_GT] = ACTIONS(6714),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_PIPE] = ACTIONS(6714),
    [anon_sym_COLON] = ACTIONS(6714),
    [anon_sym_SQUOTE] = ACTIONS(6714),
    [anon_sym__] = ACTIONS(6716),
    [anon_sym_CARET] = ACTIONS(6716),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6716),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6716),
    [anon_sym_DOLLAR] = ACTIONS(6714),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHleft] = ACTIONS(6714),
    [anon_sym_BSLASHbigl] = ACTIONS(6714),
    [anon_sym_BSLASHBigl] = ACTIONS(6714),
    [anon_sym_BSLASHbiggl] = ACTIONS(6714),
    [anon_sym_BSLASHBiggl] = ACTIONS(6714),
    [anon_sym_BSLASHtext] = ACTIONS(6714),
    [anon_sym_BSLASHintertext] = ACTIONS(6714),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6714),
    [anon_sym_BSLASHbegin] = ACTIONS(6714),
    [anon_sym_BSLASHend] = ACTIONS(6714),
    [anon_sym_BSLASHtitle] = ACTIONS(6714),
    [anon_sym_BSLASHauthor] = ACTIONS(6714),
    [anon_sym_BSLASHusepackage] = ACTIONS(6714),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6714),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6714),
    [anon_sym_BSLASHinclude] = ACTIONS(6714),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6714),
    [anon_sym_BSLASHinput] = ACTIONS(6714),
    [anon_sym_BSLASHsubfile] = ACTIONS(6714),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6714),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6714),
    [anon_sym_BSLASHbibliography] = ACTIONS(6714),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6714),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6714),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6714),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6714),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6714),
    [anon_sym_BSLASHimport] = ACTIONS(6714),
    [anon_sym_BSLASHsubimport] = ACTIONS(6714),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6714),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHcaption] = ACTIONS(6714),
    [anon_sym_BSLASHcite] = ACTIONS(6714),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCite] = ACTIONS(6714),
    [anon_sym_BSLASHnocite] = ACTIONS(6714),
    [anon_sym_BSLASHcitet] = ACTIONS(6714),
    [anon_sym_BSLASHcitep] = ACTIONS(6714),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteA] = ACTIONS(6714),
    [anon_sym_BSLASHciteR] = ACTIONS(6714),
    [anon_sym_BSLASHciteS] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6714),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteyear] = ACTIONS(6714),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitedate] = ACTIONS(6714),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteurl] = ACTIONS(6714),
    [anon_sym_BSLASHfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6714),
    [anon_sym_BSLASHcitealt] = ACTIONS(6714),
    [anon_sym_BSLASHcitealp] = ACTIONS(6714),
    [anon_sym_BSLASHcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHparencite] = ACTIONS(6714),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHParencite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHtextcite] = ACTIONS(6714),
    [anon_sym_BSLASHTextcite] = ACTIONS(6714),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHsupercite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite] = ACTIONS(6714),
    [anon_sym_BSLASHAutocite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHVolcite] = ACTIONS(6714),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHavolcite] = ACTIONS(6714),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHNotecite] = ACTIONS(6714),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHlabel] = ACTIONS(6714),
    [anon_sym_BSLASHref] = ACTIONS(6714),
    [anon_sym_BSLASHeqref] = ACTIONS(6714),
    [anon_sym_BSLASHvref] = ACTIONS(6714),
    [anon_sym_BSLASHVref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHpageref] = ACTIONS(6714),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHautopageref] = ACTIONS(6714),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcref] = ACTIONS(6714),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCref] = ACTIONS(6714),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHCpageref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnameCref] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6714),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHdef] = ACTIONS(6714),
    [anon_sym_BSLASHgdef] = ACTIONS(6714),
    [anon_sym_BSLASHedef] = ACTIONS(6714),
    [anon_sym_BSLASHxdef] = ACTIONS(6714),
    [anon_sym_BSLASHlet] = ACTIONS(6714),
    [anon_sym_BSLASHglet] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6714),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6714),
    [anon_sym_BSLASHgls] = ACTIONS(6714),
    [anon_sym_BSLASHGls] = ACTIONS(6714),
    [anon_sym_BSLASHGLS] = ACTIONS(6714),
    [anon_sym_BSLASHglspl] = ACTIONS(6714),
    [anon_sym_BSLASHGlspl] = ACTIONS(6714),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6714),
    [anon_sym_BSLASHglslink] = ACTIONS(6714),
    [anon_sym_BSLASHglstext] = ACTIONS(6714),
    [anon_sym_BSLASHGlstext] = ACTIONS(6714),
    [anon_sym_BSLASHGLStext] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6714),
    [anon_sym_BSLASHglsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsname] = ACTIONS(6714),
    [anon_sym_BSLASHGlsname] = ACTIONS(6714),
    [anon_sym_BSLASHGLSname] = ACTIONS(6714),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6714),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6714),
    [anon_sym_BSLASHacrshort] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6714),
    [anon_sym_BSLASHACRshort] = ACTIONS(6714),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrlong] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6714),
    [anon_sym_BSLASHACRlong] = ACTIONS(6714),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrfull] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6714),
    [anon_sym_BSLASHACRfull] = ACTIONS(6714),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHacs] = ACTIONS(6714),
    [anon_sym_BSLASHAcs] = ACTIONS(6714),
    [anon_sym_BSLASHacsp] = ACTIONS(6714),
    [anon_sym_BSLASHAcsp] = ACTIONS(6714),
    [anon_sym_BSLASHacl] = ACTIONS(6714),
    [anon_sym_BSLASHAcl] = ACTIONS(6714),
    [anon_sym_BSLASHaclp] = ACTIONS(6714),
    [anon_sym_BSLASHAclp] = ACTIONS(6714),
    [anon_sym_BSLASHacf] = ACTIONS(6714),
    [anon_sym_BSLASHAcf] = ACTIONS(6714),
    [anon_sym_BSLASHacfp] = ACTIONS(6714),
    [anon_sym_BSLASHAcfp] = ACTIONS(6714),
    [anon_sym_BSLASHac] = ACTIONS(6714),
    [anon_sym_BSLASHAc] = ACTIONS(6714),
    [anon_sym_BSLASHacp] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6714),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6714),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6714),
    [anon_sym_BSLASHcolor] = ACTIONS(6714),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6714),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6714),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6714),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6714),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6714),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6714),
    [anon_sym_BSLASHurl] = ACTIONS(6714),
    [anon_sym_BSLASHhref] = ACTIONS(6714),
  },
  [803] = {
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(920),
    [aux_sym__section_repeat4] = STATE(920),
    [sym_command_name] = ACTIONS(6700),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6700),
    [anon_sym_LBRACK] = ACTIONS(6702),
    [anon_sym_RBRACK] = ACTIONS(6702),
    [anon_sym_COMMA] = ACTIONS(6702),
    [anon_sym_EQ] = ACTIONS(6702),
    [anon_sym_LPAREN] = ACTIONS(6702),
    [anon_sym_RPAREN] = ACTIONS(6702),
    [anon_sym_BSLASHpart] = ACTIONS(6700),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddpart] = ACTIONS(6700),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHchapter] = ACTIONS(6700),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddchap] = ACTIONS(6700),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsection] = ACTIONS(6700),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddsec] = ACTIONS(6700),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6700),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHparagraph] = ACTIONS(6700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6700),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHitem] = ACTIONS(6700),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6702),
    [anon_sym_LBRACE] = ACTIONS(6702),
    [sym_word] = ACTIONS(6700),
    [sym_placeholder] = ACTIONS(6702),
    [sym_delimiter] = ACTIONS(6702),
    [anon_sym_PLUS] = ACTIONS(6702),
    [anon_sym_DASH] = ACTIONS(6702),
    [anon_sym_STAR] = ACTIONS(6702),
    [anon_sym_SLASH] = ACTIONS(6702),
    [anon_sym_LT] = ACTIONS(6700),
    [anon_sym_GT] = ACTIONS(6700),
    [anon_sym_BANG] = ACTIONS(6700),
    [anon_sym_PIPE] = ACTIONS(6700),
    [anon_sym_COLON] = ACTIONS(6700),
    [anon_sym_SQUOTE] = ACTIONS(6700),
    [anon_sym__] = ACTIONS(6702),
    [anon_sym_CARET] = ACTIONS(6702),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6702),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6702),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6702),
    [anon_sym_DOLLAR] = ACTIONS(6700),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6702),
    [anon_sym_BSLASHleft] = ACTIONS(6700),
    [anon_sym_BSLASHbigl] = ACTIONS(6700),
    [anon_sym_BSLASHBigl] = ACTIONS(6700),
    [anon_sym_BSLASHbiggl] = ACTIONS(6700),
    [anon_sym_BSLASHBiggl] = ACTIONS(6700),
    [anon_sym_BSLASHtext] = ACTIONS(6700),
    [anon_sym_BSLASHintertext] = ACTIONS(6700),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6700),
    [anon_sym_BSLASHbegin] = ACTIONS(6700),
    [anon_sym_BSLASHtitle] = ACTIONS(6700),
    [anon_sym_BSLASHauthor] = ACTIONS(6700),
    [anon_sym_BSLASHusepackage] = ACTIONS(6700),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6700),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6700),
    [anon_sym_BSLASHinclude] = ACTIONS(6700),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6700),
    [anon_sym_BSLASHinput] = ACTIONS(6700),
    [anon_sym_BSLASHsubfile] = ACTIONS(6700),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6700),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6700),
    [anon_sym_BSLASHbibliography] = ACTIONS(6700),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6700),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6700),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6700),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6700),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6700),
    [anon_sym_BSLASHimport] = ACTIONS(6700),
    [anon_sym_BSLASHsubimport] = ACTIONS(6700),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6700),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6700),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6700),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6700),
    [anon_sym_BSLASHcaption] = ACTIONS(6700),
    [anon_sym_BSLASHcite] = ACTIONS(6700),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCite] = ACTIONS(6700),
    [anon_sym_BSLASHnocite] = ACTIONS(6700),
    [anon_sym_BSLASHcitet] = ACTIONS(6700),
    [anon_sym_BSLASHcitep] = ACTIONS(6700),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteA] = ACTIONS(6700),
    [anon_sym_BSLASHciteR] = ACTIONS(6700),
    [anon_sym_BSLASHciteS] = ACTIONS(6700),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6700),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6700),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6700),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6700),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteyear] = ACTIONS(6700),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitedate] = ACTIONS(6700),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteurl] = ACTIONS(6700),
    [anon_sym_BSLASHfullcite] = ACTIONS(6700),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6700),
    [anon_sym_BSLASHcitealt] = ACTIONS(6700),
    [anon_sym_BSLASHcitealp] = ACTIONS(6700),
    [anon_sym_BSLASHcitetext] = ACTIONS(6700),
    [anon_sym_BSLASHparencite] = ACTIONS(6700),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHParencite] = ACTIONS(6700),
    [anon_sym_BSLASHfootcite] = ACTIONS(6700),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6700),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6700),
    [anon_sym_BSLASHtextcite] = ACTIONS(6700),
    [anon_sym_BSLASHTextcite] = ACTIONS(6700),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6700),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6700),
    [anon_sym_BSLASHsupercite] = ACTIONS(6700),
    [anon_sym_BSLASHautocite] = ACTIONS(6700),
    [anon_sym_BSLASHAutocite] = ACTIONS(6700),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHVolcite] = ACTIONS(6700),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHavolcite] = ACTIONS(6700),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHNotecite] = ACTIONS(6700),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHlabel] = ACTIONS(6700),
    [anon_sym_BSLASHref] = ACTIONS(6700),
    [anon_sym_BSLASHeqref] = ACTIONS(6700),
    [anon_sym_BSLASHvref] = ACTIONS(6700),
    [anon_sym_BSLASHVref] = ACTIONS(6700),
    [anon_sym_BSLASHautoref] = ACTIONS(6700),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHpageref] = ACTIONS(6700),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHautopageref] = ACTIONS(6700),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcref] = ACTIONS(6700),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCref] = ACTIONS(6700),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcpageref] = ACTIONS(6700),
    [anon_sym_BSLASHCpageref] = ACTIONS(6700),
    [anon_sym_BSLASHnamecref] = ACTIONS(6700),
    [anon_sym_BSLASHnameCref] = ACTIONS(6700),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6700),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6700),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6700),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6700),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6700),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6700),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6700),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6700),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6700),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6700),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6700),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHdef] = ACTIONS(6700),
    [anon_sym_BSLASHgdef] = ACTIONS(6700),
    [anon_sym_BSLASHedef] = ACTIONS(6700),
    [anon_sym_BSLASHxdef] = ACTIONS(6700),
    [anon_sym_BSLASHlet] = ACTIONS(6700),
    [anon_sym_BSLASHglet] = ACTIONS(6700),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6700),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6700),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6700),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6700),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6700),
    [anon_sym_BSLASHgls] = ACTIONS(6700),
    [anon_sym_BSLASHGls] = ACTIONS(6700),
    [anon_sym_BSLASHGLS] = ACTIONS(6700),
    [anon_sym_BSLASHglspl] = ACTIONS(6700),
    [anon_sym_BSLASHGlspl] = ACTIONS(6700),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6700),
    [anon_sym_BSLASHglslink] = ACTIONS(6700),
    [anon_sym_BSLASHglstext] = ACTIONS(6700),
    [anon_sym_BSLASHGlstext] = ACTIONS(6700),
    [anon_sym_BSLASHGLStext] = ACTIONS(6700),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6700),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6700),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6700),
    [anon_sym_BSLASHglsplural] = ACTIONS(6700),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6700),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6700),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHglsname] = ACTIONS(6700),
    [anon_sym_BSLASHGlsname] = ACTIONS(6700),
    [anon_sym_BSLASHGLSname] = ACTIONS(6700),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6700),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6700),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6700),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6700),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6700),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6700),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6700),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6700),
    [anon_sym_BSLASHacrshort] = ACTIONS(6700),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6700),
    [anon_sym_BSLASHACRshort] = ACTIONS(6700),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHacrlong] = ACTIONS(6700),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6700),
    [anon_sym_BSLASHACRlong] = ACTIONS(6700),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHacrfull] = ACTIONS(6700),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6700),
    [anon_sym_BSLASHACRfull] = ACTIONS(6700),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHacs] = ACTIONS(6700),
    [anon_sym_BSLASHAcs] = ACTIONS(6700),
    [anon_sym_BSLASHacsp] = ACTIONS(6700),
    [anon_sym_BSLASHAcsp] = ACTIONS(6700),
    [anon_sym_BSLASHacl] = ACTIONS(6700),
    [anon_sym_BSLASHAcl] = ACTIONS(6700),
    [anon_sym_BSLASHaclp] = ACTIONS(6700),
    [anon_sym_BSLASHAclp] = ACTIONS(6700),
    [anon_sym_BSLASHacf] = ACTIONS(6700),
    [anon_sym_BSLASHAcf] = ACTIONS(6700),
    [anon_sym_BSLASHacfp] = ACTIONS(6700),
    [anon_sym_BSLASHAcfp] = ACTIONS(6700),
    [anon_sym_BSLASHac] = ACTIONS(6700),
    [anon_sym_BSLASHAc] = ACTIONS(6700),
    [anon_sym_BSLASHacp] = ACTIONS(6700),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6700),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6700),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6700),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6700),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6700),
    [anon_sym_BSLASHcolor] = ACTIONS(6700),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6700),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6700),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6700),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6700),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6700),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6700),
    [anon_sym_BSLASHurl] = ACTIONS(6700),
    [anon_sym_BSLASHhref] = ACTIONS(6700),
  },
  [804] = {
    [sym__chapter_declaration] = STATE(173),
    [sym_chapter] = STATE(820),
    [aux_sym__section_repeat2] = STATE(820),
    [sym_command_name] = ACTIONS(2244),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_RBRACK] = ACTIONS(2246),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_EQ] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(684),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(686),
    [anon_sym_BSLASHaddchap] = ACTIONS(684),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(686),
    [anon_sym_BSLASHsection] = ACTIONS(2244),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddsec] = ACTIONS(2244),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHitem] = ACTIONS(2244),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [sym_word] = ACTIONS(2244),
    [sym_placeholder] = ACTIONS(2246),
    [sym_delimiter] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_COLON] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym__] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2246),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2246),
    [anon_sym_DOLLAR] = ACTIONS(2244),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHleft] = ACTIONS(2244),
    [anon_sym_BSLASHbigl] = ACTIONS(2244),
    [anon_sym_BSLASHBigl] = ACTIONS(2244),
    [anon_sym_BSLASHbiggl] = ACTIONS(2244),
    [anon_sym_BSLASHBiggl] = ACTIONS(2244),
    [anon_sym_BSLASHtext] = ACTIONS(2244),
    [anon_sym_BSLASHintertext] = ACTIONS(2244),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2244),
    [anon_sym_BSLASHbegin] = ACTIONS(2244),
    [anon_sym_BSLASHend] = ACTIONS(2244),
    [anon_sym_BSLASHtitle] = ACTIONS(2244),
    [anon_sym_BSLASHauthor] = ACTIONS(2244),
    [anon_sym_BSLASHusepackage] = ACTIONS(2244),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2244),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2244),
    [anon_sym_BSLASHinclude] = ACTIONS(2244),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2244),
    [anon_sym_BSLASHinput] = ACTIONS(2244),
    [anon_sym_BSLASHsubfile] = ACTIONS(2244),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2244),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2244),
    [anon_sym_BSLASHbibliography] = ACTIONS(2244),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2244),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2244),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2244),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2244),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2244),
    [anon_sym_BSLASHimport] = ACTIONS(2244),
    [anon_sym_BSLASHsubimport] = ACTIONS(2244),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2244),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHcaption] = ACTIONS(2244),
    [anon_sym_BSLASHcite] = ACTIONS(2244),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCite] = ACTIONS(2244),
    [anon_sym_BSLASHnocite] = ACTIONS(2244),
    [anon_sym_BSLASHcitet] = ACTIONS(2244),
    [anon_sym_BSLASHcitep] = ACTIONS(2244),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteA] = ACTIONS(2244),
    [anon_sym_BSLASHciteR] = ACTIONS(2244),
    [anon_sym_BSLASHciteS] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2244),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteyear] = ACTIONS(2244),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitedate] = ACTIONS(2244),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteurl] = ACTIONS(2244),
    [anon_sym_BSLASHfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2244),
    [anon_sym_BSLASHcitealt] = ACTIONS(2244),
    [anon_sym_BSLASHcitealp] = ACTIONS(2244),
    [anon_sym_BSLASHcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHparencite] = ACTIONS(2244),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHParencite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHtextcite] = ACTIONS(2244),
    [anon_sym_BSLASHTextcite] = ACTIONS(2244),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHsupercite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite] = ACTIONS(2244),
    [anon_sym_BSLASHAutocite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHVolcite] = ACTIONS(2244),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHavolcite] = ACTIONS(2244),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHNotecite] = ACTIONS(2244),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHlabel] = ACTIONS(2244),
    [anon_sym_BSLASHref] = ACTIONS(2244),
    [anon_sym_BSLASHeqref] = ACTIONS(2244),
    [anon_sym_BSLASHvref] = ACTIONS(2244),
    [anon_sym_BSLASHVref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHpageref] = ACTIONS(2244),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHautopageref] = ACTIONS(2244),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcref] = ACTIONS(2244),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCref] = ACTIONS(2244),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHCpageref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnameCref] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2244),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHdef] = ACTIONS(2244),
    [anon_sym_BSLASHgdef] = ACTIONS(2244),
    [anon_sym_BSLASHedef] = ACTIONS(2244),
    [anon_sym_BSLASHxdef] = ACTIONS(2244),
    [anon_sym_BSLASHlet] = ACTIONS(2244),
    [anon_sym_BSLASHglet] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2244),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2244),
    [anon_sym_BSLASHgls] = ACTIONS(2244),
    [anon_sym_BSLASHGls] = ACTIONS(2244),
    [anon_sym_BSLASHGLS] = ACTIONS(2244),
    [anon_sym_BSLASHglspl] = ACTIONS(2244),
    [anon_sym_BSLASHGlspl] = ACTIONS(2244),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2244),
    [anon_sym_BSLASHglslink] = ACTIONS(2244),
    [anon_sym_BSLASHglstext] = ACTIONS(2244),
    [anon_sym_BSLASHGlstext] = ACTIONS(2244),
    [anon_sym_BSLASHGLStext] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2244),
    [anon_sym_BSLASHglsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsname] = ACTIONS(2244),
    [anon_sym_BSLASHGlsname] = ACTIONS(2244),
    [anon_sym_BSLASHGLSname] = ACTIONS(2244),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2244),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2244),
    [anon_sym_BSLASHacrshort] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2244),
    [anon_sym_BSLASHACRshort] = ACTIONS(2244),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrlong] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2244),
    [anon_sym_BSLASHACRlong] = ACTIONS(2244),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrfull] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2244),
    [anon_sym_BSLASHACRfull] = ACTIONS(2244),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHacs] = ACTIONS(2244),
    [anon_sym_BSLASHAcs] = ACTIONS(2244),
    [anon_sym_BSLASHacsp] = ACTIONS(2244),
    [anon_sym_BSLASHAcsp] = ACTIONS(2244),
    [anon_sym_BSLASHacl] = ACTIONS(2244),
    [anon_sym_BSLASHAcl] = ACTIONS(2244),
    [anon_sym_BSLASHaclp] = ACTIONS(2244),
    [anon_sym_BSLASHAclp] = ACTIONS(2244),
    [anon_sym_BSLASHacf] = ACTIONS(2244),
    [anon_sym_BSLASHAcf] = ACTIONS(2244),
    [anon_sym_BSLASHacfp] = ACTIONS(2244),
    [anon_sym_BSLASHAcfp] = ACTIONS(2244),
    [anon_sym_BSLASHac] = ACTIONS(2244),
    [anon_sym_BSLASHAc] = ACTIONS(2244),
    [anon_sym_BSLASHacp] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2244),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2244),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2244),
    [anon_sym_BSLASHcolor] = ACTIONS(2244),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2244),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2244),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2244),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2244),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2244),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2244),
    [anon_sym_BSLASHurl] = ACTIONS(2244),
    [anon_sym_BSLASHhref] = ACTIONS(2244),
  },
  [805] = {
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(821),
    [aux_sym__section_repeat3] = STATE(821),
    [sym_command_name] = ACTIONS(2244),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_RBRACK] = ACTIONS(2246),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_EQ] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(2244),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddchap] = ACTIONS(2244),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHitem] = ACTIONS(2244),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [sym_word] = ACTIONS(2244),
    [sym_placeholder] = ACTIONS(2246),
    [sym_delimiter] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_COLON] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym__] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2246),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2246),
    [anon_sym_DOLLAR] = ACTIONS(2244),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHleft] = ACTIONS(2244),
    [anon_sym_BSLASHbigl] = ACTIONS(2244),
    [anon_sym_BSLASHBigl] = ACTIONS(2244),
    [anon_sym_BSLASHbiggl] = ACTIONS(2244),
    [anon_sym_BSLASHBiggl] = ACTIONS(2244),
    [anon_sym_BSLASHtext] = ACTIONS(2244),
    [anon_sym_BSLASHintertext] = ACTIONS(2244),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2244),
    [anon_sym_BSLASHbegin] = ACTIONS(2244),
    [anon_sym_BSLASHend] = ACTIONS(2244),
    [anon_sym_BSLASHtitle] = ACTIONS(2244),
    [anon_sym_BSLASHauthor] = ACTIONS(2244),
    [anon_sym_BSLASHusepackage] = ACTIONS(2244),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2244),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2244),
    [anon_sym_BSLASHinclude] = ACTIONS(2244),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2244),
    [anon_sym_BSLASHinput] = ACTIONS(2244),
    [anon_sym_BSLASHsubfile] = ACTIONS(2244),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2244),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2244),
    [anon_sym_BSLASHbibliography] = ACTIONS(2244),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2244),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2244),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2244),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2244),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2244),
    [anon_sym_BSLASHimport] = ACTIONS(2244),
    [anon_sym_BSLASHsubimport] = ACTIONS(2244),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2244),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHcaption] = ACTIONS(2244),
    [anon_sym_BSLASHcite] = ACTIONS(2244),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCite] = ACTIONS(2244),
    [anon_sym_BSLASHnocite] = ACTIONS(2244),
    [anon_sym_BSLASHcitet] = ACTIONS(2244),
    [anon_sym_BSLASHcitep] = ACTIONS(2244),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteA] = ACTIONS(2244),
    [anon_sym_BSLASHciteR] = ACTIONS(2244),
    [anon_sym_BSLASHciteS] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2244),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteyear] = ACTIONS(2244),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitedate] = ACTIONS(2244),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteurl] = ACTIONS(2244),
    [anon_sym_BSLASHfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2244),
    [anon_sym_BSLASHcitealt] = ACTIONS(2244),
    [anon_sym_BSLASHcitealp] = ACTIONS(2244),
    [anon_sym_BSLASHcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHparencite] = ACTIONS(2244),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHParencite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHtextcite] = ACTIONS(2244),
    [anon_sym_BSLASHTextcite] = ACTIONS(2244),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHsupercite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite] = ACTIONS(2244),
    [anon_sym_BSLASHAutocite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHVolcite] = ACTIONS(2244),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHavolcite] = ACTIONS(2244),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHNotecite] = ACTIONS(2244),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHlabel] = ACTIONS(2244),
    [anon_sym_BSLASHref] = ACTIONS(2244),
    [anon_sym_BSLASHeqref] = ACTIONS(2244),
    [anon_sym_BSLASHvref] = ACTIONS(2244),
    [anon_sym_BSLASHVref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHpageref] = ACTIONS(2244),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHautopageref] = ACTIONS(2244),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcref] = ACTIONS(2244),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCref] = ACTIONS(2244),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHCpageref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnameCref] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2244),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHdef] = ACTIONS(2244),
    [anon_sym_BSLASHgdef] = ACTIONS(2244),
    [anon_sym_BSLASHedef] = ACTIONS(2244),
    [anon_sym_BSLASHxdef] = ACTIONS(2244),
    [anon_sym_BSLASHlet] = ACTIONS(2244),
    [anon_sym_BSLASHglet] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2244),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2244),
    [anon_sym_BSLASHgls] = ACTIONS(2244),
    [anon_sym_BSLASHGls] = ACTIONS(2244),
    [anon_sym_BSLASHGLS] = ACTIONS(2244),
    [anon_sym_BSLASHglspl] = ACTIONS(2244),
    [anon_sym_BSLASHGlspl] = ACTIONS(2244),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2244),
    [anon_sym_BSLASHglslink] = ACTIONS(2244),
    [anon_sym_BSLASHglstext] = ACTIONS(2244),
    [anon_sym_BSLASHGlstext] = ACTIONS(2244),
    [anon_sym_BSLASHGLStext] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2244),
    [anon_sym_BSLASHglsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsname] = ACTIONS(2244),
    [anon_sym_BSLASHGlsname] = ACTIONS(2244),
    [anon_sym_BSLASHGLSname] = ACTIONS(2244),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2244),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2244),
    [anon_sym_BSLASHacrshort] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2244),
    [anon_sym_BSLASHACRshort] = ACTIONS(2244),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrlong] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2244),
    [anon_sym_BSLASHACRlong] = ACTIONS(2244),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrfull] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2244),
    [anon_sym_BSLASHACRfull] = ACTIONS(2244),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHacs] = ACTIONS(2244),
    [anon_sym_BSLASHAcs] = ACTIONS(2244),
    [anon_sym_BSLASHacsp] = ACTIONS(2244),
    [anon_sym_BSLASHAcsp] = ACTIONS(2244),
    [anon_sym_BSLASHacl] = ACTIONS(2244),
    [anon_sym_BSLASHAcl] = ACTIONS(2244),
    [anon_sym_BSLASHaclp] = ACTIONS(2244),
    [anon_sym_BSLASHAclp] = ACTIONS(2244),
    [anon_sym_BSLASHacf] = ACTIONS(2244),
    [anon_sym_BSLASHAcf] = ACTIONS(2244),
    [anon_sym_BSLASHacfp] = ACTIONS(2244),
    [anon_sym_BSLASHAcfp] = ACTIONS(2244),
    [anon_sym_BSLASHac] = ACTIONS(2244),
    [anon_sym_BSLASHAc] = ACTIONS(2244),
    [anon_sym_BSLASHacp] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2244),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2244),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2244),
    [anon_sym_BSLASHcolor] = ACTIONS(2244),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2244),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2244),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2244),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2244),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2244),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2244),
    [anon_sym_BSLASHurl] = ACTIONS(2244),
    [anon_sym_BSLASHhref] = ACTIONS(2244),
  },
  [806] = {
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(822),
    [aux_sym__section_repeat4] = STATE(822),
    [sym_command_name] = ACTIONS(2244),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_RBRACK] = ACTIONS(2246),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_EQ] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(2244),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddchap] = ACTIONS(2244),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsection] = ACTIONS(2244),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddsec] = ACTIONS(2244),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHitem] = ACTIONS(2244),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [sym_word] = ACTIONS(2244),
    [sym_placeholder] = ACTIONS(2246),
    [sym_delimiter] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_COLON] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym__] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2246),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2246),
    [anon_sym_DOLLAR] = ACTIONS(2244),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHleft] = ACTIONS(2244),
    [anon_sym_BSLASHbigl] = ACTIONS(2244),
    [anon_sym_BSLASHBigl] = ACTIONS(2244),
    [anon_sym_BSLASHbiggl] = ACTIONS(2244),
    [anon_sym_BSLASHBiggl] = ACTIONS(2244),
    [anon_sym_BSLASHtext] = ACTIONS(2244),
    [anon_sym_BSLASHintertext] = ACTIONS(2244),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2244),
    [anon_sym_BSLASHbegin] = ACTIONS(2244),
    [anon_sym_BSLASHend] = ACTIONS(2244),
    [anon_sym_BSLASHtitle] = ACTIONS(2244),
    [anon_sym_BSLASHauthor] = ACTIONS(2244),
    [anon_sym_BSLASHusepackage] = ACTIONS(2244),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2244),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2244),
    [anon_sym_BSLASHinclude] = ACTIONS(2244),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2244),
    [anon_sym_BSLASHinput] = ACTIONS(2244),
    [anon_sym_BSLASHsubfile] = ACTIONS(2244),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2244),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2244),
    [anon_sym_BSLASHbibliography] = ACTIONS(2244),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2244),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2244),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2244),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2244),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2244),
    [anon_sym_BSLASHimport] = ACTIONS(2244),
    [anon_sym_BSLASHsubimport] = ACTIONS(2244),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2244),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHcaption] = ACTIONS(2244),
    [anon_sym_BSLASHcite] = ACTIONS(2244),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCite] = ACTIONS(2244),
    [anon_sym_BSLASHnocite] = ACTIONS(2244),
    [anon_sym_BSLASHcitet] = ACTIONS(2244),
    [anon_sym_BSLASHcitep] = ACTIONS(2244),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteA] = ACTIONS(2244),
    [anon_sym_BSLASHciteR] = ACTIONS(2244),
    [anon_sym_BSLASHciteS] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2244),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteyear] = ACTIONS(2244),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitedate] = ACTIONS(2244),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteurl] = ACTIONS(2244),
    [anon_sym_BSLASHfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2244),
    [anon_sym_BSLASHcitealt] = ACTIONS(2244),
    [anon_sym_BSLASHcitealp] = ACTIONS(2244),
    [anon_sym_BSLASHcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHparencite] = ACTIONS(2244),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHParencite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHtextcite] = ACTIONS(2244),
    [anon_sym_BSLASHTextcite] = ACTIONS(2244),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHsupercite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite] = ACTIONS(2244),
    [anon_sym_BSLASHAutocite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHVolcite] = ACTIONS(2244),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHavolcite] = ACTIONS(2244),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHNotecite] = ACTIONS(2244),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHlabel] = ACTIONS(2244),
    [anon_sym_BSLASHref] = ACTIONS(2244),
    [anon_sym_BSLASHeqref] = ACTIONS(2244),
    [anon_sym_BSLASHvref] = ACTIONS(2244),
    [anon_sym_BSLASHVref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHpageref] = ACTIONS(2244),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHautopageref] = ACTIONS(2244),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcref] = ACTIONS(2244),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCref] = ACTIONS(2244),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHCpageref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnameCref] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2244),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHdef] = ACTIONS(2244),
    [anon_sym_BSLASHgdef] = ACTIONS(2244),
    [anon_sym_BSLASHedef] = ACTIONS(2244),
    [anon_sym_BSLASHxdef] = ACTIONS(2244),
    [anon_sym_BSLASHlet] = ACTIONS(2244),
    [anon_sym_BSLASHglet] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2244),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2244),
    [anon_sym_BSLASHgls] = ACTIONS(2244),
    [anon_sym_BSLASHGls] = ACTIONS(2244),
    [anon_sym_BSLASHGLS] = ACTIONS(2244),
    [anon_sym_BSLASHglspl] = ACTIONS(2244),
    [anon_sym_BSLASHGlspl] = ACTIONS(2244),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2244),
    [anon_sym_BSLASHglslink] = ACTIONS(2244),
    [anon_sym_BSLASHglstext] = ACTIONS(2244),
    [anon_sym_BSLASHGlstext] = ACTIONS(2244),
    [anon_sym_BSLASHGLStext] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2244),
    [anon_sym_BSLASHglsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsname] = ACTIONS(2244),
    [anon_sym_BSLASHGlsname] = ACTIONS(2244),
    [anon_sym_BSLASHGLSname] = ACTIONS(2244),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2244),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2244),
    [anon_sym_BSLASHacrshort] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2244),
    [anon_sym_BSLASHACRshort] = ACTIONS(2244),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrlong] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2244),
    [anon_sym_BSLASHACRlong] = ACTIONS(2244),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrfull] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2244),
    [anon_sym_BSLASHACRfull] = ACTIONS(2244),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHacs] = ACTIONS(2244),
    [anon_sym_BSLASHAcs] = ACTIONS(2244),
    [anon_sym_BSLASHacsp] = ACTIONS(2244),
    [anon_sym_BSLASHAcsp] = ACTIONS(2244),
    [anon_sym_BSLASHacl] = ACTIONS(2244),
    [anon_sym_BSLASHAcl] = ACTIONS(2244),
    [anon_sym_BSLASHaclp] = ACTIONS(2244),
    [anon_sym_BSLASHAclp] = ACTIONS(2244),
    [anon_sym_BSLASHacf] = ACTIONS(2244),
    [anon_sym_BSLASHAcf] = ACTIONS(2244),
    [anon_sym_BSLASHacfp] = ACTIONS(2244),
    [anon_sym_BSLASHAcfp] = ACTIONS(2244),
    [anon_sym_BSLASHac] = ACTIONS(2244),
    [anon_sym_BSLASHAc] = ACTIONS(2244),
    [anon_sym_BSLASHacp] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2244),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2244),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2244),
    [anon_sym_BSLASHcolor] = ACTIONS(2244),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2244),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2244),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2244),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2244),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2244),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2244),
    [anon_sym_BSLASHurl] = ACTIONS(2244),
    [anon_sym_BSLASHhref] = ACTIONS(2244),
  },
  [807] = {
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(823),
    [aux_sym__section_repeat5] = STATE(823),
    [sym_command_name] = ACTIONS(2244),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_RBRACK] = ACTIONS(2246),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_EQ] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(2244),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddchap] = ACTIONS(2244),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsection] = ACTIONS(2244),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddsec] = ACTIONS(2244),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHitem] = ACTIONS(2244),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [sym_word] = ACTIONS(2244),
    [sym_placeholder] = ACTIONS(2246),
    [sym_delimiter] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_COLON] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym__] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2246),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2246),
    [anon_sym_DOLLAR] = ACTIONS(2244),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHleft] = ACTIONS(2244),
    [anon_sym_BSLASHbigl] = ACTIONS(2244),
    [anon_sym_BSLASHBigl] = ACTIONS(2244),
    [anon_sym_BSLASHbiggl] = ACTIONS(2244),
    [anon_sym_BSLASHBiggl] = ACTIONS(2244),
    [anon_sym_BSLASHtext] = ACTIONS(2244),
    [anon_sym_BSLASHintertext] = ACTIONS(2244),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2244),
    [anon_sym_BSLASHbegin] = ACTIONS(2244),
    [anon_sym_BSLASHend] = ACTIONS(2244),
    [anon_sym_BSLASHtitle] = ACTIONS(2244),
    [anon_sym_BSLASHauthor] = ACTIONS(2244),
    [anon_sym_BSLASHusepackage] = ACTIONS(2244),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2244),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2244),
    [anon_sym_BSLASHinclude] = ACTIONS(2244),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2244),
    [anon_sym_BSLASHinput] = ACTIONS(2244),
    [anon_sym_BSLASHsubfile] = ACTIONS(2244),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2244),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2244),
    [anon_sym_BSLASHbibliography] = ACTIONS(2244),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2244),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2244),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2244),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2244),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2244),
    [anon_sym_BSLASHimport] = ACTIONS(2244),
    [anon_sym_BSLASHsubimport] = ACTIONS(2244),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2244),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHcaption] = ACTIONS(2244),
    [anon_sym_BSLASHcite] = ACTIONS(2244),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCite] = ACTIONS(2244),
    [anon_sym_BSLASHnocite] = ACTIONS(2244),
    [anon_sym_BSLASHcitet] = ACTIONS(2244),
    [anon_sym_BSLASHcitep] = ACTIONS(2244),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteA] = ACTIONS(2244),
    [anon_sym_BSLASHciteR] = ACTIONS(2244),
    [anon_sym_BSLASHciteS] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2244),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteyear] = ACTIONS(2244),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitedate] = ACTIONS(2244),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteurl] = ACTIONS(2244),
    [anon_sym_BSLASHfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2244),
    [anon_sym_BSLASHcitealt] = ACTIONS(2244),
    [anon_sym_BSLASHcitealp] = ACTIONS(2244),
    [anon_sym_BSLASHcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHparencite] = ACTIONS(2244),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHParencite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHtextcite] = ACTIONS(2244),
    [anon_sym_BSLASHTextcite] = ACTIONS(2244),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHsupercite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite] = ACTIONS(2244),
    [anon_sym_BSLASHAutocite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHVolcite] = ACTIONS(2244),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHavolcite] = ACTIONS(2244),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHNotecite] = ACTIONS(2244),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHlabel] = ACTIONS(2244),
    [anon_sym_BSLASHref] = ACTIONS(2244),
    [anon_sym_BSLASHeqref] = ACTIONS(2244),
    [anon_sym_BSLASHvref] = ACTIONS(2244),
    [anon_sym_BSLASHVref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHpageref] = ACTIONS(2244),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHautopageref] = ACTIONS(2244),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcref] = ACTIONS(2244),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCref] = ACTIONS(2244),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHCpageref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnameCref] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2244),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHdef] = ACTIONS(2244),
    [anon_sym_BSLASHgdef] = ACTIONS(2244),
    [anon_sym_BSLASHedef] = ACTIONS(2244),
    [anon_sym_BSLASHxdef] = ACTIONS(2244),
    [anon_sym_BSLASHlet] = ACTIONS(2244),
    [anon_sym_BSLASHglet] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2244),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2244),
    [anon_sym_BSLASHgls] = ACTIONS(2244),
    [anon_sym_BSLASHGls] = ACTIONS(2244),
    [anon_sym_BSLASHGLS] = ACTIONS(2244),
    [anon_sym_BSLASHglspl] = ACTIONS(2244),
    [anon_sym_BSLASHGlspl] = ACTIONS(2244),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2244),
    [anon_sym_BSLASHglslink] = ACTIONS(2244),
    [anon_sym_BSLASHglstext] = ACTIONS(2244),
    [anon_sym_BSLASHGlstext] = ACTIONS(2244),
    [anon_sym_BSLASHGLStext] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2244),
    [anon_sym_BSLASHglsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsname] = ACTIONS(2244),
    [anon_sym_BSLASHGlsname] = ACTIONS(2244),
    [anon_sym_BSLASHGLSname] = ACTIONS(2244),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2244),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2244),
    [anon_sym_BSLASHacrshort] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2244),
    [anon_sym_BSLASHACRshort] = ACTIONS(2244),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrlong] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2244),
    [anon_sym_BSLASHACRlong] = ACTIONS(2244),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrfull] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2244),
    [anon_sym_BSLASHACRfull] = ACTIONS(2244),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHacs] = ACTIONS(2244),
    [anon_sym_BSLASHAcs] = ACTIONS(2244),
    [anon_sym_BSLASHacsp] = ACTIONS(2244),
    [anon_sym_BSLASHAcsp] = ACTIONS(2244),
    [anon_sym_BSLASHacl] = ACTIONS(2244),
    [anon_sym_BSLASHAcl] = ACTIONS(2244),
    [anon_sym_BSLASHaclp] = ACTIONS(2244),
    [anon_sym_BSLASHAclp] = ACTIONS(2244),
    [anon_sym_BSLASHacf] = ACTIONS(2244),
    [anon_sym_BSLASHAcf] = ACTIONS(2244),
    [anon_sym_BSLASHacfp] = ACTIONS(2244),
    [anon_sym_BSLASHAcfp] = ACTIONS(2244),
    [anon_sym_BSLASHac] = ACTIONS(2244),
    [anon_sym_BSLASHAc] = ACTIONS(2244),
    [anon_sym_BSLASHacp] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2244),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2244),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2244),
    [anon_sym_BSLASHcolor] = ACTIONS(2244),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2244),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2244),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2244),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2244),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2244),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2244),
    [anon_sym_BSLASHurl] = ACTIONS(2244),
    [anon_sym_BSLASHhref] = ACTIONS(2244),
  },
  [808] = {
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(821),
    [aux_sym__section_repeat3] = STATE(821),
    [sym_command_name] = ACTIONS(2260),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_RBRACK] = ACTIONS(2262),
    [anon_sym_COMMA] = ACTIONS(2262),
    [anon_sym_EQ] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_RPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHpart] = ACTIONS(2260),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddpart] = ACTIONS(2260),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHchapter] = ACTIONS(2260),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddchap] = ACTIONS(2260),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(2260),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2260),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHitem] = ACTIONS(2260),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [sym_word] = ACTIONS(2260),
    [sym_placeholder] = ACTIONS(2262),
    [sym_delimiter] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_PIPE] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(2260),
    [anon_sym_SQUOTE] = ACTIONS(2260),
    [anon_sym__] = ACTIONS(2262),
    [anon_sym_CARET] = ACTIONS(2262),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2262),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2262),
    [anon_sym_DOLLAR] = ACTIONS(2260),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHleft] = ACTIONS(2260),
    [anon_sym_BSLASHbigl] = ACTIONS(2260),
    [anon_sym_BSLASHBigl] = ACTIONS(2260),
    [anon_sym_BSLASHbiggl] = ACTIONS(2260),
    [anon_sym_BSLASHBiggl] = ACTIONS(2260),
    [anon_sym_BSLASHtext] = ACTIONS(2260),
    [anon_sym_BSLASHintertext] = ACTIONS(2260),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2260),
    [anon_sym_BSLASHbegin] = ACTIONS(2260),
    [anon_sym_BSLASHend] = ACTIONS(2260),
    [anon_sym_BSLASHtitle] = ACTIONS(2260),
    [anon_sym_BSLASHauthor] = ACTIONS(2260),
    [anon_sym_BSLASHusepackage] = ACTIONS(2260),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2260),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2260),
    [anon_sym_BSLASHinclude] = ACTIONS(2260),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2260),
    [anon_sym_BSLASHinput] = ACTIONS(2260),
    [anon_sym_BSLASHsubfile] = ACTIONS(2260),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2260),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2260),
    [anon_sym_BSLASHbibliography] = ACTIONS(2260),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2260),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2260),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2260),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2260),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2260),
    [anon_sym_BSLASHimport] = ACTIONS(2260),
    [anon_sym_BSLASHsubimport] = ACTIONS(2260),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2260),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHcaption] = ACTIONS(2260),
    [anon_sym_BSLASHcite] = ACTIONS(2260),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCite] = ACTIONS(2260),
    [anon_sym_BSLASHnocite] = ACTIONS(2260),
    [anon_sym_BSLASHcitet] = ACTIONS(2260),
    [anon_sym_BSLASHcitep] = ACTIONS(2260),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteA] = ACTIONS(2260),
    [anon_sym_BSLASHciteR] = ACTIONS(2260),
    [anon_sym_BSLASHciteS] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2260),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteyear] = ACTIONS(2260),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitedate] = ACTIONS(2260),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteurl] = ACTIONS(2260),
    [anon_sym_BSLASHfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2260),
    [anon_sym_BSLASHcitealt] = ACTIONS(2260),
    [anon_sym_BSLASHcitealp] = ACTIONS(2260),
    [anon_sym_BSLASHcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHparencite] = ACTIONS(2260),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHParencite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHtextcite] = ACTIONS(2260),
    [anon_sym_BSLASHTextcite] = ACTIONS(2260),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHsupercite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite] = ACTIONS(2260),
    [anon_sym_BSLASHAutocite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHVolcite] = ACTIONS(2260),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHavolcite] = ACTIONS(2260),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHNotecite] = ACTIONS(2260),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHlabel] = ACTIONS(2260),
    [anon_sym_BSLASHref] = ACTIONS(2260),
    [anon_sym_BSLASHeqref] = ACTIONS(2260),
    [anon_sym_BSLASHvref] = ACTIONS(2260),
    [anon_sym_BSLASHVref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHpageref] = ACTIONS(2260),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHautopageref] = ACTIONS(2260),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcref] = ACTIONS(2260),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCref] = ACTIONS(2260),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHCpageref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnameCref] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2260),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHdef] = ACTIONS(2260),
    [anon_sym_BSLASHgdef] = ACTIONS(2260),
    [anon_sym_BSLASHedef] = ACTIONS(2260),
    [anon_sym_BSLASHxdef] = ACTIONS(2260),
    [anon_sym_BSLASHlet] = ACTIONS(2260),
    [anon_sym_BSLASHglet] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2260),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2260),
    [anon_sym_BSLASHgls] = ACTIONS(2260),
    [anon_sym_BSLASHGls] = ACTIONS(2260),
    [anon_sym_BSLASHGLS] = ACTIONS(2260),
    [anon_sym_BSLASHglspl] = ACTIONS(2260),
    [anon_sym_BSLASHGlspl] = ACTIONS(2260),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2260),
    [anon_sym_BSLASHglslink] = ACTIONS(2260),
    [anon_sym_BSLASHglstext] = ACTIONS(2260),
    [anon_sym_BSLASHGlstext] = ACTIONS(2260),
    [anon_sym_BSLASHGLStext] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2260),
    [anon_sym_BSLASHglsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsname] = ACTIONS(2260),
    [anon_sym_BSLASHGlsname] = ACTIONS(2260),
    [anon_sym_BSLASHGLSname] = ACTIONS(2260),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2260),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2260),
    [anon_sym_BSLASHacrshort] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2260),
    [anon_sym_BSLASHACRshort] = ACTIONS(2260),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrlong] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2260),
    [anon_sym_BSLASHACRlong] = ACTIONS(2260),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrfull] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2260),
    [anon_sym_BSLASHACRfull] = ACTIONS(2260),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHacs] = ACTIONS(2260),
    [anon_sym_BSLASHAcs] = ACTIONS(2260),
    [anon_sym_BSLASHacsp] = ACTIONS(2260),
    [anon_sym_BSLASHAcsp] = ACTIONS(2260),
    [anon_sym_BSLASHacl] = ACTIONS(2260),
    [anon_sym_BSLASHAcl] = ACTIONS(2260),
    [anon_sym_BSLASHaclp] = ACTIONS(2260),
    [anon_sym_BSLASHAclp] = ACTIONS(2260),
    [anon_sym_BSLASHacf] = ACTIONS(2260),
    [anon_sym_BSLASHAcf] = ACTIONS(2260),
    [anon_sym_BSLASHacfp] = ACTIONS(2260),
    [anon_sym_BSLASHAcfp] = ACTIONS(2260),
    [anon_sym_BSLASHac] = ACTIONS(2260),
    [anon_sym_BSLASHAc] = ACTIONS(2260),
    [anon_sym_BSLASHacp] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2260),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2260),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2260),
    [anon_sym_BSLASHcolor] = ACTIONS(2260),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2260),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2260),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2260),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2260),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2260),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2260),
    [anon_sym_BSLASHurl] = ACTIONS(2260),
    [anon_sym_BSLASHhref] = ACTIONS(2260),
  },
  [809] = {
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(822),
    [aux_sym__section_repeat4] = STATE(822),
    [sym_command_name] = ACTIONS(2260),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_RBRACK] = ACTIONS(2262),
    [anon_sym_COMMA] = ACTIONS(2262),
    [anon_sym_EQ] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_RPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHpart] = ACTIONS(2260),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddpart] = ACTIONS(2260),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHchapter] = ACTIONS(2260),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddchap] = ACTIONS(2260),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsection] = ACTIONS(2260),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddsec] = ACTIONS(2260),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2260),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHitem] = ACTIONS(2260),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [sym_word] = ACTIONS(2260),
    [sym_placeholder] = ACTIONS(2262),
    [sym_delimiter] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_PIPE] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(2260),
    [anon_sym_SQUOTE] = ACTIONS(2260),
    [anon_sym__] = ACTIONS(2262),
    [anon_sym_CARET] = ACTIONS(2262),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2262),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2262),
    [anon_sym_DOLLAR] = ACTIONS(2260),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHleft] = ACTIONS(2260),
    [anon_sym_BSLASHbigl] = ACTIONS(2260),
    [anon_sym_BSLASHBigl] = ACTIONS(2260),
    [anon_sym_BSLASHbiggl] = ACTIONS(2260),
    [anon_sym_BSLASHBiggl] = ACTIONS(2260),
    [anon_sym_BSLASHtext] = ACTIONS(2260),
    [anon_sym_BSLASHintertext] = ACTIONS(2260),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2260),
    [anon_sym_BSLASHbegin] = ACTIONS(2260),
    [anon_sym_BSLASHend] = ACTIONS(2260),
    [anon_sym_BSLASHtitle] = ACTIONS(2260),
    [anon_sym_BSLASHauthor] = ACTIONS(2260),
    [anon_sym_BSLASHusepackage] = ACTIONS(2260),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2260),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2260),
    [anon_sym_BSLASHinclude] = ACTIONS(2260),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2260),
    [anon_sym_BSLASHinput] = ACTIONS(2260),
    [anon_sym_BSLASHsubfile] = ACTIONS(2260),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2260),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2260),
    [anon_sym_BSLASHbibliography] = ACTIONS(2260),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2260),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2260),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2260),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2260),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2260),
    [anon_sym_BSLASHimport] = ACTIONS(2260),
    [anon_sym_BSLASHsubimport] = ACTIONS(2260),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2260),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHcaption] = ACTIONS(2260),
    [anon_sym_BSLASHcite] = ACTIONS(2260),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCite] = ACTIONS(2260),
    [anon_sym_BSLASHnocite] = ACTIONS(2260),
    [anon_sym_BSLASHcitet] = ACTIONS(2260),
    [anon_sym_BSLASHcitep] = ACTIONS(2260),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteA] = ACTIONS(2260),
    [anon_sym_BSLASHciteR] = ACTIONS(2260),
    [anon_sym_BSLASHciteS] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2260),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteyear] = ACTIONS(2260),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitedate] = ACTIONS(2260),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteurl] = ACTIONS(2260),
    [anon_sym_BSLASHfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2260),
    [anon_sym_BSLASHcitealt] = ACTIONS(2260),
    [anon_sym_BSLASHcitealp] = ACTIONS(2260),
    [anon_sym_BSLASHcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHparencite] = ACTIONS(2260),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHParencite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHtextcite] = ACTIONS(2260),
    [anon_sym_BSLASHTextcite] = ACTIONS(2260),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHsupercite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite] = ACTIONS(2260),
    [anon_sym_BSLASHAutocite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHVolcite] = ACTIONS(2260),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHavolcite] = ACTIONS(2260),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHNotecite] = ACTIONS(2260),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHlabel] = ACTIONS(2260),
    [anon_sym_BSLASHref] = ACTIONS(2260),
    [anon_sym_BSLASHeqref] = ACTIONS(2260),
    [anon_sym_BSLASHvref] = ACTIONS(2260),
    [anon_sym_BSLASHVref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHpageref] = ACTIONS(2260),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHautopageref] = ACTIONS(2260),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcref] = ACTIONS(2260),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCref] = ACTIONS(2260),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHCpageref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnameCref] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2260),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHdef] = ACTIONS(2260),
    [anon_sym_BSLASHgdef] = ACTIONS(2260),
    [anon_sym_BSLASHedef] = ACTIONS(2260),
    [anon_sym_BSLASHxdef] = ACTIONS(2260),
    [anon_sym_BSLASHlet] = ACTIONS(2260),
    [anon_sym_BSLASHglet] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2260),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2260),
    [anon_sym_BSLASHgls] = ACTIONS(2260),
    [anon_sym_BSLASHGls] = ACTIONS(2260),
    [anon_sym_BSLASHGLS] = ACTIONS(2260),
    [anon_sym_BSLASHglspl] = ACTIONS(2260),
    [anon_sym_BSLASHGlspl] = ACTIONS(2260),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2260),
    [anon_sym_BSLASHglslink] = ACTIONS(2260),
    [anon_sym_BSLASHglstext] = ACTIONS(2260),
    [anon_sym_BSLASHGlstext] = ACTIONS(2260),
    [anon_sym_BSLASHGLStext] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2260),
    [anon_sym_BSLASHglsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsname] = ACTIONS(2260),
    [anon_sym_BSLASHGlsname] = ACTIONS(2260),
    [anon_sym_BSLASHGLSname] = ACTIONS(2260),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2260),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2260),
    [anon_sym_BSLASHacrshort] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2260),
    [anon_sym_BSLASHACRshort] = ACTIONS(2260),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrlong] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2260),
    [anon_sym_BSLASHACRlong] = ACTIONS(2260),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrfull] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2260),
    [anon_sym_BSLASHACRfull] = ACTIONS(2260),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHacs] = ACTIONS(2260),
    [anon_sym_BSLASHAcs] = ACTIONS(2260),
    [anon_sym_BSLASHacsp] = ACTIONS(2260),
    [anon_sym_BSLASHAcsp] = ACTIONS(2260),
    [anon_sym_BSLASHacl] = ACTIONS(2260),
    [anon_sym_BSLASHAcl] = ACTIONS(2260),
    [anon_sym_BSLASHaclp] = ACTIONS(2260),
    [anon_sym_BSLASHAclp] = ACTIONS(2260),
    [anon_sym_BSLASHacf] = ACTIONS(2260),
    [anon_sym_BSLASHAcf] = ACTIONS(2260),
    [anon_sym_BSLASHacfp] = ACTIONS(2260),
    [anon_sym_BSLASHAcfp] = ACTIONS(2260),
    [anon_sym_BSLASHac] = ACTIONS(2260),
    [anon_sym_BSLASHAc] = ACTIONS(2260),
    [anon_sym_BSLASHacp] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2260),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2260),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2260),
    [anon_sym_BSLASHcolor] = ACTIONS(2260),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2260),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2260),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2260),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2260),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2260),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2260),
    [anon_sym_BSLASHurl] = ACTIONS(2260),
    [anon_sym_BSLASHhref] = ACTIONS(2260),
  },
  [810] = {
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(823),
    [aux_sym__section_repeat5] = STATE(823),
    [sym_command_name] = ACTIONS(2260),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_RBRACK] = ACTIONS(2262),
    [anon_sym_COMMA] = ACTIONS(2262),
    [anon_sym_EQ] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_RPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHpart] = ACTIONS(2260),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddpart] = ACTIONS(2260),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHchapter] = ACTIONS(2260),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddchap] = ACTIONS(2260),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsection] = ACTIONS(2260),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddsec] = ACTIONS(2260),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubsection] = ACTIONS(2260),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHitem] = ACTIONS(2260),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [sym_word] = ACTIONS(2260),
    [sym_placeholder] = ACTIONS(2262),
    [sym_delimiter] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_PIPE] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(2260),
    [anon_sym_SQUOTE] = ACTIONS(2260),
    [anon_sym__] = ACTIONS(2262),
    [anon_sym_CARET] = ACTIONS(2262),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2262),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2262),
    [anon_sym_DOLLAR] = ACTIONS(2260),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHleft] = ACTIONS(2260),
    [anon_sym_BSLASHbigl] = ACTIONS(2260),
    [anon_sym_BSLASHBigl] = ACTIONS(2260),
    [anon_sym_BSLASHbiggl] = ACTIONS(2260),
    [anon_sym_BSLASHBiggl] = ACTIONS(2260),
    [anon_sym_BSLASHtext] = ACTIONS(2260),
    [anon_sym_BSLASHintertext] = ACTIONS(2260),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2260),
    [anon_sym_BSLASHbegin] = ACTIONS(2260),
    [anon_sym_BSLASHend] = ACTIONS(2260),
    [anon_sym_BSLASHtitle] = ACTIONS(2260),
    [anon_sym_BSLASHauthor] = ACTIONS(2260),
    [anon_sym_BSLASHusepackage] = ACTIONS(2260),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2260),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2260),
    [anon_sym_BSLASHinclude] = ACTIONS(2260),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2260),
    [anon_sym_BSLASHinput] = ACTIONS(2260),
    [anon_sym_BSLASHsubfile] = ACTIONS(2260),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2260),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2260),
    [anon_sym_BSLASHbibliography] = ACTIONS(2260),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2260),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2260),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2260),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2260),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2260),
    [anon_sym_BSLASHimport] = ACTIONS(2260),
    [anon_sym_BSLASHsubimport] = ACTIONS(2260),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2260),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHcaption] = ACTIONS(2260),
    [anon_sym_BSLASHcite] = ACTIONS(2260),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCite] = ACTIONS(2260),
    [anon_sym_BSLASHnocite] = ACTIONS(2260),
    [anon_sym_BSLASHcitet] = ACTIONS(2260),
    [anon_sym_BSLASHcitep] = ACTIONS(2260),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteA] = ACTIONS(2260),
    [anon_sym_BSLASHciteR] = ACTIONS(2260),
    [anon_sym_BSLASHciteS] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2260),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteyear] = ACTIONS(2260),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitedate] = ACTIONS(2260),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteurl] = ACTIONS(2260),
    [anon_sym_BSLASHfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2260),
    [anon_sym_BSLASHcitealt] = ACTIONS(2260),
    [anon_sym_BSLASHcitealp] = ACTIONS(2260),
    [anon_sym_BSLASHcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHparencite] = ACTIONS(2260),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHParencite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHtextcite] = ACTIONS(2260),
    [anon_sym_BSLASHTextcite] = ACTIONS(2260),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHsupercite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite] = ACTIONS(2260),
    [anon_sym_BSLASHAutocite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHVolcite] = ACTIONS(2260),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHavolcite] = ACTIONS(2260),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHNotecite] = ACTIONS(2260),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHlabel] = ACTIONS(2260),
    [anon_sym_BSLASHref] = ACTIONS(2260),
    [anon_sym_BSLASHeqref] = ACTIONS(2260),
    [anon_sym_BSLASHvref] = ACTIONS(2260),
    [anon_sym_BSLASHVref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHpageref] = ACTIONS(2260),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHautopageref] = ACTIONS(2260),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcref] = ACTIONS(2260),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCref] = ACTIONS(2260),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHCpageref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnameCref] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2260),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHdef] = ACTIONS(2260),
    [anon_sym_BSLASHgdef] = ACTIONS(2260),
    [anon_sym_BSLASHedef] = ACTIONS(2260),
    [anon_sym_BSLASHxdef] = ACTIONS(2260),
    [anon_sym_BSLASHlet] = ACTIONS(2260),
    [anon_sym_BSLASHglet] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2260),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2260),
    [anon_sym_BSLASHgls] = ACTIONS(2260),
    [anon_sym_BSLASHGls] = ACTIONS(2260),
    [anon_sym_BSLASHGLS] = ACTIONS(2260),
    [anon_sym_BSLASHglspl] = ACTIONS(2260),
    [anon_sym_BSLASHGlspl] = ACTIONS(2260),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2260),
    [anon_sym_BSLASHglslink] = ACTIONS(2260),
    [anon_sym_BSLASHglstext] = ACTIONS(2260),
    [anon_sym_BSLASHGlstext] = ACTIONS(2260),
    [anon_sym_BSLASHGLStext] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2260),
    [anon_sym_BSLASHglsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsname] = ACTIONS(2260),
    [anon_sym_BSLASHGlsname] = ACTIONS(2260),
    [anon_sym_BSLASHGLSname] = ACTIONS(2260),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2260),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2260),
    [anon_sym_BSLASHacrshort] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2260),
    [anon_sym_BSLASHACRshort] = ACTIONS(2260),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrlong] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2260),
    [anon_sym_BSLASHACRlong] = ACTIONS(2260),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrfull] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2260),
    [anon_sym_BSLASHACRfull] = ACTIONS(2260),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHacs] = ACTIONS(2260),
    [anon_sym_BSLASHAcs] = ACTIONS(2260),
    [anon_sym_BSLASHacsp] = ACTIONS(2260),
    [anon_sym_BSLASHAcsp] = ACTIONS(2260),
    [anon_sym_BSLASHacl] = ACTIONS(2260),
    [anon_sym_BSLASHAcl] = ACTIONS(2260),
    [anon_sym_BSLASHaclp] = ACTIONS(2260),
    [anon_sym_BSLASHAclp] = ACTIONS(2260),
    [anon_sym_BSLASHacf] = ACTIONS(2260),
    [anon_sym_BSLASHAcf] = ACTIONS(2260),
    [anon_sym_BSLASHacfp] = ACTIONS(2260),
    [anon_sym_BSLASHAcfp] = ACTIONS(2260),
    [anon_sym_BSLASHac] = ACTIONS(2260),
    [anon_sym_BSLASHAc] = ACTIONS(2260),
    [anon_sym_BSLASHacp] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2260),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2260),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2260),
    [anon_sym_BSLASHcolor] = ACTIONS(2260),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2260),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2260),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2260),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2260),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2260),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2260),
    [anon_sym_BSLASHurl] = ACTIONS(2260),
    [anon_sym_BSLASHhref] = ACTIONS(2260),
  },
  [811] = {
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(822),
    [aux_sym__section_repeat4] = STATE(822),
    [sym_command_name] = ACTIONS(2290),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2290),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_RBRACK] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(2292),
    [anon_sym_EQ] = ACTIONS(2292),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_RPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHpart] = ACTIONS(2290),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddpart] = ACTIONS(2290),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHchapter] = ACTIONS(2290),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddchap] = ACTIONS(2290),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsection] = ACTIONS(2290),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddsec] = ACTIONS(2290),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2290),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHitem] = ACTIONS(2290),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2292),
    [anon_sym_LBRACE] = ACTIONS(2292),
    [sym_word] = ACTIONS(2290),
    [sym_placeholder] = ACTIONS(2292),
    [sym_delimiter] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2292),
    [anon_sym_SLASH] = ACTIONS(2292),
    [anon_sym_LT] = ACTIONS(2290),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(2290),
    [anon_sym_PIPE] = ACTIONS(2290),
    [anon_sym_COLON] = ACTIONS(2290),
    [anon_sym_SQUOTE] = ACTIONS(2290),
    [anon_sym__] = ACTIONS(2292),
    [anon_sym_CARET] = ACTIONS(2292),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2292),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2292),
    [anon_sym_DOLLAR] = ACTIONS(2290),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHleft] = ACTIONS(2290),
    [anon_sym_BSLASHbigl] = ACTIONS(2290),
    [anon_sym_BSLASHBigl] = ACTIONS(2290),
    [anon_sym_BSLASHbiggl] = ACTIONS(2290),
    [anon_sym_BSLASHBiggl] = ACTIONS(2290),
    [anon_sym_BSLASHtext] = ACTIONS(2290),
    [anon_sym_BSLASHintertext] = ACTIONS(2290),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2290),
    [anon_sym_BSLASHbegin] = ACTIONS(2290),
    [anon_sym_BSLASHend] = ACTIONS(2290),
    [anon_sym_BSLASHtitle] = ACTIONS(2290),
    [anon_sym_BSLASHauthor] = ACTIONS(2290),
    [anon_sym_BSLASHusepackage] = ACTIONS(2290),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2290),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2290),
    [anon_sym_BSLASHinclude] = ACTIONS(2290),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2290),
    [anon_sym_BSLASHinput] = ACTIONS(2290),
    [anon_sym_BSLASHsubfile] = ACTIONS(2290),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2290),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2290),
    [anon_sym_BSLASHbibliography] = ACTIONS(2290),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2290),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2290),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2290),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2290),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2290),
    [anon_sym_BSLASHimport] = ACTIONS(2290),
    [anon_sym_BSLASHsubimport] = ACTIONS(2290),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2290),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHcaption] = ACTIONS(2290),
    [anon_sym_BSLASHcite] = ACTIONS(2290),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCite] = ACTIONS(2290),
    [anon_sym_BSLASHnocite] = ACTIONS(2290),
    [anon_sym_BSLASHcitet] = ACTIONS(2290),
    [anon_sym_BSLASHcitep] = ACTIONS(2290),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteA] = ACTIONS(2290),
    [anon_sym_BSLASHciteR] = ACTIONS(2290),
    [anon_sym_BSLASHciteS] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2290),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteyear] = ACTIONS(2290),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitedate] = ACTIONS(2290),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteurl] = ACTIONS(2290),
    [anon_sym_BSLASHfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2290),
    [anon_sym_BSLASHcitealt] = ACTIONS(2290),
    [anon_sym_BSLASHcitealp] = ACTIONS(2290),
    [anon_sym_BSLASHcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHparencite] = ACTIONS(2290),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHParencite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHtextcite] = ACTIONS(2290),
    [anon_sym_BSLASHTextcite] = ACTIONS(2290),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHsupercite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite] = ACTIONS(2290),
    [anon_sym_BSLASHAutocite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHVolcite] = ACTIONS(2290),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHavolcite] = ACTIONS(2290),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHNotecite] = ACTIONS(2290),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHlabel] = ACTIONS(2290),
    [anon_sym_BSLASHref] = ACTIONS(2290),
    [anon_sym_BSLASHeqref] = ACTIONS(2290),
    [anon_sym_BSLASHvref] = ACTIONS(2290),
    [anon_sym_BSLASHVref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHpageref] = ACTIONS(2290),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHautopageref] = ACTIONS(2290),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcref] = ACTIONS(2290),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCref] = ACTIONS(2290),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHCpageref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnameCref] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2290),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHdef] = ACTIONS(2290),
    [anon_sym_BSLASHgdef] = ACTIONS(2290),
    [anon_sym_BSLASHedef] = ACTIONS(2290),
    [anon_sym_BSLASHxdef] = ACTIONS(2290),
    [anon_sym_BSLASHlet] = ACTIONS(2290),
    [anon_sym_BSLASHglet] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2290),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2290),
    [anon_sym_BSLASHgls] = ACTIONS(2290),
    [anon_sym_BSLASHGls] = ACTIONS(2290),
    [anon_sym_BSLASHGLS] = ACTIONS(2290),
    [anon_sym_BSLASHglspl] = ACTIONS(2290),
    [anon_sym_BSLASHGlspl] = ACTIONS(2290),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2290),
    [anon_sym_BSLASHglslink] = ACTIONS(2290),
    [anon_sym_BSLASHglstext] = ACTIONS(2290),
    [anon_sym_BSLASHGlstext] = ACTIONS(2290),
    [anon_sym_BSLASHGLStext] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2290),
    [anon_sym_BSLASHglsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsname] = ACTIONS(2290),
    [anon_sym_BSLASHGlsname] = ACTIONS(2290),
    [anon_sym_BSLASHGLSname] = ACTIONS(2290),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2290),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2290),
    [anon_sym_BSLASHacrshort] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2290),
    [anon_sym_BSLASHACRshort] = ACTIONS(2290),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrlong] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2290),
    [anon_sym_BSLASHACRlong] = ACTIONS(2290),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrfull] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2290),
    [anon_sym_BSLASHACRfull] = ACTIONS(2290),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHacs] = ACTIONS(2290),
    [anon_sym_BSLASHAcs] = ACTIONS(2290),
    [anon_sym_BSLASHacsp] = ACTIONS(2290),
    [anon_sym_BSLASHAcsp] = ACTIONS(2290),
    [anon_sym_BSLASHacl] = ACTIONS(2290),
    [anon_sym_BSLASHAcl] = ACTIONS(2290),
    [anon_sym_BSLASHaclp] = ACTIONS(2290),
    [anon_sym_BSLASHAclp] = ACTIONS(2290),
    [anon_sym_BSLASHacf] = ACTIONS(2290),
    [anon_sym_BSLASHAcf] = ACTIONS(2290),
    [anon_sym_BSLASHacfp] = ACTIONS(2290),
    [anon_sym_BSLASHAcfp] = ACTIONS(2290),
    [anon_sym_BSLASHac] = ACTIONS(2290),
    [anon_sym_BSLASHAc] = ACTIONS(2290),
    [anon_sym_BSLASHacp] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2290),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2290),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2290),
    [anon_sym_BSLASHcolor] = ACTIONS(2290),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2290),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2290),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2290),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2290),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2290),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2290),
    [anon_sym_BSLASHurl] = ACTIONS(2290),
    [anon_sym_BSLASHhref] = ACTIONS(2290),
  },
  [812] = {
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(823),
    [aux_sym__section_repeat5] = STATE(823),
    [sym_command_name] = ACTIONS(2290),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2290),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_RBRACK] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(2292),
    [anon_sym_EQ] = ACTIONS(2292),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_RPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHpart] = ACTIONS(2290),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddpart] = ACTIONS(2290),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHchapter] = ACTIONS(2290),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddchap] = ACTIONS(2290),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsection] = ACTIONS(2290),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddsec] = ACTIONS(2290),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubsection] = ACTIONS(2290),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHitem] = ACTIONS(2290),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2292),
    [anon_sym_LBRACE] = ACTIONS(2292),
    [sym_word] = ACTIONS(2290),
    [sym_placeholder] = ACTIONS(2292),
    [sym_delimiter] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2292),
    [anon_sym_SLASH] = ACTIONS(2292),
    [anon_sym_LT] = ACTIONS(2290),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(2290),
    [anon_sym_PIPE] = ACTIONS(2290),
    [anon_sym_COLON] = ACTIONS(2290),
    [anon_sym_SQUOTE] = ACTIONS(2290),
    [anon_sym__] = ACTIONS(2292),
    [anon_sym_CARET] = ACTIONS(2292),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2292),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2292),
    [anon_sym_DOLLAR] = ACTIONS(2290),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHleft] = ACTIONS(2290),
    [anon_sym_BSLASHbigl] = ACTIONS(2290),
    [anon_sym_BSLASHBigl] = ACTIONS(2290),
    [anon_sym_BSLASHbiggl] = ACTIONS(2290),
    [anon_sym_BSLASHBiggl] = ACTIONS(2290),
    [anon_sym_BSLASHtext] = ACTIONS(2290),
    [anon_sym_BSLASHintertext] = ACTIONS(2290),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2290),
    [anon_sym_BSLASHbegin] = ACTIONS(2290),
    [anon_sym_BSLASHend] = ACTIONS(2290),
    [anon_sym_BSLASHtitle] = ACTIONS(2290),
    [anon_sym_BSLASHauthor] = ACTIONS(2290),
    [anon_sym_BSLASHusepackage] = ACTIONS(2290),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2290),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2290),
    [anon_sym_BSLASHinclude] = ACTIONS(2290),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2290),
    [anon_sym_BSLASHinput] = ACTIONS(2290),
    [anon_sym_BSLASHsubfile] = ACTIONS(2290),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2290),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2290),
    [anon_sym_BSLASHbibliography] = ACTIONS(2290),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2290),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2290),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2290),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2290),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2290),
    [anon_sym_BSLASHimport] = ACTIONS(2290),
    [anon_sym_BSLASHsubimport] = ACTIONS(2290),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2290),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHcaption] = ACTIONS(2290),
    [anon_sym_BSLASHcite] = ACTIONS(2290),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCite] = ACTIONS(2290),
    [anon_sym_BSLASHnocite] = ACTIONS(2290),
    [anon_sym_BSLASHcitet] = ACTIONS(2290),
    [anon_sym_BSLASHcitep] = ACTIONS(2290),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteA] = ACTIONS(2290),
    [anon_sym_BSLASHciteR] = ACTIONS(2290),
    [anon_sym_BSLASHciteS] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2290),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteyear] = ACTIONS(2290),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitedate] = ACTIONS(2290),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteurl] = ACTIONS(2290),
    [anon_sym_BSLASHfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2290),
    [anon_sym_BSLASHcitealt] = ACTIONS(2290),
    [anon_sym_BSLASHcitealp] = ACTIONS(2290),
    [anon_sym_BSLASHcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHparencite] = ACTIONS(2290),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHParencite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHtextcite] = ACTIONS(2290),
    [anon_sym_BSLASHTextcite] = ACTIONS(2290),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHsupercite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite] = ACTIONS(2290),
    [anon_sym_BSLASHAutocite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHVolcite] = ACTIONS(2290),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHavolcite] = ACTIONS(2290),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHNotecite] = ACTIONS(2290),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHlabel] = ACTIONS(2290),
    [anon_sym_BSLASHref] = ACTIONS(2290),
    [anon_sym_BSLASHeqref] = ACTIONS(2290),
    [anon_sym_BSLASHvref] = ACTIONS(2290),
    [anon_sym_BSLASHVref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHpageref] = ACTIONS(2290),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHautopageref] = ACTIONS(2290),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcref] = ACTIONS(2290),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCref] = ACTIONS(2290),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHCpageref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnameCref] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2290),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHdef] = ACTIONS(2290),
    [anon_sym_BSLASHgdef] = ACTIONS(2290),
    [anon_sym_BSLASHedef] = ACTIONS(2290),
    [anon_sym_BSLASHxdef] = ACTIONS(2290),
    [anon_sym_BSLASHlet] = ACTIONS(2290),
    [anon_sym_BSLASHglet] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2290),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2290),
    [anon_sym_BSLASHgls] = ACTIONS(2290),
    [anon_sym_BSLASHGls] = ACTIONS(2290),
    [anon_sym_BSLASHGLS] = ACTIONS(2290),
    [anon_sym_BSLASHglspl] = ACTIONS(2290),
    [anon_sym_BSLASHGlspl] = ACTIONS(2290),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2290),
    [anon_sym_BSLASHglslink] = ACTIONS(2290),
    [anon_sym_BSLASHglstext] = ACTIONS(2290),
    [anon_sym_BSLASHGlstext] = ACTIONS(2290),
    [anon_sym_BSLASHGLStext] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2290),
    [anon_sym_BSLASHglsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsname] = ACTIONS(2290),
    [anon_sym_BSLASHGlsname] = ACTIONS(2290),
    [anon_sym_BSLASHGLSname] = ACTIONS(2290),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2290),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2290),
    [anon_sym_BSLASHacrshort] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2290),
    [anon_sym_BSLASHACRshort] = ACTIONS(2290),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrlong] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2290),
    [anon_sym_BSLASHACRlong] = ACTIONS(2290),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrfull] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2290),
    [anon_sym_BSLASHACRfull] = ACTIONS(2290),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHacs] = ACTIONS(2290),
    [anon_sym_BSLASHAcs] = ACTIONS(2290),
    [anon_sym_BSLASHacsp] = ACTIONS(2290),
    [anon_sym_BSLASHAcsp] = ACTIONS(2290),
    [anon_sym_BSLASHacl] = ACTIONS(2290),
    [anon_sym_BSLASHAcl] = ACTIONS(2290),
    [anon_sym_BSLASHaclp] = ACTIONS(2290),
    [anon_sym_BSLASHAclp] = ACTIONS(2290),
    [anon_sym_BSLASHacf] = ACTIONS(2290),
    [anon_sym_BSLASHAcf] = ACTIONS(2290),
    [anon_sym_BSLASHacfp] = ACTIONS(2290),
    [anon_sym_BSLASHAcfp] = ACTIONS(2290),
    [anon_sym_BSLASHac] = ACTIONS(2290),
    [anon_sym_BSLASHAc] = ACTIONS(2290),
    [anon_sym_BSLASHacp] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2290),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2290),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2290),
    [anon_sym_BSLASHcolor] = ACTIONS(2290),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2290),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2290),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2290),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2290),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2290),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2290),
    [anon_sym_BSLASHurl] = ACTIONS(2290),
    [anon_sym_BSLASHhref] = ACTIONS(2290),
  },
  [813] = {
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(845),
    [aux_sym__section_repeat5] = STATE(845),
    [sym_command_name] = ACTIONS(2308),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_BSLASHpart] = ACTIONS(2308),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddpart] = ACTIONS(2308),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHchapter] = ACTIONS(2308),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddchap] = ACTIONS(2308),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsection] = ACTIONS(2308),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddsec] = ACTIONS(2308),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsection] = ACTIONS(2308),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(2308),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2308),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHitem] = ACTIONS(2308),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [sym_word] = ACTIONS(2308),
    [sym_placeholder] = ACTIONS(2310),
    [sym_delimiter] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_STAR] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2308),
    [anon_sym_GT] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_PIPE] = ACTIONS(2308),
    [anon_sym_COLON] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [anon_sym__] = ACTIONS(2310),
    [anon_sym_CARET] = ACTIONS(2310),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2310),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2310),
    [anon_sym_DOLLAR] = ACTIONS(2308),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2310),
    [anon_sym_BSLASHleft] = ACTIONS(2308),
    [anon_sym_BSLASHbigl] = ACTIONS(2308),
    [anon_sym_BSLASHBigl] = ACTIONS(2308),
    [anon_sym_BSLASHbiggl] = ACTIONS(2308),
    [anon_sym_BSLASHBiggl] = ACTIONS(2308),
    [anon_sym_BSLASHtext] = ACTIONS(2308),
    [anon_sym_BSLASHintertext] = ACTIONS(2308),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2308),
    [anon_sym_BSLASHbegin] = ACTIONS(2308),
    [anon_sym_BSLASHend] = ACTIONS(2308),
    [anon_sym_BSLASHtitle] = ACTIONS(2308),
    [anon_sym_BSLASHauthor] = ACTIONS(2308),
    [anon_sym_BSLASHusepackage] = ACTIONS(2308),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2308),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2308),
    [anon_sym_BSLASHinclude] = ACTIONS(2308),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2308),
    [anon_sym_BSLASHinput] = ACTIONS(2308),
    [anon_sym_BSLASHsubfile] = ACTIONS(2308),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2308),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2308),
    [anon_sym_BSLASHbibliography] = ACTIONS(2308),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2308),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2308),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2308),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2308),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2308),
    [anon_sym_BSLASHimport] = ACTIONS(2308),
    [anon_sym_BSLASHsubimport] = ACTIONS(2308),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2308),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2308),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2308),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2308),
    [anon_sym_BSLASHcaption] = ACTIONS(2308),
    [anon_sym_BSLASHcite] = ACTIONS(2308),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCite] = ACTIONS(2308),
    [anon_sym_BSLASHnocite] = ACTIONS(2308),
    [anon_sym_BSLASHcitet] = ACTIONS(2308),
    [anon_sym_BSLASHcitep] = ACTIONS(2308),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteA] = ACTIONS(2308),
    [anon_sym_BSLASHciteR] = ACTIONS(2308),
    [anon_sym_BSLASHciteS] = ACTIONS(2308),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2308),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2308),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2308),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2308),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteyear] = ACTIONS(2308),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitedate] = ACTIONS(2308),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteurl] = ACTIONS(2308),
    [anon_sym_BSLASHfullcite] = ACTIONS(2308),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2308),
    [anon_sym_BSLASHcitealt] = ACTIONS(2308),
    [anon_sym_BSLASHcitealp] = ACTIONS(2308),
    [anon_sym_BSLASHcitetext] = ACTIONS(2308),
    [anon_sym_BSLASHparencite] = ACTIONS(2308),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHParencite] = ACTIONS(2308),
    [anon_sym_BSLASHfootcite] = ACTIONS(2308),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2308),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2308),
    [anon_sym_BSLASHtextcite] = ACTIONS(2308),
    [anon_sym_BSLASHTextcite] = ACTIONS(2308),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2308),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2308),
    [anon_sym_BSLASHsupercite] = ACTIONS(2308),
    [anon_sym_BSLASHautocite] = ACTIONS(2308),
    [anon_sym_BSLASHAutocite] = ACTIONS(2308),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHVolcite] = ACTIONS(2308),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHavolcite] = ACTIONS(2308),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHNotecite] = ACTIONS(2308),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHlabel] = ACTIONS(2308),
    [anon_sym_BSLASHref] = ACTIONS(2308),
    [anon_sym_BSLASHeqref] = ACTIONS(2308),
    [anon_sym_BSLASHvref] = ACTIONS(2308),
    [anon_sym_BSLASHVref] = ACTIONS(2308),
    [anon_sym_BSLASHautoref] = ACTIONS(2308),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHpageref] = ACTIONS(2308),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHautopageref] = ACTIONS(2308),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcref] = ACTIONS(2308),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCref] = ACTIONS(2308),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcpageref] = ACTIONS(2308),
    [anon_sym_BSLASHCpageref] = ACTIONS(2308),
    [anon_sym_BSLASHnamecref] = ACTIONS(2308),
    [anon_sym_BSLASHnameCref] = ACTIONS(2308),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2308),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2308),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2308),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2308),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2308),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2308),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2308),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2308),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2308),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2308),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2308),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHdef] = ACTIONS(2308),
    [anon_sym_BSLASHgdef] = ACTIONS(2308),
    [anon_sym_BSLASHedef] = ACTIONS(2308),
    [anon_sym_BSLASHxdef] = ACTIONS(2308),
    [anon_sym_BSLASHlet] = ACTIONS(2308),
    [anon_sym_BSLASHglet] = ACTIONS(2308),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2308),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2308),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2308),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2308),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2308),
    [anon_sym_BSLASHgls] = ACTIONS(2308),
    [anon_sym_BSLASHGls] = ACTIONS(2308),
    [anon_sym_BSLASHGLS] = ACTIONS(2308),
    [anon_sym_BSLASHglspl] = ACTIONS(2308),
    [anon_sym_BSLASHGlspl] = ACTIONS(2308),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2308),
    [anon_sym_BSLASHglslink] = ACTIONS(2308),
    [anon_sym_BSLASHglstext] = ACTIONS(2308),
    [anon_sym_BSLASHGlstext] = ACTIONS(2308),
    [anon_sym_BSLASHGLStext] = ACTIONS(2308),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2308),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2308),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2308),
    [anon_sym_BSLASHglsplural] = ACTIONS(2308),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2308),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2308),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHglsname] = ACTIONS(2308),
    [anon_sym_BSLASHGlsname] = ACTIONS(2308),
    [anon_sym_BSLASHGLSname] = ACTIONS(2308),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2308),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2308),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2308),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2308),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2308),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2308),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2308),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2308),
    [anon_sym_BSLASHacrshort] = ACTIONS(2308),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2308),
    [anon_sym_BSLASHACRshort] = ACTIONS(2308),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHacrlong] = ACTIONS(2308),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2308),
    [anon_sym_BSLASHACRlong] = ACTIONS(2308),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHacrfull] = ACTIONS(2308),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2308),
    [anon_sym_BSLASHACRfull] = ACTIONS(2308),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHacs] = ACTIONS(2308),
    [anon_sym_BSLASHAcs] = ACTIONS(2308),
    [anon_sym_BSLASHacsp] = ACTIONS(2308),
    [anon_sym_BSLASHAcsp] = ACTIONS(2308),
    [anon_sym_BSLASHacl] = ACTIONS(2308),
    [anon_sym_BSLASHAcl] = ACTIONS(2308),
    [anon_sym_BSLASHaclp] = ACTIONS(2308),
    [anon_sym_BSLASHAclp] = ACTIONS(2308),
    [anon_sym_BSLASHacf] = ACTIONS(2308),
    [anon_sym_BSLASHAcf] = ACTIONS(2308),
    [anon_sym_BSLASHacfp] = ACTIONS(2308),
    [anon_sym_BSLASHAcfp] = ACTIONS(2308),
    [anon_sym_BSLASHac] = ACTIONS(2308),
    [anon_sym_BSLASHAc] = ACTIONS(2308),
    [anon_sym_BSLASHacp] = ACTIONS(2308),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2308),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2308),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2308),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2308),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2308),
    [anon_sym_BSLASHcolor] = ACTIONS(2308),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2308),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2308),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2308),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2308),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2308),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2308),
    [anon_sym_BSLASHurl] = ACTIONS(2308),
    [anon_sym_BSLASHhref] = ACTIONS(2308),
  },
  [814] = {
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(823),
    [aux_sym__section_repeat5] = STATE(823),
    [sym_command_name] = ACTIONS(2308),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_BSLASHpart] = ACTIONS(2308),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddpart] = ACTIONS(2308),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHchapter] = ACTIONS(2308),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddchap] = ACTIONS(2308),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsection] = ACTIONS(2308),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddsec] = ACTIONS(2308),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsection] = ACTIONS(2308),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(2308),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2308),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHitem] = ACTIONS(2308),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [sym_word] = ACTIONS(2308),
    [sym_placeholder] = ACTIONS(2310),
    [sym_delimiter] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_STAR] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2308),
    [anon_sym_GT] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_PIPE] = ACTIONS(2308),
    [anon_sym_COLON] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [anon_sym__] = ACTIONS(2310),
    [anon_sym_CARET] = ACTIONS(2310),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2310),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2310),
    [anon_sym_DOLLAR] = ACTIONS(2308),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2310),
    [anon_sym_BSLASHleft] = ACTIONS(2308),
    [anon_sym_BSLASHbigl] = ACTIONS(2308),
    [anon_sym_BSLASHBigl] = ACTIONS(2308),
    [anon_sym_BSLASHbiggl] = ACTIONS(2308),
    [anon_sym_BSLASHBiggl] = ACTIONS(2308),
    [anon_sym_BSLASHtext] = ACTIONS(2308),
    [anon_sym_BSLASHintertext] = ACTIONS(2308),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2308),
    [anon_sym_BSLASHbegin] = ACTIONS(2308),
    [anon_sym_BSLASHend] = ACTIONS(2308),
    [anon_sym_BSLASHtitle] = ACTIONS(2308),
    [anon_sym_BSLASHauthor] = ACTIONS(2308),
    [anon_sym_BSLASHusepackage] = ACTIONS(2308),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2308),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2308),
    [anon_sym_BSLASHinclude] = ACTIONS(2308),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2308),
    [anon_sym_BSLASHinput] = ACTIONS(2308),
    [anon_sym_BSLASHsubfile] = ACTIONS(2308),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2308),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2308),
    [anon_sym_BSLASHbibliography] = ACTIONS(2308),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2308),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2308),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2308),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2308),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2308),
    [anon_sym_BSLASHimport] = ACTIONS(2308),
    [anon_sym_BSLASHsubimport] = ACTIONS(2308),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2308),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2308),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2308),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2308),
    [anon_sym_BSLASHcaption] = ACTIONS(2308),
    [anon_sym_BSLASHcite] = ACTIONS(2308),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCite] = ACTIONS(2308),
    [anon_sym_BSLASHnocite] = ACTIONS(2308),
    [anon_sym_BSLASHcitet] = ACTIONS(2308),
    [anon_sym_BSLASHcitep] = ACTIONS(2308),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteA] = ACTIONS(2308),
    [anon_sym_BSLASHciteR] = ACTIONS(2308),
    [anon_sym_BSLASHciteS] = ACTIONS(2308),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2308),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2308),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2308),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2308),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteyear] = ACTIONS(2308),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitedate] = ACTIONS(2308),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteurl] = ACTIONS(2308),
    [anon_sym_BSLASHfullcite] = ACTIONS(2308),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2308),
    [anon_sym_BSLASHcitealt] = ACTIONS(2308),
    [anon_sym_BSLASHcitealp] = ACTIONS(2308),
    [anon_sym_BSLASHcitetext] = ACTIONS(2308),
    [anon_sym_BSLASHparencite] = ACTIONS(2308),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHParencite] = ACTIONS(2308),
    [anon_sym_BSLASHfootcite] = ACTIONS(2308),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2308),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2308),
    [anon_sym_BSLASHtextcite] = ACTIONS(2308),
    [anon_sym_BSLASHTextcite] = ACTIONS(2308),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2308),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2308),
    [anon_sym_BSLASHsupercite] = ACTIONS(2308),
    [anon_sym_BSLASHautocite] = ACTIONS(2308),
    [anon_sym_BSLASHAutocite] = ACTIONS(2308),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHVolcite] = ACTIONS(2308),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHavolcite] = ACTIONS(2308),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHNotecite] = ACTIONS(2308),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHlabel] = ACTIONS(2308),
    [anon_sym_BSLASHref] = ACTIONS(2308),
    [anon_sym_BSLASHeqref] = ACTIONS(2308),
    [anon_sym_BSLASHvref] = ACTIONS(2308),
    [anon_sym_BSLASHVref] = ACTIONS(2308),
    [anon_sym_BSLASHautoref] = ACTIONS(2308),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHpageref] = ACTIONS(2308),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHautopageref] = ACTIONS(2308),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcref] = ACTIONS(2308),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCref] = ACTIONS(2308),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcpageref] = ACTIONS(2308),
    [anon_sym_BSLASHCpageref] = ACTIONS(2308),
    [anon_sym_BSLASHnamecref] = ACTIONS(2308),
    [anon_sym_BSLASHnameCref] = ACTIONS(2308),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2308),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2308),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2308),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2308),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2308),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2308),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2308),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2308),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2308),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2308),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2308),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHdef] = ACTIONS(2308),
    [anon_sym_BSLASHgdef] = ACTIONS(2308),
    [anon_sym_BSLASHedef] = ACTIONS(2308),
    [anon_sym_BSLASHxdef] = ACTIONS(2308),
    [anon_sym_BSLASHlet] = ACTIONS(2308),
    [anon_sym_BSLASHglet] = ACTIONS(2308),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2308),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2308),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2308),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2308),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2308),
    [anon_sym_BSLASHgls] = ACTIONS(2308),
    [anon_sym_BSLASHGls] = ACTIONS(2308),
    [anon_sym_BSLASHGLS] = ACTIONS(2308),
    [anon_sym_BSLASHglspl] = ACTIONS(2308),
    [anon_sym_BSLASHGlspl] = ACTIONS(2308),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2308),
    [anon_sym_BSLASHglslink] = ACTIONS(2308),
    [anon_sym_BSLASHglstext] = ACTIONS(2308),
    [anon_sym_BSLASHGlstext] = ACTIONS(2308),
    [anon_sym_BSLASHGLStext] = ACTIONS(2308),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2308),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2308),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2308),
    [anon_sym_BSLASHglsplural] = ACTIONS(2308),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2308),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2308),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHglsname] = ACTIONS(2308),
    [anon_sym_BSLASHGlsname] = ACTIONS(2308),
    [anon_sym_BSLASHGLSname] = ACTIONS(2308),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2308),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2308),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2308),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2308),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2308),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2308),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2308),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2308),
    [anon_sym_BSLASHacrshort] = ACTIONS(2308),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2308),
    [anon_sym_BSLASHACRshort] = ACTIONS(2308),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHacrlong] = ACTIONS(2308),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2308),
    [anon_sym_BSLASHACRlong] = ACTIONS(2308),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHacrfull] = ACTIONS(2308),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2308),
    [anon_sym_BSLASHACRfull] = ACTIONS(2308),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHacs] = ACTIONS(2308),
    [anon_sym_BSLASHAcs] = ACTIONS(2308),
    [anon_sym_BSLASHacsp] = ACTIONS(2308),
    [anon_sym_BSLASHAcsp] = ACTIONS(2308),
    [anon_sym_BSLASHacl] = ACTIONS(2308),
    [anon_sym_BSLASHAcl] = ACTIONS(2308),
    [anon_sym_BSLASHaclp] = ACTIONS(2308),
    [anon_sym_BSLASHAclp] = ACTIONS(2308),
    [anon_sym_BSLASHacf] = ACTIONS(2308),
    [anon_sym_BSLASHAcf] = ACTIONS(2308),
    [anon_sym_BSLASHacfp] = ACTIONS(2308),
    [anon_sym_BSLASHAcfp] = ACTIONS(2308),
    [anon_sym_BSLASHac] = ACTIONS(2308),
    [anon_sym_BSLASHAc] = ACTIONS(2308),
    [anon_sym_BSLASHacp] = ACTIONS(2308),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2308),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2308),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2308),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2308),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2308),
    [anon_sym_BSLASHcolor] = ACTIONS(2308),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2308),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2308),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2308),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2308),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2308),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2308),
    [anon_sym_BSLASHurl] = ACTIONS(2308),
    [anon_sym_BSLASHhref] = ACTIONS(2308),
  },
  [815] = {
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(825),
    [aux_sym__paragraph_repeat2] = STATE(825),
    [sym_command_name] = ACTIONS(2344),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2344),
    [anon_sym_LBRACK] = ACTIONS(2346),
    [anon_sym_RBRACK] = ACTIONS(2346),
    [anon_sym_COMMA] = ACTIONS(2346),
    [anon_sym_EQ] = ACTIONS(2346),
    [anon_sym_LPAREN] = ACTIONS(2346),
    [anon_sym_RPAREN] = ACTIONS(2346),
    [anon_sym_BSLASHpart] = ACTIONS(2344),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddpart] = ACTIONS(2344),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHchapter] = ACTIONS(2344),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddchap] = ACTIONS(2344),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsection] = ACTIONS(2344),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddsec] = ACTIONS(2344),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHparagraph] = ACTIONS(2344),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(704),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(706),
    [anon_sym_BSLASHitem] = ACTIONS(2344),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2346),
    [anon_sym_LBRACE] = ACTIONS(2346),
    [sym_word] = ACTIONS(2344),
    [sym_placeholder] = ACTIONS(2346),
    [sym_delimiter] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_PIPE] = ACTIONS(2344),
    [anon_sym_COLON] = ACTIONS(2344),
    [anon_sym_SQUOTE] = ACTIONS(2344),
    [anon_sym__] = ACTIONS(2346),
    [anon_sym_CARET] = ACTIONS(2346),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2346),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2346),
    [anon_sym_DOLLAR] = ACTIONS(2344),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2346),
    [anon_sym_BSLASHleft] = ACTIONS(2344),
    [anon_sym_BSLASHbigl] = ACTIONS(2344),
    [anon_sym_BSLASHBigl] = ACTIONS(2344),
    [anon_sym_BSLASHbiggl] = ACTIONS(2344),
    [anon_sym_BSLASHBiggl] = ACTIONS(2344),
    [anon_sym_BSLASHtext] = ACTIONS(2344),
    [anon_sym_BSLASHintertext] = ACTIONS(2344),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2344),
    [anon_sym_BSLASHbegin] = ACTIONS(2344),
    [anon_sym_BSLASHend] = ACTIONS(2344),
    [anon_sym_BSLASHtitle] = ACTIONS(2344),
    [anon_sym_BSLASHauthor] = ACTIONS(2344),
    [anon_sym_BSLASHusepackage] = ACTIONS(2344),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2344),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2344),
    [anon_sym_BSLASHinclude] = ACTIONS(2344),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2344),
    [anon_sym_BSLASHinput] = ACTIONS(2344),
    [anon_sym_BSLASHsubfile] = ACTIONS(2344),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2344),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2344),
    [anon_sym_BSLASHbibliography] = ACTIONS(2344),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2344),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2344),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2344),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2344),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2344),
    [anon_sym_BSLASHimport] = ACTIONS(2344),
    [anon_sym_BSLASHsubimport] = ACTIONS(2344),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2344),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2344),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2344),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2344),
    [anon_sym_BSLASHcaption] = ACTIONS(2344),
    [anon_sym_BSLASHcite] = ACTIONS(2344),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCite] = ACTIONS(2344),
    [anon_sym_BSLASHnocite] = ACTIONS(2344),
    [anon_sym_BSLASHcitet] = ACTIONS(2344),
    [anon_sym_BSLASHcitep] = ACTIONS(2344),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteA] = ACTIONS(2344),
    [anon_sym_BSLASHciteR] = ACTIONS(2344),
    [anon_sym_BSLASHciteS] = ACTIONS(2344),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2344),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2344),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2344),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2344),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteyear] = ACTIONS(2344),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitedate] = ACTIONS(2344),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteurl] = ACTIONS(2344),
    [anon_sym_BSLASHfullcite] = ACTIONS(2344),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2344),
    [anon_sym_BSLASHcitealt] = ACTIONS(2344),
    [anon_sym_BSLASHcitealp] = ACTIONS(2344),
    [anon_sym_BSLASHcitetext] = ACTIONS(2344),
    [anon_sym_BSLASHparencite] = ACTIONS(2344),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHParencite] = ACTIONS(2344),
    [anon_sym_BSLASHfootcite] = ACTIONS(2344),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2344),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2344),
    [anon_sym_BSLASHtextcite] = ACTIONS(2344),
    [anon_sym_BSLASHTextcite] = ACTIONS(2344),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2344),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2344),
    [anon_sym_BSLASHsupercite] = ACTIONS(2344),
    [anon_sym_BSLASHautocite] = ACTIONS(2344),
    [anon_sym_BSLASHAutocite] = ACTIONS(2344),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHVolcite] = ACTIONS(2344),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHavolcite] = ACTIONS(2344),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHNotecite] = ACTIONS(2344),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHlabel] = ACTIONS(2344),
    [anon_sym_BSLASHref] = ACTIONS(2344),
    [anon_sym_BSLASHeqref] = ACTIONS(2344),
    [anon_sym_BSLASHvref] = ACTIONS(2344),
    [anon_sym_BSLASHVref] = ACTIONS(2344),
    [anon_sym_BSLASHautoref] = ACTIONS(2344),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHpageref] = ACTIONS(2344),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHautopageref] = ACTIONS(2344),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcref] = ACTIONS(2344),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCref] = ACTIONS(2344),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcpageref] = ACTIONS(2344),
    [anon_sym_BSLASHCpageref] = ACTIONS(2344),
    [anon_sym_BSLASHnamecref] = ACTIONS(2344),
    [anon_sym_BSLASHnameCref] = ACTIONS(2344),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2344),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2344),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2344),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2344),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2344),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2344),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2344),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2344),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2344),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2344),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2344),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHdef] = ACTIONS(2344),
    [anon_sym_BSLASHgdef] = ACTIONS(2344),
    [anon_sym_BSLASHedef] = ACTIONS(2344),
    [anon_sym_BSLASHxdef] = ACTIONS(2344),
    [anon_sym_BSLASHlet] = ACTIONS(2344),
    [anon_sym_BSLASHglet] = ACTIONS(2344),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2344),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2344),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2344),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2344),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2344),
    [anon_sym_BSLASHgls] = ACTIONS(2344),
    [anon_sym_BSLASHGls] = ACTIONS(2344),
    [anon_sym_BSLASHGLS] = ACTIONS(2344),
    [anon_sym_BSLASHglspl] = ACTIONS(2344),
    [anon_sym_BSLASHGlspl] = ACTIONS(2344),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2344),
    [anon_sym_BSLASHglslink] = ACTIONS(2344),
    [anon_sym_BSLASHglstext] = ACTIONS(2344),
    [anon_sym_BSLASHGlstext] = ACTIONS(2344),
    [anon_sym_BSLASHGLStext] = ACTIONS(2344),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2344),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2344),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2344),
    [anon_sym_BSLASHglsplural] = ACTIONS(2344),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2344),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2344),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHglsname] = ACTIONS(2344),
    [anon_sym_BSLASHGlsname] = ACTIONS(2344),
    [anon_sym_BSLASHGLSname] = ACTIONS(2344),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2344),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2344),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2344),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2344),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2344),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2344),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2344),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2344),
    [anon_sym_BSLASHacrshort] = ACTIONS(2344),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2344),
    [anon_sym_BSLASHACRshort] = ACTIONS(2344),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHacrlong] = ACTIONS(2344),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2344),
    [anon_sym_BSLASHACRlong] = ACTIONS(2344),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHacrfull] = ACTIONS(2344),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2344),
    [anon_sym_BSLASHACRfull] = ACTIONS(2344),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHacs] = ACTIONS(2344),
    [anon_sym_BSLASHAcs] = ACTIONS(2344),
    [anon_sym_BSLASHacsp] = ACTIONS(2344),
    [anon_sym_BSLASHAcsp] = ACTIONS(2344),
    [anon_sym_BSLASHacl] = ACTIONS(2344),
    [anon_sym_BSLASHAcl] = ACTIONS(2344),
    [anon_sym_BSLASHaclp] = ACTIONS(2344),
    [anon_sym_BSLASHAclp] = ACTIONS(2344),
    [anon_sym_BSLASHacf] = ACTIONS(2344),
    [anon_sym_BSLASHAcf] = ACTIONS(2344),
    [anon_sym_BSLASHacfp] = ACTIONS(2344),
    [anon_sym_BSLASHAcfp] = ACTIONS(2344),
    [anon_sym_BSLASHac] = ACTIONS(2344),
    [anon_sym_BSLASHAc] = ACTIONS(2344),
    [anon_sym_BSLASHacp] = ACTIONS(2344),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2344),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2344),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2344),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2344),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2344),
    [anon_sym_BSLASHcolor] = ACTIONS(2344),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2344),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2344),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2344),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2344),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2344),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2344),
    [anon_sym_BSLASHurl] = ACTIONS(2344),
    [anon_sym_BSLASHhref] = ACTIONS(2344),
  },
  [816] = {
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(826),
    [aux_sym__paragraph_repeat3] = STATE(826),
    [sym_command_name] = ACTIONS(2344),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2344),
    [anon_sym_LBRACK] = ACTIONS(2346),
    [anon_sym_RBRACK] = ACTIONS(2346),
    [anon_sym_COMMA] = ACTIONS(2346),
    [anon_sym_EQ] = ACTIONS(2346),
    [anon_sym_LPAREN] = ACTIONS(2346),
    [anon_sym_RPAREN] = ACTIONS(2346),
    [anon_sym_BSLASHpart] = ACTIONS(2344),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddpart] = ACTIONS(2344),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHchapter] = ACTIONS(2344),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddchap] = ACTIONS(2344),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsection] = ACTIONS(2344),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddsec] = ACTIONS(2344),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHparagraph] = ACTIONS(2344),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2344),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(2346),
    [sym_word] = ACTIONS(2344),
    [sym_placeholder] = ACTIONS(2346),
    [sym_delimiter] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_PIPE] = ACTIONS(2344),
    [anon_sym_COLON] = ACTIONS(2344),
    [anon_sym_SQUOTE] = ACTIONS(2344),
    [anon_sym__] = ACTIONS(2346),
    [anon_sym_CARET] = ACTIONS(2346),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2346),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2346),
    [anon_sym_DOLLAR] = ACTIONS(2344),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2346),
    [anon_sym_BSLASHleft] = ACTIONS(2344),
    [anon_sym_BSLASHbigl] = ACTIONS(2344),
    [anon_sym_BSLASHBigl] = ACTIONS(2344),
    [anon_sym_BSLASHbiggl] = ACTIONS(2344),
    [anon_sym_BSLASHBiggl] = ACTIONS(2344),
    [anon_sym_BSLASHtext] = ACTIONS(2344),
    [anon_sym_BSLASHintertext] = ACTIONS(2344),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2344),
    [anon_sym_BSLASHbegin] = ACTIONS(2344),
    [anon_sym_BSLASHend] = ACTIONS(2344),
    [anon_sym_BSLASHtitle] = ACTIONS(2344),
    [anon_sym_BSLASHauthor] = ACTIONS(2344),
    [anon_sym_BSLASHusepackage] = ACTIONS(2344),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2344),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2344),
    [anon_sym_BSLASHinclude] = ACTIONS(2344),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2344),
    [anon_sym_BSLASHinput] = ACTIONS(2344),
    [anon_sym_BSLASHsubfile] = ACTIONS(2344),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2344),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2344),
    [anon_sym_BSLASHbibliography] = ACTIONS(2344),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2344),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2344),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2344),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2344),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2344),
    [anon_sym_BSLASHimport] = ACTIONS(2344),
    [anon_sym_BSLASHsubimport] = ACTIONS(2344),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2344),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2344),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2344),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2344),
    [anon_sym_BSLASHcaption] = ACTIONS(2344),
    [anon_sym_BSLASHcite] = ACTIONS(2344),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCite] = ACTIONS(2344),
    [anon_sym_BSLASHnocite] = ACTIONS(2344),
    [anon_sym_BSLASHcitet] = ACTIONS(2344),
    [anon_sym_BSLASHcitep] = ACTIONS(2344),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteA] = ACTIONS(2344),
    [anon_sym_BSLASHciteR] = ACTIONS(2344),
    [anon_sym_BSLASHciteS] = ACTIONS(2344),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2344),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2344),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2344),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2344),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteyear] = ACTIONS(2344),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitedate] = ACTIONS(2344),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteurl] = ACTIONS(2344),
    [anon_sym_BSLASHfullcite] = ACTIONS(2344),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2344),
    [anon_sym_BSLASHcitealt] = ACTIONS(2344),
    [anon_sym_BSLASHcitealp] = ACTIONS(2344),
    [anon_sym_BSLASHcitetext] = ACTIONS(2344),
    [anon_sym_BSLASHparencite] = ACTIONS(2344),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHParencite] = ACTIONS(2344),
    [anon_sym_BSLASHfootcite] = ACTIONS(2344),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2344),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2344),
    [anon_sym_BSLASHtextcite] = ACTIONS(2344),
    [anon_sym_BSLASHTextcite] = ACTIONS(2344),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2344),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2344),
    [anon_sym_BSLASHsupercite] = ACTIONS(2344),
    [anon_sym_BSLASHautocite] = ACTIONS(2344),
    [anon_sym_BSLASHAutocite] = ACTIONS(2344),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHVolcite] = ACTIONS(2344),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHavolcite] = ACTIONS(2344),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHNotecite] = ACTIONS(2344),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHlabel] = ACTIONS(2344),
    [anon_sym_BSLASHref] = ACTIONS(2344),
    [anon_sym_BSLASHeqref] = ACTIONS(2344),
    [anon_sym_BSLASHvref] = ACTIONS(2344),
    [anon_sym_BSLASHVref] = ACTIONS(2344),
    [anon_sym_BSLASHautoref] = ACTIONS(2344),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHpageref] = ACTIONS(2344),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHautopageref] = ACTIONS(2344),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcref] = ACTIONS(2344),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCref] = ACTIONS(2344),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcpageref] = ACTIONS(2344),
    [anon_sym_BSLASHCpageref] = ACTIONS(2344),
    [anon_sym_BSLASHnamecref] = ACTIONS(2344),
    [anon_sym_BSLASHnameCref] = ACTIONS(2344),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2344),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2344),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2344),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2344),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2344),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2344),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2344),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2344),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2344),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2344),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2344),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHdef] = ACTIONS(2344),
    [anon_sym_BSLASHgdef] = ACTIONS(2344),
    [anon_sym_BSLASHedef] = ACTIONS(2344),
    [anon_sym_BSLASHxdef] = ACTIONS(2344),
    [anon_sym_BSLASHlet] = ACTIONS(2344),
    [anon_sym_BSLASHglet] = ACTIONS(2344),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2344),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2344),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2344),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2344),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2344),
    [anon_sym_BSLASHgls] = ACTIONS(2344),
    [anon_sym_BSLASHGls] = ACTIONS(2344),
    [anon_sym_BSLASHGLS] = ACTIONS(2344),
    [anon_sym_BSLASHglspl] = ACTIONS(2344),
    [anon_sym_BSLASHGlspl] = ACTIONS(2344),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2344),
    [anon_sym_BSLASHglslink] = ACTIONS(2344),
    [anon_sym_BSLASHglstext] = ACTIONS(2344),
    [anon_sym_BSLASHGlstext] = ACTIONS(2344),
    [anon_sym_BSLASHGLStext] = ACTIONS(2344),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2344),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2344),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2344),
    [anon_sym_BSLASHglsplural] = ACTIONS(2344),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2344),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2344),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHglsname] = ACTIONS(2344),
    [anon_sym_BSLASHGlsname] = ACTIONS(2344),
    [anon_sym_BSLASHGLSname] = ACTIONS(2344),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2344),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2344),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2344),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2344),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2344),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2344),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2344),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2344),
    [anon_sym_BSLASHacrshort] = ACTIONS(2344),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2344),
    [anon_sym_BSLASHACRshort] = ACTIONS(2344),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHacrlong] = ACTIONS(2344),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2344),
    [anon_sym_BSLASHACRlong] = ACTIONS(2344),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHacrfull] = ACTIONS(2344),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2344),
    [anon_sym_BSLASHACRfull] = ACTIONS(2344),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHacs] = ACTIONS(2344),
    [anon_sym_BSLASHAcs] = ACTIONS(2344),
    [anon_sym_BSLASHacsp] = ACTIONS(2344),
    [anon_sym_BSLASHAcsp] = ACTIONS(2344),
    [anon_sym_BSLASHacl] = ACTIONS(2344),
    [anon_sym_BSLASHAcl] = ACTIONS(2344),
    [anon_sym_BSLASHaclp] = ACTIONS(2344),
    [anon_sym_BSLASHAclp] = ACTIONS(2344),
    [anon_sym_BSLASHacf] = ACTIONS(2344),
    [anon_sym_BSLASHAcf] = ACTIONS(2344),
    [anon_sym_BSLASHacfp] = ACTIONS(2344),
    [anon_sym_BSLASHAcfp] = ACTIONS(2344),
    [anon_sym_BSLASHac] = ACTIONS(2344),
    [anon_sym_BSLASHAc] = ACTIONS(2344),
    [anon_sym_BSLASHacp] = ACTIONS(2344),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2344),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2344),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2344),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2344),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2344),
    [anon_sym_BSLASHcolor] = ACTIONS(2344),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2344),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2344),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2344),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2344),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2344),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2344),
    [anon_sym_BSLASHurl] = ACTIONS(2344),
    [anon_sym_BSLASHhref] = ACTIONS(2344),
  },
  [817] = {
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(826),
    [aux_sym__paragraph_repeat3] = STATE(826),
    [sym_command_name] = ACTIONS(2354),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2356),
    [anon_sym_RBRACK] = ACTIONS(2356),
    [anon_sym_COMMA] = ACTIONS(2356),
    [anon_sym_EQ] = ACTIONS(2356),
    [anon_sym_LPAREN] = ACTIONS(2356),
    [anon_sym_RPAREN] = ACTIONS(2356),
    [anon_sym_BSLASHpart] = ACTIONS(2354),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddpart] = ACTIONS(2354),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHchapter] = ACTIONS(2354),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddchap] = ACTIONS(2354),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsection] = ACTIONS(2354),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddsec] = ACTIONS(2354),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubsection] = ACTIONS(2354),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2354),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHparagraph] = ACTIONS(2354),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2354),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(2356),
    [sym_word] = ACTIONS(2354),
    [sym_placeholder] = ACTIONS(2356),
    [sym_delimiter] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_SLASH] = ACTIONS(2356),
    [anon_sym_LT] = ACTIONS(2354),
    [anon_sym_GT] = ACTIONS(2354),
    [anon_sym_BANG] = ACTIONS(2354),
    [anon_sym_PIPE] = ACTIONS(2354),
    [anon_sym_COLON] = ACTIONS(2354),
    [anon_sym_SQUOTE] = ACTIONS(2354),
    [anon_sym__] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2356),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2356),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2356),
    [anon_sym_DOLLAR] = ACTIONS(2354),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2356),
    [anon_sym_BSLASHleft] = ACTIONS(2354),
    [anon_sym_BSLASHbigl] = ACTIONS(2354),
    [anon_sym_BSLASHBigl] = ACTIONS(2354),
    [anon_sym_BSLASHbiggl] = ACTIONS(2354),
    [anon_sym_BSLASHBiggl] = ACTIONS(2354),
    [anon_sym_BSLASHtext] = ACTIONS(2354),
    [anon_sym_BSLASHintertext] = ACTIONS(2354),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2354),
    [anon_sym_BSLASHbegin] = ACTIONS(2354),
    [anon_sym_BSLASHend] = ACTIONS(2354),
    [anon_sym_BSLASHtitle] = ACTIONS(2354),
    [anon_sym_BSLASHauthor] = ACTIONS(2354),
    [anon_sym_BSLASHusepackage] = ACTIONS(2354),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2354),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2354),
    [anon_sym_BSLASHinclude] = ACTIONS(2354),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2354),
    [anon_sym_BSLASHinput] = ACTIONS(2354),
    [anon_sym_BSLASHsubfile] = ACTIONS(2354),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2354),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2354),
    [anon_sym_BSLASHbibliography] = ACTIONS(2354),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2354),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2354),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2354),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2354),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2354),
    [anon_sym_BSLASHimport] = ACTIONS(2354),
    [anon_sym_BSLASHsubimport] = ACTIONS(2354),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2354),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2354),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2354),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2354),
    [anon_sym_BSLASHcaption] = ACTIONS(2354),
    [anon_sym_BSLASHcite] = ACTIONS(2354),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHCite] = ACTIONS(2354),
    [anon_sym_BSLASHnocite] = ACTIONS(2354),
    [anon_sym_BSLASHcitet] = ACTIONS(2354),
    [anon_sym_BSLASHcitep] = ACTIONS(2354),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHciteA] = ACTIONS(2354),
    [anon_sym_BSLASHciteR] = ACTIONS(2354),
    [anon_sym_BSLASHciteS] = ACTIONS(2354),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2354),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2354),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2354),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2354),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHciteyear] = ACTIONS(2354),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcitedate] = ACTIONS(2354),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHciteurl] = ACTIONS(2354),
    [anon_sym_BSLASHfullcite] = ACTIONS(2354),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2354),
    [anon_sym_BSLASHcitealt] = ACTIONS(2354),
    [anon_sym_BSLASHcitealp] = ACTIONS(2354),
    [anon_sym_BSLASHcitetext] = ACTIONS(2354),
    [anon_sym_BSLASHparencite] = ACTIONS(2354),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHParencite] = ACTIONS(2354),
    [anon_sym_BSLASHfootcite] = ACTIONS(2354),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2354),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2354),
    [anon_sym_BSLASHtextcite] = ACTIONS(2354),
    [anon_sym_BSLASHTextcite] = ACTIONS(2354),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2354),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2354),
    [anon_sym_BSLASHsupercite] = ACTIONS(2354),
    [anon_sym_BSLASHautocite] = ACTIONS(2354),
    [anon_sym_BSLASHAutocite] = ACTIONS(2354),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHVolcite] = ACTIONS(2354),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHavolcite] = ACTIONS(2354),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHnotecite] = ACTIONS(2354),
    [anon_sym_BSLASHNotecite] = ACTIONS(2354),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2354),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2354),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2354),
    [anon_sym_BSLASHlabel] = ACTIONS(2354),
    [anon_sym_BSLASHref] = ACTIONS(2354),
    [anon_sym_BSLASHeqref] = ACTIONS(2354),
    [anon_sym_BSLASHvref] = ACTIONS(2354),
    [anon_sym_BSLASHVref] = ACTIONS(2354),
    [anon_sym_BSLASHautoref] = ACTIONS(2354),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHpageref] = ACTIONS(2354),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHautopageref] = ACTIONS(2354),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcref] = ACTIONS(2354),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHCref] = ACTIONS(2354),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcpageref] = ACTIONS(2354),
    [anon_sym_BSLASHCpageref] = ACTIONS(2354),
    [anon_sym_BSLASHnamecref] = ACTIONS(2354),
    [anon_sym_BSLASHnameCref] = ACTIONS(2354),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2354),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2354),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2354),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2354),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2354),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2354),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2354),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2354),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2354),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2354),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2354),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2354),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2354),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2354),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2354),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2354),
    [anon_sym_BSLASHdef] = ACTIONS(2354),
    [anon_sym_BSLASHgdef] = ACTIONS(2354),
    [anon_sym_BSLASHedef] = ACTIONS(2354),
    [anon_sym_BSLASHxdef] = ACTIONS(2354),
    [anon_sym_BSLASHlet] = ACTIONS(2354),
    [anon_sym_BSLASHglet] = ACTIONS(2354),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2354),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2354),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2354),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2354),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2354),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2354),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2354),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2354),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2354),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2354),
    [anon_sym_BSLASHgls] = ACTIONS(2354),
    [anon_sym_BSLASHGls] = ACTIONS(2354),
    [anon_sym_BSLASHGLS] = ACTIONS(2354),
    [anon_sym_BSLASHglspl] = ACTIONS(2354),
    [anon_sym_BSLASHGlspl] = ACTIONS(2354),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2354),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2354),
    [anon_sym_BSLASHglslink] = ACTIONS(2354),
    [anon_sym_BSLASHglstext] = ACTIONS(2354),
    [anon_sym_BSLASHGlstext] = ACTIONS(2354),
    [anon_sym_BSLASHGLStext] = ACTIONS(2354),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2354),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2354),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2354),
    [anon_sym_BSLASHglsplural] = ACTIONS(2354),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2354),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2354),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2354),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2354),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2354),
    [anon_sym_BSLASHglsname] = ACTIONS(2354),
    [anon_sym_BSLASHGlsname] = ACTIONS(2354),
    [anon_sym_BSLASHGLSname] = ACTIONS(2354),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2354),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2354),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2354),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2354),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2354),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2354),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2354),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2354),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2354),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2354),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2354),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2354),
    [anon_sym_BSLASHacrshort] = ACTIONS(2354),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2354),
    [anon_sym_BSLASHACRshort] = ACTIONS(2354),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2354),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2354),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2354),
    [anon_sym_BSLASHacrlong] = ACTIONS(2354),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2354),
    [anon_sym_BSLASHACRlong] = ACTIONS(2354),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2354),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2354),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2354),
    [anon_sym_BSLASHacrfull] = ACTIONS(2354),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2354),
    [anon_sym_BSLASHACRfull] = ACTIONS(2354),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2354),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2354),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2354),
    [anon_sym_BSLASHacs] = ACTIONS(2354),
    [anon_sym_BSLASHAcs] = ACTIONS(2354),
    [anon_sym_BSLASHacsp] = ACTIONS(2354),
    [anon_sym_BSLASHAcsp] = ACTIONS(2354),
    [anon_sym_BSLASHacl] = ACTIONS(2354),
    [anon_sym_BSLASHAcl] = ACTIONS(2354),
    [anon_sym_BSLASHaclp] = ACTIONS(2354),
    [anon_sym_BSLASHAclp] = ACTIONS(2354),
    [anon_sym_BSLASHacf] = ACTIONS(2354),
    [anon_sym_BSLASHAcf] = ACTIONS(2354),
    [anon_sym_BSLASHacfp] = ACTIONS(2354),
    [anon_sym_BSLASHAcfp] = ACTIONS(2354),
    [anon_sym_BSLASHac] = ACTIONS(2354),
    [anon_sym_BSLASHAc] = ACTIONS(2354),
    [anon_sym_BSLASHacp] = ACTIONS(2354),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2354),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2354),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2354),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2354),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2354),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2354),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2354),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2354),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2354),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2354),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2354),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2354),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2354),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2354),
    [anon_sym_BSLASHcolor] = ACTIONS(2354),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2354),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2354),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2354),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2354),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2354),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2354),
    [anon_sym_BSLASHurl] = ACTIONS(2354),
    [anon_sym_BSLASHhref] = ACTIONS(2354),
  },
  [818] = {
    [sym_curly_group] = STATE(1117),
    [aux_sym_generic_command_repeat1] = STATE(818),
    [ts_builtin_sym_end] = ACTIONS(6866),
    [sym_command_name] = ACTIONS(6864),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6864),
    [anon_sym_LBRACK] = ACTIONS(6866),
    [anon_sym_RBRACK] = ACTIONS(6866),
    [anon_sym_COMMA] = ACTIONS(6866),
    [anon_sym_EQ] = ACTIONS(6866),
    [anon_sym_LPAREN] = ACTIONS(6866),
    [anon_sym_RPAREN] = ACTIONS(6866),
    [anon_sym_BSLASHpart] = ACTIONS(6864),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHaddpart] = ACTIONS(6864),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHchapter] = ACTIONS(6864),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHaddchap] = ACTIONS(6864),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHsection] = ACTIONS(6864),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHaddsec] = ACTIONS(6864),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHsubsection] = ACTIONS(6864),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6864),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHparagraph] = ACTIONS(6864),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6864),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHitem] = ACTIONS(6864),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6866),
    [anon_sym_LBRACE] = ACTIONS(7659),
    [anon_sym_RBRACE] = ACTIONS(6866),
    [sym_word] = ACTIONS(6864),
    [sym_placeholder] = ACTIONS(6866),
    [sym_delimiter] = ACTIONS(6866),
    [anon_sym_PLUS] = ACTIONS(6866),
    [anon_sym_DASH] = ACTIONS(6866),
    [anon_sym_STAR] = ACTIONS(6866),
    [anon_sym_SLASH] = ACTIONS(6866),
    [anon_sym_LT] = ACTIONS(6864),
    [anon_sym_GT] = ACTIONS(6864),
    [anon_sym_BANG] = ACTIONS(6864),
    [anon_sym_PIPE] = ACTIONS(6864),
    [anon_sym_COLON] = ACTIONS(6864),
    [anon_sym_SQUOTE] = ACTIONS(6864),
    [anon_sym__] = ACTIONS(6866),
    [anon_sym_CARET] = ACTIONS(6866),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6866),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6866),
    [anon_sym_DOLLAR] = ACTIONS(6864),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6866),
    [anon_sym_BSLASHleft] = ACTIONS(6864),
    [anon_sym_BSLASHbigl] = ACTIONS(6864),
    [anon_sym_BSLASHBigl] = ACTIONS(6864),
    [anon_sym_BSLASHbiggl] = ACTIONS(6864),
    [anon_sym_BSLASHBiggl] = ACTIONS(6864),
    [anon_sym_BSLASHtext] = ACTIONS(6864),
    [anon_sym_BSLASHintertext] = ACTIONS(6864),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6864),
    [anon_sym_BSLASHbegin] = ACTIONS(6864),
    [anon_sym_BSLASHtitle] = ACTIONS(6864),
    [anon_sym_BSLASHauthor] = ACTIONS(6864),
    [anon_sym_BSLASHusepackage] = ACTIONS(6864),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6864),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6864),
    [anon_sym_BSLASHinclude] = ACTIONS(6864),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6864),
    [anon_sym_BSLASHinput] = ACTIONS(6864),
    [anon_sym_BSLASHsubfile] = ACTIONS(6864),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6864),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6864),
    [anon_sym_BSLASHbibliography] = ACTIONS(6864),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6864),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6864),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6864),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6864),
    [anon_sym_BSLASHimport] = ACTIONS(6864),
    [anon_sym_BSLASHsubimport] = ACTIONS(6864),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6864),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6864),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6864),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6864),
    [anon_sym_BSLASHcaption] = ACTIONS(6864),
    [anon_sym_BSLASHcite] = ACTIONS(6864),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCite] = ACTIONS(6864),
    [anon_sym_BSLASHnocite] = ACTIONS(6864),
    [anon_sym_BSLASHcitet] = ACTIONS(6864),
    [anon_sym_BSLASHcitep] = ACTIONS(6864),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteA] = ACTIONS(6864),
    [anon_sym_BSLASHciteR] = ACTIONS(6864),
    [anon_sym_BSLASHciteS] = ACTIONS(6864),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6864),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6864),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6864),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6864),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteyear] = ACTIONS(6864),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitedate] = ACTIONS(6864),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteurl] = ACTIONS(6864),
    [anon_sym_BSLASHfullcite] = ACTIONS(6864),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6864),
    [anon_sym_BSLASHcitealt] = ACTIONS(6864),
    [anon_sym_BSLASHcitealp] = ACTIONS(6864),
    [anon_sym_BSLASHcitetext] = ACTIONS(6864),
    [anon_sym_BSLASHparencite] = ACTIONS(6864),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHParencite] = ACTIONS(6864),
    [anon_sym_BSLASHfootcite] = ACTIONS(6864),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6864),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6864),
    [anon_sym_BSLASHtextcite] = ACTIONS(6864),
    [anon_sym_BSLASHTextcite] = ACTIONS(6864),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6864),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6864),
    [anon_sym_BSLASHsupercite] = ACTIONS(6864),
    [anon_sym_BSLASHautocite] = ACTIONS(6864),
    [anon_sym_BSLASHAutocite] = ACTIONS(6864),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHVolcite] = ACTIONS(6864),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHavolcite] = ACTIONS(6864),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHNotecite] = ACTIONS(6864),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHlabel] = ACTIONS(6864),
    [anon_sym_BSLASHref] = ACTIONS(6864),
    [anon_sym_BSLASHeqref] = ACTIONS(6864),
    [anon_sym_BSLASHvref] = ACTIONS(6864),
    [anon_sym_BSLASHVref] = ACTIONS(6864),
    [anon_sym_BSLASHautoref] = ACTIONS(6864),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHpageref] = ACTIONS(6864),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHautopageref] = ACTIONS(6864),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcref] = ACTIONS(6864),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCref] = ACTIONS(6864),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcpageref] = ACTIONS(6864),
    [anon_sym_BSLASHCpageref] = ACTIONS(6864),
    [anon_sym_BSLASHnamecref] = ACTIONS(6864),
    [anon_sym_BSLASHnameCref] = ACTIONS(6864),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6864),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6864),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6864),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6864),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6864),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6864),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6864),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6864),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6864),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6864),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6864),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHdef] = ACTIONS(6864),
    [anon_sym_BSLASHgdef] = ACTIONS(6864),
    [anon_sym_BSLASHedef] = ACTIONS(6864),
    [anon_sym_BSLASHxdef] = ACTIONS(6864),
    [anon_sym_BSLASHlet] = ACTIONS(6864),
    [anon_sym_BSLASHglet] = ACTIONS(6864),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6864),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6864),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6864),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6864),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6864),
    [anon_sym_BSLASHgls] = ACTIONS(6864),
    [anon_sym_BSLASHGls] = ACTIONS(6864),
    [anon_sym_BSLASHGLS] = ACTIONS(6864),
    [anon_sym_BSLASHglspl] = ACTIONS(6864),
    [anon_sym_BSLASHGlspl] = ACTIONS(6864),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6864),
    [anon_sym_BSLASHglslink] = ACTIONS(6864),
    [anon_sym_BSLASHglstext] = ACTIONS(6864),
    [anon_sym_BSLASHGlstext] = ACTIONS(6864),
    [anon_sym_BSLASHGLStext] = ACTIONS(6864),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6864),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6864),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6864),
    [anon_sym_BSLASHglsplural] = ACTIONS(6864),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6864),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6864),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHglsname] = ACTIONS(6864),
    [anon_sym_BSLASHGlsname] = ACTIONS(6864),
    [anon_sym_BSLASHGLSname] = ACTIONS(6864),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6864),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6864),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6864),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6864),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6864),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6864),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6864),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6864),
    [anon_sym_BSLASHacrshort] = ACTIONS(6864),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6864),
    [anon_sym_BSLASHACRshort] = ACTIONS(6864),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHacrlong] = ACTIONS(6864),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6864),
    [anon_sym_BSLASHACRlong] = ACTIONS(6864),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHacrfull] = ACTIONS(6864),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6864),
    [anon_sym_BSLASHACRfull] = ACTIONS(6864),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHacs] = ACTIONS(6864),
    [anon_sym_BSLASHAcs] = ACTIONS(6864),
    [anon_sym_BSLASHacsp] = ACTIONS(6864),
    [anon_sym_BSLASHAcsp] = ACTIONS(6864),
    [anon_sym_BSLASHacl] = ACTIONS(6864),
    [anon_sym_BSLASHAcl] = ACTIONS(6864),
    [anon_sym_BSLASHaclp] = ACTIONS(6864),
    [anon_sym_BSLASHAclp] = ACTIONS(6864),
    [anon_sym_BSLASHacf] = ACTIONS(6864),
    [anon_sym_BSLASHAcf] = ACTIONS(6864),
    [anon_sym_BSLASHacfp] = ACTIONS(6864),
    [anon_sym_BSLASHAcfp] = ACTIONS(6864),
    [anon_sym_BSLASHac] = ACTIONS(6864),
    [anon_sym_BSLASHAc] = ACTIONS(6864),
    [anon_sym_BSLASHacp] = ACTIONS(6864),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6864),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6864),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6864),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6864),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6864),
    [anon_sym_BSLASHcolor] = ACTIONS(6864),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6864),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6864),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6864),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6864),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6864),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6864),
    [anon_sym_BSLASHurl] = ACTIONS(6864),
    [anon_sym_BSLASHhref] = ACTIONS(6864),
  },
  [819] = {
    [sym__part_declaration] = STATE(163),
    [sym_part] = STATE(819),
    [aux_sym__section_repeat1] = STATE(819),
    [sym_command_name] = ACTIONS(6756),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6756),
    [anon_sym_LBRACK] = ACTIONS(6758),
    [anon_sym_RBRACK] = ACTIONS(6758),
    [anon_sym_COMMA] = ACTIONS(6758),
    [anon_sym_EQ] = ACTIONS(6758),
    [anon_sym_LPAREN] = ACTIONS(6758),
    [anon_sym_RPAREN] = ACTIONS(6758),
    [anon_sym_BSLASHpart] = ACTIONS(7662),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7665),
    [anon_sym_BSLASHaddpart] = ACTIONS(7662),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7665),
    [anon_sym_BSLASHchapter] = ACTIONS(6756),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHaddchap] = ACTIONS(6756),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHsection] = ACTIONS(6756),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHaddsec] = ACTIONS(6756),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHsubsection] = ACTIONS(6756),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6756),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHparagraph] = ACTIONS(6756),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6756),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHitem] = ACTIONS(6756),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6758),
    [anon_sym_LBRACE] = ACTIONS(6758),
    [sym_word] = ACTIONS(6756),
    [sym_placeholder] = ACTIONS(6758),
    [sym_delimiter] = ACTIONS(6758),
    [anon_sym_PLUS] = ACTIONS(6758),
    [anon_sym_DASH] = ACTIONS(6758),
    [anon_sym_STAR] = ACTIONS(6758),
    [anon_sym_SLASH] = ACTIONS(6758),
    [anon_sym_LT] = ACTIONS(6756),
    [anon_sym_GT] = ACTIONS(6756),
    [anon_sym_BANG] = ACTIONS(6756),
    [anon_sym_PIPE] = ACTIONS(6756),
    [anon_sym_COLON] = ACTIONS(6756),
    [anon_sym_SQUOTE] = ACTIONS(6756),
    [anon_sym__] = ACTIONS(6758),
    [anon_sym_CARET] = ACTIONS(6758),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6758),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6758),
    [anon_sym_DOLLAR] = ACTIONS(6756),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6758),
    [anon_sym_BSLASHleft] = ACTIONS(6756),
    [anon_sym_BSLASHbigl] = ACTIONS(6756),
    [anon_sym_BSLASHBigl] = ACTIONS(6756),
    [anon_sym_BSLASHbiggl] = ACTIONS(6756),
    [anon_sym_BSLASHBiggl] = ACTIONS(6756),
    [anon_sym_BSLASHtext] = ACTIONS(6756),
    [anon_sym_BSLASHintertext] = ACTIONS(6756),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6756),
    [anon_sym_BSLASHbegin] = ACTIONS(6756),
    [anon_sym_BSLASHend] = ACTIONS(6756),
    [anon_sym_BSLASHtitle] = ACTIONS(6756),
    [anon_sym_BSLASHauthor] = ACTIONS(6756),
    [anon_sym_BSLASHusepackage] = ACTIONS(6756),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6756),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6756),
    [anon_sym_BSLASHinclude] = ACTIONS(6756),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6756),
    [anon_sym_BSLASHinput] = ACTIONS(6756),
    [anon_sym_BSLASHsubfile] = ACTIONS(6756),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6756),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6756),
    [anon_sym_BSLASHbibliography] = ACTIONS(6756),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6756),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6756),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6756),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6756),
    [anon_sym_BSLASHimport] = ACTIONS(6756),
    [anon_sym_BSLASHsubimport] = ACTIONS(6756),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6756),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6756),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6756),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6756),
    [anon_sym_BSLASHcaption] = ACTIONS(6756),
    [anon_sym_BSLASHcite] = ACTIONS(6756),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHCite] = ACTIONS(6756),
    [anon_sym_BSLASHnocite] = ACTIONS(6756),
    [anon_sym_BSLASHcitet] = ACTIONS(6756),
    [anon_sym_BSLASHcitep] = ACTIONS(6756),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHciteA] = ACTIONS(6756),
    [anon_sym_BSLASHciteR] = ACTIONS(6756),
    [anon_sym_BSLASHciteS] = ACTIONS(6756),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6756),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6756),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6756),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6756),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHciteyear] = ACTIONS(6756),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcitedate] = ACTIONS(6756),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHciteurl] = ACTIONS(6756),
    [anon_sym_BSLASHfullcite] = ACTIONS(6756),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6756),
    [anon_sym_BSLASHcitealt] = ACTIONS(6756),
    [anon_sym_BSLASHcitealp] = ACTIONS(6756),
    [anon_sym_BSLASHcitetext] = ACTIONS(6756),
    [anon_sym_BSLASHparencite] = ACTIONS(6756),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHParencite] = ACTIONS(6756),
    [anon_sym_BSLASHfootcite] = ACTIONS(6756),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6756),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6756),
    [anon_sym_BSLASHtextcite] = ACTIONS(6756),
    [anon_sym_BSLASHTextcite] = ACTIONS(6756),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6756),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6756),
    [anon_sym_BSLASHsupercite] = ACTIONS(6756),
    [anon_sym_BSLASHautocite] = ACTIONS(6756),
    [anon_sym_BSLASHAutocite] = ACTIONS(6756),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHVolcite] = ACTIONS(6756),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHavolcite] = ACTIONS(6756),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHnotecite] = ACTIONS(6756),
    [anon_sym_BSLASHNotecite] = ACTIONS(6756),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6756),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6756),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6756),
    [anon_sym_BSLASHlabel] = ACTIONS(6756),
    [anon_sym_BSLASHref] = ACTIONS(6756),
    [anon_sym_BSLASHeqref] = ACTIONS(6756),
    [anon_sym_BSLASHvref] = ACTIONS(6756),
    [anon_sym_BSLASHVref] = ACTIONS(6756),
    [anon_sym_BSLASHautoref] = ACTIONS(6756),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHpageref] = ACTIONS(6756),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHautopageref] = ACTIONS(6756),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcref] = ACTIONS(6756),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHCref] = ACTIONS(6756),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcpageref] = ACTIONS(6756),
    [anon_sym_BSLASHCpageref] = ACTIONS(6756),
    [anon_sym_BSLASHnamecref] = ACTIONS(6756),
    [anon_sym_BSLASHnameCref] = ACTIONS(6756),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6756),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6756),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6756),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6756),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6756),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6756),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6756),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6756),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6756),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6756),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6756),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6756),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6756),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6756),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6756),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6756),
    [anon_sym_BSLASHdef] = ACTIONS(6756),
    [anon_sym_BSLASHgdef] = ACTIONS(6756),
    [anon_sym_BSLASHedef] = ACTIONS(6756),
    [anon_sym_BSLASHxdef] = ACTIONS(6756),
    [anon_sym_BSLASHlet] = ACTIONS(6756),
    [anon_sym_BSLASHglet] = ACTIONS(6756),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6756),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6756),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6756),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6756),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6756),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6756),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6756),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6756),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6756),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6756),
    [anon_sym_BSLASHgls] = ACTIONS(6756),
    [anon_sym_BSLASHGls] = ACTIONS(6756),
    [anon_sym_BSLASHGLS] = ACTIONS(6756),
    [anon_sym_BSLASHglspl] = ACTIONS(6756),
    [anon_sym_BSLASHGlspl] = ACTIONS(6756),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6756),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6756),
    [anon_sym_BSLASHglslink] = ACTIONS(6756),
    [anon_sym_BSLASHglstext] = ACTIONS(6756),
    [anon_sym_BSLASHGlstext] = ACTIONS(6756),
    [anon_sym_BSLASHGLStext] = ACTIONS(6756),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6756),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6756),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6756),
    [anon_sym_BSLASHglsplural] = ACTIONS(6756),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6756),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6756),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6756),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6756),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6756),
    [anon_sym_BSLASHglsname] = ACTIONS(6756),
    [anon_sym_BSLASHGlsname] = ACTIONS(6756),
    [anon_sym_BSLASHGLSname] = ACTIONS(6756),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6756),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6756),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6756),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6756),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6756),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6756),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6756),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6756),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6756),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6756),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6756),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6756),
    [anon_sym_BSLASHacrshort] = ACTIONS(6756),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6756),
    [anon_sym_BSLASHACRshort] = ACTIONS(6756),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6756),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6756),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6756),
    [anon_sym_BSLASHacrlong] = ACTIONS(6756),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6756),
    [anon_sym_BSLASHACRlong] = ACTIONS(6756),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6756),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6756),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6756),
    [anon_sym_BSLASHacrfull] = ACTIONS(6756),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6756),
    [anon_sym_BSLASHACRfull] = ACTIONS(6756),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6756),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6756),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6756),
    [anon_sym_BSLASHacs] = ACTIONS(6756),
    [anon_sym_BSLASHAcs] = ACTIONS(6756),
    [anon_sym_BSLASHacsp] = ACTIONS(6756),
    [anon_sym_BSLASHAcsp] = ACTIONS(6756),
    [anon_sym_BSLASHacl] = ACTIONS(6756),
    [anon_sym_BSLASHAcl] = ACTIONS(6756),
    [anon_sym_BSLASHaclp] = ACTIONS(6756),
    [anon_sym_BSLASHAclp] = ACTIONS(6756),
    [anon_sym_BSLASHacf] = ACTIONS(6756),
    [anon_sym_BSLASHAcf] = ACTIONS(6756),
    [anon_sym_BSLASHacfp] = ACTIONS(6756),
    [anon_sym_BSLASHAcfp] = ACTIONS(6756),
    [anon_sym_BSLASHac] = ACTIONS(6756),
    [anon_sym_BSLASHAc] = ACTIONS(6756),
    [anon_sym_BSLASHacp] = ACTIONS(6756),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6756),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6756),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6756),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6756),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6756),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6756),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6756),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6756),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6756),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6756),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6756),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6756),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6756),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6756),
    [anon_sym_BSLASHcolor] = ACTIONS(6756),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6756),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6756),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6756),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6756),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6756),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6756),
    [anon_sym_BSLASHurl] = ACTIONS(6756),
    [anon_sym_BSLASHhref] = ACTIONS(6756),
  },
  [820] = {
    [sym__chapter_declaration] = STATE(173),
    [sym_chapter] = STATE(820),
    [aux_sym__section_repeat2] = STATE(820),
    [sym_command_name] = ACTIONS(6766),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6766),
    [anon_sym_LBRACK] = ACTIONS(6768),
    [anon_sym_RBRACK] = ACTIONS(6768),
    [anon_sym_COMMA] = ACTIONS(6768),
    [anon_sym_EQ] = ACTIONS(6768),
    [anon_sym_LPAREN] = ACTIONS(6768),
    [anon_sym_RPAREN] = ACTIONS(6768),
    [anon_sym_BSLASHpart] = ACTIONS(6766),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHaddpart] = ACTIONS(6766),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHchapter] = ACTIONS(7668),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7671),
    [anon_sym_BSLASHaddchap] = ACTIONS(7668),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7671),
    [anon_sym_BSLASHsection] = ACTIONS(6766),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHaddsec] = ACTIONS(6766),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHsubsection] = ACTIONS(6766),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6766),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHparagraph] = ACTIONS(6766),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6766),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHitem] = ACTIONS(6766),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6768),
    [anon_sym_LBRACE] = ACTIONS(6768),
    [sym_word] = ACTIONS(6766),
    [sym_placeholder] = ACTIONS(6768),
    [sym_delimiter] = ACTIONS(6768),
    [anon_sym_PLUS] = ACTIONS(6768),
    [anon_sym_DASH] = ACTIONS(6768),
    [anon_sym_STAR] = ACTIONS(6768),
    [anon_sym_SLASH] = ACTIONS(6768),
    [anon_sym_LT] = ACTIONS(6766),
    [anon_sym_GT] = ACTIONS(6766),
    [anon_sym_BANG] = ACTIONS(6766),
    [anon_sym_PIPE] = ACTIONS(6766),
    [anon_sym_COLON] = ACTIONS(6766),
    [anon_sym_SQUOTE] = ACTIONS(6766),
    [anon_sym__] = ACTIONS(6768),
    [anon_sym_CARET] = ACTIONS(6768),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6768),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6768),
    [anon_sym_DOLLAR] = ACTIONS(6766),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6768),
    [anon_sym_BSLASHleft] = ACTIONS(6766),
    [anon_sym_BSLASHbigl] = ACTIONS(6766),
    [anon_sym_BSLASHBigl] = ACTIONS(6766),
    [anon_sym_BSLASHbiggl] = ACTIONS(6766),
    [anon_sym_BSLASHBiggl] = ACTIONS(6766),
    [anon_sym_BSLASHtext] = ACTIONS(6766),
    [anon_sym_BSLASHintertext] = ACTIONS(6766),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6766),
    [anon_sym_BSLASHbegin] = ACTIONS(6766),
    [anon_sym_BSLASHend] = ACTIONS(6766),
    [anon_sym_BSLASHtitle] = ACTIONS(6766),
    [anon_sym_BSLASHauthor] = ACTIONS(6766),
    [anon_sym_BSLASHusepackage] = ACTIONS(6766),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6766),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6766),
    [anon_sym_BSLASHinclude] = ACTIONS(6766),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6766),
    [anon_sym_BSLASHinput] = ACTIONS(6766),
    [anon_sym_BSLASHsubfile] = ACTIONS(6766),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6766),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6766),
    [anon_sym_BSLASHbibliography] = ACTIONS(6766),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6766),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6766),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6766),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6766),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6766),
    [anon_sym_BSLASHimport] = ACTIONS(6766),
    [anon_sym_BSLASHsubimport] = ACTIONS(6766),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6766),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6766),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6766),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6766),
    [anon_sym_BSLASHcaption] = ACTIONS(6766),
    [anon_sym_BSLASHcite] = ACTIONS(6766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHCite] = ACTIONS(6766),
    [anon_sym_BSLASHnocite] = ACTIONS(6766),
    [anon_sym_BSLASHcitet] = ACTIONS(6766),
    [anon_sym_BSLASHcitep] = ACTIONS(6766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHciteA] = ACTIONS(6766),
    [anon_sym_BSLASHciteR] = ACTIONS(6766),
    [anon_sym_BSLASHciteS] = ACTIONS(6766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHciteyear] = ACTIONS(6766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcitedate] = ACTIONS(6766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHciteurl] = ACTIONS(6766),
    [anon_sym_BSLASHfullcite] = ACTIONS(6766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6766),
    [anon_sym_BSLASHcitealt] = ACTIONS(6766),
    [anon_sym_BSLASHcitealp] = ACTIONS(6766),
    [anon_sym_BSLASHcitetext] = ACTIONS(6766),
    [anon_sym_BSLASHparencite] = ACTIONS(6766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHParencite] = ACTIONS(6766),
    [anon_sym_BSLASHfootcite] = ACTIONS(6766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6766),
    [anon_sym_BSLASHtextcite] = ACTIONS(6766),
    [anon_sym_BSLASHTextcite] = ACTIONS(6766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6766),
    [anon_sym_BSLASHsupercite] = ACTIONS(6766),
    [anon_sym_BSLASHautocite] = ACTIONS(6766),
    [anon_sym_BSLASHAutocite] = ACTIONS(6766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHVolcite] = ACTIONS(6766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHavolcite] = ACTIONS(6766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHnotecite] = ACTIONS(6766),
    [anon_sym_BSLASHNotecite] = ACTIONS(6766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6766),
    [anon_sym_BSLASHlabel] = ACTIONS(6766),
    [anon_sym_BSLASHref] = ACTIONS(6766),
    [anon_sym_BSLASHeqref] = ACTIONS(6766),
    [anon_sym_BSLASHvref] = ACTIONS(6766),
    [anon_sym_BSLASHVref] = ACTIONS(6766),
    [anon_sym_BSLASHautoref] = ACTIONS(6766),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHpageref] = ACTIONS(6766),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHautopageref] = ACTIONS(6766),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcref] = ACTIONS(6766),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHCref] = ACTIONS(6766),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcpageref] = ACTIONS(6766),
    [anon_sym_BSLASHCpageref] = ACTIONS(6766),
    [anon_sym_BSLASHnamecref] = ACTIONS(6766),
    [anon_sym_BSLASHnameCref] = ACTIONS(6766),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6766),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6766),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6766),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6766),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6766),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6766),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6766),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6766),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6766),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6766),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6766),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6766),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6766),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6766),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6766),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6766),
    [anon_sym_BSLASHdef] = ACTIONS(6766),
    [anon_sym_BSLASHgdef] = ACTIONS(6766),
    [anon_sym_BSLASHedef] = ACTIONS(6766),
    [anon_sym_BSLASHxdef] = ACTIONS(6766),
    [anon_sym_BSLASHlet] = ACTIONS(6766),
    [anon_sym_BSLASHglet] = ACTIONS(6766),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6766),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6766),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6766),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6766),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6766),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6766),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6766),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6766),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6766),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6766),
    [anon_sym_BSLASHgls] = ACTIONS(6766),
    [anon_sym_BSLASHGls] = ACTIONS(6766),
    [anon_sym_BSLASHGLS] = ACTIONS(6766),
    [anon_sym_BSLASHglspl] = ACTIONS(6766),
    [anon_sym_BSLASHGlspl] = ACTIONS(6766),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6766),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6766),
    [anon_sym_BSLASHglslink] = ACTIONS(6766),
    [anon_sym_BSLASHglstext] = ACTIONS(6766),
    [anon_sym_BSLASHGlstext] = ACTIONS(6766),
    [anon_sym_BSLASHGLStext] = ACTIONS(6766),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6766),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6766),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6766),
    [anon_sym_BSLASHglsplural] = ACTIONS(6766),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6766),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6766),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6766),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6766),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6766),
    [anon_sym_BSLASHglsname] = ACTIONS(6766),
    [anon_sym_BSLASHGlsname] = ACTIONS(6766),
    [anon_sym_BSLASHGLSname] = ACTIONS(6766),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6766),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6766),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6766),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6766),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6766),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6766),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6766),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6766),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6766),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6766),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6766),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6766),
    [anon_sym_BSLASHacrshort] = ACTIONS(6766),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6766),
    [anon_sym_BSLASHACRshort] = ACTIONS(6766),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6766),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6766),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6766),
    [anon_sym_BSLASHacrlong] = ACTIONS(6766),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6766),
    [anon_sym_BSLASHACRlong] = ACTIONS(6766),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6766),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6766),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6766),
    [anon_sym_BSLASHacrfull] = ACTIONS(6766),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6766),
    [anon_sym_BSLASHACRfull] = ACTIONS(6766),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6766),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6766),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6766),
    [anon_sym_BSLASHacs] = ACTIONS(6766),
    [anon_sym_BSLASHAcs] = ACTIONS(6766),
    [anon_sym_BSLASHacsp] = ACTIONS(6766),
    [anon_sym_BSLASHAcsp] = ACTIONS(6766),
    [anon_sym_BSLASHacl] = ACTIONS(6766),
    [anon_sym_BSLASHAcl] = ACTIONS(6766),
    [anon_sym_BSLASHaclp] = ACTIONS(6766),
    [anon_sym_BSLASHAclp] = ACTIONS(6766),
    [anon_sym_BSLASHacf] = ACTIONS(6766),
    [anon_sym_BSLASHAcf] = ACTIONS(6766),
    [anon_sym_BSLASHacfp] = ACTIONS(6766),
    [anon_sym_BSLASHAcfp] = ACTIONS(6766),
    [anon_sym_BSLASHac] = ACTIONS(6766),
    [anon_sym_BSLASHAc] = ACTIONS(6766),
    [anon_sym_BSLASHacp] = ACTIONS(6766),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6766),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6766),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6766),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6766),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6766),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6766),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6766),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6766),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6766),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6766),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6766),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6766),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6766),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6766),
    [anon_sym_BSLASHcolor] = ACTIONS(6766),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6766),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6766),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6766),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6766),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6766),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6766),
    [anon_sym_BSLASHurl] = ACTIONS(6766),
    [anon_sym_BSLASHhref] = ACTIONS(6766),
  },
  [821] = {
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(821),
    [aux_sym__section_repeat3] = STATE(821),
    [sym_command_name] = ACTIONS(6776),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6776),
    [anon_sym_LBRACK] = ACTIONS(6778),
    [anon_sym_RBRACK] = ACTIONS(6778),
    [anon_sym_COMMA] = ACTIONS(6778),
    [anon_sym_EQ] = ACTIONS(6778),
    [anon_sym_LPAREN] = ACTIONS(6778),
    [anon_sym_RPAREN] = ACTIONS(6778),
    [anon_sym_BSLASHpart] = ACTIONS(6776),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHaddpart] = ACTIONS(6776),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHchapter] = ACTIONS(6776),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHaddchap] = ACTIONS(6776),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHsection] = ACTIONS(7674),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7677),
    [anon_sym_BSLASHaddsec] = ACTIONS(7674),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7677),
    [anon_sym_BSLASHsubsection] = ACTIONS(6776),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6776),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHparagraph] = ACTIONS(6776),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6776),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHitem] = ACTIONS(6776),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6778),
    [anon_sym_LBRACE] = ACTIONS(6778),
    [sym_word] = ACTIONS(6776),
    [sym_placeholder] = ACTIONS(6778),
    [sym_delimiter] = ACTIONS(6778),
    [anon_sym_PLUS] = ACTIONS(6778),
    [anon_sym_DASH] = ACTIONS(6778),
    [anon_sym_STAR] = ACTIONS(6778),
    [anon_sym_SLASH] = ACTIONS(6778),
    [anon_sym_LT] = ACTIONS(6776),
    [anon_sym_GT] = ACTIONS(6776),
    [anon_sym_BANG] = ACTIONS(6776),
    [anon_sym_PIPE] = ACTIONS(6776),
    [anon_sym_COLON] = ACTIONS(6776),
    [anon_sym_SQUOTE] = ACTIONS(6776),
    [anon_sym__] = ACTIONS(6778),
    [anon_sym_CARET] = ACTIONS(6778),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6778),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6778),
    [anon_sym_DOLLAR] = ACTIONS(6776),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6778),
    [anon_sym_BSLASHleft] = ACTIONS(6776),
    [anon_sym_BSLASHbigl] = ACTIONS(6776),
    [anon_sym_BSLASHBigl] = ACTIONS(6776),
    [anon_sym_BSLASHbiggl] = ACTIONS(6776),
    [anon_sym_BSLASHBiggl] = ACTIONS(6776),
    [anon_sym_BSLASHtext] = ACTIONS(6776),
    [anon_sym_BSLASHintertext] = ACTIONS(6776),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6776),
    [anon_sym_BSLASHbegin] = ACTIONS(6776),
    [anon_sym_BSLASHend] = ACTIONS(6776),
    [anon_sym_BSLASHtitle] = ACTIONS(6776),
    [anon_sym_BSLASHauthor] = ACTIONS(6776),
    [anon_sym_BSLASHusepackage] = ACTIONS(6776),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6776),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6776),
    [anon_sym_BSLASHinclude] = ACTIONS(6776),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6776),
    [anon_sym_BSLASHinput] = ACTIONS(6776),
    [anon_sym_BSLASHsubfile] = ACTIONS(6776),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6776),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6776),
    [anon_sym_BSLASHbibliography] = ACTIONS(6776),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6776),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6776),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6776),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6776),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6776),
    [anon_sym_BSLASHimport] = ACTIONS(6776),
    [anon_sym_BSLASHsubimport] = ACTIONS(6776),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6776),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6776),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6776),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6776),
    [anon_sym_BSLASHcaption] = ACTIONS(6776),
    [anon_sym_BSLASHcite] = ACTIONS(6776),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHCite] = ACTIONS(6776),
    [anon_sym_BSLASHnocite] = ACTIONS(6776),
    [anon_sym_BSLASHcitet] = ACTIONS(6776),
    [anon_sym_BSLASHcitep] = ACTIONS(6776),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHciteA] = ACTIONS(6776),
    [anon_sym_BSLASHciteR] = ACTIONS(6776),
    [anon_sym_BSLASHciteS] = ACTIONS(6776),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6776),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6776),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6776),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6776),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHciteyear] = ACTIONS(6776),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcitedate] = ACTIONS(6776),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHciteurl] = ACTIONS(6776),
    [anon_sym_BSLASHfullcite] = ACTIONS(6776),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6776),
    [anon_sym_BSLASHcitealt] = ACTIONS(6776),
    [anon_sym_BSLASHcitealp] = ACTIONS(6776),
    [anon_sym_BSLASHcitetext] = ACTIONS(6776),
    [anon_sym_BSLASHparencite] = ACTIONS(6776),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHParencite] = ACTIONS(6776),
    [anon_sym_BSLASHfootcite] = ACTIONS(6776),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6776),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6776),
    [anon_sym_BSLASHtextcite] = ACTIONS(6776),
    [anon_sym_BSLASHTextcite] = ACTIONS(6776),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6776),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6776),
    [anon_sym_BSLASHsupercite] = ACTIONS(6776),
    [anon_sym_BSLASHautocite] = ACTIONS(6776),
    [anon_sym_BSLASHAutocite] = ACTIONS(6776),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHVolcite] = ACTIONS(6776),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHavolcite] = ACTIONS(6776),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHnotecite] = ACTIONS(6776),
    [anon_sym_BSLASHNotecite] = ACTIONS(6776),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6776),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6776),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6776),
    [anon_sym_BSLASHlabel] = ACTIONS(6776),
    [anon_sym_BSLASHref] = ACTIONS(6776),
    [anon_sym_BSLASHeqref] = ACTIONS(6776),
    [anon_sym_BSLASHvref] = ACTIONS(6776),
    [anon_sym_BSLASHVref] = ACTIONS(6776),
    [anon_sym_BSLASHautoref] = ACTIONS(6776),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHpageref] = ACTIONS(6776),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHautopageref] = ACTIONS(6776),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcref] = ACTIONS(6776),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHCref] = ACTIONS(6776),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcpageref] = ACTIONS(6776),
    [anon_sym_BSLASHCpageref] = ACTIONS(6776),
    [anon_sym_BSLASHnamecref] = ACTIONS(6776),
    [anon_sym_BSLASHnameCref] = ACTIONS(6776),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6776),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6776),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6776),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6776),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6776),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6776),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6776),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6776),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6776),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6776),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6776),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6776),
    [anon_sym_BSLASHdef] = ACTIONS(6776),
    [anon_sym_BSLASHgdef] = ACTIONS(6776),
    [anon_sym_BSLASHedef] = ACTIONS(6776),
    [anon_sym_BSLASHxdef] = ACTIONS(6776),
    [anon_sym_BSLASHlet] = ACTIONS(6776),
    [anon_sym_BSLASHglet] = ACTIONS(6776),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6776),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6776),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6776),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6776),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6776),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6776),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6776),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6776),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6776),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6776),
    [anon_sym_BSLASHgls] = ACTIONS(6776),
    [anon_sym_BSLASHGls] = ACTIONS(6776),
    [anon_sym_BSLASHGLS] = ACTIONS(6776),
    [anon_sym_BSLASHglspl] = ACTIONS(6776),
    [anon_sym_BSLASHGlspl] = ACTIONS(6776),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6776),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6776),
    [anon_sym_BSLASHglslink] = ACTIONS(6776),
    [anon_sym_BSLASHglstext] = ACTIONS(6776),
    [anon_sym_BSLASHGlstext] = ACTIONS(6776),
    [anon_sym_BSLASHGLStext] = ACTIONS(6776),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6776),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6776),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6776),
    [anon_sym_BSLASHglsplural] = ACTIONS(6776),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6776),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6776),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6776),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6776),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6776),
    [anon_sym_BSLASHglsname] = ACTIONS(6776),
    [anon_sym_BSLASHGlsname] = ACTIONS(6776),
    [anon_sym_BSLASHGLSname] = ACTIONS(6776),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6776),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6776),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6776),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6776),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6776),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6776),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6776),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6776),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6776),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6776),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6776),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6776),
    [anon_sym_BSLASHacrshort] = ACTIONS(6776),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6776),
    [anon_sym_BSLASHACRshort] = ACTIONS(6776),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6776),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6776),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6776),
    [anon_sym_BSLASHacrlong] = ACTIONS(6776),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6776),
    [anon_sym_BSLASHACRlong] = ACTIONS(6776),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6776),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6776),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6776),
    [anon_sym_BSLASHacrfull] = ACTIONS(6776),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6776),
    [anon_sym_BSLASHACRfull] = ACTIONS(6776),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6776),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6776),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6776),
    [anon_sym_BSLASHacs] = ACTIONS(6776),
    [anon_sym_BSLASHAcs] = ACTIONS(6776),
    [anon_sym_BSLASHacsp] = ACTIONS(6776),
    [anon_sym_BSLASHAcsp] = ACTIONS(6776),
    [anon_sym_BSLASHacl] = ACTIONS(6776),
    [anon_sym_BSLASHAcl] = ACTIONS(6776),
    [anon_sym_BSLASHaclp] = ACTIONS(6776),
    [anon_sym_BSLASHAclp] = ACTIONS(6776),
    [anon_sym_BSLASHacf] = ACTIONS(6776),
    [anon_sym_BSLASHAcf] = ACTIONS(6776),
    [anon_sym_BSLASHacfp] = ACTIONS(6776),
    [anon_sym_BSLASHAcfp] = ACTIONS(6776),
    [anon_sym_BSLASHac] = ACTIONS(6776),
    [anon_sym_BSLASHAc] = ACTIONS(6776),
    [anon_sym_BSLASHacp] = ACTIONS(6776),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6776),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6776),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6776),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6776),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6776),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6776),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6776),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6776),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6776),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6776),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6776),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6776),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6776),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6776),
    [anon_sym_BSLASHcolor] = ACTIONS(6776),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6776),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6776),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6776),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6776),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6776),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6776),
    [anon_sym_BSLASHurl] = ACTIONS(6776),
    [anon_sym_BSLASHhref] = ACTIONS(6776),
  },
  [822] = {
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(822),
    [aux_sym__section_repeat4] = STATE(822),
    [sym_command_name] = ACTIONS(6786),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6786),
    [anon_sym_LBRACK] = ACTIONS(6788),
    [anon_sym_RBRACK] = ACTIONS(6788),
    [anon_sym_COMMA] = ACTIONS(6788),
    [anon_sym_EQ] = ACTIONS(6788),
    [anon_sym_LPAREN] = ACTIONS(6788),
    [anon_sym_RPAREN] = ACTIONS(6788),
    [anon_sym_BSLASHpart] = ACTIONS(6786),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHaddpart] = ACTIONS(6786),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHchapter] = ACTIONS(6786),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHaddchap] = ACTIONS(6786),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHsection] = ACTIONS(6786),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHaddsec] = ACTIONS(6786),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHsubsection] = ACTIONS(7680),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7683),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6786),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHparagraph] = ACTIONS(6786),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6786),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHitem] = ACTIONS(6786),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6788),
    [anon_sym_LBRACE] = ACTIONS(6788),
    [sym_word] = ACTIONS(6786),
    [sym_placeholder] = ACTIONS(6788),
    [sym_delimiter] = ACTIONS(6788),
    [anon_sym_PLUS] = ACTIONS(6788),
    [anon_sym_DASH] = ACTIONS(6788),
    [anon_sym_STAR] = ACTIONS(6788),
    [anon_sym_SLASH] = ACTIONS(6788),
    [anon_sym_LT] = ACTIONS(6786),
    [anon_sym_GT] = ACTIONS(6786),
    [anon_sym_BANG] = ACTIONS(6786),
    [anon_sym_PIPE] = ACTIONS(6786),
    [anon_sym_COLON] = ACTIONS(6786),
    [anon_sym_SQUOTE] = ACTIONS(6786),
    [anon_sym__] = ACTIONS(6788),
    [anon_sym_CARET] = ACTIONS(6788),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6788),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6788),
    [anon_sym_DOLLAR] = ACTIONS(6786),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6788),
    [anon_sym_BSLASHleft] = ACTIONS(6786),
    [anon_sym_BSLASHbigl] = ACTIONS(6786),
    [anon_sym_BSLASHBigl] = ACTIONS(6786),
    [anon_sym_BSLASHbiggl] = ACTIONS(6786),
    [anon_sym_BSLASHBiggl] = ACTIONS(6786),
    [anon_sym_BSLASHtext] = ACTIONS(6786),
    [anon_sym_BSLASHintertext] = ACTIONS(6786),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6786),
    [anon_sym_BSLASHbegin] = ACTIONS(6786),
    [anon_sym_BSLASHend] = ACTIONS(6786),
    [anon_sym_BSLASHtitle] = ACTIONS(6786),
    [anon_sym_BSLASHauthor] = ACTIONS(6786),
    [anon_sym_BSLASHusepackage] = ACTIONS(6786),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6786),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6786),
    [anon_sym_BSLASHinclude] = ACTIONS(6786),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6786),
    [anon_sym_BSLASHinput] = ACTIONS(6786),
    [anon_sym_BSLASHsubfile] = ACTIONS(6786),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6786),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6786),
    [anon_sym_BSLASHbibliography] = ACTIONS(6786),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6786),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6786),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6786),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6786),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6786),
    [anon_sym_BSLASHimport] = ACTIONS(6786),
    [anon_sym_BSLASHsubimport] = ACTIONS(6786),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6786),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6786),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6786),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6786),
    [anon_sym_BSLASHcaption] = ACTIONS(6786),
    [anon_sym_BSLASHcite] = ACTIONS(6786),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHCite] = ACTIONS(6786),
    [anon_sym_BSLASHnocite] = ACTIONS(6786),
    [anon_sym_BSLASHcitet] = ACTIONS(6786),
    [anon_sym_BSLASHcitep] = ACTIONS(6786),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHciteA] = ACTIONS(6786),
    [anon_sym_BSLASHciteR] = ACTIONS(6786),
    [anon_sym_BSLASHciteS] = ACTIONS(6786),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6786),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6786),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6786),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6786),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHciteyear] = ACTIONS(6786),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcitedate] = ACTIONS(6786),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHciteurl] = ACTIONS(6786),
    [anon_sym_BSLASHfullcite] = ACTIONS(6786),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6786),
    [anon_sym_BSLASHcitealt] = ACTIONS(6786),
    [anon_sym_BSLASHcitealp] = ACTIONS(6786),
    [anon_sym_BSLASHcitetext] = ACTIONS(6786),
    [anon_sym_BSLASHparencite] = ACTIONS(6786),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHParencite] = ACTIONS(6786),
    [anon_sym_BSLASHfootcite] = ACTIONS(6786),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6786),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6786),
    [anon_sym_BSLASHtextcite] = ACTIONS(6786),
    [anon_sym_BSLASHTextcite] = ACTIONS(6786),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6786),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6786),
    [anon_sym_BSLASHsupercite] = ACTIONS(6786),
    [anon_sym_BSLASHautocite] = ACTIONS(6786),
    [anon_sym_BSLASHAutocite] = ACTIONS(6786),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHVolcite] = ACTIONS(6786),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHavolcite] = ACTIONS(6786),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHnotecite] = ACTIONS(6786),
    [anon_sym_BSLASHNotecite] = ACTIONS(6786),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6786),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6786),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6786),
    [anon_sym_BSLASHlabel] = ACTIONS(6786),
    [anon_sym_BSLASHref] = ACTIONS(6786),
    [anon_sym_BSLASHeqref] = ACTIONS(6786),
    [anon_sym_BSLASHvref] = ACTIONS(6786),
    [anon_sym_BSLASHVref] = ACTIONS(6786),
    [anon_sym_BSLASHautoref] = ACTIONS(6786),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHpageref] = ACTIONS(6786),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHautopageref] = ACTIONS(6786),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcref] = ACTIONS(6786),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHCref] = ACTIONS(6786),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcpageref] = ACTIONS(6786),
    [anon_sym_BSLASHCpageref] = ACTIONS(6786),
    [anon_sym_BSLASHnamecref] = ACTIONS(6786),
    [anon_sym_BSLASHnameCref] = ACTIONS(6786),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6786),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6786),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6786),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6786),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6786),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6786),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6786),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6786),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6786),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6786),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6786),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6786),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6786),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6786),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6786),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6786),
    [anon_sym_BSLASHdef] = ACTIONS(6786),
    [anon_sym_BSLASHgdef] = ACTIONS(6786),
    [anon_sym_BSLASHedef] = ACTIONS(6786),
    [anon_sym_BSLASHxdef] = ACTIONS(6786),
    [anon_sym_BSLASHlet] = ACTIONS(6786),
    [anon_sym_BSLASHglet] = ACTIONS(6786),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6786),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6786),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6786),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6786),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6786),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6786),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6786),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6786),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6786),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6786),
    [anon_sym_BSLASHgls] = ACTIONS(6786),
    [anon_sym_BSLASHGls] = ACTIONS(6786),
    [anon_sym_BSLASHGLS] = ACTIONS(6786),
    [anon_sym_BSLASHglspl] = ACTIONS(6786),
    [anon_sym_BSLASHGlspl] = ACTIONS(6786),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6786),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6786),
    [anon_sym_BSLASHglslink] = ACTIONS(6786),
    [anon_sym_BSLASHglstext] = ACTIONS(6786),
    [anon_sym_BSLASHGlstext] = ACTIONS(6786),
    [anon_sym_BSLASHGLStext] = ACTIONS(6786),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6786),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6786),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6786),
    [anon_sym_BSLASHglsplural] = ACTIONS(6786),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6786),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6786),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6786),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6786),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6786),
    [anon_sym_BSLASHglsname] = ACTIONS(6786),
    [anon_sym_BSLASHGlsname] = ACTIONS(6786),
    [anon_sym_BSLASHGLSname] = ACTIONS(6786),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6786),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6786),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6786),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6786),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6786),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6786),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6786),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6786),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6786),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6786),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6786),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6786),
    [anon_sym_BSLASHacrshort] = ACTIONS(6786),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6786),
    [anon_sym_BSLASHACRshort] = ACTIONS(6786),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6786),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6786),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6786),
    [anon_sym_BSLASHacrlong] = ACTIONS(6786),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6786),
    [anon_sym_BSLASHACRlong] = ACTIONS(6786),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6786),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6786),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6786),
    [anon_sym_BSLASHacrfull] = ACTIONS(6786),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6786),
    [anon_sym_BSLASHACRfull] = ACTIONS(6786),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6786),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6786),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6786),
    [anon_sym_BSLASHacs] = ACTIONS(6786),
    [anon_sym_BSLASHAcs] = ACTIONS(6786),
    [anon_sym_BSLASHacsp] = ACTIONS(6786),
    [anon_sym_BSLASHAcsp] = ACTIONS(6786),
    [anon_sym_BSLASHacl] = ACTIONS(6786),
    [anon_sym_BSLASHAcl] = ACTIONS(6786),
    [anon_sym_BSLASHaclp] = ACTIONS(6786),
    [anon_sym_BSLASHAclp] = ACTIONS(6786),
    [anon_sym_BSLASHacf] = ACTIONS(6786),
    [anon_sym_BSLASHAcf] = ACTIONS(6786),
    [anon_sym_BSLASHacfp] = ACTIONS(6786),
    [anon_sym_BSLASHAcfp] = ACTIONS(6786),
    [anon_sym_BSLASHac] = ACTIONS(6786),
    [anon_sym_BSLASHAc] = ACTIONS(6786),
    [anon_sym_BSLASHacp] = ACTIONS(6786),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6786),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6786),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6786),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6786),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6786),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6786),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6786),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6786),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6786),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6786),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6786),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6786),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6786),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6786),
    [anon_sym_BSLASHcolor] = ACTIONS(6786),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6786),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6786),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6786),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6786),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6786),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6786),
    [anon_sym_BSLASHurl] = ACTIONS(6786),
    [anon_sym_BSLASHhref] = ACTIONS(6786),
  },
  [823] = {
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(823),
    [aux_sym__section_repeat5] = STATE(823),
    [sym_command_name] = ACTIONS(6796),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6796),
    [anon_sym_LBRACK] = ACTIONS(6798),
    [anon_sym_RBRACK] = ACTIONS(6798),
    [anon_sym_COMMA] = ACTIONS(6798),
    [anon_sym_EQ] = ACTIONS(6798),
    [anon_sym_LPAREN] = ACTIONS(6798),
    [anon_sym_RPAREN] = ACTIONS(6798),
    [anon_sym_BSLASHpart] = ACTIONS(6796),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHaddpart] = ACTIONS(6796),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHchapter] = ACTIONS(6796),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHaddchap] = ACTIONS(6796),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHsection] = ACTIONS(6796),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHaddsec] = ACTIONS(6796),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHsubsection] = ACTIONS(6796),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7686),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7689),
    [anon_sym_BSLASHparagraph] = ACTIONS(6796),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6796),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHitem] = ACTIONS(6796),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6798),
    [anon_sym_LBRACE] = ACTIONS(6798),
    [sym_word] = ACTIONS(6796),
    [sym_placeholder] = ACTIONS(6798),
    [sym_delimiter] = ACTIONS(6798),
    [anon_sym_PLUS] = ACTIONS(6798),
    [anon_sym_DASH] = ACTIONS(6798),
    [anon_sym_STAR] = ACTIONS(6798),
    [anon_sym_SLASH] = ACTIONS(6798),
    [anon_sym_LT] = ACTIONS(6796),
    [anon_sym_GT] = ACTIONS(6796),
    [anon_sym_BANG] = ACTIONS(6796),
    [anon_sym_PIPE] = ACTIONS(6796),
    [anon_sym_COLON] = ACTIONS(6796),
    [anon_sym_SQUOTE] = ACTIONS(6796),
    [anon_sym__] = ACTIONS(6798),
    [anon_sym_CARET] = ACTIONS(6798),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6798),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6798),
    [anon_sym_DOLLAR] = ACTIONS(6796),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6798),
    [anon_sym_BSLASHleft] = ACTIONS(6796),
    [anon_sym_BSLASHbigl] = ACTIONS(6796),
    [anon_sym_BSLASHBigl] = ACTIONS(6796),
    [anon_sym_BSLASHbiggl] = ACTIONS(6796),
    [anon_sym_BSLASHBiggl] = ACTIONS(6796),
    [anon_sym_BSLASHtext] = ACTIONS(6796),
    [anon_sym_BSLASHintertext] = ACTIONS(6796),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6796),
    [anon_sym_BSLASHbegin] = ACTIONS(6796),
    [anon_sym_BSLASHend] = ACTIONS(6796),
    [anon_sym_BSLASHtitle] = ACTIONS(6796),
    [anon_sym_BSLASHauthor] = ACTIONS(6796),
    [anon_sym_BSLASHusepackage] = ACTIONS(6796),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6796),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6796),
    [anon_sym_BSLASHinclude] = ACTIONS(6796),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6796),
    [anon_sym_BSLASHinput] = ACTIONS(6796),
    [anon_sym_BSLASHsubfile] = ACTIONS(6796),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6796),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6796),
    [anon_sym_BSLASHbibliography] = ACTIONS(6796),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6796),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6796),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6796),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6796),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6796),
    [anon_sym_BSLASHimport] = ACTIONS(6796),
    [anon_sym_BSLASHsubimport] = ACTIONS(6796),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6796),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6796),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6796),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6796),
    [anon_sym_BSLASHcaption] = ACTIONS(6796),
    [anon_sym_BSLASHcite] = ACTIONS(6796),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHCite] = ACTIONS(6796),
    [anon_sym_BSLASHnocite] = ACTIONS(6796),
    [anon_sym_BSLASHcitet] = ACTIONS(6796),
    [anon_sym_BSLASHcitep] = ACTIONS(6796),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHciteA] = ACTIONS(6796),
    [anon_sym_BSLASHciteR] = ACTIONS(6796),
    [anon_sym_BSLASHciteS] = ACTIONS(6796),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6796),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6796),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6796),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6796),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHciteyear] = ACTIONS(6796),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcitedate] = ACTIONS(6796),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHciteurl] = ACTIONS(6796),
    [anon_sym_BSLASHfullcite] = ACTIONS(6796),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6796),
    [anon_sym_BSLASHcitealt] = ACTIONS(6796),
    [anon_sym_BSLASHcitealp] = ACTIONS(6796),
    [anon_sym_BSLASHcitetext] = ACTIONS(6796),
    [anon_sym_BSLASHparencite] = ACTIONS(6796),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHParencite] = ACTIONS(6796),
    [anon_sym_BSLASHfootcite] = ACTIONS(6796),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6796),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6796),
    [anon_sym_BSLASHtextcite] = ACTIONS(6796),
    [anon_sym_BSLASHTextcite] = ACTIONS(6796),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6796),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6796),
    [anon_sym_BSLASHsupercite] = ACTIONS(6796),
    [anon_sym_BSLASHautocite] = ACTIONS(6796),
    [anon_sym_BSLASHAutocite] = ACTIONS(6796),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHVolcite] = ACTIONS(6796),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHavolcite] = ACTIONS(6796),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHnotecite] = ACTIONS(6796),
    [anon_sym_BSLASHNotecite] = ACTIONS(6796),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6796),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6796),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6796),
    [anon_sym_BSLASHlabel] = ACTIONS(6796),
    [anon_sym_BSLASHref] = ACTIONS(6796),
    [anon_sym_BSLASHeqref] = ACTIONS(6796),
    [anon_sym_BSLASHvref] = ACTIONS(6796),
    [anon_sym_BSLASHVref] = ACTIONS(6796),
    [anon_sym_BSLASHautoref] = ACTIONS(6796),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHpageref] = ACTIONS(6796),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHautopageref] = ACTIONS(6796),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcref] = ACTIONS(6796),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHCref] = ACTIONS(6796),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcpageref] = ACTIONS(6796),
    [anon_sym_BSLASHCpageref] = ACTIONS(6796),
    [anon_sym_BSLASHnamecref] = ACTIONS(6796),
    [anon_sym_BSLASHnameCref] = ACTIONS(6796),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6796),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6796),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6796),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6796),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6796),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6796),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6796),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6796),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6796),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6796),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6796),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6796),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6796),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6796),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6796),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6796),
    [anon_sym_BSLASHdef] = ACTIONS(6796),
    [anon_sym_BSLASHgdef] = ACTIONS(6796),
    [anon_sym_BSLASHedef] = ACTIONS(6796),
    [anon_sym_BSLASHxdef] = ACTIONS(6796),
    [anon_sym_BSLASHlet] = ACTIONS(6796),
    [anon_sym_BSLASHglet] = ACTIONS(6796),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6796),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6796),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6796),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6796),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6796),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6796),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6796),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6796),
    [anon_sym_BSLASHgls] = ACTIONS(6796),
    [anon_sym_BSLASHGls] = ACTIONS(6796),
    [anon_sym_BSLASHGLS] = ACTIONS(6796),
    [anon_sym_BSLASHglspl] = ACTIONS(6796),
    [anon_sym_BSLASHGlspl] = ACTIONS(6796),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6796),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6796),
    [anon_sym_BSLASHglslink] = ACTIONS(6796),
    [anon_sym_BSLASHglstext] = ACTIONS(6796),
    [anon_sym_BSLASHGlstext] = ACTIONS(6796),
    [anon_sym_BSLASHGLStext] = ACTIONS(6796),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6796),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6796),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6796),
    [anon_sym_BSLASHglsplural] = ACTIONS(6796),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6796),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6796),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6796),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6796),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6796),
    [anon_sym_BSLASHglsname] = ACTIONS(6796),
    [anon_sym_BSLASHGlsname] = ACTIONS(6796),
    [anon_sym_BSLASHGLSname] = ACTIONS(6796),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6796),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6796),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6796),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6796),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6796),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6796),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6796),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6796),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6796),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6796),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6796),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6796),
    [anon_sym_BSLASHacrshort] = ACTIONS(6796),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6796),
    [anon_sym_BSLASHACRshort] = ACTIONS(6796),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6796),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6796),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6796),
    [anon_sym_BSLASHacrlong] = ACTIONS(6796),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6796),
    [anon_sym_BSLASHACRlong] = ACTIONS(6796),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6796),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6796),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6796),
    [anon_sym_BSLASHacrfull] = ACTIONS(6796),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6796),
    [anon_sym_BSLASHACRfull] = ACTIONS(6796),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6796),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6796),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6796),
    [anon_sym_BSLASHacs] = ACTIONS(6796),
    [anon_sym_BSLASHAcs] = ACTIONS(6796),
    [anon_sym_BSLASHacsp] = ACTIONS(6796),
    [anon_sym_BSLASHAcsp] = ACTIONS(6796),
    [anon_sym_BSLASHacl] = ACTIONS(6796),
    [anon_sym_BSLASHAcl] = ACTIONS(6796),
    [anon_sym_BSLASHaclp] = ACTIONS(6796),
    [anon_sym_BSLASHAclp] = ACTIONS(6796),
    [anon_sym_BSLASHacf] = ACTIONS(6796),
    [anon_sym_BSLASHAcf] = ACTIONS(6796),
    [anon_sym_BSLASHacfp] = ACTIONS(6796),
    [anon_sym_BSLASHAcfp] = ACTIONS(6796),
    [anon_sym_BSLASHac] = ACTIONS(6796),
    [anon_sym_BSLASHAc] = ACTIONS(6796),
    [anon_sym_BSLASHacp] = ACTIONS(6796),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6796),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6796),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6796),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6796),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6796),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6796),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6796),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6796),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6796),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6796),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6796),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6796),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6796),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6796),
    [anon_sym_BSLASHcolor] = ACTIONS(6796),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6796),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6796),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6796),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6796),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6796),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6796),
    [anon_sym_BSLASHurl] = ACTIONS(6796),
    [anon_sym_BSLASHhref] = ACTIONS(6796),
  },
  [824] = {
    [sym__paragraph_declaration] = STATE(213),
    [sym_paragraph] = STATE(824),
    [aux_sym__paragraph_repeat1] = STATE(824),
    [sym_command_name] = ACTIONS(6806),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6806),
    [anon_sym_LBRACK] = ACTIONS(6808),
    [anon_sym_RBRACK] = ACTIONS(6808),
    [anon_sym_COMMA] = ACTIONS(6808),
    [anon_sym_EQ] = ACTIONS(6808),
    [anon_sym_LPAREN] = ACTIONS(6808),
    [anon_sym_RPAREN] = ACTIONS(6808),
    [anon_sym_BSLASHpart] = ACTIONS(6806),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHaddpart] = ACTIONS(6806),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHchapter] = ACTIONS(6806),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHaddchap] = ACTIONS(6806),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHsection] = ACTIONS(6806),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHaddsec] = ACTIONS(6806),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHsubsection] = ACTIONS(6806),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6806),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHparagraph] = ACTIONS(7692),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7695),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6806),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHitem] = ACTIONS(6806),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6808),
    [anon_sym_LBRACE] = ACTIONS(6808),
    [sym_word] = ACTIONS(6806),
    [sym_placeholder] = ACTIONS(6808),
    [sym_delimiter] = ACTIONS(6808),
    [anon_sym_PLUS] = ACTIONS(6808),
    [anon_sym_DASH] = ACTIONS(6808),
    [anon_sym_STAR] = ACTIONS(6808),
    [anon_sym_SLASH] = ACTIONS(6808),
    [anon_sym_LT] = ACTIONS(6806),
    [anon_sym_GT] = ACTIONS(6806),
    [anon_sym_BANG] = ACTIONS(6806),
    [anon_sym_PIPE] = ACTIONS(6806),
    [anon_sym_COLON] = ACTIONS(6806),
    [anon_sym_SQUOTE] = ACTIONS(6806),
    [anon_sym__] = ACTIONS(6808),
    [anon_sym_CARET] = ACTIONS(6808),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6808),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6808),
    [anon_sym_DOLLAR] = ACTIONS(6806),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6808),
    [anon_sym_BSLASHleft] = ACTIONS(6806),
    [anon_sym_BSLASHbigl] = ACTIONS(6806),
    [anon_sym_BSLASHBigl] = ACTIONS(6806),
    [anon_sym_BSLASHbiggl] = ACTIONS(6806),
    [anon_sym_BSLASHBiggl] = ACTIONS(6806),
    [anon_sym_BSLASHtext] = ACTIONS(6806),
    [anon_sym_BSLASHintertext] = ACTIONS(6806),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6806),
    [anon_sym_BSLASHbegin] = ACTIONS(6806),
    [anon_sym_BSLASHend] = ACTIONS(6806),
    [anon_sym_BSLASHtitle] = ACTIONS(6806),
    [anon_sym_BSLASHauthor] = ACTIONS(6806),
    [anon_sym_BSLASHusepackage] = ACTIONS(6806),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6806),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6806),
    [anon_sym_BSLASHinclude] = ACTIONS(6806),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6806),
    [anon_sym_BSLASHinput] = ACTIONS(6806),
    [anon_sym_BSLASHsubfile] = ACTIONS(6806),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6806),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6806),
    [anon_sym_BSLASHbibliography] = ACTIONS(6806),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6806),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6806),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6806),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6806),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6806),
    [anon_sym_BSLASHimport] = ACTIONS(6806),
    [anon_sym_BSLASHsubimport] = ACTIONS(6806),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6806),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6806),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6806),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6806),
    [anon_sym_BSLASHcaption] = ACTIONS(6806),
    [anon_sym_BSLASHcite] = ACTIONS(6806),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHCite] = ACTIONS(6806),
    [anon_sym_BSLASHnocite] = ACTIONS(6806),
    [anon_sym_BSLASHcitet] = ACTIONS(6806),
    [anon_sym_BSLASHcitep] = ACTIONS(6806),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHciteA] = ACTIONS(6806),
    [anon_sym_BSLASHciteR] = ACTIONS(6806),
    [anon_sym_BSLASHciteS] = ACTIONS(6806),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6806),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6806),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6806),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6806),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHciteyear] = ACTIONS(6806),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcitedate] = ACTIONS(6806),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHciteurl] = ACTIONS(6806),
    [anon_sym_BSLASHfullcite] = ACTIONS(6806),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6806),
    [anon_sym_BSLASHcitealt] = ACTIONS(6806),
    [anon_sym_BSLASHcitealp] = ACTIONS(6806),
    [anon_sym_BSLASHcitetext] = ACTIONS(6806),
    [anon_sym_BSLASHparencite] = ACTIONS(6806),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHParencite] = ACTIONS(6806),
    [anon_sym_BSLASHfootcite] = ACTIONS(6806),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6806),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6806),
    [anon_sym_BSLASHtextcite] = ACTIONS(6806),
    [anon_sym_BSLASHTextcite] = ACTIONS(6806),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6806),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6806),
    [anon_sym_BSLASHsupercite] = ACTIONS(6806),
    [anon_sym_BSLASHautocite] = ACTIONS(6806),
    [anon_sym_BSLASHAutocite] = ACTIONS(6806),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHVolcite] = ACTIONS(6806),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHavolcite] = ACTIONS(6806),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHnotecite] = ACTIONS(6806),
    [anon_sym_BSLASHNotecite] = ACTIONS(6806),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6806),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6806),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6806),
    [anon_sym_BSLASHlabel] = ACTIONS(6806),
    [anon_sym_BSLASHref] = ACTIONS(6806),
    [anon_sym_BSLASHeqref] = ACTIONS(6806),
    [anon_sym_BSLASHvref] = ACTIONS(6806),
    [anon_sym_BSLASHVref] = ACTIONS(6806),
    [anon_sym_BSLASHautoref] = ACTIONS(6806),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHpageref] = ACTIONS(6806),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHautopageref] = ACTIONS(6806),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcref] = ACTIONS(6806),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHCref] = ACTIONS(6806),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcpageref] = ACTIONS(6806),
    [anon_sym_BSLASHCpageref] = ACTIONS(6806),
    [anon_sym_BSLASHnamecref] = ACTIONS(6806),
    [anon_sym_BSLASHnameCref] = ACTIONS(6806),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6806),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6806),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6806),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6806),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6806),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6806),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6806),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6806),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6806),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6806),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6806),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6806),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6806),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6806),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6806),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6806),
    [anon_sym_BSLASHdef] = ACTIONS(6806),
    [anon_sym_BSLASHgdef] = ACTIONS(6806),
    [anon_sym_BSLASHedef] = ACTIONS(6806),
    [anon_sym_BSLASHxdef] = ACTIONS(6806),
    [anon_sym_BSLASHlet] = ACTIONS(6806),
    [anon_sym_BSLASHglet] = ACTIONS(6806),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6806),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6806),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6806),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6806),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6806),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6806),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6806),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6806),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6806),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6806),
    [anon_sym_BSLASHgls] = ACTIONS(6806),
    [anon_sym_BSLASHGls] = ACTIONS(6806),
    [anon_sym_BSLASHGLS] = ACTIONS(6806),
    [anon_sym_BSLASHglspl] = ACTIONS(6806),
    [anon_sym_BSLASHGlspl] = ACTIONS(6806),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6806),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6806),
    [anon_sym_BSLASHglslink] = ACTIONS(6806),
    [anon_sym_BSLASHglstext] = ACTIONS(6806),
    [anon_sym_BSLASHGlstext] = ACTIONS(6806),
    [anon_sym_BSLASHGLStext] = ACTIONS(6806),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6806),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6806),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6806),
    [anon_sym_BSLASHglsplural] = ACTIONS(6806),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6806),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6806),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6806),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6806),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6806),
    [anon_sym_BSLASHglsname] = ACTIONS(6806),
    [anon_sym_BSLASHGlsname] = ACTIONS(6806),
    [anon_sym_BSLASHGLSname] = ACTIONS(6806),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6806),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6806),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6806),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6806),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6806),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6806),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6806),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6806),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6806),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6806),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6806),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6806),
    [anon_sym_BSLASHacrshort] = ACTIONS(6806),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6806),
    [anon_sym_BSLASHACRshort] = ACTIONS(6806),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6806),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6806),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6806),
    [anon_sym_BSLASHacrlong] = ACTIONS(6806),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6806),
    [anon_sym_BSLASHACRlong] = ACTIONS(6806),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6806),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6806),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6806),
    [anon_sym_BSLASHacrfull] = ACTIONS(6806),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6806),
    [anon_sym_BSLASHACRfull] = ACTIONS(6806),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6806),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6806),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6806),
    [anon_sym_BSLASHacs] = ACTIONS(6806),
    [anon_sym_BSLASHAcs] = ACTIONS(6806),
    [anon_sym_BSLASHacsp] = ACTIONS(6806),
    [anon_sym_BSLASHAcsp] = ACTIONS(6806),
    [anon_sym_BSLASHacl] = ACTIONS(6806),
    [anon_sym_BSLASHAcl] = ACTIONS(6806),
    [anon_sym_BSLASHaclp] = ACTIONS(6806),
    [anon_sym_BSLASHAclp] = ACTIONS(6806),
    [anon_sym_BSLASHacf] = ACTIONS(6806),
    [anon_sym_BSLASHAcf] = ACTIONS(6806),
    [anon_sym_BSLASHacfp] = ACTIONS(6806),
    [anon_sym_BSLASHAcfp] = ACTIONS(6806),
    [anon_sym_BSLASHac] = ACTIONS(6806),
    [anon_sym_BSLASHAc] = ACTIONS(6806),
    [anon_sym_BSLASHacp] = ACTIONS(6806),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6806),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6806),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6806),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6806),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6806),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6806),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6806),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6806),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6806),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6806),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6806),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6806),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6806),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6806),
    [anon_sym_BSLASHcolor] = ACTIONS(6806),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6806),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6806),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6806),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6806),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6806),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6806),
    [anon_sym_BSLASHurl] = ACTIONS(6806),
    [anon_sym_BSLASHhref] = ACTIONS(6806),
  },
  [825] = {
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(825),
    [aux_sym__paragraph_repeat2] = STATE(825),
    [sym_command_name] = ACTIONS(6816),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6816),
    [anon_sym_LBRACK] = ACTIONS(6818),
    [anon_sym_RBRACK] = ACTIONS(6818),
    [anon_sym_COMMA] = ACTIONS(6818),
    [anon_sym_EQ] = ACTIONS(6818),
    [anon_sym_LPAREN] = ACTIONS(6818),
    [anon_sym_RPAREN] = ACTIONS(6818),
    [anon_sym_BSLASHpart] = ACTIONS(6816),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHaddpart] = ACTIONS(6816),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHchapter] = ACTIONS(6816),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHaddchap] = ACTIONS(6816),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHsection] = ACTIONS(6816),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHaddsec] = ACTIONS(6816),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHsubsection] = ACTIONS(6816),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6816),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHparagraph] = ACTIONS(6816),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7698),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7701),
    [anon_sym_BSLASHitem] = ACTIONS(6816),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6818),
    [anon_sym_LBRACE] = ACTIONS(6818),
    [sym_word] = ACTIONS(6816),
    [sym_placeholder] = ACTIONS(6818),
    [sym_delimiter] = ACTIONS(6818),
    [anon_sym_PLUS] = ACTIONS(6818),
    [anon_sym_DASH] = ACTIONS(6818),
    [anon_sym_STAR] = ACTIONS(6818),
    [anon_sym_SLASH] = ACTIONS(6818),
    [anon_sym_LT] = ACTIONS(6816),
    [anon_sym_GT] = ACTIONS(6816),
    [anon_sym_BANG] = ACTIONS(6816),
    [anon_sym_PIPE] = ACTIONS(6816),
    [anon_sym_COLON] = ACTIONS(6816),
    [anon_sym_SQUOTE] = ACTIONS(6816),
    [anon_sym__] = ACTIONS(6818),
    [anon_sym_CARET] = ACTIONS(6818),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6818),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6818),
    [anon_sym_DOLLAR] = ACTIONS(6816),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6818),
    [anon_sym_BSLASHleft] = ACTIONS(6816),
    [anon_sym_BSLASHbigl] = ACTIONS(6816),
    [anon_sym_BSLASHBigl] = ACTIONS(6816),
    [anon_sym_BSLASHbiggl] = ACTIONS(6816),
    [anon_sym_BSLASHBiggl] = ACTIONS(6816),
    [anon_sym_BSLASHtext] = ACTIONS(6816),
    [anon_sym_BSLASHintertext] = ACTIONS(6816),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6816),
    [anon_sym_BSLASHbegin] = ACTIONS(6816),
    [anon_sym_BSLASHend] = ACTIONS(6816),
    [anon_sym_BSLASHtitle] = ACTIONS(6816),
    [anon_sym_BSLASHauthor] = ACTIONS(6816),
    [anon_sym_BSLASHusepackage] = ACTIONS(6816),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6816),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6816),
    [anon_sym_BSLASHinclude] = ACTIONS(6816),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6816),
    [anon_sym_BSLASHinput] = ACTIONS(6816),
    [anon_sym_BSLASHsubfile] = ACTIONS(6816),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6816),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6816),
    [anon_sym_BSLASHbibliography] = ACTIONS(6816),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6816),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6816),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6816),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6816),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6816),
    [anon_sym_BSLASHimport] = ACTIONS(6816),
    [anon_sym_BSLASHsubimport] = ACTIONS(6816),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6816),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6816),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6816),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6816),
    [anon_sym_BSLASHcaption] = ACTIONS(6816),
    [anon_sym_BSLASHcite] = ACTIONS(6816),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHCite] = ACTIONS(6816),
    [anon_sym_BSLASHnocite] = ACTIONS(6816),
    [anon_sym_BSLASHcitet] = ACTIONS(6816),
    [anon_sym_BSLASHcitep] = ACTIONS(6816),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHciteA] = ACTIONS(6816),
    [anon_sym_BSLASHciteR] = ACTIONS(6816),
    [anon_sym_BSLASHciteS] = ACTIONS(6816),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6816),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6816),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6816),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6816),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHciteyear] = ACTIONS(6816),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcitedate] = ACTIONS(6816),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHciteurl] = ACTIONS(6816),
    [anon_sym_BSLASHfullcite] = ACTIONS(6816),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6816),
    [anon_sym_BSLASHcitealt] = ACTIONS(6816),
    [anon_sym_BSLASHcitealp] = ACTIONS(6816),
    [anon_sym_BSLASHcitetext] = ACTIONS(6816),
    [anon_sym_BSLASHparencite] = ACTIONS(6816),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHParencite] = ACTIONS(6816),
    [anon_sym_BSLASHfootcite] = ACTIONS(6816),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6816),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6816),
    [anon_sym_BSLASHtextcite] = ACTIONS(6816),
    [anon_sym_BSLASHTextcite] = ACTIONS(6816),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6816),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6816),
    [anon_sym_BSLASHsupercite] = ACTIONS(6816),
    [anon_sym_BSLASHautocite] = ACTIONS(6816),
    [anon_sym_BSLASHAutocite] = ACTIONS(6816),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHVolcite] = ACTIONS(6816),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHavolcite] = ACTIONS(6816),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHnotecite] = ACTIONS(6816),
    [anon_sym_BSLASHNotecite] = ACTIONS(6816),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6816),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6816),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6816),
    [anon_sym_BSLASHlabel] = ACTIONS(6816),
    [anon_sym_BSLASHref] = ACTIONS(6816),
    [anon_sym_BSLASHeqref] = ACTIONS(6816),
    [anon_sym_BSLASHvref] = ACTIONS(6816),
    [anon_sym_BSLASHVref] = ACTIONS(6816),
    [anon_sym_BSLASHautoref] = ACTIONS(6816),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHpageref] = ACTIONS(6816),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHautopageref] = ACTIONS(6816),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcref] = ACTIONS(6816),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHCref] = ACTIONS(6816),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcpageref] = ACTIONS(6816),
    [anon_sym_BSLASHCpageref] = ACTIONS(6816),
    [anon_sym_BSLASHnamecref] = ACTIONS(6816),
    [anon_sym_BSLASHnameCref] = ACTIONS(6816),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6816),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6816),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6816),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6816),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6816),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6816),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6816),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6816),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6816),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6816),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6816),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6816),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6816),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6816),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6816),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6816),
    [anon_sym_BSLASHdef] = ACTIONS(6816),
    [anon_sym_BSLASHgdef] = ACTIONS(6816),
    [anon_sym_BSLASHedef] = ACTIONS(6816),
    [anon_sym_BSLASHxdef] = ACTIONS(6816),
    [anon_sym_BSLASHlet] = ACTIONS(6816),
    [anon_sym_BSLASHglet] = ACTIONS(6816),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6816),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6816),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6816),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6816),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6816),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6816),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6816),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6816),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6816),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6816),
    [anon_sym_BSLASHgls] = ACTIONS(6816),
    [anon_sym_BSLASHGls] = ACTIONS(6816),
    [anon_sym_BSLASHGLS] = ACTIONS(6816),
    [anon_sym_BSLASHglspl] = ACTIONS(6816),
    [anon_sym_BSLASHGlspl] = ACTIONS(6816),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6816),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6816),
    [anon_sym_BSLASHglslink] = ACTIONS(6816),
    [anon_sym_BSLASHglstext] = ACTIONS(6816),
    [anon_sym_BSLASHGlstext] = ACTIONS(6816),
    [anon_sym_BSLASHGLStext] = ACTIONS(6816),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6816),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6816),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6816),
    [anon_sym_BSLASHglsplural] = ACTIONS(6816),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6816),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6816),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6816),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6816),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6816),
    [anon_sym_BSLASHglsname] = ACTIONS(6816),
    [anon_sym_BSLASHGlsname] = ACTIONS(6816),
    [anon_sym_BSLASHGLSname] = ACTIONS(6816),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6816),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6816),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6816),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6816),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6816),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6816),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6816),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6816),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6816),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6816),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6816),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6816),
    [anon_sym_BSLASHacrshort] = ACTIONS(6816),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6816),
    [anon_sym_BSLASHACRshort] = ACTIONS(6816),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6816),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6816),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6816),
    [anon_sym_BSLASHacrlong] = ACTIONS(6816),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6816),
    [anon_sym_BSLASHACRlong] = ACTIONS(6816),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6816),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6816),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6816),
    [anon_sym_BSLASHacrfull] = ACTIONS(6816),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6816),
    [anon_sym_BSLASHACRfull] = ACTIONS(6816),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6816),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6816),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6816),
    [anon_sym_BSLASHacs] = ACTIONS(6816),
    [anon_sym_BSLASHAcs] = ACTIONS(6816),
    [anon_sym_BSLASHacsp] = ACTIONS(6816),
    [anon_sym_BSLASHAcsp] = ACTIONS(6816),
    [anon_sym_BSLASHacl] = ACTIONS(6816),
    [anon_sym_BSLASHAcl] = ACTIONS(6816),
    [anon_sym_BSLASHaclp] = ACTIONS(6816),
    [anon_sym_BSLASHAclp] = ACTIONS(6816),
    [anon_sym_BSLASHacf] = ACTIONS(6816),
    [anon_sym_BSLASHAcf] = ACTIONS(6816),
    [anon_sym_BSLASHacfp] = ACTIONS(6816),
    [anon_sym_BSLASHAcfp] = ACTIONS(6816),
    [anon_sym_BSLASHac] = ACTIONS(6816),
    [anon_sym_BSLASHAc] = ACTIONS(6816),
    [anon_sym_BSLASHacp] = ACTIONS(6816),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6816),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6816),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6816),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6816),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6816),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6816),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6816),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6816),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6816),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6816),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6816),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6816),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6816),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6816),
    [anon_sym_BSLASHcolor] = ACTIONS(6816),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6816),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6816),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6816),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6816),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6816),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6816),
    [anon_sym_BSLASHurl] = ACTIONS(6816),
    [anon_sym_BSLASHhref] = ACTIONS(6816),
  },
  [826] = {
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(826),
    [aux_sym__paragraph_repeat3] = STATE(826),
    [sym_command_name] = ACTIONS(6826),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6826),
    [anon_sym_LBRACK] = ACTIONS(6828),
    [anon_sym_RBRACK] = ACTIONS(6828),
    [anon_sym_COMMA] = ACTIONS(6828),
    [anon_sym_EQ] = ACTIONS(6828),
    [anon_sym_LPAREN] = ACTIONS(6828),
    [anon_sym_RPAREN] = ACTIONS(6828),
    [anon_sym_BSLASHpart] = ACTIONS(6826),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHaddpart] = ACTIONS(6826),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHchapter] = ACTIONS(6826),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHaddchap] = ACTIONS(6826),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHsection] = ACTIONS(6826),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHaddsec] = ACTIONS(6826),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHsubsection] = ACTIONS(6826),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6826),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHparagraph] = ACTIONS(6826),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6826),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHitem] = ACTIONS(7704),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7707),
    [anon_sym_LBRACE] = ACTIONS(6828),
    [sym_word] = ACTIONS(6826),
    [sym_placeholder] = ACTIONS(6828),
    [sym_delimiter] = ACTIONS(6828),
    [anon_sym_PLUS] = ACTIONS(6828),
    [anon_sym_DASH] = ACTIONS(6828),
    [anon_sym_STAR] = ACTIONS(6828),
    [anon_sym_SLASH] = ACTIONS(6828),
    [anon_sym_LT] = ACTIONS(6826),
    [anon_sym_GT] = ACTIONS(6826),
    [anon_sym_BANG] = ACTIONS(6826),
    [anon_sym_PIPE] = ACTIONS(6826),
    [anon_sym_COLON] = ACTIONS(6826),
    [anon_sym_SQUOTE] = ACTIONS(6826),
    [anon_sym__] = ACTIONS(6828),
    [anon_sym_CARET] = ACTIONS(6828),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6828),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6828),
    [anon_sym_DOLLAR] = ACTIONS(6826),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6828),
    [anon_sym_BSLASHleft] = ACTIONS(6826),
    [anon_sym_BSLASHbigl] = ACTIONS(6826),
    [anon_sym_BSLASHBigl] = ACTIONS(6826),
    [anon_sym_BSLASHbiggl] = ACTIONS(6826),
    [anon_sym_BSLASHBiggl] = ACTIONS(6826),
    [anon_sym_BSLASHtext] = ACTIONS(6826),
    [anon_sym_BSLASHintertext] = ACTIONS(6826),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6826),
    [anon_sym_BSLASHbegin] = ACTIONS(6826),
    [anon_sym_BSLASHend] = ACTIONS(6826),
    [anon_sym_BSLASHtitle] = ACTIONS(6826),
    [anon_sym_BSLASHauthor] = ACTIONS(6826),
    [anon_sym_BSLASHusepackage] = ACTIONS(6826),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6826),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6826),
    [anon_sym_BSLASHinclude] = ACTIONS(6826),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6826),
    [anon_sym_BSLASHinput] = ACTIONS(6826),
    [anon_sym_BSLASHsubfile] = ACTIONS(6826),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6826),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6826),
    [anon_sym_BSLASHbibliography] = ACTIONS(6826),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6826),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6826),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6826),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6826),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6826),
    [anon_sym_BSLASHimport] = ACTIONS(6826),
    [anon_sym_BSLASHsubimport] = ACTIONS(6826),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6826),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6826),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6826),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6826),
    [anon_sym_BSLASHcaption] = ACTIONS(6826),
    [anon_sym_BSLASHcite] = ACTIONS(6826),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHCite] = ACTIONS(6826),
    [anon_sym_BSLASHnocite] = ACTIONS(6826),
    [anon_sym_BSLASHcitet] = ACTIONS(6826),
    [anon_sym_BSLASHcitep] = ACTIONS(6826),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHciteA] = ACTIONS(6826),
    [anon_sym_BSLASHciteR] = ACTIONS(6826),
    [anon_sym_BSLASHciteS] = ACTIONS(6826),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6826),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6826),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6826),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6826),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHciteyear] = ACTIONS(6826),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcitedate] = ACTIONS(6826),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHciteurl] = ACTIONS(6826),
    [anon_sym_BSLASHfullcite] = ACTIONS(6826),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6826),
    [anon_sym_BSLASHcitealt] = ACTIONS(6826),
    [anon_sym_BSLASHcitealp] = ACTIONS(6826),
    [anon_sym_BSLASHcitetext] = ACTIONS(6826),
    [anon_sym_BSLASHparencite] = ACTIONS(6826),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHParencite] = ACTIONS(6826),
    [anon_sym_BSLASHfootcite] = ACTIONS(6826),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6826),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6826),
    [anon_sym_BSLASHtextcite] = ACTIONS(6826),
    [anon_sym_BSLASHTextcite] = ACTIONS(6826),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6826),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6826),
    [anon_sym_BSLASHsupercite] = ACTIONS(6826),
    [anon_sym_BSLASHautocite] = ACTIONS(6826),
    [anon_sym_BSLASHAutocite] = ACTIONS(6826),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHVolcite] = ACTIONS(6826),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHavolcite] = ACTIONS(6826),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHnotecite] = ACTIONS(6826),
    [anon_sym_BSLASHNotecite] = ACTIONS(6826),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6826),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6826),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6826),
    [anon_sym_BSLASHlabel] = ACTIONS(6826),
    [anon_sym_BSLASHref] = ACTIONS(6826),
    [anon_sym_BSLASHeqref] = ACTIONS(6826),
    [anon_sym_BSLASHvref] = ACTIONS(6826),
    [anon_sym_BSLASHVref] = ACTIONS(6826),
    [anon_sym_BSLASHautoref] = ACTIONS(6826),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHpageref] = ACTIONS(6826),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHautopageref] = ACTIONS(6826),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcref] = ACTIONS(6826),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHCref] = ACTIONS(6826),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcpageref] = ACTIONS(6826),
    [anon_sym_BSLASHCpageref] = ACTIONS(6826),
    [anon_sym_BSLASHnamecref] = ACTIONS(6826),
    [anon_sym_BSLASHnameCref] = ACTIONS(6826),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6826),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6826),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6826),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6826),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6826),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6826),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6826),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6826),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6826),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6826),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6826),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6826),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6826),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6826),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6826),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6826),
    [anon_sym_BSLASHdef] = ACTIONS(6826),
    [anon_sym_BSLASHgdef] = ACTIONS(6826),
    [anon_sym_BSLASHedef] = ACTIONS(6826),
    [anon_sym_BSLASHxdef] = ACTIONS(6826),
    [anon_sym_BSLASHlet] = ACTIONS(6826),
    [anon_sym_BSLASHglet] = ACTIONS(6826),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6826),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6826),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6826),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6826),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6826),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6826),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6826),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6826),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6826),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6826),
    [anon_sym_BSLASHgls] = ACTIONS(6826),
    [anon_sym_BSLASHGls] = ACTIONS(6826),
    [anon_sym_BSLASHGLS] = ACTIONS(6826),
    [anon_sym_BSLASHglspl] = ACTIONS(6826),
    [anon_sym_BSLASHGlspl] = ACTIONS(6826),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6826),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6826),
    [anon_sym_BSLASHglslink] = ACTIONS(6826),
    [anon_sym_BSLASHglstext] = ACTIONS(6826),
    [anon_sym_BSLASHGlstext] = ACTIONS(6826),
    [anon_sym_BSLASHGLStext] = ACTIONS(6826),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6826),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6826),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6826),
    [anon_sym_BSLASHglsplural] = ACTIONS(6826),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6826),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6826),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6826),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6826),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6826),
    [anon_sym_BSLASHglsname] = ACTIONS(6826),
    [anon_sym_BSLASHGlsname] = ACTIONS(6826),
    [anon_sym_BSLASHGLSname] = ACTIONS(6826),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6826),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6826),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6826),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6826),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6826),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6826),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6826),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6826),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6826),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6826),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6826),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6826),
    [anon_sym_BSLASHacrshort] = ACTIONS(6826),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6826),
    [anon_sym_BSLASHACRshort] = ACTIONS(6826),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6826),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6826),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6826),
    [anon_sym_BSLASHacrlong] = ACTIONS(6826),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6826),
    [anon_sym_BSLASHACRlong] = ACTIONS(6826),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6826),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6826),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6826),
    [anon_sym_BSLASHacrfull] = ACTIONS(6826),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6826),
    [anon_sym_BSLASHACRfull] = ACTIONS(6826),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6826),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6826),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6826),
    [anon_sym_BSLASHacs] = ACTIONS(6826),
    [anon_sym_BSLASHAcs] = ACTIONS(6826),
    [anon_sym_BSLASHacsp] = ACTIONS(6826),
    [anon_sym_BSLASHAcsp] = ACTIONS(6826),
    [anon_sym_BSLASHacl] = ACTIONS(6826),
    [anon_sym_BSLASHAcl] = ACTIONS(6826),
    [anon_sym_BSLASHaclp] = ACTIONS(6826),
    [anon_sym_BSLASHAclp] = ACTIONS(6826),
    [anon_sym_BSLASHacf] = ACTIONS(6826),
    [anon_sym_BSLASHAcf] = ACTIONS(6826),
    [anon_sym_BSLASHacfp] = ACTIONS(6826),
    [anon_sym_BSLASHAcfp] = ACTIONS(6826),
    [anon_sym_BSLASHac] = ACTIONS(6826),
    [anon_sym_BSLASHAc] = ACTIONS(6826),
    [anon_sym_BSLASHacp] = ACTIONS(6826),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6826),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6826),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6826),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6826),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6826),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6826),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6826),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6826),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6826),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6826),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6826),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6826),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6826),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6826),
    [anon_sym_BSLASHcolor] = ACTIONS(6826),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6826),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6826),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6826),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6826),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6826),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6826),
    [anon_sym_BSLASHurl] = ACTIONS(6826),
    [anon_sym_BSLASHhref] = ACTIONS(6826),
  },
  [827] = {
    [sym__chapter_declaration] = STATE(173),
    [sym_chapter] = STATE(820),
    [aux_sym__section_repeat2] = STATE(820),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(684),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(686),
    [anon_sym_BSLASHaddchap] = ACTIONS(684),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(686),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHend] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [828] = {
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(821),
    [aux_sym__section_repeat3] = STATE(821),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHend] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [829] = {
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(822),
    [aux_sym__section_repeat4] = STATE(822),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHend] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [830] = {
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(823),
    [aux_sym__section_repeat5] = STATE(823),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHend] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [831] = {
    [sym__chapter_declaration] = STATE(173),
    [sym_chapter] = STATE(820),
    [aux_sym__section_repeat2] = STATE(820),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(684),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(686),
    [anon_sym_BSLASHaddchap] = ACTIONS(684),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(686),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHend] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [832] = {
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(821),
    [aux_sym__section_repeat3] = STATE(821),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHend] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [833] = {
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(822),
    [aux_sym__section_repeat4] = STATE(822),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHend] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [834] = {
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(823),
    [aux_sym__section_repeat5] = STATE(823),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHend] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [835] = {
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(821),
    [aux_sym__section_repeat3] = STATE(821),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHend] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [836] = {
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(822),
    [aux_sym__section_repeat4] = STATE(822),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(6531),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddsec] = ACTIONS(6531),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHend] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [837] = {
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(823),
    [aux_sym__section_repeat5] = STATE(823),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(6531),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddsec] = ACTIONS(6531),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHend] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [838] = {
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(821),
    [aux_sym__section_repeat3] = STATE(821),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHend] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [839] = {
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(822),
    [aux_sym__section_repeat4] = STATE(822),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(6531),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddsec] = ACTIONS(6531),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHend] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [840] = {
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(823),
    [aux_sym__section_repeat5] = STATE(823),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(6531),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddsec] = ACTIONS(6531),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHend] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [841] = {
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(822),
    [aux_sym__section_repeat4] = STATE(822),
    [sym_command_name] = ACTIONS(6535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6535),
    [anon_sym_LBRACK] = ACTIONS(6537),
    [anon_sym_RBRACK] = ACTIONS(6537),
    [anon_sym_COMMA] = ACTIONS(6537),
    [anon_sym_EQ] = ACTIONS(6537),
    [anon_sym_LPAREN] = ACTIONS(6537),
    [anon_sym_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHpart] = ACTIONS(6535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddpart] = ACTIONS(6535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHchapter] = ACTIONS(6535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddchap] = ACTIONS(6535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsection] = ACTIONS(6535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddsec] = ACTIONS(6535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6535),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHitem] = ACTIONS(6535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6537),
    [anon_sym_LBRACE] = ACTIONS(6537),
    [sym_word] = ACTIONS(6535),
    [sym_placeholder] = ACTIONS(6537),
    [sym_delimiter] = ACTIONS(6537),
    [anon_sym_PLUS] = ACTIONS(6537),
    [anon_sym_DASH] = ACTIONS(6537),
    [anon_sym_STAR] = ACTIONS(6537),
    [anon_sym_SLASH] = ACTIONS(6537),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_BANG] = ACTIONS(6535),
    [anon_sym_PIPE] = ACTIONS(6535),
    [anon_sym_COLON] = ACTIONS(6535),
    [anon_sym_SQUOTE] = ACTIONS(6535),
    [anon_sym__] = ACTIONS(6537),
    [anon_sym_CARET] = ACTIONS(6537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6537),
    [anon_sym_DOLLAR] = ACTIONS(6535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHleft] = ACTIONS(6535),
    [anon_sym_BSLASHbigl] = ACTIONS(6535),
    [anon_sym_BSLASHBigl] = ACTIONS(6535),
    [anon_sym_BSLASHbiggl] = ACTIONS(6535),
    [anon_sym_BSLASHBiggl] = ACTIONS(6535),
    [anon_sym_BSLASHtext] = ACTIONS(6535),
    [anon_sym_BSLASHintertext] = ACTIONS(6535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6535),
    [anon_sym_BSLASHbegin] = ACTIONS(6535),
    [anon_sym_BSLASHend] = ACTIONS(6535),
    [anon_sym_BSLASHtitle] = ACTIONS(6535),
    [anon_sym_BSLASHauthor] = ACTIONS(6535),
    [anon_sym_BSLASHusepackage] = ACTIONS(6535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6535),
    [anon_sym_BSLASHinclude] = ACTIONS(6535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6535),
    [anon_sym_BSLASHinput] = ACTIONS(6535),
    [anon_sym_BSLASHsubfile] = ACTIONS(6535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6535),
    [anon_sym_BSLASHbibliography] = ACTIONS(6535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6535),
    [anon_sym_BSLASHimport] = ACTIONS(6535),
    [anon_sym_BSLASHsubimport] = ACTIONS(6535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHcaption] = ACTIONS(6535),
    [anon_sym_BSLASHcite] = ACTIONS(6535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCite] = ACTIONS(6535),
    [anon_sym_BSLASHnocite] = ACTIONS(6535),
    [anon_sym_BSLASHcitet] = ACTIONS(6535),
    [anon_sym_BSLASHcitep] = ACTIONS(6535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteA] = ACTIONS(6535),
    [anon_sym_BSLASHciteR] = ACTIONS(6535),
    [anon_sym_BSLASHciteS] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteyear] = ACTIONS(6535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitedate] = ACTIONS(6535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteurl] = ACTIONS(6535),
    [anon_sym_BSLASHfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6535),
    [anon_sym_BSLASHcitealt] = ACTIONS(6535),
    [anon_sym_BSLASHcitealp] = ACTIONS(6535),
    [anon_sym_BSLASHcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHparencite] = ACTIONS(6535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHParencite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHtextcite] = ACTIONS(6535),
    [anon_sym_BSLASHTextcite] = ACTIONS(6535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHsupercite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite] = ACTIONS(6535),
    [anon_sym_BSLASHAutocite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHVolcite] = ACTIONS(6535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHavolcite] = ACTIONS(6535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHNotecite] = ACTIONS(6535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHlabel] = ACTIONS(6535),
    [anon_sym_BSLASHref] = ACTIONS(6535),
    [anon_sym_BSLASHeqref] = ACTIONS(6535),
    [anon_sym_BSLASHvref] = ACTIONS(6535),
    [anon_sym_BSLASHVref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHpageref] = ACTIONS(6535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHautopageref] = ACTIONS(6535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcref] = ACTIONS(6535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCref] = ACTIONS(6535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHCpageref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnameCref] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHdef] = ACTIONS(6535),
    [anon_sym_BSLASHgdef] = ACTIONS(6535),
    [anon_sym_BSLASHedef] = ACTIONS(6535),
    [anon_sym_BSLASHxdef] = ACTIONS(6535),
    [anon_sym_BSLASHlet] = ACTIONS(6535),
    [anon_sym_BSLASHglet] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6535),
    [anon_sym_BSLASHgls] = ACTIONS(6535),
    [anon_sym_BSLASHGls] = ACTIONS(6535),
    [anon_sym_BSLASHGLS] = ACTIONS(6535),
    [anon_sym_BSLASHglspl] = ACTIONS(6535),
    [anon_sym_BSLASHGlspl] = ACTIONS(6535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6535),
    [anon_sym_BSLASHglslink] = ACTIONS(6535),
    [anon_sym_BSLASHglstext] = ACTIONS(6535),
    [anon_sym_BSLASHGlstext] = ACTIONS(6535),
    [anon_sym_BSLASHGLStext] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6535),
    [anon_sym_BSLASHglsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsname] = ACTIONS(6535),
    [anon_sym_BSLASHGlsname] = ACTIONS(6535),
    [anon_sym_BSLASHGLSname] = ACTIONS(6535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6535),
    [anon_sym_BSLASHacrshort] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6535),
    [anon_sym_BSLASHACRshort] = ACTIONS(6535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrlong] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6535),
    [anon_sym_BSLASHACRlong] = ACTIONS(6535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrfull] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6535),
    [anon_sym_BSLASHACRfull] = ACTIONS(6535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHacs] = ACTIONS(6535),
    [anon_sym_BSLASHAcs] = ACTIONS(6535),
    [anon_sym_BSLASHacsp] = ACTIONS(6535),
    [anon_sym_BSLASHAcsp] = ACTIONS(6535),
    [anon_sym_BSLASHacl] = ACTIONS(6535),
    [anon_sym_BSLASHAcl] = ACTIONS(6535),
    [anon_sym_BSLASHaclp] = ACTIONS(6535),
    [anon_sym_BSLASHAclp] = ACTIONS(6535),
    [anon_sym_BSLASHacf] = ACTIONS(6535),
    [anon_sym_BSLASHAcf] = ACTIONS(6535),
    [anon_sym_BSLASHacfp] = ACTIONS(6535),
    [anon_sym_BSLASHAcfp] = ACTIONS(6535),
    [anon_sym_BSLASHac] = ACTIONS(6535),
    [anon_sym_BSLASHAc] = ACTIONS(6535),
    [anon_sym_BSLASHacp] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6535),
    [anon_sym_BSLASHcolor] = ACTIONS(6535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6535),
    [anon_sym_BSLASHurl] = ACTIONS(6535),
    [anon_sym_BSLASHhref] = ACTIONS(6535),
  },
  [842] = {
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(823),
    [aux_sym__section_repeat5] = STATE(823),
    [sym_command_name] = ACTIONS(6535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6535),
    [anon_sym_LBRACK] = ACTIONS(6537),
    [anon_sym_RBRACK] = ACTIONS(6537),
    [anon_sym_COMMA] = ACTIONS(6537),
    [anon_sym_EQ] = ACTIONS(6537),
    [anon_sym_LPAREN] = ACTIONS(6537),
    [anon_sym_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHpart] = ACTIONS(6535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddpart] = ACTIONS(6535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHchapter] = ACTIONS(6535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddchap] = ACTIONS(6535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsection] = ACTIONS(6535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddsec] = ACTIONS(6535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsection] = ACTIONS(6535),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHitem] = ACTIONS(6535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6537),
    [anon_sym_LBRACE] = ACTIONS(6537),
    [sym_word] = ACTIONS(6535),
    [sym_placeholder] = ACTIONS(6537),
    [sym_delimiter] = ACTIONS(6537),
    [anon_sym_PLUS] = ACTIONS(6537),
    [anon_sym_DASH] = ACTIONS(6537),
    [anon_sym_STAR] = ACTIONS(6537),
    [anon_sym_SLASH] = ACTIONS(6537),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_BANG] = ACTIONS(6535),
    [anon_sym_PIPE] = ACTIONS(6535),
    [anon_sym_COLON] = ACTIONS(6535),
    [anon_sym_SQUOTE] = ACTIONS(6535),
    [anon_sym__] = ACTIONS(6537),
    [anon_sym_CARET] = ACTIONS(6537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6537),
    [anon_sym_DOLLAR] = ACTIONS(6535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHleft] = ACTIONS(6535),
    [anon_sym_BSLASHbigl] = ACTIONS(6535),
    [anon_sym_BSLASHBigl] = ACTIONS(6535),
    [anon_sym_BSLASHbiggl] = ACTIONS(6535),
    [anon_sym_BSLASHBiggl] = ACTIONS(6535),
    [anon_sym_BSLASHtext] = ACTIONS(6535),
    [anon_sym_BSLASHintertext] = ACTIONS(6535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6535),
    [anon_sym_BSLASHbegin] = ACTIONS(6535),
    [anon_sym_BSLASHend] = ACTIONS(6535),
    [anon_sym_BSLASHtitle] = ACTIONS(6535),
    [anon_sym_BSLASHauthor] = ACTIONS(6535),
    [anon_sym_BSLASHusepackage] = ACTIONS(6535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6535),
    [anon_sym_BSLASHinclude] = ACTIONS(6535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6535),
    [anon_sym_BSLASHinput] = ACTIONS(6535),
    [anon_sym_BSLASHsubfile] = ACTIONS(6535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6535),
    [anon_sym_BSLASHbibliography] = ACTIONS(6535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6535),
    [anon_sym_BSLASHimport] = ACTIONS(6535),
    [anon_sym_BSLASHsubimport] = ACTIONS(6535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHcaption] = ACTIONS(6535),
    [anon_sym_BSLASHcite] = ACTIONS(6535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCite] = ACTIONS(6535),
    [anon_sym_BSLASHnocite] = ACTIONS(6535),
    [anon_sym_BSLASHcitet] = ACTIONS(6535),
    [anon_sym_BSLASHcitep] = ACTIONS(6535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteA] = ACTIONS(6535),
    [anon_sym_BSLASHciteR] = ACTIONS(6535),
    [anon_sym_BSLASHciteS] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteyear] = ACTIONS(6535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitedate] = ACTIONS(6535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteurl] = ACTIONS(6535),
    [anon_sym_BSLASHfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6535),
    [anon_sym_BSLASHcitealt] = ACTIONS(6535),
    [anon_sym_BSLASHcitealp] = ACTIONS(6535),
    [anon_sym_BSLASHcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHparencite] = ACTIONS(6535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHParencite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHtextcite] = ACTIONS(6535),
    [anon_sym_BSLASHTextcite] = ACTIONS(6535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHsupercite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite] = ACTIONS(6535),
    [anon_sym_BSLASHAutocite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHVolcite] = ACTIONS(6535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHavolcite] = ACTIONS(6535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHNotecite] = ACTIONS(6535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHlabel] = ACTIONS(6535),
    [anon_sym_BSLASHref] = ACTIONS(6535),
    [anon_sym_BSLASHeqref] = ACTIONS(6535),
    [anon_sym_BSLASHvref] = ACTIONS(6535),
    [anon_sym_BSLASHVref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHpageref] = ACTIONS(6535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHautopageref] = ACTIONS(6535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcref] = ACTIONS(6535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCref] = ACTIONS(6535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHCpageref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnameCref] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHdef] = ACTIONS(6535),
    [anon_sym_BSLASHgdef] = ACTIONS(6535),
    [anon_sym_BSLASHedef] = ACTIONS(6535),
    [anon_sym_BSLASHxdef] = ACTIONS(6535),
    [anon_sym_BSLASHlet] = ACTIONS(6535),
    [anon_sym_BSLASHglet] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6535),
    [anon_sym_BSLASHgls] = ACTIONS(6535),
    [anon_sym_BSLASHGls] = ACTIONS(6535),
    [anon_sym_BSLASHGLS] = ACTIONS(6535),
    [anon_sym_BSLASHglspl] = ACTIONS(6535),
    [anon_sym_BSLASHGlspl] = ACTIONS(6535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6535),
    [anon_sym_BSLASHglslink] = ACTIONS(6535),
    [anon_sym_BSLASHglstext] = ACTIONS(6535),
    [anon_sym_BSLASHGlstext] = ACTIONS(6535),
    [anon_sym_BSLASHGLStext] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6535),
    [anon_sym_BSLASHglsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsname] = ACTIONS(6535),
    [anon_sym_BSLASHGlsname] = ACTIONS(6535),
    [anon_sym_BSLASHGLSname] = ACTIONS(6535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6535),
    [anon_sym_BSLASHacrshort] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6535),
    [anon_sym_BSLASHACRshort] = ACTIONS(6535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrlong] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6535),
    [anon_sym_BSLASHACRlong] = ACTIONS(6535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrfull] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6535),
    [anon_sym_BSLASHACRfull] = ACTIONS(6535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHacs] = ACTIONS(6535),
    [anon_sym_BSLASHAcs] = ACTIONS(6535),
    [anon_sym_BSLASHacsp] = ACTIONS(6535),
    [anon_sym_BSLASHAcsp] = ACTIONS(6535),
    [anon_sym_BSLASHacl] = ACTIONS(6535),
    [anon_sym_BSLASHAcl] = ACTIONS(6535),
    [anon_sym_BSLASHaclp] = ACTIONS(6535),
    [anon_sym_BSLASHAclp] = ACTIONS(6535),
    [anon_sym_BSLASHacf] = ACTIONS(6535),
    [anon_sym_BSLASHAcf] = ACTIONS(6535),
    [anon_sym_BSLASHacfp] = ACTIONS(6535),
    [anon_sym_BSLASHAcfp] = ACTIONS(6535),
    [anon_sym_BSLASHac] = ACTIONS(6535),
    [anon_sym_BSLASHAc] = ACTIONS(6535),
    [anon_sym_BSLASHacp] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6535),
    [anon_sym_BSLASHcolor] = ACTIONS(6535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6535),
    [anon_sym_BSLASHurl] = ACTIONS(6535),
    [anon_sym_BSLASHhref] = ACTIONS(6535),
  },
  [843] = {
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(822),
    [aux_sym__section_repeat4] = STATE(822),
    [sym_command_name] = ACTIONS(6535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6535),
    [anon_sym_LBRACK] = ACTIONS(6537),
    [anon_sym_RBRACK] = ACTIONS(6537),
    [anon_sym_COMMA] = ACTIONS(6537),
    [anon_sym_EQ] = ACTIONS(6537),
    [anon_sym_LPAREN] = ACTIONS(6537),
    [anon_sym_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHpart] = ACTIONS(6535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddpart] = ACTIONS(6535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHchapter] = ACTIONS(6535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddchap] = ACTIONS(6535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsection] = ACTIONS(6535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddsec] = ACTIONS(6535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6535),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHitem] = ACTIONS(6535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6537),
    [anon_sym_LBRACE] = ACTIONS(6537),
    [sym_word] = ACTIONS(6535),
    [sym_placeholder] = ACTIONS(6537),
    [sym_delimiter] = ACTIONS(6537),
    [anon_sym_PLUS] = ACTIONS(6537),
    [anon_sym_DASH] = ACTIONS(6537),
    [anon_sym_STAR] = ACTIONS(6537),
    [anon_sym_SLASH] = ACTIONS(6537),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_BANG] = ACTIONS(6535),
    [anon_sym_PIPE] = ACTIONS(6535),
    [anon_sym_COLON] = ACTIONS(6535),
    [anon_sym_SQUOTE] = ACTIONS(6535),
    [anon_sym__] = ACTIONS(6537),
    [anon_sym_CARET] = ACTIONS(6537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6537),
    [anon_sym_DOLLAR] = ACTIONS(6535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHleft] = ACTIONS(6535),
    [anon_sym_BSLASHbigl] = ACTIONS(6535),
    [anon_sym_BSLASHBigl] = ACTIONS(6535),
    [anon_sym_BSLASHbiggl] = ACTIONS(6535),
    [anon_sym_BSLASHBiggl] = ACTIONS(6535),
    [anon_sym_BSLASHtext] = ACTIONS(6535),
    [anon_sym_BSLASHintertext] = ACTIONS(6535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6535),
    [anon_sym_BSLASHbegin] = ACTIONS(6535),
    [anon_sym_BSLASHend] = ACTIONS(6535),
    [anon_sym_BSLASHtitle] = ACTIONS(6535),
    [anon_sym_BSLASHauthor] = ACTIONS(6535),
    [anon_sym_BSLASHusepackage] = ACTIONS(6535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6535),
    [anon_sym_BSLASHinclude] = ACTIONS(6535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6535),
    [anon_sym_BSLASHinput] = ACTIONS(6535),
    [anon_sym_BSLASHsubfile] = ACTIONS(6535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6535),
    [anon_sym_BSLASHbibliography] = ACTIONS(6535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6535),
    [anon_sym_BSLASHimport] = ACTIONS(6535),
    [anon_sym_BSLASHsubimport] = ACTIONS(6535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHcaption] = ACTIONS(6535),
    [anon_sym_BSLASHcite] = ACTIONS(6535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCite] = ACTIONS(6535),
    [anon_sym_BSLASHnocite] = ACTIONS(6535),
    [anon_sym_BSLASHcitet] = ACTIONS(6535),
    [anon_sym_BSLASHcitep] = ACTIONS(6535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteA] = ACTIONS(6535),
    [anon_sym_BSLASHciteR] = ACTIONS(6535),
    [anon_sym_BSLASHciteS] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteyear] = ACTIONS(6535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitedate] = ACTIONS(6535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteurl] = ACTIONS(6535),
    [anon_sym_BSLASHfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6535),
    [anon_sym_BSLASHcitealt] = ACTIONS(6535),
    [anon_sym_BSLASHcitealp] = ACTIONS(6535),
    [anon_sym_BSLASHcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHparencite] = ACTIONS(6535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHParencite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHtextcite] = ACTIONS(6535),
    [anon_sym_BSLASHTextcite] = ACTIONS(6535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHsupercite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite] = ACTIONS(6535),
    [anon_sym_BSLASHAutocite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHVolcite] = ACTIONS(6535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHavolcite] = ACTIONS(6535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHNotecite] = ACTIONS(6535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHlabel] = ACTIONS(6535),
    [anon_sym_BSLASHref] = ACTIONS(6535),
    [anon_sym_BSLASHeqref] = ACTIONS(6535),
    [anon_sym_BSLASHvref] = ACTIONS(6535),
    [anon_sym_BSLASHVref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHpageref] = ACTIONS(6535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHautopageref] = ACTIONS(6535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcref] = ACTIONS(6535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCref] = ACTIONS(6535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHCpageref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnameCref] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHdef] = ACTIONS(6535),
    [anon_sym_BSLASHgdef] = ACTIONS(6535),
    [anon_sym_BSLASHedef] = ACTIONS(6535),
    [anon_sym_BSLASHxdef] = ACTIONS(6535),
    [anon_sym_BSLASHlet] = ACTIONS(6535),
    [anon_sym_BSLASHglet] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6535),
    [anon_sym_BSLASHgls] = ACTIONS(6535),
    [anon_sym_BSLASHGls] = ACTIONS(6535),
    [anon_sym_BSLASHGLS] = ACTIONS(6535),
    [anon_sym_BSLASHglspl] = ACTIONS(6535),
    [anon_sym_BSLASHGlspl] = ACTIONS(6535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6535),
    [anon_sym_BSLASHglslink] = ACTIONS(6535),
    [anon_sym_BSLASHglstext] = ACTIONS(6535),
    [anon_sym_BSLASHGlstext] = ACTIONS(6535),
    [anon_sym_BSLASHGLStext] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6535),
    [anon_sym_BSLASHglsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsname] = ACTIONS(6535),
    [anon_sym_BSLASHGlsname] = ACTIONS(6535),
    [anon_sym_BSLASHGLSname] = ACTIONS(6535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6535),
    [anon_sym_BSLASHacrshort] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6535),
    [anon_sym_BSLASHACRshort] = ACTIONS(6535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrlong] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6535),
    [anon_sym_BSLASHACRlong] = ACTIONS(6535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrfull] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6535),
    [anon_sym_BSLASHACRfull] = ACTIONS(6535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHacs] = ACTIONS(6535),
    [anon_sym_BSLASHAcs] = ACTIONS(6535),
    [anon_sym_BSLASHacsp] = ACTIONS(6535),
    [anon_sym_BSLASHAcsp] = ACTIONS(6535),
    [anon_sym_BSLASHacl] = ACTIONS(6535),
    [anon_sym_BSLASHAcl] = ACTIONS(6535),
    [anon_sym_BSLASHaclp] = ACTIONS(6535),
    [anon_sym_BSLASHAclp] = ACTIONS(6535),
    [anon_sym_BSLASHacf] = ACTIONS(6535),
    [anon_sym_BSLASHAcf] = ACTIONS(6535),
    [anon_sym_BSLASHacfp] = ACTIONS(6535),
    [anon_sym_BSLASHAcfp] = ACTIONS(6535),
    [anon_sym_BSLASHac] = ACTIONS(6535),
    [anon_sym_BSLASHAc] = ACTIONS(6535),
    [anon_sym_BSLASHacp] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6535),
    [anon_sym_BSLASHcolor] = ACTIONS(6535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6535),
    [anon_sym_BSLASHurl] = ACTIONS(6535),
    [anon_sym_BSLASHhref] = ACTIONS(6535),
  },
  [844] = {
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(823),
    [aux_sym__section_repeat5] = STATE(823),
    [sym_command_name] = ACTIONS(6535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6535),
    [anon_sym_LBRACK] = ACTIONS(6537),
    [anon_sym_RBRACK] = ACTIONS(6537),
    [anon_sym_COMMA] = ACTIONS(6537),
    [anon_sym_EQ] = ACTIONS(6537),
    [anon_sym_LPAREN] = ACTIONS(6537),
    [anon_sym_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHpart] = ACTIONS(6535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddpart] = ACTIONS(6535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHchapter] = ACTIONS(6535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddchap] = ACTIONS(6535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsection] = ACTIONS(6535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddsec] = ACTIONS(6535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsection] = ACTIONS(6535),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHitem] = ACTIONS(6535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6537),
    [anon_sym_LBRACE] = ACTIONS(6537),
    [sym_word] = ACTIONS(6535),
    [sym_placeholder] = ACTIONS(6537),
    [sym_delimiter] = ACTIONS(6537),
    [anon_sym_PLUS] = ACTIONS(6537),
    [anon_sym_DASH] = ACTIONS(6537),
    [anon_sym_STAR] = ACTIONS(6537),
    [anon_sym_SLASH] = ACTIONS(6537),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_BANG] = ACTIONS(6535),
    [anon_sym_PIPE] = ACTIONS(6535),
    [anon_sym_COLON] = ACTIONS(6535),
    [anon_sym_SQUOTE] = ACTIONS(6535),
    [anon_sym__] = ACTIONS(6537),
    [anon_sym_CARET] = ACTIONS(6537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6537),
    [anon_sym_DOLLAR] = ACTIONS(6535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHleft] = ACTIONS(6535),
    [anon_sym_BSLASHbigl] = ACTIONS(6535),
    [anon_sym_BSLASHBigl] = ACTIONS(6535),
    [anon_sym_BSLASHbiggl] = ACTIONS(6535),
    [anon_sym_BSLASHBiggl] = ACTIONS(6535),
    [anon_sym_BSLASHtext] = ACTIONS(6535),
    [anon_sym_BSLASHintertext] = ACTIONS(6535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6535),
    [anon_sym_BSLASHbegin] = ACTIONS(6535),
    [anon_sym_BSLASHend] = ACTIONS(6535),
    [anon_sym_BSLASHtitle] = ACTIONS(6535),
    [anon_sym_BSLASHauthor] = ACTIONS(6535),
    [anon_sym_BSLASHusepackage] = ACTIONS(6535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6535),
    [anon_sym_BSLASHinclude] = ACTIONS(6535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6535),
    [anon_sym_BSLASHinput] = ACTIONS(6535),
    [anon_sym_BSLASHsubfile] = ACTIONS(6535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6535),
    [anon_sym_BSLASHbibliography] = ACTIONS(6535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6535),
    [anon_sym_BSLASHimport] = ACTIONS(6535),
    [anon_sym_BSLASHsubimport] = ACTIONS(6535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHcaption] = ACTIONS(6535),
    [anon_sym_BSLASHcite] = ACTIONS(6535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCite] = ACTIONS(6535),
    [anon_sym_BSLASHnocite] = ACTIONS(6535),
    [anon_sym_BSLASHcitet] = ACTIONS(6535),
    [anon_sym_BSLASHcitep] = ACTIONS(6535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteA] = ACTIONS(6535),
    [anon_sym_BSLASHciteR] = ACTIONS(6535),
    [anon_sym_BSLASHciteS] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteyear] = ACTIONS(6535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitedate] = ACTIONS(6535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteurl] = ACTIONS(6535),
    [anon_sym_BSLASHfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6535),
    [anon_sym_BSLASHcitealt] = ACTIONS(6535),
    [anon_sym_BSLASHcitealp] = ACTIONS(6535),
    [anon_sym_BSLASHcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHparencite] = ACTIONS(6535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHParencite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHtextcite] = ACTIONS(6535),
    [anon_sym_BSLASHTextcite] = ACTIONS(6535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHsupercite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite] = ACTIONS(6535),
    [anon_sym_BSLASHAutocite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHVolcite] = ACTIONS(6535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHavolcite] = ACTIONS(6535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHNotecite] = ACTIONS(6535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHlabel] = ACTIONS(6535),
    [anon_sym_BSLASHref] = ACTIONS(6535),
    [anon_sym_BSLASHeqref] = ACTIONS(6535),
    [anon_sym_BSLASHvref] = ACTIONS(6535),
    [anon_sym_BSLASHVref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHpageref] = ACTIONS(6535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHautopageref] = ACTIONS(6535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcref] = ACTIONS(6535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCref] = ACTIONS(6535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHCpageref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnameCref] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHdef] = ACTIONS(6535),
    [anon_sym_BSLASHgdef] = ACTIONS(6535),
    [anon_sym_BSLASHedef] = ACTIONS(6535),
    [anon_sym_BSLASHxdef] = ACTIONS(6535),
    [anon_sym_BSLASHlet] = ACTIONS(6535),
    [anon_sym_BSLASHglet] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6535),
    [anon_sym_BSLASHgls] = ACTIONS(6535),
    [anon_sym_BSLASHGls] = ACTIONS(6535),
    [anon_sym_BSLASHGLS] = ACTIONS(6535),
    [anon_sym_BSLASHglspl] = ACTIONS(6535),
    [anon_sym_BSLASHGlspl] = ACTIONS(6535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6535),
    [anon_sym_BSLASHglslink] = ACTIONS(6535),
    [anon_sym_BSLASHglstext] = ACTIONS(6535),
    [anon_sym_BSLASHGlstext] = ACTIONS(6535),
    [anon_sym_BSLASHGLStext] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6535),
    [anon_sym_BSLASHglsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsname] = ACTIONS(6535),
    [anon_sym_BSLASHGlsname] = ACTIONS(6535),
    [anon_sym_BSLASHGLSname] = ACTIONS(6535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6535),
    [anon_sym_BSLASHacrshort] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6535),
    [anon_sym_BSLASHACRshort] = ACTIONS(6535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrlong] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6535),
    [anon_sym_BSLASHACRlong] = ACTIONS(6535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrfull] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6535),
    [anon_sym_BSLASHACRfull] = ACTIONS(6535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHacs] = ACTIONS(6535),
    [anon_sym_BSLASHAcs] = ACTIONS(6535),
    [anon_sym_BSLASHacsp] = ACTIONS(6535),
    [anon_sym_BSLASHAcsp] = ACTIONS(6535),
    [anon_sym_BSLASHacl] = ACTIONS(6535),
    [anon_sym_BSLASHAcl] = ACTIONS(6535),
    [anon_sym_BSLASHaclp] = ACTIONS(6535),
    [anon_sym_BSLASHAclp] = ACTIONS(6535),
    [anon_sym_BSLASHacf] = ACTIONS(6535),
    [anon_sym_BSLASHAcf] = ACTIONS(6535),
    [anon_sym_BSLASHacfp] = ACTIONS(6535),
    [anon_sym_BSLASHAcfp] = ACTIONS(6535),
    [anon_sym_BSLASHac] = ACTIONS(6535),
    [anon_sym_BSLASHAc] = ACTIONS(6535),
    [anon_sym_BSLASHacp] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6535),
    [anon_sym_BSLASHcolor] = ACTIONS(6535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6535),
    [anon_sym_BSLASHurl] = ACTIONS(6535),
    [anon_sym_BSLASHhref] = ACTIONS(6535),
  },
  [845] = {
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(823),
    [aux_sym__section_repeat5] = STATE(823),
    [sym_command_name] = ACTIONS(6692),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6692),
    [anon_sym_LBRACK] = ACTIONS(6694),
    [anon_sym_RBRACK] = ACTIONS(6694),
    [anon_sym_COMMA] = ACTIONS(6694),
    [anon_sym_EQ] = ACTIONS(6694),
    [anon_sym_LPAREN] = ACTIONS(6694),
    [anon_sym_RPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHpart] = ACTIONS(6692),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddpart] = ACTIONS(6692),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHchapter] = ACTIONS(6692),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddchap] = ACTIONS(6692),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsection] = ACTIONS(6692),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddsec] = ACTIONS(6692),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsection] = ACTIONS(6692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHitem] = ACTIONS(6692),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6694),
    [anon_sym_LBRACE] = ACTIONS(6694),
    [sym_word] = ACTIONS(6692),
    [sym_placeholder] = ACTIONS(6694),
    [sym_delimiter] = ACTIONS(6694),
    [anon_sym_PLUS] = ACTIONS(6694),
    [anon_sym_DASH] = ACTIONS(6694),
    [anon_sym_STAR] = ACTIONS(6694),
    [anon_sym_SLASH] = ACTIONS(6694),
    [anon_sym_LT] = ACTIONS(6692),
    [anon_sym_GT] = ACTIONS(6692),
    [anon_sym_BANG] = ACTIONS(6692),
    [anon_sym_PIPE] = ACTIONS(6692),
    [anon_sym_COLON] = ACTIONS(6692),
    [anon_sym_SQUOTE] = ACTIONS(6692),
    [anon_sym__] = ACTIONS(6694),
    [anon_sym_CARET] = ACTIONS(6694),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6694),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6694),
    [anon_sym_DOLLAR] = ACTIONS(6692),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHleft] = ACTIONS(6692),
    [anon_sym_BSLASHbigl] = ACTIONS(6692),
    [anon_sym_BSLASHBigl] = ACTIONS(6692),
    [anon_sym_BSLASHbiggl] = ACTIONS(6692),
    [anon_sym_BSLASHBiggl] = ACTIONS(6692),
    [anon_sym_BSLASHtext] = ACTIONS(6692),
    [anon_sym_BSLASHintertext] = ACTIONS(6692),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6692),
    [anon_sym_BSLASHbegin] = ACTIONS(6692),
    [anon_sym_BSLASHend] = ACTIONS(6692),
    [anon_sym_BSLASHtitle] = ACTIONS(6692),
    [anon_sym_BSLASHauthor] = ACTIONS(6692),
    [anon_sym_BSLASHusepackage] = ACTIONS(6692),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6692),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6692),
    [anon_sym_BSLASHinclude] = ACTIONS(6692),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6692),
    [anon_sym_BSLASHinput] = ACTIONS(6692),
    [anon_sym_BSLASHsubfile] = ACTIONS(6692),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6692),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6692),
    [anon_sym_BSLASHbibliography] = ACTIONS(6692),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6692),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6692),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6692),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6692),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6692),
    [anon_sym_BSLASHimport] = ACTIONS(6692),
    [anon_sym_BSLASHsubimport] = ACTIONS(6692),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6692),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHcaption] = ACTIONS(6692),
    [anon_sym_BSLASHcite] = ACTIONS(6692),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCite] = ACTIONS(6692),
    [anon_sym_BSLASHnocite] = ACTIONS(6692),
    [anon_sym_BSLASHcitet] = ACTIONS(6692),
    [anon_sym_BSLASHcitep] = ACTIONS(6692),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteA] = ACTIONS(6692),
    [anon_sym_BSLASHciteR] = ACTIONS(6692),
    [anon_sym_BSLASHciteS] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6692),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteyear] = ACTIONS(6692),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitedate] = ACTIONS(6692),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteurl] = ACTIONS(6692),
    [anon_sym_BSLASHfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6692),
    [anon_sym_BSLASHcitealt] = ACTIONS(6692),
    [anon_sym_BSLASHcitealp] = ACTIONS(6692),
    [anon_sym_BSLASHcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHparencite] = ACTIONS(6692),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHParencite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHtextcite] = ACTIONS(6692),
    [anon_sym_BSLASHTextcite] = ACTIONS(6692),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHsupercite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite] = ACTIONS(6692),
    [anon_sym_BSLASHAutocite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHVolcite] = ACTIONS(6692),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHavolcite] = ACTIONS(6692),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHNotecite] = ACTIONS(6692),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHlabel] = ACTIONS(6692),
    [anon_sym_BSLASHref] = ACTIONS(6692),
    [anon_sym_BSLASHeqref] = ACTIONS(6692),
    [anon_sym_BSLASHvref] = ACTIONS(6692),
    [anon_sym_BSLASHVref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHpageref] = ACTIONS(6692),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHautopageref] = ACTIONS(6692),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcref] = ACTIONS(6692),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCref] = ACTIONS(6692),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHCpageref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnameCref] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6692),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHdef] = ACTIONS(6692),
    [anon_sym_BSLASHgdef] = ACTIONS(6692),
    [anon_sym_BSLASHedef] = ACTIONS(6692),
    [anon_sym_BSLASHxdef] = ACTIONS(6692),
    [anon_sym_BSLASHlet] = ACTIONS(6692),
    [anon_sym_BSLASHglet] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6692),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6692),
    [anon_sym_BSLASHgls] = ACTIONS(6692),
    [anon_sym_BSLASHGls] = ACTIONS(6692),
    [anon_sym_BSLASHGLS] = ACTIONS(6692),
    [anon_sym_BSLASHglspl] = ACTIONS(6692),
    [anon_sym_BSLASHGlspl] = ACTIONS(6692),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6692),
    [anon_sym_BSLASHglslink] = ACTIONS(6692),
    [anon_sym_BSLASHglstext] = ACTIONS(6692),
    [anon_sym_BSLASHGlstext] = ACTIONS(6692),
    [anon_sym_BSLASHGLStext] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6692),
    [anon_sym_BSLASHglsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsname] = ACTIONS(6692),
    [anon_sym_BSLASHGlsname] = ACTIONS(6692),
    [anon_sym_BSLASHGLSname] = ACTIONS(6692),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6692),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6692),
    [anon_sym_BSLASHacrshort] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6692),
    [anon_sym_BSLASHACRshort] = ACTIONS(6692),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrlong] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6692),
    [anon_sym_BSLASHACRlong] = ACTIONS(6692),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrfull] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6692),
    [anon_sym_BSLASHACRfull] = ACTIONS(6692),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHacs] = ACTIONS(6692),
    [anon_sym_BSLASHAcs] = ACTIONS(6692),
    [anon_sym_BSLASHacsp] = ACTIONS(6692),
    [anon_sym_BSLASHAcsp] = ACTIONS(6692),
    [anon_sym_BSLASHacl] = ACTIONS(6692),
    [anon_sym_BSLASHAcl] = ACTIONS(6692),
    [anon_sym_BSLASHaclp] = ACTIONS(6692),
    [anon_sym_BSLASHAclp] = ACTIONS(6692),
    [anon_sym_BSLASHacf] = ACTIONS(6692),
    [anon_sym_BSLASHAcf] = ACTIONS(6692),
    [anon_sym_BSLASHacfp] = ACTIONS(6692),
    [anon_sym_BSLASHAcfp] = ACTIONS(6692),
    [anon_sym_BSLASHac] = ACTIONS(6692),
    [anon_sym_BSLASHAc] = ACTIONS(6692),
    [anon_sym_BSLASHacp] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6692),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6692),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6692),
    [anon_sym_BSLASHcolor] = ACTIONS(6692),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6692),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6692),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6692),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6692),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6692),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6692),
    [anon_sym_BSLASHurl] = ACTIONS(6692),
    [anon_sym_BSLASHhref] = ACTIONS(6692),
  },
  [846] = {
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(860),
    [aux_sym__section_repeat5] = STATE(860),
    [sym_command_name] = ACTIONS(6692),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6692),
    [anon_sym_LBRACK] = ACTIONS(6694),
    [anon_sym_RBRACK] = ACTIONS(6694),
    [anon_sym_COMMA] = ACTIONS(6694),
    [anon_sym_EQ] = ACTIONS(6694),
    [anon_sym_LPAREN] = ACTIONS(6694),
    [anon_sym_RPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHpart] = ACTIONS(6692),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddpart] = ACTIONS(6692),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHchapter] = ACTIONS(6692),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddchap] = ACTIONS(6692),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsection] = ACTIONS(6692),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddsec] = ACTIONS(6692),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsection] = ACTIONS(6692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHitem] = ACTIONS(6692),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6694),
    [anon_sym_LBRACE] = ACTIONS(6694),
    [sym_word] = ACTIONS(6692),
    [sym_placeholder] = ACTIONS(6694),
    [sym_delimiter] = ACTIONS(6694),
    [anon_sym_PLUS] = ACTIONS(6694),
    [anon_sym_DASH] = ACTIONS(6694),
    [anon_sym_STAR] = ACTIONS(6694),
    [anon_sym_SLASH] = ACTIONS(6694),
    [anon_sym_LT] = ACTIONS(6692),
    [anon_sym_GT] = ACTIONS(6692),
    [anon_sym_BANG] = ACTIONS(6692),
    [anon_sym_PIPE] = ACTIONS(6692),
    [anon_sym_COLON] = ACTIONS(6692),
    [anon_sym_SQUOTE] = ACTIONS(6692),
    [anon_sym__] = ACTIONS(6694),
    [anon_sym_CARET] = ACTIONS(6694),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6694),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6694),
    [anon_sym_DOLLAR] = ACTIONS(6692),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHleft] = ACTIONS(6692),
    [anon_sym_BSLASHbigl] = ACTIONS(6692),
    [anon_sym_BSLASHBigl] = ACTIONS(6692),
    [anon_sym_BSLASHbiggl] = ACTIONS(6692),
    [anon_sym_BSLASHBiggl] = ACTIONS(6692),
    [anon_sym_BSLASHtext] = ACTIONS(6692),
    [anon_sym_BSLASHintertext] = ACTIONS(6692),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6692),
    [anon_sym_BSLASHbegin] = ACTIONS(6692),
    [anon_sym_BSLASHend] = ACTIONS(6692),
    [anon_sym_BSLASHtitle] = ACTIONS(6692),
    [anon_sym_BSLASHauthor] = ACTIONS(6692),
    [anon_sym_BSLASHusepackage] = ACTIONS(6692),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6692),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6692),
    [anon_sym_BSLASHinclude] = ACTIONS(6692),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6692),
    [anon_sym_BSLASHinput] = ACTIONS(6692),
    [anon_sym_BSLASHsubfile] = ACTIONS(6692),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6692),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6692),
    [anon_sym_BSLASHbibliography] = ACTIONS(6692),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6692),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6692),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6692),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6692),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6692),
    [anon_sym_BSLASHimport] = ACTIONS(6692),
    [anon_sym_BSLASHsubimport] = ACTIONS(6692),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6692),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHcaption] = ACTIONS(6692),
    [anon_sym_BSLASHcite] = ACTIONS(6692),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCite] = ACTIONS(6692),
    [anon_sym_BSLASHnocite] = ACTIONS(6692),
    [anon_sym_BSLASHcitet] = ACTIONS(6692),
    [anon_sym_BSLASHcitep] = ACTIONS(6692),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteA] = ACTIONS(6692),
    [anon_sym_BSLASHciteR] = ACTIONS(6692),
    [anon_sym_BSLASHciteS] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6692),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteyear] = ACTIONS(6692),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitedate] = ACTIONS(6692),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteurl] = ACTIONS(6692),
    [anon_sym_BSLASHfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6692),
    [anon_sym_BSLASHcitealt] = ACTIONS(6692),
    [anon_sym_BSLASHcitealp] = ACTIONS(6692),
    [anon_sym_BSLASHcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHparencite] = ACTIONS(6692),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHParencite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHtextcite] = ACTIONS(6692),
    [anon_sym_BSLASHTextcite] = ACTIONS(6692),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHsupercite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite] = ACTIONS(6692),
    [anon_sym_BSLASHAutocite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHVolcite] = ACTIONS(6692),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHavolcite] = ACTIONS(6692),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHNotecite] = ACTIONS(6692),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHlabel] = ACTIONS(6692),
    [anon_sym_BSLASHref] = ACTIONS(6692),
    [anon_sym_BSLASHeqref] = ACTIONS(6692),
    [anon_sym_BSLASHvref] = ACTIONS(6692),
    [anon_sym_BSLASHVref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHpageref] = ACTIONS(6692),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHautopageref] = ACTIONS(6692),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcref] = ACTIONS(6692),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCref] = ACTIONS(6692),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHCpageref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnameCref] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6692),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHdef] = ACTIONS(6692),
    [anon_sym_BSLASHgdef] = ACTIONS(6692),
    [anon_sym_BSLASHedef] = ACTIONS(6692),
    [anon_sym_BSLASHxdef] = ACTIONS(6692),
    [anon_sym_BSLASHlet] = ACTIONS(6692),
    [anon_sym_BSLASHglet] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6692),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6692),
    [anon_sym_BSLASHgls] = ACTIONS(6692),
    [anon_sym_BSLASHGls] = ACTIONS(6692),
    [anon_sym_BSLASHGLS] = ACTIONS(6692),
    [anon_sym_BSLASHglspl] = ACTIONS(6692),
    [anon_sym_BSLASHGlspl] = ACTIONS(6692),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6692),
    [anon_sym_BSLASHglslink] = ACTIONS(6692),
    [anon_sym_BSLASHglstext] = ACTIONS(6692),
    [anon_sym_BSLASHGlstext] = ACTIONS(6692),
    [anon_sym_BSLASHGLStext] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6692),
    [anon_sym_BSLASHglsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsname] = ACTIONS(6692),
    [anon_sym_BSLASHGlsname] = ACTIONS(6692),
    [anon_sym_BSLASHGLSname] = ACTIONS(6692),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6692),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6692),
    [anon_sym_BSLASHacrshort] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6692),
    [anon_sym_BSLASHACRshort] = ACTIONS(6692),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrlong] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6692),
    [anon_sym_BSLASHACRlong] = ACTIONS(6692),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrfull] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6692),
    [anon_sym_BSLASHACRfull] = ACTIONS(6692),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHacs] = ACTIONS(6692),
    [anon_sym_BSLASHAcs] = ACTIONS(6692),
    [anon_sym_BSLASHacsp] = ACTIONS(6692),
    [anon_sym_BSLASHAcsp] = ACTIONS(6692),
    [anon_sym_BSLASHacl] = ACTIONS(6692),
    [anon_sym_BSLASHAcl] = ACTIONS(6692),
    [anon_sym_BSLASHaclp] = ACTIONS(6692),
    [anon_sym_BSLASHAclp] = ACTIONS(6692),
    [anon_sym_BSLASHacf] = ACTIONS(6692),
    [anon_sym_BSLASHAcf] = ACTIONS(6692),
    [anon_sym_BSLASHacfp] = ACTIONS(6692),
    [anon_sym_BSLASHAcfp] = ACTIONS(6692),
    [anon_sym_BSLASHac] = ACTIONS(6692),
    [anon_sym_BSLASHAc] = ACTIONS(6692),
    [anon_sym_BSLASHacp] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6692),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6692),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6692),
    [anon_sym_BSLASHcolor] = ACTIONS(6692),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6692),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6692),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6692),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6692),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6692),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6692),
    [anon_sym_BSLASHurl] = ACTIONS(6692),
    [anon_sym_BSLASHhref] = ACTIONS(6692),
  },
  [847] = {
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(823),
    [aux_sym__section_repeat5] = STATE(823),
    [sym_command_name] = ACTIONS(6692),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6692),
    [anon_sym_LBRACK] = ACTIONS(6694),
    [anon_sym_RBRACK] = ACTIONS(6694),
    [anon_sym_COMMA] = ACTIONS(6694),
    [anon_sym_EQ] = ACTIONS(6694),
    [anon_sym_LPAREN] = ACTIONS(6694),
    [anon_sym_RPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHpart] = ACTIONS(6692),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddpart] = ACTIONS(6692),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHchapter] = ACTIONS(6692),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddchap] = ACTIONS(6692),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsection] = ACTIONS(6692),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddsec] = ACTIONS(6692),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsection] = ACTIONS(6692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHitem] = ACTIONS(6692),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6694),
    [anon_sym_LBRACE] = ACTIONS(6694),
    [sym_word] = ACTIONS(6692),
    [sym_placeholder] = ACTIONS(6694),
    [sym_delimiter] = ACTIONS(6694),
    [anon_sym_PLUS] = ACTIONS(6694),
    [anon_sym_DASH] = ACTIONS(6694),
    [anon_sym_STAR] = ACTIONS(6694),
    [anon_sym_SLASH] = ACTIONS(6694),
    [anon_sym_LT] = ACTIONS(6692),
    [anon_sym_GT] = ACTIONS(6692),
    [anon_sym_BANG] = ACTIONS(6692),
    [anon_sym_PIPE] = ACTIONS(6692),
    [anon_sym_COLON] = ACTIONS(6692),
    [anon_sym_SQUOTE] = ACTIONS(6692),
    [anon_sym__] = ACTIONS(6694),
    [anon_sym_CARET] = ACTIONS(6694),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6694),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6694),
    [anon_sym_DOLLAR] = ACTIONS(6692),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHleft] = ACTIONS(6692),
    [anon_sym_BSLASHbigl] = ACTIONS(6692),
    [anon_sym_BSLASHBigl] = ACTIONS(6692),
    [anon_sym_BSLASHbiggl] = ACTIONS(6692),
    [anon_sym_BSLASHBiggl] = ACTIONS(6692),
    [anon_sym_BSLASHtext] = ACTIONS(6692),
    [anon_sym_BSLASHintertext] = ACTIONS(6692),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6692),
    [anon_sym_BSLASHbegin] = ACTIONS(6692),
    [anon_sym_BSLASHend] = ACTIONS(6692),
    [anon_sym_BSLASHtitle] = ACTIONS(6692),
    [anon_sym_BSLASHauthor] = ACTIONS(6692),
    [anon_sym_BSLASHusepackage] = ACTIONS(6692),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6692),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6692),
    [anon_sym_BSLASHinclude] = ACTIONS(6692),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6692),
    [anon_sym_BSLASHinput] = ACTIONS(6692),
    [anon_sym_BSLASHsubfile] = ACTIONS(6692),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6692),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6692),
    [anon_sym_BSLASHbibliography] = ACTIONS(6692),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6692),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6692),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6692),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6692),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6692),
    [anon_sym_BSLASHimport] = ACTIONS(6692),
    [anon_sym_BSLASHsubimport] = ACTIONS(6692),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6692),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHcaption] = ACTIONS(6692),
    [anon_sym_BSLASHcite] = ACTIONS(6692),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCite] = ACTIONS(6692),
    [anon_sym_BSLASHnocite] = ACTIONS(6692),
    [anon_sym_BSLASHcitet] = ACTIONS(6692),
    [anon_sym_BSLASHcitep] = ACTIONS(6692),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteA] = ACTIONS(6692),
    [anon_sym_BSLASHciteR] = ACTIONS(6692),
    [anon_sym_BSLASHciteS] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6692),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteyear] = ACTIONS(6692),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitedate] = ACTIONS(6692),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteurl] = ACTIONS(6692),
    [anon_sym_BSLASHfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6692),
    [anon_sym_BSLASHcitealt] = ACTIONS(6692),
    [anon_sym_BSLASHcitealp] = ACTIONS(6692),
    [anon_sym_BSLASHcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHparencite] = ACTIONS(6692),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHParencite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHtextcite] = ACTIONS(6692),
    [anon_sym_BSLASHTextcite] = ACTIONS(6692),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHsupercite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite] = ACTIONS(6692),
    [anon_sym_BSLASHAutocite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHVolcite] = ACTIONS(6692),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHavolcite] = ACTIONS(6692),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHNotecite] = ACTIONS(6692),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHlabel] = ACTIONS(6692),
    [anon_sym_BSLASHref] = ACTIONS(6692),
    [anon_sym_BSLASHeqref] = ACTIONS(6692),
    [anon_sym_BSLASHvref] = ACTIONS(6692),
    [anon_sym_BSLASHVref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHpageref] = ACTIONS(6692),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHautopageref] = ACTIONS(6692),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcref] = ACTIONS(6692),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCref] = ACTIONS(6692),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHCpageref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnameCref] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6692),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHdef] = ACTIONS(6692),
    [anon_sym_BSLASHgdef] = ACTIONS(6692),
    [anon_sym_BSLASHedef] = ACTIONS(6692),
    [anon_sym_BSLASHxdef] = ACTIONS(6692),
    [anon_sym_BSLASHlet] = ACTIONS(6692),
    [anon_sym_BSLASHglet] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6692),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6692),
    [anon_sym_BSLASHgls] = ACTIONS(6692),
    [anon_sym_BSLASHGls] = ACTIONS(6692),
    [anon_sym_BSLASHGLS] = ACTIONS(6692),
    [anon_sym_BSLASHglspl] = ACTIONS(6692),
    [anon_sym_BSLASHGlspl] = ACTIONS(6692),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6692),
    [anon_sym_BSLASHglslink] = ACTIONS(6692),
    [anon_sym_BSLASHglstext] = ACTIONS(6692),
    [anon_sym_BSLASHGlstext] = ACTIONS(6692),
    [anon_sym_BSLASHGLStext] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6692),
    [anon_sym_BSLASHglsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsname] = ACTIONS(6692),
    [anon_sym_BSLASHGlsname] = ACTIONS(6692),
    [anon_sym_BSLASHGLSname] = ACTIONS(6692),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6692),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6692),
    [anon_sym_BSLASHacrshort] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6692),
    [anon_sym_BSLASHACRshort] = ACTIONS(6692),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrlong] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6692),
    [anon_sym_BSLASHACRlong] = ACTIONS(6692),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrfull] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6692),
    [anon_sym_BSLASHACRfull] = ACTIONS(6692),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHacs] = ACTIONS(6692),
    [anon_sym_BSLASHAcs] = ACTIONS(6692),
    [anon_sym_BSLASHacsp] = ACTIONS(6692),
    [anon_sym_BSLASHAcsp] = ACTIONS(6692),
    [anon_sym_BSLASHacl] = ACTIONS(6692),
    [anon_sym_BSLASHAcl] = ACTIONS(6692),
    [anon_sym_BSLASHaclp] = ACTIONS(6692),
    [anon_sym_BSLASHAclp] = ACTIONS(6692),
    [anon_sym_BSLASHacf] = ACTIONS(6692),
    [anon_sym_BSLASHAcf] = ACTIONS(6692),
    [anon_sym_BSLASHacfp] = ACTIONS(6692),
    [anon_sym_BSLASHAcfp] = ACTIONS(6692),
    [anon_sym_BSLASHac] = ACTIONS(6692),
    [anon_sym_BSLASHAc] = ACTIONS(6692),
    [anon_sym_BSLASHacp] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6692),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6692),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6692),
    [anon_sym_BSLASHcolor] = ACTIONS(6692),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6692),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6692),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6692),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6692),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6692),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6692),
    [anon_sym_BSLASHurl] = ACTIONS(6692),
    [anon_sym_BSLASHhref] = ACTIONS(6692),
  },
  [848] = {
    [sym__subparagraph_declaration] = STATE(223),
    [sym_subparagraph] = STATE(825),
    [aux_sym__paragraph_repeat2] = STATE(825),
    [sym_command_name] = ACTIONS(6846),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6846),
    [anon_sym_LBRACK] = ACTIONS(6848),
    [anon_sym_RBRACK] = ACTIONS(6848),
    [anon_sym_COMMA] = ACTIONS(6848),
    [anon_sym_EQ] = ACTIONS(6848),
    [anon_sym_LPAREN] = ACTIONS(6848),
    [anon_sym_RPAREN] = ACTIONS(6848),
    [anon_sym_BSLASHpart] = ACTIONS(6846),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddpart] = ACTIONS(6846),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHchapter] = ACTIONS(6846),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddchap] = ACTIONS(6846),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsection] = ACTIONS(6846),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddsec] = ACTIONS(6846),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubsection] = ACTIONS(6846),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6846),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHparagraph] = ACTIONS(6846),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(704),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(706),
    [anon_sym_BSLASHitem] = ACTIONS(6846),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6848),
    [anon_sym_LBRACE] = ACTIONS(6848),
    [sym_word] = ACTIONS(6846),
    [sym_placeholder] = ACTIONS(6848),
    [sym_delimiter] = ACTIONS(6848),
    [anon_sym_PLUS] = ACTIONS(6848),
    [anon_sym_DASH] = ACTIONS(6848),
    [anon_sym_STAR] = ACTIONS(6848),
    [anon_sym_SLASH] = ACTIONS(6848),
    [anon_sym_LT] = ACTIONS(6846),
    [anon_sym_GT] = ACTIONS(6846),
    [anon_sym_BANG] = ACTIONS(6846),
    [anon_sym_PIPE] = ACTIONS(6846),
    [anon_sym_COLON] = ACTIONS(6846),
    [anon_sym_SQUOTE] = ACTIONS(6846),
    [anon_sym__] = ACTIONS(6848),
    [anon_sym_CARET] = ACTIONS(6848),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6848),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6848),
    [anon_sym_DOLLAR] = ACTIONS(6846),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6848),
    [anon_sym_BSLASHleft] = ACTIONS(6846),
    [anon_sym_BSLASHbigl] = ACTIONS(6846),
    [anon_sym_BSLASHBigl] = ACTIONS(6846),
    [anon_sym_BSLASHbiggl] = ACTIONS(6846),
    [anon_sym_BSLASHBiggl] = ACTIONS(6846),
    [anon_sym_BSLASHtext] = ACTIONS(6846),
    [anon_sym_BSLASHintertext] = ACTIONS(6846),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6846),
    [anon_sym_BSLASHbegin] = ACTIONS(6846),
    [anon_sym_BSLASHend] = ACTIONS(6846),
    [anon_sym_BSLASHtitle] = ACTIONS(6846),
    [anon_sym_BSLASHauthor] = ACTIONS(6846),
    [anon_sym_BSLASHusepackage] = ACTIONS(6846),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6846),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6846),
    [anon_sym_BSLASHinclude] = ACTIONS(6846),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6846),
    [anon_sym_BSLASHinput] = ACTIONS(6846),
    [anon_sym_BSLASHsubfile] = ACTIONS(6846),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6846),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6846),
    [anon_sym_BSLASHbibliography] = ACTIONS(6846),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6846),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6846),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6846),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6846),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6846),
    [anon_sym_BSLASHimport] = ACTIONS(6846),
    [anon_sym_BSLASHsubimport] = ACTIONS(6846),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6846),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6846),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6846),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6846),
    [anon_sym_BSLASHcaption] = ACTIONS(6846),
    [anon_sym_BSLASHcite] = ACTIONS(6846),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCite] = ACTIONS(6846),
    [anon_sym_BSLASHnocite] = ACTIONS(6846),
    [anon_sym_BSLASHcitet] = ACTIONS(6846),
    [anon_sym_BSLASHcitep] = ACTIONS(6846),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteA] = ACTIONS(6846),
    [anon_sym_BSLASHciteR] = ACTIONS(6846),
    [anon_sym_BSLASHciteS] = ACTIONS(6846),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6846),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6846),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6846),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6846),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteyear] = ACTIONS(6846),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitedate] = ACTIONS(6846),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteurl] = ACTIONS(6846),
    [anon_sym_BSLASHfullcite] = ACTIONS(6846),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6846),
    [anon_sym_BSLASHcitealt] = ACTIONS(6846),
    [anon_sym_BSLASHcitealp] = ACTIONS(6846),
    [anon_sym_BSLASHcitetext] = ACTIONS(6846),
    [anon_sym_BSLASHparencite] = ACTIONS(6846),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHParencite] = ACTIONS(6846),
    [anon_sym_BSLASHfootcite] = ACTIONS(6846),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6846),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6846),
    [anon_sym_BSLASHtextcite] = ACTIONS(6846),
    [anon_sym_BSLASHTextcite] = ACTIONS(6846),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6846),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6846),
    [anon_sym_BSLASHsupercite] = ACTIONS(6846),
    [anon_sym_BSLASHautocite] = ACTIONS(6846),
    [anon_sym_BSLASHAutocite] = ACTIONS(6846),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHVolcite] = ACTIONS(6846),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHavolcite] = ACTIONS(6846),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHNotecite] = ACTIONS(6846),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHlabel] = ACTIONS(6846),
    [anon_sym_BSLASHref] = ACTIONS(6846),
    [anon_sym_BSLASHeqref] = ACTIONS(6846),
    [anon_sym_BSLASHvref] = ACTIONS(6846),
    [anon_sym_BSLASHVref] = ACTIONS(6846),
    [anon_sym_BSLASHautoref] = ACTIONS(6846),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHpageref] = ACTIONS(6846),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHautopageref] = ACTIONS(6846),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcref] = ACTIONS(6846),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCref] = ACTIONS(6846),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcpageref] = ACTIONS(6846),
    [anon_sym_BSLASHCpageref] = ACTIONS(6846),
    [anon_sym_BSLASHnamecref] = ACTIONS(6846),
    [anon_sym_BSLASHnameCref] = ACTIONS(6846),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6846),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6846),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6846),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6846),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6846),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6846),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6846),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6846),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6846),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6846),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6846),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHdef] = ACTIONS(6846),
    [anon_sym_BSLASHgdef] = ACTIONS(6846),
    [anon_sym_BSLASHedef] = ACTIONS(6846),
    [anon_sym_BSLASHxdef] = ACTIONS(6846),
    [anon_sym_BSLASHlet] = ACTIONS(6846),
    [anon_sym_BSLASHglet] = ACTIONS(6846),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6846),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6846),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6846),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6846),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6846),
    [anon_sym_BSLASHgls] = ACTIONS(6846),
    [anon_sym_BSLASHGls] = ACTIONS(6846),
    [anon_sym_BSLASHGLS] = ACTIONS(6846),
    [anon_sym_BSLASHglspl] = ACTIONS(6846),
    [anon_sym_BSLASHGlspl] = ACTIONS(6846),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6846),
    [anon_sym_BSLASHglslink] = ACTIONS(6846),
    [anon_sym_BSLASHglstext] = ACTIONS(6846),
    [anon_sym_BSLASHGlstext] = ACTIONS(6846),
    [anon_sym_BSLASHGLStext] = ACTIONS(6846),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6846),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6846),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6846),
    [anon_sym_BSLASHglsplural] = ACTIONS(6846),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6846),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6846),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHglsname] = ACTIONS(6846),
    [anon_sym_BSLASHGlsname] = ACTIONS(6846),
    [anon_sym_BSLASHGLSname] = ACTIONS(6846),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6846),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6846),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6846),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6846),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6846),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6846),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6846),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6846),
    [anon_sym_BSLASHacrshort] = ACTIONS(6846),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6846),
    [anon_sym_BSLASHACRshort] = ACTIONS(6846),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHacrlong] = ACTIONS(6846),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6846),
    [anon_sym_BSLASHACRlong] = ACTIONS(6846),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHacrfull] = ACTIONS(6846),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6846),
    [anon_sym_BSLASHACRfull] = ACTIONS(6846),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHacs] = ACTIONS(6846),
    [anon_sym_BSLASHAcs] = ACTIONS(6846),
    [anon_sym_BSLASHacsp] = ACTIONS(6846),
    [anon_sym_BSLASHAcsp] = ACTIONS(6846),
    [anon_sym_BSLASHacl] = ACTIONS(6846),
    [anon_sym_BSLASHAcl] = ACTIONS(6846),
    [anon_sym_BSLASHaclp] = ACTIONS(6846),
    [anon_sym_BSLASHAclp] = ACTIONS(6846),
    [anon_sym_BSLASHacf] = ACTIONS(6846),
    [anon_sym_BSLASHAcf] = ACTIONS(6846),
    [anon_sym_BSLASHacfp] = ACTIONS(6846),
    [anon_sym_BSLASHAcfp] = ACTIONS(6846),
    [anon_sym_BSLASHac] = ACTIONS(6846),
    [anon_sym_BSLASHAc] = ACTIONS(6846),
    [anon_sym_BSLASHacp] = ACTIONS(6846),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6846),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6846),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6846),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6846),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6846),
    [anon_sym_BSLASHcolor] = ACTIONS(6846),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6846),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6846),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6846),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6846),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6846),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6846),
    [anon_sym_BSLASHurl] = ACTIONS(6846),
    [anon_sym_BSLASHhref] = ACTIONS(6846),
  },
  [849] = {
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(826),
    [aux_sym__paragraph_repeat3] = STATE(826),
    [sym_command_name] = ACTIONS(6846),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6846),
    [anon_sym_LBRACK] = ACTIONS(6848),
    [anon_sym_RBRACK] = ACTIONS(6848),
    [anon_sym_COMMA] = ACTIONS(6848),
    [anon_sym_EQ] = ACTIONS(6848),
    [anon_sym_LPAREN] = ACTIONS(6848),
    [anon_sym_RPAREN] = ACTIONS(6848),
    [anon_sym_BSLASHpart] = ACTIONS(6846),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddpart] = ACTIONS(6846),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHchapter] = ACTIONS(6846),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddchap] = ACTIONS(6846),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsection] = ACTIONS(6846),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddsec] = ACTIONS(6846),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubsection] = ACTIONS(6846),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6846),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHparagraph] = ACTIONS(6846),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6846),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(6848),
    [sym_word] = ACTIONS(6846),
    [sym_placeholder] = ACTIONS(6848),
    [sym_delimiter] = ACTIONS(6848),
    [anon_sym_PLUS] = ACTIONS(6848),
    [anon_sym_DASH] = ACTIONS(6848),
    [anon_sym_STAR] = ACTIONS(6848),
    [anon_sym_SLASH] = ACTIONS(6848),
    [anon_sym_LT] = ACTIONS(6846),
    [anon_sym_GT] = ACTIONS(6846),
    [anon_sym_BANG] = ACTIONS(6846),
    [anon_sym_PIPE] = ACTIONS(6846),
    [anon_sym_COLON] = ACTIONS(6846),
    [anon_sym_SQUOTE] = ACTIONS(6846),
    [anon_sym__] = ACTIONS(6848),
    [anon_sym_CARET] = ACTIONS(6848),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6848),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6848),
    [anon_sym_DOLLAR] = ACTIONS(6846),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6848),
    [anon_sym_BSLASHleft] = ACTIONS(6846),
    [anon_sym_BSLASHbigl] = ACTIONS(6846),
    [anon_sym_BSLASHBigl] = ACTIONS(6846),
    [anon_sym_BSLASHbiggl] = ACTIONS(6846),
    [anon_sym_BSLASHBiggl] = ACTIONS(6846),
    [anon_sym_BSLASHtext] = ACTIONS(6846),
    [anon_sym_BSLASHintertext] = ACTIONS(6846),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6846),
    [anon_sym_BSLASHbegin] = ACTIONS(6846),
    [anon_sym_BSLASHend] = ACTIONS(6846),
    [anon_sym_BSLASHtitle] = ACTIONS(6846),
    [anon_sym_BSLASHauthor] = ACTIONS(6846),
    [anon_sym_BSLASHusepackage] = ACTIONS(6846),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6846),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6846),
    [anon_sym_BSLASHinclude] = ACTIONS(6846),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6846),
    [anon_sym_BSLASHinput] = ACTIONS(6846),
    [anon_sym_BSLASHsubfile] = ACTIONS(6846),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6846),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6846),
    [anon_sym_BSLASHbibliography] = ACTIONS(6846),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6846),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6846),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6846),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6846),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6846),
    [anon_sym_BSLASHimport] = ACTIONS(6846),
    [anon_sym_BSLASHsubimport] = ACTIONS(6846),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6846),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6846),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6846),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6846),
    [anon_sym_BSLASHcaption] = ACTIONS(6846),
    [anon_sym_BSLASHcite] = ACTIONS(6846),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCite] = ACTIONS(6846),
    [anon_sym_BSLASHnocite] = ACTIONS(6846),
    [anon_sym_BSLASHcitet] = ACTIONS(6846),
    [anon_sym_BSLASHcitep] = ACTIONS(6846),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteA] = ACTIONS(6846),
    [anon_sym_BSLASHciteR] = ACTIONS(6846),
    [anon_sym_BSLASHciteS] = ACTIONS(6846),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6846),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6846),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6846),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6846),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteyear] = ACTIONS(6846),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitedate] = ACTIONS(6846),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteurl] = ACTIONS(6846),
    [anon_sym_BSLASHfullcite] = ACTIONS(6846),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6846),
    [anon_sym_BSLASHcitealt] = ACTIONS(6846),
    [anon_sym_BSLASHcitealp] = ACTIONS(6846),
    [anon_sym_BSLASHcitetext] = ACTIONS(6846),
    [anon_sym_BSLASHparencite] = ACTIONS(6846),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHParencite] = ACTIONS(6846),
    [anon_sym_BSLASHfootcite] = ACTIONS(6846),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6846),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6846),
    [anon_sym_BSLASHtextcite] = ACTIONS(6846),
    [anon_sym_BSLASHTextcite] = ACTIONS(6846),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6846),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6846),
    [anon_sym_BSLASHsupercite] = ACTIONS(6846),
    [anon_sym_BSLASHautocite] = ACTIONS(6846),
    [anon_sym_BSLASHAutocite] = ACTIONS(6846),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHVolcite] = ACTIONS(6846),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHavolcite] = ACTIONS(6846),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHNotecite] = ACTIONS(6846),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHlabel] = ACTIONS(6846),
    [anon_sym_BSLASHref] = ACTIONS(6846),
    [anon_sym_BSLASHeqref] = ACTIONS(6846),
    [anon_sym_BSLASHvref] = ACTIONS(6846),
    [anon_sym_BSLASHVref] = ACTIONS(6846),
    [anon_sym_BSLASHautoref] = ACTIONS(6846),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHpageref] = ACTIONS(6846),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHautopageref] = ACTIONS(6846),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcref] = ACTIONS(6846),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCref] = ACTIONS(6846),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcpageref] = ACTIONS(6846),
    [anon_sym_BSLASHCpageref] = ACTIONS(6846),
    [anon_sym_BSLASHnamecref] = ACTIONS(6846),
    [anon_sym_BSLASHnameCref] = ACTIONS(6846),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6846),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6846),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6846),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6846),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6846),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6846),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6846),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6846),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6846),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6846),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6846),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHdef] = ACTIONS(6846),
    [anon_sym_BSLASHgdef] = ACTIONS(6846),
    [anon_sym_BSLASHedef] = ACTIONS(6846),
    [anon_sym_BSLASHxdef] = ACTIONS(6846),
    [anon_sym_BSLASHlet] = ACTIONS(6846),
    [anon_sym_BSLASHglet] = ACTIONS(6846),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6846),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6846),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6846),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6846),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6846),
    [anon_sym_BSLASHgls] = ACTIONS(6846),
    [anon_sym_BSLASHGls] = ACTIONS(6846),
    [anon_sym_BSLASHGLS] = ACTIONS(6846),
    [anon_sym_BSLASHglspl] = ACTIONS(6846),
    [anon_sym_BSLASHGlspl] = ACTIONS(6846),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6846),
    [anon_sym_BSLASHglslink] = ACTIONS(6846),
    [anon_sym_BSLASHglstext] = ACTIONS(6846),
    [anon_sym_BSLASHGlstext] = ACTIONS(6846),
    [anon_sym_BSLASHGLStext] = ACTIONS(6846),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6846),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6846),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6846),
    [anon_sym_BSLASHglsplural] = ACTIONS(6846),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6846),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6846),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHglsname] = ACTIONS(6846),
    [anon_sym_BSLASHGlsname] = ACTIONS(6846),
    [anon_sym_BSLASHGLSname] = ACTIONS(6846),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6846),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6846),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6846),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6846),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6846),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6846),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6846),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6846),
    [anon_sym_BSLASHacrshort] = ACTIONS(6846),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6846),
    [anon_sym_BSLASHACRshort] = ACTIONS(6846),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHacrlong] = ACTIONS(6846),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6846),
    [anon_sym_BSLASHACRlong] = ACTIONS(6846),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHacrfull] = ACTIONS(6846),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6846),
    [anon_sym_BSLASHACRfull] = ACTIONS(6846),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHacs] = ACTIONS(6846),
    [anon_sym_BSLASHAcs] = ACTIONS(6846),
    [anon_sym_BSLASHacsp] = ACTIONS(6846),
    [anon_sym_BSLASHAcsp] = ACTIONS(6846),
    [anon_sym_BSLASHacl] = ACTIONS(6846),
    [anon_sym_BSLASHAcl] = ACTIONS(6846),
    [anon_sym_BSLASHaclp] = ACTIONS(6846),
    [anon_sym_BSLASHAclp] = ACTIONS(6846),
    [anon_sym_BSLASHacf] = ACTIONS(6846),
    [anon_sym_BSLASHAcf] = ACTIONS(6846),
    [anon_sym_BSLASHacfp] = ACTIONS(6846),
    [anon_sym_BSLASHAcfp] = ACTIONS(6846),
    [anon_sym_BSLASHac] = ACTIONS(6846),
    [anon_sym_BSLASHAc] = ACTIONS(6846),
    [anon_sym_BSLASHacp] = ACTIONS(6846),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6846),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6846),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6846),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6846),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6846),
    [anon_sym_BSLASHcolor] = ACTIONS(6846),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6846),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6846),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6846),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6846),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6846),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6846),
    [anon_sym_BSLASHurl] = ACTIONS(6846),
    [anon_sym_BSLASHhref] = ACTIONS(6846),
  },
  [850] = {
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(918),
    [aux_sym__section_repeat2] = STATE(918),
    [sym_command_name] = ACTIONS(6854),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6854),
    [anon_sym_LBRACK] = ACTIONS(6856),
    [anon_sym_RBRACK] = ACTIONS(6856),
    [anon_sym_COMMA] = ACTIONS(6856),
    [anon_sym_EQ] = ACTIONS(6856),
    [anon_sym_LPAREN] = ACTIONS(6856),
    [anon_sym_RPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHpart] = ACTIONS(6854),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddpart] = ACTIONS(6854),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(6854),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddsec] = ACTIONS(6854),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHitem] = ACTIONS(6854),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6856),
    [anon_sym_LBRACE] = ACTIONS(6856),
    [sym_word] = ACTIONS(6854),
    [sym_placeholder] = ACTIONS(6856),
    [sym_delimiter] = ACTIONS(6856),
    [anon_sym_PLUS] = ACTIONS(6856),
    [anon_sym_DASH] = ACTIONS(6856),
    [anon_sym_STAR] = ACTIONS(6856),
    [anon_sym_SLASH] = ACTIONS(6856),
    [anon_sym_LT] = ACTIONS(6854),
    [anon_sym_GT] = ACTIONS(6854),
    [anon_sym_BANG] = ACTIONS(6854),
    [anon_sym_PIPE] = ACTIONS(6854),
    [anon_sym_COLON] = ACTIONS(6854),
    [anon_sym_SQUOTE] = ACTIONS(6854),
    [anon_sym__] = ACTIONS(6856),
    [anon_sym_CARET] = ACTIONS(6856),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6856),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6856),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6856),
    [anon_sym_DOLLAR] = ACTIONS(6854),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHleft] = ACTIONS(6854),
    [anon_sym_BSLASHbigl] = ACTIONS(6854),
    [anon_sym_BSLASHBigl] = ACTIONS(6854),
    [anon_sym_BSLASHbiggl] = ACTIONS(6854),
    [anon_sym_BSLASHBiggl] = ACTIONS(6854),
    [anon_sym_BSLASHtext] = ACTIONS(6854),
    [anon_sym_BSLASHintertext] = ACTIONS(6854),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6854),
    [anon_sym_BSLASHbegin] = ACTIONS(6854),
    [anon_sym_BSLASHtitle] = ACTIONS(6854),
    [anon_sym_BSLASHauthor] = ACTIONS(6854),
    [anon_sym_BSLASHusepackage] = ACTIONS(6854),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6854),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6854),
    [anon_sym_BSLASHinclude] = ACTIONS(6854),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6854),
    [anon_sym_BSLASHinput] = ACTIONS(6854),
    [anon_sym_BSLASHsubfile] = ACTIONS(6854),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6854),
    [anon_sym_BSLASHbibliography] = ACTIONS(6854),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6854),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6854),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6854),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6854),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6854),
    [anon_sym_BSLASHimport] = ACTIONS(6854),
    [anon_sym_BSLASHsubimport] = ACTIONS(6854),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6854),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHcaption] = ACTIONS(6854),
    [anon_sym_BSLASHcite] = ACTIONS(6854),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCite] = ACTIONS(6854),
    [anon_sym_BSLASHnocite] = ACTIONS(6854),
    [anon_sym_BSLASHcitet] = ACTIONS(6854),
    [anon_sym_BSLASHcitep] = ACTIONS(6854),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteA] = ACTIONS(6854),
    [anon_sym_BSLASHciteR] = ACTIONS(6854),
    [anon_sym_BSLASHciteS] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6854),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteyear] = ACTIONS(6854),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitedate] = ACTIONS(6854),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteurl] = ACTIONS(6854),
    [anon_sym_BSLASHfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6854),
    [anon_sym_BSLASHcitealt] = ACTIONS(6854),
    [anon_sym_BSLASHcitealp] = ACTIONS(6854),
    [anon_sym_BSLASHcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHparencite] = ACTIONS(6854),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHParencite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHtextcite] = ACTIONS(6854),
    [anon_sym_BSLASHTextcite] = ACTIONS(6854),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHsupercite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite] = ACTIONS(6854),
    [anon_sym_BSLASHAutocite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHVolcite] = ACTIONS(6854),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHavolcite] = ACTIONS(6854),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHNotecite] = ACTIONS(6854),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHlabel] = ACTIONS(6854),
    [anon_sym_BSLASHref] = ACTIONS(6854),
    [anon_sym_BSLASHeqref] = ACTIONS(6854),
    [anon_sym_BSLASHvref] = ACTIONS(6854),
    [anon_sym_BSLASHVref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHpageref] = ACTIONS(6854),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHautopageref] = ACTIONS(6854),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcref] = ACTIONS(6854),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCref] = ACTIONS(6854),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHCpageref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnameCref] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6854),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHdef] = ACTIONS(6854),
    [anon_sym_BSLASHgdef] = ACTIONS(6854),
    [anon_sym_BSLASHedef] = ACTIONS(6854),
    [anon_sym_BSLASHxdef] = ACTIONS(6854),
    [anon_sym_BSLASHlet] = ACTIONS(6854),
    [anon_sym_BSLASHglet] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6854),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6854),
    [anon_sym_BSLASHgls] = ACTIONS(6854),
    [anon_sym_BSLASHGls] = ACTIONS(6854),
    [anon_sym_BSLASHGLS] = ACTIONS(6854),
    [anon_sym_BSLASHglspl] = ACTIONS(6854),
    [anon_sym_BSLASHGlspl] = ACTIONS(6854),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6854),
    [anon_sym_BSLASHglslink] = ACTIONS(6854),
    [anon_sym_BSLASHglstext] = ACTIONS(6854),
    [anon_sym_BSLASHGlstext] = ACTIONS(6854),
    [anon_sym_BSLASHGLStext] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6854),
    [anon_sym_BSLASHglsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsname] = ACTIONS(6854),
    [anon_sym_BSLASHGlsname] = ACTIONS(6854),
    [anon_sym_BSLASHGLSname] = ACTIONS(6854),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6854),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6854),
    [anon_sym_BSLASHacrshort] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6854),
    [anon_sym_BSLASHACRshort] = ACTIONS(6854),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrlong] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6854),
    [anon_sym_BSLASHACRlong] = ACTIONS(6854),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrfull] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6854),
    [anon_sym_BSLASHACRfull] = ACTIONS(6854),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHacs] = ACTIONS(6854),
    [anon_sym_BSLASHAcs] = ACTIONS(6854),
    [anon_sym_BSLASHacsp] = ACTIONS(6854),
    [anon_sym_BSLASHAcsp] = ACTIONS(6854),
    [anon_sym_BSLASHacl] = ACTIONS(6854),
    [anon_sym_BSLASHAcl] = ACTIONS(6854),
    [anon_sym_BSLASHaclp] = ACTIONS(6854),
    [anon_sym_BSLASHAclp] = ACTIONS(6854),
    [anon_sym_BSLASHacf] = ACTIONS(6854),
    [anon_sym_BSLASHAcf] = ACTIONS(6854),
    [anon_sym_BSLASHacfp] = ACTIONS(6854),
    [anon_sym_BSLASHAcfp] = ACTIONS(6854),
    [anon_sym_BSLASHac] = ACTIONS(6854),
    [anon_sym_BSLASHAc] = ACTIONS(6854),
    [anon_sym_BSLASHacp] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6854),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6854),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6854),
    [anon_sym_BSLASHcolor] = ACTIONS(6854),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6854),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6854),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6854),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6854),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6854),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6854),
    [anon_sym_BSLASHurl] = ACTIONS(6854),
    [anon_sym_BSLASHhref] = ACTIONS(6854),
  },
  [851] = {
    [sym__chapter_declaration] = STATE(173),
    [sym_chapter] = STATE(820),
    [aux_sym__section_repeat2] = STATE(820),
    [sym_command_name] = ACTIONS(6854),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6854),
    [anon_sym_LBRACK] = ACTIONS(6856),
    [anon_sym_RBRACK] = ACTIONS(6856),
    [anon_sym_COMMA] = ACTIONS(6856),
    [anon_sym_EQ] = ACTIONS(6856),
    [anon_sym_LPAREN] = ACTIONS(6856),
    [anon_sym_RPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHpart] = ACTIONS(6854),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddpart] = ACTIONS(6854),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHchapter] = ACTIONS(684),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(686),
    [anon_sym_BSLASHaddchap] = ACTIONS(684),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(686),
    [anon_sym_BSLASHsection] = ACTIONS(6854),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddsec] = ACTIONS(6854),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHitem] = ACTIONS(6854),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6856),
    [anon_sym_LBRACE] = ACTIONS(6856),
    [sym_word] = ACTIONS(6854),
    [sym_placeholder] = ACTIONS(6856),
    [sym_delimiter] = ACTIONS(6856),
    [anon_sym_PLUS] = ACTIONS(6856),
    [anon_sym_DASH] = ACTIONS(6856),
    [anon_sym_STAR] = ACTIONS(6856),
    [anon_sym_SLASH] = ACTIONS(6856),
    [anon_sym_LT] = ACTIONS(6854),
    [anon_sym_GT] = ACTIONS(6854),
    [anon_sym_BANG] = ACTIONS(6854),
    [anon_sym_PIPE] = ACTIONS(6854),
    [anon_sym_COLON] = ACTIONS(6854),
    [anon_sym_SQUOTE] = ACTIONS(6854),
    [anon_sym__] = ACTIONS(6856),
    [anon_sym_CARET] = ACTIONS(6856),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6856),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6856),
    [anon_sym_DOLLAR] = ACTIONS(6854),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHleft] = ACTIONS(6854),
    [anon_sym_BSLASHbigl] = ACTIONS(6854),
    [anon_sym_BSLASHBigl] = ACTIONS(6854),
    [anon_sym_BSLASHbiggl] = ACTIONS(6854),
    [anon_sym_BSLASHBiggl] = ACTIONS(6854),
    [anon_sym_BSLASHtext] = ACTIONS(6854),
    [anon_sym_BSLASHintertext] = ACTIONS(6854),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6854),
    [anon_sym_BSLASHbegin] = ACTIONS(6854),
    [anon_sym_BSLASHend] = ACTIONS(6854),
    [anon_sym_BSLASHtitle] = ACTIONS(6854),
    [anon_sym_BSLASHauthor] = ACTIONS(6854),
    [anon_sym_BSLASHusepackage] = ACTIONS(6854),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6854),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6854),
    [anon_sym_BSLASHinclude] = ACTIONS(6854),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6854),
    [anon_sym_BSLASHinput] = ACTIONS(6854),
    [anon_sym_BSLASHsubfile] = ACTIONS(6854),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6854),
    [anon_sym_BSLASHbibliography] = ACTIONS(6854),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6854),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6854),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6854),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6854),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6854),
    [anon_sym_BSLASHimport] = ACTIONS(6854),
    [anon_sym_BSLASHsubimport] = ACTIONS(6854),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6854),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHcaption] = ACTIONS(6854),
    [anon_sym_BSLASHcite] = ACTIONS(6854),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCite] = ACTIONS(6854),
    [anon_sym_BSLASHnocite] = ACTIONS(6854),
    [anon_sym_BSLASHcitet] = ACTIONS(6854),
    [anon_sym_BSLASHcitep] = ACTIONS(6854),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteA] = ACTIONS(6854),
    [anon_sym_BSLASHciteR] = ACTIONS(6854),
    [anon_sym_BSLASHciteS] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6854),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteyear] = ACTIONS(6854),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitedate] = ACTIONS(6854),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteurl] = ACTIONS(6854),
    [anon_sym_BSLASHfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6854),
    [anon_sym_BSLASHcitealt] = ACTIONS(6854),
    [anon_sym_BSLASHcitealp] = ACTIONS(6854),
    [anon_sym_BSLASHcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHparencite] = ACTIONS(6854),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHParencite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHtextcite] = ACTIONS(6854),
    [anon_sym_BSLASHTextcite] = ACTIONS(6854),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHsupercite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite] = ACTIONS(6854),
    [anon_sym_BSLASHAutocite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHVolcite] = ACTIONS(6854),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHavolcite] = ACTIONS(6854),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHNotecite] = ACTIONS(6854),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHlabel] = ACTIONS(6854),
    [anon_sym_BSLASHref] = ACTIONS(6854),
    [anon_sym_BSLASHeqref] = ACTIONS(6854),
    [anon_sym_BSLASHvref] = ACTIONS(6854),
    [anon_sym_BSLASHVref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHpageref] = ACTIONS(6854),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHautopageref] = ACTIONS(6854),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcref] = ACTIONS(6854),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCref] = ACTIONS(6854),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHCpageref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnameCref] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6854),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHdef] = ACTIONS(6854),
    [anon_sym_BSLASHgdef] = ACTIONS(6854),
    [anon_sym_BSLASHedef] = ACTIONS(6854),
    [anon_sym_BSLASHxdef] = ACTIONS(6854),
    [anon_sym_BSLASHlet] = ACTIONS(6854),
    [anon_sym_BSLASHglet] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6854),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6854),
    [anon_sym_BSLASHgls] = ACTIONS(6854),
    [anon_sym_BSLASHGls] = ACTIONS(6854),
    [anon_sym_BSLASHGLS] = ACTIONS(6854),
    [anon_sym_BSLASHglspl] = ACTIONS(6854),
    [anon_sym_BSLASHGlspl] = ACTIONS(6854),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6854),
    [anon_sym_BSLASHglslink] = ACTIONS(6854),
    [anon_sym_BSLASHglstext] = ACTIONS(6854),
    [anon_sym_BSLASHGlstext] = ACTIONS(6854),
    [anon_sym_BSLASHGLStext] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6854),
    [anon_sym_BSLASHglsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsname] = ACTIONS(6854),
    [anon_sym_BSLASHGlsname] = ACTIONS(6854),
    [anon_sym_BSLASHGLSname] = ACTIONS(6854),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6854),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6854),
    [anon_sym_BSLASHacrshort] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6854),
    [anon_sym_BSLASHACRshort] = ACTIONS(6854),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrlong] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6854),
    [anon_sym_BSLASHACRlong] = ACTIONS(6854),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrfull] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6854),
    [anon_sym_BSLASHACRfull] = ACTIONS(6854),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHacs] = ACTIONS(6854),
    [anon_sym_BSLASHAcs] = ACTIONS(6854),
    [anon_sym_BSLASHacsp] = ACTIONS(6854),
    [anon_sym_BSLASHAcsp] = ACTIONS(6854),
    [anon_sym_BSLASHacl] = ACTIONS(6854),
    [anon_sym_BSLASHAcl] = ACTIONS(6854),
    [anon_sym_BSLASHaclp] = ACTIONS(6854),
    [anon_sym_BSLASHAclp] = ACTIONS(6854),
    [anon_sym_BSLASHacf] = ACTIONS(6854),
    [anon_sym_BSLASHAcf] = ACTIONS(6854),
    [anon_sym_BSLASHacfp] = ACTIONS(6854),
    [anon_sym_BSLASHAcfp] = ACTIONS(6854),
    [anon_sym_BSLASHac] = ACTIONS(6854),
    [anon_sym_BSLASHAc] = ACTIONS(6854),
    [anon_sym_BSLASHacp] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6854),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6854),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6854),
    [anon_sym_BSLASHcolor] = ACTIONS(6854),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6854),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6854),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6854),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6854),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6854),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6854),
    [anon_sym_BSLASHurl] = ACTIONS(6854),
    [anon_sym_BSLASHhref] = ACTIONS(6854),
  },
  [852] = {
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(821),
    [aux_sym__section_repeat3] = STATE(821),
    [sym_command_name] = ACTIONS(6854),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6854),
    [anon_sym_LBRACK] = ACTIONS(6856),
    [anon_sym_RBRACK] = ACTIONS(6856),
    [anon_sym_COMMA] = ACTIONS(6856),
    [anon_sym_EQ] = ACTIONS(6856),
    [anon_sym_LPAREN] = ACTIONS(6856),
    [anon_sym_RPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHpart] = ACTIONS(6854),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddpart] = ACTIONS(6854),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHchapter] = ACTIONS(6854),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddchap] = ACTIONS(6854),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHitem] = ACTIONS(6854),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6856),
    [anon_sym_LBRACE] = ACTIONS(6856),
    [sym_word] = ACTIONS(6854),
    [sym_placeholder] = ACTIONS(6856),
    [sym_delimiter] = ACTIONS(6856),
    [anon_sym_PLUS] = ACTIONS(6856),
    [anon_sym_DASH] = ACTIONS(6856),
    [anon_sym_STAR] = ACTIONS(6856),
    [anon_sym_SLASH] = ACTIONS(6856),
    [anon_sym_LT] = ACTIONS(6854),
    [anon_sym_GT] = ACTIONS(6854),
    [anon_sym_BANG] = ACTIONS(6854),
    [anon_sym_PIPE] = ACTIONS(6854),
    [anon_sym_COLON] = ACTIONS(6854),
    [anon_sym_SQUOTE] = ACTIONS(6854),
    [anon_sym__] = ACTIONS(6856),
    [anon_sym_CARET] = ACTIONS(6856),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6856),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6856),
    [anon_sym_DOLLAR] = ACTIONS(6854),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHleft] = ACTIONS(6854),
    [anon_sym_BSLASHbigl] = ACTIONS(6854),
    [anon_sym_BSLASHBigl] = ACTIONS(6854),
    [anon_sym_BSLASHbiggl] = ACTIONS(6854),
    [anon_sym_BSLASHBiggl] = ACTIONS(6854),
    [anon_sym_BSLASHtext] = ACTIONS(6854),
    [anon_sym_BSLASHintertext] = ACTIONS(6854),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6854),
    [anon_sym_BSLASHbegin] = ACTIONS(6854),
    [anon_sym_BSLASHend] = ACTIONS(6854),
    [anon_sym_BSLASHtitle] = ACTIONS(6854),
    [anon_sym_BSLASHauthor] = ACTIONS(6854),
    [anon_sym_BSLASHusepackage] = ACTIONS(6854),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6854),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6854),
    [anon_sym_BSLASHinclude] = ACTIONS(6854),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6854),
    [anon_sym_BSLASHinput] = ACTIONS(6854),
    [anon_sym_BSLASHsubfile] = ACTIONS(6854),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6854),
    [anon_sym_BSLASHbibliography] = ACTIONS(6854),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6854),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6854),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6854),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6854),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6854),
    [anon_sym_BSLASHimport] = ACTIONS(6854),
    [anon_sym_BSLASHsubimport] = ACTIONS(6854),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6854),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHcaption] = ACTIONS(6854),
    [anon_sym_BSLASHcite] = ACTIONS(6854),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCite] = ACTIONS(6854),
    [anon_sym_BSLASHnocite] = ACTIONS(6854),
    [anon_sym_BSLASHcitet] = ACTIONS(6854),
    [anon_sym_BSLASHcitep] = ACTIONS(6854),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteA] = ACTIONS(6854),
    [anon_sym_BSLASHciteR] = ACTIONS(6854),
    [anon_sym_BSLASHciteS] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6854),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteyear] = ACTIONS(6854),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitedate] = ACTIONS(6854),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteurl] = ACTIONS(6854),
    [anon_sym_BSLASHfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6854),
    [anon_sym_BSLASHcitealt] = ACTIONS(6854),
    [anon_sym_BSLASHcitealp] = ACTIONS(6854),
    [anon_sym_BSLASHcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHparencite] = ACTIONS(6854),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHParencite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHtextcite] = ACTIONS(6854),
    [anon_sym_BSLASHTextcite] = ACTIONS(6854),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHsupercite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite] = ACTIONS(6854),
    [anon_sym_BSLASHAutocite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHVolcite] = ACTIONS(6854),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHavolcite] = ACTIONS(6854),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHNotecite] = ACTIONS(6854),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHlabel] = ACTIONS(6854),
    [anon_sym_BSLASHref] = ACTIONS(6854),
    [anon_sym_BSLASHeqref] = ACTIONS(6854),
    [anon_sym_BSLASHvref] = ACTIONS(6854),
    [anon_sym_BSLASHVref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHpageref] = ACTIONS(6854),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHautopageref] = ACTIONS(6854),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcref] = ACTIONS(6854),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCref] = ACTIONS(6854),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHCpageref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnameCref] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6854),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHdef] = ACTIONS(6854),
    [anon_sym_BSLASHgdef] = ACTIONS(6854),
    [anon_sym_BSLASHedef] = ACTIONS(6854),
    [anon_sym_BSLASHxdef] = ACTIONS(6854),
    [anon_sym_BSLASHlet] = ACTIONS(6854),
    [anon_sym_BSLASHglet] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6854),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6854),
    [anon_sym_BSLASHgls] = ACTIONS(6854),
    [anon_sym_BSLASHGls] = ACTIONS(6854),
    [anon_sym_BSLASHGLS] = ACTIONS(6854),
    [anon_sym_BSLASHglspl] = ACTIONS(6854),
    [anon_sym_BSLASHGlspl] = ACTIONS(6854),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6854),
    [anon_sym_BSLASHglslink] = ACTIONS(6854),
    [anon_sym_BSLASHglstext] = ACTIONS(6854),
    [anon_sym_BSLASHGlstext] = ACTIONS(6854),
    [anon_sym_BSLASHGLStext] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6854),
    [anon_sym_BSLASHglsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsname] = ACTIONS(6854),
    [anon_sym_BSLASHGlsname] = ACTIONS(6854),
    [anon_sym_BSLASHGLSname] = ACTIONS(6854),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6854),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6854),
    [anon_sym_BSLASHacrshort] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6854),
    [anon_sym_BSLASHACRshort] = ACTIONS(6854),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrlong] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6854),
    [anon_sym_BSLASHACRlong] = ACTIONS(6854),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrfull] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6854),
    [anon_sym_BSLASHACRfull] = ACTIONS(6854),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHacs] = ACTIONS(6854),
    [anon_sym_BSLASHAcs] = ACTIONS(6854),
    [anon_sym_BSLASHacsp] = ACTIONS(6854),
    [anon_sym_BSLASHAcsp] = ACTIONS(6854),
    [anon_sym_BSLASHacl] = ACTIONS(6854),
    [anon_sym_BSLASHAcl] = ACTIONS(6854),
    [anon_sym_BSLASHaclp] = ACTIONS(6854),
    [anon_sym_BSLASHAclp] = ACTIONS(6854),
    [anon_sym_BSLASHacf] = ACTIONS(6854),
    [anon_sym_BSLASHAcf] = ACTIONS(6854),
    [anon_sym_BSLASHacfp] = ACTIONS(6854),
    [anon_sym_BSLASHAcfp] = ACTIONS(6854),
    [anon_sym_BSLASHac] = ACTIONS(6854),
    [anon_sym_BSLASHAc] = ACTIONS(6854),
    [anon_sym_BSLASHacp] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6854),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6854),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6854),
    [anon_sym_BSLASHcolor] = ACTIONS(6854),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6854),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6854),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6854),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6854),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6854),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6854),
    [anon_sym_BSLASHurl] = ACTIONS(6854),
    [anon_sym_BSLASHhref] = ACTIONS(6854),
  },
  [853] = {
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(822),
    [aux_sym__section_repeat4] = STATE(822),
    [sym_command_name] = ACTIONS(6854),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6854),
    [anon_sym_LBRACK] = ACTIONS(6856),
    [anon_sym_RBRACK] = ACTIONS(6856),
    [anon_sym_COMMA] = ACTIONS(6856),
    [anon_sym_EQ] = ACTIONS(6856),
    [anon_sym_LPAREN] = ACTIONS(6856),
    [anon_sym_RPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHpart] = ACTIONS(6854),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddpart] = ACTIONS(6854),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHchapter] = ACTIONS(6854),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddchap] = ACTIONS(6854),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsection] = ACTIONS(6854),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddsec] = ACTIONS(6854),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHitem] = ACTIONS(6854),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6856),
    [anon_sym_LBRACE] = ACTIONS(6856),
    [sym_word] = ACTIONS(6854),
    [sym_placeholder] = ACTIONS(6856),
    [sym_delimiter] = ACTIONS(6856),
    [anon_sym_PLUS] = ACTIONS(6856),
    [anon_sym_DASH] = ACTIONS(6856),
    [anon_sym_STAR] = ACTIONS(6856),
    [anon_sym_SLASH] = ACTIONS(6856),
    [anon_sym_LT] = ACTIONS(6854),
    [anon_sym_GT] = ACTIONS(6854),
    [anon_sym_BANG] = ACTIONS(6854),
    [anon_sym_PIPE] = ACTIONS(6854),
    [anon_sym_COLON] = ACTIONS(6854),
    [anon_sym_SQUOTE] = ACTIONS(6854),
    [anon_sym__] = ACTIONS(6856),
    [anon_sym_CARET] = ACTIONS(6856),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6856),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6856),
    [anon_sym_DOLLAR] = ACTIONS(6854),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHleft] = ACTIONS(6854),
    [anon_sym_BSLASHbigl] = ACTIONS(6854),
    [anon_sym_BSLASHBigl] = ACTIONS(6854),
    [anon_sym_BSLASHbiggl] = ACTIONS(6854),
    [anon_sym_BSLASHBiggl] = ACTIONS(6854),
    [anon_sym_BSLASHtext] = ACTIONS(6854),
    [anon_sym_BSLASHintertext] = ACTIONS(6854),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6854),
    [anon_sym_BSLASHbegin] = ACTIONS(6854),
    [anon_sym_BSLASHend] = ACTIONS(6854),
    [anon_sym_BSLASHtitle] = ACTIONS(6854),
    [anon_sym_BSLASHauthor] = ACTIONS(6854),
    [anon_sym_BSLASHusepackage] = ACTIONS(6854),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6854),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6854),
    [anon_sym_BSLASHinclude] = ACTIONS(6854),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6854),
    [anon_sym_BSLASHinput] = ACTIONS(6854),
    [anon_sym_BSLASHsubfile] = ACTIONS(6854),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6854),
    [anon_sym_BSLASHbibliography] = ACTIONS(6854),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6854),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6854),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6854),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6854),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6854),
    [anon_sym_BSLASHimport] = ACTIONS(6854),
    [anon_sym_BSLASHsubimport] = ACTIONS(6854),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6854),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHcaption] = ACTIONS(6854),
    [anon_sym_BSLASHcite] = ACTIONS(6854),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCite] = ACTIONS(6854),
    [anon_sym_BSLASHnocite] = ACTIONS(6854),
    [anon_sym_BSLASHcitet] = ACTIONS(6854),
    [anon_sym_BSLASHcitep] = ACTIONS(6854),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteA] = ACTIONS(6854),
    [anon_sym_BSLASHciteR] = ACTIONS(6854),
    [anon_sym_BSLASHciteS] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6854),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteyear] = ACTIONS(6854),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitedate] = ACTIONS(6854),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteurl] = ACTIONS(6854),
    [anon_sym_BSLASHfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6854),
    [anon_sym_BSLASHcitealt] = ACTIONS(6854),
    [anon_sym_BSLASHcitealp] = ACTIONS(6854),
    [anon_sym_BSLASHcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHparencite] = ACTIONS(6854),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHParencite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHtextcite] = ACTIONS(6854),
    [anon_sym_BSLASHTextcite] = ACTIONS(6854),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHsupercite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite] = ACTIONS(6854),
    [anon_sym_BSLASHAutocite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHVolcite] = ACTIONS(6854),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHavolcite] = ACTIONS(6854),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHNotecite] = ACTIONS(6854),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHlabel] = ACTIONS(6854),
    [anon_sym_BSLASHref] = ACTIONS(6854),
    [anon_sym_BSLASHeqref] = ACTIONS(6854),
    [anon_sym_BSLASHvref] = ACTIONS(6854),
    [anon_sym_BSLASHVref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHpageref] = ACTIONS(6854),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHautopageref] = ACTIONS(6854),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcref] = ACTIONS(6854),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCref] = ACTIONS(6854),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHCpageref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnameCref] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6854),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHdef] = ACTIONS(6854),
    [anon_sym_BSLASHgdef] = ACTIONS(6854),
    [anon_sym_BSLASHedef] = ACTIONS(6854),
    [anon_sym_BSLASHxdef] = ACTIONS(6854),
    [anon_sym_BSLASHlet] = ACTIONS(6854),
    [anon_sym_BSLASHglet] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6854),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6854),
    [anon_sym_BSLASHgls] = ACTIONS(6854),
    [anon_sym_BSLASHGls] = ACTIONS(6854),
    [anon_sym_BSLASHGLS] = ACTIONS(6854),
    [anon_sym_BSLASHglspl] = ACTIONS(6854),
    [anon_sym_BSLASHGlspl] = ACTIONS(6854),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6854),
    [anon_sym_BSLASHglslink] = ACTIONS(6854),
    [anon_sym_BSLASHglstext] = ACTIONS(6854),
    [anon_sym_BSLASHGlstext] = ACTIONS(6854),
    [anon_sym_BSLASHGLStext] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6854),
    [anon_sym_BSLASHglsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsname] = ACTIONS(6854),
    [anon_sym_BSLASHGlsname] = ACTIONS(6854),
    [anon_sym_BSLASHGLSname] = ACTIONS(6854),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6854),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6854),
    [anon_sym_BSLASHacrshort] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6854),
    [anon_sym_BSLASHACRshort] = ACTIONS(6854),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrlong] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6854),
    [anon_sym_BSLASHACRlong] = ACTIONS(6854),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrfull] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6854),
    [anon_sym_BSLASHACRfull] = ACTIONS(6854),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHacs] = ACTIONS(6854),
    [anon_sym_BSLASHAcs] = ACTIONS(6854),
    [anon_sym_BSLASHacsp] = ACTIONS(6854),
    [anon_sym_BSLASHAcsp] = ACTIONS(6854),
    [anon_sym_BSLASHacl] = ACTIONS(6854),
    [anon_sym_BSLASHAcl] = ACTIONS(6854),
    [anon_sym_BSLASHaclp] = ACTIONS(6854),
    [anon_sym_BSLASHAclp] = ACTIONS(6854),
    [anon_sym_BSLASHacf] = ACTIONS(6854),
    [anon_sym_BSLASHAcf] = ACTIONS(6854),
    [anon_sym_BSLASHacfp] = ACTIONS(6854),
    [anon_sym_BSLASHAcfp] = ACTIONS(6854),
    [anon_sym_BSLASHac] = ACTIONS(6854),
    [anon_sym_BSLASHAc] = ACTIONS(6854),
    [anon_sym_BSLASHacp] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6854),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6854),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6854),
    [anon_sym_BSLASHcolor] = ACTIONS(6854),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6854),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6854),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6854),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6854),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6854),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6854),
    [anon_sym_BSLASHurl] = ACTIONS(6854),
    [anon_sym_BSLASHhref] = ACTIONS(6854),
  },
  [854] = {
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(823),
    [aux_sym__section_repeat5] = STATE(823),
    [sym_command_name] = ACTIONS(6854),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6854),
    [anon_sym_LBRACK] = ACTIONS(6856),
    [anon_sym_RBRACK] = ACTIONS(6856),
    [anon_sym_COMMA] = ACTIONS(6856),
    [anon_sym_EQ] = ACTIONS(6856),
    [anon_sym_LPAREN] = ACTIONS(6856),
    [anon_sym_RPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHpart] = ACTIONS(6854),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddpart] = ACTIONS(6854),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHchapter] = ACTIONS(6854),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddchap] = ACTIONS(6854),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsection] = ACTIONS(6854),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHaddsec] = ACTIONS(6854),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsection] = ACTIONS(6854),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6854),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHitem] = ACTIONS(6854),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6856),
    [anon_sym_LBRACE] = ACTIONS(6856),
    [sym_word] = ACTIONS(6854),
    [sym_placeholder] = ACTIONS(6856),
    [sym_delimiter] = ACTIONS(6856),
    [anon_sym_PLUS] = ACTIONS(6856),
    [anon_sym_DASH] = ACTIONS(6856),
    [anon_sym_STAR] = ACTIONS(6856),
    [anon_sym_SLASH] = ACTIONS(6856),
    [anon_sym_LT] = ACTIONS(6854),
    [anon_sym_GT] = ACTIONS(6854),
    [anon_sym_BANG] = ACTIONS(6854),
    [anon_sym_PIPE] = ACTIONS(6854),
    [anon_sym_COLON] = ACTIONS(6854),
    [anon_sym_SQUOTE] = ACTIONS(6854),
    [anon_sym__] = ACTIONS(6856),
    [anon_sym_CARET] = ACTIONS(6856),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6856),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6856),
    [anon_sym_DOLLAR] = ACTIONS(6854),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6856),
    [anon_sym_BSLASHleft] = ACTIONS(6854),
    [anon_sym_BSLASHbigl] = ACTIONS(6854),
    [anon_sym_BSLASHBigl] = ACTIONS(6854),
    [anon_sym_BSLASHbiggl] = ACTIONS(6854),
    [anon_sym_BSLASHBiggl] = ACTIONS(6854),
    [anon_sym_BSLASHtext] = ACTIONS(6854),
    [anon_sym_BSLASHintertext] = ACTIONS(6854),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6854),
    [anon_sym_BSLASHbegin] = ACTIONS(6854),
    [anon_sym_BSLASHend] = ACTIONS(6854),
    [anon_sym_BSLASHtitle] = ACTIONS(6854),
    [anon_sym_BSLASHauthor] = ACTIONS(6854),
    [anon_sym_BSLASHusepackage] = ACTIONS(6854),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6854),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6854),
    [anon_sym_BSLASHinclude] = ACTIONS(6854),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6854),
    [anon_sym_BSLASHinput] = ACTIONS(6854),
    [anon_sym_BSLASHsubfile] = ACTIONS(6854),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6854),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6854),
    [anon_sym_BSLASHbibliography] = ACTIONS(6854),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6854),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6854),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6854),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6854),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6854),
    [anon_sym_BSLASHimport] = ACTIONS(6854),
    [anon_sym_BSLASHsubimport] = ACTIONS(6854),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6854),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6854),
    [anon_sym_BSLASHcaption] = ACTIONS(6854),
    [anon_sym_BSLASHcite] = ACTIONS(6854),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCite] = ACTIONS(6854),
    [anon_sym_BSLASHnocite] = ACTIONS(6854),
    [anon_sym_BSLASHcitet] = ACTIONS(6854),
    [anon_sym_BSLASHcitep] = ACTIONS(6854),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteA] = ACTIONS(6854),
    [anon_sym_BSLASHciteR] = ACTIONS(6854),
    [anon_sym_BSLASHciteS] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6854),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6854),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteyear] = ACTIONS(6854),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcitedate] = ACTIONS(6854),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHciteurl] = ACTIONS(6854),
    [anon_sym_BSLASHfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6854),
    [anon_sym_BSLASHcitealt] = ACTIONS(6854),
    [anon_sym_BSLASHcitealp] = ACTIONS(6854),
    [anon_sym_BSLASHcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHparencite] = ACTIONS(6854),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHParencite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6854),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6854),
    [anon_sym_BSLASHtextcite] = ACTIONS(6854),
    [anon_sym_BSLASHTextcite] = ACTIONS(6854),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6854),
    [anon_sym_BSLASHsupercite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite] = ACTIONS(6854),
    [anon_sym_BSLASHAutocite] = ACTIONS(6854),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHVolcite] = ACTIONS(6854),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHavolcite] = ACTIONS(6854),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6854),
    [anon_sym_BSLASHnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHNotecite] = ACTIONS(6854),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6854),
    [anon_sym_BSLASHlabel] = ACTIONS(6854),
    [anon_sym_BSLASHref] = ACTIONS(6854),
    [anon_sym_BSLASHeqref] = ACTIONS(6854),
    [anon_sym_BSLASHvref] = ACTIONS(6854),
    [anon_sym_BSLASHVref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref] = ACTIONS(6854),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHpageref] = ACTIONS(6854),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHautopageref] = ACTIONS(6854),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcref] = ACTIONS(6854),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCref] = ACTIONS(6854),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHCpageref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnameCref] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6854),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6854),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6854),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6854),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6854),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6854),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6854),
    [anon_sym_BSLASHdef] = ACTIONS(6854),
    [anon_sym_BSLASHgdef] = ACTIONS(6854),
    [anon_sym_BSLASHedef] = ACTIONS(6854),
    [anon_sym_BSLASHxdef] = ACTIONS(6854),
    [anon_sym_BSLASHlet] = ACTIONS(6854),
    [anon_sym_BSLASHglet] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6854),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6854),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6854),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6854),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6854),
    [anon_sym_BSLASHgls] = ACTIONS(6854),
    [anon_sym_BSLASHGls] = ACTIONS(6854),
    [anon_sym_BSLASHGLS] = ACTIONS(6854),
    [anon_sym_BSLASHglspl] = ACTIONS(6854),
    [anon_sym_BSLASHGlspl] = ACTIONS(6854),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6854),
    [anon_sym_BSLASHglslink] = ACTIONS(6854),
    [anon_sym_BSLASHglstext] = ACTIONS(6854),
    [anon_sym_BSLASHGlstext] = ACTIONS(6854),
    [anon_sym_BSLASHGLStext] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6854),
    [anon_sym_BSLASHglsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6854),
    [anon_sym_BSLASHglsname] = ACTIONS(6854),
    [anon_sym_BSLASHGlsname] = ACTIONS(6854),
    [anon_sym_BSLASHGLSname] = ACTIONS(6854),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6854),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6854),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6854),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6854),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6854),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6854),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6854),
    [anon_sym_BSLASHacrshort] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6854),
    [anon_sym_BSLASHACRshort] = ACTIONS(6854),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrlong] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6854),
    [anon_sym_BSLASHACRlong] = ACTIONS(6854),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6854),
    [anon_sym_BSLASHacrfull] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6854),
    [anon_sym_BSLASHACRfull] = ACTIONS(6854),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHacs] = ACTIONS(6854),
    [anon_sym_BSLASHAcs] = ACTIONS(6854),
    [anon_sym_BSLASHacsp] = ACTIONS(6854),
    [anon_sym_BSLASHAcsp] = ACTIONS(6854),
    [anon_sym_BSLASHacl] = ACTIONS(6854),
    [anon_sym_BSLASHAcl] = ACTIONS(6854),
    [anon_sym_BSLASHaclp] = ACTIONS(6854),
    [anon_sym_BSLASHAclp] = ACTIONS(6854),
    [anon_sym_BSLASHacf] = ACTIONS(6854),
    [anon_sym_BSLASHAcf] = ACTIONS(6854),
    [anon_sym_BSLASHacfp] = ACTIONS(6854),
    [anon_sym_BSLASHAcfp] = ACTIONS(6854),
    [anon_sym_BSLASHac] = ACTIONS(6854),
    [anon_sym_BSLASHAc] = ACTIONS(6854),
    [anon_sym_BSLASHacp] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6854),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6854),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6854),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6854),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6856),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6854),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6854),
    [anon_sym_BSLASHcolor] = ACTIONS(6854),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6854),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6854),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6854),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6854),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6854),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6854),
    [anon_sym_BSLASHurl] = ACTIONS(6854),
    [anon_sym_BSLASHhref] = ACTIONS(6854),
  },
  [855] = {
    [sym__section_declaration] = STATE(186),
    [sym_section] = STATE(821),
    [aux_sym__section_repeat3] = STATE(821),
    [sym_command_name] = ACTIONS(6696),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6696),
    [anon_sym_LBRACK] = ACTIONS(6698),
    [anon_sym_RBRACK] = ACTIONS(6698),
    [anon_sym_COMMA] = ACTIONS(6698),
    [anon_sym_EQ] = ACTIONS(6698),
    [anon_sym_LPAREN] = ACTIONS(6698),
    [anon_sym_RPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHpart] = ACTIONS(6696),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddpart] = ACTIONS(6696),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHchapter] = ACTIONS(6696),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddchap] = ACTIONS(6696),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsection] = ACTIONS(688),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(690),
    [anon_sym_BSLASHaddsec] = ACTIONS(688),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(690),
    [anon_sym_BSLASHsubsection] = ACTIONS(6696),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHitem] = ACTIONS(6696),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6698),
    [anon_sym_LBRACE] = ACTIONS(6698),
    [sym_word] = ACTIONS(6696),
    [sym_placeholder] = ACTIONS(6698),
    [sym_delimiter] = ACTIONS(6698),
    [anon_sym_PLUS] = ACTIONS(6698),
    [anon_sym_DASH] = ACTIONS(6698),
    [anon_sym_STAR] = ACTIONS(6698),
    [anon_sym_SLASH] = ACTIONS(6698),
    [anon_sym_LT] = ACTIONS(6696),
    [anon_sym_GT] = ACTIONS(6696),
    [anon_sym_BANG] = ACTIONS(6696),
    [anon_sym_PIPE] = ACTIONS(6696),
    [anon_sym_COLON] = ACTIONS(6696),
    [anon_sym_SQUOTE] = ACTIONS(6696),
    [anon_sym__] = ACTIONS(6698),
    [anon_sym_CARET] = ACTIONS(6698),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6698),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6698),
    [anon_sym_DOLLAR] = ACTIONS(6696),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHleft] = ACTIONS(6696),
    [anon_sym_BSLASHbigl] = ACTIONS(6696),
    [anon_sym_BSLASHBigl] = ACTIONS(6696),
    [anon_sym_BSLASHbiggl] = ACTIONS(6696),
    [anon_sym_BSLASHBiggl] = ACTIONS(6696),
    [anon_sym_BSLASHtext] = ACTIONS(6696),
    [anon_sym_BSLASHintertext] = ACTIONS(6696),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6696),
    [anon_sym_BSLASHbegin] = ACTIONS(6696),
    [anon_sym_BSLASHend] = ACTIONS(6696),
    [anon_sym_BSLASHtitle] = ACTIONS(6696),
    [anon_sym_BSLASHauthor] = ACTIONS(6696),
    [anon_sym_BSLASHusepackage] = ACTIONS(6696),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6696),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6696),
    [anon_sym_BSLASHinclude] = ACTIONS(6696),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6696),
    [anon_sym_BSLASHinput] = ACTIONS(6696),
    [anon_sym_BSLASHsubfile] = ACTIONS(6696),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6696),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6696),
    [anon_sym_BSLASHbibliography] = ACTIONS(6696),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6696),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6696),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6696),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6696),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6696),
    [anon_sym_BSLASHimport] = ACTIONS(6696),
    [anon_sym_BSLASHsubimport] = ACTIONS(6696),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6696),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHcaption] = ACTIONS(6696),
    [anon_sym_BSLASHcite] = ACTIONS(6696),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCite] = ACTIONS(6696),
    [anon_sym_BSLASHnocite] = ACTIONS(6696),
    [anon_sym_BSLASHcitet] = ACTIONS(6696),
    [anon_sym_BSLASHcitep] = ACTIONS(6696),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteA] = ACTIONS(6696),
    [anon_sym_BSLASHciteR] = ACTIONS(6696),
    [anon_sym_BSLASHciteS] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6696),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteyear] = ACTIONS(6696),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitedate] = ACTIONS(6696),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteurl] = ACTIONS(6696),
    [anon_sym_BSLASHfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6696),
    [anon_sym_BSLASHcitealt] = ACTIONS(6696),
    [anon_sym_BSLASHcitealp] = ACTIONS(6696),
    [anon_sym_BSLASHcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHparencite] = ACTIONS(6696),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHParencite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHtextcite] = ACTIONS(6696),
    [anon_sym_BSLASHTextcite] = ACTIONS(6696),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHsupercite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite] = ACTIONS(6696),
    [anon_sym_BSLASHAutocite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHVolcite] = ACTIONS(6696),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHavolcite] = ACTIONS(6696),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHNotecite] = ACTIONS(6696),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHlabel] = ACTIONS(6696),
    [anon_sym_BSLASHref] = ACTIONS(6696),
    [anon_sym_BSLASHeqref] = ACTIONS(6696),
    [anon_sym_BSLASHvref] = ACTIONS(6696),
    [anon_sym_BSLASHVref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHpageref] = ACTIONS(6696),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHautopageref] = ACTIONS(6696),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcref] = ACTIONS(6696),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCref] = ACTIONS(6696),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHCpageref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnameCref] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6696),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHdef] = ACTIONS(6696),
    [anon_sym_BSLASHgdef] = ACTIONS(6696),
    [anon_sym_BSLASHedef] = ACTIONS(6696),
    [anon_sym_BSLASHxdef] = ACTIONS(6696),
    [anon_sym_BSLASHlet] = ACTIONS(6696),
    [anon_sym_BSLASHglet] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6696),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6696),
    [anon_sym_BSLASHgls] = ACTIONS(6696),
    [anon_sym_BSLASHGls] = ACTIONS(6696),
    [anon_sym_BSLASHGLS] = ACTIONS(6696),
    [anon_sym_BSLASHglspl] = ACTIONS(6696),
    [anon_sym_BSLASHGlspl] = ACTIONS(6696),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6696),
    [anon_sym_BSLASHglslink] = ACTIONS(6696),
    [anon_sym_BSLASHglstext] = ACTIONS(6696),
    [anon_sym_BSLASHGlstext] = ACTIONS(6696),
    [anon_sym_BSLASHGLStext] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6696),
    [anon_sym_BSLASHglsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsname] = ACTIONS(6696),
    [anon_sym_BSLASHGlsname] = ACTIONS(6696),
    [anon_sym_BSLASHGLSname] = ACTIONS(6696),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6696),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6696),
    [anon_sym_BSLASHacrshort] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6696),
    [anon_sym_BSLASHACRshort] = ACTIONS(6696),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrlong] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6696),
    [anon_sym_BSLASHACRlong] = ACTIONS(6696),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrfull] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6696),
    [anon_sym_BSLASHACRfull] = ACTIONS(6696),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHacs] = ACTIONS(6696),
    [anon_sym_BSLASHAcs] = ACTIONS(6696),
    [anon_sym_BSLASHacsp] = ACTIONS(6696),
    [anon_sym_BSLASHAcsp] = ACTIONS(6696),
    [anon_sym_BSLASHacl] = ACTIONS(6696),
    [anon_sym_BSLASHAcl] = ACTIONS(6696),
    [anon_sym_BSLASHaclp] = ACTIONS(6696),
    [anon_sym_BSLASHAclp] = ACTIONS(6696),
    [anon_sym_BSLASHacf] = ACTIONS(6696),
    [anon_sym_BSLASHAcf] = ACTIONS(6696),
    [anon_sym_BSLASHacfp] = ACTIONS(6696),
    [anon_sym_BSLASHAcfp] = ACTIONS(6696),
    [anon_sym_BSLASHac] = ACTIONS(6696),
    [anon_sym_BSLASHAc] = ACTIONS(6696),
    [anon_sym_BSLASHacp] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6696),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6696),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6696),
    [anon_sym_BSLASHcolor] = ACTIONS(6696),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6696),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6696),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6696),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6696),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6696),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6696),
    [anon_sym_BSLASHurl] = ACTIONS(6696),
    [anon_sym_BSLASHhref] = ACTIONS(6696),
  },
  [856] = {
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(822),
    [aux_sym__section_repeat4] = STATE(822),
    [sym_command_name] = ACTIONS(6696),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6696),
    [anon_sym_LBRACK] = ACTIONS(6698),
    [anon_sym_RBRACK] = ACTIONS(6698),
    [anon_sym_COMMA] = ACTIONS(6698),
    [anon_sym_EQ] = ACTIONS(6698),
    [anon_sym_LPAREN] = ACTIONS(6698),
    [anon_sym_RPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHpart] = ACTIONS(6696),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddpart] = ACTIONS(6696),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHchapter] = ACTIONS(6696),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddchap] = ACTIONS(6696),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsection] = ACTIONS(6696),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddsec] = ACTIONS(6696),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHitem] = ACTIONS(6696),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6698),
    [anon_sym_LBRACE] = ACTIONS(6698),
    [sym_word] = ACTIONS(6696),
    [sym_placeholder] = ACTIONS(6698),
    [sym_delimiter] = ACTIONS(6698),
    [anon_sym_PLUS] = ACTIONS(6698),
    [anon_sym_DASH] = ACTIONS(6698),
    [anon_sym_STAR] = ACTIONS(6698),
    [anon_sym_SLASH] = ACTIONS(6698),
    [anon_sym_LT] = ACTIONS(6696),
    [anon_sym_GT] = ACTIONS(6696),
    [anon_sym_BANG] = ACTIONS(6696),
    [anon_sym_PIPE] = ACTIONS(6696),
    [anon_sym_COLON] = ACTIONS(6696),
    [anon_sym_SQUOTE] = ACTIONS(6696),
    [anon_sym__] = ACTIONS(6698),
    [anon_sym_CARET] = ACTIONS(6698),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6698),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6698),
    [anon_sym_DOLLAR] = ACTIONS(6696),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHleft] = ACTIONS(6696),
    [anon_sym_BSLASHbigl] = ACTIONS(6696),
    [anon_sym_BSLASHBigl] = ACTIONS(6696),
    [anon_sym_BSLASHbiggl] = ACTIONS(6696),
    [anon_sym_BSLASHBiggl] = ACTIONS(6696),
    [anon_sym_BSLASHtext] = ACTIONS(6696),
    [anon_sym_BSLASHintertext] = ACTIONS(6696),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6696),
    [anon_sym_BSLASHbegin] = ACTIONS(6696),
    [anon_sym_BSLASHend] = ACTIONS(6696),
    [anon_sym_BSLASHtitle] = ACTIONS(6696),
    [anon_sym_BSLASHauthor] = ACTIONS(6696),
    [anon_sym_BSLASHusepackage] = ACTIONS(6696),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6696),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6696),
    [anon_sym_BSLASHinclude] = ACTIONS(6696),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6696),
    [anon_sym_BSLASHinput] = ACTIONS(6696),
    [anon_sym_BSLASHsubfile] = ACTIONS(6696),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6696),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6696),
    [anon_sym_BSLASHbibliography] = ACTIONS(6696),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6696),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6696),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6696),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6696),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6696),
    [anon_sym_BSLASHimport] = ACTIONS(6696),
    [anon_sym_BSLASHsubimport] = ACTIONS(6696),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6696),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHcaption] = ACTIONS(6696),
    [anon_sym_BSLASHcite] = ACTIONS(6696),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCite] = ACTIONS(6696),
    [anon_sym_BSLASHnocite] = ACTIONS(6696),
    [anon_sym_BSLASHcitet] = ACTIONS(6696),
    [anon_sym_BSLASHcitep] = ACTIONS(6696),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteA] = ACTIONS(6696),
    [anon_sym_BSLASHciteR] = ACTIONS(6696),
    [anon_sym_BSLASHciteS] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6696),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteyear] = ACTIONS(6696),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitedate] = ACTIONS(6696),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteurl] = ACTIONS(6696),
    [anon_sym_BSLASHfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6696),
    [anon_sym_BSLASHcitealt] = ACTIONS(6696),
    [anon_sym_BSLASHcitealp] = ACTIONS(6696),
    [anon_sym_BSLASHcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHparencite] = ACTIONS(6696),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHParencite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHtextcite] = ACTIONS(6696),
    [anon_sym_BSLASHTextcite] = ACTIONS(6696),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHsupercite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite] = ACTIONS(6696),
    [anon_sym_BSLASHAutocite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHVolcite] = ACTIONS(6696),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHavolcite] = ACTIONS(6696),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHNotecite] = ACTIONS(6696),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHlabel] = ACTIONS(6696),
    [anon_sym_BSLASHref] = ACTIONS(6696),
    [anon_sym_BSLASHeqref] = ACTIONS(6696),
    [anon_sym_BSLASHvref] = ACTIONS(6696),
    [anon_sym_BSLASHVref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHpageref] = ACTIONS(6696),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHautopageref] = ACTIONS(6696),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcref] = ACTIONS(6696),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCref] = ACTIONS(6696),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHCpageref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnameCref] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6696),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHdef] = ACTIONS(6696),
    [anon_sym_BSLASHgdef] = ACTIONS(6696),
    [anon_sym_BSLASHedef] = ACTIONS(6696),
    [anon_sym_BSLASHxdef] = ACTIONS(6696),
    [anon_sym_BSLASHlet] = ACTIONS(6696),
    [anon_sym_BSLASHglet] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6696),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6696),
    [anon_sym_BSLASHgls] = ACTIONS(6696),
    [anon_sym_BSLASHGls] = ACTIONS(6696),
    [anon_sym_BSLASHGLS] = ACTIONS(6696),
    [anon_sym_BSLASHglspl] = ACTIONS(6696),
    [anon_sym_BSLASHGlspl] = ACTIONS(6696),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6696),
    [anon_sym_BSLASHglslink] = ACTIONS(6696),
    [anon_sym_BSLASHglstext] = ACTIONS(6696),
    [anon_sym_BSLASHGlstext] = ACTIONS(6696),
    [anon_sym_BSLASHGLStext] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6696),
    [anon_sym_BSLASHglsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsname] = ACTIONS(6696),
    [anon_sym_BSLASHGlsname] = ACTIONS(6696),
    [anon_sym_BSLASHGLSname] = ACTIONS(6696),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6696),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6696),
    [anon_sym_BSLASHacrshort] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6696),
    [anon_sym_BSLASHACRshort] = ACTIONS(6696),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrlong] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6696),
    [anon_sym_BSLASHACRlong] = ACTIONS(6696),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrfull] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6696),
    [anon_sym_BSLASHACRfull] = ACTIONS(6696),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHacs] = ACTIONS(6696),
    [anon_sym_BSLASHAcs] = ACTIONS(6696),
    [anon_sym_BSLASHacsp] = ACTIONS(6696),
    [anon_sym_BSLASHAcsp] = ACTIONS(6696),
    [anon_sym_BSLASHacl] = ACTIONS(6696),
    [anon_sym_BSLASHAcl] = ACTIONS(6696),
    [anon_sym_BSLASHaclp] = ACTIONS(6696),
    [anon_sym_BSLASHAclp] = ACTIONS(6696),
    [anon_sym_BSLASHacf] = ACTIONS(6696),
    [anon_sym_BSLASHAcf] = ACTIONS(6696),
    [anon_sym_BSLASHacfp] = ACTIONS(6696),
    [anon_sym_BSLASHAcfp] = ACTIONS(6696),
    [anon_sym_BSLASHac] = ACTIONS(6696),
    [anon_sym_BSLASHAc] = ACTIONS(6696),
    [anon_sym_BSLASHacp] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6696),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6696),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6696),
    [anon_sym_BSLASHcolor] = ACTIONS(6696),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6696),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6696),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6696),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6696),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6696),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6696),
    [anon_sym_BSLASHurl] = ACTIONS(6696),
    [anon_sym_BSLASHhref] = ACTIONS(6696),
  },
  [857] = {
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(823),
    [aux_sym__section_repeat5] = STATE(823),
    [sym_command_name] = ACTIONS(6696),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6696),
    [anon_sym_LBRACK] = ACTIONS(6698),
    [anon_sym_RBRACK] = ACTIONS(6698),
    [anon_sym_COMMA] = ACTIONS(6698),
    [anon_sym_EQ] = ACTIONS(6698),
    [anon_sym_LPAREN] = ACTIONS(6698),
    [anon_sym_RPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHpart] = ACTIONS(6696),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddpart] = ACTIONS(6696),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHchapter] = ACTIONS(6696),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddchap] = ACTIONS(6696),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsection] = ACTIONS(6696),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHaddsec] = ACTIONS(6696),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubsection] = ACTIONS(6696),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6696),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHitem] = ACTIONS(6696),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6698),
    [anon_sym_LBRACE] = ACTIONS(6698),
    [sym_word] = ACTIONS(6696),
    [sym_placeholder] = ACTIONS(6698),
    [sym_delimiter] = ACTIONS(6698),
    [anon_sym_PLUS] = ACTIONS(6698),
    [anon_sym_DASH] = ACTIONS(6698),
    [anon_sym_STAR] = ACTIONS(6698),
    [anon_sym_SLASH] = ACTIONS(6698),
    [anon_sym_LT] = ACTIONS(6696),
    [anon_sym_GT] = ACTIONS(6696),
    [anon_sym_BANG] = ACTIONS(6696),
    [anon_sym_PIPE] = ACTIONS(6696),
    [anon_sym_COLON] = ACTIONS(6696),
    [anon_sym_SQUOTE] = ACTIONS(6696),
    [anon_sym__] = ACTIONS(6698),
    [anon_sym_CARET] = ACTIONS(6698),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6698),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6698),
    [anon_sym_DOLLAR] = ACTIONS(6696),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6698),
    [anon_sym_BSLASHleft] = ACTIONS(6696),
    [anon_sym_BSLASHbigl] = ACTIONS(6696),
    [anon_sym_BSLASHBigl] = ACTIONS(6696),
    [anon_sym_BSLASHbiggl] = ACTIONS(6696),
    [anon_sym_BSLASHBiggl] = ACTIONS(6696),
    [anon_sym_BSLASHtext] = ACTIONS(6696),
    [anon_sym_BSLASHintertext] = ACTIONS(6696),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6696),
    [anon_sym_BSLASHbegin] = ACTIONS(6696),
    [anon_sym_BSLASHend] = ACTIONS(6696),
    [anon_sym_BSLASHtitle] = ACTIONS(6696),
    [anon_sym_BSLASHauthor] = ACTIONS(6696),
    [anon_sym_BSLASHusepackage] = ACTIONS(6696),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6696),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6696),
    [anon_sym_BSLASHinclude] = ACTIONS(6696),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6696),
    [anon_sym_BSLASHinput] = ACTIONS(6696),
    [anon_sym_BSLASHsubfile] = ACTIONS(6696),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6696),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6696),
    [anon_sym_BSLASHbibliography] = ACTIONS(6696),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6696),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6696),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6696),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6696),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6696),
    [anon_sym_BSLASHimport] = ACTIONS(6696),
    [anon_sym_BSLASHsubimport] = ACTIONS(6696),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6696),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6696),
    [anon_sym_BSLASHcaption] = ACTIONS(6696),
    [anon_sym_BSLASHcite] = ACTIONS(6696),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCite] = ACTIONS(6696),
    [anon_sym_BSLASHnocite] = ACTIONS(6696),
    [anon_sym_BSLASHcitet] = ACTIONS(6696),
    [anon_sym_BSLASHcitep] = ACTIONS(6696),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteA] = ACTIONS(6696),
    [anon_sym_BSLASHciteR] = ACTIONS(6696),
    [anon_sym_BSLASHciteS] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6696),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6696),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteyear] = ACTIONS(6696),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcitedate] = ACTIONS(6696),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHciteurl] = ACTIONS(6696),
    [anon_sym_BSLASHfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6696),
    [anon_sym_BSLASHcitealt] = ACTIONS(6696),
    [anon_sym_BSLASHcitealp] = ACTIONS(6696),
    [anon_sym_BSLASHcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHparencite] = ACTIONS(6696),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHParencite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6696),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6696),
    [anon_sym_BSLASHtextcite] = ACTIONS(6696),
    [anon_sym_BSLASHTextcite] = ACTIONS(6696),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6696),
    [anon_sym_BSLASHsupercite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite] = ACTIONS(6696),
    [anon_sym_BSLASHAutocite] = ACTIONS(6696),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHVolcite] = ACTIONS(6696),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHavolcite] = ACTIONS(6696),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6696),
    [anon_sym_BSLASHnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHNotecite] = ACTIONS(6696),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6696),
    [anon_sym_BSLASHlabel] = ACTIONS(6696),
    [anon_sym_BSLASHref] = ACTIONS(6696),
    [anon_sym_BSLASHeqref] = ACTIONS(6696),
    [anon_sym_BSLASHvref] = ACTIONS(6696),
    [anon_sym_BSLASHVref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref] = ACTIONS(6696),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHpageref] = ACTIONS(6696),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHautopageref] = ACTIONS(6696),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcref] = ACTIONS(6696),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCref] = ACTIONS(6696),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHCpageref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnameCref] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6696),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6696),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6696),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6696),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6696),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6696),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6696),
    [anon_sym_BSLASHdef] = ACTIONS(6696),
    [anon_sym_BSLASHgdef] = ACTIONS(6696),
    [anon_sym_BSLASHedef] = ACTIONS(6696),
    [anon_sym_BSLASHxdef] = ACTIONS(6696),
    [anon_sym_BSLASHlet] = ACTIONS(6696),
    [anon_sym_BSLASHglet] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6696),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6696),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6696),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6696),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6696),
    [anon_sym_BSLASHgls] = ACTIONS(6696),
    [anon_sym_BSLASHGls] = ACTIONS(6696),
    [anon_sym_BSLASHGLS] = ACTIONS(6696),
    [anon_sym_BSLASHglspl] = ACTIONS(6696),
    [anon_sym_BSLASHGlspl] = ACTIONS(6696),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6696),
    [anon_sym_BSLASHglslink] = ACTIONS(6696),
    [anon_sym_BSLASHglstext] = ACTIONS(6696),
    [anon_sym_BSLASHGlstext] = ACTIONS(6696),
    [anon_sym_BSLASHGLStext] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6696),
    [anon_sym_BSLASHglsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6696),
    [anon_sym_BSLASHglsname] = ACTIONS(6696),
    [anon_sym_BSLASHGlsname] = ACTIONS(6696),
    [anon_sym_BSLASHGLSname] = ACTIONS(6696),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6696),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6696),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6696),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6696),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6696),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6696),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6696),
    [anon_sym_BSLASHacrshort] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6696),
    [anon_sym_BSLASHACRshort] = ACTIONS(6696),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrlong] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6696),
    [anon_sym_BSLASHACRlong] = ACTIONS(6696),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6696),
    [anon_sym_BSLASHacrfull] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6696),
    [anon_sym_BSLASHACRfull] = ACTIONS(6696),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHacs] = ACTIONS(6696),
    [anon_sym_BSLASHAcs] = ACTIONS(6696),
    [anon_sym_BSLASHacsp] = ACTIONS(6696),
    [anon_sym_BSLASHAcsp] = ACTIONS(6696),
    [anon_sym_BSLASHacl] = ACTIONS(6696),
    [anon_sym_BSLASHAcl] = ACTIONS(6696),
    [anon_sym_BSLASHaclp] = ACTIONS(6696),
    [anon_sym_BSLASHAclp] = ACTIONS(6696),
    [anon_sym_BSLASHacf] = ACTIONS(6696),
    [anon_sym_BSLASHAcf] = ACTIONS(6696),
    [anon_sym_BSLASHacfp] = ACTIONS(6696),
    [anon_sym_BSLASHAcfp] = ACTIONS(6696),
    [anon_sym_BSLASHac] = ACTIONS(6696),
    [anon_sym_BSLASHAc] = ACTIONS(6696),
    [anon_sym_BSLASHacp] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6696),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6696),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6696),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6696),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6698),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6696),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6696),
    [anon_sym_BSLASHcolor] = ACTIONS(6696),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6696),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6696),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6696),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6696),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6696),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6696),
    [anon_sym_BSLASHurl] = ACTIONS(6696),
    [anon_sym_BSLASHhref] = ACTIONS(6696),
  },
  [858] = {
    [sym__subsection_declaration] = STATE(192),
    [sym_subsection] = STATE(822),
    [aux_sym__section_repeat4] = STATE(822),
    [sym_command_name] = ACTIONS(6700),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6700),
    [anon_sym_LBRACK] = ACTIONS(6702),
    [anon_sym_RBRACK] = ACTIONS(6702),
    [anon_sym_COMMA] = ACTIONS(6702),
    [anon_sym_EQ] = ACTIONS(6702),
    [anon_sym_LPAREN] = ACTIONS(6702),
    [anon_sym_RPAREN] = ACTIONS(6702),
    [anon_sym_BSLASHpart] = ACTIONS(6700),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddpart] = ACTIONS(6700),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHchapter] = ACTIONS(6700),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddchap] = ACTIONS(6700),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsection] = ACTIONS(6700),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddsec] = ACTIONS(6700),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsubsection] = ACTIONS(692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6700),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHparagraph] = ACTIONS(6700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6700),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHitem] = ACTIONS(6700),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6702),
    [anon_sym_LBRACE] = ACTIONS(6702),
    [sym_word] = ACTIONS(6700),
    [sym_placeholder] = ACTIONS(6702),
    [sym_delimiter] = ACTIONS(6702),
    [anon_sym_PLUS] = ACTIONS(6702),
    [anon_sym_DASH] = ACTIONS(6702),
    [anon_sym_STAR] = ACTIONS(6702),
    [anon_sym_SLASH] = ACTIONS(6702),
    [anon_sym_LT] = ACTIONS(6700),
    [anon_sym_GT] = ACTIONS(6700),
    [anon_sym_BANG] = ACTIONS(6700),
    [anon_sym_PIPE] = ACTIONS(6700),
    [anon_sym_COLON] = ACTIONS(6700),
    [anon_sym_SQUOTE] = ACTIONS(6700),
    [anon_sym__] = ACTIONS(6702),
    [anon_sym_CARET] = ACTIONS(6702),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6702),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6702),
    [anon_sym_DOLLAR] = ACTIONS(6700),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6702),
    [anon_sym_BSLASHleft] = ACTIONS(6700),
    [anon_sym_BSLASHbigl] = ACTIONS(6700),
    [anon_sym_BSLASHBigl] = ACTIONS(6700),
    [anon_sym_BSLASHbiggl] = ACTIONS(6700),
    [anon_sym_BSLASHBiggl] = ACTIONS(6700),
    [anon_sym_BSLASHtext] = ACTIONS(6700),
    [anon_sym_BSLASHintertext] = ACTIONS(6700),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6700),
    [anon_sym_BSLASHbegin] = ACTIONS(6700),
    [anon_sym_BSLASHend] = ACTIONS(6700),
    [anon_sym_BSLASHtitle] = ACTIONS(6700),
    [anon_sym_BSLASHauthor] = ACTIONS(6700),
    [anon_sym_BSLASHusepackage] = ACTIONS(6700),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6700),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6700),
    [anon_sym_BSLASHinclude] = ACTIONS(6700),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6700),
    [anon_sym_BSLASHinput] = ACTIONS(6700),
    [anon_sym_BSLASHsubfile] = ACTIONS(6700),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6700),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6700),
    [anon_sym_BSLASHbibliography] = ACTIONS(6700),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6700),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6700),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6700),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6700),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6700),
    [anon_sym_BSLASHimport] = ACTIONS(6700),
    [anon_sym_BSLASHsubimport] = ACTIONS(6700),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6700),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6700),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6700),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6700),
    [anon_sym_BSLASHcaption] = ACTIONS(6700),
    [anon_sym_BSLASHcite] = ACTIONS(6700),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCite] = ACTIONS(6700),
    [anon_sym_BSLASHnocite] = ACTIONS(6700),
    [anon_sym_BSLASHcitet] = ACTIONS(6700),
    [anon_sym_BSLASHcitep] = ACTIONS(6700),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteA] = ACTIONS(6700),
    [anon_sym_BSLASHciteR] = ACTIONS(6700),
    [anon_sym_BSLASHciteS] = ACTIONS(6700),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6700),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6700),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6700),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6700),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteyear] = ACTIONS(6700),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitedate] = ACTIONS(6700),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteurl] = ACTIONS(6700),
    [anon_sym_BSLASHfullcite] = ACTIONS(6700),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6700),
    [anon_sym_BSLASHcitealt] = ACTIONS(6700),
    [anon_sym_BSLASHcitealp] = ACTIONS(6700),
    [anon_sym_BSLASHcitetext] = ACTIONS(6700),
    [anon_sym_BSLASHparencite] = ACTIONS(6700),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHParencite] = ACTIONS(6700),
    [anon_sym_BSLASHfootcite] = ACTIONS(6700),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6700),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6700),
    [anon_sym_BSLASHtextcite] = ACTIONS(6700),
    [anon_sym_BSLASHTextcite] = ACTIONS(6700),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6700),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6700),
    [anon_sym_BSLASHsupercite] = ACTIONS(6700),
    [anon_sym_BSLASHautocite] = ACTIONS(6700),
    [anon_sym_BSLASHAutocite] = ACTIONS(6700),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHVolcite] = ACTIONS(6700),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHavolcite] = ACTIONS(6700),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHNotecite] = ACTIONS(6700),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHlabel] = ACTIONS(6700),
    [anon_sym_BSLASHref] = ACTIONS(6700),
    [anon_sym_BSLASHeqref] = ACTIONS(6700),
    [anon_sym_BSLASHvref] = ACTIONS(6700),
    [anon_sym_BSLASHVref] = ACTIONS(6700),
    [anon_sym_BSLASHautoref] = ACTIONS(6700),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHpageref] = ACTIONS(6700),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHautopageref] = ACTIONS(6700),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcref] = ACTIONS(6700),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCref] = ACTIONS(6700),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcpageref] = ACTIONS(6700),
    [anon_sym_BSLASHCpageref] = ACTIONS(6700),
    [anon_sym_BSLASHnamecref] = ACTIONS(6700),
    [anon_sym_BSLASHnameCref] = ACTIONS(6700),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6700),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6700),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6700),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6700),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6700),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6700),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6700),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6700),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6700),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6700),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6700),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHdef] = ACTIONS(6700),
    [anon_sym_BSLASHgdef] = ACTIONS(6700),
    [anon_sym_BSLASHedef] = ACTIONS(6700),
    [anon_sym_BSLASHxdef] = ACTIONS(6700),
    [anon_sym_BSLASHlet] = ACTIONS(6700),
    [anon_sym_BSLASHglet] = ACTIONS(6700),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6700),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6700),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6700),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6700),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6700),
    [anon_sym_BSLASHgls] = ACTIONS(6700),
    [anon_sym_BSLASHGls] = ACTIONS(6700),
    [anon_sym_BSLASHGLS] = ACTIONS(6700),
    [anon_sym_BSLASHglspl] = ACTIONS(6700),
    [anon_sym_BSLASHGlspl] = ACTIONS(6700),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6700),
    [anon_sym_BSLASHglslink] = ACTIONS(6700),
    [anon_sym_BSLASHglstext] = ACTIONS(6700),
    [anon_sym_BSLASHGlstext] = ACTIONS(6700),
    [anon_sym_BSLASHGLStext] = ACTIONS(6700),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6700),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6700),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6700),
    [anon_sym_BSLASHglsplural] = ACTIONS(6700),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6700),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6700),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHglsname] = ACTIONS(6700),
    [anon_sym_BSLASHGlsname] = ACTIONS(6700),
    [anon_sym_BSLASHGLSname] = ACTIONS(6700),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6700),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6700),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6700),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6700),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6700),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6700),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6700),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6700),
    [anon_sym_BSLASHacrshort] = ACTIONS(6700),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6700),
    [anon_sym_BSLASHACRshort] = ACTIONS(6700),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHacrlong] = ACTIONS(6700),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6700),
    [anon_sym_BSLASHACRlong] = ACTIONS(6700),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHacrfull] = ACTIONS(6700),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6700),
    [anon_sym_BSLASHACRfull] = ACTIONS(6700),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHacs] = ACTIONS(6700),
    [anon_sym_BSLASHAcs] = ACTIONS(6700),
    [anon_sym_BSLASHacsp] = ACTIONS(6700),
    [anon_sym_BSLASHAcsp] = ACTIONS(6700),
    [anon_sym_BSLASHacl] = ACTIONS(6700),
    [anon_sym_BSLASHAcl] = ACTIONS(6700),
    [anon_sym_BSLASHaclp] = ACTIONS(6700),
    [anon_sym_BSLASHAclp] = ACTIONS(6700),
    [anon_sym_BSLASHacf] = ACTIONS(6700),
    [anon_sym_BSLASHAcf] = ACTIONS(6700),
    [anon_sym_BSLASHacfp] = ACTIONS(6700),
    [anon_sym_BSLASHAcfp] = ACTIONS(6700),
    [anon_sym_BSLASHac] = ACTIONS(6700),
    [anon_sym_BSLASHAc] = ACTIONS(6700),
    [anon_sym_BSLASHacp] = ACTIONS(6700),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6700),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6700),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6700),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6700),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6700),
    [anon_sym_BSLASHcolor] = ACTIONS(6700),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6700),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6700),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6700),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6700),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6700),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6700),
    [anon_sym_BSLASHurl] = ACTIONS(6700),
    [anon_sym_BSLASHhref] = ACTIONS(6700),
  },
  [859] = {
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(823),
    [aux_sym__section_repeat5] = STATE(823),
    [sym_command_name] = ACTIONS(6700),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6700),
    [anon_sym_LBRACK] = ACTIONS(6702),
    [anon_sym_RBRACK] = ACTIONS(6702),
    [anon_sym_COMMA] = ACTIONS(6702),
    [anon_sym_EQ] = ACTIONS(6702),
    [anon_sym_LPAREN] = ACTIONS(6702),
    [anon_sym_RPAREN] = ACTIONS(6702),
    [anon_sym_BSLASHpart] = ACTIONS(6700),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddpart] = ACTIONS(6700),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHchapter] = ACTIONS(6700),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddchap] = ACTIONS(6700),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsection] = ACTIONS(6700),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddsec] = ACTIONS(6700),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsubsection] = ACTIONS(6700),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(6700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6700),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHitem] = ACTIONS(6700),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6702),
    [anon_sym_LBRACE] = ACTIONS(6702),
    [sym_word] = ACTIONS(6700),
    [sym_placeholder] = ACTIONS(6702),
    [sym_delimiter] = ACTIONS(6702),
    [anon_sym_PLUS] = ACTIONS(6702),
    [anon_sym_DASH] = ACTIONS(6702),
    [anon_sym_STAR] = ACTIONS(6702),
    [anon_sym_SLASH] = ACTIONS(6702),
    [anon_sym_LT] = ACTIONS(6700),
    [anon_sym_GT] = ACTIONS(6700),
    [anon_sym_BANG] = ACTIONS(6700),
    [anon_sym_PIPE] = ACTIONS(6700),
    [anon_sym_COLON] = ACTIONS(6700),
    [anon_sym_SQUOTE] = ACTIONS(6700),
    [anon_sym__] = ACTIONS(6702),
    [anon_sym_CARET] = ACTIONS(6702),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6702),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6702),
    [anon_sym_DOLLAR] = ACTIONS(6700),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6702),
    [anon_sym_BSLASHleft] = ACTIONS(6700),
    [anon_sym_BSLASHbigl] = ACTIONS(6700),
    [anon_sym_BSLASHBigl] = ACTIONS(6700),
    [anon_sym_BSLASHbiggl] = ACTIONS(6700),
    [anon_sym_BSLASHBiggl] = ACTIONS(6700),
    [anon_sym_BSLASHtext] = ACTIONS(6700),
    [anon_sym_BSLASHintertext] = ACTIONS(6700),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6700),
    [anon_sym_BSLASHbegin] = ACTIONS(6700),
    [anon_sym_BSLASHend] = ACTIONS(6700),
    [anon_sym_BSLASHtitle] = ACTIONS(6700),
    [anon_sym_BSLASHauthor] = ACTIONS(6700),
    [anon_sym_BSLASHusepackage] = ACTIONS(6700),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6700),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6700),
    [anon_sym_BSLASHinclude] = ACTIONS(6700),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6700),
    [anon_sym_BSLASHinput] = ACTIONS(6700),
    [anon_sym_BSLASHsubfile] = ACTIONS(6700),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6700),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6700),
    [anon_sym_BSLASHbibliography] = ACTIONS(6700),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6700),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6700),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6700),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6700),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6700),
    [anon_sym_BSLASHimport] = ACTIONS(6700),
    [anon_sym_BSLASHsubimport] = ACTIONS(6700),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6700),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6700),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6700),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6700),
    [anon_sym_BSLASHcaption] = ACTIONS(6700),
    [anon_sym_BSLASHcite] = ACTIONS(6700),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCite] = ACTIONS(6700),
    [anon_sym_BSLASHnocite] = ACTIONS(6700),
    [anon_sym_BSLASHcitet] = ACTIONS(6700),
    [anon_sym_BSLASHcitep] = ACTIONS(6700),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteA] = ACTIONS(6700),
    [anon_sym_BSLASHciteR] = ACTIONS(6700),
    [anon_sym_BSLASHciteS] = ACTIONS(6700),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6700),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6700),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6700),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6700),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteyear] = ACTIONS(6700),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitedate] = ACTIONS(6700),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteurl] = ACTIONS(6700),
    [anon_sym_BSLASHfullcite] = ACTIONS(6700),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6700),
    [anon_sym_BSLASHcitealt] = ACTIONS(6700),
    [anon_sym_BSLASHcitealp] = ACTIONS(6700),
    [anon_sym_BSLASHcitetext] = ACTIONS(6700),
    [anon_sym_BSLASHparencite] = ACTIONS(6700),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHParencite] = ACTIONS(6700),
    [anon_sym_BSLASHfootcite] = ACTIONS(6700),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6700),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6700),
    [anon_sym_BSLASHtextcite] = ACTIONS(6700),
    [anon_sym_BSLASHTextcite] = ACTIONS(6700),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6700),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6700),
    [anon_sym_BSLASHsupercite] = ACTIONS(6700),
    [anon_sym_BSLASHautocite] = ACTIONS(6700),
    [anon_sym_BSLASHAutocite] = ACTIONS(6700),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHVolcite] = ACTIONS(6700),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHavolcite] = ACTIONS(6700),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHNotecite] = ACTIONS(6700),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHlabel] = ACTIONS(6700),
    [anon_sym_BSLASHref] = ACTIONS(6700),
    [anon_sym_BSLASHeqref] = ACTIONS(6700),
    [anon_sym_BSLASHvref] = ACTIONS(6700),
    [anon_sym_BSLASHVref] = ACTIONS(6700),
    [anon_sym_BSLASHautoref] = ACTIONS(6700),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHpageref] = ACTIONS(6700),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHautopageref] = ACTIONS(6700),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcref] = ACTIONS(6700),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCref] = ACTIONS(6700),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcpageref] = ACTIONS(6700),
    [anon_sym_BSLASHCpageref] = ACTIONS(6700),
    [anon_sym_BSLASHnamecref] = ACTIONS(6700),
    [anon_sym_BSLASHnameCref] = ACTIONS(6700),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6700),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6700),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6700),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6700),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6700),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6700),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6700),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6700),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6700),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6700),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6700),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHdef] = ACTIONS(6700),
    [anon_sym_BSLASHgdef] = ACTIONS(6700),
    [anon_sym_BSLASHedef] = ACTIONS(6700),
    [anon_sym_BSLASHxdef] = ACTIONS(6700),
    [anon_sym_BSLASHlet] = ACTIONS(6700),
    [anon_sym_BSLASHglet] = ACTIONS(6700),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6700),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6700),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6700),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6700),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6700),
    [anon_sym_BSLASHgls] = ACTIONS(6700),
    [anon_sym_BSLASHGls] = ACTIONS(6700),
    [anon_sym_BSLASHGLS] = ACTIONS(6700),
    [anon_sym_BSLASHglspl] = ACTIONS(6700),
    [anon_sym_BSLASHGlspl] = ACTIONS(6700),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6700),
    [anon_sym_BSLASHglslink] = ACTIONS(6700),
    [anon_sym_BSLASHglstext] = ACTIONS(6700),
    [anon_sym_BSLASHGlstext] = ACTIONS(6700),
    [anon_sym_BSLASHGLStext] = ACTIONS(6700),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6700),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6700),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6700),
    [anon_sym_BSLASHglsplural] = ACTIONS(6700),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6700),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6700),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHglsname] = ACTIONS(6700),
    [anon_sym_BSLASHGlsname] = ACTIONS(6700),
    [anon_sym_BSLASHGLSname] = ACTIONS(6700),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6700),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6700),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6700),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6700),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6700),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6700),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6700),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6700),
    [anon_sym_BSLASHacrshort] = ACTIONS(6700),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6700),
    [anon_sym_BSLASHACRshort] = ACTIONS(6700),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHacrlong] = ACTIONS(6700),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6700),
    [anon_sym_BSLASHACRlong] = ACTIONS(6700),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHacrfull] = ACTIONS(6700),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6700),
    [anon_sym_BSLASHACRfull] = ACTIONS(6700),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHacs] = ACTIONS(6700),
    [anon_sym_BSLASHAcs] = ACTIONS(6700),
    [anon_sym_BSLASHacsp] = ACTIONS(6700),
    [anon_sym_BSLASHAcsp] = ACTIONS(6700),
    [anon_sym_BSLASHacl] = ACTIONS(6700),
    [anon_sym_BSLASHAcl] = ACTIONS(6700),
    [anon_sym_BSLASHaclp] = ACTIONS(6700),
    [anon_sym_BSLASHAclp] = ACTIONS(6700),
    [anon_sym_BSLASHacf] = ACTIONS(6700),
    [anon_sym_BSLASHAcf] = ACTIONS(6700),
    [anon_sym_BSLASHacfp] = ACTIONS(6700),
    [anon_sym_BSLASHAcfp] = ACTIONS(6700),
    [anon_sym_BSLASHac] = ACTIONS(6700),
    [anon_sym_BSLASHAc] = ACTIONS(6700),
    [anon_sym_BSLASHacp] = ACTIONS(6700),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6700),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6700),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6700),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6700),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6700),
    [anon_sym_BSLASHcolor] = ACTIONS(6700),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6700),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6700),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6700),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6700),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6700),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6700),
    [anon_sym_BSLASHurl] = ACTIONS(6700),
    [anon_sym_BSLASHhref] = ACTIONS(6700),
  },
  [860] = {
    [sym__subsubsection_declaration] = STATE(203),
    [sym_subsubsection] = STATE(823),
    [aux_sym__section_repeat5] = STATE(823),
    [sym_command_name] = ACTIONS(6706),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6706),
    [anon_sym_LBRACK] = ACTIONS(6708),
    [anon_sym_RBRACK] = ACTIONS(6708),
    [anon_sym_COMMA] = ACTIONS(6708),
    [anon_sym_EQ] = ACTIONS(6708),
    [anon_sym_LPAREN] = ACTIONS(6708),
    [anon_sym_RPAREN] = ACTIONS(6708),
    [anon_sym_BSLASHpart] = ACTIONS(6706),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHaddpart] = ACTIONS(6706),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHchapter] = ACTIONS(6706),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHaddchap] = ACTIONS(6706),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHsection] = ACTIONS(6706),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHaddsec] = ACTIONS(6706),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHsubsection] = ACTIONS(6706),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(696),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(698),
    [anon_sym_BSLASHparagraph] = ACTIONS(6706),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6706),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHitem] = ACTIONS(6706),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6708),
    [anon_sym_LBRACE] = ACTIONS(6708),
    [sym_word] = ACTIONS(6706),
    [sym_placeholder] = ACTIONS(6708),
    [sym_delimiter] = ACTIONS(6708),
    [anon_sym_PLUS] = ACTIONS(6708),
    [anon_sym_DASH] = ACTIONS(6708),
    [anon_sym_STAR] = ACTIONS(6708),
    [anon_sym_SLASH] = ACTIONS(6708),
    [anon_sym_LT] = ACTIONS(6706),
    [anon_sym_GT] = ACTIONS(6706),
    [anon_sym_BANG] = ACTIONS(6706),
    [anon_sym_PIPE] = ACTIONS(6706),
    [anon_sym_COLON] = ACTIONS(6706),
    [anon_sym_SQUOTE] = ACTIONS(6706),
    [anon_sym__] = ACTIONS(6708),
    [anon_sym_CARET] = ACTIONS(6708),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6708),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6708),
    [anon_sym_DOLLAR] = ACTIONS(6706),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6708),
    [anon_sym_BSLASHleft] = ACTIONS(6706),
    [anon_sym_BSLASHbigl] = ACTIONS(6706),
    [anon_sym_BSLASHBigl] = ACTIONS(6706),
    [anon_sym_BSLASHbiggl] = ACTIONS(6706),
    [anon_sym_BSLASHBiggl] = ACTIONS(6706),
    [anon_sym_BSLASHtext] = ACTIONS(6706),
    [anon_sym_BSLASHintertext] = ACTIONS(6706),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6706),
    [anon_sym_BSLASHbegin] = ACTIONS(6706),
    [anon_sym_BSLASHend] = ACTIONS(6706),
    [anon_sym_BSLASHtitle] = ACTIONS(6706),
    [anon_sym_BSLASHauthor] = ACTIONS(6706),
    [anon_sym_BSLASHusepackage] = ACTIONS(6706),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6706),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6706),
    [anon_sym_BSLASHinclude] = ACTIONS(6706),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6706),
    [anon_sym_BSLASHinput] = ACTIONS(6706),
    [anon_sym_BSLASHsubfile] = ACTIONS(6706),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6706),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6706),
    [anon_sym_BSLASHbibliography] = ACTIONS(6706),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6706),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6706),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6706),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6706),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6706),
    [anon_sym_BSLASHimport] = ACTIONS(6706),
    [anon_sym_BSLASHsubimport] = ACTIONS(6706),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6706),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6706),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6706),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6706),
    [anon_sym_BSLASHcaption] = ACTIONS(6706),
    [anon_sym_BSLASHcite] = ACTIONS(6706),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHCite] = ACTIONS(6706),
    [anon_sym_BSLASHnocite] = ACTIONS(6706),
    [anon_sym_BSLASHcitet] = ACTIONS(6706),
    [anon_sym_BSLASHcitep] = ACTIONS(6706),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHciteA] = ACTIONS(6706),
    [anon_sym_BSLASHciteR] = ACTIONS(6706),
    [anon_sym_BSLASHciteS] = ACTIONS(6706),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6706),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6706),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6706),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6706),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHciteyear] = ACTIONS(6706),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcitedate] = ACTIONS(6706),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHciteurl] = ACTIONS(6706),
    [anon_sym_BSLASHfullcite] = ACTIONS(6706),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6706),
    [anon_sym_BSLASHcitealt] = ACTIONS(6706),
    [anon_sym_BSLASHcitealp] = ACTIONS(6706),
    [anon_sym_BSLASHcitetext] = ACTIONS(6706),
    [anon_sym_BSLASHparencite] = ACTIONS(6706),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHParencite] = ACTIONS(6706),
    [anon_sym_BSLASHfootcite] = ACTIONS(6706),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6706),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6706),
    [anon_sym_BSLASHtextcite] = ACTIONS(6706),
    [anon_sym_BSLASHTextcite] = ACTIONS(6706),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6706),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6706),
    [anon_sym_BSLASHsupercite] = ACTIONS(6706),
    [anon_sym_BSLASHautocite] = ACTIONS(6706),
    [anon_sym_BSLASHAutocite] = ACTIONS(6706),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHVolcite] = ACTIONS(6706),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHavolcite] = ACTIONS(6706),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHnotecite] = ACTIONS(6706),
    [anon_sym_BSLASHNotecite] = ACTIONS(6706),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6706),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6706),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6706),
    [anon_sym_BSLASHlabel] = ACTIONS(6706),
    [anon_sym_BSLASHref] = ACTIONS(6706),
    [anon_sym_BSLASHeqref] = ACTIONS(6706),
    [anon_sym_BSLASHvref] = ACTIONS(6706),
    [anon_sym_BSLASHVref] = ACTIONS(6706),
    [anon_sym_BSLASHautoref] = ACTIONS(6706),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHpageref] = ACTIONS(6706),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHautopageref] = ACTIONS(6706),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcref] = ACTIONS(6706),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHCref] = ACTIONS(6706),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcpageref] = ACTIONS(6706),
    [anon_sym_BSLASHCpageref] = ACTIONS(6706),
    [anon_sym_BSLASHnamecref] = ACTIONS(6706),
    [anon_sym_BSLASHnameCref] = ACTIONS(6706),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6706),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6706),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6706),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6706),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6706),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6706),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6706),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6706),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6706),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6706),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6706),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6706),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6706),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6706),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6706),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6706),
    [anon_sym_BSLASHdef] = ACTIONS(6706),
    [anon_sym_BSLASHgdef] = ACTIONS(6706),
    [anon_sym_BSLASHedef] = ACTIONS(6706),
    [anon_sym_BSLASHxdef] = ACTIONS(6706),
    [anon_sym_BSLASHlet] = ACTIONS(6706),
    [anon_sym_BSLASHglet] = ACTIONS(6706),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6706),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6706),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6706),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6706),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6706),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6706),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6706),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6706),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6706),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6706),
    [anon_sym_BSLASHgls] = ACTIONS(6706),
    [anon_sym_BSLASHGls] = ACTIONS(6706),
    [anon_sym_BSLASHGLS] = ACTIONS(6706),
    [anon_sym_BSLASHglspl] = ACTIONS(6706),
    [anon_sym_BSLASHGlspl] = ACTIONS(6706),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6706),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6706),
    [anon_sym_BSLASHglslink] = ACTIONS(6706),
    [anon_sym_BSLASHglstext] = ACTIONS(6706),
    [anon_sym_BSLASHGlstext] = ACTIONS(6706),
    [anon_sym_BSLASHGLStext] = ACTIONS(6706),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6706),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6706),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6706),
    [anon_sym_BSLASHglsplural] = ACTIONS(6706),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6706),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6706),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6706),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6706),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6706),
    [anon_sym_BSLASHglsname] = ACTIONS(6706),
    [anon_sym_BSLASHGlsname] = ACTIONS(6706),
    [anon_sym_BSLASHGLSname] = ACTIONS(6706),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6706),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6706),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6706),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6706),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6706),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6706),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6706),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6706),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6706),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6706),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6706),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6706),
    [anon_sym_BSLASHacrshort] = ACTIONS(6706),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6706),
    [anon_sym_BSLASHACRshort] = ACTIONS(6706),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6706),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6706),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6706),
    [anon_sym_BSLASHacrlong] = ACTIONS(6706),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6706),
    [anon_sym_BSLASHACRlong] = ACTIONS(6706),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6706),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6706),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6706),
    [anon_sym_BSLASHacrfull] = ACTIONS(6706),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6706),
    [anon_sym_BSLASHACRfull] = ACTIONS(6706),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6706),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6706),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6706),
    [anon_sym_BSLASHacs] = ACTIONS(6706),
    [anon_sym_BSLASHAcs] = ACTIONS(6706),
    [anon_sym_BSLASHacsp] = ACTIONS(6706),
    [anon_sym_BSLASHAcsp] = ACTIONS(6706),
    [anon_sym_BSLASHacl] = ACTIONS(6706),
    [anon_sym_BSLASHAcl] = ACTIONS(6706),
    [anon_sym_BSLASHaclp] = ACTIONS(6706),
    [anon_sym_BSLASHAclp] = ACTIONS(6706),
    [anon_sym_BSLASHacf] = ACTIONS(6706),
    [anon_sym_BSLASHAcf] = ACTIONS(6706),
    [anon_sym_BSLASHacfp] = ACTIONS(6706),
    [anon_sym_BSLASHAcfp] = ACTIONS(6706),
    [anon_sym_BSLASHac] = ACTIONS(6706),
    [anon_sym_BSLASHAc] = ACTIONS(6706),
    [anon_sym_BSLASHacp] = ACTIONS(6706),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6706),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6706),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6706),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6706),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6706),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6706),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6706),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6706),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6706),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6706),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6706),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6706),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6706),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6706),
    [anon_sym_BSLASHcolor] = ACTIONS(6706),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6706),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6706),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6706),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6706),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6706),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6706),
    [anon_sym_BSLASHurl] = ACTIONS(6706),
    [anon_sym_BSLASHhref] = ACTIONS(6706),
  },
  [861] = {
    [sym_curly_group] = STATE(959),
    [sym_brack_group_text] = STATE(2790),
    [ts_builtin_sym_end] = ACTIONS(6885),
    [sym_command_name] = ACTIONS(6881),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6881),
    [anon_sym_LBRACK] = ACTIONS(6883),
    [anon_sym_RBRACK] = ACTIONS(6885),
    [anon_sym_COMMA] = ACTIONS(6885),
    [anon_sym_EQ] = ACTIONS(6885),
    [anon_sym_LPAREN] = ACTIONS(6885),
    [anon_sym_RPAREN] = ACTIONS(6885),
    [anon_sym_BSLASHpart] = ACTIONS(6881),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHaddpart] = ACTIONS(6881),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHchapter] = ACTIONS(6881),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHaddchap] = ACTIONS(6881),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHsection] = ACTIONS(6881),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHaddsec] = ACTIONS(6881),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHsubsection] = ACTIONS(6881),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6881),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHparagraph] = ACTIONS(6881),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6881),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHitem] = ACTIONS(6881),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6885),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(6885),
    [sym_word] = ACTIONS(6881),
    [sym_placeholder] = ACTIONS(6885),
    [sym_delimiter] = ACTIONS(6885),
    [anon_sym_PLUS] = ACTIONS(6885),
    [anon_sym_DASH] = ACTIONS(6885),
    [anon_sym_STAR] = ACTIONS(6885),
    [anon_sym_SLASH] = ACTIONS(6885),
    [anon_sym_LT] = ACTIONS(6881),
    [anon_sym_GT] = ACTIONS(6881),
    [anon_sym_BANG] = ACTIONS(6881),
    [anon_sym_PIPE] = ACTIONS(6881),
    [anon_sym_COLON] = ACTIONS(6881),
    [anon_sym_SQUOTE] = ACTIONS(6881),
    [anon_sym__] = ACTIONS(6885),
    [anon_sym_CARET] = ACTIONS(6885),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6885),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6885),
    [anon_sym_DOLLAR] = ACTIONS(6881),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6885),
    [anon_sym_BSLASHleft] = ACTIONS(6881),
    [anon_sym_BSLASHbigl] = ACTIONS(6881),
    [anon_sym_BSLASHBigl] = ACTIONS(6881),
    [anon_sym_BSLASHbiggl] = ACTIONS(6881),
    [anon_sym_BSLASHBiggl] = ACTIONS(6881),
    [anon_sym_BSLASHtext] = ACTIONS(6881),
    [anon_sym_BSLASHintertext] = ACTIONS(6881),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6881),
    [anon_sym_BSLASHbegin] = ACTIONS(6881),
    [anon_sym_BSLASHtitle] = ACTIONS(6881),
    [anon_sym_BSLASHauthor] = ACTIONS(6881),
    [anon_sym_BSLASHusepackage] = ACTIONS(6881),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6881),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6881),
    [anon_sym_BSLASHinclude] = ACTIONS(6881),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6881),
    [anon_sym_BSLASHinput] = ACTIONS(6881),
    [anon_sym_BSLASHsubfile] = ACTIONS(6881),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6881),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6881),
    [anon_sym_BSLASHbibliography] = ACTIONS(6881),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6881),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6881),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6881),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6881),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6881),
    [anon_sym_BSLASHimport] = ACTIONS(6881),
    [anon_sym_BSLASHsubimport] = ACTIONS(6881),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6881),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6881),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6881),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6881),
    [anon_sym_BSLASHcaption] = ACTIONS(6881),
    [anon_sym_BSLASHcite] = ACTIONS(6881),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCite] = ACTIONS(6881),
    [anon_sym_BSLASHnocite] = ACTIONS(6881),
    [anon_sym_BSLASHcitet] = ACTIONS(6881),
    [anon_sym_BSLASHcitep] = ACTIONS(6881),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteA] = ACTIONS(6881),
    [anon_sym_BSLASHciteR] = ACTIONS(6881),
    [anon_sym_BSLASHciteS] = ACTIONS(6881),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6881),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6881),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6881),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6881),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteyear] = ACTIONS(6881),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitedate] = ACTIONS(6881),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteurl] = ACTIONS(6881),
    [anon_sym_BSLASHfullcite] = ACTIONS(6881),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6881),
    [anon_sym_BSLASHcitealt] = ACTIONS(6881),
    [anon_sym_BSLASHcitealp] = ACTIONS(6881),
    [anon_sym_BSLASHcitetext] = ACTIONS(6881),
    [anon_sym_BSLASHparencite] = ACTIONS(6881),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHParencite] = ACTIONS(6881),
    [anon_sym_BSLASHfootcite] = ACTIONS(6881),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6881),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6881),
    [anon_sym_BSLASHtextcite] = ACTIONS(6881),
    [anon_sym_BSLASHTextcite] = ACTIONS(6881),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6881),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6881),
    [anon_sym_BSLASHsupercite] = ACTIONS(6881),
    [anon_sym_BSLASHautocite] = ACTIONS(6881),
    [anon_sym_BSLASHAutocite] = ACTIONS(6881),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHVolcite] = ACTIONS(6881),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHavolcite] = ACTIONS(6881),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHNotecite] = ACTIONS(6881),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHlabel] = ACTIONS(6881),
    [anon_sym_BSLASHref] = ACTIONS(6881),
    [anon_sym_BSLASHeqref] = ACTIONS(6881),
    [anon_sym_BSLASHvref] = ACTIONS(6881),
    [anon_sym_BSLASHVref] = ACTIONS(6881),
    [anon_sym_BSLASHautoref] = ACTIONS(6881),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHpageref] = ACTIONS(6881),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHautopageref] = ACTIONS(6881),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcref] = ACTIONS(6881),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCref] = ACTIONS(6881),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcpageref] = ACTIONS(6881),
    [anon_sym_BSLASHCpageref] = ACTIONS(6881),
    [anon_sym_BSLASHnamecref] = ACTIONS(6881),
    [anon_sym_BSLASHnameCref] = ACTIONS(6881),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6881),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6881),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6881),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6881),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6881),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6881),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6881),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6881),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6881),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6881),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6881),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHdef] = ACTIONS(6881),
    [anon_sym_BSLASHgdef] = ACTIONS(6881),
    [anon_sym_BSLASHedef] = ACTIONS(6881),
    [anon_sym_BSLASHxdef] = ACTIONS(6881),
    [anon_sym_BSLASHlet] = ACTIONS(6881),
    [anon_sym_BSLASHglet] = ACTIONS(6881),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6881),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6881),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6881),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6881),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6881),
    [anon_sym_BSLASHgls] = ACTIONS(6881),
    [anon_sym_BSLASHGls] = ACTIONS(6881),
    [anon_sym_BSLASHGLS] = ACTIONS(6881),
    [anon_sym_BSLASHglspl] = ACTIONS(6881),
    [anon_sym_BSLASHGlspl] = ACTIONS(6881),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6881),
    [anon_sym_BSLASHglslink] = ACTIONS(6881),
    [anon_sym_BSLASHglstext] = ACTIONS(6881),
    [anon_sym_BSLASHGlstext] = ACTIONS(6881),
    [anon_sym_BSLASHGLStext] = ACTIONS(6881),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6881),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6881),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6881),
    [anon_sym_BSLASHglsplural] = ACTIONS(6881),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6881),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6881),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHglsname] = ACTIONS(6881),
    [anon_sym_BSLASHGlsname] = ACTIONS(6881),
    [anon_sym_BSLASHGLSname] = ACTIONS(6881),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6881),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6881),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6881),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6881),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6881),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6881),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6881),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6881),
    [anon_sym_BSLASHacrshort] = ACTIONS(6881),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6881),
    [anon_sym_BSLASHACRshort] = ACTIONS(6881),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHacrlong] = ACTIONS(6881),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6881),
    [anon_sym_BSLASHACRlong] = ACTIONS(6881),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHacrfull] = ACTIONS(6881),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6881),
    [anon_sym_BSLASHACRfull] = ACTIONS(6881),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHacs] = ACTIONS(6881),
    [anon_sym_BSLASHAcs] = ACTIONS(6881),
    [anon_sym_BSLASHacsp] = ACTIONS(6881),
    [anon_sym_BSLASHAcsp] = ACTIONS(6881),
    [anon_sym_BSLASHacl] = ACTIONS(6881),
    [anon_sym_BSLASHAcl] = ACTIONS(6881),
    [anon_sym_BSLASHaclp] = ACTIONS(6881),
    [anon_sym_BSLASHAclp] = ACTIONS(6881),
    [anon_sym_BSLASHacf] = ACTIONS(6881),
    [anon_sym_BSLASHAcf] = ACTIONS(6881),
    [anon_sym_BSLASHacfp] = ACTIONS(6881),
    [anon_sym_BSLASHAcfp] = ACTIONS(6881),
    [anon_sym_BSLASHac] = ACTIONS(6881),
    [anon_sym_BSLASHAc] = ACTIONS(6881),
    [anon_sym_BSLASHacp] = ACTIONS(6881),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6881),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6881),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6881),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6881),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6881),
    [anon_sym_BSLASHcolor] = ACTIONS(6881),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6881),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6881),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6881),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6881),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6881),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6881),
    [anon_sym_BSLASHurl] = ACTIONS(6881),
    [anon_sym_BSLASHhref] = ACTIONS(6881),
  },
  [862] = {
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(921),
    [aux_sym__section_repeat5] = STATE(921),
    [sym_command_name] = ACTIONS(6700),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6700),
    [anon_sym_LBRACK] = ACTIONS(6702),
    [anon_sym_RBRACK] = ACTIONS(6702),
    [anon_sym_COMMA] = ACTIONS(6702),
    [anon_sym_EQ] = ACTIONS(6702),
    [anon_sym_LPAREN] = ACTIONS(6702),
    [anon_sym_RPAREN] = ACTIONS(6702),
    [anon_sym_BSLASHpart] = ACTIONS(6700),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddpart] = ACTIONS(6700),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHchapter] = ACTIONS(6700),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddchap] = ACTIONS(6700),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsection] = ACTIONS(6700),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHaddsec] = ACTIONS(6700),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsubsection] = ACTIONS(6700),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(6700),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6700),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHitem] = ACTIONS(6700),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6702),
    [anon_sym_LBRACE] = ACTIONS(6702),
    [sym_word] = ACTIONS(6700),
    [sym_placeholder] = ACTIONS(6702),
    [sym_delimiter] = ACTIONS(6702),
    [anon_sym_PLUS] = ACTIONS(6702),
    [anon_sym_DASH] = ACTIONS(6702),
    [anon_sym_STAR] = ACTIONS(6702),
    [anon_sym_SLASH] = ACTIONS(6702),
    [anon_sym_LT] = ACTIONS(6700),
    [anon_sym_GT] = ACTIONS(6700),
    [anon_sym_BANG] = ACTIONS(6700),
    [anon_sym_PIPE] = ACTIONS(6700),
    [anon_sym_COLON] = ACTIONS(6700),
    [anon_sym_SQUOTE] = ACTIONS(6700),
    [anon_sym__] = ACTIONS(6702),
    [anon_sym_CARET] = ACTIONS(6702),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6702),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6702),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6702),
    [anon_sym_DOLLAR] = ACTIONS(6700),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6702),
    [anon_sym_BSLASHleft] = ACTIONS(6700),
    [anon_sym_BSLASHbigl] = ACTIONS(6700),
    [anon_sym_BSLASHBigl] = ACTIONS(6700),
    [anon_sym_BSLASHbiggl] = ACTIONS(6700),
    [anon_sym_BSLASHBiggl] = ACTIONS(6700),
    [anon_sym_BSLASHtext] = ACTIONS(6700),
    [anon_sym_BSLASHintertext] = ACTIONS(6700),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6700),
    [anon_sym_BSLASHbegin] = ACTIONS(6700),
    [anon_sym_BSLASHtitle] = ACTIONS(6700),
    [anon_sym_BSLASHauthor] = ACTIONS(6700),
    [anon_sym_BSLASHusepackage] = ACTIONS(6700),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6700),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6700),
    [anon_sym_BSLASHinclude] = ACTIONS(6700),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6700),
    [anon_sym_BSLASHinput] = ACTIONS(6700),
    [anon_sym_BSLASHsubfile] = ACTIONS(6700),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6700),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6700),
    [anon_sym_BSLASHbibliography] = ACTIONS(6700),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6700),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6700),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6700),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6700),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6700),
    [anon_sym_BSLASHimport] = ACTIONS(6700),
    [anon_sym_BSLASHsubimport] = ACTIONS(6700),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6700),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6700),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6700),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6700),
    [anon_sym_BSLASHcaption] = ACTIONS(6700),
    [anon_sym_BSLASHcite] = ACTIONS(6700),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCite] = ACTIONS(6700),
    [anon_sym_BSLASHnocite] = ACTIONS(6700),
    [anon_sym_BSLASHcitet] = ACTIONS(6700),
    [anon_sym_BSLASHcitep] = ACTIONS(6700),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteA] = ACTIONS(6700),
    [anon_sym_BSLASHciteR] = ACTIONS(6700),
    [anon_sym_BSLASHciteS] = ACTIONS(6700),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6700),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6700),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6700),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6700),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteyear] = ACTIONS(6700),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcitedate] = ACTIONS(6700),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHciteurl] = ACTIONS(6700),
    [anon_sym_BSLASHfullcite] = ACTIONS(6700),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6700),
    [anon_sym_BSLASHcitealt] = ACTIONS(6700),
    [anon_sym_BSLASHcitealp] = ACTIONS(6700),
    [anon_sym_BSLASHcitetext] = ACTIONS(6700),
    [anon_sym_BSLASHparencite] = ACTIONS(6700),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHParencite] = ACTIONS(6700),
    [anon_sym_BSLASHfootcite] = ACTIONS(6700),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6700),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6700),
    [anon_sym_BSLASHtextcite] = ACTIONS(6700),
    [anon_sym_BSLASHTextcite] = ACTIONS(6700),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6700),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6700),
    [anon_sym_BSLASHsupercite] = ACTIONS(6700),
    [anon_sym_BSLASHautocite] = ACTIONS(6700),
    [anon_sym_BSLASHAutocite] = ACTIONS(6700),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHVolcite] = ACTIONS(6700),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHavolcite] = ACTIONS(6700),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6700),
    [anon_sym_BSLASHnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHNotecite] = ACTIONS(6700),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6700),
    [anon_sym_BSLASHlabel] = ACTIONS(6700),
    [anon_sym_BSLASHref] = ACTIONS(6700),
    [anon_sym_BSLASHeqref] = ACTIONS(6700),
    [anon_sym_BSLASHvref] = ACTIONS(6700),
    [anon_sym_BSLASHVref] = ACTIONS(6700),
    [anon_sym_BSLASHautoref] = ACTIONS(6700),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHpageref] = ACTIONS(6700),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHautopageref] = ACTIONS(6700),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcref] = ACTIONS(6700),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCref] = ACTIONS(6700),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcpageref] = ACTIONS(6700),
    [anon_sym_BSLASHCpageref] = ACTIONS(6700),
    [anon_sym_BSLASHnamecref] = ACTIONS(6700),
    [anon_sym_BSLASHnameCref] = ACTIONS(6700),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6700),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6700),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6700),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6700),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6700),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6700),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6700),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6700),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6700),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6700),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6700),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6700),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6700),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6700),
    [anon_sym_BSLASHdef] = ACTIONS(6700),
    [anon_sym_BSLASHgdef] = ACTIONS(6700),
    [anon_sym_BSLASHedef] = ACTIONS(6700),
    [anon_sym_BSLASHxdef] = ACTIONS(6700),
    [anon_sym_BSLASHlet] = ACTIONS(6700),
    [anon_sym_BSLASHglet] = ACTIONS(6700),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6700),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6700),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6700),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6700),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6700),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6700),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6700),
    [anon_sym_BSLASHgls] = ACTIONS(6700),
    [anon_sym_BSLASHGls] = ACTIONS(6700),
    [anon_sym_BSLASHGLS] = ACTIONS(6700),
    [anon_sym_BSLASHglspl] = ACTIONS(6700),
    [anon_sym_BSLASHGlspl] = ACTIONS(6700),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6700),
    [anon_sym_BSLASHglslink] = ACTIONS(6700),
    [anon_sym_BSLASHglstext] = ACTIONS(6700),
    [anon_sym_BSLASHGlstext] = ACTIONS(6700),
    [anon_sym_BSLASHGLStext] = ACTIONS(6700),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6700),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6700),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6700),
    [anon_sym_BSLASHglsplural] = ACTIONS(6700),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6700),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6700),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6700),
    [anon_sym_BSLASHglsname] = ACTIONS(6700),
    [anon_sym_BSLASHGlsname] = ACTIONS(6700),
    [anon_sym_BSLASHGLSname] = ACTIONS(6700),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6700),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6700),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6700),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6700),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6700),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6700),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6700),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6700),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6700),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6700),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6700),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6700),
    [anon_sym_BSLASHacrshort] = ACTIONS(6700),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6700),
    [anon_sym_BSLASHACRshort] = ACTIONS(6700),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHacrlong] = ACTIONS(6700),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6700),
    [anon_sym_BSLASHACRlong] = ACTIONS(6700),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6700),
    [anon_sym_BSLASHacrfull] = ACTIONS(6700),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6700),
    [anon_sym_BSLASHACRfull] = ACTIONS(6700),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHacs] = ACTIONS(6700),
    [anon_sym_BSLASHAcs] = ACTIONS(6700),
    [anon_sym_BSLASHacsp] = ACTIONS(6700),
    [anon_sym_BSLASHAcsp] = ACTIONS(6700),
    [anon_sym_BSLASHacl] = ACTIONS(6700),
    [anon_sym_BSLASHAcl] = ACTIONS(6700),
    [anon_sym_BSLASHaclp] = ACTIONS(6700),
    [anon_sym_BSLASHAclp] = ACTIONS(6700),
    [anon_sym_BSLASHacf] = ACTIONS(6700),
    [anon_sym_BSLASHAcf] = ACTIONS(6700),
    [anon_sym_BSLASHacfp] = ACTIONS(6700),
    [anon_sym_BSLASHAcfp] = ACTIONS(6700),
    [anon_sym_BSLASHac] = ACTIONS(6700),
    [anon_sym_BSLASHAc] = ACTIONS(6700),
    [anon_sym_BSLASHacp] = ACTIONS(6700),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6700),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6700),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6700),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6700),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6700),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6702),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6700),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6700),
    [anon_sym_BSLASHcolor] = ACTIONS(6700),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6700),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6700),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6700),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6700),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6700),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6700),
    [anon_sym_BSLASHurl] = ACTIONS(6700),
    [anon_sym_BSLASHhref] = ACTIONS(6700),
  },
  [863] = {
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(921),
    [aux_sym__section_repeat5] = STATE(921),
    [sym_command_name] = ACTIONS(6706),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6706),
    [anon_sym_LBRACK] = ACTIONS(6708),
    [anon_sym_RBRACK] = ACTIONS(6708),
    [anon_sym_COMMA] = ACTIONS(6708),
    [anon_sym_EQ] = ACTIONS(6708),
    [anon_sym_LPAREN] = ACTIONS(6708),
    [anon_sym_RPAREN] = ACTIONS(6708),
    [anon_sym_BSLASHpart] = ACTIONS(6706),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHaddpart] = ACTIONS(6706),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHchapter] = ACTIONS(6706),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHaddchap] = ACTIONS(6706),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHsection] = ACTIONS(6706),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHaddsec] = ACTIONS(6706),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHsubsection] = ACTIONS(6706),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(6706),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6706),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHitem] = ACTIONS(6706),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6708),
    [anon_sym_LBRACE] = ACTIONS(6708),
    [sym_word] = ACTIONS(6706),
    [sym_placeholder] = ACTIONS(6708),
    [sym_delimiter] = ACTIONS(6708),
    [anon_sym_PLUS] = ACTIONS(6708),
    [anon_sym_DASH] = ACTIONS(6708),
    [anon_sym_STAR] = ACTIONS(6708),
    [anon_sym_SLASH] = ACTIONS(6708),
    [anon_sym_LT] = ACTIONS(6706),
    [anon_sym_GT] = ACTIONS(6706),
    [anon_sym_BANG] = ACTIONS(6706),
    [anon_sym_PIPE] = ACTIONS(6706),
    [anon_sym_COLON] = ACTIONS(6706),
    [anon_sym_SQUOTE] = ACTIONS(6706),
    [anon_sym__] = ACTIONS(6708),
    [anon_sym_CARET] = ACTIONS(6708),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6708),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6708),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6708),
    [anon_sym_DOLLAR] = ACTIONS(6706),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6708),
    [anon_sym_BSLASHleft] = ACTIONS(6706),
    [anon_sym_BSLASHbigl] = ACTIONS(6706),
    [anon_sym_BSLASHBigl] = ACTIONS(6706),
    [anon_sym_BSLASHbiggl] = ACTIONS(6706),
    [anon_sym_BSLASHBiggl] = ACTIONS(6706),
    [anon_sym_BSLASHtext] = ACTIONS(6706),
    [anon_sym_BSLASHintertext] = ACTIONS(6706),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6706),
    [anon_sym_BSLASHbegin] = ACTIONS(6706),
    [anon_sym_BSLASHtitle] = ACTIONS(6706),
    [anon_sym_BSLASHauthor] = ACTIONS(6706),
    [anon_sym_BSLASHusepackage] = ACTIONS(6706),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6706),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6706),
    [anon_sym_BSLASHinclude] = ACTIONS(6706),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6706),
    [anon_sym_BSLASHinput] = ACTIONS(6706),
    [anon_sym_BSLASHsubfile] = ACTIONS(6706),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6706),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6706),
    [anon_sym_BSLASHbibliography] = ACTIONS(6706),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6706),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6706),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6706),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6706),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6706),
    [anon_sym_BSLASHimport] = ACTIONS(6706),
    [anon_sym_BSLASHsubimport] = ACTIONS(6706),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6706),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6706),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6706),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6706),
    [anon_sym_BSLASHcaption] = ACTIONS(6706),
    [anon_sym_BSLASHcite] = ACTIONS(6706),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHCite] = ACTIONS(6706),
    [anon_sym_BSLASHnocite] = ACTIONS(6706),
    [anon_sym_BSLASHcitet] = ACTIONS(6706),
    [anon_sym_BSLASHcitep] = ACTIONS(6706),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHciteA] = ACTIONS(6706),
    [anon_sym_BSLASHciteR] = ACTIONS(6706),
    [anon_sym_BSLASHciteS] = ACTIONS(6706),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6706),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6706),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6706),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6706),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHciteyear] = ACTIONS(6706),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcitedate] = ACTIONS(6706),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHciteurl] = ACTIONS(6706),
    [anon_sym_BSLASHfullcite] = ACTIONS(6706),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6706),
    [anon_sym_BSLASHcitealt] = ACTIONS(6706),
    [anon_sym_BSLASHcitealp] = ACTIONS(6706),
    [anon_sym_BSLASHcitetext] = ACTIONS(6706),
    [anon_sym_BSLASHparencite] = ACTIONS(6706),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHParencite] = ACTIONS(6706),
    [anon_sym_BSLASHfootcite] = ACTIONS(6706),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6706),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6706),
    [anon_sym_BSLASHtextcite] = ACTIONS(6706),
    [anon_sym_BSLASHTextcite] = ACTIONS(6706),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6706),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6706),
    [anon_sym_BSLASHsupercite] = ACTIONS(6706),
    [anon_sym_BSLASHautocite] = ACTIONS(6706),
    [anon_sym_BSLASHAutocite] = ACTIONS(6706),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHVolcite] = ACTIONS(6706),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHavolcite] = ACTIONS(6706),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6706),
    [anon_sym_BSLASHnotecite] = ACTIONS(6706),
    [anon_sym_BSLASHNotecite] = ACTIONS(6706),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6706),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6706),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6706),
    [anon_sym_BSLASHlabel] = ACTIONS(6706),
    [anon_sym_BSLASHref] = ACTIONS(6706),
    [anon_sym_BSLASHeqref] = ACTIONS(6706),
    [anon_sym_BSLASHvref] = ACTIONS(6706),
    [anon_sym_BSLASHVref] = ACTIONS(6706),
    [anon_sym_BSLASHautoref] = ACTIONS(6706),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHpageref] = ACTIONS(6706),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHautopageref] = ACTIONS(6706),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcref] = ACTIONS(6706),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHCref] = ACTIONS(6706),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcpageref] = ACTIONS(6706),
    [anon_sym_BSLASHCpageref] = ACTIONS(6706),
    [anon_sym_BSLASHnamecref] = ACTIONS(6706),
    [anon_sym_BSLASHnameCref] = ACTIONS(6706),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6706),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6706),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6706),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6706),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6706),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6706),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6706),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6706),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6706),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6706),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6706),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6706),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6706),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6706),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6706),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6706),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6706),
    [anon_sym_BSLASHdef] = ACTIONS(6706),
    [anon_sym_BSLASHgdef] = ACTIONS(6706),
    [anon_sym_BSLASHedef] = ACTIONS(6706),
    [anon_sym_BSLASHxdef] = ACTIONS(6706),
    [anon_sym_BSLASHlet] = ACTIONS(6706),
    [anon_sym_BSLASHglet] = ACTIONS(6706),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6706),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6706),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6706),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6706),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6706),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6706),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6706),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6706),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6706),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6706),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6706),
    [anon_sym_BSLASHgls] = ACTIONS(6706),
    [anon_sym_BSLASHGls] = ACTIONS(6706),
    [anon_sym_BSLASHGLS] = ACTIONS(6706),
    [anon_sym_BSLASHglspl] = ACTIONS(6706),
    [anon_sym_BSLASHGlspl] = ACTIONS(6706),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6706),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6706),
    [anon_sym_BSLASHglslink] = ACTIONS(6706),
    [anon_sym_BSLASHglstext] = ACTIONS(6706),
    [anon_sym_BSLASHGlstext] = ACTIONS(6706),
    [anon_sym_BSLASHGLStext] = ACTIONS(6706),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6706),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6706),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6706),
    [anon_sym_BSLASHglsplural] = ACTIONS(6706),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6706),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6706),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6706),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6706),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6706),
    [anon_sym_BSLASHglsname] = ACTIONS(6706),
    [anon_sym_BSLASHGlsname] = ACTIONS(6706),
    [anon_sym_BSLASHGLSname] = ACTIONS(6706),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6706),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6706),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6706),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6706),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6706),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6706),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6706),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6706),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6706),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6706),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6706),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6706),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6706),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6706),
    [anon_sym_BSLASHacrshort] = ACTIONS(6706),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6706),
    [anon_sym_BSLASHACRshort] = ACTIONS(6706),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6706),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6706),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6706),
    [anon_sym_BSLASHacrlong] = ACTIONS(6706),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6706),
    [anon_sym_BSLASHACRlong] = ACTIONS(6706),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6706),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6706),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6706),
    [anon_sym_BSLASHacrfull] = ACTIONS(6706),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6706),
    [anon_sym_BSLASHACRfull] = ACTIONS(6706),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6706),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6706),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6706),
    [anon_sym_BSLASHacs] = ACTIONS(6706),
    [anon_sym_BSLASHAcs] = ACTIONS(6706),
    [anon_sym_BSLASHacsp] = ACTIONS(6706),
    [anon_sym_BSLASHAcsp] = ACTIONS(6706),
    [anon_sym_BSLASHacl] = ACTIONS(6706),
    [anon_sym_BSLASHAcl] = ACTIONS(6706),
    [anon_sym_BSLASHaclp] = ACTIONS(6706),
    [anon_sym_BSLASHAclp] = ACTIONS(6706),
    [anon_sym_BSLASHacf] = ACTIONS(6706),
    [anon_sym_BSLASHAcf] = ACTIONS(6706),
    [anon_sym_BSLASHacfp] = ACTIONS(6706),
    [anon_sym_BSLASHAcfp] = ACTIONS(6706),
    [anon_sym_BSLASHac] = ACTIONS(6706),
    [anon_sym_BSLASHAc] = ACTIONS(6706),
    [anon_sym_BSLASHacp] = ACTIONS(6706),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6706),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6706),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6706),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6706),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6706),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6706),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6706),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6706),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6706),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6706),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6706),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6706),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6708),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6706),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6706),
    [anon_sym_BSLASHcolor] = ACTIONS(6706),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6706),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6706),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6706),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6706),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6706),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6706),
    [anon_sym_BSLASHurl] = ACTIONS(6706),
    [anon_sym_BSLASHhref] = ACTIONS(6706),
  },
  [864] = {
    [sym__chapter_declaration] = STATE(172),
    [sym_chapter] = STATE(735),
    [aux_sym__section_repeat2] = STATE(735),
    [sym_command_name] = ACTIONS(2244),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_RBRACK] = ACTIONS(2246),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_EQ] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(646),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(648),
    [anon_sym_BSLASHaddchap] = ACTIONS(646),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(648),
    [anon_sym_BSLASHsection] = ACTIONS(2244),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddsec] = ACTIONS(2244),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHitem] = ACTIONS(2244),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [sym_word] = ACTIONS(2244),
    [sym_placeholder] = ACTIONS(2246),
    [sym_delimiter] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_COLON] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym__] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2246),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2246),
    [anon_sym_DOLLAR] = ACTIONS(2244),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2246),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHleft] = ACTIONS(2244),
    [anon_sym_BSLASHbigl] = ACTIONS(2244),
    [anon_sym_BSLASHBigl] = ACTIONS(2244),
    [anon_sym_BSLASHbiggl] = ACTIONS(2244),
    [anon_sym_BSLASHBiggl] = ACTIONS(2244),
    [anon_sym_BSLASHtext] = ACTIONS(2244),
    [anon_sym_BSLASHintertext] = ACTIONS(2244),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2244),
    [anon_sym_BSLASHbegin] = ACTIONS(2244),
    [anon_sym_BSLASHtitle] = ACTIONS(2244),
    [anon_sym_BSLASHauthor] = ACTIONS(2244),
    [anon_sym_BSLASHusepackage] = ACTIONS(2244),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2244),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2244),
    [anon_sym_BSLASHinclude] = ACTIONS(2244),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2244),
    [anon_sym_BSLASHinput] = ACTIONS(2244),
    [anon_sym_BSLASHsubfile] = ACTIONS(2244),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2244),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2244),
    [anon_sym_BSLASHbibliography] = ACTIONS(2244),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2244),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2244),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2244),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2244),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2244),
    [anon_sym_BSLASHimport] = ACTIONS(2244),
    [anon_sym_BSLASHsubimport] = ACTIONS(2244),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2244),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHcaption] = ACTIONS(2244),
    [anon_sym_BSLASHcite] = ACTIONS(2244),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCite] = ACTIONS(2244),
    [anon_sym_BSLASHnocite] = ACTIONS(2244),
    [anon_sym_BSLASHcitet] = ACTIONS(2244),
    [anon_sym_BSLASHcitep] = ACTIONS(2244),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteA] = ACTIONS(2244),
    [anon_sym_BSLASHciteR] = ACTIONS(2244),
    [anon_sym_BSLASHciteS] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2244),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteyear] = ACTIONS(2244),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitedate] = ACTIONS(2244),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteurl] = ACTIONS(2244),
    [anon_sym_BSLASHfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2244),
    [anon_sym_BSLASHcitealt] = ACTIONS(2244),
    [anon_sym_BSLASHcitealp] = ACTIONS(2244),
    [anon_sym_BSLASHcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHparencite] = ACTIONS(2244),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHParencite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHtextcite] = ACTIONS(2244),
    [anon_sym_BSLASHTextcite] = ACTIONS(2244),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHsupercite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite] = ACTIONS(2244),
    [anon_sym_BSLASHAutocite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHVolcite] = ACTIONS(2244),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHavolcite] = ACTIONS(2244),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHNotecite] = ACTIONS(2244),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHlabel] = ACTIONS(2244),
    [anon_sym_BSLASHref] = ACTIONS(2244),
    [anon_sym_BSLASHeqref] = ACTIONS(2244),
    [anon_sym_BSLASHvref] = ACTIONS(2244),
    [anon_sym_BSLASHVref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHpageref] = ACTIONS(2244),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHautopageref] = ACTIONS(2244),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcref] = ACTIONS(2244),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCref] = ACTIONS(2244),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHCpageref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnameCref] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2244),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHdef] = ACTIONS(2244),
    [anon_sym_BSLASHgdef] = ACTIONS(2244),
    [anon_sym_BSLASHedef] = ACTIONS(2244),
    [anon_sym_BSLASHxdef] = ACTIONS(2244),
    [anon_sym_BSLASHlet] = ACTIONS(2244),
    [anon_sym_BSLASHglet] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2244),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2244),
    [anon_sym_BSLASHgls] = ACTIONS(2244),
    [anon_sym_BSLASHGls] = ACTIONS(2244),
    [anon_sym_BSLASHGLS] = ACTIONS(2244),
    [anon_sym_BSLASHglspl] = ACTIONS(2244),
    [anon_sym_BSLASHGlspl] = ACTIONS(2244),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2244),
    [anon_sym_BSLASHglslink] = ACTIONS(2244),
    [anon_sym_BSLASHglstext] = ACTIONS(2244),
    [anon_sym_BSLASHGlstext] = ACTIONS(2244),
    [anon_sym_BSLASHGLStext] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2244),
    [anon_sym_BSLASHglsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsname] = ACTIONS(2244),
    [anon_sym_BSLASHGlsname] = ACTIONS(2244),
    [anon_sym_BSLASHGLSname] = ACTIONS(2244),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2244),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2244),
    [anon_sym_BSLASHacrshort] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2244),
    [anon_sym_BSLASHACRshort] = ACTIONS(2244),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrlong] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2244),
    [anon_sym_BSLASHACRlong] = ACTIONS(2244),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrfull] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2244),
    [anon_sym_BSLASHACRfull] = ACTIONS(2244),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHacs] = ACTIONS(2244),
    [anon_sym_BSLASHAcs] = ACTIONS(2244),
    [anon_sym_BSLASHacsp] = ACTIONS(2244),
    [anon_sym_BSLASHAcsp] = ACTIONS(2244),
    [anon_sym_BSLASHacl] = ACTIONS(2244),
    [anon_sym_BSLASHAcl] = ACTIONS(2244),
    [anon_sym_BSLASHaclp] = ACTIONS(2244),
    [anon_sym_BSLASHAclp] = ACTIONS(2244),
    [anon_sym_BSLASHacf] = ACTIONS(2244),
    [anon_sym_BSLASHAcf] = ACTIONS(2244),
    [anon_sym_BSLASHacfp] = ACTIONS(2244),
    [anon_sym_BSLASHAcfp] = ACTIONS(2244),
    [anon_sym_BSLASHac] = ACTIONS(2244),
    [anon_sym_BSLASHAc] = ACTIONS(2244),
    [anon_sym_BSLASHacp] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2244),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2244),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2244),
    [anon_sym_BSLASHcolor] = ACTIONS(2244),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2244),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2244),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2244),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2244),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2244),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2244),
    [anon_sym_BSLASHurl] = ACTIONS(2244),
    [anon_sym_BSLASHhref] = ACTIONS(2244),
  },
  [865] = {
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(736),
    [aux_sym__section_repeat3] = STATE(736),
    [sym_command_name] = ACTIONS(2244),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_RBRACK] = ACTIONS(2246),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_EQ] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(2244),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddchap] = ACTIONS(2244),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHitem] = ACTIONS(2244),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [sym_word] = ACTIONS(2244),
    [sym_placeholder] = ACTIONS(2246),
    [sym_delimiter] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_COLON] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym__] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2246),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2246),
    [anon_sym_DOLLAR] = ACTIONS(2244),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2246),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHleft] = ACTIONS(2244),
    [anon_sym_BSLASHbigl] = ACTIONS(2244),
    [anon_sym_BSLASHBigl] = ACTIONS(2244),
    [anon_sym_BSLASHbiggl] = ACTIONS(2244),
    [anon_sym_BSLASHBiggl] = ACTIONS(2244),
    [anon_sym_BSLASHtext] = ACTIONS(2244),
    [anon_sym_BSLASHintertext] = ACTIONS(2244),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2244),
    [anon_sym_BSLASHbegin] = ACTIONS(2244),
    [anon_sym_BSLASHtitle] = ACTIONS(2244),
    [anon_sym_BSLASHauthor] = ACTIONS(2244),
    [anon_sym_BSLASHusepackage] = ACTIONS(2244),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2244),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2244),
    [anon_sym_BSLASHinclude] = ACTIONS(2244),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2244),
    [anon_sym_BSLASHinput] = ACTIONS(2244),
    [anon_sym_BSLASHsubfile] = ACTIONS(2244),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2244),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2244),
    [anon_sym_BSLASHbibliography] = ACTIONS(2244),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2244),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2244),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2244),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2244),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2244),
    [anon_sym_BSLASHimport] = ACTIONS(2244),
    [anon_sym_BSLASHsubimport] = ACTIONS(2244),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2244),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHcaption] = ACTIONS(2244),
    [anon_sym_BSLASHcite] = ACTIONS(2244),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCite] = ACTIONS(2244),
    [anon_sym_BSLASHnocite] = ACTIONS(2244),
    [anon_sym_BSLASHcitet] = ACTIONS(2244),
    [anon_sym_BSLASHcitep] = ACTIONS(2244),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteA] = ACTIONS(2244),
    [anon_sym_BSLASHciteR] = ACTIONS(2244),
    [anon_sym_BSLASHciteS] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2244),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteyear] = ACTIONS(2244),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitedate] = ACTIONS(2244),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteurl] = ACTIONS(2244),
    [anon_sym_BSLASHfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2244),
    [anon_sym_BSLASHcitealt] = ACTIONS(2244),
    [anon_sym_BSLASHcitealp] = ACTIONS(2244),
    [anon_sym_BSLASHcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHparencite] = ACTIONS(2244),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHParencite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHtextcite] = ACTIONS(2244),
    [anon_sym_BSLASHTextcite] = ACTIONS(2244),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHsupercite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite] = ACTIONS(2244),
    [anon_sym_BSLASHAutocite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHVolcite] = ACTIONS(2244),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHavolcite] = ACTIONS(2244),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHNotecite] = ACTIONS(2244),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHlabel] = ACTIONS(2244),
    [anon_sym_BSLASHref] = ACTIONS(2244),
    [anon_sym_BSLASHeqref] = ACTIONS(2244),
    [anon_sym_BSLASHvref] = ACTIONS(2244),
    [anon_sym_BSLASHVref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHpageref] = ACTIONS(2244),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHautopageref] = ACTIONS(2244),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcref] = ACTIONS(2244),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCref] = ACTIONS(2244),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHCpageref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnameCref] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2244),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHdef] = ACTIONS(2244),
    [anon_sym_BSLASHgdef] = ACTIONS(2244),
    [anon_sym_BSLASHedef] = ACTIONS(2244),
    [anon_sym_BSLASHxdef] = ACTIONS(2244),
    [anon_sym_BSLASHlet] = ACTIONS(2244),
    [anon_sym_BSLASHglet] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2244),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2244),
    [anon_sym_BSLASHgls] = ACTIONS(2244),
    [anon_sym_BSLASHGls] = ACTIONS(2244),
    [anon_sym_BSLASHGLS] = ACTIONS(2244),
    [anon_sym_BSLASHglspl] = ACTIONS(2244),
    [anon_sym_BSLASHGlspl] = ACTIONS(2244),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2244),
    [anon_sym_BSLASHglslink] = ACTIONS(2244),
    [anon_sym_BSLASHglstext] = ACTIONS(2244),
    [anon_sym_BSLASHGlstext] = ACTIONS(2244),
    [anon_sym_BSLASHGLStext] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2244),
    [anon_sym_BSLASHglsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsname] = ACTIONS(2244),
    [anon_sym_BSLASHGlsname] = ACTIONS(2244),
    [anon_sym_BSLASHGLSname] = ACTIONS(2244),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2244),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2244),
    [anon_sym_BSLASHacrshort] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2244),
    [anon_sym_BSLASHACRshort] = ACTIONS(2244),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrlong] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2244),
    [anon_sym_BSLASHACRlong] = ACTIONS(2244),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrfull] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2244),
    [anon_sym_BSLASHACRfull] = ACTIONS(2244),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHacs] = ACTIONS(2244),
    [anon_sym_BSLASHAcs] = ACTIONS(2244),
    [anon_sym_BSLASHacsp] = ACTIONS(2244),
    [anon_sym_BSLASHAcsp] = ACTIONS(2244),
    [anon_sym_BSLASHacl] = ACTIONS(2244),
    [anon_sym_BSLASHAcl] = ACTIONS(2244),
    [anon_sym_BSLASHaclp] = ACTIONS(2244),
    [anon_sym_BSLASHAclp] = ACTIONS(2244),
    [anon_sym_BSLASHacf] = ACTIONS(2244),
    [anon_sym_BSLASHAcf] = ACTIONS(2244),
    [anon_sym_BSLASHacfp] = ACTIONS(2244),
    [anon_sym_BSLASHAcfp] = ACTIONS(2244),
    [anon_sym_BSLASHac] = ACTIONS(2244),
    [anon_sym_BSLASHAc] = ACTIONS(2244),
    [anon_sym_BSLASHacp] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2244),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2244),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2244),
    [anon_sym_BSLASHcolor] = ACTIONS(2244),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2244),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2244),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2244),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2244),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2244),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2244),
    [anon_sym_BSLASHurl] = ACTIONS(2244),
    [anon_sym_BSLASHhref] = ACTIONS(2244),
  },
  [866] = {
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(737),
    [aux_sym__section_repeat4] = STATE(737),
    [sym_command_name] = ACTIONS(2244),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_RBRACK] = ACTIONS(2246),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_EQ] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(2244),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddchap] = ACTIONS(2244),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsection] = ACTIONS(2244),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddsec] = ACTIONS(2244),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHitem] = ACTIONS(2244),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [sym_word] = ACTIONS(2244),
    [sym_placeholder] = ACTIONS(2246),
    [sym_delimiter] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_COLON] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym__] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2246),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2246),
    [anon_sym_DOLLAR] = ACTIONS(2244),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2246),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHleft] = ACTIONS(2244),
    [anon_sym_BSLASHbigl] = ACTIONS(2244),
    [anon_sym_BSLASHBigl] = ACTIONS(2244),
    [anon_sym_BSLASHbiggl] = ACTIONS(2244),
    [anon_sym_BSLASHBiggl] = ACTIONS(2244),
    [anon_sym_BSLASHtext] = ACTIONS(2244),
    [anon_sym_BSLASHintertext] = ACTIONS(2244),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2244),
    [anon_sym_BSLASHbegin] = ACTIONS(2244),
    [anon_sym_BSLASHtitle] = ACTIONS(2244),
    [anon_sym_BSLASHauthor] = ACTIONS(2244),
    [anon_sym_BSLASHusepackage] = ACTIONS(2244),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2244),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2244),
    [anon_sym_BSLASHinclude] = ACTIONS(2244),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2244),
    [anon_sym_BSLASHinput] = ACTIONS(2244),
    [anon_sym_BSLASHsubfile] = ACTIONS(2244),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2244),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2244),
    [anon_sym_BSLASHbibliography] = ACTIONS(2244),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2244),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2244),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2244),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2244),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2244),
    [anon_sym_BSLASHimport] = ACTIONS(2244),
    [anon_sym_BSLASHsubimport] = ACTIONS(2244),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2244),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHcaption] = ACTIONS(2244),
    [anon_sym_BSLASHcite] = ACTIONS(2244),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCite] = ACTIONS(2244),
    [anon_sym_BSLASHnocite] = ACTIONS(2244),
    [anon_sym_BSLASHcitet] = ACTIONS(2244),
    [anon_sym_BSLASHcitep] = ACTIONS(2244),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteA] = ACTIONS(2244),
    [anon_sym_BSLASHciteR] = ACTIONS(2244),
    [anon_sym_BSLASHciteS] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2244),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteyear] = ACTIONS(2244),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitedate] = ACTIONS(2244),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteurl] = ACTIONS(2244),
    [anon_sym_BSLASHfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2244),
    [anon_sym_BSLASHcitealt] = ACTIONS(2244),
    [anon_sym_BSLASHcitealp] = ACTIONS(2244),
    [anon_sym_BSLASHcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHparencite] = ACTIONS(2244),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHParencite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHtextcite] = ACTIONS(2244),
    [anon_sym_BSLASHTextcite] = ACTIONS(2244),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHsupercite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite] = ACTIONS(2244),
    [anon_sym_BSLASHAutocite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHVolcite] = ACTIONS(2244),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHavolcite] = ACTIONS(2244),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHNotecite] = ACTIONS(2244),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHlabel] = ACTIONS(2244),
    [anon_sym_BSLASHref] = ACTIONS(2244),
    [anon_sym_BSLASHeqref] = ACTIONS(2244),
    [anon_sym_BSLASHvref] = ACTIONS(2244),
    [anon_sym_BSLASHVref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHpageref] = ACTIONS(2244),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHautopageref] = ACTIONS(2244),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcref] = ACTIONS(2244),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCref] = ACTIONS(2244),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHCpageref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnameCref] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2244),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHdef] = ACTIONS(2244),
    [anon_sym_BSLASHgdef] = ACTIONS(2244),
    [anon_sym_BSLASHedef] = ACTIONS(2244),
    [anon_sym_BSLASHxdef] = ACTIONS(2244),
    [anon_sym_BSLASHlet] = ACTIONS(2244),
    [anon_sym_BSLASHglet] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2244),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2244),
    [anon_sym_BSLASHgls] = ACTIONS(2244),
    [anon_sym_BSLASHGls] = ACTIONS(2244),
    [anon_sym_BSLASHGLS] = ACTIONS(2244),
    [anon_sym_BSLASHglspl] = ACTIONS(2244),
    [anon_sym_BSLASHGlspl] = ACTIONS(2244),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2244),
    [anon_sym_BSLASHglslink] = ACTIONS(2244),
    [anon_sym_BSLASHglstext] = ACTIONS(2244),
    [anon_sym_BSLASHGlstext] = ACTIONS(2244),
    [anon_sym_BSLASHGLStext] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2244),
    [anon_sym_BSLASHglsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsname] = ACTIONS(2244),
    [anon_sym_BSLASHGlsname] = ACTIONS(2244),
    [anon_sym_BSLASHGLSname] = ACTIONS(2244),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2244),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2244),
    [anon_sym_BSLASHacrshort] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2244),
    [anon_sym_BSLASHACRshort] = ACTIONS(2244),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrlong] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2244),
    [anon_sym_BSLASHACRlong] = ACTIONS(2244),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrfull] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2244),
    [anon_sym_BSLASHACRfull] = ACTIONS(2244),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHacs] = ACTIONS(2244),
    [anon_sym_BSLASHAcs] = ACTIONS(2244),
    [anon_sym_BSLASHacsp] = ACTIONS(2244),
    [anon_sym_BSLASHAcsp] = ACTIONS(2244),
    [anon_sym_BSLASHacl] = ACTIONS(2244),
    [anon_sym_BSLASHAcl] = ACTIONS(2244),
    [anon_sym_BSLASHaclp] = ACTIONS(2244),
    [anon_sym_BSLASHAclp] = ACTIONS(2244),
    [anon_sym_BSLASHacf] = ACTIONS(2244),
    [anon_sym_BSLASHAcf] = ACTIONS(2244),
    [anon_sym_BSLASHacfp] = ACTIONS(2244),
    [anon_sym_BSLASHAcfp] = ACTIONS(2244),
    [anon_sym_BSLASHac] = ACTIONS(2244),
    [anon_sym_BSLASHAc] = ACTIONS(2244),
    [anon_sym_BSLASHacp] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2244),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2244),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2244),
    [anon_sym_BSLASHcolor] = ACTIONS(2244),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2244),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2244),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2244),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2244),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2244),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2244),
    [anon_sym_BSLASHurl] = ACTIONS(2244),
    [anon_sym_BSLASHhref] = ACTIONS(2244),
  },
  [867] = {
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(738),
    [aux_sym__section_repeat5] = STATE(738),
    [sym_command_name] = ACTIONS(2244),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_RBRACK] = ACTIONS(2246),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_EQ] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(2244),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddchap] = ACTIONS(2244),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsection] = ACTIONS(2244),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddsec] = ACTIONS(2244),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHitem] = ACTIONS(2244),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [sym_word] = ACTIONS(2244),
    [sym_placeholder] = ACTIONS(2246),
    [sym_delimiter] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_COLON] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym__] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2246),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2246),
    [anon_sym_DOLLAR] = ACTIONS(2244),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2246),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHleft] = ACTIONS(2244),
    [anon_sym_BSLASHbigl] = ACTIONS(2244),
    [anon_sym_BSLASHBigl] = ACTIONS(2244),
    [anon_sym_BSLASHbiggl] = ACTIONS(2244),
    [anon_sym_BSLASHBiggl] = ACTIONS(2244),
    [anon_sym_BSLASHtext] = ACTIONS(2244),
    [anon_sym_BSLASHintertext] = ACTIONS(2244),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2244),
    [anon_sym_BSLASHbegin] = ACTIONS(2244),
    [anon_sym_BSLASHtitle] = ACTIONS(2244),
    [anon_sym_BSLASHauthor] = ACTIONS(2244),
    [anon_sym_BSLASHusepackage] = ACTIONS(2244),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2244),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2244),
    [anon_sym_BSLASHinclude] = ACTIONS(2244),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2244),
    [anon_sym_BSLASHinput] = ACTIONS(2244),
    [anon_sym_BSLASHsubfile] = ACTIONS(2244),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2244),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2244),
    [anon_sym_BSLASHbibliography] = ACTIONS(2244),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2244),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2244),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2244),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2244),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2244),
    [anon_sym_BSLASHimport] = ACTIONS(2244),
    [anon_sym_BSLASHsubimport] = ACTIONS(2244),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2244),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHcaption] = ACTIONS(2244),
    [anon_sym_BSLASHcite] = ACTIONS(2244),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCite] = ACTIONS(2244),
    [anon_sym_BSLASHnocite] = ACTIONS(2244),
    [anon_sym_BSLASHcitet] = ACTIONS(2244),
    [anon_sym_BSLASHcitep] = ACTIONS(2244),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteA] = ACTIONS(2244),
    [anon_sym_BSLASHciteR] = ACTIONS(2244),
    [anon_sym_BSLASHciteS] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2244),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteyear] = ACTIONS(2244),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitedate] = ACTIONS(2244),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteurl] = ACTIONS(2244),
    [anon_sym_BSLASHfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2244),
    [anon_sym_BSLASHcitealt] = ACTIONS(2244),
    [anon_sym_BSLASHcitealp] = ACTIONS(2244),
    [anon_sym_BSLASHcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHparencite] = ACTIONS(2244),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHParencite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHtextcite] = ACTIONS(2244),
    [anon_sym_BSLASHTextcite] = ACTIONS(2244),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHsupercite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite] = ACTIONS(2244),
    [anon_sym_BSLASHAutocite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHVolcite] = ACTIONS(2244),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHavolcite] = ACTIONS(2244),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHNotecite] = ACTIONS(2244),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHlabel] = ACTIONS(2244),
    [anon_sym_BSLASHref] = ACTIONS(2244),
    [anon_sym_BSLASHeqref] = ACTIONS(2244),
    [anon_sym_BSLASHvref] = ACTIONS(2244),
    [anon_sym_BSLASHVref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHpageref] = ACTIONS(2244),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHautopageref] = ACTIONS(2244),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcref] = ACTIONS(2244),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCref] = ACTIONS(2244),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHCpageref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnameCref] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2244),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHdef] = ACTIONS(2244),
    [anon_sym_BSLASHgdef] = ACTIONS(2244),
    [anon_sym_BSLASHedef] = ACTIONS(2244),
    [anon_sym_BSLASHxdef] = ACTIONS(2244),
    [anon_sym_BSLASHlet] = ACTIONS(2244),
    [anon_sym_BSLASHglet] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2244),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2244),
    [anon_sym_BSLASHgls] = ACTIONS(2244),
    [anon_sym_BSLASHGls] = ACTIONS(2244),
    [anon_sym_BSLASHGLS] = ACTIONS(2244),
    [anon_sym_BSLASHglspl] = ACTIONS(2244),
    [anon_sym_BSLASHGlspl] = ACTIONS(2244),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2244),
    [anon_sym_BSLASHglslink] = ACTIONS(2244),
    [anon_sym_BSLASHglstext] = ACTIONS(2244),
    [anon_sym_BSLASHGlstext] = ACTIONS(2244),
    [anon_sym_BSLASHGLStext] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2244),
    [anon_sym_BSLASHglsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsname] = ACTIONS(2244),
    [anon_sym_BSLASHGlsname] = ACTIONS(2244),
    [anon_sym_BSLASHGLSname] = ACTIONS(2244),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2244),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2244),
    [anon_sym_BSLASHacrshort] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2244),
    [anon_sym_BSLASHACRshort] = ACTIONS(2244),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrlong] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2244),
    [anon_sym_BSLASHACRlong] = ACTIONS(2244),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrfull] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2244),
    [anon_sym_BSLASHACRfull] = ACTIONS(2244),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHacs] = ACTIONS(2244),
    [anon_sym_BSLASHAcs] = ACTIONS(2244),
    [anon_sym_BSLASHacsp] = ACTIONS(2244),
    [anon_sym_BSLASHAcsp] = ACTIONS(2244),
    [anon_sym_BSLASHacl] = ACTIONS(2244),
    [anon_sym_BSLASHAcl] = ACTIONS(2244),
    [anon_sym_BSLASHaclp] = ACTIONS(2244),
    [anon_sym_BSLASHAclp] = ACTIONS(2244),
    [anon_sym_BSLASHacf] = ACTIONS(2244),
    [anon_sym_BSLASHAcf] = ACTIONS(2244),
    [anon_sym_BSLASHacfp] = ACTIONS(2244),
    [anon_sym_BSLASHAcfp] = ACTIONS(2244),
    [anon_sym_BSLASHac] = ACTIONS(2244),
    [anon_sym_BSLASHAc] = ACTIONS(2244),
    [anon_sym_BSLASHacp] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2244),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2244),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2244),
    [anon_sym_BSLASHcolor] = ACTIONS(2244),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2244),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2244),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2244),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2244),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2244),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2244),
    [anon_sym_BSLASHurl] = ACTIONS(2244),
    [anon_sym_BSLASHhref] = ACTIONS(2244),
  },
  [868] = {
    [sym__section_part] = STATE(1401),
    [sym_curly_group] = STATE(1402),
    [sym_brack_group] = STATE(3242),
    [sym_command_name] = ACTIONS(6724),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6724),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6726),
    [anon_sym_COMMA] = ACTIONS(6726),
    [anon_sym_EQ] = ACTIONS(6726),
    [anon_sym_LPAREN] = ACTIONS(6726),
    [anon_sym_RPAREN] = ACTIONS(6726),
    [anon_sym_BSLASHpart] = ACTIONS(6724),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHaddpart] = ACTIONS(6724),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHchapter] = ACTIONS(6724),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHaddchap] = ACTIONS(6724),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHsection] = ACTIONS(6724),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHaddsec] = ACTIONS(6724),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHsubsection] = ACTIONS(6724),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6724),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHparagraph] = ACTIONS(6724),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6724),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHitem] = ACTIONS(6724),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6726),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(6724),
    [sym_placeholder] = ACTIONS(6726),
    [sym_delimiter] = ACTIONS(6726),
    [anon_sym_PLUS] = ACTIONS(6726),
    [anon_sym_DASH] = ACTIONS(6726),
    [anon_sym_STAR] = ACTIONS(6726),
    [anon_sym_SLASH] = ACTIONS(6726),
    [anon_sym_LT] = ACTIONS(6724),
    [anon_sym_GT] = ACTIONS(6724),
    [anon_sym_BANG] = ACTIONS(6724),
    [anon_sym_PIPE] = ACTIONS(6724),
    [anon_sym_COLON] = ACTIONS(6724),
    [anon_sym_SQUOTE] = ACTIONS(6724),
    [anon_sym__] = ACTIONS(6726),
    [anon_sym_CARET] = ACTIONS(6726),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6726),
    [anon_sym_DOLLAR] = ACTIONS(6724),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6726),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6726),
    [anon_sym_BSLASHleft] = ACTIONS(6724),
    [anon_sym_BSLASHbigl] = ACTIONS(6724),
    [anon_sym_BSLASHBigl] = ACTIONS(6724),
    [anon_sym_BSLASHbiggl] = ACTIONS(6724),
    [anon_sym_BSLASHBiggl] = ACTIONS(6724),
    [anon_sym_BSLASHtext] = ACTIONS(6724),
    [anon_sym_BSLASHintertext] = ACTIONS(6724),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6724),
    [anon_sym_BSLASHbegin] = ACTIONS(6724),
    [anon_sym_BSLASHtitle] = ACTIONS(6724),
    [anon_sym_BSLASHauthor] = ACTIONS(6724),
    [anon_sym_BSLASHusepackage] = ACTIONS(6724),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6724),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6724),
    [anon_sym_BSLASHinclude] = ACTIONS(6724),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6724),
    [anon_sym_BSLASHinput] = ACTIONS(6724),
    [anon_sym_BSLASHsubfile] = ACTIONS(6724),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6724),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6724),
    [anon_sym_BSLASHbibliography] = ACTIONS(6724),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6724),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6724),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6724),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6724),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6724),
    [anon_sym_BSLASHimport] = ACTIONS(6724),
    [anon_sym_BSLASHsubimport] = ACTIONS(6724),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6724),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6724),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6724),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6724),
    [anon_sym_BSLASHcaption] = ACTIONS(6724),
    [anon_sym_BSLASHcite] = ACTIONS(6724),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHCite] = ACTIONS(6724),
    [anon_sym_BSLASHnocite] = ACTIONS(6724),
    [anon_sym_BSLASHcitet] = ACTIONS(6724),
    [anon_sym_BSLASHcitep] = ACTIONS(6724),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHciteA] = ACTIONS(6724),
    [anon_sym_BSLASHciteR] = ACTIONS(6724),
    [anon_sym_BSLASHciteS] = ACTIONS(6724),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6724),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6724),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6724),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6724),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHciteyear] = ACTIONS(6724),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcitedate] = ACTIONS(6724),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHciteurl] = ACTIONS(6724),
    [anon_sym_BSLASHfullcite] = ACTIONS(6724),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6724),
    [anon_sym_BSLASHcitealt] = ACTIONS(6724),
    [anon_sym_BSLASHcitealp] = ACTIONS(6724),
    [anon_sym_BSLASHcitetext] = ACTIONS(6724),
    [anon_sym_BSLASHparencite] = ACTIONS(6724),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHParencite] = ACTIONS(6724),
    [anon_sym_BSLASHfootcite] = ACTIONS(6724),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6724),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6724),
    [anon_sym_BSLASHtextcite] = ACTIONS(6724),
    [anon_sym_BSLASHTextcite] = ACTIONS(6724),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6724),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6724),
    [anon_sym_BSLASHsupercite] = ACTIONS(6724),
    [anon_sym_BSLASHautocite] = ACTIONS(6724),
    [anon_sym_BSLASHAutocite] = ACTIONS(6724),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHVolcite] = ACTIONS(6724),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHavolcite] = ACTIONS(6724),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHnotecite] = ACTIONS(6724),
    [anon_sym_BSLASHNotecite] = ACTIONS(6724),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6724),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6724),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6724),
    [anon_sym_BSLASHlabel] = ACTIONS(6724),
    [anon_sym_BSLASHref] = ACTIONS(6724),
    [anon_sym_BSLASHeqref] = ACTIONS(6724),
    [anon_sym_BSLASHvref] = ACTIONS(6724),
    [anon_sym_BSLASHVref] = ACTIONS(6724),
    [anon_sym_BSLASHautoref] = ACTIONS(6724),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHpageref] = ACTIONS(6724),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHautopageref] = ACTIONS(6724),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcref] = ACTIONS(6724),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHCref] = ACTIONS(6724),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcpageref] = ACTIONS(6724),
    [anon_sym_BSLASHCpageref] = ACTIONS(6724),
    [anon_sym_BSLASHnamecref] = ACTIONS(6724),
    [anon_sym_BSLASHnameCref] = ACTIONS(6724),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6724),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6724),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6724),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6724),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6724),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6724),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6724),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6724),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6724),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6724),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6724),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6724),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6724),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6724),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6724),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6724),
    [anon_sym_BSLASHdef] = ACTIONS(6724),
    [anon_sym_BSLASHgdef] = ACTIONS(6724),
    [anon_sym_BSLASHedef] = ACTIONS(6724),
    [anon_sym_BSLASHxdef] = ACTIONS(6724),
    [anon_sym_BSLASHlet] = ACTIONS(6724),
    [anon_sym_BSLASHglet] = ACTIONS(6724),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6724),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6724),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6724),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6724),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6724),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6724),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6724),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6724),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6724),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6724),
    [anon_sym_BSLASHgls] = ACTIONS(6724),
    [anon_sym_BSLASHGls] = ACTIONS(6724),
    [anon_sym_BSLASHGLS] = ACTIONS(6724),
    [anon_sym_BSLASHglspl] = ACTIONS(6724),
    [anon_sym_BSLASHGlspl] = ACTIONS(6724),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6724),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6724),
    [anon_sym_BSLASHglslink] = ACTIONS(6724),
    [anon_sym_BSLASHglstext] = ACTIONS(6724),
    [anon_sym_BSLASHGlstext] = ACTIONS(6724),
    [anon_sym_BSLASHGLStext] = ACTIONS(6724),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6724),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6724),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6724),
    [anon_sym_BSLASHglsplural] = ACTIONS(6724),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6724),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6724),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6724),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6724),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6724),
    [anon_sym_BSLASHglsname] = ACTIONS(6724),
    [anon_sym_BSLASHGlsname] = ACTIONS(6724),
    [anon_sym_BSLASHGLSname] = ACTIONS(6724),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6724),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6724),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6724),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6724),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6724),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6724),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6724),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6724),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6724),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6724),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6724),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6724),
    [anon_sym_BSLASHacrshort] = ACTIONS(6724),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6724),
    [anon_sym_BSLASHACRshort] = ACTIONS(6724),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6724),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6724),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6724),
    [anon_sym_BSLASHacrlong] = ACTIONS(6724),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6724),
    [anon_sym_BSLASHACRlong] = ACTIONS(6724),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6724),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6724),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6724),
    [anon_sym_BSLASHacrfull] = ACTIONS(6724),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6724),
    [anon_sym_BSLASHACRfull] = ACTIONS(6724),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6724),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6724),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6724),
    [anon_sym_BSLASHacs] = ACTIONS(6724),
    [anon_sym_BSLASHAcs] = ACTIONS(6724),
    [anon_sym_BSLASHacsp] = ACTIONS(6724),
    [anon_sym_BSLASHAcsp] = ACTIONS(6724),
    [anon_sym_BSLASHacl] = ACTIONS(6724),
    [anon_sym_BSLASHAcl] = ACTIONS(6724),
    [anon_sym_BSLASHaclp] = ACTIONS(6724),
    [anon_sym_BSLASHAclp] = ACTIONS(6724),
    [anon_sym_BSLASHacf] = ACTIONS(6724),
    [anon_sym_BSLASHAcf] = ACTIONS(6724),
    [anon_sym_BSLASHacfp] = ACTIONS(6724),
    [anon_sym_BSLASHAcfp] = ACTIONS(6724),
    [anon_sym_BSLASHac] = ACTIONS(6724),
    [anon_sym_BSLASHAc] = ACTIONS(6724),
    [anon_sym_BSLASHacp] = ACTIONS(6724),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6724),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6724),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6724),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6724),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6724),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6724),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6724),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6724),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6724),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6724),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6724),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6724),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6724),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6724),
    [anon_sym_BSLASHcolor] = ACTIONS(6724),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6724),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6724),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6724),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6724),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6724),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6724),
    [anon_sym_BSLASHurl] = ACTIONS(6724),
    [anon_sym_BSLASHhref] = ACTIONS(6724),
  },
  [869] = {
    [sym__section_part] = STATE(1403),
    [sym_curly_group] = STATE(1402),
    [sym_brack_group] = STATE(3242),
    [sym_command_name] = ACTIONS(6728),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6728),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6730),
    [anon_sym_COMMA] = ACTIONS(6730),
    [anon_sym_EQ] = ACTIONS(6730),
    [anon_sym_LPAREN] = ACTIONS(6730),
    [anon_sym_RPAREN] = ACTIONS(6730),
    [anon_sym_BSLASHpart] = ACTIONS(6728),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHaddpart] = ACTIONS(6728),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHchapter] = ACTIONS(6728),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHaddchap] = ACTIONS(6728),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHsection] = ACTIONS(6728),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHaddsec] = ACTIONS(6728),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHsubsection] = ACTIONS(6728),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6728),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHparagraph] = ACTIONS(6728),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6728),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHitem] = ACTIONS(6728),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6730),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(6728),
    [sym_placeholder] = ACTIONS(6730),
    [sym_delimiter] = ACTIONS(6730),
    [anon_sym_PLUS] = ACTIONS(6730),
    [anon_sym_DASH] = ACTIONS(6730),
    [anon_sym_STAR] = ACTIONS(6730),
    [anon_sym_SLASH] = ACTIONS(6730),
    [anon_sym_LT] = ACTIONS(6728),
    [anon_sym_GT] = ACTIONS(6728),
    [anon_sym_BANG] = ACTIONS(6728),
    [anon_sym_PIPE] = ACTIONS(6728),
    [anon_sym_COLON] = ACTIONS(6728),
    [anon_sym_SQUOTE] = ACTIONS(6728),
    [anon_sym__] = ACTIONS(6730),
    [anon_sym_CARET] = ACTIONS(6730),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6730),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6730),
    [anon_sym_DOLLAR] = ACTIONS(6728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6730),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6730),
    [anon_sym_BSLASHleft] = ACTIONS(6728),
    [anon_sym_BSLASHbigl] = ACTIONS(6728),
    [anon_sym_BSLASHBigl] = ACTIONS(6728),
    [anon_sym_BSLASHbiggl] = ACTIONS(6728),
    [anon_sym_BSLASHBiggl] = ACTIONS(6728),
    [anon_sym_BSLASHtext] = ACTIONS(6728),
    [anon_sym_BSLASHintertext] = ACTIONS(6728),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6728),
    [anon_sym_BSLASHbegin] = ACTIONS(6728),
    [anon_sym_BSLASHtitle] = ACTIONS(6728),
    [anon_sym_BSLASHauthor] = ACTIONS(6728),
    [anon_sym_BSLASHusepackage] = ACTIONS(6728),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6728),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6728),
    [anon_sym_BSLASHinclude] = ACTIONS(6728),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6728),
    [anon_sym_BSLASHinput] = ACTIONS(6728),
    [anon_sym_BSLASHsubfile] = ACTIONS(6728),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6728),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6728),
    [anon_sym_BSLASHbibliography] = ACTIONS(6728),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6728),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6728),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6728),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6728),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6728),
    [anon_sym_BSLASHimport] = ACTIONS(6728),
    [anon_sym_BSLASHsubimport] = ACTIONS(6728),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6728),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6728),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6728),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6728),
    [anon_sym_BSLASHcaption] = ACTIONS(6728),
    [anon_sym_BSLASHcite] = ACTIONS(6728),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHCite] = ACTIONS(6728),
    [anon_sym_BSLASHnocite] = ACTIONS(6728),
    [anon_sym_BSLASHcitet] = ACTIONS(6728),
    [anon_sym_BSLASHcitep] = ACTIONS(6728),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHciteA] = ACTIONS(6728),
    [anon_sym_BSLASHciteR] = ACTIONS(6728),
    [anon_sym_BSLASHciteS] = ACTIONS(6728),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6728),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6728),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6728),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6728),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHciteyear] = ACTIONS(6728),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcitedate] = ACTIONS(6728),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHciteurl] = ACTIONS(6728),
    [anon_sym_BSLASHfullcite] = ACTIONS(6728),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6728),
    [anon_sym_BSLASHcitealt] = ACTIONS(6728),
    [anon_sym_BSLASHcitealp] = ACTIONS(6728),
    [anon_sym_BSLASHcitetext] = ACTIONS(6728),
    [anon_sym_BSLASHparencite] = ACTIONS(6728),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHParencite] = ACTIONS(6728),
    [anon_sym_BSLASHfootcite] = ACTIONS(6728),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6728),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6728),
    [anon_sym_BSLASHtextcite] = ACTIONS(6728),
    [anon_sym_BSLASHTextcite] = ACTIONS(6728),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6728),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6728),
    [anon_sym_BSLASHsupercite] = ACTIONS(6728),
    [anon_sym_BSLASHautocite] = ACTIONS(6728),
    [anon_sym_BSLASHAutocite] = ACTIONS(6728),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHVolcite] = ACTIONS(6728),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHavolcite] = ACTIONS(6728),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHnotecite] = ACTIONS(6728),
    [anon_sym_BSLASHNotecite] = ACTIONS(6728),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6728),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6728),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6728),
    [anon_sym_BSLASHlabel] = ACTIONS(6728),
    [anon_sym_BSLASHref] = ACTIONS(6728),
    [anon_sym_BSLASHeqref] = ACTIONS(6728),
    [anon_sym_BSLASHvref] = ACTIONS(6728),
    [anon_sym_BSLASHVref] = ACTIONS(6728),
    [anon_sym_BSLASHautoref] = ACTIONS(6728),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHpageref] = ACTIONS(6728),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHautopageref] = ACTIONS(6728),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcref] = ACTIONS(6728),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHCref] = ACTIONS(6728),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcpageref] = ACTIONS(6728),
    [anon_sym_BSLASHCpageref] = ACTIONS(6728),
    [anon_sym_BSLASHnamecref] = ACTIONS(6728),
    [anon_sym_BSLASHnameCref] = ACTIONS(6728),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6728),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6728),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6728),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6728),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6728),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6728),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6728),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6728),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6728),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6728),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6728),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6728),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6728),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6728),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6728),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6728),
    [anon_sym_BSLASHdef] = ACTIONS(6728),
    [anon_sym_BSLASHgdef] = ACTIONS(6728),
    [anon_sym_BSLASHedef] = ACTIONS(6728),
    [anon_sym_BSLASHxdef] = ACTIONS(6728),
    [anon_sym_BSLASHlet] = ACTIONS(6728),
    [anon_sym_BSLASHglet] = ACTIONS(6728),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6728),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6728),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6728),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6728),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6728),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6728),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6728),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6728),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6728),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6728),
    [anon_sym_BSLASHgls] = ACTIONS(6728),
    [anon_sym_BSLASHGls] = ACTIONS(6728),
    [anon_sym_BSLASHGLS] = ACTIONS(6728),
    [anon_sym_BSLASHglspl] = ACTIONS(6728),
    [anon_sym_BSLASHGlspl] = ACTIONS(6728),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6728),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6728),
    [anon_sym_BSLASHglslink] = ACTIONS(6728),
    [anon_sym_BSLASHglstext] = ACTIONS(6728),
    [anon_sym_BSLASHGlstext] = ACTIONS(6728),
    [anon_sym_BSLASHGLStext] = ACTIONS(6728),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6728),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6728),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6728),
    [anon_sym_BSLASHglsplural] = ACTIONS(6728),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6728),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6728),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6728),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6728),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6728),
    [anon_sym_BSLASHglsname] = ACTIONS(6728),
    [anon_sym_BSLASHGlsname] = ACTIONS(6728),
    [anon_sym_BSLASHGLSname] = ACTIONS(6728),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6728),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6728),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6728),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6728),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6728),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6728),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6728),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6728),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6728),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6728),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6728),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6728),
    [anon_sym_BSLASHacrshort] = ACTIONS(6728),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6728),
    [anon_sym_BSLASHACRshort] = ACTIONS(6728),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6728),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6728),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6728),
    [anon_sym_BSLASHacrlong] = ACTIONS(6728),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6728),
    [anon_sym_BSLASHACRlong] = ACTIONS(6728),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6728),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6728),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6728),
    [anon_sym_BSLASHacrfull] = ACTIONS(6728),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6728),
    [anon_sym_BSLASHACRfull] = ACTIONS(6728),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6728),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6728),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6728),
    [anon_sym_BSLASHacs] = ACTIONS(6728),
    [anon_sym_BSLASHAcs] = ACTIONS(6728),
    [anon_sym_BSLASHacsp] = ACTIONS(6728),
    [anon_sym_BSLASHAcsp] = ACTIONS(6728),
    [anon_sym_BSLASHacl] = ACTIONS(6728),
    [anon_sym_BSLASHAcl] = ACTIONS(6728),
    [anon_sym_BSLASHaclp] = ACTIONS(6728),
    [anon_sym_BSLASHAclp] = ACTIONS(6728),
    [anon_sym_BSLASHacf] = ACTIONS(6728),
    [anon_sym_BSLASHAcf] = ACTIONS(6728),
    [anon_sym_BSLASHacfp] = ACTIONS(6728),
    [anon_sym_BSLASHAcfp] = ACTIONS(6728),
    [anon_sym_BSLASHac] = ACTIONS(6728),
    [anon_sym_BSLASHAc] = ACTIONS(6728),
    [anon_sym_BSLASHacp] = ACTIONS(6728),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6728),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6728),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6728),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6728),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6728),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6728),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6728),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6728),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6728),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6728),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6728),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6728),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6728),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6728),
    [anon_sym_BSLASHcolor] = ACTIONS(6728),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6728),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6728),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6728),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6728),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6728),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6728),
    [anon_sym_BSLASHurl] = ACTIONS(6728),
    [anon_sym_BSLASHhref] = ACTIONS(6728),
  },
  [870] = {
    [sym__section_declaration] = STATE(185),
    [sym_section] = STATE(736),
    [aux_sym__section_repeat3] = STATE(736),
    [sym_command_name] = ACTIONS(2260),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_RBRACK] = ACTIONS(2262),
    [anon_sym_COMMA] = ACTIONS(2262),
    [anon_sym_EQ] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_RPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHpart] = ACTIONS(2260),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddpart] = ACTIONS(2260),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHchapter] = ACTIONS(2260),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddchap] = ACTIONS(2260),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsection] = ACTIONS(650),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(652),
    [anon_sym_BSLASHaddsec] = ACTIONS(650),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(652),
    [anon_sym_BSLASHsubsection] = ACTIONS(2260),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2260),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHitem] = ACTIONS(2260),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [sym_word] = ACTIONS(2260),
    [sym_placeholder] = ACTIONS(2262),
    [sym_delimiter] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_PIPE] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(2260),
    [anon_sym_SQUOTE] = ACTIONS(2260),
    [anon_sym__] = ACTIONS(2262),
    [anon_sym_CARET] = ACTIONS(2262),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2262),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2262),
    [anon_sym_DOLLAR] = ACTIONS(2260),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2262),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHleft] = ACTIONS(2260),
    [anon_sym_BSLASHbigl] = ACTIONS(2260),
    [anon_sym_BSLASHBigl] = ACTIONS(2260),
    [anon_sym_BSLASHbiggl] = ACTIONS(2260),
    [anon_sym_BSLASHBiggl] = ACTIONS(2260),
    [anon_sym_BSLASHtext] = ACTIONS(2260),
    [anon_sym_BSLASHintertext] = ACTIONS(2260),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2260),
    [anon_sym_BSLASHbegin] = ACTIONS(2260),
    [anon_sym_BSLASHtitle] = ACTIONS(2260),
    [anon_sym_BSLASHauthor] = ACTIONS(2260),
    [anon_sym_BSLASHusepackage] = ACTIONS(2260),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2260),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2260),
    [anon_sym_BSLASHinclude] = ACTIONS(2260),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2260),
    [anon_sym_BSLASHinput] = ACTIONS(2260),
    [anon_sym_BSLASHsubfile] = ACTIONS(2260),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2260),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2260),
    [anon_sym_BSLASHbibliography] = ACTIONS(2260),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2260),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2260),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2260),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2260),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2260),
    [anon_sym_BSLASHimport] = ACTIONS(2260),
    [anon_sym_BSLASHsubimport] = ACTIONS(2260),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2260),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHcaption] = ACTIONS(2260),
    [anon_sym_BSLASHcite] = ACTIONS(2260),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCite] = ACTIONS(2260),
    [anon_sym_BSLASHnocite] = ACTIONS(2260),
    [anon_sym_BSLASHcitet] = ACTIONS(2260),
    [anon_sym_BSLASHcitep] = ACTIONS(2260),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteA] = ACTIONS(2260),
    [anon_sym_BSLASHciteR] = ACTIONS(2260),
    [anon_sym_BSLASHciteS] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2260),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteyear] = ACTIONS(2260),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitedate] = ACTIONS(2260),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteurl] = ACTIONS(2260),
    [anon_sym_BSLASHfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2260),
    [anon_sym_BSLASHcitealt] = ACTIONS(2260),
    [anon_sym_BSLASHcitealp] = ACTIONS(2260),
    [anon_sym_BSLASHcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHparencite] = ACTIONS(2260),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHParencite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHtextcite] = ACTIONS(2260),
    [anon_sym_BSLASHTextcite] = ACTIONS(2260),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHsupercite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite] = ACTIONS(2260),
    [anon_sym_BSLASHAutocite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHVolcite] = ACTIONS(2260),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHavolcite] = ACTIONS(2260),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHNotecite] = ACTIONS(2260),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHlabel] = ACTIONS(2260),
    [anon_sym_BSLASHref] = ACTIONS(2260),
    [anon_sym_BSLASHeqref] = ACTIONS(2260),
    [anon_sym_BSLASHvref] = ACTIONS(2260),
    [anon_sym_BSLASHVref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHpageref] = ACTIONS(2260),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHautopageref] = ACTIONS(2260),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcref] = ACTIONS(2260),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCref] = ACTIONS(2260),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHCpageref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnameCref] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2260),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHdef] = ACTIONS(2260),
    [anon_sym_BSLASHgdef] = ACTIONS(2260),
    [anon_sym_BSLASHedef] = ACTIONS(2260),
    [anon_sym_BSLASHxdef] = ACTIONS(2260),
    [anon_sym_BSLASHlet] = ACTIONS(2260),
    [anon_sym_BSLASHglet] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2260),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2260),
    [anon_sym_BSLASHgls] = ACTIONS(2260),
    [anon_sym_BSLASHGls] = ACTIONS(2260),
    [anon_sym_BSLASHGLS] = ACTIONS(2260),
    [anon_sym_BSLASHglspl] = ACTIONS(2260),
    [anon_sym_BSLASHGlspl] = ACTIONS(2260),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2260),
    [anon_sym_BSLASHglslink] = ACTIONS(2260),
    [anon_sym_BSLASHglstext] = ACTIONS(2260),
    [anon_sym_BSLASHGlstext] = ACTIONS(2260),
    [anon_sym_BSLASHGLStext] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2260),
    [anon_sym_BSLASHglsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsname] = ACTIONS(2260),
    [anon_sym_BSLASHGlsname] = ACTIONS(2260),
    [anon_sym_BSLASHGLSname] = ACTIONS(2260),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2260),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2260),
    [anon_sym_BSLASHacrshort] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2260),
    [anon_sym_BSLASHACRshort] = ACTIONS(2260),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrlong] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2260),
    [anon_sym_BSLASHACRlong] = ACTIONS(2260),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrfull] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2260),
    [anon_sym_BSLASHACRfull] = ACTIONS(2260),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHacs] = ACTIONS(2260),
    [anon_sym_BSLASHAcs] = ACTIONS(2260),
    [anon_sym_BSLASHacsp] = ACTIONS(2260),
    [anon_sym_BSLASHAcsp] = ACTIONS(2260),
    [anon_sym_BSLASHacl] = ACTIONS(2260),
    [anon_sym_BSLASHAcl] = ACTIONS(2260),
    [anon_sym_BSLASHaclp] = ACTIONS(2260),
    [anon_sym_BSLASHAclp] = ACTIONS(2260),
    [anon_sym_BSLASHacf] = ACTIONS(2260),
    [anon_sym_BSLASHAcf] = ACTIONS(2260),
    [anon_sym_BSLASHacfp] = ACTIONS(2260),
    [anon_sym_BSLASHAcfp] = ACTIONS(2260),
    [anon_sym_BSLASHac] = ACTIONS(2260),
    [anon_sym_BSLASHAc] = ACTIONS(2260),
    [anon_sym_BSLASHacp] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2260),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2260),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2260),
    [anon_sym_BSLASHcolor] = ACTIONS(2260),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2260),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2260),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2260),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2260),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2260),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2260),
    [anon_sym_BSLASHurl] = ACTIONS(2260),
    [anon_sym_BSLASHhref] = ACTIONS(2260),
  },
  [871] = {
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(737),
    [aux_sym__section_repeat4] = STATE(737),
    [sym_command_name] = ACTIONS(2260),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_RBRACK] = ACTIONS(2262),
    [anon_sym_COMMA] = ACTIONS(2262),
    [anon_sym_EQ] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_RPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHpart] = ACTIONS(2260),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddpart] = ACTIONS(2260),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHchapter] = ACTIONS(2260),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddchap] = ACTIONS(2260),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsection] = ACTIONS(2260),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddsec] = ACTIONS(2260),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2260),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHitem] = ACTIONS(2260),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [sym_word] = ACTIONS(2260),
    [sym_placeholder] = ACTIONS(2262),
    [sym_delimiter] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_PIPE] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(2260),
    [anon_sym_SQUOTE] = ACTIONS(2260),
    [anon_sym__] = ACTIONS(2262),
    [anon_sym_CARET] = ACTIONS(2262),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2262),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2262),
    [anon_sym_DOLLAR] = ACTIONS(2260),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2262),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHleft] = ACTIONS(2260),
    [anon_sym_BSLASHbigl] = ACTIONS(2260),
    [anon_sym_BSLASHBigl] = ACTIONS(2260),
    [anon_sym_BSLASHbiggl] = ACTIONS(2260),
    [anon_sym_BSLASHBiggl] = ACTIONS(2260),
    [anon_sym_BSLASHtext] = ACTIONS(2260),
    [anon_sym_BSLASHintertext] = ACTIONS(2260),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2260),
    [anon_sym_BSLASHbegin] = ACTIONS(2260),
    [anon_sym_BSLASHtitle] = ACTIONS(2260),
    [anon_sym_BSLASHauthor] = ACTIONS(2260),
    [anon_sym_BSLASHusepackage] = ACTIONS(2260),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2260),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2260),
    [anon_sym_BSLASHinclude] = ACTIONS(2260),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2260),
    [anon_sym_BSLASHinput] = ACTIONS(2260),
    [anon_sym_BSLASHsubfile] = ACTIONS(2260),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2260),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2260),
    [anon_sym_BSLASHbibliography] = ACTIONS(2260),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2260),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2260),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2260),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2260),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2260),
    [anon_sym_BSLASHimport] = ACTIONS(2260),
    [anon_sym_BSLASHsubimport] = ACTIONS(2260),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2260),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHcaption] = ACTIONS(2260),
    [anon_sym_BSLASHcite] = ACTIONS(2260),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCite] = ACTIONS(2260),
    [anon_sym_BSLASHnocite] = ACTIONS(2260),
    [anon_sym_BSLASHcitet] = ACTIONS(2260),
    [anon_sym_BSLASHcitep] = ACTIONS(2260),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteA] = ACTIONS(2260),
    [anon_sym_BSLASHciteR] = ACTIONS(2260),
    [anon_sym_BSLASHciteS] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2260),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteyear] = ACTIONS(2260),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitedate] = ACTIONS(2260),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteurl] = ACTIONS(2260),
    [anon_sym_BSLASHfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2260),
    [anon_sym_BSLASHcitealt] = ACTIONS(2260),
    [anon_sym_BSLASHcitealp] = ACTIONS(2260),
    [anon_sym_BSLASHcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHparencite] = ACTIONS(2260),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHParencite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHtextcite] = ACTIONS(2260),
    [anon_sym_BSLASHTextcite] = ACTIONS(2260),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHsupercite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite] = ACTIONS(2260),
    [anon_sym_BSLASHAutocite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHVolcite] = ACTIONS(2260),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHavolcite] = ACTIONS(2260),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHNotecite] = ACTIONS(2260),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHlabel] = ACTIONS(2260),
    [anon_sym_BSLASHref] = ACTIONS(2260),
    [anon_sym_BSLASHeqref] = ACTIONS(2260),
    [anon_sym_BSLASHvref] = ACTIONS(2260),
    [anon_sym_BSLASHVref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHpageref] = ACTIONS(2260),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHautopageref] = ACTIONS(2260),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcref] = ACTIONS(2260),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCref] = ACTIONS(2260),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHCpageref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnameCref] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2260),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHdef] = ACTIONS(2260),
    [anon_sym_BSLASHgdef] = ACTIONS(2260),
    [anon_sym_BSLASHedef] = ACTIONS(2260),
    [anon_sym_BSLASHxdef] = ACTIONS(2260),
    [anon_sym_BSLASHlet] = ACTIONS(2260),
    [anon_sym_BSLASHglet] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2260),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2260),
    [anon_sym_BSLASHgls] = ACTIONS(2260),
    [anon_sym_BSLASHGls] = ACTIONS(2260),
    [anon_sym_BSLASHGLS] = ACTIONS(2260),
    [anon_sym_BSLASHglspl] = ACTIONS(2260),
    [anon_sym_BSLASHGlspl] = ACTIONS(2260),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2260),
    [anon_sym_BSLASHglslink] = ACTIONS(2260),
    [anon_sym_BSLASHglstext] = ACTIONS(2260),
    [anon_sym_BSLASHGlstext] = ACTIONS(2260),
    [anon_sym_BSLASHGLStext] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2260),
    [anon_sym_BSLASHglsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsname] = ACTIONS(2260),
    [anon_sym_BSLASHGlsname] = ACTIONS(2260),
    [anon_sym_BSLASHGLSname] = ACTIONS(2260),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2260),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2260),
    [anon_sym_BSLASHacrshort] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2260),
    [anon_sym_BSLASHACRshort] = ACTIONS(2260),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrlong] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2260),
    [anon_sym_BSLASHACRlong] = ACTIONS(2260),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrfull] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2260),
    [anon_sym_BSLASHACRfull] = ACTIONS(2260),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHacs] = ACTIONS(2260),
    [anon_sym_BSLASHAcs] = ACTIONS(2260),
    [anon_sym_BSLASHacsp] = ACTIONS(2260),
    [anon_sym_BSLASHAcsp] = ACTIONS(2260),
    [anon_sym_BSLASHacl] = ACTIONS(2260),
    [anon_sym_BSLASHAcl] = ACTIONS(2260),
    [anon_sym_BSLASHaclp] = ACTIONS(2260),
    [anon_sym_BSLASHAclp] = ACTIONS(2260),
    [anon_sym_BSLASHacf] = ACTIONS(2260),
    [anon_sym_BSLASHAcf] = ACTIONS(2260),
    [anon_sym_BSLASHacfp] = ACTIONS(2260),
    [anon_sym_BSLASHAcfp] = ACTIONS(2260),
    [anon_sym_BSLASHac] = ACTIONS(2260),
    [anon_sym_BSLASHAc] = ACTIONS(2260),
    [anon_sym_BSLASHacp] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2260),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2260),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2260),
    [anon_sym_BSLASHcolor] = ACTIONS(2260),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2260),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2260),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2260),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2260),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2260),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2260),
    [anon_sym_BSLASHurl] = ACTIONS(2260),
    [anon_sym_BSLASHhref] = ACTIONS(2260),
  },
  [872] = {
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(738),
    [aux_sym__section_repeat5] = STATE(738),
    [sym_command_name] = ACTIONS(2260),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_RBRACK] = ACTIONS(2262),
    [anon_sym_COMMA] = ACTIONS(2262),
    [anon_sym_EQ] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_RPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHpart] = ACTIONS(2260),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddpart] = ACTIONS(2260),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHchapter] = ACTIONS(2260),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddchap] = ACTIONS(2260),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsection] = ACTIONS(2260),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddsec] = ACTIONS(2260),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubsection] = ACTIONS(2260),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHitem] = ACTIONS(2260),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [sym_word] = ACTIONS(2260),
    [sym_placeholder] = ACTIONS(2262),
    [sym_delimiter] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_PIPE] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(2260),
    [anon_sym_SQUOTE] = ACTIONS(2260),
    [anon_sym__] = ACTIONS(2262),
    [anon_sym_CARET] = ACTIONS(2262),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2262),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2262),
    [anon_sym_DOLLAR] = ACTIONS(2260),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2262),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHleft] = ACTIONS(2260),
    [anon_sym_BSLASHbigl] = ACTIONS(2260),
    [anon_sym_BSLASHBigl] = ACTIONS(2260),
    [anon_sym_BSLASHbiggl] = ACTIONS(2260),
    [anon_sym_BSLASHBiggl] = ACTIONS(2260),
    [anon_sym_BSLASHtext] = ACTIONS(2260),
    [anon_sym_BSLASHintertext] = ACTIONS(2260),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2260),
    [anon_sym_BSLASHbegin] = ACTIONS(2260),
    [anon_sym_BSLASHtitle] = ACTIONS(2260),
    [anon_sym_BSLASHauthor] = ACTIONS(2260),
    [anon_sym_BSLASHusepackage] = ACTIONS(2260),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2260),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2260),
    [anon_sym_BSLASHinclude] = ACTIONS(2260),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2260),
    [anon_sym_BSLASHinput] = ACTIONS(2260),
    [anon_sym_BSLASHsubfile] = ACTIONS(2260),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2260),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2260),
    [anon_sym_BSLASHbibliography] = ACTIONS(2260),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2260),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2260),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2260),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2260),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2260),
    [anon_sym_BSLASHimport] = ACTIONS(2260),
    [anon_sym_BSLASHsubimport] = ACTIONS(2260),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2260),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHcaption] = ACTIONS(2260),
    [anon_sym_BSLASHcite] = ACTIONS(2260),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCite] = ACTIONS(2260),
    [anon_sym_BSLASHnocite] = ACTIONS(2260),
    [anon_sym_BSLASHcitet] = ACTIONS(2260),
    [anon_sym_BSLASHcitep] = ACTIONS(2260),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteA] = ACTIONS(2260),
    [anon_sym_BSLASHciteR] = ACTIONS(2260),
    [anon_sym_BSLASHciteS] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2260),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteyear] = ACTIONS(2260),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitedate] = ACTIONS(2260),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteurl] = ACTIONS(2260),
    [anon_sym_BSLASHfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2260),
    [anon_sym_BSLASHcitealt] = ACTIONS(2260),
    [anon_sym_BSLASHcitealp] = ACTIONS(2260),
    [anon_sym_BSLASHcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHparencite] = ACTIONS(2260),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHParencite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHtextcite] = ACTIONS(2260),
    [anon_sym_BSLASHTextcite] = ACTIONS(2260),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHsupercite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite] = ACTIONS(2260),
    [anon_sym_BSLASHAutocite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHVolcite] = ACTIONS(2260),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHavolcite] = ACTIONS(2260),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHNotecite] = ACTIONS(2260),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHlabel] = ACTIONS(2260),
    [anon_sym_BSLASHref] = ACTIONS(2260),
    [anon_sym_BSLASHeqref] = ACTIONS(2260),
    [anon_sym_BSLASHvref] = ACTIONS(2260),
    [anon_sym_BSLASHVref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHpageref] = ACTIONS(2260),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHautopageref] = ACTIONS(2260),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcref] = ACTIONS(2260),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCref] = ACTIONS(2260),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHCpageref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnameCref] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2260),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHdef] = ACTIONS(2260),
    [anon_sym_BSLASHgdef] = ACTIONS(2260),
    [anon_sym_BSLASHedef] = ACTIONS(2260),
    [anon_sym_BSLASHxdef] = ACTIONS(2260),
    [anon_sym_BSLASHlet] = ACTIONS(2260),
    [anon_sym_BSLASHglet] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2260),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2260),
    [anon_sym_BSLASHgls] = ACTIONS(2260),
    [anon_sym_BSLASHGls] = ACTIONS(2260),
    [anon_sym_BSLASHGLS] = ACTIONS(2260),
    [anon_sym_BSLASHglspl] = ACTIONS(2260),
    [anon_sym_BSLASHGlspl] = ACTIONS(2260),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2260),
    [anon_sym_BSLASHglslink] = ACTIONS(2260),
    [anon_sym_BSLASHglstext] = ACTIONS(2260),
    [anon_sym_BSLASHGlstext] = ACTIONS(2260),
    [anon_sym_BSLASHGLStext] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2260),
    [anon_sym_BSLASHglsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsname] = ACTIONS(2260),
    [anon_sym_BSLASHGlsname] = ACTIONS(2260),
    [anon_sym_BSLASHGLSname] = ACTIONS(2260),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2260),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2260),
    [anon_sym_BSLASHacrshort] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2260),
    [anon_sym_BSLASHACRshort] = ACTIONS(2260),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrlong] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2260),
    [anon_sym_BSLASHACRlong] = ACTIONS(2260),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrfull] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2260),
    [anon_sym_BSLASHACRfull] = ACTIONS(2260),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHacs] = ACTIONS(2260),
    [anon_sym_BSLASHAcs] = ACTIONS(2260),
    [anon_sym_BSLASHacsp] = ACTIONS(2260),
    [anon_sym_BSLASHAcsp] = ACTIONS(2260),
    [anon_sym_BSLASHacl] = ACTIONS(2260),
    [anon_sym_BSLASHAcl] = ACTIONS(2260),
    [anon_sym_BSLASHaclp] = ACTIONS(2260),
    [anon_sym_BSLASHAclp] = ACTIONS(2260),
    [anon_sym_BSLASHacf] = ACTIONS(2260),
    [anon_sym_BSLASHAcf] = ACTIONS(2260),
    [anon_sym_BSLASHacfp] = ACTIONS(2260),
    [anon_sym_BSLASHAcfp] = ACTIONS(2260),
    [anon_sym_BSLASHac] = ACTIONS(2260),
    [anon_sym_BSLASHAc] = ACTIONS(2260),
    [anon_sym_BSLASHacp] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2260),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2260),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2260),
    [anon_sym_BSLASHcolor] = ACTIONS(2260),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2260),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2260),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2260),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2260),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2260),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2260),
    [anon_sym_BSLASHurl] = ACTIONS(2260),
    [anon_sym_BSLASHhref] = ACTIONS(2260),
  },
  [873] = {
    [sym__section_part] = STATE(1407),
    [sym_curly_group] = STATE(1402),
    [sym_brack_group] = STATE(3242),
    [sym_command_name] = ACTIONS(6734),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6734),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6736),
    [anon_sym_COMMA] = ACTIONS(6736),
    [anon_sym_EQ] = ACTIONS(6736),
    [anon_sym_LPAREN] = ACTIONS(6736),
    [anon_sym_RPAREN] = ACTIONS(6736),
    [anon_sym_BSLASHpart] = ACTIONS(6734),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHaddpart] = ACTIONS(6734),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHchapter] = ACTIONS(6734),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHaddchap] = ACTIONS(6734),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHsection] = ACTIONS(6734),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHaddsec] = ACTIONS(6734),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHsubsection] = ACTIONS(6734),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6734),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHparagraph] = ACTIONS(6734),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6734),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHitem] = ACTIONS(6734),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6736),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(6734),
    [sym_placeholder] = ACTIONS(6736),
    [sym_delimiter] = ACTIONS(6736),
    [anon_sym_PLUS] = ACTIONS(6736),
    [anon_sym_DASH] = ACTIONS(6736),
    [anon_sym_STAR] = ACTIONS(6736),
    [anon_sym_SLASH] = ACTIONS(6736),
    [anon_sym_LT] = ACTIONS(6734),
    [anon_sym_GT] = ACTIONS(6734),
    [anon_sym_BANG] = ACTIONS(6734),
    [anon_sym_PIPE] = ACTIONS(6734),
    [anon_sym_COLON] = ACTIONS(6734),
    [anon_sym_SQUOTE] = ACTIONS(6734),
    [anon_sym__] = ACTIONS(6736),
    [anon_sym_CARET] = ACTIONS(6736),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6736),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6736),
    [anon_sym_DOLLAR] = ACTIONS(6734),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6736),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6736),
    [anon_sym_BSLASHleft] = ACTIONS(6734),
    [anon_sym_BSLASHbigl] = ACTIONS(6734),
    [anon_sym_BSLASHBigl] = ACTIONS(6734),
    [anon_sym_BSLASHbiggl] = ACTIONS(6734),
    [anon_sym_BSLASHBiggl] = ACTIONS(6734),
    [anon_sym_BSLASHtext] = ACTIONS(6734),
    [anon_sym_BSLASHintertext] = ACTIONS(6734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6734),
    [anon_sym_BSLASHbegin] = ACTIONS(6734),
    [anon_sym_BSLASHtitle] = ACTIONS(6734),
    [anon_sym_BSLASHauthor] = ACTIONS(6734),
    [anon_sym_BSLASHusepackage] = ACTIONS(6734),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6734),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6734),
    [anon_sym_BSLASHinclude] = ACTIONS(6734),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6734),
    [anon_sym_BSLASHinput] = ACTIONS(6734),
    [anon_sym_BSLASHsubfile] = ACTIONS(6734),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6734),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6734),
    [anon_sym_BSLASHbibliography] = ACTIONS(6734),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6734),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6734),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6734),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6734),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6734),
    [anon_sym_BSLASHimport] = ACTIONS(6734),
    [anon_sym_BSLASHsubimport] = ACTIONS(6734),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6734),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6734),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6734),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6734),
    [anon_sym_BSLASHcaption] = ACTIONS(6734),
    [anon_sym_BSLASHcite] = ACTIONS(6734),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHCite] = ACTIONS(6734),
    [anon_sym_BSLASHnocite] = ACTIONS(6734),
    [anon_sym_BSLASHcitet] = ACTIONS(6734),
    [anon_sym_BSLASHcitep] = ACTIONS(6734),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHciteA] = ACTIONS(6734),
    [anon_sym_BSLASHciteR] = ACTIONS(6734),
    [anon_sym_BSLASHciteS] = ACTIONS(6734),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6734),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6734),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6734),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6734),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHciteyear] = ACTIONS(6734),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcitedate] = ACTIONS(6734),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHciteurl] = ACTIONS(6734),
    [anon_sym_BSLASHfullcite] = ACTIONS(6734),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6734),
    [anon_sym_BSLASHcitealt] = ACTIONS(6734),
    [anon_sym_BSLASHcitealp] = ACTIONS(6734),
    [anon_sym_BSLASHcitetext] = ACTIONS(6734),
    [anon_sym_BSLASHparencite] = ACTIONS(6734),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHParencite] = ACTIONS(6734),
    [anon_sym_BSLASHfootcite] = ACTIONS(6734),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6734),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6734),
    [anon_sym_BSLASHtextcite] = ACTIONS(6734),
    [anon_sym_BSLASHTextcite] = ACTIONS(6734),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6734),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6734),
    [anon_sym_BSLASHsupercite] = ACTIONS(6734),
    [anon_sym_BSLASHautocite] = ACTIONS(6734),
    [anon_sym_BSLASHAutocite] = ACTIONS(6734),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHVolcite] = ACTIONS(6734),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHavolcite] = ACTIONS(6734),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHnotecite] = ACTIONS(6734),
    [anon_sym_BSLASHNotecite] = ACTIONS(6734),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6734),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6734),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6734),
    [anon_sym_BSLASHlabel] = ACTIONS(6734),
    [anon_sym_BSLASHref] = ACTIONS(6734),
    [anon_sym_BSLASHeqref] = ACTIONS(6734),
    [anon_sym_BSLASHvref] = ACTIONS(6734),
    [anon_sym_BSLASHVref] = ACTIONS(6734),
    [anon_sym_BSLASHautoref] = ACTIONS(6734),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHpageref] = ACTIONS(6734),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHautopageref] = ACTIONS(6734),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcref] = ACTIONS(6734),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHCref] = ACTIONS(6734),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcpageref] = ACTIONS(6734),
    [anon_sym_BSLASHCpageref] = ACTIONS(6734),
    [anon_sym_BSLASHnamecref] = ACTIONS(6734),
    [anon_sym_BSLASHnameCref] = ACTIONS(6734),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6734),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6734),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6734),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6734),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6734),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6734),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6734),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6734),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6734),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6734),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6734),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6734),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6734),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6734),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6734),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6734),
    [anon_sym_BSLASHdef] = ACTIONS(6734),
    [anon_sym_BSLASHgdef] = ACTIONS(6734),
    [anon_sym_BSLASHedef] = ACTIONS(6734),
    [anon_sym_BSLASHxdef] = ACTIONS(6734),
    [anon_sym_BSLASHlet] = ACTIONS(6734),
    [anon_sym_BSLASHglet] = ACTIONS(6734),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6734),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6734),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6734),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6734),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6734),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6734),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6734),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6734),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6734),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6734),
    [anon_sym_BSLASHgls] = ACTIONS(6734),
    [anon_sym_BSLASHGls] = ACTIONS(6734),
    [anon_sym_BSLASHGLS] = ACTIONS(6734),
    [anon_sym_BSLASHglspl] = ACTIONS(6734),
    [anon_sym_BSLASHGlspl] = ACTIONS(6734),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6734),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6734),
    [anon_sym_BSLASHglslink] = ACTIONS(6734),
    [anon_sym_BSLASHglstext] = ACTIONS(6734),
    [anon_sym_BSLASHGlstext] = ACTIONS(6734),
    [anon_sym_BSLASHGLStext] = ACTIONS(6734),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6734),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6734),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6734),
    [anon_sym_BSLASHglsplural] = ACTIONS(6734),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6734),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6734),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6734),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6734),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6734),
    [anon_sym_BSLASHglsname] = ACTIONS(6734),
    [anon_sym_BSLASHGlsname] = ACTIONS(6734),
    [anon_sym_BSLASHGLSname] = ACTIONS(6734),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6734),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6734),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6734),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6734),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6734),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6734),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6734),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6734),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6734),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6734),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6734),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6734),
    [anon_sym_BSLASHacrshort] = ACTIONS(6734),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6734),
    [anon_sym_BSLASHACRshort] = ACTIONS(6734),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6734),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6734),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6734),
    [anon_sym_BSLASHacrlong] = ACTIONS(6734),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6734),
    [anon_sym_BSLASHACRlong] = ACTIONS(6734),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6734),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6734),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6734),
    [anon_sym_BSLASHacrfull] = ACTIONS(6734),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6734),
    [anon_sym_BSLASHACRfull] = ACTIONS(6734),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6734),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6734),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6734),
    [anon_sym_BSLASHacs] = ACTIONS(6734),
    [anon_sym_BSLASHAcs] = ACTIONS(6734),
    [anon_sym_BSLASHacsp] = ACTIONS(6734),
    [anon_sym_BSLASHAcsp] = ACTIONS(6734),
    [anon_sym_BSLASHacl] = ACTIONS(6734),
    [anon_sym_BSLASHAcl] = ACTIONS(6734),
    [anon_sym_BSLASHaclp] = ACTIONS(6734),
    [anon_sym_BSLASHAclp] = ACTIONS(6734),
    [anon_sym_BSLASHacf] = ACTIONS(6734),
    [anon_sym_BSLASHAcf] = ACTIONS(6734),
    [anon_sym_BSLASHacfp] = ACTIONS(6734),
    [anon_sym_BSLASHAcfp] = ACTIONS(6734),
    [anon_sym_BSLASHac] = ACTIONS(6734),
    [anon_sym_BSLASHAc] = ACTIONS(6734),
    [anon_sym_BSLASHacp] = ACTIONS(6734),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6734),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6734),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6734),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6734),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6734),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6734),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6734),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6734),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6734),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6734),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6734),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6734),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6734),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6734),
    [anon_sym_BSLASHcolor] = ACTIONS(6734),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6734),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6734),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6734),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6734),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6734),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6734),
    [anon_sym_BSLASHurl] = ACTIONS(6734),
    [anon_sym_BSLASHhref] = ACTIONS(6734),
  },
  [874] = {
    [sym__section_part] = STATE(1408),
    [sym_curly_group] = STATE(1402),
    [sym_brack_group] = STATE(3242),
    [sym_command_name] = ACTIONS(6738),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6738),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6740),
    [anon_sym_COMMA] = ACTIONS(6740),
    [anon_sym_EQ] = ACTIONS(6740),
    [anon_sym_LPAREN] = ACTIONS(6740),
    [anon_sym_RPAREN] = ACTIONS(6740),
    [anon_sym_BSLASHpart] = ACTIONS(6738),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHaddpart] = ACTIONS(6738),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHchapter] = ACTIONS(6738),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHaddchap] = ACTIONS(6738),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHsection] = ACTIONS(6738),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHaddsec] = ACTIONS(6738),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHsubsection] = ACTIONS(6738),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6738),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHparagraph] = ACTIONS(6738),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6738),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHitem] = ACTIONS(6738),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6740),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(6738),
    [sym_placeholder] = ACTIONS(6740),
    [sym_delimiter] = ACTIONS(6740),
    [anon_sym_PLUS] = ACTIONS(6740),
    [anon_sym_DASH] = ACTIONS(6740),
    [anon_sym_STAR] = ACTIONS(6740),
    [anon_sym_SLASH] = ACTIONS(6740),
    [anon_sym_LT] = ACTIONS(6738),
    [anon_sym_GT] = ACTIONS(6738),
    [anon_sym_BANG] = ACTIONS(6738),
    [anon_sym_PIPE] = ACTIONS(6738),
    [anon_sym_COLON] = ACTIONS(6738),
    [anon_sym_SQUOTE] = ACTIONS(6738),
    [anon_sym__] = ACTIONS(6740),
    [anon_sym_CARET] = ACTIONS(6740),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6740),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6740),
    [anon_sym_DOLLAR] = ACTIONS(6738),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6740),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6740),
    [anon_sym_BSLASHleft] = ACTIONS(6738),
    [anon_sym_BSLASHbigl] = ACTIONS(6738),
    [anon_sym_BSLASHBigl] = ACTIONS(6738),
    [anon_sym_BSLASHbiggl] = ACTIONS(6738),
    [anon_sym_BSLASHBiggl] = ACTIONS(6738),
    [anon_sym_BSLASHtext] = ACTIONS(6738),
    [anon_sym_BSLASHintertext] = ACTIONS(6738),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6738),
    [anon_sym_BSLASHbegin] = ACTIONS(6738),
    [anon_sym_BSLASHtitle] = ACTIONS(6738),
    [anon_sym_BSLASHauthor] = ACTIONS(6738),
    [anon_sym_BSLASHusepackage] = ACTIONS(6738),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6738),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6738),
    [anon_sym_BSLASHinclude] = ACTIONS(6738),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6738),
    [anon_sym_BSLASHinput] = ACTIONS(6738),
    [anon_sym_BSLASHsubfile] = ACTIONS(6738),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6738),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6738),
    [anon_sym_BSLASHbibliography] = ACTIONS(6738),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6738),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6738),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6738),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6738),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6738),
    [anon_sym_BSLASHimport] = ACTIONS(6738),
    [anon_sym_BSLASHsubimport] = ACTIONS(6738),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6738),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6738),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6738),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6738),
    [anon_sym_BSLASHcaption] = ACTIONS(6738),
    [anon_sym_BSLASHcite] = ACTIONS(6738),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHCite] = ACTIONS(6738),
    [anon_sym_BSLASHnocite] = ACTIONS(6738),
    [anon_sym_BSLASHcitet] = ACTIONS(6738),
    [anon_sym_BSLASHcitep] = ACTIONS(6738),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHciteA] = ACTIONS(6738),
    [anon_sym_BSLASHciteR] = ACTIONS(6738),
    [anon_sym_BSLASHciteS] = ACTIONS(6738),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6738),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6738),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6738),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6738),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHciteyear] = ACTIONS(6738),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcitedate] = ACTIONS(6738),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHciteurl] = ACTIONS(6738),
    [anon_sym_BSLASHfullcite] = ACTIONS(6738),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6738),
    [anon_sym_BSLASHcitealt] = ACTIONS(6738),
    [anon_sym_BSLASHcitealp] = ACTIONS(6738),
    [anon_sym_BSLASHcitetext] = ACTIONS(6738),
    [anon_sym_BSLASHparencite] = ACTIONS(6738),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHParencite] = ACTIONS(6738),
    [anon_sym_BSLASHfootcite] = ACTIONS(6738),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6738),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6738),
    [anon_sym_BSLASHtextcite] = ACTIONS(6738),
    [anon_sym_BSLASHTextcite] = ACTIONS(6738),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6738),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6738),
    [anon_sym_BSLASHsupercite] = ACTIONS(6738),
    [anon_sym_BSLASHautocite] = ACTIONS(6738),
    [anon_sym_BSLASHAutocite] = ACTIONS(6738),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHVolcite] = ACTIONS(6738),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHavolcite] = ACTIONS(6738),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHnotecite] = ACTIONS(6738),
    [anon_sym_BSLASHNotecite] = ACTIONS(6738),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6738),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6738),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6738),
    [anon_sym_BSLASHlabel] = ACTIONS(6738),
    [anon_sym_BSLASHref] = ACTIONS(6738),
    [anon_sym_BSLASHeqref] = ACTIONS(6738),
    [anon_sym_BSLASHvref] = ACTIONS(6738),
    [anon_sym_BSLASHVref] = ACTIONS(6738),
    [anon_sym_BSLASHautoref] = ACTIONS(6738),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHpageref] = ACTIONS(6738),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHautopageref] = ACTIONS(6738),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcref] = ACTIONS(6738),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHCref] = ACTIONS(6738),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcpageref] = ACTIONS(6738),
    [anon_sym_BSLASHCpageref] = ACTIONS(6738),
    [anon_sym_BSLASHnamecref] = ACTIONS(6738),
    [anon_sym_BSLASHnameCref] = ACTIONS(6738),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6738),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6738),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6738),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6738),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6738),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6738),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6738),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6738),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6738),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6738),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6738),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6738),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6738),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6738),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6738),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6738),
    [anon_sym_BSLASHdef] = ACTIONS(6738),
    [anon_sym_BSLASHgdef] = ACTIONS(6738),
    [anon_sym_BSLASHedef] = ACTIONS(6738),
    [anon_sym_BSLASHxdef] = ACTIONS(6738),
    [anon_sym_BSLASHlet] = ACTIONS(6738),
    [anon_sym_BSLASHglet] = ACTIONS(6738),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6738),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6738),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6738),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6738),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6738),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6738),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6738),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6738),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6738),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6738),
    [anon_sym_BSLASHgls] = ACTIONS(6738),
    [anon_sym_BSLASHGls] = ACTIONS(6738),
    [anon_sym_BSLASHGLS] = ACTIONS(6738),
    [anon_sym_BSLASHglspl] = ACTIONS(6738),
    [anon_sym_BSLASHGlspl] = ACTIONS(6738),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6738),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6738),
    [anon_sym_BSLASHglslink] = ACTIONS(6738),
    [anon_sym_BSLASHglstext] = ACTIONS(6738),
    [anon_sym_BSLASHGlstext] = ACTIONS(6738),
    [anon_sym_BSLASHGLStext] = ACTIONS(6738),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6738),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6738),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6738),
    [anon_sym_BSLASHglsplural] = ACTIONS(6738),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6738),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6738),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6738),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6738),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6738),
    [anon_sym_BSLASHglsname] = ACTIONS(6738),
    [anon_sym_BSLASHGlsname] = ACTIONS(6738),
    [anon_sym_BSLASHGLSname] = ACTIONS(6738),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6738),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6738),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6738),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6738),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6738),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6738),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6738),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6738),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6738),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6738),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6738),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6738),
    [anon_sym_BSLASHacrshort] = ACTIONS(6738),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6738),
    [anon_sym_BSLASHACRshort] = ACTIONS(6738),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6738),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6738),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6738),
    [anon_sym_BSLASHacrlong] = ACTIONS(6738),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6738),
    [anon_sym_BSLASHACRlong] = ACTIONS(6738),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6738),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6738),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6738),
    [anon_sym_BSLASHacrfull] = ACTIONS(6738),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6738),
    [anon_sym_BSLASHACRfull] = ACTIONS(6738),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6738),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6738),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6738),
    [anon_sym_BSLASHacs] = ACTIONS(6738),
    [anon_sym_BSLASHAcs] = ACTIONS(6738),
    [anon_sym_BSLASHacsp] = ACTIONS(6738),
    [anon_sym_BSLASHAcsp] = ACTIONS(6738),
    [anon_sym_BSLASHacl] = ACTIONS(6738),
    [anon_sym_BSLASHAcl] = ACTIONS(6738),
    [anon_sym_BSLASHaclp] = ACTIONS(6738),
    [anon_sym_BSLASHAclp] = ACTIONS(6738),
    [anon_sym_BSLASHacf] = ACTIONS(6738),
    [anon_sym_BSLASHAcf] = ACTIONS(6738),
    [anon_sym_BSLASHacfp] = ACTIONS(6738),
    [anon_sym_BSLASHAcfp] = ACTIONS(6738),
    [anon_sym_BSLASHac] = ACTIONS(6738),
    [anon_sym_BSLASHAc] = ACTIONS(6738),
    [anon_sym_BSLASHacp] = ACTIONS(6738),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6738),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6738),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6738),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6738),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6738),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6738),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6738),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6738),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6738),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6738),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6738),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6738),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6738),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6738),
    [anon_sym_BSLASHcolor] = ACTIONS(6738),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6738),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6738),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6738),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6738),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6738),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6738),
    [anon_sym_BSLASHurl] = ACTIONS(6738),
    [anon_sym_BSLASHhref] = ACTIONS(6738),
  },
  [875] = {
    [sym__subsection_declaration] = STATE(194),
    [sym_subsection] = STATE(737),
    [aux_sym__section_repeat4] = STATE(737),
    [sym_command_name] = ACTIONS(2290),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2290),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_RBRACK] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(2292),
    [anon_sym_EQ] = ACTIONS(2292),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_RPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHpart] = ACTIONS(2290),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddpart] = ACTIONS(2290),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHchapter] = ACTIONS(2290),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddchap] = ACTIONS(2290),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsection] = ACTIONS(2290),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddsec] = ACTIONS(2290),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubsection] = ACTIONS(654),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(656),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2290),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHitem] = ACTIONS(2290),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2292),
    [anon_sym_LBRACE] = ACTIONS(2292),
    [sym_word] = ACTIONS(2290),
    [sym_placeholder] = ACTIONS(2292),
    [sym_delimiter] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2292),
    [anon_sym_SLASH] = ACTIONS(2292),
    [anon_sym_LT] = ACTIONS(2290),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(2290),
    [anon_sym_PIPE] = ACTIONS(2290),
    [anon_sym_COLON] = ACTIONS(2290),
    [anon_sym_SQUOTE] = ACTIONS(2290),
    [anon_sym__] = ACTIONS(2292),
    [anon_sym_CARET] = ACTIONS(2292),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2292),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2292),
    [anon_sym_DOLLAR] = ACTIONS(2290),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2292),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHleft] = ACTIONS(2290),
    [anon_sym_BSLASHbigl] = ACTIONS(2290),
    [anon_sym_BSLASHBigl] = ACTIONS(2290),
    [anon_sym_BSLASHbiggl] = ACTIONS(2290),
    [anon_sym_BSLASHBiggl] = ACTIONS(2290),
    [anon_sym_BSLASHtext] = ACTIONS(2290),
    [anon_sym_BSLASHintertext] = ACTIONS(2290),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2290),
    [anon_sym_BSLASHbegin] = ACTIONS(2290),
    [anon_sym_BSLASHtitle] = ACTIONS(2290),
    [anon_sym_BSLASHauthor] = ACTIONS(2290),
    [anon_sym_BSLASHusepackage] = ACTIONS(2290),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2290),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2290),
    [anon_sym_BSLASHinclude] = ACTIONS(2290),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2290),
    [anon_sym_BSLASHinput] = ACTIONS(2290),
    [anon_sym_BSLASHsubfile] = ACTIONS(2290),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2290),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2290),
    [anon_sym_BSLASHbibliography] = ACTIONS(2290),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2290),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2290),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2290),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2290),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2290),
    [anon_sym_BSLASHimport] = ACTIONS(2290),
    [anon_sym_BSLASHsubimport] = ACTIONS(2290),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2290),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHcaption] = ACTIONS(2290),
    [anon_sym_BSLASHcite] = ACTIONS(2290),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCite] = ACTIONS(2290),
    [anon_sym_BSLASHnocite] = ACTIONS(2290),
    [anon_sym_BSLASHcitet] = ACTIONS(2290),
    [anon_sym_BSLASHcitep] = ACTIONS(2290),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteA] = ACTIONS(2290),
    [anon_sym_BSLASHciteR] = ACTIONS(2290),
    [anon_sym_BSLASHciteS] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2290),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteyear] = ACTIONS(2290),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitedate] = ACTIONS(2290),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteurl] = ACTIONS(2290),
    [anon_sym_BSLASHfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2290),
    [anon_sym_BSLASHcitealt] = ACTIONS(2290),
    [anon_sym_BSLASHcitealp] = ACTIONS(2290),
    [anon_sym_BSLASHcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHparencite] = ACTIONS(2290),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHParencite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHtextcite] = ACTIONS(2290),
    [anon_sym_BSLASHTextcite] = ACTIONS(2290),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHsupercite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite] = ACTIONS(2290),
    [anon_sym_BSLASHAutocite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHVolcite] = ACTIONS(2290),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHavolcite] = ACTIONS(2290),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHNotecite] = ACTIONS(2290),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHlabel] = ACTIONS(2290),
    [anon_sym_BSLASHref] = ACTIONS(2290),
    [anon_sym_BSLASHeqref] = ACTIONS(2290),
    [anon_sym_BSLASHvref] = ACTIONS(2290),
    [anon_sym_BSLASHVref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHpageref] = ACTIONS(2290),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHautopageref] = ACTIONS(2290),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcref] = ACTIONS(2290),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCref] = ACTIONS(2290),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHCpageref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnameCref] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2290),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHdef] = ACTIONS(2290),
    [anon_sym_BSLASHgdef] = ACTIONS(2290),
    [anon_sym_BSLASHedef] = ACTIONS(2290),
    [anon_sym_BSLASHxdef] = ACTIONS(2290),
    [anon_sym_BSLASHlet] = ACTIONS(2290),
    [anon_sym_BSLASHglet] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2290),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2290),
    [anon_sym_BSLASHgls] = ACTIONS(2290),
    [anon_sym_BSLASHGls] = ACTIONS(2290),
    [anon_sym_BSLASHGLS] = ACTIONS(2290),
    [anon_sym_BSLASHglspl] = ACTIONS(2290),
    [anon_sym_BSLASHGlspl] = ACTIONS(2290),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2290),
    [anon_sym_BSLASHglslink] = ACTIONS(2290),
    [anon_sym_BSLASHglstext] = ACTIONS(2290),
    [anon_sym_BSLASHGlstext] = ACTIONS(2290),
    [anon_sym_BSLASHGLStext] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2290),
    [anon_sym_BSLASHglsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsname] = ACTIONS(2290),
    [anon_sym_BSLASHGlsname] = ACTIONS(2290),
    [anon_sym_BSLASHGLSname] = ACTIONS(2290),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2290),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2290),
    [anon_sym_BSLASHacrshort] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2290),
    [anon_sym_BSLASHACRshort] = ACTIONS(2290),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrlong] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2290),
    [anon_sym_BSLASHACRlong] = ACTIONS(2290),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrfull] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2290),
    [anon_sym_BSLASHACRfull] = ACTIONS(2290),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHacs] = ACTIONS(2290),
    [anon_sym_BSLASHAcs] = ACTIONS(2290),
    [anon_sym_BSLASHacsp] = ACTIONS(2290),
    [anon_sym_BSLASHAcsp] = ACTIONS(2290),
    [anon_sym_BSLASHacl] = ACTIONS(2290),
    [anon_sym_BSLASHAcl] = ACTIONS(2290),
    [anon_sym_BSLASHaclp] = ACTIONS(2290),
    [anon_sym_BSLASHAclp] = ACTIONS(2290),
    [anon_sym_BSLASHacf] = ACTIONS(2290),
    [anon_sym_BSLASHAcf] = ACTIONS(2290),
    [anon_sym_BSLASHacfp] = ACTIONS(2290),
    [anon_sym_BSLASHAcfp] = ACTIONS(2290),
    [anon_sym_BSLASHac] = ACTIONS(2290),
    [anon_sym_BSLASHAc] = ACTIONS(2290),
    [anon_sym_BSLASHacp] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2290),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2290),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2290),
    [anon_sym_BSLASHcolor] = ACTIONS(2290),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2290),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2290),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2290),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2290),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2290),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2290),
    [anon_sym_BSLASHurl] = ACTIONS(2290),
    [anon_sym_BSLASHhref] = ACTIONS(2290),
  },
  [876] = {
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(738),
    [aux_sym__section_repeat5] = STATE(738),
    [sym_command_name] = ACTIONS(2290),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2290),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_RBRACK] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(2292),
    [anon_sym_EQ] = ACTIONS(2292),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_RPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHpart] = ACTIONS(2290),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddpart] = ACTIONS(2290),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHchapter] = ACTIONS(2290),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddchap] = ACTIONS(2290),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsection] = ACTIONS(2290),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddsec] = ACTIONS(2290),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubsection] = ACTIONS(2290),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHitem] = ACTIONS(2290),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2292),
    [anon_sym_LBRACE] = ACTIONS(2292),
    [sym_word] = ACTIONS(2290),
    [sym_placeholder] = ACTIONS(2292),
    [sym_delimiter] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2292),
    [anon_sym_SLASH] = ACTIONS(2292),
    [anon_sym_LT] = ACTIONS(2290),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(2290),
    [anon_sym_PIPE] = ACTIONS(2290),
    [anon_sym_COLON] = ACTIONS(2290),
    [anon_sym_SQUOTE] = ACTIONS(2290),
    [anon_sym__] = ACTIONS(2292),
    [anon_sym_CARET] = ACTIONS(2292),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2292),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2292),
    [anon_sym_DOLLAR] = ACTIONS(2290),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2292),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHleft] = ACTIONS(2290),
    [anon_sym_BSLASHbigl] = ACTIONS(2290),
    [anon_sym_BSLASHBigl] = ACTIONS(2290),
    [anon_sym_BSLASHbiggl] = ACTIONS(2290),
    [anon_sym_BSLASHBiggl] = ACTIONS(2290),
    [anon_sym_BSLASHtext] = ACTIONS(2290),
    [anon_sym_BSLASHintertext] = ACTIONS(2290),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2290),
    [anon_sym_BSLASHbegin] = ACTIONS(2290),
    [anon_sym_BSLASHtitle] = ACTIONS(2290),
    [anon_sym_BSLASHauthor] = ACTIONS(2290),
    [anon_sym_BSLASHusepackage] = ACTIONS(2290),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2290),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2290),
    [anon_sym_BSLASHinclude] = ACTIONS(2290),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2290),
    [anon_sym_BSLASHinput] = ACTIONS(2290),
    [anon_sym_BSLASHsubfile] = ACTIONS(2290),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2290),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2290),
    [anon_sym_BSLASHbibliography] = ACTIONS(2290),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2290),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2290),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2290),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2290),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2290),
    [anon_sym_BSLASHimport] = ACTIONS(2290),
    [anon_sym_BSLASHsubimport] = ACTIONS(2290),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2290),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHcaption] = ACTIONS(2290),
    [anon_sym_BSLASHcite] = ACTIONS(2290),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCite] = ACTIONS(2290),
    [anon_sym_BSLASHnocite] = ACTIONS(2290),
    [anon_sym_BSLASHcitet] = ACTIONS(2290),
    [anon_sym_BSLASHcitep] = ACTIONS(2290),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteA] = ACTIONS(2290),
    [anon_sym_BSLASHciteR] = ACTIONS(2290),
    [anon_sym_BSLASHciteS] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2290),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteyear] = ACTIONS(2290),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitedate] = ACTIONS(2290),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteurl] = ACTIONS(2290),
    [anon_sym_BSLASHfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2290),
    [anon_sym_BSLASHcitealt] = ACTIONS(2290),
    [anon_sym_BSLASHcitealp] = ACTIONS(2290),
    [anon_sym_BSLASHcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHparencite] = ACTIONS(2290),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHParencite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHtextcite] = ACTIONS(2290),
    [anon_sym_BSLASHTextcite] = ACTIONS(2290),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHsupercite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite] = ACTIONS(2290),
    [anon_sym_BSLASHAutocite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHVolcite] = ACTIONS(2290),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHavolcite] = ACTIONS(2290),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHNotecite] = ACTIONS(2290),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHlabel] = ACTIONS(2290),
    [anon_sym_BSLASHref] = ACTIONS(2290),
    [anon_sym_BSLASHeqref] = ACTIONS(2290),
    [anon_sym_BSLASHvref] = ACTIONS(2290),
    [anon_sym_BSLASHVref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHpageref] = ACTIONS(2290),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHautopageref] = ACTIONS(2290),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcref] = ACTIONS(2290),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCref] = ACTIONS(2290),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHCpageref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnameCref] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2290),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHdef] = ACTIONS(2290),
    [anon_sym_BSLASHgdef] = ACTIONS(2290),
    [anon_sym_BSLASHedef] = ACTIONS(2290),
    [anon_sym_BSLASHxdef] = ACTIONS(2290),
    [anon_sym_BSLASHlet] = ACTIONS(2290),
    [anon_sym_BSLASHglet] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2290),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2290),
    [anon_sym_BSLASHgls] = ACTIONS(2290),
    [anon_sym_BSLASHGls] = ACTIONS(2290),
    [anon_sym_BSLASHGLS] = ACTIONS(2290),
    [anon_sym_BSLASHglspl] = ACTIONS(2290),
    [anon_sym_BSLASHGlspl] = ACTIONS(2290),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2290),
    [anon_sym_BSLASHglslink] = ACTIONS(2290),
    [anon_sym_BSLASHglstext] = ACTIONS(2290),
    [anon_sym_BSLASHGlstext] = ACTIONS(2290),
    [anon_sym_BSLASHGLStext] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2290),
    [anon_sym_BSLASHglsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsname] = ACTIONS(2290),
    [anon_sym_BSLASHGlsname] = ACTIONS(2290),
    [anon_sym_BSLASHGLSname] = ACTIONS(2290),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2290),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2290),
    [anon_sym_BSLASHacrshort] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2290),
    [anon_sym_BSLASHACRshort] = ACTIONS(2290),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrlong] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2290),
    [anon_sym_BSLASHACRlong] = ACTIONS(2290),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrfull] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2290),
    [anon_sym_BSLASHACRfull] = ACTIONS(2290),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHacs] = ACTIONS(2290),
    [anon_sym_BSLASHAcs] = ACTIONS(2290),
    [anon_sym_BSLASHacsp] = ACTIONS(2290),
    [anon_sym_BSLASHAcsp] = ACTIONS(2290),
    [anon_sym_BSLASHacl] = ACTIONS(2290),
    [anon_sym_BSLASHAcl] = ACTIONS(2290),
    [anon_sym_BSLASHaclp] = ACTIONS(2290),
    [anon_sym_BSLASHAclp] = ACTIONS(2290),
    [anon_sym_BSLASHacf] = ACTIONS(2290),
    [anon_sym_BSLASHAcf] = ACTIONS(2290),
    [anon_sym_BSLASHacfp] = ACTIONS(2290),
    [anon_sym_BSLASHAcfp] = ACTIONS(2290),
    [anon_sym_BSLASHac] = ACTIONS(2290),
    [anon_sym_BSLASHAc] = ACTIONS(2290),
    [anon_sym_BSLASHacp] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2290),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2290),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2290),
    [anon_sym_BSLASHcolor] = ACTIONS(2290),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2290),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2290),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2290),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2290),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2290),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2290),
    [anon_sym_BSLASHurl] = ACTIONS(2290),
    [anon_sym_BSLASHhref] = ACTIONS(2290),
  },
  [877] = {
    [sym__section_part] = STATE(1409),
    [sym_curly_group] = STATE(1402),
    [sym_brack_group] = STATE(3242),
    [sym_command_name] = ACTIONS(6742),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6742),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6744),
    [anon_sym_COMMA] = ACTIONS(6744),
    [anon_sym_EQ] = ACTIONS(6744),
    [anon_sym_LPAREN] = ACTIONS(6744),
    [anon_sym_RPAREN] = ACTIONS(6744),
    [anon_sym_BSLASHpart] = ACTIONS(6742),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHaddpart] = ACTIONS(6742),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHchapter] = ACTIONS(6742),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHaddchap] = ACTIONS(6742),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHsection] = ACTIONS(6742),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHaddsec] = ACTIONS(6742),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHsubsection] = ACTIONS(6742),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6742),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHparagraph] = ACTIONS(6742),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6742),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHitem] = ACTIONS(6742),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6744),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(6742),
    [sym_placeholder] = ACTIONS(6744),
    [sym_delimiter] = ACTIONS(6744),
    [anon_sym_PLUS] = ACTIONS(6744),
    [anon_sym_DASH] = ACTIONS(6744),
    [anon_sym_STAR] = ACTIONS(6744),
    [anon_sym_SLASH] = ACTIONS(6744),
    [anon_sym_LT] = ACTIONS(6742),
    [anon_sym_GT] = ACTIONS(6742),
    [anon_sym_BANG] = ACTIONS(6742),
    [anon_sym_PIPE] = ACTIONS(6742),
    [anon_sym_COLON] = ACTIONS(6742),
    [anon_sym_SQUOTE] = ACTIONS(6742),
    [anon_sym__] = ACTIONS(6744),
    [anon_sym_CARET] = ACTIONS(6744),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6744),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6744),
    [anon_sym_DOLLAR] = ACTIONS(6742),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6744),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6744),
    [anon_sym_BSLASHleft] = ACTIONS(6742),
    [anon_sym_BSLASHbigl] = ACTIONS(6742),
    [anon_sym_BSLASHBigl] = ACTIONS(6742),
    [anon_sym_BSLASHbiggl] = ACTIONS(6742),
    [anon_sym_BSLASHBiggl] = ACTIONS(6742),
    [anon_sym_BSLASHtext] = ACTIONS(6742),
    [anon_sym_BSLASHintertext] = ACTIONS(6742),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6742),
    [anon_sym_BSLASHbegin] = ACTIONS(6742),
    [anon_sym_BSLASHtitle] = ACTIONS(6742),
    [anon_sym_BSLASHauthor] = ACTIONS(6742),
    [anon_sym_BSLASHusepackage] = ACTIONS(6742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6742),
    [anon_sym_BSLASHinclude] = ACTIONS(6742),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6742),
    [anon_sym_BSLASHinput] = ACTIONS(6742),
    [anon_sym_BSLASHsubfile] = ACTIONS(6742),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6742),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6742),
    [anon_sym_BSLASHbibliography] = ACTIONS(6742),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6742),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6742),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6742),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6742),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6742),
    [anon_sym_BSLASHimport] = ACTIONS(6742),
    [anon_sym_BSLASHsubimport] = ACTIONS(6742),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6742),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6742),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6742),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6742),
    [anon_sym_BSLASHcaption] = ACTIONS(6742),
    [anon_sym_BSLASHcite] = ACTIONS(6742),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHCite] = ACTIONS(6742),
    [anon_sym_BSLASHnocite] = ACTIONS(6742),
    [anon_sym_BSLASHcitet] = ACTIONS(6742),
    [anon_sym_BSLASHcitep] = ACTIONS(6742),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHciteA] = ACTIONS(6742),
    [anon_sym_BSLASHciteR] = ACTIONS(6742),
    [anon_sym_BSLASHciteS] = ACTIONS(6742),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6742),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6742),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6742),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6742),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHciteyear] = ACTIONS(6742),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcitedate] = ACTIONS(6742),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHciteurl] = ACTIONS(6742),
    [anon_sym_BSLASHfullcite] = ACTIONS(6742),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6742),
    [anon_sym_BSLASHcitealt] = ACTIONS(6742),
    [anon_sym_BSLASHcitealp] = ACTIONS(6742),
    [anon_sym_BSLASHcitetext] = ACTIONS(6742),
    [anon_sym_BSLASHparencite] = ACTIONS(6742),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHParencite] = ACTIONS(6742),
    [anon_sym_BSLASHfootcite] = ACTIONS(6742),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6742),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6742),
    [anon_sym_BSLASHtextcite] = ACTIONS(6742),
    [anon_sym_BSLASHTextcite] = ACTIONS(6742),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6742),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6742),
    [anon_sym_BSLASHsupercite] = ACTIONS(6742),
    [anon_sym_BSLASHautocite] = ACTIONS(6742),
    [anon_sym_BSLASHAutocite] = ACTIONS(6742),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHVolcite] = ACTIONS(6742),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHavolcite] = ACTIONS(6742),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHnotecite] = ACTIONS(6742),
    [anon_sym_BSLASHNotecite] = ACTIONS(6742),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6742),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6742),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6742),
    [anon_sym_BSLASHlabel] = ACTIONS(6742),
    [anon_sym_BSLASHref] = ACTIONS(6742),
    [anon_sym_BSLASHeqref] = ACTIONS(6742),
    [anon_sym_BSLASHvref] = ACTIONS(6742),
    [anon_sym_BSLASHVref] = ACTIONS(6742),
    [anon_sym_BSLASHautoref] = ACTIONS(6742),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHpageref] = ACTIONS(6742),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHautopageref] = ACTIONS(6742),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcref] = ACTIONS(6742),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHCref] = ACTIONS(6742),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcpageref] = ACTIONS(6742),
    [anon_sym_BSLASHCpageref] = ACTIONS(6742),
    [anon_sym_BSLASHnamecref] = ACTIONS(6742),
    [anon_sym_BSLASHnameCref] = ACTIONS(6742),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6742),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6742),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6742),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6742),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6742),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6742),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6742),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6742),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6742),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6742),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6742),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6742),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6742),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6742),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6742),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6742),
    [anon_sym_BSLASHdef] = ACTIONS(6742),
    [anon_sym_BSLASHgdef] = ACTIONS(6742),
    [anon_sym_BSLASHedef] = ACTIONS(6742),
    [anon_sym_BSLASHxdef] = ACTIONS(6742),
    [anon_sym_BSLASHlet] = ACTIONS(6742),
    [anon_sym_BSLASHglet] = ACTIONS(6742),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6742),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6742),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6742),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6742),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6742),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6742),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6742),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6742),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6742),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6742),
    [anon_sym_BSLASHgls] = ACTIONS(6742),
    [anon_sym_BSLASHGls] = ACTIONS(6742),
    [anon_sym_BSLASHGLS] = ACTIONS(6742),
    [anon_sym_BSLASHglspl] = ACTIONS(6742),
    [anon_sym_BSLASHGlspl] = ACTIONS(6742),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6742),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6742),
    [anon_sym_BSLASHglslink] = ACTIONS(6742),
    [anon_sym_BSLASHglstext] = ACTIONS(6742),
    [anon_sym_BSLASHGlstext] = ACTIONS(6742),
    [anon_sym_BSLASHGLStext] = ACTIONS(6742),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6742),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6742),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6742),
    [anon_sym_BSLASHglsplural] = ACTIONS(6742),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6742),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6742),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6742),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6742),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6742),
    [anon_sym_BSLASHglsname] = ACTIONS(6742),
    [anon_sym_BSLASHGlsname] = ACTIONS(6742),
    [anon_sym_BSLASHGLSname] = ACTIONS(6742),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6742),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6742),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6742),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6742),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6742),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6742),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6742),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6742),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6742),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6742),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6742),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6742),
    [anon_sym_BSLASHacrshort] = ACTIONS(6742),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6742),
    [anon_sym_BSLASHACRshort] = ACTIONS(6742),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6742),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6742),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6742),
    [anon_sym_BSLASHacrlong] = ACTIONS(6742),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6742),
    [anon_sym_BSLASHACRlong] = ACTIONS(6742),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6742),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6742),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6742),
    [anon_sym_BSLASHacrfull] = ACTIONS(6742),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6742),
    [anon_sym_BSLASHACRfull] = ACTIONS(6742),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6742),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6742),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6742),
    [anon_sym_BSLASHacs] = ACTIONS(6742),
    [anon_sym_BSLASHAcs] = ACTIONS(6742),
    [anon_sym_BSLASHacsp] = ACTIONS(6742),
    [anon_sym_BSLASHAcsp] = ACTIONS(6742),
    [anon_sym_BSLASHacl] = ACTIONS(6742),
    [anon_sym_BSLASHAcl] = ACTIONS(6742),
    [anon_sym_BSLASHaclp] = ACTIONS(6742),
    [anon_sym_BSLASHAclp] = ACTIONS(6742),
    [anon_sym_BSLASHacf] = ACTIONS(6742),
    [anon_sym_BSLASHAcf] = ACTIONS(6742),
    [anon_sym_BSLASHacfp] = ACTIONS(6742),
    [anon_sym_BSLASHAcfp] = ACTIONS(6742),
    [anon_sym_BSLASHac] = ACTIONS(6742),
    [anon_sym_BSLASHAc] = ACTIONS(6742),
    [anon_sym_BSLASHacp] = ACTIONS(6742),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6742),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6742),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6742),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6742),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6742),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6742),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6742),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6742),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6742),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6742),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6742),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6742),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6742),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6742),
    [anon_sym_BSLASHcolor] = ACTIONS(6742),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6742),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6742),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6742),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6742),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6742),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6742),
    [anon_sym_BSLASHurl] = ACTIONS(6742),
    [anon_sym_BSLASHhref] = ACTIONS(6742),
  },
  [878] = {
    [ts_builtin_sym_end] = ACTIONS(6875),
    [sym_command_name] = ACTIONS(6871),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6871),
    [anon_sym_BSLASHfi] = ACTIONS(7710),
    [anon_sym_LBRACK] = ACTIONS(6875),
    [anon_sym_RBRACK] = ACTIONS(6875),
    [anon_sym_COMMA] = ACTIONS(6875),
    [anon_sym_EQ] = ACTIONS(6875),
    [anon_sym_LPAREN] = ACTIONS(6875),
    [anon_sym_RPAREN] = ACTIONS(6875),
    [anon_sym_BSLASHpart] = ACTIONS(6871),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHaddpart] = ACTIONS(6871),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHchapter] = ACTIONS(6871),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHaddchap] = ACTIONS(6871),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHsection] = ACTIONS(6871),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHaddsec] = ACTIONS(6871),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHsubsection] = ACTIONS(6871),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6871),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHparagraph] = ACTIONS(6871),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6871),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHitem] = ACTIONS(6871),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6875),
    [anon_sym_LBRACE] = ACTIONS(6875),
    [anon_sym_RBRACE] = ACTIONS(6875),
    [sym_word] = ACTIONS(6871),
    [sym_placeholder] = ACTIONS(6875),
    [sym_delimiter] = ACTIONS(6875),
    [anon_sym_PLUS] = ACTIONS(6875),
    [anon_sym_DASH] = ACTIONS(6875),
    [anon_sym_STAR] = ACTIONS(6875),
    [anon_sym_SLASH] = ACTIONS(6875),
    [anon_sym_LT] = ACTIONS(6871),
    [anon_sym_GT] = ACTIONS(6871),
    [anon_sym_BANG] = ACTIONS(6871),
    [anon_sym_PIPE] = ACTIONS(6871),
    [anon_sym_COLON] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6871),
    [anon_sym__] = ACTIONS(6875),
    [anon_sym_CARET] = ACTIONS(6875),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6875),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6875),
    [anon_sym_DOLLAR] = ACTIONS(6871),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6875),
    [anon_sym_BSLASHleft] = ACTIONS(6871),
    [anon_sym_BSLASHbigl] = ACTIONS(6871),
    [anon_sym_BSLASHBigl] = ACTIONS(6871),
    [anon_sym_BSLASHbiggl] = ACTIONS(6871),
    [anon_sym_BSLASHBiggl] = ACTIONS(6871),
    [anon_sym_BSLASHtext] = ACTIONS(6871),
    [anon_sym_BSLASHintertext] = ACTIONS(6871),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6871),
    [anon_sym_BSLASHbegin] = ACTIONS(6871),
    [anon_sym_BSLASHtitle] = ACTIONS(6871),
    [anon_sym_BSLASHauthor] = ACTIONS(6871),
    [anon_sym_BSLASHusepackage] = ACTIONS(6871),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6871),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6871),
    [anon_sym_BSLASHinclude] = ACTIONS(6871),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6871),
    [anon_sym_BSLASHinput] = ACTIONS(6871),
    [anon_sym_BSLASHsubfile] = ACTIONS(6871),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6871),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6871),
    [anon_sym_BSLASHbibliography] = ACTIONS(6871),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6871),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6871),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6871),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6871),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6871),
    [anon_sym_BSLASHimport] = ACTIONS(6871),
    [anon_sym_BSLASHsubimport] = ACTIONS(6871),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6871),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6871),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6871),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6871),
    [anon_sym_BSLASHcaption] = ACTIONS(6871),
    [anon_sym_BSLASHcite] = ACTIONS(6871),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCite] = ACTIONS(6871),
    [anon_sym_BSLASHnocite] = ACTIONS(6871),
    [anon_sym_BSLASHcitet] = ACTIONS(6871),
    [anon_sym_BSLASHcitep] = ACTIONS(6871),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteA] = ACTIONS(6871),
    [anon_sym_BSLASHciteR] = ACTIONS(6871),
    [anon_sym_BSLASHciteS] = ACTIONS(6871),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6871),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6871),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6871),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6871),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteyear] = ACTIONS(6871),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitedate] = ACTIONS(6871),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteurl] = ACTIONS(6871),
    [anon_sym_BSLASHfullcite] = ACTIONS(6871),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6871),
    [anon_sym_BSLASHcitealt] = ACTIONS(6871),
    [anon_sym_BSLASHcitealp] = ACTIONS(6871),
    [anon_sym_BSLASHcitetext] = ACTIONS(6871),
    [anon_sym_BSLASHparencite] = ACTIONS(6871),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHParencite] = ACTIONS(6871),
    [anon_sym_BSLASHfootcite] = ACTIONS(6871),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6871),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6871),
    [anon_sym_BSLASHtextcite] = ACTIONS(6871),
    [anon_sym_BSLASHTextcite] = ACTIONS(6871),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6871),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6871),
    [anon_sym_BSLASHsupercite] = ACTIONS(6871),
    [anon_sym_BSLASHautocite] = ACTIONS(6871),
    [anon_sym_BSLASHAutocite] = ACTIONS(6871),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHVolcite] = ACTIONS(6871),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHavolcite] = ACTIONS(6871),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHNotecite] = ACTIONS(6871),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHlabel] = ACTIONS(6871),
    [anon_sym_BSLASHref] = ACTIONS(6871),
    [anon_sym_BSLASHeqref] = ACTIONS(6871),
    [anon_sym_BSLASHvref] = ACTIONS(6871),
    [anon_sym_BSLASHVref] = ACTIONS(6871),
    [anon_sym_BSLASHautoref] = ACTIONS(6871),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHpageref] = ACTIONS(6871),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHautopageref] = ACTIONS(6871),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcref] = ACTIONS(6871),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCref] = ACTIONS(6871),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcpageref] = ACTIONS(6871),
    [anon_sym_BSLASHCpageref] = ACTIONS(6871),
    [anon_sym_BSLASHnamecref] = ACTIONS(6871),
    [anon_sym_BSLASHnameCref] = ACTIONS(6871),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6871),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6871),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6871),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6871),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6871),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6871),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6871),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6871),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6871),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6871),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6871),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHdef] = ACTIONS(6871),
    [anon_sym_BSLASHgdef] = ACTIONS(6871),
    [anon_sym_BSLASHedef] = ACTIONS(6871),
    [anon_sym_BSLASHxdef] = ACTIONS(6871),
    [anon_sym_BSLASHlet] = ACTIONS(6871),
    [anon_sym_BSLASHglet] = ACTIONS(6871),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6871),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6871),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6871),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6871),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6871),
    [anon_sym_BSLASHgls] = ACTIONS(6871),
    [anon_sym_BSLASHGls] = ACTIONS(6871),
    [anon_sym_BSLASHGLS] = ACTIONS(6871),
    [anon_sym_BSLASHglspl] = ACTIONS(6871),
    [anon_sym_BSLASHGlspl] = ACTIONS(6871),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6871),
    [anon_sym_BSLASHglslink] = ACTIONS(6871),
    [anon_sym_BSLASHglstext] = ACTIONS(6871),
    [anon_sym_BSLASHGlstext] = ACTIONS(6871),
    [anon_sym_BSLASHGLStext] = ACTIONS(6871),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6871),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6871),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6871),
    [anon_sym_BSLASHglsplural] = ACTIONS(6871),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6871),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6871),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHglsname] = ACTIONS(6871),
    [anon_sym_BSLASHGlsname] = ACTIONS(6871),
    [anon_sym_BSLASHGLSname] = ACTIONS(6871),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6871),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6871),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6871),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6871),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6871),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6871),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6871),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6871),
    [anon_sym_BSLASHacrshort] = ACTIONS(6871),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6871),
    [anon_sym_BSLASHACRshort] = ACTIONS(6871),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHacrlong] = ACTIONS(6871),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6871),
    [anon_sym_BSLASHACRlong] = ACTIONS(6871),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHacrfull] = ACTIONS(6871),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6871),
    [anon_sym_BSLASHACRfull] = ACTIONS(6871),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHacs] = ACTIONS(6871),
    [anon_sym_BSLASHAcs] = ACTIONS(6871),
    [anon_sym_BSLASHacsp] = ACTIONS(6871),
    [anon_sym_BSLASHAcsp] = ACTIONS(6871),
    [anon_sym_BSLASHacl] = ACTIONS(6871),
    [anon_sym_BSLASHAcl] = ACTIONS(6871),
    [anon_sym_BSLASHaclp] = ACTIONS(6871),
    [anon_sym_BSLASHAclp] = ACTIONS(6871),
    [anon_sym_BSLASHacf] = ACTIONS(6871),
    [anon_sym_BSLASHAcf] = ACTIONS(6871),
    [anon_sym_BSLASHacfp] = ACTIONS(6871),
    [anon_sym_BSLASHAcfp] = ACTIONS(6871),
    [anon_sym_BSLASHac] = ACTIONS(6871),
    [anon_sym_BSLASHAc] = ACTIONS(6871),
    [anon_sym_BSLASHacp] = ACTIONS(6871),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6871),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6871),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6871),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6871),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6871),
    [anon_sym_BSLASHcolor] = ACTIONS(6871),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6871),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6871),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6871),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6871),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6871),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6871),
    [anon_sym_BSLASHurl] = ACTIONS(6871),
    [anon_sym_BSLASHhref] = ACTIONS(6871),
    [sym__trivia_raw_fi] = ACTIONS(7712),
  },
  [879] = {
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(764),
    [aux_sym__section_repeat5] = STATE(764),
    [sym_command_name] = ACTIONS(2308),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_BSLASHpart] = ACTIONS(2308),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddpart] = ACTIONS(2308),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHchapter] = ACTIONS(2308),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddchap] = ACTIONS(2308),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsection] = ACTIONS(2308),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddsec] = ACTIONS(2308),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsection] = ACTIONS(2308),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(2308),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2308),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHitem] = ACTIONS(2308),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [sym_word] = ACTIONS(2308),
    [sym_placeholder] = ACTIONS(2310),
    [sym_delimiter] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_STAR] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2308),
    [anon_sym_GT] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_PIPE] = ACTIONS(2308),
    [anon_sym_COLON] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [anon_sym__] = ACTIONS(2310),
    [anon_sym_CARET] = ACTIONS(2310),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2310),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2310),
    [anon_sym_DOLLAR] = ACTIONS(2308),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2310),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2310),
    [anon_sym_BSLASHleft] = ACTIONS(2308),
    [anon_sym_BSLASHbigl] = ACTIONS(2308),
    [anon_sym_BSLASHBigl] = ACTIONS(2308),
    [anon_sym_BSLASHbiggl] = ACTIONS(2308),
    [anon_sym_BSLASHBiggl] = ACTIONS(2308),
    [anon_sym_BSLASHtext] = ACTIONS(2308),
    [anon_sym_BSLASHintertext] = ACTIONS(2308),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2308),
    [anon_sym_BSLASHbegin] = ACTIONS(2308),
    [anon_sym_BSLASHtitle] = ACTIONS(2308),
    [anon_sym_BSLASHauthor] = ACTIONS(2308),
    [anon_sym_BSLASHusepackage] = ACTIONS(2308),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2308),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2308),
    [anon_sym_BSLASHinclude] = ACTIONS(2308),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2308),
    [anon_sym_BSLASHinput] = ACTIONS(2308),
    [anon_sym_BSLASHsubfile] = ACTIONS(2308),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2308),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2308),
    [anon_sym_BSLASHbibliography] = ACTIONS(2308),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2308),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2308),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2308),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2308),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2308),
    [anon_sym_BSLASHimport] = ACTIONS(2308),
    [anon_sym_BSLASHsubimport] = ACTIONS(2308),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2308),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2308),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2308),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2308),
    [anon_sym_BSLASHcaption] = ACTIONS(2308),
    [anon_sym_BSLASHcite] = ACTIONS(2308),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCite] = ACTIONS(2308),
    [anon_sym_BSLASHnocite] = ACTIONS(2308),
    [anon_sym_BSLASHcitet] = ACTIONS(2308),
    [anon_sym_BSLASHcitep] = ACTIONS(2308),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteA] = ACTIONS(2308),
    [anon_sym_BSLASHciteR] = ACTIONS(2308),
    [anon_sym_BSLASHciteS] = ACTIONS(2308),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2308),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2308),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2308),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2308),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteyear] = ACTIONS(2308),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitedate] = ACTIONS(2308),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteurl] = ACTIONS(2308),
    [anon_sym_BSLASHfullcite] = ACTIONS(2308),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2308),
    [anon_sym_BSLASHcitealt] = ACTIONS(2308),
    [anon_sym_BSLASHcitealp] = ACTIONS(2308),
    [anon_sym_BSLASHcitetext] = ACTIONS(2308),
    [anon_sym_BSLASHparencite] = ACTIONS(2308),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHParencite] = ACTIONS(2308),
    [anon_sym_BSLASHfootcite] = ACTIONS(2308),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2308),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2308),
    [anon_sym_BSLASHtextcite] = ACTIONS(2308),
    [anon_sym_BSLASHTextcite] = ACTIONS(2308),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2308),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2308),
    [anon_sym_BSLASHsupercite] = ACTIONS(2308),
    [anon_sym_BSLASHautocite] = ACTIONS(2308),
    [anon_sym_BSLASHAutocite] = ACTIONS(2308),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHVolcite] = ACTIONS(2308),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHavolcite] = ACTIONS(2308),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHNotecite] = ACTIONS(2308),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHlabel] = ACTIONS(2308),
    [anon_sym_BSLASHref] = ACTIONS(2308),
    [anon_sym_BSLASHeqref] = ACTIONS(2308),
    [anon_sym_BSLASHvref] = ACTIONS(2308),
    [anon_sym_BSLASHVref] = ACTIONS(2308),
    [anon_sym_BSLASHautoref] = ACTIONS(2308),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHpageref] = ACTIONS(2308),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHautopageref] = ACTIONS(2308),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcref] = ACTIONS(2308),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCref] = ACTIONS(2308),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcpageref] = ACTIONS(2308),
    [anon_sym_BSLASHCpageref] = ACTIONS(2308),
    [anon_sym_BSLASHnamecref] = ACTIONS(2308),
    [anon_sym_BSLASHnameCref] = ACTIONS(2308),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2308),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2308),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2308),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2308),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2308),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2308),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2308),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2308),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2308),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2308),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2308),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHdef] = ACTIONS(2308),
    [anon_sym_BSLASHgdef] = ACTIONS(2308),
    [anon_sym_BSLASHedef] = ACTIONS(2308),
    [anon_sym_BSLASHxdef] = ACTIONS(2308),
    [anon_sym_BSLASHlet] = ACTIONS(2308),
    [anon_sym_BSLASHglet] = ACTIONS(2308),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2308),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2308),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2308),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2308),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2308),
    [anon_sym_BSLASHgls] = ACTIONS(2308),
    [anon_sym_BSLASHGls] = ACTIONS(2308),
    [anon_sym_BSLASHGLS] = ACTIONS(2308),
    [anon_sym_BSLASHglspl] = ACTIONS(2308),
    [anon_sym_BSLASHGlspl] = ACTIONS(2308),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2308),
    [anon_sym_BSLASHglslink] = ACTIONS(2308),
    [anon_sym_BSLASHglstext] = ACTIONS(2308),
    [anon_sym_BSLASHGlstext] = ACTIONS(2308),
    [anon_sym_BSLASHGLStext] = ACTIONS(2308),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2308),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2308),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2308),
    [anon_sym_BSLASHglsplural] = ACTIONS(2308),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2308),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2308),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHglsname] = ACTIONS(2308),
    [anon_sym_BSLASHGlsname] = ACTIONS(2308),
    [anon_sym_BSLASHGLSname] = ACTIONS(2308),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2308),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2308),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2308),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2308),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2308),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2308),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2308),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2308),
    [anon_sym_BSLASHacrshort] = ACTIONS(2308),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2308),
    [anon_sym_BSLASHACRshort] = ACTIONS(2308),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHacrlong] = ACTIONS(2308),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2308),
    [anon_sym_BSLASHACRlong] = ACTIONS(2308),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHacrfull] = ACTIONS(2308),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2308),
    [anon_sym_BSLASHACRfull] = ACTIONS(2308),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHacs] = ACTIONS(2308),
    [anon_sym_BSLASHAcs] = ACTIONS(2308),
    [anon_sym_BSLASHacsp] = ACTIONS(2308),
    [anon_sym_BSLASHAcsp] = ACTIONS(2308),
    [anon_sym_BSLASHacl] = ACTIONS(2308),
    [anon_sym_BSLASHAcl] = ACTIONS(2308),
    [anon_sym_BSLASHaclp] = ACTIONS(2308),
    [anon_sym_BSLASHAclp] = ACTIONS(2308),
    [anon_sym_BSLASHacf] = ACTIONS(2308),
    [anon_sym_BSLASHAcf] = ACTIONS(2308),
    [anon_sym_BSLASHacfp] = ACTIONS(2308),
    [anon_sym_BSLASHAcfp] = ACTIONS(2308),
    [anon_sym_BSLASHac] = ACTIONS(2308),
    [anon_sym_BSLASHAc] = ACTIONS(2308),
    [anon_sym_BSLASHacp] = ACTIONS(2308),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2308),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2308),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2308),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2308),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2308),
    [anon_sym_BSLASHcolor] = ACTIONS(2308),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2308),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2308),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2308),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2308),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2308),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2308),
    [anon_sym_BSLASHurl] = ACTIONS(2308),
    [anon_sym_BSLASHhref] = ACTIONS(2308),
  },
  [880] = {
    [sym__subsubsection_declaration] = STATE(204),
    [sym_subsubsection] = STATE(738),
    [aux_sym__section_repeat5] = STATE(738),
    [sym_command_name] = ACTIONS(2308),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_BSLASHpart] = ACTIONS(2308),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddpart] = ACTIONS(2308),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHchapter] = ACTIONS(2308),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddchap] = ACTIONS(2308),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsection] = ACTIONS(2308),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddsec] = ACTIONS(2308),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsection] = ACTIONS(2308),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(658),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(660),
    [anon_sym_BSLASHparagraph] = ACTIONS(2308),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2308),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHitem] = ACTIONS(2308),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [sym_word] = ACTIONS(2308),
    [sym_placeholder] = ACTIONS(2310),
    [sym_delimiter] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_STAR] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2308),
    [anon_sym_GT] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_PIPE] = ACTIONS(2308),
    [anon_sym_COLON] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [anon_sym__] = ACTIONS(2310),
    [anon_sym_CARET] = ACTIONS(2310),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2310),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2310),
    [anon_sym_DOLLAR] = ACTIONS(2308),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2310),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2310),
    [anon_sym_BSLASHleft] = ACTIONS(2308),
    [anon_sym_BSLASHbigl] = ACTIONS(2308),
    [anon_sym_BSLASHBigl] = ACTIONS(2308),
    [anon_sym_BSLASHbiggl] = ACTIONS(2308),
    [anon_sym_BSLASHBiggl] = ACTIONS(2308),
    [anon_sym_BSLASHtext] = ACTIONS(2308),
    [anon_sym_BSLASHintertext] = ACTIONS(2308),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2308),
    [anon_sym_BSLASHbegin] = ACTIONS(2308),
    [anon_sym_BSLASHtitle] = ACTIONS(2308),
    [anon_sym_BSLASHauthor] = ACTIONS(2308),
    [anon_sym_BSLASHusepackage] = ACTIONS(2308),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2308),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2308),
    [anon_sym_BSLASHinclude] = ACTIONS(2308),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2308),
    [anon_sym_BSLASHinput] = ACTIONS(2308),
    [anon_sym_BSLASHsubfile] = ACTIONS(2308),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2308),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2308),
    [anon_sym_BSLASHbibliography] = ACTIONS(2308),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2308),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2308),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2308),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2308),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2308),
    [anon_sym_BSLASHimport] = ACTIONS(2308),
    [anon_sym_BSLASHsubimport] = ACTIONS(2308),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2308),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2308),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2308),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2308),
    [anon_sym_BSLASHcaption] = ACTIONS(2308),
    [anon_sym_BSLASHcite] = ACTIONS(2308),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCite] = ACTIONS(2308),
    [anon_sym_BSLASHnocite] = ACTIONS(2308),
    [anon_sym_BSLASHcitet] = ACTIONS(2308),
    [anon_sym_BSLASHcitep] = ACTIONS(2308),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteA] = ACTIONS(2308),
    [anon_sym_BSLASHciteR] = ACTIONS(2308),
    [anon_sym_BSLASHciteS] = ACTIONS(2308),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2308),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2308),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2308),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2308),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteyear] = ACTIONS(2308),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitedate] = ACTIONS(2308),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteurl] = ACTIONS(2308),
    [anon_sym_BSLASHfullcite] = ACTIONS(2308),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2308),
    [anon_sym_BSLASHcitealt] = ACTIONS(2308),
    [anon_sym_BSLASHcitealp] = ACTIONS(2308),
    [anon_sym_BSLASHcitetext] = ACTIONS(2308),
    [anon_sym_BSLASHparencite] = ACTIONS(2308),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHParencite] = ACTIONS(2308),
    [anon_sym_BSLASHfootcite] = ACTIONS(2308),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2308),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2308),
    [anon_sym_BSLASHtextcite] = ACTIONS(2308),
    [anon_sym_BSLASHTextcite] = ACTIONS(2308),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2308),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2308),
    [anon_sym_BSLASHsupercite] = ACTIONS(2308),
    [anon_sym_BSLASHautocite] = ACTIONS(2308),
    [anon_sym_BSLASHAutocite] = ACTIONS(2308),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHVolcite] = ACTIONS(2308),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHavolcite] = ACTIONS(2308),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHNotecite] = ACTIONS(2308),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHlabel] = ACTIONS(2308),
    [anon_sym_BSLASHref] = ACTIONS(2308),
    [anon_sym_BSLASHeqref] = ACTIONS(2308),
    [anon_sym_BSLASHvref] = ACTIONS(2308),
    [anon_sym_BSLASHVref] = ACTIONS(2308),
    [anon_sym_BSLASHautoref] = ACTIONS(2308),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHpageref] = ACTIONS(2308),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHautopageref] = ACTIONS(2308),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcref] = ACTIONS(2308),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCref] = ACTIONS(2308),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcpageref] = ACTIONS(2308),
    [anon_sym_BSLASHCpageref] = ACTIONS(2308),
    [anon_sym_BSLASHnamecref] = ACTIONS(2308),
    [anon_sym_BSLASHnameCref] = ACTIONS(2308),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2308),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2308),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2308),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2308),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2308),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2308),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2308),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2308),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2308),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2308),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2308),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHdef] = ACTIONS(2308),
    [anon_sym_BSLASHgdef] = ACTIONS(2308),
    [anon_sym_BSLASHedef] = ACTIONS(2308),
    [anon_sym_BSLASHxdef] = ACTIONS(2308),
    [anon_sym_BSLASHlet] = ACTIONS(2308),
    [anon_sym_BSLASHglet] = ACTIONS(2308),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2308),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2308),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2308),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2308),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2308),
    [anon_sym_BSLASHgls] = ACTIONS(2308),
    [anon_sym_BSLASHGls] = ACTIONS(2308),
    [anon_sym_BSLASHGLS] = ACTIONS(2308),
    [anon_sym_BSLASHglspl] = ACTIONS(2308),
    [anon_sym_BSLASHGlspl] = ACTIONS(2308),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2308),
    [anon_sym_BSLASHglslink] = ACTIONS(2308),
    [anon_sym_BSLASHglstext] = ACTIONS(2308),
    [anon_sym_BSLASHGlstext] = ACTIONS(2308),
    [anon_sym_BSLASHGLStext] = ACTIONS(2308),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2308),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2308),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2308),
    [anon_sym_BSLASHglsplural] = ACTIONS(2308),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2308),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2308),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHglsname] = ACTIONS(2308),
    [anon_sym_BSLASHGlsname] = ACTIONS(2308),
    [anon_sym_BSLASHGLSname] = ACTIONS(2308),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2308),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2308),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2308),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2308),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2308),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2308),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2308),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2308),
    [anon_sym_BSLASHacrshort] = ACTIONS(2308),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2308),
    [anon_sym_BSLASHACRshort] = ACTIONS(2308),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHacrlong] = ACTIONS(2308),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2308),
    [anon_sym_BSLASHACRlong] = ACTIONS(2308),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHacrfull] = ACTIONS(2308),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2308),
    [anon_sym_BSLASHACRfull] = ACTIONS(2308),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHacs] = ACTIONS(2308),
    [anon_sym_BSLASHAcs] = ACTIONS(2308),
    [anon_sym_BSLASHacsp] = ACTIONS(2308),
    [anon_sym_BSLASHAcsp] = ACTIONS(2308),
    [anon_sym_BSLASHacl] = ACTIONS(2308),
    [anon_sym_BSLASHAcl] = ACTIONS(2308),
    [anon_sym_BSLASHaclp] = ACTIONS(2308),
    [anon_sym_BSLASHAclp] = ACTIONS(2308),
    [anon_sym_BSLASHacf] = ACTIONS(2308),
    [anon_sym_BSLASHAcf] = ACTIONS(2308),
    [anon_sym_BSLASHacfp] = ACTIONS(2308),
    [anon_sym_BSLASHAcfp] = ACTIONS(2308),
    [anon_sym_BSLASHac] = ACTIONS(2308),
    [anon_sym_BSLASHAc] = ACTIONS(2308),
    [anon_sym_BSLASHacp] = ACTIONS(2308),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2308),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2308),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2308),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2308),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2308),
    [anon_sym_BSLASHcolor] = ACTIONS(2308),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2308),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2308),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2308),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2308),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2308),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2308),
    [anon_sym_BSLASHurl] = ACTIONS(2308),
    [anon_sym_BSLASHhref] = ACTIONS(2308),
  },
  [881] = {
    [sym__section_part] = STATE(1410),
    [sym_curly_group] = STATE(1402),
    [sym_brack_group] = STATE(3242),
    [sym_command_name] = ACTIONS(6746),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6746),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6748),
    [anon_sym_COMMA] = ACTIONS(6748),
    [anon_sym_EQ] = ACTIONS(6748),
    [anon_sym_LPAREN] = ACTIONS(6748),
    [anon_sym_RPAREN] = ACTIONS(6748),
    [anon_sym_BSLASHpart] = ACTIONS(6746),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHaddpart] = ACTIONS(6746),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHchapter] = ACTIONS(6746),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHaddchap] = ACTIONS(6746),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHsection] = ACTIONS(6746),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHaddsec] = ACTIONS(6746),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHsubsection] = ACTIONS(6746),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6746),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHparagraph] = ACTIONS(6746),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6746),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHitem] = ACTIONS(6746),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6748),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(6746),
    [sym_placeholder] = ACTIONS(6748),
    [sym_delimiter] = ACTIONS(6748),
    [anon_sym_PLUS] = ACTIONS(6748),
    [anon_sym_DASH] = ACTIONS(6748),
    [anon_sym_STAR] = ACTIONS(6748),
    [anon_sym_SLASH] = ACTIONS(6748),
    [anon_sym_LT] = ACTIONS(6746),
    [anon_sym_GT] = ACTIONS(6746),
    [anon_sym_BANG] = ACTIONS(6746),
    [anon_sym_PIPE] = ACTIONS(6746),
    [anon_sym_COLON] = ACTIONS(6746),
    [anon_sym_SQUOTE] = ACTIONS(6746),
    [anon_sym__] = ACTIONS(6748),
    [anon_sym_CARET] = ACTIONS(6748),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6748),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6748),
    [anon_sym_DOLLAR] = ACTIONS(6746),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6748),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6748),
    [anon_sym_BSLASHleft] = ACTIONS(6746),
    [anon_sym_BSLASHbigl] = ACTIONS(6746),
    [anon_sym_BSLASHBigl] = ACTIONS(6746),
    [anon_sym_BSLASHbiggl] = ACTIONS(6746),
    [anon_sym_BSLASHBiggl] = ACTIONS(6746),
    [anon_sym_BSLASHtext] = ACTIONS(6746),
    [anon_sym_BSLASHintertext] = ACTIONS(6746),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6746),
    [anon_sym_BSLASHbegin] = ACTIONS(6746),
    [anon_sym_BSLASHtitle] = ACTIONS(6746),
    [anon_sym_BSLASHauthor] = ACTIONS(6746),
    [anon_sym_BSLASHusepackage] = ACTIONS(6746),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6746),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6746),
    [anon_sym_BSLASHinclude] = ACTIONS(6746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6746),
    [anon_sym_BSLASHinput] = ACTIONS(6746),
    [anon_sym_BSLASHsubfile] = ACTIONS(6746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6746),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6746),
    [anon_sym_BSLASHbibliography] = ACTIONS(6746),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6746),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6746),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6746),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6746),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6746),
    [anon_sym_BSLASHimport] = ACTIONS(6746),
    [anon_sym_BSLASHsubimport] = ACTIONS(6746),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6746),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6746),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6746),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6746),
    [anon_sym_BSLASHcaption] = ACTIONS(6746),
    [anon_sym_BSLASHcite] = ACTIONS(6746),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHCite] = ACTIONS(6746),
    [anon_sym_BSLASHnocite] = ACTIONS(6746),
    [anon_sym_BSLASHcitet] = ACTIONS(6746),
    [anon_sym_BSLASHcitep] = ACTIONS(6746),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHciteA] = ACTIONS(6746),
    [anon_sym_BSLASHciteR] = ACTIONS(6746),
    [anon_sym_BSLASHciteS] = ACTIONS(6746),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6746),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6746),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6746),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6746),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHciteyear] = ACTIONS(6746),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcitedate] = ACTIONS(6746),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHciteurl] = ACTIONS(6746),
    [anon_sym_BSLASHfullcite] = ACTIONS(6746),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6746),
    [anon_sym_BSLASHcitealt] = ACTIONS(6746),
    [anon_sym_BSLASHcitealp] = ACTIONS(6746),
    [anon_sym_BSLASHcitetext] = ACTIONS(6746),
    [anon_sym_BSLASHparencite] = ACTIONS(6746),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHParencite] = ACTIONS(6746),
    [anon_sym_BSLASHfootcite] = ACTIONS(6746),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6746),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6746),
    [anon_sym_BSLASHtextcite] = ACTIONS(6746),
    [anon_sym_BSLASHTextcite] = ACTIONS(6746),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6746),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6746),
    [anon_sym_BSLASHsupercite] = ACTIONS(6746),
    [anon_sym_BSLASHautocite] = ACTIONS(6746),
    [anon_sym_BSLASHAutocite] = ACTIONS(6746),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHVolcite] = ACTIONS(6746),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHavolcite] = ACTIONS(6746),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHnotecite] = ACTIONS(6746),
    [anon_sym_BSLASHNotecite] = ACTIONS(6746),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6746),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6746),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6746),
    [anon_sym_BSLASHlabel] = ACTIONS(6746),
    [anon_sym_BSLASHref] = ACTIONS(6746),
    [anon_sym_BSLASHeqref] = ACTIONS(6746),
    [anon_sym_BSLASHvref] = ACTIONS(6746),
    [anon_sym_BSLASHVref] = ACTIONS(6746),
    [anon_sym_BSLASHautoref] = ACTIONS(6746),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHpageref] = ACTIONS(6746),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHautopageref] = ACTIONS(6746),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcref] = ACTIONS(6746),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHCref] = ACTIONS(6746),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcpageref] = ACTIONS(6746),
    [anon_sym_BSLASHCpageref] = ACTIONS(6746),
    [anon_sym_BSLASHnamecref] = ACTIONS(6746),
    [anon_sym_BSLASHnameCref] = ACTIONS(6746),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6746),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6746),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6746),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6746),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6746),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6746),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6746),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6746),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6746),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6746),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6746),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6746),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6746),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6746),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6746),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6746),
    [anon_sym_BSLASHdef] = ACTIONS(6746),
    [anon_sym_BSLASHgdef] = ACTIONS(6746),
    [anon_sym_BSLASHedef] = ACTIONS(6746),
    [anon_sym_BSLASHxdef] = ACTIONS(6746),
    [anon_sym_BSLASHlet] = ACTIONS(6746),
    [anon_sym_BSLASHglet] = ACTIONS(6746),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6746),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6746),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6746),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6746),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6746),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6746),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6746),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6746),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6746),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6746),
    [anon_sym_BSLASHgls] = ACTIONS(6746),
    [anon_sym_BSLASHGls] = ACTIONS(6746),
    [anon_sym_BSLASHGLS] = ACTIONS(6746),
    [anon_sym_BSLASHglspl] = ACTIONS(6746),
    [anon_sym_BSLASHGlspl] = ACTIONS(6746),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6746),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6746),
    [anon_sym_BSLASHglslink] = ACTIONS(6746),
    [anon_sym_BSLASHglstext] = ACTIONS(6746),
    [anon_sym_BSLASHGlstext] = ACTIONS(6746),
    [anon_sym_BSLASHGLStext] = ACTIONS(6746),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6746),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6746),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6746),
    [anon_sym_BSLASHglsplural] = ACTIONS(6746),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6746),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6746),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6746),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6746),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6746),
    [anon_sym_BSLASHglsname] = ACTIONS(6746),
    [anon_sym_BSLASHGlsname] = ACTIONS(6746),
    [anon_sym_BSLASHGLSname] = ACTIONS(6746),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6746),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6746),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6746),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6746),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6746),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6746),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6746),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6746),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6746),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6746),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6746),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6746),
    [anon_sym_BSLASHacrshort] = ACTIONS(6746),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6746),
    [anon_sym_BSLASHACRshort] = ACTIONS(6746),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6746),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6746),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6746),
    [anon_sym_BSLASHacrlong] = ACTIONS(6746),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6746),
    [anon_sym_BSLASHACRlong] = ACTIONS(6746),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6746),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6746),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6746),
    [anon_sym_BSLASHacrfull] = ACTIONS(6746),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6746),
    [anon_sym_BSLASHACRfull] = ACTIONS(6746),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6746),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6746),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6746),
    [anon_sym_BSLASHacs] = ACTIONS(6746),
    [anon_sym_BSLASHAcs] = ACTIONS(6746),
    [anon_sym_BSLASHacsp] = ACTIONS(6746),
    [anon_sym_BSLASHAcsp] = ACTIONS(6746),
    [anon_sym_BSLASHacl] = ACTIONS(6746),
    [anon_sym_BSLASHAcl] = ACTIONS(6746),
    [anon_sym_BSLASHaclp] = ACTIONS(6746),
    [anon_sym_BSLASHAclp] = ACTIONS(6746),
    [anon_sym_BSLASHacf] = ACTIONS(6746),
    [anon_sym_BSLASHAcf] = ACTIONS(6746),
    [anon_sym_BSLASHacfp] = ACTIONS(6746),
    [anon_sym_BSLASHAcfp] = ACTIONS(6746),
    [anon_sym_BSLASHac] = ACTIONS(6746),
    [anon_sym_BSLASHAc] = ACTIONS(6746),
    [anon_sym_BSLASHacp] = ACTIONS(6746),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6746),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6746),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6746),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6746),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6746),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6746),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6746),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6746),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6746),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6746),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6746),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6746),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6746),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6746),
    [anon_sym_BSLASHcolor] = ACTIONS(6746),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6746),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6746),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6746),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6746),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6746),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6746),
    [anon_sym_BSLASHurl] = ACTIONS(6746),
    [anon_sym_BSLASHhref] = ACTIONS(6746),
  },
  [882] = {
    [sym__subparagraph_declaration] = STATE(224),
    [sym_subparagraph] = STATE(740),
    [aux_sym__paragraph_repeat2] = STATE(740),
    [sym_command_name] = ACTIONS(2344),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2344),
    [anon_sym_LBRACK] = ACTIONS(2346),
    [anon_sym_RBRACK] = ACTIONS(2346),
    [anon_sym_COMMA] = ACTIONS(2346),
    [anon_sym_EQ] = ACTIONS(2346),
    [anon_sym_LPAREN] = ACTIONS(2346),
    [anon_sym_RPAREN] = ACTIONS(2346),
    [anon_sym_BSLASHpart] = ACTIONS(2344),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddpart] = ACTIONS(2344),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHchapter] = ACTIONS(2344),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddchap] = ACTIONS(2344),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsection] = ACTIONS(2344),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddsec] = ACTIONS(2344),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHparagraph] = ACTIONS(2344),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(666),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(668),
    [anon_sym_BSLASHitem] = ACTIONS(2344),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2346),
    [anon_sym_LBRACE] = ACTIONS(2346),
    [sym_word] = ACTIONS(2344),
    [sym_placeholder] = ACTIONS(2346),
    [sym_delimiter] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_PIPE] = ACTIONS(2344),
    [anon_sym_COLON] = ACTIONS(2344),
    [anon_sym_SQUOTE] = ACTIONS(2344),
    [anon_sym__] = ACTIONS(2346),
    [anon_sym_CARET] = ACTIONS(2346),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2346),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2346),
    [anon_sym_DOLLAR] = ACTIONS(2344),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2346),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2346),
    [anon_sym_BSLASHleft] = ACTIONS(2344),
    [anon_sym_BSLASHbigl] = ACTIONS(2344),
    [anon_sym_BSLASHBigl] = ACTIONS(2344),
    [anon_sym_BSLASHbiggl] = ACTIONS(2344),
    [anon_sym_BSLASHBiggl] = ACTIONS(2344),
    [anon_sym_BSLASHtext] = ACTIONS(2344),
    [anon_sym_BSLASHintertext] = ACTIONS(2344),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2344),
    [anon_sym_BSLASHbegin] = ACTIONS(2344),
    [anon_sym_BSLASHtitle] = ACTIONS(2344),
    [anon_sym_BSLASHauthor] = ACTIONS(2344),
    [anon_sym_BSLASHusepackage] = ACTIONS(2344),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2344),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2344),
    [anon_sym_BSLASHinclude] = ACTIONS(2344),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2344),
    [anon_sym_BSLASHinput] = ACTIONS(2344),
    [anon_sym_BSLASHsubfile] = ACTIONS(2344),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2344),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2344),
    [anon_sym_BSLASHbibliography] = ACTIONS(2344),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2344),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2344),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2344),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2344),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2344),
    [anon_sym_BSLASHimport] = ACTIONS(2344),
    [anon_sym_BSLASHsubimport] = ACTIONS(2344),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2344),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2344),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2344),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2344),
    [anon_sym_BSLASHcaption] = ACTIONS(2344),
    [anon_sym_BSLASHcite] = ACTIONS(2344),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCite] = ACTIONS(2344),
    [anon_sym_BSLASHnocite] = ACTIONS(2344),
    [anon_sym_BSLASHcitet] = ACTIONS(2344),
    [anon_sym_BSLASHcitep] = ACTIONS(2344),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteA] = ACTIONS(2344),
    [anon_sym_BSLASHciteR] = ACTIONS(2344),
    [anon_sym_BSLASHciteS] = ACTIONS(2344),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2344),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2344),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2344),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2344),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteyear] = ACTIONS(2344),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitedate] = ACTIONS(2344),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteurl] = ACTIONS(2344),
    [anon_sym_BSLASHfullcite] = ACTIONS(2344),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2344),
    [anon_sym_BSLASHcitealt] = ACTIONS(2344),
    [anon_sym_BSLASHcitealp] = ACTIONS(2344),
    [anon_sym_BSLASHcitetext] = ACTIONS(2344),
    [anon_sym_BSLASHparencite] = ACTIONS(2344),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHParencite] = ACTIONS(2344),
    [anon_sym_BSLASHfootcite] = ACTIONS(2344),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2344),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2344),
    [anon_sym_BSLASHtextcite] = ACTIONS(2344),
    [anon_sym_BSLASHTextcite] = ACTIONS(2344),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2344),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2344),
    [anon_sym_BSLASHsupercite] = ACTIONS(2344),
    [anon_sym_BSLASHautocite] = ACTIONS(2344),
    [anon_sym_BSLASHAutocite] = ACTIONS(2344),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHVolcite] = ACTIONS(2344),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHavolcite] = ACTIONS(2344),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHNotecite] = ACTIONS(2344),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHlabel] = ACTIONS(2344),
    [anon_sym_BSLASHref] = ACTIONS(2344),
    [anon_sym_BSLASHeqref] = ACTIONS(2344),
    [anon_sym_BSLASHvref] = ACTIONS(2344),
    [anon_sym_BSLASHVref] = ACTIONS(2344),
    [anon_sym_BSLASHautoref] = ACTIONS(2344),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHpageref] = ACTIONS(2344),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHautopageref] = ACTIONS(2344),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcref] = ACTIONS(2344),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCref] = ACTIONS(2344),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcpageref] = ACTIONS(2344),
    [anon_sym_BSLASHCpageref] = ACTIONS(2344),
    [anon_sym_BSLASHnamecref] = ACTIONS(2344),
    [anon_sym_BSLASHnameCref] = ACTIONS(2344),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2344),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2344),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2344),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2344),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2344),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2344),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2344),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2344),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2344),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2344),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2344),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHdef] = ACTIONS(2344),
    [anon_sym_BSLASHgdef] = ACTIONS(2344),
    [anon_sym_BSLASHedef] = ACTIONS(2344),
    [anon_sym_BSLASHxdef] = ACTIONS(2344),
    [anon_sym_BSLASHlet] = ACTIONS(2344),
    [anon_sym_BSLASHglet] = ACTIONS(2344),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2344),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2344),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2344),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2344),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2344),
    [anon_sym_BSLASHgls] = ACTIONS(2344),
    [anon_sym_BSLASHGls] = ACTIONS(2344),
    [anon_sym_BSLASHGLS] = ACTIONS(2344),
    [anon_sym_BSLASHglspl] = ACTIONS(2344),
    [anon_sym_BSLASHGlspl] = ACTIONS(2344),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2344),
    [anon_sym_BSLASHglslink] = ACTIONS(2344),
    [anon_sym_BSLASHglstext] = ACTIONS(2344),
    [anon_sym_BSLASHGlstext] = ACTIONS(2344),
    [anon_sym_BSLASHGLStext] = ACTIONS(2344),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2344),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2344),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2344),
    [anon_sym_BSLASHglsplural] = ACTIONS(2344),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2344),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2344),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHglsname] = ACTIONS(2344),
    [anon_sym_BSLASHGlsname] = ACTIONS(2344),
    [anon_sym_BSLASHGLSname] = ACTIONS(2344),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2344),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2344),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2344),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2344),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2344),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2344),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2344),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2344),
    [anon_sym_BSLASHacrshort] = ACTIONS(2344),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2344),
    [anon_sym_BSLASHACRshort] = ACTIONS(2344),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHacrlong] = ACTIONS(2344),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2344),
    [anon_sym_BSLASHACRlong] = ACTIONS(2344),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHacrfull] = ACTIONS(2344),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2344),
    [anon_sym_BSLASHACRfull] = ACTIONS(2344),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHacs] = ACTIONS(2344),
    [anon_sym_BSLASHAcs] = ACTIONS(2344),
    [anon_sym_BSLASHacsp] = ACTIONS(2344),
    [anon_sym_BSLASHAcsp] = ACTIONS(2344),
    [anon_sym_BSLASHacl] = ACTIONS(2344),
    [anon_sym_BSLASHAcl] = ACTIONS(2344),
    [anon_sym_BSLASHaclp] = ACTIONS(2344),
    [anon_sym_BSLASHAclp] = ACTIONS(2344),
    [anon_sym_BSLASHacf] = ACTIONS(2344),
    [anon_sym_BSLASHAcf] = ACTIONS(2344),
    [anon_sym_BSLASHacfp] = ACTIONS(2344),
    [anon_sym_BSLASHAcfp] = ACTIONS(2344),
    [anon_sym_BSLASHac] = ACTIONS(2344),
    [anon_sym_BSLASHAc] = ACTIONS(2344),
    [anon_sym_BSLASHacp] = ACTIONS(2344),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2344),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2344),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2344),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2344),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2344),
    [anon_sym_BSLASHcolor] = ACTIONS(2344),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2344),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2344),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2344),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2344),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2344),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2344),
    [anon_sym_BSLASHurl] = ACTIONS(2344),
    [anon_sym_BSLASHhref] = ACTIONS(2344),
  },
  [883] = {
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(741),
    [aux_sym__paragraph_repeat3] = STATE(741),
    [sym_command_name] = ACTIONS(2344),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2344),
    [anon_sym_LBRACK] = ACTIONS(2346),
    [anon_sym_RBRACK] = ACTIONS(2346),
    [anon_sym_COMMA] = ACTIONS(2346),
    [anon_sym_EQ] = ACTIONS(2346),
    [anon_sym_LPAREN] = ACTIONS(2346),
    [anon_sym_RPAREN] = ACTIONS(2346),
    [anon_sym_BSLASHpart] = ACTIONS(2344),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddpart] = ACTIONS(2344),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHchapter] = ACTIONS(2344),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddchap] = ACTIONS(2344),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsection] = ACTIONS(2344),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddsec] = ACTIONS(2344),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHparagraph] = ACTIONS(2344),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2344),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(2346),
    [sym_word] = ACTIONS(2344),
    [sym_placeholder] = ACTIONS(2346),
    [sym_delimiter] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_PIPE] = ACTIONS(2344),
    [anon_sym_COLON] = ACTIONS(2344),
    [anon_sym_SQUOTE] = ACTIONS(2344),
    [anon_sym__] = ACTIONS(2346),
    [anon_sym_CARET] = ACTIONS(2346),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2346),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2346),
    [anon_sym_DOLLAR] = ACTIONS(2344),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2346),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2346),
    [anon_sym_BSLASHleft] = ACTIONS(2344),
    [anon_sym_BSLASHbigl] = ACTIONS(2344),
    [anon_sym_BSLASHBigl] = ACTIONS(2344),
    [anon_sym_BSLASHbiggl] = ACTIONS(2344),
    [anon_sym_BSLASHBiggl] = ACTIONS(2344),
    [anon_sym_BSLASHtext] = ACTIONS(2344),
    [anon_sym_BSLASHintertext] = ACTIONS(2344),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2344),
    [anon_sym_BSLASHbegin] = ACTIONS(2344),
    [anon_sym_BSLASHtitle] = ACTIONS(2344),
    [anon_sym_BSLASHauthor] = ACTIONS(2344),
    [anon_sym_BSLASHusepackage] = ACTIONS(2344),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2344),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2344),
    [anon_sym_BSLASHinclude] = ACTIONS(2344),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2344),
    [anon_sym_BSLASHinput] = ACTIONS(2344),
    [anon_sym_BSLASHsubfile] = ACTIONS(2344),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2344),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2344),
    [anon_sym_BSLASHbibliography] = ACTIONS(2344),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2344),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2344),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2344),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2344),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2344),
    [anon_sym_BSLASHimport] = ACTIONS(2344),
    [anon_sym_BSLASHsubimport] = ACTIONS(2344),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2344),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2344),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2344),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2344),
    [anon_sym_BSLASHcaption] = ACTIONS(2344),
    [anon_sym_BSLASHcite] = ACTIONS(2344),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCite] = ACTIONS(2344),
    [anon_sym_BSLASHnocite] = ACTIONS(2344),
    [anon_sym_BSLASHcitet] = ACTIONS(2344),
    [anon_sym_BSLASHcitep] = ACTIONS(2344),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteA] = ACTIONS(2344),
    [anon_sym_BSLASHciteR] = ACTIONS(2344),
    [anon_sym_BSLASHciteS] = ACTIONS(2344),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2344),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2344),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2344),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2344),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteyear] = ACTIONS(2344),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitedate] = ACTIONS(2344),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteurl] = ACTIONS(2344),
    [anon_sym_BSLASHfullcite] = ACTIONS(2344),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2344),
    [anon_sym_BSLASHcitealt] = ACTIONS(2344),
    [anon_sym_BSLASHcitealp] = ACTIONS(2344),
    [anon_sym_BSLASHcitetext] = ACTIONS(2344),
    [anon_sym_BSLASHparencite] = ACTIONS(2344),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHParencite] = ACTIONS(2344),
    [anon_sym_BSLASHfootcite] = ACTIONS(2344),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2344),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2344),
    [anon_sym_BSLASHtextcite] = ACTIONS(2344),
    [anon_sym_BSLASHTextcite] = ACTIONS(2344),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2344),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2344),
    [anon_sym_BSLASHsupercite] = ACTIONS(2344),
    [anon_sym_BSLASHautocite] = ACTIONS(2344),
    [anon_sym_BSLASHAutocite] = ACTIONS(2344),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHVolcite] = ACTIONS(2344),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHavolcite] = ACTIONS(2344),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHNotecite] = ACTIONS(2344),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHlabel] = ACTIONS(2344),
    [anon_sym_BSLASHref] = ACTIONS(2344),
    [anon_sym_BSLASHeqref] = ACTIONS(2344),
    [anon_sym_BSLASHvref] = ACTIONS(2344),
    [anon_sym_BSLASHVref] = ACTIONS(2344),
    [anon_sym_BSLASHautoref] = ACTIONS(2344),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHpageref] = ACTIONS(2344),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHautopageref] = ACTIONS(2344),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcref] = ACTIONS(2344),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCref] = ACTIONS(2344),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcpageref] = ACTIONS(2344),
    [anon_sym_BSLASHCpageref] = ACTIONS(2344),
    [anon_sym_BSLASHnamecref] = ACTIONS(2344),
    [anon_sym_BSLASHnameCref] = ACTIONS(2344),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2344),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2344),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2344),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2344),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2344),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2344),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2344),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2344),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2344),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2344),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2344),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHdef] = ACTIONS(2344),
    [anon_sym_BSLASHgdef] = ACTIONS(2344),
    [anon_sym_BSLASHedef] = ACTIONS(2344),
    [anon_sym_BSLASHxdef] = ACTIONS(2344),
    [anon_sym_BSLASHlet] = ACTIONS(2344),
    [anon_sym_BSLASHglet] = ACTIONS(2344),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2344),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2344),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2344),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2344),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2344),
    [anon_sym_BSLASHgls] = ACTIONS(2344),
    [anon_sym_BSLASHGls] = ACTIONS(2344),
    [anon_sym_BSLASHGLS] = ACTIONS(2344),
    [anon_sym_BSLASHglspl] = ACTIONS(2344),
    [anon_sym_BSLASHGlspl] = ACTIONS(2344),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2344),
    [anon_sym_BSLASHglslink] = ACTIONS(2344),
    [anon_sym_BSLASHglstext] = ACTIONS(2344),
    [anon_sym_BSLASHGlstext] = ACTIONS(2344),
    [anon_sym_BSLASHGLStext] = ACTIONS(2344),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2344),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2344),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2344),
    [anon_sym_BSLASHglsplural] = ACTIONS(2344),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2344),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2344),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHglsname] = ACTIONS(2344),
    [anon_sym_BSLASHGlsname] = ACTIONS(2344),
    [anon_sym_BSLASHGLSname] = ACTIONS(2344),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2344),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2344),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2344),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2344),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2344),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2344),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2344),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2344),
    [anon_sym_BSLASHacrshort] = ACTIONS(2344),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2344),
    [anon_sym_BSLASHACRshort] = ACTIONS(2344),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHacrlong] = ACTIONS(2344),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2344),
    [anon_sym_BSLASHACRlong] = ACTIONS(2344),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHacrfull] = ACTIONS(2344),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2344),
    [anon_sym_BSLASHACRfull] = ACTIONS(2344),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHacs] = ACTIONS(2344),
    [anon_sym_BSLASHAcs] = ACTIONS(2344),
    [anon_sym_BSLASHacsp] = ACTIONS(2344),
    [anon_sym_BSLASHAcsp] = ACTIONS(2344),
    [anon_sym_BSLASHacl] = ACTIONS(2344),
    [anon_sym_BSLASHAcl] = ACTIONS(2344),
    [anon_sym_BSLASHaclp] = ACTIONS(2344),
    [anon_sym_BSLASHAclp] = ACTIONS(2344),
    [anon_sym_BSLASHacf] = ACTIONS(2344),
    [anon_sym_BSLASHAcf] = ACTIONS(2344),
    [anon_sym_BSLASHacfp] = ACTIONS(2344),
    [anon_sym_BSLASHAcfp] = ACTIONS(2344),
    [anon_sym_BSLASHac] = ACTIONS(2344),
    [anon_sym_BSLASHAc] = ACTIONS(2344),
    [anon_sym_BSLASHacp] = ACTIONS(2344),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2344),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2344),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2344),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2344),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2344),
    [anon_sym_BSLASHcolor] = ACTIONS(2344),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2344),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2344),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2344),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2344),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2344),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2344),
    [anon_sym_BSLASHurl] = ACTIONS(2344),
    [anon_sym_BSLASHhref] = ACTIONS(2344),
  },
  [884] = {
    [sym__section_part] = STATE(1411),
    [sym_curly_group] = STATE(1402),
    [sym_brack_group] = STATE(3242),
    [sym_command_name] = ACTIONS(6750),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6750),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6752),
    [anon_sym_COMMA] = ACTIONS(6752),
    [anon_sym_EQ] = ACTIONS(6752),
    [anon_sym_LPAREN] = ACTIONS(6752),
    [anon_sym_RPAREN] = ACTIONS(6752),
    [anon_sym_BSLASHpart] = ACTIONS(6750),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHaddpart] = ACTIONS(6750),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHchapter] = ACTIONS(6750),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHaddchap] = ACTIONS(6750),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHsection] = ACTIONS(6750),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHaddsec] = ACTIONS(6750),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHsubsection] = ACTIONS(6750),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6750),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHparagraph] = ACTIONS(6750),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6750),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHitem] = ACTIONS(6750),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6752),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(6750),
    [sym_placeholder] = ACTIONS(6752),
    [sym_delimiter] = ACTIONS(6752),
    [anon_sym_PLUS] = ACTIONS(6752),
    [anon_sym_DASH] = ACTIONS(6752),
    [anon_sym_STAR] = ACTIONS(6752),
    [anon_sym_SLASH] = ACTIONS(6752),
    [anon_sym_LT] = ACTIONS(6750),
    [anon_sym_GT] = ACTIONS(6750),
    [anon_sym_BANG] = ACTIONS(6750),
    [anon_sym_PIPE] = ACTIONS(6750),
    [anon_sym_COLON] = ACTIONS(6750),
    [anon_sym_SQUOTE] = ACTIONS(6750),
    [anon_sym__] = ACTIONS(6752),
    [anon_sym_CARET] = ACTIONS(6752),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6752),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6752),
    [anon_sym_DOLLAR] = ACTIONS(6750),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6752),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6752),
    [anon_sym_BSLASHleft] = ACTIONS(6750),
    [anon_sym_BSLASHbigl] = ACTIONS(6750),
    [anon_sym_BSLASHBigl] = ACTIONS(6750),
    [anon_sym_BSLASHbiggl] = ACTIONS(6750),
    [anon_sym_BSLASHBiggl] = ACTIONS(6750),
    [anon_sym_BSLASHtext] = ACTIONS(6750),
    [anon_sym_BSLASHintertext] = ACTIONS(6750),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6750),
    [anon_sym_BSLASHbegin] = ACTIONS(6750),
    [anon_sym_BSLASHtitle] = ACTIONS(6750),
    [anon_sym_BSLASHauthor] = ACTIONS(6750),
    [anon_sym_BSLASHusepackage] = ACTIONS(6750),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6750),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6750),
    [anon_sym_BSLASHinclude] = ACTIONS(6750),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6750),
    [anon_sym_BSLASHinput] = ACTIONS(6750),
    [anon_sym_BSLASHsubfile] = ACTIONS(6750),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6750),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6750),
    [anon_sym_BSLASHbibliography] = ACTIONS(6750),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6750),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6750),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6750),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6750),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6750),
    [anon_sym_BSLASHimport] = ACTIONS(6750),
    [anon_sym_BSLASHsubimport] = ACTIONS(6750),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6750),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6750),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6750),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6750),
    [anon_sym_BSLASHcaption] = ACTIONS(6750),
    [anon_sym_BSLASHcite] = ACTIONS(6750),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHCite] = ACTIONS(6750),
    [anon_sym_BSLASHnocite] = ACTIONS(6750),
    [anon_sym_BSLASHcitet] = ACTIONS(6750),
    [anon_sym_BSLASHcitep] = ACTIONS(6750),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHciteA] = ACTIONS(6750),
    [anon_sym_BSLASHciteR] = ACTIONS(6750),
    [anon_sym_BSLASHciteS] = ACTIONS(6750),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6750),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6750),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6750),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6750),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHciteyear] = ACTIONS(6750),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcitedate] = ACTIONS(6750),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHciteurl] = ACTIONS(6750),
    [anon_sym_BSLASHfullcite] = ACTIONS(6750),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6750),
    [anon_sym_BSLASHcitealt] = ACTIONS(6750),
    [anon_sym_BSLASHcitealp] = ACTIONS(6750),
    [anon_sym_BSLASHcitetext] = ACTIONS(6750),
    [anon_sym_BSLASHparencite] = ACTIONS(6750),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHParencite] = ACTIONS(6750),
    [anon_sym_BSLASHfootcite] = ACTIONS(6750),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6750),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6750),
    [anon_sym_BSLASHtextcite] = ACTIONS(6750),
    [anon_sym_BSLASHTextcite] = ACTIONS(6750),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6750),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6750),
    [anon_sym_BSLASHsupercite] = ACTIONS(6750),
    [anon_sym_BSLASHautocite] = ACTIONS(6750),
    [anon_sym_BSLASHAutocite] = ACTIONS(6750),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHVolcite] = ACTIONS(6750),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHavolcite] = ACTIONS(6750),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHnotecite] = ACTIONS(6750),
    [anon_sym_BSLASHNotecite] = ACTIONS(6750),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6750),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6750),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6750),
    [anon_sym_BSLASHlabel] = ACTIONS(6750),
    [anon_sym_BSLASHref] = ACTIONS(6750),
    [anon_sym_BSLASHeqref] = ACTIONS(6750),
    [anon_sym_BSLASHvref] = ACTIONS(6750),
    [anon_sym_BSLASHVref] = ACTIONS(6750),
    [anon_sym_BSLASHautoref] = ACTIONS(6750),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHpageref] = ACTIONS(6750),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHautopageref] = ACTIONS(6750),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcref] = ACTIONS(6750),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHCref] = ACTIONS(6750),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcpageref] = ACTIONS(6750),
    [anon_sym_BSLASHCpageref] = ACTIONS(6750),
    [anon_sym_BSLASHnamecref] = ACTIONS(6750),
    [anon_sym_BSLASHnameCref] = ACTIONS(6750),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6750),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6750),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6750),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6750),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6750),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6750),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6750),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6750),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6750),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6750),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6750),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6750),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6750),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6750),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6750),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6750),
    [anon_sym_BSLASHdef] = ACTIONS(6750),
    [anon_sym_BSLASHgdef] = ACTIONS(6750),
    [anon_sym_BSLASHedef] = ACTIONS(6750),
    [anon_sym_BSLASHxdef] = ACTIONS(6750),
    [anon_sym_BSLASHlet] = ACTIONS(6750),
    [anon_sym_BSLASHglet] = ACTIONS(6750),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6750),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6750),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6750),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6750),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6750),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6750),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6750),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6750),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6750),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6750),
    [anon_sym_BSLASHgls] = ACTIONS(6750),
    [anon_sym_BSLASHGls] = ACTIONS(6750),
    [anon_sym_BSLASHGLS] = ACTIONS(6750),
    [anon_sym_BSLASHglspl] = ACTIONS(6750),
    [anon_sym_BSLASHGlspl] = ACTIONS(6750),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6750),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6750),
    [anon_sym_BSLASHglslink] = ACTIONS(6750),
    [anon_sym_BSLASHglstext] = ACTIONS(6750),
    [anon_sym_BSLASHGlstext] = ACTIONS(6750),
    [anon_sym_BSLASHGLStext] = ACTIONS(6750),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6750),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6750),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6750),
    [anon_sym_BSLASHglsplural] = ACTIONS(6750),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6750),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6750),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6750),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6750),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6750),
    [anon_sym_BSLASHglsname] = ACTIONS(6750),
    [anon_sym_BSLASHGlsname] = ACTIONS(6750),
    [anon_sym_BSLASHGLSname] = ACTIONS(6750),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6750),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6750),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6750),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6750),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6750),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6750),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6750),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6750),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6750),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6750),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6750),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6750),
    [anon_sym_BSLASHacrshort] = ACTIONS(6750),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6750),
    [anon_sym_BSLASHACRshort] = ACTIONS(6750),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6750),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6750),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6750),
    [anon_sym_BSLASHacrlong] = ACTIONS(6750),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6750),
    [anon_sym_BSLASHACRlong] = ACTIONS(6750),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6750),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6750),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6750),
    [anon_sym_BSLASHacrfull] = ACTIONS(6750),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6750),
    [anon_sym_BSLASHACRfull] = ACTIONS(6750),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6750),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6750),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6750),
    [anon_sym_BSLASHacs] = ACTIONS(6750),
    [anon_sym_BSLASHAcs] = ACTIONS(6750),
    [anon_sym_BSLASHacsp] = ACTIONS(6750),
    [anon_sym_BSLASHAcsp] = ACTIONS(6750),
    [anon_sym_BSLASHacl] = ACTIONS(6750),
    [anon_sym_BSLASHAcl] = ACTIONS(6750),
    [anon_sym_BSLASHaclp] = ACTIONS(6750),
    [anon_sym_BSLASHAclp] = ACTIONS(6750),
    [anon_sym_BSLASHacf] = ACTIONS(6750),
    [anon_sym_BSLASHAcf] = ACTIONS(6750),
    [anon_sym_BSLASHacfp] = ACTIONS(6750),
    [anon_sym_BSLASHAcfp] = ACTIONS(6750),
    [anon_sym_BSLASHac] = ACTIONS(6750),
    [anon_sym_BSLASHAc] = ACTIONS(6750),
    [anon_sym_BSLASHacp] = ACTIONS(6750),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6750),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6750),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6750),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6750),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6750),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6750),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6750),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6750),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6750),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6750),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6750),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6750),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6750),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6750),
    [anon_sym_BSLASHcolor] = ACTIONS(6750),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6750),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6750),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6750),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6750),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6750),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6750),
    [anon_sym_BSLASHurl] = ACTIONS(6750),
    [anon_sym_BSLASHhref] = ACTIONS(6750),
  },
  [885] = {
    [sym__enum_itemdeclaration] = STATE(236),
    [sym_enum_item] = STATE(741),
    [aux_sym__paragraph_repeat3] = STATE(741),
    [sym_command_name] = ACTIONS(2354),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2356),
    [anon_sym_RBRACK] = ACTIONS(2356),
    [anon_sym_COMMA] = ACTIONS(2356),
    [anon_sym_EQ] = ACTIONS(2356),
    [anon_sym_LPAREN] = ACTIONS(2356),
    [anon_sym_RPAREN] = ACTIONS(2356),
    [anon_sym_BSLASHpart] = ACTIONS(2354),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddpart] = ACTIONS(2354),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHchapter] = ACTIONS(2354),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddchap] = ACTIONS(2354),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsection] = ACTIONS(2354),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddsec] = ACTIONS(2354),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubsection] = ACTIONS(2354),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2354),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHparagraph] = ACTIONS(2354),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2354),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHitem] = ACTIONS(670),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(672),
    [anon_sym_LBRACE] = ACTIONS(2356),
    [sym_word] = ACTIONS(2354),
    [sym_placeholder] = ACTIONS(2356),
    [sym_delimiter] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_SLASH] = ACTIONS(2356),
    [anon_sym_LT] = ACTIONS(2354),
    [anon_sym_GT] = ACTIONS(2354),
    [anon_sym_BANG] = ACTIONS(2354),
    [anon_sym_PIPE] = ACTIONS(2354),
    [anon_sym_COLON] = ACTIONS(2354),
    [anon_sym_SQUOTE] = ACTIONS(2354),
    [anon_sym__] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2356),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2356),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2356),
    [anon_sym_DOLLAR] = ACTIONS(2354),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2356),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2356),
    [anon_sym_BSLASHleft] = ACTIONS(2354),
    [anon_sym_BSLASHbigl] = ACTIONS(2354),
    [anon_sym_BSLASHBigl] = ACTIONS(2354),
    [anon_sym_BSLASHbiggl] = ACTIONS(2354),
    [anon_sym_BSLASHBiggl] = ACTIONS(2354),
    [anon_sym_BSLASHtext] = ACTIONS(2354),
    [anon_sym_BSLASHintertext] = ACTIONS(2354),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2354),
    [anon_sym_BSLASHbegin] = ACTIONS(2354),
    [anon_sym_BSLASHtitle] = ACTIONS(2354),
    [anon_sym_BSLASHauthor] = ACTIONS(2354),
    [anon_sym_BSLASHusepackage] = ACTIONS(2354),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2354),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2354),
    [anon_sym_BSLASHinclude] = ACTIONS(2354),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2354),
    [anon_sym_BSLASHinput] = ACTIONS(2354),
    [anon_sym_BSLASHsubfile] = ACTIONS(2354),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2354),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2354),
    [anon_sym_BSLASHbibliography] = ACTIONS(2354),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2354),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2354),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2354),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2354),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2354),
    [anon_sym_BSLASHimport] = ACTIONS(2354),
    [anon_sym_BSLASHsubimport] = ACTIONS(2354),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2354),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2354),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2354),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2354),
    [anon_sym_BSLASHcaption] = ACTIONS(2354),
    [anon_sym_BSLASHcite] = ACTIONS(2354),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHCite] = ACTIONS(2354),
    [anon_sym_BSLASHnocite] = ACTIONS(2354),
    [anon_sym_BSLASHcitet] = ACTIONS(2354),
    [anon_sym_BSLASHcitep] = ACTIONS(2354),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHciteA] = ACTIONS(2354),
    [anon_sym_BSLASHciteR] = ACTIONS(2354),
    [anon_sym_BSLASHciteS] = ACTIONS(2354),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2354),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2354),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2354),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2354),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHciteyear] = ACTIONS(2354),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcitedate] = ACTIONS(2354),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHciteurl] = ACTIONS(2354),
    [anon_sym_BSLASHfullcite] = ACTIONS(2354),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2354),
    [anon_sym_BSLASHcitealt] = ACTIONS(2354),
    [anon_sym_BSLASHcitealp] = ACTIONS(2354),
    [anon_sym_BSLASHcitetext] = ACTIONS(2354),
    [anon_sym_BSLASHparencite] = ACTIONS(2354),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHParencite] = ACTIONS(2354),
    [anon_sym_BSLASHfootcite] = ACTIONS(2354),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2354),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2354),
    [anon_sym_BSLASHtextcite] = ACTIONS(2354),
    [anon_sym_BSLASHTextcite] = ACTIONS(2354),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2354),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2354),
    [anon_sym_BSLASHsupercite] = ACTIONS(2354),
    [anon_sym_BSLASHautocite] = ACTIONS(2354),
    [anon_sym_BSLASHAutocite] = ACTIONS(2354),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHVolcite] = ACTIONS(2354),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHavolcite] = ACTIONS(2354),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHnotecite] = ACTIONS(2354),
    [anon_sym_BSLASHNotecite] = ACTIONS(2354),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2354),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2354),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2354),
    [anon_sym_BSLASHlabel] = ACTIONS(2354),
    [anon_sym_BSLASHref] = ACTIONS(2354),
    [anon_sym_BSLASHeqref] = ACTIONS(2354),
    [anon_sym_BSLASHvref] = ACTIONS(2354),
    [anon_sym_BSLASHVref] = ACTIONS(2354),
    [anon_sym_BSLASHautoref] = ACTIONS(2354),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHpageref] = ACTIONS(2354),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHautopageref] = ACTIONS(2354),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcref] = ACTIONS(2354),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHCref] = ACTIONS(2354),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcpageref] = ACTIONS(2354),
    [anon_sym_BSLASHCpageref] = ACTIONS(2354),
    [anon_sym_BSLASHnamecref] = ACTIONS(2354),
    [anon_sym_BSLASHnameCref] = ACTIONS(2354),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2354),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2354),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2354),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2354),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2354),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2354),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2354),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2354),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2354),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2354),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2354),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2354),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2354),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2354),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2354),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2354),
    [anon_sym_BSLASHdef] = ACTIONS(2354),
    [anon_sym_BSLASHgdef] = ACTIONS(2354),
    [anon_sym_BSLASHedef] = ACTIONS(2354),
    [anon_sym_BSLASHxdef] = ACTIONS(2354),
    [anon_sym_BSLASHlet] = ACTIONS(2354),
    [anon_sym_BSLASHglet] = ACTIONS(2354),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2354),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2354),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2354),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2354),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2354),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2354),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2354),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2354),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2354),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2354),
    [anon_sym_BSLASHgls] = ACTIONS(2354),
    [anon_sym_BSLASHGls] = ACTIONS(2354),
    [anon_sym_BSLASHGLS] = ACTIONS(2354),
    [anon_sym_BSLASHglspl] = ACTIONS(2354),
    [anon_sym_BSLASHGlspl] = ACTIONS(2354),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2354),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2354),
    [anon_sym_BSLASHglslink] = ACTIONS(2354),
    [anon_sym_BSLASHglstext] = ACTIONS(2354),
    [anon_sym_BSLASHGlstext] = ACTIONS(2354),
    [anon_sym_BSLASHGLStext] = ACTIONS(2354),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2354),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2354),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2354),
    [anon_sym_BSLASHglsplural] = ACTIONS(2354),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2354),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2354),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2354),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2354),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2354),
    [anon_sym_BSLASHglsname] = ACTIONS(2354),
    [anon_sym_BSLASHGlsname] = ACTIONS(2354),
    [anon_sym_BSLASHGLSname] = ACTIONS(2354),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2354),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2354),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2354),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2354),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2354),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2354),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2354),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2354),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2354),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2354),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2354),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2354),
    [anon_sym_BSLASHacrshort] = ACTIONS(2354),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2354),
    [anon_sym_BSLASHACRshort] = ACTIONS(2354),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2354),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2354),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2354),
    [anon_sym_BSLASHacrlong] = ACTIONS(2354),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2354),
    [anon_sym_BSLASHACRlong] = ACTIONS(2354),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2354),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2354),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2354),
    [anon_sym_BSLASHacrfull] = ACTIONS(2354),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2354),
    [anon_sym_BSLASHACRfull] = ACTIONS(2354),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2354),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2354),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2354),
    [anon_sym_BSLASHacs] = ACTIONS(2354),
    [anon_sym_BSLASHAcs] = ACTIONS(2354),
    [anon_sym_BSLASHacsp] = ACTIONS(2354),
    [anon_sym_BSLASHAcsp] = ACTIONS(2354),
    [anon_sym_BSLASHacl] = ACTIONS(2354),
    [anon_sym_BSLASHAcl] = ACTIONS(2354),
    [anon_sym_BSLASHaclp] = ACTIONS(2354),
    [anon_sym_BSLASHAclp] = ACTIONS(2354),
    [anon_sym_BSLASHacf] = ACTIONS(2354),
    [anon_sym_BSLASHAcf] = ACTIONS(2354),
    [anon_sym_BSLASHacfp] = ACTIONS(2354),
    [anon_sym_BSLASHAcfp] = ACTIONS(2354),
    [anon_sym_BSLASHac] = ACTIONS(2354),
    [anon_sym_BSLASHAc] = ACTIONS(2354),
    [anon_sym_BSLASHacp] = ACTIONS(2354),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2354),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2354),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2354),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2354),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2354),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2354),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2354),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2354),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2354),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2354),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2354),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2354),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2354),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2354),
    [anon_sym_BSLASHcolor] = ACTIONS(2354),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2354),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2354),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2354),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2354),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2354),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2354),
    [anon_sym_BSLASHurl] = ACTIONS(2354),
    [anon_sym_BSLASHhref] = ACTIONS(2354),
  },
  [886] = {
    [sym__section_part] = STATE(1495),
    [sym_curly_group] = STATE(1496),
    [sym_brack_group] = STATE(2945),
    [sym_command_name] = ACTIONS(6724),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6724),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6726),
    [anon_sym_COMMA] = ACTIONS(6726),
    [anon_sym_EQ] = ACTIONS(6726),
    [anon_sym_LPAREN] = ACTIONS(6726),
    [anon_sym_RPAREN] = ACTIONS(6726),
    [anon_sym_BSLASHpart] = ACTIONS(6724),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHaddpart] = ACTIONS(6724),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHchapter] = ACTIONS(6724),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHaddchap] = ACTIONS(6724),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHsection] = ACTIONS(6724),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHaddsec] = ACTIONS(6724),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHsubsection] = ACTIONS(6724),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6724),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHparagraph] = ACTIONS(6724),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6724),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHitem] = ACTIONS(6724),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6726),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(6724),
    [sym_placeholder] = ACTIONS(6726),
    [sym_delimiter] = ACTIONS(6726),
    [anon_sym_PLUS] = ACTIONS(6726),
    [anon_sym_DASH] = ACTIONS(6726),
    [anon_sym_STAR] = ACTIONS(6726),
    [anon_sym_SLASH] = ACTIONS(6726),
    [anon_sym_LT] = ACTIONS(6724),
    [anon_sym_GT] = ACTIONS(6724),
    [anon_sym_BANG] = ACTIONS(6724),
    [anon_sym_PIPE] = ACTIONS(6724),
    [anon_sym_COLON] = ACTIONS(6724),
    [anon_sym_SQUOTE] = ACTIONS(6724),
    [anon_sym__] = ACTIONS(6726),
    [anon_sym_CARET] = ACTIONS(6726),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6726),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6726),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6726),
    [anon_sym_DOLLAR] = ACTIONS(6724),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6726),
    [anon_sym_BSLASHleft] = ACTIONS(6724),
    [anon_sym_BSLASHbigl] = ACTIONS(6724),
    [anon_sym_BSLASHBigl] = ACTIONS(6724),
    [anon_sym_BSLASHbiggl] = ACTIONS(6724),
    [anon_sym_BSLASHBiggl] = ACTIONS(6724),
    [anon_sym_BSLASHtext] = ACTIONS(6724),
    [anon_sym_BSLASHintertext] = ACTIONS(6724),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6724),
    [anon_sym_BSLASHbegin] = ACTIONS(6724),
    [anon_sym_BSLASHtitle] = ACTIONS(6724),
    [anon_sym_BSLASHauthor] = ACTIONS(6724),
    [anon_sym_BSLASHusepackage] = ACTIONS(6724),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6724),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6724),
    [anon_sym_BSLASHinclude] = ACTIONS(6724),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6724),
    [anon_sym_BSLASHinput] = ACTIONS(6724),
    [anon_sym_BSLASHsubfile] = ACTIONS(6724),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6724),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6724),
    [anon_sym_BSLASHbibliography] = ACTIONS(6724),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6724),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6724),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6724),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6724),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6724),
    [anon_sym_BSLASHimport] = ACTIONS(6724),
    [anon_sym_BSLASHsubimport] = ACTIONS(6724),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6724),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6724),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6724),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6724),
    [anon_sym_BSLASHcaption] = ACTIONS(6724),
    [anon_sym_BSLASHcite] = ACTIONS(6724),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHCite] = ACTIONS(6724),
    [anon_sym_BSLASHnocite] = ACTIONS(6724),
    [anon_sym_BSLASHcitet] = ACTIONS(6724),
    [anon_sym_BSLASHcitep] = ACTIONS(6724),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHciteA] = ACTIONS(6724),
    [anon_sym_BSLASHciteR] = ACTIONS(6724),
    [anon_sym_BSLASHciteS] = ACTIONS(6724),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6724),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6724),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6724),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6724),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHciteyear] = ACTIONS(6724),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcitedate] = ACTIONS(6724),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHciteurl] = ACTIONS(6724),
    [anon_sym_BSLASHfullcite] = ACTIONS(6724),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6724),
    [anon_sym_BSLASHcitealt] = ACTIONS(6724),
    [anon_sym_BSLASHcitealp] = ACTIONS(6724),
    [anon_sym_BSLASHcitetext] = ACTIONS(6724),
    [anon_sym_BSLASHparencite] = ACTIONS(6724),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHParencite] = ACTIONS(6724),
    [anon_sym_BSLASHfootcite] = ACTIONS(6724),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6724),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6724),
    [anon_sym_BSLASHtextcite] = ACTIONS(6724),
    [anon_sym_BSLASHTextcite] = ACTIONS(6724),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6724),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6724),
    [anon_sym_BSLASHsupercite] = ACTIONS(6724),
    [anon_sym_BSLASHautocite] = ACTIONS(6724),
    [anon_sym_BSLASHAutocite] = ACTIONS(6724),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHVolcite] = ACTIONS(6724),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHavolcite] = ACTIONS(6724),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6724),
    [anon_sym_BSLASHnotecite] = ACTIONS(6724),
    [anon_sym_BSLASHNotecite] = ACTIONS(6724),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6724),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6724),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6724),
    [anon_sym_BSLASHlabel] = ACTIONS(6724),
    [anon_sym_BSLASHref] = ACTIONS(6724),
    [anon_sym_BSLASHeqref] = ACTIONS(6724),
    [anon_sym_BSLASHvref] = ACTIONS(6724),
    [anon_sym_BSLASHVref] = ACTIONS(6724),
    [anon_sym_BSLASHautoref] = ACTIONS(6724),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHpageref] = ACTIONS(6724),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHautopageref] = ACTIONS(6724),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcref] = ACTIONS(6724),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHCref] = ACTIONS(6724),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcpageref] = ACTIONS(6724),
    [anon_sym_BSLASHCpageref] = ACTIONS(6724),
    [anon_sym_BSLASHnamecref] = ACTIONS(6724),
    [anon_sym_BSLASHnameCref] = ACTIONS(6724),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6724),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6724),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6724),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6724),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6724),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6724),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6724),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6724),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6724),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6724),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6724),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6724),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6724),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6724),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6724),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6724),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6724),
    [anon_sym_BSLASHdef] = ACTIONS(6724),
    [anon_sym_BSLASHgdef] = ACTIONS(6724),
    [anon_sym_BSLASHedef] = ACTIONS(6724),
    [anon_sym_BSLASHxdef] = ACTIONS(6724),
    [anon_sym_BSLASHlet] = ACTIONS(6724),
    [anon_sym_BSLASHglet] = ACTIONS(6724),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6724),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6724),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6724),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6724),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6724),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6724),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6724),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6724),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6724),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6724),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6724),
    [anon_sym_BSLASHgls] = ACTIONS(6724),
    [anon_sym_BSLASHGls] = ACTIONS(6724),
    [anon_sym_BSLASHGLS] = ACTIONS(6724),
    [anon_sym_BSLASHglspl] = ACTIONS(6724),
    [anon_sym_BSLASHGlspl] = ACTIONS(6724),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6724),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6724),
    [anon_sym_BSLASHglslink] = ACTIONS(6724),
    [anon_sym_BSLASHglstext] = ACTIONS(6724),
    [anon_sym_BSLASHGlstext] = ACTIONS(6724),
    [anon_sym_BSLASHGLStext] = ACTIONS(6724),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6724),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6724),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6724),
    [anon_sym_BSLASHglsplural] = ACTIONS(6724),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6724),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6724),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6724),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6724),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6724),
    [anon_sym_BSLASHglsname] = ACTIONS(6724),
    [anon_sym_BSLASHGlsname] = ACTIONS(6724),
    [anon_sym_BSLASHGLSname] = ACTIONS(6724),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6724),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6724),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6724),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6724),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6724),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6724),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6724),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6724),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6724),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6724),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6724),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6724),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6724),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6724),
    [anon_sym_BSLASHacrshort] = ACTIONS(6724),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6724),
    [anon_sym_BSLASHACRshort] = ACTIONS(6724),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6724),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6724),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6724),
    [anon_sym_BSLASHacrlong] = ACTIONS(6724),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6724),
    [anon_sym_BSLASHACRlong] = ACTIONS(6724),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6724),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6724),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6724),
    [anon_sym_BSLASHacrfull] = ACTIONS(6724),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6724),
    [anon_sym_BSLASHACRfull] = ACTIONS(6724),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6724),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6724),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6724),
    [anon_sym_BSLASHacs] = ACTIONS(6724),
    [anon_sym_BSLASHAcs] = ACTIONS(6724),
    [anon_sym_BSLASHacsp] = ACTIONS(6724),
    [anon_sym_BSLASHAcsp] = ACTIONS(6724),
    [anon_sym_BSLASHacl] = ACTIONS(6724),
    [anon_sym_BSLASHAcl] = ACTIONS(6724),
    [anon_sym_BSLASHaclp] = ACTIONS(6724),
    [anon_sym_BSLASHAclp] = ACTIONS(6724),
    [anon_sym_BSLASHacf] = ACTIONS(6724),
    [anon_sym_BSLASHAcf] = ACTIONS(6724),
    [anon_sym_BSLASHacfp] = ACTIONS(6724),
    [anon_sym_BSLASHAcfp] = ACTIONS(6724),
    [anon_sym_BSLASHac] = ACTIONS(6724),
    [anon_sym_BSLASHAc] = ACTIONS(6724),
    [anon_sym_BSLASHacp] = ACTIONS(6724),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6724),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6724),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6724),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6724),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6724),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6724),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6724),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6724),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6724),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6724),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6724),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6724),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6726),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6724),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6724),
    [anon_sym_BSLASHcolor] = ACTIONS(6724),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6724),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6724),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6724),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6724),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6724),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6724),
    [anon_sym_BSLASHurl] = ACTIONS(6724),
    [anon_sym_BSLASHhref] = ACTIONS(6724),
  },
  [887] = {
    [sym__section_part] = STATE(1497),
    [sym_curly_group] = STATE(1496),
    [sym_brack_group] = STATE(2945),
    [sym_command_name] = ACTIONS(6728),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6728),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6730),
    [anon_sym_COMMA] = ACTIONS(6730),
    [anon_sym_EQ] = ACTIONS(6730),
    [anon_sym_LPAREN] = ACTIONS(6730),
    [anon_sym_RPAREN] = ACTIONS(6730),
    [anon_sym_BSLASHpart] = ACTIONS(6728),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHaddpart] = ACTIONS(6728),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHchapter] = ACTIONS(6728),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHaddchap] = ACTIONS(6728),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHsection] = ACTIONS(6728),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHaddsec] = ACTIONS(6728),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHsubsection] = ACTIONS(6728),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6728),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHparagraph] = ACTIONS(6728),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6728),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHitem] = ACTIONS(6728),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6730),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(6728),
    [sym_placeholder] = ACTIONS(6730),
    [sym_delimiter] = ACTIONS(6730),
    [anon_sym_PLUS] = ACTIONS(6730),
    [anon_sym_DASH] = ACTIONS(6730),
    [anon_sym_STAR] = ACTIONS(6730),
    [anon_sym_SLASH] = ACTIONS(6730),
    [anon_sym_LT] = ACTIONS(6728),
    [anon_sym_GT] = ACTIONS(6728),
    [anon_sym_BANG] = ACTIONS(6728),
    [anon_sym_PIPE] = ACTIONS(6728),
    [anon_sym_COLON] = ACTIONS(6728),
    [anon_sym_SQUOTE] = ACTIONS(6728),
    [anon_sym__] = ACTIONS(6730),
    [anon_sym_CARET] = ACTIONS(6730),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6730),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6730),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6730),
    [anon_sym_DOLLAR] = ACTIONS(6728),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6730),
    [anon_sym_BSLASHleft] = ACTIONS(6728),
    [anon_sym_BSLASHbigl] = ACTIONS(6728),
    [anon_sym_BSLASHBigl] = ACTIONS(6728),
    [anon_sym_BSLASHbiggl] = ACTIONS(6728),
    [anon_sym_BSLASHBiggl] = ACTIONS(6728),
    [anon_sym_BSLASHtext] = ACTIONS(6728),
    [anon_sym_BSLASHintertext] = ACTIONS(6728),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6728),
    [anon_sym_BSLASHbegin] = ACTIONS(6728),
    [anon_sym_BSLASHtitle] = ACTIONS(6728),
    [anon_sym_BSLASHauthor] = ACTIONS(6728),
    [anon_sym_BSLASHusepackage] = ACTIONS(6728),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6728),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6728),
    [anon_sym_BSLASHinclude] = ACTIONS(6728),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6728),
    [anon_sym_BSLASHinput] = ACTIONS(6728),
    [anon_sym_BSLASHsubfile] = ACTIONS(6728),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6728),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6728),
    [anon_sym_BSLASHbibliography] = ACTIONS(6728),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6728),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6728),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6728),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6728),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6728),
    [anon_sym_BSLASHimport] = ACTIONS(6728),
    [anon_sym_BSLASHsubimport] = ACTIONS(6728),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6728),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6728),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6728),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6728),
    [anon_sym_BSLASHcaption] = ACTIONS(6728),
    [anon_sym_BSLASHcite] = ACTIONS(6728),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHCite] = ACTIONS(6728),
    [anon_sym_BSLASHnocite] = ACTIONS(6728),
    [anon_sym_BSLASHcitet] = ACTIONS(6728),
    [anon_sym_BSLASHcitep] = ACTIONS(6728),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHciteA] = ACTIONS(6728),
    [anon_sym_BSLASHciteR] = ACTIONS(6728),
    [anon_sym_BSLASHciteS] = ACTIONS(6728),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6728),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6728),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6728),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6728),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHciteyear] = ACTIONS(6728),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcitedate] = ACTIONS(6728),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHciteurl] = ACTIONS(6728),
    [anon_sym_BSLASHfullcite] = ACTIONS(6728),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6728),
    [anon_sym_BSLASHcitealt] = ACTIONS(6728),
    [anon_sym_BSLASHcitealp] = ACTIONS(6728),
    [anon_sym_BSLASHcitetext] = ACTIONS(6728),
    [anon_sym_BSLASHparencite] = ACTIONS(6728),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHParencite] = ACTIONS(6728),
    [anon_sym_BSLASHfootcite] = ACTIONS(6728),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6728),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6728),
    [anon_sym_BSLASHtextcite] = ACTIONS(6728),
    [anon_sym_BSLASHTextcite] = ACTIONS(6728),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6728),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6728),
    [anon_sym_BSLASHsupercite] = ACTIONS(6728),
    [anon_sym_BSLASHautocite] = ACTIONS(6728),
    [anon_sym_BSLASHAutocite] = ACTIONS(6728),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHVolcite] = ACTIONS(6728),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHavolcite] = ACTIONS(6728),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6728),
    [anon_sym_BSLASHnotecite] = ACTIONS(6728),
    [anon_sym_BSLASHNotecite] = ACTIONS(6728),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6728),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6728),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6728),
    [anon_sym_BSLASHlabel] = ACTIONS(6728),
    [anon_sym_BSLASHref] = ACTIONS(6728),
    [anon_sym_BSLASHeqref] = ACTIONS(6728),
    [anon_sym_BSLASHvref] = ACTIONS(6728),
    [anon_sym_BSLASHVref] = ACTIONS(6728),
    [anon_sym_BSLASHautoref] = ACTIONS(6728),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHpageref] = ACTIONS(6728),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHautopageref] = ACTIONS(6728),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcref] = ACTIONS(6728),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHCref] = ACTIONS(6728),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcpageref] = ACTIONS(6728),
    [anon_sym_BSLASHCpageref] = ACTIONS(6728),
    [anon_sym_BSLASHnamecref] = ACTIONS(6728),
    [anon_sym_BSLASHnameCref] = ACTIONS(6728),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6728),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6728),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6728),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6728),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6728),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6728),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6728),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6728),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6728),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6728),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6728),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6728),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6728),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6728),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6728),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6728),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6728),
    [anon_sym_BSLASHdef] = ACTIONS(6728),
    [anon_sym_BSLASHgdef] = ACTIONS(6728),
    [anon_sym_BSLASHedef] = ACTIONS(6728),
    [anon_sym_BSLASHxdef] = ACTIONS(6728),
    [anon_sym_BSLASHlet] = ACTIONS(6728),
    [anon_sym_BSLASHglet] = ACTIONS(6728),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6728),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6728),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6728),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6728),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6728),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6728),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6728),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6728),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6728),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6728),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6728),
    [anon_sym_BSLASHgls] = ACTIONS(6728),
    [anon_sym_BSLASHGls] = ACTIONS(6728),
    [anon_sym_BSLASHGLS] = ACTIONS(6728),
    [anon_sym_BSLASHglspl] = ACTIONS(6728),
    [anon_sym_BSLASHGlspl] = ACTIONS(6728),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6728),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6728),
    [anon_sym_BSLASHglslink] = ACTIONS(6728),
    [anon_sym_BSLASHglstext] = ACTIONS(6728),
    [anon_sym_BSLASHGlstext] = ACTIONS(6728),
    [anon_sym_BSLASHGLStext] = ACTIONS(6728),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6728),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6728),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6728),
    [anon_sym_BSLASHglsplural] = ACTIONS(6728),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6728),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6728),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6728),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6728),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6728),
    [anon_sym_BSLASHglsname] = ACTIONS(6728),
    [anon_sym_BSLASHGlsname] = ACTIONS(6728),
    [anon_sym_BSLASHGLSname] = ACTIONS(6728),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6728),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6728),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6728),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6728),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6728),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6728),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6728),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6728),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6728),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6728),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6728),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6728),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6728),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6728),
    [anon_sym_BSLASHacrshort] = ACTIONS(6728),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6728),
    [anon_sym_BSLASHACRshort] = ACTIONS(6728),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6728),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6728),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6728),
    [anon_sym_BSLASHacrlong] = ACTIONS(6728),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6728),
    [anon_sym_BSLASHACRlong] = ACTIONS(6728),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6728),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6728),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6728),
    [anon_sym_BSLASHacrfull] = ACTIONS(6728),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6728),
    [anon_sym_BSLASHACRfull] = ACTIONS(6728),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6728),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6728),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6728),
    [anon_sym_BSLASHacs] = ACTIONS(6728),
    [anon_sym_BSLASHAcs] = ACTIONS(6728),
    [anon_sym_BSLASHacsp] = ACTIONS(6728),
    [anon_sym_BSLASHAcsp] = ACTIONS(6728),
    [anon_sym_BSLASHacl] = ACTIONS(6728),
    [anon_sym_BSLASHAcl] = ACTIONS(6728),
    [anon_sym_BSLASHaclp] = ACTIONS(6728),
    [anon_sym_BSLASHAclp] = ACTIONS(6728),
    [anon_sym_BSLASHacf] = ACTIONS(6728),
    [anon_sym_BSLASHAcf] = ACTIONS(6728),
    [anon_sym_BSLASHacfp] = ACTIONS(6728),
    [anon_sym_BSLASHAcfp] = ACTIONS(6728),
    [anon_sym_BSLASHac] = ACTIONS(6728),
    [anon_sym_BSLASHAc] = ACTIONS(6728),
    [anon_sym_BSLASHacp] = ACTIONS(6728),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6728),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6728),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6728),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6728),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6728),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6728),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6728),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6728),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6728),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6728),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6728),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6728),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6730),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6728),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6728),
    [anon_sym_BSLASHcolor] = ACTIONS(6728),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6728),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6728),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6728),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6728),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6728),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6728),
    [anon_sym_BSLASHurl] = ACTIONS(6728),
    [anon_sym_BSLASHhref] = ACTIONS(6728),
  },
  [888] = {
    [sym__section_part] = STATE(1498),
    [sym_curly_group] = STATE(1496),
    [sym_brack_group] = STATE(2945),
    [sym_command_name] = ACTIONS(6734),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6734),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6736),
    [anon_sym_COMMA] = ACTIONS(6736),
    [anon_sym_EQ] = ACTIONS(6736),
    [anon_sym_LPAREN] = ACTIONS(6736),
    [anon_sym_RPAREN] = ACTIONS(6736),
    [anon_sym_BSLASHpart] = ACTIONS(6734),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHaddpart] = ACTIONS(6734),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHchapter] = ACTIONS(6734),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHaddchap] = ACTIONS(6734),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHsection] = ACTIONS(6734),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHaddsec] = ACTIONS(6734),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHsubsection] = ACTIONS(6734),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6734),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHparagraph] = ACTIONS(6734),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6734),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHitem] = ACTIONS(6734),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6736),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(6734),
    [sym_placeholder] = ACTIONS(6736),
    [sym_delimiter] = ACTIONS(6736),
    [anon_sym_PLUS] = ACTIONS(6736),
    [anon_sym_DASH] = ACTIONS(6736),
    [anon_sym_STAR] = ACTIONS(6736),
    [anon_sym_SLASH] = ACTIONS(6736),
    [anon_sym_LT] = ACTIONS(6734),
    [anon_sym_GT] = ACTIONS(6734),
    [anon_sym_BANG] = ACTIONS(6734),
    [anon_sym_PIPE] = ACTIONS(6734),
    [anon_sym_COLON] = ACTIONS(6734),
    [anon_sym_SQUOTE] = ACTIONS(6734),
    [anon_sym__] = ACTIONS(6736),
    [anon_sym_CARET] = ACTIONS(6736),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6736),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6736),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6736),
    [anon_sym_DOLLAR] = ACTIONS(6734),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6736),
    [anon_sym_BSLASHleft] = ACTIONS(6734),
    [anon_sym_BSLASHbigl] = ACTIONS(6734),
    [anon_sym_BSLASHBigl] = ACTIONS(6734),
    [anon_sym_BSLASHbiggl] = ACTIONS(6734),
    [anon_sym_BSLASHBiggl] = ACTIONS(6734),
    [anon_sym_BSLASHtext] = ACTIONS(6734),
    [anon_sym_BSLASHintertext] = ACTIONS(6734),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6734),
    [anon_sym_BSLASHbegin] = ACTIONS(6734),
    [anon_sym_BSLASHtitle] = ACTIONS(6734),
    [anon_sym_BSLASHauthor] = ACTIONS(6734),
    [anon_sym_BSLASHusepackage] = ACTIONS(6734),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6734),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6734),
    [anon_sym_BSLASHinclude] = ACTIONS(6734),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6734),
    [anon_sym_BSLASHinput] = ACTIONS(6734),
    [anon_sym_BSLASHsubfile] = ACTIONS(6734),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6734),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6734),
    [anon_sym_BSLASHbibliography] = ACTIONS(6734),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6734),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6734),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6734),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6734),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6734),
    [anon_sym_BSLASHimport] = ACTIONS(6734),
    [anon_sym_BSLASHsubimport] = ACTIONS(6734),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6734),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6734),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6734),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6734),
    [anon_sym_BSLASHcaption] = ACTIONS(6734),
    [anon_sym_BSLASHcite] = ACTIONS(6734),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHCite] = ACTIONS(6734),
    [anon_sym_BSLASHnocite] = ACTIONS(6734),
    [anon_sym_BSLASHcitet] = ACTIONS(6734),
    [anon_sym_BSLASHcitep] = ACTIONS(6734),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHciteA] = ACTIONS(6734),
    [anon_sym_BSLASHciteR] = ACTIONS(6734),
    [anon_sym_BSLASHciteS] = ACTIONS(6734),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6734),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6734),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6734),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6734),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHciteyear] = ACTIONS(6734),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcitedate] = ACTIONS(6734),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHciteurl] = ACTIONS(6734),
    [anon_sym_BSLASHfullcite] = ACTIONS(6734),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6734),
    [anon_sym_BSLASHcitealt] = ACTIONS(6734),
    [anon_sym_BSLASHcitealp] = ACTIONS(6734),
    [anon_sym_BSLASHcitetext] = ACTIONS(6734),
    [anon_sym_BSLASHparencite] = ACTIONS(6734),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHParencite] = ACTIONS(6734),
    [anon_sym_BSLASHfootcite] = ACTIONS(6734),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6734),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6734),
    [anon_sym_BSLASHtextcite] = ACTIONS(6734),
    [anon_sym_BSLASHTextcite] = ACTIONS(6734),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6734),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6734),
    [anon_sym_BSLASHsupercite] = ACTIONS(6734),
    [anon_sym_BSLASHautocite] = ACTIONS(6734),
    [anon_sym_BSLASHAutocite] = ACTIONS(6734),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHVolcite] = ACTIONS(6734),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHavolcite] = ACTIONS(6734),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6734),
    [anon_sym_BSLASHnotecite] = ACTIONS(6734),
    [anon_sym_BSLASHNotecite] = ACTIONS(6734),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6734),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6734),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6734),
    [anon_sym_BSLASHlabel] = ACTIONS(6734),
    [anon_sym_BSLASHref] = ACTIONS(6734),
    [anon_sym_BSLASHeqref] = ACTIONS(6734),
    [anon_sym_BSLASHvref] = ACTIONS(6734),
    [anon_sym_BSLASHVref] = ACTIONS(6734),
    [anon_sym_BSLASHautoref] = ACTIONS(6734),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHpageref] = ACTIONS(6734),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHautopageref] = ACTIONS(6734),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcref] = ACTIONS(6734),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHCref] = ACTIONS(6734),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcpageref] = ACTIONS(6734),
    [anon_sym_BSLASHCpageref] = ACTIONS(6734),
    [anon_sym_BSLASHnamecref] = ACTIONS(6734),
    [anon_sym_BSLASHnameCref] = ACTIONS(6734),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6734),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6734),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6734),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6734),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6734),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6734),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6734),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6734),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6734),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6734),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6734),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6734),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6734),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6734),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6734),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6734),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6734),
    [anon_sym_BSLASHdef] = ACTIONS(6734),
    [anon_sym_BSLASHgdef] = ACTIONS(6734),
    [anon_sym_BSLASHedef] = ACTIONS(6734),
    [anon_sym_BSLASHxdef] = ACTIONS(6734),
    [anon_sym_BSLASHlet] = ACTIONS(6734),
    [anon_sym_BSLASHglet] = ACTIONS(6734),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6734),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6734),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6734),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6734),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6734),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6734),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6734),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6734),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6734),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6734),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6734),
    [anon_sym_BSLASHgls] = ACTIONS(6734),
    [anon_sym_BSLASHGls] = ACTIONS(6734),
    [anon_sym_BSLASHGLS] = ACTIONS(6734),
    [anon_sym_BSLASHglspl] = ACTIONS(6734),
    [anon_sym_BSLASHGlspl] = ACTIONS(6734),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6734),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6734),
    [anon_sym_BSLASHglslink] = ACTIONS(6734),
    [anon_sym_BSLASHglstext] = ACTIONS(6734),
    [anon_sym_BSLASHGlstext] = ACTIONS(6734),
    [anon_sym_BSLASHGLStext] = ACTIONS(6734),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6734),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6734),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6734),
    [anon_sym_BSLASHglsplural] = ACTIONS(6734),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6734),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6734),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6734),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6734),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6734),
    [anon_sym_BSLASHglsname] = ACTIONS(6734),
    [anon_sym_BSLASHGlsname] = ACTIONS(6734),
    [anon_sym_BSLASHGLSname] = ACTIONS(6734),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6734),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6734),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6734),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6734),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6734),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6734),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6734),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6734),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6734),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6734),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6734),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6734),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6734),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6734),
    [anon_sym_BSLASHacrshort] = ACTIONS(6734),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6734),
    [anon_sym_BSLASHACRshort] = ACTIONS(6734),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6734),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6734),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6734),
    [anon_sym_BSLASHacrlong] = ACTIONS(6734),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6734),
    [anon_sym_BSLASHACRlong] = ACTIONS(6734),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6734),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6734),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6734),
    [anon_sym_BSLASHacrfull] = ACTIONS(6734),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6734),
    [anon_sym_BSLASHACRfull] = ACTIONS(6734),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6734),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6734),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6734),
    [anon_sym_BSLASHacs] = ACTIONS(6734),
    [anon_sym_BSLASHAcs] = ACTIONS(6734),
    [anon_sym_BSLASHacsp] = ACTIONS(6734),
    [anon_sym_BSLASHAcsp] = ACTIONS(6734),
    [anon_sym_BSLASHacl] = ACTIONS(6734),
    [anon_sym_BSLASHAcl] = ACTIONS(6734),
    [anon_sym_BSLASHaclp] = ACTIONS(6734),
    [anon_sym_BSLASHAclp] = ACTIONS(6734),
    [anon_sym_BSLASHacf] = ACTIONS(6734),
    [anon_sym_BSLASHAcf] = ACTIONS(6734),
    [anon_sym_BSLASHacfp] = ACTIONS(6734),
    [anon_sym_BSLASHAcfp] = ACTIONS(6734),
    [anon_sym_BSLASHac] = ACTIONS(6734),
    [anon_sym_BSLASHAc] = ACTIONS(6734),
    [anon_sym_BSLASHacp] = ACTIONS(6734),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6734),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6734),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6734),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6734),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6734),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6734),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6734),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6734),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6734),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6734),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6734),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6734),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6736),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6734),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6734),
    [anon_sym_BSLASHcolor] = ACTIONS(6734),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6734),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6734),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6734),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6734),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6734),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6734),
    [anon_sym_BSLASHurl] = ACTIONS(6734),
    [anon_sym_BSLASHhref] = ACTIONS(6734),
  },
  [889] = {
    [sym__section_part] = STATE(1499),
    [sym_curly_group] = STATE(1496),
    [sym_brack_group] = STATE(2945),
    [sym_command_name] = ACTIONS(6738),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6738),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6740),
    [anon_sym_COMMA] = ACTIONS(6740),
    [anon_sym_EQ] = ACTIONS(6740),
    [anon_sym_LPAREN] = ACTIONS(6740),
    [anon_sym_RPAREN] = ACTIONS(6740),
    [anon_sym_BSLASHpart] = ACTIONS(6738),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHaddpart] = ACTIONS(6738),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHchapter] = ACTIONS(6738),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHaddchap] = ACTIONS(6738),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHsection] = ACTIONS(6738),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHaddsec] = ACTIONS(6738),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHsubsection] = ACTIONS(6738),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6738),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHparagraph] = ACTIONS(6738),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6738),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHitem] = ACTIONS(6738),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6740),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(6738),
    [sym_placeholder] = ACTIONS(6740),
    [sym_delimiter] = ACTIONS(6740),
    [anon_sym_PLUS] = ACTIONS(6740),
    [anon_sym_DASH] = ACTIONS(6740),
    [anon_sym_STAR] = ACTIONS(6740),
    [anon_sym_SLASH] = ACTIONS(6740),
    [anon_sym_LT] = ACTIONS(6738),
    [anon_sym_GT] = ACTIONS(6738),
    [anon_sym_BANG] = ACTIONS(6738),
    [anon_sym_PIPE] = ACTIONS(6738),
    [anon_sym_COLON] = ACTIONS(6738),
    [anon_sym_SQUOTE] = ACTIONS(6738),
    [anon_sym__] = ACTIONS(6740),
    [anon_sym_CARET] = ACTIONS(6740),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6740),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6740),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6740),
    [anon_sym_DOLLAR] = ACTIONS(6738),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6740),
    [anon_sym_BSLASHleft] = ACTIONS(6738),
    [anon_sym_BSLASHbigl] = ACTIONS(6738),
    [anon_sym_BSLASHBigl] = ACTIONS(6738),
    [anon_sym_BSLASHbiggl] = ACTIONS(6738),
    [anon_sym_BSLASHBiggl] = ACTIONS(6738),
    [anon_sym_BSLASHtext] = ACTIONS(6738),
    [anon_sym_BSLASHintertext] = ACTIONS(6738),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6738),
    [anon_sym_BSLASHbegin] = ACTIONS(6738),
    [anon_sym_BSLASHtitle] = ACTIONS(6738),
    [anon_sym_BSLASHauthor] = ACTIONS(6738),
    [anon_sym_BSLASHusepackage] = ACTIONS(6738),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6738),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6738),
    [anon_sym_BSLASHinclude] = ACTIONS(6738),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6738),
    [anon_sym_BSLASHinput] = ACTIONS(6738),
    [anon_sym_BSLASHsubfile] = ACTIONS(6738),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6738),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6738),
    [anon_sym_BSLASHbibliography] = ACTIONS(6738),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6738),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6738),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6738),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6738),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6738),
    [anon_sym_BSLASHimport] = ACTIONS(6738),
    [anon_sym_BSLASHsubimport] = ACTIONS(6738),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6738),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6738),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6738),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6738),
    [anon_sym_BSLASHcaption] = ACTIONS(6738),
    [anon_sym_BSLASHcite] = ACTIONS(6738),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHCite] = ACTIONS(6738),
    [anon_sym_BSLASHnocite] = ACTIONS(6738),
    [anon_sym_BSLASHcitet] = ACTIONS(6738),
    [anon_sym_BSLASHcitep] = ACTIONS(6738),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHciteA] = ACTIONS(6738),
    [anon_sym_BSLASHciteR] = ACTIONS(6738),
    [anon_sym_BSLASHciteS] = ACTIONS(6738),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6738),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6738),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6738),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6738),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHciteyear] = ACTIONS(6738),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcitedate] = ACTIONS(6738),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHciteurl] = ACTIONS(6738),
    [anon_sym_BSLASHfullcite] = ACTIONS(6738),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6738),
    [anon_sym_BSLASHcitealt] = ACTIONS(6738),
    [anon_sym_BSLASHcitealp] = ACTIONS(6738),
    [anon_sym_BSLASHcitetext] = ACTIONS(6738),
    [anon_sym_BSLASHparencite] = ACTIONS(6738),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHParencite] = ACTIONS(6738),
    [anon_sym_BSLASHfootcite] = ACTIONS(6738),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6738),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6738),
    [anon_sym_BSLASHtextcite] = ACTIONS(6738),
    [anon_sym_BSLASHTextcite] = ACTIONS(6738),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6738),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6738),
    [anon_sym_BSLASHsupercite] = ACTIONS(6738),
    [anon_sym_BSLASHautocite] = ACTIONS(6738),
    [anon_sym_BSLASHAutocite] = ACTIONS(6738),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHVolcite] = ACTIONS(6738),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHavolcite] = ACTIONS(6738),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6738),
    [anon_sym_BSLASHnotecite] = ACTIONS(6738),
    [anon_sym_BSLASHNotecite] = ACTIONS(6738),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6738),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6738),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6738),
    [anon_sym_BSLASHlabel] = ACTIONS(6738),
    [anon_sym_BSLASHref] = ACTIONS(6738),
    [anon_sym_BSLASHeqref] = ACTIONS(6738),
    [anon_sym_BSLASHvref] = ACTIONS(6738),
    [anon_sym_BSLASHVref] = ACTIONS(6738),
    [anon_sym_BSLASHautoref] = ACTIONS(6738),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHpageref] = ACTIONS(6738),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHautopageref] = ACTIONS(6738),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcref] = ACTIONS(6738),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHCref] = ACTIONS(6738),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcpageref] = ACTIONS(6738),
    [anon_sym_BSLASHCpageref] = ACTIONS(6738),
    [anon_sym_BSLASHnamecref] = ACTIONS(6738),
    [anon_sym_BSLASHnameCref] = ACTIONS(6738),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6738),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6738),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6738),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6738),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6738),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6738),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6738),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6738),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6738),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6738),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6738),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6738),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6738),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6738),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6738),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6738),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6738),
    [anon_sym_BSLASHdef] = ACTIONS(6738),
    [anon_sym_BSLASHgdef] = ACTIONS(6738),
    [anon_sym_BSLASHedef] = ACTIONS(6738),
    [anon_sym_BSLASHxdef] = ACTIONS(6738),
    [anon_sym_BSLASHlet] = ACTIONS(6738),
    [anon_sym_BSLASHglet] = ACTIONS(6738),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6738),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6738),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6738),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6738),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6738),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6738),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6738),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6738),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6738),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6738),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6738),
    [anon_sym_BSLASHgls] = ACTIONS(6738),
    [anon_sym_BSLASHGls] = ACTIONS(6738),
    [anon_sym_BSLASHGLS] = ACTIONS(6738),
    [anon_sym_BSLASHglspl] = ACTIONS(6738),
    [anon_sym_BSLASHGlspl] = ACTIONS(6738),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6738),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6738),
    [anon_sym_BSLASHglslink] = ACTIONS(6738),
    [anon_sym_BSLASHglstext] = ACTIONS(6738),
    [anon_sym_BSLASHGlstext] = ACTIONS(6738),
    [anon_sym_BSLASHGLStext] = ACTIONS(6738),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6738),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6738),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6738),
    [anon_sym_BSLASHglsplural] = ACTIONS(6738),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6738),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6738),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6738),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6738),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6738),
    [anon_sym_BSLASHglsname] = ACTIONS(6738),
    [anon_sym_BSLASHGlsname] = ACTIONS(6738),
    [anon_sym_BSLASHGLSname] = ACTIONS(6738),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6738),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6738),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6738),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6738),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6738),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6738),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6738),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6738),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6738),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6738),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6738),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6738),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6738),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6738),
    [anon_sym_BSLASHacrshort] = ACTIONS(6738),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6738),
    [anon_sym_BSLASHACRshort] = ACTIONS(6738),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6738),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6738),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6738),
    [anon_sym_BSLASHacrlong] = ACTIONS(6738),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6738),
    [anon_sym_BSLASHACRlong] = ACTIONS(6738),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6738),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6738),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6738),
    [anon_sym_BSLASHacrfull] = ACTIONS(6738),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6738),
    [anon_sym_BSLASHACRfull] = ACTIONS(6738),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6738),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6738),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6738),
    [anon_sym_BSLASHacs] = ACTIONS(6738),
    [anon_sym_BSLASHAcs] = ACTIONS(6738),
    [anon_sym_BSLASHacsp] = ACTIONS(6738),
    [anon_sym_BSLASHAcsp] = ACTIONS(6738),
    [anon_sym_BSLASHacl] = ACTIONS(6738),
    [anon_sym_BSLASHAcl] = ACTIONS(6738),
    [anon_sym_BSLASHaclp] = ACTIONS(6738),
    [anon_sym_BSLASHAclp] = ACTIONS(6738),
    [anon_sym_BSLASHacf] = ACTIONS(6738),
    [anon_sym_BSLASHAcf] = ACTIONS(6738),
    [anon_sym_BSLASHacfp] = ACTIONS(6738),
    [anon_sym_BSLASHAcfp] = ACTIONS(6738),
    [anon_sym_BSLASHac] = ACTIONS(6738),
    [anon_sym_BSLASHAc] = ACTIONS(6738),
    [anon_sym_BSLASHacp] = ACTIONS(6738),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6738),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6738),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6738),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6738),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6738),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6738),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6738),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6738),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6738),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6738),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6738),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6738),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6740),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6738),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6738),
    [anon_sym_BSLASHcolor] = ACTIONS(6738),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6738),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6738),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6738),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6738),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6738),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6738),
    [anon_sym_BSLASHurl] = ACTIONS(6738),
    [anon_sym_BSLASHhref] = ACTIONS(6738),
  },
  [890] = {
    [sym__section_part] = STATE(1500),
    [sym_curly_group] = STATE(1496),
    [sym_brack_group] = STATE(2945),
    [sym_command_name] = ACTIONS(6742),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6742),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6744),
    [anon_sym_COMMA] = ACTIONS(6744),
    [anon_sym_EQ] = ACTIONS(6744),
    [anon_sym_LPAREN] = ACTIONS(6744),
    [anon_sym_RPAREN] = ACTIONS(6744),
    [anon_sym_BSLASHpart] = ACTIONS(6742),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHaddpart] = ACTIONS(6742),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHchapter] = ACTIONS(6742),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHaddchap] = ACTIONS(6742),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHsection] = ACTIONS(6742),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHaddsec] = ACTIONS(6742),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHsubsection] = ACTIONS(6742),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6742),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHparagraph] = ACTIONS(6742),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6742),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHitem] = ACTIONS(6742),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6744),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(6742),
    [sym_placeholder] = ACTIONS(6744),
    [sym_delimiter] = ACTIONS(6744),
    [anon_sym_PLUS] = ACTIONS(6744),
    [anon_sym_DASH] = ACTIONS(6744),
    [anon_sym_STAR] = ACTIONS(6744),
    [anon_sym_SLASH] = ACTIONS(6744),
    [anon_sym_LT] = ACTIONS(6742),
    [anon_sym_GT] = ACTIONS(6742),
    [anon_sym_BANG] = ACTIONS(6742),
    [anon_sym_PIPE] = ACTIONS(6742),
    [anon_sym_COLON] = ACTIONS(6742),
    [anon_sym_SQUOTE] = ACTIONS(6742),
    [anon_sym__] = ACTIONS(6744),
    [anon_sym_CARET] = ACTIONS(6744),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6744),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6744),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6744),
    [anon_sym_DOLLAR] = ACTIONS(6742),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6744),
    [anon_sym_BSLASHleft] = ACTIONS(6742),
    [anon_sym_BSLASHbigl] = ACTIONS(6742),
    [anon_sym_BSLASHBigl] = ACTIONS(6742),
    [anon_sym_BSLASHbiggl] = ACTIONS(6742),
    [anon_sym_BSLASHBiggl] = ACTIONS(6742),
    [anon_sym_BSLASHtext] = ACTIONS(6742),
    [anon_sym_BSLASHintertext] = ACTIONS(6742),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6742),
    [anon_sym_BSLASHbegin] = ACTIONS(6742),
    [anon_sym_BSLASHtitle] = ACTIONS(6742),
    [anon_sym_BSLASHauthor] = ACTIONS(6742),
    [anon_sym_BSLASHusepackage] = ACTIONS(6742),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6742),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6742),
    [anon_sym_BSLASHinclude] = ACTIONS(6742),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6742),
    [anon_sym_BSLASHinput] = ACTIONS(6742),
    [anon_sym_BSLASHsubfile] = ACTIONS(6742),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6742),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6742),
    [anon_sym_BSLASHbibliography] = ACTIONS(6742),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6742),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6742),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6742),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6742),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6742),
    [anon_sym_BSLASHimport] = ACTIONS(6742),
    [anon_sym_BSLASHsubimport] = ACTIONS(6742),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6742),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6742),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6742),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6742),
    [anon_sym_BSLASHcaption] = ACTIONS(6742),
    [anon_sym_BSLASHcite] = ACTIONS(6742),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHCite] = ACTIONS(6742),
    [anon_sym_BSLASHnocite] = ACTIONS(6742),
    [anon_sym_BSLASHcitet] = ACTIONS(6742),
    [anon_sym_BSLASHcitep] = ACTIONS(6742),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHciteA] = ACTIONS(6742),
    [anon_sym_BSLASHciteR] = ACTIONS(6742),
    [anon_sym_BSLASHciteS] = ACTIONS(6742),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6742),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6742),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6742),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6742),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHciteyear] = ACTIONS(6742),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcitedate] = ACTIONS(6742),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHciteurl] = ACTIONS(6742),
    [anon_sym_BSLASHfullcite] = ACTIONS(6742),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6742),
    [anon_sym_BSLASHcitealt] = ACTIONS(6742),
    [anon_sym_BSLASHcitealp] = ACTIONS(6742),
    [anon_sym_BSLASHcitetext] = ACTIONS(6742),
    [anon_sym_BSLASHparencite] = ACTIONS(6742),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHParencite] = ACTIONS(6742),
    [anon_sym_BSLASHfootcite] = ACTIONS(6742),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6742),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6742),
    [anon_sym_BSLASHtextcite] = ACTIONS(6742),
    [anon_sym_BSLASHTextcite] = ACTIONS(6742),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6742),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6742),
    [anon_sym_BSLASHsupercite] = ACTIONS(6742),
    [anon_sym_BSLASHautocite] = ACTIONS(6742),
    [anon_sym_BSLASHAutocite] = ACTIONS(6742),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHVolcite] = ACTIONS(6742),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHavolcite] = ACTIONS(6742),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6742),
    [anon_sym_BSLASHnotecite] = ACTIONS(6742),
    [anon_sym_BSLASHNotecite] = ACTIONS(6742),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6742),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6742),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6742),
    [anon_sym_BSLASHlabel] = ACTIONS(6742),
    [anon_sym_BSLASHref] = ACTIONS(6742),
    [anon_sym_BSLASHeqref] = ACTIONS(6742),
    [anon_sym_BSLASHvref] = ACTIONS(6742),
    [anon_sym_BSLASHVref] = ACTIONS(6742),
    [anon_sym_BSLASHautoref] = ACTIONS(6742),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHpageref] = ACTIONS(6742),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHautopageref] = ACTIONS(6742),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcref] = ACTIONS(6742),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHCref] = ACTIONS(6742),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcpageref] = ACTIONS(6742),
    [anon_sym_BSLASHCpageref] = ACTIONS(6742),
    [anon_sym_BSLASHnamecref] = ACTIONS(6742),
    [anon_sym_BSLASHnameCref] = ACTIONS(6742),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6742),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6742),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6742),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6742),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6742),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6742),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6742),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6742),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6742),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6742),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6742),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6742),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6742),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6742),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6742),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6742),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6742),
    [anon_sym_BSLASHdef] = ACTIONS(6742),
    [anon_sym_BSLASHgdef] = ACTIONS(6742),
    [anon_sym_BSLASHedef] = ACTIONS(6742),
    [anon_sym_BSLASHxdef] = ACTIONS(6742),
    [anon_sym_BSLASHlet] = ACTIONS(6742),
    [anon_sym_BSLASHglet] = ACTIONS(6742),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6742),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6742),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6742),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6742),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6742),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6742),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6742),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6742),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6742),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6742),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6742),
    [anon_sym_BSLASHgls] = ACTIONS(6742),
    [anon_sym_BSLASHGls] = ACTIONS(6742),
    [anon_sym_BSLASHGLS] = ACTIONS(6742),
    [anon_sym_BSLASHglspl] = ACTIONS(6742),
    [anon_sym_BSLASHGlspl] = ACTIONS(6742),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6742),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6742),
    [anon_sym_BSLASHglslink] = ACTIONS(6742),
    [anon_sym_BSLASHglstext] = ACTIONS(6742),
    [anon_sym_BSLASHGlstext] = ACTIONS(6742),
    [anon_sym_BSLASHGLStext] = ACTIONS(6742),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6742),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6742),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6742),
    [anon_sym_BSLASHglsplural] = ACTIONS(6742),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6742),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6742),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6742),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6742),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6742),
    [anon_sym_BSLASHglsname] = ACTIONS(6742),
    [anon_sym_BSLASHGlsname] = ACTIONS(6742),
    [anon_sym_BSLASHGLSname] = ACTIONS(6742),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6742),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6742),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6742),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6742),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6742),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6742),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6742),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6742),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6742),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6742),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6742),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6742),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6742),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6742),
    [anon_sym_BSLASHacrshort] = ACTIONS(6742),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6742),
    [anon_sym_BSLASHACRshort] = ACTIONS(6742),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6742),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6742),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6742),
    [anon_sym_BSLASHacrlong] = ACTIONS(6742),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6742),
    [anon_sym_BSLASHACRlong] = ACTIONS(6742),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6742),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6742),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6742),
    [anon_sym_BSLASHacrfull] = ACTIONS(6742),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6742),
    [anon_sym_BSLASHACRfull] = ACTIONS(6742),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6742),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6742),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6742),
    [anon_sym_BSLASHacs] = ACTIONS(6742),
    [anon_sym_BSLASHAcs] = ACTIONS(6742),
    [anon_sym_BSLASHacsp] = ACTIONS(6742),
    [anon_sym_BSLASHAcsp] = ACTIONS(6742),
    [anon_sym_BSLASHacl] = ACTIONS(6742),
    [anon_sym_BSLASHAcl] = ACTIONS(6742),
    [anon_sym_BSLASHaclp] = ACTIONS(6742),
    [anon_sym_BSLASHAclp] = ACTIONS(6742),
    [anon_sym_BSLASHacf] = ACTIONS(6742),
    [anon_sym_BSLASHAcf] = ACTIONS(6742),
    [anon_sym_BSLASHacfp] = ACTIONS(6742),
    [anon_sym_BSLASHAcfp] = ACTIONS(6742),
    [anon_sym_BSLASHac] = ACTIONS(6742),
    [anon_sym_BSLASHAc] = ACTIONS(6742),
    [anon_sym_BSLASHacp] = ACTIONS(6742),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6742),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6742),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6742),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6742),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6742),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6742),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6742),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6742),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6742),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6742),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6742),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6742),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6744),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6742),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6742),
    [anon_sym_BSLASHcolor] = ACTIONS(6742),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6742),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6742),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6742),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6742),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6742),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6742),
    [anon_sym_BSLASHurl] = ACTIONS(6742),
    [anon_sym_BSLASHhref] = ACTIONS(6742),
  },
  [891] = {
    [sym__section_part] = STATE(1501),
    [sym_curly_group] = STATE(1496),
    [sym_brack_group] = STATE(2945),
    [sym_command_name] = ACTIONS(6746),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6746),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6748),
    [anon_sym_COMMA] = ACTIONS(6748),
    [anon_sym_EQ] = ACTIONS(6748),
    [anon_sym_LPAREN] = ACTIONS(6748),
    [anon_sym_RPAREN] = ACTIONS(6748),
    [anon_sym_BSLASHpart] = ACTIONS(6746),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHaddpart] = ACTIONS(6746),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHchapter] = ACTIONS(6746),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHaddchap] = ACTIONS(6746),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHsection] = ACTIONS(6746),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHaddsec] = ACTIONS(6746),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHsubsection] = ACTIONS(6746),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6746),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHparagraph] = ACTIONS(6746),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6746),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHitem] = ACTIONS(6746),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6748),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(6746),
    [sym_placeholder] = ACTIONS(6748),
    [sym_delimiter] = ACTIONS(6748),
    [anon_sym_PLUS] = ACTIONS(6748),
    [anon_sym_DASH] = ACTIONS(6748),
    [anon_sym_STAR] = ACTIONS(6748),
    [anon_sym_SLASH] = ACTIONS(6748),
    [anon_sym_LT] = ACTIONS(6746),
    [anon_sym_GT] = ACTIONS(6746),
    [anon_sym_BANG] = ACTIONS(6746),
    [anon_sym_PIPE] = ACTIONS(6746),
    [anon_sym_COLON] = ACTIONS(6746),
    [anon_sym_SQUOTE] = ACTIONS(6746),
    [anon_sym__] = ACTIONS(6748),
    [anon_sym_CARET] = ACTIONS(6748),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6748),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6748),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6748),
    [anon_sym_DOLLAR] = ACTIONS(6746),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6748),
    [anon_sym_BSLASHleft] = ACTIONS(6746),
    [anon_sym_BSLASHbigl] = ACTIONS(6746),
    [anon_sym_BSLASHBigl] = ACTIONS(6746),
    [anon_sym_BSLASHbiggl] = ACTIONS(6746),
    [anon_sym_BSLASHBiggl] = ACTIONS(6746),
    [anon_sym_BSLASHtext] = ACTIONS(6746),
    [anon_sym_BSLASHintertext] = ACTIONS(6746),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6746),
    [anon_sym_BSLASHbegin] = ACTIONS(6746),
    [anon_sym_BSLASHtitle] = ACTIONS(6746),
    [anon_sym_BSLASHauthor] = ACTIONS(6746),
    [anon_sym_BSLASHusepackage] = ACTIONS(6746),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6746),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6746),
    [anon_sym_BSLASHinclude] = ACTIONS(6746),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6746),
    [anon_sym_BSLASHinput] = ACTIONS(6746),
    [anon_sym_BSLASHsubfile] = ACTIONS(6746),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6746),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6746),
    [anon_sym_BSLASHbibliography] = ACTIONS(6746),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6746),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6746),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6746),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6746),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6746),
    [anon_sym_BSLASHimport] = ACTIONS(6746),
    [anon_sym_BSLASHsubimport] = ACTIONS(6746),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6746),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6746),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6746),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6746),
    [anon_sym_BSLASHcaption] = ACTIONS(6746),
    [anon_sym_BSLASHcite] = ACTIONS(6746),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHCite] = ACTIONS(6746),
    [anon_sym_BSLASHnocite] = ACTIONS(6746),
    [anon_sym_BSLASHcitet] = ACTIONS(6746),
    [anon_sym_BSLASHcitep] = ACTIONS(6746),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHciteA] = ACTIONS(6746),
    [anon_sym_BSLASHciteR] = ACTIONS(6746),
    [anon_sym_BSLASHciteS] = ACTIONS(6746),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6746),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6746),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6746),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6746),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHciteyear] = ACTIONS(6746),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcitedate] = ACTIONS(6746),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHciteurl] = ACTIONS(6746),
    [anon_sym_BSLASHfullcite] = ACTIONS(6746),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6746),
    [anon_sym_BSLASHcitealt] = ACTIONS(6746),
    [anon_sym_BSLASHcitealp] = ACTIONS(6746),
    [anon_sym_BSLASHcitetext] = ACTIONS(6746),
    [anon_sym_BSLASHparencite] = ACTIONS(6746),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHParencite] = ACTIONS(6746),
    [anon_sym_BSLASHfootcite] = ACTIONS(6746),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6746),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6746),
    [anon_sym_BSLASHtextcite] = ACTIONS(6746),
    [anon_sym_BSLASHTextcite] = ACTIONS(6746),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6746),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6746),
    [anon_sym_BSLASHsupercite] = ACTIONS(6746),
    [anon_sym_BSLASHautocite] = ACTIONS(6746),
    [anon_sym_BSLASHAutocite] = ACTIONS(6746),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHVolcite] = ACTIONS(6746),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHavolcite] = ACTIONS(6746),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6746),
    [anon_sym_BSLASHnotecite] = ACTIONS(6746),
    [anon_sym_BSLASHNotecite] = ACTIONS(6746),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6746),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6746),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6746),
    [anon_sym_BSLASHlabel] = ACTIONS(6746),
    [anon_sym_BSLASHref] = ACTIONS(6746),
    [anon_sym_BSLASHeqref] = ACTIONS(6746),
    [anon_sym_BSLASHvref] = ACTIONS(6746),
    [anon_sym_BSLASHVref] = ACTIONS(6746),
    [anon_sym_BSLASHautoref] = ACTIONS(6746),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHpageref] = ACTIONS(6746),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHautopageref] = ACTIONS(6746),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcref] = ACTIONS(6746),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHCref] = ACTIONS(6746),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcpageref] = ACTIONS(6746),
    [anon_sym_BSLASHCpageref] = ACTIONS(6746),
    [anon_sym_BSLASHnamecref] = ACTIONS(6746),
    [anon_sym_BSLASHnameCref] = ACTIONS(6746),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6746),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6746),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6746),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6746),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6746),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6746),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6746),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6746),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6746),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6746),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6746),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6746),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6746),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6746),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6746),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6746),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6746),
    [anon_sym_BSLASHdef] = ACTIONS(6746),
    [anon_sym_BSLASHgdef] = ACTIONS(6746),
    [anon_sym_BSLASHedef] = ACTIONS(6746),
    [anon_sym_BSLASHxdef] = ACTIONS(6746),
    [anon_sym_BSLASHlet] = ACTIONS(6746),
    [anon_sym_BSLASHglet] = ACTIONS(6746),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6746),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6746),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6746),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6746),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6746),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6746),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6746),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6746),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6746),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6746),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6746),
    [anon_sym_BSLASHgls] = ACTIONS(6746),
    [anon_sym_BSLASHGls] = ACTIONS(6746),
    [anon_sym_BSLASHGLS] = ACTIONS(6746),
    [anon_sym_BSLASHglspl] = ACTIONS(6746),
    [anon_sym_BSLASHGlspl] = ACTIONS(6746),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6746),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6746),
    [anon_sym_BSLASHglslink] = ACTIONS(6746),
    [anon_sym_BSLASHglstext] = ACTIONS(6746),
    [anon_sym_BSLASHGlstext] = ACTIONS(6746),
    [anon_sym_BSLASHGLStext] = ACTIONS(6746),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6746),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6746),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6746),
    [anon_sym_BSLASHglsplural] = ACTIONS(6746),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6746),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6746),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6746),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6746),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6746),
    [anon_sym_BSLASHglsname] = ACTIONS(6746),
    [anon_sym_BSLASHGlsname] = ACTIONS(6746),
    [anon_sym_BSLASHGLSname] = ACTIONS(6746),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6746),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6746),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6746),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6746),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6746),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6746),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6746),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6746),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6746),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6746),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6746),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6746),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6746),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6746),
    [anon_sym_BSLASHacrshort] = ACTIONS(6746),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6746),
    [anon_sym_BSLASHACRshort] = ACTIONS(6746),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6746),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6746),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6746),
    [anon_sym_BSLASHacrlong] = ACTIONS(6746),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6746),
    [anon_sym_BSLASHACRlong] = ACTIONS(6746),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6746),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6746),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6746),
    [anon_sym_BSLASHacrfull] = ACTIONS(6746),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6746),
    [anon_sym_BSLASHACRfull] = ACTIONS(6746),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6746),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6746),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6746),
    [anon_sym_BSLASHacs] = ACTIONS(6746),
    [anon_sym_BSLASHAcs] = ACTIONS(6746),
    [anon_sym_BSLASHacsp] = ACTIONS(6746),
    [anon_sym_BSLASHAcsp] = ACTIONS(6746),
    [anon_sym_BSLASHacl] = ACTIONS(6746),
    [anon_sym_BSLASHAcl] = ACTIONS(6746),
    [anon_sym_BSLASHaclp] = ACTIONS(6746),
    [anon_sym_BSLASHAclp] = ACTIONS(6746),
    [anon_sym_BSLASHacf] = ACTIONS(6746),
    [anon_sym_BSLASHAcf] = ACTIONS(6746),
    [anon_sym_BSLASHacfp] = ACTIONS(6746),
    [anon_sym_BSLASHAcfp] = ACTIONS(6746),
    [anon_sym_BSLASHac] = ACTIONS(6746),
    [anon_sym_BSLASHAc] = ACTIONS(6746),
    [anon_sym_BSLASHacp] = ACTIONS(6746),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6746),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6746),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6746),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6746),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6746),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6746),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6746),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6746),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6746),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6746),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6746),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6746),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6748),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6746),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6746),
    [anon_sym_BSLASHcolor] = ACTIONS(6746),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6746),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6746),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6746),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6746),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6746),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6746),
    [anon_sym_BSLASHurl] = ACTIONS(6746),
    [anon_sym_BSLASHhref] = ACTIONS(6746),
  },
  [892] = {
    [sym__section_part] = STATE(1502),
    [sym_curly_group] = STATE(1496),
    [sym_brack_group] = STATE(2945),
    [sym_command_name] = ACTIONS(6750),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6750),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_RBRACK] = ACTIONS(6752),
    [anon_sym_COMMA] = ACTIONS(6752),
    [anon_sym_EQ] = ACTIONS(6752),
    [anon_sym_LPAREN] = ACTIONS(6752),
    [anon_sym_RPAREN] = ACTIONS(6752),
    [anon_sym_BSLASHpart] = ACTIONS(6750),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHaddpart] = ACTIONS(6750),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHchapter] = ACTIONS(6750),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHaddchap] = ACTIONS(6750),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHsection] = ACTIONS(6750),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHaddsec] = ACTIONS(6750),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHsubsection] = ACTIONS(6750),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6750),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHparagraph] = ACTIONS(6750),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6750),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHitem] = ACTIONS(6750),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6752),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(6750),
    [sym_placeholder] = ACTIONS(6752),
    [sym_delimiter] = ACTIONS(6752),
    [anon_sym_PLUS] = ACTIONS(6752),
    [anon_sym_DASH] = ACTIONS(6752),
    [anon_sym_STAR] = ACTIONS(6752),
    [anon_sym_SLASH] = ACTIONS(6752),
    [anon_sym_LT] = ACTIONS(6750),
    [anon_sym_GT] = ACTIONS(6750),
    [anon_sym_BANG] = ACTIONS(6750),
    [anon_sym_PIPE] = ACTIONS(6750),
    [anon_sym_COLON] = ACTIONS(6750),
    [anon_sym_SQUOTE] = ACTIONS(6750),
    [anon_sym__] = ACTIONS(6752),
    [anon_sym_CARET] = ACTIONS(6752),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6752),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6752),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6752),
    [anon_sym_DOLLAR] = ACTIONS(6750),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6752),
    [anon_sym_BSLASHleft] = ACTIONS(6750),
    [anon_sym_BSLASHbigl] = ACTIONS(6750),
    [anon_sym_BSLASHBigl] = ACTIONS(6750),
    [anon_sym_BSLASHbiggl] = ACTIONS(6750),
    [anon_sym_BSLASHBiggl] = ACTIONS(6750),
    [anon_sym_BSLASHtext] = ACTIONS(6750),
    [anon_sym_BSLASHintertext] = ACTIONS(6750),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6750),
    [anon_sym_BSLASHbegin] = ACTIONS(6750),
    [anon_sym_BSLASHtitle] = ACTIONS(6750),
    [anon_sym_BSLASHauthor] = ACTIONS(6750),
    [anon_sym_BSLASHusepackage] = ACTIONS(6750),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6750),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6750),
    [anon_sym_BSLASHinclude] = ACTIONS(6750),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6750),
    [anon_sym_BSLASHinput] = ACTIONS(6750),
    [anon_sym_BSLASHsubfile] = ACTIONS(6750),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6750),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6750),
    [anon_sym_BSLASHbibliography] = ACTIONS(6750),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6750),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6750),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6750),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6750),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6750),
    [anon_sym_BSLASHimport] = ACTIONS(6750),
    [anon_sym_BSLASHsubimport] = ACTIONS(6750),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6750),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6750),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6750),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6750),
    [anon_sym_BSLASHcaption] = ACTIONS(6750),
    [anon_sym_BSLASHcite] = ACTIONS(6750),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHCite] = ACTIONS(6750),
    [anon_sym_BSLASHnocite] = ACTIONS(6750),
    [anon_sym_BSLASHcitet] = ACTIONS(6750),
    [anon_sym_BSLASHcitep] = ACTIONS(6750),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHciteA] = ACTIONS(6750),
    [anon_sym_BSLASHciteR] = ACTIONS(6750),
    [anon_sym_BSLASHciteS] = ACTIONS(6750),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6750),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6750),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6750),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6750),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHciteyear] = ACTIONS(6750),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcitedate] = ACTIONS(6750),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHciteurl] = ACTIONS(6750),
    [anon_sym_BSLASHfullcite] = ACTIONS(6750),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6750),
    [anon_sym_BSLASHcitealt] = ACTIONS(6750),
    [anon_sym_BSLASHcitealp] = ACTIONS(6750),
    [anon_sym_BSLASHcitetext] = ACTIONS(6750),
    [anon_sym_BSLASHparencite] = ACTIONS(6750),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHParencite] = ACTIONS(6750),
    [anon_sym_BSLASHfootcite] = ACTIONS(6750),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6750),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6750),
    [anon_sym_BSLASHtextcite] = ACTIONS(6750),
    [anon_sym_BSLASHTextcite] = ACTIONS(6750),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6750),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6750),
    [anon_sym_BSLASHsupercite] = ACTIONS(6750),
    [anon_sym_BSLASHautocite] = ACTIONS(6750),
    [anon_sym_BSLASHAutocite] = ACTIONS(6750),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHVolcite] = ACTIONS(6750),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHavolcite] = ACTIONS(6750),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6750),
    [anon_sym_BSLASHnotecite] = ACTIONS(6750),
    [anon_sym_BSLASHNotecite] = ACTIONS(6750),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6750),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6750),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6750),
    [anon_sym_BSLASHlabel] = ACTIONS(6750),
    [anon_sym_BSLASHref] = ACTIONS(6750),
    [anon_sym_BSLASHeqref] = ACTIONS(6750),
    [anon_sym_BSLASHvref] = ACTIONS(6750),
    [anon_sym_BSLASHVref] = ACTIONS(6750),
    [anon_sym_BSLASHautoref] = ACTIONS(6750),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHpageref] = ACTIONS(6750),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHautopageref] = ACTIONS(6750),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcref] = ACTIONS(6750),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHCref] = ACTIONS(6750),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcpageref] = ACTIONS(6750),
    [anon_sym_BSLASHCpageref] = ACTIONS(6750),
    [anon_sym_BSLASHnamecref] = ACTIONS(6750),
    [anon_sym_BSLASHnameCref] = ACTIONS(6750),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6750),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6750),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6750),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6750),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6750),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6750),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6750),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6750),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6750),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6750),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6750),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6750),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6750),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6750),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6750),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6750),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6750),
    [anon_sym_BSLASHdef] = ACTIONS(6750),
    [anon_sym_BSLASHgdef] = ACTIONS(6750),
    [anon_sym_BSLASHedef] = ACTIONS(6750),
    [anon_sym_BSLASHxdef] = ACTIONS(6750),
    [anon_sym_BSLASHlet] = ACTIONS(6750),
    [anon_sym_BSLASHglet] = ACTIONS(6750),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6750),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6750),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6750),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6750),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6750),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6750),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6750),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6750),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6750),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6750),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6750),
    [anon_sym_BSLASHgls] = ACTIONS(6750),
    [anon_sym_BSLASHGls] = ACTIONS(6750),
    [anon_sym_BSLASHGLS] = ACTIONS(6750),
    [anon_sym_BSLASHglspl] = ACTIONS(6750),
    [anon_sym_BSLASHGlspl] = ACTIONS(6750),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6750),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6750),
    [anon_sym_BSLASHglslink] = ACTIONS(6750),
    [anon_sym_BSLASHglstext] = ACTIONS(6750),
    [anon_sym_BSLASHGlstext] = ACTIONS(6750),
    [anon_sym_BSLASHGLStext] = ACTIONS(6750),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6750),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6750),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6750),
    [anon_sym_BSLASHglsplural] = ACTIONS(6750),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6750),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6750),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6750),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6750),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6750),
    [anon_sym_BSLASHglsname] = ACTIONS(6750),
    [anon_sym_BSLASHGlsname] = ACTIONS(6750),
    [anon_sym_BSLASHGLSname] = ACTIONS(6750),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6750),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6750),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6750),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6750),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6750),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6750),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6750),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6750),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6750),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6750),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6750),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6750),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6750),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6750),
    [anon_sym_BSLASHacrshort] = ACTIONS(6750),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6750),
    [anon_sym_BSLASHACRshort] = ACTIONS(6750),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6750),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6750),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6750),
    [anon_sym_BSLASHacrlong] = ACTIONS(6750),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6750),
    [anon_sym_BSLASHACRlong] = ACTIONS(6750),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6750),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6750),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6750),
    [anon_sym_BSLASHacrfull] = ACTIONS(6750),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6750),
    [anon_sym_BSLASHACRfull] = ACTIONS(6750),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6750),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6750),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6750),
    [anon_sym_BSLASHacs] = ACTIONS(6750),
    [anon_sym_BSLASHAcs] = ACTIONS(6750),
    [anon_sym_BSLASHacsp] = ACTIONS(6750),
    [anon_sym_BSLASHAcsp] = ACTIONS(6750),
    [anon_sym_BSLASHacl] = ACTIONS(6750),
    [anon_sym_BSLASHAcl] = ACTIONS(6750),
    [anon_sym_BSLASHaclp] = ACTIONS(6750),
    [anon_sym_BSLASHAclp] = ACTIONS(6750),
    [anon_sym_BSLASHacf] = ACTIONS(6750),
    [anon_sym_BSLASHAcf] = ACTIONS(6750),
    [anon_sym_BSLASHacfp] = ACTIONS(6750),
    [anon_sym_BSLASHAcfp] = ACTIONS(6750),
    [anon_sym_BSLASHac] = ACTIONS(6750),
    [anon_sym_BSLASHAc] = ACTIONS(6750),
    [anon_sym_BSLASHacp] = ACTIONS(6750),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6750),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6750),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6750),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6750),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6750),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6750),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6750),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6750),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6750),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6750),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6750),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6750),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6752),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6750),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6750),
    [anon_sym_BSLASHcolor] = ACTIONS(6750),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6750),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6750),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6750),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6750),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6750),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6750),
    [anon_sym_BSLASHurl] = ACTIONS(6750),
    [anon_sym_BSLASHhref] = ACTIONS(6750),
  },
  [893] = {
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(924),
    [aux_sym__paragraph_repeat3] = STATE(924),
    [sym_command_name] = ACTIONS(6850),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6850),
    [anon_sym_LBRACK] = ACTIONS(6852),
    [anon_sym_RBRACK] = ACTIONS(6852),
    [anon_sym_COMMA] = ACTIONS(6852),
    [anon_sym_EQ] = ACTIONS(6852),
    [anon_sym_LPAREN] = ACTIONS(6852),
    [anon_sym_RPAREN] = ACTIONS(6852),
    [anon_sym_BSLASHpart] = ACTIONS(6850),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHaddpart] = ACTIONS(6850),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHchapter] = ACTIONS(6850),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHaddchap] = ACTIONS(6850),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHsection] = ACTIONS(6850),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHaddsec] = ACTIONS(6850),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHsubsection] = ACTIONS(6850),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6850),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHparagraph] = ACTIONS(6850),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6850),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(6852),
    [sym_word] = ACTIONS(6850),
    [sym_placeholder] = ACTIONS(6852),
    [sym_delimiter] = ACTIONS(6852),
    [anon_sym_PLUS] = ACTIONS(6852),
    [anon_sym_DASH] = ACTIONS(6852),
    [anon_sym_STAR] = ACTIONS(6852),
    [anon_sym_SLASH] = ACTIONS(6852),
    [anon_sym_LT] = ACTIONS(6850),
    [anon_sym_GT] = ACTIONS(6850),
    [anon_sym_BANG] = ACTIONS(6850),
    [anon_sym_PIPE] = ACTIONS(6850),
    [anon_sym_COLON] = ACTIONS(6850),
    [anon_sym_SQUOTE] = ACTIONS(6850),
    [anon_sym__] = ACTIONS(6852),
    [anon_sym_CARET] = ACTIONS(6852),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6852),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6852),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6852),
    [anon_sym_DOLLAR] = ACTIONS(6850),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6852),
    [anon_sym_BSLASHleft] = ACTIONS(6850),
    [anon_sym_BSLASHbigl] = ACTIONS(6850),
    [anon_sym_BSLASHBigl] = ACTIONS(6850),
    [anon_sym_BSLASHbiggl] = ACTIONS(6850),
    [anon_sym_BSLASHBiggl] = ACTIONS(6850),
    [anon_sym_BSLASHtext] = ACTIONS(6850),
    [anon_sym_BSLASHintertext] = ACTIONS(6850),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6850),
    [anon_sym_BSLASHbegin] = ACTIONS(6850),
    [anon_sym_BSLASHtitle] = ACTIONS(6850),
    [anon_sym_BSLASHauthor] = ACTIONS(6850),
    [anon_sym_BSLASHusepackage] = ACTIONS(6850),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6850),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6850),
    [anon_sym_BSLASHinclude] = ACTIONS(6850),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6850),
    [anon_sym_BSLASHinput] = ACTIONS(6850),
    [anon_sym_BSLASHsubfile] = ACTIONS(6850),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6850),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6850),
    [anon_sym_BSLASHbibliography] = ACTIONS(6850),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6850),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6850),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6850),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6850),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6850),
    [anon_sym_BSLASHimport] = ACTIONS(6850),
    [anon_sym_BSLASHsubimport] = ACTIONS(6850),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6850),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6850),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6850),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6850),
    [anon_sym_BSLASHcaption] = ACTIONS(6850),
    [anon_sym_BSLASHcite] = ACTIONS(6850),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHCite] = ACTIONS(6850),
    [anon_sym_BSLASHnocite] = ACTIONS(6850),
    [anon_sym_BSLASHcitet] = ACTIONS(6850),
    [anon_sym_BSLASHcitep] = ACTIONS(6850),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHciteA] = ACTIONS(6850),
    [anon_sym_BSLASHciteR] = ACTIONS(6850),
    [anon_sym_BSLASHciteS] = ACTIONS(6850),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6850),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6850),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6850),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6850),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHciteyear] = ACTIONS(6850),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcitedate] = ACTIONS(6850),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHciteurl] = ACTIONS(6850),
    [anon_sym_BSLASHfullcite] = ACTIONS(6850),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6850),
    [anon_sym_BSLASHcitealt] = ACTIONS(6850),
    [anon_sym_BSLASHcitealp] = ACTIONS(6850),
    [anon_sym_BSLASHcitetext] = ACTIONS(6850),
    [anon_sym_BSLASHparencite] = ACTIONS(6850),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHParencite] = ACTIONS(6850),
    [anon_sym_BSLASHfootcite] = ACTIONS(6850),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6850),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6850),
    [anon_sym_BSLASHtextcite] = ACTIONS(6850),
    [anon_sym_BSLASHTextcite] = ACTIONS(6850),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6850),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6850),
    [anon_sym_BSLASHsupercite] = ACTIONS(6850),
    [anon_sym_BSLASHautocite] = ACTIONS(6850),
    [anon_sym_BSLASHAutocite] = ACTIONS(6850),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHVolcite] = ACTIONS(6850),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHavolcite] = ACTIONS(6850),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHnotecite] = ACTIONS(6850),
    [anon_sym_BSLASHNotecite] = ACTIONS(6850),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6850),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6850),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6850),
    [anon_sym_BSLASHlabel] = ACTIONS(6850),
    [anon_sym_BSLASHref] = ACTIONS(6850),
    [anon_sym_BSLASHeqref] = ACTIONS(6850),
    [anon_sym_BSLASHvref] = ACTIONS(6850),
    [anon_sym_BSLASHVref] = ACTIONS(6850),
    [anon_sym_BSLASHautoref] = ACTIONS(6850),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHpageref] = ACTIONS(6850),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHautopageref] = ACTIONS(6850),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcref] = ACTIONS(6850),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHCref] = ACTIONS(6850),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcpageref] = ACTIONS(6850),
    [anon_sym_BSLASHCpageref] = ACTIONS(6850),
    [anon_sym_BSLASHnamecref] = ACTIONS(6850),
    [anon_sym_BSLASHnameCref] = ACTIONS(6850),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6850),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6850),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6850),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6850),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6850),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6850),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6850),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6850),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6850),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6850),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6850),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6850),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6850),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6850),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6850),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6850),
    [anon_sym_BSLASHdef] = ACTIONS(6850),
    [anon_sym_BSLASHgdef] = ACTIONS(6850),
    [anon_sym_BSLASHedef] = ACTIONS(6850),
    [anon_sym_BSLASHxdef] = ACTIONS(6850),
    [anon_sym_BSLASHlet] = ACTIONS(6850),
    [anon_sym_BSLASHglet] = ACTIONS(6850),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6850),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6850),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6850),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6850),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6850),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6850),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6850),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6850),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6850),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6850),
    [anon_sym_BSLASHgls] = ACTIONS(6850),
    [anon_sym_BSLASHGls] = ACTIONS(6850),
    [anon_sym_BSLASHGLS] = ACTIONS(6850),
    [anon_sym_BSLASHglspl] = ACTIONS(6850),
    [anon_sym_BSLASHGlspl] = ACTIONS(6850),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6850),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6850),
    [anon_sym_BSLASHglslink] = ACTIONS(6850),
    [anon_sym_BSLASHglstext] = ACTIONS(6850),
    [anon_sym_BSLASHGlstext] = ACTIONS(6850),
    [anon_sym_BSLASHGLStext] = ACTIONS(6850),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6850),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6850),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6850),
    [anon_sym_BSLASHglsplural] = ACTIONS(6850),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6850),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6850),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6850),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6850),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6850),
    [anon_sym_BSLASHglsname] = ACTIONS(6850),
    [anon_sym_BSLASHGlsname] = ACTIONS(6850),
    [anon_sym_BSLASHGLSname] = ACTIONS(6850),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6850),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6850),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6850),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6850),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6850),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6850),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6850),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6850),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6850),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6850),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6850),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6850),
    [anon_sym_BSLASHacrshort] = ACTIONS(6850),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6850),
    [anon_sym_BSLASHACRshort] = ACTIONS(6850),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6850),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6850),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6850),
    [anon_sym_BSLASHacrlong] = ACTIONS(6850),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6850),
    [anon_sym_BSLASHACRlong] = ACTIONS(6850),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6850),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6850),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6850),
    [anon_sym_BSLASHacrfull] = ACTIONS(6850),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6850),
    [anon_sym_BSLASHACRfull] = ACTIONS(6850),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6850),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6850),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6850),
    [anon_sym_BSLASHacs] = ACTIONS(6850),
    [anon_sym_BSLASHAcs] = ACTIONS(6850),
    [anon_sym_BSLASHacsp] = ACTIONS(6850),
    [anon_sym_BSLASHAcsp] = ACTIONS(6850),
    [anon_sym_BSLASHacl] = ACTIONS(6850),
    [anon_sym_BSLASHAcl] = ACTIONS(6850),
    [anon_sym_BSLASHaclp] = ACTIONS(6850),
    [anon_sym_BSLASHAclp] = ACTIONS(6850),
    [anon_sym_BSLASHacf] = ACTIONS(6850),
    [anon_sym_BSLASHAcf] = ACTIONS(6850),
    [anon_sym_BSLASHacfp] = ACTIONS(6850),
    [anon_sym_BSLASHAcfp] = ACTIONS(6850),
    [anon_sym_BSLASHac] = ACTIONS(6850),
    [anon_sym_BSLASHAc] = ACTIONS(6850),
    [anon_sym_BSLASHacp] = ACTIONS(6850),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6850),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6850),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6850),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6850),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6850),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6850),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6850),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6850),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6850),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6850),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6850),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6850),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6850),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6850),
    [anon_sym_BSLASHcolor] = ACTIONS(6850),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6850),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6850),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6850),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6850),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6850),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6850),
    [anon_sym_BSLASHurl] = ACTIONS(6850),
    [anon_sym_BSLASHhref] = ACTIONS(6850),
  },
  [894] = {
    [sym_curly_group] = STATE(1117),
    [aux_sym_generic_command_repeat1] = STATE(730),
    [ts_builtin_sym_end] = ACTIONS(6891),
    [sym_command_name] = ACTIONS(6889),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6889),
    [anon_sym_LBRACK] = ACTIONS(6891),
    [anon_sym_RBRACK] = ACTIONS(6891),
    [anon_sym_COMMA] = ACTIONS(6891),
    [anon_sym_EQ] = ACTIONS(6891),
    [anon_sym_LPAREN] = ACTIONS(6891),
    [anon_sym_RPAREN] = ACTIONS(6891),
    [anon_sym_BSLASHpart] = ACTIONS(6889),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHaddpart] = ACTIONS(6889),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHchapter] = ACTIONS(6889),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHaddchap] = ACTIONS(6889),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHsection] = ACTIONS(6889),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHaddsec] = ACTIONS(6889),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHsubsection] = ACTIONS(6889),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6889),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHparagraph] = ACTIONS(6889),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6889),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHitem] = ACTIONS(6889),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6891),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(6891),
    [sym_word] = ACTIONS(6889),
    [sym_placeholder] = ACTIONS(6891),
    [sym_delimiter] = ACTIONS(6891),
    [anon_sym_PLUS] = ACTIONS(6891),
    [anon_sym_DASH] = ACTIONS(6891),
    [anon_sym_STAR] = ACTIONS(6891),
    [anon_sym_SLASH] = ACTIONS(6891),
    [anon_sym_LT] = ACTIONS(6889),
    [anon_sym_GT] = ACTIONS(6889),
    [anon_sym_BANG] = ACTIONS(6889),
    [anon_sym_PIPE] = ACTIONS(6889),
    [anon_sym_COLON] = ACTIONS(6889),
    [anon_sym_SQUOTE] = ACTIONS(6889),
    [anon_sym__] = ACTIONS(6891),
    [anon_sym_CARET] = ACTIONS(6891),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6891),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6891),
    [anon_sym_DOLLAR] = ACTIONS(6889),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6891),
    [anon_sym_BSLASHleft] = ACTIONS(6889),
    [anon_sym_BSLASHbigl] = ACTIONS(6889),
    [anon_sym_BSLASHBigl] = ACTIONS(6889),
    [anon_sym_BSLASHbiggl] = ACTIONS(6889),
    [anon_sym_BSLASHBiggl] = ACTIONS(6889),
    [anon_sym_BSLASHtext] = ACTIONS(6889),
    [anon_sym_BSLASHintertext] = ACTIONS(6889),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6889),
    [anon_sym_BSLASHbegin] = ACTIONS(6889),
    [anon_sym_BSLASHtitle] = ACTIONS(6889),
    [anon_sym_BSLASHauthor] = ACTIONS(6889),
    [anon_sym_BSLASHusepackage] = ACTIONS(6889),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6889),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6889),
    [anon_sym_BSLASHinclude] = ACTIONS(6889),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6889),
    [anon_sym_BSLASHinput] = ACTIONS(6889),
    [anon_sym_BSLASHsubfile] = ACTIONS(6889),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6889),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6889),
    [anon_sym_BSLASHbibliography] = ACTIONS(6889),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6889),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6889),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6889),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6889),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6889),
    [anon_sym_BSLASHimport] = ACTIONS(6889),
    [anon_sym_BSLASHsubimport] = ACTIONS(6889),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6889),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6889),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6889),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6889),
    [anon_sym_BSLASHcaption] = ACTIONS(6889),
    [anon_sym_BSLASHcite] = ACTIONS(6889),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCite] = ACTIONS(6889),
    [anon_sym_BSLASHnocite] = ACTIONS(6889),
    [anon_sym_BSLASHcitet] = ACTIONS(6889),
    [anon_sym_BSLASHcitep] = ACTIONS(6889),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteA] = ACTIONS(6889),
    [anon_sym_BSLASHciteR] = ACTIONS(6889),
    [anon_sym_BSLASHciteS] = ACTIONS(6889),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6889),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6889),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6889),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6889),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteyear] = ACTIONS(6889),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitedate] = ACTIONS(6889),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteurl] = ACTIONS(6889),
    [anon_sym_BSLASHfullcite] = ACTIONS(6889),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6889),
    [anon_sym_BSLASHcitealt] = ACTIONS(6889),
    [anon_sym_BSLASHcitealp] = ACTIONS(6889),
    [anon_sym_BSLASHcitetext] = ACTIONS(6889),
    [anon_sym_BSLASHparencite] = ACTIONS(6889),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHParencite] = ACTIONS(6889),
    [anon_sym_BSLASHfootcite] = ACTIONS(6889),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6889),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6889),
    [anon_sym_BSLASHtextcite] = ACTIONS(6889),
    [anon_sym_BSLASHTextcite] = ACTIONS(6889),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6889),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6889),
    [anon_sym_BSLASHsupercite] = ACTIONS(6889),
    [anon_sym_BSLASHautocite] = ACTIONS(6889),
    [anon_sym_BSLASHAutocite] = ACTIONS(6889),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHVolcite] = ACTIONS(6889),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHavolcite] = ACTIONS(6889),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHNotecite] = ACTIONS(6889),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHlabel] = ACTIONS(6889),
    [anon_sym_BSLASHref] = ACTIONS(6889),
    [anon_sym_BSLASHeqref] = ACTIONS(6889),
    [anon_sym_BSLASHvref] = ACTIONS(6889),
    [anon_sym_BSLASHVref] = ACTIONS(6889),
    [anon_sym_BSLASHautoref] = ACTIONS(6889),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHpageref] = ACTIONS(6889),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHautopageref] = ACTIONS(6889),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcref] = ACTIONS(6889),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCref] = ACTIONS(6889),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcpageref] = ACTIONS(6889),
    [anon_sym_BSLASHCpageref] = ACTIONS(6889),
    [anon_sym_BSLASHnamecref] = ACTIONS(6889),
    [anon_sym_BSLASHnameCref] = ACTIONS(6889),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6889),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6889),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6889),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6889),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6889),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6889),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6889),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6889),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6889),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6889),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6889),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHdef] = ACTIONS(6889),
    [anon_sym_BSLASHgdef] = ACTIONS(6889),
    [anon_sym_BSLASHedef] = ACTIONS(6889),
    [anon_sym_BSLASHxdef] = ACTIONS(6889),
    [anon_sym_BSLASHlet] = ACTIONS(6889),
    [anon_sym_BSLASHglet] = ACTIONS(6889),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6889),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6889),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6889),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6889),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6889),
    [anon_sym_BSLASHgls] = ACTIONS(6889),
    [anon_sym_BSLASHGls] = ACTIONS(6889),
    [anon_sym_BSLASHGLS] = ACTIONS(6889),
    [anon_sym_BSLASHglspl] = ACTIONS(6889),
    [anon_sym_BSLASHGlspl] = ACTIONS(6889),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6889),
    [anon_sym_BSLASHglslink] = ACTIONS(6889),
    [anon_sym_BSLASHglstext] = ACTIONS(6889),
    [anon_sym_BSLASHGlstext] = ACTIONS(6889),
    [anon_sym_BSLASHGLStext] = ACTIONS(6889),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6889),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6889),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6889),
    [anon_sym_BSLASHglsplural] = ACTIONS(6889),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6889),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6889),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHglsname] = ACTIONS(6889),
    [anon_sym_BSLASHGlsname] = ACTIONS(6889),
    [anon_sym_BSLASHGLSname] = ACTIONS(6889),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6889),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6889),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6889),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6889),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6889),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6889),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6889),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6889),
    [anon_sym_BSLASHacrshort] = ACTIONS(6889),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6889),
    [anon_sym_BSLASHACRshort] = ACTIONS(6889),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHacrlong] = ACTIONS(6889),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6889),
    [anon_sym_BSLASHACRlong] = ACTIONS(6889),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHacrfull] = ACTIONS(6889),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6889),
    [anon_sym_BSLASHACRfull] = ACTIONS(6889),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHacs] = ACTIONS(6889),
    [anon_sym_BSLASHAcs] = ACTIONS(6889),
    [anon_sym_BSLASHacsp] = ACTIONS(6889),
    [anon_sym_BSLASHAcsp] = ACTIONS(6889),
    [anon_sym_BSLASHacl] = ACTIONS(6889),
    [anon_sym_BSLASHAcl] = ACTIONS(6889),
    [anon_sym_BSLASHaclp] = ACTIONS(6889),
    [anon_sym_BSLASHAclp] = ACTIONS(6889),
    [anon_sym_BSLASHacf] = ACTIONS(6889),
    [anon_sym_BSLASHAcf] = ACTIONS(6889),
    [anon_sym_BSLASHacfp] = ACTIONS(6889),
    [anon_sym_BSLASHAcfp] = ACTIONS(6889),
    [anon_sym_BSLASHac] = ACTIONS(6889),
    [anon_sym_BSLASHAc] = ACTIONS(6889),
    [anon_sym_BSLASHacp] = ACTIONS(6889),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6889),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6889),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6889),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6889),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6889),
    [anon_sym_BSLASHcolor] = ACTIONS(6889),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6889),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6889),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6889),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6889),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6889),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6889),
    [anon_sym_BSLASHurl] = ACTIONS(6889),
    [anon_sym_BSLASHhref] = ACTIONS(6889),
  },
  [895] = {
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(917),
    [aux_sym__section_repeat1] = STATE(917),
    [sym_command_name] = ACTIONS(6710),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6710),
    [anon_sym_LBRACK] = ACTIONS(6712),
    [anon_sym_RBRACK] = ACTIONS(6712),
    [anon_sym_COMMA] = ACTIONS(6712),
    [anon_sym_EQ] = ACTIONS(6712),
    [anon_sym_LPAREN] = ACTIONS(6712),
    [anon_sym_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHpart] = ACTIONS(608),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHaddpart] = ACTIONS(608),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(610),
    [anon_sym_BSLASHchapter] = ACTIONS(6710),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddchap] = ACTIONS(6710),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsection] = ACTIONS(6710),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddsec] = ACTIONS(6710),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHitem] = ACTIONS(6710),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6712),
    [anon_sym_LBRACE] = ACTIONS(6712),
    [sym_word] = ACTIONS(6710),
    [sym_placeholder] = ACTIONS(6712),
    [sym_delimiter] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(6712),
    [anon_sym_SLASH] = ACTIONS(6712),
    [anon_sym_LT] = ACTIONS(6710),
    [anon_sym_GT] = ACTIONS(6710),
    [anon_sym_BANG] = ACTIONS(6710),
    [anon_sym_PIPE] = ACTIONS(6710),
    [anon_sym_COLON] = ACTIONS(6710),
    [anon_sym_SQUOTE] = ACTIONS(6710),
    [anon_sym__] = ACTIONS(6712),
    [anon_sym_CARET] = ACTIONS(6712),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6712),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6712),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6712),
    [anon_sym_DOLLAR] = ACTIONS(6710),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHleft] = ACTIONS(6710),
    [anon_sym_BSLASHbigl] = ACTIONS(6710),
    [anon_sym_BSLASHBigl] = ACTIONS(6710),
    [anon_sym_BSLASHbiggl] = ACTIONS(6710),
    [anon_sym_BSLASHBiggl] = ACTIONS(6710),
    [anon_sym_BSLASHtext] = ACTIONS(6710),
    [anon_sym_BSLASHintertext] = ACTIONS(6710),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6710),
    [anon_sym_BSLASHbegin] = ACTIONS(6710),
    [anon_sym_BSLASHtitle] = ACTIONS(6710),
    [anon_sym_BSLASHauthor] = ACTIONS(6710),
    [anon_sym_BSLASHusepackage] = ACTIONS(6710),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6710),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6710),
    [anon_sym_BSLASHinclude] = ACTIONS(6710),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6710),
    [anon_sym_BSLASHinput] = ACTIONS(6710),
    [anon_sym_BSLASHsubfile] = ACTIONS(6710),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6710),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6710),
    [anon_sym_BSLASHbibliography] = ACTIONS(6710),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6710),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6710),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6710),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6710),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6710),
    [anon_sym_BSLASHimport] = ACTIONS(6710),
    [anon_sym_BSLASHsubimport] = ACTIONS(6710),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6710),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHcaption] = ACTIONS(6710),
    [anon_sym_BSLASHcite] = ACTIONS(6710),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCite] = ACTIONS(6710),
    [anon_sym_BSLASHnocite] = ACTIONS(6710),
    [anon_sym_BSLASHcitet] = ACTIONS(6710),
    [anon_sym_BSLASHcitep] = ACTIONS(6710),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteA] = ACTIONS(6710),
    [anon_sym_BSLASHciteR] = ACTIONS(6710),
    [anon_sym_BSLASHciteS] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6710),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteyear] = ACTIONS(6710),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitedate] = ACTIONS(6710),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteurl] = ACTIONS(6710),
    [anon_sym_BSLASHfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6710),
    [anon_sym_BSLASHcitealt] = ACTIONS(6710),
    [anon_sym_BSLASHcitealp] = ACTIONS(6710),
    [anon_sym_BSLASHcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHparencite] = ACTIONS(6710),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHParencite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHtextcite] = ACTIONS(6710),
    [anon_sym_BSLASHTextcite] = ACTIONS(6710),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHsupercite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite] = ACTIONS(6710),
    [anon_sym_BSLASHAutocite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHVolcite] = ACTIONS(6710),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHavolcite] = ACTIONS(6710),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHNotecite] = ACTIONS(6710),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHlabel] = ACTIONS(6710),
    [anon_sym_BSLASHref] = ACTIONS(6710),
    [anon_sym_BSLASHeqref] = ACTIONS(6710),
    [anon_sym_BSLASHvref] = ACTIONS(6710),
    [anon_sym_BSLASHVref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHpageref] = ACTIONS(6710),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHautopageref] = ACTIONS(6710),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcref] = ACTIONS(6710),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCref] = ACTIONS(6710),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHCpageref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnameCref] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6710),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHdef] = ACTIONS(6710),
    [anon_sym_BSLASHgdef] = ACTIONS(6710),
    [anon_sym_BSLASHedef] = ACTIONS(6710),
    [anon_sym_BSLASHxdef] = ACTIONS(6710),
    [anon_sym_BSLASHlet] = ACTIONS(6710),
    [anon_sym_BSLASHglet] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6710),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6710),
    [anon_sym_BSLASHgls] = ACTIONS(6710),
    [anon_sym_BSLASHGls] = ACTIONS(6710),
    [anon_sym_BSLASHGLS] = ACTIONS(6710),
    [anon_sym_BSLASHglspl] = ACTIONS(6710),
    [anon_sym_BSLASHGlspl] = ACTIONS(6710),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6710),
    [anon_sym_BSLASHglslink] = ACTIONS(6710),
    [anon_sym_BSLASHglstext] = ACTIONS(6710),
    [anon_sym_BSLASHGlstext] = ACTIONS(6710),
    [anon_sym_BSLASHGLStext] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6710),
    [anon_sym_BSLASHglsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsname] = ACTIONS(6710),
    [anon_sym_BSLASHGlsname] = ACTIONS(6710),
    [anon_sym_BSLASHGLSname] = ACTIONS(6710),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6710),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6710),
    [anon_sym_BSLASHacrshort] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6710),
    [anon_sym_BSLASHACRshort] = ACTIONS(6710),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrlong] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6710),
    [anon_sym_BSLASHACRlong] = ACTIONS(6710),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrfull] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6710),
    [anon_sym_BSLASHACRfull] = ACTIONS(6710),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHacs] = ACTIONS(6710),
    [anon_sym_BSLASHAcs] = ACTIONS(6710),
    [anon_sym_BSLASHacsp] = ACTIONS(6710),
    [anon_sym_BSLASHAcsp] = ACTIONS(6710),
    [anon_sym_BSLASHacl] = ACTIONS(6710),
    [anon_sym_BSLASHAcl] = ACTIONS(6710),
    [anon_sym_BSLASHaclp] = ACTIONS(6710),
    [anon_sym_BSLASHAclp] = ACTIONS(6710),
    [anon_sym_BSLASHacf] = ACTIONS(6710),
    [anon_sym_BSLASHAcf] = ACTIONS(6710),
    [anon_sym_BSLASHacfp] = ACTIONS(6710),
    [anon_sym_BSLASHAcfp] = ACTIONS(6710),
    [anon_sym_BSLASHac] = ACTIONS(6710),
    [anon_sym_BSLASHAc] = ACTIONS(6710),
    [anon_sym_BSLASHacp] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6710),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6710),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6710),
    [anon_sym_BSLASHcolor] = ACTIONS(6710),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6710),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6710),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6710),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6710),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6710),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6710),
    [anon_sym_BSLASHurl] = ACTIONS(6710),
    [anon_sym_BSLASHhref] = ACTIONS(6710),
  },
  [896] = {
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(918),
    [aux_sym__section_repeat2] = STATE(918),
    [sym_command_name] = ACTIONS(6710),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6710),
    [anon_sym_LBRACK] = ACTIONS(6712),
    [anon_sym_RBRACK] = ACTIONS(6712),
    [anon_sym_COMMA] = ACTIONS(6712),
    [anon_sym_EQ] = ACTIONS(6712),
    [anon_sym_LPAREN] = ACTIONS(6712),
    [anon_sym_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHpart] = ACTIONS(6710),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddpart] = ACTIONS(6710),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(6710),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddsec] = ACTIONS(6710),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHitem] = ACTIONS(6710),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6712),
    [anon_sym_LBRACE] = ACTIONS(6712),
    [sym_word] = ACTIONS(6710),
    [sym_placeholder] = ACTIONS(6712),
    [sym_delimiter] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(6712),
    [anon_sym_SLASH] = ACTIONS(6712),
    [anon_sym_LT] = ACTIONS(6710),
    [anon_sym_GT] = ACTIONS(6710),
    [anon_sym_BANG] = ACTIONS(6710),
    [anon_sym_PIPE] = ACTIONS(6710),
    [anon_sym_COLON] = ACTIONS(6710),
    [anon_sym_SQUOTE] = ACTIONS(6710),
    [anon_sym__] = ACTIONS(6712),
    [anon_sym_CARET] = ACTIONS(6712),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6712),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6712),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6712),
    [anon_sym_DOLLAR] = ACTIONS(6710),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHleft] = ACTIONS(6710),
    [anon_sym_BSLASHbigl] = ACTIONS(6710),
    [anon_sym_BSLASHBigl] = ACTIONS(6710),
    [anon_sym_BSLASHbiggl] = ACTIONS(6710),
    [anon_sym_BSLASHBiggl] = ACTIONS(6710),
    [anon_sym_BSLASHtext] = ACTIONS(6710),
    [anon_sym_BSLASHintertext] = ACTIONS(6710),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6710),
    [anon_sym_BSLASHbegin] = ACTIONS(6710),
    [anon_sym_BSLASHtitle] = ACTIONS(6710),
    [anon_sym_BSLASHauthor] = ACTIONS(6710),
    [anon_sym_BSLASHusepackage] = ACTIONS(6710),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6710),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6710),
    [anon_sym_BSLASHinclude] = ACTIONS(6710),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6710),
    [anon_sym_BSLASHinput] = ACTIONS(6710),
    [anon_sym_BSLASHsubfile] = ACTIONS(6710),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6710),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6710),
    [anon_sym_BSLASHbibliography] = ACTIONS(6710),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6710),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6710),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6710),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6710),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6710),
    [anon_sym_BSLASHimport] = ACTIONS(6710),
    [anon_sym_BSLASHsubimport] = ACTIONS(6710),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6710),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHcaption] = ACTIONS(6710),
    [anon_sym_BSLASHcite] = ACTIONS(6710),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCite] = ACTIONS(6710),
    [anon_sym_BSLASHnocite] = ACTIONS(6710),
    [anon_sym_BSLASHcitet] = ACTIONS(6710),
    [anon_sym_BSLASHcitep] = ACTIONS(6710),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteA] = ACTIONS(6710),
    [anon_sym_BSLASHciteR] = ACTIONS(6710),
    [anon_sym_BSLASHciteS] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6710),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteyear] = ACTIONS(6710),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitedate] = ACTIONS(6710),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteurl] = ACTIONS(6710),
    [anon_sym_BSLASHfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6710),
    [anon_sym_BSLASHcitealt] = ACTIONS(6710),
    [anon_sym_BSLASHcitealp] = ACTIONS(6710),
    [anon_sym_BSLASHcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHparencite] = ACTIONS(6710),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHParencite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHtextcite] = ACTIONS(6710),
    [anon_sym_BSLASHTextcite] = ACTIONS(6710),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHsupercite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite] = ACTIONS(6710),
    [anon_sym_BSLASHAutocite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHVolcite] = ACTIONS(6710),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHavolcite] = ACTIONS(6710),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHNotecite] = ACTIONS(6710),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHlabel] = ACTIONS(6710),
    [anon_sym_BSLASHref] = ACTIONS(6710),
    [anon_sym_BSLASHeqref] = ACTIONS(6710),
    [anon_sym_BSLASHvref] = ACTIONS(6710),
    [anon_sym_BSLASHVref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHpageref] = ACTIONS(6710),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHautopageref] = ACTIONS(6710),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcref] = ACTIONS(6710),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCref] = ACTIONS(6710),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHCpageref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnameCref] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6710),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHdef] = ACTIONS(6710),
    [anon_sym_BSLASHgdef] = ACTIONS(6710),
    [anon_sym_BSLASHedef] = ACTIONS(6710),
    [anon_sym_BSLASHxdef] = ACTIONS(6710),
    [anon_sym_BSLASHlet] = ACTIONS(6710),
    [anon_sym_BSLASHglet] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6710),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6710),
    [anon_sym_BSLASHgls] = ACTIONS(6710),
    [anon_sym_BSLASHGls] = ACTIONS(6710),
    [anon_sym_BSLASHGLS] = ACTIONS(6710),
    [anon_sym_BSLASHglspl] = ACTIONS(6710),
    [anon_sym_BSLASHGlspl] = ACTIONS(6710),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6710),
    [anon_sym_BSLASHglslink] = ACTIONS(6710),
    [anon_sym_BSLASHglstext] = ACTIONS(6710),
    [anon_sym_BSLASHGlstext] = ACTIONS(6710),
    [anon_sym_BSLASHGLStext] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6710),
    [anon_sym_BSLASHglsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsname] = ACTIONS(6710),
    [anon_sym_BSLASHGlsname] = ACTIONS(6710),
    [anon_sym_BSLASHGLSname] = ACTIONS(6710),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6710),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6710),
    [anon_sym_BSLASHacrshort] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6710),
    [anon_sym_BSLASHACRshort] = ACTIONS(6710),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrlong] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6710),
    [anon_sym_BSLASHACRlong] = ACTIONS(6710),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrfull] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6710),
    [anon_sym_BSLASHACRfull] = ACTIONS(6710),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHacs] = ACTIONS(6710),
    [anon_sym_BSLASHAcs] = ACTIONS(6710),
    [anon_sym_BSLASHacsp] = ACTIONS(6710),
    [anon_sym_BSLASHAcsp] = ACTIONS(6710),
    [anon_sym_BSLASHacl] = ACTIONS(6710),
    [anon_sym_BSLASHAcl] = ACTIONS(6710),
    [anon_sym_BSLASHaclp] = ACTIONS(6710),
    [anon_sym_BSLASHAclp] = ACTIONS(6710),
    [anon_sym_BSLASHacf] = ACTIONS(6710),
    [anon_sym_BSLASHAcf] = ACTIONS(6710),
    [anon_sym_BSLASHacfp] = ACTIONS(6710),
    [anon_sym_BSLASHAcfp] = ACTIONS(6710),
    [anon_sym_BSLASHac] = ACTIONS(6710),
    [anon_sym_BSLASHAc] = ACTIONS(6710),
    [anon_sym_BSLASHacp] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6710),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6710),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6710),
    [anon_sym_BSLASHcolor] = ACTIONS(6710),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6710),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6710),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6710),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6710),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6710),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6710),
    [anon_sym_BSLASHurl] = ACTIONS(6710),
    [anon_sym_BSLASHhref] = ACTIONS(6710),
  },
  [897] = {
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(919),
    [aux_sym__section_repeat3] = STATE(919),
    [sym_command_name] = ACTIONS(6710),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6710),
    [anon_sym_LBRACK] = ACTIONS(6712),
    [anon_sym_RBRACK] = ACTIONS(6712),
    [anon_sym_COMMA] = ACTIONS(6712),
    [anon_sym_EQ] = ACTIONS(6712),
    [anon_sym_LPAREN] = ACTIONS(6712),
    [anon_sym_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHpart] = ACTIONS(6710),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddpart] = ACTIONS(6710),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHchapter] = ACTIONS(6710),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddchap] = ACTIONS(6710),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHitem] = ACTIONS(6710),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6712),
    [anon_sym_LBRACE] = ACTIONS(6712),
    [sym_word] = ACTIONS(6710),
    [sym_placeholder] = ACTIONS(6712),
    [sym_delimiter] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(6712),
    [anon_sym_SLASH] = ACTIONS(6712),
    [anon_sym_LT] = ACTIONS(6710),
    [anon_sym_GT] = ACTIONS(6710),
    [anon_sym_BANG] = ACTIONS(6710),
    [anon_sym_PIPE] = ACTIONS(6710),
    [anon_sym_COLON] = ACTIONS(6710),
    [anon_sym_SQUOTE] = ACTIONS(6710),
    [anon_sym__] = ACTIONS(6712),
    [anon_sym_CARET] = ACTIONS(6712),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6712),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6712),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6712),
    [anon_sym_DOLLAR] = ACTIONS(6710),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHleft] = ACTIONS(6710),
    [anon_sym_BSLASHbigl] = ACTIONS(6710),
    [anon_sym_BSLASHBigl] = ACTIONS(6710),
    [anon_sym_BSLASHbiggl] = ACTIONS(6710),
    [anon_sym_BSLASHBiggl] = ACTIONS(6710),
    [anon_sym_BSLASHtext] = ACTIONS(6710),
    [anon_sym_BSLASHintertext] = ACTIONS(6710),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6710),
    [anon_sym_BSLASHbegin] = ACTIONS(6710),
    [anon_sym_BSLASHtitle] = ACTIONS(6710),
    [anon_sym_BSLASHauthor] = ACTIONS(6710),
    [anon_sym_BSLASHusepackage] = ACTIONS(6710),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6710),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6710),
    [anon_sym_BSLASHinclude] = ACTIONS(6710),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6710),
    [anon_sym_BSLASHinput] = ACTIONS(6710),
    [anon_sym_BSLASHsubfile] = ACTIONS(6710),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6710),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6710),
    [anon_sym_BSLASHbibliography] = ACTIONS(6710),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6710),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6710),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6710),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6710),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6710),
    [anon_sym_BSLASHimport] = ACTIONS(6710),
    [anon_sym_BSLASHsubimport] = ACTIONS(6710),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6710),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHcaption] = ACTIONS(6710),
    [anon_sym_BSLASHcite] = ACTIONS(6710),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCite] = ACTIONS(6710),
    [anon_sym_BSLASHnocite] = ACTIONS(6710),
    [anon_sym_BSLASHcitet] = ACTIONS(6710),
    [anon_sym_BSLASHcitep] = ACTIONS(6710),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteA] = ACTIONS(6710),
    [anon_sym_BSLASHciteR] = ACTIONS(6710),
    [anon_sym_BSLASHciteS] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6710),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteyear] = ACTIONS(6710),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitedate] = ACTIONS(6710),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteurl] = ACTIONS(6710),
    [anon_sym_BSLASHfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6710),
    [anon_sym_BSLASHcitealt] = ACTIONS(6710),
    [anon_sym_BSLASHcitealp] = ACTIONS(6710),
    [anon_sym_BSLASHcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHparencite] = ACTIONS(6710),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHParencite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHtextcite] = ACTIONS(6710),
    [anon_sym_BSLASHTextcite] = ACTIONS(6710),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHsupercite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite] = ACTIONS(6710),
    [anon_sym_BSLASHAutocite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHVolcite] = ACTIONS(6710),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHavolcite] = ACTIONS(6710),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHNotecite] = ACTIONS(6710),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHlabel] = ACTIONS(6710),
    [anon_sym_BSLASHref] = ACTIONS(6710),
    [anon_sym_BSLASHeqref] = ACTIONS(6710),
    [anon_sym_BSLASHvref] = ACTIONS(6710),
    [anon_sym_BSLASHVref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHpageref] = ACTIONS(6710),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHautopageref] = ACTIONS(6710),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcref] = ACTIONS(6710),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCref] = ACTIONS(6710),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHCpageref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnameCref] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6710),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHdef] = ACTIONS(6710),
    [anon_sym_BSLASHgdef] = ACTIONS(6710),
    [anon_sym_BSLASHedef] = ACTIONS(6710),
    [anon_sym_BSLASHxdef] = ACTIONS(6710),
    [anon_sym_BSLASHlet] = ACTIONS(6710),
    [anon_sym_BSLASHglet] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6710),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6710),
    [anon_sym_BSLASHgls] = ACTIONS(6710),
    [anon_sym_BSLASHGls] = ACTIONS(6710),
    [anon_sym_BSLASHGLS] = ACTIONS(6710),
    [anon_sym_BSLASHglspl] = ACTIONS(6710),
    [anon_sym_BSLASHGlspl] = ACTIONS(6710),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6710),
    [anon_sym_BSLASHglslink] = ACTIONS(6710),
    [anon_sym_BSLASHglstext] = ACTIONS(6710),
    [anon_sym_BSLASHGlstext] = ACTIONS(6710),
    [anon_sym_BSLASHGLStext] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6710),
    [anon_sym_BSLASHglsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsname] = ACTIONS(6710),
    [anon_sym_BSLASHGlsname] = ACTIONS(6710),
    [anon_sym_BSLASHGLSname] = ACTIONS(6710),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6710),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6710),
    [anon_sym_BSLASHacrshort] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6710),
    [anon_sym_BSLASHACRshort] = ACTIONS(6710),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrlong] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6710),
    [anon_sym_BSLASHACRlong] = ACTIONS(6710),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrfull] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6710),
    [anon_sym_BSLASHACRfull] = ACTIONS(6710),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHacs] = ACTIONS(6710),
    [anon_sym_BSLASHAcs] = ACTIONS(6710),
    [anon_sym_BSLASHacsp] = ACTIONS(6710),
    [anon_sym_BSLASHAcsp] = ACTIONS(6710),
    [anon_sym_BSLASHacl] = ACTIONS(6710),
    [anon_sym_BSLASHAcl] = ACTIONS(6710),
    [anon_sym_BSLASHaclp] = ACTIONS(6710),
    [anon_sym_BSLASHAclp] = ACTIONS(6710),
    [anon_sym_BSLASHacf] = ACTIONS(6710),
    [anon_sym_BSLASHAcf] = ACTIONS(6710),
    [anon_sym_BSLASHacfp] = ACTIONS(6710),
    [anon_sym_BSLASHAcfp] = ACTIONS(6710),
    [anon_sym_BSLASHac] = ACTIONS(6710),
    [anon_sym_BSLASHAc] = ACTIONS(6710),
    [anon_sym_BSLASHacp] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6710),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6710),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6710),
    [anon_sym_BSLASHcolor] = ACTIONS(6710),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6710),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6710),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6710),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6710),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6710),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6710),
    [anon_sym_BSLASHurl] = ACTIONS(6710),
    [anon_sym_BSLASHhref] = ACTIONS(6710),
  },
  [898] = {
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(920),
    [aux_sym__section_repeat4] = STATE(920),
    [sym_command_name] = ACTIONS(6710),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6710),
    [anon_sym_LBRACK] = ACTIONS(6712),
    [anon_sym_RBRACK] = ACTIONS(6712),
    [anon_sym_COMMA] = ACTIONS(6712),
    [anon_sym_EQ] = ACTIONS(6712),
    [anon_sym_LPAREN] = ACTIONS(6712),
    [anon_sym_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHpart] = ACTIONS(6710),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddpart] = ACTIONS(6710),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHchapter] = ACTIONS(6710),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddchap] = ACTIONS(6710),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsection] = ACTIONS(6710),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddsec] = ACTIONS(6710),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHitem] = ACTIONS(6710),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6712),
    [anon_sym_LBRACE] = ACTIONS(6712),
    [sym_word] = ACTIONS(6710),
    [sym_placeholder] = ACTIONS(6712),
    [sym_delimiter] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(6712),
    [anon_sym_SLASH] = ACTIONS(6712),
    [anon_sym_LT] = ACTIONS(6710),
    [anon_sym_GT] = ACTIONS(6710),
    [anon_sym_BANG] = ACTIONS(6710),
    [anon_sym_PIPE] = ACTIONS(6710),
    [anon_sym_COLON] = ACTIONS(6710),
    [anon_sym_SQUOTE] = ACTIONS(6710),
    [anon_sym__] = ACTIONS(6712),
    [anon_sym_CARET] = ACTIONS(6712),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6712),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6712),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6712),
    [anon_sym_DOLLAR] = ACTIONS(6710),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHleft] = ACTIONS(6710),
    [anon_sym_BSLASHbigl] = ACTIONS(6710),
    [anon_sym_BSLASHBigl] = ACTIONS(6710),
    [anon_sym_BSLASHbiggl] = ACTIONS(6710),
    [anon_sym_BSLASHBiggl] = ACTIONS(6710),
    [anon_sym_BSLASHtext] = ACTIONS(6710),
    [anon_sym_BSLASHintertext] = ACTIONS(6710),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6710),
    [anon_sym_BSLASHbegin] = ACTIONS(6710),
    [anon_sym_BSLASHtitle] = ACTIONS(6710),
    [anon_sym_BSLASHauthor] = ACTIONS(6710),
    [anon_sym_BSLASHusepackage] = ACTIONS(6710),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6710),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6710),
    [anon_sym_BSLASHinclude] = ACTIONS(6710),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6710),
    [anon_sym_BSLASHinput] = ACTIONS(6710),
    [anon_sym_BSLASHsubfile] = ACTIONS(6710),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6710),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6710),
    [anon_sym_BSLASHbibliography] = ACTIONS(6710),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6710),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6710),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6710),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6710),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6710),
    [anon_sym_BSLASHimport] = ACTIONS(6710),
    [anon_sym_BSLASHsubimport] = ACTIONS(6710),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6710),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHcaption] = ACTIONS(6710),
    [anon_sym_BSLASHcite] = ACTIONS(6710),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCite] = ACTIONS(6710),
    [anon_sym_BSLASHnocite] = ACTIONS(6710),
    [anon_sym_BSLASHcitet] = ACTIONS(6710),
    [anon_sym_BSLASHcitep] = ACTIONS(6710),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteA] = ACTIONS(6710),
    [anon_sym_BSLASHciteR] = ACTIONS(6710),
    [anon_sym_BSLASHciteS] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6710),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteyear] = ACTIONS(6710),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitedate] = ACTIONS(6710),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteurl] = ACTIONS(6710),
    [anon_sym_BSLASHfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6710),
    [anon_sym_BSLASHcitealt] = ACTIONS(6710),
    [anon_sym_BSLASHcitealp] = ACTIONS(6710),
    [anon_sym_BSLASHcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHparencite] = ACTIONS(6710),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHParencite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHtextcite] = ACTIONS(6710),
    [anon_sym_BSLASHTextcite] = ACTIONS(6710),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHsupercite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite] = ACTIONS(6710),
    [anon_sym_BSLASHAutocite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHVolcite] = ACTIONS(6710),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHavolcite] = ACTIONS(6710),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHNotecite] = ACTIONS(6710),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHlabel] = ACTIONS(6710),
    [anon_sym_BSLASHref] = ACTIONS(6710),
    [anon_sym_BSLASHeqref] = ACTIONS(6710),
    [anon_sym_BSLASHvref] = ACTIONS(6710),
    [anon_sym_BSLASHVref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHpageref] = ACTIONS(6710),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHautopageref] = ACTIONS(6710),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcref] = ACTIONS(6710),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCref] = ACTIONS(6710),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHCpageref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnameCref] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6710),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHdef] = ACTIONS(6710),
    [anon_sym_BSLASHgdef] = ACTIONS(6710),
    [anon_sym_BSLASHedef] = ACTIONS(6710),
    [anon_sym_BSLASHxdef] = ACTIONS(6710),
    [anon_sym_BSLASHlet] = ACTIONS(6710),
    [anon_sym_BSLASHglet] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6710),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6710),
    [anon_sym_BSLASHgls] = ACTIONS(6710),
    [anon_sym_BSLASHGls] = ACTIONS(6710),
    [anon_sym_BSLASHGLS] = ACTIONS(6710),
    [anon_sym_BSLASHglspl] = ACTIONS(6710),
    [anon_sym_BSLASHGlspl] = ACTIONS(6710),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6710),
    [anon_sym_BSLASHglslink] = ACTIONS(6710),
    [anon_sym_BSLASHglstext] = ACTIONS(6710),
    [anon_sym_BSLASHGlstext] = ACTIONS(6710),
    [anon_sym_BSLASHGLStext] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6710),
    [anon_sym_BSLASHglsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsname] = ACTIONS(6710),
    [anon_sym_BSLASHGlsname] = ACTIONS(6710),
    [anon_sym_BSLASHGLSname] = ACTIONS(6710),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6710),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6710),
    [anon_sym_BSLASHacrshort] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6710),
    [anon_sym_BSLASHACRshort] = ACTIONS(6710),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrlong] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6710),
    [anon_sym_BSLASHACRlong] = ACTIONS(6710),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrfull] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6710),
    [anon_sym_BSLASHACRfull] = ACTIONS(6710),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHacs] = ACTIONS(6710),
    [anon_sym_BSLASHAcs] = ACTIONS(6710),
    [anon_sym_BSLASHacsp] = ACTIONS(6710),
    [anon_sym_BSLASHAcsp] = ACTIONS(6710),
    [anon_sym_BSLASHacl] = ACTIONS(6710),
    [anon_sym_BSLASHAcl] = ACTIONS(6710),
    [anon_sym_BSLASHaclp] = ACTIONS(6710),
    [anon_sym_BSLASHAclp] = ACTIONS(6710),
    [anon_sym_BSLASHacf] = ACTIONS(6710),
    [anon_sym_BSLASHAcf] = ACTIONS(6710),
    [anon_sym_BSLASHacfp] = ACTIONS(6710),
    [anon_sym_BSLASHAcfp] = ACTIONS(6710),
    [anon_sym_BSLASHac] = ACTIONS(6710),
    [anon_sym_BSLASHAc] = ACTIONS(6710),
    [anon_sym_BSLASHacp] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6710),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6710),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6710),
    [anon_sym_BSLASHcolor] = ACTIONS(6710),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6710),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6710),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6710),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6710),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6710),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6710),
    [anon_sym_BSLASHurl] = ACTIONS(6710),
    [anon_sym_BSLASHhref] = ACTIONS(6710),
  },
  [899] = {
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(921),
    [aux_sym__section_repeat5] = STATE(921),
    [sym_command_name] = ACTIONS(6710),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6710),
    [anon_sym_LBRACK] = ACTIONS(6712),
    [anon_sym_RBRACK] = ACTIONS(6712),
    [anon_sym_COMMA] = ACTIONS(6712),
    [anon_sym_EQ] = ACTIONS(6712),
    [anon_sym_LPAREN] = ACTIONS(6712),
    [anon_sym_RPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHpart] = ACTIONS(6710),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddpart] = ACTIONS(6710),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHchapter] = ACTIONS(6710),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddchap] = ACTIONS(6710),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsection] = ACTIONS(6710),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHaddsec] = ACTIONS(6710),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsection] = ACTIONS(6710),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6710),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHitem] = ACTIONS(6710),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6712),
    [anon_sym_LBRACE] = ACTIONS(6712),
    [sym_word] = ACTIONS(6710),
    [sym_placeholder] = ACTIONS(6712),
    [sym_delimiter] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(6712),
    [anon_sym_SLASH] = ACTIONS(6712),
    [anon_sym_LT] = ACTIONS(6710),
    [anon_sym_GT] = ACTIONS(6710),
    [anon_sym_BANG] = ACTIONS(6710),
    [anon_sym_PIPE] = ACTIONS(6710),
    [anon_sym_COLON] = ACTIONS(6710),
    [anon_sym_SQUOTE] = ACTIONS(6710),
    [anon_sym__] = ACTIONS(6712),
    [anon_sym_CARET] = ACTIONS(6712),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6712),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6712),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6712),
    [anon_sym_DOLLAR] = ACTIONS(6710),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6712),
    [anon_sym_BSLASHleft] = ACTIONS(6710),
    [anon_sym_BSLASHbigl] = ACTIONS(6710),
    [anon_sym_BSLASHBigl] = ACTIONS(6710),
    [anon_sym_BSLASHbiggl] = ACTIONS(6710),
    [anon_sym_BSLASHBiggl] = ACTIONS(6710),
    [anon_sym_BSLASHtext] = ACTIONS(6710),
    [anon_sym_BSLASHintertext] = ACTIONS(6710),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6710),
    [anon_sym_BSLASHbegin] = ACTIONS(6710),
    [anon_sym_BSLASHtitle] = ACTIONS(6710),
    [anon_sym_BSLASHauthor] = ACTIONS(6710),
    [anon_sym_BSLASHusepackage] = ACTIONS(6710),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6710),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6710),
    [anon_sym_BSLASHinclude] = ACTIONS(6710),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6710),
    [anon_sym_BSLASHinput] = ACTIONS(6710),
    [anon_sym_BSLASHsubfile] = ACTIONS(6710),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6710),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6710),
    [anon_sym_BSLASHbibliography] = ACTIONS(6710),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6710),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6710),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6710),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6710),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6710),
    [anon_sym_BSLASHimport] = ACTIONS(6710),
    [anon_sym_BSLASHsubimport] = ACTIONS(6710),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6710),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6710),
    [anon_sym_BSLASHcaption] = ACTIONS(6710),
    [anon_sym_BSLASHcite] = ACTIONS(6710),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCite] = ACTIONS(6710),
    [anon_sym_BSLASHnocite] = ACTIONS(6710),
    [anon_sym_BSLASHcitet] = ACTIONS(6710),
    [anon_sym_BSLASHcitep] = ACTIONS(6710),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteA] = ACTIONS(6710),
    [anon_sym_BSLASHciteR] = ACTIONS(6710),
    [anon_sym_BSLASHciteS] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6710),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6710),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteyear] = ACTIONS(6710),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcitedate] = ACTIONS(6710),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHciteurl] = ACTIONS(6710),
    [anon_sym_BSLASHfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6710),
    [anon_sym_BSLASHcitealt] = ACTIONS(6710),
    [anon_sym_BSLASHcitealp] = ACTIONS(6710),
    [anon_sym_BSLASHcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHparencite] = ACTIONS(6710),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHParencite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6710),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6710),
    [anon_sym_BSLASHtextcite] = ACTIONS(6710),
    [anon_sym_BSLASHTextcite] = ACTIONS(6710),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6710),
    [anon_sym_BSLASHsupercite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite] = ACTIONS(6710),
    [anon_sym_BSLASHAutocite] = ACTIONS(6710),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHVolcite] = ACTIONS(6710),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHavolcite] = ACTIONS(6710),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6710),
    [anon_sym_BSLASHnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHNotecite] = ACTIONS(6710),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6710),
    [anon_sym_BSLASHlabel] = ACTIONS(6710),
    [anon_sym_BSLASHref] = ACTIONS(6710),
    [anon_sym_BSLASHeqref] = ACTIONS(6710),
    [anon_sym_BSLASHvref] = ACTIONS(6710),
    [anon_sym_BSLASHVref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref] = ACTIONS(6710),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHpageref] = ACTIONS(6710),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHautopageref] = ACTIONS(6710),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcref] = ACTIONS(6710),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCref] = ACTIONS(6710),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHCpageref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnameCref] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6710),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6710),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6710),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6710),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6710),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6710),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6710),
    [anon_sym_BSLASHdef] = ACTIONS(6710),
    [anon_sym_BSLASHgdef] = ACTIONS(6710),
    [anon_sym_BSLASHedef] = ACTIONS(6710),
    [anon_sym_BSLASHxdef] = ACTIONS(6710),
    [anon_sym_BSLASHlet] = ACTIONS(6710),
    [anon_sym_BSLASHglet] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6710),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6710),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6710),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6710),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6710),
    [anon_sym_BSLASHgls] = ACTIONS(6710),
    [anon_sym_BSLASHGls] = ACTIONS(6710),
    [anon_sym_BSLASHGLS] = ACTIONS(6710),
    [anon_sym_BSLASHglspl] = ACTIONS(6710),
    [anon_sym_BSLASHGlspl] = ACTIONS(6710),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6710),
    [anon_sym_BSLASHglslink] = ACTIONS(6710),
    [anon_sym_BSLASHglstext] = ACTIONS(6710),
    [anon_sym_BSLASHGlstext] = ACTIONS(6710),
    [anon_sym_BSLASHGLStext] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6710),
    [anon_sym_BSLASHglsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6710),
    [anon_sym_BSLASHglsname] = ACTIONS(6710),
    [anon_sym_BSLASHGlsname] = ACTIONS(6710),
    [anon_sym_BSLASHGLSname] = ACTIONS(6710),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6710),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6710),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6710),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6710),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6710),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6710),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6710),
    [anon_sym_BSLASHacrshort] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6710),
    [anon_sym_BSLASHACRshort] = ACTIONS(6710),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrlong] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6710),
    [anon_sym_BSLASHACRlong] = ACTIONS(6710),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6710),
    [anon_sym_BSLASHacrfull] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6710),
    [anon_sym_BSLASHACRfull] = ACTIONS(6710),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHacs] = ACTIONS(6710),
    [anon_sym_BSLASHAcs] = ACTIONS(6710),
    [anon_sym_BSLASHacsp] = ACTIONS(6710),
    [anon_sym_BSLASHAcsp] = ACTIONS(6710),
    [anon_sym_BSLASHacl] = ACTIONS(6710),
    [anon_sym_BSLASHAcl] = ACTIONS(6710),
    [anon_sym_BSLASHaclp] = ACTIONS(6710),
    [anon_sym_BSLASHAclp] = ACTIONS(6710),
    [anon_sym_BSLASHacf] = ACTIONS(6710),
    [anon_sym_BSLASHAcf] = ACTIONS(6710),
    [anon_sym_BSLASHacfp] = ACTIONS(6710),
    [anon_sym_BSLASHAcfp] = ACTIONS(6710),
    [anon_sym_BSLASHac] = ACTIONS(6710),
    [anon_sym_BSLASHAc] = ACTIONS(6710),
    [anon_sym_BSLASHacp] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6710),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6710),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6710),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6710),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6712),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6710),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6710),
    [anon_sym_BSLASHcolor] = ACTIONS(6710),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6710),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6710),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6710),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6710),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6710),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6710),
    [anon_sym_BSLASHurl] = ACTIONS(6710),
    [anon_sym_BSLASHhref] = ACTIONS(6710),
  },
  [900] = {
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(922),
    [aux_sym__paragraph_repeat1] = STATE(922),
    [sym_command_name] = ACTIONS(6714),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6714),
    [anon_sym_LBRACK] = ACTIONS(6716),
    [anon_sym_RBRACK] = ACTIONS(6716),
    [anon_sym_COMMA] = ACTIONS(6716),
    [anon_sym_EQ] = ACTIONS(6716),
    [anon_sym_LPAREN] = ACTIONS(6716),
    [anon_sym_RPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHpart] = ACTIONS(6714),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddpart] = ACTIONS(6714),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHchapter] = ACTIONS(6714),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddchap] = ACTIONS(6714),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsection] = ACTIONS(6714),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddsec] = ACTIONS(6714),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHparagraph] = ACTIONS(628),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(630),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6714),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHitem] = ACTIONS(6714),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6716),
    [anon_sym_LBRACE] = ACTIONS(6716),
    [sym_word] = ACTIONS(6714),
    [sym_placeholder] = ACTIONS(6716),
    [sym_delimiter] = ACTIONS(6716),
    [anon_sym_PLUS] = ACTIONS(6716),
    [anon_sym_DASH] = ACTIONS(6716),
    [anon_sym_STAR] = ACTIONS(6716),
    [anon_sym_SLASH] = ACTIONS(6716),
    [anon_sym_LT] = ACTIONS(6714),
    [anon_sym_GT] = ACTIONS(6714),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_PIPE] = ACTIONS(6714),
    [anon_sym_COLON] = ACTIONS(6714),
    [anon_sym_SQUOTE] = ACTIONS(6714),
    [anon_sym__] = ACTIONS(6716),
    [anon_sym_CARET] = ACTIONS(6716),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6716),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6716),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6716),
    [anon_sym_DOLLAR] = ACTIONS(6714),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHleft] = ACTIONS(6714),
    [anon_sym_BSLASHbigl] = ACTIONS(6714),
    [anon_sym_BSLASHBigl] = ACTIONS(6714),
    [anon_sym_BSLASHbiggl] = ACTIONS(6714),
    [anon_sym_BSLASHBiggl] = ACTIONS(6714),
    [anon_sym_BSLASHtext] = ACTIONS(6714),
    [anon_sym_BSLASHintertext] = ACTIONS(6714),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6714),
    [anon_sym_BSLASHbegin] = ACTIONS(6714),
    [anon_sym_BSLASHtitle] = ACTIONS(6714),
    [anon_sym_BSLASHauthor] = ACTIONS(6714),
    [anon_sym_BSLASHusepackage] = ACTIONS(6714),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6714),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6714),
    [anon_sym_BSLASHinclude] = ACTIONS(6714),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6714),
    [anon_sym_BSLASHinput] = ACTIONS(6714),
    [anon_sym_BSLASHsubfile] = ACTIONS(6714),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6714),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6714),
    [anon_sym_BSLASHbibliography] = ACTIONS(6714),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6714),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6714),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6714),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6714),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6714),
    [anon_sym_BSLASHimport] = ACTIONS(6714),
    [anon_sym_BSLASHsubimport] = ACTIONS(6714),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6714),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHcaption] = ACTIONS(6714),
    [anon_sym_BSLASHcite] = ACTIONS(6714),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCite] = ACTIONS(6714),
    [anon_sym_BSLASHnocite] = ACTIONS(6714),
    [anon_sym_BSLASHcitet] = ACTIONS(6714),
    [anon_sym_BSLASHcitep] = ACTIONS(6714),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteA] = ACTIONS(6714),
    [anon_sym_BSLASHciteR] = ACTIONS(6714),
    [anon_sym_BSLASHciteS] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6714),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteyear] = ACTIONS(6714),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitedate] = ACTIONS(6714),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteurl] = ACTIONS(6714),
    [anon_sym_BSLASHfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6714),
    [anon_sym_BSLASHcitealt] = ACTIONS(6714),
    [anon_sym_BSLASHcitealp] = ACTIONS(6714),
    [anon_sym_BSLASHcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHparencite] = ACTIONS(6714),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHParencite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHtextcite] = ACTIONS(6714),
    [anon_sym_BSLASHTextcite] = ACTIONS(6714),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHsupercite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite] = ACTIONS(6714),
    [anon_sym_BSLASHAutocite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHVolcite] = ACTIONS(6714),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHavolcite] = ACTIONS(6714),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHNotecite] = ACTIONS(6714),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHlabel] = ACTIONS(6714),
    [anon_sym_BSLASHref] = ACTIONS(6714),
    [anon_sym_BSLASHeqref] = ACTIONS(6714),
    [anon_sym_BSLASHvref] = ACTIONS(6714),
    [anon_sym_BSLASHVref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHpageref] = ACTIONS(6714),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHautopageref] = ACTIONS(6714),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcref] = ACTIONS(6714),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCref] = ACTIONS(6714),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHCpageref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnameCref] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6714),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHdef] = ACTIONS(6714),
    [anon_sym_BSLASHgdef] = ACTIONS(6714),
    [anon_sym_BSLASHedef] = ACTIONS(6714),
    [anon_sym_BSLASHxdef] = ACTIONS(6714),
    [anon_sym_BSLASHlet] = ACTIONS(6714),
    [anon_sym_BSLASHglet] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6714),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6714),
    [anon_sym_BSLASHgls] = ACTIONS(6714),
    [anon_sym_BSLASHGls] = ACTIONS(6714),
    [anon_sym_BSLASHGLS] = ACTIONS(6714),
    [anon_sym_BSLASHglspl] = ACTIONS(6714),
    [anon_sym_BSLASHGlspl] = ACTIONS(6714),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6714),
    [anon_sym_BSLASHglslink] = ACTIONS(6714),
    [anon_sym_BSLASHglstext] = ACTIONS(6714),
    [anon_sym_BSLASHGlstext] = ACTIONS(6714),
    [anon_sym_BSLASHGLStext] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6714),
    [anon_sym_BSLASHglsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsname] = ACTIONS(6714),
    [anon_sym_BSLASHGlsname] = ACTIONS(6714),
    [anon_sym_BSLASHGLSname] = ACTIONS(6714),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6714),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6714),
    [anon_sym_BSLASHacrshort] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6714),
    [anon_sym_BSLASHACRshort] = ACTIONS(6714),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrlong] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6714),
    [anon_sym_BSLASHACRlong] = ACTIONS(6714),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrfull] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6714),
    [anon_sym_BSLASHACRfull] = ACTIONS(6714),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHacs] = ACTIONS(6714),
    [anon_sym_BSLASHAcs] = ACTIONS(6714),
    [anon_sym_BSLASHacsp] = ACTIONS(6714),
    [anon_sym_BSLASHAcsp] = ACTIONS(6714),
    [anon_sym_BSLASHacl] = ACTIONS(6714),
    [anon_sym_BSLASHAcl] = ACTIONS(6714),
    [anon_sym_BSLASHaclp] = ACTIONS(6714),
    [anon_sym_BSLASHAclp] = ACTIONS(6714),
    [anon_sym_BSLASHacf] = ACTIONS(6714),
    [anon_sym_BSLASHAcf] = ACTIONS(6714),
    [anon_sym_BSLASHacfp] = ACTIONS(6714),
    [anon_sym_BSLASHAcfp] = ACTIONS(6714),
    [anon_sym_BSLASHac] = ACTIONS(6714),
    [anon_sym_BSLASHAc] = ACTIONS(6714),
    [anon_sym_BSLASHacp] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6714),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6714),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6714),
    [anon_sym_BSLASHcolor] = ACTIONS(6714),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6714),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6714),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6714),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6714),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6714),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6714),
    [anon_sym_BSLASHurl] = ACTIONS(6714),
    [anon_sym_BSLASHhref] = ACTIONS(6714),
  },
  [901] = {
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(923),
    [aux_sym__paragraph_repeat2] = STATE(923),
    [sym_command_name] = ACTIONS(6714),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6714),
    [anon_sym_LBRACK] = ACTIONS(6716),
    [anon_sym_RBRACK] = ACTIONS(6716),
    [anon_sym_COMMA] = ACTIONS(6716),
    [anon_sym_EQ] = ACTIONS(6716),
    [anon_sym_LPAREN] = ACTIONS(6716),
    [anon_sym_RPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHpart] = ACTIONS(6714),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddpart] = ACTIONS(6714),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHchapter] = ACTIONS(6714),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddchap] = ACTIONS(6714),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsection] = ACTIONS(6714),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddsec] = ACTIONS(6714),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHparagraph] = ACTIONS(6714),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(6714),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6716),
    [anon_sym_LBRACE] = ACTIONS(6716),
    [sym_word] = ACTIONS(6714),
    [sym_placeholder] = ACTIONS(6716),
    [sym_delimiter] = ACTIONS(6716),
    [anon_sym_PLUS] = ACTIONS(6716),
    [anon_sym_DASH] = ACTIONS(6716),
    [anon_sym_STAR] = ACTIONS(6716),
    [anon_sym_SLASH] = ACTIONS(6716),
    [anon_sym_LT] = ACTIONS(6714),
    [anon_sym_GT] = ACTIONS(6714),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_PIPE] = ACTIONS(6714),
    [anon_sym_COLON] = ACTIONS(6714),
    [anon_sym_SQUOTE] = ACTIONS(6714),
    [anon_sym__] = ACTIONS(6716),
    [anon_sym_CARET] = ACTIONS(6716),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6716),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6716),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6716),
    [anon_sym_DOLLAR] = ACTIONS(6714),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHleft] = ACTIONS(6714),
    [anon_sym_BSLASHbigl] = ACTIONS(6714),
    [anon_sym_BSLASHBigl] = ACTIONS(6714),
    [anon_sym_BSLASHbiggl] = ACTIONS(6714),
    [anon_sym_BSLASHBiggl] = ACTIONS(6714),
    [anon_sym_BSLASHtext] = ACTIONS(6714),
    [anon_sym_BSLASHintertext] = ACTIONS(6714),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6714),
    [anon_sym_BSLASHbegin] = ACTIONS(6714),
    [anon_sym_BSLASHtitle] = ACTIONS(6714),
    [anon_sym_BSLASHauthor] = ACTIONS(6714),
    [anon_sym_BSLASHusepackage] = ACTIONS(6714),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6714),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6714),
    [anon_sym_BSLASHinclude] = ACTIONS(6714),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6714),
    [anon_sym_BSLASHinput] = ACTIONS(6714),
    [anon_sym_BSLASHsubfile] = ACTIONS(6714),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6714),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6714),
    [anon_sym_BSLASHbibliography] = ACTIONS(6714),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6714),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6714),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6714),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6714),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6714),
    [anon_sym_BSLASHimport] = ACTIONS(6714),
    [anon_sym_BSLASHsubimport] = ACTIONS(6714),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6714),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHcaption] = ACTIONS(6714),
    [anon_sym_BSLASHcite] = ACTIONS(6714),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCite] = ACTIONS(6714),
    [anon_sym_BSLASHnocite] = ACTIONS(6714),
    [anon_sym_BSLASHcitet] = ACTIONS(6714),
    [anon_sym_BSLASHcitep] = ACTIONS(6714),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteA] = ACTIONS(6714),
    [anon_sym_BSLASHciteR] = ACTIONS(6714),
    [anon_sym_BSLASHciteS] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6714),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteyear] = ACTIONS(6714),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitedate] = ACTIONS(6714),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteurl] = ACTIONS(6714),
    [anon_sym_BSLASHfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6714),
    [anon_sym_BSLASHcitealt] = ACTIONS(6714),
    [anon_sym_BSLASHcitealp] = ACTIONS(6714),
    [anon_sym_BSLASHcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHparencite] = ACTIONS(6714),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHParencite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHtextcite] = ACTIONS(6714),
    [anon_sym_BSLASHTextcite] = ACTIONS(6714),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHsupercite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite] = ACTIONS(6714),
    [anon_sym_BSLASHAutocite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHVolcite] = ACTIONS(6714),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHavolcite] = ACTIONS(6714),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHNotecite] = ACTIONS(6714),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHlabel] = ACTIONS(6714),
    [anon_sym_BSLASHref] = ACTIONS(6714),
    [anon_sym_BSLASHeqref] = ACTIONS(6714),
    [anon_sym_BSLASHvref] = ACTIONS(6714),
    [anon_sym_BSLASHVref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHpageref] = ACTIONS(6714),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHautopageref] = ACTIONS(6714),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcref] = ACTIONS(6714),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCref] = ACTIONS(6714),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHCpageref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnameCref] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6714),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHdef] = ACTIONS(6714),
    [anon_sym_BSLASHgdef] = ACTIONS(6714),
    [anon_sym_BSLASHedef] = ACTIONS(6714),
    [anon_sym_BSLASHxdef] = ACTIONS(6714),
    [anon_sym_BSLASHlet] = ACTIONS(6714),
    [anon_sym_BSLASHglet] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6714),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6714),
    [anon_sym_BSLASHgls] = ACTIONS(6714),
    [anon_sym_BSLASHGls] = ACTIONS(6714),
    [anon_sym_BSLASHGLS] = ACTIONS(6714),
    [anon_sym_BSLASHglspl] = ACTIONS(6714),
    [anon_sym_BSLASHGlspl] = ACTIONS(6714),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6714),
    [anon_sym_BSLASHglslink] = ACTIONS(6714),
    [anon_sym_BSLASHglstext] = ACTIONS(6714),
    [anon_sym_BSLASHGlstext] = ACTIONS(6714),
    [anon_sym_BSLASHGLStext] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6714),
    [anon_sym_BSLASHglsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsname] = ACTIONS(6714),
    [anon_sym_BSLASHGlsname] = ACTIONS(6714),
    [anon_sym_BSLASHGLSname] = ACTIONS(6714),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6714),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6714),
    [anon_sym_BSLASHacrshort] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6714),
    [anon_sym_BSLASHACRshort] = ACTIONS(6714),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrlong] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6714),
    [anon_sym_BSLASHACRlong] = ACTIONS(6714),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrfull] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6714),
    [anon_sym_BSLASHACRfull] = ACTIONS(6714),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHacs] = ACTIONS(6714),
    [anon_sym_BSLASHAcs] = ACTIONS(6714),
    [anon_sym_BSLASHacsp] = ACTIONS(6714),
    [anon_sym_BSLASHAcsp] = ACTIONS(6714),
    [anon_sym_BSLASHacl] = ACTIONS(6714),
    [anon_sym_BSLASHAcl] = ACTIONS(6714),
    [anon_sym_BSLASHaclp] = ACTIONS(6714),
    [anon_sym_BSLASHAclp] = ACTIONS(6714),
    [anon_sym_BSLASHacf] = ACTIONS(6714),
    [anon_sym_BSLASHAcf] = ACTIONS(6714),
    [anon_sym_BSLASHacfp] = ACTIONS(6714),
    [anon_sym_BSLASHAcfp] = ACTIONS(6714),
    [anon_sym_BSLASHac] = ACTIONS(6714),
    [anon_sym_BSLASHAc] = ACTIONS(6714),
    [anon_sym_BSLASHacp] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6714),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6714),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6714),
    [anon_sym_BSLASHcolor] = ACTIONS(6714),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6714),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6714),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6714),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6714),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6714),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6714),
    [anon_sym_BSLASHurl] = ACTIONS(6714),
    [anon_sym_BSLASHhref] = ACTIONS(6714),
  },
  [902] = {
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(924),
    [aux_sym__paragraph_repeat3] = STATE(924),
    [sym_command_name] = ACTIONS(6714),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6714),
    [anon_sym_LBRACK] = ACTIONS(6716),
    [anon_sym_RBRACK] = ACTIONS(6716),
    [anon_sym_COMMA] = ACTIONS(6716),
    [anon_sym_EQ] = ACTIONS(6716),
    [anon_sym_LPAREN] = ACTIONS(6716),
    [anon_sym_RPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHpart] = ACTIONS(6714),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddpart] = ACTIONS(6714),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHchapter] = ACTIONS(6714),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddchap] = ACTIONS(6714),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsection] = ACTIONS(6714),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHaddsec] = ACTIONS(6714),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6714),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHparagraph] = ACTIONS(6714),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6714),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(6716),
    [sym_word] = ACTIONS(6714),
    [sym_placeholder] = ACTIONS(6716),
    [sym_delimiter] = ACTIONS(6716),
    [anon_sym_PLUS] = ACTIONS(6716),
    [anon_sym_DASH] = ACTIONS(6716),
    [anon_sym_STAR] = ACTIONS(6716),
    [anon_sym_SLASH] = ACTIONS(6716),
    [anon_sym_LT] = ACTIONS(6714),
    [anon_sym_GT] = ACTIONS(6714),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_PIPE] = ACTIONS(6714),
    [anon_sym_COLON] = ACTIONS(6714),
    [anon_sym_SQUOTE] = ACTIONS(6714),
    [anon_sym__] = ACTIONS(6716),
    [anon_sym_CARET] = ACTIONS(6716),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6716),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6716),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6716),
    [anon_sym_DOLLAR] = ACTIONS(6714),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6716),
    [anon_sym_BSLASHleft] = ACTIONS(6714),
    [anon_sym_BSLASHbigl] = ACTIONS(6714),
    [anon_sym_BSLASHBigl] = ACTIONS(6714),
    [anon_sym_BSLASHbiggl] = ACTIONS(6714),
    [anon_sym_BSLASHBiggl] = ACTIONS(6714),
    [anon_sym_BSLASHtext] = ACTIONS(6714),
    [anon_sym_BSLASHintertext] = ACTIONS(6714),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6714),
    [anon_sym_BSLASHbegin] = ACTIONS(6714),
    [anon_sym_BSLASHtitle] = ACTIONS(6714),
    [anon_sym_BSLASHauthor] = ACTIONS(6714),
    [anon_sym_BSLASHusepackage] = ACTIONS(6714),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6714),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6714),
    [anon_sym_BSLASHinclude] = ACTIONS(6714),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6714),
    [anon_sym_BSLASHinput] = ACTIONS(6714),
    [anon_sym_BSLASHsubfile] = ACTIONS(6714),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6714),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6714),
    [anon_sym_BSLASHbibliography] = ACTIONS(6714),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6714),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6714),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6714),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6714),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6714),
    [anon_sym_BSLASHimport] = ACTIONS(6714),
    [anon_sym_BSLASHsubimport] = ACTIONS(6714),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6714),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6714),
    [anon_sym_BSLASHcaption] = ACTIONS(6714),
    [anon_sym_BSLASHcite] = ACTIONS(6714),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCite] = ACTIONS(6714),
    [anon_sym_BSLASHnocite] = ACTIONS(6714),
    [anon_sym_BSLASHcitet] = ACTIONS(6714),
    [anon_sym_BSLASHcitep] = ACTIONS(6714),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteA] = ACTIONS(6714),
    [anon_sym_BSLASHciteR] = ACTIONS(6714),
    [anon_sym_BSLASHciteS] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6714),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6714),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteyear] = ACTIONS(6714),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcitedate] = ACTIONS(6714),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHciteurl] = ACTIONS(6714),
    [anon_sym_BSLASHfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6714),
    [anon_sym_BSLASHcitealt] = ACTIONS(6714),
    [anon_sym_BSLASHcitealp] = ACTIONS(6714),
    [anon_sym_BSLASHcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHparencite] = ACTIONS(6714),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHParencite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6714),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6714),
    [anon_sym_BSLASHtextcite] = ACTIONS(6714),
    [anon_sym_BSLASHTextcite] = ACTIONS(6714),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6714),
    [anon_sym_BSLASHsupercite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite] = ACTIONS(6714),
    [anon_sym_BSLASHAutocite] = ACTIONS(6714),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHVolcite] = ACTIONS(6714),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHavolcite] = ACTIONS(6714),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6714),
    [anon_sym_BSLASHnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHNotecite] = ACTIONS(6714),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6714),
    [anon_sym_BSLASHlabel] = ACTIONS(6714),
    [anon_sym_BSLASHref] = ACTIONS(6714),
    [anon_sym_BSLASHeqref] = ACTIONS(6714),
    [anon_sym_BSLASHvref] = ACTIONS(6714),
    [anon_sym_BSLASHVref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref] = ACTIONS(6714),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHpageref] = ACTIONS(6714),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHautopageref] = ACTIONS(6714),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcref] = ACTIONS(6714),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCref] = ACTIONS(6714),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHCpageref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnameCref] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6714),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6714),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6714),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6714),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6714),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6714),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6714),
    [anon_sym_BSLASHdef] = ACTIONS(6714),
    [anon_sym_BSLASHgdef] = ACTIONS(6714),
    [anon_sym_BSLASHedef] = ACTIONS(6714),
    [anon_sym_BSLASHxdef] = ACTIONS(6714),
    [anon_sym_BSLASHlet] = ACTIONS(6714),
    [anon_sym_BSLASHglet] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6714),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6714),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6714),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6714),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6714),
    [anon_sym_BSLASHgls] = ACTIONS(6714),
    [anon_sym_BSLASHGls] = ACTIONS(6714),
    [anon_sym_BSLASHGLS] = ACTIONS(6714),
    [anon_sym_BSLASHglspl] = ACTIONS(6714),
    [anon_sym_BSLASHGlspl] = ACTIONS(6714),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6714),
    [anon_sym_BSLASHglslink] = ACTIONS(6714),
    [anon_sym_BSLASHglstext] = ACTIONS(6714),
    [anon_sym_BSLASHGlstext] = ACTIONS(6714),
    [anon_sym_BSLASHGLStext] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6714),
    [anon_sym_BSLASHglsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6714),
    [anon_sym_BSLASHglsname] = ACTIONS(6714),
    [anon_sym_BSLASHGlsname] = ACTIONS(6714),
    [anon_sym_BSLASHGLSname] = ACTIONS(6714),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6714),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6714),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6714),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6714),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6714),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6714),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6714),
    [anon_sym_BSLASHacrshort] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6714),
    [anon_sym_BSLASHACRshort] = ACTIONS(6714),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrlong] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6714),
    [anon_sym_BSLASHACRlong] = ACTIONS(6714),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6714),
    [anon_sym_BSLASHacrfull] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6714),
    [anon_sym_BSLASHACRfull] = ACTIONS(6714),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHacs] = ACTIONS(6714),
    [anon_sym_BSLASHAcs] = ACTIONS(6714),
    [anon_sym_BSLASHacsp] = ACTIONS(6714),
    [anon_sym_BSLASHAcsp] = ACTIONS(6714),
    [anon_sym_BSLASHacl] = ACTIONS(6714),
    [anon_sym_BSLASHAcl] = ACTIONS(6714),
    [anon_sym_BSLASHaclp] = ACTIONS(6714),
    [anon_sym_BSLASHAclp] = ACTIONS(6714),
    [anon_sym_BSLASHacf] = ACTIONS(6714),
    [anon_sym_BSLASHAcf] = ACTIONS(6714),
    [anon_sym_BSLASHacfp] = ACTIONS(6714),
    [anon_sym_BSLASHAcfp] = ACTIONS(6714),
    [anon_sym_BSLASHac] = ACTIONS(6714),
    [anon_sym_BSLASHAc] = ACTIONS(6714),
    [anon_sym_BSLASHacp] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6714),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6714),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6714),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6714),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6716),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6714),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6714),
    [anon_sym_BSLASHcolor] = ACTIONS(6714),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6714),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6714),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6714),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6714),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6714),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6714),
    [anon_sym_BSLASHurl] = ACTIONS(6714),
    [anon_sym_BSLASHhref] = ACTIONS(6714),
  },
  [903] = {
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(918),
    [aux_sym__section_repeat2] = STATE(918),
    [sym_command_name] = ACTIONS(2244),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_RBRACK] = ACTIONS(2246),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_EQ] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(2244),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddsec] = ACTIONS(2244),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHitem] = ACTIONS(2244),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [sym_word] = ACTIONS(2244),
    [sym_placeholder] = ACTIONS(2246),
    [sym_delimiter] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_COLON] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym__] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2246),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2246),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2246),
    [anon_sym_DOLLAR] = ACTIONS(2244),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHleft] = ACTIONS(2244),
    [anon_sym_BSLASHbigl] = ACTIONS(2244),
    [anon_sym_BSLASHBigl] = ACTIONS(2244),
    [anon_sym_BSLASHbiggl] = ACTIONS(2244),
    [anon_sym_BSLASHBiggl] = ACTIONS(2244),
    [anon_sym_BSLASHtext] = ACTIONS(2244),
    [anon_sym_BSLASHintertext] = ACTIONS(2244),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2244),
    [anon_sym_BSLASHbegin] = ACTIONS(2244),
    [anon_sym_BSLASHtitle] = ACTIONS(2244),
    [anon_sym_BSLASHauthor] = ACTIONS(2244),
    [anon_sym_BSLASHusepackage] = ACTIONS(2244),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2244),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2244),
    [anon_sym_BSLASHinclude] = ACTIONS(2244),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2244),
    [anon_sym_BSLASHinput] = ACTIONS(2244),
    [anon_sym_BSLASHsubfile] = ACTIONS(2244),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2244),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2244),
    [anon_sym_BSLASHbibliography] = ACTIONS(2244),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2244),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2244),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2244),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2244),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2244),
    [anon_sym_BSLASHimport] = ACTIONS(2244),
    [anon_sym_BSLASHsubimport] = ACTIONS(2244),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2244),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHcaption] = ACTIONS(2244),
    [anon_sym_BSLASHcite] = ACTIONS(2244),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCite] = ACTIONS(2244),
    [anon_sym_BSLASHnocite] = ACTIONS(2244),
    [anon_sym_BSLASHcitet] = ACTIONS(2244),
    [anon_sym_BSLASHcitep] = ACTIONS(2244),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteA] = ACTIONS(2244),
    [anon_sym_BSLASHciteR] = ACTIONS(2244),
    [anon_sym_BSLASHciteS] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2244),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteyear] = ACTIONS(2244),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitedate] = ACTIONS(2244),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteurl] = ACTIONS(2244),
    [anon_sym_BSLASHfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2244),
    [anon_sym_BSLASHcitealt] = ACTIONS(2244),
    [anon_sym_BSLASHcitealp] = ACTIONS(2244),
    [anon_sym_BSLASHcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHparencite] = ACTIONS(2244),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHParencite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHtextcite] = ACTIONS(2244),
    [anon_sym_BSLASHTextcite] = ACTIONS(2244),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHsupercite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite] = ACTIONS(2244),
    [anon_sym_BSLASHAutocite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHVolcite] = ACTIONS(2244),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHavolcite] = ACTIONS(2244),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHNotecite] = ACTIONS(2244),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHlabel] = ACTIONS(2244),
    [anon_sym_BSLASHref] = ACTIONS(2244),
    [anon_sym_BSLASHeqref] = ACTIONS(2244),
    [anon_sym_BSLASHvref] = ACTIONS(2244),
    [anon_sym_BSLASHVref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHpageref] = ACTIONS(2244),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHautopageref] = ACTIONS(2244),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcref] = ACTIONS(2244),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCref] = ACTIONS(2244),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHCpageref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnameCref] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2244),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHdef] = ACTIONS(2244),
    [anon_sym_BSLASHgdef] = ACTIONS(2244),
    [anon_sym_BSLASHedef] = ACTIONS(2244),
    [anon_sym_BSLASHxdef] = ACTIONS(2244),
    [anon_sym_BSLASHlet] = ACTIONS(2244),
    [anon_sym_BSLASHglet] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2244),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2244),
    [anon_sym_BSLASHgls] = ACTIONS(2244),
    [anon_sym_BSLASHGls] = ACTIONS(2244),
    [anon_sym_BSLASHGLS] = ACTIONS(2244),
    [anon_sym_BSLASHglspl] = ACTIONS(2244),
    [anon_sym_BSLASHGlspl] = ACTIONS(2244),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2244),
    [anon_sym_BSLASHglslink] = ACTIONS(2244),
    [anon_sym_BSLASHglstext] = ACTIONS(2244),
    [anon_sym_BSLASHGlstext] = ACTIONS(2244),
    [anon_sym_BSLASHGLStext] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2244),
    [anon_sym_BSLASHglsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsname] = ACTIONS(2244),
    [anon_sym_BSLASHGlsname] = ACTIONS(2244),
    [anon_sym_BSLASHGLSname] = ACTIONS(2244),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2244),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2244),
    [anon_sym_BSLASHacrshort] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2244),
    [anon_sym_BSLASHACRshort] = ACTIONS(2244),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrlong] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2244),
    [anon_sym_BSLASHACRlong] = ACTIONS(2244),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrfull] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2244),
    [anon_sym_BSLASHACRfull] = ACTIONS(2244),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHacs] = ACTIONS(2244),
    [anon_sym_BSLASHAcs] = ACTIONS(2244),
    [anon_sym_BSLASHacsp] = ACTIONS(2244),
    [anon_sym_BSLASHAcsp] = ACTIONS(2244),
    [anon_sym_BSLASHacl] = ACTIONS(2244),
    [anon_sym_BSLASHAcl] = ACTIONS(2244),
    [anon_sym_BSLASHaclp] = ACTIONS(2244),
    [anon_sym_BSLASHAclp] = ACTIONS(2244),
    [anon_sym_BSLASHacf] = ACTIONS(2244),
    [anon_sym_BSLASHAcf] = ACTIONS(2244),
    [anon_sym_BSLASHacfp] = ACTIONS(2244),
    [anon_sym_BSLASHAcfp] = ACTIONS(2244),
    [anon_sym_BSLASHac] = ACTIONS(2244),
    [anon_sym_BSLASHAc] = ACTIONS(2244),
    [anon_sym_BSLASHacp] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2244),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2244),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2244),
    [anon_sym_BSLASHcolor] = ACTIONS(2244),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2244),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2244),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2244),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2244),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2244),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2244),
    [anon_sym_BSLASHurl] = ACTIONS(2244),
    [anon_sym_BSLASHhref] = ACTIONS(2244),
  },
  [904] = {
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(919),
    [aux_sym__section_repeat3] = STATE(919),
    [sym_command_name] = ACTIONS(2244),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_RBRACK] = ACTIONS(2246),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_EQ] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(2244),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddchap] = ACTIONS(2244),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHitem] = ACTIONS(2244),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [sym_word] = ACTIONS(2244),
    [sym_placeholder] = ACTIONS(2246),
    [sym_delimiter] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_COLON] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym__] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2246),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2246),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2246),
    [anon_sym_DOLLAR] = ACTIONS(2244),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHleft] = ACTIONS(2244),
    [anon_sym_BSLASHbigl] = ACTIONS(2244),
    [anon_sym_BSLASHBigl] = ACTIONS(2244),
    [anon_sym_BSLASHbiggl] = ACTIONS(2244),
    [anon_sym_BSLASHBiggl] = ACTIONS(2244),
    [anon_sym_BSLASHtext] = ACTIONS(2244),
    [anon_sym_BSLASHintertext] = ACTIONS(2244),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2244),
    [anon_sym_BSLASHbegin] = ACTIONS(2244),
    [anon_sym_BSLASHtitle] = ACTIONS(2244),
    [anon_sym_BSLASHauthor] = ACTIONS(2244),
    [anon_sym_BSLASHusepackage] = ACTIONS(2244),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2244),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2244),
    [anon_sym_BSLASHinclude] = ACTIONS(2244),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2244),
    [anon_sym_BSLASHinput] = ACTIONS(2244),
    [anon_sym_BSLASHsubfile] = ACTIONS(2244),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2244),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2244),
    [anon_sym_BSLASHbibliography] = ACTIONS(2244),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2244),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2244),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2244),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2244),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2244),
    [anon_sym_BSLASHimport] = ACTIONS(2244),
    [anon_sym_BSLASHsubimport] = ACTIONS(2244),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2244),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHcaption] = ACTIONS(2244),
    [anon_sym_BSLASHcite] = ACTIONS(2244),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCite] = ACTIONS(2244),
    [anon_sym_BSLASHnocite] = ACTIONS(2244),
    [anon_sym_BSLASHcitet] = ACTIONS(2244),
    [anon_sym_BSLASHcitep] = ACTIONS(2244),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteA] = ACTIONS(2244),
    [anon_sym_BSLASHciteR] = ACTIONS(2244),
    [anon_sym_BSLASHciteS] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2244),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteyear] = ACTIONS(2244),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitedate] = ACTIONS(2244),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteurl] = ACTIONS(2244),
    [anon_sym_BSLASHfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2244),
    [anon_sym_BSLASHcitealt] = ACTIONS(2244),
    [anon_sym_BSLASHcitealp] = ACTIONS(2244),
    [anon_sym_BSLASHcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHparencite] = ACTIONS(2244),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHParencite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHtextcite] = ACTIONS(2244),
    [anon_sym_BSLASHTextcite] = ACTIONS(2244),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHsupercite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite] = ACTIONS(2244),
    [anon_sym_BSLASHAutocite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHVolcite] = ACTIONS(2244),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHavolcite] = ACTIONS(2244),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHNotecite] = ACTIONS(2244),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHlabel] = ACTIONS(2244),
    [anon_sym_BSLASHref] = ACTIONS(2244),
    [anon_sym_BSLASHeqref] = ACTIONS(2244),
    [anon_sym_BSLASHvref] = ACTIONS(2244),
    [anon_sym_BSLASHVref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHpageref] = ACTIONS(2244),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHautopageref] = ACTIONS(2244),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcref] = ACTIONS(2244),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCref] = ACTIONS(2244),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHCpageref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnameCref] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2244),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHdef] = ACTIONS(2244),
    [anon_sym_BSLASHgdef] = ACTIONS(2244),
    [anon_sym_BSLASHedef] = ACTIONS(2244),
    [anon_sym_BSLASHxdef] = ACTIONS(2244),
    [anon_sym_BSLASHlet] = ACTIONS(2244),
    [anon_sym_BSLASHglet] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2244),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2244),
    [anon_sym_BSLASHgls] = ACTIONS(2244),
    [anon_sym_BSLASHGls] = ACTIONS(2244),
    [anon_sym_BSLASHGLS] = ACTIONS(2244),
    [anon_sym_BSLASHglspl] = ACTIONS(2244),
    [anon_sym_BSLASHGlspl] = ACTIONS(2244),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2244),
    [anon_sym_BSLASHglslink] = ACTIONS(2244),
    [anon_sym_BSLASHglstext] = ACTIONS(2244),
    [anon_sym_BSLASHGlstext] = ACTIONS(2244),
    [anon_sym_BSLASHGLStext] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2244),
    [anon_sym_BSLASHglsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsname] = ACTIONS(2244),
    [anon_sym_BSLASHGlsname] = ACTIONS(2244),
    [anon_sym_BSLASHGLSname] = ACTIONS(2244),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2244),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2244),
    [anon_sym_BSLASHacrshort] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2244),
    [anon_sym_BSLASHACRshort] = ACTIONS(2244),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrlong] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2244),
    [anon_sym_BSLASHACRlong] = ACTIONS(2244),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrfull] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2244),
    [anon_sym_BSLASHACRfull] = ACTIONS(2244),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHacs] = ACTIONS(2244),
    [anon_sym_BSLASHAcs] = ACTIONS(2244),
    [anon_sym_BSLASHacsp] = ACTIONS(2244),
    [anon_sym_BSLASHAcsp] = ACTIONS(2244),
    [anon_sym_BSLASHacl] = ACTIONS(2244),
    [anon_sym_BSLASHAcl] = ACTIONS(2244),
    [anon_sym_BSLASHaclp] = ACTIONS(2244),
    [anon_sym_BSLASHAclp] = ACTIONS(2244),
    [anon_sym_BSLASHacf] = ACTIONS(2244),
    [anon_sym_BSLASHAcf] = ACTIONS(2244),
    [anon_sym_BSLASHacfp] = ACTIONS(2244),
    [anon_sym_BSLASHAcfp] = ACTIONS(2244),
    [anon_sym_BSLASHac] = ACTIONS(2244),
    [anon_sym_BSLASHAc] = ACTIONS(2244),
    [anon_sym_BSLASHacp] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2244),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2244),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2244),
    [anon_sym_BSLASHcolor] = ACTIONS(2244),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2244),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2244),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2244),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2244),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2244),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2244),
    [anon_sym_BSLASHurl] = ACTIONS(2244),
    [anon_sym_BSLASHhref] = ACTIONS(2244),
  },
  [905] = {
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(920),
    [aux_sym__section_repeat4] = STATE(920),
    [sym_command_name] = ACTIONS(2244),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_RBRACK] = ACTIONS(2246),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_EQ] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(2244),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddchap] = ACTIONS(2244),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsection] = ACTIONS(2244),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddsec] = ACTIONS(2244),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHitem] = ACTIONS(2244),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [sym_word] = ACTIONS(2244),
    [sym_placeholder] = ACTIONS(2246),
    [sym_delimiter] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_COLON] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym__] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2246),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2246),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2246),
    [anon_sym_DOLLAR] = ACTIONS(2244),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHleft] = ACTIONS(2244),
    [anon_sym_BSLASHbigl] = ACTIONS(2244),
    [anon_sym_BSLASHBigl] = ACTIONS(2244),
    [anon_sym_BSLASHbiggl] = ACTIONS(2244),
    [anon_sym_BSLASHBiggl] = ACTIONS(2244),
    [anon_sym_BSLASHtext] = ACTIONS(2244),
    [anon_sym_BSLASHintertext] = ACTIONS(2244),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2244),
    [anon_sym_BSLASHbegin] = ACTIONS(2244),
    [anon_sym_BSLASHtitle] = ACTIONS(2244),
    [anon_sym_BSLASHauthor] = ACTIONS(2244),
    [anon_sym_BSLASHusepackage] = ACTIONS(2244),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2244),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2244),
    [anon_sym_BSLASHinclude] = ACTIONS(2244),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2244),
    [anon_sym_BSLASHinput] = ACTIONS(2244),
    [anon_sym_BSLASHsubfile] = ACTIONS(2244),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2244),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2244),
    [anon_sym_BSLASHbibliography] = ACTIONS(2244),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2244),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2244),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2244),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2244),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2244),
    [anon_sym_BSLASHimport] = ACTIONS(2244),
    [anon_sym_BSLASHsubimport] = ACTIONS(2244),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2244),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHcaption] = ACTIONS(2244),
    [anon_sym_BSLASHcite] = ACTIONS(2244),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCite] = ACTIONS(2244),
    [anon_sym_BSLASHnocite] = ACTIONS(2244),
    [anon_sym_BSLASHcitet] = ACTIONS(2244),
    [anon_sym_BSLASHcitep] = ACTIONS(2244),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteA] = ACTIONS(2244),
    [anon_sym_BSLASHciteR] = ACTIONS(2244),
    [anon_sym_BSLASHciteS] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2244),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteyear] = ACTIONS(2244),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitedate] = ACTIONS(2244),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteurl] = ACTIONS(2244),
    [anon_sym_BSLASHfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2244),
    [anon_sym_BSLASHcitealt] = ACTIONS(2244),
    [anon_sym_BSLASHcitealp] = ACTIONS(2244),
    [anon_sym_BSLASHcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHparencite] = ACTIONS(2244),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHParencite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHtextcite] = ACTIONS(2244),
    [anon_sym_BSLASHTextcite] = ACTIONS(2244),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHsupercite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite] = ACTIONS(2244),
    [anon_sym_BSLASHAutocite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHVolcite] = ACTIONS(2244),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHavolcite] = ACTIONS(2244),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHNotecite] = ACTIONS(2244),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHlabel] = ACTIONS(2244),
    [anon_sym_BSLASHref] = ACTIONS(2244),
    [anon_sym_BSLASHeqref] = ACTIONS(2244),
    [anon_sym_BSLASHvref] = ACTIONS(2244),
    [anon_sym_BSLASHVref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHpageref] = ACTIONS(2244),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHautopageref] = ACTIONS(2244),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcref] = ACTIONS(2244),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCref] = ACTIONS(2244),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHCpageref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnameCref] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2244),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHdef] = ACTIONS(2244),
    [anon_sym_BSLASHgdef] = ACTIONS(2244),
    [anon_sym_BSLASHedef] = ACTIONS(2244),
    [anon_sym_BSLASHxdef] = ACTIONS(2244),
    [anon_sym_BSLASHlet] = ACTIONS(2244),
    [anon_sym_BSLASHglet] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2244),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2244),
    [anon_sym_BSLASHgls] = ACTIONS(2244),
    [anon_sym_BSLASHGls] = ACTIONS(2244),
    [anon_sym_BSLASHGLS] = ACTIONS(2244),
    [anon_sym_BSLASHglspl] = ACTIONS(2244),
    [anon_sym_BSLASHGlspl] = ACTIONS(2244),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2244),
    [anon_sym_BSLASHglslink] = ACTIONS(2244),
    [anon_sym_BSLASHglstext] = ACTIONS(2244),
    [anon_sym_BSLASHGlstext] = ACTIONS(2244),
    [anon_sym_BSLASHGLStext] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2244),
    [anon_sym_BSLASHglsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsname] = ACTIONS(2244),
    [anon_sym_BSLASHGlsname] = ACTIONS(2244),
    [anon_sym_BSLASHGLSname] = ACTIONS(2244),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2244),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2244),
    [anon_sym_BSLASHacrshort] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2244),
    [anon_sym_BSLASHACRshort] = ACTIONS(2244),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrlong] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2244),
    [anon_sym_BSLASHACRlong] = ACTIONS(2244),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrfull] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2244),
    [anon_sym_BSLASHACRfull] = ACTIONS(2244),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHacs] = ACTIONS(2244),
    [anon_sym_BSLASHAcs] = ACTIONS(2244),
    [anon_sym_BSLASHacsp] = ACTIONS(2244),
    [anon_sym_BSLASHAcsp] = ACTIONS(2244),
    [anon_sym_BSLASHacl] = ACTIONS(2244),
    [anon_sym_BSLASHAcl] = ACTIONS(2244),
    [anon_sym_BSLASHaclp] = ACTIONS(2244),
    [anon_sym_BSLASHAclp] = ACTIONS(2244),
    [anon_sym_BSLASHacf] = ACTIONS(2244),
    [anon_sym_BSLASHAcf] = ACTIONS(2244),
    [anon_sym_BSLASHacfp] = ACTIONS(2244),
    [anon_sym_BSLASHAcfp] = ACTIONS(2244),
    [anon_sym_BSLASHac] = ACTIONS(2244),
    [anon_sym_BSLASHAc] = ACTIONS(2244),
    [anon_sym_BSLASHacp] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2244),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2244),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2244),
    [anon_sym_BSLASHcolor] = ACTIONS(2244),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2244),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2244),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2244),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2244),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2244),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2244),
    [anon_sym_BSLASHurl] = ACTIONS(2244),
    [anon_sym_BSLASHhref] = ACTIONS(2244),
  },
  [906] = {
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(921),
    [aux_sym__section_repeat5] = STATE(921),
    [sym_command_name] = ACTIONS(2244),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_RBRACK] = ACTIONS(2246),
    [anon_sym_COMMA] = ACTIONS(2246),
    [anon_sym_EQ] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_RPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHpart] = ACTIONS(2244),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddpart] = ACTIONS(2244),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHchapter] = ACTIONS(2244),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddchap] = ACTIONS(2244),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsection] = ACTIONS(2244),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHaddsec] = ACTIONS(2244),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsection] = ACTIONS(2244),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2244),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHitem] = ACTIONS(2244),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [sym_word] = ACTIONS(2244),
    [sym_placeholder] = ACTIONS(2246),
    [sym_delimiter] = ACTIONS(2246),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_GT] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_PIPE] = ACTIONS(2244),
    [anon_sym_COLON] = ACTIONS(2244),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym__] = ACTIONS(2246),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2246),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2246),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2246),
    [anon_sym_DOLLAR] = ACTIONS(2244),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2246),
    [anon_sym_BSLASHleft] = ACTIONS(2244),
    [anon_sym_BSLASHbigl] = ACTIONS(2244),
    [anon_sym_BSLASHBigl] = ACTIONS(2244),
    [anon_sym_BSLASHbiggl] = ACTIONS(2244),
    [anon_sym_BSLASHBiggl] = ACTIONS(2244),
    [anon_sym_BSLASHtext] = ACTIONS(2244),
    [anon_sym_BSLASHintertext] = ACTIONS(2244),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2244),
    [anon_sym_BSLASHbegin] = ACTIONS(2244),
    [anon_sym_BSLASHtitle] = ACTIONS(2244),
    [anon_sym_BSLASHauthor] = ACTIONS(2244),
    [anon_sym_BSLASHusepackage] = ACTIONS(2244),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2244),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2244),
    [anon_sym_BSLASHinclude] = ACTIONS(2244),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2244),
    [anon_sym_BSLASHinput] = ACTIONS(2244),
    [anon_sym_BSLASHsubfile] = ACTIONS(2244),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2244),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2244),
    [anon_sym_BSLASHbibliography] = ACTIONS(2244),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2244),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2244),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2244),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2244),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2244),
    [anon_sym_BSLASHimport] = ACTIONS(2244),
    [anon_sym_BSLASHsubimport] = ACTIONS(2244),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2244),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2244),
    [anon_sym_BSLASHcaption] = ACTIONS(2244),
    [anon_sym_BSLASHcite] = ACTIONS(2244),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCite] = ACTIONS(2244),
    [anon_sym_BSLASHnocite] = ACTIONS(2244),
    [anon_sym_BSLASHcitet] = ACTIONS(2244),
    [anon_sym_BSLASHcitep] = ACTIONS(2244),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteA] = ACTIONS(2244),
    [anon_sym_BSLASHciteR] = ACTIONS(2244),
    [anon_sym_BSLASHciteS] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2244),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2244),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteyear] = ACTIONS(2244),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcitedate] = ACTIONS(2244),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHciteurl] = ACTIONS(2244),
    [anon_sym_BSLASHfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2244),
    [anon_sym_BSLASHcitealt] = ACTIONS(2244),
    [anon_sym_BSLASHcitealp] = ACTIONS(2244),
    [anon_sym_BSLASHcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHparencite] = ACTIONS(2244),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHParencite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2244),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2244),
    [anon_sym_BSLASHtextcite] = ACTIONS(2244),
    [anon_sym_BSLASHTextcite] = ACTIONS(2244),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2244),
    [anon_sym_BSLASHsupercite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite] = ACTIONS(2244),
    [anon_sym_BSLASHAutocite] = ACTIONS(2244),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHVolcite] = ACTIONS(2244),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHavolcite] = ACTIONS(2244),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2244),
    [anon_sym_BSLASHnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHNotecite] = ACTIONS(2244),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2244),
    [anon_sym_BSLASHlabel] = ACTIONS(2244),
    [anon_sym_BSLASHref] = ACTIONS(2244),
    [anon_sym_BSLASHeqref] = ACTIONS(2244),
    [anon_sym_BSLASHvref] = ACTIONS(2244),
    [anon_sym_BSLASHVref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref] = ACTIONS(2244),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHpageref] = ACTIONS(2244),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHautopageref] = ACTIONS(2244),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcref] = ACTIONS(2244),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCref] = ACTIONS(2244),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHCpageref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnameCref] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2244),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2244),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2244),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2244),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2244),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2244),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2244),
    [anon_sym_BSLASHdef] = ACTIONS(2244),
    [anon_sym_BSLASHgdef] = ACTIONS(2244),
    [anon_sym_BSLASHedef] = ACTIONS(2244),
    [anon_sym_BSLASHxdef] = ACTIONS(2244),
    [anon_sym_BSLASHlet] = ACTIONS(2244),
    [anon_sym_BSLASHglet] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2244),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2244),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2244),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2244),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2244),
    [anon_sym_BSLASHgls] = ACTIONS(2244),
    [anon_sym_BSLASHGls] = ACTIONS(2244),
    [anon_sym_BSLASHGLS] = ACTIONS(2244),
    [anon_sym_BSLASHglspl] = ACTIONS(2244),
    [anon_sym_BSLASHGlspl] = ACTIONS(2244),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2244),
    [anon_sym_BSLASHglslink] = ACTIONS(2244),
    [anon_sym_BSLASHglstext] = ACTIONS(2244),
    [anon_sym_BSLASHGlstext] = ACTIONS(2244),
    [anon_sym_BSLASHGLStext] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2244),
    [anon_sym_BSLASHglsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2244),
    [anon_sym_BSLASHglsname] = ACTIONS(2244),
    [anon_sym_BSLASHGlsname] = ACTIONS(2244),
    [anon_sym_BSLASHGLSname] = ACTIONS(2244),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2244),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2244),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2244),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2244),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2244),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2244),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2244),
    [anon_sym_BSLASHacrshort] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2244),
    [anon_sym_BSLASHACRshort] = ACTIONS(2244),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrlong] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2244),
    [anon_sym_BSLASHACRlong] = ACTIONS(2244),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2244),
    [anon_sym_BSLASHacrfull] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2244),
    [anon_sym_BSLASHACRfull] = ACTIONS(2244),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHacs] = ACTIONS(2244),
    [anon_sym_BSLASHAcs] = ACTIONS(2244),
    [anon_sym_BSLASHacsp] = ACTIONS(2244),
    [anon_sym_BSLASHAcsp] = ACTIONS(2244),
    [anon_sym_BSLASHacl] = ACTIONS(2244),
    [anon_sym_BSLASHAcl] = ACTIONS(2244),
    [anon_sym_BSLASHaclp] = ACTIONS(2244),
    [anon_sym_BSLASHAclp] = ACTIONS(2244),
    [anon_sym_BSLASHacf] = ACTIONS(2244),
    [anon_sym_BSLASHAcf] = ACTIONS(2244),
    [anon_sym_BSLASHacfp] = ACTIONS(2244),
    [anon_sym_BSLASHAcfp] = ACTIONS(2244),
    [anon_sym_BSLASHac] = ACTIONS(2244),
    [anon_sym_BSLASHAc] = ACTIONS(2244),
    [anon_sym_BSLASHacp] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2244),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2244),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2244),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2244),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2246),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2244),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2244),
    [anon_sym_BSLASHcolor] = ACTIONS(2244),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2244),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2244),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2244),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2244),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2244),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2244),
    [anon_sym_BSLASHurl] = ACTIONS(2244),
    [anon_sym_BSLASHhref] = ACTIONS(2244),
  },
  [907] = {
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(919),
    [aux_sym__section_repeat3] = STATE(919),
    [sym_command_name] = ACTIONS(2260),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_RBRACK] = ACTIONS(2262),
    [anon_sym_COMMA] = ACTIONS(2262),
    [anon_sym_EQ] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_RPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHpart] = ACTIONS(2260),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddpart] = ACTIONS(2260),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHchapter] = ACTIONS(2260),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddchap] = ACTIONS(2260),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(2260),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2260),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHitem] = ACTIONS(2260),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [sym_word] = ACTIONS(2260),
    [sym_placeholder] = ACTIONS(2262),
    [sym_delimiter] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_PIPE] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(2260),
    [anon_sym_SQUOTE] = ACTIONS(2260),
    [anon_sym__] = ACTIONS(2262),
    [anon_sym_CARET] = ACTIONS(2262),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2262),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2262),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2262),
    [anon_sym_DOLLAR] = ACTIONS(2260),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHleft] = ACTIONS(2260),
    [anon_sym_BSLASHbigl] = ACTIONS(2260),
    [anon_sym_BSLASHBigl] = ACTIONS(2260),
    [anon_sym_BSLASHbiggl] = ACTIONS(2260),
    [anon_sym_BSLASHBiggl] = ACTIONS(2260),
    [anon_sym_BSLASHtext] = ACTIONS(2260),
    [anon_sym_BSLASHintertext] = ACTIONS(2260),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2260),
    [anon_sym_BSLASHbegin] = ACTIONS(2260),
    [anon_sym_BSLASHtitle] = ACTIONS(2260),
    [anon_sym_BSLASHauthor] = ACTIONS(2260),
    [anon_sym_BSLASHusepackage] = ACTIONS(2260),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2260),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2260),
    [anon_sym_BSLASHinclude] = ACTIONS(2260),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2260),
    [anon_sym_BSLASHinput] = ACTIONS(2260),
    [anon_sym_BSLASHsubfile] = ACTIONS(2260),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2260),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2260),
    [anon_sym_BSLASHbibliography] = ACTIONS(2260),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2260),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2260),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2260),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2260),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2260),
    [anon_sym_BSLASHimport] = ACTIONS(2260),
    [anon_sym_BSLASHsubimport] = ACTIONS(2260),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2260),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHcaption] = ACTIONS(2260),
    [anon_sym_BSLASHcite] = ACTIONS(2260),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCite] = ACTIONS(2260),
    [anon_sym_BSLASHnocite] = ACTIONS(2260),
    [anon_sym_BSLASHcitet] = ACTIONS(2260),
    [anon_sym_BSLASHcitep] = ACTIONS(2260),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteA] = ACTIONS(2260),
    [anon_sym_BSLASHciteR] = ACTIONS(2260),
    [anon_sym_BSLASHciteS] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2260),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteyear] = ACTIONS(2260),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitedate] = ACTIONS(2260),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteurl] = ACTIONS(2260),
    [anon_sym_BSLASHfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2260),
    [anon_sym_BSLASHcitealt] = ACTIONS(2260),
    [anon_sym_BSLASHcitealp] = ACTIONS(2260),
    [anon_sym_BSLASHcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHparencite] = ACTIONS(2260),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHParencite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHtextcite] = ACTIONS(2260),
    [anon_sym_BSLASHTextcite] = ACTIONS(2260),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHsupercite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite] = ACTIONS(2260),
    [anon_sym_BSLASHAutocite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHVolcite] = ACTIONS(2260),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHavolcite] = ACTIONS(2260),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHNotecite] = ACTIONS(2260),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHlabel] = ACTIONS(2260),
    [anon_sym_BSLASHref] = ACTIONS(2260),
    [anon_sym_BSLASHeqref] = ACTIONS(2260),
    [anon_sym_BSLASHvref] = ACTIONS(2260),
    [anon_sym_BSLASHVref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHpageref] = ACTIONS(2260),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHautopageref] = ACTIONS(2260),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcref] = ACTIONS(2260),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCref] = ACTIONS(2260),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHCpageref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnameCref] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2260),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHdef] = ACTIONS(2260),
    [anon_sym_BSLASHgdef] = ACTIONS(2260),
    [anon_sym_BSLASHedef] = ACTIONS(2260),
    [anon_sym_BSLASHxdef] = ACTIONS(2260),
    [anon_sym_BSLASHlet] = ACTIONS(2260),
    [anon_sym_BSLASHglet] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2260),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2260),
    [anon_sym_BSLASHgls] = ACTIONS(2260),
    [anon_sym_BSLASHGls] = ACTIONS(2260),
    [anon_sym_BSLASHGLS] = ACTIONS(2260),
    [anon_sym_BSLASHglspl] = ACTIONS(2260),
    [anon_sym_BSLASHGlspl] = ACTIONS(2260),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2260),
    [anon_sym_BSLASHglslink] = ACTIONS(2260),
    [anon_sym_BSLASHglstext] = ACTIONS(2260),
    [anon_sym_BSLASHGlstext] = ACTIONS(2260),
    [anon_sym_BSLASHGLStext] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2260),
    [anon_sym_BSLASHglsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsname] = ACTIONS(2260),
    [anon_sym_BSLASHGlsname] = ACTIONS(2260),
    [anon_sym_BSLASHGLSname] = ACTIONS(2260),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2260),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2260),
    [anon_sym_BSLASHacrshort] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2260),
    [anon_sym_BSLASHACRshort] = ACTIONS(2260),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrlong] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2260),
    [anon_sym_BSLASHACRlong] = ACTIONS(2260),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrfull] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2260),
    [anon_sym_BSLASHACRfull] = ACTIONS(2260),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHacs] = ACTIONS(2260),
    [anon_sym_BSLASHAcs] = ACTIONS(2260),
    [anon_sym_BSLASHacsp] = ACTIONS(2260),
    [anon_sym_BSLASHAcsp] = ACTIONS(2260),
    [anon_sym_BSLASHacl] = ACTIONS(2260),
    [anon_sym_BSLASHAcl] = ACTIONS(2260),
    [anon_sym_BSLASHaclp] = ACTIONS(2260),
    [anon_sym_BSLASHAclp] = ACTIONS(2260),
    [anon_sym_BSLASHacf] = ACTIONS(2260),
    [anon_sym_BSLASHAcf] = ACTIONS(2260),
    [anon_sym_BSLASHacfp] = ACTIONS(2260),
    [anon_sym_BSLASHAcfp] = ACTIONS(2260),
    [anon_sym_BSLASHac] = ACTIONS(2260),
    [anon_sym_BSLASHAc] = ACTIONS(2260),
    [anon_sym_BSLASHacp] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2260),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2260),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2260),
    [anon_sym_BSLASHcolor] = ACTIONS(2260),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2260),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2260),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2260),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2260),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2260),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2260),
    [anon_sym_BSLASHurl] = ACTIONS(2260),
    [anon_sym_BSLASHhref] = ACTIONS(2260),
  },
  [908] = {
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(920),
    [aux_sym__section_repeat4] = STATE(920),
    [sym_command_name] = ACTIONS(2260),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_RBRACK] = ACTIONS(2262),
    [anon_sym_COMMA] = ACTIONS(2262),
    [anon_sym_EQ] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_RPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHpart] = ACTIONS(2260),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddpart] = ACTIONS(2260),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHchapter] = ACTIONS(2260),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddchap] = ACTIONS(2260),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsection] = ACTIONS(2260),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddsec] = ACTIONS(2260),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2260),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHitem] = ACTIONS(2260),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [sym_word] = ACTIONS(2260),
    [sym_placeholder] = ACTIONS(2262),
    [sym_delimiter] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_PIPE] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(2260),
    [anon_sym_SQUOTE] = ACTIONS(2260),
    [anon_sym__] = ACTIONS(2262),
    [anon_sym_CARET] = ACTIONS(2262),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2262),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2262),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2262),
    [anon_sym_DOLLAR] = ACTIONS(2260),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHleft] = ACTIONS(2260),
    [anon_sym_BSLASHbigl] = ACTIONS(2260),
    [anon_sym_BSLASHBigl] = ACTIONS(2260),
    [anon_sym_BSLASHbiggl] = ACTIONS(2260),
    [anon_sym_BSLASHBiggl] = ACTIONS(2260),
    [anon_sym_BSLASHtext] = ACTIONS(2260),
    [anon_sym_BSLASHintertext] = ACTIONS(2260),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2260),
    [anon_sym_BSLASHbegin] = ACTIONS(2260),
    [anon_sym_BSLASHtitle] = ACTIONS(2260),
    [anon_sym_BSLASHauthor] = ACTIONS(2260),
    [anon_sym_BSLASHusepackage] = ACTIONS(2260),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2260),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2260),
    [anon_sym_BSLASHinclude] = ACTIONS(2260),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2260),
    [anon_sym_BSLASHinput] = ACTIONS(2260),
    [anon_sym_BSLASHsubfile] = ACTIONS(2260),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2260),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2260),
    [anon_sym_BSLASHbibliography] = ACTIONS(2260),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2260),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2260),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2260),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2260),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2260),
    [anon_sym_BSLASHimport] = ACTIONS(2260),
    [anon_sym_BSLASHsubimport] = ACTIONS(2260),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2260),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHcaption] = ACTIONS(2260),
    [anon_sym_BSLASHcite] = ACTIONS(2260),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCite] = ACTIONS(2260),
    [anon_sym_BSLASHnocite] = ACTIONS(2260),
    [anon_sym_BSLASHcitet] = ACTIONS(2260),
    [anon_sym_BSLASHcitep] = ACTIONS(2260),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteA] = ACTIONS(2260),
    [anon_sym_BSLASHciteR] = ACTIONS(2260),
    [anon_sym_BSLASHciteS] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2260),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteyear] = ACTIONS(2260),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitedate] = ACTIONS(2260),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteurl] = ACTIONS(2260),
    [anon_sym_BSLASHfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2260),
    [anon_sym_BSLASHcitealt] = ACTIONS(2260),
    [anon_sym_BSLASHcitealp] = ACTIONS(2260),
    [anon_sym_BSLASHcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHparencite] = ACTIONS(2260),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHParencite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHtextcite] = ACTIONS(2260),
    [anon_sym_BSLASHTextcite] = ACTIONS(2260),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHsupercite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite] = ACTIONS(2260),
    [anon_sym_BSLASHAutocite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHVolcite] = ACTIONS(2260),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHavolcite] = ACTIONS(2260),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHNotecite] = ACTIONS(2260),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHlabel] = ACTIONS(2260),
    [anon_sym_BSLASHref] = ACTIONS(2260),
    [anon_sym_BSLASHeqref] = ACTIONS(2260),
    [anon_sym_BSLASHvref] = ACTIONS(2260),
    [anon_sym_BSLASHVref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHpageref] = ACTIONS(2260),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHautopageref] = ACTIONS(2260),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcref] = ACTIONS(2260),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCref] = ACTIONS(2260),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHCpageref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnameCref] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2260),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHdef] = ACTIONS(2260),
    [anon_sym_BSLASHgdef] = ACTIONS(2260),
    [anon_sym_BSLASHedef] = ACTIONS(2260),
    [anon_sym_BSLASHxdef] = ACTIONS(2260),
    [anon_sym_BSLASHlet] = ACTIONS(2260),
    [anon_sym_BSLASHglet] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2260),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2260),
    [anon_sym_BSLASHgls] = ACTIONS(2260),
    [anon_sym_BSLASHGls] = ACTIONS(2260),
    [anon_sym_BSLASHGLS] = ACTIONS(2260),
    [anon_sym_BSLASHglspl] = ACTIONS(2260),
    [anon_sym_BSLASHGlspl] = ACTIONS(2260),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2260),
    [anon_sym_BSLASHglslink] = ACTIONS(2260),
    [anon_sym_BSLASHglstext] = ACTIONS(2260),
    [anon_sym_BSLASHGlstext] = ACTIONS(2260),
    [anon_sym_BSLASHGLStext] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2260),
    [anon_sym_BSLASHglsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsname] = ACTIONS(2260),
    [anon_sym_BSLASHGlsname] = ACTIONS(2260),
    [anon_sym_BSLASHGLSname] = ACTIONS(2260),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2260),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2260),
    [anon_sym_BSLASHacrshort] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2260),
    [anon_sym_BSLASHACRshort] = ACTIONS(2260),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrlong] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2260),
    [anon_sym_BSLASHACRlong] = ACTIONS(2260),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrfull] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2260),
    [anon_sym_BSLASHACRfull] = ACTIONS(2260),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHacs] = ACTIONS(2260),
    [anon_sym_BSLASHAcs] = ACTIONS(2260),
    [anon_sym_BSLASHacsp] = ACTIONS(2260),
    [anon_sym_BSLASHAcsp] = ACTIONS(2260),
    [anon_sym_BSLASHacl] = ACTIONS(2260),
    [anon_sym_BSLASHAcl] = ACTIONS(2260),
    [anon_sym_BSLASHaclp] = ACTIONS(2260),
    [anon_sym_BSLASHAclp] = ACTIONS(2260),
    [anon_sym_BSLASHacf] = ACTIONS(2260),
    [anon_sym_BSLASHAcf] = ACTIONS(2260),
    [anon_sym_BSLASHacfp] = ACTIONS(2260),
    [anon_sym_BSLASHAcfp] = ACTIONS(2260),
    [anon_sym_BSLASHac] = ACTIONS(2260),
    [anon_sym_BSLASHAc] = ACTIONS(2260),
    [anon_sym_BSLASHacp] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2260),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2260),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2260),
    [anon_sym_BSLASHcolor] = ACTIONS(2260),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2260),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2260),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2260),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2260),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2260),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2260),
    [anon_sym_BSLASHurl] = ACTIONS(2260),
    [anon_sym_BSLASHhref] = ACTIONS(2260),
  },
  [909] = {
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(921),
    [aux_sym__section_repeat5] = STATE(921),
    [sym_command_name] = ACTIONS(2260),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_RBRACK] = ACTIONS(2262),
    [anon_sym_COMMA] = ACTIONS(2262),
    [anon_sym_EQ] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_RPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHpart] = ACTIONS(2260),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddpart] = ACTIONS(2260),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHchapter] = ACTIONS(2260),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddchap] = ACTIONS(2260),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsection] = ACTIONS(2260),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHaddsec] = ACTIONS(2260),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubsection] = ACTIONS(2260),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2260),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHitem] = ACTIONS(2260),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [sym_word] = ACTIONS(2260),
    [sym_placeholder] = ACTIONS(2262),
    [sym_delimiter] = ACTIONS(2262),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_GT] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_PIPE] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(2260),
    [anon_sym_SQUOTE] = ACTIONS(2260),
    [anon_sym__] = ACTIONS(2262),
    [anon_sym_CARET] = ACTIONS(2262),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2262),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2262),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2262),
    [anon_sym_DOLLAR] = ACTIONS(2260),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2262),
    [anon_sym_BSLASHleft] = ACTIONS(2260),
    [anon_sym_BSLASHbigl] = ACTIONS(2260),
    [anon_sym_BSLASHBigl] = ACTIONS(2260),
    [anon_sym_BSLASHbiggl] = ACTIONS(2260),
    [anon_sym_BSLASHBiggl] = ACTIONS(2260),
    [anon_sym_BSLASHtext] = ACTIONS(2260),
    [anon_sym_BSLASHintertext] = ACTIONS(2260),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2260),
    [anon_sym_BSLASHbegin] = ACTIONS(2260),
    [anon_sym_BSLASHtitle] = ACTIONS(2260),
    [anon_sym_BSLASHauthor] = ACTIONS(2260),
    [anon_sym_BSLASHusepackage] = ACTIONS(2260),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2260),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2260),
    [anon_sym_BSLASHinclude] = ACTIONS(2260),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2260),
    [anon_sym_BSLASHinput] = ACTIONS(2260),
    [anon_sym_BSLASHsubfile] = ACTIONS(2260),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2260),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2260),
    [anon_sym_BSLASHbibliography] = ACTIONS(2260),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2260),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2260),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2260),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2260),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2260),
    [anon_sym_BSLASHimport] = ACTIONS(2260),
    [anon_sym_BSLASHsubimport] = ACTIONS(2260),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2260),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2260),
    [anon_sym_BSLASHcaption] = ACTIONS(2260),
    [anon_sym_BSLASHcite] = ACTIONS(2260),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCite] = ACTIONS(2260),
    [anon_sym_BSLASHnocite] = ACTIONS(2260),
    [anon_sym_BSLASHcitet] = ACTIONS(2260),
    [anon_sym_BSLASHcitep] = ACTIONS(2260),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteA] = ACTIONS(2260),
    [anon_sym_BSLASHciteR] = ACTIONS(2260),
    [anon_sym_BSLASHciteS] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2260),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2260),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteyear] = ACTIONS(2260),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcitedate] = ACTIONS(2260),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHciteurl] = ACTIONS(2260),
    [anon_sym_BSLASHfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2260),
    [anon_sym_BSLASHcitealt] = ACTIONS(2260),
    [anon_sym_BSLASHcitealp] = ACTIONS(2260),
    [anon_sym_BSLASHcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHparencite] = ACTIONS(2260),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHParencite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2260),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2260),
    [anon_sym_BSLASHtextcite] = ACTIONS(2260),
    [anon_sym_BSLASHTextcite] = ACTIONS(2260),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2260),
    [anon_sym_BSLASHsupercite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite] = ACTIONS(2260),
    [anon_sym_BSLASHAutocite] = ACTIONS(2260),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHVolcite] = ACTIONS(2260),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHavolcite] = ACTIONS(2260),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2260),
    [anon_sym_BSLASHnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHNotecite] = ACTIONS(2260),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2260),
    [anon_sym_BSLASHlabel] = ACTIONS(2260),
    [anon_sym_BSLASHref] = ACTIONS(2260),
    [anon_sym_BSLASHeqref] = ACTIONS(2260),
    [anon_sym_BSLASHvref] = ACTIONS(2260),
    [anon_sym_BSLASHVref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref] = ACTIONS(2260),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHpageref] = ACTIONS(2260),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHautopageref] = ACTIONS(2260),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcref] = ACTIONS(2260),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCref] = ACTIONS(2260),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHCpageref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnameCref] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2260),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2260),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2260),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2260),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2260),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2260),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2260),
    [anon_sym_BSLASHdef] = ACTIONS(2260),
    [anon_sym_BSLASHgdef] = ACTIONS(2260),
    [anon_sym_BSLASHedef] = ACTIONS(2260),
    [anon_sym_BSLASHxdef] = ACTIONS(2260),
    [anon_sym_BSLASHlet] = ACTIONS(2260),
    [anon_sym_BSLASHglet] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2260),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2260),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2260),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2260),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2260),
    [anon_sym_BSLASHgls] = ACTIONS(2260),
    [anon_sym_BSLASHGls] = ACTIONS(2260),
    [anon_sym_BSLASHGLS] = ACTIONS(2260),
    [anon_sym_BSLASHglspl] = ACTIONS(2260),
    [anon_sym_BSLASHGlspl] = ACTIONS(2260),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2260),
    [anon_sym_BSLASHglslink] = ACTIONS(2260),
    [anon_sym_BSLASHglstext] = ACTIONS(2260),
    [anon_sym_BSLASHGlstext] = ACTIONS(2260),
    [anon_sym_BSLASHGLStext] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2260),
    [anon_sym_BSLASHglsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2260),
    [anon_sym_BSLASHglsname] = ACTIONS(2260),
    [anon_sym_BSLASHGlsname] = ACTIONS(2260),
    [anon_sym_BSLASHGLSname] = ACTIONS(2260),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2260),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2260),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2260),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2260),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2260),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2260),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2260),
    [anon_sym_BSLASHacrshort] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2260),
    [anon_sym_BSLASHACRshort] = ACTIONS(2260),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrlong] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2260),
    [anon_sym_BSLASHACRlong] = ACTIONS(2260),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2260),
    [anon_sym_BSLASHacrfull] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2260),
    [anon_sym_BSLASHACRfull] = ACTIONS(2260),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHacs] = ACTIONS(2260),
    [anon_sym_BSLASHAcs] = ACTIONS(2260),
    [anon_sym_BSLASHacsp] = ACTIONS(2260),
    [anon_sym_BSLASHAcsp] = ACTIONS(2260),
    [anon_sym_BSLASHacl] = ACTIONS(2260),
    [anon_sym_BSLASHAcl] = ACTIONS(2260),
    [anon_sym_BSLASHaclp] = ACTIONS(2260),
    [anon_sym_BSLASHAclp] = ACTIONS(2260),
    [anon_sym_BSLASHacf] = ACTIONS(2260),
    [anon_sym_BSLASHAcf] = ACTIONS(2260),
    [anon_sym_BSLASHacfp] = ACTIONS(2260),
    [anon_sym_BSLASHAcfp] = ACTIONS(2260),
    [anon_sym_BSLASHac] = ACTIONS(2260),
    [anon_sym_BSLASHAc] = ACTIONS(2260),
    [anon_sym_BSLASHacp] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2260),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2260),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2260),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2260),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2262),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2260),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2260),
    [anon_sym_BSLASHcolor] = ACTIONS(2260),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2260),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2260),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2260),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2260),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2260),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2260),
    [anon_sym_BSLASHurl] = ACTIONS(2260),
    [anon_sym_BSLASHhref] = ACTIONS(2260),
  },
  [910] = {
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(920),
    [aux_sym__section_repeat4] = STATE(920),
    [sym_command_name] = ACTIONS(2290),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2290),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_RBRACK] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(2292),
    [anon_sym_EQ] = ACTIONS(2292),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_RPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHpart] = ACTIONS(2290),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddpart] = ACTIONS(2290),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHchapter] = ACTIONS(2290),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddchap] = ACTIONS(2290),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsection] = ACTIONS(2290),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddsec] = ACTIONS(2290),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2290),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHitem] = ACTIONS(2290),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2292),
    [anon_sym_LBRACE] = ACTIONS(2292),
    [sym_word] = ACTIONS(2290),
    [sym_placeholder] = ACTIONS(2292),
    [sym_delimiter] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2292),
    [anon_sym_SLASH] = ACTIONS(2292),
    [anon_sym_LT] = ACTIONS(2290),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(2290),
    [anon_sym_PIPE] = ACTIONS(2290),
    [anon_sym_COLON] = ACTIONS(2290),
    [anon_sym_SQUOTE] = ACTIONS(2290),
    [anon_sym__] = ACTIONS(2292),
    [anon_sym_CARET] = ACTIONS(2292),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2292),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2292),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2292),
    [anon_sym_DOLLAR] = ACTIONS(2290),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHleft] = ACTIONS(2290),
    [anon_sym_BSLASHbigl] = ACTIONS(2290),
    [anon_sym_BSLASHBigl] = ACTIONS(2290),
    [anon_sym_BSLASHbiggl] = ACTIONS(2290),
    [anon_sym_BSLASHBiggl] = ACTIONS(2290),
    [anon_sym_BSLASHtext] = ACTIONS(2290),
    [anon_sym_BSLASHintertext] = ACTIONS(2290),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2290),
    [anon_sym_BSLASHbegin] = ACTIONS(2290),
    [anon_sym_BSLASHtitle] = ACTIONS(2290),
    [anon_sym_BSLASHauthor] = ACTIONS(2290),
    [anon_sym_BSLASHusepackage] = ACTIONS(2290),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2290),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2290),
    [anon_sym_BSLASHinclude] = ACTIONS(2290),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2290),
    [anon_sym_BSLASHinput] = ACTIONS(2290),
    [anon_sym_BSLASHsubfile] = ACTIONS(2290),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2290),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2290),
    [anon_sym_BSLASHbibliography] = ACTIONS(2290),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2290),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2290),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2290),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2290),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2290),
    [anon_sym_BSLASHimport] = ACTIONS(2290),
    [anon_sym_BSLASHsubimport] = ACTIONS(2290),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2290),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHcaption] = ACTIONS(2290),
    [anon_sym_BSLASHcite] = ACTIONS(2290),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCite] = ACTIONS(2290),
    [anon_sym_BSLASHnocite] = ACTIONS(2290),
    [anon_sym_BSLASHcitet] = ACTIONS(2290),
    [anon_sym_BSLASHcitep] = ACTIONS(2290),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteA] = ACTIONS(2290),
    [anon_sym_BSLASHciteR] = ACTIONS(2290),
    [anon_sym_BSLASHciteS] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2290),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteyear] = ACTIONS(2290),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitedate] = ACTIONS(2290),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteurl] = ACTIONS(2290),
    [anon_sym_BSLASHfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2290),
    [anon_sym_BSLASHcitealt] = ACTIONS(2290),
    [anon_sym_BSLASHcitealp] = ACTIONS(2290),
    [anon_sym_BSLASHcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHparencite] = ACTIONS(2290),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHParencite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHtextcite] = ACTIONS(2290),
    [anon_sym_BSLASHTextcite] = ACTIONS(2290),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHsupercite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite] = ACTIONS(2290),
    [anon_sym_BSLASHAutocite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHVolcite] = ACTIONS(2290),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHavolcite] = ACTIONS(2290),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHNotecite] = ACTIONS(2290),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHlabel] = ACTIONS(2290),
    [anon_sym_BSLASHref] = ACTIONS(2290),
    [anon_sym_BSLASHeqref] = ACTIONS(2290),
    [anon_sym_BSLASHvref] = ACTIONS(2290),
    [anon_sym_BSLASHVref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHpageref] = ACTIONS(2290),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHautopageref] = ACTIONS(2290),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcref] = ACTIONS(2290),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCref] = ACTIONS(2290),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHCpageref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnameCref] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2290),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHdef] = ACTIONS(2290),
    [anon_sym_BSLASHgdef] = ACTIONS(2290),
    [anon_sym_BSLASHedef] = ACTIONS(2290),
    [anon_sym_BSLASHxdef] = ACTIONS(2290),
    [anon_sym_BSLASHlet] = ACTIONS(2290),
    [anon_sym_BSLASHglet] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2290),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2290),
    [anon_sym_BSLASHgls] = ACTIONS(2290),
    [anon_sym_BSLASHGls] = ACTIONS(2290),
    [anon_sym_BSLASHGLS] = ACTIONS(2290),
    [anon_sym_BSLASHglspl] = ACTIONS(2290),
    [anon_sym_BSLASHGlspl] = ACTIONS(2290),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2290),
    [anon_sym_BSLASHglslink] = ACTIONS(2290),
    [anon_sym_BSLASHglstext] = ACTIONS(2290),
    [anon_sym_BSLASHGlstext] = ACTIONS(2290),
    [anon_sym_BSLASHGLStext] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2290),
    [anon_sym_BSLASHglsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsname] = ACTIONS(2290),
    [anon_sym_BSLASHGlsname] = ACTIONS(2290),
    [anon_sym_BSLASHGLSname] = ACTIONS(2290),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2290),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2290),
    [anon_sym_BSLASHacrshort] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2290),
    [anon_sym_BSLASHACRshort] = ACTIONS(2290),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrlong] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2290),
    [anon_sym_BSLASHACRlong] = ACTIONS(2290),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrfull] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2290),
    [anon_sym_BSLASHACRfull] = ACTIONS(2290),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHacs] = ACTIONS(2290),
    [anon_sym_BSLASHAcs] = ACTIONS(2290),
    [anon_sym_BSLASHacsp] = ACTIONS(2290),
    [anon_sym_BSLASHAcsp] = ACTIONS(2290),
    [anon_sym_BSLASHacl] = ACTIONS(2290),
    [anon_sym_BSLASHAcl] = ACTIONS(2290),
    [anon_sym_BSLASHaclp] = ACTIONS(2290),
    [anon_sym_BSLASHAclp] = ACTIONS(2290),
    [anon_sym_BSLASHacf] = ACTIONS(2290),
    [anon_sym_BSLASHAcf] = ACTIONS(2290),
    [anon_sym_BSLASHacfp] = ACTIONS(2290),
    [anon_sym_BSLASHAcfp] = ACTIONS(2290),
    [anon_sym_BSLASHac] = ACTIONS(2290),
    [anon_sym_BSLASHAc] = ACTIONS(2290),
    [anon_sym_BSLASHacp] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2290),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2290),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2290),
    [anon_sym_BSLASHcolor] = ACTIONS(2290),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2290),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2290),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2290),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2290),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2290),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2290),
    [anon_sym_BSLASHurl] = ACTIONS(2290),
    [anon_sym_BSLASHhref] = ACTIONS(2290),
  },
  [911] = {
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(921),
    [aux_sym__section_repeat5] = STATE(921),
    [sym_command_name] = ACTIONS(2290),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2290),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_RBRACK] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(2292),
    [anon_sym_EQ] = ACTIONS(2292),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_RPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHpart] = ACTIONS(2290),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddpart] = ACTIONS(2290),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHchapter] = ACTIONS(2290),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddchap] = ACTIONS(2290),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsection] = ACTIONS(2290),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHaddsec] = ACTIONS(2290),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubsection] = ACTIONS(2290),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2290),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHitem] = ACTIONS(2290),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2292),
    [anon_sym_LBRACE] = ACTIONS(2292),
    [sym_word] = ACTIONS(2290),
    [sym_placeholder] = ACTIONS(2292),
    [sym_delimiter] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2292),
    [anon_sym_SLASH] = ACTIONS(2292),
    [anon_sym_LT] = ACTIONS(2290),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(2290),
    [anon_sym_PIPE] = ACTIONS(2290),
    [anon_sym_COLON] = ACTIONS(2290),
    [anon_sym_SQUOTE] = ACTIONS(2290),
    [anon_sym__] = ACTIONS(2292),
    [anon_sym_CARET] = ACTIONS(2292),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2292),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2292),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2292),
    [anon_sym_DOLLAR] = ACTIONS(2290),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2292),
    [anon_sym_BSLASHleft] = ACTIONS(2290),
    [anon_sym_BSLASHbigl] = ACTIONS(2290),
    [anon_sym_BSLASHBigl] = ACTIONS(2290),
    [anon_sym_BSLASHbiggl] = ACTIONS(2290),
    [anon_sym_BSLASHBiggl] = ACTIONS(2290),
    [anon_sym_BSLASHtext] = ACTIONS(2290),
    [anon_sym_BSLASHintertext] = ACTIONS(2290),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2290),
    [anon_sym_BSLASHbegin] = ACTIONS(2290),
    [anon_sym_BSLASHtitle] = ACTIONS(2290),
    [anon_sym_BSLASHauthor] = ACTIONS(2290),
    [anon_sym_BSLASHusepackage] = ACTIONS(2290),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2290),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2290),
    [anon_sym_BSLASHinclude] = ACTIONS(2290),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2290),
    [anon_sym_BSLASHinput] = ACTIONS(2290),
    [anon_sym_BSLASHsubfile] = ACTIONS(2290),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2290),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2290),
    [anon_sym_BSLASHbibliography] = ACTIONS(2290),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2290),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2290),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2290),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2290),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2290),
    [anon_sym_BSLASHimport] = ACTIONS(2290),
    [anon_sym_BSLASHsubimport] = ACTIONS(2290),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2290),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2290),
    [anon_sym_BSLASHcaption] = ACTIONS(2290),
    [anon_sym_BSLASHcite] = ACTIONS(2290),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCite] = ACTIONS(2290),
    [anon_sym_BSLASHnocite] = ACTIONS(2290),
    [anon_sym_BSLASHcitet] = ACTIONS(2290),
    [anon_sym_BSLASHcitep] = ACTIONS(2290),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteA] = ACTIONS(2290),
    [anon_sym_BSLASHciteR] = ACTIONS(2290),
    [anon_sym_BSLASHciteS] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2290),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2290),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteyear] = ACTIONS(2290),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcitedate] = ACTIONS(2290),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHciteurl] = ACTIONS(2290),
    [anon_sym_BSLASHfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2290),
    [anon_sym_BSLASHcitealt] = ACTIONS(2290),
    [anon_sym_BSLASHcitealp] = ACTIONS(2290),
    [anon_sym_BSLASHcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHparencite] = ACTIONS(2290),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHParencite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2290),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2290),
    [anon_sym_BSLASHtextcite] = ACTIONS(2290),
    [anon_sym_BSLASHTextcite] = ACTIONS(2290),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2290),
    [anon_sym_BSLASHsupercite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite] = ACTIONS(2290),
    [anon_sym_BSLASHAutocite] = ACTIONS(2290),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHVolcite] = ACTIONS(2290),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHavolcite] = ACTIONS(2290),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2290),
    [anon_sym_BSLASHnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHNotecite] = ACTIONS(2290),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2290),
    [anon_sym_BSLASHlabel] = ACTIONS(2290),
    [anon_sym_BSLASHref] = ACTIONS(2290),
    [anon_sym_BSLASHeqref] = ACTIONS(2290),
    [anon_sym_BSLASHvref] = ACTIONS(2290),
    [anon_sym_BSLASHVref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref] = ACTIONS(2290),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHpageref] = ACTIONS(2290),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHautopageref] = ACTIONS(2290),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcref] = ACTIONS(2290),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCref] = ACTIONS(2290),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHCpageref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnameCref] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2290),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2290),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2290),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2290),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2290),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2290),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2290),
    [anon_sym_BSLASHdef] = ACTIONS(2290),
    [anon_sym_BSLASHgdef] = ACTIONS(2290),
    [anon_sym_BSLASHedef] = ACTIONS(2290),
    [anon_sym_BSLASHxdef] = ACTIONS(2290),
    [anon_sym_BSLASHlet] = ACTIONS(2290),
    [anon_sym_BSLASHglet] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2290),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2290),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2290),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2290),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2290),
    [anon_sym_BSLASHgls] = ACTIONS(2290),
    [anon_sym_BSLASHGls] = ACTIONS(2290),
    [anon_sym_BSLASHGLS] = ACTIONS(2290),
    [anon_sym_BSLASHglspl] = ACTIONS(2290),
    [anon_sym_BSLASHGlspl] = ACTIONS(2290),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2290),
    [anon_sym_BSLASHglslink] = ACTIONS(2290),
    [anon_sym_BSLASHglstext] = ACTIONS(2290),
    [anon_sym_BSLASHGlstext] = ACTIONS(2290),
    [anon_sym_BSLASHGLStext] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2290),
    [anon_sym_BSLASHglsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2290),
    [anon_sym_BSLASHglsname] = ACTIONS(2290),
    [anon_sym_BSLASHGlsname] = ACTIONS(2290),
    [anon_sym_BSLASHGLSname] = ACTIONS(2290),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2290),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2290),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2290),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2290),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2290),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2290),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2290),
    [anon_sym_BSLASHacrshort] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2290),
    [anon_sym_BSLASHACRshort] = ACTIONS(2290),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrlong] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2290),
    [anon_sym_BSLASHACRlong] = ACTIONS(2290),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2290),
    [anon_sym_BSLASHacrfull] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2290),
    [anon_sym_BSLASHACRfull] = ACTIONS(2290),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHacs] = ACTIONS(2290),
    [anon_sym_BSLASHAcs] = ACTIONS(2290),
    [anon_sym_BSLASHacsp] = ACTIONS(2290),
    [anon_sym_BSLASHAcsp] = ACTIONS(2290),
    [anon_sym_BSLASHacl] = ACTIONS(2290),
    [anon_sym_BSLASHAcl] = ACTIONS(2290),
    [anon_sym_BSLASHaclp] = ACTIONS(2290),
    [anon_sym_BSLASHAclp] = ACTIONS(2290),
    [anon_sym_BSLASHacf] = ACTIONS(2290),
    [anon_sym_BSLASHAcf] = ACTIONS(2290),
    [anon_sym_BSLASHacfp] = ACTIONS(2290),
    [anon_sym_BSLASHAcfp] = ACTIONS(2290),
    [anon_sym_BSLASHac] = ACTIONS(2290),
    [anon_sym_BSLASHAc] = ACTIONS(2290),
    [anon_sym_BSLASHacp] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2290),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2290),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2290),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2290),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2292),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2290),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2290),
    [anon_sym_BSLASHcolor] = ACTIONS(2290),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2290),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2290),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2290),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2290),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2290),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2290),
    [anon_sym_BSLASHurl] = ACTIONS(2290),
    [anon_sym_BSLASHhref] = ACTIONS(2290),
  },
  [912] = {
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(944),
    [aux_sym__section_repeat5] = STATE(944),
    [sym_command_name] = ACTIONS(2308),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_BSLASHpart] = ACTIONS(2308),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddpart] = ACTIONS(2308),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHchapter] = ACTIONS(2308),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddchap] = ACTIONS(2308),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsection] = ACTIONS(2308),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddsec] = ACTIONS(2308),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsection] = ACTIONS(2308),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(2308),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2308),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHitem] = ACTIONS(2308),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [sym_word] = ACTIONS(2308),
    [sym_placeholder] = ACTIONS(2310),
    [sym_delimiter] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_STAR] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2308),
    [anon_sym_GT] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_PIPE] = ACTIONS(2308),
    [anon_sym_COLON] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [anon_sym__] = ACTIONS(2310),
    [anon_sym_CARET] = ACTIONS(2310),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2310),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2310),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2310),
    [anon_sym_DOLLAR] = ACTIONS(2308),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2310),
    [anon_sym_BSLASHleft] = ACTIONS(2308),
    [anon_sym_BSLASHbigl] = ACTIONS(2308),
    [anon_sym_BSLASHBigl] = ACTIONS(2308),
    [anon_sym_BSLASHbiggl] = ACTIONS(2308),
    [anon_sym_BSLASHBiggl] = ACTIONS(2308),
    [anon_sym_BSLASHtext] = ACTIONS(2308),
    [anon_sym_BSLASHintertext] = ACTIONS(2308),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2308),
    [anon_sym_BSLASHbegin] = ACTIONS(2308),
    [anon_sym_BSLASHtitle] = ACTIONS(2308),
    [anon_sym_BSLASHauthor] = ACTIONS(2308),
    [anon_sym_BSLASHusepackage] = ACTIONS(2308),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2308),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2308),
    [anon_sym_BSLASHinclude] = ACTIONS(2308),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2308),
    [anon_sym_BSLASHinput] = ACTIONS(2308),
    [anon_sym_BSLASHsubfile] = ACTIONS(2308),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2308),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2308),
    [anon_sym_BSLASHbibliography] = ACTIONS(2308),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2308),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2308),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2308),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2308),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2308),
    [anon_sym_BSLASHimport] = ACTIONS(2308),
    [anon_sym_BSLASHsubimport] = ACTIONS(2308),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2308),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2308),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2308),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2308),
    [anon_sym_BSLASHcaption] = ACTIONS(2308),
    [anon_sym_BSLASHcite] = ACTIONS(2308),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCite] = ACTIONS(2308),
    [anon_sym_BSLASHnocite] = ACTIONS(2308),
    [anon_sym_BSLASHcitet] = ACTIONS(2308),
    [anon_sym_BSLASHcitep] = ACTIONS(2308),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteA] = ACTIONS(2308),
    [anon_sym_BSLASHciteR] = ACTIONS(2308),
    [anon_sym_BSLASHciteS] = ACTIONS(2308),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2308),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2308),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2308),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2308),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteyear] = ACTIONS(2308),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitedate] = ACTIONS(2308),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteurl] = ACTIONS(2308),
    [anon_sym_BSLASHfullcite] = ACTIONS(2308),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2308),
    [anon_sym_BSLASHcitealt] = ACTIONS(2308),
    [anon_sym_BSLASHcitealp] = ACTIONS(2308),
    [anon_sym_BSLASHcitetext] = ACTIONS(2308),
    [anon_sym_BSLASHparencite] = ACTIONS(2308),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHParencite] = ACTIONS(2308),
    [anon_sym_BSLASHfootcite] = ACTIONS(2308),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2308),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2308),
    [anon_sym_BSLASHtextcite] = ACTIONS(2308),
    [anon_sym_BSLASHTextcite] = ACTIONS(2308),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2308),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2308),
    [anon_sym_BSLASHsupercite] = ACTIONS(2308),
    [anon_sym_BSLASHautocite] = ACTIONS(2308),
    [anon_sym_BSLASHAutocite] = ACTIONS(2308),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHVolcite] = ACTIONS(2308),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHavolcite] = ACTIONS(2308),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHNotecite] = ACTIONS(2308),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHlabel] = ACTIONS(2308),
    [anon_sym_BSLASHref] = ACTIONS(2308),
    [anon_sym_BSLASHeqref] = ACTIONS(2308),
    [anon_sym_BSLASHvref] = ACTIONS(2308),
    [anon_sym_BSLASHVref] = ACTIONS(2308),
    [anon_sym_BSLASHautoref] = ACTIONS(2308),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHpageref] = ACTIONS(2308),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHautopageref] = ACTIONS(2308),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcref] = ACTIONS(2308),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCref] = ACTIONS(2308),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcpageref] = ACTIONS(2308),
    [anon_sym_BSLASHCpageref] = ACTIONS(2308),
    [anon_sym_BSLASHnamecref] = ACTIONS(2308),
    [anon_sym_BSLASHnameCref] = ACTIONS(2308),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2308),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2308),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2308),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2308),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2308),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2308),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2308),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2308),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2308),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2308),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2308),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHdef] = ACTIONS(2308),
    [anon_sym_BSLASHgdef] = ACTIONS(2308),
    [anon_sym_BSLASHedef] = ACTIONS(2308),
    [anon_sym_BSLASHxdef] = ACTIONS(2308),
    [anon_sym_BSLASHlet] = ACTIONS(2308),
    [anon_sym_BSLASHglet] = ACTIONS(2308),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2308),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2308),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2308),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2308),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2308),
    [anon_sym_BSLASHgls] = ACTIONS(2308),
    [anon_sym_BSLASHGls] = ACTIONS(2308),
    [anon_sym_BSLASHGLS] = ACTIONS(2308),
    [anon_sym_BSLASHglspl] = ACTIONS(2308),
    [anon_sym_BSLASHGlspl] = ACTIONS(2308),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2308),
    [anon_sym_BSLASHglslink] = ACTIONS(2308),
    [anon_sym_BSLASHglstext] = ACTIONS(2308),
    [anon_sym_BSLASHGlstext] = ACTIONS(2308),
    [anon_sym_BSLASHGLStext] = ACTIONS(2308),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2308),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2308),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2308),
    [anon_sym_BSLASHglsplural] = ACTIONS(2308),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2308),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2308),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHglsname] = ACTIONS(2308),
    [anon_sym_BSLASHGlsname] = ACTIONS(2308),
    [anon_sym_BSLASHGLSname] = ACTIONS(2308),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2308),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2308),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2308),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2308),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2308),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2308),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2308),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2308),
    [anon_sym_BSLASHacrshort] = ACTIONS(2308),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2308),
    [anon_sym_BSLASHACRshort] = ACTIONS(2308),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHacrlong] = ACTIONS(2308),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2308),
    [anon_sym_BSLASHACRlong] = ACTIONS(2308),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHacrfull] = ACTIONS(2308),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2308),
    [anon_sym_BSLASHACRfull] = ACTIONS(2308),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHacs] = ACTIONS(2308),
    [anon_sym_BSLASHAcs] = ACTIONS(2308),
    [anon_sym_BSLASHacsp] = ACTIONS(2308),
    [anon_sym_BSLASHAcsp] = ACTIONS(2308),
    [anon_sym_BSLASHacl] = ACTIONS(2308),
    [anon_sym_BSLASHAcl] = ACTIONS(2308),
    [anon_sym_BSLASHaclp] = ACTIONS(2308),
    [anon_sym_BSLASHAclp] = ACTIONS(2308),
    [anon_sym_BSLASHacf] = ACTIONS(2308),
    [anon_sym_BSLASHAcf] = ACTIONS(2308),
    [anon_sym_BSLASHacfp] = ACTIONS(2308),
    [anon_sym_BSLASHAcfp] = ACTIONS(2308),
    [anon_sym_BSLASHac] = ACTIONS(2308),
    [anon_sym_BSLASHAc] = ACTIONS(2308),
    [anon_sym_BSLASHacp] = ACTIONS(2308),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2308),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2308),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2308),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2308),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2308),
    [anon_sym_BSLASHcolor] = ACTIONS(2308),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2308),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2308),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2308),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2308),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2308),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2308),
    [anon_sym_BSLASHurl] = ACTIONS(2308),
    [anon_sym_BSLASHhref] = ACTIONS(2308),
  },
  [913] = {
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(921),
    [aux_sym__section_repeat5] = STATE(921),
    [sym_command_name] = ACTIONS(2308),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_RBRACK] = ACTIONS(2310),
    [anon_sym_COMMA] = ACTIONS(2310),
    [anon_sym_EQ] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_BSLASHpart] = ACTIONS(2308),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddpart] = ACTIONS(2308),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHchapter] = ACTIONS(2308),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddchap] = ACTIONS(2308),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsection] = ACTIONS(2308),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHaddsec] = ACTIONS(2308),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsection] = ACTIONS(2308),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(2308),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2308),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHitem] = ACTIONS(2308),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [sym_word] = ACTIONS(2308),
    [sym_placeholder] = ACTIONS(2310),
    [sym_delimiter] = ACTIONS(2310),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_STAR] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2308),
    [anon_sym_GT] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_PIPE] = ACTIONS(2308),
    [anon_sym_COLON] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [anon_sym__] = ACTIONS(2310),
    [anon_sym_CARET] = ACTIONS(2310),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2310),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2310),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2310),
    [anon_sym_DOLLAR] = ACTIONS(2308),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2310),
    [anon_sym_BSLASHleft] = ACTIONS(2308),
    [anon_sym_BSLASHbigl] = ACTIONS(2308),
    [anon_sym_BSLASHBigl] = ACTIONS(2308),
    [anon_sym_BSLASHbiggl] = ACTIONS(2308),
    [anon_sym_BSLASHBiggl] = ACTIONS(2308),
    [anon_sym_BSLASHtext] = ACTIONS(2308),
    [anon_sym_BSLASHintertext] = ACTIONS(2308),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2308),
    [anon_sym_BSLASHbegin] = ACTIONS(2308),
    [anon_sym_BSLASHtitle] = ACTIONS(2308),
    [anon_sym_BSLASHauthor] = ACTIONS(2308),
    [anon_sym_BSLASHusepackage] = ACTIONS(2308),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2308),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2308),
    [anon_sym_BSLASHinclude] = ACTIONS(2308),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2308),
    [anon_sym_BSLASHinput] = ACTIONS(2308),
    [anon_sym_BSLASHsubfile] = ACTIONS(2308),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2308),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2308),
    [anon_sym_BSLASHbibliography] = ACTIONS(2308),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2308),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2308),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2308),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2308),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2308),
    [anon_sym_BSLASHimport] = ACTIONS(2308),
    [anon_sym_BSLASHsubimport] = ACTIONS(2308),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2308),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2308),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2308),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2308),
    [anon_sym_BSLASHcaption] = ACTIONS(2308),
    [anon_sym_BSLASHcite] = ACTIONS(2308),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCite] = ACTIONS(2308),
    [anon_sym_BSLASHnocite] = ACTIONS(2308),
    [anon_sym_BSLASHcitet] = ACTIONS(2308),
    [anon_sym_BSLASHcitep] = ACTIONS(2308),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteA] = ACTIONS(2308),
    [anon_sym_BSLASHciteR] = ACTIONS(2308),
    [anon_sym_BSLASHciteS] = ACTIONS(2308),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2308),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2308),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2308),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2308),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteyear] = ACTIONS(2308),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcitedate] = ACTIONS(2308),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHciteurl] = ACTIONS(2308),
    [anon_sym_BSLASHfullcite] = ACTIONS(2308),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2308),
    [anon_sym_BSLASHcitealt] = ACTIONS(2308),
    [anon_sym_BSLASHcitealp] = ACTIONS(2308),
    [anon_sym_BSLASHcitetext] = ACTIONS(2308),
    [anon_sym_BSLASHparencite] = ACTIONS(2308),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHParencite] = ACTIONS(2308),
    [anon_sym_BSLASHfootcite] = ACTIONS(2308),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2308),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2308),
    [anon_sym_BSLASHtextcite] = ACTIONS(2308),
    [anon_sym_BSLASHTextcite] = ACTIONS(2308),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2308),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2308),
    [anon_sym_BSLASHsupercite] = ACTIONS(2308),
    [anon_sym_BSLASHautocite] = ACTIONS(2308),
    [anon_sym_BSLASHAutocite] = ACTIONS(2308),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHVolcite] = ACTIONS(2308),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHavolcite] = ACTIONS(2308),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2308),
    [anon_sym_BSLASHnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHNotecite] = ACTIONS(2308),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2308),
    [anon_sym_BSLASHlabel] = ACTIONS(2308),
    [anon_sym_BSLASHref] = ACTIONS(2308),
    [anon_sym_BSLASHeqref] = ACTIONS(2308),
    [anon_sym_BSLASHvref] = ACTIONS(2308),
    [anon_sym_BSLASHVref] = ACTIONS(2308),
    [anon_sym_BSLASHautoref] = ACTIONS(2308),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHpageref] = ACTIONS(2308),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHautopageref] = ACTIONS(2308),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcref] = ACTIONS(2308),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCref] = ACTIONS(2308),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcpageref] = ACTIONS(2308),
    [anon_sym_BSLASHCpageref] = ACTIONS(2308),
    [anon_sym_BSLASHnamecref] = ACTIONS(2308),
    [anon_sym_BSLASHnameCref] = ACTIONS(2308),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2308),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2308),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2308),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2308),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2308),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2308),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2308),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2308),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2308),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2308),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2308),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2308),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2308),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2308),
    [anon_sym_BSLASHdef] = ACTIONS(2308),
    [anon_sym_BSLASHgdef] = ACTIONS(2308),
    [anon_sym_BSLASHedef] = ACTIONS(2308),
    [anon_sym_BSLASHxdef] = ACTIONS(2308),
    [anon_sym_BSLASHlet] = ACTIONS(2308),
    [anon_sym_BSLASHglet] = ACTIONS(2308),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2308),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2308),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2308),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2308),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2308),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2308),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2308),
    [anon_sym_BSLASHgls] = ACTIONS(2308),
    [anon_sym_BSLASHGls] = ACTIONS(2308),
    [anon_sym_BSLASHGLS] = ACTIONS(2308),
    [anon_sym_BSLASHglspl] = ACTIONS(2308),
    [anon_sym_BSLASHGlspl] = ACTIONS(2308),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2308),
    [anon_sym_BSLASHglslink] = ACTIONS(2308),
    [anon_sym_BSLASHglstext] = ACTIONS(2308),
    [anon_sym_BSLASHGlstext] = ACTIONS(2308),
    [anon_sym_BSLASHGLStext] = ACTIONS(2308),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2308),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2308),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2308),
    [anon_sym_BSLASHglsplural] = ACTIONS(2308),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2308),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2308),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2308),
    [anon_sym_BSLASHglsname] = ACTIONS(2308),
    [anon_sym_BSLASHGlsname] = ACTIONS(2308),
    [anon_sym_BSLASHGLSname] = ACTIONS(2308),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2308),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2308),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2308),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2308),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2308),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2308),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2308),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2308),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2308),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2308),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2308),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2308),
    [anon_sym_BSLASHacrshort] = ACTIONS(2308),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2308),
    [anon_sym_BSLASHACRshort] = ACTIONS(2308),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHacrlong] = ACTIONS(2308),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2308),
    [anon_sym_BSLASHACRlong] = ACTIONS(2308),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2308),
    [anon_sym_BSLASHacrfull] = ACTIONS(2308),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2308),
    [anon_sym_BSLASHACRfull] = ACTIONS(2308),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHacs] = ACTIONS(2308),
    [anon_sym_BSLASHAcs] = ACTIONS(2308),
    [anon_sym_BSLASHacsp] = ACTIONS(2308),
    [anon_sym_BSLASHAcsp] = ACTIONS(2308),
    [anon_sym_BSLASHacl] = ACTIONS(2308),
    [anon_sym_BSLASHAcl] = ACTIONS(2308),
    [anon_sym_BSLASHaclp] = ACTIONS(2308),
    [anon_sym_BSLASHAclp] = ACTIONS(2308),
    [anon_sym_BSLASHacf] = ACTIONS(2308),
    [anon_sym_BSLASHAcf] = ACTIONS(2308),
    [anon_sym_BSLASHacfp] = ACTIONS(2308),
    [anon_sym_BSLASHAcfp] = ACTIONS(2308),
    [anon_sym_BSLASHac] = ACTIONS(2308),
    [anon_sym_BSLASHAc] = ACTIONS(2308),
    [anon_sym_BSLASHacp] = ACTIONS(2308),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2308),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2308),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2308),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2308),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2308),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2310),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2308),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2308),
    [anon_sym_BSLASHcolor] = ACTIONS(2308),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2308),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2308),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2308),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2308),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2308),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2308),
    [anon_sym_BSLASHurl] = ACTIONS(2308),
    [anon_sym_BSLASHhref] = ACTIONS(2308),
  },
  [914] = {
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(923),
    [aux_sym__paragraph_repeat2] = STATE(923),
    [sym_command_name] = ACTIONS(2344),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2344),
    [anon_sym_LBRACK] = ACTIONS(2346),
    [anon_sym_RBRACK] = ACTIONS(2346),
    [anon_sym_COMMA] = ACTIONS(2346),
    [anon_sym_EQ] = ACTIONS(2346),
    [anon_sym_LPAREN] = ACTIONS(2346),
    [anon_sym_RPAREN] = ACTIONS(2346),
    [anon_sym_BSLASHpart] = ACTIONS(2344),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddpart] = ACTIONS(2344),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHchapter] = ACTIONS(2344),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddchap] = ACTIONS(2344),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsection] = ACTIONS(2344),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddsec] = ACTIONS(2344),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHparagraph] = ACTIONS(2344),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(2344),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2346),
    [anon_sym_LBRACE] = ACTIONS(2346),
    [sym_word] = ACTIONS(2344),
    [sym_placeholder] = ACTIONS(2346),
    [sym_delimiter] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_PIPE] = ACTIONS(2344),
    [anon_sym_COLON] = ACTIONS(2344),
    [anon_sym_SQUOTE] = ACTIONS(2344),
    [anon_sym__] = ACTIONS(2346),
    [anon_sym_CARET] = ACTIONS(2346),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2346),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2346),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2346),
    [anon_sym_DOLLAR] = ACTIONS(2344),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2346),
    [anon_sym_BSLASHleft] = ACTIONS(2344),
    [anon_sym_BSLASHbigl] = ACTIONS(2344),
    [anon_sym_BSLASHBigl] = ACTIONS(2344),
    [anon_sym_BSLASHbiggl] = ACTIONS(2344),
    [anon_sym_BSLASHBiggl] = ACTIONS(2344),
    [anon_sym_BSLASHtext] = ACTIONS(2344),
    [anon_sym_BSLASHintertext] = ACTIONS(2344),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2344),
    [anon_sym_BSLASHbegin] = ACTIONS(2344),
    [anon_sym_BSLASHtitle] = ACTIONS(2344),
    [anon_sym_BSLASHauthor] = ACTIONS(2344),
    [anon_sym_BSLASHusepackage] = ACTIONS(2344),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2344),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2344),
    [anon_sym_BSLASHinclude] = ACTIONS(2344),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2344),
    [anon_sym_BSLASHinput] = ACTIONS(2344),
    [anon_sym_BSLASHsubfile] = ACTIONS(2344),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2344),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2344),
    [anon_sym_BSLASHbibliography] = ACTIONS(2344),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2344),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2344),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2344),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2344),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2344),
    [anon_sym_BSLASHimport] = ACTIONS(2344),
    [anon_sym_BSLASHsubimport] = ACTIONS(2344),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2344),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2344),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2344),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2344),
    [anon_sym_BSLASHcaption] = ACTIONS(2344),
    [anon_sym_BSLASHcite] = ACTIONS(2344),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCite] = ACTIONS(2344),
    [anon_sym_BSLASHnocite] = ACTIONS(2344),
    [anon_sym_BSLASHcitet] = ACTIONS(2344),
    [anon_sym_BSLASHcitep] = ACTIONS(2344),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteA] = ACTIONS(2344),
    [anon_sym_BSLASHciteR] = ACTIONS(2344),
    [anon_sym_BSLASHciteS] = ACTIONS(2344),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2344),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2344),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2344),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2344),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteyear] = ACTIONS(2344),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitedate] = ACTIONS(2344),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteurl] = ACTIONS(2344),
    [anon_sym_BSLASHfullcite] = ACTIONS(2344),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2344),
    [anon_sym_BSLASHcitealt] = ACTIONS(2344),
    [anon_sym_BSLASHcitealp] = ACTIONS(2344),
    [anon_sym_BSLASHcitetext] = ACTIONS(2344),
    [anon_sym_BSLASHparencite] = ACTIONS(2344),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHParencite] = ACTIONS(2344),
    [anon_sym_BSLASHfootcite] = ACTIONS(2344),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2344),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2344),
    [anon_sym_BSLASHtextcite] = ACTIONS(2344),
    [anon_sym_BSLASHTextcite] = ACTIONS(2344),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2344),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2344),
    [anon_sym_BSLASHsupercite] = ACTIONS(2344),
    [anon_sym_BSLASHautocite] = ACTIONS(2344),
    [anon_sym_BSLASHAutocite] = ACTIONS(2344),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHVolcite] = ACTIONS(2344),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHavolcite] = ACTIONS(2344),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHNotecite] = ACTIONS(2344),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHlabel] = ACTIONS(2344),
    [anon_sym_BSLASHref] = ACTIONS(2344),
    [anon_sym_BSLASHeqref] = ACTIONS(2344),
    [anon_sym_BSLASHvref] = ACTIONS(2344),
    [anon_sym_BSLASHVref] = ACTIONS(2344),
    [anon_sym_BSLASHautoref] = ACTIONS(2344),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHpageref] = ACTIONS(2344),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHautopageref] = ACTIONS(2344),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcref] = ACTIONS(2344),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCref] = ACTIONS(2344),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcpageref] = ACTIONS(2344),
    [anon_sym_BSLASHCpageref] = ACTIONS(2344),
    [anon_sym_BSLASHnamecref] = ACTIONS(2344),
    [anon_sym_BSLASHnameCref] = ACTIONS(2344),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2344),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2344),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2344),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2344),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2344),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2344),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2344),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2344),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2344),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2344),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2344),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHdef] = ACTIONS(2344),
    [anon_sym_BSLASHgdef] = ACTIONS(2344),
    [anon_sym_BSLASHedef] = ACTIONS(2344),
    [anon_sym_BSLASHxdef] = ACTIONS(2344),
    [anon_sym_BSLASHlet] = ACTIONS(2344),
    [anon_sym_BSLASHglet] = ACTIONS(2344),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2344),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2344),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2344),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2344),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2344),
    [anon_sym_BSLASHgls] = ACTIONS(2344),
    [anon_sym_BSLASHGls] = ACTIONS(2344),
    [anon_sym_BSLASHGLS] = ACTIONS(2344),
    [anon_sym_BSLASHglspl] = ACTIONS(2344),
    [anon_sym_BSLASHGlspl] = ACTIONS(2344),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2344),
    [anon_sym_BSLASHglslink] = ACTIONS(2344),
    [anon_sym_BSLASHglstext] = ACTIONS(2344),
    [anon_sym_BSLASHGlstext] = ACTIONS(2344),
    [anon_sym_BSLASHGLStext] = ACTIONS(2344),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2344),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2344),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2344),
    [anon_sym_BSLASHglsplural] = ACTIONS(2344),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2344),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2344),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHglsname] = ACTIONS(2344),
    [anon_sym_BSLASHGlsname] = ACTIONS(2344),
    [anon_sym_BSLASHGLSname] = ACTIONS(2344),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2344),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2344),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2344),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2344),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2344),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2344),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2344),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2344),
    [anon_sym_BSLASHacrshort] = ACTIONS(2344),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2344),
    [anon_sym_BSLASHACRshort] = ACTIONS(2344),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHacrlong] = ACTIONS(2344),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2344),
    [anon_sym_BSLASHACRlong] = ACTIONS(2344),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHacrfull] = ACTIONS(2344),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2344),
    [anon_sym_BSLASHACRfull] = ACTIONS(2344),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHacs] = ACTIONS(2344),
    [anon_sym_BSLASHAcs] = ACTIONS(2344),
    [anon_sym_BSLASHacsp] = ACTIONS(2344),
    [anon_sym_BSLASHAcsp] = ACTIONS(2344),
    [anon_sym_BSLASHacl] = ACTIONS(2344),
    [anon_sym_BSLASHAcl] = ACTIONS(2344),
    [anon_sym_BSLASHaclp] = ACTIONS(2344),
    [anon_sym_BSLASHAclp] = ACTIONS(2344),
    [anon_sym_BSLASHacf] = ACTIONS(2344),
    [anon_sym_BSLASHAcf] = ACTIONS(2344),
    [anon_sym_BSLASHacfp] = ACTIONS(2344),
    [anon_sym_BSLASHAcfp] = ACTIONS(2344),
    [anon_sym_BSLASHac] = ACTIONS(2344),
    [anon_sym_BSLASHAc] = ACTIONS(2344),
    [anon_sym_BSLASHacp] = ACTIONS(2344),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2344),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2344),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2344),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2344),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2344),
    [anon_sym_BSLASHcolor] = ACTIONS(2344),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2344),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2344),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2344),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2344),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2344),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2344),
    [anon_sym_BSLASHurl] = ACTIONS(2344),
    [anon_sym_BSLASHhref] = ACTIONS(2344),
  },
  [915] = {
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(924),
    [aux_sym__paragraph_repeat3] = STATE(924),
    [sym_command_name] = ACTIONS(2344),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2344),
    [anon_sym_LBRACK] = ACTIONS(2346),
    [anon_sym_RBRACK] = ACTIONS(2346),
    [anon_sym_COMMA] = ACTIONS(2346),
    [anon_sym_EQ] = ACTIONS(2346),
    [anon_sym_LPAREN] = ACTIONS(2346),
    [anon_sym_RPAREN] = ACTIONS(2346),
    [anon_sym_BSLASHpart] = ACTIONS(2344),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddpart] = ACTIONS(2344),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHchapter] = ACTIONS(2344),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddchap] = ACTIONS(2344),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsection] = ACTIONS(2344),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHaddsec] = ACTIONS(2344),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2344),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHparagraph] = ACTIONS(2344),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2344),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(2346),
    [sym_word] = ACTIONS(2344),
    [sym_placeholder] = ACTIONS(2346),
    [sym_delimiter] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_PIPE] = ACTIONS(2344),
    [anon_sym_COLON] = ACTIONS(2344),
    [anon_sym_SQUOTE] = ACTIONS(2344),
    [anon_sym__] = ACTIONS(2346),
    [anon_sym_CARET] = ACTIONS(2346),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2346),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2346),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2346),
    [anon_sym_DOLLAR] = ACTIONS(2344),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2346),
    [anon_sym_BSLASHleft] = ACTIONS(2344),
    [anon_sym_BSLASHbigl] = ACTIONS(2344),
    [anon_sym_BSLASHBigl] = ACTIONS(2344),
    [anon_sym_BSLASHbiggl] = ACTIONS(2344),
    [anon_sym_BSLASHBiggl] = ACTIONS(2344),
    [anon_sym_BSLASHtext] = ACTIONS(2344),
    [anon_sym_BSLASHintertext] = ACTIONS(2344),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2344),
    [anon_sym_BSLASHbegin] = ACTIONS(2344),
    [anon_sym_BSLASHtitle] = ACTIONS(2344),
    [anon_sym_BSLASHauthor] = ACTIONS(2344),
    [anon_sym_BSLASHusepackage] = ACTIONS(2344),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2344),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2344),
    [anon_sym_BSLASHinclude] = ACTIONS(2344),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2344),
    [anon_sym_BSLASHinput] = ACTIONS(2344),
    [anon_sym_BSLASHsubfile] = ACTIONS(2344),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2344),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2344),
    [anon_sym_BSLASHbibliography] = ACTIONS(2344),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2344),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2344),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2344),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2344),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2344),
    [anon_sym_BSLASHimport] = ACTIONS(2344),
    [anon_sym_BSLASHsubimport] = ACTIONS(2344),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2344),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2344),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2344),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2344),
    [anon_sym_BSLASHcaption] = ACTIONS(2344),
    [anon_sym_BSLASHcite] = ACTIONS(2344),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCite] = ACTIONS(2344),
    [anon_sym_BSLASHnocite] = ACTIONS(2344),
    [anon_sym_BSLASHcitet] = ACTIONS(2344),
    [anon_sym_BSLASHcitep] = ACTIONS(2344),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteA] = ACTIONS(2344),
    [anon_sym_BSLASHciteR] = ACTIONS(2344),
    [anon_sym_BSLASHciteS] = ACTIONS(2344),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2344),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2344),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2344),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2344),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteyear] = ACTIONS(2344),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcitedate] = ACTIONS(2344),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHciteurl] = ACTIONS(2344),
    [anon_sym_BSLASHfullcite] = ACTIONS(2344),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2344),
    [anon_sym_BSLASHcitealt] = ACTIONS(2344),
    [anon_sym_BSLASHcitealp] = ACTIONS(2344),
    [anon_sym_BSLASHcitetext] = ACTIONS(2344),
    [anon_sym_BSLASHparencite] = ACTIONS(2344),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHParencite] = ACTIONS(2344),
    [anon_sym_BSLASHfootcite] = ACTIONS(2344),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2344),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2344),
    [anon_sym_BSLASHtextcite] = ACTIONS(2344),
    [anon_sym_BSLASHTextcite] = ACTIONS(2344),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2344),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2344),
    [anon_sym_BSLASHsupercite] = ACTIONS(2344),
    [anon_sym_BSLASHautocite] = ACTIONS(2344),
    [anon_sym_BSLASHAutocite] = ACTIONS(2344),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHVolcite] = ACTIONS(2344),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHavolcite] = ACTIONS(2344),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2344),
    [anon_sym_BSLASHnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHNotecite] = ACTIONS(2344),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2344),
    [anon_sym_BSLASHlabel] = ACTIONS(2344),
    [anon_sym_BSLASHref] = ACTIONS(2344),
    [anon_sym_BSLASHeqref] = ACTIONS(2344),
    [anon_sym_BSLASHvref] = ACTIONS(2344),
    [anon_sym_BSLASHVref] = ACTIONS(2344),
    [anon_sym_BSLASHautoref] = ACTIONS(2344),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHpageref] = ACTIONS(2344),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHautopageref] = ACTIONS(2344),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcref] = ACTIONS(2344),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCref] = ACTIONS(2344),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcpageref] = ACTIONS(2344),
    [anon_sym_BSLASHCpageref] = ACTIONS(2344),
    [anon_sym_BSLASHnamecref] = ACTIONS(2344),
    [anon_sym_BSLASHnameCref] = ACTIONS(2344),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2344),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2344),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2344),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2344),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2344),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2344),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2344),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2344),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2344),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2344),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2344),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2344),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2344),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2344),
    [anon_sym_BSLASHdef] = ACTIONS(2344),
    [anon_sym_BSLASHgdef] = ACTIONS(2344),
    [anon_sym_BSLASHedef] = ACTIONS(2344),
    [anon_sym_BSLASHxdef] = ACTIONS(2344),
    [anon_sym_BSLASHlet] = ACTIONS(2344),
    [anon_sym_BSLASHglet] = ACTIONS(2344),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2344),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2344),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2344),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2344),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2344),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2344),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2344),
    [anon_sym_BSLASHgls] = ACTIONS(2344),
    [anon_sym_BSLASHGls] = ACTIONS(2344),
    [anon_sym_BSLASHGLS] = ACTIONS(2344),
    [anon_sym_BSLASHglspl] = ACTIONS(2344),
    [anon_sym_BSLASHGlspl] = ACTIONS(2344),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2344),
    [anon_sym_BSLASHglslink] = ACTIONS(2344),
    [anon_sym_BSLASHglstext] = ACTIONS(2344),
    [anon_sym_BSLASHGlstext] = ACTIONS(2344),
    [anon_sym_BSLASHGLStext] = ACTIONS(2344),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2344),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2344),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2344),
    [anon_sym_BSLASHglsplural] = ACTIONS(2344),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2344),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2344),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2344),
    [anon_sym_BSLASHglsname] = ACTIONS(2344),
    [anon_sym_BSLASHGlsname] = ACTIONS(2344),
    [anon_sym_BSLASHGLSname] = ACTIONS(2344),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2344),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2344),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2344),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2344),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2344),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2344),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2344),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2344),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2344),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2344),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2344),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2344),
    [anon_sym_BSLASHacrshort] = ACTIONS(2344),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2344),
    [anon_sym_BSLASHACRshort] = ACTIONS(2344),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHacrlong] = ACTIONS(2344),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2344),
    [anon_sym_BSLASHACRlong] = ACTIONS(2344),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2344),
    [anon_sym_BSLASHacrfull] = ACTIONS(2344),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2344),
    [anon_sym_BSLASHACRfull] = ACTIONS(2344),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHacs] = ACTIONS(2344),
    [anon_sym_BSLASHAcs] = ACTIONS(2344),
    [anon_sym_BSLASHacsp] = ACTIONS(2344),
    [anon_sym_BSLASHAcsp] = ACTIONS(2344),
    [anon_sym_BSLASHacl] = ACTIONS(2344),
    [anon_sym_BSLASHAcl] = ACTIONS(2344),
    [anon_sym_BSLASHaclp] = ACTIONS(2344),
    [anon_sym_BSLASHAclp] = ACTIONS(2344),
    [anon_sym_BSLASHacf] = ACTIONS(2344),
    [anon_sym_BSLASHAcf] = ACTIONS(2344),
    [anon_sym_BSLASHacfp] = ACTIONS(2344),
    [anon_sym_BSLASHAcfp] = ACTIONS(2344),
    [anon_sym_BSLASHac] = ACTIONS(2344),
    [anon_sym_BSLASHAc] = ACTIONS(2344),
    [anon_sym_BSLASHacp] = ACTIONS(2344),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2344),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2344),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2344),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2344),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2344),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2346),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2344),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2344),
    [anon_sym_BSLASHcolor] = ACTIONS(2344),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2344),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2344),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2344),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2344),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2344),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2344),
    [anon_sym_BSLASHurl] = ACTIONS(2344),
    [anon_sym_BSLASHhref] = ACTIONS(2344),
  },
  [916] = {
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(924),
    [aux_sym__paragraph_repeat3] = STATE(924),
    [sym_command_name] = ACTIONS(2354),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2356),
    [anon_sym_RBRACK] = ACTIONS(2356),
    [anon_sym_COMMA] = ACTIONS(2356),
    [anon_sym_EQ] = ACTIONS(2356),
    [anon_sym_LPAREN] = ACTIONS(2356),
    [anon_sym_RPAREN] = ACTIONS(2356),
    [anon_sym_BSLASHpart] = ACTIONS(2354),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddpart] = ACTIONS(2354),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHchapter] = ACTIONS(2354),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddchap] = ACTIONS(2354),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsection] = ACTIONS(2354),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHaddsec] = ACTIONS(2354),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubsection] = ACTIONS(2354),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2354),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHparagraph] = ACTIONS(2354),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2354),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHitem] = ACTIONS(636),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(2356),
    [sym_word] = ACTIONS(2354),
    [sym_placeholder] = ACTIONS(2356),
    [sym_delimiter] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_SLASH] = ACTIONS(2356),
    [anon_sym_LT] = ACTIONS(2354),
    [anon_sym_GT] = ACTIONS(2354),
    [anon_sym_BANG] = ACTIONS(2354),
    [anon_sym_PIPE] = ACTIONS(2354),
    [anon_sym_COLON] = ACTIONS(2354),
    [anon_sym_SQUOTE] = ACTIONS(2354),
    [anon_sym__] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2356),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2356),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2356),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2356),
    [anon_sym_DOLLAR] = ACTIONS(2354),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2356),
    [anon_sym_BSLASHleft] = ACTIONS(2354),
    [anon_sym_BSLASHbigl] = ACTIONS(2354),
    [anon_sym_BSLASHBigl] = ACTIONS(2354),
    [anon_sym_BSLASHbiggl] = ACTIONS(2354),
    [anon_sym_BSLASHBiggl] = ACTIONS(2354),
    [anon_sym_BSLASHtext] = ACTIONS(2354),
    [anon_sym_BSLASHintertext] = ACTIONS(2354),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2354),
    [anon_sym_BSLASHbegin] = ACTIONS(2354),
    [anon_sym_BSLASHtitle] = ACTIONS(2354),
    [anon_sym_BSLASHauthor] = ACTIONS(2354),
    [anon_sym_BSLASHusepackage] = ACTIONS(2354),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2354),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2354),
    [anon_sym_BSLASHinclude] = ACTIONS(2354),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2354),
    [anon_sym_BSLASHinput] = ACTIONS(2354),
    [anon_sym_BSLASHsubfile] = ACTIONS(2354),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2354),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2354),
    [anon_sym_BSLASHbibliography] = ACTIONS(2354),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2354),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2354),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2354),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2354),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2354),
    [anon_sym_BSLASHimport] = ACTIONS(2354),
    [anon_sym_BSLASHsubimport] = ACTIONS(2354),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2354),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2354),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2354),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2354),
    [anon_sym_BSLASHcaption] = ACTIONS(2354),
    [anon_sym_BSLASHcite] = ACTIONS(2354),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHCite] = ACTIONS(2354),
    [anon_sym_BSLASHnocite] = ACTIONS(2354),
    [anon_sym_BSLASHcitet] = ACTIONS(2354),
    [anon_sym_BSLASHcitep] = ACTIONS(2354),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHciteA] = ACTIONS(2354),
    [anon_sym_BSLASHciteR] = ACTIONS(2354),
    [anon_sym_BSLASHciteS] = ACTIONS(2354),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2354),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2354),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2354),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2354),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHciteyear] = ACTIONS(2354),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcitedate] = ACTIONS(2354),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHciteurl] = ACTIONS(2354),
    [anon_sym_BSLASHfullcite] = ACTIONS(2354),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2354),
    [anon_sym_BSLASHcitealt] = ACTIONS(2354),
    [anon_sym_BSLASHcitealp] = ACTIONS(2354),
    [anon_sym_BSLASHcitetext] = ACTIONS(2354),
    [anon_sym_BSLASHparencite] = ACTIONS(2354),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHParencite] = ACTIONS(2354),
    [anon_sym_BSLASHfootcite] = ACTIONS(2354),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2354),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2354),
    [anon_sym_BSLASHtextcite] = ACTIONS(2354),
    [anon_sym_BSLASHTextcite] = ACTIONS(2354),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2354),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2354),
    [anon_sym_BSLASHsupercite] = ACTIONS(2354),
    [anon_sym_BSLASHautocite] = ACTIONS(2354),
    [anon_sym_BSLASHAutocite] = ACTIONS(2354),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHVolcite] = ACTIONS(2354),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHavolcite] = ACTIONS(2354),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2354),
    [anon_sym_BSLASHnotecite] = ACTIONS(2354),
    [anon_sym_BSLASHNotecite] = ACTIONS(2354),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2354),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2354),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2354),
    [anon_sym_BSLASHlabel] = ACTIONS(2354),
    [anon_sym_BSLASHref] = ACTIONS(2354),
    [anon_sym_BSLASHeqref] = ACTIONS(2354),
    [anon_sym_BSLASHvref] = ACTIONS(2354),
    [anon_sym_BSLASHVref] = ACTIONS(2354),
    [anon_sym_BSLASHautoref] = ACTIONS(2354),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHpageref] = ACTIONS(2354),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHautopageref] = ACTIONS(2354),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcref] = ACTIONS(2354),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHCref] = ACTIONS(2354),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcpageref] = ACTIONS(2354),
    [anon_sym_BSLASHCpageref] = ACTIONS(2354),
    [anon_sym_BSLASHnamecref] = ACTIONS(2354),
    [anon_sym_BSLASHnameCref] = ACTIONS(2354),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2354),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2354),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2354),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2354),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2354),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2354),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2354),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2354),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2354),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2354),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2354),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2354),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2354),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2354),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2354),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2354),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2354),
    [anon_sym_BSLASHdef] = ACTIONS(2354),
    [anon_sym_BSLASHgdef] = ACTIONS(2354),
    [anon_sym_BSLASHedef] = ACTIONS(2354),
    [anon_sym_BSLASHxdef] = ACTIONS(2354),
    [anon_sym_BSLASHlet] = ACTIONS(2354),
    [anon_sym_BSLASHglet] = ACTIONS(2354),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2354),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2354),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2354),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2354),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2354),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2354),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2354),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2354),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2354),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2354),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2354),
    [anon_sym_BSLASHgls] = ACTIONS(2354),
    [anon_sym_BSLASHGls] = ACTIONS(2354),
    [anon_sym_BSLASHGLS] = ACTIONS(2354),
    [anon_sym_BSLASHglspl] = ACTIONS(2354),
    [anon_sym_BSLASHGlspl] = ACTIONS(2354),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2354),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2354),
    [anon_sym_BSLASHglslink] = ACTIONS(2354),
    [anon_sym_BSLASHglstext] = ACTIONS(2354),
    [anon_sym_BSLASHGlstext] = ACTIONS(2354),
    [anon_sym_BSLASHGLStext] = ACTIONS(2354),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2354),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2354),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2354),
    [anon_sym_BSLASHglsplural] = ACTIONS(2354),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2354),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2354),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2354),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2354),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2354),
    [anon_sym_BSLASHglsname] = ACTIONS(2354),
    [anon_sym_BSLASHGlsname] = ACTIONS(2354),
    [anon_sym_BSLASHGLSname] = ACTIONS(2354),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2354),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2354),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2354),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2354),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2354),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2354),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2354),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2354),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2354),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2354),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2354),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2354),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2354),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2354),
    [anon_sym_BSLASHacrshort] = ACTIONS(2354),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2354),
    [anon_sym_BSLASHACRshort] = ACTIONS(2354),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2354),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2354),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2354),
    [anon_sym_BSLASHacrlong] = ACTIONS(2354),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2354),
    [anon_sym_BSLASHACRlong] = ACTIONS(2354),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2354),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2354),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2354),
    [anon_sym_BSLASHacrfull] = ACTIONS(2354),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2354),
    [anon_sym_BSLASHACRfull] = ACTIONS(2354),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2354),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2354),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2354),
    [anon_sym_BSLASHacs] = ACTIONS(2354),
    [anon_sym_BSLASHAcs] = ACTIONS(2354),
    [anon_sym_BSLASHacsp] = ACTIONS(2354),
    [anon_sym_BSLASHAcsp] = ACTIONS(2354),
    [anon_sym_BSLASHacl] = ACTIONS(2354),
    [anon_sym_BSLASHAcl] = ACTIONS(2354),
    [anon_sym_BSLASHaclp] = ACTIONS(2354),
    [anon_sym_BSLASHAclp] = ACTIONS(2354),
    [anon_sym_BSLASHacf] = ACTIONS(2354),
    [anon_sym_BSLASHAcf] = ACTIONS(2354),
    [anon_sym_BSLASHacfp] = ACTIONS(2354),
    [anon_sym_BSLASHAcfp] = ACTIONS(2354),
    [anon_sym_BSLASHac] = ACTIONS(2354),
    [anon_sym_BSLASHAc] = ACTIONS(2354),
    [anon_sym_BSLASHacp] = ACTIONS(2354),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2354),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2354),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2354),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2354),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2354),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2354),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2354),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2354),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2354),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2354),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2354),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2354),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2356),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2354),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2354),
    [anon_sym_BSLASHcolor] = ACTIONS(2354),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2354),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2354),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2354),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2354),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2354),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2354),
    [anon_sym_BSLASHurl] = ACTIONS(2354),
    [anon_sym_BSLASHhref] = ACTIONS(2354),
  },
  [917] = {
    [sym__part_declaration] = STATE(166),
    [sym_part] = STATE(917),
    [aux_sym__section_repeat1] = STATE(917),
    [sym_command_name] = ACTIONS(6756),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6756),
    [anon_sym_LBRACK] = ACTIONS(6758),
    [anon_sym_RBRACK] = ACTIONS(6758),
    [anon_sym_COMMA] = ACTIONS(6758),
    [anon_sym_EQ] = ACTIONS(6758),
    [anon_sym_LPAREN] = ACTIONS(6758),
    [anon_sym_RPAREN] = ACTIONS(6758),
    [anon_sym_BSLASHpart] = ACTIONS(7714),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7717),
    [anon_sym_BSLASHaddpart] = ACTIONS(7714),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7717),
    [anon_sym_BSLASHchapter] = ACTIONS(6756),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHaddchap] = ACTIONS(6756),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHsection] = ACTIONS(6756),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHaddsec] = ACTIONS(6756),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHsubsection] = ACTIONS(6756),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6756),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHparagraph] = ACTIONS(6756),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6756),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHitem] = ACTIONS(6756),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6758),
    [anon_sym_LBRACE] = ACTIONS(6758),
    [sym_word] = ACTIONS(6756),
    [sym_placeholder] = ACTIONS(6758),
    [sym_delimiter] = ACTIONS(6758),
    [anon_sym_PLUS] = ACTIONS(6758),
    [anon_sym_DASH] = ACTIONS(6758),
    [anon_sym_STAR] = ACTIONS(6758),
    [anon_sym_SLASH] = ACTIONS(6758),
    [anon_sym_LT] = ACTIONS(6756),
    [anon_sym_GT] = ACTIONS(6756),
    [anon_sym_BANG] = ACTIONS(6756),
    [anon_sym_PIPE] = ACTIONS(6756),
    [anon_sym_COLON] = ACTIONS(6756),
    [anon_sym_SQUOTE] = ACTIONS(6756),
    [anon_sym__] = ACTIONS(6758),
    [anon_sym_CARET] = ACTIONS(6758),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6758),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6758),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6758),
    [anon_sym_DOLLAR] = ACTIONS(6756),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6758),
    [anon_sym_BSLASHleft] = ACTIONS(6756),
    [anon_sym_BSLASHbigl] = ACTIONS(6756),
    [anon_sym_BSLASHBigl] = ACTIONS(6756),
    [anon_sym_BSLASHbiggl] = ACTIONS(6756),
    [anon_sym_BSLASHBiggl] = ACTIONS(6756),
    [anon_sym_BSLASHtext] = ACTIONS(6756),
    [anon_sym_BSLASHintertext] = ACTIONS(6756),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6756),
    [anon_sym_BSLASHbegin] = ACTIONS(6756),
    [anon_sym_BSLASHtitle] = ACTIONS(6756),
    [anon_sym_BSLASHauthor] = ACTIONS(6756),
    [anon_sym_BSLASHusepackage] = ACTIONS(6756),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6756),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6756),
    [anon_sym_BSLASHinclude] = ACTIONS(6756),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6756),
    [anon_sym_BSLASHinput] = ACTIONS(6756),
    [anon_sym_BSLASHsubfile] = ACTIONS(6756),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6756),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6756),
    [anon_sym_BSLASHbibliography] = ACTIONS(6756),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6756),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6756),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6756),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6756),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6756),
    [anon_sym_BSLASHimport] = ACTIONS(6756),
    [anon_sym_BSLASHsubimport] = ACTIONS(6756),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6756),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6756),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6756),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6756),
    [anon_sym_BSLASHcaption] = ACTIONS(6756),
    [anon_sym_BSLASHcite] = ACTIONS(6756),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHCite] = ACTIONS(6756),
    [anon_sym_BSLASHnocite] = ACTIONS(6756),
    [anon_sym_BSLASHcitet] = ACTIONS(6756),
    [anon_sym_BSLASHcitep] = ACTIONS(6756),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHciteA] = ACTIONS(6756),
    [anon_sym_BSLASHciteR] = ACTIONS(6756),
    [anon_sym_BSLASHciteS] = ACTIONS(6756),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6756),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6756),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6756),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6756),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHciteyear] = ACTIONS(6756),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcitedate] = ACTIONS(6756),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHciteurl] = ACTIONS(6756),
    [anon_sym_BSLASHfullcite] = ACTIONS(6756),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6756),
    [anon_sym_BSLASHcitealt] = ACTIONS(6756),
    [anon_sym_BSLASHcitealp] = ACTIONS(6756),
    [anon_sym_BSLASHcitetext] = ACTIONS(6756),
    [anon_sym_BSLASHparencite] = ACTIONS(6756),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHParencite] = ACTIONS(6756),
    [anon_sym_BSLASHfootcite] = ACTIONS(6756),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6756),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6756),
    [anon_sym_BSLASHtextcite] = ACTIONS(6756),
    [anon_sym_BSLASHTextcite] = ACTIONS(6756),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6756),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6756),
    [anon_sym_BSLASHsupercite] = ACTIONS(6756),
    [anon_sym_BSLASHautocite] = ACTIONS(6756),
    [anon_sym_BSLASHAutocite] = ACTIONS(6756),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHVolcite] = ACTIONS(6756),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHavolcite] = ACTIONS(6756),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6756),
    [anon_sym_BSLASHnotecite] = ACTIONS(6756),
    [anon_sym_BSLASHNotecite] = ACTIONS(6756),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6756),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6756),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6756),
    [anon_sym_BSLASHlabel] = ACTIONS(6756),
    [anon_sym_BSLASHref] = ACTIONS(6756),
    [anon_sym_BSLASHeqref] = ACTIONS(6756),
    [anon_sym_BSLASHvref] = ACTIONS(6756),
    [anon_sym_BSLASHVref] = ACTIONS(6756),
    [anon_sym_BSLASHautoref] = ACTIONS(6756),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHpageref] = ACTIONS(6756),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHautopageref] = ACTIONS(6756),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcref] = ACTIONS(6756),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHCref] = ACTIONS(6756),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcpageref] = ACTIONS(6756),
    [anon_sym_BSLASHCpageref] = ACTIONS(6756),
    [anon_sym_BSLASHnamecref] = ACTIONS(6756),
    [anon_sym_BSLASHnameCref] = ACTIONS(6756),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6756),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6756),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6756),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6756),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6756),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6756),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6756),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6756),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6756),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6756),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6756),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6756),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6756),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6756),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6756),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6756),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6756),
    [anon_sym_BSLASHdef] = ACTIONS(6756),
    [anon_sym_BSLASHgdef] = ACTIONS(6756),
    [anon_sym_BSLASHedef] = ACTIONS(6756),
    [anon_sym_BSLASHxdef] = ACTIONS(6756),
    [anon_sym_BSLASHlet] = ACTIONS(6756),
    [anon_sym_BSLASHglet] = ACTIONS(6756),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6756),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6756),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6756),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6756),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6756),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6756),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6756),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6756),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6756),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6756),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6756),
    [anon_sym_BSLASHgls] = ACTIONS(6756),
    [anon_sym_BSLASHGls] = ACTIONS(6756),
    [anon_sym_BSLASHGLS] = ACTIONS(6756),
    [anon_sym_BSLASHglspl] = ACTIONS(6756),
    [anon_sym_BSLASHGlspl] = ACTIONS(6756),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6756),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6756),
    [anon_sym_BSLASHglslink] = ACTIONS(6756),
    [anon_sym_BSLASHglstext] = ACTIONS(6756),
    [anon_sym_BSLASHGlstext] = ACTIONS(6756),
    [anon_sym_BSLASHGLStext] = ACTIONS(6756),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6756),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6756),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6756),
    [anon_sym_BSLASHglsplural] = ACTIONS(6756),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6756),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6756),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6756),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6756),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6756),
    [anon_sym_BSLASHglsname] = ACTIONS(6756),
    [anon_sym_BSLASHGlsname] = ACTIONS(6756),
    [anon_sym_BSLASHGLSname] = ACTIONS(6756),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6756),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6756),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6756),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6756),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6756),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6756),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6756),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6756),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6756),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6756),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6756),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6756),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6756),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6756),
    [anon_sym_BSLASHacrshort] = ACTIONS(6756),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6756),
    [anon_sym_BSLASHACRshort] = ACTIONS(6756),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6756),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6756),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6756),
    [anon_sym_BSLASHacrlong] = ACTIONS(6756),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6756),
    [anon_sym_BSLASHACRlong] = ACTIONS(6756),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6756),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6756),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6756),
    [anon_sym_BSLASHacrfull] = ACTIONS(6756),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6756),
    [anon_sym_BSLASHACRfull] = ACTIONS(6756),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6756),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6756),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6756),
    [anon_sym_BSLASHacs] = ACTIONS(6756),
    [anon_sym_BSLASHAcs] = ACTIONS(6756),
    [anon_sym_BSLASHacsp] = ACTIONS(6756),
    [anon_sym_BSLASHAcsp] = ACTIONS(6756),
    [anon_sym_BSLASHacl] = ACTIONS(6756),
    [anon_sym_BSLASHAcl] = ACTIONS(6756),
    [anon_sym_BSLASHaclp] = ACTIONS(6756),
    [anon_sym_BSLASHAclp] = ACTIONS(6756),
    [anon_sym_BSLASHacf] = ACTIONS(6756),
    [anon_sym_BSLASHAcf] = ACTIONS(6756),
    [anon_sym_BSLASHacfp] = ACTIONS(6756),
    [anon_sym_BSLASHAcfp] = ACTIONS(6756),
    [anon_sym_BSLASHac] = ACTIONS(6756),
    [anon_sym_BSLASHAc] = ACTIONS(6756),
    [anon_sym_BSLASHacp] = ACTIONS(6756),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6756),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6756),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6756),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6756),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6756),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6756),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6756),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6756),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6756),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6756),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6756),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6756),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6758),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6756),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6756),
    [anon_sym_BSLASHcolor] = ACTIONS(6756),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6756),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6756),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6756),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6756),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6756),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6756),
    [anon_sym_BSLASHurl] = ACTIONS(6756),
    [anon_sym_BSLASHhref] = ACTIONS(6756),
  },
  [918] = {
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(918),
    [aux_sym__section_repeat2] = STATE(918),
    [sym_command_name] = ACTIONS(6766),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6766),
    [anon_sym_LBRACK] = ACTIONS(6768),
    [anon_sym_RBRACK] = ACTIONS(6768),
    [anon_sym_COMMA] = ACTIONS(6768),
    [anon_sym_EQ] = ACTIONS(6768),
    [anon_sym_LPAREN] = ACTIONS(6768),
    [anon_sym_RPAREN] = ACTIONS(6768),
    [anon_sym_BSLASHpart] = ACTIONS(6766),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHaddpart] = ACTIONS(6766),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHchapter] = ACTIONS(7720),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7723),
    [anon_sym_BSLASHaddchap] = ACTIONS(7720),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7723),
    [anon_sym_BSLASHsection] = ACTIONS(6766),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHaddsec] = ACTIONS(6766),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHsubsection] = ACTIONS(6766),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6766),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHparagraph] = ACTIONS(6766),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6766),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHitem] = ACTIONS(6766),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6768),
    [anon_sym_LBRACE] = ACTIONS(6768),
    [sym_word] = ACTIONS(6766),
    [sym_placeholder] = ACTIONS(6768),
    [sym_delimiter] = ACTIONS(6768),
    [anon_sym_PLUS] = ACTIONS(6768),
    [anon_sym_DASH] = ACTIONS(6768),
    [anon_sym_STAR] = ACTIONS(6768),
    [anon_sym_SLASH] = ACTIONS(6768),
    [anon_sym_LT] = ACTIONS(6766),
    [anon_sym_GT] = ACTIONS(6766),
    [anon_sym_BANG] = ACTIONS(6766),
    [anon_sym_PIPE] = ACTIONS(6766),
    [anon_sym_COLON] = ACTIONS(6766),
    [anon_sym_SQUOTE] = ACTIONS(6766),
    [anon_sym__] = ACTIONS(6768),
    [anon_sym_CARET] = ACTIONS(6768),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6768),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6768),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6768),
    [anon_sym_DOLLAR] = ACTIONS(6766),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6768),
    [anon_sym_BSLASHleft] = ACTIONS(6766),
    [anon_sym_BSLASHbigl] = ACTIONS(6766),
    [anon_sym_BSLASHBigl] = ACTIONS(6766),
    [anon_sym_BSLASHbiggl] = ACTIONS(6766),
    [anon_sym_BSLASHBiggl] = ACTIONS(6766),
    [anon_sym_BSLASHtext] = ACTIONS(6766),
    [anon_sym_BSLASHintertext] = ACTIONS(6766),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6766),
    [anon_sym_BSLASHbegin] = ACTIONS(6766),
    [anon_sym_BSLASHtitle] = ACTIONS(6766),
    [anon_sym_BSLASHauthor] = ACTIONS(6766),
    [anon_sym_BSLASHusepackage] = ACTIONS(6766),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6766),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6766),
    [anon_sym_BSLASHinclude] = ACTIONS(6766),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6766),
    [anon_sym_BSLASHinput] = ACTIONS(6766),
    [anon_sym_BSLASHsubfile] = ACTIONS(6766),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6766),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6766),
    [anon_sym_BSLASHbibliography] = ACTIONS(6766),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6766),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6766),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6766),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6766),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6766),
    [anon_sym_BSLASHimport] = ACTIONS(6766),
    [anon_sym_BSLASHsubimport] = ACTIONS(6766),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6766),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6766),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6766),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6766),
    [anon_sym_BSLASHcaption] = ACTIONS(6766),
    [anon_sym_BSLASHcite] = ACTIONS(6766),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHCite] = ACTIONS(6766),
    [anon_sym_BSLASHnocite] = ACTIONS(6766),
    [anon_sym_BSLASHcitet] = ACTIONS(6766),
    [anon_sym_BSLASHcitep] = ACTIONS(6766),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHciteA] = ACTIONS(6766),
    [anon_sym_BSLASHciteR] = ACTIONS(6766),
    [anon_sym_BSLASHciteS] = ACTIONS(6766),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6766),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6766),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6766),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6766),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHciteyear] = ACTIONS(6766),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcitedate] = ACTIONS(6766),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHciteurl] = ACTIONS(6766),
    [anon_sym_BSLASHfullcite] = ACTIONS(6766),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6766),
    [anon_sym_BSLASHcitealt] = ACTIONS(6766),
    [anon_sym_BSLASHcitealp] = ACTIONS(6766),
    [anon_sym_BSLASHcitetext] = ACTIONS(6766),
    [anon_sym_BSLASHparencite] = ACTIONS(6766),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHParencite] = ACTIONS(6766),
    [anon_sym_BSLASHfootcite] = ACTIONS(6766),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6766),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6766),
    [anon_sym_BSLASHtextcite] = ACTIONS(6766),
    [anon_sym_BSLASHTextcite] = ACTIONS(6766),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6766),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6766),
    [anon_sym_BSLASHsupercite] = ACTIONS(6766),
    [anon_sym_BSLASHautocite] = ACTIONS(6766),
    [anon_sym_BSLASHAutocite] = ACTIONS(6766),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHVolcite] = ACTIONS(6766),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHavolcite] = ACTIONS(6766),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6766),
    [anon_sym_BSLASHnotecite] = ACTIONS(6766),
    [anon_sym_BSLASHNotecite] = ACTIONS(6766),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6766),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6766),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6766),
    [anon_sym_BSLASHlabel] = ACTIONS(6766),
    [anon_sym_BSLASHref] = ACTIONS(6766),
    [anon_sym_BSLASHeqref] = ACTIONS(6766),
    [anon_sym_BSLASHvref] = ACTIONS(6766),
    [anon_sym_BSLASHVref] = ACTIONS(6766),
    [anon_sym_BSLASHautoref] = ACTIONS(6766),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHpageref] = ACTIONS(6766),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHautopageref] = ACTIONS(6766),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcref] = ACTIONS(6766),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHCref] = ACTIONS(6766),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcpageref] = ACTIONS(6766),
    [anon_sym_BSLASHCpageref] = ACTIONS(6766),
    [anon_sym_BSLASHnamecref] = ACTIONS(6766),
    [anon_sym_BSLASHnameCref] = ACTIONS(6766),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6766),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6766),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6766),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6766),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6766),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6766),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6766),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6766),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6766),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6766),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6766),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6766),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6766),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6766),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6766),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6766),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6766),
    [anon_sym_BSLASHdef] = ACTIONS(6766),
    [anon_sym_BSLASHgdef] = ACTIONS(6766),
    [anon_sym_BSLASHedef] = ACTIONS(6766),
    [anon_sym_BSLASHxdef] = ACTIONS(6766),
    [anon_sym_BSLASHlet] = ACTIONS(6766),
    [anon_sym_BSLASHglet] = ACTIONS(6766),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6766),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6766),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6766),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6766),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6766),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6766),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6766),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6766),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6766),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6766),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6766),
    [anon_sym_BSLASHgls] = ACTIONS(6766),
    [anon_sym_BSLASHGls] = ACTIONS(6766),
    [anon_sym_BSLASHGLS] = ACTIONS(6766),
    [anon_sym_BSLASHglspl] = ACTIONS(6766),
    [anon_sym_BSLASHGlspl] = ACTIONS(6766),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6766),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6766),
    [anon_sym_BSLASHglslink] = ACTIONS(6766),
    [anon_sym_BSLASHglstext] = ACTIONS(6766),
    [anon_sym_BSLASHGlstext] = ACTIONS(6766),
    [anon_sym_BSLASHGLStext] = ACTIONS(6766),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6766),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6766),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6766),
    [anon_sym_BSLASHglsplural] = ACTIONS(6766),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6766),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6766),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6766),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6766),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6766),
    [anon_sym_BSLASHglsname] = ACTIONS(6766),
    [anon_sym_BSLASHGlsname] = ACTIONS(6766),
    [anon_sym_BSLASHGLSname] = ACTIONS(6766),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6766),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6766),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6766),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6766),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6766),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6766),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6766),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6766),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6766),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6766),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6766),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6766),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6766),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6766),
    [anon_sym_BSLASHacrshort] = ACTIONS(6766),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6766),
    [anon_sym_BSLASHACRshort] = ACTIONS(6766),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6766),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6766),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6766),
    [anon_sym_BSLASHacrlong] = ACTIONS(6766),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6766),
    [anon_sym_BSLASHACRlong] = ACTIONS(6766),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6766),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6766),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6766),
    [anon_sym_BSLASHacrfull] = ACTIONS(6766),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6766),
    [anon_sym_BSLASHACRfull] = ACTIONS(6766),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6766),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6766),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6766),
    [anon_sym_BSLASHacs] = ACTIONS(6766),
    [anon_sym_BSLASHAcs] = ACTIONS(6766),
    [anon_sym_BSLASHacsp] = ACTIONS(6766),
    [anon_sym_BSLASHAcsp] = ACTIONS(6766),
    [anon_sym_BSLASHacl] = ACTIONS(6766),
    [anon_sym_BSLASHAcl] = ACTIONS(6766),
    [anon_sym_BSLASHaclp] = ACTIONS(6766),
    [anon_sym_BSLASHAclp] = ACTIONS(6766),
    [anon_sym_BSLASHacf] = ACTIONS(6766),
    [anon_sym_BSLASHAcf] = ACTIONS(6766),
    [anon_sym_BSLASHacfp] = ACTIONS(6766),
    [anon_sym_BSLASHAcfp] = ACTIONS(6766),
    [anon_sym_BSLASHac] = ACTIONS(6766),
    [anon_sym_BSLASHAc] = ACTIONS(6766),
    [anon_sym_BSLASHacp] = ACTIONS(6766),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6766),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6766),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6766),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6766),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6766),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6766),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6766),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6766),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6766),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6766),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6766),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6766),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6768),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6766),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6766),
    [anon_sym_BSLASHcolor] = ACTIONS(6766),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6766),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6766),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6766),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6766),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6766),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6766),
    [anon_sym_BSLASHurl] = ACTIONS(6766),
    [anon_sym_BSLASHhref] = ACTIONS(6766),
  },
  [919] = {
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(919),
    [aux_sym__section_repeat3] = STATE(919),
    [sym_command_name] = ACTIONS(6776),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6776),
    [anon_sym_LBRACK] = ACTIONS(6778),
    [anon_sym_RBRACK] = ACTIONS(6778),
    [anon_sym_COMMA] = ACTIONS(6778),
    [anon_sym_EQ] = ACTIONS(6778),
    [anon_sym_LPAREN] = ACTIONS(6778),
    [anon_sym_RPAREN] = ACTIONS(6778),
    [anon_sym_BSLASHpart] = ACTIONS(6776),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHaddpart] = ACTIONS(6776),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHchapter] = ACTIONS(6776),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHaddchap] = ACTIONS(6776),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHsection] = ACTIONS(7726),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7729),
    [anon_sym_BSLASHaddsec] = ACTIONS(7726),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7729),
    [anon_sym_BSLASHsubsection] = ACTIONS(6776),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6776),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHparagraph] = ACTIONS(6776),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6776),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHitem] = ACTIONS(6776),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6778),
    [anon_sym_LBRACE] = ACTIONS(6778),
    [sym_word] = ACTIONS(6776),
    [sym_placeholder] = ACTIONS(6778),
    [sym_delimiter] = ACTIONS(6778),
    [anon_sym_PLUS] = ACTIONS(6778),
    [anon_sym_DASH] = ACTIONS(6778),
    [anon_sym_STAR] = ACTIONS(6778),
    [anon_sym_SLASH] = ACTIONS(6778),
    [anon_sym_LT] = ACTIONS(6776),
    [anon_sym_GT] = ACTIONS(6776),
    [anon_sym_BANG] = ACTIONS(6776),
    [anon_sym_PIPE] = ACTIONS(6776),
    [anon_sym_COLON] = ACTIONS(6776),
    [anon_sym_SQUOTE] = ACTIONS(6776),
    [anon_sym__] = ACTIONS(6778),
    [anon_sym_CARET] = ACTIONS(6778),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6778),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6778),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6778),
    [anon_sym_DOLLAR] = ACTIONS(6776),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6778),
    [anon_sym_BSLASHleft] = ACTIONS(6776),
    [anon_sym_BSLASHbigl] = ACTIONS(6776),
    [anon_sym_BSLASHBigl] = ACTIONS(6776),
    [anon_sym_BSLASHbiggl] = ACTIONS(6776),
    [anon_sym_BSLASHBiggl] = ACTIONS(6776),
    [anon_sym_BSLASHtext] = ACTIONS(6776),
    [anon_sym_BSLASHintertext] = ACTIONS(6776),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6776),
    [anon_sym_BSLASHbegin] = ACTIONS(6776),
    [anon_sym_BSLASHtitle] = ACTIONS(6776),
    [anon_sym_BSLASHauthor] = ACTIONS(6776),
    [anon_sym_BSLASHusepackage] = ACTIONS(6776),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6776),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6776),
    [anon_sym_BSLASHinclude] = ACTIONS(6776),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6776),
    [anon_sym_BSLASHinput] = ACTIONS(6776),
    [anon_sym_BSLASHsubfile] = ACTIONS(6776),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6776),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6776),
    [anon_sym_BSLASHbibliography] = ACTIONS(6776),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6776),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6776),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6776),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6776),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6776),
    [anon_sym_BSLASHimport] = ACTIONS(6776),
    [anon_sym_BSLASHsubimport] = ACTIONS(6776),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6776),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6776),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6776),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6776),
    [anon_sym_BSLASHcaption] = ACTIONS(6776),
    [anon_sym_BSLASHcite] = ACTIONS(6776),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHCite] = ACTIONS(6776),
    [anon_sym_BSLASHnocite] = ACTIONS(6776),
    [anon_sym_BSLASHcitet] = ACTIONS(6776),
    [anon_sym_BSLASHcitep] = ACTIONS(6776),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHciteA] = ACTIONS(6776),
    [anon_sym_BSLASHciteR] = ACTIONS(6776),
    [anon_sym_BSLASHciteS] = ACTIONS(6776),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6776),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6776),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6776),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6776),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHciteyear] = ACTIONS(6776),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcitedate] = ACTIONS(6776),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHciteurl] = ACTIONS(6776),
    [anon_sym_BSLASHfullcite] = ACTIONS(6776),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6776),
    [anon_sym_BSLASHcitealt] = ACTIONS(6776),
    [anon_sym_BSLASHcitealp] = ACTIONS(6776),
    [anon_sym_BSLASHcitetext] = ACTIONS(6776),
    [anon_sym_BSLASHparencite] = ACTIONS(6776),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHParencite] = ACTIONS(6776),
    [anon_sym_BSLASHfootcite] = ACTIONS(6776),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6776),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6776),
    [anon_sym_BSLASHtextcite] = ACTIONS(6776),
    [anon_sym_BSLASHTextcite] = ACTIONS(6776),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6776),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6776),
    [anon_sym_BSLASHsupercite] = ACTIONS(6776),
    [anon_sym_BSLASHautocite] = ACTIONS(6776),
    [anon_sym_BSLASHAutocite] = ACTIONS(6776),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHVolcite] = ACTIONS(6776),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHavolcite] = ACTIONS(6776),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6776),
    [anon_sym_BSLASHnotecite] = ACTIONS(6776),
    [anon_sym_BSLASHNotecite] = ACTIONS(6776),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6776),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6776),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6776),
    [anon_sym_BSLASHlabel] = ACTIONS(6776),
    [anon_sym_BSLASHref] = ACTIONS(6776),
    [anon_sym_BSLASHeqref] = ACTIONS(6776),
    [anon_sym_BSLASHvref] = ACTIONS(6776),
    [anon_sym_BSLASHVref] = ACTIONS(6776),
    [anon_sym_BSLASHautoref] = ACTIONS(6776),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHpageref] = ACTIONS(6776),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHautopageref] = ACTIONS(6776),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcref] = ACTIONS(6776),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHCref] = ACTIONS(6776),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcpageref] = ACTIONS(6776),
    [anon_sym_BSLASHCpageref] = ACTIONS(6776),
    [anon_sym_BSLASHnamecref] = ACTIONS(6776),
    [anon_sym_BSLASHnameCref] = ACTIONS(6776),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6776),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6776),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6776),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6776),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6776),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6776),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6776),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6776),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6776),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6776),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6776),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6776),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6776),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6776),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6776),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6776),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6776),
    [anon_sym_BSLASHdef] = ACTIONS(6776),
    [anon_sym_BSLASHgdef] = ACTIONS(6776),
    [anon_sym_BSLASHedef] = ACTIONS(6776),
    [anon_sym_BSLASHxdef] = ACTIONS(6776),
    [anon_sym_BSLASHlet] = ACTIONS(6776),
    [anon_sym_BSLASHglet] = ACTIONS(6776),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6776),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6776),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6776),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6776),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6776),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6776),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6776),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6776),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6776),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6776),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6776),
    [anon_sym_BSLASHgls] = ACTIONS(6776),
    [anon_sym_BSLASHGls] = ACTIONS(6776),
    [anon_sym_BSLASHGLS] = ACTIONS(6776),
    [anon_sym_BSLASHglspl] = ACTIONS(6776),
    [anon_sym_BSLASHGlspl] = ACTIONS(6776),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6776),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6776),
    [anon_sym_BSLASHglslink] = ACTIONS(6776),
    [anon_sym_BSLASHglstext] = ACTIONS(6776),
    [anon_sym_BSLASHGlstext] = ACTIONS(6776),
    [anon_sym_BSLASHGLStext] = ACTIONS(6776),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6776),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6776),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6776),
    [anon_sym_BSLASHglsplural] = ACTIONS(6776),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6776),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6776),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6776),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6776),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6776),
    [anon_sym_BSLASHglsname] = ACTIONS(6776),
    [anon_sym_BSLASHGlsname] = ACTIONS(6776),
    [anon_sym_BSLASHGLSname] = ACTIONS(6776),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6776),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6776),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6776),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6776),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6776),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6776),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6776),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6776),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6776),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6776),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6776),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6776),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6776),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6776),
    [anon_sym_BSLASHacrshort] = ACTIONS(6776),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6776),
    [anon_sym_BSLASHACRshort] = ACTIONS(6776),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6776),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6776),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6776),
    [anon_sym_BSLASHacrlong] = ACTIONS(6776),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6776),
    [anon_sym_BSLASHACRlong] = ACTIONS(6776),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6776),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6776),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6776),
    [anon_sym_BSLASHacrfull] = ACTIONS(6776),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6776),
    [anon_sym_BSLASHACRfull] = ACTIONS(6776),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6776),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6776),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6776),
    [anon_sym_BSLASHacs] = ACTIONS(6776),
    [anon_sym_BSLASHAcs] = ACTIONS(6776),
    [anon_sym_BSLASHacsp] = ACTIONS(6776),
    [anon_sym_BSLASHAcsp] = ACTIONS(6776),
    [anon_sym_BSLASHacl] = ACTIONS(6776),
    [anon_sym_BSLASHAcl] = ACTIONS(6776),
    [anon_sym_BSLASHaclp] = ACTIONS(6776),
    [anon_sym_BSLASHAclp] = ACTIONS(6776),
    [anon_sym_BSLASHacf] = ACTIONS(6776),
    [anon_sym_BSLASHAcf] = ACTIONS(6776),
    [anon_sym_BSLASHacfp] = ACTIONS(6776),
    [anon_sym_BSLASHAcfp] = ACTIONS(6776),
    [anon_sym_BSLASHac] = ACTIONS(6776),
    [anon_sym_BSLASHAc] = ACTIONS(6776),
    [anon_sym_BSLASHacp] = ACTIONS(6776),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6776),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6776),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6776),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6776),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6776),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6776),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6776),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6776),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6776),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6776),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6776),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6776),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6778),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6776),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6776),
    [anon_sym_BSLASHcolor] = ACTIONS(6776),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6776),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6776),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6776),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6776),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6776),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6776),
    [anon_sym_BSLASHurl] = ACTIONS(6776),
    [anon_sym_BSLASHhref] = ACTIONS(6776),
  },
  [920] = {
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(920),
    [aux_sym__section_repeat4] = STATE(920),
    [sym_command_name] = ACTIONS(6786),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6786),
    [anon_sym_LBRACK] = ACTIONS(6788),
    [anon_sym_RBRACK] = ACTIONS(6788),
    [anon_sym_COMMA] = ACTIONS(6788),
    [anon_sym_EQ] = ACTIONS(6788),
    [anon_sym_LPAREN] = ACTIONS(6788),
    [anon_sym_RPAREN] = ACTIONS(6788),
    [anon_sym_BSLASHpart] = ACTIONS(6786),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHaddpart] = ACTIONS(6786),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHchapter] = ACTIONS(6786),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHaddchap] = ACTIONS(6786),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHsection] = ACTIONS(6786),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHaddsec] = ACTIONS(6786),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHsubsection] = ACTIONS(7732),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7735),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6786),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHparagraph] = ACTIONS(6786),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6786),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHitem] = ACTIONS(6786),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6788),
    [anon_sym_LBRACE] = ACTIONS(6788),
    [sym_word] = ACTIONS(6786),
    [sym_placeholder] = ACTIONS(6788),
    [sym_delimiter] = ACTIONS(6788),
    [anon_sym_PLUS] = ACTIONS(6788),
    [anon_sym_DASH] = ACTIONS(6788),
    [anon_sym_STAR] = ACTIONS(6788),
    [anon_sym_SLASH] = ACTIONS(6788),
    [anon_sym_LT] = ACTIONS(6786),
    [anon_sym_GT] = ACTIONS(6786),
    [anon_sym_BANG] = ACTIONS(6786),
    [anon_sym_PIPE] = ACTIONS(6786),
    [anon_sym_COLON] = ACTIONS(6786),
    [anon_sym_SQUOTE] = ACTIONS(6786),
    [anon_sym__] = ACTIONS(6788),
    [anon_sym_CARET] = ACTIONS(6788),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6788),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6788),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6788),
    [anon_sym_DOLLAR] = ACTIONS(6786),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6788),
    [anon_sym_BSLASHleft] = ACTIONS(6786),
    [anon_sym_BSLASHbigl] = ACTIONS(6786),
    [anon_sym_BSLASHBigl] = ACTIONS(6786),
    [anon_sym_BSLASHbiggl] = ACTIONS(6786),
    [anon_sym_BSLASHBiggl] = ACTIONS(6786),
    [anon_sym_BSLASHtext] = ACTIONS(6786),
    [anon_sym_BSLASHintertext] = ACTIONS(6786),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6786),
    [anon_sym_BSLASHbegin] = ACTIONS(6786),
    [anon_sym_BSLASHtitle] = ACTIONS(6786),
    [anon_sym_BSLASHauthor] = ACTIONS(6786),
    [anon_sym_BSLASHusepackage] = ACTIONS(6786),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6786),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6786),
    [anon_sym_BSLASHinclude] = ACTIONS(6786),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6786),
    [anon_sym_BSLASHinput] = ACTIONS(6786),
    [anon_sym_BSLASHsubfile] = ACTIONS(6786),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6786),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6786),
    [anon_sym_BSLASHbibliography] = ACTIONS(6786),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6786),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6786),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6786),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6786),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6786),
    [anon_sym_BSLASHimport] = ACTIONS(6786),
    [anon_sym_BSLASHsubimport] = ACTIONS(6786),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6786),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6786),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6786),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6786),
    [anon_sym_BSLASHcaption] = ACTIONS(6786),
    [anon_sym_BSLASHcite] = ACTIONS(6786),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHCite] = ACTIONS(6786),
    [anon_sym_BSLASHnocite] = ACTIONS(6786),
    [anon_sym_BSLASHcitet] = ACTIONS(6786),
    [anon_sym_BSLASHcitep] = ACTIONS(6786),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHciteA] = ACTIONS(6786),
    [anon_sym_BSLASHciteR] = ACTIONS(6786),
    [anon_sym_BSLASHciteS] = ACTIONS(6786),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6786),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6786),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6786),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6786),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHciteyear] = ACTIONS(6786),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcitedate] = ACTIONS(6786),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHciteurl] = ACTIONS(6786),
    [anon_sym_BSLASHfullcite] = ACTIONS(6786),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6786),
    [anon_sym_BSLASHcitealt] = ACTIONS(6786),
    [anon_sym_BSLASHcitealp] = ACTIONS(6786),
    [anon_sym_BSLASHcitetext] = ACTIONS(6786),
    [anon_sym_BSLASHparencite] = ACTIONS(6786),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHParencite] = ACTIONS(6786),
    [anon_sym_BSLASHfootcite] = ACTIONS(6786),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6786),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6786),
    [anon_sym_BSLASHtextcite] = ACTIONS(6786),
    [anon_sym_BSLASHTextcite] = ACTIONS(6786),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6786),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6786),
    [anon_sym_BSLASHsupercite] = ACTIONS(6786),
    [anon_sym_BSLASHautocite] = ACTIONS(6786),
    [anon_sym_BSLASHAutocite] = ACTIONS(6786),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHVolcite] = ACTIONS(6786),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHavolcite] = ACTIONS(6786),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6786),
    [anon_sym_BSLASHnotecite] = ACTIONS(6786),
    [anon_sym_BSLASHNotecite] = ACTIONS(6786),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6786),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6786),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6786),
    [anon_sym_BSLASHlabel] = ACTIONS(6786),
    [anon_sym_BSLASHref] = ACTIONS(6786),
    [anon_sym_BSLASHeqref] = ACTIONS(6786),
    [anon_sym_BSLASHvref] = ACTIONS(6786),
    [anon_sym_BSLASHVref] = ACTIONS(6786),
    [anon_sym_BSLASHautoref] = ACTIONS(6786),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHpageref] = ACTIONS(6786),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHautopageref] = ACTIONS(6786),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcref] = ACTIONS(6786),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHCref] = ACTIONS(6786),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcpageref] = ACTIONS(6786),
    [anon_sym_BSLASHCpageref] = ACTIONS(6786),
    [anon_sym_BSLASHnamecref] = ACTIONS(6786),
    [anon_sym_BSLASHnameCref] = ACTIONS(6786),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6786),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6786),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6786),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6786),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6786),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6786),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6786),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6786),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6786),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6786),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6786),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6786),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6786),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6786),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6786),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6786),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6786),
    [anon_sym_BSLASHdef] = ACTIONS(6786),
    [anon_sym_BSLASHgdef] = ACTIONS(6786),
    [anon_sym_BSLASHedef] = ACTIONS(6786),
    [anon_sym_BSLASHxdef] = ACTIONS(6786),
    [anon_sym_BSLASHlet] = ACTIONS(6786),
    [anon_sym_BSLASHglet] = ACTIONS(6786),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6786),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6786),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6786),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6786),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6786),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6786),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6786),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6786),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6786),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6786),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6786),
    [anon_sym_BSLASHgls] = ACTIONS(6786),
    [anon_sym_BSLASHGls] = ACTIONS(6786),
    [anon_sym_BSLASHGLS] = ACTIONS(6786),
    [anon_sym_BSLASHglspl] = ACTIONS(6786),
    [anon_sym_BSLASHGlspl] = ACTIONS(6786),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6786),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6786),
    [anon_sym_BSLASHglslink] = ACTIONS(6786),
    [anon_sym_BSLASHglstext] = ACTIONS(6786),
    [anon_sym_BSLASHGlstext] = ACTIONS(6786),
    [anon_sym_BSLASHGLStext] = ACTIONS(6786),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6786),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6786),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6786),
    [anon_sym_BSLASHglsplural] = ACTIONS(6786),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6786),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6786),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6786),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6786),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6786),
    [anon_sym_BSLASHglsname] = ACTIONS(6786),
    [anon_sym_BSLASHGlsname] = ACTIONS(6786),
    [anon_sym_BSLASHGLSname] = ACTIONS(6786),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6786),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6786),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6786),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6786),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6786),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6786),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6786),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6786),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6786),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6786),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6786),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6786),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6786),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6786),
    [anon_sym_BSLASHacrshort] = ACTIONS(6786),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6786),
    [anon_sym_BSLASHACRshort] = ACTIONS(6786),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6786),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6786),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6786),
    [anon_sym_BSLASHacrlong] = ACTIONS(6786),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6786),
    [anon_sym_BSLASHACRlong] = ACTIONS(6786),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6786),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6786),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6786),
    [anon_sym_BSLASHacrfull] = ACTIONS(6786),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6786),
    [anon_sym_BSLASHACRfull] = ACTIONS(6786),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6786),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6786),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6786),
    [anon_sym_BSLASHacs] = ACTIONS(6786),
    [anon_sym_BSLASHAcs] = ACTIONS(6786),
    [anon_sym_BSLASHacsp] = ACTIONS(6786),
    [anon_sym_BSLASHAcsp] = ACTIONS(6786),
    [anon_sym_BSLASHacl] = ACTIONS(6786),
    [anon_sym_BSLASHAcl] = ACTIONS(6786),
    [anon_sym_BSLASHaclp] = ACTIONS(6786),
    [anon_sym_BSLASHAclp] = ACTIONS(6786),
    [anon_sym_BSLASHacf] = ACTIONS(6786),
    [anon_sym_BSLASHAcf] = ACTIONS(6786),
    [anon_sym_BSLASHacfp] = ACTIONS(6786),
    [anon_sym_BSLASHAcfp] = ACTIONS(6786),
    [anon_sym_BSLASHac] = ACTIONS(6786),
    [anon_sym_BSLASHAc] = ACTIONS(6786),
    [anon_sym_BSLASHacp] = ACTIONS(6786),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6786),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6786),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6786),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6786),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6786),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6786),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6786),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6786),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6786),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6786),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6786),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6786),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6788),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6786),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6786),
    [anon_sym_BSLASHcolor] = ACTIONS(6786),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6786),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6786),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6786),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6786),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6786),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6786),
    [anon_sym_BSLASHurl] = ACTIONS(6786),
    [anon_sym_BSLASHhref] = ACTIONS(6786),
  },
  [921] = {
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(921),
    [aux_sym__section_repeat5] = STATE(921),
    [sym_command_name] = ACTIONS(6796),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6796),
    [anon_sym_LBRACK] = ACTIONS(6798),
    [anon_sym_RBRACK] = ACTIONS(6798),
    [anon_sym_COMMA] = ACTIONS(6798),
    [anon_sym_EQ] = ACTIONS(6798),
    [anon_sym_LPAREN] = ACTIONS(6798),
    [anon_sym_RPAREN] = ACTIONS(6798),
    [anon_sym_BSLASHpart] = ACTIONS(6796),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHaddpart] = ACTIONS(6796),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHchapter] = ACTIONS(6796),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHaddchap] = ACTIONS(6796),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHsection] = ACTIONS(6796),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHaddsec] = ACTIONS(6796),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHsubsection] = ACTIONS(6796),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7738),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7741),
    [anon_sym_BSLASHparagraph] = ACTIONS(6796),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6796),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHitem] = ACTIONS(6796),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6798),
    [anon_sym_LBRACE] = ACTIONS(6798),
    [sym_word] = ACTIONS(6796),
    [sym_placeholder] = ACTIONS(6798),
    [sym_delimiter] = ACTIONS(6798),
    [anon_sym_PLUS] = ACTIONS(6798),
    [anon_sym_DASH] = ACTIONS(6798),
    [anon_sym_STAR] = ACTIONS(6798),
    [anon_sym_SLASH] = ACTIONS(6798),
    [anon_sym_LT] = ACTIONS(6796),
    [anon_sym_GT] = ACTIONS(6796),
    [anon_sym_BANG] = ACTIONS(6796),
    [anon_sym_PIPE] = ACTIONS(6796),
    [anon_sym_COLON] = ACTIONS(6796),
    [anon_sym_SQUOTE] = ACTIONS(6796),
    [anon_sym__] = ACTIONS(6798),
    [anon_sym_CARET] = ACTIONS(6798),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6798),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6798),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6798),
    [anon_sym_DOLLAR] = ACTIONS(6796),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6798),
    [anon_sym_BSLASHleft] = ACTIONS(6796),
    [anon_sym_BSLASHbigl] = ACTIONS(6796),
    [anon_sym_BSLASHBigl] = ACTIONS(6796),
    [anon_sym_BSLASHbiggl] = ACTIONS(6796),
    [anon_sym_BSLASHBiggl] = ACTIONS(6796),
    [anon_sym_BSLASHtext] = ACTIONS(6796),
    [anon_sym_BSLASHintertext] = ACTIONS(6796),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6796),
    [anon_sym_BSLASHbegin] = ACTIONS(6796),
    [anon_sym_BSLASHtitle] = ACTIONS(6796),
    [anon_sym_BSLASHauthor] = ACTIONS(6796),
    [anon_sym_BSLASHusepackage] = ACTIONS(6796),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6796),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6796),
    [anon_sym_BSLASHinclude] = ACTIONS(6796),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6796),
    [anon_sym_BSLASHinput] = ACTIONS(6796),
    [anon_sym_BSLASHsubfile] = ACTIONS(6796),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6796),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6796),
    [anon_sym_BSLASHbibliography] = ACTIONS(6796),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6796),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6796),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6796),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6796),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6796),
    [anon_sym_BSLASHimport] = ACTIONS(6796),
    [anon_sym_BSLASHsubimport] = ACTIONS(6796),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6796),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6796),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6796),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6796),
    [anon_sym_BSLASHcaption] = ACTIONS(6796),
    [anon_sym_BSLASHcite] = ACTIONS(6796),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHCite] = ACTIONS(6796),
    [anon_sym_BSLASHnocite] = ACTIONS(6796),
    [anon_sym_BSLASHcitet] = ACTIONS(6796),
    [anon_sym_BSLASHcitep] = ACTIONS(6796),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHciteA] = ACTIONS(6796),
    [anon_sym_BSLASHciteR] = ACTIONS(6796),
    [anon_sym_BSLASHciteS] = ACTIONS(6796),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6796),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6796),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6796),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6796),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHciteyear] = ACTIONS(6796),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcitedate] = ACTIONS(6796),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHciteurl] = ACTIONS(6796),
    [anon_sym_BSLASHfullcite] = ACTIONS(6796),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6796),
    [anon_sym_BSLASHcitealt] = ACTIONS(6796),
    [anon_sym_BSLASHcitealp] = ACTIONS(6796),
    [anon_sym_BSLASHcitetext] = ACTIONS(6796),
    [anon_sym_BSLASHparencite] = ACTIONS(6796),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHParencite] = ACTIONS(6796),
    [anon_sym_BSLASHfootcite] = ACTIONS(6796),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6796),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6796),
    [anon_sym_BSLASHtextcite] = ACTIONS(6796),
    [anon_sym_BSLASHTextcite] = ACTIONS(6796),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6796),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6796),
    [anon_sym_BSLASHsupercite] = ACTIONS(6796),
    [anon_sym_BSLASHautocite] = ACTIONS(6796),
    [anon_sym_BSLASHAutocite] = ACTIONS(6796),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHVolcite] = ACTIONS(6796),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHavolcite] = ACTIONS(6796),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6796),
    [anon_sym_BSLASHnotecite] = ACTIONS(6796),
    [anon_sym_BSLASHNotecite] = ACTIONS(6796),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6796),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6796),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6796),
    [anon_sym_BSLASHlabel] = ACTIONS(6796),
    [anon_sym_BSLASHref] = ACTIONS(6796),
    [anon_sym_BSLASHeqref] = ACTIONS(6796),
    [anon_sym_BSLASHvref] = ACTIONS(6796),
    [anon_sym_BSLASHVref] = ACTIONS(6796),
    [anon_sym_BSLASHautoref] = ACTIONS(6796),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHpageref] = ACTIONS(6796),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHautopageref] = ACTIONS(6796),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcref] = ACTIONS(6796),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHCref] = ACTIONS(6796),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcpageref] = ACTIONS(6796),
    [anon_sym_BSLASHCpageref] = ACTIONS(6796),
    [anon_sym_BSLASHnamecref] = ACTIONS(6796),
    [anon_sym_BSLASHnameCref] = ACTIONS(6796),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6796),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6796),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6796),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6796),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6796),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6796),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6796),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6796),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6796),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6796),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6796),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6796),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6796),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6796),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6796),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6796),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6796),
    [anon_sym_BSLASHdef] = ACTIONS(6796),
    [anon_sym_BSLASHgdef] = ACTIONS(6796),
    [anon_sym_BSLASHedef] = ACTIONS(6796),
    [anon_sym_BSLASHxdef] = ACTIONS(6796),
    [anon_sym_BSLASHlet] = ACTIONS(6796),
    [anon_sym_BSLASHglet] = ACTIONS(6796),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6796),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6796),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6796),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6796),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6796),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6796),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6796),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6796),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6796),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6796),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6796),
    [anon_sym_BSLASHgls] = ACTIONS(6796),
    [anon_sym_BSLASHGls] = ACTIONS(6796),
    [anon_sym_BSLASHGLS] = ACTIONS(6796),
    [anon_sym_BSLASHglspl] = ACTIONS(6796),
    [anon_sym_BSLASHGlspl] = ACTIONS(6796),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6796),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6796),
    [anon_sym_BSLASHglslink] = ACTIONS(6796),
    [anon_sym_BSLASHglstext] = ACTIONS(6796),
    [anon_sym_BSLASHGlstext] = ACTIONS(6796),
    [anon_sym_BSLASHGLStext] = ACTIONS(6796),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6796),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6796),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6796),
    [anon_sym_BSLASHglsplural] = ACTIONS(6796),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6796),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6796),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6796),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6796),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6796),
    [anon_sym_BSLASHglsname] = ACTIONS(6796),
    [anon_sym_BSLASHGlsname] = ACTIONS(6796),
    [anon_sym_BSLASHGLSname] = ACTIONS(6796),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6796),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6796),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6796),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6796),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6796),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6796),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6796),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6796),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6796),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6796),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6796),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6796),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6796),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6796),
    [anon_sym_BSLASHacrshort] = ACTIONS(6796),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6796),
    [anon_sym_BSLASHACRshort] = ACTIONS(6796),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6796),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6796),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6796),
    [anon_sym_BSLASHacrlong] = ACTIONS(6796),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6796),
    [anon_sym_BSLASHACRlong] = ACTIONS(6796),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6796),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6796),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6796),
    [anon_sym_BSLASHacrfull] = ACTIONS(6796),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6796),
    [anon_sym_BSLASHACRfull] = ACTIONS(6796),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6796),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6796),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6796),
    [anon_sym_BSLASHacs] = ACTIONS(6796),
    [anon_sym_BSLASHAcs] = ACTIONS(6796),
    [anon_sym_BSLASHacsp] = ACTIONS(6796),
    [anon_sym_BSLASHAcsp] = ACTIONS(6796),
    [anon_sym_BSLASHacl] = ACTIONS(6796),
    [anon_sym_BSLASHAcl] = ACTIONS(6796),
    [anon_sym_BSLASHaclp] = ACTIONS(6796),
    [anon_sym_BSLASHAclp] = ACTIONS(6796),
    [anon_sym_BSLASHacf] = ACTIONS(6796),
    [anon_sym_BSLASHAcf] = ACTIONS(6796),
    [anon_sym_BSLASHacfp] = ACTIONS(6796),
    [anon_sym_BSLASHAcfp] = ACTIONS(6796),
    [anon_sym_BSLASHac] = ACTIONS(6796),
    [anon_sym_BSLASHAc] = ACTIONS(6796),
    [anon_sym_BSLASHacp] = ACTIONS(6796),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6796),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6796),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6796),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6796),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6796),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6796),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6796),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6796),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6796),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6796),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6796),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6796),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6798),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6796),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6796),
    [anon_sym_BSLASHcolor] = ACTIONS(6796),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6796),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6796),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6796),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6796),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6796),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6796),
    [anon_sym_BSLASHurl] = ACTIONS(6796),
    [anon_sym_BSLASHhref] = ACTIONS(6796),
  },
  [922] = {
    [sym__paragraph_declaration] = STATE(217),
    [sym_paragraph] = STATE(922),
    [aux_sym__paragraph_repeat1] = STATE(922),
    [sym_command_name] = ACTIONS(6806),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6806),
    [anon_sym_LBRACK] = ACTIONS(6808),
    [anon_sym_RBRACK] = ACTIONS(6808),
    [anon_sym_COMMA] = ACTIONS(6808),
    [anon_sym_EQ] = ACTIONS(6808),
    [anon_sym_LPAREN] = ACTIONS(6808),
    [anon_sym_RPAREN] = ACTIONS(6808),
    [anon_sym_BSLASHpart] = ACTIONS(6806),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHaddpart] = ACTIONS(6806),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHchapter] = ACTIONS(6806),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHaddchap] = ACTIONS(6806),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHsection] = ACTIONS(6806),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHaddsec] = ACTIONS(6806),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHsubsection] = ACTIONS(6806),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6806),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHparagraph] = ACTIONS(7744),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7747),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6806),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHitem] = ACTIONS(6806),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6808),
    [anon_sym_LBRACE] = ACTIONS(6808),
    [sym_word] = ACTIONS(6806),
    [sym_placeholder] = ACTIONS(6808),
    [sym_delimiter] = ACTIONS(6808),
    [anon_sym_PLUS] = ACTIONS(6808),
    [anon_sym_DASH] = ACTIONS(6808),
    [anon_sym_STAR] = ACTIONS(6808),
    [anon_sym_SLASH] = ACTIONS(6808),
    [anon_sym_LT] = ACTIONS(6806),
    [anon_sym_GT] = ACTIONS(6806),
    [anon_sym_BANG] = ACTIONS(6806),
    [anon_sym_PIPE] = ACTIONS(6806),
    [anon_sym_COLON] = ACTIONS(6806),
    [anon_sym_SQUOTE] = ACTIONS(6806),
    [anon_sym__] = ACTIONS(6808),
    [anon_sym_CARET] = ACTIONS(6808),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6808),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6808),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6808),
    [anon_sym_DOLLAR] = ACTIONS(6806),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6808),
    [anon_sym_BSLASHleft] = ACTIONS(6806),
    [anon_sym_BSLASHbigl] = ACTIONS(6806),
    [anon_sym_BSLASHBigl] = ACTIONS(6806),
    [anon_sym_BSLASHbiggl] = ACTIONS(6806),
    [anon_sym_BSLASHBiggl] = ACTIONS(6806),
    [anon_sym_BSLASHtext] = ACTIONS(6806),
    [anon_sym_BSLASHintertext] = ACTIONS(6806),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6806),
    [anon_sym_BSLASHbegin] = ACTIONS(6806),
    [anon_sym_BSLASHtitle] = ACTIONS(6806),
    [anon_sym_BSLASHauthor] = ACTIONS(6806),
    [anon_sym_BSLASHusepackage] = ACTIONS(6806),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6806),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6806),
    [anon_sym_BSLASHinclude] = ACTIONS(6806),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6806),
    [anon_sym_BSLASHinput] = ACTIONS(6806),
    [anon_sym_BSLASHsubfile] = ACTIONS(6806),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6806),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6806),
    [anon_sym_BSLASHbibliography] = ACTIONS(6806),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6806),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6806),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6806),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6806),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6806),
    [anon_sym_BSLASHimport] = ACTIONS(6806),
    [anon_sym_BSLASHsubimport] = ACTIONS(6806),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6806),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6806),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6806),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6806),
    [anon_sym_BSLASHcaption] = ACTIONS(6806),
    [anon_sym_BSLASHcite] = ACTIONS(6806),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHCite] = ACTIONS(6806),
    [anon_sym_BSLASHnocite] = ACTIONS(6806),
    [anon_sym_BSLASHcitet] = ACTIONS(6806),
    [anon_sym_BSLASHcitep] = ACTIONS(6806),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHciteA] = ACTIONS(6806),
    [anon_sym_BSLASHciteR] = ACTIONS(6806),
    [anon_sym_BSLASHciteS] = ACTIONS(6806),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6806),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6806),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6806),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6806),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHciteyear] = ACTIONS(6806),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcitedate] = ACTIONS(6806),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHciteurl] = ACTIONS(6806),
    [anon_sym_BSLASHfullcite] = ACTIONS(6806),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6806),
    [anon_sym_BSLASHcitealt] = ACTIONS(6806),
    [anon_sym_BSLASHcitealp] = ACTIONS(6806),
    [anon_sym_BSLASHcitetext] = ACTIONS(6806),
    [anon_sym_BSLASHparencite] = ACTIONS(6806),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHParencite] = ACTIONS(6806),
    [anon_sym_BSLASHfootcite] = ACTIONS(6806),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6806),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6806),
    [anon_sym_BSLASHtextcite] = ACTIONS(6806),
    [anon_sym_BSLASHTextcite] = ACTIONS(6806),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6806),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6806),
    [anon_sym_BSLASHsupercite] = ACTIONS(6806),
    [anon_sym_BSLASHautocite] = ACTIONS(6806),
    [anon_sym_BSLASHAutocite] = ACTIONS(6806),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHVolcite] = ACTIONS(6806),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHavolcite] = ACTIONS(6806),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6806),
    [anon_sym_BSLASHnotecite] = ACTIONS(6806),
    [anon_sym_BSLASHNotecite] = ACTIONS(6806),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6806),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6806),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6806),
    [anon_sym_BSLASHlabel] = ACTIONS(6806),
    [anon_sym_BSLASHref] = ACTIONS(6806),
    [anon_sym_BSLASHeqref] = ACTIONS(6806),
    [anon_sym_BSLASHvref] = ACTIONS(6806),
    [anon_sym_BSLASHVref] = ACTIONS(6806),
    [anon_sym_BSLASHautoref] = ACTIONS(6806),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHpageref] = ACTIONS(6806),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHautopageref] = ACTIONS(6806),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcref] = ACTIONS(6806),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHCref] = ACTIONS(6806),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcpageref] = ACTIONS(6806),
    [anon_sym_BSLASHCpageref] = ACTIONS(6806),
    [anon_sym_BSLASHnamecref] = ACTIONS(6806),
    [anon_sym_BSLASHnameCref] = ACTIONS(6806),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6806),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6806),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6806),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6806),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6806),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6806),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6806),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6806),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6806),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6806),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6806),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6806),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6806),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6806),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6806),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6806),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6806),
    [anon_sym_BSLASHdef] = ACTIONS(6806),
    [anon_sym_BSLASHgdef] = ACTIONS(6806),
    [anon_sym_BSLASHedef] = ACTIONS(6806),
    [anon_sym_BSLASHxdef] = ACTIONS(6806),
    [anon_sym_BSLASHlet] = ACTIONS(6806),
    [anon_sym_BSLASHglet] = ACTIONS(6806),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6806),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6806),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6806),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6806),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6806),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6806),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6806),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6806),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6806),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6806),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6806),
    [anon_sym_BSLASHgls] = ACTIONS(6806),
    [anon_sym_BSLASHGls] = ACTIONS(6806),
    [anon_sym_BSLASHGLS] = ACTIONS(6806),
    [anon_sym_BSLASHglspl] = ACTIONS(6806),
    [anon_sym_BSLASHGlspl] = ACTIONS(6806),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6806),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6806),
    [anon_sym_BSLASHglslink] = ACTIONS(6806),
    [anon_sym_BSLASHglstext] = ACTIONS(6806),
    [anon_sym_BSLASHGlstext] = ACTIONS(6806),
    [anon_sym_BSLASHGLStext] = ACTIONS(6806),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6806),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6806),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6806),
    [anon_sym_BSLASHglsplural] = ACTIONS(6806),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6806),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6806),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6806),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6806),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6806),
    [anon_sym_BSLASHglsname] = ACTIONS(6806),
    [anon_sym_BSLASHGlsname] = ACTIONS(6806),
    [anon_sym_BSLASHGLSname] = ACTIONS(6806),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6806),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6806),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6806),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6806),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6806),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6806),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6806),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6806),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6806),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6806),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6806),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6806),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6806),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6806),
    [anon_sym_BSLASHacrshort] = ACTIONS(6806),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6806),
    [anon_sym_BSLASHACRshort] = ACTIONS(6806),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6806),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6806),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6806),
    [anon_sym_BSLASHacrlong] = ACTIONS(6806),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6806),
    [anon_sym_BSLASHACRlong] = ACTIONS(6806),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6806),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6806),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6806),
    [anon_sym_BSLASHacrfull] = ACTIONS(6806),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6806),
    [anon_sym_BSLASHACRfull] = ACTIONS(6806),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6806),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6806),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6806),
    [anon_sym_BSLASHacs] = ACTIONS(6806),
    [anon_sym_BSLASHAcs] = ACTIONS(6806),
    [anon_sym_BSLASHacsp] = ACTIONS(6806),
    [anon_sym_BSLASHAcsp] = ACTIONS(6806),
    [anon_sym_BSLASHacl] = ACTIONS(6806),
    [anon_sym_BSLASHAcl] = ACTIONS(6806),
    [anon_sym_BSLASHaclp] = ACTIONS(6806),
    [anon_sym_BSLASHAclp] = ACTIONS(6806),
    [anon_sym_BSLASHacf] = ACTIONS(6806),
    [anon_sym_BSLASHAcf] = ACTIONS(6806),
    [anon_sym_BSLASHacfp] = ACTIONS(6806),
    [anon_sym_BSLASHAcfp] = ACTIONS(6806),
    [anon_sym_BSLASHac] = ACTIONS(6806),
    [anon_sym_BSLASHAc] = ACTIONS(6806),
    [anon_sym_BSLASHacp] = ACTIONS(6806),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6806),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6806),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6806),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6806),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6806),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6806),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6806),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6806),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6806),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6806),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6806),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6806),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6808),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6806),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6806),
    [anon_sym_BSLASHcolor] = ACTIONS(6806),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6806),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6806),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6806),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6806),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6806),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6806),
    [anon_sym_BSLASHurl] = ACTIONS(6806),
    [anon_sym_BSLASHhref] = ACTIONS(6806),
  },
  [923] = {
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(923),
    [aux_sym__paragraph_repeat2] = STATE(923),
    [sym_command_name] = ACTIONS(6816),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6816),
    [anon_sym_LBRACK] = ACTIONS(6818),
    [anon_sym_RBRACK] = ACTIONS(6818),
    [anon_sym_COMMA] = ACTIONS(6818),
    [anon_sym_EQ] = ACTIONS(6818),
    [anon_sym_LPAREN] = ACTIONS(6818),
    [anon_sym_RPAREN] = ACTIONS(6818),
    [anon_sym_BSLASHpart] = ACTIONS(6816),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHaddpart] = ACTIONS(6816),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHchapter] = ACTIONS(6816),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHaddchap] = ACTIONS(6816),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHsection] = ACTIONS(6816),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHaddsec] = ACTIONS(6816),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHsubsection] = ACTIONS(6816),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6816),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHparagraph] = ACTIONS(6816),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7750),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7753),
    [anon_sym_BSLASHitem] = ACTIONS(6816),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6818),
    [anon_sym_LBRACE] = ACTIONS(6818),
    [sym_word] = ACTIONS(6816),
    [sym_placeholder] = ACTIONS(6818),
    [sym_delimiter] = ACTIONS(6818),
    [anon_sym_PLUS] = ACTIONS(6818),
    [anon_sym_DASH] = ACTIONS(6818),
    [anon_sym_STAR] = ACTIONS(6818),
    [anon_sym_SLASH] = ACTIONS(6818),
    [anon_sym_LT] = ACTIONS(6816),
    [anon_sym_GT] = ACTIONS(6816),
    [anon_sym_BANG] = ACTIONS(6816),
    [anon_sym_PIPE] = ACTIONS(6816),
    [anon_sym_COLON] = ACTIONS(6816),
    [anon_sym_SQUOTE] = ACTIONS(6816),
    [anon_sym__] = ACTIONS(6818),
    [anon_sym_CARET] = ACTIONS(6818),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6818),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6818),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6818),
    [anon_sym_DOLLAR] = ACTIONS(6816),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6818),
    [anon_sym_BSLASHleft] = ACTIONS(6816),
    [anon_sym_BSLASHbigl] = ACTIONS(6816),
    [anon_sym_BSLASHBigl] = ACTIONS(6816),
    [anon_sym_BSLASHbiggl] = ACTIONS(6816),
    [anon_sym_BSLASHBiggl] = ACTIONS(6816),
    [anon_sym_BSLASHtext] = ACTIONS(6816),
    [anon_sym_BSLASHintertext] = ACTIONS(6816),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6816),
    [anon_sym_BSLASHbegin] = ACTIONS(6816),
    [anon_sym_BSLASHtitle] = ACTIONS(6816),
    [anon_sym_BSLASHauthor] = ACTIONS(6816),
    [anon_sym_BSLASHusepackage] = ACTIONS(6816),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6816),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6816),
    [anon_sym_BSLASHinclude] = ACTIONS(6816),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6816),
    [anon_sym_BSLASHinput] = ACTIONS(6816),
    [anon_sym_BSLASHsubfile] = ACTIONS(6816),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6816),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6816),
    [anon_sym_BSLASHbibliography] = ACTIONS(6816),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6816),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6816),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6816),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6816),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6816),
    [anon_sym_BSLASHimport] = ACTIONS(6816),
    [anon_sym_BSLASHsubimport] = ACTIONS(6816),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6816),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6816),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6816),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6816),
    [anon_sym_BSLASHcaption] = ACTIONS(6816),
    [anon_sym_BSLASHcite] = ACTIONS(6816),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHCite] = ACTIONS(6816),
    [anon_sym_BSLASHnocite] = ACTIONS(6816),
    [anon_sym_BSLASHcitet] = ACTIONS(6816),
    [anon_sym_BSLASHcitep] = ACTIONS(6816),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHciteA] = ACTIONS(6816),
    [anon_sym_BSLASHciteR] = ACTIONS(6816),
    [anon_sym_BSLASHciteS] = ACTIONS(6816),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6816),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6816),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6816),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6816),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHciteyear] = ACTIONS(6816),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcitedate] = ACTIONS(6816),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHciteurl] = ACTIONS(6816),
    [anon_sym_BSLASHfullcite] = ACTIONS(6816),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6816),
    [anon_sym_BSLASHcitealt] = ACTIONS(6816),
    [anon_sym_BSLASHcitealp] = ACTIONS(6816),
    [anon_sym_BSLASHcitetext] = ACTIONS(6816),
    [anon_sym_BSLASHparencite] = ACTIONS(6816),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHParencite] = ACTIONS(6816),
    [anon_sym_BSLASHfootcite] = ACTIONS(6816),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6816),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6816),
    [anon_sym_BSLASHtextcite] = ACTIONS(6816),
    [anon_sym_BSLASHTextcite] = ACTIONS(6816),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6816),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6816),
    [anon_sym_BSLASHsupercite] = ACTIONS(6816),
    [anon_sym_BSLASHautocite] = ACTIONS(6816),
    [anon_sym_BSLASHAutocite] = ACTIONS(6816),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHVolcite] = ACTIONS(6816),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHavolcite] = ACTIONS(6816),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6816),
    [anon_sym_BSLASHnotecite] = ACTIONS(6816),
    [anon_sym_BSLASHNotecite] = ACTIONS(6816),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6816),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6816),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6816),
    [anon_sym_BSLASHlabel] = ACTIONS(6816),
    [anon_sym_BSLASHref] = ACTIONS(6816),
    [anon_sym_BSLASHeqref] = ACTIONS(6816),
    [anon_sym_BSLASHvref] = ACTIONS(6816),
    [anon_sym_BSLASHVref] = ACTIONS(6816),
    [anon_sym_BSLASHautoref] = ACTIONS(6816),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHpageref] = ACTIONS(6816),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHautopageref] = ACTIONS(6816),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcref] = ACTIONS(6816),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHCref] = ACTIONS(6816),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcpageref] = ACTIONS(6816),
    [anon_sym_BSLASHCpageref] = ACTIONS(6816),
    [anon_sym_BSLASHnamecref] = ACTIONS(6816),
    [anon_sym_BSLASHnameCref] = ACTIONS(6816),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6816),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6816),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6816),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6816),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6816),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6816),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6816),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6816),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6816),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6816),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6816),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6816),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6816),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6816),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6816),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6816),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6816),
    [anon_sym_BSLASHdef] = ACTIONS(6816),
    [anon_sym_BSLASHgdef] = ACTIONS(6816),
    [anon_sym_BSLASHedef] = ACTIONS(6816),
    [anon_sym_BSLASHxdef] = ACTIONS(6816),
    [anon_sym_BSLASHlet] = ACTIONS(6816),
    [anon_sym_BSLASHglet] = ACTIONS(6816),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6816),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6816),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6816),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6816),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6816),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6816),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6816),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6816),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6816),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6816),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6816),
    [anon_sym_BSLASHgls] = ACTIONS(6816),
    [anon_sym_BSLASHGls] = ACTIONS(6816),
    [anon_sym_BSLASHGLS] = ACTIONS(6816),
    [anon_sym_BSLASHglspl] = ACTIONS(6816),
    [anon_sym_BSLASHGlspl] = ACTIONS(6816),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6816),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6816),
    [anon_sym_BSLASHglslink] = ACTIONS(6816),
    [anon_sym_BSLASHglstext] = ACTIONS(6816),
    [anon_sym_BSLASHGlstext] = ACTIONS(6816),
    [anon_sym_BSLASHGLStext] = ACTIONS(6816),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6816),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6816),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6816),
    [anon_sym_BSLASHglsplural] = ACTIONS(6816),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6816),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6816),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6816),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6816),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6816),
    [anon_sym_BSLASHglsname] = ACTIONS(6816),
    [anon_sym_BSLASHGlsname] = ACTIONS(6816),
    [anon_sym_BSLASHGLSname] = ACTIONS(6816),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6816),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6816),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6816),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6816),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6816),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6816),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6816),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6816),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6816),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6816),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6816),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6816),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6816),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6816),
    [anon_sym_BSLASHacrshort] = ACTIONS(6816),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6816),
    [anon_sym_BSLASHACRshort] = ACTIONS(6816),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6816),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6816),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6816),
    [anon_sym_BSLASHacrlong] = ACTIONS(6816),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6816),
    [anon_sym_BSLASHACRlong] = ACTIONS(6816),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6816),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6816),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6816),
    [anon_sym_BSLASHacrfull] = ACTIONS(6816),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6816),
    [anon_sym_BSLASHACRfull] = ACTIONS(6816),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6816),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6816),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6816),
    [anon_sym_BSLASHacs] = ACTIONS(6816),
    [anon_sym_BSLASHAcs] = ACTIONS(6816),
    [anon_sym_BSLASHacsp] = ACTIONS(6816),
    [anon_sym_BSLASHAcsp] = ACTIONS(6816),
    [anon_sym_BSLASHacl] = ACTIONS(6816),
    [anon_sym_BSLASHAcl] = ACTIONS(6816),
    [anon_sym_BSLASHaclp] = ACTIONS(6816),
    [anon_sym_BSLASHAclp] = ACTIONS(6816),
    [anon_sym_BSLASHacf] = ACTIONS(6816),
    [anon_sym_BSLASHAcf] = ACTIONS(6816),
    [anon_sym_BSLASHacfp] = ACTIONS(6816),
    [anon_sym_BSLASHAcfp] = ACTIONS(6816),
    [anon_sym_BSLASHac] = ACTIONS(6816),
    [anon_sym_BSLASHAc] = ACTIONS(6816),
    [anon_sym_BSLASHacp] = ACTIONS(6816),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6816),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6816),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6816),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6816),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6816),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6816),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6816),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6816),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6816),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6816),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6816),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6816),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6818),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6816),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6816),
    [anon_sym_BSLASHcolor] = ACTIONS(6816),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6816),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6816),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6816),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6816),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6816),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6816),
    [anon_sym_BSLASHurl] = ACTIONS(6816),
    [anon_sym_BSLASHhref] = ACTIONS(6816),
  },
  [924] = {
    [sym__enum_itemdeclaration] = STATE(237),
    [sym_enum_item] = STATE(924),
    [aux_sym__paragraph_repeat3] = STATE(924),
    [sym_command_name] = ACTIONS(6826),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6826),
    [anon_sym_LBRACK] = ACTIONS(6828),
    [anon_sym_RBRACK] = ACTIONS(6828),
    [anon_sym_COMMA] = ACTIONS(6828),
    [anon_sym_EQ] = ACTIONS(6828),
    [anon_sym_LPAREN] = ACTIONS(6828),
    [anon_sym_RPAREN] = ACTIONS(6828),
    [anon_sym_BSLASHpart] = ACTIONS(6826),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHaddpart] = ACTIONS(6826),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHchapter] = ACTIONS(6826),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHaddchap] = ACTIONS(6826),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHsection] = ACTIONS(6826),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHaddsec] = ACTIONS(6826),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHsubsection] = ACTIONS(6826),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6826),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHparagraph] = ACTIONS(6826),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6826),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHitem] = ACTIONS(7756),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7759),
    [anon_sym_LBRACE] = ACTIONS(6828),
    [sym_word] = ACTIONS(6826),
    [sym_placeholder] = ACTIONS(6828),
    [sym_delimiter] = ACTIONS(6828),
    [anon_sym_PLUS] = ACTIONS(6828),
    [anon_sym_DASH] = ACTIONS(6828),
    [anon_sym_STAR] = ACTIONS(6828),
    [anon_sym_SLASH] = ACTIONS(6828),
    [anon_sym_LT] = ACTIONS(6826),
    [anon_sym_GT] = ACTIONS(6826),
    [anon_sym_BANG] = ACTIONS(6826),
    [anon_sym_PIPE] = ACTIONS(6826),
    [anon_sym_COLON] = ACTIONS(6826),
    [anon_sym_SQUOTE] = ACTIONS(6826),
    [anon_sym__] = ACTIONS(6828),
    [anon_sym_CARET] = ACTIONS(6828),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6828),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6828),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6828),
    [anon_sym_DOLLAR] = ACTIONS(6826),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6828),
    [anon_sym_BSLASHleft] = ACTIONS(6826),
    [anon_sym_BSLASHbigl] = ACTIONS(6826),
    [anon_sym_BSLASHBigl] = ACTIONS(6826),
    [anon_sym_BSLASHbiggl] = ACTIONS(6826),
    [anon_sym_BSLASHBiggl] = ACTIONS(6826),
    [anon_sym_BSLASHtext] = ACTIONS(6826),
    [anon_sym_BSLASHintertext] = ACTIONS(6826),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6826),
    [anon_sym_BSLASHbegin] = ACTIONS(6826),
    [anon_sym_BSLASHtitle] = ACTIONS(6826),
    [anon_sym_BSLASHauthor] = ACTIONS(6826),
    [anon_sym_BSLASHusepackage] = ACTIONS(6826),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6826),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6826),
    [anon_sym_BSLASHinclude] = ACTIONS(6826),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6826),
    [anon_sym_BSLASHinput] = ACTIONS(6826),
    [anon_sym_BSLASHsubfile] = ACTIONS(6826),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6826),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6826),
    [anon_sym_BSLASHbibliography] = ACTIONS(6826),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6826),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6826),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6826),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6826),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6826),
    [anon_sym_BSLASHimport] = ACTIONS(6826),
    [anon_sym_BSLASHsubimport] = ACTIONS(6826),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6826),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6826),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6826),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6826),
    [anon_sym_BSLASHcaption] = ACTIONS(6826),
    [anon_sym_BSLASHcite] = ACTIONS(6826),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHCite] = ACTIONS(6826),
    [anon_sym_BSLASHnocite] = ACTIONS(6826),
    [anon_sym_BSLASHcitet] = ACTIONS(6826),
    [anon_sym_BSLASHcitep] = ACTIONS(6826),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHciteA] = ACTIONS(6826),
    [anon_sym_BSLASHciteR] = ACTIONS(6826),
    [anon_sym_BSLASHciteS] = ACTIONS(6826),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6826),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6826),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6826),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6826),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHciteyear] = ACTIONS(6826),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcitedate] = ACTIONS(6826),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHciteurl] = ACTIONS(6826),
    [anon_sym_BSLASHfullcite] = ACTIONS(6826),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6826),
    [anon_sym_BSLASHcitealt] = ACTIONS(6826),
    [anon_sym_BSLASHcitealp] = ACTIONS(6826),
    [anon_sym_BSLASHcitetext] = ACTIONS(6826),
    [anon_sym_BSLASHparencite] = ACTIONS(6826),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHParencite] = ACTIONS(6826),
    [anon_sym_BSLASHfootcite] = ACTIONS(6826),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6826),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6826),
    [anon_sym_BSLASHtextcite] = ACTIONS(6826),
    [anon_sym_BSLASHTextcite] = ACTIONS(6826),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6826),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6826),
    [anon_sym_BSLASHsupercite] = ACTIONS(6826),
    [anon_sym_BSLASHautocite] = ACTIONS(6826),
    [anon_sym_BSLASHAutocite] = ACTIONS(6826),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHVolcite] = ACTIONS(6826),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHavolcite] = ACTIONS(6826),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6826),
    [anon_sym_BSLASHnotecite] = ACTIONS(6826),
    [anon_sym_BSLASHNotecite] = ACTIONS(6826),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6826),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6826),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6826),
    [anon_sym_BSLASHlabel] = ACTIONS(6826),
    [anon_sym_BSLASHref] = ACTIONS(6826),
    [anon_sym_BSLASHeqref] = ACTIONS(6826),
    [anon_sym_BSLASHvref] = ACTIONS(6826),
    [anon_sym_BSLASHVref] = ACTIONS(6826),
    [anon_sym_BSLASHautoref] = ACTIONS(6826),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHpageref] = ACTIONS(6826),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHautopageref] = ACTIONS(6826),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcref] = ACTIONS(6826),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHCref] = ACTIONS(6826),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcpageref] = ACTIONS(6826),
    [anon_sym_BSLASHCpageref] = ACTIONS(6826),
    [anon_sym_BSLASHnamecref] = ACTIONS(6826),
    [anon_sym_BSLASHnameCref] = ACTIONS(6826),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6826),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6826),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6826),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6826),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6826),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6826),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6826),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6826),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6826),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6826),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6826),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6826),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6826),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6826),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6826),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6826),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6826),
    [anon_sym_BSLASHdef] = ACTIONS(6826),
    [anon_sym_BSLASHgdef] = ACTIONS(6826),
    [anon_sym_BSLASHedef] = ACTIONS(6826),
    [anon_sym_BSLASHxdef] = ACTIONS(6826),
    [anon_sym_BSLASHlet] = ACTIONS(6826),
    [anon_sym_BSLASHglet] = ACTIONS(6826),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6826),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6826),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6826),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6826),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6826),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6826),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6826),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6826),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6826),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6826),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6826),
    [anon_sym_BSLASHgls] = ACTIONS(6826),
    [anon_sym_BSLASHGls] = ACTIONS(6826),
    [anon_sym_BSLASHGLS] = ACTIONS(6826),
    [anon_sym_BSLASHglspl] = ACTIONS(6826),
    [anon_sym_BSLASHGlspl] = ACTIONS(6826),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6826),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6826),
    [anon_sym_BSLASHglslink] = ACTIONS(6826),
    [anon_sym_BSLASHglstext] = ACTIONS(6826),
    [anon_sym_BSLASHGlstext] = ACTIONS(6826),
    [anon_sym_BSLASHGLStext] = ACTIONS(6826),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6826),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6826),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6826),
    [anon_sym_BSLASHglsplural] = ACTIONS(6826),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6826),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6826),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6826),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6826),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6826),
    [anon_sym_BSLASHglsname] = ACTIONS(6826),
    [anon_sym_BSLASHGlsname] = ACTIONS(6826),
    [anon_sym_BSLASHGLSname] = ACTIONS(6826),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6826),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6826),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6826),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6826),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6826),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6826),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6826),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6826),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6826),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6826),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6826),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6826),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6826),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6826),
    [anon_sym_BSLASHacrshort] = ACTIONS(6826),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6826),
    [anon_sym_BSLASHACRshort] = ACTIONS(6826),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6826),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6826),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6826),
    [anon_sym_BSLASHacrlong] = ACTIONS(6826),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6826),
    [anon_sym_BSLASHACRlong] = ACTIONS(6826),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6826),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6826),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6826),
    [anon_sym_BSLASHacrfull] = ACTIONS(6826),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6826),
    [anon_sym_BSLASHACRfull] = ACTIONS(6826),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6826),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6826),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6826),
    [anon_sym_BSLASHacs] = ACTIONS(6826),
    [anon_sym_BSLASHAcs] = ACTIONS(6826),
    [anon_sym_BSLASHacsp] = ACTIONS(6826),
    [anon_sym_BSLASHAcsp] = ACTIONS(6826),
    [anon_sym_BSLASHacl] = ACTIONS(6826),
    [anon_sym_BSLASHAcl] = ACTIONS(6826),
    [anon_sym_BSLASHaclp] = ACTIONS(6826),
    [anon_sym_BSLASHAclp] = ACTIONS(6826),
    [anon_sym_BSLASHacf] = ACTIONS(6826),
    [anon_sym_BSLASHAcf] = ACTIONS(6826),
    [anon_sym_BSLASHacfp] = ACTIONS(6826),
    [anon_sym_BSLASHAcfp] = ACTIONS(6826),
    [anon_sym_BSLASHac] = ACTIONS(6826),
    [anon_sym_BSLASHAc] = ACTIONS(6826),
    [anon_sym_BSLASHacp] = ACTIONS(6826),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6826),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6826),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6826),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6826),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6826),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6826),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6826),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6826),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6826),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6826),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6826),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6826),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6828),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6826),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6826),
    [anon_sym_BSLASHcolor] = ACTIONS(6826),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6826),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6826),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6826),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6826),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6826),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6826),
    [anon_sym_BSLASHurl] = ACTIONS(6826),
    [anon_sym_BSLASHhref] = ACTIONS(6826),
  },
  [925] = {
    [sym_curly_group] = STATE(958),
    [sym_brack_group_text] = STATE(2908),
    [ts_builtin_sym_end] = ACTIONS(6907),
    [sym_command_name] = ACTIONS(6905),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6905),
    [anon_sym_LBRACK] = ACTIONS(6883),
    [anon_sym_RBRACK] = ACTIONS(6907),
    [anon_sym_COMMA] = ACTIONS(6907),
    [anon_sym_EQ] = ACTIONS(6907),
    [anon_sym_LPAREN] = ACTIONS(6907),
    [anon_sym_RPAREN] = ACTIONS(6907),
    [anon_sym_BSLASHpart] = ACTIONS(6905),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHaddpart] = ACTIONS(6905),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHchapter] = ACTIONS(6905),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHaddchap] = ACTIONS(6905),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHsection] = ACTIONS(6905),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHaddsec] = ACTIONS(6905),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHsubsection] = ACTIONS(6905),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6905),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHparagraph] = ACTIONS(6905),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6905),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHitem] = ACTIONS(6905),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6907),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(6907),
    [sym_word] = ACTIONS(6905),
    [sym_placeholder] = ACTIONS(6907),
    [sym_delimiter] = ACTIONS(6907),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_STAR] = ACTIONS(6907),
    [anon_sym_SLASH] = ACTIONS(6907),
    [anon_sym_LT] = ACTIONS(6905),
    [anon_sym_GT] = ACTIONS(6905),
    [anon_sym_BANG] = ACTIONS(6905),
    [anon_sym_PIPE] = ACTIONS(6905),
    [anon_sym_COLON] = ACTIONS(6905),
    [anon_sym_SQUOTE] = ACTIONS(6905),
    [anon_sym__] = ACTIONS(6907),
    [anon_sym_CARET] = ACTIONS(6907),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6907),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6907),
    [anon_sym_DOLLAR] = ACTIONS(6905),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6907),
    [anon_sym_BSLASHleft] = ACTIONS(6905),
    [anon_sym_BSLASHbigl] = ACTIONS(6905),
    [anon_sym_BSLASHBigl] = ACTIONS(6905),
    [anon_sym_BSLASHbiggl] = ACTIONS(6905),
    [anon_sym_BSLASHBiggl] = ACTIONS(6905),
    [anon_sym_BSLASHtext] = ACTIONS(6905),
    [anon_sym_BSLASHintertext] = ACTIONS(6905),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6905),
    [anon_sym_BSLASHbegin] = ACTIONS(6905),
    [anon_sym_BSLASHtitle] = ACTIONS(6905),
    [anon_sym_BSLASHauthor] = ACTIONS(6905),
    [anon_sym_BSLASHusepackage] = ACTIONS(6905),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6905),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6905),
    [anon_sym_BSLASHinclude] = ACTIONS(6905),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6905),
    [anon_sym_BSLASHinput] = ACTIONS(6905),
    [anon_sym_BSLASHsubfile] = ACTIONS(6905),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6905),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6905),
    [anon_sym_BSLASHbibliography] = ACTIONS(6905),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6905),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6905),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6905),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6905),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6905),
    [anon_sym_BSLASHimport] = ACTIONS(6905),
    [anon_sym_BSLASHsubimport] = ACTIONS(6905),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6905),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6905),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6905),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6905),
    [anon_sym_BSLASHcaption] = ACTIONS(6905),
    [anon_sym_BSLASHcite] = ACTIONS(6905),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCite] = ACTIONS(6905),
    [anon_sym_BSLASHnocite] = ACTIONS(6905),
    [anon_sym_BSLASHcitet] = ACTIONS(6905),
    [anon_sym_BSLASHcitep] = ACTIONS(6905),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteA] = ACTIONS(6905),
    [anon_sym_BSLASHciteR] = ACTIONS(6905),
    [anon_sym_BSLASHciteS] = ACTIONS(6905),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6905),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6905),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6905),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6905),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteyear] = ACTIONS(6905),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitedate] = ACTIONS(6905),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteurl] = ACTIONS(6905),
    [anon_sym_BSLASHfullcite] = ACTIONS(6905),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6905),
    [anon_sym_BSLASHcitealt] = ACTIONS(6905),
    [anon_sym_BSLASHcitealp] = ACTIONS(6905),
    [anon_sym_BSLASHcitetext] = ACTIONS(6905),
    [anon_sym_BSLASHparencite] = ACTIONS(6905),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHParencite] = ACTIONS(6905),
    [anon_sym_BSLASHfootcite] = ACTIONS(6905),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6905),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6905),
    [anon_sym_BSLASHtextcite] = ACTIONS(6905),
    [anon_sym_BSLASHTextcite] = ACTIONS(6905),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6905),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6905),
    [anon_sym_BSLASHsupercite] = ACTIONS(6905),
    [anon_sym_BSLASHautocite] = ACTIONS(6905),
    [anon_sym_BSLASHAutocite] = ACTIONS(6905),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHVolcite] = ACTIONS(6905),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHavolcite] = ACTIONS(6905),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHNotecite] = ACTIONS(6905),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHlabel] = ACTIONS(6905),
    [anon_sym_BSLASHref] = ACTIONS(6905),
    [anon_sym_BSLASHeqref] = ACTIONS(6905),
    [anon_sym_BSLASHvref] = ACTIONS(6905),
    [anon_sym_BSLASHVref] = ACTIONS(6905),
    [anon_sym_BSLASHautoref] = ACTIONS(6905),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHpageref] = ACTIONS(6905),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHautopageref] = ACTIONS(6905),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcref] = ACTIONS(6905),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCref] = ACTIONS(6905),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcpageref] = ACTIONS(6905),
    [anon_sym_BSLASHCpageref] = ACTIONS(6905),
    [anon_sym_BSLASHnamecref] = ACTIONS(6905),
    [anon_sym_BSLASHnameCref] = ACTIONS(6905),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6905),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6905),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6905),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6905),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6905),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6905),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6905),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6905),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6905),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6905),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6905),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHdef] = ACTIONS(6905),
    [anon_sym_BSLASHgdef] = ACTIONS(6905),
    [anon_sym_BSLASHedef] = ACTIONS(6905),
    [anon_sym_BSLASHxdef] = ACTIONS(6905),
    [anon_sym_BSLASHlet] = ACTIONS(6905),
    [anon_sym_BSLASHglet] = ACTIONS(6905),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6905),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6905),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6905),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6905),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6905),
    [anon_sym_BSLASHgls] = ACTIONS(6905),
    [anon_sym_BSLASHGls] = ACTIONS(6905),
    [anon_sym_BSLASHGLS] = ACTIONS(6905),
    [anon_sym_BSLASHglspl] = ACTIONS(6905),
    [anon_sym_BSLASHGlspl] = ACTIONS(6905),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6905),
    [anon_sym_BSLASHglslink] = ACTIONS(6905),
    [anon_sym_BSLASHglstext] = ACTIONS(6905),
    [anon_sym_BSLASHGlstext] = ACTIONS(6905),
    [anon_sym_BSLASHGLStext] = ACTIONS(6905),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6905),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6905),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6905),
    [anon_sym_BSLASHglsplural] = ACTIONS(6905),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6905),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6905),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHglsname] = ACTIONS(6905),
    [anon_sym_BSLASHGlsname] = ACTIONS(6905),
    [anon_sym_BSLASHGLSname] = ACTIONS(6905),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6905),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6905),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6905),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6905),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6905),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6905),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6905),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6905),
    [anon_sym_BSLASHacrshort] = ACTIONS(6905),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6905),
    [anon_sym_BSLASHACRshort] = ACTIONS(6905),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHacrlong] = ACTIONS(6905),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6905),
    [anon_sym_BSLASHACRlong] = ACTIONS(6905),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHacrfull] = ACTIONS(6905),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6905),
    [anon_sym_BSLASHACRfull] = ACTIONS(6905),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHacs] = ACTIONS(6905),
    [anon_sym_BSLASHAcs] = ACTIONS(6905),
    [anon_sym_BSLASHacsp] = ACTIONS(6905),
    [anon_sym_BSLASHAcsp] = ACTIONS(6905),
    [anon_sym_BSLASHacl] = ACTIONS(6905),
    [anon_sym_BSLASHAcl] = ACTIONS(6905),
    [anon_sym_BSLASHaclp] = ACTIONS(6905),
    [anon_sym_BSLASHAclp] = ACTIONS(6905),
    [anon_sym_BSLASHacf] = ACTIONS(6905),
    [anon_sym_BSLASHAcf] = ACTIONS(6905),
    [anon_sym_BSLASHacfp] = ACTIONS(6905),
    [anon_sym_BSLASHAcfp] = ACTIONS(6905),
    [anon_sym_BSLASHac] = ACTIONS(6905),
    [anon_sym_BSLASHAc] = ACTIONS(6905),
    [anon_sym_BSLASHacp] = ACTIONS(6905),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6905),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6905),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6905),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6905),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6905),
    [anon_sym_BSLASHcolor] = ACTIONS(6905),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6905),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6905),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6905),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6905),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6905),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6905),
    [anon_sym_BSLASHurl] = ACTIONS(6905),
    [anon_sym_BSLASHhref] = ACTIONS(6905),
  },
  [926] = {
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(918),
    [aux_sym__section_repeat2] = STATE(918),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [927] = {
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(919),
    [aux_sym__section_repeat3] = STATE(919),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [928] = {
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(920),
    [aux_sym__section_repeat4] = STATE(920),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [929] = {
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(921),
    [aux_sym__section_repeat5] = STATE(921),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [930] = {
    [sym__chapter_declaration] = STATE(177),
    [sym_chapter] = STATE(918),
    [aux_sym__section_repeat2] = STATE(918),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(612),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(614),
    [anon_sym_BSLASHaddchap] = ACTIONS(612),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(614),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [931] = {
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(919),
    [aux_sym__section_repeat3] = STATE(919),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [932] = {
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(920),
    [aux_sym__section_repeat4] = STATE(920),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [933] = {
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(921),
    [aux_sym__section_repeat5] = STATE(921),
    [sym_command_name] = ACTIONS(6527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6527),
    [anon_sym_LBRACK] = ACTIONS(6529),
    [anon_sym_RBRACK] = ACTIONS(6529),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_EQ] = ACTIONS(6529),
    [anon_sym_LPAREN] = ACTIONS(6529),
    [anon_sym_RPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHpart] = ACTIONS(6527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddpart] = ACTIONS(6527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHchapter] = ACTIONS(6527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddchap] = ACTIONS(6527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsection] = ACTIONS(6527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHaddsec] = ACTIONS(6527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsection] = ACTIONS(6527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHitem] = ACTIONS(6527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6529),
    [anon_sym_LBRACE] = ACTIONS(6529),
    [sym_word] = ACTIONS(6527),
    [sym_placeholder] = ACTIONS(6529),
    [sym_delimiter] = ACTIONS(6529),
    [anon_sym_PLUS] = ACTIONS(6529),
    [anon_sym_DASH] = ACTIONS(6529),
    [anon_sym_STAR] = ACTIONS(6529),
    [anon_sym_SLASH] = ACTIONS(6529),
    [anon_sym_LT] = ACTIONS(6527),
    [anon_sym_GT] = ACTIONS(6527),
    [anon_sym_BANG] = ACTIONS(6527),
    [anon_sym_PIPE] = ACTIONS(6527),
    [anon_sym_COLON] = ACTIONS(6527),
    [anon_sym_SQUOTE] = ACTIONS(6527),
    [anon_sym__] = ACTIONS(6529),
    [anon_sym_CARET] = ACTIONS(6529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6529),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6529),
    [anon_sym_DOLLAR] = ACTIONS(6527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6529),
    [anon_sym_BSLASHleft] = ACTIONS(6527),
    [anon_sym_BSLASHbigl] = ACTIONS(6527),
    [anon_sym_BSLASHBigl] = ACTIONS(6527),
    [anon_sym_BSLASHbiggl] = ACTIONS(6527),
    [anon_sym_BSLASHBiggl] = ACTIONS(6527),
    [anon_sym_BSLASHtext] = ACTIONS(6527),
    [anon_sym_BSLASHintertext] = ACTIONS(6527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6527),
    [anon_sym_BSLASHbegin] = ACTIONS(6527),
    [anon_sym_BSLASHtitle] = ACTIONS(6527),
    [anon_sym_BSLASHauthor] = ACTIONS(6527),
    [anon_sym_BSLASHusepackage] = ACTIONS(6527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6527),
    [anon_sym_BSLASHinclude] = ACTIONS(6527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6527),
    [anon_sym_BSLASHinput] = ACTIONS(6527),
    [anon_sym_BSLASHsubfile] = ACTIONS(6527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6527),
    [anon_sym_BSLASHbibliography] = ACTIONS(6527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6527),
    [anon_sym_BSLASHimport] = ACTIONS(6527),
    [anon_sym_BSLASHsubimport] = ACTIONS(6527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6527),
    [anon_sym_BSLASHcaption] = ACTIONS(6527),
    [anon_sym_BSLASHcite] = ACTIONS(6527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCite] = ACTIONS(6527),
    [anon_sym_BSLASHnocite] = ACTIONS(6527),
    [anon_sym_BSLASHcitet] = ACTIONS(6527),
    [anon_sym_BSLASHcitep] = ACTIONS(6527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteA] = ACTIONS(6527),
    [anon_sym_BSLASHciteR] = ACTIONS(6527),
    [anon_sym_BSLASHciteS] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteyear] = ACTIONS(6527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcitedate] = ACTIONS(6527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHciteurl] = ACTIONS(6527),
    [anon_sym_BSLASHfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6527),
    [anon_sym_BSLASHcitealt] = ACTIONS(6527),
    [anon_sym_BSLASHcitealp] = ACTIONS(6527),
    [anon_sym_BSLASHcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHparencite] = ACTIONS(6527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHParencite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6527),
    [anon_sym_BSLASHtextcite] = ACTIONS(6527),
    [anon_sym_BSLASHTextcite] = ACTIONS(6527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6527),
    [anon_sym_BSLASHsupercite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite] = ACTIONS(6527),
    [anon_sym_BSLASHAutocite] = ACTIONS(6527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHVolcite] = ACTIONS(6527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHavolcite] = ACTIONS(6527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6527),
    [anon_sym_BSLASHnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHNotecite] = ACTIONS(6527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6527),
    [anon_sym_BSLASHlabel] = ACTIONS(6527),
    [anon_sym_BSLASHref] = ACTIONS(6527),
    [anon_sym_BSLASHeqref] = ACTIONS(6527),
    [anon_sym_BSLASHvref] = ACTIONS(6527),
    [anon_sym_BSLASHVref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref] = ACTIONS(6527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHpageref] = ACTIONS(6527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHautopageref] = ACTIONS(6527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcref] = ACTIONS(6527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCref] = ACTIONS(6527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHCpageref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnameCref] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6527),
    [anon_sym_BSLASHdef] = ACTIONS(6527),
    [anon_sym_BSLASHgdef] = ACTIONS(6527),
    [anon_sym_BSLASHedef] = ACTIONS(6527),
    [anon_sym_BSLASHxdef] = ACTIONS(6527),
    [anon_sym_BSLASHlet] = ACTIONS(6527),
    [anon_sym_BSLASHglet] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6527),
    [anon_sym_BSLASHgls] = ACTIONS(6527),
    [anon_sym_BSLASHGls] = ACTIONS(6527),
    [anon_sym_BSLASHGLS] = ACTIONS(6527),
    [anon_sym_BSLASHglspl] = ACTIONS(6527),
    [anon_sym_BSLASHGlspl] = ACTIONS(6527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6527),
    [anon_sym_BSLASHglslink] = ACTIONS(6527),
    [anon_sym_BSLASHglstext] = ACTIONS(6527),
    [anon_sym_BSLASHGlstext] = ACTIONS(6527),
    [anon_sym_BSLASHGLStext] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6527),
    [anon_sym_BSLASHglsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6527),
    [anon_sym_BSLASHglsname] = ACTIONS(6527),
    [anon_sym_BSLASHGlsname] = ACTIONS(6527),
    [anon_sym_BSLASHGLSname] = ACTIONS(6527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6527),
    [anon_sym_BSLASHacrshort] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6527),
    [anon_sym_BSLASHACRshort] = ACTIONS(6527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrlong] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6527),
    [anon_sym_BSLASHACRlong] = ACTIONS(6527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6527),
    [anon_sym_BSLASHacrfull] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6527),
    [anon_sym_BSLASHACRfull] = ACTIONS(6527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHacs] = ACTIONS(6527),
    [anon_sym_BSLASHAcs] = ACTIONS(6527),
    [anon_sym_BSLASHacsp] = ACTIONS(6527),
    [anon_sym_BSLASHAcsp] = ACTIONS(6527),
    [anon_sym_BSLASHacl] = ACTIONS(6527),
    [anon_sym_BSLASHAcl] = ACTIONS(6527),
    [anon_sym_BSLASHaclp] = ACTIONS(6527),
    [anon_sym_BSLASHAclp] = ACTIONS(6527),
    [anon_sym_BSLASHacf] = ACTIONS(6527),
    [anon_sym_BSLASHAcf] = ACTIONS(6527),
    [anon_sym_BSLASHacfp] = ACTIONS(6527),
    [anon_sym_BSLASHAcfp] = ACTIONS(6527),
    [anon_sym_BSLASHac] = ACTIONS(6527),
    [anon_sym_BSLASHAc] = ACTIONS(6527),
    [anon_sym_BSLASHacp] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6527),
    [anon_sym_BSLASHcolor] = ACTIONS(6527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6527),
    [anon_sym_BSLASHurl] = ACTIONS(6527),
    [anon_sym_BSLASHhref] = ACTIONS(6527),
  },
  [934] = {
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(919),
    [aux_sym__section_repeat3] = STATE(919),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [935] = {
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(920),
    [aux_sym__section_repeat4] = STATE(920),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(6531),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddsec] = ACTIONS(6531),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [936] = {
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(921),
    [aux_sym__section_repeat5] = STATE(921),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(6531),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddsec] = ACTIONS(6531),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [937] = {
    [sym__section_declaration] = STATE(187),
    [sym_section] = STATE(919),
    [aux_sym__section_repeat3] = STATE(919),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(616),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(618),
    [anon_sym_BSLASHaddsec] = ACTIONS(616),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(618),
    [anon_sym_BSLASHsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [938] = {
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(920),
    [aux_sym__section_repeat4] = STATE(920),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(6531),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddsec] = ACTIONS(6531),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [939] = {
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(921),
    [aux_sym__section_repeat5] = STATE(921),
    [sym_command_name] = ACTIONS(6531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6531),
    [anon_sym_LBRACK] = ACTIONS(6533),
    [anon_sym_RBRACK] = ACTIONS(6533),
    [anon_sym_COMMA] = ACTIONS(6533),
    [anon_sym_EQ] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(6533),
    [anon_sym_RPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHpart] = ACTIONS(6531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddpart] = ACTIONS(6531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHchapter] = ACTIONS(6531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddchap] = ACTIONS(6531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsection] = ACTIONS(6531),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHaddsec] = ACTIONS(6531),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsection] = ACTIONS(6531),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHitem] = ACTIONS(6531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(6533),
    [sym_word] = ACTIONS(6531),
    [sym_placeholder] = ACTIONS(6533),
    [sym_delimiter] = ACTIONS(6533),
    [anon_sym_PLUS] = ACTIONS(6533),
    [anon_sym_DASH] = ACTIONS(6533),
    [anon_sym_STAR] = ACTIONS(6533),
    [anon_sym_SLASH] = ACTIONS(6533),
    [anon_sym_LT] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6531),
    [anon_sym_BANG] = ACTIONS(6531),
    [anon_sym_PIPE] = ACTIONS(6531),
    [anon_sym_COLON] = ACTIONS(6531),
    [anon_sym_SQUOTE] = ACTIONS(6531),
    [anon_sym__] = ACTIONS(6533),
    [anon_sym_CARET] = ACTIONS(6533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6533),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6533),
    [anon_sym_DOLLAR] = ACTIONS(6531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6533),
    [anon_sym_BSLASHleft] = ACTIONS(6531),
    [anon_sym_BSLASHbigl] = ACTIONS(6531),
    [anon_sym_BSLASHBigl] = ACTIONS(6531),
    [anon_sym_BSLASHbiggl] = ACTIONS(6531),
    [anon_sym_BSLASHBiggl] = ACTIONS(6531),
    [anon_sym_BSLASHtext] = ACTIONS(6531),
    [anon_sym_BSLASHintertext] = ACTIONS(6531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6531),
    [anon_sym_BSLASHbegin] = ACTIONS(6531),
    [anon_sym_BSLASHtitle] = ACTIONS(6531),
    [anon_sym_BSLASHauthor] = ACTIONS(6531),
    [anon_sym_BSLASHusepackage] = ACTIONS(6531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6531),
    [anon_sym_BSLASHinclude] = ACTIONS(6531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6531),
    [anon_sym_BSLASHinput] = ACTIONS(6531),
    [anon_sym_BSLASHsubfile] = ACTIONS(6531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6531),
    [anon_sym_BSLASHbibliography] = ACTIONS(6531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6531),
    [anon_sym_BSLASHimport] = ACTIONS(6531),
    [anon_sym_BSLASHsubimport] = ACTIONS(6531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6531),
    [anon_sym_BSLASHcaption] = ACTIONS(6531),
    [anon_sym_BSLASHcite] = ACTIONS(6531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCite] = ACTIONS(6531),
    [anon_sym_BSLASHnocite] = ACTIONS(6531),
    [anon_sym_BSLASHcitet] = ACTIONS(6531),
    [anon_sym_BSLASHcitep] = ACTIONS(6531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteA] = ACTIONS(6531),
    [anon_sym_BSLASHciteR] = ACTIONS(6531),
    [anon_sym_BSLASHciteS] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteyear] = ACTIONS(6531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcitedate] = ACTIONS(6531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHciteurl] = ACTIONS(6531),
    [anon_sym_BSLASHfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6531),
    [anon_sym_BSLASHcitealt] = ACTIONS(6531),
    [anon_sym_BSLASHcitealp] = ACTIONS(6531),
    [anon_sym_BSLASHcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHparencite] = ACTIONS(6531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHParencite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6531),
    [anon_sym_BSLASHtextcite] = ACTIONS(6531),
    [anon_sym_BSLASHTextcite] = ACTIONS(6531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6531),
    [anon_sym_BSLASHsupercite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite] = ACTIONS(6531),
    [anon_sym_BSLASHAutocite] = ACTIONS(6531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHVolcite] = ACTIONS(6531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHavolcite] = ACTIONS(6531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6531),
    [anon_sym_BSLASHnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHNotecite] = ACTIONS(6531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6531),
    [anon_sym_BSLASHlabel] = ACTIONS(6531),
    [anon_sym_BSLASHref] = ACTIONS(6531),
    [anon_sym_BSLASHeqref] = ACTIONS(6531),
    [anon_sym_BSLASHvref] = ACTIONS(6531),
    [anon_sym_BSLASHVref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref] = ACTIONS(6531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHpageref] = ACTIONS(6531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHautopageref] = ACTIONS(6531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcref] = ACTIONS(6531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCref] = ACTIONS(6531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHCpageref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnameCref] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6531),
    [anon_sym_BSLASHdef] = ACTIONS(6531),
    [anon_sym_BSLASHgdef] = ACTIONS(6531),
    [anon_sym_BSLASHedef] = ACTIONS(6531),
    [anon_sym_BSLASHxdef] = ACTIONS(6531),
    [anon_sym_BSLASHlet] = ACTIONS(6531),
    [anon_sym_BSLASHglet] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6531),
    [anon_sym_BSLASHgls] = ACTIONS(6531),
    [anon_sym_BSLASHGls] = ACTIONS(6531),
    [anon_sym_BSLASHGLS] = ACTIONS(6531),
    [anon_sym_BSLASHglspl] = ACTIONS(6531),
    [anon_sym_BSLASHGlspl] = ACTIONS(6531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6531),
    [anon_sym_BSLASHglslink] = ACTIONS(6531),
    [anon_sym_BSLASHglstext] = ACTIONS(6531),
    [anon_sym_BSLASHGlstext] = ACTIONS(6531),
    [anon_sym_BSLASHGLStext] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6531),
    [anon_sym_BSLASHglsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6531),
    [anon_sym_BSLASHglsname] = ACTIONS(6531),
    [anon_sym_BSLASHGlsname] = ACTIONS(6531),
    [anon_sym_BSLASHGLSname] = ACTIONS(6531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6531),
    [anon_sym_BSLASHacrshort] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6531),
    [anon_sym_BSLASHACRshort] = ACTIONS(6531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrlong] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6531),
    [anon_sym_BSLASHACRlong] = ACTIONS(6531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6531),
    [anon_sym_BSLASHacrfull] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6531),
    [anon_sym_BSLASHACRfull] = ACTIONS(6531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHacs] = ACTIONS(6531),
    [anon_sym_BSLASHAcs] = ACTIONS(6531),
    [anon_sym_BSLASHacsp] = ACTIONS(6531),
    [anon_sym_BSLASHAcsp] = ACTIONS(6531),
    [anon_sym_BSLASHacl] = ACTIONS(6531),
    [anon_sym_BSLASHAcl] = ACTIONS(6531),
    [anon_sym_BSLASHaclp] = ACTIONS(6531),
    [anon_sym_BSLASHAclp] = ACTIONS(6531),
    [anon_sym_BSLASHacf] = ACTIONS(6531),
    [anon_sym_BSLASHAcf] = ACTIONS(6531),
    [anon_sym_BSLASHacfp] = ACTIONS(6531),
    [anon_sym_BSLASHAcfp] = ACTIONS(6531),
    [anon_sym_BSLASHac] = ACTIONS(6531),
    [anon_sym_BSLASHAc] = ACTIONS(6531),
    [anon_sym_BSLASHacp] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6531),
    [anon_sym_BSLASHcolor] = ACTIONS(6531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6531),
    [anon_sym_BSLASHurl] = ACTIONS(6531),
    [anon_sym_BSLASHhref] = ACTIONS(6531),
  },
  [940] = {
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(920),
    [aux_sym__section_repeat4] = STATE(920),
    [sym_command_name] = ACTIONS(6535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6535),
    [anon_sym_LBRACK] = ACTIONS(6537),
    [anon_sym_RBRACK] = ACTIONS(6537),
    [anon_sym_COMMA] = ACTIONS(6537),
    [anon_sym_EQ] = ACTIONS(6537),
    [anon_sym_LPAREN] = ACTIONS(6537),
    [anon_sym_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHpart] = ACTIONS(6535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddpart] = ACTIONS(6535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHchapter] = ACTIONS(6535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddchap] = ACTIONS(6535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsection] = ACTIONS(6535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddsec] = ACTIONS(6535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6535),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHitem] = ACTIONS(6535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6537),
    [anon_sym_LBRACE] = ACTIONS(6537),
    [sym_word] = ACTIONS(6535),
    [sym_placeholder] = ACTIONS(6537),
    [sym_delimiter] = ACTIONS(6537),
    [anon_sym_PLUS] = ACTIONS(6537),
    [anon_sym_DASH] = ACTIONS(6537),
    [anon_sym_STAR] = ACTIONS(6537),
    [anon_sym_SLASH] = ACTIONS(6537),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_BANG] = ACTIONS(6535),
    [anon_sym_PIPE] = ACTIONS(6535),
    [anon_sym_COLON] = ACTIONS(6535),
    [anon_sym_SQUOTE] = ACTIONS(6535),
    [anon_sym__] = ACTIONS(6537),
    [anon_sym_CARET] = ACTIONS(6537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6537),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6537),
    [anon_sym_DOLLAR] = ACTIONS(6535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHleft] = ACTIONS(6535),
    [anon_sym_BSLASHbigl] = ACTIONS(6535),
    [anon_sym_BSLASHBigl] = ACTIONS(6535),
    [anon_sym_BSLASHbiggl] = ACTIONS(6535),
    [anon_sym_BSLASHBiggl] = ACTIONS(6535),
    [anon_sym_BSLASHtext] = ACTIONS(6535),
    [anon_sym_BSLASHintertext] = ACTIONS(6535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6535),
    [anon_sym_BSLASHbegin] = ACTIONS(6535),
    [anon_sym_BSLASHtitle] = ACTIONS(6535),
    [anon_sym_BSLASHauthor] = ACTIONS(6535),
    [anon_sym_BSLASHusepackage] = ACTIONS(6535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6535),
    [anon_sym_BSLASHinclude] = ACTIONS(6535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6535),
    [anon_sym_BSLASHinput] = ACTIONS(6535),
    [anon_sym_BSLASHsubfile] = ACTIONS(6535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6535),
    [anon_sym_BSLASHbibliography] = ACTIONS(6535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6535),
    [anon_sym_BSLASHimport] = ACTIONS(6535),
    [anon_sym_BSLASHsubimport] = ACTIONS(6535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHcaption] = ACTIONS(6535),
    [anon_sym_BSLASHcite] = ACTIONS(6535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCite] = ACTIONS(6535),
    [anon_sym_BSLASHnocite] = ACTIONS(6535),
    [anon_sym_BSLASHcitet] = ACTIONS(6535),
    [anon_sym_BSLASHcitep] = ACTIONS(6535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteA] = ACTIONS(6535),
    [anon_sym_BSLASHciteR] = ACTIONS(6535),
    [anon_sym_BSLASHciteS] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteyear] = ACTIONS(6535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitedate] = ACTIONS(6535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteurl] = ACTIONS(6535),
    [anon_sym_BSLASHfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6535),
    [anon_sym_BSLASHcitealt] = ACTIONS(6535),
    [anon_sym_BSLASHcitealp] = ACTIONS(6535),
    [anon_sym_BSLASHcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHparencite] = ACTIONS(6535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHParencite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHtextcite] = ACTIONS(6535),
    [anon_sym_BSLASHTextcite] = ACTIONS(6535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHsupercite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite] = ACTIONS(6535),
    [anon_sym_BSLASHAutocite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHVolcite] = ACTIONS(6535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHavolcite] = ACTIONS(6535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHNotecite] = ACTIONS(6535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHlabel] = ACTIONS(6535),
    [anon_sym_BSLASHref] = ACTIONS(6535),
    [anon_sym_BSLASHeqref] = ACTIONS(6535),
    [anon_sym_BSLASHvref] = ACTIONS(6535),
    [anon_sym_BSLASHVref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHpageref] = ACTIONS(6535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHautopageref] = ACTIONS(6535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcref] = ACTIONS(6535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCref] = ACTIONS(6535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHCpageref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnameCref] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHdef] = ACTIONS(6535),
    [anon_sym_BSLASHgdef] = ACTIONS(6535),
    [anon_sym_BSLASHedef] = ACTIONS(6535),
    [anon_sym_BSLASHxdef] = ACTIONS(6535),
    [anon_sym_BSLASHlet] = ACTIONS(6535),
    [anon_sym_BSLASHglet] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6535),
    [anon_sym_BSLASHgls] = ACTIONS(6535),
    [anon_sym_BSLASHGls] = ACTIONS(6535),
    [anon_sym_BSLASHGLS] = ACTIONS(6535),
    [anon_sym_BSLASHglspl] = ACTIONS(6535),
    [anon_sym_BSLASHGlspl] = ACTIONS(6535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6535),
    [anon_sym_BSLASHglslink] = ACTIONS(6535),
    [anon_sym_BSLASHglstext] = ACTIONS(6535),
    [anon_sym_BSLASHGlstext] = ACTIONS(6535),
    [anon_sym_BSLASHGLStext] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6535),
    [anon_sym_BSLASHglsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsname] = ACTIONS(6535),
    [anon_sym_BSLASHGlsname] = ACTIONS(6535),
    [anon_sym_BSLASHGLSname] = ACTIONS(6535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6535),
    [anon_sym_BSLASHacrshort] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6535),
    [anon_sym_BSLASHACRshort] = ACTIONS(6535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrlong] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6535),
    [anon_sym_BSLASHACRlong] = ACTIONS(6535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrfull] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6535),
    [anon_sym_BSLASHACRfull] = ACTIONS(6535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHacs] = ACTIONS(6535),
    [anon_sym_BSLASHAcs] = ACTIONS(6535),
    [anon_sym_BSLASHacsp] = ACTIONS(6535),
    [anon_sym_BSLASHAcsp] = ACTIONS(6535),
    [anon_sym_BSLASHacl] = ACTIONS(6535),
    [anon_sym_BSLASHAcl] = ACTIONS(6535),
    [anon_sym_BSLASHaclp] = ACTIONS(6535),
    [anon_sym_BSLASHAclp] = ACTIONS(6535),
    [anon_sym_BSLASHacf] = ACTIONS(6535),
    [anon_sym_BSLASHAcf] = ACTIONS(6535),
    [anon_sym_BSLASHacfp] = ACTIONS(6535),
    [anon_sym_BSLASHAcfp] = ACTIONS(6535),
    [anon_sym_BSLASHac] = ACTIONS(6535),
    [anon_sym_BSLASHAc] = ACTIONS(6535),
    [anon_sym_BSLASHacp] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6535),
    [anon_sym_BSLASHcolor] = ACTIONS(6535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6535),
    [anon_sym_BSLASHurl] = ACTIONS(6535),
    [anon_sym_BSLASHhref] = ACTIONS(6535),
  },
  [941] = {
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(921),
    [aux_sym__section_repeat5] = STATE(921),
    [sym_command_name] = ACTIONS(6535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6535),
    [anon_sym_LBRACK] = ACTIONS(6537),
    [anon_sym_RBRACK] = ACTIONS(6537),
    [anon_sym_COMMA] = ACTIONS(6537),
    [anon_sym_EQ] = ACTIONS(6537),
    [anon_sym_LPAREN] = ACTIONS(6537),
    [anon_sym_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHpart] = ACTIONS(6535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddpart] = ACTIONS(6535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHchapter] = ACTIONS(6535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddchap] = ACTIONS(6535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsection] = ACTIONS(6535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddsec] = ACTIONS(6535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsection] = ACTIONS(6535),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHitem] = ACTIONS(6535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6537),
    [anon_sym_LBRACE] = ACTIONS(6537),
    [sym_word] = ACTIONS(6535),
    [sym_placeholder] = ACTIONS(6537),
    [sym_delimiter] = ACTIONS(6537),
    [anon_sym_PLUS] = ACTIONS(6537),
    [anon_sym_DASH] = ACTIONS(6537),
    [anon_sym_STAR] = ACTIONS(6537),
    [anon_sym_SLASH] = ACTIONS(6537),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_BANG] = ACTIONS(6535),
    [anon_sym_PIPE] = ACTIONS(6535),
    [anon_sym_COLON] = ACTIONS(6535),
    [anon_sym_SQUOTE] = ACTIONS(6535),
    [anon_sym__] = ACTIONS(6537),
    [anon_sym_CARET] = ACTIONS(6537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6537),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6537),
    [anon_sym_DOLLAR] = ACTIONS(6535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHleft] = ACTIONS(6535),
    [anon_sym_BSLASHbigl] = ACTIONS(6535),
    [anon_sym_BSLASHBigl] = ACTIONS(6535),
    [anon_sym_BSLASHbiggl] = ACTIONS(6535),
    [anon_sym_BSLASHBiggl] = ACTIONS(6535),
    [anon_sym_BSLASHtext] = ACTIONS(6535),
    [anon_sym_BSLASHintertext] = ACTIONS(6535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6535),
    [anon_sym_BSLASHbegin] = ACTIONS(6535),
    [anon_sym_BSLASHtitle] = ACTIONS(6535),
    [anon_sym_BSLASHauthor] = ACTIONS(6535),
    [anon_sym_BSLASHusepackage] = ACTIONS(6535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6535),
    [anon_sym_BSLASHinclude] = ACTIONS(6535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6535),
    [anon_sym_BSLASHinput] = ACTIONS(6535),
    [anon_sym_BSLASHsubfile] = ACTIONS(6535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6535),
    [anon_sym_BSLASHbibliography] = ACTIONS(6535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6535),
    [anon_sym_BSLASHimport] = ACTIONS(6535),
    [anon_sym_BSLASHsubimport] = ACTIONS(6535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHcaption] = ACTIONS(6535),
    [anon_sym_BSLASHcite] = ACTIONS(6535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCite] = ACTIONS(6535),
    [anon_sym_BSLASHnocite] = ACTIONS(6535),
    [anon_sym_BSLASHcitet] = ACTIONS(6535),
    [anon_sym_BSLASHcitep] = ACTIONS(6535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteA] = ACTIONS(6535),
    [anon_sym_BSLASHciteR] = ACTIONS(6535),
    [anon_sym_BSLASHciteS] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteyear] = ACTIONS(6535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitedate] = ACTIONS(6535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteurl] = ACTIONS(6535),
    [anon_sym_BSLASHfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6535),
    [anon_sym_BSLASHcitealt] = ACTIONS(6535),
    [anon_sym_BSLASHcitealp] = ACTIONS(6535),
    [anon_sym_BSLASHcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHparencite] = ACTIONS(6535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHParencite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHtextcite] = ACTIONS(6535),
    [anon_sym_BSLASHTextcite] = ACTIONS(6535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHsupercite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite] = ACTIONS(6535),
    [anon_sym_BSLASHAutocite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHVolcite] = ACTIONS(6535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHavolcite] = ACTIONS(6535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHNotecite] = ACTIONS(6535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHlabel] = ACTIONS(6535),
    [anon_sym_BSLASHref] = ACTIONS(6535),
    [anon_sym_BSLASHeqref] = ACTIONS(6535),
    [anon_sym_BSLASHvref] = ACTIONS(6535),
    [anon_sym_BSLASHVref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHpageref] = ACTIONS(6535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHautopageref] = ACTIONS(6535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcref] = ACTIONS(6535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCref] = ACTIONS(6535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHCpageref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnameCref] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHdef] = ACTIONS(6535),
    [anon_sym_BSLASHgdef] = ACTIONS(6535),
    [anon_sym_BSLASHedef] = ACTIONS(6535),
    [anon_sym_BSLASHxdef] = ACTIONS(6535),
    [anon_sym_BSLASHlet] = ACTIONS(6535),
    [anon_sym_BSLASHglet] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6535),
    [anon_sym_BSLASHgls] = ACTIONS(6535),
    [anon_sym_BSLASHGls] = ACTIONS(6535),
    [anon_sym_BSLASHGLS] = ACTIONS(6535),
    [anon_sym_BSLASHglspl] = ACTIONS(6535),
    [anon_sym_BSLASHGlspl] = ACTIONS(6535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6535),
    [anon_sym_BSLASHglslink] = ACTIONS(6535),
    [anon_sym_BSLASHglstext] = ACTIONS(6535),
    [anon_sym_BSLASHGlstext] = ACTIONS(6535),
    [anon_sym_BSLASHGLStext] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6535),
    [anon_sym_BSLASHglsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsname] = ACTIONS(6535),
    [anon_sym_BSLASHGlsname] = ACTIONS(6535),
    [anon_sym_BSLASHGLSname] = ACTIONS(6535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6535),
    [anon_sym_BSLASHacrshort] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6535),
    [anon_sym_BSLASHACRshort] = ACTIONS(6535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrlong] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6535),
    [anon_sym_BSLASHACRlong] = ACTIONS(6535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrfull] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6535),
    [anon_sym_BSLASHACRfull] = ACTIONS(6535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHacs] = ACTIONS(6535),
    [anon_sym_BSLASHAcs] = ACTIONS(6535),
    [anon_sym_BSLASHacsp] = ACTIONS(6535),
    [anon_sym_BSLASHAcsp] = ACTIONS(6535),
    [anon_sym_BSLASHacl] = ACTIONS(6535),
    [anon_sym_BSLASHAcl] = ACTIONS(6535),
    [anon_sym_BSLASHaclp] = ACTIONS(6535),
    [anon_sym_BSLASHAclp] = ACTIONS(6535),
    [anon_sym_BSLASHacf] = ACTIONS(6535),
    [anon_sym_BSLASHAcf] = ACTIONS(6535),
    [anon_sym_BSLASHacfp] = ACTIONS(6535),
    [anon_sym_BSLASHAcfp] = ACTIONS(6535),
    [anon_sym_BSLASHac] = ACTIONS(6535),
    [anon_sym_BSLASHAc] = ACTIONS(6535),
    [anon_sym_BSLASHacp] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6535),
    [anon_sym_BSLASHcolor] = ACTIONS(6535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6535),
    [anon_sym_BSLASHurl] = ACTIONS(6535),
    [anon_sym_BSLASHhref] = ACTIONS(6535),
  },
  [942] = {
    [sym__subsection_declaration] = STATE(197),
    [sym_subsection] = STATE(920),
    [aux_sym__section_repeat4] = STATE(920),
    [sym_command_name] = ACTIONS(6535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6535),
    [anon_sym_LBRACK] = ACTIONS(6537),
    [anon_sym_RBRACK] = ACTIONS(6537),
    [anon_sym_COMMA] = ACTIONS(6537),
    [anon_sym_EQ] = ACTIONS(6537),
    [anon_sym_LPAREN] = ACTIONS(6537),
    [anon_sym_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHpart] = ACTIONS(6535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddpart] = ACTIONS(6535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHchapter] = ACTIONS(6535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddchap] = ACTIONS(6535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsection] = ACTIONS(6535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddsec] = ACTIONS(6535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsection] = ACTIONS(620),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(622),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6535),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHitem] = ACTIONS(6535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6537),
    [anon_sym_LBRACE] = ACTIONS(6537),
    [sym_word] = ACTIONS(6535),
    [sym_placeholder] = ACTIONS(6537),
    [sym_delimiter] = ACTIONS(6537),
    [anon_sym_PLUS] = ACTIONS(6537),
    [anon_sym_DASH] = ACTIONS(6537),
    [anon_sym_STAR] = ACTIONS(6537),
    [anon_sym_SLASH] = ACTIONS(6537),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_BANG] = ACTIONS(6535),
    [anon_sym_PIPE] = ACTIONS(6535),
    [anon_sym_COLON] = ACTIONS(6535),
    [anon_sym_SQUOTE] = ACTIONS(6535),
    [anon_sym__] = ACTIONS(6537),
    [anon_sym_CARET] = ACTIONS(6537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6537),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6537),
    [anon_sym_DOLLAR] = ACTIONS(6535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHleft] = ACTIONS(6535),
    [anon_sym_BSLASHbigl] = ACTIONS(6535),
    [anon_sym_BSLASHBigl] = ACTIONS(6535),
    [anon_sym_BSLASHbiggl] = ACTIONS(6535),
    [anon_sym_BSLASHBiggl] = ACTIONS(6535),
    [anon_sym_BSLASHtext] = ACTIONS(6535),
    [anon_sym_BSLASHintertext] = ACTIONS(6535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6535),
    [anon_sym_BSLASHbegin] = ACTIONS(6535),
    [anon_sym_BSLASHtitle] = ACTIONS(6535),
    [anon_sym_BSLASHauthor] = ACTIONS(6535),
    [anon_sym_BSLASHusepackage] = ACTIONS(6535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6535),
    [anon_sym_BSLASHinclude] = ACTIONS(6535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6535),
    [anon_sym_BSLASHinput] = ACTIONS(6535),
    [anon_sym_BSLASHsubfile] = ACTIONS(6535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6535),
    [anon_sym_BSLASHbibliography] = ACTIONS(6535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6535),
    [anon_sym_BSLASHimport] = ACTIONS(6535),
    [anon_sym_BSLASHsubimport] = ACTIONS(6535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHcaption] = ACTIONS(6535),
    [anon_sym_BSLASHcite] = ACTIONS(6535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCite] = ACTIONS(6535),
    [anon_sym_BSLASHnocite] = ACTIONS(6535),
    [anon_sym_BSLASHcitet] = ACTIONS(6535),
    [anon_sym_BSLASHcitep] = ACTIONS(6535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteA] = ACTIONS(6535),
    [anon_sym_BSLASHciteR] = ACTIONS(6535),
    [anon_sym_BSLASHciteS] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteyear] = ACTIONS(6535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitedate] = ACTIONS(6535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteurl] = ACTIONS(6535),
    [anon_sym_BSLASHfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6535),
    [anon_sym_BSLASHcitealt] = ACTIONS(6535),
    [anon_sym_BSLASHcitealp] = ACTIONS(6535),
    [anon_sym_BSLASHcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHparencite] = ACTIONS(6535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHParencite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHtextcite] = ACTIONS(6535),
    [anon_sym_BSLASHTextcite] = ACTIONS(6535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHsupercite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite] = ACTIONS(6535),
    [anon_sym_BSLASHAutocite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHVolcite] = ACTIONS(6535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHavolcite] = ACTIONS(6535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHNotecite] = ACTIONS(6535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHlabel] = ACTIONS(6535),
    [anon_sym_BSLASHref] = ACTIONS(6535),
    [anon_sym_BSLASHeqref] = ACTIONS(6535),
    [anon_sym_BSLASHvref] = ACTIONS(6535),
    [anon_sym_BSLASHVref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHpageref] = ACTIONS(6535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHautopageref] = ACTIONS(6535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcref] = ACTIONS(6535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCref] = ACTIONS(6535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHCpageref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnameCref] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHdef] = ACTIONS(6535),
    [anon_sym_BSLASHgdef] = ACTIONS(6535),
    [anon_sym_BSLASHedef] = ACTIONS(6535),
    [anon_sym_BSLASHxdef] = ACTIONS(6535),
    [anon_sym_BSLASHlet] = ACTIONS(6535),
    [anon_sym_BSLASHglet] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6535),
    [anon_sym_BSLASHgls] = ACTIONS(6535),
    [anon_sym_BSLASHGls] = ACTIONS(6535),
    [anon_sym_BSLASHGLS] = ACTIONS(6535),
    [anon_sym_BSLASHglspl] = ACTIONS(6535),
    [anon_sym_BSLASHGlspl] = ACTIONS(6535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6535),
    [anon_sym_BSLASHglslink] = ACTIONS(6535),
    [anon_sym_BSLASHglstext] = ACTIONS(6535),
    [anon_sym_BSLASHGlstext] = ACTIONS(6535),
    [anon_sym_BSLASHGLStext] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6535),
    [anon_sym_BSLASHglsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsname] = ACTIONS(6535),
    [anon_sym_BSLASHGlsname] = ACTIONS(6535),
    [anon_sym_BSLASHGLSname] = ACTIONS(6535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6535),
    [anon_sym_BSLASHacrshort] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6535),
    [anon_sym_BSLASHACRshort] = ACTIONS(6535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrlong] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6535),
    [anon_sym_BSLASHACRlong] = ACTIONS(6535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrfull] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6535),
    [anon_sym_BSLASHACRfull] = ACTIONS(6535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHacs] = ACTIONS(6535),
    [anon_sym_BSLASHAcs] = ACTIONS(6535),
    [anon_sym_BSLASHacsp] = ACTIONS(6535),
    [anon_sym_BSLASHAcsp] = ACTIONS(6535),
    [anon_sym_BSLASHacl] = ACTIONS(6535),
    [anon_sym_BSLASHAcl] = ACTIONS(6535),
    [anon_sym_BSLASHaclp] = ACTIONS(6535),
    [anon_sym_BSLASHAclp] = ACTIONS(6535),
    [anon_sym_BSLASHacf] = ACTIONS(6535),
    [anon_sym_BSLASHAcf] = ACTIONS(6535),
    [anon_sym_BSLASHacfp] = ACTIONS(6535),
    [anon_sym_BSLASHAcfp] = ACTIONS(6535),
    [anon_sym_BSLASHac] = ACTIONS(6535),
    [anon_sym_BSLASHAc] = ACTIONS(6535),
    [anon_sym_BSLASHacp] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6535),
    [anon_sym_BSLASHcolor] = ACTIONS(6535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6535),
    [anon_sym_BSLASHurl] = ACTIONS(6535),
    [anon_sym_BSLASHhref] = ACTIONS(6535),
  },
  [943] = {
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(921),
    [aux_sym__section_repeat5] = STATE(921),
    [sym_command_name] = ACTIONS(6535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6535),
    [anon_sym_LBRACK] = ACTIONS(6537),
    [anon_sym_RBRACK] = ACTIONS(6537),
    [anon_sym_COMMA] = ACTIONS(6537),
    [anon_sym_EQ] = ACTIONS(6537),
    [anon_sym_LPAREN] = ACTIONS(6537),
    [anon_sym_RPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHpart] = ACTIONS(6535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddpart] = ACTIONS(6535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHchapter] = ACTIONS(6535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddchap] = ACTIONS(6535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsection] = ACTIONS(6535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHaddsec] = ACTIONS(6535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsection] = ACTIONS(6535),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHitem] = ACTIONS(6535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6537),
    [anon_sym_LBRACE] = ACTIONS(6537),
    [sym_word] = ACTIONS(6535),
    [sym_placeholder] = ACTIONS(6537),
    [sym_delimiter] = ACTIONS(6537),
    [anon_sym_PLUS] = ACTIONS(6537),
    [anon_sym_DASH] = ACTIONS(6537),
    [anon_sym_STAR] = ACTIONS(6537),
    [anon_sym_SLASH] = ACTIONS(6537),
    [anon_sym_LT] = ACTIONS(6535),
    [anon_sym_GT] = ACTIONS(6535),
    [anon_sym_BANG] = ACTIONS(6535),
    [anon_sym_PIPE] = ACTIONS(6535),
    [anon_sym_COLON] = ACTIONS(6535),
    [anon_sym_SQUOTE] = ACTIONS(6535),
    [anon_sym__] = ACTIONS(6537),
    [anon_sym_CARET] = ACTIONS(6537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6537),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6537),
    [anon_sym_DOLLAR] = ACTIONS(6535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6537),
    [anon_sym_BSLASHleft] = ACTIONS(6535),
    [anon_sym_BSLASHbigl] = ACTIONS(6535),
    [anon_sym_BSLASHBigl] = ACTIONS(6535),
    [anon_sym_BSLASHbiggl] = ACTIONS(6535),
    [anon_sym_BSLASHBiggl] = ACTIONS(6535),
    [anon_sym_BSLASHtext] = ACTIONS(6535),
    [anon_sym_BSLASHintertext] = ACTIONS(6535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6535),
    [anon_sym_BSLASHbegin] = ACTIONS(6535),
    [anon_sym_BSLASHtitle] = ACTIONS(6535),
    [anon_sym_BSLASHauthor] = ACTIONS(6535),
    [anon_sym_BSLASHusepackage] = ACTIONS(6535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6535),
    [anon_sym_BSLASHinclude] = ACTIONS(6535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6535),
    [anon_sym_BSLASHinput] = ACTIONS(6535),
    [anon_sym_BSLASHsubfile] = ACTIONS(6535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6535),
    [anon_sym_BSLASHbibliography] = ACTIONS(6535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6535),
    [anon_sym_BSLASHimport] = ACTIONS(6535),
    [anon_sym_BSLASHsubimport] = ACTIONS(6535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6535),
    [anon_sym_BSLASHcaption] = ACTIONS(6535),
    [anon_sym_BSLASHcite] = ACTIONS(6535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCite] = ACTIONS(6535),
    [anon_sym_BSLASHnocite] = ACTIONS(6535),
    [anon_sym_BSLASHcitet] = ACTIONS(6535),
    [anon_sym_BSLASHcitep] = ACTIONS(6535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteA] = ACTIONS(6535),
    [anon_sym_BSLASHciteR] = ACTIONS(6535),
    [anon_sym_BSLASHciteS] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteyear] = ACTIONS(6535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcitedate] = ACTIONS(6535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHciteurl] = ACTIONS(6535),
    [anon_sym_BSLASHfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6535),
    [anon_sym_BSLASHcitealt] = ACTIONS(6535),
    [anon_sym_BSLASHcitealp] = ACTIONS(6535),
    [anon_sym_BSLASHcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHparencite] = ACTIONS(6535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHParencite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6535),
    [anon_sym_BSLASHtextcite] = ACTIONS(6535),
    [anon_sym_BSLASHTextcite] = ACTIONS(6535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6535),
    [anon_sym_BSLASHsupercite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite] = ACTIONS(6535),
    [anon_sym_BSLASHAutocite] = ACTIONS(6535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHVolcite] = ACTIONS(6535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHavolcite] = ACTIONS(6535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6535),
    [anon_sym_BSLASHnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHNotecite] = ACTIONS(6535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6535),
    [anon_sym_BSLASHlabel] = ACTIONS(6535),
    [anon_sym_BSLASHref] = ACTIONS(6535),
    [anon_sym_BSLASHeqref] = ACTIONS(6535),
    [anon_sym_BSLASHvref] = ACTIONS(6535),
    [anon_sym_BSLASHVref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref] = ACTIONS(6535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHpageref] = ACTIONS(6535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHautopageref] = ACTIONS(6535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcref] = ACTIONS(6535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCref] = ACTIONS(6535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHCpageref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnameCref] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6535),
    [anon_sym_BSLASHdef] = ACTIONS(6535),
    [anon_sym_BSLASHgdef] = ACTIONS(6535),
    [anon_sym_BSLASHedef] = ACTIONS(6535),
    [anon_sym_BSLASHxdef] = ACTIONS(6535),
    [anon_sym_BSLASHlet] = ACTIONS(6535),
    [anon_sym_BSLASHglet] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6535),
    [anon_sym_BSLASHgls] = ACTIONS(6535),
    [anon_sym_BSLASHGls] = ACTIONS(6535),
    [anon_sym_BSLASHGLS] = ACTIONS(6535),
    [anon_sym_BSLASHglspl] = ACTIONS(6535),
    [anon_sym_BSLASHGlspl] = ACTIONS(6535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6535),
    [anon_sym_BSLASHglslink] = ACTIONS(6535),
    [anon_sym_BSLASHglstext] = ACTIONS(6535),
    [anon_sym_BSLASHGlstext] = ACTIONS(6535),
    [anon_sym_BSLASHGLStext] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6535),
    [anon_sym_BSLASHglsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6535),
    [anon_sym_BSLASHglsname] = ACTIONS(6535),
    [anon_sym_BSLASHGlsname] = ACTIONS(6535),
    [anon_sym_BSLASHGLSname] = ACTIONS(6535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6535),
    [anon_sym_BSLASHacrshort] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6535),
    [anon_sym_BSLASHACRshort] = ACTIONS(6535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrlong] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6535),
    [anon_sym_BSLASHACRlong] = ACTIONS(6535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6535),
    [anon_sym_BSLASHacrfull] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6535),
    [anon_sym_BSLASHACRfull] = ACTIONS(6535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHacs] = ACTIONS(6535),
    [anon_sym_BSLASHAcs] = ACTIONS(6535),
    [anon_sym_BSLASHacsp] = ACTIONS(6535),
    [anon_sym_BSLASHAcsp] = ACTIONS(6535),
    [anon_sym_BSLASHacl] = ACTIONS(6535),
    [anon_sym_BSLASHAcl] = ACTIONS(6535),
    [anon_sym_BSLASHaclp] = ACTIONS(6535),
    [anon_sym_BSLASHAclp] = ACTIONS(6535),
    [anon_sym_BSLASHacf] = ACTIONS(6535),
    [anon_sym_BSLASHAcf] = ACTIONS(6535),
    [anon_sym_BSLASHacfp] = ACTIONS(6535),
    [anon_sym_BSLASHAcfp] = ACTIONS(6535),
    [anon_sym_BSLASHac] = ACTIONS(6535),
    [anon_sym_BSLASHAc] = ACTIONS(6535),
    [anon_sym_BSLASHacp] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6535),
    [anon_sym_BSLASHcolor] = ACTIONS(6535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6535),
    [anon_sym_BSLASHurl] = ACTIONS(6535),
    [anon_sym_BSLASHhref] = ACTIONS(6535),
  },
  [944] = {
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(921),
    [aux_sym__section_repeat5] = STATE(921),
    [sym_command_name] = ACTIONS(6692),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6692),
    [anon_sym_LBRACK] = ACTIONS(6694),
    [anon_sym_RBRACK] = ACTIONS(6694),
    [anon_sym_COMMA] = ACTIONS(6694),
    [anon_sym_EQ] = ACTIONS(6694),
    [anon_sym_LPAREN] = ACTIONS(6694),
    [anon_sym_RPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHpart] = ACTIONS(6692),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddpart] = ACTIONS(6692),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHchapter] = ACTIONS(6692),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddchap] = ACTIONS(6692),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsection] = ACTIONS(6692),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddsec] = ACTIONS(6692),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsection] = ACTIONS(6692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHitem] = ACTIONS(6692),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6694),
    [anon_sym_LBRACE] = ACTIONS(6694),
    [sym_word] = ACTIONS(6692),
    [sym_placeholder] = ACTIONS(6694),
    [sym_delimiter] = ACTIONS(6694),
    [anon_sym_PLUS] = ACTIONS(6694),
    [anon_sym_DASH] = ACTIONS(6694),
    [anon_sym_STAR] = ACTIONS(6694),
    [anon_sym_SLASH] = ACTIONS(6694),
    [anon_sym_LT] = ACTIONS(6692),
    [anon_sym_GT] = ACTIONS(6692),
    [anon_sym_BANG] = ACTIONS(6692),
    [anon_sym_PIPE] = ACTIONS(6692),
    [anon_sym_COLON] = ACTIONS(6692),
    [anon_sym_SQUOTE] = ACTIONS(6692),
    [anon_sym__] = ACTIONS(6694),
    [anon_sym_CARET] = ACTIONS(6694),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6694),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6694),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6694),
    [anon_sym_DOLLAR] = ACTIONS(6692),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHleft] = ACTIONS(6692),
    [anon_sym_BSLASHbigl] = ACTIONS(6692),
    [anon_sym_BSLASHBigl] = ACTIONS(6692),
    [anon_sym_BSLASHbiggl] = ACTIONS(6692),
    [anon_sym_BSLASHBiggl] = ACTIONS(6692),
    [anon_sym_BSLASHtext] = ACTIONS(6692),
    [anon_sym_BSLASHintertext] = ACTIONS(6692),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6692),
    [anon_sym_BSLASHbegin] = ACTIONS(6692),
    [anon_sym_BSLASHtitle] = ACTIONS(6692),
    [anon_sym_BSLASHauthor] = ACTIONS(6692),
    [anon_sym_BSLASHusepackage] = ACTIONS(6692),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6692),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6692),
    [anon_sym_BSLASHinclude] = ACTIONS(6692),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6692),
    [anon_sym_BSLASHinput] = ACTIONS(6692),
    [anon_sym_BSLASHsubfile] = ACTIONS(6692),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6692),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6692),
    [anon_sym_BSLASHbibliography] = ACTIONS(6692),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6692),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6692),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6692),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6692),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6692),
    [anon_sym_BSLASHimport] = ACTIONS(6692),
    [anon_sym_BSLASHsubimport] = ACTIONS(6692),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6692),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHcaption] = ACTIONS(6692),
    [anon_sym_BSLASHcite] = ACTIONS(6692),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCite] = ACTIONS(6692),
    [anon_sym_BSLASHnocite] = ACTIONS(6692),
    [anon_sym_BSLASHcitet] = ACTIONS(6692),
    [anon_sym_BSLASHcitep] = ACTIONS(6692),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteA] = ACTIONS(6692),
    [anon_sym_BSLASHciteR] = ACTIONS(6692),
    [anon_sym_BSLASHciteS] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6692),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteyear] = ACTIONS(6692),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitedate] = ACTIONS(6692),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteurl] = ACTIONS(6692),
    [anon_sym_BSLASHfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6692),
    [anon_sym_BSLASHcitealt] = ACTIONS(6692),
    [anon_sym_BSLASHcitealp] = ACTIONS(6692),
    [anon_sym_BSLASHcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHparencite] = ACTIONS(6692),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHParencite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHtextcite] = ACTIONS(6692),
    [anon_sym_BSLASHTextcite] = ACTIONS(6692),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHsupercite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite] = ACTIONS(6692),
    [anon_sym_BSLASHAutocite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHVolcite] = ACTIONS(6692),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHavolcite] = ACTIONS(6692),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHNotecite] = ACTIONS(6692),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHlabel] = ACTIONS(6692),
    [anon_sym_BSLASHref] = ACTIONS(6692),
    [anon_sym_BSLASHeqref] = ACTIONS(6692),
    [anon_sym_BSLASHvref] = ACTIONS(6692),
    [anon_sym_BSLASHVref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHpageref] = ACTIONS(6692),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHautopageref] = ACTIONS(6692),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcref] = ACTIONS(6692),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCref] = ACTIONS(6692),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHCpageref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnameCref] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6692),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHdef] = ACTIONS(6692),
    [anon_sym_BSLASHgdef] = ACTIONS(6692),
    [anon_sym_BSLASHedef] = ACTIONS(6692),
    [anon_sym_BSLASHxdef] = ACTIONS(6692),
    [anon_sym_BSLASHlet] = ACTIONS(6692),
    [anon_sym_BSLASHglet] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6692),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6692),
    [anon_sym_BSLASHgls] = ACTIONS(6692),
    [anon_sym_BSLASHGls] = ACTIONS(6692),
    [anon_sym_BSLASHGLS] = ACTIONS(6692),
    [anon_sym_BSLASHglspl] = ACTIONS(6692),
    [anon_sym_BSLASHGlspl] = ACTIONS(6692),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6692),
    [anon_sym_BSLASHglslink] = ACTIONS(6692),
    [anon_sym_BSLASHglstext] = ACTIONS(6692),
    [anon_sym_BSLASHGlstext] = ACTIONS(6692),
    [anon_sym_BSLASHGLStext] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6692),
    [anon_sym_BSLASHglsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsname] = ACTIONS(6692),
    [anon_sym_BSLASHGlsname] = ACTIONS(6692),
    [anon_sym_BSLASHGLSname] = ACTIONS(6692),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6692),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6692),
    [anon_sym_BSLASHacrshort] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6692),
    [anon_sym_BSLASHACRshort] = ACTIONS(6692),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrlong] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6692),
    [anon_sym_BSLASHACRlong] = ACTIONS(6692),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrfull] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6692),
    [anon_sym_BSLASHACRfull] = ACTIONS(6692),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHacs] = ACTIONS(6692),
    [anon_sym_BSLASHAcs] = ACTIONS(6692),
    [anon_sym_BSLASHacsp] = ACTIONS(6692),
    [anon_sym_BSLASHAcsp] = ACTIONS(6692),
    [anon_sym_BSLASHacl] = ACTIONS(6692),
    [anon_sym_BSLASHAcl] = ACTIONS(6692),
    [anon_sym_BSLASHaclp] = ACTIONS(6692),
    [anon_sym_BSLASHAclp] = ACTIONS(6692),
    [anon_sym_BSLASHacf] = ACTIONS(6692),
    [anon_sym_BSLASHAcf] = ACTIONS(6692),
    [anon_sym_BSLASHacfp] = ACTIONS(6692),
    [anon_sym_BSLASHAcfp] = ACTIONS(6692),
    [anon_sym_BSLASHac] = ACTIONS(6692),
    [anon_sym_BSLASHAc] = ACTIONS(6692),
    [anon_sym_BSLASHacp] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6692),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6692),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6692),
    [anon_sym_BSLASHcolor] = ACTIONS(6692),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6692),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6692),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6692),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6692),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6692),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6692),
    [anon_sym_BSLASHurl] = ACTIONS(6692),
    [anon_sym_BSLASHhref] = ACTIONS(6692),
  },
  [945] = {
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(863),
    [aux_sym__section_repeat5] = STATE(863),
    [sym_command_name] = ACTIONS(6692),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6692),
    [anon_sym_LBRACK] = ACTIONS(6694),
    [anon_sym_RBRACK] = ACTIONS(6694),
    [anon_sym_COMMA] = ACTIONS(6694),
    [anon_sym_EQ] = ACTIONS(6694),
    [anon_sym_LPAREN] = ACTIONS(6694),
    [anon_sym_RPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHpart] = ACTIONS(6692),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddpart] = ACTIONS(6692),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHchapter] = ACTIONS(6692),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddchap] = ACTIONS(6692),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsection] = ACTIONS(6692),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddsec] = ACTIONS(6692),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsection] = ACTIONS(6692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHitem] = ACTIONS(6692),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6694),
    [anon_sym_LBRACE] = ACTIONS(6694),
    [sym_word] = ACTIONS(6692),
    [sym_placeholder] = ACTIONS(6694),
    [sym_delimiter] = ACTIONS(6694),
    [anon_sym_PLUS] = ACTIONS(6694),
    [anon_sym_DASH] = ACTIONS(6694),
    [anon_sym_STAR] = ACTIONS(6694),
    [anon_sym_SLASH] = ACTIONS(6694),
    [anon_sym_LT] = ACTIONS(6692),
    [anon_sym_GT] = ACTIONS(6692),
    [anon_sym_BANG] = ACTIONS(6692),
    [anon_sym_PIPE] = ACTIONS(6692),
    [anon_sym_COLON] = ACTIONS(6692),
    [anon_sym_SQUOTE] = ACTIONS(6692),
    [anon_sym__] = ACTIONS(6694),
    [anon_sym_CARET] = ACTIONS(6694),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6694),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6694),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6694),
    [anon_sym_DOLLAR] = ACTIONS(6692),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHleft] = ACTIONS(6692),
    [anon_sym_BSLASHbigl] = ACTIONS(6692),
    [anon_sym_BSLASHBigl] = ACTIONS(6692),
    [anon_sym_BSLASHbiggl] = ACTIONS(6692),
    [anon_sym_BSLASHBiggl] = ACTIONS(6692),
    [anon_sym_BSLASHtext] = ACTIONS(6692),
    [anon_sym_BSLASHintertext] = ACTIONS(6692),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6692),
    [anon_sym_BSLASHbegin] = ACTIONS(6692),
    [anon_sym_BSLASHtitle] = ACTIONS(6692),
    [anon_sym_BSLASHauthor] = ACTIONS(6692),
    [anon_sym_BSLASHusepackage] = ACTIONS(6692),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6692),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6692),
    [anon_sym_BSLASHinclude] = ACTIONS(6692),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6692),
    [anon_sym_BSLASHinput] = ACTIONS(6692),
    [anon_sym_BSLASHsubfile] = ACTIONS(6692),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6692),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6692),
    [anon_sym_BSLASHbibliography] = ACTIONS(6692),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6692),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6692),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6692),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6692),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6692),
    [anon_sym_BSLASHimport] = ACTIONS(6692),
    [anon_sym_BSLASHsubimport] = ACTIONS(6692),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6692),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHcaption] = ACTIONS(6692),
    [anon_sym_BSLASHcite] = ACTIONS(6692),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCite] = ACTIONS(6692),
    [anon_sym_BSLASHnocite] = ACTIONS(6692),
    [anon_sym_BSLASHcitet] = ACTIONS(6692),
    [anon_sym_BSLASHcitep] = ACTIONS(6692),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteA] = ACTIONS(6692),
    [anon_sym_BSLASHciteR] = ACTIONS(6692),
    [anon_sym_BSLASHciteS] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6692),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteyear] = ACTIONS(6692),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitedate] = ACTIONS(6692),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteurl] = ACTIONS(6692),
    [anon_sym_BSLASHfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6692),
    [anon_sym_BSLASHcitealt] = ACTIONS(6692),
    [anon_sym_BSLASHcitealp] = ACTIONS(6692),
    [anon_sym_BSLASHcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHparencite] = ACTIONS(6692),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHParencite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHtextcite] = ACTIONS(6692),
    [anon_sym_BSLASHTextcite] = ACTIONS(6692),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHsupercite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite] = ACTIONS(6692),
    [anon_sym_BSLASHAutocite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHVolcite] = ACTIONS(6692),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHavolcite] = ACTIONS(6692),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHNotecite] = ACTIONS(6692),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHlabel] = ACTIONS(6692),
    [anon_sym_BSLASHref] = ACTIONS(6692),
    [anon_sym_BSLASHeqref] = ACTIONS(6692),
    [anon_sym_BSLASHvref] = ACTIONS(6692),
    [anon_sym_BSLASHVref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHpageref] = ACTIONS(6692),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHautopageref] = ACTIONS(6692),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcref] = ACTIONS(6692),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCref] = ACTIONS(6692),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHCpageref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnameCref] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6692),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHdef] = ACTIONS(6692),
    [anon_sym_BSLASHgdef] = ACTIONS(6692),
    [anon_sym_BSLASHedef] = ACTIONS(6692),
    [anon_sym_BSLASHxdef] = ACTIONS(6692),
    [anon_sym_BSLASHlet] = ACTIONS(6692),
    [anon_sym_BSLASHglet] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6692),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6692),
    [anon_sym_BSLASHgls] = ACTIONS(6692),
    [anon_sym_BSLASHGls] = ACTIONS(6692),
    [anon_sym_BSLASHGLS] = ACTIONS(6692),
    [anon_sym_BSLASHglspl] = ACTIONS(6692),
    [anon_sym_BSLASHGlspl] = ACTIONS(6692),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6692),
    [anon_sym_BSLASHglslink] = ACTIONS(6692),
    [anon_sym_BSLASHglstext] = ACTIONS(6692),
    [anon_sym_BSLASHGlstext] = ACTIONS(6692),
    [anon_sym_BSLASHGLStext] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6692),
    [anon_sym_BSLASHglsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsname] = ACTIONS(6692),
    [anon_sym_BSLASHGlsname] = ACTIONS(6692),
    [anon_sym_BSLASHGLSname] = ACTIONS(6692),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6692),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6692),
    [anon_sym_BSLASHacrshort] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6692),
    [anon_sym_BSLASHACRshort] = ACTIONS(6692),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrlong] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6692),
    [anon_sym_BSLASHACRlong] = ACTIONS(6692),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrfull] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6692),
    [anon_sym_BSLASHACRfull] = ACTIONS(6692),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHacs] = ACTIONS(6692),
    [anon_sym_BSLASHAcs] = ACTIONS(6692),
    [anon_sym_BSLASHacsp] = ACTIONS(6692),
    [anon_sym_BSLASHAcsp] = ACTIONS(6692),
    [anon_sym_BSLASHacl] = ACTIONS(6692),
    [anon_sym_BSLASHAcl] = ACTIONS(6692),
    [anon_sym_BSLASHaclp] = ACTIONS(6692),
    [anon_sym_BSLASHAclp] = ACTIONS(6692),
    [anon_sym_BSLASHacf] = ACTIONS(6692),
    [anon_sym_BSLASHAcf] = ACTIONS(6692),
    [anon_sym_BSLASHacfp] = ACTIONS(6692),
    [anon_sym_BSLASHAcfp] = ACTIONS(6692),
    [anon_sym_BSLASHac] = ACTIONS(6692),
    [anon_sym_BSLASHAc] = ACTIONS(6692),
    [anon_sym_BSLASHacp] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6692),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6692),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6692),
    [anon_sym_BSLASHcolor] = ACTIONS(6692),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6692),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6692),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6692),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6692),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6692),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6692),
    [anon_sym_BSLASHurl] = ACTIONS(6692),
    [anon_sym_BSLASHhref] = ACTIONS(6692),
  },
  [946] = {
    [sym__subsubsection_declaration] = STATE(200),
    [sym_subsubsection] = STATE(921),
    [aux_sym__section_repeat5] = STATE(921),
    [sym_command_name] = ACTIONS(6692),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6692),
    [anon_sym_LBRACK] = ACTIONS(6694),
    [anon_sym_RBRACK] = ACTIONS(6694),
    [anon_sym_COMMA] = ACTIONS(6694),
    [anon_sym_EQ] = ACTIONS(6694),
    [anon_sym_LPAREN] = ACTIONS(6694),
    [anon_sym_RPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHpart] = ACTIONS(6692),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddpart] = ACTIONS(6692),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHchapter] = ACTIONS(6692),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddchap] = ACTIONS(6692),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsection] = ACTIONS(6692),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHaddsec] = ACTIONS(6692),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsection] = ACTIONS(6692),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(624),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(626),
    [anon_sym_BSLASHparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6692),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHitem] = ACTIONS(6692),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6694),
    [anon_sym_LBRACE] = ACTIONS(6694),
    [sym_word] = ACTIONS(6692),
    [sym_placeholder] = ACTIONS(6694),
    [sym_delimiter] = ACTIONS(6694),
    [anon_sym_PLUS] = ACTIONS(6694),
    [anon_sym_DASH] = ACTIONS(6694),
    [anon_sym_STAR] = ACTIONS(6694),
    [anon_sym_SLASH] = ACTIONS(6694),
    [anon_sym_LT] = ACTIONS(6692),
    [anon_sym_GT] = ACTIONS(6692),
    [anon_sym_BANG] = ACTIONS(6692),
    [anon_sym_PIPE] = ACTIONS(6692),
    [anon_sym_COLON] = ACTIONS(6692),
    [anon_sym_SQUOTE] = ACTIONS(6692),
    [anon_sym__] = ACTIONS(6694),
    [anon_sym_CARET] = ACTIONS(6694),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6694),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6694),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6694),
    [anon_sym_DOLLAR] = ACTIONS(6692),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6694),
    [anon_sym_BSLASHleft] = ACTIONS(6692),
    [anon_sym_BSLASHbigl] = ACTIONS(6692),
    [anon_sym_BSLASHBigl] = ACTIONS(6692),
    [anon_sym_BSLASHbiggl] = ACTIONS(6692),
    [anon_sym_BSLASHBiggl] = ACTIONS(6692),
    [anon_sym_BSLASHtext] = ACTIONS(6692),
    [anon_sym_BSLASHintertext] = ACTIONS(6692),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6692),
    [anon_sym_BSLASHbegin] = ACTIONS(6692),
    [anon_sym_BSLASHtitle] = ACTIONS(6692),
    [anon_sym_BSLASHauthor] = ACTIONS(6692),
    [anon_sym_BSLASHusepackage] = ACTIONS(6692),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6692),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6692),
    [anon_sym_BSLASHinclude] = ACTIONS(6692),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6692),
    [anon_sym_BSLASHinput] = ACTIONS(6692),
    [anon_sym_BSLASHsubfile] = ACTIONS(6692),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6692),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6692),
    [anon_sym_BSLASHbibliography] = ACTIONS(6692),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6692),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6692),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6692),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6692),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6692),
    [anon_sym_BSLASHimport] = ACTIONS(6692),
    [anon_sym_BSLASHsubimport] = ACTIONS(6692),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6692),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6692),
    [anon_sym_BSLASHcaption] = ACTIONS(6692),
    [anon_sym_BSLASHcite] = ACTIONS(6692),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCite] = ACTIONS(6692),
    [anon_sym_BSLASHnocite] = ACTIONS(6692),
    [anon_sym_BSLASHcitet] = ACTIONS(6692),
    [anon_sym_BSLASHcitep] = ACTIONS(6692),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteA] = ACTIONS(6692),
    [anon_sym_BSLASHciteR] = ACTIONS(6692),
    [anon_sym_BSLASHciteS] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6692),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6692),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteyear] = ACTIONS(6692),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcitedate] = ACTIONS(6692),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHciteurl] = ACTIONS(6692),
    [anon_sym_BSLASHfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6692),
    [anon_sym_BSLASHcitealt] = ACTIONS(6692),
    [anon_sym_BSLASHcitealp] = ACTIONS(6692),
    [anon_sym_BSLASHcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHparencite] = ACTIONS(6692),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHParencite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6692),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6692),
    [anon_sym_BSLASHtextcite] = ACTIONS(6692),
    [anon_sym_BSLASHTextcite] = ACTIONS(6692),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6692),
    [anon_sym_BSLASHsupercite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite] = ACTIONS(6692),
    [anon_sym_BSLASHAutocite] = ACTIONS(6692),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHVolcite] = ACTIONS(6692),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHavolcite] = ACTIONS(6692),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6692),
    [anon_sym_BSLASHnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHNotecite] = ACTIONS(6692),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6692),
    [anon_sym_BSLASHlabel] = ACTIONS(6692),
    [anon_sym_BSLASHref] = ACTIONS(6692),
    [anon_sym_BSLASHeqref] = ACTIONS(6692),
    [anon_sym_BSLASHvref] = ACTIONS(6692),
    [anon_sym_BSLASHVref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref] = ACTIONS(6692),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHpageref] = ACTIONS(6692),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHautopageref] = ACTIONS(6692),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcref] = ACTIONS(6692),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCref] = ACTIONS(6692),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHCpageref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnameCref] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6692),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6692),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6692),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6692),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6692),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6692),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6692),
    [anon_sym_BSLASHdef] = ACTIONS(6692),
    [anon_sym_BSLASHgdef] = ACTIONS(6692),
    [anon_sym_BSLASHedef] = ACTIONS(6692),
    [anon_sym_BSLASHxdef] = ACTIONS(6692),
    [anon_sym_BSLASHlet] = ACTIONS(6692),
    [anon_sym_BSLASHglet] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6692),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6692),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6692),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6692),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6692),
    [anon_sym_BSLASHgls] = ACTIONS(6692),
    [anon_sym_BSLASHGls] = ACTIONS(6692),
    [anon_sym_BSLASHGLS] = ACTIONS(6692),
    [anon_sym_BSLASHglspl] = ACTIONS(6692),
    [anon_sym_BSLASHGlspl] = ACTIONS(6692),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6692),
    [anon_sym_BSLASHglslink] = ACTIONS(6692),
    [anon_sym_BSLASHglstext] = ACTIONS(6692),
    [anon_sym_BSLASHGlstext] = ACTIONS(6692),
    [anon_sym_BSLASHGLStext] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6692),
    [anon_sym_BSLASHglsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6692),
    [anon_sym_BSLASHglsname] = ACTIONS(6692),
    [anon_sym_BSLASHGlsname] = ACTIONS(6692),
    [anon_sym_BSLASHGLSname] = ACTIONS(6692),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6692),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6692),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6692),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6692),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6692),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6692),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6692),
    [anon_sym_BSLASHacrshort] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6692),
    [anon_sym_BSLASHACRshort] = ACTIONS(6692),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrlong] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6692),
    [anon_sym_BSLASHACRlong] = ACTIONS(6692),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6692),
    [anon_sym_BSLASHacrfull] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6692),
    [anon_sym_BSLASHACRfull] = ACTIONS(6692),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHacs] = ACTIONS(6692),
    [anon_sym_BSLASHAcs] = ACTIONS(6692),
    [anon_sym_BSLASHacsp] = ACTIONS(6692),
    [anon_sym_BSLASHAcsp] = ACTIONS(6692),
    [anon_sym_BSLASHacl] = ACTIONS(6692),
    [anon_sym_BSLASHAcl] = ACTIONS(6692),
    [anon_sym_BSLASHaclp] = ACTIONS(6692),
    [anon_sym_BSLASHAclp] = ACTIONS(6692),
    [anon_sym_BSLASHacf] = ACTIONS(6692),
    [anon_sym_BSLASHAcf] = ACTIONS(6692),
    [anon_sym_BSLASHacfp] = ACTIONS(6692),
    [anon_sym_BSLASHAcfp] = ACTIONS(6692),
    [anon_sym_BSLASHac] = ACTIONS(6692),
    [anon_sym_BSLASHAc] = ACTIONS(6692),
    [anon_sym_BSLASHacp] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6692),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6692),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6692),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6692),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6694),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6692),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6692),
    [anon_sym_BSLASHcolor] = ACTIONS(6692),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6692),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6692),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6692),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6692),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6692),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6692),
    [anon_sym_BSLASHurl] = ACTIONS(6692),
    [anon_sym_BSLASHhref] = ACTIONS(6692),
  },
  [947] = {
    [sym__subparagraph_declaration] = STATE(228),
    [sym_subparagraph] = STATE(923),
    [aux_sym__paragraph_repeat2] = STATE(923),
    [sym_command_name] = ACTIONS(6846),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6846),
    [anon_sym_LBRACK] = ACTIONS(6848),
    [anon_sym_RBRACK] = ACTIONS(6848),
    [anon_sym_COMMA] = ACTIONS(6848),
    [anon_sym_EQ] = ACTIONS(6848),
    [anon_sym_LPAREN] = ACTIONS(6848),
    [anon_sym_RPAREN] = ACTIONS(6848),
    [anon_sym_BSLASHpart] = ACTIONS(6846),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddpart] = ACTIONS(6846),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHchapter] = ACTIONS(6846),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddchap] = ACTIONS(6846),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsection] = ACTIONS(6846),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHaddsec] = ACTIONS(6846),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubsection] = ACTIONS(6846),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6846),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHparagraph] = ACTIONS(6846),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(632),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(634),
    [anon_sym_BSLASHitem] = ACTIONS(6846),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6848),
    [anon_sym_LBRACE] = ACTIONS(6848),
    [sym_word] = ACTIONS(6846),
    [sym_placeholder] = ACTIONS(6848),
    [sym_delimiter] = ACTIONS(6848),
    [anon_sym_PLUS] = ACTIONS(6848),
    [anon_sym_DASH] = ACTIONS(6848),
    [anon_sym_STAR] = ACTIONS(6848),
    [anon_sym_SLASH] = ACTIONS(6848),
    [anon_sym_LT] = ACTIONS(6846),
    [anon_sym_GT] = ACTIONS(6846),
    [anon_sym_BANG] = ACTIONS(6846),
    [anon_sym_PIPE] = ACTIONS(6846),
    [anon_sym_COLON] = ACTIONS(6846),
    [anon_sym_SQUOTE] = ACTIONS(6846),
    [anon_sym__] = ACTIONS(6848),
    [anon_sym_CARET] = ACTIONS(6848),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6848),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6848),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6848),
    [anon_sym_DOLLAR] = ACTIONS(6846),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6848),
    [anon_sym_BSLASHleft] = ACTIONS(6846),
    [anon_sym_BSLASHbigl] = ACTIONS(6846),
    [anon_sym_BSLASHBigl] = ACTIONS(6846),
    [anon_sym_BSLASHbiggl] = ACTIONS(6846),
    [anon_sym_BSLASHBiggl] = ACTIONS(6846),
    [anon_sym_BSLASHtext] = ACTIONS(6846),
    [anon_sym_BSLASHintertext] = ACTIONS(6846),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6846),
    [anon_sym_BSLASHbegin] = ACTIONS(6846),
    [anon_sym_BSLASHtitle] = ACTIONS(6846),
    [anon_sym_BSLASHauthor] = ACTIONS(6846),
    [anon_sym_BSLASHusepackage] = ACTIONS(6846),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6846),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6846),
    [anon_sym_BSLASHinclude] = ACTIONS(6846),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6846),
    [anon_sym_BSLASHinput] = ACTIONS(6846),
    [anon_sym_BSLASHsubfile] = ACTIONS(6846),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6846),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6846),
    [anon_sym_BSLASHbibliography] = ACTIONS(6846),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6846),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6846),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6846),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6846),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6846),
    [anon_sym_BSLASHimport] = ACTIONS(6846),
    [anon_sym_BSLASHsubimport] = ACTIONS(6846),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6846),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6846),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6846),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6846),
    [anon_sym_BSLASHcaption] = ACTIONS(6846),
    [anon_sym_BSLASHcite] = ACTIONS(6846),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCite] = ACTIONS(6846),
    [anon_sym_BSLASHnocite] = ACTIONS(6846),
    [anon_sym_BSLASHcitet] = ACTIONS(6846),
    [anon_sym_BSLASHcitep] = ACTIONS(6846),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteA] = ACTIONS(6846),
    [anon_sym_BSLASHciteR] = ACTIONS(6846),
    [anon_sym_BSLASHciteS] = ACTIONS(6846),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6846),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6846),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6846),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6846),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteyear] = ACTIONS(6846),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcitedate] = ACTIONS(6846),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHciteurl] = ACTIONS(6846),
    [anon_sym_BSLASHfullcite] = ACTIONS(6846),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6846),
    [anon_sym_BSLASHcitealt] = ACTIONS(6846),
    [anon_sym_BSLASHcitealp] = ACTIONS(6846),
    [anon_sym_BSLASHcitetext] = ACTIONS(6846),
    [anon_sym_BSLASHparencite] = ACTIONS(6846),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHParencite] = ACTIONS(6846),
    [anon_sym_BSLASHfootcite] = ACTIONS(6846),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6846),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6846),
    [anon_sym_BSLASHtextcite] = ACTIONS(6846),
    [anon_sym_BSLASHTextcite] = ACTIONS(6846),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6846),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6846),
    [anon_sym_BSLASHsupercite] = ACTIONS(6846),
    [anon_sym_BSLASHautocite] = ACTIONS(6846),
    [anon_sym_BSLASHAutocite] = ACTIONS(6846),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHVolcite] = ACTIONS(6846),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHavolcite] = ACTIONS(6846),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6846),
    [anon_sym_BSLASHnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHNotecite] = ACTIONS(6846),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6846),
    [anon_sym_BSLASHlabel] = ACTIONS(6846),
    [anon_sym_BSLASHref] = ACTIONS(6846),
    [anon_sym_BSLASHeqref] = ACTIONS(6846),
    [anon_sym_BSLASHvref] = ACTIONS(6846),
    [anon_sym_BSLASHVref] = ACTIONS(6846),
    [anon_sym_BSLASHautoref] = ACTIONS(6846),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHpageref] = ACTIONS(6846),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHautopageref] = ACTIONS(6846),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcref] = ACTIONS(6846),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCref] = ACTIONS(6846),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcpageref] = ACTIONS(6846),
    [anon_sym_BSLASHCpageref] = ACTIONS(6846),
    [anon_sym_BSLASHnamecref] = ACTIONS(6846),
    [anon_sym_BSLASHnameCref] = ACTIONS(6846),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6846),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6846),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6846),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6846),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6846),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6846),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6846),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6846),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6846),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6846),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6846),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6846),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6846),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6846),
    [anon_sym_BSLASHdef] = ACTIONS(6846),
    [anon_sym_BSLASHgdef] = ACTIONS(6846),
    [anon_sym_BSLASHedef] = ACTIONS(6846),
    [anon_sym_BSLASHxdef] = ACTIONS(6846),
    [anon_sym_BSLASHlet] = ACTIONS(6846),
    [anon_sym_BSLASHglet] = ACTIONS(6846),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6846),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6846),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6846),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6846),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6846),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6846),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6846),
    [anon_sym_BSLASHgls] = ACTIONS(6846),
    [anon_sym_BSLASHGls] = ACTIONS(6846),
    [anon_sym_BSLASHGLS] = ACTIONS(6846),
    [anon_sym_BSLASHglspl] = ACTIONS(6846),
    [anon_sym_BSLASHGlspl] = ACTIONS(6846),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6846),
    [anon_sym_BSLASHglslink] = ACTIONS(6846),
    [anon_sym_BSLASHglstext] = ACTIONS(6846),
    [anon_sym_BSLASHGlstext] = ACTIONS(6846),
    [anon_sym_BSLASHGLStext] = ACTIONS(6846),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6846),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6846),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6846),
    [anon_sym_BSLASHglsplural] = ACTIONS(6846),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6846),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6846),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6846),
    [anon_sym_BSLASHglsname] = ACTIONS(6846),
    [anon_sym_BSLASHGlsname] = ACTIONS(6846),
    [anon_sym_BSLASHGLSname] = ACTIONS(6846),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6846),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6846),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6846),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6846),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6846),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6846),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6846),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6846),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6846),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6846),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6846),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6846),
    [anon_sym_BSLASHacrshort] = ACTIONS(6846),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6846),
    [anon_sym_BSLASHACRshort] = ACTIONS(6846),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHacrlong] = ACTIONS(6846),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6846),
    [anon_sym_BSLASHACRlong] = ACTIONS(6846),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6846),
    [anon_sym_BSLASHacrfull] = ACTIONS(6846),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6846),
    [anon_sym_BSLASHACRfull] = ACTIONS(6846),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHacs] = ACTIONS(6846),
    [anon_sym_BSLASHAcs] = ACTIONS(6846),
    [anon_sym_BSLASHacsp] = ACTIONS(6846),
    [anon_sym_BSLASHAcsp] = ACTIONS(6846),
    [anon_sym_BSLASHacl] = ACTIONS(6846),
    [anon_sym_BSLASHAcl] = ACTIONS(6846),
    [anon_sym_BSLASHaclp] = ACTIONS(6846),
    [anon_sym_BSLASHAclp] = ACTIONS(6846),
    [anon_sym_BSLASHacf] = ACTIONS(6846),
    [anon_sym_BSLASHAcf] = ACTIONS(6846),
    [anon_sym_BSLASHacfp] = ACTIONS(6846),
    [anon_sym_BSLASHAcfp] = ACTIONS(6846),
    [anon_sym_BSLASHac] = ACTIONS(6846),
    [anon_sym_BSLASHAc] = ACTIONS(6846),
    [anon_sym_BSLASHacp] = ACTIONS(6846),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6846),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6846),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6846),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6846),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6846),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6848),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6846),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6846),
    [anon_sym_BSLASHcolor] = ACTIONS(6846),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6846),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6846),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6846),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6846),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6846),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6846),
    [anon_sym_BSLASHurl] = ACTIONS(6846),
    [anon_sym_BSLASHhref] = ACTIONS(6846),
  },
  [948] = {
    [sym__enum_itemdeclaration] = STATE(233),
    [sym_enum_item] = STATE(826),
    [aux_sym__paragraph_repeat3] = STATE(826),
    [sym_command_name] = ACTIONS(6850),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6850),
    [anon_sym_LBRACK] = ACTIONS(6852),
    [anon_sym_RBRACK] = ACTIONS(6852),
    [anon_sym_COMMA] = ACTIONS(6852),
    [anon_sym_EQ] = ACTIONS(6852),
    [anon_sym_LPAREN] = ACTIONS(6852),
    [anon_sym_RPAREN] = ACTIONS(6852),
    [anon_sym_BSLASHpart] = ACTIONS(6850),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHaddpart] = ACTIONS(6850),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHchapter] = ACTIONS(6850),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHaddchap] = ACTIONS(6850),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHsection] = ACTIONS(6850),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHaddsec] = ACTIONS(6850),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHsubsection] = ACTIONS(6850),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6850),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHparagraph] = ACTIONS(6850),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6850),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHitem] = ACTIONS(708),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(6852),
    [sym_word] = ACTIONS(6850),
    [sym_placeholder] = ACTIONS(6852),
    [sym_delimiter] = ACTIONS(6852),
    [anon_sym_PLUS] = ACTIONS(6852),
    [anon_sym_DASH] = ACTIONS(6852),
    [anon_sym_STAR] = ACTIONS(6852),
    [anon_sym_SLASH] = ACTIONS(6852),
    [anon_sym_LT] = ACTIONS(6850),
    [anon_sym_GT] = ACTIONS(6850),
    [anon_sym_BANG] = ACTIONS(6850),
    [anon_sym_PIPE] = ACTIONS(6850),
    [anon_sym_COLON] = ACTIONS(6850),
    [anon_sym_SQUOTE] = ACTIONS(6850),
    [anon_sym__] = ACTIONS(6852),
    [anon_sym_CARET] = ACTIONS(6852),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6852),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6852),
    [anon_sym_DOLLAR] = ACTIONS(6850),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6852),
    [anon_sym_BSLASHleft] = ACTIONS(6850),
    [anon_sym_BSLASHbigl] = ACTIONS(6850),
    [anon_sym_BSLASHBigl] = ACTIONS(6850),
    [anon_sym_BSLASHbiggl] = ACTIONS(6850),
    [anon_sym_BSLASHBiggl] = ACTIONS(6850),
    [anon_sym_BSLASHtext] = ACTIONS(6850),
    [anon_sym_BSLASHintertext] = ACTIONS(6850),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6850),
    [anon_sym_BSLASHbegin] = ACTIONS(6850),
    [anon_sym_BSLASHend] = ACTIONS(6850),
    [anon_sym_BSLASHtitle] = ACTIONS(6850),
    [anon_sym_BSLASHauthor] = ACTIONS(6850),
    [anon_sym_BSLASHusepackage] = ACTIONS(6850),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6850),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6850),
    [anon_sym_BSLASHinclude] = ACTIONS(6850),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6850),
    [anon_sym_BSLASHinput] = ACTIONS(6850),
    [anon_sym_BSLASHsubfile] = ACTIONS(6850),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6850),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6850),
    [anon_sym_BSLASHbibliography] = ACTIONS(6850),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6850),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6850),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6850),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6850),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6850),
    [anon_sym_BSLASHimport] = ACTIONS(6850),
    [anon_sym_BSLASHsubimport] = ACTIONS(6850),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6850),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6850),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6850),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6850),
    [anon_sym_BSLASHcaption] = ACTIONS(6850),
    [anon_sym_BSLASHcite] = ACTIONS(6850),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHCite] = ACTIONS(6850),
    [anon_sym_BSLASHnocite] = ACTIONS(6850),
    [anon_sym_BSLASHcitet] = ACTIONS(6850),
    [anon_sym_BSLASHcitep] = ACTIONS(6850),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHciteA] = ACTIONS(6850),
    [anon_sym_BSLASHciteR] = ACTIONS(6850),
    [anon_sym_BSLASHciteS] = ACTIONS(6850),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6850),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6850),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6850),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6850),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHciteyear] = ACTIONS(6850),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcitedate] = ACTIONS(6850),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHciteurl] = ACTIONS(6850),
    [anon_sym_BSLASHfullcite] = ACTIONS(6850),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6850),
    [anon_sym_BSLASHcitealt] = ACTIONS(6850),
    [anon_sym_BSLASHcitealp] = ACTIONS(6850),
    [anon_sym_BSLASHcitetext] = ACTIONS(6850),
    [anon_sym_BSLASHparencite] = ACTIONS(6850),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHParencite] = ACTIONS(6850),
    [anon_sym_BSLASHfootcite] = ACTIONS(6850),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6850),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6850),
    [anon_sym_BSLASHtextcite] = ACTIONS(6850),
    [anon_sym_BSLASHTextcite] = ACTIONS(6850),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6850),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6850),
    [anon_sym_BSLASHsupercite] = ACTIONS(6850),
    [anon_sym_BSLASHautocite] = ACTIONS(6850),
    [anon_sym_BSLASHAutocite] = ACTIONS(6850),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHVolcite] = ACTIONS(6850),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHavolcite] = ACTIONS(6850),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6850),
    [anon_sym_BSLASHnotecite] = ACTIONS(6850),
    [anon_sym_BSLASHNotecite] = ACTIONS(6850),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6850),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6850),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6850),
    [anon_sym_BSLASHlabel] = ACTIONS(6850),
    [anon_sym_BSLASHref] = ACTIONS(6850),
    [anon_sym_BSLASHeqref] = ACTIONS(6850),
    [anon_sym_BSLASHvref] = ACTIONS(6850),
    [anon_sym_BSLASHVref] = ACTIONS(6850),
    [anon_sym_BSLASHautoref] = ACTIONS(6850),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHpageref] = ACTIONS(6850),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHautopageref] = ACTIONS(6850),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcref] = ACTIONS(6850),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHCref] = ACTIONS(6850),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcpageref] = ACTIONS(6850),
    [anon_sym_BSLASHCpageref] = ACTIONS(6850),
    [anon_sym_BSLASHnamecref] = ACTIONS(6850),
    [anon_sym_BSLASHnameCref] = ACTIONS(6850),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6850),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6850),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6850),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6850),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6850),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6850),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6850),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6850),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6850),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6850),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6850),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6850),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6850),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6850),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6850),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6850),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6850),
    [anon_sym_BSLASHdef] = ACTIONS(6850),
    [anon_sym_BSLASHgdef] = ACTIONS(6850),
    [anon_sym_BSLASHedef] = ACTIONS(6850),
    [anon_sym_BSLASHxdef] = ACTIONS(6850),
    [anon_sym_BSLASHlet] = ACTIONS(6850),
    [anon_sym_BSLASHglet] = ACTIONS(6850),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6850),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6850),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6850),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6850),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6850),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6850),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6850),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6850),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6850),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6850),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6850),
    [anon_sym_BSLASHgls] = ACTIONS(6850),
    [anon_sym_BSLASHGls] = ACTIONS(6850),
    [anon_sym_BSLASHGLS] = ACTIONS(6850),
    [anon_sym_BSLASHglspl] = ACTIONS(6850),
    [anon_sym_BSLASHGlspl] = ACTIONS(6850),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6850),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6850),
    [anon_sym_BSLASHglslink] = ACTIONS(6850),
    [anon_sym_BSLASHglstext] = ACTIONS(6850),
    [anon_sym_BSLASHGlstext] = ACTIONS(6850),
    [anon_sym_BSLASHGLStext] = ACTIONS(6850),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6850),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6850),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6850),
    [anon_sym_BSLASHglsplural] = ACTIONS(6850),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6850),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6850),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6850),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6850),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6850),
    [anon_sym_BSLASHglsname] = ACTIONS(6850),
    [anon_sym_BSLASHGlsname] = ACTIONS(6850),
    [anon_sym_BSLASHGLSname] = ACTIONS(6850),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6850),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6850),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6850),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6850),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6850),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6850),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6850),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6850),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6850),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6850),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6850),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6850),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6850),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6850),
    [anon_sym_BSLASHacrshort] = ACTIONS(6850),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6850),
    [anon_sym_BSLASHACRshort] = ACTIONS(6850),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6850),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6850),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6850),
    [anon_sym_BSLASHacrlong] = ACTIONS(6850),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6850),
    [anon_sym_BSLASHACRlong] = ACTIONS(6850),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6850),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6850),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6850),
    [anon_sym_BSLASHacrfull] = ACTIONS(6850),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6850),
    [anon_sym_BSLASHACRfull] = ACTIONS(6850),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6850),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6850),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6850),
    [anon_sym_BSLASHacs] = ACTIONS(6850),
    [anon_sym_BSLASHAcs] = ACTIONS(6850),
    [anon_sym_BSLASHacsp] = ACTIONS(6850),
    [anon_sym_BSLASHAcsp] = ACTIONS(6850),
    [anon_sym_BSLASHacl] = ACTIONS(6850),
    [anon_sym_BSLASHAcl] = ACTIONS(6850),
    [anon_sym_BSLASHaclp] = ACTIONS(6850),
    [anon_sym_BSLASHAclp] = ACTIONS(6850),
    [anon_sym_BSLASHacf] = ACTIONS(6850),
    [anon_sym_BSLASHAcf] = ACTIONS(6850),
    [anon_sym_BSLASHacfp] = ACTIONS(6850),
    [anon_sym_BSLASHAcfp] = ACTIONS(6850),
    [anon_sym_BSLASHac] = ACTIONS(6850),
    [anon_sym_BSLASHAc] = ACTIONS(6850),
    [anon_sym_BSLASHacp] = ACTIONS(6850),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6850),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6850),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6850),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6850),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6850),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6850),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6850),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6850),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6850),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6850),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6850),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6850),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6852),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6850),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6850),
    [anon_sym_BSLASHcolor] = ACTIONS(6850),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6850),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6850),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6850),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6850),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6850),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6850),
    [anon_sym_BSLASHurl] = ACTIONS(6850),
    [anon_sym_BSLASHhref] = ACTIONS(6850),
  },
  [949] = {
    [sym_curly_group] = STATE(1431),
    [aux_sym_generic_command_repeat1] = STATE(965),
    [sym_command_name] = ACTIONS(6889),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6889),
    [anon_sym_LBRACK] = ACTIONS(6891),
    [anon_sym_RBRACK] = ACTIONS(6891),
    [anon_sym_COMMA] = ACTIONS(6891),
    [anon_sym_EQ] = ACTIONS(6891),
    [anon_sym_LPAREN] = ACTIONS(6891),
    [anon_sym_RPAREN] = ACTIONS(6891),
    [anon_sym_BSLASHpart] = ACTIONS(6889),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHaddpart] = ACTIONS(6889),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHchapter] = ACTIONS(6889),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHaddchap] = ACTIONS(6889),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHsection] = ACTIONS(6889),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHaddsec] = ACTIONS(6889),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHsubsection] = ACTIONS(6889),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6889),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHparagraph] = ACTIONS(6889),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6889),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHitem] = ACTIONS(6889),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6891),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(6889),
    [sym_placeholder] = ACTIONS(6891),
    [sym_delimiter] = ACTIONS(6891),
    [anon_sym_PLUS] = ACTIONS(6891),
    [anon_sym_DASH] = ACTIONS(6891),
    [anon_sym_STAR] = ACTIONS(6891),
    [anon_sym_SLASH] = ACTIONS(6891),
    [anon_sym_LT] = ACTIONS(6889),
    [anon_sym_GT] = ACTIONS(6889),
    [anon_sym_BANG] = ACTIONS(6889),
    [anon_sym_PIPE] = ACTIONS(6889),
    [anon_sym_COLON] = ACTIONS(6889),
    [anon_sym_SQUOTE] = ACTIONS(6889),
    [anon_sym__] = ACTIONS(6891),
    [anon_sym_CARET] = ACTIONS(6891),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6891),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6891),
    [anon_sym_DOLLAR] = ACTIONS(6889),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6891),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6891),
    [anon_sym_BSLASHleft] = ACTIONS(6889),
    [anon_sym_BSLASHbigl] = ACTIONS(6889),
    [anon_sym_BSLASHBigl] = ACTIONS(6889),
    [anon_sym_BSLASHbiggl] = ACTIONS(6889),
    [anon_sym_BSLASHBiggl] = ACTIONS(6889),
    [anon_sym_BSLASHtext] = ACTIONS(6889),
    [anon_sym_BSLASHintertext] = ACTIONS(6889),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6889),
    [anon_sym_BSLASHbegin] = ACTIONS(6889),
    [anon_sym_BSLASHtitle] = ACTIONS(6889),
    [anon_sym_BSLASHauthor] = ACTIONS(6889),
    [anon_sym_BSLASHusepackage] = ACTIONS(6889),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6889),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6889),
    [anon_sym_BSLASHinclude] = ACTIONS(6889),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6889),
    [anon_sym_BSLASHinput] = ACTIONS(6889),
    [anon_sym_BSLASHsubfile] = ACTIONS(6889),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6889),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6889),
    [anon_sym_BSLASHbibliography] = ACTIONS(6889),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6889),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6889),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6889),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6889),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6889),
    [anon_sym_BSLASHimport] = ACTIONS(6889),
    [anon_sym_BSLASHsubimport] = ACTIONS(6889),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6889),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6889),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6889),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6889),
    [anon_sym_BSLASHcaption] = ACTIONS(6889),
    [anon_sym_BSLASHcite] = ACTIONS(6889),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCite] = ACTIONS(6889),
    [anon_sym_BSLASHnocite] = ACTIONS(6889),
    [anon_sym_BSLASHcitet] = ACTIONS(6889),
    [anon_sym_BSLASHcitep] = ACTIONS(6889),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteA] = ACTIONS(6889),
    [anon_sym_BSLASHciteR] = ACTIONS(6889),
    [anon_sym_BSLASHciteS] = ACTIONS(6889),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6889),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6889),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6889),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6889),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteyear] = ACTIONS(6889),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitedate] = ACTIONS(6889),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteurl] = ACTIONS(6889),
    [anon_sym_BSLASHfullcite] = ACTIONS(6889),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6889),
    [anon_sym_BSLASHcitealt] = ACTIONS(6889),
    [anon_sym_BSLASHcitealp] = ACTIONS(6889),
    [anon_sym_BSLASHcitetext] = ACTIONS(6889),
    [anon_sym_BSLASHparencite] = ACTIONS(6889),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHParencite] = ACTIONS(6889),
    [anon_sym_BSLASHfootcite] = ACTIONS(6889),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6889),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6889),
    [anon_sym_BSLASHtextcite] = ACTIONS(6889),
    [anon_sym_BSLASHTextcite] = ACTIONS(6889),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6889),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6889),
    [anon_sym_BSLASHsupercite] = ACTIONS(6889),
    [anon_sym_BSLASHautocite] = ACTIONS(6889),
    [anon_sym_BSLASHAutocite] = ACTIONS(6889),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHVolcite] = ACTIONS(6889),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHavolcite] = ACTIONS(6889),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHNotecite] = ACTIONS(6889),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHlabel] = ACTIONS(6889),
    [anon_sym_BSLASHref] = ACTIONS(6889),
    [anon_sym_BSLASHeqref] = ACTIONS(6889),
    [anon_sym_BSLASHvref] = ACTIONS(6889),
    [anon_sym_BSLASHVref] = ACTIONS(6889),
    [anon_sym_BSLASHautoref] = ACTIONS(6889),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHpageref] = ACTIONS(6889),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHautopageref] = ACTIONS(6889),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcref] = ACTIONS(6889),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCref] = ACTIONS(6889),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcpageref] = ACTIONS(6889),
    [anon_sym_BSLASHCpageref] = ACTIONS(6889),
    [anon_sym_BSLASHnamecref] = ACTIONS(6889),
    [anon_sym_BSLASHnameCref] = ACTIONS(6889),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6889),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6889),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6889),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6889),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6889),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6889),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6889),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6889),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6889),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6889),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6889),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHdef] = ACTIONS(6889),
    [anon_sym_BSLASHgdef] = ACTIONS(6889),
    [anon_sym_BSLASHedef] = ACTIONS(6889),
    [anon_sym_BSLASHxdef] = ACTIONS(6889),
    [anon_sym_BSLASHlet] = ACTIONS(6889),
    [anon_sym_BSLASHglet] = ACTIONS(6889),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6889),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6889),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6889),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6889),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6889),
    [anon_sym_BSLASHgls] = ACTIONS(6889),
    [anon_sym_BSLASHGls] = ACTIONS(6889),
    [anon_sym_BSLASHGLS] = ACTIONS(6889),
    [anon_sym_BSLASHglspl] = ACTIONS(6889),
    [anon_sym_BSLASHGlspl] = ACTIONS(6889),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6889),
    [anon_sym_BSLASHglslink] = ACTIONS(6889),
    [anon_sym_BSLASHglstext] = ACTIONS(6889),
    [anon_sym_BSLASHGlstext] = ACTIONS(6889),
    [anon_sym_BSLASHGLStext] = ACTIONS(6889),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6889),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6889),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6889),
    [anon_sym_BSLASHglsplural] = ACTIONS(6889),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6889),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6889),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHglsname] = ACTIONS(6889),
    [anon_sym_BSLASHGlsname] = ACTIONS(6889),
    [anon_sym_BSLASHGLSname] = ACTIONS(6889),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6889),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6889),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6889),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6889),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6889),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6889),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6889),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6889),
    [anon_sym_BSLASHacrshort] = ACTIONS(6889),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6889),
    [anon_sym_BSLASHACRshort] = ACTIONS(6889),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHacrlong] = ACTIONS(6889),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6889),
    [anon_sym_BSLASHACRlong] = ACTIONS(6889),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHacrfull] = ACTIONS(6889),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6889),
    [anon_sym_BSLASHACRfull] = ACTIONS(6889),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHacs] = ACTIONS(6889),
    [anon_sym_BSLASHAcs] = ACTIONS(6889),
    [anon_sym_BSLASHacsp] = ACTIONS(6889),
    [anon_sym_BSLASHAcsp] = ACTIONS(6889),
    [anon_sym_BSLASHacl] = ACTIONS(6889),
    [anon_sym_BSLASHAcl] = ACTIONS(6889),
    [anon_sym_BSLASHaclp] = ACTIONS(6889),
    [anon_sym_BSLASHAclp] = ACTIONS(6889),
    [anon_sym_BSLASHacf] = ACTIONS(6889),
    [anon_sym_BSLASHAcf] = ACTIONS(6889),
    [anon_sym_BSLASHacfp] = ACTIONS(6889),
    [anon_sym_BSLASHAcfp] = ACTIONS(6889),
    [anon_sym_BSLASHac] = ACTIONS(6889),
    [anon_sym_BSLASHAc] = ACTIONS(6889),
    [anon_sym_BSLASHacp] = ACTIONS(6889),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6889),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6889),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6889),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6889),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6889),
    [anon_sym_BSLASHcolor] = ACTIONS(6889),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6889),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6889),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6889),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6889),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6889),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6889),
    [anon_sym_BSLASHurl] = ACTIONS(6889),
    [anon_sym_BSLASHhref] = ACTIONS(6889),
  },
  [950] = {
    [sym_curly_group] = STATE(1104),
    [sym_brack_group_text] = STATE(3166),
    [sym_command_name] = ACTIONS(6881),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6881),
    [anon_sym_LBRACK] = ACTIONS(6883),
    [anon_sym_RBRACK] = ACTIONS(6885),
    [anon_sym_COMMA] = ACTIONS(6885),
    [anon_sym_EQ] = ACTIONS(6885),
    [anon_sym_LPAREN] = ACTIONS(6885),
    [anon_sym_RPAREN] = ACTIONS(6885),
    [anon_sym_BSLASHpart] = ACTIONS(6881),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHaddpart] = ACTIONS(6881),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHchapter] = ACTIONS(6881),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHaddchap] = ACTIONS(6881),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHsection] = ACTIONS(6881),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHaddsec] = ACTIONS(6881),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHsubsection] = ACTIONS(6881),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6881),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHparagraph] = ACTIONS(6881),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6881),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHitem] = ACTIONS(6881),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6885),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(6881),
    [sym_placeholder] = ACTIONS(6885),
    [sym_delimiter] = ACTIONS(6885),
    [anon_sym_PLUS] = ACTIONS(6885),
    [anon_sym_DASH] = ACTIONS(6885),
    [anon_sym_STAR] = ACTIONS(6885),
    [anon_sym_SLASH] = ACTIONS(6885),
    [anon_sym_LT] = ACTIONS(6881),
    [anon_sym_GT] = ACTIONS(6881),
    [anon_sym_BANG] = ACTIONS(6881),
    [anon_sym_PIPE] = ACTIONS(6881),
    [anon_sym_COLON] = ACTIONS(6881),
    [anon_sym_SQUOTE] = ACTIONS(6881),
    [anon_sym__] = ACTIONS(6885),
    [anon_sym_CARET] = ACTIONS(6885),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6885),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6885),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6885),
    [anon_sym_DOLLAR] = ACTIONS(6881),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6885),
    [anon_sym_BSLASHleft] = ACTIONS(6881),
    [anon_sym_BSLASHbigl] = ACTIONS(6881),
    [anon_sym_BSLASHBigl] = ACTIONS(6881),
    [anon_sym_BSLASHbiggl] = ACTIONS(6881),
    [anon_sym_BSLASHBiggl] = ACTIONS(6881),
    [anon_sym_BSLASHtext] = ACTIONS(6881),
    [anon_sym_BSLASHintertext] = ACTIONS(6881),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6881),
    [anon_sym_BSLASHbegin] = ACTIONS(6881),
    [anon_sym_BSLASHtitle] = ACTIONS(6881),
    [anon_sym_BSLASHauthor] = ACTIONS(6881),
    [anon_sym_BSLASHusepackage] = ACTIONS(6881),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6881),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6881),
    [anon_sym_BSLASHinclude] = ACTIONS(6881),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6881),
    [anon_sym_BSLASHinput] = ACTIONS(6881),
    [anon_sym_BSLASHsubfile] = ACTIONS(6881),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6881),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6881),
    [anon_sym_BSLASHbibliography] = ACTIONS(6881),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6881),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6881),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6881),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6881),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6881),
    [anon_sym_BSLASHimport] = ACTIONS(6881),
    [anon_sym_BSLASHsubimport] = ACTIONS(6881),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6881),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6881),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6881),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6881),
    [anon_sym_BSLASHcaption] = ACTIONS(6881),
    [anon_sym_BSLASHcite] = ACTIONS(6881),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCite] = ACTIONS(6881),
    [anon_sym_BSLASHnocite] = ACTIONS(6881),
    [anon_sym_BSLASHcitet] = ACTIONS(6881),
    [anon_sym_BSLASHcitep] = ACTIONS(6881),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteA] = ACTIONS(6881),
    [anon_sym_BSLASHciteR] = ACTIONS(6881),
    [anon_sym_BSLASHciteS] = ACTIONS(6881),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6881),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6881),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6881),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6881),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteyear] = ACTIONS(6881),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitedate] = ACTIONS(6881),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteurl] = ACTIONS(6881),
    [anon_sym_BSLASHfullcite] = ACTIONS(6881),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6881),
    [anon_sym_BSLASHcitealt] = ACTIONS(6881),
    [anon_sym_BSLASHcitealp] = ACTIONS(6881),
    [anon_sym_BSLASHcitetext] = ACTIONS(6881),
    [anon_sym_BSLASHparencite] = ACTIONS(6881),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHParencite] = ACTIONS(6881),
    [anon_sym_BSLASHfootcite] = ACTIONS(6881),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6881),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6881),
    [anon_sym_BSLASHtextcite] = ACTIONS(6881),
    [anon_sym_BSLASHTextcite] = ACTIONS(6881),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6881),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6881),
    [anon_sym_BSLASHsupercite] = ACTIONS(6881),
    [anon_sym_BSLASHautocite] = ACTIONS(6881),
    [anon_sym_BSLASHAutocite] = ACTIONS(6881),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHVolcite] = ACTIONS(6881),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHavolcite] = ACTIONS(6881),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHNotecite] = ACTIONS(6881),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHlabel] = ACTIONS(6881),
    [anon_sym_BSLASHref] = ACTIONS(6881),
    [anon_sym_BSLASHeqref] = ACTIONS(6881),
    [anon_sym_BSLASHvref] = ACTIONS(6881),
    [anon_sym_BSLASHVref] = ACTIONS(6881),
    [anon_sym_BSLASHautoref] = ACTIONS(6881),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHpageref] = ACTIONS(6881),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHautopageref] = ACTIONS(6881),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcref] = ACTIONS(6881),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCref] = ACTIONS(6881),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcpageref] = ACTIONS(6881),
    [anon_sym_BSLASHCpageref] = ACTIONS(6881),
    [anon_sym_BSLASHnamecref] = ACTIONS(6881),
    [anon_sym_BSLASHnameCref] = ACTIONS(6881),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6881),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6881),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6881),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6881),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6881),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6881),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6881),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6881),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6881),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6881),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6881),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHdef] = ACTIONS(6881),
    [anon_sym_BSLASHgdef] = ACTIONS(6881),
    [anon_sym_BSLASHedef] = ACTIONS(6881),
    [anon_sym_BSLASHxdef] = ACTIONS(6881),
    [anon_sym_BSLASHlet] = ACTIONS(6881),
    [anon_sym_BSLASHglet] = ACTIONS(6881),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6881),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6881),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6881),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6881),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6881),
    [anon_sym_BSLASHgls] = ACTIONS(6881),
    [anon_sym_BSLASHGls] = ACTIONS(6881),
    [anon_sym_BSLASHGLS] = ACTIONS(6881),
    [anon_sym_BSLASHglspl] = ACTIONS(6881),
    [anon_sym_BSLASHGlspl] = ACTIONS(6881),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6881),
    [anon_sym_BSLASHglslink] = ACTIONS(6881),
    [anon_sym_BSLASHglstext] = ACTIONS(6881),
    [anon_sym_BSLASHGlstext] = ACTIONS(6881),
    [anon_sym_BSLASHGLStext] = ACTIONS(6881),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6881),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6881),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6881),
    [anon_sym_BSLASHglsplural] = ACTIONS(6881),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6881),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6881),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHglsname] = ACTIONS(6881),
    [anon_sym_BSLASHGlsname] = ACTIONS(6881),
    [anon_sym_BSLASHGLSname] = ACTIONS(6881),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6881),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6881),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6881),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6881),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6881),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6881),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6881),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6881),
    [anon_sym_BSLASHacrshort] = ACTIONS(6881),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6881),
    [anon_sym_BSLASHACRshort] = ACTIONS(6881),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHacrlong] = ACTIONS(6881),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6881),
    [anon_sym_BSLASHACRlong] = ACTIONS(6881),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHacrfull] = ACTIONS(6881),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6881),
    [anon_sym_BSLASHACRfull] = ACTIONS(6881),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHacs] = ACTIONS(6881),
    [anon_sym_BSLASHAcs] = ACTIONS(6881),
    [anon_sym_BSLASHacsp] = ACTIONS(6881),
    [anon_sym_BSLASHAcsp] = ACTIONS(6881),
    [anon_sym_BSLASHacl] = ACTIONS(6881),
    [anon_sym_BSLASHAcl] = ACTIONS(6881),
    [anon_sym_BSLASHaclp] = ACTIONS(6881),
    [anon_sym_BSLASHAclp] = ACTIONS(6881),
    [anon_sym_BSLASHacf] = ACTIONS(6881),
    [anon_sym_BSLASHAcf] = ACTIONS(6881),
    [anon_sym_BSLASHacfp] = ACTIONS(6881),
    [anon_sym_BSLASHAcfp] = ACTIONS(6881),
    [anon_sym_BSLASHac] = ACTIONS(6881),
    [anon_sym_BSLASHAc] = ACTIONS(6881),
    [anon_sym_BSLASHacp] = ACTIONS(6881),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6881),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6881),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6881),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6881),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6881),
    [anon_sym_BSLASHcolor] = ACTIONS(6881),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6881),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6881),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6881),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6881),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6881),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6881),
    [anon_sym_BSLASHurl] = ACTIONS(6881),
    [anon_sym_BSLASHhref] = ACTIONS(6881),
  },
  [951] = {
    [sym_command_name] = ACTIONS(6871),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6871),
    [anon_sym_BSLASHfi] = ACTIONS(7762),
    [anon_sym_LBRACK] = ACTIONS(6875),
    [anon_sym_RBRACK] = ACTIONS(6875),
    [anon_sym_COMMA] = ACTIONS(6875),
    [anon_sym_EQ] = ACTIONS(6875),
    [anon_sym_LPAREN] = ACTIONS(6875),
    [anon_sym_RPAREN] = ACTIONS(6875),
    [anon_sym_BSLASHpart] = ACTIONS(6871),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHaddpart] = ACTIONS(6871),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHchapter] = ACTIONS(6871),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHaddchap] = ACTIONS(6871),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHsection] = ACTIONS(6871),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHaddsec] = ACTIONS(6871),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHsubsection] = ACTIONS(6871),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6871),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHparagraph] = ACTIONS(6871),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6871),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHitem] = ACTIONS(6871),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6875),
    [anon_sym_LBRACE] = ACTIONS(6875),
    [sym_word] = ACTIONS(6871),
    [sym_placeholder] = ACTIONS(6875),
    [sym_delimiter] = ACTIONS(6875),
    [anon_sym_PLUS] = ACTIONS(6875),
    [anon_sym_DASH] = ACTIONS(6875),
    [anon_sym_STAR] = ACTIONS(6875),
    [anon_sym_SLASH] = ACTIONS(6875),
    [anon_sym_LT] = ACTIONS(6871),
    [anon_sym_GT] = ACTIONS(6871),
    [anon_sym_BANG] = ACTIONS(6871),
    [anon_sym_PIPE] = ACTIONS(6871),
    [anon_sym_COLON] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6871),
    [anon_sym__] = ACTIONS(6875),
    [anon_sym_CARET] = ACTIONS(6875),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6875),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6875),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6875),
    [anon_sym_DOLLAR] = ACTIONS(6871),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6875),
    [anon_sym_BSLASHleft] = ACTIONS(6871),
    [anon_sym_BSLASHbigl] = ACTIONS(6871),
    [anon_sym_BSLASHBigl] = ACTIONS(6871),
    [anon_sym_BSLASHbiggl] = ACTIONS(6871),
    [anon_sym_BSLASHBiggl] = ACTIONS(6871),
    [anon_sym_BSLASHtext] = ACTIONS(6871),
    [anon_sym_BSLASHintertext] = ACTIONS(6871),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6871),
    [anon_sym_BSLASHbegin] = ACTIONS(6871),
    [anon_sym_BSLASHtitle] = ACTIONS(6871),
    [anon_sym_BSLASHauthor] = ACTIONS(6871),
    [anon_sym_BSLASHusepackage] = ACTIONS(6871),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6871),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6871),
    [anon_sym_BSLASHinclude] = ACTIONS(6871),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6871),
    [anon_sym_BSLASHinput] = ACTIONS(6871),
    [anon_sym_BSLASHsubfile] = ACTIONS(6871),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6871),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6871),
    [anon_sym_BSLASHbibliography] = ACTIONS(6871),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6871),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6871),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6871),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6871),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6871),
    [anon_sym_BSLASHimport] = ACTIONS(6871),
    [anon_sym_BSLASHsubimport] = ACTIONS(6871),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6871),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6871),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6871),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6871),
    [anon_sym_BSLASHcaption] = ACTIONS(6871),
    [anon_sym_BSLASHcite] = ACTIONS(6871),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCite] = ACTIONS(6871),
    [anon_sym_BSLASHnocite] = ACTIONS(6871),
    [anon_sym_BSLASHcitet] = ACTIONS(6871),
    [anon_sym_BSLASHcitep] = ACTIONS(6871),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteA] = ACTIONS(6871),
    [anon_sym_BSLASHciteR] = ACTIONS(6871),
    [anon_sym_BSLASHciteS] = ACTIONS(6871),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6871),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6871),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6871),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6871),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteyear] = ACTIONS(6871),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitedate] = ACTIONS(6871),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteurl] = ACTIONS(6871),
    [anon_sym_BSLASHfullcite] = ACTIONS(6871),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6871),
    [anon_sym_BSLASHcitealt] = ACTIONS(6871),
    [anon_sym_BSLASHcitealp] = ACTIONS(6871),
    [anon_sym_BSLASHcitetext] = ACTIONS(6871),
    [anon_sym_BSLASHparencite] = ACTIONS(6871),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHParencite] = ACTIONS(6871),
    [anon_sym_BSLASHfootcite] = ACTIONS(6871),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6871),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6871),
    [anon_sym_BSLASHtextcite] = ACTIONS(6871),
    [anon_sym_BSLASHTextcite] = ACTIONS(6871),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6871),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6871),
    [anon_sym_BSLASHsupercite] = ACTIONS(6871),
    [anon_sym_BSLASHautocite] = ACTIONS(6871),
    [anon_sym_BSLASHAutocite] = ACTIONS(6871),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHVolcite] = ACTIONS(6871),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHavolcite] = ACTIONS(6871),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHNotecite] = ACTIONS(6871),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHlabel] = ACTIONS(6871),
    [anon_sym_BSLASHref] = ACTIONS(6871),
    [anon_sym_BSLASHeqref] = ACTIONS(6871),
    [anon_sym_BSLASHvref] = ACTIONS(6871),
    [anon_sym_BSLASHVref] = ACTIONS(6871),
    [anon_sym_BSLASHautoref] = ACTIONS(6871),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHpageref] = ACTIONS(6871),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHautopageref] = ACTIONS(6871),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcref] = ACTIONS(6871),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCref] = ACTIONS(6871),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcpageref] = ACTIONS(6871),
    [anon_sym_BSLASHCpageref] = ACTIONS(6871),
    [anon_sym_BSLASHnamecref] = ACTIONS(6871),
    [anon_sym_BSLASHnameCref] = ACTIONS(6871),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6871),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6871),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6871),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6871),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6871),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6871),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6871),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6871),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6871),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6871),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6871),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHdef] = ACTIONS(6871),
    [anon_sym_BSLASHgdef] = ACTIONS(6871),
    [anon_sym_BSLASHedef] = ACTIONS(6871),
    [anon_sym_BSLASHxdef] = ACTIONS(6871),
    [anon_sym_BSLASHlet] = ACTIONS(6871),
    [anon_sym_BSLASHglet] = ACTIONS(6871),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6871),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6871),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6871),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6871),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6871),
    [anon_sym_BSLASHgls] = ACTIONS(6871),
    [anon_sym_BSLASHGls] = ACTIONS(6871),
    [anon_sym_BSLASHGLS] = ACTIONS(6871),
    [anon_sym_BSLASHglspl] = ACTIONS(6871),
    [anon_sym_BSLASHGlspl] = ACTIONS(6871),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6871),
    [anon_sym_BSLASHglslink] = ACTIONS(6871),
    [anon_sym_BSLASHglstext] = ACTIONS(6871),
    [anon_sym_BSLASHGlstext] = ACTIONS(6871),
    [anon_sym_BSLASHGLStext] = ACTIONS(6871),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6871),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6871),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6871),
    [anon_sym_BSLASHglsplural] = ACTIONS(6871),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6871),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6871),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHglsname] = ACTIONS(6871),
    [anon_sym_BSLASHGlsname] = ACTIONS(6871),
    [anon_sym_BSLASHGLSname] = ACTIONS(6871),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6871),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6871),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6871),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6871),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6871),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6871),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6871),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6871),
    [anon_sym_BSLASHacrshort] = ACTIONS(6871),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6871),
    [anon_sym_BSLASHACRshort] = ACTIONS(6871),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHacrlong] = ACTIONS(6871),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6871),
    [anon_sym_BSLASHACRlong] = ACTIONS(6871),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHacrfull] = ACTIONS(6871),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6871),
    [anon_sym_BSLASHACRfull] = ACTIONS(6871),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHacs] = ACTIONS(6871),
    [anon_sym_BSLASHAcs] = ACTIONS(6871),
    [anon_sym_BSLASHacsp] = ACTIONS(6871),
    [anon_sym_BSLASHAcsp] = ACTIONS(6871),
    [anon_sym_BSLASHacl] = ACTIONS(6871),
    [anon_sym_BSLASHAcl] = ACTIONS(6871),
    [anon_sym_BSLASHaclp] = ACTIONS(6871),
    [anon_sym_BSLASHAclp] = ACTIONS(6871),
    [anon_sym_BSLASHacf] = ACTIONS(6871),
    [anon_sym_BSLASHAcf] = ACTIONS(6871),
    [anon_sym_BSLASHacfp] = ACTIONS(6871),
    [anon_sym_BSLASHAcfp] = ACTIONS(6871),
    [anon_sym_BSLASHac] = ACTIONS(6871),
    [anon_sym_BSLASHAc] = ACTIONS(6871),
    [anon_sym_BSLASHacp] = ACTIONS(6871),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6871),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6871),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6871),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6871),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6871),
    [anon_sym_BSLASHcolor] = ACTIONS(6871),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6871),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6871),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6871),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6871),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6871),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6871),
    [anon_sym_BSLASHurl] = ACTIONS(6871),
    [anon_sym_BSLASHhref] = ACTIONS(6871),
    [sym__trivia_raw_fi] = ACTIONS(7764),
  },
  [952] = {
    [sym_curly_group] = STATE(1462),
    [aux_sym_generic_command_repeat1] = STATE(964),
    [sym_command_name] = ACTIONS(6889),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6889),
    [anon_sym_LBRACK] = ACTIONS(6891),
    [anon_sym_RBRACK] = ACTIONS(6891),
    [anon_sym_COMMA] = ACTIONS(6891),
    [anon_sym_EQ] = ACTIONS(6891),
    [anon_sym_LPAREN] = ACTIONS(6891),
    [anon_sym_RPAREN] = ACTIONS(6891),
    [anon_sym_BSLASHpart] = ACTIONS(6889),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHaddpart] = ACTIONS(6889),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHchapter] = ACTIONS(6889),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHaddchap] = ACTIONS(6889),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHsection] = ACTIONS(6889),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHaddsec] = ACTIONS(6889),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHsubsection] = ACTIONS(6889),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6889),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHparagraph] = ACTIONS(6889),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6889),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHitem] = ACTIONS(6889),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6891),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(6889),
    [sym_placeholder] = ACTIONS(6891),
    [sym_delimiter] = ACTIONS(6891),
    [anon_sym_PLUS] = ACTIONS(6891),
    [anon_sym_DASH] = ACTIONS(6891),
    [anon_sym_STAR] = ACTIONS(6891),
    [anon_sym_SLASH] = ACTIONS(6891),
    [anon_sym_LT] = ACTIONS(6889),
    [anon_sym_GT] = ACTIONS(6889),
    [anon_sym_BANG] = ACTIONS(6889),
    [anon_sym_PIPE] = ACTIONS(6889),
    [anon_sym_COLON] = ACTIONS(6889),
    [anon_sym_SQUOTE] = ACTIONS(6889),
    [anon_sym__] = ACTIONS(6891),
    [anon_sym_CARET] = ACTIONS(6891),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6891),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6891),
    [anon_sym_DOLLAR] = ACTIONS(6889),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6891),
    [anon_sym_BSLASHleft] = ACTIONS(6889),
    [anon_sym_BSLASHbigl] = ACTIONS(6889),
    [anon_sym_BSLASHBigl] = ACTIONS(6889),
    [anon_sym_BSLASHbiggl] = ACTIONS(6889),
    [anon_sym_BSLASHBiggl] = ACTIONS(6889),
    [anon_sym_BSLASHtext] = ACTIONS(6889),
    [anon_sym_BSLASHintertext] = ACTIONS(6889),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6889),
    [anon_sym_BSLASHbegin] = ACTIONS(6889),
    [anon_sym_BSLASHend] = ACTIONS(6889),
    [anon_sym_BSLASHtitle] = ACTIONS(6889),
    [anon_sym_BSLASHauthor] = ACTIONS(6889),
    [anon_sym_BSLASHusepackage] = ACTIONS(6889),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6889),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6889),
    [anon_sym_BSLASHinclude] = ACTIONS(6889),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6889),
    [anon_sym_BSLASHinput] = ACTIONS(6889),
    [anon_sym_BSLASHsubfile] = ACTIONS(6889),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6889),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6889),
    [anon_sym_BSLASHbibliography] = ACTIONS(6889),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6889),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6889),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6889),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6889),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6889),
    [anon_sym_BSLASHimport] = ACTIONS(6889),
    [anon_sym_BSLASHsubimport] = ACTIONS(6889),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6889),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6889),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6889),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6889),
    [anon_sym_BSLASHcaption] = ACTIONS(6889),
    [anon_sym_BSLASHcite] = ACTIONS(6889),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCite] = ACTIONS(6889),
    [anon_sym_BSLASHnocite] = ACTIONS(6889),
    [anon_sym_BSLASHcitet] = ACTIONS(6889),
    [anon_sym_BSLASHcitep] = ACTIONS(6889),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteA] = ACTIONS(6889),
    [anon_sym_BSLASHciteR] = ACTIONS(6889),
    [anon_sym_BSLASHciteS] = ACTIONS(6889),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6889),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6889),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6889),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6889),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteyear] = ACTIONS(6889),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitedate] = ACTIONS(6889),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteurl] = ACTIONS(6889),
    [anon_sym_BSLASHfullcite] = ACTIONS(6889),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6889),
    [anon_sym_BSLASHcitealt] = ACTIONS(6889),
    [anon_sym_BSLASHcitealp] = ACTIONS(6889),
    [anon_sym_BSLASHcitetext] = ACTIONS(6889),
    [anon_sym_BSLASHparencite] = ACTIONS(6889),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHParencite] = ACTIONS(6889),
    [anon_sym_BSLASHfootcite] = ACTIONS(6889),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6889),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6889),
    [anon_sym_BSLASHtextcite] = ACTIONS(6889),
    [anon_sym_BSLASHTextcite] = ACTIONS(6889),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6889),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6889),
    [anon_sym_BSLASHsupercite] = ACTIONS(6889),
    [anon_sym_BSLASHautocite] = ACTIONS(6889),
    [anon_sym_BSLASHAutocite] = ACTIONS(6889),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHVolcite] = ACTIONS(6889),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHavolcite] = ACTIONS(6889),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHNotecite] = ACTIONS(6889),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHlabel] = ACTIONS(6889),
    [anon_sym_BSLASHref] = ACTIONS(6889),
    [anon_sym_BSLASHeqref] = ACTIONS(6889),
    [anon_sym_BSLASHvref] = ACTIONS(6889),
    [anon_sym_BSLASHVref] = ACTIONS(6889),
    [anon_sym_BSLASHautoref] = ACTIONS(6889),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHpageref] = ACTIONS(6889),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHautopageref] = ACTIONS(6889),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcref] = ACTIONS(6889),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCref] = ACTIONS(6889),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcpageref] = ACTIONS(6889),
    [anon_sym_BSLASHCpageref] = ACTIONS(6889),
    [anon_sym_BSLASHnamecref] = ACTIONS(6889),
    [anon_sym_BSLASHnameCref] = ACTIONS(6889),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6889),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6889),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6889),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6889),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6889),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6889),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6889),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6889),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6889),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6889),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6889),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHdef] = ACTIONS(6889),
    [anon_sym_BSLASHgdef] = ACTIONS(6889),
    [anon_sym_BSLASHedef] = ACTIONS(6889),
    [anon_sym_BSLASHxdef] = ACTIONS(6889),
    [anon_sym_BSLASHlet] = ACTIONS(6889),
    [anon_sym_BSLASHglet] = ACTIONS(6889),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6889),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6889),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6889),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6889),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6889),
    [anon_sym_BSLASHgls] = ACTIONS(6889),
    [anon_sym_BSLASHGls] = ACTIONS(6889),
    [anon_sym_BSLASHGLS] = ACTIONS(6889),
    [anon_sym_BSLASHglspl] = ACTIONS(6889),
    [anon_sym_BSLASHGlspl] = ACTIONS(6889),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6889),
    [anon_sym_BSLASHglslink] = ACTIONS(6889),
    [anon_sym_BSLASHglstext] = ACTIONS(6889),
    [anon_sym_BSLASHGlstext] = ACTIONS(6889),
    [anon_sym_BSLASHGLStext] = ACTIONS(6889),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6889),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6889),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6889),
    [anon_sym_BSLASHglsplural] = ACTIONS(6889),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6889),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6889),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHglsname] = ACTIONS(6889),
    [anon_sym_BSLASHGlsname] = ACTIONS(6889),
    [anon_sym_BSLASHGLSname] = ACTIONS(6889),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6889),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6889),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6889),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6889),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6889),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6889),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6889),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6889),
    [anon_sym_BSLASHacrshort] = ACTIONS(6889),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6889),
    [anon_sym_BSLASHACRshort] = ACTIONS(6889),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHacrlong] = ACTIONS(6889),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6889),
    [anon_sym_BSLASHACRlong] = ACTIONS(6889),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHacrfull] = ACTIONS(6889),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6889),
    [anon_sym_BSLASHACRfull] = ACTIONS(6889),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHacs] = ACTIONS(6889),
    [anon_sym_BSLASHAcs] = ACTIONS(6889),
    [anon_sym_BSLASHacsp] = ACTIONS(6889),
    [anon_sym_BSLASHAcsp] = ACTIONS(6889),
    [anon_sym_BSLASHacl] = ACTIONS(6889),
    [anon_sym_BSLASHAcl] = ACTIONS(6889),
    [anon_sym_BSLASHaclp] = ACTIONS(6889),
    [anon_sym_BSLASHAclp] = ACTIONS(6889),
    [anon_sym_BSLASHacf] = ACTIONS(6889),
    [anon_sym_BSLASHAcf] = ACTIONS(6889),
    [anon_sym_BSLASHacfp] = ACTIONS(6889),
    [anon_sym_BSLASHAcfp] = ACTIONS(6889),
    [anon_sym_BSLASHac] = ACTIONS(6889),
    [anon_sym_BSLASHAc] = ACTIONS(6889),
    [anon_sym_BSLASHacp] = ACTIONS(6889),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6889),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6889),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6889),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6889),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6889),
    [anon_sym_BSLASHcolor] = ACTIONS(6889),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6889),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6889),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6889),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6889),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6889),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6889),
    [anon_sym_BSLASHurl] = ACTIONS(6889),
    [anon_sym_BSLASHhref] = ACTIONS(6889),
  },
  [953] = {
    [ts_builtin_sym_end] = ACTIONS(6915),
    [sym_command_name] = ACTIONS(6911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6911),
    [anon_sym_BSLASHfi] = ACTIONS(7766),
    [anon_sym_LBRACK] = ACTIONS(6915),
    [anon_sym_RBRACK] = ACTIONS(6915),
    [anon_sym_COMMA] = ACTIONS(6915),
    [anon_sym_EQ] = ACTIONS(6915),
    [anon_sym_LPAREN] = ACTIONS(6915),
    [anon_sym_RPAREN] = ACTIONS(6915),
    [anon_sym_BSLASHpart] = ACTIONS(6911),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHaddpart] = ACTIONS(6911),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHchapter] = ACTIONS(6911),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHaddchap] = ACTIONS(6911),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHsection] = ACTIONS(6911),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHaddsec] = ACTIONS(6911),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHsubsection] = ACTIONS(6911),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6911),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHparagraph] = ACTIONS(6911),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6911),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHitem] = ACTIONS(6911),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6915),
    [anon_sym_LBRACE] = ACTIONS(6915),
    [anon_sym_RBRACE] = ACTIONS(6915),
    [sym_word] = ACTIONS(6911),
    [sym_placeholder] = ACTIONS(6915),
    [sym_delimiter] = ACTIONS(6915),
    [anon_sym_PLUS] = ACTIONS(6915),
    [anon_sym_DASH] = ACTIONS(6915),
    [anon_sym_STAR] = ACTIONS(6915),
    [anon_sym_SLASH] = ACTIONS(6915),
    [anon_sym_LT] = ACTIONS(6911),
    [anon_sym_GT] = ACTIONS(6911),
    [anon_sym_BANG] = ACTIONS(6911),
    [anon_sym_PIPE] = ACTIONS(6911),
    [anon_sym_COLON] = ACTIONS(6911),
    [anon_sym_SQUOTE] = ACTIONS(6911),
    [anon_sym__] = ACTIONS(6915),
    [anon_sym_CARET] = ACTIONS(6915),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6915),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6915),
    [anon_sym_DOLLAR] = ACTIONS(6911),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6915),
    [anon_sym_BSLASHleft] = ACTIONS(6911),
    [anon_sym_BSLASHbigl] = ACTIONS(6911),
    [anon_sym_BSLASHBigl] = ACTIONS(6911),
    [anon_sym_BSLASHbiggl] = ACTIONS(6911),
    [anon_sym_BSLASHBiggl] = ACTIONS(6911),
    [anon_sym_BSLASHtext] = ACTIONS(6911),
    [anon_sym_BSLASHintertext] = ACTIONS(6911),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6911),
    [anon_sym_BSLASHbegin] = ACTIONS(6911),
    [anon_sym_BSLASHtitle] = ACTIONS(6911),
    [anon_sym_BSLASHauthor] = ACTIONS(6911),
    [anon_sym_BSLASHusepackage] = ACTIONS(6911),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6911),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6911),
    [anon_sym_BSLASHinclude] = ACTIONS(6911),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6911),
    [anon_sym_BSLASHinput] = ACTIONS(6911),
    [anon_sym_BSLASHsubfile] = ACTIONS(6911),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6911),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6911),
    [anon_sym_BSLASHbibliography] = ACTIONS(6911),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6911),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6911),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6911),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6911),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6911),
    [anon_sym_BSLASHimport] = ACTIONS(6911),
    [anon_sym_BSLASHsubimport] = ACTIONS(6911),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6911),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6911),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6911),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6911),
    [anon_sym_BSLASHcaption] = ACTIONS(6911),
    [anon_sym_BSLASHcite] = ACTIONS(6911),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCite] = ACTIONS(6911),
    [anon_sym_BSLASHnocite] = ACTIONS(6911),
    [anon_sym_BSLASHcitet] = ACTIONS(6911),
    [anon_sym_BSLASHcitep] = ACTIONS(6911),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteA] = ACTIONS(6911),
    [anon_sym_BSLASHciteR] = ACTIONS(6911),
    [anon_sym_BSLASHciteS] = ACTIONS(6911),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6911),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6911),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6911),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6911),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteyear] = ACTIONS(6911),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitedate] = ACTIONS(6911),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteurl] = ACTIONS(6911),
    [anon_sym_BSLASHfullcite] = ACTIONS(6911),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6911),
    [anon_sym_BSLASHcitealt] = ACTIONS(6911),
    [anon_sym_BSLASHcitealp] = ACTIONS(6911),
    [anon_sym_BSLASHcitetext] = ACTIONS(6911),
    [anon_sym_BSLASHparencite] = ACTIONS(6911),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHParencite] = ACTIONS(6911),
    [anon_sym_BSLASHfootcite] = ACTIONS(6911),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6911),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6911),
    [anon_sym_BSLASHtextcite] = ACTIONS(6911),
    [anon_sym_BSLASHTextcite] = ACTIONS(6911),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6911),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6911),
    [anon_sym_BSLASHsupercite] = ACTIONS(6911),
    [anon_sym_BSLASHautocite] = ACTIONS(6911),
    [anon_sym_BSLASHAutocite] = ACTIONS(6911),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHVolcite] = ACTIONS(6911),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHavolcite] = ACTIONS(6911),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHNotecite] = ACTIONS(6911),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHlabel] = ACTIONS(6911),
    [anon_sym_BSLASHref] = ACTIONS(6911),
    [anon_sym_BSLASHeqref] = ACTIONS(6911),
    [anon_sym_BSLASHvref] = ACTIONS(6911),
    [anon_sym_BSLASHVref] = ACTIONS(6911),
    [anon_sym_BSLASHautoref] = ACTIONS(6911),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHpageref] = ACTIONS(6911),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHautopageref] = ACTIONS(6911),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcref] = ACTIONS(6911),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCref] = ACTIONS(6911),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcpageref] = ACTIONS(6911),
    [anon_sym_BSLASHCpageref] = ACTIONS(6911),
    [anon_sym_BSLASHnamecref] = ACTIONS(6911),
    [anon_sym_BSLASHnameCref] = ACTIONS(6911),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6911),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6911),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6911),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6911),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6911),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6911),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6911),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6911),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6911),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6911),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6911),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHdef] = ACTIONS(6911),
    [anon_sym_BSLASHgdef] = ACTIONS(6911),
    [anon_sym_BSLASHedef] = ACTIONS(6911),
    [anon_sym_BSLASHxdef] = ACTIONS(6911),
    [anon_sym_BSLASHlet] = ACTIONS(6911),
    [anon_sym_BSLASHglet] = ACTIONS(6911),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6911),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6911),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6911),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6911),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6911),
    [anon_sym_BSLASHgls] = ACTIONS(6911),
    [anon_sym_BSLASHGls] = ACTIONS(6911),
    [anon_sym_BSLASHGLS] = ACTIONS(6911),
    [anon_sym_BSLASHglspl] = ACTIONS(6911),
    [anon_sym_BSLASHGlspl] = ACTIONS(6911),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6911),
    [anon_sym_BSLASHglslink] = ACTIONS(6911),
    [anon_sym_BSLASHglstext] = ACTIONS(6911),
    [anon_sym_BSLASHGlstext] = ACTIONS(6911),
    [anon_sym_BSLASHGLStext] = ACTIONS(6911),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6911),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6911),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6911),
    [anon_sym_BSLASHglsplural] = ACTIONS(6911),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6911),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6911),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHglsname] = ACTIONS(6911),
    [anon_sym_BSLASHGlsname] = ACTIONS(6911),
    [anon_sym_BSLASHGLSname] = ACTIONS(6911),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6911),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6911),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6911),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6911),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6911),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6911),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6911),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6911),
    [anon_sym_BSLASHacrshort] = ACTIONS(6911),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6911),
    [anon_sym_BSLASHACRshort] = ACTIONS(6911),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHacrlong] = ACTIONS(6911),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6911),
    [anon_sym_BSLASHACRlong] = ACTIONS(6911),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHacrfull] = ACTIONS(6911),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6911),
    [anon_sym_BSLASHACRfull] = ACTIONS(6911),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHacs] = ACTIONS(6911),
    [anon_sym_BSLASHAcs] = ACTIONS(6911),
    [anon_sym_BSLASHacsp] = ACTIONS(6911),
    [anon_sym_BSLASHAcsp] = ACTIONS(6911),
    [anon_sym_BSLASHacl] = ACTIONS(6911),
    [anon_sym_BSLASHAcl] = ACTIONS(6911),
    [anon_sym_BSLASHaclp] = ACTIONS(6911),
    [anon_sym_BSLASHAclp] = ACTIONS(6911),
    [anon_sym_BSLASHacf] = ACTIONS(6911),
    [anon_sym_BSLASHAcf] = ACTIONS(6911),
    [anon_sym_BSLASHacfp] = ACTIONS(6911),
    [anon_sym_BSLASHAcfp] = ACTIONS(6911),
    [anon_sym_BSLASHac] = ACTIONS(6911),
    [anon_sym_BSLASHAc] = ACTIONS(6911),
    [anon_sym_BSLASHacp] = ACTIONS(6911),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6911),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6911),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6911),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6911),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6911),
    [anon_sym_BSLASHcolor] = ACTIONS(6911),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6911),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6911),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6911),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6911),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6911),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6911),
    [anon_sym_BSLASHurl] = ACTIONS(6911),
    [anon_sym_BSLASHhref] = ACTIONS(6911),
  },
  [954] = {
    [sym_curly_group] = STATE(1462),
    [aux_sym_generic_command_repeat1] = STATE(954),
    [sym_command_name] = ACTIONS(6864),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6864),
    [anon_sym_LBRACK] = ACTIONS(6866),
    [anon_sym_RBRACK] = ACTIONS(6866),
    [anon_sym_COMMA] = ACTIONS(6866),
    [anon_sym_EQ] = ACTIONS(6866),
    [anon_sym_LPAREN] = ACTIONS(6866),
    [anon_sym_RPAREN] = ACTIONS(6866),
    [anon_sym_BSLASHpart] = ACTIONS(6864),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHaddpart] = ACTIONS(6864),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHchapter] = ACTIONS(6864),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHaddchap] = ACTIONS(6864),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHsection] = ACTIONS(6864),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHaddsec] = ACTIONS(6864),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHsubsection] = ACTIONS(6864),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6864),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHparagraph] = ACTIONS(6864),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6864),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHitem] = ACTIONS(6864),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6866),
    [anon_sym_LBRACE] = ACTIONS(7768),
    [sym_word] = ACTIONS(6864),
    [sym_placeholder] = ACTIONS(6866),
    [sym_delimiter] = ACTIONS(6866),
    [anon_sym_PLUS] = ACTIONS(6866),
    [anon_sym_DASH] = ACTIONS(6866),
    [anon_sym_STAR] = ACTIONS(6866),
    [anon_sym_SLASH] = ACTIONS(6866),
    [anon_sym_LT] = ACTIONS(6864),
    [anon_sym_GT] = ACTIONS(6864),
    [anon_sym_BANG] = ACTIONS(6864),
    [anon_sym_PIPE] = ACTIONS(6864),
    [anon_sym_COLON] = ACTIONS(6864),
    [anon_sym_SQUOTE] = ACTIONS(6864),
    [anon_sym__] = ACTIONS(6866),
    [anon_sym_CARET] = ACTIONS(6866),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6866),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6866),
    [anon_sym_DOLLAR] = ACTIONS(6864),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6866),
    [anon_sym_BSLASHleft] = ACTIONS(6864),
    [anon_sym_BSLASHbigl] = ACTIONS(6864),
    [anon_sym_BSLASHBigl] = ACTIONS(6864),
    [anon_sym_BSLASHbiggl] = ACTIONS(6864),
    [anon_sym_BSLASHBiggl] = ACTIONS(6864),
    [anon_sym_BSLASHtext] = ACTIONS(6864),
    [anon_sym_BSLASHintertext] = ACTIONS(6864),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6864),
    [anon_sym_BSLASHbegin] = ACTIONS(6864),
    [anon_sym_BSLASHend] = ACTIONS(6864),
    [anon_sym_BSLASHtitle] = ACTIONS(6864),
    [anon_sym_BSLASHauthor] = ACTIONS(6864),
    [anon_sym_BSLASHusepackage] = ACTIONS(6864),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6864),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6864),
    [anon_sym_BSLASHinclude] = ACTIONS(6864),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6864),
    [anon_sym_BSLASHinput] = ACTIONS(6864),
    [anon_sym_BSLASHsubfile] = ACTIONS(6864),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6864),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6864),
    [anon_sym_BSLASHbibliography] = ACTIONS(6864),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6864),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6864),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6864),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6864),
    [anon_sym_BSLASHimport] = ACTIONS(6864),
    [anon_sym_BSLASHsubimport] = ACTIONS(6864),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6864),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6864),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6864),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6864),
    [anon_sym_BSLASHcaption] = ACTIONS(6864),
    [anon_sym_BSLASHcite] = ACTIONS(6864),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCite] = ACTIONS(6864),
    [anon_sym_BSLASHnocite] = ACTIONS(6864),
    [anon_sym_BSLASHcitet] = ACTIONS(6864),
    [anon_sym_BSLASHcitep] = ACTIONS(6864),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteA] = ACTIONS(6864),
    [anon_sym_BSLASHciteR] = ACTIONS(6864),
    [anon_sym_BSLASHciteS] = ACTIONS(6864),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6864),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6864),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6864),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6864),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteyear] = ACTIONS(6864),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitedate] = ACTIONS(6864),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteurl] = ACTIONS(6864),
    [anon_sym_BSLASHfullcite] = ACTIONS(6864),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6864),
    [anon_sym_BSLASHcitealt] = ACTIONS(6864),
    [anon_sym_BSLASHcitealp] = ACTIONS(6864),
    [anon_sym_BSLASHcitetext] = ACTIONS(6864),
    [anon_sym_BSLASHparencite] = ACTIONS(6864),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHParencite] = ACTIONS(6864),
    [anon_sym_BSLASHfootcite] = ACTIONS(6864),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6864),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6864),
    [anon_sym_BSLASHtextcite] = ACTIONS(6864),
    [anon_sym_BSLASHTextcite] = ACTIONS(6864),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6864),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6864),
    [anon_sym_BSLASHsupercite] = ACTIONS(6864),
    [anon_sym_BSLASHautocite] = ACTIONS(6864),
    [anon_sym_BSLASHAutocite] = ACTIONS(6864),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHVolcite] = ACTIONS(6864),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHavolcite] = ACTIONS(6864),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHNotecite] = ACTIONS(6864),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHlabel] = ACTIONS(6864),
    [anon_sym_BSLASHref] = ACTIONS(6864),
    [anon_sym_BSLASHeqref] = ACTIONS(6864),
    [anon_sym_BSLASHvref] = ACTIONS(6864),
    [anon_sym_BSLASHVref] = ACTIONS(6864),
    [anon_sym_BSLASHautoref] = ACTIONS(6864),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHpageref] = ACTIONS(6864),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHautopageref] = ACTIONS(6864),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcref] = ACTIONS(6864),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCref] = ACTIONS(6864),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcpageref] = ACTIONS(6864),
    [anon_sym_BSLASHCpageref] = ACTIONS(6864),
    [anon_sym_BSLASHnamecref] = ACTIONS(6864),
    [anon_sym_BSLASHnameCref] = ACTIONS(6864),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6864),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6864),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6864),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6864),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6864),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6864),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6864),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6864),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6864),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6864),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6864),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHdef] = ACTIONS(6864),
    [anon_sym_BSLASHgdef] = ACTIONS(6864),
    [anon_sym_BSLASHedef] = ACTIONS(6864),
    [anon_sym_BSLASHxdef] = ACTIONS(6864),
    [anon_sym_BSLASHlet] = ACTIONS(6864),
    [anon_sym_BSLASHglet] = ACTIONS(6864),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6864),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6864),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6864),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6864),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6864),
    [anon_sym_BSLASHgls] = ACTIONS(6864),
    [anon_sym_BSLASHGls] = ACTIONS(6864),
    [anon_sym_BSLASHGLS] = ACTIONS(6864),
    [anon_sym_BSLASHglspl] = ACTIONS(6864),
    [anon_sym_BSLASHGlspl] = ACTIONS(6864),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6864),
    [anon_sym_BSLASHglslink] = ACTIONS(6864),
    [anon_sym_BSLASHglstext] = ACTIONS(6864),
    [anon_sym_BSLASHGlstext] = ACTIONS(6864),
    [anon_sym_BSLASHGLStext] = ACTIONS(6864),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6864),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6864),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6864),
    [anon_sym_BSLASHglsplural] = ACTIONS(6864),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6864),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6864),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHglsname] = ACTIONS(6864),
    [anon_sym_BSLASHGlsname] = ACTIONS(6864),
    [anon_sym_BSLASHGLSname] = ACTIONS(6864),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6864),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6864),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6864),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6864),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6864),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6864),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6864),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6864),
    [anon_sym_BSLASHacrshort] = ACTIONS(6864),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6864),
    [anon_sym_BSLASHACRshort] = ACTIONS(6864),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHacrlong] = ACTIONS(6864),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6864),
    [anon_sym_BSLASHACRlong] = ACTIONS(6864),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHacrfull] = ACTIONS(6864),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6864),
    [anon_sym_BSLASHACRfull] = ACTIONS(6864),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHacs] = ACTIONS(6864),
    [anon_sym_BSLASHAcs] = ACTIONS(6864),
    [anon_sym_BSLASHacsp] = ACTIONS(6864),
    [anon_sym_BSLASHAcsp] = ACTIONS(6864),
    [anon_sym_BSLASHacl] = ACTIONS(6864),
    [anon_sym_BSLASHAcl] = ACTIONS(6864),
    [anon_sym_BSLASHaclp] = ACTIONS(6864),
    [anon_sym_BSLASHAclp] = ACTIONS(6864),
    [anon_sym_BSLASHacf] = ACTIONS(6864),
    [anon_sym_BSLASHAcf] = ACTIONS(6864),
    [anon_sym_BSLASHacfp] = ACTIONS(6864),
    [anon_sym_BSLASHAcfp] = ACTIONS(6864),
    [anon_sym_BSLASHac] = ACTIONS(6864),
    [anon_sym_BSLASHAc] = ACTIONS(6864),
    [anon_sym_BSLASHacp] = ACTIONS(6864),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6864),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6864),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6864),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6864),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6864),
    [anon_sym_BSLASHcolor] = ACTIONS(6864),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6864),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6864),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6864),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6864),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6864),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6864),
    [anon_sym_BSLASHurl] = ACTIONS(6864),
    [anon_sym_BSLASHhref] = ACTIONS(6864),
  },
  [955] = {
    [sym_curly_group] = STATE(1013),
    [ts_builtin_sym_end] = ACTIONS(6949),
    [sym_command_name] = ACTIONS(6947),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6949),
    [anon_sym_RBRACK] = ACTIONS(6949),
    [anon_sym_COMMA] = ACTIONS(6949),
    [anon_sym_EQ] = ACTIONS(6949),
    [anon_sym_LPAREN] = ACTIONS(6949),
    [anon_sym_RPAREN] = ACTIONS(6949),
    [anon_sym_BSLASHpart] = ACTIONS(6947),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHaddpart] = ACTIONS(6947),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHchapter] = ACTIONS(6947),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHaddchap] = ACTIONS(6947),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHsection] = ACTIONS(6947),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHaddsec] = ACTIONS(6947),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHsubsection] = ACTIONS(6947),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6947),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHparagraph] = ACTIONS(6947),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6947),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHitem] = ACTIONS(6947),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6949),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(6949),
    [sym_word] = ACTIONS(6947),
    [sym_placeholder] = ACTIONS(6949),
    [sym_delimiter] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6949),
    [anon_sym_DASH] = ACTIONS(6949),
    [anon_sym_STAR] = ACTIONS(6949),
    [anon_sym_SLASH] = ACTIONS(6949),
    [anon_sym_LT] = ACTIONS(6947),
    [anon_sym_GT] = ACTIONS(6947),
    [anon_sym_BANG] = ACTIONS(6947),
    [anon_sym_PIPE] = ACTIONS(6947),
    [anon_sym_COLON] = ACTIONS(6947),
    [anon_sym_SQUOTE] = ACTIONS(6947),
    [anon_sym__] = ACTIONS(6949),
    [anon_sym_CARET] = ACTIONS(6949),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6949),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6949),
    [anon_sym_DOLLAR] = ACTIONS(6947),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6949),
    [anon_sym_BSLASHleft] = ACTIONS(6947),
    [anon_sym_BSLASHbigl] = ACTIONS(6947),
    [anon_sym_BSLASHBigl] = ACTIONS(6947),
    [anon_sym_BSLASHbiggl] = ACTIONS(6947),
    [anon_sym_BSLASHBiggl] = ACTIONS(6947),
    [anon_sym_BSLASHtext] = ACTIONS(6947),
    [anon_sym_BSLASHintertext] = ACTIONS(6947),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6947),
    [anon_sym_BSLASHbegin] = ACTIONS(6947),
    [anon_sym_BSLASHtitle] = ACTIONS(6947),
    [anon_sym_BSLASHauthor] = ACTIONS(6947),
    [anon_sym_BSLASHusepackage] = ACTIONS(6947),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6947),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6947),
    [anon_sym_BSLASHinclude] = ACTIONS(6947),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6947),
    [anon_sym_BSLASHinput] = ACTIONS(6947),
    [anon_sym_BSLASHsubfile] = ACTIONS(6947),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6947),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6947),
    [anon_sym_BSLASHbibliography] = ACTIONS(6947),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6947),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6947),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6947),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6947),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6947),
    [anon_sym_BSLASHimport] = ACTIONS(6947),
    [anon_sym_BSLASHsubimport] = ACTIONS(6947),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6947),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6947),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6947),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6947),
    [anon_sym_BSLASHcaption] = ACTIONS(6947),
    [anon_sym_BSLASHcite] = ACTIONS(6947),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCite] = ACTIONS(6947),
    [anon_sym_BSLASHnocite] = ACTIONS(6947),
    [anon_sym_BSLASHcitet] = ACTIONS(6947),
    [anon_sym_BSLASHcitep] = ACTIONS(6947),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteA] = ACTIONS(6947),
    [anon_sym_BSLASHciteR] = ACTIONS(6947),
    [anon_sym_BSLASHciteS] = ACTIONS(6947),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6947),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6947),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6947),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6947),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteyear] = ACTIONS(6947),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitedate] = ACTIONS(6947),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteurl] = ACTIONS(6947),
    [anon_sym_BSLASHfullcite] = ACTIONS(6947),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6947),
    [anon_sym_BSLASHcitealt] = ACTIONS(6947),
    [anon_sym_BSLASHcitealp] = ACTIONS(6947),
    [anon_sym_BSLASHcitetext] = ACTIONS(6947),
    [anon_sym_BSLASHparencite] = ACTIONS(6947),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHParencite] = ACTIONS(6947),
    [anon_sym_BSLASHfootcite] = ACTIONS(6947),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6947),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6947),
    [anon_sym_BSLASHtextcite] = ACTIONS(6947),
    [anon_sym_BSLASHTextcite] = ACTIONS(6947),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6947),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6947),
    [anon_sym_BSLASHsupercite] = ACTIONS(6947),
    [anon_sym_BSLASHautocite] = ACTIONS(6947),
    [anon_sym_BSLASHAutocite] = ACTIONS(6947),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHVolcite] = ACTIONS(6947),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHavolcite] = ACTIONS(6947),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHNotecite] = ACTIONS(6947),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHlabel] = ACTIONS(6947),
    [anon_sym_BSLASHref] = ACTIONS(6947),
    [anon_sym_BSLASHeqref] = ACTIONS(6947),
    [anon_sym_BSLASHvref] = ACTIONS(6947),
    [anon_sym_BSLASHVref] = ACTIONS(6947),
    [anon_sym_BSLASHautoref] = ACTIONS(6947),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHpageref] = ACTIONS(6947),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHautopageref] = ACTIONS(6947),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcref] = ACTIONS(6947),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCref] = ACTIONS(6947),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcpageref] = ACTIONS(6947),
    [anon_sym_BSLASHCpageref] = ACTIONS(6947),
    [anon_sym_BSLASHnamecref] = ACTIONS(6947),
    [anon_sym_BSLASHnameCref] = ACTIONS(6947),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6947),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6947),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6947),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6947),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6947),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6947),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6947),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6947),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6947),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6947),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6947),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHdef] = ACTIONS(6947),
    [anon_sym_BSLASHgdef] = ACTIONS(6947),
    [anon_sym_BSLASHedef] = ACTIONS(6947),
    [anon_sym_BSLASHxdef] = ACTIONS(6947),
    [anon_sym_BSLASHlet] = ACTIONS(6947),
    [anon_sym_BSLASHglet] = ACTIONS(6947),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6947),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6947),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6947),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6947),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6947),
    [anon_sym_BSLASHgls] = ACTIONS(6947),
    [anon_sym_BSLASHGls] = ACTIONS(6947),
    [anon_sym_BSLASHGLS] = ACTIONS(6947),
    [anon_sym_BSLASHglspl] = ACTIONS(6947),
    [anon_sym_BSLASHGlspl] = ACTIONS(6947),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6947),
    [anon_sym_BSLASHglslink] = ACTIONS(6947),
    [anon_sym_BSLASHglstext] = ACTIONS(6947),
    [anon_sym_BSLASHGlstext] = ACTIONS(6947),
    [anon_sym_BSLASHGLStext] = ACTIONS(6947),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6947),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6947),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6947),
    [anon_sym_BSLASHglsplural] = ACTIONS(6947),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6947),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6947),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHglsname] = ACTIONS(6947),
    [anon_sym_BSLASHGlsname] = ACTIONS(6947),
    [anon_sym_BSLASHGLSname] = ACTIONS(6947),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6947),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6947),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6947),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6947),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6947),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6947),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6947),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6947),
    [anon_sym_BSLASHacrshort] = ACTIONS(6947),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6947),
    [anon_sym_BSLASHACRshort] = ACTIONS(6947),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHacrlong] = ACTIONS(6947),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6947),
    [anon_sym_BSLASHACRlong] = ACTIONS(6947),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHacrfull] = ACTIONS(6947),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6947),
    [anon_sym_BSLASHACRfull] = ACTIONS(6947),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHacs] = ACTIONS(6947),
    [anon_sym_BSLASHAcs] = ACTIONS(6947),
    [anon_sym_BSLASHacsp] = ACTIONS(6947),
    [anon_sym_BSLASHAcsp] = ACTIONS(6947),
    [anon_sym_BSLASHacl] = ACTIONS(6947),
    [anon_sym_BSLASHAcl] = ACTIONS(6947),
    [anon_sym_BSLASHaclp] = ACTIONS(6947),
    [anon_sym_BSLASHAclp] = ACTIONS(6947),
    [anon_sym_BSLASHacf] = ACTIONS(6947),
    [anon_sym_BSLASHAcf] = ACTIONS(6947),
    [anon_sym_BSLASHacfp] = ACTIONS(6947),
    [anon_sym_BSLASHAcfp] = ACTIONS(6947),
    [anon_sym_BSLASHac] = ACTIONS(6947),
    [anon_sym_BSLASHAc] = ACTIONS(6947),
    [anon_sym_BSLASHacp] = ACTIONS(6947),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6947),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6947),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6947),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6947),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6947),
    [anon_sym_BSLASHcolor] = ACTIONS(6947),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6947),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6947),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6947),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6947),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6947),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6947),
    [anon_sym_BSLASHurl] = ACTIONS(6947),
    [anon_sym_BSLASHhref] = ACTIONS(6947),
  },
  [956] = {
    [sym_brack_group_text] = STATE(1016),
    [ts_builtin_sym_end] = ACTIONS(6929),
    [sym_command_name] = ACTIONS(6927),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6927),
    [anon_sym_LBRACK] = ACTIONS(6883),
    [anon_sym_RBRACK] = ACTIONS(6929),
    [anon_sym_COMMA] = ACTIONS(6929),
    [anon_sym_EQ] = ACTIONS(6929),
    [anon_sym_LPAREN] = ACTIONS(6929),
    [anon_sym_RPAREN] = ACTIONS(6929),
    [anon_sym_BSLASHpart] = ACTIONS(6927),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHaddpart] = ACTIONS(6927),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHchapter] = ACTIONS(6927),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHaddchap] = ACTIONS(6927),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHsection] = ACTIONS(6927),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHaddsec] = ACTIONS(6927),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHsubsection] = ACTIONS(6927),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6927),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHparagraph] = ACTIONS(6927),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6927),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHitem] = ACTIONS(6927),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6929),
    [anon_sym_LBRACE] = ACTIONS(6929),
    [anon_sym_RBRACE] = ACTIONS(6929),
    [sym_word] = ACTIONS(6927),
    [sym_placeholder] = ACTIONS(6929),
    [sym_delimiter] = ACTIONS(6929),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_STAR] = ACTIONS(6929),
    [anon_sym_SLASH] = ACTIONS(6929),
    [anon_sym_LT] = ACTIONS(6927),
    [anon_sym_GT] = ACTIONS(6927),
    [anon_sym_BANG] = ACTIONS(6927),
    [anon_sym_PIPE] = ACTIONS(6927),
    [anon_sym_COLON] = ACTIONS(6927),
    [anon_sym_SQUOTE] = ACTIONS(6927),
    [anon_sym__] = ACTIONS(6929),
    [anon_sym_CARET] = ACTIONS(6929),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6929),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6929),
    [anon_sym_DOLLAR] = ACTIONS(6927),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6929),
    [anon_sym_BSLASHleft] = ACTIONS(6927),
    [anon_sym_BSLASHbigl] = ACTIONS(6927),
    [anon_sym_BSLASHBigl] = ACTIONS(6927),
    [anon_sym_BSLASHbiggl] = ACTIONS(6927),
    [anon_sym_BSLASHBiggl] = ACTIONS(6927),
    [anon_sym_BSLASHtext] = ACTIONS(6927),
    [anon_sym_BSLASHintertext] = ACTIONS(6927),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6927),
    [anon_sym_BSLASHbegin] = ACTIONS(6927),
    [anon_sym_BSLASHtitle] = ACTIONS(6927),
    [anon_sym_BSLASHauthor] = ACTIONS(6927),
    [anon_sym_BSLASHusepackage] = ACTIONS(6927),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6927),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6927),
    [anon_sym_BSLASHinclude] = ACTIONS(6927),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6927),
    [anon_sym_BSLASHinput] = ACTIONS(6927),
    [anon_sym_BSLASHsubfile] = ACTIONS(6927),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6927),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6927),
    [anon_sym_BSLASHbibliography] = ACTIONS(6927),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6927),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6927),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6927),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6927),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6927),
    [anon_sym_BSLASHimport] = ACTIONS(6927),
    [anon_sym_BSLASHsubimport] = ACTIONS(6927),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6927),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6927),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6927),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6927),
    [anon_sym_BSLASHcaption] = ACTIONS(6927),
    [anon_sym_BSLASHcite] = ACTIONS(6927),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHCite] = ACTIONS(6927),
    [anon_sym_BSLASHnocite] = ACTIONS(6927),
    [anon_sym_BSLASHcitet] = ACTIONS(6927),
    [anon_sym_BSLASHcitep] = ACTIONS(6927),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHciteA] = ACTIONS(6927),
    [anon_sym_BSLASHciteR] = ACTIONS(6927),
    [anon_sym_BSLASHciteS] = ACTIONS(6927),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6927),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6927),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6927),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6927),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHciteyear] = ACTIONS(6927),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcitedate] = ACTIONS(6927),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHciteurl] = ACTIONS(6927),
    [anon_sym_BSLASHfullcite] = ACTIONS(6927),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6927),
    [anon_sym_BSLASHcitealt] = ACTIONS(6927),
    [anon_sym_BSLASHcitealp] = ACTIONS(6927),
    [anon_sym_BSLASHcitetext] = ACTIONS(6927),
    [anon_sym_BSLASHparencite] = ACTIONS(6927),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHParencite] = ACTIONS(6927),
    [anon_sym_BSLASHfootcite] = ACTIONS(6927),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6927),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6927),
    [anon_sym_BSLASHtextcite] = ACTIONS(6927),
    [anon_sym_BSLASHTextcite] = ACTIONS(6927),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6927),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6927),
    [anon_sym_BSLASHsupercite] = ACTIONS(6927),
    [anon_sym_BSLASHautocite] = ACTIONS(6927),
    [anon_sym_BSLASHAutocite] = ACTIONS(6927),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHVolcite] = ACTIONS(6927),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHavolcite] = ACTIONS(6927),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHnotecite] = ACTIONS(6927),
    [anon_sym_BSLASHNotecite] = ACTIONS(6927),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6927),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6927),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6927),
    [anon_sym_BSLASHlabel] = ACTIONS(6927),
    [anon_sym_BSLASHref] = ACTIONS(6927),
    [anon_sym_BSLASHeqref] = ACTIONS(6927),
    [anon_sym_BSLASHvref] = ACTIONS(6927),
    [anon_sym_BSLASHVref] = ACTIONS(6927),
    [anon_sym_BSLASHautoref] = ACTIONS(6927),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHpageref] = ACTIONS(6927),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHautopageref] = ACTIONS(6927),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcref] = ACTIONS(6927),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHCref] = ACTIONS(6927),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcpageref] = ACTIONS(6927),
    [anon_sym_BSLASHCpageref] = ACTIONS(6927),
    [anon_sym_BSLASHnamecref] = ACTIONS(6927),
    [anon_sym_BSLASHnameCref] = ACTIONS(6927),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6927),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6927),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6927),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6927),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6927),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6927),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6927),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6927),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6927),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6927),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6927),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6927),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6927),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6927),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6927),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6927),
    [anon_sym_BSLASHdef] = ACTIONS(6927),
    [anon_sym_BSLASHgdef] = ACTIONS(6927),
    [anon_sym_BSLASHedef] = ACTIONS(6927),
    [anon_sym_BSLASHxdef] = ACTIONS(6927),
    [anon_sym_BSLASHlet] = ACTIONS(6927),
    [anon_sym_BSLASHglet] = ACTIONS(6927),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6927),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6927),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6927),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6927),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6927),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6927),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6927),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6927),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6927),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6927),
    [anon_sym_BSLASHgls] = ACTIONS(6927),
    [anon_sym_BSLASHGls] = ACTIONS(6927),
    [anon_sym_BSLASHGLS] = ACTIONS(6927),
    [anon_sym_BSLASHglspl] = ACTIONS(6927),
    [anon_sym_BSLASHGlspl] = ACTIONS(6927),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6927),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6927),
    [anon_sym_BSLASHglslink] = ACTIONS(6927),
    [anon_sym_BSLASHglstext] = ACTIONS(6927),
    [anon_sym_BSLASHGlstext] = ACTIONS(6927),
    [anon_sym_BSLASHGLStext] = ACTIONS(6927),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6927),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6927),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6927),
    [anon_sym_BSLASHglsplural] = ACTIONS(6927),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6927),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6927),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6927),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6927),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6927),
    [anon_sym_BSLASHglsname] = ACTIONS(6927),
    [anon_sym_BSLASHGlsname] = ACTIONS(6927),
    [anon_sym_BSLASHGLSname] = ACTIONS(6927),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6927),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6927),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6927),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6927),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6927),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6927),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6927),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6927),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6927),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6927),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6927),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6927),
    [anon_sym_BSLASHacrshort] = ACTIONS(6927),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6927),
    [anon_sym_BSLASHACRshort] = ACTIONS(6927),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6927),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6927),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6927),
    [anon_sym_BSLASHacrlong] = ACTIONS(6927),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6927),
    [anon_sym_BSLASHACRlong] = ACTIONS(6927),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6927),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6927),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6927),
    [anon_sym_BSLASHacrfull] = ACTIONS(6927),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6927),
    [anon_sym_BSLASHACRfull] = ACTIONS(6927),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6927),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6927),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6927),
    [anon_sym_BSLASHacs] = ACTIONS(6927),
    [anon_sym_BSLASHAcs] = ACTIONS(6927),
    [anon_sym_BSLASHacsp] = ACTIONS(6927),
    [anon_sym_BSLASHAcsp] = ACTIONS(6927),
    [anon_sym_BSLASHacl] = ACTIONS(6927),
    [anon_sym_BSLASHAcl] = ACTIONS(6927),
    [anon_sym_BSLASHaclp] = ACTIONS(6927),
    [anon_sym_BSLASHAclp] = ACTIONS(6927),
    [anon_sym_BSLASHacf] = ACTIONS(6927),
    [anon_sym_BSLASHAcf] = ACTIONS(6927),
    [anon_sym_BSLASHacfp] = ACTIONS(6927),
    [anon_sym_BSLASHAcfp] = ACTIONS(6927),
    [anon_sym_BSLASHac] = ACTIONS(6927),
    [anon_sym_BSLASHAc] = ACTIONS(6927),
    [anon_sym_BSLASHacp] = ACTIONS(6927),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6927),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6927),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6927),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6927),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6927),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6927),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6927),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6927),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6927),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6927),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6927),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6927),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6927),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6927),
    [anon_sym_BSLASHcolor] = ACTIONS(6927),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6927),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6927),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6927),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6927),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6927),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6927),
    [anon_sym_BSLASHurl] = ACTIONS(6927),
    [anon_sym_BSLASHhref] = ACTIONS(6927),
  },
  [957] = {
    [sym_curly_group] = STATE(991),
    [sym_brack_group_text] = STATE(2786),
    [sym_command_name] = ACTIONS(6881),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6881),
    [anon_sym_LBRACK] = ACTIONS(6883),
    [anon_sym_RBRACK] = ACTIONS(6885),
    [anon_sym_COMMA] = ACTIONS(6885),
    [anon_sym_EQ] = ACTIONS(6885),
    [anon_sym_LPAREN] = ACTIONS(6885),
    [anon_sym_RPAREN] = ACTIONS(6885),
    [anon_sym_BSLASHpart] = ACTIONS(6881),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHaddpart] = ACTIONS(6881),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHchapter] = ACTIONS(6881),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHaddchap] = ACTIONS(6881),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHsection] = ACTIONS(6881),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHaddsec] = ACTIONS(6881),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHsubsection] = ACTIONS(6881),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6881),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHparagraph] = ACTIONS(6881),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6881),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHitem] = ACTIONS(6881),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6885),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(6881),
    [sym_placeholder] = ACTIONS(6885),
    [sym_delimiter] = ACTIONS(6885),
    [anon_sym_PLUS] = ACTIONS(6885),
    [anon_sym_DASH] = ACTIONS(6885),
    [anon_sym_STAR] = ACTIONS(6885),
    [anon_sym_SLASH] = ACTIONS(6885),
    [anon_sym_LT] = ACTIONS(6881),
    [anon_sym_GT] = ACTIONS(6881),
    [anon_sym_BANG] = ACTIONS(6881),
    [anon_sym_PIPE] = ACTIONS(6881),
    [anon_sym_COLON] = ACTIONS(6881),
    [anon_sym_SQUOTE] = ACTIONS(6881),
    [anon_sym__] = ACTIONS(6885),
    [anon_sym_CARET] = ACTIONS(6885),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6885),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6885),
    [anon_sym_DOLLAR] = ACTIONS(6881),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6885),
    [anon_sym_BSLASHleft] = ACTIONS(6881),
    [anon_sym_BSLASHbigl] = ACTIONS(6881),
    [anon_sym_BSLASHBigl] = ACTIONS(6881),
    [anon_sym_BSLASHbiggl] = ACTIONS(6881),
    [anon_sym_BSLASHBiggl] = ACTIONS(6881),
    [anon_sym_BSLASHtext] = ACTIONS(6881),
    [anon_sym_BSLASHintertext] = ACTIONS(6881),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6881),
    [anon_sym_BSLASHbegin] = ACTIONS(6881),
    [anon_sym_BSLASHend] = ACTIONS(6881),
    [anon_sym_BSLASHtitle] = ACTIONS(6881),
    [anon_sym_BSLASHauthor] = ACTIONS(6881),
    [anon_sym_BSLASHusepackage] = ACTIONS(6881),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6881),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6881),
    [anon_sym_BSLASHinclude] = ACTIONS(6881),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6881),
    [anon_sym_BSLASHinput] = ACTIONS(6881),
    [anon_sym_BSLASHsubfile] = ACTIONS(6881),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6881),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6881),
    [anon_sym_BSLASHbibliography] = ACTIONS(6881),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6881),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6881),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6881),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6881),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6881),
    [anon_sym_BSLASHimport] = ACTIONS(6881),
    [anon_sym_BSLASHsubimport] = ACTIONS(6881),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6881),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6881),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6881),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6881),
    [anon_sym_BSLASHcaption] = ACTIONS(6881),
    [anon_sym_BSLASHcite] = ACTIONS(6881),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCite] = ACTIONS(6881),
    [anon_sym_BSLASHnocite] = ACTIONS(6881),
    [anon_sym_BSLASHcitet] = ACTIONS(6881),
    [anon_sym_BSLASHcitep] = ACTIONS(6881),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteA] = ACTIONS(6881),
    [anon_sym_BSLASHciteR] = ACTIONS(6881),
    [anon_sym_BSLASHciteS] = ACTIONS(6881),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6881),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6881),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6881),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6881),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteyear] = ACTIONS(6881),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitedate] = ACTIONS(6881),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteurl] = ACTIONS(6881),
    [anon_sym_BSLASHfullcite] = ACTIONS(6881),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6881),
    [anon_sym_BSLASHcitealt] = ACTIONS(6881),
    [anon_sym_BSLASHcitealp] = ACTIONS(6881),
    [anon_sym_BSLASHcitetext] = ACTIONS(6881),
    [anon_sym_BSLASHparencite] = ACTIONS(6881),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHParencite] = ACTIONS(6881),
    [anon_sym_BSLASHfootcite] = ACTIONS(6881),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6881),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6881),
    [anon_sym_BSLASHtextcite] = ACTIONS(6881),
    [anon_sym_BSLASHTextcite] = ACTIONS(6881),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6881),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6881),
    [anon_sym_BSLASHsupercite] = ACTIONS(6881),
    [anon_sym_BSLASHautocite] = ACTIONS(6881),
    [anon_sym_BSLASHAutocite] = ACTIONS(6881),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHVolcite] = ACTIONS(6881),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHavolcite] = ACTIONS(6881),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHNotecite] = ACTIONS(6881),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHlabel] = ACTIONS(6881),
    [anon_sym_BSLASHref] = ACTIONS(6881),
    [anon_sym_BSLASHeqref] = ACTIONS(6881),
    [anon_sym_BSLASHvref] = ACTIONS(6881),
    [anon_sym_BSLASHVref] = ACTIONS(6881),
    [anon_sym_BSLASHautoref] = ACTIONS(6881),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHpageref] = ACTIONS(6881),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHautopageref] = ACTIONS(6881),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcref] = ACTIONS(6881),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCref] = ACTIONS(6881),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcpageref] = ACTIONS(6881),
    [anon_sym_BSLASHCpageref] = ACTIONS(6881),
    [anon_sym_BSLASHnamecref] = ACTIONS(6881),
    [anon_sym_BSLASHnameCref] = ACTIONS(6881),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6881),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6881),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6881),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6881),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6881),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6881),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6881),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6881),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6881),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6881),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6881),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHdef] = ACTIONS(6881),
    [anon_sym_BSLASHgdef] = ACTIONS(6881),
    [anon_sym_BSLASHedef] = ACTIONS(6881),
    [anon_sym_BSLASHxdef] = ACTIONS(6881),
    [anon_sym_BSLASHlet] = ACTIONS(6881),
    [anon_sym_BSLASHglet] = ACTIONS(6881),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6881),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6881),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6881),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6881),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6881),
    [anon_sym_BSLASHgls] = ACTIONS(6881),
    [anon_sym_BSLASHGls] = ACTIONS(6881),
    [anon_sym_BSLASHGLS] = ACTIONS(6881),
    [anon_sym_BSLASHglspl] = ACTIONS(6881),
    [anon_sym_BSLASHGlspl] = ACTIONS(6881),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6881),
    [anon_sym_BSLASHglslink] = ACTIONS(6881),
    [anon_sym_BSLASHglstext] = ACTIONS(6881),
    [anon_sym_BSLASHGlstext] = ACTIONS(6881),
    [anon_sym_BSLASHGLStext] = ACTIONS(6881),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6881),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6881),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6881),
    [anon_sym_BSLASHglsplural] = ACTIONS(6881),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6881),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6881),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHglsname] = ACTIONS(6881),
    [anon_sym_BSLASHGlsname] = ACTIONS(6881),
    [anon_sym_BSLASHGLSname] = ACTIONS(6881),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6881),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6881),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6881),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6881),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6881),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6881),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6881),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6881),
    [anon_sym_BSLASHacrshort] = ACTIONS(6881),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6881),
    [anon_sym_BSLASHACRshort] = ACTIONS(6881),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHacrlong] = ACTIONS(6881),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6881),
    [anon_sym_BSLASHACRlong] = ACTIONS(6881),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHacrfull] = ACTIONS(6881),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6881),
    [anon_sym_BSLASHACRfull] = ACTIONS(6881),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHacs] = ACTIONS(6881),
    [anon_sym_BSLASHAcs] = ACTIONS(6881),
    [anon_sym_BSLASHacsp] = ACTIONS(6881),
    [anon_sym_BSLASHAcsp] = ACTIONS(6881),
    [anon_sym_BSLASHacl] = ACTIONS(6881),
    [anon_sym_BSLASHAcl] = ACTIONS(6881),
    [anon_sym_BSLASHaclp] = ACTIONS(6881),
    [anon_sym_BSLASHAclp] = ACTIONS(6881),
    [anon_sym_BSLASHacf] = ACTIONS(6881),
    [anon_sym_BSLASHAcf] = ACTIONS(6881),
    [anon_sym_BSLASHacfp] = ACTIONS(6881),
    [anon_sym_BSLASHAcfp] = ACTIONS(6881),
    [anon_sym_BSLASHac] = ACTIONS(6881),
    [anon_sym_BSLASHAc] = ACTIONS(6881),
    [anon_sym_BSLASHacp] = ACTIONS(6881),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6881),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6881),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6881),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6881),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6881),
    [anon_sym_BSLASHcolor] = ACTIONS(6881),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6881),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6881),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6881),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6881),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6881),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6881),
    [anon_sym_BSLASHurl] = ACTIONS(6881),
    [anon_sym_BSLASHhref] = ACTIONS(6881),
  },
  [958] = {
    [sym_brack_group_text] = STATE(1064),
    [ts_builtin_sym_end] = ACTIONS(6921),
    [sym_command_name] = ACTIONS(6917),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6917),
    [anon_sym_LBRACK] = ACTIONS(6883),
    [anon_sym_RBRACK] = ACTIONS(6921),
    [anon_sym_COMMA] = ACTIONS(6921),
    [anon_sym_EQ] = ACTIONS(6921),
    [anon_sym_LPAREN] = ACTIONS(6921),
    [anon_sym_RPAREN] = ACTIONS(6921),
    [anon_sym_BSLASHpart] = ACTIONS(6917),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHaddpart] = ACTIONS(6917),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHchapter] = ACTIONS(6917),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHaddchap] = ACTIONS(6917),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHsection] = ACTIONS(6917),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHaddsec] = ACTIONS(6917),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHsubsection] = ACTIONS(6917),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6917),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHparagraph] = ACTIONS(6917),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6917),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHitem] = ACTIONS(6917),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6921),
    [anon_sym_LBRACE] = ACTIONS(6921),
    [anon_sym_RBRACE] = ACTIONS(6921),
    [sym_word] = ACTIONS(6917),
    [sym_placeholder] = ACTIONS(6921),
    [sym_delimiter] = ACTIONS(6921),
    [anon_sym_PLUS] = ACTIONS(6921),
    [anon_sym_DASH] = ACTIONS(6921),
    [anon_sym_STAR] = ACTIONS(6921),
    [anon_sym_SLASH] = ACTIONS(6921),
    [anon_sym_LT] = ACTIONS(6917),
    [anon_sym_GT] = ACTIONS(6917),
    [anon_sym_BANG] = ACTIONS(6917),
    [anon_sym_PIPE] = ACTIONS(6917),
    [anon_sym_COLON] = ACTIONS(6917),
    [anon_sym_SQUOTE] = ACTIONS(6917),
    [anon_sym__] = ACTIONS(6921),
    [anon_sym_CARET] = ACTIONS(6921),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6921),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6921),
    [anon_sym_DOLLAR] = ACTIONS(6917),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6921),
    [anon_sym_BSLASHleft] = ACTIONS(6917),
    [anon_sym_BSLASHbigl] = ACTIONS(6917),
    [anon_sym_BSLASHBigl] = ACTIONS(6917),
    [anon_sym_BSLASHbiggl] = ACTIONS(6917),
    [anon_sym_BSLASHBiggl] = ACTIONS(6917),
    [anon_sym_BSLASHtext] = ACTIONS(6917),
    [anon_sym_BSLASHintertext] = ACTIONS(6917),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6917),
    [anon_sym_BSLASHbegin] = ACTIONS(6917),
    [anon_sym_BSLASHtitle] = ACTIONS(6917),
    [anon_sym_BSLASHauthor] = ACTIONS(6917),
    [anon_sym_BSLASHusepackage] = ACTIONS(6917),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6917),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6917),
    [anon_sym_BSLASHinclude] = ACTIONS(6917),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6917),
    [anon_sym_BSLASHinput] = ACTIONS(6917),
    [anon_sym_BSLASHsubfile] = ACTIONS(6917),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6917),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6917),
    [anon_sym_BSLASHbibliography] = ACTIONS(6917),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6917),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6917),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6917),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6917),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6917),
    [anon_sym_BSLASHimport] = ACTIONS(6917),
    [anon_sym_BSLASHsubimport] = ACTIONS(6917),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6917),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6917),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6917),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6917),
    [anon_sym_BSLASHcaption] = ACTIONS(6917),
    [anon_sym_BSLASHcite] = ACTIONS(6917),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCite] = ACTIONS(6917),
    [anon_sym_BSLASHnocite] = ACTIONS(6917),
    [anon_sym_BSLASHcitet] = ACTIONS(6917),
    [anon_sym_BSLASHcitep] = ACTIONS(6917),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteA] = ACTIONS(6917),
    [anon_sym_BSLASHciteR] = ACTIONS(6917),
    [anon_sym_BSLASHciteS] = ACTIONS(6917),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6917),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6917),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6917),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6917),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteyear] = ACTIONS(6917),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitedate] = ACTIONS(6917),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteurl] = ACTIONS(6917),
    [anon_sym_BSLASHfullcite] = ACTIONS(6917),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6917),
    [anon_sym_BSLASHcitealt] = ACTIONS(6917),
    [anon_sym_BSLASHcitealp] = ACTIONS(6917),
    [anon_sym_BSLASHcitetext] = ACTIONS(6917),
    [anon_sym_BSLASHparencite] = ACTIONS(6917),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHParencite] = ACTIONS(6917),
    [anon_sym_BSLASHfootcite] = ACTIONS(6917),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6917),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6917),
    [anon_sym_BSLASHtextcite] = ACTIONS(6917),
    [anon_sym_BSLASHTextcite] = ACTIONS(6917),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6917),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6917),
    [anon_sym_BSLASHsupercite] = ACTIONS(6917),
    [anon_sym_BSLASHautocite] = ACTIONS(6917),
    [anon_sym_BSLASHAutocite] = ACTIONS(6917),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHVolcite] = ACTIONS(6917),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHavolcite] = ACTIONS(6917),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHNotecite] = ACTIONS(6917),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHlabel] = ACTIONS(6917),
    [anon_sym_BSLASHref] = ACTIONS(6917),
    [anon_sym_BSLASHeqref] = ACTIONS(6917),
    [anon_sym_BSLASHvref] = ACTIONS(6917),
    [anon_sym_BSLASHVref] = ACTIONS(6917),
    [anon_sym_BSLASHautoref] = ACTIONS(6917),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHpageref] = ACTIONS(6917),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHautopageref] = ACTIONS(6917),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcref] = ACTIONS(6917),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCref] = ACTIONS(6917),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcpageref] = ACTIONS(6917),
    [anon_sym_BSLASHCpageref] = ACTIONS(6917),
    [anon_sym_BSLASHnamecref] = ACTIONS(6917),
    [anon_sym_BSLASHnameCref] = ACTIONS(6917),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6917),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6917),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6917),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6917),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6917),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6917),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6917),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6917),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6917),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6917),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6917),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHdef] = ACTIONS(6917),
    [anon_sym_BSLASHgdef] = ACTIONS(6917),
    [anon_sym_BSLASHedef] = ACTIONS(6917),
    [anon_sym_BSLASHxdef] = ACTIONS(6917),
    [anon_sym_BSLASHlet] = ACTIONS(6917),
    [anon_sym_BSLASHglet] = ACTIONS(6917),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6917),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6917),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6917),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6917),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6917),
    [anon_sym_BSLASHgls] = ACTIONS(6917),
    [anon_sym_BSLASHGls] = ACTIONS(6917),
    [anon_sym_BSLASHGLS] = ACTIONS(6917),
    [anon_sym_BSLASHglspl] = ACTIONS(6917),
    [anon_sym_BSLASHGlspl] = ACTIONS(6917),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6917),
    [anon_sym_BSLASHglslink] = ACTIONS(6917),
    [anon_sym_BSLASHglstext] = ACTIONS(6917),
    [anon_sym_BSLASHGlstext] = ACTIONS(6917),
    [anon_sym_BSLASHGLStext] = ACTIONS(6917),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6917),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6917),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6917),
    [anon_sym_BSLASHglsplural] = ACTIONS(6917),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6917),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6917),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHglsname] = ACTIONS(6917),
    [anon_sym_BSLASHGlsname] = ACTIONS(6917),
    [anon_sym_BSLASHGLSname] = ACTIONS(6917),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6917),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6917),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6917),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6917),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6917),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6917),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6917),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6917),
    [anon_sym_BSLASHacrshort] = ACTIONS(6917),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6917),
    [anon_sym_BSLASHACRshort] = ACTIONS(6917),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHacrlong] = ACTIONS(6917),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6917),
    [anon_sym_BSLASHACRlong] = ACTIONS(6917),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHacrfull] = ACTIONS(6917),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6917),
    [anon_sym_BSLASHACRfull] = ACTIONS(6917),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHacs] = ACTIONS(6917),
    [anon_sym_BSLASHAcs] = ACTIONS(6917),
    [anon_sym_BSLASHacsp] = ACTIONS(6917),
    [anon_sym_BSLASHAcsp] = ACTIONS(6917),
    [anon_sym_BSLASHacl] = ACTIONS(6917),
    [anon_sym_BSLASHAcl] = ACTIONS(6917),
    [anon_sym_BSLASHaclp] = ACTIONS(6917),
    [anon_sym_BSLASHAclp] = ACTIONS(6917),
    [anon_sym_BSLASHacf] = ACTIONS(6917),
    [anon_sym_BSLASHAcf] = ACTIONS(6917),
    [anon_sym_BSLASHacfp] = ACTIONS(6917),
    [anon_sym_BSLASHAcfp] = ACTIONS(6917),
    [anon_sym_BSLASHac] = ACTIONS(6917),
    [anon_sym_BSLASHAc] = ACTIONS(6917),
    [anon_sym_BSLASHacp] = ACTIONS(6917),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6917),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6917),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6917),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6917),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6917),
    [anon_sym_BSLASHcolor] = ACTIONS(6917),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6917),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6917),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6917),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6917),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6917),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6917),
    [anon_sym_BSLASHurl] = ACTIONS(6917),
    [anon_sym_BSLASHhref] = ACTIONS(6917),
  },
  [959] = {
    [sym_brack_group_text] = STATE(1108),
    [ts_builtin_sym_end] = ACTIONS(6933),
    [sym_command_name] = ACTIONS(6931),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6931),
    [anon_sym_LBRACK] = ACTIONS(6883),
    [anon_sym_RBRACK] = ACTIONS(6933),
    [anon_sym_COMMA] = ACTIONS(6933),
    [anon_sym_EQ] = ACTIONS(6933),
    [anon_sym_LPAREN] = ACTIONS(6933),
    [anon_sym_RPAREN] = ACTIONS(6933),
    [anon_sym_BSLASHpart] = ACTIONS(6931),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHaddpart] = ACTIONS(6931),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHchapter] = ACTIONS(6931),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHaddchap] = ACTIONS(6931),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHsection] = ACTIONS(6931),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHaddsec] = ACTIONS(6931),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHsubsection] = ACTIONS(6931),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6931),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHparagraph] = ACTIONS(6931),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6931),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHitem] = ACTIONS(6931),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6933),
    [anon_sym_LBRACE] = ACTIONS(6933),
    [anon_sym_RBRACE] = ACTIONS(6933),
    [sym_word] = ACTIONS(6931),
    [sym_placeholder] = ACTIONS(6933),
    [sym_delimiter] = ACTIONS(6933),
    [anon_sym_PLUS] = ACTIONS(6933),
    [anon_sym_DASH] = ACTIONS(6933),
    [anon_sym_STAR] = ACTIONS(6933),
    [anon_sym_SLASH] = ACTIONS(6933),
    [anon_sym_LT] = ACTIONS(6931),
    [anon_sym_GT] = ACTIONS(6931),
    [anon_sym_BANG] = ACTIONS(6931),
    [anon_sym_PIPE] = ACTIONS(6931),
    [anon_sym_COLON] = ACTIONS(6931),
    [anon_sym_SQUOTE] = ACTIONS(6931),
    [anon_sym__] = ACTIONS(6933),
    [anon_sym_CARET] = ACTIONS(6933),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6933),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6933),
    [anon_sym_DOLLAR] = ACTIONS(6931),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6933),
    [anon_sym_BSLASHleft] = ACTIONS(6931),
    [anon_sym_BSLASHbigl] = ACTIONS(6931),
    [anon_sym_BSLASHBigl] = ACTIONS(6931),
    [anon_sym_BSLASHbiggl] = ACTIONS(6931),
    [anon_sym_BSLASHBiggl] = ACTIONS(6931),
    [anon_sym_BSLASHtext] = ACTIONS(6931),
    [anon_sym_BSLASHintertext] = ACTIONS(6931),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6931),
    [anon_sym_BSLASHbegin] = ACTIONS(6931),
    [anon_sym_BSLASHtitle] = ACTIONS(6931),
    [anon_sym_BSLASHauthor] = ACTIONS(6931),
    [anon_sym_BSLASHusepackage] = ACTIONS(6931),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6931),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6931),
    [anon_sym_BSLASHinclude] = ACTIONS(6931),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6931),
    [anon_sym_BSLASHinput] = ACTIONS(6931),
    [anon_sym_BSLASHsubfile] = ACTIONS(6931),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6931),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6931),
    [anon_sym_BSLASHbibliography] = ACTIONS(6931),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6931),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6931),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6931),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6931),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6931),
    [anon_sym_BSLASHimport] = ACTIONS(6931),
    [anon_sym_BSLASHsubimport] = ACTIONS(6931),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6931),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6931),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6931),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6931),
    [anon_sym_BSLASHcaption] = ACTIONS(6931),
    [anon_sym_BSLASHcite] = ACTIONS(6931),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCite] = ACTIONS(6931),
    [anon_sym_BSLASHnocite] = ACTIONS(6931),
    [anon_sym_BSLASHcitet] = ACTIONS(6931),
    [anon_sym_BSLASHcitep] = ACTIONS(6931),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteA] = ACTIONS(6931),
    [anon_sym_BSLASHciteR] = ACTIONS(6931),
    [anon_sym_BSLASHciteS] = ACTIONS(6931),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6931),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6931),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6931),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6931),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteyear] = ACTIONS(6931),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitedate] = ACTIONS(6931),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteurl] = ACTIONS(6931),
    [anon_sym_BSLASHfullcite] = ACTIONS(6931),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6931),
    [anon_sym_BSLASHcitealt] = ACTIONS(6931),
    [anon_sym_BSLASHcitealp] = ACTIONS(6931),
    [anon_sym_BSLASHcitetext] = ACTIONS(6931),
    [anon_sym_BSLASHparencite] = ACTIONS(6931),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHParencite] = ACTIONS(6931),
    [anon_sym_BSLASHfootcite] = ACTIONS(6931),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6931),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6931),
    [anon_sym_BSLASHtextcite] = ACTIONS(6931),
    [anon_sym_BSLASHTextcite] = ACTIONS(6931),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6931),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6931),
    [anon_sym_BSLASHsupercite] = ACTIONS(6931),
    [anon_sym_BSLASHautocite] = ACTIONS(6931),
    [anon_sym_BSLASHAutocite] = ACTIONS(6931),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHVolcite] = ACTIONS(6931),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHavolcite] = ACTIONS(6931),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHNotecite] = ACTIONS(6931),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHlabel] = ACTIONS(6931),
    [anon_sym_BSLASHref] = ACTIONS(6931),
    [anon_sym_BSLASHeqref] = ACTIONS(6931),
    [anon_sym_BSLASHvref] = ACTIONS(6931),
    [anon_sym_BSLASHVref] = ACTIONS(6931),
    [anon_sym_BSLASHautoref] = ACTIONS(6931),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHpageref] = ACTIONS(6931),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHautopageref] = ACTIONS(6931),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcref] = ACTIONS(6931),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCref] = ACTIONS(6931),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcpageref] = ACTIONS(6931),
    [anon_sym_BSLASHCpageref] = ACTIONS(6931),
    [anon_sym_BSLASHnamecref] = ACTIONS(6931),
    [anon_sym_BSLASHnameCref] = ACTIONS(6931),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6931),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6931),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6931),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6931),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6931),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6931),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6931),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6931),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6931),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6931),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6931),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHdef] = ACTIONS(6931),
    [anon_sym_BSLASHgdef] = ACTIONS(6931),
    [anon_sym_BSLASHedef] = ACTIONS(6931),
    [anon_sym_BSLASHxdef] = ACTIONS(6931),
    [anon_sym_BSLASHlet] = ACTIONS(6931),
    [anon_sym_BSLASHglet] = ACTIONS(6931),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6931),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6931),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6931),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6931),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6931),
    [anon_sym_BSLASHgls] = ACTIONS(6931),
    [anon_sym_BSLASHGls] = ACTIONS(6931),
    [anon_sym_BSLASHGLS] = ACTIONS(6931),
    [anon_sym_BSLASHglspl] = ACTIONS(6931),
    [anon_sym_BSLASHGlspl] = ACTIONS(6931),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6931),
    [anon_sym_BSLASHglslink] = ACTIONS(6931),
    [anon_sym_BSLASHglstext] = ACTIONS(6931),
    [anon_sym_BSLASHGlstext] = ACTIONS(6931),
    [anon_sym_BSLASHGLStext] = ACTIONS(6931),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6931),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6931),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6931),
    [anon_sym_BSLASHglsplural] = ACTIONS(6931),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6931),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6931),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHglsname] = ACTIONS(6931),
    [anon_sym_BSLASHGlsname] = ACTIONS(6931),
    [anon_sym_BSLASHGLSname] = ACTIONS(6931),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6931),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6931),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6931),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6931),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6931),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6931),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6931),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6931),
    [anon_sym_BSLASHacrshort] = ACTIONS(6931),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6931),
    [anon_sym_BSLASHACRshort] = ACTIONS(6931),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHacrlong] = ACTIONS(6931),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6931),
    [anon_sym_BSLASHACRlong] = ACTIONS(6931),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHacrfull] = ACTIONS(6931),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6931),
    [anon_sym_BSLASHACRfull] = ACTIONS(6931),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHacs] = ACTIONS(6931),
    [anon_sym_BSLASHAcs] = ACTIONS(6931),
    [anon_sym_BSLASHacsp] = ACTIONS(6931),
    [anon_sym_BSLASHAcsp] = ACTIONS(6931),
    [anon_sym_BSLASHacl] = ACTIONS(6931),
    [anon_sym_BSLASHAcl] = ACTIONS(6931),
    [anon_sym_BSLASHaclp] = ACTIONS(6931),
    [anon_sym_BSLASHAclp] = ACTIONS(6931),
    [anon_sym_BSLASHacf] = ACTIONS(6931),
    [anon_sym_BSLASHAcf] = ACTIONS(6931),
    [anon_sym_BSLASHacfp] = ACTIONS(6931),
    [anon_sym_BSLASHAcfp] = ACTIONS(6931),
    [anon_sym_BSLASHac] = ACTIONS(6931),
    [anon_sym_BSLASHAc] = ACTIONS(6931),
    [anon_sym_BSLASHacp] = ACTIONS(6931),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6931),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6931),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6931),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6931),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6931),
    [anon_sym_BSLASHcolor] = ACTIONS(6931),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6931),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6931),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6931),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6931),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6931),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6931),
    [anon_sym_BSLASHurl] = ACTIONS(6931),
    [anon_sym_BSLASHhref] = ACTIONS(6931),
  },
  [960] = {
    [sym_curly_group] = STATE(1512),
    [aux_sym_generic_command_repeat1] = STATE(972),
    [sym_command_name] = ACTIONS(6889),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6889),
    [anon_sym_LBRACK] = ACTIONS(6891),
    [anon_sym_RBRACK] = ACTIONS(6891),
    [anon_sym_COMMA] = ACTIONS(6891),
    [anon_sym_EQ] = ACTIONS(6891),
    [anon_sym_LPAREN] = ACTIONS(6891),
    [anon_sym_RPAREN] = ACTIONS(6891),
    [anon_sym_BSLASHpart] = ACTIONS(6889),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHaddpart] = ACTIONS(6889),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHchapter] = ACTIONS(6889),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHaddchap] = ACTIONS(6889),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHsection] = ACTIONS(6889),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHaddsec] = ACTIONS(6889),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHsubsection] = ACTIONS(6889),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6889),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHparagraph] = ACTIONS(6889),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6889),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHitem] = ACTIONS(6889),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6891),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(6889),
    [sym_placeholder] = ACTIONS(6891),
    [sym_delimiter] = ACTIONS(6891),
    [anon_sym_PLUS] = ACTIONS(6891),
    [anon_sym_DASH] = ACTIONS(6891),
    [anon_sym_STAR] = ACTIONS(6891),
    [anon_sym_SLASH] = ACTIONS(6891),
    [anon_sym_LT] = ACTIONS(6889),
    [anon_sym_GT] = ACTIONS(6889),
    [anon_sym_BANG] = ACTIONS(6889),
    [anon_sym_PIPE] = ACTIONS(6889),
    [anon_sym_COLON] = ACTIONS(6889),
    [anon_sym_SQUOTE] = ACTIONS(6889),
    [anon_sym__] = ACTIONS(6891),
    [anon_sym_CARET] = ACTIONS(6891),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6891),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6891),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6891),
    [anon_sym_DOLLAR] = ACTIONS(6889),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6891),
    [anon_sym_BSLASHleft] = ACTIONS(6889),
    [anon_sym_BSLASHbigl] = ACTIONS(6889),
    [anon_sym_BSLASHBigl] = ACTIONS(6889),
    [anon_sym_BSLASHbiggl] = ACTIONS(6889),
    [anon_sym_BSLASHBiggl] = ACTIONS(6889),
    [anon_sym_BSLASHtext] = ACTIONS(6889),
    [anon_sym_BSLASHintertext] = ACTIONS(6889),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6889),
    [anon_sym_BSLASHbegin] = ACTIONS(6889),
    [anon_sym_BSLASHtitle] = ACTIONS(6889),
    [anon_sym_BSLASHauthor] = ACTIONS(6889),
    [anon_sym_BSLASHusepackage] = ACTIONS(6889),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6889),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6889),
    [anon_sym_BSLASHinclude] = ACTIONS(6889),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6889),
    [anon_sym_BSLASHinput] = ACTIONS(6889),
    [anon_sym_BSLASHsubfile] = ACTIONS(6889),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6889),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6889),
    [anon_sym_BSLASHbibliography] = ACTIONS(6889),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6889),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6889),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6889),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6889),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6889),
    [anon_sym_BSLASHimport] = ACTIONS(6889),
    [anon_sym_BSLASHsubimport] = ACTIONS(6889),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6889),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6889),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6889),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6889),
    [anon_sym_BSLASHcaption] = ACTIONS(6889),
    [anon_sym_BSLASHcite] = ACTIONS(6889),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCite] = ACTIONS(6889),
    [anon_sym_BSLASHnocite] = ACTIONS(6889),
    [anon_sym_BSLASHcitet] = ACTIONS(6889),
    [anon_sym_BSLASHcitep] = ACTIONS(6889),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteA] = ACTIONS(6889),
    [anon_sym_BSLASHciteR] = ACTIONS(6889),
    [anon_sym_BSLASHciteS] = ACTIONS(6889),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6889),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6889),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6889),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6889),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteyear] = ACTIONS(6889),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitedate] = ACTIONS(6889),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteurl] = ACTIONS(6889),
    [anon_sym_BSLASHfullcite] = ACTIONS(6889),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6889),
    [anon_sym_BSLASHcitealt] = ACTIONS(6889),
    [anon_sym_BSLASHcitealp] = ACTIONS(6889),
    [anon_sym_BSLASHcitetext] = ACTIONS(6889),
    [anon_sym_BSLASHparencite] = ACTIONS(6889),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHParencite] = ACTIONS(6889),
    [anon_sym_BSLASHfootcite] = ACTIONS(6889),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6889),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6889),
    [anon_sym_BSLASHtextcite] = ACTIONS(6889),
    [anon_sym_BSLASHTextcite] = ACTIONS(6889),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6889),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6889),
    [anon_sym_BSLASHsupercite] = ACTIONS(6889),
    [anon_sym_BSLASHautocite] = ACTIONS(6889),
    [anon_sym_BSLASHAutocite] = ACTIONS(6889),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHVolcite] = ACTIONS(6889),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHavolcite] = ACTIONS(6889),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHNotecite] = ACTIONS(6889),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHlabel] = ACTIONS(6889),
    [anon_sym_BSLASHref] = ACTIONS(6889),
    [anon_sym_BSLASHeqref] = ACTIONS(6889),
    [anon_sym_BSLASHvref] = ACTIONS(6889),
    [anon_sym_BSLASHVref] = ACTIONS(6889),
    [anon_sym_BSLASHautoref] = ACTIONS(6889),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHpageref] = ACTIONS(6889),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHautopageref] = ACTIONS(6889),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcref] = ACTIONS(6889),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCref] = ACTIONS(6889),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcpageref] = ACTIONS(6889),
    [anon_sym_BSLASHCpageref] = ACTIONS(6889),
    [anon_sym_BSLASHnamecref] = ACTIONS(6889),
    [anon_sym_BSLASHnameCref] = ACTIONS(6889),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6889),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6889),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6889),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6889),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6889),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6889),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6889),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6889),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6889),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6889),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6889),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHdef] = ACTIONS(6889),
    [anon_sym_BSLASHgdef] = ACTIONS(6889),
    [anon_sym_BSLASHedef] = ACTIONS(6889),
    [anon_sym_BSLASHxdef] = ACTIONS(6889),
    [anon_sym_BSLASHlet] = ACTIONS(6889),
    [anon_sym_BSLASHglet] = ACTIONS(6889),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6889),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6889),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6889),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6889),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6889),
    [anon_sym_BSLASHgls] = ACTIONS(6889),
    [anon_sym_BSLASHGls] = ACTIONS(6889),
    [anon_sym_BSLASHGLS] = ACTIONS(6889),
    [anon_sym_BSLASHglspl] = ACTIONS(6889),
    [anon_sym_BSLASHGlspl] = ACTIONS(6889),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6889),
    [anon_sym_BSLASHglslink] = ACTIONS(6889),
    [anon_sym_BSLASHglstext] = ACTIONS(6889),
    [anon_sym_BSLASHGlstext] = ACTIONS(6889),
    [anon_sym_BSLASHGLStext] = ACTIONS(6889),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6889),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6889),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6889),
    [anon_sym_BSLASHglsplural] = ACTIONS(6889),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6889),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6889),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHglsname] = ACTIONS(6889),
    [anon_sym_BSLASHGlsname] = ACTIONS(6889),
    [anon_sym_BSLASHGLSname] = ACTIONS(6889),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6889),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6889),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6889),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6889),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6889),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6889),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6889),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6889),
    [anon_sym_BSLASHacrshort] = ACTIONS(6889),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6889),
    [anon_sym_BSLASHACRshort] = ACTIONS(6889),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHacrlong] = ACTIONS(6889),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6889),
    [anon_sym_BSLASHACRlong] = ACTIONS(6889),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHacrfull] = ACTIONS(6889),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6889),
    [anon_sym_BSLASHACRfull] = ACTIONS(6889),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHacs] = ACTIONS(6889),
    [anon_sym_BSLASHAcs] = ACTIONS(6889),
    [anon_sym_BSLASHacsp] = ACTIONS(6889),
    [anon_sym_BSLASHAcsp] = ACTIONS(6889),
    [anon_sym_BSLASHacl] = ACTIONS(6889),
    [anon_sym_BSLASHAcl] = ACTIONS(6889),
    [anon_sym_BSLASHaclp] = ACTIONS(6889),
    [anon_sym_BSLASHAclp] = ACTIONS(6889),
    [anon_sym_BSLASHacf] = ACTIONS(6889),
    [anon_sym_BSLASHAcf] = ACTIONS(6889),
    [anon_sym_BSLASHacfp] = ACTIONS(6889),
    [anon_sym_BSLASHAcfp] = ACTIONS(6889),
    [anon_sym_BSLASHac] = ACTIONS(6889),
    [anon_sym_BSLASHAc] = ACTIONS(6889),
    [anon_sym_BSLASHacp] = ACTIONS(6889),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6889),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6889),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6889),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6889),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6889),
    [anon_sym_BSLASHcolor] = ACTIONS(6889),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6889),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6889),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6889),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6889),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6889),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6889),
    [anon_sym_BSLASHurl] = ACTIONS(6889),
    [anon_sym_BSLASHhref] = ACTIONS(6889),
  },
  [961] = {
    [sym_curly_group] = STATE(1068),
    [ts_builtin_sym_end] = ACTIONS(6941),
    [sym_command_name] = ACTIONS(6939),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6939),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [anon_sym_RBRACK] = ACTIONS(6941),
    [anon_sym_COMMA] = ACTIONS(6941),
    [anon_sym_EQ] = ACTIONS(6941),
    [anon_sym_LPAREN] = ACTIONS(6941),
    [anon_sym_RPAREN] = ACTIONS(6941),
    [anon_sym_BSLASHpart] = ACTIONS(6939),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHaddpart] = ACTIONS(6939),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHchapter] = ACTIONS(6939),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHaddchap] = ACTIONS(6939),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHsection] = ACTIONS(6939),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHaddsec] = ACTIONS(6939),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHsubsection] = ACTIONS(6939),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6939),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHparagraph] = ACTIONS(6939),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6939),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHitem] = ACTIONS(6939),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6941),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(6941),
    [sym_word] = ACTIONS(6939),
    [sym_placeholder] = ACTIONS(6941),
    [sym_delimiter] = ACTIONS(6941),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_STAR] = ACTIONS(6941),
    [anon_sym_SLASH] = ACTIONS(6941),
    [anon_sym_LT] = ACTIONS(6939),
    [anon_sym_GT] = ACTIONS(6939),
    [anon_sym_BANG] = ACTIONS(6939),
    [anon_sym_PIPE] = ACTIONS(6939),
    [anon_sym_COLON] = ACTIONS(6939),
    [anon_sym_SQUOTE] = ACTIONS(6939),
    [anon_sym__] = ACTIONS(6941),
    [anon_sym_CARET] = ACTIONS(6941),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6941),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6941),
    [anon_sym_DOLLAR] = ACTIONS(6939),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6941),
    [anon_sym_BSLASHleft] = ACTIONS(6939),
    [anon_sym_BSLASHbigl] = ACTIONS(6939),
    [anon_sym_BSLASHBigl] = ACTIONS(6939),
    [anon_sym_BSLASHbiggl] = ACTIONS(6939),
    [anon_sym_BSLASHBiggl] = ACTIONS(6939),
    [anon_sym_BSLASHtext] = ACTIONS(6939),
    [anon_sym_BSLASHintertext] = ACTIONS(6939),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6939),
    [anon_sym_BSLASHbegin] = ACTIONS(6939),
    [anon_sym_BSLASHtitle] = ACTIONS(6939),
    [anon_sym_BSLASHauthor] = ACTIONS(6939),
    [anon_sym_BSLASHusepackage] = ACTIONS(6939),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6939),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6939),
    [anon_sym_BSLASHinclude] = ACTIONS(6939),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6939),
    [anon_sym_BSLASHinput] = ACTIONS(6939),
    [anon_sym_BSLASHsubfile] = ACTIONS(6939),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6939),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6939),
    [anon_sym_BSLASHbibliography] = ACTIONS(6939),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6939),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6939),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6939),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6939),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6939),
    [anon_sym_BSLASHimport] = ACTIONS(6939),
    [anon_sym_BSLASHsubimport] = ACTIONS(6939),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6939),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6939),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6939),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6939),
    [anon_sym_BSLASHcaption] = ACTIONS(6939),
    [anon_sym_BSLASHcite] = ACTIONS(6939),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCite] = ACTIONS(6939),
    [anon_sym_BSLASHnocite] = ACTIONS(6939),
    [anon_sym_BSLASHcitet] = ACTIONS(6939),
    [anon_sym_BSLASHcitep] = ACTIONS(6939),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteA] = ACTIONS(6939),
    [anon_sym_BSLASHciteR] = ACTIONS(6939),
    [anon_sym_BSLASHciteS] = ACTIONS(6939),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6939),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6939),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6939),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6939),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteyear] = ACTIONS(6939),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitedate] = ACTIONS(6939),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteurl] = ACTIONS(6939),
    [anon_sym_BSLASHfullcite] = ACTIONS(6939),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6939),
    [anon_sym_BSLASHcitealt] = ACTIONS(6939),
    [anon_sym_BSLASHcitealp] = ACTIONS(6939),
    [anon_sym_BSLASHcitetext] = ACTIONS(6939),
    [anon_sym_BSLASHparencite] = ACTIONS(6939),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHParencite] = ACTIONS(6939),
    [anon_sym_BSLASHfootcite] = ACTIONS(6939),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6939),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6939),
    [anon_sym_BSLASHtextcite] = ACTIONS(6939),
    [anon_sym_BSLASHTextcite] = ACTIONS(6939),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6939),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6939),
    [anon_sym_BSLASHsupercite] = ACTIONS(6939),
    [anon_sym_BSLASHautocite] = ACTIONS(6939),
    [anon_sym_BSLASHAutocite] = ACTIONS(6939),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHVolcite] = ACTIONS(6939),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHavolcite] = ACTIONS(6939),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHNotecite] = ACTIONS(6939),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHlabel] = ACTIONS(6939),
    [anon_sym_BSLASHref] = ACTIONS(6939),
    [anon_sym_BSLASHeqref] = ACTIONS(6939),
    [anon_sym_BSLASHvref] = ACTIONS(6939),
    [anon_sym_BSLASHVref] = ACTIONS(6939),
    [anon_sym_BSLASHautoref] = ACTIONS(6939),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHpageref] = ACTIONS(6939),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHautopageref] = ACTIONS(6939),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcref] = ACTIONS(6939),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCref] = ACTIONS(6939),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcpageref] = ACTIONS(6939),
    [anon_sym_BSLASHCpageref] = ACTIONS(6939),
    [anon_sym_BSLASHnamecref] = ACTIONS(6939),
    [anon_sym_BSLASHnameCref] = ACTIONS(6939),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6939),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6939),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6939),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6939),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6939),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6939),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6939),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6939),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6939),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6939),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6939),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHdef] = ACTIONS(6939),
    [anon_sym_BSLASHgdef] = ACTIONS(6939),
    [anon_sym_BSLASHedef] = ACTIONS(6939),
    [anon_sym_BSLASHxdef] = ACTIONS(6939),
    [anon_sym_BSLASHlet] = ACTIONS(6939),
    [anon_sym_BSLASHglet] = ACTIONS(6939),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6939),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6939),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6939),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6939),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6939),
    [anon_sym_BSLASHgls] = ACTIONS(6939),
    [anon_sym_BSLASHGls] = ACTIONS(6939),
    [anon_sym_BSLASHGLS] = ACTIONS(6939),
    [anon_sym_BSLASHglspl] = ACTIONS(6939),
    [anon_sym_BSLASHGlspl] = ACTIONS(6939),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6939),
    [anon_sym_BSLASHglslink] = ACTIONS(6939),
    [anon_sym_BSLASHglstext] = ACTIONS(6939),
    [anon_sym_BSLASHGlstext] = ACTIONS(6939),
    [anon_sym_BSLASHGLStext] = ACTIONS(6939),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6939),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6939),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6939),
    [anon_sym_BSLASHglsplural] = ACTIONS(6939),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6939),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6939),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHglsname] = ACTIONS(6939),
    [anon_sym_BSLASHGlsname] = ACTIONS(6939),
    [anon_sym_BSLASHGLSname] = ACTIONS(6939),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6939),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6939),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6939),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6939),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6939),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6939),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6939),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6939),
    [anon_sym_BSLASHacrshort] = ACTIONS(6939),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6939),
    [anon_sym_BSLASHACRshort] = ACTIONS(6939),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHacrlong] = ACTIONS(6939),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6939),
    [anon_sym_BSLASHACRlong] = ACTIONS(6939),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHacrfull] = ACTIONS(6939),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6939),
    [anon_sym_BSLASHACRfull] = ACTIONS(6939),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHacs] = ACTIONS(6939),
    [anon_sym_BSLASHAcs] = ACTIONS(6939),
    [anon_sym_BSLASHacsp] = ACTIONS(6939),
    [anon_sym_BSLASHAcsp] = ACTIONS(6939),
    [anon_sym_BSLASHacl] = ACTIONS(6939),
    [anon_sym_BSLASHAcl] = ACTIONS(6939),
    [anon_sym_BSLASHaclp] = ACTIONS(6939),
    [anon_sym_BSLASHAclp] = ACTIONS(6939),
    [anon_sym_BSLASHacf] = ACTIONS(6939),
    [anon_sym_BSLASHAcf] = ACTIONS(6939),
    [anon_sym_BSLASHacfp] = ACTIONS(6939),
    [anon_sym_BSLASHAcfp] = ACTIONS(6939),
    [anon_sym_BSLASHac] = ACTIONS(6939),
    [anon_sym_BSLASHAc] = ACTIONS(6939),
    [anon_sym_BSLASHacp] = ACTIONS(6939),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6939),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6939),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6939),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6939),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6939),
    [anon_sym_BSLASHcolor] = ACTIONS(6939),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6939),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6939),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6939),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6939),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6939),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6939),
    [anon_sym_BSLASHurl] = ACTIONS(6939),
    [anon_sym_BSLASHhref] = ACTIONS(6939),
  },
  [962] = {
    [sym_curly_group] = STATE(1087),
    [sym_brack_group_text] = STATE(3435),
    [sym_command_name] = ACTIONS(6881),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6881),
    [anon_sym_LBRACK] = ACTIONS(6883),
    [anon_sym_RBRACK] = ACTIONS(6885),
    [anon_sym_COMMA] = ACTIONS(6885),
    [anon_sym_EQ] = ACTIONS(6885),
    [anon_sym_LPAREN] = ACTIONS(6885),
    [anon_sym_RPAREN] = ACTIONS(6885),
    [anon_sym_BSLASHpart] = ACTIONS(6881),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHaddpart] = ACTIONS(6881),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHchapter] = ACTIONS(6881),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHaddchap] = ACTIONS(6881),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHsection] = ACTIONS(6881),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHaddsec] = ACTIONS(6881),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHsubsection] = ACTIONS(6881),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6881),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHparagraph] = ACTIONS(6881),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6881),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHitem] = ACTIONS(6881),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6885),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(6881),
    [sym_placeholder] = ACTIONS(6885),
    [sym_delimiter] = ACTIONS(6885),
    [anon_sym_PLUS] = ACTIONS(6885),
    [anon_sym_DASH] = ACTIONS(6885),
    [anon_sym_STAR] = ACTIONS(6885),
    [anon_sym_SLASH] = ACTIONS(6885),
    [anon_sym_LT] = ACTIONS(6881),
    [anon_sym_GT] = ACTIONS(6881),
    [anon_sym_BANG] = ACTIONS(6881),
    [anon_sym_PIPE] = ACTIONS(6881),
    [anon_sym_COLON] = ACTIONS(6881),
    [anon_sym_SQUOTE] = ACTIONS(6881),
    [anon_sym__] = ACTIONS(6885),
    [anon_sym_CARET] = ACTIONS(6885),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6885),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6885),
    [anon_sym_DOLLAR] = ACTIONS(6881),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6885),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6885),
    [anon_sym_BSLASHleft] = ACTIONS(6881),
    [anon_sym_BSLASHbigl] = ACTIONS(6881),
    [anon_sym_BSLASHBigl] = ACTIONS(6881),
    [anon_sym_BSLASHbiggl] = ACTIONS(6881),
    [anon_sym_BSLASHBiggl] = ACTIONS(6881),
    [anon_sym_BSLASHtext] = ACTIONS(6881),
    [anon_sym_BSLASHintertext] = ACTIONS(6881),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6881),
    [anon_sym_BSLASHbegin] = ACTIONS(6881),
    [anon_sym_BSLASHtitle] = ACTIONS(6881),
    [anon_sym_BSLASHauthor] = ACTIONS(6881),
    [anon_sym_BSLASHusepackage] = ACTIONS(6881),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6881),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6881),
    [anon_sym_BSLASHinclude] = ACTIONS(6881),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6881),
    [anon_sym_BSLASHinput] = ACTIONS(6881),
    [anon_sym_BSLASHsubfile] = ACTIONS(6881),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6881),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6881),
    [anon_sym_BSLASHbibliography] = ACTIONS(6881),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6881),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6881),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6881),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6881),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6881),
    [anon_sym_BSLASHimport] = ACTIONS(6881),
    [anon_sym_BSLASHsubimport] = ACTIONS(6881),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6881),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6881),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6881),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6881),
    [anon_sym_BSLASHcaption] = ACTIONS(6881),
    [anon_sym_BSLASHcite] = ACTIONS(6881),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCite] = ACTIONS(6881),
    [anon_sym_BSLASHnocite] = ACTIONS(6881),
    [anon_sym_BSLASHcitet] = ACTIONS(6881),
    [anon_sym_BSLASHcitep] = ACTIONS(6881),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteA] = ACTIONS(6881),
    [anon_sym_BSLASHciteR] = ACTIONS(6881),
    [anon_sym_BSLASHciteS] = ACTIONS(6881),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6881),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6881),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6881),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6881),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteyear] = ACTIONS(6881),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitedate] = ACTIONS(6881),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteurl] = ACTIONS(6881),
    [anon_sym_BSLASHfullcite] = ACTIONS(6881),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6881),
    [anon_sym_BSLASHcitealt] = ACTIONS(6881),
    [anon_sym_BSLASHcitealp] = ACTIONS(6881),
    [anon_sym_BSLASHcitetext] = ACTIONS(6881),
    [anon_sym_BSLASHparencite] = ACTIONS(6881),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHParencite] = ACTIONS(6881),
    [anon_sym_BSLASHfootcite] = ACTIONS(6881),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6881),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6881),
    [anon_sym_BSLASHtextcite] = ACTIONS(6881),
    [anon_sym_BSLASHTextcite] = ACTIONS(6881),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6881),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6881),
    [anon_sym_BSLASHsupercite] = ACTIONS(6881),
    [anon_sym_BSLASHautocite] = ACTIONS(6881),
    [anon_sym_BSLASHAutocite] = ACTIONS(6881),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHVolcite] = ACTIONS(6881),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHavolcite] = ACTIONS(6881),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHNotecite] = ACTIONS(6881),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHlabel] = ACTIONS(6881),
    [anon_sym_BSLASHref] = ACTIONS(6881),
    [anon_sym_BSLASHeqref] = ACTIONS(6881),
    [anon_sym_BSLASHvref] = ACTIONS(6881),
    [anon_sym_BSLASHVref] = ACTIONS(6881),
    [anon_sym_BSLASHautoref] = ACTIONS(6881),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHpageref] = ACTIONS(6881),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHautopageref] = ACTIONS(6881),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcref] = ACTIONS(6881),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCref] = ACTIONS(6881),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcpageref] = ACTIONS(6881),
    [anon_sym_BSLASHCpageref] = ACTIONS(6881),
    [anon_sym_BSLASHnamecref] = ACTIONS(6881),
    [anon_sym_BSLASHnameCref] = ACTIONS(6881),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6881),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6881),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6881),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6881),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6881),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6881),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6881),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6881),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6881),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6881),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6881),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHdef] = ACTIONS(6881),
    [anon_sym_BSLASHgdef] = ACTIONS(6881),
    [anon_sym_BSLASHedef] = ACTIONS(6881),
    [anon_sym_BSLASHxdef] = ACTIONS(6881),
    [anon_sym_BSLASHlet] = ACTIONS(6881),
    [anon_sym_BSLASHglet] = ACTIONS(6881),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6881),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6881),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6881),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6881),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6881),
    [anon_sym_BSLASHgls] = ACTIONS(6881),
    [anon_sym_BSLASHGls] = ACTIONS(6881),
    [anon_sym_BSLASHGLS] = ACTIONS(6881),
    [anon_sym_BSLASHglspl] = ACTIONS(6881),
    [anon_sym_BSLASHGlspl] = ACTIONS(6881),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6881),
    [anon_sym_BSLASHglslink] = ACTIONS(6881),
    [anon_sym_BSLASHglstext] = ACTIONS(6881),
    [anon_sym_BSLASHGlstext] = ACTIONS(6881),
    [anon_sym_BSLASHGLStext] = ACTIONS(6881),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6881),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6881),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6881),
    [anon_sym_BSLASHglsplural] = ACTIONS(6881),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6881),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6881),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHglsname] = ACTIONS(6881),
    [anon_sym_BSLASHGlsname] = ACTIONS(6881),
    [anon_sym_BSLASHGLSname] = ACTIONS(6881),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6881),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6881),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6881),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6881),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6881),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6881),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6881),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6881),
    [anon_sym_BSLASHacrshort] = ACTIONS(6881),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6881),
    [anon_sym_BSLASHACRshort] = ACTIONS(6881),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHacrlong] = ACTIONS(6881),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6881),
    [anon_sym_BSLASHACRlong] = ACTIONS(6881),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHacrfull] = ACTIONS(6881),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6881),
    [anon_sym_BSLASHACRfull] = ACTIONS(6881),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHacs] = ACTIONS(6881),
    [anon_sym_BSLASHAcs] = ACTIONS(6881),
    [anon_sym_BSLASHacsp] = ACTIONS(6881),
    [anon_sym_BSLASHAcsp] = ACTIONS(6881),
    [anon_sym_BSLASHacl] = ACTIONS(6881),
    [anon_sym_BSLASHAcl] = ACTIONS(6881),
    [anon_sym_BSLASHaclp] = ACTIONS(6881),
    [anon_sym_BSLASHAclp] = ACTIONS(6881),
    [anon_sym_BSLASHacf] = ACTIONS(6881),
    [anon_sym_BSLASHAcf] = ACTIONS(6881),
    [anon_sym_BSLASHacfp] = ACTIONS(6881),
    [anon_sym_BSLASHAcfp] = ACTIONS(6881),
    [anon_sym_BSLASHac] = ACTIONS(6881),
    [anon_sym_BSLASHAc] = ACTIONS(6881),
    [anon_sym_BSLASHacp] = ACTIONS(6881),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6881),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6881),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6881),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6881),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6881),
    [anon_sym_BSLASHcolor] = ACTIONS(6881),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6881),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6881),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6881),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6881),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6881),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6881),
    [anon_sym_BSLASHurl] = ACTIONS(6881),
    [anon_sym_BSLASHhref] = ACTIONS(6881),
  },
  [963] = {
    [sym_curly_group] = STATE(1014),
    [ts_builtin_sym_end] = ACTIONS(6945),
    [sym_command_name] = ACTIONS(6943),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6943),
    [anon_sym_LBRACK] = ACTIONS(6945),
    [anon_sym_RBRACK] = ACTIONS(6945),
    [anon_sym_COMMA] = ACTIONS(6945),
    [anon_sym_EQ] = ACTIONS(6945),
    [anon_sym_LPAREN] = ACTIONS(6945),
    [anon_sym_RPAREN] = ACTIONS(6945),
    [anon_sym_BSLASHpart] = ACTIONS(6943),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHaddpart] = ACTIONS(6943),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHchapter] = ACTIONS(6943),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHaddchap] = ACTIONS(6943),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHsection] = ACTIONS(6943),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHaddsec] = ACTIONS(6943),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHsubsection] = ACTIONS(6943),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6943),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHparagraph] = ACTIONS(6943),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6943),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHitem] = ACTIONS(6943),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6945),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(6945),
    [sym_word] = ACTIONS(6943),
    [sym_placeholder] = ACTIONS(6945),
    [sym_delimiter] = ACTIONS(6945),
    [anon_sym_PLUS] = ACTIONS(6945),
    [anon_sym_DASH] = ACTIONS(6945),
    [anon_sym_STAR] = ACTIONS(6945),
    [anon_sym_SLASH] = ACTIONS(6945),
    [anon_sym_LT] = ACTIONS(6943),
    [anon_sym_GT] = ACTIONS(6943),
    [anon_sym_BANG] = ACTIONS(6943),
    [anon_sym_PIPE] = ACTIONS(6943),
    [anon_sym_COLON] = ACTIONS(6943),
    [anon_sym_SQUOTE] = ACTIONS(6943),
    [anon_sym__] = ACTIONS(6945),
    [anon_sym_CARET] = ACTIONS(6945),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6945),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6945),
    [anon_sym_DOLLAR] = ACTIONS(6943),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6945),
    [anon_sym_BSLASHleft] = ACTIONS(6943),
    [anon_sym_BSLASHbigl] = ACTIONS(6943),
    [anon_sym_BSLASHBigl] = ACTIONS(6943),
    [anon_sym_BSLASHbiggl] = ACTIONS(6943),
    [anon_sym_BSLASHBiggl] = ACTIONS(6943),
    [anon_sym_BSLASHtext] = ACTIONS(6943),
    [anon_sym_BSLASHintertext] = ACTIONS(6943),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6943),
    [anon_sym_BSLASHbegin] = ACTIONS(6943),
    [anon_sym_BSLASHtitle] = ACTIONS(6943),
    [anon_sym_BSLASHauthor] = ACTIONS(6943),
    [anon_sym_BSLASHusepackage] = ACTIONS(6943),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6943),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6943),
    [anon_sym_BSLASHinclude] = ACTIONS(6943),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6943),
    [anon_sym_BSLASHinput] = ACTIONS(6943),
    [anon_sym_BSLASHsubfile] = ACTIONS(6943),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6943),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6943),
    [anon_sym_BSLASHbibliography] = ACTIONS(6943),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6943),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6943),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6943),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6943),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6943),
    [anon_sym_BSLASHimport] = ACTIONS(6943),
    [anon_sym_BSLASHsubimport] = ACTIONS(6943),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6943),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6943),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6943),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6943),
    [anon_sym_BSLASHcaption] = ACTIONS(6943),
    [anon_sym_BSLASHcite] = ACTIONS(6943),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCite] = ACTIONS(6943),
    [anon_sym_BSLASHnocite] = ACTIONS(6943),
    [anon_sym_BSLASHcitet] = ACTIONS(6943),
    [anon_sym_BSLASHcitep] = ACTIONS(6943),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteA] = ACTIONS(6943),
    [anon_sym_BSLASHciteR] = ACTIONS(6943),
    [anon_sym_BSLASHciteS] = ACTIONS(6943),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6943),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6943),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6943),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6943),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteyear] = ACTIONS(6943),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitedate] = ACTIONS(6943),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteurl] = ACTIONS(6943),
    [anon_sym_BSLASHfullcite] = ACTIONS(6943),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6943),
    [anon_sym_BSLASHcitealt] = ACTIONS(6943),
    [anon_sym_BSLASHcitealp] = ACTIONS(6943),
    [anon_sym_BSLASHcitetext] = ACTIONS(6943),
    [anon_sym_BSLASHparencite] = ACTIONS(6943),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHParencite] = ACTIONS(6943),
    [anon_sym_BSLASHfootcite] = ACTIONS(6943),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6943),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6943),
    [anon_sym_BSLASHtextcite] = ACTIONS(6943),
    [anon_sym_BSLASHTextcite] = ACTIONS(6943),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6943),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6943),
    [anon_sym_BSLASHsupercite] = ACTIONS(6943),
    [anon_sym_BSLASHautocite] = ACTIONS(6943),
    [anon_sym_BSLASHAutocite] = ACTIONS(6943),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHVolcite] = ACTIONS(6943),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHavolcite] = ACTIONS(6943),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHNotecite] = ACTIONS(6943),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHlabel] = ACTIONS(6943),
    [anon_sym_BSLASHref] = ACTIONS(6943),
    [anon_sym_BSLASHeqref] = ACTIONS(6943),
    [anon_sym_BSLASHvref] = ACTIONS(6943),
    [anon_sym_BSLASHVref] = ACTIONS(6943),
    [anon_sym_BSLASHautoref] = ACTIONS(6943),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHpageref] = ACTIONS(6943),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHautopageref] = ACTIONS(6943),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcref] = ACTIONS(6943),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCref] = ACTIONS(6943),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcpageref] = ACTIONS(6943),
    [anon_sym_BSLASHCpageref] = ACTIONS(6943),
    [anon_sym_BSLASHnamecref] = ACTIONS(6943),
    [anon_sym_BSLASHnameCref] = ACTIONS(6943),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6943),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6943),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6943),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6943),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6943),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6943),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6943),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6943),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6943),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6943),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6943),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHdef] = ACTIONS(6943),
    [anon_sym_BSLASHgdef] = ACTIONS(6943),
    [anon_sym_BSLASHedef] = ACTIONS(6943),
    [anon_sym_BSLASHxdef] = ACTIONS(6943),
    [anon_sym_BSLASHlet] = ACTIONS(6943),
    [anon_sym_BSLASHglet] = ACTIONS(6943),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6943),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6943),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6943),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6943),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6943),
    [anon_sym_BSLASHgls] = ACTIONS(6943),
    [anon_sym_BSLASHGls] = ACTIONS(6943),
    [anon_sym_BSLASHGLS] = ACTIONS(6943),
    [anon_sym_BSLASHglspl] = ACTIONS(6943),
    [anon_sym_BSLASHGlspl] = ACTIONS(6943),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6943),
    [anon_sym_BSLASHglslink] = ACTIONS(6943),
    [anon_sym_BSLASHglstext] = ACTIONS(6943),
    [anon_sym_BSLASHGlstext] = ACTIONS(6943),
    [anon_sym_BSLASHGLStext] = ACTIONS(6943),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6943),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6943),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6943),
    [anon_sym_BSLASHglsplural] = ACTIONS(6943),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6943),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6943),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHglsname] = ACTIONS(6943),
    [anon_sym_BSLASHGlsname] = ACTIONS(6943),
    [anon_sym_BSLASHGLSname] = ACTIONS(6943),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6943),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6943),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6943),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6943),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6943),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6943),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6943),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6943),
    [anon_sym_BSLASHacrshort] = ACTIONS(6943),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6943),
    [anon_sym_BSLASHACRshort] = ACTIONS(6943),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHacrlong] = ACTIONS(6943),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6943),
    [anon_sym_BSLASHACRlong] = ACTIONS(6943),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHacrfull] = ACTIONS(6943),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6943),
    [anon_sym_BSLASHACRfull] = ACTIONS(6943),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHacs] = ACTIONS(6943),
    [anon_sym_BSLASHAcs] = ACTIONS(6943),
    [anon_sym_BSLASHacsp] = ACTIONS(6943),
    [anon_sym_BSLASHAcsp] = ACTIONS(6943),
    [anon_sym_BSLASHacl] = ACTIONS(6943),
    [anon_sym_BSLASHAcl] = ACTIONS(6943),
    [anon_sym_BSLASHaclp] = ACTIONS(6943),
    [anon_sym_BSLASHAclp] = ACTIONS(6943),
    [anon_sym_BSLASHacf] = ACTIONS(6943),
    [anon_sym_BSLASHAcf] = ACTIONS(6943),
    [anon_sym_BSLASHacfp] = ACTIONS(6943),
    [anon_sym_BSLASHAcfp] = ACTIONS(6943),
    [anon_sym_BSLASHac] = ACTIONS(6943),
    [anon_sym_BSLASHAc] = ACTIONS(6943),
    [anon_sym_BSLASHacp] = ACTIONS(6943),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6943),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6943),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6943),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6943),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6943),
    [anon_sym_BSLASHcolor] = ACTIONS(6943),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6943),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6943),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6943),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6943),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6943),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6943),
    [anon_sym_BSLASHurl] = ACTIONS(6943),
    [anon_sym_BSLASHhref] = ACTIONS(6943),
  },
  [964] = {
    [sym_curly_group] = STATE(1462),
    [aux_sym_generic_command_repeat1] = STATE(954),
    [sym_command_name] = ACTIONS(6901),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6901),
    [anon_sym_LBRACK] = ACTIONS(6903),
    [anon_sym_RBRACK] = ACTIONS(6903),
    [anon_sym_COMMA] = ACTIONS(6903),
    [anon_sym_EQ] = ACTIONS(6903),
    [anon_sym_LPAREN] = ACTIONS(6903),
    [anon_sym_RPAREN] = ACTIONS(6903),
    [anon_sym_BSLASHpart] = ACTIONS(6901),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHaddpart] = ACTIONS(6901),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHchapter] = ACTIONS(6901),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHaddchap] = ACTIONS(6901),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHsection] = ACTIONS(6901),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHaddsec] = ACTIONS(6901),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHsubsection] = ACTIONS(6901),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6901),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHparagraph] = ACTIONS(6901),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6901),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHitem] = ACTIONS(6901),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6903),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(6901),
    [sym_placeholder] = ACTIONS(6903),
    [sym_delimiter] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6903),
    [anon_sym_DASH] = ACTIONS(6903),
    [anon_sym_STAR] = ACTIONS(6903),
    [anon_sym_SLASH] = ACTIONS(6903),
    [anon_sym_LT] = ACTIONS(6901),
    [anon_sym_GT] = ACTIONS(6901),
    [anon_sym_BANG] = ACTIONS(6901),
    [anon_sym_PIPE] = ACTIONS(6901),
    [anon_sym_COLON] = ACTIONS(6901),
    [anon_sym_SQUOTE] = ACTIONS(6901),
    [anon_sym__] = ACTIONS(6903),
    [anon_sym_CARET] = ACTIONS(6903),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6903),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6903),
    [anon_sym_DOLLAR] = ACTIONS(6901),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6903),
    [anon_sym_BSLASHleft] = ACTIONS(6901),
    [anon_sym_BSLASHbigl] = ACTIONS(6901),
    [anon_sym_BSLASHBigl] = ACTIONS(6901),
    [anon_sym_BSLASHbiggl] = ACTIONS(6901),
    [anon_sym_BSLASHBiggl] = ACTIONS(6901),
    [anon_sym_BSLASHtext] = ACTIONS(6901),
    [anon_sym_BSLASHintertext] = ACTIONS(6901),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6901),
    [anon_sym_BSLASHbegin] = ACTIONS(6901),
    [anon_sym_BSLASHend] = ACTIONS(6901),
    [anon_sym_BSLASHtitle] = ACTIONS(6901),
    [anon_sym_BSLASHauthor] = ACTIONS(6901),
    [anon_sym_BSLASHusepackage] = ACTIONS(6901),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6901),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6901),
    [anon_sym_BSLASHinclude] = ACTIONS(6901),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6901),
    [anon_sym_BSLASHinput] = ACTIONS(6901),
    [anon_sym_BSLASHsubfile] = ACTIONS(6901),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6901),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6901),
    [anon_sym_BSLASHbibliography] = ACTIONS(6901),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6901),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6901),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6901),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6901),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6901),
    [anon_sym_BSLASHimport] = ACTIONS(6901),
    [anon_sym_BSLASHsubimport] = ACTIONS(6901),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6901),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6901),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6901),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6901),
    [anon_sym_BSLASHcaption] = ACTIONS(6901),
    [anon_sym_BSLASHcite] = ACTIONS(6901),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCite] = ACTIONS(6901),
    [anon_sym_BSLASHnocite] = ACTIONS(6901),
    [anon_sym_BSLASHcitet] = ACTIONS(6901),
    [anon_sym_BSLASHcitep] = ACTIONS(6901),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteA] = ACTIONS(6901),
    [anon_sym_BSLASHciteR] = ACTIONS(6901),
    [anon_sym_BSLASHciteS] = ACTIONS(6901),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6901),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6901),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6901),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6901),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteyear] = ACTIONS(6901),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitedate] = ACTIONS(6901),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteurl] = ACTIONS(6901),
    [anon_sym_BSLASHfullcite] = ACTIONS(6901),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6901),
    [anon_sym_BSLASHcitealt] = ACTIONS(6901),
    [anon_sym_BSLASHcitealp] = ACTIONS(6901),
    [anon_sym_BSLASHcitetext] = ACTIONS(6901),
    [anon_sym_BSLASHparencite] = ACTIONS(6901),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHParencite] = ACTIONS(6901),
    [anon_sym_BSLASHfootcite] = ACTIONS(6901),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6901),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6901),
    [anon_sym_BSLASHtextcite] = ACTIONS(6901),
    [anon_sym_BSLASHTextcite] = ACTIONS(6901),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6901),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6901),
    [anon_sym_BSLASHsupercite] = ACTIONS(6901),
    [anon_sym_BSLASHautocite] = ACTIONS(6901),
    [anon_sym_BSLASHAutocite] = ACTIONS(6901),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHVolcite] = ACTIONS(6901),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHavolcite] = ACTIONS(6901),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHNotecite] = ACTIONS(6901),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHlabel] = ACTIONS(6901),
    [anon_sym_BSLASHref] = ACTIONS(6901),
    [anon_sym_BSLASHeqref] = ACTIONS(6901),
    [anon_sym_BSLASHvref] = ACTIONS(6901),
    [anon_sym_BSLASHVref] = ACTIONS(6901),
    [anon_sym_BSLASHautoref] = ACTIONS(6901),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHpageref] = ACTIONS(6901),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHautopageref] = ACTIONS(6901),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcref] = ACTIONS(6901),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCref] = ACTIONS(6901),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcpageref] = ACTIONS(6901),
    [anon_sym_BSLASHCpageref] = ACTIONS(6901),
    [anon_sym_BSLASHnamecref] = ACTIONS(6901),
    [anon_sym_BSLASHnameCref] = ACTIONS(6901),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6901),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6901),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6901),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6901),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6901),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6901),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6901),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6901),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6901),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6901),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6901),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHdef] = ACTIONS(6901),
    [anon_sym_BSLASHgdef] = ACTIONS(6901),
    [anon_sym_BSLASHedef] = ACTIONS(6901),
    [anon_sym_BSLASHxdef] = ACTIONS(6901),
    [anon_sym_BSLASHlet] = ACTIONS(6901),
    [anon_sym_BSLASHglet] = ACTIONS(6901),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6901),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6901),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6901),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6901),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6901),
    [anon_sym_BSLASHgls] = ACTIONS(6901),
    [anon_sym_BSLASHGls] = ACTIONS(6901),
    [anon_sym_BSLASHGLS] = ACTIONS(6901),
    [anon_sym_BSLASHglspl] = ACTIONS(6901),
    [anon_sym_BSLASHGlspl] = ACTIONS(6901),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6901),
    [anon_sym_BSLASHglslink] = ACTIONS(6901),
    [anon_sym_BSLASHglstext] = ACTIONS(6901),
    [anon_sym_BSLASHGlstext] = ACTIONS(6901),
    [anon_sym_BSLASHGLStext] = ACTIONS(6901),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6901),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6901),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6901),
    [anon_sym_BSLASHglsplural] = ACTIONS(6901),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6901),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6901),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHglsname] = ACTIONS(6901),
    [anon_sym_BSLASHGlsname] = ACTIONS(6901),
    [anon_sym_BSLASHGLSname] = ACTIONS(6901),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6901),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6901),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6901),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6901),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6901),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6901),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6901),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6901),
    [anon_sym_BSLASHacrshort] = ACTIONS(6901),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6901),
    [anon_sym_BSLASHACRshort] = ACTIONS(6901),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHacrlong] = ACTIONS(6901),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6901),
    [anon_sym_BSLASHACRlong] = ACTIONS(6901),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHacrfull] = ACTIONS(6901),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6901),
    [anon_sym_BSLASHACRfull] = ACTIONS(6901),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHacs] = ACTIONS(6901),
    [anon_sym_BSLASHAcs] = ACTIONS(6901),
    [anon_sym_BSLASHacsp] = ACTIONS(6901),
    [anon_sym_BSLASHAcsp] = ACTIONS(6901),
    [anon_sym_BSLASHacl] = ACTIONS(6901),
    [anon_sym_BSLASHAcl] = ACTIONS(6901),
    [anon_sym_BSLASHaclp] = ACTIONS(6901),
    [anon_sym_BSLASHAclp] = ACTIONS(6901),
    [anon_sym_BSLASHacf] = ACTIONS(6901),
    [anon_sym_BSLASHAcf] = ACTIONS(6901),
    [anon_sym_BSLASHacfp] = ACTIONS(6901),
    [anon_sym_BSLASHAcfp] = ACTIONS(6901),
    [anon_sym_BSLASHac] = ACTIONS(6901),
    [anon_sym_BSLASHAc] = ACTIONS(6901),
    [anon_sym_BSLASHacp] = ACTIONS(6901),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6901),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6901),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6901),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6901),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6901),
    [anon_sym_BSLASHcolor] = ACTIONS(6901),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6901),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6901),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6901),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6901),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6901),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6901),
    [anon_sym_BSLASHurl] = ACTIONS(6901),
    [anon_sym_BSLASHhref] = ACTIONS(6901),
  },
  [965] = {
    [sym_curly_group] = STATE(1431),
    [aux_sym_generic_command_repeat1] = STATE(974),
    [sym_command_name] = ACTIONS(6901),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6901),
    [anon_sym_LBRACK] = ACTIONS(6903),
    [anon_sym_RBRACK] = ACTIONS(6903),
    [anon_sym_COMMA] = ACTIONS(6903),
    [anon_sym_EQ] = ACTIONS(6903),
    [anon_sym_LPAREN] = ACTIONS(6903),
    [anon_sym_RPAREN] = ACTIONS(6903),
    [anon_sym_BSLASHpart] = ACTIONS(6901),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHaddpart] = ACTIONS(6901),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHchapter] = ACTIONS(6901),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHaddchap] = ACTIONS(6901),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHsection] = ACTIONS(6901),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHaddsec] = ACTIONS(6901),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHsubsection] = ACTIONS(6901),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6901),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHparagraph] = ACTIONS(6901),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6901),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHitem] = ACTIONS(6901),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6903),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(6901),
    [sym_placeholder] = ACTIONS(6903),
    [sym_delimiter] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6903),
    [anon_sym_DASH] = ACTIONS(6903),
    [anon_sym_STAR] = ACTIONS(6903),
    [anon_sym_SLASH] = ACTIONS(6903),
    [anon_sym_LT] = ACTIONS(6901),
    [anon_sym_GT] = ACTIONS(6901),
    [anon_sym_BANG] = ACTIONS(6901),
    [anon_sym_PIPE] = ACTIONS(6901),
    [anon_sym_COLON] = ACTIONS(6901),
    [anon_sym_SQUOTE] = ACTIONS(6901),
    [anon_sym__] = ACTIONS(6903),
    [anon_sym_CARET] = ACTIONS(6903),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6903),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6903),
    [anon_sym_DOLLAR] = ACTIONS(6901),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6903),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6903),
    [anon_sym_BSLASHleft] = ACTIONS(6901),
    [anon_sym_BSLASHbigl] = ACTIONS(6901),
    [anon_sym_BSLASHBigl] = ACTIONS(6901),
    [anon_sym_BSLASHbiggl] = ACTIONS(6901),
    [anon_sym_BSLASHBiggl] = ACTIONS(6901),
    [anon_sym_BSLASHtext] = ACTIONS(6901),
    [anon_sym_BSLASHintertext] = ACTIONS(6901),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6901),
    [anon_sym_BSLASHbegin] = ACTIONS(6901),
    [anon_sym_BSLASHtitle] = ACTIONS(6901),
    [anon_sym_BSLASHauthor] = ACTIONS(6901),
    [anon_sym_BSLASHusepackage] = ACTIONS(6901),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6901),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6901),
    [anon_sym_BSLASHinclude] = ACTIONS(6901),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6901),
    [anon_sym_BSLASHinput] = ACTIONS(6901),
    [anon_sym_BSLASHsubfile] = ACTIONS(6901),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6901),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6901),
    [anon_sym_BSLASHbibliography] = ACTIONS(6901),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6901),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6901),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6901),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6901),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6901),
    [anon_sym_BSLASHimport] = ACTIONS(6901),
    [anon_sym_BSLASHsubimport] = ACTIONS(6901),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6901),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6901),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6901),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6901),
    [anon_sym_BSLASHcaption] = ACTIONS(6901),
    [anon_sym_BSLASHcite] = ACTIONS(6901),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCite] = ACTIONS(6901),
    [anon_sym_BSLASHnocite] = ACTIONS(6901),
    [anon_sym_BSLASHcitet] = ACTIONS(6901),
    [anon_sym_BSLASHcitep] = ACTIONS(6901),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteA] = ACTIONS(6901),
    [anon_sym_BSLASHciteR] = ACTIONS(6901),
    [anon_sym_BSLASHciteS] = ACTIONS(6901),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6901),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6901),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6901),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6901),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteyear] = ACTIONS(6901),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitedate] = ACTIONS(6901),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteurl] = ACTIONS(6901),
    [anon_sym_BSLASHfullcite] = ACTIONS(6901),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6901),
    [anon_sym_BSLASHcitealt] = ACTIONS(6901),
    [anon_sym_BSLASHcitealp] = ACTIONS(6901),
    [anon_sym_BSLASHcitetext] = ACTIONS(6901),
    [anon_sym_BSLASHparencite] = ACTIONS(6901),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHParencite] = ACTIONS(6901),
    [anon_sym_BSLASHfootcite] = ACTIONS(6901),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6901),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6901),
    [anon_sym_BSLASHtextcite] = ACTIONS(6901),
    [anon_sym_BSLASHTextcite] = ACTIONS(6901),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6901),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6901),
    [anon_sym_BSLASHsupercite] = ACTIONS(6901),
    [anon_sym_BSLASHautocite] = ACTIONS(6901),
    [anon_sym_BSLASHAutocite] = ACTIONS(6901),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHVolcite] = ACTIONS(6901),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHavolcite] = ACTIONS(6901),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHNotecite] = ACTIONS(6901),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHlabel] = ACTIONS(6901),
    [anon_sym_BSLASHref] = ACTIONS(6901),
    [anon_sym_BSLASHeqref] = ACTIONS(6901),
    [anon_sym_BSLASHvref] = ACTIONS(6901),
    [anon_sym_BSLASHVref] = ACTIONS(6901),
    [anon_sym_BSLASHautoref] = ACTIONS(6901),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHpageref] = ACTIONS(6901),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHautopageref] = ACTIONS(6901),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcref] = ACTIONS(6901),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCref] = ACTIONS(6901),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcpageref] = ACTIONS(6901),
    [anon_sym_BSLASHCpageref] = ACTIONS(6901),
    [anon_sym_BSLASHnamecref] = ACTIONS(6901),
    [anon_sym_BSLASHnameCref] = ACTIONS(6901),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6901),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6901),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6901),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6901),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6901),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6901),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6901),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6901),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6901),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6901),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6901),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHdef] = ACTIONS(6901),
    [anon_sym_BSLASHgdef] = ACTIONS(6901),
    [anon_sym_BSLASHedef] = ACTIONS(6901),
    [anon_sym_BSLASHxdef] = ACTIONS(6901),
    [anon_sym_BSLASHlet] = ACTIONS(6901),
    [anon_sym_BSLASHglet] = ACTIONS(6901),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6901),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6901),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6901),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6901),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6901),
    [anon_sym_BSLASHgls] = ACTIONS(6901),
    [anon_sym_BSLASHGls] = ACTIONS(6901),
    [anon_sym_BSLASHGLS] = ACTIONS(6901),
    [anon_sym_BSLASHglspl] = ACTIONS(6901),
    [anon_sym_BSLASHGlspl] = ACTIONS(6901),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6901),
    [anon_sym_BSLASHglslink] = ACTIONS(6901),
    [anon_sym_BSLASHglstext] = ACTIONS(6901),
    [anon_sym_BSLASHGlstext] = ACTIONS(6901),
    [anon_sym_BSLASHGLStext] = ACTIONS(6901),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6901),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6901),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6901),
    [anon_sym_BSLASHglsplural] = ACTIONS(6901),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6901),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6901),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHglsname] = ACTIONS(6901),
    [anon_sym_BSLASHGlsname] = ACTIONS(6901),
    [anon_sym_BSLASHGLSname] = ACTIONS(6901),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6901),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6901),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6901),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6901),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6901),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6901),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6901),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6901),
    [anon_sym_BSLASHacrshort] = ACTIONS(6901),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6901),
    [anon_sym_BSLASHACRshort] = ACTIONS(6901),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHacrlong] = ACTIONS(6901),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6901),
    [anon_sym_BSLASHACRlong] = ACTIONS(6901),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHacrfull] = ACTIONS(6901),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6901),
    [anon_sym_BSLASHACRfull] = ACTIONS(6901),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHacs] = ACTIONS(6901),
    [anon_sym_BSLASHAcs] = ACTIONS(6901),
    [anon_sym_BSLASHacsp] = ACTIONS(6901),
    [anon_sym_BSLASHAcsp] = ACTIONS(6901),
    [anon_sym_BSLASHacl] = ACTIONS(6901),
    [anon_sym_BSLASHAcl] = ACTIONS(6901),
    [anon_sym_BSLASHaclp] = ACTIONS(6901),
    [anon_sym_BSLASHAclp] = ACTIONS(6901),
    [anon_sym_BSLASHacf] = ACTIONS(6901),
    [anon_sym_BSLASHAcf] = ACTIONS(6901),
    [anon_sym_BSLASHacfp] = ACTIONS(6901),
    [anon_sym_BSLASHAcfp] = ACTIONS(6901),
    [anon_sym_BSLASHac] = ACTIONS(6901),
    [anon_sym_BSLASHAc] = ACTIONS(6901),
    [anon_sym_BSLASHacp] = ACTIONS(6901),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6901),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6901),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6901),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6901),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6901),
    [anon_sym_BSLASHcolor] = ACTIONS(6901),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6901),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6901),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6901),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6901),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6901),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6901),
    [anon_sym_BSLASHurl] = ACTIONS(6901),
    [anon_sym_BSLASHhref] = ACTIONS(6901),
  },
  [966] = {
    [sym_curly_group] = STATE(1018),
    [sym_brack_group_text] = STATE(3367),
    [sym_command_name] = ACTIONS(6905),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6905),
    [anon_sym_LBRACK] = ACTIONS(6883),
    [anon_sym_RBRACK] = ACTIONS(6907),
    [anon_sym_COMMA] = ACTIONS(6907),
    [anon_sym_EQ] = ACTIONS(6907),
    [anon_sym_LPAREN] = ACTIONS(6907),
    [anon_sym_RPAREN] = ACTIONS(6907),
    [anon_sym_BSLASHpart] = ACTIONS(6905),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHaddpart] = ACTIONS(6905),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHchapter] = ACTIONS(6905),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHaddchap] = ACTIONS(6905),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHsection] = ACTIONS(6905),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHaddsec] = ACTIONS(6905),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHsubsection] = ACTIONS(6905),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6905),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHparagraph] = ACTIONS(6905),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6905),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHitem] = ACTIONS(6905),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6907),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(6905),
    [sym_placeholder] = ACTIONS(6907),
    [sym_delimiter] = ACTIONS(6907),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_STAR] = ACTIONS(6907),
    [anon_sym_SLASH] = ACTIONS(6907),
    [anon_sym_LT] = ACTIONS(6905),
    [anon_sym_GT] = ACTIONS(6905),
    [anon_sym_BANG] = ACTIONS(6905),
    [anon_sym_PIPE] = ACTIONS(6905),
    [anon_sym_COLON] = ACTIONS(6905),
    [anon_sym_SQUOTE] = ACTIONS(6905),
    [anon_sym__] = ACTIONS(6907),
    [anon_sym_CARET] = ACTIONS(6907),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6907),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6907),
    [anon_sym_DOLLAR] = ACTIONS(6905),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6907),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6907),
    [anon_sym_BSLASHleft] = ACTIONS(6905),
    [anon_sym_BSLASHbigl] = ACTIONS(6905),
    [anon_sym_BSLASHBigl] = ACTIONS(6905),
    [anon_sym_BSLASHbiggl] = ACTIONS(6905),
    [anon_sym_BSLASHBiggl] = ACTIONS(6905),
    [anon_sym_BSLASHtext] = ACTIONS(6905),
    [anon_sym_BSLASHintertext] = ACTIONS(6905),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6905),
    [anon_sym_BSLASHbegin] = ACTIONS(6905),
    [anon_sym_BSLASHtitle] = ACTIONS(6905),
    [anon_sym_BSLASHauthor] = ACTIONS(6905),
    [anon_sym_BSLASHusepackage] = ACTIONS(6905),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6905),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6905),
    [anon_sym_BSLASHinclude] = ACTIONS(6905),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6905),
    [anon_sym_BSLASHinput] = ACTIONS(6905),
    [anon_sym_BSLASHsubfile] = ACTIONS(6905),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6905),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6905),
    [anon_sym_BSLASHbibliography] = ACTIONS(6905),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6905),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6905),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6905),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6905),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6905),
    [anon_sym_BSLASHimport] = ACTIONS(6905),
    [anon_sym_BSLASHsubimport] = ACTIONS(6905),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6905),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6905),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6905),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6905),
    [anon_sym_BSLASHcaption] = ACTIONS(6905),
    [anon_sym_BSLASHcite] = ACTIONS(6905),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCite] = ACTIONS(6905),
    [anon_sym_BSLASHnocite] = ACTIONS(6905),
    [anon_sym_BSLASHcitet] = ACTIONS(6905),
    [anon_sym_BSLASHcitep] = ACTIONS(6905),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteA] = ACTIONS(6905),
    [anon_sym_BSLASHciteR] = ACTIONS(6905),
    [anon_sym_BSLASHciteS] = ACTIONS(6905),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6905),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6905),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6905),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6905),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteyear] = ACTIONS(6905),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitedate] = ACTIONS(6905),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteurl] = ACTIONS(6905),
    [anon_sym_BSLASHfullcite] = ACTIONS(6905),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6905),
    [anon_sym_BSLASHcitealt] = ACTIONS(6905),
    [anon_sym_BSLASHcitealp] = ACTIONS(6905),
    [anon_sym_BSLASHcitetext] = ACTIONS(6905),
    [anon_sym_BSLASHparencite] = ACTIONS(6905),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHParencite] = ACTIONS(6905),
    [anon_sym_BSLASHfootcite] = ACTIONS(6905),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6905),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6905),
    [anon_sym_BSLASHtextcite] = ACTIONS(6905),
    [anon_sym_BSLASHTextcite] = ACTIONS(6905),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6905),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6905),
    [anon_sym_BSLASHsupercite] = ACTIONS(6905),
    [anon_sym_BSLASHautocite] = ACTIONS(6905),
    [anon_sym_BSLASHAutocite] = ACTIONS(6905),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHVolcite] = ACTIONS(6905),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHavolcite] = ACTIONS(6905),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHNotecite] = ACTIONS(6905),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHlabel] = ACTIONS(6905),
    [anon_sym_BSLASHref] = ACTIONS(6905),
    [anon_sym_BSLASHeqref] = ACTIONS(6905),
    [anon_sym_BSLASHvref] = ACTIONS(6905),
    [anon_sym_BSLASHVref] = ACTIONS(6905),
    [anon_sym_BSLASHautoref] = ACTIONS(6905),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHpageref] = ACTIONS(6905),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHautopageref] = ACTIONS(6905),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcref] = ACTIONS(6905),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCref] = ACTIONS(6905),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcpageref] = ACTIONS(6905),
    [anon_sym_BSLASHCpageref] = ACTIONS(6905),
    [anon_sym_BSLASHnamecref] = ACTIONS(6905),
    [anon_sym_BSLASHnameCref] = ACTIONS(6905),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6905),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6905),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6905),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6905),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6905),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6905),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6905),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6905),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6905),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6905),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6905),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHdef] = ACTIONS(6905),
    [anon_sym_BSLASHgdef] = ACTIONS(6905),
    [anon_sym_BSLASHedef] = ACTIONS(6905),
    [anon_sym_BSLASHxdef] = ACTIONS(6905),
    [anon_sym_BSLASHlet] = ACTIONS(6905),
    [anon_sym_BSLASHglet] = ACTIONS(6905),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6905),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6905),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6905),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6905),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6905),
    [anon_sym_BSLASHgls] = ACTIONS(6905),
    [anon_sym_BSLASHGls] = ACTIONS(6905),
    [anon_sym_BSLASHGLS] = ACTIONS(6905),
    [anon_sym_BSLASHglspl] = ACTIONS(6905),
    [anon_sym_BSLASHGlspl] = ACTIONS(6905),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6905),
    [anon_sym_BSLASHglslink] = ACTIONS(6905),
    [anon_sym_BSLASHglstext] = ACTIONS(6905),
    [anon_sym_BSLASHGlstext] = ACTIONS(6905),
    [anon_sym_BSLASHGLStext] = ACTIONS(6905),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6905),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6905),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6905),
    [anon_sym_BSLASHglsplural] = ACTIONS(6905),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6905),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6905),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHglsname] = ACTIONS(6905),
    [anon_sym_BSLASHGlsname] = ACTIONS(6905),
    [anon_sym_BSLASHGLSname] = ACTIONS(6905),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6905),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6905),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6905),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6905),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6905),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6905),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6905),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6905),
    [anon_sym_BSLASHacrshort] = ACTIONS(6905),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6905),
    [anon_sym_BSLASHACRshort] = ACTIONS(6905),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHacrlong] = ACTIONS(6905),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6905),
    [anon_sym_BSLASHACRlong] = ACTIONS(6905),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHacrfull] = ACTIONS(6905),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6905),
    [anon_sym_BSLASHACRfull] = ACTIONS(6905),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHacs] = ACTIONS(6905),
    [anon_sym_BSLASHAcs] = ACTIONS(6905),
    [anon_sym_BSLASHacsp] = ACTIONS(6905),
    [anon_sym_BSLASHAcsp] = ACTIONS(6905),
    [anon_sym_BSLASHacl] = ACTIONS(6905),
    [anon_sym_BSLASHAcl] = ACTIONS(6905),
    [anon_sym_BSLASHaclp] = ACTIONS(6905),
    [anon_sym_BSLASHAclp] = ACTIONS(6905),
    [anon_sym_BSLASHacf] = ACTIONS(6905),
    [anon_sym_BSLASHAcf] = ACTIONS(6905),
    [anon_sym_BSLASHacfp] = ACTIONS(6905),
    [anon_sym_BSLASHAcfp] = ACTIONS(6905),
    [anon_sym_BSLASHac] = ACTIONS(6905),
    [anon_sym_BSLASHAc] = ACTIONS(6905),
    [anon_sym_BSLASHacp] = ACTIONS(6905),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6905),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6905),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6905),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6905),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6905),
    [anon_sym_BSLASHcolor] = ACTIONS(6905),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6905),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6905),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6905),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6905),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6905),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6905),
    [anon_sym_BSLASHurl] = ACTIONS(6905),
    [anon_sym_BSLASHhref] = ACTIONS(6905),
  },
  [967] = {
    [sym_command_name] = ACTIONS(6871),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6871),
    [anon_sym_BSLASHfi] = ACTIONS(7771),
    [anon_sym_LBRACK] = ACTIONS(6875),
    [anon_sym_RBRACK] = ACTIONS(6875),
    [anon_sym_COMMA] = ACTIONS(6875),
    [anon_sym_EQ] = ACTIONS(6875),
    [anon_sym_LPAREN] = ACTIONS(6875),
    [anon_sym_RPAREN] = ACTIONS(6875),
    [anon_sym_BSLASHpart] = ACTIONS(6871),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHaddpart] = ACTIONS(6871),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHchapter] = ACTIONS(6871),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHaddchap] = ACTIONS(6871),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHsection] = ACTIONS(6871),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHaddsec] = ACTIONS(6871),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHsubsection] = ACTIONS(6871),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6871),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHparagraph] = ACTIONS(6871),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6871),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHitem] = ACTIONS(6871),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6875),
    [anon_sym_LBRACE] = ACTIONS(6875),
    [sym_word] = ACTIONS(6871),
    [sym_placeholder] = ACTIONS(6875),
    [sym_delimiter] = ACTIONS(6875),
    [anon_sym_PLUS] = ACTIONS(6875),
    [anon_sym_DASH] = ACTIONS(6875),
    [anon_sym_STAR] = ACTIONS(6875),
    [anon_sym_SLASH] = ACTIONS(6875),
    [anon_sym_LT] = ACTIONS(6871),
    [anon_sym_GT] = ACTIONS(6871),
    [anon_sym_BANG] = ACTIONS(6871),
    [anon_sym_PIPE] = ACTIONS(6871),
    [anon_sym_COLON] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6871),
    [anon_sym__] = ACTIONS(6875),
    [anon_sym_CARET] = ACTIONS(6875),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6875),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6875),
    [anon_sym_DOLLAR] = ACTIONS(6871),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6875),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6875),
    [anon_sym_BSLASHleft] = ACTIONS(6871),
    [anon_sym_BSLASHbigl] = ACTIONS(6871),
    [anon_sym_BSLASHBigl] = ACTIONS(6871),
    [anon_sym_BSLASHbiggl] = ACTIONS(6871),
    [anon_sym_BSLASHBiggl] = ACTIONS(6871),
    [anon_sym_BSLASHtext] = ACTIONS(6871),
    [anon_sym_BSLASHintertext] = ACTIONS(6871),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6871),
    [anon_sym_BSLASHbegin] = ACTIONS(6871),
    [anon_sym_BSLASHtitle] = ACTIONS(6871),
    [anon_sym_BSLASHauthor] = ACTIONS(6871),
    [anon_sym_BSLASHusepackage] = ACTIONS(6871),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6871),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6871),
    [anon_sym_BSLASHinclude] = ACTIONS(6871),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6871),
    [anon_sym_BSLASHinput] = ACTIONS(6871),
    [anon_sym_BSLASHsubfile] = ACTIONS(6871),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6871),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6871),
    [anon_sym_BSLASHbibliography] = ACTIONS(6871),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6871),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6871),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6871),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6871),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6871),
    [anon_sym_BSLASHimport] = ACTIONS(6871),
    [anon_sym_BSLASHsubimport] = ACTIONS(6871),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6871),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6871),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6871),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6871),
    [anon_sym_BSLASHcaption] = ACTIONS(6871),
    [anon_sym_BSLASHcite] = ACTIONS(6871),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCite] = ACTIONS(6871),
    [anon_sym_BSLASHnocite] = ACTIONS(6871),
    [anon_sym_BSLASHcitet] = ACTIONS(6871),
    [anon_sym_BSLASHcitep] = ACTIONS(6871),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteA] = ACTIONS(6871),
    [anon_sym_BSLASHciteR] = ACTIONS(6871),
    [anon_sym_BSLASHciteS] = ACTIONS(6871),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6871),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6871),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6871),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6871),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteyear] = ACTIONS(6871),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitedate] = ACTIONS(6871),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteurl] = ACTIONS(6871),
    [anon_sym_BSLASHfullcite] = ACTIONS(6871),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6871),
    [anon_sym_BSLASHcitealt] = ACTIONS(6871),
    [anon_sym_BSLASHcitealp] = ACTIONS(6871),
    [anon_sym_BSLASHcitetext] = ACTIONS(6871),
    [anon_sym_BSLASHparencite] = ACTIONS(6871),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHParencite] = ACTIONS(6871),
    [anon_sym_BSLASHfootcite] = ACTIONS(6871),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6871),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6871),
    [anon_sym_BSLASHtextcite] = ACTIONS(6871),
    [anon_sym_BSLASHTextcite] = ACTIONS(6871),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6871),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6871),
    [anon_sym_BSLASHsupercite] = ACTIONS(6871),
    [anon_sym_BSLASHautocite] = ACTIONS(6871),
    [anon_sym_BSLASHAutocite] = ACTIONS(6871),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHVolcite] = ACTIONS(6871),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHavolcite] = ACTIONS(6871),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHNotecite] = ACTIONS(6871),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHlabel] = ACTIONS(6871),
    [anon_sym_BSLASHref] = ACTIONS(6871),
    [anon_sym_BSLASHeqref] = ACTIONS(6871),
    [anon_sym_BSLASHvref] = ACTIONS(6871),
    [anon_sym_BSLASHVref] = ACTIONS(6871),
    [anon_sym_BSLASHautoref] = ACTIONS(6871),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHpageref] = ACTIONS(6871),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHautopageref] = ACTIONS(6871),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcref] = ACTIONS(6871),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCref] = ACTIONS(6871),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcpageref] = ACTIONS(6871),
    [anon_sym_BSLASHCpageref] = ACTIONS(6871),
    [anon_sym_BSLASHnamecref] = ACTIONS(6871),
    [anon_sym_BSLASHnameCref] = ACTIONS(6871),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6871),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6871),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6871),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6871),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6871),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6871),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6871),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6871),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6871),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6871),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6871),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHdef] = ACTIONS(6871),
    [anon_sym_BSLASHgdef] = ACTIONS(6871),
    [anon_sym_BSLASHedef] = ACTIONS(6871),
    [anon_sym_BSLASHxdef] = ACTIONS(6871),
    [anon_sym_BSLASHlet] = ACTIONS(6871),
    [anon_sym_BSLASHglet] = ACTIONS(6871),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6871),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6871),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6871),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6871),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6871),
    [anon_sym_BSLASHgls] = ACTIONS(6871),
    [anon_sym_BSLASHGls] = ACTIONS(6871),
    [anon_sym_BSLASHGLS] = ACTIONS(6871),
    [anon_sym_BSLASHglspl] = ACTIONS(6871),
    [anon_sym_BSLASHGlspl] = ACTIONS(6871),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6871),
    [anon_sym_BSLASHglslink] = ACTIONS(6871),
    [anon_sym_BSLASHglstext] = ACTIONS(6871),
    [anon_sym_BSLASHGlstext] = ACTIONS(6871),
    [anon_sym_BSLASHGLStext] = ACTIONS(6871),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6871),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6871),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6871),
    [anon_sym_BSLASHglsplural] = ACTIONS(6871),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6871),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6871),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHglsname] = ACTIONS(6871),
    [anon_sym_BSLASHGlsname] = ACTIONS(6871),
    [anon_sym_BSLASHGLSname] = ACTIONS(6871),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6871),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6871),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6871),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6871),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6871),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6871),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6871),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6871),
    [anon_sym_BSLASHacrshort] = ACTIONS(6871),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6871),
    [anon_sym_BSLASHACRshort] = ACTIONS(6871),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHacrlong] = ACTIONS(6871),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6871),
    [anon_sym_BSLASHACRlong] = ACTIONS(6871),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHacrfull] = ACTIONS(6871),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6871),
    [anon_sym_BSLASHACRfull] = ACTIONS(6871),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHacs] = ACTIONS(6871),
    [anon_sym_BSLASHAcs] = ACTIONS(6871),
    [anon_sym_BSLASHacsp] = ACTIONS(6871),
    [anon_sym_BSLASHAcsp] = ACTIONS(6871),
    [anon_sym_BSLASHacl] = ACTIONS(6871),
    [anon_sym_BSLASHAcl] = ACTIONS(6871),
    [anon_sym_BSLASHaclp] = ACTIONS(6871),
    [anon_sym_BSLASHAclp] = ACTIONS(6871),
    [anon_sym_BSLASHacf] = ACTIONS(6871),
    [anon_sym_BSLASHAcf] = ACTIONS(6871),
    [anon_sym_BSLASHacfp] = ACTIONS(6871),
    [anon_sym_BSLASHAcfp] = ACTIONS(6871),
    [anon_sym_BSLASHac] = ACTIONS(6871),
    [anon_sym_BSLASHAc] = ACTIONS(6871),
    [anon_sym_BSLASHacp] = ACTIONS(6871),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6871),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6871),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6871),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6871),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6871),
    [anon_sym_BSLASHcolor] = ACTIONS(6871),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6871),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6871),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6871),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6871),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6871),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6871),
    [anon_sym_BSLASHurl] = ACTIONS(6871),
    [anon_sym_BSLASHhref] = ACTIONS(6871),
    [sym__trivia_raw_fi] = ACTIONS(7773),
  },
  [968] = {
    [sym_curly_group] = STATE(979),
    [sym_brack_group_text] = STATE(2765),
    [sym_command_name] = ACTIONS(6905),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6905),
    [anon_sym_LBRACK] = ACTIONS(6883),
    [anon_sym_RBRACK] = ACTIONS(6907),
    [anon_sym_COMMA] = ACTIONS(6907),
    [anon_sym_EQ] = ACTIONS(6907),
    [anon_sym_LPAREN] = ACTIONS(6907),
    [anon_sym_RPAREN] = ACTIONS(6907),
    [anon_sym_BSLASHpart] = ACTIONS(6905),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHaddpart] = ACTIONS(6905),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHchapter] = ACTIONS(6905),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHaddchap] = ACTIONS(6905),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHsection] = ACTIONS(6905),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHaddsec] = ACTIONS(6905),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHsubsection] = ACTIONS(6905),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6905),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHparagraph] = ACTIONS(6905),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6905),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHitem] = ACTIONS(6905),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6907),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(6905),
    [sym_placeholder] = ACTIONS(6907),
    [sym_delimiter] = ACTIONS(6907),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_STAR] = ACTIONS(6907),
    [anon_sym_SLASH] = ACTIONS(6907),
    [anon_sym_LT] = ACTIONS(6905),
    [anon_sym_GT] = ACTIONS(6905),
    [anon_sym_BANG] = ACTIONS(6905),
    [anon_sym_PIPE] = ACTIONS(6905),
    [anon_sym_COLON] = ACTIONS(6905),
    [anon_sym_SQUOTE] = ACTIONS(6905),
    [anon_sym__] = ACTIONS(6907),
    [anon_sym_CARET] = ACTIONS(6907),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6907),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6907),
    [anon_sym_DOLLAR] = ACTIONS(6905),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6907),
    [anon_sym_BSLASHleft] = ACTIONS(6905),
    [anon_sym_BSLASHbigl] = ACTIONS(6905),
    [anon_sym_BSLASHBigl] = ACTIONS(6905),
    [anon_sym_BSLASHbiggl] = ACTIONS(6905),
    [anon_sym_BSLASHBiggl] = ACTIONS(6905),
    [anon_sym_BSLASHtext] = ACTIONS(6905),
    [anon_sym_BSLASHintertext] = ACTIONS(6905),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6905),
    [anon_sym_BSLASHbegin] = ACTIONS(6905),
    [anon_sym_BSLASHend] = ACTIONS(6905),
    [anon_sym_BSLASHtitle] = ACTIONS(6905),
    [anon_sym_BSLASHauthor] = ACTIONS(6905),
    [anon_sym_BSLASHusepackage] = ACTIONS(6905),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6905),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6905),
    [anon_sym_BSLASHinclude] = ACTIONS(6905),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6905),
    [anon_sym_BSLASHinput] = ACTIONS(6905),
    [anon_sym_BSLASHsubfile] = ACTIONS(6905),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6905),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6905),
    [anon_sym_BSLASHbibliography] = ACTIONS(6905),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6905),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6905),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6905),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6905),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6905),
    [anon_sym_BSLASHimport] = ACTIONS(6905),
    [anon_sym_BSLASHsubimport] = ACTIONS(6905),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6905),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6905),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6905),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6905),
    [anon_sym_BSLASHcaption] = ACTIONS(6905),
    [anon_sym_BSLASHcite] = ACTIONS(6905),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCite] = ACTIONS(6905),
    [anon_sym_BSLASHnocite] = ACTIONS(6905),
    [anon_sym_BSLASHcitet] = ACTIONS(6905),
    [anon_sym_BSLASHcitep] = ACTIONS(6905),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteA] = ACTIONS(6905),
    [anon_sym_BSLASHciteR] = ACTIONS(6905),
    [anon_sym_BSLASHciteS] = ACTIONS(6905),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6905),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6905),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6905),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6905),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteyear] = ACTIONS(6905),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitedate] = ACTIONS(6905),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteurl] = ACTIONS(6905),
    [anon_sym_BSLASHfullcite] = ACTIONS(6905),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6905),
    [anon_sym_BSLASHcitealt] = ACTIONS(6905),
    [anon_sym_BSLASHcitealp] = ACTIONS(6905),
    [anon_sym_BSLASHcitetext] = ACTIONS(6905),
    [anon_sym_BSLASHparencite] = ACTIONS(6905),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHParencite] = ACTIONS(6905),
    [anon_sym_BSLASHfootcite] = ACTIONS(6905),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6905),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6905),
    [anon_sym_BSLASHtextcite] = ACTIONS(6905),
    [anon_sym_BSLASHTextcite] = ACTIONS(6905),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6905),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6905),
    [anon_sym_BSLASHsupercite] = ACTIONS(6905),
    [anon_sym_BSLASHautocite] = ACTIONS(6905),
    [anon_sym_BSLASHAutocite] = ACTIONS(6905),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHVolcite] = ACTIONS(6905),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHavolcite] = ACTIONS(6905),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHNotecite] = ACTIONS(6905),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHlabel] = ACTIONS(6905),
    [anon_sym_BSLASHref] = ACTIONS(6905),
    [anon_sym_BSLASHeqref] = ACTIONS(6905),
    [anon_sym_BSLASHvref] = ACTIONS(6905),
    [anon_sym_BSLASHVref] = ACTIONS(6905),
    [anon_sym_BSLASHautoref] = ACTIONS(6905),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHpageref] = ACTIONS(6905),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHautopageref] = ACTIONS(6905),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcref] = ACTIONS(6905),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCref] = ACTIONS(6905),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcpageref] = ACTIONS(6905),
    [anon_sym_BSLASHCpageref] = ACTIONS(6905),
    [anon_sym_BSLASHnamecref] = ACTIONS(6905),
    [anon_sym_BSLASHnameCref] = ACTIONS(6905),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6905),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6905),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6905),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6905),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6905),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6905),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6905),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6905),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6905),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6905),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6905),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHdef] = ACTIONS(6905),
    [anon_sym_BSLASHgdef] = ACTIONS(6905),
    [anon_sym_BSLASHedef] = ACTIONS(6905),
    [anon_sym_BSLASHxdef] = ACTIONS(6905),
    [anon_sym_BSLASHlet] = ACTIONS(6905),
    [anon_sym_BSLASHglet] = ACTIONS(6905),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6905),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6905),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6905),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6905),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6905),
    [anon_sym_BSLASHgls] = ACTIONS(6905),
    [anon_sym_BSLASHGls] = ACTIONS(6905),
    [anon_sym_BSLASHGLS] = ACTIONS(6905),
    [anon_sym_BSLASHglspl] = ACTIONS(6905),
    [anon_sym_BSLASHGlspl] = ACTIONS(6905),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6905),
    [anon_sym_BSLASHglslink] = ACTIONS(6905),
    [anon_sym_BSLASHglstext] = ACTIONS(6905),
    [anon_sym_BSLASHGlstext] = ACTIONS(6905),
    [anon_sym_BSLASHGLStext] = ACTIONS(6905),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6905),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6905),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6905),
    [anon_sym_BSLASHglsplural] = ACTIONS(6905),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6905),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6905),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHglsname] = ACTIONS(6905),
    [anon_sym_BSLASHGlsname] = ACTIONS(6905),
    [anon_sym_BSLASHGLSname] = ACTIONS(6905),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6905),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6905),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6905),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6905),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6905),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6905),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6905),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6905),
    [anon_sym_BSLASHacrshort] = ACTIONS(6905),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6905),
    [anon_sym_BSLASHACRshort] = ACTIONS(6905),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHacrlong] = ACTIONS(6905),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6905),
    [anon_sym_BSLASHACRlong] = ACTIONS(6905),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHacrfull] = ACTIONS(6905),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6905),
    [anon_sym_BSLASHACRfull] = ACTIONS(6905),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHacs] = ACTIONS(6905),
    [anon_sym_BSLASHAcs] = ACTIONS(6905),
    [anon_sym_BSLASHacsp] = ACTIONS(6905),
    [anon_sym_BSLASHAcsp] = ACTIONS(6905),
    [anon_sym_BSLASHacl] = ACTIONS(6905),
    [anon_sym_BSLASHAcl] = ACTIONS(6905),
    [anon_sym_BSLASHaclp] = ACTIONS(6905),
    [anon_sym_BSLASHAclp] = ACTIONS(6905),
    [anon_sym_BSLASHacf] = ACTIONS(6905),
    [anon_sym_BSLASHAcf] = ACTIONS(6905),
    [anon_sym_BSLASHacfp] = ACTIONS(6905),
    [anon_sym_BSLASHAcfp] = ACTIONS(6905),
    [anon_sym_BSLASHac] = ACTIONS(6905),
    [anon_sym_BSLASHAc] = ACTIONS(6905),
    [anon_sym_BSLASHacp] = ACTIONS(6905),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6905),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6905),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6905),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6905),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6905),
    [anon_sym_BSLASHcolor] = ACTIONS(6905),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6905),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6905),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6905),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6905),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6905),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6905),
    [anon_sym_BSLASHurl] = ACTIONS(6905),
    [anon_sym_BSLASHhref] = ACTIONS(6905),
  },
  [969] = {
    [sym_curly_group] = STATE(1098),
    [ts_builtin_sym_end] = ACTIONS(6925),
    [sym_command_name] = ACTIONS(6923),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6923),
    [anon_sym_LBRACK] = ACTIONS(6925),
    [anon_sym_RBRACK] = ACTIONS(6925),
    [anon_sym_COMMA] = ACTIONS(6925),
    [anon_sym_EQ] = ACTIONS(6925),
    [anon_sym_LPAREN] = ACTIONS(6925),
    [anon_sym_RPAREN] = ACTIONS(6925),
    [anon_sym_BSLASHpart] = ACTIONS(6923),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHaddpart] = ACTIONS(6923),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHchapter] = ACTIONS(6923),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHaddchap] = ACTIONS(6923),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHsection] = ACTIONS(6923),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHaddsec] = ACTIONS(6923),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHsubsection] = ACTIONS(6923),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6923),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHparagraph] = ACTIONS(6923),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6923),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHitem] = ACTIONS(6923),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6925),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(6925),
    [sym_word] = ACTIONS(6923),
    [sym_placeholder] = ACTIONS(6925),
    [sym_delimiter] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6925),
    [anon_sym_DASH] = ACTIONS(6925),
    [anon_sym_STAR] = ACTIONS(6925),
    [anon_sym_SLASH] = ACTIONS(6925),
    [anon_sym_LT] = ACTIONS(6923),
    [anon_sym_GT] = ACTIONS(6923),
    [anon_sym_BANG] = ACTIONS(6923),
    [anon_sym_PIPE] = ACTIONS(6923),
    [anon_sym_COLON] = ACTIONS(6923),
    [anon_sym_SQUOTE] = ACTIONS(6923),
    [anon_sym__] = ACTIONS(6925),
    [anon_sym_CARET] = ACTIONS(6925),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6925),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6925),
    [anon_sym_DOLLAR] = ACTIONS(6923),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6925),
    [anon_sym_BSLASHleft] = ACTIONS(6923),
    [anon_sym_BSLASHbigl] = ACTIONS(6923),
    [anon_sym_BSLASHBigl] = ACTIONS(6923),
    [anon_sym_BSLASHbiggl] = ACTIONS(6923),
    [anon_sym_BSLASHBiggl] = ACTIONS(6923),
    [anon_sym_BSLASHtext] = ACTIONS(6923),
    [anon_sym_BSLASHintertext] = ACTIONS(6923),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6923),
    [anon_sym_BSLASHbegin] = ACTIONS(6923),
    [anon_sym_BSLASHtitle] = ACTIONS(6923),
    [anon_sym_BSLASHauthor] = ACTIONS(6923),
    [anon_sym_BSLASHusepackage] = ACTIONS(6923),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6923),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6923),
    [anon_sym_BSLASHinclude] = ACTIONS(6923),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6923),
    [anon_sym_BSLASHinput] = ACTIONS(6923),
    [anon_sym_BSLASHsubfile] = ACTIONS(6923),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6923),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6923),
    [anon_sym_BSLASHbibliography] = ACTIONS(6923),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6923),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6923),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6923),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6923),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6923),
    [anon_sym_BSLASHimport] = ACTIONS(6923),
    [anon_sym_BSLASHsubimport] = ACTIONS(6923),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6923),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6923),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6923),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6923),
    [anon_sym_BSLASHcaption] = ACTIONS(6923),
    [anon_sym_BSLASHcite] = ACTIONS(6923),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCite] = ACTIONS(6923),
    [anon_sym_BSLASHnocite] = ACTIONS(6923),
    [anon_sym_BSLASHcitet] = ACTIONS(6923),
    [anon_sym_BSLASHcitep] = ACTIONS(6923),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteA] = ACTIONS(6923),
    [anon_sym_BSLASHciteR] = ACTIONS(6923),
    [anon_sym_BSLASHciteS] = ACTIONS(6923),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6923),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6923),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6923),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6923),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteyear] = ACTIONS(6923),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitedate] = ACTIONS(6923),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteurl] = ACTIONS(6923),
    [anon_sym_BSLASHfullcite] = ACTIONS(6923),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6923),
    [anon_sym_BSLASHcitealt] = ACTIONS(6923),
    [anon_sym_BSLASHcitealp] = ACTIONS(6923),
    [anon_sym_BSLASHcitetext] = ACTIONS(6923),
    [anon_sym_BSLASHparencite] = ACTIONS(6923),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHParencite] = ACTIONS(6923),
    [anon_sym_BSLASHfootcite] = ACTIONS(6923),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6923),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6923),
    [anon_sym_BSLASHtextcite] = ACTIONS(6923),
    [anon_sym_BSLASHTextcite] = ACTIONS(6923),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6923),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6923),
    [anon_sym_BSLASHsupercite] = ACTIONS(6923),
    [anon_sym_BSLASHautocite] = ACTIONS(6923),
    [anon_sym_BSLASHAutocite] = ACTIONS(6923),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHVolcite] = ACTIONS(6923),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHavolcite] = ACTIONS(6923),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHNotecite] = ACTIONS(6923),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHlabel] = ACTIONS(6923),
    [anon_sym_BSLASHref] = ACTIONS(6923),
    [anon_sym_BSLASHeqref] = ACTIONS(6923),
    [anon_sym_BSLASHvref] = ACTIONS(6923),
    [anon_sym_BSLASHVref] = ACTIONS(6923),
    [anon_sym_BSLASHautoref] = ACTIONS(6923),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHpageref] = ACTIONS(6923),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHautopageref] = ACTIONS(6923),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcref] = ACTIONS(6923),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCref] = ACTIONS(6923),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcpageref] = ACTIONS(6923),
    [anon_sym_BSLASHCpageref] = ACTIONS(6923),
    [anon_sym_BSLASHnamecref] = ACTIONS(6923),
    [anon_sym_BSLASHnameCref] = ACTIONS(6923),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6923),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6923),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6923),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6923),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6923),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6923),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6923),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6923),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6923),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6923),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6923),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHdef] = ACTIONS(6923),
    [anon_sym_BSLASHgdef] = ACTIONS(6923),
    [anon_sym_BSLASHedef] = ACTIONS(6923),
    [anon_sym_BSLASHxdef] = ACTIONS(6923),
    [anon_sym_BSLASHlet] = ACTIONS(6923),
    [anon_sym_BSLASHglet] = ACTIONS(6923),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6923),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6923),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6923),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6923),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6923),
    [anon_sym_BSLASHgls] = ACTIONS(6923),
    [anon_sym_BSLASHGls] = ACTIONS(6923),
    [anon_sym_BSLASHGLS] = ACTIONS(6923),
    [anon_sym_BSLASHglspl] = ACTIONS(6923),
    [anon_sym_BSLASHGlspl] = ACTIONS(6923),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6923),
    [anon_sym_BSLASHglslink] = ACTIONS(6923),
    [anon_sym_BSLASHglstext] = ACTIONS(6923),
    [anon_sym_BSLASHGlstext] = ACTIONS(6923),
    [anon_sym_BSLASHGLStext] = ACTIONS(6923),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6923),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6923),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6923),
    [anon_sym_BSLASHglsplural] = ACTIONS(6923),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6923),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6923),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHglsname] = ACTIONS(6923),
    [anon_sym_BSLASHGlsname] = ACTIONS(6923),
    [anon_sym_BSLASHGLSname] = ACTIONS(6923),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6923),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6923),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6923),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6923),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6923),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6923),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6923),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6923),
    [anon_sym_BSLASHacrshort] = ACTIONS(6923),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6923),
    [anon_sym_BSLASHACRshort] = ACTIONS(6923),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHacrlong] = ACTIONS(6923),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6923),
    [anon_sym_BSLASHACRlong] = ACTIONS(6923),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHacrfull] = ACTIONS(6923),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6923),
    [anon_sym_BSLASHACRfull] = ACTIONS(6923),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHacs] = ACTIONS(6923),
    [anon_sym_BSLASHAcs] = ACTIONS(6923),
    [anon_sym_BSLASHacsp] = ACTIONS(6923),
    [anon_sym_BSLASHAcsp] = ACTIONS(6923),
    [anon_sym_BSLASHacl] = ACTIONS(6923),
    [anon_sym_BSLASHAcl] = ACTIONS(6923),
    [anon_sym_BSLASHaclp] = ACTIONS(6923),
    [anon_sym_BSLASHAclp] = ACTIONS(6923),
    [anon_sym_BSLASHacf] = ACTIONS(6923),
    [anon_sym_BSLASHAcf] = ACTIONS(6923),
    [anon_sym_BSLASHacfp] = ACTIONS(6923),
    [anon_sym_BSLASHAcfp] = ACTIONS(6923),
    [anon_sym_BSLASHac] = ACTIONS(6923),
    [anon_sym_BSLASHAc] = ACTIONS(6923),
    [anon_sym_BSLASHacp] = ACTIONS(6923),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6923),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6923),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6923),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6923),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6923),
    [anon_sym_BSLASHcolor] = ACTIONS(6923),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6923),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6923),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6923),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6923),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6923),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6923),
    [anon_sym_BSLASHurl] = ACTIONS(6923),
    [anon_sym_BSLASHhref] = ACTIONS(6923),
  },
  [970] = {
    [sym_curly_group] = STATE(1112),
    [ts_builtin_sym_end] = ACTIONS(6937),
    [sym_command_name] = ACTIONS(6935),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6937),
    [anon_sym_RBRACK] = ACTIONS(6937),
    [anon_sym_COMMA] = ACTIONS(6937),
    [anon_sym_EQ] = ACTIONS(6937),
    [anon_sym_LPAREN] = ACTIONS(6937),
    [anon_sym_RPAREN] = ACTIONS(6937),
    [anon_sym_BSLASHpart] = ACTIONS(6935),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHaddpart] = ACTIONS(6935),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHchapter] = ACTIONS(6935),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHaddchap] = ACTIONS(6935),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHsection] = ACTIONS(6935),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHaddsec] = ACTIONS(6935),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHsubsection] = ACTIONS(6935),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6935),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHparagraph] = ACTIONS(6935),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6935),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHitem] = ACTIONS(6935),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6937),
    [anon_sym_LBRACE] = ACTIONS(45),
    [anon_sym_RBRACE] = ACTIONS(6937),
    [sym_word] = ACTIONS(6935),
    [sym_placeholder] = ACTIONS(6937),
    [sym_delimiter] = ACTIONS(6937),
    [anon_sym_PLUS] = ACTIONS(6937),
    [anon_sym_DASH] = ACTIONS(6937),
    [anon_sym_STAR] = ACTIONS(6937),
    [anon_sym_SLASH] = ACTIONS(6937),
    [anon_sym_LT] = ACTIONS(6935),
    [anon_sym_GT] = ACTIONS(6935),
    [anon_sym_BANG] = ACTIONS(6935),
    [anon_sym_PIPE] = ACTIONS(6935),
    [anon_sym_COLON] = ACTIONS(6935),
    [anon_sym_SQUOTE] = ACTIONS(6935),
    [anon_sym__] = ACTIONS(6937),
    [anon_sym_CARET] = ACTIONS(6937),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6937),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6937),
    [anon_sym_DOLLAR] = ACTIONS(6935),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6937),
    [anon_sym_BSLASHleft] = ACTIONS(6935),
    [anon_sym_BSLASHbigl] = ACTIONS(6935),
    [anon_sym_BSLASHBigl] = ACTIONS(6935),
    [anon_sym_BSLASHbiggl] = ACTIONS(6935),
    [anon_sym_BSLASHBiggl] = ACTIONS(6935),
    [anon_sym_BSLASHtext] = ACTIONS(6935),
    [anon_sym_BSLASHintertext] = ACTIONS(6935),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6935),
    [anon_sym_BSLASHbegin] = ACTIONS(6935),
    [anon_sym_BSLASHtitle] = ACTIONS(6935),
    [anon_sym_BSLASHauthor] = ACTIONS(6935),
    [anon_sym_BSLASHusepackage] = ACTIONS(6935),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6935),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6935),
    [anon_sym_BSLASHinclude] = ACTIONS(6935),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6935),
    [anon_sym_BSLASHinput] = ACTIONS(6935),
    [anon_sym_BSLASHsubfile] = ACTIONS(6935),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6935),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6935),
    [anon_sym_BSLASHbibliography] = ACTIONS(6935),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6935),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6935),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6935),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6935),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6935),
    [anon_sym_BSLASHimport] = ACTIONS(6935),
    [anon_sym_BSLASHsubimport] = ACTIONS(6935),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6935),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6935),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6935),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6935),
    [anon_sym_BSLASHcaption] = ACTIONS(6935),
    [anon_sym_BSLASHcite] = ACTIONS(6935),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCite] = ACTIONS(6935),
    [anon_sym_BSLASHnocite] = ACTIONS(6935),
    [anon_sym_BSLASHcitet] = ACTIONS(6935),
    [anon_sym_BSLASHcitep] = ACTIONS(6935),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteA] = ACTIONS(6935),
    [anon_sym_BSLASHciteR] = ACTIONS(6935),
    [anon_sym_BSLASHciteS] = ACTIONS(6935),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6935),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6935),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6935),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6935),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteyear] = ACTIONS(6935),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitedate] = ACTIONS(6935),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteurl] = ACTIONS(6935),
    [anon_sym_BSLASHfullcite] = ACTIONS(6935),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6935),
    [anon_sym_BSLASHcitealt] = ACTIONS(6935),
    [anon_sym_BSLASHcitealp] = ACTIONS(6935),
    [anon_sym_BSLASHcitetext] = ACTIONS(6935),
    [anon_sym_BSLASHparencite] = ACTIONS(6935),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHParencite] = ACTIONS(6935),
    [anon_sym_BSLASHfootcite] = ACTIONS(6935),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6935),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6935),
    [anon_sym_BSLASHtextcite] = ACTIONS(6935),
    [anon_sym_BSLASHTextcite] = ACTIONS(6935),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6935),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6935),
    [anon_sym_BSLASHsupercite] = ACTIONS(6935),
    [anon_sym_BSLASHautocite] = ACTIONS(6935),
    [anon_sym_BSLASHAutocite] = ACTIONS(6935),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHVolcite] = ACTIONS(6935),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHavolcite] = ACTIONS(6935),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHNotecite] = ACTIONS(6935),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHlabel] = ACTIONS(6935),
    [anon_sym_BSLASHref] = ACTIONS(6935),
    [anon_sym_BSLASHeqref] = ACTIONS(6935),
    [anon_sym_BSLASHvref] = ACTIONS(6935),
    [anon_sym_BSLASHVref] = ACTIONS(6935),
    [anon_sym_BSLASHautoref] = ACTIONS(6935),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHpageref] = ACTIONS(6935),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHautopageref] = ACTIONS(6935),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcref] = ACTIONS(6935),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCref] = ACTIONS(6935),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcpageref] = ACTIONS(6935),
    [anon_sym_BSLASHCpageref] = ACTIONS(6935),
    [anon_sym_BSLASHnamecref] = ACTIONS(6935),
    [anon_sym_BSLASHnameCref] = ACTIONS(6935),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6935),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6935),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6935),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6935),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6935),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6935),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6935),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6935),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6935),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6935),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6935),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHdef] = ACTIONS(6935),
    [anon_sym_BSLASHgdef] = ACTIONS(6935),
    [anon_sym_BSLASHedef] = ACTIONS(6935),
    [anon_sym_BSLASHxdef] = ACTIONS(6935),
    [anon_sym_BSLASHlet] = ACTIONS(6935),
    [anon_sym_BSLASHglet] = ACTIONS(6935),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6935),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6935),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6935),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6935),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6935),
    [anon_sym_BSLASHgls] = ACTIONS(6935),
    [anon_sym_BSLASHGls] = ACTIONS(6935),
    [anon_sym_BSLASHGLS] = ACTIONS(6935),
    [anon_sym_BSLASHglspl] = ACTIONS(6935),
    [anon_sym_BSLASHGlspl] = ACTIONS(6935),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6935),
    [anon_sym_BSLASHglslink] = ACTIONS(6935),
    [anon_sym_BSLASHglstext] = ACTIONS(6935),
    [anon_sym_BSLASHGlstext] = ACTIONS(6935),
    [anon_sym_BSLASHGLStext] = ACTIONS(6935),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6935),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6935),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6935),
    [anon_sym_BSLASHglsplural] = ACTIONS(6935),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6935),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6935),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHglsname] = ACTIONS(6935),
    [anon_sym_BSLASHGlsname] = ACTIONS(6935),
    [anon_sym_BSLASHGLSname] = ACTIONS(6935),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6935),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6935),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6935),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6935),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6935),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6935),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6935),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6935),
    [anon_sym_BSLASHacrshort] = ACTIONS(6935),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6935),
    [anon_sym_BSLASHACRshort] = ACTIONS(6935),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHacrlong] = ACTIONS(6935),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6935),
    [anon_sym_BSLASHACRlong] = ACTIONS(6935),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHacrfull] = ACTIONS(6935),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6935),
    [anon_sym_BSLASHACRfull] = ACTIONS(6935),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHacs] = ACTIONS(6935),
    [anon_sym_BSLASHAcs] = ACTIONS(6935),
    [anon_sym_BSLASHacsp] = ACTIONS(6935),
    [anon_sym_BSLASHAcsp] = ACTIONS(6935),
    [anon_sym_BSLASHacl] = ACTIONS(6935),
    [anon_sym_BSLASHAcl] = ACTIONS(6935),
    [anon_sym_BSLASHaclp] = ACTIONS(6935),
    [anon_sym_BSLASHAclp] = ACTIONS(6935),
    [anon_sym_BSLASHacf] = ACTIONS(6935),
    [anon_sym_BSLASHAcf] = ACTIONS(6935),
    [anon_sym_BSLASHacfp] = ACTIONS(6935),
    [anon_sym_BSLASHAcfp] = ACTIONS(6935),
    [anon_sym_BSLASHac] = ACTIONS(6935),
    [anon_sym_BSLASHAc] = ACTIONS(6935),
    [anon_sym_BSLASHacp] = ACTIONS(6935),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6935),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6935),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6935),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6935),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6935),
    [anon_sym_BSLASHcolor] = ACTIONS(6935),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6935),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6935),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6935),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6935),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6935),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6935),
    [anon_sym_BSLASHurl] = ACTIONS(6935),
    [anon_sym_BSLASHhref] = ACTIONS(6935),
  },
  [971] = {
    [sym_command_name] = ACTIONS(6871),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6871),
    [anon_sym_BSLASHfi] = ACTIONS(7775),
    [anon_sym_LBRACK] = ACTIONS(6875),
    [anon_sym_RBRACK] = ACTIONS(6875),
    [anon_sym_COMMA] = ACTIONS(6875),
    [anon_sym_EQ] = ACTIONS(6875),
    [anon_sym_LPAREN] = ACTIONS(6875),
    [anon_sym_RPAREN] = ACTIONS(6875),
    [anon_sym_BSLASHpart] = ACTIONS(6871),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHaddpart] = ACTIONS(6871),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHchapter] = ACTIONS(6871),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHaddchap] = ACTIONS(6871),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHsection] = ACTIONS(6871),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHaddsec] = ACTIONS(6871),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHsubsection] = ACTIONS(6871),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6871),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHparagraph] = ACTIONS(6871),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6871),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHitem] = ACTIONS(6871),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6875),
    [anon_sym_LBRACE] = ACTIONS(6875),
    [sym_word] = ACTIONS(6871),
    [sym_placeholder] = ACTIONS(6875),
    [sym_delimiter] = ACTIONS(6875),
    [anon_sym_PLUS] = ACTIONS(6875),
    [anon_sym_DASH] = ACTIONS(6875),
    [anon_sym_STAR] = ACTIONS(6875),
    [anon_sym_SLASH] = ACTIONS(6875),
    [anon_sym_LT] = ACTIONS(6871),
    [anon_sym_GT] = ACTIONS(6871),
    [anon_sym_BANG] = ACTIONS(6871),
    [anon_sym_PIPE] = ACTIONS(6871),
    [anon_sym_COLON] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6871),
    [anon_sym__] = ACTIONS(6875),
    [anon_sym_CARET] = ACTIONS(6875),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6875),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6875),
    [anon_sym_DOLLAR] = ACTIONS(6871),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6875),
    [anon_sym_BSLASHleft] = ACTIONS(6871),
    [anon_sym_BSLASHbigl] = ACTIONS(6871),
    [anon_sym_BSLASHBigl] = ACTIONS(6871),
    [anon_sym_BSLASHbiggl] = ACTIONS(6871),
    [anon_sym_BSLASHBiggl] = ACTIONS(6871),
    [anon_sym_BSLASHtext] = ACTIONS(6871),
    [anon_sym_BSLASHintertext] = ACTIONS(6871),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6871),
    [anon_sym_BSLASHbegin] = ACTIONS(6871),
    [anon_sym_BSLASHend] = ACTIONS(6871),
    [anon_sym_BSLASHtitle] = ACTIONS(6871),
    [anon_sym_BSLASHauthor] = ACTIONS(6871),
    [anon_sym_BSLASHusepackage] = ACTIONS(6871),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6871),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6871),
    [anon_sym_BSLASHinclude] = ACTIONS(6871),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6871),
    [anon_sym_BSLASHinput] = ACTIONS(6871),
    [anon_sym_BSLASHsubfile] = ACTIONS(6871),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6871),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6871),
    [anon_sym_BSLASHbibliography] = ACTIONS(6871),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6871),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6871),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6871),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6871),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6871),
    [anon_sym_BSLASHimport] = ACTIONS(6871),
    [anon_sym_BSLASHsubimport] = ACTIONS(6871),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6871),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6871),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6871),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6871),
    [anon_sym_BSLASHcaption] = ACTIONS(6871),
    [anon_sym_BSLASHcite] = ACTIONS(6871),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCite] = ACTIONS(6871),
    [anon_sym_BSLASHnocite] = ACTIONS(6871),
    [anon_sym_BSLASHcitet] = ACTIONS(6871),
    [anon_sym_BSLASHcitep] = ACTIONS(6871),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteA] = ACTIONS(6871),
    [anon_sym_BSLASHciteR] = ACTIONS(6871),
    [anon_sym_BSLASHciteS] = ACTIONS(6871),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6871),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6871),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6871),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6871),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteyear] = ACTIONS(6871),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitedate] = ACTIONS(6871),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteurl] = ACTIONS(6871),
    [anon_sym_BSLASHfullcite] = ACTIONS(6871),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6871),
    [anon_sym_BSLASHcitealt] = ACTIONS(6871),
    [anon_sym_BSLASHcitealp] = ACTIONS(6871),
    [anon_sym_BSLASHcitetext] = ACTIONS(6871),
    [anon_sym_BSLASHparencite] = ACTIONS(6871),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHParencite] = ACTIONS(6871),
    [anon_sym_BSLASHfootcite] = ACTIONS(6871),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6871),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6871),
    [anon_sym_BSLASHtextcite] = ACTIONS(6871),
    [anon_sym_BSLASHTextcite] = ACTIONS(6871),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6871),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6871),
    [anon_sym_BSLASHsupercite] = ACTIONS(6871),
    [anon_sym_BSLASHautocite] = ACTIONS(6871),
    [anon_sym_BSLASHAutocite] = ACTIONS(6871),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHVolcite] = ACTIONS(6871),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHavolcite] = ACTIONS(6871),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHNotecite] = ACTIONS(6871),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHlabel] = ACTIONS(6871),
    [anon_sym_BSLASHref] = ACTIONS(6871),
    [anon_sym_BSLASHeqref] = ACTIONS(6871),
    [anon_sym_BSLASHvref] = ACTIONS(6871),
    [anon_sym_BSLASHVref] = ACTIONS(6871),
    [anon_sym_BSLASHautoref] = ACTIONS(6871),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHpageref] = ACTIONS(6871),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHautopageref] = ACTIONS(6871),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcref] = ACTIONS(6871),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCref] = ACTIONS(6871),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcpageref] = ACTIONS(6871),
    [anon_sym_BSLASHCpageref] = ACTIONS(6871),
    [anon_sym_BSLASHnamecref] = ACTIONS(6871),
    [anon_sym_BSLASHnameCref] = ACTIONS(6871),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6871),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6871),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6871),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6871),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6871),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6871),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6871),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6871),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6871),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6871),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6871),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHdef] = ACTIONS(6871),
    [anon_sym_BSLASHgdef] = ACTIONS(6871),
    [anon_sym_BSLASHedef] = ACTIONS(6871),
    [anon_sym_BSLASHxdef] = ACTIONS(6871),
    [anon_sym_BSLASHlet] = ACTIONS(6871),
    [anon_sym_BSLASHglet] = ACTIONS(6871),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6871),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6871),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6871),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6871),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6871),
    [anon_sym_BSLASHgls] = ACTIONS(6871),
    [anon_sym_BSLASHGls] = ACTIONS(6871),
    [anon_sym_BSLASHGLS] = ACTIONS(6871),
    [anon_sym_BSLASHglspl] = ACTIONS(6871),
    [anon_sym_BSLASHGlspl] = ACTIONS(6871),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6871),
    [anon_sym_BSLASHglslink] = ACTIONS(6871),
    [anon_sym_BSLASHglstext] = ACTIONS(6871),
    [anon_sym_BSLASHGlstext] = ACTIONS(6871),
    [anon_sym_BSLASHGLStext] = ACTIONS(6871),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6871),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6871),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6871),
    [anon_sym_BSLASHglsplural] = ACTIONS(6871),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6871),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6871),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHglsname] = ACTIONS(6871),
    [anon_sym_BSLASHGlsname] = ACTIONS(6871),
    [anon_sym_BSLASHGLSname] = ACTIONS(6871),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6871),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6871),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6871),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6871),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6871),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6871),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6871),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6871),
    [anon_sym_BSLASHacrshort] = ACTIONS(6871),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6871),
    [anon_sym_BSLASHACRshort] = ACTIONS(6871),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHacrlong] = ACTIONS(6871),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6871),
    [anon_sym_BSLASHACRlong] = ACTIONS(6871),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHacrfull] = ACTIONS(6871),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6871),
    [anon_sym_BSLASHACRfull] = ACTIONS(6871),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHacs] = ACTIONS(6871),
    [anon_sym_BSLASHAcs] = ACTIONS(6871),
    [anon_sym_BSLASHacsp] = ACTIONS(6871),
    [anon_sym_BSLASHAcsp] = ACTIONS(6871),
    [anon_sym_BSLASHacl] = ACTIONS(6871),
    [anon_sym_BSLASHAcl] = ACTIONS(6871),
    [anon_sym_BSLASHaclp] = ACTIONS(6871),
    [anon_sym_BSLASHAclp] = ACTIONS(6871),
    [anon_sym_BSLASHacf] = ACTIONS(6871),
    [anon_sym_BSLASHAcf] = ACTIONS(6871),
    [anon_sym_BSLASHacfp] = ACTIONS(6871),
    [anon_sym_BSLASHAcfp] = ACTIONS(6871),
    [anon_sym_BSLASHac] = ACTIONS(6871),
    [anon_sym_BSLASHAc] = ACTIONS(6871),
    [anon_sym_BSLASHacp] = ACTIONS(6871),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6871),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6871),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6871),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6871),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6871),
    [anon_sym_BSLASHcolor] = ACTIONS(6871),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6871),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6871),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6871),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6871),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6871),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6871),
    [anon_sym_BSLASHurl] = ACTIONS(6871),
    [anon_sym_BSLASHhref] = ACTIONS(6871),
    [sym__trivia_raw_fi] = ACTIONS(7777),
  },
  [972] = {
    [sym_curly_group] = STATE(1512),
    [aux_sym_generic_command_repeat1] = STATE(975),
    [sym_command_name] = ACTIONS(6901),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6901),
    [anon_sym_LBRACK] = ACTIONS(6903),
    [anon_sym_RBRACK] = ACTIONS(6903),
    [anon_sym_COMMA] = ACTIONS(6903),
    [anon_sym_EQ] = ACTIONS(6903),
    [anon_sym_LPAREN] = ACTIONS(6903),
    [anon_sym_RPAREN] = ACTIONS(6903),
    [anon_sym_BSLASHpart] = ACTIONS(6901),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHaddpart] = ACTIONS(6901),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHchapter] = ACTIONS(6901),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHaddchap] = ACTIONS(6901),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHsection] = ACTIONS(6901),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHaddsec] = ACTIONS(6901),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHsubsection] = ACTIONS(6901),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6901),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHparagraph] = ACTIONS(6901),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6901),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHitem] = ACTIONS(6901),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6903),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(6901),
    [sym_placeholder] = ACTIONS(6903),
    [sym_delimiter] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6903),
    [anon_sym_DASH] = ACTIONS(6903),
    [anon_sym_STAR] = ACTIONS(6903),
    [anon_sym_SLASH] = ACTIONS(6903),
    [anon_sym_LT] = ACTIONS(6901),
    [anon_sym_GT] = ACTIONS(6901),
    [anon_sym_BANG] = ACTIONS(6901),
    [anon_sym_PIPE] = ACTIONS(6901),
    [anon_sym_COLON] = ACTIONS(6901),
    [anon_sym_SQUOTE] = ACTIONS(6901),
    [anon_sym__] = ACTIONS(6903),
    [anon_sym_CARET] = ACTIONS(6903),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6903),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6903),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6903),
    [anon_sym_DOLLAR] = ACTIONS(6901),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6903),
    [anon_sym_BSLASHleft] = ACTIONS(6901),
    [anon_sym_BSLASHbigl] = ACTIONS(6901),
    [anon_sym_BSLASHBigl] = ACTIONS(6901),
    [anon_sym_BSLASHbiggl] = ACTIONS(6901),
    [anon_sym_BSLASHBiggl] = ACTIONS(6901),
    [anon_sym_BSLASHtext] = ACTIONS(6901),
    [anon_sym_BSLASHintertext] = ACTIONS(6901),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6901),
    [anon_sym_BSLASHbegin] = ACTIONS(6901),
    [anon_sym_BSLASHtitle] = ACTIONS(6901),
    [anon_sym_BSLASHauthor] = ACTIONS(6901),
    [anon_sym_BSLASHusepackage] = ACTIONS(6901),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6901),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6901),
    [anon_sym_BSLASHinclude] = ACTIONS(6901),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6901),
    [anon_sym_BSLASHinput] = ACTIONS(6901),
    [anon_sym_BSLASHsubfile] = ACTIONS(6901),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6901),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6901),
    [anon_sym_BSLASHbibliography] = ACTIONS(6901),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6901),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6901),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6901),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6901),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6901),
    [anon_sym_BSLASHimport] = ACTIONS(6901),
    [anon_sym_BSLASHsubimport] = ACTIONS(6901),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6901),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6901),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6901),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6901),
    [anon_sym_BSLASHcaption] = ACTIONS(6901),
    [anon_sym_BSLASHcite] = ACTIONS(6901),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCite] = ACTIONS(6901),
    [anon_sym_BSLASHnocite] = ACTIONS(6901),
    [anon_sym_BSLASHcitet] = ACTIONS(6901),
    [anon_sym_BSLASHcitep] = ACTIONS(6901),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteA] = ACTIONS(6901),
    [anon_sym_BSLASHciteR] = ACTIONS(6901),
    [anon_sym_BSLASHciteS] = ACTIONS(6901),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6901),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6901),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6901),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6901),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteyear] = ACTIONS(6901),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitedate] = ACTIONS(6901),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteurl] = ACTIONS(6901),
    [anon_sym_BSLASHfullcite] = ACTIONS(6901),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6901),
    [anon_sym_BSLASHcitealt] = ACTIONS(6901),
    [anon_sym_BSLASHcitealp] = ACTIONS(6901),
    [anon_sym_BSLASHcitetext] = ACTIONS(6901),
    [anon_sym_BSLASHparencite] = ACTIONS(6901),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHParencite] = ACTIONS(6901),
    [anon_sym_BSLASHfootcite] = ACTIONS(6901),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6901),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6901),
    [anon_sym_BSLASHtextcite] = ACTIONS(6901),
    [anon_sym_BSLASHTextcite] = ACTIONS(6901),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6901),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6901),
    [anon_sym_BSLASHsupercite] = ACTIONS(6901),
    [anon_sym_BSLASHautocite] = ACTIONS(6901),
    [anon_sym_BSLASHAutocite] = ACTIONS(6901),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHVolcite] = ACTIONS(6901),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHavolcite] = ACTIONS(6901),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHNotecite] = ACTIONS(6901),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHlabel] = ACTIONS(6901),
    [anon_sym_BSLASHref] = ACTIONS(6901),
    [anon_sym_BSLASHeqref] = ACTIONS(6901),
    [anon_sym_BSLASHvref] = ACTIONS(6901),
    [anon_sym_BSLASHVref] = ACTIONS(6901),
    [anon_sym_BSLASHautoref] = ACTIONS(6901),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHpageref] = ACTIONS(6901),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHautopageref] = ACTIONS(6901),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcref] = ACTIONS(6901),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCref] = ACTIONS(6901),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcpageref] = ACTIONS(6901),
    [anon_sym_BSLASHCpageref] = ACTIONS(6901),
    [anon_sym_BSLASHnamecref] = ACTIONS(6901),
    [anon_sym_BSLASHnameCref] = ACTIONS(6901),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6901),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6901),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6901),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6901),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6901),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6901),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6901),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6901),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6901),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6901),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6901),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHdef] = ACTIONS(6901),
    [anon_sym_BSLASHgdef] = ACTIONS(6901),
    [anon_sym_BSLASHedef] = ACTIONS(6901),
    [anon_sym_BSLASHxdef] = ACTIONS(6901),
    [anon_sym_BSLASHlet] = ACTIONS(6901),
    [anon_sym_BSLASHglet] = ACTIONS(6901),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6901),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6901),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6901),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6901),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6901),
    [anon_sym_BSLASHgls] = ACTIONS(6901),
    [anon_sym_BSLASHGls] = ACTIONS(6901),
    [anon_sym_BSLASHGLS] = ACTIONS(6901),
    [anon_sym_BSLASHglspl] = ACTIONS(6901),
    [anon_sym_BSLASHGlspl] = ACTIONS(6901),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6901),
    [anon_sym_BSLASHglslink] = ACTIONS(6901),
    [anon_sym_BSLASHglstext] = ACTIONS(6901),
    [anon_sym_BSLASHGlstext] = ACTIONS(6901),
    [anon_sym_BSLASHGLStext] = ACTIONS(6901),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6901),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6901),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6901),
    [anon_sym_BSLASHglsplural] = ACTIONS(6901),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6901),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6901),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHglsname] = ACTIONS(6901),
    [anon_sym_BSLASHGlsname] = ACTIONS(6901),
    [anon_sym_BSLASHGLSname] = ACTIONS(6901),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6901),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6901),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6901),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6901),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6901),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6901),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6901),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6901),
    [anon_sym_BSLASHacrshort] = ACTIONS(6901),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6901),
    [anon_sym_BSLASHACRshort] = ACTIONS(6901),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHacrlong] = ACTIONS(6901),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6901),
    [anon_sym_BSLASHACRlong] = ACTIONS(6901),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHacrfull] = ACTIONS(6901),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6901),
    [anon_sym_BSLASHACRfull] = ACTIONS(6901),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHacs] = ACTIONS(6901),
    [anon_sym_BSLASHAcs] = ACTIONS(6901),
    [anon_sym_BSLASHacsp] = ACTIONS(6901),
    [anon_sym_BSLASHAcsp] = ACTIONS(6901),
    [anon_sym_BSLASHacl] = ACTIONS(6901),
    [anon_sym_BSLASHAcl] = ACTIONS(6901),
    [anon_sym_BSLASHaclp] = ACTIONS(6901),
    [anon_sym_BSLASHAclp] = ACTIONS(6901),
    [anon_sym_BSLASHacf] = ACTIONS(6901),
    [anon_sym_BSLASHAcf] = ACTIONS(6901),
    [anon_sym_BSLASHacfp] = ACTIONS(6901),
    [anon_sym_BSLASHAcfp] = ACTIONS(6901),
    [anon_sym_BSLASHac] = ACTIONS(6901),
    [anon_sym_BSLASHAc] = ACTIONS(6901),
    [anon_sym_BSLASHacp] = ACTIONS(6901),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6901),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6901),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6901),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6901),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6901),
    [anon_sym_BSLASHcolor] = ACTIONS(6901),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6901),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6901),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6901),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6901),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6901),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6901),
    [anon_sym_BSLASHurl] = ACTIONS(6901),
    [anon_sym_BSLASHhref] = ACTIONS(6901),
  },
  [973] = {
    [sym_curly_group] = STATE(1150),
    [sym_brack_group_text] = STATE(3110),
    [sym_command_name] = ACTIONS(6905),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6905),
    [anon_sym_LBRACK] = ACTIONS(6883),
    [anon_sym_RBRACK] = ACTIONS(6907),
    [anon_sym_COMMA] = ACTIONS(6907),
    [anon_sym_EQ] = ACTIONS(6907),
    [anon_sym_LPAREN] = ACTIONS(6907),
    [anon_sym_RPAREN] = ACTIONS(6907),
    [anon_sym_BSLASHpart] = ACTIONS(6905),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHaddpart] = ACTIONS(6905),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHchapter] = ACTIONS(6905),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHaddchap] = ACTIONS(6905),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHsection] = ACTIONS(6905),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHaddsec] = ACTIONS(6905),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHsubsection] = ACTIONS(6905),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6905),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHparagraph] = ACTIONS(6905),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6905),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHitem] = ACTIONS(6905),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6907),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(6905),
    [sym_placeholder] = ACTIONS(6907),
    [sym_delimiter] = ACTIONS(6907),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_STAR] = ACTIONS(6907),
    [anon_sym_SLASH] = ACTIONS(6907),
    [anon_sym_LT] = ACTIONS(6905),
    [anon_sym_GT] = ACTIONS(6905),
    [anon_sym_BANG] = ACTIONS(6905),
    [anon_sym_PIPE] = ACTIONS(6905),
    [anon_sym_COLON] = ACTIONS(6905),
    [anon_sym_SQUOTE] = ACTIONS(6905),
    [anon_sym__] = ACTIONS(6907),
    [anon_sym_CARET] = ACTIONS(6907),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6907),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6907),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6907),
    [anon_sym_DOLLAR] = ACTIONS(6905),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6907),
    [anon_sym_BSLASHleft] = ACTIONS(6905),
    [anon_sym_BSLASHbigl] = ACTIONS(6905),
    [anon_sym_BSLASHBigl] = ACTIONS(6905),
    [anon_sym_BSLASHbiggl] = ACTIONS(6905),
    [anon_sym_BSLASHBiggl] = ACTIONS(6905),
    [anon_sym_BSLASHtext] = ACTIONS(6905),
    [anon_sym_BSLASHintertext] = ACTIONS(6905),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6905),
    [anon_sym_BSLASHbegin] = ACTIONS(6905),
    [anon_sym_BSLASHtitle] = ACTIONS(6905),
    [anon_sym_BSLASHauthor] = ACTIONS(6905),
    [anon_sym_BSLASHusepackage] = ACTIONS(6905),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6905),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6905),
    [anon_sym_BSLASHinclude] = ACTIONS(6905),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6905),
    [anon_sym_BSLASHinput] = ACTIONS(6905),
    [anon_sym_BSLASHsubfile] = ACTIONS(6905),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6905),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6905),
    [anon_sym_BSLASHbibliography] = ACTIONS(6905),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6905),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6905),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6905),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6905),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6905),
    [anon_sym_BSLASHimport] = ACTIONS(6905),
    [anon_sym_BSLASHsubimport] = ACTIONS(6905),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6905),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6905),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6905),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6905),
    [anon_sym_BSLASHcaption] = ACTIONS(6905),
    [anon_sym_BSLASHcite] = ACTIONS(6905),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCite] = ACTIONS(6905),
    [anon_sym_BSLASHnocite] = ACTIONS(6905),
    [anon_sym_BSLASHcitet] = ACTIONS(6905),
    [anon_sym_BSLASHcitep] = ACTIONS(6905),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteA] = ACTIONS(6905),
    [anon_sym_BSLASHciteR] = ACTIONS(6905),
    [anon_sym_BSLASHciteS] = ACTIONS(6905),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6905),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6905),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6905),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6905),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteyear] = ACTIONS(6905),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitedate] = ACTIONS(6905),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteurl] = ACTIONS(6905),
    [anon_sym_BSLASHfullcite] = ACTIONS(6905),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6905),
    [anon_sym_BSLASHcitealt] = ACTIONS(6905),
    [anon_sym_BSLASHcitealp] = ACTIONS(6905),
    [anon_sym_BSLASHcitetext] = ACTIONS(6905),
    [anon_sym_BSLASHparencite] = ACTIONS(6905),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHParencite] = ACTIONS(6905),
    [anon_sym_BSLASHfootcite] = ACTIONS(6905),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6905),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6905),
    [anon_sym_BSLASHtextcite] = ACTIONS(6905),
    [anon_sym_BSLASHTextcite] = ACTIONS(6905),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6905),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6905),
    [anon_sym_BSLASHsupercite] = ACTIONS(6905),
    [anon_sym_BSLASHautocite] = ACTIONS(6905),
    [anon_sym_BSLASHAutocite] = ACTIONS(6905),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHVolcite] = ACTIONS(6905),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHavolcite] = ACTIONS(6905),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHNotecite] = ACTIONS(6905),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHlabel] = ACTIONS(6905),
    [anon_sym_BSLASHref] = ACTIONS(6905),
    [anon_sym_BSLASHeqref] = ACTIONS(6905),
    [anon_sym_BSLASHvref] = ACTIONS(6905),
    [anon_sym_BSLASHVref] = ACTIONS(6905),
    [anon_sym_BSLASHautoref] = ACTIONS(6905),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHpageref] = ACTIONS(6905),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHautopageref] = ACTIONS(6905),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcref] = ACTIONS(6905),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCref] = ACTIONS(6905),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcpageref] = ACTIONS(6905),
    [anon_sym_BSLASHCpageref] = ACTIONS(6905),
    [anon_sym_BSLASHnamecref] = ACTIONS(6905),
    [anon_sym_BSLASHnameCref] = ACTIONS(6905),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6905),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6905),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6905),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6905),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6905),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6905),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6905),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6905),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6905),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6905),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6905),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHdef] = ACTIONS(6905),
    [anon_sym_BSLASHgdef] = ACTIONS(6905),
    [anon_sym_BSLASHedef] = ACTIONS(6905),
    [anon_sym_BSLASHxdef] = ACTIONS(6905),
    [anon_sym_BSLASHlet] = ACTIONS(6905),
    [anon_sym_BSLASHglet] = ACTIONS(6905),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6905),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6905),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6905),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6905),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6905),
    [anon_sym_BSLASHgls] = ACTIONS(6905),
    [anon_sym_BSLASHGls] = ACTIONS(6905),
    [anon_sym_BSLASHGLS] = ACTIONS(6905),
    [anon_sym_BSLASHglspl] = ACTIONS(6905),
    [anon_sym_BSLASHGlspl] = ACTIONS(6905),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6905),
    [anon_sym_BSLASHglslink] = ACTIONS(6905),
    [anon_sym_BSLASHglstext] = ACTIONS(6905),
    [anon_sym_BSLASHGlstext] = ACTIONS(6905),
    [anon_sym_BSLASHGLStext] = ACTIONS(6905),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6905),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6905),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6905),
    [anon_sym_BSLASHglsplural] = ACTIONS(6905),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6905),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6905),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHglsname] = ACTIONS(6905),
    [anon_sym_BSLASHGlsname] = ACTIONS(6905),
    [anon_sym_BSLASHGLSname] = ACTIONS(6905),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6905),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6905),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6905),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6905),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6905),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6905),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6905),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6905),
    [anon_sym_BSLASHacrshort] = ACTIONS(6905),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6905),
    [anon_sym_BSLASHACRshort] = ACTIONS(6905),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHacrlong] = ACTIONS(6905),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6905),
    [anon_sym_BSLASHACRlong] = ACTIONS(6905),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHacrfull] = ACTIONS(6905),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6905),
    [anon_sym_BSLASHACRfull] = ACTIONS(6905),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHacs] = ACTIONS(6905),
    [anon_sym_BSLASHAcs] = ACTIONS(6905),
    [anon_sym_BSLASHacsp] = ACTIONS(6905),
    [anon_sym_BSLASHAcsp] = ACTIONS(6905),
    [anon_sym_BSLASHacl] = ACTIONS(6905),
    [anon_sym_BSLASHAcl] = ACTIONS(6905),
    [anon_sym_BSLASHaclp] = ACTIONS(6905),
    [anon_sym_BSLASHAclp] = ACTIONS(6905),
    [anon_sym_BSLASHacf] = ACTIONS(6905),
    [anon_sym_BSLASHAcf] = ACTIONS(6905),
    [anon_sym_BSLASHacfp] = ACTIONS(6905),
    [anon_sym_BSLASHAcfp] = ACTIONS(6905),
    [anon_sym_BSLASHac] = ACTIONS(6905),
    [anon_sym_BSLASHAc] = ACTIONS(6905),
    [anon_sym_BSLASHacp] = ACTIONS(6905),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6905),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6905),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6905),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6905),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6905),
    [anon_sym_BSLASHcolor] = ACTIONS(6905),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6905),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6905),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6905),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6905),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6905),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6905),
    [anon_sym_BSLASHurl] = ACTIONS(6905),
    [anon_sym_BSLASHhref] = ACTIONS(6905),
  },
  [974] = {
    [sym_curly_group] = STATE(1431),
    [aux_sym_generic_command_repeat1] = STATE(974),
    [sym_command_name] = ACTIONS(6864),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6864),
    [anon_sym_LBRACK] = ACTIONS(6866),
    [anon_sym_RBRACK] = ACTIONS(6866),
    [anon_sym_COMMA] = ACTIONS(6866),
    [anon_sym_EQ] = ACTIONS(6866),
    [anon_sym_LPAREN] = ACTIONS(6866),
    [anon_sym_RPAREN] = ACTIONS(6866),
    [anon_sym_BSLASHpart] = ACTIONS(6864),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHaddpart] = ACTIONS(6864),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHchapter] = ACTIONS(6864),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHaddchap] = ACTIONS(6864),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHsection] = ACTIONS(6864),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHaddsec] = ACTIONS(6864),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHsubsection] = ACTIONS(6864),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6864),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHparagraph] = ACTIONS(6864),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6864),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHitem] = ACTIONS(6864),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6866),
    [anon_sym_LBRACE] = ACTIONS(7779),
    [sym_word] = ACTIONS(6864),
    [sym_placeholder] = ACTIONS(6866),
    [sym_delimiter] = ACTIONS(6866),
    [anon_sym_PLUS] = ACTIONS(6866),
    [anon_sym_DASH] = ACTIONS(6866),
    [anon_sym_STAR] = ACTIONS(6866),
    [anon_sym_SLASH] = ACTIONS(6866),
    [anon_sym_LT] = ACTIONS(6864),
    [anon_sym_GT] = ACTIONS(6864),
    [anon_sym_BANG] = ACTIONS(6864),
    [anon_sym_PIPE] = ACTIONS(6864),
    [anon_sym_COLON] = ACTIONS(6864),
    [anon_sym_SQUOTE] = ACTIONS(6864),
    [anon_sym__] = ACTIONS(6866),
    [anon_sym_CARET] = ACTIONS(6866),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6866),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6866),
    [anon_sym_DOLLAR] = ACTIONS(6864),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6866),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6866),
    [anon_sym_BSLASHleft] = ACTIONS(6864),
    [anon_sym_BSLASHbigl] = ACTIONS(6864),
    [anon_sym_BSLASHBigl] = ACTIONS(6864),
    [anon_sym_BSLASHbiggl] = ACTIONS(6864),
    [anon_sym_BSLASHBiggl] = ACTIONS(6864),
    [anon_sym_BSLASHtext] = ACTIONS(6864),
    [anon_sym_BSLASHintertext] = ACTIONS(6864),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6864),
    [anon_sym_BSLASHbegin] = ACTIONS(6864),
    [anon_sym_BSLASHtitle] = ACTIONS(6864),
    [anon_sym_BSLASHauthor] = ACTIONS(6864),
    [anon_sym_BSLASHusepackage] = ACTIONS(6864),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6864),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6864),
    [anon_sym_BSLASHinclude] = ACTIONS(6864),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6864),
    [anon_sym_BSLASHinput] = ACTIONS(6864),
    [anon_sym_BSLASHsubfile] = ACTIONS(6864),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6864),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6864),
    [anon_sym_BSLASHbibliography] = ACTIONS(6864),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6864),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6864),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6864),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6864),
    [anon_sym_BSLASHimport] = ACTIONS(6864),
    [anon_sym_BSLASHsubimport] = ACTIONS(6864),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6864),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6864),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6864),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6864),
    [anon_sym_BSLASHcaption] = ACTIONS(6864),
    [anon_sym_BSLASHcite] = ACTIONS(6864),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCite] = ACTIONS(6864),
    [anon_sym_BSLASHnocite] = ACTIONS(6864),
    [anon_sym_BSLASHcitet] = ACTIONS(6864),
    [anon_sym_BSLASHcitep] = ACTIONS(6864),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteA] = ACTIONS(6864),
    [anon_sym_BSLASHciteR] = ACTIONS(6864),
    [anon_sym_BSLASHciteS] = ACTIONS(6864),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6864),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6864),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6864),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6864),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteyear] = ACTIONS(6864),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitedate] = ACTIONS(6864),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteurl] = ACTIONS(6864),
    [anon_sym_BSLASHfullcite] = ACTIONS(6864),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6864),
    [anon_sym_BSLASHcitealt] = ACTIONS(6864),
    [anon_sym_BSLASHcitealp] = ACTIONS(6864),
    [anon_sym_BSLASHcitetext] = ACTIONS(6864),
    [anon_sym_BSLASHparencite] = ACTIONS(6864),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHParencite] = ACTIONS(6864),
    [anon_sym_BSLASHfootcite] = ACTIONS(6864),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6864),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6864),
    [anon_sym_BSLASHtextcite] = ACTIONS(6864),
    [anon_sym_BSLASHTextcite] = ACTIONS(6864),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6864),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6864),
    [anon_sym_BSLASHsupercite] = ACTIONS(6864),
    [anon_sym_BSLASHautocite] = ACTIONS(6864),
    [anon_sym_BSLASHAutocite] = ACTIONS(6864),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHVolcite] = ACTIONS(6864),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHavolcite] = ACTIONS(6864),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHNotecite] = ACTIONS(6864),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHlabel] = ACTIONS(6864),
    [anon_sym_BSLASHref] = ACTIONS(6864),
    [anon_sym_BSLASHeqref] = ACTIONS(6864),
    [anon_sym_BSLASHvref] = ACTIONS(6864),
    [anon_sym_BSLASHVref] = ACTIONS(6864),
    [anon_sym_BSLASHautoref] = ACTIONS(6864),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHpageref] = ACTIONS(6864),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHautopageref] = ACTIONS(6864),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcref] = ACTIONS(6864),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCref] = ACTIONS(6864),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcpageref] = ACTIONS(6864),
    [anon_sym_BSLASHCpageref] = ACTIONS(6864),
    [anon_sym_BSLASHnamecref] = ACTIONS(6864),
    [anon_sym_BSLASHnameCref] = ACTIONS(6864),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6864),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6864),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6864),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6864),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6864),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6864),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6864),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6864),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6864),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6864),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6864),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHdef] = ACTIONS(6864),
    [anon_sym_BSLASHgdef] = ACTIONS(6864),
    [anon_sym_BSLASHedef] = ACTIONS(6864),
    [anon_sym_BSLASHxdef] = ACTIONS(6864),
    [anon_sym_BSLASHlet] = ACTIONS(6864),
    [anon_sym_BSLASHglet] = ACTIONS(6864),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6864),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6864),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6864),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6864),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6864),
    [anon_sym_BSLASHgls] = ACTIONS(6864),
    [anon_sym_BSLASHGls] = ACTIONS(6864),
    [anon_sym_BSLASHGLS] = ACTIONS(6864),
    [anon_sym_BSLASHglspl] = ACTIONS(6864),
    [anon_sym_BSLASHGlspl] = ACTIONS(6864),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6864),
    [anon_sym_BSLASHglslink] = ACTIONS(6864),
    [anon_sym_BSLASHglstext] = ACTIONS(6864),
    [anon_sym_BSLASHGlstext] = ACTIONS(6864),
    [anon_sym_BSLASHGLStext] = ACTIONS(6864),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6864),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6864),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6864),
    [anon_sym_BSLASHglsplural] = ACTIONS(6864),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6864),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6864),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHglsname] = ACTIONS(6864),
    [anon_sym_BSLASHGlsname] = ACTIONS(6864),
    [anon_sym_BSLASHGLSname] = ACTIONS(6864),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6864),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6864),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6864),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6864),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6864),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6864),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6864),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6864),
    [anon_sym_BSLASHacrshort] = ACTIONS(6864),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6864),
    [anon_sym_BSLASHACRshort] = ACTIONS(6864),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHacrlong] = ACTIONS(6864),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6864),
    [anon_sym_BSLASHACRlong] = ACTIONS(6864),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHacrfull] = ACTIONS(6864),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6864),
    [anon_sym_BSLASHACRfull] = ACTIONS(6864),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHacs] = ACTIONS(6864),
    [anon_sym_BSLASHAcs] = ACTIONS(6864),
    [anon_sym_BSLASHacsp] = ACTIONS(6864),
    [anon_sym_BSLASHAcsp] = ACTIONS(6864),
    [anon_sym_BSLASHacl] = ACTIONS(6864),
    [anon_sym_BSLASHAcl] = ACTIONS(6864),
    [anon_sym_BSLASHaclp] = ACTIONS(6864),
    [anon_sym_BSLASHAclp] = ACTIONS(6864),
    [anon_sym_BSLASHacf] = ACTIONS(6864),
    [anon_sym_BSLASHAcf] = ACTIONS(6864),
    [anon_sym_BSLASHacfp] = ACTIONS(6864),
    [anon_sym_BSLASHAcfp] = ACTIONS(6864),
    [anon_sym_BSLASHac] = ACTIONS(6864),
    [anon_sym_BSLASHAc] = ACTIONS(6864),
    [anon_sym_BSLASHacp] = ACTIONS(6864),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6864),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6864),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6864),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6864),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6864),
    [anon_sym_BSLASHcolor] = ACTIONS(6864),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6864),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6864),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6864),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6864),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6864),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6864),
    [anon_sym_BSLASHurl] = ACTIONS(6864),
    [anon_sym_BSLASHhref] = ACTIONS(6864),
  },
  [975] = {
    [sym_curly_group] = STATE(1512),
    [aux_sym_generic_command_repeat1] = STATE(975),
    [sym_command_name] = ACTIONS(6864),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6864),
    [anon_sym_LBRACK] = ACTIONS(6866),
    [anon_sym_RBRACK] = ACTIONS(6866),
    [anon_sym_COMMA] = ACTIONS(6866),
    [anon_sym_EQ] = ACTIONS(6866),
    [anon_sym_LPAREN] = ACTIONS(6866),
    [anon_sym_RPAREN] = ACTIONS(6866),
    [anon_sym_BSLASHpart] = ACTIONS(6864),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHaddpart] = ACTIONS(6864),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHchapter] = ACTIONS(6864),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHaddchap] = ACTIONS(6864),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHsection] = ACTIONS(6864),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHaddsec] = ACTIONS(6864),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHsubsection] = ACTIONS(6864),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6864),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHparagraph] = ACTIONS(6864),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6864),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHitem] = ACTIONS(6864),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6866),
    [anon_sym_LBRACE] = ACTIONS(7782),
    [sym_word] = ACTIONS(6864),
    [sym_placeholder] = ACTIONS(6866),
    [sym_delimiter] = ACTIONS(6866),
    [anon_sym_PLUS] = ACTIONS(6866),
    [anon_sym_DASH] = ACTIONS(6866),
    [anon_sym_STAR] = ACTIONS(6866),
    [anon_sym_SLASH] = ACTIONS(6866),
    [anon_sym_LT] = ACTIONS(6864),
    [anon_sym_GT] = ACTIONS(6864),
    [anon_sym_BANG] = ACTIONS(6864),
    [anon_sym_PIPE] = ACTIONS(6864),
    [anon_sym_COLON] = ACTIONS(6864),
    [anon_sym_SQUOTE] = ACTIONS(6864),
    [anon_sym__] = ACTIONS(6866),
    [anon_sym_CARET] = ACTIONS(6866),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6866),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6866),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6866),
    [anon_sym_DOLLAR] = ACTIONS(6864),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6866),
    [anon_sym_BSLASHleft] = ACTIONS(6864),
    [anon_sym_BSLASHbigl] = ACTIONS(6864),
    [anon_sym_BSLASHBigl] = ACTIONS(6864),
    [anon_sym_BSLASHbiggl] = ACTIONS(6864),
    [anon_sym_BSLASHBiggl] = ACTIONS(6864),
    [anon_sym_BSLASHtext] = ACTIONS(6864),
    [anon_sym_BSLASHintertext] = ACTIONS(6864),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6864),
    [anon_sym_BSLASHbegin] = ACTIONS(6864),
    [anon_sym_BSLASHtitle] = ACTIONS(6864),
    [anon_sym_BSLASHauthor] = ACTIONS(6864),
    [anon_sym_BSLASHusepackage] = ACTIONS(6864),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6864),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6864),
    [anon_sym_BSLASHinclude] = ACTIONS(6864),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6864),
    [anon_sym_BSLASHinput] = ACTIONS(6864),
    [anon_sym_BSLASHsubfile] = ACTIONS(6864),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6864),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6864),
    [anon_sym_BSLASHbibliography] = ACTIONS(6864),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6864),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6864),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6864),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6864),
    [anon_sym_BSLASHimport] = ACTIONS(6864),
    [anon_sym_BSLASHsubimport] = ACTIONS(6864),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6864),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6864),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6864),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6864),
    [anon_sym_BSLASHcaption] = ACTIONS(6864),
    [anon_sym_BSLASHcite] = ACTIONS(6864),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCite] = ACTIONS(6864),
    [anon_sym_BSLASHnocite] = ACTIONS(6864),
    [anon_sym_BSLASHcitet] = ACTIONS(6864),
    [anon_sym_BSLASHcitep] = ACTIONS(6864),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteA] = ACTIONS(6864),
    [anon_sym_BSLASHciteR] = ACTIONS(6864),
    [anon_sym_BSLASHciteS] = ACTIONS(6864),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6864),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6864),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6864),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6864),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteyear] = ACTIONS(6864),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitedate] = ACTIONS(6864),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteurl] = ACTIONS(6864),
    [anon_sym_BSLASHfullcite] = ACTIONS(6864),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6864),
    [anon_sym_BSLASHcitealt] = ACTIONS(6864),
    [anon_sym_BSLASHcitealp] = ACTIONS(6864),
    [anon_sym_BSLASHcitetext] = ACTIONS(6864),
    [anon_sym_BSLASHparencite] = ACTIONS(6864),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHParencite] = ACTIONS(6864),
    [anon_sym_BSLASHfootcite] = ACTIONS(6864),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6864),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6864),
    [anon_sym_BSLASHtextcite] = ACTIONS(6864),
    [anon_sym_BSLASHTextcite] = ACTIONS(6864),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6864),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6864),
    [anon_sym_BSLASHsupercite] = ACTIONS(6864),
    [anon_sym_BSLASHautocite] = ACTIONS(6864),
    [anon_sym_BSLASHAutocite] = ACTIONS(6864),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHVolcite] = ACTIONS(6864),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHavolcite] = ACTIONS(6864),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHNotecite] = ACTIONS(6864),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHlabel] = ACTIONS(6864),
    [anon_sym_BSLASHref] = ACTIONS(6864),
    [anon_sym_BSLASHeqref] = ACTIONS(6864),
    [anon_sym_BSLASHvref] = ACTIONS(6864),
    [anon_sym_BSLASHVref] = ACTIONS(6864),
    [anon_sym_BSLASHautoref] = ACTIONS(6864),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHpageref] = ACTIONS(6864),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHautopageref] = ACTIONS(6864),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcref] = ACTIONS(6864),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCref] = ACTIONS(6864),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcpageref] = ACTIONS(6864),
    [anon_sym_BSLASHCpageref] = ACTIONS(6864),
    [anon_sym_BSLASHnamecref] = ACTIONS(6864),
    [anon_sym_BSLASHnameCref] = ACTIONS(6864),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6864),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6864),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6864),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6864),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6864),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6864),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6864),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6864),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6864),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6864),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6864),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHdef] = ACTIONS(6864),
    [anon_sym_BSLASHgdef] = ACTIONS(6864),
    [anon_sym_BSLASHedef] = ACTIONS(6864),
    [anon_sym_BSLASHxdef] = ACTIONS(6864),
    [anon_sym_BSLASHlet] = ACTIONS(6864),
    [anon_sym_BSLASHglet] = ACTIONS(6864),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6864),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6864),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6864),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6864),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6864),
    [anon_sym_BSLASHgls] = ACTIONS(6864),
    [anon_sym_BSLASHGls] = ACTIONS(6864),
    [anon_sym_BSLASHGLS] = ACTIONS(6864),
    [anon_sym_BSLASHglspl] = ACTIONS(6864),
    [anon_sym_BSLASHGlspl] = ACTIONS(6864),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6864),
    [anon_sym_BSLASHglslink] = ACTIONS(6864),
    [anon_sym_BSLASHglstext] = ACTIONS(6864),
    [anon_sym_BSLASHGlstext] = ACTIONS(6864),
    [anon_sym_BSLASHGLStext] = ACTIONS(6864),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6864),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6864),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6864),
    [anon_sym_BSLASHglsplural] = ACTIONS(6864),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6864),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6864),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHglsname] = ACTIONS(6864),
    [anon_sym_BSLASHGlsname] = ACTIONS(6864),
    [anon_sym_BSLASHGLSname] = ACTIONS(6864),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6864),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6864),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6864),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6864),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6864),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6864),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6864),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6864),
    [anon_sym_BSLASHacrshort] = ACTIONS(6864),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6864),
    [anon_sym_BSLASHACRshort] = ACTIONS(6864),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHacrlong] = ACTIONS(6864),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6864),
    [anon_sym_BSLASHACRlong] = ACTIONS(6864),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHacrfull] = ACTIONS(6864),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6864),
    [anon_sym_BSLASHACRfull] = ACTIONS(6864),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHacs] = ACTIONS(6864),
    [anon_sym_BSLASHAcs] = ACTIONS(6864),
    [anon_sym_BSLASHacsp] = ACTIONS(6864),
    [anon_sym_BSLASHAcsp] = ACTIONS(6864),
    [anon_sym_BSLASHacl] = ACTIONS(6864),
    [anon_sym_BSLASHAcl] = ACTIONS(6864),
    [anon_sym_BSLASHaclp] = ACTIONS(6864),
    [anon_sym_BSLASHAclp] = ACTIONS(6864),
    [anon_sym_BSLASHacf] = ACTIONS(6864),
    [anon_sym_BSLASHAcf] = ACTIONS(6864),
    [anon_sym_BSLASHacfp] = ACTIONS(6864),
    [anon_sym_BSLASHAcfp] = ACTIONS(6864),
    [anon_sym_BSLASHac] = ACTIONS(6864),
    [anon_sym_BSLASHAc] = ACTIONS(6864),
    [anon_sym_BSLASHacp] = ACTIONS(6864),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6864),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6864),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6864),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6864),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6864),
    [anon_sym_BSLASHcolor] = ACTIONS(6864),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6864),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6864),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6864),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6864),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6864),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6864),
    [anon_sym_BSLASHurl] = ACTIONS(6864),
    [anon_sym_BSLASHhref] = ACTIONS(6864),
  },
  [976] = {
    [ts_builtin_sym_end] = ACTIONS(7093),
    [sym_command_name] = ACTIONS(7091),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7091),
    [anon_sym_LBRACK] = ACTIONS(7093),
    [anon_sym_RBRACK] = ACTIONS(7093),
    [anon_sym_COMMA] = ACTIONS(7093),
    [anon_sym_EQ] = ACTIONS(7093),
    [anon_sym_LPAREN] = ACTIONS(7093),
    [anon_sym_RPAREN] = ACTIONS(7093),
    [anon_sym_BSLASHpart] = ACTIONS(7091),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHaddpart] = ACTIONS(7091),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHchapter] = ACTIONS(7091),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHaddchap] = ACTIONS(7091),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHsection] = ACTIONS(7091),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHaddsec] = ACTIONS(7091),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHsubsection] = ACTIONS(7091),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7091),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHparagraph] = ACTIONS(7091),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7091),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHitem] = ACTIONS(7091),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7093),
    [anon_sym_LBRACE] = ACTIONS(7093),
    [anon_sym_RBRACE] = ACTIONS(7093),
    [sym_word] = ACTIONS(7091),
    [sym_placeholder] = ACTIONS(7093),
    [sym_delimiter] = ACTIONS(7093),
    [anon_sym_PLUS] = ACTIONS(7093),
    [anon_sym_DASH] = ACTIONS(7093),
    [anon_sym_STAR] = ACTIONS(7093),
    [anon_sym_SLASH] = ACTIONS(7093),
    [anon_sym_LT] = ACTIONS(7091),
    [anon_sym_GT] = ACTIONS(7091),
    [anon_sym_BANG] = ACTIONS(7091),
    [anon_sym_PIPE] = ACTIONS(7091),
    [anon_sym_COLON] = ACTIONS(7091),
    [anon_sym_SQUOTE] = ACTIONS(7091),
    [anon_sym__] = ACTIONS(7093),
    [anon_sym_CARET] = ACTIONS(7093),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7093),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7093),
    [anon_sym_DOLLAR] = ACTIONS(7091),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7093),
    [anon_sym_BSLASHleft] = ACTIONS(7091),
    [anon_sym_BSLASHbigl] = ACTIONS(7091),
    [anon_sym_BSLASHBigl] = ACTIONS(7091),
    [anon_sym_BSLASHbiggl] = ACTIONS(7091),
    [anon_sym_BSLASHBiggl] = ACTIONS(7091),
    [anon_sym_BSLASHtext] = ACTIONS(7091),
    [anon_sym_BSLASHintertext] = ACTIONS(7091),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7091),
    [anon_sym_BSLASHbegin] = ACTIONS(7091),
    [anon_sym_BSLASHtitle] = ACTIONS(7091),
    [anon_sym_BSLASHauthor] = ACTIONS(7091),
    [anon_sym_BSLASHusepackage] = ACTIONS(7091),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7091),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7091),
    [anon_sym_BSLASHinclude] = ACTIONS(7091),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7091),
    [anon_sym_BSLASHinput] = ACTIONS(7091),
    [anon_sym_BSLASHsubfile] = ACTIONS(7091),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7091),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7091),
    [anon_sym_BSLASHbibliography] = ACTIONS(7091),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7091),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7091),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7091),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7091),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7091),
    [anon_sym_BSLASHimport] = ACTIONS(7091),
    [anon_sym_BSLASHsubimport] = ACTIONS(7091),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7091),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7091),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7091),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7091),
    [anon_sym_BSLASHcaption] = ACTIONS(7091),
    [anon_sym_BSLASHcite] = ACTIONS(7091),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHCite] = ACTIONS(7091),
    [anon_sym_BSLASHnocite] = ACTIONS(7091),
    [anon_sym_BSLASHcitet] = ACTIONS(7091),
    [anon_sym_BSLASHcitep] = ACTIONS(7091),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHciteA] = ACTIONS(7091),
    [anon_sym_BSLASHciteR] = ACTIONS(7091),
    [anon_sym_BSLASHciteS] = ACTIONS(7091),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7091),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7091),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7091),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7091),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHciteyear] = ACTIONS(7091),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcitedate] = ACTIONS(7091),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHciteurl] = ACTIONS(7091),
    [anon_sym_BSLASHfullcite] = ACTIONS(7091),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7091),
    [anon_sym_BSLASHcitealt] = ACTIONS(7091),
    [anon_sym_BSLASHcitealp] = ACTIONS(7091),
    [anon_sym_BSLASHcitetext] = ACTIONS(7091),
    [anon_sym_BSLASHparencite] = ACTIONS(7091),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHParencite] = ACTIONS(7091),
    [anon_sym_BSLASHfootcite] = ACTIONS(7091),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7091),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7091),
    [anon_sym_BSLASHtextcite] = ACTIONS(7091),
    [anon_sym_BSLASHTextcite] = ACTIONS(7091),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7091),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7091),
    [anon_sym_BSLASHsupercite] = ACTIONS(7091),
    [anon_sym_BSLASHautocite] = ACTIONS(7091),
    [anon_sym_BSLASHAutocite] = ACTIONS(7091),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHVolcite] = ACTIONS(7091),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHavolcite] = ACTIONS(7091),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHnotecite] = ACTIONS(7091),
    [anon_sym_BSLASHNotecite] = ACTIONS(7091),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7091),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7091),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7091),
    [anon_sym_BSLASHlabel] = ACTIONS(7091),
    [anon_sym_BSLASHref] = ACTIONS(7091),
    [anon_sym_BSLASHeqref] = ACTIONS(7091),
    [anon_sym_BSLASHvref] = ACTIONS(7091),
    [anon_sym_BSLASHVref] = ACTIONS(7091),
    [anon_sym_BSLASHautoref] = ACTIONS(7091),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHpageref] = ACTIONS(7091),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHautopageref] = ACTIONS(7091),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcref] = ACTIONS(7091),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHCref] = ACTIONS(7091),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcpageref] = ACTIONS(7091),
    [anon_sym_BSLASHCpageref] = ACTIONS(7091),
    [anon_sym_BSLASHnamecref] = ACTIONS(7091),
    [anon_sym_BSLASHnameCref] = ACTIONS(7091),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7091),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7091),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7091),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7091),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7091),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7091),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7091),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7091),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7091),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7091),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7091),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7091),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7091),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7091),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7091),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7091),
    [anon_sym_BSLASHdef] = ACTIONS(7091),
    [anon_sym_BSLASHgdef] = ACTIONS(7091),
    [anon_sym_BSLASHedef] = ACTIONS(7091),
    [anon_sym_BSLASHxdef] = ACTIONS(7091),
    [anon_sym_BSLASHlet] = ACTIONS(7091),
    [anon_sym_BSLASHglet] = ACTIONS(7091),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7091),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7091),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7091),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7091),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7091),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7091),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7091),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7091),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7091),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7091),
    [anon_sym_BSLASHgls] = ACTIONS(7091),
    [anon_sym_BSLASHGls] = ACTIONS(7091),
    [anon_sym_BSLASHGLS] = ACTIONS(7091),
    [anon_sym_BSLASHglspl] = ACTIONS(7091),
    [anon_sym_BSLASHGlspl] = ACTIONS(7091),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7091),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7091),
    [anon_sym_BSLASHglslink] = ACTIONS(7091),
    [anon_sym_BSLASHglstext] = ACTIONS(7091),
    [anon_sym_BSLASHGlstext] = ACTIONS(7091),
    [anon_sym_BSLASHGLStext] = ACTIONS(7091),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7091),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7091),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7091),
    [anon_sym_BSLASHglsplural] = ACTIONS(7091),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7091),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7091),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7091),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7091),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7091),
    [anon_sym_BSLASHglsname] = ACTIONS(7091),
    [anon_sym_BSLASHGlsname] = ACTIONS(7091),
    [anon_sym_BSLASHGLSname] = ACTIONS(7091),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7091),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7091),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7091),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7091),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7091),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7091),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7091),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7091),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7091),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7091),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7091),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7091),
    [anon_sym_BSLASHacrshort] = ACTIONS(7091),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7091),
    [anon_sym_BSLASHACRshort] = ACTIONS(7091),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHacrlong] = ACTIONS(7091),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7091),
    [anon_sym_BSLASHACRlong] = ACTIONS(7091),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7091),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7091),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7091),
    [anon_sym_BSLASHacrfull] = ACTIONS(7091),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7091),
    [anon_sym_BSLASHACRfull] = ACTIONS(7091),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHacs] = ACTIONS(7091),
    [anon_sym_BSLASHAcs] = ACTIONS(7091),
    [anon_sym_BSLASHacsp] = ACTIONS(7091),
    [anon_sym_BSLASHAcsp] = ACTIONS(7091),
    [anon_sym_BSLASHacl] = ACTIONS(7091),
    [anon_sym_BSLASHAcl] = ACTIONS(7091),
    [anon_sym_BSLASHaclp] = ACTIONS(7091),
    [anon_sym_BSLASHAclp] = ACTIONS(7091),
    [anon_sym_BSLASHacf] = ACTIONS(7091),
    [anon_sym_BSLASHAcf] = ACTIONS(7091),
    [anon_sym_BSLASHacfp] = ACTIONS(7091),
    [anon_sym_BSLASHAcfp] = ACTIONS(7091),
    [anon_sym_BSLASHac] = ACTIONS(7091),
    [anon_sym_BSLASHAc] = ACTIONS(7091),
    [anon_sym_BSLASHacp] = ACTIONS(7091),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7091),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7091),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7091),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7091),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7091),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7091),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7091),
    [anon_sym_BSLASHcolor] = ACTIONS(7091),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7091),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7091),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7091),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7091),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7091),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7091),
    [anon_sym_BSLASHurl] = ACTIONS(7091),
    [anon_sym_BSLASHhref] = ACTIONS(7091),
  },
  [977] = {
    [ts_builtin_sym_end] = ACTIONS(7337),
    [sym_command_name] = ACTIONS(7335),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7335),
    [anon_sym_LBRACK] = ACTIONS(7337),
    [anon_sym_RBRACK] = ACTIONS(7337),
    [anon_sym_COMMA] = ACTIONS(7337),
    [anon_sym_EQ] = ACTIONS(7337),
    [anon_sym_LPAREN] = ACTIONS(7337),
    [anon_sym_RPAREN] = ACTIONS(7337),
    [anon_sym_BSLASHpart] = ACTIONS(7335),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHaddpart] = ACTIONS(7335),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHchapter] = ACTIONS(7335),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHaddchap] = ACTIONS(7335),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHsection] = ACTIONS(7335),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHaddsec] = ACTIONS(7335),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHsubsection] = ACTIONS(7335),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7335),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHparagraph] = ACTIONS(7335),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7335),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHitem] = ACTIONS(7335),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7337),
    [anon_sym_LBRACE] = ACTIONS(7337),
    [anon_sym_RBRACE] = ACTIONS(7337),
    [sym_word] = ACTIONS(7335),
    [sym_placeholder] = ACTIONS(7337),
    [sym_delimiter] = ACTIONS(7337),
    [anon_sym_PLUS] = ACTIONS(7337),
    [anon_sym_DASH] = ACTIONS(7337),
    [anon_sym_STAR] = ACTIONS(7337),
    [anon_sym_SLASH] = ACTIONS(7337),
    [anon_sym_LT] = ACTIONS(7335),
    [anon_sym_GT] = ACTIONS(7335),
    [anon_sym_BANG] = ACTIONS(7335),
    [anon_sym_PIPE] = ACTIONS(7335),
    [anon_sym_COLON] = ACTIONS(7335),
    [anon_sym_SQUOTE] = ACTIONS(7335),
    [anon_sym__] = ACTIONS(7337),
    [anon_sym_CARET] = ACTIONS(7337),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7337),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7337),
    [anon_sym_DOLLAR] = ACTIONS(7335),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7337),
    [anon_sym_BSLASHleft] = ACTIONS(7335),
    [anon_sym_BSLASHbigl] = ACTIONS(7335),
    [anon_sym_BSLASHBigl] = ACTIONS(7335),
    [anon_sym_BSLASHbiggl] = ACTIONS(7335),
    [anon_sym_BSLASHBiggl] = ACTIONS(7335),
    [anon_sym_BSLASHtext] = ACTIONS(7335),
    [anon_sym_BSLASHintertext] = ACTIONS(7335),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7335),
    [anon_sym_BSLASHbegin] = ACTIONS(7335),
    [anon_sym_BSLASHtitle] = ACTIONS(7335),
    [anon_sym_BSLASHauthor] = ACTIONS(7335),
    [anon_sym_BSLASHusepackage] = ACTIONS(7335),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7335),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7335),
    [anon_sym_BSLASHinclude] = ACTIONS(7335),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7335),
    [anon_sym_BSLASHinput] = ACTIONS(7335),
    [anon_sym_BSLASHsubfile] = ACTIONS(7335),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7335),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7335),
    [anon_sym_BSLASHbibliography] = ACTIONS(7335),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7335),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7335),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7335),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7335),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7335),
    [anon_sym_BSLASHimport] = ACTIONS(7335),
    [anon_sym_BSLASHsubimport] = ACTIONS(7335),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7335),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7335),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7335),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7335),
    [anon_sym_BSLASHcaption] = ACTIONS(7335),
    [anon_sym_BSLASHcite] = ACTIONS(7335),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCite] = ACTIONS(7335),
    [anon_sym_BSLASHnocite] = ACTIONS(7335),
    [anon_sym_BSLASHcitet] = ACTIONS(7335),
    [anon_sym_BSLASHcitep] = ACTIONS(7335),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteA] = ACTIONS(7335),
    [anon_sym_BSLASHciteR] = ACTIONS(7335),
    [anon_sym_BSLASHciteS] = ACTIONS(7335),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7335),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7335),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7335),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7335),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteyear] = ACTIONS(7335),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitedate] = ACTIONS(7335),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteurl] = ACTIONS(7335),
    [anon_sym_BSLASHfullcite] = ACTIONS(7335),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7335),
    [anon_sym_BSLASHcitealt] = ACTIONS(7335),
    [anon_sym_BSLASHcitealp] = ACTIONS(7335),
    [anon_sym_BSLASHcitetext] = ACTIONS(7335),
    [anon_sym_BSLASHparencite] = ACTIONS(7335),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHParencite] = ACTIONS(7335),
    [anon_sym_BSLASHfootcite] = ACTIONS(7335),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7335),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7335),
    [anon_sym_BSLASHtextcite] = ACTIONS(7335),
    [anon_sym_BSLASHTextcite] = ACTIONS(7335),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7335),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7335),
    [anon_sym_BSLASHsupercite] = ACTIONS(7335),
    [anon_sym_BSLASHautocite] = ACTIONS(7335),
    [anon_sym_BSLASHAutocite] = ACTIONS(7335),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHVolcite] = ACTIONS(7335),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHavolcite] = ACTIONS(7335),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHNotecite] = ACTIONS(7335),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHlabel] = ACTIONS(7335),
    [anon_sym_BSLASHref] = ACTIONS(7335),
    [anon_sym_BSLASHeqref] = ACTIONS(7335),
    [anon_sym_BSLASHvref] = ACTIONS(7335),
    [anon_sym_BSLASHVref] = ACTIONS(7335),
    [anon_sym_BSLASHautoref] = ACTIONS(7335),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHpageref] = ACTIONS(7335),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHautopageref] = ACTIONS(7335),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcref] = ACTIONS(7335),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCref] = ACTIONS(7335),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcpageref] = ACTIONS(7335),
    [anon_sym_BSLASHCpageref] = ACTIONS(7335),
    [anon_sym_BSLASHnamecref] = ACTIONS(7335),
    [anon_sym_BSLASHnameCref] = ACTIONS(7335),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7335),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7335),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7335),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7335),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7335),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7335),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7335),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7335),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7335),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7335),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7335),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHdef] = ACTIONS(7335),
    [anon_sym_BSLASHgdef] = ACTIONS(7335),
    [anon_sym_BSLASHedef] = ACTIONS(7335),
    [anon_sym_BSLASHxdef] = ACTIONS(7335),
    [anon_sym_BSLASHlet] = ACTIONS(7335),
    [anon_sym_BSLASHglet] = ACTIONS(7335),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7335),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7335),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7335),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7335),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7335),
    [anon_sym_BSLASHgls] = ACTIONS(7335),
    [anon_sym_BSLASHGls] = ACTIONS(7335),
    [anon_sym_BSLASHGLS] = ACTIONS(7335),
    [anon_sym_BSLASHglspl] = ACTIONS(7335),
    [anon_sym_BSLASHGlspl] = ACTIONS(7335),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7335),
    [anon_sym_BSLASHglslink] = ACTIONS(7335),
    [anon_sym_BSLASHglstext] = ACTIONS(7335),
    [anon_sym_BSLASHGlstext] = ACTIONS(7335),
    [anon_sym_BSLASHGLStext] = ACTIONS(7335),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7335),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7335),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7335),
    [anon_sym_BSLASHglsplural] = ACTIONS(7335),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7335),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7335),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHglsname] = ACTIONS(7335),
    [anon_sym_BSLASHGlsname] = ACTIONS(7335),
    [anon_sym_BSLASHGLSname] = ACTIONS(7335),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7335),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7335),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7335),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7335),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7335),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7335),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7335),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7335),
    [anon_sym_BSLASHacrshort] = ACTIONS(7335),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7335),
    [anon_sym_BSLASHACRshort] = ACTIONS(7335),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHacrlong] = ACTIONS(7335),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7335),
    [anon_sym_BSLASHACRlong] = ACTIONS(7335),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHacrfull] = ACTIONS(7335),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7335),
    [anon_sym_BSLASHACRfull] = ACTIONS(7335),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHacs] = ACTIONS(7335),
    [anon_sym_BSLASHAcs] = ACTIONS(7335),
    [anon_sym_BSLASHacsp] = ACTIONS(7335),
    [anon_sym_BSLASHAcsp] = ACTIONS(7335),
    [anon_sym_BSLASHacl] = ACTIONS(7335),
    [anon_sym_BSLASHAcl] = ACTIONS(7335),
    [anon_sym_BSLASHaclp] = ACTIONS(7335),
    [anon_sym_BSLASHAclp] = ACTIONS(7335),
    [anon_sym_BSLASHacf] = ACTIONS(7335),
    [anon_sym_BSLASHAcf] = ACTIONS(7335),
    [anon_sym_BSLASHacfp] = ACTIONS(7335),
    [anon_sym_BSLASHAcfp] = ACTIONS(7335),
    [anon_sym_BSLASHac] = ACTIONS(7335),
    [anon_sym_BSLASHAc] = ACTIONS(7335),
    [anon_sym_BSLASHacp] = ACTIONS(7335),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7335),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7335),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7335),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7335),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7335),
    [anon_sym_BSLASHcolor] = ACTIONS(7335),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7335),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7335),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7335),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7335),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7335),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7335),
    [anon_sym_BSLASHurl] = ACTIONS(7335),
    [anon_sym_BSLASHhref] = ACTIONS(7335),
  },
  [978] = {
    [ts_builtin_sym_end] = ACTIONS(7597),
    [sym_command_name] = ACTIONS(7595),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7595),
    [anon_sym_LBRACK] = ACTIONS(7597),
    [anon_sym_RBRACK] = ACTIONS(7597),
    [anon_sym_COMMA] = ACTIONS(7597),
    [anon_sym_EQ] = ACTIONS(7597),
    [anon_sym_LPAREN] = ACTIONS(7597),
    [anon_sym_RPAREN] = ACTIONS(7597),
    [anon_sym_BSLASHpart] = ACTIONS(7595),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHaddpart] = ACTIONS(7595),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHchapter] = ACTIONS(7595),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHaddchap] = ACTIONS(7595),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHsection] = ACTIONS(7595),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHaddsec] = ACTIONS(7595),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHsubsection] = ACTIONS(7595),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7595),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHparagraph] = ACTIONS(7595),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7595),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHitem] = ACTIONS(7595),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7597),
    [anon_sym_LBRACE] = ACTIONS(7597),
    [anon_sym_RBRACE] = ACTIONS(7597),
    [sym_word] = ACTIONS(7595),
    [sym_placeholder] = ACTIONS(7597),
    [sym_delimiter] = ACTIONS(7597),
    [anon_sym_PLUS] = ACTIONS(7597),
    [anon_sym_DASH] = ACTIONS(7597),
    [anon_sym_STAR] = ACTIONS(7597),
    [anon_sym_SLASH] = ACTIONS(7597),
    [anon_sym_LT] = ACTIONS(7595),
    [anon_sym_GT] = ACTIONS(7595),
    [anon_sym_BANG] = ACTIONS(7595),
    [anon_sym_PIPE] = ACTIONS(7595),
    [anon_sym_COLON] = ACTIONS(7595),
    [anon_sym_SQUOTE] = ACTIONS(7595),
    [anon_sym__] = ACTIONS(7597),
    [anon_sym_CARET] = ACTIONS(7597),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7597),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7597),
    [anon_sym_DOLLAR] = ACTIONS(7595),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7597),
    [anon_sym_BSLASHleft] = ACTIONS(7595),
    [anon_sym_BSLASHbigl] = ACTIONS(7595),
    [anon_sym_BSLASHBigl] = ACTIONS(7595),
    [anon_sym_BSLASHbiggl] = ACTIONS(7595),
    [anon_sym_BSLASHBiggl] = ACTIONS(7595),
    [anon_sym_BSLASHtext] = ACTIONS(7595),
    [anon_sym_BSLASHintertext] = ACTIONS(7595),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7595),
    [anon_sym_BSLASHbegin] = ACTIONS(7595),
    [anon_sym_BSLASHtitle] = ACTIONS(7595),
    [anon_sym_BSLASHauthor] = ACTIONS(7595),
    [anon_sym_BSLASHusepackage] = ACTIONS(7595),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7595),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7595),
    [anon_sym_BSLASHinclude] = ACTIONS(7595),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7595),
    [anon_sym_BSLASHinput] = ACTIONS(7595),
    [anon_sym_BSLASHsubfile] = ACTIONS(7595),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7595),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7595),
    [anon_sym_BSLASHbibliography] = ACTIONS(7595),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7595),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7595),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7595),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7595),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7595),
    [anon_sym_BSLASHimport] = ACTIONS(7595),
    [anon_sym_BSLASHsubimport] = ACTIONS(7595),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7595),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7595),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7595),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7595),
    [anon_sym_BSLASHcaption] = ACTIONS(7595),
    [anon_sym_BSLASHcite] = ACTIONS(7595),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCite] = ACTIONS(7595),
    [anon_sym_BSLASHnocite] = ACTIONS(7595),
    [anon_sym_BSLASHcitet] = ACTIONS(7595),
    [anon_sym_BSLASHcitep] = ACTIONS(7595),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteA] = ACTIONS(7595),
    [anon_sym_BSLASHciteR] = ACTIONS(7595),
    [anon_sym_BSLASHciteS] = ACTIONS(7595),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7595),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7595),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7595),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7595),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteyear] = ACTIONS(7595),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitedate] = ACTIONS(7595),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteurl] = ACTIONS(7595),
    [anon_sym_BSLASHfullcite] = ACTIONS(7595),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7595),
    [anon_sym_BSLASHcitealt] = ACTIONS(7595),
    [anon_sym_BSLASHcitealp] = ACTIONS(7595),
    [anon_sym_BSLASHcitetext] = ACTIONS(7595),
    [anon_sym_BSLASHparencite] = ACTIONS(7595),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHParencite] = ACTIONS(7595),
    [anon_sym_BSLASHfootcite] = ACTIONS(7595),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7595),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7595),
    [anon_sym_BSLASHtextcite] = ACTIONS(7595),
    [anon_sym_BSLASHTextcite] = ACTIONS(7595),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7595),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7595),
    [anon_sym_BSLASHsupercite] = ACTIONS(7595),
    [anon_sym_BSLASHautocite] = ACTIONS(7595),
    [anon_sym_BSLASHAutocite] = ACTIONS(7595),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHVolcite] = ACTIONS(7595),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHavolcite] = ACTIONS(7595),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHNotecite] = ACTIONS(7595),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHlabel] = ACTIONS(7595),
    [anon_sym_BSLASHref] = ACTIONS(7595),
    [anon_sym_BSLASHeqref] = ACTIONS(7595),
    [anon_sym_BSLASHvref] = ACTIONS(7595),
    [anon_sym_BSLASHVref] = ACTIONS(7595),
    [anon_sym_BSLASHautoref] = ACTIONS(7595),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHpageref] = ACTIONS(7595),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHautopageref] = ACTIONS(7595),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcref] = ACTIONS(7595),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCref] = ACTIONS(7595),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcpageref] = ACTIONS(7595),
    [anon_sym_BSLASHCpageref] = ACTIONS(7595),
    [anon_sym_BSLASHnamecref] = ACTIONS(7595),
    [anon_sym_BSLASHnameCref] = ACTIONS(7595),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7595),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7595),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7595),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7595),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7595),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7595),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7595),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7595),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7595),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7595),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7595),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHdef] = ACTIONS(7595),
    [anon_sym_BSLASHgdef] = ACTIONS(7595),
    [anon_sym_BSLASHedef] = ACTIONS(7595),
    [anon_sym_BSLASHxdef] = ACTIONS(7595),
    [anon_sym_BSLASHlet] = ACTIONS(7595),
    [anon_sym_BSLASHglet] = ACTIONS(7595),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7595),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7595),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7595),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7595),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7595),
    [anon_sym_BSLASHgls] = ACTIONS(7595),
    [anon_sym_BSLASHGls] = ACTIONS(7595),
    [anon_sym_BSLASHGLS] = ACTIONS(7595),
    [anon_sym_BSLASHglspl] = ACTIONS(7595),
    [anon_sym_BSLASHGlspl] = ACTIONS(7595),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7595),
    [anon_sym_BSLASHglslink] = ACTIONS(7595),
    [anon_sym_BSLASHglstext] = ACTIONS(7595),
    [anon_sym_BSLASHGlstext] = ACTIONS(7595),
    [anon_sym_BSLASHGLStext] = ACTIONS(7595),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7595),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7595),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7595),
    [anon_sym_BSLASHglsplural] = ACTIONS(7595),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7595),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7595),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHglsname] = ACTIONS(7595),
    [anon_sym_BSLASHGlsname] = ACTIONS(7595),
    [anon_sym_BSLASHGLSname] = ACTIONS(7595),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7595),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7595),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7595),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7595),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7595),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7595),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7595),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7595),
    [anon_sym_BSLASHacrshort] = ACTIONS(7595),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7595),
    [anon_sym_BSLASHACRshort] = ACTIONS(7595),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHacrlong] = ACTIONS(7595),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7595),
    [anon_sym_BSLASHACRlong] = ACTIONS(7595),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHacrfull] = ACTIONS(7595),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7595),
    [anon_sym_BSLASHACRfull] = ACTIONS(7595),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHacs] = ACTIONS(7595),
    [anon_sym_BSLASHAcs] = ACTIONS(7595),
    [anon_sym_BSLASHacsp] = ACTIONS(7595),
    [anon_sym_BSLASHAcsp] = ACTIONS(7595),
    [anon_sym_BSLASHacl] = ACTIONS(7595),
    [anon_sym_BSLASHAcl] = ACTIONS(7595),
    [anon_sym_BSLASHaclp] = ACTIONS(7595),
    [anon_sym_BSLASHAclp] = ACTIONS(7595),
    [anon_sym_BSLASHacf] = ACTIONS(7595),
    [anon_sym_BSLASHAcf] = ACTIONS(7595),
    [anon_sym_BSLASHacfp] = ACTIONS(7595),
    [anon_sym_BSLASHAcfp] = ACTIONS(7595),
    [anon_sym_BSLASHac] = ACTIONS(7595),
    [anon_sym_BSLASHAc] = ACTIONS(7595),
    [anon_sym_BSLASHacp] = ACTIONS(7595),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7595),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7595),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7595),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7595),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7595),
    [anon_sym_BSLASHcolor] = ACTIONS(7595),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7595),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7595),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7595),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7595),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7595),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7595),
    [anon_sym_BSLASHurl] = ACTIONS(7595),
    [anon_sym_BSLASHhref] = ACTIONS(7595),
  },
  [979] = {
    [sym_brack_group_text] = STATE(1335),
    [sym_command_name] = ACTIONS(6917),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6917),
    [anon_sym_LBRACK] = ACTIONS(7785),
    [anon_sym_RBRACK] = ACTIONS(6921),
    [anon_sym_COMMA] = ACTIONS(6921),
    [anon_sym_EQ] = ACTIONS(6921),
    [anon_sym_LPAREN] = ACTIONS(6921),
    [anon_sym_RPAREN] = ACTIONS(6921),
    [anon_sym_BSLASHpart] = ACTIONS(6917),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHaddpart] = ACTIONS(6917),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHchapter] = ACTIONS(6917),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHaddchap] = ACTIONS(6917),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHsection] = ACTIONS(6917),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHaddsec] = ACTIONS(6917),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHsubsection] = ACTIONS(6917),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6917),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHparagraph] = ACTIONS(6917),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6917),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHitem] = ACTIONS(6917),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6921),
    [anon_sym_LBRACE] = ACTIONS(6921),
    [sym_word] = ACTIONS(6917),
    [sym_placeholder] = ACTIONS(6921),
    [sym_delimiter] = ACTIONS(6921),
    [anon_sym_PLUS] = ACTIONS(6921),
    [anon_sym_DASH] = ACTIONS(6921),
    [anon_sym_STAR] = ACTIONS(6921),
    [anon_sym_SLASH] = ACTIONS(6921),
    [anon_sym_LT] = ACTIONS(6917),
    [anon_sym_GT] = ACTIONS(6917),
    [anon_sym_BANG] = ACTIONS(6917),
    [anon_sym_PIPE] = ACTIONS(6917),
    [anon_sym_COLON] = ACTIONS(6917),
    [anon_sym_SQUOTE] = ACTIONS(6917),
    [anon_sym__] = ACTIONS(6921),
    [anon_sym_CARET] = ACTIONS(6921),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6921),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6921),
    [anon_sym_DOLLAR] = ACTIONS(6917),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6921),
    [anon_sym_BSLASHleft] = ACTIONS(6917),
    [anon_sym_BSLASHbigl] = ACTIONS(6917),
    [anon_sym_BSLASHBigl] = ACTIONS(6917),
    [anon_sym_BSLASHbiggl] = ACTIONS(6917),
    [anon_sym_BSLASHBiggl] = ACTIONS(6917),
    [anon_sym_BSLASHtext] = ACTIONS(6917),
    [anon_sym_BSLASHintertext] = ACTIONS(6917),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6917),
    [anon_sym_BSLASHbegin] = ACTIONS(6917),
    [anon_sym_BSLASHend] = ACTIONS(6917),
    [anon_sym_BSLASHtitle] = ACTIONS(6917),
    [anon_sym_BSLASHauthor] = ACTIONS(6917),
    [anon_sym_BSLASHusepackage] = ACTIONS(6917),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6917),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6917),
    [anon_sym_BSLASHinclude] = ACTIONS(6917),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6917),
    [anon_sym_BSLASHinput] = ACTIONS(6917),
    [anon_sym_BSLASHsubfile] = ACTIONS(6917),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6917),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6917),
    [anon_sym_BSLASHbibliography] = ACTIONS(6917),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6917),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6917),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6917),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6917),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6917),
    [anon_sym_BSLASHimport] = ACTIONS(6917),
    [anon_sym_BSLASHsubimport] = ACTIONS(6917),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6917),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6917),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6917),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6917),
    [anon_sym_BSLASHcaption] = ACTIONS(6917),
    [anon_sym_BSLASHcite] = ACTIONS(6917),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCite] = ACTIONS(6917),
    [anon_sym_BSLASHnocite] = ACTIONS(6917),
    [anon_sym_BSLASHcitet] = ACTIONS(6917),
    [anon_sym_BSLASHcitep] = ACTIONS(6917),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteA] = ACTIONS(6917),
    [anon_sym_BSLASHciteR] = ACTIONS(6917),
    [anon_sym_BSLASHciteS] = ACTIONS(6917),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6917),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6917),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6917),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6917),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteyear] = ACTIONS(6917),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitedate] = ACTIONS(6917),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteurl] = ACTIONS(6917),
    [anon_sym_BSLASHfullcite] = ACTIONS(6917),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6917),
    [anon_sym_BSLASHcitealt] = ACTIONS(6917),
    [anon_sym_BSLASHcitealp] = ACTIONS(6917),
    [anon_sym_BSLASHcitetext] = ACTIONS(6917),
    [anon_sym_BSLASHparencite] = ACTIONS(6917),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHParencite] = ACTIONS(6917),
    [anon_sym_BSLASHfootcite] = ACTIONS(6917),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6917),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6917),
    [anon_sym_BSLASHtextcite] = ACTIONS(6917),
    [anon_sym_BSLASHTextcite] = ACTIONS(6917),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6917),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6917),
    [anon_sym_BSLASHsupercite] = ACTIONS(6917),
    [anon_sym_BSLASHautocite] = ACTIONS(6917),
    [anon_sym_BSLASHAutocite] = ACTIONS(6917),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHVolcite] = ACTIONS(6917),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHavolcite] = ACTIONS(6917),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHNotecite] = ACTIONS(6917),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHlabel] = ACTIONS(6917),
    [anon_sym_BSLASHref] = ACTIONS(6917),
    [anon_sym_BSLASHeqref] = ACTIONS(6917),
    [anon_sym_BSLASHvref] = ACTIONS(6917),
    [anon_sym_BSLASHVref] = ACTIONS(6917),
    [anon_sym_BSLASHautoref] = ACTIONS(6917),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHpageref] = ACTIONS(6917),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHautopageref] = ACTIONS(6917),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcref] = ACTIONS(6917),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCref] = ACTIONS(6917),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcpageref] = ACTIONS(6917),
    [anon_sym_BSLASHCpageref] = ACTIONS(6917),
    [anon_sym_BSLASHnamecref] = ACTIONS(6917),
    [anon_sym_BSLASHnameCref] = ACTIONS(6917),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6917),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6917),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6917),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6917),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6917),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6917),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6917),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6917),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6917),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6917),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6917),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHdef] = ACTIONS(6917),
    [anon_sym_BSLASHgdef] = ACTIONS(6917),
    [anon_sym_BSLASHedef] = ACTIONS(6917),
    [anon_sym_BSLASHxdef] = ACTIONS(6917),
    [anon_sym_BSLASHlet] = ACTIONS(6917),
    [anon_sym_BSLASHglet] = ACTIONS(6917),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6917),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6917),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6917),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6917),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6917),
    [anon_sym_BSLASHgls] = ACTIONS(6917),
    [anon_sym_BSLASHGls] = ACTIONS(6917),
    [anon_sym_BSLASHGLS] = ACTIONS(6917),
    [anon_sym_BSLASHglspl] = ACTIONS(6917),
    [anon_sym_BSLASHGlspl] = ACTIONS(6917),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6917),
    [anon_sym_BSLASHglslink] = ACTIONS(6917),
    [anon_sym_BSLASHglstext] = ACTIONS(6917),
    [anon_sym_BSLASHGlstext] = ACTIONS(6917),
    [anon_sym_BSLASHGLStext] = ACTIONS(6917),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6917),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6917),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6917),
    [anon_sym_BSLASHglsplural] = ACTIONS(6917),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6917),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6917),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHglsname] = ACTIONS(6917),
    [anon_sym_BSLASHGlsname] = ACTIONS(6917),
    [anon_sym_BSLASHGLSname] = ACTIONS(6917),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6917),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6917),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6917),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6917),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6917),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6917),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6917),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6917),
    [anon_sym_BSLASHacrshort] = ACTIONS(6917),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6917),
    [anon_sym_BSLASHACRshort] = ACTIONS(6917),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHacrlong] = ACTIONS(6917),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6917),
    [anon_sym_BSLASHACRlong] = ACTIONS(6917),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHacrfull] = ACTIONS(6917),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6917),
    [anon_sym_BSLASHACRfull] = ACTIONS(6917),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHacs] = ACTIONS(6917),
    [anon_sym_BSLASHAcs] = ACTIONS(6917),
    [anon_sym_BSLASHacsp] = ACTIONS(6917),
    [anon_sym_BSLASHAcsp] = ACTIONS(6917),
    [anon_sym_BSLASHacl] = ACTIONS(6917),
    [anon_sym_BSLASHAcl] = ACTIONS(6917),
    [anon_sym_BSLASHaclp] = ACTIONS(6917),
    [anon_sym_BSLASHAclp] = ACTIONS(6917),
    [anon_sym_BSLASHacf] = ACTIONS(6917),
    [anon_sym_BSLASHAcf] = ACTIONS(6917),
    [anon_sym_BSLASHacfp] = ACTIONS(6917),
    [anon_sym_BSLASHAcfp] = ACTIONS(6917),
    [anon_sym_BSLASHac] = ACTIONS(6917),
    [anon_sym_BSLASHAc] = ACTIONS(6917),
    [anon_sym_BSLASHacp] = ACTIONS(6917),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6917),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6917),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6917),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6917),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6917),
    [anon_sym_BSLASHcolor] = ACTIONS(6917),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6917),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6917),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6917),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6917),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6917),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6917),
    [anon_sym_BSLASHurl] = ACTIONS(6917),
    [anon_sym_BSLASHhref] = ACTIONS(6917),
  },
  [980] = {
    [ts_builtin_sym_end] = ACTIONS(7425),
    [sym_command_name] = ACTIONS(7423),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7423),
    [anon_sym_LBRACK] = ACTIONS(7425),
    [anon_sym_RBRACK] = ACTIONS(7425),
    [anon_sym_COMMA] = ACTIONS(7425),
    [anon_sym_EQ] = ACTIONS(7425),
    [anon_sym_LPAREN] = ACTIONS(7425),
    [anon_sym_RPAREN] = ACTIONS(7425),
    [anon_sym_BSLASHpart] = ACTIONS(7423),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHaddpart] = ACTIONS(7423),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHchapter] = ACTIONS(7423),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHaddchap] = ACTIONS(7423),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHsection] = ACTIONS(7423),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHaddsec] = ACTIONS(7423),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHsubsection] = ACTIONS(7423),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7423),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHparagraph] = ACTIONS(7423),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7423),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHitem] = ACTIONS(7423),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7425),
    [anon_sym_LBRACE] = ACTIONS(7425),
    [anon_sym_RBRACE] = ACTIONS(7425),
    [sym_word] = ACTIONS(7423),
    [sym_placeholder] = ACTIONS(7425),
    [sym_delimiter] = ACTIONS(7425),
    [anon_sym_PLUS] = ACTIONS(7425),
    [anon_sym_DASH] = ACTIONS(7425),
    [anon_sym_STAR] = ACTIONS(7425),
    [anon_sym_SLASH] = ACTIONS(7425),
    [anon_sym_LT] = ACTIONS(7423),
    [anon_sym_GT] = ACTIONS(7423),
    [anon_sym_BANG] = ACTIONS(7423),
    [anon_sym_PIPE] = ACTIONS(7423),
    [anon_sym_COLON] = ACTIONS(7423),
    [anon_sym_SQUOTE] = ACTIONS(7423),
    [anon_sym__] = ACTIONS(7425),
    [anon_sym_CARET] = ACTIONS(7425),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7425),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7425),
    [anon_sym_DOLLAR] = ACTIONS(7423),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7425),
    [anon_sym_BSLASHleft] = ACTIONS(7423),
    [anon_sym_BSLASHbigl] = ACTIONS(7423),
    [anon_sym_BSLASHBigl] = ACTIONS(7423),
    [anon_sym_BSLASHbiggl] = ACTIONS(7423),
    [anon_sym_BSLASHBiggl] = ACTIONS(7423),
    [anon_sym_BSLASHtext] = ACTIONS(7423),
    [anon_sym_BSLASHintertext] = ACTIONS(7423),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7423),
    [anon_sym_BSLASHbegin] = ACTIONS(7423),
    [anon_sym_BSLASHtitle] = ACTIONS(7423),
    [anon_sym_BSLASHauthor] = ACTIONS(7423),
    [anon_sym_BSLASHusepackage] = ACTIONS(7423),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7423),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7423),
    [anon_sym_BSLASHinclude] = ACTIONS(7423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7423),
    [anon_sym_BSLASHinput] = ACTIONS(7423),
    [anon_sym_BSLASHsubfile] = ACTIONS(7423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7423),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7423),
    [anon_sym_BSLASHbibliography] = ACTIONS(7423),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7423),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7423),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7423),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7423),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7423),
    [anon_sym_BSLASHimport] = ACTIONS(7423),
    [anon_sym_BSLASHsubimport] = ACTIONS(7423),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7423),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7423),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7423),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7423),
    [anon_sym_BSLASHcaption] = ACTIONS(7423),
    [anon_sym_BSLASHcite] = ACTIONS(7423),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHCite] = ACTIONS(7423),
    [anon_sym_BSLASHnocite] = ACTIONS(7423),
    [anon_sym_BSLASHcitet] = ACTIONS(7423),
    [anon_sym_BSLASHcitep] = ACTIONS(7423),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHciteA] = ACTIONS(7423),
    [anon_sym_BSLASHciteR] = ACTIONS(7423),
    [anon_sym_BSLASHciteS] = ACTIONS(7423),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7423),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7423),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7423),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7423),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHciteyear] = ACTIONS(7423),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcitedate] = ACTIONS(7423),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHciteurl] = ACTIONS(7423),
    [anon_sym_BSLASHfullcite] = ACTIONS(7423),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7423),
    [anon_sym_BSLASHcitealt] = ACTIONS(7423),
    [anon_sym_BSLASHcitealp] = ACTIONS(7423),
    [anon_sym_BSLASHcitetext] = ACTIONS(7423),
    [anon_sym_BSLASHparencite] = ACTIONS(7423),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHParencite] = ACTIONS(7423),
    [anon_sym_BSLASHfootcite] = ACTIONS(7423),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7423),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7423),
    [anon_sym_BSLASHtextcite] = ACTIONS(7423),
    [anon_sym_BSLASHTextcite] = ACTIONS(7423),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7423),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7423),
    [anon_sym_BSLASHsupercite] = ACTIONS(7423),
    [anon_sym_BSLASHautocite] = ACTIONS(7423),
    [anon_sym_BSLASHAutocite] = ACTIONS(7423),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHVolcite] = ACTIONS(7423),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHavolcite] = ACTIONS(7423),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHnotecite] = ACTIONS(7423),
    [anon_sym_BSLASHNotecite] = ACTIONS(7423),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7423),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7423),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7423),
    [anon_sym_BSLASHlabel] = ACTIONS(7423),
    [anon_sym_BSLASHref] = ACTIONS(7423),
    [anon_sym_BSLASHeqref] = ACTIONS(7423),
    [anon_sym_BSLASHvref] = ACTIONS(7423),
    [anon_sym_BSLASHVref] = ACTIONS(7423),
    [anon_sym_BSLASHautoref] = ACTIONS(7423),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHpageref] = ACTIONS(7423),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHautopageref] = ACTIONS(7423),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcref] = ACTIONS(7423),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHCref] = ACTIONS(7423),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcpageref] = ACTIONS(7423),
    [anon_sym_BSLASHCpageref] = ACTIONS(7423),
    [anon_sym_BSLASHnamecref] = ACTIONS(7423),
    [anon_sym_BSLASHnameCref] = ACTIONS(7423),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7423),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7423),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7423),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7423),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7423),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7423),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7423),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7423),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7423),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7423),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7423),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7423),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7423),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7423),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7423),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7423),
    [anon_sym_BSLASHdef] = ACTIONS(7423),
    [anon_sym_BSLASHgdef] = ACTIONS(7423),
    [anon_sym_BSLASHedef] = ACTIONS(7423),
    [anon_sym_BSLASHxdef] = ACTIONS(7423),
    [anon_sym_BSLASHlet] = ACTIONS(7423),
    [anon_sym_BSLASHglet] = ACTIONS(7423),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7423),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7423),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7423),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7423),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7423),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7423),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7423),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7423),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7423),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7423),
    [anon_sym_BSLASHgls] = ACTIONS(7423),
    [anon_sym_BSLASHGls] = ACTIONS(7423),
    [anon_sym_BSLASHGLS] = ACTIONS(7423),
    [anon_sym_BSLASHglspl] = ACTIONS(7423),
    [anon_sym_BSLASHGlspl] = ACTIONS(7423),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7423),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7423),
    [anon_sym_BSLASHglslink] = ACTIONS(7423),
    [anon_sym_BSLASHglstext] = ACTIONS(7423),
    [anon_sym_BSLASHGlstext] = ACTIONS(7423),
    [anon_sym_BSLASHGLStext] = ACTIONS(7423),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7423),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7423),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7423),
    [anon_sym_BSLASHglsplural] = ACTIONS(7423),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7423),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7423),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7423),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7423),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7423),
    [anon_sym_BSLASHglsname] = ACTIONS(7423),
    [anon_sym_BSLASHGlsname] = ACTIONS(7423),
    [anon_sym_BSLASHGLSname] = ACTIONS(7423),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7423),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7423),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7423),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7423),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7423),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7423),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7423),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7423),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7423),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7423),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7423),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7423),
    [anon_sym_BSLASHacrshort] = ACTIONS(7423),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7423),
    [anon_sym_BSLASHACRshort] = ACTIONS(7423),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHacrlong] = ACTIONS(7423),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7423),
    [anon_sym_BSLASHACRlong] = ACTIONS(7423),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7423),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7423),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7423),
    [anon_sym_BSLASHacrfull] = ACTIONS(7423),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7423),
    [anon_sym_BSLASHACRfull] = ACTIONS(7423),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHacs] = ACTIONS(7423),
    [anon_sym_BSLASHAcs] = ACTIONS(7423),
    [anon_sym_BSLASHacsp] = ACTIONS(7423),
    [anon_sym_BSLASHAcsp] = ACTIONS(7423),
    [anon_sym_BSLASHacl] = ACTIONS(7423),
    [anon_sym_BSLASHAcl] = ACTIONS(7423),
    [anon_sym_BSLASHaclp] = ACTIONS(7423),
    [anon_sym_BSLASHAclp] = ACTIONS(7423),
    [anon_sym_BSLASHacf] = ACTIONS(7423),
    [anon_sym_BSLASHAcf] = ACTIONS(7423),
    [anon_sym_BSLASHacfp] = ACTIONS(7423),
    [anon_sym_BSLASHAcfp] = ACTIONS(7423),
    [anon_sym_BSLASHac] = ACTIONS(7423),
    [anon_sym_BSLASHAc] = ACTIONS(7423),
    [anon_sym_BSLASHacp] = ACTIONS(7423),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7423),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7423),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7423),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7423),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7423),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7423),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7423),
    [anon_sym_BSLASHcolor] = ACTIONS(7423),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7423),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7423),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7423),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7423),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7423),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7423),
    [anon_sym_BSLASHurl] = ACTIONS(7423),
    [anon_sym_BSLASHhref] = ACTIONS(7423),
  },
  [981] = {
    [sym_curly_group] = STATE(1343),
    [sym_command_name] = ACTIONS(6939),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6939),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [anon_sym_RBRACK] = ACTIONS(6941),
    [anon_sym_COMMA] = ACTIONS(6941),
    [anon_sym_EQ] = ACTIONS(6941),
    [anon_sym_LPAREN] = ACTIONS(6941),
    [anon_sym_RPAREN] = ACTIONS(6941),
    [anon_sym_BSLASHpart] = ACTIONS(6939),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHaddpart] = ACTIONS(6939),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHchapter] = ACTIONS(6939),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHaddchap] = ACTIONS(6939),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHsection] = ACTIONS(6939),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHaddsec] = ACTIONS(6939),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHsubsection] = ACTIONS(6939),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6939),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHparagraph] = ACTIONS(6939),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6939),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHitem] = ACTIONS(6939),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6941),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(6939),
    [sym_placeholder] = ACTIONS(6941),
    [sym_delimiter] = ACTIONS(6941),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_STAR] = ACTIONS(6941),
    [anon_sym_SLASH] = ACTIONS(6941),
    [anon_sym_LT] = ACTIONS(6939),
    [anon_sym_GT] = ACTIONS(6939),
    [anon_sym_BANG] = ACTIONS(6939),
    [anon_sym_PIPE] = ACTIONS(6939),
    [anon_sym_COLON] = ACTIONS(6939),
    [anon_sym_SQUOTE] = ACTIONS(6939),
    [anon_sym__] = ACTIONS(6941),
    [anon_sym_CARET] = ACTIONS(6941),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6941),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6941),
    [anon_sym_DOLLAR] = ACTIONS(6939),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6941),
    [anon_sym_BSLASHleft] = ACTIONS(6939),
    [anon_sym_BSLASHbigl] = ACTIONS(6939),
    [anon_sym_BSLASHBigl] = ACTIONS(6939),
    [anon_sym_BSLASHbiggl] = ACTIONS(6939),
    [anon_sym_BSLASHBiggl] = ACTIONS(6939),
    [anon_sym_BSLASHtext] = ACTIONS(6939),
    [anon_sym_BSLASHintertext] = ACTIONS(6939),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6939),
    [anon_sym_BSLASHbegin] = ACTIONS(6939),
    [anon_sym_BSLASHend] = ACTIONS(6939),
    [anon_sym_BSLASHtitle] = ACTIONS(6939),
    [anon_sym_BSLASHauthor] = ACTIONS(6939),
    [anon_sym_BSLASHusepackage] = ACTIONS(6939),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6939),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6939),
    [anon_sym_BSLASHinclude] = ACTIONS(6939),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6939),
    [anon_sym_BSLASHinput] = ACTIONS(6939),
    [anon_sym_BSLASHsubfile] = ACTIONS(6939),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6939),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6939),
    [anon_sym_BSLASHbibliography] = ACTIONS(6939),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6939),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6939),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6939),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6939),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6939),
    [anon_sym_BSLASHimport] = ACTIONS(6939),
    [anon_sym_BSLASHsubimport] = ACTIONS(6939),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6939),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6939),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6939),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6939),
    [anon_sym_BSLASHcaption] = ACTIONS(6939),
    [anon_sym_BSLASHcite] = ACTIONS(6939),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCite] = ACTIONS(6939),
    [anon_sym_BSLASHnocite] = ACTIONS(6939),
    [anon_sym_BSLASHcitet] = ACTIONS(6939),
    [anon_sym_BSLASHcitep] = ACTIONS(6939),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteA] = ACTIONS(6939),
    [anon_sym_BSLASHciteR] = ACTIONS(6939),
    [anon_sym_BSLASHciteS] = ACTIONS(6939),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6939),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6939),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6939),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6939),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteyear] = ACTIONS(6939),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitedate] = ACTIONS(6939),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteurl] = ACTIONS(6939),
    [anon_sym_BSLASHfullcite] = ACTIONS(6939),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6939),
    [anon_sym_BSLASHcitealt] = ACTIONS(6939),
    [anon_sym_BSLASHcitealp] = ACTIONS(6939),
    [anon_sym_BSLASHcitetext] = ACTIONS(6939),
    [anon_sym_BSLASHparencite] = ACTIONS(6939),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHParencite] = ACTIONS(6939),
    [anon_sym_BSLASHfootcite] = ACTIONS(6939),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6939),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6939),
    [anon_sym_BSLASHtextcite] = ACTIONS(6939),
    [anon_sym_BSLASHTextcite] = ACTIONS(6939),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6939),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6939),
    [anon_sym_BSLASHsupercite] = ACTIONS(6939),
    [anon_sym_BSLASHautocite] = ACTIONS(6939),
    [anon_sym_BSLASHAutocite] = ACTIONS(6939),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHVolcite] = ACTIONS(6939),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHavolcite] = ACTIONS(6939),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHNotecite] = ACTIONS(6939),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHlabel] = ACTIONS(6939),
    [anon_sym_BSLASHref] = ACTIONS(6939),
    [anon_sym_BSLASHeqref] = ACTIONS(6939),
    [anon_sym_BSLASHvref] = ACTIONS(6939),
    [anon_sym_BSLASHVref] = ACTIONS(6939),
    [anon_sym_BSLASHautoref] = ACTIONS(6939),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHpageref] = ACTIONS(6939),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHautopageref] = ACTIONS(6939),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcref] = ACTIONS(6939),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCref] = ACTIONS(6939),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcpageref] = ACTIONS(6939),
    [anon_sym_BSLASHCpageref] = ACTIONS(6939),
    [anon_sym_BSLASHnamecref] = ACTIONS(6939),
    [anon_sym_BSLASHnameCref] = ACTIONS(6939),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6939),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6939),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6939),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6939),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6939),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6939),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6939),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6939),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6939),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6939),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6939),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHdef] = ACTIONS(6939),
    [anon_sym_BSLASHgdef] = ACTIONS(6939),
    [anon_sym_BSLASHedef] = ACTIONS(6939),
    [anon_sym_BSLASHxdef] = ACTIONS(6939),
    [anon_sym_BSLASHlet] = ACTIONS(6939),
    [anon_sym_BSLASHglet] = ACTIONS(6939),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6939),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6939),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6939),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6939),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6939),
    [anon_sym_BSLASHgls] = ACTIONS(6939),
    [anon_sym_BSLASHGls] = ACTIONS(6939),
    [anon_sym_BSLASHGLS] = ACTIONS(6939),
    [anon_sym_BSLASHglspl] = ACTIONS(6939),
    [anon_sym_BSLASHGlspl] = ACTIONS(6939),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6939),
    [anon_sym_BSLASHglslink] = ACTIONS(6939),
    [anon_sym_BSLASHglstext] = ACTIONS(6939),
    [anon_sym_BSLASHGlstext] = ACTIONS(6939),
    [anon_sym_BSLASHGLStext] = ACTIONS(6939),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6939),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6939),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6939),
    [anon_sym_BSLASHglsplural] = ACTIONS(6939),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6939),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6939),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHglsname] = ACTIONS(6939),
    [anon_sym_BSLASHGlsname] = ACTIONS(6939),
    [anon_sym_BSLASHGLSname] = ACTIONS(6939),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6939),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6939),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6939),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6939),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6939),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6939),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6939),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6939),
    [anon_sym_BSLASHacrshort] = ACTIONS(6939),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6939),
    [anon_sym_BSLASHACRshort] = ACTIONS(6939),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHacrlong] = ACTIONS(6939),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6939),
    [anon_sym_BSLASHACRlong] = ACTIONS(6939),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHacrfull] = ACTIONS(6939),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6939),
    [anon_sym_BSLASHACRfull] = ACTIONS(6939),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHacs] = ACTIONS(6939),
    [anon_sym_BSLASHAcs] = ACTIONS(6939),
    [anon_sym_BSLASHacsp] = ACTIONS(6939),
    [anon_sym_BSLASHAcsp] = ACTIONS(6939),
    [anon_sym_BSLASHacl] = ACTIONS(6939),
    [anon_sym_BSLASHAcl] = ACTIONS(6939),
    [anon_sym_BSLASHaclp] = ACTIONS(6939),
    [anon_sym_BSLASHAclp] = ACTIONS(6939),
    [anon_sym_BSLASHacf] = ACTIONS(6939),
    [anon_sym_BSLASHAcf] = ACTIONS(6939),
    [anon_sym_BSLASHacfp] = ACTIONS(6939),
    [anon_sym_BSLASHAcfp] = ACTIONS(6939),
    [anon_sym_BSLASHac] = ACTIONS(6939),
    [anon_sym_BSLASHAc] = ACTIONS(6939),
    [anon_sym_BSLASHacp] = ACTIONS(6939),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6939),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6939),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6939),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6939),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6939),
    [anon_sym_BSLASHcolor] = ACTIONS(6939),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6939),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6939),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6939),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6939),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6939),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6939),
    [anon_sym_BSLASHurl] = ACTIONS(6939),
    [anon_sym_BSLASHhref] = ACTIONS(6939),
  },
  [982] = {
    [ts_builtin_sym_end] = ACTIONS(7429),
    [sym_command_name] = ACTIONS(7427),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7427),
    [anon_sym_LBRACK] = ACTIONS(7429),
    [anon_sym_RBRACK] = ACTIONS(7429),
    [anon_sym_COMMA] = ACTIONS(7429),
    [anon_sym_EQ] = ACTIONS(7429),
    [anon_sym_LPAREN] = ACTIONS(7429),
    [anon_sym_RPAREN] = ACTIONS(7429),
    [anon_sym_BSLASHpart] = ACTIONS(7427),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHaddpart] = ACTIONS(7427),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHchapter] = ACTIONS(7427),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHaddchap] = ACTIONS(7427),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHsection] = ACTIONS(7427),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHaddsec] = ACTIONS(7427),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHsubsection] = ACTIONS(7427),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7427),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHparagraph] = ACTIONS(7427),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7427),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHitem] = ACTIONS(7427),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7429),
    [anon_sym_LBRACE] = ACTIONS(7429),
    [anon_sym_RBRACE] = ACTIONS(7429),
    [sym_word] = ACTIONS(7427),
    [sym_placeholder] = ACTIONS(7429),
    [sym_delimiter] = ACTIONS(7429),
    [anon_sym_PLUS] = ACTIONS(7429),
    [anon_sym_DASH] = ACTIONS(7429),
    [anon_sym_STAR] = ACTIONS(7429),
    [anon_sym_SLASH] = ACTIONS(7429),
    [anon_sym_LT] = ACTIONS(7427),
    [anon_sym_GT] = ACTIONS(7427),
    [anon_sym_BANG] = ACTIONS(7427),
    [anon_sym_PIPE] = ACTIONS(7427),
    [anon_sym_COLON] = ACTIONS(7427),
    [anon_sym_SQUOTE] = ACTIONS(7427),
    [anon_sym__] = ACTIONS(7429),
    [anon_sym_CARET] = ACTIONS(7429),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7429),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7429),
    [anon_sym_DOLLAR] = ACTIONS(7427),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7429),
    [anon_sym_BSLASHleft] = ACTIONS(7427),
    [anon_sym_BSLASHbigl] = ACTIONS(7427),
    [anon_sym_BSLASHBigl] = ACTIONS(7427),
    [anon_sym_BSLASHbiggl] = ACTIONS(7427),
    [anon_sym_BSLASHBiggl] = ACTIONS(7427),
    [anon_sym_BSLASHtext] = ACTIONS(7427),
    [anon_sym_BSLASHintertext] = ACTIONS(7427),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7427),
    [anon_sym_BSLASHbegin] = ACTIONS(7427),
    [anon_sym_BSLASHtitle] = ACTIONS(7427),
    [anon_sym_BSLASHauthor] = ACTIONS(7427),
    [anon_sym_BSLASHusepackage] = ACTIONS(7427),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7427),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7427),
    [anon_sym_BSLASHinclude] = ACTIONS(7427),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7427),
    [anon_sym_BSLASHinput] = ACTIONS(7427),
    [anon_sym_BSLASHsubfile] = ACTIONS(7427),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7427),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7427),
    [anon_sym_BSLASHbibliography] = ACTIONS(7427),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7427),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7427),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7427),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7427),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7427),
    [anon_sym_BSLASHimport] = ACTIONS(7427),
    [anon_sym_BSLASHsubimport] = ACTIONS(7427),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7427),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7427),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7427),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7427),
    [anon_sym_BSLASHcaption] = ACTIONS(7427),
    [anon_sym_BSLASHcite] = ACTIONS(7427),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHCite] = ACTIONS(7427),
    [anon_sym_BSLASHnocite] = ACTIONS(7427),
    [anon_sym_BSLASHcitet] = ACTIONS(7427),
    [anon_sym_BSLASHcitep] = ACTIONS(7427),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHciteA] = ACTIONS(7427),
    [anon_sym_BSLASHciteR] = ACTIONS(7427),
    [anon_sym_BSLASHciteS] = ACTIONS(7427),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7427),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7427),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7427),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7427),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHciteyear] = ACTIONS(7427),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcitedate] = ACTIONS(7427),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHciteurl] = ACTIONS(7427),
    [anon_sym_BSLASHfullcite] = ACTIONS(7427),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7427),
    [anon_sym_BSLASHcitealt] = ACTIONS(7427),
    [anon_sym_BSLASHcitealp] = ACTIONS(7427),
    [anon_sym_BSLASHcitetext] = ACTIONS(7427),
    [anon_sym_BSLASHparencite] = ACTIONS(7427),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHParencite] = ACTIONS(7427),
    [anon_sym_BSLASHfootcite] = ACTIONS(7427),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7427),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7427),
    [anon_sym_BSLASHtextcite] = ACTIONS(7427),
    [anon_sym_BSLASHTextcite] = ACTIONS(7427),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7427),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7427),
    [anon_sym_BSLASHsupercite] = ACTIONS(7427),
    [anon_sym_BSLASHautocite] = ACTIONS(7427),
    [anon_sym_BSLASHAutocite] = ACTIONS(7427),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHVolcite] = ACTIONS(7427),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHavolcite] = ACTIONS(7427),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHnotecite] = ACTIONS(7427),
    [anon_sym_BSLASHNotecite] = ACTIONS(7427),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7427),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7427),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7427),
    [anon_sym_BSLASHlabel] = ACTIONS(7427),
    [anon_sym_BSLASHref] = ACTIONS(7427),
    [anon_sym_BSLASHeqref] = ACTIONS(7427),
    [anon_sym_BSLASHvref] = ACTIONS(7427),
    [anon_sym_BSLASHVref] = ACTIONS(7427),
    [anon_sym_BSLASHautoref] = ACTIONS(7427),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHpageref] = ACTIONS(7427),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHautopageref] = ACTIONS(7427),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcref] = ACTIONS(7427),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHCref] = ACTIONS(7427),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcpageref] = ACTIONS(7427),
    [anon_sym_BSLASHCpageref] = ACTIONS(7427),
    [anon_sym_BSLASHnamecref] = ACTIONS(7427),
    [anon_sym_BSLASHnameCref] = ACTIONS(7427),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7427),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7427),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7427),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7427),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7427),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7427),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7427),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7427),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7427),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7427),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7427),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7427),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7427),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7427),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7427),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7427),
    [anon_sym_BSLASHdef] = ACTIONS(7427),
    [anon_sym_BSLASHgdef] = ACTIONS(7427),
    [anon_sym_BSLASHedef] = ACTIONS(7427),
    [anon_sym_BSLASHxdef] = ACTIONS(7427),
    [anon_sym_BSLASHlet] = ACTIONS(7427),
    [anon_sym_BSLASHglet] = ACTIONS(7427),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7427),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7427),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7427),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7427),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7427),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7427),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7427),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7427),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7427),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7427),
    [anon_sym_BSLASHgls] = ACTIONS(7427),
    [anon_sym_BSLASHGls] = ACTIONS(7427),
    [anon_sym_BSLASHGLS] = ACTIONS(7427),
    [anon_sym_BSLASHglspl] = ACTIONS(7427),
    [anon_sym_BSLASHGlspl] = ACTIONS(7427),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7427),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7427),
    [anon_sym_BSLASHglslink] = ACTIONS(7427),
    [anon_sym_BSLASHglstext] = ACTIONS(7427),
    [anon_sym_BSLASHGlstext] = ACTIONS(7427),
    [anon_sym_BSLASHGLStext] = ACTIONS(7427),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7427),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7427),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7427),
    [anon_sym_BSLASHglsplural] = ACTIONS(7427),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7427),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7427),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7427),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7427),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7427),
    [anon_sym_BSLASHglsname] = ACTIONS(7427),
    [anon_sym_BSLASHGlsname] = ACTIONS(7427),
    [anon_sym_BSLASHGLSname] = ACTIONS(7427),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7427),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7427),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7427),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7427),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7427),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7427),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7427),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7427),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7427),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7427),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7427),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7427),
    [anon_sym_BSLASHacrshort] = ACTIONS(7427),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7427),
    [anon_sym_BSLASHACRshort] = ACTIONS(7427),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHacrlong] = ACTIONS(7427),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7427),
    [anon_sym_BSLASHACRlong] = ACTIONS(7427),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7427),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7427),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7427),
    [anon_sym_BSLASHacrfull] = ACTIONS(7427),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7427),
    [anon_sym_BSLASHACRfull] = ACTIONS(7427),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHacs] = ACTIONS(7427),
    [anon_sym_BSLASHAcs] = ACTIONS(7427),
    [anon_sym_BSLASHacsp] = ACTIONS(7427),
    [anon_sym_BSLASHAcsp] = ACTIONS(7427),
    [anon_sym_BSLASHacl] = ACTIONS(7427),
    [anon_sym_BSLASHAcl] = ACTIONS(7427),
    [anon_sym_BSLASHaclp] = ACTIONS(7427),
    [anon_sym_BSLASHAclp] = ACTIONS(7427),
    [anon_sym_BSLASHacf] = ACTIONS(7427),
    [anon_sym_BSLASHAcf] = ACTIONS(7427),
    [anon_sym_BSLASHacfp] = ACTIONS(7427),
    [anon_sym_BSLASHAcfp] = ACTIONS(7427),
    [anon_sym_BSLASHac] = ACTIONS(7427),
    [anon_sym_BSLASHAc] = ACTIONS(7427),
    [anon_sym_BSLASHacp] = ACTIONS(7427),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7427),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7427),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7427),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7427),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7427),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7427),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7427),
    [anon_sym_BSLASHcolor] = ACTIONS(7427),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7427),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7427),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7427),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7427),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7427),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7427),
    [anon_sym_BSLASHurl] = ACTIONS(7427),
    [anon_sym_BSLASHhref] = ACTIONS(7427),
  },
  [983] = {
    [ts_builtin_sym_end] = ACTIONS(7433),
    [sym_command_name] = ACTIONS(7431),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7431),
    [anon_sym_LBRACK] = ACTIONS(7433),
    [anon_sym_RBRACK] = ACTIONS(7433),
    [anon_sym_COMMA] = ACTIONS(7433),
    [anon_sym_EQ] = ACTIONS(7433),
    [anon_sym_LPAREN] = ACTIONS(7433),
    [anon_sym_RPAREN] = ACTIONS(7433),
    [anon_sym_BSLASHpart] = ACTIONS(7431),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHaddpart] = ACTIONS(7431),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHchapter] = ACTIONS(7431),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHaddchap] = ACTIONS(7431),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHsection] = ACTIONS(7431),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHaddsec] = ACTIONS(7431),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHsubsection] = ACTIONS(7431),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7431),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHparagraph] = ACTIONS(7431),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7431),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHitem] = ACTIONS(7431),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7433),
    [anon_sym_LBRACE] = ACTIONS(7433),
    [anon_sym_RBRACE] = ACTIONS(7433),
    [sym_word] = ACTIONS(7431),
    [sym_placeholder] = ACTIONS(7433),
    [sym_delimiter] = ACTIONS(7433),
    [anon_sym_PLUS] = ACTIONS(7433),
    [anon_sym_DASH] = ACTIONS(7433),
    [anon_sym_STAR] = ACTIONS(7433),
    [anon_sym_SLASH] = ACTIONS(7433),
    [anon_sym_LT] = ACTIONS(7431),
    [anon_sym_GT] = ACTIONS(7431),
    [anon_sym_BANG] = ACTIONS(7431),
    [anon_sym_PIPE] = ACTIONS(7431),
    [anon_sym_COLON] = ACTIONS(7431),
    [anon_sym_SQUOTE] = ACTIONS(7431),
    [anon_sym__] = ACTIONS(7433),
    [anon_sym_CARET] = ACTIONS(7433),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7433),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7433),
    [anon_sym_DOLLAR] = ACTIONS(7431),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7433),
    [anon_sym_BSLASHleft] = ACTIONS(7431),
    [anon_sym_BSLASHbigl] = ACTIONS(7431),
    [anon_sym_BSLASHBigl] = ACTIONS(7431),
    [anon_sym_BSLASHbiggl] = ACTIONS(7431),
    [anon_sym_BSLASHBiggl] = ACTIONS(7431),
    [anon_sym_BSLASHtext] = ACTIONS(7431),
    [anon_sym_BSLASHintertext] = ACTIONS(7431),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7431),
    [anon_sym_BSLASHbegin] = ACTIONS(7431),
    [anon_sym_BSLASHtitle] = ACTIONS(7431),
    [anon_sym_BSLASHauthor] = ACTIONS(7431),
    [anon_sym_BSLASHusepackage] = ACTIONS(7431),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7431),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7431),
    [anon_sym_BSLASHinclude] = ACTIONS(7431),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7431),
    [anon_sym_BSLASHinput] = ACTIONS(7431),
    [anon_sym_BSLASHsubfile] = ACTIONS(7431),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7431),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7431),
    [anon_sym_BSLASHbibliography] = ACTIONS(7431),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7431),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7431),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7431),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7431),
    [anon_sym_BSLASHimport] = ACTIONS(7431),
    [anon_sym_BSLASHsubimport] = ACTIONS(7431),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7431),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7431),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7431),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7431),
    [anon_sym_BSLASHcaption] = ACTIONS(7431),
    [anon_sym_BSLASHcite] = ACTIONS(7431),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHCite] = ACTIONS(7431),
    [anon_sym_BSLASHnocite] = ACTIONS(7431),
    [anon_sym_BSLASHcitet] = ACTIONS(7431),
    [anon_sym_BSLASHcitep] = ACTIONS(7431),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHciteA] = ACTIONS(7431),
    [anon_sym_BSLASHciteR] = ACTIONS(7431),
    [anon_sym_BSLASHciteS] = ACTIONS(7431),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7431),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7431),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7431),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7431),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHciteyear] = ACTIONS(7431),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcitedate] = ACTIONS(7431),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHciteurl] = ACTIONS(7431),
    [anon_sym_BSLASHfullcite] = ACTIONS(7431),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7431),
    [anon_sym_BSLASHcitealt] = ACTIONS(7431),
    [anon_sym_BSLASHcitealp] = ACTIONS(7431),
    [anon_sym_BSLASHcitetext] = ACTIONS(7431),
    [anon_sym_BSLASHparencite] = ACTIONS(7431),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHParencite] = ACTIONS(7431),
    [anon_sym_BSLASHfootcite] = ACTIONS(7431),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7431),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7431),
    [anon_sym_BSLASHtextcite] = ACTIONS(7431),
    [anon_sym_BSLASHTextcite] = ACTIONS(7431),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7431),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7431),
    [anon_sym_BSLASHsupercite] = ACTIONS(7431),
    [anon_sym_BSLASHautocite] = ACTIONS(7431),
    [anon_sym_BSLASHAutocite] = ACTIONS(7431),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHVolcite] = ACTIONS(7431),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHavolcite] = ACTIONS(7431),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHnotecite] = ACTIONS(7431),
    [anon_sym_BSLASHNotecite] = ACTIONS(7431),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7431),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7431),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7431),
    [anon_sym_BSLASHlabel] = ACTIONS(7431),
    [anon_sym_BSLASHref] = ACTIONS(7431),
    [anon_sym_BSLASHeqref] = ACTIONS(7431),
    [anon_sym_BSLASHvref] = ACTIONS(7431),
    [anon_sym_BSLASHVref] = ACTIONS(7431),
    [anon_sym_BSLASHautoref] = ACTIONS(7431),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHpageref] = ACTIONS(7431),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHautopageref] = ACTIONS(7431),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcref] = ACTIONS(7431),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHCref] = ACTIONS(7431),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcpageref] = ACTIONS(7431),
    [anon_sym_BSLASHCpageref] = ACTIONS(7431),
    [anon_sym_BSLASHnamecref] = ACTIONS(7431),
    [anon_sym_BSLASHnameCref] = ACTIONS(7431),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7431),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7431),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7431),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7431),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7431),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7431),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7431),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7431),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7431),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7431),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7431),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7431),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7431),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7431),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7431),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7431),
    [anon_sym_BSLASHdef] = ACTIONS(7431),
    [anon_sym_BSLASHgdef] = ACTIONS(7431),
    [anon_sym_BSLASHedef] = ACTIONS(7431),
    [anon_sym_BSLASHxdef] = ACTIONS(7431),
    [anon_sym_BSLASHlet] = ACTIONS(7431),
    [anon_sym_BSLASHglet] = ACTIONS(7431),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7431),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7431),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7431),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7431),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7431),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7431),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7431),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7431),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7431),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7431),
    [anon_sym_BSLASHgls] = ACTIONS(7431),
    [anon_sym_BSLASHGls] = ACTIONS(7431),
    [anon_sym_BSLASHGLS] = ACTIONS(7431),
    [anon_sym_BSLASHglspl] = ACTIONS(7431),
    [anon_sym_BSLASHGlspl] = ACTIONS(7431),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7431),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7431),
    [anon_sym_BSLASHglslink] = ACTIONS(7431),
    [anon_sym_BSLASHglstext] = ACTIONS(7431),
    [anon_sym_BSLASHGlstext] = ACTIONS(7431),
    [anon_sym_BSLASHGLStext] = ACTIONS(7431),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7431),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7431),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7431),
    [anon_sym_BSLASHglsplural] = ACTIONS(7431),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7431),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7431),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7431),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7431),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7431),
    [anon_sym_BSLASHglsname] = ACTIONS(7431),
    [anon_sym_BSLASHGlsname] = ACTIONS(7431),
    [anon_sym_BSLASHGLSname] = ACTIONS(7431),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7431),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7431),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7431),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7431),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7431),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7431),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7431),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7431),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7431),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7431),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7431),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7431),
    [anon_sym_BSLASHacrshort] = ACTIONS(7431),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7431),
    [anon_sym_BSLASHACRshort] = ACTIONS(7431),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHacrlong] = ACTIONS(7431),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7431),
    [anon_sym_BSLASHACRlong] = ACTIONS(7431),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7431),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7431),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7431),
    [anon_sym_BSLASHacrfull] = ACTIONS(7431),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7431),
    [anon_sym_BSLASHACRfull] = ACTIONS(7431),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHacs] = ACTIONS(7431),
    [anon_sym_BSLASHAcs] = ACTIONS(7431),
    [anon_sym_BSLASHacsp] = ACTIONS(7431),
    [anon_sym_BSLASHAcsp] = ACTIONS(7431),
    [anon_sym_BSLASHacl] = ACTIONS(7431),
    [anon_sym_BSLASHAcl] = ACTIONS(7431),
    [anon_sym_BSLASHaclp] = ACTIONS(7431),
    [anon_sym_BSLASHAclp] = ACTIONS(7431),
    [anon_sym_BSLASHacf] = ACTIONS(7431),
    [anon_sym_BSLASHAcf] = ACTIONS(7431),
    [anon_sym_BSLASHacfp] = ACTIONS(7431),
    [anon_sym_BSLASHAcfp] = ACTIONS(7431),
    [anon_sym_BSLASHac] = ACTIONS(7431),
    [anon_sym_BSLASHAc] = ACTIONS(7431),
    [anon_sym_BSLASHacp] = ACTIONS(7431),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7431),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7431),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7431),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7431),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7431),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7431),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7431),
    [anon_sym_BSLASHcolor] = ACTIONS(7431),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7431),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7431),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7431),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7431),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7431),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7431),
    [anon_sym_BSLASHurl] = ACTIONS(7431),
    [anon_sym_BSLASHhref] = ACTIONS(7431),
  },
  [984] = {
    [ts_builtin_sym_end] = ACTIONS(7437),
    [sym_command_name] = ACTIONS(7435),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7435),
    [anon_sym_LBRACK] = ACTIONS(7437),
    [anon_sym_RBRACK] = ACTIONS(7437),
    [anon_sym_COMMA] = ACTIONS(7437),
    [anon_sym_EQ] = ACTIONS(7437),
    [anon_sym_LPAREN] = ACTIONS(7437),
    [anon_sym_RPAREN] = ACTIONS(7437),
    [anon_sym_BSLASHpart] = ACTIONS(7435),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHaddpart] = ACTIONS(7435),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHchapter] = ACTIONS(7435),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHaddchap] = ACTIONS(7435),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHsection] = ACTIONS(7435),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHaddsec] = ACTIONS(7435),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHsubsection] = ACTIONS(7435),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7435),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHparagraph] = ACTIONS(7435),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7435),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHitem] = ACTIONS(7435),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7437),
    [anon_sym_LBRACE] = ACTIONS(7437),
    [anon_sym_RBRACE] = ACTIONS(7437),
    [sym_word] = ACTIONS(7435),
    [sym_placeholder] = ACTIONS(7437),
    [sym_delimiter] = ACTIONS(7437),
    [anon_sym_PLUS] = ACTIONS(7437),
    [anon_sym_DASH] = ACTIONS(7437),
    [anon_sym_STAR] = ACTIONS(7437),
    [anon_sym_SLASH] = ACTIONS(7437),
    [anon_sym_LT] = ACTIONS(7435),
    [anon_sym_GT] = ACTIONS(7435),
    [anon_sym_BANG] = ACTIONS(7435),
    [anon_sym_PIPE] = ACTIONS(7435),
    [anon_sym_COLON] = ACTIONS(7435),
    [anon_sym_SQUOTE] = ACTIONS(7435),
    [anon_sym__] = ACTIONS(7437),
    [anon_sym_CARET] = ACTIONS(7437),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7437),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7437),
    [anon_sym_DOLLAR] = ACTIONS(7435),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7437),
    [anon_sym_BSLASHleft] = ACTIONS(7435),
    [anon_sym_BSLASHbigl] = ACTIONS(7435),
    [anon_sym_BSLASHBigl] = ACTIONS(7435),
    [anon_sym_BSLASHbiggl] = ACTIONS(7435),
    [anon_sym_BSLASHBiggl] = ACTIONS(7435),
    [anon_sym_BSLASHtext] = ACTIONS(7435),
    [anon_sym_BSLASHintertext] = ACTIONS(7435),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7435),
    [anon_sym_BSLASHbegin] = ACTIONS(7435),
    [anon_sym_BSLASHtitle] = ACTIONS(7435),
    [anon_sym_BSLASHauthor] = ACTIONS(7435),
    [anon_sym_BSLASHusepackage] = ACTIONS(7435),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7435),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7435),
    [anon_sym_BSLASHinclude] = ACTIONS(7435),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7435),
    [anon_sym_BSLASHinput] = ACTIONS(7435),
    [anon_sym_BSLASHsubfile] = ACTIONS(7435),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7435),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7435),
    [anon_sym_BSLASHbibliography] = ACTIONS(7435),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7435),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7435),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7435),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7435),
    [anon_sym_BSLASHimport] = ACTIONS(7435),
    [anon_sym_BSLASHsubimport] = ACTIONS(7435),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7435),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7435),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7435),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7435),
    [anon_sym_BSLASHcaption] = ACTIONS(7435),
    [anon_sym_BSLASHcite] = ACTIONS(7435),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHCite] = ACTIONS(7435),
    [anon_sym_BSLASHnocite] = ACTIONS(7435),
    [anon_sym_BSLASHcitet] = ACTIONS(7435),
    [anon_sym_BSLASHcitep] = ACTIONS(7435),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHciteA] = ACTIONS(7435),
    [anon_sym_BSLASHciteR] = ACTIONS(7435),
    [anon_sym_BSLASHciteS] = ACTIONS(7435),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7435),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7435),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7435),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7435),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHciteyear] = ACTIONS(7435),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcitedate] = ACTIONS(7435),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHciteurl] = ACTIONS(7435),
    [anon_sym_BSLASHfullcite] = ACTIONS(7435),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7435),
    [anon_sym_BSLASHcitealt] = ACTIONS(7435),
    [anon_sym_BSLASHcitealp] = ACTIONS(7435),
    [anon_sym_BSLASHcitetext] = ACTIONS(7435),
    [anon_sym_BSLASHparencite] = ACTIONS(7435),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHParencite] = ACTIONS(7435),
    [anon_sym_BSLASHfootcite] = ACTIONS(7435),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7435),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7435),
    [anon_sym_BSLASHtextcite] = ACTIONS(7435),
    [anon_sym_BSLASHTextcite] = ACTIONS(7435),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7435),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7435),
    [anon_sym_BSLASHsupercite] = ACTIONS(7435),
    [anon_sym_BSLASHautocite] = ACTIONS(7435),
    [anon_sym_BSLASHAutocite] = ACTIONS(7435),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHVolcite] = ACTIONS(7435),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHavolcite] = ACTIONS(7435),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHnotecite] = ACTIONS(7435),
    [anon_sym_BSLASHNotecite] = ACTIONS(7435),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7435),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7435),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7435),
    [anon_sym_BSLASHlabel] = ACTIONS(7435),
    [anon_sym_BSLASHref] = ACTIONS(7435),
    [anon_sym_BSLASHeqref] = ACTIONS(7435),
    [anon_sym_BSLASHvref] = ACTIONS(7435),
    [anon_sym_BSLASHVref] = ACTIONS(7435),
    [anon_sym_BSLASHautoref] = ACTIONS(7435),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHpageref] = ACTIONS(7435),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHautopageref] = ACTIONS(7435),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcref] = ACTIONS(7435),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHCref] = ACTIONS(7435),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcpageref] = ACTIONS(7435),
    [anon_sym_BSLASHCpageref] = ACTIONS(7435),
    [anon_sym_BSLASHnamecref] = ACTIONS(7435),
    [anon_sym_BSLASHnameCref] = ACTIONS(7435),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7435),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7435),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7435),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7435),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7435),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7435),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7435),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7435),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7435),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7435),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7435),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7435),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7435),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7435),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7435),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7435),
    [anon_sym_BSLASHdef] = ACTIONS(7435),
    [anon_sym_BSLASHgdef] = ACTIONS(7435),
    [anon_sym_BSLASHedef] = ACTIONS(7435),
    [anon_sym_BSLASHxdef] = ACTIONS(7435),
    [anon_sym_BSLASHlet] = ACTIONS(7435),
    [anon_sym_BSLASHglet] = ACTIONS(7435),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7435),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7435),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7435),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7435),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7435),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7435),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7435),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7435),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7435),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7435),
    [anon_sym_BSLASHgls] = ACTIONS(7435),
    [anon_sym_BSLASHGls] = ACTIONS(7435),
    [anon_sym_BSLASHGLS] = ACTIONS(7435),
    [anon_sym_BSLASHglspl] = ACTIONS(7435),
    [anon_sym_BSLASHGlspl] = ACTIONS(7435),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7435),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7435),
    [anon_sym_BSLASHglslink] = ACTIONS(7435),
    [anon_sym_BSLASHglstext] = ACTIONS(7435),
    [anon_sym_BSLASHGlstext] = ACTIONS(7435),
    [anon_sym_BSLASHGLStext] = ACTIONS(7435),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7435),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7435),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7435),
    [anon_sym_BSLASHglsplural] = ACTIONS(7435),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7435),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7435),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7435),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7435),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7435),
    [anon_sym_BSLASHglsname] = ACTIONS(7435),
    [anon_sym_BSLASHGlsname] = ACTIONS(7435),
    [anon_sym_BSLASHGLSname] = ACTIONS(7435),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7435),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7435),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7435),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7435),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7435),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7435),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7435),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7435),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7435),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7435),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7435),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7435),
    [anon_sym_BSLASHacrshort] = ACTIONS(7435),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7435),
    [anon_sym_BSLASHACRshort] = ACTIONS(7435),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHacrlong] = ACTIONS(7435),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7435),
    [anon_sym_BSLASHACRlong] = ACTIONS(7435),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7435),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7435),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7435),
    [anon_sym_BSLASHacrfull] = ACTIONS(7435),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7435),
    [anon_sym_BSLASHACRfull] = ACTIONS(7435),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHacs] = ACTIONS(7435),
    [anon_sym_BSLASHAcs] = ACTIONS(7435),
    [anon_sym_BSLASHacsp] = ACTIONS(7435),
    [anon_sym_BSLASHAcsp] = ACTIONS(7435),
    [anon_sym_BSLASHacl] = ACTIONS(7435),
    [anon_sym_BSLASHAcl] = ACTIONS(7435),
    [anon_sym_BSLASHaclp] = ACTIONS(7435),
    [anon_sym_BSLASHAclp] = ACTIONS(7435),
    [anon_sym_BSLASHacf] = ACTIONS(7435),
    [anon_sym_BSLASHAcf] = ACTIONS(7435),
    [anon_sym_BSLASHacfp] = ACTIONS(7435),
    [anon_sym_BSLASHAcfp] = ACTIONS(7435),
    [anon_sym_BSLASHac] = ACTIONS(7435),
    [anon_sym_BSLASHAc] = ACTIONS(7435),
    [anon_sym_BSLASHacp] = ACTIONS(7435),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7435),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7435),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7435),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7435),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7435),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7435),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7435),
    [anon_sym_BSLASHcolor] = ACTIONS(7435),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7435),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7435),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7435),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7435),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7435),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7435),
    [anon_sym_BSLASHurl] = ACTIONS(7435),
    [anon_sym_BSLASHhref] = ACTIONS(7435),
  },
  [985] = {
    [ts_builtin_sym_end] = ACTIONS(7341),
    [sym_command_name] = ACTIONS(7339),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7339),
    [anon_sym_LBRACK] = ACTIONS(7341),
    [anon_sym_RBRACK] = ACTIONS(7341),
    [anon_sym_COMMA] = ACTIONS(7341),
    [anon_sym_EQ] = ACTIONS(7341),
    [anon_sym_LPAREN] = ACTIONS(7341),
    [anon_sym_RPAREN] = ACTIONS(7341),
    [anon_sym_BSLASHpart] = ACTIONS(7339),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHaddpart] = ACTIONS(7339),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHchapter] = ACTIONS(7339),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHaddchap] = ACTIONS(7339),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHsection] = ACTIONS(7339),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHaddsec] = ACTIONS(7339),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHsubsection] = ACTIONS(7339),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7339),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHparagraph] = ACTIONS(7339),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7339),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHitem] = ACTIONS(7339),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7341),
    [anon_sym_LBRACE] = ACTIONS(7341),
    [anon_sym_RBRACE] = ACTIONS(7341),
    [sym_word] = ACTIONS(7339),
    [sym_placeholder] = ACTIONS(7341),
    [sym_delimiter] = ACTIONS(7341),
    [anon_sym_PLUS] = ACTIONS(7341),
    [anon_sym_DASH] = ACTIONS(7341),
    [anon_sym_STAR] = ACTIONS(7341),
    [anon_sym_SLASH] = ACTIONS(7341),
    [anon_sym_LT] = ACTIONS(7339),
    [anon_sym_GT] = ACTIONS(7339),
    [anon_sym_BANG] = ACTIONS(7339),
    [anon_sym_PIPE] = ACTIONS(7339),
    [anon_sym_COLON] = ACTIONS(7339),
    [anon_sym_SQUOTE] = ACTIONS(7339),
    [anon_sym__] = ACTIONS(7341),
    [anon_sym_CARET] = ACTIONS(7341),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7341),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7341),
    [anon_sym_DOLLAR] = ACTIONS(7339),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7341),
    [anon_sym_BSLASHleft] = ACTIONS(7339),
    [anon_sym_BSLASHbigl] = ACTIONS(7339),
    [anon_sym_BSLASHBigl] = ACTIONS(7339),
    [anon_sym_BSLASHbiggl] = ACTIONS(7339),
    [anon_sym_BSLASHBiggl] = ACTIONS(7339),
    [anon_sym_BSLASHtext] = ACTIONS(7339),
    [anon_sym_BSLASHintertext] = ACTIONS(7339),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7339),
    [anon_sym_BSLASHbegin] = ACTIONS(7339),
    [anon_sym_BSLASHtitle] = ACTIONS(7339),
    [anon_sym_BSLASHauthor] = ACTIONS(7339),
    [anon_sym_BSLASHusepackage] = ACTIONS(7339),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7339),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7339),
    [anon_sym_BSLASHinclude] = ACTIONS(7339),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7339),
    [anon_sym_BSLASHinput] = ACTIONS(7339),
    [anon_sym_BSLASHsubfile] = ACTIONS(7339),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7339),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7339),
    [anon_sym_BSLASHbibliography] = ACTIONS(7339),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7339),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7339),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7339),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7339),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7339),
    [anon_sym_BSLASHimport] = ACTIONS(7339),
    [anon_sym_BSLASHsubimport] = ACTIONS(7339),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7339),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7339),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7339),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7339),
    [anon_sym_BSLASHcaption] = ACTIONS(7339),
    [anon_sym_BSLASHcite] = ACTIONS(7339),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCite] = ACTIONS(7339),
    [anon_sym_BSLASHnocite] = ACTIONS(7339),
    [anon_sym_BSLASHcitet] = ACTIONS(7339),
    [anon_sym_BSLASHcitep] = ACTIONS(7339),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteA] = ACTIONS(7339),
    [anon_sym_BSLASHciteR] = ACTIONS(7339),
    [anon_sym_BSLASHciteS] = ACTIONS(7339),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7339),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7339),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7339),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7339),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteyear] = ACTIONS(7339),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitedate] = ACTIONS(7339),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteurl] = ACTIONS(7339),
    [anon_sym_BSLASHfullcite] = ACTIONS(7339),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7339),
    [anon_sym_BSLASHcitealt] = ACTIONS(7339),
    [anon_sym_BSLASHcitealp] = ACTIONS(7339),
    [anon_sym_BSLASHcitetext] = ACTIONS(7339),
    [anon_sym_BSLASHparencite] = ACTIONS(7339),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHParencite] = ACTIONS(7339),
    [anon_sym_BSLASHfootcite] = ACTIONS(7339),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7339),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7339),
    [anon_sym_BSLASHtextcite] = ACTIONS(7339),
    [anon_sym_BSLASHTextcite] = ACTIONS(7339),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7339),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7339),
    [anon_sym_BSLASHsupercite] = ACTIONS(7339),
    [anon_sym_BSLASHautocite] = ACTIONS(7339),
    [anon_sym_BSLASHAutocite] = ACTIONS(7339),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHVolcite] = ACTIONS(7339),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHavolcite] = ACTIONS(7339),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHNotecite] = ACTIONS(7339),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHlabel] = ACTIONS(7339),
    [anon_sym_BSLASHref] = ACTIONS(7339),
    [anon_sym_BSLASHeqref] = ACTIONS(7339),
    [anon_sym_BSLASHvref] = ACTIONS(7339),
    [anon_sym_BSLASHVref] = ACTIONS(7339),
    [anon_sym_BSLASHautoref] = ACTIONS(7339),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHpageref] = ACTIONS(7339),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHautopageref] = ACTIONS(7339),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcref] = ACTIONS(7339),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCref] = ACTIONS(7339),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcpageref] = ACTIONS(7339),
    [anon_sym_BSLASHCpageref] = ACTIONS(7339),
    [anon_sym_BSLASHnamecref] = ACTIONS(7339),
    [anon_sym_BSLASHnameCref] = ACTIONS(7339),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7339),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7339),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7339),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7339),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7339),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7339),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7339),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7339),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7339),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7339),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7339),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHdef] = ACTIONS(7339),
    [anon_sym_BSLASHgdef] = ACTIONS(7339),
    [anon_sym_BSLASHedef] = ACTIONS(7339),
    [anon_sym_BSLASHxdef] = ACTIONS(7339),
    [anon_sym_BSLASHlet] = ACTIONS(7339),
    [anon_sym_BSLASHglet] = ACTIONS(7339),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7339),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7339),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7339),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7339),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7339),
    [anon_sym_BSLASHgls] = ACTIONS(7339),
    [anon_sym_BSLASHGls] = ACTIONS(7339),
    [anon_sym_BSLASHGLS] = ACTIONS(7339),
    [anon_sym_BSLASHglspl] = ACTIONS(7339),
    [anon_sym_BSLASHGlspl] = ACTIONS(7339),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7339),
    [anon_sym_BSLASHglslink] = ACTIONS(7339),
    [anon_sym_BSLASHglstext] = ACTIONS(7339),
    [anon_sym_BSLASHGlstext] = ACTIONS(7339),
    [anon_sym_BSLASHGLStext] = ACTIONS(7339),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7339),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7339),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7339),
    [anon_sym_BSLASHglsplural] = ACTIONS(7339),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7339),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7339),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHglsname] = ACTIONS(7339),
    [anon_sym_BSLASHGlsname] = ACTIONS(7339),
    [anon_sym_BSLASHGLSname] = ACTIONS(7339),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7339),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7339),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7339),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7339),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7339),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7339),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7339),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7339),
    [anon_sym_BSLASHacrshort] = ACTIONS(7339),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7339),
    [anon_sym_BSLASHACRshort] = ACTIONS(7339),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHacrlong] = ACTIONS(7339),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7339),
    [anon_sym_BSLASHACRlong] = ACTIONS(7339),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHacrfull] = ACTIONS(7339),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7339),
    [anon_sym_BSLASHACRfull] = ACTIONS(7339),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHacs] = ACTIONS(7339),
    [anon_sym_BSLASHAcs] = ACTIONS(7339),
    [anon_sym_BSLASHacsp] = ACTIONS(7339),
    [anon_sym_BSLASHAcsp] = ACTIONS(7339),
    [anon_sym_BSLASHacl] = ACTIONS(7339),
    [anon_sym_BSLASHAcl] = ACTIONS(7339),
    [anon_sym_BSLASHaclp] = ACTIONS(7339),
    [anon_sym_BSLASHAclp] = ACTIONS(7339),
    [anon_sym_BSLASHacf] = ACTIONS(7339),
    [anon_sym_BSLASHAcf] = ACTIONS(7339),
    [anon_sym_BSLASHacfp] = ACTIONS(7339),
    [anon_sym_BSLASHAcfp] = ACTIONS(7339),
    [anon_sym_BSLASHac] = ACTIONS(7339),
    [anon_sym_BSLASHAc] = ACTIONS(7339),
    [anon_sym_BSLASHacp] = ACTIONS(7339),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7339),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7339),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7339),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7339),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7339),
    [anon_sym_BSLASHcolor] = ACTIONS(7339),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7339),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7339),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7339),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7339),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7339),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7339),
    [anon_sym_BSLASHurl] = ACTIONS(7339),
    [anon_sym_BSLASHhref] = ACTIONS(7339),
  },
  [986] = {
    [ts_builtin_sym_end] = ACTIONS(7345),
    [sym_command_name] = ACTIONS(7343),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7343),
    [anon_sym_LBRACK] = ACTIONS(7345),
    [anon_sym_RBRACK] = ACTIONS(7345),
    [anon_sym_COMMA] = ACTIONS(7345),
    [anon_sym_EQ] = ACTIONS(7345),
    [anon_sym_LPAREN] = ACTIONS(7345),
    [anon_sym_RPAREN] = ACTIONS(7345),
    [anon_sym_BSLASHpart] = ACTIONS(7343),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHaddpart] = ACTIONS(7343),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHchapter] = ACTIONS(7343),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHaddchap] = ACTIONS(7343),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHsection] = ACTIONS(7343),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHaddsec] = ACTIONS(7343),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHsubsection] = ACTIONS(7343),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7343),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHparagraph] = ACTIONS(7343),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7343),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHitem] = ACTIONS(7343),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7345),
    [anon_sym_LBRACE] = ACTIONS(7345),
    [anon_sym_RBRACE] = ACTIONS(7345),
    [sym_word] = ACTIONS(7343),
    [sym_placeholder] = ACTIONS(7345),
    [sym_delimiter] = ACTIONS(7345),
    [anon_sym_PLUS] = ACTIONS(7345),
    [anon_sym_DASH] = ACTIONS(7345),
    [anon_sym_STAR] = ACTIONS(7345),
    [anon_sym_SLASH] = ACTIONS(7345),
    [anon_sym_LT] = ACTIONS(7343),
    [anon_sym_GT] = ACTIONS(7343),
    [anon_sym_BANG] = ACTIONS(7343),
    [anon_sym_PIPE] = ACTIONS(7343),
    [anon_sym_COLON] = ACTIONS(7343),
    [anon_sym_SQUOTE] = ACTIONS(7343),
    [anon_sym__] = ACTIONS(7345),
    [anon_sym_CARET] = ACTIONS(7345),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7345),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7345),
    [anon_sym_DOLLAR] = ACTIONS(7343),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7345),
    [anon_sym_BSLASHleft] = ACTIONS(7343),
    [anon_sym_BSLASHbigl] = ACTIONS(7343),
    [anon_sym_BSLASHBigl] = ACTIONS(7343),
    [anon_sym_BSLASHbiggl] = ACTIONS(7343),
    [anon_sym_BSLASHBiggl] = ACTIONS(7343),
    [anon_sym_BSLASHtext] = ACTIONS(7343),
    [anon_sym_BSLASHintertext] = ACTIONS(7343),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7343),
    [anon_sym_BSLASHbegin] = ACTIONS(7343),
    [anon_sym_BSLASHtitle] = ACTIONS(7343),
    [anon_sym_BSLASHauthor] = ACTIONS(7343),
    [anon_sym_BSLASHusepackage] = ACTIONS(7343),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7343),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7343),
    [anon_sym_BSLASHinclude] = ACTIONS(7343),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7343),
    [anon_sym_BSLASHinput] = ACTIONS(7343),
    [anon_sym_BSLASHsubfile] = ACTIONS(7343),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7343),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7343),
    [anon_sym_BSLASHbibliography] = ACTIONS(7343),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7343),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7343),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7343),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7343),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7343),
    [anon_sym_BSLASHimport] = ACTIONS(7343),
    [anon_sym_BSLASHsubimport] = ACTIONS(7343),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7343),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7343),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7343),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7343),
    [anon_sym_BSLASHcaption] = ACTIONS(7343),
    [anon_sym_BSLASHcite] = ACTIONS(7343),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCite] = ACTIONS(7343),
    [anon_sym_BSLASHnocite] = ACTIONS(7343),
    [anon_sym_BSLASHcitet] = ACTIONS(7343),
    [anon_sym_BSLASHcitep] = ACTIONS(7343),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteA] = ACTIONS(7343),
    [anon_sym_BSLASHciteR] = ACTIONS(7343),
    [anon_sym_BSLASHciteS] = ACTIONS(7343),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7343),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7343),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7343),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7343),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteyear] = ACTIONS(7343),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitedate] = ACTIONS(7343),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteurl] = ACTIONS(7343),
    [anon_sym_BSLASHfullcite] = ACTIONS(7343),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7343),
    [anon_sym_BSLASHcitealt] = ACTIONS(7343),
    [anon_sym_BSLASHcitealp] = ACTIONS(7343),
    [anon_sym_BSLASHcitetext] = ACTIONS(7343),
    [anon_sym_BSLASHparencite] = ACTIONS(7343),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHParencite] = ACTIONS(7343),
    [anon_sym_BSLASHfootcite] = ACTIONS(7343),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7343),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7343),
    [anon_sym_BSLASHtextcite] = ACTIONS(7343),
    [anon_sym_BSLASHTextcite] = ACTIONS(7343),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7343),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7343),
    [anon_sym_BSLASHsupercite] = ACTIONS(7343),
    [anon_sym_BSLASHautocite] = ACTIONS(7343),
    [anon_sym_BSLASHAutocite] = ACTIONS(7343),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHVolcite] = ACTIONS(7343),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHavolcite] = ACTIONS(7343),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHNotecite] = ACTIONS(7343),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHlabel] = ACTIONS(7343),
    [anon_sym_BSLASHref] = ACTIONS(7343),
    [anon_sym_BSLASHeqref] = ACTIONS(7343),
    [anon_sym_BSLASHvref] = ACTIONS(7343),
    [anon_sym_BSLASHVref] = ACTIONS(7343),
    [anon_sym_BSLASHautoref] = ACTIONS(7343),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHpageref] = ACTIONS(7343),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHautopageref] = ACTIONS(7343),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcref] = ACTIONS(7343),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCref] = ACTIONS(7343),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcpageref] = ACTIONS(7343),
    [anon_sym_BSLASHCpageref] = ACTIONS(7343),
    [anon_sym_BSLASHnamecref] = ACTIONS(7343),
    [anon_sym_BSLASHnameCref] = ACTIONS(7343),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7343),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7343),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7343),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7343),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7343),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7343),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7343),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7343),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7343),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7343),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7343),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHdef] = ACTIONS(7343),
    [anon_sym_BSLASHgdef] = ACTIONS(7343),
    [anon_sym_BSLASHedef] = ACTIONS(7343),
    [anon_sym_BSLASHxdef] = ACTIONS(7343),
    [anon_sym_BSLASHlet] = ACTIONS(7343),
    [anon_sym_BSLASHglet] = ACTIONS(7343),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7343),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7343),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7343),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7343),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7343),
    [anon_sym_BSLASHgls] = ACTIONS(7343),
    [anon_sym_BSLASHGls] = ACTIONS(7343),
    [anon_sym_BSLASHGLS] = ACTIONS(7343),
    [anon_sym_BSLASHglspl] = ACTIONS(7343),
    [anon_sym_BSLASHGlspl] = ACTIONS(7343),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7343),
    [anon_sym_BSLASHglslink] = ACTIONS(7343),
    [anon_sym_BSLASHglstext] = ACTIONS(7343),
    [anon_sym_BSLASHGlstext] = ACTIONS(7343),
    [anon_sym_BSLASHGLStext] = ACTIONS(7343),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7343),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7343),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7343),
    [anon_sym_BSLASHglsplural] = ACTIONS(7343),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7343),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7343),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHglsname] = ACTIONS(7343),
    [anon_sym_BSLASHGlsname] = ACTIONS(7343),
    [anon_sym_BSLASHGLSname] = ACTIONS(7343),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7343),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7343),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7343),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7343),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7343),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7343),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7343),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7343),
    [anon_sym_BSLASHacrshort] = ACTIONS(7343),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7343),
    [anon_sym_BSLASHACRshort] = ACTIONS(7343),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHacrlong] = ACTIONS(7343),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7343),
    [anon_sym_BSLASHACRlong] = ACTIONS(7343),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHacrfull] = ACTIONS(7343),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7343),
    [anon_sym_BSLASHACRfull] = ACTIONS(7343),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHacs] = ACTIONS(7343),
    [anon_sym_BSLASHAcs] = ACTIONS(7343),
    [anon_sym_BSLASHacsp] = ACTIONS(7343),
    [anon_sym_BSLASHAcsp] = ACTIONS(7343),
    [anon_sym_BSLASHacl] = ACTIONS(7343),
    [anon_sym_BSLASHAcl] = ACTIONS(7343),
    [anon_sym_BSLASHaclp] = ACTIONS(7343),
    [anon_sym_BSLASHAclp] = ACTIONS(7343),
    [anon_sym_BSLASHacf] = ACTIONS(7343),
    [anon_sym_BSLASHAcf] = ACTIONS(7343),
    [anon_sym_BSLASHacfp] = ACTIONS(7343),
    [anon_sym_BSLASHAcfp] = ACTIONS(7343),
    [anon_sym_BSLASHac] = ACTIONS(7343),
    [anon_sym_BSLASHAc] = ACTIONS(7343),
    [anon_sym_BSLASHacp] = ACTIONS(7343),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7343),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7343),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7343),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7343),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7343),
    [anon_sym_BSLASHcolor] = ACTIONS(7343),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7343),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7343),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7343),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7343),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7343),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7343),
    [anon_sym_BSLASHurl] = ACTIONS(7343),
    [anon_sym_BSLASHhref] = ACTIONS(7343),
  },
  [987] = {
    [ts_builtin_sym_end] = ACTIONS(7349),
    [sym_command_name] = ACTIONS(7347),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7347),
    [anon_sym_LBRACK] = ACTIONS(7349),
    [anon_sym_RBRACK] = ACTIONS(7349),
    [anon_sym_COMMA] = ACTIONS(7349),
    [anon_sym_EQ] = ACTIONS(7349),
    [anon_sym_LPAREN] = ACTIONS(7349),
    [anon_sym_RPAREN] = ACTIONS(7349),
    [anon_sym_BSLASHpart] = ACTIONS(7347),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHaddpart] = ACTIONS(7347),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHchapter] = ACTIONS(7347),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHaddchap] = ACTIONS(7347),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHsection] = ACTIONS(7347),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHaddsec] = ACTIONS(7347),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHsubsection] = ACTIONS(7347),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7347),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHparagraph] = ACTIONS(7347),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7347),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHitem] = ACTIONS(7347),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7349),
    [anon_sym_LBRACE] = ACTIONS(7349),
    [anon_sym_RBRACE] = ACTIONS(7349),
    [sym_word] = ACTIONS(7347),
    [sym_placeholder] = ACTIONS(7349),
    [sym_delimiter] = ACTIONS(7349),
    [anon_sym_PLUS] = ACTIONS(7349),
    [anon_sym_DASH] = ACTIONS(7349),
    [anon_sym_STAR] = ACTIONS(7349),
    [anon_sym_SLASH] = ACTIONS(7349),
    [anon_sym_LT] = ACTIONS(7347),
    [anon_sym_GT] = ACTIONS(7347),
    [anon_sym_BANG] = ACTIONS(7347),
    [anon_sym_PIPE] = ACTIONS(7347),
    [anon_sym_COLON] = ACTIONS(7347),
    [anon_sym_SQUOTE] = ACTIONS(7347),
    [anon_sym__] = ACTIONS(7349),
    [anon_sym_CARET] = ACTIONS(7349),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7349),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7349),
    [anon_sym_DOLLAR] = ACTIONS(7347),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7349),
    [anon_sym_BSLASHleft] = ACTIONS(7347),
    [anon_sym_BSLASHbigl] = ACTIONS(7347),
    [anon_sym_BSLASHBigl] = ACTIONS(7347),
    [anon_sym_BSLASHbiggl] = ACTIONS(7347),
    [anon_sym_BSLASHBiggl] = ACTIONS(7347),
    [anon_sym_BSLASHtext] = ACTIONS(7347),
    [anon_sym_BSLASHintertext] = ACTIONS(7347),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7347),
    [anon_sym_BSLASHbegin] = ACTIONS(7347),
    [anon_sym_BSLASHtitle] = ACTIONS(7347),
    [anon_sym_BSLASHauthor] = ACTIONS(7347),
    [anon_sym_BSLASHusepackage] = ACTIONS(7347),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7347),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7347),
    [anon_sym_BSLASHinclude] = ACTIONS(7347),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7347),
    [anon_sym_BSLASHinput] = ACTIONS(7347),
    [anon_sym_BSLASHsubfile] = ACTIONS(7347),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7347),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7347),
    [anon_sym_BSLASHbibliography] = ACTIONS(7347),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7347),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7347),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7347),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7347),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7347),
    [anon_sym_BSLASHimport] = ACTIONS(7347),
    [anon_sym_BSLASHsubimport] = ACTIONS(7347),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7347),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7347),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7347),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7347),
    [anon_sym_BSLASHcaption] = ACTIONS(7347),
    [anon_sym_BSLASHcite] = ACTIONS(7347),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCite] = ACTIONS(7347),
    [anon_sym_BSLASHnocite] = ACTIONS(7347),
    [anon_sym_BSLASHcitet] = ACTIONS(7347),
    [anon_sym_BSLASHcitep] = ACTIONS(7347),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteA] = ACTIONS(7347),
    [anon_sym_BSLASHciteR] = ACTIONS(7347),
    [anon_sym_BSLASHciteS] = ACTIONS(7347),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7347),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7347),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7347),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7347),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteyear] = ACTIONS(7347),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitedate] = ACTIONS(7347),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteurl] = ACTIONS(7347),
    [anon_sym_BSLASHfullcite] = ACTIONS(7347),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7347),
    [anon_sym_BSLASHcitealt] = ACTIONS(7347),
    [anon_sym_BSLASHcitealp] = ACTIONS(7347),
    [anon_sym_BSLASHcitetext] = ACTIONS(7347),
    [anon_sym_BSLASHparencite] = ACTIONS(7347),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHParencite] = ACTIONS(7347),
    [anon_sym_BSLASHfootcite] = ACTIONS(7347),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7347),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7347),
    [anon_sym_BSLASHtextcite] = ACTIONS(7347),
    [anon_sym_BSLASHTextcite] = ACTIONS(7347),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7347),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7347),
    [anon_sym_BSLASHsupercite] = ACTIONS(7347),
    [anon_sym_BSLASHautocite] = ACTIONS(7347),
    [anon_sym_BSLASHAutocite] = ACTIONS(7347),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHVolcite] = ACTIONS(7347),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHavolcite] = ACTIONS(7347),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHNotecite] = ACTIONS(7347),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHlabel] = ACTIONS(7347),
    [anon_sym_BSLASHref] = ACTIONS(7347),
    [anon_sym_BSLASHeqref] = ACTIONS(7347),
    [anon_sym_BSLASHvref] = ACTIONS(7347),
    [anon_sym_BSLASHVref] = ACTIONS(7347),
    [anon_sym_BSLASHautoref] = ACTIONS(7347),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHpageref] = ACTIONS(7347),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHautopageref] = ACTIONS(7347),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcref] = ACTIONS(7347),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCref] = ACTIONS(7347),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcpageref] = ACTIONS(7347),
    [anon_sym_BSLASHCpageref] = ACTIONS(7347),
    [anon_sym_BSLASHnamecref] = ACTIONS(7347),
    [anon_sym_BSLASHnameCref] = ACTIONS(7347),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7347),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7347),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7347),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7347),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7347),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7347),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7347),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7347),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7347),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7347),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7347),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHdef] = ACTIONS(7347),
    [anon_sym_BSLASHgdef] = ACTIONS(7347),
    [anon_sym_BSLASHedef] = ACTIONS(7347),
    [anon_sym_BSLASHxdef] = ACTIONS(7347),
    [anon_sym_BSLASHlet] = ACTIONS(7347),
    [anon_sym_BSLASHglet] = ACTIONS(7347),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7347),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7347),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7347),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7347),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7347),
    [anon_sym_BSLASHgls] = ACTIONS(7347),
    [anon_sym_BSLASHGls] = ACTIONS(7347),
    [anon_sym_BSLASHGLS] = ACTIONS(7347),
    [anon_sym_BSLASHglspl] = ACTIONS(7347),
    [anon_sym_BSLASHGlspl] = ACTIONS(7347),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7347),
    [anon_sym_BSLASHglslink] = ACTIONS(7347),
    [anon_sym_BSLASHglstext] = ACTIONS(7347),
    [anon_sym_BSLASHGlstext] = ACTIONS(7347),
    [anon_sym_BSLASHGLStext] = ACTIONS(7347),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7347),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7347),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7347),
    [anon_sym_BSLASHglsplural] = ACTIONS(7347),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7347),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7347),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHglsname] = ACTIONS(7347),
    [anon_sym_BSLASHGlsname] = ACTIONS(7347),
    [anon_sym_BSLASHGLSname] = ACTIONS(7347),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7347),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7347),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7347),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7347),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7347),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7347),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7347),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7347),
    [anon_sym_BSLASHacrshort] = ACTIONS(7347),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7347),
    [anon_sym_BSLASHACRshort] = ACTIONS(7347),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHacrlong] = ACTIONS(7347),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7347),
    [anon_sym_BSLASHACRlong] = ACTIONS(7347),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHacrfull] = ACTIONS(7347),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7347),
    [anon_sym_BSLASHACRfull] = ACTIONS(7347),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHacs] = ACTIONS(7347),
    [anon_sym_BSLASHAcs] = ACTIONS(7347),
    [anon_sym_BSLASHacsp] = ACTIONS(7347),
    [anon_sym_BSLASHAcsp] = ACTIONS(7347),
    [anon_sym_BSLASHacl] = ACTIONS(7347),
    [anon_sym_BSLASHAcl] = ACTIONS(7347),
    [anon_sym_BSLASHaclp] = ACTIONS(7347),
    [anon_sym_BSLASHAclp] = ACTIONS(7347),
    [anon_sym_BSLASHacf] = ACTIONS(7347),
    [anon_sym_BSLASHAcf] = ACTIONS(7347),
    [anon_sym_BSLASHacfp] = ACTIONS(7347),
    [anon_sym_BSLASHAcfp] = ACTIONS(7347),
    [anon_sym_BSLASHac] = ACTIONS(7347),
    [anon_sym_BSLASHAc] = ACTIONS(7347),
    [anon_sym_BSLASHacp] = ACTIONS(7347),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7347),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7347),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7347),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7347),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7347),
    [anon_sym_BSLASHcolor] = ACTIONS(7347),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7347),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7347),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7347),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7347),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7347),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7347),
    [anon_sym_BSLASHurl] = ACTIONS(7347),
    [anon_sym_BSLASHhref] = ACTIONS(7347),
  },
  [988] = {
    [ts_builtin_sym_end] = ACTIONS(2328),
    [sym_command_name] = ACTIONS(2326),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2326),
    [anon_sym_LBRACK] = ACTIONS(2328),
    [anon_sym_RBRACK] = ACTIONS(2328),
    [anon_sym_COMMA] = ACTIONS(2328),
    [anon_sym_EQ] = ACTIONS(2328),
    [anon_sym_LPAREN] = ACTIONS(2328),
    [anon_sym_RPAREN] = ACTIONS(2328),
    [anon_sym_BSLASHpart] = ACTIONS(2326),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddpart] = ACTIONS(2326),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHchapter] = ACTIONS(2326),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddchap] = ACTIONS(2326),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsection] = ACTIONS(2326),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddsec] = ACTIONS(2326),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsubsection] = ACTIONS(2326),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2326),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHparagraph] = ACTIONS(2326),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2326),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHitem] = ACTIONS(2326),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2328),
    [anon_sym_LBRACE] = ACTIONS(2328),
    [anon_sym_RBRACE] = ACTIONS(2328),
    [sym_word] = ACTIONS(2326),
    [sym_placeholder] = ACTIONS(2328),
    [sym_delimiter] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2328),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_SLASH] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2326),
    [anon_sym_GT] = ACTIONS(2326),
    [anon_sym_BANG] = ACTIONS(2326),
    [anon_sym_PIPE] = ACTIONS(2326),
    [anon_sym_COLON] = ACTIONS(2326),
    [anon_sym_SQUOTE] = ACTIONS(2326),
    [anon_sym__] = ACTIONS(2328),
    [anon_sym_CARET] = ACTIONS(2328),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2328),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2328),
    [anon_sym_DOLLAR] = ACTIONS(2326),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2328),
    [anon_sym_BSLASHleft] = ACTIONS(2326),
    [anon_sym_BSLASHbigl] = ACTIONS(2326),
    [anon_sym_BSLASHBigl] = ACTIONS(2326),
    [anon_sym_BSLASHbiggl] = ACTIONS(2326),
    [anon_sym_BSLASHBiggl] = ACTIONS(2326),
    [anon_sym_BSLASHtext] = ACTIONS(2326),
    [anon_sym_BSLASHintertext] = ACTIONS(2326),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2326),
    [anon_sym_BSLASHbegin] = ACTIONS(2326),
    [anon_sym_BSLASHtitle] = ACTIONS(2326),
    [anon_sym_BSLASHauthor] = ACTIONS(2326),
    [anon_sym_BSLASHusepackage] = ACTIONS(2326),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2326),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2326),
    [anon_sym_BSLASHinclude] = ACTIONS(2326),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2326),
    [anon_sym_BSLASHinput] = ACTIONS(2326),
    [anon_sym_BSLASHsubfile] = ACTIONS(2326),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2326),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2326),
    [anon_sym_BSLASHbibliography] = ACTIONS(2326),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2326),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2326),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2326),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2326),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2326),
    [anon_sym_BSLASHimport] = ACTIONS(2326),
    [anon_sym_BSLASHsubimport] = ACTIONS(2326),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2326),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2326),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2326),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2326),
    [anon_sym_BSLASHcaption] = ACTIONS(2326),
    [anon_sym_BSLASHcite] = ACTIONS(2326),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHCite] = ACTIONS(2326),
    [anon_sym_BSLASHnocite] = ACTIONS(2326),
    [anon_sym_BSLASHcitet] = ACTIONS(2326),
    [anon_sym_BSLASHcitep] = ACTIONS(2326),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHciteA] = ACTIONS(2326),
    [anon_sym_BSLASHciteR] = ACTIONS(2326),
    [anon_sym_BSLASHciteS] = ACTIONS(2326),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2326),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2326),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2326),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2326),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHciteyear] = ACTIONS(2326),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcitedate] = ACTIONS(2326),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHciteurl] = ACTIONS(2326),
    [anon_sym_BSLASHfullcite] = ACTIONS(2326),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2326),
    [anon_sym_BSLASHcitealt] = ACTIONS(2326),
    [anon_sym_BSLASHcitealp] = ACTIONS(2326),
    [anon_sym_BSLASHcitetext] = ACTIONS(2326),
    [anon_sym_BSLASHparencite] = ACTIONS(2326),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHParencite] = ACTIONS(2326),
    [anon_sym_BSLASHfootcite] = ACTIONS(2326),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2326),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2326),
    [anon_sym_BSLASHtextcite] = ACTIONS(2326),
    [anon_sym_BSLASHTextcite] = ACTIONS(2326),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2326),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2326),
    [anon_sym_BSLASHsupercite] = ACTIONS(2326),
    [anon_sym_BSLASHautocite] = ACTIONS(2326),
    [anon_sym_BSLASHAutocite] = ACTIONS(2326),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHVolcite] = ACTIONS(2326),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHavolcite] = ACTIONS(2326),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHnotecite] = ACTIONS(2326),
    [anon_sym_BSLASHNotecite] = ACTIONS(2326),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2326),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2326),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2326),
    [anon_sym_BSLASHlabel] = ACTIONS(2326),
    [anon_sym_BSLASHref] = ACTIONS(2326),
    [anon_sym_BSLASHeqref] = ACTIONS(2326),
    [anon_sym_BSLASHvref] = ACTIONS(2326),
    [anon_sym_BSLASHVref] = ACTIONS(2326),
    [anon_sym_BSLASHautoref] = ACTIONS(2326),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHpageref] = ACTIONS(2326),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHautopageref] = ACTIONS(2326),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcref] = ACTIONS(2326),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHCref] = ACTIONS(2326),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcpageref] = ACTIONS(2326),
    [anon_sym_BSLASHCpageref] = ACTIONS(2326),
    [anon_sym_BSLASHnamecref] = ACTIONS(2326),
    [anon_sym_BSLASHnameCref] = ACTIONS(2326),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2326),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2326),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2326),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2326),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2326),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2326),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2326),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2326),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2326),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2326),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2326),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2326),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2326),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2326),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2326),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2326),
    [anon_sym_BSLASHdef] = ACTIONS(2326),
    [anon_sym_BSLASHgdef] = ACTIONS(2326),
    [anon_sym_BSLASHedef] = ACTIONS(2326),
    [anon_sym_BSLASHxdef] = ACTIONS(2326),
    [anon_sym_BSLASHlet] = ACTIONS(2326),
    [anon_sym_BSLASHglet] = ACTIONS(2326),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2326),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2326),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2326),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2326),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2326),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2326),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2326),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2326),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2326),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2326),
    [anon_sym_BSLASHgls] = ACTIONS(2326),
    [anon_sym_BSLASHGls] = ACTIONS(2326),
    [anon_sym_BSLASHGLS] = ACTIONS(2326),
    [anon_sym_BSLASHglspl] = ACTIONS(2326),
    [anon_sym_BSLASHGlspl] = ACTIONS(2326),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2326),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2326),
    [anon_sym_BSLASHglslink] = ACTIONS(2326),
    [anon_sym_BSLASHglstext] = ACTIONS(2326),
    [anon_sym_BSLASHGlstext] = ACTIONS(2326),
    [anon_sym_BSLASHGLStext] = ACTIONS(2326),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2326),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2326),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2326),
    [anon_sym_BSLASHglsplural] = ACTIONS(2326),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2326),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2326),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2326),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2326),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2326),
    [anon_sym_BSLASHglsname] = ACTIONS(2326),
    [anon_sym_BSLASHGlsname] = ACTIONS(2326),
    [anon_sym_BSLASHGLSname] = ACTIONS(2326),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2326),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2326),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2326),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2326),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2326),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2326),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2326),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2326),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2326),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2326),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2326),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2326),
    [anon_sym_BSLASHacrshort] = ACTIONS(2326),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2326),
    [anon_sym_BSLASHACRshort] = ACTIONS(2326),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2326),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2326),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2326),
    [anon_sym_BSLASHacrlong] = ACTIONS(2326),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2326),
    [anon_sym_BSLASHACRlong] = ACTIONS(2326),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2326),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2326),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2326),
    [anon_sym_BSLASHacrfull] = ACTIONS(2326),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2326),
    [anon_sym_BSLASHACRfull] = ACTIONS(2326),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2326),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2326),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2326),
    [anon_sym_BSLASHacs] = ACTIONS(2326),
    [anon_sym_BSLASHAcs] = ACTIONS(2326),
    [anon_sym_BSLASHacsp] = ACTIONS(2326),
    [anon_sym_BSLASHAcsp] = ACTIONS(2326),
    [anon_sym_BSLASHacl] = ACTIONS(2326),
    [anon_sym_BSLASHAcl] = ACTIONS(2326),
    [anon_sym_BSLASHaclp] = ACTIONS(2326),
    [anon_sym_BSLASHAclp] = ACTIONS(2326),
    [anon_sym_BSLASHacf] = ACTIONS(2326),
    [anon_sym_BSLASHAcf] = ACTIONS(2326),
    [anon_sym_BSLASHacfp] = ACTIONS(2326),
    [anon_sym_BSLASHAcfp] = ACTIONS(2326),
    [anon_sym_BSLASHac] = ACTIONS(2326),
    [anon_sym_BSLASHAc] = ACTIONS(2326),
    [anon_sym_BSLASHacp] = ACTIONS(2326),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2326),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2326),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2326),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2326),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2326),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2326),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2326),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2326),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2326),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2326),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2326),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2326),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2326),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2326),
    [anon_sym_BSLASHcolor] = ACTIONS(2326),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2326),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2326),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2326),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2326),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2326),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2326),
    [anon_sym_BSLASHurl] = ACTIONS(2326),
    [anon_sym_BSLASHhref] = ACTIONS(2326),
  },
  [989] = {
    [ts_builtin_sym_end] = ACTIONS(7353),
    [sym_command_name] = ACTIONS(7351),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7351),
    [anon_sym_LBRACK] = ACTIONS(7353),
    [anon_sym_RBRACK] = ACTIONS(7353),
    [anon_sym_COMMA] = ACTIONS(7353),
    [anon_sym_EQ] = ACTIONS(7353),
    [anon_sym_LPAREN] = ACTIONS(7353),
    [anon_sym_RPAREN] = ACTIONS(7353),
    [anon_sym_BSLASHpart] = ACTIONS(7351),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHaddpart] = ACTIONS(7351),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHchapter] = ACTIONS(7351),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHaddchap] = ACTIONS(7351),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHsection] = ACTIONS(7351),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHaddsec] = ACTIONS(7351),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHsubsection] = ACTIONS(7351),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7351),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHparagraph] = ACTIONS(7351),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7351),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHitem] = ACTIONS(7351),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7353),
    [anon_sym_LBRACE] = ACTIONS(7353),
    [anon_sym_RBRACE] = ACTIONS(7353),
    [sym_word] = ACTIONS(7351),
    [sym_placeholder] = ACTIONS(7353),
    [sym_delimiter] = ACTIONS(7353),
    [anon_sym_PLUS] = ACTIONS(7353),
    [anon_sym_DASH] = ACTIONS(7353),
    [anon_sym_STAR] = ACTIONS(7353),
    [anon_sym_SLASH] = ACTIONS(7353),
    [anon_sym_LT] = ACTIONS(7351),
    [anon_sym_GT] = ACTIONS(7351),
    [anon_sym_BANG] = ACTIONS(7351),
    [anon_sym_PIPE] = ACTIONS(7351),
    [anon_sym_COLON] = ACTIONS(7351),
    [anon_sym_SQUOTE] = ACTIONS(7351),
    [anon_sym__] = ACTIONS(7353),
    [anon_sym_CARET] = ACTIONS(7353),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7353),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7353),
    [anon_sym_DOLLAR] = ACTIONS(7351),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7353),
    [anon_sym_BSLASHleft] = ACTIONS(7351),
    [anon_sym_BSLASHbigl] = ACTIONS(7351),
    [anon_sym_BSLASHBigl] = ACTIONS(7351),
    [anon_sym_BSLASHbiggl] = ACTIONS(7351),
    [anon_sym_BSLASHBiggl] = ACTIONS(7351),
    [anon_sym_BSLASHtext] = ACTIONS(7351),
    [anon_sym_BSLASHintertext] = ACTIONS(7351),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7351),
    [anon_sym_BSLASHbegin] = ACTIONS(7351),
    [anon_sym_BSLASHtitle] = ACTIONS(7351),
    [anon_sym_BSLASHauthor] = ACTIONS(7351),
    [anon_sym_BSLASHusepackage] = ACTIONS(7351),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7351),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7351),
    [anon_sym_BSLASHinclude] = ACTIONS(7351),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7351),
    [anon_sym_BSLASHinput] = ACTIONS(7351),
    [anon_sym_BSLASHsubfile] = ACTIONS(7351),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7351),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7351),
    [anon_sym_BSLASHbibliography] = ACTIONS(7351),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7351),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7351),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7351),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7351),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7351),
    [anon_sym_BSLASHimport] = ACTIONS(7351),
    [anon_sym_BSLASHsubimport] = ACTIONS(7351),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7351),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7351),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7351),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7351),
    [anon_sym_BSLASHcaption] = ACTIONS(7351),
    [anon_sym_BSLASHcite] = ACTIONS(7351),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCite] = ACTIONS(7351),
    [anon_sym_BSLASHnocite] = ACTIONS(7351),
    [anon_sym_BSLASHcitet] = ACTIONS(7351),
    [anon_sym_BSLASHcitep] = ACTIONS(7351),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteA] = ACTIONS(7351),
    [anon_sym_BSLASHciteR] = ACTIONS(7351),
    [anon_sym_BSLASHciteS] = ACTIONS(7351),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7351),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7351),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7351),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7351),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteyear] = ACTIONS(7351),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitedate] = ACTIONS(7351),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteurl] = ACTIONS(7351),
    [anon_sym_BSLASHfullcite] = ACTIONS(7351),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7351),
    [anon_sym_BSLASHcitealt] = ACTIONS(7351),
    [anon_sym_BSLASHcitealp] = ACTIONS(7351),
    [anon_sym_BSLASHcitetext] = ACTIONS(7351),
    [anon_sym_BSLASHparencite] = ACTIONS(7351),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHParencite] = ACTIONS(7351),
    [anon_sym_BSLASHfootcite] = ACTIONS(7351),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7351),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7351),
    [anon_sym_BSLASHtextcite] = ACTIONS(7351),
    [anon_sym_BSLASHTextcite] = ACTIONS(7351),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7351),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7351),
    [anon_sym_BSLASHsupercite] = ACTIONS(7351),
    [anon_sym_BSLASHautocite] = ACTIONS(7351),
    [anon_sym_BSLASHAutocite] = ACTIONS(7351),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHVolcite] = ACTIONS(7351),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHavolcite] = ACTIONS(7351),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHNotecite] = ACTIONS(7351),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHlabel] = ACTIONS(7351),
    [anon_sym_BSLASHref] = ACTIONS(7351),
    [anon_sym_BSLASHeqref] = ACTIONS(7351),
    [anon_sym_BSLASHvref] = ACTIONS(7351),
    [anon_sym_BSLASHVref] = ACTIONS(7351),
    [anon_sym_BSLASHautoref] = ACTIONS(7351),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHpageref] = ACTIONS(7351),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHautopageref] = ACTIONS(7351),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcref] = ACTIONS(7351),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCref] = ACTIONS(7351),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcpageref] = ACTIONS(7351),
    [anon_sym_BSLASHCpageref] = ACTIONS(7351),
    [anon_sym_BSLASHnamecref] = ACTIONS(7351),
    [anon_sym_BSLASHnameCref] = ACTIONS(7351),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7351),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7351),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7351),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7351),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7351),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7351),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7351),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7351),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7351),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7351),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7351),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHdef] = ACTIONS(7351),
    [anon_sym_BSLASHgdef] = ACTIONS(7351),
    [anon_sym_BSLASHedef] = ACTIONS(7351),
    [anon_sym_BSLASHxdef] = ACTIONS(7351),
    [anon_sym_BSLASHlet] = ACTIONS(7351),
    [anon_sym_BSLASHglet] = ACTIONS(7351),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7351),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7351),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7351),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7351),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7351),
    [anon_sym_BSLASHgls] = ACTIONS(7351),
    [anon_sym_BSLASHGls] = ACTIONS(7351),
    [anon_sym_BSLASHGLS] = ACTIONS(7351),
    [anon_sym_BSLASHglspl] = ACTIONS(7351),
    [anon_sym_BSLASHGlspl] = ACTIONS(7351),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7351),
    [anon_sym_BSLASHglslink] = ACTIONS(7351),
    [anon_sym_BSLASHglstext] = ACTIONS(7351),
    [anon_sym_BSLASHGlstext] = ACTIONS(7351),
    [anon_sym_BSLASHGLStext] = ACTIONS(7351),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7351),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7351),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7351),
    [anon_sym_BSLASHglsplural] = ACTIONS(7351),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7351),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7351),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHglsname] = ACTIONS(7351),
    [anon_sym_BSLASHGlsname] = ACTIONS(7351),
    [anon_sym_BSLASHGLSname] = ACTIONS(7351),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7351),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7351),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7351),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7351),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7351),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7351),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7351),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7351),
    [anon_sym_BSLASHacrshort] = ACTIONS(7351),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7351),
    [anon_sym_BSLASHACRshort] = ACTIONS(7351),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHacrlong] = ACTIONS(7351),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7351),
    [anon_sym_BSLASHACRlong] = ACTIONS(7351),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHacrfull] = ACTIONS(7351),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7351),
    [anon_sym_BSLASHACRfull] = ACTIONS(7351),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHacs] = ACTIONS(7351),
    [anon_sym_BSLASHAcs] = ACTIONS(7351),
    [anon_sym_BSLASHacsp] = ACTIONS(7351),
    [anon_sym_BSLASHAcsp] = ACTIONS(7351),
    [anon_sym_BSLASHacl] = ACTIONS(7351),
    [anon_sym_BSLASHAcl] = ACTIONS(7351),
    [anon_sym_BSLASHaclp] = ACTIONS(7351),
    [anon_sym_BSLASHAclp] = ACTIONS(7351),
    [anon_sym_BSLASHacf] = ACTIONS(7351),
    [anon_sym_BSLASHAcf] = ACTIONS(7351),
    [anon_sym_BSLASHacfp] = ACTIONS(7351),
    [anon_sym_BSLASHAcfp] = ACTIONS(7351),
    [anon_sym_BSLASHac] = ACTIONS(7351),
    [anon_sym_BSLASHAc] = ACTIONS(7351),
    [anon_sym_BSLASHacp] = ACTIONS(7351),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7351),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7351),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7351),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7351),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7351),
    [anon_sym_BSLASHcolor] = ACTIONS(7351),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7351),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7351),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7351),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7351),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7351),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7351),
    [anon_sym_BSLASHurl] = ACTIONS(7351),
    [anon_sym_BSLASHhref] = ACTIONS(7351),
  },
  [990] = {
    [sym_curly_group] = STATE(1464),
    [sym_command_name] = ACTIONS(6923),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6923),
    [anon_sym_LBRACK] = ACTIONS(6925),
    [anon_sym_RBRACK] = ACTIONS(6925),
    [anon_sym_COMMA] = ACTIONS(6925),
    [anon_sym_EQ] = ACTIONS(6925),
    [anon_sym_LPAREN] = ACTIONS(6925),
    [anon_sym_RPAREN] = ACTIONS(6925),
    [anon_sym_BSLASHpart] = ACTIONS(6923),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHaddpart] = ACTIONS(6923),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHchapter] = ACTIONS(6923),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHaddchap] = ACTIONS(6923),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHsection] = ACTIONS(6923),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHaddsec] = ACTIONS(6923),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHsubsection] = ACTIONS(6923),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6923),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHparagraph] = ACTIONS(6923),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6923),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHitem] = ACTIONS(6923),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6925),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(6923),
    [sym_placeholder] = ACTIONS(6925),
    [sym_delimiter] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6925),
    [anon_sym_DASH] = ACTIONS(6925),
    [anon_sym_STAR] = ACTIONS(6925),
    [anon_sym_SLASH] = ACTIONS(6925),
    [anon_sym_LT] = ACTIONS(6923),
    [anon_sym_GT] = ACTIONS(6923),
    [anon_sym_BANG] = ACTIONS(6923),
    [anon_sym_PIPE] = ACTIONS(6923),
    [anon_sym_COLON] = ACTIONS(6923),
    [anon_sym_SQUOTE] = ACTIONS(6923),
    [anon_sym__] = ACTIONS(6925),
    [anon_sym_CARET] = ACTIONS(6925),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6925),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6925),
    [anon_sym_DOLLAR] = ACTIONS(6923),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6925),
    [anon_sym_BSLASHleft] = ACTIONS(6923),
    [anon_sym_BSLASHbigl] = ACTIONS(6923),
    [anon_sym_BSLASHBigl] = ACTIONS(6923),
    [anon_sym_BSLASHbiggl] = ACTIONS(6923),
    [anon_sym_BSLASHBiggl] = ACTIONS(6923),
    [anon_sym_BSLASHtext] = ACTIONS(6923),
    [anon_sym_BSLASHintertext] = ACTIONS(6923),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6923),
    [anon_sym_BSLASHbegin] = ACTIONS(6923),
    [anon_sym_BSLASHend] = ACTIONS(6923),
    [anon_sym_BSLASHtitle] = ACTIONS(6923),
    [anon_sym_BSLASHauthor] = ACTIONS(6923),
    [anon_sym_BSLASHusepackage] = ACTIONS(6923),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6923),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6923),
    [anon_sym_BSLASHinclude] = ACTIONS(6923),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6923),
    [anon_sym_BSLASHinput] = ACTIONS(6923),
    [anon_sym_BSLASHsubfile] = ACTIONS(6923),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6923),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6923),
    [anon_sym_BSLASHbibliography] = ACTIONS(6923),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6923),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6923),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6923),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6923),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6923),
    [anon_sym_BSLASHimport] = ACTIONS(6923),
    [anon_sym_BSLASHsubimport] = ACTIONS(6923),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6923),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6923),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6923),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6923),
    [anon_sym_BSLASHcaption] = ACTIONS(6923),
    [anon_sym_BSLASHcite] = ACTIONS(6923),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCite] = ACTIONS(6923),
    [anon_sym_BSLASHnocite] = ACTIONS(6923),
    [anon_sym_BSLASHcitet] = ACTIONS(6923),
    [anon_sym_BSLASHcitep] = ACTIONS(6923),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteA] = ACTIONS(6923),
    [anon_sym_BSLASHciteR] = ACTIONS(6923),
    [anon_sym_BSLASHciteS] = ACTIONS(6923),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6923),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6923),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6923),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6923),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteyear] = ACTIONS(6923),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitedate] = ACTIONS(6923),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteurl] = ACTIONS(6923),
    [anon_sym_BSLASHfullcite] = ACTIONS(6923),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6923),
    [anon_sym_BSLASHcitealt] = ACTIONS(6923),
    [anon_sym_BSLASHcitealp] = ACTIONS(6923),
    [anon_sym_BSLASHcitetext] = ACTIONS(6923),
    [anon_sym_BSLASHparencite] = ACTIONS(6923),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHParencite] = ACTIONS(6923),
    [anon_sym_BSLASHfootcite] = ACTIONS(6923),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6923),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6923),
    [anon_sym_BSLASHtextcite] = ACTIONS(6923),
    [anon_sym_BSLASHTextcite] = ACTIONS(6923),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6923),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6923),
    [anon_sym_BSLASHsupercite] = ACTIONS(6923),
    [anon_sym_BSLASHautocite] = ACTIONS(6923),
    [anon_sym_BSLASHAutocite] = ACTIONS(6923),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHVolcite] = ACTIONS(6923),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHavolcite] = ACTIONS(6923),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHNotecite] = ACTIONS(6923),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHlabel] = ACTIONS(6923),
    [anon_sym_BSLASHref] = ACTIONS(6923),
    [anon_sym_BSLASHeqref] = ACTIONS(6923),
    [anon_sym_BSLASHvref] = ACTIONS(6923),
    [anon_sym_BSLASHVref] = ACTIONS(6923),
    [anon_sym_BSLASHautoref] = ACTIONS(6923),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHpageref] = ACTIONS(6923),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHautopageref] = ACTIONS(6923),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcref] = ACTIONS(6923),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCref] = ACTIONS(6923),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcpageref] = ACTIONS(6923),
    [anon_sym_BSLASHCpageref] = ACTIONS(6923),
    [anon_sym_BSLASHnamecref] = ACTIONS(6923),
    [anon_sym_BSLASHnameCref] = ACTIONS(6923),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6923),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6923),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6923),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6923),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6923),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6923),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6923),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6923),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6923),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6923),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6923),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHdef] = ACTIONS(6923),
    [anon_sym_BSLASHgdef] = ACTIONS(6923),
    [anon_sym_BSLASHedef] = ACTIONS(6923),
    [anon_sym_BSLASHxdef] = ACTIONS(6923),
    [anon_sym_BSLASHlet] = ACTIONS(6923),
    [anon_sym_BSLASHglet] = ACTIONS(6923),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6923),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6923),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6923),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6923),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6923),
    [anon_sym_BSLASHgls] = ACTIONS(6923),
    [anon_sym_BSLASHGls] = ACTIONS(6923),
    [anon_sym_BSLASHGLS] = ACTIONS(6923),
    [anon_sym_BSLASHglspl] = ACTIONS(6923),
    [anon_sym_BSLASHGlspl] = ACTIONS(6923),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6923),
    [anon_sym_BSLASHglslink] = ACTIONS(6923),
    [anon_sym_BSLASHglstext] = ACTIONS(6923),
    [anon_sym_BSLASHGlstext] = ACTIONS(6923),
    [anon_sym_BSLASHGLStext] = ACTIONS(6923),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6923),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6923),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6923),
    [anon_sym_BSLASHglsplural] = ACTIONS(6923),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6923),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6923),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHglsname] = ACTIONS(6923),
    [anon_sym_BSLASHGlsname] = ACTIONS(6923),
    [anon_sym_BSLASHGLSname] = ACTIONS(6923),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6923),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6923),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6923),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6923),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6923),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6923),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6923),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6923),
    [anon_sym_BSLASHacrshort] = ACTIONS(6923),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6923),
    [anon_sym_BSLASHACRshort] = ACTIONS(6923),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHacrlong] = ACTIONS(6923),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6923),
    [anon_sym_BSLASHACRlong] = ACTIONS(6923),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHacrfull] = ACTIONS(6923),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6923),
    [anon_sym_BSLASHACRfull] = ACTIONS(6923),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHacs] = ACTIONS(6923),
    [anon_sym_BSLASHAcs] = ACTIONS(6923),
    [anon_sym_BSLASHacsp] = ACTIONS(6923),
    [anon_sym_BSLASHAcsp] = ACTIONS(6923),
    [anon_sym_BSLASHacl] = ACTIONS(6923),
    [anon_sym_BSLASHAcl] = ACTIONS(6923),
    [anon_sym_BSLASHaclp] = ACTIONS(6923),
    [anon_sym_BSLASHAclp] = ACTIONS(6923),
    [anon_sym_BSLASHacf] = ACTIONS(6923),
    [anon_sym_BSLASHAcf] = ACTIONS(6923),
    [anon_sym_BSLASHacfp] = ACTIONS(6923),
    [anon_sym_BSLASHAcfp] = ACTIONS(6923),
    [anon_sym_BSLASHac] = ACTIONS(6923),
    [anon_sym_BSLASHAc] = ACTIONS(6923),
    [anon_sym_BSLASHacp] = ACTIONS(6923),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6923),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6923),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6923),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6923),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6923),
    [anon_sym_BSLASHcolor] = ACTIONS(6923),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6923),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6923),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6923),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6923),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6923),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6923),
    [anon_sym_BSLASHurl] = ACTIONS(6923),
    [anon_sym_BSLASHhref] = ACTIONS(6923),
  },
  [991] = {
    [sym_brack_group_text] = STATE(1475),
    [sym_command_name] = ACTIONS(6931),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6931),
    [anon_sym_LBRACK] = ACTIONS(7785),
    [anon_sym_RBRACK] = ACTIONS(6933),
    [anon_sym_COMMA] = ACTIONS(6933),
    [anon_sym_EQ] = ACTIONS(6933),
    [anon_sym_LPAREN] = ACTIONS(6933),
    [anon_sym_RPAREN] = ACTIONS(6933),
    [anon_sym_BSLASHpart] = ACTIONS(6931),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHaddpart] = ACTIONS(6931),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHchapter] = ACTIONS(6931),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHaddchap] = ACTIONS(6931),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHsection] = ACTIONS(6931),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHaddsec] = ACTIONS(6931),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHsubsection] = ACTIONS(6931),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6931),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHparagraph] = ACTIONS(6931),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6931),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHitem] = ACTIONS(6931),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6933),
    [anon_sym_LBRACE] = ACTIONS(6933),
    [sym_word] = ACTIONS(6931),
    [sym_placeholder] = ACTIONS(6933),
    [sym_delimiter] = ACTIONS(6933),
    [anon_sym_PLUS] = ACTIONS(6933),
    [anon_sym_DASH] = ACTIONS(6933),
    [anon_sym_STAR] = ACTIONS(6933),
    [anon_sym_SLASH] = ACTIONS(6933),
    [anon_sym_LT] = ACTIONS(6931),
    [anon_sym_GT] = ACTIONS(6931),
    [anon_sym_BANG] = ACTIONS(6931),
    [anon_sym_PIPE] = ACTIONS(6931),
    [anon_sym_COLON] = ACTIONS(6931),
    [anon_sym_SQUOTE] = ACTIONS(6931),
    [anon_sym__] = ACTIONS(6933),
    [anon_sym_CARET] = ACTIONS(6933),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6933),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6933),
    [anon_sym_DOLLAR] = ACTIONS(6931),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6933),
    [anon_sym_BSLASHleft] = ACTIONS(6931),
    [anon_sym_BSLASHbigl] = ACTIONS(6931),
    [anon_sym_BSLASHBigl] = ACTIONS(6931),
    [anon_sym_BSLASHbiggl] = ACTIONS(6931),
    [anon_sym_BSLASHBiggl] = ACTIONS(6931),
    [anon_sym_BSLASHtext] = ACTIONS(6931),
    [anon_sym_BSLASHintertext] = ACTIONS(6931),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6931),
    [anon_sym_BSLASHbegin] = ACTIONS(6931),
    [anon_sym_BSLASHend] = ACTIONS(6931),
    [anon_sym_BSLASHtitle] = ACTIONS(6931),
    [anon_sym_BSLASHauthor] = ACTIONS(6931),
    [anon_sym_BSLASHusepackage] = ACTIONS(6931),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6931),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6931),
    [anon_sym_BSLASHinclude] = ACTIONS(6931),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6931),
    [anon_sym_BSLASHinput] = ACTIONS(6931),
    [anon_sym_BSLASHsubfile] = ACTIONS(6931),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6931),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6931),
    [anon_sym_BSLASHbibliography] = ACTIONS(6931),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6931),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6931),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6931),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6931),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6931),
    [anon_sym_BSLASHimport] = ACTIONS(6931),
    [anon_sym_BSLASHsubimport] = ACTIONS(6931),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6931),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6931),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6931),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6931),
    [anon_sym_BSLASHcaption] = ACTIONS(6931),
    [anon_sym_BSLASHcite] = ACTIONS(6931),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCite] = ACTIONS(6931),
    [anon_sym_BSLASHnocite] = ACTIONS(6931),
    [anon_sym_BSLASHcitet] = ACTIONS(6931),
    [anon_sym_BSLASHcitep] = ACTIONS(6931),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteA] = ACTIONS(6931),
    [anon_sym_BSLASHciteR] = ACTIONS(6931),
    [anon_sym_BSLASHciteS] = ACTIONS(6931),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6931),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6931),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6931),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6931),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteyear] = ACTIONS(6931),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitedate] = ACTIONS(6931),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteurl] = ACTIONS(6931),
    [anon_sym_BSLASHfullcite] = ACTIONS(6931),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6931),
    [anon_sym_BSLASHcitealt] = ACTIONS(6931),
    [anon_sym_BSLASHcitealp] = ACTIONS(6931),
    [anon_sym_BSLASHcitetext] = ACTIONS(6931),
    [anon_sym_BSLASHparencite] = ACTIONS(6931),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHParencite] = ACTIONS(6931),
    [anon_sym_BSLASHfootcite] = ACTIONS(6931),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6931),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6931),
    [anon_sym_BSLASHtextcite] = ACTIONS(6931),
    [anon_sym_BSLASHTextcite] = ACTIONS(6931),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6931),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6931),
    [anon_sym_BSLASHsupercite] = ACTIONS(6931),
    [anon_sym_BSLASHautocite] = ACTIONS(6931),
    [anon_sym_BSLASHAutocite] = ACTIONS(6931),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHVolcite] = ACTIONS(6931),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHavolcite] = ACTIONS(6931),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHNotecite] = ACTIONS(6931),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHlabel] = ACTIONS(6931),
    [anon_sym_BSLASHref] = ACTIONS(6931),
    [anon_sym_BSLASHeqref] = ACTIONS(6931),
    [anon_sym_BSLASHvref] = ACTIONS(6931),
    [anon_sym_BSLASHVref] = ACTIONS(6931),
    [anon_sym_BSLASHautoref] = ACTIONS(6931),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHpageref] = ACTIONS(6931),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHautopageref] = ACTIONS(6931),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcref] = ACTIONS(6931),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCref] = ACTIONS(6931),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcpageref] = ACTIONS(6931),
    [anon_sym_BSLASHCpageref] = ACTIONS(6931),
    [anon_sym_BSLASHnamecref] = ACTIONS(6931),
    [anon_sym_BSLASHnameCref] = ACTIONS(6931),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6931),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6931),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6931),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6931),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6931),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6931),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6931),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6931),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6931),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6931),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6931),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHdef] = ACTIONS(6931),
    [anon_sym_BSLASHgdef] = ACTIONS(6931),
    [anon_sym_BSLASHedef] = ACTIONS(6931),
    [anon_sym_BSLASHxdef] = ACTIONS(6931),
    [anon_sym_BSLASHlet] = ACTIONS(6931),
    [anon_sym_BSLASHglet] = ACTIONS(6931),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6931),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6931),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6931),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6931),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6931),
    [anon_sym_BSLASHgls] = ACTIONS(6931),
    [anon_sym_BSLASHGls] = ACTIONS(6931),
    [anon_sym_BSLASHGLS] = ACTIONS(6931),
    [anon_sym_BSLASHglspl] = ACTIONS(6931),
    [anon_sym_BSLASHGlspl] = ACTIONS(6931),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6931),
    [anon_sym_BSLASHglslink] = ACTIONS(6931),
    [anon_sym_BSLASHglstext] = ACTIONS(6931),
    [anon_sym_BSLASHGlstext] = ACTIONS(6931),
    [anon_sym_BSLASHGLStext] = ACTIONS(6931),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6931),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6931),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6931),
    [anon_sym_BSLASHglsplural] = ACTIONS(6931),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6931),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6931),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHglsname] = ACTIONS(6931),
    [anon_sym_BSLASHGlsname] = ACTIONS(6931),
    [anon_sym_BSLASHGLSname] = ACTIONS(6931),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6931),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6931),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6931),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6931),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6931),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6931),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6931),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6931),
    [anon_sym_BSLASHacrshort] = ACTIONS(6931),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6931),
    [anon_sym_BSLASHACRshort] = ACTIONS(6931),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHacrlong] = ACTIONS(6931),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6931),
    [anon_sym_BSLASHACRlong] = ACTIONS(6931),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHacrfull] = ACTIONS(6931),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6931),
    [anon_sym_BSLASHACRfull] = ACTIONS(6931),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHacs] = ACTIONS(6931),
    [anon_sym_BSLASHAcs] = ACTIONS(6931),
    [anon_sym_BSLASHacsp] = ACTIONS(6931),
    [anon_sym_BSLASHAcsp] = ACTIONS(6931),
    [anon_sym_BSLASHacl] = ACTIONS(6931),
    [anon_sym_BSLASHAcl] = ACTIONS(6931),
    [anon_sym_BSLASHaclp] = ACTIONS(6931),
    [anon_sym_BSLASHAclp] = ACTIONS(6931),
    [anon_sym_BSLASHacf] = ACTIONS(6931),
    [anon_sym_BSLASHAcf] = ACTIONS(6931),
    [anon_sym_BSLASHacfp] = ACTIONS(6931),
    [anon_sym_BSLASHAcfp] = ACTIONS(6931),
    [anon_sym_BSLASHac] = ACTIONS(6931),
    [anon_sym_BSLASHAc] = ACTIONS(6931),
    [anon_sym_BSLASHacp] = ACTIONS(6931),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6931),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6931),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6931),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6931),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6931),
    [anon_sym_BSLASHcolor] = ACTIONS(6931),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6931),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6931),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6931),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6931),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6931),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6931),
    [anon_sym_BSLASHurl] = ACTIONS(6931),
    [anon_sym_BSLASHhref] = ACTIONS(6931),
  },
  [992] = {
    [ts_builtin_sym_end] = ACTIONS(7189),
    [sym_command_name] = ACTIONS(7187),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7187),
    [anon_sym_LBRACK] = ACTIONS(7189),
    [anon_sym_RBRACK] = ACTIONS(7189),
    [anon_sym_COMMA] = ACTIONS(7189),
    [anon_sym_EQ] = ACTIONS(7189),
    [anon_sym_LPAREN] = ACTIONS(7189),
    [anon_sym_RPAREN] = ACTIONS(7189),
    [anon_sym_BSLASHpart] = ACTIONS(7187),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHaddpart] = ACTIONS(7187),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHchapter] = ACTIONS(7187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHaddchap] = ACTIONS(7187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHsection] = ACTIONS(7187),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHaddsec] = ACTIONS(7187),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHsubsection] = ACTIONS(7187),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7187),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHparagraph] = ACTIONS(7187),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7187),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHitem] = ACTIONS(7187),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7189),
    [anon_sym_LBRACE] = ACTIONS(7189),
    [anon_sym_RBRACE] = ACTIONS(7189),
    [sym_word] = ACTIONS(7187),
    [sym_placeholder] = ACTIONS(7189),
    [sym_delimiter] = ACTIONS(7189),
    [anon_sym_PLUS] = ACTIONS(7189),
    [anon_sym_DASH] = ACTIONS(7189),
    [anon_sym_STAR] = ACTIONS(7189),
    [anon_sym_SLASH] = ACTIONS(7189),
    [anon_sym_LT] = ACTIONS(7187),
    [anon_sym_GT] = ACTIONS(7187),
    [anon_sym_BANG] = ACTIONS(7187),
    [anon_sym_PIPE] = ACTIONS(7187),
    [anon_sym_COLON] = ACTIONS(7187),
    [anon_sym_SQUOTE] = ACTIONS(7187),
    [anon_sym__] = ACTIONS(7189),
    [anon_sym_CARET] = ACTIONS(7189),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7189),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7189),
    [anon_sym_DOLLAR] = ACTIONS(7187),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7189),
    [anon_sym_BSLASHleft] = ACTIONS(7187),
    [anon_sym_BSLASHbigl] = ACTIONS(7187),
    [anon_sym_BSLASHBigl] = ACTIONS(7187),
    [anon_sym_BSLASHbiggl] = ACTIONS(7187),
    [anon_sym_BSLASHBiggl] = ACTIONS(7187),
    [anon_sym_BSLASHtext] = ACTIONS(7187),
    [anon_sym_BSLASHintertext] = ACTIONS(7187),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7187),
    [anon_sym_BSLASHbegin] = ACTIONS(7187),
    [anon_sym_BSLASHtitle] = ACTIONS(7187),
    [anon_sym_BSLASHauthor] = ACTIONS(7187),
    [anon_sym_BSLASHusepackage] = ACTIONS(7187),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7187),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7187),
    [anon_sym_BSLASHinclude] = ACTIONS(7187),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7187),
    [anon_sym_BSLASHinput] = ACTIONS(7187),
    [anon_sym_BSLASHsubfile] = ACTIONS(7187),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7187),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7187),
    [anon_sym_BSLASHbibliography] = ACTIONS(7187),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7187),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7187),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7187),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7187),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7187),
    [anon_sym_BSLASHimport] = ACTIONS(7187),
    [anon_sym_BSLASHsubimport] = ACTIONS(7187),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7187),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7187),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7187),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7187),
    [anon_sym_BSLASHcaption] = ACTIONS(7187),
    [anon_sym_BSLASHcite] = ACTIONS(7187),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCite] = ACTIONS(7187),
    [anon_sym_BSLASHnocite] = ACTIONS(7187),
    [anon_sym_BSLASHcitet] = ACTIONS(7187),
    [anon_sym_BSLASHcitep] = ACTIONS(7187),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteA] = ACTIONS(7187),
    [anon_sym_BSLASHciteR] = ACTIONS(7187),
    [anon_sym_BSLASHciteS] = ACTIONS(7187),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7187),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7187),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7187),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7187),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteyear] = ACTIONS(7187),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitedate] = ACTIONS(7187),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteurl] = ACTIONS(7187),
    [anon_sym_BSLASHfullcite] = ACTIONS(7187),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7187),
    [anon_sym_BSLASHcitealt] = ACTIONS(7187),
    [anon_sym_BSLASHcitealp] = ACTIONS(7187),
    [anon_sym_BSLASHcitetext] = ACTIONS(7187),
    [anon_sym_BSLASHparencite] = ACTIONS(7187),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHParencite] = ACTIONS(7187),
    [anon_sym_BSLASHfootcite] = ACTIONS(7187),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7187),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7187),
    [anon_sym_BSLASHtextcite] = ACTIONS(7187),
    [anon_sym_BSLASHTextcite] = ACTIONS(7187),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7187),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7187),
    [anon_sym_BSLASHsupercite] = ACTIONS(7187),
    [anon_sym_BSLASHautocite] = ACTIONS(7187),
    [anon_sym_BSLASHAutocite] = ACTIONS(7187),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHVolcite] = ACTIONS(7187),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHavolcite] = ACTIONS(7187),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHNotecite] = ACTIONS(7187),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHlabel] = ACTIONS(7187),
    [anon_sym_BSLASHref] = ACTIONS(7187),
    [anon_sym_BSLASHeqref] = ACTIONS(7187),
    [anon_sym_BSLASHvref] = ACTIONS(7187),
    [anon_sym_BSLASHVref] = ACTIONS(7187),
    [anon_sym_BSLASHautoref] = ACTIONS(7187),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHpageref] = ACTIONS(7187),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHautopageref] = ACTIONS(7187),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcref] = ACTIONS(7187),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCref] = ACTIONS(7187),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcpageref] = ACTIONS(7187),
    [anon_sym_BSLASHCpageref] = ACTIONS(7187),
    [anon_sym_BSLASHnamecref] = ACTIONS(7187),
    [anon_sym_BSLASHnameCref] = ACTIONS(7187),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7187),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7187),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7187),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7187),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7187),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7187),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7187),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7187),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7187),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7187),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7187),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHdef] = ACTIONS(7187),
    [anon_sym_BSLASHgdef] = ACTIONS(7187),
    [anon_sym_BSLASHedef] = ACTIONS(7187),
    [anon_sym_BSLASHxdef] = ACTIONS(7187),
    [anon_sym_BSLASHlet] = ACTIONS(7187),
    [anon_sym_BSLASHglet] = ACTIONS(7187),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7187),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7187),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7187),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7187),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7187),
    [anon_sym_BSLASHgls] = ACTIONS(7187),
    [anon_sym_BSLASHGls] = ACTIONS(7187),
    [anon_sym_BSLASHGLS] = ACTIONS(7187),
    [anon_sym_BSLASHglspl] = ACTIONS(7187),
    [anon_sym_BSLASHGlspl] = ACTIONS(7187),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7187),
    [anon_sym_BSLASHglslink] = ACTIONS(7187),
    [anon_sym_BSLASHglstext] = ACTIONS(7187),
    [anon_sym_BSLASHGlstext] = ACTIONS(7187),
    [anon_sym_BSLASHGLStext] = ACTIONS(7187),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7187),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7187),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7187),
    [anon_sym_BSLASHglsplural] = ACTIONS(7187),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7187),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7187),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHglsname] = ACTIONS(7187),
    [anon_sym_BSLASHGlsname] = ACTIONS(7187),
    [anon_sym_BSLASHGLSname] = ACTIONS(7187),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7187),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7187),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7187),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7187),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7187),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7187),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7187),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7187),
    [anon_sym_BSLASHacrshort] = ACTIONS(7187),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7187),
    [anon_sym_BSLASHACRshort] = ACTIONS(7187),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHacrlong] = ACTIONS(7187),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7187),
    [anon_sym_BSLASHACRlong] = ACTIONS(7187),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHacrfull] = ACTIONS(7187),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7187),
    [anon_sym_BSLASHACRfull] = ACTIONS(7187),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHacs] = ACTIONS(7187),
    [anon_sym_BSLASHAcs] = ACTIONS(7187),
    [anon_sym_BSLASHacsp] = ACTIONS(7187),
    [anon_sym_BSLASHAcsp] = ACTIONS(7187),
    [anon_sym_BSLASHacl] = ACTIONS(7187),
    [anon_sym_BSLASHAcl] = ACTIONS(7187),
    [anon_sym_BSLASHaclp] = ACTIONS(7187),
    [anon_sym_BSLASHAclp] = ACTIONS(7187),
    [anon_sym_BSLASHacf] = ACTIONS(7187),
    [anon_sym_BSLASHAcf] = ACTIONS(7187),
    [anon_sym_BSLASHacfp] = ACTIONS(7187),
    [anon_sym_BSLASHAcfp] = ACTIONS(7187),
    [anon_sym_BSLASHac] = ACTIONS(7187),
    [anon_sym_BSLASHAc] = ACTIONS(7187),
    [anon_sym_BSLASHacp] = ACTIONS(7187),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7187),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7187),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7187),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7187),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7187),
    [anon_sym_BSLASHcolor] = ACTIONS(7187),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7187),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7187),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7187),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7187),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7187),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7187),
    [anon_sym_BSLASHurl] = ACTIONS(7187),
    [anon_sym_BSLASHhref] = ACTIONS(7187),
  },
  [993] = {
    [sym_curly_group] = STATE(1198),
    [sym_command_name] = ACTIONS(6935),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6937),
    [anon_sym_RBRACK] = ACTIONS(6937),
    [anon_sym_COMMA] = ACTIONS(6937),
    [anon_sym_EQ] = ACTIONS(6937),
    [anon_sym_LPAREN] = ACTIONS(6937),
    [anon_sym_RPAREN] = ACTIONS(6937),
    [anon_sym_BSLASHpart] = ACTIONS(6935),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHaddpart] = ACTIONS(6935),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHchapter] = ACTIONS(6935),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHaddchap] = ACTIONS(6935),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHsection] = ACTIONS(6935),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHaddsec] = ACTIONS(6935),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHsubsection] = ACTIONS(6935),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6935),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHparagraph] = ACTIONS(6935),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6935),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHitem] = ACTIONS(6935),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6937),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(6935),
    [sym_placeholder] = ACTIONS(6937),
    [sym_delimiter] = ACTIONS(6937),
    [anon_sym_PLUS] = ACTIONS(6937),
    [anon_sym_DASH] = ACTIONS(6937),
    [anon_sym_STAR] = ACTIONS(6937),
    [anon_sym_SLASH] = ACTIONS(6937),
    [anon_sym_LT] = ACTIONS(6935),
    [anon_sym_GT] = ACTIONS(6935),
    [anon_sym_BANG] = ACTIONS(6935),
    [anon_sym_PIPE] = ACTIONS(6935),
    [anon_sym_COLON] = ACTIONS(6935),
    [anon_sym_SQUOTE] = ACTIONS(6935),
    [anon_sym__] = ACTIONS(6937),
    [anon_sym_CARET] = ACTIONS(6937),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6937),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6937),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6937),
    [anon_sym_DOLLAR] = ACTIONS(6935),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6937),
    [anon_sym_BSLASHleft] = ACTIONS(6935),
    [anon_sym_BSLASHbigl] = ACTIONS(6935),
    [anon_sym_BSLASHBigl] = ACTIONS(6935),
    [anon_sym_BSLASHbiggl] = ACTIONS(6935),
    [anon_sym_BSLASHBiggl] = ACTIONS(6935),
    [anon_sym_BSLASHtext] = ACTIONS(6935),
    [anon_sym_BSLASHintertext] = ACTIONS(6935),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6935),
    [anon_sym_BSLASHbegin] = ACTIONS(6935),
    [anon_sym_BSLASHtitle] = ACTIONS(6935),
    [anon_sym_BSLASHauthor] = ACTIONS(6935),
    [anon_sym_BSLASHusepackage] = ACTIONS(6935),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6935),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6935),
    [anon_sym_BSLASHinclude] = ACTIONS(6935),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6935),
    [anon_sym_BSLASHinput] = ACTIONS(6935),
    [anon_sym_BSLASHsubfile] = ACTIONS(6935),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6935),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6935),
    [anon_sym_BSLASHbibliography] = ACTIONS(6935),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6935),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6935),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6935),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6935),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6935),
    [anon_sym_BSLASHimport] = ACTIONS(6935),
    [anon_sym_BSLASHsubimport] = ACTIONS(6935),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6935),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6935),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6935),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6935),
    [anon_sym_BSLASHcaption] = ACTIONS(6935),
    [anon_sym_BSLASHcite] = ACTIONS(6935),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCite] = ACTIONS(6935),
    [anon_sym_BSLASHnocite] = ACTIONS(6935),
    [anon_sym_BSLASHcitet] = ACTIONS(6935),
    [anon_sym_BSLASHcitep] = ACTIONS(6935),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteA] = ACTIONS(6935),
    [anon_sym_BSLASHciteR] = ACTIONS(6935),
    [anon_sym_BSLASHciteS] = ACTIONS(6935),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6935),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6935),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6935),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6935),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteyear] = ACTIONS(6935),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitedate] = ACTIONS(6935),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteurl] = ACTIONS(6935),
    [anon_sym_BSLASHfullcite] = ACTIONS(6935),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6935),
    [anon_sym_BSLASHcitealt] = ACTIONS(6935),
    [anon_sym_BSLASHcitealp] = ACTIONS(6935),
    [anon_sym_BSLASHcitetext] = ACTIONS(6935),
    [anon_sym_BSLASHparencite] = ACTIONS(6935),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHParencite] = ACTIONS(6935),
    [anon_sym_BSLASHfootcite] = ACTIONS(6935),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6935),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6935),
    [anon_sym_BSLASHtextcite] = ACTIONS(6935),
    [anon_sym_BSLASHTextcite] = ACTIONS(6935),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6935),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6935),
    [anon_sym_BSLASHsupercite] = ACTIONS(6935),
    [anon_sym_BSLASHautocite] = ACTIONS(6935),
    [anon_sym_BSLASHAutocite] = ACTIONS(6935),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHVolcite] = ACTIONS(6935),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHavolcite] = ACTIONS(6935),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHNotecite] = ACTIONS(6935),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHlabel] = ACTIONS(6935),
    [anon_sym_BSLASHref] = ACTIONS(6935),
    [anon_sym_BSLASHeqref] = ACTIONS(6935),
    [anon_sym_BSLASHvref] = ACTIONS(6935),
    [anon_sym_BSLASHVref] = ACTIONS(6935),
    [anon_sym_BSLASHautoref] = ACTIONS(6935),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHpageref] = ACTIONS(6935),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHautopageref] = ACTIONS(6935),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcref] = ACTIONS(6935),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCref] = ACTIONS(6935),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcpageref] = ACTIONS(6935),
    [anon_sym_BSLASHCpageref] = ACTIONS(6935),
    [anon_sym_BSLASHnamecref] = ACTIONS(6935),
    [anon_sym_BSLASHnameCref] = ACTIONS(6935),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6935),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6935),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6935),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6935),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6935),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6935),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6935),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6935),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6935),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6935),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6935),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHdef] = ACTIONS(6935),
    [anon_sym_BSLASHgdef] = ACTIONS(6935),
    [anon_sym_BSLASHedef] = ACTIONS(6935),
    [anon_sym_BSLASHxdef] = ACTIONS(6935),
    [anon_sym_BSLASHlet] = ACTIONS(6935),
    [anon_sym_BSLASHglet] = ACTIONS(6935),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6935),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6935),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6935),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6935),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6935),
    [anon_sym_BSLASHgls] = ACTIONS(6935),
    [anon_sym_BSLASHGls] = ACTIONS(6935),
    [anon_sym_BSLASHGLS] = ACTIONS(6935),
    [anon_sym_BSLASHglspl] = ACTIONS(6935),
    [anon_sym_BSLASHGlspl] = ACTIONS(6935),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6935),
    [anon_sym_BSLASHglslink] = ACTIONS(6935),
    [anon_sym_BSLASHglstext] = ACTIONS(6935),
    [anon_sym_BSLASHGlstext] = ACTIONS(6935),
    [anon_sym_BSLASHGLStext] = ACTIONS(6935),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6935),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6935),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6935),
    [anon_sym_BSLASHglsplural] = ACTIONS(6935),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6935),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6935),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHglsname] = ACTIONS(6935),
    [anon_sym_BSLASHGlsname] = ACTIONS(6935),
    [anon_sym_BSLASHGLSname] = ACTIONS(6935),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6935),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6935),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6935),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6935),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6935),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6935),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6935),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6935),
    [anon_sym_BSLASHacrshort] = ACTIONS(6935),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6935),
    [anon_sym_BSLASHACRshort] = ACTIONS(6935),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHacrlong] = ACTIONS(6935),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6935),
    [anon_sym_BSLASHACRlong] = ACTIONS(6935),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHacrfull] = ACTIONS(6935),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6935),
    [anon_sym_BSLASHACRfull] = ACTIONS(6935),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHacs] = ACTIONS(6935),
    [anon_sym_BSLASHAcs] = ACTIONS(6935),
    [anon_sym_BSLASHacsp] = ACTIONS(6935),
    [anon_sym_BSLASHAcsp] = ACTIONS(6935),
    [anon_sym_BSLASHacl] = ACTIONS(6935),
    [anon_sym_BSLASHAcl] = ACTIONS(6935),
    [anon_sym_BSLASHaclp] = ACTIONS(6935),
    [anon_sym_BSLASHAclp] = ACTIONS(6935),
    [anon_sym_BSLASHacf] = ACTIONS(6935),
    [anon_sym_BSLASHAcf] = ACTIONS(6935),
    [anon_sym_BSLASHacfp] = ACTIONS(6935),
    [anon_sym_BSLASHAcfp] = ACTIONS(6935),
    [anon_sym_BSLASHac] = ACTIONS(6935),
    [anon_sym_BSLASHAc] = ACTIONS(6935),
    [anon_sym_BSLASHacp] = ACTIONS(6935),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6935),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6935),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6935),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6935),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6935),
    [anon_sym_BSLASHcolor] = ACTIONS(6935),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6935),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6935),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6935),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6935),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6935),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6935),
    [anon_sym_BSLASHurl] = ACTIONS(6935),
    [anon_sym_BSLASHhref] = ACTIONS(6935),
  },
  [994] = {
    [sym_curly_group] = STATE(1509),
    [sym_command_name] = ACTIONS(6935),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6937),
    [anon_sym_RBRACK] = ACTIONS(6937),
    [anon_sym_COMMA] = ACTIONS(6937),
    [anon_sym_EQ] = ACTIONS(6937),
    [anon_sym_LPAREN] = ACTIONS(6937),
    [anon_sym_RPAREN] = ACTIONS(6937),
    [anon_sym_BSLASHpart] = ACTIONS(6935),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHaddpart] = ACTIONS(6935),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHchapter] = ACTIONS(6935),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHaddchap] = ACTIONS(6935),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHsection] = ACTIONS(6935),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHaddsec] = ACTIONS(6935),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHsubsection] = ACTIONS(6935),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6935),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHparagraph] = ACTIONS(6935),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6935),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHitem] = ACTIONS(6935),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6937),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(6935),
    [sym_placeholder] = ACTIONS(6937),
    [sym_delimiter] = ACTIONS(6937),
    [anon_sym_PLUS] = ACTIONS(6937),
    [anon_sym_DASH] = ACTIONS(6937),
    [anon_sym_STAR] = ACTIONS(6937),
    [anon_sym_SLASH] = ACTIONS(6937),
    [anon_sym_LT] = ACTIONS(6935),
    [anon_sym_GT] = ACTIONS(6935),
    [anon_sym_BANG] = ACTIONS(6935),
    [anon_sym_PIPE] = ACTIONS(6935),
    [anon_sym_COLON] = ACTIONS(6935),
    [anon_sym_SQUOTE] = ACTIONS(6935),
    [anon_sym__] = ACTIONS(6937),
    [anon_sym_CARET] = ACTIONS(6937),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6937),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6937),
    [anon_sym_DOLLAR] = ACTIONS(6935),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6937),
    [anon_sym_BSLASHleft] = ACTIONS(6935),
    [anon_sym_BSLASHbigl] = ACTIONS(6935),
    [anon_sym_BSLASHBigl] = ACTIONS(6935),
    [anon_sym_BSLASHbiggl] = ACTIONS(6935),
    [anon_sym_BSLASHBiggl] = ACTIONS(6935),
    [anon_sym_BSLASHtext] = ACTIONS(6935),
    [anon_sym_BSLASHintertext] = ACTIONS(6935),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6935),
    [anon_sym_BSLASHbegin] = ACTIONS(6935),
    [anon_sym_BSLASHend] = ACTIONS(6935),
    [anon_sym_BSLASHtitle] = ACTIONS(6935),
    [anon_sym_BSLASHauthor] = ACTIONS(6935),
    [anon_sym_BSLASHusepackage] = ACTIONS(6935),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6935),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6935),
    [anon_sym_BSLASHinclude] = ACTIONS(6935),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6935),
    [anon_sym_BSLASHinput] = ACTIONS(6935),
    [anon_sym_BSLASHsubfile] = ACTIONS(6935),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6935),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6935),
    [anon_sym_BSLASHbibliography] = ACTIONS(6935),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6935),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6935),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6935),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6935),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6935),
    [anon_sym_BSLASHimport] = ACTIONS(6935),
    [anon_sym_BSLASHsubimport] = ACTIONS(6935),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6935),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6935),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6935),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6935),
    [anon_sym_BSLASHcaption] = ACTIONS(6935),
    [anon_sym_BSLASHcite] = ACTIONS(6935),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCite] = ACTIONS(6935),
    [anon_sym_BSLASHnocite] = ACTIONS(6935),
    [anon_sym_BSLASHcitet] = ACTIONS(6935),
    [anon_sym_BSLASHcitep] = ACTIONS(6935),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteA] = ACTIONS(6935),
    [anon_sym_BSLASHciteR] = ACTIONS(6935),
    [anon_sym_BSLASHciteS] = ACTIONS(6935),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6935),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6935),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6935),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6935),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteyear] = ACTIONS(6935),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitedate] = ACTIONS(6935),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteurl] = ACTIONS(6935),
    [anon_sym_BSLASHfullcite] = ACTIONS(6935),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6935),
    [anon_sym_BSLASHcitealt] = ACTIONS(6935),
    [anon_sym_BSLASHcitealp] = ACTIONS(6935),
    [anon_sym_BSLASHcitetext] = ACTIONS(6935),
    [anon_sym_BSLASHparencite] = ACTIONS(6935),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHParencite] = ACTIONS(6935),
    [anon_sym_BSLASHfootcite] = ACTIONS(6935),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6935),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6935),
    [anon_sym_BSLASHtextcite] = ACTIONS(6935),
    [anon_sym_BSLASHTextcite] = ACTIONS(6935),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6935),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6935),
    [anon_sym_BSLASHsupercite] = ACTIONS(6935),
    [anon_sym_BSLASHautocite] = ACTIONS(6935),
    [anon_sym_BSLASHAutocite] = ACTIONS(6935),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHVolcite] = ACTIONS(6935),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHavolcite] = ACTIONS(6935),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHNotecite] = ACTIONS(6935),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHlabel] = ACTIONS(6935),
    [anon_sym_BSLASHref] = ACTIONS(6935),
    [anon_sym_BSLASHeqref] = ACTIONS(6935),
    [anon_sym_BSLASHvref] = ACTIONS(6935),
    [anon_sym_BSLASHVref] = ACTIONS(6935),
    [anon_sym_BSLASHautoref] = ACTIONS(6935),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHpageref] = ACTIONS(6935),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHautopageref] = ACTIONS(6935),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcref] = ACTIONS(6935),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCref] = ACTIONS(6935),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcpageref] = ACTIONS(6935),
    [anon_sym_BSLASHCpageref] = ACTIONS(6935),
    [anon_sym_BSLASHnamecref] = ACTIONS(6935),
    [anon_sym_BSLASHnameCref] = ACTIONS(6935),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6935),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6935),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6935),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6935),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6935),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6935),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6935),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6935),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6935),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6935),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6935),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHdef] = ACTIONS(6935),
    [anon_sym_BSLASHgdef] = ACTIONS(6935),
    [anon_sym_BSLASHedef] = ACTIONS(6935),
    [anon_sym_BSLASHxdef] = ACTIONS(6935),
    [anon_sym_BSLASHlet] = ACTIONS(6935),
    [anon_sym_BSLASHglet] = ACTIONS(6935),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6935),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6935),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6935),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6935),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6935),
    [anon_sym_BSLASHgls] = ACTIONS(6935),
    [anon_sym_BSLASHGls] = ACTIONS(6935),
    [anon_sym_BSLASHGLS] = ACTIONS(6935),
    [anon_sym_BSLASHglspl] = ACTIONS(6935),
    [anon_sym_BSLASHGlspl] = ACTIONS(6935),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6935),
    [anon_sym_BSLASHglslink] = ACTIONS(6935),
    [anon_sym_BSLASHglstext] = ACTIONS(6935),
    [anon_sym_BSLASHGlstext] = ACTIONS(6935),
    [anon_sym_BSLASHGLStext] = ACTIONS(6935),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6935),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6935),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6935),
    [anon_sym_BSLASHglsplural] = ACTIONS(6935),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6935),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6935),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHglsname] = ACTIONS(6935),
    [anon_sym_BSLASHGlsname] = ACTIONS(6935),
    [anon_sym_BSLASHGLSname] = ACTIONS(6935),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6935),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6935),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6935),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6935),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6935),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6935),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6935),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6935),
    [anon_sym_BSLASHacrshort] = ACTIONS(6935),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6935),
    [anon_sym_BSLASHACRshort] = ACTIONS(6935),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHacrlong] = ACTIONS(6935),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6935),
    [anon_sym_BSLASHACRlong] = ACTIONS(6935),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHacrfull] = ACTIONS(6935),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6935),
    [anon_sym_BSLASHACRfull] = ACTIONS(6935),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHacs] = ACTIONS(6935),
    [anon_sym_BSLASHAcs] = ACTIONS(6935),
    [anon_sym_BSLASHacsp] = ACTIONS(6935),
    [anon_sym_BSLASHAcsp] = ACTIONS(6935),
    [anon_sym_BSLASHacl] = ACTIONS(6935),
    [anon_sym_BSLASHAcl] = ACTIONS(6935),
    [anon_sym_BSLASHaclp] = ACTIONS(6935),
    [anon_sym_BSLASHAclp] = ACTIONS(6935),
    [anon_sym_BSLASHacf] = ACTIONS(6935),
    [anon_sym_BSLASHAcf] = ACTIONS(6935),
    [anon_sym_BSLASHacfp] = ACTIONS(6935),
    [anon_sym_BSLASHAcfp] = ACTIONS(6935),
    [anon_sym_BSLASHac] = ACTIONS(6935),
    [anon_sym_BSLASHAc] = ACTIONS(6935),
    [anon_sym_BSLASHacp] = ACTIONS(6935),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6935),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6935),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6935),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6935),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6935),
    [anon_sym_BSLASHcolor] = ACTIONS(6935),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6935),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6935),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6935),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6935),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6935),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6935),
    [anon_sym_BSLASHurl] = ACTIONS(6935),
    [anon_sym_BSLASHhref] = ACTIONS(6935),
  },
  [995] = {
    [ts_builtin_sym_end] = ACTIONS(7357),
    [sym_command_name] = ACTIONS(7355),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7357),
    [anon_sym_RBRACK] = ACTIONS(7357),
    [anon_sym_COMMA] = ACTIONS(7357),
    [anon_sym_EQ] = ACTIONS(7357),
    [anon_sym_LPAREN] = ACTIONS(7357),
    [anon_sym_RPAREN] = ACTIONS(7357),
    [anon_sym_BSLASHpart] = ACTIONS(7355),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHaddpart] = ACTIONS(7355),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHchapter] = ACTIONS(7355),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHaddchap] = ACTIONS(7355),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHsection] = ACTIONS(7355),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHaddsec] = ACTIONS(7355),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHsubsection] = ACTIONS(7355),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7355),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHparagraph] = ACTIONS(7355),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7355),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHitem] = ACTIONS(7355),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7357),
    [anon_sym_LBRACE] = ACTIONS(7357),
    [anon_sym_RBRACE] = ACTIONS(7357),
    [sym_word] = ACTIONS(7355),
    [sym_placeholder] = ACTIONS(7357),
    [sym_delimiter] = ACTIONS(7357),
    [anon_sym_PLUS] = ACTIONS(7357),
    [anon_sym_DASH] = ACTIONS(7357),
    [anon_sym_STAR] = ACTIONS(7357),
    [anon_sym_SLASH] = ACTIONS(7357),
    [anon_sym_LT] = ACTIONS(7355),
    [anon_sym_GT] = ACTIONS(7355),
    [anon_sym_BANG] = ACTIONS(7355),
    [anon_sym_PIPE] = ACTIONS(7355),
    [anon_sym_COLON] = ACTIONS(7355),
    [anon_sym_SQUOTE] = ACTIONS(7355),
    [anon_sym__] = ACTIONS(7357),
    [anon_sym_CARET] = ACTIONS(7357),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7357),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7357),
    [anon_sym_DOLLAR] = ACTIONS(7355),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7357),
    [anon_sym_BSLASHleft] = ACTIONS(7355),
    [anon_sym_BSLASHbigl] = ACTIONS(7355),
    [anon_sym_BSLASHBigl] = ACTIONS(7355),
    [anon_sym_BSLASHbiggl] = ACTIONS(7355),
    [anon_sym_BSLASHBiggl] = ACTIONS(7355),
    [anon_sym_BSLASHtext] = ACTIONS(7355),
    [anon_sym_BSLASHintertext] = ACTIONS(7355),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7355),
    [anon_sym_BSLASHbegin] = ACTIONS(7355),
    [anon_sym_BSLASHtitle] = ACTIONS(7355),
    [anon_sym_BSLASHauthor] = ACTIONS(7355),
    [anon_sym_BSLASHusepackage] = ACTIONS(7355),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7355),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7355),
    [anon_sym_BSLASHinclude] = ACTIONS(7355),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7355),
    [anon_sym_BSLASHinput] = ACTIONS(7355),
    [anon_sym_BSLASHsubfile] = ACTIONS(7355),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7355),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7355),
    [anon_sym_BSLASHbibliography] = ACTIONS(7355),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7355),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7355),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7355),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7355),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7355),
    [anon_sym_BSLASHimport] = ACTIONS(7355),
    [anon_sym_BSLASHsubimport] = ACTIONS(7355),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7355),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7355),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7355),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7355),
    [anon_sym_BSLASHcaption] = ACTIONS(7355),
    [anon_sym_BSLASHcite] = ACTIONS(7355),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCite] = ACTIONS(7355),
    [anon_sym_BSLASHnocite] = ACTIONS(7355),
    [anon_sym_BSLASHcitet] = ACTIONS(7355),
    [anon_sym_BSLASHcitep] = ACTIONS(7355),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteA] = ACTIONS(7355),
    [anon_sym_BSLASHciteR] = ACTIONS(7355),
    [anon_sym_BSLASHciteS] = ACTIONS(7355),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7355),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7355),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7355),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7355),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteyear] = ACTIONS(7355),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitedate] = ACTIONS(7355),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteurl] = ACTIONS(7355),
    [anon_sym_BSLASHfullcite] = ACTIONS(7355),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7355),
    [anon_sym_BSLASHcitealt] = ACTIONS(7355),
    [anon_sym_BSLASHcitealp] = ACTIONS(7355),
    [anon_sym_BSLASHcitetext] = ACTIONS(7355),
    [anon_sym_BSLASHparencite] = ACTIONS(7355),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHParencite] = ACTIONS(7355),
    [anon_sym_BSLASHfootcite] = ACTIONS(7355),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7355),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7355),
    [anon_sym_BSLASHtextcite] = ACTIONS(7355),
    [anon_sym_BSLASHTextcite] = ACTIONS(7355),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7355),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7355),
    [anon_sym_BSLASHsupercite] = ACTIONS(7355),
    [anon_sym_BSLASHautocite] = ACTIONS(7355),
    [anon_sym_BSLASHAutocite] = ACTIONS(7355),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHVolcite] = ACTIONS(7355),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHavolcite] = ACTIONS(7355),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHNotecite] = ACTIONS(7355),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHlabel] = ACTIONS(7355),
    [anon_sym_BSLASHref] = ACTIONS(7355),
    [anon_sym_BSLASHeqref] = ACTIONS(7355),
    [anon_sym_BSLASHvref] = ACTIONS(7355),
    [anon_sym_BSLASHVref] = ACTIONS(7355),
    [anon_sym_BSLASHautoref] = ACTIONS(7355),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHpageref] = ACTIONS(7355),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHautopageref] = ACTIONS(7355),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcref] = ACTIONS(7355),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCref] = ACTIONS(7355),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcpageref] = ACTIONS(7355),
    [anon_sym_BSLASHCpageref] = ACTIONS(7355),
    [anon_sym_BSLASHnamecref] = ACTIONS(7355),
    [anon_sym_BSLASHnameCref] = ACTIONS(7355),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7355),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7355),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7355),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7355),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7355),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7355),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7355),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7355),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7355),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7355),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7355),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHdef] = ACTIONS(7355),
    [anon_sym_BSLASHgdef] = ACTIONS(7355),
    [anon_sym_BSLASHedef] = ACTIONS(7355),
    [anon_sym_BSLASHxdef] = ACTIONS(7355),
    [anon_sym_BSLASHlet] = ACTIONS(7355),
    [anon_sym_BSLASHglet] = ACTIONS(7355),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7355),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7355),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7355),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7355),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7355),
    [anon_sym_BSLASHgls] = ACTIONS(7355),
    [anon_sym_BSLASHGls] = ACTIONS(7355),
    [anon_sym_BSLASHGLS] = ACTIONS(7355),
    [anon_sym_BSLASHglspl] = ACTIONS(7355),
    [anon_sym_BSLASHGlspl] = ACTIONS(7355),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7355),
    [anon_sym_BSLASHglslink] = ACTIONS(7355),
    [anon_sym_BSLASHglstext] = ACTIONS(7355),
    [anon_sym_BSLASHGlstext] = ACTIONS(7355),
    [anon_sym_BSLASHGLStext] = ACTIONS(7355),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7355),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7355),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7355),
    [anon_sym_BSLASHglsplural] = ACTIONS(7355),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7355),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7355),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHglsname] = ACTIONS(7355),
    [anon_sym_BSLASHGlsname] = ACTIONS(7355),
    [anon_sym_BSLASHGLSname] = ACTIONS(7355),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7355),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7355),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7355),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7355),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7355),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7355),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7355),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7355),
    [anon_sym_BSLASHacrshort] = ACTIONS(7355),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7355),
    [anon_sym_BSLASHACRshort] = ACTIONS(7355),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHacrlong] = ACTIONS(7355),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7355),
    [anon_sym_BSLASHACRlong] = ACTIONS(7355),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHacrfull] = ACTIONS(7355),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7355),
    [anon_sym_BSLASHACRfull] = ACTIONS(7355),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHacs] = ACTIONS(7355),
    [anon_sym_BSLASHAcs] = ACTIONS(7355),
    [anon_sym_BSLASHacsp] = ACTIONS(7355),
    [anon_sym_BSLASHAcsp] = ACTIONS(7355),
    [anon_sym_BSLASHacl] = ACTIONS(7355),
    [anon_sym_BSLASHAcl] = ACTIONS(7355),
    [anon_sym_BSLASHaclp] = ACTIONS(7355),
    [anon_sym_BSLASHAclp] = ACTIONS(7355),
    [anon_sym_BSLASHacf] = ACTIONS(7355),
    [anon_sym_BSLASHAcf] = ACTIONS(7355),
    [anon_sym_BSLASHacfp] = ACTIONS(7355),
    [anon_sym_BSLASHAcfp] = ACTIONS(7355),
    [anon_sym_BSLASHac] = ACTIONS(7355),
    [anon_sym_BSLASHAc] = ACTIONS(7355),
    [anon_sym_BSLASHacp] = ACTIONS(7355),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7355),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7355),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7355),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7355),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7355),
    [anon_sym_BSLASHcolor] = ACTIONS(7355),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7355),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7355),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7355),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7355),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7355),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7355),
    [anon_sym_BSLASHurl] = ACTIONS(7355),
    [anon_sym_BSLASHhref] = ACTIONS(7355),
  },
  [996] = {
    [ts_builtin_sym_end] = ACTIONS(7361),
    [sym_command_name] = ACTIONS(7359),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7359),
    [anon_sym_LBRACK] = ACTIONS(7361),
    [anon_sym_RBRACK] = ACTIONS(7361),
    [anon_sym_COMMA] = ACTIONS(7361),
    [anon_sym_EQ] = ACTIONS(7361),
    [anon_sym_LPAREN] = ACTIONS(7361),
    [anon_sym_RPAREN] = ACTIONS(7361),
    [anon_sym_BSLASHpart] = ACTIONS(7359),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHaddpart] = ACTIONS(7359),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHchapter] = ACTIONS(7359),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHaddchap] = ACTIONS(7359),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHsection] = ACTIONS(7359),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHaddsec] = ACTIONS(7359),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHsubsection] = ACTIONS(7359),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7359),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHparagraph] = ACTIONS(7359),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7359),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHitem] = ACTIONS(7359),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7361),
    [anon_sym_LBRACE] = ACTIONS(7361),
    [anon_sym_RBRACE] = ACTIONS(7361),
    [sym_word] = ACTIONS(7359),
    [sym_placeholder] = ACTIONS(7361),
    [sym_delimiter] = ACTIONS(7361),
    [anon_sym_PLUS] = ACTIONS(7361),
    [anon_sym_DASH] = ACTIONS(7361),
    [anon_sym_STAR] = ACTIONS(7361),
    [anon_sym_SLASH] = ACTIONS(7361),
    [anon_sym_LT] = ACTIONS(7359),
    [anon_sym_GT] = ACTIONS(7359),
    [anon_sym_BANG] = ACTIONS(7359),
    [anon_sym_PIPE] = ACTIONS(7359),
    [anon_sym_COLON] = ACTIONS(7359),
    [anon_sym_SQUOTE] = ACTIONS(7359),
    [anon_sym__] = ACTIONS(7361),
    [anon_sym_CARET] = ACTIONS(7361),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7361),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7361),
    [anon_sym_DOLLAR] = ACTIONS(7359),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7361),
    [anon_sym_BSLASHleft] = ACTIONS(7359),
    [anon_sym_BSLASHbigl] = ACTIONS(7359),
    [anon_sym_BSLASHBigl] = ACTIONS(7359),
    [anon_sym_BSLASHbiggl] = ACTIONS(7359),
    [anon_sym_BSLASHBiggl] = ACTIONS(7359),
    [anon_sym_BSLASHtext] = ACTIONS(7359),
    [anon_sym_BSLASHintertext] = ACTIONS(7359),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7359),
    [anon_sym_BSLASHbegin] = ACTIONS(7359),
    [anon_sym_BSLASHtitle] = ACTIONS(7359),
    [anon_sym_BSLASHauthor] = ACTIONS(7359),
    [anon_sym_BSLASHusepackage] = ACTIONS(7359),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7359),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7359),
    [anon_sym_BSLASHinclude] = ACTIONS(7359),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7359),
    [anon_sym_BSLASHinput] = ACTIONS(7359),
    [anon_sym_BSLASHsubfile] = ACTIONS(7359),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7359),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7359),
    [anon_sym_BSLASHbibliography] = ACTIONS(7359),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7359),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7359),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7359),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7359),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7359),
    [anon_sym_BSLASHimport] = ACTIONS(7359),
    [anon_sym_BSLASHsubimport] = ACTIONS(7359),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7359),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7359),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7359),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7359),
    [anon_sym_BSLASHcaption] = ACTIONS(7359),
    [anon_sym_BSLASHcite] = ACTIONS(7359),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCite] = ACTIONS(7359),
    [anon_sym_BSLASHnocite] = ACTIONS(7359),
    [anon_sym_BSLASHcitet] = ACTIONS(7359),
    [anon_sym_BSLASHcitep] = ACTIONS(7359),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteA] = ACTIONS(7359),
    [anon_sym_BSLASHciteR] = ACTIONS(7359),
    [anon_sym_BSLASHciteS] = ACTIONS(7359),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7359),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7359),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7359),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7359),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteyear] = ACTIONS(7359),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitedate] = ACTIONS(7359),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteurl] = ACTIONS(7359),
    [anon_sym_BSLASHfullcite] = ACTIONS(7359),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7359),
    [anon_sym_BSLASHcitealt] = ACTIONS(7359),
    [anon_sym_BSLASHcitealp] = ACTIONS(7359),
    [anon_sym_BSLASHcitetext] = ACTIONS(7359),
    [anon_sym_BSLASHparencite] = ACTIONS(7359),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHParencite] = ACTIONS(7359),
    [anon_sym_BSLASHfootcite] = ACTIONS(7359),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7359),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7359),
    [anon_sym_BSLASHtextcite] = ACTIONS(7359),
    [anon_sym_BSLASHTextcite] = ACTIONS(7359),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7359),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7359),
    [anon_sym_BSLASHsupercite] = ACTIONS(7359),
    [anon_sym_BSLASHautocite] = ACTIONS(7359),
    [anon_sym_BSLASHAutocite] = ACTIONS(7359),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHVolcite] = ACTIONS(7359),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHavolcite] = ACTIONS(7359),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHNotecite] = ACTIONS(7359),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHlabel] = ACTIONS(7359),
    [anon_sym_BSLASHref] = ACTIONS(7359),
    [anon_sym_BSLASHeqref] = ACTIONS(7359),
    [anon_sym_BSLASHvref] = ACTIONS(7359),
    [anon_sym_BSLASHVref] = ACTIONS(7359),
    [anon_sym_BSLASHautoref] = ACTIONS(7359),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHpageref] = ACTIONS(7359),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHautopageref] = ACTIONS(7359),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcref] = ACTIONS(7359),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCref] = ACTIONS(7359),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcpageref] = ACTIONS(7359),
    [anon_sym_BSLASHCpageref] = ACTIONS(7359),
    [anon_sym_BSLASHnamecref] = ACTIONS(7359),
    [anon_sym_BSLASHnameCref] = ACTIONS(7359),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7359),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7359),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7359),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7359),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7359),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7359),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7359),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7359),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7359),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7359),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7359),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHdef] = ACTIONS(7359),
    [anon_sym_BSLASHgdef] = ACTIONS(7359),
    [anon_sym_BSLASHedef] = ACTIONS(7359),
    [anon_sym_BSLASHxdef] = ACTIONS(7359),
    [anon_sym_BSLASHlet] = ACTIONS(7359),
    [anon_sym_BSLASHglet] = ACTIONS(7359),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7359),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7359),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7359),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7359),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7359),
    [anon_sym_BSLASHgls] = ACTIONS(7359),
    [anon_sym_BSLASHGls] = ACTIONS(7359),
    [anon_sym_BSLASHGLS] = ACTIONS(7359),
    [anon_sym_BSLASHglspl] = ACTIONS(7359),
    [anon_sym_BSLASHGlspl] = ACTIONS(7359),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7359),
    [anon_sym_BSLASHglslink] = ACTIONS(7359),
    [anon_sym_BSLASHglstext] = ACTIONS(7359),
    [anon_sym_BSLASHGlstext] = ACTIONS(7359),
    [anon_sym_BSLASHGLStext] = ACTIONS(7359),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7359),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7359),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7359),
    [anon_sym_BSLASHglsplural] = ACTIONS(7359),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7359),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7359),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHglsname] = ACTIONS(7359),
    [anon_sym_BSLASHGlsname] = ACTIONS(7359),
    [anon_sym_BSLASHGLSname] = ACTIONS(7359),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7359),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7359),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7359),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7359),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7359),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7359),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7359),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7359),
    [anon_sym_BSLASHacrshort] = ACTIONS(7359),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7359),
    [anon_sym_BSLASHACRshort] = ACTIONS(7359),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHacrlong] = ACTIONS(7359),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7359),
    [anon_sym_BSLASHACRlong] = ACTIONS(7359),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHacrfull] = ACTIONS(7359),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7359),
    [anon_sym_BSLASHACRfull] = ACTIONS(7359),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHacs] = ACTIONS(7359),
    [anon_sym_BSLASHAcs] = ACTIONS(7359),
    [anon_sym_BSLASHacsp] = ACTIONS(7359),
    [anon_sym_BSLASHAcsp] = ACTIONS(7359),
    [anon_sym_BSLASHacl] = ACTIONS(7359),
    [anon_sym_BSLASHAcl] = ACTIONS(7359),
    [anon_sym_BSLASHaclp] = ACTIONS(7359),
    [anon_sym_BSLASHAclp] = ACTIONS(7359),
    [anon_sym_BSLASHacf] = ACTIONS(7359),
    [anon_sym_BSLASHAcf] = ACTIONS(7359),
    [anon_sym_BSLASHacfp] = ACTIONS(7359),
    [anon_sym_BSLASHAcfp] = ACTIONS(7359),
    [anon_sym_BSLASHac] = ACTIONS(7359),
    [anon_sym_BSLASHAc] = ACTIONS(7359),
    [anon_sym_BSLASHacp] = ACTIONS(7359),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7359),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7359),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7359),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7359),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7359),
    [anon_sym_BSLASHcolor] = ACTIONS(7359),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7359),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7359),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7359),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7359),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7359),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7359),
    [anon_sym_BSLASHurl] = ACTIONS(7359),
    [anon_sym_BSLASHhref] = ACTIONS(7359),
  },
  [997] = {
    [ts_builtin_sym_end] = ACTIONS(7365),
    [sym_command_name] = ACTIONS(7363),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7363),
    [anon_sym_LBRACK] = ACTIONS(7365),
    [anon_sym_RBRACK] = ACTIONS(7365),
    [anon_sym_COMMA] = ACTIONS(7365),
    [anon_sym_EQ] = ACTIONS(7365),
    [anon_sym_LPAREN] = ACTIONS(7365),
    [anon_sym_RPAREN] = ACTIONS(7365),
    [anon_sym_BSLASHpart] = ACTIONS(7363),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHaddpart] = ACTIONS(7363),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHchapter] = ACTIONS(7363),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHaddchap] = ACTIONS(7363),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHsection] = ACTIONS(7363),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHaddsec] = ACTIONS(7363),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHsubsection] = ACTIONS(7363),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7363),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHparagraph] = ACTIONS(7363),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7363),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHitem] = ACTIONS(7363),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7365),
    [anon_sym_LBRACE] = ACTIONS(7365),
    [anon_sym_RBRACE] = ACTIONS(7365),
    [sym_word] = ACTIONS(7363),
    [sym_placeholder] = ACTIONS(7365),
    [sym_delimiter] = ACTIONS(7365),
    [anon_sym_PLUS] = ACTIONS(7365),
    [anon_sym_DASH] = ACTIONS(7365),
    [anon_sym_STAR] = ACTIONS(7365),
    [anon_sym_SLASH] = ACTIONS(7365),
    [anon_sym_LT] = ACTIONS(7363),
    [anon_sym_GT] = ACTIONS(7363),
    [anon_sym_BANG] = ACTIONS(7363),
    [anon_sym_PIPE] = ACTIONS(7363),
    [anon_sym_COLON] = ACTIONS(7363),
    [anon_sym_SQUOTE] = ACTIONS(7363),
    [anon_sym__] = ACTIONS(7365),
    [anon_sym_CARET] = ACTIONS(7365),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7365),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7365),
    [anon_sym_DOLLAR] = ACTIONS(7363),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7365),
    [anon_sym_BSLASHleft] = ACTIONS(7363),
    [anon_sym_BSLASHbigl] = ACTIONS(7363),
    [anon_sym_BSLASHBigl] = ACTIONS(7363),
    [anon_sym_BSLASHbiggl] = ACTIONS(7363),
    [anon_sym_BSLASHBiggl] = ACTIONS(7363),
    [anon_sym_BSLASHtext] = ACTIONS(7363),
    [anon_sym_BSLASHintertext] = ACTIONS(7363),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7363),
    [anon_sym_BSLASHbegin] = ACTIONS(7363),
    [anon_sym_BSLASHtitle] = ACTIONS(7363),
    [anon_sym_BSLASHauthor] = ACTIONS(7363),
    [anon_sym_BSLASHusepackage] = ACTIONS(7363),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7363),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7363),
    [anon_sym_BSLASHinclude] = ACTIONS(7363),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7363),
    [anon_sym_BSLASHinput] = ACTIONS(7363),
    [anon_sym_BSLASHsubfile] = ACTIONS(7363),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7363),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7363),
    [anon_sym_BSLASHbibliography] = ACTIONS(7363),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7363),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7363),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7363),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7363),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7363),
    [anon_sym_BSLASHimport] = ACTIONS(7363),
    [anon_sym_BSLASHsubimport] = ACTIONS(7363),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7363),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7363),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7363),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7363),
    [anon_sym_BSLASHcaption] = ACTIONS(7363),
    [anon_sym_BSLASHcite] = ACTIONS(7363),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCite] = ACTIONS(7363),
    [anon_sym_BSLASHnocite] = ACTIONS(7363),
    [anon_sym_BSLASHcitet] = ACTIONS(7363),
    [anon_sym_BSLASHcitep] = ACTIONS(7363),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteA] = ACTIONS(7363),
    [anon_sym_BSLASHciteR] = ACTIONS(7363),
    [anon_sym_BSLASHciteS] = ACTIONS(7363),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7363),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7363),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7363),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7363),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteyear] = ACTIONS(7363),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitedate] = ACTIONS(7363),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteurl] = ACTIONS(7363),
    [anon_sym_BSLASHfullcite] = ACTIONS(7363),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7363),
    [anon_sym_BSLASHcitealt] = ACTIONS(7363),
    [anon_sym_BSLASHcitealp] = ACTIONS(7363),
    [anon_sym_BSLASHcitetext] = ACTIONS(7363),
    [anon_sym_BSLASHparencite] = ACTIONS(7363),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHParencite] = ACTIONS(7363),
    [anon_sym_BSLASHfootcite] = ACTIONS(7363),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7363),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7363),
    [anon_sym_BSLASHtextcite] = ACTIONS(7363),
    [anon_sym_BSLASHTextcite] = ACTIONS(7363),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7363),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7363),
    [anon_sym_BSLASHsupercite] = ACTIONS(7363),
    [anon_sym_BSLASHautocite] = ACTIONS(7363),
    [anon_sym_BSLASHAutocite] = ACTIONS(7363),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHVolcite] = ACTIONS(7363),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHavolcite] = ACTIONS(7363),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHNotecite] = ACTIONS(7363),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHlabel] = ACTIONS(7363),
    [anon_sym_BSLASHref] = ACTIONS(7363),
    [anon_sym_BSLASHeqref] = ACTIONS(7363),
    [anon_sym_BSLASHvref] = ACTIONS(7363),
    [anon_sym_BSLASHVref] = ACTIONS(7363),
    [anon_sym_BSLASHautoref] = ACTIONS(7363),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHpageref] = ACTIONS(7363),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHautopageref] = ACTIONS(7363),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcref] = ACTIONS(7363),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCref] = ACTIONS(7363),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcpageref] = ACTIONS(7363),
    [anon_sym_BSLASHCpageref] = ACTIONS(7363),
    [anon_sym_BSLASHnamecref] = ACTIONS(7363),
    [anon_sym_BSLASHnameCref] = ACTIONS(7363),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7363),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7363),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7363),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7363),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7363),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7363),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7363),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7363),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7363),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7363),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7363),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHdef] = ACTIONS(7363),
    [anon_sym_BSLASHgdef] = ACTIONS(7363),
    [anon_sym_BSLASHedef] = ACTIONS(7363),
    [anon_sym_BSLASHxdef] = ACTIONS(7363),
    [anon_sym_BSLASHlet] = ACTIONS(7363),
    [anon_sym_BSLASHglet] = ACTIONS(7363),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7363),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7363),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7363),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7363),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7363),
    [anon_sym_BSLASHgls] = ACTIONS(7363),
    [anon_sym_BSLASHGls] = ACTIONS(7363),
    [anon_sym_BSLASHGLS] = ACTIONS(7363),
    [anon_sym_BSLASHglspl] = ACTIONS(7363),
    [anon_sym_BSLASHGlspl] = ACTIONS(7363),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7363),
    [anon_sym_BSLASHglslink] = ACTIONS(7363),
    [anon_sym_BSLASHglstext] = ACTIONS(7363),
    [anon_sym_BSLASHGlstext] = ACTIONS(7363),
    [anon_sym_BSLASHGLStext] = ACTIONS(7363),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7363),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7363),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7363),
    [anon_sym_BSLASHglsplural] = ACTIONS(7363),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7363),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7363),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHglsname] = ACTIONS(7363),
    [anon_sym_BSLASHGlsname] = ACTIONS(7363),
    [anon_sym_BSLASHGLSname] = ACTIONS(7363),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7363),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7363),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7363),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7363),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7363),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7363),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7363),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7363),
    [anon_sym_BSLASHacrshort] = ACTIONS(7363),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7363),
    [anon_sym_BSLASHACRshort] = ACTIONS(7363),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHacrlong] = ACTIONS(7363),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7363),
    [anon_sym_BSLASHACRlong] = ACTIONS(7363),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHacrfull] = ACTIONS(7363),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7363),
    [anon_sym_BSLASHACRfull] = ACTIONS(7363),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHacs] = ACTIONS(7363),
    [anon_sym_BSLASHAcs] = ACTIONS(7363),
    [anon_sym_BSLASHacsp] = ACTIONS(7363),
    [anon_sym_BSLASHAcsp] = ACTIONS(7363),
    [anon_sym_BSLASHacl] = ACTIONS(7363),
    [anon_sym_BSLASHAcl] = ACTIONS(7363),
    [anon_sym_BSLASHaclp] = ACTIONS(7363),
    [anon_sym_BSLASHAclp] = ACTIONS(7363),
    [anon_sym_BSLASHacf] = ACTIONS(7363),
    [anon_sym_BSLASHAcf] = ACTIONS(7363),
    [anon_sym_BSLASHacfp] = ACTIONS(7363),
    [anon_sym_BSLASHAcfp] = ACTIONS(7363),
    [anon_sym_BSLASHac] = ACTIONS(7363),
    [anon_sym_BSLASHAc] = ACTIONS(7363),
    [anon_sym_BSLASHacp] = ACTIONS(7363),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7363),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7363),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7363),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7363),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7363),
    [anon_sym_BSLASHcolor] = ACTIONS(7363),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7363),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7363),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7363),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7363),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7363),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7363),
    [anon_sym_BSLASHurl] = ACTIONS(7363),
    [anon_sym_BSLASHhref] = ACTIONS(7363),
  },
  [998] = {
    [ts_builtin_sym_end] = ACTIONS(7369),
    [sym_command_name] = ACTIONS(7367),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7367),
    [anon_sym_LBRACK] = ACTIONS(7369),
    [anon_sym_RBRACK] = ACTIONS(7369),
    [anon_sym_COMMA] = ACTIONS(7369),
    [anon_sym_EQ] = ACTIONS(7369),
    [anon_sym_LPAREN] = ACTIONS(7369),
    [anon_sym_RPAREN] = ACTIONS(7369),
    [anon_sym_BSLASHpart] = ACTIONS(7367),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHaddpart] = ACTIONS(7367),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHchapter] = ACTIONS(7367),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHaddchap] = ACTIONS(7367),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHsection] = ACTIONS(7367),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHaddsec] = ACTIONS(7367),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHsubsection] = ACTIONS(7367),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7367),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHparagraph] = ACTIONS(7367),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7367),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHitem] = ACTIONS(7367),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7369),
    [anon_sym_LBRACE] = ACTIONS(7369),
    [anon_sym_RBRACE] = ACTIONS(7369),
    [sym_word] = ACTIONS(7367),
    [sym_placeholder] = ACTIONS(7369),
    [sym_delimiter] = ACTIONS(7369),
    [anon_sym_PLUS] = ACTIONS(7369),
    [anon_sym_DASH] = ACTIONS(7369),
    [anon_sym_STAR] = ACTIONS(7369),
    [anon_sym_SLASH] = ACTIONS(7369),
    [anon_sym_LT] = ACTIONS(7367),
    [anon_sym_GT] = ACTIONS(7367),
    [anon_sym_BANG] = ACTIONS(7367),
    [anon_sym_PIPE] = ACTIONS(7367),
    [anon_sym_COLON] = ACTIONS(7367),
    [anon_sym_SQUOTE] = ACTIONS(7367),
    [anon_sym__] = ACTIONS(7369),
    [anon_sym_CARET] = ACTIONS(7369),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7369),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7369),
    [anon_sym_DOLLAR] = ACTIONS(7367),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7369),
    [anon_sym_BSLASHleft] = ACTIONS(7367),
    [anon_sym_BSLASHbigl] = ACTIONS(7367),
    [anon_sym_BSLASHBigl] = ACTIONS(7367),
    [anon_sym_BSLASHbiggl] = ACTIONS(7367),
    [anon_sym_BSLASHBiggl] = ACTIONS(7367),
    [anon_sym_BSLASHtext] = ACTIONS(7367),
    [anon_sym_BSLASHintertext] = ACTIONS(7367),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7367),
    [anon_sym_BSLASHbegin] = ACTIONS(7367),
    [anon_sym_BSLASHtitle] = ACTIONS(7367),
    [anon_sym_BSLASHauthor] = ACTIONS(7367),
    [anon_sym_BSLASHusepackage] = ACTIONS(7367),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7367),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7367),
    [anon_sym_BSLASHinclude] = ACTIONS(7367),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7367),
    [anon_sym_BSLASHinput] = ACTIONS(7367),
    [anon_sym_BSLASHsubfile] = ACTIONS(7367),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7367),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7367),
    [anon_sym_BSLASHbibliography] = ACTIONS(7367),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7367),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7367),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7367),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7367),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7367),
    [anon_sym_BSLASHimport] = ACTIONS(7367),
    [anon_sym_BSLASHsubimport] = ACTIONS(7367),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7367),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7367),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7367),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7367),
    [anon_sym_BSLASHcaption] = ACTIONS(7367),
    [anon_sym_BSLASHcite] = ACTIONS(7367),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCite] = ACTIONS(7367),
    [anon_sym_BSLASHnocite] = ACTIONS(7367),
    [anon_sym_BSLASHcitet] = ACTIONS(7367),
    [anon_sym_BSLASHcitep] = ACTIONS(7367),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteA] = ACTIONS(7367),
    [anon_sym_BSLASHciteR] = ACTIONS(7367),
    [anon_sym_BSLASHciteS] = ACTIONS(7367),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7367),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7367),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7367),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7367),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteyear] = ACTIONS(7367),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitedate] = ACTIONS(7367),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteurl] = ACTIONS(7367),
    [anon_sym_BSLASHfullcite] = ACTIONS(7367),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7367),
    [anon_sym_BSLASHcitealt] = ACTIONS(7367),
    [anon_sym_BSLASHcitealp] = ACTIONS(7367),
    [anon_sym_BSLASHcitetext] = ACTIONS(7367),
    [anon_sym_BSLASHparencite] = ACTIONS(7367),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHParencite] = ACTIONS(7367),
    [anon_sym_BSLASHfootcite] = ACTIONS(7367),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7367),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7367),
    [anon_sym_BSLASHtextcite] = ACTIONS(7367),
    [anon_sym_BSLASHTextcite] = ACTIONS(7367),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7367),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7367),
    [anon_sym_BSLASHsupercite] = ACTIONS(7367),
    [anon_sym_BSLASHautocite] = ACTIONS(7367),
    [anon_sym_BSLASHAutocite] = ACTIONS(7367),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHVolcite] = ACTIONS(7367),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHavolcite] = ACTIONS(7367),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHNotecite] = ACTIONS(7367),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHlabel] = ACTIONS(7367),
    [anon_sym_BSLASHref] = ACTIONS(7367),
    [anon_sym_BSLASHeqref] = ACTIONS(7367),
    [anon_sym_BSLASHvref] = ACTIONS(7367),
    [anon_sym_BSLASHVref] = ACTIONS(7367),
    [anon_sym_BSLASHautoref] = ACTIONS(7367),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHpageref] = ACTIONS(7367),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHautopageref] = ACTIONS(7367),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcref] = ACTIONS(7367),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCref] = ACTIONS(7367),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcpageref] = ACTIONS(7367),
    [anon_sym_BSLASHCpageref] = ACTIONS(7367),
    [anon_sym_BSLASHnamecref] = ACTIONS(7367),
    [anon_sym_BSLASHnameCref] = ACTIONS(7367),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7367),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7367),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7367),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7367),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7367),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7367),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7367),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7367),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7367),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7367),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7367),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHdef] = ACTIONS(7367),
    [anon_sym_BSLASHgdef] = ACTIONS(7367),
    [anon_sym_BSLASHedef] = ACTIONS(7367),
    [anon_sym_BSLASHxdef] = ACTIONS(7367),
    [anon_sym_BSLASHlet] = ACTIONS(7367),
    [anon_sym_BSLASHglet] = ACTIONS(7367),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7367),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7367),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7367),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7367),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7367),
    [anon_sym_BSLASHgls] = ACTIONS(7367),
    [anon_sym_BSLASHGls] = ACTIONS(7367),
    [anon_sym_BSLASHGLS] = ACTIONS(7367),
    [anon_sym_BSLASHglspl] = ACTIONS(7367),
    [anon_sym_BSLASHGlspl] = ACTIONS(7367),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7367),
    [anon_sym_BSLASHglslink] = ACTIONS(7367),
    [anon_sym_BSLASHglstext] = ACTIONS(7367),
    [anon_sym_BSLASHGlstext] = ACTIONS(7367),
    [anon_sym_BSLASHGLStext] = ACTIONS(7367),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7367),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7367),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7367),
    [anon_sym_BSLASHglsplural] = ACTIONS(7367),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7367),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7367),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHglsname] = ACTIONS(7367),
    [anon_sym_BSLASHGlsname] = ACTIONS(7367),
    [anon_sym_BSLASHGLSname] = ACTIONS(7367),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7367),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7367),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7367),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7367),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7367),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7367),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7367),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7367),
    [anon_sym_BSLASHacrshort] = ACTIONS(7367),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7367),
    [anon_sym_BSLASHACRshort] = ACTIONS(7367),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHacrlong] = ACTIONS(7367),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7367),
    [anon_sym_BSLASHACRlong] = ACTIONS(7367),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHacrfull] = ACTIONS(7367),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7367),
    [anon_sym_BSLASHACRfull] = ACTIONS(7367),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHacs] = ACTIONS(7367),
    [anon_sym_BSLASHAcs] = ACTIONS(7367),
    [anon_sym_BSLASHacsp] = ACTIONS(7367),
    [anon_sym_BSLASHAcsp] = ACTIONS(7367),
    [anon_sym_BSLASHacl] = ACTIONS(7367),
    [anon_sym_BSLASHAcl] = ACTIONS(7367),
    [anon_sym_BSLASHaclp] = ACTIONS(7367),
    [anon_sym_BSLASHAclp] = ACTIONS(7367),
    [anon_sym_BSLASHacf] = ACTIONS(7367),
    [anon_sym_BSLASHAcf] = ACTIONS(7367),
    [anon_sym_BSLASHacfp] = ACTIONS(7367),
    [anon_sym_BSLASHAcfp] = ACTIONS(7367),
    [anon_sym_BSLASHac] = ACTIONS(7367),
    [anon_sym_BSLASHAc] = ACTIONS(7367),
    [anon_sym_BSLASHacp] = ACTIONS(7367),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7367),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7367),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7367),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7367),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7367),
    [anon_sym_BSLASHcolor] = ACTIONS(7367),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7367),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7367),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7367),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7367),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7367),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7367),
    [anon_sym_BSLASHurl] = ACTIONS(7367),
    [anon_sym_BSLASHhref] = ACTIONS(7367),
  },
  [999] = {
    [ts_builtin_sym_end] = ACTIONS(7373),
    [sym_command_name] = ACTIONS(7371),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7371),
    [anon_sym_LBRACK] = ACTIONS(7373),
    [anon_sym_RBRACK] = ACTIONS(7373),
    [anon_sym_COMMA] = ACTIONS(7373),
    [anon_sym_EQ] = ACTIONS(7373),
    [anon_sym_LPAREN] = ACTIONS(7373),
    [anon_sym_RPAREN] = ACTIONS(7373),
    [anon_sym_BSLASHpart] = ACTIONS(7371),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHaddpart] = ACTIONS(7371),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHchapter] = ACTIONS(7371),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHaddchap] = ACTIONS(7371),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHsection] = ACTIONS(7371),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHaddsec] = ACTIONS(7371),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHsubsection] = ACTIONS(7371),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7371),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHparagraph] = ACTIONS(7371),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7371),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHitem] = ACTIONS(7371),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7373),
    [anon_sym_LBRACE] = ACTIONS(7373),
    [anon_sym_RBRACE] = ACTIONS(7373),
    [sym_word] = ACTIONS(7371),
    [sym_placeholder] = ACTIONS(7373),
    [sym_delimiter] = ACTIONS(7373),
    [anon_sym_PLUS] = ACTIONS(7373),
    [anon_sym_DASH] = ACTIONS(7373),
    [anon_sym_STAR] = ACTIONS(7373),
    [anon_sym_SLASH] = ACTIONS(7373),
    [anon_sym_LT] = ACTIONS(7371),
    [anon_sym_GT] = ACTIONS(7371),
    [anon_sym_BANG] = ACTIONS(7371),
    [anon_sym_PIPE] = ACTIONS(7371),
    [anon_sym_COLON] = ACTIONS(7371),
    [anon_sym_SQUOTE] = ACTIONS(7371),
    [anon_sym__] = ACTIONS(7373),
    [anon_sym_CARET] = ACTIONS(7373),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7373),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7373),
    [anon_sym_DOLLAR] = ACTIONS(7371),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7373),
    [anon_sym_BSLASHleft] = ACTIONS(7371),
    [anon_sym_BSLASHbigl] = ACTIONS(7371),
    [anon_sym_BSLASHBigl] = ACTIONS(7371),
    [anon_sym_BSLASHbiggl] = ACTIONS(7371),
    [anon_sym_BSLASHBiggl] = ACTIONS(7371),
    [anon_sym_BSLASHtext] = ACTIONS(7371),
    [anon_sym_BSLASHintertext] = ACTIONS(7371),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7371),
    [anon_sym_BSLASHbegin] = ACTIONS(7371),
    [anon_sym_BSLASHtitle] = ACTIONS(7371),
    [anon_sym_BSLASHauthor] = ACTIONS(7371),
    [anon_sym_BSLASHusepackage] = ACTIONS(7371),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7371),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7371),
    [anon_sym_BSLASHinclude] = ACTIONS(7371),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7371),
    [anon_sym_BSLASHinput] = ACTIONS(7371),
    [anon_sym_BSLASHsubfile] = ACTIONS(7371),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7371),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7371),
    [anon_sym_BSLASHbibliography] = ACTIONS(7371),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7371),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7371),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7371),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7371),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7371),
    [anon_sym_BSLASHimport] = ACTIONS(7371),
    [anon_sym_BSLASHsubimport] = ACTIONS(7371),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7371),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7371),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7371),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7371),
    [anon_sym_BSLASHcaption] = ACTIONS(7371),
    [anon_sym_BSLASHcite] = ACTIONS(7371),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCite] = ACTIONS(7371),
    [anon_sym_BSLASHnocite] = ACTIONS(7371),
    [anon_sym_BSLASHcitet] = ACTIONS(7371),
    [anon_sym_BSLASHcitep] = ACTIONS(7371),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteA] = ACTIONS(7371),
    [anon_sym_BSLASHciteR] = ACTIONS(7371),
    [anon_sym_BSLASHciteS] = ACTIONS(7371),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7371),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7371),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7371),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7371),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteyear] = ACTIONS(7371),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitedate] = ACTIONS(7371),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteurl] = ACTIONS(7371),
    [anon_sym_BSLASHfullcite] = ACTIONS(7371),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7371),
    [anon_sym_BSLASHcitealt] = ACTIONS(7371),
    [anon_sym_BSLASHcitealp] = ACTIONS(7371),
    [anon_sym_BSLASHcitetext] = ACTIONS(7371),
    [anon_sym_BSLASHparencite] = ACTIONS(7371),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHParencite] = ACTIONS(7371),
    [anon_sym_BSLASHfootcite] = ACTIONS(7371),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7371),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7371),
    [anon_sym_BSLASHtextcite] = ACTIONS(7371),
    [anon_sym_BSLASHTextcite] = ACTIONS(7371),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7371),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7371),
    [anon_sym_BSLASHsupercite] = ACTIONS(7371),
    [anon_sym_BSLASHautocite] = ACTIONS(7371),
    [anon_sym_BSLASHAutocite] = ACTIONS(7371),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHVolcite] = ACTIONS(7371),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHavolcite] = ACTIONS(7371),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHNotecite] = ACTIONS(7371),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHlabel] = ACTIONS(7371),
    [anon_sym_BSLASHref] = ACTIONS(7371),
    [anon_sym_BSLASHeqref] = ACTIONS(7371),
    [anon_sym_BSLASHvref] = ACTIONS(7371),
    [anon_sym_BSLASHVref] = ACTIONS(7371),
    [anon_sym_BSLASHautoref] = ACTIONS(7371),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHpageref] = ACTIONS(7371),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHautopageref] = ACTIONS(7371),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcref] = ACTIONS(7371),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCref] = ACTIONS(7371),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcpageref] = ACTIONS(7371),
    [anon_sym_BSLASHCpageref] = ACTIONS(7371),
    [anon_sym_BSLASHnamecref] = ACTIONS(7371),
    [anon_sym_BSLASHnameCref] = ACTIONS(7371),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7371),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7371),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7371),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7371),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7371),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7371),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7371),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7371),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7371),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7371),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7371),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHdef] = ACTIONS(7371),
    [anon_sym_BSLASHgdef] = ACTIONS(7371),
    [anon_sym_BSLASHedef] = ACTIONS(7371),
    [anon_sym_BSLASHxdef] = ACTIONS(7371),
    [anon_sym_BSLASHlet] = ACTIONS(7371),
    [anon_sym_BSLASHglet] = ACTIONS(7371),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7371),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7371),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7371),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7371),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7371),
    [anon_sym_BSLASHgls] = ACTIONS(7371),
    [anon_sym_BSLASHGls] = ACTIONS(7371),
    [anon_sym_BSLASHGLS] = ACTIONS(7371),
    [anon_sym_BSLASHglspl] = ACTIONS(7371),
    [anon_sym_BSLASHGlspl] = ACTIONS(7371),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7371),
    [anon_sym_BSLASHglslink] = ACTIONS(7371),
    [anon_sym_BSLASHglstext] = ACTIONS(7371),
    [anon_sym_BSLASHGlstext] = ACTIONS(7371),
    [anon_sym_BSLASHGLStext] = ACTIONS(7371),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7371),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7371),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7371),
    [anon_sym_BSLASHglsplural] = ACTIONS(7371),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7371),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7371),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHglsname] = ACTIONS(7371),
    [anon_sym_BSLASHGlsname] = ACTIONS(7371),
    [anon_sym_BSLASHGLSname] = ACTIONS(7371),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7371),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7371),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7371),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7371),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7371),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7371),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7371),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7371),
    [anon_sym_BSLASHacrshort] = ACTIONS(7371),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7371),
    [anon_sym_BSLASHACRshort] = ACTIONS(7371),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHacrlong] = ACTIONS(7371),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7371),
    [anon_sym_BSLASHACRlong] = ACTIONS(7371),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHacrfull] = ACTIONS(7371),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7371),
    [anon_sym_BSLASHACRfull] = ACTIONS(7371),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHacs] = ACTIONS(7371),
    [anon_sym_BSLASHAcs] = ACTIONS(7371),
    [anon_sym_BSLASHacsp] = ACTIONS(7371),
    [anon_sym_BSLASHAcsp] = ACTIONS(7371),
    [anon_sym_BSLASHacl] = ACTIONS(7371),
    [anon_sym_BSLASHAcl] = ACTIONS(7371),
    [anon_sym_BSLASHaclp] = ACTIONS(7371),
    [anon_sym_BSLASHAclp] = ACTIONS(7371),
    [anon_sym_BSLASHacf] = ACTIONS(7371),
    [anon_sym_BSLASHAcf] = ACTIONS(7371),
    [anon_sym_BSLASHacfp] = ACTIONS(7371),
    [anon_sym_BSLASHAcfp] = ACTIONS(7371),
    [anon_sym_BSLASHac] = ACTIONS(7371),
    [anon_sym_BSLASHAc] = ACTIONS(7371),
    [anon_sym_BSLASHacp] = ACTIONS(7371),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7371),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7371),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7371),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7371),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7371),
    [anon_sym_BSLASHcolor] = ACTIONS(7371),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7371),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7371),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7371),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7371),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7371),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7371),
    [anon_sym_BSLASHurl] = ACTIONS(7371),
    [anon_sym_BSLASHhref] = ACTIONS(7371),
  },
  [1000] = {
    [ts_builtin_sym_end] = ACTIONS(7377),
    [sym_command_name] = ACTIONS(7375),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7375),
    [anon_sym_LBRACK] = ACTIONS(7377),
    [anon_sym_RBRACK] = ACTIONS(7377),
    [anon_sym_COMMA] = ACTIONS(7377),
    [anon_sym_EQ] = ACTIONS(7377),
    [anon_sym_LPAREN] = ACTIONS(7377),
    [anon_sym_RPAREN] = ACTIONS(7377),
    [anon_sym_BSLASHpart] = ACTIONS(7375),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHaddpart] = ACTIONS(7375),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHchapter] = ACTIONS(7375),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHaddchap] = ACTIONS(7375),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHsection] = ACTIONS(7375),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHaddsec] = ACTIONS(7375),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHsubsection] = ACTIONS(7375),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7375),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHparagraph] = ACTIONS(7375),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7375),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHitem] = ACTIONS(7375),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7377),
    [anon_sym_LBRACE] = ACTIONS(7377),
    [anon_sym_RBRACE] = ACTIONS(7377),
    [sym_word] = ACTIONS(7375),
    [sym_placeholder] = ACTIONS(7377),
    [sym_delimiter] = ACTIONS(7377),
    [anon_sym_PLUS] = ACTIONS(7377),
    [anon_sym_DASH] = ACTIONS(7377),
    [anon_sym_STAR] = ACTIONS(7377),
    [anon_sym_SLASH] = ACTIONS(7377),
    [anon_sym_LT] = ACTIONS(7375),
    [anon_sym_GT] = ACTIONS(7375),
    [anon_sym_BANG] = ACTIONS(7375),
    [anon_sym_PIPE] = ACTIONS(7375),
    [anon_sym_COLON] = ACTIONS(7375),
    [anon_sym_SQUOTE] = ACTIONS(7375),
    [anon_sym__] = ACTIONS(7377),
    [anon_sym_CARET] = ACTIONS(7377),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7377),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7377),
    [anon_sym_DOLLAR] = ACTIONS(7375),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7377),
    [anon_sym_BSLASHleft] = ACTIONS(7375),
    [anon_sym_BSLASHbigl] = ACTIONS(7375),
    [anon_sym_BSLASHBigl] = ACTIONS(7375),
    [anon_sym_BSLASHbiggl] = ACTIONS(7375),
    [anon_sym_BSLASHBiggl] = ACTIONS(7375),
    [anon_sym_BSLASHtext] = ACTIONS(7375),
    [anon_sym_BSLASHintertext] = ACTIONS(7375),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7375),
    [anon_sym_BSLASHbegin] = ACTIONS(7375),
    [anon_sym_BSLASHtitle] = ACTIONS(7375),
    [anon_sym_BSLASHauthor] = ACTIONS(7375),
    [anon_sym_BSLASHusepackage] = ACTIONS(7375),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7375),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7375),
    [anon_sym_BSLASHinclude] = ACTIONS(7375),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7375),
    [anon_sym_BSLASHinput] = ACTIONS(7375),
    [anon_sym_BSLASHsubfile] = ACTIONS(7375),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7375),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7375),
    [anon_sym_BSLASHbibliography] = ACTIONS(7375),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7375),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7375),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7375),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7375),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7375),
    [anon_sym_BSLASHimport] = ACTIONS(7375),
    [anon_sym_BSLASHsubimport] = ACTIONS(7375),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7375),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7375),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7375),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7375),
    [anon_sym_BSLASHcaption] = ACTIONS(7375),
    [anon_sym_BSLASHcite] = ACTIONS(7375),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCite] = ACTIONS(7375),
    [anon_sym_BSLASHnocite] = ACTIONS(7375),
    [anon_sym_BSLASHcitet] = ACTIONS(7375),
    [anon_sym_BSLASHcitep] = ACTIONS(7375),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteA] = ACTIONS(7375),
    [anon_sym_BSLASHciteR] = ACTIONS(7375),
    [anon_sym_BSLASHciteS] = ACTIONS(7375),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7375),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7375),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7375),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7375),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteyear] = ACTIONS(7375),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitedate] = ACTIONS(7375),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteurl] = ACTIONS(7375),
    [anon_sym_BSLASHfullcite] = ACTIONS(7375),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7375),
    [anon_sym_BSLASHcitealt] = ACTIONS(7375),
    [anon_sym_BSLASHcitealp] = ACTIONS(7375),
    [anon_sym_BSLASHcitetext] = ACTIONS(7375),
    [anon_sym_BSLASHparencite] = ACTIONS(7375),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHParencite] = ACTIONS(7375),
    [anon_sym_BSLASHfootcite] = ACTIONS(7375),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7375),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7375),
    [anon_sym_BSLASHtextcite] = ACTIONS(7375),
    [anon_sym_BSLASHTextcite] = ACTIONS(7375),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7375),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7375),
    [anon_sym_BSLASHsupercite] = ACTIONS(7375),
    [anon_sym_BSLASHautocite] = ACTIONS(7375),
    [anon_sym_BSLASHAutocite] = ACTIONS(7375),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHVolcite] = ACTIONS(7375),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHavolcite] = ACTIONS(7375),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHNotecite] = ACTIONS(7375),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHlabel] = ACTIONS(7375),
    [anon_sym_BSLASHref] = ACTIONS(7375),
    [anon_sym_BSLASHeqref] = ACTIONS(7375),
    [anon_sym_BSLASHvref] = ACTIONS(7375),
    [anon_sym_BSLASHVref] = ACTIONS(7375),
    [anon_sym_BSLASHautoref] = ACTIONS(7375),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHpageref] = ACTIONS(7375),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHautopageref] = ACTIONS(7375),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcref] = ACTIONS(7375),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCref] = ACTIONS(7375),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcpageref] = ACTIONS(7375),
    [anon_sym_BSLASHCpageref] = ACTIONS(7375),
    [anon_sym_BSLASHnamecref] = ACTIONS(7375),
    [anon_sym_BSLASHnameCref] = ACTIONS(7375),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7375),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7375),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7375),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7375),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7375),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7375),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7375),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7375),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7375),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7375),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7375),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHdef] = ACTIONS(7375),
    [anon_sym_BSLASHgdef] = ACTIONS(7375),
    [anon_sym_BSLASHedef] = ACTIONS(7375),
    [anon_sym_BSLASHxdef] = ACTIONS(7375),
    [anon_sym_BSLASHlet] = ACTIONS(7375),
    [anon_sym_BSLASHglet] = ACTIONS(7375),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7375),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7375),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7375),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7375),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7375),
    [anon_sym_BSLASHgls] = ACTIONS(7375),
    [anon_sym_BSLASHGls] = ACTIONS(7375),
    [anon_sym_BSLASHGLS] = ACTIONS(7375),
    [anon_sym_BSLASHglspl] = ACTIONS(7375),
    [anon_sym_BSLASHGlspl] = ACTIONS(7375),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7375),
    [anon_sym_BSLASHglslink] = ACTIONS(7375),
    [anon_sym_BSLASHglstext] = ACTIONS(7375),
    [anon_sym_BSLASHGlstext] = ACTIONS(7375),
    [anon_sym_BSLASHGLStext] = ACTIONS(7375),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7375),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7375),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7375),
    [anon_sym_BSLASHglsplural] = ACTIONS(7375),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7375),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7375),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHglsname] = ACTIONS(7375),
    [anon_sym_BSLASHGlsname] = ACTIONS(7375),
    [anon_sym_BSLASHGLSname] = ACTIONS(7375),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7375),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7375),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7375),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7375),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7375),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7375),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7375),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7375),
    [anon_sym_BSLASHacrshort] = ACTIONS(7375),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7375),
    [anon_sym_BSLASHACRshort] = ACTIONS(7375),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHacrlong] = ACTIONS(7375),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7375),
    [anon_sym_BSLASHACRlong] = ACTIONS(7375),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHacrfull] = ACTIONS(7375),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7375),
    [anon_sym_BSLASHACRfull] = ACTIONS(7375),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHacs] = ACTIONS(7375),
    [anon_sym_BSLASHAcs] = ACTIONS(7375),
    [anon_sym_BSLASHacsp] = ACTIONS(7375),
    [anon_sym_BSLASHAcsp] = ACTIONS(7375),
    [anon_sym_BSLASHacl] = ACTIONS(7375),
    [anon_sym_BSLASHAcl] = ACTIONS(7375),
    [anon_sym_BSLASHaclp] = ACTIONS(7375),
    [anon_sym_BSLASHAclp] = ACTIONS(7375),
    [anon_sym_BSLASHacf] = ACTIONS(7375),
    [anon_sym_BSLASHAcf] = ACTIONS(7375),
    [anon_sym_BSLASHacfp] = ACTIONS(7375),
    [anon_sym_BSLASHAcfp] = ACTIONS(7375),
    [anon_sym_BSLASHac] = ACTIONS(7375),
    [anon_sym_BSLASHAc] = ACTIONS(7375),
    [anon_sym_BSLASHacp] = ACTIONS(7375),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7375),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7375),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7375),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7375),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7375),
    [anon_sym_BSLASHcolor] = ACTIONS(7375),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7375),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7375),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7375),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7375),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7375),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7375),
    [anon_sym_BSLASHurl] = ACTIONS(7375),
    [anon_sym_BSLASHhref] = ACTIONS(7375),
  },
  [1001] = {
    [ts_builtin_sym_end] = ACTIONS(7381),
    [sym_command_name] = ACTIONS(7379),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7379),
    [anon_sym_LBRACK] = ACTIONS(7381),
    [anon_sym_RBRACK] = ACTIONS(7381),
    [anon_sym_COMMA] = ACTIONS(7381),
    [anon_sym_EQ] = ACTIONS(7381),
    [anon_sym_LPAREN] = ACTIONS(7381),
    [anon_sym_RPAREN] = ACTIONS(7381),
    [anon_sym_BSLASHpart] = ACTIONS(7379),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHaddpart] = ACTIONS(7379),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHchapter] = ACTIONS(7379),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHaddchap] = ACTIONS(7379),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHsection] = ACTIONS(7379),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHaddsec] = ACTIONS(7379),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHsubsection] = ACTIONS(7379),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7379),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHparagraph] = ACTIONS(7379),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7379),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHitem] = ACTIONS(7379),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7381),
    [anon_sym_LBRACE] = ACTIONS(7381),
    [anon_sym_RBRACE] = ACTIONS(7381),
    [sym_word] = ACTIONS(7379),
    [sym_placeholder] = ACTIONS(7381),
    [sym_delimiter] = ACTIONS(7381),
    [anon_sym_PLUS] = ACTIONS(7381),
    [anon_sym_DASH] = ACTIONS(7381),
    [anon_sym_STAR] = ACTIONS(7381),
    [anon_sym_SLASH] = ACTIONS(7381),
    [anon_sym_LT] = ACTIONS(7379),
    [anon_sym_GT] = ACTIONS(7379),
    [anon_sym_BANG] = ACTIONS(7379),
    [anon_sym_PIPE] = ACTIONS(7379),
    [anon_sym_COLON] = ACTIONS(7379),
    [anon_sym_SQUOTE] = ACTIONS(7379),
    [anon_sym__] = ACTIONS(7381),
    [anon_sym_CARET] = ACTIONS(7381),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7381),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7381),
    [anon_sym_DOLLAR] = ACTIONS(7379),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7381),
    [anon_sym_BSLASHleft] = ACTIONS(7379),
    [anon_sym_BSLASHbigl] = ACTIONS(7379),
    [anon_sym_BSLASHBigl] = ACTIONS(7379),
    [anon_sym_BSLASHbiggl] = ACTIONS(7379),
    [anon_sym_BSLASHBiggl] = ACTIONS(7379),
    [anon_sym_BSLASHtext] = ACTIONS(7379),
    [anon_sym_BSLASHintertext] = ACTIONS(7379),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7379),
    [anon_sym_BSLASHbegin] = ACTIONS(7379),
    [anon_sym_BSLASHtitle] = ACTIONS(7379),
    [anon_sym_BSLASHauthor] = ACTIONS(7379),
    [anon_sym_BSLASHusepackage] = ACTIONS(7379),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7379),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7379),
    [anon_sym_BSLASHinclude] = ACTIONS(7379),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7379),
    [anon_sym_BSLASHinput] = ACTIONS(7379),
    [anon_sym_BSLASHsubfile] = ACTIONS(7379),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7379),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7379),
    [anon_sym_BSLASHbibliography] = ACTIONS(7379),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7379),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7379),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7379),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7379),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7379),
    [anon_sym_BSLASHimport] = ACTIONS(7379),
    [anon_sym_BSLASHsubimport] = ACTIONS(7379),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7379),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7379),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7379),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7379),
    [anon_sym_BSLASHcaption] = ACTIONS(7379),
    [anon_sym_BSLASHcite] = ACTIONS(7379),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCite] = ACTIONS(7379),
    [anon_sym_BSLASHnocite] = ACTIONS(7379),
    [anon_sym_BSLASHcitet] = ACTIONS(7379),
    [anon_sym_BSLASHcitep] = ACTIONS(7379),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteA] = ACTIONS(7379),
    [anon_sym_BSLASHciteR] = ACTIONS(7379),
    [anon_sym_BSLASHciteS] = ACTIONS(7379),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7379),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7379),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7379),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7379),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteyear] = ACTIONS(7379),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitedate] = ACTIONS(7379),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteurl] = ACTIONS(7379),
    [anon_sym_BSLASHfullcite] = ACTIONS(7379),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7379),
    [anon_sym_BSLASHcitealt] = ACTIONS(7379),
    [anon_sym_BSLASHcitealp] = ACTIONS(7379),
    [anon_sym_BSLASHcitetext] = ACTIONS(7379),
    [anon_sym_BSLASHparencite] = ACTIONS(7379),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHParencite] = ACTIONS(7379),
    [anon_sym_BSLASHfootcite] = ACTIONS(7379),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7379),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7379),
    [anon_sym_BSLASHtextcite] = ACTIONS(7379),
    [anon_sym_BSLASHTextcite] = ACTIONS(7379),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7379),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7379),
    [anon_sym_BSLASHsupercite] = ACTIONS(7379),
    [anon_sym_BSLASHautocite] = ACTIONS(7379),
    [anon_sym_BSLASHAutocite] = ACTIONS(7379),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHVolcite] = ACTIONS(7379),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHavolcite] = ACTIONS(7379),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHNotecite] = ACTIONS(7379),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHlabel] = ACTIONS(7379),
    [anon_sym_BSLASHref] = ACTIONS(7379),
    [anon_sym_BSLASHeqref] = ACTIONS(7379),
    [anon_sym_BSLASHvref] = ACTIONS(7379),
    [anon_sym_BSLASHVref] = ACTIONS(7379),
    [anon_sym_BSLASHautoref] = ACTIONS(7379),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHpageref] = ACTIONS(7379),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHautopageref] = ACTIONS(7379),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcref] = ACTIONS(7379),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCref] = ACTIONS(7379),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcpageref] = ACTIONS(7379),
    [anon_sym_BSLASHCpageref] = ACTIONS(7379),
    [anon_sym_BSLASHnamecref] = ACTIONS(7379),
    [anon_sym_BSLASHnameCref] = ACTIONS(7379),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7379),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7379),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7379),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7379),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7379),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7379),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7379),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7379),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7379),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7379),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7379),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHdef] = ACTIONS(7379),
    [anon_sym_BSLASHgdef] = ACTIONS(7379),
    [anon_sym_BSLASHedef] = ACTIONS(7379),
    [anon_sym_BSLASHxdef] = ACTIONS(7379),
    [anon_sym_BSLASHlet] = ACTIONS(7379),
    [anon_sym_BSLASHglet] = ACTIONS(7379),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7379),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7379),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7379),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7379),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7379),
    [anon_sym_BSLASHgls] = ACTIONS(7379),
    [anon_sym_BSLASHGls] = ACTIONS(7379),
    [anon_sym_BSLASHGLS] = ACTIONS(7379),
    [anon_sym_BSLASHglspl] = ACTIONS(7379),
    [anon_sym_BSLASHGlspl] = ACTIONS(7379),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7379),
    [anon_sym_BSLASHglslink] = ACTIONS(7379),
    [anon_sym_BSLASHglstext] = ACTIONS(7379),
    [anon_sym_BSLASHGlstext] = ACTIONS(7379),
    [anon_sym_BSLASHGLStext] = ACTIONS(7379),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7379),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7379),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7379),
    [anon_sym_BSLASHglsplural] = ACTIONS(7379),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7379),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7379),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHglsname] = ACTIONS(7379),
    [anon_sym_BSLASHGlsname] = ACTIONS(7379),
    [anon_sym_BSLASHGLSname] = ACTIONS(7379),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7379),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7379),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7379),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7379),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7379),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7379),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7379),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7379),
    [anon_sym_BSLASHacrshort] = ACTIONS(7379),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7379),
    [anon_sym_BSLASHACRshort] = ACTIONS(7379),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHacrlong] = ACTIONS(7379),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7379),
    [anon_sym_BSLASHACRlong] = ACTIONS(7379),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHacrfull] = ACTIONS(7379),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7379),
    [anon_sym_BSLASHACRfull] = ACTIONS(7379),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHacs] = ACTIONS(7379),
    [anon_sym_BSLASHAcs] = ACTIONS(7379),
    [anon_sym_BSLASHacsp] = ACTIONS(7379),
    [anon_sym_BSLASHAcsp] = ACTIONS(7379),
    [anon_sym_BSLASHacl] = ACTIONS(7379),
    [anon_sym_BSLASHAcl] = ACTIONS(7379),
    [anon_sym_BSLASHaclp] = ACTIONS(7379),
    [anon_sym_BSLASHAclp] = ACTIONS(7379),
    [anon_sym_BSLASHacf] = ACTIONS(7379),
    [anon_sym_BSLASHAcf] = ACTIONS(7379),
    [anon_sym_BSLASHacfp] = ACTIONS(7379),
    [anon_sym_BSLASHAcfp] = ACTIONS(7379),
    [anon_sym_BSLASHac] = ACTIONS(7379),
    [anon_sym_BSLASHAc] = ACTIONS(7379),
    [anon_sym_BSLASHacp] = ACTIONS(7379),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7379),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7379),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7379),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7379),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7379),
    [anon_sym_BSLASHcolor] = ACTIONS(7379),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7379),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7379),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7379),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7379),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7379),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7379),
    [anon_sym_BSLASHurl] = ACTIONS(7379),
    [anon_sym_BSLASHhref] = ACTIONS(7379),
  },
  [1002] = {
    [ts_builtin_sym_end] = ACTIONS(7385),
    [sym_command_name] = ACTIONS(7383),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7383),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_RBRACK] = ACTIONS(7385),
    [anon_sym_COMMA] = ACTIONS(7385),
    [anon_sym_EQ] = ACTIONS(7385),
    [anon_sym_LPAREN] = ACTIONS(7385),
    [anon_sym_RPAREN] = ACTIONS(7385),
    [anon_sym_BSLASHpart] = ACTIONS(7383),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHaddpart] = ACTIONS(7383),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHchapter] = ACTIONS(7383),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHaddchap] = ACTIONS(7383),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHsection] = ACTIONS(7383),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHaddsec] = ACTIONS(7383),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHsubsection] = ACTIONS(7383),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7383),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHparagraph] = ACTIONS(7383),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7383),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHitem] = ACTIONS(7383),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7385),
    [anon_sym_RBRACE] = ACTIONS(7385),
    [sym_word] = ACTIONS(7383),
    [sym_placeholder] = ACTIONS(7385),
    [sym_delimiter] = ACTIONS(7385),
    [anon_sym_PLUS] = ACTIONS(7385),
    [anon_sym_DASH] = ACTIONS(7385),
    [anon_sym_STAR] = ACTIONS(7385),
    [anon_sym_SLASH] = ACTIONS(7385),
    [anon_sym_LT] = ACTIONS(7383),
    [anon_sym_GT] = ACTIONS(7383),
    [anon_sym_BANG] = ACTIONS(7383),
    [anon_sym_PIPE] = ACTIONS(7383),
    [anon_sym_COLON] = ACTIONS(7383),
    [anon_sym_SQUOTE] = ACTIONS(7383),
    [anon_sym__] = ACTIONS(7385),
    [anon_sym_CARET] = ACTIONS(7385),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7385),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7385),
    [anon_sym_DOLLAR] = ACTIONS(7383),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7385),
    [anon_sym_BSLASHleft] = ACTIONS(7383),
    [anon_sym_BSLASHbigl] = ACTIONS(7383),
    [anon_sym_BSLASHBigl] = ACTIONS(7383),
    [anon_sym_BSLASHbiggl] = ACTIONS(7383),
    [anon_sym_BSLASHBiggl] = ACTIONS(7383),
    [anon_sym_BSLASHtext] = ACTIONS(7383),
    [anon_sym_BSLASHintertext] = ACTIONS(7383),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7383),
    [anon_sym_BSLASHbegin] = ACTIONS(7383),
    [anon_sym_BSLASHtitle] = ACTIONS(7383),
    [anon_sym_BSLASHauthor] = ACTIONS(7383),
    [anon_sym_BSLASHusepackage] = ACTIONS(7383),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7383),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7383),
    [anon_sym_BSLASHinclude] = ACTIONS(7383),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7383),
    [anon_sym_BSLASHinput] = ACTIONS(7383),
    [anon_sym_BSLASHsubfile] = ACTIONS(7383),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7383),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7383),
    [anon_sym_BSLASHbibliography] = ACTIONS(7383),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7383),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7383),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7383),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7383),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7383),
    [anon_sym_BSLASHimport] = ACTIONS(7383),
    [anon_sym_BSLASHsubimport] = ACTIONS(7383),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7383),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7383),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7383),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7383),
    [anon_sym_BSLASHcaption] = ACTIONS(7383),
    [anon_sym_BSLASHcite] = ACTIONS(7383),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCite] = ACTIONS(7383),
    [anon_sym_BSLASHnocite] = ACTIONS(7383),
    [anon_sym_BSLASHcitet] = ACTIONS(7383),
    [anon_sym_BSLASHcitep] = ACTIONS(7383),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteA] = ACTIONS(7383),
    [anon_sym_BSLASHciteR] = ACTIONS(7383),
    [anon_sym_BSLASHciteS] = ACTIONS(7383),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7383),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7383),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7383),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7383),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteyear] = ACTIONS(7383),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitedate] = ACTIONS(7383),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteurl] = ACTIONS(7383),
    [anon_sym_BSLASHfullcite] = ACTIONS(7383),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7383),
    [anon_sym_BSLASHcitealt] = ACTIONS(7383),
    [anon_sym_BSLASHcitealp] = ACTIONS(7383),
    [anon_sym_BSLASHcitetext] = ACTIONS(7383),
    [anon_sym_BSLASHparencite] = ACTIONS(7383),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHParencite] = ACTIONS(7383),
    [anon_sym_BSLASHfootcite] = ACTIONS(7383),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7383),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7383),
    [anon_sym_BSLASHtextcite] = ACTIONS(7383),
    [anon_sym_BSLASHTextcite] = ACTIONS(7383),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7383),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7383),
    [anon_sym_BSLASHsupercite] = ACTIONS(7383),
    [anon_sym_BSLASHautocite] = ACTIONS(7383),
    [anon_sym_BSLASHAutocite] = ACTIONS(7383),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHVolcite] = ACTIONS(7383),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHavolcite] = ACTIONS(7383),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHNotecite] = ACTIONS(7383),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHlabel] = ACTIONS(7383),
    [anon_sym_BSLASHref] = ACTIONS(7383),
    [anon_sym_BSLASHeqref] = ACTIONS(7383),
    [anon_sym_BSLASHvref] = ACTIONS(7383),
    [anon_sym_BSLASHVref] = ACTIONS(7383),
    [anon_sym_BSLASHautoref] = ACTIONS(7383),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHpageref] = ACTIONS(7383),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHautopageref] = ACTIONS(7383),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcref] = ACTIONS(7383),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCref] = ACTIONS(7383),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcpageref] = ACTIONS(7383),
    [anon_sym_BSLASHCpageref] = ACTIONS(7383),
    [anon_sym_BSLASHnamecref] = ACTIONS(7383),
    [anon_sym_BSLASHnameCref] = ACTIONS(7383),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7383),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7383),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7383),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7383),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7383),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7383),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7383),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7383),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7383),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7383),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7383),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHdef] = ACTIONS(7383),
    [anon_sym_BSLASHgdef] = ACTIONS(7383),
    [anon_sym_BSLASHedef] = ACTIONS(7383),
    [anon_sym_BSLASHxdef] = ACTIONS(7383),
    [anon_sym_BSLASHlet] = ACTIONS(7383),
    [anon_sym_BSLASHglet] = ACTIONS(7383),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7383),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7383),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7383),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7383),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7383),
    [anon_sym_BSLASHgls] = ACTIONS(7383),
    [anon_sym_BSLASHGls] = ACTIONS(7383),
    [anon_sym_BSLASHGLS] = ACTIONS(7383),
    [anon_sym_BSLASHglspl] = ACTIONS(7383),
    [anon_sym_BSLASHGlspl] = ACTIONS(7383),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7383),
    [anon_sym_BSLASHglslink] = ACTIONS(7383),
    [anon_sym_BSLASHglstext] = ACTIONS(7383),
    [anon_sym_BSLASHGlstext] = ACTIONS(7383),
    [anon_sym_BSLASHGLStext] = ACTIONS(7383),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7383),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7383),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7383),
    [anon_sym_BSLASHglsplural] = ACTIONS(7383),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7383),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7383),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHglsname] = ACTIONS(7383),
    [anon_sym_BSLASHGlsname] = ACTIONS(7383),
    [anon_sym_BSLASHGLSname] = ACTIONS(7383),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7383),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7383),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7383),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7383),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7383),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7383),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7383),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7383),
    [anon_sym_BSLASHacrshort] = ACTIONS(7383),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7383),
    [anon_sym_BSLASHACRshort] = ACTIONS(7383),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHacrlong] = ACTIONS(7383),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7383),
    [anon_sym_BSLASHACRlong] = ACTIONS(7383),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHacrfull] = ACTIONS(7383),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7383),
    [anon_sym_BSLASHACRfull] = ACTIONS(7383),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHacs] = ACTIONS(7383),
    [anon_sym_BSLASHAcs] = ACTIONS(7383),
    [anon_sym_BSLASHacsp] = ACTIONS(7383),
    [anon_sym_BSLASHAcsp] = ACTIONS(7383),
    [anon_sym_BSLASHacl] = ACTIONS(7383),
    [anon_sym_BSLASHAcl] = ACTIONS(7383),
    [anon_sym_BSLASHaclp] = ACTIONS(7383),
    [anon_sym_BSLASHAclp] = ACTIONS(7383),
    [anon_sym_BSLASHacf] = ACTIONS(7383),
    [anon_sym_BSLASHAcf] = ACTIONS(7383),
    [anon_sym_BSLASHacfp] = ACTIONS(7383),
    [anon_sym_BSLASHAcfp] = ACTIONS(7383),
    [anon_sym_BSLASHac] = ACTIONS(7383),
    [anon_sym_BSLASHAc] = ACTIONS(7383),
    [anon_sym_BSLASHacp] = ACTIONS(7383),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7383),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7383),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7383),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7383),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7383),
    [anon_sym_BSLASHcolor] = ACTIONS(7383),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7383),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7383),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7383),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7383),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7383),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7383),
    [anon_sym_BSLASHurl] = ACTIONS(7383),
    [anon_sym_BSLASHhref] = ACTIONS(7383),
  },
  [1003] = {
    [ts_builtin_sym_end] = ACTIONS(7389),
    [sym_command_name] = ACTIONS(7387),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7387),
    [anon_sym_LBRACK] = ACTIONS(7389),
    [anon_sym_RBRACK] = ACTIONS(7389),
    [anon_sym_COMMA] = ACTIONS(7389),
    [anon_sym_EQ] = ACTIONS(7389),
    [anon_sym_LPAREN] = ACTIONS(7389),
    [anon_sym_RPAREN] = ACTIONS(7389),
    [anon_sym_BSLASHpart] = ACTIONS(7387),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHaddpart] = ACTIONS(7387),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHchapter] = ACTIONS(7387),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHaddchap] = ACTIONS(7387),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHsection] = ACTIONS(7387),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHaddsec] = ACTIONS(7387),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHsubsection] = ACTIONS(7387),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7387),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHparagraph] = ACTIONS(7387),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7387),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHitem] = ACTIONS(7387),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7389),
    [anon_sym_LBRACE] = ACTIONS(7389),
    [anon_sym_RBRACE] = ACTIONS(7389),
    [sym_word] = ACTIONS(7387),
    [sym_placeholder] = ACTIONS(7389),
    [sym_delimiter] = ACTIONS(7389),
    [anon_sym_PLUS] = ACTIONS(7389),
    [anon_sym_DASH] = ACTIONS(7389),
    [anon_sym_STAR] = ACTIONS(7389),
    [anon_sym_SLASH] = ACTIONS(7389),
    [anon_sym_LT] = ACTIONS(7387),
    [anon_sym_GT] = ACTIONS(7387),
    [anon_sym_BANG] = ACTIONS(7387),
    [anon_sym_PIPE] = ACTIONS(7387),
    [anon_sym_COLON] = ACTIONS(7387),
    [anon_sym_SQUOTE] = ACTIONS(7387),
    [anon_sym__] = ACTIONS(7389),
    [anon_sym_CARET] = ACTIONS(7389),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7389),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7389),
    [anon_sym_DOLLAR] = ACTIONS(7387),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7389),
    [anon_sym_BSLASHleft] = ACTIONS(7387),
    [anon_sym_BSLASHbigl] = ACTIONS(7387),
    [anon_sym_BSLASHBigl] = ACTIONS(7387),
    [anon_sym_BSLASHbiggl] = ACTIONS(7387),
    [anon_sym_BSLASHBiggl] = ACTIONS(7387),
    [anon_sym_BSLASHtext] = ACTIONS(7387),
    [anon_sym_BSLASHintertext] = ACTIONS(7387),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7387),
    [anon_sym_BSLASHbegin] = ACTIONS(7387),
    [anon_sym_BSLASHtitle] = ACTIONS(7387),
    [anon_sym_BSLASHauthor] = ACTIONS(7387),
    [anon_sym_BSLASHusepackage] = ACTIONS(7387),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7387),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7387),
    [anon_sym_BSLASHinclude] = ACTIONS(7387),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7387),
    [anon_sym_BSLASHinput] = ACTIONS(7387),
    [anon_sym_BSLASHsubfile] = ACTIONS(7387),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7387),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7387),
    [anon_sym_BSLASHbibliography] = ACTIONS(7387),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7387),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7387),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7387),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7387),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7387),
    [anon_sym_BSLASHimport] = ACTIONS(7387),
    [anon_sym_BSLASHsubimport] = ACTIONS(7387),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7387),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7387),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7387),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7387),
    [anon_sym_BSLASHcaption] = ACTIONS(7387),
    [anon_sym_BSLASHcite] = ACTIONS(7387),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCite] = ACTIONS(7387),
    [anon_sym_BSLASHnocite] = ACTIONS(7387),
    [anon_sym_BSLASHcitet] = ACTIONS(7387),
    [anon_sym_BSLASHcitep] = ACTIONS(7387),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteA] = ACTIONS(7387),
    [anon_sym_BSLASHciteR] = ACTIONS(7387),
    [anon_sym_BSLASHciteS] = ACTIONS(7387),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7387),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7387),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7387),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7387),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteyear] = ACTIONS(7387),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitedate] = ACTIONS(7387),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteurl] = ACTIONS(7387),
    [anon_sym_BSLASHfullcite] = ACTIONS(7387),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7387),
    [anon_sym_BSLASHcitealt] = ACTIONS(7387),
    [anon_sym_BSLASHcitealp] = ACTIONS(7387),
    [anon_sym_BSLASHcitetext] = ACTIONS(7387),
    [anon_sym_BSLASHparencite] = ACTIONS(7387),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHParencite] = ACTIONS(7387),
    [anon_sym_BSLASHfootcite] = ACTIONS(7387),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7387),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7387),
    [anon_sym_BSLASHtextcite] = ACTIONS(7387),
    [anon_sym_BSLASHTextcite] = ACTIONS(7387),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7387),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7387),
    [anon_sym_BSLASHsupercite] = ACTIONS(7387),
    [anon_sym_BSLASHautocite] = ACTIONS(7387),
    [anon_sym_BSLASHAutocite] = ACTIONS(7387),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHVolcite] = ACTIONS(7387),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHavolcite] = ACTIONS(7387),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHNotecite] = ACTIONS(7387),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHlabel] = ACTIONS(7387),
    [anon_sym_BSLASHref] = ACTIONS(7387),
    [anon_sym_BSLASHeqref] = ACTIONS(7387),
    [anon_sym_BSLASHvref] = ACTIONS(7387),
    [anon_sym_BSLASHVref] = ACTIONS(7387),
    [anon_sym_BSLASHautoref] = ACTIONS(7387),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHpageref] = ACTIONS(7387),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHautopageref] = ACTIONS(7387),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcref] = ACTIONS(7387),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCref] = ACTIONS(7387),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcpageref] = ACTIONS(7387),
    [anon_sym_BSLASHCpageref] = ACTIONS(7387),
    [anon_sym_BSLASHnamecref] = ACTIONS(7387),
    [anon_sym_BSLASHnameCref] = ACTIONS(7387),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7387),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7387),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7387),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7387),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7387),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7387),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7387),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7387),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7387),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7387),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7387),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHdef] = ACTIONS(7387),
    [anon_sym_BSLASHgdef] = ACTIONS(7387),
    [anon_sym_BSLASHedef] = ACTIONS(7387),
    [anon_sym_BSLASHxdef] = ACTIONS(7387),
    [anon_sym_BSLASHlet] = ACTIONS(7387),
    [anon_sym_BSLASHglet] = ACTIONS(7387),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7387),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7387),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7387),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7387),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7387),
    [anon_sym_BSLASHgls] = ACTIONS(7387),
    [anon_sym_BSLASHGls] = ACTIONS(7387),
    [anon_sym_BSLASHGLS] = ACTIONS(7387),
    [anon_sym_BSLASHglspl] = ACTIONS(7387),
    [anon_sym_BSLASHGlspl] = ACTIONS(7387),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7387),
    [anon_sym_BSLASHglslink] = ACTIONS(7387),
    [anon_sym_BSLASHglstext] = ACTIONS(7387),
    [anon_sym_BSLASHGlstext] = ACTIONS(7387),
    [anon_sym_BSLASHGLStext] = ACTIONS(7387),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7387),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7387),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7387),
    [anon_sym_BSLASHglsplural] = ACTIONS(7387),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7387),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7387),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHglsname] = ACTIONS(7387),
    [anon_sym_BSLASHGlsname] = ACTIONS(7387),
    [anon_sym_BSLASHGLSname] = ACTIONS(7387),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7387),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7387),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7387),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7387),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7387),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7387),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7387),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7387),
    [anon_sym_BSLASHacrshort] = ACTIONS(7387),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7387),
    [anon_sym_BSLASHACRshort] = ACTIONS(7387),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHacrlong] = ACTIONS(7387),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7387),
    [anon_sym_BSLASHACRlong] = ACTIONS(7387),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHacrfull] = ACTIONS(7387),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7387),
    [anon_sym_BSLASHACRfull] = ACTIONS(7387),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHacs] = ACTIONS(7387),
    [anon_sym_BSLASHAcs] = ACTIONS(7387),
    [anon_sym_BSLASHacsp] = ACTIONS(7387),
    [anon_sym_BSLASHAcsp] = ACTIONS(7387),
    [anon_sym_BSLASHacl] = ACTIONS(7387),
    [anon_sym_BSLASHAcl] = ACTIONS(7387),
    [anon_sym_BSLASHaclp] = ACTIONS(7387),
    [anon_sym_BSLASHAclp] = ACTIONS(7387),
    [anon_sym_BSLASHacf] = ACTIONS(7387),
    [anon_sym_BSLASHAcf] = ACTIONS(7387),
    [anon_sym_BSLASHacfp] = ACTIONS(7387),
    [anon_sym_BSLASHAcfp] = ACTIONS(7387),
    [anon_sym_BSLASHac] = ACTIONS(7387),
    [anon_sym_BSLASHAc] = ACTIONS(7387),
    [anon_sym_BSLASHacp] = ACTIONS(7387),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7387),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7387),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7387),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7387),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7387),
    [anon_sym_BSLASHcolor] = ACTIONS(7387),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7387),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7387),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7387),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7387),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7387),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7387),
    [anon_sym_BSLASHurl] = ACTIONS(7387),
    [anon_sym_BSLASHhref] = ACTIONS(7387),
  },
  [1004] = {
    [ts_builtin_sym_end] = ACTIONS(7021),
    [sym_command_name] = ACTIONS(7019),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7019),
    [anon_sym_LBRACK] = ACTIONS(7021),
    [anon_sym_RBRACK] = ACTIONS(7021),
    [anon_sym_COMMA] = ACTIONS(7021),
    [anon_sym_EQ] = ACTIONS(7021),
    [anon_sym_LPAREN] = ACTIONS(7021),
    [anon_sym_RPAREN] = ACTIONS(7021),
    [anon_sym_BSLASHpart] = ACTIONS(7019),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHaddpart] = ACTIONS(7019),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHchapter] = ACTIONS(7019),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHaddchap] = ACTIONS(7019),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHsection] = ACTIONS(7019),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHaddsec] = ACTIONS(7019),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHsubsection] = ACTIONS(7019),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7019),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHparagraph] = ACTIONS(7019),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7019),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHitem] = ACTIONS(7019),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7021),
    [anon_sym_LBRACE] = ACTIONS(7021),
    [anon_sym_RBRACE] = ACTIONS(7021),
    [sym_word] = ACTIONS(7019),
    [sym_placeholder] = ACTIONS(7021),
    [sym_delimiter] = ACTIONS(7021),
    [anon_sym_PLUS] = ACTIONS(7021),
    [anon_sym_DASH] = ACTIONS(7021),
    [anon_sym_STAR] = ACTIONS(7021),
    [anon_sym_SLASH] = ACTIONS(7021),
    [anon_sym_LT] = ACTIONS(7019),
    [anon_sym_GT] = ACTIONS(7019),
    [anon_sym_BANG] = ACTIONS(7019),
    [anon_sym_PIPE] = ACTIONS(7019),
    [anon_sym_COLON] = ACTIONS(7019),
    [anon_sym_SQUOTE] = ACTIONS(7019),
    [anon_sym__] = ACTIONS(7021),
    [anon_sym_CARET] = ACTIONS(7021),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7021),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7021),
    [anon_sym_DOLLAR] = ACTIONS(7019),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7021),
    [anon_sym_BSLASHleft] = ACTIONS(7019),
    [anon_sym_BSLASHbigl] = ACTIONS(7019),
    [anon_sym_BSLASHBigl] = ACTIONS(7019),
    [anon_sym_BSLASHbiggl] = ACTIONS(7019),
    [anon_sym_BSLASHBiggl] = ACTIONS(7019),
    [anon_sym_BSLASHtext] = ACTIONS(7019),
    [anon_sym_BSLASHintertext] = ACTIONS(7019),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7019),
    [anon_sym_BSLASHbegin] = ACTIONS(7019),
    [anon_sym_BSLASHtitle] = ACTIONS(7019),
    [anon_sym_BSLASHauthor] = ACTIONS(7019),
    [anon_sym_BSLASHusepackage] = ACTIONS(7019),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7019),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7019),
    [anon_sym_BSLASHinclude] = ACTIONS(7019),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7019),
    [anon_sym_BSLASHinput] = ACTIONS(7019),
    [anon_sym_BSLASHsubfile] = ACTIONS(7019),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7019),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7019),
    [anon_sym_BSLASHbibliography] = ACTIONS(7019),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7019),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7019),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7019),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7019),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7019),
    [anon_sym_BSLASHimport] = ACTIONS(7019),
    [anon_sym_BSLASHsubimport] = ACTIONS(7019),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7019),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7019),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7019),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7019),
    [anon_sym_BSLASHcaption] = ACTIONS(7019),
    [anon_sym_BSLASHcite] = ACTIONS(7019),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHCite] = ACTIONS(7019),
    [anon_sym_BSLASHnocite] = ACTIONS(7019),
    [anon_sym_BSLASHcitet] = ACTIONS(7019),
    [anon_sym_BSLASHcitep] = ACTIONS(7019),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHciteA] = ACTIONS(7019),
    [anon_sym_BSLASHciteR] = ACTIONS(7019),
    [anon_sym_BSLASHciteS] = ACTIONS(7019),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7019),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7019),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7019),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7019),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHciteyear] = ACTIONS(7019),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcitedate] = ACTIONS(7019),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHciteurl] = ACTIONS(7019),
    [anon_sym_BSLASHfullcite] = ACTIONS(7019),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7019),
    [anon_sym_BSLASHcitealt] = ACTIONS(7019),
    [anon_sym_BSLASHcitealp] = ACTIONS(7019),
    [anon_sym_BSLASHcitetext] = ACTIONS(7019),
    [anon_sym_BSLASHparencite] = ACTIONS(7019),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHParencite] = ACTIONS(7019),
    [anon_sym_BSLASHfootcite] = ACTIONS(7019),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7019),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7019),
    [anon_sym_BSLASHtextcite] = ACTIONS(7019),
    [anon_sym_BSLASHTextcite] = ACTIONS(7019),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7019),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7019),
    [anon_sym_BSLASHsupercite] = ACTIONS(7019),
    [anon_sym_BSLASHautocite] = ACTIONS(7019),
    [anon_sym_BSLASHAutocite] = ACTIONS(7019),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHVolcite] = ACTIONS(7019),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHavolcite] = ACTIONS(7019),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHnotecite] = ACTIONS(7019),
    [anon_sym_BSLASHNotecite] = ACTIONS(7019),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7019),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7019),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7019),
    [anon_sym_BSLASHlabel] = ACTIONS(7019),
    [anon_sym_BSLASHref] = ACTIONS(7019),
    [anon_sym_BSLASHeqref] = ACTIONS(7019),
    [anon_sym_BSLASHvref] = ACTIONS(7019),
    [anon_sym_BSLASHVref] = ACTIONS(7019),
    [anon_sym_BSLASHautoref] = ACTIONS(7019),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHpageref] = ACTIONS(7019),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHautopageref] = ACTIONS(7019),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcref] = ACTIONS(7019),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHCref] = ACTIONS(7019),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcpageref] = ACTIONS(7019),
    [anon_sym_BSLASHCpageref] = ACTIONS(7019),
    [anon_sym_BSLASHnamecref] = ACTIONS(7019),
    [anon_sym_BSLASHnameCref] = ACTIONS(7019),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7019),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7019),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7019),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7019),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7019),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7019),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7019),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7019),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7019),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7019),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7019),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7019),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7019),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7019),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7019),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7019),
    [anon_sym_BSLASHdef] = ACTIONS(7019),
    [anon_sym_BSLASHgdef] = ACTIONS(7019),
    [anon_sym_BSLASHedef] = ACTIONS(7019),
    [anon_sym_BSLASHxdef] = ACTIONS(7019),
    [anon_sym_BSLASHlet] = ACTIONS(7019),
    [anon_sym_BSLASHglet] = ACTIONS(7019),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7019),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7019),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7019),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7019),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7019),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7019),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7019),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7019),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7019),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7019),
    [anon_sym_BSLASHgls] = ACTIONS(7019),
    [anon_sym_BSLASHGls] = ACTIONS(7019),
    [anon_sym_BSLASHGLS] = ACTIONS(7019),
    [anon_sym_BSLASHglspl] = ACTIONS(7019),
    [anon_sym_BSLASHGlspl] = ACTIONS(7019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7019),
    [anon_sym_BSLASHglslink] = ACTIONS(7019),
    [anon_sym_BSLASHglstext] = ACTIONS(7019),
    [anon_sym_BSLASHGlstext] = ACTIONS(7019),
    [anon_sym_BSLASHGLStext] = ACTIONS(7019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7019),
    [anon_sym_BSLASHglsplural] = ACTIONS(7019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7019),
    [anon_sym_BSLASHglsname] = ACTIONS(7019),
    [anon_sym_BSLASHGlsname] = ACTIONS(7019),
    [anon_sym_BSLASHGLSname] = ACTIONS(7019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7019),
    [anon_sym_BSLASHacrshort] = ACTIONS(7019),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7019),
    [anon_sym_BSLASHACRshort] = ACTIONS(7019),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7019),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7019),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7019),
    [anon_sym_BSLASHacrlong] = ACTIONS(7019),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7019),
    [anon_sym_BSLASHACRlong] = ACTIONS(7019),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7019),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7019),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7019),
    [anon_sym_BSLASHacrfull] = ACTIONS(7019),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7019),
    [anon_sym_BSLASHACRfull] = ACTIONS(7019),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7019),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7019),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7019),
    [anon_sym_BSLASHacs] = ACTIONS(7019),
    [anon_sym_BSLASHAcs] = ACTIONS(7019),
    [anon_sym_BSLASHacsp] = ACTIONS(7019),
    [anon_sym_BSLASHAcsp] = ACTIONS(7019),
    [anon_sym_BSLASHacl] = ACTIONS(7019),
    [anon_sym_BSLASHAcl] = ACTIONS(7019),
    [anon_sym_BSLASHaclp] = ACTIONS(7019),
    [anon_sym_BSLASHAclp] = ACTIONS(7019),
    [anon_sym_BSLASHacf] = ACTIONS(7019),
    [anon_sym_BSLASHAcf] = ACTIONS(7019),
    [anon_sym_BSLASHacfp] = ACTIONS(7019),
    [anon_sym_BSLASHAcfp] = ACTIONS(7019),
    [anon_sym_BSLASHac] = ACTIONS(7019),
    [anon_sym_BSLASHAc] = ACTIONS(7019),
    [anon_sym_BSLASHacp] = ACTIONS(7019),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7019),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7019),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7019),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7019),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7019),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7019),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7019),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7019),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7019),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7019),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7019),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7019),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7019),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7019),
    [anon_sym_BSLASHcolor] = ACTIONS(7019),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7019),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7019),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7019),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7019),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7019),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7019),
    [anon_sym_BSLASHurl] = ACTIONS(7019),
    [anon_sym_BSLASHhref] = ACTIONS(7019),
  },
  [1005] = {
    [ts_builtin_sym_end] = ACTIONS(7393),
    [sym_command_name] = ACTIONS(7391),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7391),
    [anon_sym_LBRACK] = ACTIONS(7393),
    [anon_sym_RBRACK] = ACTIONS(7393),
    [anon_sym_COMMA] = ACTIONS(7393),
    [anon_sym_EQ] = ACTIONS(7393),
    [anon_sym_LPAREN] = ACTIONS(7393),
    [anon_sym_RPAREN] = ACTIONS(7393),
    [anon_sym_BSLASHpart] = ACTIONS(7391),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHaddpart] = ACTIONS(7391),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHchapter] = ACTIONS(7391),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHaddchap] = ACTIONS(7391),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHsection] = ACTIONS(7391),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHaddsec] = ACTIONS(7391),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHsubsection] = ACTIONS(7391),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7391),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHparagraph] = ACTIONS(7391),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7391),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHitem] = ACTIONS(7391),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7393),
    [anon_sym_LBRACE] = ACTIONS(7393),
    [anon_sym_RBRACE] = ACTIONS(7393),
    [sym_word] = ACTIONS(7391),
    [sym_placeholder] = ACTIONS(7393),
    [sym_delimiter] = ACTIONS(7393),
    [anon_sym_PLUS] = ACTIONS(7393),
    [anon_sym_DASH] = ACTIONS(7393),
    [anon_sym_STAR] = ACTIONS(7393),
    [anon_sym_SLASH] = ACTIONS(7393),
    [anon_sym_LT] = ACTIONS(7391),
    [anon_sym_GT] = ACTIONS(7391),
    [anon_sym_BANG] = ACTIONS(7391),
    [anon_sym_PIPE] = ACTIONS(7391),
    [anon_sym_COLON] = ACTIONS(7391),
    [anon_sym_SQUOTE] = ACTIONS(7391),
    [anon_sym__] = ACTIONS(7393),
    [anon_sym_CARET] = ACTIONS(7393),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7393),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7393),
    [anon_sym_DOLLAR] = ACTIONS(7391),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7393),
    [anon_sym_BSLASHleft] = ACTIONS(7391),
    [anon_sym_BSLASHbigl] = ACTIONS(7391),
    [anon_sym_BSLASHBigl] = ACTIONS(7391),
    [anon_sym_BSLASHbiggl] = ACTIONS(7391),
    [anon_sym_BSLASHBiggl] = ACTIONS(7391),
    [anon_sym_BSLASHtext] = ACTIONS(7391),
    [anon_sym_BSLASHintertext] = ACTIONS(7391),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7391),
    [anon_sym_BSLASHbegin] = ACTIONS(7391),
    [anon_sym_BSLASHtitle] = ACTIONS(7391),
    [anon_sym_BSLASHauthor] = ACTIONS(7391),
    [anon_sym_BSLASHusepackage] = ACTIONS(7391),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7391),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7391),
    [anon_sym_BSLASHinclude] = ACTIONS(7391),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7391),
    [anon_sym_BSLASHinput] = ACTIONS(7391),
    [anon_sym_BSLASHsubfile] = ACTIONS(7391),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7391),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7391),
    [anon_sym_BSLASHbibliography] = ACTIONS(7391),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7391),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7391),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7391),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7391),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7391),
    [anon_sym_BSLASHimport] = ACTIONS(7391),
    [anon_sym_BSLASHsubimport] = ACTIONS(7391),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7391),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7391),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7391),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7391),
    [anon_sym_BSLASHcaption] = ACTIONS(7391),
    [anon_sym_BSLASHcite] = ACTIONS(7391),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCite] = ACTIONS(7391),
    [anon_sym_BSLASHnocite] = ACTIONS(7391),
    [anon_sym_BSLASHcitet] = ACTIONS(7391),
    [anon_sym_BSLASHcitep] = ACTIONS(7391),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteA] = ACTIONS(7391),
    [anon_sym_BSLASHciteR] = ACTIONS(7391),
    [anon_sym_BSLASHciteS] = ACTIONS(7391),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7391),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7391),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7391),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7391),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteyear] = ACTIONS(7391),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitedate] = ACTIONS(7391),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteurl] = ACTIONS(7391),
    [anon_sym_BSLASHfullcite] = ACTIONS(7391),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7391),
    [anon_sym_BSLASHcitealt] = ACTIONS(7391),
    [anon_sym_BSLASHcitealp] = ACTIONS(7391),
    [anon_sym_BSLASHcitetext] = ACTIONS(7391),
    [anon_sym_BSLASHparencite] = ACTIONS(7391),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHParencite] = ACTIONS(7391),
    [anon_sym_BSLASHfootcite] = ACTIONS(7391),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7391),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7391),
    [anon_sym_BSLASHtextcite] = ACTIONS(7391),
    [anon_sym_BSLASHTextcite] = ACTIONS(7391),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7391),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7391),
    [anon_sym_BSLASHsupercite] = ACTIONS(7391),
    [anon_sym_BSLASHautocite] = ACTIONS(7391),
    [anon_sym_BSLASHAutocite] = ACTIONS(7391),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHVolcite] = ACTIONS(7391),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHavolcite] = ACTIONS(7391),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHNotecite] = ACTIONS(7391),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHlabel] = ACTIONS(7391),
    [anon_sym_BSLASHref] = ACTIONS(7391),
    [anon_sym_BSLASHeqref] = ACTIONS(7391),
    [anon_sym_BSLASHvref] = ACTIONS(7391),
    [anon_sym_BSLASHVref] = ACTIONS(7391),
    [anon_sym_BSLASHautoref] = ACTIONS(7391),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHpageref] = ACTIONS(7391),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHautopageref] = ACTIONS(7391),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcref] = ACTIONS(7391),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCref] = ACTIONS(7391),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcpageref] = ACTIONS(7391),
    [anon_sym_BSLASHCpageref] = ACTIONS(7391),
    [anon_sym_BSLASHnamecref] = ACTIONS(7391),
    [anon_sym_BSLASHnameCref] = ACTIONS(7391),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7391),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7391),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7391),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7391),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7391),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7391),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7391),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7391),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7391),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7391),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7391),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHdef] = ACTIONS(7391),
    [anon_sym_BSLASHgdef] = ACTIONS(7391),
    [anon_sym_BSLASHedef] = ACTIONS(7391),
    [anon_sym_BSLASHxdef] = ACTIONS(7391),
    [anon_sym_BSLASHlet] = ACTIONS(7391),
    [anon_sym_BSLASHglet] = ACTIONS(7391),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7391),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7391),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7391),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7391),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7391),
    [anon_sym_BSLASHgls] = ACTIONS(7391),
    [anon_sym_BSLASHGls] = ACTIONS(7391),
    [anon_sym_BSLASHGLS] = ACTIONS(7391),
    [anon_sym_BSLASHglspl] = ACTIONS(7391),
    [anon_sym_BSLASHGlspl] = ACTIONS(7391),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7391),
    [anon_sym_BSLASHglslink] = ACTIONS(7391),
    [anon_sym_BSLASHglstext] = ACTIONS(7391),
    [anon_sym_BSLASHGlstext] = ACTIONS(7391),
    [anon_sym_BSLASHGLStext] = ACTIONS(7391),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7391),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7391),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7391),
    [anon_sym_BSLASHglsplural] = ACTIONS(7391),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7391),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7391),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHglsname] = ACTIONS(7391),
    [anon_sym_BSLASHGlsname] = ACTIONS(7391),
    [anon_sym_BSLASHGLSname] = ACTIONS(7391),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7391),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7391),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7391),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7391),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7391),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7391),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7391),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7391),
    [anon_sym_BSLASHacrshort] = ACTIONS(7391),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7391),
    [anon_sym_BSLASHACRshort] = ACTIONS(7391),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHacrlong] = ACTIONS(7391),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7391),
    [anon_sym_BSLASHACRlong] = ACTIONS(7391),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHacrfull] = ACTIONS(7391),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7391),
    [anon_sym_BSLASHACRfull] = ACTIONS(7391),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHacs] = ACTIONS(7391),
    [anon_sym_BSLASHAcs] = ACTIONS(7391),
    [anon_sym_BSLASHacsp] = ACTIONS(7391),
    [anon_sym_BSLASHAcsp] = ACTIONS(7391),
    [anon_sym_BSLASHacl] = ACTIONS(7391),
    [anon_sym_BSLASHAcl] = ACTIONS(7391),
    [anon_sym_BSLASHaclp] = ACTIONS(7391),
    [anon_sym_BSLASHAclp] = ACTIONS(7391),
    [anon_sym_BSLASHacf] = ACTIONS(7391),
    [anon_sym_BSLASHAcf] = ACTIONS(7391),
    [anon_sym_BSLASHacfp] = ACTIONS(7391),
    [anon_sym_BSLASHAcfp] = ACTIONS(7391),
    [anon_sym_BSLASHac] = ACTIONS(7391),
    [anon_sym_BSLASHAc] = ACTIONS(7391),
    [anon_sym_BSLASHacp] = ACTIONS(7391),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7391),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7391),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7391),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7391),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7391),
    [anon_sym_BSLASHcolor] = ACTIONS(7391),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7391),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7391),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7391),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7391),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7391),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7391),
    [anon_sym_BSLASHurl] = ACTIONS(7391),
    [anon_sym_BSLASHhref] = ACTIONS(7391),
  },
  [1006] = {
    [ts_builtin_sym_end] = ACTIONS(7397),
    [sym_command_name] = ACTIONS(7395),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7395),
    [anon_sym_LBRACK] = ACTIONS(7397),
    [anon_sym_RBRACK] = ACTIONS(7397),
    [anon_sym_COMMA] = ACTIONS(7397),
    [anon_sym_EQ] = ACTIONS(7397),
    [anon_sym_LPAREN] = ACTIONS(7397),
    [anon_sym_RPAREN] = ACTIONS(7397),
    [anon_sym_BSLASHpart] = ACTIONS(7395),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHaddpart] = ACTIONS(7395),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHchapter] = ACTIONS(7395),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHaddchap] = ACTIONS(7395),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHsection] = ACTIONS(7395),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHaddsec] = ACTIONS(7395),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHsubsection] = ACTIONS(7395),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7395),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHparagraph] = ACTIONS(7395),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7395),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHitem] = ACTIONS(7395),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7397),
    [anon_sym_LBRACE] = ACTIONS(7397),
    [anon_sym_RBRACE] = ACTIONS(7397),
    [sym_word] = ACTIONS(7395),
    [sym_placeholder] = ACTIONS(7397),
    [sym_delimiter] = ACTIONS(7397),
    [anon_sym_PLUS] = ACTIONS(7397),
    [anon_sym_DASH] = ACTIONS(7397),
    [anon_sym_STAR] = ACTIONS(7397),
    [anon_sym_SLASH] = ACTIONS(7397),
    [anon_sym_LT] = ACTIONS(7395),
    [anon_sym_GT] = ACTIONS(7395),
    [anon_sym_BANG] = ACTIONS(7395),
    [anon_sym_PIPE] = ACTIONS(7395),
    [anon_sym_COLON] = ACTIONS(7395),
    [anon_sym_SQUOTE] = ACTIONS(7395),
    [anon_sym__] = ACTIONS(7397),
    [anon_sym_CARET] = ACTIONS(7397),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7397),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7397),
    [anon_sym_DOLLAR] = ACTIONS(7395),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7397),
    [anon_sym_BSLASHleft] = ACTIONS(7395),
    [anon_sym_BSLASHbigl] = ACTIONS(7395),
    [anon_sym_BSLASHBigl] = ACTIONS(7395),
    [anon_sym_BSLASHbiggl] = ACTIONS(7395),
    [anon_sym_BSLASHBiggl] = ACTIONS(7395),
    [anon_sym_BSLASHtext] = ACTIONS(7395),
    [anon_sym_BSLASHintertext] = ACTIONS(7395),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7395),
    [anon_sym_BSLASHbegin] = ACTIONS(7395),
    [anon_sym_BSLASHtitle] = ACTIONS(7395),
    [anon_sym_BSLASHauthor] = ACTIONS(7395),
    [anon_sym_BSLASHusepackage] = ACTIONS(7395),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7395),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7395),
    [anon_sym_BSLASHinclude] = ACTIONS(7395),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7395),
    [anon_sym_BSLASHinput] = ACTIONS(7395),
    [anon_sym_BSLASHsubfile] = ACTIONS(7395),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7395),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7395),
    [anon_sym_BSLASHbibliography] = ACTIONS(7395),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7395),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7395),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7395),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7395),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7395),
    [anon_sym_BSLASHimport] = ACTIONS(7395),
    [anon_sym_BSLASHsubimport] = ACTIONS(7395),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7395),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7395),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7395),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7395),
    [anon_sym_BSLASHcaption] = ACTIONS(7395),
    [anon_sym_BSLASHcite] = ACTIONS(7395),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCite] = ACTIONS(7395),
    [anon_sym_BSLASHnocite] = ACTIONS(7395),
    [anon_sym_BSLASHcitet] = ACTIONS(7395),
    [anon_sym_BSLASHcitep] = ACTIONS(7395),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteA] = ACTIONS(7395),
    [anon_sym_BSLASHciteR] = ACTIONS(7395),
    [anon_sym_BSLASHciteS] = ACTIONS(7395),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7395),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7395),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7395),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7395),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteyear] = ACTIONS(7395),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitedate] = ACTIONS(7395),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteurl] = ACTIONS(7395),
    [anon_sym_BSLASHfullcite] = ACTIONS(7395),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7395),
    [anon_sym_BSLASHcitealt] = ACTIONS(7395),
    [anon_sym_BSLASHcitealp] = ACTIONS(7395),
    [anon_sym_BSLASHcitetext] = ACTIONS(7395),
    [anon_sym_BSLASHparencite] = ACTIONS(7395),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHParencite] = ACTIONS(7395),
    [anon_sym_BSLASHfootcite] = ACTIONS(7395),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7395),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7395),
    [anon_sym_BSLASHtextcite] = ACTIONS(7395),
    [anon_sym_BSLASHTextcite] = ACTIONS(7395),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7395),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7395),
    [anon_sym_BSLASHsupercite] = ACTIONS(7395),
    [anon_sym_BSLASHautocite] = ACTIONS(7395),
    [anon_sym_BSLASHAutocite] = ACTIONS(7395),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHVolcite] = ACTIONS(7395),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHavolcite] = ACTIONS(7395),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHNotecite] = ACTIONS(7395),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHlabel] = ACTIONS(7395),
    [anon_sym_BSLASHref] = ACTIONS(7395),
    [anon_sym_BSLASHeqref] = ACTIONS(7395),
    [anon_sym_BSLASHvref] = ACTIONS(7395),
    [anon_sym_BSLASHVref] = ACTIONS(7395),
    [anon_sym_BSLASHautoref] = ACTIONS(7395),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHpageref] = ACTIONS(7395),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHautopageref] = ACTIONS(7395),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcref] = ACTIONS(7395),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCref] = ACTIONS(7395),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcpageref] = ACTIONS(7395),
    [anon_sym_BSLASHCpageref] = ACTIONS(7395),
    [anon_sym_BSLASHnamecref] = ACTIONS(7395),
    [anon_sym_BSLASHnameCref] = ACTIONS(7395),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7395),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7395),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7395),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7395),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7395),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7395),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7395),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7395),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7395),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7395),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7395),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHdef] = ACTIONS(7395),
    [anon_sym_BSLASHgdef] = ACTIONS(7395),
    [anon_sym_BSLASHedef] = ACTIONS(7395),
    [anon_sym_BSLASHxdef] = ACTIONS(7395),
    [anon_sym_BSLASHlet] = ACTIONS(7395),
    [anon_sym_BSLASHglet] = ACTIONS(7395),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7395),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7395),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7395),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7395),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7395),
    [anon_sym_BSLASHgls] = ACTIONS(7395),
    [anon_sym_BSLASHGls] = ACTIONS(7395),
    [anon_sym_BSLASHGLS] = ACTIONS(7395),
    [anon_sym_BSLASHglspl] = ACTIONS(7395),
    [anon_sym_BSLASHGlspl] = ACTIONS(7395),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7395),
    [anon_sym_BSLASHglslink] = ACTIONS(7395),
    [anon_sym_BSLASHglstext] = ACTIONS(7395),
    [anon_sym_BSLASHGlstext] = ACTIONS(7395),
    [anon_sym_BSLASHGLStext] = ACTIONS(7395),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7395),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7395),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7395),
    [anon_sym_BSLASHglsplural] = ACTIONS(7395),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7395),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7395),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHglsname] = ACTIONS(7395),
    [anon_sym_BSLASHGlsname] = ACTIONS(7395),
    [anon_sym_BSLASHGLSname] = ACTIONS(7395),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7395),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7395),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7395),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7395),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7395),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7395),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7395),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7395),
    [anon_sym_BSLASHacrshort] = ACTIONS(7395),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7395),
    [anon_sym_BSLASHACRshort] = ACTIONS(7395),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHacrlong] = ACTIONS(7395),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7395),
    [anon_sym_BSLASHACRlong] = ACTIONS(7395),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHacrfull] = ACTIONS(7395),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7395),
    [anon_sym_BSLASHACRfull] = ACTIONS(7395),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHacs] = ACTIONS(7395),
    [anon_sym_BSLASHAcs] = ACTIONS(7395),
    [anon_sym_BSLASHacsp] = ACTIONS(7395),
    [anon_sym_BSLASHAcsp] = ACTIONS(7395),
    [anon_sym_BSLASHacl] = ACTIONS(7395),
    [anon_sym_BSLASHAcl] = ACTIONS(7395),
    [anon_sym_BSLASHaclp] = ACTIONS(7395),
    [anon_sym_BSLASHAclp] = ACTIONS(7395),
    [anon_sym_BSLASHacf] = ACTIONS(7395),
    [anon_sym_BSLASHAcf] = ACTIONS(7395),
    [anon_sym_BSLASHacfp] = ACTIONS(7395),
    [anon_sym_BSLASHAcfp] = ACTIONS(7395),
    [anon_sym_BSLASHac] = ACTIONS(7395),
    [anon_sym_BSLASHAc] = ACTIONS(7395),
    [anon_sym_BSLASHacp] = ACTIONS(7395),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7395),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7395),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7395),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7395),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7395),
    [anon_sym_BSLASHcolor] = ACTIONS(7395),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7395),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7395),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7395),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7395),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7395),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7395),
    [anon_sym_BSLASHurl] = ACTIONS(7395),
    [anon_sym_BSLASHhref] = ACTIONS(7395),
  },
  [1007] = {
    [ts_builtin_sym_end] = ACTIONS(7025),
    [sym_command_name] = ACTIONS(7023),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7023),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [anon_sym_RBRACK] = ACTIONS(7025),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_EQ] = ACTIONS(7025),
    [anon_sym_LPAREN] = ACTIONS(7025),
    [anon_sym_RPAREN] = ACTIONS(7025),
    [anon_sym_BSLASHpart] = ACTIONS(7023),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHaddpart] = ACTIONS(7023),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHchapter] = ACTIONS(7023),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHaddchap] = ACTIONS(7023),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHsection] = ACTIONS(7023),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHaddsec] = ACTIONS(7023),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHsubsection] = ACTIONS(7023),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7023),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHparagraph] = ACTIONS(7023),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7023),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHitem] = ACTIONS(7023),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7025),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [anon_sym_RBRACE] = ACTIONS(7025),
    [sym_word] = ACTIONS(7023),
    [sym_placeholder] = ACTIONS(7025),
    [sym_delimiter] = ACTIONS(7025),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_STAR] = ACTIONS(7025),
    [anon_sym_SLASH] = ACTIONS(7025),
    [anon_sym_LT] = ACTIONS(7023),
    [anon_sym_GT] = ACTIONS(7023),
    [anon_sym_BANG] = ACTIONS(7023),
    [anon_sym_PIPE] = ACTIONS(7023),
    [anon_sym_COLON] = ACTIONS(7023),
    [anon_sym_SQUOTE] = ACTIONS(7023),
    [anon_sym__] = ACTIONS(7025),
    [anon_sym_CARET] = ACTIONS(7025),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7025),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7025),
    [anon_sym_DOLLAR] = ACTIONS(7023),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7025),
    [anon_sym_BSLASHleft] = ACTIONS(7023),
    [anon_sym_BSLASHbigl] = ACTIONS(7023),
    [anon_sym_BSLASHBigl] = ACTIONS(7023),
    [anon_sym_BSLASHbiggl] = ACTIONS(7023),
    [anon_sym_BSLASHBiggl] = ACTIONS(7023),
    [anon_sym_BSLASHtext] = ACTIONS(7023),
    [anon_sym_BSLASHintertext] = ACTIONS(7023),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7023),
    [anon_sym_BSLASHbegin] = ACTIONS(7023),
    [anon_sym_BSLASHtitle] = ACTIONS(7023),
    [anon_sym_BSLASHauthor] = ACTIONS(7023),
    [anon_sym_BSLASHusepackage] = ACTIONS(7023),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7023),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7023),
    [anon_sym_BSLASHinclude] = ACTIONS(7023),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7023),
    [anon_sym_BSLASHinput] = ACTIONS(7023),
    [anon_sym_BSLASHsubfile] = ACTIONS(7023),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7023),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7023),
    [anon_sym_BSLASHbibliography] = ACTIONS(7023),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7023),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7023),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7023),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7023),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7023),
    [anon_sym_BSLASHimport] = ACTIONS(7023),
    [anon_sym_BSLASHsubimport] = ACTIONS(7023),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7023),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7023),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7023),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7023),
    [anon_sym_BSLASHcaption] = ACTIONS(7023),
    [anon_sym_BSLASHcite] = ACTIONS(7023),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHCite] = ACTIONS(7023),
    [anon_sym_BSLASHnocite] = ACTIONS(7023),
    [anon_sym_BSLASHcitet] = ACTIONS(7023),
    [anon_sym_BSLASHcitep] = ACTIONS(7023),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHciteA] = ACTIONS(7023),
    [anon_sym_BSLASHciteR] = ACTIONS(7023),
    [anon_sym_BSLASHciteS] = ACTIONS(7023),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7023),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7023),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7023),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7023),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHciteyear] = ACTIONS(7023),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcitedate] = ACTIONS(7023),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHciteurl] = ACTIONS(7023),
    [anon_sym_BSLASHfullcite] = ACTIONS(7023),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7023),
    [anon_sym_BSLASHcitealt] = ACTIONS(7023),
    [anon_sym_BSLASHcitealp] = ACTIONS(7023),
    [anon_sym_BSLASHcitetext] = ACTIONS(7023),
    [anon_sym_BSLASHparencite] = ACTIONS(7023),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHParencite] = ACTIONS(7023),
    [anon_sym_BSLASHfootcite] = ACTIONS(7023),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7023),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7023),
    [anon_sym_BSLASHtextcite] = ACTIONS(7023),
    [anon_sym_BSLASHTextcite] = ACTIONS(7023),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7023),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7023),
    [anon_sym_BSLASHsupercite] = ACTIONS(7023),
    [anon_sym_BSLASHautocite] = ACTIONS(7023),
    [anon_sym_BSLASHAutocite] = ACTIONS(7023),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHVolcite] = ACTIONS(7023),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHavolcite] = ACTIONS(7023),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHnotecite] = ACTIONS(7023),
    [anon_sym_BSLASHNotecite] = ACTIONS(7023),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7023),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7023),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7023),
    [anon_sym_BSLASHlabel] = ACTIONS(7023),
    [anon_sym_BSLASHref] = ACTIONS(7023),
    [anon_sym_BSLASHeqref] = ACTIONS(7023),
    [anon_sym_BSLASHvref] = ACTIONS(7023),
    [anon_sym_BSLASHVref] = ACTIONS(7023),
    [anon_sym_BSLASHautoref] = ACTIONS(7023),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHpageref] = ACTIONS(7023),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHautopageref] = ACTIONS(7023),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcref] = ACTIONS(7023),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHCref] = ACTIONS(7023),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcpageref] = ACTIONS(7023),
    [anon_sym_BSLASHCpageref] = ACTIONS(7023),
    [anon_sym_BSLASHnamecref] = ACTIONS(7023),
    [anon_sym_BSLASHnameCref] = ACTIONS(7023),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7023),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7023),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7023),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7023),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7023),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7023),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7023),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7023),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7023),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7023),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7023),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7023),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7023),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7023),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7023),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7023),
    [anon_sym_BSLASHdef] = ACTIONS(7023),
    [anon_sym_BSLASHgdef] = ACTIONS(7023),
    [anon_sym_BSLASHedef] = ACTIONS(7023),
    [anon_sym_BSLASHxdef] = ACTIONS(7023),
    [anon_sym_BSLASHlet] = ACTIONS(7023),
    [anon_sym_BSLASHglet] = ACTIONS(7023),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7023),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7023),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7023),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7023),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7023),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7023),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7023),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7023),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7023),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7023),
    [anon_sym_BSLASHgls] = ACTIONS(7023),
    [anon_sym_BSLASHGls] = ACTIONS(7023),
    [anon_sym_BSLASHGLS] = ACTIONS(7023),
    [anon_sym_BSLASHglspl] = ACTIONS(7023),
    [anon_sym_BSLASHGlspl] = ACTIONS(7023),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7023),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7023),
    [anon_sym_BSLASHglslink] = ACTIONS(7023),
    [anon_sym_BSLASHglstext] = ACTIONS(7023),
    [anon_sym_BSLASHGlstext] = ACTIONS(7023),
    [anon_sym_BSLASHGLStext] = ACTIONS(7023),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7023),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7023),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7023),
    [anon_sym_BSLASHglsplural] = ACTIONS(7023),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7023),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7023),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7023),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7023),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7023),
    [anon_sym_BSLASHglsname] = ACTIONS(7023),
    [anon_sym_BSLASHGlsname] = ACTIONS(7023),
    [anon_sym_BSLASHGLSname] = ACTIONS(7023),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7023),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7023),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7023),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7023),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7023),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7023),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7023),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7023),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7023),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7023),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7023),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7023),
    [anon_sym_BSLASHacrshort] = ACTIONS(7023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7023),
    [anon_sym_BSLASHACRshort] = ACTIONS(7023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7023),
    [anon_sym_BSLASHacrlong] = ACTIONS(7023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7023),
    [anon_sym_BSLASHACRlong] = ACTIONS(7023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7023),
    [anon_sym_BSLASHacrfull] = ACTIONS(7023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7023),
    [anon_sym_BSLASHACRfull] = ACTIONS(7023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7023),
    [anon_sym_BSLASHacs] = ACTIONS(7023),
    [anon_sym_BSLASHAcs] = ACTIONS(7023),
    [anon_sym_BSLASHacsp] = ACTIONS(7023),
    [anon_sym_BSLASHAcsp] = ACTIONS(7023),
    [anon_sym_BSLASHacl] = ACTIONS(7023),
    [anon_sym_BSLASHAcl] = ACTIONS(7023),
    [anon_sym_BSLASHaclp] = ACTIONS(7023),
    [anon_sym_BSLASHAclp] = ACTIONS(7023),
    [anon_sym_BSLASHacf] = ACTIONS(7023),
    [anon_sym_BSLASHAcf] = ACTIONS(7023),
    [anon_sym_BSLASHacfp] = ACTIONS(7023),
    [anon_sym_BSLASHAcfp] = ACTIONS(7023),
    [anon_sym_BSLASHac] = ACTIONS(7023),
    [anon_sym_BSLASHAc] = ACTIONS(7023),
    [anon_sym_BSLASHacp] = ACTIONS(7023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7023),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7023),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7023),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7023),
    [anon_sym_BSLASHcolor] = ACTIONS(7023),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7023),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7023),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7023),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7023),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7023),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7023),
    [anon_sym_BSLASHurl] = ACTIONS(7023),
    [anon_sym_BSLASHhref] = ACTIONS(7023),
  },
  [1008] = {
    [ts_builtin_sym_end] = ACTIONS(7401),
    [sym_command_name] = ACTIONS(7399),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7399),
    [anon_sym_LBRACK] = ACTIONS(7401),
    [anon_sym_RBRACK] = ACTIONS(7401),
    [anon_sym_COMMA] = ACTIONS(7401),
    [anon_sym_EQ] = ACTIONS(7401),
    [anon_sym_LPAREN] = ACTIONS(7401),
    [anon_sym_RPAREN] = ACTIONS(7401),
    [anon_sym_BSLASHpart] = ACTIONS(7399),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHaddpart] = ACTIONS(7399),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHchapter] = ACTIONS(7399),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHaddchap] = ACTIONS(7399),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHsection] = ACTIONS(7399),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHaddsec] = ACTIONS(7399),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHsubsection] = ACTIONS(7399),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7399),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHparagraph] = ACTIONS(7399),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7399),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHitem] = ACTIONS(7399),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7401),
    [anon_sym_LBRACE] = ACTIONS(7401),
    [anon_sym_RBRACE] = ACTIONS(7401),
    [sym_word] = ACTIONS(7399),
    [sym_placeholder] = ACTIONS(7401),
    [sym_delimiter] = ACTIONS(7401),
    [anon_sym_PLUS] = ACTIONS(7401),
    [anon_sym_DASH] = ACTIONS(7401),
    [anon_sym_STAR] = ACTIONS(7401),
    [anon_sym_SLASH] = ACTIONS(7401),
    [anon_sym_LT] = ACTIONS(7399),
    [anon_sym_GT] = ACTIONS(7399),
    [anon_sym_BANG] = ACTIONS(7399),
    [anon_sym_PIPE] = ACTIONS(7399),
    [anon_sym_COLON] = ACTIONS(7399),
    [anon_sym_SQUOTE] = ACTIONS(7399),
    [anon_sym__] = ACTIONS(7401),
    [anon_sym_CARET] = ACTIONS(7401),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7401),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7401),
    [anon_sym_DOLLAR] = ACTIONS(7399),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7401),
    [anon_sym_BSLASHleft] = ACTIONS(7399),
    [anon_sym_BSLASHbigl] = ACTIONS(7399),
    [anon_sym_BSLASHBigl] = ACTIONS(7399),
    [anon_sym_BSLASHbiggl] = ACTIONS(7399),
    [anon_sym_BSLASHBiggl] = ACTIONS(7399),
    [anon_sym_BSLASHtext] = ACTIONS(7399),
    [anon_sym_BSLASHintertext] = ACTIONS(7399),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7399),
    [anon_sym_BSLASHbegin] = ACTIONS(7399),
    [anon_sym_BSLASHtitle] = ACTIONS(7399),
    [anon_sym_BSLASHauthor] = ACTIONS(7399),
    [anon_sym_BSLASHusepackage] = ACTIONS(7399),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7399),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7399),
    [anon_sym_BSLASHinclude] = ACTIONS(7399),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7399),
    [anon_sym_BSLASHinput] = ACTIONS(7399),
    [anon_sym_BSLASHsubfile] = ACTIONS(7399),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7399),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7399),
    [anon_sym_BSLASHbibliography] = ACTIONS(7399),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7399),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7399),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7399),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7399),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7399),
    [anon_sym_BSLASHimport] = ACTIONS(7399),
    [anon_sym_BSLASHsubimport] = ACTIONS(7399),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7399),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7399),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7399),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7399),
    [anon_sym_BSLASHcaption] = ACTIONS(7399),
    [anon_sym_BSLASHcite] = ACTIONS(7399),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCite] = ACTIONS(7399),
    [anon_sym_BSLASHnocite] = ACTIONS(7399),
    [anon_sym_BSLASHcitet] = ACTIONS(7399),
    [anon_sym_BSLASHcitep] = ACTIONS(7399),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteA] = ACTIONS(7399),
    [anon_sym_BSLASHciteR] = ACTIONS(7399),
    [anon_sym_BSLASHciteS] = ACTIONS(7399),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7399),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7399),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7399),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7399),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteyear] = ACTIONS(7399),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitedate] = ACTIONS(7399),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteurl] = ACTIONS(7399),
    [anon_sym_BSLASHfullcite] = ACTIONS(7399),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7399),
    [anon_sym_BSLASHcitealt] = ACTIONS(7399),
    [anon_sym_BSLASHcitealp] = ACTIONS(7399),
    [anon_sym_BSLASHcitetext] = ACTIONS(7399),
    [anon_sym_BSLASHparencite] = ACTIONS(7399),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHParencite] = ACTIONS(7399),
    [anon_sym_BSLASHfootcite] = ACTIONS(7399),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7399),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7399),
    [anon_sym_BSLASHtextcite] = ACTIONS(7399),
    [anon_sym_BSLASHTextcite] = ACTIONS(7399),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7399),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7399),
    [anon_sym_BSLASHsupercite] = ACTIONS(7399),
    [anon_sym_BSLASHautocite] = ACTIONS(7399),
    [anon_sym_BSLASHAutocite] = ACTIONS(7399),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHVolcite] = ACTIONS(7399),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHavolcite] = ACTIONS(7399),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHNotecite] = ACTIONS(7399),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHlabel] = ACTIONS(7399),
    [anon_sym_BSLASHref] = ACTIONS(7399),
    [anon_sym_BSLASHeqref] = ACTIONS(7399),
    [anon_sym_BSLASHvref] = ACTIONS(7399),
    [anon_sym_BSLASHVref] = ACTIONS(7399),
    [anon_sym_BSLASHautoref] = ACTIONS(7399),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHpageref] = ACTIONS(7399),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHautopageref] = ACTIONS(7399),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcref] = ACTIONS(7399),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCref] = ACTIONS(7399),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcpageref] = ACTIONS(7399),
    [anon_sym_BSLASHCpageref] = ACTIONS(7399),
    [anon_sym_BSLASHnamecref] = ACTIONS(7399),
    [anon_sym_BSLASHnameCref] = ACTIONS(7399),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7399),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7399),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7399),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7399),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7399),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7399),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7399),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7399),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7399),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7399),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7399),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHdef] = ACTIONS(7399),
    [anon_sym_BSLASHgdef] = ACTIONS(7399),
    [anon_sym_BSLASHedef] = ACTIONS(7399),
    [anon_sym_BSLASHxdef] = ACTIONS(7399),
    [anon_sym_BSLASHlet] = ACTIONS(7399),
    [anon_sym_BSLASHglet] = ACTIONS(7399),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7399),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7399),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7399),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7399),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7399),
    [anon_sym_BSLASHgls] = ACTIONS(7399),
    [anon_sym_BSLASHGls] = ACTIONS(7399),
    [anon_sym_BSLASHGLS] = ACTIONS(7399),
    [anon_sym_BSLASHglspl] = ACTIONS(7399),
    [anon_sym_BSLASHGlspl] = ACTIONS(7399),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7399),
    [anon_sym_BSLASHglslink] = ACTIONS(7399),
    [anon_sym_BSLASHglstext] = ACTIONS(7399),
    [anon_sym_BSLASHGlstext] = ACTIONS(7399),
    [anon_sym_BSLASHGLStext] = ACTIONS(7399),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7399),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7399),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7399),
    [anon_sym_BSLASHglsplural] = ACTIONS(7399),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7399),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7399),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHglsname] = ACTIONS(7399),
    [anon_sym_BSLASHGlsname] = ACTIONS(7399),
    [anon_sym_BSLASHGLSname] = ACTIONS(7399),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7399),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7399),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7399),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7399),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7399),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7399),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7399),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7399),
    [anon_sym_BSLASHacrshort] = ACTIONS(7399),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7399),
    [anon_sym_BSLASHACRshort] = ACTIONS(7399),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHacrlong] = ACTIONS(7399),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7399),
    [anon_sym_BSLASHACRlong] = ACTIONS(7399),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHacrfull] = ACTIONS(7399),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7399),
    [anon_sym_BSLASHACRfull] = ACTIONS(7399),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHacs] = ACTIONS(7399),
    [anon_sym_BSLASHAcs] = ACTIONS(7399),
    [anon_sym_BSLASHacsp] = ACTIONS(7399),
    [anon_sym_BSLASHAcsp] = ACTIONS(7399),
    [anon_sym_BSLASHacl] = ACTIONS(7399),
    [anon_sym_BSLASHAcl] = ACTIONS(7399),
    [anon_sym_BSLASHaclp] = ACTIONS(7399),
    [anon_sym_BSLASHAclp] = ACTIONS(7399),
    [anon_sym_BSLASHacf] = ACTIONS(7399),
    [anon_sym_BSLASHAcf] = ACTIONS(7399),
    [anon_sym_BSLASHacfp] = ACTIONS(7399),
    [anon_sym_BSLASHAcfp] = ACTIONS(7399),
    [anon_sym_BSLASHac] = ACTIONS(7399),
    [anon_sym_BSLASHAc] = ACTIONS(7399),
    [anon_sym_BSLASHacp] = ACTIONS(7399),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7399),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7399),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7399),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7399),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7399),
    [anon_sym_BSLASHcolor] = ACTIONS(7399),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7399),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7399),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7399),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7399),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7399),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7399),
    [anon_sym_BSLASHurl] = ACTIONS(7399),
    [anon_sym_BSLASHhref] = ACTIONS(7399),
  },
  [1009] = {
    [ts_builtin_sym_end] = ACTIONS(7029),
    [sym_command_name] = ACTIONS(7027),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7027),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [anon_sym_RBRACK] = ACTIONS(7029),
    [anon_sym_COMMA] = ACTIONS(7029),
    [anon_sym_EQ] = ACTIONS(7029),
    [anon_sym_LPAREN] = ACTIONS(7029),
    [anon_sym_RPAREN] = ACTIONS(7029),
    [anon_sym_BSLASHpart] = ACTIONS(7027),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHaddpart] = ACTIONS(7027),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHchapter] = ACTIONS(7027),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHaddchap] = ACTIONS(7027),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHsection] = ACTIONS(7027),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHaddsec] = ACTIONS(7027),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHsubsection] = ACTIONS(7027),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7027),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHparagraph] = ACTIONS(7027),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7027),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHitem] = ACTIONS(7027),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7029),
    [anon_sym_LBRACE] = ACTIONS(7029),
    [anon_sym_RBRACE] = ACTIONS(7029),
    [sym_word] = ACTIONS(7027),
    [sym_placeholder] = ACTIONS(7029),
    [sym_delimiter] = ACTIONS(7029),
    [anon_sym_PLUS] = ACTIONS(7029),
    [anon_sym_DASH] = ACTIONS(7029),
    [anon_sym_STAR] = ACTIONS(7029),
    [anon_sym_SLASH] = ACTIONS(7029),
    [anon_sym_LT] = ACTIONS(7027),
    [anon_sym_GT] = ACTIONS(7027),
    [anon_sym_BANG] = ACTIONS(7027),
    [anon_sym_PIPE] = ACTIONS(7027),
    [anon_sym_COLON] = ACTIONS(7027),
    [anon_sym_SQUOTE] = ACTIONS(7027),
    [anon_sym__] = ACTIONS(7029),
    [anon_sym_CARET] = ACTIONS(7029),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7029),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7029),
    [anon_sym_DOLLAR] = ACTIONS(7027),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7029),
    [anon_sym_BSLASHleft] = ACTIONS(7027),
    [anon_sym_BSLASHbigl] = ACTIONS(7027),
    [anon_sym_BSLASHBigl] = ACTIONS(7027),
    [anon_sym_BSLASHbiggl] = ACTIONS(7027),
    [anon_sym_BSLASHBiggl] = ACTIONS(7027),
    [anon_sym_BSLASHtext] = ACTIONS(7027),
    [anon_sym_BSLASHintertext] = ACTIONS(7027),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7027),
    [anon_sym_BSLASHbegin] = ACTIONS(7027),
    [anon_sym_BSLASHtitle] = ACTIONS(7027),
    [anon_sym_BSLASHauthor] = ACTIONS(7027),
    [anon_sym_BSLASHusepackage] = ACTIONS(7027),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7027),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7027),
    [anon_sym_BSLASHinclude] = ACTIONS(7027),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7027),
    [anon_sym_BSLASHinput] = ACTIONS(7027),
    [anon_sym_BSLASHsubfile] = ACTIONS(7027),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7027),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7027),
    [anon_sym_BSLASHbibliography] = ACTIONS(7027),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7027),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7027),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7027),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7027),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7027),
    [anon_sym_BSLASHimport] = ACTIONS(7027),
    [anon_sym_BSLASHsubimport] = ACTIONS(7027),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7027),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7027),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7027),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7027),
    [anon_sym_BSLASHcaption] = ACTIONS(7027),
    [anon_sym_BSLASHcite] = ACTIONS(7027),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHCite] = ACTIONS(7027),
    [anon_sym_BSLASHnocite] = ACTIONS(7027),
    [anon_sym_BSLASHcitet] = ACTIONS(7027),
    [anon_sym_BSLASHcitep] = ACTIONS(7027),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHciteA] = ACTIONS(7027),
    [anon_sym_BSLASHciteR] = ACTIONS(7027),
    [anon_sym_BSLASHciteS] = ACTIONS(7027),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7027),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7027),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7027),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7027),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHciteyear] = ACTIONS(7027),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcitedate] = ACTIONS(7027),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHciteurl] = ACTIONS(7027),
    [anon_sym_BSLASHfullcite] = ACTIONS(7027),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7027),
    [anon_sym_BSLASHcitealt] = ACTIONS(7027),
    [anon_sym_BSLASHcitealp] = ACTIONS(7027),
    [anon_sym_BSLASHcitetext] = ACTIONS(7027),
    [anon_sym_BSLASHparencite] = ACTIONS(7027),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHParencite] = ACTIONS(7027),
    [anon_sym_BSLASHfootcite] = ACTIONS(7027),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7027),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7027),
    [anon_sym_BSLASHtextcite] = ACTIONS(7027),
    [anon_sym_BSLASHTextcite] = ACTIONS(7027),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7027),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7027),
    [anon_sym_BSLASHsupercite] = ACTIONS(7027),
    [anon_sym_BSLASHautocite] = ACTIONS(7027),
    [anon_sym_BSLASHAutocite] = ACTIONS(7027),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHVolcite] = ACTIONS(7027),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHavolcite] = ACTIONS(7027),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHnotecite] = ACTIONS(7027),
    [anon_sym_BSLASHNotecite] = ACTIONS(7027),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7027),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7027),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7027),
    [anon_sym_BSLASHlabel] = ACTIONS(7027),
    [anon_sym_BSLASHref] = ACTIONS(7027),
    [anon_sym_BSLASHeqref] = ACTIONS(7027),
    [anon_sym_BSLASHvref] = ACTIONS(7027),
    [anon_sym_BSLASHVref] = ACTIONS(7027),
    [anon_sym_BSLASHautoref] = ACTIONS(7027),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHpageref] = ACTIONS(7027),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHautopageref] = ACTIONS(7027),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcref] = ACTIONS(7027),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHCref] = ACTIONS(7027),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcpageref] = ACTIONS(7027),
    [anon_sym_BSLASHCpageref] = ACTIONS(7027),
    [anon_sym_BSLASHnamecref] = ACTIONS(7027),
    [anon_sym_BSLASHnameCref] = ACTIONS(7027),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7027),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7027),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7027),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7027),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7027),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7027),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7027),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7027),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7027),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7027),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7027),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7027),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7027),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7027),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7027),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7027),
    [anon_sym_BSLASHdef] = ACTIONS(7027),
    [anon_sym_BSLASHgdef] = ACTIONS(7027),
    [anon_sym_BSLASHedef] = ACTIONS(7027),
    [anon_sym_BSLASHxdef] = ACTIONS(7027),
    [anon_sym_BSLASHlet] = ACTIONS(7027),
    [anon_sym_BSLASHglet] = ACTIONS(7027),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7027),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7027),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7027),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7027),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7027),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7027),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7027),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7027),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7027),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7027),
    [anon_sym_BSLASHgls] = ACTIONS(7027),
    [anon_sym_BSLASHGls] = ACTIONS(7027),
    [anon_sym_BSLASHGLS] = ACTIONS(7027),
    [anon_sym_BSLASHglspl] = ACTIONS(7027),
    [anon_sym_BSLASHGlspl] = ACTIONS(7027),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7027),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7027),
    [anon_sym_BSLASHglslink] = ACTIONS(7027),
    [anon_sym_BSLASHglstext] = ACTIONS(7027),
    [anon_sym_BSLASHGlstext] = ACTIONS(7027),
    [anon_sym_BSLASHGLStext] = ACTIONS(7027),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7027),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7027),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7027),
    [anon_sym_BSLASHglsplural] = ACTIONS(7027),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7027),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7027),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7027),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7027),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7027),
    [anon_sym_BSLASHglsname] = ACTIONS(7027),
    [anon_sym_BSLASHGlsname] = ACTIONS(7027),
    [anon_sym_BSLASHGLSname] = ACTIONS(7027),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7027),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7027),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7027),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7027),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7027),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7027),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7027),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7027),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7027),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7027),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7027),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7027),
    [anon_sym_BSLASHacrshort] = ACTIONS(7027),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7027),
    [anon_sym_BSLASHACRshort] = ACTIONS(7027),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7027),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7027),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7027),
    [anon_sym_BSLASHacrlong] = ACTIONS(7027),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7027),
    [anon_sym_BSLASHACRlong] = ACTIONS(7027),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7027),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7027),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7027),
    [anon_sym_BSLASHacrfull] = ACTIONS(7027),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7027),
    [anon_sym_BSLASHACRfull] = ACTIONS(7027),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7027),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7027),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7027),
    [anon_sym_BSLASHacs] = ACTIONS(7027),
    [anon_sym_BSLASHAcs] = ACTIONS(7027),
    [anon_sym_BSLASHacsp] = ACTIONS(7027),
    [anon_sym_BSLASHAcsp] = ACTIONS(7027),
    [anon_sym_BSLASHacl] = ACTIONS(7027),
    [anon_sym_BSLASHAcl] = ACTIONS(7027),
    [anon_sym_BSLASHaclp] = ACTIONS(7027),
    [anon_sym_BSLASHAclp] = ACTIONS(7027),
    [anon_sym_BSLASHacf] = ACTIONS(7027),
    [anon_sym_BSLASHAcf] = ACTIONS(7027),
    [anon_sym_BSLASHacfp] = ACTIONS(7027),
    [anon_sym_BSLASHAcfp] = ACTIONS(7027),
    [anon_sym_BSLASHac] = ACTIONS(7027),
    [anon_sym_BSLASHAc] = ACTIONS(7027),
    [anon_sym_BSLASHacp] = ACTIONS(7027),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7027),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7027),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7027),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7027),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7027),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7027),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7027),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7027),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7027),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7027),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7027),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7027),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7027),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7027),
    [anon_sym_BSLASHcolor] = ACTIONS(7027),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7027),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7027),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7027),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7027),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7027),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7027),
    [anon_sym_BSLASHurl] = ACTIONS(7027),
    [anon_sym_BSLASHhref] = ACTIONS(7027),
  },
  [1010] = {
    [ts_builtin_sym_end] = ACTIONS(7405),
    [sym_command_name] = ACTIONS(7403),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7403),
    [anon_sym_LBRACK] = ACTIONS(7405),
    [anon_sym_RBRACK] = ACTIONS(7405),
    [anon_sym_COMMA] = ACTIONS(7405),
    [anon_sym_EQ] = ACTIONS(7405),
    [anon_sym_LPAREN] = ACTIONS(7405),
    [anon_sym_RPAREN] = ACTIONS(7405),
    [anon_sym_BSLASHpart] = ACTIONS(7403),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHaddpart] = ACTIONS(7403),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHchapter] = ACTIONS(7403),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHaddchap] = ACTIONS(7403),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHsection] = ACTIONS(7403),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHaddsec] = ACTIONS(7403),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHsubsection] = ACTIONS(7403),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7403),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHparagraph] = ACTIONS(7403),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7403),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHitem] = ACTIONS(7403),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7405),
    [anon_sym_LBRACE] = ACTIONS(7405),
    [anon_sym_RBRACE] = ACTIONS(7405),
    [sym_word] = ACTIONS(7403),
    [sym_placeholder] = ACTIONS(7405),
    [sym_delimiter] = ACTIONS(7405),
    [anon_sym_PLUS] = ACTIONS(7405),
    [anon_sym_DASH] = ACTIONS(7405),
    [anon_sym_STAR] = ACTIONS(7405),
    [anon_sym_SLASH] = ACTIONS(7405),
    [anon_sym_LT] = ACTIONS(7403),
    [anon_sym_GT] = ACTIONS(7403),
    [anon_sym_BANG] = ACTIONS(7403),
    [anon_sym_PIPE] = ACTIONS(7403),
    [anon_sym_COLON] = ACTIONS(7403),
    [anon_sym_SQUOTE] = ACTIONS(7403),
    [anon_sym__] = ACTIONS(7405),
    [anon_sym_CARET] = ACTIONS(7405),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7405),
    [anon_sym_DOLLAR] = ACTIONS(7403),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7405),
    [anon_sym_BSLASHleft] = ACTIONS(7403),
    [anon_sym_BSLASHbigl] = ACTIONS(7403),
    [anon_sym_BSLASHBigl] = ACTIONS(7403),
    [anon_sym_BSLASHbiggl] = ACTIONS(7403),
    [anon_sym_BSLASHBiggl] = ACTIONS(7403),
    [anon_sym_BSLASHtext] = ACTIONS(7403),
    [anon_sym_BSLASHintertext] = ACTIONS(7403),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7403),
    [anon_sym_BSLASHbegin] = ACTIONS(7403),
    [anon_sym_BSLASHtitle] = ACTIONS(7403),
    [anon_sym_BSLASHauthor] = ACTIONS(7403),
    [anon_sym_BSLASHusepackage] = ACTIONS(7403),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7403),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7403),
    [anon_sym_BSLASHinclude] = ACTIONS(7403),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7403),
    [anon_sym_BSLASHinput] = ACTIONS(7403),
    [anon_sym_BSLASHsubfile] = ACTIONS(7403),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7403),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7403),
    [anon_sym_BSLASHbibliography] = ACTIONS(7403),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7403),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7403),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7403),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7403),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7403),
    [anon_sym_BSLASHimport] = ACTIONS(7403),
    [anon_sym_BSLASHsubimport] = ACTIONS(7403),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7403),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7403),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7403),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7403),
    [anon_sym_BSLASHcaption] = ACTIONS(7403),
    [anon_sym_BSLASHcite] = ACTIONS(7403),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCite] = ACTIONS(7403),
    [anon_sym_BSLASHnocite] = ACTIONS(7403),
    [anon_sym_BSLASHcitet] = ACTIONS(7403),
    [anon_sym_BSLASHcitep] = ACTIONS(7403),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteA] = ACTIONS(7403),
    [anon_sym_BSLASHciteR] = ACTIONS(7403),
    [anon_sym_BSLASHciteS] = ACTIONS(7403),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7403),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7403),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7403),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7403),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteyear] = ACTIONS(7403),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitedate] = ACTIONS(7403),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteurl] = ACTIONS(7403),
    [anon_sym_BSLASHfullcite] = ACTIONS(7403),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7403),
    [anon_sym_BSLASHcitealt] = ACTIONS(7403),
    [anon_sym_BSLASHcitealp] = ACTIONS(7403),
    [anon_sym_BSLASHcitetext] = ACTIONS(7403),
    [anon_sym_BSLASHparencite] = ACTIONS(7403),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHParencite] = ACTIONS(7403),
    [anon_sym_BSLASHfootcite] = ACTIONS(7403),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7403),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7403),
    [anon_sym_BSLASHtextcite] = ACTIONS(7403),
    [anon_sym_BSLASHTextcite] = ACTIONS(7403),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7403),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7403),
    [anon_sym_BSLASHsupercite] = ACTIONS(7403),
    [anon_sym_BSLASHautocite] = ACTIONS(7403),
    [anon_sym_BSLASHAutocite] = ACTIONS(7403),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHVolcite] = ACTIONS(7403),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHavolcite] = ACTIONS(7403),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHNotecite] = ACTIONS(7403),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHlabel] = ACTIONS(7403),
    [anon_sym_BSLASHref] = ACTIONS(7403),
    [anon_sym_BSLASHeqref] = ACTIONS(7403),
    [anon_sym_BSLASHvref] = ACTIONS(7403),
    [anon_sym_BSLASHVref] = ACTIONS(7403),
    [anon_sym_BSLASHautoref] = ACTIONS(7403),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHpageref] = ACTIONS(7403),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHautopageref] = ACTIONS(7403),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcref] = ACTIONS(7403),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCref] = ACTIONS(7403),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcpageref] = ACTIONS(7403),
    [anon_sym_BSLASHCpageref] = ACTIONS(7403),
    [anon_sym_BSLASHnamecref] = ACTIONS(7403),
    [anon_sym_BSLASHnameCref] = ACTIONS(7403),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7403),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7403),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7403),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7403),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7403),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7403),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7403),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7403),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7403),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7403),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7403),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHdef] = ACTIONS(7403),
    [anon_sym_BSLASHgdef] = ACTIONS(7403),
    [anon_sym_BSLASHedef] = ACTIONS(7403),
    [anon_sym_BSLASHxdef] = ACTIONS(7403),
    [anon_sym_BSLASHlet] = ACTIONS(7403),
    [anon_sym_BSLASHglet] = ACTIONS(7403),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7403),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7403),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7403),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7403),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7403),
    [anon_sym_BSLASHgls] = ACTIONS(7403),
    [anon_sym_BSLASHGls] = ACTIONS(7403),
    [anon_sym_BSLASHGLS] = ACTIONS(7403),
    [anon_sym_BSLASHglspl] = ACTIONS(7403),
    [anon_sym_BSLASHGlspl] = ACTIONS(7403),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7403),
    [anon_sym_BSLASHglslink] = ACTIONS(7403),
    [anon_sym_BSLASHglstext] = ACTIONS(7403),
    [anon_sym_BSLASHGlstext] = ACTIONS(7403),
    [anon_sym_BSLASHGLStext] = ACTIONS(7403),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7403),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7403),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7403),
    [anon_sym_BSLASHglsplural] = ACTIONS(7403),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7403),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7403),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHglsname] = ACTIONS(7403),
    [anon_sym_BSLASHGlsname] = ACTIONS(7403),
    [anon_sym_BSLASHGLSname] = ACTIONS(7403),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7403),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7403),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7403),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7403),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7403),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7403),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7403),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7403),
    [anon_sym_BSLASHacrshort] = ACTIONS(7403),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7403),
    [anon_sym_BSLASHACRshort] = ACTIONS(7403),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHacrlong] = ACTIONS(7403),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7403),
    [anon_sym_BSLASHACRlong] = ACTIONS(7403),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHacrfull] = ACTIONS(7403),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7403),
    [anon_sym_BSLASHACRfull] = ACTIONS(7403),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHacs] = ACTIONS(7403),
    [anon_sym_BSLASHAcs] = ACTIONS(7403),
    [anon_sym_BSLASHacsp] = ACTIONS(7403),
    [anon_sym_BSLASHAcsp] = ACTIONS(7403),
    [anon_sym_BSLASHacl] = ACTIONS(7403),
    [anon_sym_BSLASHAcl] = ACTIONS(7403),
    [anon_sym_BSLASHaclp] = ACTIONS(7403),
    [anon_sym_BSLASHAclp] = ACTIONS(7403),
    [anon_sym_BSLASHacf] = ACTIONS(7403),
    [anon_sym_BSLASHAcf] = ACTIONS(7403),
    [anon_sym_BSLASHacfp] = ACTIONS(7403),
    [anon_sym_BSLASHAcfp] = ACTIONS(7403),
    [anon_sym_BSLASHac] = ACTIONS(7403),
    [anon_sym_BSLASHAc] = ACTIONS(7403),
    [anon_sym_BSLASHacp] = ACTIONS(7403),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7403),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7403),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7403),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7403),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7403),
    [anon_sym_BSLASHcolor] = ACTIONS(7403),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7403),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7403),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7403),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7403),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7403),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7403),
    [anon_sym_BSLASHurl] = ACTIONS(7403),
    [anon_sym_BSLASHhref] = ACTIONS(7403),
  },
  [1011] = {
    [ts_builtin_sym_end] = ACTIONS(7409),
    [sym_command_name] = ACTIONS(7407),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7407),
    [anon_sym_LBRACK] = ACTIONS(7409),
    [anon_sym_RBRACK] = ACTIONS(7409),
    [anon_sym_COMMA] = ACTIONS(7409),
    [anon_sym_EQ] = ACTIONS(7409),
    [anon_sym_LPAREN] = ACTIONS(7409),
    [anon_sym_RPAREN] = ACTIONS(7409),
    [anon_sym_BSLASHpart] = ACTIONS(7407),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHaddpart] = ACTIONS(7407),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHchapter] = ACTIONS(7407),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHaddchap] = ACTIONS(7407),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHsection] = ACTIONS(7407),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHaddsec] = ACTIONS(7407),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHsubsection] = ACTIONS(7407),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7407),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHparagraph] = ACTIONS(7407),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7407),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHitem] = ACTIONS(7407),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7409),
    [anon_sym_LBRACE] = ACTIONS(7409),
    [anon_sym_RBRACE] = ACTIONS(7409),
    [sym_word] = ACTIONS(7407),
    [sym_placeholder] = ACTIONS(7409),
    [sym_delimiter] = ACTIONS(7409),
    [anon_sym_PLUS] = ACTIONS(7409),
    [anon_sym_DASH] = ACTIONS(7409),
    [anon_sym_STAR] = ACTIONS(7409),
    [anon_sym_SLASH] = ACTIONS(7409),
    [anon_sym_LT] = ACTIONS(7407),
    [anon_sym_GT] = ACTIONS(7407),
    [anon_sym_BANG] = ACTIONS(7407),
    [anon_sym_PIPE] = ACTIONS(7407),
    [anon_sym_COLON] = ACTIONS(7407),
    [anon_sym_SQUOTE] = ACTIONS(7407),
    [anon_sym__] = ACTIONS(7409),
    [anon_sym_CARET] = ACTIONS(7409),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7409),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7409),
    [anon_sym_DOLLAR] = ACTIONS(7407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7409),
    [anon_sym_BSLASHleft] = ACTIONS(7407),
    [anon_sym_BSLASHbigl] = ACTIONS(7407),
    [anon_sym_BSLASHBigl] = ACTIONS(7407),
    [anon_sym_BSLASHbiggl] = ACTIONS(7407),
    [anon_sym_BSLASHBiggl] = ACTIONS(7407),
    [anon_sym_BSLASHtext] = ACTIONS(7407),
    [anon_sym_BSLASHintertext] = ACTIONS(7407),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7407),
    [anon_sym_BSLASHbegin] = ACTIONS(7407),
    [anon_sym_BSLASHtitle] = ACTIONS(7407),
    [anon_sym_BSLASHauthor] = ACTIONS(7407),
    [anon_sym_BSLASHusepackage] = ACTIONS(7407),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7407),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7407),
    [anon_sym_BSLASHinclude] = ACTIONS(7407),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7407),
    [anon_sym_BSLASHinput] = ACTIONS(7407),
    [anon_sym_BSLASHsubfile] = ACTIONS(7407),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7407),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7407),
    [anon_sym_BSLASHbibliography] = ACTIONS(7407),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7407),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7407),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7407),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7407),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7407),
    [anon_sym_BSLASHimport] = ACTIONS(7407),
    [anon_sym_BSLASHsubimport] = ACTIONS(7407),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7407),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7407),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7407),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7407),
    [anon_sym_BSLASHcaption] = ACTIONS(7407),
    [anon_sym_BSLASHcite] = ACTIONS(7407),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCite] = ACTIONS(7407),
    [anon_sym_BSLASHnocite] = ACTIONS(7407),
    [anon_sym_BSLASHcitet] = ACTIONS(7407),
    [anon_sym_BSLASHcitep] = ACTIONS(7407),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteA] = ACTIONS(7407),
    [anon_sym_BSLASHciteR] = ACTIONS(7407),
    [anon_sym_BSLASHciteS] = ACTIONS(7407),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7407),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7407),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7407),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7407),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteyear] = ACTIONS(7407),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitedate] = ACTIONS(7407),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteurl] = ACTIONS(7407),
    [anon_sym_BSLASHfullcite] = ACTIONS(7407),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7407),
    [anon_sym_BSLASHcitealt] = ACTIONS(7407),
    [anon_sym_BSLASHcitealp] = ACTIONS(7407),
    [anon_sym_BSLASHcitetext] = ACTIONS(7407),
    [anon_sym_BSLASHparencite] = ACTIONS(7407),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHParencite] = ACTIONS(7407),
    [anon_sym_BSLASHfootcite] = ACTIONS(7407),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7407),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7407),
    [anon_sym_BSLASHtextcite] = ACTIONS(7407),
    [anon_sym_BSLASHTextcite] = ACTIONS(7407),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7407),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7407),
    [anon_sym_BSLASHsupercite] = ACTIONS(7407),
    [anon_sym_BSLASHautocite] = ACTIONS(7407),
    [anon_sym_BSLASHAutocite] = ACTIONS(7407),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHVolcite] = ACTIONS(7407),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHavolcite] = ACTIONS(7407),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHNotecite] = ACTIONS(7407),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHlabel] = ACTIONS(7407),
    [anon_sym_BSLASHref] = ACTIONS(7407),
    [anon_sym_BSLASHeqref] = ACTIONS(7407),
    [anon_sym_BSLASHvref] = ACTIONS(7407),
    [anon_sym_BSLASHVref] = ACTIONS(7407),
    [anon_sym_BSLASHautoref] = ACTIONS(7407),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHpageref] = ACTIONS(7407),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHautopageref] = ACTIONS(7407),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcref] = ACTIONS(7407),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCref] = ACTIONS(7407),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcpageref] = ACTIONS(7407),
    [anon_sym_BSLASHCpageref] = ACTIONS(7407),
    [anon_sym_BSLASHnamecref] = ACTIONS(7407),
    [anon_sym_BSLASHnameCref] = ACTIONS(7407),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7407),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7407),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7407),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7407),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7407),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7407),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7407),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7407),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7407),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7407),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7407),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHdef] = ACTIONS(7407),
    [anon_sym_BSLASHgdef] = ACTIONS(7407),
    [anon_sym_BSLASHedef] = ACTIONS(7407),
    [anon_sym_BSLASHxdef] = ACTIONS(7407),
    [anon_sym_BSLASHlet] = ACTIONS(7407),
    [anon_sym_BSLASHglet] = ACTIONS(7407),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7407),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7407),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7407),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7407),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7407),
    [anon_sym_BSLASHgls] = ACTIONS(7407),
    [anon_sym_BSLASHGls] = ACTIONS(7407),
    [anon_sym_BSLASHGLS] = ACTIONS(7407),
    [anon_sym_BSLASHglspl] = ACTIONS(7407),
    [anon_sym_BSLASHGlspl] = ACTIONS(7407),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7407),
    [anon_sym_BSLASHglslink] = ACTIONS(7407),
    [anon_sym_BSLASHglstext] = ACTIONS(7407),
    [anon_sym_BSLASHGlstext] = ACTIONS(7407),
    [anon_sym_BSLASHGLStext] = ACTIONS(7407),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7407),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7407),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7407),
    [anon_sym_BSLASHglsplural] = ACTIONS(7407),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7407),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7407),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHglsname] = ACTIONS(7407),
    [anon_sym_BSLASHGlsname] = ACTIONS(7407),
    [anon_sym_BSLASHGLSname] = ACTIONS(7407),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7407),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7407),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7407),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7407),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7407),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7407),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7407),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7407),
    [anon_sym_BSLASHacrshort] = ACTIONS(7407),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7407),
    [anon_sym_BSLASHACRshort] = ACTIONS(7407),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHacrlong] = ACTIONS(7407),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7407),
    [anon_sym_BSLASHACRlong] = ACTIONS(7407),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHacrfull] = ACTIONS(7407),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7407),
    [anon_sym_BSLASHACRfull] = ACTIONS(7407),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHacs] = ACTIONS(7407),
    [anon_sym_BSLASHAcs] = ACTIONS(7407),
    [anon_sym_BSLASHacsp] = ACTIONS(7407),
    [anon_sym_BSLASHAcsp] = ACTIONS(7407),
    [anon_sym_BSLASHacl] = ACTIONS(7407),
    [anon_sym_BSLASHAcl] = ACTIONS(7407),
    [anon_sym_BSLASHaclp] = ACTIONS(7407),
    [anon_sym_BSLASHAclp] = ACTIONS(7407),
    [anon_sym_BSLASHacf] = ACTIONS(7407),
    [anon_sym_BSLASHAcf] = ACTIONS(7407),
    [anon_sym_BSLASHacfp] = ACTIONS(7407),
    [anon_sym_BSLASHAcfp] = ACTIONS(7407),
    [anon_sym_BSLASHac] = ACTIONS(7407),
    [anon_sym_BSLASHAc] = ACTIONS(7407),
    [anon_sym_BSLASHacp] = ACTIONS(7407),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7407),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7407),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7407),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7407),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7407),
    [anon_sym_BSLASHcolor] = ACTIONS(7407),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7407),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7407),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7407),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7407),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7407),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7407),
    [anon_sym_BSLASHurl] = ACTIONS(7407),
    [anon_sym_BSLASHhref] = ACTIONS(7407),
  },
  [1012] = {
    [ts_builtin_sym_end] = ACTIONS(7413),
    [sym_command_name] = ACTIONS(7411),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7411),
    [anon_sym_LBRACK] = ACTIONS(7413),
    [anon_sym_RBRACK] = ACTIONS(7413),
    [anon_sym_COMMA] = ACTIONS(7413),
    [anon_sym_EQ] = ACTIONS(7413),
    [anon_sym_LPAREN] = ACTIONS(7413),
    [anon_sym_RPAREN] = ACTIONS(7413),
    [anon_sym_BSLASHpart] = ACTIONS(7411),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHaddpart] = ACTIONS(7411),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHchapter] = ACTIONS(7411),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHaddchap] = ACTIONS(7411),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHsection] = ACTIONS(7411),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHaddsec] = ACTIONS(7411),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHsubsection] = ACTIONS(7411),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7411),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHparagraph] = ACTIONS(7411),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7411),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHitem] = ACTIONS(7411),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7413),
    [anon_sym_LBRACE] = ACTIONS(7413),
    [anon_sym_RBRACE] = ACTIONS(7413),
    [sym_word] = ACTIONS(7411),
    [sym_placeholder] = ACTIONS(7413),
    [sym_delimiter] = ACTIONS(7413),
    [anon_sym_PLUS] = ACTIONS(7413),
    [anon_sym_DASH] = ACTIONS(7413),
    [anon_sym_STAR] = ACTIONS(7413),
    [anon_sym_SLASH] = ACTIONS(7413),
    [anon_sym_LT] = ACTIONS(7411),
    [anon_sym_GT] = ACTIONS(7411),
    [anon_sym_BANG] = ACTIONS(7411),
    [anon_sym_PIPE] = ACTIONS(7411),
    [anon_sym_COLON] = ACTIONS(7411),
    [anon_sym_SQUOTE] = ACTIONS(7411),
    [anon_sym__] = ACTIONS(7413),
    [anon_sym_CARET] = ACTIONS(7413),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7413),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7413),
    [anon_sym_DOLLAR] = ACTIONS(7411),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7413),
    [anon_sym_BSLASHleft] = ACTIONS(7411),
    [anon_sym_BSLASHbigl] = ACTIONS(7411),
    [anon_sym_BSLASHBigl] = ACTIONS(7411),
    [anon_sym_BSLASHbiggl] = ACTIONS(7411),
    [anon_sym_BSLASHBiggl] = ACTIONS(7411),
    [anon_sym_BSLASHtext] = ACTIONS(7411),
    [anon_sym_BSLASHintertext] = ACTIONS(7411),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7411),
    [anon_sym_BSLASHbegin] = ACTIONS(7411),
    [anon_sym_BSLASHtitle] = ACTIONS(7411),
    [anon_sym_BSLASHauthor] = ACTIONS(7411),
    [anon_sym_BSLASHusepackage] = ACTIONS(7411),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7411),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7411),
    [anon_sym_BSLASHinclude] = ACTIONS(7411),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7411),
    [anon_sym_BSLASHinput] = ACTIONS(7411),
    [anon_sym_BSLASHsubfile] = ACTIONS(7411),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7411),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7411),
    [anon_sym_BSLASHbibliography] = ACTIONS(7411),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7411),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7411),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7411),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7411),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7411),
    [anon_sym_BSLASHimport] = ACTIONS(7411),
    [anon_sym_BSLASHsubimport] = ACTIONS(7411),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7411),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7411),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7411),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7411),
    [anon_sym_BSLASHcaption] = ACTIONS(7411),
    [anon_sym_BSLASHcite] = ACTIONS(7411),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCite] = ACTIONS(7411),
    [anon_sym_BSLASHnocite] = ACTIONS(7411),
    [anon_sym_BSLASHcitet] = ACTIONS(7411),
    [anon_sym_BSLASHcitep] = ACTIONS(7411),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteA] = ACTIONS(7411),
    [anon_sym_BSLASHciteR] = ACTIONS(7411),
    [anon_sym_BSLASHciteS] = ACTIONS(7411),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7411),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7411),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7411),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7411),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteyear] = ACTIONS(7411),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitedate] = ACTIONS(7411),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteurl] = ACTIONS(7411),
    [anon_sym_BSLASHfullcite] = ACTIONS(7411),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7411),
    [anon_sym_BSLASHcitealt] = ACTIONS(7411),
    [anon_sym_BSLASHcitealp] = ACTIONS(7411),
    [anon_sym_BSLASHcitetext] = ACTIONS(7411),
    [anon_sym_BSLASHparencite] = ACTIONS(7411),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHParencite] = ACTIONS(7411),
    [anon_sym_BSLASHfootcite] = ACTIONS(7411),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7411),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7411),
    [anon_sym_BSLASHtextcite] = ACTIONS(7411),
    [anon_sym_BSLASHTextcite] = ACTIONS(7411),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7411),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7411),
    [anon_sym_BSLASHsupercite] = ACTIONS(7411),
    [anon_sym_BSLASHautocite] = ACTIONS(7411),
    [anon_sym_BSLASHAutocite] = ACTIONS(7411),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHVolcite] = ACTIONS(7411),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHavolcite] = ACTIONS(7411),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHNotecite] = ACTIONS(7411),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHlabel] = ACTIONS(7411),
    [anon_sym_BSLASHref] = ACTIONS(7411),
    [anon_sym_BSLASHeqref] = ACTIONS(7411),
    [anon_sym_BSLASHvref] = ACTIONS(7411),
    [anon_sym_BSLASHVref] = ACTIONS(7411),
    [anon_sym_BSLASHautoref] = ACTIONS(7411),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHpageref] = ACTIONS(7411),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHautopageref] = ACTIONS(7411),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcref] = ACTIONS(7411),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCref] = ACTIONS(7411),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcpageref] = ACTIONS(7411),
    [anon_sym_BSLASHCpageref] = ACTIONS(7411),
    [anon_sym_BSLASHnamecref] = ACTIONS(7411),
    [anon_sym_BSLASHnameCref] = ACTIONS(7411),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7411),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7411),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7411),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7411),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7411),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7411),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7411),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7411),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7411),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7411),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7411),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHdef] = ACTIONS(7411),
    [anon_sym_BSLASHgdef] = ACTIONS(7411),
    [anon_sym_BSLASHedef] = ACTIONS(7411),
    [anon_sym_BSLASHxdef] = ACTIONS(7411),
    [anon_sym_BSLASHlet] = ACTIONS(7411),
    [anon_sym_BSLASHglet] = ACTIONS(7411),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7411),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7411),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7411),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7411),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7411),
    [anon_sym_BSLASHgls] = ACTIONS(7411),
    [anon_sym_BSLASHGls] = ACTIONS(7411),
    [anon_sym_BSLASHGLS] = ACTIONS(7411),
    [anon_sym_BSLASHglspl] = ACTIONS(7411),
    [anon_sym_BSLASHGlspl] = ACTIONS(7411),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7411),
    [anon_sym_BSLASHglslink] = ACTIONS(7411),
    [anon_sym_BSLASHglstext] = ACTIONS(7411),
    [anon_sym_BSLASHGlstext] = ACTIONS(7411),
    [anon_sym_BSLASHGLStext] = ACTIONS(7411),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7411),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7411),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7411),
    [anon_sym_BSLASHglsplural] = ACTIONS(7411),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7411),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7411),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHglsname] = ACTIONS(7411),
    [anon_sym_BSLASHGlsname] = ACTIONS(7411),
    [anon_sym_BSLASHGLSname] = ACTIONS(7411),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7411),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7411),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7411),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7411),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7411),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7411),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7411),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7411),
    [anon_sym_BSLASHacrshort] = ACTIONS(7411),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7411),
    [anon_sym_BSLASHACRshort] = ACTIONS(7411),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHacrlong] = ACTIONS(7411),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7411),
    [anon_sym_BSLASHACRlong] = ACTIONS(7411),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHacrfull] = ACTIONS(7411),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7411),
    [anon_sym_BSLASHACRfull] = ACTIONS(7411),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHacs] = ACTIONS(7411),
    [anon_sym_BSLASHAcs] = ACTIONS(7411),
    [anon_sym_BSLASHacsp] = ACTIONS(7411),
    [anon_sym_BSLASHAcsp] = ACTIONS(7411),
    [anon_sym_BSLASHacl] = ACTIONS(7411),
    [anon_sym_BSLASHAcl] = ACTIONS(7411),
    [anon_sym_BSLASHaclp] = ACTIONS(7411),
    [anon_sym_BSLASHAclp] = ACTIONS(7411),
    [anon_sym_BSLASHacf] = ACTIONS(7411),
    [anon_sym_BSLASHAcf] = ACTIONS(7411),
    [anon_sym_BSLASHacfp] = ACTIONS(7411),
    [anon_sym_BSLASHAcfp] = ACTIONS(7411),
    [anon_sym_BSLASHac] = ACTIONS(7411),
    [anon_sym_BSLASHAc] = ACTIONS(7411),
    [anon_sym_BSLASHacp] = ACTIONS(7411),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7411),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7411),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7411),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7411),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7411),
    [anon_sym_BSLASHcolor] = ACTIONS(7411),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7411),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7411),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7411),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7411),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7411),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7411),
    [anon_sym_BSLASHurl] = ACTIONS(7411),
    [anon_sym_BSLASHhref] = ACTIONS(7411),
  },
  [1013] = {
    [ts_builtin_sym_end] = ACTIONS(7417),
    [sym_command_name] = ACTIONS(7415),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7415),
    [anon_sym_LBRACK] = ACTIONS(7417),
    [anon_sym_RBRACK] = ACTIONS(7417),
    [anon_sym_COMMA] = ACTIONS(7417),
    [anon_sym_EQ] = ACTIONS(7417),
    [anon_sym_LPAREN] = ACTIONS(7417),
    [anon_sym_RPAREN] = ACTIONS(7417),
    [anon_sym_BSLASHpart] = ACTIONS(7415),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHaddpart] = ACTIONS(7415),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHchapter] = ACTIONS(7415),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHaddchap] = ACTIONS(7415),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHsection] = ACTIONS(7415),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHaddsec] = ACTIONS(7415),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHsubsection] = ACTIONS(7415),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7415),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHparagraph] = ACTIONS(7415),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7415),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHitem] = ACTIONS(7415),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7417),
    [anon_sym_LBRACE] = ACTIONS(7417),
    [anon_sym_RBRACE] = ACTIONS(7417),
    [sym_word] = ACTIONS(7415),
    [sym_placeholder] = ACTIONS(7417),
    [sym_delimiter] = ACTIONS(7417),
    [anon_sym_PLUS] = ACTIONS(7417),
    [anon_sym_DASH] = ACTIONS(7417),
    [anon_sym_STAR] = ACTIONS(7417),
    [anon_sym_SLASH] = ACTIONS(7417),
    [anon_sym_LT] = ACTIONS(7415),
    [anon_sym_GT] = ACTIONS(7415),
    [anon_sym_BANG] = ACTIONS(7415),
    [anon_sym_PIPE] = ACTIONS(7415),
    [anon_sym_COLON] = ACTIONS(7415),
    [anon_sym_SQUOTE] = ACTIONS(7415),
    [anon_sym__] = ACTIONS(7417),
    [anon_sym_CARET] = ACTIONS(7417),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7417),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7417),
    [anon_sym_DOLLAR] = ACTIONS(7415),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7417),
    [anon_sym_BSLASHleft] = ACTIONS(7415),
    [anon_sym_BSLASHbigl] = ACTIONS(7415),
    [anon_sym_BSLASHBigl] = ACTIONS(7415),
    [anon_sym_BSLASHbiggl] = ACTIONS(7415),
    [anon_sym_BSLASHBiggl] = ACTIONS(7415),
    [anon_sym_BSLASHtext] = ACTIONS(7415),
    [anon_sym_BSLASHintertext] = ACTIONS(7415),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7415),
    [anon_sym_BSLASHbegin] = ACTIONS(7415),
    [anon_sym_BSLASHtitle] = ACTIONS(7415),
    [anon_sym_BSLASHauthor] = ACTIONS(7415),
    [anon_sym_BSLASHusepackage] = ACTIONS(7415),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7415),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7415),
    [anon_sym_BSLASHinclude] = ACTIONS(7415),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7415),
    [anon_sym_BSLASHinput] = ACTIONS(7415),
    [anon_sym_BSLASHsubfile] = ACTIONS(7415),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7415),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7415),
    [anon_sym_BSLASHbibliography] = ACTIONS(7415),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7415),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7415),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7415),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7415),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7415),
    [anon_sym_BSLASHimport] = ACTIONS(7415),
    [anon_sym_BSLASHsubimport] = ACTIONS(7415),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7415),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7415),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7415),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7415),
    [anon_sym_BSLASHcaption] = ACTIONS(7415),
    [anon_sym_BSLASHcite] = ACTIONS(7415),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCite] = ACTIONS(7415),
    [anon_sym_BSLASHnocite] = ACTIONS(7415),
    [anon_sym_BSLASHcitet] = ACTIONS(7415),
    [anon_sym_BSLASHcitep] = ACTIONS(7415),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteA] = ACTIONS(7415),
    [anon_sym_BSLASHciteR] = ACTIONS(7415),
    [anon_sym_BSLASHciteS] = ACTIONS(7415),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7415),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7415),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7415),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7415),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteyear] = ACTIONS(7415),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitedate] = ACTIONS(7415),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteurl] = ACTIONS(7415),
    [anon_sym_BSLASHfullcite] = ACTIONS(7415),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7415),
    [anon_sym_BSLASHcitealt] = ACTIONS(7415),
    [anon_sym_BSLASHcitealp] = ACTIONS(7415),
    [anon_sym_BSLASHcitetext] = ACTIONS(7415),
    [anon_sym_BSLASHparencite] = ACTIONS(7415),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHParencite] = ACTIONS(7415),
    [anon_sym_BSLASHfootcite] = ACTIONS(7415),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7415),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7415),
    [anon_sym_BSLASHtextcite] = ACTIONS(7415),
    [anon_sym_BSLASHTextcite] = ACTIONS(7415),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7415),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7415),
    [anon_sym_BSLASHsupercite] = ACTIONS(7415),
    [anon_sym_BSLASHautocite] = ACTIONS(7415),
    [anon_sym_BSLASHAutocite] = ACTIONS(7415),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHVolcite] = ACTIONS(7415),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHavolcite] = ACTIONS(7415),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHNotecite] = ACTIONS(7415),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHlabel] = ACTIONS(7415),
    [anon_sym_BSLASHref] = ACTIONS(7415),
    [anon_sym_BSLASHeqref] = ACTIONS(7415),
    [anon_sym_BSLASHvref] = ACTIONS(7415),
    [anon_sym_BSLASHVref] = ACTIONS(7415),
    [anon_sym_BSLASHautoref] = ACTIONS(7415),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHpageref] = ACTIONS(7415),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHautopageref] = ACTIONS(7415),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcref] = ACTIONS(7415),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCref] = ACTIONS(7415),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcpageref] = ACTIONS(7415),
    [anon_sym_BSLASHCpageref] = ACTIONS(7415),
    [anon_sym_BSLASHnamecref] = ACTIONS(7415),
    [anon_sym_BSLASHnameCref] = ACTIONS(7415),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7415),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7415),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7415),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7415),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7415),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7415),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7415),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7415),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7415),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7415),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7415),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHdef] = ACTIONS(7415),
    [anon_sym_BSLASHgdef] = ACTIONS(7415),
    [anon_sym_BSLASHedef] = ACTIONS(7415),
    [anon_sym_BSLASHxdef] = ACTIONS(7415),
    [anon_sym_BSLASHlet] = ACTIONS(7415),
    [anon_sym_BSLASHglet] = ACTIONS(7415),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7415),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7415),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7415),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7415),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7415),
    [anon_sym_BSLASHgls] = ACTIONS(7415),
    [anon_sym_BSLASHGls] = ACTIONS(7415),
    [anon_sym_BSLASHGLS] = ACTIONS(7415),
    [anon_sym_BSLASHglspl] = ACTIONS(7415),
    [anon_sym_BSLASHGlspl] = ACTIONS(7415),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7415),
    [anon_sym_BSLASHglslink] = ACTIONS(7415),
    [anon_sym_BSLASHglstext] = ACTIONS(7415),
    [anon_sym_BSLASHGlstext] = ACTIONS(7415),
    [anon_sym_BSLASHGLStext] = ACTIONS(7415),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7415),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7415),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7415),
    [anon_sym_BSLASHglsplural] = ACTIONS(7415),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7415),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7415),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHglsname] = ACTIONS(7415),
    [anon_sym_BSLASHGlsname] = ACTIONS(7415),
    [anon_sym_BSLASHGLSname] = ACTIONS(7415),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7415),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7415),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7415),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7415),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7415),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7415),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7415),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7415),
    [anon_sym_BSLASHacrshort] = ACTIONS(7415),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7415),
    [anon_sym_BSLASHACRshort] = ACTIONS(7415),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHacrlong] = ACTIONS(7415),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7415),
    [anon_sym_BSLASHACRlong] = ACTIONS(7415),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHacrfull] = ACTIONS(7415),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7415),
    [anon_sym_BSLASHACRfull] = ACTIONS(7415),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHacs] = ACTIONS(7415),
    [anon_sym_BSLASHAcs] = ACTIONS(7415),
    [anon_sym_BSLASHacsp] = ACTIONS(7415),
    [anon_sym_BSLASHAcsp] = ACTIONS(7415),
    [anon_sym_BSLASHacl] = ACTIONS(7415),
    [anon_sym_BSLASHAcl] = ACTIONS(7415),
    [anon_sym_BSLASHaclp] = ACTIONS(7415),
    [anon_sym_BSLASHAclp] = ACTIONS(7415),
    [anon_sym_BSLASHacf] = ACTIONS(7415),
    [anon_sym_BSLASHAcf] = ACTIONS(7415),
    [anon_sym_BSLASHacfp] = ACTIONS(7415),
    [anon_sym_BSLASHAcfp] = ACTIONS(7415),
    [anon_sym_BSLASHac] = ACTIONS(7415),
    [anon_sym_BSLASHAc] = ACTIONS(7415),
    [anon_sym_BSLASHacp] = ACTIONS(7415),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7415),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7415),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7415),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7415),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7415),
    [anon_sym_BSLASHcolor] = ACTIONS(7415),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7415),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7415),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7415),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7415),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7415),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7415),
    [anon_sym_BSLASHurl] = ACTIONS(7415),
    [anon_sym_BSLASHhref] = ACTIONS(7415),
  },
  [1014] = {
    [ts_builtin_sym_end] = ACTIONS(7421),
    [sym_command_name] = ACTIONS(7419),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7419),
    [anon_sym_LBRACK] = ACTIONS(7421),
    [anon_sym_RBRACK] = ACTIONS(7421),
    [anon_sym_COMMA] = ACTIONS(7421),
    [anon_sym_EQ] = ACTIONS(7421),
    [anon_sym_LPAREN] = ACTIONS(7421),
    [anon_sym_RPAREN] = ACTIONS(7421),
    [anon_sym_BSLASHpart] = ACTIONS(7419),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHaddpart] = ACTIONS(7419),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHchapter] = ACTIONS(7419),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHaddchap] = ACTIONS(7419),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHsection] = ACTIONS(7419),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHaddsec] = ACTIONS(7419),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHsubsection] = ACTIONS(7419),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7419),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHparagraph] = ACTIONS(7419),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7419),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHitem] = ACTIONS(7419),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7421),
    [anon_sym_LBRACE] = ACTIONS(7421),
    [anon_sym_RBRACE] = ACTIONS(7421),
    [sym_word] = ACTIONS(7419),
    [sym_placeholder] = ACTIONS(7421),
    [sym_delimiter] = ACTIONS(7421),
    [anon_sym_PLUS] = ACTIONS(7421),
    [anon_sym_DASH] = ACTIONS(7421),
    [anon_sym_STAR] = ACTIONS(7421),
    [anon_sym_SLASH] = ACTIONS(7421),
    [anon_sym_LT] = ACTIONS(7419),
    [anon_sym_GT] = ACTIONS(7419),
    [anon_sym_BANG] = ACTIONS(7419),
    [anon_sym_PIPE] = ACTIONS(7419),
    [anon_sym_COLON] = ACTIONS(7419),
    [anon_sym_SQUOTE] = ACTIONS(7419),
    [anon_sym__] = ACTIONS(7421),
    [anon_sym_CARET] = ACTIONS(7421),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7421),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7421),
    [anon_sym_DOLLAR] = ACTIONS(7419),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7421),
    [anon_sym_BSLASHleft] = ACTIONS(7419),
    [anon_sym_BSLASHbigl] = ACTIONS(7419),
    [anon_sym_BSLASHBigl] = ACTIONS(7419),
    [anon_sym_BSLASHbiggl] = ACTIONS(7419),
    [anon_sym_BSLASHBiggl] = ACTIONS(7419),
    [anon_sym_BSLASHtext] = ACTIONS(7419),
    [anon_sym_BSLASHintertext] = ACTIONS(7419),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7419),
    [anon_sym_BSLASHbegin] = ACTIONS(7419),
    [anon_sym_BSLASHtitle] = ACTIONS(7419),
    [anon_sym_BSLASHauthor] = ACTIONS(7419),
    [anon_sym_BSLASHusepackage] = ACTIONS(7419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7419),
    [anon_sym_BSLASHinclude] = ACTIONS(7419),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7419),
    [anon_sym_BSLASHinput] = ACTIONS(7419),
    [anon_sym_BSLASHsubfile] = ACTIONS(7419),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7419),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7419),
    [anon_sym_BSLASHbibliography] = ACTIONS(7419),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7419),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7419),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7419),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7419),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7419),
    [anon_sym_BSLASHimport] = ACTIONS(7419),
    [anon_sym_BSLASHsubimport] = ACTIONS(7419),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7419),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7419),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7419),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7419),
    [anon_sym_BSLASHcaption] = ACTIONS(7419),
    [anon_sym_BSLASHcite] = ACTIONS(7419),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCite] = ACTIONS(7419),
    [anon_sym_BSLASHnocite] = ACTIONS(7419),
    [anon_sym_BSLASHcitet] = ACTIONS(7419),
    [anon_sym_BSLASHcitep] = ACTIONS(7419),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteA] = ACTIONS(7419),
    [anon_sym_BSLASHciteR] = ACTIONS(7419),
    [anon_sym_BSLASHciteS] = ACTIONS(7419),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7419),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7419),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7419),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7419),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteyear] = ACTIONS(7419),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitedate] = ACTIONS(7419),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteurl] = ACTIONS(7419),
    [anon_sym_BSLASHfullcite] = ACTIONS(7419),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7419),
    [anon_sym_BSLASHcitealt] = ACTIONS(7419),
    [anon_sym_BSLASHcitealp] = ACTIONS(7419),
    [anon_sym_BSLASHcitetext] = ACTIONS(7419),
    [anon_sym_BSLASHparencite] = ACTIONS(7419),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHParencite] = ACTIONS(7419),
    [anon_sym_BSLASHfootcite] = ACTIONS(7419),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7419),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7419),
    [anon_sym_BSLASHtextcite] = ACTIONS(7419),
    [anon_sym_BSLASHTextcite] = ACTIONS(7419),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7419),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7419),
    [anon_sym_BSLASHsupercite] = ACTIONS(7419),
    [anon_sym_BSLASHautocite] = ACTIONS(7419),
    [anon_sym_BSLASHAutocite] = ACTIONS(7419),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHVolcite] = ACTIONS(7419),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHavolcite] = ACTIONS(7419),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHNotecite] = ACTIONS(7419),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHlabel] = ACTIONS(7419),
    [anon_sym_BSLASHref] = ACTIONS(7419),
    [anon_sym_BSLASHeqref] = ACTIONS(7419),
    [anon_sym_BSLASHvref] = ACTIONS(7419),
    [anon_sym_BSLASHVref] = ACTIONS(7419),
    [anon_sym_BSLASHautoref] = ACTIONS(7419),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHpageref] = ACTIONS(7419),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHautopageref] = ACTIONS(7419),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcref] = ACTIONS(7419),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCref] = ACTIONS(7419),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcpageref] = ACTIONS(7419),
    [anon_sym_BSLASHCpageref] = ACTIONS(7419),
    [anon_sym_BSLASHnamecref] = ACTIONS(7419),
    [anon_sym_BSLASHnameCref] = ACTIONS(7419),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7419),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7419),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7419),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7419),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7419),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7419),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7419),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7419),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7419),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7419),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7419),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHdef] = ACTIONS(7419),
    [anon_sym_BSLASHgdef] = ACTIONS(7419),
    [anon_sym_BSLASHedef] = ACTIONS(7419),
    [anon_sym_BSLASHxdef] = ACTIONS(7419),
    [anon_sym_BSLASHlet] = ACTIONS(7419),
    [anon_sym_BSLASHglet] = ACTIONS(7419),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7419),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7419),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7419),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7419),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7419),
    [anon_sym_BSLASHgls] = ACTIONS(7419),
    [anon_sym_BSLASHGls] = ACTIONS(7419),
    [anon_sym_BSLASHGLS] = ACTIONS(7419),
    [anon_sym_BSLASHglspl] = ACTIONS(7419),
    [anon_sym_BSLASHGlspl] = ACTIONS(7419),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7419),
    [anon_sym_BSLASHglslink] = ACTIONS(7419),
    [anon_sym_BSLASHglstext] = ACTIONS(7419),
    [anon_sym_BSLASHGlstext] = ACTIONS(7419),
    [anon_sym_BSLASHGLStext] = ACTIONS(7419),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7419),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7419),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7419),
    [anon_sym_BSLASHglsplural] = ACTIONS(7419),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7419),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7419),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHglsname] = ACTIONS(7419),
    [anon_sym_BSLASHGlsname] = ACTIONS(7419),
    [anon_sym_BSLASHGLSname] = ACTIONS(7419),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7419),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7419),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7419),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7419),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7419),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7419),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7419),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7419),
    [anon_sym_BSLASHacrshort] = ACTIONS(7419),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7419),
    [anon_sym_BSLASHACRshort] = ACTIONS(7419),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHacrlong] = ACTIONS(7419),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7419),
    [anon_sym_BSLASHACRlong] = ACTIONS(7419),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHacrfull] = ACTIONS(7419),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7419),
    [anon_sym_BSLASHACRfull] = ACTIONS(7419),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHacs] = ACTIONS(7419),
    [anon_sym_BSLASHAcs] = ACTIONS(7419),
    [anon_sym_BSLASHacsp] = ACTIONS(7419),
    [anon_sym_BSLASHAcsp] = ACTIONS(7419),
    [anon_sym_BSLASHacl] = ACTIONS(7419),
    [anon_sym_BSLASHAcl] = ACTIONS(7419),
    [anon_sym_BSLASHaclp] = ACTIONS(7419),
    [anon_sym_BSLASHAclp] = ACTIONS(7419),
    [anon_sym_BSLASHacf] = ACTIONS(7419),
    [anon_sym_BSLASHAcf] = ACTIONS(7419),
    [anon_sym_BSLASHacfp] = ACTIONS(7419),
    [anon_sym_BSLASHAcfp] = ACTIONS(7419),
    [anon_sym_BSLASHac] = ACTIONS(7419),
    [anon_sym_BSLASHAc] = ACTIONS(7419),
    [anon_sym_BSLASHacp] = ACTIONS(7419),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7419),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7419),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7419),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7419),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7419),
    [anon_sym_BSLASHcolor] = ACTIONS(7419),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7419),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7419),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7419),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7419),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7419),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7419),
    [anon_sym_BSLASHurl] = ACTIONS(7419),
    [anon_sym_BSLASHhref] = ACTIONS(7419),
  },
  [1015] = {
    [ts_builtin_sym_end] = ACTIONS(7061),
    [sym_command_name] = ACTIONS(7059),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7059),
    [anon_sym_LBRACK] = ACTIONS(7061),
    [anon_sym_RBRACK] = ACTIONS(7061),
    [anon_sym_COMMA] = ACTIONS(7061),
    [anon_sym_EQ] = ACTIONS(7061),
    [anon_sym_LPAREN] = ACTIONS(7061),
    [anon_sym_RPAREN] = ACTIONS(7061),
    [anon_sym_BSLASHpart] = ACTIONS(7059),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHaddpart] = ACTIONS(7059),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHchapter] = ACTIONS(7059),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHaddchap] = ACTIONS(7059),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHsection] = ACTIONS(7059),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHaddsec] = ACTIONS(7059),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHsubsection] = ACTIONS(7059),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7059),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHparagraph] = ACTIONS(7059),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7059),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHitem] = ACTIONS(7059),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7061),
    [anon_sym_LBRACE] = ACTIONS(7061),
    [anon_sym_RBRACE] = ACTIONS(7061),
    [sym_word] = ACTIONS(7059),
    [sym_placeholder] = ACTIONS(7061),
    [sym_delimiter] = ACTIONS(7061),
    [anon_sym_PLUS] = ACTIONS(7061),
    [anon_sym_DASH] = ACTIONS(7061),
    [anon_sym_STAR] = ACTIONS(7061),
    [anon_sym_SLASH] = ACTIONS(7061),
    [anon_sym_LT] = ACTIONS(7059),
    [anon_sym_GT] = ACTIONS(7059),
    [anon_sym_BANG] = ACTIONS(7059),
    [anon_sym_PIPE] = ACTIONS(7059),
    [anon_sym_COLON] = ACTIONS(7059),
    [anon_sym_SQUOTE] = ACTIONS(7059),
    [anon_sym__] = ACTIONS(7061),
    [anon_sym_CARET] = ACTIONS(7061),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7061),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7061),
    [anon_sym_DOLLAR] = ACTIONS(7059),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7061),
    [anon_sym_BSLASHleft] = ACTIONS(7059),
    [anon_sym_BSLASHbigl] = ACTIONS(7059),
    [anon_sym_BSLASHBigl] = ACTIONS(7059),
    [anon_sym_BSLASHbiggl] = ACTIONS(7059),
    [anon_sym_BSLASHBiggl] = ACTIONS(7059),
    [anon_sym_BSLASHtext] = ACTIONS(7059),
    [anon_sym_BSLASHintertext] = ACTIONS(7059),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7059),
    [anon_sym_BSLASHbegin] = ACTIONS(7059),
    [anon_sym_BSLASHtitle] = ACTIONS(7059),
    [anon_sym_BSLASHauthor] = ACTIONS(7059),
    [anon_sym_BSLASHusepackage] = ACTIONS(7059),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7059),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7059),
    [anon_sym_BSLASHinclude] = ACTIONS(7059),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7059),
    [anon_sym_BSLASHinput] = ACTIONS(7059),
    [anon_sym_BSLASHsubfile] = ACTIONS(7059),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7059),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7059),
    [anon_sym_BSLASHbibliography] = ACTIONS(7059),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7059),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7059),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7059),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7059),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7059),
    [anon_sym_BSLASHimport] = ACTIONS(7059),
    [anon_sym_BSLASHsubimport] = ACTIONS(7059),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7059),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7059),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7059),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7059),
    [anon_sym_BSLASHcaption] = ACTIONS(7059),
    [anon_sym_BSLASHcite] = ACTIONS(7059),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHCite] = ACTIONS(7059),
    [anon_sym_BSLASHnocite] = ACTIONS(7059),
    [anon_sym_BSLASHcitet] = ACTIONS(7059),
    [anon_sym_BSLASHcitep] = ACTIONS(7059),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHciteA] = ACTIONS(7059),
    [anon_sym_BSLASHciteR] = ACTIONS(7059),
    [anon_sym_BSLASHciteS] = ACTIONS(7059),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7059),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7059),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7059),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7059),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHciteyear] = ACTIONS(7059),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcitedate] = ACTIONS(7059),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHciteurl] = ACTIONS(7059),
    [anon_sym_BSLASHfullcite] = ACTIONS(7059),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7059),
    [anon_sym_BSLASHcitealt] = ACTIONS(7059),
    [anon_sym_BSLASHcitealp] = ACTIONS(7059),
    [anon_sym_BSLASHcitetext] = ACTIONS(7059),
    [anon_sym_BSLASHparencite] = ACTIONS(7059),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHParencite] = ACTIONS(7059),
    [anon_sym_BSLASHfootcite] = ACTIONS(7059),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7059),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7059),
    [anon_sym_BSLASHtextcite] = ACTIONS(7059),
    [anon_sym_BSLASHTextcite] = ACTIONS(7059),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7059),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7059),
    [anon_sym_BSLASHsupercite] = ACTIONS(7059),
    [anon_sym_BSLASHautocite] = ACTIONS(7059),
    [anon_sym_BSLASHAutocite] = ACTIONS(7059),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHVolcite] = ACTIONS(7059),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHavolcite] = ACTIONS(7059),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHnotecite] = ACTIONS(7059),
    [anon_sym_BSLASHNotecite] = ACTIONS(7059),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7059),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7059),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7059),
    [anon_sym_BSLASHlabel] = ACTIONS(7059),
    [anon_sym_BSLASHref] = ACTIONS(7059),
    [anon_sym_BSLASHeqref] = ACTIONS(7059),
    [anon_sym_BSLASHvref] = ACTIONS(7059),
    [anon_sym_BSLASHVref] = ACTIONS(7059),
    [anon_sym_BSLASHautoref] = ACTIONS(7059),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHpageref] = ACTIONS(7059),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHautopageref] = ACTIONS(7059),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcref] = ACTIONS(7059),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHCref] = ACTIONS(7059),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcpageref] = ACTIONS(7059),
    [anon_sym_BSLASHCpageref] = ACTIONS(7059),
    [anon_sym_BSLASHnamecref] = ACTIONS(7059),
    [anon_sym_BSLASHnameCref] = ACTIONS(7059),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7059),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7059),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7059),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7059),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7059),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7059),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7059),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7059),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7059),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7059),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7059),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7059),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7059),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7059),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7059),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7059),
    [anon_sym_BSLASHdef] = ACTIONS(7059),
    [anon_sym_BSLASHgdef] = ACTIONS(7059),
    [anon_sym_BSLASHedef] = ACTIONS(7059),
    [anon_sym_BSLASHxdef] = ACTIONS(7059),
    [anon_sym_BSLASHlet] = ACTIONS(7059),
    [anon_sym_BSLASHglet] = ACTIONS(7059),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7059),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7059),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7059),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7059),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7059),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7059),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7059),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7059),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7059),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7059),
    [anon_sym_BSLASHgls] = ACTIONS(7059),
    [anon_sym_BSLASHGls] = ACTIONS(7059),
    [anon_sym_BSLASHGLS] = ACTIONS(7059),
    [anon_sym_BSLASHglspl] = ACTIONS(7059),
    [anon_sym_BSLASHGlspl] = ACTIONS(7059),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7059),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7059),
    [anon_sym_BSLASHglslink] = ACTIONS(7059),
    [anon_sym_BSLASHglstext] = ACTIONS(7059),
    [anon_sym_BSLASHGlstext] = ACTIONS(7059),
    [anon_sym_BSLASHGLStext] = ACTIONS(7059),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7059),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7059),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7059),
    [anon_sym_BSLASHglsplural] = ACTIONS(7059),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7059),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7059),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7059),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7059),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7059),
    [anon_sym_BSLASHglsname] = ACTIONS(7059),
    [anon_sym_BSLASHGlsname] = ACTIONS(7059),
    [anon_sym_BSLASHGLSname] = ACTIONS(7059),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7059),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7059),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7059),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7059),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7059),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7059),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7059),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7059),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7059),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7059),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7059),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7059),
    [anon_sym_BSLASHacrshort] = ACTIONS(7059),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7059),
    [anon_sym_BSLASHACRshort] = ACTIONS(7059),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHacrlong] = ACTIONS(7059),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7059),
    [anon_sym_BSLASHACRlong] = ACTIONS(7059),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7059),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7059),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7059),
    [anon_sym_BSLASHacrfull] = ACTIONS(7059),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7059),
    [anon_sym_BSLASHACRfull] = ACTIONS(7059),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHacs] = ACTIONS(7059),
    [anon_sym_BSLASHAcs] = ACTIONS(7059),
    [anon_sym_BSLASHacsp] = ACTIONS(7059),
    [anon_sym_BSLASHAcsp] = ACTIONS(7059),
    [anon_sym_BSLASHacl] = ACTIONS(7059),
    [anon_sym_BSLASHAcl] = ACTIONS(7059),
    [anon_sym_BSLASHaclp] = ACTIONS(7059),
    [anon_sym_BSLASHAclp] = ACTIONS(7059),
    [anon_sym_BSLASHacf] = ACTIONS(7059),
    [anon_sym_BSLASHAcf] = ACTIONS(7059),
    [anon_sym_BSLASHacfp] = ACTIONS(7059),
    [anon_sym_BSLASHAcfp] = ACTIONS(7059),
    [anon_sym_BSLASHac] = ACTIONS(7059),
    [anon_sym_BSLASHAc] = ACTIONS(7059),
    [anon_sym_BSLASHacp] = ACTIONS(7059),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7059),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7059),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7059),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7059),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7059),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7059),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7059),
    [anon_sym_BSLASHcolor] = ACTIONS(7059),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7059),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7059),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7059),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7059),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7059),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7059),
    [anon_sym_BSLASHurl] = ACTIONS(7059),
    [anon_sym_BSLASHhref] = ACTIONS(7059),
  },
  [1016] = {
    [ts_builtin_sym_end] = ACTIONS(7033),
    [sym_command_name] = ACTIONS(7031),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7031),
    [anon_sym_LBRACK] = ACTIONS(7033),
    [anon_sym_RBRACK] = ACTIONS(7033),
    [anon_sym_COMMA] = ACTIONS(7033),
    [anon_sym_EQ] = ACTIONS(7033),
    [anon_sym_LPAREN] = ACTIONS(7033),
    [anon_sym_RPAREN] = ACTIONS(7033),
    [anon_sym_BSLASHpart] = ACTIONS(7031),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHaddpart] = ACTIONS(7031),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHchapter] = ACTIONS(7031),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHaddchap] = ACTIONS(7031),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHsection] = ACTIONS(7031),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHaddsec] = ACTIONS(7031),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHsubsection] = ACTIONS(7031),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7031),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHparagraph] = ACTIONS(7031),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7031),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHitem] = ACTIONS(7031),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7033),
    [anon_sym_LBRACE] = ACTIONS(7033),
    [anon_sym_RBRACE] = ACTIONS(7033),
    [sym_word] = ACTIONS(7031),
    [sym_placeholder] = ACTIONS(7033),
    [sym_delimiter] = ACTIONS(7033),
    [anon_sym_PLUS] = ACTIONS(7033),
    [anon_sym_DASH] = ACTIONS(7033),
    [anon_sym_STAR] = ACTIONS(7033),
    [anon_sym_SLASH] = ACTIONS(7033),
    [anon_sym_LT] = ACTIONS(7031),
    [anon_sym_GT] = ACTIONS(7031),
    [anon_sym_BANG] = ACTIONS(7031),
    [anon_sym_PIPE] = ACTIONS(7031),
    [anon_sym_COLON] = ACTIONS(7031),
    [anon_sym_SQUOTE] = ACTIONS(7031),
    [anon_sym__] = ACTIONS(7033),
    [anon_sym_CARET] = ACTIONS(7033),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7033),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7033),
    [anon_sym_DOLLAR] = ACTIONS(7031),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7033),
    [anon_sym_BSLASHleft] = ACTIONS(7031),
    [anon_sym_BSLASHbigl] = ACTIONS(7031),
    [anon_sym_BSLASHBigl] = ACTIONS(7031),
    [anon_sym_BSLASHbiggl] = ACTIONS(7031),
    [anon_sym_BSLASHBiggl] = ACTIONS(7031),
    [anon_sym_BSLASHtext] = ACTIONS(7031),
    [anon_sym_BSLASHintertext] = ACTIONS(7031),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7031),
    [anon_sym_BSLASHbegin] = ACTIONS(7031),
    [anon_sym_BSLASHtitle] = ACTIONS(7031),
    [anon_sym_BSLASHauthor] = ACTIONS(7031),
    [anon_sym_BSLASHusepackage] = ACTIONS(7031),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7031),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7031),
    [anon_sym_BSLASHinclude] = ACTIONS(7031),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7031),
    [anon_sym_BSLASHinput] = ACTIONS(7031),
    [anon_sym_BSLASHsubfile] = ACTIONS(7031),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7031),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7031),
    [anon_sym_BSLASHbibliography] = ACTIONS(7031),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7031),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7031),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7031),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7031),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7031),
    [anon_sym_BSLASHimport] = ACTIONS(7031),
    [anon_sym_BSLASHsubimport] = ACTIONS(7031),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7031),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7031),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7031),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7031),
    [anon_sym_BSLASHcaption] = ACTIONS(7031),
    [anon_sym_BSLASHcite] = ACTIONS(7031),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHCite] = ACTIONS(7031),
    [anon_sym_BSLASHnocite] = ACTIONS(7031),
    [anon_sym_BSLASHcitet] = ACTIONS(7031),
    [anon_sym_BSLASHcitep] = ACTIONS(7031),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHciteA] = ACTIONS(7031),
    [anon_sym_BSLASHciteR] = ACTIONS(7031),
    [anon_sym_BSLASHciteS] = ACTIONS(7031),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7031),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7031),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7031),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7031),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHciteyear] = ACTIONS(7031),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcitedate] = ACTIONS(7031),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHciteurl] = ACTIONS(7031),
    [anon_sym_BSLASHfullcite] = ACTIONS(7031),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7031),
    [anon_sym_BSLASHcitealt] = ACTIONS(7031),
    [anon_sym_BSLASHcitealp] = ACTIONS(7031),
    [anon_sym_BSLASHcitetext] = ACTIONS(7031),
    [anon_sym_BSLASHparencite] = ACTIONS(7031),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHParencite] = ACTIONS(7031),
    [anon_sym_BSLASHfootcite] = ACTIONS(7031),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7031),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7031),
    [anon_sym_BSLASHtextcite] = ACTIONS(7031),
    [anon_sym_BSLASHTextcite] = ACTIONS(7031),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7031),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7031),
    [anon_sym_BSLASHsupercite] = ACTIONS(7031),
    [anon_sym_BSLASHautocite] = ACTIONS(7031),
    [anon_sym_BSLASHAutocite] = ACTIONS(7031),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHVolcite] = ACTIONS(7031),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHavolcite] = ACTIONS(7031),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHnotecite] = ACTIONS(7031),
    [anon_sym_BSLASHNotecite] = ACTIONS(7031),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7031),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7031),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7031),
    [anon_sym_BSLASHlabel] = ACTIONS(7031),
    [anon_sym_BSLASHref] = ACTIONS(7031),
    [anon_sym_BSLASHeqref] = ACTIONS(7031),
    [anon_sym_BSLASHvref] = ACTIONS(7031),
    [anon_sym_BSLASHVref] = ACTIONS(7031),
    [anon_sym_BSLASHautoref] = ACTIONS(7031),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHpageref] = ACTIONS(7031),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHautopageref] = ACTIONS(7031),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcref] = ACTIONS(7031),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHCref] = ACTIONS(7031),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcpageref] = ACTIONS(7031),
    [anon_sym_BSLASHCpageref] = ACTIONS(7031),
    [anon_sym_BSLASHnamecref] = ACTIONS(7031),
    [anon_sym_BSLASHnameCref] = ACTIONS(7031),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7031),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7031),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7031),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7031),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7031),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7031),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7031),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7031),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7031),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7031),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7031),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7031),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7031),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7031),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7031),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7031),
    [anon_sym_BSLASHdef] = ACTIONS(7031),
    [anon_sym_BSLASHgdef] = ACTIONS(7031),
    [anon_sym_BSLASHedef] = ACTIONS(7031),
    [anon_sym_BSLASHxdef] = ACTIONS(7031),
    [anon_sym_BSLASHlet] = ACTIONS(7031),
    [anon_sym_BSLASHglet] = ACTIONS(7031),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7031),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7031),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7031),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7031),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7031),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7031),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7031),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7031),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7031),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7031),
    [anon_sym_BSLASHgls] = ACTIONS(7031),
    [anon_sym_BSLASHGls] = ACTIONS(7031),
    [anon_sym_BSLASHGLS] = ACTIONS(7031),
    [anon_sym_BSLASHglspl] = ACTIONS(7031),
    [anon_sym_BSLASHGlspl] = ACTIONS(7031),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7031),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7031),
    [anon_sym_BSLASHglslink] = ACTIONS(7031),
    [anon_sym_BSLASHglstext] = ACTIONS(7031),
    [anon_sym_BSLASHGlstext] = ACTIONS(7031),
    [anon_sym_BSLASHGLStext] = ACTIONS(7031),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7031),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7031),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7031),
    [anon_sym_BSLASHglsplural] = ACTIONS(7031),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7031),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7031),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7031),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7031),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7031),
    [anon_sym_BSLASHglsname] = ACTIONS(7031),
    [anon_sym_BSLASHGlsname] = ACTIONS(7031),
    [anon_sym_BSLASHGLSname] = ACTIONS(7031),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7031),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7031),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7031),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7031),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7031),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7031),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7031),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7031),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7031),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7031),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7031),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7031),
    [anon_sym_BSLASHacrshort] = ACTIONS(7031),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7031),
    [anon_sym_BSLASHACRshort] = ACTIONS(7031),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7031),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7031),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7031),
    [anon_sym_BSLASHacrlong] = ACTIONS(7031),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7031),
    [anon_sym_BSLASHACRlong] = ACTIONS(7031),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7031),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7031),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7031),
    [anon_sym_BSLASHacrfull] = ACTIONS(7031),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7031),
    [anon_sym_BSLASHACRfull] = ACTIONS(7031),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7031),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7031),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7031),
    [anon_sym_BSLASHacs] = ACTIONS(7031),
    [anon_sym_BSLASHAcs] = ACTIONS(7031),
    [anon_sym_BSLASHacsp] = ACTIONS(7031),
    [anon_sym_BSLASHAcsp] = ACTIONS(7031),
    [anon_sym_BSLASHacl] = ACTIONS(7031),
    [anon_sym_BSLASHAcl] = ACTIONS(7031),
    [anon_sym_BSLASHaclp] = ACTIONS(7031),
    [anon_sym_BSLASHAclp] = ACTIONS(7031),
    [anon_sym_BSLASHacf] = ACTIONS(7031),
    [anon_sym_BSLASHAcf] = ACTIONS(7031),
    [anon_sym_BSLASHacfp] = ACTIONS(7031),
    [anon_sym_BSLASHAcfp] = ACTIONS(7031),
    [anon_sym_BSLASHac] = ACTIONS(7031),
    [anon_sym_BSLASHAc] = ACTIONS(7031),
    [anon_sym_BSLASHacp] = ACTIONS(7031),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7031),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7031),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7031),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7031),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7031),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7031),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7031),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7031),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7031),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7031),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7031),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7031),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7031),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7031),
    [anon_sym_BSLASHcolor] = ACTIONS(7031),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7031),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7031),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7031),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7031),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7031),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7031),
    [anon_sym_BSLASHurl] = ACTIONS(7031),
    [anon_sym_BSLASHhref] = ACTIONS(7031),
  },
  [1017] = {
    [ts_builtin_sym_end] = ACTIONS(7053),
    [sym_command_name] = ACTIONS(7051),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7051),
    [anon_sym_LBRACK] = ACTIONS(7053),
    [anon_sym_RBRACK] = ACTIONS(7053),
    [anon_sym_COMMA] = ACTIONS(7053),
    [anon_sym_EQ] = ACTIONS(7053),
    [anon_sym_LPAREN] = ACTIONS(7053),
    [anon_sym_RPAREN] = ACTIONS(7053),
    [anon_sym_BSLASHpart] = ACTIONS(7051),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHaddpart] = ACTIONS(7051),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHchapter] = ACTIONS(7051),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHaddchap] = ACTIONS(7051),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHsection] = ACTIONS(7051),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHaddsec] = ACTIONS(7051),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHsubsection] = ACTIONS(7051),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7051),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHparagraph] = ACTIONS(7051),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7051),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHitem] = ACTIONS(7051),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7053),
    [anon_sym_LBRACE] = ACTIONS(7053),
    [anon_sym_RBRACE] = ACTIONS(7053),
    [sym_word] = ACTIONS(7051),
    [sym_placeholder] = ACTIONS(7053),
    [sym_delimiter] = ACTIONS(7053),
    [anon_sym_PLUS] = ACTIONS(7053),
    [anon_sym_DASH] = ACTIONS(7053),
    [anon_sym_STAR] = ACTIONS(7053),
    [anon_sym_SLASH] = ACTIONS(7053),
    [anon_sym_LT] = ACTIONS(7051),
    [anon_sym_GT] = ACTIONS(7051),
    [anon_sym_BANG] = ACTIONS(7051),
    [anon_sym_PIPE] = ACTIONS(7051),
    [anon_sym_COLON] = ACTIONS(7051),
    [anon_sym_SQUOTE] = ACTIONS(7051),
    [anon_sym__] = ACTIONS(7053),
    [anon_sym_CARET] = ACTIONS(7053),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7053),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7053),
    [anon_sym_DOLLAR] = ACTIONS(7051),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7053),
    [anon_sym_BSLASHleft] = ACTIONS(7051),
    [anon_sym_BSLASHbigl] = ACTIONS(7051),
    [anon_sym_BSLASHBigl] = ACTIONS(7051),
    [anon_sym_BSLASHbiggl] = ACTIONS(7051),
    [anon_sym_BSLASHBiggl] = ACTIONS(7051),
    [anon_sym_BSLASHtext] = ACTIONS(7051),
    [anon_sym_BSLASHintertext] = ACTIONS(7051),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7051),
    [anon_sym_BSLASHbegin] = ACTIONS(7051),
    [anon_sym_BSLASHtitle] = ACTIONS(7051),
    [anon_sym_BSLASHauthor] = ACTIONS(7051),
    [anon_sym_BSLASHusepackage] = ACTIONS(7051),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7051),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7051),
    [anon_sym_BSLASHinclude] = ACTIONS(7051),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7051),
    [anon_sym_BSLASHinput] = ACTIONS(7051),
    [anon_sym_BSLASHsubfile] = ACTIONS(7051),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7051),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7051),
    [anon_sym_BSLASHbibliography] = ACTIONS(7051),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7051),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7051),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7051),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7051),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7051),
    [anon_sym_BSLASHimport] = ACTIONS(7051),
    [anon_sym_BSLASHsubimport] = ACTIONS(7051),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7051),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7051),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7051),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7051),
    [anon_sym_BSLASHcaption] = ACTIONS(7051),
    [anon_sym_BSLASHcite] = ACTIONS(7051),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCite] = ACTIONS(7051),
    [anon_sym_BSLASHnocite] = ACTIONS(7051),
    [anon_sym_BSLASHcitet] = ACTIONS(7051),
    [anon_sym_BSLASHcitep] = ACTIONS(7051),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteA] = ACTIONS(7051),
    [anon_sym_BSLASHciteR] = ACTIONS(7051),
    [anon_sym_BSLASHciteS] = ACTIONS(7051),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7051),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7051),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7051),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7051),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteyear] = ACTIONS(7051),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitedate] = ACTIONS(7051),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteurl] = ACTIONS(7051),
    [anon_sym_BSLASHfullcite] = ACTIONS(7051),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7051),
    [anon_sym_BSLASHcitealt] = ACTIONS(7051),
    [anon_sym_BSLASHcitealp] = ACTIONS(7051),
    [anon_sym_BSLASHcitetext] = ACTIONS(7051),
    [anon_sym_BSLASHparencite] = ACTIONS(7051),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHParencite] = ACTIONS(7051),
    [anon_sym_BSLASHfootcite] = ACTIONS(7051),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7051),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7051),
    [anon_sym_BSLASHtextcite] = ACTIONS(7051),
    [anon_sym_BSLASHTextcite] = ACTIONS(7051),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7051),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7051),
    [anon_sym_BSLASHsupercite] = ACTIONS(7051),
    [anon_sym_BSLASHautocite] = ACTIONS(7051),
    [anon_sym_BSLASHAutocite] = ACTIONS(7051),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHVolcite] = ACTIONS(7051),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHavolcite] = ACTIONS(7051),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHNotecite] = ACTIONS(7051),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHlabel] = ACTIONS(7051),
    [anon_sym_BSLASHref] = ACTIONS(7051),
    [anon_sym_BSLASHeqref] = ACTIONS(7051),
    [anon_sym_BSLASHvref] = ACTIONS(7051),
    [anon_sym_BSLASHVref] = ACTIONS(7051),
    [anon_sym_BSLASHautoref] = ACTIONS(7051),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHpageref] = ACTIONS(7051),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHautopageref] = ACTIONS(7051),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcref] = ACTIONS(7051),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCref] = ACTIONS(7051),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcpageref] = ACTIONS(7051),
    [anon_sym_BSLASHCpageref] = ACTIONS(7051),
    [anon_sym_BSLASHnamecref] = ACTIONS(7051),
    [anon_sym_BSLASHnameCref] = ACTIONS(7051),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7051),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7051),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7051),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7051),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7051),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7051),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7051),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7051),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7051),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7051),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7051),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHdef] = ACTIONS(7051),
    [anon_sym_BSLASHgdef] = ACTIONS(7051),
    [anon_sym_BSLASHedef] = ACTIONS(7051),
    [anon_sym_BSLASHxdef] = ACTIONS(7051),
    [anon_sym_BSLASHlet] = ACTIONS(7051),
    [anon_sym_BSLASHglet] = ACTIONS(7051),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7051),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7051),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7051),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7051),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7051),
    [anon_sym_BSLASHgls] = ACTIONS(7051),
    [anon_sym_BSLASHGls] = ACTIONS(7051),
    [anon_sym_BSLASHGLS] = ACTIONS(7051),
    [anon_sym_BSLASHglspl] = ACTIONS(7051),
    [anon_sym_BSLASHGlspl] = ACTIONS(7051),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7051),
    [anon_sym_BSLASHglslink] = ACTIONS(7051),
    [anon_sym_BSLASHglstext] = ACTIONS(7051),
    [anon_sym_BSLASHGlstext] = ACTIONS(7051),
    [anon_sym_BSLASHGLStext] = ACTIONS(7051),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7051),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7051),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7051),
    [anon_sym_BSLASHglsplural] = ACTIONS(7051),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7051),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7051),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHglsname] = ACTIONS(7051),
    [anon_sym_BSLASHGlsname] = ACTIONS(7051),
    [anon_sym_BSLASHGLSname] = ACTIONS(7051),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7051),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7051),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7051),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7051),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7051),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7051),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7051),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7051),
    [anon_sym_BSLASHacrshort] = ACTIONS(7051),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7051),
    [anon_sym_BSLASHACRshort] = ACTIONS(7051),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHacrlong] = ACTIONS(7051),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7051),
    [anon_sym_BSLASHACRlong] = ACTIONS(7051),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHacrfull] = ACTIONS(7051),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7051),
    [anon_sym_BSLASHACRfull] = ACTIONS(7051),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHacs] = ACTIONS(7051),
    [anon_sym_BSLASHAcs] = ACTIONS(7051),
    [anon_sym_BSLASHacsp] = ACTIONS(7051),
    [anon_sym_BSLASHAcsp] = ACTIONS(7051),
    [anon_sym_BSLASHacl] = ACTIONS(7051),
    [anon_sym_BSLASHAcl] = ACTIONS(7051),
    [anon_sym_BSLASHaclp] = ACTIONS(7051),
    [anon_sym_BSLASHAclp] = ACTIONS(7051),
    [anon_sym_BSLASHacf] = ACTIONS(7051),
    [anon_sym_BSLASHAcf] = ACTIONS(7051),
    [anon_sym_BSLASHacfp] = ACTIONS(7051),
    [anon_sym_BSLASHAcfp] = ACTIONS(7051),
    [anon_sym_BSLASHac] = ACTIONS(7051),
    [anon_sym_BSLASHAc] = ACTIONS(7051),
    [anon_sym_BSLASHacp] = ACTIONS(7051),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7051),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7051),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7051),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7051),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7051),
    [anon_sym_BSLASHcolor] = ACTIONS(7051),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7051),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7051),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7051),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7051),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7051),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7051),
    [anon_sym_BSLASHurl] = ACTIONS(7051),
    [anon_sym_BSLASHhref] = ACTIONS(7051),
  },
  [1018] = {
    [sym_brack_group_text] = STATE(1338),
    [sym_command_name] = ACTIONS(6917),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6917),
    [anon_sym_LBRACK] = ACTIONS(7787),
    [anon_sym_RBRACK] = ACTIONS(6921),
    [anon_sym_COMMA] = ACTIONS(6921),
    [anon_sym_EQ] = ACTIONS(6921),
    [anon_sym_LPAREN] = ACTIONS(6921),
    [anon_sym_RPAREN] = ACTIONS(6921),
    [anon_sym_BSLASHpart] = ACTIONS(6917),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHaddpart] = ACTIONS(6917),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHchapter] = ACTIONS(6917),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHaddchap] = ACTIONS(6917),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHsection] = ACTIONS(6917),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHaddsec] = ACTIONS(6917),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHsubsection] = ACTIONS(6917),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6917),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHparagraph] = ACTIONS(6917),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6917),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHitem] = ACTIONS(6917),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6921),
    [anon_sym_LBRACE] = ACTIONS(6921),
    [sym_word] = ACTIONS(6917),
    [sym_placeholder] = ACTIONS(6921),
    [sym_delimiter] = ACTIONS(6921),
    [anon_sym_PLUS] = ACTIONS(6921),
    [anon_sym_DASH] = ACTIONS(6921),
    [anon_sym_STAR] = ACTIONS(6921),
    [anon_sym_SLASH] = ACTIONS(6921),
    [anon_sym_LT] = ACTIONS(6917),
    [anon_sym_GT] = ACTIONS(6917),
    [anon_sym_BANG] = ACTIONS(6917),
    [anon_sym_PIPE] = ACTIONS(6917),
    [anon_sym_COLON] = ACTIONS(6917),
    [anon_sym_SQUOTE] = ACTIONS(6917),
    [anon_sym__] = ACTIONS(6921),
    [anon_sym_CARET] = ACTIONS(6921),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6921),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6921),
    [anon_sym_DOLLAR] = ACTIONS(6917),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6921),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6921),
    [anon_sym_BSLASHleft] = ACTIONS(6917),
    [anon_sym_BSLASHbigl] = ACTIONS(6917),
    [anon_sym_BSLASHBigl] = ACTIONS(6917),
    [anon_sym_BSLASHbiggl] = ACTIONS(6917),
    [anon_sym_BSLASHBiggl] = ACTIONS(6917),
    [anon_sym_BSLASHtext] = ACTIONS(6917),
    [anon_sym_BSLASHintertext] = ACTIONS(6917),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6917),
    [anon_sym_BSLASHbegin] = ACTIONS(6917),
    [anon_sym_BSLASHtitle] = ACTIONS(6917),
    [anon_sym_BSLASHauthor] = ACTIONS(6917),
    [anon_sym_BSLASHusepackage] = ACTIONS(6917),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6917),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6917),
    [anon_sym_BSLASHinclude] = ACTIONS(6917),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6917),
    [anon_sym_BSLASHinput] = ACTIONS(6917),
    [anon_sym_BSLASHsubfile] = ACTIONS(6917),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6917),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6917),
    [anon_sym_BSLASHbibliography] = ACTIONS(6917),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6917),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6917),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6917),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6917),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6917),
    [anon_sym_BSLASHimport] = ACTIONS(6917),
    [anon_sym_BSLASHsubimport] = ACTIONS(6917),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6917),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6917),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6917),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6917),
    [anon_sym_BSLASHcaption] = ACTIONS(6917),
    [anon_sym_BSLASHcite] = ACTIONS(6917),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCite] = ACTIONS(6917),
    [anon_sym_BSLASHnocite] = ACTIONS(6917),
    [anon_sym_BSLASHcitet] = ACTIONS(6917),
    [anon_sym_BSLASHcitep] = ACTIONS(6917),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteA] = ACTIONS(6917),
    [anon_sym_BSLASHciteR] = ACTIONS(6917),
    [anon_sym_BSLASHciteS] = ACTIONS(6917),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6917),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6917),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6917),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6917),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteyear] = ACTIONS(6917),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitedate] = ACTIONS(6917),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteurl] = ACTIONS(6917),
    [anon_sym_BSLASHfullcite] = ACTIONS(6917),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6917),
    [anon_sym_BSLASHcitealt] = ACTIONS(6917),
    [anon_sym_BSLASHcitealp] = ACTIONS(6917),
    [anon_sym_BSLASHcitetext] = ACTIONS(6917),
    [anon_sym_BSLASHparencite] = ACTIONS(6917),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHParencite] = ACTIONS(6917),
    [anon_sym_BSLASHfootcite] = ACTIONS(6917),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6917),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6917),
    [anon_sym_BSLASHtextcite] = ACTIONS(6917),
    [anon_sym_BSLASHTextcite] = ACTIONS(6917),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6917),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6917),
    [anon_sym_BSLASHsupercite] = ACTIONS(6917),
    [anon_sym_BSLASHautocite] = ACTIONS(6917),
    [anon_sym_BSLASHAutocite] = ACTIONS(6917),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHVolcite] = ACTIONS(6917),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHavolcite] = ACTIONS(6917),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHNotecite] = ACTIONS(6917),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHlabel] = ACTIONS(6917),
    [anon_sym_BSLASHref] = ACTIONS(6917),
    [anon_sym_BSLASHeqref] = ACTIONS(6917),
    [anon_sym_BSLASHvref] = ACTIONS(6917),
    [anon_sym_BSLASHVref] = ACTIONS(6917),
    [anon_sym_BSLASHautoref] = ACTIONS(6917),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHpageref] = ACTIONS(6917),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHautopageref] = ACTIONS(6917),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcref] = ACTIONS(6917),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCref] = ACTIONS(6917),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcpageref] = ACTIONS(6917),
    [anon_sym_BSLASHCpageref] = ACTIONS(6917),
    [anon_sym_BSLASHnamecref] = ACTIONS(6917),
    [anon_sym_BSLASHnameCref] = ACTIONS(6917),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6917),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6917),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6917),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6917),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6917),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6917),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6917),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6917),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6917),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6917),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6917),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHdef] = ACTIONS(6917),
    [anon_sym_BSLASHgdef] = ACTIONS(6917),
    [anon_sym_BSLASHedef] = ACTIONS(6917),
    [anon_sym_BSLASHxdef] = ACTIONS(6917),
    [anon_sym_BSLASHlet] = ACTIONS(6917),
    [anon_sym_BSLASHglet] = ACTIONS(6917),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6917),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6917),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6917),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6917),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6917),
    [anon_sym_BSLASHgls] = ACTIONS(6917),
    [anon_sym_BSLASHGls] = ACTIONS(6917),
    [anon_sym_BSLASHGLS] = ACTIONS(6917),
    [anon_sym_BSLASHglspl] = ACTIONS(6917),
    [anon_sym_BSLASHGlspl] = ACTIONS(6917),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6917),
    [anon_sym_BSLASHglslink] = ACTIONS(6917),
    [anon_sym_BSLASHglstext] = ACTIONS(6917),
    [anon_sym_BSLASHGlstext] = ACTIONS(6917),
    [anon_sym_BSLASHGLStext] = ACTIONS(6917),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6917),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6917),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6917),
    [anon_sym_BSLASHglsplural] = ACTIONS(6917),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6917),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6917),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHglsname] = ACTIONS(6917),
    [anon_sym_BSLASHGlsname] = ACTIONS(6917),
    [anon_sym_BSLASHGLSname] = ACTIONS(6917),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6917),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6917),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6917),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6917),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6917),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6917),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6917),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6917),
    [anon_sym_BSLASHacrshort] = ACTIONS(6917),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6917),
    [anon_sym_BSLASHACRshort] = ACTIONS(6917),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHacrlong] = ACTIONS(6917),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6917),
    [anon_sym_BSLASHACRlong] = ACTIONS(6917),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHacrfull] = ACTIONS(6917),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6917),
    [anon_sym_BSLASHACRfull] = ACTIONS(6917),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHacs] = ACTIONS(6917),
    [anon_sym_BSLASHAcs] = ACTIONS(6917),
    [anon_sym_BSLASHacsp] = ACTIONS(6917),
    [anon_sym_BSLASHAcsp] = ACTIONS(6917),
    [anon_sym_BSLASHacl] = ACTIONS(6917),
    [anon_sym_BSLASHAcl] = ACTIONS(6917),
    [anon_sym_BSLASHaclp] = ACTIONS(6917),
    [anon_sym_BSLASHAclp] = ACTIONS(6917),
    [anon_sym_BSLASHacf] = ACTIONS(6917),
    [anon_sym_BSLASHAcf] = ACTIONS(6917),
    [anon_sym_BSLASHacfp] = ACTIONS(6917),
    [anon_sym_BSLASHAcfp] = ACTIONS(6917),
    [anon_sym_BSLASHac] = ACTIONS(6917),
    [anon_sym_BSLASHAc] = ACTIONS(6917),
    [anon_sym_BSLASHacp] = ACTIONS(6917),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6917),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6917),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6917),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6917),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6917),
    [anon_sym_BSLASHcolor] = ACTIONS(6917),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6917),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6917),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6917),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6917),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6917),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6917),
    [anon_sym_BSLASHurl] = ACTIONS(6917),
    [anon_sym_BSLASHhref] = ACTIONS(6917),
  },
  [1019] = {
    [sym_curly_group] = STATE(1345),
    [sym_command_name] = ACTIONS(6939),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6939),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [anon_sym_RBRACK] = ACTIONS(6941),
    [anon_sym_COMMA] = ACTIONS(6941),
    [anon_sym_EQ] = ACTIONS(6941),
    [anon_sym_LPAREN] = ACTIONS(6941),
    [anon_sym_RPAREN] = ACTIONS(6941),
    [anon_sym_BSLASHpart] = ACTIONS(6939),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHaddpart] = ACTIONS(6939),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHchapter] = ACTIONS(6939),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHaddchap] = ACTIONS(6939),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHsection] = ACTIONS(6939),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHaddsec] = ACTIONS(6939),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHsubsection] = ACTIONS(6939),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6939),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHparagraph] = ACTIONS(6939),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6939),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHitem] = ACTIONS(6939),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6941),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(6939),
    [sym_placeholder] = ACTIONS(6941),
    [sym_delimiter] = ACTIONS(6941),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_STAR] = ACTIONS(6941),
    [anon_sym_SLASH] = ACTIONS(6941),
    [anon_sym_LT] = ACTIONS(6939),
    [anon_sym_GT] = ACTIONS(6939),
    [anon_sym_BANG] = ACTIONS(6939),
    [anon_sym_PIPE] = ACTIONS(6939),
    [anon_sym_COLON] = ACTIONS(6939),
    [anon_sym_SQUOTE] = ACTIONS(6939),
    [anon_sym__] = ACTIONS(6941),
    [anon_sym_CARET] = ACTIONS(6941),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6941),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6941),
    [anon_sym_DOLLAR] = ACTIONS(6939),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6941),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6941),
    [anon_sym_BSLASHleft] = ACTIONS(6939),
    [anon_sym_BSLASHbigl] = ACTIONS(6939),
    [anon_sym_BSLASHBigl] = ACTIONS(6939),
    [anon_sym_BSLASHbiggl] = ACTIONS(6939),
    [anon_sym_BSLASHBiggl] = ACTIONS(6939),
    [anon_sym_BSLASHtext] = ACTIONS(6939),
    [anon_sym_BSLASHintertext] = ACTIONS(6939),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6939),
    [anon_sym_BSLASHbegin] = ACTIONS(6939),
    [anon_sym_BSLASHtitle] = ACTIONS(6939),
    [anon_sym_BSLASHauthor] = ACTIONS(6939),
    [anon_sym_BSLASHusepackage] = ACTIONS(6939),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6939),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6939),
    [anon_sym_BSLASHinclude] = ACTIONS(6939),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6939),
    [anon_sym_BSLASHinput] = ACTIONS(6939),
    [anon_sym_BSLASHsubfile] = ACTIONS(6939),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6939),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6939),
    [anon_sym_BSLASHbibliography] = ACTIONS(6939),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6939),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6939),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6939),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6939),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6939),
    [anon_sym_BSLASHimport] = ACTIONS(6939),
    [anon_sym_BSLASHsubimport] = ACTIONS(6939),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6939),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6939),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6939),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6939),
    [anon_sym_BSLASHcaption] = ACTIONS(6939),
    [anon_sym_BSLASHcite] = ACTIONS(6939),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCite] = ACTIONS(6939),
    [anon_sym_BSLASHnocite] = ACTIONS(6939),
    [anon_sym_BSLASHcitet] = ACTIONS(6939),
    [anon_sym_BSLASHcitep] = ACTIONS(6939),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteA] = ACTIONS(6939),
    [anon_sym_BSLASHciteR] = ACTIONS(6939),
    [anon_sym_BSLASHciteS] = ACTIONS(6939),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6939),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6939),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6939),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6939),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteyear] = ACTIONS(6939),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitedate] = ACTIONS(6939),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteurl] = ACTIONS(6939),
    [anon_sym_BSLASHfullcite] = ACTIONS(6939),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6939),
    [anon_sym_BSLASHcitealt] = ACTIONS(6939),
    [anon_sym_BSLASHcitealp] = ACTIONS(6939),
    [anon_sym_BSLASHcitetext] = ACTIONS(6939),
    [anon_sym_BSLASHparencite] = ACTIONS(6939),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHParencite] = ACTIONS(6939),
    [anon_sym_BSLASHfootcite] = ACTIONS(6939),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6939),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6939),
    [anon_sym_BSLASHtextcite] = ACTIONS(6939),
    [anon_sym_BSLASHTextcite] = ACTIONS(6939),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6939),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6939),
    [anon_sym_BSLASHsupercite] = ACTIONS(6939),
    [anon_sym_BSLASHautocite] = ACTIONS(6939),
    [anon_sym_BSLASHAutocite] = ACTIONS(6939),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHVolcite] = ACTIONS(6939),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHavolcite] = ACTIONS(6939),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHNotecite] = ACTIONS(6939),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHlabel] = ACTIONS(6939),
    [anon_sym_BSLASHref] = ACTIONS(6939),
    [anon_sym_BSLASHeqref] = ACTIONS(6939),
    [anon_sym_BSLASHvref] = ACTIONS(6939),
    [anon_sym_BSLASHVref] = ACTIONS(6939),
    [anon_sym_BSLASHautoref] = ACTIONS(6939),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHpageref] = ACTIONS(6939),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHautopageref] = ACTIONS(6939),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcref] = ACTIONS(6939),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCref] = ACTIONS(6939),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcpageref] = ACTIONS(6939),
    [anon_sym_BSLASHCpageref] = ACTIONS(6939),
    [anon_sym_BSLASHnamecref] = ACTIONS(6939),
    [anon_sym_BSLASHnameCref] = ACTIONS(6939),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6939),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6939),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6939),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6939),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6939),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6939),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6939),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6939),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6939),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6939),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6939),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHdef] = ACTIONS(6939),
    [anon_sym_BSLASHgdef] = ACTIONS(6939),
    [anon_sym_BSLASHedef] = ACTIONS(6939),
    [anon_sym_BSLASHxdef] = ACTIONS(6939),
    [anon_sym_BSLASHlet] = ACTIONS(6939),
    [anon_sym_BSLASHglet] = ACTIONS(6939),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6939),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6939),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6939),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6939),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6939),
    [anon_sym_BSLASHgls] = ACTIONS(6939),
    [anon_sym_BSLASHGls] = ACTIONS(6939),
    [anon_sym_BSLASHGLS] = ACTIONS(6939),
    [anon_sym_BSLASHglspl] = ACTIONS(6939),
    [anon_sym_BSLASHGlspl] = ACTIONS(6939),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6939),
    [anon_sym_BSLASHglslink] = ACTIONS(6939),
    [anon_sym_BSLASHglstext] = ACTIONS(6939),
    [anon_sym_BSLASHGlstext] = ACTIONS(6939),
    [anon_sym_BSLASHGLStext] = ACTIONS(6939),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6939),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6939),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6939),
    [anon_sym_BSLASHglsplural] = ACTIONS(6939),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6939),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6939),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHglsname] = ACTIONS(6939),
    [anon_sym_BSLASHGlsname] = ACTIONS(6939),
    [anon_sym_BSLASHGLSname] = ACTIONS(6939),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6939),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6939),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6939),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6939),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6939),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6939),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6939),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6939),
    [anon_sym_BSLASHacrshort] = ACTIONS(6939),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6939),
    [anon_sym_BSLASHACRshort] = ACTIONS(6939),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHacrlong] = ACTIONS(6939),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6939),
    [anon_sym_BSLASHACRlong] = ACTIONS(6939),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHacrfull] = ACTIONS(6939),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6939),
    [anon_sym_BSLASHACRfull] = ACTIONS(6939),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHacs] = ACTIONS(6939),
    [anon_sym_BSLASHAcs] = ACTIONS(6939),
    [anon_sym_BSLASHacsp] = ACTIONS(6939),
    [anon_sym_BSLASHAcsp] = ACTIONS(6939),
    [anon_sym_BSLASHacl] = ACTIONS(6939),
    [anon_sym_BSLASHAcl] = ACTIONS(6939),
    [anon_sym_BSLASHaclp] = ACTIONS(6939),
    [anon_sym_BSLASHAclp] = ACTIONS(6939),
    [anon_sym_BSLASHacf] = ACTIONS(6939),
    [anon_sym_BSLASHAcf] = ACTIONS(6939),
    [anon_sym_BSLASHacfp] = ACTIONS(6939),
    [anon_sym_BSLASHAcfp] = ACTIONS(6939),
    [anon_sym_BSLASHac] = ACTIONS(6939),
    [anon_sym_BSLASHAc] = ACTIONS(6939),
    [anon_sym_BSLASHacp] = ACTIONS(6939),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6939),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6939),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6939),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6939),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6939),
    [anon_sym_BSLASHcolor] = ACTIONS(6939),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6939),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6939),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6939),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6939),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6939),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6939),
    [anon_sym_BSLASHurl] = ACTIONS(6939),
    [anon_sym_BSLASHhref] = ACTIONS(6939),
  },
  [1020] = {
    [ts_builtin_sym_end] = ACTIONS(7041),
    [sym_command_name] = ACTIONS(7039),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7039),
    [anon_sym_LBRACK] = ACTIONS(7041),
    [anon_sym_RBRACK] = ACTIONS(7041),
    [anon_sym_COMMA] = ACTIONS(7041),
    [anon_sym_EQ] = ACTIONS(7041),
    [anon_sym_LPAREN] = ACTIONS(7041),
    [anon_sym_RPAREN] = ACTIONS(7041),
    [anon_sym_BSLASHpart] = ACTIONS(7039),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHaddpart] = ACTIONS(7039),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHchapter] = ACTIONS(7039),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHaddchap] = ACTIONS(7039),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHsection] = ACTIONS(7039),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHaddsec] = ACTIONS(7039),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHsubsection] = ACTIONS(7039),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7039),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHparagraph] = ACTIONS(7039),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7039),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHitem] = ACTIONS(7039),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7041),
    [anon_sym_LBRACE] = ACTIONS(7041),
    [anon_sym_RBRACE] = ACTIONS(7041),
    [sym_word] = ACTIONS(7039),
    [sym_placeholder] = ACTIONS(7041),
    [sym_delimiter] = ACTIONS(7041),
    [anon_sym_PLUS] = ACTIONS(7041),
    [anon_sym_DASH] = ACTIONS(7041),
    [anon_sym_STAR] = ACTIONS(7041),
    [anon_sym_SLASH] = ACTIONS(7041),
    [anon_sym_LT] = ACTIONS(7039),
    [anon_sym_GT] = ACTIONS(7039),
    [anon_sym_BANG] = ACTIONS(7039),
    [anon_sym_PIPE] = ACTIONS(7039),
    [anon_sym_COLON] = ACTIONS(7039),
    [anon_sym_SQUOTE] = ACTIONS(7039),
    [anon_sym__] = ACTIONS(7041),
    [anon_sym_CARET] = ACTIONS(7041),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7041),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7041),
    [anon_sym_DOLLAR] = ACTIONS(7039),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7041),
    [anon_sym_BSLASHleft] = ACTIONS(7039),
    [anon_sym_BSLASHbigl] = ACTIONS(7039),
    [anon_sym_BSLASHBigl] = ACTIONS(7039),
    [anon_sym_BSLASHbiggl] = ACTIONS(7039),
    [anon_sym_BSLASHBiggl] = ACTIONS(7039),
    [anon_sym_BSLASHtext] = ACTIONS(7039),
    [anon_sym_BSLASHintertext] = ACTIONS(7039),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7039),
    [anon_sym_BSLASHbegin] = ACTIONS(7039),
    [anon_sym_BSLASHtitle] = ACTIONS(7039),
    [anon_sym_BSLASHauthor] = ACTIONS(7039),
    [anon_sym_BSLASHusepackage] = ACTIONS(7039),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7039),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7039),
    [anon_sym_BSLASHinclude] = ACTIONS(7039),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7039),
    [anon_sym_BSLASHinput] = ACTIONS(7039),
    [anon_sym_BSLASHsubfile] = ACTIONS(7039),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7039),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7039),
    [anon_sym_BSLASHbibliography] = ACTIONS(7039),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7039),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7039),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7039),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7039),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7039),
    [anon_sym_BSLASHimport] = ACTIONS(7039),
    [anon_sym_BSLASHsubimport] = ACTIONS(7039),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7039),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7039),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7039),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7039),
    [anon_sym_BSLASHcaption] = ACTIONS(7039),
    [anon_sym_BSLASHcite] = ACTIONS(7039),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHCite] = ACTIONS(7039),
    [anon_sym_BSLASHnocite] = ACTIONS(7039),
    [anon_sym_BSLASHcitet] = ACTIONS(7039),
    [anon_sym_BSLASHcitep] = ACTIONS(7039),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHciteA] = ACTIONS(7039),
    [anon_sym_BSLASHciteR] = ACTIONS(7039),
    [anon_sym_BSLASHciteS] = ACTIONS(7039),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7039),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7039),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7039),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7039),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHciteyear] = ACTIONS(7039),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcitedate] = ACTIONS(7039),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHciteurl] = ACTIONS(7039),
    [anon_sym_BSLASHfullcite] = ACTIONS(7039),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7039),
    [anon_sym_BSLASHcitealt] = ACTIONS(7039),
    [anon_sym_BSLASHcitealp] = ACTIONS(7039),
    [anon_sym_BSLASHcitetext] = ACTIONS(7039),
    [anon_sym_BSLASHparencite] = ACTIONS(7039),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHParencite] = ACTIONS(7039),
    [anon_sym_BSLASHfootcite] = ACTIONS(7039),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7039),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7039),
    [anon_sym_BSLASHtextcite] = ACTIONS(7039),
    [anon_sym_BSLASHTextcite] = ACTIONS(7039),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7039),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7039),
    [anon_sym_BSLASHsupercite] = ACTIONS(7039),
    [anon_sym_BSLASHautocite] = ACTIONS(7039),
    [anon_sym_BSLASHAutocite] = ACTIONS(7039),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHVolcite] = ACTIONS(7039),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHavolcite] = ACTIONS(7039),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHnotecite] = ACTIONS(7039),
    [anon_sym_BSLASHNotecite] = ACTIONS(7039),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7039),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7039),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7039),
    [anon_sym_BSLASHlabel] = ACTIONS(7039),
    [anon_sym_BSLASHref] = ACTIONS(7039),
    [anon_sym_BSLASHeqref] = ACTIONS(7039),
    [anon_sym_BSLASHvref] = ACTIONS(7039),
    [anon_sym_BSLASHVref] = ACTIONS(7039),
    [anon_sym_BSLASHautoref] = ACTIONS(7039),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHpageref] = ACTIONS(7039),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHautopageref] = ACTIONS(7039),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcref] = ACTIONS(7039),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHCref] = ACTIONS(7039),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcpageref] = ACTIONS(7039),
    [anon_sym_BSLASHCpageref] = ACTIONS(7039),
    [anon_sym_BSLASHnamecref] = ACTIONS(7039),
    [anon_sym_BSLASHnameCref] = ACTIONS(7039),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7039),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7039),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7039),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7039),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7039),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7039),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7039),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7039),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7039),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7039),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7039),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7039),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7039),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7039),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7039),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7039),
    [anon_sym_BSLASHdef] = ACTIONS(7039),
    [anon_sym_BSLASHgdef] = ACTIONS(7039),
    [anon_sym_BSLASHedef] = ACTIONS(7039),
    [anon_sym_BSLASHxdef] = ACTIONS(7039),
    [anon_sym_BSLASHlet] = ACTIONS(7039),
    [anon_sym_BSLASHglet] = ACTIONS(7039),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7039),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7039),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7039),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7039),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7039),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7039),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7039),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7039),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7039),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7039),
    [anon_sym_BSLASHgls] = ACTIONS(7039),
    [anon_sym_BSLASHGls] = ACTIONS(7039),
    [anon_sym_BSLASHGLS] = ACTIONS(7039),
    [anon_sym_BSLASHglspl] = ACTIONS(7039),
    [anon_sym_BSLASHGlspl] = ACTIONS(7039),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7039),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7039),
    [anon_sym_BSLASHglslink] = ACTIONS(7039),
    [anon_sym_BSLASHglstext] = ACTIONS(7039),
    [anon_sym_BSLASHGlstext] = ACTIONS(7039),
    [anon_sym_BSLASHGLStext] = ACTIONS(7039),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7039),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7039),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7039),
    [anon_sym_BSLASHglsplural] = ACTIONS(7039),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7039),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7039),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7039),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7039),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7039),
    [anon_sym_BSLASHglsname] = ACTIONS(7039),
    [anon_sym_BSLASHGlsname] = ACTIONS(7039),
    [anon_sym_BSLASHGLSname] = ACTIONS(7039),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7039),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7039),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7039),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7039),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7039),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7039),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7039),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7039),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7039),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7039),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7039),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7039),
    [anon_sym_BSLASHacrshort] = ACTIONS(7039),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7039),
    [anon_sym_BSLASHACRshort] = ACTIONS(7039),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7039),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7039),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7039),
    [anon_sym_BSLASHacrlong] = ACTIONS(7039),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7039),
    [anon_sym_BSLASHACRlong] = ACTIONS(7039),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7039),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7039),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7039),
    [anon_sym_BSLASHacrfull] = ACTIONS(7039),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7039),
    [anon_sym_BSLASHACRfull] = ACTIONS(7039),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7039),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7039),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7039),
    [anon_sym_BSLASHacs] = ACTIONS(7039),
    [anon_sym_BSLASHAcs] = ACTIONS(7039),
    [anon_sym_BSLASHacsp] = ACTIONS(7039),
    [anon_sym_BSLASHAcsp] = ACTIONS(7039),
    [anon_sym_BSLASHacl] = ACTIONS(7039),
    [anon_sym_BSLASHAcl] = ACTIONS(7039),
    [anon_sym_BSLASHaclp] = ACTIONS(7039),
    [anon_sym_BSLASHAclp] = ACTIONS(7039),
    [anon_sym_BSLASHacf] = ACTIONS(7039),
    [anon_sym_BSLASHAcf] = ACTIONS(7039),
    [anon_sym_BSLASHacfp] = ACTIONS(7039),
    [anon_sym_BSLASHAcfp] = ACTIONS(7039),
    [anon_sym_BSLASHac] = ACTIONS(7039),
    [anon_sym_BSLASHAc] = ACTIONS(7039),
    [anon_sym_BSLASHacp] = ACTIONS(7039),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7039),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7039),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7039),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7039),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7039),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7039),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7039),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7039),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7039),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7039),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7039),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7039),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7039),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7039),
    [anon_sym_BSLASHcolor] = ACTIONS(7039),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7039),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7039),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7039),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7039),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7039),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7039),
    [anon_sym_BSLASHurl] = ACTIONS(7039),
    [anon_sym_BSLASHhref] = ACTIONS(7039),
  },
  [1021] = {
    [ts_builtin_sym_end] = ACTIONS(7441),
    [sym_command_name] = ACTIONS(7439),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7439),
    [anon_sym_LBRACK] = ACTIONS(7441),
    [anon_sym_RBRACK] = ACTIONS(7441),
    [anon_sym_COMMA] = ACTIONS(7441),
    [anon_sym_EQ] = ACTIONS(7441),
    [anon_sym_LPAREN] = ACTIONS(7441),
    [anon_sym_RPAREN] = ACTIONS(7441),
    [anon_sym_BSLASHpart] = ACTIONS(7439),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHaddpart] = ACTIONS(7439),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHchapter] = ACTIONS(7439),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHaddchap] = ACTIONS(7439),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHsection] = ACTIONS(7439),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHaddsec] = ACTIONS(7439),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHsubsection] = ACTIONS(7439),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7439),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHparagraph] = ACTIONS(7439),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7439),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHitem] = ACTIONS(7439),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7441),
    [anon_sym_LBRACE] = ACTIONS(7441),
    [anon_sym_RBRACE] = ACTIONS(7441),
    [sym_word] = ACTIONS(7439),
    [sym_placeholder] = ACTIONS(7441),
    [sym_delimiter] = ACTIONS(7441),
    [anon_sym_PLUS] = ACTIONS(7441),
    [anon_sym_DASH] = ACTIONS(7441),
    [anon_sym_STAR] = ACTIONS(7441),
    [anon_sym_SLASH] = ACTIONS(7441),
    [anon_sym_LT] = ACTIONS(7439),
    [anon_sym_GT] = ACTIONS(7439),
    [anon_sym_BANG] = ACTIONS(7439),
    [anon_sym_PIPE] = ACTIONS(7439),
    [anon_sym_COLON] = ACTIONS(7439),
    [anon_sym_SQUOTE] = ACTIONS(7439),
    [anon_sym__] = ACTIONS(7441),
    [anon_sym_CARET] = ACTIONS(7441),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7441),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7441),
    [anon_sym_DOLLAR] = ACTIONS(7439),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7441),
    [anon_sym_BSLASHleft] = ACTIONS(7439),
    [anon_sym_BSLASHbigl] = ACTIONS(7439),
    [anon_sym_BSLASHBigl] = ACTIONS(7439),
    [anon_sym_BSLASHbiggl] = ACTIONS(7439),
    [anon_sym_BSLASHBiggl] = ACTIONS(7439),
    [anon_sym_BSLASHtext] = ACTIONS(7439),
    [anon_sym_BSLASHintertext] = ACTIONS(7439),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7439),
    [anon_sym_BSLASHbegin] = ACTIONS(7439),
    [anon_sym_BSLASHtitle] = ACTIONS(7439),
    [anon_sym_BSLASHauthor] = ACTIONS(7439),
    [anon_sym_BSLASHusepackage] = ACTIONS(7439),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7439),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7439),
    [anon_sym_BSLASHinclude] = ACTIONS(7439),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7439),
    [anon_sym_BSLASHinput] = ACTIONS(7439),
    [anon_sym_BSLASHsubfile] = ACTIONS(7439),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7439),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7439),
    [anon_sym_BSLASHbibliography] = ACTIONS(7439),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7439),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7439),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7439),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7439),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7439),
    [anon_sym_BSLASHimport] = ACTIONS(7439),
    [anon_sym_BSLASHsubimport] = ACTIONS(7439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7439),
    [anon_sym_BSLASHcaption] = ACTIONS(7439),
    [anon_sym_BSLASHcite] = ACTIONS(7439),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHCite] = ACTIONS(7439),
    [anon_sym_BSLASHnocite] = ACTIONS(7439),
    [anon_sym_BSLASHcitet] = ACTIONS(7439),
    [anon_sym_BSLASHcitep] = ACTIONS(7439),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHciteA] = ACTIONS(7439),
    [anon_sym_BSLASHciteR] = ACTIONS(7439),
    [anon_sym_BSLASHciteS] = ACTIONS(7439),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7439),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7439),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7439),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7439),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHciteyear] = ACTIONS(7439),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcitedate] = ACTIONS(7439),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHciteurl] = ACTIONS(7439),
    [anon_sym_BSLASHfullcite] = ACTIONS(7439),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7439),
    [anon_sym_BSLASHcitealt] = ACTIONS(7439),
    [anon_sym_BSLASHcitealp] = ACTIONS(7439),
    [anon_sym_BSLASHcitetext] = ACTIONS(7439),
    [anon_sym_BSLASHparencite] = ACTIONS(7439),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHParencite] = ACTIONS(7439),
    [anon_sym_BSLASHfootcite] = ACTIONS(7439),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7439),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7439),
    [anon_sym_BSLASHtextcite] = ACTIONS(7439),
    [anon_sym_BSLASHTextcite] = ACTIONS(7439),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7439),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7439),
    [anon_sym_BSLASHsupercite] = ACTIONS(7439),
    [anon_sym_BSLASHautocite] = ACTIONS(7439),
    [anon_sym_BSLASHAutocite] = ACTIONS(7439),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHVolcite] = ACTIONS(7439),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHavolcite] = ACTIONS(7439),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHnotecite] = ACTIONS(7439),
    [anon_sym_BSLASHNotecite] = ACTIONS(7439),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7439),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7439),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7439),
    [anon_sym_BSLASHlabel] = ACTIONS(7439),
    [anon_sym_BSLASHref] = ACTIONS(7439),
    [anon_sym_BSLASHeqref] = ACTIONS(7439),
    [anon_sym_BSLASHvref] = ACTIONS(7439),
    [anon_sym_BSLASHVref] = ACTIONS(7439),
    [anon_sym_BSLASHautoref] = ACTIONS(7439),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHpageref] = ACTIONS(7439),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHautopageref] = ACTIONS(7439),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcref] = ACTIONS(7439),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHCref] = ACTIONS(7439),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcpageref] = ACTIONS(7439),
    [anon_sym_BSLASHCpageref] = ACTIONS(7439),
    [anon_sym_BSLASHnamecref] = ACTIONS(7439),
    [anon_sym_BSLASHnameCref] = ACTIONS(7439),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7439),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7439),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7439),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7439),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7439),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7439),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7439),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7439),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7439),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7439),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7439),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7439),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7439),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7439),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7439),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7439),
    [anon_sym_BSLASHdef] = ACTIONS(7439),
    [anon_sym_BSLASHgdef] = ACTIONS(7439),
    [anon_sym_BSLASHedef] = ACTIONS(7439),
    [anon_sym_BSLASHxdef] = ACTIONS(7439),
    [anon_sym_BSLASHlet] = ACTIONS(7439),
    [anon_sym_BSLASHglet] = ACTIONS(7439),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7439),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7439),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7439),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7439),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7439),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7439),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7439),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7439),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7439),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7439),
    [anon_sym_BSLASHgls] = ACTIONS(7439),
    [anon_sym_BSLASHGls] = ACTIONS(7439),
    [anon_sym_BSLASHGLS] = ACTIONS(7439),
    [anon_sym_BSLASHglspl] = ACTIONS(7439),
    [anon_sym_BSLASHGlspl] = ACTIONS(7439),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7439),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7439),
    [anon_sym_BSLASHglslink] = ACTIONS(7439),
    [anon_sym_BSLASHglstext] = ACTIONS(7439),
    [anon_sym_BSLASHGlstext] = ACTIONS(7439),
    [anon_sym_BSLASHGLStext] = ACTIONS(7439),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7439),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7439),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7439),
    [anon_sym_BSLASHglsplural] = ACTIONS(7439),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7439),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7439),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7439),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7439),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7439),
    [anon_sym_BSLASHglsname] = ACTIONS(7439),
    [anon_sym_BSLASHGlsname] = ACTIONS(7439),
    [anon_sym_BSLASHGLSname] = ACTIONS(7439),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7439),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7439),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7439),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7439),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7439),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7439),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7439),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7439),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7439),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7439),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7439),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7439),
    [anon_sym_BSLASHacrshort] = ACTIONS(7439),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7439),
    [anon_sym_BSLASHACRshort] = ACTIONS(7439),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHacrlong] = ACTIONS(7439),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7439),
    [anon_sym_BSLASHACRlong] = ACTIONS(7439),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7439),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7439),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7439),
    [anon_sym_BSLASHacrfull] = ACTIONS(7439),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7439),
    [anon_sym_BSLASHACRfull] = ACTIONS(7439),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHacs] = ACTIONS(7439),
    [anon_sym_BSLASHAcs] = ACTIONS(7439),
    [anon_sym_BSLASHacsp] = ACTIONS(7439),
    [anon_sym_BSLASHAcsp] = ACTIONS(7439),
    [anon_sym_BSLASHacl] = ACTIONS(7439),
    [anon_sym_BSLASHAcl] = ACTIONS(7439),
    [anon_sym_BSLASHaclp] = ACTIONS(7439),
    [anon_sym_BSLASHAclp] = ACTIONS(7439),
    [anon_sym_BSLASHacf] = ACTIONS(7439),
    [anon_sym_BSLASHAcf] = ACTIONS(7439),
    [anon_sym_BSLASHacfp] = ACTIONS(7439),
    [anon_sym_BSLASHAcfp] = ACTIONS(7439),
    [anon_sym_BSLASHac] = ACTIONS(7439),
    [anon_sym_BSLASHAc] = ACTIONS(7439),
    [anon_sym_BSLASHacp] = ACTIONS(7439),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7439),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7439),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7439),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7439),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7439),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7439),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7439),
    [anon_sym_BSLASHcolor] = ACTIONS(7439),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7439),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7439),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7439),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7439),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7439),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7439),
    [anon_sym_BSLASHurl] = ACTIONS(7439),
    [anon_sym_BSLASHhref] = ACTIONS(7439),
  },
  [1022] = {
    [ts_builtin_sym_end] = ACTIONS(7445),
    [sym_command_name] = ACTIONS(7443),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7443),
    [anon_sym_LBRACK] = ACTIONS(7445),
    [anon_sym_RBRACK] = ACTIONS(7445),
    [anon_sym_COMMA] = ACTIONS(7445),
    [anon_sym_EQ] = ACTIONS(7445),
    [anon_sym_LPAREN] = ACTIONS(7445),
    [anon_sym_RPAREN] = ACTIONS(7445),
    [anon_sym_BSLASHpart] = ACTIONS(7443),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHaddpart] = ACTIONS(7443),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHchapter] = ACTIONS(7443),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHaddchap] = ACTIONS(7443),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHsection] = ACTIONS(7443),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHaddsec] = ACTIONS(7443),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHsubsection] = ACTIONS(7443),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7443),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHparagraph] = ACTIONS(7443),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7443),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHitem] = ACTIONS(7443),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7445),
    [anon_sym_LBRACE] = ACTIONS(7445),
    [anon_sym_RBRACE] = ACTIONS(7445),
    [sym_word] = ACTIONS(7443),
    [sym_placeholder] = ACTIONS(7445),
    [sym_delimiter] = ACTIONS(7445),
    [anon_sym_PLUS] = ACTIONS(7445),
    [anon_sym_DASH] = ACTIONS(7445),
    [anon_sym_STAR] = ACTIONS(7445),
    [anon_sym_SLASH] = ACTIONS(7445),
    [anon_sym_LT] = ACTIONS(7443),
    [anon_sym_GT] = ACTIONS(7443),
    [anon_sym_BANG] = ACTIONS(7443),
    [anon_sym_PIPE] = ACTIONS(7443),
    [anon_sym_COLON] = ACTIONS(7443),
    [anon_sym_SQUOTE] = ACTIONS(7443),
    [anon_sym__] = ACTIONS(7445),
    [anon_sym_CARET] = ACTIONS(7445),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7445),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7445),
    [anon_sym_DOLLAR] = ACTIONS(7443),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7445),
    [anon_sym_BSLASHleft] = ACTIONS(7443),
    [anon_sym_BSLASHbigl] = ACTIONS(7443),
    [anon_sym_BSLASHBigl] = ACTIONS(7443),
    [anon_sym_BSLASHbiggl] = ACTIONS(7443),
    [anon_sym_BSLASHBiggl] = ACTIONS(7443),
    [anon_sym_BSLASHtext] = ACTIONS(7443),
    [anon_sym_BSLASHintertext] = ACTIONS(7443),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7443),
    [anon_sym_BSLASHbegin] = ACTIONS(7443),
    [anon_sym_BSLASHtitle] = ACTIONS(7443),
    [anon_sym_BSLASHauthor] = ACTIONS(7443),
    [anon_sym_BSLASHusepackage] = ACTIONS(7443),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7443),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7443),
    [anon_sym_BSLASHinclude] = ACTIONS(7443),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7443),
    [anon_sym_BSLASHinput] = ACTIONS(7443),
    [anon_sym_BSLASHsubfile] = ACTIONS(7443),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7443),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7443),
    [anon_sym_BSLASHbibliography] = ACTIONS(7443),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7443),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7443),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7443),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7443),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7443),
    [anon_sym_BSLASHimport] = ACTIONS(7443),
    [anon_sym_BSLASHsubimport] = ACTIONS(7443),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7443),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7443),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7443),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7443),
    [anon_sym_BSLASHcaption] = ACTIONS(7443),
    [anon_sym_BSLASHcite] = ACTIONS(7443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHCite] = ACTIONS(7443),
    [anon_sym_BSLASHnocite] = ACTIONS(7443),
    [anon_sym_BSLASHcitet] = ACTIONS(7443),
    [anon_sym_BSLASHcitep] = ACTIONS(7443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHciteA] = ACTIONS(7443),
    [anon_sym_BSLASHciteR] = ACTIONS(7443),
    [anon_sym_BSLASHciteS] = ACTIONS(7443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHciteyear] = ACTIONS(7443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcitedate] = ACTIONS(7443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHciteurl] = ACTIONS(7443),
    [anon_sym_BSLASHfullcite] = ACTIONS(7443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7443),
    [anon_sym_BSLASHcitealt] = ACTIONS(7443),
    [anon_sym_BSLASHcitealp] = ACTIONS(7443),
    [anon_sym_BSLASHcitetext] = ACTIONS(7443),
    [anon_sym_BSLASHparencite] = ACTIONS(7443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHParencite] = ACTIONS(7443),
    [anon_sym_BSLASHfootcite] = ACTIONS(7443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7443),
    [anon_sym_BSLASHtextcite] = ACTIONS(7443),
    [anon_sym_BSLASHTextcite] = ACTIONS(7443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7443),
    [anon_sym_BSLASHsupercite] = ACTIONS(7443),
    [anon_sym_BSLASHautocite] = ACTIONS(7443),
    [anon_sym_BSLASHAutocite] = ACTIONS(7443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHVolcite] = ACTIONS(7443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHavolcite] = ACTIONS(7443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHnotecite] = ACTIONS(7443),
    [anon_sym_BSLASHNotecite] = ACTIONS(7443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7443),
    [anon_sym_BSLASHlabel] = ACTIONS(7443),
    [anon_sym_BSLASHref] = ACTIONS(7443),
    [anon_sym_BSLASHeqref] = ACTIONS(7443),
    [anon_sym_BSLASHvref] = ACTIONS(7443),
    [anon_sym_BSLASHVref] = ACTIONS(7443),
    [anon_sym_BSLASHautoref] = ACTIONS(7443),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHpageref] = ACTIONS(7443),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHautopageref] = ACTIONS(7443),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcref] = ACTIONS(7443),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHCref] = ACTIONS(7443),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcpageref] = ACTIONS(7443),
    [anon_sym_BSLASHCpageref] = ACTIONS(7443),
    [anon_sym_BSLASHnamecref] = ACTIONS(7443),
    [anon_sym_BSLASHnameCref] = ACTIONS(7443),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7443),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7443),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7443),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7443),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7443),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7443),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7443),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7443),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7443),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7443),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7443),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7443),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7443),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7443),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7443),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7443),
    [anon_sym_BSLASHdef] = ACTIONS(7443),
    [anon_sym_BSLASHgdef] = ACTIONS(7443),
    [anon_sym_BSLASHedef] = ACTIONS(7443),
    [anon_sym_BSLASHxdef] = ACTIONS(7443),
    [anon_sym_BSLASHlet] = ACTIONS(7443),
    [anon_sym_BSLASHglet] = ACTIONS(7443),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7443),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7443),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7443),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7443),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7443),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7443),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7443),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7443),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7443),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7443),
    [anon_sym_BSLASHgls] = ACTIONS(7443),
    [anon_sym_BSLASHGls] = ACTIONS(7443),
    [anon_sym_BSLASHGLS] = ACTIONS(7443),
    [anon_sym_BSLASHglspl] = ACTIONS(7443),
    [anon_sym_BSLASHGlspl] = ACTIONS(7443),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7443),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7443),
    [anon_sym_BSLASHglslink] = ACTIONS(7443),
    [anon_sym_BSLASHglstext] = ACTIONS(7443),
    [anon_sym_BSLASHGlstext] = ACTIONS(7443),
    [anon_sym_BSLASHGLStext] = ACTIONS(7443),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7443),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7443),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7443),
    [anon_sym_BSLASHglsplural] = ACTIONS(7443),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7443),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7443),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7443),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7443),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7443),
    [anon_sym_BSLASHglsname] = ACTIONS(7443),
    [anon_sym_BSLASHGlsname] = ACTIONS(7443),
    [anon_sym_BSLASHGLSname] = ACTIONS(7443),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7443),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7443),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7443),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7443),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7443),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7443),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7443),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7443),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7443),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7443),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7443),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7443),
    [anon_sym_BSLASHacrshort] = ACTIONS(7443),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7443),
    [anon_sym_BSLASHACRshort] = ACTIONS(7443),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHacrlong] = ACTIONS(7443),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7443),
    [anon_sym_BSLASHACRlong] = ACTIONS(7443),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7443),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7443),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7443),
    [anon_sym_BSLASHacrfull] = ACTIONS(7443),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7443),
    [anon_sym_BSLASHACRfull] = ACTIONS(7443),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHacs] = ACTIONS(7443),
    [anon_sym_BSLASHAcs] = ACTIONS(7443),
    [anon_sym_BSLASHacsp] = ACTIONS(7443),
    [anon_sym_BSLASHAcsp] = ACTIONS(7443),
    [anon_sym_BSLASHacl] = ACTIONS(7443),
    [anon_sym_BSLASHAcl] = ACTIONS(7443),
    [anon_sym_BSLASHaclp] = ACTIONS(7443),
    [anon_sym_BSLASHAclp] = ACTIONS(7443),
    [anon_sym_BSLASHacf] = ACTIONS(7443),
    [anon_sym_BSLASHAcf] = ACTIONS(7443),
    [anon_sym_BSLASHacfp] = ACTIONS(7443),
    [anon_sym_BSLASHAcfp] = ACTIONS(7443),
    [anon_sym_BSLASHac] = ACTIONS(7443),
    [anon_sym_BSLASHAc] = ACTIONS(7443),
    [anon_sym_BSLASHacp] = ACTIONS(7443),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7443),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7443),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7443),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7443),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7443),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7443),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7443),
    [anon_sym_BSLASHcolor] = ACTIONS(7443),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7443),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7443),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7443),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7443),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7443),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7443),
    [anon_sym_BSLASHurl] = ACTIONS(7443),
    [anon_sym_BSLASHhref] = ACTIONS(7443),
  },
  [1023] = {
    [ts_builtin_sym_end] = ACTIONS(7073),
    [sym_command_name] = ACTIONS(7071),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7071),
    [anon_sym_LBRACK] = ACTIONS(7073),
    [anon_sym_RBRACK] = ACTIONS(7073),
    [anon_sym_COMMA] = ACTIONS(7073),
    [anon_sym_EQ] = ACTIONS(7073),
    [anon_sym_LPAREN] = ACTIONS(7073),
    [anon_sym_RPAREN] = ACTIONS(7073),
    [anon_sym_BSLASHpart] = ACTIONS(7071),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHaddpart] = ACTIONS(7071),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHchapter] = ACTIONS(7071),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHaddchap] = ACTIONS(7071),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHsection] = ACTIONS(7071),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHaddsec] = ACTIONS(7071),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHsubsection] = ACTIONS(7071),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7071),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHparagraph] = ACTIONS(7071),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7071),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHitem] = ACTIONS(7071),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7073),
    [anon_sym_LBRACE] = ACTIONS(7073),
    [anon_sym_RBRACE] = ACTIONS(7073),
    [sym_word] = ACTIONS(7071),
    [sym_placeholder] = ACTIONS(7073),
    [sym_delimiter] = ACTIONS(7073),
    [anon_sym_PLUS] = ACTIONS(7073),
    [anon_sym_DASH] = ACTIONS(7073),
    [anon_sym_STAR] = ACTIONS(7073),
    [anon_sym_SLASH] = ACTIONS(7073),
    [anon_sym_LT] = ACTIONS(7071),
    [anon_sym_GT] = ACTIONS(7071),
    [anon_sym_BANG] = ACTIONS(7071),
    [anon_sym_PIPE] = ACTIONS(7071),
    [anon_sym_COLON] = ACTIONS(7071),
    [anon_sym_SQUOTE] = ACTIONS(7071),
    [anon_sym__] = ACTIONS(7073),
    [anon_sym_CARET] = ACTIONS(7073),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7073),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7073),
    [anon_sym_DOLLAR] = ACTIONS(7071),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7073),
    [anon_sym_BSLASHleft] = ACTIONS(7071),
    [anon_sym_BSLASHbigl] = ACTIONS(7071),
    [anon_sym_BSLASHBigl] = ACTIONS(7071),
    [anon_sym_BSLASHbiggl] = ACTIONS(7071),
    [anon_sym_BSLASHBiggl] = ACTIONS(7071),
    [anon_sym_BSLASHtext] = ACTIONS(7071),
    [anon_sym_BSLASHintertext] = ACTIONS(7071),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7071),
    [anon_sym_BSLASHbegin] = ACTIONS(7071),
    [anon_sym_BSLASHtitle] = ACTIONS(7071),
    [anon_sym_BSLASHauthor] = ACTIONS(7071),
    [anon_sym_BSLASHusepackage] = ACTIONS(7071),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7071),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7071),
    [anon_sym_BSLASHinclude] = ACTIONS(7071),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7071),
    [anon_sym_BSLASHinput] = ACTIONS(7071),
    [anon_sym_BSLASHsubfile] = ACTIONS(7071),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7071),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7071),
    [anon_sym_BSLASHbibliography] = ACTIONS(7071),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7071),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7071),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7071),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7071),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7071),
    [anon_sym_BSLASHimport] = ACTIONS(7071),
    [anon_sym_BSLASHsubimport] = ACTIONS(7071),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7071),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7071),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7071),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7071),
    [anon_sym_BSLASHcaption] = ACTIONS(7071),
    [anon_sym_BSLASHcite] = ACTIONS(7071),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHCite] = ACTIONS(7071),
    [anon_sym_BSLASHnocite] = ACTIONS(7071),
    [anon_sym_BSLASHcitet] = ACTIONS(7071),
    [anon_sym_BSLASHcitep] = ACTIONS(7071),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHciteA] = ACTIONS(7071),
    [anon_sym_BSLASHciteR] = ACTIONS(7071),
    [anon_sym_BSLASHciteS] = ACTIONS(7071),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7071),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7071),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7071),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7071),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHciteyear] = ACTIONS(7071),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcitedate] = ACTIONS(7071),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHciteurl] = ACTIONS(7071),
    [anon_sym_BSLASHfullcite] = ACTIONS(7071),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7071),
    [anon_sym_BSLASHcitealt] = ACTIONS(7071),
    [anon_sym_BSLASHcitealp] = ACTIONS(7071),
    [anon_sym_BSLASHcitetext] = ACTIONS(7071),
    [anon_sym_BSLASHparencite] = ACTIONS(7071),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHParencite] = ACTIONS(7071),
    [anon_sym_BSLASHfootcite] = ACTIONS(7071),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7071),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7071),
    [anon_sym_BSLASHtextcite] = ACTIONS(7071),
    [anon_sym_BSLASHTextcite] = ACTIONS(7071),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7071),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7071),
    [anon_sym_BSLASHsupercite] = ACTIONS(7071),
    [anon_sym_BSLASHautocite] = ACTIONS(7071),
    [anon_sym_BSLASHAutocite] = ACTIONS(7071),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHVolcite] = ACTIONS(7071),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHavolcite] = ACTIONS(7071),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHnotecite] = ACTIONS(7071),
    [anon_sym_BSLASHNotecite] = ACTIONS(7071),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7071),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7071),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7071),
    [anon_sym_BSLASHlabel] = ACTIONS(7071),
    [anon_sym_BSLASHref] = ACTIONS(7071),
    [anon_sym_BSLASHeqref] = ACTIONS(7071),
    [anon_sym_BSLASHvref] = ACTIONS(7071),
    [anon_sym_BSLASHVref] = ACTIONS(7071),
    [anon_sym_BSLASHautoref] = ACTIONS(7071),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHpageref] = ACTIONS(7071),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHautopageref] = ACTIONS(7071),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcref] = ACTIONS(7071),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHCref] = ACTIONS(7071),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcpageref] = ACTIONS(7071),
    [anon_sym_BSLASHCpageref] = ACTIONS(7071),
    [anon_sym_BSLASHnamecref] = ACTIONS(7071),
    [anon_sym_BSLASHnameCref] = ACTIONS(7071),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7071),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7071),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7071),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7071),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7071),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7071),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7071),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7071),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7071),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7071),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7071),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7071),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7071),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7071),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7071),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7071),
    [anon_sym_BSLASHdef] = ACTIONS(7071),
    [anon_sym_BSLASHgdef] = ACTIONS(7071),
    [anon_sym_BSLASHedef] = ACTIONS(7071),
    [anon_sym_BSLASHxdef] = ACTIONS(7071),
    [anon_sym_BSLASHlet] = ACTIONS(7071),
    [anon_sym_BSLASHglet] = ACTIONS(7071),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7071),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7071),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7071),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7071),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7071),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7071),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7071),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7071),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7071),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7071),
    [anon_sym_BSLASHgls] = ACTIONS(7071),
    [anon_sym_BSLASHGls] = ACTIONS(7071),
    [anon_sym_BSLASHGLS] = ACTIONS(7071),
    [anon_sym_BSLASHglspl] = ACTIONS(7071),
    [anon_sym_BSLASHGlspl] = ACTIONS(7071),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7071),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7071),
    [anon_sym_BSLASHglslink] = ACTIONS(7071),
    [anon_sym_BSLASHglstext] = ACTIONS(7071),
    [anon_sym_BSLASHGlstext] = ACTIONS(7071),
    [anon_sym_BSLASHGLStext] = ACTIONS(7071),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7071),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7071),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7071),
    [anon_sym_BSLASHglsplural] = ACTIONS(7071),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7071),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7071),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7071),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7071),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7071),
    [anon_sym_BSLASHglsname] = ACTIONS(7071),
    [anon_sym_BSLASHGlsname] = ACTIONS(7071),
    [anon_sym_BSLASHGLSname] = ACTIONS(7071),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7071),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7071),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7071),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7071),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7071),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7071),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7071),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7071),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7071),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7071),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7071),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7071),
    [anon_sym_BSLASHacrshort] = ACTIONS(7071),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7071),
    [anon_sym_BSLASHACRshort] = ACTIONS(7071),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHacrlong] = ACTIONS(7071),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7071),
    [anon_sym_BSLASHACRlong] = ACTIONS(7071),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7071),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7071),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7071),
    [anon_sym_BSLASHacrfull] = ACTIONS(7071),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7071),
    [anon_sym_BSLASHACRfull] = ACTIONS(7071),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHacs] = ACTIONS(7071),
    [anon_sym_BSLASHAcs] = ACTIONS(7071),
    [anon_sym_BSLASHacsp] = ACTIONS(7071),
    [anon_sym_BSLASHAcsp] = ACTIONS(7071),
    [anon_sym_BSLASHacl] = ACTIONS(7071),
    [anon_sym_BSLASHAcl] = ACTIONS(7071),
    [anon_sym_BSLASHaclp] = ACTIONS(7071),
    [anon_sym_BSLASHAclp] = ACTIONS(7071),
    [anon_sym_BSLASHacf] = ACTIONS(7071),
    [anon_sym_BSLASHAcf] = ACTIONS(7071),
    [anon_sym_BSLASHacfp] = ACTIONS(7071),
    [anon_sym_BSLASHAcfp] = ACTIONS(7071),
    [anon_sym_BSLASHac] = ACTIONS(7071),
    [anon_sym_BSLASHAc] = ACTIONS(7071),
    [anon_sym_BSLASHacp] = ACTIONS(7071),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7071),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7071),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7071),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7071),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7071),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7071),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7071),
    [anon_sym_BSLASHcolor] = ACTIONS(7071),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7071),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7071),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7071),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7071),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7071),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7071),
    [anon_sym_BSLASHurl] = ACTIONS(7071),
    [anon_sym_BSLASHhref] = ACTIONS(7071),
  },
  [1024] = {
    [ts_builtin_sym_end] = ACTIONS(7077),
    [sym_command_name] = ACTIONS(7075),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7075),
    [anon_sym_LBRACK] = ACTIONS(7077),
    [anon_sym_RBRACK] = ACTIONS(7077),
    [anon_sym_COMMA] = ACTIONS(7077),
    [anon_sym_EQ] = ACTIONS(7077),
    [anon_sym_LPAREN] = ACTIONS(7077),
    [anon_sym_RPAREN] = ACTIONS(7077),
    [anon_sym_BSLASHpart] = ACTIONS(7075),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHaddpart] = ACTIONS(7075),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHchapter] = ACTIONS(7075),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHaddchap] = ACTIONS(7075),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHsection] = ACTIONS(7075),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHaddsec] = ACTIONS(7075),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHsubsection] = ACTIONS(7075),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7075),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHparagraph] = ACTIONS(7075),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7075),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHitem] = ACTIONS(7075),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7077),
    [anon_sym_LBRACE] = ACTIONS(7077),
    [anon_sym_RBRACE] = ACTIONS(7077),
    [sym_word] = ACTIONS(7075),
    [sym_placeholder] = ACTIONS(7077),
    [sym_delimiter] = ACTIONS(7077),
    [anon_sym_PLUS] = ACTIONS(7077),
    [anon_sym_DASH] = ACTIONS(7077),
    [anon_sym_STAR] = ACTIONS(7077),
    [anon_sym_SLASH] = ACTIONS(7077),
    [anon_sym_LT] = ACTIONS(7075),
    [anon_sym_GT] = ACTIONS(7075),
    [anon_sym_BANG] = ACTIONS(7075),
    [anon_sym_PIPE] = ACTIONS(7075),
    [anon_sym_COLON] = ACTIONS(7075),
    [anon_sym_SQUOTE] = ACTIONS(7075),
    [anon_sym__] = ACTIONS(7077),
    [anon_sym_CARET] = ACTIONS(7077),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7077),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7077),
    [anon_sym_DOLLAR] = ACTIONS(7075),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7077),
    [anon_sym_BSLASHleft] = ACTIONS(7075),
    [anon_sym_BSLASHbigl] = ACTIONS(7075),
    [anon_sym_BSLASHBigl] = ACTIONS(7075),
    [anon_sym_BSLASHbiggl] = ACTIONS(7075),
    [anon_sym_BSLASHBiggl] = ACTIONS(7075),
    [anon_sym_BSLASHtext] = ACTIONS(7075),
    [anon_sym_BSLASHintertext] = ACTIONS(7075),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7075),
    [anon_sym_BSLASHbegin] = ACTIONS(7075),
    [anon_sym_BSLASHtitle] = ACTIONS(7075),
    [anon_sym_BSLASHauthor] = ACTIONS(7075),
    [anon_sym_BSLASHusepackage] = ACTIONS(7075),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7075),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7075),
    [anon_sym_BSLASHinclude] = ACTIONS(7075),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7075),
    [anon_sym_BSLASHinput] = ACTIONS(7075),
    [anon_sym_BSLASHsubfile] = ACTIONS(7075),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7075),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7075),
    [anon_sym_BSLASHbibliography] = ACTIONS(7075),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7075),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7075),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7075),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7075),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7075),
    [anon_sym_BSLASHimport] = ACTIONS(7075),
    [anon_sym_BSLASHsubimport] = ACTIONS(7075),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7075),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7075),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7075),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7075),
    [anon_sym_BSLASHcaption] = ACTIONS(7075),
    [anon_sym_BSLASHcite] = ACTIONS(7075),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHCite] = ACTIONS(7075),
    [anon_sym_BSLASHnocite] = ACTIONS(7075),
    [anon_sym_BSLASHcitet] = ACTIONS(7075),
    [anon_sym_BSLASHcitep] = ACTIONS(7075),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHciteA] = ACTIONS(7075),
    [anon_sym_BSLASHciteR] = ACTIONS(7075),
    [anon_sym_BSLASHciteS] = ACTIONS(7075),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7075),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7075),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7075),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7075),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHciteyear] = ACTIONS(7075),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcitedate] = ACTIONS(7075),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHciteurl] = ACTIONS(7075),
    [anon_sym_BSLASHfullcite] = ACTIONS(7075),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7075),
    [anon_sym_BSLASHcitealt] = ACTIONS(7075),
    [anon_sym_BSLASHcitealp] = ACTIONS(7075),
    [anon_sym_BSLASHcitetext] = ACTIONS(7075),
    [anon_sym_BSLASHparencite] = ACTIONS(7075),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHParencite] = ACTIONS(7075),
    [anon_sym_BSLASHfootcite] = ACTIONS(7075),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7075),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7075),
    [anon_sym_BSLASHtextcite] = ACTIONS(7075),
    [anon_sym_BSLASHTextcite] = ACTIONS(7075),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7075),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7075),
    [anon_sym_BSLASHsupercite] = ACTIONS(7075),
    [anon_sym_BSLASHautocite] = ACTIONS(7075),
    [anon_sym_BSLASHAutocite] = ACTIONS(7075),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHVolcite] = ACTIONS(7075),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHavolcite] = ACTIONS(7075),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHnotecite] = ACTIONS(7075),
    [anon_sym_BSLASHNotecite] = ACTIONS(7075),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7075),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7075),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7075),
    [anon_sym_BSLASHlabel] = ACTIONS(7075),
    [anon_sym_BSLASHref] = ACTIONS(7075),
    [anon_sym_BSLASHeqref] = ACTIONS(7075),
    [anon_sym_BSLASHvref] = ACTIONS(7075),
    [anon_sym_BSLASHVref] = ACTIONS(7075),
    [anon_sym_BSLASHautoref] = ACTIONS(7075),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHpageref] = ACTIONS(7075),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHautopageref] = ACTIONS(7075),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcref] = ACTIONS(7075),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHCref] = ACTIONS(7075),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcpageref] = ACTIONS(7075),
    [anon_sym_BSLASHCpageref] = ACTIONS(7075),
    [anon_sym_BSLASHnamecref] = ACTIONS(7075),
    [anon_sym_BSLASHnameCref] = ACTIONS(7075),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7075),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7075),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7075),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7075),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7075),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7075),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7075),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7075),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7075),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7075),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7075),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7075),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7075),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7075),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7075),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7075),
    [anon_sym_BSLASHdef] = ACTIONS(7075),
    [anon_sym_BSLASHgdef] = ACTIONS(7075),
    [anon_sym_BSLASHedef] = ACTIONS(7075),
    [anon_sym_BSLASHxdef] = ACTIONS(7075),
    [anon_sym_BSLASHlet] = ACTIONS(7075),
    [anon_sym_BSLASHglet] = ACTIONS(7075),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7075),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7075),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7075),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7075),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7075),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7075),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7075),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7075),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7075),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7075),
    [anon_sym_BSLASHgls] = ACTIONS(7075),
    [anon_sym_BSLASHGls] = ACTIONS(7075),
    [anon_sym_BSLASHGLS] = ACTIONS(7075),
    [anon_sym_BSLASHglspl] = ACTIONS(7075),
    [anon_sym_BSLASHGlspl] = ACTIONS(7075),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7075),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7075),
    [anon_sym_BSLASHglslink] = ACTIONS(7075),
    [anon_sym_BSLASHglstext] = ACTIONS(7075),
    [anon_sym_BSLASHGlstext] = ACTIONS(7075),
    [anon_sym_BSLASHGLStext] = ACTIONS(7075),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7075),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7075),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7075),
    [anon_sym_BSLASHglsplural] = ACTIONS(7075),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7075),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7075),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7075),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7075),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7075),
    [anon_sym_BSLASHglsname] = ACTIONS(7075),
    [anon_sym_BSLASHGlsname] = ACTIONS(7075),
    [anon_sym_BSLASHGLSname] = ACTIONS(7075),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7075),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7075),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7075),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7075),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7075),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7075),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7075),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7075),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7075),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7075),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7075),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7075),
    [anon_sym_BSLASHacrshort] = ACTIONS(7075),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7075),
    [anon_sym_BSLASHACRshort] = ACTIONS(7075),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHacrlong] = ACTIONS(7075),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7075),
    [anon_sym_BSLASHACRlong] = ACTIONS(7075),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7075),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7075),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7075),
    [anon_sym_BSLASHacrfull] = ACTIONS(7075),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7075),
    [anon_sym_BSLASHACRfull] = ACTIONS(7075),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHacs] = ACTIONS(7075),
    [anon_sym_BSLASHAcs] = ACTIONS(7075),
    [anon_sym_BSLASHacsp] = ACTIONS(7075),
    [anon_sym_BSLASHAcsp] = ACTIONS(7075),
    [anon_sym_BSLASHacl] = ACTIONS(7075),
    [anon_sym_BSLASHAcl] = ACTIONS(7075),
    [anon_sym_BSLASHaclp] = ACTIONS(7075),
    [anon_sym_BSLASHAclp] = ACTIONS(7075),
    [anon_sym_BSLASHacf] = ACTIONS(7075),
    [anon_sym_BSLASHAcf] = ACTIONS(7075),
    [anon_sym_BSLASHacfp] = ACTIONS(7075),
    [anon_sym_BSLASHAcfp] = ACTIONS(7075),
    [anon_sym_BSLASHac] = ACTIONS(7075),
    [anon_sym_BSLASHAc] = ACTIONS(7075),
    [anon_sym_BSLASHacp] = ACTIONS(7075),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7075),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7075),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7075),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7075),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7075),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7075),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7075),
    [anon_sym_BSLASHcolor] = ACTIONS(7075),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7075),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7075),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7075),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7075),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7075),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7075),
    [anon_sym_BSLASHurl] = ACTIONS(7075),
    [anon_sym_BSLASHhref] = ACTIONS(7075),
  },
  [1025] = {
    [ts_builtin_sym_end] = ACTIONS(7081),
    [sym_command_name] = ACTIONS(7079),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7079),
    [anon_sym_LBRACK] = ACTIONS(7081),
    [anon_sym_RBRACK] = ACTIONS(7081),
    [anon_sym_COMMA] = ACTIONS(7081),
    [anon_sym_EQ] = ACTIONS(7081),
    [anon_sym_LPAREN] = ACTIONS(7081),
    [anon_sym_RPAREN] = ACTIONS(7081),
    [anon_sym_BSLASHpart] = ACTIONS(7079),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHaddpart] = ACTIONS(7079),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHchapter] = ACTIONS(7079),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHaddchap] = ACTIONS(7079),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHsection] = ACTIONS(7079),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHaddsec] = ACTIONS(7079),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHsubsection] = ACTIONS(7079),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7079),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHparagraph] = ACTIONS(7079),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7079),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHitem] = ACTIONS(7079),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7081),
    [anon_sym_LBRACE] = ACTIONS(7081),
    [anon_sym_RBRACE] = ACTIONS(7081),
    [sym_word] = ACTIONS(7079),
    [sym_placeholder] = ACTIONS(7081),
    [sym_delimiter] = ACTIONS(7081),
    [anon_sym_PLUS] = ACTIONS(7081),
    [anon_sym_DASH] = ACTIONS(7081),
    [anon_sym_STAR] = ACTIONS(7081),
    [anon_sym_SLASH] = ACTIONS(7081),
    [anon_sym_LT] = ACTIONS(7079),
    [anon_sym_GT] = ACTIONS(7079),
    [anon_sym_BANG] = ACTIONS(7079),
    [anon_sym_PIPE] = ACTIONS(7079),
    [anon_sym_COLON] = ACTIONS(7079),
    [anon_sym_SQUOTE] = ACTIONS(7079),
    [anon_sym__] = ACTIONS(7081),
    [anon_sym_CARET] = ACTIONS(7081),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7081),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7081),
    [anon_sym_DOLLAR] = ACTIONS(7079),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7081),
    [anon_sym_BSLASHleft] = ACTIONS(7079),
    [anon_sym_BSLASHbigl] = ACTIONS(7079),
    [anon_sym_BSLASHBigl] = ACTIONS(7079),
    [anon_sym_BSLASHbiggl] = ACTIONS(7079),
    [anon_sym_BSLASHBiggl] = ACTIONS(7079),
    [anon_sym_BSLASHtext] = ACTIONS(7079),
    [anon_sym_BSLASHintertext] = ACTIONS(7079),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7079),
    [anon_sym_BSLASHbegin] = ACTIONS(7079),
    [anon_sym_BSLASHtitle] = ACTIONS(7079),
    [anon_sym_BSLASHauthor] = ACTIONS(7079),
    [anon_sym_BSLASHusepackage] = ACTIONS(7079),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7079),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7079),
    [anon_sym_BSLASHinclude] = ACTIONS(7079),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7079),
    [anon_sym_BSLASHinput] = ACTIONS(7079),
    [anon_sym_BSLASHsubfile] = ACTIONS(7079),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7079),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7079),
    [anon_sym_BSLASHbibliography] = ACTIONS(7079),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7079),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7079),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7079),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7079),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7079),
    [anon_sym_BSLASHimport] = ACTIONS(7079),
    [anon_sym_BSLASHsubimport] = ACTIONS(7079),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7079),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7079),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7079),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7079),
    [anon_sym_BSLASHcaption] = ACTIONS(7079),
    [anon_sym_BSLASHcite] = ACTIONS(7079),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHCite] = ACTIONS(7079),
    [anon_sym_BSLASHnocite] = ACTIONS(7079),
    [anon_sym_BSLASHcitet] = ACTIONS(7079),
    [anon_sym_BSLASHcitep] = ACTIONS(7079),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHciteA] = ACTIONS(7079),
    [anon_sym_BSLASHciteR] = ACTIONS(7079),
    [anon_sym_BSLASHciteS] = ACTIONS(7079),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7079),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7079),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7079),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7079),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHciteyear] = ACTIONS(7079),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcitedate] = ACTIONS(7079),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHciteurl] = ACTIONS(7079),
    [anon_sym_BSLASHfullcite] = ACTIONS(7079),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7079),
    [anon_sym_BSLASHcitealt] = ACTIONS(7079),
    [anon_sym_BSLASHcitealp] = ACTIONS(7079),
    [anon_sym_BSLASHcitetext] = ACTIONS(7079),
    [anon_sym_BSLASHparencite] = ACTIONS(7079),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHParencite] = ACTIONS(7079),
    [anon_sym_BSLASHfootcite] = ACTIONS(7079),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7079),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7079),
    [anon_sym_BSLASHtextcite] = ACTIONS(7079),
    [anon_sym_BSLASHTextcite] = ACTIONS(7079),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7079),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7079),
    [anon_sym_BSLASHsupercite] = ACTIONS(7079),
    [anon_sym_BSLASHautocite] = ACTIONS(7079),
    [anon_sym_BSLASHAutocite] = ACTIONS(7079),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHVolcite] = ACTIONS(7079),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHavolcite] = ACTIONS(7079),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHnotecite] = ACTIONS(7079),
    [anon_sym_BSLASHNotecite] = ACTIONS(7079),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7079),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7079),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7079),
    [anon_sym_BSLASHlabel] = ACTIONS(7079),
    [anon_sym_BSLASHref] = ACTIONS(7079),
    [anon_sym_BSLASHeqref] = ACTIONS(7079),
    [anon_sym_BSLASHvref] = ACTIONS(7079),
    [anon_sym_BSLASHVref] = ACTIONS(7079),
    [anon_sym_BSLASHautoref] = ACTIONS(7079),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHpageref] = ACTIONS(7079),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHautopageref] = ACTIONS(7079),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcref] = ACTIONS(7079),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHCref] = ACTIONS(7079),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcpageref] = ACTIONS(7079),
    [anon_sym_BSLASHCpageref] = ACTIONS(7079),
    [anon_sym_BSLASHnamecref] = ACTIONS(7079),
    [anon_sym_BSLASHnameCref] = ACTIONS(7079),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7079),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7079),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7079),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7079),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7079),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7079),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7079),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7079),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7079),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7079),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7079),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7079),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7079),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7079),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7079),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7079),
    [anon_sym_BSLASHdef] = ACTIONS(7079),
    [anon_sym_BSLASHgdef] = ACTIONS(7079),
    [anon_sym_BSLASHedef] = ACTIONS(7079),
    [anon_sym_BSLASHxdef] = ACTIONS(7079),
    [anon_sym_BSLASHlet] = ACTIONS(7079),
    [anon_sym_BSLASHglet] = ACTIONS(7079),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7079),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7079),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7079),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7079),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7079),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7079),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7079),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7079),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7079),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7079),
    [anon_sym_BSLASHgls] = ACTIONS(7079),
    [anon_sym_BSLASHGls] = ACTIONS(7079),
    [anon_sym_BSLASHGLS] = ACTIONS(7079),
    [anon_sym_BSLASHglspl] = ACTIONS(7079),
    [anon_sym_BSLASHGlspl] = ACTIONS(7079),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7079),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7079),
    [anon_sym_BSLASHglslink] = ACTIONS(7079),
    [anon_sym_BSLASHglstext] = ACTIONS(7079),
    [anon_sym_BSLASHGlstext] = ACTIONS(7079),
    [anon_sym_BSLASHGLStext] = ACTIONS(7079),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7079),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7079),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7079),
    [anon_sym_BSLASHglsplural] = ACTIONS(7079),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7079),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7079),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7079),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7079),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7079),
    [anon_sym_BSLASHglsname] = ACTIONS(7079),
    [anon_sym_BSLASHGlsname] = ACTIONS(7079),
    [anon_sym_BSLASHGLSname] = ACTIONS(7079),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7079),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7079),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7079),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7079),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7079),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7079),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7079),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7079),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7079),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7079),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7079),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7079),
    [anon_sym_BSLASHacrshort] = ACTIONS(7079),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7079),
    [anon_sym_BSLASHACRshort] = ACTIONS(7079),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHacrlong] = ACTIONS(7079),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7079),
    [anon_sym_BSLASHACRlong] = ACTIONS(7079),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7079),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7079),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7079),
    [anon_sym_BSLASHacrfull] = ACTIONS(7079),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7079),
    [anon_sym_BSLASHACRfull] = ACTIONS(7079),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHacs] = ACTIONS(7079),
    [anon_sym_BSLASHAcs] = ACTIONS(7079),
    [anon_sym_BSLASHacsp] = ACTIONS(7079),
    [anon_sym_BSLASHAcsp] = ACTIONS(7079),
    [anon_sym_BSLASHacl] = ACTIONS(7079),
    [anon_sym_BSLASHAcl] = ACTIONS(7079),
    [anon_sym_BSLASHaclp] = ACTIONS(7079),
    [anon_sym_BSLASHAclp] = ACTIONS(7079),
    [anon_sym_BSLASHacf] = ACTIONS(7079),
    [anon_sym_BSLASHAcf] = ACTIONS(7079),
    [anon_sym_BSLASHacfp] = ACTIONS(7079),
    [anon_sym_BSLASHAcfp] = ACTIONS(7079),
    [anon_sym_BSLASHac] = ACTIONS(7079),
    [anon_sym_BSLASHAc] = ACTIONS(7079),
    [anon_sym_BSLASHacp] = ACTIONS(7079),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7079),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7079),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7079),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7079),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7079),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7079),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7079),
    [anon_sym_BSLASHcolor] = ACTIONS(7079),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7079),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7079),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7079),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7079),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7079),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7079),
    [anon_sym_BSLASHurl] = ACTIONS(7079),
    [anon_sym_BSLASHhref] = ACTIONS(7079),
  },
  [1026] = {
    [ts_builtin_sym_end] = ACTIONS(7085),
    [sym_command_name] = ACTIONS(7083),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7083),
    [anon_sym_LBRACK] = ACTIONS(7085),
    [anon_sym_RBRACK] = ACTIONS(7085),
    [anon_sym_COMMA] = ACTIONS(7085),
    [anon_sym_EQ] = ACTIONS(7085),
    [anon_sym_LPAREN] = ACTIONS(7085),
    [anon_sym_RPAREN] = ACTIONS(7085),
    [anon_sym_BSLASHpart] = ACTIONS(7083),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHaddpart] = ACTIONS(7083),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHchapter] = ACTIONS(7083),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHaddchap] = ACTIONS(7083),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHsection] = ACTIONS(7083),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHaddsec] = ACTIONS(7083),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHsubsection] = ACTIONS(7083),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7083),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHparagraph] = ACTIONS(7083),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7083),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHitem] = ACTIONS(7083),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7085),
    [anon_sym_LBRACE] = ACTIONS(7085),
    [anon_sym_RBRACE] = ACTIONS(7085),
    [sym_word] = ACTIONS(7083),
    [sym_placeholder] = ACTIONS(7085),
    [sym_delimiter] = ACTIONS(7085),
    [anon_sym_PLUS] = ACTIONS(7085),
    [anon_sym_DASH] = ACTIONS(7085),
    [anon_sym_STAR] = ACTIONS(7085),
    [anon_sym_SLASH] = ACTIONS(7085),
    [anon_sym_LT] = ACTIONS(7083),
    [anon_sym_GT] = ACTIONS(7083),
    [anon_sym_BANG] = ACTIONS(7083),
    [anon_sym_PIPE] = ACTIONS(7083),
    [anon_sym_COLON] = ACTIONS(7083),
    [anon_sym_SQUOTE] = ACTIONS(7083),
    [anon_sym__] = ACTIONS(7085),
    [anon_sym_CARET] = ACTIONS(7085),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7085),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7085),
    [anon_sym_DOLLAR] = ACTIONS(7083),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7085),
    [anon_sym_BSLASHleft] = ACTIONS(7083),
    [anon_sym_BSLASHbigl] = ACTIONS(7083),
    [anon_sym_BSLASHBigl] = ACTIONS(7083),
    [anon_sym_BSLASHbiggl] = ACTIONS(7083),
    [anon_sym_BSLASHBiggl] = ACTIONS(7083),
    [anon_sym_BSLASHtext] = ACTIONS(7083),
    [anon_sym_BSLASHintertext] = ACTIONS(7083),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7083),
    [anon_sym_BSLASHbegin] = ACTIONS(7083),
    [anon_sym_BSLASHtitle] = ACTIONS(7083),
    [anon_sym_BSLASHauthor] = ACTIONS(7083),
    [anon_sym_BSLASHusepackage] = ACTIONS(7083),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7083),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7083),
    [anon_sym_BSLASHinclude] = ACTIONS(7083),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7083),
    [anon_sym_BSLASHinput] = ACTIONS(7083),
    [anon_sym_BSLASHsubfile] = ACTIONS(7083),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7083),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7083),
    [anon_sym_BSLASHbibliography] = ACTIONS(7083),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7083),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7083),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7083),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7083),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7083),
    [anon_sym_BSLASHimport] = ACTIONS(7083),
    [anon_sym_BSLASHsubimport] = ACTIONS(7083),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7083),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7083),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7083),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7083),
    [anon_sym_BSLASHcaption] = ACTIONS(7083),
    [anon_sym_BSLASHcite] = ACTIONS(7083),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHCite] = ACTIONS(7083),
    [anon_sym_BSLASHnocite] = ACTIONS(7083),
    [anon_sym_BSLASHcitet] = ACTIONS(7083),
    [anon_sym_BSLASHcitep] = ACTIONS(7083),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHciteA] = ACTIONS(7083),
    [anon_sym_BSLASHciteR] = ACTIONS(7083),
    [anon_sym_BSLASHciteS] = ACTIONS(7083),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7083),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7083),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7083),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7083),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHciteyear] = ACTIONS(7083),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcitedate] = ACTIONS(7083),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHciteurl] = ACTIONS(7083),
    [anon_sym_BSLASHfullcite] = ACTIONS(7083),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7083),
    [anon_sym_BSLASHcitealt] = ACTIONS(7083),
    [anon_sym_BSLASHcitealp] = ACTIONS(7083),
    [anon_sym_BSLASHcitetext] = ACTIONS(7083),
    [anon_sym_BSLASHparencite] = ACTIONS(7083),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHParencite] = ACTIONS(7083),
    [anon_sym_BSLASHfootcite] = ACTIONS(7083),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7083),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7083),
    [anon_sym_BSLASHtextcite] = ACTIONS(7083),
    [anon_sym_BSLASHTextcite] = ACTIONS(7083),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7083),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7083),
    [anon_sym_BSLASHsupercite] = ACTIONS(7083),
    [anon_sym_BSLASHautocite] = ACTIONS(7083),
    [anon_sym_BSLASHAutocite] = ACTIONS(7083),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHVolcite] = ACTIONS(7083),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHavolcite] = ACTIONS(7083),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHnotecite] = ACTIONS(7083),
    [anon_sym_BSLASHNotecite] = ACTIONS(7083),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7083),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7083),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7083),
    [anon_sym_BSLASHlabel] = ACTIONS(7083),
    [anon_sym_BSLASHref] = ACTIONS(7083),
    [anon_sym_BSLASHeqref] = ACTIONS(7083),
    [anon_sym_BSLASHvref] = ACTIONS(7083),
    [anon_sym_BSLASHVref] = ACTIONS(7083),
    [anon_sym_BSLASHautoref] = ACTIONS(7083),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHpageref] = ACTIONS(7083),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHautopageref] = ACTIONS(7083),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcref] = ACTIONS(7083),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHCref] = ACTIONS(7083),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcpageref] = ACTIONS(7083),
    [anon_sym_BSLASHCpageref] = ACTIONS(7083),
    [anon_sym_BSLASHnamecref] = ACTIONS(7083),
    [anon_sym_BSLASHnameCref] = ACTIONS(7083),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7083),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7083),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7083),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7083),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7083),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7083),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7083),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7083),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7083),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7083),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7083),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7083),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7083),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7083),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7083),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7083),
    [anon_sym_BSLASHdef] = ACTIONS(7083),
    [anon_sym_BSLASHgdef] = ACTIONS(7083),
    [anon_sym_BSLASHedef] = ACTIONS(7083),
    [anon_sym_BSLASHxdef] = ACTIONS(7083),
    [anon_sym_BSLASHlet] = ACTIONS(7083),
    [anon_sym_BSLASHglet] = ACTIONS(7083),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7083),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7083),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7083),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7083),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7083),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7083),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7083),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7083),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7083),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7083),
    [anon_sym_BSLASHgls] = ACTIONS(7083),
    [anon_sym_BSLASHGls] = ACTIONS(7083),
    [anon_sym_BSLASHGLS] = ACTIONS(7083),
    [anon_sym_BSLASHglspl] = ACTIONS(7083),
    [anon_sym_BSLASHGlspl] = ACTIONS(7083),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7083),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7083),
    [anon_sym_BSLASHglslink] = ACTIONS(7083),
    [anon_sym_BSLASHglstext] = ACTIONS(7083),
    [anon_sym_BSLASHGlstext] = ACTIONS(7083),
    [anon_sym_BSLASHGLStext] = ACTIONS(7083),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7083),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7083),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7083),
    [anon_sym_BSLASHglsplural] = ACTIONS(7083),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7083),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7083),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7083),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7083),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7083),
    [anon_sym_BSLASHglsname] = ACTIONS(7083),
    [anon_sym_BSLASHGlsname] = ACTIONS(7083),
    [anon_sym_BSLASHGLSname] = ACTIONS(7083),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7083),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7083),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7083),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7083),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7083),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7083),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7083),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7083),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7083),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7083),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7083),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7083),
    [anon_sym_BSLASHacrshort] = ACTIONS(7083),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7083),
    [anon_sym_BSLASHACRshort] = ACTIONS(7083),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHacrlong] = ACTIONS(7083),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7083),
    [anon_sym_BSLASHACRlong] = ACTIONS(7083),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7083),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7083),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7083),
    [anon_sym_BSLASHacrfull] = ACTIONS(7083),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7083),
    [anon_sym_BSLASHACRfull] = ACTIONS(7083),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHacs] = ACTIONS(7083),
    [anon_sym_BSLASHAcs] = ACTIONS(7083),
    [anon_sym_BSLASHacsp] = ACTIONS(7083),
    [anon_sym_BSLASHAcsp] = ACTIONS(7083),
    [anon_sym_BSLASHacl] = ACTIONS(7083),
    [anon_sym_BSLASHAcl] = ACTIONS(7083),
    [anon_sym_BSLASHaclp] = ACTIONS(7083),
    [anon_sym_BSLASHAclp] = ACTIONS(7083),
    [anon_sym_BSLASHacf] = ACTIONS(7083),
    [anon_sym_BSLASHAcf] = ACTIONS(7083),
    [anon_sym_BSLASHacfp] = ACTIONS(7083),
    [anon_sym_BSLASHAcfp] = ACTIONS(7083),
    [anon_sym_BSLASHac] = ACTIONS(7083),
    [anon_sym_BSLASHAc] = ACTIONS(7083),
    [anon_sym_BSLASHacp] = ACTIONS(7083),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7083),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7083),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7083),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7083),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7083),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7083),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7083),
    [anon_sym_BSLASHcolor] = ACTIONS(7083),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7083),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7083),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7083),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7083),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7083),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7083),
    [anon_sym_BSLASHurl] = ACTIONS(7083),
    [anon_sym_BSLASHhref] = ACTIONS(7083),
  },
  [1027] = {
    [ts_builtin_sym_end] = ACTIONS(7089),
    [sym_command_name] = ACTIONS(7087),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7087),
    [anon_sym_LBRACK] = ACTIONS(7089),
    [anon_sym_RBRACK] = ACTIONS(7089),
    [anon_sym_COMMA] = ACTIONS(7089),
    [anon_sym_EQ] = ACTIONS(7089),
    [anon_sym_LPAREN] = ACTIONS(7089),
    [anon_sym_RPAREN] = ACTIONS(7089),
    [anon_sym_BSLASHpart] = ACTIONS(7087),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHaddpart] = ACTIONS(7087),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHchapter] = ACTIONS(7087),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHaddchap] = ACTIONS(7087),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHsection] = ACTIONS(7087),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHaddsec] = ACTIONS(7087),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHsubsection] = ACTIONS(7087),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7087),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHparagraph] = ACTIONS(7087),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7087),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHitem] = ACTIONS(7087),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7089),
    [anon_sym_LBRACE] = ACTIONS(7089),
    [anon_sym_RBRACE] = ACTIONS(7089),
    [sym_word] = ACTIONS(7087),
    [sym_placeholder] = ACTIONS(7089),
    [sym_delimiter] = ACTIONS(7089),
    [anon_sym_PLUS] = ACTIONS(7089),
    [anon_sym_DASH] = ACTIONS(7089),
    [anon_sym_STAR] = ACTIONS(7089),
    [anon_sym_SLASH] = ACTIONS(7089),
    [anon_sym_LT] = ACTIONS(7087),
    [anon_sym_GT] = ACTIONS(7087),
    [anon_sym_BANG] = ACTIONS(7087),
    [anon_sym_PIPE] = ACTIONS(7087),
    [anon_sym_COLON] = ACTIONS(7087),
    [anon_sym_SQUOTE] = ACTIONS(7087),
    [anon_sym__] = ACTIONS(7089),
    [anon_sym_CARET] = ACTIONS(7089),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7089),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7089),
    [anon_sym_DOLLAR] = ACTIONS(7087),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7089),
    [anon_sym_BSLASHleft] = ACTIONS(7087),
    [anon_sym_BSLASHbigl] = ACTIONS(7087),
    [anon_sym_BSLASHBigl] = ACTIONS(7087),
    [anon_sym_BSLASHbiggl] = ACTIONS(7087),
    [anon_sym_BSLASHBiggl] = ACTIONS(7087),
    [anon_sym_BSLASHtext] = ACTIONS(7087),
    [anon_sym_BSLASHintertext] = ACTIONS(7087),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7087),
    [anon_sym_BSLASHbegin] = ACTIONS(7087),
    [anon_sym_BSLASHtitle] = ACTIONS(7087),
    [anon_sym_BSLASHauthor] = ACTIONS(7087),
    [anon_sym_BSLASHusepackage] = ACTIONS(7087),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7087),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7087),
    [anon_sym_BSLASHinclude] = ACTIONS(7087),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7087),
    [anon_sym_BSLASHinput] = ACTIONS(7087),
    [anon_sym_BSLASHsubfile] = ACTIONS(7087),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7087),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7087),
    [anon_sym_BSLASHbibliography] = ACTIONS(7087),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7087),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7087),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7087),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7087),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7087),
    [anon_sym_BSLASHimport] = ACTIONS(7087),
    [anon_sym_BSLASHsubimport] = ACTIONS(7087),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7087),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7087),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7087),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7087),
    [anon_sym_BSLASHcaption] = ACTIONS(7087),
    [anon_sym_BSLASHcite] = ACTIONS(7087),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHCite] = ACTIONS(7087),
    [anon_sym_BSLASHnocite] = ACTIONS(7087),
    [anon_sym_BSLASHcitet] = ACTIONS(7087),
    [anon_sym_BSLASHcitep] = ACTIONS(7087),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHciteA] = ACTIONS(7087),
    [anon_sym_BSLASHciteR] = ACTIONS(7087),
    [anon_sym_BSLASHciteS] = ACTIONS(7087),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7087),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7087),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7087),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7087),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHciteyear] = ACTIONS(7087),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcitedate] = ACTIONS(7087),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHciteurl] = ACTIONS(7087),
    [anon_sym_BSLASHfullcite] = ACTIONS(7087),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7087),
    [anon_sym_BSLASHcitealt] = ACTIONS(7087),
    [anon_sym_BSLASHcitealp] = ACTIONS(7087),
    [anon_sym_BSLASHcitetext] = ACTIONS(7087),
    [anon_sym_BSLASHparencite] = ACTIONS(7087),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHParencite] = ACTIONS(7087),
    [anon_sym_BSLASHfootcite] = ACTIONS(7087),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7087),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7087),
    [anon_sym_BSLASHtextcite] = ACTIONS(7087),
    [anon_sym_BSLASHTextcite] = ACTIONS(7087),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7087),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7087),
    [anon_sym_BSLASHsupercite] = ACTIONS(7087),
    [anon_sym_BSLASHautocite] = ACTIONS(7087),
    [anon_sym_BSLASHAutocite] = ACTIONS(7087),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHVolcite] = ACTIONS(7087),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHavolcite] = ACTIONS(7087),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHnotecite] = ACTIONS(7087),
    [anon_sym_BSLASHNotecite] = ACTIONS(7087),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7087),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7087),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7087),
    [anon_sym_BSLASHlabel] = ACTIONS(7087),
    [anon_sym_BSLASHref] = ACTIONS(7087),
    [anon_sym_BSLASHeqref] = ACTIONS(7087),
    [anon_sym_BSLASHvref] = ACTIONS(7087),
    [anon_sym_BSLASHVref] = ACTIONS(7087),
    [anon_sym_BSLASHautoref] = ACTIONS(7087),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHpageref] = ACTIONS(7087),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHautopageref] = ACTIONS(7087),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcref] = ACTIONS(7087),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHCref] = ACTIONS(7087),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcpageref] = ACTIONS(7087),
    [anon_sym_BSLASHCpageref] = ACTIONS(7087),
    [anon_sym_BSLASHnamecref] = ACTIONS(7087),
    [anon_sym_BSLASHnameCref] = ACTIONS(7087),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7087),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7087),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7087),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7087),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7087),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7087),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7087),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7087),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7087),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7087),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7087),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7087),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7087),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7087),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7087),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7087),
    [anon_sym_BSLASHdef] = ACTIONS(7087),
    [anon_sym_BSLASHgdef] = ACTIONS(7087),
    [anon_sym_BSLASHedef] = ACTIONS(7087),
    [anon_sym_BSLASHxdef] = ACTIONS(7087),
    [anon_sym_BSLASHlet] = ACTIONS(7087),
    [anon_sym_BSLASHglet] = ACTIONS(7087),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7087),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7087),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7087),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7087),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7087),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7087),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7087),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7087),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7087),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7087),
    [anon_sym_BSLASHgls] = ACTIONS(7087),
    [anon_sym_BSLASHGls] = ACTIONS(7087),
    [anon_sym_BSLASHGLS] = ACTIONS(7087),
    [anon_sym_BSLASHglspl] = ACTIONS(7087),
    [anon_sym_BSLASHGlspl] = ACTIONS(7087),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7087),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7087),
    [anon_sym_BSLASHglslink] = ACTIONS(7087),
    [anon_sym_BSLASHglstext] = ACTIONS(7087),
    [anon_sym_BSLASHGlstext] = ACTIONS(7087),
    [anon_sym_BSLASHGLStext] = ACTIONS(7087),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7087),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7087),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7087),
    [anon_sym_BSLASHglsplural] = ACTIONS(7087),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7087),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7087),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7087),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7087),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7087),
    [anon_sym_BSLASHglsname] = ACTIONS(7087),
    [anon_sym_BSLASHGlsname] = ACTIONS(7087),
    [anon_sym_BSLASHGLSname] = ACTIONS(7087),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7087),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7087),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7087),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7087),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7087),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7087),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7087),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7087),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7087),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7087),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7087),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7087),
    [anon_sym_BSLASHacrshort] = ACTIONS(7087),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7087),
    [anon_sym_BSLASHACRshort] = ACTIONS(7087),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHacrlong] = ACTIONS(7087),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7087),
    [anon_sym_BSLASHACRlong] = ACTIONS(7087),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7087),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7087),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7087),
    [anon_sym_BSLASHacrfull] = ACTIONS(7087),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7087),
    [anon_sym_BSLASHACRfull] = ACTIONS(7087),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHacs] = ACTIONS(7087),
    [anon_sym_BSLASHAcs] = ACTIONS(7087),
    [anon_sym_BSLASHacsp] = ACTIONS(7087),
    [anon_sym_BSLASHAcsp] = ACTIONS(7087),
    [anon_sym_BSLASHacl] = ACTIONS(7087),
    [anon_sym_BSLASHAcl] = ACTIONS(7087),
    [anon_sym_BSLASHaclp] = ACTIONS(7087),
    [anon_sym_BSLASHAclp] = ACTIONS(7087),
    [anon_sym_BSLASHacf] = ACTIONS(7087),
    [anon_sym_BSLASHAcf] = ACTIONS(7087),
    [anon_sym_BSLASHacfp] = ACTIONS(7087),
    [anon_sym_BSLASHAcfp] = ACTIONS(7087),
    [anon_sym_BSLASHac] = ACTIONS(7087),
    [anon_sym_BSLASHAc] = ACTIONS(7087),
    [anon_sym_BSLASHacp] = ACTIONS(7087),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7087),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7087),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7087),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7087),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7087),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7087),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7087),
    [anon_sym_BSLASHcolor] = ACTIONS(7087),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7087),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7087),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7087),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7087),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7087),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7087),
    [anon_sym_BSLASHurl] = ACTIONS(7087),
    [anon_sym_BSLASHhref] = ACTIONS(7087),
  },
  [1028] = {
    [ts_builtin_sym_end] = ACTIONS(7449),
    [sym_command_name] = ACTIONS(7447),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7447),
    [anon_sym_LBRACK] = ACTIONS(7449),
    [anon_sym_RBRACK] = ACTIONS(7449),
    [anon_sym_COMMA] = ACTIONS(7449),
    [anon_sym_EQ] = ACTIONS(7449),
    [anon_sym_LPAREN] = ACTIONS(7449),
    [anon_sym_RPAREN] = ACTIONS(7449),
    [anon_sym_BSLASHpart] = ACTIONS(7447),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHaddpart] = ACTIONS(7447),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHchapter] = ACTIONS(7447),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHaddchap] = ACTIONS(7447),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHsection] = ACTIONS(7447),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHaddsec] = ACTIONS(7447),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHsubsection] = ACTIONS(7447),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7447),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHparagraph] = ACTIONS(7447),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7447),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHitem] = ACTIONS(7447),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7449),
    [anon_sym_LBRACE] = ACTIONS(7449),
    [anon_sym_RBRACE] = ACTIONS(7449),
    [sym_word] = ACTIONS(7447),
    [sym_placeholder] = ACTIONS(7449),
    [sym_delimiter] = ACTIONS(7449),
    [anon_sym_PLUS] = ACTIONS(7449),
    [anon_sym_DASH] = ACTIONS(7449),
    [anon_sym_STAR] = ACTIONS(7449),
    [anon_sym_SLASH] = ACTIONS(7449),
    [anon_sym_LT] = ACTIONS(7447),
    [anon_sym_GT] = ACTIONS(7447),
    [anon_sym_BANG] = ACTIONS(7447),
    [anon_sym_PIPE] = ACTIONS(7447),
    [anon_sym_COLON] = ACTIONS(7447),
    [anon_sym_SQUOTE] = ACTIONS(7447),
    [anon_sym__] = ACTIONS(7449),
    [anon_sym_CARET] = ACTIONS(7449),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7449),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7449),
    [anon_sym_DOLLAR] = ACTIONS(7447),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7449),
    [anon_sym_BSLASHleft] = ACTIONS(7447),
    [anon_sym_BSLASHbigl] = ACTIONS(7447),
    [anon_sym_BSLASHBigl] = ACTIONS(7447),
    [anon_sym_BSLASHbiggl] = ACTIONS(7447),
    [anon_sym_BSLASHBiggl] = ACTIONS(7447),
    [anon_sym_BSLASHtext] = ACTIONS(7447),
    [anon_sym_BSLASHintertext] = ACTIONS(7447),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7447),
    [anon_sym_BSLASHbegin] = ACTIONS(7447),
    [anon_sym_BSLASHtitle] = ACTIONS(7447),
    [anon_sym_BSLASHauthor] = ACTIONS(7447),
    [anon_sym_BSLASHusepackage] = ACTIONS(7447),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7447),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7447),
    [anon_sym_BSLASHinclude] = ACTIONS(7447),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7447),
    [anon_sym_BSLASHinput] = ACTIONS(7447),
    [anon_sym_BSLASHsubfile] = ACTIONS(7447),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7447),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7447),
    [anon_sym_BSLASHbibliography] = ACTIONS(7447),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7447),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7447),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7447),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7447),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7447),
    [anon_sym_BSLASHimport] = ACTIONS(7447),
    [anon_sym_BSLASHsubimport] = ACTIONS(7447),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7447),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7447),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7447),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7447),
    [anon_sym_BSLASHcaption] = ACTIONS(7447),
    [anon_sym_BSLASHcite] = ACTIONS(7447),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHCite] = ACTIONS(7447),
    [anon_sym_BSLASHnocite] = ACTIONS(7447),
    [anon_sym_BSLASHcitet] = ACTIONS(7447),
    [anon_sym_BSLASHcitep] = ACTIONS(7447),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHciteA] = ACTIONS(7447),
    [anon_sym_BSLASHciteR] = ACTIONS(7447),
    [anon_sym_BSLASHciteS] = ACTIONS(7447),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7447),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7447),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7447),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7447),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHciteyear] = ACTIONS(7447),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcitedate] = ACTIONS(7447),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHciteurl] = ACTIONS(7447),
    [anon_sym_BSLASHfullcite] = ACTIONS(7447),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7447),
    [anon_sym_BSLASHcitealt] = ACTIONS(7447),
    [anon_sym_BSLASHcitealp] = ACTIONS(7447),
    [anon_sym_BSLASHcitetext] = ACTIONS(7447),
    [anon_sym_BSLASHparencite] = ACTIONS(7447),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHParencite] = ACTIONS(7447),
    [anon_sym_BSLASHfootcite] = ACTIONS(7447),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7447),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7447),
    [anon_sym_BSLASHtextcite] = ACTIONS(7447),
    [anon_sym_BSLASHTextcite] = ACTIONS(7447),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7447),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7447),
    [anon_sym_BSLASHsupercite] = ACTIONS(7447),
    [anon_sym_BSLASHautocite] = ACTIONS(7447),
    [anon_sym_BSLASHAutocite] = ACTIONS(7447),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHVolcite] = ACTIONS(7447),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHavolcite] = ACTIONS(7447),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHnotecite] = ACTIONS(7447),
    [anon_sym_BSLASHNotecite] = ACTIONS(7447),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7447),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7447),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7447),
    [anon_sym_BSLASHlabel] = ACTIONS(7447),
    [anon_sym_BSLASHref] = ACTIONS(7447),
    [anon_sym_BSLASHeqref] = ACTIONS(7447),
    [anon_sym_BSLASHvref] = ACTIONS(7447),
    [anon_sym_BSLASHVref] = ACTIONS(7447),
    [anon_sym_BSLASHautoref] = ACTIONS(7447),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHpageref] = ACTIONS(7447),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHautopageref] = ACTIONS(7447),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcref] = ACTIONS(7447),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHCref] = ACTIONS(7447),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcpageref] = ACTIONS(7447),
    [anon_sym_BSLASHCpageref] = ACTIONS(7447),
    [anon_sym_BSLASHnamecref] = ACTIONS(7447),
    [anon_sym_BSLASHnameCref] = ACTIONS(7447),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7447),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7447),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7447),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7447),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7447),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7447),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7447),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7447),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7447),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7447),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7447),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7447),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7447),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7447),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7447),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7447),
    [anon_sym_BSLASHdef] = ACTIONS(7447),
    [anon_sym_BSLASHgdef] = ACTIONS(7447),
    [anon_sym_BSLASHedef] = ACTIONS(7447),
    [anon_sym_BSLASHxdef] = ACTIONS(7447),
    [anon_sym_BSLASHlet] = ACTIONS(7447),
    [anon_sym_BSLASHglet] = ACTIONS(7447),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7447),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7447),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7447),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7447),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7447),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7447),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7447),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7447),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7447),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7447),
    [anon_sym_BSLASHgls] = ACTIONS(7447),
    [anon_sym_BSLASHGls] = ACTIONS(7447),
    [anon_sym_BSLASHGLS] = ACTIONS(7447),
    [anon_sym_BSLASHglspl] = ACTIONS(7447),
    [anon_sym_BSLASHGlspl] = ACTIONS(7447),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7447),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7447),
    [anon_sym_BSLASHglslink] = ACTIONS(7447),
    [anon_sym_BSLASHglstext] = ACTIONS(7447),
    [anon_sym_BSLASHGlstext] = ACTIONS(7447),
    [anon_sym_BSLASHGLStext] = ACTIONS(7447),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7447),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7447),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7447),
    [anon_sym_BSLASHglsplural] = ACTIONS(7447),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7447),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7447),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7447),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7447),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7447),
    [anon_sym_BSLASHglsname] = ACTIONS(7447),
    [anon_sym_BSLASHGlsname] = ACTIONS(7447),
    [anon_sym_BSLASHGLSname] = ACTIONS(7447),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7447),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7447),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7447),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7447),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7447),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7447),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7447),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7447),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7447),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7447),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7447),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7447),
    [anon_sym_BSLASHacrshort] = ACTIONS(7447),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7447),
    [anon_sym_BSLASHACRshort] = ACTIONS(7447),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHacrlong] = ACTIONS(7447),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7447),
    [anon_sym_BSLASHACRlong] = ACTIONS(7447),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7447),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7447),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7447),
    [anon_sym_BSLASHacrfull] = ACTIONS(7447),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7447),
    [anon_sym_BSLASHACRfull] = ACTIONS(7447),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHacs] = ACTIONS(7447),
    [anon_sym_BSLASHAcs] = ACTIONS(7447),
    [anon_sym_BSLASHacsp] = ACTIONS(7447),
    [anon_sym_BSLASHAcsp] = ACTIONS(7447),
    [anon_sym_BSLASHacl] = ACTIONS(7447),
    [anon_sym_BSLASHAcl] = ACTIONS(7447),
    [anon_sym_BSLASHaclp] = ACTIONS(7447),
    [anon_sym_BSLASHAclp] = ACTIONS(7447),
    [anon_sym_BSLASHacf] = ACTIONS(7447),
    [anon_sym_BSLASHAcf] = ACTIONS(7447),
    [anon_sym_BSLASHacfp] = ACTIONS(7447),
    [anon_sym_BSLASHAcfp] = ACTIONS(7447),
    [anon_sym_BSLASHac] = ACTIONS(7447),
    [anon_sym_BSLASHAc] = ACTIONS(7447),
    [anon_sym_BSLASHacp] = ACTIONS(7447),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7447),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7447),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7447),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7447),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7447),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7447),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7447),
    [anon_sym_BSLASHcolor] = ACTIONS(7447),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7447),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7447),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7447),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7447),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7447),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7447),
    [anon_sym_BSLASHurl] = ACTIONS(7447),
    [anon_sym_BSLASHhref] = ACTIONS(7447),
  },
  [1029] = {
    [ts_builtin_sym_end] = ACTIONS(7097),
    [sym_command_name] = ACTIONS(7095),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7095),
    [anon_sym_LBRACK] = ACTIONS(7097),
    [anon_sym_RBRACK] = ACTIONS(7097),
    [anon_sym_COMMA] = ACTIONS(7097),
    [anon_sym_EQ] = ACTIONS(7097),
    [anon_sym_LPAREN] = ACTIONS(7097),
    [anon_sym_RPAREN] = ACTIONS(7097),
    [anon_sym_BSLASHpart] = ACTIONS(7095),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHaddpart] = ACTIONS(7095),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHchapter] = ACTIONS(7095),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHaddchap] = ACTIONS(7095),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHsection] = ACTIONS(7095),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHaddsec] = ACTIONS(7095),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHsubsection] = ACTIONS(7095),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7095),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHparagraph] = ACTIONS(7095),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7095),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHitem] = ACTIONS(7095),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7097),
    [anon_sym_LBRACE] = ACTIONS(7097),
    [anon_sym_RBRACE] = ACTIONS(7097),
    [sym_word] = ACTIONS(7095),
    [sym_placeholder] = ACTIONS(7097),
    [sym_delimiter] = ACTIONS(7097),
    [anon_sym_PLUS] = ACTIONS(7097),
    [anon_sym_DASH] = ACTIONS(7097),
    [anon_sym_STAR] = ACTIONS(7097),
    [anon_sym_SLASH] = ACTIONS(7097),
    [anon_sym_LT] = ACTIONS(7095),
    [anon_sym_GT] = ACTIONS(7095),
    [anon_sym_BANG] = ACTIONS(7095),
    [anon_sym_PIPE] = ACTIONS(7095),
    [anon_sym_COLON] = ACTIONS(7095),
    [anon_sym_SQUOTE] = ACTIONS(7095),
    [anon_sym__] = ACTIONS(7097),
    [anon_sym_CARET] = ACTIONS(7097),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7097),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7097),
    [anon_sym_DOLLAR] = ACTIONS(7095),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7097),
    [anon_sym_BSLASHleft] = ACTIONS(7095),
    [anon_sym_BSLASHbigl] = ACTIONS(7095),
    [anon_sym_BSLASHBigl] = ACTIONS(7095),
    [anon_sym_BSLASHbiggl] = ACTIONS(7095),
    [anon_sym_BSLASHBiggl] = ACTIONS(7095),
    [anon_sym_BSLASHtext] = ACTIONS(7095),
    [anon_sym_BSLASHintertext] = ACTIONS(7095),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7095),
    [anon_sym_BSLASHbegin] = ACTIONS(7095),
    [anon_sym_BSLASHtitle] = ACTIONS(7095),
    [anon_sym_BSLASHauthor] = ACTIONS(7095),
    [anon_sym_BSLASHusepackage] = ACTIONS(7095),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7095),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7095),
    [anon_sym_BSLASHinclude] = ACTIONS(7095),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7095),
    [anon_sym_BSLASHinput] = ACTIONS(7095),
    [anon_sym_BSLASHsubfile] = ACTIONS(7095),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7095),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7095),
    [anon_sym_BSLASHbibliography] = ACTIONS(7095),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7095),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7095),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7095),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7095),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7095),
    [anon_sym_BSLASHimport] = ACTIONS(7095),
    [anon_sym_BSLASHsubimport] = ACTIONS(7095),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7095),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7095),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7095),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7095),
    [anon_sym_BSLASHcaption] = ACTIONS(7095),
    [anon_sym_BSLASHcite] = ACTIONS(7095),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHCite] = ACTIONS(7095),
    [anon_sym_BSLASHnocite] = ACTIONS(7095),
    [anon_sym_BSLASHcitet] = ACTIONS(7095),
    [anon_sym_BSLASHcitep] = ACTIONS(7095),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHciteA] = ACTIONS(7095),
    [anon_sym_BSLASHciteR] = ACTIONS(7095),
    [anon_sym_BSLASHciteS] = ACTIONS(7095),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7095),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7095),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7095),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7095),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHciteyear] = ACTIONS(7095),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcitedate] = ACTIONS(7095),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHciteurl] = ACTIONS(7095),
    [anon_sym_BSLASHfullcite] = ACTIONS(7095),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7095),
    [anon_sym_BSLASHcitealt] = ACTIONS(7095),
    [anon_sym_BSLASHcitealp] = ACTIONS(7095),
    [anon_sym_BSLASHcitetext] = ACTIONS(7095),
    [anon_sym_BSLASHparencite] = ACTIONS(7095),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHParencite] = ACTIONS(7095),
    [anon_sym_BSLASHfootcite] = ACTIONS(7095),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7095),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7095),
    [anon_sym_BSLASHtextcite] = ACTIONS(7095),
    [anon_sym_BSLASHTextcite] = ACTIONS(7095),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7095),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7095),
    [anon_sym_BSLASHsupercite] = ACTIONS(7095),
    [anon_sym_BSLASHautocite] = ACTIONS(7095),
    [anon_sym_BSLASHAutocite] = ACTIONS(7095),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHVolcite] = ACTIONS(7095),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHavolcite] = ACTIONS(7095),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHnotecite] = ACTIONS(7095),
    [anon_sym_BSLASHNotecite] = ACTIONS(7095),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7095),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7095),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7095),
    [anon_sym_BSLASHlabel] = ACTIONS(7095),
    [anon_sym_BSLASHref] = ACTIONS(7095),
    [anon_sym_BSLASHeqref] = ACTIONS(7095),
    [anon_sym_BSLASHvref] = ACTIONS(7095),
    [anon_sym_BSLASHVref] = ACTIONS(7095),
    [anon_sym_BSLASHautoref] = ACTIONS(7095),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHpageref] = ACTIONS(7095),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHautopageref] = ACTIONS(7095),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcref] = ACTIONS(7095),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHCref] = ACTIONS(7095),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcpageref] = ACTIONS(7095),
    [anon_sym_BSLASHCpageref] = ACTIONS(7095),
    [anon_sym_BSLASHnamecref] = ACTIONS(7095),
    [anon_sym_BSLASHnameCref] = ACTIONS(7095),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7095),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7095),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7095),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7095),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7095),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7095),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7095),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7095),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7095),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7095),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7095),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7095),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7095),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7095),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7095),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7095),
    [anon_sym_BSLASHdef] = ACTIONS(7095),
    [anon_sym_BSLASHgdef] = ACTIONS(7095),
    [anon_sym_BSLASHedef] = ACTIONS(7095),
    [anon_sym_BSLASHxdef] = ACTIONS(7095),
    [anon_sym_BSLASHlet] = ACTIONS(7095),
    [anon_sym_BSLASHglet] = ACTIONS(7095),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7095),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7095),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7095),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7095),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7095),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7095),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7095),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7095),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7095),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7095),
    [anon_sym_BSLASHgls] = ACTIONS(7095),
    [anon_sym_BSLASHGls] = ACTIONS(7095),
    [anon_sym_BSLASHGLS] = ACTIONS(7095),
    [anon_sym_BSLASHglspl] = ACTIONS(7095),
    [anon_sym_BSLASHGlspl] = ACTIONS(7095),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7095),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7095),
    [anon_sym_BSLASHglslink] = ACTIONS(7095),
    [anon_sym_BSLASHglstext] = ACTIONS(7095),
    [anon_sym_BSLASHGlstext] = ACTIONS(7095),
    [anon_sym_BSLASHGLStext] = ACTIONS(7095),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7095),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7095),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7095),
    [anon_sym_BSLASHglsplural] = ACTIONS(7095),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7095),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7095),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7095),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7095),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7095),
    [anon_sym_BSLASHglsname] = ACTIONS(7095),
    [anon_sym_BSLASHGlsname] = ACTIONS(7095),
    [anon_sym_BSLASHGLSname] = ACTIONS(7095),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7095),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7095),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7095),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7095),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7095),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7095),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7095),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7095),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7095),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7095),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7095),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7095),
    [anon_sym_BSLASHacrshort] = ACTIONS(7095),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7095),
    [anon_sym_BSLASHACRshort] = ACTIONS(7095),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHacrlong] = ACTIONS(7095),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7095),
    [anon_sym_BSLASHACRlong] = ACTIONS(7095),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7095),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7095),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7095),
    [anon_sym_BSLASHacrfull] = ACTIONS(7095),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7095),
    [anon_sym_BSLASHACRfull] = ACTIONS(7095),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHacs] = ACTIONS(7095),
    [anon_sym_BSLASHAcs] = ACTIONS(7095),
    [anon_sym_BSLASHacsp] = ACTIONS(7095),
    [anon_sym_BSLASHAcsp] = ACTIONS(7095),
    [anon_sym_BSLASHacl] = ACTIONS(7095),
    [anon_sym_BSLASHAcl] = ACTIONS(7095),
    [anon_sym_BSLASHaclp] = ACTIONS(7095),
    [anon_sym_BSLASHAclp] = ACTIONS(7095),
    [anon_sym_BSLASHacf] = ACTIONS(7095),
    [anon_sym_BSLASHAcf] = ACTIONS(7095),
    [anon_sym_BSLASHacfp] = ACTIONS(7095),
    [anon_sym_BSLASHAcfp] = ACTIONS(7095),
    [anon_sym_BSLASHac] = ACTIONS(7095),
    [anon_sym_BSLASHAc] = ACTIONS(7095),
    [anon_sym_BSLASHacp] = ACTIONS(7095),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7095),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7095),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7095),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7095),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7095),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7095),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7095),
    [anon_sym_BSLASHcolor] = ACTIONS(7095),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7095),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7095),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7095),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7095),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7095),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7095),
    [anon_sym_BSLASHurl] = ACTIONS(7095),
    [anon_sym_BSLASHhref] = ACTIONS(7095),
  },
  [1030] = {
    [ts_builtin_sym_end] = ACTIONS(7101),
    [sym_command_name] = ACTIONS(7099),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7099),
    [anon_sym_LBRACK] = ACTIONS(7101),
    [anon_sym_RBRACK] = ACTIONS(7101),
    [anon_sym_COMMA] = ACTIONS(7101),
    [anon_sym_EQ] = ACTIONS(7101),
    [anon_sym_LPAREN] = ACTIONS(7101),
    [anon_sym_RPAREN] = ACTIONS(7101),
    [anon_sym_BSLASHpart] = ACTIONS(7099),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHaddpart] = ACTIONS(7099),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHchapter] = ACTIONS(7099),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHaddchap] = ACTIONS(7099),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHsection] = ACTIONS(7099),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHaddsec] = ACTIONS(7099),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHsubsection] = ACTIONS(7099),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7099),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHparagraph] = ACTIONS(7099),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7099),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHitem] = ACTIONS(7099),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7101),
    [anon_sym_LBRACE] = ACTIONS(7101),
    [anon_sym_RBRACE] = ACTIONS(7101),
    [sym_word] = ACTIONS(7099),
    [sym_placeholder] = ACTIONS(7101),
    [sym_delimiter] = ACTIONS(7101),
    [anon_sym_PLUS] = ACTIONS(7101),
    [anon_sym_DASH] = ACTIONS(7101),
    [anon_sym_STAR] = ACTIONS(7101),
    [anon_sym_SLASH] = ACTIONS(7101),
    [anon_sym_LT] = ACTIONS(7099),
    [anon_sym_GT] = ACTIONS(7099),
    [anon_sym_BANG] = ACTIONS(7099),
    [anon_sym_PIPE] = ACTIONS(7099),
    [anon_sym_COLON] = ACTIONS(7099),
    [anon_sym_SQUOTE] = ACTIONS(7099),
    [anon_sym__] = ACTIONS(7101),
    [anon_sym_CARET] = ACTIONS(7101),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7101),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7101),
    [anon_sym_DOLLAR] = ACTIONS(7099),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7101),
    [anon_sym_BSLASHleft] = ACTIONS(7099),
    [anon_sym_BSLASHbigl] = ACTIONS(7099),
    [anon_sym_BSLASHBigl] = ACTIONS(7099),
    [anon_sym_BSLASHbiggl] = ACTIONS(7099),
    [anon_sym_BSLASHBiggl] = ACTIONS(7099),
    [anon_sym_BSLASHtext] = ACTIONS(7099),
    [anon_sym_BSLASHintertext] = ACTIONS(7099),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7099),
    [anon_sym_BSLASHbegin] = ACTIONS(7099),
    [anon_sym_BSLASHtitle] = ACTIONS(7099),
    [anon_sym_BSLASHauthor] = ACTIONS(7099),
    [anon_sym_BSLASHusepackage] = ACTIONS(7099),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7099),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7099),
    [anon_sym_BSLASHinclude] = ACTIONS(7099),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7099),
    [anon_sym_BSLASHinput] = ACTIONS(7099),
    [anon_sym_BSLASHsubfile] = ACTIONS(7099),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7099),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7099),
    [anon_sym_BSLASHbibliography] = ACTIONS(7099),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7099),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7099),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7099),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7099),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7099),
    [anon_sym_BSLASHimport] = ACTIONS(7099),
    [anon_sym_BSLASHsubimport] = ACTIONS(7099),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7099),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7099),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7099),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7099),
    [anon_sym_BSLASHcaption] = ACTIONS(7099),
    [anon_sym_BSLASHcite] = ACTIONS(7099),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHCite] = ACTIONS(7099),
    [anon_sym_BSLASHnocite] = ACTIONS(7099),
    [anon_sym_BSLASHcitet] = ACTIONS(7099),
    [anon_sym_BSLASHcitep] = ACTIONS(7099),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHciteA] = ACTIONS(7099),
    [anon_sym_BSLASHciteR] = ACTIONS(7099),
    [anon_sym_BSLASHciteS] = ACTIONS(7099),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7099),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7099),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7099),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7099),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHciteyear] = ACTIONS(7099),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcitedate] = ACTIONS(7099),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHciteurl] = ACTIONS(7099),
    [anon_sym_BSLASHfullcite] = ACTIONS(7099),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7099),
    [anon_sym_BSLASHcitealt] = ACTIONS(7099),
    [anon_sym_BSLASHcitealp] = ACTIONS(7099),
    [anon_sym_BSLASHcitetext] = ACTIONS(7099),
    [anon_sym_BSLASHparencite] = ACTIONS(7099),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHParencite] = ACTIONS(7099),
    [anon_sym_BSLASHfootcite] = ACTIONS(7099),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7099),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7099),
    [anon_sym_BSLASHtextcite] = ACTIONS(7099),
    [anon_sym_BSLASHTextcite] = ACTIONS(7099),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7099),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7099),
    [anon_sym_BSLASHsupercite] = ACTIONS(7099),
    [anon_sym_BSLASHautocite] = ACTIONS(7099),
    [anon_sym_BSLASHAutocite] = ACTIONS(7099),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHVolcite] = ACTIONS(7099),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHavolcite] = ACTIONS(7099),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHnotecite] = ACTIONS(7099),
    [anon_sym_BSLASHNotecite] = ACTIONS(7099),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7099),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7099),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7099),
    [anon_sym_BSLASHlabel] = ACTIONS(7099),
    [anon_sym_BSLASHref] = ACTIONS(7099),
    [anon_sym_BSLASHeqref] = ACTIONS(7099),
    [anon_sym_BSLASHvref] = ACTIONS(7099),
    [anon_sym_BSLASHVref] = ACTIONS(7099),
    [anon_sym_BSLASHautoref] = ACTIONS(7099),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHpageref] = ACTIONS(7099),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHautopageref] = ACTIONS(7099),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcref] = ACTIONS(7099),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHCref] = ACTIONS(7099),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcpageref] = ACTIONS(7099),
    [anon_sym_BSLASHCpageref] = ACTIONS(7099),
    [anon_sym_BSLASHnamecref] = ACTIONS(7099),
    [anon_sym_BSLASHnameCref] = ACTIONS(7099),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7099),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7099),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7099),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7099),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7099),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7099),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7099),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7099),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7099),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7099),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7099),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7099),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7099),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7099),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7099),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7099),
    [anon_sym_BSLASHdef] = ACTIONS(7099),
    [anon_sym_BSLASHgdef] = ACTIONS(7099),
    [anon_sym_BSLASHedef] = ACTIONS(7099),
    [anon_sym_BSLASHxdef] = ACTIONS(7099),
    [anon_sym_BSLASHlet] = ACTIONS(7099),
    [anon_sym_BSLASHglet] = ACTIONS(7099),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7099),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7099),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7099),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7099),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7099),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7099),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7099),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7099),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7099),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7099),
    [anon_sym_BSLASHgls] = ACTIONS(7099),
    [anon_sym_BSLASHGls] = ACTIONS(7099),
    [anon_sym_BSLASHGLS] = ACTIONS(7099),
    [anon_sym_BSLASHglspl] = ACTIONS(7099),
    [anon_sym_BSLASHGlspl] = ACTIONS(7099),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7099),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7099),
    [anon_sym_BSLASHglslink] = ACTIONS(7099),
    [anon_sym_BSLASHglstext] = ACTIONS(7099),
    [anon_sym_BSLASHGlstext] = ACTIONS(7099),
    [anon_sym_BSLASHGLStext] = ACTIONS(7099),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7099),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7099),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7099),
    [anon_sym_BSLASHglsplural] = ACTIONS(7099),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7099),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7099),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7099),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7099),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7099),
    [anon_sym_BSLASHglsname] = ACTIONS(7099),
    [anon_sym_BSLASHGlsname] = ACTIONS(7099),
    [anon_sym_BSLASHGLSname] = ACTIONS(7099),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7099),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7099),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7099),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7099),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7099),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7099),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7099),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7099),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7099),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7099),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7099),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7099),
    [anon_sym_BSLASHacrshort] = ACTIONS(7099),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7099),
    [anon_sym_BSLASHACRshort] = ACTIONS(7099),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHacrlong] = ACTIONS(7099),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7099),
    [anon_sym_BSLASHACRlong] = ACTIONS(7099),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7099),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7099),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7099),
    [anon_sym_BSLASHacrfull] = ACTIONS(7099),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7099),
    [anon_sym_BSLASHACRfull] = ACTIONS(7099),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHacs] = ACTIONS(7099),
    [anon_sym_BSLASHAcs] = ACTIONS(7099),
    [anon_sym_BSLASHacsp] = ACTIONS(7099),
    [anon_sym_BSLASHAcsp] = ACTIONS(7099),
    [anon_sym_BSLASHacl] = ACTIONS(7099),
    [anon_sym_BSLASHAcl] = ACTIONS(7099),
    [anon_sym_BSLASHaclp] = ACTIONS(7099),
    [anon_sym_BSLASHAclp] = ACTIONS(7099),
    [anon_sym_BSLASHacf] = ACTIONS(7099),
    [anon_sym_BSLASHAcf] = ACTIONS(7099),
    [anon_sym_BSLASHacfp] = ACTIONS(7099),
    [anon_sym_BSLASHAcfp] = ACTIONS(7099),
    [anon_sym_BSLASHac] = ACTIONS(7099),
    [anon_sym_BSLASHAc] = ACTIONS(7099),
    [anon_sym_BSLASHacp] = ACTIONS(7099),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7099),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7099),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7099),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7099),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7099),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7099),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7099),
    [anon_sym_BSLASHcolor] = ACTIONS(7099),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7099),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7099),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7099),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7099),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7099),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7099),
    [anon_sym_BSLASHurl] = ACTIONS(7099),
    [anon_sym_BSLASHhref] = ACTIONS(7099),
  },
  [1031] = {
    [ts_builtin_sym_end] = ACTIONS(7105),
    [sym_command_name] = ACTIONS(7103),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7103),
    [anon_sym_LBRACK] = ACTIONS(7105),
    [anon_sym_RBRACK] = ACTIONS(7105),
    [anon_sym_COMMA] = ACTIONS(7105),
    [anon_sym_EQ] = ACTIONS(7105),
    [anon_sym_LPAREN] = ACTIONS(7105),
    [anon_sym_RPAREN] = ACTIONS(7105),
    [anon_sym_BSLASHpart] = ACTIONS(7103),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHaddpart] = ACTIONS(7103),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHchapter] = ACTIONS(7103),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHaddchap] = ACTIONS(7103),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHsection] = ACTIONS(7103),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHaddsec] = ACTIONS(7103),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHsubsection] = ACTIONS(7103),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7103),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHparagraph] = ACTIONS(7103),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7103),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHitem] = ACTIONS(7103),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7105),
    [anon_sym_LBRACE] = ACTIONS(7105),
    [anon_sym_RBRACE] = ACTIONS(7105),
    [sym_word] = ACTIONS(7103),
    [sym_placeholder] = ACTIONS(7105),
    [sym_delimiter] = ACTIONS(7105),
    [anon_sym_PLUS] = ACTIONS(7105),
    [anon_sym_DASH] = ACTIONS(7105),
    [anon_sym_STAR] = ACTIONS(7105),
    [anon_sym_SLASH] = ACTIONS(7105),
    [anon_sym_LT] = ACTIONS(7103),
    [anon_sym_GT] = ACTIONS(7103),
    [anon_sym_BANG] = ACTIONS(7103),
    [anon_sym_PIPE] = ACTIONS(7103),
    [anon_sym_COLON] = ACTIONS(7103),
    [anon_sym_SQUOTE] = ACTIONS(7103),
    [anon_sym__] = ACTIONS(7105),
    [anon_sym_CARET] = ACTIONS(7105),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7105),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7105),
    [anon_sym_DOLLAR] = ACTIONS(7103),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7105),
    [anon_sym_BSLASHleft] = ACTIONS(7103),
    [anon_sym_BSLASHbigl] = ACTIONS(7103),
    [anon_sym_BSLASHBigl] = ACTIONS(7103),
    [anon_sym_BSLASHbiggl] = ACTIONS(7103),
    [anon_sym_BSLASHBiggl] = ACTIONS(7103),
    [anon_sym_BSLASHtext] = ACTIONS(7103),
    [anon_sym_BSLASHintertext] = ACTIONS(7103),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7103),
    [anon_sym_BSLASHbegin] = ACTIONS(7103),
    [anon_sym_BSLASHtitle] = ACTIONS(7103),
    [anon_sym_BSLASHauthor] = ACTIONS(7103),
    [anon_sym_BSLASHusepackage] = ACTIONS(7103),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7103),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7103),
    [anon_sym_BSLASHinclude] = ACTIONS(7103),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7103),
    [anon_sym_BSLASHinput] = ACTIONS(7103),
    [anon_sym_BSLASHsubfile] = ACTIONS(7103),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7103),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7103),
    [anon_sym_BSLASHbibliography] = ACTIONS(7103),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7103),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7103),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7103),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7103),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7103),
    [anon_sym_BSLASHimport] = ACTIONS(7103),
    [anon_sym_BSLASHsubimport] = ACTIONS(7103),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7103),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7103),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7103),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7103),
    [anon_sym_BSLASHcaption] = ACTIONS(7103),
    [anon_sym_BSLASHcite] = ACTIONS(7103),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHCite] = ACTIONS(7103),
    [anon_sym_BSLASHnocite] = ACTIONS(7103),
    [anon_sym_BSLASHcitet] = ACTIONS(7103),
    [anon_sym_BSLASHcitep] = ACTIONS(7103),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHciteA] = ACTIONS(7103),
    [anon_sym_BSLASHciteR] = ACTIONS(7103),
    [anon_sym_BSLASHciteS] = ACTIONS(7103),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7103),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7103),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7103),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7103),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHciteyear] = ACTIONS(7103),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcitedate] = ACTIONS(7103),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHciteurl] = ACTIONS(7103),
    [anon_sym_BSLASHfullcite] = ACTIONS(7103),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7103),
    [anon_sym_BSLASHcitealt] = ACTIONS(7103),
    [anon_sym_BSLASHcitealp] = ACTIONS(7103),
    [anon_sym_BSLASHcitetext] = ACTIONS(7103),
    [anon_sym_BSLASHparencite] = ACTIONS(7103),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHParencite] = ACTIONS(7103),
    [anon_sym_BSLASHfootcite] = ACTIONS(7103),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7103),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7103),
    [anon_sym_BSLASHtextcite] = ACTIONS(7103),
    [anon_sym_BSLASHTextcite] = ACTIONS(7103),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7103),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7103),
    [anon_sym_BSLASHsupercite] = ACTIONS(7103),
    [anon_sym_BSLASHautocite] = ACTIONS(7103),
    [anon_sym_BSLASHAutocite] = ACTIONS(7103),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHVolcite] = ACTIONS(7103),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHavolcite] = ACTIONS(7103),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHnotecite] = ACTIONS(7103),
    [anon_sym_BSLASHNotecite] = ACTIONS(7103),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7103),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7103),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7103),
    [anon_sym_BSLASHlabel] = ACTIONS(7103),
    [anon_sym_BSLASHref] = ACTIONS(7103),
    [anon_sym_BSLASHeqref] = ACTIONS(7103),
    [anon_sym_BSLASHvref] = ACTIONS(7103),
    [anon_sym_BSLASHVref] = ACTIONS(7103),
    [anon_sym_BSLASHautoref] = ACTIONS(7103),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHpageref] = ACTIONS(7103),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHautopageref] = ACTIONS(7103),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcref] = ACTIONS(7103),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHCref] = ACTIONS(7103),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcpageref] = ACTIONS(7103),
    [anon_sym_BSLASHCpageref] = ACTIONS(7103),
    [anon_sym_BSLASHnamecref] = ACTIONS(7103),
    [anon_sym_BSLASHnameCref] = ACTIONS(7103),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7103),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7103),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7103),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7103),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7103),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7103),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7103),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7103),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7103),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7103),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7103),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7103),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7103),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7103),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7103),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7103),
    [anon_sym_BSLASHdef] = ACTIONS(7103),
    [anon_sym_BSLASHgdef] = ACTIONS(7103),
    [anon_sym_BSLASHedef] = ACTIONS(7103),
    [anon_sym_BSLASHxdef] = ACTIONS(7103),
    [anon_sym_BSLASHlet] = ACTIONS(7103),
    [anon_sym_BSLASHglet] = ACTIONS(7103),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7103),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7103),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7103),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7103),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7103),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7103),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7103),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7103),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7103),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7103),
    [anon_sym_BSLASHgls] = ACTIONS(7103),
    [anon_sym_BSLASHGls] = ACTIONS(7103),
    [anon_sym_BSLASHGLS] = ACTIONS(7103),
    [anon_sym_BSLASHglspl] = ACTIONS(7103),
    [anon_sym_BSLASHGlspl] = ACTIONS(7103),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7103),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7103),
    [anon_sym_BSLASHglslink] = ACTIONS(7103),
    [anon_sym_BSLASHglstext] = ACTIONS(7103),
    [anon_sym_BSLASHGlstext] = ACTIONS(7103),
    [anon_sym_BSLASHGLStext] = ACTIONS(7103),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7103),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7103),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7103),
    [anon_sym_BSLASHglsplural] = ACTIONS(7103),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7103),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7103),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7103),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7103),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7103),
    [anon_sym_BSLASHglsname] = ACTIONS(7103),
    [anon_sym_BSLASHGlsname] = ACTIONS(7103),
    [anon_sym_BSLASHGLSname] = ACTIONS(7103),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7103),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7103),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7103),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7103),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7103),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7103),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7103),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7103),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7103),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7103),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7103),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7103),
    [anon_sym_BSLASHacrshort] = ACTIONS(7103),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7103),
    [anon_sym_BSLASHACRshort] = ACTIONS(7103),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHacrlong] = ACTIONS(7103),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7103),
    [anon_sym_BSLASHACRlong] = ACTIONS(7103),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7103),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7103),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7103),
    [anon_sym_BSLASHacrfull] = ACTIONS(7103),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7103),
    [anon_sym_BSLASHACRfull] = ACTIONS(7103),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHacs] = ACTIONS(7103),
    [anon_sym_BSLASHAcs] = ACTIONS(7103),
    [anon_sym_BSLASHacsp] = ACTIONS(7103),
    [anon_sym_BSLASHAcsp] = ACTIONS(7103),
    [anon_sym_BSLASHacl] = ACTIONS(7103),
    [anon_sym_BSLASHAcl] = ACTIONS(7103),
    [anon_sym_BSLASHaclp] = ACTIONS(7103),
    [anon_sym_BSLASHAclp] = ACTIONS(7103),
    [anon_sym_BSLASHacf] = ACTIONS(7103),
    [anon_sym_BSLASHAcf] = ACTIONS(7103),
    [anon_sym_BSLASHacfp] = ACTIONS(7103),
    [anon_sym_BSLASHAcfp] = ACTIONS(7103),
    [anon_sym_BSLASHac] = ACTIONS(7103),
    [anon_sym_BSLASHAc] = ACTIONS(7103),
    [anon_sym_BSLASHacp] = ACTIONS(7103),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7103),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7103),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7103),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7103),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7103),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7103),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7103),
    [anon_sym_BSLASHcolor] = ACTIONS(7103),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7103),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7103),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7103),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7103),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7103),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7103),
    [anon_sym_BSLASHurl] = ACTIONS(7103),
    [anon_sym_BSLASHhref] = ACTIONS(7103),
  },
  [1032] = {
    [ts_builtin_sym_end] = ACTIONS(7109),
    [sym_command_name] = ACTIONS(7107),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7107),
    [anon_sym_LBRACK] = ACTIONS(7109),
    [anon_sym_RBRACK] = ACTIONS(7109),
    [anon_sym_COMMA] = ACTIONS(7109),
    [anon_sym_EQ] = ACTIONS(7109),
    [anon_sym_LPAREN] = ACTIONS(7109),
    [anon_sym_RPAREN] = ACTIONS(7109),
    [anon_sym_BSLASHpart] = ACTIONS(7107),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHaddpart] = ACTIONS(7107),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHchapter] = ACTIONS(7107),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHaddchap] = ACTIONS(7107),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHsection] = ACTIONS(7107),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHaddsec] = ACTIONS(7107),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHsubsection] = ACTIONS(7107),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7107),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHparagraph] = ACTIONS(7107),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7107),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHitem] = ACTIONS(7107),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7109),
    [anon_sym_LBRACE] = ACTIONS(7109),
    [anon_sym_RBRACE] = ACTIONS(7109),
    [sym_word] = ACTIONS(7107),
    [sym_placeholder] = ACTIONS(7109),
    [sym_delimiter] = ACTIONS(7109),
    [anon_sym_PLUS] = ACTIONS(7109),
    [anon_sym_DASH] = ACTIONS(7109),
    [anon_sym_STAR] = ACTIONS(7109),
    [anon_sym_SLASH] = ACTIONS(7109),
    [anon_sym_LT] = ACTIONS(7107),
    [anon_sym_GT] = ACTIONS(7107),
    [anon_sym_BANG] = ACTIONS(7107),
    [anon_sym_PIPE] = ACTIONS(7107),
    [anon_sym_COLON] = ACTIONS(7107),
    [anon_sym_SQUOTE] = ACTIONS(7107),
    [anon_sym__] = ACTIONS(7109),
    [anon_sym_CARET] = ACTIONS(7109),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7109),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7109),
    [anon_sym_DOLLAR] = ACTIONS(7107),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7109),
    [anon_sym_BSLASHleft] = ACTIONS(7107),
    [anon_sym_BSLASHbigl] = ACTIONS(7107),
    [anon_sym_BSLASHBigl] = ACTIONS(7107),
    [anon_sym_BSLASHbiggl] = ACTIONS(7107),
    [anon_sym_BSLASHBiggl] = ACTIONS(7107),
    [anon_sym_BSLASHtext] = ACTIONS(7107),
    [anon_sym_BSLASHintertext] = ACTIONS(7107),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7107),
    [anon_sym_BSLASHbegin] = ACTIONS(7107),
    [anon_sym_BSLASHtitle] = ACTIONS(7107),
    [anon_sym_BSLASHauthor] = ACTIONS(7107),
    [anon_sym_BSLASHusepackage] = ACTIONS(7107),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7107),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7107),
    [anon_sym_BSLASHinclude] = ACTIONS(7107),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7107),
    [anon_sym_BSLASHinput] = ACTIONS(7107),
    [anon_sym_BSLASHsubfile] = ACTIONS(7107),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7107),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7107),
    [anon_sym_BSLASHbibliography] = ACTIONS(7107),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7107),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7107),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7107),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7107),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7107),
    [anon_sym_BSLASHimport] = ACTIONS(7107),
    [anon_sym_BSLASHsubimport] = ACTIONS(7107),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7107),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7107),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7107),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7107),
    [anon_sym_BSLASHcaption] = ACTIONS(7107),
    [anon_sym_BSLASHcite] = ACTIONS(7107),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHCite] = ACTIONS(7107),
    [anon_sym_BSLASHnocite] = ACTIONS(7107),
    [anon_sym_BSLASHcitet] = ACTIONS(7107),
    [anon_sym_BSLASHcitep] = ACTIONS(7107),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHciteA] = ACTIONS(7107),
    [anon_sym_BSLASHciteR] = ACTIONS(7107),
    [anon_sym_BSLASHciteS] = ACTIONS(7107),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7107),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7107),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7107),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7107),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHciteyear] = ACTIONS(7107),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcitedate] = ACTIONS(7107),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHciteurl] = ACTIONS(7107),
    [anon_sym_BSLASHfullcite] = ACTIONS(7107),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7107),
    [anon_sym_BSLASHcitealt] = ACTIONS(7107),
    [anon_sym_BSLASHcitealp] = ACTIONS(7107),
    [anon_sym_BSLASHcitetext] = ACTIONS(7107),
    [anon_sym_BSLASHparencite] = ACTIONS(7107),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHParencite] = ACTIONS(7107),
    [anon_sym_BSLASHfootcite] = ACTIONS(7107),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7107),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7107),
    [anon_sym_BSLASHtextcite] = ACTIONS(7107),
    [anon_sym_BSLASHTextcite] = ACTIONS(7107),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7107),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7107),
    [anon_sym_BSLASHsupercite] = ACTIONS(7107),
    [anon_sym_BSLASHautocite] = ACTIONS(7107),
    [anon_sym_BSLASHAutocite] = ACTIONS(7107),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHVolcite] = ACTIONS(7107),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHavolcite] = ACTIONS(7107),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHnotecite] = ACTIONS(7107),
    [anon_sym_BSLASHNotecite] = ACTIONS(7107),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7107),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7107),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7107),
    [anon_sym_BSLASHlabel] = ACTIONS(7107),
    [anon_sym_BSLASHref] = ACTIONS(7107),
    [anon_sym_BSLASHeqref] = ACTIONS(7107),
    [anon_sym_BSLASHvref] = ACTIONS(7107),
    [anon_sym_BSLASHVref] = ACTIONS(7107),
    [anon_sym_BSLASHautoref] = ACTIONS(7107),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHpageref] = ACTIONS(7107),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHautopageref] = ACTIONS(7107),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcref] = ACTIONS(7107),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHCref] = ACTIONS(7107),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcpageref] = ACTIONS(7107),
    [anon_sym_BSLASHCpageref] = ACTIONS(7107),
    [anon_sym_BSLASHnamecref] = ACTIONS(7107),
    [anon_sym_BSLASHnameCref] = ACTIONS(7107),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7107),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7107),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7107),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7107),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7107),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7107),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7107),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7107),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7107),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7107),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7107),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7107),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7107),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7107),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7107),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7107),
    [anon_sym_BSLASHdef] = ACTIONS(7107),
    [anon_sym_BSLASHgdef] = ACTIONS(7107),
    [anon_sym_BSLASHedef] = ACTIONS(7107),
    [anon_sym_BSLASHxdef] = ACTIONS(7107),
    [anon_sym_BSLASHlet] = ACTIONS(7107),
    [anon_sym_BSLASHglet] = ACTIONS(7107),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7107),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7107),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7107),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7107),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7107),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7107),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7107),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7107),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7107),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7107),
    [anon_sym_BSLASHgls] = ACTIONS(7107),
    [anon_sym_BSLASHGls] = ACTIONS(7107),
    [anon_sym_BSLASHGLS] = ACTIONS(7107),
    [anon_sym_BSLASHglspl] = ACTIONS(7107),
    [anon_sym_BSLASHGlspl] = ACTIONS(7107),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7107),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7107),
    [anon_sym_BSLASHglslink] = ACTIONS(7107),
    [anon_sym_BSLASHglstext] = ACTIONS(7107),
    [anon_sym_BSLASHGlstext] = ACTIONS(7107),
    [anon_sym_BSLASHGLStext] = ACTIONS(7107),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7107),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7107),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7107),
    [anon_sym_BSLASHglsplural] = ACTIONS(7107),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7107),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7107),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7107),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7107),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7107),
    [anon_sym_BSLASHglsname] = ACTIONS(7107),
    [anon_sym_BSLASHGlsname] = ACTIONS(7107),
    [anon_sym_BSLASHGLSname] = ACTIONS(7107),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7107),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7107),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7107),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7107),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7107),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7107),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7107),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7107),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7107),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7107),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7107),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7107),
    [anon_sym_BSLASHacrshort] = ACTIONS(7107),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7107),
    [anon_sym_BSLASHACRshort] = ACTIONS(7107),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHacrlong] = ACTIONS(7107),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7107),
    [anon_sym_BSLASHACRlong] = ACTIONS(7107),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7107),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7107),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7107),
    [anon_sym_BSLASHacrfull] = ACTIONS(7107),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7107),
    [anon_sym_BSLASHACRfull] = ACTIONS(7107),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHacs] = ACTIONS(7107),
    [anon_sym_BSLASHAcs] = ACTIONS(7107),
    [anon_sym_BSLASHacsp] = ACTIONS(7107),
    [anon_sym_BSLASHAcsp] = ACTIONS(7107),
    [anon_sym_BSLASHacl] = ACTIONS(7107),
    [anon_sym_BSLASHAcl] = ACTIONS(7107),
    [anon_sym_BSLASHaclp] = ACTIONS(7107),
    [anon_sym_BSLASHAclp] = ACTIONS(7107),
    [anon_sym_BSLASHacf] = ACTIONS(7107),
    [anon_sym_BSLASHAcf] = ACTIONS(7107),
    [anon_sym_BSLASHacfp] = ACTIONS(7107),
    [anon_sym_BSLASHAcfp] = ACTIONS(7107),
    [anon_sym_BSLASHac] = ACTIONS(7107),
    [anon_sym_BSLASHAc] = ACTIONS(7107),
    [anon_sym_BSLASHacp] = ACTIONS(7107),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7107),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7107),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7107),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7107),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7107),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7107),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7107),
    [anon_sym_BSLASHcolor] = ACTIONS(7107),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7107),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7107),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7107),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7107),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7107),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7107),
    [anon_sym_BSLASHurl] = ACTIONS(7107),
    [anon_sym_BSLASHhref] = ACTIONS(7107),
  },
  [1033] = {
    [ts_builtin_sym_end] = ACTIONS(7453),
    [sym_command_name] = ACTIONS(7451),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7451),
    [anon_sym_LBRACK] = ACTIONS(7453),
    [anon_sym_RBRACK] = ACTIONS(7453),
    [anon_sym_COMMA] = ACTIONS(7453),
    [anon_sym_EQ] = ACTIONS(7453),
    [anon_sym_LPAREN] = ACTIONS(7453),
    [anon_sym_RPAREN] = ACTIONS(7453),
    [anon_sym_BSLASHpart] = ACTIONS(7451),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHaddpart] = ACTIONS(7451),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHchapter] = ACTIONS(7451),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHaddchap] = ACTIONS(7451),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHsection] = ACTIONS(7451),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHaddsec] = ACTIONS(7451),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHsubsection] = ACTIONS(7451),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7451),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHparagraph] = ACTIONS(7451),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7451),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHitem] = ACTIONS(7451),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7453),
    [anon_sym_LBRACE] = ACTIONS(7453),
    [anon_sym_RBRACE] = ACTIONS(7453),
    [sym_word] = ACTIONS(7451),
    [sym_placeholder] = ACTIONS(7453),
    [sym_delimiter] = ACTIONS(7453),
    [anon_sym_PLUS] = ACTIONS(7453),
    [anon_sym_DASH] = ACTIONS(7453),
    [anon_sym_STAR] = ACTIONS(7453),
    [anon_sym_SLASH] = ACTIONS(7453),
    [anon_sym_LT] = ACTIONS(7451),
    [anon_sym_GT] = ACTIONS(7451),
    [anon_sym_BANG] = ACTIONS(7451),
    [anon_sym_PIPE] = ACTIONS(7451),
    [anon_sym_COLON] = ACTIONS(7451),
    [anon_sym_SQUOTE] = ACTIONS(7451),
    [anon_sym__] = ACTIONS(7453),
    [anon_sym_CARET] = ACTIONS(7453),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7453),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7453),
    [anon_sym_DOLLAR] = ACTIONS(7451),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7453),
    [anon_sym_BSLASHleft] = ACTIONS(7451),
    [anon_sym_BSLASHbigl] = ACTIONS(7451),
    [anon_sym_BSLASHBigl] = ACTIONS(7451),
    [anon_sym_BSLASHbiggl] = ACTIONS(7451),
    [anon_sym_BSLASHBiggl] = ACTIONS(7451),
    [anon_sym_BSLASHtext] = ACTIONS(7451),
    [anon_sym_BSLASHintertext] = ACTIONS(7451),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7451),
    [anon_sym_BSLASHbegin] = ACTIONS(7451),
    [anon_sym_BSLASHtitle] = ACTIONS(7451),
    [anon_sym_BSLASHauthor] = ACTIONS(7451),
    [anon_sym_BSLASHusepackage] = ACTIONS(7451),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7451),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7451),
    [anon_sym_BSLASHinclude] = ACTIONS(7451),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7451),
    [anon_sym_BSLASHinput] = ACTIONS(7451),
    [anon_sym_BSLASHsubfile] = ACTIONS(7451),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7451),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7451),
    [anon_sym_BSLASHbibliography] = ACTIONS(7451),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7451),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7451),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7451),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7451),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7451),
    [anon_sym_BSLASHimport] = ACTIONS(7451),
    [anon_sym_BSLASHsubimport] = ACTIONS(7451),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7451),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7451),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7451),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7451),
    [anon_sym_BSLASHcaption] = ACTIONS(7451),
    [anon_sym_BSLASHcite] = ACTIONS(7451),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHCite] = ACTIONS(7451),
    [anon_sym_BSLASHnocite] = ACTIONS(7451),
    [anon_sym_BSLASHcitet] = ACTIONS(7451),
    [anon_sym_BSLASHcitep] = ACTIONS(7451),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHciteA] = ACTIONS(7451),
    [anon_sym_BSLASHciteR] = ACTIONS(7451),
    [anon_sym_BSLASHciteS] = ACTIONS(7451),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7451),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7451),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7451),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7451),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHciteyear] = ACTIONS(7451),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcitedate] = ACTIONS(7451),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHciteurl] = ACTIONS(7451),
    [anon_sym_BSLASHfullcite] = ACTIONS(7451),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7451),
    [anon_sym_BSLASHcitealt] = ACTIONS(7451),
    [anon_sym_BSLASHcitealp] = ACTIONS(7451),
    [anon_sym_BSLASHcitetext] = ACTIONS(7451),
    [anon_sym_BSLASHparencite] = ACTIONS(7451),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHParencite] = ACTIONS(7451),
    [anon_sym_BSLASHfootcite] = ACTIONS(7451),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7451),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7451),
    [anon_sym_BSLASHtextcite] = ACTIONS(7451),
    [anon_sym_BSLASHTextcite] = ACTIONS(7451),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7451),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7451),
    [anon_sym_BSLASHsupercite] = ACTIONS(7451),
    [anon_sym_BSLASHautocite] = ACTIONS(7451),
    [anon_sym_BSLASHAutocite] = ACTIONS(7451),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHVolcite] = ACTIONS(7451),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHavolcite] = ACTIONS(7451),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHnotecite] = ACTIONS(7451),
    [anon_sym_BSLASHNotecite] = ACTIONS(7451),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7451),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7451),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7451),
    [anon_sym_BSLASHlabel] = ACTIONS(7451),
    [anon_sym_BSLASHref] = ACTIONS(7451),
    [anon_sym_BSLASHeqref] = ACTIONS(7451),
    [anon_sym_BSLASHvref] = ACTIONS(7451),
    [anon_sym_BSLASHVref] = ACTIONS(7451),
    [anon_sym_BSLASHautoref] = ACTIONS(7451),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHpageref] = ACTIONS(7451),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHautopageref] = ACTIONS(7451),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcref] = ACTIONS(7451),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHCref] = ACTIONS(7451),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcpageref] = ACTIONS(7451),
    [anon_sym_BSLASHCpageref] = ACTIONS(7451),
    [anon_sym_BSLASHnamecref] = ACTIONS(7451),
    [anon_sym_BSLASHnameCref] = ACTIONS(7451),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7451),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7451),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7451),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7451),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7451),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7451),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7451),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7451),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7451),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7451),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7451),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7451),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7451),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7451),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7451),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7451),
    [anon_sym_BSLASHdef] = ACTIONS(7451),
    [anon_sym_BSLASHgdef] = ACTIONS(7451),
    [anon_sym_BSLASHedef] = ACTIONS(7451),
    [anon_sym_BSLASHxdef] = ACTIONS(7451),
    [anon_sym_BSLASHlet] = ACTIONS(7451),
    [anon_sym_BSLASHglet] = ACTIONS(7451),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7451),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7451),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7451),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7451),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7451),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7451),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7451),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7451),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7451),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7451),
    [anon_sym_BSLASHgls] = ACTIONS(7451),
    [anon_sym_BSLASHGls] = ACTIONS(7451),
    [anon_sym_BSLASHGLS] = ACTIONS(7451),
    [anon_sym_BSLASHglspl] = ACTIONS(7451),
    [anon_sym_BSLASHGlspl] = ACTIONS(7451),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7451),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7451),
    [anon_sym_BSLASHglslink] = ACTIONS(7451),
    [anon_sym_BSLASHglstext] = ACTIONS(7451),
    [anon_sym_BSLASHGlstext] = ACTIONS(7451),
    [anon_sym_BSLASHGLStext] = ACTIONS(7451),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7451),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7451),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7451),
    [anon_sym_BSLASHglsplural] = ACTIONS(7451),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7451),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7451),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7451),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7451),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7451),
    [anon_sym_BSLASHglsname] = ACTIONS(7451),
    [anon_sym_BSLASHGlsname] = ACTIONS(7451),
    [anon_sym_BSLASHGLSname] = ACTIONS(7451),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7451),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7451),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7451),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7451),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7451),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7451),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7451),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7451),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7451),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7451),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7451),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7451),
    [anon_sym_BSLASHacrshort] = ACTIONS(7451),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7451),
    [anon_sym_BSLASHACRshort] = ACTIONS(7451),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHacrlong] = ACTIONS(7451),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7451),
    [anon_sym_BSLASHACRlong] = ACTIONS(7451),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7451),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7451),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7451),
    [anon_sym_BSLASHacrfull] = ACTIONS(7451),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7451),
    [anon_sym_BSLASHACRfull] = ACTIONS(7451),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHacs] = ACTIONS(7451),
    [anon_sym_BSLASHAcs] = ACTIONS(7451),
    [anon_sym_BSLASHacsp] = ACTIONS(7451),
    [anon_sym_BSLASHAcsp] = ACTIONS(7451),
    [anon_sym_BSLASHacl] = ACTIONS(7451),
    [anon_sym_BSLASHAcl] = ACTIONS(7451),
    [anon_sym_BSLASHaclp] = ACTIONS(7451),
    [anon_sym_BSLASHAclp] = ACTIONS(7451),
    [anon_sym_BSLASHacf] = ACTIONS(7451),
    [anon_sym_BSLASHAcf] = ACTIONS(7451),
    [anon_sym_BSLASHacfp] = ACTIONS(7451),
    [anon_sym_BSLASHAcfp] = ACTIONS(7451),
    [anon_sym_BSLASHac] = ACTIONS(7451),
    [anon_sym_BSLASHAc] = ACTIONS(7451),
    [anon_sym_BSLASHacp] = ACTIONS(7451),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7451),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7451),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7451),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7451),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7451),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7451),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7451),
    [anon_sym_BSLASHcolor] = ACTIONS(7451),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7451),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7451),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7451),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7451),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7451),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7451),
    [anon_sym_BSLASHurl] = ACTIONS(7451),
    [anon_sym_BSLASHhref] = ACTIONS(7451),
  },
  [1034] = {
    [ts_builtin_sym_end] = ACTIONS(7113),
    [sym_command_name] = ACTIONS(7111),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7111),
    [anon_sym_LBRACK] = ACTIONS(7113),
    [anon_sym_RBRACK] = ACTIONS(7113),
    [anon_sym_COMMA] = ACTIONS(7113),
    [anon_sym_EQ] = ACTIONS(7113),
    [anon_sym_LPAREN] = ACTIONS(7113),
    [anon_sym_RPAREN] = ACTIONS(7113),
    [anon_sym_BSLASHpart] = ACTIONS(7111),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHaddpart] = ACTIONS(7111),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHchapter] = ACTIONS(7111),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHaddchap] = ACTIONS(7111),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHsection] = ACTIONS(7111),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHaddsec] = ACTIONS(7111),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHsubsection] = ACTIONS(7111),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7111),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHparagraph] = ACTIONS(7111),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7111),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHitem] = ACTIONS(7111),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7113),
    [anon_sym_LBRACE] = ACTIONS(7113),
    [anon_sym_RBRACE] = ACTIONS(7113),
    [sym_word] = ACTIONS(7111),
    [sym_placeholder] = ACTIONS(7113),
    [sym_delimiter] = ACTIONS(7113),
    [anon_sym_PLUS] = ACTIONS(7113),
    [anon_sym_DASH] = ACTIONS(7113),
    [anon_sym_STAR] = ACTIONS(7113),
    [anon_sym_SLASH] = ACTIONS(7113),
    [anon_sym_LT] = ACTIONS(7111),
    [anon_sym_GT] = ACTIONS(7111),
    [anon_sym_BANG] = ACTIONS(7111),
    [anon_sym_PIPE] = ACTIONS(7111),
    [anon_sym_COLON] = ACTIONS(7111),
    [anon_sym_SQUOTE] = ACTIONS(7111),
    [anon_sym__] = ACTIONS(7113),
    [anon_sym_CARET] = ACTIONS(7113),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7113),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7113),
    [anon_sym_DOLLAR] = ACTIONS(7111),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7113),
    [anon_sym_BSLASHleft] = ACTIONS(7111),
    [anon_sym_BSLASHbigl] = ACTIONS(7111),
    [anon_sym_BSLASHBigl] = ACTIONS(7111),
    [anon_sym_BSLASHbiggl] = ACTIONS(7111),
    [anon_sym_BSLASHBiggl] = ACTIONS(7111),
    [anon_sym_BSLASHtext] = ACTIONS(7111),
    [anon_sym_BSLASHintertext] = ACTIONS(7111),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7111),
    [anon_sym_BSLASHbegin] = ACTIONS(7111),
    [anon_sym_BSLASHtitle] = ACTIONS(7111),
    [anon_sym_BSLASHauthor] = ACTIONS(7111),
    [anon_sym_BSLASHusepackage] = ACTIONS(7111),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7111),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7111),
    [anon_sym_BSLASHinclude] = ACTIONS(7111),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7111),
    [anon_sym_BSLASHinput] = ACTIONS(7111),
    [anon_sym_BSLASHsubfile] = ACTIONS(7111),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7111),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7111),
    [anon_sym_BSLASHbibliography] = ACTIONS(7111),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7111),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7111),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7111),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7111),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7111),
    [anon_sym_BSLASHimport] = ACTIONS(7111),
    [anon_sym_BSLASHsubimport] = ACTIONS(7111),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7111),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7111),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7111),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7111),
    [anon_sym_BSLASHcaption] = ACTIONS(7111),
    [anon_sym_BSLASHcite] = ACTIONS(7111),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHCite] = ACTIONS(7111),
    [anon_sym_BSLASHnocite] = ACTIONS(7111),
    [anon_sym_BSLASHcitet] = ACTIONS(7111),
    [anon_sym_BSLASHcitep] = ACTIONS(7111),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHciteA] = ACTIONS(7111),
    [anon_sym_BSLASHciteR] = ACTIONS(7111),
    [anon_sym_BSLASHciteS] = ACTIONS(7111),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7111),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7111),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7111),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7111),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHciteyear] = ACTIONS(7111),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcitedate] = ACTIONS(7111),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHciteurl] = ACTIONS(7111),
    [anon_sym_BSLASHfullcite] = ACTIONS(7111),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7111),
    [anon_sym_BSLASHcitealt] = ACTIONS(7111),
    [anon_sym_BSLASHcitealp] = ACTIONS(7111),
    [anon_sym_BSLASHcitetext] = ACTIONS(7111),
    [anon_sym_BSLASHparencite] = ACTIONS(7111),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHParencite] = ACTIONS(7111),
    [anon_sym_BSLASHfootcite] = ACTIONS(7111),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7111),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7111),
    [anon_sym_BSLASHtextcite] = ACTIONS(7111),
    [anon_sym_BSLASHTextcite] = ACTIONS(7111),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7111),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7111),
    [anon_sym_BSLASHsupercite] = ACTIONS(7111),
    [anon_sym_BSLASHautocite] = ACTIONS(7111),
    [anon_sym_BSLASHAutocite] = ACTIONS(7111),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHVolcite] = ACTIONS(7111),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHavolcite] = ACTIONS(7111),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHnotecite] = ACTIONS(7111),
    [anon_sym_BSLASHNotecite] = ACTIONS(7111),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7111),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7111),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7111),
    [anon_sym_BSLASHlabel] = ACTIONS(7111),
    [anon_sym_BSLASHref] = ACTIONS(7111),
    [anon_sym_BSLASHeqref] = ACTIONS(7111),
    [anon_sym_BSLASHvref] = ACTIONS(7111),
    [anon_sym_BSLASHVref] = ACTIONS(7111),
    [anon_sym_BSLASHautoref] = ACTIONS(7111),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHpageref] = ACTIONS(7111),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHautopageref] = ACTIONS(7111),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcref] = ACTIONS(7111),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHCref] = ACTIONS(7111),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcpageref] = ACTIONS(7111),
    [anon_sym_BSLASHCpageref] = ACTIONS(7111),
    [anon_sym_BSLASHnamecref] = ACTIONS(7111),
    [anon_sym_BSLASHnameCref] = ACTIONS(7111),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7111),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7111),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7111),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7111),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7111),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7111),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7111),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7111),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7111),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7111),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7111),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7111),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7111),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7111),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7111),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7111),
    [anon_sym_BSLASHdef] = ACTIONS(7111),
    [anon_sym_BSLASHgdef] = ACTIONS(7111),
    [anon_sym_BSLASHedef] = ACTIONS(7111),
    [anon_sym_BSLASHxdef] = ACTIONS(7111),
    [anon_sym_BSLASHlet] = ACTIONS(7111),
    [anon_sym_BSLASHglet] = ACTIONS(7111),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7111),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7111),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7111),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7111),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7111),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7111),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7111),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7111),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7111),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7111),
    [anon_sym_BSLASHgls] = ACTIONS(7111),
    [anon_sym_BSLASHGls] = ACTIONS(7111),
    [anon_sym_BSLASHGLS] = ACTIONS(7111),
    [anon_sym_BSLASHglspl] = ACTIONS(7111),
    [anon_sym_BSLASHGlspl] = ACTIONS(7111),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7111),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7111),
    [anon_sym_BSLASHglslink] = ACTIONS(7111),
    [anon_sym_BSLASHglstext] = ACTIONS(7111),
    [anon_sym_BSLASHGlstext] = ACTIONS(7111),
    [anon_sym_BSLASHGLStext] = ACTIONS(7111),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7111),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7111),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7111),
    [anon_sym_BSLASHglsplural] = ACTIONS(7111),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7111),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7111),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7111),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7111),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7111),
    [anon_sym_BSLASHglsname] = ACTIONS(7111),
    [anon_sym_BSLASHGlsname] = ACTIONS(7111),
    [anon_sym_BSLASHGLSname] = ACTIONS(7111),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7111),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7111),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7111),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7111),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7111),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7111),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7111),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7111),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7111),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7111),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7111),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7111),
    [anon_sym_BSLASHacrshort] = ACTIONS(7111),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7111),
    [anon_sym_BSLASHACRshort] = ACTIONS(7111),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHacrlong] = ACTIONS(7111),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7111),
    [anon_sym_BSLASHACRlong] = ACTIONS(7111),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7111),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7111),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7111),
    [anon_sym_BSLASHacrfull] = ACTIONS(7111),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7111),
    [anon_sym_BSLASHACRfull] = ACTIONS(7111),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHacs] = ACTIONS(7111),
    [anon_sym_BSLASHAcs] = ACTIONS(7111),
    [anon_sym_BSLASHacsp] = ACTIONS(7111),
    [anon_sym_BSLASHAcsp] = ACTIONS(7111),
    [anon_sym_BSLASHacl] = ACTIONS(7111),
    [anon_sym_BSLASHAcl] = ACTIONS(7111),
    [anon_sym_BSLASHaclp] = ACTIONS(7111),
    [anon_sym_BSLASHAclp] = ACTIONS(7111),
    [anon_sym_BSLASHacf] = ACTIONS(7111),
    [anon_sym_BSLASHAcf] = ACTIONS(7111),
    [anon_sym_BSLASHacfp] = ACTIONS(7111),
    [anon_sym_BSLASHAcfp] = ACTIONS(7111),
    [anon_sym_BSLASHac] = ACTIONS(7111),
    [anon_sym_BSLASHAc] = ACTIONS(7111),
    [anon_sym_BSLASHacp] = ACTIONS(7111),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7111),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7111),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7111),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7111),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7111),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7111),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7111),
    [anon_sym_BSLASHcolor] = ACTIONS(7111),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7111),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7111),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7111),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7111),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7111),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7111),
    [anon_sym_BSLASHurl] = ACTIONS(7111),
    [anon_sym_BSLASHhref] = ACTIONS(7111),
  },
  [1035] = {
    [ts_builtin_sym_end] = ACTIONS(7117),
    [sym_command_name] = ACTIONS(7115),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7115),
    [anon_sym_LBRACK] = ACTIONS(7117),
    [anon_sym_RBRACK] = ACTIONS(7117),
    [anon_sym_COMMA] = ACTIONS(7117),
    [anon_sym_EQ] = ACTIONS(7117),
    [anon_sym_LPAREN] = ACTIONS(7117),
    [anon_sym_RPAREN] = ACTIONS(7117),
    [anon_sym_BSLASHpart] = ACTIONS(7115),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHaddpart] = ACTIONS(7115),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHchapter] = ACTIONS(7115),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHaddchap] = ACTIONS(7115),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHsection] = ACTIONS(7115),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHaddsec] = ACTIONS(7115),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHsubsection] = ACTIONS(7115),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7115),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHparagraph] = ACTIONS(7115),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7115),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHitem] = ACTIONS(7115),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7117),
    [anon_sym_LBRACE] = ACTIONS(7117),
    [anon_sym_RBRACE] = ACTIONS(7117),
    [sym_word] = ACTIONS(7115),
    [sym_placeholder] = ACTIONS(7117),
    [sym_delimiter] = ACTIONS(7117),
    [anon_sym_PLUS] = ACTIONS(7117),
    [anon_sym_DASH] = ACTIONS(7117),
    [anon_sym_STAR] = ACTIONS(7117),
    [anon_sym_SLASH] = ACTIONS(7117),
    [anon_sym_LT] = ACTIONS(7115),
    [anon_sym_GT] = ACTIONS(7115),
    [anon_sym_BANG] = ACTIONS(7115),
    [anon_sym_PIPE] = ACTIONS(7115),
    [anon_sym_COLON] = ACTIONS(7115),
    [anon_sym_SQUOTE] = ACTIONS(7115),
    [anon_sym__] = ACTIONS(7117),
    [anon_sym_CARET] = ACTIONS(7117),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7117),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7117),
    [anon_sym_DOLLAR] = ACTIONS(7115),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7117),
    [anon_sym_BSLASHleft] = ACTIONS(7115),
    [anon_sym_BSLASHbigl] = ACTIONS(7115),
    [anon_sym_BSLASHBigl] = ACTIONS(7115),
    [anon_sym_BSLASHbiggl] = ACTIONS(7115),
    [anon_sym_BSLASHBiggl] = ACTIONS(7115),
    [anon_sym_BSLASHtext] = ACTIONS(7115),
    [anon_sym_BSLASHintertext] = ACTIONS(7115),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7115),
    [anon_sym_BSLASHbegin] = ACTIONS(7115),
    [anon_sym_BSLASHtitle] = ACTIONS(7115),
    [anon_sym_BSLASHauthor] = ACTIONS(7115),
    [anon_sym_BSLASHusepackage] = ACTIONS(7115),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7115),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7115),
    [anon_sym_BSLASHinclude] = ACTIONS(7115),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7115),
    [anon_sym_BSLASHinput] = ACTIONS(7115),
    [anon_sym_BSLASHsubfile] = ACTIONS(7115),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7115),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7115),
    [anon_sym_BSLASHbibliography] = ACTIONS(7115),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7115),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7115),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7115),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7115),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7115),
    [anon_sym_BSLASHimport] = ACTIONS(7115),
    [anon_sym_BSLASHsubimport] = ACTIONS(7115),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7115),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7115),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7115),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7115),
    [anon_sym_BSLASHcaption] = ACTIONS(7115),
    [anon_sym_BSLASHcite] = ACTIONS(7115),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHCite] = ACTIONS(7115),
    [anon_sym_BSLASHnocite] = ACTIONS(7115),
    [anon_sym_BSLASHcitet] = ACTIONS(7115),
    [anon_sym_BSLASHcitep] = ACTIONS(7115),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHciteA] = ACTIONS(7115),
    [anon_sym_BSLASHciteR] = ACTIONS(7115),
    [anon_sym_BSLASHciteS] = ACTIONS(7115),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7115),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7115),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7115),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7115),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHciteyear] = ACTIONS(7115),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcitedate] = ACTIONS(7115),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHciteurl] = ACTIONS(7115),
    [anon_sym_BSLASHfullcite] = ACTIONS(7115),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7115),
    [anon_sym_BSLASHcitealt] = ACTIONS(7115),
    [anon_sym_BSLASHcitealp] = ACTIONS(7115),
    [anon_sym_BSLASHcitetext] = ACTIONS(7115),
    [anon_sym_BSLASHparencite] = ACTIONS(7115),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHParencite] = ACTIONS(7115),
    [anon_sym_BSLASHfootcite] = ACTIONS(7115),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7115),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7115),
    [anon_sym_BSLASHtextcite] = ACTIONS(7115),
    [anon_sym_BSLASHTextcite] = ACTIONS(7115),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7115),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7115),
    [anon_sym_BSLASHsupercite] = ACTIONS(7115),
    [anon_sym_BSLASHautocite] = ACTIONS(7115),
    [anon_sym_BSLASHAutocite] = ACTIONS(7115),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHVolcite] = ACTIONS(7115),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHavolcite] = ACTIONS(7115),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHnotecite] = ACTIONS(7115),
    [anon_sym_BSLASHNotecite] = ACTIONS(7115),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7115),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7115),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7115),
    [anon_sym_BSLASHlabel] = ACTIONS(7115),
    [anon_sym_BSLASHref] = ACTIONS(7115),
    [anon_sym_BSLASHeqref] = ACTIONS(7115),
    [anon_sym_BSLASHvref] = ACTIONS(7115),
    [anon_sym_BSLASHVref] = ACTIONS(7115),
    [anon_sym_BSLASHautoref] = ACTIONS(7115),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHpageref] = ACTIONS(7115),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHautopageref] = ACTIONS(7115),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcref] = ACTIONS(7115),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHCref] = ACTIONS(7115),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcpageref] = ACTIONS(7115),
    [anon_sym_BSLASHCpageref] = ACTIONS(7115),
    [anon_sym_BSLASHnamecref] = ACTIONS(7115),
    [anon_sym_BSLASHnameCref] = ACTIONS(7115),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7115),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7115),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7115),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7115),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7115),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7115),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7115),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7115),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7115),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7115),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7115),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7115),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7115),
    [anon_sym_BSLASHdef] = ACTIONS(7115),
    [anon_sym_BSLASHgdef] = ACTIONS(7115),
    [anon_sym_BSLASHedef] = ACTIONS(7115),
    [anon_sym_BSLASHxdef] = ACTIONS(7115),
    [anon_sym_BSLASHlet] = ACTIONS(7115),
    [anon_sym_BSLASHglet] = ACTIONS(7115),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7115),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7115),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7115),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7115),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7115),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7115),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7115),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7115),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7115),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7115),
    [anon_sym_BSLASHgls] = ACTIONS(7115),
    [anon_sym_BSLASHGls] = ACTIONS(7115),
    [anon_sym_BSLASHGLS] = ACTIONS(7115),
    [anon_sym_BSLASHglspl] = ACTIONS(7115),
    [anon_sym_BSLASHGlspl] = ACTIONS(7115),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7115),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7115),
    [anon_sym_BSLASHglslink] = ACTIONS(7115),
    [anon_sym_BSLASHglstext] = ACTIONS(7115),
    [anon_sym_BSLASHGlstext] = ACTIONS(7115),
    [anon_sym_BSLASHGLStext] = ACTIONS(7115),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7115),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7115),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7115),
    [anon_sym_BSLASHglsplural] = ACTIONS(7115),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7115),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7115),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7115),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7115),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7115),
    [anon_sym_BSLASHglsname] = ACTIONS(7115),
    [anon_sym_BSLASHGlsname] = ACTIONS(7115),
    [anon_sym_BSLASHGLSname] = ACTIONS(7115),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7115),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7115),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7115),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7115),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7115),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7115),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7115),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7115),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7115),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7115),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7115),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7115),
    [anon_sym_BSLASHacrshort] = ACTIONS(7115),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7115),
    [anon_sym_BSLASHACRshort] = ACTIONS(7115),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHacrlong] = ACTIONS(7115),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7115),
    [anon_sym_BSLASHACRlong] = ACTIONS(7115),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7115),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7115),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7115),
    [anon_sym_BSLASHacrfull] = ACTIONS(7115),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7115),
    [anon_sym_BSLASHACRfull] = ACTIONS(7115),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHacs] = ACTIONS(7115),
    [anon_sym_BSLASHAcs] = ACTIONS(7115),
    [anon_sym_BSLASHacsp] = ACTIONS(7115),
    [anon_sym_BSLASHAcsp] = ACTIONS(7115),
    [anon_sym_BSLASHacl] = ACTIONS(7115),
    [anon_sym_BSLASHAcl] = ACTIONS(7115),
    [anon_sym_BSLASHaclp] = ACTIONS(7115),
    [anon_sym_BSLASHAclp] = ACTIONS(7115),
    [anon_sym_BSLASHacf] = ACTIONS(7115),
    [anon_sym_BSLASHAcf] = ACTIONS(7115),
    [anon_sym_BSLASHacfp] = ACTIONS(7115),
    [anon_sym_BSLASHAcfp] = ACTIONS(7115),
    [anon_sym_BSLASHac] = ACTIONS(7115),
    [anon_sym_BSLASHAc] = ACTIONS(7115),
    [anon_sym_BSLASHacp] = ACTIONS(7115),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7115),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7115),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7115),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7115),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7115),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7115),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7115),
    [anon_sym_BSLASHcolor] = ACTIONS(7115),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7115),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7115),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7115),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7115),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7115),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7115),
    [anon_sym_BSLASHurl] = ACTIONS(7115),
    [anon_sym_BSLASHhref] = ACTIONS(7115),
  },
  [1036] = {
    [ts_builtin_sym_end] = ACTIONS(7121),
    [sym_command_name] = ACTIONS(7119),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7119),
    [anon_sym_LBRACK] = ACTIONS(7121),
    [anon_sym_RBRACK] = ACTIONS(7121),
    [anon_sym_COMMA] = ACTIONS(7121),
    [anon_sym_EQ] = ACTIONS(7121),
    [anon_sym_LPAREN] = ACTIONS(7121),
    [anon_sym_RPAREN] = ACTIONS(7121),
    [anon_sym_BSLASHpart] = ACTIONS(7119),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHaddpart] = ACTIONS(7119),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHchapter] = ACTIONS(7119),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHaddchap] = ACTIONS(7119),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHsection] = ACTIONS(7119),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHaddsec] = ACTIONS(7119),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHsubsection] = ACTIONS(7119),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7119),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHparagraph] = ACTIONS(7119),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7119),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHitem] = ACTIONS(7119),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7121),
    [anon_sym_LBRACE] = ACTIONS(7121),
    [anon_sym_RBRACE] = ACTIONS(7121),
    [sym_word] = ACTIONS(7119),
    [sym_placeholder] = ACTIONS(7121),
    [sym_delimiter] = ACTIONS(7121),
    [anon_sym_PLUS] = ACTIONS(7121),
    [anon_sym_DASH] = ACTIONS(7121),
    [anon_sym_STAR] = ACTIONS(7121),
    [anon_sym_SLASH] = ACTIONS(7121),
    [anon_sym_LT] = ACTIONS(7119),
    [anon_sym_GT] = ACTIONS(7119),
    [anon_sym_BANG] = ACTIONS(7119),
    [anon_sym_PIPE] = ACTIONS(7119),
    [anon_sym_COLON] = ACTIONS(7119),
    [anon_sym_SQUOTE] = ACTIONS(7119),
    [anon_sym__] = ACTIONS(7121),
    [anon_sym_CARET] = ACTIONS(7121),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7121),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7121),
    [anon_sym_DOLLAR] = ACTIONS(7119),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7121),
    [anon_sym_BSLASHleft] = ACTIONS(7119),
    [anon_sym_BSLASHbigl] = ACTIONS(7119),
    [anon_sym_BSLASHBigl] = ACTIONS(7119),
    [anon_sym_BSLASHbiggl] = ACTIONS(7119),
    [anon_sym_BSLASHBiggl] = ACTIONS(7119),
    [anon_sym_BSLASHtext] = ACTIONS(7119),
    [anon_sym_BSLASHintertext] = ACTIONS(7119),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7119),
    [anon_sym_BSLASHbegin] = ACTIONS(7119),
    [anon_sym_BSLASHtitle] = ACTIONS(7119),
    [anon_sym_BSLASHauthor] = ACTIONS(7119),
    [anon_sym_BSLASHusepackage] = ACTIONS(7119),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7119),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7119),
    [anon_sym_BSLASHinclude] = ACTIONS(7119),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7119),
    [anon_sym_BSLASHinput] = ACTIONS(7119),
    [anon_sym_BSLASHsubfile] = ACTIONS(7119),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7119),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7119),
    [anon_sym_BSLASHbibliography] = ACTIONS(7119),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7119),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7119),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7119),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7119),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7119),
    [anon_sym_BSLASHimport] = ACTIONS(7119),
    [anon_sym_BSLASHsubimport] = ACTIONS(7119),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7119),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7119),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7119),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7119),
    [anon_sym_BSLASHcaption] = ACTIONS(7119),
    [anon_sym_BSLASHcite] = ACTIONS(7119),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHCite] = ACTIONS(7119),
    [anon_sym_BSLASHnocite] = ACTIONS(7119),
    [anon_sym_BSLASHcitet] = ACTIONS(7119),
    [anon_sym_BSLASHcitep] = ACTIONS(7119),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHciteA] = ACTIONS(7119),
    [anon_sym_BSLASHciteR] = ACTIONS(7119),
    [anon_sym_BSLASHciteS] = ACTIONS(7119),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7119),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7119),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7119),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7119),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHciteyear] = ACTIONS(7119),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcitedate] = ACTIONS(7119),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHciteurl] = ACTIONS(7119),
    [anon_sym_BSLASHfullcite] = ACTIONS(7119),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7119),
    [anon_sym_BSLASHcitealt] = ACTIONS(7119),
    [anon_sym_BSLASHcitealp] = ACTIONS(7119),
    [anon_sym_BSLASHcitetext] = ACTIONS(7119),
    [anon_sym_BSLASHparencite] = ACTIONS(7119),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHParencite] = ACTIONS(7119),
    [anon_sym_BSLASHfootcite] = ACTIONS(7119),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7119),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7119),
    [anon_sym_BSLASHtextcite] = ACTIONS(7119),
    [anon_sym_BSLASHTextcite] = ACTIONS(7119),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7119),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7119),
    [anon_sym_BSLASHsupercite] = ACTIONS(7119),
    [anon_sym_BSLASHautocite] = ACTIONS(7119),
    [anon_sym_BSLASHAutocite] = ACTIONS(7119),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHVolcite] = ACTIONS(7119),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHavolcite] = ACTIONS(7119),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHnotecite] = ACTIONS(7119),
    [anon_sym_BSLASHNotecite] = ACTIONS(7119),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7119),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7119),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7119),
    [anon_sym_BSLASHlabel] = ACTIONS(7119),
    [anon_sym_BSLASHref] = ACTIONS(7119),
    [anon_sym_BSLASHeqref] = ACTIONS(7119),
    [anon_sym_BSLASHvref] = ACTIONS(7119),
    [anon_sym_BSLASHVref] = ACTIONS(7119),
    [anon_sym_BSLASHautoref] = ACTIONS(7119),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHpageref] = ACTIONS(7119),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHautopageref] = ACTIONS(7119),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcref] = ACTIONS(7119),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHCref] = ACTIONS(7119),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcpageref] = ACTIONS(7119),
    [anon_sym_BSLASHCpageref] = ACTIONS(7119),
    [anon_sym_BSLASHnamecref] = ACTIONS(7119),
    [anon_sym_BSLASHnameCref] = ACTIONS(7119),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7119),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7119),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7119),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7119),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7119),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7119),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7119),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7119),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7119),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7119),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7119),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7119),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7119),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7119),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7119),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7119),
    [anon_sym_BSLASHdef] = ACTIONS(7119),
    [anon_sym_BSLASHgdef] = ACTIONS(7119),
    [anon_sym_BSLASHedef] = ACTIONS(7119),
    [anon_sym_BSLASHxdef] = ACTIONS(7119),
    [anon_sym_BSLASHlet] = ACTIONS(7119),
    [anon_sym_BSLASHglet] = ACTIONS(7119),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7119),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7119),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7119),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7119),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7119),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7119),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7119),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7119),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7119),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7119),
    [anon_sym_BSLASHgls] = ACTIONS(7119),
    [anon_sym_BSLASHGls] = ACTIONS(7119),
    [anon_sym_BSLASHGLS] = ACTIONS(7119),
    [anon_sym_BSLASHglspl] = ACTIONS(7119),
    [anon_sym_BSLASHGlspl] = ACTIONS(7119),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7119),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7119),
    [anon_sym_BSLASHglslink] = ACTIONS(7119),
    [anon_sym_BSLASHglstext] = ACTIONS(7119),
    [anon_sym_BSLASHGlstext] = ACTIONS(7119),
    [anon_sym_BSLASHGLStext] = ACTIONS(7119),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7119),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7119),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7119),
    [anon_sym_BSLASHglsplural] = ACTIONS(7119),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7119),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7119),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7119),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7119),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7119),
    [anon_sym_BSLASHglsname] = ACTIONS(7119),
    [anon_sym_BSLASHGlsname] = ACTIONS(7119),
    [anon_sym_BSLASHGLSname] = ACTIONS(7119),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7119),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7119),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7119),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7119),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7119),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7119),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7119),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7119),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7119),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7119),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7119),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7119),
    [anon_sym_BSLASHacrshort] = ACTIONS(7119),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7119),
    [anon_sym_BSLASHACRshort] = ACTIONS(7119),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHacrlong] = ACTIONS(7119),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7119),
    [anon_sym_BSLASHACRlong] = ACTIONS(7119),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7119),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7119),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7119),
    [anon_sym_BSLASHacrfull] = ACTIONS(7119),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7119),
    [anon_sym_BSLASHACRfull] = ACTIONS(7119),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHacs] = ACTIONS(7119),
    [anon_sym_BSLASHAcs] = ACTIONS(7119),
    [anon_sym_BSLASHacsp] = ACTIONS(7119),
    [anon_sym_BSLASHAcsp] = ACTIONS(7119),
    [anon_sym_BSLASHacl] = ACTIONS(7119),
    [anon_sym_BSLASHAcl] = ACTIONS(7119),
    [anon_sym_BSLASHaclp] = ACTIONS(7119),
    [anon_sym_BSLASHAclp] = ACTIONS(7119),
    [anon_sym_BSLASHacf] = ACTIONS(7119),
    [anon_sym_BSLASHAcf] = ACTIONS(7119),
    [anon_sym_BSLASHacfp] = ACTIONS(7119),
    [anon_sym_BSLASHAcfp] = ACTIONS(7119),
    [anon_sym_BSLASHac] = ACTIONS(7119),
    [anon_sym_BSLASHAc] = ACTIONS(7119),
    [anon_sym_BSLASHacp] = ACTIONS(7119),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7119),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7119),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7119),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7119),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7119),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7119),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7119),
    [anon_sym_BSLASHcolor] = ACTIONS(7119),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7119),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7119),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7119),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7119),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7119),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7119),
    [anon_sym_BSLASHurl] = ACTIONS(7119),
    [anon_sym_BSLASHhref] = ACTIONS(7119),
  },
  [1037] = {
    [ts_builtin_sym_end] = ACTIONS(7125),
    [sym_command_name] = ACTIONS(7123),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7123),
    [anon_sym_LBRACK] = ACTIONS(7125),
    [anon_sym_RBRACK] = ACTIONS(7125),
    [anon_sym_COMMA] = ACTIONS(7125),
    [anon_sym_EQ] = ACTIONS(7125),
    [anon_sym_LPAREN] = ACTIONS(7125),
    [anon_sym_RPAREN] = ACTIONS(7125),
    [anon_sym_BSLASHpart] = ACTIONS(7123),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHaddpart] = ACTIONS(7123),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHchapter] = ACTIONS(7123),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHaddchap] = ACTIONS(7123),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHsection] = ACTIONS(7123),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHaddsec] = ACTIONS(7123),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHsubsection] = ACTIONS(7123),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7123),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHparagraph] = ACTIONS(7123),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7123),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHitem] = ACTIONS(7123),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7125),
    [anon_sym_LBRACE] = ACTIONS(7125),
    [anon_sym_RBRACE] = ACTIONS(7125),
    [sym_word] = ACTIONS(7123),
    [sym_placeholder] = ACTIONS(7125),
    [sym_delimiter] = ACTIONS(7125),
    [anon_sym_PLUS] = ACTIONS(7125),
    [anon_sym_DASH] = ACTIONS(7125),
    [anon_sym_STAR] = ACTIONS(7125),
    [anon_sym_SLASH] = ACTIONS(7125),
    [anon_sym_LT] = ACTIONS(7123),
    [anon_sym_GT] = ACTIONS(7123),
    [anon_sym_BANG] = ACTIONS(7123),
    [anon_sym_PIPE] = ACTIONS(7123),
    [anon_sym_COLON] = ACTIONS(7123),
    [anon_sym_SQUOTE] = ACTIONS(7123),
    [anon_sym__] = ACTIONS(7125),
    [anon_sym_CARET] = ACTIONS(7125),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7125),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7125),
    [anon_sym_DOLLAR] = ACTIONS(7123),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7125),
    [anon_sym_BSLASHleft] = ACTIONS(7123),
    [anon_sym_BSLASHbigl] = ACTIONS(7123),
    [anon_sym_BSLASHBigl] = ACTIONS(7123),
    [anon_sym_BSLASHbiggl] = ACTIONS(7123),
    [anon_sym_BSLASHBiggl] = ACTIONS(7123),
    [anon_sym_BSLASHtext] = ACTIONS(7123),
    [anon_sym_BSLASHintertext] = ACTIONS(7123),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7123),
    [anon_sym_BSLASHbegin] = ACTIONS(7123),
    [anon_sym_BSLASHtitle] = ACTIONS(7123),
    [anon_sym_BSLASHauthor] = ACTIONS(7123),
    [anon_sym_BSLASHusepackage] = ACTIONS(7123),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7123),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7123),
    [anon_sym_BSLASHinclude] = ACTIONS(7123),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7123),
    [anon_sym_BSLASHinput] = ACTIONS(7123),
    [anon_sym_BSLASHsubfile] = ACTIONS(7123),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7123),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7123),
    [anon_sym_BSLASHbibliography] = ACTIONS(7123),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7123),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7123),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7123),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7123),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7123),
    [anon_sym_BSLASHimport] = ACTIONS(7123),
    [anon_sym_BSLASHsubimport] = ACTIONS(7123),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7123),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7123),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7123),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7123),
    [anon_sym_BSLASHcaption] = ACTIONS(7123),
    [anon_sym_BSLASHcite] = ACTIONS(7123),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHCite] = ACTIONS(7123),
    [anon_sym_BSLASHnocite] = ACTIONS(7123),
    [anon_sym_BSLASHcitet] = ACTIONS(7123),
    [anon_sym_BSLASHcitep] = ACTIONS(7123),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHciteA] = ACTIONS(7123),
    [anon_sym_BSLASHciteR] = ACTIONS(7123),
    [anon_sym_BSLASHciteS] = ACTIONS(7123),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7123),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7123),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7123),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7123),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHciteyear] = ACTIONS(7123),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcitedate] = ACTIONS(7123),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHciteurl] = ACTIONS(7123),
    [anon_sym_BSLASHfullcite] = ACTIONS(7123),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7123),
    [anon_sym_BSLASHcitealt] = ACTIONS(7123),
    [anon_sym_BSLASHcitealp] = ACTIONS(7123),
    [anon_sym_BSLASHcitetext] = ACTIONS(7123),
    [anon_sym_BSLASHparencite] = ACTIONS(7123),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHParencite] = ACTIONS(7123),
    [anon_sym_BSLASHfootcite] = ACTIONS(7123),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7123),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7123),
    [anon_sym_BSLASHtextcite] = ACTIONS(7123),
    [anon_sym_BSLASHTextcite] = ACTIONS(7123),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7123),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7123),
    [anon_sym_BSLASHsupercite] = ACTIONS(7123),
    [anon_sym_BSLASHautocite] = ACTIONS(7123),
    [anon_sym_BSLASHAutocite] = ACTIONS(7123),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHVolcite] = ACTIONS(7123),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHavolcite] = ACTIONS(7123),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHnotecite] = ACTIONS(7123),
    [anon_sym_BSLASHNotecite] = ACTIONS(7123),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7123),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7123),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7123),
    [anon_sym_BSLASHlabel] = ACTIONS(7123),
    [anon_sym_BSLASHref] = ACTIONS(7123),
    [anon_sym_BSLASHeqref] = ACTIONS(7123),
    [anon_sym_BSLASHvref] = ACTIONS(7123),
    [anon_sym_BSLASHVref] = ACTIONS(7123),
    [anon_sym_BSLASHautoref] = ACTIONS(7123),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHpageref] = ACTIONS(7123),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHautopageref] = ACTIONS(7123),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcref] = ACTIONS(7123),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHCref] = ACTIONS(7123),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcpageref] = ACTIONS(7123),
    [anon_sym_BSLASHCpageref] = ACTIONS(7123),
    [anon_sym_BSLASHnamecref] = ACTIONS(7123),
    [anon_sym_BSLASHnameCref] = ACTIONS(7123),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7123),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7123),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7123),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7123),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7123),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7123),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7123),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7123),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7123),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7123),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7123),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7123),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7123),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7123),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7123),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7123),
    [anon_sym_BSLASHdef] = ACTIONS(7123),
    [anon_sym_BSLASHgdef] = ACTIONS(7123),
    [anon_sym_BSLASHedef] = ACTIONS(7123),
    [anon_sym_BSLASHxdef] = ACTIONS(7123),
    [anon_sym_BSLASHlet] = ACTIONS(7123),
    [anon_sym_BSLASHglet] = ACTIONS(7123),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7123),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7123),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7123),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7123),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7123),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7123),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7123),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7123),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7123),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7123),
    [anon_sym_BSLASHgls] = ACTIONS(7123),
    [anon_sym_BSLASHGls] = ACTIONS(7123),
    [anon_sym_BSLASHGLS] = ACTIONS(7123),
    [anon_sym_BSLASHglspl] = ACTIONS(7123),
    [anon_sym_BSLASHGlspl] = ACTIONS(7123),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7123),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7123),
    [anon_sym_BSLASHglslink] = ACTIONS(7123),
    [anon_sym_BSLASHglstext] = ACTIONS(7123),
    [anon_sym_BSLASHGlstext] = ACTIONS(7123),
    [anon_sym_BSLASHGLStext] = ACTIONS(7123),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7123),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7123),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7123),
    [anon_sym_BSLASHglsplural] = ACTIONS(7123),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7123),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7123),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7123),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7123),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7123),
    [anon_sym_BSLASHglsname] = ACTIONS(7123),
    [anon_sym_BSLASHGlsname] = ACTIONS(7123),
    [anon_sym_BSLASHGLSname] = ACTIONS(7123),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7123),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7123),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7123),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7123),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7123),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7123),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7123),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7123),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7123),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7123),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7123),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7123),
    [anon_sym_BSLASHacrshort] = ACTIONS(7123),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7123),
    [anon_sym_BSLASHACRshort] = ACTIONS(7123),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHacrlong] = ACTIONS(7123),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7123),
    [anon_sym_BSLASHACRlong] = ACTIONS(7123),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7123),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7123),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7123),
    [anon_sym_BSLASHacrfull] = ACTIONS(7123),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7123),
    [anon_sym_BSLASHACRfull] = ACTIONS(7123),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHacs] = ACTIONS(7123),
    [anon_sym_BSLASHAcs] = ACTIONS(7123),
    [anon_sym_BSLASHacsp] = ACTIONS(7123),
    [anon_sym_BSLASHAcsp] = ACTIONS(7123),
    [anon_sym_BSLASHacl] = ACTIONS(7123),
    [anon_sym_BSLASHAcl] = ACTIONS(7123),
    [anon_sym_BSLASHaclp] = ACTIONS(7123),
    [anon_sym_BSLASHAclp] = ACTIONS(7123),
    [anon_sym_BSLASHacf] = ACTIONS(7123),
    [anon_sym_BSLASHAcf] = ACTIONS(7123),
    [anon_sym_BSLASHacfp] = ACTIONS(7123),
    [anon_sym_BSLASHAcfp] = ACTIONS(7123),
    [anon_sym_BSLASHac] = ACTIONS(7123),
    [anon_sym_BSLASHAc] = ACTIONS(7123),
    [anon_sym_BSLASHacp] = ACTIONS(7123),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7123),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7123),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7123),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7123),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7123),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7123),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7123),
    [anon_sym_BSLASHcolor] = ACTIONS(7123),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7123),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7123),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7123),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7123),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7123),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7123),
    [anon_sym_BSLASHurl] = ACTIONS(7123),
    [anon_sym_BSLASHhref] = ACTIONS(7123),
  },
  [1038] = {
    [ts_builtin_sym_end] = ACTIONS(7129),
    [sym_command_name] = ACTIONS(7127),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7127),
    [anon_sym_LBRACK] = ACTIONS(7129),
    [anon_sym_RBRACK] = ACTIONS(7129),
    [anon_sym_COMMA] = ACTIONS(7129),
    [anon_sym_EQ] = ACTIONS(7129),
    [anon_sym_LPAREN] = ACTIONS(7129),
    [anon_sym_RPAREN] = ACTIONS(7129),
    [anon_sym_BSLASHpart] = ACTIONS(7127),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHaddpart] = ACTIONS(7127),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHchapter] = ACTIONS(7127),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHaddchap] = ACTIONS(7127),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHsection] = ACTIONS(7127),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHaddsec] = ACTIONS(7127),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHsubsection] = ACTIONS(7127),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7127),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHparagraph] = ACTIONS(7127),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7127),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHitem] = ACTIONS(7127),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7129),
    [anon_sym_LBRACE] = ACTIONS(7129),
    [anon_sym_RBRACE] = ACTIONS(7129),
    [sym_word] = ACTIONS(7127),
    [sym_placeholder] = ACTIONS(7129),
    [sym_delimiter] = ACTIONS(7129),
    [anon_sym_PLUS] = ACTIONS(7129),
    [anon_sym_DASH] = ACTIONS(7129),
    [anon_sym_STAR] = ACTIONS(7129),
    [anon_sym_SLASH] = ACTIONS(7129),
    [anon_sym_LT] = ACTIONS(7127),
    [anon_sym_GT] = ACTIONS(7127),
    [anon_sym_BANG] = ACTIONS(7127),
    [anon_sym_PIPE] = ACTIONS(7127),
    [anon_sym_COLON] = ACTIONS(7127),
    [anon_sym_SQUOTE] = ACTIONS(7127),
    [anon_sym__] = ACTIONS(7129),
    [anon_sym_CARET] = ACTIONS(7129),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7129),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7129),
    [anon_sym_DOLLAR] = ACTIONS(7127),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7129),
    [anon_sym_BSLASHleft] = ACTIONS(7127),
    [anon_sym_BSLASHbigl] = ACTIONS(7127),
    [anon_sym_BSLASHBigl] = ACTIONS(7127),
    [anon_sym_BSLASHbiggl] = ACTIONS(7127),
    [anon_sym_BSLASHBiggl] = ACTIONS(7127),
    [anon_sym_BSLASHtext] = ACTIONS(7127),
    [anon_sym_BSLASHintertext] = ACTIONS(7127),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7127),
    [anon_sym_BSLASHbegin] = ACTIONS(7127),
    [anon_sym_BSLASHtitle] = ACTIONS(7127),
    [anon_sym_BSLASHauthor] = ACTIONS(7127),
    [anon_sym_BSLASHusepackage] = ACTIONS(7127),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7127),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7127),
    [anon_sym_BSLASHinclude] = ACTIONS(7127),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7127),
    [anon_sym_BSLASHinput] = ACTIONS(7127),
    [anon_sym_BSLASHsubfile] = ACTIONS(7127),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7127),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7127),
    [anon_sym_BSLASHbibliography] = ACTIONS(7127),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7127),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7127),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7127),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7127),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7127),
    [anon_sym_BSLASHimport] = ACTIONS(7127),
    [anon_sym_BSLASHsubimport] = ACTIONS(7127),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7127),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7127),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7127),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7127),
    [anon_sym_BSLASHcaption] = ACTIONS(7127),
    [anon_sym_BSLASHcite] = ACTIONS(7127),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHCite] = ACTIONS(7127),
    [anon_sym_BSLASHnocite] = ACTIONS(7127),
    [anon_sym_BSLASHcitet] = ACTIONS(7127),
    [anon_sym_BSLASHcitep] = ACTIONS(7127),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHciteA] = ACTIONS(7127),
    [anon_sym_BSLASHciteR] = ACTIONS(7127),
    [anon_sym_BSLASHciteS] = ACTIONS(7127),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7127),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7127),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7127),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7127),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHciteyear] = ACTIONS(7127),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcitedate] = ACTIONS(7127),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHciteurl] = ACTIONS(7127),
    [anon_sym_BSLASHfullcite] = ACTIONS(7127),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7127),
    [anon_sym_BSLASHcitealt] = ACTIONS(7127),
    [anon_sym_BSLASHcitealp] = ACTIONS(7127),
    [anon_sym_BSLASHcitetext] = ACTIONS(7127),
    [anon_sym_BSLASHparencite] = ACTIONS(7127),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHParencite] = ACTIONS(7127),
    [anon_sym_BSLASHfootcite] = ACTIONS(7127),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7127),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7127),
    [anon_sym_BSLASHtextcite] = ACTIONS(7127),
    [anon_sym_BSLASHTextcite] = ACTIONS(7127),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7127),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7127),
    [anon_sym_BSLASHsupercite] = ACTIONS(7127),
    [anon_sym_BSLASHautocite] = ACTIONS(7127),
    [anon_sym_BSLASHAutocite] = ACTIONS(7127),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHVolcite] = ACTIONS(7127),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHavolcite] = ACTIONS(7127),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHnotecite] = ACTIONS(7127),
    [anon_sym_BSLASHNotecite] = ACTIONS(7127),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7127),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7127),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7127),
    [anon_sym_BSLASHlabel] = ACTIONS(7127),
    [anon_sym_BSLASHref] = ACTIONS(7127),
    [anon_sym_BSLASHeqref] = ACTIONS(7127),
    [anon_sym_BSLASHvref] = ACTIONS(7127),
    [anon_sym_BSLASHVref] = ACTIONS(7127),
    [anon_sym_BSLASHautoref] = ACTIONS(7127),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHpageref] = ACTIONS(7127),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHautopageref] = ACTIONS(7127),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcref] = ACTIONS(7127),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHCref] = ACTIONS(7127),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcpageref] = ACTIONS(7127),
    [anon_sym_BSLASHCpageref] = ACTIONS(7127),
    [anon_sym_BSLASHnamecref] = ACTIONS(7127),
    [anon_sym_BSLASHnameCref] = ACTIONS(7127),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7127),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7127),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7127),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7127),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7127),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7127),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7127),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7127),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7127),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7127),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7127),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7127),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7127),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7127),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7127),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7127),
    [anon_sym_BSLASHdef] = ACTIONS(7127),
    [anon_sym_BSLASHgdef] = ACTIONS(7127),
    [anon_sym_BSLASHedef] = ACTIONS(7127),
    [anon_sym_BSLASHxdef] = ACTIONS(7127),
    [anon_sym_BSLASHlet] = ACTIONS(7127),
    [anon_sym_BSLASHglet] = ACTIONS(7127),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7127),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7127),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7127),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7127),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7127),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7127),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7127),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7127),
    [anon_sym_BSLASHgls] = ACTIONS(7127),
    [anon_sym_BSLASHGls] = ACTIONS(7127),
    [anon_sym_BSLASHGLS] = ACTIONS(7127),
    [anon_sym_BSLASHglspl] = ACTIONS(7127),
    [anon_sym_BSLASHGlspl] = ACTIONS(7127),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7127),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7127),
    [anon_sym_BSLASHglslink] = ACTIONS(7127),
    [anon_sym_BSLASHglstext] = ACTIONS(7127),
    [anon_sym_BSLASHGlstext] = ACTIONS(7127),
    [anon_sym_BSLASHGLStext] = ACTIONS(7127),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7127),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7127),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7127),
    [anon_sym_BSLASHglsplural] = ACTIONS(7127),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7127),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7127),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7127),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7127),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7127),
    [anon_sym_BSLASHglsname] = ACTIONS(7127),
    [anon_sym_BSLASHGlsname] = ACTIONS(7127),
    [anon_sym_BSLASHGLSname] = ACTIONS(7127),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7127),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7127),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7127),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7127),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7127),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7127),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7127),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7127),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7127),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7127),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7127),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7127),
    [anon_sym_BSLASHacrshort] = ACTIONS(7127),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7127),
    [anon_sym_BSLASHACRshort] = ACTIONS(7127),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHacrlong] = ACTIONS(7127),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7127),
    [anon_sym_BSLASHACRlong] = ACTIONS(7127),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7127),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7127),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7127),
    [anon_sym_BSLASHacrfull] = ACTIONS(7127),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7127),
    [anon_sym_BSLASHACRfull] = ACTIONS(7127),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHacs] = ACTIONS(7127),
    [anon_sym_BSLASHAcs] = ACTIONS(7127),
    [anon_sym_BSLASHacsp] = ACTIONS(7127),
    [anon_sym_BSLASHAcsp] = ACTIONS(7127),
    [anon_sym_BSLASHacl] = ACTIONS(7127),
    [anon_sym_BSLASHAcl] = ACTIONS(7127),
    [anon_sym_BSLASHaclp] = ACTIONS(7127),
    [anon_sym_BSLASHAclp] = ACTIONS(7127),
    [anon_sym_BSLASHacf] = ACTIONS(7127),
    [anon_sym_BSLASHAcf] = ACTIONS(7127),
    [anon_sym_BSLASHacfp] = ACTIONS(7127),
    [anon_sym_BSLASHAcfp] = ACTIONS(7127),
    [anon_sym_BSLASHac] = ACTIONS(7127),
    [anon_sym_BSLASHAc] = ACTIONS(7127),
    [anon_sym_BSLASHacp] = ACTIONS(7127),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7127),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7127),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7127),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7127),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7127),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7127),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7127),
    [anon_sym_BSLASHcolor] = ACTIONS(7127),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7127),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7127),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7127),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7127),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7127),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7127),
    [anon_sym_BSLASHurl] = ACTIONS(7127),
    [anon_sym_BSLASHhref] = ACTIONS(7127),
  },
  [1039] = {
    [ts_builtin_sym_end] = ACTIONS(7229),
    [sym_command_name] = ACTIONS(7227),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7227),
    [anon_sym_LBRACK] = ACTIONS(7229),
    [anon_sym_RBRACK] = ACTIONS(7229),
    [anon_sym_COMMA] = ACTIONS(7229),
    [anon_sym_EQ] = ACTIONS(7229),
    [anon_sym_LPAREN] = ACTIONS(7229),
    [anon_sym_RPAREN] = ACTIONS(7229),
    [anon_sym_BSLASHpart] = ACTIONS(7227),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHaddpart] = ACTIONS(7227),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHchapter] = ACTIONS(7227),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHaddchap] = ACTIONS(7227),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHsection] = ACTIONS(7227),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHaddsec] = ACTIONS(7227),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHsubsection] = ACTIONS(7227),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7227),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHparagraph] = ACTIONS(7227),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7227),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHitem] = ACTIONS(7227),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7229),
    [anon_sym_LBRACE] = ACTIONS(7229),
    [anon_sym_RBRACE] = ACTIONS(7229),
    [sym_word] = ACTIONS(7227),
    [sym_placeholder] = ACTIONS(7229),
    [sym_delimiter] = ACTIONS(7229),
    [anon_sym_PLUS] = ACTIONS(7229),
    [anon_sym_DASH] = ACTIONS(7229),
    [anon_sym_STAR] = ACTIONS(7229),
    [anon_sym_SLASH] = ACTIONS(7229),
    [anon_sym_LT] = ACTIONS(7227),
    [anon_sym_GT] = ACTIONS(7227),
    [anon_sym_BANG] = ACTIONS(7227),
    [anon_sym_PIPE] = ACTIONS(7227),
    [anon_sym_COLON] = ACTIONS(7227),
    [anon_sym_SQUOTE] = ACTIONS(7227),
    [anon_sym__] = ACTIONS(7229),
    [anon_sym_CARET] = ACTIONS(7229),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7229),
    [anon_sym_DOLLAR] = ACTIONS(7227),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7229),
    [anon_sym_BSLASHleft] = ACTIONS(7227),
    [anon_sym_BSLASHbigl] = ACTIONS(7227),
    [anon_sym_BSLASHBigl] = ACTIONS(7227),
    [anon_sym_BSLASHbiggl] = ACTIONS(7227),
    [anon_sym_BSLASHBiggl] = ACTIONS(7227),
    [anon_sym_BSLASHtext] = ACTIONS(7227),
    [anon_sym_BSLASHintertext] = ACTIONS(7227),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7227),
    [anon_sym_BSLASHbegin] = ACTIONS(7227),
    [anon_sym_BSLASHtitle] = ACTIONS(7227),
    [anon_sym_BSLASHauthor] = ACTIONS(7227),
    [anon_sym_BSLASHusepackage] = ACTIONS(7227),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7227),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7227),
    [anon_sym_BSLASHinclude] = ACTIONS(7227),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7227),
    [anon_sym_BSLASHinput] = ACTIONS(7227),
    [anon_sym_BSLASHsubfile] = ACTIONS(7227),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7227),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7227),
    [anon_sym_BSLASHbibliography] = ACTIONS(7227),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7227),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7227),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7227),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7227),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7227),
    [anon_sym_BSLASHimport] = ACTIONS(7227),
    [anon_sym_BSLASHsubimport] = ACTIONS(7227),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7227),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7227),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7227),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7227),
    [anon_sym_BSLASHcaption] = ACTIONS(7227),
    [anon_sym_BSLASHcite] = ACTIONS(7227),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCite] = ACTIONS(7227),
    [anon_sym_BSLASHnocite] = ACTIONS(7227),
    [anon_sym_BSLASHcitet] = ACTIONS(7227),
    [anon_sym_BSLASHcitep] = ACTIONS(7227),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteA] = ACTIONS(7227),
    [anon_sym_BSLASHciteR] = ACTIONS(7227),
    [anon_sym_BSLASHciteS] = ACTIONS(7227),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7227),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7227),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7227),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7227),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteyear] = ACTIONS(7227),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitedate] = ACTIONS(7227),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteurl] = ACTIONS(7227),
    [anon_sym_BSLASHfullcite] = ACTIONS(7227),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7227),
    [anon_sym_BSLASHcitealt] = ACTIONS(7227),
    [anon_sym_BSLASHcitealp] = ACTIONS(7227),
    [anon_sym_BSLASHcitetext] = ACTIONS(7227),
    [anon_sym_BSLASHparencite] = ACTIONS(7227),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHParencite] = ACTIONS(7227),
    [anon_sym_BSLASHfootcite] = ACTIONS(7227),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7227),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7227),
    [anon_sym_BSLASHtextcite] = ACTIONS(7227),
    [anon_sym_BSLASHTextcite] = ACTIONS(7227),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7227),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7227),
    [anon_sym_BSLASHsupercite] = ACTIONS(7227),
    [anon_sym_BSLASHautocite] = ACTIONS(7227),
    [anon_sym_BSLASHAutocite] = ACTIONS(7227),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHVolcite] = ACTIONS(7227),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHavolcite] = ACTIONS(7227),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHNotecite] = ACTIONS(7227),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHlabel] = ACTIONS(7227),
    [anon_sym_BSLASHref] = ACTIONS(7227),
    [anon_sym_BSLASHeqref] = ACTIONS(7227),
    [anon_sym_BSLASHvref] = ACTIONS(7227),
    [anon_sym_BSLASHVref] = ACTIONS(7227),
    [anon_sym_BSLASHautoref] = ACTIONS(7227),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHpageref] = ACTIONS(7227),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHautopageref] = ACTIONS(7227),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcref] = ACTIONS(7227),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCref] = ACTIONS(7227),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcpageref] = ACTIONS(7227),
    [anon_sym_BSLASHCpageref] = ACTIONS(7227),
    [anon_sym_BSLASHnamecref] = ACTIONS(7227),
    [anon_sym_BSLASHnameCref] = ACTIONS(7227),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7227),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7227),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7227),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7227),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7227),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7227),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7227),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7227),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7227),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7227),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7227),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHdef] = ACTIONS(7227),
    [anon_sym_BSLASHgdef] = ACTIONS(7227),
    [anon_sym_BSLASHedef] = ACTIONS(7227),
    [anon_sym_BSLASHxdef] = ACTIONS(7227),
    [anon_sym_BSLASHlet] = ACTIONS(7227),
    [anon_sym_BSLASHglet] = ACTIONS(7227),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7227),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7227),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7227),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7227),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7227),
    [anon_sym_BSLASHgls] = ACTIONS(7227),
    [anon_sym_BSLASHGls] = ACTIONS(7227),
    [anon_sym_BSLASHGLS] = ACTIONS(7227),
    [anon_sym_BSLASHglspl] = ACTIONS(7227),
    [anon_sym_BSLASHGlspl] = ACTIONS(7227),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7227),
    [anon_sym_BSLASHglslink] = ACTIONS(7227),
    [anon_sym_BSLASHglstext] = ACTIONS(7227),
    [anon_sym_BSLASHGlstext] = ACTIONS(7227),
    [anon_sym_BSLASHGLStext] = ACTIONS(7227),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7227),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7227),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7227),
    [anon_sym_BSLASHglsplural] = ACTIONS(7227),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7227),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7227),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHglsname] = ACTIONS(7227),
    [anon_sym_BSLASHGlsname] = ACTIONS(7227),
    [anon_sym_BSLASHGLSname] = ACTIONS(7227),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7227),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7227),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7227),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7227),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7227),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7227),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7227),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7227),
    [anon_sym_BSLASHacrshort] = ACTIONS(7227),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7227),
    [anon_sym_BSLASHACRshort] = ACTIONS(7227),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHacrlong] = ACTIONS(7227),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7227),
    [anon_sym_BSLASHACRlong] = ACTIONS(7227),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHacrfull] = ACTIONS(7227),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7227),
    [anon_sym_BSLASHACRfull] = ACTIONS(7227),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHacs] = ACTIONS(7227),
    [anon_sym_BSLASHAcs] = ACTIONS(7227),
    [anon_sym_BSLASHacsp] = ACTIONS(7227),
    [anon_sym_BSLASHAcsp] = ACTIONS(7227),
    [anon_sym_BSLASHacl] = ACTIONS(7227),
    [anon_sym_BSLASHAcl] = ACTIONS(7227),
    [anon_sym_BSLASHaclp] = ACTIONS(7227),
    [anon_sym_BSLASHAclp] = ACTIONS(7227),
    [anon_sym_BSLASHacf] = ACTIONS(7227),
    [anon_sym_BSLASHAcf] = ACTIONS(7227),
    [anon_sym_BSLASHacfp] = ACTIONS(7227),
    [anon_sym_BSLASHAcfp] = ACTIONS(7227),
    [anon_sym_BSLASHac] = ACTIONS(7227),
    [anon_sym_BSLASHAc] = ACTIONS(7227),
    [anon_sym_BSLASHacp] = ACTIONS(7227),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7227),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7227),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7227),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7227),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7227),
    [anon_sym_BSLASHcolor] = ACTIONS(7227),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7227),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7227),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7227),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7227),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7227),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7227),
    [anon_sym_BSLASHurl] = ACTIONS(7227),
    [anon_sym_BSLASHhref] = ACTIONS(7227),
  },
  [1040] = {
    [ts_builtin_sym_end] = ACTIONS(7045),
    [sym_command_name] = ACTIONS(7043),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7043),
    [anon_sym_LBRACK] = ACTIONS(7045),
    [anon_sym_RBRACK] = ACTIONS(7045),
    [anon_sym_COMMA] = ACTIONS(7045),
    [anon_sym_EQ] = ACTIONS(7045),
    [anon_sym_LPAREN] = ACTIONS(7045),
    [anon_sym_RPAREN] = ACTIONS(7045),
    [anon_sym_BSLASHpart] = ACTIONS(7043),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHaddpart] = ACTIONS(7043),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHchapter] = ACTIONS(7043),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHaddchap] = ACTIONS(7043),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHsection] = ACTIONS(7043),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHaddsec] = ACTIONS(7043),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHsubsection] = ACTIONS(7043),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7043),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHparagraph] = ACTIONS(7043),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7043),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHitem] = ACTIONS(7043),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7045),
    [anon_sym_LBRACE] = ACTIONS(7045),
    [anon_sym_RBRACE] = ACTIONS(7045),
    [sym_word] = ACTIONS(7043),
    [sym_placeholder] = ACTIONS(7045),
    [sym_delimiter] = ACTIONS(7045),
    [anon_sym_PLUS] = ACTIONS(7045),
    [anon_sym_DASH] = ACTIONS(7045),
    [anon_sym_STAR] = ACTIONS(7045),
    [anon_sym_SLASH] = ACTIONS(7045),
    [anon_sym_LT] = ACTIONS(7043),
    [anon_sym_GT] = ACTIONS(7043),
    [anon_sym_BANG] = ACTIONS(7043),
    [anon_sym_PIPE] = ACTIONS(7043),
    [anon_sym_COLON] = ACTIONS(7043),
    [anon_sym_SQUOTE] = ACTIONS(7043),
    [anon_sym__] = ACTIONS(7045),
    [anon_sym_CARET] = ACTIONS(7045),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7045),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7045),
    [anon_sym_DOLLAR] = ACTIONS(7043),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7045),
    [anon_sym_BSLASHleft] = ACTIONS(7043),
    [anon_sym_BSLASHbigl] = ACTIONS(7043),
    [anon_sym_BSLASHBigl] = ACTIONS(7043),
    [anon_sym_BSLASHbiggl] = ACTIONS(7043),
    [anon_sym_BSLASHBiggl] = ACTIONS(7043),
    [anon_sym_BSLASHtext] = ACTIONS(7043),
    [anon_sym_BSLASHintertext] = ACTIONS(7043),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7043),
    [anon_sym_BSLASHbegin] = ACTIONS(7043),
    [anon_sym_BSLASHtitle] = ACTIONS(7043),
    [anon_sym_BSLASHauthor] = ACTIONS(7043),
    [anon_sym_BSLASHusepackage] = ACTIONS(7043),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7043),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7043),
    [anon_sym_BSLASHinclude] = ACTIONS(7043),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7043),
    [anon_sym_BSLASHinput] = ACTIONS(7043),
    [anon_sym_BSLASHsubfile] = ACTIONS(7043),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7043),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7043),
    [anon_sym_BSLASHbibliography] = ACTIONS(7043),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7043),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7043),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7043),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7043),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7043),
    [anon_sym_BSLASHimport] = ACTIONS(7043),
    [anon_sym_BSLASHsubimport] = ACTIONS(7043),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7043),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7043),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7043),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7043),
    [anon_sym_BSLASHcaption] = ACTIONS(7043),
    [anon_sym_BSLASHcite] = ACTIONS(7043),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCite] = ACTIONS(7043),
    [anon_sym_BSLASHnocite] = ACTIONS(7043),
    [anon_sym_BSLASHcitet] = ACTIONS(7043),
    [anon_sym_BSLASHcitep] = ACTIONS(7043),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteA] = ACTIONS(7043),
    [anon_sym_BSLASHciteR] = ACTIONS(7043),
    [anon_sym_BSLASHciteS] = ACTIONS(7043),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7043),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7043),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7043),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7043),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteyear] = ACTIONS(7043),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitedate] = ACTIONS(7043),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteurl] = ACTIONS(7043),
    [anon_sym_BSLASHfullcite] = ACTIONS(7043),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7043),
    [anon_sym_BSLASHcitealt] = ACTIONS(7043),
    [anon_sym_BSLASHcitealp] = ACTIONS(7043),
    [anon_sym_BSLASHcitetext] = ACTIONS(7043),
    [anon_sym_BSLASHparencite] = ACTIONS(7043),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHParencite] = ACTIONS(7043),
    [anon_sym_BSLASHfootcite] = ACTIONS(7043),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7043),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7043),
    [anon_sym_BSLASHtextcite] = ACTIONS(7043),
    [anon_sym_BSLASHTextcite] = ACTIONS(7043),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7043),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7043),
    [anon_sym_BSLASHsupercite] = ACTIONS(7043),
    [anon_sym_BSLASHautocite] = ACTIONS(7043),
    [anon_sym_BSLASHAutocite] = ACTIONS(7043),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHVolcite] = ACTIONS(7043),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHavolcite] = ACTIONS(7043),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHNotecite] = ACTIONS(7043),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHlabel] = ACTIONS(7043),
    [anon_sym_BSLASHref] = ACTIONS(7043),
    [anon_sym_BSLASHeqref] = ACTIONS(7043),
    [anon_sym_BSLASHvref] = ACTIONS(7043),
    [anon_sym_BSLASHVref] = ACTIONS(7043),
    [anon_sym_BSLASHautoref] = ACTIONS(7043),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHpageref] = ACTIONS(7043),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHautopageref] = ACTIONS(7043),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcref] = ACTIONS(7043),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCref] = ACTIONS(7043),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcpageref] = ACTIONS(7043),
    [anon_sym_BSLASHCpageref] = ACTIONS(7043),
    [anon_sym_BSLASHnamecref] = ACTIONS(7043),
    [anon_sym_BSLASHnameCref] = ACTIONS(7043),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7043),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7043),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7043),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7043),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7043),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7043),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7043),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7043),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7043),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7043),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7043),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHdef] = ACTIONS(7043),
    [anon_sym_BSLASHgdef] = ACTIONS(7043),
    [anon_sym_BSLASHedef] = ACTIONS(7043),
    [anon_sym_BSLASHxdef] = ACTIONS(7043),
    [anon_sym_BSLASHlet] = ACTIONS(7043),
    [anon_sym_BSLASHglet] = ACTIONS(7043),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7043),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7043),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7043),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7043),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7043),
    [anon_sym_BSLASHgls] = ACTIONS(7043),
    [anon_sym_BSLASHGls] = ACTIONS(7043),
    [anon_sym_BSLASHGLS] = ACTIONS(7043),
    [anon_sym_BSLASHglspl] = ACTIONS(7043),
    [anon_sym_BSLASHGlspl] = ACTIONS(7043),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7043),
    [anon_sym_BSLASHglslink] = ACTIONS(7043),
    [anon_sym_BSLASHglstext] = ACTIONS(7043),
    [anon_sym_BSLASHGlstext] = ACTIONS(7043),
    [anon_sym_BSLASHGLStext] = ACTIONS(7043),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7043),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7043),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7043),
    [anon_sym_BSLASHglsplural] = ACTIONS(7043),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7043),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7043),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHglsname] = ACTIONS(7043),
    [anon_sym_BSLASHGlsname] = ACTIONS(7043),
    [anon_sym_BSLASHGLSname] = ACTIONS(7043),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7043),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7043),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7043),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7043),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7043),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7043),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7043),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7043),
    [anon_sym_BSLASHacrshort] = ACTIONS(7043),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7043),
    [anon_sym_BSLASHACRshort] = ACTIONS(7043),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHacrlong] = ACTIONS(7043),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7043),
    [anon_sym_BSLASHACRlong] = ACTIONS(7043),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHacrfull] = ACTIONS(7043),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7043),
    [anon_sym_BSLASHACRfull] = ACTIONS(7043),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHacs] = ACTIONS(7043),
    [anon_sym_BSLASHAcs] = ACTIONS(7043),
    [anon_sym_BSLASHacsp] = ACTIONS(7043),
    [anon_sym_BSLASHAcsp] = ACTIONS(7043),
    [anon_sym_BSLASHacl] = ACTIONS(7043),
    [anon_sym_BSLASHAcl] = ACTIONS(7043),
    [anon_sym_BSLASHaclp] = ACTIONS(7043),
    [anon_sym_BSLASHAclp] = ACTIONS(7043),
    [anon_sym_BSLASHacf] = ACTIONS(7043),
    [anon_sym_BSLASHAcf] = ACTIONS(7043),
    [anon_sym_BSLASHacfp] = ACTIONS(7043),
    [anon_sym_BSLASHAcfp] = ACTIONS(7043),
    [anon_sym_BSLASHac] = ACTIONS(7043),
    [anon_sym_BSLASHAc] = ACTIONS(7043),
    [anon_sym_BSLASHacp] = ACTIONS(7043),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7043),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7043),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7043),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7043),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7043),
    [anon_sym_BSLASHcolor] = ACTIONS(7043),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7043),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7043),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7043),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7043),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7043),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7043),
    [anon_sym_BSLASHurl] = ACTIONS(7043),
    [anon_sym_BSLASHhref] = ACTIONS(7043),
  },
  [1041] = {
    [ts_builtin_sym_end] = ACTIONS(7133),
    [sym_command_name] = ACTIONS(7131),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7131),
    [anon_sym_LBRACK] = ACTIONS(7133),
    [anon_sym_RBRACK] = ACTIONS(7133),
    [anon_sym_COMMA] = ACTIONS(7133),
    [anon_sym_EQ] = ACTIONS(7133),
    [anon_sym_LPAREN] = ACTIONS(7133),
    [anon_sym_RPAREN] = ACTIONS(7133),
    [anon_sym_BSLASHpart] = ACTIONS(7131),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHaddpart] = ACTIONS(7131),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHchapter] = ACTIONS(7131),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHaddchap] = ACTIONS(7131),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHsection] = ACTIONS(7131),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHaddsec] = ACTIONS(7131),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHsubsection] = ACTIONS(7131),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7131),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHparagraph] = ACTIONS(7131),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7131),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHitem] = ACTIONS(7131),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7133),
    [anon_sym_LBRACE] = ACTIONS(7133),
    [anon_sym_RBRACE] = ACTIONS(7133),
    [sym_word] = ACTIONS(7131),
    [sym_placeholder] = ACTIONS(7133),
    [sym_delimiter] = ACTIONS(7133),
    [anon_sym_PLUS] = ACTIONS(7133),
    [anon_sym_DASH] = ACTIONS(7133),
    [anon_sym_STAR] = ACTIONS(7133),
    [anon_sym_SLASH] = ACTIONS(7133),
    [anon_sym_LT] = ACTIONS(7131),
    [anon_sym_GT] = ACTIONS(7131),
    [anon_sym_BANG] = ACTIONS(7131),
    [anon_sym_PIPE] = ACTIONS(7131),
    [anon_sym_COLON] = ACTIONS(7131),
    [anon_sym_SQUOTE] = ACTIONS(7131),
    [anon_sym__] = ACTIONS(7133),
    [anon_sym_CARET] = ACTIONS(7133),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7133),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7133),
    [anon_sym_DOLLAR] = ACTIONS(7131),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7133),
    [anon_sym_BSLASHleft] = ACTIONS(7131),
    [anon_sym_BSLASHbigl] = ACTIONS(7131),
    [anon_sym_BSLASHBigl] = ACTIONS(7131),
    [anon_sym_BSLASHbiggl] = ACTIONS(7131),
    [anon_sym_BSLASHBiggl] = ACTIONS(7131),
    [anon_sym_BSLASHtext] = ACTIONS(7131),
    [anon_sym_BSLASHintertext] = ACTIONS(7131),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7131),
    [anon_sym_BSLASHbegin] = ACTIONS(7131),
    [anon_sym_BSLASHtitle] = ACTIONS(7131),
    [anon_sym_BSLASHauthor] = ACTIONS(7131),
    [anon_sym_BSLASHusepackage] = ACTIONS(7131),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7131),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7131),
    [anon_sym_BSLASHinclude] = ACTIONS(7131),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7131),
    [anon_sym_BSLASHinput] = ACTIONS(7131),
    [anon_sym_BSLASHsubfile] = ACTIONS(7131),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7131),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7131),
    [anon_sym_BSLASHbibliography] = ACTIONS(7131),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7131),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7131),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7131),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7131),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7131),
    [anon_sym_BSLASHimport] = ACTIONS(7131),
    [anon_sym_BSLASHsubimport] = ACTIONS(7131),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7131),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7131),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7131),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7131),
    [anon_sym_BSLASHcaption] = ACTIONS(7131),
    [anon_sym_BSLASHcite] = ACTIONS(7131),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCite] = ACTIONS(7131),
    [anon_sym_BSLASHnocite] = ACTIONS(7131),
    [anon_sym_BSLASHcitet] = ACTIONS(7131),
    [anon_sym_BSLASHcitep] = ACTIONS(7131),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHciteA] = ACTIONS(7131),
    [anon_sym_BSLASHciteR] = ACTIONS(7131),
    [anon_sym_BSLASHciteS] = ACTIONS(7131),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7131),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7131),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7131),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7131),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHciteyear] = ACTIONS(7131),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcitedate] = ACTIONS(7131),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHciteurl] = ACTIONS(7131),
    [anon_sym_BSLASHfullcite] = ACTIONS(7131),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7131),
    [anon_sym_BSLASHcitealt] = ACTIONS(7131),
    [anon_sym_BSLASHcitealp] = ACTIONS(7131),
    [anon_sym_BSLASHcitetext] = ACTIONS(7131),
    [anon_sym_BSLASHparencite] = ACTIONS(7131),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHParencite] = ACTIONS(7131),
    [anon_sym_BSLASHfootcite] = ACTIONS(7131),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7131),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7131),
    [anon_sym_BSLASHtextcite] = ACTIONS(7131),
    [anon_sym_BSLASHTextcite] = ACTIONS(7131),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7131),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7131),
    [anon_sym_BSLASHsupercite] = ACTIONS(7131),
    [anon_sym_BSLASHautocite] = ACTIONS(7131),
    [anon_sym_BSLASHAutocite] = ACTIONS(7131),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHVolcite] = ACTIONS(7131),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHavolcite] = ACTIONS(7131),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHNotecite] = ACTIONS(7131),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHlabel] = ACTIONS(7131),
    [anon_sym_BSLASHref] = ACTIONS(7131),
    [anon_sym_BSLASHeqref] = ACTIONS(7131),
    [anon_sym_BSLASHvref] = ACTIONS(7131),
    [anon_sym_BSLASHVref] = ACTIONS(7131),
    [anon_sym_BSLASHautoref] = ACTIONS(7131),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHpageref] = ACTIONS(7131),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHautopageref] = ACTIONS(7131),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcref] = ACTIONS(7131),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCref] = ACTIONS(7131),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcpageref] = ACTIONS(7131),
    [anon_sym_BSLASHCpageref] = ACTIONS(7131),
    [anon_sym_BSLASHnamecref] = ACTIONS(7131),
    [anon_sym_BSLASHnameCref] = ACTIONS(7131),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7131),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7131),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7131),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7131),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7131),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7131),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7131),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7131),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7131),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7131),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7131),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7131),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7131),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7131),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7131),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7131),
    [anon_sym_BSLASHdef] = ACTIONS(7131),
    [anon_sym_BSLASHgdef] = ACTIONS(7131),
    [anon_sym_BSLASHedef] = ACTIONS(7131),
    [anon_sym_BSLASHxdef] = ACTIONS(7131),
    [anon_sym_BSLASHlet] = ACTIONS(7131),
    [anon_sym_BSLASHglet] = ACTIONS(7131),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7131),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7131),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7131),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7131),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7131),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7131),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7131),
    [anon_sym_BSLASHgls] = ACTIONS(7131),
    [anon_sym_BSLASHGls] = ACTIONS(7131),
    [anon_sym_BSLASHGLS] = ACTIONS(7131),
    [anon_sym_BSLASHglspl] = ACTIONS(7131),
    [anon_sym_BSLASHGlspl] = ACTIONS(7131),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7131),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7131),
    [anon_sym_BSLASHglslink] = ACTIONS(7131),
    [anon_sym_BSLASHglstext] = ACTIONS(7131),
    [anon_sym_BSLASHGlstext] = ACTIONS(7131),
    [anon_sym_BSLASHGLStext] = ACTIONS(7131),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7131),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7131),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7131),
    [anon_sym_BSLASHglsplural] = ACTIONS(7131),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7131),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7131),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7131),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7131),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7131),
    [anon_sym_BSLASHglsname] = ACTIONS(7131),
    [anon_sym_BSLASHGlsname] = ACTIONS(7131),
    [anon_sym_BSLASHGLSname] = ACTIONS(7131),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7131),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7131),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7131),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7131),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7131),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7131),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7131),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7131),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7131),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7131),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7131),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7131),
    [anon_sym_BSLASHacrshort] = ACTIONS(7131),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7131),
    [anon_sym_BSLASHACRshort] = ACTIONS(7131),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHacrlong] = ACTIONS(7131),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7131),
    [anon_sym_BSLASHACRlong] = ACTIONS(7131),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7131),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7131),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7131),
    [anon_sym_BSLASHacrfull] = ACTIONS(7131),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7131),
    [anon_sym_BSLASHACRfull] = ACTIONS(7131),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHacs] = ACTIONS(7131),
    [anon_sym_BSLASHAcs] = ACTIONS(7131),
    [anon_sym_BSLASHacsp] = ACTIONS(7131),
    [anon_sym_BSLASHAcsp] = ACTIONS(7131),
    [anon_sym_BSLASHacl] = ACTIONS(7131),
    [anon_sym_BSLASHAcl] = ACTIONS(7131),
    [anon_sym_BSLASHaclp] = ACTIONS(7131),
    [anon_sym_BSLASHAclp] = ACTIONS(7131),
    [anon_sym_BSLASHacf] = ACTIONS(7131),
    [anon_sym_BSLASHAcf] = ACTIONS(7131),
    [anon_sym_BSLASHacfp] = ACTIONS(7131),
    [anon_sym_BSLASHAcfp] = ACTIONS(7131),
    [anon_sym_BSLASHac] = ACTIONS(7131),
    [anon_sym_BSLASHAc] = ACTIONS(7131),
    [anon_sym_BSLASHacp] = ACTIONS(7131),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7131),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7131),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7131),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7131),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7131),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7131),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7131),
    [anon_sym_BSLASHcolor] = ACTIONS(7131),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7131),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7131),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7131),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7131),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7131),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7131),
    [anon_sym_BSLASHurl] = ACTIONS(7131),
    [anon_sym_BSLASHhref] = ACTIONS(7131),
  },
  [1042] = {
    [ts_builtin_sym_end] = ACTIONS(7137),
    [sym_command_name] = ACTIONS(7135),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7135),
    [anon_sym_LBRACK] = ACTIONS(7137),
    [anon_sym_RBRACK] = ACTIONS(7137),
    [anon_sym_COMMA] = ACTIONS(7137),
    [anon_sym_EQ] = ACTIONS(7137),
    [anon_sym_LPAREN] = ACTIONS(7137),
    [anon_sym_RPAREN] = ACTIONS(7137),
    [anon_sym_BSLASHpart] = ACTIONS(7135),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHaddpart] = ACTIONS(7135),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHchapter] = ACTIONS(7135),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHaddchap] = ACTIONS(7135),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHsection] = ACTIONS(7135),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHaddsec] = ACTIONS(7135),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHsubsection] = ACTIONS(7135),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7135),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHparagraph] = ACTIONS(7135),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7135),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHitem] = ACTIONS(7135),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7137),
    [anon_sym_LBRACE] = ACTIONS(7137),
    [anon_sym_RBRACE] = ACTIONS(7137),
    [sym_word] = ACTIONS(7135),
    [sym_placeholder] = ACTIONS(7137),
    [sym_delimiter] = ACTIONS(7137),
    [anon_sym_PLUS] = ACTIONS(7137),
    [anon_sym_DASH] = ACTIONS(7137),
    [anon_sym_STAR] = ACTIONS(7137),
    [anon_sym_SLASH] = ACTIONS(7137),
    [anon_sym_LT] = ACTIONS(7135),
    [anon_sym_GT] = ACTIONS(7135),
    [anon_sym_BANG] = ACTIONS(7135),
    [anon_sym_PIPE] = ACTIONS(7135),
    [anon_sym_COLON] = ACTIONS(7135),
    [anon_sym_SQUOTE] = ACTIONS(7135),
    [anon_sym__] = ACTIONS(7137),
    [anon_sym_CARET] = ACTIONS(7137),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7137),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7137),
    [anon_sym_DOLLAR] = ACTIONS(7135),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7137),
    [anon_sym_BSLASHleft] = ACTIONS(7135),
    [anon_sym_BSLASHbigl] = ACTIONS(7135),
    [anon_sym_BSLASHBigl] = ACTIONS(7135),
    [anon_sym_BSLASHbiggl] = ACTIONS(7135),
    [anon_sym_BSLASHBiggl] = ACTIONS(7135),
    [anon_sym_BSLASHtext] = ACTIONS(7135),
    [anon_sym_BSLASHintertext] = ACTIONS(7135),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7135),
    [anon_sym_BSLASHbegin] = ACTIONS(7135),
    [anon_sym_BSLASHtitle] = ACTIONS(7135),
    [anon_sym_BSLASHauthor] = ACTIONS(7135),
    [anon_sym_BSLASHusepackage] = ACTIONS(7135),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7135),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7135),
    [anon_sym_BSLASHinclude] = ACTIONS(7135),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7135),
    [anon_sym_BSLASHinput] = ACTIONS(7135),
    [anon_sym_BSLASHsubfile] = ACTIONS(7135),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7135),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7135),
    [anon_sym_BSLASHbibliography] = ACTIONS(7135),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7135),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7135),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7135),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7135),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7135),
    [anon_sym_BSLASHimport] = ACTIONS(7135),
    [anon_sym_BSLASHsubimport] = ACTIONS(7135),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7135),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7135),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7135),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7135),
    [anon_sym_BSLASHcaption] = ACTIONS(7135),
    [anon_sym_BSLASHcite] = ACTIONS(7135),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHCite] = ACTIONS(7135),
    [anon_sym_BSLASHnocite] = ACTIONS(7135),
    [anon_sym_BSLASHcitet] = ACTIONS(7135),
    [anon_sym_BSLASHcitep] = ACTIONS(7135),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHciteA] = ACTIONS(7135),
    [anon_sym_BSLASHciteR] = ACTIONS(7135),
    [anon_sym_BSLASHciteS] = ACTIONS(7135),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7135),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7135),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7135),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7135),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHciteyear] = ACTIONS(7135),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcitedate] = ACTIONS(7135),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHciteurl] = ACTIONS(7135),
    [anon_sym_BSLASHfullcite] = ACTIONS(7135),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7135),
    [anon_sym_BSLASHcitealt] = ACTIONS(7135),
    [anon_sym_BSLASHcitealp] = ACTIONS(7135),
    [anon_sym_BSLASHcitetext] = ACTIONS(7135),
    [anon_sym_BSLASHparencite] = ACTIONS(7135),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHParencite] = ACTIONS(7135),
    [anon_sym_BSLASHfootcite] = ACTIONS(7135),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7135),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7135),
    [anon_sym_BSLASHtextcite] = ACTIONS(7135),
    [anon_sym_BSLASHTextcite] = ACTIONS(7135),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7135),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7135),
    [anon_sym_BSLASHsupercite] = ACTIONS(7135),
    [anon_sym_BSLASHautocite] = ACTIONS(7135),
    [anon_sym_BSLASHAutocite] = ACTIONS(7135),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHVolcite] = ACTIONS(7135),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHavolcite] = ACTIONS(7135),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHnotecite] = ACTIONS(7135),
    [anon_sym_BSLASHNotecite] = ACTIONS(7135),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7135),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7135),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7135),
    [anon_sym_BSLASHlabel] = ACTIONS(7135),
    [anon_sym_BSLASHref] = ACTIONS(7135),
    [anon_sym_BSLASHeqref] = ACTIONS(7135),
    [anon_sym_BSLASHvref] = ACTIONS(7135),
    [anon_sym_BSLASHVref] = ACTIONS(7135),
    [anon_sym_BSLASHautoref] = ACTIONS(7135),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHpageref] = ACTIONS(7135),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHautopageref] = ACTIONS(7135),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcref] = ACTIONS(7135),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHCref] = ACTIONS(7135),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcpageref] = ACTIONS(7135),
    [anon_sym_BSLASHCpageref] = ACTIONS(7135),
    [anon_sym_BSLASHnamecref] = ACTIONS(7135),
    [anon_sym_BSLASHnameCref] = ACTIONS(7135),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7135),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7135),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7135),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7135),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7135),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7135),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7135),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7135),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7135),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7135),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7135),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7135),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7135),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7135),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7135),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7135),
    [anon_sym_BSLASHdef] = ACTIONS(7135),
    [anon_sym_BSLASHgdef] = ACTIONS(7135),
    [anon_sym_BSLASHedef] = ACTIONS(7135),
    [anon_sym_BSLASHxdef] = ACTIONS(7135),
    [anon_sym_BSLASHlet] = ACTIONS(7135),
    [anon_sym_BSLASHglet] = ACTIONS(7135),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7135),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7135),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7135),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7135),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7135),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7135),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7135),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7135),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7135),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7135),
    [anon_sym_BSLASHgls] = ACTIONS(7135),
    [anon_sym_BSLASHGls] = ACTIONS(7135),
    [anon_sym_BSLASHGLS] = ACTIONS(7135),
    [anon_sym_BSLASHglspl] = ACTIONS(7135),
    [anon_sym_BSLASHGlspl] = ACTIONS(7135),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7135),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7135),
    [anon_sym_BSLASHglslink] = ACTIONS(7135),
    [anon_sym_BSLASHglstext] = ACTIONS(7135),
    [anon_sym_BSLASHGlstext] = ACTIONS(7135),
    [anon_sym_BSLASHGLStext] = ACTIONS(7135),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7135),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7135),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7135),
    [anon_sym_BSLASHglsplural] = ACTIONS(7135),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7135),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7135),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7135),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7135),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7135),
    [anon_sym_BSLASHglsname] = ACTIONS(7135),
    [anon_sym_BSLASHGlsname] = ACTIONS(7135),
    [anon_sym_BSLASHGLSname] = ACTIONS(7135),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7135),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7135),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7135),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7135),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7135),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7135),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7135),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7135),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7135),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7135),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7135),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7135),
    [anon_sym_BSLASHacrshort] = ACTIONS(7135),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7135),
    [anon_sym_BSLASHACRshort] = ACTIONS(7135),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHacrlong] = ACTIONS(7135),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7135),
    [anon_sym_BSLASHACRlong] = ACTIONS(7135),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7135),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7135),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7135),
    [anon_sym_BSLASHacrfull] = ACTIONS(7135),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7135),
    [anon_sym_BSLASHACRfull] = ACTIONS(7135),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHacs] = ACTIONS(7135),
    [anon_sym_BSLASHAcs] = ACTIONS(7135),
    [anon_sym_BSLASHacsp] = ACTIONS(7135),
    [anon_sym_BSLASHAcsp] = ACTIONS(7135),
    [anon_sym_BSLASHacl] = ACTIONS(7135),
    [anon_sym_BSLASHAcl] = ACTIONS(7135),
    [anon_sym_BSLASHaclp] = ACTIONS(7135),
    [anon_sym_BSLASHAclp] = ACTIONS(7135),
    [anon_sym_BSLASHacf] = ACTIONS(7135),
    [anon_sym_BSLASHAcf] = ACTIONS(7135),
    [anon_sym_BSLASHacfp] = ACTIONS(7135),
    [anon_sym_BSLASHAcfp] = ACTIONS(7135),
    [anon_sym_BSLASHac] = ACTIONS(7135),
    [anon_sym_BSLASHAc] = ACTIONS(7135),
    [anon_sym_BSLASHacp] = ACTIONS(7135),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7135),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7135),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7135),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7135),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7135),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7135),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7135),
    [anon_sym_BSLASHcolor] = ACTIONS(7135),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7135),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7135),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7135),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7135),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7135),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7135),
    [anon_sym_BSLASHurl] = ACTIONS(7135),
    [anon_sym_BSLASHhref] = ACTIONS(7135),
  },
  [1043] = {
    [ts_builtin_sym_end] = ACTIONS(7465),
    [sym_command_name] = ACTIONS(7463),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7463),
    [anon_sym_LBRACK] = ACTIONS(7465),
    [anon_sym_RBRACK] = ACTIONS(7465),
    [anon_sym_COMMA] = ACTIONS(7465),
    [anon_sym_EQ] = ACTIONS(7465),
    [anon_sym_LPAREN] = ACTIONS(7465),
    [anon_sym_RPAREN] = ACTIONS(7465),
    [anon_sym_BSLASHpart] = ACTIONS(7463),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHaddpart] = ACTIONS(7463),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHchapter] = ACTIONS(7463),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHaddchap] = ACTIONS(7463),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHsection] = ACTIONS(7463),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHaddsec] = ACTIONS(7463),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHsubsection] = ACTIONS(7463),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7463),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHparagraph] = ACTIONS(7463),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7463),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHitem] = ACTIONS(7463),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7465),
    [anon_sym_LBRACE] = ACTIONS(7465),
    [anon_sym_RBRACE] = ACTIONS(7465),
    [sym_word] = ACTIONS(7463),
    [sym_placeholder] = ACTIONS(7465),
    [sym_delimiter] = ACTIONS(7465),
    [anon_sym_PLUS] = ACTIONS(7465),
    [anon_sym_DASH] = ACTIONS(7465),
    [anon_sym_STAR] = ACTIONS(7465),
    [anon_sym_SLASH] = ACTIONS(7465),
    [anon_sym_LT] = ACTIONS(7463),
    [anon_sym_GT] = ACTIONS(7463),
    [anon_sym_BANG] = ACTIONS(7463),
    [anon_sym_PIPE] = ACTIONS(7463),
    [anon_sym_COLON] = ACTIONS(7463),
    [anon_sym_SQUOTE] = ACTIONS(7463),
    [anon_sym__] = ACTIONS(7465),
    [anon_sym_CARET] = ACTIONS(7465),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7465),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7465),
    [anon_sym_DOLLAR] = ACTIONS(7463),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7465),
    [anon_sym_BSLASHleft] = ACTIONS(7463),
    [anon_sym_BSLASHbigl] = ACTIONS(7463),
    [anon_sym_BSLASHBigl] = ACTIONS(7463),
    [anon_sym_BSLASHbiggl] = ACTIONS(7463),
    [anon_sym_BSLASHBiggl] = ACTIONS(7463),
    [anon_sym_BSLASHtext] = ACTIONS(7463),
    [anon_sym_BSLASHintertext] = ACTIONS(7463),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7463),
    [anon_sym_BSLASHbegin] = ACTIONS(7463),
    [anon_sym_BSLASHtitle] = ACTIONS(7463),
    [anon_sym_BSLASHauthor] = ACTIONS(7463),
    [anon_sym_BSLASHusepackage] = ACTIONS(7463),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7463),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7463),
    [anon_sym_BSLASHinclude] = ACTIONS(7463),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7463),
    [anon_sym_BSLASHinput] = ACTIONS(7463),
    [anon_sym_BSLASHsubfile] = ACTIONS(7463),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7463),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7463),
    [anon_sym_BSLASHbibliography] = ACTIONS(7463),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7463),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7463),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7463),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7463),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7463),
    [anon_sym_BSLASHimport] = ACTIONS(7463),
    [anon_sym_BSLASHsubimport] = ACTIONS(7463),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7463),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7463),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7463),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7463),
    [anon_sym_BSLASHcaption] = ACTIONS(7463),
    [anon_sym_BSLASHcite] = ACTIONS(7463),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCite] = ACTIONS(7463),
    [anon_sym_BSLASHnocite] = ACTIONS(7463),
    [anon_sym_BSLASHcitet] = ACTIONS(7463),
    [anon_sym_BSLASHcitep] = ACTIONS(7463),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteA] = ACTIONS(7463),
    [anon_sym_BSLASHciteR] = ACTIONS(7463),
    [anon_sym_BSLASHciteS] = ACTIONS(7463),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7463),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7463),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7463),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7463),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteyear] = ACTIONS(7463),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitedate] = ACTIONS(7463),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteurl] = ACTIONS(7463),
    [anon_sym_BSLASHfullcite] = ACTIONS(7463),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7463),
    [anon_sym_BSLASHcitealt] = ACTIONS(7463),
    [anon_sym_BSLASHcitealp] = ACTIONS(7463),
    [anon_sym_BSLASHcitetext] = ACTIONS(7463),
    [anon_sym_BSLASHparencite] = ACTIONS(7463),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHParencite] = ACTIONS(7463),
    [anon_sym_BSLASHfootcite] = ACTIONS(7463),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7463),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7463),
    [anon_sym_BSLASHtextcite] = ACTIONS(7463),
    [anon_sym_BSLASHTextcite] = ACTIONS(7463),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7463),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7463),
    [anon_sym_BSLASHsupercite] = ACTIONS(7463),
    [anon_sym_BSLASHautocite] = ACTIONS(7463),
    [anon_sym_BSLASHAutocite] = ACTIONS(7463),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHVolcite] = ACTIONS(7463),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHavolcite] = ACTIONS(7463),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHNotecite] = ACTIONS(7463),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHlabel] = ACTIONS(7463),
    [anon_sym_BSLASHref] = ACTIONS(7463),
    [anon_sym_BSLASHeqref] = ACTIONS(7463),
    [anon_sym_BSLASHvref] = ACTIONS(7463),
    [anon_sym_BSLASHVref] = ACTIONS(7463),
    [anon_sym_BSLASHautoref] = ACTIONS(7463),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHpageref] = ACTIONS(7463),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHautopageref] = ACTIONS(7463),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcref] = ACTIONS(7463),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCref] = ACTIONS(7463),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcpageref] = ACTIONS(7463),
    [anon_sym_BSLASHCpageref] = ACTIONS(7463),
    [anon_sym_BSLASHnamecref] = ACTIONS(7463),
    [anon_sym_BSLASHnameCref] = ACTIONS(7463),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7463),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7463),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7463),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7463),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7463),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7463),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7463),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7463),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7463),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7463),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7463),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHdef] = ACTIONS(7463),
    [anon_sym_BSLASHgdef] = ACTIONS(7463),
    [anon_sym_BSLASHedef] = ACTIONS(7463),
    [anon_sym_BSLASHxdef] = ACTIONS(7463),
    [anon_sym_BSLASHlet] = ACTIONS(7463),
    [anon_sym_BSLASHglet] = ACTIONS(7463),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7463),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7463),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7463),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7463),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7463),
    [anon_sym_BSLASHgls] = ACTIONS(7463),
    [anon_sym_BSLASHGls] = ACTIONS(7463),
    [anon_sym_BSLASHGLS] = ACTIONS(7463),
    [anon_sym_BSLASHglspl] = ACTIONS(7463),
    [anon_sym_BSLASHGlspl] = ACTIONS(7463),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7463),
    [anon_sym_BSLASHglslink] = ACTIONS(7463),
    [anon_sym_BSLASHglstext] = ACTIONS(7463),
    [anon_sym_BSLASHGlstext] = ACTIONS(7463),
    [anon_sym_BSLASHGLStext] = ACTIONS(7463),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7463),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7463),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7463),
    [anon_sym_BSLASHglsplural] = ACTIONS(7463),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7463),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7463),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHglsname] = ACTIONS(7463),
    [anon_sym_BSLASHGlsname] = ACTIONS(7463),
    [anon_sym_BSLASHGLSname] = ACTIONS(7463),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7463),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7463),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7463),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7463),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7463),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7463),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7463),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7463),
    [anon_sym_BSLASHacrshort] = ACTIONS(7463),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7463),
    [anon_sym_BSLASHACRshort] = ACTIONS(7463),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHacrlong] = ACTIONS(7463),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7463),
    [anon_sym_BSLASHACRlong] = ACTIONS(7463),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHacrfull] = ACTIONS(7463),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7463),
    [anon_sym_BSLASHACRfull] = ACTIONS(7463),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHacs] = ACTIONS(7463),
    [anon_sym_BSLASHAcs] = ACTIONS(7463),
    [anon_sym_BSLASHacsp] = ACTIONS(7463),
    [anon_sym_BSLASHAcsp] = ACTIONS(7463),
    [anon_sym_BSLASHacl] = ACTIONS(7463),
    [anon_sym_BSLASHAcl] = ACTIONS(7463),
    [anon_sym_BSLASHaclp] = ACTIONS(7463),
    [anon_sym_BSLASHAclp] = ACTIONS(7463),
    [anon_sym_BSLASHacf] = ACTIONS(7463),
    [anon_sym_BSLASHAcf] = ACTIONS(7463),
    [anon_sym_BSLASHacfp] = ACTIONS(7463),
    [anon_sym_BSLASHAcfp] = ACTIONS(7463),
    [anon_sym_BSLASHac] = ACTIONS(7463),
    [anon_sym_BSLASHAc] = ACTIONS(7463),
    [anon_sym_BSLASHacp] = ACTIONS(7463),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7463),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7463),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7463),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7463),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7463),
    [anon_sym_BSLASHcolor] = ACTIONS(7463),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7463),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7463),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7463),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7463),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7463),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7463),
    [anon_sym_BSLASHurl] = ACTIONS(7463),
    [anon_sym_BSLASHhref] = ACTIONS(7463),
  },
  [1044] = {
    [ts_builtin_sym_end] = ACTIONS(7233),
    [sym_command_name] = ACTIONS(7231),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7231),
    [anon_sym_LBRACK] = ACTIONS(7233),
    [anon_sym_RBRACK] = ACTIONS(7233),
    [anon_sym_COMMA] = ACTIONS(7233),
    [anon_sym_EQ] = ACTIONS(7233),
    [anon_sym_LPAREN] = ACTIONS(7233),
    [anon_sym_RPAREN] = ACTIONS(7233),
    [anon_sym_BSLASHpart] = ACTIONS(7231),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHaddpart] = ACTIONS(7231),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHchapter] = ACTIONS(7231),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHaddchap] = ACTIONS(7231),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHsection] = ACTIONS(7231),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHaddsec] = ACTIONS(7231),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHsubsection] = ACTIONS(7231),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7231),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHparagraph] = ACTIONS(7231),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7231),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHitem] = ACTIONS(7231),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7233),
    [anon_sym_LBRACE] = ACTIONS(7233),
    [anon_sym_RBRACE] = ACTIONS(7233),
    [sym_word] = ACTIONS(7231),
    [sym_placeholder] = ACTIONS(7233),
    [sym_delimiter] = ACTIONS(7233),
    [anon_sym_PLUS] = ACTIONS(7233),
    [anon_sym_DASH] = ACTIONS(7233),
    [anon_sym_STAR] = ACTIONS(7233),
    [anon_sym_SLASH] = ACTIONS(7233),
    [anon_sym_LT] = ACTIONS(7231),
    [anon_sym_GT] = ACTIONS(7231),
    [anon_sym_BANG] = ACTIONS(7231),
    [anon_sym_PIPE] = ACTIONS(7231),
    [anon_sym_COLON] = ACTIONS(7231),
    [anon_sym_SQUOTE] = ACTIONS(7231),
    [anon_sym__] = ACTIONS(7233),
    [anon_sym_CARET] = ACTIONS(7233),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7233),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7233),
    [anon_sym_DOLLAR] = ACTIONS(7231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7233),
    [anon_sym_BSLASHleft] = ACTIONS(7231),
    [anon_sym_BSLASHbigl] = ACTIONS(7231),
    [anon_sym_BSLASHBigl] = ACTIONS(7231),
    [anon_sym_BSLASHbiggl] = ACTIONS(7231),
    [anon_sym_BSLASHBiggl] = ACTIONS(7231),
    [anon_sym_BSLASHtext] = ACTIONS(7231),
    [anon_sym_BSLASHintertext] = ACTIONS(7231),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7231),
    [anon_sym_BSLASHbegin] = ACTIONS(7231),
    [anon_sym_BSLASHtitle] = ACTIONS(7231),
    [anon_sym_BSLASHauthor] = ACTIONS(7231),
    [anon_sym_BSLASHusepackage] = ACTIONS(7231),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7231),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7231),
    [anon_sym_BSLASHinclude] = ACTIONS(7231),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7231),
    [anon_sym_BSLASHinput] = ACTIONS(7231),
    [anon_sym_BSLASHsubfile] = ACTIONS(7231),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7231),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7231),
    [anon_sym_BSLASHbibliography] = ACTIONS(7231),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7231),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7231),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7231),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7231),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7231),
    [anon_sym_BSLASHimport] = ACTIONS(7231),
    [anon_sym_BSLASHsubimport] = ACTIONS(7231),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7231),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7231),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7231),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7231),
    [anon_sym_BSLASHcaption] = ACTIONS(7231),
    [anon_sym_BSLASHcite] = ACTIONS(7231),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCite] = ACTIONS(7231),
    [anon_sym_BSLASHnocite] = ACTIONS(7231),
    [anon_sym_BSLASHcitet] = ACTIONS(7231),
    [anon_sym_BSLASHcitep] = ACTIONS(7231),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteA] = ACTIONS(7231),
    [anon_sym_BSLASHciteR] = ACTIONS(7231),
    [anon_sym_BSLASHciteS] = ACTIONS(7231),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7231),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7231),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7231),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7231),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteyear] = ACTIONS(7231),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitedate] = ACTIONS(7231),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteurl] = ACTIONS(7231),
    [anon_sym_BSLASHfullcite] = ACTIONS(7231),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7231),
    [anon_sym_BSLASHcitealt] = ACTIONS(7231),
    [anon_sym_BSLASHcitealp] = ACTIONS(7231),
    [anon_sym_BSLASHcitetext] = ACTIONS(7231),
    [anon_sym_BSLASHparencite] = ACTIONS(7231),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHParencite] = ACTIONS(7231),
    [anon_sym_BSLASHfootcite] = ACTIONS(7231),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7231),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7231),
    [anon_sym_BSLASHtextcite] = ACTIONS(7231),
    [anon_sym_BSLASHTextcite] = ACTIONS(7231),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7231),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7231),
    [anon_sym_BSLASHsupercite] = ACTIONS(7231),
    [anon_sym_BSLASHautocite] = ACTIONS(7231),
    [anon_sym_BSLASHAutocite] = ACTIONS(7231),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHVolcite] = ACTIONS(7231),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHavolcite] = ACTIONS(7231),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHNotecite] = ACTIONS(7231),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHlabel] = ACTIONS(7231),
    [anon_sym_BSLASHref] = ACTIONS(7231),
    [anon_sym_BSLASHeqref] = ACTIONS(7231),
    [anon_sym_BSLASHvref] = ACTIONS(7231),
    [anon_sym_BSLASHVref] = ACTIONS(7231),
    [anon_sym_BSLASHautoref] = ACTIONS(7231),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHpageref] = ACTIONS(7231),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHautopageref] = ACTIONS(7231),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcref] = ACTIONS(7231),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCref] = ACTIONS(7231),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcpageref] = ACTIONS(7231),
    [anon_sym_BSLASHCpageref] = ACTIONS(7231),
    [anon_sym_BSLASHnamecref] = ACTIONS(7231),
    [anon_sym_BSLASHnameCref] = ACTIONS(7231),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7231),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7231),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7231),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7231),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7231),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7231),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7231),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7231),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7231),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7231),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7231),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHdef] = ACTIONS(7231),
    [anon_sym_BSLASHgdef] = ACTIONS(7231),
    [anon_sym_BSLASHedef] = ACTIONS(7231),
    [anon_sym_BSLASHxdef] = ACTIONS(7231),
    [anon_sym_BSLASHlet] = ACTIONS(7231),
    [anon_sym_BSLASHglet] = ACTIONS(7231),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7231),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7231),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7231),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7231),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7231),
    [anon_sym_BSLASHgls] = ACTIONS(7231),
    [anon_sym_BSLASHGls] = ACTIONS(7231),
    [anon_sym_BSLASHGLS] = ACTIONS(7231),
    [anon_sym_BSLASHglspl] = ACTIONS(7231),
    [anon_sym_BSLASHGlspl] = ACTIONS(7231),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7231),
    [anon_sym_BSLASHglslink] = ACTIONS(7231),
    [anon_sym_BSLASHglstext] = ACTIONS(7231),
    [anon_sym_BSLASHGlstext] = ACTIONS(7231),
    [anon_sym_BSLASHGLStext] = ACTIONS(7231),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7231),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7231),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7231),
    [anon_sym_BSLASHglsplural] = ACTIONS(7231),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7231),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7231),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHglsname] = ACTIONS(7231),
    [anon_sym_BSLASHGlsname] = ACTIONS(7231),
    [anon_sym_BSLASHGLSname] = ACTIONS(7231),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7231),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7231),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7231),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7231),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7231),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7231),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7231),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7231),
    [anon_sym_BSLASHacrshort] = ACTIONS(7231),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7231),
    [anon_sym_BSLASHACRshort] = ACTIONS(7231),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHacrlong] = ACTIONS(7231),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7231),
    [anon_sym_BSLASHACRlong] = ACTIONS(7231),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHacrfull] = ACTIONS(7231),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7231),
    [anon_sym_BSLASHACRfull] = ACTIONS(7231),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHacs] = ACTIONS(7231),
    [anon_sym_BSLASHAcs] = ACTIONS(7231),
    [anon_sym_BSLASHacsp] = ACTIONS(7231),
    [anon_sym_BSLASHAcsp] = ACTIONS(7231),
    [anon_sym_BSLASHacl] = ACTIONS(7231),
    [anon_sym_BSLASHAcl] = ACTIONS(7231),
    [anon_sym_BSLASHaclp] = ACTIONS(7231),
    [anon_sym_BSLASHAclp] = ACTIONS(7231),
    [anon_sym_BSLASHacf] = ACTIONS(7231),
    [anon_sym_BSLASHAcf] = ACTIONS(7231),
    [anon_sym_BSLASHacfp] = ACTIONS(7231),
    [anon_sym_BSLASHAcfp] = ACTIONS(7231),
    [anon_sym_BSLASHac] = ACTIONS(7231),
    [anon_sym_BSLASHAc] = ACTIONS(7231),
    [anon_sym_BSLASHacp] = ACTIONS(7231),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7231),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7231),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7231),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7231),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7231),
    [anon_sym_BSLASHcolor] = ACTIONS(7231),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7231),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7231),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7231),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7231),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7231),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7231),
    [anon_sym_BSLASHurl] = ACTIONS(7231),
    [anon_sym_BSLASHhref] = ACTIONS(7231),
  },
  [1045] = {
    [ts_builtin_sym_end] = ACTIONS(7193),
    [sym_command_name] = ACTIONS(7191),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7191),
    [anon_sym_LBRACK] = ACTIONS(7193),
    [anon_sym_RBRACK] = ACTIONS(7193),
    [anon_sym_COMMA] = ACTIONS(7193),
    [anon_sym_EQ] = ACTIONS(7193),
    [anon_sym_LPAREN] = ACTIONS(7193),
    [anon_sym_RPAREN] = ACTIONS(7193),
    [anon_sym_BSLASHpart] = ACTIONS(7191),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHaddpart] = ACTIONS(7191),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHchapter] = ACTIONS(7191),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHaddchap] = ACTIONS(7191),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHsection] = ACTIONS(7191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHaddsec] = ACTIONS(7191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHsubsection] = ACTIONS(7191),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7191),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHparagraph] = ACTIONS(7191),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7191),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHitem] = ACTIONS(7191),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7193),
    [anon_sym_LBRACE] = ACTIONS(7193),
    [anon_sym_RBRACE] = ACTIONS(7193),
    [sym_word] = ACTIONS(7191),
    [sym_placeholder] = ACTIONS(7193),
    [sym_delimiter] = ACTIONS(7193),
    [anon_sym_PLUS] = ACTIONS(7193),
    [anon_sym_DASH] = ACTIONS(7193),
    [anon_sym_STAR] = ACTIONS(7193),
    [anon_sym_SLASH] = ACTIONS(7193),
    [anon_sym_LT] = ACTIONS(7191),
    [anon_sym_GT] = ACTIONS(7191),
    [anon_sym_BANG] = ACTIONS(7191),
    [anon_sym_PIPE] = ACTIONS(7191),
    [anon_sym_COLON] = ACTIONS(7191),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym__] = ACTIONS(7193),
    [anon_sym_CARET] = ACTIONS(7193),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7193),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7193),
    [anon_sym_DOLLAR] = ACTIONS(7191),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7193),
    [anon_sym_BSLASHleft] = ACTIONS(7191),
    [anon_sym_BSLASHbigl] = ACTIONS(7191),
    [anon_sym_BSLASHBigl] = ACTIONS(7191),
    [anon_sym_BSLASHbiggl] = ACTIONS(7191),
    [anon_sym_BSLASHBiggl] = ACTIONS(7191),
    [anon_sym_BSLASHtext] = ACTIONS(7191),
    [anon_sym_BSLASHintertext] = ACTIONS(7191),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7191),
    [anon_sym_BSLASHbegin] = ACTIONS(7191),
    [anon_sym_BSLASHtitle] = ACTIONS(7191),
    [anon_sym_BSLASHauthor] = ACTIONS(7191),
    [anon_sym_BSLASHusepackage] = ACTIONS(7191),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7191),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7191),
    [anon_sym_BSLASHinclude] = ACTIONS(7191),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7191),
    [anon_sym_BSLASHinput] = ACTIONS(7191),
    [anon_sym_BSLASHsubfile] = ACTIONS(7191),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7191),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7191),
    [anon_sym_BSLASHbibliography] = ACTIONS(7191),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7191),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7191),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7191),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7191),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7191),
    [anon_sym_BSLASHimport] = ACTIONS(7191),
    [anon_sym_BSLASHsubimport] = ACTIONS(7191),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7191),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7191),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7191),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7191),
    [anon_sym_BSLASHcaption] = ACTIONS(7191),
    [anon_sym_BSLASHcite] = ACTIONS(7191),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCite] = ACTIONS(7191),
    [anon_sym_BSLASHnocite] = ACTIONS(7191),
    [anon_sym_BSLASHcitet] = ACTIONS(7191),
    [anon_sym_BSLASHcitep] = ACTIONS(7191),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteA] = ACTIONS(7191),
    [anon_sym_BSLASHciteR] = ACTIONS(7191),
    [anon_sym_BSLASHciteS] = ACTIONS(7191),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7191),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7191),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7191),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7191),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteyear] = ACTIONS(7191),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitedate] = ACTIONS(7191),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteurl] = ACTIONS(7191),
    [anon_sym_BSLASHfullcite] = ACTIONS(7191),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7191),
    [anon_sym_BSLASHcitealt] = ACTIONS(7191),
    [anon_sym_BSLASHcitealp] = ACTIONS(7191),
    [anon_sym_BSLASHcitetext] = ACTIONS(7191),
    [anon_sym_BSLASHparencite] = ACTIONS(7191),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHParencite] = ACTIONS(7191),
    [anon_sym_BSLASHfootcite] = ACTIONS(7191),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7191),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7191),
    [anon_sym_BSLASHtextcite] = ACTIONS(7191),
    [anon_sym_BSLASHTextcite] = ACTIONS(7191),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7191),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7191),
    [anon_sym_BSLASHsupercite] = ACTIONS(7191),
    [anon_sym_BSLASHautocite] = ACTIONS(7191),
    [anon_sym_BSLASHAutocite] = ACTIONS(7191),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHVolcite] = ACTIONS(7191),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHavolcite] = ACTIONS(7191),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHNotecite] = ACTIONS(7191),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHlabel] = ACTIONS(7191),
    [anon_sym_BSLASHref] = ACTIONS(7191),
    [anon_sym_BSLASHeqref] = ACTIONS(7191),
    [anon_sym_BSLASHvref] = ACTIONS(7191),
    [anon_sym_BSLASHVref] = ACTIONS(7191),
    [anon_sym_BSLASHautoref] = ACTIONS(7191),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHpageref] = ACTIONS(7191),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHautopageref] = ACTIONS(7191),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcref] = ACTIONS(7191),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCref] = ACTIONS(7191),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcpageref] = ACTIONS(7191),
    [anon_sym_BSLASHCpageref] = ACTIONS(7191),
    [anon_sym_BSLASHnamecref] = ACTIONS(7191),
    [anon_sym_BSLASHnameCref] = ACTIONS(7191),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7191),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7191),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7191),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7191),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7191),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7191),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7191),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7191),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7191),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7191),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7191),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHdef] = ACTIONS(7191),
    [anon_sym_BSLASHgdef] = ACTIONS(7191),
    [anon_sym_BSLASHedef] = ACTIONS(7191),
    [anon_sym_BSLASHxdef] = ACTIONS(7191),
    [anon_sym_BSLASHlet] = ACTIONS(7191),
    [anon_sym_BSLASHglet] = ACTIONS(7191),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7191),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7191),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7191),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7191),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7191),
    [anon_sym_BSLASHgls] = ACTIONS(7191),
    [anon_sym_BSLASHGls] = ACTIONS(7191),
    [anon_sym_BSLASHGLS] = ACTIONS(7191),
    [anon_sym_BSLASHglspl] = ACTIONS(7191),
    [anon_sym_BSLASHGlspl] = ACTIONS(7191),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7191),
    [anon_sym_BSLASHglslink] = ACTIONS(7191),
    [anon_sym_BSLASHglstext] = ACTIONS(7191),
    [anon_sym_BSLASHGlstext] = ACTIONS(7191),
    [anon_sym_BSLASHGLStext] = ACTIONS(7191),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7191),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7191),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7191),
    [anon_sym_BSLASHglsplural] = ACTIONS(7191),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7191),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7191),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHglsname] = ACTIONS(7191),
    [anon_sym_BSLASHGlsname] = ACTIONS(7191),
    [anon_sym_BSLASHGLSname] = ACTIONS(7191),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7191),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7191),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7191),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7191),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7191),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7191),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7191),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7191),
    [anon_sym_BSLASHacrshort] = ACTIONS(7191),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7191),
    [anon_sym_BSLASHACRshort] = ACTIONS(7191),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHacrlong] = ACTIONS(7191),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7191),
    [anon_sym_BSLASHACRlong] = ACTIONS(7191),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHacrfull] = ACTIONS(7191),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7191),
    [anon_sym_BSLASHACRfull] = ACTIONS(7191),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHacs] = ACTIONS(7191),
    [anon_sym_BSLASHAcs] = ACTIONS(7191),
    [anon_sym_BSLASHacsp] = ACTIONS(7191),
    [anon_sym_BSLASHAcsp] = ACTIONS(7191),
    [anon_sym_BSLASHacl] = ACTIONS(7191),
    [anon_sym_BSLASHAcl] = ACTIONS(7191),
    [anon_sym_BSLASHaclp] = ACTIONS(7191),
    [anon_sym_BSLASHAclp] = ACTIONS(7191),
    [anon_sym_BSLASHacf] = ACTIONS(7191),
    [anon_sym_BSLASHAcf] = ACTIONS(7191),
    [anon_sym_BSLASHacfp] = ACTIONS(7191),
    [anon_sym_BSLASHAcfp] = ACTIONS(7191),
    [anon_sym_BSLASHac] = ACTIONS(7191),
    [anon_sym_BSLASHAc] = ACTIONS(7191),
    [anon_sym_BSLASHacp] = ACTIONS(7191),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7191),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7191),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7191),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7191),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7191),
    [anon_sym_BSLASHcolor] = ACTIONS(7191),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7191),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7191),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7191),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7191),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7191),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7191),
    [anon_sym_BSLASHurl] = ACTIONS(7191),
    [anon_sym_BSLASHhref] = ACTIONS(7191),
  },
  [1046] = {
    [ts_builtin_sym_end] = ACTIONS(159),
    [sym_command_name] = ACTIONS(157),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(157),
    [anon_sym_LBRACK] = ACTIONS(159),
    [anon_sym_RBRACK] = ACTIONS(159),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_RPAREN] = ACTIONS(159),
    [anon_sym_BSLASHpart] = ACTIONS(157),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddpart] = ACTIONS(157),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(159),
    [anon_sym_BSLASHchapter] = ACTIONS(157),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddchap] = ACTIONS(157),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsection] = ACTIONS(157),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddsec] = ACTIONS(157),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubsection] = ACTIONS(157),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(157),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHparagraph] = ACTIONS(157),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(157),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(159),
    [anon_sym_BSLASHitem] = ACTIONS(157),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(159),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_RBRACE] = ACTIONS(159),
    [sym_word] = ACTIONS(157),
    [sym_placeholder] = ACTIONS(159),
    [sym_delimiter] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_SLASH] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(157),
    [anon_sym_GT] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(157),
    [anon_sym_PIPE] = ACTIONS(157),
    [anon_sym_COLON] = ACTIONS(157),
    [anon_sym_SQUOTE] = ACTIONS(157),
    [anon_sym__] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(159),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(159),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(159),
    [anon_sym_BSLASHleft] = ACTIONS(157),
    [anon_sym_BSLASHbigl] = ACTIONS(157),
    [anon_sym_BSLASHBigl] = ACTIONS(157),
    [anon_sym_BSLASHbiggl] = ACTIONS(157),
    [anon_sym_BSLASHBiggl] = ACTIONS(157),
    [anon_sym_BSLASHtext] = ACTIONS(157),
    [anon_sym_BSLASHintertext] = ACTIONS(157),
    [anon_sym_BSLASHshortintertext] = ACTIONS(157),
    [anon_sym_BSLASHbegin] = ACTIONS(157),
    [anon_sym_BSLASHtitle] = ACTIONS(157),
    [anon_sym_BSLASHauthor] = ACTIONS(157),
    [anon_sym_BSLASHusepackage] = ACTIONS(157),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(157),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(157),
    [anon_sym_BSLASHinclude] = ACTIONS(157),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(157),
    [anon_sym_BSLASHinput] = ACTIONS(157),
    [anon_sym_BSLASHsubfile] = ACTIONS(157),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(157),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(157),
    [anon_sym_BSLASHbibliography] = ACTIONS(157),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(157),
    [anon_sym_BSLASHincludesvg] = ACTIONS(157),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(157),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(157),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(157),
    [anon_sym_BSLASHimport] = ACTIONS(157),
    [anon_sym_BSLASHsubimport] = ACTIONS(157),
    [anon_sym_BSLASHinputfrom] = ACTIONS(157),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(157),
    [anon_sym_BSLASHincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHcaption] = ACTIONS(157),
    [anon_sym_BSLASHcite] = ACTIONS(157),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCite] = ACTIONS(157),
    [anon_sym_BSLASHnocite] = ACTIONS(157),
    [anon_sym_BSLASHcitet] = ACTIONS(157),
    [anon_sym_BSLASHcitep] = ACTIONS(157),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteA] = ACTIONS(157),
    [anon_sym_BSLASHciteR] = ACTIONS(157),
    [anon_sym_BSLASHciteS] = ACTIONS(157),
    [anon_sym_BSLASHciteyearR] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(157),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitetitle] = ACTIONS(157),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteyear] = ACTIONS(157),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitedate] = ACTIONS(157),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteurl] = ACTIONS(157),
    [anon_sym_BSLASHfullcite] = ACTIONS(157),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(157),
    [anon_sym_BSLASHcitealt] = ACTIONS(157),
    [anon_sym_BSLASHcitealp] = ACTIONS(157),
    [anon_sym_BSLASHcitetext] = ACTIONS(157),
    [anon_sym_BSLASHparencite] = ACTIONS(157),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHParencite] = ACTIONS(157),
    [anon_sym_BSLASHfootcite] = ACTIONS(157),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(157),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(157),
    [anon_sym_BSLASHtextcite] = ACTIONS(157),
    [anon_sym_BSLASHTextcite] = ACTIONS(157),
    [anon_sym_BSLASHsmartcite] = ACTIONS(157),
    [anon_sym_BSLASHSmartcite] = ACTIONS(157),
    [anon_sym_BSLASHsupercite] = ACTIONS(157),
    [anon_sym_BSLASHautocite] = ACTIONS(157),
    [anon_sym_BSLASHAutocite] = ACTIONS(157),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHvolcite] = ACTIONS(157),
    [anon_sym_BSLASHVolcite] = ACTIONS(157),
    [anon_sym_BSLASHpvolcite] = ACTIONS(157),
    [anon_sym_BSLASHPvolcite] = ACTIONS(157),
    [anon_sym_BSLASHfvolcite] = ACTIONS(157),
    [anon_sym_BSLASHftvolcite] = ACTIONS(157),
    [anon_sym_BSLASHsvolcite] = ACTIONS(157),
    [anon_sym_BSLASHSvolcite] = ACTIONS(157),
    [anon_sym_BSLASHtvolcite] = ACTIONS(157),
    [anon_sym_BSLASHTvolcite] = ACTIONS(157),
    [anon_sym_BSLASHavolcite] = ACTIONS(157),
    [anon_sym_BSLASHAvolcite] = ACTIONS(157),
    [anon_sym_BSLASHnotecite] = ACTIONS(157),
    [anon_sym_BSLASHNotecite] = ACTIONS(157),
    [anon_sym_BSLASHpnotecite] = ACTIONS(157),
    [anon_sym_BSLASHPnotecite] = ACTIONS(157),
    [anon_sym_BSLASHfnotecite] = ACTIONS(157),
    [anon_sym_BSLASHlabel] = ACTIONS(157),
    [anon_sym_BSLASHref] = ACTIONS(157),
    [anon_sym_BSLASHeqref] = ACTIONS(157),
    [anon_sym_BSLASHvref] = ACTIONS(157),
    [anon_sym_BSLASHVref] = ACTIONS(157),
    [anon_sym_BSLASHautoref] = ACTIONS(157),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpageref] = ACTIONS(157),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHautopageref] = ACTIONS(157),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcref] = ACTIONS(157),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCref] = ACTIONS(157),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpageref] = ACTIONS(157),
    [anon_sym_BSLASHCpageref] = ACTIONS(157),
    [anon_sym_BSLASHnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnameCref] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcrefrange] = ACTIONS(157),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCrefrange] = ACTIONS(157),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHnewlabel] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(157),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(157),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(157),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(159),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHdef] = ACTIONS(157),
    [anon_sym_BSLASHgdef] = ACTIONS(157),
    [anon_sym_BSLASHedef] = ACTIONS(157),
    [anon_sym_BSLASHxdef] = ACTIONS(157),
    [anon_sym_BSLASHlet] = ACTIONS(157),
    [anon_sym_BSLASHglet] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(157),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(157),
    [anon_sym_BSLASHgls] = ACTIONS(157),
    [anon_sym_BSLASHGls] = ACTIONS(157),
    [anon_sym_BSLASHGLS] = ACTIONS(157),
    [anon_sym_BSLASHglspl] = ACTIONS(157),
    [anon_sym_BSLASHGlspl] = ACTIONS(157),
    [anon_sym_BSLASHGLSpl] = ACTIONS(157),
    [anon_sym_BSLASHglsdisp] = ACTIONS(157),
    [anon_sym_BSLASHglslink] = ACTIONS(157),
    [anon_sym_BSLASHglstext] = ACTIONS(157),
    [anon_sym_BSLASHGlstext] = ACTIONS(157),
    [anon_sym_BSLASHGLStext] = ACTIONS(157),
    [anon_sym_BSLASHglsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(157),
    [anon_sym_BSLASHglsplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSplural] = ACTIONS(157),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHglsname] = ACTIONS(157),
    [anon_sym_BSLASHGlsname] = ACTIONS(157),
    [anon_sym_BSLASHGLSname] = ACTIONS(157),
    [anon_sym_BSLASHglssymbol] = ACTIONS(157),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(157),
    [anon_sym_BSLASHglsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(157),
    [anon_sym_BSLASHglsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(157),
    [anon_sym_BSLASHglsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(157),
    [anon_sym_BSLASHglsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(157),
    [anon_sym_BSLASHglsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(157),
    [anon_sym_BSLASHnewacronym] = ACTIONS(157),
    [anon_sym_BSLASHacrshort] = ACTIONS(157),
    [anon_sym_BSLASHAcrshort] = ACTIONS(157),
    [anon_sym_BSLASHACRshort] = ACTIONS(157),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(157),
    [anon_sym_BSLASHacrlong] = ACTIONS(157),
    [anon_sym_BSLASHAcrlong] = ACTIONS(157),
    [anon_sym_BSLASHACRlong] = ACTIONS(157),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(157),
    [anon_sym_BSLASHacrfull] = ACTIONS(157),
    [anon_sym_BSLASHAcrfull] = ACTIONS(157),
    [anon_sym_BSLASHACRfull] = ACTIONS(157),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(157),
    [anon_sym_BSLASHacs] = ACTIONS(157),
    [anon_sym_BSLASHAcs] = ACTIONS(157),
    [anon_sym_BSLASHacsp] = ACTIONS(157),
    [anon_sym_BSLASHAcsp] = ACTIONS(157),
    [anon_sym_BSLASHacl] = ACTIONS(157),
    [anon_sym_BSLASHAcl] = ACTIONS(157),
    [anon_sym_BSLASHaclp] = ACTIONS(157),
    [anon_sym_BSLASHAclp] = ACTIONS(157),
    [anon_sym_BSLASHacf] = ACTIONS(157),
    [anon_sym_BSLASHAcf] = ACTIONS(157),
    [anon_sym_BSLASHacfp] = ACTIONS(157),
    [anon_sym_BSLASHAcfp] = ACTIONS(157),
    [anon_sym_BSLASHac] = ACTIONS(157),
    [anon_sym_BSLASHAc] = ACTIONS(157),
    [anon_sym_BSLASHacp] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(157),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(157),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(157),
    [anon_sym_BSLASHcolor] = ACTIONS(157),
    [anon_sym_BSLASHpagecolor] = ACTIONS(157),
    [anon_sym_BSLASHtextcolor] = ACTIONS(157),
    [anon_sym_BSLASHmathcolor] = ACTIONS(157),
    [anon_sym_BSLASHcolorbox] = ACTIONS(157),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(157),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(157),
    [anon_sym_BSLASHurl] = ACTIONS(157),
    [anon_sym_BSLASHhref] = ACTIONS(157),
  },
  [1047] = {
    [ts_builtin_sym_end] = ACTIONS(7197),
    [sym_command_name] = ACTIONS(7195),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7195),
    [anon_sym_LBRACK] = ACTIONS(7197),
    [anon_sym_RBRACK] = ACTIONS(7197),
    [anon_sym_COMMA] = ACTIONS(7197),
    [anon_sym_EQ] = ACTIONS(7197),
    [anon_sym_LPAREN] = ACTIONS(7197),
    [anon_sym_RPAREN] = ACTIONS(7197),
    [anon_sym_BSLASHpart] = ACTIONS(7195),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHaddpart] = ACTIONS(7195),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHchapter] = ACTIONS(7195),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHaddchap] = ACTIONS(7195),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHsection] = ACTIONS(7195),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHaddsec] = ACTIONS(7195),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHsubsection] = ACTIONS(7195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7195),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHparagraph] = ACTIONS(7195),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7195),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHitem] = ACTIONS(7195),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7197),
    [anon_sym_LBRACE] = ACTIONS(7197),
    [anon_sym_RBRACE] = ACTIONS(7197),
    [sym_word] = ACTIONS(7195),
    [sym_placeholder] = ACTIONS(7197),
    [sym_delimiter] = ACTIONS(7197),
    [anon_sym_PLUS] = ACTIONS(7197),
    [anon_sym_DASH] = ACTIONS(7197),
    [anon_sym_STAR] = ACTIONS(7197),
    [anon_sym_SLASH] = ACTIONS(7197),
    [anon_sym_LT] = ACTIONS(7195),
    [anon_sym_GT] = ACTIONS(7195),
    [anon_sym_BANG] = ACTIONS(7195),
    [anon_sym_PIPE] = ACTIONS(7195),
    [anon_sym_COLON] = ACTIONS(7195),
    [anon_sym_SQUOTE] = ACTIONS(7195),
    [anon_sym__] = ACTIONS(7197),
    [anon_sym_CARET] = ACTIONS(7197),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7197),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7197),
    [anon_sym_DOLLAR] = ACTIONS(7195),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7197),
    [anon_sym_BSLASHleft] = ACTIONS(7195),
    [anon_sym_BSLASHbigl] = ACTIONS(7195),
    [anon_sym_BSLASHBigl] = ACTIONS(7195),
    [anon_sym_BSLASHbiggl] = ACTIONS(7195),
    [anon_sym_BSLASHBiggl] = ACTIONS(7195),
    [anon_sym_BSLASHtext] = ACTIONS(7195),
    [anon_sym_BSLASHintertext] = ACTIONS(7195),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7195),
    [anon_sym_BSLASHbegin] = ACTIONS(7195),
    [anon_sym_BSLASHtitle] = ACTIONS(7195),
    [anon_sym_BSLASHauthor] = ACTIONS(7195),
    [anon_sym_BSLASHusepackage] = ACTIONS(7195),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7195),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7195),
    [anon_sym_BSLASHinclude] = ACTIONS(7195),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7195),
    [anon_sym_BSLASHinput] = ACTIONS(7195),
    [anon_sym_BSLASHsubfile] = ACTIONS(7195),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7195),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7195),
    [anon_sym_BSLASHbibliography] = ACTIONS(7195),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7195),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7195),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7195),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7195),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7195),
    [anon_sym_BSLASHimport] = ACTIONS(7195),
    [anon_sym_BSLASHsubimport] = ACTIONS(7195),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7195),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7195),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7195),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7195),
    [anon_sym_BSLASHcaption] = ACTIONS(7195),
    [anon_sym_BSLASHcite] = ACTIONS(7195),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCite] = ACTIONS(7195),
    [anon_sym_BSLASHnocite] = ACTIONS(7195),
    [anon_sym_BSLASHcitet] = ACTIONS(7195),
    [anon_sym_BSLASHcitep] = ACTIONS(7195),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteA] = ACTIONS(7195),
    [anon_sym_BSLASHciteR] = ACTIONS(7195),
    [anon_sym_BSLASHciteS] = ACTIONS(7195),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7195),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7195),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7195),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7195),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteyear] = ACTIONS(7195),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitedate] = ACTIONS(7195),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteurl] = ACTIONS(7195),
    [anon_sym_BSLASHfullcite] = ACTIONS(7195),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7195),
    [anon_sym_BSLASHcitealt] = ACTIONS(7195),
    [anon_sym_BSLASHcitealp] = ACTIONS(7195),
    [anon_sym_BSLASHcitetext] = ACTIONS(7195),
    [anon_sym_BSLASHparencite] = ACTIONS(7195),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHParencite] = ACTIONS(7195),
    [anon_sym_BSLASHfootcite] = ACTIONS(7195),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7195),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7195),
    [anon_sym_BSLASHtextcite] = ACTIONS(7195),
    [anon_sym_BSLASHTextcite] = ACTIONS(7195),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7195),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7195),
    [anon_sym_BSLASHsupercite] = ACTIONS(7195),
    [anon_sym_BSLASHautocite] = ACTIONS(7195),
    [anon_sym_BSLASHAutocite] = ACTIONS(7195),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHVolcite] = ACTIONS(7195),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHavolcite] = ACTIONS(7195),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHNotecite] = ACTIONS(7195),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHlabel] = ACTIONS(7195),
    [anon_sym_BSLASHref] = ACTIONS(7195),
    [anon_sym_BSLASHeqref] = ACTIONS(7195),
    [anon_sym_BSLASHvref] = ACTIONS(7195),
    [anon_sym_BSLASHVref] = ACTIONS(7195),
    [anon_sym_BSLASHautoref] = ACTIONS(7195),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHpageref] = ACTIONS(7195),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHautopageref] = ACTIONS(7195),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcref] = ACTIONS(7195),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCref] = ACTIONS(7195),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcpageref] = ACTIONS(7195),
    [anon_sym_BSLASHCpageref] = ACTIONS(7195),
    [anon_sym_BSLASHnamecref] = ACTIONS(7195),
    [anon_sym_BSLASHnameCref] = ACTIONS(7195),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7195),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7195),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7195),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7195),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7195),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7195),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7195),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7195),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7195),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7195),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7195),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHdef] = ACTIONS(7195),
    [anon_sym_BSLASHgdef] = ACTIONS(7195),
    [anon_sym_BSLASHedef] = ACTIONS(7195),
    [anon_sym_BSLASHxdef] = ACTIONS(7195),
    [anon_sym_BSLASHlet] = ACTIONS(7195),
    [anon_sym_BSLASHglet] = ACTIONS(7195),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7195),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7195),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7195),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7195),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7195),
    [anon_sym_BSLASHgls] = ACTIONS(7195),
    [anon_sym_BSLASHGls] = ACTIONS(7195),
    [anon_sym_BSLASHGLS] = ACTIONS(7195),
    [anon_sym_BSLASHglspl] = ACTIONS(7195),
    [anon_sym_BSLASHGlspl] = ACTIONS(7195),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7195),
    [anon_sym_BSLASHglslink] = ACTIONS(7195),
    [anon_sym_BSLASHglstext] = ACTIONS(7195),
    [anon_sym_BSLASHGlstext] = ACTIONS(7195),
    [anon_sym_BSLASHGLStext] = ACTIONS(7195),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7195),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7195),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7195),
    [anon_sym_BSLASHglsplural] = ACTIONS(7195),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7195),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7195),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHglsname] = ACTIONS(7195),
    [anon_sym_BSLASHGlsname] = ACTIONS(7195),
    [anon_sym_BSLASHGLSname] = ACTIONS(7195),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7195),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7195),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7195),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7195),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7195),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7195),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7195),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7195),
    [anon_sym_BSLASHacrshort] = ACTIONS(7195),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7195),
    [anon_sym_BSLASHACRshort] = ACTIONS(7195),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHacrlong] = ACTIONS(7195),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7195),
    [anon_sym_BSLASHACRlong] = ACTIONS(7195),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHacrfull] = ACTIONS(7195),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7195),
    [anon_sym_BSLASHACRfull] = ACTIONS(7195),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHacs] = ACTIONS(7195),
    [anon_sym_BSLASHAcs] = ACTIONS(7195),
    [anon_sym_BSLASHacsp] = ACTIONS(7195),
    [anon_sym_BSLASHAcsp] = ACTIONS(7195),
    [anon_sym_BSLASHacl] = ACTIONS(7195),
    [anon_sym_BSLASHAcl] = ACTIONS(7195),
    [anon_sym_BSLASHaclp] = ACTIONS(7195),
    [anon_sym_BSLASHAclp] = ACTIONS(7195),
    [anon_sym_BSLASHacf] = ACTIONS(7195),
    [anon_sym_BSLASHAcf] = ACTIONS(7195),
    [anon_sym_BSLASHacfp] = ACTIONS(7195),
    [anon_sym_BSLASHAcfp] = ACTIONS(7195),
    [anon_sym_BSLASHac] = ACTIONS(7195),
    [anon_sym_BSLASHAc] = ACTIONS(7195),
    [anon_sym_BSLASHacp] = ACTIONS(7195),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7195),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7195),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7195),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7195),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7195),
    [anon_sym_BSLASHcolor] = ACTIONS(7195),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7195),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7195),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7195),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7195),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7195),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7195),
    [anon_sym_BSLASHurl] = ACTIONS(7195),
    [anon_sym_BSLASHhref] = ACTIONS(7195),
  },
  [1048] = {
    [ts_builtin_sym_end] = ACTIONS(7469),
    [sym_command_name] = ACTIONS(7467),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7467),
    [anon_sym_LBRACK] = ACTIONS(7469),
    [anon_sym_RBRACK] = ACTIONS(7469),
    [anon_sym_COMMA] = ACTIONS(7469),
    [anon_sym_EQ] = ACTIONS(7469),
    [anon_sym_LPAREN] = ACTIONS(7469),
    [anon_sym_RPAREN] = ACTIONS(7469),
    [anon_sym_BSLASHpart] = ACTIONS(7467),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHaddpart] = ACTIONS(7467),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHchapter] = ACTIONS(7467),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHaddchap] = ACTIONS(7467),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHsection] = ACTIONS(7467),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHaddsec] = ACTIONS(7467),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHsubsection] = ACTIONS(7467),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7467),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHparagraph] = ACTIONS(7467),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7467),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHitem] = ACTIONS(7467),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7469),
    [anon_sym_LBRACE] = ACTIONS(7469),
    [anon_sym_RBRACE] = ACTIONS(7469),
    [sym_word] = ACTIONS(7467),
    [sym_placeholder] = ACTIONS(7469),
    [sym_delimiter] = ACTIONS(7469),
    [anon_sym_PLUS] = ACTIONS(7469),
    [anon_sym_DASH] = ACTIONS(7469),
    [anon_sym_STAR] = ACTIONS(7469),
    [anon_sym_SLASH] = ACTIONS(7469),
    [anon_sym_LT] = ACTIONS(7467),
    [anon_sym_GT] = ACTIONS(7467),
    [anon_sym_BANG] = ACTIONS(7467),
    [anon_sym_PIPE] = ACTIONS(7467),
    [anon_sym_COLON] = ACTIONS(7467),
    [anon_sym_SQUOTE] = ACTIONS(7467),
    [anon_sym__] = ACTIONS(7469),
    [anon_sym_CARET] = ACTIONS(7469),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7469),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7469),
    [anon_sym_DOLLAR] = ACTIONS(7467),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7469),
    [anon_sym_BSLASHleft] = ACTIONS(7467),
    [anon_sym_BSLASHbigl] = ACTIONS(7467),
    [anon_sym_BSLASHBigl] = ACTIONS(7467),
    [anon_sym_BSLASHbiggl] = ACTIONS(7467),
    [anon_sym_BSLASHBiggl] = ACTIONS(7467),
    [anon_sym_BSLASHtext] = ACTIONS(7467),
    [anon_sym_BSLASHintertext] = ACTIONS(7467),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7467),
    [anon_sym_BSLASHbegin] = ACTIONS(7467),
    [anon_sym_BSLASHtitle] = ACTIONS(7467),
    [anon_sym_BSLASHauthor] = ACTIONS(7467),
    [anon_sym_BSLASHusepackage] = ACTIONS(7467),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7467),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7467),
    [anon_sym_BSLASHinclude] = ACTIONS(7467),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7467),
    [anon_sym_BSLASHinput] = ACTIONS(7467),
    [anon_sym_BSLASHsubfile] = ACTIONS(7467),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7467),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7467),
    [anon_sym_BSLASHbibliography] = ACTIONS(7467),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7467),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7467),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7467),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7467),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7467),
    [anon_sym_BSLASHimport] = ACTIONS(7467),
    [anon_sym_BSLASHsubimport] = ACTIONS(7467),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7467),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7467),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7467),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7467),
    [anon_sym_BSLASHcaption] = ACTIONS(7467),
    [anon_sym_BSLASHcite] = ACTIONS(7467),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCite] = ACTIONS(7467),
    [anon_sym_BSLASHnocite] = ACTIONS(7467),
    [anon_sym_BSLASHcitet] = ACTIONS(7467),
    [anon_sym_BSLASHcitep] = ACTIONS(7467),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteA] = ACTIONS(7467),
    [anon_sym_BSLASHciteR] = ACTIONS(7467),
    [anon_sym_BSLASHciteS] = ACTIONS(7467),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7467),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7467),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7467),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7467),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteyear] = ACTIONS(7467),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitedate] = ACTIONS(7467),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteurl] = ACTIONS(7467),
    [anon_sym_BSLASHfullcite] = ACTIONS(7467),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7467),
    [anon_sym_BSLASHcitealt] = ACTIONS(7467),
    [anon_sym_BSLASHcitealp] = ACTIONS(7467),
    [anon_sym_BSLASHcitetext] = ACTIONS(7467),
    [anon_sym_BSLASHparencite] = ACTIONS(7467),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHParencite] = ACTIONS(7467),
    [anon_sym_BSLASHfootcite] = ACTIONS(7467),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7467),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7467),
    [anon_sym_BSLASHtextcite] = ACTIONS(7467),
    [anon_sym_BSLASHTextcite] = ACTIONS(7467),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7467),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7467),
    [anon_sym_BSLASHsupercite] = ACTIONS(7467),
    [anon_sym_BSLASHautocite] = ACTIONS(7467),
    [anon_sym_BSLASHAutocite] = ACTIONS(7467),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHVolcite] = ACTIONS(7467),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHavolcite] = ACTIONS(7467),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHNotecite] = ACTIONS(7467),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHlabel] = ACTIONS(7467),
    [anon_sym_BSLASHref] = ACTIONS(7467),
    [anon_sym_BSLASHeqref] = ACTIONS(7467),
    [anon_sym_BSLASHvref] = ACTIONS(7467),
    [anon_sym_BSLASHVref] = ACTIONS(7467),
    [anon_sym_BSLASHautoref] = ACTIONS(7467),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHpageref] = ACTIONS(7467),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHautopageref] = ACTIONS(7467),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcref] = ACTIONS(7467),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCref] = ACTIONS(7467),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcpageref] = ACTIONS(7467),
    [anon_sym_BSLASHCpageref] = ACTIONS(7467),
    [anon_sym_BSLASHnamecref] = ACTIONS(7467),
    [anon_sym_BSLASHnameCref] = ACTIONS(7467),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7467),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7467),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7467),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7467),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7467),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7467),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7467),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7467),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7467),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7467),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7467),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHdef] = ACTIONS(7467),
    [anon_sym_BSLASHgdef] = ACTIONS(7467),
    [anon_sym_BSLASHedef] = ACTIONS(7467),
    [anon_sym_BSLASHxdef] = ACTIONS(7467),
    [anon_sym_BSLASHlet] = ACTIONS(7467),
    [anon_sym_BSLASHglet] = ACTIONS(7467),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7467),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7467),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7467),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7467),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7467),
    [anon_sym_BSLASHgls] = ACTIONS(7467),
    [anon_sym_BSLASHGls] = ACTIONS(7467),
    [anon_sym_BSLASHGLS] = ACTIONS(7467),
    [anon_sym_BSLASHglspl] = ACTIONS(7467),
    [anon_sym_BSLASHGlspl] = ACTIONS(7467),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7467),
    [anon_sym_BSLASHglslink] = ACTIONS(7467),
    [anon_sym_BSLASHglstext] = ACTIONS(7467),
    [anon_sym_BSLASHGlstext] = ACTIONS(7467),
    [anon_sym_BSLASHGLStext] = ACTIONS(7467),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7467),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7467),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7467),
    [anon_sym_BSLASHglsplural] = ACTIONS(7467),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7467),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7467),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHglsname] = ACTIONS(7467),
    [anon_sym_BSLASHGlsname] = ACTIONS(7467),
    [anon_sym_BSLASHGLSname] = ACTIONS(7467),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7467),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7467),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7467),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7467),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7467),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7467),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7467),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7467),
    [anon_sym_BSLASHacrshort] = ACTIONS(7467),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7467),
    [anon_sym_BSLASHACRshort] = ACTIONS(7467),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHacrlong] = ACTIONS(7467),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7467),
    [anon_sym_BSLASHACRlong] = ACTIONS(7467),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHacrfull] = ACTIONS(7467),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7467),
    [anon_sym_BSLASHACRfull] = ACTIONS(7467),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHacs] = ACTIONS(7467),
    [anon_sym_BSLASHAcs] = ACTIONS(7467),
    [anon_sym_BSLASHacsp] = ACTIONS(7467),
    [anon_sym_BSLASHAcsp] = ACTIONS(7467),
    [anon_sym_BSLASHacl] = ACTIONS(7467),
    [anon_sym_BSLASHAcl] = ACTIONS(7467),
    [anon_sym_BSLASHaclp] = ACTIONS(7467),
    [anon_sym_BSLASHAclp] = ACTIONS(7467),
    [anon_sym_BSLASHacf] = ACTIONS(7467),
    [anon_sym_BSLASHAcf] = ACTIONS(7467),
    [anon_sym_BSLASHacfp] = ACTIONS(7467),
    [anon_sym_BSLASHAcfp] = ACTIONS(7467),
    [anon_sym_BSLASHac] = ACTIONS(7467),
    [anon_sym_BSLASHAc] = ACTIONS(7467),
    [anon_sym_BSLASHacp] = ACTIONS(7467),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7467),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7467),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7467),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7467),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7467),
    [anon_sym_BSLASHcolor] = ACTIONS(7467),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7467),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7467),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7467),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7467),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7467),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7467),
    [anon_sym_BSLASHurl] = ACTIONS(7467),
    [anon_sym_BSLASHhref] = ACTIONS(7467),
  },
  [1049] = {
    [ts_builtin_sym_end] = ACTIONS(7473),
    [sym_command_name] = ACTIONS(7471),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7471),
    [anon_sym_LBRACK] = ACTIONS(7473),
    [anon_sym_RBRACK] = ACTIONS(7473),
    [anon_sym_COMMA] = ACTIONS(7473),
    [anon_sym_EQ] = ACTIONS(7473),
    [anon_sym_LPAREN] = ACTIONS(7473),
    [anon_sym_RPAREN] = ACTIONS(7473),
    [anon_sym_BSLASHpart] = ACTIONS(7471),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHaddpart] = ACTIONS(7471),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHchapter] = ACTIONS(7471),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHaddchap] = ACTIONS(7471),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHsection] = ACTIONS(7471),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHaddsec] = ACTIONS(7471),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHsubsection] = ACTIONS(7471),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7471),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHparagraph] = ACTIONS(7471),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7471),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHitem] = ACTIONS(7471),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7473),
    [anon_sym_LBRACE] = ACTIONS(7473),
    [anon_sym_RBRACE] = ACTIONS(7473),
    [sym_word] = ACTIONS(7471),
    [sym_placeholder] = ACTIONS(7473),
    [sym_delimiter] = ACTIONS(7473),
    [anon_sym_PLUS] = ACTIONS(7473),
    [anon_sym_DASH] = ACTIONS(7473),
    [anon_sym_STAR] = ACTIONS(7473),
    [anon_sym_SLASH] = ACTIONS(7473),
    [anon_sym_LT] = ACTIONS(7471),
    [anon_sym_GT] = ACTIONS(7471),
    [anon_sym_BANG] = ACTIONS(7471),
    [anon_sym_PIPE] = ACTIONS(7471),
    [anon_sym_COLON] = ACTIONS(7471),
    [anon_sym_SQUOTE] = ACTIONS(7471),
    [anon_sym__] = ACTIONS(7473),
    [anon_sym_CARET] = ACTIONS(7473),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7473),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7473),
    [anon_sym_DOLLAR] = ACTIONS(7471),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7473),
    [anon_sym_BSLASHleft] = ACTIONS(7471),
    [anon_sym_BSLASHbigl] = ACTIONS(7471),
    [anon_sym_BSLASHBigl] = ACTIONS(7471),
    [anon_sym_BSLASHbiggl] = ACTIONS(7471),
    [anon_sym_BSLASHBiggl] = ACTIONS(7471),
    [anon_sym_BSLASHtext] = ACTIONS(7471),
    [anon_sym_BSLASHintertext] = ACTIONS(7471),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7471),
    [anon_sym_BSLASHbegin] = ACTIONS(7471),
    [anon_sym_BSLASHtitle] = ACTIONS(7471),
    [anon_sym_BSLASHauthor] = ACTIONS(7471),
    [anon_sym_BSLASHusepackage] = ACTIONS(7471),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7471),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7471),
    [anon_sym_BSLASHinclude] = ACTIONS(7471),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7471),
    [anon_sym_BSLASHinput] = ACTIONS(7471),
    [anon_sym_BSLASHsubfile] = ACTIONS(7471),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7471),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7471),
    [anon_sym_BSLASHbibliography] = ACTIONS(7471),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7471),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7471),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7471),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7471),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7471),
    [anon_sym_BSLASHimport] = ACTIONS(7471),
    [anon_sym_BSLASHsubimport] = ACTIONS(7471),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7471),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7471),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7471),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7471),
    [anon_sym_BSLASHcaption] = ACTIONS(7471),
    [anon_sym_BSLASHcite] = ACTIONS(7471),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCite] = ACTIONS(7471),
    [anon_sym_BSLASHnocite] = ACTIONS(7471),
    [anon_sym_BSLASHcitet] = ACTIONS(7471),
    [anon_sym_BSLASHcitep] = ACTIONS(7471),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteA] = ACTIONS(7471),
    [anon_sym_BSLASHciteR] = ACTIONS(7471),
    [anon_sym_BSLASHciteS] = ACTIONS(7471),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7471),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7471),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7471),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7471),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteyear] = ACTIONS(7471),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitedate] = ACTIONS(7471),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteurl] = ACTIONS(7471),
    [anon_sym_BSLASHfullcite] = ACTIONS(7471),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7471),
    [anon_sym_BSLASHcitealt] = ACTIONS(7471),
    [anon_sym_BSLASHcitealp] = ACTIONS(7471),
    [anon_sym_BSLASHcitetext] = ACTIONS(7471),
    [anon_sym_BSLASHparencite] = ACTIONS(7471),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHParencite] = ACTIONS(7471),
    [anon_sym_BSLASHfootcite] = ACTIONS(7471),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7471),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7471),
    [anon_sym_BSLASHtextcite] = ACTIONS(7471),
    [anon_sym_BSLASHTextcite] = ACTIONS(7471),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7471),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7471),
    [anon_sym_BSLASHsupercite] = ACTIONS(7471),
    [anon_sym_BSLASHautocite] = ACTIONS(7471),
    [anon_sym_BSLASHAutocite] = ACTIONS(7471),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHVolcite] = ACTIONS(7471),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHavolcite] = ACTIONS(7471),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHNotecite] = ACTIONS(7471),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHlabel] = ACTIONS(7471),
    [anon_sym_BSLASHref] = ACTIONS(7471),
    [anon_sym_BSLASHeqref] = ACTIONS(7471),
    [anon_sym_BSLASHvref] = ACTIONS(7471),
    [anon_sym_BSLASHVref] = ACTIONS(7471),
    [anon_sym_BSLASHautoref] = ACTIONS(7471),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHpageref] = ACTIONS(7471),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHautopageref] = ACTIONS(7471),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcref] = ACTIONS(7471),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCref] = ACTIONS(7471),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcpageref] = ACTIONS(7471),
    [anon_sym_BSLASHCpageref] = ACTIONS(7471),
    [anon_sym_BSLASHnamecref] = ACTIONS(7471),
    [anon_sym_BSLASHnameCref] = ACTIONS(7471),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7471),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7471),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7471),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7471),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7471),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7471),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7471),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7471),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7471),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7471),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7471),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHdef] = ACTIONS(7471),
    [anon_sym_BSLASHgdef] = ACTIONS(7471),
    [anon_sym_BSLASHedef] = ACTIONS(7471),
    [anon_sym_BSLASHxdef] = ACTIONS(7471),
    [anon_sym_BSLASHlet] = ACTIONS(7471),
    [anon_sym_BSLASHglet] = ACTIONS(7471),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7471),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7471),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7471),
    [anon_sym_BSLASHgls] = ACTIONS(7471),
    [anon_sym_BSLASHGls] = ACTIONS(7471),
    [anon_sym_BSLASHGLS] = ACTIONS(7471),
    [anon_sym_BSLASHglspl] = ACTIONS(7471),
    [anon_sym_BSLASHGlspl] = ACTIONS(7471),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7471),
    [anon_sym_BSLASHglslink] = ACTIONS(7471),
    [anon_sym_BSLASHglstext] = ACTIONS(7471),
    [anon_sym_BSLASHGlstext] = ACTIONS(7471),
    [anon_sym_BSLASHGLStext] = ACTIONS(7471),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7471),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7471),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7471),
    [anon_sym_BSLASHglsplural] = ACTIONS(7471),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7471),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7471),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHglsname] = ACTIONS(7471),
    [anon_sym_BSLASHGlsname] = ACTIONS(7471),
    [anon_sym_BSLASHGLSname] = ACTIONS(7471),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7471),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7471),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7471),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7471),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7471),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7471),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7471),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7471),
    [anon_sym_BSLASHacrshort] = ACTIONS(7471),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7471),
    [anon_sym_BSLASHACRshort] = ACTIONS(7471),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHacrlong] = ACTIONS(7471),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7471),
    [anon_sym_BSLASHACRlong] = ACTIONS(7471),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHacrfull] = ACTIONS(7471),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7471),
    [anon_sym_BSLASHACRfull] = ACTIONS(7471),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHacs] = ACTIONS(7471),
    [anon_sym_BSLASHAcs] = ACTIONS(7471),
    [anon_sym_BSLASHacsp] = ACTIONS(7471),
    [anon_sym_BSLASHAcsp] = ACTIONS(7471),
    [anon_sym_BSLASHacl] = ACTIONS(7471),
    [anon_sym_BSLASHAcl] = ACTIONS(7471),
    [anon_sym_BSLASHaclp] = ACTIONS(7471),
    [anon_sym_BSLASHAclp] = ACTIONS(7471),
    [anon_sym_BSLASHacf] = ACTIONS(7471),
    [anon_sym_BSLASHAcf] = ACTIONS(7471),
    [anon_sym_BSLASHacfp] = ACTIONS(7471),
    [anon_sym_BSLASHAcfp] = ACTIONS(7471),
    [anon_sym_BSLASHac] = ACTIONS(7471),
    [anon_sym_BSLASHAc] = ACTIONS(7471),
    [anon_sym_BSLASHacp] = ACTIONS(7471),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7471),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7471),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7471),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7471),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7471),
    [anon_sym_BSLASHcolor] = ACTIONS(7471),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7471),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7471),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7471),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7471),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7471),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7471),
    [anon_sym_BSLASHurl] = ACTIONS(7471),
    [anon_sym_BSLASHhref] = ACTIONS(7471),
  },
  [1050] = {
    [ts_builtin_sym_end] = ACTIONS(7477),
    [sym_command_name] = ACTIONS(7475),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7475),
    [anon_sym_LBRACK] = ACTIONS(7477),
    [anon_sym_RBRACK] = ACTIONS(7477),
    [anon_sym_COMMA] = ACTIONS(7477),
    [anon_sym_EQ] = ACTIONS(7477),
    [anon_sym_LPAREN] = ACTIONS(7477),
    [anon_sym_RPAREN] = ACTIONS(7477),
    [anon_sym_BSLASHpart] = ACTIONS(7475),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHaddpart] = ACTIONS(7475),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHchapter] = ACTIONS(7475),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHaddchap] = ACTIONS(7475),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHsection] = ACTIONS(7475),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHaddsec] = ACTIONS(7475),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHsubsection] = ACTIONS(7475),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7475),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHparagraph] = ACTIONS(7475),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7475),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHitem] = ACTIONS(7475),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7477),
    [anon_sym_LBRACE] = ACTIONS(7477),
    [anon_sym_RBRACE] = ACTIONS(7477),
    [sym_word] = ACTIONS(7475),
    [sym_placeholder] = ACTIONS(7477),
    [sym_delimiter] = ACTIONS(7477),
    [anon_sym_PLUS] = ACTIONS(7477),
    [anon_sym_DASH] = ACTIONS(7477),
    [anon_sym_STAR] = ACTIONS(7477),
    [anon_sym_SLASH] = ACTIONS(7477),
    [anon_sym_LT] = ACTIONS(7475),
    [anon_sym_GT] = ACTIONS(7475),
    [anon_sym_BANG] = ACTIONS(7475),
    [anon_sym_PIPE] = ACTIONS(7475),
    [anon_sym_COLON] = ACTIONS(7475),
    [anon_sym_SQUOTE] = ACTIONS(7475),
    [anon_sym__] = ACTIONS(7477),
    [anon_sym_CARET] = ACTIONS(7477),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7477),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7477),
    [anon_sym_DOLLAR] = ACTIONS(7475),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7477),
    [anon_sym_BSLASHleft] = ACTIONS(7475),
    [anon_sym_BSLASHbigl] = ACTIONS(7475),
    [anon_sym_BSLASHBigl] = ACTIONS(7475),
    [anon_sym_BSLASHbiggl] = ACTIONS(7475),
    [anon_sym_BSLASHBiggl] = ACTIONS(7475),
    [anon_sym_BSLASHtext] = ACTIONS(7475),
    [anon_sym_BSLASHintertext] = ACTIONS(7475),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7475),
    [anon_sym_BSLASHbegin] = ACTIONS(7475),
    [anon_sym_BSLASHtitle] = ACTIONS(7475),
    [anon_sym_BSLASHauthor] = ACTIONS(7475),
    [anon_sym_BSLASHusepackage] = ACTIONS(7475),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7475),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7475),
    [anon_sym_BSLASHinclude] = ACTIONS(7475),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7475),
    [anon_sym_BSLASHinput] = ACTIONS(7475),
    [anon_sym_BSLASHsubfile] = ACTIONS(7475),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7475),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7475),
    [anon_sym_BSLASHbibliography] = ACTIONS(7475),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7475),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7475),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7475),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7475),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7475),
    [anon_sym_BSLASHimport] = ACTIONS(7475),
    [anon_sym_BSLASHsubimport] = ACTIONS(7475),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7475),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7475),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7475),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7475),
    [anon_sym_BSLASHcaption] = ACTIONS(7475),
    [anon_sym_BSLASHcite] = ACTIONS(7475),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCite] = ACTIONS(7475),
    [anon_sym_BSLASHnocite] = ACTIONS(7475),
    [anon_sym_BSLASHcitet] = ACTIONS(7475),
    [anon_sym_BSLASHcitep] = ACTIONS(7475),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteA] = ACTIONS(7475),
    [anon_sym_BSLASHciteR] = ACTIONS(7475),
    [anon_sym_BSLASHciteS] = ACTIONS(7475),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7475),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7475),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7475),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7475),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteyear] = ACTIONS(7475),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitedate] = ACTIONS(7475),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteurl] = ACTIONS(7475),
    [anon_sym_BSLASHfullcite] = ACTIONS(7475),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7475),
    [anon_sym_BSLASHcitealt] = ACTIONS(7475),
    [anon_sym_BSLASHcitealp] = ACTIONS(7475),
    [anon_sym_BSLASHcitetext] = ACTIONS(7475),
    [anon_sym_BSLASHparencite] = ACTIONS(7475),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHParencite] = ACTIONS(7475),
    [anon_sym_BSLASHfootcite] = ACTIONS(7475),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7475),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7475),
    [anon_sym_BSLASHtextcite] = ACTIONS(7475),
    [anon_sym_BSLASHTextcite] = ACTIONS(7475),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7475),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7475),
    [anon_sym_BSLASHsupercite] = ACTIONS(7475),
    [anon_sym_BSLASHautocite] = ACTIONS(7475),
    [anon_sym_BSLASHAutocite] = ACTIONS(7475),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHVolcite] = ACTIONS(7475),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHavolcite] = ACTIONS(7475),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHNotecite] = ACTIONS(7475),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHlabel] = ACTIONS(7475),
    [anon_sym_BSLASHref] = ACTIONS(7475),
    [anon_sym_BSLASHeqref] = ACTIONS(7475),
    [anon_sym_BSLASHvref] = ACTIONS(7475),
    [anon_sym_BSLASHVref] = ACTIONS(7475),
    [anon_sym_BSLASHautoref] = ACTIONS(7475),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHpageref] = ACTIONS(7475),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHautopageref] = ACTIONS(7475),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcref] = ACTIONS(7475),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCref] = ACTIONS(7475),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcpageref] = ACTIONS(7475),
    [anon_sym_BSLASHCpageref] = ACTIONS(7475),
    [anon_sym_BSLASHnamecref] = ACTIONS(7475),
    [anon_sym_BSLASHnameCref] = ACTIONS(7475),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7475),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7475),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7475),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7475),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7475),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7475),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7475),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7475),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7475),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7475),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7475),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHdef] = ACTIONS(7475),
    [anon_sym_BSLASHgdef] = ACTIONS(7475),
    [anon_sym_BSLASHedef] = ACTIONS(7475),
    [anon_sym_BSLASHxdef] = ACTIONS(7475),
    [anon_sym_BSLASHlet] = ACTIONS(7475),
    [anon_sym_BSLASHglet] = ACTIONS(7475),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7475),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7475),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7475),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7475),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7475),
    [anon_sym_BSLASHgls] = ACTIONS(7475),
    [anon_sym_BSLASHGls] = ACTIONS(7475),
    [anon_sym_BSLASHGLS] = ACTIONS(7475),
    [anon_sym_BSLASHglspl] = ACTIONS(7475),
    [anon_sym_BSLASHGlspl] = ACTIONS(7475),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7475),
    [anon_sym_BSLASHglslink] = ACTIONS(7475),
    [anon_sym_BSLASHglstext] = ACTIONS(7475),
    [anon_sym_BSLASHGlstext] = ACTIONS(7475),
    [anon_sym_BSLASHGLStext] = ACTIONS(7475),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7475),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7475),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7475),
    [anon_sym_BSLASHglsplural] = ACTIONS(7475),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7475),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7475),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHglsname] = ACTIONS(7475),
    [anon_sym_BSLASHGlsname] = ACTIONS(7475),
    [anon_sym_BSLASHGLSname] = ACTIONS(7475),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7475),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7475),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7475),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7475),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7475),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7475),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7475),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7475),
    [anon_sym_BSLASHacrshort] = ACTIONS(7475),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7475),
    [anon_sym_BSLASHACRshort] = ACTIONS(7475),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHacrlong] = ACTIONS(7475),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7475),
    [anon_sym_BSLASHACRlong] = ACTIONS(7475),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHacrfull] = ACTIONS(7475),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7475),
    [anon_sym_BSLASHACRfull] = ACTIONS(7475),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHacs] = ACTIONS(7475),
    [anon_sym_BSLASHAcs] = ACTIONS(7475),
    [anon_sym_BSLASHacsp] = ACTIONS(7475),
    [anon_sym_BSLASHAcsp] = ACTIONS(7475),
    [anon_sym_BSLASHacl] = ACTIONS(7475),
    [anon_sym_BSLASHAcl] = ACTIONS(7475),
    [anon_sym_BSLASHaclp] = ACTIONS(7475),
    [anon_sym_BSLASHAclp] = ACTIONS(7475),
    [anon_sym_BSLASHacf] = ACTIONS(7475),
    [anon_sym_BSLASHAcf] = ACTIONS(7475),
    [anon_sym_BSLASHacfp] = ACTIONS(7475),
    [anon_sym_BSLASHAcfp] = ACTIONS(7475),
    [anon_sym_BSLASHac] = ACTIONS(7475),
    [anon_sym_BSLASHAc] = ACTIONS(7475),
    [anon_sym_BSLASHacp] = ACTIONS(7475),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7475),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7475),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7475),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7475),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7475),
    [anon_sym_BSLASHcolor] = ACTIONS(7475),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7475),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7475),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7475),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7475),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7475),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7475),
    [anon_sym_BSLASHurl] = ACTIONS(7475),
    [anon_sym_BSLASHhref] = ACTIONS(7475),
  },
  [1051] = {
    [ts_builtin_sym_end] = ACTIONS(7457),
    [sym_command_name] = ACTIONS(7455),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7455),
    [anon_sym_LBRACK] = ACTIONS(7457),
    [anon_sym_RBRACK] = ACTIONS(7457),
    [anon_sym_COMMA] = ACTIONS(7457),
    [anon_sym_EQ] = ACTIONS(7457),
    [anon_sym_LPAREN] = ACTIONS(7457),
    [anon_sym_RPAREN] = ACTIONS(7457),
    [anon_sym_BSLASHpart] = ACTIONS(7455),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHaddpart] = ACTIONS(7455),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHchapter] = ACTIONS(7455),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHaddchap] = ACTIONS(7455),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHsection] = ACTIONS(7455),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHaddsec] = ACTIONS(7455),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHsubsection] = ACTIONS(7455),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7455),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHparagraph] = ACTIONS(7455),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7455),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHitem] = ACTIONS(7455),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7457),
    [anon_sym_LBRACE] = ACTIONS(7457),
    [anon_sym_RBRACE] = ACTIONS(7457),
    [sym_word] = ACTIONS(7455),
    [sym_placeholder] = ACTIONS(7457),
    [sym_delimiter] = ACTIONS(7457),
    [anon_sym_PLUS] = ACTIONS(7457),
    [anon_sym_DASH] = ACTIONS(7457),
    [anon_sym_STAR] = ACTIONS(7457),
    [anon_sym_SLASH] = ACTIONS(7457),
    [anon_sym_LT] = ACTIONS(7455),
    [anon_sym_GT] = ACTIONS(7455),
    [anon_sym_BANG] = ACTIONS(7455),
    [anon_sym_PIPE] = ACTIONS(7455),
    [anon_sym_COLON] = ACTIONS(7455),
    [anon_sym_SQUOTE] = ACTIONS(7455),
    [anon_sym__] = ACTIONS(7457),
    [anon_sym_CARET] = ACTIONS(7457),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7457),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7457),
    [anon_sym_DOLLAR] = ACTIONS(7455),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7457),
    [anon_sym_BSLASHleft] = ACTIONS(7455),
    [anon_sym_BSLASHbigl] = ACTIONS(7455),
    [anon_sym_BSLASHBigl] = ACTIONS(7455),
    [anon_sym_BSLASHbiggl] = ACTIONS(7455),
    [anon_sym_BSLASHBiggl] = ACTIONS(7455),
    [anon_sym_BSLASHtext] = ACTIONS(7455),
    [anon_sym_BSLASHintertext] = ACTIONS(7455),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7455),
    [anon_sym_BSLASHbegin] = ACTIONS(7455),
    [anon_sym_BSLASHtitle] = ACTIONS(7455),
    [anon_sym_BSLASHauthor] = ACTIONS(7455),
    [anon_sym_BSLASHusepackage] = ACTIONS(7455),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7455),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7455),
    [anon_sym_BSLASHinclude] = ACTIONS(7455),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7455),
    [anon_sym_BSLASHinput] = ACTIONS(7455),
    [anon_sym_BSLASHsubfile] = ACTIONS(7455),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7455),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7455),
    [anon_sym_BSLASHbibliography] = ACTIONS(7455),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7455),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7455),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7455),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7455),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7455),
    [anon_sym_BSLASHimport] = ACTIONS(7455),
    [anon_sym_BSLASHsubimport] = ACTIONS(7455),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7455),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7455),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7455),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7455),
    [anon_sym_BSLASHcaption] = ACTIONS(7455),
    [anon_sym_BSLASHcite] = ACTIONS(7455),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHCite] = ACTIONS(7455),
    [anon_sym_BSLASHnocite] = ACTIONS(7455),
    [anon_sym_BSLASHcitet] = ACTIONS(7455),
    [anon_sym_BSLASHcitep] = ACTIONS(7455),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHciteA] = ACTIONS(7455),
    [anon_sym_BSLASHciteR] = ACTIONS(7455),
    [anon_sym_BSLASHciteS] = ACTIONS(7455),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7455),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7455),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7455),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7455),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHciteyear] = ACTIONS(7455),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcitedate] = ACTIONS(7455),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHciteurl] = ACTIONS(7455),
    [anon_sym_BSLASHfullcite] = ACTIONS(7455),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7455),
    [anon_sym_BSLASHcitealt] = ACTIONS(7455),
    [anon_sym_BSLASHcitealp] = ACTIONS(7455),
    [anon_sym_BSLASHcitetext] = ACTIONS(7455),
    [anon_sym_BSLASHparencite] = ACTIONS(7455),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHParencite] = ACTIONS(7455),
    [anon_sym_BSLASHfootcite] = ACTIONS(7455),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7455),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7455),
    [anon_sym_BSLASHtextcite] = ACTIONS(7455),
    [anon_sym_BSLASHTextcite] = ACTIONS(7455),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7455),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7455),
    [anon_sym_BSLASHsupercite] = ACTIONS(7455),
    [anon_sym_BSLASHautocite] = ACTIONS(7455),
    [anon_sym_BSLASHAutocite] = ACTIONS(7455),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHVolcite] = ACTIONS(7455),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHavolcite] = ACTIONS(7455),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHnotecite] = ACTIONS(7455),
    [anon_sym_BSLASHNotecite] = ACTIONS(7455),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7455),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7455),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7455),
    [anon_sym_BSLASHlabel] = ACTIONS(7455),
    [anon_sym_BSLASHref] = ACTIONS(7455),
    [anon_sym_BSLASHeqref] = ACTIONS(7455),
    [anon_sym_BSLASHvref] = ACTIONS(7455),
    [anon_sym_BSLASHVref] = ACTIONS(7455),
    [anon_sym_BSLASHautoref] = ACTIONS(7455),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHpageref] = ACTIONS(7455),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHautopageref] = ACTIONS(7455),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcref] = ACTIONS(7455),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHCref] = ACTIONS(7455),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcpageref] = ACTIONS(7455),
    [anon_sym_BSLASHCpageref] = ACTIONS(7455),
    [anon_sym_BSLASHnamecref] = ACTIONS(7455),
    [anon_sym_BSLASHnameCref] = ACTIONS(7455),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7455),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7455),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7455),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7455),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7455),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7455),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7455),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7455),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7455),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7455),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7455),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7455),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7455),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7455),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7455),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7455),
    [anon_sym_BSLASHdef] = ACTIONS(7455),
    [anon_sym_BSLASHgdef] = ACTIONS(7455),
    [anon_sym_BSLASHedef] = ACTIONS(7455),
    [anon_sym_BSLASHxdef] = ACTIONS(7455),
    [anon_sym_BSLASHlet] = ACTIONS(7455),
    [anon_sym_BSLASHglet] = ACTIONS(7455),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7455),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7455),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7455),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7455),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7455),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7455),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7455),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7455),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7455),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7455),
    [anon_sym_BSLASHgls] = ACTIONS(7455),
    [anon_sym_BSLASHGls] = ACTIONS(7455),
    [anon_sym_BSLASHGLS] = ACTIONS(7455),
    [anon_sym_BSLASHglspl] = ACTIONS(7455),
    [anon_sym_BSLASHGlspl] = ACTIONS(7455),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7455),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7455),
    [anon_sym_BSLASHglslink] = ACTIONS(7455),
    [anon_sym_BSLASHglstext] = ACTIONS(7455),
    [anon_sym_BSLASHGlstext] = ACTIONS(7455),
    [anon_sym_BSLASHGLStext] = ACTIONS(7455),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7455),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7455),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7455),
    [anon_sym_BSLASHglsplural] = ACTIONS(7455),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7455),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7455),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7455),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7455),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7455),
    [anon_sym_BSLASHglsname] = ACTIONS(7455),
    [anon_sym_BSLASHGlsname] = ACTIONS(7455),
    [anon_sym_BSLASHGLSname] = ACTIONS(7455),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7455),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7455),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7455),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7455),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7455),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7455),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7455),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7455),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7455),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7455),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7455),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7455),
    [anon_sym_BSLASHacrshort] = ACTIONS(7455),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7455),
    [anon_sym_BSLASHACRshort] = ACTIONS(7455),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHacrlong] = ACTIONS(7455),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7455),
    [anon_sym_BSLASHACRlong] = ACTIONS(7455),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7455),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7455),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7455),
    [anon_sym_BSLASHacrfull] = ACTIONS(7455),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7455),
    [anon_sym_BSLASHACRfull] = ACTIONS(7455),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHacs] = ACTIONS(7455),
    [anon_sym_BSLASHAcs] = ACTIONS(7455),
    [anon_sym_BSLASHacsp] = ACTIONS(7455),
    [anon_sym_BSLASHAcsp] = ACTIONS(7455),
    [anon_sym_BSLASHacl] = ACTIONS(7455),
    [anon_sym_BSLASHAcl] = ACTIONS(7455),
    [anon_sym_BSLASHaclp] = ACTIONS(7455),
    [anon_sym_BSLASHAclp] = ACTIONS(7455),
    [anon_sym_BSLASHacf] = ACTIONS(7455),
    [anon_sym_BSLASHAcf] = ACTIONS(7455),
    [anon_sym_BSLASHacfp] = ACTIONS(7455),
    [anon_sym_BSLASHAcfp] = ACTIONS(7455),
    [anon_sym_BSLASHac] = ACTIONS(7455),
    [anon_sym_BSLASHAc] = ACTIONS(7455),
    [anon_sym_BSLASHacp] = ACTIONS(7455),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7455),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7455),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7455),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7455),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7455),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7455),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7455),
    [anon_sym_BSLASHcolor] = ACTIONS(7455),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7455),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7455),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7455),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7455),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7455),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7455),
    [anon_sym_BSLASHurl] = ACTIONS(7455),
    [anon_sym_BSLASHhref] = ACTIONS(7455),
  },
  [1052] = {
    [ts_builtin_sym_end] = ACTIONS(7481),
    [sym_command_name] = ACTIONS(7479),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(7481),
    [anon_sym_RBRACK] = ACTIONS(7481),
    [anon_sym_COMMA] = ACTIONS(7481),
    [anon_sym_EQ] = ACTIONS(7481),
    [anon_sym_LPAREN] = ACTIONS(7481),
    [anon_sym_RPAREN] = ACTIONS(7481),
    [anon_sym_BSLASHpart] = ACTIONS(7479),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHaddpart] = ACTIONS(7479),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHchapter] = ACTIONS(7479),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHaddchap] = ACTIONS(7479),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHsection] = ACTIONS(7479),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHaddsec] = ACTIONS(7479),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHsubsection] = ACTIONS(7479),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7479),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHparagraph] = ACTIONS(7479),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7479),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHitem] = ACTIONS(7479),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7481),
    [anon_sym_LBRACE] = ACTIONS(7481),
    [anon_sym_RBRACE] = ACTIONS(7481),
    [sym_word] = ACTIONS(7479),
    [sym_placeholder] = ACTIONS(7481),
    [sym_delimiter] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7481),
    [anon_sym_DASH] = ACTIONS(7481),
    [anon_sym_STAR] = ACTIONS(7481),
    [anon_sym_SLASH] = ACTIONS(7481),
    [anon_sym_LT] = ACTIONS(7479),
    [anon_sym_GT] = ACTIONS(7479),
    [anon_sym_BANG] = ACTIONS(7479),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_COLON] = ACTIONS(7479),
    [anon_sym_SQUOTE] = ACTIONS(7479),
    [anon_sym__] = ACTIONS(7481),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7481),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7481),
    [anon_sym_DOLLAR] = ACTIONS(7479),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7481),
    [anon_sym_BSLASHleft] = ACTIONS(7479),
    [anon_sym_BSLASHbigl] = ACTIONS(7479),
    [anon_sym_BSLASHBigl] = ACTIONS(7479),
    [anon_sym_BSLASHbiggl] = ACTIONS(7479),
    [anon_sym_BSLASHBiggl] = ACTIONS(7479),
    [anon_sym_BSLASHtext] = ACTIONS(7479),
    [anon_sym_BSLASHintertext] = ACTIONS(7479),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7479),
    [anon_sym_BSLASHbegin] = ACTIONS(7479),
    [anon_sym_BSLASHtitle] = ACTIONS(7479),
    [anon_sym_BSLASHauthor] = ACTIONS(7479),
    [anon_sym_BSLASHusepackage] = ACTIONS(7479),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7479),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7479),
    [anon_sym_BSLASHinclude] = ACTIONS(7479),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7479),
    [anon_sym_BSLASHinput] = ACTIONS(7479),
    [anon_sym_BSLASHsubfile] = ACTIONS(7479),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7479),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7479),
    [anon_sym_BSLASHbibliography] = ACTIONS(7479),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7479),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7479),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7479),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7479),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7479),
    [anon_sym_BSLASHimport] = ACTIONS(7479),
    [anon_sym_BSLASHsubimport] = ACTIONS(7479),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7479),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7479),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7479),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7479),
    [anon_sym_BSLASHcaption] = ACTIONS(7479),
    [anon_sym_BSLASHcite] = ACTIONS(7479),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCite] = ACTIONS(7479),
    [anon_sym_BSLASHnocite] = ACTIONS(7479),
    [anon_sym_BSLASHcitet] = ACTIONS(7479),
    [anon_sym_BSLASHcitep] = ACTIONS(7479),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteA] = ACTIONS(7479),
    [anon_sym_BSLASHciteR] = ACTIONS(7479),
    [anon_sym_BSLASHciteS] = ACTIONS(7479),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7479),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7479),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7479),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7479),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteyear] = ACTIONS(7479),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitedate] = ACTIONS(7479),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteurl] = ACTIONS(7479),
    [anon_sym_BSLASHfullcite] = ACTIONS(7479),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7479),
    [anon_sym_BSLASHcitealt] = ACTIONS(7479),
    [anon_sym_BSLASHcitealp] = ACTIONS(7479),
    [anon_sym_BSLASHcitetext] = ACTIONS(7479),
    [anon_sym_BSLASHparencite] = ACTIONS(7479),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHParencite] = ACTIONS(7479),
    [anon_sym_BSLASHfootcite] = ACTIONS(7479),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7479),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7479),
    [anon_sym_BSLASHtextcite] = ACTIONS(7479),
    [anon_sym_BSLASHTextcite] = ACTIONS(7479),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7479),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7479),
    [anon_sym_BSLASHsupercite] = ACTIONS(7479),
    [anon_sym_BSLASHautocite] = ACTIONS(7479),
    [anon_sym_BSLASHAutocite] = ACTIONS(7479),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHVolcite] = ACTIONS(7479),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHavolcite] = ACTIONS(7479),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHNotecite] = ACTIONS(7479),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHlabel] = ACTIONS(7479),
    [anon_sym_BSLASHref] = ACTIONS(7479),
    [anon_sym_BSLASHeqref] = ACTIONS(7479),
    [anon_sym_BSLASHvref] = ACTIONS(7479),
    [anon_sym_BSLASHVref] = ACTIONS(7479),
    [anon_sym_BSLASHautoref] = ACTIONS(7479),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHpageref] = ACTIONS(7479),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHautopageref] = ACTIONS(7479),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcref] = ACTIONS(7479),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCref] = ACTIONS(7479),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcpageref] = ACTIONS(7479),
    [anon_sym_BSLASHCpageref] = ACTIONS(7479),
    [anon_sym_BSLASHnamecref] = ACTIONS(7479),
    [anon_sym_BSLASHnameCref] = ACTIONS(7479),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7479),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7479),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7479),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7479),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7479),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7479),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7479),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7479),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7479),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7479),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7479),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHdef] = ACTIONS(7479),
    [anon_sym_BSLASHgdef] = ACTIONS(7479),
    [anon_sym_BSLASHedef] = ACTIONS(7479),
    [anon_sym_BSLASHxdef] = ACTIONS(7479),
    [anon_sym_BSLASHlet] = ACTIONS(7479),
    [anon_sym_BSLASHglet] = ACTIONS(7479),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7479),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7479),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7479),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7479),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7479),
    [anon_sym_BSLASHgls] = ACTIONS(7479),
    [anon_sym_BSLASHGls] = ACTIONS(7479),
    [anon_sym_BSLASHGLS] = ACTIONS(7479),
    [anon_sym_BSLASHglspl] = ACTIONS(7479),
    [anon_sym_BSLASHGlspl] = ACTIONS(7479),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7479),
    [anon_sym_BSLASHglslink] = ACTIONS(7479),
    [anon_sym_BSLASHglstext] = ACTIONS(7479),
    [anon_sym_BSLASHGlstext] = ACTIONS(7479),
    [anon_sym_BSLASHGLStext] = ACTIONS(7479),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7479),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7479),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7479),
    [anon_sym_BSLASHglsplural] = ACTIONS(7479),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7479),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7479),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHglsname] = ACTIONS(7479),
    [anon_sym_BSLASHGlsname] = ACTIONS(7479),
    [anon_sym_BSLASHGLSname] = ACTIONS(7479),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7479),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7479),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7479),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7479),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7479),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7479),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7479),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7479),
    [anon_sym_BSLASHacrshort] = ACTIONS(7479),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7479),
    [anon_sym_BSLASHACRshort] = ACTIONS(7479),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHacrlong] = ACTIONS(7479),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7479),
    [anon_sym_BSLASHACRlong] = ACTIONS(7479),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHacrfull] = ACTIONS(7479),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7479),
    [anon_sym_BSLASHACRfull] = ACTIONS(7479),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHacs] = ACTIONS(7479),
    [anon_sym_BSLASHAcs] = ACTIONS(7479),
    [anon_sym_BSLASHacsp] = ACTIONS(7479),
    [anon_sym_BSLASHAcsp] = ACTIONS(7479),
    [anon_sym_BSLASHacl] = ACTIONS(7479),
    [anon_sym_BSLASHAcl] = ACTIONS(7479),
    [anon_sym_BSLASHaclp] = ACTIONS(7479),
    [anon_sym_BSLASHAclp] = ACTIONS(7479),
    [anon_sym_BSLASHacf] = ACTIONS(7479),
    [anon_sym_BSLASHAcf] = ACTIONS(7479),
    [anon_sym_BSLASHacfp] = ACTIONS(7479),
    [anon_sym_BSLASHAcfp] = ACTIONS(7479),
    [anon_sym_BSLASHac] = ACTIONS(7479),
    [anon_sym_BSLASHAc] = ACTIONS(7479),
    [anon_sym_BSLASHacp] = ACTIONS(7479),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7479),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7479),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7479),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7479),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7479),
    [anon_sym_BSLASHcolor] = ACTIONS(7479),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7479),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7479),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7479),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7479),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7479),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7479),
    [anon_sym_BSLASHurl] = ACTIONS(7479),
    [anon_sym_BSLASHhref] = ACTIONS(7479),
  },
  [1053] = {
    [ts_builtin_sym_end] = ACTIONS(7485),
    [sym_command_name] = ACTIONS(7483),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(7485),
    [anon_sym_RBRACK] = ACTIONS(7485),
    [anon_sym_COMMA] = ACTIONS(7485),
    [anon_sym_EQ] = ACTIONS(7485),
    [anon_sym_LPAREN] = ACTIONS(7485),
    [anon_sym_RPAREN] = ACTIONS(7485),
    [anon_sym_BSLASHpart] = ACTIONS(7483),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHaddpart] = ACTIONS(7483),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHchapter] = ACTIONS(7483),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHaddchap] = ACTIONS(7483),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHsection] = ACTIONS(7483),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHaddsec] = ACTIONS(7483),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHsubsection] = ACTIONS(7483),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7483),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHparagraph] = ACTIONS(7483),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7483),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHitem] = ACTIONS(7483),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7485),
    [anon_sym_LBRACE] = ACTIONS(7485),
    [anon_sym_RBRACE] = ACTIONS(7485),
    [sym_word] = ACTIONS(7483),
    [sym_placeholder] = ACTIONS(7485),
    [sym_delimiter] = ACTIONS(7485),
    [anon_sym_PLUS] = ACTIONS(7485),
    [anon_sym_DASH] = ACTIONS(7485),
    [anon_sym_STAR] = ACTIONS(7485),
    [anon_sym_SLASH] = ACTIONS(7485),
    [anon_sym_LT] = ACTIONS(7483),
    [anon_sym_GT] = ACTIONS(7483),
    [anon_sym_BANG] = ACTIONS(7483),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_COLON] = ACTIONS(7483),
    [anon_sym_SQUOTE] = ACTIONS(7483),
    [anon_sym__] = ACTIONS(7485),
    [anon_sym_CARET] = ACTIONS(7485),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7485),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7485),
    [anon_sym_DOLLAR] = ACTIONS(7483),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7485),
    [anon_sym_BSLASHleft] = ACTIONS(7483),
    [anon_sym_BSLASHbigl] = ACTIONS(7483),
    [anon_sym_BSLASHBigl] = ACTIONS(7483),
    [anon_sym_BSLASHbiggl] = ACTIONS(7483),
    [anon_sym_BSLASHBiggl] = ACTIONS(7483),
    [anon_sym_BSLASHtext] = ACTIONS(7483),
    [anon_sym_BSLASHintertext] = ACTIONS(7483),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7483),
    [anon_sym_BSLASHbegin] = ACTIONS(7483),
    [anon_sym_BSLASHtitle] = ACTIONS(7483),
    [anon_sym_BSLASHauthor] = ACTIONS(7483),
    [anon_sym_BSLASHusepackage] = ACTIONS(7483),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7483),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7483),
    [anon_sym_BSLASHinclude] = ACTIONS(7483),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7483),
    [anon_sym_BSLASHinput] = ACTIONS(7483),
    [anon_sym_BSLASHsubfile] = ACTIONS(7483),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7483),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7483),
    [anon_sym_BSLASHbibliography] = ACTIONS(7483),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7483),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7483),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7483),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7483),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7483),
    [anon_sym_BSLASHimport] = ACTIONS(7483),
    [anon_sym_BSLASHsubimport] = ACTIONS(7483),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7483),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7483),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7483),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7483),
    [anon_sym_BSLASHcaption] = ACTIONS(7483),
    [anon_sym_BSLASHcite] = ACTIONS(7483),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCite] = ACTIONS(7483),
    [anon_sym_BSLASHnocite] = ACTIONS(7483),
    [anon_sym_BSLASHcitet] = ACTIONS(7483),
    [anon_sym_BSLASHcitep] = ACTIONS(7483),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteA] = ACTIONS(7483),
    [anon_sym_BSLASHciteR] = ACTIONS(7483),
    [anon_sym_BSLASHciteS] = ACTIONS(7483),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7483),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7483),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7483),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7483),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteyear] = ACTIONS(7483),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitedate] = ACTIONS(7483),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteurl] = ACTIONS(7483),
    [anon_sym_BSLASHfullcite] = ACTIONS(7483),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7483),
    [anon_sym_BSLASHcitealt] = ACTIONS(7483),
    [anon_sym_BSLASHcitealp] = ACTIONS(7483),
    [anon_sym_BSLASHcitetext] = ACTIONS(7483),
    [anon_sym_BSLASHparencite] = ACTIONS(7483),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHParencite] = ACTIONS(7483),
    [anon_sym_BSLASHfootcite] = ACTIONS(7483),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7483),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7483),
    [anon_sym_BSLASHtextcite] = ACTIONS(7483),
    [anon_sym_BSLASHTextcite] = ACTIONS(7483),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7483),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7483),
    [anon_sym_BSLASHsupercite] = ACTIONS(7483),
    [anon_sym_BSLASHautocite] = ACTIONS(7483),
    [anon_sym_BSLASHAutocite] = ACTIONS(7483),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHVolcite] = ACTIONS(7483),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHavolcite] = ACTIONS(7483),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHNotecite] = ACTIONS(7483),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHlabel] = ACTIONS(7483),
    [anon_sym_BSLASHref] = ACTIONS(7483),
    [anon_sym_BSLASHeqref] = ACTIONS(7483),
    [anon_sym_BSLASHvref] = ACTIONS(7483),
    [anon_sym_BSLASHVref] = ACTIONS(7483),
    [anon_sym_BSLASHautoref] = ACTIONS(7483),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHpageref] = ACTIONS(7483),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHautopageref] = ACTIONS(7483),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcref] = ACTIONS(7483),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCref] = ACTIONS(7483),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcpageref] = ACTIONS(7483),
    [anon_sym_BSLASHCpageref] = ACTIONS(7483),
    [anon_sym_BSLASHnamecref] = ACTIONS(7483),
    [anon_sym_BSLASHnameCref] = ACTIONS(7483),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7483),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7483),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7483),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7483),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7483),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7483),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7483),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7483),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7483),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7483),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7483),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHdef] = ACTIONS(7483),
    [anon_sym_BSLASHgdef] = ACTIONS(7483),
    [anon_sym_BSLASHedef] = ACTIONS(7483),
    [anon_sym_BSLASHxdef] = ACTIONS(7483),
    [anon_sym_BSLASHlet] = ACTIONS(7483),
    [anon_sym_BSLASHglet] = ACTIONS(7483),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7483),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7483),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7483),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7483),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7483),
    [anon_sym_BSLASHgls] = ACTIONS(7483),
    [anon_sym_BSLASHGls] = ACTIONS(7483),
    [anon_sym_BSLASHGLS] = ACTIONS(7483),
    [anon_sym_BSLASHglspl] = ACTIONS(7483),
    [anon_sym_BSLASHGlspl] = ACTIONS(7483),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7483),
    [anon_sym_BSLASHglslink] = ACTIONS(7483),
    [anon_sym_BSLASHglstext] = ACTIONS(7483),
    [anon_sym_BSLASHGlstext] = ACTIONS(7483),
    [anon_sym_BSLASHGLStext] = ACTIONS(7483),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7483),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7483),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7483),
    [anon_sym_BSLASHglsplural] = ACTIONS(7483),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7483),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7483),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHglsname] = ACTIONS(7483),
    [anon_sym_BSLASHGlsname] = ACTIONS(7483),
    [anon_sym_BSLASHGLSname] = ACTIONS(7483),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7483),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7483),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7483),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7483),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7483),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7483),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7483),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7483),
    [anon_sym_BSLASHacrshort] = ACTIONS(7483),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7483),
    [anon_sym_BSLASHACRshort] = ACTIONS(7483),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHacrlong] = ACTIONS(7483),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7483),
    [anon_sym_BSLASHACRlong] = ACTIONS(7483),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHacrfull] = ACTIONS(7483),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7483),
    [anon_sym_BSLASHACRfull] = ACTIONS(7483),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHacs] = ACTIONS(7483),
    [anon_sym_BSLASHAcs] = ACTIONS(7483),
    [anon_sym_BSLASHacsp] = ACTIONS(7483),
    [anon_sym_BSLASHAcsp] = ACTIONS(7483),
    [anon_sym_BSLASHacl] = ACTIONS(7483),
    [anon_sym_BSLASHAcl] = ACTIONS(7483),
    [anon_sym_BSLASHaclp] = ACTIONS(7483),
    [anon_sym_BSLASHAclp] = ACTIONS(7483),
    [anon_sym_BSLASHacf] = ACTIONS(7483),
    [anon_sym_BSLASHAcf] = ACTIONS(7483),
    [anon_sym_BSLASHacfp] = ACTIONS(7483),
    [anon_sym_BSLASHAcfp] = ACTIONS(7483),
    [anon_sym_BSLASHac] = ACTIONS(7483),
    [anon_sym_BSLASHAc] = ACTIONS(7483),
    [anon_sym_BSLASHacp] = ACTIONS(7483),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7483),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7483),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7483),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7483),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7483),
    [anon_sym_BSLASHcolor] = ACTIONS(7483),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7483),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7483),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7483),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7483),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7483),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7483),
    [anon_sym_BSLASHurl] = ACTIONS(7483),
    [anon_sym_BSLASHhref] = ACTIONS(7483),
  },
  [1054] = {
    [ts_builtin_sym_end] = ACTIONS(7489),
    [sym_command_name] = ACTIONS(7487),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7487),
    [anon_sym_LBRACK] = ACTIONS(7489),
    [anon_sym_RBRACK] = ACTIONS(7489),
    [anon_sym_COMMA] = ACTIONS(7489),
    [anon_sym_EQ] = ACTIONS(7489),
    [anon_sym_LPAREN] = ACTIONS(7489),
    [anon_sym_RPAREN] = ACTIONS(7489),
    [anon_sym_BSLASHpart] = ACTIONS(7487),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHaddpart] = ACTIONS(7487),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHchapter] = ACTIONS(7487),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHaddchap] = ACTIONS(7487),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHsection] = ACTIONS(7487),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHaddsec] = ACTIONS(7487),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHsubsection] = ACTIONS(7487),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7487),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHparagraph] = ACTIONS(7487),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7487),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHitem] = ACTIONS(7487),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7489),
    [anon_sym_LBRACE] = ACTIONS(7489),
    [anon_sym_RBRACE] = ACTIONS(7489),
    [sym_word] = ACTIONS(7487),
    [sym_placeholder] = ACTIONS(7489),
    [sym_delimiter] = ACTIONS(7489),
    [anon_sym_PLUS] = ACTIONS(7489),
    [anon_sym_DASH] = ACTIONS(7489),
    [anon_sym_STAR] = ACTIONS(7489),
    [anon_sym_SLASH] = ACTIONS(7489),
    [anon_sym_LT] = ACTIONS(7487),
    [anon_sym_GT] = ACTIONS(7487),
    [anon_sym_BANG] = ACTIONS(7487),
    [anon_sym_PIPE] = ACTIONS(7487),
    [anon_sym_COLON] = ACTIONS(7487),
    [anon_sym_SQUOTE] = ACTIONS(7487),
    [anon_sym__] = ACTIONS(7489),
    [anon_sym_CARET] = ACTIONS(7489),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7489),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7489),
    [anon_sym_DOLLAR] = ACTIONS(7487),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7489),
    [anon_sym_BSLASHleft] = ACTIONS(7487),
    [anon_sym_BSLASHbigl] = ACTIONS(7487),
    [anon_sym_BSLASHBigl] = ACTIONS(7487),
    [anon_sym_BSLASHbiggl] = ACTIONS(7487),
    [anon_sym_BSLASHBiggl] = ACTIONS(7487),
    [anon_sym_BSLASHtext] = ACTIONS(7487),
    [anon_sym_BSLASHintertext] = ACTIONS(7487),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7487),
    [anon_sym_BSLASHbegin] = ACTIONS(7487),
    [anon_sym_BSLASHtitle] = ACTIONS(7487),
    [anon_sym_BSLASHauthor] = ACTIONS(7487),
    [anon_sym_BSLASHusepackage] = ACTIONS(7487),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7487),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7487),
    [anon_sym_BSLASHinclude] = ACTIONS(7487),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7487),
    [anon_sym_BSLASHinput] = ACTIONS(7487),
    [anon_sym_BSLASHsubfile] = ACTIONS(7487),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7487),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7487),
    [anon_sym_BSLASHbibliography] = ACTIONS(7487),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7487),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7487),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7487),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7487),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7487),
    [anon_sym_BSLASHimport] = ACTIONS(7487),
    [anon_sym_BSLASHsubimport] = ACTIONS(7487),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7487),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7487),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7487),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7487),
    [anon_sym_BSLASHcaption] = ACTIONS(7487),
    [anon_sym_BSLASHcite] = ACTIONS(7487),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCite] = ACTIONS(7487),
    [anon_sym_BSLASHnocite] = ACTIONS(7487),
    [anon_sym_BSLASHcitet] = ACTIONS(7487),
    [anon_sym_BSLASHcitep] = ACTIONS(7487),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteA] = ACTIONS(7487),
    [anon_sym_BSLASHciteR] = ACTIONS(7487),
    [anon_sym_BSLASHciteS] = ACTIONS(7487),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7487),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7487),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7487),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7487),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteyear] = ACTIONS(7487),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitedate] = ACTIONS(7487),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteurl] = ACTIONS(7487),
    [anon_sym_BSLASHfullcite] = ACTIONS(7487),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7487),
    [anon_sym_BSLASHcitealt] = ACTIONS(7487),
    [anon_sym_BSLASHcitealp] = ACTIONS(7487),
    [anon_sym_BSLASHcitetext] = ACTIONS(7487),
    [anon_sym_BSLASHparencite] = ACTIONS(7487),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHParencite] = ACTIONS(7487),
    [anon_sym_BSLASHfootcite] = ACTIONS(7487),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7487),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7487),
    [anon_sym_BSLASHtextcite] = ACTIONS(7487),
    [anon_sym_BSLASHTextcite] = ACTIONS(7487),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7487),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7487),
    [anon_sym_BSLASHsupercite] = ACTIONS(7487),
    [anon_sym_BSLASHautocite] = ACTIONS(7487),
    [anon_sym_BSLASHAutocite] = ACTIONS(7487),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHVolcite] = ACTIONS(7487),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHavolcite] = ACTIONS(7487),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHNotecite] = ACTIONS(7487),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHlabel] = ACTIONS(7487),
    [anon_sym_BSLASHref] = ACTIONS(7487),
    [anon_sym_BSLASHeqref] = ACTIONS(7487),
    [anon_sym_BSLASHvref] = ACTIONS(7487),
    [anon_sym_BSLASHVref] = ACTIONS(7487),
    [anon_sym_BSLASHautoref] = ACTIONS(7487),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHpageref] = ACTIONS(7487),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHautopageref] = ACTIONS(7487),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcref] = ACTIONS(7487),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCref] = ACTIONS(7487),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcpageref] = ACTIONS(7487),
    [anon_sym_BSLASHCpageref] = ACTIONS(7487),
    [anon_sym_BSLASHnamecref] = ACTIONS(7487),
    [anon_sym_BSLASHnameCref] = ACTIONS(7487),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7487),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7487),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7487),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7487),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7487),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7487),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7487),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7487),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7487),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7487),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7487),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHdef] = ACTIONS(7487),
    [anon_sym_BSLASHgdef] = ACTIONS(7487),
    [anon_sym_BSLASHedef] = ACTIONS(7487),
    [anon_sym_BSLASHxdef] = ACTIONS(7487),
    [anon_sym_BSLASHlet] = ACTIONS(7487),
    [anon_sym_BSLASHglet] = ACTIONS(7487),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7487),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7487),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7487),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7487),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7487),
    [anon_sym_BSLASHgls] = ACTIONS(7487),
    [anon_sym_BSLASHGls] = ACTIONS(7487),
    [anon_sym_BSLASHGLS] = ACTIONS(7487),
    [anon_sym_BSLASHglspl] = ACTIONS(7487),
    [anon_sym_BSLASHGlspl] = ACTIONS(7487),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7487),
    [anon_sym_BSLASHglslink] = ACTIONS(7487),
    [anon_sym_BSLASHglstext] = ACTIONS(7487),
    [anon_sym_BSLASHGlstext] = ACTIONS(7487),
    [anon_sym_BSLASHGLStext] = ACTIONS(7487),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7487),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7487),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7487),
    [anon_sym_BSLASHglsplural] = ACTIONS(7487),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7487),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7487),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHglsname] = ACTIONS(7487),
    [anon_sym_BSLASHGlsname] = ACTIONS(7487),
    [anon_sym_BSLASHGLSname] = ACTIONS(7487),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7487),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7487),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7487),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7487),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7487),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7487),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7487),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7487),
    [anon_sym_BSLASHacrshort] = ACTIONS(7487),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7487),
    [anon_sym_BSLASHACRshort] = ACTIONS(7487),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHacrlong] = ACTIONS(7487),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7487),
    [anon_sym_BSLASHACRlong] = ACTIONS(7487),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHacrfull] = ACTIONS(7487),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7487),
    [anon_sym_BSLASHACRfull] = ACTIONS(7487),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHacs] = ACTIONS(7487),
    [anon_sym_BSLASHAcs] = ACTIONS(7487),
    [anon_sym_BSLASHacsp] = ACTIONS(7487),
    [anon_sym_BSLASHAcsp] = ACTIONS(7487),
    [anon_sym_BSLASHacl] = ACTIONS(7487),
    [anon_sym_BSLASHAcl] = ACTIONS(7487),
    [anon_sym_BSLASHaclp] = ACTIONS(7487),
    [anon_sym_BSLASHAclp] = ACTIONS(7487),
    [anon_sym_BSLASHacf] = ACTIONS(7487),
    [anon_sym_BSLASHAcf] = ACTIONS(7487),
    [anon_sym_BSLASHacfp] = ACTIONS(7487),
    [anon_sym_BSLASHAcfp] = ACTIONS(7487),
    [anon_sym_BSLASHac] = ACTIONS(7487),
    [anon_sym_BSLASHAc] = ACTIONS(7487),
    [anon_sym_BSLASHacp] = ACTIONS(7487),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7487),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7487),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7487),
    [anon_sym_BSLASHcolor] = ACTIONS(7487),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7487),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7487),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7487),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7487),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7487),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7487),
    [anon_sym_BSLASHurl] = ACTIONS(7487),
    [anon_sym_BSLASHhref] = ACTIONS(7487),
  },
  [1055] = {
    [ts_builtin_sym_end] = ACTIONS(165),
    [sym_command_name] = ACTIONS(163),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_RBRACK] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_RPAREN] = ACTIONS(165),
    [anon_sym_BSLASHpart] = ACTIONS(163),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddpart] = ACTIONS(163),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(165),
    [anon_sym_BSLASHchapter] = ACTIONS(163),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddchap] = ACTIONS(163),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsection] = ACTIONS(163),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddsec] = ACTIONS(163),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubsection] = ACTIONS(163),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(163),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHparagraph] = ACTIONS(163),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(163),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(165),
    [anon_sym_BSLASHitem] = ACTIONS(163),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_RBRACE] = ACTIONS(165),
    [sym_word] = ACTIONS(163),
    [sym_placeholder] = ACTIONS(165),
    [sym_delimiter] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym__] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(165),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(163),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(165),
    [anon_sym_BSLASHleft] = ACTIONS(163),
    [anon_sym_BSLASHbigl] = ACTIONS(163),
    [anon_sym_BSLASHBigl] = ACTIONS(163),
    [anon_sym_BSLASHbiggl] = ACTIONS(163),
    [anon_sym_BSLASHBiggl] = ACTIONS(163),
    [anon_sym_BSLASHtext] = ACTIONS(163),
    [anon_sym_BSLASHintertext] = ACTIONS(163),
    [anon_sym_BSLASHshortintertext] = ACTIONS(163),
    [anon_sym_BSLASHbegin] = ACTIONS(163),
    [anon_sym_BSLASHtitle] = ACTIONS(163),
    [anon_sym_BSLASHauthor] = ACTIONS(163),
    [anon_sym_BSLASHusepackage] = ACTIONS(163),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(163),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(163),
    [anon_sym_BSLASHinclude] = ACTIONS(163),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(163),
    [anon_sym_BSLASHinput] = ACTIONS(163),
    [anon_sym_BSLASHsubfile] = ACTIONS(163),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(163),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(163),
    [anon_sym_BSLASHbibliography] = ACTIONS(163),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(163),
    [anon_sym_BSLASHincludesvg] = ACTIONS(163),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(163),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(163),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(163),
    [anon_sym_BSLASHimport] = ACTIONS(163),
    [anon_sym_BSLASHsubimport] = ACTIONS(163),
    [anon_sym_BSLASHinputfrom] = ACTIONS(163),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(163),
    [anon_sym_BSLASHincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHcaption] = ACTIONS(163),
    [anon_sym_BSLASHcite] = ACTIONS(163),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCite] = ACTIONS(163),
    [anon_sym_BSLASHnocite] = ACTIONS(163),
    [anon_sym_BSLASHcitet] = ACTIONS(163),
    [anon_sym_BSLASHcitep] = ACTIONS(163),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteA] = ACTIONS(163),
    [anon_sym_BSLASHciteR] = ACTIONS(163),
    [anon_sym_BSLASHciteS] = ACTIONS(163),
    [anon_sym_BSLASHciteyearR] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(163),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitetitle] = ACTIONS(163),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteyear] = ACTIONS(163),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitedate] = ACTIONS(163),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteurl] = ACTIONS(163),
    [anon_sym_BSLASHfullcite] = ACTIONS(163),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(163),
    [anon_sym_BSLASHcitealt] = ACTIONS(163),
    [anon_sym_BSLASHcitealp] = ACTIONS(163),
    [anon_sym_BSLASHcitetext] = ACTIONS(163),
    [anon_sym_BSLASHparencite] = ACTIONS(163),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHParencite] = ACTIONS(163),
    [anon_sym_BSLASHfootcite] = ACTIONS(163),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(163),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(163),
    [anon_sym_BSLASHtextcite] = ACTIONS(163),
    [anon_sym_BSLASHTextcite] = ACTIONS(163),
    [anon_sym_BSLASHsmartcite] = ACTIONS(163),
    [anon_sym_BSLASHSmartcite] = ACTIONS(163),
    [anon_sym_BSLASHsupercite] = ACTIONS(163),
    [anon_sym_BSLASHautocite] = ACTIONS(163),
    [anon_sym_BSLASHAutocite] = ACTIONS(163),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHvolcite] = ACTIONS(163),
    [anon_sym_BSLASHVolcite] = ACTIONS(163),
    [anon_sym_BSLASHpvolcite] = ACTIONS(163),
    [anon_sym_BSLASHPvolcite] = ACTIONS(163),
    [anon_sym_BSLASHfvolcite] = ACTIONS(163),
    [anon_sym_BSLASHftvolcite] = ACTIONS(163),
    [anon_sym_BSLASHsvolcite] = ACTIONS(163),
    [anon_sym_BSLASHSvolcite] = ACTIONS(163),
    [anon_sym_BSLASHtvolcite] = ACTIONS(163),
    [anon_sym_BSLASHTvolcite] = ACTIONS(163),
    [anon_sym_BSLASHavolcite] = ACTIONS(163),
    [anon_sym_BSLASHAvolcite] = ACTIONS(163),
    [anon_sym_BSLASHnotecite] = ACTIONS(163),
    [anon_sym_BSLASHNotecite] = ACTIONS(163),
    [anon_sym_BSLASHpnotecite] = ACTIONS(163),
    [anon_sym_BSLASHPnotecite] = ACTIONS(163),
    [anon_sym_BSLASHfnotecite] = ACTIONS(163),
    [anon_sym_BSLASHlabel] = ACTIONS(163),
    [anon_sym_BSLASHref] = ACTIONS(163),
    [anon_sym_BSLASHeqref] = ACTIONS(163),
    [anon_sym_BSLASHvref] = ACTIONS(163),
    [anon_sym_BSLASHVref] = ACTIONS(163),
    [anon_sym_BSLASHautoref] = ACTIONS(163),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHpageref] = ACTIONS(163),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHautopageref] = ACTIONS(163),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcref] = ACTIONS(163),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCref] = ACTIONS(163),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpageref] = ACTIONS(163),
    [anon_sym_BSLASHCpageref] = ACTIONS(163),
    [anon_sym_BSLASHnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnameCref] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcrefrange] = ACTIONS(163),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCrefrange] = ACTIONS(163),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHnewlabel] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(163),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(163),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(163),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(165),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHdef] = ACTIONS(163),
    [anon_sym_BSLASHgdef] = ACTIONS(163),
    [anon_sym_BSLASHedef] = ACTIONS(163),
    [anon_sym_BSLASHxdef] = ACTIONS(163),
    [anon_sym_BSLASHlet] = ACTIONS(163),
    [anon_sym_BSLASHglet] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(163),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(163),
    [anon_sym_BSLASHgls] = ACTIONS(163),
    [anon_sym_BSLASHGls] = ACTIONS(163),
    [anon_sym_BSLASHGLS] = ACTIONS(163),
    [anon_sym_BSLASHglspl] = ACTIONS(163),
    [anon_sym_BSLASHGlspl] = ACTIONS(163),
    [anon_sym_BSLASHGLSpl] = ACTIONS(163),
    [anon_sym_BSLASHglsdisp] = ACTIONS(163),
    [anon_sym_BSLASHglslink] = ACTIONS(163),
    [anon_sym_BSLASHglstext] = ACTIONS(163),
    [anon_sym_BSLASHGlstext] = ACTIONS(163),
    [anon_sym_BSLASHGLStext] = ACTIONS(163),
    [anon_sym_BSLASHglsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(163),
    [anon_sym_BSLASHglsplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSplural] = ACTIONS(163),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHglsname] = ACTIONS(163),
    [anon_sym_BSLASHGlsname] = ACTIONS(163),
    [anon_sym_BSLASHGLSname] = ACTIONS(163),
    [anon_sym_BSLASHglssymbol] = ACTIONS(163),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(163),
    [anon_sym_BSLASHglsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(163),
    [anon_sym_BSLASHglsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(163),
    [anon_sym_BSLASHglsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(163),
    [anon_sym_BSLASHglsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(163),
    [anon_sym_BSLASHglsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(163),
    [anon_sym_BSLASHnewacronym] = ACTIONS(163),
    [anon_sym_BSLASHacrshort] = ACTIONS(163),
    [anon_sym_BSLASHAcrshort] = ACTIONS(163),
    [anon_sym_BSLASHACRshort] = ACTIONS(163),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(163),
    [anon_sym_BSLASHacrlong] = ACTIONS(163),
    [anon_sym_BSLASHAcrlong] = ACTIONS(163),
    [anon_sym_BSLASHACRlong] = ACTIONS(163),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(163),
    [anon_sym_BSLASHacrfull] = ACTIONS(163),
    [anon_sym_BSLASHAcrfull] = ACTIONS(163),
    [anon_sym_BSLASHACRfull] = ACTIONS(163),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(163),
    [anon_sym_BSLASHacs] = ACTIONS(163),
    [anon_sym_BSLASHAcs] = ACTIONS(163),
    [anon_sym_BSLASHacsp] = ACTIONS(163),
    [anon_sym_BSLASHAcsp] = ACTIONS(163),
    [anon_sym_BSLASHacl] = ACTIONS(163),
    [anon_sym_BSLASHAcl] = ACTIONS(163),
    [anon_sym_BSLASHaclp] = ACTIONS(163),
    [anon_sym_BSLASHAclp] = ACTIONS(163),
    [anon_sym_BSLASHacf] = ACTIONS(163),
    [anon_sym_BSLASHAcf] = ACTIONS(163),
    [anon_sym_BSLASHacfp] = ACTIONS(163),
    [anon_sym_BSLASHAcfp] = ACTIONS(163),
    [anon_sym_BSLASHac] = ACTIONS(163),
    [anon_sym_BSLASHAc] = ACTIONS(163),
    [anon_sym_BSLASHacp] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(163),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(163),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(163),
    [anon_sym_BSLASHcolor] = ACTIONS(163),
    [anon_sym_BSLASHpagecolor] = ACTIONS(163),
    [anon_sym_BSLASHtextcolor] = ACTIONS(163),
    [anon_sym_BSLASHmathcolor] = ACTIONS(163),
    [anon_sym_BSLASHcolorbox] = ACTIONS(163),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(163),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(163),
    [anon_sym_BSLASHurl] = ACTIONS(163),
    [anon_sym_BSLASHhref] = ACTIONS(163),
  },
  [1056] = {
    [ts_builtin_sym_end] = ACTIONS(7493),
    [sym_command_name] = ACTIONS(7491),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(7493),
    [anon_sym_RBRACK] = ACTIONS(7493),
    [anon_sym_COMMA] = ACTIONS(7493),
    [anon_sym_EQ] = ACTIONS(7493),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_RPAREN] = ACTIONS(7493),
    [anon_sym_BSLASHpart] = ACTIONS(7491),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHaddpart] = ACTIONS(7491),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHchapter] = ACTIONS(7491),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHaddchap] = ACTIONS(7491),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHsection] = ACTIONS(7491),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHaddsec] = ACTIONS(7491),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHsubsection] = ACTIONS(7491),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7491),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHparagraph] = ACTIONS(7491),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7491),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHitem] = ACTIONS(7491),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7493),
    [anon_sym_LBRACE] = ACTIONS(7493),
    [anon_sym_RBRACE] = ACTIONS(7493),
    [sym_word] = ACTIONS(7491),
    [sym_placeholder] = ACTIONS(7493),
    [sym_delimiter] = ACTIONS(7493),
    [anon_sym_PLUS] = ACTIONS(7493),
    [anon_sym_DASH] = ACTIONS(7493),
    [anon_sym_STAR] = ACTIONS(7493),
    [anon_sym_SLASH] = ACTIONS(7493),
    [anon_sym_LT] = ACTIONS(7491),
    [anon_sym_GT] = ACTIONS(7491),
    [anon_sym_BANG] = ACTIONS(7491),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_COLON] = ACTIONS(7491),
    [anon_sym_SQUOTE] = ACTIONS(7491),
    [anon_sym__] = ACTIONS(7493),
    [anon_sym_CARET] = ACTIONS(7493),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7493),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7493),
    [anon_sym_DOLLAR] = ACTIONS(7491),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7493),
    [anon_sym_BSLASHleft] = ACTIONS(7491),
    [anon_sym_BSLASHbigl] = ACTIONS(7491),
    [anon_sym_BSLASHBigl] = ACTIONS(7491),
    [anon_sym_BSLASHbiggl] = ACTIONS(7491),
    [anon_sym_BSLASHBiggl] = ACTIONS(7491),
    [anon_sym_BSLASHtext] = ACTIONS(7491),
    [anon_sym_BSLASHintertext] = ACTIONS(7491),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7491),
    [anon_sym_BSLASHbegin] = ACTIONS(7491),
    [anon_sym_BSLASHtitle] = ACTIONS(7491),
    [anon_sym_BSLASHauthor] = ACTIONS(7491),
    [anon_sym_BSLASHusepackage] = ACTIONS(7491),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7491),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7491),
    [anon_sym_BSLASHinclude] = ACTIONS(7491),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7491),
    [anon_sym_BSLASHinput] = ACTIONS(7491),
    [anon_sym_BSLASHsubfile] = ACTIONS(7491),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7491),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7491),
    [anon_sym_BSLASHbibliography] = ACTIONS(7491),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7491),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7491),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7491),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7491),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7491),
    [anon_sym_BSLASHimport] = ACTIONS(7491),
    [anon_sym_BSLASHsubimport] = ACTIONS(7491),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7491),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7491),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7491),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7491),
    [anon_sym_BSLASHcaption] = ACTIONS(7491),
    [anon_sym_BSLASHcite] = ACTIONS(7491),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCite] = ACTIONS(7491),
    [anon_sym_BSLASHnocite] = ACTIONS(7491),
    [anon_sym_BSLASHcitet] = ACTIONS(7491),
    [anon_sym_BSLASHcitep] = ACTIONS(7491),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteA] = ACTIONS(7491),
    [anon_sym_BSLASHciteR] = ACTIONS(7491),
    [anon_sym_BSLASHciteS] = ACTIONS(7491),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7491),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7491),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7491),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7491),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteyear] = ACTIONS(7491),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitedate] = ACTIONS(7491),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteurl] = ACTIONS(7491),
    [anon_sym_BSLASHfullcite] = ACTIONS(7491),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7491),
    [anon_sym_BSLASHcitealt] = ACTIONS(7491),
    [anon_sym_BSLASHcitealp] = ACTIONS(7491),
    [anon_sym_BSLASHcitetext] = ACTIONS(7491),
    [anon_sym_BSLASHparencite] = ACTIONS(7491),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHParencite] = ACTIONS(7491),
    [anon_sym_BSLASHfootcite] = ACTIONS(7491),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7491),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7491),
    [anon_sym_BSLASHtextcite] = ACTIONS(7491),
    [anon_sym_BSLASHTextcite] = ACTIONS(7491),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7491),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7491),
    [anon_sym_BSLASHsupercite] = ACTIONS(7491),
    [anon_sym_BSLASHautocite] = ACTIONS(7491),
    [anon_sym_BSLASHAutocite] = ACTIONS(7491),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHVolcite] = ACTIONS(7491),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHavolcite] = ACTIONS(7491),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHNotecite] = ACTIONS(7491),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHlabel] = ACTIONS(7491),
    [anon_sym_BSLASHref] = ACTIONS(7491),
    [anon_sym_BSLASHeqref] = ACTIONS(7491),
    [anon_sym_BSLASHvref] = ACTIONS(7491),
    [anon_sym_BSLASHVref] = ACTIONS(7491),
    [anon_sym_BSLASHautoref] = ACTIONS(7491),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHpageref] = ACTIONS(7491),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHautopageref] = ACTIONS(7491),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcref] = ACTIONS(7491),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCref] = ACTIONS(7491),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcpageref] = ACTIONS(7491),
    [anon_sym_BSLASHCpageref] = ACTIONS(7491),
    [anon_sym_BSLASHnamecref] = ACTIONS(7491),
    [anon_sym_BSLASHnameCref] = ACTIONS(7491),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7491),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7491),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7491),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7491),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7491),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7491),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7491),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7491),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7491),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7491),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7491),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHdef] = ACTIONS(7491),
    [anon_sym_BSLASHgdef] = ACTIONS(7491),
    [anon_sym_BSLASHedef] = ACTIONS(7491),
    [anon_sym_BSLASHxdef] = ACTIONS(7491),
    [anon_sym_BSLASHlet] = ACTIONS(7491),
    [anon_sym_BSLASHglet] = ACTIONS(7491),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7491),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7491),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7491),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7491),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7491),
    [anon_sym_BSLASHgls] = ACTIONS(7491),
    [anon_sym_BSLASHGls] = ACTIONS(7491),
    [anon_sym_BSLASHGLS] = ACTIONS(7491),
    [anon_sym_BSLASHglspl] = ACTIONS(7491),
    [anon_sym_BSLASHGlspl] = ACTIONS(7491),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7491),
    [anon_sym_BSLASHglslink] = ACTIONS(7491),
    [anon_sym_BSLASHglstext] = ACTIONS(7491),
    [anon_sym_BSLASHGlstext] = ACTIONS(7491),
    [anon_sym_BSLASHGLStext] = ACTIONS(7491),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7491),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7491),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7491),
    [anon_sym_BSLASHglsplural] = ACTIONS(7491),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7491),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7491),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHglsname] = ACTIONS(7491),
    [anon_sym_BSLASHGlsname] = ACTIONS(7491),
    [anon_sym_BSLASHGLSname] = ACTIONS(7491),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7491),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7491),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7491),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7491),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7491),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7491),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7491),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7491),
    [anon_sym_BSLASHacrshort] = ACTIONS(7491),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7491),
    [anon_sym_BSLASHACRshort] = ACTIONS(7491),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHacrlong] = ACTIONS(7491),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7491),
    [anon_sym_BSLASHACRlong] = ACTIONS(7491),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHacrfull] = ACTIONS(7491),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7491),
    [anon_sym_BSLASHACRfull] = ACTIONS(7491),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHacs] = ACTIONS(7491),
    [anon_sym_BSLASHAcs] = ACTIONS(7491),
    [anon_sym_BSLASHacsp] = ACTIONS(7491),
    [anon_sym_BSLASHAcsp] = ACTIONS(7491),
    [anon_sym_BSLASHacl] = ACTIONS(7491),
    [anon_sym_BSLASHAcl] = ACTIONS(7491),
    [anon_sym_BSLASHaclp] = ACTIONS(7491),
    [anon_sym_BSLASHAclp] = ACTIONS(7491),
    [anon_sym_BSLASHacf] = ACTIONS(7491),
    [anon_sym_BSLASHAcf] = ACTIONS(7491),
    [anon_sym_BSLASHacfp] = ACTIONS(7491),
    [anon_sym_BSLASHAcfp] = ACTIONS(7491),
    [anon_sym_BSLASHac] = ACTIONS(7491),
    [anon_sym_BSLASHAc] = ACTIONS(7491),
    [anon_sym_BSLASHacp] = ACTIONS(7491),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7491),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7491),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7491),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7491),
    [anon_sym_BSLASHcolor] = ACTIONS(7491),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7491),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7491),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7491),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7491),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7491),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7491),
    [anon_sym_BSLASHurl] = ACTIONS(7491),
    [anon_sym_BSLASHhref] = ACTIONS(7491),
  },
  [1057] = {
    [ts_builtin_sym_end] = ACTIONS(7497),
    [sym_command_name] = ACTIONS(7495),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7495),
    [anon_sym_LBRACK] = ACTIONS(7497),
    [anon_sym_RBRACK] = ACTIONS(7497),
    [anon_sym_COMMA] = ACTIONS(7497),
    [anon_sym_EQ] = ACTIONS(7497),
    [anon_sym_LPAREN] = ACTIONS(7497),
    [anon_sym_RPAREN] = ACTIONS(7497),
    [anon_sym_BSLASHpart] = ACTIONS(7495),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHaddpart] = ACTIONS(7495),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHchapter] = ACTIONS(7495),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHaddchap] = ACTIONS(7495),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHsection] = ACTIONS(7495),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHaddsec] = ACTIONS(7495),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHsubsection] = ACTIONS(7495),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7495),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHparagraph] = ACTIONS(7495),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7495),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHitem] = ACTIONS(7495),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7497),
    [anon_sym_RBRACE] = ACTIONS(7497),
    [sym_word] = ACTIONS(7495),
    [sym_placeholder] = ACTIONS(7497),
    [sym_delimiter] = ACTIONS(7497),
    [anon_sym_PLUS] = ACTIONS(7497),
    [anon_sym_DASH] = ACTIONS(7497),
    [anon_sym_STAR] = ACTIONS(7497),
    [anon_sym_SLASH] = ACTIONS(7497),
    [anon_sym_LT] = ACTIONS(7495),
    [anon_sym_GT] = ACTIONS(7495),
    [anon_sym_BANG] = ACTIONS(7495),
    [anon_sym_PIPE] = ACTIONS(7495),
    [anon_sym_COLON] = ACTIONS(7495),
    [anon_sym_SQUOTE] = ACTIONS(7495),
    [anon_sym__] = ACTIONS(7497),
    [anon_sym_CARET] = ACTIONS(7497),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7497),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7497),
    [anon_sym_DOLLAR] = ACTIONS(7495),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7497),
    [anon_sym_BSLASHleft] = ACTIONS(7495),
    [anon_sym_BSLASHbigl] = ACTIONS(7495),
    [anon_sym_BSLASHBigl] = ACTIONS(7495),
    [anon_sym_BSLASHbiggl] = ACTIONS(7495),
    [anon_sym_BSLASHBiggl] = ACTIONS(7495),
    [anon_sym_BSLASHtext] = ACTIONS(7495),
    [anon_sym_BSLASHintertext] = ACTIONS(7495),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7495),
    [anon_sym_BSLASHbegin] = ACTIONS(7495),
    [anon_sym_BSLASHtitle] = ACTIONS(7495),
    [anon_sym_BSLASHauthor] = ACTIONS(7495),
    [anon_sym_BSLASHusepackage] = ACTIONS(7495),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7495),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7495),
    [anon_sym_BSLASHinclude] = ACTIONS(7495),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7495),
    [anon_sym_BSLASHinput] = ACTIONS(7495),
    [anon_sym_BSLASHsubfile] = ACTIONS(7495),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7495),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7495),
    [anon_sym_BSLASHbibliography] = ACTIONS(7495),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7495),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7495),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7495),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7495),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7495),
    [anon_sym_BSLASHimport] = ACTIONS(7495),
    [anon_sym_BSLASHsubimport] = ACTIONS(7495),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7495),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7495),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7495),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7495),
    [anon_sym_BSLASHcaption] = ACTIONS(7495),
    [anon_sym_BSLASHcite] = ACTIONS(7495),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCite] = ACTIONS(7495),
    [anon_sym_BSLASHnocite] = ACTIONS(7495),
    [anon_sym_BSLASHcitet] = ACTIONS(7495),
    [anon_sym_BSLASHcitep] = ACTIONS(7495),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteA] = ACTIONS(7495),
    [anon_sym_BSLASHciteR] = ACTIONS(7495),
    [anon_sym_BSLASHciteS] = ACTIONS(7495),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7495),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7495),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7495),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7495),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteyear] = ACTIONS(7495),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitedate] = ACTIONS(7495),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteurl] = ACTIONS(7495),
    [anon_sym_BSLASHfullcite] = ACTIONS(7495),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7495),
    [anon_sym_BSLASHcitealt] = ACTIONS(7495),
    [anon_sym_BSLASHcitealp] = ACTIONS(7495),
    [anon_sym_BSLASHcitetext] = ACTIONS(7495),
    [anon_sym_BSLASHparencite] = ACTIONS(7495),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHParencite] = ACTIONS(7495),
    [anon_sym_BSLASHfootcite] = ACTIONS(7495),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7495),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7495),
    [anon_sym_BSLASHtextcite] = ACTIONS(7495),
    [anon_sym_BSLASHTextcite] = ACTIONS(7495),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7495),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7495),
    [anon_sym_BSLASHsupercite] = ACTIONS(7495),
    [anon_sym_BSLASHautocite] = ACTIONS(7495),
    [anon_sym_BSLASHAutocite] = ACTIONS(7495),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHVolcite] = ACTIONS(7495),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHavolcite] = ACTIONS(7495),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHNotecite] = ACTIONS(7495),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHlabel] = ACTIONS(7495),
    [anon_sym_BSLASHref] = ACTIONS(7495),
    [anon_sym_BSLASHeqref] = ACTIONS(7495),
    [anon_sym_BSLASHvref] = ACTIONS(7495),
    [anon_sym_BSLASHVref] = ACTIONS(7495),
    [anon_sym_BSLASHautoref] = ACTIONS(7495),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHpageref] = ACTIONS(7495),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHautopageref] = ACTIONS(7495),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcref] = ACTIONS(7495),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCref] = ACTIONS(7495),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcpageref] = ACTIONS(7495),
    [anon_sym_BSLASHCpageref] = ACTIONS(7495),
    [anon_sym_BSLASHnamecref] = ACTIONS(7495),
    [anon_sym_BSLASHnameCref] = ACTIONS(7495),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7495),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7495),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7495),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7495),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7495),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7495),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7495),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7495),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7495),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7495),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7495),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHdef] = ACTIONS(7495),
    [anon_sym_BSLASHgdef] = ACTIONS(7495),
    [anon_sym_BSLASHedef] = ACTIONS(7495),
    [anon_sym_BSLASHxdef] = ACTIONS(7495),
    [anon_sym_BSLASHlet] = ACTIONS(7495),
    [anon_sym_BSLASHglet] = ACTIONS(7495),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7495),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7495),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7495),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7495),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7495),
    [anon_sym_BSLASHgls] = ACTIONS(7495),
    [anon_sym_BSLASHGls] = ACTIONS(7495),
    [anon_sym_BSLASHGLS] = ACTIONS(7495),
    [anon_sym_BSLASHglspl] = ACTIONS(7495),
    [anon_sym_BSLASHGlspl] = ACTIONS(7495),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7495),
    [anon_sym_BSLASHglslink] = ACTIONS(7495),
    [anon_sym_BSLASHglstext] = ACTIONS(7495),
    [anon_sym_BSLASHGlstext] = ACTIONS(7495),
    [anon_sym_BSLASHGLStext] = ACTIONS(7495),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7495),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7495),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7495),
    [anon_sym_BSLASHglsplural] = ACTIONS(7495),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7495),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7495),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHglsname] = ACTIONS(7495),
    [anon_sym_BSLASHGlsname] = ACTIONS(7495),
    [anon_sym_BSLASHGLSname] = ACTIONS(7495),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7495),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7495),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7495),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7495),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7495),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7495),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7495),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7495),
    [anon_sym_BSLASHacrshort] = ACTIONS(7495),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7495),
    [anon_sym_BSLASHACRshort] = ACTIONS(7495),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHacrlong] = ACTIONS(7495),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7495),
    [anon_sym_BSLASHACRlong] = ACTIONS(7495),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHacrfull] = ACTIONS(7495),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7495),
    [anon_sym_BSLASHACRfull] = ACTIONS(7495),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHacs] = ACTIONS(7495),
    [anon_sym_BSLASHAcs] = ACTIONS(7495),
    [anon_sym_BSLASHacsp] = ACTIONS(7495),
    [anon_sym_BSLASHAcsp] = ACTIONS(7495),
    [anon_sym_BSLASHacl] = ACTIONS(7495),
    [anon_sym_BSLASHAcl] = ACTIONS(7495),
    [anon_sym_BSLASHaclp] = ACTIONS(7495),
    [anon_sym_BSLASHAclp] = ACTIONS(7495),
    [anon_sym_BSLASHacf] = ACTIONS(7495),
    [anon_sym_BSLASHAcf] = ACTIONS(7495),
    [anon_sym_BSLASHacfp] = ACTIONS(7495),
    [anon_sym_BSLASHAcfp] = ACTIONS(7495),
    [anon_sym_BSLASHac] = ACTIONS(7495),
    [anon_sym_BSLASHAc] = ACTIONS(7495),
    [anon_sym_BSLASHacp] = ACTIONS(7495),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7495),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7495),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7495),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7495),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7495),
    [anon_sym_BSLASHcolor] = ACTIONS(7495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7495),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7495),
    [anon_sym_BSLASHurl] = ACTIONS(7495),
    [anon_sym_BSLASHhref] = ACTIONS(7495),
  },
  [1058] = {
    [ts_builtin_sym_end] = ACTIONS(7461),
    [sym_command_name] = ACTIONS(7459),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7459),
    [anon_sym_LBRACK] = ACTIONS(7461),
    [anon_sym_RBRACK] = ACTIONS(7461),
    [anon_sym_COMMA] = ACTIONS(7461),
    [anon_sym_EQ] = ACTIONS(7461),
    [anon_sym_LPAREN] = ACTIONS(7461),
    [anon_sym_RPAREN] = ACTIONS(7461),
    [anon_sym_BSLASHpart] = ACTIONS(7459),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHaddpart] = ACTIONS(7459),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHchapter] = ACTIONS(7459),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHaddchap] = ACTIONS(7459),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHsection] = ACTIONS(7459),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHaddsec] = ACTIONS(7459),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHsubsection] = ACTIONS(7459),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7459),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHparagraph] = ACTIONS(7459),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7459),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHitem] = ACTIONS(7459),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7461),
    [anon_sym_LBRACE] = ACTIONS(7461),
    [anon_sym_RBRACE] = ACTIONS(7461),
    [sym_word] = ACTIONS(7459),
    [sym_placeholder] = ACTIONS(7461),
    [sym_delimiter] = ACTIONS(7461),
    [anon_sym_PLUS] = ACTIONS(7461),
    [anon_sym_DASH] = ACTIONS(7461),
    [anon_sym_STAR] = ACTIONS(7461),
    [anon_sym_SLASH] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(7459),
    [anon_sym_GT] = ACTIONS(7459),
    [anon_sym_BANG] = ACTIONS(7459),
    [anon_sym_PIPE] = ACTIONS(7459),
    [anon_sym_COLON] = ACTIONS(7459),
    [anon_sym_SQUOTE] = ACTIONS(7459),
    [anon_sym__] = ACTIONS(7461),
    [anon_sym_CARET] = ACTIONS(7461),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7461),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7461),
    [anon_sym_DOLLAR] = ACTIONS(7459),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7461),
    [anon_sym_BSLASHleft] = ACTIONS(7459),
    [anon_sym_BSLASHbigl] = ACTIONS(7459),
    [anon_sym_BSLASHBigl] = ACTIONS(7459),
    [anon_sym_BSLASHbiggl] = ACTIONS(7459),
    [anon_sym_BSLASHBiggl] = ACTIONS(7459),
    [anon_sym_BSLASHtext] = ACTIONS(7459),
    [anon_sym_BSLASHintertext] = ACTIONS(7459),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7459),
    [anon_sym_BSLASHbegin] = ACTIONS(7459),
    [anon_sym_BSLASHtitle] = ACTIONS(7459),
    [anon_sym_BSLASHauthor] = ACTIONS(7459),
    [anon_sym_BSLASHusepackage] = ACTIONS(7459),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7459),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7459),
    [anon_sym_BSLASHinclude] = ACTIONS(7459),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7459),
    [anon_sym_BSLASHinput] = ACTIONS(7459),
    [anon_sym_BSLASHsubfile] = ACTIONS(7459),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7459),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7459),
    [anon_sym_BSLASHbibliography] = ACTIONS(7459),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7459),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7459),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7459),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7459),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7459),
    [anon_sym_BSLASHimport] = ACTIONS(7459),
    [anon_sym_BSLASHsubimport] = ACTIONS(7459),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7459),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7459),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7459),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7459),
    [anon_sym_BSLASHcaption] = ACTIONS(7459),
    [anon_sym_BSLASHcite] = ACTIONS(7459),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHCite] = ACTIONS(7459),
    [anon_sym_BSLASHnocite] = ACTIONS(7459),
    [anon_sym_BSLASHcitet] = ACTIONS(7459),
    [anon_sym_BSLASHcitep] = ACTIONS(7459),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHciteA] = ACTIONS(7459),
    [anon_sym_BSLASHciteR] = ACTIONS(7459),
    [anon_sym_BSLASHciteS] = ACTIONS(7459),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7459),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7459),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7459),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7459),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHciteyear] = ACTIONS(7459),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcitedate] = ACTIONS(7459),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHciteurl] = ACTIONS(7459),
    [anon_sym_BSLASHfullcite] = ACTIONS(7459),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7459),
    [anon_sym_BSLASHcitealt] = ACTIONS(7459),
    [anon_sym_BSLASHcitealp] = ACTIONS(7459),
    [anon_sym_BSLASHcitetext] = ACTIONS(7459),
    [anon_sym_BSLASHparencite] = ACTIONS(7459),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHParencite] = ACTIONS(7459),
    [anon_sym_BSLASHfootcite] = ACTIONS(7459),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7459),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7459),
    [anon_sym_BSLASHtextcite] = ACTIONS(7459),
    [anon_sym_BSLASHTextcite] = ACTIONS(7459),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7459),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7459),
    [anon_sym_BSLASHsupercite] = ACTIONS(7459),
    [anon_sym_BSLASHautocite] = ACTIONS(7459),
    [anon_sym_BSLASHAutocite] = ACTIONS(7459),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHVolcite] = ACTIONS(7459),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHavolcite] = ACTIONS(7459),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHnotecite] = ACTIONS(7459),
    [anon_sym_BSLASHNotecite] = ACTIONS(7459),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7459),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7459),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7459),
    [anon_sym_BSLASHlabel] = ACTIONS(7459),
    [anon_sym_BSLASHref] = ACTIONS(7459),
    [anon_sym_BSLASHeqref] = ACTIONS(7459),
    [anon_sym_BSLASHvref] = ACTIONS(7459),
    [anon_sym_BSLASHVref] = ACTIONS(7459),
    [anon_sym_BSLASHautoref] = ACTIONS(7459),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHpageref] = ACTIONS(7459),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHautopageref] = ACTIONS(7459),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcref] = ACTIONS(7459),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHCref] = ACTIONS(7459),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcpageref] = ACTIONS(7459),
    [anon_sym_BSLASHCpageref] = ACTIONS(7459),
    [anon_sym_BSLASHnamecref] = ACTIONS(7459),
    [anon_sym_BSLASHnameCref] = ACTIONS(7459),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7459),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7459),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7459),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7459),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7459),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7459),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7459),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7459),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7459),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7459),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7459),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7459),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7459),
    [anon_sym_BSLASHdef] = ACTIONS(7459),
    [anon_sym_BSLASHgdef] = ACTIONS(7459),
    [anon_sym_BSLASHedef] = ACTIONS(7459),
    [anon_sym_BSLASHxdef] = ACTIONS(7459),
    [anon_sym_BSLASHlet] = ACTIONS(7459),
    [anon_sym_BSLASHglet] = ACTIONS(7459),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7459),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7459),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7459),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7459),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7459),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7459),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7459),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7459),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7459),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7459),
    [anon_sym_BSLASHgls] = ACTIONS(7459),
    [anon_sym_BSLASHGls] = ACTIONS(7459),
    [anon_sym_BSLASHGLS] = ACTIONS(7459),
    [anon_sym_BSLASHglspl] = ACTIONS(7459),
    [anon_sym_BSLASHGlspl] = ACTIONS(7459),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7459),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7459),
    [anon_sym_BSLASHglslink] = ACTIONS(7459),
    [anon_sym_BSLASHglstext] = ACTIONS(7459),
    [anon_sym_BSLASHGlstext] = ACTIONS(7459),
    [anon_sym_BSLASHGLStext] = ACTIONS(7459),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7459),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7459),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7459),
    [anon_sym_BSLASHglsplural] = ACTIONS(7459),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7459),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7459),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7459),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7459),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7459),
    [anon_sym_BSLASHglsname] = ACTIONS(7459),
    [anon_sym_BSLASHGlsname] = ACTIONS(7459),
    [anon_sym_BSLASHGLSname] = ACTIONS(7459),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7459),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7459),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7459),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7459),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7459),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7459),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7459),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7459),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7459),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7459),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7459),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7459),
    [anon_sym_BSLASHacrshort] = ACTIONS(7459),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7459),
    [anon_sym_BSLASHACRshort] = ACTIONS(7459),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHacrlong] = ACTIONS(7459),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7459),
    [anon_sym_BSLASHACRlong] = ACTIONS(7459),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7459),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7459),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7459),
    [anon_sym_BSLASHacrfull] = ACTIONS(7459),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7459),
    [anon_sym_BSLASHACRfull] = ACTIONS(7459),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHacs] = ACTIONS(7459),
    [anon_sym_BSLASHAcs] = ACTIONS(7459),
    [anon_sym_BSLASHacsp] = ACTIONS(7459),
    [anon_sym_BSLASHAcsp] = ACTIONS(7459),
    [anon_sym_BSLASHacl] = ACTIONS(7459),
    [anon_sym_BSLASHAcl] = ACTIONS(7459),
    [anon_sym_BSLASHaclp] = ACTIONS(7459),
    [anon_sym_BSLASHAclp] = ACTIONS(7459),
    [anon_sym_BSLASHacf] = ACTIONS(7459),
    [anon_sym_BSLASHAcf] = ACTIONS(7459),
    [anon_sym_BSLASHacfp] = ACTIONS(7459),
    [anon_sym_BSLASHAcfp] = ACTIONS(7459),
    [anon_sym_BSLASHac] = ACTIONS(7459),
    [anon_sym_BSLASHAc] = ACTIONS(7459),
    [anon_sym_BSLASHacp] = ACTIONS(7459),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7459),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7459),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7459),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7459),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7459),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7459),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7459),
    [anon_sym_BSLASHcolor] = ACTIONS(7459),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7459),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7459),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7459),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7459),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7459),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7459),
    [anon_sym_BSLASHurl] = ACTIONS(7459),
    [anon_sym_BSLASHhref] = ACTIONS(7459),
  },
  [1059] = {
    [ts_builtin_sym_end] = ACTIONS(7065),
    [sym_command_name] = ACTIONS(7063),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7063),
    [anon_sym_LBRACK] = ACTIONS(7065),
    [anon_sym_RBRACK] = ACTIONS(7065),
    [anon_sym_COMMA] = ACTIONS(7065),
    [anon_sym_EQ] = ACTIONS(7065),
    [anon_sym_LPAREN] = ACTIONS(7065),
    [anon_sym_RPAREN] = ACTIONS(7065),
    [anon_sym_BSLASHpart] = ACTIONS(7063),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHaddpart] = ACTIONS(7063),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHchapter] = ACTIONS(7063),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHaddchap] = ACTIONS(7063),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHsection] = ACTIONS(7063),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHaddsec] = ACTIONS(7063),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHsubsection] = ACTIONS(7063),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7063),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHparagraph] = ACTIONS(7063),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7063),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHitem] = ACTIONS(7063),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7065),
    [anon_sym_LBRACE] = ACTIONS(7065),
    [anon_sym_RBRACE] = ACTIONS(7065),
    [sym_word] = ACTIONS(7063),
    [sym_placeholder] = ACTIONS(7065),
    [sym_delimiter] = ACTIONS(7065),
    [anon_sym_PLUS] = ACTIONS(7065),
    [anon_sym_DASH] = ACTIONS(7065),
    [anon_sym_STAR] = ACTIONS(7065),
    [anon_sym_SLASH] = ACTIONS(7065),
    [anon_sym_LT] = ACTIONS(7063),
    [anon_sym_GT] = ACTIONS(7063),
    [anon_sym_BANG] = ACTIONS(7063),
    [anon_sym_PIPE] = ACTIONS(7063),
    [anon_sym_COLON] = ACTIONS(7063),
    [anon_sym_SQUOTE] = ACTIONS(7063),
    [anon_sym__] = ACTIONS(7065),
    [anon_sym_CARET] = ACTIONS(7065),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7065),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7065),
    [anon_sym_DOLLAR] = ACTIONS(7063),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7065),
    [anon_sym_BSLASHleft] = ACTIONS(7063),
    [anon_sym_BSLASHbigl] = ACTIONS(7063),
    [anon_sym_BSLASHBigl] = ACTIONS(7063),
    [anon_sym_BSLASHbiggl] = ACTIONS(7063),
    [anon_sym_BSLASHBiggl] = ACTIONS(7063),
    [anon_sym_BSLASHtext] = ACTIONS(7063),
    [anon_sym_BSLASHintertext] = ACTIONS(7063),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7063),
    [anon_sym_BSLASHbegin] = ACTIONS(7063),
    [anon_sym_BSLASHtitle] = ACTIONS(7063),
    [anon_sym_BSLASHauthor] = ACTIONS(7063),
    [anon_sym_BSLASHusepackage] = ACTIONS(7063),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7063),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7063),
    [anon_sym_BSLASHinclude] = ACTIONS(7063),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7063),
    [anon_sym_BSLASHinput] = ACTIONS(7063),
    [anon_sym_BSLASHsubfile] = ACTIONS(7063),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7063),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7063),
    [anon_sym_BSLASHbibliography] = ACTIONS(7063),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7063),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7063),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7063),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7063),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7063),
    [anon_sym_BSLASHimport] = ACTIONS(7063),
    [anon_sym_BSLASHsubimport] = ACTIONS(7063),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7063),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7063),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7063),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7063),
    [anon_sym_BSLASHcaption] = ACTIONS(7063),
    [anon_sym_BSLASHcite] = ACTIONS(7063),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHCite] = ACTIONS(7063),
    [anon_sym_BSLASHnocite] = ACTIONS(7063),
    [anon_sym_BSLASHcitet] = ACTIONS(7063),
    [anon_sym_BSLASHcitep] = ACTIONS(7063),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHciteA] = ACTIONS(7063),
    [anon_sym_BSLASHciteR] = ACTIONS(7063),
    [anon_sym_BSLASHciteS] = ACTIONS(7063),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7063),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7063),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7063),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7063),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHciteyear] = ACTIONS(7063),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcitedate] = ACTIONS(7063),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHciteurl] = ACTIONS(7063),
    [anon_sym_BSLASHfullcite] = ACTIONS(7063),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7063),
    [anon_sym_BSLASHcitealt] = ACTIONS(7063),
    [anon_sym_BSLASHcitealp] = ACTIONS(7063),
    [anon_sym_BSLASHcitetext] = ACTIONS(7063),
    [anon_sym_BSLASHparencite] = ACTIONS(7063),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHParencite] = ACTIONS(7063),
    [anon_sym_BSLASHfootcite] = ACTIONS(7063),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7063),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7063),
    [anon_sym_BSLASHtextcite] = ACTIONS(7063),
    [anon_sym_BSLASHTextcite] = ACTIONS(7063),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7063),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7063),
    [anon_sym_BSLASHsupercite] = ACTIONS(7063),
    [anon_sym_BSLASHautocite] = ACTIONS(7063),
    [anon_sym_BSLASHAutocite] = ACTIONS(7063),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHVolcite] = ACTIONS(7063),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHavolcite] = ACTIONS(7063),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHnotecite] = ACTIONS(7063),
    [anon_sym_BSLASHNotecite] = ACTIONS(7063),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7063),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7063),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7063),
    [anon_sym_BSLASHlabel] = ACTIONS(7063),
    [anon_sym_BSLASHref] = ACTIONS(7063),
    [anon_sym_BSLASHeqref] = ACTIONS(7063),
    [anon_sym_BSLASHvref] = ACTIONS(7063),
    [anon_sym_BSLASHVref] = ACTIONS(7063),
    [anon_sym_BSLASHautoref] = ACTIONS(7063),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHpageref] = ACTIONS(7063),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHautopageref] = ACTIONS(7063),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcref] = ACTIONS(7063),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHCref] = ACTIONS(7063),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcpageref] = ACTIONS(7063),
    [anon_sym_BSLASHCpageref] = ACTIONS(7063),
    [anon_sym_BSLASHnamecref] = ACTIONS(7063),
    [anon_sym_BSLASHnameCref] = ACTIONS(7063),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7063),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7063),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7063),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7063),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7063),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7063),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7063),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7063),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7063),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7063),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7063),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7063),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7063),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7063),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7063),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7063),
    [anon_sym_BSLASHdef] = ACTIONS(7063),
    [anon_sym_BSLASHgdef] = ACTIONS(7063),
    [anon_sym_BSLASHedef] = ACTIONS(7063),
    [anon_sym_BSLASHxdef] = ACTIONS(7063),
    [anon_sym_BSLASHlet] = ACTIONS(7063),
    [anon_sym_BSLASHglet] = ACTIONS(7063),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7063),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7063),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7063),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7063),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7063),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7063),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7063),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7063),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7063),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7063),
    [anon_sym_BSLASHgls] = ACTIONS(7063),
    [anon_sym_BSLASHGls] = ACTIONS(7063),
    [anon_sym_BSLASHGLS] = ACTIONS(7063),
    [anon_sym_BSLASHglspl] = ACTIONS(7063),
    [anon_sym_BSLASHGlspl] = ACTIONS(7063),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7063),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7063),
    [anon_sym_BSLASHglslink] = ACTIONS(7063),
    [anon_sym_BSLASHglstext] = ACTIONS(7063),
    [anon_sym_BSLASHGlstext] = ACTIONS(7063),
    [anon_sym_BSLASHGLStext] = ACTIONS(7063),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7063),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7063),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7063),
    [anon_sym_BSLASHglsplural] = ACTIONS(7063),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7063),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7063),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7063),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7063),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7063),
    [anon_sym_BSLASHglsname] = ACTIONS(7063),
    [anon_sym_BSLASHGlsname] = ACTIONS(7063),
    [anon_sym_BSLASHGLSname] = ACTIONS(7063),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7063),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7063),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7063),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7063),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7063),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7063),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7063),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7063),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7063),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7063),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7063),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7063),
    [anon_sym_BSLASHacrshort] = ACTIONS(7063),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7063),
    [anon_sym_BSLASHACRshort] = ACTIONS(7063),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHacrlong] = ACTIONS(7063),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7063),
    [anon_sym_BSLASHACRlong] = ACTIONS(7063),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7063),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7063),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7063),
    [anon_sym_BSLASHacrfull] = ACTIONS(7063),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7063),
    [anon_sym_BSLASHACRfull] = ACTIONS(7063),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHacs] = ACTIONS(7063),
    [anon_sym_BSLASHAcs] = ACTIONS(7063),
    [anon_sym_BSLASHacsp] = ACTIONS(7063),
    [anon_sym_BSLASHAcsp] = ACTIONS(7063),
    [anon_sym_BSLASHacl] = ACTIONS(7063),
    [anon_sym_BSLASHAcl] = ACTIONS(7063),
    [anon_sym_BSLASHaclp] = ACTIONS(7063),
    [anon_sym_BSLASHAclp] = ACTIONS(7063),
    [anon_sym_BSLASHacf] = ACTIONS(7063),
    [anon_sym_BSLASHAcf] = ACTIONS(7063),
    [anon_sym_BSLASHacfp] = ACTIONS(7063),
    [anon_sym_BSLASHAcfp] = ACTIONS(7063),
    [anon_sym_BSLASHac] = ACTIONS(7063),
    [anon_sym_BSLASHAc] = ACTIONS(7063),
    [anon_sym_BSLASHacp] = ACTIONS(7063),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7063),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7063),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7063),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7063),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7063),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7063),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7063),
    [anon_sym_BSLASHcolor] = ACTIONS(7063),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7063),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7063),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7063),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7063),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7063),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7063),
    [anon_sym_BSLASHurl] = ACTIONS(7063),
    [anon_sym_BSLASHhref] = ACTIONS(7063),
  },
  [1060] = {
    [ts_builtin_sym_end] = ACTIONS(7141),
    [sym_command_name] = ACTIONS(7139),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7139),
    [anon_sym_LBRACK] = ACTIONS(7141),
    [anon_sym_RBRACK] = ACTIONS(7141),
    [anon_sym_COMMA] = ACTIONS(7141),
    [anon_sym_EQ] = ACTIONS(7141),
    [anon_sym_LPAREN] = ACTIONS(7141),
    [anon_sym_RPAREN] = ACTIONS(7141),
    [anon_sym_BSLASHpart] = ACTIONS(7139),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHaddpart] = ACTIONS(7139),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHchapter] = ACTIONS(7139),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHaddchap] = ACTIONS(7139),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHsection] = ACTIONS(7139),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHaddsec] = ACTIONS(7139),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHsubsection] = ACTIONS(7139),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7139),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHparagraph] = ACTIONS(7139),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7139),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHitem] = ACTIONS(7139),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7141),
    [anon_sym_LBRACE] = ACTIONS(7141),
    [anon_sym_RBRACE] = ACTIONS(7141),
    [sym_word] = ACTIONS(7139),
    [sym_placeholder] = ACTIONS(7141),
    [sym_delimiter] = ACTIONS(7141),
    [anon_sym_PLUS] = ACTIONS(7141),
    [anon_sym_DASH] = ACTIONS(7141),
    [anon_sym_STAR] = ACTIONS(7141),
    [anon_sym_SLASH] = ACTIONS(7141),
    [anon_sym_LT] = ACTIONS(7139),
    [anon_sym_GT] = ACTIONS(7139),
    [anon_sym_BANG] = ACTIONS(7139),
    [anon_sym_PIPE] = ACTIONS(7139),
    [anon_sym_COLON] = ACTIONS(7139),
    [anon_sym_SQUOTE] = ACTIONS(7139),
    [anon_sym__] = ACTIONS(7141),
    [anon_sym_CARET] = ACTIONS(7141),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7141),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7141),
    [anon_sym_DOLLAR] = ACTIONS(7139),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7141),
    [anon_sym_BSLASHleft] = ACTIONS(7139),
    [anon_sym_BSLASHbigl] = ACTIONS(7139),
    [anon_sym_BSLASHBigl] = ACTIONS(7139),
    [anon_sym_BSLASHbiggl] = ACTIONS(7139),
    [anon_sym_BSLASHBiggl] = ACTIONS(7139),
    [anon_sym_BSLASHtext] = ACTIONS(7139),
    [anon_sym_BSLASHintertext] = ACTIONS(7139),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7139),
    [anon_sym_BSLASHbegin] = ACTIONS(7139),
    [anon_sym_BSLASHtitle] = ACTIONS(7139),
    [anon_sym_BSLASHauthor] = ACTIONS(7139),
    [anon_sym_BSLASHusepackage] = ACTIONS(7139),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7139),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7139),
    [anon_sym_BSLASHinclude] = ACTIONS(7139),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7139),
    [anon_sym_BSLASHinput] = ACTIONS(7139),
    [anon_sym_BSLASHsubfile] = ACTIONS(7139),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7139),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7139),
    [anon_sym_BSLASHbibliography] = ACTIONS(7139),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7139),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7139),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7139),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7139),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7139),
    [anon_sym_BSLASHimport] = ACTIONS(7139),
    [anon_sym_BSLASHsubimport] = ACTIONS(7139),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7139),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7139),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7139),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7139),
    [anon_sym_BSLASHcaption] = ACTIONS(7139),
    [anon_sym_BSLASHcite] = ACTIONS(7139),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHCite] = ACTIONS(7139),
    [anon_sym_BSLASHnocite] = ACTIONS(7139),
    [anon_sym_BSLASHcitet] = ACTIONS(7139),
    [anon_sym_BSLASHcitep] = ACTIONS(7139),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHciteA] = ACTIONS(7139),
    [anon_sym_BSLASHciteR] = ACTIONS(7139),
    [anon_sym_BSLASHciteS] = ACTIONS(7139),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7139),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7139),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7139),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7139),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHciteyear] = ACTIONS(7139),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcitedate] = ACTIONS(7139),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHciteurl] = ACTIONS(7139),
    [anon_sym_BSLASHfullcite] = ACTIONS(7139),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7139),
    [anon_sym_BSLASHcitealt] = ACTIONS(7139),
    [anon_sym_BSLASHcitealp] = ACTIONS(7139),
    [anon_sym_BSLASHcitetext] = ACTIONS(7139),
    [anon_sym_BSLASHparencite] = ACTIONS(7139),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHParencite] = ACTIONS(7139),
    [anon_sym_BSLASHfootcite] = ACTIONS(7139),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7139),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7139),
    [anon_sym_BSLASHtextcite] = ACTIONS(7139),
    [anon_sym_BSLASHTextcite] = ACTIONS(7139),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7139),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7139),
    [anon_sym_BSLASHsupercite] = ACTIONS(7139),
    [anon_sym_BSLASHautocite] = ACTIONS(7139),
    [anon_sym_BSLASHAutocite] = ACTIONS(7139),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHVolcite] = ACTIONS(7139),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHavolcite] = ACTIONS(7139),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHnotecite] = ACTIONS(7139),
    [anon_sym_BSLASHNotecite] = ACTIONS(7139),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7139),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7139),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7139),
    [anon_sym_BSLASHlabel] = ACTIONS(7139),
    [anon_sym_BSLASHref] = ACTIONS(7139),
    [anon_sym_BSLASHeqref] = ACTIONS(7139),
    [anon_sym_BSLASHvref] = ACTIONS(7139),
    [anon_sym_BSLASHVref] = ACTIONS(7139),
    [anon_sym_BSLASHautoref] = ACTIONS(7139),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHpageref] = ACTIONS(7139),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHautopageref] = ACTIONS(7139),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcref] = ACTIONS(7139),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHCref] = ACTIONS(7139),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcpageref] = ACTIONS(7139),
    [anon_sym_BSLASHCpageref] = ACTIONS(7139),
    [anon_sym_BSLASHnamecref] = ACTIONS(7139),
    [anon_sym_BSLASHnameCref] = ACTIONS(7139),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7139),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7139),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7139),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7139),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7139),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7139),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7139),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7139),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7139),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7139),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7139),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7139),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7139),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7139),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7139),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7139),
    [anon_sym_BSLASHdef] = ACTIONS(7139),
    [anon_sym_BSLASHgdef] = ACTIONS(7139),
    [anon_sym_BSLASHedef] = ACTIONS(7139),
    [anon_sym_BSLASHxdef] = ACTIONS(7139),
    [anon_sym_BSLASHlet] = ACTIONS(7139),
    [anon_sym_BSLASHglet] = ACTIONS(7139),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7139),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7139),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7139),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7139),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7139),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7139),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7139),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7139),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7139),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7139),
    [anon_sym_BSLASHgls] = ACTIONS(7139),
    [anon_sym_BSLASHGls] = ACTIONS(7139),
    [anon_sym_BSLASHGLS] = ACTIONS(7139),
    [anon_sym_BSLASHglspl] = ACTIONS(7139),
    [anon_sym_BSLASHGlspl] = ACTIONS(7139),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7139),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7139),
    [anon_sym_BSLASHglslink] = ACTIONS(7139),
    [anon_sym_BSLASHglstext] = ACTIONS(7139),
    [anon_sym_BSLASHGlstext] = ACTIONS(7139),
    [anon_sym_BSLASHGLStext] = ACTIONS(7139),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7139),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7139),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7139),
    [anon_sym_BSLASHglsplural] = ACTIONS(7139),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7139),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7139),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7139),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7139),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7139),
    [anon_sym_BSLASHglsname] = ACTIONS(7139),
    [anon_sym_BSLASHGlsname] = ACTIONS(7139),
    [anon_sym_BSLASHGLSname] = ACTIONS(7139),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7139),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7139),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7139),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7139),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7139),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7139),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7139),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7139),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7139),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7139),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7139),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7139),
    [anon_sym_BSLASHacrshort] = ACTIONS(7139),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7139),
    [anon_sym_BSLASHACRshort] = ACTIONS(7139),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHacrlong] = ACTIONS(7139),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7139),
    [anon_sym_BSLASHACRlong] = ACTIONS(7139),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7139),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7139),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7139),
    [anon_sym_BSLASHacrfull] = ACTIONS(7139),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7139),
    [anon_sym_BSLASHACRfull] = ACTIONS(7139),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHacs] = ACTIONS(7139),
    [anon_sym_BSLASHAcs] = ACTIONS(7139),
    [anon_sym_BSLASHacsp] = ACTIONS(7139),
    [anon_sym_BSLASHAcsp] = ACTIONS(7139),
    [anon_sym_BSLASHacl] = ACTIONS(7139),
    [anon_sym_BSLASHAcl] = ACTIONS(7139),
    [anon_sym_BSLASHaclp] = ACTIONS(7139),
    [anon_sym_BSLASHAclp] = ACTIONS(7139),
    [anon_sym_BSLASHacf] = ACTIONS(7139),
    [anon_sym_BSLASHAcf] = ACTIONS(7139),
    [anon_sym_BSLASHacfp] = ACTIONS(7139),
    [anon_sym_BSLASHAcfp] = ACTIONS(7139),
    [anon_sym_BSLASHac] = ACTIONS(7139),
    [anon_sym_BSLASHAc] = ACTIONS(7139),
    [anon_sym_BSLASHacp] = ACTIONS(7139),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7139),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7139),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7139),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7139),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7139),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7139),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7139),
    [anon_sym_BSLASHcolor] = ACTIONS(7139),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7139),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7139),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7139),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7139),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7139),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7139),
    [anon_sym_BSLASHurl] = ACTIONS(7139),
    [anon_sym_BSLASHhref] = ACTIONS(7139),
  },
  [1061] = {
    [ts_builtin_sym_end] = ACTIONS(7501),
    [sym_command_name] = ACTIONS(7499),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7499),
    [anon_sym_LBRACK] = ACTIONS(7501),
    [anon_sym_RBRACK] = ACTIONS(7501),
    [anon_sym_COMMA] = ACTIONS(7501),
    [anon_sym_EQ] = ACTIONS(7501),
    [anon_sym_LPAREN] = ACTIONS(7501),
    [anon_sym_RPAREN] = ACTIONS(7501),
    [anon_sym_BSLASHpart] = ACTIONS(7499),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHaddpart] = ACTIONS(7499),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHchapter] = ACTIONS(7499),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHaddchap] = ACTIONS(7499),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHsection] = ACTIONS(7499),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHaddsec] = ACTIONS(7499),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHsubsection] = ACTIONS(7499),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7499),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHparagraph] = ACTIONS(7499),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7499),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHitem] = ACTIONS(7499),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7501),
    [anon_sym_LBRACE] = ACTIONS(7501),
    [anon_sym_RBRACE] = ACTIONS(7501),
    [sym_word] = ACTIONS(7499),
    [sym_placeholder] = ACTIONS(7501),
    [sym_delimiter] = ACTIONS(7501),
    [anon_sym_PLUS] = ACTIONS(7501),
    [anon_sym_DASH] = ACTIONS(7501),
    [anon_sym_STAR] = ACTIONS(7501),
    [anon_sym_SLASH] = ACTIONS(7501),
    [anon_sym_LT] = ACTIONS(7499),
    [anon_sym_GT] = ACTIONS(7499),
    [anon_sym_BANG] = ACTIONS(7499),
    [anon_sym_PIPE] = ACTIONS(7499),
    [anon_sym_COLON] = ACTIONS(7499),
    [anon_sym_SQUOTE] = ACTIONS(7499),
    [anon_sym__] = ACTIONS(7501),
    [anon_sym_CARET] = ACTIONS(7501),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7501),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7501),
    [anon_sym_DOLLAR] = ACTIONS(7499),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7501),
    [anon_sym_BSLASHleft] = ACTIONS(7499),
    [anon_sym_BSLASHbigl] = ACTIONS(7499),
    [anon_sym_BSLASHBigl] = ACTIONS(7499),
    [anon_sym_BSLASHbiggl] = ACTIONS(7499),
    [anon_sym_BSLASHBiggl] = ACTIONS(7499),
    [anon_sym_BSLASHtext] = ACTIONS(7499),
    [anon_sym_BSLASHintertext] = ACTIONS(7499),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7499),
    [anon_sym_BSLASHbegin] = ACTIONS(7499),
    [anon_sym_BSLASHtitle] = ACTIONS(7499),
    [anon_sym_BSLASHauthor] = ACTIONS(7499),
    [anon_sym_BSLASHusepackage] = ACTIONS(7499),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7499),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7499),
    [anon_sym_BSLASHinclude] = ACTIONS(7499),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7499),
    [anon_sym_BSLASHinput] = ACTIONS(7499),
    [anon_sym_BSLASHsubfile] = ACTIONS(7499),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7499),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7499),
    [anon_sym_BSLASHbibliography] = ACTIONS(7499),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7499),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7499),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7499),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7499),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7499),
    [anon_sym_BSLASHimport] = ACTIONS(7499),
    [anon_sym_BSLASHsubimport] = ACTIONS(7499),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7499),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7499),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7499),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7499),
    [anon_sym_BSLASHcaption] = ACTIONS(7499),
    [anon_sym_BSLASHcite] = ACTIONS(7499),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCite] = ACTIONS(7499),
    [anon_sym_BSLASHnocite] = ACTIONS(7499),
    [anon_sym_BSLASHcitet] = ACTIONS(7499),
    [anon_sym_BSLASHcitep] = ACTIONS(7499),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteA] = ACTIONS(7499),
    [anon_sym_BSLASHciteR] = ACTIONS(7499),
    [anon_sym_BSLASHciteS] = ACTIONS(7499),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7499),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7499),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7499),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7499),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteyear] = ACTIONS(7499),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitedate] = ACTIONS(7499),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteurl] = ACTIONS(7499),
    [anon_sym_BSLASHfullcite] = ACTIONS(7499),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7499),
    [anon_sym_BSLASHcitealt] = ACTIONS(7499),
    [anon_sym_BSLASHcitealp] = ACTIONS(7499),
    [anon_sym_BSLASHcitetext] = ACTIONS(7499),
    [anon_sym_BSLASHparencite] = ACTIONS(7499),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHParencite] = ACTIONS(7499),
    [anon_sym_BSLASHfootcite] = ACTIONS(7499),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7499),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7499),
    [anon_sym_BSLASHtextcite] = ACTIONS(7499),
    [anon_sym_BSLASHTextcite] = ACTIONS(7499),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7499),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7499),
    [anon_sym_BSLASHsupercite] = ACTIONS(7499),
    [anon_sym_BSLASHautocite] = ACTIONS(7499),
    [anon_sym_BSLASHAutocite] = ACTIONS(7499),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHVolcite] = ACTIONS(7499),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHavolcite] = ACTIONS(7499),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHNotecite] = ACTIONS(7499),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHlabel] = ACTIONS(7499),
    [anon_sym_BSLASHref] = ACTIONS(7499),
    [anon_sym_BSLASHeqref] = ACTIONS(7499),
    [anon_sym_BSLASHvref] = ACTIONS(7499),
    [anon_sym_BSLASHVref] = ACTIONS(7499),
    [anon_sym_BSLASHautoref] = ACTIONS(7499),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHpageref] = ACTIONS(7499),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHautopageref] = ACTIONS(7499),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcref] = ACTIONS(7499),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCref] = ACTIONS(7499),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcpageref] = ACTIONS(7499),
    [anon_sym_BSLASHCpageref] = ACTIONS(7499),
    [anon_sym_BSLASHnamecref] = ACTIONS(7499),
    [anon_sym_BSLASHnameCref] = ACTIONS(7499),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7499),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7499),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7499),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7499),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7499),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7499),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7499),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7499),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7499),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7499),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7499),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHdef] = ACTIONS(7499),
    [anon_sym_BSLASHgdef] = ACTIONS(7499),
    [anon_sym_BSLASHedef] = ACTIONS(7499),
    [anon_sym_BSLASHxdef] = ACTIONS(7499),
    [anon_sym_BSLASHlet] = ACTIONS(7499),
    [anon_sym_BSLASHglet] = ACTIONS(7499),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7499),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7499),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7499),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7499),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7499),
    [anon_sym_BSLASHgls] = ACTIONS(7499),
    [anon_sym_BSLASHGls] = ACTIONS(7499),
    [anon_sym_BSLASHGLS] = ACTIONS(7499),
    [anon_sym_BSLASHglspl] = ACTIONS(7499),
    [anon_sym_BSLASHGlspl] = ACTIONS(7499),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7499),
    [anon_sym_BSLASHglslink] = ACTIONS(7499),
    [anon_sym_BSLASHglstext] = ACTIONS(7499),
    [anon_sym_BSLASHGlstext] = ACTIONS(7499),
    [anon_sym_BSLASHGLStext] = ACTIONS(7499),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7499),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7499),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7499),
    [anon_sym_BSLASHglsplural] = ACTIONS(7499),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7499),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7499),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHglsname] = ACTIONS(7499),
    [anon_sym_BSLASHGlsname] = ACTIONS(7499),
    [anon_sym_BSLASHGLSname] = ACTIONS(7499),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7499),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7499),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7499),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7499),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7499),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7499),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7499),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7499),
    [anon_sym_BSLASHacrshort] = ACTIONS(7499),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7499),
    [anon_sym_BSLASHACRshort] = ACTIONS(7499),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHacrlong] = ACTIONS(7499),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7499),
    [anon_sym_BSLASHACRlong] = ACTIONS(7499),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHacrfull] = ACTIONS(7499),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7499),
    [anon_sym_BSLASHACRfull] = ACTIONS(7499),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHacs] = ACTIONS(7499),
    [anon_sym_BSLASHAcs] = ACTIONS(7499),
    [anon_sym_BSLASHacsp] = ACTIONS(7499),
    [anon_sym_BSLASHAcsp] = ACTIONS(7499),
    [anon_sym_BSLASHacl] = ACTIONS(7499),
    [anon_sym_BSLASHAcl] = ACTIONS(7499),
    [anon_sym_BSLASHaclp] = ACTIONS(7499),
    [anon_sym_BSLASHAclp] = ACTIONS(7499),
    [anon_sym_BSLASHacf] = ACTIONS(7499),
    [anon_sym_BSLASHAcf] = ACTIONS(7499),
    [anon_sym_BSLASHacfp] = ACTIONS(7499),
    [anon_sym_BSLASHAcfp] = ACTIONS(7499),
    [anon_sym_BSLASHac] = ACTIONS(7499),
    [anon_sym_BSLASHAc] = ACTIONS(7499),
    [anon_sym_BSLASHacp] = ACTIONS(7499),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7499),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7499),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7499),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7499),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7499),
    [anon_sym_BSLASHcolor] = ACTIONS(7499),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7499),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7499),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7499),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7499),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7499),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7499),
    [anon_sym_BSLASHurl] = ACTIONS(7499),
    [anon_sym_BSLASHhref] = ACTIONS(7499),
  },
  [1062] = {
    [ts_builtin_sym_end] = ACTIONS(7505),
    [sym_command_name] = ACTIONS(7503),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7503),
    [anon_sym_LBRACK] = ACTIONS(7505),
    [anon_sym_RBRACK] = ACTIONS(7505),
    [anon_sym_COMMA] = ACTIONS(7505),
    [anon_sym_EQ] = ACTIONS(7505),
    [anon_sym_LPAREN] = ACTIONS(7505),
    [anon_sym_RPAREN] = ACTIONS(7505),
    [anon_sym_BSLASHpart] = ACTIONS(7503),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHaddpart] = ACTIONS(7503),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHchapter] = ACTIONS(7503),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHaddchap] = ACTIONS(7503),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHsection] = ACTIONS(7503),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHaddsec] = ACTIONS(7503),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHsubsection] = ACTIONS(7503),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7503),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHparagraph] = ACTIONS(7503),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7503),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHitem] = ACTIONS(7503),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7505),
    [anon_sym_LBRACE] = ACTIONS(7505),
    [anon_sym_RBRACE] = ACTIONS(7505),
    [sym_word] = ACTIONS(7503),
    [sym_placeholder] = ACTIONS(7505),
    [sym_delimiter] = ACTIONS(7505),
    [anon_sym_PLUS] = ACTIONS(7505),
    [anon_sym_DASH] = ACTIONS(7505),
    [anon_sym_STAR] = ACTIONS(7505),
    [anon_sym_SLASH] = ACTIONS(7505),
    [anon_sym_LT] = ACTIONS(7503),
    [anon_sym_GT] = ACTIONS(7503),
    [anon_sym_BANG] = ACTIONS(7503),
    [anon_sym_PIPE] = ACTIONS(7503),
    [anon_sym_COLON] = ACTIONS(7503),
    [anon_sym_SQUOTE] = ACTIONS(7503),
    [anon_sym__] = ACTIONS(7505),
    [anon_sym_CARET] = ACTIONS(7505),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7505),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7505),
    [anon_sym_DOLLAR] = ACTIONS(7503),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7505),
    [anon_sym_BSLASHleft] = ACTIONS(7503),
    [anon_sym_BSLASHbigl] = ACTIONS(7503),
    [anon_sym_BSLASHBigl] = ACTIONS(7503),
    [anon_sym_BSLASHbiggl] = ACTIONS(7503),
    [anon_sym_BSLASHBiggl] = ACTIONS(7503),
    [anon_sym_BSLASHtext] = ACTIONS(7503),
    [anon_sym_BSLASHintertext] = ACTIONS(7503),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7503),
    [anon_sym_BSLASHbegin] = ACTIONS(7503),
    [anon_sym_BSLASHtitle] = ACTIONS(7503),
    [anon_sym_BSLASHauthor] = ACTIONS(7503),
    [anon_sym_BSLASHusepackage] = ACTIONS(7503),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7503),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7503),
    [anon_sym_BSLASHinclude] = ACTIONS(7503),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7503),
    [anon_sym_BSLASHinput] = ACTIONS(7503),
    [anon_sym_BSLASHsubfile] = ACTIONS(7503),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7503),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7503),
    [anon_sym_BSLASHbibliography] = ACTIONS(7503),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7503),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7503),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7503),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7503),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7503),
    [anon_sym_BSLASHimport] = ACTIONS(7503),
    [anon_sym_BSLASHsubimport] = ACTIONS(7503),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7503),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7503),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7503),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7503),
    [anon_sym_BSLASHcaption] = ACTIONS(7503),
    [anon_sym_BSLASHcite] = ACTIONS(7503),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCite] = ACTIONS(7503),
    [anon_sym_BSLASHnocite] = ACTIONS(7503),
    [anon_sym_BSLASHcitet] = ACTIONS(7503),
    [anon_sym_BSLASHcitep] = ACTIONS(7503),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteA] = ACTIONS(7503),
    [anon_sym_BSLASHciteR] = ACTIONS(7503),
    [anon_sym_BSLASHciteS] = ACTIONS(7503),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7503),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7503),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7503),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7503),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteyear] = ACTIONS(7503),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitedate] = ACTIONS(7503),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteurl] = ACTIONS(7503),
    [anon_sym_BSLASHfullcite] = ACTIONS(7503),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7503),
    [anon_sym_BSLASHcitealt] = ACTIONS(7503),
    [anon_sym_BSLASHcitealp] = ACTIONS(7503),
    [anon_sym_BSLASHcitetext] = ACTIONS(7503),
    [anon_sym_BSLASHparencite] = ACTIONS(7503),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHParencite] = ACTIONS(7503),
    [anon_sym_BSLASHfootcite] = ACTIONS(7503),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7503),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7503),
    [anon_sym_BSLASHtextcite] = ACTIONS(7503),
    [anon_sym_BSLASHTextcite] = ACTIONS(7503),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7503),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7503),
    [anon_sym_BSLASHsupercite] = ACTIONS(7503),
    [anon_sym_BSLASHautocite] = ACTIONS(7503),
    [anon_sym_BSLASHAutocite] = ACTIONS(7503),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHVolcite] = ACTIONS(7503),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHavolcite] = ACTIONS(7503),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHNotecite] = ACTIONS(7503),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHlabel] = ACTIONS(7503),
    [anon_sym_BSLASHref] = ACTIONS(7503),
    [anon_sym_BSLASHeqref] = ACTIONS(7503),
    [anon_sym_BSLASHvref] = ACTIONS(7503),
    [anon_sym_BSLASHVref] = ACTIONS(7503),
    [anon_sym_BSLASHautoref] = ACTIONS(7503),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHpageref] = ACTIONS(7503),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHautopageref] = ACTIONS(7503),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcref] = ACTIONS(7503),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCref] = ACTIONS(7503),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcpageref] = ACTIONS(7503),
    [anon_sym_BSLASHCpageref] = ACTIONS(7503),
    [anon_sym_BSLASHnamecref] = ACTIONS(7503),
    [anon_sym_BSLASHnameCref] = ACTIONS(7503),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7503),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7503),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7503),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7503),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7503),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7503),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7503),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7503),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7503),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7503),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7503),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHdef] = ACTIONS(7503),
    [anon_sym_BSLASHgdef] = ACTIONS(7503),
    [anon_sym_BSLASHedef] = ACTIONS(7503),
    [anon_sym_BSLASHxdef] = ACTIONS(7503),
    [anon_sym_BSLASHlet] = ACTIONS(7503),
    [anon_sym_BSLASHglet] = ACTIONS(7503),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7503),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7503),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7503),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7503),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7503),
    [anon_sym_BSLASHgls] = ACTIONS(7503),
    [anon_sym_BSLASHGls] = ACTIONS(7503),
    [anon_sym_BSLASHGLS] = ACTIONS(7503),
    [anon_sym_BSLASHglspl] = ACTIONS(7503),
    [anon_sym_BSLASHGlspl] = ACTIONS(7503),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7503),
    [anon_sym_BSLASHglslink] = ACTIONS(7503),
    [anon_sym_BSLASHglstext] = ACTIONS(7503),
    [anon_sym_BSLASHGlstext] = ACTIONS(7503),
    [anon_sym_BSLASHGLStext] = ACTIONS(7503),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7503),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7503),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7503),
    [anon_sym_BSLASHglsplural] = ACTIONS(7503),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7503),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7503),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHglsname] = ACTIONS(7503),
    [anon_sym_BSLASHGlsname] = ACTIONS(7503),
    [anon_sym_BSLASHGLSname] = ACTIONS(7503),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7503),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7503),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7503),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7503),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7503),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7503),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7503),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7503),
    [anon_sym_BSLASHacrshort] = ACTIONS(7503),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7503),
    [anon_sym_BSLASHACRshort] = ACTIONS(7503),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHacrlong] = ACTIONS(7503),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7503),
    [anon_sym_BSLASHACRlong] = ACTIONS(7503),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHacrfull] = ACTIONS(7503),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7503),
    [anon_sym_BSLASHACRfull] = ACTIONS(7503),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHacs] = ACTIONS(7503),
    [anon_sym_BSLASHAcs] = ACTIONS(7503),
    [anon_sym_BSLASHacsp] = ACTIONS(7503),
    [anon_sym_BSLASHAcsp] = ACTIONS(7503),
    [anon_sym_BSLASHacl] = ACTIONS(7503),
    [anon_sym_BSLASHAcl] = ACTIONS(7503),
    [anon_sym_BSLASHaclp] = ACTIONS(7503),
    [anon_sym_BSLASHAclp] = ACTIONS(7503),
    [anon_sym_BSLASHacf] = ACTIONS(7503),
    [anon_sym_BSLASHAcf] = ACTIONS(7503),
    [anon_sym_BSLASHacfp] = ACTIONS(7503),
    [anon_sym_BSLASHAcfp] = ACTIONS(7503),
    [anon_sym_BSLASHac] = ACTIONS(7503),
    [anon_sym_BSLASHAc] = ACTIONS(7503),
    [anon_sym_BSLASHacp] = ACTIONS(7503),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7503),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7503),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7503),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7503),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7503),
    [anon_sym_BSLASHcolor] = ACTIONS(7503),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7503),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7503),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7503),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7503),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7503),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7503),
    [anon_sym_BSLASHurl] = ACTIONS(7503),
    [anon_sym_BSLASHhref] = ACTIONS(7503),
  },
  [1063] = {
    [ts_builtin_sym_end] = ACTIONS(7509),
    [sym_command_name] = ACTIONS(7507),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7507),
    [anon_sym_LBRACK] = ACTIONS(7509),
    [anon_sym_RBRACK] = ACTIONS(7509),
    [anon_sym_COMMA] = ACTIONS(7509),
    [anon_sym_EQ] = ACTIONS(7509),
    [anon_sym_LPAREN] = ACTIONS(7509),
    [anon_sym_RPAREN] = ACTIONS(7509),
    [anon_sym_BSLASHpart] = ACTIONS(7507),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHaddpart] = ACTIONS(7507),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHchapter] = ACTIONS(7507),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHaddchap] = ACTIONS(7507),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHsection] = ACTIONS(7507),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHaddsec] = ACTIONS(7507),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHsubsection] = ACTIONS(7507),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7507),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHparagraph] = ACTIONS(7507),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7507),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHitem] = ACTIONS(7507),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7509),
    [anon_sym_LBRACE] = ACTIONS(7509),
    [anon_sym_RBRACE] = ACTIONS(7509),
    [sym_word] = ACTIONS(7507),
    [sym_placeholder] = ACTIONS(7509),
    [sym_delimiter] = ACTIONS(7509),
    [anon_sym_PLUS] = ACTIONS(7509),
    [anon_sym_DASH] = ACTIONS(7509),
    [anon_sym_STAR] = ACTIONS(7509),
    [anon_sym_SLASH] = ACTIONS(7509),
    [anon_sym_LT] = ACTIONS(7507),
    [anon_sym_GT] = ACTIONS(7507),
    [anon_sym_BANG] = ACTIONS(7507),
    [anon_sym_PIPE] = ACTIONS(7507),
    [anon_sym_COLON] = ACTIONS(7507),
    [anon_sym_SQUOTE] = ACTIONS(7507),
    [anon_sym__] = ACTIONS(7509),
    [anon_sym_CARET] = ACTIONS(7509),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7509),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7509),
    [anon_sym_DOLLAR] = ACTIONS(7507),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7509),
    [anon_sym_BSLASHleft] = ACTIONS(7507),
    [anon_sym_BSLASHbigl] = ACTIONS(7507),
    [anon_sym_BSLASHBigl] = ACTIONS(7507),
    [anon_sym_BSLASHbiggl] = ACTIONS(7507),
    [anon_sym_BSLASHBiggl] = ACTIONS(7507),
    [anon_sym_BSLASHtext] = ACTIONS(7507),
    [anon_sym_BSLASHintertext] = ACTIONS(7507),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7507),
    [anon_sym_BSLASHbegin] = ACTIONS(7507),
    [anon_sym_BSLASHtitle] = ACTIONS(7507),
    [anon_sym_BSLASHauthor] = ACTIONS(7507),
    [anon_sym_BSLASHusepackage] = ACTIONS(7507),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7507),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7507),
    [anon_sym_BSLASHinclude] = ACTIONS(7507),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7507),
    [anon_sym_BSLASHinput] = ACTIONS(7507),
    [anon_sym_BSLASHsubfile] = ACTIONS(7507),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7507),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7507),
    [anon_sym_BSLASHbibliography] = ACTIONS(7507),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7507),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7507),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7507),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7507),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7507),
    [anon_sym_BSLASHimport] = ACTIONS(7507),
    [anon_sym_BSLASHsubimport] = ACTIONS(7507),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7507),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7507),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7507),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7507),
    [anon_sym_BSLASHcaption] = ACTIONS(7507),
    [anon_sym_BSLASHcite] = ACTIONS(7507),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCite] = ACTIONS(7507),
    [anon_sym_BSLASHnocite] = ACTIONS(7507),
    [anon_sym_BSLASHcitet] = ACTIONS(7507),
    [anon_sym_BSLASHcitep] = ACTIONS(7507),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteA] = ACTIONS(7507),
    [anon_sym_BSLASHciteR] = ACTIONS(7507),
    [anon_sym_BSLASHciteS] = ACTIONS(7507),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7507),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7507),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7507),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7507),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteyear] = ACTIONS(7507),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitedate] = ACTIONS(7507),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteurl] = ACTIONS(7507),
    [anon_sym_BSLASHfullcite] = ACTIONS(7507),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7507),
    [anon_sym_BSLASHcitealt] = ACTIONS(7507),
    [anon_sym_BSLASHcitealp] = ACTIONS(7507),
    [anon_sym_BSLASHcitetext] = ACTIONS(7507),
    [anon_sym_BSLASHparencite] = ACTIONS(7507),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHParencite] = ACTIONS(7507),
    [anon_sym_BSLASHfootcite] = ACTIONS(7507),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7507),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7507),
    [anon_sym_BSLASHtextcite] = ACTIONS(7507),
    [anon_sym_BSLASHTextcite] = ACTIONS(7507),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7507),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7507),
    [anon_sym_BSLASHsupercite] = ACTIONS(7507),
    [anon_sym_BSLASHautocite] = ACTIONS(7507),
    [anon_sym_BSLASHAutocite] = ACTIONS(7507),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHVolcite] = ACTIONS(7507),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHavolcite] = ACTIONS(7507),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHNotecite] = ACTIONS(7507),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHlabel] = ACTIONS(7507),
    [anon_sym_BSLASHref] = ACTIONS(7507),
    [anon_sym_BSLASHeqref] = ACTIONS(7507),
    [anon_sym_BSLASHvref] = ACTIONS(7507),
    [anon_sym_BSLASHVref] = ACTIONS(7507),
    [anon_sym_BSLASHautoref] = ACTIONS(7507),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHpageref] = ACTIONS(7507),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHautopageref] = ACTIONS(7507),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcref] = ACTIONS(7507),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCref] = ACTIONS(7507),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcpageref] = ACTIONS(7507),
    [anon_sym_BSLASHCpageref] = ACTIONS(7507),
    [anon_sym_BSLASHnamecref] = ACTIONS(7507),
    [anon_sym_BSLASHnameCref] = ACTIONS(7507),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7507),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7507),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7507),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7507),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7507),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7507),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7507),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7507),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7507),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7507),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7507),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHdef] = ACTIONS(7507),
    [anon_sym_BSLASHgdef] = ACTIONS(7507),
    [anon_sym_BSLASHedef] = ACTIONS(7507),
    [anon_sym_BSLASHxdef] = ACTIONS(7507),
    [anon_sym_BSLASHlet] = ACTIONS(7507),
    [anon_sym_BSLASHglet] = ACTIONS(7507),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7507),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7507),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7507),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7507),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7507),
    [anon_sym_BSLASHgls] = ACTIONS(7507),
    [anon_sym_BSLASHGls] = ACTIONS(7507),
    [anon_sym_BSLASHGLS] = ACTIONS(7507),
    [anon_sym_BSLASHglspl] = ACTIONS(7507),
    [anon_sym_BSLASHGlspl] = ACTIONS(7507),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7507),
    [anon_sym_BSLASHglslink] = ACTIONS(7507),
    [anon_sym_BSLASHglstext] = ACTIONS(7507),
    [anon_sym_BSLASHGlstext] = ACTIONS(7507),
    [anon_sym_BSLASHGLStext] = ACTIONS(7507),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7507),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7507),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7507),
    [anon_sym_BSLASHglsplural] = ACTIONS(7507),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7507),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7507),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHglsname] = ACTIONS(7507),
    [anon_sym_BSLASHGlsname] = ACTIONS(7507),
    [anon_sym_BSLASHGLSname] = ACTIONS(7507),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7507),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7507),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7507),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7507),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7507),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7507),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7507),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7507),
    [anon_sym_BSLASHacrshort] = ACTIONS(7507),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7507),
    [anon_sym_BSLASHACRshort] = ACTIONS(7507),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHacrlong] = ACTIONS(7507),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7507),
    [anon_sym_BSLASHACRlong] = ACTIONS(7507),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHacrfull] = ACTIONS(7507),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7507),
    [anon_sym_BSLASHACRfull] = ACTIONS(7507),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHacs] = ACTIONS(7507),
    [anon_sym_BSLASHAcs] = ACTIONS(7507),
    [anon_sym_BSLASHacsp] = ACTIONS(7507),
    [anon_sym_BSLASHAcsp] = ACTIONS(7507),
    [anon_sym_BSLASHacl] = ACTIONS(7507),
    [anon_sym_BSLASHAcl] = ACTIONS(7507),
    [anon_sym_BSLASHaclp] = ACTIONS(7507),
    [anon_sym_BSLASHAclp] = ACTIONS(7507),
    [anon_sym_BSLASHacf] = ACTIONS(7507),
    [anon_sym_BSLASHAcf] = ACTIONS(7507),
    [anon_sym_BSLASHacfp] = ACTIONS(7507),
    [anon_sym_BSLASHAcfp] = ACTIONS(7507),
    [anon_sym_BSLASHac] = ACTIONS(7507),
    [anon_sym_BSLASHAc] = ACTIONS(7507),
    [anon_sym_BSLASHacp] = ACTIONS(7507),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7507),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7507),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7507),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7507),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7507),
    [anon_sym_BSLASHcolor] = ACTIONS(7507),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7507),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7507),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7507),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7507),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7507),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7507),
    [anon_sym_BSLASHurl] = ACTIONS(7507),
    [anon_sym_BSLASHhref] = ACTIONS(7507),
  },
  [1064] = {
    [ts_builtin_sym_end] = ACTIONS(7513),
    [sym_command_name] = ACTIONS(7511),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(7513),
    [anon_sym_RBRACK] = ACTIONS(7513),
    [anon_sym_COMMA] = ACTIONS(7513),
    [anon_sym_EQ] = ACTIONS(7513),
    [anon_sym_LPAREN] = ACTIONS(7513),
    [anon_sym_RPAREN] = ACTIONS(7513),
    [anon_sym_BSLASHpart] = ACTIONS(7511),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHaddpart] = ACTIONS(7511),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHchapter] = ACTIONS(7511),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHaddchap] = ACTIONS(7511),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHsection] = ACTIONS(7511),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHaddsec] = ACTIONS(7511),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHsubsection] = ACTIONS(7511),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7511),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHparagraph] = ACTIONS(7511),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7511),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHitem] = ACTIONS(7511),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7513),
    [anon_sym_LBRACE] = ACTIONS(7513),
    [anon_sym_RBRACE] = ACTIONS(7513),
    [sym_word] = ACTIONS(7511),
    [sym_placeholder] = ACTIONS(7513),
    [sym_delimiter] = ACTIONS(7513),
    [anon_sym_PLUS] = ACTIONS(7513),
    [anon_sym_DASH] = ACTIONS(7513),
    [anon_sym_STAR] = ACTIONS(7513),
    [anon_sym_SLASH] = ACTIONS(7513),
    [anon_sym_LT] = ACTIONS(7511),
    [anon_sym_GT] = ACTIONS(7511),
    [anon_sym_BANG] = ACTIONS(7511),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_COLON] = ACTIONS(7511),
    [anon_sym_SQUOTE] = ACTIONS(7511),
    [anon_sym__] = ACTIONS(7513),
    [anon_sym_CARET] = ACTIONS(7513),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7513),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7513),
    [anon_sym_DOLLAR] = ACTIONS(7511),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7513),
    [anon_sym_BSLASHleft] = ACTIONS(7511),
    [anon_sym_BSLASHbigl] = ACTIONS(7511),
    [anon_sym_BSLASHBigl] = ACTIONS(7511),
    [anon_sym_BSLASHbiggl] = ACTIONS(7511),
    [anon_sym_BSLASHBiggl] = ACTIONS(7511),
    [anon_sym_BSLASHtext] = ACTIONS(7511),
    [anon_sym_BSLASHintertext] = ACTIONS(7511),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7511),
    [anon_sym_BSLASHbegin] = ACTIONS(7511),
    [anon_sym_BSLASHtitle] = ACTIONS(7511),
    [anon_sym_BSLASHauthor] = ACTIONS(7511),
    [anon_sym_BSLASHusepackage] = ACTIONS(7511),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7511),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7511),
    [anon_sym_BSLASHinclude] = ACTIONS(7511),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7511),
    [anon_sym_BSLASHinput] = ACTIONS(7511),
    [anon_sym_BSLASHsubfile] = ACTIONS(7511),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7511),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7511),
    [anon_sym_BSLASHbibliography] = ACTIONS(7511),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7511),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7511),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7511),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7511),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7511),
    [anon_sym_BSLASHimport] = ACTIONS(7511),
    [anon_sym_BSLASHsubimport] = ACTIONS(7511),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7511),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7511),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7511),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7511),
    [anon_sym_BSLASHcaption] = ACTIONS(7511),
    [anon_sym_BSLASHcite] = ACTIONS(7511),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCite] = ACTIONS(7511),
    [anon_sym_BSLASHnocite] = ACTIONS(7511),
    [anon_sym_BSLASHcitet] = ACTIONS(7511),
    [anon_sym_BSLASHcitep] = ACTIONS(7511),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteA] = ACTIONS(7511),
    [anon_sym_BSLASHciteR] = ACTIONS(7511),
    [anon_sym_BSLASHciteS] = ACTIONS(7511),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7511),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7511),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7511),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7511),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteyear] = ACTIONS(7511),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitedate] = ACTIONS(7511),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteurl] = ACTIONS(7511),
    [anon_sym_BSLASHfullcite] = ACTIONS(7511),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7511),
    [anon_sym_BSLASHcitealt] = ACTIONS(7511),
    [anon_sym_BSLASHcitealp] = ACTIONS(7511),
    [anon_sym_BSLASHcitetext] = ACTIONS(7511),
    [anon_sym_BSLASHparencite] = ACTIONS(7511),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHParencite] = ACTIONS(7511),
    [anon_sym_BSLASHfootcite] = ACTIONS(7511),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7511),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7511),
    [anon_sym_BSLASHtextcite] = ACTIONS(7511),
    [anon_sym_BSLASHTextcite] = ACTIONS(7511),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7511),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7511),
    [anon_sym_BSLASHsupercite] = ACTIONS(7511),
    [anon_sym_BSLASHautocite] = ACTIONS(7511),
    [anon_sym_BSLASHAutocite] = ACTIONS(7511),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHVolcite] = ACTIONS(7511),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHavolcite] = ACTIONS(7511),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHNotecite] = ACTIONS(7511),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHlabel] = ACTIONS(7511),
    [anon_sym_BSLASHref] = ACTIONS(7511),
    [anon_sym_BSLASHeqref] = ACTIONS(7511),
    [anon_sym_BSLASHvref] = ACTIONS(7511),
    [anon_sym_BSLASHVref] = ACTIONS(7511),
    [anon_sym_BSLASHautoref] = ACTIONS(7511),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHpageref] = ACTIONS(7511),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHautopageref] = ACTIONS(7511),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcref] = ACTIONS(7511),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCref] = ACTIONS(7511),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcpageref] = ACTIONS(7511),
    [anon_sym_BSLASHCpageref] = ACTIONS(7511),
    [anon_sym_BSLASHnamecref] = ACTIONS(7511),
    [anon_sym_BSLASHnameCref] = ACTIONS(7511),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7511),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7511),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7511),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7511),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7511),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7511),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7511),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7511),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7511),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7511),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7511),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHdef] = ACTIONS(7511),
    [anon_sym_BSLASHgdef] = ACTIONS(7511),
    [anon_sym_BSLASHedef] = ACTIONS(7511),
    [anon_sym_BSLASHxdef] = ACTIONS(7511),
    [anon_sym_BSLASHlet] = ACTIONS(7511),
    [anon_sym_BSLASHglet] = ACTIONS(7511),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7511),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7511),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7511),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7511),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7511),
    [anon_sym_BSLASHgls] = ACTIONS(7511),
    [anon_sym_BSLASHGls] = ACTIONS(7511),
    [anon_sym_BSLASHGLS] = ACTIONS(7511),
    [anon_sym_BSLASHglspl] = ACTIONS(7511),
    [anon_sym_BSLASHGlspl] = ACTIONS(7511),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7511),
    [anon_sym_BSLASHglslink] = ACTIONS(7511),
    [anon_sym_BSLASHglstext] = ACTIONS(7511),
    [anon_sym_BSLASHGlstext] = ACTIONS(7511),
    [anon_sym_BSLASHGLStext] = ACTIONS(7511),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7511),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7511),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7511),
    [anon_sym_BSLASHglsplural] = ACTIONS(7511),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7511),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7511),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHglsname] = ACTIONS(7511),
    [anon_sym_BSLASHGlsname] = ACTIONS(7511),
    [anon_sym_BSLASHGLSname] = ACTIONS(7511),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7511),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7511),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7511),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7511),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7511),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7511),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7511),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7511),
    [anon_sym_BSLASHacrshort] = ACTIONS(7511),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7511),
    [anon_sym_BSLASHACRshort] = ACTIONS(7511),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHacrlong] = ACTIONS(7511),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7511),
    [anon_sym_BSLASHACRlong] = ACTIONS(7511),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHacrfull] = ACTIONS(7511),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7511),
    [anon_sym_BSLASHACRfull] = ACTIONS(7511),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHacs] = ACTIONS(7511),
    [anon_sym_BSLASHAcs] = ACTIONS(7511),
    [anon_sym_BSLASHacsp] = ACTIONS(7511),
    [anon_sym_BSLASHAcsp] = ACTIONS(7511),
    [anon_sym_BSLASHacl] = ACTIONS(7511),
    [anon_sym_BSLASHAcl] = ACTIONS(7511),
    [anon_sym_BSLASHaclp] = ACTIONS(7511),
    [anon_sym_BSLASHAclp] = ACTIONS(7511),
    [anon_sym_BSLASHacf] = ACTIONS(7511),
    [anon_sym_BSLASHAcf] = ACTIONS(7511),
    [anon_sym_BSLASHacfp] = ACTIONS(7511),
    [anon_sym_BSLASHAcfp] = ACTIONS(7511),
    [anon_sym_BSLASHac] = ACTIONS(7511),
    [anon_sym_BSLASHAc] = ACTIONS(7511),
    [anon_sym_BSLASHacp] = ACTIONS(7511),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7511),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7511),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7511),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7511),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7511),
    [anon_sym_BSLASHcolor] = ACTIONS(7511),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7511),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7511),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7511),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7511),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7511),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7511),
    [anon_sym_BSLASHurl] = ACTIONS(7511),
    [anon_sym_BSLASHhref] = ACTIONS(7511),
  },
  [1065] = {
    [ts_builtin_sym_end] = ACTIONS(7517),
    [sym_command_name] = ACTIONS(7515),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7515),
    [anon_sym_LBRACK] = ACTIONS(7517),
    [anon_sym_RBRACK] = ACTIONS(7517),
    [anon_sym_COMMA] = ACTIONS(7517),
    [anon_sym_EQ] = ACTIONS(7517),
    [anon_sym_LPAREN] = ACTIONS(7517),
    [anon_sym_RPAREN] = ACTIONS(7517),
    [anon_sym_BSLASHpart] = ACTIONS(7515),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHaddpart] = ACTIONS(7515),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHchapter] = ACTIONS(7515),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHaddchap] = ACTIONS(7515),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHsection] = ACTIONS(7515),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHaddsec] = ACTIONS(7515),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHsubsection] = ACTIONS(7515),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7515),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHparagraph] = ACTIONS(7515),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7515),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHitem] = ACTIONS(7515),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7517),
    [anon_sym_LBRACE] = ACTIONS(7517),
    [anon_sym_RBRACE] = ACTIONS(7517),
    [sym_word] = ACTIONS(7515),
    [sym_placeholder] = ACTIONS(7517),
    [sym_delimiter] = ACTIONS(7517),
    [anon_sym_PLUS] = ACTIONS(7517),
    [anon_sym_DASH] = ACTIONS(7517),
    [anon_sym_STAR] = ACTIONS(7517),
    [anon_sym_SLASH] = ACTIONS(7517),
    [anon_sym_LT] = ACTIONS(7515),
    [anon_sym_GT] = ACTIONS(7515),
    [anon_sym_BANG] = ACTIONS(7515),
    [anon_sym_PIPE] = ACTIONS(7515),
    [anon_sym_COLON] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7515),
    [anon_sym__] = ACTIONS(7517),
    [anon_sym_CARET] = ACTIONS(7517),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7517),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7517),
    [anon_sym_DOLLAR] = ACTIONS(7515),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7517),
    [anon_sym_BSLASHleft] = ACTIONS(7515),
    [anon_sym_BSLASHbigl] = ACTIONS(7515),
    [anon_sym_BSLASHBigl] = ACTIONS(7515),
    [anon_sym_BSLASHbiggl] = ACTIONS(7515),
    [anon_sym_BSLASHBiggl] = ACTIONS(7515),
    [anon_sym_BSLASHtext] = ACTIONS(7515),
    [anon_sym_BSLASHintertext] = ACTIONS(7515),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7515),
    [anon_sym_BSLASHbegin] = ACTIONS(7515),
    [anon_sym_BSLASHtitle] = ACTIONS(7515),
    [anon_sym_BSLASHauthor] = ACTIONS(7515),
    [anon_sym_BSLASHusepackage] = ACTIONS(7515),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7515),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7515),
    [anon_sym_BSLASHinclude] = ACTIONS(7515),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7515),
    [anon_sym_BSLASHinput] = ACTIONS(7515),
    [anon_sym_BSLASHsubfile] = ACTIONS(7515),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7515),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7515),
    [anon_sym_BSLASHbibliography] = ACTIONS(7515),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7515),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7515),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7515),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7515),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7515),
    [anon_sym_BSLASHimport] = ACTIONS(7515),
    [anon_sym_BSLASHsubimport] = ACTIONS(7515),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7515),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7515),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7515),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7515),
    [anon_sym_BSLASHcaption] = ACTIONS(7515),
    [anon_sym_BSLASHcite] = ACTIONS(7515),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCite] = ACTIONS(7515),
    [anon_sym_BSLASHnocite] = ACTIONS(7515),
    [anon_sym_BSLASHcitet] = ACTIONS(7515),
    [anon_sym_BSLASHcitep] = ACTIONS(7515),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteA] = ACTIONS(7515),
    [anon_sym_BSLASHciteR] = ACTIONS(7515),
    [anon_sym_BSLASHciteS] = ACTIONS(7515),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7515),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7515),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7515),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7515),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteyear] = ACTIONS(7515),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitedate] = ACTIONS(7515),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteurl] = ACTIONS(7515),
    [anon_sym_BSLASHfullcite] = ACTIONS(7515),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7515),
    [anon_sym_BSLASHcitealt] = ACTIONS(7515),
    [anon_sym_BSLASHcitealp] = ACTIONS(7515),
    [anon_sym_BSLASHcitetext] = ACTIONS(7515),
    [anon_sym_BSLASHparencite] = ACTIONS(7515),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHParencite] = ACTIONS(7515),
    [anon_sym_BSLASHfootcite] = ACTIONS(7515),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7515),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7515),
    [anon_sym_BSLASHtextcite] = ACTIONS(7515),
    [anon_sym_BSLASHTextcite] = ACTIONS(7515),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7515),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7515),
    [anon_sym_BSLASHsupercite] = ACTIONS(7515),
    [anon_sym_BSLASHautocite] = ACTIONS(7515),
    [anon_sym_BSLASHAutocite] = ACTIONS(7515),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHVolcite] = ACTIONS(7515),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHavolcite] = ACTIONS(7515),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHNotecite] = ACTIONS(7515),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHlabel] = ACTIONS(7515),
    [anon_sym_BSLASHref] = ACTIONS(7515),
    [anon_sym_BSLASHeqref] = ACTIONS(7515),
    [anon_sym_BSLASHvref] = ACTIONS(7515),
    [anon_sym_BSLASHVref] = ACTIONS(7515),
    [anon_sym_BSLASHautoref] = ACTIONS(7515),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHpageref] = ACTIONS(7515),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHautopageref] = ACTIONS(7515),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcref] = ACTIONS(7515),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCref] = ACTIONS(7515),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcpageref] = ACTIONS(7515),
    [anon_sym_BSLASHCpageref] = ACTIONS(7515),
    [anon_sym_BSLASHnamecref] = ACTIONS(7515),
    [anon_sym_BSLASHnameCref] = ACTIONS(7515),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7515),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7515),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7515),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7515),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7515),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7515),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7515),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7515),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7515),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7515),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7515),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHdef] = ACTIONS(7515),
    [anon_sym_BSLASHgdef] = ACTIONS(7515),
    [anon_sym_BSLASHedef] = ACTIONS(7515),
    [anon_sym_BSLASHxdef] = ACTIONS(7515),
    [anon_sym_BSLASHlet] = ACTIONS(7515),
    [anon_sym_BSLASHglet] = ACTIONS(7515),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7515),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7515),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7515),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7515),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7515),
    [anon_sym_BSLASHgls] = ACTIONS(7515),
    [anon_sym_BSLASHGls] = ACTIONS(7515),
    [anon_sym_BSLASHGLS] = ACTIONS(7515),
    [anon_sym_BSLASHglspl] = ACTIONS(7515),
    [anon_sym_BSLASHGlspl] = ACTIONS(7515),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7515),
    [anon_sym_BSLASHglslink] = ACTIONS(7515),
    [anon_sym_BSLASHglstext] = ACTIONS(7515),
    [anon_sym_BSLASHGlstext] = ACTIONS(7515),
    [anon_sym_BSLASHGLStext] = ACTIONS(7515),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7515),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7515),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7515),
    [anon_sym_BSLASHglsplural] = ACTIONS(7515),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7515),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7515),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHglsname] = ACTIONS(7515),
    [anon_sym_BSLASHGlsname] = ACTIONS(7515),
    [anon_sym_BSLASHGLSname] = ACTIONS(7515),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7515),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7515),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7515),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7515),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7515),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7515),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7515),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7515),
    [anon_sym_BSLASHacrshort] = ACTIONS(7515),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7515),
    [anon_sym_BSLASHACRshort] = ACTIONS(7515),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHacrlong] = ACTIONS(7515),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7515),
    [anon_sym_BSLASHACRlong] = ACTIONS(7515),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHacrfull] = ACTIONS(7515),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7515),
    [anon_sym_BSLASHACRfull] = ACTIONS(7515),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHacs] = ACTIONS(7515),
    [anon_sym_BSLASHAcs] = ACTIONS(7515),
    [anon_sym_BSLASHacsp] = ACTIONS(7515),
    [anon_sym_BSLASHAcsp] = ACTIONS(7515),
    [anon_sym_BSLASHacl] = ACTIONS(7515),
    [anon_sym_BSLASHAcl] = ACTIONS(7515),
    [anon_sym_BSLASHaclp] = ACTIONS(7515),
    [anon_sym_BSLASHAclp] = ACTIONS(7515),
    [anon_sym_BSLASHacf] = ACTIONS(7515),
    [anon_sym_BSLASHAcf] = ACTIONS(7515),
    [anon_sym_BSLASHacfp] = ACTIONS(7515),
    [anon_sym_BSLASHAcfp] = ACTIONS(7515),
    [anon_sym_BSLASHac] = ACTIONS(7515),
    [anon_sym_BSLASHAc] = ACTIONS(7515),
    [anon_sym_BSLASHacp] = ACTIONS(7515),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7515),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7515),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7515),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7515),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7515),
    [anon_sym_BSLASHcolor] = ACTIONS(7515),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7515),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7515),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7515),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7515),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7515),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7515),
    [anon_sym_BSLASHurl] = ACTIONS(7515),
    [anon_sym_BSLASHhref] = ACTIONS(7515),
  },
  [1066] = {
    [sym_brack_group_text] = STATE(1412),
    [sym_command_name] = ACTIONS(6927),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6927),
    [anon_sym_LBRACK] = ACTIONS(7787),
    [anon_sym_RBRACK] = ACTIONS(6929),
    [anon_sym_COMMA] = ACTIONS(6929),
    [anon_sym_EQ] = ACTIONS(6929),
    [anon_sym_LPAREN] = ACTIONS(6929),
    [anon_sym_RPAREN] = ACTIONS(6929),
    [anon_sym_BSLASHpart] = ACTIONS(6927),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHaddpart] = ACTIONS(6927),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHchapter] = ACTIONS(6927),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHaddchap] = ACTIONS(6927),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHsection] = ACTIONS(6927),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHaddsec] = ACTIONS(6927),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHsubsection] = ACTIONS(6927),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6927),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHparagraph] = ACTIONS(6927),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6927),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHitem] = ACTIONS(6927),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6929),
    [anon_sym_LBRACE] = ACTIONS(6929),
    [sym_word] = ACTIONS(6927),
    [sym_placeholder] = ACTIONS(6929),
    [sym_delimiter] = ACTIONS(6929),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_STAR] = ACTIONS(6929),
    [anon_sym_SLASH] = ACTIONS(6929),
    [anon_sym_LT] = ACTIONS(6927),
    [anon_sym_GT] = ACTIONS(6927),
    [anon_sym_BANG] = ACTIONS(6927),
    [anon_sym_PIPE] = ACTIONS(6927),
    [anon_sym_COLON] = ACTIONS(6927),
    [anon_sym_SQUOTE] = ACTIONS(6927),
    [anon_sym__] = ACTIONS(6929),
    [anon_sym_CARET] = ACTIONS(6929),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6929),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6929),
    [anon_sym_DOLLAR] = ACTIONS(6927),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6929),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6929),
    [anon_sym_BSLASHleft] = ACTIONS(6927),
    [anon_sym_BSLASHbigl] = ACTIONS(6927),
    [anon_sym_BSLASHBigl] = ACTIONS(6927),
    [anon_sym_BSLASHbiggl] = ACTIONS(6927),
    [anon_sym_BSLASHBiggl] = ACTIONS(6927),
    [anon_sym_BSLASHtext] = ACTIONS(6927),
    [anon_sym_BSLASHintertext] = ACTIONS(6927),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6927),
    [anon_sym_BSLASHbegin] = ACTIONS(6927),
    [anon_sym_BSLASHtitle] = ACTIONS(6927),
    [anon_sym_BSLASHauthor] = ACTIONS(6927),
    [anon_sym_BSLASHusepackage] = ACTIONS(6927),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6927),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6927),
    [anon_sym_BSLASHinclude] = ACTIONS(6927),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6927),
    [anon_sym_BSLASHinput] = ACTIONS(6927),
    [anon_sym_BSLASHsubfile] = ACTIONS(6927),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6927),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6927),
    [anon_sym_BSLASHbibliography] = ACTIONS(6927),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6927),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6927),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6927),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6927),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6927),
    [anon_sym_BSLASHimport] = ACTIONS(6927),
    [anon_sym_BSLASHsubimport] = ACTIONS(6927),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6927),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6927),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6927),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6927),
    [anon_sym_BSLASHcaption] = ACTIONS(6927),
    [anon_sym_BSLASHcite] = ACTIONS(6927),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHCite] = ACTIONS(6927),
    [anon_sym_BSLASHnocite] = ACTIONS(6927),
    [anon_sym_BSLASHcitet] = ACTIONS(6927),
    [anon_sym_BSLASHcitep] = ACTIONS(6927),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHciteA] = ACTIONS(6927),
    [anon_sym_BSLASHciteR] = ACTIONS(6927),
    [anon_sym_BSLASHciteS] = ACTIONS(6927),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6927),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6927),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6927),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6927),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHciteyear] = ACTIONS(6927),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcitedate] = ACTIONS(6927),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHciteurl] = ACTIONS(6927),
    [anon_sym_BSLASHfullcite] = ACTIONS(6927),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6927),
    [anon_sym_BSLASHcitealt] = ACTIONS(6927),
    [anon_sym_BSLASHcitealp] = ACTIONS(6927),
    [anon_sym_BSLASHcitetext] = ACTIONS(6927),
    [anon_sym_BSLASHparencite] = ACTIONS(6927),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHParencite] = ACTIONS(6927),
    [anon_sym_BSLASHfootcite] = ACTIONS(6927),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6927),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6927),
    [anon_sym_BSLASHtextcite] = ACTIONS(6927),
    [anon_sym_BSLASHTextcite] = ACTIONS(6927),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6927),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6927),
    [anon_sym_BSLASHsupercite] = ACTIONS(6927),
    [anon_sym_BSLASHautocite] = ACTIONS(6927),
    [anon_sym_BSLASHAutocite] = ACTIONS(6927),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHVolcite] = ACTIONS(6927),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHavolcite] = ACTIONS(6927),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHnotecite] = ACTIONS(6927),
    [anon_sym_BSLASHNotecite] = ACTIONS(6927),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6927),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6927),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6927),
    [anon_sym_BSLASHlabel] = ACTIONS(6927),
    [anon_sym_BSLASHref] = ACTIONS(6927),
    [anon_sym_BSLASHeqref] = ACTIONS(6927),
    [anon_sym_BSLASHvref] = ACTIONS(6927),
    [anon_sym_BSLASHVref] = ACTIONS(6927),
    [anon_sym_BSLASHautoref] = ACTIONS(6927),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHpageref] = ACTIONS(6927),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHautopageref] = ACTIONS(6927),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcref] = ACTIONS(6927),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHCref] = ACTIONS(6927),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcpageref] = ACTIONS(6927),
    [anon_sym_BSLASHCpageref] = ACTIONS(6927),
    [anon_sym_BSLASHnamecref] = ACTIONS(6927),
    [anon_sym_BSLASHnameCref] = ACTIONS(6927),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6927),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6927),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6927),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6927),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6927),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6927),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6927),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6927),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6927),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6927),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6927),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6927),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6927),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6927),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6927),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6927),
    [anon_sym_BSLASHdef] = ACTIONS(6927),
    [anon_sym_BSLASHgdef] = ACTIONS(6927),
    [anon_sym_BSLASHedef] = ACTIONS(6927),
    [anon_sym_BSLASHxdef] = ACTIONS(6927),
    [anon_sym_BSLASHlet] = ACTIONS(6927),
    [anon_sym_BSLASHglet] = ACTIONS(6927),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6927),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6927),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6927),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6927),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6927),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6927),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6927),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6927),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6927),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6927),
    [anon_sym_BSLASHgls] = ACTIONS(6927),
    [anon_sym_BSLASHGls] = ACTIONS(6927),
    [anon_sym_BSLASHGLS] = ACTIONS(6927),
    [anon_sym_BSLASHglspl] = ACTIONS(6927),
    [anon_sym_BSLASHGlspl] = ACTIONS(6927),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6927),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6927),
    [anon_sym_BSLASHglslink] = ACTIONS(6927),
    [anon_sym_BSLASHglstext] = ACTIONS(6927),
    [anon_sym_BSLASHGlstext] = ACTIONS(6927),
    [anon_sym_BSLASHGLStext] = ACTIONS(6927),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6927),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6927),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6927),
    [anon_sym_BSLASHglsplural] = ACTIONS(6927),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6927),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6927),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6927),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6927),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6927),
    [anon_sym_BSLASHglsname] = ACTIONS(6927),
    [anon_sym_BSLASHGlsname] = ACTIONS(6927),
    [anon_sym_BSLASHGLSname] = ACTIONS(6927),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6927),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6927),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6927),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6927),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6927),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6927),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6927),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6927),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6927),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6927),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6927),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6927),
    [anon_sym_BSLASHacrshort] = ACTIONS(6927),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6927),
    [anon_sym_BSLASHACRshort] = ACTIONS(6927),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6927),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6927),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6927),
    [anon_sym_BSLASHacrlong] = ACTIONS(6927),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6927),
    [anon_sym_BSLASHACRlong] = ACTIONS(6927),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6927),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6927),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6927),
    [anon_sym_BSLASHacrfull] = ACTIONS(6927),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6927),
    [anon_sym_BSLASHACRfull] = ACTIONS(6927),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6927),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6927),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6927),
    [anon_sym_BSLASHacs] = ACTIONS(6927),
    [anon_sym_BSLASHAcs] = ACTIONS(6927),
    [anon_sym_BSLASHacsp] = ACTIONS(6927),
    [anon_sym_BSLASHAcsp] = ACTIONS(6927),
    [anon_sym_BSLASHacl] = ACTIONS(6927),
    [anon_sym_BSLASHAcl] = ACTIONS(6927),
    [anon_sym_BSLASHaclp] = ACTIONS(6927),
    [anon_sym_BSLASHAclp] = ACTIONS(6927),
    [anon_sym_BSLASHacf] = ACTIONS(6927),
    [anon_sym_BSLASHAcf] = ACTIONS(6927),
    [anon_sym_BSLASHacfp] = ACTIONS(6927),
    [anon_sym_BSLASHAcfp] = ACTIONS(6927),
    [anon_sym_BSLASHac] = ACTIONS(6927),
    [anon_sym_BSLASHAc] = ACTIONS(6927),
    [anon_sym_BSLASHacp] = ACTIONS(6927),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6927),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6927),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6927),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6927),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6927),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6927),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6927),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6927),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6927),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6927),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6927),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6927),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6927),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6927),
    [anon_sym_BSLASHcolor] = ACTIONS(6927),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6927),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6927),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6927),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6927),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6927),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6927),
    [anon_sym_BSLASHurl] = ACTIONS(6927),
    [anon_sym_BSLASHhref] = ACTIONS(6927),
  },
  [1067] = {
    [ts_builtin_sym_end] = ACTIONS(7521),
    [sym_command_name] = ACTIONS(7519),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7519),
    [anon_sym_LBRACK] = ACTIONS(7521),
    [anon_sym_RBRACK] = ACTIONS(7521),
    [anon_sym_COMMA] = ACTIONS(7521),
    [anon_sym_EQ] = ACTIONS(7521),
    [anon_sym_LPAREN] = ACTIONS(7521),
    [anon_sym_RPAREN] = ACTIONS(7521),
    [anon_sym_BSLASHpart] = ACTIONS(7519),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHaddpart] = ACTIONS(7519),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHchapter] = ACTIONS(7519),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHaddchap] = ACTIONS(7519),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHsection] = ACTIONS(7519),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHaddsec] = ACTIONS(7519),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHsubsection] = ACTIONS(7519),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7519),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHparagraph] = ACTIONS(7519),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7519),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHitem] = ACTIONS(7519),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7521),
    [anon_sym_LBRACE] = ACTIONS(7521),
    [anon_sym_RBRACE] = ACTIONS(7521),
    [sym_word] = ACTIONS(7519),
    [sym_placeholder] = ACTIONS(7521),
    [sym_delimiter] = ACTIONS(7521),
    [anon_sym_PLUS] = ACTIONS(7521),
    [anon_sym_DASH] = ACTIONS(7521),
    [anon_sym_STAR] = ACTIONS(7521),
    [anon_sym_SLASH] = ACTIONS(7521),
    [anon_sym_LT] = ACTIONS(7519),
    [anon_sym_GT] = ACTIONS(7519),
    [anon_sym_BANG] = ACTIONS(7519),
    [anon_sym_PIPE] = ACTIONS(7519),
    [anon_sym_COLON] = ACTIONS(7519),
    [anon_sym_SQUOTE] = ACTIONS(7519),
    [anon_sym__] = ACTIONS(7521),
    [anon_sym_CARET] = ACTIONS(7521),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7521),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7521),
    [anon_sym_DOLLAR] = ACTIONS(7519),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7521),
    [anon_sym_BSLASHleft] = ACTIONS(7519),
    [anon_sym_BSLASHbigl] = ACTIONS(7519),
    [anon_sym_BSLASHBigl] = ACTIONS(7519),
    [anon_sym_BSLASHbiggl] = ACTIONS(7519),
    [anon_sym_BSLASHBiggl] = ACTIONS(7519),
    [anon_sym_BSLASHtext] = ACTIONS(7519),
    [anon_sym_BSLASHintertext] = ACTIONS(7519),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7519),
    [anon_sym_BSLASHbegin] = ACTIONS(7519),
    [anon_sym_BSLASHtitle] = ACTIONS(7519),
    [anon_sym_BSLASHauthor] = ACTIONS(7519),
    [anon_sym_BSLASHusepackage] = ACTIONS(7519),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7519),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7519),
    [anon_sym_BSLASHinclude] = ACTIONS(7519),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7519),
    [anon_sym_BSLASHinput] = ACTIONS(7519),
    [anon_sym_BSLASHsubfile] = ACTIONS(7519),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7519),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7519),
    [anon_sym_BSLASHbibliography] = ACTIONS(7519),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7519),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7519),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7519),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7519),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7519),
    [anon_sym_BSLASHimport] = ACTIONS(7519),
    [anon_sym_BSLASHsubimport] = ACTIONS(7519),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7519),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7519),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7519),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7519),
    [anon_sym_BSLASHcaption] = ACTIONS(7519),
    [anon_sym_BSLASHcite] = ACTIONS(7519),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCite] = ACTIONS(7519),
    [anon_sym_BSLASHnocite] = ACTIONS(7519),
    [anon_sym_BSLASHcitet] = ACTIONS(7519),
    [anon_sym_BSLASHcitep] = ACTIONS(7519),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteA] = ACTIONS(7519),
    [anon_sym_BSLASHciteR] = ACTIONS(7519),
    [anon_sym_BSLASHciteS] = ACTIONS(7519),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7519),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7519),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7519),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7519),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteyear] = ACTIONS(7519),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitedate] = ACTIONS(7519),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteurl] = ACTIONS(7519),
    [anon_sym_BSLASHfullcite] = ACTIONS(7519),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7519),
    [anon_sym_BSLASHcitealt] = ACTIONS(7519),
    [anon_sym_BSLASHcitealp] = ACTIONS(7519),
    [anon_sym_BSLASHcitetext] = ACTIONS(7519),
    [anon_sym_BSLASHparencite] = ACTIONS(7519),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHParencite] = ACTIONS(7519),
    [anon_sym_BSLASHfootcite] = ACTIONS(7519),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7519),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7519),
    [anon_sym_BSLASHtextcite] = ACTIONS(7519),
    [anon_sym_BSLASHTextcite] = ACTIONS(7519),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7519),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7519),
    [anon_sym_BSLASHsupercite] = ACTIONS(7519),
    [anon_sym_BSLASHautocite] = ACTIONS(7519),
    [anon_sym_BSLASHAutocite] = ACTIONS(7519),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHVolcite] = ACTIONS(7519),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHavolcite] = ACTIONS(7519),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHNotecite] = ACTIONS(7519),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHlabel] = ACTIONS(7519),
    [anon_sym_BSLASHref] = ACTIONS(7519),
    [anon_sym_BSLASHeqref] = ACTIONS(7519),
    [anon_sym_BSLASHvref] = ACTIONS(7519),
    [anon_sym_BSLASHVref] = ACTIONS(7519),
    [anon_sym_BSLASHautoref] = ACTIONS(7519),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHpageref] = ACTIONS(7519),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHautopageref] = ACTIONS(7519),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcref] = ACTIONS(7519),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCref] = ACTIONS(7519),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcpageref] = ACTIONS(7519),
    [anon_sym_BSLASHCpageref] = ACTIONS(7519),
    [anon_sym_BSLASHnamecref] = ACTIONS(7519),
    [anon_sym_BSLASHnameCref] = ACTIONS(7519),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7519),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7519),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7519),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7519),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7519),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7519),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7519),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7519),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7519),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7519),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7519),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHdef] = ACTIONS(7519),
    [anon_sym_BSLASHgdef] = ACTIONS(7519),
    [anon_sym_BSLASHedef] = ACTIONS(7519),
    [anon_sym_BSLASHxdef] = ACTIONS(7519),
    [anon_sym_BSLASHlet] = ACTIONS(7519),
    [anon_sym_BSLASHglet] = ACTIONS(7519),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7519),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7519),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7519),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7519),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7519),
    [anon_sym_BSLASHgls] = ACTIONS(7519),
    [anon_sym_BSLASHGls] = ACTIONS(7519),
    [anon_sym_BSLASHGLS] = ACTIONS(7519),
    [anon_sym_BSLASHglspl] = ACTIONS(7519),
    [anon_sym_BSLASHGlspl] = ACTIONS(7519),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7519),
    [anon_sym_BSLASHglslink] = ACTIONS(7519),
    [anon_sym_BSLASHglstext] = ACTIONS(7519),
    [anon_sym_BSLASHGlstext] = ACTIONS(7519),
    [anon_sym_BSLASHGLStext] = ACTIONS(7519),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7519),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7519),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7519),
    [anon_sym_BSLASHglsplural] = ACTIONS(7519),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7519),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7519),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHglsname] = ACTIONS(7519),
    [anon_sym_BSLASHGlsname] = ACTIONS(7519),
    [anon_sym_BSLASHGLSname] = ACTIONS(7519),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7519),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7519),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7519),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7519),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7519),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7519),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7519),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7519),
    [anon_sym_BSLASHacrshort] = ACTIONS(7519),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7519),
    [anon_sym_BSLASHACRshort] = ACTIONS(7519),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHacrlong] = ACTIONS(7519),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7519),
    [anon_sym_BSLASHACRlong] = ACTIONS(7519),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHacrfull] = ACTIONS(7519),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7519),
    [anon_sym_BSLASHACRfull] = ACTIONS(7519),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHacs] = ACTIONS(7519),
    [anon_sym_BSLASHAcs] = ACTIONS(7519),
    [anon_sym_BSLASHacsp] = ACTIONS(7519),
    [anon_sym_BSLASHAcsp] = ACTIONS(7519),
    [anon_sym_BSLASHacl] = ACTIONS(7519),
    [anon_sym_BSLASHAcl] = ACTIONS(7519),
    [anon_sym_BSLASHaclp] = ACTIONS(7519),
    [anon_sym_BSLASHAclp] = ACTIONS(7519),
    [anon_sym_BSLASHacf] = ACTIONS(7519),
    [anon_sym_BSLASHAcf] = ACTIONS(7519),
    [anon_sym_BSLASHacfp] = ACTIONS(7519),
    [anon_sym_BSLASHAcfp] = ACTIONS(7519),
    [anon_sym_BSLASHac] = ACTIONS(7519),
    [anon_sym_BSLASHAc] = ACTIONS(7519),
    [anon_sym_BSLASHacp] = ACTIONS(7519),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7519),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7519),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7519),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7519),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7519),
    [anon_sym_BSLASHcolor] = ACTIONS(7519),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7519),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7519),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7519),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7519),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7519),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7519),
    [anon_sym_BSLASHurl] = ACTIONS(7519),
    [anon_sym_BSLASHhref] = ACTIONS(7519),
  },
  [1068] = {
    [ts_builtin_sym_end] = ACTIONS(7525),
    [sym_command_name] = ACTIONS(7523),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7523),
    [anon_sym_LBRACK] = ACTIONS(7525),
    [anon_sym_RBRACK] = ACTIONS(7525),
    [anon_sym_COMMA] = ACTIONS(7525),
    [anon_sym_EQ] = ACTIONS(7525),
    [anon_sym_LPAREN] = ACTIONS(7525),
    [anon_sym_RPAREN] = ACTIONS(7525),
    [anon_sym_BSLASHpart] = ACTIONS(7523),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHaddpart] = ACTIONS(7523),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHchapter] = ACTIONS(7523),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHaddchap] = ACTIONS(7523),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHsection] = ACTIONS(7523),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHaddsec] = ACTIONS(7523),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHsubsection] = ACTIONS(7523),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7523),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHparagraph] = ACTIONS(7523),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7523),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHitem] = ACTIONS(7523),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7525),
    [anon_sym_LBRACE] = ACTIONS(7525),
    [anon_sym_RBRACE] = ACTIONS(7525),
    [sym_word] = ACTIONS(7523),
    [sym_placeholder] = ACTIONS(7525),
    [sym_delimiter] = ACTIONS(7525),
    [anon_sym_PLUS] = ACTIONS(7525),
    [anon_sym_DASH] = ACTIONS(7525),
    [anon_sym_STAR] = ACTIONS(7525),
    [anon_sym_SLASH] = ACTIONS(7525),
    [anon_sym_LT] = ACTIONS(7523),
    [anon_sym_GT] = ACTIONS(7523),
    [anon_sym_BANG] = ACTIONS(7523),
    [anon_sym_PIPE] = ACTIONS(7523),
    [anon_sym_COLON] = ACTIONS(7523),
    [anon_sym_SQUOTE] = ACTIONS(7523),
    [anon_sym__] = ACTIONS(7525),
    [anon_sym_CARET] = ACTIONS(7525),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7525),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7525),
    [anon_sym_DOLLAR] = ACTIONS(7523),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7525),
    [anon_sym_BSLASHleft] = ACTIONS(7523),
    [anon_sym_BSLASHbigl] = ACTIONS(7523),
    [anon_sym_BSLASHBigl] = ACTIONS(7523),
    [anon_sym_BSLASHbiggl] = ACTIONS(7523),
    [anon_sym_BSLASHBiggl] = ACTIONS(7523),
    [anon_sym_BSLASHtext] = ACTIONS(7523),
    [anon_sym_BSLASHintertext] = ACTIONS(7523),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7523),
    [anon_sym_BSLASHbegin] = ACTIONS(7523),
    [anon_sym_BSLASHtitle] = ACTIONS(7523),
    [anon_sym_BSLASHauthor] = ACTIONS(7523),
    [anon_sym_BSLASHusepackage] = ACTIONS(7523),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7523),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7523),
    [anon_sym_BSLASHinclude] = ACTIONS(7523),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7523),
    [anon_sym_BSLASHinput] = ACTIONS(7523),
    [anon_sym_BSLASHsubfile] = ACTIONS(7523),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7523),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7523),
    [anon_sym_BSLASHbibliography] = ACTIONS(7523),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7523),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7523),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7523),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7523),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7523),
    [anon_sym_BSLASHimport] = ACTIONS(7523),
    [anon_sym_BSLASHsubimport] = ACTIONS(7523),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7523),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7523),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7523),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7523),
    [anon_sym_BSLASHcaption] = ACTIONS(7523),
    [anon_sym_BSLASHcite] = ACTIONS(7523),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCite] = ACTIONS(7523),
    [anon_sym_BSLASHnocite] = ACTIONS(7523),
    [anon_sym_BSLASHcitet] = ACTIONS(7523),
    [anon_sym_BSLASHcitep] = ACTIONS(7523),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteA] = ACTIONS(7523),
    [anon_sym_BSLASHciteR] = ACTIONS(7523),
    [anon_sym_BSLASHciteS] = ACTIONS(7523),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7523),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7523),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7523),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7523),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteyear] = ACTIONS(7523),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitedate] = ACTIONS(7523),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteurl] = ACTIONS(7523),
    [anon_sym_BSLASHfullcite] = ACTIONS(7523),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7523),
    [anon_sym_BSLASHcitealt] = ACTIONS(7523),
    [anon_sym_BSLASHcitealp] = ACTIONS(7523),
    [anon_sym_BSLASHcitetext] = ACTIONS(7523),
    [anon_sym_BSLASHparencite] = ACTIONS(7523),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHParencite] = ACTIONS(7523),
    [anon_sym_BSLASHfootcite] = ACTIONS(7523),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7523),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7523),
    [anon_sym_BSLASHtextcite] = ACTIONS(7523),
    [anon_sym_BSLASHTextcite] = ACTIONS(7523),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7523),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7523),
    [anon_sym_BSLASHsupercite] = ACTIONS(7523),
    [anon_sym_BSLASHautocite] = ACTIONS(7523),
    [anon_sym_BSLASHAutocite] = ACTIONS(7523),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHVolcite] = ACTIONS(7523),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHavolcite] = ACTIONS(7523),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHNotecite] = ACTIONS(7523),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHlabel] = ACTIONS(7523),
    [anon_sym_BSLASHref] = ACTIONS(7523),
    [anon_sym_BSLASHeqref] = ACTIONS(7523),
    [anon_sym_BSLASHvref] = ACTIONS(7523),
    [anon_sym_BSLASHVref] = ACTIONS(7523),
    [anon_sym_BSLASHautoref] = ACTIONS(7523),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHpageref] = ACTIONS(7523),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHautopageref] = ACTIONS(7523),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcref] = ACTIONS(7523),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCref] = ACTIONS(7523),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcpageref] = ACTIONS(7523),
    [anon_sym_BSLASHCpageref] = ACTIONS(7523),
    [anon_sym_BSLASHnamecref] = ACTIONS(7523),
    [anon_sym_BSLASHnameCref] = ACTIONS(7523),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7523),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7523),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7523),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7523),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7523),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7523),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7523),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7523),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7523),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7523),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7523),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHdef] = ACTIONS(7523),
    [anon_sym_BSLASHgdef] = ACTIONS(7523),
    [anon_sym_BSLASHedef] = ACTIONS(7523),
    [anon_sym_BSLASHxdef] = ACTIONS(7523),
    [anon_sym_BSLASHlet] = ACTIONS(7523),
    [anon_sym_BSLASHglet] = ACTIONS(7523),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7523),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7523),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7523),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7523),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7523),
    [anon_sym_BSLASHgls] = ACTIONS(7523),
    [anon_sym_BSLASHGls] = ACTIONS(7523),
    [anon_sym_BSLASHGLS] = ACTIONS(7523),
    [anon_sym_BSLASHglspl] = ACTIONS(7523),
    [anon_sym_BSLASHGlspl] = ACTIONS(7523),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7523),
    [anon_sym_BSLASHglslink] = ACTIONS(7523),
    [anon_sym_BSLASHglstext] = ACTIONS(7523),
    [anon_sym_BSLASHGlstext] = ACTIONS(7523),
    [anon_sym_BSLASHGLStext] = ACTIONS(7523),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7523),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7523),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7523),
    [anon_sym_BSLASHglsplural] = ACTIONS(7523),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7523),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7523),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHglsname] = ACTIONS(7523),
    [anon_sym_BSLASHGlsname] = ACTIONS(7523),
    [anon_sym_BSLASHGLSname] = ACTIONS(7523),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7523),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7523),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7523),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7523),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7523),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7523),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7523),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7523),
    [anon_sym_BSLASHacrshort] = ACTIONS(7523),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7523),
    [anon_sym_BSLASHACRshort] = ACTIONS(7523),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHacrlong] = ACTIONS(7523),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7523),
    [anon_sym_BSLASHACRlong] = ACTIONS(7523),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHacrfull] = ACTIONS(7523),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7523),
    [anon_sym_BSLASHACRfull] = ACTIONS(7523),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHacs] = ACTIONS(7523),
    [anon_sym_BSLASHAcs] = ACTIONS(7523),
    [anon_sym_BSLASHacsp] = ACTIONS(7523),
    [anon_sym_BSLASHAcsp] = ACTIONS(7523),
    [anon_sym_BSLASHacl] = ACTIONS(7523),
    [anon_sym_BSLASHAcl] = ACTIONS(7523),
    [anon_sym_BSLASHaclp] = ACTIONS(7523),
    [anon_sym_BSLASHAclp] = ACTIONS(7523),
    [anon_sym_BSLASHacf] = ACTIONS(7523),
    [anon_sym_BSLASHAcf] = ACTIONS(7523),
    [anon_sym_BSLASHacfp] = ACTIONS(7523),
    [anon_sym_BSLASHAcfp] = ACTIONS(7523),
    [anon_sym_BSLASHac] = ACTIONS(7523),
    [anon_sym_BSLASHAc] = ACTIONS(7523),
    [anon_sym_BSLASHacp] = ACTIONS(7523),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7523),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7523),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7523),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7523),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7523),
    [anon_sym_BSLASHcolor] = ACTIONS(7523),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7523),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7523),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7523),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7523),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7523),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7523),
    [anon_sym_BSLASHurl] = ACTIONS(7523),
    [anon_sym_BSLASHhref] = ACTIONS(7523),
  },
  [1069] = {
    [ts_builtin_sym_end] = ACTIONS(7529),
    [sym_command_name] = ACTIONS(7527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7527),
    [anon_sym_LBRACK] = ACTIONS(7529),
    [anon_sym_RBRACK] = ACTIONS(7529),
    [anon_sym_COMMA] = ACTIONS(7529),
    [anon_sym_EQ] = ACTIONS(7529),
    [anon_sym_LPAREN] = ACTIONS(7529),
    [anon_sym_RPAREN] = ACTIONS(7529),
    [anon_sym_BSLASHpart] = ACTIONS(7527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHaddpart] = ACTIONS(7527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHchapter] = ACTIONS(7527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHaddchap] = ACTIONS(7527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHsection] = ACTIONS(7527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHaddsec] = ACTIONS(7527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHsubsection] = ACTIONS(7527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHparagraph] = ACTIONS(7527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHitem] = ACTIONS(7527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7529),
    [anon_sym_LBRACE] = ACTIONS(7529),
    [anon_sym_RBRACE] = ACTIONS(7529),
    [sym_word] = ACTIONS(7527),
    [sym_placeholder] = ACTIONS(7529),
    [sym_delimiter] = ACTIONS(7529),
    [anon_sym_PLUS] = ACTIONS(7529),
    [anon_sym_DASH] = ACTIONS(7529),
    [anon_sym_STAR] = ACTIONS(7529),
    [anon_sym_SLASH] = ACTIONS(7529),
    [anon_sym_LT] = ACTIONS(7527),
    [anon_sym_GT] = ACTIONS(7527),
    [anon_sym_BANG] = ACTIONS(7527),
    [anon_sym_PIPE] = ACTIONS(7527),
    [anon_sym_COLON] = ACTIONS(7527),
    [anon_sym_SQUOTE] = ACTIONS(7527),
    [anon_sym__] = ACTIONS(7529),
    [anon_sym_CARET] = ACTIONS(7529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7529),
    [anon_sym_DOLLAR] = ACTIONS(7527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7529),
    [anon_sym_BSLASHleft] = ACTIONS(7527),
    [anon_sym_BSLASHbigl] = ACTIONS(7527),
    [anon_sym_BSLASHBigl] = ACTIONS(7527),
    [anon_sym_BSLASHbiggl] = ACTIONS(7527),
    [anon_sym_BSLASHBiggl] = ACTIONS(7527),
    [anon_sym_BSLASHtext] = ACTIONS(7527),
    [anon_sym_BSLASHintertext] = ACTIONS(7527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7527),
    [anon_sym_BSLASHbegin] = ACTIONS(7527),
    [anon_sym_BSLASHtitle] = ACTIONS(7527),
    [anon_sym_BSLASHauthor] = ACTIONS(7527),
    [anon_sym_BSLASHusepackage] = ACTIONS(7527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7527),
    [anon_sym_BSLASHinclude] = ACTIONS(7527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7527),
    [anon_sym_BSLASHinput] = ACTIONS(7527),
    [anon_sym_BSLASHsubfile] = ACTIONS(7527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7527),
    [anon_sym_BSLASHbibliography] = ACTIONS(7527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7527),
    [anon_sym_BSLASHimport] = ACTIONS(7527),
    [anon_sym_BSLASHsubimport] = ACTIONS(7527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7527),
    [anon_sym_BSLASHcaption] = ACTIONS(7527),
    [anon_sym_BSLASHcite] = ACTIONS(7527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCite] = ACTIONS(7527),
    [anon_sym_BSLASHnocite] = ACTIONS(7527),
    [anon_sym_BSLASHcitet] = ACTIONS(7527),
    [anon_sym_BSLASHcitep] = ACTIONS(7527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteA] = ACTIONS(7527),
    [anon_sym_BSLASHciteR] = ACTIONS(7527),
    [anon_sym_BSLASHciteS] = ACTIONS(7527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteyear] = ACTIONS(7527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitedate] = ACTIONS(7527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteurl] = ACTIONS(7527),
    [anon_sym_BSLASHfullcite] = ACTIONS(7527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7527),
    [anon_sym_BSLASHcitealt] = ACTIONS(7527),
    [anon_sym_BSLASHcitealp] = ACTIONS(7527),
    [anon_sym_BSLASHcitetext] = ACTIONS(7527),
    [anon_sym_BSLASHparencite] = ACTIONS(7527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHParencite] = ACTIONS(7527),
    [anon_sym_BSLASHfootcite] = ACTIONS(7527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7527),
    [anon_sym_BSLASHtextcite] = ACTIONS(7527),
    [anon_sym_BSLASHTextcite] = ACTIONS(7527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7527),
    [anon_sym_BSLASHsupercite] = ACTIONS(7527),
    [anon_sym_BSLASHautocite] = ACTIONS(7527),
    [anon_sym_BSLASHAutocite] = ACTIONS(7527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHVolcite] = ACTIONS(7527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHavolcite] = ACTIONS(7527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHNotecite] = ACTIONS(7527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHlabel] = ACTIONS(7527),
    [anon_sym_BSLASHref] = ACTIONS(7527),
    [anon_sym_BSLASHeqref] = ACTIONS(7527),
    [anon_sym_BSLASHvref] = ACTIONS(7527),
    [anon_sym_BSLASHVref] = ACTIONS(7527),
    [anon_sym_BSLASHautoref] = ACTIONS(7527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHpageref] = ACTIONS(7527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHautopageref] = ACTIONS(7527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcref] = ACTIONS(7527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCref] = ACTIONS(7527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcpageref] = ACTIONS(7527),
    [anon_sym_BSLASHCpageref] = ACTIONS(7527),
    [anon_sym_BSLASHnamecref] = ACTIONS(7527),
    [anon_sym_BSLASHnameCref] = ACTIONS(7527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHdef] = ACTIONS(7527),
    [anon_sym_BSLASHgdef] = ACTIONS(7527),
    [anon_sym_BSLASHedef] = ACTIONS(7527),
    [anon_sym_BSLASHxdef] = ACTIONS(7527),
    [anon_sym_BSLASHlet] = ACTIONS(7527),
    [anon_sym_BSLASHglet] = ACTIONS(7527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7527),
    [anon_sym_BSLASHgls] = ACTIONS(7527),
    [anon_sym_BSLASHGls] = ACTIONS(7527),
    [anon_sym_BSLASHGLS] = ACTIONS(7527),
    [anon_sym_BSLASHglspl] = ACTIONS(7527),
    [anon_sym_BSLASHGlspl] = ACTIONS(7527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7527),
    [anon_sym_BSLASHglslink] = ACTIONS(7527),
    [anon_sym_BSLASHglstext] = ACTIONS(7527),
    [anon_sym_BSLASHGlstext] = ACTIONS(7527),
    [anon_sym_BSLASHGLStext] = ACTIONS(7527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7527),
    [anon_sym_BSLASHglsplural] = ACTIONS(7527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHglsname] = ACTIONS(7527),
    [anon_sym_BSLASHGlsname] = ACTIONS(7527),
    [anon_sym_BSLASHGLSname] = ACTIONS(7527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7527),
    [anon_sym_BSLASHacrshort] = ACTIONS(7527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7527),
    [anon_sym_BSLASHACRshort] = ACTIONS(7527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHacrlong] = ACTIONS(7527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7527),
    [anon_sym_BSLASHACRlong] = ACTIONS(7527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHacrfull] = ACTIONS(7527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7527),
    [anon_sym_BSLASHACRfull] = ACTIONS(7527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHacs] = ACTIONS(7527),
    [anon_sym_BSLASHAcs] = ACTIONS(7527),
    [anon_sym_BSLASHacsp] = ACTIONS(7527),
    [anon_sym_BSLASHAcsp] = ACTIONS(7527),
    [anon_sym_BSLASHacl] = ACTIONS(7527),
    [anon_sym_BSLASHAcl] = ACTIONS(7527),
    [anon_sym_BSLASHaclp] = ACTIONS(7527),
    [anon_sym_BSLASHAclp] = ACTIONS(7527),
    [anon_sym_BSLASHacf] = ACTIONS(7527),
    [anon_sym_BSLASHAcf] = ACTIONS(7527),
    [anon_sym_BSLASHacfp] = ACTIONS(7527),
    [anon_sym_BSLASHAcfp] = ACTIONS(7527),
    [anon_sym_BSLASHac] = ACTIONS(7527),
    [anon_sym_BSLASHAc] = ACTIONS(7527),
    [anon_sym_BSLASHacp] = ACTIONS(7527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7527),
    [anon_sym_BSLASHcolor] = ACTIONS(7527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7527),
    [anon_sym_BSLASHurl] = ACTIONS(7527),
    [anon_sym_BSLASHhref] = ACTIONS(7527),
  },
  [1070] = {
    [ts_builtin_sym_end] = ACTIONS(7217),
    [sym_command_name] = ACTIONS(7215),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7215),
    [anon_sym_LBRACK] = ACTIONS(7217),
    [anon_sym_RBRACK] = ACTIONS(7217),
    [anon_sym_COMMA] = ACTIONS(7217),
    [anon_sym_EQ] = ACTIONS(7217),
    [anon_sym_LPAREN] = ACTIONS(7217),
    [anon_sym_RPAREN] = ACTIONS(7217),
    [anon_sym_BSLASHpart] = ACTIONS(7215),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHaddpart] = ACTIONS(7215),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHchapter] = ACTIONS(7215),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHaddchap] = ACTIONS(7215),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHsection] = ACTIONS(7215),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHaddsec] = ACTIONS(7215),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHsubsection] = ACTIONS(7215),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7215),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHparagraph] = ACTIONS(7215),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7215),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHitem] = ACTIONS(7215),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7217),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_RBRACE] = ACTIONS(7217),
    [sym_word] = ACTIONS(7215),
    [sym_placeholder] = ACTIONS(7217),
    [sym_delimiter] = ACTIONS(7217),
    [anon_sym_PLUS] = ACTIONS(7217),
    [anon_sym_DASH] = ACTIONS(7217),
    [anon_sym_STAR] = ACTIONS(7217),
    [anon_sym_SLASH] = ACTIONS(7217),
    [anon_sym_LT] = ACTIONS(7215),
    [anon_sym_GT] = ACTIONS(7215),
    [anon_sym_BANG] = ACTIONS(7215),
    [anon_sym_PIPE] = ACTIONS(7215),
    [anon_sym_COLON] = ACTIONS(7215),
    [anon_sym_SQUOTE] = ACTIONS(7215),
    [anon_sym__] = ACTIONS(7217),
    [anon_sym_CARET] = ACTIONS(7217),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7217),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7217),
    [anon_sym_DOLLAR] = ACTIONS(7215),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7217),
    [anon_sym_BSLASHleft] = ACTIONS(7215),
    [anon_sym_BSLASHbigl] = ACTIONS(7215),
    [anon_sym_BSLASHBigl] = ACTIONS(7215),
    [anon_sym_BSLASHbiggl] = ACTIONS(7215),
    [anon_sym_BSLASHBiggl] = ACTIONS(7215),
    [anon_sym_BSLASHtext] = ACTIONS(7215),
    [anon_sym_BSLASHintertext] = ACTIONS(7215),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7215),
    [anon_sym_BSLASHbegin] = ACTIONS(7215),
    [anon_sym_BSLASHtitle] = ACTIONS(7215),
    [anon_sym_BSLASHauthor] = ACTIONS(7215),
    [anon_sym_BSLASHusepackage] = ACTIONS(7215),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7215),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7215),
    [anon_sym_BSLASHinclude] = ACTIONS(7215),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7215),
    [anon_sym_BSLASHinput] = ACTIONS(7215),
    [anon_sym_BSLASHsubfile] = ACTIONS(7215),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7215),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7215),
    [anon_sym_BSLASHbibliography] = ACTIONS(7215),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7215),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7215),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7215),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7215),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7215),
    [anon_sym_BSLASHimport] = ACTIONS(7215),
    [anon_sym_BSLASHsubimport] = ACTIONS(7215),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7215),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7215),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7215),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7215),
    [anon_sym_BSLASHcaption] = ACTIONS(7215),
    [anon_sym_BSLASHcite] = ACTIONS(7215),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCite] = ACTIONS(7215),
    [anon_sym_BSLASHnocite] = ACTIONS(7215),
    [anon_sym_BSLASHcitet] = ACTIONS(7215),
    [anon_sym_BSLASHcitep] = ACTIONS(7215),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteA] = ACTIONS(7215),
    [anon_sym_BSLASHciteR] = ACTIONS(7215),
    [anon_sym_BSLASHciteS] = ACTIONS(7215),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7215),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7215),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7215),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7215),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteyear] = ACTIONS(7215),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitedate] = ACTIONS(7215),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteurl] = ACTIONS(7215),
    [anon_sym_BSLASHfullcite] = ACTIONS(7215),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7215),
    [anon_sym_BSLASHcitealt] = ACTIONS(7215),
    [anon_sym_BSLASHcitealp] = ACTIONS(7215),
    [anon_sym_BSLASHcitetext] = ACTIONS(7215),
    [anon_sym_BSLASHparencite] = ACTIONS(7215),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHParencite] = ACTIONS(7215),
    [anon_sym_BSLASHfootcite] = ACTIONS(7215),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7215),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7215),
    [anon_sym_BSLASHtextcite] = ACTIONS(7215),
    [anon_sym_BSLASHTextcite] = ACTIONS(7215),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7215),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7215),
    [anon_sym_BSLASHsupercite] = ACTIONS(7215),
    [anon_sym_BSLASHautocite] = ACTIONS(7215),
    [anon_sym_BSLASHAutocite] = ACTIONS(7215),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHVolcite] = ACTIONS(7215),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHavolcite] = ACTIONS(7215),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHNotecite] = ACTIONS(7215),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHlabel] = ACTIONS(7215),
    [anon_sym_BSLASHref] = ACTIONS(7215),
    [anon_sym_BSLASHeqref] = ACTIONS(7215),
    [anon_sym_BSLASHvref] = ACTIONS(7215),
    [anon_sym_BSLASHVref] = ACTIONS(7215),
    [anon_sym_BSLASHautoref] = ACTIONS(7215),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHpageref] = ACTIONS(7215),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHautopageref] = ACTIONS(7215),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcref] = ACTIONS(7215),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCref] = ACTIONS(7215),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcpageref] = ACTIONS(7215),
    [anon_sym_BSLASHCpageref] = ACTIONS(7215),
    [anon_sym_BSLASHnamecref] = ACTIONS(7215),
    [anon_sym_BSLASHnameCref] = ACTIONS(7215),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7215),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7215),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7215),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7215),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7215),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7215),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7215),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7215),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7215),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7215),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7215),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHdef] = ACTIONS(7215),
    [anon_sym_BSLASHgdef] = ACTIONS(7215),
    [anon_sym_BSLASHedef] = ACTIONS(7215),
    [anon_sym_BSLASHxdef] = ACTIONS(7215),
    [anon_sym_BSLASHlet] = ACTIONS(7215),
    [anon_sym_BSLASHglet] = ACTIONS(7215),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7215),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7215),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7215),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7215),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7215),
    [anon_sym_BSLASHgls] = ACTIONS(7215),
    [anon_sym_BSLASHGls] = ACTIONS(7215),
    [anon_sym_BSLASHGLS] = ACTIONS(7215),
    [anon_sym_BSLASHglspl] = ACTIONS(7215),
    [anon_sym_BSLASHGlspl] = ACTIONS(7215),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7215),
    [anon_sym_BSLASHglslink] = ACTIONS(7215),
    [anon_sym_BSLASHglstext] = ACTIONS(7215),
    [anon_sym_BSLASHGlstext] = ACTIONS(7215),
    [anon_sym_BSLASHGLStext] = ACTIONS(7215),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7215),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7215),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7215),
    [anon_sym_BSLASHglsplural] = ACTIONS(7215),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7215),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7215),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHglsname] = ACTIONS(7215),
    [anon_sym_BSLASHGlsname] = ACTIONS(7215),
    [anon_sym_BSLASHGLSname] = ACTIONS(7215),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7215),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7215),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7215),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7215),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7215),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7215),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7215),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7215),
    [anon_sym_BSLASHacrshort] = ACTIONS(7215),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7215),
    [anon_sym_BSLASHACRshort] = ACTIONS(7215),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHacrlong] = ACTIONS(7215),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7215),
    [anon_sym_BSLASHACRlong] = ACTIONS(7215),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHacrfull] = ACTIONS(7215),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7215),
    [anon_sym_BSLASHACRfull] = ACTIONS(7215),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHacs] = ACTIONS(7215),
    [anon_sym_BSLASHAcs] = ACTIONS(7215),
    [anon_sym_BSLASHacsp] = ACTIONS(7215),
    [anon_sym_BSLASHAcsp] = ACTIONS(7215),
    [anon_sym_BSLASHacl] = ACTIONS(7215),
    [anon_sym_BSLASHAcl] = ACTIONS(7215),
    [anon_sym_BSLASHaclp] = ACTIONS(7215),
    [anon_sym_BSLASHAclp] = ACTIONS(7215),
    [anon_sym_BSLASHacf] = ACTIONS(7215),
    [anon_sym_BSLASHAcf] = ACTIONS(7215),
    [anon_sym_BSLASHacfp] = ACTIONS(7215),
    [anon_sym_BSLASHAcfp] = ACTIONS(7215),
    [anon_sym_BSLASHac] = ACTIONS(7215),
    [anon_sym_BSLASHAc] = ACTIONS(7215),
    [anon_sym_BSLASHacp] = ACTIONS(7215),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7215),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7215),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7215),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7215),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7215),
    [anon_sym_BSLASHcolor] = ACTIONS(7215),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7215),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7215),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7215),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7215),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7215),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7215),
    [anon_sym_BSLASHurl] = ACTIONS(7215),
    [anon_sym_BSLASHhref] = ACTIONS(7215),
  },
  [1071] = {
    [ts_builtin_sym_end] = ACTIONS(7221),
    [sym_command_name] = ACTIONS(7219),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7219),
    [anon_sym_LBRACK] = ACTIONS(7221),
    [anon_sym_RBRACK] = ACTIONS(7221),
    [anon_sym_COMMA] = ACTIONS(7221),
    [anon_sym_EQ] = ACTIONS(7221),
    [anon_sym_LPAREN] = ACTIONS(7221),
    [anon_sym_RPAREN] = ACTIONS(7221),
    [anon_sym_BSLASHpart] = ACTIONS(7219),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHaddpart] = ACTIONS(7219),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHchapter] = ACTIONS(7219),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHaddchap] = ACTIONS(7219),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHsection] = ACTIONS(7219),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHaddsec] = ACTIONS(7219),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHsubsection] = ACTIONS(7219),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7219),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHparagraph] = ACTIONS(7219),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7219),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHitem] = ACTIONS(7219),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7221),
    [anon_sym_LBRACE] = ACTIONS(7221),
    [anon_sym_RBRACE] = ACTIONS(7221),
    [sym_word] = ACTIONS(7219),
    [sym_placeholder] = ACTIONS(7221),
    [sym_delimiter] = ACTIONS(7221),
    [anon_sym_PLUS] = ACTIONS(7221),
    [anon_sym_DASH] = ACTIONS(7221),
    [anon_sym_STAR] = ACTIONS(7221),
    [anon_sym_SLASH] = ACTIONS(7221),
    [anon_sym_LT] = ACTIONS(7219),
    [anon_sym_GT] = ACTIONS(7219),
    [anon_sym_BANG] = ACTIONS(7219),
    [anon_sym_PIPE] = ACTIONS(7219),
    [anon_sym_COLON] = ACTIONS(7219),
    [anon_sym_SQUOTE] = ACTIONS(7219),
    [anon_sym__] = ACTIONS(7221),
    [anon_sym_CARET] = ACTIONS(7221),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7221),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7221),
    [anon_sym_DOLLAR] = ACTIONS(7219),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7221),
    [anon_sym_BSLASHleft] = ACTIONS(7219),
    [anon_sym_BSLASHbigl] = ACTIONS(7219),
    [anon_sym_BSLASHBigl] = ACTIONS(7219),
    [anon_sym_BSLASHbiggl] = ACTIONS(7219),
    [anon_sym_BSLASHBiggl] = ACTIONS(7219),
    [anon_sym_BSLASHtext] = ACTIONS(7219),
    [anon_sym_BSLASHintertext] = ACTIONS(7219),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7219),
    [anon_sym_BSLASHbegin] = ACTIONS(7219),
    [anon_sym_BSLASHtitle] = ACTIONS(7219),
    [anon_sym_BSLASHauthor] = ACTIONS(7219),
    [anon_sym_BSLASHusepackage] = ACTIONS(7219),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7219),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7219),
    [anon_sym_BSLASHinclude] = ACTIONS(7219),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7219),
    [anon_sym_BSLASHinput] = ACTIONS(7219),
    [anon_sym_BSLASHsubfile] = ACTIONS(7219),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7219),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7219),
    [anon_sym_BSLASHbibliography] = ACTIONS(7219),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7219),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7219),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7219),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7219),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7219),
    [anon_sym_BSLASHimport] = ACTIONS(7219),
    [anon_sym_BSLASHsubimport] = ACTIONS(7219),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7219),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7219),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7219),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7219),
    [anon_sym_BSLASHcaption] = ACTIONS(7219),
    [anon_sym_BSLASHcite] = ACTIONS(7219),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCite] = ACTIONS(7219),
    [anon_sym_BSLASHnocite] = ACTIONS(7219),
    [anon_sym_BSLASHcitet] = ACTIONS(7219),
    [anon_sym_BSLASHcitep] = ACTIONS(7219),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteA] = ACTIONS(7219),
    [anon_sym_BSLASHciteR] = ACTIONS(7219),
    [anon_sym_BSLASHciteS] = ACTIONS(7219),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7219),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7219),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7219),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7219),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteyear] = ACTIONS(7219),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitedate] = ACTIONS(7219),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteurl] = ACTIONS(7219),
    [anon_sym_BSLASHfullcite] = ACTIONS(7219),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7219),
    [anon_sym_BSLASHcitealt] = ACTIONS(7219),
    [anon_sym_BSLASHcitealp] = ACTIONS(7219),
    [anon_sym_BSLASHcitetext] = ACTIONS(7219),
    [anon_sym_BSLASHparencite] = ACTIONS(7219),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHParencite] = ACTIONS(7219),
    [anon_sym_BSLASHfootcite] = ACTIONS(7219),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7219),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7219),
    [anon_sym_BSLASHtextcite] = ACTIONS(7219),
    [anon_sym_BSLASHTextcite] = ACTIONS(7219),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7219),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7219),
    [anon_sym_BSLASHsupercite] = ACTIONS(7219),
    [anon_sym_BSLASHautocite] = ACTIONS(7219),
    [anon_sym_BSLASHAutocite] = ACTIONS(7219),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHVolcite] = ACTIONS(7219),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHavolcite] = ACTIONS(7219),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHNotecite] = ACTIONS(7219),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHlabel] = ACTIONS(7219),
    [anon_sym_BSLASHref] = ACTIONS(7219),
    [anon_sym_BSLASHeqref] = ACTIONS(7219),
    [anon_sym_BSLASHvref] = ACTIONS(7219),
    [anon_sym_BSLASHVref] = ACTIONS(7219),
    [anon_sym_BSLASHautoref] = ACTIONS(7219),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHpageref] = ACTIONS(7219),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHautopageref] = ACTIONS(7219),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcref] = ACTIONS(7219),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCref] = ACTIONS(7219),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcpageref] = ACTIONS(7219),
    [anon_sym_BSLASHCpageref] = ACTIONS(7219),
    [anon_sym_BSLASHnamecref] = ACTIONS(7219),
    [anon_sym_BSLASHnameCref] = ACTIONS(7219),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7219),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7219),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7219),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7219),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7219),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7219),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7219),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7219),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7219),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7219),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7219),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHdef] = ACTIONS(7219),
    [anon_sym_BSLASHgdef] = ACTIONS(7219),
    [anon_sym_BSLASHedef] = ACTIONS(7219),
    [anon_sym_BSLASHxdef] = ACTIONS(7219),
    [anon_sym_BSLASHlet] = ACTIONS(7219),
    [anon_sym_BSLASHglet] = ACTIONS(7219),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7219),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7219),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7219),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7219),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7219),
    [anon_sym_BSLASHgls] = ACTIONS(7219),
    [anon_sym_BSLASHGls] = ACTIONS(7219),
    [anon_sym_BSLASHGLS] = ACTIONS(7219),
    [anon_sym_BSLASHglspl] = ACTIONS(7219),
    [anon_sym_BSLASHGlspl] = ACTIONS(7219),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7219),
    [anon_sym_BSLASHglslink] = ACTIONS(7219),
    [anon_sym_BSLASHglstext] = ACTIONS(7219),
    [anon_sym_BSLASHGlstext] = ACTIONS(7219),
    [anon_sym_BSLASHGLStext] = ACTIONS(7219),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7219),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7219),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7219),
    [anon_sym_BSLASHglsplural] = ACTIONS(7219),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7219),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7219),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHglsname] = ACTIONS(7219),
    [anon_sym_BSLASHGlsname] = ACTIONS(7219),
    [anon_sym_BSLASHGLSname] = ACTIONS(7219),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7219),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7219),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7219),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7219),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7219),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7219),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7219),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7219),
    [anon_sym_BSLASHacrshort] = ACTIONS(7219),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7219),
    [anon_sym_BSLASHACRshort] = ACTIONS(7219),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHacrlong] = ACTIONS(7219),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7219),
    [anon_sym_BSLASHACRlong] = ACTIONS(7219),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHacrfull] = ACTIONS(7219),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7219),
    [anon_sym_BSLASHACRfull] = ACTIONS(7219),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHacs] = ACTIONS(7219),
    [anon_sym_BSLASHAcs] = ACTIONS(7219),
    [anon_sym_BSLASHacsp] = ACTIONS(7219),
    [anon_sym_BSLASHAcsp] = ACTIONS(7219),
    [anon_sym_BSLASHacl] = ACTIONS(7219),
    [anon_sym_BSLASHAcl] = ACTIONS(7219),
    [anon_sym_BSLASHaclp] = ACTIONS(7219),
    [anon_sym_BSLASHAclp] = ACTIONS(7219),
    [anon_sym_BSLASHacf] = ACTIONS(7219),
    [anon_sym_BSLASHAcf] = ACTIONS(7219),
    [anon_sym_BSLASHacfp] = ACTIONS(7219),
    [anon_sym_BSLASHAcfp] = ACTIONS(7219),
    [anon_sym_BSLASHac] = ACTIONS(7219),
    [anon_sym_BSLASHAc] = ACTIONS(7219),
    [anon_sym_BSLASHacp] = ACTIONS(7219),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7219),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7219),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7219),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7219),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7219),
    [anon_sym_BSLASHcolor] = ACTIONS(7219),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7219),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7219),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7219),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7219),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7219),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7219),
    [anon_sym_BSLASHurl] = ACTIONS(7219),
    [anon_sym_BSLASHhref] = ACTIONS(7219),
  },
  [1072] = {
    [ts_builtin_sym_end] = ACTIONS(7601),
    [sym_command_name] = ACTIONS(7599),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7599),
    [anon_sym_LBRACK] = ACTIONS(7601),
    [anon_sym_RBRACK] = ACTIONS(7601),
    [anon_sym_COMMA] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(7601),
    [anon_sym_LPAREN] = ACTIONS(7601),
    [anon_sym_RPAREN] = ACTIONS(7601),
    [anon_sym_BSLASHpart] = ACTIONS(7599),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHaddpart] = ACTIONS(7599),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHchapter] = ACTIONS(7599),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHaddchap] = ACTIONS(7599),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHsection] = ACTIONS(7599),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHaddsec] = ACTIONS(7599),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHsubsection] = ACTIONS(7599),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7599),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHparagraph] = ACTIONS(7599),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7599),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHitem] = ACTIONS(7599),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7601),
    [anon_sym_LBRACE] = ACTIONS(7601),
    [anon_sym_RBRACE] = ACTIONS(7601),
    [sym_word] = ACTIONS(7599),
    [sym_placeholder] = ACTIONS(7601),
    [sym_delimiter] = ACTIONS(7601),
    [anon_sym_PLUS] = ACTIONS(7601),
    [anon_sym_DASH] = ACTIONS(7601),
    [anon_sym_STAR] = ACTIONS(7601),
    [anon_sym_SLASH] = ACTIONS(7601),
    [anon_sym_LT] = ACTIONS(7599),
    [anon_sym_GT] = ACTIONS(7599),
    [anon_sym_BANG] = ACTIONS(7599),
    [anon_sym_PIPE] = ACTIONS(7599),
    [anon_sym_COLON] = ACTIONS(7599),
    [anon_sym_SQUOTE] = ACTIONS(7599),
    [anon_sym__] = ACTIONS(7601),
    [anon_sym_CARET] = ACTIONS(7601),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7601),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7601),
    [anon_sym_DOLLAR] = ACTIONS(7599),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7601),
    [anon_sym_BSLASHleft] = ACTIONS(7599),
    [anon_sym_BSLASHbigl] = ACTIONS(7599),
    [anon_sym_BSLASHBigl] = ACTIONS(7599),
    [anon_sym_BSLASHbiggl] = ACTIONS(7599),
    [anon_sym_BSLASHBiggl] = ACTIONS(7599),
    [anon_sym_BSLASHtext] = ACTIONS(7599),
    [anon_sym_BSLASHintertext] = ACTIONS(7599),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7599),
    [anon_sym_BSLASHbegin] = ACTIONS(7599),
    [anon_sym_BSLASHtitle] = ACTIONS(7599),
    [anon_sym_BSLASHauthor] = ACTIONS(7599),
    [anon_sym_BSLASHusepackage] = ACTIONS(7599),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7599),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7599),
    [anon_sym_BSLASHinclude] = ACTIONS(7599),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7599),
    [anon_sym_BSLASHinput] = ACTIONS(7599),
    [anon_sym_BSLASHsubfile] = ACTIONS(7599),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7599),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7599),
    [anon_sym_BSLASHbibliography] = ACTIONS(7599),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7599),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7599),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7599),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7599),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7599),
    [anon_sym_BSLASHimport] = ACTIONS(7599),
    [anon_sym_BSLASHsubimport] = ACTIONS(7599),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7599),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7599),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7599),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7599),
    [anon_sym_BSLASHcaption] = ACTIONS(7599),
    [anon_sym_BSLASHcite] = ACTIONS(7599),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCite] = ACTIONS(7599),
    [anon_sym_BSLASHnocite] = ACTIONS(7599),
    [anon_sym_BSLASHcitet] = ACTIONS(7599),
    [anon_sym_BSLASHcitep] = ACTIONS(7599),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteA] = ACTIONS(7599),
    [anon_sym_BSLASHciteR] = ACTIONS(7599),
    [anon_sym_BSLASHciteS] = ACTIONS(7599),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7599),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7599),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7599),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7599),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteyear] = ACTIONS(7599),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitedate] = ACTIONS(7599),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteurl] = ACTIONS(7599),
    [anon_sym_BSLASHfullcite] = ACTIONS(7599),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7599),
    [anon_sym_BSLASHcitealt] = ACTIONS(7599),
    [anon_sym_BSLASHcitealp] = ACTIONS(7599),
    [anon_sym_BSLASHcitetext] = ACTIONS(7599),
    [anon_sym_BSLASHparencite] = ACTIONS(7599),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHParencite] = ACTIONS(7599),
    [anon_sym_BSLASHfootcite] = ACTIONS(7599),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7599),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7599),
    [anon_sym_BSLASHtextcite] = ACTIONS(7599),
    [anon_sym_BSLASHTextcite] = ACTIONS(7599),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7599),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7599),
    [anon_sym_BSLASHsupercite] = ACTIONS(7599),
    [anon_sym_BSLASHautocite] = ACTIONS(7599),
    [anon_sym_BSLASHAutocite] = ACTIONS(7599),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHVolcite] = ACTIONS(7599),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHavolcite] = ACTIONS(7599),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHNotecite] = ACTIONS(7599),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHlabel] = ACTIONS(7599),
    [anon_sym_BSLASHref] = ACTIONS(7599),
    [anon_sym_BSLASHeqref] = ACTIONS(7599),
    [anon_sym_BSLASHvref] = ACTIONS(7599),
    [anon_sym_BSLASHVref] = ACTIONS(7599),
    [anon_sym_BSLASHautoref] = ACTIONS(7599),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHpageref] = ACTIONS(7599),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHautopageref] = ACTIONS(7599),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcref] = ACTIONS(7599),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCref] = ACTIONS(7599),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcpageref] = ACTIONS(7599),
    [anon_sym_BSLASHCpageref] = ACTIONS(7599),
    [anon_sym_BSLASHnamecref] = ACTIONS(7599),
    [anon_sym_BSLASHnameCref] = ACTIONS(7599),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7599),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7599),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7599),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7599),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7599),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7599),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7599),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7599),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7599),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7599),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7599),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHdef] = ACTIONS(7599),
    [anon_sym_BSLASHgdef] = ACTIONS(7599),
    [anon_sym_BSLASHedef] = ACTIONS(7599),
    [anon_sym_BSLASHxdef] = ACTIONS(7599),
    [anon_sym_BSLASHlet] = ACTIONS(7599),
    [anon_sym_BSLASHglet] = ACTIONS(7599),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7599),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7599),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7599),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7599),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7599),
    [anon_sym_BSLASHgls] = ACTIONS(7599),
    [anon_sym_BSLASHGls] = ACTIONS(7599),
    [anon_sym_BSLASHGLS] = ACTIONS(7599),
    [anon_sym_BSLASHglspl] = ACTIONS(7599),
    [anon_sym_BSLASHGlspl] = ACTIONS(7599),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7599),
    [anon_sym_BSLASHglslink] = ACTIONS(7599),
    [anon_sym_BSLASHglstext] = ACTIONS(7599),
    [anon_sym_BSLASHGlstext] = ACTIONS(7599),
    [anon_sym_BSLASHGLStext] = ACTIONS(7599),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7599),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7599),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7599),
    [anon_sym_BSLASHglsplural] = ACTIONS(7599),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7599),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7599),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHglsname] = ACTIONS(7599),
    [anon_sym_BSLASHGlsname] = ACTIONS(7599),
    [anon_sym_BSLASHGLSname] = ACTIONS(7599),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7599),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7599),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7599),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7599),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7599),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7599),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7599),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7599),
    [anon_sym_BSLASHacrshort] = ACTIONS(7599),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7599),
    [anon_sym_BSLASHACRshort] = ACTIONS(7599),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHacrlong] = ACTIONS(7599),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7599),
    [anon_sym_BSLASHACRlong] = ACTIONS(7599),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHacrfull] = ACTIONS(7599),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7599),
    [anon_sym_BSLASHACRfull] = ACTIONS(7599),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHacs] = ACTIONS(7599),
    [anon_sym_BSLASHAcs] = ACTIONS(7599),
    [anon_sym_BSLASHacsp] = ACTIONS(7599),
    [anon_sym_BSLASHAcsp] = ACTIONS(7599),
    [anon_sym_BSLASHacl] = ACTIONS(7599),
    [anon_sym_BSLASHAcl] = ACTIONS(7599),
    [anon_sym_BSLASHaclp] = ACTIONS(7599),
    [anon_sym_BSLASHAclp] = ACTIONS(7599),
    [anon_sym_BSLASHacf] = ACTIONS(7599),
    [anon_sym_BSLASHAcf] = ACTIONS(7599),
    [anon_sym_BSLASHacfp] = ACTIONS(7599),
    [anon_sym_BSLASHAcfp] = ACTIONS(7599),
    [anon_sym_BSLASHac] = ACTIONS(7599),
    [anon_sym_BSLASHAc] = ACTIONS(7599),
    [anon_sym_BSLASHacp] = ACTIONS(7599),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7599),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7599),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7599),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7599),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7599),
    [anon_sym_BSLASHcolor] = ACTIONS(7599),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7599),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7599),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7599),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7599),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7599),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7599),
    [anon_sym_BSLASHurl] = ACTIONS(7599),
    [anon_sym_BSLASHhref] = ACTIONS(7599),
  },
  [1073] = {
    [ts_builtin_sym_end] = ACTIONS(7145),
    [sym_command_name] = ACTIONS(7143),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7143),
    [anon_sym_LBRACK] = ACTIONS(7145),
    [anon_sym_RBRACK] = ACTIONS(7145),
    [anon_sym_COMMA] = ACTIONS(7145),
    [anon_sym_EQ] = ACTIONS(7145),
    [anon_sym_LPAREN] = ACTIONS(7145),
    [anon_sym_RPAREN] = ACTIONS(7145),
    [anon_sym_BSLASHpart] = ACTIONS(7143),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHaddpart] = ACTIONS(7143),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHchapter] = ACTIONS(7143),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHaddchap] = ACTIONS(7143),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHsection] = ACTIONS(7143),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHaddsec] = ACTIONS(7143),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHsubsection] = ACTIONS(7143),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7143),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHparagraph] = ACTIONS(7143),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7143),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHitem] = ACTIONS(7143),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7145),
    [anon_sym_LBRACE] = ACTIONS(7145),
    [anon_sym_RBRACE] = ACTIONS(7145),
    [sym_word] = ACTIONS(7143),
    [sym_placeholder] = ACTIONS(7145),
    [sym_delimiter] = ACTIONS(7145),
    [anon_sym_PLUS] = ACTIONS(7145),
    [anon_sym_DASH] = ACTIONS(7145),
    [anon_sym_STAR] = ACTIONS(7145),
    [anon_sym_SLASH] = ACTIONS(7145),
    [anon_sym_LT] = ACTIONS(7143),
    [anon_sym_GT] = ACTIONS(7143),
    [anon_sym_BANG] = ACTIONS(7143),
    [anon_sym_PIPE] = ACTIONS(7143),
    [anon_sym_COLON] = ACTIONS(7143),
    [anon_sym_SQUOTE] = ACTIONS(7143),
    [anon_sym__] = ACTIONS(7145),
    [anon_sym_CARET] = ACTIONS(7145),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7145),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7145),
    [anon_sym_DOLLAR] = ACTIONS(7143),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7145),
    [anon_sym_BSLASHleft] = ACTIONS(7143),
    [anon_sym_BSLASHbigl] = ACTIONS(7143),
    [anon_sym_BSLASHBigl] = ACTIONS(7143),
    [anon_sym_BSLASHbiggl] = ACTIONS(7143),
    [anon_sym_BSLASHBiggl] = ACTIONS(7143),
    [anon_sym_BSLASHtext] = ACTIONS(7143),
    [anon_sym_BSLASHintertext] = ACTIONS(7143),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7143),
    [anon_sym_BSLASHbegin] = ACTIONS(7143),
    [anon_sym_BSLASHtitle] = ACTIONS(7143),
    [anon_sym_BSLASHauthor] = ACTIONS(7143),
    [anon_sym_BSLASHusepackage] = ACTIONS(7143),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7143),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7143),
    [anon_sym_BSLASHinclude] = ACTIONS(7143),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7143),
    [anon_sym_BSLASHinput] = ACTIONS(7143),
    [anon_sym_BSLASHsubfile] = ACTIONS(7143),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7143),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7143),
    [anon_sym_BSLASHbibliography] = ACTIONS(7143),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7143),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7143),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7143),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7143),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7143),
    [anon_sym_BSLASHimport] = ACTIONS(7143),
    [anon_sym_BSLASHsubimport] = ACTIONS(7143),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7143),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7143),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7143),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7143),
    [anon_sym_BSLASHcaption] = ACTIONS(7143),
    [anon_sym_BSLASHcite] = ACTIONS(7143),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHCite] = ACTIONS(7143),
    [anon_sym_BSLASHnocite] = ACTIONS(7143),
    [anon_sym_BSLASHcitet] = ACTIONS(7143),
    [anon_sym_BSLASHcitep] = ACTIONS(7143),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHciteA] = ACTIONS(7143),
    [anon_sym_BSLASHciteR] = ACTIONS(7143),
    [anon_sym_BSLASHciteS] = ACTIONS(7143),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7143),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7143),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7143),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7143),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHciteyear] = ACTIONS(7143),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcitedate] = ACTIONS(7143),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHciteurl] = ACTIONS(7143),
    [anon_sym_BSLASHfullcite] = ACTIONS(7143),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7143),
    [anon_sym_BSLASHcitealt] = ACTIONS(7143),
    [anon_sym_BSLASHcitealp] = ACTIONS(7143),
    [anon_sym_BSLASHcitetext] = ACTIONS(7143),
    [anon_sym_BSLASHparencite] = ACTIONS(7143),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHParencite] = ACTIONS(7143),
    [anon_sym_BSLASHfootcite] = ACTIONS(7143),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7143),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7143),
    [anon_sym_BSLASHtextcite] = ACTIONS(7143),
    [anon_sym_BSLASHTextcite] = ACTIONS(7143),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7143),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7143),
    [anon_sym_BSLASHsupercite] = ACTIONS(7143),
    [anon_sym_BSLASHautocite] = ACTIONS(7143),
    [anon_sym_BSLASHAutocite] = ACTIONS(7143),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHVolcite] = ACTIONS(7143),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHavolcite] = ACTIONS(7143),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHnotecite] = ACTIONS(7143),
    [anon_sym_BSLASHNotecite] = ACTIONS(7143),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7143),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7143),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7143),
    [anon_sym_BSLASHlabel] = ACTIONS(7143),
    [anon_sym_BSLASHref] = ACTIONS(7143),
    [anon_sym_BSLASHeqref] = ACTIONS(7143),
    [anon_sym_BSLASHvref] = ACTIONS(7143),
    [anon_sym_BSLASHVref] = ACTIONS(7143),
    [anon_sym_BSLASHautoref] = ACTIONS(7143),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHpageref] = ACTIONS(7143),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHautopageref] = ACTIONS(7143),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcref] = ACTIONS(7143),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHCref] = ACTIONS(7143),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcpageref] = ACTIONS(7143),
    [anon_sym_BSLASHCpageref] = ACTIONS(7143),
    [anon_sym_BSLASHnamecref] = ACTIONS(7143),
    [anon_sym_BSLASHnameCref] = ACTIONS(7143),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7143),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7143),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7143),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7143),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7143),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7143),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7143),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7143),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7143),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7143),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7143),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7143),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7143),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7143),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7143),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7143),
    [anon_sym_BSLASHdef] = ACTIONS(7143),
    [anon_sym_BSLASHgdef] = ACTIONS(7143),
    [anon_sym_BSLASHedef] = ACTIONS(7143),
    [anon_sym_BSLASHxdef] = ACTIONS(7143),
    [anon_sym_BSLASHlet] = ACTIONS(7143),
    [anon_sym_BSLASHglet] = ACTIONS(7143),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7143),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7143),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7143),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7143),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7143),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7143),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7143),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7143),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7143),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7143),
    [anon_sym_BSLASHgls] = ACTIONS(7143),
    [anon_sym_BSLASHGls] = ACTIONS(7143),
    [anon_sym_BSLASHGLS] = ACTIONS(7143),
    [anon_sym_BSLASHglspl] = ACTIONS(7143),
    [anon_sym_BSLASHGlspl] = ACTIONS(7143),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7143),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7143),
    [anon_sym_BSLASHglslink] = ACTIONS(7143),
    [anon_sym_BSLASHglstext] = ACTIONS(7143),
    [anon_sym_BSLASHGlstext] = ACTIONS(7143),
    [anon_sym_BSLASHGLStext] = ACTIONS(7143),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7143),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7143),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7143),
    [anon_sym_BSLASHglsplural] = ACTIONS(7143),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7143),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7143),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7143),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7143),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7143),
    [anon_sym_BSLASHglsname] = ACTIONS(7143),
    [anon_sym_BSLASHGlsname] = ACTIONS(7143),
    [anon_sym_BSLASHGLSname] = ACTIONS(7143),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7143),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7143),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7143),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7143),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7143),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7143),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7143),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7143),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7143),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7143),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7143),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7143),
    [anon_sym_BSLASHacrshort] = ACTIONS(7143),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7143),
    [anon_sym_BSLASHACRshort] = ACTIONS(7143),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHacrlong] = ACTIONS(7143),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7143),
    [anon_sym_BSLASHACRlong] = ACTIONS(7143),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7143),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7143),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7143),
    [anon_sym_BSLASHacrfull] = ACTIONS(7143),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7143),
    [anon_sym_BSLASHACRfull] = ACTIONS(7143),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHacs] = ACTIONS(7143),
    [anon_sym_BSLASHAcs] = ACTIONS(7143),
    [anon_sym_BSLASHacsp] = ACTIONS(7143),
    [anon_sym_BSLASHAcsp] = ACTIONS(7143),
    [anon_sym_BSLASHacl] = ACTIONS(7143),
    [anon_sym_BSLASHAcl] = ACTIONS(7143),
    [anon_sym_BSLASHaclp] = ACTIONS(7143),
    [anon_sym_BSLASHAclp] = ACTIONS(7143),
    [anon_sym_BSLASHacf] = ACTIONS(7143),
    [anon_sym_BSLASHAcf] = ACTIONS(7143),
    [anon_sym_BSLASHacfp] = ACTIONS(7143),
    [anon_sym_BSLASHAcfp] = ACTIONS(7143),
    [anon_sym_BSLASHac] = ACTIONS(7143),
    [anon_sym_BSLASHAc] = ACTIONS(7143),
    [anon_sym_BSLASHacp] = ACTIONS(7143),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7143),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7143),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7143),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7143),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7143),
    [anon_sym_BSLASHcolor] = ACTIONS(7143),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7143),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7143),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7143),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7143),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7143),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7143),
    [anon_sym_BSLASHurl] = ACTIONS(7143),
    [anon_sym_BSLASHhref] = ACTIONS(7143),
  },
  [1074] = {
    [ts_builtin_sym_end] = ACTIONS(7149),
    [sym_command_name] = ACTIONS(7147),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7147),
    [anon_sym_LBRACK] = ACTIONS(7149),
    [anon_sym_RBRACK] = ACTIONS(7149),
    [anon_sym_COMMA] = ACTIONS(7149),
    [anon_sym_EQ] = ACTIONS(7149),
    [anon_sym_LPAREN] = ACTIONS(7149),
    [anon_sym_RPAREN] = ACTIONS(7149),
    [anon_sym_BSLASHpart] = ACTIONS(7147),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHaddpart] = ACTIONS(7147),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHchapter] = ACTIONS(7147),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHaddchap] = ACTIONS(7147),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHsection] = ACTIONS(7147),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHaddsec] = ACTIONS(7147),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHsubsection] = ACTIONS(7147),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7147),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHparagraph] = ACTIONS(7147),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7147),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHitem] = ACTIONS(7147),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7149),
    [anon_sym_LBRACE] = ACTIONS(7149),
    [anon_sym_RBRACE] = ACTIONS(7149),
    [sym_word] = ACTIONS(7147),
    [sym_placeholder] = ACTIONS(7149),
    [sym_delimiter] = ACTIONS(7149),
    [anon_sym_PLUS] = ACTIONS(7149),
    [anon_sym_DASH] = ACTIONS(7149),
    [anon_sym_STAR] = ACTIONS(7149),
    [anon_sym_SLASH] = ACTIONS(7149),
    [anon_sym_LT] = ACTIONS(7147),
    [anon_sym_GT] = ACTIONS(7147),
    [anon_sym_BANG] = ACTIONS(7147),
    [anon_sym_PIPE] = ACTIONS(7147),
    [anon_sym_COLON] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(7147),
    [anon_sym__] = ACTIONS(7149),
    [anon_sym_CARET] = ACTIONS(7149),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7149),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7149),
    [anon_sym_DOLLAR] = ACTIONS(7147),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7149),
    [anon_sym_BSLASHleft] = ACTIONS(7147),
    [anon_sym_BSLASHbigl] = ACTIONS(7147),
    [anon_sym_BSLASHBigl] = ACTIONS(7147),
    [anon_sym_BSLASHbiggl] = ACTIONS(7147),
    [anon_sym_BSLASHBiggl] = ACTIONS(7147),
    [anon_sym_BSLASHtext] = ACTIONS(7147),
    [anon_sym_BSLASHintertext] = ACTIONS(7147),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7147),
    [anon_sym_BSLASHbegin] = ACTIONS(7147),
    [anon_sym_BSLASHtitle] = ACTIONS(7147),
    [anon_sym_BSLASHauthor] = ACTIONS(7147),
    [anon_sym_BSLASHusepackage] = ACTIONS(7147),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7147),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7147),
    [anon_sym_BSLASHinclude] = ACTIONS(7147),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7147),
    [anon_sym_BSLASHinput] = ACTIONS(7147),
    [anon_sym_BSLASHsubfile] = ACTIONS(7147),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7147),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7147),
    [anon_sym_BSLASHbibliography] = ACTIONS(7147),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7147),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7147),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7147),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7147),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7147),
    [anon_sym_BSLASHimport] = ACTIONS(7147),
    [anon_sym_BSLASHsubimport] = ACTIONS(7147),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7147),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7147),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7147),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7147),
    [anon_sym_BSLASHcaption] = ACTIONS(7147),
    [anon_sym_BSLASHcite] = ACTIONS(7147),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHCite] = ACTIONS(7147),
    [anon_sym_BSLASHnocite] = ACTIONS(7147),
    [anon_sym_BSLASHcitet] = ACTIONS(7147),
    [anon_sym_BSLASHcitep] = ACTIONS(7147),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHciteA] = ACTIONS(7147),
    [anon_sym_BSLASHciteR] = ACTIONS(7147),
    [anon_sym_BSLASHciteS] = ACTIONS(7147),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7147),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7147),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7147),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7147),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHciteyear] = ACTIONS(7147),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcitedate] = ACTIONS(7147),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHciteurl] = ACTIONS(7147),
    [anon_sym_BSLASHfullcite] = ACTIONS(7147),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7147),
    [anon_sym_BSLASHcitealt] = ACTIONS(7147),
    [anon_sym_BSLASHcitealp] = ACTIONS(7147),
    [anon_sym_BSLASHcitetext] = ACTIONS(7147),
    [anon_sym_BSLASHparencite] = ACTIONS(7147),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHParencite] = ACTIONS(7147),
    [anon_sym_BSLASHfootcite] = ACTIONS(7147),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7147),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7147),
    [anon_sym_BSLASHtextcite] = ACTIONS(7147),
    [anon_sym_BSLASHTextcite] = ACTIONS(7147),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7147),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7147),
    [anon_sym_BSLASHsupercite] = ACTIONS(7147),
    [anon_sym_BSLASHautocite] = ACTIONS(7147),
    [anon_sym_BSLASHAutocite] = ACTIONS(7147),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHVolcite] = ACTIONS(7147),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHavolcite] = ACTIONS(7147),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHnotecite] = ACTIONS(7147),
    [anon_sym_BSLASHNotecite] = ACTIONS(7147),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7147),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7147),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7147),
    [anon_sym_BSLASHlabel] = ACTIONS(7147),
    [anon_sym_BSLASHref] = ACTIONS(7147),
    [anon_sym_BSLASHeqref] = ACTIONS(7147),
    [anon_sym_BSLASHvref] = ACTIONS(7147),
    [anon_sym_BSLASHVref] = ACTIONS(7147),
    [anon_sym_BSLASHautoref] = ACTIONS(7147),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHpageref] = ACTIONS(7147),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHautopageref] = ACTIONS(7147),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcref] = ACTIONS(7147),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHCref] = ACTIONS(7147),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcpageref] = ACTIONS(7147),
    [anon_sym_BSLASHCpageref] = ACTIONS(7147),
    [anon_sym_BSLASHnamecref] = ACTIONS(7147),
    [anon_sym_BSLASHnameCref] = ACTIONS(7147),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7147),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7147),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7147),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7147),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7147),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7147),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7147),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7147),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7147),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7147),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7147),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7147),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7147),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7147),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7147),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7147),
    [anon_sym_BSLASHdef] = ACTIONS(7147),
    [anon_sym_BSLASHgdef] = ACTIONS(7147),
    [anon_sym_BSLASHedef] = ACTIONS(7147),
    [anon_sym_BSLASHxdef] = ACTIONS(7147),
    [anon_sym_BSLASHlet] = ACTIONS(7147),
    [anon_sym_BSLASHglet] = ACTIONS(7147),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7147),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7147),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7147),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7147),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7147),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7147),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7147),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7147),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7147),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7147),
    [anon_sym_BSLASHgls] = ACTIONS(7147),
    [anon_sym_BSLASHGls] = ACTIONS(7147),
    [anon_sym_BSLASHGLS] = ACTIONS(7147),
    [anon_sym_BSLASHglspl] = ACTIONS(7147),
    [anon_sym_BSLASHGlspl] = ACTIONS(7147),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7147),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7147),
    [anon_sym_BSLASHglslink] = ACTIONS(7147),
    [anon_sym_BSLASHglstext] = ACTIONS(7147),
    [anon_sym_BSLASHGlstext] = ACTIONS(7147),
    [anon_sym_BSLASHGLStext] = ACTIONS(7147),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7147),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7147),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7147),
    [anon_sym_BSLASHglsplural] = ACTIONS(7147),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7147),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7147),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7147),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7147),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7147),
    [anon_sym_BSLASHglsname] = ACTIONS(7147),
    [anon_sym_BSLASHGlsname] = ACTIONS(7147),
    [anon_sym_BSLASHGLSname] = ACTIONS(7147),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7147),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7147),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7147),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7147),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7147),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7147),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7147),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7147),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7147),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7147),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7147),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7147),
    [anon_sym_BSLASHacrshort] = ACTIONS(7147),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7147),
    [anon_sym_BSLASHACRshort] = ACTIONS(7147),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHacrlong] = ACTIONS(7147),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7147),
    [anon_sym_BSLASHACRlong] = ACTIONS(7147),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7147),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7147),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7147),
    [anon_sym_BSLASHacrfull] = ACTIONS(7147),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7147),
    [anon_sym_BSLASHACRfull] = ACTIONS(7147),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHacs] = ACTIONS(7147),
    [anon_sym_BSLASHAcs] = ACTIONS(7147),
    [anon_sym_BSLASHacsp] = ACTIONS(7147),
    [anon_sym_BSLASHAcsp] = ACTIONS(7147),
    [anon_sym_BSLASHacl] = ACTIONS(7147),
    [anon_sym_BSLASHAcl] = ACTIONS(7147),
    [anon_sym_BSLASHaclp] = ACTIONS(7147),
    [anon_sym_BSLASHAclp] = ACTIONS(7147),
    [anon_sym_BSLASHacf] = ACTIONS(7147),
    [anon_sym_BSLASHAcf] = ACTIONS(7147),
    [anon_sym_BSLASHacfp] = ACTIONS(7147),
    [anon_sym_BSLASHAcfp] = ACTIONS(7147),
    [anon_sym_BSLASHac] = ACTIONS(7147),
    [anon_sym_BSLASHAc] = ACTIONS(7147),
    [anon_sym_BSLASHacp] = ACTIONS(7147),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7147),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7147),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7147),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7147),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7147),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7147),
    [anon_sym_BSLASHcolor] = ACTIONS(7147),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7147),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7147),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7147),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7147),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7147),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7147),
    [anon_sym_BSLASHurl] = ACTIONS(7147),
    [anon_sym_BSLASHhref] = ACTIONS(7147),
  },
  [1075] = {
    [ts_builtin_sym_end] = ACTIONS(7153),
    [sym_command_name] = ACTIONS(7151),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7151),
    [anon_sym_LBRACK] = ACTIONS(7153),
    [anon_sym_RBRACK] = ACTIONS(7153),
    [anon_sym_COMMA] = ACTIONS(7153),
    [anon_sym_EQ] = ACTIONS(7153),
    [anon_sym_LPAREN] = ACTIONS(7153),
    [anon_sym_RPAREN] = ACTIONS(7153),
    [anon_sym_BSLASHpart] = ACTIONS(7151),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHaddpart] = ACTIONS(7151),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHchapter] = ACTIONS(7151),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHaddchap] = ACTIONS(7151),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHsection] = ACTIONS(7151),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHaddsec] = ACTIONS(7151),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHsubsection] = ACTIONS(7151),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7151),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHparagraph] = ACTIONS(7151),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7151),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHitem] = ACTIONS(7151),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7153),
    [anon_sym_LBRACE] = ACTIONS(7153),
    [anon_sym_RBRACE] = ACTIONS(7153),
    [sym_word] = ACTIONS(7151),
    [sym_placeholder] = ACTIONS(7153),
    [sym_delimiter] = ACTIONS(7153),
    [anon_sym_PLUS] = ACTIONS(7153),
    [anon_sym_DASH] = ACTIONS(7153),
    [anon_sym_STAR] = ACTIONS(7153),
    [anon_sym_SLASH] = ACTIONS(7153),
    [anon_sym_LT] = ACTIONS(7151),
    [anon_sym_GT] = ACTIONS(7151),
    [anon_sym_BANG] = ACTIONS(7151),
    [anon_sym_PIPE] = ACTIONS(7151),
    [anon_sym_COLON] = ACTIONS(7151),
    [anon_sym_SQUOTE] = ACTIONS(7151),
    [anon_sym__] = ACTIONS(7153),
    [anon_sym_CARET] = ACTIONS(7153),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7153),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7153),
    [anon_sym_DOLLAR] = ACTIONS(7151),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7153),
    [anon_sym_BSLASHleft] = ACTIONS(7151),
    [anon_sym_BSLASHbigl] = ACTIONS(7151),
    [anon_sym_BSLASHBigl] = ACTIONS(7151),
    [anon_sym_BSLASHbiggl] = ACTIONS(7151),
    [anon_sym_BSLASHBiggl] = ACTIONS(7151),
    [anon_sym_BSLASHtext] = ACTIONS(7151),
    [anon_sym_BSLASHintertext] = ACTIONS(7151),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7151),
    [anon_sym_BSLASHbegin] = ACTIONS(7151),
    [anon_sym_BSLASHtitle] = ACTIONS(7151),
    [anon_sym_BSLASHauthor] = ACTIONS(7151),
    [anon_sym_BSLASHusepackage] = ACTIONS(7151),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7151),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7151),
    [anon_sym_BSLASHinclude] = ACTIONS(7151),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7151),
    [anon_sym_BSLASHinput] = ACTIONS(7151),
    [anon_sym_BSLASHsubfile] = ACTIONS(7151),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7151),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7151),
    [anon_sym_BSLASHbibliography] = ACTIONS(7151),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7151),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7151),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7151),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7151),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7151),
    [anon_sym_BSLASHimport] = ACTIONS(7151),
    [anon_sym_BSLASHsubimport] = ACTIONS(7151),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7151),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7151),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7151),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7151),
    [anon_sym_BSLASHcaption] = ACTIONS(7151),
    [anon_sym_BSLASHcite] = ACTIONS(7151),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHCite] = ACTIONS(7151),
    [anon_sym_BSLASHnocite] = ACTIONS(7151),
    [anon_sym_BSLASHcitet] = ACTIONS(7151),
    [anon_sym_BSLASHcitep] = ACTIONS(7151),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHciteA] = ACTIONS(7151),
    [anon_sym_BSLASHciteR] = ACTIONS(7151),
    [anon_sym_BSLASHciteS] = ACTIONS(7151),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7151),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7151),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7151),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7151),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHciteyear] = ACTIONS(7151),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcitedate] = ACTIONS(7151),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHciteurl] = ACTIONS(7151),
    [anon_sym_BSLASHfullcite] = ACTIONS(7151),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7151),
    [anon_sym_BSLASHcitealt] = ACTIONS(7151),
    [anon_sym_BSLASHcitealp] = ACTIONS(7151),
    [anon_sym_BSLASHcitetext] = ACTIONS(7151),
    [anon_sym_BSLASHparencite] = ACTIONS(7151),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHParencite] = ACTIONS(7151),
    [anon_sym_BSLASHfootcite] = ACTIONS(7151),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7151),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7151),
    [anon_sym_BSLASHtextcite] = ACTIONS(7151),
    [anon_sym_BSLASHTextcite] = ACTIONS(7151),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7151),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7151),
    [anon_sym_BSLASHsupercite] = ACTIONS(7151),
    [anon_sym_BSLASHautocite] = ACTIONS(7151),
    [anon_sym_BSLASHAutocite] = ACTIONS(7151),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHVolcite] = ACTIONS(7151),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHavolcite] = ACTIONS(7151),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHnotecite] = ACTIONS(7151),
    [anon_sym_BSLASHNotecite] = ACTIONS(7151),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7151),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7151),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7151),
    [anon_sym_BSLASHlabel] = ACTIONS(7151),
    [anon_sym_BSLASHref] = ACTIONS(7151),
    [anon_sym_BSLASHeqref] = ACTIONS(7151),
    [anon_sym_BSLASHvref] = ACTIONS(7151),
    [anon_sym_BSLASHVref] = ACTIONS(7151),
    [anon_sym_BSLASHautoref] = ACTIONS(7151),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHpageref] = ACTIONS(7151),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHautopageref] = ACTIONS(7151),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcref] = ACTIONS(7151),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHCref] = ACTIONS(7151),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcpageref] = ACTIONS(7151),
    [anon_sym_BSLASHCpageref] = ACTIONS(7151),
    [anon_sym_BSLASHnamecref] = ACTIONS(7151),
    [anon_sym_BSLASHnameCref] = ACTIONS(7151),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7151),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7151),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7151),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7151),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7151),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7151),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7151),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7151),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7151),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7151),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7151),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7151),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7151),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7151),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7151),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7151),
    [anon_sym_BSLASHdef] = ACTIONS(7151),
    [anon_sym_BSLASHgdef] = ACTIONS(7151),
    [anon_sym_BSLASHedef] = ACTIONS(7151),
    [anon_sym_BSLASHxdef] = ACTIONS(7151),
    [anon_sym_BSLASHlet] = ACTIONS(7151),
    [anon_sym_BSLASHglet] = ACTIONS(7151),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7151),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7151),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7151),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7151),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7151),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7151),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7151),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7151),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7151),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7151),
    [anon_sym_BSLASHgls] = ACTIONS(7151),
    [anon_sym_BSLASHGls] = ACTIONS(7151),
    [anon_sym_BSLASHGLS] = ACTIONS(7151),
    [anon_sym_BSLASHglspl] = ACTIONS(7151),
    [anon_sym_BSLASHGlspl] = ACTIONS(7151),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7151),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7151),
    [anon_sym_BSLASHglslink] = ACTIONS(7151),
    [anon_sym_BSLASHglstext] = ACTIONS(7151),
    [anon_sym_BSLASHGlstext] = ACTIONS(7151),
    [anon_sym_BSLASHGLStext] = ACTIONS(7151),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7151),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7151),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7151),
    [anon_sym_BSLASHglsplural] = ACTIONS(7151),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7151),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7151),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7151),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7151),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7151),
    [anon_sym_BSLASHglsname] = ACTIONS(7151),
    [anon_sym_BSLASHGlsname] = ACTIONS(7151),
    [anon_sym_BSLASHGLSname] = ACTIONS(7151),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7151),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7151),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7151),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7151),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7151),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7151),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7151),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7151),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7151),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7151),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7151),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7151),
    [anon_sym_BSLASHacrshort] = ACTIONS(7151),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7151),
    [anon_sym_BSLASHACRshort] = ACTIONS(7151),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHacrlong] = ACTIONS(7151),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7151),
    [anon_sym_BSLASHACRlong] = ACTIONS(7151),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7151),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7151),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7151),
    [anon_sym_BSLASHacrfull] = ACTIONS(7151),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7151),
    [anon_sym_BSLASHACRfull] = ACTIONS(7151),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHacs] = ACTIONS(7151),
    [anon_sym_BSLASHAcs] = ACTIONS(7151),
    [anon_sym_BSLASHacsp] = ACTIONS(7151),
    [anon_sym_BSLASHAcsp] = ACTIONS(7151),
    [anon_sym_BSLASHacl] = ACTIONS(7151),
    [anon_sym_BSLASHAcl] = ACTIONS(7151),
    [anon_sym_BSLASHaclp] = ACTIONS(7151),
    [anon_sym_BSLASHAclp] = ACTIONS(7151),
    [anon_sym_BSLASHacf] = ACTIONS(7151),
    [anon_sym_BSLASHAcf] = ACTIONS(7151),
    [anon_sym_BSLASHacfp] = ACTIONS(7151),
    [anon_sym_BSLASHAcfp] = ACTIONS(7151),
    [anon_sym_BSLASHac] = ACTIONS(7151),
    [anon_sym_BSLASHAc] = ACTIONS(7151),
    [anon_sym_BSLASHacp] = ACTIONS(7151),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7151),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7151),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7151),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7151),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7151),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7151),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7151),
    [anon_sym_BSLASHcolor] = ACTIONS(7151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7151),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7151),
    [anon_sym_BSLASHurl] = ACTIONS(7151),
    [anon_sym_BSLASHhref] = ACTIONS(7151),
  },
  [1076] = {
    [ts_builtin_sym_end] = ACTIONS(7333),
    [sym_command_name] = ACTIONS(7331),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7331),
    [anon_sym_LBRACK] = ACTIONS(7333),
    [anon_sym_RBRACK] = ACTIONS(7333),
    [anon_sym_COMMA] = ACTIONS(7333),
    [anon_sym_EQ] = ACTIONS(7333),
    [anon_sym_LPAREN] = ACTIONS(7333),
    [anon_sym_RPAREN] = ACTIONS(7333),
    [anon_sym_BSLASHpart] = ACTIONS(7331),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHaddpart] = ACTIONS(7331),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHchapter] = ACTIONS(7331),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHaddchap] = ACTIONS(7331),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHsection] = ACTIONS(7331),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHaddsec] = ACTIONS(7331),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHsubsection] = ACTIONS(7331),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7331),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHparagraph] = ACTIONS(7331),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7331),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHitem] = ACTIONS(7331),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7333),
    [anon_sym_LBRACE] = ACTIONS(7333),
    [anon_sym_RBRACE] = ACTIONS(7333),
    [sym_word] = ACTIONS(7331),
    [sym_placeholder] = ACTIONS(7333),
    [sym_delimiter] = ACTIONS(7333),
    [anon_sym_PLUS] = ACTIONS(7333),
    [anon_sym_DASH] = ACTIONS(7333),
    [anon_sym_STAR] = ACTIONS(7333),
    [anon_sym_SLASH] = ACTIONS(7333),
    [anon_sym_LT] = ACTIONS(7331),
    [anon_sym_GT] = ACTIONS(7331),
    [anon_sym_BANG] = ACTIONS(7331),
    [anon_sym_PIPE] = ACTIONS(7331),
    [anon_sym_COLON] = ACTIONS(7331),
    [anon_sym_SQUOTE] = ACTIONS(7331),
    [anon_sym__] = ACTIONS(7333),
    [anon_sym_CARET] = ACTIONS(7333),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7333),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7333),
    [anon_sym_DOLLAR] = ACTIONS(7331),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7333),
    [anon_sym_BSLASHleft] = ACTIONS(7331),
    [anon_sym_BSLASHbigl] = ACTIONS(7331),
    [anon_sym_BSLASHBigl] = ACTIONS(7331),
    [anon_sym_BSLASHbiggl] = ACTIONS(7331),
    [anon_sym_BSLASHBiggl] = ACTIONS(7331),
    [anon_sym_BSLASHtext] = ACTIONS(7331),
    [anon_sym_BSLASHintertext] = ACTIONS(7331),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7331),
    [anon_sym_BSLASHbegin] = ACTIONS(7331),
    [anon_sym_BSLASHtitle] = ACTIONS(7331),
    [anon_sym_BSLASHauthor] = ACTIONS(7331),
    [anon_sym_BSLASHusepackage] = ACTIONS(7331),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7331),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7331),
    [anon_sym_BSLASHinclude] = ACTIONS(7331),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7331),
    [anon_sym_BSLASHinput] = ACTIONS(7331),
    [anon_sym_BSLASHsubfile] = ACTIONS(7331),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7331),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7331),
    [anon_sym_BSLASHbibliography] = ACTIONS(7331),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7331),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7331),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7331),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7331),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7331),
    [anon_sym_BSLASHimport] = ACTIONS(7331),
    [anon_sym_BSLASHsubimport] = ACTIONS(7331),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7331),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7331),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7331),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7331),
    [anon_sym_BSLASHcaption] = ACTIONS(7331),
    [anon_sym_BSLASHcite] = ACTIONS(7331),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCite] = ACTIONS(7331),
    [anon_sym_BSLASHnocite] = ACTIONS(7331),
    [anon_sym_BSLASHcitet] = ACTIONS(7331),
    [anon_sym_BSLASHcitep] = ACTIONS(7331),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteA] = ACTIONS(7331),
    [anon_sym_BSLASHciteR] = ACTIONS(7331),
    [anon_sym_BSLASHciteS] = ACTIONS(7331),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7331),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7331),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7331),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7331),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteyear] = ACTIONS(7331),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitedate] = ACTIONS(7331),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteurl] = ACTIONS(7331),
    [anon_sym_BSLASHfullcite] = ACTIONS(7331),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7331),
    [anon_sym_BSLASHcitealt] = ACTIONS(7331),
    [anon_sym_BSLASHcitealp] = ACTIONS(7331),
    [anon_sym_BSLASHcitetext] = ACTIONS(7331),
    [anon_sym_BSLASHparencite] = ACTIONS(7331),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHParencite] = ACTIONS(7331),
    [anon_sym_BSLASHfootcite] = ACTIONS(7331),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7331),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7331),
    [anon_sym_BSLASHtextcite] = ACTIONS(7331),
    [anon_sym_BSLASHTextcite] = ACTIONS(7331),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7331),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7331),
    [anon_sym_BSLASHsupercite] = ACTIONS(7331),
    [anon_sym_BSLASHautocite] = ACTIONS(7331),
    [anon_sym_BSLASHAutocite] = ACTIONS(7331),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHVolcite] = ACTIONS(7331),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHavolcite] = ACTIONS(7331),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHNotecite] = ACTIONS(7331),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHlabel] = ACTIONS(7331),
    [anon_sym_BSLASHref] = ACTIONS(7331),
    [anon_sym_BSLASHeqref] = ACTIONS(7331),
    [anon_sym_BSLASHvref] = ACTIONS(7331),
    [anon_sym_BSLASHVref] = ACTIONS(7331),
    [anon_sym_BSLASHautoref] = ACTIONS(7331),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHpageref] = ACTIONS(7331),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHautopageref] = ACTIONS(7331),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcref] = ACTIONS(7331),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCref] = ACTIONS(7331),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcpageref] = ACTIONS(7331),
    [anon_sym_BSLASHCpageref] = ACTIONS(7331),
    [anon_sym_BSLASHnamecref] = ACTIONS(7331),
    [anon_sym_BSLASHnameCref] = ACTIONS(7331),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7331),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7331),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7331),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7331),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7331),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7331),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7331),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7331),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7331),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7331),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7331),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHdef] = ACTIONS(7331),
    [anon_sym_BSLASHgdef] = ACTIONS(7331),
    [anon_sym_BSLASHedef] = ACTIONS(7331),
    [anon_sym_BSLASHxdef] = ACTIONS(7331),
    [anon_sym_BSLASHlet] = ACTIONS(7331),
    [anon_sym_BSLASHglet] = ACTIONS(7331),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7331),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7331),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7331),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7331),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7331),
    [anon_sym_BSLASHgls] = ACTIONS(7331),
    [anon_sym_BSLASHGls] = ACTIONS(7331),
    [anon_sym_BSLASHGLS] = ACTIONS(7331),
    [anon_sym_BSLASHglspl] = ACTIONS(7331),
    [anon_sym_BSLASHGlspl] = ACTIONS(7331),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7331),
    [anon_sym_BSLASHglslink] = ACTIONS(7331),
    [anon_sym_BSLASHglstext] = ACTIONS(7331),
    [anon_sym_BSLASHGlstext] = ACTIONS(7331),
    [anon_sym_BSLASHGLStext] = ACTIONS(7331),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7331),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7331),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7331),
    [anon_sym_BSLASHglsplural] = ACTIONS(7331),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7331),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7331),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHglsname] = ACTIONS(7331),
    [anon_sym_BSLASHGlsname] = ACTIONS(7331),
    [anon_sym_BSLASHGLSname] = ACTIONS(7331),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7331),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7331),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7331),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7331),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7331),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7331),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7331),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7331),
    [anon_sym_BSLASHacrshort] = ACTIONS(7331),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7331),
    [anon_sym_BSLASHACRshort] = ACTIONS(7331),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHacrlong] = ACTIONS(7331),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7331),
    [anon_sym_BSLASHACRlong] = ACTIONS(7331),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHacrfull] = ACTIONS(7331),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7331),
    [anon_sym_BSLASHACRfull] = ACTIONS(7331),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHacs] = ACTIONS(7331),
    [anon_sym_BSLASHAcs] = ACTIONS(7331),
    [anon_sym_BSLASHacsp] = ACTIONS(7331),
    [anon_sym_BSLASHAcsp] = ACTIONS(7331),
    [anon_sym_BSLASHacl] = ACTIONS(7331),
    [anon_sym_BSLASHAcl] = ACTIONS(7331),
    [anon_sym_BSLASHaclp] = ACTIONS(7331),
    [anon_sym_BSLASHAclp] = ACTIONS(7331),
    [anon_sym_BSLASHacf] = ACTIONS(7331),
    [anon_sym_BSLASHAcf] = ACTIONS(7331),
    [anon_sym_BSLASHacfp] = ACTIONS(7331),
    [anon_sym_BSLASHAcfp] = ACTIONS(7331),
    [anon_sym_BSLASHac] = ACTIONS(7331),
    [anon_sym_BSLASHAc] = ACTIONS(7331),
    [anon_sym_BSLASHacp] = ACTIONS(7331),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7331),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7331),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7331),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7331),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7331),
    [anon_sym_BSLASHcolor] = ACTIONS(7331),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7331),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7331),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7331),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7331),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7331),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7331),
    [anon_sym_BSLASHurl] = ACTIONS(7331),
    [anon_sym_BSLASHhref] = ACTIONS(7331),
  },
  [1077] = {
    [ts_builtin_sym_end] = ACTIONS(7161),
    [sym_command_name] = ACTIONS(7159),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7159),
    [anon_sym_LBRACK] = ACTIONS(7161),
    [anon_sym_RBRACK] = ACTIONS(7161),
    [anon_sym_COMMA] = ACTIONS(7161),
    [anon_sym_EQ] = ACTIONS(7161),
    [anon_sym_LPAREN] = ACTIONS(7161),
    [anon_sym_RPAREN] = ACTIONS(7161),
    [anon_sym_BSLASHpart] = ACTIONS(7159),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHaddpart] = ACTIONS(7159),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHchapter] = ACTIONS(7159),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHaddchap] = ACTIONS(7159),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHsection] = ACTIONS(7159),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHaddsec] = ACTIONS(7159),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHsubsection] = ACTIONS(7159),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7159),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHparagraph] = ACTIONS(7159),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7159),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHitem] = ACTIONS(7159),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7161),
    [anon_sym_LBRACE] = ACTIONS(7161),
    [anon_sym_RBRACE] = ACTIONS(7161),
    [sym_word] = ACTIONS(7159),
    [sym_placeholder] = ACTIONS(7161),
    [sym_delimiter] = ACTIONS(7161),
    [anon_sym_PLUS] = ACTIONS(7161),
    [anon_sym_DASH] = ACTIONS(7161),
    [anon_sym_STAR] = ACTIONS(7161),
    [anon_sym_SLASH] = ACTIONS(7161),
    [anon_sym_LT] = ACTIONS(7159),
    [anon_sym_GT] = ACTIONS(7159),
    [anon_sym_BANG] = ACTIONS(7159),
    [anon_sym_PIPE] = ACTIONS(7159),
    [anon_sym_COLON] = ACTIONS(7159),
    [anon_sym_SQUOTE] = ACTIONS(7159),
    [anon_sym__] = ACTIONS(7161),
    [anon_sym_CARET] = ACTIONS(7161),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7161),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7161),
    [anon_sym_DOLLAR] = ACTIONS(7159),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7161),
    [anon_sym_BSLASHleft] = ACTIONS(7159),
    [anon_sym_BSLASHbigl] = ACTIONS(7159),
    [anon_sym_BSLASHBigl] = ACTIONS(7159),
    [anon_sym_BSLASHbiggl] = ACTIONS(7159),
    [anon_sym_BSLASHBiggl] = ACTIONS(7159),
    [anon_sym_BSLASHtext] = ACTIONS(7159),
    [anon_sym_BSLASHintertext] = ACTIONS(7159),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7159),
    [anon_sym_BSLASHbegin] = ACTIONS(7159),
    [anon_sym_BSLASHtitle] = ACTIONS(7159),
    [anon_sym_BSLASHauthor] = ACTIONS(7159),
    [anon_sym_BSLASHusepackage] = ACTIONS(7159),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7159),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7159),
    [anon_sym_BSLASHinclude] = ACTIONS(7159),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7159),
    [anon_sym_BSLASHinput] = ACTIONS(7159),
    [anon_sym_BSLASHsubfile] = ACTIONS(7159),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7159),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7159),
    [anon_sym_BSLASHbibliography] = ACTIONS(7159),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7159),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7159),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7159),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7159),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7159),
    [anon_sym_BSLASHimport] = ACTIONS(7159),
    [anon_sym_BSLASHsubimport] = ACTIONS(7159),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7159),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7159),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7159),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7159),
    [anon_sym_BSLASHcaption] = ACTIONS(7159),
    [anon_sym_BSLASHcite] = ACTIONS(7159),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHCite] = ACTIONS(7159),
    [anon_sym_BSLASHnocite] = ACTIONS(7159),
    [anon_sym_BSLASHcitet] = ACTIONS(7159),
    [anon_sym_BSLASHcitep] = ACTIONS(7159),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHciteA] = ACTIONS(7159),
    [anon_sym_BSLASHciteR] = ACTIONS(7159),
    [anon_sym_BSLASHciteS] = ACTIONS(7159),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7159),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7159),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7159),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7159),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHciteyear] = ACTIONS(7159),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcitedate] = ACTIONS(7159),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHciteurl] = ACTIONS(7159),
    [anon_sym_BSLASHfullcite] = ACTIONS(7159),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7159),
    [anon_sym_BSLASHcitealt] = ACTIONS(7159),
    [anon_sym_BSLASHcitealp] = ACTIONS(7159),
    [anon_sym_BSLASHcitetext] = ACTIONS(7159),
    [anon_sym_BSLASHparencite] = ACTIONS(7159),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHParencite] = ACTIONS(7159),
    [anon_sym_BSLASHfootcite] = ACTIONS(7159),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7159),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7159),
    [anon_sym_BSLASHtextcite] = ACTIONS(7159),
    [anon_sym_BSLASHTextcite] = ACTIONS(7159),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7159),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7159),
    [anon_sym_BSLASHsupercite] = ACTIONS(7159),
    [anon_sym_BSLASHautocite] = ACTIONS(7159),
    [anon_sym_BSLASHAutocite] = ACTIONS(7159),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHVolcite] = ACTIONS(7159),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHavolcite] = ACTIONS(7159),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHnotecite] = ACTIONS(7159),
    [anon_sym_BSLASHNotecite] = ACTIONS(7159),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7159),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7159),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7159),
    [anon_sym_BSLASHlabel] = ACTIONS(7159),
    [anon_sym_BSLASHref] = ACTIONS(7159),
    [anon_sym_BSLASHeqref] = ACTIONS(7159),
    [anon_sym_BSLASHvref] = ACTIONS(7159),
    [anon_sym_BSLASHVref] = ACTIONS(7159),
    [anon_sym_BSLASHautoref] = ACTIONS(7159),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHpageref] = ACTIONS(7159),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHautopageref] = ACTIONS(7159),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcref] = ACTIONS(7159),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHCref] = ACTIONS(7159),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcpageref] = ACTIONS(7159),
    [anon_sym_BSLASHCpageref] = ACTIONS(7159),
    [anon_sym_BSLASHnamecref] = ACTIONS(7159),
    [anon_sym_BSLASHnameCref] = ACTIONS(7159),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7159),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7159),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7159),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7159),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7159),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7159),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7159),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7159),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7159),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7159),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7159),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7159),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7159),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7159),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7159),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7159),
    [anon_sym_BSLASHdef] = ACTIONS(7159),
    [anon_sym_BSLASHgdef] = ACTIONS(7159),
    [anon_sym_BSLASHedef] = ACTIONS(7159),
    [anon_sym_BSLASHxdef] = ACTIONS(7159),
    [anon_sym_BSLASHlet] = ACTIONS(7159),
    [anon_sym_BSLASHglet] = ACTIONS(7159),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7159),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7159),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7159),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7159),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7159),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7159),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7159),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7159),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7159),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7159),
    [anon_sym_BSLASHgls] = ACTIONS(7159),
    [anon_sym_BSLASHGls] = ACTIONS(7159),
    [anon_sym_BSLASHGLS] = ACTIONS(7159),
    [anon_sym_BSLASHglspl] = ACTIONS(7159),
    [anon_sym_BSLASHGlspl] = ACTIONS(7159),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7159),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7159),
    [anon_sym_BSLASHglslink] = ACTIONS(7159),
    [anon_sym_BSLASHglstext] = ACTIONS(7159),
    [anon_sym_BSLASHGlstext] = ACTIONS(7159),
    [anon_sym_BSLASHGLStext] = ACTIONS(7159),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7159),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7159),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7159),
    [anon_sym_BSLASHglsplural] = ACTIONS(7159),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7159),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7159),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7159),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7159),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7159),
    [anon_sym_BSLASHglsname] = ACTIONS(7159),
    [anon_sym_BSLASHGlsname] = ACTIONS(7159),
    [anon_sym_BSLASHGLSname] = ACTIONS(7159),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7159),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7159),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7159),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7159),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7159),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7159),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7159),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7159),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7159),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7159),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7159),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7159),
    [anon_sym_BSLASHacrshort] = ACTIONS(7159),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7159),
    [anon_sym_BSLASHACRshort] = ACTIONS(7159),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHacrlong] = ACTIONS(7159),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7159),
    [anon_sym_BSLASHACRlong] = ACTIONS(7159),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7159),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7159),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7159),
    [anon_sym_BSLASHacrfull] = ACTIONS(7159),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7159),
    [anon_sym_BSLASHACRfull] = ACTIONS(7159),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHacs] = ACTIONS(7159),
    [anon_sym_BSLASHAcs] = ACTIONS(7159),
    [anon_sym_BSLASHacsp] = ACTIONS(7159),
    [anon_sym_BSLASHAcsp] = ACTIONS(7159),
    [anon_sym_BSLASHacl] = ACTIONS(7159),
    [anon_sym_BSLASHAcl] = ACTIONS(7159),
    [anon_sym_BSLASHaclp] = ACTIONS(7159),
    [anon_sym_BSLASHAclp] = ACTIONS(7159),
    [anon_sym_BSLASHacf] = ACTIONS(7159),
    [anon_sym_BSLASHAcf] = ACTIONS(7159),
    [anon_sym_BSLASHacfp] = ACTIONS(7159),
    [anon_sym_BSLASHAcfp] = ACTIONS(7159),
    [anon_sym_BSLASHac] = ACTIONS(7159),
    [anon_sym_BSLASHAc] = ACTIONS(7159),
    [anon_sym_BSLASHacp] = ACTIONS(7159),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7159),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7159),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7159),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7159),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7159),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7159),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7159),
    [anon_sym_BSLASHcolor] = ACTIONS(7159),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7159),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7159),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7159),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7159),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7159),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7159),
    [anon_sym_BSLASHurl] = ACTIONS(7159),
    [anon_sym_BSLASHhref] = ACTIONS(7159),
  },
  [1078] = {
    [ts_builtin_sym_end] = ACTIONS(7165),
    [sym_command_name] = ACTIONS(7163),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7163),
    [anon_sym_LBRACK] = ACTIONS(7165),
    [anon_sym_RBRACK] = ACTIONS(7165),
    [anon_sym_COMMA] = ACTIONS(7165),
    [anon_sym_EQ] = ACTIONS(7165),
    [anon_sym_LPAREN] = ACTIONS(7165),
    [anon_sym_RPAREN] = ACTIONS(7165),
    [anon_sym_BSLASHpart] = ACTIONS(7163),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHaddpart] = ACTIONS(7163),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHchapter] = ACTIONS(7163),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHaddchap] = ACTIONS(7163),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHsection] = ACTIONS(7163),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHaddsec] = ACTIONS(7163),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHsubsection] = ACTIONS(7163),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7163),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHparagraph] = ACTIONS(7163),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7163),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHitem] = ACTIONS(7163),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7165),
    [anon_sym_LBRACE] = ACTIONS(7165),
    [anon_sym_RBRACE] = ACTIONS(7165),
    [sym_word] = ACTIONS(7163),
    [sym_placeholder] = ACTIONS(7165),
    [sym_delimiter] = ACTIONS(7165),
    [anon_sym_PLUS] = ACTIONS(7165),
    [anon_sym_DASH] = ACTIONS(7165),
    [anon_sym_STAR] = ACTIONS(7165),
    [anon_sym_SLASH] = ACTIONS(7165),
    [anon_sym_LT] = ACTIONS(7163),
    [anon_sym_GT] = ACTIONS(7163),
    [anon_sym_BANG] = ACTIONS(7163),
    [anon_sym_PIPE] = ACTIONS(7163),
    [anon_sym_COLON] = ACTIONS(7163),
    [anon_sym_SQUOTE] = ACTIONS(7163),
    [anon_sym__] = ACTIONS(7165),
    [anon_sym_CARET] = ACTIONS(7165),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7165),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7165),
    [anon_sym_DOLLAR] = ACTIONS(7163),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7165),
    [anon_sym_BSLASHleft] = ACTIONS(7163),
    [anon_sym_BSLASHbigl] = ACTIONS(7163),
    [anon_sym_BSLASHBigl] = ACTIONS(7163),
    [anon_sym_BSLASHbiggl] = ACTIONS(7163),
    [anon_sym_BSLASHBiggl] = ACTIONS(7163),
    [anon_sym_BSLASHtext] = ACTIONS(7163),
    [anon_sym_BSLASHintertext] = ACTIONS(7163),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7163),
    [anon_sym_BSLASHbegin] = ACTIONS(7163),
    [anon_sym_BSLASHtitle] = ACTIONS(7163),
    [anon_sym_BSLASHauthor] = ACTIONS(7163),
    [anon_sym_BSLASHusepackage] = ACTIONS(7163),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7163),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7163),
    [anon_sym_BSLASHinclude] = ACTIONS(7163),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7163),
    [anon_sym_BSLASHinput] = ACTIONS(7163),
    [anon_sym_BSLASHsubfile] = ACTIONS(7163),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7163),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7163),
    [anon_sym_BSLASHbibliography] = ACTIONS(7163),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7163),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7163),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7163),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7163),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7163),
    [anon_sym_BSLASHimport] = ACTIONS(7163),
    [anon_sym_BSLASHsubimport] = ACTIONS(7163),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7163),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7163),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7163),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7163),
    [anon_sym_BSLASHcaption] = ACTIONS(7163),
    [anon_sym_BSLASHcite] = ACTIONS(7163),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHCite] = ACTIONS(7163),
    [anon_sym_BSLASHnocite] = ACTIONS(7163),
    [anon_sym_BSLASHcitet] = ACTIONS(7163),
    [anon_sym_BSLASHcitep] = ACTIONS(7163),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHciteA] = ACTIONS(7163),
    [anon_sym_BSLASHciteR] = ACTIONS(7163),
    [anon_sym_BSLASHciteS] = ACTIONS(7163),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7163),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7163),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7163),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7163),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHciteyear] = ACTIONS(7163),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcitedate] = ACTIONS(7163),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHciteurl] = ACTIONS(7163),
    [anon_sym_BSLASHfullcite] = ACTIONS(7163),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7163),
    [anon_sym_BSLASHcitealt] = ACTIONS(7163),
    [anon_sym_BSLASHcitealp] = ACTIONS(7163),
    [anon_sym_BSLASHcitetext] = ACTIONS(7163),
    [anon_sym_BSLASHparencite] = ACTIONS(7163),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHParencite] = ACTIONS(7163),
    [anon_sym_BSLASHfootcite] = ACTIONS(7163),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7163),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7163),
    [anon_sym_BSLASHtextcite] = ACTIONS(7163),
    [anon_sym_BSLASHTextcite] = ACTIONS(7163),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7163),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7163),
    [anon_sym_BSLASHsupercite] = ACTIONS(7163),
    [anon_sym_BSLASHautocite] = ACTIONS(7163),
    [anon_sym_BSLASHAutocite] = ACTIONS(7163),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHVolcite] = ACTIONS(7163),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHavolcite] = ACTIONS(7163),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHnotecite] = ACTIONS(7163),
    [anon_sym_BSLASHNotecite] = ACTIONS(7163),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7163),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7163),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7163),
    [anon_sym_BSLASHlabel] = ACTIONS(7163),
    [anon_sym_BSLASHref] = ACTIONS(7163),
    [anon_sym_BSLASHeqref] = ACTIONS(7163),
    [anon_sym_BSLASHvref] = ACTIONS(7163),
    [anon_sym_BSLASHVref] = ACTIONS(7163),
    [anon_sym_BSLASHautoref] = ACTIONS(7163),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHpageref] = ACTIONS(7163),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHautopageref] = ACTIONS(7163),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcref] = ACTIONS(7163),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHCref] = ACTIONS(7163),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcpageref] = ACTIONS(7163),
    [anon_sym_BSLASHCpageref] = ACTIONS(7163),
    [anon_sym_BSLASHnamecref] = ACTIONS(7163),
    [anon_sym_BSLASHnameCref] = ACTIONS(7163),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7163),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7163),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7163),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7163),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7163),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7163),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7163),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7163),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7163),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7163),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7163),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7163),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7163),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7163),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7163),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7163),
    [anon_sym_BSLASHdef] = ACTIONS(7163),
    [anon_sym_BSLASHgdef] = ACTIONS(7163),
    [anon_sym_BSLASHedef] = ACTIONS(7163),
    [anon_sym_BSLASHxdef] = ACTIONS(7163),
    [anon_sym_BSLASHlet] = ACTIONS(7163),
    [anon_sym_BSLASHglet] = ACTIONS(7163),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7163),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7163),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7163),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7163),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7163),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7163),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7163),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7163),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7163),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7163),
    [anon_sym_BSLASHgls] = ACTIONS(7163),
    [anon_sym_BSLASHGls] = ACTIONS(7163),
    [anon_sym_BSLASHGLS] = ACTIONS(7163),
    [anon_sym_BSLASHglspl] = ACTIONS(7163),
    [anon_sym_BSLASHGlspl] = ACTIONS(7163),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7163),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7163),
    [anon_sym_BSLASHglslink] = ACTIONS(7163),
    [anon_sym_BSLASHglstext] = ACTIONS(7163),
    [anon_sym_BSLASHGlstext] = ACTIONS(7163),
    [anon_sym_BSLASHGLStext] = ACTIONS(7163),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7163),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7163),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7163),
    [anon_sym_BSLASHglsplural] = ACTIONS(7163),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7163),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7163),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7163),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7163),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7163),
    [anon_sym_BSLASHglsname] = ACTIONS(7163),
    [anon_sym_BSLASHGlsname] = ACTIONS(7163),
    [anon_sym_BSLASHGLSname] = ACTIONS(7163),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7163),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7163),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7163),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7163),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7163),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7163),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7163),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7163),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7163),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7163),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7163),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7163),
    [anon_sym_BSLASHacrshort] = ACTIONS(7163),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7163),
    [anon_sym_BSLASHACRshort] = ACTIONS(7163),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHacrlong] = ACTIONS(7163),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7163),
    [anon_sym_BSLASHACRlong] = ACTIONS(7163),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7163),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7163),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7163),
    [anon_sym_BSLASHacrfull] = ACTIONS(7163),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7163),
    [anon_sym_BSLASHACRfull] = ACTIONS(7163),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHacs] = ACTIONS(7163),
    [anon_sym_BSLASHAcs] = ACTIONS(7163),
    [anon_sym_BSLASHacsp] = ACTIONS(7163),
    [anon_sym_BSLASHAcsp] = ACTIONS(7163),
    [anon_sym_BSLASHacl] = ACTIONS(7163),
    [anon_sym_BSLASHAcl] = ACTIONS(7163),
    [anon_sym_BSLASHaclp] = ACTIONS(7163),
    [anon_sym_BSLASHAclp] = ACTIONS(7163),
    [anon_sym_BSLASHacf] = ACTIONS(7163),
    [anon_sym_BSLASHAcf] = ACTIONS(7163),
    [anon_sym_BSLASHacfp] = ACTIONS(7163),
    [anon_sym_BSLASHAcfp] = ACTIONS(7163),
    [anon_sym_BSLASHac] = ACTIONS(7163),
    [anon_sym_BSLASHAc] = ACTIONS(7163),
    [anon_sym_BSLASHacp] = ACTIONS(7163),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7163),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7163),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7163),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7163),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7163),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7163),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7163),
    [anon_sym_BSLASHcolor] = ACTIONS(7163),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7163),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7163),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7163),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7163),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7163),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7163),
    [anon_sym_BSLASHurl] = ACTIONS(7163),
    [anon_sym_BSLASHhref] = ACTIONS(7163),
  },
  [1079] = {
    [ts_builtin_sym_end] = ACTIONS(7169),
    [sym_command_name] = ACTIONS(7167),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7167),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_RBRACK] = ACTIONS(7169),
    [anon_sym_COMMA] = ACTIONS(7169),
    [anon_sym_EQ] = ACTIONS(7169),
    [anon_sym_LPAREN] = ACTIONS(7169),
    [anon_sym_RPAREN] = ACTIONS(7169),
    [anon_sym_BSLASHpart] = ACTIONS(7167),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHaddpart] = ACTIONS(7167),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHchapter] = ACTIONS(7167),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHaddchap] = ACTIONS(7167),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHsection] = ACTIONS(7167),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHaddsec] = ACTIONS(7167),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHsubsection] = ACTIONS(7167),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7167),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHparagraph] = ACTIONS(7167),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7167),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHitem] = ACTIONS(7167),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7169),
    [anon_sym_LBRACE] = ACTIONS(7169),
    [anon_sym_RBRACE] = ACTIONS(7169),
    [sym_word] = ACTIONS(7167),
    [sym_placeholder] = ACTIONS(7169),
    [sym_delimiter] = ACTIONS(7169),
    [anon_sym_PLUS] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7169),
    [anon_sym_STAR] = ACTIONS(7169),
    [anon_sym_SLASH] = ACTIONS(7169),
    [anon_sym_LT] = ACTIONS(7167),
    [anon_sym_GT] = ACTIONS(7167),
    [anon_sym_BANG] = ACTIONS(7167),
    [anon_sym_PIPE] = ACTIONS(7167),
    [anon_sym_COLON] = ACTIONS(7167),
    [anon_sym_SQUOTE] = ACTIONS(7167),
    [anon_sym__] = ACTIONS(7169),
    [anon_sym_CARET] = ACTIONS(7169),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7169),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7169),
    [anon_sym_DOLLAR] = ACTIONS(7167),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7169),
    [anon_sym_BSLASHleft] = ACTIONS(7167),
    [anon_sym_BSLASHbigl] = ACTIONS(7167),
    [anon_sym_BSLASHBigl] = ACTIONS(7167),
    [anon_sym_BSLASHbiggl] = ACTIONS(7167),
    [anon_sym_BSLASHBiggl] = ACTIONS(7167),
    [anon_sym_BSLASHtext] = ACTIONS(7167),
    [anon_sym_BSLASHintertext] = ACTIONS(7167),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7167),
    [anon_sym_BSLASHbegin] = ACTIONS(7167),
    [anon_sym_BSLASHtitle] = ACTIONS(7167),
    [anon_sym_BSLASHauthor] = ACTIONS(7167),
    [anon_sym_BSLASHusepackage] = ACTIONS(7167),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7167),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7167),
    [anon_sym_BSLASHinclude] = ACTIONS(7167),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7167),
    [anon_sym_BSLASHinput] = ACTIONS(7167),
    [anon_sym_BSLASHsubfile] = ACTIONS(7167),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7167),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7167),
    [anon_sym_BSLASHbibliography] = ACTIONS(7167),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7167),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7167),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7167),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7167),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7167),
    [anon_sym_BSLASHimport] = ACTIONS(7167),
    [anon_sym_BSLASHsubimport] = ACTIONS(7167),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7167),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7167),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7167),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7167),
    [anon_sym_BSLASHcaption] = ACTIONS(7167),
    [anon_sym_BSLASHcite] = ACTIONS(7167),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHCite] = ACTIONS(7167),
    [anon_sym_BSLASHnocite] = ACTIONS(7167),
    [anon_sym_BSLASHcitet] = ACTIONS(7167),
    [anon_sym_BSLASHcitep] = ACTIONS(7167),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHciteA] = ACTIONS(7167),
    [anon_sym_BSLASHciteR] = ACTIONS(7167),
    [anon_sym_BSLASHciteS] = ACTIONS(7167),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7167),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7167),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7167),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7167),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHciteyear] = ACTIONS(7167),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcitedate] = ACTIONS(7167),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHciteurl] = ACTIONS(7167),
    [anon_sym_BSLASHfullcite] = ACTIONS(7167),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7167),
    [anon_sym_BSLASHcitealt] = ACTIONS(7167),
    [anon_sym_BSLASHcitealp] = ACTIONS(7167),
    [anon_sym_BSLASHcitetext] = ACTIONS(7167),
    [anon_sym_BSLASHparencite] = ACTIONS(7167),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHParencite] = ACTIONS(7167),
    [anon_sym_BSLASHfootcite] = ACTIONS(7167),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7167),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7167),
    [anon_sym_BSLASHtextcite] = ACTIONS(7167),
    [anon_sym_BSLASHTextcite] = ACTIONS(7167),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7167),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7167),
    [anon_sym_BSLASHsupercite] = ACTIONS(7167),
    [anon_sym_BSLASHautocite] = ACTIONS(7167),
    [anon_sym_BSLASHAutocite] = ACTIONS(7167),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHVolcite] = ACTIONS(7167),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHavolcite] = ACTIONS(7167),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHnotecite] = ACTIONS(7167),
    [anon_sym_BSLASHNotecite] = ACTIONS(7167),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7167),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7167),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7167),
    [anon_sym_BSLASHlabel] = ACTIONS(7167),
    [anon_sym_BSLASHref] = ACTIONS(7167),
    [anon_sym_BSLASHeqref] = ACTIONS(7167),
    [anon_sym_BSLASHvref] = ACTIONS(7167),
    [anon_sym_BSLASHVref] = ACTIONS(7167),
    [anon_sym_BSLASHautoref] = ACTIONS(7167),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHpageref] = ACTIONS(7167),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHautopageref] = ACTIONS(7167),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcref] = ACTIONS(7167),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHCref] = ACTIONS(7167),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcpageref] = ACTIONS(7167),
    [anon_sym_BSLASHCpageref] = ACTIONS(7167),
    [anon_sym_BSLASHnamecref] = ACTIONS(7167),
    [anon_sym_BSLASHnameCref] = ACTIONS(7167),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7167),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7167),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7167),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7167),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7167),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7167),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7167),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7167),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7167),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7167),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7167),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7167),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7167),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7167),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7167),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7167),
    [anon_sym_BSLASHdef] = ACTIONS(7167),
    [anon_sym_BSLASHgdef] = ACTIONS(7167),
    [anon_sym_BSLASHedef] = ACTIONS(7167),
    [anon_sym_BSLASHxdef] = ACTIONS(7167),
    [anon_sym_BSLASHlet] = ACTIONS(7167),
    [anon_sym_BSLASHglet] = ACTIONS(7167),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7167),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7167),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7167),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7167),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7167),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7167),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7167),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7167),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7167),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7167),
    [anon_sym_BSLASHgls] = ACTIONS(7167),
    [anon_sym_BSLASHGls] = ACTIONS(7167),
    [anon_sym_BSLASHGLS] = ACTIONS(7167),
    [anon_sym_BSLASHglspl] = ACTIONS(7167),
    [anon_sym_BSLASHGlspl] = ACTIONS(7167),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7167),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7167),
    [anon_sym_BSLASHglslink] = ACTIONS(7167),
    [anon_sym_BSLASHglstext] = ACTIONS(7167),
    [anon_sym_BSLASHGlstext] = ACTIONS(7167),
    [anon_sym_BSLASHGLStext] = ACTIONS(7167),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7167),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7167),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7167),
    [anon_sym_BSLASHglsplural] = ACTIONS(7167),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7167),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7167),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7167),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7167),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7167),
    [anon_sym_BSLASHglsname] = ACTIONS(7167),
    [anon_sym_BSLASHGlsname] = ACTIONS(7167),
    [anon_sym_BSLASHGLSname] = ACTIONS(7167),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7167),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7167),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7167),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7167),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7167),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7167),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7167),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7167),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7167),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7167),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7167),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7167),
    [anon_sym_BSLASHacrshort] = ACTIONS(7167),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7167),
    [anon_sym_BSLASHACRshort] = ACTIONS(7167),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHacrlong] = ACTIONS(7167),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7167),
    [anon_sym_BSLASHACRlong] = ACTIONS(7167),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7167),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7167),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7167),
    [anon_sym_BSLASHacrfull] = ACTIONS(7167),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7167),
    [anon_sym_BSLASHACRfull] = ACTIONS(7167),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHacs] = ACTIONS(7167),
    [anon_sym_BSLASHAcs] = ACTIONS(7167),
    [anon_sym_BSLASHacsp] = ACTIONS(7167),
    [anon_sym_BSLASHAcsp] = ACTIONS(7167),
    [anon_sym_BSLASHacl] = ACTIONS(7167),
    [anon_sym_BSLASHAcl] = ACTIONS(7167),
    [anon_sym_BSLASHaclp] = ACTIONS(7167),
    [anon_sym_BSLASHAclp] = ACTIONS(7167),
    [anon_sym_BSLASHacf] = ACTIONS(7167),
    [anon_sym_BSLASHAcf] = ACTIONS(7167),
    [anon_sym_BSLASHacfp] = ACTIONS(7167),
    [anon_sym_BSLASHAcfp] = ACTIONS(7167),
    [anon_sym_BSLASHac] = ACTIONS(7167),
    [anon_sym_BSLASHAc] = ACTIONS(7167),
    [anon_sym_BSLASHacp] = ACTIONS(7167),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7167),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7167),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7167),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7167),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7167),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7167),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7167),
    [anon_sym_BSLASHcolor] = ACTIONS(7167),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7167),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7167),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7167),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7167),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7167),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7167),
    [anon_sym_BSLASHurl] = ACTIONS(7167),
    [anon_sym_BSLASHhref] = ACTIONS(7167),
  },
  [1080] = {
    [ts_builtin_sym_end] = ACTIONS(7173),
    [sym_command_name] = ACTIONS(7171),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(7173),
    [anon_sym_RBRACK] = ACTIONS(7173),
    [anon_sym_COMMA] = ACTIONS(7173),
    [anon_sym_EQ] = ACTIONS(7173),
    [anon_sym_LPAREN] = ACTIONS(7173),
    [anon_sym_RPAREN] = ACTIONS(7173),
    [anon_sym_BSLASHpart] = ACTIONS(7171),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHaddpart] = ACTIONS(7171),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHchapter] = ACTIONS(7171),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHaddchap] = ACTIONS(7171),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHsection] = ACTIONS(7171),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHaddsec] = ACTIONS(7171),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHsubsection] = ACTIONS(7171),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7171),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHparagraph] = ACTIONS(7171),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7171),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHitem] = ACTIONS(7171),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7173),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_RBRACE] = ACTIONS(7173),
    [sym_word] = ACTIONS(7171),
    [sym_placeholder] = ACTIONS(7173),
    [sym_delimiter] = ACTIONS(7173),
    [anon_sym_PLUS] = ACTIONS(7173),
    [anon_sym_DASH] = ACTIONS(7173),
    [anon_sym_STAR] = ACTIONS(7173),
    [anon_sym_SLASH] = ACTIONS(7173),
    [anon_sym_LT] = ACTIONS(7171),
    [anon_sym_GT] = ACTIONS(7171),
    [anon_sym_BANG] = ACTIONS(7171),
    [anon_sym_PIPE] = ACTIONS(7171),
    [anon_sym_COLON] = ACTIONS(7171),
    [anon_sym_SQUOTE] = ACTIONS(7171),
    [anon_sym__] = ACTIONS(7173),
    [anon_sym_CARET] = ACTIONS(7173),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7173),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7173),
    [anon_sym_DOLLAR] = ACTIONS(7171),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7173),
    [anon_sym_BSLASHleft] = ACTIONS(7171),
    [anon_sym_BSLASHbigl] = ACTIONS(7171),
    [anon_sym_BSLASHBigl] = ACTIONS(7171),
    [anon_sym_BSLASHbiggl] = ACTIONS(7171),
    [anon_sym_BSLASHBiggl] = ACTIONS(7171),
    [anon_sym_BSLASHtext] = ACTIONS(7171),
    [anon_sym_BSLASHintertext] = ACTIONS(7171),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7171),
    [anon_sym_BSLASHbegin] = ACTIONS(7171),
    [anon_sym_BSLASHtitle] = ACTIONS(7171),
    [anon_sym_BSLASHauthor] = ACTIONS(7171),
    [anon_sym_BSLASHusepackage] = ACTIONS(7171),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7171),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7171),
    [anon_sym_BSLASHinclude] = ACTIONS(7171),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7171),
    [anon_sym_BSLASHinput] = ACTIONS(7171),
    [anon_sym_BSLASHsubfile] = ACTIONS(7171),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7171),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7171),
    [anon_sym_BSLASHbibliography] = ACTIONS(7171),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7171),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7171),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7171),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7171),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7171),
    [anon_sym_BSLASHimport] = ACTIONS(7171),
    [anon_sym_BSLASHsubimport] = ACTIONS(7171),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7171),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7171),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7171),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7171),
    [anon_sym_BSLASHcaption] = ACTIONS(7171),
    [anon_sym_BSLASHcite] = ACTIONS(7171),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHCite] = ACTIONS(7171),
    [anon_sym_BSLASHnocite] = ACTIONS(7171),
    [anon_sym_BSLASHcitet] = ACTIONS(7171),
    [anon_sym_BSLASHcitep] = ACTIONS(7171),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHciteA] = ACTIONS(7171),
    [anon_sym_BSLASHciteR] = ACTIONS(7171),
    [anon_sym_BSLASHciteS] = ACTIONS(7171),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7171),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7171),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7171),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7171),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHciteyear] = ACTIONS(7171),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcitedate] = ACTIONS(7171),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHciteurl] = ACTIONS(7171),
    [anon_sym_BSLASHfullcite] = ACTIONS(7171),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7171),
    [anon_sym_BSLASHcitealt] = ACTIONS(7171),
    [anon_sym_BSLASHcitealp] = ACTIONS(7171),
    [anon_sym_BSLASHcitetext] = ACTIONS(7171),
    [anon_sym_BSLASHparencite] = ACTIONS(7171),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHParencite] = ACTIONS(7171),
    [anon_sym_BSLASHfootcite] = ACTIONS(7171),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7171),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7171),
    [anon_sym_BSLASHtextcite] = ACTIONS(7171),
    [anon_sym_BSLASHTextcite] = ACTIONS(7171),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7171),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7171),
    [anon_sym_BSLASHsupercite] = ACTIONS(7171),
    [anon_sym_BSLASHautocite] = ACTIONS(7171),
    [anon_sym_BSLASHAutocite] = ACTIONS(7171),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHVolcite] = ACTIONS(7171),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHavolcite] = ACTIONS(7171),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHnotecite] = ACTIONS(7171),
    [anon_sym_BSLASHNotecite] = ACTIONS(7171),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7171),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7171),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7171),
    [anon_sym_BSLASHlabel] = ACTIONS(7171),
    [anon_sym_BSLASHref] = ACTIONS(7171),
    [anon_sym_BSLASHeqref] = ACTIONS(7171),
    [anon_sym_BSLASHvref] = ACTIONS(7171),
    [anon_sym_BSLASHVref] = ACTIONS(7171),
    [anon_sym_BSLASHautoref] = ACTIONS(7171),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHpageref] = ACTIONS(7171),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHautopageref] = ACTIONS(7171),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcref] = ACTIONS(7171),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHCref] = ACTIONS(7171),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcpageref] = ACTIONS(7171),
    [anon_sym_BSLASHCpageref] = ACTIONS(7171),
    [anon_sym_BSLASHnamecref] = ACTIONS(7171),
    [anon_sym_BSLASHnameCref] = ACTIONS(7171),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7171),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7171),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7171),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7171),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7171),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7171),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7171),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7171),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7171),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7171),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7171),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7171),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7171),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7171),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7171),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7171),
    [anon_sym_BSLASHdef] = ACTIONS(7171),
    [anon_sym_BSLASHgdef] = ACTIONS(7171),
    [anon_sym_BSLASHedef] = ACTIONS(7171),
    [anon_sym_BSLASHxdef] = ACTIONS(7171),
    [anon_sym_BSLASHlet] = ACTIONS(7171),
    [anon_sym_BSLASHglet] = ACTIONS(7171),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7171),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7171),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7171),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7171),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7171),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7171),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7171),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7171),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7171),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7171),
    [anon_sym_BSLASHgls] = ACTIONS(7171),
    [anon_sym_BSLASHGls] = ACTIONS(7171),
    [anon_sym_BSLASHGLS] = ACTIONS(7171),
    [anon_sym_BSLASHglspl] = ACTIONS(7171),
    [anon_sym_BSLASHGlspl] = ACTIONS(7171),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7171),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7171),
    [anon_sym_BSLASHglslink] = ACTIONS(7171),
    [anon_sym_BSLASHglstext] = ACTIONS(7171),
    [anon_sym_BSLASHGlstext] = ACTIONS(7171),
    [anon_sym_BSLASHGLStext] = ACTIONS(7171),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7171),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7171),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7171),
    [anon_sym_BSLASHglsplural] = ACTIONS(7171),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7171),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7171),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7171),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7171),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7171),
    [anon_sym_BSLASHglsname] = ACTIONS(7171),
    [anon_sym_BSLASHGlsname] = ACTIONS(7171),
    [anon_sym_BSLASHGLSname] = ACTIONS(7171),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7171),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7171),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7171),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7171),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7171),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7171),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7171),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7171),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7171),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7171),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7171),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7171),
    [anon_sym_BSLASHacrshort] = ACTIONS(7171),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7171),
    [anon_sym_BSLASHACRshort] = ACTIONS(7171),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHacrlong] = ACTIONS(7171),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7171),
    [anon_sym_BSLASHACRlong] = ACTIONS(7171),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7171),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7171),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7171),
    [anon_sym_BSLASHacrfull] = ACTIONS(7171),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7171),
    [anon_sym_BSLASHACRfull] = ACTIONS(7171),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHacs] = ACTIONS(7171),
    [anon_sym_BSLASHAcs] = ACTIONS(7171),
    [anon_sym_BSLASHacsp] = ACTIONS(7171),
    [anon_sym_BSLASHAcsp] = ACTIONS(7171),
    [anon_sym_BSLASHacl] = ACTIONS(7171),
    [anon_sym_BSLASHAcl] = ACTIONS(7171),
    [anon_sym_BSLASHaclp] = ACTIONS(7171),
    [anon_sym_BSLASHAclp] = ACTIONS(7171),
    [anon_sym_BSLASHacf] = ACTIONS(7171),
    [anon_sym_BSLASHAcf] = ACTIONS(7171),
    [anon_sym_BSLASHacfp] = ACTIONS(7171),
    [anon_sym_BSLASHAcfp] = ACTIONS(7171),
    [anon_sym_BSLASHac] = ACTIONS(7171),
    [anon_sym_BSLASHAc] = ACTIONS(7171),
    [anon_sym_BSLASHacp] = ACTIONS(7171),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7171),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7171),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7171),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7171),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7171),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7171),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7171),
    [anon_sym_BSLASHcolor] = ACTIONS(7171),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7171),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7171),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7171),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7171),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7171),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7171),
    [anon_sym_BSLASHurl] = ACTIONS(7171),
    [anon_sym_BSLASHhref] = ACTIONS(7171),
  },
  [1081] = {
    [sym_curly_group] = STATE(1381),
    [sym_command_name] = ACTIONS(6923),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6923),
    [anon_sym_LBRACK] = ACTIONS(6925),
    [anon_sym_RBRACK] = ACTIONS(6925),
    [anon_sym_COMMA] = ACTIONS(6925),
    [anon_sym_EQ] = ACTIONS(6925),
    [anon_sym_LPAREN] = ACTIONS(6925),
    [anon_sym_RPAREN] = ACTIONS(6925),
    [anon_sym_BSLASHpart] = ACTIONS(6923),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHaddpart] = ACTIONS(6923),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHchapter] = ACTIONS(6923),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHaddchap] = ACTIONS(6923),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHsection] = ACTIONS(6923),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHaddsec] = ACTIONS(6923),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHsubsection] = ACTIONS(6923),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6923),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHparagraph] = ACTIONS(6923),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6923),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHitem] = ACTIONS(6923),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6925),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(6923),
    [sym_placeholder] = ACTIONS(6925),
    [sym_delimiter] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6925),
    [anon_sym_DASH] = ACTIONS(6925),
    [anon_sym_STAR] = ACTIONS(6925),
    [anon_sym_SLASH] = ACTIONS(6925),
    [anon_sym_LT] = ACTIONS(6923),
    [anon_sym_GT] = ACTIONS(6923),
    [anon_sym_BANG] = ACTIONS(6923),
    [anon_sym_PIPE] = ACTIONS(6923),
    [anon_sym_COLON] = ACTIONS(6923),
    [anon_sym_SQUOTE] = ACTIONS(6923),
    [anon_sym__] = ACTIONS(6925),
    [anon_sym_CARET] = ACTIONS(6925),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6925),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6925),
    [anon_sym_DOLLAR] = ACTIONS(6923),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6925),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6925),
    [anon_sym_BSLASHleft] = ACTIONS(6923),
    [anon_sym_BSLASHbigl] = ACTIONS(6923),
    [anon_sym_BSLASHBigl] = ACTIONS(6923),
    [anon_sym_BSLASHbiggl] = ACTIONS(6923),
    [anon_sym_BSLASHBiggl] = ACTIONS(6923),
    [anon_sym_BSLASHtext] = ACTIONS(6923),
    [anon_sym_BSLASHintertext] = ACTIONS(6923),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6923),
    [anon_sym_BSLASHbegin] = ACTIONS(6923),
    [anon_sym_BSLASHtitle] = ACTIONS(6923),
    [anon_sym_BSLASHauthor] = ACTIONS(6923),
    [anon_sym_BSLASHusepackage] = ACTIONS(6923),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6923),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6923),
    [anon_sym_BSLASHinclude] = ACTIONS(6923),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6923),
    [anon_sym_BSLASHinput] = ACTIONS(6923),
    [anon_sym_BSLASHsubfile] = ACTIONS(6923),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6923),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6923),
    [anon_sym_BSLASHbibliography] = ACTIONS(6923),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6923),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6923),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6923),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6923),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6923),
    [anon_sym_BSLASHimport] = ACTIONS(6923),
    [anon_sym_BSLASHsubimport] = ACTIONS(6923),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6923),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6923),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6923),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6923),
    [anon_sym_BSLASHcaption] = ACTIONS(6923),
    [anon_sym_BSLASHcite] = ACTIONS(6923),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCite] = ACTIONS(6923),
    [anon_sym_BSLASHnocite] = ACTIONS(6923),
    [anon_sym_BSLASHcitet] = ACTIONS(6923),
    [anon_sym_BSLASHcitep] = ACTIONS(6923),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteA] = ACTIONS(6923),
    [anon_sym_BSLASHciteR] = ACTIONS(6923),
    [anon_sym_BSLASHciteS] = ACTIONS(6923),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6923),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6923),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6923),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6923),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteyear] = ACTIONS(6923),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitedate] = ACTIONS(6923),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteurl] = ACTIONS(6923),
    [anon_sym_BSLASHfullcite] = ACTIONS(6923),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6923),
    [anon_sym_BSLASHcitealt] = ACTIONS(6923),
    [anon_sym_BSLASHcitealp] = ACTIONS(6923),
    [anon_sym_BSLASHcitetext] = ACTIONS(6923),
    [anon_sym_BSLASHparencite] = ACTIONS(6923),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHParencite] = ACTIONS(6923),
    [anon_sym_BSLASHfootcite] = ACTIONS(6923),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6923),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6923),
    [anon_sym_BSLASHtextcite] = ACTIONS(6923),
    [anon_sym_BSLASHTextcite] = ACTIONS(6923),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6923),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6923),
    [anon_sym_BSLASHsupercite] = ACTIONS(6923),
    [anon_sym_BSLASHautocite] = ACTIONS(6923),
    [anon_sym_BSLASHAutocite] = ACTIONS(6923),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHVolcite] = ACTIONS(6923),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHavolcite] = ACTIONS(6923),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHNotecite] = ACTIONS(6923),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHlabel] = ACTIONS(6923),
    [anon_sym_BSLASHref] = ACTIONS(6923),
    [anon_sym_BSLASHeqref] = ACTIONS(6923),
    [anon_sym_BSLASHvref] = ACTIONS(6923),
    [anon_sym_BSLASHVref] = ACTIONS(6923),
    [anon_sym_BSLASHautoref] = ACTIONS(6923),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHpageref] = ACTIONS(6923),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHautopageref] = ACTIONS(6923),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcref] = ACTIONS(6923),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCref] = ACTIONS(6923),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcpageref] = ACTIONS(6923),
    [anon_sym_BSLASHCpageref] = ACTIONS(6923),
    [anon_sym_BSLASHnamecref] = ACTIONS(6923),
    [anon_sym_BSLASHnameCref] = ACTIONS(6923),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6923),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6923),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6923),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6923),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6923),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6923),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6923),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6923),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6923),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6923),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6923),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHdef] = ACTIONS(6923),
    [anon_sym_BSLASHgdef] = ACTIONS(6923),
    [anon_sym_BSLASHedef] = ACTIONS(6923),
    [anon_sym_BSLASHxdef] = ACTIONS(6923),
    [anon_sym_BSLASHlet] = ACTIONS(6923),
    [anon_sym_BSLASHglet] = ACTIONS(6923),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6923),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6923),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6923),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6923),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6923),
    [anon_sym_BSLASHgls] = ACTIONS(6923),
    [anon_sym_BSLASHGls] = ACTIONS(6923),
    [anon_sym_BSLASHGLS] = ACTIONS(6923),
    [anon_sym_BSLASHglspl] = ACTIONS(6923),
    [anon_sym_BSLASHGlspl] = ACTIONS(6923),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6923),
    [anon_sym_BSLASHglslink] = ACTIONS(6923),
    [anon_sym_BSLASHglstext] = ACTIONS(6923),
    [anon_sym_BSLASHGlstext] = ACTIONS(6923),
    [anon_sym_BSLASHGLStext] = ACTIONS(6923),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6923),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6923),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6923),
    [anon_sym_BSLASHglsplural] = ACTIONS(6923),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6923),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6923),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHglsname] = ACTIONS(6923),
    [anon_sym_BSLASHGlsname] = ACTIONS(6923),
    [anon_sym_BSLASHGLSname] = ACTIONS(6923),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6923),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6923),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6923),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6923),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6923),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6923),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6923),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6923),
    [anon_sym_BSLASHacrshort] = ACTIONS(6923),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6923),
    [anon_sym_BSLASHACRshort] = ACTIONS(6923),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHacrlong] = ACTIONS(6923),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6923),
    [anon_sym_BSLASHACRlong] = ACTIONS(6923),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHacrfull] = ACTIONS(6923),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6923),
    [anon_sym_BSLASHACRfull] = ACTIONS(6923),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHacs] = ACTIONS(6923),
    [anon_sym_BSLASHAcs] = ACTIONS(6923),
    [anon_sym_BSLASHacsp] = ACTIONS(6923),
    [anon_sym_BSLASHAcsp] = ACTIONS(6923),
    [anon_sym_BSLASHacl] = ACTIONS(6923),
    [anon_sym_BSLASHAcl] = ACTIONS(6923),
    [anon_sym_BSLASHaclp] = ACTIONS(6923),
    [anon_sym_BSLASHAclp] = ACTIONS(6923),
    [anon_sym_BSLASHacf] = ACTIONS(6923),
    [anon_sym_BSLASHAcf] = ACTIONS(6923),
    [anon_sym_BSLASHacfp] = ACTIONS(6923),
    [anon_sym_BSLASHAcfp] = ACTIONS(6923),
    [anon_sym_BSLASHac] = ACTIONS(6923),
    [anon_sym_BSLASHAc] = ACTIONS(6923),
    [anon_sym_BSLASHacp] = ACTIONS(6923),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6923),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6923),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6923),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6923),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6923),
    [anon_sym_BSLASHcolor] = ACTIONS(6923),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6923),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6923),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6923),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6923),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6923),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6923),
    [anon_sym_BSLASHurl] = ACTIONS(6923),
    [anon_sym_BSLASHhref] = ACTIONS(6923),
  },
  [1082] = {
    [ts_builtin_sym_end] = ACTIONS(7177),
    [sym_command_name] = ACTIONS(7175),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7175),
    [anon_sym_LBRACK] = ACTIONS(7177),
    [anon_sym_RBRACK] = ACTIONS(7177),
    [anon_sym_COMMA] = ACTIONS(7177),
    [anon_sym_EQ] = ACTIONS(7177),
    [anon_sym_LPAREN] = ACTIONS(7177),
    [anon_sym_RPAREN] = ACTIONS(7177),
    [anon_sym_BSLASHpart] = ACTIONS(7175),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHaddpart] = ACTIONS(7175),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHchapter] = ACTIONS(7175),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHaddchap] = ACTIONS(7175),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHsection] = ACTIONS(7175),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHaddsec] = ACTIONS(7175),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHsubsection] = ACTIONS(7175),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7175),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHparagraph] = ACTIONS(7175),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7175),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHitem] = ACTIONS(7175),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7177),
    [anon_sym_LBRACE] = ACTIONS(7177),
    [anon_sym_RBRACE] = ACTIONS(7177),
    [sym_word] = ACTIONS(7175),
    [sym_placeholder] = ACTIONS(7177),
    [sym_delimiter] = ACTIONS(7177),
    [anon_sym_PLUS] = ACTIONS(7177),
    [anon_sym_DASH] = ACTIONS(7177),
    [anon_sym_STAR] = ACTIONS(7177),
    [anon_sym_SLASH] = ACTIONS(7177),
    [anon_sym_LT] = ACTIONS(7175),
    [anon_sym_GT] = ACTIONS(7175),
    [anon_sym_BANG] = ACTIONS(7175),
    [anon_sym_PIPE] = ACTIONS(7175),
    [anon_sym_COLON] = ACTIONS(7175),
    [anon_sym_SQUOTE] = ACTIONS(7175),
    [anon_sym__] = ACTIONS(7177),
    [anon_sym_CARET] = ACTIONS(7177),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7177),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7177),
    [anon_sym_DOLLAR] = ACTIONS(7175),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7177),
    [anon_sym_BSLASHleft] = ACTIONS(7175),
    [anon_sym_BSLASHbigl] = ACTIONS(7175),
    [anon_sym_BSLASHBigl] = ACTIONS(7175),
    [anon_sym_BSLASHbiggl] = ACTIONS(7175),
    [anon_sym_BSLASHBiggl] = ACTIONS(7175),
    [anon_sym_BSLASHtext] = ACTIONS(7175),
    [anon_sym_BSLASHintertext] = ACTIONS(7175),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7175),
    [anon_sym_BSLASHbegin] = ACTIONS(7175),
    [anon_sym_BSLASHtitle] = ACTIONS(7175),
    [anon_sym_BSLASHauthor] = ACTIONS(7175),
    [anon_sym_BSLASHusepackage] = ACTIONS(7175),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7175),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7175),
    [anon_sym_BSLASHinclude] = ACTIONS(7175),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7175),
    [anon_sym_BSLASHinput] = ACTIONS(7175),
    [anon_sym_BSLASHsubfile] = ACTIONS(7175),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7175),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7175),
    [anon_sym_BSLASHbibliography] = ACTIONS(7175),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7175),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7175),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7175),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7175),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7175),
    [anon_sym_BSLASHimport] = ACTIONS(7175),
    [anon_sym_BSLASHsubimport] = ACTIONS(7175),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7175),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7175),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7175),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7175),
    [anon_sym_BSLASHcaption] = ACTIONS(7175),
    [anon_sym_BSLASHcite] = ACTIONS(7175),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHCite] = ACTIONS(7175),
    [anon_sym_BSLASHnocite] = ACTIONS(7175),
    [anon_sym_BSLASHcitet] = ACTIONS(7175),
    [anon_sym_BSLASHcitep] = ACTIONS(7175),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHciteA] = ACTIONS(7175),
    [anon_sym_BSLASHciteR] = ACTIONS(7175),
    [anon_sym_BSLASHciteS] = ACTIONS(7175),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7175),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7175),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7175),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7175),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHciteyear] = ACTIONS(7175),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcitedate] = ACTIONS(7175),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHciteurl] = ACTIONS(7175),
    [anon_sym_BSLASHfullcite] = ACTIONS(7175),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7175),
    [anon_sym_BSLASHcitealt] = ACTIONS(7175),
    [anon_sym_BSLASHcitealp] = ACTIONS(7175),
    [anon_sym_BSLASHcitetext] = ACTIONS(7175),
    [anon_sym_BSLASHparencite] = ACTIONS(7175),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHParencite] = ACTIONS(7175),
    [anon_sym_BSLASHfootcite] = ACTIONS(7175),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7175),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7175),
    [anon_sym_BSLASHtextcite] = ACTIONS(7175),
    [anon_sym_BSLASHTextcite] = ACTIONS(7175),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7175),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7175),
    [anon_sym_BSLASHsupercite] = ACTIONS(7175),
    [anon_sym_BSLASHautocite] = ACTIONS(7175),
    [anon_sym_BSLASHAutocite] = ACTIONS(7175),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHVolcite] = ACTIONS(7175),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHavolcite] = ACTIONS(7175),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHnotecite] = ACTIONS(7175),
    [anon_sym_BSLASHNotecite] = ACTIONS(7175),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7175),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7175),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7175),
    [anon_sym_BSLASHlabel] = ACTIONS(7175),
    [anon_sym_BSLASHref] = ACTIONS(7175),
    [anon_sym_BSLASHeqref] = ACTIONS(7175),
    [anon_sym_BSLASHvref] = ACTIONS(7175),
    [anon_sym_BSLASHVref] = ACTIONS(7175),
    [anon_sym_BSLASHautoref] = ACTIONS(7175),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHpageref] = ACTIONS(7175),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHautopageref] = ACTIONS(7175),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcref] = ACTIONS(7175),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHCref] = ACTIONS(7175),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcpageref] = ACTIONS(7175),
    [anon_sym_BSLASHCpageref] = ACTIONS(7175),
    [anon_sym_BSLASHnamecref] = ACTIONS(7175),
    [anon_sym_BSLASHnameCref] = ACTIONS(7175),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7175),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7175),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7175),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7175),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7175),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7175),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7175),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7175),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7175),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7175),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7175),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7175),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7175),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7175),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7175),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7175),
    [anon_sym_BSLASHdef] = ACTIONS(7175),
    [anon_sym_BSLASHgdef] = ACTIONS(7175),
    [anon_sym_BSLASHedef] = ACTIONS(7175),
    [anon_sym_BSLASHxdef] = ACTIONS(7175),
    [anon_sym_BSLASHlet] = ACTIONS(7175),
    [anon_sym_BSLASHglet] = ACTIONS(7175),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7175),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7175),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7175),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7175),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7175),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7175),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7175),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7175),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7175),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7175),
    [anon_sym_BSLASHgls] = ACTIONS(7175),
    [anon_sym_BSLASHGls] = ACTIONS(7175),
    [anon_sym_BSLASHGLS] = ACTIONS(7175),
    [anon_sym_BSLASHglspl] = ACTIONS(7175),
    [anon_sym_BSLASHGlspl] = ACTIONS(7175),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7175),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7175),
    [anon_sym_BSLASHglslink] = ACTIONS(7175),
    [anon_sym_BSLASHglstext] = ACTIONS(7175),
    [anon_sym_BSLASHGlstext] = ACTIONS(7175),
    [anon_sym_BSLASHGLStext] = ACTIONS(7175),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7175),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7175),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7175),
    [anon_sym_BSLASHglsplural] = ACTIONS(7175),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7175),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7175),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7175),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7175),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7175),
    [anon_sym_BSLASHglsname] = ACTIONS(7175),
    [anon_sym_BSLASHGlsname] = ACTIONS(7175),
    [anon_sym_BSLASHGLSname] = ACTIONS(7175),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7175),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7175),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7175),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7175),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7175),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7175),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7175),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7175),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7175),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7175),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7175),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7175),
    [anon_sym_BSLASHacrshort] = ACTIONS(7175),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7175),
    [anon_sym_BSLASHACRshort] = ACTIONS(7175),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHacrlong] = ACTIONS(7175),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7175),
    [anon_sym_BSLASHACRlong] = ACTIONS(7175),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7175),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7175),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7175),
    [anon_sym_BSLASHacrfull] = ACTIONS(7175),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7175),
    [anon_sym_BSLASHACRfull] = ACTIONS(7175),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHacs] = ACTIONS(7175),
    [anon_sym_BSLASHAcs] = ACTIONS(7175),
    [anon_sym_BSLASHacsp] = ACTIONS(7175),
    [anon_sym_BSLASHAcsp] = ACTIONS(7175),
    [anon_sym_BSLASHacl] = ACTIONS(7175),
    [anon_sym_BSLASHAcl] = ACTIONS(7175),
    [anon_sym_BSLASHaclp] = ACTIONS(7175),
    [anon_sym_BSLASHAclp] = ACTIONS(7175),
    [anon_sym_BSLASHacf] = ACTIONS(7175),
    [anon_sym_BSLASHAcf] = ACTIONS(7175),
    [anon_sym_BSLASHacfp] = ACTIONS(7175),
    [anon_sym_BSLASHAcfp] = ACTIONS(7175),
    [anon_sym_BSLASHac] = ACTIONS(7175),
    [anon_sym_BSLASHAc] = ACTIONS(7175),
    [anon_sym_BSLASHacp] = ACTIONS(7175),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7175),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7175),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7175),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7175),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7175),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7175),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7175),
    [anon_sym_BSLASHcolor] = ACTIONS(7175),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7175),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7175),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7175),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7175),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7175),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7175),
    [anon_sym_BSLASHurl] = ACTIONS(7175),
    [anon_sym_BSLASHhref] = ACTIONS(7175),
  },
  [1083] = {
    [ts_builtin_sym_end] = ACTIONS(7181),
    [sym_command_name] = ACTIONS(7179),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7179),
    [anon_sym_LBRACK] = ACTIONS(7181),
    [anon_sym_RBRACK] = ACTIONS(7181),
    [anon_sym_COMMA] = ACTIONS(7181),
    [anon_sym_EQ] = ACTIONS(7181),
    [anon_sym_LPAREN] = ACTIONS(7181),
    [anon_sym_RPAREN] = ACTIONS(7181),
    [anon_sym_BSLASHpart] = ACTIONS(7179),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHaddpart] = ACTIONS(7179),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHchapter] = ACTIONS(7179),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHaddchap] = ACTIONS(7179),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHsection] = ACTIONS(7179),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHaddsec] = ACTIONS(7179),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHsubsection] = ACTIONS(7179),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7179),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHparagraph] = ACTIONS(7179),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7179),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHitem] = ACTIONS(7179),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7181),
    [anon_sym_LBRACE] = ACTIONS(7181),
    [anon_sym_RBRACE] = ACTIONS(7181),
    [sym_word] = ACTIONS(7179),
    [sym_placeholder] = ACTIONS(7181),
    [sym_delimiter] = ACTIONS(7181),
    [anon_sym_PLUS] = ACTIONS(7181),
    [anon_sym_DASH] = ACTIONS(7181),
    [anon_sym_STAR] = ACTIONS(7181),
    [anon_sym_SLASH] = ACTIONS(7181),
    [anon_sym_LT] = ACTIONS(7179),
    [anon_sym_GT] = ACTIONS(7179),
    [anon_sym_BANG] = ACTIONS(7179),
    [anon_sym_PIPE] = ACTIONS(7179),
    [anon_sym_COLON] = ACTIONS(7179),
    [anon_sym_SQUOTE] = ACTIONS(7179),
    [anon_sym__] = ACTIONS(7181),
    [anon_sym_CARET] = ACTIONS(7181),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7181),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7181),
    [anon_sym_DOLLAR] = ACTIONS(7179),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7181),
    [anon_sym_BSLASHleft] = ACTIONS(7179),
    [anon_sym_BSLASHbigl] = ACTIONS(7179),
    [anon_sym_BSLASHBigl] = ACTIONS(7179),
    [anon_sym_BSLASHbiggl] = ACTIONS(7179),
    [anon_sym_BSLASHBiggl] = ACTIONS(7179),
    [anon_sym_BSLASHtext] = ACTIONS(7179),
    [anon_sym_BSLASHintertext] = ACTIONS(7179),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7179),
    [anon_sym_BSLASHbegin] = ACTIONS(7179),
    [anon_sym_BSLASHtitle] = ACTIONS(7179),
    [anon_sym_BSLASHauthor] = ACTIONS(7179),
    [anon_sym_BSLASHusepackage] = ACTIONS(7179),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7179),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7179),
    [anon_sym_BSLASHinclude] = ACTIONS(7179),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7179),
    [anon_sym_BSLASHinput] = ACTIONS(7179),
    [anon_sym_BSLASHsubfile] = ACTIONS(7179),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7179),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7179),
    [anon_sym_BSLASHbibliography] = ACTIONS(7179),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7179),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7179),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7179),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7179),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7179),
    [anon_sym_BSLASHimport] = ACTIONS(7179),
    [anon_sym_BSLASHsubimport] = ACTIONS(7179),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7179),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7179),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7179),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7179),
    [anon_sym_BSLASHcaption] = ACTIONS(7179),
    [anon_sym_BSLASHcite] = ACTIONS(7179),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHCite] = ACTIONS(7179),
    [anon_sym_BSLASHnocite] = ACTIONS(7179),
    [anon_sym_BSLASHcitet] = ACTIONS(7179),
    [anon_sym_BSLASHcitep] = ACTIONS(7179),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHciteA] = ACTIONS(7179),
    [anon_sym_BSLASHciteR] = ACTIONS(7179),
    [anon_sym_BSLASHciteS] = ACTIONS(7179),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7179),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7179),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7179),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7179),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHciteyear] = ACTIONS(7179),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcitedate] = ACTIONS(7179),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHciteurl] = ACTIONS(7179),
    [anon_sym_BSLASHfullcite] = ACTIONS(7179),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7179),
    [anon_sym_BSLASHcitealt] = ACTIONS(7179),
    [anon_sym_BSLASHcitealp] = ACTIONS(7179),
    [anon_sym_BSLASHcitetext] = ACTIONS(7179),
    [anon_sym_BSLASHparencite] = ACTIONS(7179),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHParencite] = ACTIONS(7179),
    [anon_sym_BSLASHfootcite] = ACTIONS(7179),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7179),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7179),
    [anon_sym_BSLASHtextcite] = ACTIONS(7179),
    [anon_sym_BSLASHTextcite] = ACTIONS(7179),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7179),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7179),
    [anon_sym_BSLASHsupercite] = ACTIONS(7179),
    [anon_sym_BSLASHautocite] = ACTIONS(7179),
    [anon_sym_BSLASHAutocite] = ACTIONS(7179),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHVolcite] = ACTIONS(7179),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHavolcite] = ACTIONS(7179),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHnotecite] = ACTIONS(7179),
    [anon_sym_BSLASHNotecite] = ACTIONS(7179),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7179),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7179),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7179),
    [anon_sym_BSLASHlabel] = ACTIONS(7179),
    [anon_sym_BSLASHref] = ACTIONS(7179),
    [anon_sym_BSLASHeqref] = ACTIONS(7179),
    [anon_sym_BSLASHvref] = ACTIONS(7179),
    [anon_sym_BSLASHVref] = ACTIONS(7179),
    [anon_sym_BSLASHautoref] = ACTIONS(7179),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHpageref] = ACTIONS(7179),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHautopageref] = ACTIONS(7179),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcref] = ACTIONS(7179),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHCref] = ACTIONS(7179),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcpageref] = ACTIONS(7179),
    [anon_sym_BSLASHCpageref] = ACTIONS(7179),
    [anon_sym_BSLASHnamecref] = ACTIONS(7179),
    [anon_sym_BSLASHnameCref] = ACTIONS(7179),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7179),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7179),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7179),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7179),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7179),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7179),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7179),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7179),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7179),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7179),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7179),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7179),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7179),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7179),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7179),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7179),
    [anon_sym_BSLASHdef] = ACTIONS(7179),
    [anon_sym_BSLASHgdef] = ACTIONS(7179),
    [anon_sym_BSLASHedef] = ACTIONS(7179),
    [anon_sym_BSLASHxdef] = ACTIONS(7179),
    [anon_sym_BSLASHlet] = ACTIONS(7179),
    [anon_sym_BSLASHglet] = ACTIONS(7179),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7179),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7179),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7179),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7179),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7179),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7179),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7179),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7179),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7179),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7179),
    [anon_sym_BSLASHgls] = ACTIONS(7179),
    [anon_sym_BSLASHGls] = ACTIONS(7179),
    [anon_sym_BSLASHGLS] = ACTIONS(7179),
    [anon_sym_BSLASHglspl] = ACTIONS(7179),
    [anon_sym_BSLASHGlspl] = ACTIONS(7179),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7179),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7179),
    [anon_sym_BSLASHglslink] = ACTIONS(7179),
    [anon_sym_BSLASHglstext] = ACTIONS(7179),
    [anon_sym_BSLASHGlstext] = ACTIONS(7179),
    [anon_sym_BSLASHGLStext] = ACTIONS(7179),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7179),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7179),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7179),
    [anon_sym_BSLASHglsplural] = ACTIONS(7179),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7179),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7179),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7179),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7179),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7179),
    [anon_sym_BSLASHglsname] = ACTIONS(7179),
    [anon_sym_BSLASHGlsname] = ACTIONS(7179),
    [anon_sym_BSLASHGLSname] = ACTIONS(7179),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7179),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7179),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7179),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7179),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7179),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7179),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7179),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7179),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7179),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7179),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7179),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7179),
    [anon_sym_BSLASHacrshort] = ACTIONS(7179),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7179),
    [anon_sym_BSLASHACRshort] = ACTIONS(7179),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHacrlong] = ACTIONS(7179),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7179),
    [anon_sym_BSLASHACRlong] = ACTIONS(7179),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7179),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7179),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7179),
    [anon_sym_BSLASHacrfull] = ACTIONS(7179),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7179),
    [anon_sym_BSLASHACRfull] = ACTIONS(7179),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHacs] = ACTIONS(7179),
    [anon_sym_BSLASHAcs] = ACTIONS(7179),
    [anon_sym_BSLASHacsp] = ACTIONS(7179),
    [anon_sym_BSLASHAcsp] = ACTIONS(7179),
    [anon_sym_BSLASHacl] = ACTIONS(7179),
    [anon_sym_BSLASHAcl] = ACTIONS(7179),
    [anon_sym_BSLASHaclp] = ACTIONS(7179),
    [anon_sym_BSLASHAclp] = ACTIONS(7179),
    [anon_sym_BSLASHacf] = ACTIONS(7179),
    [anon_sym_BSLASHAcf] = ACTIONS(7179),
    [anon_sym_BSLASHacfp] = ACTIONS(7179),
    [anon_sym_BSLASHAcfp] = ACTIONS(7179),
    [anon_sym_BSLASHac] = ACTIONS(7179),
    [anon_sym_BSLASHAc] = ACTIONS(7179),
    [anon_sym_BSLASHacp] = ACTIONS(7179),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7179),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7179),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7179),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7179),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7179),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7179),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7179),
    [anon_sym_BSLASHcolor] = ACTIONS(7179),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7179),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7179),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7179),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7179),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7179),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7179),
    [anon_sym_BSLASHurl] = ACTIONS(7179),
    [anon_sym_BSLASHhref] = ACTIONS(7179),
  },
  [1084] = {
    [ts_builtin_sym_end] = ACTIONS(7185),
    [sym_command_name] = ACTIONS(7183),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7183),
    [anon_sym_LBRACK] = ACTIONS(7185),
    [anon_sym_RBRACK] = ACTIONS(7185),
    [anon_sym_COMMA] = ACTIONS(7185),
    [anon_sym_EQ] = ACTIONS(7185),
    [anon_sym_LPAREN] = ACTIONS(7185),
    [anon_sym_RPAREN] = ACTIONS(7185),
    [anon_sym_BSLASHpart] = ACTIONS(7183),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHaddpart] = ACTIONS(7183),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHchapter] = ACTIONS(7183),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHaddchap] = ACTIONS(7183),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHsection] = ACTIONS(7183),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHaddsec] = ACTIONS(7183),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHsubsection] = ACTIONS(7183),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7183),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHparagraph] = ACTIONS(7183),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7183),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHitem] = ACTIONS(7183),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7185),
    [anon_sym_LBRACE] = ACTIONS(7185),
    [anon_sym_RBRACE] = ACTIONS(7185),
    [sym_word] = ACTIONS(7183),
    [sym_placeholder] = ACTIONS(7185),
    [sym_delimiter] = ACTIONS(7185),
    [anon_sym_PLUS] = ACTIONS(7185),
    [anon_sym_DASH] = ACTIONS(7185),
    [anon_sym_STAR] = ACTIONS(7185),
    [anon_sym_SLASH] = ACTIONS(7185),
    [anon_sym_LT] = ACTIONS(7183),
    [anon_sym_GT] = ACTIONS(7183),
    [anon_sym_BANG] = ACTIONS(7183),
    [anon_sym_PIPE] = ACTIONS(7183),
    [anon_sym_COLON] = ACTIONS(7183),
    [anon_sym_SQUOTE] = ACTIONS(7183),
    [anon_sym__] = ACTIONS(7185),
    [anon_sym_CARET] = ACTIONS(7185),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7185),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7185),
    [anon_sym_DOLLAR] = ACTIONS(7183),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7185),
    [anon_sym_BSLASHleft] = ACTIONS(7183),
    [anon_sym_BSLASHbigl] = ACTIONS(7183),
    [anon_sym_BSLASHBigl] = ACTIONS(7183),
    [anon_sym_BSLASHbiggl] = ACTIONS(7183),
    [anon_sym_BSLASHBiggl] = ACTIONS(7183),
    [anon_sym_BSLASHtext] = ACTIONS(7183),
    [anon_sym_BSLASHintertext] = ACTIONS(7183),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7183),
    [anon_sym_BSLASHbegin] = ACTIONS(7183),
    [anon_sym_BSLASHtitle] = ACTIONS(7183),
    [anon_sym_BSLASHauthor] = ACTIONS(7183),
    [anon_sym_BSLASHusepackage] = ACTIONS(7183),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7183),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7183),
    [anon_sym_BSLASHinclude] = ACTIONS(7183),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7183),
    [anon_sym_BSLASHinput] = ACTIONS(7183),
    [anon_sym_BSLASHsubfile] = ACTIONS(7183),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7183),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7183),
    [anon_sym_BSLASHbibliography] = ACTIONS(7183),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7183),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7183),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7183),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7183),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7183),
    [anon_sym_BSLASHimport] = ACTIONS(7183),
    [anon_sym_BSLASHsubimport] = ACTIONS(7183),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7183),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7183),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7183),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7183),
    [anon_sym_BSLASHcaption] = ACTIONS(7183),
    [anon_sym_BSLASHcite] = ACTIONS(7183),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHCite] = ACTIONS(7183),
    [anon_sym_BSLASHnocite] = ACTIONS(7183),
    [anon_sym_BSLASHcitet] = ACTIONS(7183),
    [anon_sym_BSLASHcitep] = ACTIONS(7183),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHciteA] = ACTIONS(7183),
    [anon_sym_BSLASHciteR] = ACTIONS(7183),
    [anon_sym_BSLASHciteS] = ACTIONS(7183),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7183),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7183),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7183),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7183),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHciteyear] = ACTIONS(7183),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcitedate] = ACTIONS(7183),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHciteurl] = ACTIONS(7183),
    [anon_sym_BSLASHfullcite] = ACTIONS(7183),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7183),
    [anon_sym_BSLASHcitealt] = ACTIONS(7183),
    [anon_sym_BSLASHcitealp] = ACTIONS(7183),
    [anon_sym_BSLASHcitetext] = ACTIONS(7183),
    [anon_sym_BSLASHparencite] = ACTIONS(7183),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHParencite] = ACTIONS(7183),
    [anon_sym_BSLASHfootcite] = ACTIONS(7183),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7183),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7183),
    [anon_sym_BSLASHtextcite] = ACTIONS(7183),
    [anon_sym_BSLASHTextcite] = ACTIONS(7183),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7183),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7183),
    [anon_sym_BSLASHsupercite] = ACTIONS(7183),
    [anon_sym_BSLASHautocite] = ACTIONS(7183),
    [anon_sym_BSLASHAutocite] = ACTIONS(7183),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHVolcite] = ACTIONS(7183),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHavolcite] = ACTIONS(7183),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHnotecite] = ACTIONS(7183),
    [anon_sym_BSLASHNotecite] = ACTIONS(7183),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7183),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7183),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7183),
    [anon_sym_BSLASHlabel] = ACTIONS(7183),
    [anon_sym_BSLASHref] = ACTIONS(7183),
    [anon_sym_BSLASHeqref] = ACTIONS(7183),
    [anon_sym_BSLASHvref] = ACTIONS(7183),
    [anon_sym_BSLASHVref] = ACTIONS(7183),
    [anon_sym_BSLASHautoref] = ACTIONS(7183),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHpageref] = ACTIONS(7183),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHautopageref] = ACTIONS(7183),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcref] = ACTIONS(7183),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHCref] = ACTIONS(7183),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcpageref] = ACTIONS(7183),
    [anon_sym_BSLASHCpageref] = ACTIONS(7183),
    [anon_sym_BSLASHnamecref] = ACTIONS(7183),
    [anon_sym_BSLASHnameCref] = ACTIONS(7183),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7183),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7183),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7183),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7183),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7183),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7183),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7183),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7183),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7183),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7183),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7183),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7183),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7183),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7183),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7183),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7183),
    [anon_sym_BSLASHdef] = ACTIONS(7183),
    [anon_sym_BSLASHgdef] = ACTIONS(7183),
    [anon_sym_BSLASHedef] = ACTIONS(7183),
    [anon_sym_BSLASHxdef] = ACTIONS(7183),
    [anon_sym_BSLASHlet] = ACTIONS(7183),
    [anon_sym_BSLASHglet] = ACTIONS(7183),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7183),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7183),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7183),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7183),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7183),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7183),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7183),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7183),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7183),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7183),
    [anon_sym_BSLASHgls] = ACTIONS(7183),
    [anon_sym_BSLASHGls] = ACTIONS(7183),
    [anon_sym_BSLASHGLS] = ACTIONS(7183),
    [anon_sym_BSLASHglspl] = ACTIONS(7183),
    [anon_sym_BSLASHGlspl] = ACTIONS(7183),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7183),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7183),
    [anon_sym_BSLASHglslink] = ACTIONS(7183),
    [anon_sym_BSLASHglstext] = ACTIONS(7183),
    [anon_sym_BSLASHGlstext] = ACTIONS(7183),
    [anon_sym_BSLASHGLStext] = ACTIONS(7183),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7183),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7183),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7183),
    [anon_sym_BSLASHglsplural] = ACTIONS(7183),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7183),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7183),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7183),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7183),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7183),
    [anon_sym_BSLASHglsname] = ACTIONS(7183),
    [anon_sym_BSLASHGlsname] = ACTIONS(7183),
    [anon_sym_BSLASHGLSname] = ACTIONS(7183),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7183),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7183),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7183),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7183),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7183),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7183),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7183),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7183),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7183),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7183),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7183),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7183),
    [anon_sym_BSLASHacrshort] = ACTIONS(7183),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7183),
    [anon_sym_BSLASHACRshort] = ACTIONS(7183),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHacrlong] = ACTIONS(7183),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7183),
    [anon_sym_BSLASHACRlong] = ACTIONS(7183),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7183),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7183),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7183),
    [anon_sym_BSLASHacrfull] = ACTIONS(7183),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7183),
    [anon_sym_BSLASHACRfull] = ACTIONS(7183),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHacs] = ACTIONS(7183),
    [anon_sym_BSLASHAcs] = ACTIONS(7183),
    [anon_sym_BSLASHacsp] = ACTIONS(7183),
    [anon_sym_BSLASHAcsp] = ACTIONS(7183),
    [anon_sym_BSLASHacl] = ACTIONS(7183),
    [anon_sym_BSLASHAcl] = ACTIONS(7183),
    [anon_sym_BSLASHaclp] = ACTIONS(7183),
    [anon_sym_BSLASHAclp] = ACTIONS(7183),
    [anon_sym_BSLASHacf] = ACTIONS(7183),
    [anon_sym_BSLASHAcf] = ACTIONS(7183),
    [anon_sym_BSLASHacfp] = ACTIONS(7183),
    [anon_sym_BSLASHAcfp] = ACTIONS(7183),
    [anon_sym_BSLASHac] = ACTIONS(7183),
    [anon_sym_BSLASHAc] = ACTIONS(7183),
    [anon_sym_BSLASHacp] = ACTIONS(7183),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7183),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7183),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7183),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7183),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7183),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7183),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7183),
    [anon_sym_BSLASHcolor] = ACTIONS(7183),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7183),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7183),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7183),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7183),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7183),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7183),
    [anon_sym_BSLASHurl] = ACTIONS(7183),
    [anon_sym_BSLASHhref] = ACTIONS(7183),
  },
  [1085] = {
    [ts_builtin_sym_end] = ACTIONS(7609),
    [sym_command_name] = ACTIONS(7607),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7607),
    [anon_sym_LBRACK] = ACTIONS(7609),
    [anon_sym_RBRACK] = ACTIONS(7609),
    [anon_sym_COMMA] = ACTIONS(7609),
    [anon_sym_EQ] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7609),
    [anon_sym_RPAREN] = ACTIONS(7609),
    [anon_sym_BSLASHpart] = ACTIONS(7607),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHaddpart] = ACTIONS(7607),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHchapter] = ACTIONS(7607),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHaddchap] = ACTIONS(7607),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHsection] = ACTIONS(7607),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHaddsec] = ACTIONS(7607),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHsubsection] = ACTIONS(7607),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7607),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHparagraph] = ACTIONS(7607),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7607),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHitem] = ACTIONS(7607),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7609),
    [anon_sym_LBRACE] = ACTIONS(7609),
    [anon_sym_RBRACE] = ACTIONS(7609),
    [sym_word] = ACTIONS(7607),
    [sym_placeholder] = ACTIONS(7609),
    [sym_delimiter] = ACTIONS(7609),
    [anon_sym_PLUS] = ACTIONS(7609),
    [anon_sym_DASH] = ACTIONS(7609),
    [anon_sym_STAR] = ACTIONS(7609),
    [anon_sym_SLASH] = ACTIONS(7609),
    [anon_sym_LT] = ACTIONS(7607),
    [anon_sym_GT] = ACTIONS(7607),
    [anon_sym_BANG] = ACTIONS(7607),
    [anon_sym_PIPE] = ACTIONS(7607),
    [anon_sym_COLON] = ACTIONS(7607),
    [anon_sym_SQUOTE] = ACTIONS(7607),
    [anon_sym__] = ACTIONS(7609),
    [anon_sym_CARET] = ACTIONS(7609),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7609),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7609),
    [anon_sym_DOLLAR] = ACTIONS(7607),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7609),
    [anon_sym_BSLASHleft] = ACTIONS(7607),
    [anon_sym_BSLASHbigl] = ACTIONS(7607),
    [anon_sym_BSLASHBigl] = ACTIONS(7607),
    [anon_sym_BSLASHbiggl] = ACTIONS(7607),
    [anon_sym_BSLASHBiggl] = ACTIONS(7607),
    [anon_sym_BSLASHtext] = ACTIONS(7607),
    [anon_sym_BSLASHintertext] = ACTIONS(7607),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7607),
    [anon_sym_BSLASHbegin] = ACTIONS(7607),
    [anon_sym_BSLASHtitle] = ACTIONS(7607),
    [anon_sym_BSLASHauthor] = ACTIONS(7607),
    [anon_sym_BSLASHusepackage] = ACTIONS(7607),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7607),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7607),
    [anon_sym_BSLASHinclude] = ACTIONS(7607),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7607),
    [anon_sym_BSLASHinput] = ACTIONS(7607),
    [anon_sym_BSLASHsubfile] = ACTIONS(7607),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7607),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7607),
    [anon_sym_BSLASHbibliography] = ACTIONS(7607),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7607),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7607),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7607),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7607),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7607),
    [anon_sym_BSLASHimport] = ACTIONS(7607),
    [anon_sym_BSLASHsubimport] = ACTIONS(7607),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7607),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7607),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7607),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7607),
    [anon_sym_BSLASHcaption] = ACTIONS(7607),
    [anon_sym_BSLASHcite] = ACTIONS(7607),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCite] = ACTIONS(7607),
    [anon_sym_BSLASHnocite] = ACTIONS(7607),
    [anon_sym_BSLASHcitet] = ACTIONS(7607),
    [anon_sym_BSLASHcitep] = ACTIONS(7607),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHciteA] = ACTIONS(7607),
    [anon_sym_BSLASHciteR] = ACTIONS(7607),
    [anon_sym_BSLASHciteS] = ACTIONS(7607),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7607),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7607),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7607),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7607),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHciteyear] = ACTIONS(7607),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcitedate] = ACTIONS(7607),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHciteurl] = ACTIONS(7607),
    [anon_sym_BSLASHfullcite] = ACTIONS(7607),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7607),
    [anon_sym_BSLASHcitealt] = ACTIONS(7607),
    [anon_sym_BSLASHcitealp] = ACTIONS(7607),
    [anon_sym_BSLASHcitetext] = ACTIONS(7607),
    [anon_sym_BSLASHparencite] = ACTIONS(7607),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHParencite] = ACTIONS(7607),
    [anon_sym_BSLASHfootcite] = ACTIONS(7607),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7607),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7607),
    [anon_sym_BSLASHtextcite] = ACTIONS(7607),
    [anon_sym_BSLASHTextcite] = ACTIONS(7607),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7607),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7607),
    [anon_sym_BSLASHsupercite] = ACTIONS(7607),
    [anon_sym_BSLASHautocite] = ACTIONS(7607),
    [anon_sym_BSLASHAutocite] = ACTIONS(7607),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHVolcite] = ACTIONS(7607),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHavolcite] = ACTIONS(7607),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHNotecite] = ACTIONS(7607),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHlabel] = ACTIONS(7607),
    [anon_sym_BSLASHref] = ACTIONS(7607),
    [anon_sym_BSLASHeqref] = ACTIONS(7607),
    [anon_sym_BSLASHvref] = ACTIONS(7607),
    [anon_sym_BSLASHVref] = ACTIONS(7607),
    [anon_sym_BSLASHautoref] = ACTIONS(7607),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHpageref] = ACTIONS(7607),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHautopageref] = ACTIONS(7607),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcref] = ACTIONS(7607),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCref] = ACTIONS(7607),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcpageref] = ACTIONS(7607),
    [anon_sym_BSLASHCpageref] = ACTIONS(7607),
    [anon_sym_BSLASHnamecref] = ACTIONS(7607),
    [anon_sym_BSLASHnameCref] = ACTIONS(7607),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7607),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7607),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7607),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7607),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7607),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7607),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7607),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7607),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7607),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7607),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7607),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7607),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7607),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7607),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7607),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7607),
    [anon_sym_BSLASHdef] = ACTIONS(7607),
    [anon_sym_BSLASHgdef] = ACTIONS(7607),
    [anon_sym_BSLASHedef] = ACTIONS(7607),
    [anon_sym_BSLASHxdef] = ACTIONS(7607),
    [anon_sym_BSLASHlet] = ACTIONS(7607),
    [anon_sym_BSLASHglet] = ACTIONS(7607),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7607),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7607),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7607),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7607),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7607),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7607),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7607),
    [anon_sym_BSLASHgls] = ACTIONS(7607),
    [anon_sym_BSLASHGls] = ACTIONS(7607),
    [anon_sym_BSLASHGLS] = ACTIONS(7607),
    [anon_sym_BSLASHglspl] = ACTIONS(7607),
    [anon_sym_BSLASHGlspl] = ACTIONS(7607),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7607),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7607),
    [anon_sym_BSLASHglslink] = ACTIONS(7607),
    [anon_sym_BSLASHglstext] = ACTIONS(7607),
    [anon_sym_BSLASHGlstext] = ACTIONS(7607),
    [anon_sym_BSLASHGLStext] = ACTIONS(7607),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7607),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7607),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7607),
    [anon_sym_BSLASHglsplural] = ACTIONS(7607),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7607),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7607),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7607),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7607),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7607),
    [anon_sym_BSLASHglsname] = ACTIONS(7607),
    [anon_sym_BSLASHGlsname] = ACTIONS(7607),
    [anon_sym_BSLASHGLSname] = ACTIONS(7607),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7607),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7607),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7607),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7607),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7607),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7607),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7607),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7607),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7607),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7607),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7607),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7607),
    [anon_sym_BSLASHacrshort] = ACTIONS(7607),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7607),
    [anon_sym_BSLASHACRshort] = ACTIONS(7607),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHacrlong] = ACTIONS(7607),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7607),
    [anon_sym_BSLASHACRlong] = ACTIONS(7607),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7607),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7607),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7607),
    [anon_sym_BSLASHacrfull] = ACTIONS(7607),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7607),
    [anon_sym_BSLASHACRfull] = ACTIONS(7607),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHacs] = ACTIONS(7607),
    [anon_sym_BSLASHAcs] = ACTIONS(7607),
    [anon_sym_BSLASHacsp] = ACTIONS(7607),
    [anon_sym_BSLASHAcsp] = ACTIONS(7607),
    [anon_sym_BSLASHacl] = ACTIONS(7607),
    [anon_sym_BSLASHAcl] = ACTIONS(7607),
    [anon_sym_BSLASHaclp] = ACTIONS(7607),
    [anon_sym_BSLASHAclp] = ACTIONS(7607),
    [anon_sym_BSLASHacf] = ACTIONS(7607),
    [anon_sym_BSLASHAcf] = ACTIONS(7607),
    [anon_sym_BSLASHacfp] = ACTIONS(7607),
    [anon_sym_BSLASHAcfp] = ACTIONS(7607),
    [anon_sym_BSLASHac] = ACTIONS(7607),
    [anon_sym_BSLASHAc] = ACTIONS(7607),
    [anon_sym_BSLASHacp] = ACTIONS(7607),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7607),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7607),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7607),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7607),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7607),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7607),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7607),
    [anon_sym_BSLASHcolor] = ACTIONS(7607),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7607),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7607),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7607),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7607),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7607),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7607),
    [anon_sym_BSLASHurl] = ACTIONS(7607),
    [anon_sym_BSLASHhref] = ACTIONS(7607),
  },
  [1086] = {
    [ts_builtin_sym_end] = ACTIONS(7049),
    [sym_command_name] = ACTIONS(7047),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7047),
    [anon_sym_LBRACK] = ACTIONS(7049),
    [anon_sym_RBRACK] = ACTIONS(7049),
    [anon_sym_COMMA] = ACTIONS(7049),
    [anon_sym_EQ] = ACTIONS(7049),
    [anon_sym_LPAREN] = ACTIONS(7049),
    [anon_sym_RPAREN] = ACTIONS(7049),
    [anon_sym_BSLASHpart] = ACTIONS(7047),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddpart] = ACTIONS(7047),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHchapter] = ACTIONS(7047),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddchap] = ACTIONS(7047),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsection] = ACTIONS(7047),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddsec] = ACTIONS(7047),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubsection] = ACTIONS(7047),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7047),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHparagraph] = ACTIONS(7047),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7047),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHitem] = ACTIONS(7047),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7049),
    [anon_sym_LBRACE] = ACTIONS(7049),
    [anon_sym_RBRACE] = ACTIONS(7049),
    [sym_word] = ACTIONS(7047),
    [sym_placeholder] = ACTIONS(7049),
    [sym_delimiter] = ACTIONS(7049),
    [anon_sym_PLUS] = ACTIONS(7049),
    [anon_sym_DASH] = ACTIONS(7049),
    [anon_sym_STAR] = ACTIONS(7049),
    [anon_sym_SLASH] = ACTIONS(7049),
    [anon_sym_LT] = ACTIONS(7047),
    [anon_sym_GT] = ACTIONS(7047),
    [anon_sym_BANG] = ACTIONS(7047),
    [anon_sym_PIPE] = ACTIONS(7047),
    [anon_sym_COLON] = ACTIONS(7047),
    [anon_sym_SQUOTE] = ACTIONS(7047),
    [anon_sym__] = ACTIONS(7049),
    [anon_sym_CARET] = ACTIONS(7049),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7049),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7049),
    [anon_sym_DOLLAR] = ACTIONS(7047),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7049),
    [anon_sym_BSLASHleft] = ACTIONS(7047),
    [anon_sym_BSLASHbigl] = ACTIONS(7047),
    [anon_sym_BSLASHBigl] = ACTIONS(7047),
    [anon_sym_BSLASHbiggl] = ACTIONS(7047),
    [anon_sym_BSLASHBiggl] = ACTIONS(7047),
    [anon_sym_BSLASHtext] = ACTIONS(7047),
    [anon_sym_BSLASHintertext] = ACTIONS(7047),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7047),
    [anon_sym_BSLASHbegin] = ACTIONS(7047),
    [anon_sym_BSLASHtitle] = ACTIONS(7047),
    [anon_sym_BSLASHauthor] = ACTIONS(7047),
    [anon_sym_BSLASHusepackage] = ACTIONS(7047),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7047),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7047),
    [anon_sym_BSLASHinclude] = ACTIONS(7047),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7047),
    [anon_sym_BSLASHinput] = ACTIONS(7047),
    [anon_sym_BSLASHsubfile] = ACTIONS(7047),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7047),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7047),
    [anon_sym_BSLASHbibliography] = ACTIONS(7047),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7047),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7047),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7047),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7047),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7047),
    [anon_sym_BSLASHimport] = ACTIONS(7047),
    [anon_sym_BSLASHsubimport] = ACTIONS(7047),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7047),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7047),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7047),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7047),
    [anon_sym_BSLASHcaption] = ACTIONS(7047),
    [anon_sym_BSLASHcite] = ACTIONS(7047),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCite] = ACTIONS(7047),
    [anon_sym_BSLASHnocite] = ACTIONS(7047),
    [anon_sym_BSLASHcitet] = ACTIONS(7047),
    [anon_sym_BSLASHcitep] = ACTIONS(7047),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteA] = ACTIONS(7047),
    [anon_sym_BSLASHciteR] = ACTIONS(7047),
    [anon_sym_BSLASHciteS] = ACTIONS(7047),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7047),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7047),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7047),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7047),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteyear] = ACTIONS(7047),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitedate] = ACTIONS(7047),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteurl] = ACTIONS(7047),
    [anon_sym_BSLASHfullcite] = ACTIONS(7047),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7047),
    [anon_sym_BSLASHcitealt] = ACTIONS(7047),
    [anon_sym_BSLASHcitealp] = ACTIONS(7047),
    [anon_sym_BSLASHcitetext] = ACTIONS(7047),
    [anon_sym_BSLASHparencite] = ACTIONS(7047),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHParencite] = ACTIONS(7047),
    [anon_sym_BSLASHfootcite] = ACTIONS(7047),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7047),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7047),
    [anon_sym_BSLASHtextcite] = ACTIONS(7047),
    [anon_sym_BSLASHTextcite] = ACTIONS(7047),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7047),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7047),
    [anon_sym_BSLASHsupercite] = ACTIONS(7047),
    [anon_sym_BSLASHautocite] = ACTIONS(7047),
    [anon_sym_BSLASHAutocite] = ACTIONS(7047),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHVolcite] = ACTIONS(7047),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHavolcite] = ACTIONS(7047),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHNotecite] = ACTIONS(7047),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHlabel] = ACTIONS(7047),
    [anon_sym_BSLASHref] = ACTIONS(7047),
    [anon_sym_BSLASHeqref] = ACTIONS(7047),
    [anon_sym_BSLASHvref] = ACTIONS(7047),
    [anon_sym_BSLASHVref] = ACTIONS(7047),
    [anon_sym_BSLASHautoref] = ACTIONS(7047),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHpageref] = ACTIONS(7047),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHautopageref] = ACTIONS(7047),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcref] = ACTIONS(7047),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCref] = ACTIONS(7047),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcpageref] = ACTIONS(7047),
    [anon_sym_BSLASHCpageref] = ACTIONS(7047),
    [anon_sym_BSLASHnamecref] = ACTIONS(7047),
    [anon_sym_BSLASHnameCref] = ACTIONS(7047),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7047),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7047),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7047),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7047),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7047),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7047),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7047),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7047),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7047),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7047),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7047),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHdef] = ACTIONS(7047),
    [anon_sym_BSLASHgdef] = ACTIONS(7047),
    [anon_sym_BSLASHedef] = ACTIONS(7047),
    [anon_sym_BSLASHxdef] = ACTIONS(7047),
    [anon_sym_BSLASHlet] = ACTIONS(7047),
    [anon_sym_BSLASHglet] = ACTIONS(7047),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7047),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7047),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7047),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7047),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7047),
    [anon_sym_BSLASHgls] = ACTIONS(7047),
    [anon_sym_BSLASHGls] = ACTIONS(7047),
    [anon_sym_BSLASHGLS] = ACTIONS(7047),
    [anon_sym_BSLASHglspl] = ACTIONS(7047),
    [anon_sym_BSLASHGlspl] = ACTIONS(7047),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7047),
    [anon_sym_BSLASHglslink] = ACTIONS(7047),
    [anon_sym_BSLASHglstext] = ACTIONS(7047),
    [anon_sym_BSLASHGlstext] = ACTIONS(7047),
    [anon_sym_BSLASHGLStext] = ACTIONS(7047),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7047),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7047),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7047),
    [anon_sym_BSLASHglsplural] = ACTIONS(7047),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7047),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7047),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHglsname] = ACTIONS(7047),
    [anon_sym_BSLASHGlsname] = ACTIONS(7047),
    [anon_sym_BSLASHGLSname] = ACTIONS(7047),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7047),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7047),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7047),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7047),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7047),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7047),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7047),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7047),
    [anon_sym_BSLASHacrshort] = ACTIONS(7047),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7047),
    [anon_sym_BSLASHACRshort] = ACTIONS(7047),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHacrlong] = ACTIONS(7047),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7047),
    [anon_sym_BSLASHACRlong] = ACTIONS(7047),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHacrfull] = ACTIONS(7047),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7047),
    [anon_sym_BSLASHACRfull] = ACTIONS(7047),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHacs] = ACTIONS(7047),
    [anon_sym_BSLASHAcs] = ACTIONS(7047),
    [anon_sym_BSLASHacsp] = ACTIONS(7047),
    [anon_sym_BSLASHAcsp] = ACTIONS(7047),
    [anon_sym_BSLASHacl] = ACTIONS(7047),
    [anon_sym_BSLASHAcl] = ACTIONS(7047),
    [anon_sym_BSLASHaclp] = ACTIONS(7047),
    [anon_sym_BSLASHAclp] = ACTIONS(7047),
    [anon_sym_BSLASHacf] = ACTIONS(7047),
    [anon_sym_BSLASHAcf] = ACTIONS(7047),
    [anon_sym_BSLASHacfp] = ACTIONS(7047),
    [anon_sym_BSLASHAcfp] = ACTIONS(7047),
    [anon_sym_BSLASHac] = ACTIONS(7047),
    [anon_sym_BSLASHAc] = ACTIONS(7047),
    [anon_sym_BSLASHacp] = ACTIONS(7047),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7047),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7047),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7047),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7047),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7047),
    [anon_sym_BSLASHcolor] = ACTIONS(7047),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7047),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7047),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7047),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7047),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7047),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7047),
    [anon_sym_BSLASHurl] = ACTIONS(7047),
    [anon_sym_BSLASHhref] = ACTIONS(7047),
  },
  [1087] = {
    [sym_brack_group_text] = STATE(1387),
    [sym_command_name] = ACTIONS(6931),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6931),
    [anon_sym_LBRACK] = ACTIONS(7787),
    [anon_sym_RBRACK] = ACTIONS(6933),
    [anon_sym_COMMA] = ACTIONS(6933),
    [anon_sym_EQ] = ACTIONS(6933),
    [anon_sym_LPAREN] = ACTIONS(6933),
    [anon_sym_RPAREN] = ACTIONS(6933),
    [anon_sym_BSLASHpart] = ACTIONS(6931),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHaddpart] = ACTIONS(6931),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHchapter] = ACTIONS(6931),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHaddchap] = ACTIONS(6931),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHsection] = ACTIONS(6931),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHaddsec] = ACTIONS(6931),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHsubsection] = ACTIONS(6931),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6931),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHparagraph] = ACTIONS(6931),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6931),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHitem] = ACTIONS(6931),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6933),
    [anon_sym_LBRACE] = ACTIONS(6933),
    [sym_word] = ACTIONS(6931),
    [sym_placeholder] = ACTIONS(6933),
    [sym_delimiter] = ACTIONS(6933),
    [anon_sym_PLUS] = ACTIONS(6933),
    [anon_sym_DASH] = ACTIONS(6933),
    [anon_sym_STAR] = ACTIONS(6933),
    [anon_sym_SLASH] = ACTIONS(6933),
    [anon_sym_LT] = ACTIONS(6931),
    [anon_sym_GT] = ACTIONS(6931),
    [anon_sym_BANG] = ACTIONS(6931),
    [anon_sym_PIPE] = ACTIONS(6931),
    [anon_sym_COLON] = ACTIONS(6931),
    [anon_sym_SQUOTE] = ACTIONS(6931),
    [anon_sym__] = ACTIONS(6933),
    [anon_sym_CARET] = ACTIONS(6933),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6933),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6933),
    [anon_sym_DOLLAR] = ACTIONS(6931),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6933),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6933),
    [anon_sym_BSLASHleft] = ACTIONS(6931),
    [anon_sym_BSLASHbigl] = ACTIONS(6931),
    [anon_sym_BSLASHBigl] = ACTIONS(6931),
    [anon_sym_BSLASHbiggl] = ACTIONS(6931),
    [anon_sym_BSLASHBiggl] = ACTIONS(6931),
    [anon_sym_BSLASHtext] = ACTIONS(6931),
    [anon_sym_BSLASHintertext] = ACTIONS(6931),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6931),
    [anon_sym_BSLASHbegin] = ACTIONS(6931),
    [anon_sym_BSLASHtitle] = ACTIONS(6931),
    [anon_sym_BSLASHauthor] = ACTIONS(6931),
    [anon_sym_BSLASHusepackage] = ACTIONS(6931),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6931),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6931),
    [anon_sym_BSLASHinclude] = ACTIONS(6931),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6931),
    [anon_sym_BSLASHinput] = ACTIONS(6931),
    [anon_sym_BSLASHsubfile] = ACTIONS(6931),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6931),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6931),
    [anon_sym_BSLASHbibliography] = ACTIONS(6931),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6931),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6931),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6931),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6931),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6931),
    [anon_sym_BSLASHimport] = ACTIONS(6931),
    [anon_sym_BSLASHsubimport] = ACTIONS(6931),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6931),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6931),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6931),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6931),
    [anon_sym_BSLASHcaption] = ACTIONS(6931),
    [anon_sym_BSLASHcite] = ACTIONS(6931),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCite] = ACTIONS(6931),
    [anon_sym_BSLASHnocite] = ACTIONS(6931),
    [anon_sym_BSLASHcitet] = ACTIONS(6931),
    [anon_sym_BSLASHcitep] = ACTIONS(6931),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteA] = ACTIONS(6931),
    [anon_sym_BSLASHciteR] = ACTIONS(6931),
    [anon_sym_BSLASHciteS] = ACTIONS(6931),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6931),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6931),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6931),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6931),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteyear] = ACTIONS(6931),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitedate] = ACTIONS(6931),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteurl] = ACTIONS(6931),
    [anon_sym_BSLASHfullcite] = ACTIONS(6931),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6931),
    [anon_sym_BSLASHcitealt] = ACTIONS(6931),
    [anon_sym_BSLASHcitealp] = ACTIONS(6931),
    [anon_sym_BSLASHcitetext] = ACTIONS(6931),
    [anon_sym_BSLASHparencite] = ACTIONS(6931),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHParencite] = ACTIONS(6931),
    [anon_sym_BSLASHfootcite] = ACTIONS(6931),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6931),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6931),
    [anon_sym_BSLASHtextcite] = ACTIONS(6931),
    [anon_sym_BSLASHTextcite] = ACTIONS(6931),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6931),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6931),
    [anon_sym_BSLASHsupercite] = ACTIONS(6931),
    [anon_sym_BSLASHautocite] = ACTIONS(6931),
    [anon_sym_BSLASHAutocite] = ACTIONS(6931),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHVolcite] = ACTIONS(6931),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHavolcite] = ACTIONS(6931),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHNotecite] = ACTIONS(6931),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHlabel] = ACTIONS(6931),
    [anon_sym_BSLASHref] = ACTIONS(6931),
    [anon_sym_BSLASHeqref] = ACTIONS(6931),
    [anon_sym_BSLASHvref] = ACTIONS(6931),
    [anon_sym_BSLASHVref] = ACTIONS(6931),
    [anon_sym_BSLASHautoref] = ACTIONS(6931),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHpageref] = ACTIONS(6931),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHautopageref] = ACTIONS(6931),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcref] = ACTIONS(6931),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCref] = ACTIONS(6931),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcpageref] = ACTIONS(6931),
    [anon_sym_BSLASHCpageref] = ACTIONS(6931),
    [anon_sym_BSLASHnamecref] = ACTIONS(6931),
    [anon_sym_BSLASHnameCref] = ACTIONS(6931),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6931),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6931),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6931),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6931),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6931),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6931),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6931),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6931),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6931),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6931),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6931),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHdef] = ACTIONS(6931),
    [anon_sym_BSLASHgdef] = ACTIONS(6931),
    [anon_sym_BSLASHedef] = ACTIONS(6931),
    [anon_sym_BSLASHxdef] = ACTIONS(6931),
    [anon_sym_BSLASHlet] = ACTIONS(6931),
    [anon_sym_BSLASHglet] = ACTIONS(6931),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6931),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6931),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6931),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6931),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6931),
    [anon_sym_BSLASHgls] = ACTIONS(6931),
    [anon_sym_BSLASHGls] = ACTIONS(6931),
    [anon_sym_BSLASHGLS] = ACTIONS(6931),
    [anon_sym_BSLASHglspl] = ACTIONS(6931),
    [anon_sym_BSLASHGlspl] = ACTIONS(6931),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6931),
    [anon_sym_BSLASHglslink] = ACTIONS(6931),
    [anon_sym_BSLASHglstext] = ACTIONS(6931),
    [anon_sym_BSLASHGlstext] = ACTIONS(6931),
    [anon_sym_BSLASHGLStext] = ACTIONS(6931),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6931),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6931),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6931),
    [anon_sym_BSLASHglsplural] = ACTIONS(6931),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6931),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6931),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHglsname] = ACTIONS(6931),
    [anon_sym_BSLASHGlsname] = ACTIONS(6931),
    [anon_sym_BSLASHGLSname] = ACTIONS(6931),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6931),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6931),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6931),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6931),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6931),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6931),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6931),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6931),
    [anon_sym_BSLASHacrshort] = ACTIONS(6931),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6931),
    [anon_sym_BSLASHACRshort] = ACTIONS(6931),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHacrlong] = ACTIONS(6931),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6931),
    [anon_sym_BSLASHACRlong] = ACTIONS(6931),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHacrfull] = ACTIONS(6931),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6931),
    [anon_sym_BSLASHACRfull] = ACTIONS(6931),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHacs] = ACTIONS(6931),
    [anon_sym_BSLASHAcs] = ACTIONS(6931),
    [anon_sym_BSLASHacsp] = ACTIONS(6931),
    [anon_sym_BSLASHAcsp] = ACTIONS(6931),
    [anon_sym_BSLASHacl] = ACTIONS(6931),
    [anon_sym_BSLASHAcl] = ACTIONS(6931),
    [anon_sym_BSLASHaclp] = ACTIONS(6931),
    [anon_sym_BSLASHAclp] = ACTIONS(6931),
    [anon_sym_BSLASHacf] = ACTIONS(6931),
    [anon_sym_BSLASHAcf] = ACTIONS(6931),
    [anon_sym_BSLASHacfp] = ACTIONS(6931),
    [anon_sym_BSLASHAcfp] = ACTIONS(6931),
    [anon_sym_BSLASHac] = ACTIONS(6931),
    [anon_sym_BSLASHAc] = ACTIONS(6931),
    [anon_sym_BSLASHacp] = ACTIONS(6931),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6931),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6931),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6931),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6931),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6931),
    [anon_sym_BSLASHcolor] = ACTIONS(6931),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6931),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6931),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6931),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6931),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6931),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6931),
    [anon_sym_BSLASHurl] = ACTIONS(6931),
    [anon_sym_BSLASHhref] = ACTIONS(6931),
  },
  [1088] = {
    [ts_builtin_sym_end] = ACTIONS(7605),
    [sym_command_name] = ACTIONS(7603),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7603),
    [anon_sym_LBRACK] = ACTIONS(7605),
    [anon_sym_RBRACK] = ACTIONS(7605),
    [anon_sym_COMMA] = ACTIONS(7605),
    [anon_sym_EQ] = ACTIONS(7605),
    [anon_sym_LPAREN] = ACTIONS(7605),
    [anon_sym_RPAREN] = ACTIONS(7605),
    [anon_sym_BSLASHpart] = ACTIONS(7603),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHaddpart] = ACTIONS(7603),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHchapter] = ACTIONS(7603),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHaddchap] = ACTIONS(7603),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHsection] = ACTIONS(7603),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHaddsec] = ACTIONS(7603),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHsubsection] = ACTIONS(7603),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7603),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHparagraph] = ACTIONS(7603),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7603),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHitem] = ACTIONS(7603),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7605),
    [anon_sym_LBRACE] = ACTIONS(7605),
    [anon_sym_RBRACE] = ACTIONS(7605),
    [sym_word] = ACTIONS(7603),
    [sym_placeholder] = ACTIONS(7605),
    [sym_delimiter] = ACTIONS(7605),
    [anon_sym_PLUS] = ACTIONS(7605),
    [anon_sym_DASH] = ACTIONS(7605),
    [anon_sym_STAR] = ACTIONS(7605),
    [anon_sym_SLASH] = ACTIONS(7605),
    [anon_sym_LT] = ACTIONS(7603),
    [anon_sym_GT] = ACTIONS(7603),
    [anon_sym_BANG] = ACTIONS(7603),
    [anon_sym_PIPE] = ACTIONS(7603),
    [anon_sym_COLON] = ACTIONS(7603),
    [anon_sym_SQUOTE] = ACTIONS(7603),
    [anon_sym__] = ACTIONS(7605),
    [anon_sym_CARET] = ACTIONS(7605),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7605),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7605),
    [anon_sym_DOLLAR] = ACTIONS(7603),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7605),
    [anon_sym_BSLASHleft] = ACTIONS(7603),
    [anon_sym_BSLASHbigl] = ACTIONS(7603),
    [anon_sym_BSLASHBigl] = ACTIONS(7603),
    [anon_sym_BSLASHbiggl] = ACTIONS(7603),
    [anon_sym_BSLASHBiggl] = ACTIONS(7603),
    [anon_sym_BSLASHtext] = ACTIONS(7603),
    [anon_sym_BSLASHintertext] = ACTIONS(7603),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7603),
    [anon_sym_BSLASHbegin] = ACTIONS(7603),
    [anon_sym_BSLASHtitle] = ACTIONS(7603),
    [anon_sym_BSLASHauthor] = ACTIONS(7603),
    [anon_sym_BSLASHusepackage] = ACTIONS(7603),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7603),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7603),
    [anon_sym_BSLASHinclude] = ACTIONS(7603),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7603),
    [anon_sym_BSLASHinput] = ACTIONS(7603),
    [anon_sym_BSLASHsubfile] = ACTIONS(7603),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7603),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7603),
    [anon_sym_BSLASHbibliography] = ACTIONS(7603),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7603),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7603),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7603),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7603),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7603),
    [anon_sym_BSLASHimport] = ACTIONS(7603),
    [anon_sym_BSLASHsubimport] = ACTIONS(7603),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7603),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7603),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7603),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7603),
    [anon_sym_BSLASHcaption] = ACTIONS(7603),
    [anon_sym_BSLASHcite] = ACTIONS(7603),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCite] = ACTIONS(7603),
    [anon_sym_BSLASHnocite] = ACTIONS(7603),
    [anon_sym_BSLASHcitet] = ACTIONS(7603),
    [anon_sym_BSLASHcitep] = ACTIONS(7603),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteA] = ACTIONS(7603),
    [anon_sym_BSLASHciteR] = ACTIONS(7603),
    [anon_sym_BSLASHciteS] = ACTIONS(7603),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7603),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7603),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7603),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7603),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteyear] = ACTIONS(7603),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitedate] = ACTIONS(7603),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteurl] = ACTIONS(7603),
    [anon_sym_BSLASHfullcite] = ACTIONS(7603),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7603),
    [anon_sym_BSLASHcitealt] = ACTIONS(7603),
    [anon_sym_BSLASHcitealp] = ACTIONS(7603),
    [anon_sym_BSLASHcitetext] = ACTIONS(7603),
    [anon_sym_BSLASHparencite] = ACTIONS(7603),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHParencite] = ACTIONS(7603),
    [anon_sym_BSLASHfootcite] = ACTIONS(7603),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7603),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7603),
    [anon_sym_BSLASHtextcite] = ACTIONS(7603),
    [anon_sym_BSLASHTextcite] = ACTIONS(7603),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7603),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7603),
    [anon_sym_BSLASHsupercite] = ACTIONS(7603),
    [anon_sym_BSLASHautocite] = ACTIONS(7603),
    [anon_sym_BSLASHAutocite] = ACTIONS(7603),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHVolcite] = ACTIONS(7603),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHavolcite] = ACTIONS(7603),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHNotecite] = ACTIONS(7603),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHlabel] = ACTIONS(7603),
    [anon_sym_BSLASHref] = ACTIONS(7603),
    [anon_sym_BSLASHeqref] = ACTIONS(7603),
    [anon_sym_BSLASHvref] = ACTIONS(7603),
    [anon_sym_BSLASHVref] = ACTIONS(7603),
    [anon_sym_BSLASHautoref] = ACTIONS(7603),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHpageref] = ACTIONS(7603),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHautopageref] = ACTIONS(7603),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcref] = ACTIONS(7603),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCref] = ACTIONS(7603),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcpageref] = ACTIONS(7603),
    [anon_sym_BSLASHCpageref] = ACTIONS(7603),
    [anon_sym_BSLASHnamecref] = ACTIONS(7603),
    [anon_sym_BSLASHnameCref] = ACTIONS(7603),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7603),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7603),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7603),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7603),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7603),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7603),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7603),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7603),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7603),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7603),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7603),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHdef] = ACTIONS(7603),
    [anon_sym_BSLASHgdef] = ACTIONS(7603),
    [anon_sym_BSLASHedef] = ACTIONS(7603),
    [anon_sym_BSLASHxdef] = ACTIONS(7603),
    [anon_sym_BSLASHlet] = ACTIONS(7603),
    [anon_sym_BSLASHglet] = ACTIONS(7603),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7603),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7603),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7603),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7603),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7603),
    [anon_sym_BSLASHgls] = ACTIONS(7603),
    [anon_sym_BSLASHGls] = ACTIONS(7603),
    [anon_sym_BSLASHGLS] = ACTIONS(7603),
    [anon_sym_BSLASHglspl] = ACTIONS(7603),
    [anon_sym_BSLASHGlspl] = ACTIONS(7603),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7603),
    [anon_sym_BSLASHglslink] = ACTIONS(7603),
    [anon_sym_BSLASHglstext] = ACTIONS(7603),
    [anon_sym_BSLASHGlstext] = ACTIONS(7603),
    [anon_sym_BSLASHGLStext] = ACTIONS(7603),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7603),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7603),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7603),
    [anon_sym_BSLASHglsplural] = ACTIONS(7603),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7603),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7603),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHglsname] = ACTIONS(7603),
    [anon_sym_BSLASHGlsname] = ACTIONS(7603),
    [anon_sym_BSLASHGLSname] = ACTIONS(7603),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7603),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7603),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7603),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7603),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7603),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7603),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7603),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7603),
    [anon_sym_BSLASHacrshort] = ACTIONS(7603),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7603),
    [anon_sym_BSLASHACRshort] = ACTIONS(7603),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHacrlong] = ACTIONS(7603),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7603),
    [anon_sym_BSLASHACRlong] = ACTIONS(7603),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHacrfull] = ACTIONS(7603),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7603),
    [anon_sym_BSLASHACRfull] = ACTIONS(7603),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHacs] = ACTIONS(7603),
    [anon_sym_BSLASHAcs] = ACTIONS(7603),
    [anon_sym_BSLASHacsp] = ACTIONS(7603),
    [anon_sym_BSLASHAcsp] = ACTIONS(7603),
    [anon_sym_BSLASHacl] = ACTIONS(7603),
    [anon_sym_BSLASHAcl] = ACTIONS(7603),
    [anon_sym_BSLASHaclp] = ACTIONS(7603),
    [anon_sym_BSLASHAclp] = ACTIONS(7603),
    [anon_sym_BSLASHacf] = ACTIONS(7603),
    [anon_sym_BSLASHAcf] = ACTIONS(7603),
    [anon_sym_BSLASHacfp] = ACTIONS(7603),
    [anon_sym_BSLASHAcfp] = ACTIONS(7603),
    [anon_sym_BSLASHac] = ACTIONS(7603),
    [anon_sym_BSLASHAc] = ACTIONS(7603),
    [anon_sym_BSLASHacp] = ACTIONS(7603),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7603),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7603),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7603),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7603),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7603),
    [anon_sym_BSLASHcolor] = ACTIONS(7603),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7603),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7603),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7603),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7603),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7603),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7603),
    [anon_sym_BSLASHurl] = ACTIONS(7603),
    [anon_sym_BSLASHhref] = ACTIONS(7603),
  },
  [1089] = {
    [sym_curly_group] = STATE(1362),
    [sym_command_name] = ACTIONS(6923),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6923),
    [anon_sym_LBRACK] = ACTIONS(6925),
    [anon_sym_RBRACK] = ACTIONS(6925),
    [anon_sym_COMMA] = ACTIONS(6925),
    [anon_sym_EQ] = ACTIONS(6925),
    [anon_sym_LPAREN] = ACTIONS(6925),
    [anon_sym_RPAREN] = ACTIONS(6925),
    [anon_sym_BSLASHpart] = ACTIONS(6923),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHaddpart] = ACTIONS(6923),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHchapter] = ACTIONS(6923),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHaddchap] = ACTIONS(6923),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHsection] = ACTIONS(6923),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHaddsec] = ACTIONS(6923),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHsubsection] = ACTIONS(6923),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6923),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHparagraph] = ACTIONS(6923),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6923),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHitem] = ACTIONS(6923),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6925),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(6923),
    [sym_placeholder] = ACTIONS(6925),
    [sym_delimiter] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6925),
    [anon_sym_DASH] = ACTIONS(6925),
    [anon_sym_STAR] = ACTIONS(6925),
    [anon_sym_SLASH] = ACTIONS(6925),
    [anon_sym_LT] = ACTIONS(6923),
    [anon_sym_GT] = ACTIONS(6923),
    [anon_sym_BANG] = ACTIONS(6923),
    [anon_sym_PIPE] = ACTIONS(6923),
    [anon_sym_COLON] = ACTIONS(6923),
    [anon_sym_SQUOTE] = ACTIONS(6923),
    [anon_sym__] = ACTIONS(6925),
    [anon_sym_CARET] = ACTIONS(6925),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6925),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6925),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6925),
    [anon_sym_DOLLAR] = ACTIONS(6923),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6925),
    [anon_sym_BSLASHleft] = ACTIONS(6923),
    [anon_sym_BSLASHbigl] = ACTIONS(6923),
    [anon_sym_BSLASHBigl] = ACTIONS(6923),
    [anon_sym_BSLASHbiggl] = ACTIONS(6923),
    [anon_sym_BSLASHBiggl] = ACTIONS(6923),
    [anon_sym_BSLASHtext] = ACTIONS(6923),
    [anon_sym_BSLASHintertext] = ACTIONS(6923),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6923),
    [anon_sym_BSLASHbegin] = ACTIONS(6923),
    [anon_sym_BSLASHtitle] = ACTIONS(6923),
    [anon_sym_BSLASHauthor] = ACTIONS(6923),
    [anon_sym_BSLASHusepackage] = ACTIONS(6923),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6923),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6923),
    [anon_sym_BSLASHinclude] = ACTIONS(6923),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6923),
    [anon_sym_BSLASHinput] = ACTIONS(6923),
    [anon_sym_BSLASHsubfile] = ACTIONS(6923),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6923),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6923),
    [anon_sym_BSLASHbibliography] = ACTIONS(6923),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6923),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6923),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6923),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6923),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6923),
    [anon_sym_BSLASHimport] = ACTIONS(6923),
    [anon_sym_BSLASHsubimport] = ACTIONS(6923),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6923),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6923),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6923),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6923),
    [anon_sym_BSLASHcaption] = ACTIONS(6923),
    [anon_sym_BSLASHcite] = ACTIONS(6923),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCite] = ACTIONS(6923),
    [anon_sym_BSLASHnocite] = ACTIONS(6923),
    [anon_sym_BSLASHcitet] = ACTIONS(6923),
    [anon_sym_BSLASHcitep] = ACTIONS(6923),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteA] = ACTIONS(6923),
    [anon_sym_BSLASHciteR] = ACTIONS(6923),
    [anon_sym_BSLASHciteS] = ACTIONS(6923),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6923),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6923),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6923),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6923),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteyear] = ACTIONS(6923),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitedate] = ACTIONS(6923),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteurl] = ACTIONS(6923),
    [anon_sym_BSLASHfullcite] = ACTIONS(6923),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6923),
    [anon_sym_BSLASHcitealt] = ACTIONS(6923),
    [anon_sym_BSLASHcitealp] = ACTIONS(6923),
    [anon_sym_BSLASHcitetext] = ACTIONS(6923),
    [anon_sym_BSLASHparencite] = ACTIONS(6923),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHParencite] = ACTIONS(6923),
    [anon_sym_BSLASHfootcite] = ACTIONS(6923),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6923),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6923),
    [anon_sym_BSLASHtextcite] = ACTIONS(6923),
    [anon_sym_BSLASHTextcite] = ACTIONS(6923),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6923),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6923),
    [anon_sym_BSLASHsupercite] = ACTIONS(6923),
    [anon_sym_BSLASHautocite] = ACTIONS(6923),
    [anon_sym_BSLASHAutocite] = ACTIONS(6923),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHVolcite] = ACTIONS(6923),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHavolcite] = ACTIONS(6923),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHNotecite] = ACTIONS(6923),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHlabel] = ACTIONS(6923),
    [anon_sym_BSLASHref] = ACTIONS(6923),
    [anon_sym_BSLASHeqref] = ACTIONS(6923),
    [anon_sym_BSLASHvref] = ACTIONS(6923),
    [anon_sym_BSLASHVref] = ACTIONS(6923),
    [anon_sym_BSLASHautoref] = ACTIONS(6923),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHpageref] = ACTIONS(6923),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHautopageref] = ACTIONS(6923),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcref] = ACTIONS(6923),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCref] = ACTIONS(6923),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcpageref] = ACTIONS(6923),
    [anon_sym_BSLASHCpageref] = ACTIONS(6923),
    [anon_sym_BSLASHnamecref] = ACTIONS(6923),
    [anon_sym_BSLASHnameCref] = ACTIONS(6923),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6923),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6923),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6923),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6923),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6923),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6923),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6923),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6923),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6923),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6923),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6923),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHdef] = ACTIONS(6923),
    [anon_sym_BSLASHgdef] = ACTIONS(6923),
    [anon_sym_BSLASHedef] = ACTIONS(6923),
    [anon_sym_BSLASHxdef] = ACTIONS(6923),
    [anon_sym_BSLASHlet] = ACTIONS(6923),
    [anon_sym_BSLASHglet] = ACTIONS(6923),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6923),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6923),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6923),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6923),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6923),
    [anon_sym_BSLASHgls] = ACTIONS(6923),
    [anon_sym_BSLASHGls] = ACTIONS(6923),
    [anon_sym_BSLASHGLS] = ACTIONS(6923),
    [anon_sym_BSLASHglspl] = ACTIONS(6923),
    [anon_sym_BSLASHGlspl] = ACTIONS(6923),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6923),
    [anon_sym_BSLASHglslink] = ACTIONS(6923),
    [anon_sym_BSLASHglstext] = ACTIONS(6923),
    [anon_sym_BSLASHGlstext] = ACTIONS(6923),
    [anon_sym_BSLASHGLStext] = ACTIONS(6923),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6923),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6923),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6923),
    [anon_sym_BSLASHglsplural] = ACTIONS(6923),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6923),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6923),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHglsname] = ACTIONS(6923),
    [anon_sym_BSLASHGlsname] = ACTIONS(6923),
    [anon_sym_BSLASHGLSname] = ACTIONS(6923),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6923),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6923),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6923),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6923),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6923),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6923),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6923),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6923),
    [anon_sym_BSLASHacrshort] = ACTIONS(6923),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6923),
    [anon_sym_BSLASHACRshort] = ACTIONS(6923),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHacrlong] = ACTIONS(6923),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6923),
    [anon_sym_BSLASHACRlong] = ACTIONS(6923),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHacrfull] = ACTIONS(6923),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6923),
    [anon_sym_BSLASHACRfull] = ACTIONS(6923),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHacs] = ACTIONS(6923),
    [anon_sym_BSLASHAcs] = ACTIONS(6923),
    [anon_sym_BSLASHacsp] = ACTIONS(6923),
    [anon_sym_BSLASHAcsp] = ACTIONS(6923),
    [anon_sym_BSLASHacl] = ACTIONS(6923),
    [anon_sym_BSLASHAcl] = ACTIONS(6923),
    [anon_sym_BSLASHaclp] = ACTIONS(6923),
    [anon_sym_BSLASHAclp] = ACTIONS(6923),
    [anon_sym_BSLASHacf] = ACTIONS(6923),
    [anon_sym_BSLASHAcf] = ACTIONS(6923),
    [anon_sym_BSLASHacfp] = ACTIONS(6923),
    [anon_sym_BSLASHAcfp] = ACTIONS(6923),
    [anon_sym_BSLASHac] = ACTIONS(6923),
    [anon_sym_BSLASHAc] = ACTIONS(6923),
    [anon_sym_BSLASHacp] = ACTIONS(6923),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6923),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6923),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6923),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6923),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6923),
    [anon_sym_BSLASHcolor] = ACTIONS(6923),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6923),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6923),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6923),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6923),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6923),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6923),
    [anon_sym_BSLASHurl] = ACTIONS(6923),
    [anon_sym_BSLASHhref] = ACTIONS(6923),
  },
  [1090] = {
    [ts_builtin_sym_end] = ACTIONS(7533),
    [sym_command_name] = ACTIONS(7531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(7533),
    [anon_sym_RBRACK] = ACTIONS(7533),
    [anon_sym_COMMA] = ACTIONS(7533),
    [anon_sym_EQ] = ACTIONS(7533),
    [anon_sym_LPAREN] = ACTIONS(7533),
    [anon_sym_RPAREN] = ACTIONS(7533),
    [anon_sym_BSLASHpart] = ACTIONS(7531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHaddpart] = ACTIONS(7531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHchapter] = ACTIONS(7531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHaddchap] = ACTIONS(7531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHsection] = ACTIONS(7531),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHaddsec] = ACTIONS(7531),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHsubsection] = ACTIONS(7531),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7531),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHparagraph] = ACTIONS(7531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHitem] = ACTIONS(7531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7533),
    [anon_sym_LBRACE] = ACTIONS(7533),
    [anon_sym_RBRACE] = ACTIONS(7533),
    [sym_word] = ACTIONS(7531),
    [sym_placeholder] = ACTIONS(7533),
    [sym_delimiter] = ACTIONS(7533),
    [anon_sym_PLUS] = ACTIONS(7533),
    [anon_sym_DASH] = ACTIONS(7533),
    [anon_sym_STAR] = ACTIONS(7533),
    [anon_sym_SLASH] = ACTIONS(7533),
    [anon_sym_LT] = ACTIONS(7531),
    [anon_sym_GT] = ACTIONS(7531),
    [anon_sym_BANG] = ACTIONS(7531),
    [anon_sym_PIPE] = ACTIONS(7531),
    [anon_sym_COLON] = ACTIONS(7531),
    [anon_sym_SQUOTE] = ACTIONS(7531),
    [anon_sym__] = ACTIONS(7533),
    [anon_sym_CARET] = ACTIONS(7533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7533),
    [anon_sym_DOLLAR] = ACTIONS(7531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7533),
    [anon_sym_BSLASHleft] = ACTIONS(7531),
    [anon_sym_BSLASHbigl] = ACTIONS(7531),
    [anon_sym_BSLASHBigl] = ACTIONS(7531),
    [anon_sym_BSLASHbiggl] = ACTIONS(7531),
    [anon_sym_BSLASHBiggl] = ACTIONS(7531),
    [anon_sym_BSLASHtext] = ACTIONS(7531),
    [anon_sym_BSLASHintertext] = ACTIONS(7531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7531),
    [anon_sym_BSLASHbegin] = ACTIONS(7531),
    [anon_sym_BSLASHtitle] = ACTIONS(7531),
    [anon_sym_BSLASHauthor] = ACTIONS(7531),
    [anon_sym_BSLASHusepackage] = ACTIONS(7531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7531),
    [anon_sym_BSLASHinclude] = ACTIONS(7531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7531),
    [anon_sym_BSLASHinput] = ACTIONS(7531),
    [anon_sym_BSLASHsubfile] = ACTIONS(7531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7531),
    [anon_sym_BSLASHbibliography] = ACTIONS(7531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7531),
    [anon_sym_BSLASHimport] = ACTIONS(7531),
    [anon_sym_BSLASHsubimport] = ACTIONS(7531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7531),
    [anon_sym_BSLASHcaption] = ACTIONS(7531),
    [anon_sym_BSLASHcite] = ACTIONS(7531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCite] = ACTIONS(7531),
    [anon_sym_BSLASHnocite] = ACTIONS(7531),
    [anon_sym_BSLASHcitet] = ACTIONS(7531),
    [anon_sym_BSLASHcitep] = ACTIONS(7531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteA] = ACTIONS(7531),
    [anon_sym_BSLASHciteR] = ACTIONS(7531),
    [anon_sym_BSLASHciteS] = ACTIONS(7531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteyear] = ACTIONS(7531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitedate] = ACTIONS(7531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteurl] = ACTIONS(7531),
    [anon_sym_BSLASHfullcite] = ACTIONS(7531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7531),
    [anon_sym_BSLASHcitealt] = ACTIONS(7531),
    [anon_sym_BSLASHcitealp] = ACTIONS(7531),
    [anon_sym_BSLASHcitetext] = ACTIONS(7531),
    [anon_sym_BSLASHparencite] = ACTIONS(7531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHParencite] = ACTIONS(7531),
    [anon_sym_BSLASHfootcite] = ACTIONS(7531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7531),
    [anon_sym_BSLASHtextcite] = ACTIONS(7531),
    [anon_sym_BSLASHTextcite] = ACTIONS(7531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7531),
    [anon_sym_BSLASHsupercite] = ACTIONS(7531),
    [anon_sym_BSLASHautocite] = ACTIONS(7531),
    [anon_sym_BSLASHAutocite] = ACTIONS(7531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHVolcite] = ACTIONS(7531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHavolcite] = ACTIONS(7531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHNotecite] = ACTIONS(7531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHlabel] = ACTIONS(7531),
    [anon_sym_BSLASHref] = ACTIONS(7531),
    [anon_sym_BSLASHeqref] = ACTIONS(7531),
    [anon_sym_BSLASHvref] = ACTIONS(7531),
    [anon_sym_BSLASHVref] = ACTIONS(7531),
    [anon_sym_BSLASHautoref] = ACTIONS(7531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHpageref] = ACTIONS(7531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHautopageref] = ACTIONS(7531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcref] = ACTIONS(7531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCref] = ACTIONS(7531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcpageref] = ACTIONS(7531),
    [anon_sym_BSLASHCpageref] = ACTIONS(7531),
    [anon_sym_BSLASHnamecref] = ACTIONS(7531),
    [anon_sym_BSLASHnameCref] = ACTIONS(7531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHdef] = ACTIONS(7531),
    [anon_sym_BSLASHgdef] = ACTIONS(7531),
    [anon_sym_BSLASHedef] = ACTIONS(7531),
    [anon_sym_BSLASHxdef] = ACTIONS(7531),
    [anon_sym_BSLASHlet] = ACTIONS(7531),
    [anon_sym_BSLASHglet] = ACTIONS(7531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7531),
    [anon_sym_BSLASHgls] = ACTIONS(7531),
    [anon_sym_BSLASHGls] = ACTIONS(7531),
    [anon_sym_BSLASHGLS] = ACTIONS(7531),
    [anon_sym_BSLASHglspl] = ACTIONS(7531),
    [anon_sym_BSLASHGlspl] = ACTIONS(7531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7531),
    [anon_sym_BSLASHglslink] = ACTIONS(7531),
    [anon_sym_BSLASHglstext] = ACTIONS(7531),
    [anon_sym_BSLASHGlstext] = ACTIONS(7531),
    [anon_sym_BSLASHGLStext] = ACTIONS(7531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7531),
    [anon_sym_BSLASHglsplural] = ACTIONS(7531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHglsname] = ACTIONS(7531),
    [anon_sym_BSLASHGlsname] = ACTIONS(7531),
    [anon_sym_BSLASHGLSname] = ACTIONS(7531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7531),
    [anon_sym_BSLASHacrshort] = ACTIONS(7531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7531),
    [anon_sym_BSLASHACRshort] = ACTIONS(7531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHacrlong] = ACTIONS(7531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7531),
    [anon_sym_BSLASHACRlong] = ACTIONS(7531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHacrfull] = ACTIONS(7531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7531),
    [anon_sym_BSLASHACRfull] = ACTIONS(7531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHacs] = ACTIONS(7531),
    [anon_sym_BSLASHAcs] = ACTIONS(7531),
    [anon_sym_BSLASHacsp] = ACTIONS(7531),
    [anon_sym_BSLASHAcsp] = ACTIONS(7531),
    [anon_sym_BSLASHacl] = ACTIONS(7531),
    [anon_sym_BSLASHAcl] = ACTIONS(7531),
    [anon_sym_BSLASHaclp] = ACTIONS(7531),
    [anon_sym_BSLASHAclp] = ACTIONS(7531),
    [anon_sym_BSLASHacf] = ACTIONS(7531),
    [anon_sym_BSLASHAcf] = ACTIONS(7531),
    [anon_sym_BSLASHacfp] = ACTIONS(7531),
    [anon_sym_BSLASHAcfp] = ACTIONS(7531),
    [anon_sym_BSLASHac] = ACTIONS(7531),
    [anon_sym_BSLASHAc] = ACTIONS(7531),
    [anon_sym_BSLASHacp] = ACTIONS(7531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7531),
    [anon_sym_BSLASHcolor] = ACTIONS(7531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7531),
    [anon_sym_BSLASHurl] = ACTIONS(7531),
    [anon_sym_BSLASHhref] = ACTIONS(7531),
  },
  [1091] = {
    [ts_builtin_sym_end] = ACTIONS(7057),
    [sym_command_name] = ACTIONS(7055),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7055),
    [anon_sym_LBRACK] = ACTIONS(7057),
    [anon_sym_RBRACK] = ACTIONS(7057),
    [anon_sym_COMMA] = ACTIONS(7057),
    [anon_sym_EQ] = ACTIONS(7057),
    [anon_sym_LPAREN] = ACTIONS(7057),
    [anon_sym_RPAREN] = ACTIONS(7057),
    [anon_sym_BSLASHpart] = ACTIONS(7055),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHaddpart] = ACTIONS(7055),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHchapter] = ACTIONS(7055),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHaddchap] = ACTIONS(7055),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHsection] = ACTIONS(7055),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHaddsec] = ACTIONS(7055),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHsubsection] = ACTIONS(7055),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7055),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHparagraph] = ACTIONS(7055),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7055),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHitem] = ACTIONS(7055),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7057),
    [anon_sym_LBRACE] = ACTIONS(7057),
    [anon_sym_RBRACE] = ACTIONS(7057),
    [sym_word] = ACTIONS(7055),
    [sym_placeholder] = ACTIONS(7057),
    [sym_delimiter] = ACTIONS(7057),
    [anon_sym_PLUS] = ACTIONS(7057),
    [anon_sym_DASH] = ACTIONS(7057),
    [anon_sym_STAR] = ACTIONS(7057),
    [anon_sym_SLASH] = ACTIONS(7057),
    [anon_sym_LT] = ACTIONS(7055),
    [anon_sym_GT] = ACTIONS(7055),
    [anon_sym_BANG] = ACTIONS(7055),
    [anon_sym_PIPE] = ACTIONS(7055),
    [anon_sym_COLON] = ACTIONS(7055),
    [anon_sym_SQUOTE] = ACTIONS(7055),
    [anon_sym__] = ACTIONS(7057),
    [anon_sym_CARET] = ACTIONS(7057),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7057),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7057),
    [anon_sym_DOLLAR] = ACTIONS(7055),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7057),
    [anon_sym_BSLASHleft] = ACTIONS(7055),
    [anon_sym_BSLASHbigl] = ACTIONS(7055),
    [anon_sym_BSLASHBigl] = ACTIONS(7055),
    [anon_sym_BSLASHbiggl] = ACTIONS(7055),
    [anon_sym_BSLASHBiggl] = ACTIONS(7055),
    [anon_sym_BSLASHtext] = ACTIONS(7055),
    [anon_sym_BSLASHintertext] = ACTIONS(7055),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7055),
    [anon_sym_BSLASHbegin] = ACTIONS(7055),
    [anon_sym_BSLASHtitle] = ACTIONS(7055),
    [anon_sym_BSLASHauthor] = ACTIONS(7055),
    [anon_sym_BSLASHusepackage] = ACTIONS(7055),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7055),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7055),
    [anon_sym_BSLASHinclude] = ACTIONS(7055),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7055),
    [anon_sym_BSLASHinput] = ACTIONS(7055),
    [anon_sym_BSLASHsubfile] = ACTIONS(7055),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7055),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7055),
    [anon_sym_BSLASHbibliography] = ACTIONS(7055),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7055),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7055),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7055),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7055),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7055),
    [anon_sym_BSLASHimport] = ACTIONS(7055),
    [anon_sym_BSLASHsubimport] = ACTIONS(7055),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7055),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7055),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7055),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7055),
    [anon_sym_BSLASHcaption] = ACTIONS(7055),
    [anon_sym_BSLASHcite] = ACTIONS(7055),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCite] = ACTIONS(7055),
    [anon_sym_BSLASHnocite] = ACTIONS(7055),
    [anon_sym_BSLASHcitet] = ACTIONS(7055),
    [anon_sym_BSLASHcitep] = ACTIONS(7055),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHciteA] = ACTIONS(7055),
    [anon_sym_BSLASHciteR] = ACTIONS(7055),
    [anon_sym_BSLASHciteS] = ACTIONS(7055),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7055),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7055),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7055),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7055),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHciteyear] = ACTIONS(7055),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcitedate] = ACTIONS(7055),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHciteurl] = ACTIONS(7055),
    [anon_sym_BSLASHfullcite] = ACTIONS(7055),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7055),
    [anon_sym_BSLASHcitealt] = ACTIONS(7055),
    [anon_sym_BSLASHcitealp] = ACTIONS(7055),
    [anon_sym_BSLASHcitetext] = ACTIONS(7055),
    [anon_sym_BSLASHparencite] = ACTIONS(7055),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHParencite] = ACTIONS(7055),
    [anon_sym_BSLASHfootcite] = ACTIONS(7055),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7055),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7055),
    [anon_sym_BSLASHtextcite] = ACTIONS(7055),
    [anon_sym_BSLASHTextcite] = ACTIONS(7055),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7055),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7055),
    [anon_sym_BSLASHsupercite] = ACTIONS(7055),
    [anon_sym_BSLASHautocite] = ACTIONS(7055),
    [anon_sym_BSLASHAutocite] = ACTIONS(7055),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHVolcite] = ACTIONS(7055),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHavolcite] = ACTIONS(7055),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHNotecite] = ACTIONS(7055),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHlabel] = ACTIONS(7055),
    [anon_sym_BSLASHref] = ACTIONS(7055),
    [anon_sym_BSLASHeqref] = ACTIONS(7055),
    [anon_sym_BSLASHvref] = ACTIONS(7055),
    [anon_sym_BSLASHVref] = ACTIONS(7055),
    [anon_sym_BSLASHautoref] = ACTIONS(7055),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHpageref] = ACTIONS(7055),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHautopageref] = ACTIONS(7055),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcref] = ACTIONS(7055),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCref] = ACTIONS(7055),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcpageref] = ACTIONS(7055),
    [anon_sym_BSLASHCpageref] = ACTIONS(7055),
    [anon_sym_BSLASHnamecref] = ACTIONS(7055),
    [anon_sym_BSLASHnameCref] = ACTIONS(7055),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7055),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7055),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7055),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7055),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7055),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7055),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7055),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7055),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7055),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7055),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7055),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7055),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7055),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7055),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7055),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7055),
    [anon_sym_BSLASHdef] = ACTIONS(7055),
    [anon_sym_BSLASHgdef] = ACTIONS(7055),
    [anon_sym_BSLASHedef] = ACTIONS(7055),
    [anon_sym_BSLASHxdef] = ACTIONS(7055),
    [anon_sym_BSLASHlet] = ACTIONS(7055),
    [anon_sym_BSLASHglet] = ACTIONS(7055),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7055),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7055),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7055),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7055),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7055),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7055),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7055),
    [anon_sym_BSLASHgls] = ACTIONS(7055),
    [anon_sym_BSLASHGls] = ACTIONS(7055),
    [anon_sym_BSLASHGLS] = ACTIONS(7055),
    [anon_sym_BSLASHglspl] = ACTIONS(7055),
    [anon_sym_BSLASHGlspl] = ACTIONS(7055),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7055),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7055),
    [anon_sym_BSLASHglslink] = ACTIONS(7055),
    [anon_sym_BSLASHglstext] = ACTIONS(7055),
    [anon_sym_BSLASHGlstext] = ACTIONS(7055),
    [anon_sym_BSLASHGLStext] = ACTIONS(7055),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7055),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7055),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7055),
    [anon_sym_BSLASHglsplural] = ACTIONS(7055),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7055),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7055),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7055),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7055),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7055),
    [anon_sym_BSLASHglsname] = ACTIONS(7055),
    [anon_sym_BSLASHGlsname] = ACTIONS(7055),
    [anon_sym_BSLASHGLSname] = ACTIONS(7055),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7055),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7055),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7055),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7055),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7055),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7055),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7055),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7055),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7055),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7055),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7055),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7055),
    [anon_sym_BSLASHacrshort] = ACTIONS(7055),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7055),
    [anon_sym_BSLASHACRshort] = ACTIONS(7055),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHacrlong] = ACTIONS(7055),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7055),
    [anon_sym_BSLASHACRlong] = ACTIONS(7055),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7055),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7055),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7055),
    [anon_sym_BSLASHacrfull] = ACTIONS(7055),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7055),
    [anon_sym_BSLASHACRfull] = ACTIONS(7055),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHacs] = ACTIONS(7055),
    [anon_sym_BSLASHAcs] = ACTIONS(7055),
    [anon_sym_BSLASHacsp] = ACTIONS(7055),
    [anon_sym_BSLASHAcsp] = ACTIONS(7055),
    [anon_sym_BSLASHacl] = ACTIONS(7055),
    [anon_sym_BSLASHAcl] = ACTIONS(7055),
    [anon_sym_BSLASHaclp] = ACTIONS(7055),
    [anon_sym_BSLASHAclp] = ACTIONS(7055),
    [anon_sym_BSLASHacf] = ACTIONS(7055),
    [anon_sym_BSLASHAcf] = ACTIONS(7055),
    [anon_sym_BSLASHacfp] = ACTIONS(7055),
    [anon_sym_BSLASHAcfp] = ACTIONS(7055),
    [anon_sym_BSLASHac] = ACTIONS(7055),
    [anon_sym_BSLASHAc] = ACTIONS(7055),
    [anon_sym_BSLASHacp] = ACTIONS(7055),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7055),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7055),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7055),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7055),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7055),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7055),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7055),
    [anon_sym_BSLASHcolor] = ACTIONS(7055),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7055),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7055),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7055),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7055),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7055),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7055),
    [anon_sym_BSLASHurl] = ACTIONS(7055),
    [anon_sym_BSLASHhref] = ACTIONS(7055),
  },
  [1092] = {
    [ts_builtin_sym_end] = ACTIONS(7537),
    [sym_command_name] = ACTIONS(7535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(7537),
    [anon_sym_RBRACK] = ACTIONS(7537),
    [anon_sym_COMMA] = ACTIONS(7537),
    [anon_sym_EQ] = ACTIONS(7537),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_RPAREN] = ACTIONS(7537),
    [anon_sym_BSLASHpart] = ACTIONS(7535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHaddpart] = ACTIONS(7535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHchapter] = ACTIONS(7535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHaddchap] = ACTIONS(7535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHsection] = ACTIONS(7535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHaddsec] = ACTIONS(7535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHsubsection] = ACTIONS(7535),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7535),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHparagraph] = ACTIONS(7535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHitem] = ACTIONS(7535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7537),
    [anon_sym_LBRACE] = ACTIONS(7537),
    [anon_sym_RBRACE] = ACTIONS(7537),
    [sym_word] = ACTIONS(7535),
    [sym_placeholder] = ACTIONS(7537),
    [sym_delimiter] = ACTIONS(7537),
    [anon_sym_PLUS] = ACTIONS(7537),
    [anon_sym_DASH] = ACTIONS(7537),
    [anon_sym_STAR] = ACTIONS(7537),
    [anon_sym_SLASH] = ACTIONS(7537),
    [anon_sym_LT] = ACTIONS(7535),
    [anon_sym_GT] = ACTIONS(7535),
    [anon_sym_BANG] = ACTIONS(7535),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_COLON] = ACTIONS(7535),
    [anon_sym_SQUOTE] = ACTIONS(7535),
    [anon_sym__] = ACTIONS(7537),
    [anon_sym_CARET] = ACTIONS(7537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7537),
    [anon_sym_DOLLAR] = ACTIONS(7535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7537),
    [anon_sym_BSLASHleft] = ACTIONS(7535),
    [anon_sym_BSLASHbigl] = ACTIONS(7535),
    [anon_sym_BSLASHBigl] = ACTIONS(7535),
    [anon_sym_BSLASHbiggl] = ACTIONS(7535),
    [anon_sym_BSLASHBiggl] = ACTIONS(7535),
    [anon_sym_BSLASHtext] = ACTIONS(7535),
    [anon_sym_BSLASHintertext] = ACTIONS(7535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7535),
    [anon_sym_BSLASHbegin] = ACTIONS(7535),
    [anon_sym_BSLASHtitle] = ACTIONS(7535),
    [anon_sym_BSLASHauthor] = ACTIONS(7535),
    [anon_sym_BSLASHusepackage] = ACTIONS(7535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7535),
    [anon_sym_BSLASHinclude] = ACTIONS(7535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7535),
    [anon_sym_BSLASHinput] = ACTIONS(7535),
    [anon_sym_BSLASHsubfile] = ACTIONS(7535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7535),
    [anon_sym_BSLASHbibliography] = ACTIONS(7535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7535),
    [anon_sym_BSLASHimport] = ACTIONS(7535),
    [anon_sym_BSLASHsubimport] = ACTIONS(7535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7535),
    [anon_sym_BSLASHcaption] = ACTIONS(7535),
    [anon_sym_BSLASHcite] = ACTIONS(7535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCite] = ACTIONS(7535),
    [anon_sym_BSLASHnocite] = ACTIONS(7535),
    [anon_sym_BSLASHcitet] = ACTIONS(7535),
    [anon_sym_BSLASHcitep] = ACTIONS(7535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteA] = ACTIONS(7535),
    [anon_sym_BSLASHciteR] = ACTIONS(7535),
    [anon_sym_BSLASHciteS] = ACTIONS(7535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteyear] = ACTIONS(7535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitedate] = ACTIONS(7535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteurl] = ACTIONS(7535),
    [anon_sym_BSLASHfullcite] = ACTIONS(7535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7535),
    [anon_sym_BSLASHcitealt] = ACTIONS(7535),
    [anon_sym_BSLASHcitealp] = ACTIONS(7535),
    [anon_sym_BSLASHcitetext] = ACTIONS(7535),
    [anon_sym_BSLASHparencite] = ACTIONS(7535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHParencite] = ACTIONS(7535),
    [anon_sym_BSLASHfootcite] = ACTIONS(7535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7535),
    [anon_sym_BSLASHtextcite] = ACTIONS(7535),
    [anon_sym_BSLASHTextcite] = ACTIONS(7535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7535),
    [anon_sym_BSLASHsupercite] = ACTIONS(7535),
    [anon_sym_BSLASHautocite] = ACTIONS(7535),
    [anon_sym_BSLASHAutocite] = ACTIONS(7535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHVolcite] = ACTIONS(7535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHavolcite] = ACTIONS(7535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHNotecite] = ACTIONS(7535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHlabel] = ACTIONS(7535),
    [anon_sym_BSLASHref] = ACTIONS(7535),
    [anon_sym_BSLASHeqref] = ACTIONS(7535),
    [anon_sym_BSLASHvref] = ACTIONS(7535),
    [anon_sym_BSLASHVref] = ACTIONS(7535),
    [anon_sym_BSLASHautoref] = ACTIONS(7535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHpageref] = ACTIONS(7535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHautopageref] = ACTIONS(7535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcref] = ACTIONS(7535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCref] = ACTIONS(7535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcpageref] = ACTIONS(7535),
    [anon_sym_BSLASHCpageref] = ACTIONS(7535),
    [anon_sym_BSLASHnamecref] = ACTIONS(7535),
    [anon_sym_BSLASHnameCref] = ACTIONS(7535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHdef] = ACTIONS(7535),
    [anon_sym_BSLASHgdef] = ACTIONS(7535),
    [anon_sym_BSLASHedef] = ACTIONS(7535),
    [anon_sym_BSLASHxdef] = ACTIONS(7535),
    [anon_sym_BSLASHlet] = ACTIONS(7535),
    [anon_sym_BSLASHglet] = ACTIONS(7535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7535),
    [anon_sym_BSLASHgls] = ACTIONS(7535),
    [anon_sym_BSLASHGls] = ACTIONS(7535),
    [anon_sym_BSLASHGLS] = ACTIONS(7535),
    [anon_sym_BSLASHglspl] = ACTIONS(7535),
    [anon_sym_BSLASHGlspl] = ACTIONS(7535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7535),
    [anon_sym_BSLASHglslink] = ACTIONS(7535),
    [anon_sym_BSLASHglstext] = ACTIONS(7535),
    [anon_sym_BSLASHGlstext] = ACTIONS(7535),
    [anon_sym_BSLASHGLStext] = ACTIONS(7535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7535),
    [anon_sym_BSLASHglsplural] = ACTIONS(7535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHglsname] = ACTIONS(7535),
    [anon_sym_BSLASHGlsname] = ACTIONS(7535),
    [anon_sym_BSLASHGLSname] = ACTIONS(7535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7535),
    [anon_sym_BSLASHacrshort] = ACTIONS(7535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7535),
    [anon_sym_BSLASHACRshort] = ACTIONS(7535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHacrlong] = ACTIONS(7535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7535),
    [anon_sym_BSLASHACRlong] = ACTIONS(7535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHacrfull] = ACTIONS(7535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7535),
    [anon_sym_BSLASHACRfull] = ACTIONS(7535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHacs] = ACTIONS(7535),
    [anon_sym_BSLASHAcs] = ACTIONS(7535),
    [anon_sym_BSLASHacsp] = ACTIONS(7535),
    [anon_sym_BSLASHAcsp] = ACTIONS(7535),
    [anon_sym_BSLASHacl] = ACTIONS(7535),
    [anon_sym_BSLASHAcl] = ACTIONS(7535),
    [anon_sym_BSLASHaclp] = ACTIONS(7535),
    [anon_sym_BSLASHAclp] = ACTIONS(7535),
    [anon_sym_BSLASHacf] = ACTIONS(7535),
    [anon_sym_BSLASHAcf] = ACTIONS(7535),
    [anon_sym_BSLASHacfp] = ACTIONS(7535),
    [anon_sym_BSLASHAcfp] = ACTIONS(7535),
    [anon_sym_BSLASHac] = ACTIONS(7535),
    [anon_sym_BSLASHAc] = ACTIONS(7535),
    [anon_sym_BSLASHacp] = ACTIONS(7535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7535),
    [anon_sym_BSLASHcolor] = ACTIONS(7535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7535),
    [anon_sym_BSLASHurl] = ACTIONS(7535),
    [anon_sym_BSLASHhref] = ACTIONS(7535),
  },
  [1093] = {
    [ts_builtin_sym_end] = ACTIONS(7541),
    [sym_command_name] = ACTIONS(7539),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(7541),
    [anon_sym_RBRACK] = ACTIONS(7541),
    [anon_sym_COMMA] = ACTIONS(7541),
    [anon_sym_EQ] = ACTIONS(7541),
    [anon_sym_LPAREN] = ACTIONS(7541),
    [anon_sym_RPAREN] = ACTIONS(7541),
    [anon_sym_BSLASHpart] = ACTIONS(7539),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHaddpart] = ACTIONS(7539),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHchapter] = ACTIONS(7539),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHaddchap] = ACTIONS(7539),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHsection] = ACTIONS(7539),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHaddsec] = ACTIONS(7539),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHsubsection] = ACTIONS(7539),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7539),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHparagraph] = ACTIONS(7539),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7539),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHitem] = ACTIONS(7539),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7541),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_RBRACE] = ACTIONS(7541),
    [sym_word] = ACTIONS(7539),
    [sym_placeholder] = ACTIONS(7541),
    [sym_delimiter] = ACTIONS(7541),
    [anon_sym_PLUS] = ACTIONS(7541),
    [anon_sym_DASH] = ACTIONS(7541),
    [anon_sym_STAR] = ACTIONS(7541),
    [anon_sym_SLASH] = ACTIONS(7541),
    [anon_sym_LT] = ACTIONS(7539),
    [anon_sym_GT] = ACTIONS(7539),
    [anon_sym_BANG] = ACTIONS(7539),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_COLON] = ACTIONS(7539),
    [anon_sym_SQUOTE] = ACTIONS(7539),
    [anon_sym__] = ACTIONS(7541),
    [anon_sym_CARET] = ACTIONS(7541),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7541),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7539),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7541),
    [anon_sym_BSLASHleft] = ACTIONS(7539),
    [anon_sym_BSLASHbigl] = ACTIONS(7539),
    [anon_sym_BSLASHBigl] = ACTIONS(7539),
    [anon_sym_BSLASHbiggl] = ACTIONS(7539),
    [anon_sym_BSLASHBiggl] = ACTIONS(7539),
    [anon_sym_BSLASHtext] = ACTIONS(7539),
    [anon_sym_BSLASHintertext] = ACTIONS(7539),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7539),
    [anon_sym_BSLASHbegin] = ACTIONS(7539),
    [anon_sym_BSLASHtitle] = ACTIONS(7539),
    [anon_sym_BSLASHauthor] = ACTIONS(7539),
    [anon_sym_BSLASHusepackage] = ACTIONS(7539),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7539),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7539),
    [anon_sym_BSLASHinclude] = ACTIONS(7539),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7539),
    [anon_sym_BSLASHinput] = ACTIONS(7539),
    [anon_sym_BSLASHsubfile] = ACTIONS(7539),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7539),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7539),
    [anon_sym_BSLASHbibliography] = ACTIONS(7539),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7539),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7539),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7539),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7539),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7539),
    [anon_sym_BSLASHimport] = ACTIONS(7539),
    [anon_sym_BSLASHsubimport] = ACTIONS(7539),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7539),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7539),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7539),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7539),
    [anon_sym_BSLASHcaption] = ACTIONS(7539),
    [anon_sym_BSLASHcite] = ACTIONS(7539),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCite] = ACTIONS(7539),
    [anon_sym_BSLASHnocite] = ACTIONS(7539),
    [anon_sym_BSLASHcitet] = ACTIONS(7539),
    [anon_sym_BSLASHcitep] = ACTIONS(7539),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteA] = ACTIONS(7539),
    [anon_sym_BSLASHciteR] = ACTIONS(7539),
    [anon_sym_BSLASHciteS] = ACTIONS(7539),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7539),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7539),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7539),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7539),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteyear] = ACTIONS(7539),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitedate] = ACTIONS(7539),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteurl] = ACTIONS(7539),
    [anon_sym_BSLASHfullcite] = ACTIONS(7539),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7539),
    [anon_sym_BSLASHcitealt] = ACTIONS(7539),
    [anon_sym_BSLASHcitealp] = ACTIONS(7539),
    [anon_sym_BSLASHcitetext] = ACTIONS(7539),
    [anon_sym_BSLASHparencite] = ACTIONS(7539),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHParencite] = ACTIONS(7539),
    [anon_sym_BSLASHfootcite] = ACTIONS(7539),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7539),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7539),
    [anon_sym_BSLASHtextcite] = ACTIONS(7539),
    [anon_sym_BSLASHTextcite] = ACTIONS(7539),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7539),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7539),
    [anon_sym_BSLASHsupercite] = ACTIONS(7539),
    [anon_sym_BSLASHautocite] = ACTIONS(7539),
    [anon_sym_BSLASHAutocite] = ACTIONS(7539),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHVolcite] = ACTIONS(7539),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHavolcite] = ACTIONS(7539),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHNotecite] = ACTIONS(7539),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHlabel] = ACTIONS(7539),
    [anon_sym_BSLASHref] = ACTIONS(7539),
    [anon_sym_BSLASHeqref] = ACTIONS(7539),
    [anon_sym_BSLASHvref] = ACTIONS(7539),
    [anon_sym_BSLASHVref] = ACTIONS(7539),
    [anon_sym_BSLASHautoref] = ACTIONS(7539),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHpageref] = ACTIONS(7539),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHautopageref] = ACTIONS(7539),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcref] = ACTIONS(7539),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCref] = ACTIONS(7539),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcpageref] = ACTIONS(7539),
    [anon_sym_BSLASHCpageref] = ACTIONS(7539),
    [anon_sym_BSLASHnamecref] = ACTIONS(7539),
    [anon_sym_BSLASHnameCref] = ACTIONS(7539),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7539),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7539),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7539),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7539),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7539),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7539),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7539),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7539),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7539),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7539),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7539),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHdef] = ACTIONS(7539),
    [anon_sym_BSLASHgdef] = ACTIONS(7539),
    [anon_sym_BSLASHedef] = ACTIONS(7539),
    [anon_sym_BSLASHxdef] = ACTIONS(7539),
    [anon_sym_BSLASHlet] = ACTIONS(7539),
    [anon_sym_BSLASHglet] = ACTIONS(7539),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7539),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7539),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7539),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7539),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7539),
    [anon_sym_BSLASHgls] = ACTIONS(7539),
    [anon_sym_BSLASHGls] = ACTIONS(7539),
    [anon_sym_BSLASHGLS] = ACTIONS(7539),
    [anon_sym_BSLASHglspl] = ACTIONS(7539),
    [anon_sym_BSLASHGlspl] = ACTIONS(7539),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7539),
    [anon_sym_BSLASHglslink] = ACTIONS(7539),
    [anon_sym_BSLASHglstext] = ACTIONS(7539),
    [anon_sym_BSLASHGlstext] = ACTIONS(7539),
    [anon_sym_BSLASHGLStext] = ACTIONS(7539),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7539),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7539),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7539),
    [anon_sym_BSLASHglsplural] = ACTIONS(7539),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7539),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7539),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHglsname] = ACTIONS(7539),
    [anon_sym_BSLASHGlsname] = ACTIONS(7539),
    [anon_sym_BSLASHGLSname] = ACTIONS(7539),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7539),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7539),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7539),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7539),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7539),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7539),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7539),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7539),
    [anon_sym_BSLASHacrshort] = ACTIONS(7539),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7539),
    [anon_sym_BSLASHACRshort] = ACTIONS(7539),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHacrlong] = ACTIONS(7539),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7539),
    [anon_sym_BSLASHACRlong] = ACTIONS(7539),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHacrfull] = ACTIONS(7539),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7539),
    [anon_sym_BSLASHACRfull] = ACTIONS(7539),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHacs] = ACTIONS(7539),
    [anon_sym_BSLASHAcs] = ACTIONS(7539),
    [anon_sym_BSLASHacsp] = ACTIONS(7539),
    [anon_sym_BSLASHAcsp] = ACTIONS(7539),
    [anon_sym_BSLASHacl] = ACTIONS(7539),
    [anon_sym_BSLASHAcl] = ACTIONS(7539),
    [anon_sym_BSLASHaclp] = ACTIONS(7539),
    [anon_sym_BSLASHAclp] = ACTIONS(7539),
    [anon_sym_BSLASHacf] = ACTIONS(7539),
    [anon_sym_BSLASHAcf] = ACTIONS(7539),
    [anon_sym_BSLASHacfp] = ACTIONS(7539),
    [anon_sym_BSLASHAcfp] = ACTIONS(7539),
    [anon_sym_BSLASHac] = ACTIONS(7539),
    [anon_sym_BSLASHAc] = ACTIONS(7539),
    [anon_sym_BSLASHacp] = ACTIONS(7539),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7539),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7539),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7539),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7539),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7539),
    [anon_sym_BSLASHcolor] = ACTIONS(7539),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7539),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7539),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7539),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7539),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7539),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7539),
    [anon_sym_BSLASHurl] = ACTIONS(7539),
    [anon_sym_BSLASHhref] = ACTIONS(7539),
  },
  [1094] = {
    [ts_builtin_sym_end] = ACTIONS(7545),
    [sym_command_name] = ACTIONS(7543),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(7545),
    [anon_sym_RBRACK] = ACTIONS(7545),
    [anon_sym_COMMA] = ACTIONS(7545),
    [anon_sym_EQ] = ACTIONS(7545),
    [anon_sym_LPAREN] = ACTIONS(7545),
    [anon_sym_RPAREN] = ACTIONS(7545),
    [anon_sym_BSLASHpart] = ACTIONS(7543),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHaddpart] = ACTIONS(7543),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHchapter] = ACTIONS(7543),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHaddchap] = ACTIONS(7543),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHsection] = ACTIONS(7543),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHaddsec] = ACTIONS(7543),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHsubsection] = ACTIONS(7543),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7543),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHparagraph] = ACTIONS(7543),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7543),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHitem] = ACTIONS(7543),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7545),
    [anon_sym_LBRACE] = ACTIONS(7545),
    [anon_sym_RBRACE] = ACTIONS(7545),
    [sym_word] = ACTIONS(7543),
    [sym_placeholder] = ACTIONS(7545),
    [sym_delimiter] = ACTIONS(7545),
    [anon_sym_PLUS] = ACTIONS(7545),
    [anon_sym_DASH] = ACTIONS(7545),
    [anon_sym_STAR] = ACTIONS(7545),
    [anon_sym_SLASH] = ACTIONS(7545),
    [anon_sym_LT] = ACTIONS(7543),
    [anon_sym_GT] = ACTIONS(7543),
    [anon_sym_BANG] = ACTIONS(7543),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_COLON] = ACTIONS(7543),
    [anon_sym_SQUOTE] = ACTIONS(7543),
    [anon_sym__] = ACTIONS(7545),
    [anon_sym_CARET] = ACTIONS(7545),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7545),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7545),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7545),
    [anon_sym_BSLASHleft] = ACTIONS(7543),
    [anon_sym_BSLASHbigl] = ACTIONS(7543),
    [anon_sym_BSLASHBigl] = ACTIONS(7543),
    [anon_sym_BSLASHbiggl] = ACTIONS(7543),
    [anon_sym_BSLASHBiggl] = ACTIONS(7543),
    [anon_sym_BSLASHtext] = ACTIONS(7543),
    [anon_sym_BSLASHintertext] = ACTIONS(7543),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7543),
    [anon_sym_BSLASHbegin] = ACTIONS(7543),
    [anon_sym_BSLASHtitle] = ACTIONS(7543),
    [anon_sym_BSLASHauthor] = ACTIONS(7543),
    [anon_sym_BSLASHusepackage] = ACTIONS(7543),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7543),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7543),
    [anon_sym_BSLASHinclude] = ACTIONS(7543),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7543),
    [anon_sym_BSLASHinput] = ACTIONS(7543),
    [anon_sym_BSLASHsubfile] = ACTIONS(7543),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7543),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7543),
    [anon_sym_BSLASHbibliography] = ACTIONS(7543),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7543),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7543),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7543),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7543),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7543),
    [anon_sym_BSLASHimport] = ACTIONS(7543),
    [anon_sym_BSLASHsubimport] = ACTIONS(7543),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7543),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7543),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7543),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7543),
    [anon_sym_BSLASHcaption] = ACTIONS(7543),
    [anon_sym_BSLASHcite] = ACTIONS(7543),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCite] = ACTIONS(7543),
    [anon_sym_BSLASHnocite] = ACTIONS(7543),
    [anon_sym_BSLASHcitet] = ACTIONS(7543),
    [anon_sym_BSLASHcitep] = ACTIONS(7543),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteA] = ACTIONS(7543),
    [anon_sym_BSLASHciteR] = ACTIONS(7543),
    [anon_sym_BSLASHciteS] = ACTIONS(7543),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7543),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7543),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7543),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7543),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteyear] = ACTIONS(7543),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitedate] = ACTIONS(7543),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteurl] = ACTIONS(7543),
    [anon_sym_BSLASHfullcite] = ACTIONS(7543),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7543),
    [anon_sym_BSLASHcitealt] = ACTIONS(7543),
    [anon_sym_BSLASHcitealp] = ACTIONS(7543),
    [anon_sym_BSLASHcitetext] = ACTIONS(7543),
    [anon_sym_BSLASHparencite] = ACTIONS(7543),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHParencite] = ACTIONS(7543),
    [anon_sym_BSLASHfootcite] = ACTIONS(7543),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7543),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7543),
    [anon_sym_BSLASHtextcite] = ACTIONS(7543),
    [anon_sym_BSLASHTextcite] = ACTIONS(7543),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7543),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7543),
    [anon_sym_BSLASHsupercite] = ACTIONS(7543),
    [anon_sym_BSLASHautocite] = ACTIONS(7543),
    [anon_sym_BSLASHAutocite] = ACTIONS(7543),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHVolcite] = ACTIONS(7543),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHavolcite] = ACTIONS(7543),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHNotecite] = ACTIONS(7543),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHlabel] = ACTIONS(7543),
    [anon_sym_BSLASHref] = ACTIONS(7543),
    [anon_sym_BSLASHeqref] = ACTIONS(7543),
    [anon_sym_BSLASHvref] = ACTIONS(7543),
    [anon_sym_BSLASHVref] = ACTIONS(7543),
    [anon_sym_BSLASHautoref] = ACTIONS(7543),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHpageref] = ACTIONS(7543),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHautopageref] = ACTIONS(7543),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcref] = ACTIONS(7543),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCref] = ACTIONS(7543),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcpageref] = ACTIONS(7543),
    [anon_sym_BSLASHCpageref] = ACTIONS(7543),
    [anon_sym_BSLASHnamecref] = ACTIONS(7543),
    [anon_sym_BSLASHnameCref] = ACTIONS(7543),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7543),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7543),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7543),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7543),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7543),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7543),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7543),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7543),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7543),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7543),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7543),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHdef] = ACTIONS(7543),
    [anon_sym_BSLASHgdef] = ACTIONS(7543),
    [anon_sym_BSLASHedef] = ACTIONS(7543),
    [anon_sym_BSLASHxdef] = ACTIONS(7543),
    [anon_sym_BSLASHlet] = ACTIONS(7543),
    [anon_sym_BSLASHglet] = ACTIONS(7543),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7543),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7543),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7543),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7543),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7543),
    [anon_sym_BSLASHgls] = ACTIONS(7543),
    [anon_sym_BSLASHGls] = ACTIONS(7543),
    [anon_sym_BSLASHGLS] = ACTIONS(7543),
    [anon_sym_BSLASHglspl] = ACTIONS(7543),
    [anon_sym_BSLASHGlspl] = ACTIONS(7543),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7543),
    [anon_sym_BSLASHglslink] = ACTIONS(7543),
    [anon_sym_BSLASHglstext] = ACTIONS(7543),
    [anon_sym_BSLASHGlstext] = ACTIONS(7543),
    [anon_sym_BSLASHGLStext] = ACTIONS(7543),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7543),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7543),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7543),
    [anon_sym_BSLASHglsplural] = ACTIONS(7543),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7543),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7543),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHglsname] = ACTIONS(7543),
    [anon_sym_BSLASHGlsname] = ACTIONS(7543),
    [anon_sym_BSLASHGLSname] = ACTIONS(7543),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7543),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7543),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7543),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7543),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7543),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7543),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7543),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7543),
    [anon_sym_BSLASHacrshort] = ACTIONS(7543),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7543),
    [anon_sym_BSLASHACRshort] = ACTIONS(7543),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHacrlong] = ACTIONS(7543),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7543),
    [anon_sym_BSLASHACRlong] = ACTIONS(7543),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHacrfull] = ACTIONS(7543),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7543),
    [anon_sym_BSLASHACRfull] = ACTIONS(7543),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHacs] = ACTIONS(7543),
    [anon_sym_BSLASHAcs] = ACTIONS(7543),
    [anon_sym_BSLASHacsp] = ACTIONS(7543),
    [anon_sym_BSLASHAcsp] = ACTIONS(7543),
    [anon_sym_BSLASHacl] = ACTIONS(7543),
    [anon_sym_BSLASHAcl] = ACTIONS(7543),
    [anon_sym_BSLASHaclp] = ACTIONS(7543),
    [anon_sym_BSLASHAclp] = ACTIONS(7543),
    [anon_sym_BSLASHacf] = ACTIONS(7543),
    [anon_sym_BSLASHAcf] = ACTIONS(7543),
    [anon_sym_BSLASHacfp] = ACTIONS(7543),
    [anon_sym_BSLASHAcfp] = ACTIONS(7543),
    [anon_sym_BSLASHac] = ACTIONS(7543),
    [anon_sym_BSLASHAc] = ACTIONS(7543),
    [anon_sym_BSLASHacp] = ACTIONS(7543),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7543),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7543),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7543),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7543),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7543),
    [anon_sym_BSLASHcolor] = ACTIONS(7543),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7543),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7543),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7543),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7543),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7543),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7543),
    [anon_sym_BSLASHurl] = ACTIONS(7543),
    [anon_sym_BSLASHhref] = ACTIONS(7543),
  },
  [1095] = {
    [ts_builtin_sym_end] = ACTIONS(7049),
    [sym_command_name] = ACTIONS(7047),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7047),
    [anon_sym_LBRACK] = ACTIONS(7049),
    [anon_sym_RBRACK] = ACTIONS(7049),
    [anon_sym_COMMA] = ACTIONS(7049),
    [anon_sym_EQ] = ACTIONS(7049),
    [anon_sym_LPAREN] = ACTIONS(7049),
    [anon_sym_RPAREN] = ACTIONS(7049),
    [anon_sym_BSLASHpart] = ACTIONS(7047),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddpart] = ACTIONS(7047),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHchapter] = ACTIONS(7047),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddchap] = ACTIONS(7047),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsection] = ACTIONS(7047),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddsec] = ACTIONS(7047),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubsection] = ACTIONS(7047),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7047),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHparagraph] = ACTIONS(7047),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7047),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHitem] = ACTIONS(7047),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7049),
    [anon_sym_LBRACE] = ACTIONS(7049),
    [anon_sym_RBRACE] = ACTIONS(7049),
    [sym_word] = ACTIONS(7047),
    [sym_placeholder] = ACTIONS(7049),
    [sym_delimiter] = ACTIONS(7049),
    [anon_sym_PLUS] = ACTIONS(7049),
    [anon_sym_DASH] = ACTIONS(7049),
    [anon_sym_STAR] = ACTIONS(7049),
    [anon_sym_SLASH] = ACTIONS(7049),
    [anon_sym_LT] = ACTIONS(7047),
    [anon_sym_GT] = ACTIONS(7047),
    [anon_sym_BANG] = ACTIONS(7047),
    [anon_sym_PIPE] = ACTIONS(7047),
    [anon_sym_COLON] = ACTIONS(7047),
    [anon_sym_SQUOTE] = ACTIONS(7047),
    [anon_sym__] = ACTIONS(7049),
    [anon_sym_CARET] = ACTIONS(7049),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7049),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7049),
    [anon_sym_DOLLAR] = ACTIONS(7047),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7049),
    [anon_sym_BSLASHleft] = ACTIONS(7047),
    [anon_sym_BSLASHbigl] = ACTIONS(7047),
    [anon_sym_BSLASHBigl] = ACTIONS(7047),
    [anon_sym_BSLASHbiggl] = ACTIONS(7047),
    [anon_sym_BSLASHBiggl] = ACTIONS(7047),
    [anon_sym_BSLASHtext] = ACTIONS(7047),
    [anon_sym_BSLASHintertext] = ACTIONS(7047),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7047),
    [anon_sym_BSLASHbegin] = ACTIONS(7047),
    [anon_sym_BSLASHtitle] = ACTIONS(7047),
    [anon_sym_BSLASHauthor] = ACTIONS(7047),
    [anon_sym_BSLASHusepackage] = ACTIONS(7047),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7047),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7047),
    [anon_sym_BSLASHinclude] = ACTIONS(7047),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7047),
    [anon_sym_BSLASHinput] = ACTIONS(7047),
    [anon_sym_BSLASHsubfile] = ACTIONS(7047),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7047),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7047),
    [anon_sym_BSLASHbibliography] = ACTIONS(7047),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7047),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7047),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7047),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7047),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7047),
    [anon_sym_BSLASHimport] = ACTIONS(7047),
    [anon_sym_BSLASHsubimport] = ACTIONS(7047),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7047),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7047),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7047),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7047),
    [anon_sym_BSLASHcaption] = ACTIONS(7047),
    [anon_sym_BSLASHcite] = ACTIONS(7047),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCite] = ACTIONS(7047),
    [anon_sym_BSLASHnocite] = ACTIONS(7047),
    [anon_sym_BSLASHcitet] = ACTIONS(7047),
    [anon_sym_BSLASHcitep] = ACTIONS(7047),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteA] = ACTIONS(7047),
    [anon_sym_BSLASHciteR] = ACTIONS(7047),
    [anon_sym_BSLASHciteS] = ACTIONS(7047),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7047),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7047),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7047),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7047),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteyear] = ACTIONS(7047),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitedate] = ACTIONS(7047),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteurl] = ACTIONS(7047),
    [anon_sym_BSLASHfullcite] = ACTIONS(7047),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7047),
    [anon_sym_BSLASHcitealt] = ACTIONS(7047),
    [anon_sym_BSLASHcitealp] = ACTIONS(7047),
    [anon_sym_BSLASHcitetext] = ACTIONS(7047),
    [anon_sym_BSLASHparencite] = ACTIONS(7047),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHParencite] = ACTIONS(7047),
    [anon_sym_BSLASHfootcite] = ACTIONS(7047),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7047),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7047),
    [anon_sym_BSLASHtextcite] = ACTIONS(7047),
    [anon_sym_BSLASHTextcite] = ACTIONS(7047),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7047),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7047),
    [anon_sym_BSLASHsupercite] = ACTIONS(7047),
    [anon_sym_BSLASHautocite] = ACTIONS(7047),
    [anon_sym_BSLASHAutocite] = ACTIONS(7047),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHVolcite] = ACTIONS(7047),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHavolcite] = ACTIONS(7047),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHNotecite] = ACTIONS(7047),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHlabel] = ACTIONS(7047),
    [anon_sym_BSLASHref] = ACTIONS(7047),
    [anon_sym_BSLASHeqref] = ACTIONS(7047),
    [anon_sym_BSLASHvref] = ACTIONS(7047),
    [anon_sym_BSLASHVref] = ACTIONS(7047),
    [anon_sym_BSLASHautoref] = ACTIONS(7047),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHpageref] = ACTIONS(7047),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHautopageref] = ACTIONS(7047),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcref] = ACTIONS(7047),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCref] = ACTIONS(7047),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcpageref] = ACTIONS(7047),
    [anon_sym_BSLASHCpageref] = ACTIONS(7047),
    [anon_sym_BSLASHnamecref] = ACTIONS(7047),
    [anon_sym_BSLASHnameCref] = ACTIONS(7047),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7047),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7047),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7047),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7047),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7047),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7047),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7047),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7047),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7047),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7047),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7047),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHdef] = ACTIONS(7047),
    [anon_sym_BSLASHgdef] = ACTIONS(7047),
    [anon_sym_BSLASHedef] = ACTIONS(7047),
    [anon_sym_BSLASHxdef] = ACTIONS(7047),
    [anon_sym_BSLASHlet] = ACTIONS(7047),
    [anon_sym_BSLASHglet] = ACTIONS(7047),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7047),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7047),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7047),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7047),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7047),
    [anon_sym_BSLASHgls] = ACTIONS(7047),
    [anon_sym_BSLASHGls] = ACTIONS(7047),
    [anon_sym_BSLASHGLS] = ACTIONS(7047),
    [anon_sym_BSLASHglspl] = ACTIONS(7047),
    [anon_sym_BSLASHGlspl] = ACTIONS(7047),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7047),
    [anon_sym_BSLASHglslink] = ACTIONS(7047),
    [anon_sym_BSLASHglstext] = ACTIONS(7047),
    [anon_sym_BSLASHGlstext] = ACTIONS(7047),
    [anon_sym_BSLASHGLStext] = ACTIONS(7047),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7047),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7047),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7047),
    [anon_sym_BSLASHglsplural] = ACTIONS(7047),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7047),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7047),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHglsname] = ACTIONS(7047),
    [anon_sym_BSLASHGlsname] = ACTIONS(7047),
    [anon_sym_BSLASHGLSname] = ACTIONS(7047),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7047),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7047),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7047),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7047),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7047),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7047),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7047),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7047),
    [anon_sym_BSLASHacrshort] = ACTIONS(7047),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7047),
    [anon_sym_BSLASHACRshort] = ACTIONS(7047),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHacrlong] = ACTIONS(7047),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7047),
    [anon_sym_BSLASHACRlong] = ACTIONS(7047),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHacrfull] = ACTIONS(7047),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7047),
    [anon_sym_BSLASHACRfull] = ACTIONS(7047),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHacs] = ACTIONS(7047),
    [anon_sym_BSLASHAcs] = ACTIONS(7047),
    [anon_sym_BSLASHacsp] = ACTIONS(7047),
    [anon_sym_BSLASHAcsp] = ACTIONS(7047),
    [anon_sym_BSLASHacl] = ACTIONS(7047),
    [anon_sym_BSLASHAcl] = ACTIONS(7047),
    [anon_sym_BSLASHaclp] = ACTIONS(7047),
    [anon_sym_BSLASHAclp] = ACTIONS(7047),
    [anon_sym_BSLASHacf] = ACTIONS(7047),
    [anon_sym_BSLASHAcf] = ACTIONS(7047),
    [anon_sym_BSLASHacfp] = ACTIONS(7047),
    [anon_sym_BSLASHAcfp] = ACTIONS(7047),
    [anon_sym_BSLASHac] = ACTIONS(7047),
    [anon_sym_BSLASHAc] = ACTIONS(7047),
    [anon_sym_BSLASHacp] = ACTIONS(7047),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7047),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7047),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7047),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7047),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7047),
    [anon_sym_BSLASHcolor] = ACTIONS(7047),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7047),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7047),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7047),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7047),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7047),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7047),
    [anon_sym_BSLASHurl] = ACTIONS(7047),
    [anon_sym_BSLASHhref] = ACTIONS(7047),
  },
  [1096] = {
    [sym_brack_group] = STATE(1609),
    [sym_command_name] = ACTIONS(7789),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7789),
    [anon_sym_LBRACK] = ACTIONS(7791),
    [anon_sym_RBRACK] = ACTIONS(7793),
    [anon_sym_COMMA] = ACTIONS(7793),
    [anon_sym_EQ] = ACTIONS(7793),
    [anon_sym_LPAREN] = ACTIONS(7793),
    [anon_sym_RPAREN] = ACTIONS(7793),
    [anon_sym_BSLASHpart] = ACTIONS(7789),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHaddpart] = ACTIONS(7789),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHchapter] = ACTIONS(7789),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHaddchap] = ACTIONS(7789),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHsection] = ACTIONS(7789),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHaddsec] = ACTIONS(7789),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHsubsection] = ACTIONS(7789),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7789),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHparagraph] = ACTIONS(7789),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7789),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHitem] = ACTIONS(7789),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7793),
    [anon_sym_LBRACE] = ACTIONS(7793),
    [sym_word] = ACTIONS(7789),
    [sym_placeholder] = ACTIONS(7793),
    [sym_delimiter] = ACTIONS(7793),
    [anon_sym_PLUS] = ACTIONS(7793),
    [anon_sym_DASH] = ACTIONS(7793),
    [anon_sym_STAR] = ACTIONS(7793),
    [anon_sym_SLASH] = ACTIONS(7793),
    [anon_sym_LT] = ACTIONS(7789),
    [anon_sym_GT] = ACTIONS(7789),
    [anon_sym_BANG] = ACTIONS(7789),
    [anon_sym_PIPE] = ACTIONS(7789),
    [anon_sym_COLON] = ACTIONS(7789),
    [anon_sym_SQUOTE] = ACTIONS(7789),
    [anon_sym__] = ACTIONS(7793),
    [anon_sym_CARET] = ACTIONS(7793),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7793),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7793),
    [anon_sym_DOLLAR] = ACTIONS(7789),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7793),
    [anon_sym_BSLASHleft] = ACTIONS(7789),
    [anon_sym_BSLASHbigl] = ACTIONS(7789),
    [anon_sym_BSLASHBigl] = ACTIONS(7789),
    [anon_sym_BSLASHbiggl] = ACTIONS(7789),
    [anon_sym_BSLASHBiggl] = ACTIONS(7789),
    [anon_sym_BSLASHtext] = ACTIONS(7789),
    [anon_sym_BSLASHintertext] = ACTIONS(7789),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7789),
    [anon_sym_BSLASHbegin] = ACTIONS(7789),
    [anon_sym_BSLASHend] = ACTIONS(7789),
    [anon_sym_BSLASHtitle] = ACTIONS(7789),
    [anon_sym_BSLASHauthor] = ACTIONS(7789),
    [anon_sym_BSLASHusepackage] = ACTIONS(7789),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7789),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7789),
    [anon_sym_BSLASHinclude] = ACTIONS(7789),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7789),
    [anon_sym_BSLASHinput] = ACTIONS(7789),
    [anon_sym_BSLASHsubfile] = ACTIONS(7789),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7789),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7789),
    [anon_sym_BSLASHbibliography] = ACTIONS(7789),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7789),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7789),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7789),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7789),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7789),
    [anon_sym_BSLASHimport] = ACTIONS(7789),
    [anon_sym_BSLASHsubimport] = ACTIONS(7789),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7789),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7789),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7789),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7789),
    [anon_sym_BSLASHcaption] = ACTIONS(7789),
    [anon_sym_BSLASHcite] = ACTIONS(7789),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHCite] = ACTIONS(7789),
    [anon_sym_BSLASHnocite] = ACTIONS(7789),
    [anon_sym_BSLASHcitet] = ACTIONS(7789),
    [anon_sym_BSLASHcitep] = ACTIONS(7789),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHciteA] = ACTIONS(7789),
    [anon_sym_BSLASHciteR] = ACTIONS(7789),
    [anon_sym_BSLASHciteS] = ACTIONS(7789),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7789),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7789),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7789),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7789),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHciteyear] = ACTIONS(7789),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHcitedate] = ACTIONS(7789),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHciteurl] = ACTIONS(7789),
    [anon_sym_BSLASHfullcite] = ACTIONS(7789),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7789),
    [anon_sym_BSLASHcitealt] = ACTIONS(7789),
    [anon_sym_BSLASHcitealp] = ACTIONS(7789),
    [anon_sym_BSLASHcitetext] = ACTIONS(7789),
    [anon_sym_BSLASHparencite] = ACTIONS(7789),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHParencite] = ACTIONS(7789),
    [anon_sym_BSLASHfootcite] = ACTIONS(7789),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7789),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7789),
    [anon_sym_BSLASHtextcite] = ACTIONS(7789),
    [anon_sym_BSLASHTextcite] = ACTIONS(7789),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7789),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7789),
    [anon_sym_BSLASHsupercite] = ACTIONS(7789),
    [anon_sym_BSLASHautocite] = ACTIONS(7789),
    [anon_sym_BSLASHAutocite] = ACTIONS(7789),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHvolcite] = ACTIONS(7789),
    [anon_sym_BSLASHVolcite] = ACTIONS(7789),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7789),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7789),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7789),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7789),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7789),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7789),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7789),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7789),
    [anon_sym_BSLASHavolcite] = ACTIONS(7789),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7789),
    [anon_sym_BSLASHnotecite] = ACTIONS(7789),
    [anon_sym_BSLASHNotecite] = ACTIONS(7789),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7789),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7789),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7789),
    [anon_sym_BSLASHlabel] = ACTIONS(7789),
    [anon_sym_BSLASHref] = ACTIONS(7789),
    [anon_sym_BSLASHeqref] = ACTIONS(7789),
    [anon_sym_BSLASHvref] = ACTIONS(7789),
    [anon_sym_BSLASHVref] = ACTIONS(7789),
    [anon_sym_BSLASHautoref] = ACTIONS(7789),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHpageref] = ACTIONS(7789),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHautopageref] = ACTIONS(7789),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHcref] = ACTIONS(7789),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHCref] = ACTIONS(7789),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHcpageref] = ACTIONS(7789),
    [anon_sym_BSLASHCpageref] = ACTIONS(7789),
    [anon_sym_BSLASHnamecref] = ACTIONS(7789),
    [anon_sym_BSLASHnameCref] = ACTIONS(7789),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7789),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7789),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7789),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7789),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7789),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7789),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7789),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7789),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7789),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7789),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7789),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7789),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7789),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7789),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7789),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7789),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7789),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7789),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7789),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7789),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7789),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7789),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7789),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7789),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7789),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7789),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7789),
    [anon_sym_BSLASHdef] = ACTIONS(7789),
    [anon_sym_BSLASHgdef] = ACTIONS(7789),
    [anon_sym_BSLASHedef] = ACTIONS(7789),
    [anon_sym_BSLASHxdef] = ACTIONS(7789),
    [anon_sym_BSLASHlet] = ACTIONS(7789),
    [anon_sym_BSLASHglet] = ACTIONS(7789),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7789),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7789),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7789),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7789),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7789),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7789),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7789),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7789),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7789),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7789),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7789),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7789),
    [anon_sym_BSLASHgls] = ACTIONS(7789),
    [anon_sym_BSLASHGls] = ACTIONS(7789),
    [anon_sym_BSLASHGLS] = ACTIONS(7789),
    [anon_sym_BSLASHglspl] = ACTIONS(7789),
    [anon_sym_BSLASHGlspl] = ACTIONS(7789),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7789),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7789),
    [anon_sym_BSLASHglslink] = ACTIONS(7789),
    [anon_sym_BSLASHglstext] = ACTIONS(7789),
    [anon_sym_BSLASHGlstext] = ACTIONS(7789),
    [anon_sym_BSLASHGLStext] = ACTIONS(7789),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7789),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7789),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7789),
    [anon_sym_BSLASHglsplural] = ACTIONS(7789),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7789),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7789),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7789),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7789),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7789),
    [anon_sym_BSLASHglsname] = ACTIONS(7789),
    [anon_sym_BSLASHGlsname] = ACTIONS(7789),
    [anon_sym_BSLASHGLSname] = ACTIONS(7789),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7789),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7789),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7789),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7789),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7789),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7789),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7789),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7789),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7789),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7789),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7789),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7789),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7789),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7789),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7789),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7789),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7789),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7789),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7789),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7789),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7789),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7789),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7789),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7789),
    [anon_sym_BSLASHacrshort] = ACTIONS(7789),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7789),
    [anon_sym_BSLASHACRshort] = ACTIONS(7789),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7789),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7789),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7789),
    [anon_sym_BSLASHacrlong] = ACTIONS(7789),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7789),
    [anon_sym_BSLASHACRlong] = ACTIONS(7789),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7789),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7789),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7789),
    [anon_sym_BSLASHacrfull] = ACTIONS(7789),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7789),
    [anon_sym_BSLASHACRfull] = ACTIONS(7789),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7789),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7789),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7789),
    [anon_sym_BSLASHacs] = ACTIONS(7789),
    [anon_sym_BSLASHAcs] = ACTIONS(7789),
    [anon_sym_BSLASHacsp] = ACTIONS(7789),
    [anon_sym_BSLASHAcsp] = ACTIONS(7789),
    [anon_sym_BSLASHacl] = ACTIONS(7789),
    [anon_sym_BSLASHAcl] = ACTIONS(7789),
    [anon_sym_BSLASHaclp] = ACTIONS(7789),
    [anon_sym_BSLASHAclp] = ACTIONS(7789),
    [anon_sym_BSLASHacf] = ACTIONS(7789),
    [anon_sym_BSLASHAcf] = ACTIONS(7789),
    [anon_sym_BSLASHacfp] = ACTIONS(7789),
    [anon_sym_BSLASHAcfp] = ACTIONS(7789),
    [anon_sym_BSLASHac] = ACTIONS(7789),
    [anon_sym_BSLASHAc] = ACTIONS(7789),
    [anon_sym_BSLASHacp] = ACTIONS(7789),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7789),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7789),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7789),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7789),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7789),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7789),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7789),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7789),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7789),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7789),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7789),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7789),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7793),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7789),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7789),
    [anon_sym_BSLASHcolor] = ACTIONS(7789),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7789),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7789),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7789),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7789),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7789),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7789),
    [anon_sym_BSLASHurl] = ACTIONS(7789),
    [anon_sym_BSLASHhref] = ACTIONS(7789),
  },
  [1097] = {
    [sym_curly_group] = STATE(1391),
    [sym_command_name] = ACTIONS(6935),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6937),
    [anon_sym_RBRACK] = ACTIONS(6937),
    [anon_sym_COMMA] = ACTIONS(6937),
    [anon_sym_EQ] = ACTIONS(6937),
    [anon_sym_LPAREN] = ACTIONS(6937),
    [anon_sym_RPAREN] = ACTIONS(6937),
    [anon_sym_BSLASHpart] = ACTIONS(6935),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHaddpart] = ACTIONS(6935),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHchapter] = ACTIONS(6935),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHaddchap] = ACTIONS(6935),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHsection] = ACTIONS(6935),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHaddsec] = ACTIONS(6935),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHsubsection] = ACTIONS(6935),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6935),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHparagraph] = ACTIONS(6935),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6935),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHitem] = ACTIONS(6935),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6937),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(6935),
    [sym_placeholder] = ACTIONS(6937),
    [sym_delimiter] = ACTIONS(6937),
    [anon_sym_PLUS] = ACTIONS(6937),
    [anon_sym_DASH] = ACTIONS(6937),
    [anon_sym_STAR] = ACTIONS(6937),
    [anon_sym_SLASH] = ACTIONS(6937),
    [anon_sym_LT] = ACTIONS(6935),
    [anon_sym_GT] = ACTIONS(6935),
    [anon_sym_BANG] = ACTIONS(6935),
    [anon_sym_PIPE] = ACTIONS(6935),
    [anon_sym_COLON] = ACTIONS(6935),
    [anon_sym_SQUOTE] = ACTIONS(6935),
    [anon_sym__] = ACTIONS(6937),
    [anon_sym_CARET] = ACTIONS(6937),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6937),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6937),
    [anon_sym_DOLLAR] = ACTIONS(6935),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6937),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6937),
    [anon_sym_BSLASHleft] = ACTIONS(6935),
    [anon_sym_BSLASHbigl] = ACTIONS(6935),
    [anon_sym_BSLASHBigl] = ACTIONS(6935),
    [anon_sym_BSLASHbiggl] = ACTIONS(6935),
    [anon_sym_BSLASHBiggl] = ACTIONS(6935),
    [anon_sym_BSLASHtext] = ACTIONS(6935),
    [anon_sym_BSLASHintertext] = ACTIONS(6935),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6935),
    [anon_sym_BSLASHbegin] = ACTIONS(6935),
    [anon_sym_BSLASHtitle] = ACTIONS(6935),
    [anon_sym_BSLASHauthor] = ACTIONS(6935),
    [anon_sym_BSLASHusepackage] = ACTIONS(6935),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6935),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6935),
    [anon_sym_BSLASHinclude] = ACTIONS(6935),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6935),
    [anon_sym_BSLASHinput] = ACTIONS(6935),
    [anon_sym_BSLASHsubfile] = ACTIONS(6935),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6935),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6935),
    [anon_sym_BSLASHbibliography] = ACTIONS(6935),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6935),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6935),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6935),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6935),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6935),
    [anon_sym_BSLASHimport] = ACTIONS(6935),
    [anon_sym_BSLASHsubimport] = ACTIONS(6935),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6935),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6935),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6935),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6935),
    [anon_sym_BSLASHcaption] = ACTIONS(6935),
    [anon_sym_BSLASHcite] = ACTIONS(6935),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCite] = ACTIONS(6935),
    [anon_sym_BSLASHnocite] = ACTIONS(6935),
    [anon_sym_BSLASHcitet] = ACTIONS(6935),
    [anon_sym_BSLASHcitep] = ACTIONS(6935),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteA] = ACTIONS(6935),
    [anon_sym_BSLASHciteR] = ACTIONS(6935),
    [anon_sym_BSLASHciteS] = ACTIONS(6935),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6935),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6935),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6935),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6935),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteyear] = ACTIONS(6935),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitedate] = ACTIONS(6935),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteurl] = ACTIONS(6935),
    [anon_sym_BSLASHfullcite] = ACTIONS(6935),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6935),
    [anon_sym_BSLASHcitealt] = ACTIONS(6935),
    [anon_sym_BSLASHcitealp] = ACTIONS(6935),
    [anon_sym_BSLASHcitetext] = ACTIONS(6935),
    [anon_sym_BSLASHparencite] = ACTIONS(6935),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHParencite] = ACTIONS(6935),
    [anon_sym_BSLASHfootcite] = ACTIONS(6935),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6935),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6935),
    [anon_sym_BSLASHtextcite] = ACTIONS(6935),
    [anon_sym_BSLASHTextcite] = ACTIONS(6935),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6935),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6935),
    [anon_sym_BSLASHsupercite] = ACTIONS(6935),
    [anon_sym_BSLASHautocite] = ACTIONS(6935),
    [anon_sym_BSLASHAutocite] = ACTIONS(6935),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHVolcite] = ACTIONS(6935),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHavolcite] = ACTIONS(6935),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHNotecite] = ACTIONS(6935),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHlabel] = ACTIONS(6935),
    [anon_sym_BSLASHref] = ACTIONS(6935),
    [anon_sym_BSLASHeqref] = ACTIONS(6935),
    [anon_sym_BSLASHvref] = ACTIONS(6935),
    [anon_sym_BSLASHVref] = ACTIONS(6935),
    [anon_sym_BSLASHautoref] = ACTIONS(6935),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHpageref] = ACTIONS(6935),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHautopageref] = ACTIONS(6935),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcref] = ACTIONS(6935),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCref] = ACTIONS(6935),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcpageref] = ACTIONS(6935),
    [anon_sym_BSLASHCpageref] = ACTIONS(6935),
    [anon_sym_BSLASHnamecref] = ACTIONS(6935),
    [anon_sym_BSLASHnameCref] = ACTIONS(6935),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6935),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6935),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6935),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6935),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6935),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6935),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6935),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6935),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6935),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6935),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6935),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHdef] = ACTIONS(6935),
    [anon_sym_BSLASHgdef] = ACTIONS(6935),
    [anon_sym_BSLASHedef] = ACTIONS(6935),
    [anon_sym_BSLASHxdef] = ACTIONS(6935),
    [anon_sym_BSLASHlet] = ACTIONS(6935),
    [anon_sym_BSLASHglet] = ACTIONS(6935),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6935),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6935),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6935),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6935),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6935),
    [anon_sym_BSLASHgls] = ACTIONS(6935),
    [anon_sym_BSLASHGls] = ACTIONS(6935),
    [anon_sym_BSLASHGLS] = ACTIONS(6935),
    [anon_sym_BSLASHglspl] = ACTIONS(6935),
    [anon_sym_BSLASHGlspl] = ACTIONS(6935),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6935),
    [anon_sym_BSLASHglslink] = ACTIONS(6935),
    [anon_sym_BSLASHglstext] = ACTIONS(6935),
    [anon_sym_BSLASHGlstext] = ACTIONS(6935),
    [anon_sym_BSLASHGLStext] = ACTIONS(6935),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6935),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6935),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6935),
    [anon_sym_BSLASHglsplural] = ACTIONS(6935),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6935),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6935),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHglsname] = ACTIONS(6935),
    [anon_sym_BSLASHGlsname] = ACTIONS(6935),
    [anon_sym_BSLASHGLSname] = ACTIONS(6935),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6935),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6935),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6935),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6935),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6935),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6935),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6935),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6935),
    [anon_sym_BSLASHacrshort] = ACTIONS(6935),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6935),
    [anon_sym_BSLASHACRshort] = ACTIONS(6935),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHacrlong] = ACTIONS(6935),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6935),
    [anon_sym_BSLASHACRlong] = ACTIONS(6935),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHacrfull] = ACTIONS(6935),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6935),
    [anon_sym_BSLASHACRfull] = ACTIONS(6935),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHacs] = ACTIONS(6935),
    [anon_sym_BSLASHAcs] = ACTIONS(6935),
    [anon_sym_BSLASHacsp] = ACTIONS(6935),
    [anon_sym_BSLASHAcsp] = ACTIONS(6935),
    [anon_sym_BSLASHacl] = ACTIONS(6935),
    [anon_sym_BSLASHAcl] = ACTIONS(6935),
    [anon_sym_BSLASHaclp] = ACTIONS(6935),
    [anon_sym_BSLASHAclp] = ACTIONS(6935),
    [anon_sym_BSLASHacf] = ACTIONS(6935),
    [anon_sym_BSLASHAcf] = ACTIONS(6935),
    [anon_sym_BSLASHacfp] = ACTIONS(6935),
    [anon_sym_BSLASHAcfp] = ACTIONS(6935),
    [anon_sym_BSLASHac] = ACTIONS(6935),
    [anon_sym_BSLASHAc] = ACTIONS(6935),
    [anon_sym_BSLASHacp] = ACTIONS(6935),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6935),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6935),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6935),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6935),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6935),
    [anon_sym_BSLASHcolor] = ACTIONS(6935),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6935),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6935),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6935),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6935),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6935),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6935),
    [anon_sym_BSLASHurl] = ACTIONS(6935),
    [anon_sym_BSLASHhref] = ACTIONS(6935),
  },
  [1098] = {
    [ts_builtin_sym_end] = ACTIONS(7549),
    [sym_command_name] = ACTIONS(7547),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7547),
    [anon_sym_LBRACK] = ACTIONS(7549),
    [anon_sym_RBRACK] = ACTIONS(7549),
    [anon_sym_COMMA] = ACTIONS(7549),
    [anon_sym_EQ] = ACTIONS(7549),
    [anon_sym_LPAREN] = ACTIONS(7549),
    [anon_sym_RPAREN] = ACTIONS(7549),
    [anon_sym_BSLASHpart] = ACTIONS(7547),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHaddpart] = ACTIONS(7547),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHchapter] = ACTIONS(7547),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHaddchap] = ACTIONS(7547),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHsection] = ACTIONS(7547),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHaddsec] = ACTIONS(7547),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHsubsection] = ACTIONS(7547),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7547),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHparagraph] = ACTIONS(7547),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7547),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHitem] = ACTIONS(7547),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7549),
    [anon_sym_LBRACE] = ACTIONS(7549),
    [anon_sym_RBRACE] = ACTIONS(7549),
    [sym_word] = ACTIONS(7547),
    [sym_placeholder] = ACTIONS(7549),
    [sym_delimiter] = ACTIONS(7549),
    [anon_sym_PLUS] = ACTIONS(7549),
    [anon_sym_DASH] = ACTIONS(7549),
    [anon_sym_STAR] = ACTIONS(7549),
    [anon_sym_SLASH] = ACTIONS(7549),
    [anon_sym_LT] = ACTIONS(7547),
    [anon_sym_GT] = ACTIONS(7547),
    [anon_sym_BANG] = ACTIONS(7547),
    [anon_sym_PIPE] = ACTIONS(7547),
    [anon_sym_COLON] = ACTIONS(7547),
    [anon_sym_SQUOTE] = ACTIONS(7547),
    [anon_sym__] = ACTIONS(7549),
    [anon_sym_CARET] = ACTIONS(7549),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7549),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7549),
    [anon_sym_DOLLAR] = ACTIONS(7547),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7549),
    [anon_sym_BSLASHleft] = ACTIONS(7547),
    [anon_sym_BSLASHbigl] = ACTIONS(7547),
    [anon_sym_BSLASHBigl] = ACTIONS(7547),
    [anon_sym_BSLASHbiggl] = ACTIONS(7547),
    [anon_sym_BSLASHBiggl] = ACTIONS(7547),
    [anon_sym_BSLASHtext] = ACTIONS(7547),
    [anon_sym_BSLASHintertext] = ACTIONS(7547),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7547),
    [anon_sym_BSLASHbegin] = ACTIONS(7547),
    [anon_sym_BSLASHtitle] = ACTIONS(7547),
    [anon_sym_BSLASHauthor] = ACTIONS(7547),
    [anon_sym_BSLASHusepackage] = ACTIONS(7547),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7547),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7547),
    [anon_sym_BSLASHinclude] = ACTIONS(7547),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7547),
    [anon_sym_BSLASHinput] = ACTIONS(7547),
    [anon_sym_BSLASHsubfile] = ACTIONS(7547),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7547),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7547),
    [anon_sym_BSLASHbibliography] = ACTIONS(7547),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7547),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7547),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7547),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7547),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7547),
    [anon_sym_BSLASHimport] = ACTIONS(7547),
    [anon_sym_BSLASHsubimport] = ACTIONS(7547),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7547),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7547),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7547),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7547),
    [anon_sym_BSLASHcaption] = ACTIONS(7547),
    [anon_sym_BSLASHcite] = ACTIONS(7547),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCite] = ACTIONS(7547),
    [anon_sym_BSLASHnocite] = ACTIONS(7547),
    [anon_sym_BSLASHcitet] = ACTIONS(7547),
    [anon_sym_BSLASHcitep] = ACTIONS(7547),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteA] = ACTIONS(7547),
    [anon_sym_BSLASHciteR] = ACTIONS(7547),
    [anon_sym_BSLASHciteS] = ACTIONS(7547),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7547),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7547),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7547),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7547),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteyear] = ACTIONS(7547),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitedate] = ACTIONS(7547),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteurl] = ACTIONS(7547),
    [anon_sym_BSLASHfullcite] = ACTIONS(7547),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7547),
    [anon_sym_BSLASHcitealt] = ACTIONS(7547),
    [anon_sym_BSLASHcitealp] = ACTIONS(7547),
    [anon_sym_BSLASHcitetext] = ACTIONS(7547),
    [anon_sym_BSLASHparencite] = ACTIONS(7547),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHParencite] = ACTIONS(7547),
    [anon_sym_BSLASHfootcite] = ACTIONS(7547),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7547),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7547),
    [anon_sym_BSLASHtextcite] = ACTIONS(7547),
    [anon_sym_BSLASHTextcite] = ACTIONS(7547),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7547),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7547),
    [anon_sym_BSLASHsupercite] = ACTIONS(7547),
    [anon_sym_BSLASHautocite] = ACTIONS(7547),
    [anon_sym_BSLASHAutocite] = ACTIONS(7547),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHVolcite] = ACTIONS(7547),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHavolcite] = ACTIONS(7547),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHNotecite] = ACTIONS(7547),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHlabel] = ACTIONS(7547),
    [anon_sym_BSLASHref] = ACTIONS(7547),
    [anon_sym_BSLASHeqref] = ACTIONS(7547),
    [anon_sym_BSLASHvref] = ACTIONS(7547),
    [anon_sym_BSLASHVref] = ACTIONS(7547),
    [anon_sym_BSLASHautoref] = ACTIONS(7547),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHpageref] = ACTIONS(7547),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHautopageref] = ACTIONS(7547),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcref] = ACTIONS(7547),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCref] = ACTIONS(7547),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcpageref] = ACTIONS(7547),
    [anon_sym_BSLASHCpageref] = ACTIONS(7547),
    [anon_sym_BSLASHnamecref] = ACTIONS(7547),
    [anon_sym_BSLASHnameCref] = ACTIONS(7547),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7547),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7547),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7547),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7547),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7547),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7547),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7547),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7547),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7547),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7547),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7547),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHdef] = ACTIONS(7547),
    [anon_sym_BSLASHgdef] = ACTIONS(7547),
    [anon_sym_BSLASHedef] = ACTIONS(7547),
    [anon_sym_BSLASHxdef] = ACTIONS(7547),
    [anon_sym_BSLASHlet] = ACTIONS(7547),
    [anon_sym_BSLASHglet] = ACTIONS(7547),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7547),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7547),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7547),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7547),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7547),
    [anon_sym_BSLASHgls] = ACTIONS(7547),
    [anon_sym_BSLASHGls] = ACTIONS(7547),
    [anon_sym_BSLASHGLS] = ACTIONS(7547),
    [anon_sym_BSLASHglspl] = ACTIONS(7547),
    [anon_sym_BSLASHGlspl] = ACTIONS(7547),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7547),
    [anon_sym_BSLASHglslink] = ACTIONS(7547),
    [anon_sym_BSLASHglstext] = ACTIONS(7547),
    [anon_sym_BSLASHGlstext] = ACTIONS(7547),
    [anon_sym_BSLASHGLStext] = ACTIONS(7547),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7547),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7547),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7547),
    [anon_sym_BSLASHglsplural] = ACTIONS(7547),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7547),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7547),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHglsname] = ACTIONS(7547),
    [anon_sym_BSLASHGlsname] = ACTIONS(7547),
    [anon_sym_BSLASHGLSname] = ACTIONS(7547),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7547),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7547),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7547),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7547),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7547),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7547),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7547),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7547),
    [anon_sym_BSLASHacrshort] = ACTIONS(7547),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7547),
    [anon_sym_BSLASHACRshort] = ACTIONS(7547),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHacrlong] = ACTIONS(7547),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7547),
    [anon_sym_BSLASHACRlong] = ACTIONS(7547),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHacrfull] = ACTIONS(7547),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7547),
    [anon_sym_BSLASHACRfull] = ACTIONS(7547),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHacs] = ACTIONS(7547),
    [anon_sym_BSLASHAcs] = ACTIONS(7547),
    [anon_sym_BSLASHacsp] = ACTIONS(7547),
    [anon_sym_BSLASHAcsp] = ACTIONS(7547),
    [anon_sym_BSLASHacl] = ACTIONS(7547),
    [anon_sym_BSLASHAcl] = ACTIONS(7547),
    [anon_sym_BSLASHaclp] = ACTIONS(7547),
    [anon_sym_BSLASHAclp] = ACTIONS(7547),
    [anon_sym_BSLASHacf] = ACTIONS(7547),
    [anon_sym_BSLASHAcf] = ACTIONS(7547),
    [anon_sym_BSLASHacfp] = ACTIONS(7547),
    [anon_sym_BSLASHAcfp] = ACTIONS(7547),
    [anon_sym_BSLASHac] = ACTIONS(7547),
    [anon_sym_BSLASHAc] = ACTIONS(7547),
    [anon_sym_BSLASHacp] = ACTIONS(7547),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7547),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7547),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7547),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7547),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7547),
    [anon_sym_BSLASHcolor] = ACTIONS(7547),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7547),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7547),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7547),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7547),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7547),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7547),
    [anon_sym_BSLASHurl] = ACTIONS(7547),
    [anon_sym_BSLASHhref] = ACTIONS(7547),
  },
  [1099] = {
    [ts_builtin_sym_end] = ACTIONS(7553),
    [sym_command_name] = ACTIONS(7551),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7551),
    [anon_sym_LBRACK] = ACTIONS(7553),
    [anon_sym_RBRACK] = ACTIONS(7553),
    [anon_sym_COMMA] = ACTIONS(7553),
    [anon_sym_EQ] = ACTIONS(7553),
    [anon_sym_LPAREN] = ACTIONS(7553),
    [anon_sym_RPAREN] = ACTIONS(7553),
    [anon_sym_BSLASHpart] = ACTIONS(7551),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHaddpart] = ACTIONS(7551),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHchapter] = ACTIONS(7551),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHaddchap] = ACTIONS(7551),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHsection] = ACTIONS(7551),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHaddsec] = ACTIONS(7551),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHsubsection] = ACTIONS(7551),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7551),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHparagraph] = ACTIONS(7551),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7551),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHitem] = ACTIONS(7551),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7553),
    [anon_sym_LBRACE] = ACTIONS(7553),
    [anon_sym_RBRACE] = ACTIONS(7553),
    [sym_word] = ACTIONS(7551),
    [sym_placeholder] = ACTIONS(7553),
    [sym_delimiter] = ACTIONS(7553),
    [anon_sym_PLUS] = ACTIONS(7553),
    [anon_sym_DASH] = ACTIONS(7553),
    [anon_sym_STAR] = ACTIONS(7553),
    [anon_sym_SLASH] = ACTIONS(7553),
    [anon_sym_LT] = ACTIONS(7551),
    [anon_sym_GT] = ACTIONS(7551),
    [anon_sym_BANG] = ACTIONS(7551),
    [anon_sym_PIPE] = ACTIONS(7551),
    [anon_sym_COLON] = ACTIONS(7551),
    [anon_sym_SQUOTE] = ACTIONS(7551),
    [anon_sym__] = ACTIONS(7553),
    [anon_sym_CARET] = ACTIONS(7553),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7553),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7553),
    [anon_sym_DOLLAR] = ACTIONS(7551),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7553),
    [anon_sym_BSLASHleft] = ACTIONS(7551),
    [anon_sym_BSLASHbigl] = ACTIONS(7551),
    [anon_sym_BSLASHBigl] = ACTIONS(7551),
    [anon_sym_BSLASHbiggl] = ACTIONS(7551),
    [anon_sym_BSLASHBiggl] = ACTIONS(7551),
    [anon_sym_BSLASHtext] = ACTIONS(7551),
    [anon_sym_BSLASHintertext] = ACTIONS(7551),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7551),
    [anon_sym_BSLASHbegin] = ACTIONS(7551),
    [anon_sym_BSLASHtitle] = ACTIONS(7551),
    [anon_sym_BSLASHauthor] = ACTIONS(7551),
    [anon_sym_BSLASHusepackage] = ACTIONS(7551),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7551),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7551),
    [anon_sym_BSLASHinclude] = ACTIONS(7551),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7551),
    [anon_sym_BSLASHinput] = ACTIONS(7551),
    [anon_sym_BSLASHsubfile] = ACTIONS(7551),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7551),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7551),
    [anon_sym_BSLASHbibliography] = ACTIONS(7551),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7551),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7551),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7551),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7551),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7551),
    [anon_sym_BSLASHimport] = ACTIONS(7551),
    [anon_sym_BSLASHsubimport] = ACTIONS(7551),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7551),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7551),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7551),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7551),
    [anon_sym_BSLASHcaption] = ACTIONS(7551),
    [anon_sym_BSLASHcite] = ACTIONS(7551),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCite] = ACTIONS(7551),
    [anon_sym_BSLASHnocite] = ACTIONS(7551),
    [anon_sym_BSLASHcitet] = ACTIONS(7551),
    [anon_sym_BSLASHcitep] = ACTIONS(7551),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteA] = ACTIONS(7551),
    [anon_sym_BSLASHciteR] = ACTIONS(7551),
    [anon_sym_BSLASHciteS] = ACTIONS(7551),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7551),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7551),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7551),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7551),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteyear] = ACTIONS(7551),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitedate] = ACTIONS(7551),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteurl] = ACTIONS(7551),
    [anon_sym_BSLASHfullcite] = ACTIONS(7551),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7551),
    [anon_sym_BSLASHcitealt] = ACTIONS(7551),
    [anon_sym_BSLASHcitealp] = ACTIONS(7551),
    [anon_sym_BSLASHcitetext] = ACTIONS(7551),
    [anon_sym_BSLASHparencite] = ACTIONS(7551),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHParencite] = ACTIONS(7551),
    [anon_sym_BSLASHfootcite] = ACTIONS(7551),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7551),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7551),
    [anon_sym_BSLASHtextcite] = ACTIONS(7551),
    [anon_sym_BSLASHTextcite] = ACTIONS(7551),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7551),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7551),
    [anon_sym_BSLASHsupercite] = ACTIONS(7551),
    [anon_sym_BSLASHautocite] = ACTIONS(7551),
    [anon_sym_BSLASHAutocite] = ACTIONS(7551),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHVolcite] = ACTIONS(7551),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHavolcite] = ACTIONS(7551),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHNotecite] = ACTIONS(7551),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHlabel] = ACTIONS(7551),
    [anon_sym_BSLASHref] = ACTIONS(7551),
    [anon_sym_BSLASHeqref] = ACTIONS(7551),
    [anon_sym_BSLASHvref] = ACTIONS(7551),
    [anon_sym_BSLASHVref] = ACTIONS(7551),
    [anon_sym_BSLASHautoref] = ACTIONS(7551),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHpageref] = ACTIONS(7551),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHautopageref] = ACTIONS(7551),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcref] = ACTIONS(7551),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCref] = ACTIONS(7551),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcpageref] = ACTIONS(7551),
    [anon_sym_BSLASHCpageref] = ACTIONS(7551),
    [anon_sym_BSLASHnamecref] = ACTIONS(7551),
    [anon_sym_BSLASHnameCref] = ACTIONS(7551),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7551),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7551),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7551),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7551),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7551),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7551),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7551),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7551),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7551),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7551),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7551),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHdef] = ACTIONS(7551),
    [anon_sym_BSLASHgdef] = ACTIONS(7551),
    [anon_sym_BSLASHedef] = ACTIONS(7551),
    [anon_sym_BSLASHxdef] = ACTIONS(7551),
    [anon_sym_BSLASHlet] = ACTIONS(7551),
    [anon_sym_BSLASHglet] = ACTIONS(7551),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7551),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7551),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7551),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7551),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7551),
    [anon_sym_BSLASHgls] = ACTIONS(7551),
    [anon_sym_BSLASHGls] = ACTIONS(7551),
    [anon_sym_BSLASHGLS] = ACTIONS(7551),
    [anon_sym_BSLASHglspl] = ACTIONS(7551),
    [anon_sym_BSLASHGlspl] = ACTIONS(7551),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7551),
    [anon_sym_BSLASHglslink] = ACTIONS(7551),
    [anon_sym_BSLASHglstext] = ACTIONS(7551),
    [anon_sym_BSLASHGlstext] = ACTIONS(7551),
    [anon_sym_BSLASHGLStext] = ACTIONS(7551),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7551),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7551),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7551),
    [anon_sym_BSLASHglsplural] = ACTIONS(7551),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7551),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7551),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHglsname] = ACTIONS(7551),
    [anon_sym_BSLASHGlsname] = ACTIONS(7551),
    [anon_sym_BSLASHGLSname] = ACTIONS(7551),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7551),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7551),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7551),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7551),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7551),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7551),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7551),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7551),
    [anon_sym_BSLASHacrshort] = ACTIONS(7551),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7551),
    [anon_sym_BSLASHACRshort] = ACTIONS(7551),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHacrlong] = ACTIONS(7551),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7551),
    [anon_sym_BSLASHACRlong] = ACTIONS(7551),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHacrfull] = ACTIONS(7551),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7551),
    [anon_sym_BSLASHACRfull] = ACTIONS(7551),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHacs] = ACTIONS(7551),
    [anon_sym_BSLASHAcs] = ACTIONS(7551),
    [anon_sym_BSLASHacsp] = ACTIONS(7551),
    [anon_sym_BSLASHAcsp] = ACTIONS(7551),
    [anon_sym_BSLASHacl] = ACTIONS(7551),
    [anon_sym_BSLASHAcl] = ACTIONS(7551),
    [anon_sym_BSLASHaclp] = ACTIONS(7551),
    [anon_sym_BSLASHAclp] = ACTIONS(7551),
    [anon_sym_BSLASHacf] = ACTIONS(7551),
    [anon_sym_BSLASHAcf] = ACTIONS(7551),
    [anon_sym_BSLASHacfp] = ACTIONS(7551),
    [anon_sym_BSLASHAcfp] = ACTIONS(7551),
    [anon_sym_BSLASHac] = ACTIONS(7551),
    [anon_sym_BSLASHAc] = ACTIONS(7551),
    [anon_sym_BSLASHacp] = ACTIONS(7551),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7551),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7551),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7551),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7551),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7551),
    [anon_sym_BSLASHcolor] = ACTIONS(7551),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7551),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7551),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7551),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7551),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7551),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7551),
    [anon_sym_BSLASHurl] = ACTIONS(7551),
    [anon_sym_BSLASHhref] = ACTIONS(7551),
  },
  [1100] = {
    [sym_command_name] = ACTIONS(6911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6911),
    [anon_sym_BSLASHfi] = ACTIONS(7795),
    [anon_sym_LBRACK] = ACTIONS(6915),
    [anon_sym_RBRACK] = ACTIONS(6915),
    [anon_sym_COMMA] = ACTIONS(6915),
    [anon_sym_EQ] = ACTIONS(6915),
    [anon_sym_LPAREN] = ACTIONS(6915),
    [anon_sym_RPAREN] = ACTIONS(6915),
    [anon_sym_BSLASHpart] = ACTIONS(6911),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHaddpart] = ACTIONS(6911),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHchapter] = ACTIONS(6911),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHaddchap] = ACTIONS(6911),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHsection] = ACTIONS(6911),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHaddsec] = ACTIONS(6911),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHsubsection] = ACTIONS(6911),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6911),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHparagraph] = ACTIONS(6911),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6911),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHitem] = ACTIONS(6911),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6915),
    [anon_sym_LBRACE] = ACTIONS(6915),
    [sym_word] = ACTIONS(6911),
    [sym_placeholder] = ACTIONS(6915),
    [sym_delimiter] = ACTIONS(6915),
    [anon_sym_PLUS] = ACTIONS(6915),
    [anon_sym_DASH] = ACTIONS(6915),
    [anon_sym_STAR] = ACTIONS(6915),
    [anon_sym_SLASH] = ACTIONS(6915),
    [anon_sym_LT] = ACTIONS(6911),
    [anon_sym_GT] = ACTIONS(6911),
    [anon_sym_BANG] = ACTIONS(6911),
    [anon_sym_PIPE] = ACTIONS(6911),
    [anon_sym_COLON] = ACTIONS(6911),
    [anon_sym_SQUOTE] = ACTIONS(6911),
    [anon_sym__] = ACTIONS(6915),
    [anon_sym_CARET] = ACTIONS(6915),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6915),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6915),
    [anon_sym_DOLLAR] = ACTIONS(6911),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6915),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6915),
    [anon_sym_BSLASHleft] = ACTIONS(6911),
    [anon_sym_BSLASHbigl] = ACTIONS(6911),
    [anon_sym_BSLASHBigl] = ACTIONS(6911),
    [anon_sym_BSLASHbiggl] = ACTIONS(6911),
    [anon_sym_BSLASHBiggl] = ACTIONS(6911),
    [anon_sym_BSLASHtext] = ACTIONS(6911),
    [anon_sym_BSLASHintertext] = ACTIONS(6911),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6911),
    [anon_sym_BSLASHbegin] = ACTIONS(6911),
    [anon_sym_BSLASHtitle] = ACTIONS(6911),
    [anon_sym_BSLASHauthor] = ACTIONS(6911),
    [anon_sym_BSLASHusepackage] = ACTIONS(6911),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6911),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6911),
    [anon_sym_BSLASHinclude] = ACTIONS(6911),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6911),
    [anon_sym_BSLASHinput] = ACTIONS(6911),
    [anon_sym_BSLASHsubfile] = ACTIONS(6911),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6911),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6911),
    [anon_sym_BSLASHbibliography] = ACTIONS(6911),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6911),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6911),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6911),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6911),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6911),
    [anon_sym_BSLASHimport] = ACTIONS(6911),
    [anon_sym_BSLASHsubimport] = ACTIONS(6911),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6911),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6911),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6911),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6911),
    [anon_sym_BSLASHcaption] = ACTIONS(6911),
    [anon_sym_BSLASHcite] = ACTIONS(6911),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCite] = ACTIONS(6911),
    [anon_sym_BSLASHnocite] = ACTIONS(6911),
    [anon_sym_BSLASHcitet] = ACTIONS(6911),
    [anon_sym_BSLASHcitep] = ACTIONS(6911),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteA] = ACTIONS(6911),
    [anon_sym_BSLASHciteR] = ACTIONS(6911),
    [anon_sym_BSLASHciteS] = ACTIONS(6911),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6911),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6911),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6911),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6911),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteyear] = ACTIONS(6911),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitedate] = ACTIONS(6911),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteurl] = ACTIONS(6911),
    [anon_sym_BSLASHfullcite] = ACTIONS(6911),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6911),
    [anon_sym_BSLASHcitealt] = ACTIONS(6911),
    [anon_sym_BSLASHcitealp] = ACTIONS(6911),
    [anon_sym_BSLASHcitetext] = ACTIONS(6911),
    [anon_sym_BSLASHparencite] = ACTIONS(6911),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHParencite] = ACTIONS(6911),
    [anon_sym_BSLASHfootcite] = ACTIONS(6911),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6911),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6911),
    [anon_sym_BSLASHtextcite] = ACTIONS(6911),
    [anon_sym_BSLASHTextcite] = ACTIONS(6911),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6911),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6911),
    [anon_sym_BSLASHsupercite] = ACTIONS(6911),
    [anon_sym_BSLASHautocite] = ACTIONS(6911),
    [anon_sym_BSLASHAutocite] = ACTIONS(6911),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHVolcite] = ACTIONS(6911),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHavolcite] = ACTIONS(6911),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHNotecite] = ACTIONS(6911),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHlabel] = ACTIONS(6911),
    [anon_sym_BSLASHref] = ACTIONS(6911),
    [anon_sym_BSLASHeqref] = ACTIONS(6911),
    [anon_sym_BSLASHvref] = ACTIONS(6911),
    [anon_sym_BSLASHVref] = ACTIONS(6911),
    [anon_sym_BSLASHautoref] = ACTIONS(6911),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHpageref] = ACTIONS(6911),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHautopageref] = ACTIONS(6911),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcref] = ACTIONS(6911),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCref] = ACTIONS(6911),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcpageref] = ACTIONS(6911),
    [anon_sym_BSLASHCpageref] = ACTIONS(6911),
    [anon_sym_BSLASHnamecref] = ACTIONS(6911),
    [anon_sym_BSLASHnameCref] = ACTIONS(6911),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6911),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6911),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6911),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6911),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6911),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6911),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6911),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6911),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6911),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6911),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6911),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHdef] = ACTIONS(6911),
    [anon_sym_BSLASHgdef] = ACTIONS(6911),
    [anon_sym_BSLASHedef] = ACTIONS(6911),
    [anon_sym_BSLASHxdef] = ACTIONS(6911),
    [anon_sym_BSLASHlet] = ACTIONS(6911),
    [anon_sym_BSLASHglet] = ACTIONS(6911),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6911),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6911),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6911),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6911),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6911),
    [anon_sym_BSLASHgls] = ACTIONS(6911),
    [anon_sym_BSLASHGls] = ACTIONS(6911),
    [anon_sym_BSLASHGLS] = ACTIONS(6911),
    [anon_sym_BSLASHglspl] = ACTIONS(6911),
    [anon_sym_BSLASHGlspl] = ACTIONS(6911),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6911),
    [anon_sym_BSLASHglslink] = ACTIONS(6911),
    [anon_sym_BSLASHglstext] = ACTIONS(6911),
    [anon_sym_BSLASHGlstext] = ACTIONS(6911),
    [anon_sym_BSLASHGLStext] = ACTIONS(6911),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6911),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6911),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6911),
    [anon_sym_BSLASHglsplural] = ACTIONS(6911),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6911),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6911),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHglsname] = ACTIONS(6911),
    [anon_sym_BSLASHGlsname] = ACTIONS(6911),
    [anon_sym_BSLASHGLSname] = ACTIONS(6911),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6911),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6911),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6911),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6911),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6911),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6911),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6911),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6911),
    [anon_sym_BSLASHacrshort] = ACTIONS(6911),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6911),
    [anon_sym_BSLASHACRshort] = ACTIONS(6911),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHacrlong] = ACTIONS(6911),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6911),
    [anon_sym_BSLASHACRlong] = ACTIONS(6911),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHacrfull] = ACTIONS(6911),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6911),
    [anon_sym_BSLASHACRfull] = ACTIONS(6911),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHacs] = ACTIONS(6911),
    [anon_sym_BSLASHAcs] = ACTIONS(6911),
    [anon_sym_BSLASHacsp] = ACTIONS(6911),
    [anon_sym_BSLASHAcsp] = ACTIONS(6911),
    [anon_sym_BSLASHacl] = ACTIONS(6911),
    [anon_sym_BSLASHAcl] = ACTIONS(6911),
    [anon_sym_BSLASHaclp] = ACTIONS(6911),
    [anon_sym_BSLASHAclp] = ACTIONS(6911),
    [anon_sym_BSLASHacf] = ACTIONS(6911),
    [anon_sym_BSLASHAcf] = ACTIONS(6911),
    [anon_sym_BSLASHacfp] = ACTIONS(6911),
    [anon_sym_BSLASHAcfp] = ACTIONS(6911),
    [anon_sym_BSLASHac] = ACTIONS(6911),
    [anon_sym_BSLASHAc] = ACTIONS(6911),
    [anon_sym_BSLASHacp] = ACTIONS(6911),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6911),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6911),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6911),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6911),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6911),
    [anon_sym_BSLASHcolor] = ACTIONS(6911),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6911),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6911),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6911),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6911),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6911),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6911),
    [anon_sym_BSLASHurl] = ACTIONS(6911),
    [anon_sym_BSLASHhref] = ACTIONS(6911),
  },
  [1101] = {
    [sym_brack_group_text] = STATE(1451),
    [sym_command_name] = ACTIONS(6927),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6927),
    [anon_sym_LBRACK] = ACTIONS(7785),
    [anon_sym_RBRACK] = ACTIONS(6929),
    [anon_sym_COMMA] = ACTIONS(6929),
    [anon_sym_EQ] = ACTIONS(6929),
    [anon_sym_LPAREN] = ACTIONS(6929),
    [anon_sym_RPAREN] = ACTIONS(6929),
    [anon_sym_BSLASHpart] = ACTIONS(6927),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHaddpart] = ACTIONS(6927),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHchapter] = ACTIONS(6927),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHaddchap] = ACTIONS(6927),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHsection] = ACTIONS(6927),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHaddsec] = ACTIONS(6927),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHsubsection] = ACTIONS(6927),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6927),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHparagraph] = ACTIONS(6927),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6927),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHitem] = ACTIONS(6927),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6929),
    [anon_sym_LBRACE] = ACTIONS(6929),
    [sym_word] = ACTIONS(6927),
    [sym_placeholder] = ACTIONS(6929),
    [sym_delimiter] = ACTIONS(6929),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_STAR] = ACTIONS(6929),
    [anon_sym_SLASH] = ACTIONS(6929),
    [anon_sym_LT] = ACTIONS(6927),
    [anon_sym_GT] = ACTIONS(6927),
    [anon_sym_BANG] = ACTIONS(6927),
    [anon_sym_PIPE] = ACTIONS(6927),
    [anon_sym_COLON] = ACTIONS(6927),
    [anon_sym_SQUOTE] = ACTIONS(6927),
    [anon_sym__] = ACTIONS(6929),
    [anon_sym_CARET] = ACTIONS(6929),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6929),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6929),
    [anon_sym_DOLLAR] = ACTIONS(6927),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6929),
    [anon_sym_BSLASHleft] = ACTIONS(6927),
    [anon_sym_BSLASHbigl] = ACTIONS(6927),
    [anon_sym_BSLASHBigl] = ACTIONS(6927),
    [anon_sym_BSLASHbiggl] = ACTIONS(6927),
    [anon_sym_BSLASHBiggl] = ACTIONS(6927),
    [anon_sym_BSLASHtext] = ACTIONS(6927),
    [anon_sym_BSLASHintertext] = ACTIONS(6927),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6927),
    [anon_sym_BSLASHbegin] = ACTIONS(6927),
    [anon_sym_BSLASHend] = ACTIONS(6927),
    [anon_sym_BSLASHtitle] = ACTIONS(6927),
    [anon_sym_BSLASHauthor] = ACTIONS(6927),
    [anon_sym_BSLASHusepackage] = ACTIONS(6927),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6927),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6927),
    [anon_sym_BSLASHinclude] = ACTIONS(6927),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6927),
    [anon_sym_BSLASHinput] = ACTIONS(6927),
    [anon_sym_BSLASHsubfile] = ACTIONS(6927),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6927),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6927),
    [anon_sym_BSLASHbibliography] = ACTIONS(6927),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6927),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6927),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6927),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6927),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6927),
    [anon_sym_BSLASHimport] = ACTIONS(6927),
    [anon_sym_BSLASHsubimport] = ACTIONS(6927),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6927),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6927),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6927),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6927),
    [anon_sym_BSLASHcaption] = ACTIONS(6927),
    [anon_sym_BSLASHcite] = ACTIONS(6927),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHCite] = ACTIONS(6927),
    [anon_sym_BSLASHnocite] = ACTIONS(6927),
    [anon_sym_BSLASHcitet] = ACTIONS(6927),
    [anon_sym_BSLASHcitep] = ACTIONS(6927),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHciteA] = ACTIONS(6927),
    [anon_sym_BSLASHciteR] = ACTIONS(6927),
    [anon_sym_BSLASHciteS] = ACTIONS(6927),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6927),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6927),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6927),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6927),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHciteyear] = ACTIONS(6927),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcitedate] = ACTIONS(6927),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHciteurl] = ACTIONS(6927),
    [anon_sym_BSLASHfullcite] = ACTIONS(6927),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6927),
    [anon_sym_BSLASHcitealt] = ACTIONS(6927),
    [anon_sym_BSLASHcitealp] = ACTIONS(6927),
    [anon_sym_BSLASHcitetext] = ACTIONS(6927),
    [anon_sym_BSLASHparencite] = ACTIONS(6927),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHParencite] = ACTIONS(6927),
    [anon_sym_BSLASHfootcite] = ACTIONS(6927),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6927),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6927),
    [anon_sym_BSLASHtextcite] = ACTIONS(6927),
    [anon_sym_BSLASHTextcite] = ACTIONS(6927),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6927),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6927),
    [anon_sym_BSLASHsupercite] = ACTIONS(6927),
    [anon_sym_BSLASHautocite] = ACTIONS(6927),
    [anon_sym_BSLASHAutocite] = ACTIONS(6927),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHVolcite] = ACTIONS(6927),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHavolcite] = ACTIONS(6927),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHnotecite] = ACTIONS(6927),
    [anon_sym_BSLASHNotecite] = ACTIONS(6927),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6927),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6927),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6927),
    [anon_sym_BSLASHlabel] = ACTIONS(6927),
    [anon_sym_BSLASHref] = ACTIONS(6927),
    [anon_sym_BSLASHeqref] = ACTIONS(6927),
    [anon_sym_BSLASHvref] = ACTIONS(6927),
    [anon_sym_BSLASHVref] = ACTIONS(6927),
    [anon_sym_BSLASHautoref] = ACTIONS(6927),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHpageref] = ACTIONS(6927),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHautopageref] = ACTIONS(6927),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcref] = ACTIONS(6927),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHCref] = ACTIONS(6927),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcpageref] = ACTIONS(6927),
    [anon_sym_BSLASHCpageref] = ACTIONS(6927),
    [anon_sym_BSLASHnamecref] = ACTIONS(6927),
    [anon_sym_BSLASHnameCref] = ACTIONS(6927),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6927),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6927),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6927),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6927),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6927),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6927),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6927),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6927),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6927),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6927),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6927),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6927),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6927),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6927),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6927),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6927),
    [anon_sym_BSLASHdef] = ACTIONS(6927),
    [anon_sym_BSLASHgdef] = ACTIONS(6927),
    [anon_sym_BSLASHedef] = ACTIONS(6927),
    [anon_sym_BSLASHxdef] = ACTIONS(6927),
    [anon_sym_BSLASHlet] = ACTIONS(6927),
    [anon_sym_BSLASHglet] = ACTIONS(6927),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6927),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6927),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6927),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6927),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6927),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6927),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6927),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6927),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6927),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6927),
    [anon_sym_BSLASHgls] = ACTIONS(6927),
    [anon_sym_BSLASHGls] = ACTIONS(6927),
    [anon_sym_BSLASHGLS] = ACTIONS(6927),
    [anon_sym_BSLASHglspl] = ACTIONS(6927),
    [anon_sym_BSLASHGlspl] = ACTIONS(6927),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6927),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6927),
    [anon_sym_BSLASHglslink] = ACTIONS(6927),
    [anon_sym_BSLASHglstext] = ACTIONS(6927),
    [anon_sym_BSLASHGlstext] = ACTIONS(6927),
    [anon_sym_BSLASHGLStext] = ACTIONS(6927),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6927),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6927),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6927),
    [anon_sym_BSLASHglsplural] = ACTIONS(6927),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6927),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6927),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6927),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6927),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6927),
    [anon_sym_BSLASHglsname] = ACTIONS(6927),
    [anon_sym_BSLASHGlsname] = ACTIONS(6927),
    [anon_sym_BSLASHGLSname] = ACTIONS(6927),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6927),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6927),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6927),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6927),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6927),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6927),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6927),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6927),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6927),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6927),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6927),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6927),
    [anon_sym_BSLASHacrshort] = ACTIONS(6927),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6927),
    [anon_sym_BSLASHACRshort] = ACTIONS(6927),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6927),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6927),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6927),
    [anon_sym_BSLASHacrlong] = ACTIONS(6927),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6927),
    [anon_sym_BSLASHACRlong] = ACTIONS(6927),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6927),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6927),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6927),
    [anon_sym_BSLASHacrfull] = ACTIONS(6927),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6927),
    [anon_sym_BSLASHACRfull] = ACTIONS(6927),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6927),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6927),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6927),
    [anon_sym_BSLASHacs] = ACTIONS(6927),
    [anon_sym_BSLASHAcs] = ACTIONS(6927),
    [anon_sym_BSLASHacsp] = ACTIONS(6927),
    [anon_sym_BSLASHAcsp] = ACTIONS(6927),
    [anon_sym_BSLASHacl] = ACTIONS(6927),
    [anon_sym_BSLASHAcl] = ACTIONS(6927),
    [anon_sym_BSLASHaclp] = ACTIONS(6927),
    [anon_sym_BSLASHAclp] = ACTIONS(6927),
    [anon_sym_BSLASHacf] = ACTIONS(6927),
    [anon_sym_BSLASHAcf] = ACTIONS(6927),
    [anon_sym_BSLASHacfp] = ACTIONS(6927),
    [anon_sym_BSLASHAcfp] = ACTIONS(6927),
    [anon_sym_BSLASHac] = ACTIONS(6927),
    [anon_sym_BSLASHAc] = ACTIONS(6927),
    [anon_sym_BSLASHacp] = ACTIONS(6927),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6927),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6927),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6927),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6927),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6927),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6927),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6927),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6927),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6927),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6927),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6927),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6927),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6927),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6927),
    [anon_sym_BSLASHcolor] = ACTIONS(6927),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6927),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6927),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6927),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6927),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6927),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6927),
    [anon_sym_BSLASHurl] = ACTIONS(6927),
    [anon_sym_BSLASHhref] = ACTIONS(6927),
  },
  [1102] = {
    [ts_builtin_sym_end] = ACTIONS(7557),
    [sym_command_name] = ACTIONS(7555),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7555),
    [anon_sym_LBRACK] = ACTIONS(7557),
    [anon_sym_RBRACK] = ACTIONS(7557),
    [anon_sym_COMMA] = ACTIONS(7557),
    [anon_sym_EQ] = ACTIONS(7557),
    [anon_sym_LPAREN] = ACTIONS(7557),
    [anon_sym_RPAREN] = ACTIONS(7557),
    [anon_sym_BSLASHpart] = ACTIONS(7555),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHaddpart] = ACTIONS(7555),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHchapter] = ACTIONS(7555),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHaddchap] = ACTIONS(7555),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHsection] = ACTIONS(7555),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHaddsec] = ACTIONS(7555),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHsubsection] = ACTIONS(7555),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7555),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHparagraph] = ACTIONS(7555),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7555),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHitem] = ACTIONS(7555),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7557),
    [anon_sym_LBRACE] = ACTIONS(7557),
    [anon_sym_RBRACE] = ACTIONS(7557),
    [sym_word] = ACTIONS(7555),
    [sym_placeholder] = ACTIONS(7557),
    [sym_delimiter] = ACTIONS(7557),
    [anon_sym_PLUS] = ACTIONS(7557),
    [anon_sym_DASH] = ACTIONS(7557),
    [anon_sym_STAR] = ACTIONS(7557),
    [anon_sym_SLASH] = ACTIONS(7557),
    [anon_sym_LT] = ACTIONS(7555),
    [anon_sym_GT] = ACTIONS(7555),
    [anon_sym_BANG] = ACTIONS(7555),
    [anon_sym_PIPE] = ACTIONS(7555),
    [anon_sym_COLON] = ACTIONS(7555),
    [anon_sym_SQUOTE] = ACTIONS(7555),
    [anon_sym__] = ACTIONS(7557),
    [anon_sym_CARET] = ACTIONS(7557),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7557),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7557),
    [anon_sym_DOLLAR] = ACTIONS(7555),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7557),
    [anon_sym_BSLASHleft] = ACTIONS(7555),
    [anon_sym_BSLASHbigl] = ACTIONS(7555),
    [anon_sym_BSLASHBigl] = ACTIONS(7555),
    [anon_sym_BSLASHbiggl] = ACTIONS(7555),
    [anon_sym_BSLASHBiggl] = ACTIONS(7555),
    [anon_sym_BSLASHtext] = ACTIONS(7555),
    [anon_sym_BSLASHintertext] = ACTIONS(7555),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7555),
    [anon_sym_BSLASHbegin] = ACTIONS(7555),
    [anon_sym_BSLASHtitle] = ACTIONS(7555),
    [anon_sym_BSLASHauthor] = ACTIONS(7555),
    [anon_sym_BSLASHusepackage] = ACTIONS(7555),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7555),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7555),
    [anon_sym_BSLASHinclude] = ACTIONS(7555),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7555),
    [anon_sym_BSLASHinput] = ACTIONS(7555),
    [anon_sym_BSLASHsubfile] = ACTIONS(7555),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7555),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7555),
    [anon_sym_BSLASHbibliography] = ACTIONS(7555),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7555),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7555),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7555),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7555),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7555),
    [anon_sym_BSLASHimport] = ACTIONS(7555),
    [anon_sym_BSLASHsubimport] = ACTIONS(7555),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7555),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7555),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7555),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7555),
    [anon_sym_BSLASHcaption] = ACTIONS(7555),
    [anon_sym_BSLASHcite] = ACTIONS(7555),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCite] = ACTIONS(7555),
    [anon_sym_BSLASHnocite] = ACTIONS(7555),
    [anon_sym_BSLASHcitet] = ACTIONS(7555),
    [anon_sym_BSLASHcitep] = ACTIONS(7555),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteA] = ACTIONS(7555),
    [anon_sym_BSLASHciteR] = ACTIONS(7555),
    [anon_sym_BSLASHciteS] = ACTIONS(7555),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7555),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7555),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7555),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7555),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteyear] = ACTIONS(7555),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitedate] = ACTIONS(7555),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteurl] = ACTIONS(7555),
    [anon_sym_BSLASHfullcite] = ACTIONS(7555),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7555),
    [anon_sym_BSLASHcitealt] = ACTIONS(7555),
    [anon_sym_BSLASHcitealp] = ACTIONS(7555),
    [anon_sym_BSLASHcitetext] = ACTIONS(7555),
    [anon_sym_BSLASHparencite] = ACTIONS(7555),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHParencite] = ACTIONS(7555),
    [anon_sym_BSLASHfootcite] = ACTIONS(7555),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7555),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7555),
    [anon_sym_BSLASHtextcite] = ACTIONS(7555),
    [anon_sym_BSLASHTextcite] = ACTIONS(7555),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7555),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7555),
    [anon_sym_BSLASHsupercite] = ACTIONS(7555),
    [anon_sym_BSLASHautocite] = ACTIONS(7555),
    [anon_sym_BSLASHAutocite] = ACTIONS(7555),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHVolcite] = ACTIONS(7555),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHavolcite] = ACTIONS(7555),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHNotecite] = ACTIONS(7555),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHlabel] = ACTIONS(7555),
    [anon_sym_BSLASHref] = ACTIONS(7555),
    [anon_sym_BSLASHeqref] = ACTIONS(7555),
    [anon_sym_BSLASHvref] = ACTIONS(7555),
    [anon_sym_BSLASHVref] = ACTIONS(7555),
    [anon_sym_BSLASHautoref] = ACTIONS(7555),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHpageref] = ACTIONS(7555),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHautopageref] = ACTIONS(7555),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcref] = ACTIONS(7555),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCref] = ACTIONS(7555),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcpageref] = ACTIONS(7555),
    [anon_sym_BSLASHCpageref] = ACTIONS(7555),
    [anon_sym_BSLASHnamecref] = ACTIONS(7555),
    [anon_sym_BSLASHnameCref] = ACTIONS(7555),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7555),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7555),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7555),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7555),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7555),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7555),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7555),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7555),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7555),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7555),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7555),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHdef] = ACTIONS(7555),
    [anon_sym_BSLASHgdef] = ACTIONS(7555),
    [anon_sym_BSLASHedef] = ACTIONS(7555),
    [anon_sym_BSLASHxdef] = ACTIONS(7555),
    [anon_sym_BSLASHlet] = ACTIONS(7555),
    [anon_sym_BSLASHglet] = ACTIONS(7555),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7555),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7555),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7555),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7555),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7555),
    [anon_sym_BSLASHgls] = ACTIONS(7555),
    [anon_sym_BSLASHGls] = ACTIONS(7555),
    [anon_sym_BSLASHGLS] = ACTIONS(7555),
    [anon_sym_BSLASHglspl] = ACTIONS(7555),
    [anon_sym_BSLASHGlspl] = ACTIONS(7555),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7555),
    [anon_sym_BSLASHglslink] = ACTIONS(7555),
    [anon_sym_BSLASHglstext] = ACTIONS(7555),
    [anon_sym_BSLASHGlstext] = ACTIONS(7555),
    [anon_sym_BSLASHGLStext] = ACTIONS(7555),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7555),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7555),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7555),
    [anon_sym_BSLASHglsplural] = ACTIONS(7555),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7555),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7555),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHglsname] = ACTIONS(7555),
    [anon_sym_BSLASHGlsname] = ACTIONS(7555),
    [anon_sym_BSLASHGLSname] = ACTIONS(7555),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7555),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7555),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7555),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7555),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7555),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7555),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7555),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7555),
    [anon_sym_BSLASHacrshort] = ACTIONS(7555),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7555),
    [anon_sym_BSLASHACRshort] = ACTIONS(7555),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHacrlong] = ACTIONS(7555),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7555),
    [anon_sym_BSLASHACRlong] = ACTIONS(7555),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHacrfull] = ACTIONS(7555),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7555),
    [anon_sym_BSLASHACRfull] = ACTIONS(7555),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHacs] = ACTIONS(7555),
    [anon_sym_BSLASHAcs] = ACTIONS(7555),
    [anon_sym_BSLASHacsp] = ACTIONS(7555),
    [anon_sym_BSLASHAcsp] = ACTIONS(7555),
    [anon_sym_BSLASHacl] = ACTIONS(7555),
    [anon_sym_BSLASHAcl] = ACTIONS(7555),
    [anon_sym_BSLASHaclp] = ACTIONS(7555),
    [anon_sym_BSLASHAclp] = ACTIONS(7555),
    [anon_sym_BSLASHacf] = ACTIONS(7555),
    [anon_sym_BSLASHAcf] = ACTIONS(7555),
    [anon_sym_BSLASHacfp] = ACTIONS(7555),
    [anon_sym_BSLASHAcfp] = ACTIONS(7555),
    [anon_sym_BSLASHac] = ACTIONS(7555),
    [anon_sym_BSLASHAc] = ACTIONS(7555),
    [anon_sym_BSLASHacp] = ACTIONS(7555),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7555),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7555),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7555),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7555),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7555),
    [anon_sym_BSLASHcolor] = ACTIONS(7555),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7555),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7555),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7555),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7555),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7555),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7555),
    [anon_sym_BSLASHurl] = ACTIONS(7555),
    [anon_sym_BSLASHhref] = ACTIONS(7555),
  },
  [1103] = {
    [ts_builtin_sym_end] = ACTIONS(7561),
    [sym_command_name] = ACTIONS(7559),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7559),
    [anon_sym_LBRACK] = ACTIONS(7561),
    [anon_sym_RBRACK] = ACTIONS(7561),
    [anon_sym_COMMA] = ACTIONS(7561),
    [anon_sym_EQ] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7561),
    [anon_sym_RPAREN] = ACTIONS(7561),
    [anon_sym_BSLASHpart] = ACTIONS(7559),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHaddpart] = ACTIONS(7559),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHchapter] = ACTIONS(7559),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHaddchap] = ACTIONS(7559),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHsection] = ACTIONS(7559),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHaddsec] = ACTIONS(7559),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHsubsection] = ACTIONS(7559),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7559),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHparagraph] = ACTIONS(7559),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7559),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHitem] = ACTIONS(7559),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7561),
    [anon_sym_LBRACE] = ACTIONS(7561),
    [anon_sym_RBRACE] = ACTIONS(7561),
    [sym_word] = ACTIONS(7559),
    [sym_placeholder] = ACTIONS(7561),
    [sym_delimiter] = ACTIONS(7561),
    [anon_sym_PLUS] = ACTIONS(7561),
    [anon_sym_DASH] = ACTIONS(7561),
    [anon_sym_STAR] = ACTIONS(7561),
    [anon_sym_SLASH] = ACTIONS(7561),
    [anon_sym_LT] = ACTIONS(7559),
    [anon_sym_GT] = ACTIONS(7559),
    [anon_sym_BANG] = ACTIONS(7559),
    [anon_sym_PIPE] = ACTIONS(7559),
    [anon_sym_COLON] = ACTIONS(7559),
    [anon_sym_SQUOTE] = ACTIONS(7559),
    [anon_sym__] = ACTIONS(7561),
    [anon_sym_CARET] = ACTIONS(7561),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7561),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7561),
    [anon_sym_DOLLAR] = ACTIONS(7559),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7561),
    [anon_sym_BSLASHleft] = ACTIONS(7559),
    [anon_sym_BSLASHbigl] = ACTIONS(7559),
    [anon_sym_BSLASHBigl] = ACTIONS(7559),
    [anon_sym_BSLASHbiggl] = ACTIONS(7559),
    [anon_sym_BSLASHBiggl] = ACTIONS(7559),
    [anon_sym_BSLASHtext] = ACTIONS(7559),
    [anon_sym_BSLASHintertext] = ACTIONS(7559),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7559),
    [anon_sym_BSLASHbegin] = ACTIONS(7559),
    [anon_sym_BSLASHtitle] = ACTIONS(7559),
    [anon_sym_BSLASHauthor] = ACTIONS(7559),
    [anon_sym_BSLASHusepackage] = ACTIONS(7559),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7559),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7559),
    [anon_sym_BSLASHinclude] = ACTIONS(7559),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7559),
    [anon_sym_BSLASHinput] = ACTIONS(7559),
    [anon_sym_BSLASHsubfile] = ACTIONS(7559),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7559),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7559),
    [anon_sym_BSLASHbibliography] = ACTIONS(7559),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7559),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7559),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7559),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7559),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7559),
    [anon_sym_BSLASHimport] = ACTIONS(7559),
    [anon_sym_BSLASHsubimport] = ACTIONS(7559),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7559),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7559),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7559),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7559),
    [anon_sym_BSLASHcaption] = ACTIONS(7559),
    [anon_sym_BSLASHcite] = ACTIONS(7559),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCite] = ACTIONS(7559),
    [anon_sym_BSLASHnocite] = ACTIONS(7559),
    [anon_sym_BSLASHcitet] = ACTIONS(7559),
    [anon_sym_BSLASHcitep] = ACTIONS(7559),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteA] = ACTIONS(7559),
    [anon_sym_BSLASHciteR] = ACTIONS(7559),
    [anon_sym_BSLASHciteS] = ACTIONS(7559),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7559),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7559),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7559),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7559),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteyear] = ACTIONS(7559),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitedate] = ACTIONS(7559),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteurl] = ACTIONS(7559),
    [anon_sym_BSLASHfullcite] = ACTIONS(7559),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7559),
    [anon_sym_BSLASHcitealt] = ACTIONS(7559),
    [anon_sym_BSLASHcitealp] = ACTIONS(7559),
    [anon_sym_BSLASHcitetext] = ACTIONS(7559),
    [anon_sym_BSLASHparencite] = ACTIONS(7559),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHParencite] = ACTIONS(7559),
    [anon_sym_BSLASHfootcite] = ACTIONS(7559),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7559),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7559),
    [anon_sym_BSLASHtextcite] = ACTIONS(7559),
    [anon_sym_BSLASHTextcite] = ACTIONS(7559),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7559),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7559),
    [anon_sym_BSLASHsupercite] = ACTIONS(7559),
    [anon_sym_BSLASHautocite] = ACTIONS(7559),
    [anon_sym_BSLASHAutocite] = ACTIONS(7559),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHVolcite] = ACTIONS(7559),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHavolcite] = ACTIONS(7559),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHNotecite] = ACTIONS(7559),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHlabel] = ACTIONS(7559),
    [anon_sym_BSLASHref] = ACTIONS(7559),
    [anon_sym_BSLASHeqref] = ACTIONS(7559),
    [anon_sym_BSLASHvref] = ACTIONS(7559),
    [anon_sym_BSLASHVref] = ACTIONS(7559),
    [anon_sym_BSLASHautoref] = ACTIONS(7559),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHpageref] = ACTIONS(7559),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHautopageref] = ACTIONS(7559),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcref] = ACTIONS(7559),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCref] = ACTIONS(7559),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcpageref] = ACTIONS(7559),
    [anon_sym_BSLASHCpageref] = ACTIONS(7559),
    [anon_sym_BSLASHnamecref] = ACTIONS(7559),
    [anon_sym_BSLASHnameCref] = ACTIONS(7559),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7559),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7559),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7559),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7559),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7559),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7559),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7559),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7559),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7559),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7559),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7559),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHdef] = ACTIONS(7559),
    [anon_sym_BSLASHgdef] = ACTIONS(7559),
    [anon_sym_BSLASHedef] = ACTIONS(7559),
    [anon_sym_BSLASHxdef] = ACTIONS(7559),
    [anon_sym_BSLASHlet] = ACTIONS(7559),
    [anon_sym_BSLASHglet] = ACTIONS(7559),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7559),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7559),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7559),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7559),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7559),
    [anon_sym_BSLASHgls] = ACTIONS(7559),
    [anon_sym_BSLASHGls] = ACTIONS(7559),
    [anon_sym_BSLASHGLS] = ACTIONS(7559),
    [anon_sym_BSLASHglspl] = ACTIONS(7559),
    [anon_sym_BSLASHGlspl] = ACTIONS(7559),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7559),
    [anon_sym_BSLASHglslink] = ACTIONS(7559),
    [anon_sym_BSLASHglstext] = ACTIONS(7559),
    [anon_sym_BSLASHGlstext] = ACTIONS(7559),
    [anon_sym_BSLASHGLStext] = ACTIONS(7559),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7559),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7559),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7559),
    [anon_sym_BSLASHglsplural] = ACTIONS(7559),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7559),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7559),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHglsname] = ACTIONS(7559),
    [anon_sym_BSLASHGlsname] = ACTIONS(7559),
    [anon_sym_BSLASHGLSname] = ACTIONS(7559),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7559),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7559),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7559),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7559),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7559),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7559),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7559),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7559),
    [anon_sym_BSLASHacrshort] = ACTIONS(7559),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7559),
    [anon_sym_BSLASHACRshort] = ACTIONS(7559),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHacrlong] = ACTIONS(7559),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7559),
    [anon_sym_BSLASHACRlong] = ACTIONS(7559),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHacrfull] = ACTIONS(7559),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7559),
    [anon_sym_BSLASHACRfull] = ACTIONS(7559),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHacs] = ACTIONS(7559),
    [anon_sym_BSLASHAcs] = ACTIONS(7559),
    [anon_sym_BSLASHacsp] = ACTIONS(7559),
    [anon_sym_BSLASHAcsp] = ACTIONS(7559),
    [anon_sym_BSLASHacl] = ACTIONS(7559),
    [anon_sym_BSLASHAcl] = ACTIONS(7559),
    [anon_sym_BSLASHaclp] = ACTIONS(7559),
    [anon_sym_BSLASHAclp] = ACTIONS(7559),
    [anon_sym_BSLASHacf] = ACTIONS(7559),
    [anon_sym_BSLASHAcf] = ACTIONS(7559),
    [anon_sym_BSLASHacfp] = ACTIONS(7559),
    [anon_sym_BSLASHAcfp] = ACTIONS(7559),
    [anon_sym_BSLASHac] = ACTIONS(7559),
    [anon_sym_BSLASHAc] = ACTIONS(7559),
    [anon_sym_BSLASHacp] = ACTIONS(7559),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7559),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7559),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7559),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7559),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7559),
    [anon_sym_BSLASHcolor] = ACTIONS(7559),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7559),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7559),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7559),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7559),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7559),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7559),
    [anon_sym_BSLASHurl] = ACTIONS(7559),
    [anon_sym_BSLASHhref] = ACTIONS(7559),
  },
  [1104] = {
    [sym_brack_group_text] = STATE(1370),
    [sym_command_name] = ACTIONS(6931),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6931),
    [anon_sym_LBRACK] = ACTIONS(7797),
    [anon_sym_RBRACK] = ACTIONS(6933),
    [anon_sym_COMMA] = ACTIONS(6933),
    [anon_sym_EQ] = ACTIONS(6933),
    [anon_sym_LPAREN] = ACTIONS(6933),
    [anon_sym_RPAREN] = ACTIONS(6933),
    [anon_sym_BSLASHpart] = ACTIONS(6931),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHaddpart] = ACTIONS(6931),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHchapter] = ACTIONS(6931),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHaddchap] = ACTIONS(6931),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHsection] = ACTIONS(6931),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHaddsec] = ACTIONS(6931),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHsubsection] = ACTIONS(6931),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6931),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHparagraph] = ACTIONS(6931),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6931),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHitem] = ACTIONS(6931),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6933),
    [anon_sym_LBRACE] = ACTIONS(6933),
    [sym_word] = ACTIONS(6931),
    [sym_placeholder] = ACTIONS(6933),
    [sym_delimiter] = ACTIONS(6933),
    [anon_sym_PLUS] = ACTIONS(6933),
    [anon_sym_DASH] = ACTIONS(6933),
    [anon_sym_STAR] = ACTIONS(6933),
    [anon_sym_SLASH] = ACTIONS(6933),
    [anon_sym_LT] = ACTIONS(6931),
    [anon_sym_GT] = ACTIONS(6931),
    [anon_sym_BANG] = ACTIONS(6931),
    [anon_sym_PIPE] = ACTIONS(6931),
    [anon_sym_COLON] = ACTIONS(6931),
    [anon_sym_SQUOTE] = ACTIONS(6931),
    [anon_sym__] = ACTIONS(6933),
    [anon_sym_CARET] = ACTIONS(6933),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6933),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6933),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6933),
    [anon_sym_DOLLAR] = ACTIONS(6931),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6933),
    [anon_sym_BSLASHleft] = ACTIONS(6931),
    [anon_sym_BSLASHbigl] = ACTIONS(6931),
    [anon_sym_BSLASHBigl] = ACTIONS(6931),
    [anon_sym_BSLASHbiggl] = ACTIONS(6931),
    [anon_sym_BSLASHBiggl] = ACTIONS(6931),
    [anon_sym_BSLASHtext] = ACTIONS(6931),
    [anon_sym_BSLASHintertext] = ACTIONS(6931),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6931),
    [anon_sym_BSLASHbegin] = ACTIONS(6931),
    [anon_sym_BSLASHtitle] = ACTIONS(6931),
    [anon_sym_BSLASHauthor] = ACTIONS(6931),
    [anon_sym_BSLASHusepackage] = ACTIONS(6931),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6931),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6931),
    [anon_sym_BSLASHinclude] = ACTIONS(6931),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6931),
    [anon_sym_BSLASHinput] = ACTIONS(6931),
    [anon_sym_BSLASHsubfile] = ACTIONS(6931),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6931),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6931),
    [anon_sym_BSLASHbibliography] = ACTIONS(6931),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6931),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6931),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6931),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6931),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6931),
    [anon_sym_BSLASHimport] = ACTIONS(6931),
    [anon_sym_BSLASHsubimport] = ACTIONS(6931),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6931),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6931),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6931),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6931),
    [anon_sym_BSLASHcaption] = ACTIONS(6931),
    [anon_sym_BSLASHcite] = ACTIONS(6931),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCite] = ACTIONS(6931),
    [anon_sym_BSLASHnocite] = ACTIONS(6931),
    [anon_sym_BSLASHcitet] = ACTIONS(6931),
    [anon_sym_BSLASHcitep] = ACTIONS(6931),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteA] = ACTIONS(6931),
    [anon_sym_BSLASHciteR] = ACTIONS(6931),
    [anon_sym_BSLASHciteS] = ACTIONS(6931),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6931),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6931),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6931),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6931),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteyear] = ACTIONS(6931),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitedate] = ACTIONS(6931),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteurl] = ACTIONS(6931),
    [anon_sym_BSLASHfullcite] = ACTIONS(6931),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6931),
    [anon_sym_BSLASHcitealt] = ACTIONS(6931),
    [anon_sym_BSLASHcitealp] = ACTIONS(6931),
    [anon_sym_BSLASHcitetext] = ACTIONS(6931),
    [anon_sym_BSLASHparencite] = ACTIONS(6931),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHParencite] = ACTIONS(6931),
    [anon_sym_BSLASHfootcite] = ACTIONS(6931),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6931),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6931),
    [anon_sym_BSLASHtextcite] = ACTIONS(6931),
    [anon_sym_BSLASHTextcite] = ACTIONS(6931),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6931),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6931),
    [anon_sym_BSLASHsupercite] = ACTIONS(6931),
    [anon_sym_BSLASHautocite] = ACTIONS(6931),
    [anon_sym_BSLASHAutocite] = ACTIONS(6931),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHVolcite] = ACTIONS(6931),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHavolcite] = ACTIONS(6931),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHNotecite] = ACTIONS(6931),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHlabel] = ACTIONS(6931),
    [anon_sym_BSLASHref] = ACTIONS(6931),
    [anon_sym_BSLASHeqref] = ACTIONS(6931),
    [anon_sym_BSLASHvref] = ACTIONS(6931),
    [anon_sym_BSLASHVref] = ACTIONS(6931),
    [anon_sym_BSLASHautoref] = ACTIONS(6931),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHpageref] = ACTIONS(6931),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHautopageref] = ACTIONS(6931),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcref] = ACTIONS(6931),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCref] = ACTIONS(6931),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcpageref] = ACTIONS(6931),
    [anon_sym_BSLASHCpageref] = ACTIONS(6931),
    [anon_sym_BSLASHnamecref] = ACTIONS(6931),
    [anon_sym_BSLASHnameCref] = ACTIONS(6931),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6931),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6931),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6931),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6931),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6931),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6931),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6931),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6931),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6931),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6931),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6931),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHdef] = ACTIONS(6931),
    [anon_sym_BSLASHgdef] = ACTIONS(6931),
    [anon_sym_BSLASHedef] = ACTIONS(6931),
    [anon_sym_BSLASHxdef] = ACTIONS(6931),
    [anon_sym_BSLASHlet] = ACTIONS(6931),
    [anon_sym_BSLASHglet] = ACTIONS(6931),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6931),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6931),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6931),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6931),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6931),
    [anon_sym_BSLASHgls] = ACTIONS(6931),
    [anon_sym_BSLASHGls] = ACTIONS(6931),
    [anon_sym_BSLASHGLS] = ACTIONS(6931),
    [anon_sym_BSLASHglspl] = ACTIONS(6931),
    [anon_sym_BSLASHGlspl] = ACTIONS(6931),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6931),
    [anon_sym_BSLASHglslink] = ACTIONS(6931),
    [anon_sym_BSLASHglstext] = ACTIONS(6931),
    [anon_sym_BSLASHGlstext] = ACTIONS(6931),
    [anon_sym_BSLASHGLStext] = ACTIONS(6931),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6931),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6931),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6931),
    [anon_sym_BSLASHglsplural] = ACTIONS(6931),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6931),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6931),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHglsname] = ACTIONS(6931),
    [anon_sym_BSLASHGlsname] = ACTIONS(6931),
    [anon_sym_BSLASHGLSname] = ACTIONS(6931),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6931),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6931),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6931),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6931),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6931),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6931),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6931),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6931),
    [anon_sym_BSLASHacrshort] = ACTIONS(6931),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6931),
    [anon_sym_BSLASHACRshort] = ACTIONS(6931),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHacrlong] = ACTIONS(6931),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6931),
    [anon_sym_BSLASHACRlong] = ACTIONS(6931),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHacrfull] = ACTIONS(6931),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6931),
    [anon_sym_BSLASHACRfull] = ACTIONS(6931),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHacs] = ACTIONS(6931),
    [anon_sym_BSLASHAcs] = ACTIONS(6931),
    [anon_sym_BSLASHacsp] = ACTIONS(6931),
    [anon_sym_BSLASHAcsp] = ACTIONS(6931),
    [anon_sym_BSLASHacl] = ACTIONS(6931),
    [anon_sym_BSLASHAcl] = ACTIONS(6931),
    [anon_sym_BSLASHaclp] = ACTIONS(6931),
    [anon_sym_BSLASHAclp] = ACTIONS(6931),
    [anon_sym_BSLASHacf] = ACTIONS(6931),
    [anon_sym_BSLASHAcf] = ACTIONS(6931),
    [anon_sym_BSLASHacfp] = ACTIONS(6931),
    [anon_sym_BSLASHAcfp] = ACTIONS(6931),
    [anon_sym_BSLASHac] = ACTIONS(6931),
    [anon_sym_BSLASHAc] = ACTIONS(6931),
    [anon_sym_BSLASHacp] = ACTIONS(6931),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6931),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6931),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6931),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6931),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6931),
    [anon_sym_BSLASHcolor] = ACTIONS(6931),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6931),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6931),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6931),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6931),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6931),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6931),
    [anon_sym_BSLASHurl] = ACTIONS(6931),
    [anon_sym_BSLASHhref] = ACTIONS(6931),
  },
  [1105] = {
    [ts_builtin_sym_end] = ACTIONS(7565),
    [sym_command_name] = ACTIONS(7563),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7563),
    [anon_sym_LBRACK] = ACTIONS(7565),
    [anon_sym_RBRACK] = ACTIONS(7565),
    [anon_sym_COMMA] = ACTIONS(7565),
    [anon_sym_EQ] = ACTIONS(7565),
    [anon_sym_LPAREN] = ACTIONS(7565),
    [anon_sym_RPAREN] = ACTIONS(7565),
    [anon_sym_BSLASHpart] = ACTIONS(7563),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHaddpart] = ACTIONS(7563),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHchapter] = ACTIONS(7563),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHaddchap] = ACTIONS(7563),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHsection] = ACTIONS(7563),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHaddsec] = ACTIONS(7563),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHsubsection] = ACTIONS(7563),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7563),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHparagraph] = ACTIONS(7563),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7563),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHitem] = ACTIONS(7563),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7565),
    [anon_sym_LBRACE] = ACTIONS(7565),
    [anon_sym_RBRACE] = ACTIONS(7565),
    [sym_word] = ACTIONS(7563),
    [sym_placeholder] = ACTIONS(7565),
    [sym_delimiter] = ACTIONS(7565),
    [anon_sym_PLUS] = ACTIONS(7565),
    [anon_sym_DASH] = ACTIONS(7565),
    [anon_sym_STAR] = ACTIONS(7565),
    [anon_sym_SLASH] = ACTIONS(7565),
    [anon_sym_LT] = ACTIONS(7563),
    [anon_sym_GT] = ACTIONS(7563),
    [anon_sym_BANG] = ACTIONS(7563),
    [anon_sym_PIPE] = ACTIONS(7563),
    [anon_sym_COLON] = ACTIONS(7563),
    [anon_sym_SQUOTE] = ACTIONS(7563),
    [anon_sym__] = ACTIONS(7565),
    [anon_sym_CARET] = ACTIONS(7565),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7565),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7565),
    [anon_sym_DOLLAR] = ACTIONS(7563),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7565),
    [anon_sym_BSLASHleft] = ACTIONS(7563),
    [anon_sym_BSLASHbigl] = ACTIONS(7563),
    [anon_sym_BSLASHBigl] = ACTIONS(7563),
    [anon_sym_BSLASHbiggl] = ACTIONS(7563),
    [anon_sym_BSLASHBiggl] = ACTIONS(7563),
    [anon_sym_BSLASHtext] = ACTIONS(7563),
    [anon_sym_BSLASHintertext] = ACTIONS(7563),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7563),
    [anon_sym_BSLASHbegin] = ACTIONS(7563),
    [anon_sym_BSLASHtitle] = ACTIONS(7563),
    [anon_sym_BSLASHauthor] = ACTIONS(7563),
    [anon_sym_BSLASHusepackage] = ACTIONS(7563),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7563),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7563),
    [anon_sym_BSLASHinclude] = ACTIONS(7563),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7563),
    [anon_sym_BSLASHinput] = ACTIONS(7563),
    [anon_sym_BSLASHsubfile] = ACTIONS(7563),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7563),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7563),
    [anon_sym_BSLASHbibliography] = ACTIONS(7563),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7563),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7563),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7563),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7563),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7563),
    [anon_sym_BSLASHimport] = ACTIONS(7563),
    [anon_sym_BSLASHsubimport] = ACTIONS(7563),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7563),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7563),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7563),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7563),
    [anon_sym_BSLASHcaption] = ACTIONS(7563),
    [anon_sym_BSLASHcite] = ACTIONS(7563),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCite] = ACTIONS(7563),
    [anon_sym_BSLASHnocite] = ACTIONS(7563),
    [anon_sym_BSLASHcitet] = ACTIONS(7563),
    [anon_sym_BSLASHcitep] = ACTIONS(7563),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteA] = ACTIONS(7563),
    [anon_sym_BSLASHciteR] = ACTIONS(7563),
    [anon_sym_BSLASHciteS] = ACTIONS(7563),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7563),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7563),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7563),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7563),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteyear] = ACTIONS(7563),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitedate] = ACTIONS(7563),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteurl] = ACTIONS(7563),
    [anon_sym_BSLASHfullcite] = ACTIONS(7563),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7563),
    [anon_sym_BSLASHcitealt] = ACTIONS(7563),
    [anon_sym_BSLASHcitealp] = ACTIONS(7563),
    [anon_sym_BSLASHcitetext] = ACTIONS(7563),
    [anon_sym_BSLASHparencite] = ACTIONS(7563),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHParencite] = ACTIONS(7563),
    [anon_sym_BSLASHfootcite] = ACTIONS(7563),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7563),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7563),
    [anon_sym_BSLASHtextcite] = ACTIONS(7563),
    [anon_sym_BSLASHTextcite] = ACTIONS(7563),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7563),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7563),
    [anon_sym_BSLASHsupercite] = ACTIONS(7563),
    [anon_sym_BSLASHautocite] = ACTIONS(7563),
    [anon_sym_BSLASHAutocite] = ACTIONS(7563),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHVolcite] = ACTIONS(7563),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHavolcite] = ACTIONS(7563),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHNotecite] = ACTIONS(7563),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHlabel] = ACTIONS(7563),
    [anon_sym_BSLASHref] = ACTIONS(7563),
    [anon_sym_BSLASHeqref] = ACTIONS(7563),
    [anon_sym_BSLASHvref] = ACTIONS(7563),
    [anon_sym_BSLASHVref] = ACTIONS(7563),
    [anon_sym_BSLASHautoref] = ACTIONS(7563),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHpageref] = ACTIONS(7563),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHautopageref] = ACTIONS(7563),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcref] = ACTIONS(7563),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCref] = ACTIONS(7563),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcpageref] = ACTIONS(7563),
    [anon_sym_BSLASHCpageref] = ACTIONS(7563),
    [anon_sym_BSLASHnamecref] = ACTIONS(7563),
    [anon_sym_BSLASHnameCref] = ACTIONS(7563),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7563),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7563),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7563),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7563),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7563),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7563),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7563),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7563),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7563),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7563),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7563),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHdef] = ACTIONS(7563),
    [anon_sym_BSLASHgdef] = ACTIONS(7563),
    [anon_sym_BSLASHedef] = ACTIONS(7563),
    [anon_sym_BSLASHxdef] = ACTIONS(7563),
    [anon_sym_BSLASHlet] = ACTIONS(7563),
    [anon_sym_BSLASHglet] = ACTIONS(7563),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7563),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7563),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7563),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7563),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7563),
    [anon_sym_BSLASHgls] = ACTIONS(7563),
    [anon_sym_BSLASHGls] = ACTIONS(7563),
    [anon_sym_BSLASHGLS] = ACTIONS(7563),
    [anon_sym_BSLASHglspl] = ACTIONS(7563),
    [anon_sym_BSLASHGlspl] = ACTIONS(7563),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7563),
    [anon_sym_BSLASHglslink] = ACTIONS(7563),
    [anon_sym_BSLASHglstext] = ACTIONS(7563),
    [anon_sym_BSLASHGlstext] = ACTIONS(7563),
    [anon_sym_BSLASHGLStext] = ACTIONS(7563),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7563),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7563),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7563),
    [anon_sym_BSLASHglsplural] = ACTIONS(7563),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7563),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7563),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHglsname] = ACTIONS(7563),
    [anon_sym_BSLASHGlsname] = ACTIONS(7563),
    [anon_sym_BSLASHGLSname] = ACTIONS(7563),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7563),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7563),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7563),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7563),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7563),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7563),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7563),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7563),
    [anon_sym_BSLASHacrshort] = ACTIONS(7563),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7563),
    [anon_sym_BSLASHACRshort] = ACTIONS(7563),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHacrlong] = ACTIONS(7563),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7563),
    [anon_sym_BSLASHACRlong] = ACTIONS(7563),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHacrfull] = ACTIONS(7563),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7563),
    [anon_sym_BSLASHACRfull] = ACTIONS(7563),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHacs] = ACTIONS(7563),
    [anon_sym_BSLASHAcs] = ACTIONS(7563),
    [anon_sym_BSLASHacsp] = ACTIONS(7563),
    [anon_sym_BSLASHAcsp] = ACTIONS(7563),
    [anon_sym_BSLASHacl] = ACTIONS(7563),
    [anon_sym_BSLASHAcl] = ACTIONS(7563),
    [anon_sym_BSLASHaclp] = ACTIONS(7563),
    [anon_sym_BSLASHAclp] = ACTIONS(7563),
    [anon_sym_BSLASHacf] = ACTIONS(7563),
    [anon_sym_BSLASHAcf] = ACTIONS(7563),
    [anon_sym_BSLASHacfp] = ACTIONS(7563),
    [anon_sym_BSLASHAcfp] = ACTIONS(7563),
    [anon_sym_BSLASHac] = ACTIONS(7563),
    [anon_sym_BSLASHAc] = ACTIONS(7563),
    [anon_sym_BSLASHacp] = ACTIONS(7563),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7563),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7563),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7563),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7563),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7563),
    [anon_sym_BSLASHcolor] = ACTIONS(7563),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7563),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7563),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7563),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7563),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7563),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7563),
    [anon_sym_BSLASHurl] = ACTIONS(7563),
    [anon_sym_BSLASHhref] = ACTIONS(7563),
  },
  [1106] = {
    [ts_builtin_sym_end] = ACTIONS(7225),
    [sym_command_name] = ACTIONS(7223),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7223),
    [anon_sym_LBRACK] = ACTIONS(7225),
    [anon_sym_RBRACK] = ACTIONS(7225),
    [anon_sym_COMMA] = ACTIONS(7225),
    [anon_sym_EQ] = ACTIONS(7225),
    [anon_sym_LPAREN] = ACTIONS(7225),
    [anon_sym_RPAREN] = ACTIONS(7225),
    [anon_sym_BSLASHpart] = ACTIONS(7223),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHaddpart] = ACTIONS(7223),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHchapter] = ACTIONS(7223),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHaddchap] = ACTIONS(7223),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHsection] = ACTIONS(7223),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHaddsec] = ACTIONS(7223),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHsubsection] = ACTIONS(7223),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7223),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHparagraph] = ACTIONS(7223),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7223),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHitem] = ACTIONS(7223),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7225),
    [anon_sym_LBRACE] = ACTIONS(7225),
    [anon_sym_RBRACE] = ACTIONS(7225),
    [sym_word] = ACTIONS(7223),
    [sym_placeholder] = ACTIONS(7225),
    [sym_delimiter] = ACTIONS(7225),
    [anon_sym_PLUS] = ACTIONS(7225),
    [anon_sym_DASH] = ACTIONS(7225),
    [anon_sym_STAR] = ACTIONS(7225),
    [anon_sym_SLASH] = ACTIONS(7225),
    [anon_sym_LT] = ACTIONS(7223),
    [anon_sym_GT] = ACTIONS(7223),
    [anon_sym_BANG] = ACTIONS(7223),
    [anon_sym_PIPE] = ACTIONS(7223),
    [anon_sym_COLON] = ACTIONS(7223),
    [anon_sym_SQUOTE] = ACTIONS(7223),
    [anon_sym__] = ACTIONS(7225),
    [anon_sym_CARET] = ACTIONS(7225),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7225),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7225),
    [anon_sym_DOLLAR] = ACTIONS(7223),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7225),
    [anon_sym_BSLASHleft] = ACTIONS(7223),
    [anon_sym_BSLASHbigl] = ACTIONS(7223),
    [anon_sym_BSLASHBigl] = ACTIONS(7223),
    [anon_sym_BSLASHbiggl] = ACTIONS(7223),
    [anon_sym_BSLASHBiggl] = ACTIONS(7223),
    [anon_sym_BSLASHtext] = ACTIONS(7223),
    [anon_sym_BSLASHintertext] = ACTIONS(7223),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7223),
    [anon_sym_BSLASHbegin] = ACTIONS(7223),
    [anon_sym_BSLASHtitle] = ACTIONS(7223),
    [anon_sym_BSLASHauthor] = ACTIONS(7223),
    [anon_sym_BSLASHusepackage] = ACTIONS(7223),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7223),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7223),
    [anon_sym_BSLASHinclude] = ACTIONS(7223),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7223),
    [anon_sym_BSLASHinput] = ACTIONS(7223),
    [anon_sym_BSLASHsubfile] = ACTIONS(7223),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7223),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7223),
    [anon_sym_BSLASHbibliography] = ACTIONS(7223),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7223),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7223),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7223),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7223),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7223),
    [anon_sym_BSLASHimport] = ACTIONS(7223),
    [anon_sym_BSLASHsubimport] = ACTIONS(7223),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7223),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7223),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7223),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7223),
    [anon_sym_BSLASHcaption] = ACTIONS(7223),
    [anon_sym_BSLASHcite] = ACTIONS(7223),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCite] = ACTIONS(7223),
    [anon_sym_BSLASHnocite] = ACTIONS(7223),
    [anon_sym_BSLASHcitet] = ACTIONS(7223),
    [anon_sym_BSLASHcitep] = ACTIONS(7223),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteA] = ACTIONS(7223),
    [anon_sym_BSLASHciteR] = ACTIONS(7223),
    [anon_sym_BSLASHciteS] = ACTIONS(7223),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7223),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7223),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7223),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7223),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteyear] = ACTIONS(7223),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitedate] = ACTIONS(7223),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteurl] = ACTIONS(7223),
    [anon_sym_BSLASHfullcite] = ACTIONS(7223),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7223),
    [anon_sym_BSLASHcitealt] = ACTIONS(7223),
    [anon_sym_BSLASHcitealp] = ACTIONS(7223),
    [anon_sym_BSLASHcitetext] = ACTIONS(7223),
    [anon_sym_BSLASHparencite] = ACTIONS(7223),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHParencite] = ACTIONS(7223),
    [anon_sym_BSLASHfootcite] = ACTIONS(7223),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7223),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7223),
    [anon_sym_BSLASHtextcite] = ACTIONS(7223),
    [anon_sym_BSLASHTextcite] = ACTIONS(7223),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7223),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7223),
    [anon_sym_BSLASHsupercite] = ACTIONS(7223),
    [anon_sym_BSLASHautocite] = ACTIONS(7223),
    [anon_sym_BSLASHAutocite] = ACTIONS(7223),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHVolcite] = ACTIONS(7223),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHavolcite] = ACTIONS(7223),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHNotecite] = ACTIONS(7223),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHlabel] = ACTIONS(7223),
    [anon_sym_BSLASHref] = ACTIONS(7223),
    [anon_sym_BSLASHeqref] = ACTIONS(7223),
    [anon_sym_BSLASHvref] = ACTIONS(7223),
    [anon_sym_BSLASHVref] = ACTIONS(7223),
    [anon_sym_BSLASHautoref] = ACTIONS(7223),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHpageref] = ACTIONS(7223),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHautopageref] = ACTIONS(7223),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcref] = ACTIONS(7223),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCref] = ACTIONS(7223),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcpageref] = ACTIONS(7223),
    [anon_sym_BSLASHCpageref] = ACTIONS(7223),
    [anon_sym_BSLASHnamecref] = ACTIONS(7223),
    [anon_sym_BSLASHnameCref] = ACTIONS(7223),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7223),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7223),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7223),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7223),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7223),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7223),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7223),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7223),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7223),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7223),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7223),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHdef] = ACTIONS(7223),
    [anon_sym_BSLASHgdef] = ACTIONS(7223),
    [anon_sym_BSLASHedef] = ACTIONS(7223),
    [anon_sym_BSLASHxdef] = ACTIONS(7223),
    [anon_sym_BSLASHlet] = ACTIONS(7223),
    [anon_sym_BSLASHglet] = ACTIONS(7223),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7223),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7223),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7223),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7223),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7223),
    [anon_sym_BSLASHgls] = ACTIONS(7223),
    [anon_sym_BSLASHGls] = ACTIONS(7223),
    [anon_sym_BSLASHGLS] = ACTIONS(7223),
    [anon_sym_BSLASHglspl] = ACTIONS(7223),
    [anon_sym_BSLASHGlspl] = ACTIONS(7223),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7223),
    [anon_sym_BSLASHglslink] = ACTIONS(7223),
    [anon_sym_BSLASHglstext] = ACTIONS(7223),
    [anon_sym_BSLASHGlstext] = ACTIONS(7223),
    [anon_sym_BSLASHGLStext] = ACTIONS(7223),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7223),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7223),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7223),
    [anon_sym_BSLASHglsplural] = ACTIONS(7223),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7223),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7223),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHglsname] = ACTIONS(7223),
    [anon_sym_BSLASHGlsname] = ACTIONS(7223),
    [anon_sym_BSLASHGLSname] = ACTIONS(7223),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7223),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7223),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7223),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7223),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7223),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7223),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7223),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7223),
    [anon_sym_BSLASHacrshort] = ACTIONS(7223),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7223),
    [anon_sym_BSLASHACRshort] = ACTIONS(7223),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHacrlong] = ACTIONS(7223),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7223),
    [anon_sym_BSLASHACRlong] = ACTIONS(7223),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHacrfull] = ACTIONS(7223),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7223),
    [anon_sym_BSLASHACRfull] = ACTIONS(7223),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHacs] = ACTIONS(7223),
    [anon_sym_BSLASHAcs] = ACTIONS(7223),
    [anon_sym_BSLASHacsp] = ACTIONS(7223),
    [anon_sym_BSLASHAcsp] = ACTIONS(7223),
    [anon_sym_BSLASHacl] = ACTIONS(7223),
    [anon_sym_BSLASHAcl] = ACTIONS(7223),
    [anon_sym_BSLASHaclp] = ACTIONS(7223),
    [anon_sym_BSLASHAclp] = ACTIONS(7223),
    [anon_sym_BSLASHacf] = ACTIONS(7223),
    [anon_sym_BSLASHAcf] = ACTIONS(7223),
    [anon_sym_BSLASHacfp] = ACTIONS(7223),
    [anon_sym_BSLASHAcfp] = ACTIONS(7223),
    [anon_sym_BSLASHac] = ACTIONS(7223),
    [anon_sym_BSLASHAc] = ACTIONS(7223),
    [anon_sym_BSLASHacp] = ACTIONS(7223),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7223),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7223),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7223),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7223),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7223),
    [anon_sym_BSLASHcolor] = ACTIONS(7223),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7223),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7223),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7223),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7223),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7223),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7223),
    [anon_sym_BSLASHurl] = ACTIONS(7223),
    [anon_sym_BSLASHhref] = ACTIONS(7223),
  },
  [1107] = {
    [sym_command_name] = ACTIONS(6911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6911),
    [anon_sym_BSLASHfi] = ACTIONS(7799),
    [anon_sym_LBRACK] = ACTIONS(6915),
    [anon_sym_RBRACK] = ACTIONS(6915),
    [anon_sym_COMMA] = ACTIONS(6915),
    [anon_sym_EQ] = ACTIONS(6915),
    [anon_sym_LPAREN] = ACTIONS(6915),
    [anon_sym_RPAREN] = ACTIONS(6915),
    [anon_sym_BSLASHpart] = ACTIONS(6911),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHaddpart] = ACTIONS(6911),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHchapter] = ACTIONS(6911),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHaddchap] = ACTIONS(6911),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHsection] = ACTIONS(6911),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHaddsec] = ACTIONS(6911),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHsubsection] = ACTIONS(6911),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6911),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHparagraph] = ACTIONS(6911),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6911),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHitem] = ACTIONS(6911),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6915),
    [anon_sym_LBRACE] = ACTIONS(6915),
    [sym_word] = ACTIONS(6911),
    [sym_placeholder] = ACTIONS(6915),
    [sym_delimiter] = ACTIONS(6915),
    [anon_sym_PLUS] = ACTIONS(6915),
    [anon_sym_DASH] = ACTIONS(6915),
    [anon_sym_STAR] = ACTIONS(6915),
    [anon_sym_SLASH] = ACTIONS(6915),
    [anon_sym_LT] = ACTIONS(6911),
    [anon_sym_GT] = ACTIONS(6911),
    [anon_sym_BANG] = ACTIONS(6911),
    [anon_sym_PIPE] = ACTIONS(6911),
    [anon_sym_COLON] = ACTIONS(6911),
    [anon_sym_SQUOTE] = ACTIONS(6911),
    [anon_sym__] = ACTIONS(6915),
    [anon_sym_CARET] = ACTIONS(6915),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6915),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6915),
    [anon_sym_DOLLAR] = ACTIONS(6911),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6915),
    [anon_sym_BSLASHleft] = ACTIONS(6911),
    [anon_sym_BSLASHbigl] = ACTIONS(6911),
    [anon_sym_BSLASHBigl] = ACTIONS(6911),
    [anon_sym_BSLASHbiggl] = ACTIONS(6911),
    [anon_sym_BSLASHBiggl] = ACTIONS(6911),
    [anon_sym_BSLASHtext] = ACTIONS(6911),
    [anon_sym_BSLASHintertext] = ACTIONS(6911),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6911),
    [anon_sym_BSLASHbegin] = ACTIONS(6911),
    [anon_sym_BSLASHend] = ACTIONS(6911),
    [anon_sym_BSLASHtitle] = ACTIONS(6911),
    [anon_sym_BSLASHauthor] = ACTIONS(6911),
    [anon_sym_BSLASHusepackage] = ACTIONS(6911),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6911),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6911),
    [anon_sym_BSLASHinclude] = ACTIONS(6911),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6911),
    [anon_sym_BSLASHinput] = ACTIONS(6911),
    [anon_sym_BSLASHsubfile] = ACTIONS(6911),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6911),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6911),
    [anon_sym_BSLASHbibliography] = ACTIONS(6911),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6911),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6911),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6911),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6911),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6911),
    [anon_sym_BSLASHimport] = ACTIONS(6911),
    [anon_sym_BSLASHsubimport] = ACTIONS(6911),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6911),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6911),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6911),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6911),
    [anon_sym_BSLASHcaption] = ACTIONS(6911),
    [anon_sym_BSLASHcite] = ACTIONS(6911),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCite] = ACTIONS(6911),
    [anon_sym_BSLASHnocite] = ACTIONS(6911),
    [anon_sym_BSLASHcitet] = ACTIONS(6911),
    [anon_sym_BSLASHcitep] = ACTIONS(6911),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteA] = ACTIONS(6911),
    [anon_sym_BSLASHciteR] = ACTIONS(6911),
    [anon_sym_BSLASHciteS] = ACTIONS(6911),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6911),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6911),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6911),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6911),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteyear] = ACTIONS(6911),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitedate] = ACTIONS(6911),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteurl] = ACTIONS(6911),
    [anon_sym_BSLASHfullcite] = ACTIONS(6911),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6911),
    [anon_sym_BSLASHcitealt] = ACTIONS(6911),
    [anon_sym_BSLASHcitealp] = ACTIONS(6911),
    [anon_sym_BSLASHcitetext] = ACTIONS(6911),
    [anon_sym_BSLASHparencite] = ACTIONS(6911),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHParencite] = ACTIONS(6911),
    [anon_sym_BSLASHfootcite] = ACTIONS(6911),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6911),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6911),
    [anon_sym_BSLASHtextcite] = ACTIONS(6911),
    [anon_sym_BSLASHTextcite] = ACTIONS(6911),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6911),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6911),
    [anon_sym_BSLASHsupercite] = ACTIONS(6911),
    [anon_sym_BSLASHautocite] = ACTIONS(6911),
    [anon_sym_BSLASHAutocite] = ACTIONS(6911),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHVolcite] = ACTIONS(6911),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHavolcite] = ACTIONS(6911),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHNotecite] = ACTIONS(6911),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHlabel] = ACTIONS(6911),
    [anon_sym_BSLASHref] = ACTIONS(6911),
    [anon_sym_BSLASHeqref] = ACTIONS(6911),
    [anon_sym_BSLASHvref] = ACTIONS(6911),
    [anon_sym_BSLASHVref] = ACTIONS(6911),
    [anon_sym_BSLASHautoref] = ACTIONS(6911),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHpageref] = ACTIONS(6911),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHautopageref] = ACTIONS(6911),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcref] = ACTIONS(6911),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCref] = ACTIONS(6911),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcpageref] = ACTIONS(6911),
    [anon_sym_BSLASHCpageref] = ACTIONS(6911),
    [anon_sym_BSLASHnamecref] = ACTIONS(6911),
    [anon_sym_BSLASHnameCref] = ACTIONS(6911),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6911),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6911),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6911),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6911),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6911),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6911),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6911),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6911),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6911),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6911),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6911),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHdef] = ACTIONS(6911),
    [anon_sym_BSLASHgdef] = ACTIONS(6911),
    [anon_sym_BSLASHedef] = ACTIONS(6911),
    [anon_sym_BSLASHxdef] = ACTIONS(6911),
    [anon_sym_BSLASHlet] = ACTIONS(6911),
    [anon_sym_BSLASHglet] = ACTIONS(6911),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6911),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6911),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6911),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6911),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6911),
    [anon_sym_BSLASHgls] = ACTIONS(6911),
    [anon_sym_BSLASHGls] = ACTIONS(6911),
    [anon_sym_BSLASHGLS] = ACTIONS(6911),
    [anon_sym_BSLASHglspl] = ACTIONS(6911),
    [anon_sym_BSLASHGlspl] = ACTIONS(6911),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6911),
    [anon_sym_BSLASHglslink] = ACTIONS(6911),
    [anon_sym_BSLASHglstext] = ACTIONS(6911),
    [anon_sym_BSLASHGlstext] = ACTIONS(6911),
    [anon_sym_BSLASHGLStext] = ACTIONS(6911),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6911),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6911),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6911),
    [anon_sym_BSLASHglsplural] = ACTIONS(6911),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6911),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6911),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHglsname] = ACTIONS(6911),
    [anon_sym_BSLASHGlsname] = ACTIONS(6911),
    [anon_sym_BSLASHGLSname] = ACTIONS(6911),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6911),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6911),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6911),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6911),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6911),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6911),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6911),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6911),
    [anon_sym_BSLASHacrshort] = ACTIONS(6911),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6911),
    [anon_sym_BSLASHACRshort] = ACTIONS(6911),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHacrlong] = ACTIONS(6911),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6911),
    [anon_sym_BSLASHACRlong] = ACTIONS(6911),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHacrfull] = ACTIONS(6911),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6911),
    [anon_sym_BSLASHACRfull] = ACTIONS(6911),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHacs] = ACTIONS(6911),
    [anon_sym_BSLASHAcs] = ACTIONS(6911),
    [anon_sym_BSLASHacsp] = ACTIONS(6911),
    [anon_sym_BSLASHAcsp] = ACTIONS(6911),
    [anon_sym_BSLASHacl] = ACTIONS(6911),
    [anon_sym_BSLASHAcl] = ACTIONS(6911),
    [anon_sym_BSLASHaclp] = ACTIONS(6911),
    [anon_sym_BSLASHAclp] = ACTIONS(6911),
    [anon_sym_BSLASHacf] = ACTIONS(6911),
    [anon_sym_BSLASHAcf] = ACTIONS(6911),
    [anon_sym_BSLASHacfp] = ACTIONS(6911),
    [anon_sym_BSLASHAcfp] = ACTIONS(6911),
    [anon_sym_BSLASHac] = ACTIONS(6911),
    [anon_sym_BSLASHAc] = ACTIONS(6911),
    [anon_sym_BSLASHacp] = ACTIONS(6911),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6911),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6911),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6911),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6911),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6911),
    [anon_sym_BSLASHcolor] = ACTIONS(6911),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6911),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6911),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6911),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6911),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6911),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6911),
    [anon_sym_BSLASHurl] = ACTIONS(6911),
    [anon_sym_BSLASHhref] = ACTIONS(6911),
  },
  [1108] = {
    [ts_builtin_sym_end] = ACTIONS(7569),
    [sym_command_name] = ACTIONS(7567),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7567),
    [anon_sym_LBRACK] = ACTIONS(7569),
    [anon_sym_RBRACK] = ACTIONS(7569),
    [anon_sym_COMMA] = ACTIONS(7569),
    [anon_sym_EQ] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7569),
    [anon_sym_RPAREN] = ACTIONS(7569),
    [anon_sym_BSLASHpart] = ACTIONS(7567),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHaddpart] = ACTIONS(7567),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHchapter] = ACTIONS(7567),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHaddchap] = ACTIONS(7567),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHsection] = ACTIONS(7567),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHaddsec] = ACTIONS(7567),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHsubsection] = ACTIONS(7567),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7567),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHparagraph] = ACTIONS(7567),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7567),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHitem] = ACTIONS(7567),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7569),
    [anon_sym_LBRACE] = ACTIONS(7569),
    [anon_sym_RBRACE] = ACTIONS(7569),
    [sym_word] = ACTIONS(7567),
    [sym_placeholder] = ACTIONS(7569),
    [sym_delimiter] = ACTIONS(7569),
    [anon_sym_PLUS] = ACTIONS(7569),
    [anon_sym_DASH] = ACTIONS(7569),
    [anon_sym_STAR] = ACTIONS(7569),
    [anon_sym_SLASH] = ACTIONS(7569),
    [anon_sym_LT] = ACTIONS(7567),
    [anon_sym_GT] = ACTIONS(7567),
    [anon_sym_BANG] = ACTIONS(7567),
    [anon_sym_PIPE] = ACTIONS(7567),
    [anon_sym_COLON] = ACTIONS(7567),
    [anon_sym_SQUOTE] = ACTIONS(7567),
    [anon_sym__] = ACTIONS(7569),
    [anon_sym_CARET] = ACTIONS(7569),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7569),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7569),
    [anon_sym_DOLLAR] = ACTIONS(7567),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7569),
    [anon_sym_BSLASHleft] = ACTIONS(7567),
    [anon_sym_BSLASHbigl] = ACTIONS(7567),
    [anon_sym_BSLASHBigl] = ACTIONS(7567),
    [anon_sym_BSLASHbiggl] = ACTIONS(7567),
    [anon_sym_BSLASHBiggl] = ACTIONS(7567),
    [anon_sym_BSLASHtext] = ACTIONS(7567),
    [anon_sym_BSLASHintertext] = ACTIONS(7567),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7567),
    [anon_sym_BSLASHbegin] = ACTIONS(7567),
    [anon_sym_BSLASHtitle] = ACTIONS(7567),
    [anon_sym_BSLASHauthor] = ACTIONS(7567),
    [anon_sym_BSLASHusepackage] = ACTIONS(7567),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7567),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7567),
    [anon_sym_BSLASHinclude] = ACTIONS(7567),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7567),
    [anon_sym_BSLASHinput] = ACTIONS(7567),
    [anon_sym_BSLASHsubfile] = ACTIONS(7567),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7567),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7567),
    [anon_sym_BSLASHbibliography] = ACTIONS(7567),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7567),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7567),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7567),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7567),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7567),
    [anon_sym_BSLASHimport] = ACTIONS(7567),
    [anon_sym_BSLASHsubimport] = ACTIONS(7567),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7567),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7567),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7567),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7567),
    [anon_sym_BSLASHcaption] = ACTIONS(7567),
    [anon_sym_BSLASHcite] = ACTIONS(7567),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCite] = ACTIONS(7567),
    [anon_sym_BSLASHnocite] = ACTIONS(7567),
    [anon_sym_BSLASHcitet] = ACTIONS(7567),
    [anon_sym_BSLASHcitep] = ACTIONS(7567),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteA] = ACTIONS(7567),
    [anon_sym_BSLASHciteR] = ACTIONS(7567),
    [anon_sym_BSLASHciteS] = ACTIONS(7567),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7567),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7567),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7567),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7567),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteyear] = ACTIONS(7567),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitedate] = ACTIONS(7567),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteurl] = ACTIONS(7567),
    [anon_sym_BSLASHfullcite] = ACTIONS(7567),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7567),
    [anon_sym_BSLASHcitealt] = ACTIONS(7567),
    [anon_sym_BSLASHcitealp] = ACTIONS(7567),
    [anon_sym_BSLASHcitetext] = ACTIONS(7567),
    [anon_sym_BSLASHparencite] = ACTIONS(7567),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHParencite] = ACTIONS(7567),
    [anon_sym_BSLASHfootcite] = ACTIONS(7567),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7567),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7567),
    [anon_sym_BSLASHtextcite] = ACTIONS(7567),
    [anon_sym_BSLASHTextcite] = ACTIONS(7567),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7567),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7567),
    [anon_sym_BSLASHsupercite] = ACTIONS(7567),
    [anon_sym_BSLASHautocite] = ACTIONS(7567),
    [anon_sym_BSLASHAutocite] = ACTIONS(7567),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHVolcite] = ACTIONS(7567),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHavolcite] = ACTIONS(7567),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHNotecite] = ACTIONS(7567),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHlabel] = ACTIONS(7567),
    [anon_sym_BSLASHref] = ACTIONS(7567),
    [anon_sym_BSLASHeqref] = ACTIONS(7567),
    [anon_sym_BSLASHvref] = ACTIONS(7567),
    [anon_sym_BSLASHVref] = ACTIONS(7567),
    [anon_sym_BSLASHautoref] = ACTIONS(7567),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHpageref] = ACTIONS(7567),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHautopageref] = ACTIONS(7567),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcref] = ACTIONS(7567),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCref] = ACTIONS(7567),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcpageref] = ACTIONS(7567),
    [anon_sym_BSLASHCpageref] = ACTIONS(7567),
    [anon_sym_BSLASHnamecref] = ACTIONS(7567),
    [anon_sym_BSLASHnameCref] = ACTIONS(7567),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7567),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7567),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7567),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7567),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7567),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7567),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7567),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7567),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7567),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7567),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7567),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHdef] = ACTIONS(7567),
    [anon_sym_BSLASHgdef] = ACTIONS(7567),
    [anon_sym_BSLASHedef] = ACTIONS(7567),
    [anon_sym_BSLASHxdef] = ACTIONS(7567),
    [anon_sym_BSLASHlet] = ACTIONS(7567),
    [anon_sym_BSLASHglet] = ACTIONS(7567),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7567),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7567),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7567),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7567),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7567),
    [anon_sym_BSLASHgls] = ACTIONS(7567),
    [anon_sym_BSLASHGls] = ACTIONS(7567),
    [anon_sym_BSLASHGLS] = ACTIONS(7567),
    [anon_sym_BSLASHglspl] = ACTIONS(7567),
    [anon_sym_BSLASHGlspl] = ACTIONS(7567),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7567),
    [anon_sym_BSLASHglslink] = ACTIONS(7567),
    [anon_sym_BSLASHglstext] = ACTIONS(7567),
    [anon_sym_BSLASHGlstext] = ACTIONS(7567),
    [anon_sym_BSLASHGLStext] = ACTIONS(7567),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7567),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7567),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7567),
    [anon_sym_BSLASHglsplural] = ACTIONS(7567),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7567),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7567),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHglsname] = ACTIONS(7567),
    [anon_sym_BSLASHGlsname] = ACTIONS(7567),
    [anon_sym_BSLASHGLSname] = ACTIONS(7567),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7567),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7567),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7567),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7567),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7567),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7567),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7567),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7567),
    [anon_sym_BSLASHacrshort] = ACTIONS(7567),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7567),
    [anon_sym_BSLASHACRshort] = ACTIONS(7567),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHacrlong] = ACTIONS(7567),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7567),
    [anon_sym_BSLASHACRlong] = ACTIONS(7567),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHacrfull] = ACTIONS(7567),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7567),
    [anon_sym_BSLASHACRfull] = ACTIONS(7567),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHacs] = ACTIONS(7567),
    [anon_sym_BSLASHAcs] = ACTIONS(7567),
    [anon_sym_BSLASHacsp] = ACTIONS(7567),
    [anon_sym_BSLASHAcsp] = ACTIONS(7567),
    [anon_sym_BSLASHacl] = ACTIONS(7567),
    [anon_sym_BSLASHAcl] = ACTIONS(7567),
    [anon_sym_BSLASHaclp] = ACTIONS(7567),
    [anon_sym_BSLASHAclp] = ACTIONS(7567),
    [anon_sym_BSLASHacf] = ACTIONS(7567),
    [anon_sym_BSLASHAcf] = ACTIONS(7567),
    [anon_sym_BSLASHacfp] = ACTIONS(7567),
    [anon_sym_BSLASHAcfp] = ACTIONS(7567),
    [anon_sym_BSLASHac] = ACTIONS(7567),
    [anon_sym_BSLASHAc] = ACTIONS(7567),
    [anon_sym_BSLASHacp] = ACTIONS(7567),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7567),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7567),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7567),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7567),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7567),
    [anon_sym_BSLASHcolor] = ACTIONS(7567),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7567),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7567),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7567),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7567),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7567),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7567),
    [anon_sym_BSLASHurl] = ACTIONS(7567),
    [anon_sym_BSLASHhref] = ACTIONS(7567),
  },
  [1109] = {
    [ts_builtin_sym_end] = ACTIONS(7573),
    [sym_command_name] = ACTIONS(7571),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7571),
    [anon_sym_LBRACK] = ACTIONS(7573),
    [anon_sym_RBRACK] = ACTIONS(7573),
    [anon_sym_COMMA] = ACTIONS(7573),
    [anon_sym_EQ] = ACTIONS(7573),
    [anon_sym_LPAREN] = ACTIONS(7573),
    [anon_sym_RPAREN] = ACTIONS(7573),
    [anon_sym_BSLASHpart] = ACTIONS(7571),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHaddpart] = ACTIONS(7571),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHchapter] = ACTIONS(7571),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHaddchap] = ACTIONS(7571),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHsection] = ACTIONS(7571),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHaddsec] = ACTIONS(7571),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHsubsection] = ACTIONS(7571),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7571),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHparagraph] = ACTIONS(7571),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7571),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHitem] = ACTIONS(7571),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7573),
    [anon_sym_LBRACE] = ACTIONS(7573),
    [anon_sym_RBRACE] = ACTIONS(7573),
    [sym_word] = ACTIONS(7571),
    [sym_placeholder] = ACTIONS(7573),
    [sym_delimiter] = ACTIONS(7573),
    [anon_sym_PLUS] = ACTIONS(7573),
    [anon_sym_DASH] = ACTIONS(7573),
    [anon_sym_STAR] = ACTIONS(7573),
    [anon_sym_SLASH] = ACTIONS(7573),
    [anon_sym_LT] = ACTIONS(7571),
    [anon_sym_GT] = ACTIONS(7571),
    [anon_sym_BANG] = ACTIONS(7571),
    [anon_sym_PIPE] = ACTIONS(7571),
    [anon_sym_COLON] = ACTIONS(7571),
    [anon_sym_SQUOTE] = ACTIONS(7571),
    [anon_sym__] = ACTIONS(7573),
    [anon_sym_CARET] = ACTIONS(7573),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7573),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7573),
    [anon_sym_DOLLAR] = ACTIONS(7571),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7573),
    [anon_sym_BSLASHleft] = ACTIONS(7571),
    [anon_sym_BSLASHbigl] = ACTIONS(7571),
    [anon_sym_BSLASHBigl] = ACTIONS(7571),
    [anon_sym_BSLASHbiggl] = ACTIONS(7571),
    [anon_sym_BSLASHBiggl] = ACTIONS(7571),
    [anon_sym_BSLASHtext] = ACTIONS(7571),
    [anon_sym_BSLASHintertext] = ACTIONS(7571),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7571),
    [anon_sym_BSLASHbegin] = ACTIONS(7571),
    [anon_sym_BSLASHtitle] = ACTIONS(7571),
    [anon_sym_BSLASHauthor] = ACTIONS(7571),
    [anon_sym_BSLASHusepackage] = ACTIONS(7571),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7571),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7571),
    [anon_sym_BSLASHinclude] = ACTIONS(7571),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7571),
    [anon_sym_BSLASHinput] = ACTIONS(7571),
    [anon_sym_BSLASHsubfile] = ACTIONS(7571),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7571),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7571),
    [anon_sym_BSLASHbibliography] = ACTIONS(7571),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7571),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7571),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7571),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7571),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7571),
    [anon_sym_BSLASHimport] = ACTIONS(7571),
    [anon_sym_BSLASHsubimport] = ACTIONS(7571),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7571),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7571),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7571),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7571),
    [anon_sym_BSLASHcaption] = ACTIONS(7571),
    [anon_sym_BSLASHcite] = ACTIONS(7571),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCite] = ACTIONS(7571),
    [anon_sym_BSLASHnocite] = ACTIONS(7571),
    [anon_sym_BSLASHcitet] = ACTIONS(7571),
    [anon_sym_BSLASHcitep] = ACTIONS(7571),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteA] = ACTIONS(7571),
    [anon_sym_BSLASHciteR] = ACTIONS(7571),
    [anon_sym_BSLASHciteS] = ACTIONS(7571),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7571),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7571),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7571),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7571),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteyear] = ACTIONS(7571),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitedate] = ACTIONS(7571),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteurl] = ACTIONS(7571),
    [anon_sym_BSLASHfullcite] = ACTIONS(7571),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7571),
    [anon_sym_BSLASHcitealt] = ACTIONS(7571),
    [anon_sym_BSLASHcitealp] = ACTIONS(7571),
    [anon_sym_BSLASHcitetext] = ACTIONS(7571),
    [anon_sym_BSLASHparencite] = ACTIONS(7571),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHParencite] = ACTIONS(7571),
    [anon_sym_BSLASHfootcite] = ACTIONS(7571),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7571),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7571),
    [anon_sym_BSLASHtextcite] = ACTIONS(7571),
    [anon_sym_BSLASHTextcite] = ACTIONS(7571),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7571),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7571),
    [anon_sym_BSLASHsupercite] = ACTIONS(7571),
    [anon_sym_BSLASHautocite] = ACTIONS(7571),
    [anon_sym_BSLASHAutocite] = ACTIONS(7571),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHVolcite] = ACTIONS(7571),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHavolcite] = ACTIONS(7571),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHNotecite] = ACTIONS(7571),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHlabel] = ACTIONS(7571),
    [anon_sym_BSLASHref] = ACTIONS(7571),
    [anon_sym_BSLASHeqref] = ACTIONS(7571),
    [anon_sym_BSLASHvref] = ACTIONS(7571),
    [anon_sym_BSLASHVref] = ACTIONS(7571),
    [anon_sym_BSLASHautoref] = ACTIONS(7571),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHpageref] = ACTIONS(7571),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHautopageref] = ACTIONS(7571),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcref] = ACTIONS(7571),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCref] = ACTIONS(7571),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcpageref] = ACTIONS(7571),
    [anon_sym_BSLASHCpageref] = ACTIONS(7571),
    [anon_sym_BSLASHnamecref] = ACTIONS(7571),
    [anon_sym_BSLASHnameCref] = ACTIONS(7571),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7571),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7571),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7571),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7571),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7571),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7571),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7571),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7571),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7571),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7571),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7571),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHdef] = ACTIONS(7571),
    [anon_sym_BSLASHgdef] = ACTIONS(7571),
    [anon_sym_BSLASHedef] = ACTIONS(7571),
    [anon_sym_BSLASHxdef] = ACTIONS(7571),
    [anon_sym_BSLASHlet] = ACTIONS(7571),
    [anon_sym_BSLASHglet] = ACTIONS(7571),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7571),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7571),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7571),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7571),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7571),
    [anon_sym_BSLASHgls] = ACTIONS(7571),
    [anon_sym_BSLASHGls] = ACTIONS(7571),
    [anon_sym_BSLASHGLS] = ACTIONS(7571),
    [anon_sym_BSLASHglspl] = ACTIONS(7571),
    [anon_sym_BSLASHGlspl] = ACTIONS(7571),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7571),
    [anon_sym_BSLASHglslink] = ACTIONS(7571),
    [anon_sym_BSLASHglstext] = ACTIONS(7571),
    [anon_sym_BSLASHGlstext] = ACTIONS(7571),
    [anon_sym_BSLASHGLStext] = ACTIONS(7571),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7571),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7571),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7571),
    [anon_sym_BSLASHglsplural] = ACTIONS(7571),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7571),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7571),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHglsname] = ACTIONS(7571),
    [anon_sym_BSLASHGlsname] = ACTIONS(7571),
    [anon_sym_BSLASHGLSname] = ACTIONS(7571),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7571),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7571),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7571),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7571),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7571),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7571),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7571),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7571),
    [anon_sym_BSLASHacrshort] = ACTIONS(7571),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7571),
    [anon_sym_BSLASHACRshort] = ACTIONS(7571),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHacrlong] = ACTIONS(7571),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7571),
    [anon_sym_BSLASHACRlong] = ACTIONS(7571),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHacrfull] = ACTIONS(7571),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7571),
    [anon_sym_BSLASHACRfull] = ACTIONS(7571),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHacs] = ACTIONS(7571),
    [anon_sym_BSLASHAcs] = ACTIONS(7571),
    [anon_sym_BSLASHacsp] = ACTIONS(7571),
    [anon_sym_BSLASHAcsp] = ACTIONS(7571),
    [anon_sym_BSLASHacl] = ACTIONS(7571),
    [anon_sym_BSLASHAcl] = ACTIONS(7571),
    [anon_sym_BSLASHaclp] = ACTIONS(7571),
    [anon_sym_BSLASHAclp] = ACTIONS(7571),
    [anon_sym_BSLASHacf] = ACTIONS(7571),
    [anon_sym_BSLASHAcf] = ACTIONS(7571),
    [anon_sym_BSLASHacfp] = ACTIONS(7571),
    [anon_sym_BSLASHAcfp] = ACTIONS(7571),
    [anon_sym_BSLASHac] = ACTIONS(7571),
    [anon_sym_BSLASHAc] = ACTIONS(7571),
    [anon_sym_BSLASHacp] = ACTIONS(7571),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7571),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7571),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7571),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7571),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7571),
    [anon_sym_BSLASHcolor] = ACTIONS(7571),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7571),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7571),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7571),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7571),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7571),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7571),
    [anon_sym_BSLASHurl] = ACTIONS(7571),
    [anon_sym_BSLASHhref] = ACTIONS(7571),
  },
  [1110] = {
    [ts_builtin_sym_end] = ACTIONS(7577),
    [sym_command_name] = ACTIONS(7575),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7575),
    [anon_sym_LBRACK] = ACTIONS(7577),
    [anon_sym_RBRACK] = ACTIONS(7577),
    [anon_sym_COMMA] = ACTIONS(7577),
    [anon_sym_EQ] = ACTIONS(7577),
    [anon_sym_LPAREN] = ACTIONS(7577),
    [anon_sym_RPAREN] = ACTIONS(7577),
    [anon_sym_BSLASHpart] = ACTIONS(7575),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHaddpart] = ACTIONS(7575),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHchapter] = ACTIONS(7575),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHaddchap] = ACTIONS(7575),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHsection] = ACTIONS(7575),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHaddsec] = ACTIONS(7575),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHsubsection] = ACTIONS(7575),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7575),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHparagraph] = ACTIONS(7575),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7575),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHitem] = ACTIONS(7575),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7577),
    [anon_sym_LBRACE] = ACTIONS(7577),
    [anon_sym_RBRACE] = ACTIONS(7577),
    [sym_word] = ACTIONS(7575),
    [sym_placeholder] = ACTIONS(7577),
    [sym_delimiter] = ACTIONS(7577),
    [anon_sym_PLUS] = ACTIONS(7577),
    [anon_sym_DASH] = ACTIONS(7577),
    [anon_sym_STAR] = ACTIONS(7577),
    [anon_sym_SLASH] = ACTIONS(7577),
    [anon_sym_LT] = ACTIONS(7575),
    [anon_sym_GT] = ACTIONS(7575),
    [anon_sym_BANG] = ACTIONS(7575),
    [anon_sym_PIPE] = ACTIONS(7575),
    [anon_sym_COLON] = ACTIONS(7575),
    [anon_sym_SQUOTE] = ACTIONS(7575),
    [anon_sym__] = ACTIONS(7577),
    [anon_sym_CARET] = ACTIONS(7577),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7577),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7577),
    [anon_sym_DOLLAR] = ACTIONS(7575),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7577),
    [anon_sym_BSLASHleft] = ACTIONS(7575),
    [anon_sym_BSLASHbigl] = ACTIONS(7575),
    [anon_sym_BSLASHBigl] = ACTIONS(7575),
    [anon_sym_BSLASHbiggl] = ACTIONS(7575),
    [anon_sym_BSLASHBiggl] = ACTIONS(7575),
    [anon_sym_BSLASHtext] = ACTIONS(7575),
    [anon_sym_BSLASHintertext] = ACTIONS(7575),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7575),
    [anon_sym_BSLASHbegin] = ACTIONS(7575),
    [anon_sym_BSLASHtitle] = ACTIONS(7575),
    [anon_sym_BSLASHauthor] = ACTIONS(7575),
    [anon_sym_BSLASHusepackage] = ACTIONS(7575),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7575),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7575),
    [anon_sym_BSLASHinclude] = ACTIONS(7575),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7575),
    [anon_sym_BSLASHinput] = ACTIONS(7575),
    [anon_sym_BSLASHsubfile] = ACTIONS(7575),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7575),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7575),
    [anon_sym_BSLASHbibliography] = ACTIONS(7575),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7575),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7575),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7575),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7575),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7575),
    [anon_sym_BSLASHimport] = ACTIONS(7575),
    [anon_sym_BSLASHsubimport] = ACTIONS(7575),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7575),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7575),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7575),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7575),
    [anon_sym_BSLASHcaption] = ACTIONS(7575),
    [anon_sym_BSLASHcite] = ACTIONS(7575),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCite] = ACTIONS(7575),
    [anon_sym_BSLASHnocite] = ACTIONS(7575),
    [anon_sym_BSLASHcitet] = ACTIONS(7575),
    [anon_sym_BSLASHcitep] = ACTIONS(7575),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteA] = ACTIONS(7575),
    [anon_sym_BSLASHciteR] = ACTIONS(7575),
    [anon_sym_BSLASHciteS] = ACTIONS(7575),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7575),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7575),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7575),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7575),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteyear] = ACTIONS(7575),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitedate] = ACTIONS(7575),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteurl] = ACTIONS(7575),
    [anon_sym_BSLASHfullcite] = ACTIONS(7575),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7575),
    [anon_sym_BSLASHcitealt] = ACTIONS(7575),
    [anon_sym_BSLASHcitealp] = ACTIONS(7575),
    [anon_sym_BSLASHcitetext] = ACTIONS(7575),
    [anon_sym_BSLASHparencite] = ACTIONS(7575),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHParencite] = ACTIONS(7575),
    [anon_sym_BSLASHfootcite] = ACTIONS(7575),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7575),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7575),
    [anon_sym_BSLASHtextcite] = ACTIONS(7575),
    [anon_sym_BSLASHTextcite] = ACTIONS(7575),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7575),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7575),
    [anon_sym_BSLASHsupercite] = ACTIONS(7575),
    [anon_sym_BSLASHautocite] = ACTIONS(7575),
    [anon_sym_BSLASHAutocite] = ACTIONS(7575),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHVolcite] = ACTIONS(7575),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHavolcite] = ACTIONS(7575),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHNotecite] = ACTIONS(7575),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHlabel] = ACTIONS(7575),
    [anon_sym_BSLASHref] = ACTIONS(7575),
    [anon_sym_BSLASHeqref] = ACTIONS(7575),
    [anon_sym_BSLASHvref] = ACTIONS(7575),
    [anon_sym_BSLASHVref] = ACTIONS(7575),
    [anon_sym_BSLASHautoref] = ACTIONS(7575),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHpageref] = ACTIONS(7575),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHautopageref] = ACTIONS(7575),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcref] = ACTIONS(7575),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCref] = ACTIONS(7575),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcpageref] = ACTIONS(7575),
    [anon_sym_BSLASHCpageref] = ACTIONS(7575),
    [anon_sym_BSLASHnamecref] = ACTIONS(7575),
    [anon_sym_BSLASHnameCref] = ACTIONS(7575),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7575),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7575),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7575),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7575),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7575),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7575),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7575),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7575),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7575),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7575),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7575),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHdef] = ACTIONS(7575),
    [anon_sym_BSLASHgdef] = ACTIONS(7575),
    [anon_sym_BSLASHedef] = ACTIONS(7575),
    [anon_sym_BSLASHxdef] = ACTIONS(7575),
    [anon_sym_BSLASHlet] = ACTIONS(7575),
    [anon_sym_BSLASHglet] = ACTIONS(7575),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7575),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7575),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7575),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7575),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7575),
    [anon_sym_BSLASHgls] = ACTIONS(7575),
    [anon_sym_BSLASHGls] = ACTIONS(7575),
    [anon_sym_BSLASHGLS] = ACTIONS(7575),
    [anon_sym_BSLASHglspl] = ACTIONS(7575),
    [anon_sym_BSLASHGlspl] = ACTIONS(7575),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7575),
    [anon_sym_BSLASHglslink] = ACTIONS(7575),
    [anon_sym_BSLASHglstext] = ACTIONS(7575),
    [anon_sym_BSLASHGlstext] = ACTIONS(7575),
    [anon_sym_BSLASHGLStext] = ACTIONS(7575),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7575),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7575),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7575),
    [anon_sym_BSLASHglsplural] = ACTIONS(7575),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7575),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7575),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHglsname] = ACTIONS(7575),
    [anon_sym_BSLASHGlsname] = ACTIONS(7575),
    [anon_sym_BSLASHGLSname] = ACTIONS(7575),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7575),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7575),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7575),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7575),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7575),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7575),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7575),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7575),
    [anon_sym_BSLASHacrshort] = ACTIONS(7575),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7575),
    [anon_sym_BSLASHACRshort] = ACTIONS(7575),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHacrlong] = ACTIONS(7575),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7575),
    [anon_sym_BSLASHACRlong] = ACTIONS(7575),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHacrfull] = ACTIONS(7575),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7575),
    [anon_sym_BSLASHACRfull] = ACTIONS(7575),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHacs] = ACTIONS(7575),
    [anon_sym_BSLASHAcs] = ACTIONS(7575),
    [anon_sym_BSLASHacsp] = ACTIONS(7575),
    [anon_sym_BSLASHAcsp] = ACTIONS(7575),
    [anon_sym_BSLASHacl] = ACTIONS(7575),
    [anon_sym_BSLASHAcl] = ACTIONS(7575),
    [anon_sym_BSLASHaclp] = ACTIONS(7575),
    [anon_sym_BSLASHAclp] = ACTIONS(7575),
    [anon_sym_BSLASHacf] = ACTIONS(7575),
    [anon_sym_BSLASHAcf] = ACTIONS(7575),
    [anon_sym_BSLASHacfp] = ACTIONS(7575),
    [anon_sym_BSLASHAcfp] = ACTIONS(7575),
    [anon_sym_BSLASHac] = ACTIONS(7575),
    [anon_sym_BSLASHAc] = ACTIONS(7575),
    [anon_sym_BSLASHacp] = ACTIONS(7575),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7575),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7575),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7575),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7575),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7575),
    [anon_sym_BSLASHcolor] = ACTIONS(7575),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7575),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7575),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7575),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7575),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7575),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7575),
    [anon_sym_BSLASHurl] = ACTIONS(7575),
    [anon_sym_BSLASHhref] = ACTIONS(7575),
  },
  [1111] = {
    [ts_builtin_sym_end] = ACTIONS(7581),
    [sym_command_name] = ACTIONS(7579),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7579),
    [anon_sym_LBRACK] = ACTIONS(7581),
    [anon_sym_RBRACK] = ACTIONS(7581),
    [anon_sym_COMMA] = ACTIONS(7581),
    [anon_sym_EQ] = ACTIONS(7581),
    [anon_sym_LPAREN] = ACTIONS(7581),
    [anon_sym_RPAREN] = ACTIONS(7581),
    [anon_sym_BSLASHpart] = ACTIONS(7579),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHaddpart] = ACTIONS(7579),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHchapter] = ACTIONS(7579),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHaddchap] = ACTIONS(7579),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHsection] = ACTIONS(7579),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHaddsec] = ACTIONS(7579),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHsubsection] = ACTIONS(7579),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7579),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHparagraph] = ACTIONS(7579),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7579),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHitem] = ACTIONS(7579),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7581),
    [anon_sym_LBRACE] = ACTIONS(7581),
    [anon_sym_RBRACE] = ACTIONS(7581),
    [sym_word] = ACTIONS(7579),
    [sym_placeholder] = ACTIONS(7581),
    [sym_delimiter] = ACTIONS(7581),
    [anon_sym_PLUS] = ACTIONS(7581),
    [anon_sym_DASH] = ACTIONS(7581),
    [anon_sym_STAR] = ACTIONS(7581),
    [anon_sym_SLASH] = ACTIONS(7581),
    [anon_sym_LT] = ACTIONS(7579),
    [anon_sym_GT] = ACTIONS(7579),
    [anon_sym_BANG] = ACTIONS(7579),
    [anon_sym_PIPE] = ACTIONS(7579),
    [anon_sym_COLON] = ACTIONS(7579),
    [anon_sym_SQUOTE] = ACTIONS(7579),
    [anon_sym__] = ACTIONS(7581),
    [anon_sym_CARET] = ACTIONS(7581),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7581),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7581),
    [anon_sym_DOLLAR] = ACTIONS(7579),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7581),
    [anon_sym_BSLASHleft] = ACTIONS(7579),
    [anon_sym_BSLASHbigl] = ACTIONS(7579),
    [anon_sym_BSLASHBigl] = ACTIONS(7579),
    [anon_sym_BSLASHbiggl] = ACTIONS(7579),
    [anon_sym_BSLASHBiggl] = ACTIONS(7579),
    [anon_sym_BSLASHtext] = ACTIONS(7579),
    [anon_sym_BSLASHintertext] = ACTIONS(7579),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7579),
    [anon_sym_BSLASHbegin] = ACTIONS(7579),
    [anon_sym_BSLASHtitle] = ACTIONS(7579),
    [anon_sym_BSLASHauthor] = ACTIONS(7579),
    [anon_sym_BSLASHusepackage] = ACTIONS(7579),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7579),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7579),
    [anon_sym_BSLASHinclude] = ACTIONS(7579),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7579),
    [anon_sym_BSLASHinput] = ACTIONS(7579),
    [anon_sym_BSLASHsubfile] = ACTIONS(7579),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7579),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7579),
    [anon_sym_BSLASHbibliography] = ACTIONS(7579),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7579),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7579),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7579),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7579),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7579),
    [anon_sym_BSLASHimport] = ACTIONS(7579),
    [anon_sym_BSLASHsubimport] = ACTIONS(7579),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7579),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7579),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7579),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7579),
    [anon_sym_BSLASHcaption] = ACTIONS(7579),
    [anon_sym_BSLASHcite] = ACTIONS(7579),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCite] = ACTIONS(7579),
    [anon_sym_BSLASHnocite] = ACTIONS(7579),
    [anon_sym_BSLASHcitet] = ACTIONS(7579),
    [anon_sym_BSLASHcitep] = ACTIONS(7579),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteA] = ACTIONS(7579),
    [anon_sym_BSLASHciteR] = ACTIONS(7579),
    [anon_sym_BSLASHciteS] = ACTIONS(7579),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7579),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7579),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7579),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7579),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteyear] = ACTIONS(7579),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitedate] = ACTIONS(7579),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteurl] = ACTIONS(7579),
    [anon_sym_BSLASHfullcite] = ACTIONS(7579),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7579),
    [anon_sym_BSLASHcitealt] = ACTIONS(7579),
    [anon_sym_BSLASHcitealp] = ACTIONS(7579),
    [anon_sym_BSLASHcitetext] = ACTIONS(7579),
    [anon_sym_BSLASHparencite] = ACTIONS(7579),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHParencite] = ACTIONS(7579),
    [anon_sym_BSLASHfootcite] = ACTIONS(7579),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7579),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7579),
    [anon_sym_BSLASHtextcite] = ACTIONS(7579),
    [anon_sym_BSLASHTextcite] = ACTIONS(7579),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7579),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7579),
    [anon_sym_BSLASHsupercite] = ACTIONS(7579),
    [anon_sym_BSLASHautocite] = ACTIONS(7579),
    [anon_sym_BSLASHAutocite] = ACTIONS(7579),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHVolcite] = ACTIONS(7579),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHavolcite] = ACTIONS(7579),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHNotecite] = ACTIONS(7579),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHlabel] = ACTIONS(7579),
    [anon_sym_BSLASHref] = ACTIONS(7579),
    [anon_sym_BSLASHeqref] = ACTIONS(7579),
    [anon_sym_BSLASHvref] = ACTIONS(7579),
    [anon_sym_BSLASHVref] = ACTIONS(7579),
    [anon_sym_BSLASHautoref] = ACTIONS(7579),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHpageref] = ACTIONS(7579),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHautopageref] = ACTIONS(7579),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcref] = ACTIONS(7579),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCref] = ACTIONS(7579),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcpageref] = ACTIONS(7579),
    [anon_sym_BSLASHCpageref] = ACTIONS(7579),
    [anon_sym_BSLASHnamecref] = ACTIONS(7579),
    [anon_sym_BSLASHnameCref] = ACTIONS(7579),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7579),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7579),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7579),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7579),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7579),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7579),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7579),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7579),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7579),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7579),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7579),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHdef] = ACTIONS(7579),
    [anon_sym_BSLASHgdef] = ACTIONS(7579),
    [anon_sym_BSLASHedef] = ACTIONS(7579),
    [anon_sym_BSLASHxdef] = ACTIONS(7579),
    [anon_sym_BSLASHlet] = ACTIONS(7579),
    [anon_sym_BSLASHglet] = ACTIONS(7579),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7579),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7579),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7579),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7579),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7579),
    [anon_sym_BSLASHgls] = ACTIONS(7579),
    [anon_sym_BSLASHGls] = ACTIONS(7579),
    [anon_sym_BSLASHGLS] = ACTIONS(7579),
    [anon_sym_BSLASHglspl] = ACTIONS(7579),
    [anon_sym_BSLASHGlspl] = ACTIONS(7579),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7579),
    [anon_sym_BSLASHglslink] = ACTIONS(7579),
    [anon_sym_BSLASHglstext] = ACTIONS(7579),
    [anon_sym_BSLASHGlstext] = ACTIONS(7579),
    [anon_sym_BSLASHGLStext] = ACTIONS(7579),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7579),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7579),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7579),
    [anon_sym_BSLASHglsplural] = ACTIONS(7579),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7579),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7579),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHglsname] = ACTIONS(7579),
    [anon_sym_BSLASHGlsname] = ACTIONS(7579),
    [anon_sym_BSLASHGLSname] = ACTIONS(7579),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7579),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7579),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7579),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7579),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7579),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7579),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7579),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7579),
    [anon_sym_BSLASHacrshort] = ACTIONS(7579),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7579),
    [anon_sym_BSLASHACRshort] = ACTIONS(7579),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHacrlong] = ACTIONS(7579),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7579),
    [anon_sym_BSLASHACRlong] = ACTIONS(7579),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHacrfull] = ACTIONS(7579),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7579),
    [anon_sym_BSLASHACRfull] = ACTIONS(7579),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHacs] = ACTIONS(7579),
    [anon_sym_BSLASHAcs] = ACTIONS(7579),
    [anon_sym_BSLASHacsp] = ACTIONS(7579),
    [anon_sym_BSLASHAcsp] = ACTIONS(7579),
    [anon_sym_BSLASHacl] = ACTIONS(7579),
    [anon_sym_BSLASHAcl] = ACTIONS(7579),
    [anon_sym_BSLASHaclp] = ACTIONS(7579),
    [anon_sym_BSLASHAclp] = ACTIONS(7579),
    [anon_sym_BSLASHacf] = ACTIONS(7579),
    [anon_sym_BSLASHAcf] = ACTIONS(7579),
    [anon_sym_BSLASHacfp] = ACTIONS(7579),
    [anon_sym_BSLASHAcfp] = ACTIONS(7579),
    [anon_sym_BSLASHac] = ACTIONS(7579),
    [anon_sym_BSLASHAc] = ACTIONS(7579),
    [anon_sym_BSLASHacp] = ACTIONS(7579),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7579),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7579),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7579),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7579),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7579),
    [anon_sym_BSLASHcolor] = ACTIONS(7579),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7579),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7579),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7579),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7579),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7579),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7579),
    [anon_sym_BSLASHurl] = ACTIONS(7579),
    [anon_sym_BSLASHhref] = ACTIONS(7579),
  },
  [1112] = {
    [ts_builtin_sym_end] = ACTIONS(7585),
    [sym_command_name] = ACTIONS(7583),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7583),
    [anon_sym_LBRACK] = ACTIONS(7585),
    [anon_sym_RBRACK] = ACTIONS(7585),
    [anon_sym_COMMA] = ACTIONS(7585),
    [anon_sym_EQ] = ACTIONS(7585),
    [anon_sym_LPAREN] = ACTIONS(7585),
    [anon_sym_RPAREN] = ACTIONS(7585),
    [anon_sym_BSLASHpart] = ACTIONS(7583),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHaddpart] = ACTIONS(7583),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHchapter] = ACTIONS(7583),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHaddchap] = ACTIONS(7583),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHsection] = ACTIONS(7583),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHaddsec] = ACTIONS(7583),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHsubsection] = ACTIONS(7583),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7583),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHparagraph] = ACTIONS(7583),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7583),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHitem] = ACTIONS(7583),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7585),
    [anon_sym_LBRACE] = ACTIONS(7585),
    [anon_sym_RBRACE] = ACTIONS(7585),
    [sym_word] = ACTIONS(7583),
    [sym_placeholder] = ACTIONS(7585),
    [sym_delimiter] = ACTIONS(7585),
    [anon_sym_PLUS] = ACTIONS(7585),
    [anon_sym_DASH] = ACTIONS(7585),
    [anon_sym_STAR] = ACTIONS(7585),
    [anon_sym_SLASH] = ACTIONS(7585),
    [anon_sym_LT] = ACTIONS(7583),
    [anon_sym_GT] = ACTIONS(7583),
    [anon_sym_BANG] = ACTIONS(7583),
    [anon_sym_PIPE] = ACTIONS(7583),
    [anon_sym_COLON] = ACTIONS(7583),
    [anon_sym_SQUOTE] = ACTIONS(7583),
    [anon_sym__] = ACTIONS(7585),
    [anon_sym_CARET] = ACTIONS(7585),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7585),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7585),
    [anon_sym_DOLLAR] = ACTIONS(7583),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7585),
    [anon_sym_BSLASHleft] = ACTIONS(7583),
    [anon_sym_BSLASHbigl] = ACTIONS(7583),
    [anon_sym_BSLASHBigl] = ACTIONS(7583),
    [anon_sym_BSLASHbiggl] = ACTIONS(7583),
    [anon_sym_BSLASHBiggl] = ACTIONS(7583),
    [anon_sym_BSLASHtext] = ACTIONS(7583),
    [anon_sym_BSLASHintertext] = ACTIONS(7583),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7583),
    [anon_sym_BSLASHbegin] = ACTIONS(7583),
    [anon_sym_BSLASHtitle] = ACTIONS(7583),
    [anon_sym_BSLASHauthor] = ACTIONS(7583),
    [anon_sym_BSLASHusepackage] = ACTIONS(7583),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7583),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7583),
    [anon_sym_BSLASHinclude] = ACTIONS(7583),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7583),
    [anon_sym_BSLASHinput] = ACTIONS(7583),
    [anon_sym_BSLASHsubfile] = ACTIONS(7583),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7583),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7583),
    [anon_sym_BSLASHbibliography] = ACTIONS(7583),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7583),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7583),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7583),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7583),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7583),
    [anon_sym_BSLASHimport] = ACTIONS(7583),
    [anon_sym_BSLASHsubimport] = ACTIONS(7583),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7583),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7583),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7583),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7583),
    [anon_sym_BSLASHcaption] = ACTIONS(7583),
    [anon_sym_BSLASHcite] = ACTIONS(7583),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCite] = ACTIONS(7583),
    [anon_sym_BSLASHnocite] = ACTIONS(7583),
    [anon_sym_BSLASHcitet] = ACTIONS(7583),
    [anon_sym_BSLASHcitep] = ACTIONS(7583),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteA] = ACTIONS(7583),
    [anon_sym_BSLASHciteR] = ACTIONS(7583),
    [anon_sym_BSLASHciteS] = ACTIONS(7583),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7583),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7583),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7583),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7583),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteyear] = ACTIONS(7583),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitedate] = ACTIONS(7583),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteurl] = ACTIONS(7583),
    [anon_sym_BSLASHfullcite] = ACTIONS(7583),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7583),
    [anon_sym_BSLASHcitealt] = ACTIONS(7583),
    [anon_sym_BSLASHcitealp] = ACTIONS(7583),
    [anon_sym_BSLASHcitetext] = ACTIONS(7583),
    [anon_sym_BSLASHparencite] = ACTIONS(7583),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHParencite] = ACTIONS(7583),
    [anon_sym_BSLASHfootcite] = ACTIONS(7583),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7583),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7583),
    [anon_sym_BSLASHtextcite] = ACTIONS(7583),
    [anon_sym_BSLASHTextcite] = ACTIONS(7583),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7583),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7583),
    [anon_sym_BSLASHsupercite] = ACTIONS(7583),
    [anon_sym_BSLASHautocite] = ACTIONS(7583),
    [anon_sym_BSLASHAutocite] = ACTIONS(7583),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHVolcite] = ACTIONS(7583),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHavolcite] = ACTIONS(7583),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHNotecite] = ACTIONS(7583),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHlabel] = ACTIONS(7583),
    [anon_sym_BSLASHref] = ACTIONS(7583),
    [anon_sym_BSLASHeqref] = ACTIONS(7583),
    [anon_sym_BSLASHvref] = ACTIONS(7583),
    [anon_sym_BSLASHVref] = ACTIONS(7583),
    [anon_sym_BSLASHautoref] = ACTIONS(7583),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHpageref] = ACTIONS(7583),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHautopageref] = ACTIONS(7583),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcref] = ACTIONS(7583),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCref] = ACTIONS(7583),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcpageref] = ACTIONS(7583),
    [anon_sym_BSLASHCpageref] = ACTIONS(7583),
    [anon_sym_BSLASHnamecref] = ACTIONS(7583),
    [anon_sym_BSLASHnameCref] = ACTIONS(7583),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7583),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7583),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7583),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7583),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7583),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7583),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7583),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7583),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7583),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7583),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7583),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHdef] = ACTIONS(7583),
    [anon_sym_BSLASHgdef] = ACTIONS(7583),
    [anon_sym_BSLASHedef] = ACTIONS(7583),
    [anon_sym_BSLASHxdef] = ACTIONS(7583),
    [anon_sym_BSLASHlet] = ACTIONS(7583),
    [anon_sym_BSLASHglet] = ACTIONS(7583),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7583),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7583),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7583),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7583),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7583),
    [anon_sym_BSLASHgls] = ACTIONS(7583),
    [anon_sym_BSLASHGls] = ACTIONS(7583),
    [anon_sym_BSLASHGLS] = ACTIONS(7583),
    [anon_sym_BSLASHglspl] = ACTIONS(7583),
    [anon_sym_BSLASHGlspl] = ACTIONS(7583),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7583),
    [anon_sym_BSLASHglslink] = ACTIONS(7583),
    [anon_sym_BSLASHglstext] = ACTIONS(7583),
    [anon_sym_BSLASHGlstext] = ACTIONS(7583),
    [anon_sym_BSLASHGLStext] = ACTIONS(7583),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7583),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7583),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7583),
    [anon_sym_BSLASHglsplural] = ACTIONS(7583),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7583),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7583),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHglsname] = ACTIONS(7583),
    [anon_sym_BSLASHGlsname] = ACTIONS(7583),
    [anon_sym_BSLASHGLSname] = ACTIONS(7583),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7583),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7583),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7583),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7583),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7583),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7583),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7583),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7583),
    [anon_sym_BSLASHacrshort] = ACTIONS(7583),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7583),
    [anon_sym_BSLASHACRshort] = ACTIONS(7583),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHacrlong] = ACTIONS(7583),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7583),
    [anon_sym_BSLASHACRlong] = ACTIONS(7583),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHacrfull] = ACTIONS(7583),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7583),
    [anon_sym_BSLASHACRfull] = ACTIONS(7583),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHacs] = ACTIONS(7583),
    [anon_sym_BSLASHAcs] = ACTIONS(7583),
    [anon_sym_BSLASHacsp] = ACTIONS(7583),
    [anon_sym_BSLASHAcsp] = ACTIONS(7583),
    [anon_sym_BSLASHacl] = ACTIONS(7583),
    [anon_sym_BSLASHAcl] = ACTIONS(7583),
    [anon_sym_BSLASHaclp] = ACTIONS(7583),
    [anon_sym_BSLASHAclp] = ACTIONS(7583),
    [anon_sym_BSLASHacf] = ACTIONS(7583),
    [anon_sym_BSLASHAcf] = ACTIONS(7583),
    [anon_sym_BSLASHacfp] = ACTIONS(7583),
    [anon_sym_BSLASHAcfp] = ACTIONS(7583),
    [anon_sym_BSLASHac] = ACTIONS(7583),
    [anon_sym_BSLASHAc] = ACTIONS(7583),
    [anon_sym_BSLASHacp] = ACTIONS(7583),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7583),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7583),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7583),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7583),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7583),
    [anon_sym_BSLASHcolor] = ACTIONS(7583),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7583),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7583),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7583),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7583),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7583),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7583),
    [anon_sym_BSLASHurl] = ACTIONS(7583),
    [anon_sym_BSLASHhref] = ACTIONS(7583),
  },
  [1113] = {
    [ts_builtin_sym_end] = ACTIONS(7589),
    [sym_command_name] = ACTIONS(7587),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7587),
    [anon_sym_LBRACK] = ACTIONS(7589),
    [anon_sym_RBRACK] = ACTIONS(7589),
    [anon_sym_COMMA] = ACTIONS(7589),
    [anon_sym_EQ] = ACTIONS(7589),
    [anon_sym_LPAREN] = ACTIONS(7589),
    [anon_sym_RPAREN] = ACTIONS(7589),
    [anon_sym_BSLASHpart] = ACTIONS(7587),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHaddpart] = ACTIONS(7587),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHchapter] = ACTIONS(7587),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHaddchap] = ACTIONS(7587),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHsection] = ACTIONS(7587),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHaddsec] = ACTIONS(7587),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHsubsection] = ACTIONS(7587),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7587),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHparagraph] = ACTIONS(7587),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7587),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHitem] = ACTIONS(7587),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7589),
    [anon_sym_LBRACE] = ACTIONS(7589),
    [anon_sym_RBRACE] = ACTIONS(7589),
    [sym_word] = ACTIONS(7587),
    [sym_placeholder] = ACTIONS(7589),
    [sym_delimiter] = ACTIONS(7589),
    [anon_sym_PLUS] = ACTIONS(7589),
    [anon_sym_DASH] = ACTIONS(7589),
    [anon_sym_STAR] = ACTIONS(7589),
    [anon_sym_SLASH] = ACTIONS(7589),
    [anon_sym_LT] = ACTIONS(7587),
    [anon_sym_GT] = ACTIONS(7587),
    [anon_sym_BANG] = ACTIONS(7587),
    [anon_sym_PIPE] = ACTIONS(7587),
    [anon_sym_COLON] = ACTIONS(7587),
    [anon_sym_SQUOTE] = ACTIONS(7587),
    [anon_sym__] = ACTIONS(7589),
    [anon_sym_CARET] = ACTIONS(7589),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7589),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7589),
    [anon_sym_DOLLAR] = ACTIONS(7587),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7589),
    [anon_sym_BSLASHleft] = ACTIONS(7587),
    [anon_sym_BSLASHbigl] = ACTIONS(7587),
    [anon_sym_BSLASHBigl] = ACTIONS(7587),
    [anon_sym_BSLASHbiggl] = ACTIONS(7587),
    [anon_sym_BSLASHBiggl] = ACTIONS(7587),
    [anon_sym_BSLASHtext] = ACTIONS(7587),
    [anon_sym_BSLASHintertext] = ACTIONS(7587),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7587),
    [anon_sym_BSLASHbegin] = ACTIONS(7587),
    [anon_sym_BSLASHtitle] = ACTIONS(7587),
    [anon_sym_BSLASHauthor] = ACTIONS(7587),
    [anon_sym_BSLASHusepackage] = ACTIONS(7587),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7587),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7587),
    [anon_sym_BSLASHinclude] = ACTIONS(7587),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7587),
    [anon_sym_BSLASHinput] = ACTIONS(7587),
    [anon_sym_BSLASHsubfile] = ACTIONS(7587),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7587),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7587),
    [anon_sym_BSLASHbibliography] = ACTIONS(7587),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7587),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7587),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7587),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7587),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7587),
    [anon_sym_BSLASHimport] = ACTIONS(7587),
    [anon_sym_BSLASHsubimport] = ACTIONS(7587),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7587),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7587),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7587),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7587),
    [anon_sym_BSLASHcaption] = ACTIONS(7587),
    [anon_sym_BSLASHcite] = ACTIONS(7587),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCite] = ACTIONS(7587),
    [anon_sym_BSLASHnocite] = ACTIONS(7587),
    [anon_sym_BSLASHcitet] = ACTIONS(7587),
    [anon_sym_BSLASHcitep] = ACTIONS(7587),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteA] = ACTIONS(7587),
    [anon_sym_BSLASHciteR] = ACTIONS(7587),
    [anon_sym_BSLASHciteS] = ACTIONS(7587),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7587),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7587),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7587),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7587),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteyear] = ACTIONS(7587),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitedate] = ACTIONS(7587),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteurl] = ACTIONS(7587),
    [anon_sym_BSLASHfullcite] = ACTIONS(7587),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7587),
    [anon_sym_BSLASHcitealt] = ACTIONS(7587),
    [anon_sym_BSLASHcitealp] = ACTIONS(7587),
    [anon_sym_BSLASHcitetext] = ACTIONS(7587),
    [anon_sym_BSLASHparencite] = ACTIONS(7587),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHParencite] = ACTIONS(7587),
    [anon_sym_BSLASHfootcite] = ACTIONS(7587),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7587),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7587),
    [anon_sym_BSLASHtextcite] = ACTIONS(7587),
    [anon_sym_BSLASHTextcite] = ACTIONS(7587),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7587),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7587),
    [anon_sym_BSLASHsupercite] = ACTIONS(7587),
    [anon_sym_BSLASHautocite] = ACTIONS(7587),
    [anon_sym_BSLASHAutocite] = ACTIONS(7587),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHVolcite] = ACTIONS(7587),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHavolcite] = ACTIONS(7587),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHNotecite] = ACTIONS(7587),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHlabel] = ACTIONS(7587),
    [anon_sym_BSLASHref] = ACTIONS(7587),
    [anon_sym_BSLASHeqref] = ACTIONS(7587),
    [anon_sym_BSLASHvref] = ACTIONS(7587),
    [anon_sym_BSLASHVref] = ACTIONS(7587),
    [anon_sym_BSLASHautoref] = ACTIONS(7587),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHpageref] = ACTIONS(7587),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHautopageref] = ACTIONS(7587),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcref] = ACTIONS(7587),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCref] = ACTIONS(7587),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcpageref] = ACTIONS(7587),
    [anon_sym_BSLASHCpageref] = ACTIONS(7587),
    [anon_sym_BSLASHnamecref] = ACTIONS(7587),
    [anon_sym_BSLASHnameCref] = ACTIONS(7587),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7587),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7587),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7587),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7587),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7587),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7587),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7587),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7587),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7587),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7587),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7587),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHdef] = ACTIONS(7587),
    [anon_sym_BSLASHgdef] = ACTIONS(7587),
    [anon_sym_BSLASHedef] = ACTIONS(7587),
    [anon_sym_BSLASHxdef] = ACTIONS(7587),
    [anon_sym_BSLASHlet] = ACTIONS(7587),
    [anon_sym_BSLASHglet] = ACTIONS(7587),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7587),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7587),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7587),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7587),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7587),
    [anon_sym_BSLASHgls] = ACTIONS(7587),
    [anon_sym_BSLASHGls] = ACTIONS(7587),
    [anon_sym_BSLASHGLS] = ACTIONS(7587),
    [anon_sym_BSLASHglspl] = ACTIONS(7587),
    [anon_sym_BSLASHGlspl] = ACTIONS(7587),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7587),
    [anon_sym_BSLASHglslink] = ACTIONS(7587),
    [anon_sym_BSLASHglstext] = ACTIONS(7587),
    [anon_sym_BSLASHGlstext] = ACTIONS(7587),
    [anon_sym_BSLASHGLStext] = ACTIONS(7587),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7587),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7587),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7587),
    [anon_sym_BSLASHglsplural] = ACTIONS(7587),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7587),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7587),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHglsname] = ACTIONS(7587),
    [anon_sym_BSLASHGlsname] = ACTIONS(7587),
    [anon_sym_BSLASHGLSname] = ACTIONS(7587),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7587),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7587),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7587),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7587),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7587),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7587),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7587),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7587),
    [anon_sym_BSLASHacrshort] = ACTIONS(7587),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7587),
    [anon_sym_BSLASHACRshort] = ACTIONS(7587),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHacrlong] = ACTIONS(7587),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7587),
    [anon_sym_BSLASHACRlong] = ACTIONS(7587),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHacrfull] = ACTIONS(7587),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7587),
    [anon_sym_BSLASHACRfull] = ACTIONS(7587),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHacs] = ACTIONS(7587),
    [anon_sym_BSLASHAcs] = ACTIONS(7587),
    [anon_sym_BSLASHacsp] = ACTIONS(7587),
    [anon_sym_BSLASHAcsp] = ACTIONS(7587),
    [anon_sym_BSLASHacl] = ACTIONS(7587),
    [anon_sym_BSLASHAcl] = ACTIONS(7587),
    [anon_sym_BSLASHaclp] = ACTIONS(7587),
    [anon_sym_BSLASHAclp] = ACTIONS(7587),
    [anon_sym_BSLASHacf] = ACTIONS(7587),
    [anon_sym_BSLASHAcf] = ACTIONS(7587),
    [anon_sym_BSLASHacfp] = ACTIONS(7587),
    [anon_sym_BSLASHAcfp] = ACTIONS(7587),
    [anon_sym_BSLASHac] = ACTIONS(7587),
    [anon_sym_BSLASHAc] = ACTIONS(7587),
    [anon_sym_BSLASHacp] = ACTIONS(7587),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7587),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7587),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7587),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7587),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7587),
    [anon_sym_BSLASHcolor] = ACTIONS(7587),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7587),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7587),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7587),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7587),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7587),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7587),
    [anon_sym_BSLASHurl] = ACTIONS(7587),
    [anon_sym_BSLASHhref] = ACTIONS(7587),
  },
  [1114] = {
    [ts_builtin_sym_end] = ACTIONS(7593),
    [sym_command_name] = ACTIONS(7591),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7591),
    [anon_sym_LBRACK] = ACTIONS(7593),
    [anon_sym_RBRACK] = ACTIONS(7593),
    [anon_sym_COMMA] = ACTIONS(7593),
    [anon_sym_EQ] = ACTIONS(7593),
    [anon_sym_LPAREN] = ACTIONS(7593),
    [anon_sym_RPAREN] = ACTIONS(7593),
    [anon_sym_BSLASHpart] = ACTIONS(7591),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHaddpart] = ACTIONS(7591),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHchapter] = ACTIONS(7591),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHaddchap] = ACTIONS(7591),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHsection] = ACTIONS(7591),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHaddsec] = ACTIONS(7591),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHsubsection] = ACTIONS(7591),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7591),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHparagraph] = ACTIONS(7591),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7591),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHitem] = ACTIONS(7591),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7593),
    [anon_sym_LBRACE] = ACTIONS(7593),
    [anon_sym_RBRACE] = ACTIONS(7593),
    [sym_word] = ACTIONS(7591),
    [sym_placeholder] = ACTIONS(7593),
    [sym_delimiter] = ACTIONS(7593),
    [anon_sym_PLUS] = ACTIONS(7593),
    [anon_sym_DASH] = ACTIONS(7593),
    [anon_sym_STAR] = ACTIONS(7593),
    [anon_sym_SLASH] = ACTIONS(7593),
    [anon_sym_LT] = ACTIONS(7591),
    [anon_sym_GT] = ACTIONS(7591),
    [anon_sym_BANG] = ACTIONS(7591),
    [anon_sym_PIPE] = ACTIONS(7591),
    [anon_sym_COLON] = ACTIONS(7591),
    [anon_sym_SQUOTE] = ACTIONS(7591),
    [anon_sym__] = ACTIONS(7593),
    [anon_sym_CARET] = ACTIONS(7593),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7593),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7593),
    [anon_sym_DOLLAR] = ACTIONS(7591),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7593),
    [anon_sym_BSLASHleft] = ACTIONS(7591),
    [anon_sym_BSLASHbigl] = ACTIONS(7591),
    [anon_sym_BSLASHBigl] = ACTIONS(7591),
    [anon_sym_BSLASHbiggl] = ACTIONS(7591),
    [anon_sym_BSLASHBiggl] = ACTIONS(7591),
    [anon_sym_BSLASHtext] = ACTIONS(7591),
    [anon_sym_BSLASHintertext] = ACTIONS(7591),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7591),
    [anon_sym_BSLASHbegin] = ACTIONS(7591),
    [anon_sym_BSLASHtitle] = ACTIONS(7591),
    [anon_sym_BSLASHauthor] = ACTIONS(7591),
    [anon_sym_BSLASHusepackage] = ACTIONS(7591),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7591),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7591),
    [anon_sym_BSLASHinclude] = ACTIONS(7591),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7591),
    [anon_sym_BSLASHinput] = ACTIONS(7591),
    [anon_sym_BSLASHsubfile] = ACTIONS(7591),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7591),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7591),
    [anon_sym_BSLASHbibliography] = ACTIONS(7591),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7591),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7591),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7591),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7591),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7591),
    [anon_sym_BSLASHimport] = ACTIONS(7591),
    [anon_sym_BSLASHsubimport] = ACTIONS(7591),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7591),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7591),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7591),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7591),
    [anon_sym_BSLASHcaption] = ACTIONS(7591),
    [anon_sym_BSLASHcite] = ACTIONS(7591),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCite] = ACTIONS(7591),
    [anon_sym_BSLASHnocite] = ACTIONS(7591),
    [anon_sym_BSLASHcitet] = ACTIONS(7591),
    [anon_sym_BSLASHcitep] = ACTIONS(7591),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteA] = ACTIONS(7591),
    [anon_sym_BSLASHciteR] = ACTIONS(7591),
    [anon_sym_BSLASHciteS] = ACTIONS(7591),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7591),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7591),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7591),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7591),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteyear] = ACTIONS(7591),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitedate] = ACTIONS(7591),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteurl] = ACTIONS(7591),
    [anon_sym_BSLASHfullcite] = ACTIONS(7591),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7591),
    [anon_sym_BSLASHcitealt] = ACTIONS(7591),
    [anon_sym_BSLASHcitealp] = ACTIONS(7591),
    [anon_sym_BSLASHcitetext] = ACTIONS(7591),
    [anon_sym_BSLASHparencite] = ACTIONS(7591),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHParencite] = ACTIONS(7591),
    [anon_sym_BSLASHfootcite] = ACTIONS(7591),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7591),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7591),
    [anon_sym_BSLASHtextcite] = ACTIONS(7591),
    [anon_sym_BSLASHTextcite] = ACTIONS(7591),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7591),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7591),
    [anon_sym_BSLASHsupercite] = ACTIONS(7591),
    [anon_sym_BSLASHautocite] = ACTIONS(7591),
    [anon_sym_BSLASHAutocite] = ACTIONS(7591),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHVolcite] = ACTIONS(7591),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHavolcite] = ACTIONS(7591),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHNotecite] = ACTIONS(7591),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHlabel] = ACTIONS(7591),
    [anon_sym_BSLASHref] = ACTIONS(7591),
    [anon_sym_BSLASHeqref] = ACTIONS(7591),
    [anon_sym_BSLASHvref] = ACTIONS(7591),
    [anon_sym_BSLASHVref] = ACTIONS(7591),
    [anon_sym_BSLASHautoref] = ACTIONS(7591),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHpageref] = ACTIONS(7591),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHautopageref] = ACTIONS(7591),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcref] = ACTIONS(7591),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCref] = ACTIONS(7591),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcpageref] = ACTIONS(7591),
    [anon_sym_BSLASHCpageref] = ACTIONS(7591),
    [anon_sym_BSLASHnamecref] = ACTIONS(7591),
    [anon_sym_BSLASHnameCref] = ACTIONS(7591),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7591),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7591),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7591),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7591),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7591),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7591),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7591),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7591),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7591),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7591),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7591),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHdef] = ACTIONS(7591),
    [anon_sym_BSLASHgdef] = ACTIONS(7591),
    [anon_sym_BSLASHedef] = ACTIONS(7591),
    [anon_sym_BSLASHxdef] = ACTIONS(7591),
    [anon_sym_BSLASHlet] = ACTIONS(7591),
    [anon_sym_BSLASHglet] = ACTIONS(7591),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7591),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7591),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7591),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7591),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7591),
    [anon_sym_BSLASHgls] = ACTIONS(7591),
    [anon_sym_BSLASHGls] = ACTIONS(7591),
    [anon_sym_BSLASHGLS] = ACTIONS(7591),
    [anon_sym_BSLASHglspl] = ACTIONS(7591),
    [anon_sym_BSLASHGlspl] = ACTIONS(7591),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7591),
    [anon_sym_BSLASHglslink] = ACTIONS(7591),
    [anon_sym_BSLASHglstext] = ACTIONS(7591),
    [anon_sym_BSLASHGlstext] = ACTIONS(7591),
    [anon_sym_BSLASHGLStext] = ACTIONS(7591),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7591),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7591),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7591),
    [anon_sym_BSLASHglsplural] = ACTIONS(7591),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7591),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7591),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHglsname] = ACTIONS(7591),
    [anon_sym_BSLASHGlsname] = ACTIONS(7591),
    [anon_sym_BSLASHGLSname] = ACTIONS(7591),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7591),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7591),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7591),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7591),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7591),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7591),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7591),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7591),
    [anon_sym_BSLASHacrshort] = ACTIONS(7591),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7591),
    [anon_sym_BSLASHACRshort] = ACTIONS(7591),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHacrlong] = ACTIONS(7591),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7591),
    [anon_sym_BSLASHACRlong] = ACTIONS(7591),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHacrfull] = ACTIONS(7591),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7591),
    [anon_sym_BSLASHACRfull] = ACTIONS(7591),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHacs] = ACTIONS(7591),
    [anon_sym_BSLASHAcs] = ACTIONS(7591),
    [anon_sym_BSLASHacsp] = ACTIONS(7591),
    [anon_sym_BSLASHAcsp] = ACTIONS(7591),
    [anon_sym_BSLASHacl] = ACTIONS(7591),
    [anon_sym_BSLASHAcl] = ACTIONS(7591),
    [anon_sym_BSLASHaclp] = ACTIONS(7591),
    [anon_sym_BSLASHAclp] = ACTIONS(7591),
    [anon_sym_BSLASHacf] = ACTIONS(7591),
    [anon_sym_BSLASHAcf] = ACTIONS(7591),
    [anon_sym_BSLASHacfp] = ACTIONS(7591),
    [anon_sym_BSLASHAcfp] = ACTIONS(7591),
    [anon_sym_BSLASHac] = ACTIONS(7591),
    [anon_sym_BSLASHAc] = ACTIONS(7591),
    [anon_sym_BSLASHacp] = ACTIONS(7591),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7591),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7591),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7591),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7591),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7591),
    [anon_sym_BSLASHcolor] = ACTIONS(7591),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7591),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7591),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7591),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7591),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7591),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7591),
    [anon_sym_BSLASHurl] = ACTIONS(7591),
    [anon_sym_BSLASHhref] = ACTIONS(7591),
  },
  [1115] = {
    [ts_builtin_sym_end] = ACTIONS(7321),
    [sym_command_name] = ACTIONS(7319),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7319),
    [anon_sym_LBRACK] = ACTIONS(7321),
    [anon_sym_RBRACK] = ACTIONS(7321),
    [anon_sym_COMMA] = ACTIONS(7321),
    [anon_sym_EQ] = ACTIONS(7321),
    [anon_sym_LPAREN] = ACTIONS(7321),
    [anon_sym_RPAREN] = ACTIONS(7321),
    [anon_sym_BSLASHpart] = ACTIONS(7319),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHaddpart] = ACTIONS(7319),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHchapter] = ACTIONS(7319),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHaddchap] = ACTIONS(7319),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHsection] = ACTIONS(7319),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHaddsec] = ACTIONS(7319),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHsubsection] = ACTIONS(7319),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7319),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHparagraph] = ACTIONS(7319),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7319),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHitem] = ACTIONS(7319),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7321),
    [anon_sym_LBRACE] = ACTIONS(7321),
    [anon_sym_RBRACE] = ACTIONS(7321),
    [sym_word] = ACTIONS(7319),
    [sym_placeholder] = ACTIONS(7321),
    [sym_delimiter] = ACTIONS(7321),
    [anon_sym_PLUS] = ACTIONS(7321),
    [anon_sym_DASH] = ACTIONS(7321),
    [anon_sym_STAR] = ACTIONS(7321),
    [anon_sym_SLASH] = ACTIONS(7321),
    [anon_sym_LT] = ACTIONS(7319),
    [anon_sym_GT] = ACTIONS(7319),
    [anon_sym_BANG] = ACTIONS(7319),
    [anon_sym_PIPE] = ACTIONS(7319),
    [anon_sym_COLON] = ACTIONS(7319),
    [anon_sym_SQUOTE] = ACTIONS(7319),
    [anon_sym__] = ACTIONS(7321),
    [anon_sym_CARET] = ACTIONS(7321),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7321),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7321),
    [anon_sym_DOLLAR] = ACTIONS(7319),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7321),
    [anon_sym_BSLASHleft] = ACTIONS(7319),
    [anon_sym_BSLASHbigl] = ACTIONS(7319),
    [anon_sym_BSLASHBigl] = ACTIONS(7319),
    [anon_sym_BSLASHbiggl] = ACTIONS(7319),
    [anon_sym_BSLASHBiggl] = ACTIONS(7319),
    [anon_sym_BSLASHtext] = ACTIONS(7319),
    [anon_sym_BSLASHintertext] = ACTIONS(7319),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7319),
    [anon_sym_BSLASHbegin] = ACTIONS(7319),
    [anon_sym_BSLASHtitle] = ACTIONS(7319),
    [anon_sym_BSLASHauthor] = ACTIONS(7319),
    [anon_sym_BSLASHusepackage] = ACTIONS(7319),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7319),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7319),
    [anon_sym_BSLASHinclude] = ACTIONS(7319),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7319),
    [anon_sym_BSLASHinput] = ACTIONS(7319),
    [anon_sym_BSLASHsubfile] = ACTIONS(7319),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7319),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7319),
    [anon_sym_BSLASHbibliography] = ACTIONS(7319),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7319),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7319),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7319),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7319),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7319),
    [anon_sym_BSLASHimport] = ACTIONS(7319),
    [anon_sym_BSLASHsubimport] = ACTIONS(7319),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7319),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7319),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7319),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7319),
    [anon_sym_BSLASHcaption] = ACTIONS(7319),
    [anon_sym_BSLASHcite] = ACTIONS(7319),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCite] = ACTIONS(7319),
    [anon_sym_BSLASHnocite] = ACTIONS(7319),
    [anon_sym_BSLASHcitet] = ACTIONS(7319),
    [anon_sym_BSLASHcitep] = ACTIONS(7319),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteA] = ACTIONS(7319),
    [anon_sym_BSLASHciteR] = ACTIONS(7319),
    [anon_sym_BSLASHciteS] = ACTIONS(7319),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7319),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7319),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7319),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7319),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteyear] = ACTIONS(7319),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitedate] = ACTIONS(7319),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteurl] = ACTIONS(7319),
    [anon_sym_BSLASHfullcite] = ACTIONS(7319),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7319),
    [anon_sym_BSLASHcitealt] = ACTIONS(7319),
    [anon_sym_BSLASHcitealp] = ACTIONS(7319),
    [anon_sym_BSLASHcitetext] = ACTIONS(7319),
    [anon_sym_BSLASHparencite] = ACTIONS(7319),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHParencite] = ACTIONS(7319),
    [anon_sym_BSLASHfootcite] = ACTIONS(7319),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7319),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7319),
    [anon_sym_BSLASHtextcite] = ACTIONS(7319),
    [anon_sym_BSLASHTextcite] = ACTIONS(7319),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7319),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7319),
    [anon_sym_BSLASHsupercite] = ACTIONS(7319),
    [anon_sym_BSLASHautocite] = ACTIONS(7319),
    [anon_sym_BSLASHAutocite] = ACTIONS(7319),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHVolcite] = ACTIONS(7319),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHavolcite] = ACTIONS(7319),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHNotecite] = ACTIONS(7319),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHlabel] = ACTIONS(7319),
    [anon_sym_BSLASHref] = ACTIONS(7319),
    [anon_sym_BSLASHeqref] = ACTIONS(7319),
    [anon_sym_BSLASHvref] = ACTIONS(7319),
    [anon_sym_BSLASHVref] = ACTIONS(7319),
    [anon_sym_BSLASHautoref] = ACTIONS(7319),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHpageref] = ACTIONS(7319),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHautopageref] = ACTIONS(7319),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcref] = ACTIONS(7319),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCref] = ACTIONS(7319),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcpageref] = ACTIONS(7319),
    [anon_sym_BSLASHCpageref] = ACTIONS(7319),
    [anon_sym_BSLASHnamecref] = ACTIONS(7319),
    [anon_sym_BSLASHnameCref] = ACTIONS(7319),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7319),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7319),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7319),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7319),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7319),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7319),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7319),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7319),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7319),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7319),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7319),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHdef] = ACTIONS(7319),
    [anon_sym_BSLASHgdef] = ACTIONS(7319),
    [anon_sym_BSLASHedef] = ACTIONS(7319),
    [anon_sym_BSLASHxdef] = ACTIONS(7319),
    [anon_sym_BSLASHlet] = ACTIONS(7319),
    [anon_sym_BSLASHglet] = ACTIONS(7319),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7319),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7319),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7319),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7319),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7319),
    [anon_sym_BSLASHgls] = ACTIONS(7319),
    [anon_sym_BSLASHGls] = ACTIONS(7319),
    [anon_sym_BSLASHGLS] = ACTIONS(7319),
    [anon_sym_BSLASHglspl] = ACTIONS(7319),
    [anon_sym_BSLASHGlspl] = ACTIONS(7319),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7319),
    [anon_sym_BSLASHglslink] = ACTIONS(7319),
    [anon_sym_BSLASHglstext] = ACTIONS(7319),
    [anon_sym_BSLASHGlstext] = ACTIONS(7319),
    [anon_sym_BSLASHGLStext] = ACTIONS(7319),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7319),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7319),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7319),
    [anon_sym_BSLASHglsplural] = ACTIONS(7319),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7319),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7319),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHglsname] = ACTIONS(7319),
    [anon_sym_BSLASHGlsname] = ACTIONS(7319),
    [anon_sym_BSLASHGLSname] = ACTIONS(7319),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7319),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7319),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7319),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7319),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7319),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7319),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7319),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7319),
    [anon_sym_BSLASHacrshort] = ACTIONS(7319),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7319),
    [anon_sym_BSLASHACRshort] = ACTIONS(7319),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHacrlong] = ACTIONS(7319),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7319),
    [anon_sym_BSLASHACRlong] = ACTIONS(7319),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHacrfull] = ACTIONS(7319),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7319),
    [anon_sym_BSLASHACRfull] = ACTIONS(7319),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHacs] = ACTIONS(7319),
    [anon_sym_BSLASHAcs] = ACTIONS(7319),
    [anon_sym_BSLASHacsp] = ACTIONS(7319),
    [anon_sym_BSLASHAcsp] = ACTIONS(7319),
    [anon_sym_BSLASHacl] = ACTIONS(7319),
    [anon_sym_BSLASHAcl] = ACTIONS(7319),
    [anon_sym_BSLASHaclp] = ACTIONS(7319),
    [anon_sym_BSLASHAclp] = ACTIONS(7319),
    [anon_sym_BSLASHacf] = ACTIONS(7319),
    [anon_sym_BSLASHAcf] = ACTIONS(7319),
    [anon_sym_BSLASHacfp] = ACTIONS(7319),
    [anon_sym_BSLASHAcfp] = ACTIONS(7319),
    [anon_sym_BSLASHac] = ACTIONS(7319),
    [anon_sym_BSLASHAc] = ACTIONS(7319),
    [anon_sym_BSLASHacp] = ACTIONS(7319),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7319),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7319),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7319),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7319),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7319),
    [anon_sym_BSLASHcolor] = ACTIONS(7319),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7319),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7319),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7319),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7319),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7319),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7319),
    [anon_sym_BSLASHurl] = ACTIONS(7319),
    [anon_sym_BSLASHhref] = ACTIONS(7319),
  },
  [1116] = {
    [sym_brack_group_text] = STATE(1503),
    [sym_command_name] = ACTIONS(6927),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6927),
    [anon_sym_LBRACK] = ACTIONS(7797),
    [anon_sym_RBRACK] = ACTIONS(6929),
    [anon_sym_COMMA] = ACTIONS(6929),
    [anon_sym_EQ] = ACTIONS(6929),
    [anon_sym_LPAREN] = ACTIONS(6929),
    [anon_sym_RPAREN] = ACTIONS(6929),
    [anon_sym_BSLASHpart] = ACTIONS(6927),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHaddpart] = ACTIONS(6927),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHchapter] = ACTIONS(6927),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHaddchap] = ACTIONS(6927),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHsection] = ACTIONS(6927),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHaddsec] = ACTIONS(6927),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHsubsection] = ACTIONS(6927),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6927),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHparagraph] = ACTIONS(6927),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6927),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHitem] = ACTIONS(6927),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6929),
    [anon_sym_LBRACE] = ACTIONS(6929),
    [sym_word] = ACTIONS(6927),
    [sym_placeholder] = ACTIONS(6929),
    [sym_delimiter] = ACTIONS(6929),
    [anon_sym_PLUS] = ACTIONS(6929),
    [anon_sym_DASH] = ACTIONS(6929),
    [anon_sym_STAR] = ACTIONS(6929),
    [anon_sym_SLASH] = ACTIONS(6929),
    [anon_sym_LT] = ACTIONS(6927),
    [anon_sym_GT] = ACTIONS(6927),
    [anon_sym_BANG] = ACTIONS(6927),
    [anon_sym_PIPE] = ACTIONS(6927),
    [anon_sym_COLON] = ACTIONS(6927),
    [anon_sym_SQUOTE] = ACTIONS(6927),
    [anon_sym__] = ACTIONS(6929),
    [anon_sym_CARET] = ACTIONS(6929),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6929),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6929),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6929),
    [anon_sym_DOLLAR] = ACTIONS(6927),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6929),
    [anon_sym_BSLASHleft] = ACTIONS(6927),
    [anon_sym_BSLASHbigl] = ACTIONS(6927),
    [anon_sym_BSLASHBigl] = ACTIONS(6927),
    [anon_sym_BSLASHbiggl] = ACTIONS(6927),
    [anon_sym_BSLASHBiggl] = ACTIONS(6927),
    [anon_sym_BSLASHtext] = ACTIONS(6927),
    [anon_sym_BSLASHintertext] = ACTIONS(6927),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6927),
    [anon_sym_BSLASHbegin] = ACTIONS(6927),
    [anon_sym_BSLASHtitle] = ACTIONS(6927),
    [anon_sym_BSLASHauthor] = ACTIONS(6927),
    [anon_sym_BSLASHusepackage] = ACTIONS(6927),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6927),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6927),
    [anon_sym_BSLASHinclude] = ACTIONS(6927),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6927),
    [anon_sym_BSLASHinput] = ACTIONS(6927),
    [anon_sym_BSLASHsubfile] = ACTIONS(6927),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6927),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6927),
    [anon_sym_BSLASHbibliography] = ACTIONS(6927),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6927),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6927),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6927),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6927),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6927),
    [anon_sym_BSLASHimport] = ACTIONS(6927),
    [anon_sym_BSLASHsubimport] = ACTIONS(6927),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6927),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6927),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6927),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6927),
    [anon_sym_BSLASHcaption] = ACTIONS(6927),
    [anon_sym_BSLASHcite] = ACTIONS(6927),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHCite] = ACTIONS(6927),
    [anon_sym_BSLASHnocite] = ACTIONS(6927),
    [anon_sym_BSLASHcitet] = ACTIONS(6927),
    [anon_sym_BSLASHcitep] = ACTIONS(6927),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHciteA] = ACTIONS(6927),
    [anon_sym_BSLASHciteR] = ACTIONS(6927),
    [anon_sym_BSLASHciteS] = ACTIONS(6927),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6927),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6927),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6927),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6927),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHciteyear] = ACTIONS(6927),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcitedate] = ACTIONS(6927),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHciteurl] = ACTIONS(6927),
    [anon_sym_BSLASHfullcite] = ACTIONS(6927),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6927),
    [anon_sym_BSLASHcitealt] = ACTIONS(6927),
    [anon_sym_BSLASHcitealp] = ACTIONS(6927),
    [anon_sym_BSLASHcitetext] = ACTIONS(6927),
    [anon_sym_BSLASHparencite] = ACTIONS(6927),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHParencite] = ACTIONS(6927),
    [anon_sym_BSLASHfootcite] = ACTIONS(6927),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6927),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6927),
    [anon_sym_BSLASHtextcite] = ACTIONS(6927),
    [anon_sym_BSLASHTextcite] = ACTIONS(6927),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6927),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6927),
    [anon_sym_BSLASHsupercite] = ACTIONS(6927),
    [anon_sym_BSLASHautocite] = ACTIONS(6927),
    [anon_sym_BSLASHAutocite] = ACTIONS(6927),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHVolcite] = ACTIONS(6927),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHavolcite] = ACTIONS(6927),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6927),
    [anon_sym_BSLASHnotecite] = ACTIONS(6927),
    [anon_sym_BSLASHNotecite] = ACTIONS(6927),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6927),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6927),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6927),
    [anon_sym_BSLASHlabel] = ACTIONS(6927),
    [anon_sym_BSLASHref] = ACTIONS(6927),
    [anon_sym_BSLASHeqref] = ACTIONS(6927),
    [anon_sym_BSLASHvref] = ACTIONS(6927),
    [anon_sym_BSLASHVref] = ACTIONS(6927),
    [anon_sym_BSLASHautoref] = ACTIONS(6927),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHpageref] = ACTIONS(6927),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHautopageref] = ACTIONS(6927),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcref] = ACTIONS(6927),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHCref] = ACTIONS(6927),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcpageref] = ACTIONS(6927),
    [anon_sym_BSLASHCpageref] = ACTIONS(6927),
    [anon_sym_BSLASHnamecref] = ACTIONS(6927),
    [anon_sym_BSLASHnameCref] = ACTIONS(6927),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6927),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6927),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6927),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6927),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6927),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6927),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6927),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6927),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6927),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6927),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6927),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6927),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6927),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6927),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6927),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6927),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6927),
    [anon_sym_BSLASHdef] = ACTIONS(6927),
    [anon_sym_BSLASHgdef] = ACTIONS(6927),
    [anon_sym_BSLASHedef] = ACTIONS(6927),
    [anon_sym_BSLASHxdef] = ACTIONS(6927),
    [anon_sym_BSLASHlet] = ACTIONS(6927),
    [anon_sym_BSLASHglet] = ACTIONS(6927),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6927),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6927),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6927),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6927),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6927),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6927),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6927),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6927),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6927),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6927),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6927),
    [anon_sym_BSLASHgls] = ACTIONS(6927),
    [anon_sym_BSLASHGls] = ACTIONS(6927),
    [anon_sym_BSLASHGLS] = ACTIONS(6927),
    [anon_sym_BSLASHglspl] = ACTIONS(6927),
    [anon_sym_BSLASHGlspl] = ACTIONS(6927),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6927),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6927),
    [anon_sym_BSLASHglslink] = ACTIONS(6927),
    [anon_sym_BSLASHglstext] = ACTIONS(6927),
    [anon_sym_BSLASHGlstext] = ACTIONS(6927),
    [anon_sym_BSLASHGLStext] = ACTIONS(6927),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6927),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6927),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6927),
    [anon_sym_BSLASHglsplural] = ACTIONS(6927),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6927),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6927),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6927),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6927),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6927),
    [anon_sym_BSLASHglsname] = ACTIONS(6927),
    [anon_sym_BSLASHGlsname] = ACTIONS(6927),
    [anon_sym_BSLASHGLSname] = ACTIONS(6927),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6927),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6927),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6927),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6927),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6927),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6927),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6927),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6927),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6927),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6927),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6927),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6927),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6927),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6927),
    [anon_sym_BSLASHacrshort] = ACTIONS(6927),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6927),
    [anon_sym_BSLASHACRshort] = ACTIONS(6927),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6927),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6927),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6927),
    [anon_sym_BSLASHacrlong] = ACTIONS(6927),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6927),
    [anon_sym_BSLASHACRlong] = ACTIONS(6927),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6927),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6927),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6927),
    [anon_sym_BSLASHacrfull] = ACTIONS(6927),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6927),
    [anon_sym_BSLASHACRfull] = ACTIONS(6927),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6927),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6927),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6927),
    [anon_sym_BSLASHacs] = ACTIONS(6927),
    [anon_sym_BSLASHAcs] = ACTIONS(6927),
    [anon_sym_BSLASHacsp] = ACTIONS(6927),
    [anon_sym_BSLASHAcsp] = ACTIONS(6927),
    [anon_sym_BSLASHacl] = ACTIONS(6927),
    [anon_sym_BSLASHAcl] = ACTIONS(6927),
    [anon_sym_BSLASHaclp] = ACTIONS(6927),
    [anon_sym_BSLASHAclp] = ACTIONS(6927),
    [anon_sym_BSLASHacf] = ACTIONS(6927),
    [anon_sym_BSLASHAcf] = ACTIONS(6927),
    [anon_sym_BSLASHacfp] = ACTIONS(6927),
    [anon_sym_BSLASHAcfp] = ACTIONS(6927),
    [anon_sym_BSLASHac] = ACTIONS(6927),
    [anon_sym_BSLASHAc] = ACTIONS(6927),
    [anon_sym_BSLASHacp] = ACTIONS(6927),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6927),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6927),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6927),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6927),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6927),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6927),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6927),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6927),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6927),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6927),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6927),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6927),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6929),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6927),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6927),
    [anon_sym_BSLASHcolor] = ACTIONS(6927),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6927),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6927),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6927),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6927),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6927),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6927),
    [anon_sym_BSLASHurl] = ACTIONS(6927),
    [anon_sym_BSLASHhref] = ACTIONS(6927),
  },
  [1117] = {
    [ts_builtin_sym_end] = ACTIONS(7237),
    [sym_command_name] = ACTIONS(7235),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7235),
    [anon_sym_LBRACK] = ACTIONS(7237),
    [anon_sym_RBRACK] = ACTIONS(7237),
    [anon_sym_COMMA] = ACTIONS(7237),
    [anon_sym_EQ] = ACTIONS(7237),
    [anon_sym_LPAREN] = ACTIONS(7237),
    [anon_sym_RPAREN] = ACTIONS(7237),
    [anon_sym_BSLASHpart] = ACTIONS(7235),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHaddpart] = ACTIONS(7235),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHchapter] = ACTIONS(7235),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHaddchap] = ACTIONS(7235),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHsection] = ACTIONS(7235),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHaddsec] = ACTIONS(7235),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHsubsection] = ACTIONS(7235),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7235),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHparagraph] = ACTIONS(7235),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7235),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHitem] = ACTIONS(7235),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7237),
    [anon_sym_LBRACE] = ACTIONS(7237),
    [anon_sym_RBRACE] = ACTIONS(7237),
    [sym_word] = ACTIONS(7235),
    [sym_placeholder] = ACTIONS(7237),
    [sym_delimiter] = ACTIONS(7237),
    [anon_sym_PLUS] = ACTIONS(7237),
    [anon_sym_DASH] = ACTIONS(7237),
    [anon_sym_STAR] = ACTIONS(7237),
    [anon_sym_SLASH] = ACTIONS(7237),
    [anon_sym_LT] = ACTIONS(7235),
    [anon_sym_GT] = ACTIONS(7235),
    [anon_sym_BANG] = ACTIONS(7235),
    [anon_sym_PIPE] = ACTIONS(7235),
    [anon_sym_COLON] = ACTIONS(7235),
    [anon_sym_SQUOTE] = ACTIONS(7235),
    [anon_sym__] = ACTIONS(7237),
    [anon_sym_CARET] = ACTIONS(7237),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7237),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7237),
    [anon_sym_DOLLAR] = ACTIONS(7235),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7237),
    [anon_sym_BSLASHleft] = ACTIONS(7235),
    [anon_sym_BSLASHbigl] = ACTIONS(7235),
    [anon_sym_BSLASHBigl] = ACTIONS(7235),
    [anon_sym_BSLASHbiggl] = ACTIONS(7235),
    [anon_sym_BSLASHBiggl] = ACTIONS(7235),
    [anon_sym_BSLASHtext] = ACTIONS(7235),
    [anon_sym_BSLASHintertext] = ACTIONS(7235),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7235),
    [anon_sym_BSLASHbegin] = ACTIONS(7235),
    [anon_sym_BSLASHtitle] = ACTIONS(7235),
    [anon_sym_BSLASHauthor] = ACTIONS(7235),
    [anon_sym_BSLASHusepackage] = ACTIONS(7235),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7235),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7235),
    [anon_sym_BSLASHinclude] = ACTIONS(7235),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7235),
    [anon_sym_BSLASHinput] = ACTIONS(7235),
    [anon_sym_BSLASHsubfile] = ACTIONS(7235),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7235),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7235),
    [anon_sym_BSLASHbibliography] = ACTIONS(7235),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7235),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7235),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7235),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7235),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7235),
    [anon_sym_BSLASHimport] = ACTIONS(7235),
    [anon_sym_BSLASHsubimport] = ACTIONS(7235),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7235),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7235),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7235),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7235),
    [anon_sym_BSLASHcaption] = ACTIONS(7235),
    [anon_sym_BSLASHcite] = ACTIONS(7235),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCite] = ACTIONS(7235),
    [anon_sym_BSLASHnocite] = ACTIONS(7235),
    [anon_sym_BSLASHcitet] = ACTIONS(7235),
    [anon_sym_BSLASHcitep] = ACTIONS(7235),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteA] = ACTIONS(7235),
    [anon_sym_BSLASHciteR] = ACTIONS(7235),
    [anon_sym_BSLASHciteS] = ACTIONS(7235),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7235),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7235),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7235),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7235),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteyear] = ACTIONS(7235),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitedate] = ACTIONS(7235),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteurl] = ACTIONS(7235),
    [anon_sym_BSLASHfullcite] = ACTIONS(7235),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7235),
    [anon_sym_BSLASHcitealt] = ACTIONS(7235),
    [anon_sym_BSLASHcitealp] = ACTIONS(7235),
    [anon_sym_BSLASHcitetext] = ACTIONS(7235),
    [anon_sym_BSLASHparencite] = ACTIONS(7235),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHParencite] = ACTIONS(7235),
    [anon_sym_BSLASHfootcite] = ACTIONS(7235),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7235),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7235),
    [anon_sym_BSLASHtextcite] = ACTIONS(7235),
    [anon_sym_BSLASHTextcite] = ACTIONS(7235),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7235),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7235),
    [anon_sym_BSLASHsupercite] = ACTIONS(7235),
    [anon_sym_BSLASHautocite] = ACTIONS(7235),
    [anon_sym_BSLASHAutocite] = ACTIONS(7235),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHVolcite] = ACTIONS(7235),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHavolcite] = ACTIONS(7235),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHNotecite] = ACTIONS(7235),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHlabel] = ACTIONS(7235),
    [anon_sym_BSLASHref] = ACTIONS(7235),
    [anon_sym_BSLASHeqref] = ACTIONS(7235),
    [anon_sym_BSLASHvref] = ACTIONS(7235),
    [anon_sym_BSLASHVref] = ACTIONS(7235),
    [anon_sym_BSLASHautoref] = ACTIONS(7235),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHpageref] = ACTIONS(7235),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHautopageref] = ACTIONS(7235),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcref] = ACTIONS(7235),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCref] = ACTIONS(7235),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcpageref] = ACTIONS(7235),
    [anon_sym_BSLASHCpageref] = ACTIONS(7235),
    [anon_sym_BSLASHnamecref] = ACTIONS(7235),
    [anon_sym_BSLASHnameCref] = ACTIONS(7235),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7235),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7235),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7235),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7235),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7235),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7235),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7235),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7235),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7235),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7235),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7235),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHdef] = ACTIONS(7235),
    [anon_sym_BSLASHgdef] = ACTIONS(7235),
    [anon_sym_BSLASHedef] = ACTIONS(7235),
    [anon_sym_BSLASHxdef] = ACTIONS(7235),
    [anon_sym_BSLASHlet] = ACTIONS(7235),
    [anon_sym_BSLASHglet] = ACTIONS(7235),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7235),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7235),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7235),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7235),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7235),
    [anon_sym_BSLASHgls] = ACTIONS(7235),
    [anon_sym_BSLASHGls] = ACTIONS(7235),
    [anon_sym_BSLASHGLS] = ACTIONS(7235),
    [anon_sym_BSLASHglspl] = ACTIONS(7235),
    [anon_sym_BSLASHGlspl] = ACTIONS(7235),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7235),
    [anon_sym_BSLASHglslink] = ACTIONS(7235),
    [anon_sym_BSLASHglstext] = ACTIONS(7235),
    [anon_sym_BSLASHGlstext] = ACTIONS(7235),
    [anon_sym_BSLASHGLStext] = ACTIONS(7235),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7235),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7235),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7235),
    [anon_sym_BSLASHglsplural] = ACTIONS(7235),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7235),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7235),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHglsname] = ACTIONS(7235),
    [anon_sym_BSLASHGlsname] = ACTIONS(7235),
    [anon_sym_BSLASHGLSname] = ACTIONS(7235),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7235),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7235),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7235),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7235),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7235),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7235),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7235),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7235),
    [anon_sym_BSLASHacrshort] = ACTIONS(7235),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7235),
    [anon_sym_BSLASHACRshort] = ACTIONS(7235),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHacrlong] = ACTIONS(7235),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7235),
    [anon_sym_BSLASHACRlong] = ACTIONS(7235),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHacrfull] = ACTIONS(7235),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7235),
    [anon_sym_BSLASHACRfull] = ACTIONS(7235),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHacs] = ACTIONS(7235),
    [anon_sym_BSLASHAcs] = ACTIONS(7235),
    [anon_sym_BSLASHacsp] = ACTIONS(7235),
    [anon_sym_BSLASHAcsp] = ACTIONS(7235),
    [anon_sym_BSLASHacl] = ACTIONS(7235),
    [anon_sym_BSLASHAcl] = ACTIONS(7235),
    [anon_sym_BSLASHaclp] = ACTIONS(7235),
    [anon_sym_BSLASHAclp] = ACTIONS(7235),
    [anon_sym_BSLASHacf] = ACTIONS(7235),
    [anon_sym_BSLASHAcf] = ACTIONS(7235),
    [anon_sym_BSLASHacfp] = ACTIONS(7235),
    [anon_sym_BSLASHAcfp] = ACTIONS(7235),
    [anon_sym_BSLASHac] = ACTIONS(7235),
    [anon_sym_BSLASHAc] = ACTIONS(7235),
    [anon_sym_BSLASHacp] = ACTIONS(7235),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7235),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7235),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7235),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7235),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7235),
    [anon_sym_BSLASHcolor] = ACTIONS(7235),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7235),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7235),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7235),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7235),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7235),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7235),
    [anon_sym_BSLASHurl] = ACTIONS(7235),
    [anon_sym_BSLASHhref] = ACTIONS(7235),
  },
  [1118] = {
    [ts_builtin_sym_end] = ACTIONS(7241),
    [sym_command_name] = ACTIONS(7239),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7239),
    [anon_sym_LBRACK] = ACTIONS(7241),
    [anon_sym_RBRACK] = ACTIONS(7241),
    [anon_sym_COMMA] = ACTIONS(7241),
    [anon_sym_EQ] = ACTIONS(7241),
    [anon_sym_LPAREN] = ACTIONS(7241),
    [anon_sym_RPAREN] = ACTIONS(7241),
    [anon_sym_BSLASHpart] = ACTIONS(7239),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHaddpart] = ACTIONS(7239),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHchapter] = ACTIONS(7239),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHaddchap] = ACTIONS(7239),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHsection] = ACTIONS(7239),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHaddsec] = ACTIONS(7239),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHsubsection] = ACTIONS(7239),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7239),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHparagraph] = ACTIONS(7239),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7239),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHitem] = ACTIONS(7239),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7241),
    [anon_sym_LBRACE] = ACTIONS(7241),
    [anon_sym_RBRACE] = ACTIONS(7241),
    [sym_word] = ACTIONS(7239),
    [sym_placeholder] = ACTIONS(7241),
    [sym_delimiter] = ACTIONS(7241),
    [anon_sym_PLUS] = ACTIONS(7241),
    [anon_sym_DASH] = ACTIONS(7241),
    [anon_sym_STAR] = ACTIONS(7241),
    [anon_sym_SLASH] = ACTIONS(7241),
    [anon_sym_LT] = ACTIONS(7239),
    [anon_sym_GT] = ACTIONS(7239),
    [anon_sym_BANG] = ACTIONS(7239),
    [anon_sym_PIPE] = ACTIONS(7239),
    [anon_sym_COLON] = ACTIONS(7239),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym__] = ACTIONS(7241),
    [anon_sym_CARET] = ACTIONS(7241),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7241),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7241),
    [anon_sym_DOLLAR] = ACTIONS(7239),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7241),
    [anon_sym_BSLASHleft] = ACTIONS(7239),
    [anon_sym_BSLASHbigl] = ACTIONS(7239),
    [anon_sym_BSLASHBigl] = ACTIONS(7239),
    [anon_sym_BSLASHbiggl] = ACTIONS(7239),
    [anon_sym_BSLASHBiggl] = ACTIONS(7239),
    [anon_sym_BSLASHtext] = ACTIONS(7239),
    [anon_sym_BSLASHintertext] = ACTIONS(7239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7239),
    [anon_sym_BSLASHbegin] = ACTIONS(7239),
    [anon_sym_BSLASHtitle] = ACTIONS(7239),
    [anon_sym_BSLASHauthor] = ACTIONS(7239),
    [anon_sym_BSLASHusepackage] = ACTIONS(7239),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7239),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7239),
    [anon_sym_BSLASHinclude] = ACTIONS(7239),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7239),
    [anon_sym_BSLASHinput] = ACTIONS(7239),
    [anon_sym_BSLASHsubfile] = ACTIONS(7239),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7239),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7239),
    [anon_sym_BSLASHbibliography] = ACTIONS(7239),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7239),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7239),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7239),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7239),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7239),
    [anon_sym_BSLASHimport] = ACTIONS(7239),
    [anon_sym_BSLASHsubimport] = ACTIONS(7239),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7239),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7239),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7239),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7239),
    [anon_sym_BSLASHcaption] = ACTIONS(7239),
    [anon_sym_BSLASHcite] = ACTIONS(7239),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCite] = ACTIONS(7239),
    [anon_sym_BSLASHnocite] = ACTIONS(7239),
    [anon_sym_BSLASHcitet] = ACTIONS(7239),
    [anon_sym_BSLASHcitep] = ACTIONS(7239),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteA] = ACTIONS(7239),
    [anon_sym_BSLASHciteR] = ACTIONS(7239),
    [anon_sym_BSLASHciteS] = ACTIONS(7239),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7239),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7239),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7239),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7239),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteyear] = ACTIONS(7239),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitedate] = ACTIONS(7239),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteurl] = ACTIONS(7239),
    [anon_sym_BSLASHfullcite] = ACTIONS(7239),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7239),
    [anon_sym_BSLASHcitealt] = ACTIONS(7239),
    [anon_sym_BSLASHcitealp] = ACTIONS(7239),
    [anon_sym_BSLASHcitetext] = ACTIONS(7239),
    [anon_sym_BSLASHparencite] = ACTIONS(7239),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHParencite] = ACTIONS(7239),
    [anon_sym_BSLASHfootcite] = ACTIONS(7239),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7239),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7239),
    [anon_sym_BSLASHtextcite] = ACTIONS(7239),
    [anon_sym_BSLASHTextcite] = ACTIONS(7239),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7239),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7239),
    [anon_sym_BSLASHsupercite] = ACTIONS(7239),
    [anon_sym_BSLASHautocite] = ACTIONS(7239),
    [anon_sym_BSLASHAutocite] = ACTIONS(7239),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHVolcite] = ACTIONS(7239),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHavolcite] = ACTIONS(7239),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHNotecite] = ACTIONS(7239),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHlabel] = ACTIONS(7239),
    [anon_sym_BSLASHref] = ACTIONS(7239),
    [anon_sym_BSLASHeqref] = ACTIONS(7239),
    [anon_sym_BSLASHvref] = ACTIONS(7239),
    [anon_sym_BSLASHVref] = ACTIONS(7239),
    [anon_sym_BSLASHautoref] = ACTIONS(7239),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHpageref] = ACTIONS(7239),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHautopageref] = ACTIONS(7239),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcref] = ACTIONS(7239),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCref] = ACTIONS(7239),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcpageref] = ACTIONS(7239),
    [anon_sym_BSLASHCpageref] = ACTIONS(7239),
    [anon_sym_BSLASHnamecref] = ACTIONS(7239),
    [anon_sym_BSLASHnameCref] = ACTIONS(7239),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7239),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7239),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7239),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7239),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7239),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7239),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7239),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7239),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7239),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7239),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7239),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHdef] = ACTIONS(7239),
    [anon_sym_BSLASHgdef] = ACTIONS(7239),
    [anon_sym_BSLASHedef] = ACTIONS(7239),
    [anon_sym_BSLASHxdef] = ACTIONS(7239),
    [anon_sym_BSLASHlet] = ACTIONS(7239),
    [anon_sym_BSLASHglet] = ACTIONS(7239),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7239),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7239),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7239),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7239),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7239),
    [anon_sym_BSLASHgls] = ACTIONS(7239),
    [anon_sym_BSLASHGls] = ACTIONS(7239),
    [anon_sym_BSLASHGLS] = ACTIONS(7239),
    [anon_sym_BSLASHglspl] = ACTIONS(7239),
    [anon_sym_BSLASHGlspl] = ACTIONS(7239),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7239),
    [anon_sym_BSLASHglslink] = ACTIONS(7239),
    [anon_sym_BSLASHglstext] = ACTIONS(7239),
    [anon_sym_BSLASHGlstext] = ACTIONS(7239),
    [anon_sym_BSLASHGLStext] = ACTIONS(7239),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7239),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7239),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7239),
    [anon_sym_BSLASHglsplural] = ACTIONS(7239),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7239),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7239),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHglsname] = ACTIONS(7239),
    [anon_sym_BSLASHGlsname] = ACTIONS(7239),
    [anon_sym_BSLASHGLSname] = ACTIONS(7239),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7239),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7239),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7239),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7239),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7239),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7239),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7239),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7239),
    [anon_sym_BSLASHacrshort] = ACTIONS(7239),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7239),
    [anon_sym_BSLASHACRshort] = ACTIONS(7239),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHacrlong] = ACTIONS(7239),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7239),
    [anon_sym_BSLASHACRlong] = ACTIONS(7239),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHacrfull] = ACTIONS(7239),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7239),
    [anon_sym_BSLASHACRfull] = ACTIONS(7239),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHacs] = ACTIONS(7239),
    [anon_sym_BSLASHAcs] = ACTIONS(7239),
    [anon_sym_BSLASHacsp] = ACTIONS(7239),
    [anon_sym_BSLASHAcsp] = ACTIONS(7239),
    [anon_sym_BSLASHacl] = ACTIONS(7239),
    [anon_sym_BSLASHAcl] = ACTIONS(7239),
    [anon_sym_BSLASHaclp] = ACTIONS(7239),
    [anon_sym_BSLASHAclp] = ACTIONS(7239),
    [anon_sym_BSLASHacf] = ACTIONS(7239),
    [anon_sym_BSLASHAcf] = ACTIONS(7239),
    [anon_sym_BSLASHacfp] = ACTIONS(7239),
    [anon_sym_BSLASHAcfp] = ACTIONS(7239),
    [anon_sym_BSLASHac] = ACTIONS(7239),
    [anon_sym_BSLASHAc] = ACTIONS(7239),
    [anon_sym_BSLASHacp] = ACTIONS(7239),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7239),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7239),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7239),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7239),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7239),
    [anon_sym_BSLASHcolor] = ACTIONS(7239),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7239),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7239),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7239),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7239),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7239),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7239),
    [anon_sym_BSLASHurl] = ACTIONS(7239),
    [anon_sym_BSLASHhref] = ACTIONS(7239),
  },
  [1119] = {
    [ts_builtin_sym_end] = ACTIONS(7245),
    [sym_command_name] = ACTIONS(7243),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7243),
    [anon_sym_LBRACK] = ACTIONS(7245),
    [anon_sym_RBRACK] = ACTIONS(7245),
    [anon_sym_COMMA] = ACTIONS(7245),
    [anon_sym_EQ] = ACTIONS(7245),
    [anon_sym_LPAREN] = ACTIONS(7245),
    [anon_sym_RPAREN] = ACTIONS(7245),
    [anon_sym_BSLASHpart] = ACTIONS(7243),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHaddpart] = ACTIONS(7243),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHchapter] = ACTIONS(7243),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHaddchap] = ACTIONS(7243),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHsection] = ACTIONS(7243),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHaddsec] = ACTIONS(7243),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHsubsection] = ACTIONS(7243),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7243),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHparagraph] = ACTIONS(7243),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7243),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHitem] = ACTIONS(7243),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7245),
    [anon_sym_LBRACE] = ACTIONS(7245),
    [anon_sym_RBRACE] = ACTIONS(7245),
    [sym_word] = ACTIONS(7243),
    [sym_placeholder] = ACTIONS(7245),
    [sym_delimiter] = ACTIONS(7245),
    [anon_sym_PLUS] = ACTIONS(7245),
    [anon_sym_DASH] = ACTIONS(7245),
    [anon_sym_STAR] = ACTIONS(7245),
    [anon_sym_SLASH] = ACTIONS(7245),
    [anon_sym_LT] = ACTIONS(7243),
    [anon_sym_GT] = ACTIONS(7243),
    [anon_sym_BANG] = ACTIONS(7243),
    [anon_sym_PIPE] = ACTIONS(7243),
    [anon_sym_COLON] = ACTIONS(7243),
    [anon_sym_SQUOTE] = ACTIONS(7243),
    [anon_sym__] = ACTIONS(7245),
    [anon_sym_CARET] = ACTIONS(7245),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7245),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7245),
    [anon_sym_DOLLAR] = ACTIONS(7243),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7245),
    [anon_sym_BSLASHleft] = ACTIONS(7243),
    [anon_sym_BSLASHbigl] = ACTIONS(7243),
    [anon_sym_BSLASHBigl] = ACTIONS(7243),
    [anon_sym_BSLASHbiggl] = ACTIONS(7243),
    [anon_sym_BSLASHBiggl] = ACTIONS(7243),
    [anon_sym_BSLASHtext] = ACTIONS(7243),
    [anon_sym_BSLASHintertext] = ACTIONS(7243),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7243),
    [anon_sym_BSLASHbegin] = ACTIONS(7243),
    [anon_sym_BSLASHtitle] = ACTIONS(7243),
    [anon_sym_BSLASHauthor] = ACTIONS(7243),
    [anon_sym_BSLASHusepackage] = ACTIONS(7243),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7243),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7243),
    [anon_sym_BSLASHinclude] = ACTIONS(7243),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7243),
    [anon_sym_BSLASHinput] = ACTIONS(7243),
    [anon_sym_BSLASHsubfile] = ACTIONS(7243),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7243),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7243),
    [anon_sym_BSLASHbibliography] = ACTIONS(7243),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7243),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7243),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7243),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7243),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7243),
    [anon_sym_BSLASHimport] = ACTIONS(7243),
    [anon_sym_BSLASHsubimport] = ACTIONS(7243),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7243),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7243),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7243),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7243),
    [anon_sym_BSLASHcaption] = ACTIONS(7243),
    [anon_sym_BSLASHcite] = ACTIONS(7243),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCite] = ACTIONS(7243),
    [anon_sym_BSLASHnocite] = ACTIONS(7243),
    [anon_sym_BSLASHcitet] = ACTIONS(7243),
    [anon_sym_BSLASHcitep] = ACTIONS(7243),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteA] = ACTIONS(7243),
    [anon_sym_BSLASHciteR] = ACTIONS(7243),
    [anon_sym_BSLASHciteS] = ACTIONS(7243),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7243),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7243),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7243),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7243),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteyear] = ACTIONS(7243),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitedate] = ACTIONS(7243),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteurl] = ACTIONS(7243),
    [anon_sym_BSLASHfullcite] = ACTIONS(7243),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7243),
    [anon_sym_BSLASHcitealt] = ACTIONS(7243),
    [anon_sym_BSLASHcitealp] = ACTIONS(7243),
    [anon_sym_BSLASHcitetext] = ACTIONS(7243),
    [anon_sym_BSLASHparencite] = ACTIONS(7243),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHParencite] = ACTIONS(7243),
    [anon_sym_BSLASHfootcite] = ACTIONS(7243),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7243),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7243),
    [anon_sym_BSLASHtextcite] = ACTIONS(7243),
    [anon_sym_BSLASHTextcite] = ACTIONS(7243),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7243),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7243),
    [anon_sym_BSLASHsupercite] = ACTIONS(7243),
    [anon_sym_BSLASHautocite] = ACTIONS(7243),
    [anon_sym_BSLASHAutocite] = ACTIONS(7243),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHVolcite] = ACTIONS(7243),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHavolcite] = ACTIONS(7243),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHNotecite] = ACTIONS(7243),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHlabel] = ACTIONS(7243),
    [anon_sym_BSLASHref] = ACTIONS(7243),
    [anon_sym_BSLASHeqref] = ACTIONS(7243),
    [anon_sym_BSLASHvref] = ACTIONS(7243),
    [anon_sym_BSLASHVref] = ACTIONS(7243),
    [anon_sym_BSLASHautoref] = ACTIONS(7243),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHpageref] = ACTIONS(7243),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHautopageref] = ACTIONS(7243),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcref] = ACTIONS(7243),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCref] = ACTIONS(7243),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcpageref] = ACTIONS(7243),
    [anon_sym_BSLASHCpageref] = ACTIONS(7243),
    [anon_sym_BSLASHnamecref] = ACTIONS(7243),
    [anon_sym_BSLASHnameCref] = ACTIONS(7243),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7243),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7243),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7243),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7243),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7243),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7243),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7243),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7243),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7243),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7243),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7243),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHdef] = ACTIONS(7243),
    [anon_sym_BSLASHgdef] = ACTIONS(7243),
    [anon_sym_BSLASHedef] = ACTIONS(7243),
    [anon_sym_BSLASHxdef] = ACTIONS(7243),
    [anon_sym_BSLASHlet] = ACTIONS(7243),
    [anon_sym_BSLASHglet] = ACTIONS(7243),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7243),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7243),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7243),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7243),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7243),
    [anon_sym_BSLASHgls] = ACTIONS(7243),
    [anon_sym_BSLASHGls] = ACTIONS(7243),
    [anon_sym_BSLASHGLS] = ACTIONS(7243),
    [anon_sym_BSLASHglspl] = ACTIONS(7243),
    [anon_sym_BSLASHGlspl] = ACTIONS(7243),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7243),
    [anon_sym_BSLASHglslink] = ACTIONS(7243),
    [anon_sym_BSLASHglstext] = ACTIONS(7243),
    [anon_sym_BSLASHGlstext] = ACTIONS(7243),
    [anon_sym_BSLASHGLStext] = ACTIONS(7243),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7243),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7243),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7243),
    [anon_sym_BSLASHglsplural] = ACTIONS(7243),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7243),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7243),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHglsname] = ACTIONS(7243),
    [anon_sym_BSLASHGlsname] = ACTIONS(7243),
    [anon_sym_BSLASHGLSname] = ACTIONS(7243),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7243),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7243),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7243),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7243),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7243),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7243),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7243),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7243),
    [anon_sym_BSLASHacrshort] = ACTIONS(7243),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7243),
    [anon_sym_BSLASHACRshort] = ACTIONS(7243),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHacrlong] = ACTIONS(7243),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7243),
    [anon_sym_BSLASHACRlong] = ACTIONS(7243),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHacrfull] = ACTIONS(7243),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7243),
    [anon_sym_BSLASHACRfull] = ACTIONS(7243),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHacs] = ACTIONS(7243),
    [anon_sym_BSLASHAcs] = ACTIONS(7243),
    [anon_sym_BSLASHacsp] = ACTIONS(7243),
    [anon_sym_BSLASHAcsp] = ACTIONS(7243),
    [anon_sym_BSLASHacl] = ACTIONS(7243),
    [anon_sym_BSLASHAcl] = ACTIONS(7243),
    [anon_sym_BSLASHaclp] = ACTIONS(7243),
    [anon_sym_BSLASHAclp] = ACTIONS(7243),
    [anon_sym_BSLASHacf] = ACTIONS(7243),
    [anon_sym_BSLASHAcf] = ACTIONS(7243),
    [anon_sym_BSLASHacfp] = ACTIONS(7243),
    [anon_sym_BSLASHAcfp] = ACTIONS(7243),
    [anon_sym_BSLASHac] = ACTIONS(7243),
    [anon_sym_BSLASHAc] = ACTIONS(7243),
    [anon_sym_BSLASHacp] = ACTIONS(7243),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7243),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7243),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7243),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7243),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7243),
    [anon_sym_BSLASHcolor] = ACTIONS(7243),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7243),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7243),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7243),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7243),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7243),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7243),
    [anon_sym_BSLASHurl] = ACTIONS(7243),
    [anon_sym_BSLASHhref] = ACTIONS(7243),
  },
  [1120] = {
    [ts_builtin_sym_end] = ACTIONS(7201),
    [sym_command_name] = ACTIONS(7199),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7199),
    [anon_sym_LBRACK] = ACTIONS(7201),
    [anon_sym_RBRACK] = ACTIONS(7201),
    [anon_sym_COMMA] = ACTIONS(7201),
    [anon_sym_EQ] = ACTIONS(7201),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_RPAREN] = ACTIONS(7201),
    [anon_sym_BSLASHpart] = ACTIONS(7199),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHaddpart] = ACTIONS(7199),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHchapter] = ACTIONS(7199),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHaddchap] = ACTIONS(7199),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHsection] = ACTIONS(7199),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHaddsec] = ACTIONS(7199),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHsubsection] = ACTIONS(7199),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHparagraph] = ACTIONS(7199),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7199),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHitem] = ACTIONS(7199),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7201),
    [anon_sym_LBRACE] = ACTIONS(7201),
    [anon_sym_RBRACE] = ACTIONS(7201),
    [sym_word] = ACTIONS(7199),
    [sym_placeholder] = ACTIONS(7201),
    [sym_delimiter] = ACTIONS(7201),
    [anon_sym_PLUS] = ACTIONS(7201),
    [anon_sym_DASH] = ACTIONS(7201),
    [anon_sym_STAR] = ACTIONS(7201),
    [anon_sym_SLASH] = ACTIONS(7201),
    [anon_sym_LT] = ACTIONS(7199),
    [anon_sym_GT] = ACTIONS(7199),
    [anon_sym_BANG] = ACTIONS(7199),
    [anon_sym_PIPE] = ACTIONS(7199),
    [anon_sym_COLON] = ACTIONS(7199),
    [anon_sym_SQUOTE] = ACTIONS(7199),
    [anon_sym__] = ACTIONS(7201),
    [anon_sym_CARET] = ACTIONS(7201),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7201),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7201),
    [anon_sym_DOLLAR] = ACTIONS(7199),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7201),
    [anon_sym_BSLASHleft] = ACTIONS(7199),
    [anon_sym_BSLASHbigl] = ACTIONS(7199),
    [anon_sym_BSLASHBigl] = ACTIONS(7199),
    [anon_sym_BSLASHbiggl] = ACTIONS(7199),
    [anon_sym_BSLASHBiggl] = ACTIONS(7199),
    [anon_sym_BSLASHtext] = ACTIONS(7199),
    [anon_sym_BSLASHintertext] = ACTIONS(7199),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7199),
    [anon_sym_BSLASHbegin] = ACTIONS(7199),
    [anon_sym_BSLASHtitle] = ACTIONS(7199),
    [anon_sym_BSLASHauthor] = ACTIONS(7199),
    [anon_sym_BSLASHusepackage] = ACTIONS(7199),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7199),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7199),
    [anon_sym_BSLASHinclude] = ACTIONS(7199),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7199),
    [anon_sym_BSLASHinput] = ACTIONS(7199),
    [anon_sym_BSLASHsubfile] = ACTIONS(7199),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7199),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7199),
    [anon_sym_BSLASHbibliography] = ACTIONS(7199),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7199),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7199),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7199),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7199),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7199),
    [anon_sym_BSLASHimport] = ACTIONS(7199),
    [anon_sym_BSLASHsubimport] = ACTIONS(7199),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7199),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7199),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7199),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7199),
    [anon_sym_BSLASHcaption] = ACTIONS(7199),
    [anon_sym_BSLASHcite] = ACTIONS(7199),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCite] = ACTIONS(7199),
    [anon_sym_BSLASHnocite] = ACTIONS(7199),
    [anon_sym_BSLASHcitet] = ACTIONS(7199),
    [anon_sym_BSLASHcitep] = ACTIONS(7199),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteA] = ACTIONS(7199),
    [anon_sym_BSLASHciteR] = ACTIONS(7199),
    [anon_sym_BSLASHciteS] = ACTIONS(7199),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7199),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7199),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7199),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7199),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteyear] = ACTIONS(7199),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitedate] = ACTIONS(7199),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteurl] = ACTIONS(7199),
    [anon_sym_BSLASHfullcite] = ACTIONS(7199),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7199),
    [anon_sym_BSLASHcitealt] = ACTIONS(7199),
    [anon_sym_BSLASHcitealp] = ACTIONS(7199),
    [anon_sym_BSLASHcitetext] = ACTIONS(7199),
    [anon_sym_BSLASHparencite] = ACTIONS(7199),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHParencite] = ACTIONS(7199),
    [anon_sym_BSLASHfootcite] = ACTIONS(7199),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7199),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7199),
    [anon_sym_BSLASHtextcite] = ACTIONS(7199),
    [anon_sym_BSLASHTextcite] = ACTIONS(7199),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7199),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7199),
    [anon_sym_BSLASHsupercite] = ACTIONS(7199),
    [anon_sym_BSLASHautocite] = ACTIONS(7199),
    [anon_sym_BSLASHAutocite] = ACTIONS(7199),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHVolcite] = ACTIONS(7199),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHavolcite] = ACTIONS(7199),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHNotecite] = ACTIONS(7199),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHlabel] = ACTIONS(7199),
    [anon_sym_BSLASHref] = ACTIONS(7199),
    [anon_sym_BSLASHeqref] = ACTIONS(7199),
    [anon_sym_BSLASHvref] = ACTIONS(7199),
    [anon_sym_BSLASHVref] = ACTIONS(7199),
    [anon_sym_BSLASHautoref] = ACTIONS(7199),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHpageref] = ACTIONS(7199),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHautopageref] = ACTIONS(7199),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcref] = ACTIONS(7199),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCref] = ACTIONS(7199),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcpageref] = ACTIONS(7199),
    [anon_sym_BSLASHCpageref] = ACTIONS(7199),
    [anon_sym_BSLASHnamecref] = ACTIONS(7199),
    [anon_sym_BSLASHnameCref] = ACTIONS(7199),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7199),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7199),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7199),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7199),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7199),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7199),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7199),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7199),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7199),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7199),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7199),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHdef] = ACTIONS(7199),
    [anon_sym_BSLASHgdef] = ACTIONS(7199),
    [anon_sym_BSLASHedef] = ACTIONS(7199),
    [anon_sym_BSLASHxdef] = ACTIONS(7199),
    [anon_sym_BSLASHlet] = ACTIONS(7199),
    [anon_sym_BSLASHglet] = ACTIONS(7199),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7199),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7199),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7199),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7199),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7199),
    [anon_sym_BSLASHgls] = ACTIONS(7199),
    [anon_sym_BSLASHGls] = ACTIONS(7199),
    [anon_sym_BSLASHGLS] = ACTIONS(7199),
    [anon_sym_BSLASHglspl] = ACTIONS(7199),
    [anon_sym_BSLASHGlspl] = ACTIONS(7199),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7199),
    [anon_sym_BSLASHglslink] = ACTIONS(7199),
    [anon_sym_BSLASHglstext] = ACTIONS(7199),
    [anon_sym_BSLASHGlstext] = ACTIONS(7199),
    [anon_sym_BSLASHGLStext] = ACTIONS(7199),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7199),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7199),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7199),
    [anon_sym_BSLASHglsplural] = ACTIONS(7199),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7199),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7199),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHglsname] = ACTIONS(7199),
    [anon_sym_BSLASHGlsname] = ACTIONS(7199),
    [anon_sym_BSLASHGLSname] = ACTIONS(7199),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7199),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7199),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7199),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7199),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7199),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7199),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7199),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7199),
    [anon_sym_BSLASHacrshort] = ACTIONS(7199),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7199),
    [anon_sym_BSLASHACRshort] = ACTIONS(7199),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHacrlong] = ACTIONS(7199),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7199),
    [anon_sym_BSLASHACRlong] = ACTIONS(7199),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHacrfull] = ACTIONS(7199),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7199),
    [anon_sym_BSLASHACRfull] = ACTIONS(7199),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHacs] = ACTIONS(7199),
    [anon_sym_BSLASHAcs] = ACTIONS(7199),
    [anon_sym_BSLASHacsp] = ACTIONS(7199),
    [anon_sym_BSLASHAcsp] = ACTIONS(7199),
    [anon_sym_BSLASHacl] = ACTIONS(7199),
    [anon_sym_BSLASHAcl] = ACTIONS(7199),
    [anon_sym_BSLASHaclp] = ACTIONS(7199),
    [anon_sym_BSLASHAclp] = ACTIONS(7199),
    [anon_sym_BSLASHacf] = ACTIONS(7199),
    [anon_sym_BSLASHAcf] = ACTIONS(7199),
    [anon_sym_BSLASHacfp] = ACTIONS(7199),
    [anon_sym_BSLASHAcfp] = ACTIONS(7199),
    [anon_sym_BSLASHac] = ACTIONS(7199),
    [anon_sym_BSLASHAc] = ACTIONS(7199),
    [anon_sym_BSLASHacp] = ACTIONS(7199),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7199),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7199),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7199),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7199),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7199),
    [anon_sym_BSLASHcolor] = ACTIONS(7199),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7199),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7199),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7199),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7199),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7199),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7199),
    [anon_sym_BSLASHurl] = ACTIONS(7199),
    [anon_sym_BSLASHhref] = ACTIONS(7199),
  },
  [1121] = {
    [ts_builtin_sym_end] = ACTIONS(7249),
    [sym_command_name] = ACTIONS(7247),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7247),
    [anon_sym_LBRACK] = ACTIONS(7249),
    [anon_sym_RBRACK] = ACTIONS(7249),
    [anon_sym_COMMA] = ACTIONS(7249),
    [anon_sym_EQ] = ACTIONS(7249),
    [anon_sym_LPAREN] = ACTIONS(7249),
    [anon_sym_RPAREN] = ACTIONS(7249),
    [anon_sym_BSLASHpart] = ACTIONS(7247),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHaddpart] = ACTIONS(7247),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHchapter] = ACTIONS(7247),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHaddchap] = ACTIONS(7247),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHsection] = ACTIONS(7247),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHaddsec] = ACTIONS(7247),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHsubsection] = ACTIONS(7247),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7247),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHparagraph] = ACTIONS(7247),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7247),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHitem] = ACTIONS(7247),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7249),
    [anon_sym_LBRACE] = ACTIONS(7249),
    [anon_sym_RBRACE] = ACTIONS(7249),
    [sym_word] = ACTIONS(7247),
    [sym_placeholder] = ACTIONS(7249),
    [sym_delimiter] = ACTIONS(7249),
    [anon_sym_PLUS] = ACTIONS(7249),
    [anon_sym_DASH] = ACTIONS(7249),
    [anon_sym_STAR] = ACTIONS(7249),
    [anon_sym_SLASH] = ACTIONS(7249),
    [anon_sym_LT] = ACTIONS(7247),
    [anon_sym_GT] = ACTIONS(7247),
    [anon_sym_BANG] = ACTIONS(7247),
    [anon_sym_PIPE] = ACTIONS(7247),
    [anon_sym_COLON] = ACTIONS(7247),
    [anon_sym_SQUOTE] = ACTIONS(7247),
    [anon_sym__] = ACTIONS(7249),
    [anon_sym_CARET] = ACTIONS(7249),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7249),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7249),
    [anon_sym_DOLLAR] = ACTIONS(7247),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7249),
    [anon_sym_BSLASHleft] = ACTIONS(7247),
    [anon_sym_BSLASHbigl] = ACTIONS(7247),
    [anon_sym_BSLASHBigl] = ACTIONS(7247),
    [anon_sym_BSLASHbiggl] = ACTIONS(7247),
    [anon_sym_BSLASHBiggl] = ACTIONS(7247),
    [anon_sym_BSLASHtext] = ACTIONS(7247),
    [anon_sym_BSLASHintertext] = ACTIONS(7247),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7247),
    [anon_sym_BSLASHbegin] = ACTIONS(7247),
    [anon_sym_BSLASHtitle] = ACTIONS(7247),
    [anon_sym_BSLASHauthor] = ACTIONS(7247),
    [anon_sym_BSLASHusepackage] = ACTIONS(7247),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7247),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7247),
    [anon_sym_BSLASHinclude] = ACTIONS(7247),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7247),
    [anon_sym_BSLASHinput] = ACTIONS(7247),
    [anon_sym_BSLASHsubfile] = ACTIONS(7247),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7247),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7247),
    [anon_sym_BSLASHbibliography] = ACTIONS(7247),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7247),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7247),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7247),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7247),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7247),
    [anon_sym_BSLASHimport] = ACTIONS(7247),
    [anon_sym_BSLASHsubimport] = ACTIONS(7247),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7247),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7247),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7247),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7247),
    [anon_sym_BSLASHcaption] = ACTIONS(7247),
    [anon_sym_BSLASHcite] = ACTIONS(7247),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCite] = ACTIONS(7247),
    [anon_sym_BSLASHnocite] = ACTIONS(7247),
    [anon_sym_BSLASHcitet] = ACTIONS(7247),
    [anon_sym_BSLASHcitep] = ACTIONS(7247),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteA] = ACTIONS(7247),
    [anon_sym_BSLASHciteR] = ACTIONS(7247),
    [anon_sym_BSLASHciteS] = ACTIONS(7247),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7247),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7247),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7247),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7247),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteyear] = ACTIONS(7247),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitedate] = ACTIONS(7247),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteurl] = ACTIONS(7247),
    [anon_sym_BSLASHfullcite] = ACTIONS(7247),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7247),
    [anon_sym_BSLASHcitealt] = ACTIONS(7247),
    [anon_sym_BSLASHcitealp] = ACTIONS(7247),
    [anon_sym_BSLASHcitetext] = ACTIONS(7247),
    [anon_sym_BSLASHparencite] = ACTIONS(7247),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHParencite] = ACTIONS(7247),
    [anon_sym_BSLASHfootcite] = ACTIONS(7247),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7247),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7247),
    [anon_sym_BSLASHtextcite] = ACTIONS(7247),
    [anon_sym_BSLASHTextcite] = ACTIONS(7247),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7247),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7247),
    [anon_sym_BSLASHsupercite] = ACTIONS(7247),
    [anon_sym_BSLASHautocite] = ACTIONS(7247),
    [anon_sym_BSLASHAutocite] = ACTIONS(7247),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHVolcite] = ACTIONS(7247),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHavolcite] = ACTIONS(7247),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHNotecite] = ACTIONS(7247),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHlabel] = ACTIONS(7247),
    [anon_sym_BSLASHref] = ACTIONS(7247),
    [anon_sym_BSLASHeqref] = ACTIONS(7247),
    [anon_sym_BSLASHvref] = ACTIONS(7247),
    [anon_sym_BSLASHVref] = ACTIONS(7247),
    [anon_sym_BSLASHautoref] = ACTIONS(7247),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHpageref] = ACTIONS(7247),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHautopageref] = ACTIONS(7247),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcref] = ACTIONS(7247),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCref] = ACTIONS(7247),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcpageref] = ACTIONS(7247),
    [anon_sym_BSLASHCpageref] = ACTIONS(7247),
    [anon_sym_BSLASHnamecref] = ACTIONS(7247),
    [anon_sym_BSLASHnameCref] = ACTIONS(7247),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7247),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7247),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7247),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7247),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7247),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7247),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7247),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7247),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7247),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7247),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7247),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHdef] = ACTIONS(7247),
    [anon_sym_BSLASHgdef] = ACTIONS(7247),
    [anon_sym_BSLASHedef] = ACTIONS(7247),
    [anon_sym_BSLASHxdef] = ACTIONS(7247),
    [anon_sym_BSLASHlet] = ACTIONS(7247),
    [anon_sym_BSLASHglet] = ACTIONS(7247),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7247),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7247),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7247),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7247),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7247),
    [anon_sym_BSLASHgls] = ACTIONS(7247),
    [anon_sym_BSLASHGls] = ACTIONS(7247),
    [anon_sym_BSLASHGLS] = ACTIONS(7247),
    [anon_sym_BSLASHglspl] = ACTIONS(7247),
    [anon_sym_BSLASHGlspl] = ACTIONS(7247),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7247),
    [anon_sym_BSLASHglslink] = ACTIONS(7247),
    [anon_sym_BSLASHglstext] = ACTIONS(7247),
    [anon_sym_BSLASHGlstext] = ACTIONS(7247),
    [anon_sym_BSLASHGLStext] = ACTIONS(7247),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7247),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7247),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7247),
    [anon_sym_BSLASHglsplural] = ACTIONS(7247),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7247),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7247),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHglsname] = ACTIONS(7247),
    [anon_sym_BSLASHGlsname] = ACTIONS(7247),
    [anon_sym_BSLASHGLSname] = ACTIONS(7247),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7247),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7247),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7247),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7247),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7247),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7247),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7247),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7247),
    [anon_sym_BSLASHacrshort] = ACTIONS(7247),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7247),
    [anon_sym_BSLASHACRshort] = ACTIONS(7247),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHacrlong] = ACTIONS(7247),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7247),
    [anon_sym_BSLASHACRlong] = ACTIONS(7247),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHacrfull] = ACTIONS(7247),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7247),
    [anon_sym_BSLASHACRfull] = ACTIONS(7247),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHacs] = ACTIONS(7247),
    [anon_sym_BSLASHAcs] = ACTIONS(7247),
    [anon_sym_BSLASHacsp] = ACTIONS(7247),
    [anon_sym_BSLASHAcsp] = ACTIONS(7247),
    [anon_sym_BSLASHacl] = ACTIONS(7247),
    [anon_sym_BSLASHAcl] = ACTIONS(7247),
    [anon_sym_BSLASHaclp] = ACTIONS(7247),
    [anon_sym_BSLASHAclp] = ACTIONS(7247),
    [anon_sym_BSLASHacf] = ACTIONS(7247),
    [anon_sym_BSLASHAcf] = ACTIONS(7247),
    [anon_sym_BSLASHacfp] = ACTIONS(7247),
    [anon_sym_BSLASHAcfp] = ACTIONS(7247),
    [anon_sym_BSLASHac] = ACTIONS(7247),
    [anon_sym_BSLASHAc] = ACTIONS(7247),
    [anon_sym_BSLASHacp] = ACTIONS(7247),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7247),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7247),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7247),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7247),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7247),
    [anon_sym_BSLASHcolor] = ACTIONS(7247),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7247),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7247),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7247),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7247),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7247),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7247),
    [anon_sym_BSLASHurl] = ACTIONS(7247),
    [anon_sym_BSLASHhref] = ACTIONS(7247),
  },
  [1122] = {
    [ts_builtin_sym_end] = ACTIONS(7253),
    [sym_command_name] = ACTIONS(7251),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7251),
    [anon_sym_LBRACK] = ACTIONS(7253),
    [anon_sym_RBRACK] = ACTIONS(7253),
    [anon_sym_COMMA] = ACTIONS(7253),
    [anon_sym_EQ] = ACTIONS(7253),
    [anon_sym_LPAREN] = ACTIONS(7253),
    [anon_sym_RPAREN] = ACTIONS(7253),
    [anon_sym_BSLASHpart] = ACTIONS(7251),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHaddpart] = ACTIONS(7251),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHchapter] = ACTIONS(7251),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHaddchap] = ACTIONS(7251),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHsection] = ACTIONS(7251),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHaddsec] = ACTIONS(7251),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHsubsection] = ACTIONS(7251),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7251),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHparagraph] = ACTIONS(7251),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7251),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHitem] = ACTIONS(7251),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7253),
    [anon_sym_LBRACE] = ACTIONS(7253),
    [anon_sym_RBRACE] = ACTIONS(7253),
    [sym_word] = ACTIONS(7251),
    [sym_placeholder] = ACTIONS(7253),
    [sym_delimiter] = ACTIONS(7253),
    [anon_sym_PLUS] = ACTIONS(7253),
    [anon_sym_DASH] = ACTIONS(7253),
    [anon_sym_STAR] = ACTIONS(7253),
    [anon_sym_SLASH] = ACTIONS(7253),
    [anon_sym_LT] = ACTIONS(7251),
    [anon_sym_GT] = ACTIONS(7251),
    [anon_sym_BANG] = ACTIONS(7251),
    [anon_sym_PIPE] = ACTIONS(7251),
    [anon_sym_COLON] = ACTIONS(7251),
    [anon_sym_SQUOTE] = ACTIONS(7251),
    [anon_sym__] = ACTIONS(7253),
    [anon_sym_CARET] = ACTIONS(7253),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7253),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7253),
    [anon_sym_DOLLAR] = ACTIONS(7251),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7253),
    [anon_sym_BSLASHleft] = ACTIONS(7251),
    [anon_sym_BSLASHbigl] = ACTIONS(7251),
    [anon_sym_BSLASHBigl] = ACTIONS(7251),
    [anon_sym_BSLASHbiggl] = ACTIONS(7251),
    [anon_sym_BSLASHBiggl] = ACTIONS(7251),
    [anon_sym_BSLASHtext] = ACTIONS(7251),
    [anon_sym_BSLASHintertext] = ACTIONS(7251),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7251),
    [anon_sym_BSLASHbegin] = ACTIONS(7251),
    [anon_sym_BSLASHtitle] = ACTIONS(7251),
    [anon_sym_BSLASHauthor] = ACTIONS(7251),
    [anon_sym_BSLASHusepackage] = ACTIONS(7251),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7251),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7251),
    [anon_sym_BSLASHinclude] = ACTIONS(7251),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7251),
    [anon_sym_BSLASHinput] = ACTIONS(7251),
    [anon_sym_BSLASHsubfile] = ACTIONS(7251),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7251),
    [anon_sym_BSLASHbibliography] = ACTIONS(7251),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7251),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7251),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7251),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7251),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7251),
    [anon_sym_BSLASHimport] = ACTIONS(7251),
    [anon_sym_BSLASHsubimport] = ACTIONS(7251),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7251),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7251),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7251),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7251),
    [anon_sym_BSLASHcaption] = ACTIONS(7251),
    [anon_sym_BSLASHcite] = ACTIONS(7251),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCite] = ACTIONS(7251),
    [anon_sym_BSLASHnocite] = ACTIONS(7251),
    [anon_sym_BSLASHcitet] = ACTIONS(7251),
    [anon_sym_BSLASHcitep] = ACTIONS(7251),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteA] = ACTIONS(7251),
    [anon_sym_BSLASHciteR] = ACTIONS(7251),
    [anon_sym_BSLASHciteS] = ACTIONS(7251),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7251),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7251),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7251),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7251),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteyear] = ACTIONS(7251),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitedate] = ACTIONS(7251),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteurl] = ACTIONS(7251),
    [anon_sym_BSLASHfullcite] = ACTIONS(7251),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7251),
    [anon_sym_BSLASHcitealt] = ACTIONS(7251),
    [anon_sym_BSLASHcitealp] = ACTIONS(7251),
    [anon_sym_BSLASHcitetext] = ACTIONS(7251),
    [anon_sym_BSLASHparencite] = ACTIONS(7251),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHParencite] = ACTIONS(7251),
    [anon_sym_BSLASHfootcite] = ACTIONS(7251),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7251),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7251),
    [anon_sym_BSLASHtextcite] = ACTIONS(7251),
    [anon_sym_BSLASHTextcite] = ACTIONS(7251),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7251),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7251),
    [anon_sym_BSLASHsupercite] = ACTIONS(7251),
    [anon_sym_BSLASHautocite] = ACTIONS(7251),
    [anon_sym_BSLASHAutocite] = ACTIONS(7251),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHVolcite] = ACTIONS(7251),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHavolcite] = ACTIONS(7251),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHNotecite] = ACTIONS(7251),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHlabel] = ACTIONS(7251),
    [anon_sym_BSLASHref] = ACTIONS(7251),
    [anon_sym_BSLASHeqref] = ACTIONS(7251),
    [anon_sym_BSLASHvref] = ACTIONS(7251),
    [anon_sym_BSLASHVref] = ACTIONS(7251),
    [anon_sym_BSLASHautoref] = ACTIONS(7251),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHpageref] = ACTIONS(7251),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHautopageref] = ACTIONS(7251),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcref] = ACTIONS(7251),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCref] = ACTIONS(7251),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcpageref] = ACTIONS(7251),
    [anon_sym_BSLASHCpageref] = ACTIONS(7251),
    [anon_sym_BSLASHnamecref] = ACTIONS(7251),
    [anon_sym_BSLASHnameCref] = ACTIONS(7251),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7251),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7251),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7251),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7251),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7251),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7251),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7251),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7251),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7251),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7251),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7251),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHdef] = ACTIONS(7251),
    [anon_sym_BSLASHgdef] = ACTIONS(7251),
    [anon_sym_BSLASHedef] = ACTIONS(7251),
    [anon_sym_BSLASHxdef] = ACTIONS(7251),
    [anon_sym_BSLASHlet] = ACTIONS(7251),
    [anon_sym_BSLASHglet] = ACTIONS(7251),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7251),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7251),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7251),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7251),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7251),
    [anon_sym_BSLASHgls] = ACTIONS(7251),
    [anon_sym_BSLASHGls] = ACTIONS(7251),
    [anon_sym_BSLASHGLS] = ACTIONS(7251),
    [anon_sym_BSLASHglspl] = ACTIONS(7251),
    [anon_sym_BSLASHGlspl] = ACTIONS(7251),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7251),
    [anon_sym_BSLASHglslink] = ACTIONS(7251),
    [anon_sym_BSLASHglstext] = ACTIONS(7251),
    [anon_sym_BSLASHGlstext] = ACTIONS(7251),
    [anon_sym_BSLASHGLStext] = ACTIONS(7251),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7251),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7251),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7251),
    [anon_sym_BSLASHglsplural] = ACTIONS(7251),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7251),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7251),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHglsname] = ACTIONS(7251),
    [anon_sym_BSLASHGlsname] = ACTIONS(7251),
    [anon_sym_BSLASHGLSname] = ACTIONS(7251),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7251),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7251),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7251),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7251),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7251),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7251),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7251),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7251),
    [anon_sym_BSLASHacrshort] = ACTIONS(7251),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7251),
    [anon_sym_BSLASHACRshort] = ACTIONS(7251),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHacrlong] = ACTIONS(7251),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7251),
    [anon_sym_BSLASHACRlong] = ACTIONS(7251),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHacrfull] = ACTIONS(7251),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7251),
    [anon_sym_BSLASHACRfull] = ACTIONS(7251),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHacs] = ACTIONS(7251),
    [anon_sym_BSLASHAcs] = ACTIONS(7251),
    [anon_sym_BSLASHacsp] = ACTIONS(7251),
    [anon_sym_BSLASHAcsp] = ACTIONS(7251),
    [anon_sym_BSLASHacl] = ACTIONS(7251),
    [anon_sym_BSLASHAcl] = ACTIONS(7251),
    [anon_sym_BSLASHaclp] = ACTIONS(7251),
    [anon_sym_BSLASHAclp] = ACTIONS(7251),
    [anon_sym_BSLASHacf] = ACTIONS(7251),
    [anon_sym_BSLASHAcf] = ACTIONS(7251),
    [anon_sym_BSLASHacfp] = ACTIONS(7251),
    [anon_sym_BSLASHAcfp] = ACTIONS(7251),
    [anon_sym_BSLASHac] = ACTIONS(7251),
    [anon_sym_BSLASHAc] = ACTIONS(7251),
    [anon_sym_BSLASHacp] = ACTIONS(7251),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7251),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7251),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7251),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7251),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7251),
    [anon_sym_BSLASHcolor] = ACTIONS(7251),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7251),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7251),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7251),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7251),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7251),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7251),
    [anon_sym_BSLASHurl] = ACTIONS(7251),
    [anon_sym_BSLASHhref] = ACTIONS(7251),
  },
  [1123] = {
    [ts_builtin_sym_end] = ACTIONS(7257),
    [sym_command_name] = ACTIONS(7255),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7255),
    [anon_sym_LBRACK] = ACTIONS(7257),
    [anon_sym_RBRACK] = ACTIONS(7257),
    [anon_sym_COMMA] = ACTIONS(7257),
    [anon_sym_EQ] = ACTIONS(7257),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_RPAREN] = ACTIONS(7257),
    [anon_sym_BSLASHpart] = ACTIONS(7255),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHaddpart] = ACTIONS(7255),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHchapter] = ACTIONS(7255),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHaddchap] = ACTIONS(7255),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHsection] = ACTIONS(7255),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHaddsec] = ACTIONS(7255),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHsubsection] = ACTIONS(7255),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7255),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHparagraph] = ACTIONS(7255),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7255),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHitem] = ACTIONS(7255),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7257),
    [anon_sym_LBRACE] = ACTIONS(7257),
    [anon_sym_RBRACE] = ACTIONS(7257),
    [sym_word] = ACTIONS(7255),
    [sym_placeholder] = ACTIONS(7257),
    [sym_delimiter] = ACTIONS(7257),
    [anon_sym_PLUS] = ACTIONS(7257),
    [anon_sym_DASH] = ACTIONS(7257),
    [anon_sym_STAR] = ACTIONS(7257),
    [anon_sym_SLASH] = ACTIONS(7257),
    [anon_sym_LT] = ACTIONS(7255),
    [anon_sym_GT] = ACTIONS(7255),
    [anon_sym_BANG] = ACTIONS(7255),
    [anon_sym_PIPE] = ACTIONS(7255),
    [anon_sym_COLON] = ACTIONS(7255),
    [anon_sym_SQUOTE] = ACTIONS(7255),
    [anon_sym__] = ACTIONS(7257),
    [anon_sym_CARET] = ACTIONS(7257),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7257),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7257),
    [anon_sym_DOLLAR] = ACTIONS(7255),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7257),
    [anon_sym_BSLASHleft] = ACTIONS(7255),
    [anon_sym_BSLASHbigl] = ACTIONS(7255),
    [anon_sym_BSLASHBigl] = ACTIONS(7255),
    [anon_sym_BSLASHbiggl] = ACTIONS(7255),
    [anon_sym_BSLASHBiggl] = ACTIONS(7255),
    [anon_sym_BSLASHtext] = ACTIONS(7255),
    [anon_sym_BSLASHintertext] = ACTIONS(7255),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7255),
    [anon_sym_BSLASHbegin] = ACTIONS(7255),
    [anon_sym_BSLASHtitle] = ACTIONS(7255),
    [anon_sym_BSLASHauthor] = ACTIONS(7255),
    [anon_sym_BSLASHusepackage] = ACTIONS(7255),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7255),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7255),
    [anon_sym_BSLASHinclude] = ACTIONS(7255),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7255),
    [anon_sym_BSLASHinput] = ACTIONS(7255),
    [anon_sym_BSLASHsubfile] = ACTIONS(7255),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7255),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7255),
    [anon_sym_BSLASHbibliography] = ACTIONS(7255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7255),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7255),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7255),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7255),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7255),
    [anon_sym_BSLASHimport] = ACTIONS(7255),
    [anon_sym_BSLASHsubimport] = ACTIONS(7255),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7255),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7255),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7255),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7255),
    [anon_sym_BSLASHcaption] = ACTIONS(7255),
    [anon_sym_BSLASHcite] = ACTIONS(7255),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCite] = ACTIONS(7255),
    [anon_sym_BSLASHnocite] = ACTIONS(7255),
    [anon_sym_BSLASHcitet] = ACTIONS(7255),
    [anon_sym_BSLASHcitep] = ACTIONS(7255),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteA] = ACTIONS(7255),
    [anon_sym_BSLASHciteR] = ACTIONS(7255),
    [anon_sym_BSLASHciteS] = ACTIONS(7255),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7255),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7255),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7255),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7255),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteyear] = ACTIONS(7255),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitedate] = ACTIONS(7255),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteurl] = ACTIONS(7255),
    [anon_sym_BSLASHfullcite] = ACTIONS(7255),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7255),
    [anon_sym_BSLASHcitealt] = ACTIONS(7255),
    [anon_sym_BSLASHcitealp] = ACTIONS(7255),
    [anon_sym_BSLASHcitetext] = ACTIONS(7255),
    [anon_sym_BSLASHparencite] = ACTIONS(7255),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHParencite] = ACTIONS(7255),
    [anon_sym_BSLASHfootcite] = ACTIONS(7255),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7255),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7255),
    [anon_sym_BSLASHtextcite] = ACTIONS(7255),
    [anon_sym_BSLASHTextcite] = ACTIONS(7255),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7255),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7255),
    [anon_sym_BSLASHsupercite] = ACTIONS(7255),
    [anon_sym_BSLASHautocite] = ACTIONS(7255),
    [anon_sym_BSLASHAutocite] = ACTIONS(7255),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHVolcite] = ACTIONS(7255),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHavolcite] = ACTIONS(7255),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHNotecite] = ACTIONS(7255),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHlabel] = ACTIONS(7255),
    [anon_sym_BSLASHref] = ACTIONS(7255),
    [anon_sym_BSLASHeqref] = ACTIONS(7255),
    [anon_sym_BSLASHvref] = ACTIONS(7255),
    [anon_sym_BSLASHVref] = ACTIONS(7255),
    [anon_sym_BSLASHautoref] = ACTIONS(7255),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHpageref] = ACTIONS(7255),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHautopageref] = ACTIONS(7255),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcref] = ACTIONS(7255),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCref] = ACTIONS(7255),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcpageref] = ACTIONS(7255),
    [anon_sym_BSLASHCpageref] = ACTIONS(7255),
    [anon_sym_BSLASHnamecref] = ACTIONS(7255),
    [anon_sym_BSLASHnameCref] = ACTIONS(7255),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7255),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7255),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7255),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7255),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7255),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7255),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7255),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7255),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7255),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7255),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7255),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHdef] = ACTIONS(7255),
    [anon_sym_BSLASHgdef] = ACTIONS(7255),
    [anon_sym_BSLASHedef] = ACTIONS(7255),
    [anon_sym_BSLASHxdef] = ACTIONS(7255),
    [anon_sym_BSLASHlet] = ACTIONS(7255),
    [anon_sym_BSLASHglet] = ACTIONS(7255),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7255),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7255),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7255),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7255),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7255),
    [anon_sym_BSLASHgls] = ACTIONS(7255),
    [anon_sym_BSLASHGls] = ACTIONS(7255),
    [anon_sym_BSLASHGLS] = ACTIONS(7255),
    [anon_sym_BSLASHglspl] = ACTIONS(7255),
    [anon_sym_BSLASHGlspl] = ACTIONS(7255),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7255),
    [anon_sym_BSLASHglslink] = ACTIONS(7255),
    [anon_sym_BSLASHglstext] = ACTIONS(7255),
    [anon_sym_BSLASHGlstext] = ACTIONS(7255),
    [anon_sym_BSLASHGLStext] = ACTIONS(7255),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7255),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7255),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7255),
    [anon_sym_BSLASHglsplural] = ACTIONS(7255),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7255),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7255),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHglsname] = ACTIONS(7255),
    [anon_sym_BSLASHGlsname] = ACTIONS(7255),
    [anon_sym_BSLASHGLSname] = ACTIONS(7255),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7255),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7255),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7255),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7255),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7255),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7255),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7255),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7255),
    [anon_sym_BSLASHacrshort] = ACTIONS(7255),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7255),
    [anon_sym_BSLASHACRshort] = ACTIONS(7255),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHacrlong] = ACTIONS(7255),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7255),
    [anon_sym_BSLASHACRlong] = ACTIONS(7255),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHacrfull] = ACTIONS(7255),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7255),
    [anon_sym_BSLASHACRfull] = ACTIONS(7255),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHacs] = ACTIONS(7255),
    [anon_sym_BSLASHAcs] = ACTIONS(7255),
    [anon_sym_BSLASHacsp] = ACTIONS(7255),
    [anon_sym_BSLASHAcsp] = ACTIONS(7255),
    [anon_sym_BSLASHacl] = ACTIONS(7255),
    [anon_sym_BSLASHAcl] = ACTIONS(7255),
    [anon_sym_BSLASHaclp] = ACTIONS(7255),
    [anon_sym_BSLASHAclp] = ACTIONS(7255),
    [anon_sym_BSLASHacf] = ACTIONS(7255),
    [anon_sym_BSLASHAcf] = ACTIONS(7255),
    [anon_sym_BSLASHacfp] = ACTIONS(7255),
    [anon_sym_BSLASHAcfp] = ACTIONS(7255),
    [anon_sym_BSLASHac] = ACTIONS(7255),
    [anon_sym_BSLASHAc] = ACTIONS(7255),
    [anon_sym_BSLASHacp] = ACTIONS(7255),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7255),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7255),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7255),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7255),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7255),
    [anon_sym_BSLASHcolor] = ACTIONS(7255),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7255),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7255),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7255),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7255),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7255),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7255),
    [anon_sym_BSLASHurl] = ACTIONS(7255),
    [anon_sym_BSLASHhref] = ACTIONS(7255),
  },
  [1124] = {
    [sym_command_name] = ACTIONS(6911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6911),
    [anon_sym_BSLASHfi] = ACTIONS(7801),
    [anon_sym_LBRACK] = ACTIONS(6915),
    [anon_sym_RBRACK] = ACTIONS(6915),
    [anon_sym_COMMA] = ACTIONS(6915),
    [anon_sym_EQ] = ACTIONS(6915),
    [anon_sym_LPAREN] = ACTIONS(6915),
    [anon_sym_RPAREN] = ACTIONS(6915),
    [anon_sym_BSLASHpart] = ACTIONS(6911),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHaddpart] = ACTIONS(6911),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHchapter] = ACTIONS(6911),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHaddchap] = ACTIONS(6911),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHsection] = ACTIONS(6911),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHaddsec] = ACTIONS(6911),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHsubsection] = ACTIONS(6911),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6911),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHparagraph] = ACTIONS(6911),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6911),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHitem] = ACTIONS(6911),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6915),
    [anon_sym_LBRACE] = ACTIONS(6915),
    [sym_word] = ACTIONS(6911),
    [sym_placeholder] = ACTIONS(6915),
    [sym_delimiter] = ACTIONS(6915),
    [anon_sym_PLUS] = ACTIONS(6915),
    [anon_sym_DASH] = ACTIONS(6915),
    [anon_sym_STAR] = ACTIONS(6915),
    [anon_sym_SLASH] = ACTIONS(6915),
    [anon_sym_LT] = ACTIONS(6911),
    [anon_sym_GT] = ACTIONS(6911),
    [anon_sym_BANG] = ACTIONS(6911),
    [anon_sym_PIPE] = ACTIONS(6911),
    [anon_sym_COLON] = ACTIONS(6911),
    [anon_sym_SQUOTE] = ACTIONS(6911),
    [anon_sym__] = ACTIONS(6915),
    [anon_sym_CARET] = ACTIONS(6915),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6915),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6915),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6915),
    [anon_sym_DOLLAR] = ACTIONS(6911),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6915),
    [anon_sym_BSLASHleft] = ACTIONS(6911),
    [anon_sym_BSLASHbigl] = ACTIONS(6911),
    [anon_sym_BSLASHBigl] = ACTIONS(6911),
    [anon_sym_BSLASHbiggl] = ACTIONS(6911),
    [anon_sym_BSLASHBiggl] = ACTIONS(6911),
    [anon_sym_BSLASHtext] = ACTIONS(6911),
    [anon_sym_BSLASHintertext] = ACTIONS(6911),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6911),
    [anon_sym_BSLASHbegin] = ACTIONS(6911),
    [anon_sym_BSLASHtitle] = ACTIONS(6911),
    [anon_sym_BSLASHauthor] = ACTIONS(6911),
    [anon_sym_BSLASHusepackage] = ACTIONS(6911),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6911),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6911),
    [anon_sym_BSLASHinclude] = ACTIONS(6911),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6911),
    [anon_sym_BSLASHinput] = ACTIONS(6911),
    [anon_sym_BSLASHsubfile] = ACTIONS(6911),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6911),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6911),
    [anon_sym_BSLASHbibliography] = ACTIONS(6911),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6911),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6911),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6911),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6911),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6911),
    [anon_sym_BSLASHimport] = ACTIONS(6911),
    [anon_sym_BSLASHsubimport] = ACTIONS(6911),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6911),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6911),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6911),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6911),
    [anon_sym_BSLASHcaption] = ACTIONS(6911),
    [anon_sym_BSLASHcite] = ACTIONS(6911),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCite] = ACTIONS(6911),
    [anon_sym_BSLASHnocite] = ACTIONS(6911),
    [anon_sym_BSLASHcitet] = ACTIONS(6911),
    [anon_sym_BSLASHcitep] = ACTIONS(6911),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteA] = ACTIONS(6911),
    [anon_sym_BSLASHciteR] = ACTIONS(6911),
    [anon_sym_BSLASHciteS] = ACTIONS(6911),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6911),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6911),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6911),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6911),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteyear] = ACTIONS(6911),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitedate] = ACTIONS(6911),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteurl] = ACTIONS(6911),
    [anon_sym_BSLASHfullcite] = ACTIONS(6911),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6911),
    [anon_sym_BSLASHcitealt] = ACTIONS(6911),
    [anon_sym_BSLASHcitealp] = ACTIONS(6911),
    [anon_sym_BSLASHcitetext] = ACTIONS(6911),
    [anon_sym_BSLASHparencite] = ACTIONS(6911),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHParencite] = ACTIONS(6911),
    [anon_sym_BSLASHfootcite] = ACTIONS(6911),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6911),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6911),
    [anon_sym_BSLASHtextcite] = ACTIONS(6911),
    [anon_sym_BSLASHTextcite] = ACTIONS(6911),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6911),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6911),
    [anon_sym_BSLASHsupercite] = ACTIONS(6911),
    [anon_sym_BSLASHautocite] = ACTIONS(6911),
    [anon_sym_BSLASHAutocite] = ACTIONS(6911),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHVolcite] = ACTIONS(6911),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHavolcite] = ACTIONS(6911),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHNotecite] = ACTIONS(6911),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHlabel] = ACTIONS(6911),
    [anon_sym_BSLASHref] = ACTIONS(6911),
    [anon_sym_BSLASHeqref] = ACTIONS(6911),
    [anon_sym_BSLASHvref] = ACTIONS(6911),
    [anon_sym_BSLASHVref] = ACTIONS(6911),
    [anon_sym_BSLASHautoref] = ACTIONS(6911),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHpageref] = ACTIONS(6911),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHautopageref] = ACTIONS(6911),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcref] = ACTIONS(6911),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCref] = ACTIONS(6911),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcpageref] = ACTIONS(6911),
    [anon_sym_BSLASHCpageref] = ACTIONS(6911),
    [anon_sym_BSLASHnamecref] = ACTIONS(6911),
    [anon_sym_BSLASHnameCref] = ACTIONS(6911),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6911),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6911),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6911),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6911),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6911),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6911),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6911),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6911),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6911),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6911),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6911),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHdef] = ACTIONS(6911),
    [anon_sym_BSLASHgdef] = ACTIONS(6911),
    [anon_sym_BSLASHedef] = ACTIONS(6911),
    [anon_sym_BSLASHxdef] = ACTIONS(6911),
    [anon_sym_BSLASHlet] = ACTIONS(6911),
    [anon_sym_BSLASHglet] = ACTIONS(6911),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6911),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6911),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6911),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6911),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6911),
    [anon_sym_BSLASHgls] = ACTIONS(6911),
    [anon_sym_BSLASHGls] = ACTIONS(6911),
    [anon_sym_BSLASHGLS] = ACTIONS(6911),
    [anon_sym_BSLASHglspl] = ACTIONS(6911),
    [anon_sym_BSLASHGlspl] = ACTIONS(6911),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6911),
    [anon_sym_BSLASHglslink] = ACTIONS(6911),
    [anon_sym_BSLASHglstext] = ACTIONS(6911),
    [anon_sym_BSLASHGlstext] = ACTIONS(6911),
    [anon_sym_BSLASHGLStext] = ACTIONS(6911),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6911),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6911),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6911),
    [anon_sym_BSLASHglsplural] = ACTIONS(6911),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6911),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6911),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHglsname] = ACTIONS(6911),
    [anon_sym_BSLASHGlsname] = ACTIONS(6911),
    [anon_sym_BSLASHGLSname] = ACTIONS(6911),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6911),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6911),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6911),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6911),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6911),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6911),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6911),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6911),
    [anon_sym_BSLASHacrshort] = ACTIONS(6911),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6911),
    [anon_sym_BSLASHACRshort] = ACTIONS(6911),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHacrlong] = ACTIONS(6911),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6911),
    [anon_sym_BSLASHACRlong] = ACTIONS(6911),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHacrfull] = ACTIONS(6911),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6911),
    [anon_sym_BSLASHACRfull] = ACTIONS(6911),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHacs] = ACTIONS(6911),
    [anon_sym_BSLASHAcs] = ACTIONS(6911),
    [anon_sym_BSLASHacsp] = ACTIONS(6911),
    [anon_sym_BSLASHAcsp] = ACTIONS(6911),
    [anon_sym_BSLASHacl] = ACTIONS(6911),
    [anon_sym_BSLASHAcl] = ACTIONS(6911),
    [anon_sym_BSLASHaclp] = ACTIONS(6911),
    [anon_sym_BSLASHAclp] = ACTIONS(6911),
    [anon_sym_BSLASHacf] = ACTIONS(6911),
    [anon_sym_BSLASHAcf] = ACTIONS(6911),
    [anon_sym_BSLASHacfp] = ACTIONS(6911),
    [anon_sym_BSLASHAcfp] = ACTIONS(6911),
    [anon_sym_BSLASHac] = ACTIONS(6911),
    [anon_sym_BSLASHAc] = ACTIONS(6911),
    [anon_sym_BSLASHacp] = ACTIONS(6911),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6911),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6911),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6911),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6911),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6911),
    [anon_sym_BSLASHcolor] = ACTIONS(6911),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6911),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6911),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6911),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6911),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6911),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6911),
    [anon_sym_BSLASHurl] = ACTIONS(6911),
    [anon_sym_BSLASHhref] = ACTIONS(6911),
  },
  [1125] = {
    [ts_builtin_sym_end] = ACTIONS(7261),
    [sym_command_name] = ACTIONS(7259),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7259),
    [anon_sym_LBRACK] = ACTIONS(7261),
    [anon_sym_RBRACK] = ACTIONS(7261),
    [anon_sym_COMMA] = ACTIONS(7261),
    [anon_sym_EQ] = ACTIONS(7261),
    [anon_sym_LPAREN] = ACTIONS(7261),
    [anon_sym_RPAREN] = ACTIONS(7261),
    [anon_sym_BSLASHpart] = ACTIONS(7259),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHaddpart] = ACTIONS(7259),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHchapter] = ACTIONS(7259),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHaddchap] = ACTIONS(7259),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHsection] = ACTIONS(7259),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHaddsec] = ACTIONS(7259),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHsubsection] = ACTIONS(7259),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7259),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHparagraph] = ACTIONS(7259),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7259),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHitem] = ACTIONS(7259),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7261),
    [anon_sym_RBRACE] = ACTIONS(7261),
    [sym_word] = ACTIONS(7259),
    [sym_placeholder] = ACTIONS(7261),
    [sym_delimiter] = ACTIONS(7261),
    [anon_sym_PLUS] = ACTIONS(7261),
    [anon_sym_DASH] = ACTIONS(7261),
    [anon_sym_STAR] = ACTIONS(7261),
    [anon_sym_SLASH] = ACTIONS(7261),
    [anon_sym_LT] = ACTIONS(7259),
    [anon_sym_GT] = ACTIONS(7259),
    [anon_sym_BANG] = ACTIONS(7259),
    [anon_sym_PIPE] = ACTIONS(7259),
    [anon_sym_COLON] = ACTIONS(7259),
    [anon_sym_SQUOTE] = ACTIONS(7259),
    [anon_sym__] = ACTIONS(7261),
    [anon_sym_CARET] = ACTIONS(7261),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7261),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7261),
    [anon_sym_DOLLAR] = ACTIONS(7259),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7261),
    [anon_sym_BSLASHleft] = ACTIONS(7259),
    [anon_sym_BSLASHbigl] = ACTIONS(7259),
    [anon_sym_BSLASHBigl] = ACTIONS(7259),
    [anon_sym_BSLASHbiggl] = ACTIONS(7259),
    [anon_sym_BSLASHBiggl] = ACTIONS(7259),
    [anon_sym_BSLASHtext] = ACTIONS(7259),
    [anon_sym_BSLASHintertext] = ACTIONS(7259),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7259),
    [anon_sym_BSLASHbegin] = ACTIONS(7259),
    [anon_sym_BSLASHtitle] = ACTIONS(7259),
    [anon_sym_BSLASHauthor] = ACTIONS(7259),
    [anon_sym_BSLASHusepackage] = ACTIONS(7259),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7259),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7259),
    [anon_sym_BSLASHinclude] = ACTIONS(7259),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7259),
    [anon_sym_BSLASHinput] = ACTIONS(7259),
    [anon_sym_BSLASHsubfile] = ACTIONS(7259),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7259),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7259),
    [anon_sym_BSLASHbibliography] = ACTIONS(7259),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7259),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7259),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7259),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7259),
    [anon_sym_BSLASHimport] = ACTIONS(7259),
    [anon_sym_BSLASHsubimport] = ACTIONS(7259),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7259),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7259),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7259),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7259),
    [anon_sym_BSLASHcaption] = ACTIONS(7259),
    [anon_sym_BSLASHcite] = ACTIONS(7259),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCite] = ACTIONS(7259),
    [anon_sym_BSLASHnocite] = ACTIONS(7259),
    [anon_sym_BSLASHcitet] = ACTIONS(7259),
    [anon_sym_BSLASHcitep] = ACTIONS(7259),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteA] = ACTIONS(7259),
    [anon_sym_BSLASHciteR] = ACTIONS(7259),
    [anon_sym_BSLASHciteS] = ACTIONS(7259),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7259),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7259),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7259),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7259),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteyear] = ACTIONS(7259),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitedate] = ACTIONS(7259),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteurl] = ACTIONS(7259),
    [anon_sym_BSLASHfullcite] = ACTIONS(7259),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7259),
    [anon_sym_BSLASHcitealt] = ACTIONS(7259),
    [anon_sym_BSLASHcitealp] = ACTIONS(7259),
    [anon_sym_BSLASHcitetext] = ACTIONS(7259),
    [anon_sym_BSLASHparencite] = ACTIONS(7259),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHParencite] = ACTIONS(7259),
    [anon_sym_BSLASHfootcite] = ACTIONS(7259),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7259),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7259),
    [anon_sym_BSLASHtextcite] = ACTIONS(7259),
    [anon_sym_BSLASHTextcite] = ACTIONS(7259),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7259),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7259),
    [anon_sym_BSLASHsupercite] = ACTIONS(7259),
    [anon_sym_BSLASHautocite] = ACTIONS(7259),
    [anon_sym_BSLASHAutocite] = ACTIONS(7259),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHVolcite] = ACTIONS(7259),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHavolcite] = ACTIONS(7259),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHNotecite] = ACTIONS(7259),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHlabel] = ACTIONS(7259),
    [anon_sym_BSLASHref] = ACTIONS(7259),
    [anon_sym_BSLASHeqref] = ACTIONS(7259),
    [anon_sym_BSLASHvref] = ACTIONS(7259),
    [anon_sym_BSLASHVref] = ACTIONS(7259),
    [anon_sym_BSLASHautoref] = ACTIONS(7259),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHpageref] = ACTIONS(7259),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHautopageref] = ACTIONS(7259),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcref] = ACTIONS(7259),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCref] = ACTIONS(7259),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcpageref] = ACTIONS(7259),
    [anon_sym_BSLASHCpageref] = ACTIONS(7259),
    [anon_sym_BSLASHnamecref] = ACTIONS(7259),
    [anon_sym_BSLASHnameCref] = ACTIONS(7259),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7259),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7259),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7259),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7259),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7259),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7259),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7259),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7259),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7259),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7259),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7259),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHdef] = ACTIONS(7259),
    [anon_sym_BSLASHgdef] = ACTIONS(7259),
    [anon_sym_BSLASHedef] = ACTIONS(7259),
    [anon_sym_BSLASHxdef] = ACTIONS(7259),
    [anon_sym_BSLASHlet] = ACTIONS(7259),
    [anon_sym_BSLASHglet] = ACTIONS(7259),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7259),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7259),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7259),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7259),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7259),
    [anon_sym_BSLASHgls] = ACTIONS(7259),
    [anon_sym_BSLASHGls] = ACTIONS(7259),
    [anon_sym_BSLASHGLS] = ACTIONS(7259),
    [anon_sym_BSLASHglspl] = ACTIONS(7259),
    [anon_sym_BSLASHGlspl] = ACTIONS(7259),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7259),
    [anon_sym_BSLASHglslink] = ACTIONS(7259),
    [anon_sym_BSLASHglstext] = ACTIONS(7259),
    [anon_sym_BSLASHGlstext] = ACTIONS(7259),
    [anon_sym_BSLASHGLStext] = ACTIONS(7259),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7259),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7259),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7259),
    [anon_sym_BSLASHglsplural] = ACTIONS(7259),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7259),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7259),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHglsname] = ACTIONS(7259),
    [anon_sym_BSLASHGlsname] = ACTIONS(7259),
    [anon_sym_BSLASHGLSname] = ACTIONS(7259),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7259),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7259),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7259),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7259),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7259),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7259),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7259),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7259),
    [anon_sym_BSLASHacrshort] = ACTIONS(7259),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7259),
    [anon_sym_BSLASHACRshort] = ACTIONS(7259),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHacrlong] = ACTIONS(7259),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7259),
    [anon_sym_BSLASHACRlong] = ACTIONS(7259),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHacrfull] = ACTIONS(7259),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7259),
    [anon_sym_BSLASHACRfull] = ACTIONS(7259),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHacs] = ACTIONS(7259),
    [anon_sym_BSLASHAcs] = ACTIONS(7259),
    [anon_sym_BSLASHacsp] = ACTIONS(7259),
    [anon_sym_BSLASHAcsp] = ACTIONS(7259),
    [anon_sym_BSLASHacl] = ACTIONS(7259),
    [anon_sym_BSLASHAcl] = ACTIONS(7259),
    [anon_sym_BSLASHaclp] = ACTIONS(7259),
    [anon_sym_BSLASHAclp] = ACTIONS(7259),
    [anon_sym_BSLASHacf] = ACTIONS(7259),
    [anon_sym_BSLASHAcf] = ACTIONS(7259),
    [anon_sym_BSLASHacfp] = ACTIONS(7259),
    [anon_sym_BSLASHAcfp] = ACTIONS(7259),
    [anon_sym_BSLASHac] = ACTIONS(7259),
    [anon_sym_BSLASHAc] = ACTIONS(7259),
    [anon_sym_BSLASHacp] = ACTIONS(7259),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7259),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7259),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7259),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7259),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7259),
    [anon_sym_BSLASHcolor] = ACTIONS(7259),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7259),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7259),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7259),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7259),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7259),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7259),
    [anon_sym_BSLASHurl] = ACTIONS(7259),
    [anon_sym_BSLASHhref] = ACTIONS(7259),
  },
  [1126] = {
    [ts_builtin_sym_end] = ACTIONS(7265),
    [sym_command_name] = ACTIONS(7263),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7263),
    [anon_sym_LBRACK] = ACTIONS(7265),
    [anon_sym_RBRACK] = ACTIONS(7265),
    [anon_sym_COMMA] = ACTIONS(7265),
    [anon_sym_EQ] = ACTIONS(7265),
    [anon_sym_LPAREN] = ACTIONS(7265),
    [anon_sym_RPAREN] = ACTIONS(7265),
    [anon_sym_BSLASHpart] = ACTIONS(7263),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHaddpart] = ACTIONS(7263),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHchapter] = ACTIONS(7263),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHaddchap] = ACTIONS(7263),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHsection] = ACTIONS(7263),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHaddsec] = ACTIONS(7263),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHsubsection] = ACTIONS(7263),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7263),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHparagraph] = ACTIONS(7263),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7263),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHitem] = ACTIONS(7263),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7265),
    [anon_sym_LBRACE] = ACTIONS(7265),
    [anon_sym_RBRACE] = ACTIONS(7265),
    [sym_word] = ACTIONS(7263),
    [sym_placeholder] = ACTIONS(7265),
    [sym_delimiter] = ACTIONS(7265),
    [anon_sym_PLUS] = ACTIONS(7265),
    [anon_sym_DASH] = ACTIONS(7265),
    [anon_sym_STAR] = ACTIONS(7265),
    [anon_sym_SLASH] = ACTIONS(7265),
    [anon_sym_LT] = ACTIONS(7263),
    [anon_sym_GT] = ACTIONS(7263),
    [anon_sym_BANG] = ACTIONS(7263),
    [anon_sym_PIPE] = ACTIONS(7263),
    [anon_sym_COLON] = ACTIONS(7263),
    [anon_sym_SQUOTE] = ACTIONS(7263),
    [anon_sym__] = ACTIONS(7265),
    [anon_sym_CARET] = ACTIONS(7265),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7265),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7265),
    [anon_sym_DOLLAR] = ACTIONS(7263),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7265),
    [anon_sym_BSLASHleft] = ACTIONS(7263),
    [anon_sym_BSLASHbigl] = ACTIONS(7263),
    [anon_sym_BSLASHBigl] = ACTIONS(7263),
    [anon_sym_BSLASHbiggl] = ACTIONS(7263),
    [anon_sym_BSLASHBiggl] = ACTIONS(7263),
    [anon_sym_BSLASHtext] = ACTIONS(7263),
    [anon_sym_BSLASHintertext] = ACTIONS(7263),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7263),
    [anon_sym_BSLASHbegin] = ACTIONS(7263),
    [anon_sym_BSLASHtitle] = ACTIONS(7263),
    [anon_sym_BSLASHauthor] = ACTIONS(7263),
    [anon_sym_BSLASHusepackage] = ACTIONS(7263),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7263),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7263),
    [anon_sym_BSLASHinclude] = ACTIONS(7263),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7263),
    [anon_sym_BSLASHinput] = ACTIONS(7263),
    [anon_sym_BSLASHsubfile] = ACTIONS(7263),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7263),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7263),
    [anon_sym_BSLASHbibliography] = ACTIONS(7263),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7263),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7263),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7263),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7263),
    [anon_sym_BSLASHimport] = ACTIONS(7263),
    [anon_sym_BSLASHsubimport] = ACTIONS(7263),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7263),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7263),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7263),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7263),
    [anon_sym_BSLASHcaption] = ACTIONS(7263),
    [anon_sym_BSLASHcite] = ACTIONS(7263),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCite] = ACTIONS(7263),
    [anon_sym_BSLASHnocite] = ACTIONS(7263),
    [anon_sym_BSLASHcitet] = ACTIONS(7263),
    [anon_sym_BSLASHcitep] = ACTIONS(7263),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteA] = ACTIONS(7263),
    [anon_sym_BSLASHciteR] = ACTIONS(7263),
    [anon_sym_BSLASHciteS] = ACTIONS(7263),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7263),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7263),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7263),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7263),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteyear] = ACTIONS(7263),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitedate] = ACTIONS(7263),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteurl] = ACTIONS(7263),
    [anon_sym_BSLASHfullcite] = ACTIONS(7263),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7263),
    [anon_sym_BSLASHcitealt] = ACTIONS(7263),
    [anon_sym_BSLASHcitealp] = ACTIONS(7263),
    [anon_sym_BSLASHcitetext] = ACTIONS(7263),
    [anon_sym_BSLASHparencite] = ACTIONS(7263),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHParencite] = ACTIONS(7263),
    [anon_sym_BSLASHfootcite] = ACTIONS(7263),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7263),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7263),
    [anon_sym_BSLASHtextcite] = ACTIONS(7263),
    [anon_sym_BSLASHTextcite] = ACTIONS(7263),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7263),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7263),
    [anon_sym_BSLASHsupercite] = ACTIONS(7263),
    [anon_sym_BSLASHautocite] = ACTIONS(7263),
    [anon_sym_BSLASHAutocite] = ACTIONS(7263),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHVolcite] = ACTIONS(7263),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHavolcite] = ACTIONS(7263),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHNotecite] = ACTIONS(7263),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHlabel] = ACTIONS(7263),
    [anon_sym_BSLASHref] = ACTIONS(7263),
    [anon_sym_BSLASHeqref] = ACTIONS(7263),
    [anon_sym_BSLASHvref] = ACTIONS(7263),
    [anon_sym_BSLASHVref] = ACTIONS(7263),
    [anon_sym_BSLASHautoref] = ACTIONS(7263),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHpageref] = ACTIONS(7263),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHautopageref] = ACTIONS(7263),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcref] = ACTIONS(7263),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCref] = ACTIONS(7263),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcpageref] = ACTIONS(7263),
    [anon_sym_BSLASHCpageref] = ACTIONS(7263),
    [anon_sym_BSLASHnamecref] = ACTIONS(7263),
    [anon_sym_BSLASHnameCref] = ACTIONS(7263),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7263),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7263),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7263),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7263),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7263),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7263),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7263),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7263),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7263),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7263),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7263),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHdef] = ACTIONS(7263),
    [anon_sym_BSLASHgdef] = ACTIONS(7263),
    [anon_sym_BSLASHedef] = ACTIONS(7263),
    [anon_sym_BSLASHxdef] = ACTIONS(7263),
    [anon_sym_BSLASHlet] = ACTIONS(7263),
    [anon_sym_BSLASHglet] = ACTIONS(7263),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7263),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7263),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7263),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7263),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7263),
    [anon_sym_BSLASHgls] = ACTIONS(7263),
    [anon_sym_BSLASHGls] = ACTIONS(7263),
    [anon_sym_BSLASHGLS] = ACTIONS(7263),
    [anon_sym_BSLASHglspl] = ACTIONS(7263),
    [anon_sym_BSLASHGlspl] = ACTIONS(7263),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7263),
    [anon_sym_BSLASHglslink] = ACTIONS(7263),
    [anon_sym_BSLASHglstext] = ACTIONS(7263),
    [anon_sym_BSLASHGlstext] = ACTIONS(7263),
    [anon_sym_BSLASHGLStext] = ACTIONS(7263),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7263),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7263),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7263),
    [anon_sym_BSLASHglsplural] = ACTIONS(7263),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7263),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7263),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHglsname] = ACTIONS(7263),
    [anon_sym_BSLASHGlsname] = ACTIONS(7263),
    [anon_sym_BSLASHGLSname] = ACTIONS(7263),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7263),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7263),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7263),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7263),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7263),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7263),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7263),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7263),
    [anon_sym_BSLASHacrshort] = ACTIONS(7263),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7263),
    [anon_sym_BSLASHACRshort] = ACTIONS(7263),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHacrlong] = ACTIONS(7263),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7263),
    [anon_sym_BSLASHACRlong] = ACTIONS(7263),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHacrfull] = ACTIONS(7263),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7263),
    [anon_sym_BSLASHACRfull] = ACTIONS(7263),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHacs] = ACTIONS(7263),
    [anon_sym_BSLASHAcs] = ACTIONS(7263),
    [anon_sym_BSLASHacsp] = ACTIONS(7263),
    [anon_sym_BSLASHAcsp] = ACTIONS(7263),
    [anon_sym_BSLASHacl] = ACTIONS(7263),
    [anon_sym_BSLASHAcl] = ACTIONS(7263),
    [anon_sym_BSLASHaclp] = ACTIONS(7263),
    [anon_sym_BSLASHAclp] = ACTIONS(7263),
    [anon_sym_BSLASHacf] = ACTIONS(7263),
    [anon_sym_BSLASHAcf] = ACTIONS(7263),
    [anon_sym_BSLASHacfp] = ACTIONS(7263),
    [anon_sym_BSLASHAcfp] = ACTIONS(7263),
    [anon_sym_BSLASHac] = ACTIONS(7263),
    [anon_sym_BSLASHAc] = ACTIONS(7263),
    [anon_sym_BSLASHacp] = ACTIONS(7263),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7263),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7263),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7263),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7263),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7263),
    [anon_sym_BSLASHcolor] = ACTIONS(7263),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7263),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7263),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7263),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7263),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7263),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7263),
    [anon_sym_BSLASHurl] = ACTIONS(7263),
    [anon_sym_BSLASHhref] = ACTIONS(7263),
  },
  [1127] = {
    [sym_curly_group] = STATE(1602),
    [sym_command_name] = ACTIONS(6947),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6949),
    [anon_sym_RBRACK] = ACTIONS(6949),
    [anon_sym_COMMA] = ACTIONS(6949),
    [anon_sym_EQ] = ACTIONS(6949),
    [anon_sym_LPAREN] = ACTIONS(6949),
    [anon_sym_RPAREN] = ACTIONS(6949),
    [anon_sym_BSLASHpart] = ACTIONS(6947),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHaddpart] = ACTIONS(6947),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHchapter] = ACTIONS(6947),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHaddchap] = ACTIONS(6947),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHsection] = ACTIONS(6947),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHaddsec] = ACTIONS(6947),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHsubsection] = ACTIONS(6947),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6947),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHparagraph] = ACTIONS(6947),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6947),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHitem] = ACTIONS(6947),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6949),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(6947),
    [sym_placeholder] = ACTIONS(6949),
    [sym_delimiter] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6949),
    [anon_sym_DASH] = ACTIONS(6949),
    [anon_sym_STAR] = ACTIONS(6949),
    [anon_sym_SLASH] = ACTIONS(6949),
    [anon_sym_LT] = ACTIONS(6947),
    [anon_sym_GT] = ACTIONS(6947),
    [anon_sym_BANG] = ACTIONS(6947),
    [anon_sym_PIPE] = ACTIONS(6947),
    [anon_sym_COLON] = ACTIONS(6947),
    [anon_sym_SQUOTE] = ACTIONS(6947),
    [anon_sym__] = ACTIONS(6949),
    [anon_sym_CARET] = ACTIONS(6949),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6949),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6949),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6949),
    [anon_sym_DOLLAR] = ACTIONS(6947),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6949),
    [anon_sym_BSLASHleft] = ACTIONS(6947),
    [anon_sym_BSLASHbigl] = ACTIONS(6947),
    [anon_sym_BSLASHBigl] = ACTIONS(6947),
    [anon_sym_BSLASHbiggl] = ACTIONS(6947),
    [anon_sym_BSLASHBiggl] = ACTIONS(6947),
    [anon_sym_BSLASHtext] = ACTIONS(6947),
    [anon_sym_BSLASHintertext] = ACTIONS(6947),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6947),
    [anon_sym_BSLASHbegin] = ACTIONS(6947),
    [anon_sym_BSLASHtitle] = ACTIONS(6947),
    [anon_sym_BSLASHauthor] = ACTIONS(6947),
    [anon_sym_BSLASHusepackage] = ACTIONS(6947),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6947),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6947),
    [anon_sym_BSLASHinclude] = ACTIONS(6947),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6947),
    [anon_sym_BSLASHinput] = ACTIONS(6947),
    [anon_sym_BSLASHsubfile] = ACTIONS(6947),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6947),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6947),
    [anon_sym_BSLASHbibliography] = ACTIONS(6947),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6947),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6947),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6947),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6947),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6947),
    [anon_sym_BSLASHimport] = ACTIONS(6947),
    [anon_sym_BSLASHsubimport] = ACTIONS(6947),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6947),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6947),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6947),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6947),
    [anon_sym_BSLASHcaption] = ACTIONS(6947),
    [anon_sym_BSLASHcite] = ACTIONS(6947),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCite] = ACTIONS(6947),
    [anon_sym_BSLASHnocite] = ACTIONS(6947),
    [anon_sym_BSLASHcitet] = ACTIONS(6947),
    [anon_sym_BSLASHcitep] = ACTIONS(6947),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteA] = ACTIONS(6947),
    [anon_sym_BSLASHciteR] = ACTIONS(6947),
    [anon_sym_BSLASHciteS] = ACTIONS(6947),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6947),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6947),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6947),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6947),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteyear] = ACTIONS(6947),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitedate] = ACTIONS(6947),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteurl] = ACTIONS(6947),
    [anon_sym_BSLASHfullcite] = ACTIONS(6947),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6947),
    [anon_sym_BSLASHcitealt] = ACTIONS(6947),
    [anon_sym_BSLASHcitealp] = ACTIONS(6947),
    [anon_sym_BSLASHcitetext] = ACTIONS(6947),
    [anon_sym_BSLASHparencite] = ACTIONS(6947),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHParencite] = ACTIONS(6947),
    [anon_sym_BSLASHfootcite] = ACTIONS(6947),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6947),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6947),
    [anon_sym_BSLASHtextcite] = ACTIONS(6947),
    [anon_sym_BSLASHTextcite] = ACTIONS(6947),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6947),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6947),
    [anon_sym_BSLASHsupercite] = ACTIONS(6947),
    [anon_sym_BSLASHautocite] = ACTIONS(6947),
    [anon_sym_BSLASHAutocite] = ACTIONS(6947),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHVolcite] = ACTIONS(6947),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHavolcite] = ACTIONS(6947),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHNotecite] = ACTIONS(6947),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHlabel] = ACTIONS(6947),
    [anon_sym_BSLASHref] = ACTIONS(6947),
    [anon_sym_BSLASHeqref] = ACTIONS(6947),
    [anon_sym_BSLASHvref] = ACTIONS(6947),
    [anon_sym_BSLASHVref] = ACTIONS(6947),
    [anon_sym_BSLASHautoref] = ACTIONS(6947),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHpageref] = ACTIONS(6947),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHautopageref] = ACTIONS(6947),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcref] = ACTIONS(6947),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCref] = ACTIONS(6947),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcpageref] = ACTIONS(6947),
    [anon_sym_BSLASHCpageref] = ACTIONS(6947),
    [anon_sym_BSLASHnamecref] = ACTIONS(6947),
    [anon_sym_BSLASHnameCref] = ACTIONS(6947),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6947),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6947),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6947),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6947),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6947),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6947),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6947),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6947),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6947),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6947),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6947),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHdef] = ACTIONS(6947),
    [anon_sym_BSLASHgdef] = ACTIONS(6947),
    [anon_sym_BSLASHedef] = ACTIONS(6947),
    [anon_sym_BSLASHxdef] = ACTIONS(6947),
    [anon_sym_BSLASHlet] = ACTIONS(6947),
    [anon_sym_BSLASHglet] = ACTIONS(6947),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6947),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6947),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6947),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6947),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6947),
    [anon_sym_BSLASHgls] = ACTIONS(6947),
    [anon_sym_BSLASHGls] = ACTIONS(6947),
    [anon_sym_BSLASHGLS] = ACTIONS(6947),
    [anon_sym_BSLASHglspl] = ACTIONS(6947),
    [anon_sym_BSLASHGlspl] = ACTIONS(6947),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6947),
    [anon_sym_BSLASHglslink] = ACTIONS(6947),
    [anon_sym_BSLASHglstext] = ACTIONS(6947),
    [anon_sym_BSLASHGlstext] = ACTIONS(6947),
    [anon_sym_BSLASHGLStext] = ACTIONS(6947),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6947),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6947),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6947),
    [anon_sym_BSLASHglsplural] = ACTIONS(6947),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6947),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6947),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHglsname] = ACTIONS(6947),
    [anon_sym_BSLASHGlsname] = ACTIONS(6947),
    [anon_sym_BSLASHGLSname] = ACTIONS(6947),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6947),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6947),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6947),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6947),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6947),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6947),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6947),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6947),
    [anon_sym_BSLASHacrshort] = ACTIONS(6947),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6947),
    [anon_sym_BSLASHACRshort] = ACTIONS(6947),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHacrlong] = ACTIONS(6947),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6947),
    [anon_sym_BSLASHACRlong] = ACTIONS(6947),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHacrfull] = ACTIONS(6947),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6947),
    [anon_sym_BSLASHACRfull] = ACTIONS(6947),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHacs] = ACTIONS(6947),
    [anon_sym_BSLASHAcs] = ACTIONS(6947),
    [anon_sym_BSLASHacsp] = ACTIONS(6947),
    [anon_sym_BSLASHAcsp] = ACTIONS(6947),
    [anon_sym_BSLASHacl] = ACTIONS(6947),
    [anon_sym_BSLASHAcl] = ACTIONS(6947),
    [anon_sym_BSLASHaclp] = ACTIONS(6947),
    [anon_sym_BSLASHAclp] = ACTIONS(6947),
    [anon_sym_BSLASHacf] = ACTIONS(6947),
    [anon_sym_BSLASHAcf] = ACTIONS(6947),
    [anon_sym_BSLASHacfp] = ACTIONS(6947),
    [anon_sym_BSLASHAcfp] = ACTIONS(6947),
    [anon_sym_BSLASHac] = ACTIONS(6947),
    [anon_sym_BSLASHAc] = ACTIONS(6947),
    [anon_sym_BSLASHacp] = ACTIONS(6947),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6947),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6947),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6947),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6947),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6947),
    [anon_sym_BSLASHcolor] = ACTIONS(6947),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6947),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6947),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6947),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6947),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6947),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6947),
    [anon_sym_BSLASHurl] = ACTIONS(6947),
    [anon_sym_BSLASHhref] = ACTIONS(6947),
  },
  [1128] = {
    [sym_curly_group] = STATE(1603),
    [sym_command_name] = ACTIONS(6943),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6943),
    [anon_sym_LBRACK] = ACTIONS(6945),
    [anon_sym_RBRACK] = ACTIONS(6945),
    [anon_sym_COMMA] = ACTIONS(6945),
    [anon_sym_EQ] = ACTIONS(6945),
    [anon_sym_LPAREN] = ACTIONS(6945),
    [anon_sym_RPAREN] = ACTIONS(6945),
    [anon_sym_BSLASHpart] = ACTIONS(6943),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHaddpart] = ACTIONS(6943),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHchapter] = ACTIONS(6943),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHaddchap] = ACTIONS(6943),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHsection] = ACTIONS(6943),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHaddsec] = ACTIONS(6943),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHsubsection] = ACTIONS(6943),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6943),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHparagraph] = ACTIONS(6943),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6943),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHitem] = ACTIONS(6943),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6945),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(6943),
    [sym_placeholder] = ACTIONS(6945),
    [sym_delimiter] = ACTIONS(6945),
    [anon_sym_PLUS] = ACTIONS(6945),
    [anon_sym_DASH] = ACTIONS(6945),
    [anon_sym_STAR] = ACTIONS(6945),
    [anon_sym_SLASH] = ACTIONS(6945),
    [anon_sym_LT] = ACTIONS(6943),
    [anon_sym_GT] = ACTIONS(6943),
    [anon_sym_BANG] = ACTIONS(6943),
    [anon_sym_PIPE] = ACTIONS(6943),
    [anon_sym_COLON] = ACTIONS(6943),
    [anon_sym_SQUOTE] = ACTIONS(6943),
    [anon_sym__] = ACTIONS(6945),
    [anon_sym_CARET] = ACTIONS(6945),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6945),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6945),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6945),
    [anon_sym_DOLLAR] = ACTIONS(6943),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6945),
    [anon_sym_BSLASHleft] = ACTIONS(6943),
    [anon_sym_BSLASHbigl] = ACTIONS(6943),
    [anon_sym_BSLASHBigl] = ACTIONS(6943),
    [anon_sym_BSLASHbiggl] = ACTIONS(6943),
    [anon_sym_BSLASHBiggl] = ACTIONS(6943),
    [anon_sym_BSLASHtext] = ACTIONS(6943),
    [anon_sym_BSLASHintertext] = ACTIONS(6943),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6943),
    [anon_sym_BSLASHbegin] = ACTIONS(6943),
    [anon_sym_BSLASHtitle] = ACTIONS(6943),
    [anon_sym_BSLASHauthor] = ACTIONS(6943),
    [anon_sym_BSLASHusepackage] = ACTIONS(6943),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6943),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6943),
    [anon_sym_BSLASHinclude] = ACTIONS(6943),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6943),
    [anon_sym_BSLASHinput] = ACTIONS(6943),
    [anon_sym_BSLASHsubfile] = ACTIONS(6943),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6943),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6943),
    [anon_sym_BSLASHbibliography] = ACTIONS(6943),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6943),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6943),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6943),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6943),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6943),
    [anon_sym_BSLASHimport] = ACTIONS(6943),
    [anon_sym_BSLASHsubimport] = ACTIONS(6943),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6943),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6943),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6943),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6943),
    [anon_sym_BSLASHcaption] = ACTIONS(6943),
    [anon_sym_BSLASHcite] = ACTIONS(6943),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCite] = ACTIONS(6943),
    [anon_sym_BSLASHnocite] = ACTIONS(6943),
    [anon_sym_BSLASHcitet] = ACTIONS(6943),
    [anon_sym_BSLASHcitep] = ACTIONS(6943),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteA] = ACTIONS(6943),
    [anon_sym_BSLASHciteR] = ACTIONS(6943),
    [anon_sym_BSLASHciteS] = ACTIONS(6943),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6943),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6943),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6943),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6943),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteyear] = ACTIONS(6943),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitedate] = ACTIONS(6943),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteurl] = ACTIONS(6943),
    [anon_sym_BSLASHfullcite] = ACTIONS(6943),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6943),
    [anon_sym_BSLASHcitealt] = ACTIONS(6943),
    [anon_sym_BSLASHcitealp] = ACTIONS(6943),
    [anon_sym_BSLASHcitetext] = ACTIONS(6943),
    [anon_sym_BSLASHparencite] = ACTIONS(6943),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHParencite] = ACTIONS(6943),
    [anon_sym_BSLASHfootcite] = ACTIONS(6943),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6943),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6943),
    [anon_sym_BSLASHtextcite] = ACTIONS(6943),
    [anon_sym_BSLASHTextcite] = ACTIONS(6943),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6943),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6943),
    [anon_sym_BSLASHsupercite] = ACTIONS(6943),
    [anon_sym_BSLASHautocite] = ACTIONS(6943),
    [anon_sym_BSLASHAutocite] = ACTIONS(6943),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHVolcite] = ACTIONS(6943),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHavolcite] = ACTIONS(6943),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHNotecite] = ACTIONS(6943),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHlabel] = ACTIONS(6943),
    [anon_sym_BSLASHref] = ACTIONS(6943),
    [anon_sym_BSLASHeqref] = ACTIONS(6943),
    [anon_sym_BSLASHvref] = ACTIONS(6943),
    [anon_sym_BSLASHVref] = ACTIONS(6943),
    [anon_sym_BSLASHautoref] = ACTIONS(6943),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHpageref] = ACTIONS(6943),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHautopageref] = ACTIONS(6943),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcref] = ACTIONS(6943),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCref] = ACTIONS(6943),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcpageref] = ACTIONS(6943),
    [anon_sym_BSLASHCpageref] = ACTIONS(6943),
    [anon_sym_BSLASHnamecref] = ACTIONS(6943),
    [anon_sym_BSLASHnameCref] = ACTIONS(6943),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6943),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6943),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6943),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6943),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6943),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6943),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6943),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6943),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6943),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6943),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6943),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHdef] = ACTIONS(6943),
    [anon_sym_BSLASHgdef] = ACTIONS(6943),
    [anon_sym_BSLASHedef] = ACTIONS(6943),
    [anon_sym_BSLASHxdef] = ACTIONS(6943),
    [anon_sym_BSLASHlet] = ACTIONS(6943),
    [anon_sym_BSLASHglet] = ACTIONS(6943),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6943),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6943),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6943),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6943),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6943),
    [anon_sym_BSLASHgls] = ACTIONS(6943),
    [anon_sym_BSLASHGls] = ACTIONS(6943),
    [anon_sym_BSLASHGLS] = ACTIONS(6943),
    [anon_sym_BSLASHglspl] = ACTIONS(6943),
    [anon_sym_BSLASHGlspl] = ACTIONS(6943),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6943),
    [anon_sym_BSLASHglslink] = ACTIONS(6943),
    [anon_sym_BSLASHglstext] = ACTIONS(6943),
    [anon_sym_BSLASHGlstext] = ACTIONS(6943),
    [anon_sym_BSLASHGLStext] = ACTIONS(6943),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6943),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6943),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6943),
    [anon_sym_BSLASHglsplural] = ACTIONS(6943),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6943),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6943),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHglsname] = ACTIONS(6943),
    [anon_sym_BSLASHGlsname] = ACTIONS(6943),
    [anon_sym_BSLASHGLSname] = ACTIONS(6943),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6943),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6943),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6943),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6943),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6943),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6943),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6943),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6943),
    [anon_sym_BSLASHacrshort] = ACTIONS(6943),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6943),
    [anon_sym_BSLASHACRshort] = ACTIONS(6943),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHacrlong] = ACTIONS(6943),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6943),
    [anon_sym_BSLASHACRlong] = ACTIONS(6943),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHacrfull] = ACTIONS(6943),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6943),
    [anon_sym_BSLASHACRfull] = ACTIONS(6943),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHacs] = ACTIONS(6943),
    [anon_sym_BSLASHAcs] = ACTIONS(6943),
    [anon_sym_BSLASHacsp] = ACTIONS(6943),
    [anon_sym_BSLASHAcsp] = ACTIONS(6943),
    [anon_sym_BSLASHacl] = ACTIONS(6943),
    [anon_sym_BSLASHAcl] = ACTIONS(6943),
    [anon_sym_BSLASHaclp] = ACTIONS(6943),
    [anon_sym_BSLASHAclp] = ACTIONS(6943),
    [anon_sym_BSLASHacf] = ACTIONS(6943),
    [anon_sym_BSLASHAcf] = ACTIONS(6943),
    [anon_sym_BSLASHacfp] = ACTIONS(6943),
    [anon_sym_BSLASHAcfp] = ACTIONS(6943),
    [anon_sym_BSLASHac] = ACTIONS(6943),
    [anon_sym_BSLASHAc] = ACTIONS(6943),
    [anon_sym_BSLASHacp] = ACTIONS(6943),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6943),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6943),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6943),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6943),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6943),
    [anon_sym_BSLASHcolor] = ACTIONS(6943),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6943),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6943),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6943),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6943),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6943),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6943),
    [anon_sym_BSLASHurl] = ACTIONS(6943),
    [anon_sym_BSLASHhref] = ACTIONS(6943),
  },
  [1129] = {
    [ts_builtin_sym_end] = ACTIONS(7269),
    [sym_command_name] = ACTIONS(7267),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7267),
    [anon_sym_LBRACK] = ACTIONS(7269),
    [anon_sym_RBRACK] = ACTIONS(7269),
    [anon_sym_COMMA] = ACTIONS(7269),
    [anon_sym_EQ] = ACTIONS(7269),
    [anon_sym_LPAREN] = ACTIONS(7269),
    [anon_sym_RPAREN] = ACTIONS(7269),
    [anon_sym_BSLASHpart] = ACTIONS(7267),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHaddpart] = ACTIONS(7267),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHchapter] = ACTIONS(7267),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHaddchap] = ACTIONS(7267),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHsection] = ACTIONS(7267),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHaddsec] = ACTIONS(7267),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHsubsection] = ACTIONS(7267),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7267),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHparagraph] = ACTIONS(7267),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7267),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHitem] = ACTIONS(7267),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7269),
    [anon_sym_LBRACE] = ACTIONS(7269),
    [anon_sym_RBRACE] = ACTIONS(7269),
    [sym_word] = ACTIONS(7267),
    [sym_placeholder] = ACTIONS(7269),
    [sym_delimiter] = ACTIONS(7269),
    [anon_sym_PLUS] = ACTIONS(7269),
    [anon_sym_DASH] = ACTIONS(7269),
    [anon_sym_STAR] = ACTIONS(7269),
    [anon_sym_SLASH] = ACTIONS(7269),
    [anon_sym_LT] = ACTIONS(7267),
    [anon_sym_GT] = ACTIONS(7267),
    [anon_sym_BANG] = ACTIONS(7267),
    [anon_sym_PIPE] = ACTIONS(7267),
    [anon_sym_COLON] = ACTIONS(7267),
    [anon_sym_SQUOTE] = ACTIONS(7267),
    [anon_sym__] = ACTIONS(7269),
    [anon_sym_CARET] = ACTIONS(7269),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7269),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7269),
    [anon_sym_DOLLAR] = ACTIONS(7267),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7269),
    [anon_sym_BSLASHleft] = ACTIONS(7267),
    [anon_sym_BSLASHbigl] = ACTIONS(7267),
    [anon_sym_BSLASHBigl] = ACTIONS(7267),
    [anon_sym_BSLASHbiggl] = ACTIONS(7267),
    [anon_sym_BSLASHBiggl] = ACTIONS(7267),
    [anon_sym_BSLASHtext] = ACTIONS(7267),
    [anon_sym_BSLASHintertext] = ACTIONS(7267),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7267),
    [anon_sym_BSLASHbegin] = ACTIONS(7267),
    [anon_sym_BSLASHtitle] = ACTIONS(7267),
    [anon_sym_BSLASHauthor] = ACTIONS(7267),
    [anon_sym_BSLASHusepackage] = ACTIONS(7267),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7267),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7267),
    [anon_sym_BSLASHinclude] = ACTIONS(7267),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7267),
    [anon_sym_BSLASHinput] = ACTIONS(7267),
    [anon_sym_BSLASHsubfile] = ACTIONS(7267),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7267),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7267),
    [anon_sym_BSLASHbibliography] = ACTIONS(7267),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7267),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7267),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7267),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7267),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7267),
    [anon_sym_BSLASHimport] = ACTIONS(7267),
    [anon_sym_BSLASHsubimport] = ACTIONS(7267),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7267),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7267),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7267),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7267),
    [anon_sym_BSLASHcaption] = ACTIONS(7267),
    [anon_sym_BSLASHcite] = ACTIONS(7267),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCite] = ACTIONS(7267),
    [anon_sym_BSLASHnocite] = ACTIONS(7267),
    [anon_sym_BSLASHcitet] = ACTIONS(7267),
    [anon_sym_BSLASHcitep] = ACTIONS(7267),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteA] = ACTIONS(7267),
    [anon_sym_BSLASHciteR] = ACTIONS(7267),
    [anon_sym_BSLASHciteS] = ACTIONS(7267),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7267),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7267),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7267),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7267),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteyear] = ACTIONS(7267),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitedate] = ACTIONS(7267),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteurl] = ACTIONS(7267),
    [anon_sym_BSLASHfullcite] = ACTIONS(7267),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7267),
    [anon_sym_BSLASHcitealt] = ACTIONS(7267),
    [anon_sym_BSLASHcitealp] = ACTIONS(7267),
    [anon_sym_BSLASHcitetext] = ACTIONS(7267),
    [anon_sym_BSLASHparencite] = ACTIONS(7267),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHParencite] = ACTIONS(7267),
    [anon_sym_BSLASHfootcite] = ACTIONS(7267),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7267),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7267),
    [anon_sym_BSLASHtextcite] = ACTIONS(7267),
    [anon_sym_BSLASHTextcite] = ACTIONS(7267),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7267),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7267),
    [anon_sym_BSLASHsupercite] = ACTIONS(7267),
    [anon_sym_BSLASHautocite] = ACTIONS(7267),
    [anon_sym_BSLASHAutocite] = ACTIONS(7267),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHVolcite] = ACTIONS(7267),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHavolcite] = ACTIONS(7267),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHNotecite] = ACTIONS(7267),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHlabel] = ACTIONS(7267),
    [anon_sym_BSLASHref] = ACTIONS(7267),
    [anon_sym_BSLASHeqref] = ACTIONS(7267),
    [anon_sym_BSLASHvref] = ACTIONS(7267),
    [anon_sym_BSLASHVref] = ACTIONS(7267),
    [anon_sym_BSLASHautoref] = ACTIONS(7267),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHpageref] = ACTIONS(7267),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHautopageref] = ACTIONS(7267),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcref] = ACTIONS(7267),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCref] = ACTIONS(7267),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcpageref] = ACTIONS(7267),
    [anon_sym_BSLASHCpageref] = ACTIONS(7267),
    [anon_sym_BSLASHnamecref] = ACTIONS(7267),
    [anon_sym_BSLASHnameCref] = ACTIONS(7267),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7267),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7267),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7267),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7267),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7267),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7267),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7267),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7267),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7267),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7267),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7267),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHdef] = ACTIONS(7267),
    [anon_sym_BSLASHgdef] = ACTIONS(7267),
    [anon_sym_BSLASHedef] = ACTIONS(7267),
    [anon_sym_BSLASHxdef] = ACTIONS(7267),
    [anon_sym_BSLASHlet] = ACTIONS(7267),
    [anon_sym_BSLASHglet] = ACTIONS(7267),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7267),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7267),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7267),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7267),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7267),
    [anon_sym_BSLASHgls] = ACTIONS(7267),
    [anon_sym_BSLASHGls] = ACTIONS(7267),
    [anon_sym_BSLASHGLS] = ACTIONS(7267),
    [anon_sym_BSLASHglspl] = ACTIONS(7267),
    [anon_sym_BSLASHGlspl] = ACTIONS(7267),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7267),
    [anon_sym_BSLASHglslink] = ACTIONS(7267),
    [anon_sym_BSLASHglstext] = ACTIONS(7267),
    [anon_sym_BSLASHGlstext] = ACTIONS(7267),
    [anon_sym_BSLASHGLStext] = ACTIONS(7267),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7267),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7267),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7267),
    [anon_sym_BSLASHglsplural] = ACTIONS(7267),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7267),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7267),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHglsname] = ACTIONS(7267),
    [anon_sym_BSLASHGlsname] = ACTIONS(7267),
    [anon_sym_BSLASHGLSname] = ACTIONS(7267),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7267),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7267),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7267),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7267),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7267),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7267),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7267),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7267),
    [anon_sym_BSLASHacrshort] = ACTIONS(7267),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7267),
    [anon_sym_BSLASHACRshort] = ACTIONS(7267),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHacrlong] = ACTIONS(7267),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7267),
    [anon_sym_BSLASHACRlong] = ACTIONS(7267),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHacrfull] = ACTIONS(7267),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7267),
    [anon_sym_BSLASHACRfull] = ACTIONS(7267),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHacs] = ACTIONS(7267),
    [anon_sym_BSLASHAcs] = ACTIONS(7267),
    [anon_sym_BSLASHacsp] = ACTIONS(7267),
    [anon_sym_BSLASHAcsp] = ACTIONS(7267),
    [anon_sym_BSLASHacl] = ACTIONS(7267),
    [anon_sym_BSLASHAcl] = ACTIONS(7267),
    [anon_sym_BSLASHaclp] = ACTIONS(7267),
    [anon_sym_BSLASHAclp] = ACTIONS(7267),
    [anon_sym_BSLASHacf] = ACTIONS(7267),
    [anon_sym_BSLASHAcf] = ACTIONS(7267),
    [anon_sym_BSLASHacfp] = ACTIONS(7267),
    [anon_sym_BSLASHAcfp] = ACTIONS(7267),
    [anon_sym_BSLASHac] = ACTIONS(7267),
    [anon_sym_BSLASHAc] = ACTIONS(7267),
    [anon_sym_BSLASHacp] = ACTIONS(7267),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7267),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7267),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7267),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7267),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7267),
    [anon_sym_BSLASHcolor] = ACTIONS(7267),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7267),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7267),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7267),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7267),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7267),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7267),
    [anon_sym_BSLASHurl] = ACTIONS(7267),
    [anon_sym_BSLASHhref] = ACTIONS(7267),
  },
  [1130] = {
    [ts_builtin_sym_end] = ACTIONS(7273),
    [sym_command_name] = ACTIONS(7271),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7271),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_RBRACK] = ACTIONS(7273),
    [anon_sym_COMMA] = ACTIONS(7273),
    [anon_sym_EQ] = ACTIONS(7273),
    [anon_sym_LPAREN] = ACTIONS(7273),
    [anon_sym_RPAREN] = ACTIONS(7273),
    [anon_sym_BSLASHpart] = ACTIONS(7271),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHaddpart] = ACTIONS(7271),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHchapter] = ACTIONS(7271),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHaddchap] = ACTIONS(7271),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHsection] = ACTIONS(7271),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHaddsec] = ACTIONS(7271),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHsubsection] = ACTIONS(7271),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7271),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHparagraph] = ACTIONS(7271),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7271),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHitem] = ACTIONS(7271),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7273),
    [anon_sym_RBRACE] = ACTIONS(7273),
    [sym_word] = ACTIONS(7271),
    [sym_placeholder] = ACTIONS(7273),
    [sym_delimiter] = ACTIONS(7273),
    [anon_sym_PLUS] = ACTIONS(7273),
    [anon_sym_DASH] = ACTIONS(7273),
    [anon_sym_STAR] = ACTIONS(7273),
    [anon_sym_SLASH] = ACTIONS(7273),
    [anon_sym_LT] = ACTIONS(7271),
    [anon_sym_GT] = ACTIONS(7271),
    [anon_sym_BANG] = ACTIONS(7271),
    [anon_sym_PIPE] = ACTIONS(7271),
    [anon_sym_COLON] = ACTIONS(7271),
    [anon_sym_SQUOTE] = ACTIONS(7271),
    [anon_sym__] = ACTIONS(7273),
    [anon_sym_CARET] = ACTIONS(7273),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7273),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7273),
    [anon_sym_DOLLAR] = ACTIONS(7271),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7273),
    [anon_sym_BSLASHleft] = ACTIONS(7271),
    [anon_sym_BSLASHbigl] = ACTIONS(7271),
    [anon_sym_BSLASHBigl] = ACTIONS(7271),
    [anon_sym_BSLASHbiggl] = ACTIONS(7271),
    [anon_sym_BSLASHBiggl] = ACTIONS(7271),
    [anon_sym_BSLASHtext] = ACTIONS(7271),
    [anon_sym_BSLASHintertext] = ACTIONS(7271),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7271),
    [anon_sym_BSLASHbegin] = ACTIONS(7271),
    [anon_sym_BSLASHtitle] = ACTIONS(7271),
    [anon_sym_BSLASHauthor] = ACTIONS(7271),
    [anon_sym_BSLASHusepackage] = ACTIONS(7271),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7271),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7271),
    [anon_sym_BSLASHinclude] = ACTIONS(7271),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7271),
    [anon_sym_BSLASHinput] = ACTIONS(7271),
    [anon_sym_BSLASHsubfile] = ACTIONS(7271),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7271),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7271),
    [anon_sym_BSLASHbibliography] = ACTIONS(7271),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7271),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7271),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7271),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7271),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7271),
    [anon_sym_BSLASHimport] = ACTIONS(7271),
    [anon_sym_BSLASHsubimport] = ACTIONS(7271),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7271),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7271),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7271),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7271),
    [anon_sym_BSLASHcaption] = ACTIONS(7271),
    [anon_sym_BSLASHcite] = ACTIONS(7271),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCite] = ACTIONS(7271),
    [anon_sym_BSLASHnocite] = ACTIONS(7271),
    [anon_sym_BSLASHcitet] = ACTIONS(7271),
    [anon_sym_BSLASHcitep] = ACTIONS(7271),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteA] = ACTIONS(7271),
    [anon_sym_BSLASHciteR] = ACTIONS(7271),
    [anon_sym_BSLASHciteS] = ACTIONS(7271),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7271),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7271),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7271),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7271),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteyear] = ACTIONS(7271),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitedate] = ACTIONS(7271),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteurl] = ACTIONS(7271),
    [anon_sym_BSLASHfullcite] = ACTIONS(7271),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7271),
    [anon_sym_BSLASHcitealt] = ACTIONS(7271),
    [anon_sym_BSLASHcitealp] = ACTIONS(7271),
    [anon_sym_BSLASHcitetext] = ACTIONS(7271),
    [anon_sym_BSLASHparencite] = ACTIONS(7271),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHParencite] = ACTIONS(7271),
    [anon_sym_BSLASHfootcite] = ACTIONS(7271),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7271),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7271),
    [anon_sym_BSLASHtextcite] = ACTIONS(7271),
    [anon_sym_BSLASHTextcite] = ACTIONS(7271),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7271),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7271),
    [anon_sym_BSLASHsupercite] = ACTIONS(7271),
    [anon_sym_BSLASHautocite] = ACTIONS(7271),
    [anon_sym_BSLASHAutocite] = ACTIONS(7271),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHVolcite] = ACTIONS(7271),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHavolcite] = ACTIONS(7271),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHNotecite] = ACTIONS(7271),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHlabel] = ACTIONS(7271),
    [anon_sym_BSLASHref] = ACTIONS(7271),
    [anon_sym_BSLASHeqref] = ACTIONS(7271),
    [anon_sym_BSLASHvref] = ACTIONS(7271),
    [anon_sym_BSLASHVref] = ACTIONS(7271),
    [anon_sym_BSLASHautoref] = ACTIONS(7271),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHpageref] = ACTIONS(7271),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHautopageref] = ACTIONS(7271),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcref] = ACTIONS(7271),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCref] = ACTIONS(7271),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcpageref] = ACTIONS(7271),
    [anon_sym_BSLASHCpageref] = ACTIONS(7271),
    [anon_sym_BSLASHnamecref] = ACTIONS(7271),
    [anon_sym_BSLASHnameCref] = ACTIONS(7271),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7271),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7271),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7271),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7271),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7271),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7271),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7271),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7271),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7271),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7271),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7271),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHdef] = ACTIONS(7271),
    [anon_sym_BSLASHgdef] = ACTIONS(7271),
    [anon_sym_BSLASHedef] = ACTIONS(7271),
    [anon_sym_BSLASHxdef] = ACTIONS(7271),
    [anon_sym_BSLASHlet] = ACTIONS(7271),
    [anon_sym_BSLASHglet] = ACTIONS(7271),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7271),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7271),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7271),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7271),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7271),
    [anon_sym_BSLASHgls] = ACTIONS(7271),
    [anon_sym_BSLASHGls] = ACTIONS(7271),
    [anon_sym_BSLASHGLS] = ACTIONS(7271),
    [anon_sym_BSLASHglspl] = ACTIONS(7271),
    [anon_sym_BSLASHGlspl] = ACTIONS(7271),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7271),
    [anon_sym_BSLASHglslink] = ACTIONS(7271),
    [anon_sym_BSLASHglstext] = ACTIONS(7271),
    [anon_sym_BSLASHGlstext] = ACTIONS(7271),
    [anon_sym_BSLASHGLStext] = ACTIONS(7271),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7271),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7271),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7271),
    [anon_sym_BSLASHglsplural] = ACTIONS(7271),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7271),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7271),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHglsname] = ACTIONS(7271),
    [anon_sym_BSLASHGlsname] = ACTIONS(7271),
    [anon_sym_BSLASHGLSname] = ACTIONS(7271),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7271),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7271),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7271),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7271),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7271),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7271),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7271),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7271),
    [anon_sym_BSLASHacrshort] = ACTIONS(7271),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7271),
    [anon_sym_BSLASHACRshort] = ACTIONS(7271),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHacrlong] = ACTIONS(7271),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7271),
    [anon_sym_BSLASHACRlong] = ACTIONS(7271),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHacrfull] = ACTIONS(7271),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7271),
    [anon_sym_BSLASHACRfull] = ACTIONS(7271),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHacs] = ACTIONS(7271),
    [anon_sym_BSLASHAcs] = ACTIONS(7271),
    [anon_sym_BSLASHacsp] = ACTIONS(7271),
    [anon_sym_BSLASHAcsp] = ACTIONS(7271),
    [anon_sym_BSLASHacl] = ACTIONS(7271),
    [anon_sym_BSLASHAcl] = ACTIONS(7271),
    [anon_sym_BSLASHaclp] = ACTIONS(7271),
    [anon_sym_BSLASHAclp] = ACTIONS(7271),
    [anon_sym_BSLASHacf] = ACTIONS(7271),
    [anon_sym_BSLASHAcf] = ACTIONS(7271),
    [anon_sym_BSLASHacfp] = ACTIONS(7271),
    [anon_sym_BSLASHAcfp] = ACTIONS(7271),
    [anon_sym_BSLASHac] = ACTIONS(7271),
    [anon_sym_BSLASHAc] = ACTIONS(7271),
    [anon_sym_BSLASHacp] = ACTIONS(7271),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7271),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7271),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7271),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7271),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7271),
    [anon_sym_BSLASHcolor] = ACTIONS(7271),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7271),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7271),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7271),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7271),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7271),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7271),
    [anon_sym_BSLASHurl] = ACTIONS(7271),
    [anon_sym_BSLASHhref] = ACTIONS(7271),
  },
  [1131] = {
    [ts_builtin_sym_end] = ACTIONS(7277),
    [sym_command_name] = ACTIONS(7275),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7275),
    [anon_sym_LBRACK] = ACTIONS(7277),
    [anon_sym_RBRACK] = ACTIONS(7277),
    [anon_sym_COMMA] = ACTIONS(7277),
    [anon_sym_EQ] = ACTIONS(7277),
    [anon_sym_LPAREN] = ACTIONS(7277),
    [anon_sym_RPAREN] = ACTIONS(7277),
    [anon_sym_BSLASHpart] = ACTIONS(7275),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHaddpart] = ACTIONS(7275),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHchapter] = ACTIONS(7275),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHaddchap] = ACTIONS(7275),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHsection] = ACTIONS(7275),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHaddsec] = ACTIONS(7275),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHsubsection] = ACTIONS(7275),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7275),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHparagraph] = ACTIONS(7275),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7275),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHitem] = ACTIONS(7275),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7277),
    [anon_sym_LBRACE] = ACTIONS(7277),
    [anon_sym_RBRACE] = ACTIONS(7277),
    [sym_word] = ACTIONS(7275),
    [sym_placeholder] = ACTIONS(7277),
    [sym_delimiter] = ACTIONS(7277),
    [anon_sym_PLUS] = ACTIONS(7277),
    [anon_sym_DASH] = ACTIONS(7277),
    [anon_sym_STAR] = ACTIONS(7277),
    [anon_sym_SLASH] = ACTIONS(7277),
    [anon_sym_LT] = ACTIONS(7275),
    [anon_sym_GT] = ACTIONS(7275),
    [anon_sym_BANG] = ACTIONS(7275),
    [anon_sym_PIPE] = ACTIONS(7275),
    [anon_sym_COLON] = ACTIONS(7275),
    [anon_sym_SQUOTE] = ACTIONS(7275),
    [anon_sym__] = ACTIONS(7277),
    [anon_sym_CARET] = ACTIONS(7277),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7277),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7277),
    [anon_sym_DOLLAR] = ACTIONS(7275),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7277),
    [anon_sym_BSLASHleft] = ACTIONS(7275),
    [anon_sym_BSLASHbigl] = ACTIONS(7275),
    [anon_sym_BSLASHBigl] = ACTIONS(7275),
    [anon_sym_BSLASHbiggl] = ACTIONS(7275),
    [anon_sym_BSLASHBiggl] = ACTIONS(7275),
    [anon_sym_BSLASHtext] = ACTIONS(7275),
    [anon_sym_BSLASHintertext] = ACTIONS(7275),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7275),
    [anon_sym_BSLASHbegin] = ACTIONS(7275),
    [anon_sym_BSLASHtitle] = ACTIONS(7275),
    [anon_sym_BSLASHauthor] = ACTIONS(7275),
    [anon_sym_BSLASHusepackage] = ACTIONS(7275),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7275),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7275),
    [anon_sym_BSLASHinclude] = ACTIONS(7275),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7275),
    [anon_sym_BSLASHinput] = ACTIONS(7275),
    [anon_sym_BSLASHsubfile] = ACTIONS(7275),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7275),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7275),
    [anon_sym_BSLASHbibliography] = ACTIONS(7275),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7275),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7275),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7275),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7275),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7275),
    [anon_sym_BSLASHimport] = ACTIONS(7275),
    [anon_sym_BSLASHsubimport] = ACTIONS(7275),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7275),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7275),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7275),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7275),
    [anon_sym_BSLASHcaption] = ACTIONS(7275),
    [anon_sym_BSLASHcite] = ACTIONS(7275),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCite] = ACTIONS(7275),
    [anon_sym_BSLASHnocite] = ACTIONS(7275),
    [anon_sym_BSLASHcitet] = ACTIONS(7275),
    [anon_sym_BSLASHcitep] = ACTIONS(7275),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteA] = ACTIONS(7275),
    [anon_sym_BSLASHciteR] = ACTIONS(7275),
    [anon_sym_BSLASHciteS] = ACTIONS(7275),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7275),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7275),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7275),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7275),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteyear] = ACTIONS(7275),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitedate] = ACTIONS(7275),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteurl] = ACTIONS(7275),
    [anon_sym_BSLASHfullcite] = ACTIONS(7275),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7275),
    [anon_sym_BSLASHcitealt] = ACTIONS(7275),
    [anon_sym_BSLASHcitealp] = ACTIONS(7275),
    [anon_sym_BSLASHcitetext] = ACTIONS(7275),
    [anon_sym_BSLASHparencite] = ACTIONS(7275),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHParencite] = ACTIONS(7275),
    [anon_sym_BSLASHfootcite] = ACTIONS(7275),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7275),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7275),
    [anon_sym_BSLASHtextcite] = ACTIONS(7275),
    [anon_sym_BSLASHTextcite] = ACTIONS(7275),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7275),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7275),
    [anon_sym_BSLASHsupercite] = ACTIONS(7275),
    [anon_sym_BSLASHautocite] = ACTIONS(7275),
    [anon_sym_BSLASHAutocite] = ACTIONS(7275),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHVolcite] = ACTIONS(7275),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHavolcite] = ACTIONS(7275),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHNotecite] = ACTIONS(7275),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHlabel] = ACTIONS(7275),
    [anon_sym_BSLASHref] = ACTIONS(7275),
    [anon_sym_BSLASHeqref] = ACTIONS(7275),
    [anon_sym_BSLASHvref] = ACTIONS(7275),
    [anon_sym_BSLASHVref] = ACTIONS(7275),
    [anon_sym_BSLASHautoref] = ACTIONS(7275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHpageref] = ACTIONS(7275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHautopageref] = ACTIONS(7275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcref] = ACTIONS(7275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCref] = ACTIONS(7275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcpageref] = ACTIONS(7275),
    [anon_sym_BSLASHCpageref] = ACTIONS(7275),
    [anon_sym_BSLASHnamecref] = ACTIONS(7275),
    [anon_sym_BSLASHnameCref] = ACTIONS(7275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7275),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7275),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7275),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7275),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7275),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7275),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7275),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7275),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHdef] = ACTIONS(7275),
    [anon_sym_BSLASHgdef] = ACTIONS(7275),
    [anon_sym_BSLASHedef] = ACTIONS(7275),
    [anon_sym_BSLASHxdef] = ACTIONS(7275),
    [anon_sym_BSLASHlet] = ACTIONS(7275),
    [anon_sym_BSLASHglet] = ACTIONS(7275),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7275),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7275),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7275),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7275),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7275),
    [anon_sym_BSLASHgls] = ACTIONS(7275),
    [anon_sym_BSLASHGls] = ACTIONS(7275),
    [anon_sym_BSLASHGLS] = ACTIONS(7275),
    [anon_sym_BSLASHglspl] = ACTIONS(7275),
    [anon_sym_BSLASHGlspl] = ACTIONS(7275),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7275),
    [anon_sym_BSLASHglslink] = ACTIONS(7275),
    [anon_sym_BSLASHglstext] = ACTIONS(7275),
    [anon_sym_BSLASHGlstext] = ACTIONS(7275),
    [anon_sym_BSLASHGLStext] = ACTIONS(7275),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7275),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7275),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7275),
    [anon_sym_BSLASHglsplural] = ACTIONS(7275),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7275),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7275),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHglsname] = ACTIONS(7275),
    [anon_sym_BSLASHGlsname] = ACTIONS(7275),
    [anon_sym_BSLASHGLSname] = ACTIONS(7275),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7275),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7275),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7275),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7275),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7275),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7275),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7275),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7275),
    [anon_sym_BSLASHacrshort] = ACTIONS(7275),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7275),
    [anon_sym_BSLASHACRshort] = ACTIONS(7275),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHacrlong] = ACTIONS(7275),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7275),
    [anon_sym_BSLASHACRlong] = ACTIONS(7275),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHacrfull] = ACTIONS(7275),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7275),
    [anon_sym_BSLASHACRfull] = ACTIONS(7275),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHacs] = ACTIONS(7275),
    [anon_sym_BSLASHAcs] = ACTIONS(7275),
    [anon_sym_BSLASHacsp] = ACTIONS(7275),
    [anon_sym_BSLASHAcsp] = ACTIONS(7275),
    [anon_sym_BSLASHacl] = ACTIONS(7275),
    [anon_sym_BSLASHAcl] = ACTIONS(7275),
    [anon_sym_BSLASHaclp] = ACTIONS(7275),
    [anon_sym_BSLASHAclp] = ACTIONS(7275),
    [anon_sym_BSLASHacf] = ACTIONS(7275),
    [anon_sym_BSLASHAcf] = ACTIONS(7275),
    [anon_sym_BSLASHacfp] = ACTIONS(7275),
    [anon_sym_BSLASHAcfp] = ACTIONS(7275),
    [anon_sym_BSLASHac] = ACTIONS(7275),
    [anon_sym_BSLASHAc] = ACTIONS(7275),
    [anon_sym_BSLASHacp] = ACTIONS(7275),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7275),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7275),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7275),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7275),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7275),
    [anon_sym_BSLASHcolor] = ACTIONS(7275),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7275),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7275),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7275),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7275),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7275),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7275),
    [anon_sym_BSLASHurl] = ACTIONS(7275),
    [anon_sym_BSLASHhref] = ACTIONS(7275),
  },
  [1132] = {
    [ts_builtin_sym_end] = ACTIONS(7281),
    [sym_command_name] = ACTIONS(7279),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7279),
    [anon_sym_LBRACK] = ACTIONS(7281),
    [anon_sym_RBRACK] = ACTIONS(7281),
    [anon_sym_COMMA] = ACTIONS(7281),
    [anon_sym_EQ] = ACTIONS(7281),
    [anon_sym_LPAREN] = ACTIONS(7281),
    [anon_sym_RPAREN] = ACTIONS(7281),
    [anon_sym_BSLASHpart] = ACTIONS(7279),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHaddpart] = ACTIONS(7279),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHchapter] = ACTIONS(7279),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHaddchap] = ACTIONS(7279),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHsection] = ACTIONS(7279),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHaddsec] = ACTIONS(7279),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHsubsection] = ACTIONS(7279),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7279),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHparagraph] = ACTIONS(7279),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7279),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHitem] = ACTIONS(7279),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7281),
    [anon_sym_LBRACE] = ACTIONS(7281),
    [anon_sym_RBRACE] = ACTIONS(7281),
    [sym_word] = ACTIONS(7279),
    [sym_placeholder] = ACTIONS(7281),
    [sym_delimiter] = ACTIONS(7281),
    [anon_sym_PLUS] = ACTIONS(7281),
    [anon_sym_DASH] = ACTIONS(7281),
    [anon_sym_STAR] = ACTIONS(7281),
    [anon_sym_SLASH] = ACTIONS(7281),
    [anon_sym_LT] = ACTIONS(7279),
    [anon_sym_GT] = ACTIONS(7279),
    [anon_sym_BANG] = ACTIONS(7279),
    [anon_sym_PIPE] = ACTIONS(7279),
    [anon_sym_COLON] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7279),
    [anon_sym__] = ACTIONS(7281),
    [anon_sym_CARET] = ACTIONS(7281),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7281),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7281),
    [anon_sym_DOLLAR] = ACTIONS(7279),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7281),
    [anon_sym_BSLASHleft] = ACTIONS(7279),
    [anon_sym_BSLASHbigl] = ACTIONS(7279),
    [anon_sym_BSLASHBigl] = ACTIONS(7279),
    [anon_sym_BSLASHbiggl] = ACTIONS(7279),
    [anon_sym_BSLASHBiggl] = ACTIONS(7279),
    [anon_sym_BSLASHtext] = ACTIONS(7279),
    [anon_sym_BSLASHintertext] = ACTIONS(7279),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7279),
    [anon_sym_BSLASHbegin] = ACTIONS(7279),
    [anon_sym_BSLASHtitle] = ACTIONS(7279),
    [anon_sym_BSLASHauthor] = ACTIONS(7279),
    [anon_sym_BSLASHusepackage] = ACTIONS(7279),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7279),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7279),
    [anon_sym_BSLASHinclude] = ACTIONS(7279),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7279),
    [anon_sym_BSLASHinput] = ACTIONS(7279),
    [anon_sym_BSLASHsubfile] = ACTIONS(7279),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7279),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7279),
    [anon_sym_BSLASHbibliography] = ACTIONS(7279),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7279),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7279),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7279),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7279),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7279),
    [anon_sym_BSLASHimport] = ACTIONS(7279),
    [anon_sym_BSLASHsubimport] = ACTIONS(7279),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7279),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7279),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7279),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7279),
    [anon_sym_BSLASHcaption] = ACTIONS(7279),
    [anon_sym_BSLASHcite] = ACTIONS(7279),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCite] = ACTIONS(7279),
    [anon_sym_BSLASHnocite] = ACTIONS(7279),
    [anon_sym_BSLASHcitet] = ACTIONS(7279),
    [anon_sym_BSLASHcitep] = ACTIONS(7279),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteA] = ACTIONS(7279),
    [anon_sym_BSLASHciteR] = ACTIONS(7279),
    [anon_sym_BSLASHciteS] = ACTIONS(7279),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7279),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7279),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7279),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7279),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteyear] = ACTIONS(7279),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitedate] = ACTIONS(7279),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteurl] = ACTIONS(7279),
    [anon_sym_BSLASHfullcite] = ACTIONS(7279),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7279),
    [anon_sym_BSLASHcitealt] = ACTIONS(7279),
    [anon_sym_BSLASHcitealp] = ACTIONS(7279),
    [anon_sym_BSLASHcitetext] = ACTIONS(7279),
    [anon_sym_BSLASHparencite] = ACTIONS(7279),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHParencite] = ACTIONS(7279),
    [anon_sym_BSLASHfootcite] = ACTIONS(7279),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7279),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7279),
    [anon_sym_BSLASHtextcite] = ACTIONS(7279),
    [anon_sym_BSLASHTextcite] = ACTIONS(7279),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7279),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7279),
    [anon_sym_BSLASHsupercite] = ACTIONS(7279),
    [anon_sym_BSLASHautocite] = ACTIONS(7279),
    [anon_sym_BSLASHAutocite] = ACTIONS(7279),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHVolcite] = ACTIONS(7279),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHavolcite] = ACTIONS(7279),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHNotecite] = ACTIONS(7279),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHlabel] = ACTIONS(7279),
    [anon_sym_BSLASHref] = ACTIONS(7279),
    [anon_sym_BSLASHeqref] = ACTIONS(7279),
    [anon_sym_BSLASHvref] = ACTIONS(7279),
    [anon_sym_BSLASHVref] = ACTIONS(7279),
    [anon_sym_BSLASHautoref] = ACTIONS(7279),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHpageref] = ACTIONS(7279),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHautopageref] = ACTIONS(7279),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcref] = ACTIONS(7279),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCref] = ACTIONS(7279),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcpageref] = ACTIONS(7279),
    [anon_sym_BSLASHCpageref] = ACTIONS(7279),
    [anon_sym_BSLASHnamecref] = ACTIONS(7279),
    [anon_sym_BSLASHnameCref] = ACTIONS(7279),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7279),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7279),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7279),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7279),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7279),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7279),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7279),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHdef] = ACTIONS(7279),
    [anon_sym_BSLASHgdef] = ACTIONS(7279),
    [anon_sym_BSLASHedef] = ACTIONS(7279),
    [anon_sym_BSLASHxdef] = ACTIONS(7279),
    [anon_sym_BSLASHlet] = ACTIONS(7279),
    [anon_sym_BSLASHglet] = ACTIONS(7279),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7279),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7279),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7279),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7279),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7279),
    [anon_sym_BSLASHgls] = ACTIONS(7279),
    [anon_sym_BSLASHGls] = ACTIONS(7279),
    [anon_sym_BSLASHGLS] = ACTIONS(7279),
    [anon_sym_BSLASHglspl] = ACTIONS(7279),
    [anon_sym_BSLASHGlspl] = ACTIONS(7279),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7279),
    [anon_sym_BSLASHglslink] = ACTIONS(7279),
    [anon_sym_BSLASHglstext] = ACTIONS(7279),
    [anon_sym_BSLASHGlstext] = ACTIONS(7279),
    [anon_sym_BSLASHGLStext] = ACTIONS(7279),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7279),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7279),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7279),
    [anon_sym_BSLASHglsplural] = ACTIONS(7279),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7279),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7279),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHglsname] = ACTIONS(7279),
    [anon_sym_BSLASHGlsname] = ACTIONS(7279),
    [anon_sym_BSLASHGLSname] = ACTIONS(7279),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7279),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7279),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7279),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7279),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7279),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7279),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7279),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7279),
    [anon_sym_BSLASHacrshort] = ACTIONS(7279),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7279),
    [anon_sym_BSLASHACRshort] = ACTIONS(7279),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHacrlong] = ACTIONS(7279),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7279),
    [anon_sym_BSLASHACRlong] = ACTIONS(7279),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHacrfull] = ACTIONS(7279),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7279),
    [anon_sym_BSLASHACRfull] = ACTIONS(7279),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHacs] = ACTIONS(7279),
    [anon_sym_BSLASHAcs] = ACTIONS(7279),
    [anon_sym_BSLASHacsp] = ACTIONS(7279),
    [anon_sym_BSLASHAcsp] = ACTIONS(7279),
    [anon_sym_BSLASHacl] = ACTIONS(7279),
    [anon_sym_BSLASHAcl] = ACTIONS(7279),
    [anon_sym_BSLASHaclp] = ACTIONS(7279),
    [anon_sym_BSLASHAclp] = ACTIONS(7279),
    [anon_sym_BSLASHacf] = ACTIONS(7279),
    [anon_sym_BSLASHAcf] = ACTIONS(7279),
    [anon_sym_BSLASHacfp] = ACTIONS(7279),
    [anon_sym_BSLASHAcfp] = ACTIONS(7279),
    [anon_sym_BSLASHac] = ACTIONS(7279),
    [anon_sym_BSLASHAc] = ACTIONS(7279),
    [anon_sym_BSLASHacp] = ACTIONS(7279),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7279),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7279),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7279),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7279),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7279),
    [anon_sym_BSLASHcolor] = ACTIONS(7279),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7279),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7279),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7279),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7279),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7279),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7279),
    [anon_sym_BSLASHurl] = ACTIONS(7279),
    [anon_sym_BSLASHhref] = ACTIONS(7279),
  },
  [1133] = {
    [ts_builtin_sym_end] = ACTIONS(7285),
    [sym_command_name] = ACTIONS(7283),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7283),
    [anon_sym_LBRACK] = ACTIONS(7285),
    [anon_sym_RBRACK] = ACTIONS(7285),
    [anon_sym_COMMA] = ACTIONS(7285),
    [anon_sym_EQ] = ACTIONS(7285),
    [anon_sym_LPAREN] = ACTIONS(7285),
    [anon_sym_RPAREN] = ACTIONS(7285),
    [anon_sym_BSLASHpart] = ACTIONS(7283),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHaddpart] = ACTIONS(7283),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHchapter] = ACTIONS(7283),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHaddchap] = ACTIONS(7283),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHsection] = ACTIONS(7283),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHaddsec] = ACTIONS(7283),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHsubsection] = ACTIONS(7283),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7283),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHparagraph] = ACTIONS(7283),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7283),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHitem] = ACTIONS(7283),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7285),
    [anon_sym_LBRACE] = ACTIONS(7285),
    [anon_sym_RBRACE] = ACTIONS(7285),
    [sym_word] = ACTIONS(7283),
    [sym_placeholder] = ACTIONS(7285),
    [sym_delimiter] = ACTIONS(7285),
    [anon_sym_PLUS] = ACTIONS(7285),
    [anon_sym_DASH] = ACTIONS(7285),
    [anon_sym_STAR] = ACTIONS(7285),
    [anon_sym_SLASH] = ACTIONS(7285),
    [anon_sym_LT] = ACTIONS(7283),
    [anon_sym_GT] = ACTIONS(7283),
    [anon_sym_BANG] = ACTIONS(7283),
    [anon_sym_PIPE] = ACTIONS(7283),
    [anon_sym_COLON] = ACTIONS(7283),
    [anon_sym_SQUOTE] = ACTIONS(7283),
    [anon_sym__] = ACTIONS(7285),
    [anon_sym_CARET] = ACTIONS(7285),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7285),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7285),
    [anon_sym_DOLLAR] = ACTIONS(7283),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7285),
    [anon_sym_BSLASHleft] = ACTIONS(7283),
    [anon_sym_BSLASHbigl] = ACTIONS(7283),
    [anon_sym_BSLASHBigl] = ACTIONS(7283),
    [anon_sym_BSLASHbiggl] = ACTIONS(7283),
    [anon_sym_BSLASHBiggl] = ACTIONS(7283),
    [anon_sym_BSLASHtext] = ACTIONS(7283),
    [anon_sym_BSLASHintertext] = ACTIONS(7283),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7283),
    [anon_sym_BSLASHbegin] = ACTIONS(7283),
    [anon_sym_BSLASHtitle] = ACTIONS(7283),
    [anon_sym_BSLASHauthor] = ACTIONS(7283),
    [anon_sym_BSLASHusepackage] = ACTIONS(7283),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7283),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7283),
    [anon_sym_BSLASHinclude] = ACTIONS(7283),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7283),
    [anon_sym_BSLASHinput] = ACTIONS(7283),
    [anon_sym_BSLASHsubfile] = ACTIONS(7283),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7283),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7283),
    [anon_sym_BSLASHbibliography] = ACTIONS(7283),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7283),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7283),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7283),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7283),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7283),
    [anon_sym_BSLASHimport] = ACTIONS(7283),
    [anon_sym_BSLASHsubimport] = ACTIONS(7283),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7283),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7283),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7283),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7283),
    [anon_sym_BSLASHcaption] = ACTIONS(7283),
    [anon_sym_BSLASHcite] = ACTIONS(7283),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCite] = ACTIONS(7283),
    [anon_sym_BSLASHnocite] = ACTIONS(7283),
    [anon_sym_BSLASHcitet] = ACTIONS(7283),
    [anon_sym_BSLASHcitep] = ACTIONS(7283),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteA] = ACTIONS(7283),
    [anon_sym_BSLASHciteR] = ACTIONS(7283),
    [anon_sym_BSLASHciteS] = ACTIONS(7283),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7283),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7283),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7283),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7283),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteyear] = ACTIONS(7283),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitedate] = ACTIONS(7283),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteurl] = ACTIONS(7283),
    [anon_sym_BSLASHfullcite] = ACTIONS(7283),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7283),
    [anon_sym_BSLASHcitealt] = ACTIONS(7283),
    [anon_sym_BSLASHcitealp] = ACTIONS(7283),
    [anon_sym_BSLASHcitetext] = ACTIONS(7283),
    [anon_sym_BSLASHparencite] = ACTIONS(7283),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHParencite] = ACTIONS(7283),
    [anon_sym_BSLASHfootcite] = ACTIONS(7283),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7283),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7283),
    [anon_sym_BSLASHtextcite] = ACTIONS(7283),
    [anon_sym_BSLASHTextcite] = ACTIONS(7283),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7283),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7283),
    [anon_sym_BSLASHsupercite] = ACTIONS(7283),
    [anon_sym_BSLASHautocite] = ACTIONS(7283),
    [anon_sym_BSLASHAutocite] = ACTIONS(7283),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHVolcite] = ACTIONS(7283),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHavolcite] = ACTIONS(7283),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHNotecite] = ACTIONS(7283),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHlabel] = ACTIONS(7283),
    [anon_sym_BSLASHref] = ACTIONS(7283),
    [anon_sym_BSLASHeqref] = ACTIONS(7283),
    [anon_sym_BSLASHvref] = ACTIONS(7283),
    [anon_sym_BSLASHVref] = ACTIONS(7283),
    [anon_sym_BSLASHautoref] = ACTIONS(7283),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHpageref] = ACTIONS(7283),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHautopageref] = ACTIONS(7283),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcref] = ACTIONS(7283),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCref] = ACTIONS(7283),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcpageref] = ACTIONS(7283),
    [anon_sym_BSLASHCpageref] = ACTIONS(7283),
    [anon_sym_BSLASHnamecref] = ACTIONS(7283),
    [anon_sym_BSLASHnameCref] = ACTIONS(7283),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7283),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7283),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7283),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7283),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7283),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7283),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7283),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7283),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7283),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7283),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHdef] = ACTIONS(7283),
    [anon_sym_BSLASHgdef] = ACTIONS(7283),
    [anon_sym_BSLASHedef] = ACTIONS(7283),
    [anon_sym_BSLASHxdef] = ACTIONS(7283),
    [anon_sym_BSLASHlet] = ACTIONS(7283),
    [anon_sym_BSLASHglet] = ACTIONS(7283),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7283),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7283),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7283),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7283),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7283),
    [anon_sym_BSLASHgls] = ACTIONS(7283),
    [anon_sym_BSLASHGls] = ACTIONS(7283),
    [anon_sym_BSLASHGLS] = ACTIONS(7283),
    [anon_sym_BSLASHglspl] = ACTIONS(7283),
    [anon_sym_BSLASHGlspl] = ACTIONS(7283),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7283),
    [anon_sym_BSLASHglslink] = ACTIONS(7283),
    [anon_sym_BSLASHglstext] = ACTIONS(7283),
    [anon_sym_BSLASHGlstext] = ACTIONS(7283),
    [anon_sym_BSLASHGLStext] = ACTIONS(7283),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7283),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7283),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7283),
    [anon_sym_BSLASHglsplural] = ACTIONS(7283),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7283),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7283),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHglsname] = ACTIONS(7283),
    [anon_sym_BSLASHGlsname] = ACTIONS(7283),
    [anon_sym_BSLASHGLSname] = ACTIONS(7283),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7283),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7283),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7283),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7283),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7283),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7283),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7283),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7283),
    [anon_sym_BSLASHacrshort] = ACTIONS(7283),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7283),
    [anon_sym_BSLASHACRshort] = ACTIONS(7283),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHacrlong] = ACTIONS(7283),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7283),
    [anon_sym_BSLASHACRlong] = ACTIONS(7283),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHacrfull] = ACTIONS(7283),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7283),
    [anon_sym_BSLASHACRfull] = ACTIONS(7283),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHacs] = ACTIONS(7283),
    [anon_sym_BSLASHAcs] = ACTIONS(7283),
    [anon_sym_BSLASHacsp] = ACTIONS(7283),
    [anon_sym_BSLASHAcsp] = ACTIONS(7283),
    [anon_sym_BSLASHacl] = ACTIONS(7283),
    [anon_sym_BSLASHAcl] = ACTIONS(7283),
    [anon_sym_BSLASHaclp] = ACTIONS(7283),
    [anon_sym_BSLASHAclp] = ACTIONS(7283),
    [anon_sym_BSLASHacf] = ACTIONS(7283),
    [anon_sym_BSLASHAcf] = ACTIONS(7283),
    [anon_sym_BSLASHacfp] = ACTIONS(7283),
    [anon_sym_BSLASHAcfp] = ACTIONS(7283),
    [anon_sym_BSLASHac] = ACTIONS(7283),
    [anon_sym_BSLASHAc] = ACTIONS(7283),
    [anon_sym_BSLASHacp] = ACTIONS(7283),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7283),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7283),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7283),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7283),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7283),
    [anon_sym_BSLASHcolor] = ACTIONS(7283),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7283),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7283),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7283),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7283),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7283),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7283),
    [anon_sym_BSLASHurl] = ACTIONS(7283),
    [anon_sym_BSLASHhref] = ACTIONS(7283),
  },
  [1134] = {
    [sym_curly_group] = STATE(1563),
    [sym_command_name] = ACTIONS(6947),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6949),
    [anon_sym_RBRACK] = ACTIONS(6949),
    [anon_sym_COMMA] = ACTIONS(6949),
    [anon_sym_EQ] = ACTIONS(6949),
    [anon_sym_LPAREN] = ACTIONS(6949),
    [anon_sym_RPAREN] = ACTIONS(6949),
    [anon_sym_BSLASHpart] = ACTIONS(6947),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHaddpart] = ACTIONS(6947),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHchapter] = ACTIONS(6947),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHaddchap] = ACTIONS(6947),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHsection] = ACTIONS(6947),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHaddsec] = ACTIONS(6947),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHsubsection] = ACTIONS(6947),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6947),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHparagraph] = ACTIONS(6947),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6947),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHitem] = ACTIONS(6947),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6949),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(6947),
    [sym_placeholder] = ACTIONS(6949),
    [sym_delimiter] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6949),
    [anon_sym_DASH] = ACTIONS(6949),
    [anon_sym_STAR] = ACTIONS(6949),
    [anon_sym_SLASH] = ACTIONS(6949),
    [anon_sym_LT] = ACTIONS(6947),
    [anon_sym_GT] = ACTIONS(6947),
    [anon_sym_BANG] = ACTIONS(6947),
    [anon_sym_PIPE] = ACTIONS(6947),
    [anon_sym_COLON] = ACTIONS(6947),
    [anon_sym_SQUOTE] = ACTIONS(6947),
    [anon_sym__] = ACTIONS(6949),
    [anon_sym_CARET] = ACTIONS(6949),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6949),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6949),
    [anon_sym_DOLLAR] = ACTIONS(6947),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6949),
    [anon_sym_BSLASHleft] = ACTIONS(6947),
    [anon_sym_BSLASHbigl] = ACTIONS(6947),
    [anon_sym_BSLASHBigl] = ACTIONS(6947),
    [anon_sym_BSLASHbiggl] = ACTIONS(6947),
    [anon_sym_BSLASHBiggl] = ACTIONS(6947),
    [anon_sym_BSLASHtext] = ACTIONS(6947),
    [anon_sym_BSLASHintertext] = ACTIONS(6947),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6947),
    [anon_sym_BSLASHbegin] = ACTIONS(6947),
    [anon_sym_BSLASHend] = ACTIONS(6947),
    [anon_sym_BSLASHtitle] = ACTIONS(6947),
    [anon_sym_BSLASHauthor] = ACTIONS(6947),
    [anon_sym_BSLASHusepackage] = ACTIONS(6947),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6947),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6947),
    [anon_sym_BSLASHinclude] = ACTIONS(6947),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6947),
    [anon_sym_BSLASHinput] = ACTIONS(6947),
    [anon_sym_BSLASHsubfile] = ACTIONS(6947),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6947),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6947),
    [anon_sym_BSLASHbibliography] = ACTIONS(6947),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6947),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6947),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6947),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6947),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6947),
    [anon_sym_BSLASHimport] = ACTIONS(6947),
    [anon_sym_BSLASHsubimport] = ACTIONS(6947),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6947),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6947),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6947),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6947),
    [anon_sym_BSLASHcaption] = ACTIONS(6947),
    [anon_sym_BSLASHcite] = ACTIONS(6947),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCite] = ACTIONS(6947),
    [anon_sym_BSLASHnocite] = ACTIONS(6947),
    [anon_sym_BSLASHcitet] = ACTIONS(6947),
    [anon_sym_BSLASHcitep] = ACTIONS(6947),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteA] = ACTIONS(6947),
    [anon_sym_BSLASHciteR] = ACTIONS(6947),
    [anon_sym_BSLASHciteS] = ACTIONS(6947),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6947),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6947),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6947),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6947),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteyear] = ACTIONS(6947),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitedate] = ACTIONS(6947),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteurl] = ACTIONS(6947),
    [anon_sym_BSLASHfullcite] = ACTIONS(6947),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6947),
    [anon_sym_BSLASHcitealt] = ACTIONS(6947),
    [anon_sym_BSLASHcitealp] = ACTIONS(6947),
    [anon_sym_BSLASHcitetext] = ACTIONS(6947),
    [anon_sym_BSLASHparencite] = ACTIONS(6947),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHParencite] = ACTIONS(6947),
    [anon_sym_BSLASHfootcite] = ACTIONS(6947),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6947),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6947),
    [anon_sym_BSLASHtextcite] = ACTIONS(6947),
    [anon_sym_BSLASHTextcite] = ACTIONS(6947),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6947),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6947),
    [anon_sym_BSLASHsupercite] = ACTIONS(6947),
    [anon_sym_BSLASHautocite] = ACTIONS(6947),
    [anon_sym_BSLASHAutocite] = ACTIONS(6947),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHVolcite] = ACTIONS(6947),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHavolcite] = ACTIONS(6947),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHNotecite] = ACTIONS(6947),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHlabel] = ACTIONS(6947),
    [anon_sym_BSLASHref] = ACTIONS(6947),
    [anon_sym_BSLASHeqref] = ACTIONS(6947),
    [anon_sym_BSLASHvref] = ACTIONS(6947),
    [anon_sym_BSLASHVref] = ACTIONS(6947),
    [anon_sym_BSLASHautoref] = ACTIONS(6947),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHpageref] = ACTIONS(6947),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHautopageref] = ACTIONS(6947),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcref] = ACTIONS(6947),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCref] = ACTIONS(6947),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcpageref] = ACTIONS(6947),
    [anon_sym_BSLASHCpageref] = ACTIONS(6947),
    [anon_sym_BSLASHnamecref] = ACTIONS(6947),
    [anon_sym_BSLASHnameCref] = ACTIONS(6947),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6947),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6947),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6947),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6947),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6947),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6947),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6947),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6947),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6947),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6947),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6947),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHdef] = ACTIONS(6947),
    [anon_sym_BSLASHgdef] = ACTIONS(6947),
    [anon_sym_BSLASHedef] = ACTIONS(6947),
    [anon_sym_BSLASHxdef] = ACTIONS(6947),
    [anon_sym_BSLASHlet] = ACTIONS(6947),
    [anon_sym_BSLASHglet] = ACTIONS(6947),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6947),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6947),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6947),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6947),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6947),
    [anon_sym_BSLASHgls] = ACTIONS(6947),
    [anon_sym_BSLASHGls] = ACTIONS(6947),
    [anon_sym_BSLASHGLS] = ACTIONS(6947),
    [anon_sym_BSLASHglspl] = ACTIONS(6947),
    [anon_sym_BSLASHGlspl] = ACTIONS(6947),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6947),
    [anon_sym_BSLASHglslink] = ACTIONS(6947),
    [anon_sym_BSLASHglstext] = ACTIONS(6947),
    [anon_sym_BSLASHGlstext] = ACTIONS(6947),
    [anon_sym_BSLASHGLStext] = ACTIONS(6947),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6947),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6947),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6947),
    [anon_sym_BSLASHglsplural] = ACTIONS(6947),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6947),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6947),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHglsname] = ACTIONS(6947),
    [anon_sym_BSLASHGlsname] = ACTIONS(6947),
    [anon_sym_BSLASHGLSname] = ACTIONS(6947),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6947),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6947),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6947),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6947),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6947),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6947),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6947),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6947),
    [anon_sym_BSLASHacrshort] = ACTIONS(6947),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6947),
    [anon_sym_BSLASHACRshort] = ACTIONS(6947),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHacrlong] = ACTIONS(6947),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6947),
    [anon_sym_BSLASHACRlong] = ACTIONS(6947),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHacrfull] = ACTIONS(6947),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6947),
    [anon_sym_BSLASHACRfull] = ACTIONS(6947),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHacs] = ACTIONS(6947),
    [anon_sym_BSLASHAcs] = ACTIONS(6947),
    [anon_sym_BSLASHacsp] = ACTIONS(6947),
    [anon_sym_BSLASHAcsp] = ACTIONS(6947),
    [anon_sym_BSLASHacl] = ACTIONS(6947),
    [anon_sym_BSLASHAcl] = ACTIONS(6947),
    [anon_sym_BSLASHaclp] = ACTIONS(6947),
    [anon_sym_BSLASHAclp] = ACTIONS(6947),
    [anon_sym_BSLASHacf] = ACTIONS(6947),
    [anon_sym_BSLASHAcf] = ACTIONS(6947),
    [anon_sym_BSLASHacfp] = ACTIONS(6947),
    [anon_sym_BSLASHAcfp] = ACTIONS(6947),
    [anon_sym_BSLASHac] = ACTIONS(6947),
    [anon_sym_BSLASHAc] = ACTIONS(6947),
    [anon_sym_BSLASHacp] = ACTIONS(6947),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6947),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6947),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6947),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6947),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6947),
    [anon_sym_BSLASHcolor] = ACTIONS(6947),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6947),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6947),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6947),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6947),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6947),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6947),
    [anon_sym_BSLASHurl] = ACTIONS(6947),
    [anon_sym_BSLASHhref] = ACTIONS(6947),
  },
  [1135] = {
    [ts_builtin_sym_end] = ACTIONS(7289),
    [sym_command_name] = ACTIONS(7287),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7287),
    [anon_sym_LBRACK] = ACTIONS(7289),
    [anon_sym_RBRACK] = ACTIONS(7289),
    [anon_sym_COMMA] = ACTIONS(7289),
    [anon_sym_EQ] = ACTIONS(7289),
    [anon_sym_LPAREN] = ACTIONS(7289),
    [anon_sym_RPAREN] = ACTIONS(7289),
    [anon_sym_BSLASHpart] = ACTIONS(7287),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHaddpart] = ACTIONS(7287),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHchapter] = ACTIONS(7287),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHaddchap] = ACTIONS(7287),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHsection] = ACTIONS(7287),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHaddsec] = ACTIONS(7287),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHsubsection] = ACTIONS(7287),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7287),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHparagraph] = ACTIONS(7287),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7287),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHitem] = ACTIONS(7287),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7289),
    [anon_sym_LBRACE] = ACTIONS(7289),
    [anon_sym_RBRACE] = ACTIONS(7289),
    [sym_word] = ACTIONS(7287),
    [sym_placeholder] = ACTIONS(7289),
    [sym_delimiter] = ACTIONS(7289),
    [anon_sym_PLUS] = ACTIONS(7289),
    [anon_sym_DASH] = ACTIONS(7289),
    [anon_sym_STAR] = ACTIONS(7289),
    [anon_sym_SLASH] = ACTIONS(7289),
    [anon_sym_LT] = ACTIONS(7287),
    [anon_sym_GT] = ACTIONS(7287),
    [anon_sym_BANG] = ACTIONS(7287),
    [anon_sym_PIPE] = ACTIONS(7287),
    [anon_sym_COLON] = ACTIONS(7287),
    [anon_sym_SQUOTE] = ACTIONS(7287),
    [anon_sym__] = ACTIONS(7289),
    [anon_sym_CARET] = ACTIONS(7289),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7289),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7289),
    [anon_sym_DOLLAR] = ACTIONS(7287),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7289),
    [anon_sym_BSLASHleft] = ACTIONS(7287),
    [anon_sym_BSLASHbigl] = ACTIONS(7287),
    [anon_sym_BSLASHBigl] = ACTIONS(7287),
    [anon_sym_BSLASHbiggl] = ACTIONS(7287),
    [anon_sym_BSLASHBiggl] = ACTIONS(7287),
    [anon_sym_BSLASHtext] = ACTIONS(7287),
    [anon_sym_BSLASHintertext] = ACTIONS(7287),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7287),
    [anon_sym_BSLASHbegin] = ACTIONS(7287),
    [anon_sym_BSLASHtitle] = ACTIONS(7287),
    [anon_sym_BSLASHauthor] = ACTIONS(7287),
    [anon_sym_BSLASHusepackage] = ACTIONS(7287),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7287),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7287),
    [anon_sym_BSLASHinclude] = ACTIONS(7287),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7287),
    [anon_sym_BSLASHinput] = ACTIONS(7287),
    [anon_sym_BSLASHsubfile] = ACTIONS(7287),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7287),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7287),
    [anon_sym_BSLASHbibliography] = ACTIONS(7287),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7287),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7287),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7287),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7287),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7287),
    [anon_sym_BSLASHimport] = ACTIONS(7287),
    [anon_sym_BSLASHsubimport] = ACTIONS(7287),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7287),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7287),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7287),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7287),
    [anon_sym_BSLASHcaption] = ACTIONS(7287),
    [anon_sym_BSLASHcite] = ACTIONS(7287),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCite] = ACTIONS(7287),
    [anon_sym_BSLASHnocite] = ACTIONS(7287),
    [anon_sym_BSLASHcitet] = ACTIONS(7287),
    [anon_sym_BSLASHcitep] = ACTIONS(7287),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteA] = ACTIONS(7287),
    [anon_sym_BSLASHciteR] = ACTIONS(7287),
    [anon_sym_BSLASHciteS] = ACTIONS(7287),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7287),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7287),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7287),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7287),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteyear] = ACTIONS(7287),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitedate] = ACTIONS(7287),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteurl] = ACTIONS(7287),
    [anon_sym_BSLASHfullcite] = ACTIONS(7287),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7287),
    [anon_sym_BSLASHcitealt] = ACTIONS(7287),
    [anon_sym_BSLASHcitealp] = ACTIONS(7287),
    [anon_sym_BSLASHcitetext] = ACTIONS(7287),
    [anon_sym_BSLASHparencite] = ACTIONS(7287),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHParencite] = ACTIONS(7287),
    [anon_sym_BSLASHfootcite] = ACTIONS(7287),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7287),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7287),
    [anon_sym_BSLASHtextcite] = ACTIONS(7287),
    [anon_sym_BSLASHTextcite] = ACTIONS(7287),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7287),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7287),
    [anon_sym_BSLASHsupercite] = ACTIONS(7287),
    [anon_sym_BSLASHautocite] = ACTIONS(7287),
    [anon_sym_BSLASHAutocite] = ACTIONS(7287),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHVolcite] = ACTIONS(7287),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHavolcite] = ACTIONS(7287),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHNotecite] = ACTIONS(7287),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHlabel] = ACTIONS(7287),
    [anon_sym_BSLASHref] = ACTIONS(7287),
    [anon_sym_BSLASHeqref] = ACTIONS(7287),
    [anon_sym_BSLASHvref] = ACTIONS(7287),
    [anon_sym_BSLASHVref] = ACTIONS(7287),
    [anon_sym_BSLASHautoref] = ACTIONS(7287),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHpageref] = ACTIONS(7287),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHautopageref] = ACTIONS(7287),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcref] = ACTIONS(7287),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCref] = ACTIONS(7287),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcpageref] = ACTIONS(7287),
    [anon_sym_BSLASHCpageref] = ACTIONS(7287),
    [anon_sym_BSLASHnamecref] = ACTIONS(7287),
    [anon_sym_BSLASHnameCref] = ACTIONS(7287),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7287),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7287),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7287),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7287),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7287),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7287),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7287),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7287),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7287),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7287),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7287),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHdef] = ACTIONS(7287),
    [anon_sym_BSLASHgdef] = ACTIONS(7287),
    [anon_sym_BSLASHedef] = ACTIONS(7287),
    [anon_sym_BSLASHxdef] = ACTIONS(7287),
    [anon_sym_BSLASHlet] = ACTIONS(7287),
    [anon_sym_BSLASHglet] = ACTIONS(7287),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7287),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7287),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7287),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7287),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7287),
    [anon_sym_BSLASHgls] = ACTIONS(7287),
    [anon_sym_BSLASHGls] = ACTIONS(7287),
    [anon_sym_BSLASHGLS] = ACTIONS(7287),
    [anon_sym_BSLASHglspl] = ACTIONS(7287),
    [anon_sym_BSLASHGlspl] = ACTIONS(7287),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7287),
    [anon_sym_BSLASHglslink] = ACTIONS(7287),
    [anon_sym_BSLASHglstext] = ACTIONS(7287),
    [anon_sym_BSLASHGlstext] = ACTIONS(7287),
    [anon_sym_BSLASHGLStext] = ACTIONS(7287),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7287),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7287),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7287),
    [anon_sym_BSLASHglsplural] = ACTIONS(7287),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7287),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7287),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHglsname] = ACTIONS(7287),
    [anon_sym_BSLASHGlsname] = ACTIONS(7287),
    [anon_sym_BSLASHGLSname] = ACTIONS(7287),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7287),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7287),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7287),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7287),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7287),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7287),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7287),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7287),
    [anon_sym_BSLASHacrshort] = ACTIONS(7287),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7287),
    [anon_sym_BSLASHACRshort] = ACTIONS(7287),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHacrlong] = ACTIONS(7287),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7287),
    [anon_sym_BSLASHACRlong] = ACTIONS(7287),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHacrfull] = ACTIONS(7287),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7287),
    [anon_sym_BSLASHACRfull] = ACTIONS(7287),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHacs] = ACTIONS(7287),
    [anon_sym_BSLASHAcs] = ACTIONS(7287),
    [anon_sym_BSLASHacsp] = ACTIONS(7287),
    [anon_sym_BSLASHAcsp] = ACTIONS(7287),
    [anon_sym_BSLASHacl] = ACTIONS(7287),
    [anon_sym_BSLASHAcl] = ACTIONS(7287),
    [anon_sym_BSLASHaclp] = ACTIONS(7287),
    [anon_sym_BSLASHAclp] = ACTIONS(7287),
    [anon_sym_BSLASHacf] = ACTIONS(7287),
    [anon_sym_BSLASHAcf] = ACTIONS(7287),
    [anon_sym_BSLASHacfp] = ACTIONS(7287),
    [anon_sym_BSLASHAcfp] = ACTIONS(7287),
    [anon_sym_BSLASHac] = ACTIONS(7287),
    [anon_sym_BSLASHAc] = ACTIONS(7287),
    [anon_sym_BSLASHacp] = ACTIONS(7287),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7287),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7287),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7287),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7287),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7287),
    [anon_sym_BSLASHcolor] = ACTIONS(7287),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7287),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7287),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7287),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7287),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7287),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7287),
    [anon_sym_BSLASHurl] = ACTIONS(7287),
    [anon_sym_BSLASHhref] = ACTIONS(7287),
  },
  [1136] = {
    [sym_curly_group] = STATE(1568),
    [sym_command_name] = ACTIONS(6943),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6943),
    [anon_sym_LBRACK] = ACTIONS(6945),
    [anon_sym_RBRACK] = ACTIONS(6945),
    [anon_sym_COMMA] = ACTIONS(6945),
    [anon_sym_EQ] = ACTIONS(6945),
    [anon_sym_LPAREN] = ACTIONS(6945),
    [anon_sym_RPAREN] = ACTIONS(6945),
    [anon_sym_BSLASHpart] = ACTIONS(6943),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHaddpart] = ACTIONS(6943),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHchapter] = ACTIONS(6943),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHaddchap] = ACTIONS(6943),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHsection] = ACTIONS(6943),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHaddsec] = ACTIONS(6943),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHsubsection] = ACTIONS(6943),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6943),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHparagraph] = ACTIONS(6943),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6943),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHitem] = ACTIONS(6943),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6945),
    [anon_sym_LBRACE] = ACTIONS(712),
    [sym_word] = ACTIONS(6943),
    [sym_placeholder] = ACTIONS(6945),
    [sym_delimiter] = ACTIONS(6945),
    [anon_sym_PLUS] = ACTIONS(6945),
    [anon_sym_DASH] = ACTIONS(6945),
    [anon_sym_STAR] = ACTIONS(6945),
    [anon_sym_SLASH] = ACTIONS(6945),
    [anon_sym_LT] = ACTIONS(6943),
    [anon_sym_GT] = ACTIONS(6943),
    [anon_sym_BANG] = ACTIONS(6943),
    [anon_sym_PIPE] = ACTIONS(6943),
    [anon_sym_COLON] = ACTIONS(6943),
    [anon_sym_SQUOTE] = ACTIONS(6943),
    [anon_sym__] = ACTIONS(6945),
    [anon_sym_CARET] = ACTIONS(6945),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6945),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6945),
    [anon_sym_DOLLAR] = ACTIONS(6943),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6945),
    [anon_sym_BSLASHleft] = ACTIONS(6943),
    [anon_sym_BSLASHbigl] = ACTIONS(6943),
    [anon_sym_BSLASHBigl] = ACTIONS(6943),
    [anon_sym_BSLASHbiggl] = ACTIONS(6943),
    [anon_sym_BSLASHBiggl] = ACTIONS(6943),
    [anon_sym_BSLASHtext] = ACTIONS(6943),
    [anon_sym_BSLASHintertext] = ACTIONS(6943),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6943),
    [anon_sym_BSLASHbegin] = ACTIONS(6943),
    [anon_sym_BSLASHend] = ACTIONS(6943),
    [anon_sym_BSLASHtitle] = ACTIONS(6943),
    [anon_sym_BSLASHauthor] = ACTIONS(6943),
    [anon_sym_BSLASHusepackage] = ACTIONS(6943),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6943),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6943),
    [anon_sym_BSLASHinclude] = ACTIONS(6943),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6943),
    [anon_sym_BSLASHinput] = ACTIONS(6943),
    [anon_sym_BSLASHsubfile] = ACTIONS(6943),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6943),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6943),
    [anon_sym_BSLASHbibliography] = ACTIONS(6943),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6943),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6943),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6943),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6943),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6943),
    [anon_sym_BSLASHimport] = ACTIONS(6943),
    [anon_sym_BSLASHsubimport] = ACTIONS(6943),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6943),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6943),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6943),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6943),
    [anon_sym_BSLASHcaption] = ACTIONS(6943),
    [anon_sym_BSLASHcite] = ACTIONS(6943),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCite] = ACTIONS(6943),
    [anon_sym_BSLASHnocite] = ACTIONS(6943),
    [anon_sym_BSLASHcitet] = ACTIONS(6943),
    [anon_sym_BSLASHcitep] = ACTIONS(6943),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteA] = ACTIONS(6943),
    [anon_sym_BSLASHciteR] = ACTIONS(6943),
    [anon_sym_BSLASHciteS] = ACTIONS(6943),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6943),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6943),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6943),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6943),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteyear] = ACTIONS(6943),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitedate] = ACTIONS(6943),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteurl] = ACTIONS(6943),
    [anon_sym_BSLASHfullcite] = ACTIONS(6943),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6943),
    [anon_sym_BSLASHcitealt] = ACTIONS(6943),
    [anon_sym_BSLASHcitealp] = ACTIONS(6943),
    [anon_sym_BSLASHcitetext] = ACTIONS(6943),
    [anon_sym_BSLASHparencite] = ACTIONS(6943),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHParencite] = ACTIONS(6943),
    [anon_sym_BSLASHfootcite] = ACTIONS(6943),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6943),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6943),
    [anon_sym_BSLASHtextcite] = ACTIONS(6943),
    [anon_sym_BSLASHTextcite] = ACTIONS(6943),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6943),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6943),
    [anon_sym_BSLASHsupercite] = ACTIONS(6943),
    [anon_sym_BSLASHautocite] = ACTIONS(6943),
    [anon_sym_BSLASHAutocite] = ACTIONS(6943),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHVolcite] = ACTIONS(6943),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHavolcite] = ACTIONS(6943),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHNotecite] = ACTIONS(6943),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHlabel] = ACTIONS(6943),
    [anon_sym_BSLASHref] = ACTIONS(6943),
    [anon_sym_BSLASHeqref] = ACTIONS(6943),
    [anon_sym_BSLASHvref] = ACTIONS(6943),
    [anon_sym_BSLASHVref] = ACTIONS(6943),
    [anon_sym_BSLASHautoref] = ACTIONS(6943),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHpageref] = ACTIONS(6943),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHautopageref] = ACTIONS(6943),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcref] = ACTIONS(6943),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCref] = ACTIONS(6943),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcpageref] = ACTIONS(6943),
    [anon_sym_BSLASHCpageref] = ACTIONS(6943),
    [anon_sym_BSLASHnamecref] = ACTIONS(6943),
    [anon_sym_BSLASHnameCref] = ACTIONS(6943),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6943),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6943),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6943),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6943),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6943),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6943),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6943),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6943),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6943),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6943),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6943),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHdef] = ACTIONS(6943),
    [anon_sym_BSLASHgdef] = ACTIONS(6943),
    [anon_sym_BSLASHedef] = ACTIONS(6943),
    [anon_sym_BSLASHxdef] = ACTIONS(6943),
    [anon_sym_BSLASHlet] = ACTIONS(6943),
    [anon_sym_BSLASHglet] = ACTIONS(6943),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6943),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6943),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6943),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6943),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6943),
    [anon_sym_BSLASHgls] = ACTIONS(6943),
    [anon_sym_BSLASHGls] = ACTIONS(6943),
    [anon_sym_BSLASHGLS] = ACTIONS(6943),
    [anon_sym_BSLASHglspl] = ACTIONS(6943),
    [anon_sym_BSLASHGlspl] = ACTIONS(6943),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6943),
    [anon_sym_BSLASHglslink] = ACTIONS(6943),
    [anon_sym_BSLASHglstext] = ACTIONS(6943),
    [anon_sym_BSLASHGlstext] = ACTIONS(6943),
    [anon_sym_BSLASHGLStext] = ACTIONS(6943),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6943),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6943),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6943),
    [anon_sym_BSLASHglsplural] = ACTIONS(6943),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6943),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6943),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHglsname] = ACTIONS(6943),
    [anon_sym_BSLASHGlsname] = ACTIONS(6943),
    [anon_sym_BSLASHGLSname] = ACTIONS(6943),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6943),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6943),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6943),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6943),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6943),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6943),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6943),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6943),
    [anon_sym_BSLASHacrshort] = ACTIONS(6943),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6943),
    [anon_sym_BSLASHACRshort] = ACTIONS(6943),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHacrlong] = ACTIONS(6943),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6943),
    [anon_sym_BSLASHACRlong] = ACTIONS(6943),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHacrfull] = ACTIONS(6943),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6943),
    [anon_sym_BSLASHACRfull] = ACTIONS(6943),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHacs] = ACTIONS(6943),
    [anon_sym_BSLASHAcs] = ACTIONS(6943),
    [anon_sym_BSLASHacsp] = ACTIONS(6943),
    [anon_sym_BSLASHAcsp] = ACTIONS(6943),
    [anon_sym_BSLASHacl] = ACTIONS(6943),
    [anon_sym_BSLASHAcl] = ACTIONS(6943),
    [anon_sym_BSLASHaclp] = ACTIONS(6943),
    [anon_sym_BSLASHAclp] = ACTIONS(6943),
    [anon_sym_BSLASHacf] = ACTIONS(6943),
    [anon_sym_BSLASHAcf] = ACTIONS(6943),
    [anon_sym_BSLASHacfp] = ACTIONS(6943),
    [anon_sym_BSLASHAcfp] = ACTIONS(6943),
    [anon_sym_BSLASHac] = ACTIONS(6943),
    [anon_sym_BSLASHAc] = ACTIONS(6943),
    [anon_sym_BSLASHacp] = ACTIONS(6943),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6943),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6943),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6943),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6943),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6943),
    [anon_sym_BSLASHcolor] = ACTIONS(6943),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6943),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6943),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6943),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6943),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6943),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6943),
    [anon_sym_BSLASHurl] = ACTIONS(6943),
    [anon_sym_BSLASHhref] = ACTIONS(6943),
  },
  [1137] = {
    [ts_builtin_sym_end] = ACTIONS(7001),
    [sym_command_name] = ACTIONS(6999),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(7001),
    [anon_sym_RBRACK] = ACTIONS(7001),
    [anon_sym_COMMA] = ACTIONS(7001),
    [anon_sym_EQ] = ACTIONS(7001),
    [anon_sym_LPAREN] = ACTIONS(7001),
    [anon_sym_RPAREN] = ACTIONS(7001),
    [anon_sym_BSLASHpart] = ACTIONS(6999),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHaddpart] = ACTIONS(6999),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHchapter] = ACTIONS(6999),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHaddchap] = ACTIONS(6999),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHsection] = ACTIONS(6999),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHaddsec] = ACTIONS(6999),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHsubsection] = ACTIONS(6999),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6999),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHparagraph] = ACTIONS(6999),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6999),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHitem] = ACTIONS(6999),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7001),
    [anon_sym_LBRACE] = ACTIONS(7001),
    [anon_sym_RBRACE] = ACTIONS(7001),
    [sym_word] = ACTIONS(6999),
    [sym_placeholder] = ACTIONS(7001),
    [sym_delimiter] = ACTIONS(7001),
    [anon_sym_PLUS] = ACTIONS(7001),
    [anon_sym_DASH] = ACTIONS(7001),
    [anon_sym_STAR] = ACTIONS(7001),
    [anon_sym_SLASH] = ACTIONS(7001),
    [anon_sym_LT] = ACTIONS(6999),
    [anon_sym_GT] = ACTIONS(6999),
    [anon_sym_BANG] = ACTIONS(6999),
    [anon_sym_PIPE] = ACTIONS(6999),
    [anon_sym_COLON] = ACTIONS(6999),
    [anon_sym_SQUOTE] = ACTIONS(6999),
    [anon_sym__] = ACTIONS(7001),
    [anon_sym_CARET] = ACTIONS(7001),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7001),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7001),
    [anon_sym_DOLLAR] = ACTIONS(6999),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7001),
    [anon_sym_BSLASHleft] = ACTIONS(6999),
    [anon_sym_BSLASHbigl] = ACTIONS(6999),
    [anon_sym_BSLASHBigl] = ACTIONS(6999),
    [anon_sym_BSLASHbiggl] = ACTIONS(6999),
    [anon_sym_BSLASHBiggl] = ACTIONS(6999),
    [anon_sym_BSLASHtext] = ACTIONS(6999),
    [anon_sym_BSLASHintertext] = ACTIONS(6999),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6999),
    [anon_sym_BSLASHbegin] = ACTIONS(6999),
    [anon_sym_BSLASHtitle] = ACTIONS(6999),
    [anon_sym_BSLASHauthor] = ACTIONS(6999),
    [anon_sym_BSLASHusepackage] = ACTIONS(6999),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6999),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6999),
    [anon_sym_BSLASHinclude] = ACTIONS(6999),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6999),
    [anon_sym_BSLASHinput] = ACTIONS(6999),
    [anon_sym_BSLASHsubfile] = ACTIONS(6999),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6999),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6999),
    [anon_sym_BSLASHbibliography] = ACTIONS(6999),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6999),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6999),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6999),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6999),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6999),
    [anon_sym_BSLASHimport] = ACTIONS(6999),
    [anon_sym_BSLASHsubimport] = ACTIONS(6999),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6999),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6999),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6999),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6999),
    [anon_sym_BSLASHcaption] = ACTIONS(6999),
    [anon_sym_BSLASHcite] = ACTIONS(6999),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHCite] = ACTIONS(6999),
    [anon_sym_BSLASHnocite] = ACTIONS(6999),
    [anon_sym_BSLASHcitet] = ACTIONS(6999),
    [anon_sym_BSLASHcitep] = ACTIONS(6999),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHciteA] = ACTIONS(6999),
    [anon_sym_BSLASHciteR] = ACTIONS(6999),
    [anon_sym_BSLASHciteS] = ACTIONS(6999),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6999),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6999),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6999),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6999),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHciteyear] = ACTIONS(6999),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcitedate] = ACTIONS(6999),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHciteurl] = ACTIONS(6999),
    [anon_sym_BSLASHfullcite] = ACTIONS(6999),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6999),
    [anon_sym_BSLASHcitealt] = ACTIONS(6999),
    [anon_sym_BSLASHcitealp] = ACTIONS(6999),
    [anon_sym_BSLASHcitetext] = ACTIONS(6999),
    [anon_sym_BSLASHparencite] = ACTIONS(6999),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHParencite] = ACTIONS(6999),
    [anon_sym_BSLASHfootcite] = ACTIONS(6999),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6999),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6999),
    [anon_sym_BSLASHtextcite] = ACTIONS(6999),
    [anon_sym_BSLASHTextcite] = ACTIONS(6999),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6999),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6999),
    [anon_sym_BSLASHsupercite] = ACTIONS(6999),
    [anon_sym_BSLASHautocite] = ACTIONS(6999),
    [anon_sym_BSLASHAutocite] = ACTIONS(6999),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHVolcite] = ACTIONS(6999),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHavolcite] = ACTIONS(6999),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHnotecite] = ACTIONS(6999),
    [anon_sym_BSLASHNotecite] = ACTIONS(6999),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6999),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6999),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6999),
    [anon_sym_BSLASHlabel] = ACTIONS(6999),
    [anon_sym_BSLASHref] = ACTIONS(6999),
    [anon_sym_BSLASHeqref] = ACTIONS(6999),
    [anon_sym_BSLASHvref] = ACTIONS(6999),
    [anon_sym_BSLASHVref] = ACTIONS(6999),
    [anon_sym_BSLASHautoref] = ACTIONS(6999),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHpageref] = ACTIONS(6999),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHautopageref] = ACTIONS(6999),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcref] = ACTIONS(6999),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHCref] = ACTIONS(6999),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcpageref] = ACTIONS(6999),
    [anon_sym_BSLASHCpageref] = ACTIONS(6999),
    [anon_sym_BSLASHnamecref] = ACTIONS(6999),
    [anon_sym_BSLASHnameCref] = ACTIONS(6999),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6999),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6999),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6999),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6999),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6999),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6999),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6999),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6999),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6999),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6999),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6999),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6999),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6999),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6999),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6999),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6999),
    [anon_sym_BSLASHdef] = ACTIONS(6999),
    [anon_sym_BSLASHgdef] = ACTIONS(6999),
    [anon_sym_BSLASHedef] = ACTIONS(6999),
    [anon_sym_BSLASHxdef] = ACTIONS(6999),
    [anon_sym_BSLASHlet] = ACTIONS(6999),
    [anon_sym_BSLASHglet] = ACTIONS(6999),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6999),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6999),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6999),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6999),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6999),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6999),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6999),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6999),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6999),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6999),
    [anon_sym_BSLASHgls] = ACTIONS(6999),
    [anon_sym_BSLASHGls] = ACTIONS(6999),
    [anon_sym_BSLASHGLS] = ACTIONS(6999),
    [anon_sym_BSLASHglspl] = ACTIONS(6999),
    [anon_sym_BSLASHGlspl] = ACTIONS(6999),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6999),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6999),
    [anon_sym_BSLASHglslink] = ACTIONS(6999),
    [anon_sym_BSLASHglstext] = ACTIONS(6999),
    [anon_sym_BSLASHGlstext] = ACTIONS(6999),
    [anon_sym_BSLASHGLStext] = ACTIONS(6999),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6999),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6999),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6999),
    [anon_sym_BSLASHglsplural] = ACTIONS(6999),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6999),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6999),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6999),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6999),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6999),
    [anon_sym_BSLASHglsname] = ACTIONS(6999),
    [anon_sym_BSLASHGlsname] = ACTIONS(6999),
    [anon_sym_BSLASHGLSname] = ACTIONS(6999),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6999),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6999),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6999),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6999),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6999),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6999),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6999),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6999),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6999),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6999),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6999),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6999),
    [anon_sym_BSLASHacrshort] = ACTIONS(6999),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6999),
    [anon_sym_BSLASHACRshort] = ACTIONS(6999),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6999),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6999),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6999),
    [anon_sym_BSLASHacrlong] = ACTIONS(6999),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6999),
    [anon_sym_BSLASHACRlong] = ACTIONS(6999),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6999),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6999),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6999),
    [anon_sym_BSLASHacrfull] = ACTIONS(6999),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6999),
    [anon_sym_BSLASHACRfull] = ACTIONS(6999),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6999),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6999),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6999),
    [anon_sym_BSLASHacs] = ACTIONS(6999),
    [anon_sym_BSLASHAcs] = ACTIONS(6999),
    [anon_sym_BSLASHacsp] = ACTIONS(6999),
    [anon_sym_BSLASHAcsp] = ACTIONS(6999),
    [anon_sym_BSLASHacl] = ACTIONS(6999),
    [anon_sym_BSLASHAcl] = ACTIONS(6999),
    [anon_sym_BSLASHaclp] = ACTIONS(6999),
    [anon_sym_BSLASHAclp] = ACTIONS(6999),
    [anon_sym_BSLASHacf] = ACTIONS(6999),
    [anon_sym_BSLASHAcf] = ACTIONS(6999),
    [anon_sym_BSLASHacfp] = ACTIONS(6999),
    [anon_sym_BSLASHAcfp] = ACTIONS(6999),
    [anon_sym_BSLASHac] = ACTIONS(6999),
    [anon_sym_BSLASHAc] = ACTIONS(6999),
    [anon_sym_BSLASHacp] = ACTIONS(6999),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6999),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6999),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6999),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6999),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6999),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6999),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6999),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6999),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6999),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6999),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6999),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6999),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6999),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6999),
    [anon_sym_BSLASHcolor] = ACTIONS(6999),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6999),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6999),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6999),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6999),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6999),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6999),
    [anon_sym_BSLASHurl] = ACTIONS(6999),
    [anon_sym_BSLASHhref] = ACTIONS(6999),
  },
  [1138] = {
    [ts_builtin_sym_end] = ACTIONS(7205),
    [sym_command_name] = ACTIONS(7203),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7203),
    [anon_sym_LBRACK] = ACTIONS(7205),
    [anon_sym_RBRACK] = ACTIONS(7205),
    [anon_sym_COMMA] = ACTIONS(7205),
    [anon_sym_EQ] = ACTIONS(7205),
    [anon_sym_LPAREN] = ACTIONS(7205),
    [anon_sym_RPAREN] = ACTIONS(7205),
    [anon_sym_BSLASHpart] = ACTIONS(7203),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHaddpart] = ACTIONS(7203),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHchapter] = ACTIONS(7203),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHaddchap] = ACTIONS(7203),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHsection] = ACTIONS(7203),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHaddsec] = ACTIONS(7203),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHsubsection] = ACTIONS(7203),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7203),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHparagraph] = ACTIONS(7203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7203),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHitem] = ACTIONS(7203),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7205),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_RBRACE] = ACTIONS(7205),
    [sym_word] = ACTIONS(7203),
    [sym_placeholder] = ACTIONS(7205),
    [sym_delimiter] = ACTIONS(7205),
    [anon_sym_PLUS] = ACTIONS(7205),
    [anon_sym_DASH] = ACTIONS(7205),
    [anon_sym_STAR] = ACTIONS(7205),
    [anon_sym_SLASH] = ACTIONS(7205),
    [anon_sym_LT] = ACTIONS(7203),
    [anon_sym_GT] = ACTIONS(7203),
    [anon_sym_BANG] = ACTIONS(7203),
    [anon_sym_PIPE] = ACTIONS(7203),
    [anon_sym_COLON] = ACTIONS(7203),
    [anon_sym_SQUOTE] = ACTIONS(7203),
    [anon_sym__] = ACTIONS(7205),
    [anon_sym_CARET] = ACTIONS(7205),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7205),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7203),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7205),
    [anon_sym_BSLASHleft] = ACTIONS(7203),
    [anon_sym_BSLASHbigl] = ACTIONS(7203),
    [anon_sym_BSLASHBigl] = ACTIONS(7203),
    [anon_sym_BSLASHbiggl] = ACTIONS(7203),
    [anon_sym_BSLASHBiggl] = ACTIONS(7203),
    [anon_sym_BSLASHtext] = ACTIONS(7203),
    [anon_sym_BSLASHintertext] = ACTIONS(7203),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7203),
    [anon_sym_BSLASHbegin] = ACTIONS(7203),
    [anon_sym_BSLASHtitle] = ACTIONS(7203),
    [anon_sym_BSLASHauthor] = ACTIONS(7203),
    [anon_sym_BSLASHusepackage] = ACTIONS(7203),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7203),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7203),
    [anon_sym_BSLASHinclude] = ACTIONS(7203),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7203),
    [anon_sym_BSLASHinput] = ACTIONS(7203),
    [anon_sym_BSLASHsubfile] = ACTIONS(7203),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7203),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7203),
    [anon_sym_BSLASHbibliography] = ACTIONS(7203),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7203),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7203),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7203),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7203),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7203),
    [anon_sym_BSLASHimport] = ACTIONS(7203),
    [anon_sym_BSLASHsubimport] = ACTIONS(7203),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7203),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7203),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7203),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7203),
    [anon_sym_BSLASHcaption] = ACTIONS(7203),
    [anon_sym_BSLASHcite] = ACTIONS(7203),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCite] = ACTIONS(7203),
    [anon_sym_BSLASHnocite] = ACTIONS(7203),
    [anon_sym_BSLASHcitet] = ACTIONS(7203),
    [anon_sym_BSLASHcitep] = ACTIONS(7203),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteA] = ACTIONS(7203),
    [anon_sym_BSLASHciteR] = ACTIONS(7203),
    [anon_sym_BSLASHciteS] = ACTIONS(7203),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7203),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7203),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7203),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7203),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteyear] = ACTIONS(7203),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitedate] = ACTIONS(7203),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteurl] = ACTIONS(7203),
    [anon_sym_BSLASHfullcite] = ACTIONS(7203),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7203),
    [anon_sym_BSLASHcitealt] = ACTIONS(7203),
    [anon_sym_BSLASHcitealp] = ACTIONS(7203),
    [anon_sym_BSLASHcitetext] = ACTIONS(7203),
    [anon_sym_BSLASHparencite] = ACTIONS(7203),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHParencite] = ACTIONS(7203),
    [anon_sym_BSLASHfootcite] = ACTIONS(7203),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7203),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7203),
    [anon_sym_BSLASHtextcite] = ACTIONS(7203),
    [anon_sym_BSLASHTextcite] = ACTIONS(7203),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7203),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7203),
    [anon_sym_BSLASHsupercite] = ACTIONS(7203),
    [anon_sym_BSLASHautocite] = ACTIONS(7203),
    [anon_sym_BSLASHAutocite] = ACTIONS(7203),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHVolcite] = ACTIONS(7203),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHavolcite] = ACTIONS(7203),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHNotecite] = ACTIONS(7203),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHlabel] = ACTIONS(7203),
    [anon_sym_BSLASHref] = ACTIONS(7203),
    [anon_sym_BSLASHeqref] = ACTIONS(7203),
    [anon_sym_BSLASHvref] = ACTIONS(7203),
    [anon_sym_BSLASHVref] = ACTIONS(7203),
    [anon_sym_BSLASHautoref] = ACTIONS(7203),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHpageref] = ACTIONS(7203),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHautopageref] = ACTIONS(7203),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcref] = ACTIONS(7203),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCref] = ACTIONS(7203),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcpageref] = ACTIONS(7203),
    [anon_sym_BSLASHCpageref] = ACTIONS(7203),
    [anon_sym_BSLASHnamecref] = ACTIONS(7203),
    [anon_sym_BSLASHnameCref] = ACTIONS(7203),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7203),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7203),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7203),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7203),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7203),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7203),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7203),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7203),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7203),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7203),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7203),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHdef] = ACTIONS(7203),
    [anon_sym_BSLASHgdef] = ACTIONS(7203),
    [anon_sym_BSLASHedef] = ACTIONS(7203),
    [anon_sym_BSLASHxdef] = ACTIONS(7203),
    [anon_sym_BSLASHlet] = ACTIONS(7203),
    [anon_sym_BSLASHglet] = ACTIONS(7203),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7203),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7203),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7203),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7203),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7203),
    [anon_sym_BSLASHgls] = ACTIONS(7203),
    [anon_sym_BSLASHGls] = ACTIONS(7203),
    [anon_sym_BSLASHGLS] = ACTIONS(7203),
    [anon_sym_BSLASHglspl] = ACTIONS(7203),
    [anon_sym_BSLASHGlspl] = ACTIONS(7203),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7203),
    [anon_sym_BSLASHglslink] = ACTIONS(7203),
    [anon_sym_BSLASHglstext] = ACTIONS(7203),
    [anon_sym_BSLASHGlstext] = ACTIONS(7203),
    [anon_sym_BSLASHGLStext] = ACTIONS(7203),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7203),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7203),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7203),
    [anon_sym_BSLASHglsplural] = ACTIONS(7203),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7203),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7203),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHglsname] = ACTIONS(7203),
    [anon_sym_BSLASHGlsname] = ACTIONS(7203),
    [anon_sym_BSLASHGLSname] = ACTIONS(7203),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7203),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7203),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7203),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7203),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7203),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7203),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7203),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7203),
    [anon_sym_BSLASHacrshort] = ACTIONS(7203),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7203),
    [anon_sym_BSLASHACRshort] = ACTIONS(7203),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHacrlong] = ACTIONS(7203),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7203),
    [anon_sym_BSLASHACRlong] = ACTIONS(7203),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHacrfull] = ACTIONS(7203),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7203),
    [anon_sym_BSLASHACRfull] = ACTIONS(7203),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHacs] = ACTIONS(7203),
    [anon_sym_BSLASHAcs] = ACTIONS(7203),
    [anon_sym_BSLASHacsp] = ACTIONS(7203),
    [anon_sym_BSLASHAcsp] = ACTIONS(7203),
    [anon_sym_BSLASHacl] = ACTIONS(7203),
    [anon_sym_BSLASHAcl] = ACTIONS(7203),
    [anon_sym_BSLASHaclp] = ACTIONS(7203),
    [anon_sym_BSLASHAclp] = ACTIONS(7203),
    [anon_sym_BSLASHacf] = ACTIONS(7203),
    [anon_sym_BSLASHAcf] = ACTIONS(7203),
    [anon_sym_BSLASHacfp] = ACTIONS(7203),
    [anon_sym_BSLASHAcfp] = ACTIONS(7203),
    [anon_sym_BSLASHac] = ACTIONS(7203),
    [anon_sym_BSLASHAc] = ACTIONS(7203),
    [anon_sym_BSLASHacp] = ACTIONS(7203),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7203),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7203),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7203),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7203),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7203),
    [anon_sym_BSLASHcolor] = ACTIONS(7203),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7203),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7203),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7203),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7203),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7203),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7203),
    [anon_sym_BSLASHurl] = ACTIONS(7203),
    [anon_sym_BSLASHhref] = ACTIONS(7203),
  },
  [1139] = {
    [ts_builtin_sym_end] = ACTIONS(7293),
    [sym_command_name] = ACTIONS(7291),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7291),
    [anon_sym_LBRACK] = ACTIONS(7293),
    [anon_sym_RBRACK] = ACTIONS(7293),
    [anon_sym_COMMA] = ACTIONS(7293),
    [anon_sym_EQ] = ACTIONS(7293),
    [anon_sym_LPAREN] = ACTIONS(7293),
    [anon_sym_RPAREN] = ACTIONS(7293),
    [anon_sym_BSLASHpart] = ACTIONS(7291),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHaddpart] = ACTIONS(7291),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHchapter] = ACTIONS(7291),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHaddchap] = ACTIONS(7291),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHsection] = ACTIONS(7291),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHaddsec] = ACTIONS(7291),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHsubsection] = ACTIONS(7291),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7291),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHparagraph] = ACTIONS(7291),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7291),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHitem] = ACTIONS(7291),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7293),
    [anon_sym_LBRACE] = ACTIONS(7293),
    [anon_sym_RBRACE] = ACTIONS(7293),
    [sym_word] = ACTIONS(7291),
    [sym_placeholder] = ACTIONS(7293),
    [sym_delimiter] = ACTIONS(7293),
    [anon_sym_PLUS] = ACTIONS(7293),
    [anon_sym_DASH] = ACTIONS(7293),
    [anon_sym_STAR] = ACTIONS(7293),
    [anon_sym_SLASH] = ACTIONS(7293),
    [anon_sym_LT] = ACTIONS(7291),
    [anon_sym_GT] = ACTIONS(7291),
    [anon_sym_BANG] = ACTIONS(7291),
    [anon_sym_PIPE] = ACTIONS(7291),
    [anon_sym_COLON] = ACTIONS(7291),
    [anon_sym_SQUOTE] = ACTIONS(7291),
    [anon_sym__] = ACTIONS(7293),
    [anon_sym_CARET] = ACTIONS(7293),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7293),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7293),
    [anon_sym_DOLLAR] = ACTIONS(7291),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7293),
    [anon_sym_BSLASHleft] = ACTIONS(7291),
    [anon_sym_BSLASHbigl] = ACTIONS(7291),
    [anon_sym_BSLASHBigl] = ACTIONS(7291),
    [anon_sym_BSLASHbiggl] = ACTIONS(7291),
    [anon_sym_BSLASHBiggl] = ACTIONS(7291),
    [anon_sym_BSLASHtext] = ACTIONS(7291),
    [anon_sym_BSLASHintertext] = ACTIONS(7291),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7291),
    [anon_sym_BSLASHbegin] = ACTIONS(7291),
    [anon_sym_BSLASHtitle] = ACTIONS(7291),
    [anon_sym_BSLASHauthor] = ACTIONS(7291),
    [anon_sym_BSLASHusepackage] = ACTIONS(7291),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7291),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7291),
    [anon_sym_BSLASHinclude] = ACTIONS(7291),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7291),
    [anon_sym_BSLASHinput] = ACTIONS(7291),
    [anon_sym_BSLASHsubfile] = ACTIONS(7291),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7291),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7291),
    [anon_sym_BSLASHbibliography] = ACTIONS(7291),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7291),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7291),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7291),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7291),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7291),
    [anon_sym_BSLASHimport] = ACTIONS(7291),
    [anon_sym_BSLASHsubimport] = ACTIONS(7291),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7291),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7291),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7291),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7291),
    [anon_sym_BSLASHcaption] = ACTIONS(7291),
    [anon_sym_BSLASHcite] = ACTIONS(7291),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCite] = ACTIONS(7291),
    [anon_sym_BSLASHnocite] = ACTIONS(7291),
    [anon_sym_BSLASHcitet] = ACTIONS(7291),
    [anon_sym_BSLASHcitep] = ACTIONS(7291),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteA] = ACTIONS(7291),
    [anon_sym_BSLASHciteR] = ACTIONS(7291),
    [anon_sym_BSLASHciteS] = ACTIONS(7291),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7291),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7291),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7291),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7291),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteyear] = ACTIONS(7291),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitedate] = ACTIONS(7291),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteurl] = ACTIONS(7291),
    [anon_sym_BSLASHfullcite] = ACTIONS(7291),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7291),
    [anon_sym_BSLASHcitealt] = ACTIONS(7291),
    [anon_sym_BSLASHcitealp] = ACTIONS(7291),
    [anon_sym_BSLASHcitetext] = ACTIONS(7291),
    [anon_sym_BSLASHparencite] = ACTIONS(7291),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHParencite] = ACTIONS(7291),
    [anon_sym_BSLASHfootcite] = ACTIONS(7291),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7291),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7291),
    [anon_sym_BSLASHtextcite] = ACTIONS(7291),
    [anon_sym_BSLASHTextcite] = ACTIONS(7291),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7291),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7291),
    [anon_sym_BSLASHsupercite] = ACTIONS(7291),
    [anon_sym_BSLASHautocite] = ACTIONS(7291),
    [anon_sym_BSLASHAutocite] = ACTIONS(7291),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHVolcite] = ACTIONS(7291),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHavolcite] = ACTIONS(7291),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHNotecite] = ACTIONS(7291),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHlabel] = ACTIONS(7291),
    [anon_sym_BSLASHref] = ACTIONS(7291),
    [anon_sym_BSLASHeqref] = ACTIONS(7291),
    [anon_sym_BSLASHvref] = ACTIONS(7291),
    [anon_sym_BSLASHVref] = ACTIONS(7291),
    [anon_sym_BSLASHautoref] = ACTIONS(7291),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHpageref] = ACTIONS(7291),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHautopageref] = ACTIONS(7291),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcref] = ACTIONS(7291),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCref] = ACTIONS(7291),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcpageref] = ACTIONS(7291),
    [anon_sym_BSLASHCpageref] = ACTIONS(7291),
    [anon_sym_BSLASHnamecref] = ACTIONS(7291),
    [anon_sym_BSLASHnameCref] = ACTIONS(7291),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7291),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7291),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7291),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7291),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7291),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7291),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7291),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7291),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7291),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7291),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7291),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHdef] = ACTIONS(7291),
    [anon_sym_BSLASHgdef] = ACTIONS(7291),
    [anon_sym_BSLASHedef] = ACTIONS(7291),
    [anon_sym_BSLASHxdef] = ACTIONS(7291),
    [anon_sym_BSLASHlet] = ACTIONS(7291),
    [anon_sym_BSLASHglet] = ACTIONS(7291),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7291),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7291),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7291),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7291),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7291),
    [anon_sym_BSLASHgls] = ACTIONS(7291),
    [anon_sym_BSLASHGls] = ACTIONS(7291),
    [anon_sym_BSLASHGLS] = ACTIONS(7291),
    [anon_sym_BSLASHglspl] = ACTIONS(7291),
    [anon_sym_BSLASHGlspl] = ACTIONS(7291),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7291),
    [anon_sym_BSLASHglslink] = ACTIONS(7291),
    [anon_sym_BSLASHglstext] = ACTIONS(7291),
    [anon_sym_BSLASHGlstext] = ACTIONS(7291),
    [anon_sym_BSLASHGLStext] = ACTIONS(7291),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7291),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7291),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7291),
    [anon_sym_BSLASHglsplural] = ACTIONS(7291),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7291),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7291),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHglsname] = ACTIONS(7291),
    [anon_sym_BSLASHGlsname] = ACTIONS(7291),
    [anon_sym_BSLASHGLSname] = ACTIONS(7291),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7291),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7291),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7291),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7291),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7291),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7291),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7291),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7291),
    [anon_sym_BSLASHacrshort] = ACTIONS(7291),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7291),
    [anon_sym_BSLASHACRshort] = ACTIONS(7291),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHacrlong] = ACTIONS(7291),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7291),
    [anon_sym_BSLASHACRlong] = ACTIONS(7291),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHacrfull] = ACTIONS(7291),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7291),
    [anon_sym_BSLASHACRfull] = ACTIONS(7291),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHacs] = ACTIONS(7291),
    [anon_sym_BSLASHAcs] = ACTIONS(7291),
    [anon_sym_BSLASHacsp] = ACTIONS(7291),
    [anon_sym_BSLASHAcsp] = ACTIONS(7291),
    [anon_sym_BSLASHacl] = ACTIONS(7291),
    [anon_sym_BSLASHAcl] = ACTIONS(7291),
    [anon_sym_BSLASHaclp] = ACTIONS(7291),
    [anon_sym_BSLASHAclp] = ACTIONS(7291),
    [anon_sym_BSLASHacf] = ACTIONS(7291),
    [anon_sym_BSLASHAcf] = ACTIONS(7291),
    [anon_sym_BSLASHacfp] = ACTIONS(7291),
    [anon_sym_BSLASHAcfp] = ACTIONS(7291),
    [anon_sym_BSLASHac] = ACTIONS(7291),
    [anon_sym_BSLASHAc] = ACTIONS(7291),
    [anon_sym_BSLASHacp] = ACTIONS(7291),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7291),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7291),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7291),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7291),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7291),
    [anon_sym_BSLASHcolor] = ACTIONS(7291),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7291),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7291),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7291),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7291),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7291),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7291),
    [anon_sym_BSLASHurl] = ACTIONS(7291),
    [anon_sym_BSLASHhref] = ACTIONS(7291),
  },
  [1140] = {
    [ts_builtin_sym_end] = ACTIONS(7209),
    [sym_command_name] = ACTIONS(7207),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7207),
    [anon_sym_LBRACK] = ACTIONS(7209),
    [anon_sym_RBRACK] = ACTIONS(7209),
    [anon_sym_COMMA] = ACTIONS(7209),
    [anon_sym_EQ] = ACTIONS(7209),
    [anon_sym_LPAREN] = ACTIONS(7209),
    [anon_sym_RPAREN] = ACTIONS(7209),
    [anon_sym_BSLASHpart] = ACTIONS(7207),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHaddpart] = ACTIONS(7207),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHchapter] = ACTIONS(7207),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHaddchap] = ACTIONS(7207),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHsection] = ACTIONS(7207),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHaddsec] = ACTIONS(7207),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHsubsection] = ACTIONS(7207),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7207),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHparagraph] = ACTIONS(7207),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHitem] = ACTIONS(7207),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7209),
    [anon_sym_LBRACE] = ACTIONS(7209),
    [anon_sym_RBRACE] = ACTIONS(7209),
    [sym_word] = ACTIONS(7207),
    [sym_placeholder] = ACTIONS(7209),
    [sym_delimiter] = ACTIONS(7209),
    [anon_sym_PLUS] = ACTIONS(7209),
    [anon_sym_DASH] = ACTIONS(7209),
    [anon_sym_STAR] = ACTIONS(7209),
    [anon_sym_SLASH] = ACTIONS(7209),
    [anon_sym_LT] = ACTIONS(7207),
    [anon_sym_GT] = ACTIONS(7207),
    [anon_sym_BANG] = ACTIONS(7207),
    [anon_sym_PIPE] = ACTIONS(7207),
    [anon_sym_COLON] = ACTIONS(7207),
    [anon_sym_SQUOTE] = ACTIONS(7207),
    [anon_sym__] = ACTIONS(7209),
    [anon_sym_CARET] = ACTIONS(7209),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7209),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7209),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7209),
    [anon_sym_BSLASHleft] = ACTIONS(7207),
    [anon_sym_BSLASHbigl] = ACTIONS(7207),
    [anon_sym_BSLASHBigl] = ACTIONS(7207),
    [anon_sym_BSLASHbiggl] = ACTIONS(7207),
    [anon_sym_BSLASHBiggl] = ACTIONS(7207),
    [anon_sym_BSLASHtext] = ACTIONS(7207),
    [anon_sym_BSLASHintertext] = ACTIONS(7207),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7207),
    [anon_sym_BSLASHbegin] = ACTIONS(7207),
    [anon_sym_BSLASHtitle] = ACTIONS(7207),
    [anon_sym_BSLASHauthor] = ACTIONS(7207),
    [anon_sym_BSLASHusepackage] = ACTIONS(7207),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7207),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7207),
    [anon_sym_BSLASHinclude] = ACTIONS(7207),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7207),
    [anon_sym_BSLASHinput] = ACTIONS(7207),
    [anon_sym_BSLASHsubfile] = ACTIONS(7207),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7207),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7207),
    [anon_sym_BSLASHbibliography] = ACTIONS(7207),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7207),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7207),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7207),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7207),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7207),
    [anon_sym_BSLASHimport] = ACTIONS(7207),
    [anon_sym_BSLASHsubimport] = ACTIONS(7207),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7207),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7207),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7207),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7207),
    [anon_sym_BSLASHcaption] = ACTIONS(7207),
    [anon_sym_BSLASHcite] = ACTIONS(7207),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCite] = ACTIONS(7207),
    [anon_sym_BSLASHnocite] = ACTIONS(7207),
    [anon_sym_BSLASHcitet] = ACTIONS(7207),
    [anon_sym_BSLASHcitep] = ACTIONS(7207),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteA] = ACTIONS(7207),
    [anon_sym_BSLASHciteR] = ACTIONS(7207),
    [anon_sym_BSLASHciteS] = ACTIONS(7207),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7207),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7207),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7207),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7207),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteyear] = ACTIONS(7207),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitedate] = ACTIONS(7207),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteurl] = ACTIONS(7207),
    [anon_sym_BSLASHfullcite] = ACTIONS(7207),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7207),
    [anon_sym_BSLASHcitealt] = ACTIONS(7207),
    [anon_sym_BSLASHcitealp] = ACTIONS(7207),
    [anon_sym_BSLASHcitetext] = ACTIONS(7207),
    [anon_sym_BSLASHparencite] = ACTIONS(7207),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHParencite] = ACTIONS(7207),
    [anon_sym_BSLASHfootcite] = ACTIONS(7207),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7207),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7207),
    [anon_sym_BSLASHtextcite] = ACTIONS(7207),
    [anon_sym_BSLASHTextcite] = ACTIONS(7207),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7207),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7207),
    [anon_sym_BSLASHsupercite] = ACTIONS(7207),
    [anon_sym_BSLASHautocite] = ACTIONS(7207),
    [anon_sym_BSLASHAutocite] = ACTIONS(7207),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHVolcite] = ACTIONS(7207),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHavolcite] = ACTIONS(7207),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHNotecite] = ACTIONS(7207),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHlabel] = ACTIONS(7207),
    [anon_sym_BSLASHref] = ACTIONS(7207),
    [anon_sym_BSLASHeqref] = ACTIONS(7207),
    [anon_sym_BSLASHvref] = ACTIONS(7207),
    [anon_sym_BSLASHVref] = ACTIONS(7207),
    [anon_sym_BSLASHautoref] = ACTIONS(7207),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHpageref] = ACTIONS(7207),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHautopageref] = ACTIONS(7207),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcref] = ACTIONS(7207),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCref] = ACTIONS(7207),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcpageref] = ACTIONS(7207),
    [anon_sym_BSLASHCpageref] = ACTIONS(7207),
    [anon_sym_BSLASHnamecref] = ACTIONS(7207),
    [anon_sym_BSLASHnameCref] = ACTIONS(7207),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7207),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7207),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7207),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7207),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7207),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7207),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7207),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7207),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7207),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7207),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7207),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHdef] = ACTIONS(7207),
    [anon_sym_BSLASHgdef] = ACTIONS(7207),
    [anon_sym_BSLASHedef] = ACTIONS(7207),
    [anon_sym_BSLASHxdef] = ACTIONS(7207),
    [anon_sym_BSLASHlet] = ACTIONS(7207),
    [anon_sym_BSLASHglet] = ACTIONS(7207),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7207),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7207),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7207),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7207),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7207),
    [anon_sym_BSLASHgls] = ACTIONS(7207),
    [anon_sym_BSLASHGls] = ACTIONS(7207),
    [anon_sym_BSLASHGLS] = ACTIONS(7207),
    [anon_sym_BSLASHglspl] = ACTIONS(7207),
    [anon_sym_BSLASHGlspl] = ACTIONS(7207),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7207),
    [anon_sym_BSLASHglslink] = ACTIONS(7207),
    [anon_sym_BSLASHglstext] = ACTIONS(7207),
    [anon_sym_BSLASHGlstext] = ACTIONS(7207),
    [anon_sym_BSLASHGLStext] = ACTIONS(7207),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7207),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7207),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7207),
    [anon_sym_BSLASHglsplural] = ACTIONS(7207),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7207),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7207),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHglsname] = ACTIONS(7207),
    [anon_sym_BSLASHGlsname] = ACTIONS(7207),
    [anon_sym_BSLASHGLSname] = ACTIONS(7207),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7207),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7207),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7207),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7207),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7207),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7207),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7207),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7207),
    [anon_sym_BSLASHacrshort] = ACTIONS(7207),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7207),
    [anon_sym_BSLASHACRshort] = ACTIONS(7207),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHacrlong] = ACTIONS(7207),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7207),
    [anon_sym_BSLASHACRlong] = ACTIONS(7207),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHacrfull] = ACTIONS(7207),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7207),
    [anon_sym_BSLASHACRfull] = ACTIONS(7207),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHacs] = ACTIONS(7207),
    [anon_sym_BSLASHAcs] = ACTIONS(7207),
    [anon_sym_BSLASHacsp] = ACTIONS(7207),
    [anon_sym_BSLASHAcsp] = ACTIONS(7207),
    [anon_sym_BSLASHacl] = ACTIONS(7207),
    [anon_sym_BSLASHAcl] = ACTIONS(7207),
    [anon_sym_BSLASHaclp] = ACTIONS(7207),
    [anon_sym_BSLASHAclp] = ACTIONS(7207),
    [anon_sym_BSLASHacf] = ACTIONS(7207),
    [anon_sym_BSLASHAcf] = ACTIONS(7207),
    [anon_sym_BSLASHacfp] = ACTIONS(7207),
    [anon_sym_BSLASHAcfp] = ACTIONS(7207),
    [anon_sym_BSLASHac] = ACTIONS(7207),
    [anon_sym_BSLASHAc] = ACTIONS(7207),
    [anon_sym_BSLASHacp] = ACTIONS(7207),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7207),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7207),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7207),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7207),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7207),
    [anon_sym_BSLASHcolor] = ACTIONS(7207),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7207),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7207),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7207),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7207),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7207),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7207),
    [anon_sym_BSLASHurl] = ACTIONS(7207),
    [anon_sym_BSLASHhref] = ACTIONS(7207),
  },
  [1141] = {
    [ts_builtin_sym_end] = ACTIONS(7297),
    [sym_command_name] = ACTIONS(7295),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7295),
    [anon_sym_LBRACK] = ACTIONS(7297),
    [anon_sym_RBRACK] = ACTIONS(7297),
    [anon_sym_COMMA] = ACTIONS(7297),
    [anon_sym_EQ] = ACTIONS(7297),
    [anon_sym_LPAREN] = ACTIONS(7297),
    [anon_sym_RPAREN] = ACTIONS(7297),
    [anon_sym_BSLASHpart] = ACTIONS(7295),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHaddpart] = ACTIONS(7295),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHchapter] = ACTIONS(7295),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHaddchap] = ACTIONS(7295),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHsection] = ACTIONS(7295),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHaddsec] = ACTIONS(7295),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHsubsection] = ACTIONS(7295),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7295),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHparagraph] = ACTIONS(7295),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7295),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHitem] = ACTIONS(7295),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7297),
    [anon_sym_LBRACE] = ACTIONS(7297),
    [anon_sym_RBRACE] = ACTIONS(7297),
    [sym_word] = ACTIONS(7295),
    [sym_placeholder] = ACTIONS(7297),
    [sym_delimiter] = ACTIONS(7297),
    [anon_sym_PLUS] = ACTIONS(7297),
    [anon_sym_DASH] = ACTIONS(7297),
    [anon_sym_STAR] = ACTIONS(7297),
    [anon_sym_SLASH] = ACTIONS(7297),
    [anon_sym_LT] = ACTIONS(7295),
    [anon_sym_GT] = ACTIONS(7295),
    [anon_sym_BANG] = ACTIONS(7295),
    [anon_sym_PIPE] = ACTIONS(7295),
    [anon_sym_COLON] = ACTIONS(7295),
    [anon_sym_SQUOTE] = ACTIONS(7295),
    [anon_sym__] = ACTIONS(7297),
    [anon_sym_CARET] = ACTIONS(7297),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7297),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7297),
    [anon_sym_DOLLAR] = ACTIONS(7295),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7297),
    [anon_sym_BSLASHleft] = ACTIONS(7295),
    [anon_sym_BSLASHbigl] = ACTIONS(7295),
    [anon_sym_BSLASHBigl] = ACTIONS(7295),
    [anon_sym_BSLASHbiggl] = ACTIONS(7295),
    [anon_sym_BSLASHBiggl] = ACTIONS(7295),
    [anon_sym_BSLASHtext] = ACTIONS(7295),
    [anon_sym_BSLASHintertext] = ACTIONS(7295),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7295),
    [anon_sym_BSLASHbegin] = ACTIONS(7295),
    [anon_sym_BSLASHtitle] = ACTIONS(7295),
    [anon_sym_BSLASHauthor] = ACTIONS(7295),
    [anon_sym_BSLASHusepackage] = ACTIONS(7295),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7295),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7295),
    [anon_sym_BSLASHinclude] = ACTIONS(7295),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7295),
    [anon_sym_BSLASHinput] = ACTIONS(7295),
    [anon_sym_BSLASHsubfile] = ACTIONS(7295),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7295),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7295),
    [anon_sym_BSLASHbibliography] = ACTIONS(7295),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7295),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7295),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7295),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7295),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7295),
    [anon_sym_BSLASHimport] = ACTIONS(7295),
    [anon_sym_BSLASHsubimport] = ACTIONS(7295),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7295),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7295),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7295),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7295),
    [anon_sym_BSLASHcaption] = ACTIONS(7295),
    [anon_sym_BSLASHcite] = ACTIONS(7295),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCite] = ACTIONS(7295),
    [anon_sym_BSLASHnocite] = ACTIONS(7295),
    [anon_sym_BSLASHcitet] = ACTIONS(7295),
    [anon_sym_BSLASHcitep] = ACTIONS(7295),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteA] = ACTIONS(7295),
    [anon_sym_BSLASHciteR] = ACTIONS(7295),
    [anon_sym_BSLASHciteS] = ACTIONS(7295),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7295),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7295),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7295),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7295),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteyear] = ACTIONS(7295),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitedate] = ACTIONS(7295),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteurl] = ACTIONS(7295),
    [anon_sym_BSLASHfullcite] = ACTIONS(7295),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7295),
    [anon_sym_BSLASHcitealt] = ACTIONS(7295),
    [anon_sym_BSLASHcitealp] = ACTIONS(7295),
    [anon_sym_BSLASHcitetext] = ACTIONS(7295),
    [anon_sym_BSLASHparencite] = ACTIONS(7295),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHParencite] = ACTIONS(7295),
    [anon_sym_BSLASHfootcite] = ACTIONS(7295),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7295),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7295),
    [anon_sym_BSLASHtextcite] = ACTIONS(7295),
    [anon_sym_BSLASHTextcite] = ACTIONS(7295),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7295),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7295),
    [anon_sym_BSLASHsupercite] = ACTIONS(7295),
    [anon_sym_BSLASHautocite] = ACTIONS(7295),
    [anon_sym_BSLASHAutocite] = ACTIONS(7295),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHVolcite] = ACTIONS(7295),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHavolcite] = ACTIONS(7295),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHNotecite] = ACTIONS(7295),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHlabel] = ACTIONS(7295),
    [anon_sym_BSLASHref] = ACTIONS(7295),
    [anon_sym_BSLASHeqref] = ACTIONS(7295),
    [anon_sym_BSLASHvref] = ACTIONS(7295),
    [anon_sym_BSLASHVref] = ACTIONS(7295),
    [anon_sym_BSLASHautoref] = ACTIONS(7295),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHpageref] = ACTIONS(7295),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHautopageref] = ACTIONS(7295),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcref] = ACTIONS(7295),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCref] = ACTIONS(7295),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcpageref] = ACTIONS(7295),
    [anon_sym_BSLASHCpageref] = ACTIONS(7295),
    [anon_sym_BSLASHnamecref] = ACTIONS(7295),
    [anon_sym_BSLASHnameCref] = ACTIONS(7295),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7295),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7295),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7295),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7295),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7295),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7295),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7295),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7295),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7295),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7295),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7295),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHdef] = ACTIONS(7295),
    [anon_sym_BSLASHgdef] = ACTIONS(7295),
    [anon_sym_BSLASHedef] = ACTIONS(7295),
    [anon_sym_BSLASHxdef] = ACTIONS(7295),
    [anon_sym_BSLASHlet] = ACTIONS(7295),
    [anon_sym_BSLASHglet] = ACTIONS(7295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7295),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7295),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7295),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7295),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7295),
    [anon_sym_BSLASHgls] = ACTIONS(7295),
    [anon_sym_BSLASHGls] = ACTIONS(7295),
    [anon_sym_BSLASHGLS] = ACTIONS(7295),
    [anon_sym_BSLASHglspl] = ACTIONS(7295),
    [anon_sym_BSLASHGlspl] = ACTIONS(7295),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7295),
    [anon_sym_BSLASHglslink] = ACTIONS(7295),
    [anon_sym_BSLASHglstext] = ACTIONS(7295),
    [anon_sym_BSLASHGlstext] = ACTIONS(7295),
    [anon_sym_BSLASHGLStext] = ACTIONS(7295),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7295),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7295),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7295),
    [anon_sym_BSLASHglsplural] = ACTIONS(7295),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7295),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7295),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHglsname] = ACTIONS(7295),
    [anon_sym_BSLASHGlsname] = ACTIONS(7295),
    [anon_sym_BSLASHGLSname] = ACTIONS(7295),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7295),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7295),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7295),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7295),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7295),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7295),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7295),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7295),
    [anon_sym_BSLASHacrshort] = ACTIONS(7295),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7295),
    [anon_sym_BSLASHACRshort] = ACTIONS(7295),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHacrlong] = ACTIONS(7295),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7295),
    [anon_sym_BSLASHACRlong] = ACTIONS(7295),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHacrfull] = ACTIONS(7295),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7295),
    [anon_sym_BSLASHACRfull] = ACTIONS(7295),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHacs] = ACTIONS(7295),
    [anon_sym_BSLASHAcs] = ACTIONS(7295),
    [anon_sym_BSLASHacsp] = ACTIONS(7295),
    [anon_sym_BSLASHAcsp] = ACTIONS(7295),
    [anon_sym_BSLASHacl] = ACTIONS(7295),
    [anon_sym_BSLASHAcl] = ACTIONS(7295),
    [anon_sym_BSLASHaclp] = ACTIONS(7295),
    [anon_sym_BSLASHAclp] = ACTIONS(7295),
    [anon_sym_BSLASHacf] = ACTIONS(7295),
    [anon_sym_BSLASHAcf] = ACTIONS(7295),
    [anon_sym_BSLASHacfp] = ACTIONS(7295),
    [anon_sym_BSLASHAcfp] = ACTIONS(7295),
    [anon_sym_BSLASHac] = ACTIONS(7295),
    [anon_sym_BSLASHAc] = ACTIONS(7295),
    [anon_sym_BSLASHacp] = ACTIONS(7295),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7295),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7295),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7295),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7295),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7295),
    [anon_sym_BSLASHcolor] = ACTIONS(7295),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7295),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7295),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7295),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7295),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7295),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7295),
    [anon_sym_BSLASHurl] = ACTIONS(7295),
    [anon_sym_BSLASHhref] = ACTIONS(7295),
  },
  [1142] = {
    [ts_builtin_sym_end] = ACTIONS(7301),
    [sym_command_name] = ACTIONS(7299),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7299),
    [anon_sym_LBRACK] = ACTIONS(7301),
    [anon_sym_RBRACK] = ACTIONS(7301),
    [anon_sym_COMMA] = ACTIONS(7301),
    [anon_sym_EQ] = ACTIONS(7301),
    [anon_sym_LPAREN] = ACTIONS(7301),
    [anon_sym_RPAREN] = ACTIONS(7301),
    [anon_sym_BSLASHpart] = ACTIONS(7299),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHaddpart] = ACTIONS(7299),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHchapter] = ACTIONS(7299),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHaddchap] = ACTIONS(7299),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHsection] = ACTIONS(7299),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHaddsec] = ACTIONS(7299),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHsubsection] = ACTIONS(7299),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7299),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHparagraph] = ACTIONS(7299),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7299),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHitem] = ACTIONS(7299),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7301),
    [anon_sym_LBRACE] = ACTIONS(7301),
    [anon_sym_RBRACE] = ACTIONS(7301),
    [sym_word] = ACTIONS(7299),
    [sym_placeholder] = ACTIONS(7301),
    [sym_delimiter] = ACTIONS(7301),
    [anon_sym_PLUS] = ACTIONS(7301),
    [anon_sym_DASH] = ACTIONS(7301),
    [anon_sym_STAR] = ACTIONS(7301),
    [anon_sym_SLASH] = ACTIONS(7301),
    [anon_sym_LT] = ACTIONS(7299),
    [anon_sym_GT] = ACTIONS(7299),
    [anon_sym_BANG] = ACTIONS(7299),
    [anon_sym_PIPE] = ACTIONS(7299),
    [anon_sym_COLON] = ACTIONS(7299),
    [anon_sym_SQUOTE] = ACTIONS(7299),
    [anon_sym__] = ACTIONS(7301),
    [anon_sym_CARET] = ACTIONS(7301),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7301),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7301),
    [anon_sym_DOLLAR] = ACTIONS(7299),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7301),
    [anon_sym_BSLASHleft] = ACTIONS(7299),
    [anon_sym_BSLASHbigl] = ACTIONS(7299),
    [anon_sym_BSLASHBigl] = ACTIONS(7299),
    [anon_sym_BSLASHbiggl] = ACTIONS(7299),
    [anon_sym_BSLASHBiggl] = ACTIONS(7299),
    [anon_sym_BSLASHtext] = ACTIONS(7299),
    [anon_sym_BSLASHintertext] = ACTIONS(7299),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7299),
    [anon_sym_BSLASHbegin] = ACTIONS(7299),
    [anon_sym_BSLASHtitle] = ACTIONS(7299),
    [anon_sym_BSLASHauthor] = ACTIONS(7299),
    [anon_sym_BSLASHusepackage] = ACTIONS(7299),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7299),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7299),
    [anon_sym_BSLASHinclude] = ACTIONS(7299),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7299),
    [anon_sym_BSLASHinput] = ACTIONS(7299),
    [anon_sym_BSLASHsubfile] = ACTIONS(7299),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7299),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7299),
    [anon_sym_BSLASHbibliography] = ACTIONS(7299),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7299),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7299),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7299),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7299),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7299),
    [anon_sym_BSLASHimport] = ACTIONS(7299),
    [anon_sym_BSLASHsubimport] = ACTIONS(7299),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7299),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7299),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7299),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7299),
    [anon_sym_BSLASHcaption] = ACTIONS(7299),
    [anon_sym_BSLASHcite] = ACTIONS(7299),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCite] = ACTIONS(7299),
    [anon_sym_BSLASHnocite] = ACTIONS(7299),
    [anon_sym_BSLASHcitet] = ACTIONS(7299),
    [anon_sym_BSLASHcitep] = ACTIONS(7299),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteA] = ACTIONS(7299),
    [anon_sym_BSLASHciteR] = ACTIONS(7299),
    [anon_sym_BSLASHciteS] = ACTIONS(7299),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7299),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7299),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7299),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7299),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteyear] = ACTIONS(7299),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitedate] = ACTIONS(7299),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteurl] = ACTIONS(7299),
    [anon_sym_BSLASHfullcite] = ACTIONS(7299),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7299),
    [anon_sym_BSLASHcitealt] = ACTIONS(7299),
    [anon_sym_BSLASHcitealp] = ACTIONS(7299),
    [anon_sym_BSLASHcitetext] = ACTIONS(7299),
    [anon_sym_BSLASHparencite] = ACTIONS(7299),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHParencite] = ACTIONS(7299),
    [anon_sym_BSLASHfootcite] = ACTIONS(7299),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7299),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7299),
    [anon_sym_BSLASHtextcite] = ACTIONS(7299),
    [anon_sym_BSLASHTextcite] = ACTIONS(7299),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7299),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7299),
    [anon_sym_BSLASHsupercite] = ACTIONS(7299),
    [anon_sym_BSLASHautocite] = ACTIONS(7299),
    [anon_sym_BSLASHAutocite] = ACTIONS(7299),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHVolcite] = ACTIONS(7299),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHavolcite] = ACTIONS(7299),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHNotecite] = ACTIONS(7299),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHlabel] = ACTIONS(7299),
    [anon_sym_BSLASHref] = ACTIONS(7299),
    [anon_sym_BSLASHeqref] = ACTIONS(7299),
    [anon_sym_BSLASHvref] = ACTIONS(7299),
    [anon_sym_BSLASHVref] = ACTIONS(7299),
    [anon_sym_BSLASHautoref] = ACTIONS(7299),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHpageref] = ACTIONS(7299),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHautopageref] = ACTIONS(7299),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcref] = ACTIONS(7299),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCref] = ACTIONS(7299),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcpageref] = ACTIONS(7299),
    [anon_sym_BSLASHCpageref] = ACTIONS(7299),
    [anon_sym_BSLASHnamecref] = ACTIONS(7299),
    [anon_sym_BSLASHnameCref] = ACTIONS(7299),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7299),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7299),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7299),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7299),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7299),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7299),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7299),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7299),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7299),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7299),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7299),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHdef] = ACTIONS(7299),
    [anon_sym_BSLASHgdef] = ACTIONS(7299),
    [anon_sym_BSLASHedef] = ACTIONS(7299),
    [anon_sym_BSLASHxdef] = ACTIONS(7299),
    [anon_sym_BSLASHlet] = ACTIONS(7299),
    [anon_sym_BSLASHglet] = ACTIONS(7299),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7299),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7299),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7299),
    [anon_sym_BSLASHgls] = ACTIONS(7299),
    [anon_sym_BSLASHGls] = ACTIONS(7299),
    [anon_sym_BSLASHGLS] = ACTIONS(7299),
    [anon_sym_BSLASHglspl] = ACTIONS(7299),
    [anon_sym_BSLASHGlspl] = ACTIONS(7299),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7299),
    [anon_sym_BSLASHglslink] = ACTIONS(7299),
    [anon_sym_BSLASHglstext] = ACTIONS(7299),
    [anon_sym_BSLASHGlstext] = ACTIONS(7299),
    [anon_sym_BSLASHGLStext] = ACTIONS(7299),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7299),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7299),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7299),
    [anon_sym_BSLASHglsplural] = ACTIONS(7299),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7299),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7299),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHglsname] = ACTIONS(7299),
    [anon_sym_BSLASHGlsname] = ACTIONS(7299),
    [anon_sym_BSLASHGLSname] = ACTIONS(7299),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7299),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7299),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7299),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7299),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7299),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7299),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7299),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7299),
    [anon_sym_BSLASHacrshort] = ACTIONS(7299),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7299),
    [anon_sym_BSLASHACRshort] = ACTIONS(7299),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHacrlong] = ACTIONS(7299),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7299),
    [anon_sym_BSLASHACRlong] = ACTIONS(7299),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHacrfull] = ACTIONS(7299),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7299),
    [anon_sym_BSLASHACRfull] = ACTIONS(7299),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHacs] = ACTIONS(7299),
    [anon_sym_BSLASHAcs] = ACTIONS(7299),
    [anon_sym_BSLASHacsp] = ACTIONS(7299),
    [anon_sym_BSLASHAcsp] = ACTIONS(7299),
    [anon_sym_BSLASHacl] = ACTIONS(7299),
    [anon_sym_BSLASHAcl] = ACTIONS(7299),
    [anon_sym_BSLASHaclp] = ACTIONS(7299),
    [anon_sym_BSLASHAclp] = ACTIONS(7299),
    [anon_sym_BSLASHacf] = ACTIONS(7299),
    [anon_sym_BSLASHAcf] = ACTIONS(7299),
    [anon_sym_BSLASHacfp] = ACTIONS(7299),
    [anon_sym_BSLASHAcfp] = ACTIONS(7299),
    [anon_sym_BSLASHac] = ACTIONS(7299),
    [anon_sym_BSLASHAc] = ACTIONS(7299),
    [anon_sym_BSLASHacp] = ACTIONS(7299),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7299),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7299),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7299),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7299),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7299),
    [anon_sym_BSLASHcolor] = ACTIONS(7299),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7299),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7299),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7299),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7299),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7299),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7299),
    [anon_sym_BSLASHurl] = ACTIONS(7299),
    [anon_sym_BSLASHhref] = ACTIONS(7299),
  },
  [1143] = {
    [ts_builtin_sym_end] = ACTIONS(7305),
    [sym_command_name] = ACTIONS(7303),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7303),
    [anon_sym_LBRACK] = ACTIONS(7305),
    [anon_sym_RBRACK] = ACTIONS(7305),
    [anon_sym_COMMA] = ACTIONS(7305),
    [anon_sym_EQ] = ACTIONS(7305),
    [anon_sym_LPAREN] = ACTIONS(7305),
    [anon_sym_RPAREN] = ACTIONS(7305),
    [anon_sym_BSLASHpart] = ACTIONS(7303),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHaddpart] = ACTIONS(7303),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHchapter] = ACTIONS(7303),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHaddchap] = ACTIONS(7303),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHsection] = ACTIONS(7303),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHaddsec] = ACTIONS(7303),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHsubsection] = ACTIONS(7303),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7303),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHparagraph] = ACTIONS(7303),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7303),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHitem] = ACTIONS(7303),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7305),
    [anon_sym_LBRACE] = ACTIONS(7305),
    [anon_sym_RBRACE] = ACTIONS(7305),
    [sym_word] = ACTIONS(7303),
    [sym_placeholder] = ACTIONS(7305),
    [sym_delimiter] = ACTIONS(7305),
    [anon_sym_PLUS] = ACTIONS(7305),
    [anon_sym_DASH] = ACTIONS(7305),
    [anon_sym_STAR] = ACTIONS(7305),
    [anon_sym_SLASH] = ACTIONS(7305),
    [anon_sym_LT] = ACTIONS(7303),
    [anon_sym_GT] = ACTIONS(7303),
    [anon_sym_BANG] = ACTIONS(7303),
    [anon_sym_PIPE] = ACTIONS(7303),
    [anon_sym_COLON] = ACTIONS(7303),
    [anon_sym_SQUOTE] = ACTIONS(7303),
    [anon_sym__] = ACTIONS(7305),
    [anon_sym_CARET] = ACTIONS(7305),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7305),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7305),
    [anon_sym_DOLLAR] = ACTIONS(7303),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7305),
    [anon_sym_BSLASHleft] = ACTIONS(7303),
    [anon_sym_BSLASHbigl] = ACTIONS(7303),
    [anon_sym_BSLASHBigl] = ACTIONS(7303),
    [anon_sym_BSLASHbiggl] = ACTIONS(7303),
    [anon_sym_BSLASHBiggl] = ACTIONS(7303),
    [anon_sym_BSLASHtext] = ACTIONS(7303),
    [anon_sym_BSLASHintertext] = ACTIONS(7303),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7303),
    [anon_sym_BSLASHbegin] = ACTIONS(7303),
    [anon_sym_BSLASHtitle] = ACTIONS(7303),
    [anon_sym_BSLASHauthor] = ACTIONS(7303),
    [anon_sym_BSLASHusepackage] = ACTIONS(7303),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7303),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7303),
    [anon_sym_BSLASHinclude] = ACTIONS(7303),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7303),
    [anon_sym_BSLASHinput] = ACTIONS(7303),
    [anon_sym_BSLASHsubfile] = ACTIONS(7303),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7303),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7303),
    [anon_sym_BSLASHbibliography] = ACTIONS(7303),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7303),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7303),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7303),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7303),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7303),
    [anon_sym_BSLASHimport] = ACTIONS(7303),
    [anon_sym_BSLASHsubimport] = ACTIONS(7303),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7303),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7303),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7303),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7303),
    [anon_sym_BSLASHcaption] = ACTIONS(7303),
    [anon_sym_BSLASHcite] = ACTIONS(7303),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCite] = ACTIONS(7303),
    [anon_sym_BSLASHnocite] = ACTIONS(7303),
    [anon_sym_BSLASHcitet] = ACTIONS(7303),
    [anon_sym_BSLASHcitep] = ACTIONS(7303),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteA] = ACTIONS(7303),
    [anon_sym_BSLASHciteR] = ACTIONS(7303),
    [anon_sym_BSLASHciteS] = ACTIONS(7303),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7303),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7303),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7303),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7303),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteyear] = ACTIONS(7303),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitedate] = ACTIONS(7303),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteurl] = ACTIONS(7303),
    [anon_sym_BSLASHfullcite] = ACTIONS(7303),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7303),
    [anon_sym_BSLASHcitealt] = ACTIONS(7303),
    [anon_sym_BSLASHcitealp] = ACTIONS(7303),
    [anon_sym_BSLASHcitetext] = ACTIONS(7303),
    [anon_sym_BSLASHparencite] = ACTIONS(7303),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHParencite] = ACTIONS(7303),
    [anon_sym_BSLASHfootcite] = ACTIONS(7303),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7303),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7303),
    [anon_sym_BSLASHtextcite] = ACTIONS(7303),
    [anon_sym_BSLASHTextcite] = ACTIONS(7303),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7303),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7303),
    [anon_sym_BSLASHsupercite] = ACTIONS(7303),
    [anon_sym_BSLASHautocite] = ACTIONS(7303),
    [anon_sym_BSLASHAutocite] = ACTIONS(7303),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHVolcite] = ACTIONS(7303),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHavolcite] = ACTIONS(7303),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHNotecite] = ACTIONS(7303),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHlabel] = ACTIONS(7303),
    [anon_sym_BSLASHref] = ACTIONS(7303),
    [anon_sym_BSLASHeqref] = ACTIONS(7303),
    [anon_sym_BSLASHvref] = ACTIONS(7303),
    [anon_sym_BSLASHVref] = ACTIONS(7303),
    [anon_sym_BSLASHautoref] = ACTIONS(7303),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHpageref] = ACTIONS(7303),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHautopageref] = ACTIONS(7303),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcref] = ACTIONS(7303),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCref] = ACTIONS(7303),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcpageref] = ACTIONS(7303),
    [anon_sym_BSLASHCpageref] = ACTIONS(7303),
    [anon_sym_BSLASHnamecref] = ACTIONS(7303),
    [anon_sym_BSLASHnameCref] = ACTIONS(7303),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7303),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7303),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7303),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7303),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7303),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7303),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7303),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7303),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7303),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7303),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7303),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHdef] = ACTIONS(7303),
    [anon_sym_BSLASHgdef] = ACTIONS(7303),
    [anon_sym_BSLASHedef] = ACTIONS(7303),
    [anon_sym_BSLASHxdef] = ACTIONS(7303),
    [anon_sym_BSLASHlet] = ACTIONS(7303),
    [anon_sym_BSLASHglet] = ACTIONS(7303),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7303),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7303),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7303),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7303),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7303),
    [anon_sym_BSLASHgls] = ACTIONS(7303),
    [anon_sym_BSLASHGls] = ACTIONS(7303),
    [anon_sym_BSLASHGLS] = ACTIONS(7303),
    [anon_sym_BSLASHglspl] = ACTIONS(7303),
    [anon_sym_BSLASHGlspl] = ACTIONS(7303),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7303),
    [anon_sym_BSLASHglslink] = ACTIONS(7303),
    [anon_sym_BSLASHglstext] = ACTIONS(7303),
    [anon_sym_BSLASHGlstext] = ACTIONS(7303),
    [anon_sym_BSLASHGLStext] = ACTIONS(7303),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7303),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7303),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7303),
    [anon_sym_BSLASHglsplural] = ACTIONS(7303),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7303),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7303),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHglsname] = ACTIONS(7303),
    [anon_sym_BSLASHGlsname] = ACTIONS(7303),
    [anon_sym_BSLASHGLSname] = ACTIONS(7303),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7303),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7303),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7303),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7303),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7303),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7303),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7303),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7303),
    [anon_sym_BSLASHacrshort] = ACTIONS(7303),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7303),
    [anon_sym_BSLASHACRshort] = ACTIONS(7303),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHacrlong] = ACTIONS(7303),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7303),
    [anon_sym_BSLASHACRlong] = ACTIONS(7303),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHacrfull] = ACTIONS(7303),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7303),
    [anon_sym_BSLASHACRfull] = ACTIONS(7303),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHacs] = ACTIONS(7303),
    [anon_sym_BSLASHAcs] = ACTIONS(7303),
    [anon_sym_BSLASHacsp] = ACTIONS(7303),
    [anon_sym_BSLASHAcsp] = ACTIONS(7303),
    [anon_sym_BSLASHacl] = ACTIONS(7303),
    [anon_sym_BSLASHAcl] = ACTIONS(7303),
    [anon_sym_BSLASHaclp] = ACTIONS(7303),
    [anon_sym_BSLASHAclp] = ACTIONS(7303),
    [anon_sym_BSLASHacf] = ACTIONS(7303),
    [anon_sym_BSLASHAcf] = ACTIONS(7303),
    [anon_sym_BSLASHacfp] = ACTIONS(7303),
    [anon_sym_BSLASHAcfp] = ACTIONS(7303),
    [anon_sym_BSLASHac] = ACTIONS(7303),
    [anon_sym_BSLASHAc] = ACTIONS(7303),
    [anon_sym_BSLASHacp] = ACTIONS(7303),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7303),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7303),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7303),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7303),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7303),
    [anon_sym_BSLASHcolor] = ACTIONS(7303),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7303),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7303),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7303),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7303),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7303),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7303),
    [anon_sym_BSLASHurl] = ACTIONS(7303),
    [anon_sym_BSLASHhref] = ACTIONS(7303),
  },
  [1144] = {
    [ts_builtin_sym_end] = ACTIONS(7037),
    [sym_command_name] = ACTIONS(7035),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7037),
    [anon_sym_RBRACK] = ACTIONS(7037),
    [anon_sym_COMMA] = ACTIONS(7037),
    [anon_sym_EQ] = ACTIONS(7037),
    [anon_sym_LPAREN] = ACTIONS(7037),
    [anon_sym_RPAREN] = ACTIONS(7037),
    [anon_sym_BSLASHpart] = ACTIONS(7035),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHaddpart] = ACTIONS(7035),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHchapter] = ACTIONS(7035),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHaddchap] = ACTIONS(7035),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHsection] = ACTIONS(7035),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHaddsec] = ACTIONS(7035),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHsubsection] = ACTIONS(7035),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7035),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHparagraph] = ACTIONS(7035),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7035),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHitem] = ACTIONS(7035),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7037),
    [anon_sym_LBRACE] = ACTIONS(7037),
    [anon_sym_RBRACE] = ACTIONS(7037),
    [sym_word] = ACTIONS(7035),
    [sym_placeholder] = ACTIONS(7037),
    [sym_delimiter] = ACTIONS(7037),
    [anon_sym_PLUS] = ACTIONS(7037),
    [anon_sym_DASH] = ACTIONS(7037),
    [anon_sym_STAR] = ACTIONS(7037),
    [anon_sym_SLASH] = ACTIONS(7037),
    [anon_sym_LT] = ACTIONS(7035),
    [anon_sym_GT] = ACTIONS(7035),
    [anon_sym_BANG] = ACTIONS(7035),
    [anon_sym_PIPE] = ACTIONS(7035),
    [anon_sym_COLON] = ACTIONS(7035),
    [anon_sym_SQUOTE] = ACTIONS(7035),
    [anon_sym__] = ACTIONS(7037),
    [anon_sym_CARET] = ACTIONS(7037),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7037),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7037),
    [anon_sym_DOLLAR] = ACTIONS(7035),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7037),
    [anon_sym_BSLASHleft] = ACTIONS(7035),
    [anon_sym_BSLASHbigl] = ACTIONS(7035),
    [anon_sym_BSLASHBigl] = ACTIONS(7035),
    [anon_sym_BSLASHbiggl] = ACTIONS(7035),
    [anon_sym_BSLASHBiggl] = ACTIONS(7035),
    [anon_sym_BSLASHtext] = ACTIONS(7035),
    [anon_sym_BSLASHintertext] = ACTIONS(7035),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7035),
    [anon_sym_BSLASHbegin] = ACTIONS(7035),
    [anon_sym_BSLASHtitle] = ACTIONS(7035),
    [anon_sym_BSLASHauthor] = ACTIONS(7035),
    [anon_sym_BSLASHusepackage] = ACTIONS(7035),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7035),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7035),
    [anon_sym_BSLASHinclude] = ACTIONS(7035),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7035),
    [anon_sym_BSLASHinput] = ACTIONS(7035),
    [anon_sym_BSLASHsubfile] = ACTIONS(7035),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7035),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7035),
    [anon_sym_BSLASHbibliography] = ACTIONS(7035),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7035),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7035),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7035),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7035),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7035),
    [anon_sym_BSLASHimport] = ACTIONS(7035),
    [anon_sym_BSLASHsubimport] = ACTIONS(7035),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7035),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7035),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7035),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7035),
    [anon_sym_BSLASHcaption] = ACTIONS(7035),
    [anon_sym_BSLASHcite] = ACTIONS(7035),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHCite] = ACTIONS(7035),
    [anon_sym_BSLASHnocite] = ACTIONS(7035),
    [anon_sym_BSLASHcitet] = ACTIONS(7035),
    [anon_sym_BSLASHcitep] = ACTIONS(7035),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHciteA] = ACTIONS(7035),
    [anon_sym_BSLASHciteR] = ACTIONS(7035),
    [anon_sym_BSLASHciteS] = ACTIONS(7035),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7035),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7035),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7035),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7035),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHciteyear] = ACTIONS(7035),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcitedate] = ACTIONS(7035),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHciteurl] = ACTIONS(7035),
    [anon_sym_BSLASHfullcite] = ACTIONS(7035),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7035),
    [anon_sym_BSLASHcitealt] = ACTIONS(7035),
    [anon_sym_BSLASHcitealp] = ACTIONS(7035),
    [anon_sym_BSLASHcitetext] = ACTIONS(7035),
    [anon_sym_BSLASHparencite] = ACTIONS(7035),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHParencite] = ACTIONS(7035),
    [anon_sym_BSLASHfootcite] = ACTIONS(7035),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7035),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7035),
    [anon_sym_BSLASHtextcite] = ACTIONS(7035),
    [anon_sym_BSLASHTextcite] = ACTIONS(7035),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7035),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7035),
    [anon_sym_BSLASHsupercite] = ACTIONS(7035),
    [anon_sym_BSLASHautocite] = ACTIONS(7035),
    [anon_sym_BSLASHAutocite] = ACTIONS(7035),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHVolcite] = ACTIONS(7035),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHavolcite] = ACTIONS(7035),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHnotecite] = ACTIONS(7035),
    [anon_sym_BSLASHNotecite] = ACTIONS(7035),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7035),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7035),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7035),
    [anon_sym_BSLASHlabel] = ACTIONS(7035),
    [anon_sym_BSLASHref] = ACTIONS(7035),
    [anon_sym_BSLASHeqref] = ACTIONS(7035),
    [anon_sym_BSLASHvref] = ACTIONS(7035),
    [anon_sym_BSLASHVref] = ACTIONS(7035),
    [anon_sym_BSLASHautoref] = ACTIONS(7035),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHpageref] = ACTIONS(7035),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHautopageref] = ACTIONS(7035),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcref] = ACTIONS(7035),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHCref] = ACTIONS(7035),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcpageref] = ACTIONS(7035),
    [anon_sym_BSLASHCpageref] = ACTIONS(7035),
    [anon_sym_BSLASHnamecref] = ACTIONS(7035),
    [anon_sym_BSLASHnameCref] = ACTIONS(7035),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7035),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7035),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7035),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7035),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7035),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7035),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7035),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7035),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7035),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7035),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7035),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7035),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7035),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7035),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7035),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7035),
    [anon_sym_BSLASHdef] = ACTIONS(7035),
    [anon_sym_BSLASHgdef] = ACTIONS(7035),
    [anon_sym_BSLASHedef] = ACTIONS(7035),
    [anon_sym_BSLASHxdef] = ACTIONS(7035),
    [anon_sym_BSLASHlet] = ACTIONS(7035),
    [anon_sym_BSLASHglet] = ACTIONS(7035),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7035),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7035),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7035),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7035),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7035),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7035),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7035),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7035),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7035),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7035),
    [anon_sym_BSLASHgls] = ACTIONS(7035),
    [anon_sym_BSLASHGls] = ACTIONS(7035),
    [anon_sym_BSLASHGLS] = ACTIONS(7035),
    [anon_sym_BSLASHglspl] = ACTIONS(7035),
    [anon_sym_BSLASHGlspl] = ACTIONS(7035),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7035),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7035),
    [anon_sym_BSLASHglslink] = ACTIONS(7035),
    [anon_sym_BSLASHglstext] = ACTIONS(7035),
    [anon_sym_BSLASHGlstext] = ACTIONS(7035),
    [anon_sym_BSLASHGLStext] = ACTIONS(7035),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7035),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7035),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7035),
    [anon_sym_BSLASHglsplural] = ACTIONS(7035),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7035),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7035),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7035),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7035),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7035),
    [anon_sym_BSLASHglsname] = ACTIONS(7035),
    [anon_sym_BSLASHGlsname] = ACTIONS(7035),
    [anon_sym_BSLASHGLSname] = ACTIONS(7035),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7035),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7035),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7035),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7035),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7035),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7035),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7035),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7035),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7035),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7035),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7035),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7035),
    [anon_sym_BSLASHacrshort] = ACTIONS(7035),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7035),
    [anon_sym_BSLASHACRshort] = ACTIONS(7035),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7035),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7035),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7035),
    [anon_sym_BSLASHacrlong] = ACTIONS(7035),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7035),
    [anon_sym_BSLASHACRlong] = ACTIONS(7035),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7035),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7035),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7035),
    [anon_sym_BSLASHacrfull] = ACTIONS(7035),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7035),
    [anon_sym_BSLASHACRfull] = ACTIONS(7035),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7035),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7035),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7035),
    [anon_sym_BSLASHacs] = ACTIONS(7035),
    [anon_sym_BSLASHAcs] = ACTIONS(7035),
    [anon_sym_BSLASHacsp] = ACTIONS(7035),
    [anon_sym_BSLASHAcsp] = ACTIONS(7035),
    [anon_sym_BSLASHacl] = ACTIONS(7035),
    [anon_sym_BSLASHAcl] = ACTIONS(7035),
    [anon_sym_BSLASHaclp] = ACTIONS(7035),
    [anon_sym_BSLASHAclp] = ACTIONS(7035),
    [anon_sym_BSLASHacf] = ACTIONS(7035),
    [anon_sym_BSLASHAcf] = ACTIONS(7035),
    [anon_sym_BSLASHacfp] = ACTIONS(7035),
    [anon_sym_BSLASHAcfp] = ACTIONS(7035),
    [anon_sym_BSLASHac] = ACTIONS(7035),
    [anon_sym_BSLASHAc] = ACTIONS(7035),
    [anon_sym_BSLASHacp] = ACTIONS(7035),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7035),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7035),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7035),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7035),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7035),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7035),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7035),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7035),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7035),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7035),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7035),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7035),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7035),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7035),
    [anon_sym_BSLASHcolor] = ACTIONS(7035),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7035),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7035),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7035),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7035),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7035),
    [anon_sym_BSLASHurl] = ACTIONS(7035),
    [anon_sym_BSLASHhref] = ACTIONS(7035),
  },
  [1145] = {
    [ts_builtin_sym_end] = ACTIONS(7069),
    [sym_command_name] = ACTIONS(7067),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7067),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_RBRACK] = ACTIONS(7069),
    [anon_sym_COMMA] = ACTIONS(7069),
    [anon_sym_EQ] = ACTIONS(7069),
    [anon_sym_LPAREN] = ACTIONS(7069),
    [anon_sym_RPAREN] = ACTIONS(7069),
    [anon_sym_BSLASHpart] = ACTIONS(7067),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHaddpart] = ACTIONS(7067),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHchapter] = ACTIONS(7067),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHaddchap] = ACTIONS(7067),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHsection] = ACTIONS(7067),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHaddsec] = ACTIONS(7067),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHsubsection] = ACTIONS(7067),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7067),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHparagraph] = ACTIONS(7067),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7067),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHitem] = ACTIONS(7067),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7069),
    [anon_sym_LBRACE] = ACTIONS(7069),
    [anon_sym_RBRACE] = ACTIONS(7069),
    [sym_word] = ACTIONS(7067),
    [sym_placeholder] = ACTIONS(7069),
    [sym_delimiter] = ACTIONS(7069),
    [anon_sym_PLUS] = ACTIONS(7069),
    [anon_sym_DASH] = ACTIONS(7069),
    [anon_sym_STAR] = ACTIONS(7069),
    [anon_sym_SLASH] = ACTIONS(7069),
    [anon_sym_LT] = ACTIONS(7067),
    [anon_sym_GT] = ACTIONS(7067),
    [anon_sym_BANG] = ACTIONS(7067),
    [anon_sym_PIPE] = ACTIONS(7067),
    [anon_sym_COLON] = ACTIONS(7067),
    [anon_sym_SQUOTE] = ACTIONS(7067),
    [anon_sym__] = ACTIONS(7069),
    [anon_sym_CARET] = ACTIONS(7069),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7069),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7069),
    [anon_sym_DOLLAR] = ACTIONS(7067),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7069),
    [anon_sym_BSLASHleft] = ACTIONS(7067),
    [anon_sym_BSLASHbigl] = ACTIONS(7067),
    [anon_sym_BSLASHBigl] = ACTIONS(7067),
    [anon_sym_BSLASHbiggl] = ACTIONS(7067),
    [anon_sym_BSLASHBiggl] = ACTIONS(7067),
    [anon_sym_BSLASHtext] = ACTIONS(7067),
    [anon_sym_BSLASHintertext] = ACTIONS(7067),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7067),
    [anon_sym_BSLASHbegin] = ACTIONS(7067),
    [anon_sym_BSLASHtitle] = ACTIONS(7067),
    [anon_sym_BSLASHauthor] = ACTIONS(7067),
    [anon_sym_BSLASHusepackage] = ACTIONS(7067),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7067),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7067),
    [anon_sym_BSLASHinclude] = ACTIONS(7067),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7067),
    [anon_sym_BSLASHinput] = ACTIONS(7067),
    [anon_sym_BSLASHsubfile] = ACTIONS(7067),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7067),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7067),
    [anon_sym_BSLASHbibliography] = ACTIONS(7067),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7067),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7067),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7067),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7067),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7067),
    [anon_sym_BSLASHimport] = ACTIONS(7067),
    [anon_sym_BSLASHsubimport] = ACTIONS(7067),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7067),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7067),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7067),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7067),
    [anon_sym_BSLASHcaption] = ACTIONS(7067),
    [anon_sym_BSLASHcite] = ACTIONS(7067),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCite] = ACTIONS(7067),
    [anon_sym_BSLASHnocite] = ACTIONS(7067),
    [anon_sym_BSLASHcitet] = ACTIONS(7067),
    [anon_sym_BSLASHcitep] = ACTIONS(7067),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteA] = ACTIONS(7067),
    [anon_sym_BSLASHciteR] = ACTIONS(7067),
    [anon_sym_BSLASHciteS] = ACTIONS(7067),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7067),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7067),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7067),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7067),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteyear] = ACTIONS(7067),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitedate] = ACTIONS(7067),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteurl] = ACTIONS(7067),
    [anon_sym_BSLASHfullcite] = ACTIONS(7067),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7067),
    [anon_sym_BSLASHcitealt] = ACTIONS(7067),
    [anon_sym_BSLASHcitealp] = ACTIONS(7067),
    [anon_sym_BSLASHcitetext] = ACTIONS(7067),
    [anon_sym_BSLASHparencite] = ACTIONS(7067),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHParencite] = ACTIONS(7067),
    [anon_sym_BSLASHfootcite] = ACTIONS(7067),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7067),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7067),
    [anon_sym_BSLASHtextcite] = ACTIONS(7067),
    [anon_sym_BSLASHTextcite] = ACTIONS(7067),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7067),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7067),
    [anon_sym_BSLASHsupercite] = ACTIONS(7067),
    [anon_sym_BSLASHautocite] = ACTIONS(7067),
    [anon_sym_BSLASHAutocite] = ACTIONS(7067),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHVolcite] = ACTIONS(7067),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHavolcite] = ACTIONS(7067),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHNotecite] = ACTIONS(7067),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHlabel] = ACTIONS(7067),
    [anon_sym_BSLASHref] = ACTIONS(7067),
    [anon_sym_BSLASHeqref] = ACTIONS(7067),
    [anon_sym_BSLASHvref] = ACTIONS(7067),
    [anon_sym_BSLASHVref] = ACTIONS(7067),
    [anon_sym_BSLASHautoref] = ACTIONS(7067),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHpageref] = ACTIONS(7067),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHautopageref] = ACTIONS(7067),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcref] = ACTIONS(7067),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCref] = ACTIONS(7067),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcpageref] = ACTIONS(7067),
    [anon_sym_BSLASHCpageref] = ACTIONS(7067),
    [anon_sym_BSLASHnamecref] = ACTIONS(7067),
    [anon_sym_BSLASHnameCref] = ACTIONS(7067),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7067),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7067),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7067),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7067),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7067),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7067),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7067),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7067),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7067),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7067),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7067),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHdef] = ACTIONS(7067),
    [anon_sym_BSLASHgdef] = ACTIONS(7067),
    [anon_sym_BSLASHedef] = ACTIONS(7067),
    [anon_sym_BSLASHxdef] = ACTIONS(7067),
    [anon_sym_BSLASHlet] = ACTIONS(7067),
    [anon_sym_BSLASHglet] = ACTIONS(7067),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7067),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7067),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7067),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7067),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7067),
    [anon_sym_BSLASHgls] = ACTIONS(7067),
    [anon_sym_BSLASHGls] = ACTIONS(7067),
    [anon_sym_BSLASHGLS] = ACTIONS(7067),
    [anon_sym_BSLASHglspl] = ACTIONS(7067),
    [anon_sym_BSLASHGlspl] = ACTIONS(7067),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7067),
    [anon_sym_BSLASHglslink] = ACTIONS(7067),
    [anon_sym_BSLASHglstext] = ACTIONS(7067),
    [anon_sym_BSLASHGlstext] = ACTIONS(7067),
    [anon_sym_BSLASHGLStext] = ACTIONS(7067),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7067),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7067),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7067),
    [anon_sym_BSLASHglsplural] = ACTIONS(7067),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7067),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7067),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHglsname] = ACTIONS(7067),
    [anon_sym_BSLASHGlsname] = ACTIONS(7067),
    [anon_sym_BSLASHGLSname] = ACTIONS(7067),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7067),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7067),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7067),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7067),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7067),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7067),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7067),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7067),
    [anon_sym_BSLASHacrshort] = ACTIONS(7067),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7067),
    [anon_sym_BSLASHACRshort] = ACTIONS(7067),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHacrlong] = ACTIONS(7067),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7067),
    [anon_sym_BSLASHACRlong] = ACTIONS(7067),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHacrfull] = ACTIONS(7067),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7067),
    [anon_sym_BSLASHACRfull] = ACTIONS(7067),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHacs] = ACTIONS(7067),
    [anon_sym_BSLASHAcs] = ACTIONS(7067),
    [anon_sym_BSLASHacsp] = ACTIONS(7067),
    [anon_sym_BSLASHAcsp] = ACTIONS(7067),
    [anon_sym_BSLASHacl] = ACTIONS(7067),
    [anon_sym_BSLASHAcl] = ACTIONS(7067),
    [anon_sym_BSLASHaclp] = ACTIONS(7067),
    [anon_sym_BSLASHAclp] = ACTIONS(7067),
    [anon_sym_BSLASHacf] = ACTIONS(7067),
    [anon_sym_BSLASHAcf] = ACTIONS(7067),
    [anon_sym_BSLASHacfp] = ACTIONS(7067),
    [anon_sym_BSLASHAcfp] = ACTIONS(7067),
    [anon_sym_BSLASHac] = ACTIONS(7067),
    [anon_sym_BSLASHAc] = ACTIONS(7067),
    [anon_sym_BSLASHacp] = ACTIONS(7067),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7067),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7067),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7067),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7067),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7067),
    [anon_sym_BSLASHcolor] = ACTIONS(7067),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7067),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7067),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7067),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7067),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7067),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7067),
    [anon_sym_BSLASHurl] = ACTIONS(7067),
    [anon_sym_BSLASHhref] = ACTIONS(7067),
  },
  [1146] = {
    [ts_builtin_sym_end] = ACTIONS(7005),
    [sym_command_name] = ACTIONS(7003),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7003),
    [anon_sym_LBRACK] = ACTIONS(7005),
    [anon_sym_RBRACK] = ACTIONS(7005),
    [anon_sym_COMMA] = ACTIONS(7005),
    [anon_sym_EQ] = ACTIONS(7005),
    [anon_sym_LPAREN] = ACTIONS(7005),
    [anon_sym_RPAREN] = ACTIONS(7005),
    [anon_sym_BSLASHpart] = ACTIONS(7003),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHaddpart] = ACTIONS(7003),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHchapter] = ACTIONS(7003),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHaddchap] = ACTIONS(7003),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHsection] = ACTIONS(7003),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHaddsec] = ACTIONS(7003),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHsubsection] = ACTIONS(7003),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7003),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHparagraph] = ACTIONS(7003),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7003),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHitem] = ACTIONS(7003),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7005),
    [anon_sym_LBRACE] = ACTIONS(7005),
    [anon_sym_RBRACE] = ACTIONS(7005),
    [sym_word] = ACTIONS(7003),
    [sym_placeholder] = ACTIONS(7005),
    [sym_delimiter] = ACTIONS(7005),
    [anon_sym_PLUS] = ACTIONS(7005),
    [anon_sym_DASH] = ACTIONS(7005),
    [anon_sym_STAR] = ACTIONS(7005),
    [anon_sym_SLASH] = ACTIONS(7005),
    [anon_sym_LT] = ACTIONS(7003),
    [anon_sym_GT] = ACTIONS(7003),
    [anon_sym_BANG] = ACTIONS(7003),
    [anon_sym_PIPE] = ACTIONS(7003),
    [anon_sym_COLON] = ACTIONS(7003),
    [anon_sym_SQUOTE] = ACTIONS(7003),
    [anon_sym__] = ACTIONS(7005),
    [anon_sym_CARET] = ACTIONS(7005),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7005),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7005),
    [anon_sym_DOLLAR] = ACTIONS(7003),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7005),
    [anon_sym_BSLASHleft] = ACTIONS(7003),
    [anon_sym_BSLASHbigl] = ACTIONS(7003),
    [anon_sym_BSLASHBigl] = ACTIONS(7003),
    [anon_sym_BSLASHbiggl] = ACTIONS(7003),
    [anon_sym_BSLASHBiggl] = ACTIONS(7003),
    [anon_sym_BSLASHtext] = ACTIONS(7003),
    [anon_sym_BSLASHintertext] = ACTIONS(7003),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7003),
    [anon_sym_BSLASHbegin] = ACTIONS(7003),
    [anon_sym_BSLASHtitle] = ACTIONS(7003),
    [anon_sym_BSLASHauthor] = ACTIONS(7003),
    [anon_sym_BSLASHusepackage] = ACTIONS(7003),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7003),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7003),
    [anon_sym_BSLASHinclude] = ACTIONS(7003),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7003),
    [anon_sym_BSLASHinput] = ACTIONS(7003),
    [anon_sym_BSLASHsubfile] = ACTIONS(7003),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7003),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7003),
    [anon_sym_BSLASHbibliography] = ACTIONS(7003),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7003),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7003),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7003),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7003),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7003),
    [anon_sym_BSLASHimport] = ACTIONS(7003),
    [anon_sym_BSLASHsubimport] = ACTIONS(7003),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7003),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7003),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7003),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7003),
    [anon_sym_BSLASHcaption] = ACTIONS(7003),
    [anon_sym_BSLASHcite] = ACTIONS(7003),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHCite] = ACTIONS(7003),
    [anon_sym_BSLASHnocite] = ACTIONS(7003),
    [anon_sym_BSLASHcitet] = ACTIONS(7003),
    [anon_sym_BSLASHcitep] = ACTIONS(7003),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHciteA] = ACTIONS(7003),
    [anon_sym_BSLASHciteR] = ACTIONS(7003),
    [anon_sym_BSLASHciteS] = ACTIONS(7003),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7003),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7003),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7003),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7003),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHciteyear] = ACTIONS(7003),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcitedate] = ACTIONS(7003),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHciteurl] = ACTIONS(7003),
    [anon_sym_BSLASHfullcite] = ACTIONS(7003),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7003),
    [anon_sym_BSLASHcitealt] = ACTIONS(7003),
    [anon_sym_BSLASHcitealp] = ACTIONS(7003),
    [anon_sym_BSLASHcitetext] = ACTIONS(7003),
    [anon_sym_BSLASHparencite] = ACTIONS(7003),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHParencite] = ACTIONS(7003),
    [anon_sym_BSLASHfootcite] = ACTIONS(7003),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7003),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7003),
    [anon_sym_BSLASHtextcite] = ACTIONS(7003),
    [anon_sym_BSLASHTextcite] = ACTIONS(7003),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7003),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7003),
    [anon_sym_BSLASHsupercite] = ACTIONS(7003),
    [anon_sym_BSLASHautocite] = ACTIONS(7003),
    [anon_sym_BSLASHAutocite] = ACTIONS(7003),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHVolcite] = ACTIONS(7003),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHavolcite] = ACTIONS(7003),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHnotecite] = ACTIONS(7003),
    [anon_sym_BSLASHNotecite] = ACTIONS(7003),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7003),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7003),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7003),
    [anon_sym_BSLASHlabel] = ACTIONS(7003),
    [anon_sym_BSLASHref] = ACTIONS(7003),
    [anon_sym_BSLASHeqref] = ACTIONS(7003),
    [anon_sym_BSLASHvref] = ACTIONS(7003),
    [anon_sym_BSLASHVref] = ACTIONS(7003),
    [anon_sym_BSLASHautoref] = ACTIONS(7003),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHpageref] = ACTIONS(7003),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHautopageref] = ACTIONS(7003),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcref] = ACTIONS(7003),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHCref] = ACTIONS(7003),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcpageref] = ACTIONS(7003),
    [anon_sym_BSLASHCpageref] = ACTIONS(7003),
    [anon_sym_BSLASHnamecref] = ACTIONS(7003),
    [anon_sym_BSLASHnameCref] = ACTIONS(7003),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7003),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7003),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7003),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7003),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7003),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7003),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7003),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7003),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7003),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7003),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7003),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7003),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7003),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7003),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7003),
    [anon_sym_BSLASHdef] = ACTIONS(7003),
    [anon_sym_BSLASHgdef] = ACTIONS(7003),
    [anon_sym_BSLASHedef] = ACTIONS(7003),
    [anon_sym_BSLASHxdef] = ACTIONS(7003),
    [anon_sym_BSLASHlet] = ACTIONS(7003),
    [anon_sym_BSLASHglet] = ACTIONS(7003),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7003),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7003),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7003),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7003),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7003),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7003),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7003),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7003),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7003),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7003),
    [anon_sym_BSLASHgls] = ACTIONS(7003),
    [anon_sym_BSLASHGls] = ACTIONS(7003),
    [anon_sym_BSLASHGLS] = ACTIONS(7003),
    [anon_sym_BSLASHglspl] = ACTIONS(7003),
    [anon_sym_BSLASHGlspl] = ACTIONS(7003),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7003),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7003),
    [anon_sym_BSLASHglslink] = ACTIONS(7003),
    [anon_sym_BSLASHglstext] = ACTIONS(7003),
    [anon_sym_BSLASHGlstext] = ACTIONS(7003),
    [anon_sym_BSLASHGLStext] = ACTIONS(7003),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7003),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7003),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7003),
    [anon_sym_BSLASHglsplural] = ACTIONS(7003),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7003),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7003),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7003),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7003),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7003),
    [anon_sym_BSLASHglsname] = ACTIONS(7003),
    [anon_sym_BSLASHGlsname] = ACTIONS(7003),
    [anon_sym_BSLASHGLSname] = ACTIONS(7003),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7003),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7003),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7003),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7003),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7003),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7003),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7003),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7003),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7003),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7003),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7003),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7003),
    [anon_sym_BSLASHacrshort] = ACTIONS(7003),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7003),
    [anon_sym_BSLASHACRshort] = ACTIONS(7003),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7003),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7003),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7003),
    [anon_sym_BSLASHacrlong] = ACTIONS(7003),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7003),
    [anon_sym_BSLASHACRlong] = ACTIONS(7003),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7003),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7003),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7003),
    [anon_sym_BSLASHacrfull] = ACTIONS(7003),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7003),
    [anon_sym_BSLASHACRfull] = ACTIONS(7003),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7003),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7003),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7003),
    [anon_sym_BSLASHacs] = ACTIONS(7003),
    [anon_sym_BSLASHAcs] = ACTIONS(7003),
    [anon_sym_BSLASHacsp] = ACTIONS(7003),
    [anon_sym_BSLASHAcsp] = ACTIONS(7003),
    [anon_sym_BSLASHacl] = ACTIONS(7003),
    [anon_sym_BSLASHAcl] = ACTIONS(7003),
    [anon_sym_BSLASHaclp] = ACTIONS(7003),
    [anon_sym_BSLASHAclp] = ACTIONS(7003),
    [anon_sym_BSLASHacf] = ACTIONS(7003),
    [anon_sym_BSLASHAcf] = ACTIONS(7003),
    [anon_sym_BSLASHacfp] = ACTIONS(7003),
    [anon_sym_BSLASHAcfp] = ACTIONS(7003),
    [anon_sym_BSLASHac] = ACTIONS(7003),
    [anon_sym_BSLASHAc] = ACTIONS(7003),
    [anon_sym_BSLASHacp] = ACTIONS(7003),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7003),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7003),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7003),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7003),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7003),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7003),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7003),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7003),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7003),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7003),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7003),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7003),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7003),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7003),
    [anon_sym_BSLASHcolor] = ACTIONS(7003),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7003),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7003),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7003),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7003),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7003),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7003),
    [anon_sym_BSLASHurl] = ACTIONS(7003),
    [anon_sym_BSLASHhref] = ACTIONS(7003),
  },
  [1147] = {
    [ts_builtin_sym_end] = ACTIONS(171),
    [sym_command_name] = ACTIONS(169),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_COMMA] = ACTIONS(171),
    [anon_sym_EQ] = ACTIONS(171),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_BSLASHpart] = ACTIONS(169),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddpart] = ACTIONS(169),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(171),
    [anon_sym_BSLASHchapter] = ACTIONS(169),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddchap] = ACTIONS(169),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsection] = ACTIONS(169),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddsec] = ACTIONS(169),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubsection] = ACTIONS(169),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(169),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHparagraph] = ACTIONS(169),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(169),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(171),
    [anon_sym_BSLASHitem] = ACTIONS(169),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(171),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_RBRACE] = ACTIONS(171),
    [sym_word] = ACTIONS(169),
    [sym_placeholder] = ACTIONS(171),
    [sym_delimiter] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_STAR] = ACTIONS(171),
    [anon_sym_SLASH] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(169),
    [anon_sym_GT] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_PIPE] = ACTIONS(169),
    [anon_sym_COLON] = ACTIONS(169),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym__] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(171),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(171),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(171),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(171),
    [anon_sym_BSLASHleft] = ACTIONS(169),
    [anon_sym_BSLASHbigl] = ACTIONS(169),
    [anon_sym_BSLASHBigl] = ACTIONS(169),
    [anon_sym_BSLASHbiggl] = ACTIONS(169),
    [anon_sym_BSLASHBiggl] = ACTIONS(169),
    [anon_sym_BSLASHtext] = ACTIONS(169),
    [anon_sym_BSLASHintertext] = ACTIONS(169),
    [anon_sym_BSLASHshortintertext] = ACTIONS(169),
    [anon_sym_BSLASHbegin] = ACTIONS(169),
    [anon_sym_BSLASHtitle] = ACTIONS(169),
    [anon_sym_BSLASHauthor] = ACTIONS(169),
    [anon_sym_BSLASHusepackage] = ACTIONS(169),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(169),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(169),
    [anon_sym_BSLASHinclude] = ACTIONS(169),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(169),
    [anon_sym_BSLASHinput] = ACTIONS(169),
    [anon_sym_BSLASHsubfile] = ACTIONS(169),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(169),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(169),
    [anon_sym_BSLASHbibliography] = ACTIONS(169),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(169),
    [anon_sym_BSLASHincludesvg] = ACTIONS(169),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(169),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(169),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(169),
    [anon_sym_BSLASHimport] = ACTIONS(169),
    [anon_sym_BSLASHsubimport] = ACTIONS(169),
    [anon_sym_BSLASHinputfrom] = ACTIONS(169),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(169),
    [anon_sym_BSLASHincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHcaption] = ACTIONS(169),
    [anon_sym_BSLASHcite] = ACTIONS(169),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCite] = ACTIONS(169),
    [anon_sym_BSLASHnocite] = ACTIONS(169),
    [anon_sym_BSLASHcitet] = ACTIONS(169),
    [anon_sym_BSLASHcitep] = ACTIONS(169),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteA] = ACTIONS(169),
    [anon_sym_BSLASHciteR] = ACTIONS(169),
    [anon_sym_BSLASHciteS] = ACTIONS(169),
    [anon_sym_BSLASHciteyearR] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(169),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitetitle] = ACTIONS(169),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteyear] = ACTIONS(169),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitedate] = ACTIONS(169),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteurl] = ACTIONS(169),
    [anon_sym_BSLASHfullcite] = ACTIONS(169),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(169),
    [anon_sym_BSLASHcitealt] = ACTIONS(169),
    [anon_sym_BSLASHcitealp] = ACTIONS(169),
    [anon_sym_BSLASHcitetext] = ACTIONS(169),
    [anon_sym_BSLASHparencite] = ACTIONS(169),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHParencite] = ACTIONS(169),
    [anon_sym_BSLASHfootcite] = ACTIONS(169),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(169),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(169),
    [anon_sym_BSLASHtextcite] = ACTIONS(169),
    [anon_sym_BSLASHTextcite] = ACTIONS(169),
    [anon_sym_BSLASHsmartcite] = ACTIONS(169),
    [anon_sym_BSLASHSmartcite] = ACTIONS(169),
    [anon_sym_BSLASHsupercite] = ACTIONS(169),
    [anon_sym_BSLASHautocite] = ACTIONS(169),
    [anon_sym_BSLASHAutocite] = ACTIONS(169),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHvolcite] = ACTIONS(169),
    [anon_sym_BSLASHVolcite] = ACTIONS(169),
    [anon_sym_BSLASHpvolcite] = ACTIONS(169),
    [anon_sym_BSLASHPvolcite] = ACTIONS(169),
    [anon_sym_BSLASHfvolcite] = ACTIONS(169),
    [anon_sym_BSLASHftvolcite] = ACTIONS(169),
    [anon_sym_BSLASHsvolcite] = ACTIONS(169),
    [anon_sym_BSLASHSvolcite] = ACTIONS(169),
    [anon_sym_BSLASHtvolcite] = ACTIONS(169),
    [anon_sym_BSLASHTvolcite] = ACTIONS(169),
    [anon_sym_BSLASHavolcite] = ACTIONS(169),
    [anon_sym_BSLASHAvolcite] = ACTIONS(169),
    [anon_sym_BSLASHnotecite] = ACTIONS(169),
    [anon_sym_BSLASHNotecite] = ACTIONS(169),
    [anon_sym_BSLASHpnotecite] = ACTIONS(169),
    [anon_sym_BSLASHPnotecite] = ACTIONS(169),
    [anon_sym_BSLASHfnotecite] = ACTIONS(169),
    [anon_sym_BSLASHlabel] = ACTIONS(169),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHeqref] = ACTIONS(169),
    [anon_sym_BSLASHvref] = ACTIONS(169),
    [anon_sym_BSLASHVref] = ACTIONS(169),
    [anon_sym_BSLASHautoref] = ACTIONS(169),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHpageref] = ACTIONS(169),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHautopageref] = ACTIONS(169),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcref] = ACTIONS(169),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCref] = ACTIONS(169),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpageref] = ACTIONS(169),
    [anon_sym_BSLASHCpageref] = ACTIONS(169),
    [anon_sym_BSLASHnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnameCref] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcrefrange] = ACTIONS(169),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCrefrange] = ACTIONS(169),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHnewlabel] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(169),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(169),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(169),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(171),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHdef] = ACTIONS(169),
    [anon_sym_BSLASHgdef] = ACTIONS(169),
    [anon_sym_BSLASHedef] = ACTIONS(169),
    [anon_sym_BSLASHxdef] = ACTIONS(169),
    [anon_sym_BSLASHlet] = ACTIONS(169),
    [anon_sym_BSLASHglet] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(169),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(169),
    [anon_sym_BSLASHgls] = ACTIONS(169),
    [anon_sym_BSLASHGls] = ACTIONS(169),
    [anon_sym_BSLASHGLS] = ACTIONS(169),
    [anon_sym_BSLASHglspl] = ACTIONS(169),
    [anon_sym_BSLASHGlspl] = ACTIONS(169),
    [anon_sym_BSLASHGLSpl] = ACTIONS(169),
    [anon_sym_BSLASHglsdisp] = ACTIONS(169),
    [anon_sym_BSLASHglslink] = ACTIONS(169),
    [anon_sym_BSLASHglstext] = ACTIONS(169),
    [anon_sym_BSLASHGlstext] = ACTIONS(169),
    [anon_sym_BSLASHGLStext] = ACTIONS(169),
    [anon_sym_BSLASHglsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(169),
    [anon_sym_BSLASHglsplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSplural] = ACTIONS(169),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHglsname] = ACTIONS(169),
    [anon_sym_BSLASHGlsname] = ACTIONS(169),
    [anon_sym_BSLASHGLSname] = ACTIONS(169),
    [anon_sym_BSLASHglssymbol] = ACTIONS(169),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(169),
    [anon_sym_BSLASHglsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(169),
    [anon_sym_BSLASHglsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(169),
    [anon_sym_BSLASHglsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(169),
    [anon_sym_BSLASHglsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(169),
    [anon_sym_BSLASHglsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(169),
    [anon_sym_BSLASHnewacronym] = ACTIONS(169),
    [anon_sym_BSLASHacrshort] = ACTIONS(169),
    [anon_sym_BSLASHAcrshort] = ACTIONS(169),
    [anon_sym_BSLASHACRshort] = ACTIONS(169),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(169),
    [anon_sym_BSLASHacrlong] = ACTIONS(169),
    [anon_sym_BSLASHAcrlong] = ACTIONS(169),
    [anon_sym_BSLASHACRlong] = ACTIONS(169),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(169),
    [anon_sym_BSLASHacrfull] = ACTIONS(169),
    [anon_sym_BSLASHAcrfull] = ACTIONS(169),
    [anon_sym_BSLASHACRfull] = ACTIONS(169),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(169),
    [anon_sym_BSLASHacs] = ACTIONS(169),
    [anon_sym_BSLASHAcs] = ACTIONS(169),
    [anon_sym_BSLASHacsp] = ACTIONS(169),
    [anon_sym_BSLASHAcsp] = ACTIONS(169),
    [anon_sym_BSLASHacl] = ACTIONS(169),
    [anon_sym_BSLASHAcl] = ACTIONS(169),
    [anon_sym_BSLASHaclp] = ACTIONS(169),
    [anon_sym_BSLASHAclp] = ACTIONS(169),
    [anon_sym_BSLASHacf] = ACTIONS(169),
    [anon_sym_BSLASHAcf] = ACTIONS(169),
    [anon_sym_BSLASHacfp] = ACTIONS(169),
    [anon_sym_BSLASHAcfp] = ACTIONS(169),
    [anon_sym_BSLASHac] = ACTIONS(169),
    [anon_sym_BSLASHAc] = ACTIONS(169),
    [anon_sym_BSLASHacp] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(169),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(169),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(169),
    [anon_sym_BSLASHcolor] = ACTIONS(169),
    [anon_sym_BSLASHpagecolor] = ACTIONS(169),
    [anon_sym_BSLASHtextcolor] = ACTIONS(169),
    [anon_sym_BSLASHmathcolor] = ACTIONS(169),
    [anon_sym_BSLASHcolorbox] = ACTIONS(169),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(169),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(169),
    [anon_sym_BSLASHurl] = ACTIONS(169),
    [anon_sym_BSLASHhref] = ACTIONS(169),
  },
  [1148] = {
    [ts_builtin_sym_end] = ACTIONS(7309),
    [sym_command_name] = ACTIONS(7307),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7307),
    [anon_sym_LBRACK] = ACTIONS(7309),
    [anon_sym_RBRACK] = ACTIONS(7309),
    [anon_sym_COMMA] = ACTIONS(7309),
    [anon_sym_EQ] = ACTIONS(7309),
    [anon_sym_LPAREN] = ACTIONS(7309),
    [anon_sym_RPAREN] = ACTIONS(7309),
    [anon_sym_BSLASHpart] = ACTIONS(7307),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHaddpart] = ACTIONS(7307),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHchapter] = ACTIONS(7307),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHaddchap] = ACTIONS(7307),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHsection] = ACTIONS(7307),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHaddsec] = ACTIONS(7307),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHsubsection] = ACTIONS(7307),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7307),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHparagraph] = ACTIONS(7307),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7307),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHitem] = ACTIONS(7307),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7309),
    [anon_sym_LBRACE] = ACTIONS(7309),
    [anon_sym_RBRACE] = ACTIONS(7309),
    [sym_word] = ACTIONS(7307),
    [sym_placeholder] = ACTIONS(7309),
    [sym_delimiter] = ACTIONS(7309),
    [anon_sym_PLUS] = ACTIONS(7309),
    [anon_sym_DASH] = ACTIONS(7309),
    [anon_sym_STAR] = ACTIONS(7309),
    [anon_sym_SLASH] = ACTIONS(7309),
    [anon_sym_LT] = ACTIONS(7307),
    [anon_sym_GT] = ACTIONS(7307),
    [anon_sym_BANG] = ACTIONS(7307),
    [anon_sym_PIPE] = ACTIONS(7307),
    [anon_sym_COLON] = ACTIONS(7307),
    [anon_sym_SQUOTE] = ACTIONS(7307),
    [anon_sym__] = ACTIONS(7309),
    [anon_sym_CARET] = ACTIONS(7309),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7309),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7309),
    [anon_sym_DOLLAR] = ACTIONS(7307),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7309),
    [anon_sym_BSLASHleft] = ACTIONS(7307),
    [anon_sym_BSLASHbigl] = ACTIONS(7307),
    [anon_sym_BSLASHBigl] = ACTIONS(7307),
    [anon_sym_BSLASHbiggl] = ACTIONS(7307),
    [anon_sym_BSLASHBiggl] = ACTIONS(7307),
    [anon_sym_BSLASHtext] = ACTIONS(7307),
    [anon_sym_BSLASHintertext] = ACTIONS(7307),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7307),
    [anon_sym_BSLASHbegin] = ACTIONS(7307),
    [anon_sym_BSLASHtitle] = ACTIONS(7307),
    [anon_sym_BSLASHauthor] = ACTIONS(7307),
    [anon_sym_BSLASHusepackage] = ACTIONS(7307),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7307),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7307),
    [anon_sym_BSLASHinclude] = ACTIONS(7307),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7307),
    [anon_sym_BSLASHinput] = ACTIONS(7307),
    [anon_sym_BSLASHsubfile] = ACTIONS(7307),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7307),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7307),
    [anon_sym_BSLASHbibliography] = ACTIONS(7307),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7307),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7307),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7307),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7307),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7307),
    [anon_sym_BSLASHimport] = ACTIONS(7307),
    [anon_sym_BSLASHsubimport] = ACTIONS(7307),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7307),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7307),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7307),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7307),
    [anon_sym_BSLASHcaption] = ACTIONS(7307),
    [anon_sym_BSLASHcite] = ACTIONS(7307),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCite] = ACTIONS(7307),
    [anon_sym_BSLASHnocite] = ACTIONS(7307),
    [anon_sym_BSLASHcitet] = ACTIONS(7307),
    [anon_sym_BSLASHcitep] = ACTIONS(7307),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteA] = ACTIONS(7307),
    [anon_sym_BSLASHciteR] = ACTIONS(7307),
    [anon_sym_BSLASHciteS] = ACTIONS(7307),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7307),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7307),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7307),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7307),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteyear] = ACTIONS(7307),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitedate] = ACTIONS(7307),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteurl] = ACTIONS(7307),
    [anon_sym_BSLASHfullcite] = ACTIONS(7307),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7307),
    [anon_sym_BSLASHcitealt] = ACTIONS(7307),
    [anon_sym_BSLASHcitealp] = ACTIONS(7307),
    [anon_sym_BSLASHcitetext] = ACTIONS(7307),
    [anon_sym_BSLASHparencite] = ACTIONS(7307),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHParencite] = ACTIONS(7307),
    [anon_sym_BSLASHfootcite] = ACTIONS(7307),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7307),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7307),
    [anon_sym_BSLASHtextcite] = ACTIONS(7307),
    [anon_sym_BSLASHTextcite] = ACTIONS(7307),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7307),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7307),
    [anon_sym_BSLASHsupercite] = ACTIONS(7307),
    [anon_sym_BSLASHautocite] = ACTIONS(7307),
    [anon_sym_BSLASHAutocite] = ACTIONS(7307),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHVolcite] = ACTIONS(7307),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHavolcite] = ACTIONS(7307),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHNotecite] = ACTIONS(7307),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHlabel] = ACTIONS(7307),
    [anon_sym_BSLASHref] = ACTIONS(7307),
    [anon_sym_BSLASHeqref] = ACTIONS(7307),
    [anon_sym_BSLASHvref] = ACTIONS(7307),
    [anon_sym_BSLASHVref] = ACTIONS(7307),
    [anon_sym_BSLASHautoref] = ACTIONS(7307),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHpageref] = ACTIONS(7307),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHautopageref] = ACTIONS(7307),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcref] = ACTIONS(7307),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCref] = ACTIONS(7307),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcpageref] = ACTIONS(7307),
    [anon_sym_BSLASHCpageref] = ACTIONS(7307),
    [anon_sym_BSLASHnamecref] = ACTIONS(7307),
    [anon_sym_BSLASHnameCref] = ACTIONS(7307),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7307),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7307),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7307),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7307),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7307),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7307),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7307),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7307),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7307),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7307),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7307),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHdef] = ACTIONS(7307),
    [anon_sym_BSLASHgdef] = ACTIONS(7307),
    [anon_sym_BSLASHedef] = ACTIONS(7307),
    [anon_sym_BSLASHxdef] = ACTIONS(7307),
    [anon_sym_BSLASHlet] = ACTIONS(7307),
    [anon_sym_BSLASHglet] = ACTIONS(7307),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7307),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7307),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7307),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7307),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7307),
    [anon_sym_BSLASHgls] = ACTIONS(7307),
    [anon_sym_BSLASHGls] = ACTIONS(7307),
    [anon_sym_BSLASHGLS] = ACTIONS(7307),
    [anon_sym_BSLASHglspl] = ACTIONS(7307),
    [anon_sym_BSLASHGlspl] = ACTIONS(7307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7307),
    [anon_sym_BSLASHglslink] = ACTIONS(7307),
    [anon_sym_BSLASHglstext] = ACTIONS(7307),
    [anon_sym_BSLASHGlstext] = ACTIONS(7307),
    [anon_sym_BSLASHGLStext] = ACTIONS(7307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7307),
    [anon_sym_BSLASHglsplural] = ACTIONS(7307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHglsname] = ACTIONS(7307),
    [anon_sym_BSLASHGlsname] = ACTIONS(7307),
    [anon_sym_BSLASHGLSname] = ACTIONS(7307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7307),
    [anon_sym_BSLASHacrshort] = ACTIONS(7307),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7307),
    [anon_sym_BSLASHACRshort] = ACTIONS(7307),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHacrlong] = ACTIONS(7307),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7307),
    [anon_sym_BSLASHACRlong] = ACTIONS(7307),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHacrfull] = ACTIONS(7307),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7307),
    [anon_sym_BSLASHACRfull] = ACTIONS(7307),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHacs] = ACTIONS(7307),
    [anon_sym_BSLASHAcs] = ACTIONS(7307),
    [anon_sym_BSLASHacsp] = ACTIONS(7307),
    [anon_sym_BSLASHAcsp] = ACTIONS(7307),
    [anon_sym_BSLASHacl] = ACTIONS(7307),
    [anon_sym_BSLASHAcl] = ACTIONS(7307),
    [anon_sym_BSLASHaclp] = ACTIONS(7307),
    [anon_sym_BSLASHAclp] = ACTIONS(7307),
    [anon_sym_BSLASHacf] = ACTIONS(7307),
    [anon_sym_BSLASHAcf] = ACTIONS(7307),
    [anon_sym_BSLASHacfp] = ACTIONS(7307),
    [anon_sym_BSLASHAcfp] = ACTIONS(7307),
    [anon_sym_BSLASHac] = ACTIONS(7307),
    [anon_sym_BSLASHAc] = ACTIONS(7307),
    [anon_sym_BSLASHacp] = ACTIONS(7307),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7307),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7307),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7307),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7307),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7307),
    [anon_sym_BSLASHcolor] = ACTIONS(7307),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7307),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7307),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7307),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7307),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7307),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7307),
    [anon_sym_BSLASHurl] = ACTIONS(7307),
    [anon_sym_BSLASHhref] = ACTIONS(7307),
  },
  [1149] = {
    [ts_builtin_sym_end] = ACTIONS(7313),
    [sym_command_name] = ACTIONS(7311),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7311),
    [anon_sym_LBRACK] = ACTIONS(7313),
    [anon_sym_RBRACK] = ACTIONS(7313),
    [anon_sym_COMMA] = ACTIONS(7313),
    [anon_sym_EQ] = ACTIONS(7313),
    [anon_sym_LPAREN] = ACTIONS(7313),
    [anon_sym_RPAREN] = ACTIONS(7313),
    [anon_sym_BSLASHpart] = ACTIONS(7311),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHaddpart] = ACTIONS(7311),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHchapter] = ACTIONS(7311),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHaddchap] = ACTIONS(7311),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHsection] = ACTIONS(7311),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHaddsec] = ACTIONS(7311),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHsubsection] = ACTIONS(7311),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7311),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHparagraph] = ACTIONS(7311),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7311),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHitem] = ACTIONS(7311),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7313),
    [anon_sym_LBRACE] = ACTIONS(7313),
    [anon_sym_RBRACE] = ACTIONS(7313),
    [sym_word] = ACTIONS(7311),
    [sym_placeholder] = ACTIONS(7313),
    [sym_delimiter] = ACTIONS(7313),
    [anon_sym_PLUS] = ACTIONS(7313),
    [anon_sym_DASH] = ACTIONS(7313),
    [anon_sym_STAR] = ACTIONS(7313),
    [anon_sym_SLASH] = ACTIONS(7313),
    [anon_sym_LT] = ACTIONS(7311),
    [anon_sym_GT] = ACTIONS(7311),
    [anon_sym_BANG] = ACTIONS(7311),
    [anon_sym_PIPE] = ACTIONS(7311),
    [anon_sym_COLON] = ACTIONS(7311),
    [anon_sym_SQUOTE] = ACTIONS(7311),
    [anon_sym__] = ACTIONS(7313),
    [anon_sym_CARET] = ACTIONS(7313),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7313),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7313),
    [anon_sym_DOLLAR] = ACTIONS(7311),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7313),
    [anon_sym_BSLASHleft] = ACTIONS(7311),
    [anon_sym_BSLASHbigl] = ACTIONS(7311),
    [anon_sym_BSLASHBigl] = ACTIONS(7311),
    [anon_sym_BSLASHbiggl] = ACTIONS(7311),
    [anon_sym_BSLASHBiggl] = ACTIONS(7311),
    [anon_sym_BSLASHtext] = ACTIONS(7311),
    [anon_sym_BSLASHintertext] = ACTIONS(7311),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7311),
    [anon_sym_BSLASHbegin] = ACTIONS(7311),
    [anon_sym_BSLASHtitle] = ACTIONS(7311),
    [anon_sym_BSLASHauthor] = ACTIONS(7311),
    [anon_sym_BSLASHusepackage] = ACTIONS(7311),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7311),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7311),
    [anon_sym_BSLASHinclude] = ACTIONS(7311),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7311),
    [anon_sym_BSLASHinput] = ACTIONS(7311),
    [anon_sym_BSLASHsubfile] = ACTIONS(7311),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7311),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7311),
    [anon_sym_BSLASHbibliography] = ACTIONS(7311),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7311),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7311),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7311),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7311),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7311),
    [anon_sym_BSLASHimport] = ACTIONS(7311),
    [anon_sym_BSLASHsubimport] = ACTIONS(7311),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7311),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7311),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7311),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7311),
    [anon_sym_BSLASHcaption] = ACTIONS(7311),
    [anon_sym_BSLASHcite] = ACTIONS(7311),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCite] = ACTIONS(7311),
    [anon_sym_BSLASHnocite] = ACTIONS(7311),
    [anon_sym_BSLASHcitet] = ACTIONS(7311),
    [anon_sym_BSLASHcitep] = ACTIONS(7311),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteA] = ACTIONS(7311),
    [anon_sym_BSLASHciteR] = ACTIONS(7311),
    [anon_sym_BSLASHciteS] = ACTIONS(7311),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7311),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7311),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7311),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7311),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteyear] = ACTIONS(7311),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitedate] = ACTIONS(7311),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteurl] = ACTIONS(7311),
    [anon_sym_BSLASHfullcite] = ACTIONS(7311),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7311),
    [anon_sym_BSLASHcitealt] = ACTIONS(7311),
    [anon_sym_BSLASHcitealp] = ACTIONS(7311),
    [anon_sym_BSLASHcitetext] = ACTIONS(7311),
    [anon_sym_BSLASHparencite] = ACTIONS(7311),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHParencite] = ACTIONS(7311),
    [anon_sym_BSLASHfootcite] = ACTIONS(7311),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7311),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7311),
    [anon_sym_BSLASHtextcite] = ACTIONS(7311),
    [anon_sym_BSLASHTextcite] = ACTIONS(7311),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7311),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7311),
    [anon_sym_BSLASHsupercite] = ACTIONS(7311),
    [anon_sym_BSLASHautocite] = ACTIONS(7311),
    [anon_sym_BSLASHAutocite] = ACTIONS(7311),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHVolcite] = ACTIONS(7311),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHavolcite] = ACTIONS(7311),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHNotecite] = ACTIONS(7311),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHlabel] = ACTIONS(7311),
    [anon_sym_BSLASHref] = ACTIONS(7311),
    [anon_sym_BSLASHeqref] = ACTIONS(7311),
    [anon_sym_BSLASHvref] = ACTIONS(7311),
    [anon_sym_BSLASHVref] = ACTIONS(7311),
    [anon_sym_BSLASHautoref] = ACTIONS(7311),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHpageref] = ACTIONS(7311),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHautopageref] = ACTIONS(7311),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcref] = ACTIONS(7311),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCref] = ACTIONS(7311),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcpageref] = ACTIONS(7311),
    [anon_sym_BSLASHCpageref] = ACTIONS(7311),
    [anon_sym_BSLASHnamecref] = ACTIONS(7311),
    [anon_sym_BSLASHnameCref] = ACTIONS(7311),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7311),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7311),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7311),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7311),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7311),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7311),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7311),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7311),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7311),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7311),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7311),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHdef] = ACTIONS(7311),
    [anon_sym_BSLASHgdef] = ACTIONS(7311),
    [anon_sym_BSLASHedef] = ACTIONS(7311),
    [anon_sym_BSLASHxdef] = ACTIONS(7311),
    [anon_sym_BSLASHlet] = ACTIONS(7311),
    [anon_sym_BSLASHglet] = ACTIONS(7311),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7311),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7311),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7311),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7311),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7311),
    [anon_sym_BSLASHgls] = ACTIONS(7311),
    [anon_sym_BSLASHGls] = ACTIONS(7311),
    [anon_sym_BSLASHGLS] = ACTIONS(7311),
    [anon_sym_BSLASHglspl] = ACTIONS(7311),
    [anon_sym_BSLASHGlspl] = ACTIONS(7311),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7311),
    [anon_sym_BSLASHglslink] = ACTIONS(7311),
    [anon_sym_BSLASHglstext] = ACTIONS(7311),
    [anon_sym_BSLASHGlstext] = ACTIONS(7311),
    [anon_sym_BSLASHGLStext] = ACTIONS(7311),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7311),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7311),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7311),
    [anon_sym_BSLASHglsplural] = ACTIONS(7311),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7311),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7311),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHglsname] = ACTIONS(7311),
    [anon_sym_BSLASHGlsname] = ACTIONS(7311),
    [anon_sym_BSLASHGLSname] = ACTIONS(7311),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7311),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7311),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7311),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7311),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7311),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7311),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7311),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7311),
    [anon_sym_BSLASHacrshort] = ACTIONS(7311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7311),
    [anon_sym_BSLASHACRshort] = ACTIONS(7311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHacrlong] = ACTIONS(7311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7311),
    [anon_sym_BSLASHACRlong] = ACTIONS(7311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHacrfull] = ACTIONS(7311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7311),
    [anon_sym_BSLASHACRfull] = ACTIONS(7311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHacs] = ACTIONS(7311),
    [anon_sym_BSLASHAcs] = ACTIONS(7311),
    [anon_sym_BSLASHacsp] = ACTIONS(7311),
    [anon_sym_BSLASHAcsp] = ACTIONS(7311),
    [anon_sym_BSLASHacl] = ACTIONS(7311),
    [anon_sym_BSLASHAcl] = ACTIONS(7311),
    [anon_sym_BSLASHaclp] = ACTIONS(7311),
    [anon_sym_BSLASHAclp] = ACTIONS(7311),
    [anon_sym_BSLASHacf] = ACTIONS(7311),
    [anon_sym_BSLASHAcf] = ACTIONS(7311),
    [anon_sym_BSLASHacfp] = ACTIONS(7311),
    [anon_sym_BSLASHAcfp] = ACTIONS(7311),
    [anon_sym_BSLASHac] = ACTIONS(7311),
    [anon_sym_BSLASHAc] = ACTIONS(7311),
    [anon_sym_BSLASHacp] = ACTIONS(7311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7311),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7311),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7311),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7311),
    [anon_sym_BSLASHcolor] = ACTIONS(7311),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7311),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7311),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7311),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7311),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7311),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7311),
    [anon_sym_BSLASHurl] = ACTIONS(7311),
    [anon_sym_BSLASHhref] = ACTIONS(7311),
  },
  [1150] = {
    [sym_brack_group_text] = STATE(1396),
    [sym_command_name] = ACTIONS(6917),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6917),
    [anon_sym_LBRACK] = ACTIONS(7797),
    [anon_sym_RBRACK] = ACTIONS(6921),
    [anon_sym_COMMA] = ACTIONS(6921),
    [anon_sym_EQ] = ACTIONS(6921),
    [anon_sym_LPAREN] = ACTIONS(6921),
    [anon_sym_RPAREN] = ACTIONS(6921),
    [anon_sym_BSLASHpart] = ACTIONS(6917),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHaddpart] = ACTIONS(6917),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHchapter] = ACTIONS(6917),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHaddchap] = ACTIONS(6917),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHsection] = ACTIONS(6917),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHaddsec] = ACTIONS(6917),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHsubsection] = ACTIONS(6917),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6917),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHparagraph] = ACTIONS(6917),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6917),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHitem] = ACTIONS(6917),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6921),
    [anon_sym_LBRACE] = ACTIONS(6921),
    [sym_word] = ACTIONS(6917),
    [sym_placeholder] = ACTIONS(6921),
    [sym_delimiter] = ACTIONS(6921),
    [anon_sym_PLUS] = ACTIONS(6921),
    [anon_sym_DASH] = ACTIONS(6921),
    [anon_sym_STAR] = ACTIONS(6921),
    [anon_sym_SLASH] = ACTIONS(6921),
    [anon_sym_LT] = ACTIONS(6917),
    [anon_sym_GT] = ACTIONS(6917),
    [anon_sym_BANG] = ACTIONS(6917),
    [anon_sym_PIPE] = ACTIONS(6917),
    [anon_sym_COLON] = ACTIONS(6917),
    [anon_sym_SQUOTE] = ACTIONS(6917),
    [anon_sym__] = ACTIONS(6921),
    [anon_sym_CARET] = ACTIONS(6921),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6921),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6921),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6921),
    [anon_sym_DOLLAR] = ACTIONS(6917),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6921),
    [anon_sym_BSLASHleft] = ACTIONS(6917),
    [anon_sym_BSLASHbigl] = ACTIONS(6917),
    [anon_sym_BSLASHBigl] = ACTIONS(6917),
    [anon_sym_BSLASHbiggl] = ACTIONS(6917),
    [anon_sym_BSLASHBiggl] = ACTIONS(6917),
    [anon_sym_BSLASHtext] = ACTIONS(6917),
    [anon_sym_BSLASHintertext] = ACTIONS(6917),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6917),
    [anon_sym_BSLASHbegin] = ACTIONS(6917),
    [anon_sym_BSLASHtitle] = ACTIONS(6917),
    [anon_sym_BSLASHauthor] = ACTIONS(6917),
    [anon_sym_BSLASHusepackage] = ACTIONS(6917),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6917),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6917),
    [anon_sym_BSLASHinclude] = ACTIONS(6917),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6917),
    [anon_sym_BSLASHinput] = ACTIONS(6917),
    [anon_sym_BSLASHsubfile] = ACTIONS(6917),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6917),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6917),
    [anon_sym_BSLASHbibliography] = ACTIONS(6917),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6917),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6917),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6917),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6917),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6917),
    [anon_sym_BSLASHimport] = ACTIONS(6917),
    [anon_sym_BSLASHsubimport] = ACTIONS(6917),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6917),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6917),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6917),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6917),
    [anon_sym_BSLASHcaption] = ACTIONS(6917),
    [anon_sym_BSLASHcite] = ACTIONS(6917),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCite] = ACTIONS(6917),
    [anon_sym_BSLASHnocite] = ACTIONS(6917),
    [anon_sym_BSLASHcitet] = ACTIONS(6917),
    [anon_sym_BSLASHcitep] = ACTIONS(6917),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteA] = ACTIONS(6917),
    [anon_sym_BSLASHciteR] = ACTIONS(6917),
    [anon_sym_BSLASHciteS] = ACTIONS(6917),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6917),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6917),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6917),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6917),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteyear] = ACTIONS(6917),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitedate] = ACTIONS(6917),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteurl] = ACTIONS(6917),
    [anon_sym_BSLASHfullcite] = ACTIONS(6917),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6917),
    [anon_sym_BSLASHcitealt] = ACTIONS(6917),
    [anon_sym_BSLASHcitealp] = ACTIONS(6917),
    [anon_sym_BSLASHcitetext] = ACTIONS(6917),
    [anon_sym_BSLASHparencite] = ACTIONS(6917),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHParencite] = ACTIONS(6917),
    [anon_sym_BSLASHfootcite] = ACTIONS(6917),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6917),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6917),
    [anon_sym_BSLASHtextcite] = ACTIONS(6917),
    [anon_sym_BSLASHTextcite] = ACTIONS(6917),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6917),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6917),
    [anon_sym_BSLASHsupercite] = ACTIONS(6917),
    [anon_sym_BSLASHautocite] = ACTIONS(6917),
    [anon_sym_BSLASHAutocite] = ACTIONS(6917),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHVolcite] = ACTIONS(6917),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHavolcite] = ACTIONS(6917),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHNotecite] = ACTIONS(6917),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHlabel] = ACTIONS(6917),
    [anon_sym_BSLASHref] = ACTIONS(6917),
    [anon_sym_BSLASHeqref] = ACTIONS(6917),
    [anon_sym_BSLASHvref] = ACTIONS(6917),
    [anon_sym_BSLASHVref] = ACTIONS(6917),
    [anon_sym_BSLASHautoref] = ACTIONS(6917),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHpageref] = ACTIONS(6917),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHautopageref] = ACTIONS(6917),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcref] = ACTIONS(6917),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCref] = ACTIONS(6917),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcpageref] = ACTIONS(6917),
    [anon_sym_BSLASHCpageref] = ACTIONS(6917),
    [anon_sym_BSLASHnamecref] = ACTIONS(6917),
    [anon_sym_BSLASHnameCref] = ACTIONS(6917),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6917),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6917),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6917),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6917),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6917),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6917),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6917),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6917),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6917),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6917),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6917),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHdef] = ACTIONS(6917),
    [anon_sym_BSLASHgdef] = ACTIONS(6917),
    [anon_sym_BSLASHedef] = ACTIONS(6917),
    [anon_sym_BSLASHxdef] = ACTIONS(6917),
    [anon_sym_BSLASHlet] = ACTIONS(6917),
    [anon_sym_BSLASHglet] = ACTIONS(6917),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6917),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6917),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6917),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6917),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6917),
    [anon_sym_BSLASHgls] = ACTIONS(6917),
    [anon_sym_BSLASHGls] = ACTIONS(6917),
    [anon_sym_BSLASHGLS] = ACTIONS(6917),
    [anon_sym_BSLASHglspl] = ACTIONS(6917),
    [anon_sym_BSLASHGlspl] = ACTIONS(6917),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6917),
    [anon_sym_BSLASHglslink] = ACTIONS(6917),
    [anon_sym_BSLASHglstext] = ACTIONS(6917),
    [anon_sym_BSLASHGlstext] = ACTIONS(6917),
    [anon_sym_BSLASHGLStext] = ACTIONS(6917),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6917),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6917),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6917),
    [anon_sym_BSLASHglsplural] = ACTIONS(6917),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6917),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6917),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHglsname] = ACTIONS(6917),
    [anon_sym_BSLASHGlsname] = ACTIONS(6917),
    [anon_sym_BSLASHGLSname] = ACTIONS(6917),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6917),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6917),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6917),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6917),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6917),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6917),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6917),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6917),
    [anon_sym_BSLASHacrshort] = ACTIONS(6917),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6917),
    [anon_sym_BSLASHACRshort] = ACTIONS(6917),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHacrlong] = ACTIONS(6917),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6917),
    [anon_sym_BSLASHACRlong] = ACTIONS(6917),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHacrfull] = ACTIONS(6917),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6917),
    [anon_sym_BSLASHACRfull] = ACTIONS(6917),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHacs] = ACTIONS(6917),
    [anon_sym_BSLASHAcs] = ACTIONS(6917),
    [anon_sym_BSLASHacsp] = ACTIONS(6917),
    [anon_sym_BSLASHAcsp] = ACTIONS(6917),
    [anon_sym_BSLASHacl] = ACTIONS(6917),
    [anon_sym_BSLASHAcl] = ACTIONS(6917),
    [anon_sym_BSLASHaclp] = ACTIONS(6917),
    [anon_sym_BSLASHAclp] = ACTIONS(6917),
    [anon_sym_BSLASHacf] = ACTIONS(6917),
    [anon_sym_BSLASHAcf] = ACTIONS(6917),
    [anon_sym_BSLASHacfp] = ACTIONS(6917),
    [anon_sym_BSLASHAcfp] = ACTIONS(6917),
    [anon_sym_BSLASHac] = ACTIONS(6917),
    [anon_sym_BSLASHAc] = ACTIONS(6917),
    [anon_sym_BSLASHacp] = ACTIONS(6917),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6917),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6917),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6917),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6917),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6917),
    [anon_sym_BSLASHcolor] = ACTIONS(6917),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6917),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6917),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6917),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6917),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6917),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6917),
    [anon_sym_BSLASHurl] = ACTIONS(6917),
    [anon_sym_BSLASHhref] = ACTIONS(6917),
  },
  [1151] = {
    [ts_builtin_sym_end] = ACTIONS(7009),
    [sym_command_name] = ACTIONS(7007),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7007),
    [anon_sym_LBRACK] = ACTIONS(7009),
    [anon_sym_RBRACK] = ACTIONS(7009),
    [anon_sym_COMMA] = ACTIONS(7009),
    [anon_sym_EQ] = ACTIONS(7009),
    [anon_sym_LPAREN] = ACTIONS(7009),
    [anon_sym_RPAREN] = ACTIONS(7009),
    [anon_sym_BSLASHpart] = ACTIONS(7007),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHaddpart] = ACTIONS(7007),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHchapter] = ACTIONS(7007),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHaddchap] = ACTIONS(7007),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHsection] = ACTIONS(7007),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHaddsec] = ACTIONS(7007),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHsubsection] = ACTIONS(7007),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7007),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHparagraph] = ACTIONS(7007),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7007),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHitem] = ACTIONS(7007),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7009),
    [anon_sym_LBRACE] = ACTIONS(7009),
    [anon_sym_RBRACE] = ACTIONS(7009),
    [sym_word] = ACTIONS(7007),
    [sym_placeholder] = ACTIONS(7009),
    [sym_delimiter] = ACTIONS(7009),
    [anon_sym_PLUS] = ACTIONS(7009),
    [anon_sym_DASH] = ACTIONS(7009),
    [anon_sym_STAR] = ACTIONS(7009),
    [anon_sym_SLASH] = ACTIONS(7009),
    [anon_sym_LT] = ACTIONS(7007),
    [anon_sym_GT] = ACTIONS(7007),
    [anon_sym_BANG] = ACTIONS(7007),
    [anon_sym_PIPE] = ACTIONS(7007),
    [anon_sym_COLON] = ACTIONS(7007),
    [anon_sym_SQUOTE] = ACTIONS(7007),
    [anon_sym__] = ACTIONS(7009),
    [anon_sym_CARET] = ACTIONS(7009),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7009),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7009),
    [anon_sym_DOLLAR] = ACTIONS(7007),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7009),
    [anon_sym_BSLASHleft] = ACTIONS(7007),
    [anon_sym_BSLASHbigl] = ACTIONS(7007),
    [anon_sym_BSLASHBigl] = ACTIONS(7007),
    [anon_sym_BSLASHbiggl] = ACTIONS(7007),
    [anon_sym_BSLASHBiggl] = ACTIONS(7007),
    [anon_sym_BSLASHtext] = ACTIONS(7007),
    [anon_sym_BSLASHintertext] = ACTIONS(7007),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7007),
    [anon_sym_BSLASHbegin] = ACTIONS(7007),
    [anon_sym_BSLASHtitle] = ACTIONS(7007),
    [anon_sym_BSLASHauthor] = ACTIONS(7007),
    [anon_sym_BSLASHusepackage] = ACTIONS(7007),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7007),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7007),
    [anon_sym_BSLASHinclude] = ACTIONS(7007),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7007),
    [anon_sym_BSLASHinput] = ACTIONS(7007),
    [anon_sym_BSLASHsubfile] = ACTIONS(7007),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7007),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7007),
    [anon_sym_BSLASHbibliography] = ACTIONS(7007),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7007),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7007),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7007),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7007),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7007),
    [anon_sym_BSLASHimport] = ACTIONS(7007),
    [anon_sym_BSLASHsubimport] = ACTIONS(7007),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7007),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7007),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7007),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7007),
    [anon_sym_BSLASHcaption] = ACTIONS(7007),
    [anon_sym_BSLASHcite] = ACTIONS(7007),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHCite] = ACTIONS(7007),
    [anon_sym_BSLASHnocite] = ACTIONS(7007),
    [anon_sym_BSLASHcitet] = ACTIONS(7007),
    [anon_sym_BSLASHcitep] = ACTIONS(7007),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHciteA] = ACTIONS(7007),
    [anon_sym_BSLASHciteR] = ACTIONS(7007),
    [anon_sym_BSLASHciteS] = ACTIONS(7007),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7007),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7007),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7007),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7007),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHciteyear] = ACTIONS(7007),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcitedate] = ACTIONS(7007),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHciteurl] = ACTIONS(7007),
    [anon_sym_BSLASHfullcite] = ACTIONS(7007),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7007),
    [anon_sym_BSLASHcitealt] = ACTIONS(7007),
    [anon_sym_BSLASHcitealp] = ACTIONS(7007),
    [anon_sym_BSLASHcitetext] = ACTIONS(7007),
    [anon_sym_BSLASHparencite] = ACTIONS(7007),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHParencite] = ACTIONS(7007),
    [anon_sym_BSLASHfootcite] = ACTIONS(7007),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7007),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7007),
    [anon_sym_BSLASHtextcite] = ACTIONS(7007),
    [anon_sym_BSLASHTextcite] = ACTIONS(7007),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7007),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7007),
    [anon_sym_BSLASHsupercite] = ACTIONS(7007),
    [anon_sym_BSLASHautocite] = ACTIONS(7007),
    [anon_sym_BSLASHAutocite] = ACTIONS(7007),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHVolcite] = ACTIONS(7007),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHavolcite] = ACTIONS(7007),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHnotecite] = ACTIONS(7007),
    [anon_sym_BSLASHNotecite] = ACTIONS(7007),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7007),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7007),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7007),
    [anon_sym_BSLASHlabel] = ACTIONS(7007),
    [anon_sym_BSLASHref] = ACTIONS(7007),
    [anon_sym_BSLASHeqref] = ACTIONS(7007),
    [anon_sym_BSLASHvref] = ACTIONS(7007),
    [anon_sym_BSLASHVref] = ACTIONS(7007),
    [anon_sym_BSLASHautoref] = ACTIONS(7007),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHpageref] = ACTIONS(7007),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHautopageref] = ACTIONS(7007),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcref] = ACTIONS(7007),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHCref] = ACTIONS(7007),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcpageref] = ACTIONS(7007),
    [anon_sym_BSLASHCpageref] = ACTIONS(7007),
    [anon_sym_BSLASHnamecref] = ACTIONS(7007),
    [anon_sym_BSLASHnameCref] = ACTIONS(7007),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7007),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7007),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7007),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7007),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7007),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7007),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7007),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7007),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7007),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7007),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7007),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7007),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7007),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7007),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7007),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7007),
    [anon_sym_BSLASHdef] = ACTIONS(7007),
    [anon_sym_BSLASHgdef] = ACTIONS(7007),
    [anon_sym_BSLASHedef] = ACTIONS(7007),
    [anon_sym_BSLASHxdef] = ACTIONS(7007),
    [anon_sym_BSLASHlet] = ACTIONS(7007),
    [anon_sym_BSLASHglet] = ACTIONS(7007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7007),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7007),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7007),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7007),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7007),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7007),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7007),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7007),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7007),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7007),
    [anon_sym_BSLASHgls] = ACTIONS(7007),
    [anon_sym_BSLASHGls] = ACTIONS(7007),
    [anon_sym_BSLASHGLS] = ACTIONS(7007),
    [anon_sym_BSLASHglspl] = ACTIONS(7007),
    [anon_sym_BSLASHGlspl] = ACTIONS(7007),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7007),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7007),
    [anon_sym_BSLASHglslink] = ACTIONS(7007),
    [anon_sym_BSLASHglstext] = ACTIONS(7007),
    [anon_sym_BSLASHGlstext] = ACTIONS(7007),
    [anon_sym_BSLASHGLStext] = ACTIONS(7007),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7007),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7007),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7007),
    [anon_sym_BSLASHglsplural] = ACTIONS(7007),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7007),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7007),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7007),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7007),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7007),
    [anon_sym_BSLASHglsname] = ACTIONS(7007),
    [anon_sym_BSLASHGlsname] = ACTIONS(7007),
    [anon_sym_BSLASHGLSname] = ACTIONS(7007),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7007),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7007),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7007),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7007),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7007),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7007),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7007),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7007),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7007),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7007),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7007),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7007),
    [anon_sym_BSLASHacrshort] = ACTIONS(7007),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7007),
    [anon_sym_BSLASHACRshort] = ACTIONS(7007),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7007),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7007),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7007),
    [anon_sym_BSLASHacrlong] = ACTIONS(7007),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7007),
    [anon_sym_BSLASHACRlong] = ACTIONS(7007),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7007),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7007),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7007),
    [anon_sym_BSLASHacrfull] = ACTIONS(7007),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7007),
    [anon_sym_BSLASHACRfull] = ACTIONS(7007),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7007),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7007),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7007),
    [anon_sym_BSLASHacs] = ACTIONS(7007),
    [anon_sym_BSLASHAcs] = ACTIONS(7007),
    [anon_sym_BSLASHacsp] = ACTIONS(7007),
    [anon_sym_BSLASHAcsp] = ACTIONS(7007),
    [anon_sym_BSLASHacl] = ACTIONS(7007),
    [anon_sym_BSLASHAcl] = ACTIONS(7007),
    [anon_sym_BSLASHaclp] = ACTIONS(7007),
    [anon_sym_BSLASHAclp] = ACTIONS(7007),
    [anon_sym_BSLASHacf] = ACTIONS(7007),
    [anon_sym_BSLASHAcf] = ACTIONS(7007),
    [anon_sym_BSLASHacfp] = ACTIONS(7007),
    [anon_sym_BSLASHAcfp] = ACTIONS(7007),
    [anon_sym_BSLASHac] = ACTIONS(7007),
    [anon_sym_BSLASHAc] = ACTIONS(7007),
    [anon_sym_BSLASHacp] = ACTIONS(7007),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7007),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7007),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7007),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7007),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7007),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7007),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7007),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7007),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7007),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7007),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7007),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7007),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7007),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7007),
    [anon_sym_BSLASHcolor] = ACTIONS(7007),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7007),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7007),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7007),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7007),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7007),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7007),
    [anon_sym_BSLASHurl] = ACTIONS(7007),
    [anon_sym_BSLASHhref] = ACTIONS(7007),
  },
  [1152] = {
    [sym_curly_group] = STATE(1432),
    [sym_command_name] = ACTIONS(6939),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6939),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [anon_sym_RBRACK] = ACTIONS(6941),
    [anon_sym_COMMA] = ACTIONS(6941),
    [anon_sym_EQ] = ACTIONS(6941),
    [anon_sym_LPAREN] = ACTIONS(6941),
    [anon_sym_RPAREN] = ACTIONS(6941),
    [anon_sym_BSLASHpart] = ACTIONS(6939),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHaddpart] = ACTIONS(6939),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHchapter] = ACTIONS(6939),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHaddchap] = ACTIONS(6939),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHsection] = ACTIONS(6939),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHaddsec] = ACTIONS(6939),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHsubsection] = ACTIONS(6939),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6939),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHparagraph] = ACTIONS(6939),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6939),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHitem] = ACTIONS(6939),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6941),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [sym_word] = ACTIONS(6939),
    [sym_placeholder] = ACTIONS(6941),
    [sym_delimiter] = ACTIONS(6941),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_STAR] = ACTIONS(6941),
    [anon_sym_SLASH] = ACTIONS(6941),
    [anon_sym_LT] = ACTIONS(6939),
    [anon_sym_GT] = ACTIONS(6939),
    [anon_sym_BANG] = ACTIONS(6939),
    [anon_sym_PIPE] = ACTIONS(6939),
    [anon_sym_COLON] = ACTIONS(6939),
    [anon_sym_SQUOTE] = ACTIONS(6939),
    [anon_sym__] = ACTIONS(6941),
    [anon_sym_CARET] = ACTIONS(6941),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6941),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6941),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(6941),
    [anon_sym_DOLLAR] = ACTIONS(6939),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6941),
    [anon_sym_BSLASHleft] = ACTIONS(6939),
    [anon_sym_BSLASHbigl] = ACTIONS(6939),
    [anon_sym_BSLASHBigl] = ACTIONS(6939),
    [anon_sym_BSLASHbiggl] = ACTIONS(6939),
    [anon_sym_BSLASHBiggl] = ACTIONS(6939),
    [anon_sym_BSLASHtext] = ACTIONS(6939),
    [anon_sym_BSLASHintertext] = ACTIONS(6939),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6939),
    [anon_sym_BSLASHbegin] = ACTIONS(6939),
    [anon_sym_BSLASHtitle] = ACTIONS(6939),
    [anon_sym_BSLASHauthor] = ACTIONS(6939),
    [anon_sym_BSLASHusepackage] = ACTIONS(6939),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6939),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6939),
    [anon_sym_BSLASHinclude] = ACTIONS(6939),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6939),
    [anon_sym_BSLASHinput] = ACTIONS(6939),
    [anon_sym_BSLASHsubfile] = ACTIONS(6939),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6939),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6939),
    [anon_sym_BSLASHbibliography] = ACTIONS(6939),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6939),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6939),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6939),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6939),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6939),
    [anon_sym_BSLASHimport] = ACTIONS(6939),
    [anon_sym_BSLASHsubimport] = ACTIONS(6939),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6939),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6939),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6939),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6939),
    [anon_sym_BSLASHcaption] = ACTIONS(6939),
    [anon_sym_BSLASHcite] = ACTIONS(6939),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCite] = ACTIONS(6939),
    [anon_sym_BSLASHnocite] = ACTIONS(6939),
    [anon_sym_BSLASHcitet] = ACTIONS(6939),
    [anon_sym_BSLASHcitep] = ACTIONS(6939),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteA] = ACTIONS(6939),
    [anon_sym_BSLASHciteR] = ACTIONS(6939),
    [anon_sym_BSLASHciteS] = ACTIONS(6939),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6939),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6939),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6939),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6939),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteyear] = ACTIONS(6939),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitedate] = ACTIONS(6939),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteurl] = ACTIONS(6939),
    [anon_sym_BSLASHfullcite] = ACTIONS(6939),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6939),
    [anon_sym_BSLASHcitealt] = ACTIONS(6939),
    [anon_sym_BSLASHcitealp] = ACTIONS(6939),
    [anon_sym_BSLASHcitetext] = ACTIONS(6939),
    [anon_sym_BSLASHparencite] = ACTIONS(6939),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHParencite] = ACTIONS(6939),
    [anon_sym_BSLASHfootcite] = ACTIONS(6939),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6939),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6939),
    [anon_sym_BSLASHtextcite] = ACTIONS(6939),
    [anon_sym_BSLASHTextcite] = ACTIONS(6939),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6939),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6939),
    [anon_sym_BSLASHsupercite] = ACTIONS(6939),
    [anon_sym_BSLASHautocite] = ACTIONS(6939),
    [anon_sym_BSLASHAutocite] = ACTIONS(6939),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHVolcite] = ACTIONS(6939),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHavolcite] = ACTIONS(6939),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHNotecite] = ACTIONS(6939),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHlabel] = ACTIONS(6939),
    [anon_sym_BSLASHref] = ACTIONS(6939),
    [anon_sym_BSLASHeqref] = ACTIONS(6939),
    [anon_sym_BSLASHvref] = ACTIONS(6939),
    [anon_sym_BSLASHVref] = ACTIONS(6939),
    [anon_sym_BSLASHautoref] = ACTIONS(6939),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHpageref] = ACTIONS(6939),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHautopageref] = ACTIONS(6939),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcref] = ACTIONS(6939),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCref] = ACTIONS(6939),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcpageref] = ACTIONS(6939),
    [anon_sym_BSLASHCpageref] = ACTIONS(6939),
    [anon_sym_BSLASHnamecref] = ACTIONS(6939),
    [anon_sym_BSLASHnameCref] = ACTIONS(6939),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6939),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6939),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6939),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6939),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6939),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6939),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6939),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6939),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6939),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6939),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6939),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHdef] = ACTIONS(6939),
    [anon_sym_BSLASHgdef] = ACTIONS(6939),
    [anon_sym_BSLASHedef] = ACTIONS(6939),
    [anon_sym_BSLASHxdef] = ACTIONS(6939),
    [anon_sym_BSLASHlet] = ACTIONS(6939),
    [anon_sym_BSLASHglet] = ACTIONS(6939),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6939),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6939),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6939),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6939),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6939),
    [anon_sym_BSLASHgls] = ACTIONS(6939),
    [anon_sym_BSLASHGls] = ACTIONS(6939),
    [anon_sym_BSLASHGLS] = ACTIONS(6939),
    [anon_sym_BSLASHglspl] = ACTIONS(6939),
    [anon_sym_BSLASHGlspl] = ACTIONS(6939),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6939),
    [anon_sym_BSLASHglslink] = ACTIONS(6939),
    [anon_sym_BSLASHglstext] = ACTIONS(6939),
    [anon_sym_BSLASHGlstext] = ACTIONS(6939),
    [anon_sym_BSLASHGLStext] = ACTIONS(6939),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6939),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6939),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6939),
    [anon_sym_BSLASHglsplural] = ACTIONS(6939),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6939),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6939),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHglsname] = ACTIONS(6939),
    [anon_sym_BSLASHGlsname] = ACTIONS(6939),
    [anon_sym_BSLASHGLSname] = ACTIONS(6939),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6939),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6939),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6939),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6939),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6939),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6939),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6939),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6939),
    [anon_sym_BSLASHacrshort] = ACTIONS(6939),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6939),
    [anon_sym_BSLASHACRshort] = ACTIONS(6939),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHacrlong] = ACTIONS(6939),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6939),
    [anon_sym_BSLASHACRlong] = ACTIONS(6939),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHacrfull] = ACTIONS(6939),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6939),
    [anon_sym_BSLASHACRfull] = ACTIONS(6939),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHacs] = ACTIONS(6939),
    [anon_sym_BSLASHAcs] = ACTIONS(6939),
    [anon_sym_BSLASHacsp] = ACTIONS(6939),
    [anon_sym_BSLASHAcsp] = ACTIONS(6939),
    [anon_sym_BSLASHacl] = ACTIONS(6939),
    [anon_sym_BSLASHAcl] = ACTIONS(6939),
    [anon_sym_BSLASHaclp] = ACTIONS(6939),
    [anon_sym_BSLASHAclp] = ACTIONS(6939),
    [anon_sym_BSLASHacf] = ACTIONS(6939),
    [anon_sym_BSLASHAcf] = ACTIONS(6939),
    [anon_sym_BSLASHacfp] = ACTIONS(6939),
    [anon_sym_BSLASHAcfp] = ACTIONS(6939),
    [anon_sym_BSLASHac] = ACTIONS(6939),
    [anon_sym_BSLASHAc] = ACTIONS(6939),
    [anon_sym_BSLASHacp] = ACTIONS(6939),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6939),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6939),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6939),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6939),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6939),
    [anon_sym_BSLASHcolor] = ACTIONS(6939),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6939),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6939),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6939),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6939),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6939),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6939),
    [anon_sym_BSLASHurl] = ACTIONS(6939),
    [anon_sym_BSLASHhref] = ACTIONS(6939),
  },
  [1153] = {
    [ts_builtin_sym_end] = ACTIONS(175),
    [sym_command_name] = ACTIONS(173),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(173),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_RBRACK] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_RPAREN] = ACTIONS(175),
    [anon_sym_BSLASHpart] = ACTIONS(173),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddpart] = ACTIONS(173),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(175),
    [anon_sym_BSLASHchapter] = ACTIONS(173),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddchap] = ACTIONS(173),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsection] = ACTIONS(173),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddsec] = ACTIONS(173),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubsection] = ACTIONS(173),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(173),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHparagraph] = ACTIONS(173),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(173),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(175),
    [anon_sym_BSLASHitem] = ACTIONS(173),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(175),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_RBRACE] = ACTIONS(175),
    [sym_word] = ACTIONS(173),
    [sym_placeholder] = ACTIONS(175),
    [sym_delimiter] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym__] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(175),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(175),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(175),
    [anon_sym_DOLLAR] = ACTIONS(173),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(175),
    [anon_sym_BSLASHleft] = ACTIONS(173),
    [anon_sym_BSLASHbigl] = ACTIONS(173),
    [anon_sym_BSLASHBigl] = ACTIONS(173),
    [anon_sym_BSLASHbiggl] = ACTIONS(173),
    [anon_sym_BSLASHBiggl] = ACTIONS(173),
    [anon_sym_BSLASHtext] = ACTIONS(173),
    [anon_sym_BSLASHintertext] = ACTIONS(173),
    [anon_sym_BSLASHshortintertext] = ACTIONS(173),
    [anon_sym_BSLASHbegin] = ACTIONS(173),
    [anon_sym_BSLASHtitle] = ACTIONS(173),
    [anon_sym_BSLASHauthor] = ACTIONS(173),
    [anon_sym_BSLASHusepackage] = ACTIONS(173),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(173),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(173),
    [anon_sym_BSLASHinclude] = ACTIONS(173),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(173),
    [anon_sym_BSLASHinput] = ACTIONS(173),
    [anon_sym_BSLASHsubfile] = ACTIONS(173),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(173),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(173),
    [anon_sym_BSLASHbibliography] = ACTIONS(173),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(173),
    [anon_sym_BSLASHincludesvg] = ACTIONS(173),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(173),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(173),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(173),
    [anon_sym_BSLASHimport] = ACTIONS(173),
    [anon_sym_BSLASHsubimport] = ACTIONS(173),
    [anon_sym_BSLASHinputfrom] = ACTIONS(173),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(173),
    [anon_sym_BSLASHincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHcaption] = ACTIONS(173),
    [anon_sym_BSLASHcite] = ACTIONS(173),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCite] = ACTIONS(173),
    [anon_sym_BSLASHnocite] = ACTIONS(173),
    [anon_sym_BSLASHcitet] = ACTIONS(173),
    [anon_sym_BSLASHcitep] = ACTIONS(173),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteA] = ACTIONS(173),
    [anon_sym_BSLASHciteR] = ACTIONS(173),
    [anon_sym_BSLASHciteS] = ACTIONS(173),
    [anon_sym_BSLASHciteyearR] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(173),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitetitle] = ACTIONS(173),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteyear] = ACTIONS(173),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitedate] = ACTIONS(173),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteurl] = ACTIONS(173),
    [anon_sym_BSLASHfullcite] = ACTIONS(173),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(173),
    [anon_sym_BSLASHcitealt] = ACTIONS(173),
    [anon_sym_BSLASHcitealp] = ACTIONS(173),
    [anon_sym_BSLASHcitetext] = ACTIONS(173),
    [anon_sym_BSLASHparencite] = ACTIONS(173),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHParencite] = ACTIONS(173),
    [anon_sym_BSLASHfootcite] = ACTIONS(173),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(173),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(173),
    [anon_sym_BSLASHtextcite] = ACTIONS(173),
    [anon_sym_BSLASHTextcite] = ACTIONS(173),
    [anon_sym_BSLASHsmartcite] = ACTIONS(173),
    [anon_sym_BSLASHSmartcite] = ACTIONS(173),
    [anon_sym_BSLASHsupercite] = ACTIONS(173),
    [anon_sym_BSLASHautocite] = ACTIONS(173),
    [anon_sym_BSLASHAutocite] = ACTIONS(173),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHvolcite] = ACTIONS(173),
    [anon_sym_BSLASHVolcite] = ACTIONS(173),
    [anon_sym_BSLASHpvolcite] = ACTIONS(173),
    [anon_sym_BSLASHPvolcite] = ACTIONS(173),
    [anon_sym_BSLASHfvolcite] = ACTIONS(173),
    [anon_sym_BSLASHftvolcite] = ACTIONS(173),
    [anon_sym_BSLASHsvolcite] = ACTIONS(173),
    [anon_sym_BSLASHSvolcite] = ACTIONS(173),
    [anon_sym_BSLASHtvolcite] = ACTIONS(173),
    [anon_sym_BSLASHTvolcite] = ACTIONS(173),
    [anon_sym_BSLASHavolcite] = ACTIONS(173),
    [anon_sym_BSLASHAvolcite] = ACTIONS(173),
    [anon_sym_BSLASHnotecite] = ACTIONS(173),
    [anon_sym_BSLASHNotecite] = ACTIONS(173),
    [anon_sym_BSLASHpnotecite] = ACTIONS(173),
    [anon_sym_BSLASHPnotecite] = ACTIONS(173),
    [anon_sym_BSLASHfnotecite] = ACTIONS(173),
    [anon_sym_BSLASHlabel] = ACTIONS(173),
    [anon_sym_BSLASHref] = ACTIONS(173),
    [anon_sym_BSLASHeqref] = ACTIONS(173),
    [anon_sym_BSLASHvref] = ACTIONS(173),
    [anon_sym_BSLASHVref] = ACTIONS(173),
    [anon_sym_BSLASHautoref] = ACTIONS(173),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHpageref] = ACTIONS(173),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHautopageref] = ACTIONS(173),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcref] = ACTIONS(173),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCref] = ACTIONS(173),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpageref] = ACTIONS(173),
    [anon_sym_BSLASHCpageref] = ACTIONS(173),
    [anon_sym_BSLASHnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnameCref] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcrefrange] = ACTIONS(173),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCrefrange] = ACTIONS(173),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHnewlabel] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(173),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(173),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(173),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(175),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHdef] = ACTIONS(173),
    [anon_sym_BSLASHgdef] = ACTIONS(173),
    [anon_sym_BSLASHedef] = ACTIONS(173),
    [anon_sym_BSLASHxdef] = ACTIONS(173),
    [anon_sym_BSLASHlet] = ACTIONS(173),
    [anon_sym_BSLASHglet] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(173),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(173),
    [anon_sym_BSLASHgls] = ACTIONS(173),
    [anon_sym_BSLASHGls] = ACTIONS(173),
    [anon_sym_BSLASHGLS] = ACTIONS(173),
    [anon_sym_BSLASHglspl] = ACTIONS(173),
    [anon_sym_BSLASHGlspl] = ACTIONS(173),
    [anon_sym_BSLASHGLSpl] = ACTIONS(173),
    [anon_sym_BSLASHglsdisp] = ACTIONS(173),
    [anon_sym_BSLASHglslink] = ACTIONS(173),
    [anon_sym_BSLASHglstext] = ACTIONS(173),
    [anon_sym_BSLASHGlstext] = ACTIONS(173),
    [anon_sym_BSLASHGLStext] = ACTIONS(173),
    [anon_sym_BSLASHglsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(173),
    [anon_sym_BSLASHglsplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSplural] = ACTIONS(173),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHglsname] = ACTIONS(173),
    [anon_sym_BSLASHGlsname] = ACTIONS(173),
    [anon_sym_BSLASHGLSname] = ACTIONS(173),
    [anon_sym_BSLASHglssymbol] = ACTIONS(173),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(173),
    [anon_sym_BSLASHglsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(173),
    [anon_sym_BSLASHglsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(173),
    [anon_sym_BSLASHglsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(173),
    [anon_sym_BSLASHglsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(173),
    [anon_sym_BSLASHglsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(173),
    [anon_sym_BSLASHnewacronym] = ACTIONS(173),
    [anon_sym_BSLASHacrshort] = ACTIONS(173),
    [anon_sym_BSLASHAcrshort] = ACTIONS(173),
    [anon_sym_BSLASHACRshort] = ACTIONS(173),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(173),
    [anon_sym_BSLASHacrlong] = ACTIONS(173),
    [anon_sym_BSLASHAcrlong] = ACTIONS(173),
    [anon_sym_BSLASHACRlong] = ACTIONS(173),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(173),
    [anon_sym_BSLASHacrfull] = ACTIONS(173),
    [anon_sym_BSLASHAcrfull] = ACTIONS(173),
    [anon_sym_BSLASHACRfull] = ACTIONS(173),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(173),
    [anon_sym_BSLASHacs] = ACTIONS(173),
    [anon_sym_BSLASHAcs] = ACTIONS(173),
    [anon_sym_BSLASHacsp] = ACTIONS(173),
    [anon_sym_BSLASHAcsp] = ACTIONS(173),
    [anon_sym_BSLASHacl] = ACTIONS(173),
    [anon_sym_BSLASHAcl] = ACTIONS(173),
    [anon_sym_BSLASHaclp] = ACTIONS(173),
    [anon_sym_BSLASHAclp] = ACTIONS(173),
    [anon_sym_BSLASHacf] = ACTIONS(173),
    [anon_sym_BSLASHAcf] = ACTIONS(173),
    [anon_sym_BSLASHacfp] = ACTIONS(173),
    [anon_sym_BSLASHAcfp] = ACTIONS(173),
    [anon_sym_BSLASHac] = ACTIONS(173),
    [anon_sym_BSLASHAc] = ACTIONS(173),
    [anon_sym_BSLASHacp] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(173),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(173),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(173),
    [anon_sym_BSLASHcolor] = ACTIONS(173),
    [anon_sym_BSLASHpagecolor] = ACTIONS(173),
    [anon_sym_BSLASHtextcolor] = ACTIONS(173),
    [anon_sym_BSLASHmathcolor] = ACTIONS(173),
    [anon_sym_BSLASHcolorbox] = ACTIONS(173),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(173),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(173),
    [anon_sym_BSLASHurl] = ACTIONS(173),
    [anon_sym_BSLASHhref] = ACTIONS(173),
  },
  [1154] = {
    [ts_builtin_sym_end] = ACTIONS(7013),
    [sym_command_name] = ACTIONS(7011),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7011),
    [anon_sym_LBRACK] = ACTIONS(7013),
    [anon_sym_RBRACK] = ACTIONS(7013),
    [anon_sym_COMMA] = ACTIONS(7013),
    [anon_sym_EQ] = ACTIONS(7013),
    [anon_sym_LPAREN] = ACTIONS(7013),
    [anon_sym_RPAREN] = ACTIONS(7013),
    [anon_sym_BSLASHpart] = ACTIONS(7011),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHaddpart] = ACTIONS(7011),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHchapter] = ACTIONS(7011),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHaddchap] = ACTIONS(7011),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHsection] = ACTIONS(7011),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHaddsec] = ACTIONS(7011),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHsubsection] = ACTIONS(7011),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7011),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHparagraph] = ACTIONS(7011),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7011),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHitem] = ACTIONS(7011),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7013),
    [anon_sym_LBRACE] = ACTIONS(7013),
    [anon_sym_RBRACE] = ACTIONS(7013),
    [sym_word] = ACTIONS(7011),
    [sym_placeholder] = ACTIONS(7013),
    [sym_delimiter] = ACTIONS(7013),
    [anon_sym_PLUS] = ACTIONS(7013),
    [anon_sym_DASH] = ACTIONS(7013),
    [anon_sym_STAR] = ACTIONS(7013),
    [anon_sym_SLASH] = ACTIONS(7013),
    [anon_sym_LT] = ACTIONS(7011),
    [anon_sym_GT] = ACTIONS(7011),
    [anon_sym_BANG] = ACTIONS(7011),
    [anon_sym_PIPE] = ACTIONS(7011),
    [anon_sym_COLON] = ACTIONS(7011),
    [anon_sym_SQUOTE] = ACTIONS(7011),
    [anon_sym__] = ACTIONS(7013),
    [anon_sym_CARET] = ACTIONS(7013),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7013),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7013),
    [anon_sym_DOLLAR] = ACTIONS(7011),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7013),
    [anon_sym_BSLASHleft] = ACTIONS(7011),
    [anon_sym_BSLASHbigl] = ACTIONS(7011),
    [anon_sym_BSLASHBigl] = ACTIONS(7011),
    [anon_sym_BSLASHbiggl] = ACTIONS(7011),
    [anon_sym_BSLASHBiggl] = ACTIONS(7011),
    [anon_sym_BSLASHtext] = ACTIONS(7011),
    [anon_sym_BSLASHintertext] = ACTIONS(7011),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7011),
    [anon_sym_BSLASHbegin] = ACTIONS(7011),
    [anon_sym_BSLASHtitle] = ACTIONS(7011),
    [anon_sym_BSLASHauthor] = ACTIONS(7011),
    [anon_sym_BSLASHusepackage] = ACTIONS(7011),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7011),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7011),
    [anon_sym_BSLASHinclude] = ACTIONS(7011),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7011),
    [anon_sym_BSLASHinput] = ACTIONS(7011),
    [anon_sym_BSLASHsubfile] = ACTIONS(7011),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7011),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7011),
    [anon_sym_BSLASHbibliography] = ACTIONS(7011),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7011),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7011),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7011),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7011),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7011),
    [anon_sym_BSLASHimport] = ACTIONS(7011),
    [anon_sym_BSLASHsubimport] = ACTIONS(7011),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7011),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7011),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7011),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7011),
    [anon_sym_BSLASHcaption] = ACTIONS(7011),
    [anon_sym_BSLASHcite] = ACTIONS(7011),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHCite] = ACTIONS(7011),
    [anon_sym_BSLASHnocite] = ACTIONS(7011),
    [anon_sym_BSLASHcitet] = ACTIONS(7011),
    [anon_sym_BSLASHcitep] = ACTIONS(7011),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHciteA] = ACTIONS(7011),
    [anon_sym_BSLASHciteR] = ACTIONS(7011),
    [anon_sym_BSLASHciteS] = ACTIONS(7011),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7011),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7011),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7011),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7011),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHciteyear] = ACTIONS(7011),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcitedate] = ACTIONS(7011),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHciteurl] = ACTIONS(7011),
    [anon_sym_BSLASHfullcite] = ACTIONS(7011),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7011),
    [anon_sym_BSLASHcitealt] = ACTIONS(7011),
    [anon_sym_BSLASHcitealp] = ACTIONS(7011),
    [anon_sym_BSLASHcitetext] = ACTIONS(7011),
    [anon_sym_BSLASHparencite] = ACTIONS(7011),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHParencite] = ACTIONS(7011),
    [anon_sym_BSLASHfootcite] = ACTIONS(7011),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7011),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7011),
    [anon_sym_BSLASHtextcite] = ACTIONS(7011),
    [anon_sym_BSLASHTextcite] = ACTIONS(7011),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7011),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7011),
    [anon_sym_BSLASHsupercite] = ACTIONS(7011),
    [anon_sym_BSLASHautocite] = ACTIONS(7011),
    [anon_sym_BSLASHAutocite] = ACTIONS(7011),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHVolcite] = ACTIONS(7011),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHavolcite] = ACTIONS(7011),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHnotecite] = ACTIONS(7011),
    [anon_sym_BSLASHNotecite] = ACTIONS(7011),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7011),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7011),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7011),
    [anon_sym_BSLASHlabel] = ACTIONS(7011),
    [anon_sym_BSLASHref] = ACTIONS(7011),
    [anon_sym_BSLASHeqref] = ACTIONS(7011),
    [anon_sym_BSLASHvref] = ACTIONS(7011),
    [anon_sym_BSLASHVref] = ACTIONS(7011),
    [anon_sym_BSLASHautoref] = ACTIONS(7011),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHpageref] = ACTIONS(7011),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHautopageref] = ACTIONS(7011),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcref] = ACTIONS(7011),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHCref] = ACTIONS(7011),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcpageref] = ACTIONS(7011),
    [anon_sym_BSLASHCpageref] = ACTIONS(7011),
    [anon_sym_BSLASHnamecref] = ACTIONS(7011),
    [anon_sym_BSLASHnameCref] = ACTIONS(7011),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7011),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7011),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7011),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7011),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7011),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7011),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7011),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7011),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7011),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7011),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7011),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7011),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7011),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7011),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7011),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7011),
    [anon_sym_BSLASHdef] = ACTIONS(7011),
    [anon_sym_BSLASHgdef] = ACTIONS(7011),
    [anon_sym_BSLASHedef] = ACTIONS(7011),
    [anon_sym_BSLASHxdef] = ACTIONS(7011),
    [anon_sym_BSLASHlet] = ACTIONS(7011),
    [anon_sym_BSLASHglet] = ACTIONS(7011),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7011),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7011),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7011),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7011),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7011),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7011),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7011),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7011),
    [anon_sym_BSLASHgls] = ACTIONS(7011),
    [anon_sym_BSLASHGls] = ACTIONS(7011),
    [anon_sym_BSLASHGLS] = ACTIONS(7011),
    [anon_sym_BSLASHglspl] = ACTIONS(7011),
    [anon_sym_BSLASHGlspl] = ACTIONS(7011),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7011),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7011),
    [anon_sym_BSLASHglslink] = ACTIONS(7011),
    [anon_sym_BSLASHglstext] = ACTIONS(7011),
    [anon_sym_BSLASHGlstext] = ACTIONS(7011),
    [anon_sym_BSLASHGLStext] = ACTIONS(7011),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7011),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7011),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7011),
    [anon_sym_BSLASHglsplural] = ACTIONS(7011),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7011),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7011),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7011),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7011),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7011),
    [anon_sym_BSLASHglsname] = ACTIONS(7011),
    [anon_sym_BSLASHGlsname] = ACTIONS(7011),
    [anon_sym_BSLASHGLSname] = ACTIONS(7011),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7011),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7011),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7011),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7011),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7011),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7011),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7011),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7011),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7011),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7011),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7011),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7011),
    [anon_sym_BSLASHacrshort] = ACTIONS(7011),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7011),
    [anon_sym_BSLASHACRshort] = ACTIONS(7011),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7011),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7011),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7011),
    [anon_sym_BSLASHacrlong] = ACTIONS(7011),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7011),
    [anon_sym_BSLASHACRlong] = ACTIONS(7011),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7011),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7011),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7011),
    [anon_sym_BSLASHacrfull] = ACTIONS(7011),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7011),
    [anon_sym_BSLASHACRfull] = ACTIONS(7011),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7011),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7011),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7011),
    [anon_sym_BSLASHacs] = ACTIONS(7011),
    [anon_sym_BSLASHAcs] = ACTIONS(7011),
    [anon_sym_BSLASHacsp] = ACTIONS(7011),
    [anon_sym_BSLASHAcsp] = ACTIONS(7011),
    [anon_sym_BSLASHacl] = ACTIONS(7011),
    [anon_sym_BSLASHAcl] = ACTIONS(7011),
    [anon_sym_BSLASHaclp] = ACTIONS(7011),
    [anon_sym_BSLASHAclp] = ACTIONS(7011),
    [anon_sym_BSLASHacf] = ACTIONS(7011),
    [anon_sym_BSLASHAcf] = ACTIONS(7011),
    [anon_sym_BSLASHacfp] = ACTIONS(7011),
    [anon_sym_BSLASHAcfp] = ACTIONS(7011),
    [anon_sym_BSLASHac] = ACTIONS(7011),
    [anon_sym_BSLASHAc] = ACTIONS(7011),
    [anon_sym_BSLASHacp] = ACTIONS(7011),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7011),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7011),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7011),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7011),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7011),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7011),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7011),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7011),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7011),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7011),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7011),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7011),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7011),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7011),
    [anon_sym_BSLASHcolor] = ACTIONS(7011),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7011),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7011),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7011),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7011),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7011),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7011),
    [anon_sym_BSLASHurl] = ACTIONS(7011),
    [anon_sym_BSLASHhref] = ACTIONS(7011),
  },
  [1155] = {
    [ts_builtin_sym_end] = ACTIONS(7317),
    [sym_command_name] = ACTIONS(7315),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7315),
    [anon_sym_LBRACK] = ACTIONS(7317),
    [anon_sym_RBRACK] = ACTIONS(7317),
    [anon_sym_COMMA] = ACTIONS(7317),
    [anon_sym_EQ] = ACTIONS(7317),
    [anon_sym_LPAREN] = ACTIONS(7317),
    [anon_sym_RPAREN] = ACTIONS(7317),
    [anon_sym_BSLASHpart] = ACTIONS(7315),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHaddpart] = ACTIONS(7315),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHchapter] = ACTIONS(7315),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHaddchap] = ACTIONS(7315),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHsection] = ACTIONS(7315),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHaddsec] = ACTIONS(7315),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHsubsection] = ACTIONS(7315),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7315),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHparagraph] = ACTIONS(7315),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7315),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHitem] = ACTIONS(7315),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7317),
    [anon_sym_LBRACE] = ACTIONS(7317),
    [anon_sym_RBRACE] = ACTIONS(7317),
    [sym_word] = ACTIONS(7315),
    [sym_placeholder] = ACTIONS(7317),
    [sym_delimiter] = ACTIONS(7317),
    [anon_sym_PLUS] = ACTIONS(7317),
    [anon_sym_DASH] = ACTIONS(7317),
    [anon_sym_STAR] = ACTIONS(7317),
    [anon_sym_SLASH] = ACTIONS(7317),
    [anon_sym_LT] = ACTIONS(7315),
    [anon_sym_GT] = ACTIONS(7315),
    [anon_sym_BANG] = ACTIONS(7315),
    [anon_sym_PIPE] = ACTIONS(7315),
    [anon_sym_COLON] = ACTIONS(7315),
    [anon_sym_SQUOTE] = ACTIONS(7315),
    [anon_sym__] = ACTIONS(7317),
    [anon_sym_CARET] = ACTIONS(7317),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7317),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7317),
    [anon_sym_DOLLAR] = ACTIONS(7315),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7317),
    [anon_sym_BSLASHleft] = ACTIONS(7315),
    [anon_sym_BSLASHbigl] = ACTIONS(7315),
    [anon_sym_BSLASHBigl] = ACTIONS(7315),
    [anon_sym_BSLASHbiggl] = ACTIONS(7315),
    [anon_sym_BSLASHBiggl] = ACTIONS(7315),
    [anon_sym_BSLASHtext] = ACTIONS(7315),
    [anon_sym_BSLASHintertext] = ACTIONS(7315),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7315),
    [anon_sym_BSLASHbegin] = ACTIONS(7315),
    [anon_sym_BSLASHtitle] = ACTIONS(7315),
    [anon_sym_BSLASHauthor] = ACTIONS(7315),
    [anon_sym_BSLASHusepackage] = ACTIONS(7315),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7315),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7315),
    [anon_sym_BSLASHinclude] = ACTIONS(7315),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7315),
    [anon_sym_BSLASHinput] = ACTIONS(7315),
    [anon_sym_BSLASHsubfile] = ACTIONS(7315),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7315),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7315),
    [anon_sym_BSLASHbibliography] = ACTIONS(7315),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7315),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7315),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7315),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7315),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7315),
    [anon_sym_BSLASHimport] = ACTIONS(7315),
    [anon_sym_BSLASHsubimport] = ACTIONS(7315),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7315),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7315),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7315),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7315),
    [anon_sym_BSLASHcaption] = ACTIONS(7315),
    [anon_sym_BSLASHcite] = ACTIONS(7315),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCite] = ACTIONS(7315),
    [anon_sym_BSLASHnocite] = ACTIONS(7315),
    [anon_sym_BSLASHcitet] = ACTIONS(7315),
    [anon_sym_BSLASHcitep] = ACTIONS(7315),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteA] = ACTIONS(7315),
    [anon_sym_BSLASHciteR] = ACTIONS(7315),
    [anon_sym_BSLASHciteS] = ACTIONS(7315),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7315),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7315),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7315),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7315),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteyear] = ACTIONS(7315),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitedate] = ACTIONS(7315),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteurl] = ACTIONS(7315),
    [anon_sym_BSLASHfullcite] = ACTIONS(7315),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7315),
    [anon_sym_BSLASHcitealt] = ACTIONS(7315),
    [anon_sym_BSLASHcitealp] = ACTIONS(7315),
    [anon_sym_BSLASHcitetext] = ACTIONS(7315),
    [anon_sym_BSLASHparencite] = ACTIONS(7315),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHParencite] = ACTIONS(7315),
    [anon_sym_BSLASHfootcite] = ACTIONS(7315),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7315),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7315),
    [anon_sym_BSLASHtextcite] = ACTIONS(7315),
    [anon_sym_BSLASHTextcite] = ACTIONS(7315),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7315),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7315),
    [anon_sym_BSLASHsupercite] = ACTIONS(7315),
    [anon_sym_BSLASHautocite] = ACTIONS(7315),
    [anon_sym_BSLASHAutocite] = ACTIONS(7315),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHVolcite] = ACTIONS(7315),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHavolcite] = ACTIONS(7315),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHNotecite] = ACTIONS(7315),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHlabel] = ACTIONS(7315),
    [anon_sym_BSLASHref] = ACTIONS(7315),
    [anon_sym_BSLASHeqref] = ACTIONS(7315),
    [anon_sym_BSLASHvref] = ACTIONS(7315),
    [anon_sym_BSLASHVref] = ACTIONS(7315),
    [anon_sym_BSLASHautoref] = ACTIONS(7315),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHpageref] = ACTIONS(7315),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHautopageref] = ACTIONS(7315),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcref] = ACTIONS(7315),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCref] = ACTIONS(7315),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcpageref] = ACTIONS(7315),
    [anon_sym_BSLASHCpageref] = ACTIONS(7315),
    [anon_sym_BSLASHnamecref] = ACTIONS(7315),
    [anon_sym_BSLASHnameCref] = ACTIONS(7315),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7315),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7315),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7315),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7315),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7315),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7315),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7315),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7315),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7315),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7315),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7315),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHdef] = ACTIONS(7315),
    [anon_sym_BSLASHgdef] = ACTIONS(7315),
    [anon_sym_BSLASHedef] = ACTIONS(7315),
    [anon_sym_BSLASHxdef] = ACTIONS(7315),
    [anon_sym_BSLASHlet] = ACTIONS(7315),
    [anon_sym_BSLASHglet] = ACTIONS(7315),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7315),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7315),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7315),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7315),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7315),
    [anon_sym_BSLASHgls] = ACTIONS(7315),
    [anon_sym_BSLASHGls] = ACTIONS(7315),
    [anon_sym_BSLASHGLS] = ACTIONS(7315),
    [anon_sym_BSLASHglspl] = ACTIONS(7315),
    [anon_sym_BSLASHGlspl] = ACTIONS(7315),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7315),
    [anon_sym_BSLASHglslink] = ACTIONS(7315),
    [anon_sym_BSLASHglstext] = ACTIONS(7315),
    [anon_sym_BSLASHGlstext] = ACTIONS(7315),
    [anon_sym_BSLASHGLStext] = ACTIONS(7315),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7315),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7315),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7315),
    [anon_sym_BSLASHglsplural] = ACTIONS(7315),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7315),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7315),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHglsname] = ACTIONS(7315),
    [anon_sym_BSLASHGlsname] = ACTIONS(7315),
    [anon_sym_BSLASHGLSname] = ACTIONS(7315),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7315),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7315),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7315),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7315),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7315),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7315),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7315),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7315),
    [anon_sym_BSLASHacrshort] = ACTIONS(7315),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7315),
    [anon_sym_BSLASHACRshort] = ACTIONS(7315),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHacrlong] = ACTIONS(7315),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7315),
    [anon_sym_BSLASHACRlong] = ACTIONS(7315),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHacrfull] = ACTIONS(7315),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7315),
    [anon_sym_BSLASHACRfull] = ACTIONS(7315),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHacs] = ACTIONS(7315),
    [anon_sym_BSLASHAcs] = ACTIONS(7315),
    [anon_sym_BSLASHacsp] = ACTIONS(7315),
    [anon_sym_BSLASHAcsp] = ACTIONS(7315),
    [anon_sym_BSLASHacl] = ACTIONS(7315),
    [anon_sym_BSLASHAcl] = ACTIONS(7315),
    [anon_sym_BSLASHaclp] = ACTIONS(7315),
    [anon_sym_BSLASHAclp] = ACTIONS(7315),
    [anon_sym_BSLASHacf] = ACTIONS(7315),
    [anon_sym_BSLASHAcf] = ACTIONS(7315),
    [anon_sym_BSLASHacfp] = ACTIONS(7315),
    [anon_sym_BSLASHAcfp] = ACTIONS(7315),
    [anon_sym_BSLASHac] = ACTIONS(7315),
    [anon_sym_BSLASHAc] = ACTIONS(7315),
    [anon_sym_BSLASHacp] = ACTIONS(7315),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7315),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7315),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7315),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7315),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7315),
    [anon_sym_BSLASHcolor] = ACTIONS(7315),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7315),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7315),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7315),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7315),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7315),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7315),
    [anon_sym_BSLASHurl] = ACTIONS(7315),
    [anon_sym_BSLASHhref] = ACTIONS(7315),
  },
  [1156] = {
    [ts_builtin_sym_end] = ACTIONS(7325),
    [sym_command_name] = ACTIONS(7323),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7323),
    [anon_sym_LBRACK] = ACTIONS(7325),
    [anon_sym_RBRACK] = ACTIONS(7325),
    [anon_sym_COMMA] = ACTIONS(7325),
    [anon_sym_EQ] = ACTIONS(7325),
    [anon_sym_LPAREN] = ACTIONS(7325),
    [anon_sym_RPAREN] = ACTIONS(7325),
    [anon_sym_BSLASHpart] = ACTIONS(7323),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHaddpart] = ACTIONS(7323),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHchapter] = ACTIONS(7323),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHaddchap] = ACTIONS(7323),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHsection] = ACTIONS(7323),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHaddsec] = ACTIONS(7323),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHsubsection] = ACTIONS(7323),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7323),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHparagraph] = ACTIONS(7323),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7323),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHitem] = ACTIONS(7323),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7325),
    [anon_sym_LBRACE] = ACTIONS(7325),
    [anon_sym_RBRACE] = ACTIONS(7325),
    [sym_word] = ACTIONS(7323),
    [sym_placeholder] = ACTIONS(7325),
    [sym_delimiter] = ACTIONS(7325),
    [anon_sym_PLUS] = ACTIONS(7325),
    [anon_sym_DASH] = ACTIONS(7325),
    [anon_sym_STAR] = ACTIONS(7325),
    [anon_sym_SLASH] = ACTIONS(7325),
    [anon_sym_LT] = ACTIONS(7323),
    [anon_sym_GT] = ACTIONS(7323),
    [anon_sym_BANG] = ACTIONS(7323),
    [anon_sym_PIPE] = ACTIONS(7323),
    [anon_sym_COLON] = ACTIONS(7323),
    [anon_sym_SQUOTE] = ACTIONS(7323),
    [anon_sym__] = ACTIONS(7325),
    [anon_sym_CARET] = ACTIONS(7325),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7325),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7325),
    [anon_sym_DOLLAR] = ACTIONS(7323),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7325),
    [anon_sym_BSLASHleft] = ACTIONS(7323),
    [anon_sym_BSLASHbigl] = ACTIONS(7323),
    [anon_sym_BSLASHBigl] = ACTIONS(7323),
    [anon_sym_BSLASHbiggl] = ACTIONS(7323),
    [anon_sym_BSLASHBiggl] = ACTIONS(7323),
    [anon_sym_BSLASHtext] = ACTIONS(7323),
    [anon_sym_BSLASHintertext] = ACTIONS(7323),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7323),
    [anon_sym_BSLASHbegin] = ACTIONS(7323),
    [anon_sym_BSLASHtitle] = ACTIONS(7323),
    [anon_sym_BSLASHauthor] = ACTIONS(7323),
    [anon_sym_BSLASHusepackage] = ACTIONS(7323),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7323),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7323),
    [anon_sym_BSLASHinclude] = ACTIONS(7323),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7323),
    [anon_sym_BSLASHinput] = ACTIONS(7323),
    [anon_sym_BSLASHsubfile] = ACTIONS(7323),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7323),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7323),
    [anon_sym_BSLASHbibliography] = ACTIONS(7323),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7323),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7323),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7323),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7323),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7323),
    [anon_sym_BSLASHimport] = ACTIONS(7323),
    [anon_sym_BSLASHsubimport] = ACTIONS(7323),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7323),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7323),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7323),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7323),
    [anon_sym_BSLASHcaption] = ACTIONS(7323),
    [anon_sym_BSLASHcite] = ACTIONS(7323),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCite] = ACTIONS(7323),
    [anon_sym_BSLASHnocite] = ACTIONS(7323),
    [anon_sym_BSLASHcitet] = ACTIONS(7323),
    [anon_sym_BSLASHcitep] = ACTIONS(7323),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteA] = ACTIONS(7323),
    [anon_sym_BSLASHciteR] = ACTIONS(7323),
    [anon_sym_BSLASHciteS] = ACTIONS(7323),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7323),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7323),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7323),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7323),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteyear] = ACTIONS(7323),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitedate] = ACTIONS(7323),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteurl] = ACTIONS(7323),
    [anon_sym_BSLASHfullcite] = ACTIONS(7323),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7323),
    [anon_sym_BSLASHcitealt] = ACTIONS(7323),
    [anon_sym_BSLASHcitealp] = ACTIONS(7323),
    [anon_sym_BSLASHcitetext] = ACTIONS(7323),
    [anon_sym_BSLASHparencite] = ACTIONS(7323),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHParencite] = ACTIONS(7323),
    [anon_sym_BSLASHfootcite] = ACTIONS(7323),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7323),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7323),
    [anon_sym_BSLASHtextcite] = ACTIONS(7323),
    [anon_sym_BSLASHTextcite] = ACTIONS(7323),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7323),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7323),
    [anon_sym_BSLASHsupercite] = ACTIONS(7323),
    [anon_sym_BSLASHautocite] = ACTIONS(7323),
    [anon_sym_BSLASHAutocite] = ACTIONS(7323),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHVolcite] = ACTIONS(7323),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHavolcite] = ACTIONS(7323),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHNotecite] = ACTIONS(7323),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHlabel] = ACTIONS(7323),
    [anon_sym_BSLASHref] = ACTIONS(7323),
    [anon_sym_BSLASHeqref] = ACTIONS(7323),
    [anon_sym_BSLASHvref] = ACTIONS(7323),
    [anon_sym_BSLASHVref] = ACTIONS(7323),
    [anon_sym_BSLASHautoref] = ACTIONS(7323),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHpageref] = ACTIONS(7323),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHautopageref] = ACTIONS(7323),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcref] = ACTIONS(7323),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCref] = ACTIONS(7323),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcpageref] = ACTIONS(7323),
    [anon_sym_BSLASHCpageref] = ACTIONS(7323),
    [anon_sym_BSLASHnamecref] = ACTIONS(7323),
    [anon_sym_BSLASHnameCref] = ACTIONS(7323),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7323),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7323),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7323),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7323),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7323),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7323),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7323),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7323),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7323),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7323),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7323),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHdef] = ACTIONS(7323),
    [anon_sym_BSLASHgdef] = ACTIONS(7323),
    [anon_sym_BSLASHedef] = ACTIONS(7323),
    [anon_sym_BSLASHxdef] = ACTIONS(7323),
    [anon_sym_BSLASHlet] = ACTIONS(7323),
    [anon_sym_BSLASHglet] = ACTIONS(7323),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7323),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7323),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7323),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7323),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7323),
    [anon_sym_BSLASHgls] = ACTIONS(7323),
    [anon_sym_BSLASHGls] = ACTIONS(7323),
    [anon_sym_BSLASHGLS] = ACTIONS(7323),
    [anon_sym_BSLASHglspl] = ACTIONS(7323),
    [anon_sym_BSLASHGlspl] = ACTIONS(7323),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7323),
    [anon_sym_BSLASHglslink] = ACTIONS(7323),
    [anon_sym_BSLASHglstext] = ACTIONS(7323),
    [anon_sym_BSLASHGlstext] = ACTIONS(7323),
    [anon_sym_BSLASHGLStext] = ACTIONS(7323),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7323),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7323),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7323),
    [anon_sym_BSLASHglsplural] = ACTIONS(7323),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7323),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7323),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHglsname] = ACTIONS(7323),
    [anon_sym_BSLASHGlsname] = ACTIONS(7323),
    [anon_sym_BSLASHGLSname] = ACTIONS(7323),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7323),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7323),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7323),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7323),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7323),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7323),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7323),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7323),
    [anon_sym_BSLASHacrshort] = ACTIONS(7323),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7323),
    [anon_sym_BSLASHACRshort] = ACTIONS(7323),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHacrlong] = ACTIONS(7323),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7323),
    [anon_sym_BSLASHACRlong] = ACTIONS(7323),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHacrfull] = ACTIONS(7323),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7323),
    [anon_sym_BSLASHACRfull] = ACTIONS(7323),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHacs] = ACTIONS(7323),
    [anon_sym_BSLASHAcs] = ACTIONS(7323),
    [anon_sym_BSLASHacsp] = ACTIONS(7323),
    [anon_sym_BSLASHAcsp] = ACTIONS(7323),
    [anon_sym_BSLASHacl] = ACTIONS(7323),
    [anon_sym_BSLASHAcl] = ACTIONS(7323),
    [anon_sym_BSLASHaclp] = ACTIONS(7323),
    [anon_sym_BSLASHAclp] = ACTIONS(7323),
    [anon_sym_BSLASHacf] = ACTIONS(7323),
    [anon_sym_BSLASHAcf] = ACTIONS(7323),
    [anon_sym_BSLASHacfp] = ACTIONS(7323),
    [anon_sym_BSLASHAcfp] = ACTIONS(7323),
    [anon_sym_BSLASHac] = ACTIONS(7323),
    [anon_sym_BSLASHAc] = ACTIONS(7323),
    [anon_sym_BSLASHacp] = ACTIONS(7323),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7323),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7323),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7323),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7323),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7323),
    [anon_sym_BSLASHcolor] = ACTIONS(7323),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7323),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7323),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7323),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7323),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7323),
    [anon_sym_BSLASHurl] = ACTIONS(7323),
    [anon_sym_BSLASHhref] = ACTIONS(7323),
  },
  [1157] = {
    [ts_builtin_sym_end] = ACTIONS(7329),
    [sym_command_name] = ACTIONS(7327),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7327),
    [anon_sym_LBRACK] = ACTIONS(7329),
    [anon_sym_RBRACK] = ACTIONS(7329),
    [anon_sym_COMMA] = ACTIONS(7329),
    [anon_sym_EQ] = ACTIONS(7329),
    [anon_sym_LPAREN] = ACTIONS(7329),
    [anon_sym_RPAREN] = ACTIONS(7329),
    [anon_sym_BSLASHpart] = ACTIONS(7327),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHaddpart] = ACTIONS(7327),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHchapter] = ACTIONS(7327),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHaddchap] = ACTIONS(7327),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHsection] = ACTIONS(7327),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHaddsec] = ACTIONS(7327),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHsubsection] = ACTIONS(7327),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7327),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHparagraph] = ACTIONS(7327),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7327),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHitem] = ACTIONS(7327),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7329),
    [anon_sym_LBRACE] = ACTIONS(7329),
    [anon_sym_RBRACE] = ACTIONS(7329),
    [sym_word] = ACTIONS(7327),
    [sym_placeholder] = ACTIONS(7329),
    [sym_delimiter] = ACTIONS(7329),
    [anon_sym_PLUS] = ACTIONS(7329),
    [anon_sym_DASH] = ACTIONS(7329),
    [anon_sym_STAR] = ACTIONS(7329),
    [anon_sym_SLASH] = ACTIONS(7329),
    [anon_sym_LT] = ACTIONS(7327),
    [anon_sym_GT] = ACTIONS(7327),
    [anon_sym_BANG] = ACTIONS(7327),
    [anon_sym_PIPE] = ACTIONS(7327),
    [anon_sym_COLON] = ACTIONS(7327),
    [anon_sym_SQUOTE] = ACTIONS(7327),
    [anon_sym__] = ACTIONS(7329),
    [anon_sym_CARET] = ACTIONS(7329),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7329),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7329),
    [anon_sym_DOLLAR] = ACTIONS(7327),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7329),
    [anon_sym_BSLASHleft] = ACTIONS(7327),
    [anon_sym_BSLASHbigl] = ACTIONS(7327),
    [anon_sym_BSLASHBigl] = ACTIONS(7327),
    [anon_sym_BSLASHbiggl] = ACTIONS(7327),
    [anon_sym_BSLASHBiggl] = ACTIONS(7327),
    [anon_sym_BSLASHtext] = ACTIONS(7327),
    [anon_sym_BSLASHintertext] = ACTIONS(7327),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7327),
    [anon_sym_BSLASHbegin] = ACTIONS(7327),
    [anon_sym_BSLASHtitle] = ACTIONS(7327),
    [anon_sym_BSLASHauthor] = ACTIONS(7327),
    [anon_sym_BSLASHusepackage] = ACTIONS(7327),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7327),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7327),
    [anon_sym_BSLASHinclude] = ACTIONS(7327),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7327),
    [anon_sym_BSLASHinput] = ACTIONS(7327),
    [anon_sym_BSLASHsubfile] = ACTIONS(7327),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7327),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7327),
    [anon_sym_BSLASHbibliography] = ACTIONS(7327),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7327),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7327),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7327),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7327),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7327),
    [anon_sym_BSLASHimport] = ACTIONS(7327),
    [anon_sym_BSLASHsubimport] = ACTIONS(7327),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7327),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7327),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7327),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7327),
    [anon_sym_BSLASHcaption] = ACTIONS(7327),
    [anon_sym_BSLASHcite] = ACTIONS(7327),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCite] = ACTIONS(7327),
    [anon_sym_BSLASHnocite] = ACTIONS(7327),
    [anon_sym_BSLASHcitet] = ACTIONS(7327),
    [anon_sym_BSLASHcitep] = ACTIONS(7327),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteA] = ACTIONS(7327),
    [anon_sym_BSLASHciteR] = ACTIONS(7327),
    [anon_sym_BSLASHciteS] = ACTIONS(7327),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7327),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7327),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7327),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7327),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteyear] = ACTIONS(7327),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitedate] = ACTIONS(7327),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteurl] = ACTIONS(7327),
    [anon_sym_BSLASHfullcite] = ACTIONS(7327),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7327),
    [anon_sym_BSLASHcitealt] = ACTIONS(7327),
    [anon_sym_BSLASHcitealp] = ACTIONS(7327),
    [anon_sym_BSLASHcitetext] = ACTIONS(7327),
    [anon_sym_BSLASHparencite] = ACTIONS(7327),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHParencite] = ACTIONS(7327),
    [anon_sym_BSLASHfootcite] = ACTIONS(7327),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7327),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7327),
    [anon_sym_BSLASHtextcite] = ACTIONS(7327),
    [anon_sym_BSLASHTextcite] = ACTIONS(7327),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7327),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7327),
    [anon_sym_BSLASHsupercite] = ACTIONS(7327),
    [anon_sym_BSLASHautocite] = ACTIONS(7327),
    [anon_sym_BSLASHAutocite] = ACTIONS(7327),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHVolcite] = ACTIONS(7327),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHavolcite] = ACTIONS(7327),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHNotecite] = ACTIONS(7327),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHlabel] = ACTIONS(7327),
    [anon_sym_BSLASHref] = ACTIONS(7327),
    [anon_sym_BSLASHeqref] = ACTIONS(7327),
    [anon_sym_BSLASHvref] = ACTIONS(7327),
    [anon_sym_BSLASHVref] = ACTIONS(7327),
    [anon_sym_BSLASHautoref] = ACTIONS(7327),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHpageref] = ACTIONS(7327),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHautopageref] = ACTIONS(7327),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcref] = ACTIONS(7327),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCref] = ACTIONS(7327),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcpageref] = ACTIONS(7327),
    [anon_sym_BSLASHCpageref] = ACTIONS(7327),
    [anon_sym_BSLASHnamecref] = ACTIONS(7327),
    [anon_sym_BSLASHnameCref] = ACTIONS(7327),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7327),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7327),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7327),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7327),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7327),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7327),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7327),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7327),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7327),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7327),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7327),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHdef] = ACTIONS(7327),
    [anon_sym_BSLASHgdef] = ACTIONS(7327),
    [anon_sym_BSLASHedef] = ACTIONS(7327),
    [anon_sym_BSLASHxdef] = ACTIONS(7327),
    [anon_sym_BSLASHlet] = ACTIONS(7327),
    [anon_sym_BSLASHglet] = ACTIONS(7327),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7327),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7327),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7327),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7327),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7327),
    [anon_sym_BSLASHgls] = ACTIONS(7327),
    [anon_sym_BSLASHGls] = ACTIONS(7327),
    [anon_sym_BSLASHGLS] = ACTIONS(7327),
    [anon_sym_BSLASHglspl] = ACTIONS(7327),
    [anon_sym_BSLASHGlspl] = ACTIONS(7327),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7327),
    [anon_sym_BSLASHglslink] = ACTIONS(7327),
    [anon_sym_BSLASHglstext] = ACTIONS(7327),
    [anon_sym_BSLASHGlstext] = ACTIONS(7327),
    [anon_sym_BSLASHGLStext] = ACTIONS(7327),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7327),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7327),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7327),
    [anon_sym_BSLASHglsplural] = ACTIONS(7327),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7327),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7327),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHglsname] = ACTIONS(7327),
    [anon_sym_BSLASHGlsname] = ACTIONS(7327),
    [anon_sym_BSLASHGLSname] = ACTIONS(7327),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7327),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7327),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7327),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7327),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7327),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7327),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7327),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7327),
    [anon_sym_BSLASHacrshort] = ACTIONS(7327),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7327),
    [anon_sym_BSLASHACRshort] = ACTIONS(7327),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHacrlong] = ACTIONS(7327),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7327),
    [anon_sym_BSLASHACRlong] = ACTIONS(7327),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHacrfull] = ACTIONS(7327),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7327),
    [anon_sym_BSLASHACRfull] = ACTIONS(7327),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHacs] = ACTIONS(7327),
    [anon_sym_BSLASHAcs] = ACTIONS(7327),
    [anon_sym_BSLASHacsp] = ACTIONS(7327),
    [anon_sym_BSLASHAcsp] = ACTIONS(7327),
    [anon_sym_BSLASHacl] = ACTIONS(7327),
    [anon_sym_BSLASHAcl] = ACTIONS(7327),
    [anon_sym_BSLASHaclp] = ACTIONS(7327),
    [anon_sym_BSLASHAclp] = ACTIONS(7327),
    [anon_sym_BSLASHacf] = ACTIONS(7327),
    [anon_sym_BSLASHAcf] = ACTIONS(7327),
    [anon_sym_BSLASHacfp] = ACTIONS(7327),
    [anon_sym_BSLASHAcfp] = ACTIONS(7327),
    [anon_sym_BSLASHac] = ACTIONS(7327),
    [anon_sym_BSLASHAc] = ACTIONS(7327),
    [anon_sym_BSLASHacp] = ACTIONS(7327),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7327),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7327),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7327),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7327),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7327),
    [anon_sym_BSLASHcolor] = ACTIONS(7327),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7327),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7327),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7327),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7327),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7327),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7327),
    [anon_sym_BSLASHurl] = ACTIONS(7327),
    [anon_sym_BSLASHhref] = ACTIONS(7327),
  },
  [1158] = {
    [sym_curly_group] = STATE(1195),
    [sym_command_name] = ACTIONS(6947),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6949),
    [anon_sym_RBRACK] = ACTIONS(6949),
    [anon_sym_COMMA] = ACTIONS(6949),
    [anon_sym_EQ] = ACTIONS(6949),
    [anon_sym_LPAREN] = ACTIONS(6949),
    [anon_sym_RPAREN] = ACTIONS(6949),
    [anon_sym_BSLASHpart] = ACTIONS(6947),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHaddpart] = ACTIONS(6947),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHchapter] = ACTIONS(6947),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHaddchap] = ACTIONS(6947),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHsection] = ACTIONS(6947),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHaddsec] = ACTIONS(6947),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHsubsection] = ACTIONS(6947),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6947),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHparagraph] = ACTIONS(6947),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6947),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHitem] = ACTIONS(6947),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6949),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(6947),
    [sym_placeholder] = ACTIONS(6949),
    [sym_delimiter] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6949),
    [anon_sym_DASH] = ACTIONS(6949),
    [anon_sym_STAR] = ACTIONS(6949),
    [anon_sym_SLASH] = ACTIONS(6949),
    [anon_sym_LT] = ACTIONS(6947),
    [anon_sym_GT] = ACTIONS(6947),
    [anon_sym_BANG] = ACTIONS(6947),
    [anon_sym_PIPE] = ACTIONS(6947),
    [anon_sym_COLON] = ACTIONS(6947),
    [anon_sym_SQUOTE] = ACTIONS(6947),
    [anon_sym__] = ACTIONS(6949),
    [anon_sym_CARET] = ACTIONS(6949),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6949),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6949),
    [anon_sym_DOLLAR] = ACTIONS(6947),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6949),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6949),
    [anon_sym_BSLASHleft] = ACTIONS(6947),
    [anon_sym_BSLASHbigl] = ACTIONS(6947),
    [anon_sym_BSLASHBigl] = ACTIONS(6947),
    [anon_sym_BSLASHbiggl] = ACTIONS(6947),
    [anon_sym_BSLASHBiggl] = ACTIONS(6947),
    [anon_sym_BSLASHtext] = ACTIONS(6947),
    [anon_sym_BSLASHintertext] = ACTIONS(6947),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6947),
    [anon_sym_BSLASHbegin] = ACTIONS(6947),
    [anon_sym_BSLASHtitle] = ACTIONS(6947),
    [anon_sym_BSLASHauthor] = ACTIONS(6947),
    [anon_sym_BSLASHusepackage] = ACTIONS(6947),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6947),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6947),
    [anon_sym_BSLASHinclude] = ACTIONS(6947),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6947),
    [anon_sym_BSLASHinput] = ACTIONS(6947),
    [anon_sym_BSLASHsubfile] = ACTIONS(6947),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6947),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6947),
    [anon_sym_BSLASHbibliography] = ACTIONS(6947),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6947),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6947),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6947),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6947),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6947),
    [anon_sym_BSLASHimport] = ACTIONS(6947),
    [anon_sym_BSLASHsubimport] = ACTIONS(6947),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6947),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6947),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6947),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6947),
    [anon_sym_BSLASHcaption] = ACTIONS(6947),
    [anon_sym_BSLASHcite] = ACTIONS(6947),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCite] = ACTIONS(6947),
    [anon_sym_BSLASHnocite] = ACTIONS(6947),
    [anon_sym_BSLASHcitet] = ACTIONS(6947),
    [anon_sym_BSLASHcitep] = ACTIONS(6947),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteA] = ACTIONS(6947),
    [anon_sym_BSLASHciteR] = ACTIONS(6947),
    [anon_sym_BSLASHciteS] = ACTIONS(6947),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6947),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6947),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6947),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6947),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteyear] = ACTIONS(6947),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitedate] = ACTIONS(6947),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteurl] = ACTIONS(6947),
    [anon_sym_BSLASHfullcite] = ACTIONS(6947),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6947),
    [anon_sym_BSLASHcitealt] = ACTIONS(6947),
    [anon_sym_BSLASHcitealp] = ACTIONS(6947),
    [anon_sym_BSLASHcitetext] = ACTIONS(6947),
    [anon_sym_BSLASHparencite] = ACTIONS(6947),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHParencite] = ACTIONS(6947),
    [anon_sym_BSLASHfootcite] = ACTIONS(6947),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6947),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6947),
    [anon_sym_BSLASHtextcite] = ACTIONS(6947),
    [anon_sym_BSLASHTextcite] = ACTIONS(6947),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6947),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6947),
    [anon_sym_BSLASHsupercite] = ACTIONS(6947),
    [anon_sym_BSLASHautocite] = ACTIONS(6947),
    [anon_sym_BSLASHAutocite] = ACTIONS(6947),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHVolcite] = ACTIONS(6947),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHavolcite] = ACTIONS(6947),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHNotecite] = ACTIONS(6947),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHlabel] = ACTIONS(6947),
    [anon_sym_BSLASHref] = ACTIONS(6947),
    [anon_sym_BSLASHeqref] = ACTIONS(6947),
    [anon_sym_BSLASHvref] = ACTIONS(6947),
    [anon_sym_BSLASHVref] = ACTIONS(6947),
    [anon_sym_BSLASHautoref] = ACTIONS(6947),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHpageref] = ACTIONS(6947),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHautopageref] = ACTIONS(6947),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcref] = ACTIONS(6947),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCref] = ACTIONS(6947),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcpageref] = ACTIONS(6947),
    [anon_sym_BSLASHCpageref] = ACTIONS(6947),
    [anon_sym_BSLASHnamecref] = ACTIONS(6947),
    [anon_sym_BSLASHnameCref] = ACTIONS(6947),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6947),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6947),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6947),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6947),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6947),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6947),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6947),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6947),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6947),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6947),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6947),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHdef] = ACTIONS(6947),
    [anon_sym_BSLASHgdef] = ACTIONS(6947),
    [anon_sym_BSLASHedef] = ACTIONS(6947),
    [anon_sym_BSLASHxdef] = ACTIONS(6947),
    [anon_sym_BSLASHlet] = ACTIONS(6947),
    [anon_sym_BSLASHglet] = ACTIONS(6947),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6947),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6947),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6947),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6947),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6947),
    [anon_sym_BSLASHgls] = ACTIONS(6947),
    [anon_sym_BSLASHGls] = ACTIONS(6947),
    [anon_sym_BSLASHGLS] = ACTIONS(6947),
    [anon_sym_BSLASHglspl] = ACTIONS(6947),
    [anon_sym_BSLASHGlspl] = ACTIONS(6947),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6947),
    [anon_sym_BSLASHglslink] = ACTIONS(6947),
    [anon_sym_BSLASHglstext] = ACTIONS(6947),
    [anon_sym_BSLASHGlstext] = ACTIONS(6947),
    [anon_sym_BSLASHGLStext] = ACTIONS(6947),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6947),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6947),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6947),
    [anon_sym_BSLASHglsplural] = ACTIONS(6947),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6947),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6947),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHglsname] = ACTIONS(6947),
    [anon_sym_BSLASHGlsname] = ACTIONS(6947),
    [anon_sym_BSLASHGLSname] = ACTIONS(6947),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6947),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6947),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6947),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6947),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6947),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6947),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6947),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6947),
    [anon_sym_BSLASHacrshort] = ACTIONS(6947),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6947),
    [anon_sym_BSLASHACRshort] = ACTIONS(6947),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHacrlong] = ACTIONS(6947),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6947),
    [anon_sym_BSLASHACRlong] = ACTIONS(6947),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHacrfull] = ACTIONS(6947),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6947),
    [anon_sym_BSLASHACRfull] = ACTIONS(6947),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHacs] = ACTIONS(6947),
    [anon_sym_BSLASHAcs] = ACTIONS(6947),
    [anon_sym_BSLASHacsp] = ACTIONS(6947),
    [anon_sym_BSLASHAcsp] = ACTIONS(6947),
    [anon_sym_BSLASHacl] = ACTIONS(6947),
    [anon_sym_BSLASHAcl] = ACTIONS(6947),
    [anon_sym_BSLASHaclp] = ACTIONS(6947),
    [anon_sym_BSLASHAclp] = ACTIONS(6947),
    [anon_sym_BSLASHacf] = ACTIONS(6947),
    [anon_sym_BSLASHAcf] = ACTIONS(6947),
    [anon_sym_BSLASHacfp] = ACTIONS(6947),
    [anon_sym_BSLASHAcfp] = ACTIONS(6947),
    [anon_sym_BSLASHac] = ACTIONS(6947),
    [anon_sym_BSLASHAc] = ACTIONS(6947),
    [anon_sym_BSLASHacp] = ACTIONS(6947),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6947),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6947),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6947),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6947),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6947),
    [anon_sym_BSLASHcolor] = ACTIONS(6947),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6947),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6947),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6947),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6947),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6947),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6947),
    [anon_sym_BSLASHurl] = ACTIONS(6947),
    [anon_sym_BSLASHhref] = ACTIONS(6947),
  },
  [1159] = {
    [sym_curly_group] = STATE(1197),
    [sym_command_name] = ACTIONS(6943),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6943),
    [anon_sym_LBRACK] = ACTIONS(6945),
    [anon_sym_RBRACK] = ACTIONS(6945),
    [anon_sym_COMMA] = ACTIONS(6945),
    [anon_sym_EQ] = ACTIONS(6945),
    [anon_sym_LPAREN] = ACTIONS(6945),
    [anon_sym_RPAREN] = ACTIONS(6945),
    [anon_sym_BSLASHpart] = ACTIONS(6943),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHaddpart] = ACTIONS(6943),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHchapter] = ACTIONS(6943),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHaddchap] = ACTIONS(6943),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHsection] = ACTIONS(6943),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHaddsec] = ACTIONS(6943),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHsubsection] = ACTIONS(6943),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6943),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHparagraph] = ACTIONS(6943),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6943),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHitem] = ACTIONS(6943),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(6945),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [sym_word] = ACTIONS(6943),
    [sym_placeholder] = ACTIONS(6945),
    [sym_delimiter] = ACTIONS(6945),
    [anon_sym_PLUS] = ACTIONS(6945),
    [anon_sym_DASH] = ACTIONS(6945),
    [anon_sym_STAR] = ACTIONS(6945),
    [anon_sym_SLASH] = ACTIONS(6945),
    [anon_sym_LT] = ACTIONS(6943),
    [anon_sym_GT] = ACTIONS(6943),
    [anon_sym_BANG] = ACTIONS(6943),
    [anon_sym_PIPE] = ACTIONS(6943),
    [anon_sym_COLON] = ACTIONS(6943),
    [anon_sym_SQUOTE] = ACTIONS(6943),
    [anon_sym__] = ACTIONS(6945),
    [anon_sym_CARET] = ACTIONS(6945),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6945),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6945),
    [anon_sym_DOLLAR] = ACTIONS(6943),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6945),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(6945),
    [anon_sym_BSLASHleft] = ACTIONS(6943),
    [anon_sym_BSLASHbigl] = ACTIONS(6943),
    [anon_sym_BSLASHBigl] = ACTIONS(6943),
    [anon_sym_BSLASHbiggl] = ACTIONS(6943),
    [anon_sym_BSLASHBiggl] = ACTIONS(6943),
    [anon_sym_BSLASHtext] = ACTIONS(6943),
    [anon_sym_BSLASHintertext] = ACTIONS(6943),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6943),
    [anon_sym_BSLASHbegin] = ACTIONS(6943),
    [anon_sym_BSLASHtitle] = ACTIONS(6943),
    [anon_sym_BSLASHauthor] = ACTIONS(6943),
    [anon_sym_BSLASHusepackage] = ACTIONS(6943),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6943),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6943),
    [anon_sym_BSLASHinclude] = ACTIONS(6943),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6943),
    [anon_sym_BSLASHinput] = ACTIONS(6943),
    [anon_sym_BSLASHsubfile] = ACTIONS(6943),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6943),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6943),
    [anon_sym_BSLASHbibliography] = ACTIONS(6943),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6943),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6943),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6943),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6943),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6943),
    [anon_sym_BSLASHimport] = ACTIONS(6943),
    [anon_sym_BSLASHsubimport] = ACTIONS(6943),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6943),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6943),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6943),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6943),
    [anon_sym_BSLASHcaption] = ACTIONS(6943),
    [anon_sym_BSLASHcite] = ACTIONS(6943),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCite] = ACTIONS(6943),
    [anon_sym_BSLASHnocite] = ACTIONS(6943),
    [anon_sym_BSLASHcitet] = ACTIONS(6943),
    [anon_sym_BSLASHcitep] = ACTIONS(6943),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteA] = ACTIONS(6943),
    [anon_sym_BSLASHciteR] = ACTIONS(6943),
    [anon_sym_BSLASHciteS] = ACTIONS(6943),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6943),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6943),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6943),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6943),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteyear] = ACTIONS(6943),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitedate] = ACTIONS(6943),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteurl] = ACTIONS(6943),
    [anon_sym_BSLASHfullcite] = ACTIONS(6943),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6943),
    [anon_sym_BSLASHcitealt] = ACTIONS(6943),
    [anon_sym_BSLASHcitealp] = ACTIONS(6943),
    [anon_sym_BSLASHcitetext] = ACTIONS(6943),
    [anon_sym_BSLASHparencite] = ACTIONS(6943),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHParencite] = ACTIONS(6943),
    [anon_sym_BSLASHfootcite] = ACTIONS(6943),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6943),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6943),
    [anon_sym_BSLASHtextcite] = ACTIONS(6943),
    [anon_sym_BSLASHTextcite] = ACTIONS(6943),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6943),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6943),
    [anon_sym_BSLASHsupercite] = ACTIONS(6943),
    [anon_sym_BSLASHautocite] = ACTIONS(6943),
    [anon_sym_BSLASHAutocite] = ACTIONS(6943),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHVolcite] = ACTIONS(6943),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHavolcite] = ACTIONS(6943),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHNotecite] = ACTIONS(6943),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHlabel] = ACTIONS(6943),
    [anon_sym_BSLASHref] = ACTIONS(6943),
    [anon_sym_BSLASHeqref] = ACTIONS(6943),
    [anon_sym_BSLASHvref] = ACTIONS(6943),
    [anon_sym_BSLASHVref] = ACTIONS(6943),
    [anon_sym_BSLASHautoref] = ACTIONS(6943),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHpageref] = ACTIONS(6943),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHautopageref] = ACTIONS(6943),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcref] = ACTIONS(6943),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCref] = ACTIONS(6943),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcpageref] = ACTIONS(6943),
    [anon_sym_BSLASHCpageref] = ACTIONS(6943),
    [anon_sym_BSLASHnamecref] = ACTIONS(6943),
    [anon_sym_BSLASHnameCref] = ACTIONS(6943),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6943),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6943),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6943),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6943),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6943),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6943),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6943),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6943),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6943),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6943),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6943),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHdef] = ACTIONS(6943),
    [anon_sym_BSLASHgdef] = ACTIONS(6943),
    [anon_sym_BSLASHedef] = ACTIONS(6943),
    [anon_sym_BSLASHxdef] = ACTIONS(6943),
    [anon_sym_BSLASHlet] = ACTIONS(6943),
    [anon_sym_BSLASHglet] = ACTIONS(6943),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6943),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6943),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6943),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6943),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6943),
    [anon_sym_BSLASHgls] = ACTIONS(6943),
    [anon_sym_BSLASHGls] = ACTIONS(6943),
    [anon_sym_BSLASHGLS] = ACTIONS(6943),
    [anon_sym_BSLASHglspl] = ACTIONS(6943),
    [anon_sym_BSLASHGlspl] = ACTIONS(6943),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6943),
    [anon_sym_BSLASHglslink] = ACTIONS(6943),
    [anon_sym_BSLASHglstext] = ACTIONS(6943),
    [anon_sym_BSLASHGlstext] = ACTIONS(6943),
    [anon_sym_BSLASHGLStext] = ACTIONS(6943),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6943),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6943),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6943),
    [anon_sym_BSLASHglsplural] = ACTIONS(6943),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6943),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6943),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHglsname] = ACTIONS(6943),
    [anon_sym_BSLASHGlsname] = ACTIONS(6943),
    [anon_sym_BSLASHGLSname] = ACTIONS(6943),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6943),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6943),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6943),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6943),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6943),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6943),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6943),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6943),
    [anon_sym_BSLASHacrshort] = ACTIONS(6943),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6943),
    [anon_sym_BSLASHACRshort] = ACTIONS(6943),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHacrlong] = ACTIONS(6943),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6943),
    [anon_sym_BSLASHACRlong] = ACTIONS(6943),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHacrfull] = ACTIONS(6943),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6943),
    [anon_sym_BSLASHACRfull] = ACTIONS(6943),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHacs] = ACTIONS(6943),
    [anon_sym_BSLASHAcs] = ACTIONS(6943),
    [anon_sym_BSLASHacsp] = ACTIONS(6943),
    [anon_sym_BSLASHAcsp] = ACTIONS(6943),
    [anon_sym_BSLASHacl] = ACTIONS(6943),
    [anon_sym_BSLASHAcl] = ACTIONS(6943),
    [anon_sym_BSLASHaclp] = ACTIONS(6943),
    [anon_sym_BSLASHAclp] = ACTIONS(6943),
    [anon_sym_BSLASHacf] = ACTIONS(6943),
    [anon_sym_BSLASHAcf] = ACTIONS(6943),
    [anon_sym_BSLASHacfp] = ACTIONS(6943),
    [anon_sym_BSLASHAcfp] = ACTIONS(6943),
    [anon_sym_BSLASHac] = ACTIONS(6943),
    [anon_sym_BSLASHAc] = ACTIONS(6943),
    [anon_sym_BSLASHacp] = ACTIONS(6943),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6943),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6943),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6943),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6943),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6943),
    [anon_sym_BSLASHcolor] = ACTIONS(6943),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6943),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6943),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6943),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6943),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6943),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6943),
    [anon_sym_BSLASHurl] = ACTIONS(6943),
    [anon_sym_BSLASHhref] = ACTIONS(6943),
  },
  [1160] = {
    [ts_builtin_sym_end] = ACTIONS(7213),
    [sym_command_name] = ACTIONS(7211),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7211),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_RBRACK] = ACTIONS(7213),
    [anon_sym_COMMA] = ACTIONS(7213),
    [anon_sym_EQ] = ACTIONS(7213),
    [anon_sym_LPAREN] = ACTIONS(7213),
    [anon_sym_RPAREN] = ACTIONS(7213),
    [anon_sym_BSLASHpart] = ACTIONS(7211),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHaddpart] = ACTIONS(7211),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHchapter] = ACTIONS(7211),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHaddchap] = ACTIONS(7211),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHsection] = ACTIONS(7211),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHaddsec] = ACTIONS(7211),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHsubsection] = ACTIONS(7211),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7211),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHparagraph] = ACTIONS(7211),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7211),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHitem] = ACTIONS(7211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7213),
    [anon_sym_LBRACE] = ACTIONS(7213),
    [anon_sym_RBRACE] = ACTIONS(7213),
    [sym_word] = ACTIONS(7211),
    [sym_placeholder] = ACTIONS(7213),
    [sym_delimiter] = ACTIONS(7213),
    [anon_sym_PLUS] = ACTIONS(7213),
    [anon_sym_DASH] = ACTIONS(7213),
    [anon_sym_STAR] = ACTIONS(7213),
    [anon_sym_SLASH] = ACTIONS(7213),
    [anon_sym_LT] = ACTIONS(7211),
    [anon_sym_GT] = ACTIONS(7211),
    [anon_sym_BANG] = ACTIONS(7211),
    [anon_sym_PIPE] = ACTIONS(7211),
    [anon_sym_COLON] = ACTIONS(7211),
    [anon_sym_SQUOTE] = ACTIONS(7211),
    [anon_sym__] = ACTIONS(7213),
    [anon_sym_CARET] = ACTIONS(7213),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7213),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7213),
    [anon_sym_DOLLAR] = ACTIONS(7211),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7213),
    [anon_sym_BSLASHleft] = ACTIONS(7211),
    [anon_sym_BSLASHbigl] = ACTIONS(7211),
    [anon_sym_BSLASHBigl] = ACTIONS(7211),
    [anon_sym_BSLASHbiggl] = ACTIONS(7211),
    [anon_sym_BSLASHBiggl] = ACTIONS(7211),
    [anon_sym_BSLASHtext] = ACTIONS(7211),
    [anon_sym_BSLASHintertext] = ACTIONS(7211),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7211),
    [anon_sym_BSLASHbegin] = ACTIONS(7211),
    [anon_sym_BSLASHtitle] = ACTIONS(7211),
    [anon_sym_BSLASHauthor] = ACTIONS(7211),
    [anon_sym_BSLASHusepackage] = ACTIONS(7211),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7211),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7211),
    [anon_sym_BSLASHinclude] = ACTIONS(7211),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7211),
    [anon_sym_BSLASHinput] = ACTIONS(7211),
    [anon_sym_BSLASHsubfile] = ACTIONS(7211),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7211),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7211),
    [anon_sym_BSLASHbibliography] = ACTIONS(7211),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7211),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7211),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7211),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7211),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7211),
    [anon_sym_BSLASHimport] = ACTIONS(7211),
    [anon_sym_BSLASHsubimport] = ACTIONS(7211),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7211),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7211),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7211),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7211),
    [anon_sym_BSLASHcaption] = ACTIONS(7211),
    [anon_sym_BSLASHcite] = ACTIONS(7211),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCite] = ACTIONS(7211),
    [anon_sym_BSLASHnocite] = ACTIONS(7211),
    [anon_sym_BSLASHcitet] = ACTIONS(7211),
    [anon_sym_BSLASHcitep] = ACTIONS(7211),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteA] = ACTIONS(7211),
    [anon_sym_BSLASHciteR] = ACTIONS(7211),
    [anon_sym_BSLASHciteS] = ACTIONS(7211),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7211),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7211),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7211),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7211),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteyear] = ACTIONS(7211),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitedate] = ACTIONS(7211),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteurl] = ACTIONS(7211),
    [anon_sym_BSLASHfullcite] = ACTIONS(7211),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7211),
    [anon_sym_BSLASHcitealt] = ACTIONS(7211),
    [anon_sym_BSLASHcitealp] = ACTIONS(7211),
    [anon_sym_BSLASHcitetext] = ACTIONS(7211),
    [anon_sym_BSLASHparencite] = ACTIONS(7211),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHParencite] = ACTIONS(7211),
    [anon_sym_BSLASHfootcite] = ACTIONS(7211),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7211),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7211),
    [anon_sym_BSLASHtextcite] = ACTIONS(7211),
    [anon_sym_BSLASHTextcite] = ACTIONS(7211),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7211),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7211),
    [anon_sym_BSLASHsupercite] = ACTIONS(7211),
    [anon_sym_BSLASHautocite] = ACTIONS(7211),
    [anon_sym_BSLASHAutocite] = ACTIONS(7211),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHVolcite] = ACTIONS(7211),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHavolcite] = ACTIONS(7211),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHNotecite] = ACTIONS(7211),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHlabel] = ACTIONS(7211),
    [anon_sym_BSLASHref] = ACTIONS(7211),
    [anon_sym_BSLASHeqref] = ACTIONS(7211),
    [anon_sym_BSLASHvref] = ACTIONS(7211),
    [anon_sym_BSLASHVref] = ACTIONS(7211),
    [anon_sym_BSLASHautoref] = ACTIONS(7211),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHpageref] = ACTIONS(7211),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHautopageref] = ACTIONS(7211),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcref] = ACTIONS(7211),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCref] = ACTIONS(7211),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcpageref] = ACTIONS(7211),
    [anon_sym_BSLASHCpageref] = ACTIONS(7211),
    [anon_sym_BSLASHnamecref] = ACTIONS(7211),
    [anon_sym_BSLASHnameCref] = ACTIONS(7211),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7211),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7211),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7211),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7211),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7211),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7211),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7211),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7211),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7211),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7211),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7211),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHdef] = ACTIONS(7211),
    [anon_sym_BSLASHgdef] = ACTIONS(7211),
    [anon_sym_BSLASHedef] = ACTIONS(7211),
    [anon_sym_BSLASHxdef] = ACTIONS(7211),
    [anon_sym_BSLASHlet] = ACTIONS(7211),
    [anon_sym_BSLASHglet] = ACTIONS(7211),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7211),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7211),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7211),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7211),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7211),
    [anon_sym_BSLASHgls] = ACTIONS(7211),
    [anon_sym_BSLASHGls] = ACTIONS(7211),
    [anon_sym_BSLASHGLS] = ACTIONS(7211),
    [anon_sym_BSLASHglspl] = ACTIONS(7211),
    [anon_sym_BSLASHGlspl] = ACTIONS(7211),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7211),
    [anon_sym_BSLASHglslink] = ACTIONS(7211),
    [anon_sym_BSLASHglstext] = ACTIONS(7211),
    [anon_sym_BSLASHGlstext] = ACTIONS(7211),
    [anon_sym_BSLASHGLStext] = ACTIONS(7211),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7211),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7211),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7211),
    [anon_sym_BSLASHglsplural] = ACTIONS(7211),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7211),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7211),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHglsname] = ACTIONS(7211),
    [anon_sym_BSLASHGlsname] = ACTIONS(7211),
    [anon_sym_BSLASHGLSname] = ACTIONS(7211),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7211),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7211),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7211),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7211),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7211),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7211),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7211),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7211),
    [anon_sym_BSLASHacrshort] = ACTIONS(7211),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7211),
    [anon_sym_BSLASHACRshort] = ACTIONS(7211),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHacrlong] = ACTIONS(7211),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7211),
    [anon_sym_BSLASHACRlong] = ACTIONS(7211),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHacrfull] = ACTIONS(7211),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7211),
    [anon_sym_BSLASHACRfull] = ACTIONS(7211),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHacs] = ACTIONS(7211),
    [anon_sym_BSLASHAcs] = ACTIONS(7211),
    [anon_sym_BSLASHacsp] = ACTIONS(7211),
    [anon_sym_BSLASHAcsp] = ACTIONS(7211),
    [anon_sym_BSLASHacl] = ACTIONS(7211),
    [anon_sym_BSLASHAcl] = ACTIONS(7211),
    [anon_sym_BSLASHaclp] = ACTIONS(7211),
    [anon_sym_BSLASHAclp] = ACTIONS(7211),
    [anon_sym_BSLASHacf] = ACTIONS(7211),
    [anon_sym_BSLASHAcf] = ACTIONS(7211),
    [anon_sym_BSLASHacfp] = ACTIONS(7211),
    [anon_sym_BSLASHAcfp] = ACTIONS(7211),
    [anon_sym_BSLASHac] = ACTIONS(7211),
    [anon_sym_BSLASHAc] = ACTIONS(7211),
    [anon_sym_BSLASHacp] = ACTIONS(7211),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7211),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7211),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7211),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7211),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7211),
    [anon_sym_BSLASHcolor] = ACTIONS(7211),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7211),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7211),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7211),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7211),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7211),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7211),
    [anon_sym_BSLASHurl] = ACTIONS(7211),
    [anon_sym_BSLASHhref] = ACTIONS(7211),
  },
  [1161] = {
    [ts_builtin_sym_end] = ACTIONS(7017),
    [sym_command_name] = ACTIONS(7015),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7015),
    [anon_sym_LBRACK] = ACTIONS(7017),
    [anon_sym_RBRACK] = ACTIONS(7017),
    [anon_sym_COMMA] = ACTIONS(7017),
    [anon_sym_EQ] = ACTIONS(7017),
    [anon_sym_LPAREN] = ACTIONS(7017),
    [anon_sym_RPAREN] = ACTIONS(7017),
    [anon_sym_BSLASHpart] = ACTIONS(7015),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHaddpart] = ACTIONS(7015),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHchapter] = ACTIONS(7015),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHaddchap] = ACTIONS(7015),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHsection] = ACTIONS(7015),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHaddsec] = ACTIONS(7015),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHsubsection] = ACTIONS(7015),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7015),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHparagraph] = ACTIONS(7015),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7015),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHitem] = ACTIONS(7015),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7017),
    [anon_sym_LBRACE] = ACTIONS(7017),
    [anon_sym_RBRACE] = ACTIONS(7017),
    [sym_word] = ACTIONS(7015),
    [sym_placeholder] = ACTIONS(7017),
    [sym_delimiter] = ACTIONS(7017),
    [anon_sym_PLUS] = ACTIONS(7017),
    [anon_sym_DASH] = ACTIONS(7017),
    [anon_sym_STAR] = ACTIONS(7017),
    [anon_sym_SLASH] = ACTIONS(7017),
    [anon_sym_LT] = ACTIONS(7015),
    [anon_sym_GT] = ACTIONS(7015),
    [anon_sym_BANG] = ACTIONS(7015),
    [anon_sym_PIPE] = ACTIONS(7015),
    [anon_sym_COLON] = ACTIONS(7015),
    [anon_sym_SQUOTE] = ACTIONS(7015),
    [anon_sym__] = ACTIONS(7017),
    [anon_sym_CARET] = ACTIONS(7017),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7017),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7017),
    [anon_sym_DOLLAR] = ACTIONS(7015),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7017),
    [anon_sym_BSLASHleft] = ACTIONS(7015),
    [anon_sym_BSLASHbigl] = ACTIONS(7015),
    [anon_sym_BSLASHBigl] = ACTIONS(7015),
    [anon_sym_BSLASHbiggl] = ACTIONS(7015),
    [anon_sym_BSLASHBiggl] = ACTIONS(7015),
    [anon_sym_BSLASHtext] = ACTIONS(7015),
    [anon_sym_BSLASHintertext] = ACTIONS(7015),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7015),
    [anon_sym_BSLASHbegin] = ACTIONS(7015),
    [anon_sym_BSLASHtitle] = ACTIONS(7015),
    [anon_sym_BSLASHauthor] = ACTIONS(7015),
    [anon_sym_BSLASHusepackage] = ACTIONS(7015),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7015),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7015),
    [anon_sym_BSLASHinclude] = ACTIONS(7015),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7015),
    [anon_sym_BSLASHinput] = ACTIONS(7015),
    [anon_sym_BSLASHsubfile] = ACTIONS(7015),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7015),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7015),
    [anon_sym_BSLASHbibliography] = ACTIONS(7015),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7015),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7015),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7015),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7015),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7015),
    [anon_sym_BSLASHimport] = ACTIONS(7015),
    [anon_sym_BSLASHsubimport] = ACTIONS(7015),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7015),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7015),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7015),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7015),
    [anon_sym_BSLASHcaption] = ACTIONS(7015),
    [anon_sym_BSLASHcite] = ACTIONS(7015),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHCite] = ACTIONS(7015),
    [anon_sym_BSLASHnocite] = ACTIONS(7015),
    [anon_sym_BSLASHcitet] = ACTIONS(7015),
    [anon_sym_BSLASHcitep] = ACTIONS(7015),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHciteA] = ACTIONS(7015),
    [anon_sym_BSLASHciteR] = ACTIONS(7015),
    [anon_sym_BSLASHciteS] = ACTIONS(7015),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7015),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7015),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7015),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7015),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHciteyear] = ACTIONS(7015),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcitedate] = ACTIONS(7015),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHciteurl] = ACTIONS(7015),
    [anon_sym_BSLASHfullcite] = ACTIONS(7015),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7015),
    [anon_sym_BSLASHcitealt] = ACTIONS(7015),
    [anon_sym_BSLASHcitealp] = ACTIONS(7015),
    [anon_sym_BSLASHcitetext] = ACTIONS(7015),
    [anon_sym_BSLASHparencite] = ACTIONS(7015),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHParencite] = ACTIONS(7015),
    [anon_sym_BSLASHfootcite] = ACTIONS(7015),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7015),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7015),
    [anon_sym_BSLASHtextcite] = ACTIONS(7015),
    [anon_sym_BSLASHTextcite] = ACTIONS(7015),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7015),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7015),
    [anon_sym_BSLASHsupercite] = ACTIONS(7015),
    [anon_sym_BSLASHautocite] = ACTIONS(7015),
    [anon_sym_BSLASHAutocite] = ACTIONS(7015),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHVolcite] = ACTIONS(7015),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHavolcite] = ACTIONS(7015),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHnotecite] = ACTIONS(7015),
    [anon_sym_BSLASHNotecite] = ACTIONS(7015),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7015),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7015),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7015),
    [anon_sym_BSLASHlabel] = ACTIONS(7015),
    [anon_sym_BSLASHref] = ACTIONS(7015),
    [anon_sym_BSLASHeqref] = ACTIONS(7015),
    [anon_sym_BSLASHvref] = ACTIONS(7015),
    [anon_sym_BSLASHVref] = ACTIONS(7015),
    [anon_sym_BSLASHautoref] = ACTIONS(7015),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHpageref] = ACTIONS(7015),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHautopageref] = ACTIONS(7015),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcref] = ACTIONS(7015),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHCref] = ACTIONS(7015),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcpageref] = ACTIONS(7015),
    [anon_sym_BSLASHCpageref] = ACTIONS(7015),
    [anon_sym_BSLASHnamecref] = ACTIONS(7015),
    [anon_sym_BSLASHnameCref] = ACTIONS(7015),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7015),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7015),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7015),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7015),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7015),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7015),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7015),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7015),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7015),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7015),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7015),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7015),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7015),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7015),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7015),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7015),
    [anon_sym_BSLASHdef] = ACTIONS(7015),
    [anon_sym_BSLASHgdef] = ACTIONS(7015),
    [anon_sym_BSLASHedef] = ACTIONS(7015),
    [anon_sym_BSLASHxdef] = ACTIONS(7015),
    [anon_sym_BSLASHlet] = ACTIONS(7015),
    [anon_sym_BSLASHglet] = ACTIONS(7015),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7015),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7015),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7015),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7015),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7015),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7015),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7015),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7015),
    [anon_sym_BSLASHgls] = ACTIONS(7015),
    [anon_sym_BSLASHGls] = ACTIONS(7015),
    [anon_sym_BSLASHGLS] = ACTIONS(7015),
    [anon_sym_BSLASHglspl] = ACTIONS(7015),
    [anon_sym_BSLASHGlspl] = ACTIONS(7015),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7015),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7015),
    [anon_sym_BSLASHglslink] = ACTIONS(7015),
    [anon_sym_BSLASHglstext] = ACTIONS(7015),
    [anon_sym_BSLASHGlstext] = ACTIONS(7015),
    [anon_sym_BSLASHGLStext] = ACTIONS(7015),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7015),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7015),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7015),
    [anon_sym_BSLASHglsplural] = ACTIONS(7015),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7015),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7015),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7015),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7015),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7015),
    [anon_sym_BSLASHglsname] = ACTIONS(7015),
    [anon_sym_BSLASHGlsname] = ACTIONS(7015),
    [anon_sym_BSLASHGLSname] = ACTIONS(7015),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7015),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7015),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7015),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7015),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7015),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7015),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7015),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7015),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7015),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7015),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7015),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7015),
    [anon_sym_BSLASHacrshort] = ACTIONS(7015),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7015),
    [anon_sym_BSLASHACRshort] = ACTIONS(7015),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7015),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7015),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7015),
    [anon_sym_BSLASHacrlong] = ACTIONS(7015),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7015),
    [anon_sym_BSLASHACRlong] = ACTIONS(7015),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7015),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7015),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7015),
    [anon_sym_BSLASHacrfull] = ACTIONS(7015),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7015),
    [anon_sym_BSLASHACRfull] = ACTIONS(7015),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7015),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7015),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7015),
    [anon_sym_BSLASHacs] = ACTIONS(7015),
    [anon_sym_BSLASHAcs] = ACTIONS(7015),
    [anon_sym_BSLASHacsp] = ACTIONS(7015),
    [anon_sym_BSLASHAcsp] = ACTIONS(7015),
    [anon_sym_BSLASHacl] = ACTIONS(7015),
    [anon_sym_BSLASHAcl] = ACTIONS(7015),
    [anon_sym_BSLASHaclp] = ACTIONS(7015),
    [anon_sym_BSLASHAclp] = ACTIONS(7015),
    [anon_sym_BSLASHacf] = ACTIONS(7015),
    [anon_sym_BSLASHAcf] = ACTIONS(7015),
    [anon_sym_BSLASHacfp] = ACTIONS(7015),
    [anon_sym_BSLASHAcfp] = ACTIONS(7015),
    [anon_sym_BSLASHac] = ACTIONS(7015),
    [anon_sym_BSLASHAc] = ACTIONS(7015),
    [anon_sym_BSLASHacp] = ACTIONS(7015),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7015),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7015),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7015),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7015),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7015),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7015),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7015),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7015),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7015),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7015),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7015),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7015),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7015),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7015),
    [anon_sym_BSLASHcolor] = ACTIONS(7015),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7015),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7015),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7015),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7015),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7015),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7015),
    [anon_sym_BSLASHurl] = ACTIONS(7015),
    [anon_sym_BSLASHhref] = ACTIONS(7015),
  },
  [1162] = {
    [ts_builtin_sym_end] = ACTIONS(7157),
    [sym_command_name] = ACTIONS(7155),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7155),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_RBRACK] = ACTIONS(7157),
    [anon_sym_COMMA] = ACTIONS(7157),
    [anon_sym_EQ] = ACTIONS(7157),
    [anon_sym_LPAREN] = ACTIONS(7157),
    [anon_sym_RPAREN] = ACTIONS(7157),
    [anon_sym_BSLASHpart] = ACTIONS(7155),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHaddpart] = ACTIONS(7155),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHchapter] = ACTIONS(7155),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHaddchap] = ACTIONS(7155),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHsection] = ACTIONS(7155),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHaddsec] = ACTIONS(7155),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHsubsection] = ACTIONS(7155),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7155),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHparagraph] = ACTIONS(7155),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7155),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHitem] = ACTIONS(7155),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7157),
    [anon_sym_RBRACE] = ACTIONS(7157),
    [sym_word] = ACTIONS(7155),
    [sym_placeholder] = ACTIONS(7157),
    [sym_delimiter] = ACTIONS(7157),
    [anon_sym_PLUS] = ACTIONS(7157),
    [anon_sym_DASH] = ACTIONS(7157),
    [anon_sym_STAR] = ACTIONS(7157),
    [anon_sym_SLASH] = ACTIONS(7157),
    [anon_sym_LT] = ACTIONS(7155),
    [anon_sym_GT] = ACTIONS(7155),
    [anon_sym_BANG] = ACTIONS(7155),
    [anon_sym_PIPE] = ACTIONS(7155),
    [anon_sym_COLON] = ACTIONS(7155),
    [anon_sym_SQUOTE] = ACTIONS(7155),
    [anon_sym__] = ACTIONS(7157),
    [anon_sym_CARET] = ACTIONS(7157),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7157),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7157),
    [anon_sym_DOLLAR] = ACTIONS(7155),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7157),
    [anon_sym_BSLASHleft] = ACTIONS(7155),
    [anon_sym_BSLASHbigl] = ACTIONS(7155),
    [anon_sym_BSLASHBigl] = ACTIONS(7155),
    [anon_sym_BSLASHbiggl] = ACTIONS(7155),
    [anon_sym_BSLASHBiggl] = ACTIONS(7155),
    [anon_sym_BSLASHtext] = ACTIONS(7155),
    [anon_sym_BSLASHintertext] = ACTIONS(7155),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7155),
    [anon_sym_BSLASHbegin] = ACTIONS(7155),
    [anon_sym_BSLASHtitle] = ACTIONS(7155),
    [anon_sym_BSLASHauthor] = ACTIONS(7155),
    [anon_sym_BSLASHusepackage] = ACTIONS(7155),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7155),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7155),
    [anon_sym_BSLASHinclude] = ACTIONS(7155),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7155),
    [anon_sym_BSLASHinput] = ACTIONS(7155),
    [anon_sym_BSLASHsubfile] = ACTIONS(7155),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7155),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7155),
    [anon_sym_BSLASHbibliography] = ACTIONS(7155),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7155),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7155),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7155),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7155),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7155),
    [anon_sym_BSLASHimport] = ACTIONS(7155),
    [anon_sym_BSLASHsubimport] = ACTIONS(7155),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7155),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7155),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7155),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7155),
    [anon_sym_BSLASHcaption] = ACTIONS(7155),
    [anon_sym_BSLASHcite] = ACTIONS(7155),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHCite] = ACTIONS(7155),
    [anon_sym_BSLASHnocite] = ACTIONS(7155),
    [anon_sym_BSLASHcitet] = ACTIONS(7155),
    [anon_sym_BSLASHcitep] = ACTIONS(7155),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHciteA] = ACTIONS(7155),
    [anon_sym_BSLASHciteR] = ACTIONS(7155),
    [anon_sym_BSLASHciteS] = ACTIONS(7155),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7155),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7155),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7155),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7155),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHciteyear] = ACTIONS(7155),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcitedate] = ACTIONS(7155),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHciteurl] = ACTIONS(7155),
    [anon_sym_BSLASHfullcite] = ACTIONS(7155),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7155),
    [anon_sym_BSLASHcitealt] = ACTIONS(7155),
    [anon_sym_BSLASHcitealp] = ACTIONS(7155),
    [anon_sym_BSLASHcitetext] = ACTIONS(7155),
    [anon_sym_BSLASHparencite] = ACTIONS(7155),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHParencite] = ACTIONS(7155),
    [anon_sym_BSLASHfootcite] = ACTIONS(7155),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7155),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7155),
    [anon_sym_BSLASHtextcite] = ACTIONS(7155),
    [anon_sym_BSLASHTextcite] = ACTIONS(7155),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7155),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7155),
    [anon_sym_BSLASHsupercite] = ACTIONS(7155),
    [anon_sym_BSLASHautocite] = ACTIONS(7155),
    [anon_sym_BSLASHAutocite] = ACTIONS(7155),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHVolcite] = ACTIONS(7155),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHavolcite] = ACTIONS(7155),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHnotecite] = ACTIONS(7155),
    [anon_sym_BSLASHNotecite] = ACTIONS(7155),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7155),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7155),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7155),
    [anon_sym_BSLASHlabel] = ACTIONS(7155),
    [anon_sym_BSLASHref] = ACTIONS(7155),
    [anon_sym_BSLASHeqref] = ACTIONS(7155),
    [anon_sym_BSLASHvref] = ACTIONS(7155),
    [anon_sym_BSLASHVref] = ACTIONS(7155),
    [anon_sym_BSLASHautoref] = ACTIONS(7155),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHpageref] = ACTIONS(7155),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHautopageref] = ACTIONS(7155),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcref] = ACTIONS(7155),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHCref] = ACTIONS(7155),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcpageref] = ACTIONS(7155),
    [anon_sym_BSLASHCpageref] = ACTIONS(7155),
    [anon_sym_BSLASHnamecref] = ACTIONS(7155),
    [anon_sym_BSLASHnameCref] = ACTIONS(7155),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7155),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7155),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7155),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7155),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7155),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7155),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7155),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7155),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7155),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7155),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7155),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7155),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7155),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7155),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7155),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7155),
    [anon_sym_BSLASHdef] = ACTIONS(7155),
    [anon_sym_BSLASHgdef] = ACTIONS(7155),
    [anon_sym_BSLASHedef] = ACTIONS(7155),
    [anon_sym_BSLASHxdef] = ACTIONS(7155),
    [anon_sym_BSLASHlet] = ACTIONS(7155),
    [anon_sym_BSLASHglet] = ACTIONS(7155),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7155),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7155),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7155),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7155),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7155),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7155),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7155),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7155),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7155),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7155),
    [anon_sym_BSLASHgls] = ACTIONS(7155),
    [anon_sym_BSLASHGls] = ACTIONS(7155),
    [anon_sym_BSLASHGLS] = ACTIONS(7155),
    [anon_sym_BSLASHglspl] = ACTIONS(7155),
    [anon_sym_BSLASHGlspl] = ACTIONS(7155),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7155),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7155),
    [anon_sym_BSLASHglslink] = ACTIONS(7155),
    [anon_sym_BSLASHglstext] = ACTIONS(7155),
    [anon_sym_BSLASHGlstext] = ACTIONS(7155),
    [anon_sym_BSLASHGLStext] = ACTIONS(7155),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7155),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7155),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7155),
    [anon_sym_BSLASHglsplural] = ACTIONS(7155),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7155),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7155),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7155),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7155),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7155),
    [anon_sym_BSLASHglsname] = ACTIONS(7155),
    [anon_sym_BSLASHGlsname] = ACTIONS(7155),
    [anon_sym_BSLASHGLSname] = ACTIONS(7155),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7155),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7155),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7155),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7155),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7155),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7155),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7155),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7155),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7155),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7155),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7155),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7155),
    [anon_sym_BSLASHacrshort] = ACTIONS(7155),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7155),
    [anon_sym_BSLASHACRshort] = ACTIONS(7155),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHacrlong] = ACTIONS(7155),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7155),
    [anon_sym_BSLASHACRlong] = ACTIONS(7155),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7155),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7155),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7155),
    [anon_sym_BSLASHacrfull] = ACTIONS(7155),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7155),
    [anon_sym_BSLASHACRfull] = ACTIONS(7155),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHacs] = ACTIONS(7155),
    [anon_sym_BSLASHAcs] = ACTIONS(7155),
    [anon_sym_BSLASHacsp] = ACTIONS(7155),
    [anon_sym_BSLASHAcsp] = ACTIONS(7155),
    [anon_sym_BSLASHacl] = ACTIONS(7155),
    [anon_sym_BSLASHAcl] = ACTIONS(7155),
    [anon_sym_BSLASHaclp] = ACTIONS(7155),
    [anon_sym_BSLASHAclp] = ACTIONS(7155),
    [anon_sym_BSLASHacf] = ACTIONS(7155),
    [anon_sym_BSLASHAcf] = ACTIONS(7155),
    [anon_sym_BSLASHacfp] = ACTIONS(7155),
    [anon_sym_BSLASHAcfp] = ACTIONS(7155),
    [anon_sym_BSLASHac] = ACTIONS(7155),
    [anon_sym_BSLASHAc] = ACTIONS(7155),
    [anon_sym_BSLASHacp] = ACTIONS(7155),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7155),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7155),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7155),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7155),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7155),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7155),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7155),
    [anon_sym_BSLASHcolor] = ACTIONS(7155),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7155),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7155),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7155),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7155),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7155),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7155),
    [anon_sym_BSLASHurl] = ACTIONS(7155),
    [anon_sym_BSLASHhref] = ACTIONS(7155),
  },
  [1163] = {
    [sym_command_name] = ACTIONS(7103),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7103),
    [anon_sym_LBRACK] = ACTIONS(7105),
    [anon_sym_RBRACK] = ACTIONS(7105),
    [anon_sym_COMMA] = ACTIONS(7105),
    [anon_sym_EQ] = ACTIONS(7105),
    [anon_sym_LPAREN] = ACTIONS(7105),
    [anon_sym_RPAREN] = ACTIONS(7105),
    [anon_sym_BSLASHpart] = ACTIONS(7103),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHaddpart] = ACTIONS(7103),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHchapter] = ACTIONS(7103),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHaddchap] = ACTIONS(7103),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHsection] = ACTIONS(7103),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHaddsec] = ACTIONS(7103),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHsubsection] = ACTIONS(7103),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7103),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHparagraph] = ACTIONS(7103),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7103),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHitem] = ACTIONS(7103),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7105),
    [anon_sym_LBRACE] = ACTIONS(7105),
    [sym_word] = ACTIONS(7103),
    [sym_placeholder] = ACTIONS(7105),
    [sym_delimiter] = ACTIONS(7105),
    [anon_sym_PLUS] = ACTIONS(7105),
    [anon_sym_DASH] = ACTIONS(7105),
    [anon_sym_STAR] = ACTIONS(7105),
    [anon_sym_SLASH] = ACTIONS(7105),
    [anon_sym_LT] = ACTIONS(7103),
    [anon_sym_GT] = ACTIONS(7103),
    [anon_sym_BANG] = ACTIONS(7103),
    [anon_sym_PIPE] = ACTIONS(7103),
    [anon_sym_COLON] = ACTIONS(7103),
    [anon_sym_SQUOTE] = ACTIONS(7103),
    [anon_sym__] = ACTIONS(7105),
    [anon_sym_CARET] = ACTIONS(7105),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7105),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7105),
    [anon_sym_DOLLAR] = ACTIONS(7103),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7105),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7105),
    [anon_sym_BSLASHleft] = ACTIONS(7103),
    [anon_sym_BSLASHbigl] = ACTIONS(7103),
    [anon_sym_BSLASHBigl] = ACTIONS(7103),
    [anon_sym_BSLASHbiggl] = ACTIONS(7103),
    [anon_sym_BSLASHBiggl] = ACTIONS(7103),
    [anon_sym_BSLASHtext] = ACTIONS(7103),
    [anon_sym_BSLASHintertext] = ACTIONS(7103),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7103),
    [anon_sym_BSLASHbegin] = ACTIONS(7103),
    [anon_sym_BSLASHtitle] = ACTIONS(7103),
    [anon_sym_BSLASHauthor] = ACTIONS(7103),
    [anon_sym_BSLASHusepackage] = ACTIONS(7103),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7103),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7103),
    [anon_sym_BSLASHinclude] = ACTIONS(7103),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7103),
    [anon_sym_BSLASHinput] = ACTIONS(7103),
    [anon_sym_BSLASHsubfile] = ACTIONS(7103),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7103),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7103),
    [anon_sym_BSLASHbibliography] = ACTIONS(7103),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7103),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7103),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7103),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7103),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7103),
    [anon_sym_BSLASHimport] = ACTIONS(7103),
    [anon_sym_BSLASHsubimport] = ACTIONS(7103),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7103),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7103),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7103),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7103),
    [anon_sym_BSLASHcaption] = ACTIONS(7103),
    [anon_sym_BSLASHcite] = ACTIONS(7103),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHCite] = ACTIONS(7103),
    [anon_sym_BSLASHnocite] = ACTIONS(7103),
    [anon_sym_BSLASHcitet] = ACTIONS(7103),
    [anon_sym_BSLASHcitep] = ACTIONS(7103),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHciteA] = ACTIONS(7103),
    [anon_sym_BSLASHciteR] = ACTIONS(7103),
    [anon_sym_BSLASHciteS] = ACTIONS(7103),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7103),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7103),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7103),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7103),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHciteyear] = ACTIONS(7103),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcitedate] = ACTIONS(7103),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHciteurl] = ACTIONS(7103),
    [anon_sym_BSLASHfullcite] = ACTIONS(7103),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7103),
    [anon_sym_BSLASHcitealt] = ACTIONS(7103),
    [anon_sym_BSLASHcitealp] = ACTIONS(7103),
    [anon_sym_BSLASHcitetext] = ACTIONS(7103),
    [anon_sym_BSLASHparencite] = ACTIONS(7103),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHParencite] = ACTIONS(7103),
    [anon_sym_BSLASHfootcite] = ACTIONS(7103),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7103),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7103),
    [anon_sym_BSLASHtextcite] = ACTIONS(7103),
    [anon_sym_BSLASHTextcite] = ACTIONS(7103),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7103),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7103),
    [anon_sym_BSLASHsupercite] = ACTIONS(7103),
    [anon_sym_BSLASHautocite] = ACTIONS(7103),
    [anon_sym_BSLASHAutocite] = ACTIONS(7103),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHVolcite] = ACTIONS(7103),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHavolcite] = ACTIONS(7103),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHnotecite] = ACTIONS(7103),
    [anon_sym_BSLASHNotecite] = ACTIONS(7103),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7103),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7103),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7103),
    [anon_sym_BSLASHlabel] = ACTIONS(7103),
    [anon_sym_BSLASHref] = ACTIONS(7103),
    [anon_sym_BSLASHeqref] = ACTIONS(7103),
    [anon_sym_BSLASHvref] = ACTIONS(7103),
    [anon_sym_BSLASHVref] = ACTIONS(7103),
    [anon_sym_BSLASHautoref] = ACTIONS(7103),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHpageref] = ACTIONS(7103),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHautopageref] = ACTIONS(7103),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcref] = ACTIONS(7103),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHCref] = ACTIONS(7103),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcpageref] = ACTIONS(7103),
    [anon_sym_BSLASHCpageref] = ACTIONS(7103),
    [anon_sym_BSLASHnamecref] = ACTIONS(7103),
    [anon_sym_BSLASHnameCref] = ACTIONS(7103),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7103),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7103),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7103),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7103),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7103),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7103),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7103),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7103),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7103),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7103),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7103),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7103),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7103),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7103),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7103),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7103),
    [anon_sym_BSLASHdef] = ACTIONS(7103),
    [anon_sym_BSLASHgdef] = ACTIONS(7103),
    [anon_sym_BSLASHedef] = ACTIONS(7103),
    [anon_sym_BSLASHxdef] = ACTIONS(7103),
    [anon_sym_BSLASHlet] = ACTIONS(7103),
    [anon_sym_BSLASHglet] = ACTIONS(7103),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7103),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7103),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7103),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7103),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7103),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7103),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7103),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7103),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7103),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7103),
    [anon_sym_BSLASHgls] = ACTIONS(7103),
    [anon_sym_BSLASHGls] = ACTIONS(7103),
    [anon_sym_BSLASHGLS] = ACTIONS(7103),
    [anon_sym_BSLASHglspl] = ACTIONS(7103),
    [anon_sym_BSLASHGlspl] = ACTIONS(7103),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7103),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7103),
    [anon_sym_BSLASHglslink] = ACTIONS(7103),
    [anon_sym_BSLASHglstext] = ACTIONS(7103),
    [anon_sym_BSLASHGlstext] = ACTIONS(7103),
    [anon_sym_BSLASHGLStext] = ACTIONS(7103),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7103),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7103),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7103),
    [anon_sym_BSLASHglsplural] = ACTIONS(7103),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7103),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7103),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7103),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7103),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7103),
    [anon_sym_BSLASHglsname] = ACTIONS(7103),
    [anon_sym_BSLASHGlsname] = ACTIONS(7103),
    [anon_sym_BSLASHGLSname] = ACTIONS(7103),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7103),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7103),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7103),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7103),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7103),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7103),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7103),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7103),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7103),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7103),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7103),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7103),
    [anon_sym_BSLASHacrshort] = ACTIONS(7103),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7103),
    [anon_sym_BSLASHACRshort] = ACTIONS(7103),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHacrlong] = ACTIONS(7103),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7103),
    [anon_sym_BSLASHACRlong] = ACTIONS(7103),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7103),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7103),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7103),
    [anon_sym_BSLASHacrfull] = ACTIONS(7103),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7103),
    [anon_sym_BSLASHACRfull] = ACTIONS(7103),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHacs] = ACTIONS(7103),
    [anon_sym_BSLASHAcs] = ACTIONS(7103),
    [anon_sym_BSLASHacsp] = ACTIONS(7103),
    [anon_sym_BSLASHAcsp] = ACTIONS(7103),
    [anon_sym_BSLASHacl] = ACTIONS(7103),
    [anon_sym_BSLASHAcl] = ACTIONS(7103),
    [anon_sym_BSLASHaclp] = ACTIONS(7103),
    [anon_sym_BSLASHAclp] = ACTIONS(7103),
    [anon_sym_BSLASHacf] = ACTIONS(7103),
    [anon_sym_BSLASHAcf] = ACTIONS(7103),
    [anon_sym_BSLASHacfp] = ACTIONS(7103),
    [anon_sym_BSLASHAcfp] = ACTIONS(7103),
    [anon_sym_BSLASHac] = ACTIONS(7103),
    [anon_sym_BSLASHAc] = ACTIONS(7103),
    [anon_sym_BSLASHacp] = ACTIONS(7103),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7103),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7103),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7103),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7103),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7103),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7103),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7103),
    [anon_sym_BSLASHcolor] = ACTIONS(7103),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7103),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7103),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7103),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7103),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7103),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7103),
    [anon_sym_BSLASHurl] = ACTIONS(7103),
    [anon_sym_BSLASHhref] = ACTIONS(7103),
  },
  [1164] = {
    [sym_command_name] = ACTIONS(7143),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7143),
    [anon_sym_LBRACK] = ACTIONS(7145),
    [anon_sym_RBRACK] = ACTIONS(7145),
    [anon_sym_COMMA] = ACTIONS(7145),
    [anon_sym_EQ] = ACTIONS(7145),
    [anon_sym_LPAREN] = ACTIONS(7145),
    [anon_sym_RPAREN] = ACTIONS(7145),
    [anon_sym_BSLASHpart] = ACTIONS(7143),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHaddpart] = ACTIONS(7143),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHchapter] = ACTIONS(7143),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHaddchap] = ACTIONS(7143),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHsection] = ACTIONS(7143),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHaddsec] = ACTIONS(7143),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHsubsection] = ACTIONS(7143),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7143),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHparagraph] = ACTIONS(7143),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7143),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHitem] = ACTIONS(7143),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7145),
    [anon_sym_LBRACE] = ACTIONS(7145),
    [sym_word] = ACTIONS(7143),
    [sym_placeholder] = ACTIONS(7145),
    [sym_delimiter] = ACTIONS(7145),
    [anon_sym_PLUS] = ACTIONS(7145),
    [anon_sym_DASH] = ACTIONS(7145),
    [anon_sym_STAR] = ACTIONS(7145),
    [anon_sym_SLASH] = ACTIONS(7145),
    [anon_sym_LT] = ACTIONS(7143),
    [anon_sym_GT] = ACTIONS(7143),
    [anon_sym_BANG] = ACTIONS(7143),
    [anon_sym_PIPE] = ACTIONS(7143),
    [anon_sym_COLON] = ACTIONS(7143),
    [anon_sym_SQUOTE] = ACTIONS(7143),
    [anon_sym__] = ACTIONS(7145),
    [anon_sym_CARET] = ACTIONS(7145),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7145),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7145),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7145),
    [anon_sym_DOLLAR] = ACTIONS(7143),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7145),
    [anon_sym_BSLASHleft] = ACTIONS(7143),
    [anon_sym_BSLASHbigl] = ACTIONS(7143),
    [anon_sym_BSLASHBigl] = ACTIONS(7143),
    [anon_sym_BSLASHbiggl] = ACTIONS(7143),
    [anon_sym_BSLASHBiggl] = ACTIONS(7143),
    [anon_sym_BSLASHtext] = ACTIONS(7143),
    [anon_sym_BSLASHintertext] = ACTIONS(7143),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7143),
    [anon_sym_BSLASHbegin] = ACTIONS(7143),
    [anon_sym_BSLASHtitle] = ACTIONS(7143),
    [anon_sym_BSLASHauthor] = ACTIONS(7143),
    [anon_sym_BSLASHusepackage] = ACTIONS(7143),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7143),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7143),
    [anon_sym_BSLASHinclude] = ACTIONS(7143),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7143),
    [anon_sym_BSLASHinput] = ACTIONS(7143),
    [anon_sym_BSLASHsubfile] = ACTIONS(7143),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7143),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7143),
    [anon_sym_BSLASHbibliography] = ACTIONS(7143),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7143),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7143),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7143),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7143),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7143),
    [anon_sym_BSLASHimport] = ACTIONS(7143),
    [anon_sym_BSLASHsubimport] = ACTIONS(7143),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7143),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7143),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7143),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7143),
    [anon_sym_BSLASHcaption] = ACTIONS(7143),
    [anon_sym_BSLASHcite] = ACTIONS(7143),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHCite] = ACTIONS(7143),
    [anon_sym_BSLASHnocite] = ACTIONS(7143),
    [anon_sym_BSLASHcitet] = ACTIONS(7143),
    [anon_sym_BSLASHcitep] = ACTIONS(7143),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHciteA] = ACTIONS(7143),
    [anon_sym_BSLASHciteR] = ACTIONS(7143),
    [anon_sym_BSLASHciteS] = ACTIONS(7143),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7143),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7143),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7143),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7143),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHciteyear] = ACTIONS(7143),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcitedate] = ACTIONS(7143),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHciteurl] = ACTIONS(7143),
    [anon_sym_BSLASHfullcite] = ACTIONS(7143),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7143),
    [anon_sym_BSLASHcitealt] = ACTIONS(7143),
    [anon_sym_BSLASHcitealp] = ACTIONS(7143),
    [anon_sym_BSLASHcitetext] = ACTIONS(7143),
    [anon_sym_BSLASHparencite] = ACTIONS(7143),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHParencite] = ACTIONS(7143),
    [anon_sym_BSLASHfootcite] = ACTIONS(7143),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7143),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7143),
    [anon_sym_BSLASHtextcite] = ACTIONS(7143),
    [anon_sym_BSLASHTextcite] = ACTIONS(7143),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7143),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7143),
    [anon_sym_BSLASHsupercite] = ACTIONS(7143),
    [anon_sym_BSLASHautocite] = ACTIONS(7143),
    [anon_sym_BSLASHAutocite] = ACTIONS(7143),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHVolcite] = ACTIONS(7143),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHavolcite] = ACTIONS(7143),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHnotecite] = ACTIONS(7143),
    [anon_sym_BSLASHNotecite] = ACTIONS(7143),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7143),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7143),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7143),
    [anon_sym_BSLASHlabel] = ACTIONS(7143),
    [anon_sym_BSLASHref] = ACTIONS(7143),
    [anon_sym_BSLASHeqref] = ACTIONS(7143),
    [anon_sym_BSLASHvref] = ACTIONS(7143),
    [anon_sym_BSLASHVref] = ACTIONS(7143),
    [anon_sym_BSLASHautoref] = ACTIONS(7143),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHpageref] = ACTIONS(7143),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHautopageref] = ACTIONS(7143),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcref] = ACTIONS(7143),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHCref] = ACTIONS(7143),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcpageref] = ACTIONS(7143),
    [anon_sym_BSLASHCpageref] = ACTIONS(7143),
    [anon_sym_BSLASHnamecref] = ACTIONS(7143),
    [anon_sym_BSLASHnameCref] = ACTIONS(7143),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7143),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7143),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7143),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7143),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7143),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7143),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7143),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7143),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7143),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7143),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7143),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7143),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7143),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7143),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7143),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7143),
    [anon_sym_BSLASHdef] = ACTIONS(7143),
    [anon_sym_BSLASHgdef] = ACTIONS(7143),
    [anon_sym_BSLASHedef] = ACTIONS(7143),
    [anon_sym_BSLASHxdef] = ACTIONS(7143),
    [anon_sym_BSLASHlet] = ACTIONS(7143),
    [anon_sym_BSLASHglet] = ACTIONS(7143),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7143),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7143),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7143),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7143),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7143),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7143),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7143),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7143),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7143),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7143),
    [anon_sym_BSLASHgls] = ACTIONS(7143),
    [anon_sym_BSLASHGls] = ACTIONS(7143),
    [anon_sym_BSLASHGLS] = ACTIONS(7143),
    [anon_sym_BSLASHglspl] = ACTIONS(7143),
    [anon_sym_BSLASHGlspl] = ACTIONS(7143),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7143),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7143),
    [anon_sym_BSLASHglslink] = ACTIONS(7143),
    [anon_sym_BSLASHglstext] = ACTIONS(7143),
    [anon_sym_BSLASHGlstext] = ACTIONS(7143),
    [anon_sym_BSLASHGLStext] = ACTIONS(7143),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7143),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7143),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7143),
    [anon_sym_BSLASHglsplural] = ACTIONS(7143),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7143),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7143),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7143),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7143),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7143),
    [anon_sym_BSLASHglsname] = ACTIONS(7143),
    [anon_sym_BSLASHGlsname] = ACTIONS(7143),
    [anon_sym_BSLASHGLSname] = ACTIONS(7143),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7143),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7143),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7143),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7143),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7143),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7143),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7143),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7143),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7143),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7143),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7143),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7143),
    [anon_sym_BSLASHacrshort] = ACTIONS(7143),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7143),
    [anon_sym_BSLASHACRshort] = ACTIONS(7143),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHacrlong] = ACTIONS(7143),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7143),
    [anon_sym_BSLASHACRlong] = ACTIONS(7143),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7143),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7143),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7143),
    [anon_sym_BSLASHacrfull] = ACTIONS(7143),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7143),
    [anon_sym_BSLASHACRfull] = ACTIONS(7143),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHacs] = ACTIONS(7143),
    [anon_sym_BSLASHAcs] = ACTIONS(7143),
    [anon_sym_BSLASHacsp] = ACTIONS(7143),
    [anon_sym_BSLASHAcsp] = ACTIONS(7143),
    [anon_sym_BSLASHacl] = ACTIONS(7143),
    [anon_sym_BSLASHAcl] = ACTIONS(7143),
    [anon_sym_BSLASHaclp] = ACTIONS(7143),
    [anon_sym_BSLASHAclp] = ACTIONS(7143),
    [anon_sym_BSLASHacf] = ACTIONS(7143),
    [anon_sym_BSLASHAcf] = ACTIONS(7143),
    [anon_sym_BSLASHacfp] = ACTIONS(7143),
    [anon_sym_BSLASHAcfp] = ACTIONS(7143),
    [anon_sym_BSLASHac] = ACTIONS(7143),
    [anon_sym_BSLASHAc] = ACTIONS(7143),
    [anon_sym_BSLASHacp] = ACTIONS(7143),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7143),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7143),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7143),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7143),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7143),
    [anon_sym_BSLASHcolor] = ACTIONS(7143),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7143),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7143),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7143),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7143),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7143),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7143),
    [anon_sym_BSLASHurl] = ACTIONS(7143),
    [anon_sym_BSLASHhref] = ACTIONS(7143),
  },
  [1165] = {
    [sym_command_name] = ACTIONS(7147),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7147),
    [anon_sym_LBRACK] = ACTIONS(7149),
    [anon_sym_RBRACK] = ACTIONS(7149),
    [anon_sym_COMMA] = ACTIONS(7149),
    [anon_sym_EQ] = ACTIONS(7149),
    [anon_sym_LPAREN] = ACTIONS(7149),
    [anon_sym_RPAREN] = ACTIONS(7149),
    [anon_sym_BSLASHpart] = ACTIONS(7147),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHaddpart] = ACTIONS(7147),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHchapter] = ACTIONS(7147),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHaddchap] = ACTIONS(7147),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHsection] = ACTIONS(7147),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHaddsec] = ACTIONS(7147),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHsubsection] = ACTIONS(7147),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7147),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHparagraph] = ACTIONS(7147),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7147),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHitem] = ACTIONS(7147),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7149),
    [anon_sym_LBRACE] = ACTIONS(7149),
    [sym_word] = ACTIONS(7147),
    [sym_placeholder] = ACTIONS(7149),
    [sym_delimiter] = ACTIONS(7149),
    [anon_sym_PLUS] = ACTIONS(7149),
    [anon_sym_DASH] = ACTIONS(7149),
    [anon_sym_STAR] = ACTIONS(7149),
    [anon_sym_SLASH] = ACTIONS(7149),
    [anon_sym_LT] = ACTIONS(7147),
    [anon_sym_GT] = ACTIONS(7147),
    [anon_sym_BANG] = ACTIONS(7147),
    [anon_sym_PIPE] = ACTIONS(7147),
    [anon_sym_COLON] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(7147),
    [anon_sym__] = ACTIONS(7149),
    [anon_sym_CARET] = ACTIONS(7149),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7149),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7149),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7149),
    [anon_sym_DOLLAR] = ACTIONS(7147),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7149),
    [anon_sym_BSLASHleft] = ACTIONS(7147),
    [anon_sym_BSLASHbigl] = ACTIONS(7147),
    [anon_sym_BSLASHBigl] = ACTIONS(7147),
    [anon_sym_BSLASHbiggl] = ACTIONS(7147),
    [anon_sym_BSLASHBiggl] = ACTIONS(7147),
    [anon_sym_BSLASHtext] = ACTIONS(7147),
    [anon_sym_BSLASHintertext] = ACTIONS(7147),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7147),
    [anon_sym_BSLASHbegin] = ACTIONS(7147),
    [anon_sym_BSLASHtitle] = ACTIONS(7147),
    [anon_sym_BSLASHauthor] = ACTIONS(7147),
    [anon_sym_BSLASHusepackage] = ACTIONS(7147),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7147),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7147),
    [anon_sym_BSLASHinclude] = ACTIONS(7147),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7147),
    [anon_sym_BSLASHinput] = ACTIONS(7147),
    [anon_sym_BSLASHsubfile] = ACTIONS(7147),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7147),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7147),
    [anon_sym_BSLASHbibliography] = ACTIONS(7147),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7147),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7147),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7147),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7147),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7147),
    [anon_sym_BSLASHimport] = ACTIONS(7147),
    [anon_sym_BSLASHsubimport] = ACTIONS(7147),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7147),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7147),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7147),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7147),
    [anon_sym_BSLASHcaption] = ACTIONS(7147),
    [anon_sym_BSLASHcite] = ACTIONS(7147),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHCite] = ACTIONS(7147),
    [anon_sym_BSLASHnocite] = ACTIONS(7147),
    [anon_sym_BSLASHcitet] = ACTIONS(7147),
    [anon_sym_BSLASHcitep] = ACTIONS(7147),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHciteA] = ACTIONS(7147),
    [anon_sym_BSLASHciteR] = ACTIONS(7147),
    [anon_sym_BSLASHciteS] = ACTIONS(7147),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7147),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7147),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7147),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7147),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHciteyear] = ACTIONS(7147),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcitedate] = ACTIONS(7147),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHciteurl] = ACTIONS(7147),
    [anon_sym_BSLASHfullcite] = ACTIONS(7147),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7147),
    [anon_sym_BSLASHcitealt] = ACTIONS(7147),
    [anon_sym_BSLASHcitealp] = ACTIONS(7147),
    [anon_sym_BSLASHcitetext] = ACTIONS(7147),
    [anon_sym_BSLASHparencite] = ACTIONS(7147),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHParencite] = ACTIONS(7147),
    [anon_sym_BSLASHfootcite] = ACTIONS(7147),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7147),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7147),
    [anon_sym_BSLASHtextcite] = ACTIONS(7147),
    [anon_sym_BSLASHTextcite] = ACTIONS(7147),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7147),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7147),
    [anon_sym_BSLASHsupercite] = ACTIONS(7147),
    [anon_sym_BSLASHautocite] = ACTIONS(7147),
    [anon_sym_BSLASHAutocite] = ACTIONS(7147),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHVolcite] = ACTIONS(7147),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHavolcite] = ACTIONS(7147),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHnotecite] = ACTIONS(7147),
    [anon_sym_BSLASHNotecite] = ACTIONS(7147),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7147),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7147),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7147),
    [anon_sym_BSLASHlabel] = ACTIONS(7147),
    [anon_sym_BSLASHref] = ACTIONS(7147),
    [anon_sym_BSLASHeqref] = ACTIONS(7147),
    [anon_sym_BSLASHvref] = ACTIONS(7147),
    [anon_sym_BSLASHVref] = ACTIONS(7147),
    [anon_sym_BSLASHautoref] = ACTIONS(7147),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHpageref] = ACTIONS(7147),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHautopageref] = ACTIONS(7147),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcref] = ACTIONS(7147),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHCref] = ACTIONS(7147),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcpageref] = ACTIONS(7147),
    [anon_sym_BSLASHCpageref] = ACTIONS(7147),
    [anon_sym_BSLASHnamecref] = ACTIONS(7147),
    [anon_sym_BSLASHnameCref] = ACTIONS(7147),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7147),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7147),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7147),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7147),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7147),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7147),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7147),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7147),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7147),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7147),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7147),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7147),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7147),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7147),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7147),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7147),
    [anon_sym_BSLASHdef] = ACTIONS(7147),
    [anon_sym_BSLASHgdef] = ACTIONS(7147),
    [anon_sym_BSLASHedef] = ACTIONS(7147),
    [anon_sym_BSLASHxdef] = ACTIONS(7147),
    [anon_sym_BSLASHlet] = ACTIONS(7147),
    [anon_sym_BSLASHglet] = ACTIONS(7147),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7147),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7147),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7147),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7147),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7147),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7147),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7147),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7147),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7147),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7147),
    [anon_sym_BSLASHgls] = ACTIONS(7147),
    [anon_sym_BSLASHGls] = ACTIONS(7147),
    [anon_sym_BSLASHGLS] = ACTIONS(7147),
    [anon_sym_BSLASHglspl] = ACTIONS(7147),
    [anon_sym_BSLASHGlspl] = ACTIONS(7147),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7147),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7147),
    [anon_sym_BSLASHglslink] = ACTIONS(7147),
    [anon_sym_BSLASHglstext] = ACTIONS(7147),
    [anon_sym_BSLASHGlstext] = ACTIONS(7147),
    [anon_sym_BSLASHGLStext] = ACTIONS(7147),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7147),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7147),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7147),
    [anon_sym_BSLASHglsplural] = ACTIONS(7147),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7147),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7147),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7147),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7147),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7147),
    [anon_sym_BSLASHglsname] = ACTIONS(7147),
    [anon_sym_BSLASHGlsname] = ACTIONS(7147),
    [anon_sym_BSLASHGLSname] = ACTIONS(7147),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7147),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7147),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7147),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7147),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7147),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7147),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7147),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7147),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7147),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7147),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7147),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7147),
    [anon_sym_BSLASHacrshort] = ACTIONS(7147),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7147),
    [anon_sym_BSLASHACRshort] = ACTIONS(7147),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHacrlong] = ACTIONS(7147),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7147),
    [anon_sym_BSLASHACRlong] = ACTIONS(7147),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7147),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7147),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7147),
    [anon_sym_BSLASHacrfull] = ACTIONS(7147),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7147),
    [anon_sym_BSLASHACRfull] = ACTIONS(7147),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHacs] = ACTIONS(7147),
    [anon_sym_BSLASHAcs] = ACTIONS(7147),
    [anon_sym_BSLASHacsp] = ACTIONS(7147),
    [anon_sym_BSLASHAcsp] = ACTIONS(7147),
    [anon_sym_BSLASHacl] = ACTIONS(7147),
    [anon_sym_BSLASHAcl] = ACTIONS(7147),
    [anon_sym_BSLASHaclp] = ACTIONS(7147),
    [anon_sym_BSLASHAclp] = ACTIONS(7147),
    [anon_sym_BSLASHacf] = ACTIONS(7147),
    [anon_sym_BSLASHAcf] = ACTIONS(7147),
    [anon_sym_BSLASHacfp] = ACTIONS(7147),
    [anon_sym_BSLASHAcfp] = ACTIONS(7147),
    [anon_sym_BSLASHac] = ACTIONS(7147),
    [anon_sym_BSLASHAc] = ACTIONS(7147),
    [anon_sym_BSLASHacp] = ACTIONS(7147),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7147),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7147),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7147),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7147),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7147),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7147),
    [anon_sym_BSLASHcolor] = ACTIONS(7147),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7147),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7147),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7147),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7147),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7147),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7147),
    [anon_sym_BSLASHurl] = ACTIONS(7147),
    [anon_sym_BSLASHhref] = ACTIONS(7147),
  },
  [1166] = {
    [sym_command_name] = ACTIONS(173),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(173),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_RBRACK] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_RPAREN] = ACTIONS(175),
    [anon_sym_BSLASHpart] = ACTIONS(173),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddpart] = ACTIONS(173),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(175),
    [anon_sym_BSLASHchapter] = ACTIONS(173),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddchap] = ACTIONS(173),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsection] = ACTIONS(173),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddsec] = ACTIONS(173),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubsection] = ACTIONS(173),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(173),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHparagraph] = ACTIONS(173),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(173),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(175),
    [anon_sym_BSLASHitem] = ACTIONS(173),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(175),
    [anon_sym_LBRACE] = ACTIONS(175),
    [sym_word] = ACTIONS(173),
    [sym_placeholder] = ACTIONS(175),
    [sym_delimiter] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym__] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(175),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(175),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(175),
    [anon_sym_DOLLAR] = ACTIONS(173),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(175),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(175),
    [anon_sym_BSLASHleft] = ACTIONS(173),
    [anon_sym_BSLASHbigl] = ACTIONS(173),
    [anon_sym_BSLASHBigl] = ACTIONS(173),
    [anon_sym_BSLASHbiggl] = ACTIONS(173),
    [anon_sym_BSLASHBiggl] = ACTIONS(173),
    [anon_sym_BSLASHtext] = ACTIONS(173),
    [anon_sym_BSLASHintertext] = ACTIONS(173),
    [anon_sym_BSLASHshortintertext] = ACTIONS(173),
    [anon_sym_BSLASHbegin] = ACTIONS(173),
    [anon_sym_BSLASHtitle] = ACTIONS(173),
    [anon_sym_BSLASHauthor] = ACTIONS(173),
    [anon_sym_BSLASHusepackage] = ACTIONS(173),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(173),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(173),
    [anon_sym_BSLASHinclude] = ACTIONS(173),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(173),
    [anon_sym_BSLASHinput] = ACTIONS(173),
    [anon_sym_BSLASHsubfile] = ACTIONS(173),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(173),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(173),
    [anon_sym_BSLASHbibliography] = ACTIONS(173),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(173),
    [anon_sym_BSLASHincludesvg] = ACTIONS(173),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(173),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(173),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(173),
    [anon_sym_BSLASHimport] = ACTIONS(173),
    [anon_sym_BSLASHsubimport] = ACTIONS(173),
    [anon_sym_BSLASHinputfrom] = ACTIONS(173),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(173),
    [anon_sym_BSLASHincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHcaption] = ACTIONS(173),
    [anon_sym_BSLASHcite] = ACTIONS(173),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCite] = ACTIONS(173),
    [anon_sym_BSLASHnocite] = ACTIONS(173),
    [anon_sym_BSLASHcitet] = ACTIONS(173),
    [anon_sym_BSLASHcitep] = ACTIONS(173),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteA] = ACTIONS(173),
    [anon_sym_BSLASHciteR] = ACTIONS(173),
    [anon_sym_BSLASHciteS] = ACTIONS(173),
    [anon_sym_BSLASHciteyearR] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(173),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitetitle] = ACTIONS(173),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteyear] = ACTIONS(173),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitedate] = ACTIONS(173),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteurl] = ACTIONS(173),
    [anon_sym_BSLASHfullcite] = ACTIONS(173),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(173),
    [anon_sym_BSLASHcitealt] = ACTIONS(173),
    [anon_sym_BSLASHcitealp] = ACTIONS(173),
    [anon_sym_BSLASHcitetext] = ACTIONS(173),
    [anon_sym_BSLASHparencite] = ACTIONS(173),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHParencite] = ACTIONS(173),
    [anon_sym_BSLASHfootcite] = ACTIONS(173),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(173),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(173),
    [anon_sym_BSLASHtextcite] = ACTIONS(173),
    [anon_sym_BSLASHTextcite] = ACTIONS(173),
    [anon_sym_BSLASHsmartcite] = ACTIONS(173),
    [anon_sym_BSLASHSmartcite] = ACTIONS(173),
    [anon_sym_BSLASHsupercite] = ACTIONS(173),
    [anon_sym_BSLASHautocite] = ACTIONS(173),
    [anon_sym_BSLASHAutocite] = ACTIONS(173),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHvolcite] = ACTIONS(173),
    [anon_sym_BSLASHVolcite] = ACTIONS(173),
    [anon_sym_BSLASHpvolcite] = ACTIONS(173),
    [anon_sym_BSLASHPvolcite] = ACTIONS(173),
    [anon_sym_BSLASHfvolcite] = ACTIONS(173),
    [anon_sym_BSLASHftvolcite] = ACTIONS(173),
    [anon_sym_BSLASHsvolcite] = ACTIONS(173),
    [anon_sym_BSLASHSvolcite] = ACTIONS(173),
    [anon_sym_BSLASHtvolcite] = ACTIONS(173),
    [anon_sym_BSLASHTvolcite] = ACTIONS(173),
    [anon_sym_BSLASHavolcite] = ACTIONS(173),
    [anon_sym_BSLASHAvolcite] = ACTIONS(173),
    [anon_sym_BSLASHnotecite] = ACTIONS(173),
    [anon_sym_BSLASHNotecite] = ACTIONS(173),
    [anon_sym_BSLASHpnotecite] = ACTIONS(173),
    [anon_sym_BSLASHPnotecite] = ACTIONS(173),
    [anon_sym_BSLASHfnotecite] = ACTIONS(173),
    [anon_sym_BSLASHlabel] = ACTIONS(173),
    [anon_sym_BSLASHref] = ACTIONS(173),
    [anon_sym_BSLASHeqref] = ACTIONS(173),
    [anon_sym_BSLASHvref] = ACTIONS(173),
    [anon_sym_BSLASHVref] = ACTIONS(173),
    [anon_sym_BSLASHautoref] = ACTIONS(173),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHpageref] = ACTIONS(173),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHautopageref] = ACTIONS(173),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcref] = ACTIONS(173),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCref] = ACTIONS(173),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpageref] = ACTIONS(173),
    [anon_sym_BSLASHCpageref] = ACTIONS(173),
    [anon_sym_BSLASHnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnameCref] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcrefrange] = ACTIONS(173),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCrefrange] = ACTIONS(173),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHnewlabel] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(173),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(173),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(173),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(175),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHdef] = ACTIONS(173),
    [anon_sym_BSLASHgdef] = ACTIONS(173),
    [anon_sym_BSLASHedef] = ACTIONS(173),
    [anon_sym_BSLASHxdef] = ACTIONS(173),
    [anon_sym_BSLASHlet] = ACTIONS(173),
    [anon_sym_BSLASHglet] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(173),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(173),
    [anon_sym_BSLASHgls] = ACTIONS(173),
    [anon_sym_BSLASHGls] = ACTIONS(173),
    [anon_sym_BSLASHGLS] = ACTIONS(173),
    [anon_sym_BSLASHglspl] = ACTIONS(173),
    [anon_sym_BSLASHGlspl] = ACTIONS(173),
    [anon_sym_BSLASHGLSpl] = ACTIONS(173),
    [anon_sym_BSLASHglsdisp] = ACTIONS(173),
    [anon_sym_BSLASHglslink] = ACTIONS(173),
    [anon_sym_BSLASHglstext] = ACTIONS(173),
    [anon_sym_BSLASHGlstext] = ACTIONS(173),
    [anon_sym_BSLASHGLStext] = ACTIONS(173),
    [anon_sym_BSLASHglsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(173),
    [anon_sym_BSLASHglsplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSplural] = ACTIONS(173),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHglsname] = ACTIONS(173),
    [anon_sym_BSLASHGlsname] = ACTIONS(173),
    [anon_sym_BSLASHGLSname] = ACTIONS(173),
    [anon_sym_BSLASHglssymbol] = ACTIONS(173),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(173),
    [anon_sym_BSLASHglsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(173),
    [anon_sym_BSLASHglsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(173),
    [anon_sym_BSLASHglsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(173),
    [anon_sym_BSLASHglsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(173),
    [anon_sym_BSLASHglsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(173),
    [anon_sym_BSLASHnewacronym] = ACTIONS(173),
    [anon_sym_BSLASHacrshort] = ACTIONS(173),
    [anon_sym_BSLASHAcrshort] = ACTIONS(173),
    [anon_sym_BSLASHACRshort] = ACTIONS(173),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(173),
    [anon_sym_BSLASHacrlong] = ACTIONS(173),
    [anon_sym_BSLASHAcrlong] = ACTIONS(173),
    [anon_sym_BSLASHACRlong] = ACTIONS(173),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(173),
    [anon_sym_BSLASHacrfull] = ACTIONS(173),
    [anon_sym_BSLASHAcrfull] = ACTIONS(173),
    [anon_sym_BSLASHACRfull] = ACTIONS(173),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(173),
    [anon_sym_BSLASHacs] = ACTIONS(173),
    [anon_sym_BSLASHAcs] = ACTIONS(173),
    [anon_sym_BSLASHacsp] = ACTIONS(173),
    [anon_sym_BSLASHAcsp] = ACTIONS(173),
    [anon_sym_BSLASHacl] = ACTIONS(173),
    [anon_sym_BSLASHAcl] = ACTIONS(173),
    [anon_sym_BSLASHaclp] = ACTIONS(173),
    [anon_sym_BSLASHAclp] = ACTIONS(173),
    [anon_sym_BSLASHacf] = ACTIONS(173),
    [anon_sym_BSLASHAcf] = ACTIONS(173),
    [anon_sym_BSLASHacfp] = ACTIONS(173),
    [anon_sym_BSLASHAcfp] = ACTIONS(173),
    [anon_sym_BSLASHac] = ACTIONS(173),
    [anon_sym_BSLASHAc] = ACTIONS(173),
    [anon_sym_BSLASHacp] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(173),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(173),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(173),
    [anon_sym_BSLASHcolor] = ACTIONS(173),
    [anon_sym_BSLASHpagecolor] = ACTIONS(173),
    [anon_sym_BSLASHtextcolor] = ACTIONS(173),
    [anon_sym_BSLASHmathcolor] = ACTIONS(173),
    [anon_sym_BSLASHcolorbox] = ACTIONS(173),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(173),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(173),
    [anon_sym_BSLASHurl] = ACTIONS(173),
    [anon_sym_BSLASHhref] = ACTIONS(173),
  },
  [1167] = {
    [sym_command_name] = ACTIONS(7575),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7575),
    [anon_sym_LBRACK] = ACTIONS(7577),
    [anon_sym_RBRACK] = ACTIONS(7577),
    [anon_sym_COMMA] = ACTIONS(7577),
    [anon_sym_EQ] = ACTIONS(7577),
    [anon_sym_LPAREN] = ACTIONS(7577),
    [anon_sym_RPAREN] = ACTIONS(7577),
    [anon_sym_BSLASHpart] = ACTIONS(7575),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHaddpart] = ACTIONS(7575),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHchapter] = ACTIONS(7575),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHaddchap] = ACTIONS(7575),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHsection] = ACTIONS(7575),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHaddsec] = ACTIONS(7575),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHsubsection] = ACTIONS(7575),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7575),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHparagraph] = ACTIONS(7575),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7575),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHitem] = ACTIONS(7575),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7577),
    [anon_sym_LBRACE] = ACTIONS(7577),
    [sym_word] = ACTIONS(7575),
    [sym_placeholder] = ACTIONS(7577),
    [sym_delimiter] = ACTIONS(7577),
    [anon_sym_PLUS] = ACTIONS(7577),
    [anon_sym_DASH] = ACTIONS(7577),
    [anon_sym_STAR] = ACTIONS(7577),
    [anon_sym_SLASH] = ACTIONS(7577),
    [anon_sym_LT] = ACTIONS(7575),
    [anon_sym_GT] = ACTIONS(7575),
    [anon_sym_BANG] = ACTIONS(7575),
    [anon_sym_PIPE] = ACTIONS(7575),
    [anon_sym_COLON] = ACTIONS(7575),
    [anon_sym_SQUOTE] = ACTIONS(7575),
    [anon_sym__] = ACTIONS(7577),
    [anon_sym_CARET] = ACTIONS(7577),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7577),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7577),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7577),
    [anon_sym_DOLLAR] = ACTIONS(7575),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7577),
    [anon_sym_BSLASHleft] = ACTIONS(7575),
    [anon_sym_BSLASHbigl] = ACTIONS(7575),
    [anon_sym_BSLASHBigl] = ACTIONS(7575),
    [anon_sym_BSLASHbiggl] = ACTIONS(7575),
    [anon_sym_BSLASHBiggl] = ACTIONS(7575),
    [anon_sym_BSLASHtext] = ACTIONS(7575),
    [anon_sym_BSLASHintertext] = ACTIONS(7575),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7575),
    [anon_sym_BSLASHbegin] = ACTIONS(7575),
    [anon_sym_BSLASHtitle] = ACTIONS(7575),
    [anon_sym_BSLASHauthor] = ACTIONS(7575),
    [anon_sym_BSLASHusepackage] = ACTIONS(7575),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7575),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7575),
    [anon_sym_BSLASHinclude] = ACTIONS(7575),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7575),
    [anon_sym_BSLASHinput] = ACTIONS(7575),
    [anon_sym_BSLASHsubfile] = ACTIONS(7575),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7575),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7575),
    [anon_sym_BSLASHbibliography] = ACTIONS(7575),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7575),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7575),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7575),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7575),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7575),
    [anon_sym_BSLASHimport] = ACTIONS(7575),
    [anon_sym_BSLASHsubimport] = ACTIONS(7575),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7575),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7575),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7575),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7575),
    [anon_sym_BSLASHcaption] = ACTIONS(7575),
    [anon_sym_BSLASHcite] = ACTIONS(7575),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCite] = ACTIONS(7575),
    [anon_sym_BSLASHnocite] = ACTIONS(7575),
    [anon_sym_BSLASHcitet] = ACTIONS(7575),
    [anon_sym_BSLASHcitep] = ACTIONS(7575),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteA] = ACTIONS(7575),
    [anon_sym_BSLASHciteR] = ACTIONS(7575),
    [anon_sym_BSLASHciteS] = ACTIONS(7575),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7575),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7575),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7575),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7575),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteyear] = ACTIONS(7575),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitedate] = ACTIONS(7575),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteurl] = ACTIONS(7575),
    [anon_sym_BSLASHfullcite] = ACTIONS(7575),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7575),
    [anon_sym_BSLASHcitealt] = ACTIONS(7575),
    [anon_sym_BSLASHcitealp] = ACTIONS(7575),
    [anon_sym_BSLASHcitetext] = ACTIONS(7575),
    [anon_sym_BSLASHparencite] = ACTIONS(7575),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHParencite] = ACTIONS(7575),
    [anon_sym_BSLASHfootcite] = ACTIONS(7575),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7575),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7575),
    [anon_sym_BSLASHtextcite] = ACTIONS(7575),
    [anon_sym_BSLASHTextcite] = ACTIONS(7575),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7575),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7575),
    [anon_sym_BSLASHsupercite] = ACTIONS(7575),
    [anon_sym_BSLASHautocite] = ACTIONS(7575),
    [anon_sym_BSLASHAutocite] = ACTIONS(7575),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHVolcite] = ACTIONS(7575),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHavolcite] = ACTIONS(7575),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHNotecite] = ACTIONS(7575),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHlabel] = ACTIONS(7575),
    [anon_sym_BSLASHref] = ACTIONS(7575),
    [anon_sym_BSLASHeqref] = ACTIONS(7575),
    [anon_sym_BSLASHvref] = ACTIONS(7575),
    [anon_sym_BSLASHVref] = ACTIONS(7575),
    [anon_sym_BSLASHautoref] = ACTIONS(7575),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHpageref] = ACTIONS(7575),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHautopageref] = ACTIONS(7575),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcref] = ACTIONS(7575),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCref] = ACTIONS(7575),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcpageref] = ACTIONS(7575),
    [anon_sym_BSLASHCpageref] = ACTIONS(7575),
    [anon_sym_BSLASHnamecref] = ACTIONS(7575),
    [anon_sym_BSLASHnameCref] = ACTIONS(7575),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7575),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7575),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7575),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7575),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7575),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7575),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7575),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7575),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7575),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7575),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7575),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHdef] = ACTIONS(7575),
    [anon_sym_BSLASHgdef] = ACTIONS(7575),
    [anon_sym_BSLASHedef] = ACTIONS(7575),
    [anon_sym_BSLASHxdef] = ACTIONS(7575),
    [anon_sym_BSLASHlet] = ACTIONS(7575),
    [anon_sym_BSLASHglet] = ACTIONS(7575),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7575),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7575),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7575),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7575),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7575),
    [anon_sym_BSLASHgls] = ACTIONS(7575),
    [anon_sym_BSLASHGls] = ACTIONS(7575),
    [anon_sym_BSLASHGLS] = ACTIONS(7575),
    [anon_sym_BSLASHglspl] = ACTIONS(7575),
    [anon_sym_BSLASHGlspl] = ACTIONS(7575),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7575),
    [anon_sym_BSLASHglslink] = ACTIONS(7575),
    [anon_sym_BSLASHglstext] = ACTIONS(7575),
    [anon_sym_BSLASHGlstext] = ACTIONS(7575),
    [anon_sym_BSLASHGLStext] = ACTIONS(7575),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7575),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7575),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7575),
    [anon_sym_BSLASHglsplural] = ACTIONS(7575),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7575),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7575),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHglsname] = ACTIONS(7575),
    [anon_sym_BSLASHGlsname] = ACTIONS(7575),
    [anon_sym_BSLASHGLSname] = ACTIONS(7575),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7575),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7575),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7575),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7575),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7575),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7575),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7575),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7575),
    [anon_sym_BSLASHacrshort] = ACTIONS(7575),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7575),
    [anon_sym_BSLASHACRshort] = ACTIONS(7575),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHacrlong] = ACTIONS(7575),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7575),
    [anon_sym_BSLASHACRlong] = ACTIONS(7575),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHacrfull] = ACTIONS(7575),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7575),
    [anon_sym_BSLASHACRfull] = ACTIONS(7575),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHacs] = ACTIONS(7575),
    [anon_sym_BSLASHAcs] = ACTIONS(7575),
    [anon_sym_BSLASHacsp] = ACTIONS(7575),
    [anon_sym_BSLASHAcsp] = ACTIONS(7575),
    [anon_sym_BSLASHacl] = ACTIONS(7575),
    [anon_sym_BSLASHAcl] = ACTIONS(7575),
    [anon_sym_BSLASHaclp] = ACTIONS(7575),
    [anon_sym_BSLASHAclp] = ACTIONS(7575),
    [anon_sym_BSLASHacf] = ACTIONS(7575),
    [anon_sym_BSLASHAcf] = ACTIONS(7575),
    [anon_sym_BSLASHacfp] = ACTIONS(7575),
    [anon_sym_BSLASHAcfp] = ACTIONS(7575),
    [anon_sym_BSLASHac] = ACTIONS(7575),
    [anon_sym_BSLASHAc] = ACTIONS(7575),
    [anon_sym_BSLASHacp] = ACTIONS(7575),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7575),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7575),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7575),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7575),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7575),
    [anon_sym_BSLASHcolor] = ACTIONS(7575),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7575),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7575),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7575),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7575),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7575),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7575),
    [anon_sym_BSLASHurl] = ACTIONS(7575),
    [anon_sym_BSLASHhref] = ACTIONS(7575),
  },
  [1168] = {
    [sym_command_name] = ACTIONS(7323),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7323),
    [anon_sym_LBRACK] = ACTIONS(7325),
    [anon_sym_RBRACK] = ACTIONS(7325),
    [anon_sym_COMMA] = ACTIONS(7325),
    [anon_sym_EQ] = ACTIONS(7325),
    [anon_sym_LPAREN] = ACTIONS(7325),
    [anon_sym_RPAREN] = ACTIONS(7325),
    [anon_sym_BSLASHpart] = ACTIONS(7323),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHaddpart] = ACTIONS(7323),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHchapter] = ACTIONS(7323),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHaddchap] = ACTIONS(7323),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHsection] = ACTIONS(7323),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHaddsec] = ACTIONS(7323),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHsubsection] = ACTIONS(7323),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7323),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHparagraph] = ACTIONS(7323),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7323),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHitem] = ACTIONS(7323),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7325),
    [anon_sym_LBRACE] = ACTIONS(7325),
    [sym_word] = ACTIONS(7323),
    [sym_placeholder] = ACTIONS(7325),
    [sym_delimiter] = ACTIONS(7325),
    [anon_sym_PLUS] = ACTIONS(7325),
    [anon_sym_DASH] = ACTIONS(7325),
    [anon_sym_STAR] = ACTIONS(7325),
    [anon_sym_SLASH] = ACTIONS(7325),
    [anon_sym_LT] = ACTIONS(7323),
    [anon_sym_GT] = ACTIONS(7323),
    [anon_sym_BANG] = ACTIONS(7323),
    [anon_sym_PIPE] = ACTIONS(7323),
    [anon_sym_COLON] = ACTIONS(7323),
    [anon_sym_SQUOTE] = ACTIONS(7323),
    [anon_sym__] = ACTIONS(7325),
    [anon_sym_CARET] = ACTIONS(7325),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7325),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7325),
    [anon_sym_DOLLAR] = ACTIONS(7323),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7325),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7325),
    [anon_sym_BSLASHleft] = ACTIONS(7323),
    [anon_sym_BSLASHbigl] = ACTIONS(7323),
    [anon_sym_BSLASHBigl] = ACTIONS(7323),
    [anon_sym_BSLASHbiggl] = ACTIONS(7323),
    [anon_sym_BSLASHBiggl] = ACTIONS(7323),
    [anon_sym_BSLASHtext] = ACTIONS(7323),
    [anon_sym_BSLASHintertext] = ACTIONS(7323),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7323),
    [anon_sym_BSLASHbegin] = ACTIONS(7323),
    [anon_sym_BSLASHtitle] = ACTIONS(7323),
    [anon_sym_BSLASHauthor] = ACTIONS(7323),
    [anon_sym_BSLASHusepackage] = ACTIONS(7323),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7323),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7323),
    [anon_sym_BSLASHinclude] = ACTIONS(7323),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7323),
    [anon_sym_BSLASHinput] = ACTIONS(7323),
    [anon_sym_BSLASHsubfile] = ACTIONS(7323),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7323),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7323),
    [anon_sym_BSLASHbibliography] = ACTIONS(7323),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7323),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7323),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7323),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7323),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7323),
    [anon_sym_BSLASHimport] = ACTIONS(7323),
    [anon_sym_BSLASHsubimport] = ACTIONS(7323),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7323),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7323),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7323),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7323),
    [anon_sym_BSLASHcaption] = ACTIONS(7323),
    [anon_sym_BSLASHcite] = ACTIONS(7323),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCite] = ACTIONS(7323),
    [anon_sym_BSLASHnocite] = ACTIONS(7323),
    [anon_sym_BSLASHcitet] = ACTIONS(7323),
    [anon_sym_BSLASHcitep] = ACTIONS(7323),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteA] = ACTIONS(7323),
    [anon_sym_BSLASHciteR] = ACTIONS(7323),
    [anon_sym_BSLASHciteS] = ACTIONS(7323),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7323),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7323),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7323),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7323),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteyear] = ACTIONS(7323),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitedate] = ACTIONS(7323),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteurl] = ACTIONS(7323),
    [anon_sym_BSLASHfullcite] = ACTIONS(7323),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7323),
    [anon_sym_BSLASHcitealt] = ACTIONS(7323),
    [anon_sym_BSLASHcitealp] = ACTIONS(7323),
    [anon_sym_BSLASHcitetext] = ACTIONS(7323),
    [anon_sym_BSLASHparencite] = ACTIONS(7323),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHParencite] = ACTIONS(7323),
    [anon_sym_BSLASHfootcite] = ACTIONS(7323),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7323),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7323),
    [anon_sym_BSLASHtextcite] = ACTIONS(7323),
    [anon_sym_BSLASHTextcite] = ACTIONS(7323),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7323),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7323),
    [anon_sym_BSLASHsupercite] = ACTIONS(7323),
    [anon_sym_BSLASHautocite] = ACTIONS(7323),
    [anon_sym_BSLASHAutocite] = ACTIONS(7323),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHVolcite] = ACTIONS(7323),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHavolcite] = ACTIONS(7323),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHNotecite] = ACTIONS(7323),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHlabel] = ACTIONS(7323),
    [anon_sym_BSLASHref] = ACTIONS(7323),
    [anon_sym_BSLASHeqref] = ACTIONS(7323),
    [anon_sym_BSLASHvref] = ACTIONS(7323),
    [anon_sym_BSLASHVref] = ACTIONS(7323),
    [anon_sym_BSLASHautoref] = ACTIONS(7323),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHpageref] = ACTIONS(7323),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHautopageref] = ACTIONS(7323),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcref] = ACTIONS(7323),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCref] = ACTIONS(7323),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcpageref] = ACTIONS(7323),
    [anon_sym_BSLASHCpageref] = ACTIONS(7323),
    [anon_sym_BSLASHnamecref] = ACTIONS(7323),
    [anon_sym_BSLASHnameCref] = ACTIONS(7323),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7323),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7323),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7323),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7323),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7323),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7323),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7323),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7323),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7323),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7323),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7323),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHdef] = ACTIONS(7323),
    [anon_sym_BSLASHgdef] = ACTIONS(7323),
    [anon_sym_BSLASHedef] = ACTIONS(7323),
    [anon_sym_BSLASHxdef] = ACTIONS(7323),
    [anon_sym_BSLASHlet] = ACTIONS(7323),
    [anon_sym_BSLASHglet] = ACTIONS(7323),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7323),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7323),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7323),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7323),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7323),
    [anon_sym_BSLASHgls] = ACTIONS(7323),
    [anon_sym_BSLASHGls] = ACTIONS(7323),
    [anon_sym_BSLASHGLS] = ACTIONS(7323),
    [anon_sym_BSLASHglspl] = ACTIONS(7323),
    [anon_sym_BSLASHGlspl] = ACTIONS(7323),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7323),
    [anon_sym_BSLASHglslink] = ACTIONS(7323),
    [anon_sym_BSLASHglstext] = ACTIONS(7323),
    [anon_sym_BSLASHGlstext] = ACTIONS(7323),
    [anon_sym_BSLASHGLStext] = ACTIONS(7323),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7323),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7323),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7323),
    [anon_sym_BSLASHglsplural] = ACTIONS(7323),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7323),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7323),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHglsname] = ACTIONS(7323),
    [anon_sym_BSLASHGlsname] = ACTIONS(7323),
    [anon_sym_BSLASHGLSname] = ACTIONS(7323),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7323),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7323),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7323),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7323),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7323),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7323),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7323),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7323),
    [anon_sym_BSLASHacrshort] = ACTIONS(7323),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7323),
    [anon_sym_BSLASHACRshort] = ACTIONS(7323),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHacrlong] = ACTIONS(7323),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7323),
    [anon_sym_BSLASHACRlong] = ACTIONS(7323),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHacrfull] = ACTIONS(7323),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7323),
    [anon_sym_BSLASHACRfull] = ACTIONS(7323),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHacs] = ACTIONS(7323),
    [anon_sym_BSLASHAcs] = ACTIONS(7323),
    [anon_sym_BSLASHacsp] = ACTIONS(7323),
    [anon_sym_BSLASHAcsp] = ACTIONS(7323),
    [anon_sym_BSLASHacl] = ACTIONS(7323),
    [anon_sym_BSLASHAcl] = ACTIONS(7323),
    [anon_sym_BSLASHaclp] = ACTIONS(7323),
    [anon_sym_BSLASHAclp] = ACTIONS(7323),
    [anon_sym_BSLASHacf] = ACTIONS(7323),
    [anon_sym_BSLASHAcf] = ACTIONS(7323),
    [anon_sym_BSLASHacfp] = ACTIONS(7323),
    [anon_sym_BSLASHAcfp] = ACTIONS(7323),
    [anon_sym_BSLASHac] = ACTIONS(7323),
    [anon_sym_BSLASHAc] = ACTIONS(7323),
    [anon_sym_BSLASHacp] = ACTIONS(7323),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7323),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7323),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7323),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7323),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7323),
    [anon_sym_BSLASHcolor] = ACTIONS(7323),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7323),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7323),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7323),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7323),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7323),
    [anon_sym_BSLASHurl] = ACTIONS(7323),
    [anon_sym_BSLASHhref] = ACTIONS(7323),
  },
  [1169] = {
    [sym_command_name] = ACTIONS(7327),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7327),
    [anon_sym_LBRACK] = ACTIONS(7329),
    [anon_sym_RBRACK] = ACTIONS(7329),
    [anon_sym_COMMA] = ACTIONS(7329),
    [anon_sym_EQ] = ACTIONS(7329),
    [anon_sym_LPAREN] = ACTIONS(7329),
    [anon_sym_RPAREN] = ACTIONS(7329),
    [anon_sym_BSLASHpart] = ACTIONS(7327),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHaddpart] = ACTIONS(7327),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHchapter] = ACTIONS(7327),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHaddchap] = ACTIONS(7327),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHsection] = ACTIONS(7327),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHaddsec] = ACTIONS(7327),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHsubsection] = ACTIONS(7327),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7327),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHparagraph] = ACTIONS(7327),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7327),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHitem] = ACTIONS(7327),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7329),
    [anon_sym_LBRACE] = ACTIONS(7329),
    [sym_word] = ACTIONS(7327),
    [sym_placeholder] = ACTIONS(7329),
    [sym_delimiter] = ACTIONS(7329),
    [anon_sym_PLUS] = ACTIONS(7329),
    [anon_sym_DASH] = ACTIONS(7329),
    [anon_sym_STAR] = ACTIONS(7329),
    [anon_sym_SLASH] = ACTIONS(7329),
    [anon_sym_LT] = ACTIONS(7327),
    [anon_sym_GT] = ACTIONS(7327),
    [anon_sym_BANG] = ACTIONS(7327),
    [anon_sym_PIPE] = ACTIONS(7327),
    [anon_sym_COLON] = ACTIONS(7327),
    [anon_sym_SQUOTE] = ACTIONS(7327),
    [anon_sym__] = ACTIONS(7329),
    [anon_sym_CARET] = ACTIONS(7329),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7329),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7329),
    [anon_sym_DOLLAR] = ACTIONS(7327),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7329),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7329),
    [anon_sym_BSLASHleft] = ACTIONS(7327),
    [anon_sym_BSLASHbigl] = ACTIONS(7327),
    [anon_sym_BSLASHBigl] = ACTIONS(7327),
    [anon_sym_BSLASHbiggl] = ACTIONS(7327),
    [anon_sym_BSLASHBiggl] = ACTIONS(7327),
    [anon_sym_BSLASHtext] = ACTIONS(7327),
    [anon_sym_BSLASHintertext] = ACTIONS(7327),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7327),
    [anon_sym_BSLASHbegin] = ACTIONS(7327),
    [anon_sym_BSLASHtitle] = ACTIONS(7327),
    [anon_sym_BSLASHauthor] = ACTIONS(7327),
    [anon_sym_BSLASHusepackage] = ACTIONS(7327),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7327),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7327),
    [anon_sym_BSLASHinclude] = ACTIONS(7327),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7327),
    [anon_sym_BSLASHinput] = ACTIONS(7327),
    [anon_sym_BSLASHsubfile] = ACTIONS(7327),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7327),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7327),
    [anon_sym_BSLASHbibliography] = ACTIONS(7327),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7327),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7327),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7327),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7327),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7327),
    [anon_sym_BSLASHimport] = ACTIONS(7327),
    [anon_sym_BSLASHsubimport] = ACTIONS(7327),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7327),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7327),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7327),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7327),
    [anon_sym_BSLASHcaption] = ACTIONS(7327),
    [anon_sym_BSLASHcite] = ACTIONS(7327),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCite] = ACTIONS(7327),
    [anon_sym_BSLASHnocite] = ACTIONS(7327),
    [anon_sym_BSLASHcitet] = ACTIONS(7327),
    [anon_sym_BSLASHcitep] = ACTIONS(7327),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteA] = ACTIONS(7327),
    [anon_sym_BSLASHciteR] = ACTIONS(7327),
    [anon_sym_BSLASHciteS] = ACTIONS(7327),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7327),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7327),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7327),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7327),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteyear] = ACTIONS(7327),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitedate] = ACTIONS(7327),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteurl] = ACTIONS(7327),
    [anon_sym_BSLASHfullcite] = ACTIONS(7327),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7327),
    [anon_sym_BSLASHcitealt] = ACTIONS(7327),
    [anon_sym_BSLASHcitealp] = ACTIONS(7327),
    [anon_sym_BSLASHcitetext] = ACTIONS(7327),
    [anon_sym_BSLASHparencite] = ACTIONS(7327),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHParencite] = ACTIONS(7327),
    [anon_sym_BSLASHfootcite] = ACTIONS(7327),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7327),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7327),
    [anon_sym_BSLASHtextcite] = ACTIONS(7327),
    [anon_sym_BSLASHTextcite] = ACTIONS(7327),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7327),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7327),
    [anon_sym_BSLASHsupercite] = ACTIONS(7327),
    [anon_sym_BSLASHautocite] = ACTIONS(7327),
    [anon_sym_BSLASHAutocite] = ACTIONS(7327),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHVolcite] = ACTIONS(7327),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHavolcite] = ACTIONS(7327),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHNotecite] = ACTIONS(7327),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHlabel] = ACTIONS(7327),
    [anon_sym_BSLASHref] = ACTIONS(7327),
    [anon_sym_BSLASHeqref] = ACTIONS(7327),
    [anon_sym_BSLASHvref] = ACTIONS(7327),
    [anon_sym_BSLASHVref] = ACTIONS(7327),
    [anon_sym_BSLASHautoref] = ACTIONS(7327),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHpageref] = ACTIONS(7327),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHautopageref] = ACTIONS(7327),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcref] = ACTIONS(7327),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCref] = ACTIONS(7327),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcpageref] = ACTIONS(7327),
    [anon_sym_BSLASHCpageref] = ACTIONS(7327),
    [anon_sym_BSLASHnamecref] = ACTIONS(7327),
    [anon_sym_BSLASHnameCref] = ACTIONS(7327),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7327),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7327),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7327),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7327),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7327),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7327),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7327),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7327),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7327),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7327),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7327),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHdef] = ACTIONS(7327),
    [anon_sym_BSLASHgdef] = ACTIONS(7327),
    [anon_sym_BSLASHedef] = ACTIONS(7327),
    [anon_sym_BSLASHxdef] = ACTIONS(7327),
    [anon_sym_BSLASHlet] = ACTIONS(7327),
    [anon_sym_BSLASHglet] = ACTIONS(7327),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7327),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7327),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7327),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7327),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7327),
    [anon_sym_BSLASHgls] = ACTIONS(7327),
    [anon_sym_BSLASHGls] = ACTIONS(7327),
    [anon_sym_BSLASHGLS] = ACTIONS(7327),
    [anon_sym_BSLASHglspl] = ACTIONS(7327),
    [anon_sym_BSLASHGlspl] = ACTIONS(7327),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7327),
    [anon_sym_BSLASHglslink] = ACTIONS(7327),
    [anon_sym_BSLASHglstext] = ACTIONS(7327),
    [anon_sym_BSLASHGlstext] = ACTIONS(7327),
    [anon_sym_BSLASHGLStext] = ACTIONS(7327),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7327),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7327),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7327),
    [anon_sym_BSLASHglsplural] = ACTIONS(7327),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7327),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7327),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHglsname] = ACTIONS(7327),
    [anon_sym_BSLASHGlsname] = ACTIONS(7327),
    [anon_sym_BSLASHGLSname] = ACTIONS(7327),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7327),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7327),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7327),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7327),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7327),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7327),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7327),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7327),
    [anon_sym_BSLASHacrshort] = ACTIONS(7327),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7327),
    [anon_sym_BSLASHACRshort] = ACTIONS(7327),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHacrlong] = ACTIONS(7327),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7327),
    [anon_sym_BSLASHACRlong] = ACTIONS(7327),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHacrfull] = ACTIONS(7327),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7327),
    [anon_sym_BSLASHACRfull] = ACTIONS(7327),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHacs] = ACTIONS(7327),
    [anon_sym_BSLASHAcs] = ACTIONS(7327),
    [anon_sym_BSLASHacsp] = ACTIONS(7327),
    [anon_sym_BSLASHAcsp] = ACTIONS(7327),
    [anon_sym_BSLASHacl] = ACTIONS(7327),
    [anon_sym_BSLASHAcl] = ACTIONS(7327),
    [anon_sym_BSLASHaclp] = ACTIONS(7327),
    [anon_sym_BSLASHAclp] = ACTIONS(7327),
    [anon_sym_BSLASHacf] = ACTIONS(7327),
    [anon_sym_BSLASHAcf] = ACTIONS(7327),
    [anon_sym_BSLASHacfp] = ACTIONS(7327),
    [anon_sym_BSLASHAcfp] = ACTIONS(7327),
    [anon_sym_BSLASHac] = ACTIONS(7327),
    [anon_sym_BSLASHAc] = ACTIONS(7327),
    [anon_sym_BSLASHacp] = ACTIONS(7327),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7327),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7327),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7327),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7327),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7327),
    [anon_sym_BSLASHcolor] = ACTIONS(7327),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7327),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7327),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7327),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7327),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7327),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7327),
    [anon_sym_BSLASHurl] = ACTIONS(7327),
    [anon_sym_BSLASHhref] = ACTIONS(7327),
  },
  [1170] = {
    [sym_command_name] = ACTIONS(7331),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7331),
    [anon_sym_LBRACK] = ACTIONS(7333),
    [anon_sym_RBRACK] = ACTIONS(7333),
    [anon_sym_COMMA] = ACTIONS(7333),
    [anon_sym_EQ] = ACTIONS(7333),
    [anon_sym_LPAREN] = ACTIONS(7333),
    [anon_sym_RPAREN] = ACTIONS(7333),
    [anon_sym_BSLASHpart] = ACTIONS(7331),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHaddpart] = ACTIONS(7331),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHchapter] = ACTIONS(7331),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHaddchap] = ACTIONS(7331),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHsection] = ACTIONS(7331),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHaddsec] = ACTIONS(7331),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHsubsection] = ACTIONS(7331),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7331),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHparagraph] = ACTIONS(7331),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7331),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHitem] = ACTIONS(7331),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7333),
    [anon_sym_LBRACE] = ACTIONS(7333),
    [sym_word] = ACTIONS(7331),
    [sym_placeholder] = ACTIONS(7333),
    [sym_delimiter] = ACTIONS(7333),
    [anon_sym_PLUS] = ACTIONS(7333),
    [anon_sym_DASH] = ACTIONS(7333),
    [anon_sym_STAR] = ACTIONS(7333),
    [anon_sym_SLASH] = ACTIONS(7333),
    [anon_sym_LT] = ACTIONS(7331),
    [anon_sym_GT] = ACTIONS(7331),
    [anon_sym_BANG] = ACTIONS(7331),
    [anon_sym_PIPE] = ACTIONS(7331),
    [anon_sym_COLON] = ACTIONS(7331),
    [anon_sym_SQUOTE] = ACTIONS(7331),
    [anon_sym__] = ACTIONS(7333),
    [anon_sym_CARET] = ACTIONS(7333),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7333),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7333),
    [anon_sym_DOLLAR] = ACTIONS(7331),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7333),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7333),
    [anon_sym_BSLASHleft] = ACTIONS(7331),
    [anon_sym_BSLASHbigl] = ACTIONS(7331),
    [anon_sym_BSLASHBigl] = ACTIONS(7331),
    [anon_sym_BSLASHbiggl] = ACTIONS(7331),
    [anon_sym_BSLASHBiggl] = ACTIONS(7331),
    [anon_sym_BSLASHtext] = ACTIONS(7331),
    [anon_sym_BSLASHintertext] = ACTIONS(7331),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7331),
    [anon_sym_BSLASHbegin] = ACTIONS(7331),
    [anon_sym_BSLASHtitle] = ACTIONS(7331),
    [anon_sym_BSLASHauthor] = ACTIONS(7331),
    [anon_sym_BSLASHusepackage] = ACTIONS(7331),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7331),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7331),
    [anon_sym_BSLASHinclude] = ACTIONS(7331),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7331),
    [anon_sym_BSLASHinput] = ACTIONS(7331),
    [anon_sym_BSLASHsubfile] = ACTIONS(7331),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7331),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7331),
    [anon_sym_BSLASHbibliography] = ACTIONS(7331),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7331),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7331),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7331),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7331),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7331),
    [anon_sym_BSLASHimport] = ACTIONS(7331),
    [anon_sym_BSLASHsubimport] = ACTIONS(7331),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7331),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7331),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7331),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7331),
    [anon_sym_BSLASHcaption] = ACTIONS(7331),
    [anon_sym_BSLASHcite] = ACTIONS(7331),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCite] = ACTIONS(7331),
    [anon_sym_BSLASHnocite] = ACTIONS(7331),
    [anon_sym_BSLASHcitet] = ACTIONS(7331),
    [anon_sym_BSLASHcitep] = ACTIONS(7331),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteA] = ACTIONS(7331),
    [anon_sym_BSLASHciteR] = ACTIONS(7331),
    [anon_sym_BSLASHciteS] = ACTIONS(7331),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7331),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7331),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7331),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7331),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteyear] = ACTIONS(7331),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitedate] = ACTIONS(7331),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteurl] = ACTIONS(7331),
    [anon_sym_BSLASHfullcite] = ACTIONS(7331),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7331),
    [anon_sym_BSLASHcitealt] = ACTIONS(7331),
    [anon_sym_BSLASHcitealp] = ACTIONS(7331),
    [anon_sym_BSLASHcitetext] = ACTIONS(7331),
    [anon_sym_BSLASHparencite] = ACTIONS(7331),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHParencite] = ACTIONS(7331),
    [anon_sym_BSLASHfootcite] = ACTIONS(7331),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7331),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7331),
    [anon_sym_BSLASHtextcite] = ACTIONS(7331),
    [anon_sym_BSLASHTextcite] = ACTIONS(7331),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7331),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7331),
    [anon_sym_BSLASHsupercite] = ACTIONS(7331),
    [anon_sym_BSLASHautocite] = ACTIONS(7331),
    [anon_sym_BSLASHAutocite] = ACTIONS(7331),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHVolcite] = ACTIONS(7331),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHavolcite] = ACTIONS(7331),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHNotecite] = ACTIONS(7331),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHlabel] = ACTIONS(7331),
    [anon_sym_BSLASHref] = ACTIONS(7331),
    [anon_sym_BSLASHeqref] = ACTIONS(7331),
    [anon_sym_BSLASHvref] = ACTIONS(7331),
    [anon_sym_BSLASHVref] = ACTIONS(7331),
    [anon_sym_BSLASHautoref] = ACTIONS(7331),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHpageref] = ACTIONS(7331),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHautopageref] = ACTIONS(7331),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcref] = ACTIONS(7331),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCref] = ACTIONS(7331),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcpageref] = ACTIONS(7331),
    [anon_sym_BSLASHCpageref] = ACTIONS(7331),
    [anon_sym_BSLASHnamecref] = ACTIONS(7331),
    [anon_sym_BSLASHnameCref] = ACTIONS(7331),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7331),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7331),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7331),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7331),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7331),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7331),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7331),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7331),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7331),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7331),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7331),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHdef] = ACTIONS(7331),
    [anon_sym_BSLASHgdef] = ACTIONS(7331),
    [anon_sym_BSLASHedef] = ACTIONS(7331),
    [anon_sym_BSLASHxdef] = ACTIONS(7331),
    [anon_sym_BSLASHlet] = ACTIONS(7331),
    [anon_sym_BSLASHglet] = ACTIONS(7331),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7331),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7331),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7331),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7331),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7331),
    [anon_sym_BSLASHgls] = ACTIONS(7331),
    [anon_sym_BSLASHGls] = ACTIONS(7331),
    [anon_sym_BSLASHGLS] = ACTIONS(7331),
    [anon_sym_BSLASHglspl] = ACTIONS(7331),
    [anon_sym_BSLASHGlspl] = ACTIONS(7331),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7331),
    [anon_sym_BSLASHglslink] = ACTIONS(7331),
    [anon_sym_BSLASHglstext] = ACTIONS(7331),
    [anon_sym_BSLASHGlstext] = ACTIONS(7331),
    [anon_sym_BSLASHGLStext] = ACTIONS(7331),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7331),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7331),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7331),
    [anon_sym_BSLASHglsplural] = ACTIONS(7331),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7331),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7331),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHglsname] = ACTIONS(7331),
    [anon_sym_BSLASHGlsname] = ACTIONS(7331),
    [anon_sym_BSLASHGLSname] = ACTIONS(7331),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7331),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7331),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7331),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7331),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7331),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7331),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7331),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7331),
    [anon_sym_BSLASHacrshort] = ACTIONS(7331),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7331),
    [anon_sym_BSLASHACRshort] = ACTIONS(7331),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHacrlong] = ACTIONS(7331),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7331),
    [anon_sym_BSLASHACRlong] = ACTIONS(7331),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHacrfull] = ACTIONS(7331),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7331),
    [anon_sym_BSLASHACRfull] = ACTIONS(7331),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHacs] = ACTIONS(7331),
    [anon_sym_BSLASHAcs] = ACTIONS(7331),
    [anon_sym_BSLASHacsp] = ACTIONS(7331),
    [anon_sym_BSLASHAcsp] = ACTIONS(7331),
    [anon_sym_BSLASHacl] = ACTIONS(7331),
    [anon_sym_BSLASHAcl] = ACTIONS(7331),
    [anon_sym_BSLASHaclp] = ACTIONS(7331),
    [anon_sym_BSLASHAclp] = ACTIONS(7331),
    [anon_sym_BSLASHacf] = ACTIONS(7331),
    [anon_sym_BSLASHAcf] = ACTIONS(7331),
    [anon_sym_BSLASHacfp] = ACTIONS(7331),
    [anon_sym_BSLASHAcfp] = ACTIONS(7331),
    [anon_sym_BSLASHac] = ACTIONS(7331),
    [anon_sym_BSLASHAc] = ACTIONS(7331),
    [anon_sym_BSLASHacp] = ACTIONS(7331),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7331),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7331),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7331),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7331),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7331),
    [anon_sym_BSLASHcolor] = ACTIONS(7331),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7331),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7331),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7331),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7331),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7331),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7331),
    [anon_sym_BSLASHurl] = ACTIONS(7331),
    [anon_sym_BSLASHhref] = ACTIONS(7331),
  },
  [1171] = {
    [sym_command_name] = ACTIONS(7335),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7335),
    [anon_sym_LBRACK] = ACTIONS(7337),
    [anon_sym_RBRACK] = ACTIONS(7337),
    [anon_sym_COMMA] = ACTIONS(7337),
    [anon_sym_EQ] = ACTIONS(7337),
    [anon_sym_LPAREN] = ACTIONS(7337),
    [anon_sym_RPAREN] = ACTIONS(7337),
    [anon_sym_BSLASHpart] = ACTIONS(7335),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHaddpart] = ACTIONS(7335),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHchapter] = ACTIONS(7335),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHaddchap] = ACTIONS(7335),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHsection] = ACTIONS(7335),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHaddsec] = ACTIONS(7335),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHsubsection] = ACTIONS(7335),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7335),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHparagraph] = ACTIONS(7335),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7335),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHitem] = ACTIONS(7335),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7337),
    [anon_sym_LBRACE] = ACTIONS(7337),
    [sym_word] = ACTIONS(7335),
    [sym_placeholder] = ACTIONS(7337),
    [sym_delimiter] = ACTIONS(7337),
    [anon_sym_PLUS] = ACTIONS(7337),
    [anon_sym_DASH] = ACTIONS(7337),
    [anon_sym_STAR] = ACTIONS(7337),
    [anon_sym_SLASH] = ACTIONS(7337),
    [anon_sym_LT] = ACTIONS(7335),
    [anon_sym_GT] = ACTIONS(7335),
    [anon_sym_BANG] = ACTIONS(7335),
    [anon_sym_PIPE] = ACTIONS(7335),
    [anon_sym_COLON] = ACTIONS(7335),
    [anon_sym_SQUOTE] = ACTIONS(7335),
    [anon_sym__] = ACTIONS(7337),
    [anon_sym_CARET] = ACTIONS(7337),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7337),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7337),
    [anon_sym_DOLLAR] = ACTIONS(7335),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7337),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7337),
    [anon_sym_BSLASHleft] = ACTIONS(7335),
    [anon_sym_BSLASHbigl] = ACTIONS(7335),
    [anon_sym_BSLASHBigl] = ACTIONS(7335),
    [anon_sym_BSLASHbiggl] = ACTIONS(7335),
    [anon_sym_BSLASHBiggl] = ACTIONS(7335),
    [anon_sym_BSLASHtext] = ACTIONS(7335),
    [anon_sym_BSLASHintertext] = ACTIONS(7335),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7335),
    [anon_sym_BSLASHbegin] = ACTIONS(7335),
    [anon_sym_BSLASHtitle] = ACTIONS(7335),
    [anon_sym_BSLASHauthor] = ACTIONS(7335),
    [anon_sym_BSLASHusepackage] = ACTIONS(7335),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7335),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7335),
    [anon_sym_BSLASHinclude] = ACTIONS(7335),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7335),
    [anon_sym_BSLASHinput] = ACTIONS(7335),
    [anon_sym_BSLASHsubfile] = ACTIONS(7335),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7335),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7335),
    [anon_sym_BSLASHbibliography] = ACTIONS(7335),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7335),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7335),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7335),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7335),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7335),
    [anon_sym_BSLASHimport] = ACTIONS(7335),
    [anon_sym_BSLASHsubimport] = ACTIONS(7335),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7335),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7335),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7335),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7335),
    [anon_sym_BSLASHcaption] = ACTIONS(7335),
    [anon_sym_BSLASHcite] = ACTIONS(7335),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCite] = ACTIONS(7335),
    [anon_sym_BSLASHnocite] = ACTIONS(7335),
    [anon_sym_BSLASHcitet] = ACTIONS(7335),
    [anon_sym_BSLASHcitep] = ACTIONS(7335),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteA] = ACTIONS(7335),
    [anon_sym_BSLASHciteR] = ACTIONS(7335),
    [anon_sym_BSLASHciteS] = ACTIONS(7335),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7335),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7335),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7335),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7335),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteyear] = ACTIONS(7335),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitedate] = ACTIONS(7335),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteurl] = ACTIONS(7335),
    [anon_sym_BSLASHfullcite] = ACTIONS(7335),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7335),
    [anon_sym_BSLASHcitealt] = ACTIONS(7335),
    [anon_sym_BSLASHcitealp] = ACTIONS(7335),
    [anon_sym_BSLASHcitetext] = ACTIONS(7335),
    [anon_sym_BSLASHparencite] = ACTIONS(7335),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHParencite] = ACTIONS(7335),
    [anon_sym_BSLASHfootcite] = ACTIONS(7335),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7335),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7335),
    [anon_sym_BSLASHtextcite] = ACTIONS(7335),
    [anon_sym_BSLASHTextcite] = ACTIONS(7335),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7335),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7335),
    [anon_sym_BSLASHsupercite] = ACTIONS(7335),
    [anon_sym_BSLASHautocite] = ACTIONS(7335),
    [anon_sym_BSLASHAutocite] = ACTIONS(7335),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHVolcite] = ACTIONS(7335),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHavolcite] = ACTIONS(7335),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHNotecite] = ACTIONS(7335),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHlabel] = ACTIONS(7335),
    [anon_sym_BSLASHref] = ACTIONS(7335),
    [anon_sym_BSLASHeqref] = ACTIONS(7335),
    [anon_sym_BSLASHvref] = ACTIONS(7335),
    [anon_sym_BSLASHVref] = ACTIONS(7335),
    [anon_sym_BSLASHautoref] = ACTIONS(7335),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHpageref] = ACTIONS(7335),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHautopageref] = ACTIONS(7335),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcref] = ACTIONS(7335),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCref] = ACTIONS(7335),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcpageref] = ACTIONS(7335),
    [anon_sym_BSLASHCpageref] = ACTIONS(7335),
    [anon_sym_BSLASHnamecref] = ACTIONS(7335),
    [anon_sym_BSLASHnameCref] = ACTIONS(7335),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7335),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7335),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7335),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7335),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7335),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7335),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7335),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7335),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7335),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7335),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7335),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHdef] = ACTIONS(7335),
    [anon_sym_BSLASHgdef] = ACTIONS(7335),
    [anon_sym_BSLASHedef] = ACTIONS(7335),
    [anon_sym_BSLASHxdef] = ACTIONS(7335),
    [anon_sym_BSLASHlet] = ACTIONS(7335),
    [anon_sym_BSLASHglet] = ACTIONS(7335),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7335),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7335),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7335),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7335),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7335),
    [anon_sym_BSLASHgls] = ACTIONS(7335),
    [anon_sym_BSLASHGls] = ACTIONS(7335),
    [anon_sym_BSLASHGLS] = ACTIONS(7335),
    [anon_sym_BSLASHglspl] = ACTIONS(7335),
    [anon_sym_BSLASHGlspl] = ACTIONS(7335),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7335),
    [anon_sym_BSLASHglslink] = ACTIONS(7335),
    [anon_sym_BSLASHglstext] = ACTIONS(7335),
    [anon_sym_BSLASHGlstext] = ACTIONS(7335),
    [anon_sym_BSLASHGLStext] = ACTIONS(7335),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7335),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7335),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7335),
    [anon_sym_BSLASHglsplural] = ACTIONS(7335),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7335),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7335),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHglsname] = ACTIONS(7335),
    [anon_sym_BSLASHGlsname] = ACTIONS(7335),
    [anon_sym_BSLASHGLSname] = ACTIONS(7335),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7335),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7335),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7335),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7335),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7335),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7335),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7335),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7335),
    [anon_sym_BSLASHacrshort] = ACTIONS(7335),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7335),
    [anon_sym_BSLASHACRshort] = ACTIONS(7335),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHacrlong] = ACTIONS(7335),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7335),
    [anon_sym_BSLASHACRlong] = ACTIONS(7335),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHacrfull] = ACTIONS(7335),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7335),
    [anon_sym_BSLASHACRfull] = ACTIONS(7335),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHacs] = ACTIONS(7335),
    [anon_sym_BSLASHAcs] = ACTIONS(7335),
    [anon_sym_BSLASHacsp] = ACTIONS(7335),
    [anon_sym_BSLASHAcsp] = ACTIONS(7335),
    [anon_sym_BSLASHacl] = ACTIONS(7335),
    [anon_sym_BSLASHAcl] = ACTIONS(7335),
    [anon_sym_BSLASHaclp] = ACTIONS(7335),
    [anon_sym_BSLASHAclp] = ACTIONS(7335),
    [anon_sym_BSLASHacf] = ACTIONS(7335),
    [anon_sym_BSLASHAcf] = ACTIONS(7335),
    [anon_sym_BSLASHacfp] = ACTIONS(7335),
    [anon_sym_BSLASHAcfp] = ACTIONS(7335),
    [anon_sym_BSLASHac] = ACTIONS(7335),
    [anon_sym_BSLASHAc] = ACTIONS(7335),
    [anon_sym_BSLASHacp] = ACTIONS(7335),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7335),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7335),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7335),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7335),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7335),
    [anon_sym_BSLASHcolor] = ACTIONS(7335),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7335),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7335),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7335),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7335),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7335),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7335),
    [anon_sym_BSLASHurl] = ACTIONS(7335),
    [anon_sym_BSLASHhref] = ACTIONS(7335),
  },
  [1172] = {
    [sym_command_name] = ACTIONS(7339),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7339),
    [anon_sym_LBRACK] = ACTIONS(7341),
    [anon_sym_RBRACK] = ACTIONS(7341),
    [anon_sym_COMMA] = ACTIONS(7341),
    [anon_sym_EQ] = ACTIONS(7341),
    [anon_sym_LPAREN] = ACTIONS(7341),
    [anon_sym_RPAREN] = ACTIONS(7341),
    [anon_sym_BSLASHpart] = ACTIONS(7339),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHaddpart] = ACTIONS(7339),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHchapter] = ACTIONS(7339),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHaddchap] = ACTIONS(7339),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHsection] = ACTIONS(7339),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHaddsec] = ACTIONS(7339),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHsubsection] = ACTIONS(7339),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7339),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHparagraph] = ACTIONS(7339),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7339),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHitem] = ACTIONS(7339),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7341),
    [anon_sym_LBRACE] = ACTIONS(7341),
    [sym_word] = ACTIONS(7339),
    [sym_placeholder] = ACTIONS(7341),
    [sym_delimiter] = ACTIONS(7341),
    [anon_sym_PLUS] = ACTIONS(7341),
    [anon_sym_DASH] = ACTIONS(7341),
    [anon_sym_STAR] = ACTIONS(7341),
    [anon_sym_SLASH] = ACTIONS(7341),
    [anon_sym_LT] = ACTIONS(7339),
    [anon_sym_GT] = ACTIONS(7339),
    [anon_sym_BANG] = ACTIONS(7339),
    [anon_sym_PIPE] = ACTIONS(7339),
    [anon_sym_COLON] = ACTIONS(7339),
    [anon_sym_SQUOTE] = ACTIONS(7339),
    [anon_sym__] = ACTIONS(7341),
    [anon_sym_CARET] = ACTIONS(7341),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7341),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7341),
    [anon_sym_DOLLAR] = ACTIONS(7339),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7341),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7341),
    [anon_sym_BSLASHleft] = ACTIONS(7339),
    [anon_sym_BSLASHbigl] = ACTIONS(7339),
    [anon_sym_BSLASHBigl] = ACTIONS(7339),
    [anon_sym_BSLASHbiggl] = ACTIONS(7339),
    [anon_sym_BSLASHBiggl] = ACTIONS(7339),
    [anon_sym_BSLASHtext] = ACTIONS(7339),
    [anon_sym_BSLASHintertext] = ACTIONS(7339),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7339),
    [anon_sym_BSLASHbegin] = ACTIONS(7339),
    [anon_sym_BSLASHtitle] = ACTIONS(7339),
    [anon_sym_BSLASHauthor] = ACTIONS(7339),
    [anon_sym_BSLASHusepackage] = ACTIONS(7339),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7339),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7339),
    [anon_sym_BSLASHinclude] = ACTIONS(7339),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7339),
    [anon_sym_BSLASHinput] = ACTIONS(7339),
    [anon_sym_BSLASHsubfile] = ACTIONS(7339),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7339),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7339),
    [anon_sym_BSLASHbibliography] = ACTIONS(7339),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7339),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7339),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7339),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7339),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7339),
    [anon_sym_BSLASHimport] = ACTIONS(7339),
    [anon_sym_BSLASHsubimport] = ACTIONS(7339),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7339),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7339),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7339),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7339),
    [anon_sym_BSLASHcaption] = ACTIONS(7339),
    [anon_sym_BSLASHcite] = ACTIONS(7339),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCite] = ACTIONS(7339),
    [anon_sym_BSLASHnocite] = ACTIONS(7339),
    [anon_sym_BSLASHcitet] = ACTIONS(7339),
    [anon_sym_BSLASHcitep] = ACTIONS(7339),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteA] = ACTIONS(7339),
    [anon_sym_BSLASHciteR] = ACTIONS(7339),
    [anon_sym_BSLASHciteS] = ACTIONS(7339),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7339),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7339),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7339),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7339),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteyear] = ACTIONS(7339),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitedate] = ACTIONS(7339),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteurl] = ACTIONS(7339),
    [anon_sym_BSLASHfullcite] = ACTIONS(7339),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7339),
    [anon_sym_BSLASHcitealt] = ACTIONS(7339),
    [anon_sym_BSLASHcitealp] = ACTIONS(7339),
    [anon_sym_BSLASHcitetext] = ACTIONS(7339),
    [anon_sym_BSLASHparencite] = ACTIONS(7339),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHParencite] = ACTIONS(7339),
    [anon_sym_BSLASHfootcite] = ACTIONS(7339),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7339),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7339),
    [anon_sym_BSLASHtextcite] = ACTIONS(7339),
    [anon_sym_BSLASHTextcite] = ACTIONS(7339),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7339),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7339),
    [anon_sym_BSLASHsupercite] = ACTIONS(7339),
    [anon_sym_BSLASHautocite] = ACTIONS(7339),
    [anon_sym_BSLASHAutocite] = ACTIONS(7339),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHVolcite] = ACTIONS(7339),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHavolcite] = ACTIONS(7339),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHNotecite] = ACTIONS(7339),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHlabel] = ACTIONS(7339),
    [anon_sym_BSLASHref] = ACTIONS(7339),
    [anon_sym_BSLASHeqref] = ACTIONS(7339),
    [anon_sym_BSLASHvref] = ACTIONS(7339),
    [anon_sym_BSLASHVref] = ACTIONS(7339),
    [anon_sym_BSLASHautoref] = ACTIONS(7339),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHpageref] = ACTIONS(7339),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHautopageref] = ACTIONS(7339),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcref] = ACTIONS(7339),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCref] = ACTIONS(7339),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcpageref] = ACTIONS(7339),
    [anon_sym_BSLASHCpageref] = ACTIONS(7339),
    [anon_sym_BSLASHnamecref] = ACTIONS(7339),
    [anon_sym_BSLASHnameCref] = ACTIONS(7339),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7339),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7339),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7339),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7339),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7339),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7339),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7339),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7339),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7339),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7339),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7339),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHdef] = ACTIONS(7339),
    [anon_sym_BSLASHgdef] = ACTIONS(7339),
    [anon_sym_BSLASHedef] = ACTIONS(7339),
    [anon_sym_BSLASHxdef] = ACTIONS(7339),
    [anon_sym_BSLASHlet] = ACTIONS(7339),
    [anon_sym_BSLASHglet] = ACTIONS(7339),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7339),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7339),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7339),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7339),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7339),
    [anon_sym_BSLASHgls] = ACTIONS(7339),
    [anon_sym_BSLASHGls] = ACTIONS(7339),
    [anon_sym_BSLASHGLS] = ACTIONS(7339),
    [anon_sym_BSLASHglspl] = ACTIONS(7339),
    [anon_sym_BSLASHGlspl] = ACTIONS(7339),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7339),
    [anon_sym_BSLASHglslink] = ACTIONS(7339),
    [anon_sym_BSLASHglstext] = ACTIONS(7339),
    [anon_sym_BSLASHGlstext] = ACTIONS(7339),
    [anon_sym_BSLASHGLStext] = ACTIONS(7339),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7339),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7339),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7339),
    [anon_sym_BSLASHglsplural] = ACTIONS(7339),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7339),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7339),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHglsname] = ACTIONS(7339),
    [anon_sym_BSLASHGlsname] = ACTIONS(7339),
    [anon_sym_BSLASHGLSname] = ACTIONS(7339),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7339),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7339),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7339),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7339),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7339),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7339),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7339),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7339),
    [anon_sym_BSLASHacrshort] = ACTIONS(7339),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7339),
    [anon_sym_BSLASHACRshort] = ACTIONS(7339),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHacrlong] = ACTIONS(7339),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7339),
    [anon_sym_BSLASHACRlong] = ACTIONS(7339),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHacrfull] = ACTIONS(7339),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7339),
    [anon_sym_BSLASHACRfull] = ACTIONS(7339),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHacs] = ACTIONS(7339),
    [anon_sym_BSLASHAcs] = ACTIONS(7339),
    [anon_sym_BSLASHacsp] = ACTIONS(7339),
    [anon_sym_BSLASHAcsp] = ACTIONS(7339),
    [anon_sym_BSLASHacl] = ACTIONS(7339),
    [anon_sym_BSLASHAcl] = ACTIONS(7339),
    [anon_sym_BSLASHaclp] = ACTIONS(7339),
    [anon_sym_BSLASHAclp] = ACTIONS(7339),
    [anon_sym_BSLASHacf] = ACTIONS(7339),
    [anon_sym_BSLASHAcf] = ACTIONS(7339),
    [anon_sym_BSLASHacfp] = ACTIONS(7339),
    [anon_sym_BSLASHAcfp] = ACTIONS(7339),
    [anon_sym_BSLASHac] = ACTIONS(7339),
    [anon_sym_BSLASHAc] = ACTIONS(7339),
    [anon_sym_BSLASHacp] = ACTIONS(7339),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7339),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7339),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7339),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7339),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7339),
    [anon_sym_BSLASHcolor] = ACTIONS(7339),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7339),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7339),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7339),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7339),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7339),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7339),
    [anon_sym_BSLASHurl] = ACTIONS(7339),
    [anon_sym_BSLASHhref] = ACTIONS(7339),
  },
  [1173] = {
    [sym_command_name] = ACTIONS(7343),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7343),
    [anon_sym_LBRACK] = ACTIONS(7345),
    [anon_sym_RBRACK] = ACTIONS(7345),
    [anon_sym_COMMA] = ACTIONS(7345),
    [anon_sym_EQ] = ACTIONS(7345),
    [anon_sym_LPAREN] = ACTIONS(7345),
    [anon_sym_RPAREN] = ACTIONS(7345),
    [anon_sym_BSLASHpart] = ACTIONS(7343),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHaddpart] = ACTIONS(7343),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHchapter] = ACTIONS(7343),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHaddchap] = ACTIONS(7343),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHsection] = ACTIONS(7343),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHaddsec] = ACTIONS(7343),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHsubsection] = ACTIONS(7343),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7343),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHparagraph] = ACTIONS(7343),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7343),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHitem] = ACTIONS(7343),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7345),
    [anon_sym_LBRACE] = ACTIONS(7345),
    [sym_word] = ACTIONS(7343),
    [sym_placeholder] = ACTIONS(7345),
    [sym_delimiter] = ACTIONS(7345),
    [anon_sym_PLUS] = ACTIONS(7345),
    [anon_sym_DASH] = ACTIONS(7345),
    [anon_sym_STAR] = ACTIONS(7345),
    [anon_sym_SLASH] = ACTIONS(7345),
    [anon_sym_LT] = ACTIONS(7343),
    [anon_sym_GT] = ACTIONS(7343),
    [anon_sym_BANG] = ACTIONS(7343),
    [anon_sym_PIPE] = ACTIONS(7343),
    [anon_sym_COLON] = ACTIONS(7343),
    [anon_sym_SQUOTE] = ACTIONS(7343),
    [anon_sym__] = ACTIONS(7345),
    [anon_sym_CARET] = ACTIONS(7345),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7345),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7345),
    [anon_sym_DOLLAR] = ACTIONS(7343),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7345),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7345),
    [anon_sym_BSLASHleft] = ACTIONS(7343),
    [anon_sym_BSLASHbigl] = ACTIONS(7343),
    [anon_sym_BSLASHBigl] = ACTIONS(7343),
    [anon_sym_BSLASHbiggl] = ACTIONS(7343),
    [anon_sym_BSLASHBiggl] = ACTIONS(7343),
    [anon_sym_BSLASHtext] = ACTIONS(7343),
    [anon_sym_BSLASHintertext] = ACTIONS(7343),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7343),
    [anon_sym_BSLASHbegin] = ACTIONS(7343),
    [anon_sym_BSLASHtitle] = ACTIONS(7343),
    [anon_sym_BSLASHauthor] = ACTIONS(7343),
    [anon_sym_BSLASHusepackage] = ACTIONS(7343),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7343),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7343),
    [anon_sym_BSLASHinclude] = ACTIONS(7343),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7343),
    [anon_sym_BSLASHinput] = ACTIONS(7343),
    [anon_sym_BSLASHsubfile] = ACTIONS(7343),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7343),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7343),
    [anon_sym_BSLASHbibliography] = ACTIONS(7343),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7343),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7343),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7343),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7343),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7343),
    [anon_sym_BSLASHimport] = ACTIONS(7343),
    [anon_sym_BSLASHsubimport] = ACTIONS(7343),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7343),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7343),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7343),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7343),
    [anon_sym_BSLASHcaption] = ACTIONS(7343),
    [anon_sym_BSLASHcite] = ACTIONS(7343),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCite] = ACTIONS(7343),
    [anon_sym_BSLASHnocite] = ACTIONS(7343),
    [anon_sym_BSLASHcitet] = ACTIONS(7343),
    [anon_sym_BSLASHcitep] = ACTIONS(7343),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteA] = ACTIONS(7343),
    [anon_sym_BSLASHciteR] = ACTIONS(7343),
    [anon_sym_BSLASHciteS] = ACTIONS(7343),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7343),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7343),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7343),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7343),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteyear] = ACTIONS(7343),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitedate] = ACTIONS(7343),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteurl] = ACTIONS(7343),
    [anon_sym_BSLASHfullcite] = ACTIONS(7343),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7343),
    [anon_sym_BSLASHcitealt] = ACTIONS(7343),
    [anon_sym_BSLASHcitealp] = ACTIONS(7343),
    [anon_sym_BSLASHcitetext] = ACTIONS(7343),
    [anon_sym_BSLASHparencite] = ACTIONS(7343),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHParencite] = ACTIONS(7343),
    [anon_sym_BSLASHfootcite] = ACTIONS(7343),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7343),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7343),
    [anon_sym_BSLASHtextcite] = ACTIONS(7343),
    [anon_sym_BSLASHTextcite] = ACTIONS(7343),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7343),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7343),
    [anon_sym_BSLASHsupercite] = ACTIONS(7343),
    [anon_sym_BSLASHautocite] = ACTIONS(7343),
    [anon_sym_BSLASHAutocite] = ACTIONS(7343),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHVolcite] = ACTIONS(7343),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHavolcite] = ACTIONS(7343),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHNotecite] = ACTIONS(7343),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHlabel] = ACTIONS(7343),
    [anon_sym_BSLASHref] = ACTIONS(7343),
    [anon_sym_BSLASHeqref] = ACTIONS(7343),
    [anon_sym_BSLASHvref] = ACTIONS(7343),
    [anon_sym_BSLASHVref] = ACTIONS(7343),
    [anon_sym_BSLASHautoref] = ACTIONS(7343),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHpageref] = ACTIONS(7343),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHautopageref] = ACTIONS(7343),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcref] = ACTIONS(7343),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCref] = ACTIONS(7343),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcpageref] = ACTIONS(7343),
    [anon_sym_BSLASHCpageref] = ACTIONS(7343),
    [anon_sym_BSLASHnamecref] = ACTIONS(7343),
    [anon_sym_BSLASHnameCref] = ACTIONS(7343),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7343),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7343),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7343),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7343),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7343),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7343),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7343),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7343),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7343),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7343),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7343),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHdef] = ACTIONS(7343),
    [anon_sym_BSLASHgdef] = ACTIONS(7343),
    [anon_sym_BSLASHedef] = ACTIONS(7343),
    [anon_sym_BSLASHxdef] = ACTIONS(7343),
    [anon_sym_BSLASHlet] = ACTIONS(7343),
    [anon_sym_BSLASHglet] = ACTIONS(7343),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7343),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7343),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7343),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7343),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7343),
    [anon_sym_BSLASHgls] = ACTIONS(7343),
    [anon_sym_BSLASHGls] = ACTIONS(7343),
    [anon_sym_BSLASHGLS] = ACTIONS(7343),
    [anon_sym_BSLASHglspl] = ACTIONS(7343),
    [anon_sym_BSLASHGlspl] = ACTIONS(7343),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7343),
    [anon_sym_BSLASHglslink] = ACTIONS(7343),
    [anon_sym_BSLASHglstext] = ACTIONS(7343),
    [anon_sym_BSLASHGlstext] = ACTIONS(7343),
    [anon_sym_BSLASHGLStext] = ACTIONS(7343),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7343),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7343),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7343),
    [anon_sym_BSLASHglsplural] = ACTIONS(7343),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7343),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7343),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHglsname] = ACTIONS(7343),
    [anon_sym_BSLASHGlsname] = ACTIONS(7343),
    [anon_sym_BSLASHGLSname] = ACTIONS(7343),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7343),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7343),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7343),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7343),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7343),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7343),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7343),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7343),
    [anon_sym_BSLASHacrshort] = ACTIONS(7343),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7343),
    [anon_sym_BSLASHACRshort] = ACTIONS(7343),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHacrlong] = ACTIONS(7343),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7343),
    [anon_sym_BSLASHACRlong] = ACTIONS(7343),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHacrfull] = ACTIONS(7343),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7343),
    [anon_sym_BSLASHACRfull] = ACTIONS(7343),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHacs] = ACTIONS(7343),
    [anon_sym_BSLASHAcs] = ACTIONS(7343),
    [anon_sym_BSLASHacsp] = ACTIONS(7343),
    [anon_sym_BSLASHAcsp] = ACTIONS(7343),
    [anon_sym_BSLASHacl] = ACTIONS(7343),
    [anon_sym_BSLASHAcl] = ACTIONS(7343),
    [anon_sym_BSLASHaclp] = ACTIONS(7343),
    [anon_sym_BSLASHAclp] = ACTIONS(7343),
    [anon_sym_BSLASHacf] = ACTIONS(7343),
    [anon_sym_BSLASHAcf] = ACTIONS(7343),
    [anon_sym_BSLASHacfp] = ACTIONS(7343),
    [anon_sym_BSLASHAcfp] = ACTIONS(7343),
    [anon_sym_BSLASHac] = ACTIONS(7343),
    [anon_sym_BSLASHAc] = ACTIONS(7343),
    [anon_sym_BSLASHacp] = ACTIONS(7343),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7343),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7343),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7343),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7343),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7343),
    [anon_sym_BSLASHcolor] = ACTIONS(7343),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7343),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7343),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7343),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7343),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7343),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7343),
    [anon_sym_BSLASHurl] = ACTIONS(7343),
    [anon_sym_BSLASHhref] = ACTIONS(7343),
  },
  [1174] = {
    [sym_command_name] = ACTIONS(7347),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7347),
    [anon_sym_LBRACK] = ACTIONS(7349),
    [anon_sym_RBRACK] = ACTIONS(7349),
    [anon_sym_COMMA] = ACTIONS(7349),
    [anon_sym_EQ] = ACTIONS(7349),
    [anon_sym_LPAREN] = ACTIONS(7349),
    [anon_sym_RPAREN] = ACTIONS(7349),
    [anon_sym_BSLASHpart] = ACTIONS(7347),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHaddpart] = ACTIONS(7347),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHchapter] = ACTIONS(7347),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHaddchap] = ACTIONS(7347),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHsection] = ACTIONS(7347),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHaddsec] = ACTIONS(7347),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHsubsection] = ACTIONS(7347),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7347),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHparagraph] = ACTIONS(7347),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7347),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHitem] = ACTIONS(7347),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7349),
    [anon_sym_LBRACE] = ACTIONS(7349),
    [sym_word] = ACTIONS(7347),
    [sym_placeholder] = ACTIONS(7349),
    [sym_delimiter] = ACTIONS(7349),
    [anon_sym_PLUS] = ACTIONS(7349),
    [anon_sym_DASH] = ACTIONS(7349),
    [anon_sym_STAR] = ACTIONS(7349),
    [anon_sym_SLASH] = ACTIONS(7349),
    [anon_sym_LT] = ACTIONS(7347),
    [anon_sym_GT] = ACTIONS(7347),
    [anon_sym_BANG] = ACTIONS(7347),
    [anon_sym_PIPE] = ACTIONS(7347),
    [anon_sym_COLON] = ACTIONS(7347),
    [anon_sym_SQUOTE] = ACTIONS(7347),
    [anon_sym__] = ACTIONS(7349),
    [anon_sym_CARET] = ACTIONS(7349),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7349),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7349),
    [anon_sym_DOLLAR] = ACTIONS(7347),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7349),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7349),
    [anon_sym_BSLASHleft] = ACTIONS(7347),
    [anon_sym_BSLASHbigl] = ACTIONS(7347),
    [anon_sym_BSLASHBigl] = ACTIONS(7347),
    [anon_sym_BSLASHbiggl] = ACTIONS(7347),
    [anon_sym_BSLASHBiggl] = ACTIONS(7347),
    [anon_sym_BSLASHtext] = ACTIONS(7347),
    [anon_sym_BSLASHintertext] = ACTIONS(7347),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7347),
    [anon_sym_BSLASHbegin] = ACTIONS(7347),
    [anon_sym_BSLASHtitle] = ACTIONS(7347),
    [anon_sym_BSLASHauthor] = ACTIONS(7347),
    [anon_sym_BSLASHusepackage] = ACTIONS(7347),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7347),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7347),
    [anon_sym_BSLASHinclude] = ACTIONS(7347),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7347),
    [anon_sym_BSLASHinput] = ACTIONS(7347),
    [anon_sym_BSLASHsubfile] = ACTIONS(7347),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7347),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7347),
    [anon_sym_BSLASHbibliography] = ACTIONS(7347),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7347),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7347),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7347),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7347),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7347),
    [anon_sym_BSLASHimport] = ACTIONS(7347),
    [anon_sym_BSLASHsubimport] = ACTIONS(7347),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7347),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7347),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7347),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7347),
    [anon_sym_BSLASHcaption] = ACTIONS(7347),
    [anon_sym_BSLASHcite] = ACTIONS(7347),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCite] = ACTIONS(7347),
    [anon_sym_BSLASHnocite] = ACTIONS(7347),
    [anon_sym_BSLASHcitet] = ACTIONS(7347),
    [anon_sym_BSLASHcitep] = ACTIONS(7347),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteA] = ACTIONS(7347),
    [anon_sym_BSLASHciteR] = ACTIONS(7347),
    [anon_sym_BSLASHciteS] = ACTIONS(7347),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7347),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7347),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7347),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7347),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteyear] = ACTIONS(7347),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitedate] = ACTIONS(7347),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteurl] = ACTIONS(7347),
    [anon_sym_BSLASHfullcite] = ACTIONS(7347),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7347),
    [anon_sym_BSLASHcitealt] = ACTIONS(7347),
    [anon_sym_BSLASHcitealp] = ACTIONS(7347),
    [anon_sym_BSLASHcitetext] = ACTIONS(7347),
    [anon_sym_BSLASHparencite] = ACTIONS(7347),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHParencite] = ACTIONS(7347),
    [anon_sym_BSLASHfootcite] = ACTIONS(7347),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7347),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7347),
    [anon_sym_BSLASHtextcite] = ACTIONS(7347),
    [anon_sym_BSLASHTextcite] = ACTIONS(7347),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7347),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7347),
    [anon_sym_BSLASHsupercite] = ACTIONS(7347),
    [anon_sym_BSLASHautocite] = ACTIONS(7347),
    [anon_sym_BSLASHAutocite] = ACTIONS(7347),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHVolcite] = ACTIONS(7347),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHavolcite] = ACTIONS(7347),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHNotecite] = ACTIONS(7347),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHlabel] = ACTIONS(7347),
    [anon_sym_BSLASHref] = ACTIONS(7347),
    [anon_sym_BSLASHeqref] = ACTIONS(7347),
    [anon_sym_BSLASHvref] = ACTIONS(7347),
    [anon_sym_BSLASHVref] = ACTIONS(7347),
    [anon_sym_BSLASHautoref] = ACTIONS(7347),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHpageref] = ACTIONS(7347),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHautopageref] = ACTIONS(7347),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcref] = ACTIONS(7347),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCref] = ACTIONS(7347),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcpageref] = ACTIONS(7347),
    [anon_sym_BSLASHCpageref] = ACTIONS(7347),
    [anon_sym_BSLASHnamecref] = ACTIONS(7347),
    [anon_sym_BSLASHnameCref] = ACTIONS(7347),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7347),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7347),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7347),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7347),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7347),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7347),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7347),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7347),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7347),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7347),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7347),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHdef] = ACTIONS(7347),
    [anon_sym_BSLASHgdef] = ACTIONS(7347),
    [anon_sym_BSLASHedef] = ACTIONS(7347),
    [anon_sym_BSLASHxdef] = ACTIONS(7347),
    [anon_sym_BSLASHlet] = ACTIONS(7347),
    [anon_sym_BSLASHglet] = ACTIONS(7347),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7347),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7347),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7347),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7347),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7347),
    [anon_sym_BSLASHgls] = ACTIONS(7347),
    [anon_sym_BSLASHGls] = ACTIONS(7347),
    [anon_sym_BSLASHGLS] = ACTIONS(7347),
    [anon_sym_BSLASHglspl] = ACTIONS(7347),
    [anon_sym_BSLASHGlspl] = ACTIONS(7347),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7347),
    [anon_sym_BSLASHglslink] = ACTIONS(7347),
    [anon_sym_BSLASHglstext] = ACTIONS(7347),
    [anon_sym_BSLASHGlstext] = ACTIONS(7347),
    [anon_sym_BSLASHGLStext] = ACTIONS(7347),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7347),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7347),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7347),
    [anon_sym_BSLASHglsplural] = ACTIONS(7347),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7347),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7347),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHglsname] = ACTIONS(7347),
    [anon_sym_BSLASHGlsname] = ACTIONS(7347),
    [anon_sym_BSLASHGLSname] = ACTIONS(7347),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7347),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7347),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7347),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7347),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7347),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7347),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7347),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7347),
    [anon_sym_BSLASHacrshort] = ACTIONS(7347),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7347),
    [anon_sym_BSLASHACRshort] = ACTIONS(7347),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHacrlong] = ACTIONS(7347),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7347),
    [anon_sym_BSLASHACRlong] = ACTIONS(7347),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHacrfull] = ACTIONS(7347),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7347),
    [anon_sym_BSLASHACRfull] = ACTIONS(7347),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHacs] = ACTIONS(7347),
    [anon_sym_BSLASHAcs] = ACTIONS(7347),
    [anon_sym_BSLASHacsp] = ACTIONS(7347),
    [anon_sym_BSLASHAcsp] = ACTIONS(7347),
    [anon_sym_BSLASHacl] = ACTIONS(7347),
    [anon_sym_BSLASHAcl] = ACTIONS(7347),
    [anon_sym_BSLASHaclp] = ACTIONS(7347),
    [anon_sym_BSLASHAclp] = ACTIONS(7347),
    [anon_sym_BSLASHacf] = ACTIONS(7347),
    [anon_sym_BSLASHAcf] = ACTIONS(7347),
    [anon_sym_BSLASHacfp] = ACTIONS(7347),
    [anon_sym_BSLASHAcfp] = ACTIONS(7347),
    [anon_sym_BSLASHac] = ACTIONS(7347),
    [anon_sym_BSLASHAc] = ACTIONS(7347),
    [anon_sym_BSLASHacp] = ACTIONS(7347),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7347),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7347),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7347),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7347),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7347),
    [anon_sym_BSLASHcolor] = ACTIONS(7347),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7347),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7347),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7347),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7347),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7347),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7347),
    [anon_sym_BSLASHurl] = ACTIONS(7347),
    [anon_sym_BSLASHhref] = ACTIONS(7347),
  },
  [1175] = {
    [sym_command_name] = ACTIONS(7351),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7351),
    [anon_sym_LBRACK] = ACTIONS(7353),
    [anon_sym_RBRACK] = ACTIONS(7353),
    [anon_sym_COMMA] = ACTIONS(7353),
    [anon_sym_EQ] = ACTIONS(7353),
    [anon_sym_LPAREN] = ACTIONS(7353),
    [anon_sym_RPAREN] = ACTIONS(7353),
    [anon_sym_BSLASHpart] = ACTIONS(7351),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHaddpart] = ACTIONS(7351),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHchapter] = ACTIONS(7351),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHaddchap] = ACTIONS(7351),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHsection] = ACTIONS(7351),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHaddsec] = ACTIONS(7351),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHsubsection] = ACTIONS(7351),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7351),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHparagraph] = ACTIONS(7351),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7351),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHitem] = ACTIONS(7351),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7353),
    [anon_sym_LBRACE] = ACTIONS(7353),
    [sym_word] = ACTIONS(7351),
    [sym_placeholder] = ACTIONS(7353),
    [sym_delimiter] = ACTIONS(7353),
    [anon_sym_PLUS] = ACTIONS(7353),
    [anon_sym_DASH] = ACTIONS(7353),
    [anon_sym_STAR] = ACTIONS(7353),
    [anon_sym_SLASH] = ACTIONS(7353),
    [anon_sym_LT] = ACTIONS(7351),
    [anon_sym_GT] = ACTIONS(7351),
    [anon_sym_BANG] = ACTIONS(7351),
    [anon_sym_PIPE] = ACTIONS(7351),
    [anon_sym_COLON] = ACTIONS(7351),
    [anon_sym_SQUOTE] = ACTIONS(7351),
    [anon_sym__] = ACTIONS(7353),
    [anon_sym_CARET] = ACTIONS(7353),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7353),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7353),
    [anon_sym_DOLLAR] = ACTIONS(7351),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7353),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7353),
    [anon_sym_BSLASHleft] = ACTIONS(7351),
    [anon_sym_BSLASHbigl] = ACTIONS(7351),
    [anon_sym_BSLASHBigl] = ACTIONS(7351),
    [anon_sym_BSLASHbiggl] = ACTIONS(7351),
    [anon_sym_BSLASHBiggl] = ACTIONS(7351),
    [anon_sym_BSLASHtext] = ACTIONS(7351),
    [anon_sym_BSLASHintertext] = ACTIONS(7351),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7351),
    [anon_sym_BSLASHbegin] = ACTIONS(7351),
    [anon_sym_BSLASHtitle] = ACTIONS(7351),
    [anon_sym_BSLASHauthor] = ACTIONS(7351),
    [anon_sym_BSLASHusepackage] = ACTIONS(7351),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7351),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7351),
    [anon_sym_BSLASHinclude] = ACTIONS(7351),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7351),
    [anon_sym_BSLASHinput] = ACTIONS(7351),
    [anon_sym_BSLASHsubfile] = ACTIONS(7351),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7351),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7351),
    [anon_sym_BSLASHbibliography] = ACTIONS(7351),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7351),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7351),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7351),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7351),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7351),
    [anon_sym_BSLASHimport] = ACTIONS(7351),
    [anon_sym_BSLASHsubimport] = ACTIONS(7351),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7351),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7351),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7351),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7351),
    [anon_sym_BSLASHcaption] = ACTIONS(7351),
    [anon_sym_BSLASHcite] = ACTIONS(7351),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCite] = ACTIONS(7351),
    [anon_sym_BSLASHnocite] = ACTIONS(7351),
    [anon_sym_BSLASHcitet] = ACTIONS(7351),
    [anon_sym_BSLASHcitep] = ACTIONS(7351),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteA] = ACTIONS(7351),
    [anon_sym_BSLASHciteR] = ACTIONS(7351),
    [anon_sym_BSLASHciteS] = ACTIONS(7351),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7351),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7351),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7351),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7351),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteyear] = ACTIONS(7351),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitedate] = ACTIONS(7351),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteurl] = ACTIONS(7351),
    [anon_sym_BSLASHfullcite] = ACTIONS(7351),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7351),
    [anon_sym_BSLASHcitealt] = ACTIONS(7351),
    [anon_sym_BSLASHcitealp] = ACTIONS(7351),
    [anon_sym_BSLASHcitetext] = ACTIONS(7351),
    [anon_sym_BSLASHparencite] = ACTIONS(7351),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHParencite] = ACTIONS(7351),
    [anon_sym_BSLASHfootcite] = ACTIONS(7351),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7351),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7351),
    [anon_sym_BSLASHtextcite] = ACTIONS(7351),
    [anon_sym_BSLASHTextcite] = ACTIONS(7351),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7351),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7351),
    [anon_sym_BSLASHsupercite] = ACTIONS(7351),
    [anon_sym_BSLASHautocite] = ACTIONS(7351),
    [anon_sym_BSLASHAutocite] = ACTIONS(7351),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHVolcite] = ACTIONS(7351),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHavolcite] = ACTIONS(7351),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHNotecite] = ACTIONS(7351),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHlabel] = ACTIONS(7351),
    [anon_sym_BSLASHref] = ACTIONS(7351),
    [anon_sym_BSLASHeqref] = ACTIONS(7351),
    [anon_sym_BSLASHvref] = ACTIONS(7351),
    [anon_sym_BSLASHVref] = ACTIONS(7351),
    [anon_sym_BSLASHautoref] = ACTIONS(7351),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHpageref] = ACTIONS(7351),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHautopageref] = ACTIONS(7351),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcref] = ACTIONS(7351),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCref] = ACTIONS(7351),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcpageref] = ACTIONS(7351),
    [anon_sym_BSLASHCpageref] = ACTIONS(7351),
    [anon_sym_BSLASHnamecref] = ACTIONS(7351),
    [anon_sym_BSLASHnameCref] = ACTIONS(7351),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7351),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7351),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7351),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7351),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7351),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7351),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7351),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7351),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7351),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7351),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7351),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHdef] = ACTIONS(7351),
    [anon_sym_BSLASHgdef] = ACTIONS(7351),
    [anon_sym_BSLASHedef] = ACTIONS(7351),
    [anon_sym_BSLASHxdef] = ACTIONS(7351),
    [anon_sym_BSLASHlet] = ACTIONS(7351),
    [anon_sym_BSLASHglet] = ACTIONS(7351),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7351),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7351),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7351),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7351),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7351),
    [anon_sym_BSLASHgls] = ACTIONS(7351),
    [anon_sym_BSLASHGls] = ACTIONS(7351),
    [anon_sym_BSLASHGLS] = ACTIONS(7351),
    [anon_sym_BSLASHglspl] = ACTIONS(7351),
    [anon_sym_BSLASHGlspl] = ACTIONS(7351),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7351),
    [anon_sym_BSLASHglslink] = ACTIONS(7351),
    [anon_sym_BSLASHglstext] = ACTIONS(7351),
    [anon_sym_BSLASHGlstext] = ACTIONS(7351),
    [anon_sym_BSLASHGLStext] = ACTIONS(7351),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7351),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7351),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7351),
    [anon_sym_BSLASHglsplural] = ACTIONS(7351),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7351),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7351),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHglsname] = ACTIONS(7351),
    [anon_sym_BSLASHGlsname] = ACTIONS(7351),
    [anon_sym_BSLASHGLSname] = ACTIONS(7351),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7351),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7351),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7351),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7351),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7351),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7351),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7351),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7351),
    [anon_sym_BSLASHacrshort] = ACTIONS(7351),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7351),
    [anon_sym_BSLASHACRshort] = ACTIONS(7351),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHacrlong] = ACTIONS(7351),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7351),
    [anon_sym_BSLASHACRlong] = ACTIONS(7351),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHacrfull] = ACTIONS(7351),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7351),
    [anon_sym_BSLASHACRfull] = ACTIONS(7351),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHacs] = ACTIONS(7351),
    [anon_sym_BSLASHAcs] = ACTIONS(7351),
    [anon_sym_BSLASHacsp] = ACTIONS(7351),
    [anon_sym_BSLASHAcsp] = ACTIONS(7351),
    [anon_sym_BSLASHacl] = ACTIONS(7351),
    [anon_sym_BSLASHAcl] = ACTIONS(7351),
    [anon_sym_BSLASHaclp] = ACTIONS(7351),
    [anon_sym_BSLASHAclp] = ACTIONS(7351),
    [anon_sym_BSLASHacf] = ACTIONS(7351),
    [anon_sym_BSLASHAcf] = ACTIONS(7351),
    [anon_sym_BSLASHacfp] = ACTIONS(7351),
    [anon_sym_BSLASHAcfp] = ACTIONS(7351),
    [anon_sym_BSLASHac] = ACTIONS(7351),
    [anon_sym_BSLASHAc] = ACTIONS(7351),
    [anon_sym_BSLASHacp] = ACTIONS(7351),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7351),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7351),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7351),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7351),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7351),
    [anon_sym_BSLASHcolor] = ACTIONS(7351),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7351),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7351),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7351),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7351),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7351),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7351),
    [anon_sym_BSLASHurl] = ACTIONS(7351),
    [anon_sym_BSLASHhref] = ACTIONS(7351),
  },
  [1176] = {
    [sym_command_name] = ACTIONS(7355),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7357),
    [anon_sym_RBRACK] = ACTIONS(7357),
    [anon_sym_COMMA] = ACTIONS(7357),
    [anon_sym_EQ] = ACTIONS(7357),
    [anon_sym_LPAREN] = ACTIONS(7357),
    [anon_sym_RPAREN] = ACTIONS(7357),
    [anon_sym_BSLASHpart] = ACTIONS(7355),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHaddpart] = ACTIONS(7355),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHchapter] = ACTIONS(7355),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHaddchap] = ACTIONS(7355),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHsection] = ACTIONS(7355),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHaddsec] = ACTIONS(7355),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHsubsection] = ACTIONS(7355),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7355),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHparagraph] = ACTIONS(7355),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7355),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHitem] = ACTIONS(7355),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7357),
    [anon_sym_LBRACE] = ACTIONS(7357),
    [sym_word] = ACTIONS(7355),
    [sym_placeholder] = ACTIONS(7357),
    [sym_delimiter] = ACTIONS(7357),
    [anon_sym_PLUS] = ACTIONS(7357),
    [anon_sym_DASH] = ACTIONS(7357),
    [anon_sym_STAR] = ACTIONS(7357),
    [anon_sym_SLASH] = ACTIONS(7357),
    [anon_sym_LT] = ACTIONS(7355),
    [anon_sym_GT] = ACTIONS(7355),
    [anon_sym_BANG] = ACTIONS(7355),
    [anon_sym_PIPE] = ACTIONS(7355),
    [anon_sym_COLON] = ACTIONS(7355),
    [anon_sym_SQUOTE] = ACTIONS(7355),
    [anon_sym__] = ACTIONS(7357),
    [anon_sym_CARET] = ACTIONS(7357),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7357),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7357),
    [anon_sym_DOLLAR] = ACTIONS(7355),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7357),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7357),
    [anon_sym_BSLASHleft] = ACTIONS(7355),
    [anon_sym_BSLASHbigl] = ACTIONS(7355),
    [anon_sym_BSLASHBigl] = ACTIONS(7355),
    [anon_sym_BSLASHbiggl] = ACTIONS(7355),
    [anon_sym_BSLASHBiggl] = ACTIONS(7355),
    [anon_sym_BSLASHtext] = ACTIONS(7355),
    [anon_sym_BSLASHintertext] = ACTIONS(7355),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7355),
    [anon_sym_BSLASHbegin] = ACTIONS(7355),
    [anon_sym_BSLASHtitle] = ACTIONS(7355),
    [anon_sym_BSLASHauthor] = ACTIONS(7355),
    [anon_sym_BSLASHusepackage] = ACTIONS(7355),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7355),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7355),
    [anon_sym_BSLASHinclude] = ACTIONS(7355),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7355),
    [anon_sym_BSLASHinput] = ACTIONS(7355),
    [anon_sym_BSLASHsubfile] = ACTIONS(7355),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7355),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7355),
    [anon_sym_BSLASHbibliography] = ACTIONS(7355),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7355),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7355),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7355),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7355),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7355),
    [anon_sym_BSLASHimport] = ACTIONS(7355),
    [anon_sym_BSLASHsubimport] = ACTIONS(7355),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7355),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7355),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7355),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7355),
    [anon_sym_BSLASHcaption] = ACTIONS(7355),
    [anon_sym_BSLASHcite] = ACTIONS(7355),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCite] = ACTIONS(7355),
    [anon_sym_BSLASHnocite] = ACTIONS(7355),
    [anon_sym_BSLASHcitet] = ACTIONS(7355),
    [anon_sym_BSLASHcitep] = ACTIONS(7355),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteA] = ACTIONS(7355),
    [anon_sym_BSLASHciteR] = ACTIONS(7355),
    [anon_sym_BSLASHciteS] = ACTIONS(7355),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7355),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7355),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7355),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7355),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteyear] = ACTIONS(7355),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitedate] = ACTIONS(7355),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteurl] = ACTIONS(7355),
    [anon_sym_BSLASHfullcite] = ACTIONS(7355),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7355),
    [anon_sym_BSLASHcitealt] = ACTIONS(7355),
    [anon_sym_BSLASHcitealp] = ACTIONS(7355),
    [anon_sym_BSLASHcitetext] = ACTIONS(7355),
    [anon_sym_BSLASHparencite] = ACTIONS(7355),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHParencite] = ACTIONS(7355),
    [anon_sym_BSLASHfootcite] = ACTIONS(7355),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7355),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7355),
    [anon_sym_BSLASHtextcite] = ACTIONS(7355),
    [anon_sym_BSLASHTextcite] = ACTIONS(7355),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7355),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7355),
    [anon_sym_BSLASHsupercite] = ACTIONS(7355),
    [anon_sym_BSLASHautocite] = ACTIONS(7355),
    [anon_sym_BSLASHAutocite] = ACTIONS(7355),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHVolcite] = ACTIONS(7355),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHavolcite] = ACTIONS(7355),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHNotecite] = ACTIONS(7355),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHlabel] = ACTIONS(7355),
    [anon_sym_BSLASHref] = ACTIONS(7355),
    [anon_sym_BSLASHeqref] = ACTIONS(7355),
    [anon_sym_BSLASHvref] = ACTIONS(7355),
    [anon_sym_BSLASHVref] = ACTIONS(7355),
    [anon_sym_BSLASHautoref] = ACTIONS(7355),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHpageref] = ACTIONS(7355),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHautopageref] = ACTIONS(7355),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcref] = ACTIONS(7355),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCref] = ACTIONS(7355),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcpageref] = ACTIONS(7355),
    [anon_sym_BSLASHCpageref] = ACTIONS(7355),
    [anon_sym_BSLASHnamecref] = ACTIONS(7355),
    [anon_sym_BSLASHnameCref] = ACTIONS(7355),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7355),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7355),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7355),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7355),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7355),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7355),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7355),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7355),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7355),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7355),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7355),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHdef] = ACTIONS(7355),
    [anon_sym_BSLASHgdef] = ACTIONS(7355),
    [anon_sym_BSLASHedef] = ACTIONS(7355),
    [anon_sym_BSLASHxdef] = ACTIONS(7355),
    [anon_sym_BSLASHlet] = ACTIONS(7355),
    [anon_sym_BSLASHglet] = ACTIONS(7355),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7355),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7355),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7355),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7355),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7355),
    [anon_sym_BSLASHgls] = ACTIONS(7355),
    [anon_sym_BSLASHGls] = ACTIONS(7355),
    [anon_sym_BSLASHGLS] = ACTIONS(7355),
    [anon_sym_BSLASHglspl] = ACTIONS(7355),
    [anon_sym_BSLASHGlspl] = ACTIONS(7355),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7355),
    [anon_sym_BSLASHglslink] = ACTIONS(7355),
    [anon_sym_BSLASHglstext] = ACTIONS(7355),
    [anon_sym_BSLASHGlstext] = ACTIONS(7355),
    [anon_sym_BSLASHGLStext] = ACTIONS(7355),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7355),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7355),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7355),
    [anon_sym_BSLASHglsplural] = ACTIONS(7355),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7355),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7355),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHglsname] = ACTIONS(7355),
    [anon_sym_BSLASHGlsname] = ACTIONS(7355),
    [anon_sym_BSLASHGLSname] = ACTIONS(7355),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7355),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7355),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7355),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7355),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7355),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7355),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7355),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7355),
    [anon_sym_BSLASHacrshort] = ACTIONS(7355),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7355),
    [anon_sym_BSLASHACRshort] = ACTIONS(7355),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHacrlong] = ACTIONS(7355),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7355),
    [anon_sym_BSLASHACRlong] = ACTIONS(7355),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHacrfull] = ACTIONS(7355),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7355),
    [anon_sym_BSLASHACRfull] = ACTIONS(7355),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHacs] = ACTIONS(7355),
    [anon_sym_BSLASHAcs] = ACTIONS(7355),
    [anon_sym_BSLASHacsp] = ACTIONS(7355),
    [anon_sym_BSLASHAcsp] = ACTIONS(7355),
    [anon_sym_BSLASHacl] = ACTIONS(7355),
    [anon_sym_BSLASHAcl] = ACTIONS(7355),
    [anon_sym_BSLASHaclp] = ACTIONS(7355),
    [anon_sym_BSLASHAclp] = ACTIONS(7355),
    [anon_sym_BSLASHacf] = ACTIONS(7355),
    [anon_sym_BSLASHAcf] = ACTIONS(7355),
    [anon_sym_BSLASHacfp] = ACTIONS(7355),
    [anon_sym_BSLASHAcfp] = ACTIONS(7355),
    [anon_sym_BSLASHac] = ACTIONS(7355),
    [anon_sym_BSLASHAc] = ACTIONS(7355),
    [anon_sym_BSLASHacp] = ACTIONS(7355),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7355),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7355),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7355),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7355),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7355),
    [anon_sym_BSLASHcolor] = ACTIONS(7355),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7355),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7355),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7355),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7355),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7355),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7355),
    [anon_sym_BSLASHurl] = ACTIONS(7355),
    [anon_sym_BSLASHhref] = ACTIONS(7355),
  },
  [1177] = {
    [sym_command_name] = ACTIONS(7359),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7359),
    [anon_sym_LBRACK] = ACTIONS(7361),
    [anon_sym_RBRACK] = ACTIONS(7361),
    [anon_sym_COMMA] = ACTIONS(7361),
    [anon_sym_EQ] = ACTIONS(7361),
    [anon_sym_LPAREN] = ACTIONS(7361),
    [anon_sym_RPAREN] = ACTIONS(7361),
    [anon_sym_BSLASHpart] = ACTIONS(7359),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHaddpart] = ACTIONS(7359),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHchapter] = ACTIONS(7359),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHaddchap] = ACTIONS(7359),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHsection] = ACTIONS(7359),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHaddsec] = ACTIONS(7359),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHsubsection] = ACTIONS(7359),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7359),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHparagraph] = ACTIONS(7359),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7359),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHitem] = ACTIONS(7359),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7361),
    [anon_sym_LBRACE] = ACTIONS(7361),
    [sym_word] = ACTIONS(7359),
    [sym_placeholder] = ACTIONS(7361),
    [sym_delimiter] = ACTIONS(7361),
    [anon_sym_PLUS] = ACTIONS(7361),
    [anon_sym_DASH] = ACTIONS(7361),
    [anon_sym_STAR] = ACTIONS(7361),
    [anon_sym_SLASH] = ACTIONS(7361),
    [anon_sym_LT] = ACTIONS(7359),
    [anon_sym_GT] = ACTIONS(7359),
    [anon_sym_BANG] = ACTIONS(7359),
    [anon_sym_PIPE] = ACTIONS(7359),
    [anon_sym_COLON] = ACTIONS(7359),
    [anon_sym_SQUOTE] = ACTIONS(7359),
    [anon_sym__] = ACTIONS(7361),
    [anon_sym_CARET] = ACTIONS(7361),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7361),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7361),
    [anon_sym_DOLLAR] = ACTIONS(7359),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7361),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7361),
    [anon_sym_BSLASHleft] = ACTIONS(7359),
    [anon_sym_BSLASHbigl] = ACTIONS(7359),
    [anon_sym_BSLASHBigl] = ACTIONS(7359),
    [anon_sym_BSLASHbiggl] = ACTIONS(7359),
    [anon_sym_BSLASHBiggl] = ACTIONS(7359),
    [anon_sym_BSLASHtext] = ACTIONS(7359),
    [anon_sym_BSLASHintertext] = ACTIONS(7359),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7359),
    [anon_sym_BSLASHbegin] = ACTIONS(7359),
    [anon_sym_BSLASHtitle] = ACTIONS(7359),
    [anon_sym_BSLASHauthor] = ACTIONS(7359),
    [anon_sym_BSLASHusepackage] = ACTIONS(7359),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7359),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7359),
    [anon_sym_BSLASHinclude] = ACTIONS(7359),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7359),
    [anon_sym_BSLASHinput] = ACTIONS(7359),
    [anon_sym_BSLASHsubfile] = ACTIONS(7359),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7359),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7359),
    [anon_sym_BSLASHbibliography] = ACTIONS(7359),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7359),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7359),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7359),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7359),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7359),
    [anon_sym_BSLASHimport] = ACTIONS(7359),
    [anon_sym_BSLASHsubimport] = ACTIONS(7359),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7359),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7359),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7359),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7359),
    [anon_sym_BSLASHcaption] = ACTIONS(7359),
    [anon_sym_BSLASHcite] = ACTIONS(7359),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCite] = ACTIONS(7359),
    [anon_sym_BSLASHnocite] = ACTIONS(7359),
    [anon_sym_BSLASHcitet] = ACTIONS(7359),
    [anon_sym_BSLASHcitep] = ACTIONS(7359),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteA] = ACTIONS(7359),
    [anon_sym_BSLASHciteR] = ACTIONS(7359),
    [anon_sym_BSLASHciteS] = ACTIONS(7359),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7359),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7359),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7359),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7359),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteyear] = ACTIONS(7359),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitedate] = ACTIONS(7359),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteurl] = ACTIONS(7359),
    [anon_sym_BSLASHfullcite] = ACTIONS(7359),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7359),
    [anon_sym_BSLASHcitealt] = ACTIONS(7359),
    [anon_sym_BSLASHcitealp] = ACTIONS(7359),
    [anon_sym_BSLASHcitetext] = ACTIONS(7359),
    [anon_sym_BSLASHparencite] = ACTIONS(7359),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHParencite] = ACTIONS(7359),
    [anon_sym_BSLASHfootcite] = ACTIONS(7359),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7359),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7359),
    [anon_sym_BSLASHtextcite] = ACTIONS(7359),
    [anon_sym_BSLASHTextcite] = ACTIONS(7359),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7359),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7359),
    [anon_sym_BSLASHsupercite] = ACTIONS(7359),
    [anon_sym_BSLASHautocite] = ACTIONS(7359),
    [anon_sym_BSLASHAutocite] = ACTIONS(7359),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHVolcite] = ACTIONS(7359),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHavolcite] = ACTIONS(7359),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHNotecite] = ACTIONS(7359),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHlabel] = ACTIONS(7359),
    [anon_sym_BSLASHref] = ACTIONS(7359),
    [anon_sym_BSLASHeqref] = ACTIONS(7359),
    [anon_sym_BSLASHvref] = ACTIONS(7359),
    [anon_sym_BSLASHVref] = ACTIONS(7359),
    [anon_sym_BSLASHautoref] = ACTIONS(7359),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHpageref] = ACTIONS(7359),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHautopageref] = ACTIONS(7359),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcref] = ACTIONS(7359),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCref] = ACTIONS(7359),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcpageref] = ACTIONS(7359),
    [anon_sym_BSLASHCpageref] = ACTIONS(7359),
    [anon_sym_BSLASHnamecref] = ACTIONS(7359),
    [anon_sym_BSLASHnameCref] = ACTIONS(7359),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7359),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7359),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7359),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7359),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7359),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7359),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7359),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7359),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7359),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7359),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7359),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHdef] = ACTIONS(7359),
    [anon_sym_BSLASHgdef] = ACTIONS(7359),
    [anon_sym_BSLASHedef] = ACTIONS(7359),
    [anon_sym_BSLASHxdef] = ACTIONS(7359),
    [anon_sym_BSLASHlet] = ACTIONS(7359),
    [anon_sym_BSLASHglet] = ACTIONS(7359),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7359),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7359),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7359),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7359),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7359),
    [anon_sym_BSLASHgls] = ACTIONS(7359),
    [anon_sym_BSLASHGls] = ACTIONS(7359),
    [anon_sym_BSLASHGLS] = ACTIONS(7359),
    [anon_sym_BSLASHglspl] = ACTIONS(7359),
    [anon_sym_BSLASHGlspl] = ACTIONS(7359),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7359),
    [anon_sym_BSLASHglslink] = ACTIONS(7359),
    [anon_sym_BSLASHglstext] = ACTIONS(7359),
    [anon_sym_BSLASHGlstext] = ACTIONS(7359),
    [anon_sym_BSLASHGLStext] = ACTIONS(7359),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7359),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7359),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7359),
    [anon_sym_BSLASHglsplural] = ACTIONS(7359),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7359),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7359),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHglsname] = ACTIONS(7359),
    [anon_sym_BSLASHGlsname] = ACTIONS(7359),
    [anon_sym_BSLASHGLSname] = ACTIONS(7359),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7359),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7359),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7359),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7359),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7359),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7359),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7359),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7359),
    [anon_sym_BSLASHacrshort] = ACTIONS(7359),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7359),
    [anon_sym_BSLASHACRshort] = ACTIONS(7359),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHacrlong] = ACTIONS(7359),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7359),
    [anon_sym_BSLASHACRlong] = ACTIONS(7359),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHacrfull] = ACTIONS(7359),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7359),
    [anon_sym_BSLASHACRfull] = ACTIONS(7359),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHacs] = ACTIONS(7359),
    [anon_sym_BSLASHAcs] = ACTIONS(7359),
    [anon_sym_BSLASHacsp] = ACTIONS(7359),
    [anon_sym_BSLASHAcsp] = ACTIONS(7359),
    [anon_sym_BSLASHacl] = ACTIONS(7359),
    [anon_sym_BSLASHAcl] = ACTIONS(7359),
    [anon_sym_BSLASHaclp] = ACTIONS(7359),
    [anon_sym_BSLASHAclp] = ACTIONS(7359),
    [anon_sym_BSLASHacf] = ACTIONS(7359),
    [anon_sym_BSLASHAcf] = ACTIONS(7359),
    [anon_sym_BSLASHacfp] = ACTIONS(7359),
    [anon_sym_BSLASHAcfp] = ACTIONS(7359),
    [anon_sym_BSLASHac] = ACTIONS(7359),
    [anon_sym_BSLASHAc] = ACTIONS(7359),
    [anon_sym_BSLASHacp] = ACTIONS(7359),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7359),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7359),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7359),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7359),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7359),
    [anon_sym_BSLASHcolor] = ACTIONS(7359),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7359),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7359),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7359),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7359),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7359),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7359),
    [anon_sym_BSLASHurl] = ACTIONS(7359),
    [anon_sym_BSLASHhref] = ACTIONS(7359),
  },
  [1178] = {
    [sym_command_name] = ACTIONS(7363),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7363),
    [anon_sym_LBRACK] = ACTIONS(7365),
    [anon_sym_RBRACK] = ACTIONS(7365),
    [anon_sym_COMMA] = ACTIONS(7365),
    [anon_sym_EQ] = ACTIONS(7365),
    [anon_sym_LPAREN] = ACTIONS(7365),
    [anon_sym_RPAREN] = ACTIONS(7365),
    [anon_sym_BSLASHpart] = ACTIONS(7363),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHaddpart] = ACTIONS(7363),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHchapter] = ACTIONS(7363),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHaddchap] = ACTIONS(7363),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHsection] = ACTIONS(7363),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHaddsec] = ACTIONS(7363),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHsubsection] = ACTIONS(7363),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7363),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHparagraph] = ACTIONS(7363),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7363),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHitem] = ACTIONS(7363),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7365),
    [anon_sym_LBRACE] = ACTIONS(7365),
    [sym_word] = ACTIONS(7363),
    [sym_placeholder] = ACTIONS(7365),
    [sym_delimiter] = ACTIONS(7365),
    [anon_sym_PLUS] = ACTIONS(7365),
    [anon_sym_DASH] = ACTIONS(7365),
    [anon_sym_STAR] = ACTIONS(7365),
    [anon_sym_SLASH] = ACTIONS(7365),
    [anon_sym_LT] = ACTIONS(7363),
    [anon_sym_GT] = ACTIONS(7363),
    [anon_sym_BANG] = ACTIONS(7363),
    [anon_sym_PIPE] = ACTIONS(7363),
    [anon_sym_COLON] = ACTIONS(7363),
    [anon_sym_SQUOTE] = ACTIONS(7363),
    [anon_sym__] = ACTIONS(7365),
    [anon_sym_CARET] = ACTIONS(7365),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7365),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7365),
    [anon_sym_DOLLAR] = ACTIONS(7363),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7365),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7365),
    [anon_sym_BSLASHleft] = ACTIONS(7363),
    [anon_sym_BSLASHbigl] = ACTIONS(7363),
    [anon_sym_BSLASHBigl] = ACTIONS(7363),
    [anon_sym_BSLASHbiggl] = ACTIONS(7363),
    [anon_sym_BSLASHBiggl] = ACTIONS(7363),
    [anon_sym_BSLASHtext] = ACTIONS(7363),
    [anon_sym_BSLASHintertext] = ACTIONS(7363),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7363),
    [anon_sym_BSLASHbegin] = ACTIONS(7363),
    [anon_sym_BSLASHtitle] = ACTIONS(7363),
    [anon_sym_BSLASHauthor] = ACTIONS(7363),
    [anon_sym_BSLASHusepackage] = ACTIONS(7363),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7363),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7363),
    [anon_sym_BSLASHinclude] = ACTIONS(7363),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7363),
    [anon_sym_BSLASHinput] = ACTIONS(7363),
    [anon_sym_BSLASHsubfile] = ACTIONS(7363),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7363),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7363),
    [anon_sym_BSLASHbibliography] = ACTIONS(7363),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7363),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7363),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7363),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7363),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7363),
    [anon_sym_BSLASHimport] = ACTIONS(7363),
    [anon_sym_BSLASHsubimport] = ACTIONS(7363),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7363),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7363),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7363),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7363),
    [anon_sym_BSLASHcaption] = ACTIONS(7363),
    [anon_sym_BSLASHcite] = ACTIONS(7363),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCite] = ACTIONS(7363),
    [anon_sym_BSLASHnocite] = ACTIONS(7363),
    [anon_sym_BSLASHcitet] = ACTIONS(7363),
    [anon_sym_BSLASHcitep] = ACTIONS(7363),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteA] = ACTIONS(7363),
    [anon_sym_BSLASHciteR] = ACTIONS(7363),
    [anon_sym_BSLASHciteS] = ACTIONS(7363),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7363),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7363),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7363),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7363),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteyear] = ACTIONS(7363),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitedate] = ACTIONS(7363),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteurl] = ACTIONS(7363),
    [anon_sym_BSLASHfullcite] = ACTIONS(7363),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7363),
    [anon_sym_BSLASHcitealt] = ACTIONS(7363),
    [anon_sym_BSLASHcitealp] = ACTIONS(7363),
    [anon_sym_BSLASHcitetext] = ACTIONS(7363),
    [anon_sym_BSLASHparencite] = ACTIONS(7363),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHParencite] = ACTIONS(7363),
    [anon_sym_BSLASHfootcite] = ACTIONS(7363),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7363),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7363),
    [anon_sym_BSLASHtextcite] = ACTIONS(7363),
    [anon_sym_BSLASHTextcite] = ACTIONS(7363),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7363),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7363),
    [anon_sym_BSLASHsupercite] = ACTIONS(7363),
    [anon_sym_BSLASHautocite] = ACTIONS(7363),
    [anon_sym_BSLASHAutocite] = ACTIONS(7363),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHVolcite] = ACTIONS(7363),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHavolcite] = ACTIONS(7363),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHNotecite] = ACTIONS(7363),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHlabel] = ACTIONS(7363),
    [anon_sym_BSLASHref] = ACTIONS(7363),
    [anon_sym_BSLASHeqref] = ACTIONS(7363),
    [anon_sym_BSLASHvref] = ACTIONS(7363),
    [anon_sym_BSLASHVref] = ACTIONS(7363),
    [anon_sym_BSLASHautoref] = ACTIONS(7363),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHpageref] = ACTIONS(7363),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHautopageref] = ACTIONS(7363),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcref] = ACTIONS(7363),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCref] = ACTIONS(7363),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcpageref] = ACTIONS(7363),
    [anon_sym_BSLASHCpageref] = ACTIONS(7363),
    [anon_sym_BSLASHnamecref] = ACTIONS(7363),
    [anon_sym_BSLASHnameCref] = ACTIONS(7363),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7363),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7363),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7363),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7363),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7363),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7363),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7363),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7363),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7363),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7363),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7363),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHdef] = ACTIONS(7363),
    [anon_sym_BSLASHgdef] = ACTIONS(7363),
    [anon_sym_BSLASHedef] = ACTIONS(7363),
    [anon_sym_BSLASHxdef] = ACTIONS(7363),
    [anon_sym_BSLASHlet] = ACTIONS(7363),
    [anon_sym_BSLASHglet] = ACTIONS(7363),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7363),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7363),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7363),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7363),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7363),
    [anon_sym_BSLASHgls] = ACTIONS(7363),
    [anon_sym_BSLASHGls] = ACTIONS(7363),
    [anon_sym_BSLASHGLS] = ACTIONS(7363),
    [anon_sym_BSLASHglspl] = ACTIONS(7363),
    [anon_sym_BSLASHGlspl] = ACTIONS(7363),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7363),
    [anon_sym_BSLASHglslink] = ACTIONS(7363),
    [anon_sym_BSLASHglstext] = ACTIONS(7363),
    [anon_sym_BSLASHGlstext] = ACTIONS(7363),
    [anon_sym_BSLASHGLStext] = ACTIONS(7363),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7363),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7363),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7363),
    [anon_sym_BSLASHglsplural] = ACTIONS(7363),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7363),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7363),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHglsname] = ACTIONS(7363),
    [anon_sym_BSLASHGlsname] = ACTIONS(7363),
    [anon_sym_BSLASHGLSname] = ACTIONS(7363),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7363),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7363),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7363),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7363),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7363),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7363),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7363),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7363),
    [anon_sym_BSLASHacrshort] = ACTIONS(7363),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7363),
    [anon_sym_BSLASHACRshort] = ACTIONS(7363),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHacrlong] = ACTIONS(7363),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7363),
    [anon_sym_BSLASHACRlong] = ACTIONS(7363),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHacrfull] = ACTIONS(7363),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7363),
    [anon_sym_BSLASHACRfull] = ACTIONS(7363),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHacs] = ACTIONS(7363),
    [anon_sym_BSLASHAcs] = ACTIONS(7363),
    [anon_sym_BSLASHacsp] = ACTIONS(7363),
    [anon_sym_BSLASHAcsp] = ACTIONS(7363),
    [anon_sym_BSLASHacl] = ACTIONS(7363),
    [anon_sym_BSLASHAcl] = ACTIONS(7363),
    [anon_sym_BSLASHaclp] = ACTIONS(7363),
    [anon_sym_BSLASHAclp] = ACTIONS(7363),
    [anon_sym_BSLASHacf] = ACTIONS(7363),
    [anon_sym_BSLASHAcf] = ACTIONS(7363),
    [anon_sym_BSLASHacfp] = ACTIONS(7363),
    [anon_sym_BSLASHAcfp] = ACTIONS(7363),
    [anon_sym_BSLASHac] = ACTIONS(7363),
    [anon_sym_BSLASHAc] = ACTIONS(7363),
    [anon_sym_BSLASHacp] = ACTIONS(7363),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7363),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7363),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7363),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7363),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7363),
    [anon_sym_BSLASHcolor] = ACTIONS(7363),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7363),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7363),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7363),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7363),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7363),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7363),
    [anon_sym_BSLASHurl] = ACTIONS(7363),
    [anon_sym_BSLASHhref] = ACTIONS(7363),
  },
  [1179] = {
    [sym_command_name] = ACTIONS(7367),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7367),
    [anon_sym_LBRACK] = ACTIONS(7369),
    [anon_sym_RBRACK] = ACTIONS(7369),
    [anon_sym_COMMA] = ACTIONS(7369),
    [anon_sym_EQ] = ACTIONS(7369),
    [anon_sym_LPAREN] = ACTIONS(7369),
    [anon_sym_RPAREN] = ACTIONS(7369),
    [anon_sym_BSLASHpart] = ACTIONS(7367),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHaddpart] = ACTIONS(7367),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHchapter] = ACTIONS(7367),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHaddchap] = ACTIONS(7367),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHsection] = ACTIONS(7367),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHaddsec] = ACTIONS(7367),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHsubsection] = ACTIONS(7367),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7367),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHparagraph] = ACTIONS(7367),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7367),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHitem] = ACTIONS(7367),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7369),
    [anon_sym_LBRACE] = ACTIONS(7369),
    [sym_word] = ACTIONS(7367),
    [sym_placeholder] = ACTIONS(7369),
    [sym_delimiter] = ACTIONS(7369),
    [anon_sym_PLUS] = ACTIONS(7369),
    [anon_sym_DASH] = ACTIONS(7369),
    [anon_sym_STAR] = ACTIONS(7369),
    [anon_sym_SLASH] = ACTIONS(7369),
    [anon_sym_LT] = ACTIONS(7367),
    [anon_sym_GT] = ACTIONS(7367),
    [anon_sym_BANG] = ACTIONS(7367),
    [anon_sym_PIPE] = ACTIONS(7367),
    [anon_sym_COLON] = ACTIONS(7367),
    [anon_sym_SQUOTE] = ACTIONS(7367),
    [anon_sym__] = ACTIONS(7369),
    [anon_sym_CARET] = ACTIONS(7369),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7369),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7369),
    [anon_sym_DOLLAR] = ACTIONS(7367),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7369),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7369),
    [anon_sym_BSLASHleft] = ACTIONS(7367),
    [anon_sym_BSLASHbigl] = ACTIONS(7367),
    [anon_sym_BSLASHBigl] = ACTIONS(7367),
    [anon_sym_BSLASHbiggl] = ACTIONS(7367),
    [anon_sym_BSLASHBiggl] = ACTIONS(7367),
    [anon_sym_BSLASHtext] = ACTIONS(7367),
    [anon_sym_BSLASHintertext] = ACTIONS(7367),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7367),
    [anon_sym_BSLASHbegin] = ACTIONS(7367),
    [anon_sym_BSLASHtitle] = ACTIONS(7367),
    [anon_sym_BSLASHauthor] = ACTIONS(7367),
    [anon_sym_BSLASHusepackage] = ACTIONS(7367),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7367),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7367),
    [anon_sym_BSLASHinclude] = ACTIONS(7367),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7367),
    [anon_sym_BSLASHinput] = ACTIONS(7367),
    [anon_sym_BSLASHsubfile] = ACTIONS(7367),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7367),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7367),
    [anon_sym_BSLASHbibliography] = ACTIONS(7367),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7367),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7367),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7367),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7367),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7367),
    [anon_sym_BSLASHimport] = ACTIONS(7367),
    [anon_sym_BSLASHsubimport] = ACTIONS(7367),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7367),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7367),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7367),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7367),
    [anon_sym_BSLASHcaption] = ACTIONS(7367),
    [anon_sym_BSLASHcite] = ACTIONS(7367),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCite] = ACTIONS(7367),
    [anon_sym_BSLASHnocite] = ACTIONS(7367),
    [anon_sym_BSLASHcitet] = ACTIONS(7367),
    [anon_sym_BSLASHcitep] = ACTIONS(7367),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteA] = ACTIONS(7367),
    [anon_sym_BSLASHciteR] = ACTIONS(7367),
    [anon_sym_BSLASHciteS] = ACTIONS(7367),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7367),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7367),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7367),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7367),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteyear] = ACTIONS(7367),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitedate] = ACTIONS(7367),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteurl] = ACTIONS(7367),
    [anon_sym_BSLASHfullcite] = ACTIONS(7367),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7367),
    [anon_sym_BSLASHcitealt] = ACTIONS(7367),
    [anon_sym_BSLASHcitealp] = ACTIONS(7367),
    [anon_sym_BSLASHcitetext] = ACTIONS(7367),
    [anon_sym_BSLASHparencite] = ACTIONS(7367),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHParencite] = ACTIONS(7367),
    [anon_sym_BSLASHfootcite] = ACTIONS(7367),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7367),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7367),
    [anon_sym_BSLASHtextcite] = ACTIONS(7367),
    [anon_sym_BSLASHTextcite] = ACTIONS(7367),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7367),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7367),
    [anon_sym_BSLASHsupercite] = ACTIONS(7367),
    [anon_sym_BSLASHautocite] = ACTIONS(7367),
    [anon_sym_BSLASHAutocite] = ACTIONS(7367),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHVolcite] = ACTIONS(7367),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHavolcite] = ACTIONS(7367),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHNotecite] = ACTIONS(7367),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHlabel] = ACTIONS(7367),
    [anon_sym_BSLASHref] = ACTIONS(7367),
    [anon_sym_BSLASHeqref] = ACTIONS(7367),
    [anon_sym_BSLASHvref] = ACTIONS(7367),
    [anon_sym_BSLASHVref] = ACTIONS(7367),
    [anon_sym_BSLASHautoref] = ACTIONS(7367),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHpageref] = ACTIONS(7367),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHautopageref] = ACTIONS(7367),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcref] = ACTIONS(7367),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCref] = ACTIONS(7367),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcpageref] = ACTIONS(7367),
    [anon_sym_BSLASHCpageref] = ACTIONS(7367),
    [anon_sym_BSLASHnamecref] = ACTIONS(7367),
    [anon_sym_BSLASHnameCref] = ACTIONS(7367),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7367),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7367),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7367),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7367),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7367),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7367),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7367),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7367),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7367),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7367),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7367),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHdef] = ACTIONS(7367),
    [anon_sym_BSLASHgdef] = ACTIONS(7367),
    [anon_sym_BSLASHedef] = ACTIONS(7367),
    [anon_sym_BSLASHxdef] = ACTIONS(7367),
    [anon_sym_BSLASHlet] = ACTIONS(7367),
    [anon_sym_BSLASHglet] = ACTIONS(7367),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7367),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7367),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7367),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7367),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7367),
    [anon_sym_BSLASHgls] = ACTIONS(7367),
    [anon_sym_BSLASHGls] = ACTIONS(7367),
    [anon_sym_BSLASHGLS] = ACTIONS(7367),
    [anon_sym_BSLASHglspl] = ACTIONS(7367),
    [anon_sym_BSLASHGlspl] = ACTIONS(7367),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7367),
    [anon_sym_BSLASHglslink] = ACTIONS(7367),
    [anon_sym_BSLASHglstext] = ACTIONS(7367),
    [anon_sym_BSLASHGlstext] = ACTIONS(7367),
    [anon_sym_BSLASHGLStext] = ACTIONS(7367),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7367),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7367),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7367),
    [anon_sym_BSLASHglsplural] = ACTIONS(7367),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7367),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7367),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHglsname] = ACTIONS(7367),
    [anon_sym_BSLASHGlsname] = ACTIONS(7367),
    [anon_sym_BSLASHGLSname] = ACTIONS(7367),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7367),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7367),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7367),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7367),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7367),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7367),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7367),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7367),
    [anon_sym_BSLASHacrshort] = ACTIONS(7367),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7367),
    [anon_sym_BSLASHACRshort] = ACTIONS(7367),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHacrlong] = ACTIONS(7367),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7367),
    [anon_sym_BSLASHACRlong] = ACTIONS(7367),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHacrfull] = ACTIONS(7367),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7367),
    [anon_sym_BSLASHACRfull] = ACTIONS(7367),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHacs] = ACTIONS(7367),
    [anon_sym_BSLASHAcs] = ACTIONS(7367),
    [anon_sym_BSLASHacsp] = ACTIONS(7367),
    [anon_sym_BSLASHAcsp] = ACTIONS(7367),
    [anon_sym_BSLASHacl] = ACTIONS(7367),
    [anon_sym_BSLASHAcl] = ACTIONS(7367),
    [anon_sym_BSLASHaclp] = ACTIONS(7367),
    [anon_sym_BSLASHAclp] = ACTIONS(7367),
    [anon_sym_BSLASHacf] = ACTIONS(7367),
    [anon_sym_BSLASHAcf] = ACTIONS(7367),
    [anon_sym_BSLASHacfp] = ACTIONS(7367),
    [anon_sym_BSLASHAcfp] = ACTIONS(7367),
    [anon_sym_BSLASHac] = ACTIONS(7367),
    [anon_sym_BSLASHAc] = ACTIONS(7367),
    [anon_sym_BSLASHacp] = ACTIONS(7367),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7367),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7367),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7367),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7367),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7367),
    [anon_sym_BSLASHcolor] = ACTIONS(7367),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7367),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7367),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7367),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7367),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7367),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7367),
    [anon_sym_BSLASHurl] = ACTIONS(7367),
    [anon_sym_BSLASHhref] = ACTIONS(7367),
  },
  [1180] = {
    [sym_command_name] = ACTIONS(7371),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7371),
    [anon_sym_LBRACK] = ACTIONS(7373),
    [anon_sym_RBRACK] = ACTIONS(7373),
    [anon_sym_COMMA] = ACTIONS(7373),
    [anon_sym_EQ] = ACTIONS(7373),
    [anon_sym_LPAREN] = ACTIONS(7373),
    [anon_sym_RPAREN] = ACTIONS(7373),
    [anon_sym_BSLASHpart] = ACTIONS(7371),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHaddpart] = ACTIONS(7371),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHchapter] = ACTIONS(7371),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHaddchap] = ACTIONS(7371),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHsection] = ACTIONS(7371),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHaddsec] = ACTIONS(7371),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHsubsection] = ACTIONS(7371),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7371),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHparagraph] = ACTIONS(7371),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7371),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHitem] = ACTIONS(7371),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7373),
    [anon_sym_LBRACE] = ACTIONS(7373),
    [sym_word] = ACTIONS(7371),
    [sym_placeholder] = ACTIONS(7373),
    [sym_delimiter] = ACTIONS(7373),
    [anon_sym_PLUS] = ACTIONS(7373),
    [anon_sym_DASH] = ACTIONS(7373),
    [anon_sym_STAR] = ACTIONS(7373),
    [anon_sym_SLASH] = ACTIONS(7373),
    [anon_sym_LT] = ACTIONS(7371),
    [anon_sym_GT] = ACTIONS(7371),
    [anon_sym_BANG] = ACTIONS(7371),
    [anon_sym_PIPE] = ACTIONS(7371),
    [anon_sym_COLON] = ACTIONS(7371),
    [anon_sym_SQUOTE] = ACTIONS(7371),
    [anon_sym__] = ACTIONS(7373),
    [anon_sym_CARET] = ACTIONS(7373),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7373),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7373),
    [anon_sym_DOLLAR] = ACTIONS(7371),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7373),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7373),
    [anon_sym_BSLASHleft] = ACTIONS(7371),
    [anon_sym_BSLASHbigl] = ACTIONS(7371),
    [anon_sym_BSLASHBigl] = ACTIONS(7371),
    [anon_sym_BSLASHbiggl] = ACTIONS(7371),
    [anon_sym_BSLASHBiggl] = ACTIONS(7371),
    [anon_sym_BSLASHtext] = ACTIONS(7371),
    [anon_sym_BSLASHintertext] = ACTIONS(7371),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7371),
    [anon_sym_BSLASHbegin] = ACTIONS(7371),
    [anon_sym_BSLASHtitle] = ACTIONS(7371),
    [anon_sym_BSLASHauthor] = ACTIONS(7371),
    [anon_sym_BSLASHusepackage] = ACTIONS(7371),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7371),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7371),
    [anon_sym_BSLASHinclude] = ACTIONS(7371),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7371),
    [anon_sym_BSLASHinput] = ACTIONS(7371),
    [anon_sym_BSLASHsubfile] = ACTIONS(7371),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7371),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7371),
    [anon_sym_BSLASHbibliography] = ACTIONS(7371),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7371),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7371),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7371),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7371),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7371),
    [anon_sym_BSLASHimport] = ACTIONS(7371),
    [anon_sym_BSLASHsubimport] = ACTIONS(7371),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7371),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7371),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7371),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7371),
    [anon_sym_BSLASHcaption] = ACTIONS(7371),
    [anon_sym_BSLASHcite] = ACTIONS(7371),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCite] = ACTIONS(7371),
    [anon_sym_BSLASHnocite] = ACTIONS(7371),
    [anon_sym_BSLASHcitet] = ACTIONS(7371),
    [anon_sym_BSLASHcitep] = ACTIONS(7371),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteA] = ACTIONS(7371),
    [anon_sym_BSLASHciteR] = ACTIONS(7371),
    [anon_sym_BSLASHciteS] = ACTIONS(7371),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7371),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7371),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7371),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7371),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteyear] = ACTIONS(7371),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitedate] = ACTIONS(7371),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteurl] = ACTIONS(7371),
    [anon_sym_BSLASHfullcite] = ACTIONS(7371),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7371),
    [anon_sym_BSLASHcitealt] = ACTIONS(7371),
    [anon_sym_BSLASHcitealp] = ACTIONS(7371),
    [anon_sym_BSLASHcitetext] = ACTIONS(7371),
    [anon_sym_BSLASHparencite] = ACTIONS(7371),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHParencite] = ACTIONS(7371),
    [anon_sym_BSLASHfootcite] = ACTIONS(7371),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7371),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7371),
    [anon_sym_BSLASHtextcite] = ACTIONS(7371),
    [anon_sym_BSLASHTextcite] = ACTIONS(7371),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7371),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7371),
    [anon_sym_BSLASHsupercite] = ACTIONS(7371),
    [anon_sym_BSLASHautocite] = ACTIONS(7371),
    [anon_sym_BSLASHAutocite] = ACTIONS(7371),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHVolcite] = ACTIONS(7371),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHavolcite] = ACTIONS(7371),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHNotecite] = ACTIONS(7371),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHlabel] = ACTIONS(7371),
    [anon_sym_BSLASHref] = ACTIONS(7371),
    [anon_sym_BSLASHeqref] = ACTIONS(7371),
    [anon_sym_BSLASHvref] = ACTIONS(7371),
    [anon_sym_BSLASHVref] = ACTIONS(7371),
    [anon_sym_BSLASHautoref] = ACTIONS(7371),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHpageref] = ACTIONS(7371),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHautopageref] = ACTIONS(7371),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcref] = ACTIONS(7371),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCref] = ACTIONS(7371),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcpageref] = ACTIONS(7371),
    [anon_sym_BSLASHCpageref] = ACTIONS(7371),
    [anon_sym_BSLASHnamecref] = ACTIONS(7371),
    [anon_sym_BSLASHnameCref] = ACTIONS(7371),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7371),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7371),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7371),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7371),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7371),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7371),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7371),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7371),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7371),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7371),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7371),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHdef] = ACTIONS(7371),
    [anon_sym_BSLASHgdef] = ACTIONS(7371),
    [anon_sym_BSLASHedef] = ACTIONS(7371),
    [anon_sym_BSLASHxdef] = ACTIONS(7371),
    [anon_sym_BSLASHlet] = ACTIONS(7371),
    [anon_sym_BSLASHglet] = ACTIONS(7371),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7371),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7371),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7371),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7371),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7371),
    [anon_sym_BSLASHgls] = ACTIONS(7371),
    [anon_sym_BSLASHGls] = ACTIONS(7371),
    [anon_sym_BSLASHGLS] = ACTIONS(7371),
    [anon_sym_BSLASHglspl] = ACTIONS(7371),
    [anon_sym_BSLASHGlspl] = ACTIONS(7371),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7371),
    [anon_sym_BSLASHglslink] = ACTIONS(7371),
    [anon_sym_BSLASHglstext] = ACTIONS(7371),
    [anon_sym_BSLASHGlstext] = ACTIONS(7371),
    [anon_sym_BSLASHGLStext] = ACTIONS(7371),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7371),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7371),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7371),
    [anon_sym_BSLASHglsplural] = ACTIONS(7371),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7371),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7371),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHglsname] = ACTIONS(7371),
    [anon_sym_BSLASHGlsname] = ACTIONS(7371),
    [anon_sym_BSLASHGLSname] = ACTIONS(7371),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7371),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7371),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7371),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7371),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7371),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7371),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7371),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7371),
    [anon_sym_BSLASHacrshort] = ACTIONS(7371),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7371),
    [anon_sym_BSLASHACRshort] = ACTIONS(7371),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHacrlong] = ACTIONS(7371),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7371),
    [anon_sym_BSLASHACRlong] = ACTIONS(7371),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHacrfull] = ACTIONS(7371),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7371),
    [anon_sym_BSLASHACRfull] = ACTIONS(7371),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHacs] = ACTIONS(7371),
    [anon_sym_BSLASHAcs] = ACTIONS(7371),
    [anon_sym_BSLASHacsp] = ACTIONS(7371),
    [anon_sym_BSLASHAcsp] = ACTIONS(7371),
    [anon_sym_BSLASHacl] = ACTIONS(7371),
    [anon_sym_BSLASHAcl] = ACTIONS(7371),
    [anon_sym_BSLASHaclp] = ACTIONS(7371),
    [anon_sym_BSLASHAclp] = ACTIONS(7371),
    [anon_sym_BSLASHacf] = ACTIONS(7371),
    [anon_sym_BSLASHAcf] = ACTIONS(7371),
    [anon_sym_BSLASHacfp] = ACTIONS(7371),
    [anon_sym_BSLASHAcfp] = ACTIONS(7371),
    [anon_sym_BSLASHac] = ACTIONS(7371),
    [anon_sym_BSLASHAc] = ACTIONS(7371),
    [anon_sym_BSLASHacp] = ACTIONS(7371),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7371),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7371),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7371),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7371),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7371),
    [anon_sym_BSLASHcolor] = ACTIONS(7371),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7371),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7371),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7371),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7371),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7371),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7371),
    [anon_sym_BSLASHurl] = ACTIONS(7371),
    [anon_sym_BSLASHhref] = ACTIONS(7371),
  },
  [1181] = {
    [sym_command_name] = ACTIONS(7375),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7375),
    [anon_sym_LBRACK] = ACTIONS(7377),
    [anon_sym_RBRACK] = ACTIONS(7377),
    [anon_sym_COMMA] = ACTIONS(7377),
    [anon_sym_EQ] = ACTIONS(7377),
    [anon_sym_LPAREN] = ACTIONS(7377),
    [anon_sym_RPAREN] = ACTIONS(7377),
    [anon_sym_BSLASHpart] = ACTIONS(7375),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHaddpart] = ACTIONS(7375),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHchapter] = ACTIONS(7375),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHaddchap] = ACTIONS(7375),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHsection] = ACTIONS(7375),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHaddsec] = ACTIONS(7375),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHsubsection] = ACTIONS(7375),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7375),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHparagraph] = ACTIONS(7375),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7375),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHitem] = ACTIONS(7375),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7377),
    [anon_sym_LBRACE] = ACTIONS(7377),
    [sym_word] = ACTIONS(7375),
    [sym_placeholder] = ACTIONS(7377),
    [sym_delimiter] = ACTIONS(7377),
    [anon_sym_PLUS] = ACTIONS(7377),
    [anon_sym_DASH] = ACTIONS(7377),
    [anon_sym_STAR] = ACTIONS(7377),
    [anon_sym_SLASH] = ACTIONS(7377),
    [anon_sym_LT] = ACTIONS(7375),
    [anon_sym_GT] = ACTIONS(7375),
    [anon_sym_BANG] = ACTIONS(7375),
    [anon_sym_PIPE] = ACTIONS(7375),
    [anon_sym_COLON] = ACTIONS(7375),
    [anon_sym_SQUOTE] = ACTIONS(7375),
    [anon_sym__] = ACTIONS(7377),
    [anon_sym_CARET] = ACTIONS(7377),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7377),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7377),
    [anon_sym_DOLLAR] = ACTIONS(7375),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7377),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7377),
    [anon_sym_BSLASHleft] = ACTIONS(7375),
    [anon_sym_BSLASHbigl] = ACTIONS(7375),
    [anon_sym_BSLASHBigl] = ACTIONS(7375),
    [anon_sym_BSLASHbiggl] = ACTIONS(7375),
    [anon_sym_BSLASHBiggl] = ACTIONS(7375),
    [anon_sym_BSLASHtext] = ACTIONS(7375),
    [anon_sym_BSLASHintertext] = ACTIONS(7375),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7375),
    [anon_sym_BSLASHbegin] = ACTIONS(7375),
    [anon_sym_BSLASHtitle] = ACTIONS(7375),
    [anon_sym_BSLASHauthor] = ACTIONS(7375),
    [anon_sym_BSLASHusepackage] = ACTIONS(7375),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7375),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7375),
    [anon_sym_BSLASHinclude] = ACTIONS(7375),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7375),
    [anon_sym_BSLASHinput] = ACTIONS(7375),
    [anon_sym_BSLASHsubfile] = ACTIONS(7375),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7375),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7375),
    [anon_sym_BSLASHbibliography] = ACTIONS(7375),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7375),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7375),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7375),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7375),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7375),
    [anon_sym_BSLASHimport] = ACTIONS(7375),
    [anon_sym_BSLASHsubimport] = ACTIONS(7375),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7375),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7375),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7375),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7375),
    [anon_sym_BSLASHcaption] = ACTIONS(7375),
    [anon_sym_BSLASHcite] = ACTIONS(7375),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCite] = ACTIONS(7375),
    [anon_sym_BSLASHnocite] = ACTIONS(7375),
    [anon_sym_BSLASHcitet] = ACTIONS(7375),
    [anon_sym_BSLASHcitep] = ACTIONS(7375),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteA] = ACTIONS(7375),
    [anon_sym_BSLASHciteR] = ACTIONS(7375),
    [anon_sym_BSLASHciteS] = ACTIONS(7375),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7375),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7375),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7375),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7375),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteyear] = ACTIONS(7375),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitedate] = ACTIONS(7375),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteurl] = ACTIONS(7375),
    [anon_sym_BSLASHfullcite] = ACTIONS(7375),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7375),
    [anon_sym_BSLASHcitealt] = ACTIONS(7375),
    [anon_sym_BSLASHcitealp] = ACTIONS(7375),
    [anon_sym_BSLASHcitetext] = ACTIONS(7375),
    [anon_sym_BSLASHparencite] = ACTIONS(7375),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHParencite] = ACTIONS(7375),
    [anon_sym_BSLASHfootcite] = ACTIONS(7375),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7375),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7375),
    [anon_sym_BSLASHtextcite] = ACTIONS(7375),
    [anon_sym_BSLASHTextcite] = ACTIONS(7375),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7375),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7375),
    [anon_sym_BSLASHsupercite] = ACTIONS(7375),
    [anon_sym_BSLASHautocite] = ACTIONS(7375),
    [anon_sym_BSLASHAutocite] = ACTIONS(7375),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHVolcite] = ACTIONS(7375),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHavolcite] = ACTIONS(7375),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHNotecite] = ACTIONS(7375),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHlabel] = ACTIONS(7375),
    [anon_sym_BSLASHref] = ACTIONS(7375),
    [anon_sym_BSLASHeqref] = ACTIONS(7375),
    [anon_sym_BSLASHvref] = ACTIONS(7375),
    [anon_sym_BSLASHVref] = ACTIONS(7375),
    [anon_sym_BSLASHautoref] = ACTIONS(7375),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHpageref] = ACTIONS(7375),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHautopageref] = ACTIONS(7375),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcref] = ACTIONS(7375),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCref] = ACTIONS(7375),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcpageref] = ACTIONS(7375),
    [anon_sym_BSLASHCpageref] = ACTIONS(7375),
    [anon_sym_BSLASHnamecref] = ACTIONS(7375),
    [anon_sym_BSLASHnameCref] = ACTIONS(7375),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7375),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7375),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7375),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7375),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7375),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7375),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7375),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7375),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7375),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7375),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7375),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHdef] = ACTIONS(7375),
    [anon_sym_BSLASHgdef] = ACTIONS(7375),
    [anon_sym_BSLASHedef] = ACTIONS(7375),
    [anon_sym_BSLASHxdef] = ACTIONS(7375),
    [anon_sym_BSLASHlet] = ACTIONS(7375),
    [anon_sym_BSLASHglet] = ACTIONS(7375),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7375),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7375),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7375),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7375),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7375),
    [anon_sym_BSLASHgls] = ACTIONS(7375),
    [anon_sym_BSLASHGls] = ACTIONS(7375),
    [anon_sym_BSLASHGLS] = ACTIONS(7375),
    [anon_sym_BSLASHglspl] = ACTIONS(7375),
    [anon_sym_BSLASHGlspl] = ACTIONS(7375),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7375),
    [anon_sym_BSLASHglslink] = ACTIONS(7375),
    [anon_sym_BSLASHglstext] = ACTIONS(7375),
    [anon_sym_BSLASHGlstext] = ACTIONS(7375),
    [anon_sym_BSLASHGLStext] = ACTIONS(7375),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7375),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7375),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7375),
    [anon_sym_BSLASHglsplural] = ACTIONS(7375),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7375),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7375),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHglsname] = ACTIONS(7375),
    [anon_sym_BSLASHGlsname] = ACTIONS(7375),
    [anon_sym_BSLASHGLSname] = ACTIONS(7375),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7375),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7375),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7375),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7375),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7375),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7375),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7375),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7375),
    [anon_sym_BSLASHacrshort] = ACTIONS(7375),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7375),
    [anon_sym_BSLASHACRshort] = ACTIONS(7375),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHacrlong] = ACTIONS(7375),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7375),
    [anon_sym_BSLASHACRlong] = ACTIONS(7375),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHacrfull] = ACTIONS(7375),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7375),
    [anon_sym_BSLASHACRfull] = ACTIONS(7375),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHacs] = ACTIONS(7375),
    [anon_sym_BSLASHAcs] = ACTIONS(7375),
    [anon_sym_BSLASHacsp] = ACTIONS(7375),
    [anon_sym_BSLASHAcsp] = ACTIONS(7375),
    [anon_sym_BSLASHacl] = ACTIONS(7375),
    [anon_sym_BSLASHAcl] = ACTIONS(7375),
    [anon_sym_BSLASHaclp] = ACTIONS(7375),
    [anon_sym_BSLASHAclp] = ACTIONS(7375),
    [anon_sym_BSLASHacf] = ACTIONS(7375),
    [anon_sym_BSLASHAcf] = ACTIONS(7375),
    [anon_sym_BSLASHacfp] = ACTIONS(7375),
    [anon_sym_BSLASHAcfp] = ACTIONS(7375),
    [anon_sym_BSLASHac] = ACTIONS(7375),
    [anon_sym_BSLASHAc] = ACTIONS(7375),
    [anon_sym_BSLASHacp] = ACTIONS(7375),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7375),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7375),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7375),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7375),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7375),
    [anon_sym_BSLASHcolor] = ACTIONS(7375),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7375),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7375),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7375),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7375),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7375),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7375),
    [anon_sym_BSLASHurl] = ACTIONS(7375),
    [anon_sym_BSLASHhref] = ACTIONS(7375),
  },
  [1182] = {
    [sym_command_name] = ACTIONS(7379),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7379),
    [anon_sym_LBRACK] = ACTIONS(7381),
    [anon_sym_RBRACK] = ACTIONS(7381),
    [anon_sym_COMMA] = ACTIONS(7381),
    [anon_sym_EQ] = ACTIONS(7381),
    [anon_sym_LPAREN] = ACTIONS(7381),
    [anon_sym_RPAREN] = ACTIONS(7381),
    [anon_sym_BSLASHpart] = ACTIONS(7379),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHaddpart] = ACTIONS(7379),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHchapter] = ACTIONS(7379),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHaddchap] = ACTIONS(7379),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHsection] = ACTIONS(7379),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHaddsec] = ACTIONS(7379),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHsubsection] = ACTIONS(7379),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7379),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHparagraph] = ACTIONS(7379),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7379),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHitem] = ACTIONS(7379),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7381),
    [anon_sym_LBRACE] = ACTIONS(7381),
    [sym_word] = ACTIONS(7379),
    [sym_placeholder] = ACTIONS(7381),
    [sym_delimiter] = ACTIONS(7381),
    [anon_sym_PLUS] = ACTIONS(7381),
    [anon_sym_DASH] = ACTIONS(7381),
    [anon_sym_STAR] = ACTIONS(7381),
    [anon_sym_SLASH] = ACTIONS(7381),
    [anon_sym_LT] = ACTIONS(7379),
    [anon_sym_GT] = ACTIONS(7379),
    [anon_sym_BANG] = ACTIONS(7379),
    [anon_sym_PIPE] = ACTIONS(7379),
    [anon_sym_COLON] = ACTIONS(7379),
    [anon_sym_SQUOTE] = ACTIONS(7379),
    [anon_sym__] = ACTIONS(7381),
    [anon_sym_CARET] = ACTIONS(7381),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7381),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7381),
    [anon_sym_DOLLAR] = ACTIONS(7379),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7381),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7381),
    [anon_sym_BSLASHleft] = ACTIONS(7379),
    [anon_sym_BSLASHbigl] = ACTIONS(7379),
    [anon_sym_BSLASHBigl] = ACTIONS(7379),
    [anon_sym_BSLASHbiggl] = ACTIONS(7379),
    [anon_sym_BSLASHBiggl] = ACTIONS(7379),
    [anon_sym_BSLASHtext] = ACTIONS(7379),
    [anon_sym_BSLASHintertext] = ACTIONS(7379),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7379),
    [anon_sym_BSLASHbegin] = ACTIONS(7379),
    [anon_sym_BSLASHtitle] = ACTIONS(7379),
    [anon_sym_BSLASHauthor] = ACTIONS(7379),
    [anon_sym_BSLASHusepackage] = ACTIONS(7379),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7379),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7379),
    [anon_sym_BSLASHinclude] = ACTIONS(7379),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7379),
    [anon_sym_BSLASHinput] = ACTIONS(7379),
    [anon_sym_BSLASHsubfile] = ACTIONS(7379),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7379),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7379),
    [anon_sym_BSLASHbibliography] = ACTIONS(7379),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7379),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7379),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7379),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7379),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7379),
    [anon_sym_BSLASHimport] = ACTIONS(7379),
    [anon_sym_BSLASHsubimport] = ACTIONS(7379),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7379),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7379),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7379),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7379),
    [anon_sym_BSLASHcaption] = ACTIONS(7379),
    [anon_sym_BSLASHcite] = ACTIONS(7379),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCite] = ACTIONS(7379),
    [anon_sym_BSLASHnocite] = ACTIONS(7379),
    [anon_sym_BSLASHcitet] = ACTIONS(7379),
    [anon_sym_BSLASHcitep] = ACTIONS(7379),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteA] = ACTIONS(7379),
    [anon_sym_BSLASHciteR] = ACTIONS(7379),
    [anon_sym_BSLASHciteS] = ACTIONS(7379),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7379),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7379),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7379),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7379),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteyear] = ACTIONS(7379),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitedate] = ACTIONS(7379),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteurl] = ACTIONS(7379),
    [anon_sym_BSLASHfullcite] = ACTIONS(7379),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7379),
    [anon_sym_BSLASHcitealt] = ACTIONS(7379),
    [anon_sym_BSLASHcitealp] = ACTIONS(7379),
    [anon_sym_BSLASHcitetext] = ACTIONS(7379),
    [anon_sym_BSLASHparencite] = ACTIONS(7379),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHParencite] = ACTIONS(7379),
    [anon_sym_BSLASHfootcite] = ACTIONS(7379),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7379),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7379),
    [anon_sym_BSLASHtextcite] = ACTIONS(7379),
    [anon_sym_BSLASHTextcite] = ACTIONS(7379),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7379),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7379),
    [anon_sym_BSLASHsupercite] = ACTIONS(7379),
    [anon_sym_BSLASHautocite] = ACTIONS(7379),
    [anon_sym_BSLASHAutocite] = ACTIONS(7379),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHVolcite] = ACTIONS(7379),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHavolcite] = ACTIONS(7379),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHNotecite] = ACTIONS(7379),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHlabel] = ACTIONS(7379),
    [anon_sym_BSLASHref] = ACTIONS(7379),
    [anon_sym_BSLASHeqref] = ACTIONS(7379),
    [anon_sym_BSLASHvref] = ACTIONS(7379),
    [anon_sym_BSLASHVref] = ACTIONS(7379),
    [anon_sym_BSLASHautoref] = ACTIONS(7379),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHpageref] = ACTIONS(7379),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHautopageref] = ACTIONS(7379),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcref] = ACTIONS(7379),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCref] = ACTIONS(7379),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcpageref] = ACTIONS(7379),
    [anon_sym_BSLASHCpageref] = ACTIONS(7379),
    [anon_sym_BSLASHnamecref] = ACTIONS(7379),
    [anon_sym_BSLASHnameCref] = ACTIONS(7379),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7379),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7379),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7379),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7379),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7379),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7379),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7379),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7379),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7379),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7379),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7379),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHdef] = ACTIONS(7379),
    [anon_sym_BSLASHgdef] = ACTIONS(7379),
    [anon_sym_BSLASHedef] = ACTIONS(7379),
    [anon_sym_BSLASHxdef] = ACTIONS(7379),
    [anon_sym_BSLASHlet] = ACTIONS(7379),
    [anon_sym_BSLASHglet] = ACTIONS(7379),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7379),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7379),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7379),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7379),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7379),
    [anon_sym_BSLASHgls] = ACTIONS(7379),
    [anon_sym_BSLASHGls] = ACTIONS(7379),
    [anon_sym_BSLASHGLS] = ACTIONS(7379),
    [anon_sym_BSLASHglspl] = ACTIONS(7379),
    [anon_sym_BSLASHGlspl] = ACTIONS(7379),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7379),
    [anon_sym_BSLASHglslink] = ACTIONS(7379),
    [anon_sym_BSLASHglstext] = ACTIONS(7379),
    [anon_sym_BSLASHGlstext] = ACTIONS(7379),
    [anon_sym_BSLASHGLStext] = ACTIONS(7379),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7379),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7379),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7379),
    [anon_sym_BSLASHglsplural] = ACTIONS(7379),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7379),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7379),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHglsname] = ACTIONS(7379),
    [anon_sym_BSLASHGlsname] = ACTIONS(7379),
    [anon_sym_BSLASHGLSname] = ACTIONS(7379),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7379),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7379),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7379),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7379),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7379),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7379),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7379),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7379),
    [anon_sym_BSLASHacrshort] = ACTIONS(7379),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7379),
    [anon_sym_BSLASHACRshort] = ACTIONS(7379),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHacrlong] = ACTIONS(7379),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7379),
    [anon_sym_BSLASHACRlong] = ACTIONS(7379),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHacrfull] = ACTIONS(7379),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7379),
    [anon_sym_BSLASHACRfull] = ACTIONS(7379),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHacs] = ACTIONS(7379),
    [anon_sym_BSLASHAcs] = ACTIONS(7379),
    [anon_sym_BSLASHacsp] = ACTIONS(7379),
    [anon_sym_BSLASHAcsp] = ACTIONS(7379),
    [anon_sym_BSLASHacl] = ACTIONS(7379),
    [anon_sym_BSLASHAcl] = ACTIONS(7379),
    [anon_sym_BSLASHaclp] = ACTIONS(7379),
    [anon_sym_BSLASHAclp] = ACTIONS(7379),
    [anon_sym_BSLASHacf] = ACTIONS(7379),
    [anon_sym_BSLASHAcf] = ACTIONS(7379),
    [anon_sym_BSLASHacfp] = ACTIONS(7379),
    [anon_sym_BSLASHAcfp] = ACTIONS(7379),
    [anon_sym_BSLASHac] = ACTIONS(7379),
    [anon_sym_BSLASHAc] = ACTIONS(7379),
    [anon_sym_BSLASHacp] = ACTIONS(7379),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7379),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7379),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7379),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7379),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7379),
    [anon_sym_BSLASHcolor] = ACTIONS(7379),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7379),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7379),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7379),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7379),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7379),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7379),
    [anon_sym_BSLASHurl] = ACTIONS(7379),
    [anon_sym_BSLASHhref] = ACTIONS(7379),
  },
  [1183] = {
    [sym_command_name] = ACTIONS(7151),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7151),
    [anon_sym_LBRACK] = ACTIONS(7153),
    [anon_sym_RBRACK] = ACTIONS(7153),
    [anon_sym_COMMA] = ACTIONS(7153),
    [anon_sym_EQ] = ACTIONS(7153),
    [anon_sym_LPAREN] = ACTIONS(7153),
    [anon_sym_RPAREN] = ACTIONS(7153),
    [anon_sym_BSLASHpart] = ACTIONS(7151),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHaddpart] = ACTIONS(7151),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHchapter] = ACTIONS(7151),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHaddchap] = ACTIONS(7151),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHsection] = ACTIONS(7151),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHaddsec] = ACTIONS(7151),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHsubsection] = ACTIONS(7151),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7151),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHparagraph] = ACTIONS(7151),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7151),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHitem] = ACTIONS(7151),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7153),
    [anon_sym_LBRACE] = ACTIONS(7153),
    [sym_word] = ACTIONS(7151),
    [sym_placeholder] = ACTIONS(7153),
    [sym_delimiter] = ACTIONS(7153),
    [anon_sym_PLUS] = ACTIONS(7153),
    [anon_sym_DASH] = ACTIONS(7153),
    [anon_sym_STAR] = ACTIONS(7153),
    [anon_sym_SLASH] = ACTIONS(7153),
    [anon_sym_LT] = ACTIONS(7151),
    [anon_sym_GT] = ACTIONS(7151),
    [anon_sym_BANG] = ACTIONS(7151),
    [anon_sym_PIPE] = ACTIONS(7151),
    [anon_sym_COLON] = ACTIONS(7151),
    [anon_sym_SQUOTE] = ACTIONS(7151),
    [anon_sym__] = ACTIONS(7153),
    [anon_sym_CARET] = ACTIONS(7153),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7153),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7153),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7153),
    [anon_sym_DOLLAR] = ACTIONS(7151),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7153),
    [anon_sym_BSLASHleft] = ACTIONS(7151),
    [anon_sym_BSLASHbigl] = ACTIONS(7151),
    [anon_sym_BSLASHBigl] = ACTIONS(7151),
    [anon_sym_BSLASHbiggl] = ACTIONS(7151),
    [anon_sym_BSLASHBiggl] = ACTIONS(7151),
    [anon_sym_BSLASHtext] = ACTIONS(7151),
    [anon_sym_BSLASHintertext] = ACTIONS(7151),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7151),
    [anon_sym_BSLASHbegin] = ACTIONS(7151),
    [anon_sym_BSLASHtitle] = ACTIONS(7151),
    [anon_sym_BSLASHauthor] = ACTIONS(7151),
    [anon_sym_BSLASHusepackage] = ACTIONS(7151),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7151),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7151),
    [anon_sym_BSLASHinclude] = ACTIONS(7151),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7151),
    [anon_sym_BSLASHinput] = ACTIONS(7151),
    [anon_sym_BSLASHsubfile] = ACTIONS(7151),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7151),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7151),
    [anon_sym_BSLASHbibliography] = ACTIONS(7151),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7151),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7151),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7151),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7151),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7151),
    [anon_sym_BSLASHimport] = ACTIONS(7151),
    [anon_sym_BSLASHsubimport] = ACTIONS(7151),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7151),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7151),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7151),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7151),
    [anon_sym_BSLASHcaption] = ACTIONS(7151),
    [anon_sym_BSLASHcite] = ACTIONS(7151),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHCite] = ACTIONS(7151),
    [anon_sym_BSLASHnocite] = ACTIONS(7151),
    [anon_sym_BSLASHcitet] = ACTIONS(7151),
    [anon_sym_BSLASHcitep] = ACTIONS(7151),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHciteA] = ACTIONS(7151),
    [anon_sym_BSLASHciteR] = ACTIONS(7151),
    [anon_sym_BSLASHciteS] = ACTIONS(7151),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7151),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7151),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7151),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7151),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHciteyear] = ACTIONS(7151),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcitedate] = ACTIONS(7151),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHciteurl] = ACTIONS(7151),
    [anon_sym_BSLASHfullcite] = ACTIONS(7151),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7151),
    [anon_sym_BSLASHcitealt] = ACTIONS(7151),
    [anon_sym_BSLASHcitealp] = ACTIONS(7151),
    [anon_sym_BSLASHcitetext] = ACTIONS(7151),
    [anon_sym_BSLASHparencite] = ACTIONS(7151),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHParencite] = ACTIONS(7151),
    [anon_sym_BSLASHfootcite] = ACTIONS(7151),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7151),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7151),
    [anon_sym_BSLASHtextcite] = ACTIONS(7151),
    [anon_sym_BSLASHTextcite] = ACTIONS(7151),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7151),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7151),
    [anon_sym_BSLASHsupercite] = ACTIONS(7151),
    [anon_sym_BSLASHautocite] = ACTIONS(7151),
    [anon_sym_BSLASHAutocite] = ACTIONS(7151),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHVolcite] = ACTIONS(7151),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHavolcite] = ACTIONS(7151),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHnotecite] = ACTIONS(7151),
    [anon_sym_BSLASHNotecite] = ACTIONS(7151),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7151),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7151),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7151),
    [anon_sym_BSLASHlabel] = ACTIONS(7151),
    [anon_sym_BSLASHref] = ACTIONS(7151),
    [anon_sym_BSLASHeqref] = ACTIONS(7151),
    [anon_sym_BSLASHvref] = ACTIONS(7151),
    [anon_sym_BSLASHVref] = ACTIONS(7151),
    [anon_sym_BSLASHautoref] = ACTIONS(7151),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHpageref] = ACTIONS(7151),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHautopageref] = ACTIONS(7151),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcref] = ACTIONS(7151),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHCref] = ACTIONS(7151),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcpageref] = ACTIONS(7151),
    [anon_sym_BSLASHCpageref] = ACTIONS(7151),
    [anon_sym_BSLASHnamecref] = ACTIONS(7151),
    [anon_sym_BSLASHnameCref] = ACTIONS(7151),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7151),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7151),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7151),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7151),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7151),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7151),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7151),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7151),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7151),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7151),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7151),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7151),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7151),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7151),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7151),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7151),
    [anon_sym_BSLASHdef] = ACTIONS(7151),
    [anon_sym_BSLASHgdef] = ACTIONS(7151),
    [anon_sym_BSLASHedef] = ACTIONS(7151),
    [anon_sym_BSLASHxdef] = ACTIONS(7151),
    [anon_sym_BSLASHlet] = ACTIONS(7151),
    [anon_sym_BSLASHglet] = ACTIONS(7151),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7151),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7151),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7151),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7151),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7151),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7151),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7151),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7151),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7151),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7151),
    [anon_sym_BSLASHgls] = ACTIONS(7151),
    [anon_sym_BSLASHGls] = ACTIONS(7151),
    [anon_sym_BSLASHGLS] = ACTIONS(7151),
    [anon_sym_BSLASHglspl] = ACTIONS(7151),
    [anon_sym_BSLASHGlspl] = ACTIONS(7151),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7151),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7151),
    [anon_sym_BSLASHglslink] = ACTIONS(7151),
    [anon_sym_BSLASHglstext] = ACTIONS(7151),
    [anon_sym_BSLASHGlstext] = ACTIONS(7151),
    [anon_sym_BSLASHGLStext] = ACTIONS(7151),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7151),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7151),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7151),
    [anon_sym_BSLASHglsplural] = ACTIONS(7151),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7151),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7151),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7151),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7151),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7151),
    [anon_sym_BSLASHglsname] = ACTIONS(7151),
    [anon_sym_BSLASHGlsname] = ACTIONS(7151),
    [anon_sym_BSLASHGLSname] = ACTIONS(7151),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7151),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7151),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7151),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7151),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7151),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7151),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7151),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7151),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7151),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7151),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7151),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7151),
    [anon_sym_BSLASHacrshort] = ACTIONS(7151),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7151),
    [anon_sym_BSLASHACRshort] = ACTIONS(7151),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHacrlong] = ACTIONS(7151),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7151),
    [anon_sym_BSLASHACRlong] = ACTIONS(7151),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7151),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7151),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7151),
    [anon_sym_BSLASHacrfull] = ACTIONS(7151),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7151),
    [anon_sym_BSLASHACRfull] = ACTIONS(7151),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHacs] = ACTIONS(7151),
    [anon_sym_BSLASHAcs] = ACTIONS(7151),
    [anon_sym_BSLASHacsp] = ACTIONS(7151),
    [anon_sym_BSLASHAcsp] = ACTIONS(7151),
    [anon_sym_BSLASHacl] = ACTIONS(7151),
    [anon_sym_BSLASHAcl] = ACTIONS(7151),
    [anon_sym_BSLASHaclp] = ACTIONS(7151),
    [anon_sym_BSLASHAclp] = ACTIONS(7151),
    [anon_sym_BSLASHacf] = ACTIONS(7151),
    [anon_sym_BSLASHAcf] = ACTIONS(7151),
    [anon_sym_BSLASHacfp] = ACTIONS(7151),
    [anon_sym_BSLASHAcfp] = ACTIONS(7151),
    [anon_sym_BSLASHac] = ACTIONS(7151),
    [anon_sym_BSLASHAc] = ACTIONS(7151),
    [anon_sym_BSLASHacp] = ACTIONS(7151),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7151),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7151),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7151),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7151),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7151),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7151),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7151),
    [anon_sym_BSLASHcolor] = ACTIONS(7151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7151),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7151),
    [anon_sym_BSLASHurl] = ACTIONS(7151),
    [anon_sym_BSLASHhref] = ACTIONS(7151),
  },
  [1184] = {
    [sym_command_name] = ACTIONS(7383),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7383),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_RBRACK] = ACTIONS(7385),
    [anon_sym_COMMA] = ACTIONS(7385),
    [anon_sym_EQ] = ACTIONS(7385),
    [anon_sym_LPAREN] = ACTIONS(7385),
    [anon_sym_RPAREN] = ACTIONS(7385),
    [anon_sym_BSLASHpart] = ACTIONS(7383),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHaddpart] = ACTIONS(7383),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHchapter] = ACTIONS(7383),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHaddchap] = ACTIONS(7383),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHsection] = ACTIONS(7383),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHaddsec] = ACTIONS(7383),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHsubsection] = ACTIONS(7383),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7383),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHparagraph] = ACTIONS(7383),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7383),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHitem] = ACTIONS(7383),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7385),
    [sym_word] = ACTIONS(7383),
    [sym_placeholder] = ACTIONS(7385),
    [sym_delimiter] = ACTIONS(7385),
    [anon_sym_PLUS] = ACTIONS(7385),
    [anon_sym_DASH] = ACTIONS(7385),
    [anon_sym_STAR] = ACTIONS(7385),
    [anon_sym_SLASH] = ACTIONS(7385),
    [anon_sym_LT] = ACTIONS(7383),
    [anon_sym_GT] = ACTIONS(7383),
    [anon_sym_BANG] = ACTIONS(7383),
    [anon_sym_PIPE] = ACTIONS(7383),
    [anon_sym_COLON] = ACTIONS(7383),
    [anon_sym_SQUOTE] = ACTIONS(7383),
    [anon_sym__] = ACTIONS(7385),
    [anon_sym_CARET] = ACTIONS(7385),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7385),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7385),
    [anon_sym_DOLLAR] = ACTIONS(7383),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7385),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7385),
    [anon_sym_BSLASHleft] = ACTIONS(7383),
    [anon_sym_BSLASHbigl] = ACTIONS(7383),
    [anon_sym_BSLASHBigl] = ACTIONS(7383),
    [anon_sym_BSLASHbiggl] = ACTIONS(7383),
    [anon_sym_BSLASHBiggl] = ACTIONS(7383),
    [anon_sym_BSLASHtext] = ACTIONS(7383),
    [anon_sym_BSLASHintertext] = ACTIONS(7383),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7383),
    [anon_sym_BSLASHbegin] = ACTIONS(7383),
    [anon_sym_BSLASHtitle] = ACTIONS(7383),
    [anon_sym_BSLASHauthor] = ACTIONS(7383),
    [anon_sym_BSLASHusepackage] = ACTIONS(7383),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7383),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7383),
    [anon_sym_BSLASHinclude] = ACTIONS(7383),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7383),
    [anon_sym_BSLASHinput] = ACTIONS(7383),
    [anon_sym_BSLASHsubfile] = ACTIONS(7383),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7383),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7383),
    [anon_sym_BSLASHbibliography] = ACTIONS(7383),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7383),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7383),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7383),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7383),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7383),
    [anon_sym_BSLASHimport] = ACTIONS(7383),
    [anon_sym_BSLASHsubimport] = ACTIONS(7383),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7383),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7383),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7383),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7383),
    [anon_sym_BSLASHcaption] = ACTIONS(7383),
    [anon_sym_BSLASHcite] = ACTIONS(7383),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCite] = ACTIONS(7383),
    [anon_sym_BSLASHnocite] = ACTIONS(7383),
    [anon_sym_BSLASHcitet] = ACTIONS(7383),
    [anon_sym_BSLASHcitep] = ACTIONS(7383),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteA] = ACTIONS(7383),
    [anon_sym_BSLASHciteR] = ACTIONS(7383),
    [anon_sym_BSLASHciteS] = ACTIONS(7383),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7383),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7383),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7383),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7383),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteyear] = ACTIONS(7383),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitedate] = ACTIONS(7383),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteurl] = ACTIONS(7383),
    [anon_sym_BSLASHfullcite] = ACTIONS(7383),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7383),
    [anon_sym_BSLASHcitealt] = ACTIONS(7383),
    [anon_sym_BSLASHcitealp] = ACTIONS(7383),
    [anon_sym_BSLASHcitetext] = ACTIONS(7383),
    [anon_sym_BSLASHparencite] = ACTIONS(7383),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHParencite] = ACTIONS(7383),
    [anon_sym_BSLASHfootcite] = ACTIONS(7383),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7383),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7383),
    [anon_sym_BSLASHtextcite] = ACTIONS(7383),
    [anon_sym_BSLASHTextcite] = ACTIONS(7383),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7383),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7383),
    [anon_sym_BSLASHsupercite] = ACTIONS(7383),
    [anon_sym_BSLASHautocite] = ACTIONS(7383),
    [anon_sym_BSLASHAutocite] = ACTIONS(7383),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHVolcite] = ACTIONS(7383),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHavolcite] = ACTIONS(7383),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHNotecite] = ACTIONS(7383),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHlabel] = ACTIONS(7383),
    [anon_sym_BSLASHref] = ACTIONS(7383),
    [anon_sym_BSLASHeqref] = ACTIONS(7383),
    [anon_sym_BSLASHvref] = ACTIONS(7383),
    [anon_sym_BSLASHVref] = ACTIONS(7383),
    [anon_sym_BSLASHautoref] = ACTIONS(7383),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHpageref] = ACTIONS(7383),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHautopageref] = ACTIONS(7383),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcref] = ACTIONS(7383),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCref] = ACTIONS(7383),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcpageref] = ACTIONS(7383),
    [anon_sym_BSLASHCpageref] = ACTIONS(7383),
    [anon_sym_BSLASHnamecref] = ACTIONS(7383),
    [anon_sym_BSLASHnameCref] = ACTIONS(7383),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7383),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7383),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7383),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7383),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7383),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7383),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7383),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7383),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7383),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7383),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7383),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHdef] = ACTIONS(7383),
    [anon_sym_BSLASHgdef] = ACTIONS(7383),
    [anon_sym_BSLASHedef] = ACTIONS(7383),
    [anon_sym_BSLASHxdef] = ACTIONS(7383),
    [anon_sym_BSLASHlet] = ACTIONS(7383),
    [anon_sym_BSLASHglet] = ACTIONS(7383),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7383),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7383),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7383),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7383),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7383),
    [anon_sym_BSLASHgls] = ACTIONS(7383),
    [anon_sym_BSLASHGls] = ACTIONS(7383),
    [anon_sym_BSLASHGLS] = ACTIONS(7383),
    [anon_sym_BSLASHglspl] = ACTIONS(7383),
    [anon_sym_BSLASHGlspl] = ACTIONS(7383),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7383),
    [anon_sym_BSLASHglslink] = ACTIONS(7383),
    [anon_sym_BSLASHglstext] = ACTIONS(7383),
    [anon_sym_BSLASHGlstext] = ACTIONS(7383),
    [anon_sym_BSLASHGLStext] = ACTIONS(7383),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7383),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7383),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7383),
    [anon_sym_BSLASHglsplural] = ACTIONS(7383),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7383),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7383),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHglsname] = ACTIONS(7383),
    [anon_sym_BSLASHGlsname] = ACTIONS(7383),
    [anon_sym_BSLASHGLSname] = ACTIONS(7383),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7383),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7383),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7383),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7383),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7383),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7383),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7383),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7383),
    [anon_sym_BSLASHacrshort] = ACTIONS(7383),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7383),
    [anon_sym_BSLASHACRshort] = ACTIONS(7383),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHacrlong] = ACTIONS(7383),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7383),
    [anon_sym_BSLASHACRlong] = ACTIONS(7383),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHacrfull] = ACTIONS(7383),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7383),
    [anon_sym_BSLASHACRfull] = ACTIONS(7383),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHacs] = ACTIONS(7383),
    [anon_sym_BSLASHAcs] = ACTIONS(7383),
    [anon_sym_BSLASHacsp] = ACTIONS(7383),
    [anon_sym_BSLASHAcsp] = ACTIONS(7383),
    [anon_sym_BSLASHacl] = ACTIONS(7383),
    [anon_sym_BSLASHAcl] = ACTIONS(7383),
    [anon_sym_BSLASHaclp] = ACTIONS(7383),
    [anon_sym_BSLASHAclp] = ACTIONS(7383),
    [anon_sym_BSLASHacf] = ACTIONS(7383),
    [anon_sym_BSLASHAcf] = ACTIONS(7383),
    [anon_sym_BSLASHacfp] = ACTIONS(7383),
    [anon_sym_BSLASHAcfp] = ACTIONS(7383),
    [anon_sym_BSLASHac] = ACTIONS(7383),
    [anon_sym_BSLASHAc] = ACTIONS(7383),
    [anon_sym_BSLASHacp] = ACTIONS(7383),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7383),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7383),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7383),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7383),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7383),
    [anon_sym_BSLASHcolor] = ACTIONS(7383),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7383),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7383),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7383),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7383),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7383),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7383),
    [anon_sym_BSLASHurl] = ACTIONS(7383),
    [anon_sym_BSLASHhref] = ACTIONS(7383),
  },
  [1185] = {
    [sym_command_name] = ACTIONS(7387),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7387),
    [anon_sym_LBRACK] = ACTIONS(7389),
    [anon_sym_RBRACK] = ACTIONS(7389),
    [anon_sym_COMMA] = ACTIONS(7389),
    [anon_sym_EQ] = ACTIONS(7389),
    [anon_sym_LPAREN] = ACTIONS(7389),
    [anon_sym_RPAREN] = ACTIONS(7389),
    [anon_sym_BSLASHpart] = ACTIONS(7387),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHaddpart] = ACTIONS(7387),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHchapter] = ACTIONS(7387),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHaddchap] = ACTIONS(7387),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHsection] = ACTIONS(7387),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHaddsec] = ACTIONS(7387),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHsubsection] = ACTIONS(7387),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7387),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHparagraph] = ACTIONS(7387),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7387),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHitem] = ACTIONS(7387),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7389),
    [anon_sym_LBRACE] = ACTIONS(7389),
    [sym_word] = ACTIONS(7387),
    [sym_placeholder] = ACTIONS(7389),
    [sym_delimiter] = ACTIONS(7389),
    [anon_sym_PLUS] = ACTIONS(7389),
    [anon_sym_DASH] = ACTIONS(7389),
    [anon_sym_STAR] = ACTIONS(7389),
    [anon_sym_SLASH] = ACTIONS(7389),
    [anon_sym_LT] = ACTIONS(7387),
    [anon_sym_GT] = ACTIONS(7387),
    [anon_sym_BANG] = ACTIONS(7387),
    [anon_sym_PIPE] = ACTIONS(7387),
    [anon_sym_COLON] = ACTIONS(7387),
    [anon_sym_SQUOTE] = ACTIONS(7387),
    [anon_sym__] = ACTIONS(7389),
    [anon_sym_CARET] = ACTIONS(7389),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7389),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7389),
    [anon_sym_DOLLAR] = ACTIONS(7387),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7389),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7389),
    [anon_sym_BSLASHleft] = ACTIONS(7387),
    [anon_sym_BSLASHbigl] = ACTIONS(7387),
    [anon_sym_BSLASHBigl] = ACTIONS(7387),
    [anon_sym_BSLASHbiggl] = ACTIONS(7387),
    [anon_sym_BSLASHBiggl] = ACTIONS(7387),
    [anon_sym_BSLASHtext] = ACTIONS(7387),
    [anon_sym_BSLASHintertext] = ACTIONS(7387),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7387),
    [anon_sym_BSLASHbegin] = ACTIONS(7387),
    [anon_sym_BSLASHtitle] = ACTIONS(7387),
    [anon_sym_BSLASHauthor] = ACTIONS(7387),
    [anon_sym_BSLASHusepackage] = ACTIONS(7387),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7387),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7387),
    [anon_sym_BSLASHinclude] = ACTIONS(7387),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7387),
    [anon_sym_BSLASHinput] = ACTIONS(7387),
    [anon_sym_BSLASHsubfile] = ACTIONS(7387),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7387),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7387),
    [anon_sym_BSLASHbibliography] = ACTIONS(7387),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7387),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7387),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7387),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7387),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7387),
    [anon_sym_BSLASHimport] = ACTIONS(7387),
    [anon_sym_BSLASHsubimport] = ACTIONS(7387),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7387),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7387),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7387),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7387),
    [anon_sym_BSLASHcaption] = ACTIONS(7387),
    [anon_sym_BSLASHcite] = ACTIONS(7387),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCite] = ACTIONS(7387),
    [anon_sym_BSLASHnocite] = ACTIONS(7387),
    [anon_sym_BSLASHcitet] = ACTIONS(7387),
    [anon_sym_BSLASHcitep] = ACTIONS(7387),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteA] = ACTIONS(7387),
    [anon_sym_BSLASHciteR] = ACTIONS(7387),
    [anon_sym_BSLASHciteS] = ACTIONS(7387),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7387),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7387),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7387),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7387),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteyear] = ACTIONS(7387),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitedate] = ACTIONS(7387),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteurl] = ACTIONS(7387),
    [anon_sym_BSLASHfullcite] = ACTIONS(7387),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7387),
    [anon_sym_BSLASHcitealt] = ACTIONS(7387),
    [anon_sym_BSLASHcitealp] = ACTIONS(7387),
    [anon_sym_BSLASHcitetext] = ACTIONS(7387),
    [anon_sym_BSLASHparencite] = ACTIONS(7387),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHParencite] = ACTIONS(7387),
    [anon_sym_BSLASHfootcite] = ACTIONS(7387),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7387),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7387),
    [anon_sym_BSLASHtextcite] = ACTIONS(7387),
    [anon_sym_BSLASHTextcite] = ACTIONS(7387),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7387),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7387),
    [anon_sym_BSLASHsupercite] = ACTIONS(7387),
    [anon_sym_BSLASHautocite] = ACTIONS(7387),
    [anon_sym_BSLASHAutocite] = ACTIONS(7387),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHVolcite] = ACTIONS(7387),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHavolcite] = ACTIONS(7387),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHNotecite] = ACTIONS(7387),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHlabel] = ACTIONS(7387),
    [anon_sym_BSLASHref] = ACTIONS(7387),
    [anon_sym_BSLASHeqref] = ACTIONS(7387),
    [anon_sym_BSLASHvref] = ACTIONS(7387),
    [anon_sym_BSLASHVref] = ACTIONS(7387),
    [anon_sym_BSLASHautoref] = ACTIONS(7387),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHpageref] = ACTIONS(7387),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHautopageref] = ACTIONS(7387),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcref] = ACTIONS(7387),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCref] = ACTIONS(7387),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcpageref] = ACTIONS(7387),
    [anon_sym_BSLASHCpageref] = ACTIONS(7387),
    [anon_sym_BSLASHnamecref] = ACTIONS(7387),
    [anon_sym_BSLASHnameCref] = ACTIONS(7387),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7387),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7387),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7387),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7387),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7387),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7387),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7387),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7387),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7387),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7387),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7387),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHdef] = ACTIONS(7387),
    [anon_sym_BSLASHgdef] = ACTIONS(7387),
    [anon_sym_BSLASHedef] = ACTIONS(7387),
    [anon_sym_BSLASHxdef] = ACTIONS(7387),
    [anon_sym_BSLASHlet] = ACTIONS(7387),
    [anon_sym_BSLASHglet] = ACTIONS(7387),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7387),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7387),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7387),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7387),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7387),
    [anon_sym_BSLASHgls] = ACTIONS(7387),
    [anon_sym_BSLASHGls] = ACTIONS(7387),
    [anon_sym_BSLASHGLS] = ACTIONS(7387),
    [anon_sym_BSLASHglspl] = ACTIONS(7387),
    [anon_sym_BSLASHGlspl] = ACTIONS(7387),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7387),
    [anon_sym_BSLASHglslink] = ACTIONS(7387),
    [anon_sym_BSLASHglstext] = ACTIONS(7387),
    [anon_sym_BSLASHGlstext] = ACTIONS(7387),
    [anon_sym_BSLASHGLStext] = ACTIONS(7387),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7387),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7387),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7387),
    [anon_sym_BSLASHglsplural] = ACTIONS(7387),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7387),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7387),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHglsname] = ACTIONS(7387),
    [anon_sym_BSLASHGlsname] = ACTIONS(7387),
    [anon_sym_BSLASHGLSname] = ACTIONS(7387),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7387),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7387),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7387),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7387),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7387),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7387),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7387),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7387),
    [anon_sym_BSLASHacrshort] = ACTIONS(7387),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7387),
    [anon_sym_BSLASHACRshort] = ACTIONS(7387),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHacrlong] = ACTIONS(7387),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7387),
    [anon_sym_BSLASHACRlong] = ACTIONS(7387),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHacrfull] = ACTIONS(7387),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7387),
    [anon_sym_BSLASHACRfull] = ACTIONS(7387),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHacs] = ACTIONS(7387),
    [anon_sym_BSLASHAcs] = ACTIONS(7387),
    [anon_sym_BSLASHacsp] = ACTIONS(7387),
    [anon_sym_BSLASHAcsp] = ACTIONS(7387),
    [anon_sym_BSLASHacl] = ACTIONS(7387),
    [anon_sym_BSLASHAcl] = ACTIONS(7387),
    [anon_sym_BSLASHaclp] = ACTIONS(7387),
    [anon_sym_BSLASHAclp] = ACTIONS(7387),
    [anon_sym_BSLASHacf] = ACTIONS(7387),
    [anon_sym_BSLASHAcf] = ACTIONS(7387),
    [anon_sym_BSLASHacfp] = ACTIONS(7387),
    [anon_sym_BSLASHAcfp] = ACTIONS(7387),
    [anon_sym_BSLASHac] = ACTIONS(7387),
    [anon_sym_BSLASHAc] = ACTIONS(7387),
    [anon_sym_BSLASHacp] = ACTIONS(7387),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7387),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7387),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7387),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7387),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7387),
    [anon_sym_BSLASHcolor] = ACTIONS(7387),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7387),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7387),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7387),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7387),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7387),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7387),
    [anon_sym_BSLASHurl] = ACTIONS(7387),
    [anon_sym_BSLASHhref] = ACTIONS(7387),
  },
  [1186] = {
    [sym_command_name] = ACTIONS(7391),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7391),
    [anon_sym_LBRACK] = ACTIONS(7393),
    [anon_sym_RBRACK] = ACTIONS(7393),
    [anon_sym_COMMA] = ACTIONS(7393),
    [anon_sym_EQ] = ACTIONS(7393),
    [anon_sym_LPAREN] = ACTIONS(7393),
    [anon_sym_RPAREN] = ACTIONS(7393),
    [anon_sym_BSLASHpart] = ACTIONS(7391),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHaddpart] = ACTIONS(7391),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHchapter] = ACTIONS(7391),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHaddchap] = ACTIONS(7391),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHsection] = ACTIONS(7391),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHaddsec] = ACTIONS(7391),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHsubsection] = ACTIONS(7391),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7391),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHparagraph] = ACTIONS(7391),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7391),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHitem] = ACTIONS(7391),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7393),
    [anon_sym_LBRACE] = ACTIONS(7393),
    [sym_word] = ACTIONS(7391),
    [sym_placeholder] = ACTIONS(7393),
    [sym_delimiter] = ACTIONS(7393),
    [anon_sym_PLUS] = ACTIONS(7393),
    [anon_sym_DASH] = ACTIONS(7393),
    [anon_sym_STAR] = ACTIONS(7393),
    [anon_sym_SLASH] = ACTIONS(7393),
    [anon_sym_LT] = ACTIONS(7391),
    [anon_sym_GT] = ACTIONS(7391),
    [anon_sym_BANG] = ACTIONS(7391),
    [anon_sym_PIPE] = ACTIONS(7391),
    [anon_sym_COLON] = ACTIONS(7391),
    [anon_sym_SQUOTE] = ACTIONS(7391),
    [anon_sym__] = ACTIONS(7393),
    [anon_sym_CARET] = ACTIONS(7393),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7393),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7393),
    [anon_sym_DOLLAR] = ACTIONS(7391),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7393),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7393),
    [anon_sym_BSLASHleft] = ACTIONS(7391),
    [anon_sym_BSLASHbigl] = ACTIONS(7391),
    [anon_sym_BSLASHBigl] = ACTIONS(7391),
    [anon_sym_BSLASHbiggl] = ACTIONS(7391),
    [anon_sym_BSLASHBiggl] = ACTIONS(7391),
    [anon_sym_BSLASHtext] = ACTIONS(7391),
    [anon_sym_BSLASHintertext] = ACTIONS(7391),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7391),
    [anon_sym_BSLASHbegin] = ACTIONS(7391),
    [anon_sym_BSLASHtitle] = ACTIONS(7391),
    [anon_sym_BSLASHauthor] = ACTIONS(7391),
    [anon_sym_BSLASHusepackage] = ACTIONS(7391),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7391),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7391),
    [anon_sym_BSLASHinclude] = ACTIONS(7391),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7391),
    [anon_sym_BSLASHinput] = ACTIONS(7391),
    [anon_sym_BSLASHsubfile] = ACTIONS(7391),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7391),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7391),
    [anon_sym_BSLASHbibliography] = ACTIONS(7391),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7391),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7391),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7391),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7391),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7391),
    [anon_sym_BSLASHimport] = ACTIONS(7391),
    [anon_sym_BSLASHsubimport] = ACTIONS(7391),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7391),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7391),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7391),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7391),
    [anon_sym_BSLASHcaption] = ACTIONS(7391),
    [anon_sym_BSLASHcite] = ACTIONS(7391),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCite] = ACTIONS(7391),
    [anon_sym_BSLASHnocite] = ACTIONS(7391),
    [anon_sym_BSLASHcitet] = ACTIONS(7391),
    [anon_sym_BSLASHcitep] = ACTIONS(7391),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteA] = ACTIONS(7391),
    [anon_sym_BSLASHciteR] = ACTIONS(7391),
    [anon_sym_BSLASHciteS] = ACTIONS(7391),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7391),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7391),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7391),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7391),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteyear] = ACTIONS(7391),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitedate] = ACTIONS(7391),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteurl] = ACTIONS(7391),
    [anon_sym_BSLASHfullcite] = ACTIONS(7391),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7391),
    [anon_sym_BSLASHcitealt] = ACTIONS(7391),
    [anon_sym_BSLASHcitealp] = ACTIONS(7391),
    [anon_sym_BSLASHcitetext] = ACTIONS(7391),
    [anon_sym_BSLASHparencite] = ACTIONS(7391),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHParencite] = ACTIONS(7391),
    [anon_sym_BSLASHfootcite] = ACTIONS(7391),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7391),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7391),
    [anon_sym_BSLASHtextcite] = ACTIONS(7391),
    [anon_sym_BSLASHTextcite] = ACTIONS(7391),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7391),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7391),
    [anon_sym_BSLASHsupercite] = ACTIONS(7391),
    [anon_sym_BSLASHautocite] = ACTIONS(7391),
    [anon_sym_BSLASHAutocite] = ACTIONS(7391),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHVolcite] = ACTIONS(7391),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHavolcite] = ACTIONS(7391),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHNotecite] = ACTIONS(7391),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHlabel] = ACTIONS(7391),
    [anon_sym_BSLASHref] = ACTIONS(7391),
    [anon_sym_BSLASHeqref] = ACTIONS(7391),
    [anon_sym_BSLASHvref] = ACTIONS(7391),
    [anon_sym_BSLASHVref] = ACTIONS(7391),
    [anon_sym_BSLASHautoref] = ACTIONS(7391),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHpageref] = ACTIONS(7391),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHautopageref] = ACTIONS(7391),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcref] = ACTIONS(7391),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCref] = ACTIONS(7391),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcpageref] = ACTIONS(7391),
    [anon_sym_BSLASHCpageref] = ACTIONS(7391),
    [anon_sym_BSLASHnamecref] = ACTIONS(7391),
    [anon_sym_BSLASHnameCref] = ACTIONS(7391),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7391),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7391),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7391),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7391),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7391),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7391),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7391),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7391),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7391),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7391),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7391),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHdef] = ACTIONS(7391),
    [anon_sym_BSLASHgdef] = ACTIONS(7391),
    [anon_sym_BSLASHedef] = ACTIONS(7391),
    [anon_sym_BSLASHxdef] = ACTIONS(7391),
    [anon_sym_BSLASHlet] = ACTIONS(7391),
    [anon_sym_BSLASHglet] = ACTIONS(7391),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7391),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7391),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7391),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7391),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7391),
    [anon_sym_BSLASHgls] = ACTIONS(7391),
    [anon_sym_BSLASHGls] = ACTIONS(7391),
    [anon_sym_BSLASHGLS] = ACTIONS(7391),
    [anon_sym_BSLASHglspl] = ACTIONS(7391),
    [anon_sym_BSLASHGlspl] = ACTIONS(7391),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7391),
    [anon_sym_BSLASHglslink] = ACTIONS(7391),
    [anon_sym_BSLASHglstext] = ACTIONS(7391),
    [anon_sym_BSLASHGlstext] = ACTIONS(7391),
    [anon_sym_BSLASHGLStext] = ACTIONS(7391),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7391),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7391),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7391),
    [anon_sym_BSLASHglsplural] = ACTIONS(7391),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7391),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7391),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHglsname] = ACTIONS(7391),
    [anon_sym_BSLASHGlsname] = ACTIONS(7391),
    [anon_sym_BSLASHGLSname] = ACTIONS(7391),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7391),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7391),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7391),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7391),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7391),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7391),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7391),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7391),
    [anon_sym_BSLASHacrshort] = ACTIONS(7391),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7391),
    [anon_sym_BSLASHACRshort] = ACTIONS(7391),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHacrlong] = ACTIONS(7391),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7391),
    [anon_sym_BSLASHACRlong] = ACTIONS(7391),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHacrfull] = ACTIONS(7391),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7391),
    [anon_sym_BSLASHACRfull] = ACTIONS(7391),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHacs] = ACTIONS(7391),
    [anon_sym_BSLASHAcs] = ACTIONS(7391),
    [anon_sym_BSLASHacsp] = ACTIONS(7391),
    [anon_sym_BSLASHAcsp] = ACTIONS(7391),
    [anon_sym_BSLASHacl] = ACTIONS(7391),
    [anon_sym_BSLASHAcl] = ACTIONS(7391),
    [anon_sym_BSLASHaclp] = ACTIONS(7391),
    [anon_sym_BSLASHAclp] = ACTIONS(7391),
    [anon_sym_BSLASHacf] = ACTIONS(7391),
    [anon_sym_BSLASHAcf] = ACTIONS(7391),
    [anon_sym_BSLASHacfp] = ACTIONS(7391),
    [anon_sym_BSLASHAcfp] = ACTIONS(7391),
    [anon_sym_BSLASHac] = ACTIONS(7391),
    [anon_sym_BSLASHAc] = ACTIONS(7391),
    [anon_sym_BSLASHacp] = ACTIONS(7391),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7391),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7391),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7391),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7391),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7391),
    [anon_sym_BSLASHcolor] = ACTIONS(7391),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7391),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7391),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7391),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7391),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7391),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7391),
    [anon_sym_BSLASHurl] = ACTIONS(7391),
    [anon_sym_BSLASHhref] = ACTIONS(7391),
  },
  [1187] = {
    [sym_command_name] = ACTIONS(7155),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7155),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_RBRACK] = ACTIONS(7157),
    [anon_sym_COMMA] = ACTIONS(7157),
    [anon_sym_EQ] = ACTIONS(7157),
    [anon_sym_LPAREN] = ACTIONS(7157),
    [anon_sym_RPAREN] = ACTIONS(7157),
    [anon_sym_BSLASHpart] = ACTIONS(7155),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHaddpart] = ACTIONS(7155),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHchapter] = ACTIONS(7155),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHaddchap] = ACTIONS(7155),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHsection] = ACTIONS(7155),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHaddsec] = ACTIONS(7155),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHsubsection] = ACTIONS(7155),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7155),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHparagraph] = ACTIONS(7155),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7155),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHitem] = ACTIONS(7155),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7157),
    [sym_word] = ACTIONS(7155),
    [sym_placeholder] = ACTIONS(7157),
    [sym_delimiter] = ACTIONS(7157),
    [anon_sym_PLUS] = ACTIONS(7157),
    [anon_sym_DASH] = ACTIONS(7157),
    [anon_sym_STAR] = ACTIONS(7157),
    [anon_sym_SLASH] = ACTIONS(7157),
    [anon_sym_LT] = ACTIONS(7155),
    [anon_sym_GT] = ACTIONS(7155),
    [anon_sym_BANG] = ACTIONS(7155),
    [anon_sym_PIPE] = ACTIONS(7155),
    [anon_sym_COLON] = ACTIONS(7155),
    [anon_sym_SQUOTE] = ACTIONS(7155),
    [anon_sym__] = ACTIONS(7157),
    [anon_sym_CARET] = ACTIONS(7157),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7157),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7157),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7157),
    [anon_sym_DOLLAR] = ACTIONS(7155),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7157),
    [anon_sym_BSLASHleft] = ACTIONS(7155),
    [anon_sym_BSLASHbigl] = ACTIONS(7155),
    [anon_sym_BSLASHBigl] = ACTIONS(7155),
    [anon_sym_BSLASHbiggl] = ACTIONS(7155),
    [anon_sym_BSLASHBiggl] = ACTIONS(7155),
    [anon_sym_BSLASHtext] = ACTIONS(7155),
    [anon_sym_BSLASHintertext] = ACTIONS(7155),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7155),
    [anon_sym_BSLASHbegin] = ACTIONS(7155),
    [anon_sym_BSLASHtitle] = ACTIONS(7155),
    [anon_sym_BSLASHauthor] = ACTIONS(7155),
    [anon_sym_BSLASHusepackage] = ACTIONS(7155),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7155),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7155),
    [anon_sym_BSLASHinclude] = ACTIONS(7155),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7155),
    [anon_sym_BSLASHinput] = ACTIONS(7155),
    [anon_sym_BSLASHsubfile] = ACTIONS(7155),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7155),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7155),
    [anon_sym_BSLASHbibliography] = ACTIONS(7155),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7155),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7155),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7155),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7155),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7155),
    [anon_sym_BSLASHimport] = ACTIONS(7155),
    [anon_sym_BSLASHsubimport] = ACTIONS(7155),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7155),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7155),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7155),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7155),
    [anon_sym_BSLASHcaption] = ACTIONS(7155),
    [anon_sym_BSLASHcite] = ACTIONS(7155),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHCite] = ACTIONS(7155),
    [anon_sym_BSLASHnocite] = ACTIONS(7155),
    [anon_sym_BSLASHcitet] = ACTIONS(7155),
    [anon_sym_BSLASHcitep] = ACTIONS(7155),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHciteA] = ACTIONS(7155),
    [anon_sym_BSLASHciteR] = ACTIONS(7155),
    [anon_sym_BSLASHciteS] = ACTIONS(7155),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7155),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7155),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7155),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7155),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHciteyear] = ACTIONS(7155),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcitedate] = ACTIONS(7155),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHciteurl] = ACTIONS(7155),
    [anon_sym_BSLASHfullcite] = ACTIONS(7155),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7155),
    [anon_sym_BSLASHcitealt] = ACTIONS(7155),
    [anon_sym_BSLASHcitealp] = ACTIONS(7155),
    [anon_sym_BSLASHcitetext] = ACTIONS(7155),
    [anon_sym_BSLASHparencite] = ACTIONS(7155),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHParencite] = ACTIONS(7155),
    [anon_sym_BSLASHfootcite] = ACTIONS(7155),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7155),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7155),
    [anon_sym_BSLASHtextcite] = ACTIONS(7155),
    [anon_sym_BSLASHTextcite] = ACTIONS(7155),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7155),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7155),
    [anon_sym_BSLASHsupercite] = ACTIONS(7155),
    [anon_sym_BSLASHautocite] = ACTIONS(7155),
    [anon_sym_BSLASHAutocite] = ACTIONS(7155),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHVolcite] = ACTIONS(7155),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHavolcite] = ACTIONS(7155),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHnotecite] = ACTIONS(7155),
    [anon_sym_BSLASHNotecite] = ACTIONS(7155),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7155),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7155),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7155),
    [anon_sym_BSLASHlabel] = ACTIONS(7155),
    [anon_sym_BSLASHref] = ACTIONS(7155),
    [anon_sym_BSLASHeqref] = ACTIONS(7155),
    [anon_sym_BSLASHvref] = ACTIONS(7155),
    [anon_sym_BSLASHVref] = ACTIONS(7155),
    [anon_sym_BSLASHautoref] = ACTIONS(7155),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHpageref] = ACTIONS(7155),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHautopageref] = ACTIONS(7155),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcref] = ACTIONS(7155),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHCref] = ACTIONS(7155),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcpageref] = ACTIONS(7155),
    [anon_sym_BSLASHCpageref] = ACTIONS(7155),
    [anon_sym_BSLASHnamecref] = ACTIONS(7155),
    [anon_sym_BSLASHnameCref] = ACTIONS(7155),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7155),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7155),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7155),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7155),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7155),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7155),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7155),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7155),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7155),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7155),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7155),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7155),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7155),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7155),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7155),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7155),
    [anon_sym_BSLASHdef] = ACTIONS(7155),
    [anon_sym_BSLASHgdef] = ACTIONS(7155),
    [anon_sym_BSLASHedef] = ACTIONS(7155),
    [anon_sym_BSLASHxdef] = ACTIONS(7155),
    [anon_sym_BSLASHlet] = ACTIONS(7155),
    [anon_sym_BSLASHglet] = ACTIONS(7155),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7155),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7155),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7155),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7155),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7155),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7155),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7155),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7155),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7155),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7155),
    [anon_sym_BSLASHgls] = ACTIONS(7155),
    [anon_sym_BSLASHGls] = ACTIONS(7155),
    [anon_sym_BSLASHGLS] = ACTIONS(7155),
    [anon_sym_BSLASHglspl] = ACTIONS(7155),
    [anon_sym_BSLASHGlspl] = ACTIONS(7155),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7155),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7155),
    [anon_sym_BSLASHglslink] = ACTIONS(7155),
    [anon_sym_BSLASHglstext] = ACTIONS(7155),
    [anon_sym_BSLASHGlstext] = ACTIONS(7155),
    [anon_sym_BSLASHGLStext] = ACTIONS(7155),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7155),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7155),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7155),
    [anon_sym_BSLASHglsplural] = ACTIONS(7155),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7155),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7155),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7155),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7155),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7155),
    [anon_sym_BSLASHglsname] = ACTIONS(7155),
    [anon_sym_BSLASHGlsname] = ACTIONS(7155),
    [anon_sym_BSLASHGLSname] = ACTIONS(7155),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7155),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7155),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7155),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7155),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7155),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7155),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7155),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7155),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7155),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7155),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7155),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7155),
    [anon_sym_BSLASHacrshort] = ACTIONS(7155),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7155),
    [anon_sym_BSLASHACRshort] = ACTIONS(7155),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHacrlong] = ACTIONS(7155),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7155),
    [anon_sym_BSLASHACRlong] = ACTIONS(7155),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7155),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7155),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7155),
    [anon_sym_BSLASHacrfull] = ACTIONS(7155),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7155),
    [anon_sym_BSLASHACRfull] = ACTIONS(7155),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHacs] = ACTIONS(7155),
    [anon_sym_BSLASHAcs] = ACTIONS(7155),
    [anon_sym_BSLASHacsp] = ACTIONS(7155),
    [anon_sym_BSLASHAcsp] = ACTIONS(7155),
    [anon_sym_BSLASHacl] = ACTIONS(7155),
    [anon_sym_BSLASHAcl] = ACTIONS(7155),
    [anon_sym_BSLASHaclp] = ACTIONS(7155),
    [anon_sym_BSLASHAclp] = ACTIONS(7155),
    [anon_sym_BSLASHacf] = ACTIONS(7155),
    [anon_sym_BSLASHAcf] = ACTIONS(7155),
    [anon_sym_BSLASHacfp] = ACTIONS(7155),
    [anon_sym_BSLASHAcfp] = ACTIONS(7155),
    [anon_sym_BSLASHac] = ACTIONS(7155),
    [anon_sym_BSLASHAc] = ACTIONS(7155),
    [anon_sym_BSLASHacp] = ACTIONS(7155),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7155),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7155),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7155),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7155),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7155),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7155),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7155),
    [anon_sym_BSLASHcolor] = ACTIONS(7155),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7155),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7155),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7155),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7155),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7155),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7155),
    [anon_sym_BSLASHurl] = ACTIONS(7155),
    [anon_sym_BSLASHhref] = ACTIONS(7155),
  },
  [1188] = {
    [sym_command_name] = ACTIONS(7395),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7395),
    [anon_sym_LBRACK] = ACTIONS(7397),
    [anon_sym_RBRACK] = ACTIONS(7397),
    [anon_sym_COMMA] = ACTIONS(7397),
    [anon_sym_EQ] = ACTIONS(7397),
    [anon_sym_LPAREN] = ACTIONS(7397),
    [anon_sym_RPAREN] = ACTIONS(7397),
    [anon_sym_BSLASHpart] = ACTIONS(7395),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHaddpart] = ACTIONS(7395),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHchapter] = ACTIONS(7395),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHaddchap] = ACTIONS(7395),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHsection] = ACTIONS(7395),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHaddsec] = ACTIONS(7395),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHsubsection] = ACTIONS(7395),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7395),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHparagraph] = ACTIONS(7395),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7395),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHitem] = ACTIONS(7395),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7397),
    [anon_sym_LBRACE] = ACTIONS(7397),
    [sym_word] = ACTIONS(7395),
    [sym_placeholder] = ACTIONS(7397),
    [sym_delimiter] = ACTIONS(7397),
    [anon_sym_PLUS] = ACTIONS(7397),
    [anon_sym_DASH] = ACTIONS(7397),
    [anon_sym_STAR] = ACTIONS(7397),
    [anon_sym_SLASH] = ACTIONS(7397),
    [anon_sym_LT] = ACTIONS(7395),
    [anon_sym_GT] = ACTIONS(7395),
    [anon_sym_BANG] = ACTIONS(7395),
    [anon_sym_PIPE] = ACTIONS(7395),
    [anon_sym_COLON] = ACTIONS(7395),
    [anon_sym_SQUOTE] = ACTIONS(7395),
    [anon_sym__] = ACTIONS(7397),
    [anon_sym_CARET] = ACTIONS(7397),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7397),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7397),
    [anon_sym_DOLLAR] = ACTIONS(7395),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7397),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7397),
    [anon_sym_BSLASHleft] = ACTIONS(7395),
    [anon_sym_BSLASHbigl] = ACTIONS(7395),
    [anon_sym_BSLASHBigl] = ACTIONS(7395),
    [anon_sym_BSLASHbiggl] = ACTIONS(7395),
    [anon_sym_BSLASHBiggl] = ACTIONS(7395),
    [anon_sym_BSLASHtext] = ACTIONS(7395),
    [anon_sym_BSLASHintertext] = ACTIONS(7395),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7395),
    [anon_sym_BSLASHbegin] = ACTIONS(7395),
    [anon_sym_BSLASHtitle] = ACTIONS(7395),
    [anon_sym_BSLASHauthor] = ACTIONS(7395),
    [anon_sym_BSLASHusepackage] = ACTIONS(7395),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7395),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7395),
    [anon_sym_BSLASHinclude] = ACTIONS(7395),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7395),
    [anon_sym_BSLASHinput] = ACTIONS(7395),
    [anon_sym_BSLASHsubfile] = ACTIONS(7395),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7395),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7395),
    [anon_sym_BSLASHbibliography] = ACTIONS(7395),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7395),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7395),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7395),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7395),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7395),
    [anon_sym_BSLASHimport] = ACTIONS(7395),
    [anon_sym_BSLASHsubimport] = ACTIONS(7395),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7395),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7395),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7395),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7395),
    [anon_sym_BSLASHcaption] = ACTIONS(7395),
    [anon_sym_BSLASHcite] = ACTIONS(7395),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCite] = ACTIONS(7395),
    [anon_sym_BSLASHnocite] = ACTIONS(7395),
    [anon_sym_BSLASHcitet] = ACTIONS(7395),
    [anon_sym_BSLASHcitep] = ACTIONS(7395),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteA] = ACTIONS(7395),
    [anon_sym_BSLASHciteR] = ACTIONS(7395),
    [anon_sym_BSLASHciteS] = ACTIONS(7395),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7395),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7395),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7395),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7395),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteyear] = ACTIONS(7395),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitedate] = ACTIONS(7395),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteurl] = ACTIONS(7395),
    [anon_sym_BSLASHfullcite] = ACTIONS(7395),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7395),
    [anon_sym_BSLASHcitealt] = ACTIONS(7395),
    [anon_sym_BSLASHcitealp] = ACTIONS(7395),
    [anon_sym_BSLASHcitetext] = ACTIONS(7395),
    [anon_sym_BSLASHparencite] = ACTIONS(7395),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHParencite] = ACTIONS(7395),
    [anon_sym_BSLASHfootcite] = ACTIONS(7395),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7395),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7395),
    [anon_sym_BSLASHtextcite] = ACTIONS(7395),
    [anon_sym_BSLASHTextcite] = ACTIONS(7395),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7395),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7395),
    [anon_sym_BSLASHsupercite] = ACTIONS(7395),
    [anon_sym_BSLASHautocite] = ACTIONS(7395),
    [anon_sym_BSLASHAutocite] = ACTIONS(7395),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHVolcite] = ACTIONS(7395),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHavolcite] = ACTIONS(7395),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHNotecite] = ACTIONS(7395),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHlabel] = ACTIONS(7395),
    [anon_sym_BSLASHref] = ACTIONS(7395),
    [anon_sym_BSLASHeqref] = ACTIONS(7395),
    [anon_sym_BSLASHvref] = ACTIONS(7395),
    [anon_sym_BSLASHVref] = ACTIONS(7395),
    [anon_sym_BSLASHautoref] = ACTIONS(7395),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHpageref] = ACTIONS(7395),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHautopageref] = ACTIONS(7395),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcref] = ACTIONS(7395),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCref] = ACTIONS(7395),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcpageref] = ACTIONS(7395),
    [anon_sym_BSLASHCpageref] = ACTIONS(7395),
    [anon_sym_BSLASHnamecref] = ACTIONS(7395),
    [anon_sym_BSLASHnameCref] = ACTIONS(7395),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7395),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7395),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7395),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7395),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7395),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7395),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7395),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7395),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7395),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7395),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7395),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHdef] = ACTIONS(7395),
    [anon_sym_BSLASHgdef] = ACTIONS(7395),
    [anon_sym_BSLASHedef] = ACTIONS(7395),
    [anon_sym_BSLASHxdef] = ACTIONS(7395),
    [anon_sym_BSLASHlet] = ACTIONS(7395),
    [anon_sym_BSLASHglet] = ACTIONS(7395),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7395),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7395),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7395),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7395),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7395),
    [anon_sym_BSLASHgls] = ACTIONS(7395),
    [anon_sym_BSLASHGls] = ACTIONS(7395),
    [anon_sym_BSLASHGLS] = ACTIONS(7395),
    [anon_sym_BSLASHglspl] = ACTIONS(7395),
    [anon_sym_BSLASHGlspl] = ACTIONS(7395),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7395),
    [anon_sym_BSLASHglslink] = ACTIONS(7395),
    [anon_sym_BSLASHglstext] = ACTIONS(7395),
    [anon_sym_BSLASHGlstext] = ACTIONS(7395),
    [anon_sym_BSLASHGLStext] = ACTIONS(7395),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7395),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7395),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7395),
    [anon_sym_BSLASHglsplural] = ACTIONS(7395),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7395),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7395),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHglsname] = ACTIONS(7395),
    [anon_sym_BSLASHGlsname] = ACTIONS(7395),
    [anon_sym_BSLASHGLSname] = ACTIONS(7395),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7395),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7395),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7395),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7395),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7395),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7395),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7395),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7395),
    [anon_sym_BSLASHacrshort] = ACTIONS(7395),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7395),
    [anon_sym_BSLASHACRshort] = ACTIONS(7395),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHacrlong] = ACTIONS(7395),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7395),
    [anon_sym_BSLASHACRlong] = ACTIONS(7395),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHacrfull] = ACTIONS(7395),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7395),
    [anon_sym_BSLASHACRfull] = ACTIONS(7395),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHacs] = ACTIONS(7395),
    [anon_sym_BSLASHAcs] = ACTIONS(7395),
    [anon_sym_BSLASHacsp] = ACTIONS(7395),
    [anon_sym_BSLASHAcsp] = ACTIONS(7395),
    [anon_sym_BSLASHacl] = ACTIONS(7395),
    [anon_sym_BSLASHAcl] = ACTIONS(7395),
    [anon_sym_BSLASHaclp] = ACTIONS(7395),
    [anon_sym_BSLASHAclp] = ACTIONS(7395),
    [anon_sym_BSLASHacf] = ACTIONS(7395),
    [anon_sym_BSLASHAcf] = ACTIONS(7395),
    [anon_sym_BSLASHacfp] = ACTIONS(7395),
    [anon_sym_BSLASHAcfp] = ACTIONS(7395),
    [anon_sym_BSLASHac] = ACTIONS(7395),
    [anon_sym_BSLASHAc] = ACTIONS(7395),
    [anon_sym_BSLASHacp] = ACTIONS(7395),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7395),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7395),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7395),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7395),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7395),
    [anon_sym_BSLASHcolor] = ACTIONS(7395),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7395),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7395),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7395),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7395),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7395),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7395),
    [anon_sym_BSLASHurl] = ACTIONS(7395),
    [anon_sym_BSLASHhref] = ACTIONS(7395),
  },
  [1189] = {
    [sym_command_name] = ACTIONS(7399),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7399),
    [anon_sym_LBRACK] = ACTIONS(7401),
    [anon_sym_RBRACK] = ACTIONS(7401),
    [anon_sym_COMMA] = ACTIONS(7401),
    [anon_sym_EQ] = ACTIONS(7401),
    [anon_sym_LPAREN] = ACTIONS(7401),
    [anon_sym_RPAREN] = ACTIONS(7401),
    [anon_sym_BSLASHpart] = ACTIONS(7399),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHaddpart] = ACTIONS(7399),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHchapter] = ACTIONS(7399),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHaddchap] = ACTIONS(7399),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHsection] = ACTIONS(7399),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHaddsec] = ACTIONS(7399),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHsubsection] = ACTIONS(7399),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7399),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHparagraph] = ACTIONS(7399),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7399),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHitem] = ACTIONS(7399),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7401),
    [anon_sym_LBRACE] = ACTIONS(7401),
    [sym_word] = ACTIONS(7399),
    [sym_placeholder] = ACTIONS(7401),
    [sym_delimiter] = ACTIONS(7401),
    [anon_sym_PLUS] = ACTIONS(7401),
    [anon_sym_DASH] = ACTIONS(7401),
    [anon_sym_STAR] = ACTIONS(7401),
    [anon_sym_SLASH] = ACTIONS(7401),
    [anon_sym_LT] = ACTIONS(7399),
    [anon_sym_GT] = ACTIONS(7399),
    [anon_sym_BANG] = ACTIONS(7399),
    [anon_sym_PIPE] = ACTIONS(7399),
    [anon_sym_COLON] = ACTIONS(7399),
    [anon_sym_SQUOTE] = ACTIONS(7399),
    [anon_sym__] = ACTIONS(7401),
    [anon_sym_CARET] = ACTIONS(7401),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7401),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7401),
    [anon_sym_DOLLAR] = ACTIONS(7399),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7401),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7401),
    [anon_sym_BSLASHleft] = ACTIONS(7399),
    [anon_sym_BSLASHbigl] = ACTIONS(7399),
    [anon_sym_BSLASHBigl] = ACTIONS(7399),
    [anon_sym_BSLASHbiggl] = ACTIONS(7399),
    [anon_sym_BSLASHBiggl] = ACTIONS(7399),
    [anon_sym_BSLASHtext] = ACTIONS(7399),
    [anon_sym_BSLASHintertext] = ACTIONS(7399),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7399),
    [anon_sym_BSLASHbegin] = ACTIONS(7399),
    [anon_sym_BSLASHtitle] = ACTIONS(7399),
    [anon_sym_BSLASHauthor] = ACTIONS(7399),
    [anon_sym_BSLASHusepackage] = ACTIONS(7399),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7399),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7399),
    [anon_sym_BSLASHinclude] = ACTIONS(7399),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7399),
    [anon_sym_BSLASHinput] = ACTIONS(7399),
    [anon_sym_BSLASHsubfile] = ACTIONS(7399),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7399),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7399),
    [anon_sym_BSLASHbibliography] = ACTIONS(7399),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7399),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7399),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7399),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7399),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7399),
    [anon_sym_BSLASHimport] = ACTIONS(7399),
    [anon_sym_BSLASHsubimport] = ACTIONS(7399),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7399),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7399),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7399),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7399),
    [anon_sym_BSLASHcaption] = ACTIONS(7399),
    [anon_sym_BSLASHcite] = ACTIONS(7399),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCite] = ACTIONS(7399),
    [anon_sym_BSLASHnocite] = ACTIONS(7399),
    [anon_sym_BSLASHcitet] = ACTIONS(7399),
    [anon_sym_BSLASHcitep] = ACTIONS(7399),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteA] = ACTIONS(7399),
    [anon_sym_BSLASHciteR] = ACTIONS(7399),
    [anon_sym_BSLASHciteS] = ACTIONS(7399),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7399),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7399),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7399),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7399),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteyear] = ACTIONS(7399),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitedate] = ACTIONS(7399),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteurl] = ACTIONS(7399),
    [anon_sym_BSLASHfullcite] = ACTIONS(7399),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7399),
    [anon_sym_BSLASHcitealt] = ACTIONS(7399),
    [anon_sym_BSLASHcitealp] = ACTIONS(7399),
    [anon_sym_BSLASHcitetext] = ACTIONS(7399),
    [anon_sym_BSLASHparencite] = ACTIONS(7399),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHParencite] = ACTIONS(7399),
    [anon_sym_BSLASHfootcite] = ACTIONS(7399),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7399),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7399),
    [anon_sym_BSLASHtextcite] = ACTIONS(7399),
    [anon_sym_BSLASHTextcite] = ACTIONS(7399),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7399),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7399),
    [anon_sym_BSLASHsupercite] = ACTIONS(7399),
    [anon_sym_BSLASHautocite] = ACTIONS(7399),
    [anon_sym_BSLASHAutocite] = ACTIONS(7399),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHVolcite] = ACTIONS(7399),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHavolcite] = ACTIONS(7399),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHNotecite] = ACTIONS(7399),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHlabel] = ACTIONS(7399),
    [anon_sym_BSLASHref] = ACTIONS(7399),
    [anon_sym_BSLASHeqref] = ACTIONS(7399),
    [anon_sym_BSLASHvref] = ACTIONS(7399),
    [anon_sym_BSLASHVref] = ACTIONS(7399),
    [anon_sym_BSLASHautoref] = ACTIONS(7399),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHpageref] = ACTIONS(7399),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHautopageref] = ACTIONS(7399),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcref] = ACTIONS(7399),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCref] = ACTIONS(7399),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcpageref] = ACTIONS(7399),
    [anon_sym_BSLASHCpageref] = ACTIONS(7399),
    [anon_sym_BSLASHnamecref] = ACTIONS(7399),
    [anon_sym_BSLASHnameCref] = ACTIONS(7399),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7399),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7399),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7399),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7399),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7399),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7399),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7399),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7399),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7399),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7399),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7399),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHdef] = ACTIONS(7399),
    [anon_sym_BSLASHgdef] = ACTIONS(7399),
    [anon_sym_BSLASHedef] = ACTIONS(7399),
    [anon_sym_BSLASHxdef] = ACTIONS(7399),
    [anon_sym_BSLASHlet] = ACTIONS(7399),
    [anon_sym_BSLASHglet] = ACTIONS(7399),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7399),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7399),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7399),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7399),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7399),
    [anon_sym_BSLASHgls] = ACTIONS(7399),
    [anon_sym_BSLASHGls] = ACTIONS(7399),
    [anon_sym_BSLASHGLS] = ACTIONS(7399),
    [anon_sym_BSLASHglspl] = ACTIONS(7399),
    [anon_sym_BSLASHGlspl] = ACTIONS(7399),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7399),
    [anon_sym_BSLASHglslink] = ACTIONS(7399),
    [anon_sym_BSLASHglstext] = ACTIONS(7399),
    [anon_sym_BSLASHGlstext] = ACTIONS(7399),
    [anon_sym_BSLASHGLStext] = ACTIONS(7399),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7399),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7399),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7399),
    [anon_sym_BSLASHglsplural] = ACTIONS(7399),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7399),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7399),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHglsname] = ACTIONS(7399),
    [anon_sym_BSLASHGlsname] = ACTIONS(7399),
    [anon_sym_BSLASHGLSname] = ACTIONS(7399),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7399),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7399),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7399),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7399),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7399),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7399),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7399),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7399),
    [anon_sym_BSLASHacrshort] = ACTIONS(7399),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7399),
    [anon_sym_BSLASHACRshort] = ACTIONS(7399),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHacrlong] = ACTIONS(7399),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7399),
    [anon_sym_BSLASHACRlong] = ACTIONS(7399),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHacrfull] = ACTIONS(7399),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7399),
    [anon_sym_BSLASHACRfull] = ACTIONS(7399),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHacs] = ACTIONS(7399),
    [anon_sym_BSLASHAcs] = ACTIONS(7399),
    [anon_sym_BSLASHacsp] = ACTIONS(7399),
    [anon_sym_BSLASHAcsp] = ACTIONS(7399),
    [anon_sym_BSLASHacl] = ACTIONS(7399),
    [anon_sym_BSLASHAcl] = ACTIONS(7399),
    [anon_sym_BSLASHaclp] = ACTIONS(7399),
    [anon_sym_BSLASHAclp] = ACTIONS(7399),
    [anon_sym_BSLASHacf] = ACTIONS(7399),
    [anon_sym_BSLASHAcf] = ACTIONS(7399),
    [anon_sym_BSLASHacfp] = ACTIONS(7399),
    [anon_sym_BSLASHAcfp] = ACTIONS(7399),
    [anon_sym_BSLASHac] = ACTIONS(7399),
    [anon_sym_BSLASHAc] = ACTIONS(7399),
    [anon_sym_BSLASHacp] = ACTIONS(7399),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7399),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7399),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7399),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7399),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7399),
    [anon_sym_BSLASHcolor] = ACTIONS(7399),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7399),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7399),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7399),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7399),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7399),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7399),
    [anon_sym_BSLASHurl] = ACTIONS(7399),
    [anon_sym_BSLASHhref] = ACTIONS(7399),
  },
  [1190] = {
    [sym_command_name] = ACTIONS(7403),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7403),
    [anon_sym_LBRACK] = ACTIONS(7405),
    [anon_sym_RBRACK] = ACTIONS(7405),
    [anon_sym_COMMA] = ACTIONS(7405),
    [anon_sym_EQ] = ACTIONS(7405),
    [anon_sym_LPAREN] = ACTIONS(7405),
    [anon_sym_RPAREN] = ACTIONS(7405),
    [anon_sym_BSLASHpart] = ACTIONS(7403),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHaddpart] = ACTIONS(7403),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHchapter] = ACTIONS(7403),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHaddchap] = ACTIONS(7403),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHsection] = ACTIONS(7403),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHaddsec] = ACTIONS(7403),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHsubsection] = ACTIONS(7403),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7403),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHparagraph] = ACTIONS(7403),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7403),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHitem] = ACTIONS(7403),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7405),
    [anon_sym_LBRACE] = ACTIONS(7405),
    [sym_word] = ACTIONS(7403),
    [sym_placeholder] = ACTIONS(7405),
    [sym_delimiter] = ACTIONS(7405),
    [anon_sym_PLUS] = ACTIONS(7405),
    [anon_sym_DASH] = ACTIONS(7405),
    [anon_sym_STAR] = ACTIONS(7405),
    [anon_sym_SLASH] = ACTIONS(7405),
    [anon_sym_LT] = ACTIONS(7403),
    [anon_sym_GT] = ACTIONS(7403),
    [anon_sym_BANG] = ACTIONS(7403),
    [anon_sym_PIPE] = ACTIONS(7403),
    [anon_sym_COLON] = ACTIONS(7403),
    [anon_sym_SQUOTE] = ACTIONS(7403),
    [anon_sym__] = ACTIONS(7405),
    [anon_sym_CARET] = ACTIONS(7405),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7405),
    [anon_sym_DOLLAR] = ACTIONS(7403),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7405),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7405),
    [anon_sym_BSLASHleft] = ACTIONS(7403),
    [anon_sym_BSLASHbigl] = ACTIONS(7403),
    [anon_sym_BSLASHBigl] = ACTIONS(7403),
    [anon_sym_BSLASHbiggl] = ACTIONS(7403),
    [anon_sym_BSLASHBiggl] = ACTIONS(7403),
    [anon_sym_BSLASHtext] = ACTIONS(7403),
    [anon_sym_BSLASHintertext] = ACTIONS(7403),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7403),
    [anon_sym_BSLASHbegin] = ACTIONS(7403),
    [anon_sym_BSLASHtitle] = ACTIONS(7403),
    [anon_sym_BSLASHauthor] = ACTIONS(7403),
    [anon_sym_BSLASHusepackage] = ACTIONS(7403),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7403),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7403),
    [anon_sym_BSLASHinclude] = ACTIONS(7403),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7403),
    [anon_sym_BSLASHinput] = ACTIONS(7403),
    [anon_sym_BSLASHsubfile] = ACTIONS(7403),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7403),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7403),
    [anon_sym_BSLASHbibliography] = ACTIONS(7403),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7403),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7403),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7403),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7403),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7403),
    [anon_sym_BSLASHimport] = ACTIONS(7403),
    [anon_sym_BSLASHsubimport] = ACTIONS(7403),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7403),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7403),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7403),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7403),
    [anon_sym_BSLASHcaption] = ACTIONS(7403),
    [anon_sym_BSLASHcite] = ACTIONS(7403),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCite] = ACTIONS(7403),
    [anon_sym_BSLASHnocite] = ACTIONS(7403),
    [anon_sym_BSLASHcitet] = ACTIONS(7403),
    [anon_sym_BSLASHcitep] = ACTIONS(7403),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteA] = ACTIONS(7403),
    [anon_sym_BSLASHciteR] = ACTIONS(7403),
    [anon_sym_BSLASHciteS] = ACTIONS(7403),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7403),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7403),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7403),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7403),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteyear] = ACTIONS(7403),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitedate] = ACTIONS(7403),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteurl] = ACTIONS(7403),
    [anon_sym_BSLASHfullcite] = ACTIONS(7403),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7403),
    [anon_sym_BSLASHcitealt] = ACTIONS(7403),
    [anon_sym_BSLASHcitealp] = ACTIONS(7403),
    [anon_sym_BSLASHcitetext] = ACTIONS(7403),
    [anon_sym_BSLASHparencite] = ACTIONS(7403),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHParencite] = ACTIONS(7403),
    [anon_sym_BSLASHfootcite] = ACTIONS(7403),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7403),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7403),
    [anon_sym_BSLASHtextcite] = ACTIONS(7403),
    [anon_sym_BSLASHTextcite] = ACTIONS(7403),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7403),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7403),
    [anon_sym_BSLASHsupercite] = ACTIONS(7403),
    [anon_sym_BSLASHautocite] = ACTIONS(7403),
    [anon_sym_BSLASHAutocite] = ACTIONS(7403),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHVolcite] = ACTIONS(7403),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHavolcite] = ACTIONS(7403),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHNotecite] = ACTIONS(7403),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHlabel] = ACTIONS(7403),
    [anon_sym_BSLASHref] = ACTIONS(7403),
    [anon_sym_BSLASHeqref] = ACTIONS(7403),
    [anon_sym_BSLASHvref] = ACTIONS(7403),
    [anon_sym_BSLASHVref] = ACTIONS(7403),
    [anon_sym_BSLASHautoref] = ACTIONS(7403),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHpageref] = ACTIONS(7403),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHautopageref] = ACTIONS(7403),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcref] = ACTIONS(7403),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCref] = ACTIONS(7403),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcpageref] = ACTIONS(7403),
    [anon_sym_BSLASHCpageref] = ACTIONS(7403),
    [anon_sym_BSLASHnamecref] = ACTIONS(7403),
    [anon_sym_BSLASHnameCref] = ACTIONS(7403),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7403),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7403),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7403),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7403),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7403),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7403),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7403),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7403),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7403),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7403),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7403),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHdef] = ACTIONS(7403),
    [anon_sym_BSLASHgdef] = ACTIONS(7403),
    [anon_sym_BSLASHedef] = ACTIONS(7403),
    [anon_sym_BSLASHxdef] = ACTIONS(7403),
    [anon_sym_BSLASHlet] = ACTIONS(7403),
    [anon_sym_BSLASHglet] = ACTIONS(7403),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7403),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7403),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7403),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7403),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7403),
    [anon_sym_BSLASHgls] = ACTIONS(7403),
    [anon_sym_BSLASHGls] = ACTIONS(7403),
    [anon_sym_BSLASHGLS] = ACTIONS(7403),
    [anon_sym_BSLASHglspl] = ACTIONS(7403),
    [anon_sym_BSLASHGlspl] = ACTIONS(7403),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7403),
    [anon_sym_BSLASHglslink] = ACTIONS(7403),
    [anon_sym_BSLASHglstext] = ACTIONS(7403),
    [anon_sym_BSLASHGlstext] = ACTIONS(7403),
    [anon_sym_BSLASHGLStext] = ACTIONS(7403),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7403),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7403),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7403),
    [anon_sym_BSLASHglsplural] = ACTIONS(7403),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7403),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7403),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHglsname] = ACTIONS(7403),
    [anon_sym_BSLASHGlsname] = ACTIONS(7403),
    [anon_sym_BSLASHGLSname] = ACTIONS(7403),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7403),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7403),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7403),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7403),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7403),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7403),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7403),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7403),
    [anon_sym_BSLASHacrshort] = ACTIONS(7403),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7403),
    [anon_sym_BSLASHACRshort] = ACTIONS(7403),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHacrlong] = ACTIONS(7403),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7403),
    [anon_sym_BSLASHACRlong] = ACTIONS(7403),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHacrfull] = ACTIONS(7403),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7403),
    [anon_sym_BSLASHACRfull] = ACTIONS(7403),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHacs] = ACTIONS(7403),
    [anon_sym_BSLASHAcs] = ACTIONS(7403),
    [anon_sym_BSLASHacsp] = ACTIONS(7403),
    [anon_sym_BSLASHAcsp] = ACTIONS(7403),
    [anon_sym_BSLASHacl] = ACTIONS(7403),
    [anon_sym_BSLASHAcl] = ACTIONS(7403),
    [anon_sym_BSLASHaclp] = ACTIONS(7403),
    [anon_sym_BSLASHAclp] = ACTIONS(7403),
    [anon_sym_BSLASHacf] = ACTIONS(7403),
    [anon_sym_BSLASHAcf] = ACTIONS(7403),
    [anon_sym_BSLASHacfp] = ACTIONS(7403),
    [anon_sym_BSLASHAcfp] = ACTIONS(7403),
    [anon_sym_BSLASHac] = ACTIONS(7403),
    [anon_sym_BSLASHAc] = ACTIONS(7403),
    [anon_sym_BSLASHacp] = ACTIONS(7403),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7403),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7403),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7403),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7403),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7403),
    [anon_sym_BSLASHcolor] = ACTIONS(7403),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7403),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7403),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7403),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7403),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7403),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7403),
    [anon_sym_BSLASHurl] = ACTIONS(7403),
    [anon_sym_BSLASHhref] = ACTIONS(7403),
  },
  [1191] = {
    [sym_command_name] = ACTIONS(7407),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7407),
    [anon_sym_LBRACK] = ACTIONS(7409),
    [anon_sym_RBRACK] = ACTIONS(7409),
    [anon_sym_COMMA] = ACTIONS(7409),
    [anon_sym_EQ] = ACTIONS(7409),
    [anon_sym_LPAREN] = ACTIONS(7409),
    [anon_sym_RPAREN] = ACTIONS(7409),
    [anon_sym_BSLASHpart] = ACTIONS(7407),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHaddpart] = ACTIONS(7407),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHchapter] = ACTIONS(7407),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHaddchap] = ACTIONS(7407),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHsection] = ACTIONS(7407),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHaddsec] = ACTIONS(7407),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHsubsection] = ACTIONS(7407),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7407),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHparagraph] = ACTIONS(7407),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7407),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHitem] = ACTIONS(7407),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7409),
    [anon_sym_LBRACE] = ACTIONS(7409),
    [sym_word] = ACTIONS(7407),
    [sym_placeholder] = ACTIONS(7409),
    [sym_delimiter] = ACTIONS(7409),
    [anon_sym_PLUS] = ACTIONS(7409),
    [anon_sym_DASH] = ACTIONS(7409),
    [anon_sym_STAR] = ACTIONS(7409),
    [anon_sym_SLASH] = ACTIONS(7409),
    [anon_sym_LT] = ACTIONS(7407),
    [anon_sym_GT] = ACTIONS(7407),
    [anon_sym_BANG] = ACTIONS(7407),
    [anon_sym_PIPE] = ACTIONS(7407),
    [anon_sym_COLON] = ACTIONS(7407),
    [anon_sym_SQUOTE] = ACTIONS(7407),
    [anon_sym__] = ACTIONS(7409),
    [anon_sym_CARET] = ACTIONS(7409),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7409),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7409),
    [anon_sym_DOLLAR] = ACTIONS(7407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7409),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7409),
    [anon_sym_BSLASHleft] = ACTIONS(7407),
    [anon_sym_BSLASHbigl] = ACTIONS(7407),
    [anon_sym_BSLASHBigl] = ACTIONS(7407),
    [anon_sym_BSLASHbiggl] = ACTIONS(7407),
    [anon_sym_BSLASHBiggl] = ACTIONS(7407),
    [anon_sym_BSLASHtext] = ACTIONS(7407),
    [anon_sym_BSLASHintertext] = ACTIONS(7407),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7407),
    [anon_sym_BSLASHbegin] = ACTIONS(7407),
    [anon_sym_BSLASHtitle] = ACTIONS(7407),
    [anon_sym_BSLASHauthor] = ACTIONS(7407),
    [anon_sym_BSLASHusepackage] = ACTIONS(7407),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7407),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7407),
    [anon_sym_BSLASHinclude] = ACTIONS(7407),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7407),
    [anon_sym_BSLASHinput] = ACTIONS(7407),
    [anon_sym_BSLASHsubfile] = ACTIONS(7407),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7407),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7407),
    [anon_sym_BSLASHbibliography] = ACTIONS(7407),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7407),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7407),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7407),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7407),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7407),
    [anon_sym_BSLASHimport] = ACTIONS(7407),
    [anon_sym_BSLASHsubimport] = ACTIONS(7407),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7407),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7407),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7407),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7407),
    [anon_sym_BSLASHcaption] = ACTIONS(7407),
    [anon_sym_BSLASHcite] = ACTIONS(7407),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCite] = ACTIONS(7407),
    [anon_sym_BSLASHnocite] = ACTIONS(7407),
    [anon_sym_BSLASHcitet] = ACTIONS(7407),
    [anon_sym_BSLASHcitep] = ACTIONS(7407),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteA] = ACTIONS(7407),
    [anon_sym_BSLASHciteR] = ACTIONS(7407),
    [anon_sym_BSLASHciteS] = ACTIONS(7407),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7407),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7407),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7407),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7407),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteyear] = ACTIONS(7407),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitedate] = ACTIONS(7407),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteurl] = ACTIONS(7407),
    [anon_sym_BSLASHfullcite] = ACTIONS(7407),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7407),
    [anon_sym_BSLASHcitealt] = ACTIONS(7407),
    [anon_sym_BSLASHcitealp] = ACTIONS(7407),
    [anon_sym_BSLASHcitetext] = ACTIONS(7407),
    [anon_sym_BSLASHparencite] = ACTIONS(7407),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHParencite] = ACTIONS(7407),
    [anon_sym_BSLASHfootcite] = ACTIONS(7407),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7407),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7407),
    [anon_sym_BSLASHtextcite] = ACTIONS(7407),
    [anon_sym_BSLASHTextcite] = ACTIONS(7407),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7407),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7407),
    [anon_sym_BSLASHsupercite] = ACTIONS(7407),
    [anon_sym_BSLASHautocite] = ACTIONS(7407),
    [anon_sym_BSLASHAutocite] = ACTIONS(7407),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHVolcite] = ACTIONS(7407),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHavolcite] = ACTIONS(7407),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHNotecite] = ACTIONS(7407),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHlabel] = ACTIONS(7407),
    [anon_sym_BSLASHref] = ACTIONS(7407),
    [anon_sym_BSLASHeqref] = ACTIONS(7407),
    [anon_sym_BSLASHvref] = ACTIONS(7407),
    [anon_sym_BSLASHVref] = ACTIONS(7407),
    [anon_sym_BSLASHautoref] = ACTIONS(7407),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHpageref] = ACTIONS(7407),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHautopageref] = ACTIONS(7407),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcref] = ACTIONS(7407),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCref] = ACTIONS(7407),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcpageref] = ACTIONS(7407),
    [anon_sym_BSLASHCpageref] = ACTIONS(7407),
    [anon_sym_BSLASHnamecref] = ACTIONS(7407),
    [anon_sym_BSLASHnameCref] = ACTIONS(7407),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7407),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7407),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7407),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7407),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7407),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7407),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7407),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7407),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7407),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7407),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7407),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHdef] = ACTIONS(7407),
    [anon_sym_BSLASHgdef] = ACTIONS(7407),
    [anon_sym_BSLASHedef] = ACTIONS(7407),
    [anon_sym_BSLASHxdef] = ACTIONS(7407),
    [anon_sym_BSLASHlet] = ACTIONS(7407),
    [anon_sym_BSLASHglet] = ACTIONS(7407),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7407),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7407),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7407),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7407),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7407),
    [anon_sym_BSLASHgls] = ACTIONS(7407),
    [anon_sym_BSLASHGls] = ACTIONS(7407),
    [anon_sym_BSLASHGLS] = ACTIONS(7407),
    [anon_sym_BSLASHglspl] = ACTIONS(7407),
    [anon_sym_BSLASHGlspl] = ACTIONS(7407),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7407),
    [anon_sym_BSLASHglslink] = ACTIONS(7407),
    [anon_sym_BSLASHglstext] = ACTIONS(7407),
    [anon_sym_BSLASHGlstext] = ACTIONS(7407),
    [anon_sym_BSLASHGLStext] = ACTIONS(7407),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7407),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7407),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7407),
    [anon_sym_BSLASHglsplural] = ACTIONS(7407),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7407),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7407),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHglsname] = ACTIONS(7407),
    [anon_sym_BSLASHGlsname] = ACTIONS(7407),
    [anon_sym_BSLASHGLSname] = ACTIONS(7407),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7407),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7407),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7407),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7407),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7407),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7407),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7407),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7407),
    [anon_sym_BSLASHacrshort] = ACTIONS(7407),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7407),
    [anon_sym_BSLASHACRshort] = ACTIONS(7407),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHacrlong] = ACTIONS(7407),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7407),
    [anon_sym_BSLASHACRlong] = ACTIONS(7407),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHacrfull] = ACTIONS(7407),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7407),
    [anon_sym_BSLASHACRfull] = ACTIONS(7407),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHacs] = ACTIONS(7407),
    [anon_sym_BSLASHAcs] = ACTIONS(7407),
    [anon_sym_BSLASHacsp] = ACTIONS(7407),
    [anon_sym_BSLASHAcsp] = ACTIONS(7407),
    [anon_sym_BSLASHacl] = ACTIONS(7407),
    [anon_sym_BSLASHAcl] = ACTIONS(7407),
    [anon_sym_BSLASHaclp] = ACTIONS(7407),
    [anon_sym_BSLASHAclp] = ACTIONS(7407),
    [anon_sym_BSLASHacf] = ACTIONS(7407),
    [anon_sym_BSLASHAcf] = ACTIONS(7407),
    [anon_sym_BSLASHacfp] = ACTIONS(7407),
    [anon_sym_BSLASHAcfp] = ACTIONS(7407),
    [anon_sym_BSLASHac] = ACTIONS(7407),
    [anon_sym_BSLASHAc] = ACTIONS(7407),
    [anon_sym_BSLASHacp] = ACTIONS(7407),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7407),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7407),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7407),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7407),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7407),
    [anon_sym_BSLASHcolor] = ACTIONS(7407),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7407),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7407),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7407),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7407),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7407),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7407),
    [anon_sym_BSLASHurl] = ACTIONS(7407),
    [anon_sym_BSLASHhref] = ACTIONS(7407),
  },
  [1192] = {
    [sym_command_name] = ACTIONS(7411),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7411),
    [anon_sym_LBRACK] = ACTIONS(7413),
    [anon_sym_RBRACK] = ACTIONS(7413),
    [anon_sym_COMMA] = ACTIONS(7413),
    [anon_sym_EQ] = ACTIONS(7413),
    [anon_sym_LPAREN] = ACTIONS(7413),
    [anon_sym_RPAREN] = ACTIONS(7413),
    [anon_sym_BSLASHpart] = ACTIONS(7411),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHaddpart] = ACTIONS(7411),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHchapter] = ACTIONS(7411),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHaddchap] = ACTIONS(7411),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHsection] = ACTIONS(7411),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHaddsec] = ACTIONS(7411),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHsubsection] = ACTIONS(7411),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7411),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHparagraph] = ACTIONS(7411),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7411),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHitem] = ACTIONS(7411),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7413),
    [anon_sym_LBRACE] = ACTIONS(7413),
    [sym_word] = ACTIONS(7411),
    [sym_placeholder] = ACTIONS(7413),
    [sym_delimiter] = ACTIONS(7413),
    [anon_sym_PLUS] = ACTIONS(7413),
    [anon_sym_DASH] = ACTIONS(7413),
    [anon_sym_STAR] = ACTIONS(7413),
    [anon_sym_SLASH] = ACTIONS(7413),
    [anon_sym_LT] = ACTIONS(7411),
    [anon_sym_GT] = ACTIONS(7411),
    [anon_sym_BANG] = ACTIONS(7411),
    [anon_sym_PIPE] = ACTIONS(7411),
    [anon_sym_COLON] = ACTIONS(7411),
    [anon_sym_SQUOTE] = ACTIONS(7411),
    [anon_sym__] = ACTIONS(7413),
    [anon_sym_CARET] = ACTIONS(7413),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7413),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7413),
    [anon_sym_DOLLAR] = ACTIONS(7411),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7413),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7413),
    [anon_sym_BSLASHleft] = ACTIONS(7411),
    [anon_sym_BSLASHbigl] = ACTIONS(7411),
    [anon_sym_BSLASHBigl] = ACTIONS(7411),
    [anon_sym_BSLASHbiggl] = ACTIONS(7411),
    [anon_sym_BSLASHBiggl] = ACTIONS(7411),
    [anon_sym_BSLASHtext] = ACTIONS(7411),
    [anon_sym_BSLASHintertext] = ACTIONS(7411),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7411),
    [anon_sym_BSLASHbegin] = ACTIONS(7411),
    [anon_sym_BSLASHtitle] = ACTIONS(7411),
    [anon_sym_BSLASHauthor] = ACTIONS(7411),
    [anon_sym_BSLASHusepackage] = ACTIONS(7411),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7411),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7411),
    [anon_sym_BSLASHinclude] = ACTIONS(7411),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7411),
    [anon_sym_BSLASHinput] = ACTIONS(7411),
    [anon_sym_BSLASHsubfile] = ACTIONS(7411),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7411),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7411),
    [anon_sym_BSLASHbibliography] = ACTIONS(7411),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7411),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7411),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7411),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7411),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7411),
    [anon_sym_BSLASHimport] = ACTIONS(7411),
    [anon_sym_BSLASHsubimport] = ACTIONS(7411),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7411),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7411),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7411),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7411),
    [anon_sym_BSLASHcaption] = ACTIONS(7411),
    [anon_sym_BSLASHcite] = ACTIONS(7411),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCite] = ACTIONS(7411),
    [anon_sym_BSLASHnocite] = ACTIONS(7411),
    [anon_sym_BSLASHcitet] = ACTIONS(7411),
    [anon_sym_BSLASHcitep] = ACTIONS(7411),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteA] = ACTIONS(7411),
    [anon_sym_BSLASHciteR] = ACTIONS(7411),
    [anon_sym_BSLASHciteS] = ACTIONS(7411),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7411),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7411),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7411),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7411),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteyear] = ACTIONS(7411),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitedate] = ACTIONS(7411),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteurl] = ACTIONS(7411),
    [anon_sym_BSLASHfullcite] = ACTIONS(7411),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7411),
    [anon_sym_BSLASHcitealt] = ACTIONS(7411),
    [anon_sym_BSLASHcitealp] = ACTIONS(7411),
    [anon_sym_BSLASHcitetext] = ACTIONS(7411),
    [anon_sym_BSLASHparencite] = ACTIONS(7411),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHParencite] = ACTIONS(7411),
    [anon_sym_BSLASHfootcite] = ACTIONS(7411),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7411),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7411),
    [anon_sym_BSLASHtextcite] = ACTIONS(7411),
    [anon_sym_BSLASHTextcite] = ACTIONS(7411),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7411),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7411),
    [anon_sym_BSLASHsupercite] = ACTIONS(7411),
    [anon_sym_BSLASHautocite] = ACTIONS(7411),
    [anon_sym_BSLASHAutocite] = ACTIONS(7411),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHVolcite] = ACTIONS(7411),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHavolcite] = ACTIONS(7411),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHNotecite] = ACTIONS(7411),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHlabel] = ACTIONS(7411),
    [anon_sym_BSLASHref] = ACTIONS(7411),
    [anon_sym_BSLASHeqref] = ACTIONS(7411),
    [anon_sym_BSLASHvref] = ACTIONS(7411),
    [anon_sym_BSLASHVref] = ACTIONS(7411),
    [anon_sym_BSLASHautoref] = ACTIONS(7411),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHpageref] = ACTIONS(7411),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHautopageref] = ACTIONS(7411),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcref] = ACTIONS(7411),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCref] = ACTIONS(7411),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcpageref] = ACTIONS(7411),
    [anon_sym_BSLASHCpageref] = ACTIONS(7411),
    [anon_sym_BSLASHnamecref] = ACTIONS(7411),
    [anon_sym_BSLASHnameCref] = ACTIONS(7411),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7411),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7411),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7411),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7411),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7411),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7411),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7411),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7411),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7411),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7411),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7411),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHdef] = ACTIONS(7411),
    [anon_sym_BSLASHgdef] = ACTIONS(7411),
    [anon_sym_BSLASHedef] = ACTIONS(7411),
    [anon_sym_BSLASHxdef] = ACTIONS(7411),
    [anon_sym_BSLASHlet] = ACTIONS(7411),
    [anon_sym_BSLASHglet] = ACTIONS(7411),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7411),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7411),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7411),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7411),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7411),
    [anon_sym_BSLASHgls] = ACTIONS(7411),
    [anon_sym_BSLASHGls] = ACTIONS(7411),
    [anon_sym_BSLASHGLS] = ACTIONS(7411),
    [anon_sym_BSLASHglspl] = ACTIONS(7411),
    [anon_sym_BSLASHGlspl] = ACTIONS(7411),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7411),
    [anon_sym_BSLASHglslink] = ACTIONS(7411),
    [anon_sym_BSLASHglstext] = ACTIONS(7411),
    [anon_sym_BSLASHGlstext] = ACTIONS(7411),
    [anon_sym_BSLASHGLStext] = ACTIONS(7411),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7411),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7411),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7411),
    [anon_sym_BSLASHglsplural] = ACTIONS(7411),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7411),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7411),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHglsname] = ACTIONS(7411),
    [anon_sym_BSLASHGlsname] = ACTIONS(7411),
    [anon_sym_BSLASHGLSname] = ACTIONS(7411),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7411),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7411),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7411),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7411),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7411),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7411),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7411),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7411),
    [anon_sym_BSLASHacrshort] = ACTIONS(7411),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7411),
    [anon_sym_BSLASHACRshort] = ACTIONS(7411),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHacrlong] = ACTIONS(7411),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7411),
    [anon_sym_BSLASHACRlong] = ACTIONS(7411),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHacrfull] = ACTIONS(7411),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7411),
    [anon_sym_BSLASHACRfull] = ACTIONS(7411),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHacs] = ACTIONS(7411),
    [anon_sym_BSLASHAcs] = ACTIONS(7411),
    [anon_sym_BSLASHacsp] = ACTIONS(7411),
    [anon_sym_BSLASHAcsp] = ACTIONS(7411),
    [anon_sym_BSLASHacl] = ACTIONS(7411),
    [anon_sym_BSLASHAcl] = ACTIONS(7411),
    [anon_sym_BSLASHaclp] = ACTIONS(7411),
    [anon_sym_BSLASHAclp] = ACTIONS(7411),
    [anon_sym_BSLASHacf] = ACTIONS(7411),
    [anon_sym_BSLASHAcf] = ACTIONS(7411),
    [anon_sym_BSLASHacfp] = ACTIONS(7411),
    [anon_sym_BSLASHAcfp] = ACTIONS(7411),
    [anon_sym_BSLASHac] = ACTIONS(7411),
    [anon_sym_BSLASHAc] = ACTIONS(7411),
    [anon_sym_BSLASHacp] = ACTIONS(7411),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7411),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7411),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7411),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7411),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7411),
    [anon_sym_BSLASHcolor] = ACTIONS(7411),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7411),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7411),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7411),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7411),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7411),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7411),
    [anon_sym_BSLASHurl] = ACTIONS(7411),
    [anon_sym_BSLASHhref] = ACTIONS(7411),
  },
  [1193] = {
    [sym_command_name] = ACTIONS(7343),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7343),
    [anon_sym_LBRACK] = ACTIONS(7345),
    [anon_sym_RBRACK] = ACTIONS(7345),
    [anon_sym_COMMA] = ACTIONS(7345),
    [anon_sym_EQ] = ACTIONS(7345),
    [anon_sym_LPAREN] = ACTIONS(7345),
    [anon_sym_RPAREN] = ACTIONS(7345),
    [anon_sym_BSLASHpart] = ACTIONS(7343),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHaddpart] = ACTIONS(7343),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHchapter] = ACTIONS(7343),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHaddchap] = ACTIONS(7343),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHsection] = ACTIONS(7343),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHaddsec] = ACTIONS(7343),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHsubsection] = ACTIONS(7343),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7343),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHparagraph] = ACTIONS(7343),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7343),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHitem] = ACTIONS(7343),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7345),
    [anon_sym_LBRACE] = ACTIONS(7345),
    [sym_word] = ACTIONS(7343),
    [sym_placeholder] = ACTIONS(7345),
    [sym_delimiter] = ACTIONS(7345),
    [anon_sym_PLUS] = ACTIONS(7345),
    [anon_sym_DASH] = ACTIONS(7345),
    [anon_sym_STAR] = ACTIONS(7345),
    [anon_sym_SLASH] = ACTIONS(7345),
    [anon_sym_LT] = ACTIONS(7343),
    [anon_sym_GT] = ACTIONS(7343),
    [anon_sym_BANG] = ACTIONS(7343),
    [anon_sym_PIPE] = ACTIONS(7343),
    [anon_sym_COLON] = ACTIONS(7343),
    [anon_sym_SQUOTE] = ACTIONS(7343),
    [anon_sym__] = ACTIONS(7345),
    [anon_sym_CARET] = ACTIONS(7345),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7345),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7345),
    [anon_sym_DOLLAR] = ACTIONS(7343),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7345),
    [anon_sym_BSLASHleft] = ACTIONS(7343),
    [anon_sym_BSLASHbigl] = ACTIONS(7343),
    [anon_sym_BSLASHBigl] = ACTIONS(7343),
    [anon_sym_BSLASHbiggl] = ACTIONS(7343),
    [anon_sym_BSLASHBiggl] = ACTIONS(7343),
    [anon_sym_BSLASHtext] = ACTIONS(7343),
    [anon_sym_BSLASHintertext] = ACTIONS(7343),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7343),
    [anon_sym_BSLASHbegin] = ACTIONS(7343),
    [anon_sym_BSLASHend] = ACTIONS(7343),
    [anon_sym_BSLASHtitle] = ACTIONS(7343),
    [anon_sym_BSLASHauthor] = ACTIONS(7343),
    [anon_sym_BSLASHusepackage] = ACTIONS(7343),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7343),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7343),
    [anon_sym_BSLASHinclude] = ACTIONS(7343),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7343),
    [anon_sym_BSLASHinput] = ACTIONS(7343),
    [anon_sym_BSLASHsubfile] = ACTIONS(7343),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7343),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7343),
    [anon_sym_BSLASHbibliography] = ACTIONS(7343),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7343),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7343),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7343),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7343),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7343),
    [anon_sym_BSLASHimport] = ACTIONS(7343),
    [anon_sym_BSLASHsubimport] = ACTIONS(7343),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7343),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7343),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7343),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7343),
    [anon_sym_BSLASHcaption] = ACTIONS(7343),
    [anon_sym_BSLASHcite] = ACTIONS(7343),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCite] = ACTIONS(7343),
    [anon_sym_BSLASHnocite] = ACTIONS(7343),
    [anon_sym_BSLASHcitet] = ACTIONS(7343),
    [anon_sym_BSLASHcitep] = ACTIONS(7343),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteA] = ACTIONS(7343),
    [anon_sym_BSLASHciteR] = ACTIONS(7343),
    [anon_sym_BSLASHciteS] = ACTIONS(7343),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7343),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7343),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7343),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7343),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteyear] = ACTIONS(7343),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitedate] = ACTIONS(7343),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteurl] = ACTIONS(7343),
    [anon_sym_BSLASHfullcite] = ACTIONS(7343),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7343),
    [anon_sym_BSLASHcitealt] = ACTIONS(7343),
    [anon_sym_BSLASHcitealp] = ACTIONS(7343),
    [anon_sym_BSLASHcitetext] = ACTIONS(7343),
    [anon_sym_BSLASHparencite] = ACTIONS(7343),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHParencite] = ACTIONS(7343),
    [anon_sym_BSLASHfootcite] = ACTIONS(7343),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7343),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7343),
    [anon_sym_BSLASHtextcite] = ACTIONS(7343),
    [anon_sym_BSLASHTextcite] = ACTIONS(7343),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7343),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7343),
    [anon_sym_BSLASHsupercite] = ACTIONS(7343),
    [anon_sym_BSLASHautocite] = ACTIONS(7343),
    [anon_sym_BSLASHAutocite] = ACTIONS(7343),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHVolcite] = ACTIONS(7343),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHavolcite] = ACTIONS(7343),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHNotecite] = ACTIONS(7343),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHlabel] = ACTIONS(7343),
    [anon_sym_BSLASHref] = ACTIONS(7343),
    [anon_sym_BSLASHeqref] = ACTIONS(7343),
    [anon_sym_BSLASHvref] = ACTIONS(7343),
    [anon_sym_BSLASHVref] = ACTIONS(7343),
    [anon_sym_BSLASHautoref] = ACTIONS(7343),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHpageref] = ACTIONS(7343),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHautopageref] = ACTIONS(7343),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcref] = ACTIONS(7343),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCref] = ACTIONS(7343),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcpageref] = ACTIONS(7343),
    [anon_sym_BSLASHCpageref] = ACTIONS(7343),
    [anon_sym_BSLASHnamecref] = ACTIONS(7343),
    [anon_sym_BSLASHnameCref] = ACTIONS(7343),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7343),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7343),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7343),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7343),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7343),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7343),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7343),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7343),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7343),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7343),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7343),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHdef] = ACTIONS(7343),
    [anon_sym_BSLASHgdef] = ACTIONS(7343),
    [anon_sym_BSLASHedef] = ACTIONS(7343),
    [anon_sym_BSLASHxdef] = ACTIONS(7343),
    [anon_sym_BSLASHlet] = ACTIONS(7343),
    [anon_sym_BSLASHglet] = ACTIONS(7343),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7343),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7343),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7343),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7343),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7343),
    [anon_sym_BSLASHgls] = ACTIONS(7343),
    [anon_sym_BSLASHGls] = ACTIONS(7343),
    [anon_sym_BSLASHGLS] = ACTIONS(7343),
    [anon_sym_BSLASHglspl] = ACTIONS(7343),
    [anon_sym_BSLASHGlspl] = ACTIONS(7343),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7343),
    [anon_sym_BSLASHglslink] = ACTIONS(7343),
    [anon_sym_BSLASHglstext] = ACTIONS(7343),
    [anon_sym_BSLASHGlstext] = ACTIONS(7343),
    [anon_sym_BSLASHGLStext] = ACTIONS(7343),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7343),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7343),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7343),
    [anon_sym_BSLASHglsplural] = ACTIONS(7343),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7343),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7343),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHglsname] = ACTIONS(7343),
    [anon_sym_BSLASHGlsname] = ACTIONS(7343),
    [anon_sym_BSLASHGLSname] = ACTIONS(7343),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7343),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7343),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7343),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7343),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7343),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7343),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7343),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7343),
    [anon_sym_BSLASHacrshort] = ACTIONS(7343),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7343),
    [anon_sym_BSLASHACRshort] = ACTIONS(7343),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHacrlong] = ACTIONS(7343),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7343),
    [anon_sym_BSLASHACRlong] = ACTIONS(7343),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHacrfull] = ACTIONS(7343),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7343),
    [anon_sym_BSLASHACRfull] = ACTIONS(7343),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHacs] = ACTIONS(7343),
    [anon_sym_BSLASHAcs] = ACTIONS(7343),
    [anon_sym_BSLASHacsp] = ACTIONS(7343),
    [anon_sym_BSLASHAcsp] = ACTIONS(7343),
    [anon_sym_BSLASHacl] = ACTIONS(7343),
    [anon_sym_BSLASHAcl] = ACTIONS(7343),
    [anon_sym_BSLASHaclp] = ACTIONS(7343),
    [anon_sym_BSLASHAclp] = ACTIONS(7343),
    [anon_sym_BSLASHacf] = ACTIONS(7343),
    [anon_sym_BSLASHAcf] = ACTIONS(7343),
    [anon_sym_BSLASHacfp] = ACTIONS(7343),
    [anon_sym_BSLASHAcfp] = ACTIONS(7343),
    [anon_sym_BSLASHac] = ACTIONS(7343),
    [anon_sym_BSLASHAc] = ACTIONS(7343),
    [anon_sym_BSLASHacp] = ACTIONS(7343),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7343),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7343),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7343),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7343),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7343),
    [anon_sym_BSLASHcolor] = ACTIONS(7343),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7343),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7343),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7343),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7343),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7343),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7343),
    [anon_sym_BSLASHurl] = ACTIONS(7343),
    [anon_sym_BSLASHhref] = ACTIONS(7343),
  },
  [1194] = {
    [sym_command_name] = ACTIONS(7579),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7579),
    [anon_sym_LBRACK] = ACTIONS(7581),
    [anon_sym_RBRACK] = ACTIONS(7581),
    [anon_sym_COMMA] = ACTIONS(7581),
    [anon_sym_EQ] = ACTIONS(7581),
    [anon_sym_LPAREN] = ACTIONS(7581),
    [anon_sym_RPAREN] = ACTIONS(7581),
    [anon_sym_BSLASHpart] = ACTIONS(7579),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHaddpart] = ACTIONS(7579),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHchapter] = ACTIONS(7579),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHaddchap] = ACTIONS(7579),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHsection] = ACTIONS(7579),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHaddsec] = ACTIONS(7579),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHsubsection] = ACTIONS(7579),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7579),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHparagraph] = ACTIONS(7579),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7579),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHitem] = ACTIONS(7579),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7581),
    [anon_sym_LBRACE] = ACTIONS(7581),
    [sym_word] = ACTIONS(7579),
    [sym_placeholder] = ACTIONS(7581),
    [sym_delimiter] = ACTIONS(7581),
    [anon_sym_PLUS] = ACTIONS(7581),
    [anon_sym_DASH] = ACTIONS(7581),
    [anon_sym_STAR] = ACTIONS(7581),
    [anon_sym_SLASH] = ACTIONS(7581),
    [anon_sym_LT] = ACTIONS(7579),
    [anon_sym_GT] = ACTIONS(7579),
    [anon_sym_BANG] = ACTIONS(7579),
    [anon_sym_PIPE] = ACTIONS(7579),
    [anon_sym_COLON] = ACTIONS(7579),
    [anon_sym_SQUOTE] = ACTIONS(7579),
    [anon_sym__] = ACTIONS(7581),
    [anon_sym_CARET] = ACTIONS(7581),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7581),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7581),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7581),
    [anon_sym_DOLLAR] = ACTIONS(7579),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7581),
    [anon_sym_BSLASHleft] = ACTIONS(7579),
    [anon_sym_BSLASHbigl] = ACTIONS(7579),
    [anon_sym_BSLASHBigl] = ACTIONS(7579),
    [anon_sym_BSLASHbiggl] = ACTIONS(7579),
    [anon_sym_BSLASHBiggl] = ACTIONS(7579),
    [anon_sym_BSLASHtext] = ACTIONS(7579),
    [anon_sym_BSLASHintertext] = ACTIONS(7579),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7579),
    [anon_sym_BSLASHbegin] = ACTIONS(7579),
    [anon_sym_BSLASHtitle] = ACTIONS(7579),
    [anon_sym_BSLASHauthor] = ACTIONS(7579),
    [anon_sym_BSLASHusepackage] = ACTIONS(7579),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7579),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7579),
    [anon_sym_BSLASHinclude] = ACTIONS(7579),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7579),
    [anon_sym_BSLASHinput] = ACTIONS(7579),
    [anon_sym_BSLASHsubfile] = ACTIONS(7579),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7579),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7579),
    [anon_sym_BSLASHbibliography] = ACTIONS(7579),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7579),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7579),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7579),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7579),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7579),
    [anon_sym_BSLASHimport] = ACTIONS(7579),
    [anon_sym_BSLASHsubimport] = ACTIONS(7579),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7579),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7579),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7579),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7579),
    [anon_sym_BSLASHcaption] = ACTIONS(7579),
    [anon_sym_BSLASHcite] = ACTIONS(7579),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCite] = ACTIONS(7579),
    [anon_sym_BSLASHnocite] = ACTIONS(7579),
    [anon_sym_BSLASHcitet] = ACTIONS(7579),
    [anon_sym_BSLASHcitep] = ACTIONS(7579),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteA] = ACTIONS(7579),
    [anon_sym_BSLASHciteR] = ACTIONS(7579),
    [anon_sym_BSLASHciteS] = ACTIONS(7579),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7579),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7579),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7579),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7579),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteyear] = ACTIONS(7579),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitedate] = ACTIONS(7579),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteurl] = ACTIONS(7579),
    [anon_sym_BSLASHfullcite] = ACTIONS(7579),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7579),
    [anon_sym_BSLASHcitealt] = ACTIONS(7579),
    [anon_sym_BSLASHcitealp] = ACTIONS(7579),
    [anon_sym_BSLASHcitetext] = ACTIONS(7579),
    [anon_sym_BSLASHparencite] = ACTIONS(7579),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHParencite] = ACTIONS(7579),
    [anon_sym_BSLASHfootcite] = ACTIONS(7579),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7579),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7579),
    [anon_sym_BSLASHtextcite] = ACTIONS(7579),
    [anon_sym_BSLASHTextcite] = ACTIONS(7579),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7579),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7579),
    [anon_sym_BSLASHsupercite] = ACTIONS(7579),
    [anon_sym_BSLASHautocite] = ACTIONS(7579),
    [anon_sym_BSLASHAutocite] = ACTIONS(7579),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHVolcite] = ACTIONS(7579),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHavolcite] = ACTIONS(7579),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHNotecite] = ACTIONS(7579),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHlabel] = ACTIONS(7579),
    [anon_sym_BSLASHref] = ACTIONS(7579),
    [anon_sym_BSLASHeqref] = ACTIONS(7579),
    [anon_sym_BSLASHvref] = ACTIONS(7579),
    [anon_sym_BSLASHVref] = ACTIONS(7579),
    [anon_sym_BSLASHautoref] = ACTIONS(7579),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHpageref] = ACTIONS(7579),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHautopageref] = ACTIONS(7579),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcref] = ACTIONS(7579),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCref] = ACTIONS(7579),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcpageref] = ACTIONS(7579),
    [anon_sym_BSLASHCpageref] = ACTIONS(7579),
    [anon_sym_BSLASHnamecref] = ACTIONS(7579),
    [anon_sym_BSLASHnameCref] = ACTIONS(7579),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7579),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7579),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7579),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7579),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7579),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7579),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7579),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7579),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7579),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7579),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7579),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHdef] = ACTIONS(7579),
    [anon_sym_BSLASHgdef] = ACTIONS(7579),
    [anon_sym_BSLASHedef] = ACTIONS(7579),
    [anon_sym_BSLASHxdef] = ACTIONS(7579),
    [anon_sym_BSLASHlet] = ACTIONS(7579),
    [anon_sym_BSLASHglet] = ACTIONS(7579),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7579),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7579),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7579),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7579),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7579),
    [anon_sym_BSLASHgls] = ACTIONS(7579),
    [anon_sym_BSLASHGls] = ACTIONS(7579),
    [anon_sym_BSLASHGLS] = ACTIONS(7579),
    [anon_sym_BSLASHglspl] = ACTIONS(7579),
    [anon_sym_BSLASHGlspl] = ACTIONS(7579),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7579),
    [anon_sym_BSLASHglslink] = ACTIONS(7579),
    [anon_sym_BSLASHglstext] = ACTIONS(7579),
    [anon_sym_BSLASHGlstext] = ACTIONS(7579),
    [anon_sym_BSLASHGLStext] = ACTIONS(7579),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7579),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7579),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7579),
    [anon_sym_BSLASHglsplural] = ACTIONS(7579),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7579),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7579),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHglsname] = ACTIONS(7579),
    [anon_sym_BSLASHGlsname] = ACTIONS(7579),
    [anon_sym_BSLASHGLSname] = ACTIONS(7579),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7579),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7579),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7579),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7579),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7579),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7579),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7579),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7579),
    [anon_sym_BSLASHacrshort] = ACTIONS(7579),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7579),
    [anon_sym_BSLASHACRshort] = ACTIONS(7579),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHacrlong] = ACTIONS(7579),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7579),
    [anon_sym_BSLASHACRlong] = ACTIONS(7579),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHacrfull] = ACTIONS(7579),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7579),
    [anon_sym_BSLASHACRfull] = ACTIONS(7579),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHacs] = ACTIONS(7579),
    [anon_sym_BSLASHAcs] = ACTIONS(7579),
    [anon_sym_BSLASHacsp] = ACTIONS(7579),
    [anon_sym_BSLASHAcsp] = ACTIONS(7579),
    [anon_sym_BSLASHacl] = ACTIONS(7579),
    [anon_sym_BSLASHAcl] = ACTIONS(7579),
    [anon_sym_BSLASHaclp] = ACTIONS(7579),
    [anon_sym_BSLASHAclp] = ACTIONS(7579),
    [anon_sym_BSLASHacf] = ACTIONS(7579),
    [anon_sym_BSLASHAcf] = ACTIONS(7579),
    [anon_sym_BSLASHacfp] = ACTIONS(7579),
    [anon_sym_BSLASHAcfp] = ACTIONS(7579),
    [anon_sym_BSLASHac] = ACTIONS(7579),
    [anon_sym_BSLASHAc] = ACTIONS(7579),
    [anon_sym_BSLASHacp] = ACTIONS(7579),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7579),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7579),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7579),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7579),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7579),
    [anon_sym_BSLASHcolor] = ACTIONS(7579),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7579),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7579),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7579),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7579),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7579),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7579),
    [anon_sym_BSLASHurl] = ACTIONS(7579),
    [anon_sym_BSLASHhref] = ACTIONS(7579),
  },
  [1195] = {
    [sym_command_name] = ACTIONS(7415),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7415),
    [anon_sym_LBRACK] = ACTIONS(7417),
    [anon_sym_RBRACK] = ACTIONS(7417),
    [anon_sym_COMMA] = ACTIONS(7417),
    [anon_sym_EQ] = ACTIONS(7417),
    [anon_sym_LPAREN] = ACTIONS(7417),
    [anon_sym_RPAREN] = ACTIONS(7417),
    [anon_sym_BSLASHpart] = ACTIONS(7415),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHaddpart] = ACTIONS(7415),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHchapter] = ACTIONS(7415),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHaddchap] = ACTIONS(7415),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHsection] = ACTIONS(7415),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHaddsec] = ACTIONS(7415),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHsubsection] = ACTIONS(7415),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7415),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHparagraph] = ACTIONS(7415),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7415),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHitem] = ACTIONS(7415),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7417),
    [anon_sym_LBRACE] = ACTIONS(7417),
    [sym_word] = ACTIONS(7415),
    [sym_placeholder] = ACTIONS(7417),
    [sym_delimiter] = ACTIONS(7417),
    [anon_sym_PLUS] = ACTIONS(7417),
    [anon_sym_DASH] = ACTIONS(7417),
    [anon_sym_STAR] = ACTIONS(7417),
    [anon_sym_SLASH] = ACTIONS(7417),
    [anon_sym_LT] = ACTIONS(7415),
    [anon_sym_GT] = ACTIONS(7415),
    [anon_sym_BANG] = ACTIONS(7415),
    [anon_sym_PIPE] = ACTIONS(7415),
    [anon_sym_COLON] = ACTIONS(7415),
    [anon_sym_SQUOTE] = ACTIONS(7415),
    [anon_sym__] = ACTIONS(7417),
    [anon_sym_CARET] = ACTIONS(7417),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7417),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7417),
    [anon_sym_DOLLAR] = ACTIONS(7415),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7417),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7417),
    [anon_sym_BSLASHleft] = ACTIONS(7415),
    [anon_sym_BSLASHbigl] = ACTIONS(7415),
    [anon_sym_BSLASHBigl] = ACTIONS(7415),
    [anon_sym_BSLASHbiggl] = ACTIONS(7415),
    [anon_sym_BSLASHBiggl] = ACTIONS(7415),
    [anon_sym_BSLASHtext] = ACTIONS(7415),
    [anon_sym_BSLASHintertext] = ACTIONS(7415),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7415),
    [anon_sym_BSLASHbegin] = ACTIONS(7415),
    [anon_sym_BSLASHtitle] = ACTIONS(7415),
    [anon_sym_BSLASHauthor] = ACTIONS(7415),
    [anon_sym_BSLASHusepackage] = ACTIONS(7415),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7415),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7415),
    [anon_sym_BSLASHinclude] = ACTIONS(7415),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7415),
    [anon_sym_BSLASHinput] = ACTIONS(7415),
    [anon_sym_BSLASHsubfile] = ACTIONS(7415),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7415),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7415),
    [anon_sym_BSLASHbibliography] = ACTIONS(7415),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7415),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7415),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7415),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7415),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7415),
    [anon_sym_BSLASHimport] = ACTIONS(7415),
    [anon_sym_BSLASHsubimport] = ACTIONS(7415),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7415),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7415),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7415),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7415),
    [anon_sym_BSLASHcaption] = ACTIONS(7415),
    [anon_sym_BSLASHcite] = ACTIONS(7415),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCite] = ACTIONS(7415),
    [anon_sym_BSLASHnocite] = ACTIONS(7415),
    [anon_sym_BSLASHcitet] = ACTIONS(7415),
    [anon_sym_BSLASHcitep] = ACTIONS(7415),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteA] = ACTIONS(7415),
    [anon_sym_BSLASHciteR] = ACTIONS(7415),
    [anon_sym_BSLASHciteS] = ACTIONS(7415),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7415),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7415),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7415),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7415),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteyear] = ACTIONS(7415),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitedate] = ACTIONS(7415),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteurl] = ACTIONS(7415),
    [anon_sym_BSLASHfullcite] = ACTIONS(7415),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7415),
    [anon_sym_BSLASHcitealt] = ACTIONS(7415),
    [anon_sym_BSLASHcitealp] = ACTIONS(7415),
    [anon_sym_BSLASHcitetext] = ACTIONS(7415),
    [anon_sym_BSLASHparencite] = ACTIONS(7415),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHParencite] = ACTIONS(7415),
    [anon_sym_BSLASHfootcite] = ACTIONS(7415),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7415),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7415),
    [anon_sym_BSLASHtextcite] = ACTIONS(7415),
    [anon_sym_BSLASHTextcite] = ACTIONS(7415),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7415),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7415),
    [anon_sym_BSLASHsupercite] = ACTIONS(7415),
    [anon_sym_BSLASHautocite] = ACTIONS(7415),
    [anon_sym_BSLASHAutocite] = ACTIONS(7415),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHVolcite] = ACTIONS(7415),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHavolcite] = ACTIONS(7415),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHNotecite] = ACTIONS(7415),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHlabel] = ACTIONS(7415),
    [anon_sym_BSLASHref] = ACTIONS(7415),
    [anon_sym_BSLASHeqref] = ACTIONS(7415),
    [anon_sym_BSLASHvref] = ACTIONS(7415),
    [anon_sym_BSLASHVref] = ACTIONS(7415),
    [anon_sym_BSLASHautoref] = ACTIONS(7415),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHpageref] = ACTIONS(7415),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHautopageref] = ACTIONS(7415),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcref] = ACTIONS(7415),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCref] = ACTIONS(7415),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcpageref] = ACTIONS(7415),
    [anon_sym_BSLASHCpageref] = ACTIONS(7415),
    [anon_sym_BSLASHnamecref] = ACTIONS(7415),
    [anon_sym_BSLASHnameCref] = ACTIONS(7415),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7415),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7415),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7415),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7415),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7415),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7415),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7415),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7415),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7415),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7415),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7415),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHdef] = ACTIONS(7415),
    [anon_sym_BSLASHgdef] = ACTIONS(7415),
    [anon_sym_BSLASHedef] = ACTIONS(7415),
    [anon_sym_BSLASHxdef] = ACTIONS(7415),
    [anon_sym_BSLASHlet] = ACTIONS(7415),
    [anon_sym_BSLASHglet] = ACTIONS(7415),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7415),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7415),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7415),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7415),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7415),
    [anon_sym_BSLASHgls] = ACTIONS(7415),
    [anon_sym_BSLASHGls] = ACTIONS(7415),
    [anon_sym_BSLASHGLS] = ACTIONS(7415),
    [anon_sym_BSLASHglspl] = ACTIONS(7415),
    [anon_sym_BSLASHGlspl] = ACTIONS(7415),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7415),
    [anon_sym_BSLASHglslink] = ACTIONS(7415),
    [anon_sym_BSLASHglstext] = ACTIONS(7415),
    [anon_sym_BSLASHGlstext] = ACTIONS(7415),
    [anon_sym_BSLASHGLStext] = ACTIONS(7415),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7415),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7415),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7415),
    [anon_sym_BSLASHglsplural] = ACTIONS(7415),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7415),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7415),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHglsname] = ACTIONS(7415),
    [anon_sym_BSLASHGlsname] = ACTIONS(7415),
    [anon_sym_BSLASHGLSname] = ACTIONS(7415),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7415),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7415),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7415),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7415),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7415),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7415),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7415),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7415),
    [anon_sym_BSLASHacrshort] = ACTIONS(7415),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7415),
    [anon_sym_BSLASHACRshort] = ACTIONS(7415),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHacrlong] = ACTIONS(7415),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7415),
    [anon_sym_BSLASHACRlong] = ACTIONS(7415),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHacrfull] = ACTIONS(7415),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7415),
    [anon_sym_BSLASHACRfull] = ACTIONS(7415),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHacs] = ACTIONS(7415),
    [anon_sym_BSLASHAcs] = ACTIONS(7415),
    [anon_sym_BSLASHacsp] = ACTIONS(7415),
    [anon_sym_BSLASHAcsp] = ACTIONS(7415),
    [anon_sym_BSLASHacl] = ACTIONS(7415),
    [anon_sym_BSLASHAcl] = ACTIONS(7415),
    [anon_sym_BSLASHaclp] = ACTIONS(7415),
    [anon_sym_BSLASHAclp] = ACTIONS(7415),
    [anon_sym_BSLASHacf] = ACTIONS(7415),
    [anon_sym_BSLASHAcf] = ACTIONS(7415),
    [anon_sym_BSLASHacfp] = ACTIONS(7415),
    [anon_sym_BSLASHAcfp] = ACTIONS(7415),
    [anon_sym_BSLASHac] = ACTIONS(7415),
    [anon_sym_BSLASHAc] = ACTIONS(7415),
    [anon_sym_BSLASHacp] = ACTIONS(7415),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7415),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7415),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7415),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7415),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7415),
    [anon_sym_BSLASHcolor] = ACTIONS(7415),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7415),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7415),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7415),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7415),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7415),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7415),
    [anon_sym_BSLASHurl] = ACTIONS(7415),
    [anon_sym_BSLASHhref] = ACTIONS(7415),
  },
  [1196] = {
    [sym_command_name] = ACTIONS(7159),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7159),
    [anon_sym_LBRACK] = ACTIONS(7161),
    [anon_sym_RBRACK] = ACTIONS(7161),
    [anon_sym_COMMA] = ACTIONS(7161),
    [anon_sym_EQ] = ACTIONS(7161),
    [anon_sym_LPAREN] = ACTIONS(7161),
    [anon_sym_RPAREN] = ACTIONS(7161),
    [anon_sym_BSLASHpart] = ACTIONS(7159),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHaddpart] = ACTIONS(7159),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHchapter] = ACTIONS(7159),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHaddchap] = ACTIONS(7159),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHsection] = ACTIONS(7159),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHaddsec] = ACTIONS(7159),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHsubsection] = ACTIONS(7159),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7159),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHparagraph] = ACTIONS(7159),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7159),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHitem] = ACTIONS(7159),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7161),
    [anon_sym_LBRACE] = ACTIONS(7161),
    [sym_word] = ACTIONS(7159),
    [sym_placeholder] = ACTIONS(7161),
    [sym_delimiter] = ACTIONS(7161),
    [anon_sym_PLUS] = ACTIONS(7161),
    [anon_sym_DASH] = ACTIONS(7161),
    [anon_sym_STAR] = ACTIONS(7161),
    [anon_sym_SLASH] = ACTIONS(7161),
    [anon_sym_LT] = ACTIONS(7159),
    [anon_sym_GT] = ACTIONS(7159),
    [anon_sym_BANG] = ACTIONS(7159),
    [anon_sym_PIPE] = ACTIONS(7159),
    [anon_sym_COLON] = ACTIONS(7159),
    [anon_sym_SQUOTE] = ACTIONS(7159),
    [anon_sym__] = ACTIONS(7161),
    [anon_sym_CARET] = ACTIONS(7161),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7161),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7161),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7161),
    [anon_sym_DOLLAR] = ACTIONS(7159),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7161),
    [anon_sym_BSLASHleft] = ACTIONS(7159),
    [anon_sym_BSLASHbigl] = ACTIONS(7159),
    [anon_sym_BSLASHBigl] = ACTIONS(7159),
    [anon_sym_BSLASHbiggl] = ACTIONS(7159),
    [anon_sym_BSLASHBiggl] = ACTIONS(7159),
    [anon_sym_BSLASHtext] = ACTIONS(7159),
    [anon_sym_BSLASHintertext] = ACTIONS(7159),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7159),
    [anon_sym_BSLASHbegin] = ACTIONS(7159),
    [anon_sym_BSLASHtitle] = ACTIONS(7159),
    [anon_sym_BSLASHauthor] = ACTIONS(7159),
    [anon_sym_BSLASHusepackage] = ACTIONS(7159),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7159),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7159),
    [anon_sym_BSLASHinclude] = ACTIONS(7159),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7159),
    [anon_sym_BSLASHinput] = ACTIONS(7159),
    [anon_sym_BSLASHsubfile] = ACTIONS(7159),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7159),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7159),
    [anon_sym_BSLASHbibliography] = ACTIONS(7159),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7159),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7159),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7159),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7159),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7159),
    [anon_sym_BSLASHimport] = ACTIONS(7159),
    [anon_sym_BSLASHsubimport] = ACTIONS(7159),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7159),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7159),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7159),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7159),
    [anon_sym_BSLASHcaption] = ACTIONS(7159),
    [anon_sym_BSLASHcite] = ACTIONS(7159),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHCite] = ACTIONS(7159),
    [anon_sym_BSLASHnocite] = ACTIONS(7159),
    [anon_sym_BSLASHcitet] = ACTIONS(7159),
    [anon_sym_BSLASHcitep] = ACTIONS(7159),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHciteA] = ACTIONS(7159),
    [anon_sym_BSLASHciteR] = ACTIONS(7159),
    [anon_sym_BSLASHciteS] = ACTIONS(7159),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7159),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7159),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7159),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7159),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHciteyear] = ACTIONS(7159),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcitedate] = ACTIONS(7159),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHciteurl] = ACTIONS(7159),
    [anon_sym_BSLASHfullcite] = ACTIONS(7159),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7159),
    [anon_sym_BSLASHcitealt] = ACTIONS(7159),
    [anon_sym_BSLASHcitealp] = ACTIONS(7159),
    [anon_sym_BSLASHcitetext] = ACTIONS(7159),
    [anon_sym_BSLASHparencite] = ACTIONS(7159),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHParencite] = ACTIONS(7159),
    [anon_sym_BSLASHfootcite] = ACTIONS(7159),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7159),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7159),
    [anon_sym_BSLASHtextcite] = ACTIONS(7159),
    [anon_sym_BSLASHTextcite] = ACTIONS(7159),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7159),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7159),
    [anon_sym_BSLASHsupercite] = ACTIONS(7159),
    [anon_sym_BSLASHautocite] = ACTIONS(7159),
    [anon_sym_BSLASHAutocite] = ACTIONS(7159),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHVolcite] = ACTIONS(7159),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHavolcite] = ACTIONS(7159),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHnotecite] = ACTIONS(7159),
    [anon_sym_BSLASHNotecite] = ACTIONS(7159),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7159),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7159),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7159),
    [anon_sym_BSLASHlabel] = ACTIONS(7159),
    [anon_sym_BSLASHref] = ACTIONS(7159),
    [anon_sym_BSLASHeqref] = ACTIONS(7159),
    [anon_sym_BSLASHvref] = ACTIONS(7159),
    [anon_sym_BSLASHVref] = ACTIONS(7159),
    [anon_sym_BSLASHautoref] = ACTIONS(7159),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHpageref] = ACTIONS(7159),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHautopageref] = ACTIONS(7159),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcref] = ACTIONS(7159),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHCref] = ACTIONS(7159),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcpageref] = ACTIONS(7159),
    [anon_sym_BSLASHCpageref] = ACTIONS(7159),
    [anon_sym_BSLASHnamecref] = ACTIONS(7159),
    [anon_sym_BSLASHnameCref] = ACTIONS(7159),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7159),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7159),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7159),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7159),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7159),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7159),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7159),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7159),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7159),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7159),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7159),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7159),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7159),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7159),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7159),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7159),
    [anon_sym_BSLASHdef] = ACTIONS(7159),
    [anon_sym_BSLASHgdef] = ACTIONS(7159),
    [anon_sym_BSLASHedef] = ACTIONS(7159),
    [anon_sym_BSLASHxdef] = ACTIONS(7159),
    [anon_sym_BSLASHlet] = ACTIONS(7159),
    [anon_sym_BSLASHglet] = ACTIONS(7159),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7159),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7159),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7159),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7159),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7159),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7159),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7159),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7159),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7159),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7159),
    [anon_sym_BSLASHgls] = ACTIONS(7159),
    [anon_sym_BSLASHGls] = ACTIONS(7159),
    [anon_sym_BSLASHGLS] = ACTIONS(7159),
    [anon_sym_BSLASHglspl] = ACTIONS(7159),
    [anon_sym_BSLASHGlspl] = ACTIONS(7159),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7159),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7159),
    [anon_sym_BSLASHglslink] = ACTIONS(7159),
    [anon_sym_BSLASHglstext] = ACTIONS(7159),
    [anon_sym_BSLASHGlstext] = ACTIONS(7159),
    [anon_sym_BSLASHGLStext] = ACTIONS(7159),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7159),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7159),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7159),
    [anon_sym_BSLASHglsplural] = ACTIONS(7159),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7159),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7159),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7159),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7159),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7159),
    [anon_sym_BSLASHglsname] = ACTIONS(7159),
    [anon_sym_BSLASHGlsname] = ACTIONS(7159),
    [anon_sym_BSLASHGLSname] = ACTIONS(7159),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7159),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7159),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7159),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7159),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7159),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7159),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7159),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7159),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7159),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7159),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7159),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7159),
    [anon_sym_BSLASHacrshort] = ACTIONS(7159),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7159),
    [anon_sym_BSLASHACRshort] = ACTIONS(7159),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHacrlong] = ACTIONS(7159),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7159),
    [anon_sym_BSLASHACRlong] = ACTIONS(7159),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7159),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7159),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7159),
    [anon_sym_BSLASHacrfull] = ACTIONS(7159),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7159),
    [anon_sym_BSLASHACRfull] = ACTIONS(7159),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHacs] = ACTIONS(7159),
    [anon_sym_BSLASHAcs] = ACTIONS(7159),
    [anon_sym_BSLASHacsp] = ACTIONS(7159),
    [anon_sym_BSLASHAcsp] = ACTIONS(7159),
    [anon_sym_BSLASHacl] = ACTIONS(7159),
    [anon_sym_BSLASHAcl] = ACTIONS(7159),
    [anon_sym_BSLASHaclp] = ACTIONS(7159),
    [anon_sym_BSLASHAclp] = ACTIONS(7159),
    [anon_sym_BSLASHacf] = ACTIONS(7159),
    [anon_sym_BSLASHAcf] = ACTIONS(7159),
    [anon_sym_BSLASHacfp] = ACTIONS(7159),
    [anon_sym_BSLASHAcfp] = ACTIONS(7159),
    [anon_sym_BSLASHac] = ACTIONS(7159),
    [anon_sym_BSLASHAc] = ACTIONS(7159),
    [anon_sym_BSLASHacp] = ACTIONS(7159),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7159),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7159),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7159),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7159),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7159),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7159),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7159),
    [anon_sym_BSLASHcolor] = ACTIONS(7159),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7159),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7159),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7159),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7159),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7159),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7159),
    [anon_sym_BSLASHurl] = ACTIONS(7159),
    [anon_sym_BSLASHhref] = ACTIONS(7159),
  },
  [1197] = {
    [sym_command_name] = ACTIONS(7419),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7419),
    [anon_sym_LBRACK] = ACTIONS(7421),
    [anon_sym_RBRACK] = ACTIONS(7421),
    [anon_sym_COMMA] = ACTIONS(7421),
    [anon_sym_EQ] = ACTIONS(7421),
    [anon_sym_LPAREN] = ACTIONS(7421),
    [anon_sym_RPAREN] = ACTIONS(7421),
    [anon_sym_BSLASHpart] = ACTIONS(7419),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHaddpart] = ACTIONS(7419),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHchapter] = ACTIONS(7419),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHaddchap] = ACTIONS(7419),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHsection] = ACTIONS(7419),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHaddsec] = ACTIONS(7419),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHsubsection] = ACTIONS(7419),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7419),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHparagraph] = ACTIONS(7419),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7419),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHitem] = ACTIONS(7419),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7421),
    [anon_sym_LBRACE] = ACTIONS(7421),
    [sym_word] = ACTIONS(7419),
    [sym_placeholder] = ACTIONS(7421),
    [sym_delimiter] = ACTIONS(7421),
    [anon_sym_PLUS] = ACTIONS(7421),
    [anon_sym_DASH] = ACTIONS(7421),
    [anon_sym_STAR] = ACTIONS(7421),
    [anon_sym_SLASH] = ACTIONS(7421),
    [anon_sym_LT] = ACTIONS(7419),
    [anon_sym_GT] = ACTIONS(7419),
    [anon_sym_BANG] = ACTIONS(7419),
    [anon_sym_PIPE] = ACTIONS(7419),
    [anon_sym_COLON] = ACTIONS(7419),
    [anon_sym_SQUOTE] = ACTIONS(7419),
    [anon_sym__] = ACTIONS(7421),
    [anon_sym_CARET] = ACTIONS(7421),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7421),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7421),
    [anon_sym_DOLLAR] = ACTIONS(7419),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7421),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7421),
    [anon_sym_BSLASHleft] = ACTIONS(7419),
    [anon_sym_BSLASHbigl] = ACTIONS(7419),
    [anon_sym_BSLASHBigl] = ACTIONS(7419),
    [anon_sym_BSLASHbiggl] = ACTIONS(7419),
    [anon_sym_BSLASHBiggl] = ACTIONS(7419),
    [anon_sym_BSLASHtext] = ACTIONS(7419),
    [anon_sym_BSLASHintertext] = ACTIONS(7419),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7419),
    [anon_sym_BSLASHbegin] = ACTIONS(7419),
    [anon_sym_BSLASHtitle] = ACTIONS(7419),
    [anon_sym_BSLASHauthor] = ACTIONS(7419),
    [anon_sym_BSLASHusepackage] = ACTIONS(7419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7419),
    [anon_sym_BSLASHinclude] = ACTIONS(7419),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7419),
    [anon_sym_BSLASHinput] = ACTIONS(7419),
    [anon_sym_BSLASHsubfile] = ACTIONS(7419),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7419),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7419),
    [anon_sym_BSLASHbibliography] = ACTIONS(7419),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7419),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7419),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7419),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7419),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7419),
    [anon_sym_BSLASHimport] = ACTIONS(7419),
    [anon_sym_BSLASHsubimport] = ACTIONS(7419),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7419),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7419),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7419),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7419),
    [anon_sym_BSLASHcaption] = ACTIONS(7419),
    [anon_sym_BSLASHcite] = ACTIONS(7419),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCite] = ACTIONS(7419),
    [anon_sym_BSLASHnocite] = ACTIONS(7419),
    [anon_sym_BSLASHcitet] = ACTIONS(7419),
    [anon_sym_BSLASHcitep] = ACTIONS(7419),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteA] = ACTIONS(7419),
    [anon_sym_BSLASHciteR] = ACTIONS(7419),
    [anon_sym_BSLASHciteS] = ACTIONS(7419),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7419),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7419),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7419),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7419),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteyear] = ACTIONS(7419),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitedate] = ACTIONS(7419),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteurl] = ACTIONS(7419),
    [anon_sym_BSLASHfullcite] = ACTIONS(7419),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7419),
    [anon_sym_BSLASHcitealt] = ACTIONS(7419),
    [anon_sym_BSLASHcitealp] = ACTIONS(7419),
    [anon_sym_BSLASHcitetext] = ACTIONS(7419),
    [anon_sym_BSLASHparencite] = ACTIONS(7419),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHParencite] = ACTIONS(7419),
    [anon_sym_BSLASHfootcite] = ACTIONS(7419),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7419),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7419),
    [anon_sym_BSLASHtextcite] = ACTIONS(7419),
    [anon_sym_BSLASHTextcite] = ACTIONS(7419),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7419),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7419),
    [anon_sym_BSLASHsupercite] = ACTIONS(7419),
    [anon_sym_BSLASHautocite] = ACTIONS(7419),
    [anon_sym_BSLASHAutocite] = ACTIONS(7419),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHVolcite] = ACTIONS(7419),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHavolcite] = ACTIONS(7419),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHNotecite] = ACTIONS(7419),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHlabel] = ACTIONS(7419),
    [anon_sym_BSLASHref] = ACTIONS(7419),
    [anon_sym_BSLASHeqref] = ACTIONS(7419),
    [anon_sym_BSLASHvref] = ACTIONS(7419),
    [anon_sym_BSLASHVref] = ACTIONS(7419),
    [anon_sym_BSLASHautoref] = ACTIONS(7419),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHpageref] = ACTIONS(7419),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHautopageref] = ACTIONS(7419),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcref] = ACTIONS(7419),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCref] = ACTIONS(7419),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcpageref] = ACTIONS(7419),
    [anon_sym_BSLASHCpageref] = ACTIONS(7419),
    [anon_sym_BSLASHnamecref] = ACTIONS(7419),
    [anon_sym_BSLASHnameCref] = ACTIONS(7419),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7419),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7419),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7419),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7419),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7419),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7419),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7419),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7419),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7419),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7419),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7419),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHdef] = ACTIONS(7419),
    [anon_sym_BSLASHgdef] = ACTIONS(7419),
    [anon_sym_BSLASHedef] = ACTIONS(7419),
    [anon_sym_BSLASHxdef] = ACTIONS(7419),
    [anon_sym_BSLASHlet] = ACTIONS(7419),
    [anon_sym_BSLASHglet] = ACTIONS(7419),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7419),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7419),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7419),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7419),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7419),
    [anon_sym_BSLASHgls] = ACTIONS(7419),
    [anon_sym_BSLASHGls] = ACTIONS(7419),
    [anon_sym_BSLASHGLS] = ACTIONS(7419),
    [anon_sym_BSLASHglspl] = ACTIONS(7419),
    [anon_sym_BSLASHGlspl] = ACTIONS(7419),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7419),
    [anon_sym_BSLASHglslink] = ACTIONS(7419),
    [anon_sym_BSLASHglstext] = ACTIONS(7419),
    [anon_sym_BSLASHGlstext] = ACTIONS(7419),
    [anon_sym_BSLASHGLStext] = ACTIONS(7419),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7419),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7419),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7419),
    [anon_sym_BSLASHglsplural] = ACTIONS(7419),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7419),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7419),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHglsname] = ACTIONS(7419),
    [anon_sym_BSLASHGlsname] = ACTIONS(7419),
    [anon_sym_BSLASHGLSname] = ACTIONS(7419),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7419),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7419),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7419),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7419),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7419),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7419),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7419),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7419),
    [anon_sym_BSLASHacrshort] = ACTIONS(7419),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7419),
    [anon_sym_BSLASHACRshort] = ACTIONS(7419),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHacrlong] = ACTIONS(7419),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7419),
    [anon_sym_BSLASHACRlong] = ACTIONS(7419),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHacrfull] = ACTIONS(7419),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7419),
    [anon_sym_BSLASHACRfull] = ACTIONS(7419),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHacs] = ACTIONS(7419),
    [anon_sym_BSLASHAcs] = ACTIONS(7419),
    [anon_sym_BSLASHacsp] = ACTIONS(7419),
    [anon_sym_BSLASHAcsp] = ACTIONS(7419),
    [anon_sym_BSLASHacl] = ACTIONS(7419),
    [anon_sym_BSLASHAcl] = ACTIONS(7419),
    [anon_sym_BSLASHaclp] = ACTIONS(7419),
    [anon_sym_BSLASHAclp] = ACTIONS(7419),
    [anon_sym_BSLASHacf] = ACTIONS(7419),
    [anon_sym_BSLASHAcf] = ACTIONS(7419),
    [anon_sym_BSLASHacfp] = ACTIONS(7419),
    [anon_sym_BSLASHAcfp] = ACTIONS(7419),
    [anon_sym_BSLASHac] = ACTIONS(7419),
    [anon_sym_BSLASHAc] = ACTIONS(7419),
    [anon_sym_BSLASHacp] = ACTIONS(7419),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7419),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7419),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7419),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7419),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7419),
    [anon_sym_BSLASHcolor] = ACTIONS(7419),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7419),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7419),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7419),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7419),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7419),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7419),
    [anon_sym_BSLASHurl] = ACTIONS(7419),
    [anon_sym_BSLASHhref] = ACTIONS(7419),
  },
  [1198] = {
    [sym_command_name] = ACTIONS(7583),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7583),
    [anon_sym_LBRACK] = ACTIONS(7585),
    [anon_sym_RBRACK] = ACTIONS(7585),
    [anon_sym_COMMA] = ACTIONS(7585),
    [anon_sym_EQ] = ACTIONS(7585),
    [anon_sym_LPAREN] = ACTIONS(7585),
    [anon_sym_RPAREN] = ACTIONS(7585),
    [anon_sym_BSLASHpart] = ACTIONS(7583),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHaddpart] = ACTIONS(7583),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHchapter] = ACTIONS(7583),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHaddchap] = ACTIONS(7583),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHsection] = ACTIONS(7583),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHaddsec] = ACTIONS(7583),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHsubsection] = ACTIONS(7583),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7583),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHparagraph] = ACTIONS(7583),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7583),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHitem] = ACTIONS(7583),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7585),
    [anon_sym_LBRACE] = ACTIONS(7585),
    [sym_word] = ACTIONS(7583),
    [sym_placeholder] = ACTIONS(7585),
    [sym_delimiter] = ACTIONS(7585),
    [anon_sym_PLUS] = ACTIONS(7585),
    [anon_sym_DASH] = ACTIONS(7585),
    [anon_sym_STAR] = ACTIONS(7585),
    [anon_sym_SLASH] = ACTIONS(7585),
    [anon_sym_LT] = ACTIONS(7583),
    [anon_sym_GT] = ACTIONS(7583),
    [anon_sym_BANG] = ACTIONS(7583),
    [anon_sym_PIPE] = ACTIONS(7583),
    [anon_sym_COLON] = ACTIONS(7583),
    [anon_sym_SQUOTE] = ACTIONS(7583),
    [anon_sym__] = ACTIONS(7585),
    [anon_sym_CARET] = ACTIONS(7585),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7585),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7585),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7585),
    [anon_sym_DOLLAR] = ACTIONS(7583),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7585),
    [anon_sym_BSLASHleft] = ACTIONS(7583),
    [anon_sym_BSLASHbigl] = ACTIONS(7583),
    [anon_sym_BSLASHBigl] = ACTIONS(7583),
    [anon_sym_BSLASHbiggl] = ACTIONS(7583),
    [anon_sym_BSLASHBiggl] = ACTIONS(7583),
    [anon_sym_BSLASHtext] = ACTIONS(7583),
    [anon_sym_BSLASHintertext] = ACTIONS(7583),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7583),
    [anon_sym_BSLASHbegin] = ACTIONS(7583),
    [anon_sym_BSLASHtitle] = ACTIONS(7583),
    [anon_sym_BSLASHauthor] = ACTIONS(7583),
    [anon_sym_BSLASHusepackage] = ACTIONS(7583),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7583),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7583),
    [anon_sym_BSLASHinclude] = ACTIONS(7583),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7583),
    [anon_sym_BSLASHinput] = ACTIONS(7583),
    [anon_sym_BSLASHsubfile] = ACTIONS(7583),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7583),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7583),
    [anon_sym_BSLASHbibliography] = ACTIONS(7583),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7583),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7583),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7583),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7583),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7583),
    [anon_sym_BSLASHimport] = ACTIONS(7583),
    [anon_sym_BSLASHsubimport] = ACTIONS(7583),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7583),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7583),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7583),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7583),
    [anon_sym_BSLASHcaption] = ACTIONS(7583),
    [anon_sym_BSLASHcite] = ACTIONS(7583),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCite] = ACTIONS(7583),
    [anon_sym_BSLASHnocite] = ACTIONS(7583),
    [anon_sym_BSLASHcitet] = ACTIONS(7583),
    [anon_sym_BSLASHcitep] = ACTIONS(7583),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteA] = ACTIONS(7583),
    [anon_sym_BSLASHciteR] = ACTIONS(7583),
    [anon_sym_BSLASHciteS] = ACTIONS(7583),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7583),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7583),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7583),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7583),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteyear] = ACTIONS(7583),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitedate] = ACTIONS(7583),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteurl] = ACTIONS(7583),
    [anon_sym_BSLASHfullcite] = ACTIONS(7583),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7583),
    [anon_sym_BSLASHcitealt] = ACTIONS(7583),
    [anon_sym_BSLASHcitealp] = ACTIONS(7583),
    [anon_sym_BSLASHcitetext] = ACTIONS(7583),
    [anon_sym_BSLASHparencite] = ACTIONS(7583),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHParencite] = ACTIONS(7583),
    [anon_sym_BSLASHfootcite] = ACTIONS(7583),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7583),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7583),
    [anon_sym_BSLASHtextcite] = ACTIONS(7583),
    [anon_sym_BSLASHTextcite] = ACTIONS(7583),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7583),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7583),
    [anon_sym_BSLASHsupercite] = ACTIONS(7583),
    [anon_sym_BSLASHautocite] = ACTIONS(7583),
    [anon_sym_BSLASHAutocite] = ACTIONS(7583),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHVolcite] = ACTIONS(7583),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHavolcite] = ACTIONS(7583),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHNotecite] = ACTIONS(7583),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHlabel] = ACTIONS(7583),
    [anon_sym_BSLASHref] = ACTIONS(7583),
    [anon_sym_BSLASHeqref] = ACTIONS(7583),
    [anon_sym_BSLASHvref] = ACTIONS(7583),
    [anon_sym_BSLASHVref] = ACTIONS(7583),
    [anon_sym_BSLASHautoref] = ACTIONS(7583),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHpageref] = ACTIONS(7583),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHautopageref] = ACTIONS(7583),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcref] = ACTIONS(7583),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCref] = ACTIONS(7583),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcpageref] = ACTIONS(7583),
    [anon_sym_BSLASHCpageref] = ACTIONS(7583),
    [anon_sym_BSLASHnamecref] = ACTIONS(7583),
    [anon_sym_BSLASHnameCref] = ACTIONS(7583),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7583),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7583),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7583),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7583),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7583),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7583),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7583),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7583),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7583),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7583),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7583),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHdef] = ACTIONS(7583),
    [anon_sym_BSLASHgdef] = ACTIONS(7583),
    [anon_sym_BSLASHedef] = ACTIONS(7583),
    [anon_sym_BSLASHxdef] = ACTIONS(7583),
    [anon_sym_BSLASHlet] = ACTIONS(7583),
    [anon_sym_BSLASHglet] = ACTIONS(7583),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7583),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7583),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7583),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7583),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7583),
    [anon_sym_BSLASHgls] = ACTIONS(7583),
    [anon_sym_BSLASHGls] = ACTIONS(7583),
    [anon_sym_BSLASHGLS] = ACTIONS(7583),
    [anon_sym_BSLASHglspl] = ACTIONS(7583),
    [anon_sym_BSLASHGlspl] = ACTIONS(7583),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7583),
    [anon_sym_BSLASHglslink] = ACTIONS(7583),
    [anon_sym_BSLASHglstext] = ACTIONS(7583),
    [anon_sym_BSLASHGlstext] = ACTIONS(7583),
    [anon_sym_BSLASHGLStext] = ACTIONS(7583),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7583),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7583),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7583),
    [anon_sym_BSLASHglsplural] = ACTIONS(7583),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7583),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7583),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHglsname] = ACTIONS(7583),
    [anon_sym_BSLASHGlsname] = ACTIONS(7583),
    [anon_sym_BSLASHGLSname] = ACTIONS(7583),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7583),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7583),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7583),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7583),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7583),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7583),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7583),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7583),
    [anon_sym_BSLASHacrshort] = ACTIONS(7583),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7583),
    [anon_sym_BSLASHACRshort] = ACTIONS(7583),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHacrlong] = ACTIONS(7583),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7583),
    [anon_sym_BSLASHACRlong] = ACTIONS(7583),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHacrfull] = ACTIONS(7583),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7583),
    [anon_sym_BSLASHACRfull] = ACTIONS(7583),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHacs] = ACTIONS(7583),
    [anon_sym_BSLASHAcs] = ACTIONS(7583),
    [anon_sym_BSLASHacsp] = ACTIONS(7583),
    [anon_sym_BSLASHAcsp] = ACTIONS(7583),
    [anon_sym_BSLASHacl] = ACTIONS(7583),
    [anon_sym_BSLASHAcl] = ACTIONS(7583),
    [anon_sym_BSLASHaclp] = ACTIONS(7583),
    [anon_sym_BSLASHAclp] = ACTIONS(7583),
    [anon_sym_BSLASHacf] = ACTIONS(7583),
    [anon_sym_BSLASHAcf] = ACTIONS(7583),
    [anon_sym_BSLASHacfp] = ACTIONS(7583),
    [anon_sym_BSLASHAcfp] = ACTIONS(7583),
    [anon_sym_BSLASHac] = ACTIONS(7583),
    [anon_sym_BSLASHAc] = ACTIONS(7583),
    [anon_sym_BSLASHacp] = ACTIONS(7583),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7583),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7583),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7583),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7583),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7583),
    [anon_sym_BSLASHcolor] = ACTIONS(7583),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7583),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7583),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7583),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7583),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7583),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7583),
    [anon_sym_BSLASHurl] = ACTIONS(7583),
    [anon_sym_BSLASHhref] = ACTIONS(7583),
  },
  [1199] = {
    [sym_command_name] = ACTIONS(7587),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7587),
    [anon_sym_LBRACK] = ACTIONS(7589),
    [anon_sym_RBRACK] = ACTIONS(7589),
    [anon_sym_COMMA] = ACTIONS(7589),
    [anon_sym_EQ] = ACTIONS(7589),
    [anon_sym_LPAREN] = ACTIONS(7589),
    [anon_sym_RPAREN] = ACTIONS(7589),
    [anon_sym_BSLASHpart] = ACTIONS(7587),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHaddpart] = ACTIONS(7587),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHchapter] = ACTIONS(7587),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHaddchap] = ACTIONS(7587),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHsection] = ACTIONS(7587),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHaddsec] = ACTIONS(7587),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHsubsection] = ACTIONS(7587),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7587),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHparagraph] = ACTIONS(7587),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7587),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHitem] = ACTIONS(7587),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7589),
    [anon_sym_LBRACE] = ACTIONS(7589),
    [sym_word] = ACTIONS(7587),
    [sym_placeholder] = ACTIONS(7589),
    [sym_delimiter] = ACTIONS(7589),
    [anon_sym_PLUS] = ACTIONS(7589),
    [anon_sym_DASH] = ACTIONS(7589),
    [anon_sym_STAR] = ACTIONS(7589),
    [anon_sym_SLASH] = ACTIONS(7589),
    [anon_sym_LT] = ACTIONS(7587),
    [anon_sym_GT] = ACTIONS(7587),
    [anon_sym_BANG] = ACTIONS(7587),
    [anon_sym_PIPE] = ACTIONS(7587),
    [anon_sym_COLON] = ACTIONS(7587),
    [anon_sym_SQUOTE] = ACTIONS(7587),
    [anon_sym__] = ACTIONS(7589),
    [anon_sym_CARET] = ACTIONS(7589),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7589),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7589),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7589),
    [anon_sym_DOLLAR] = ACTIONS(7587),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7589),
    [anon_sym_BSLASHleft] = ACTIONS(7587),
    [anon_sym_BSLASHbigl] = ACTIONS(7587),
    [anon_sym_BSLASHBigl] = ACTIONS(7587),
    [anon_sym_BSLASHbiggl] = ACTIONS(7587),
    [anon_sym_BSLASHBiggl] = ACTIONS(7587),
    [anon_sym_BSLASHtext] = ACTIONS(7587),
    [anon_sym_BSLASHintertext] = ACTIONS(7587),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7587),
    [anon_sym_BSLASHbegin] = ACTIONS(7587),
    [anon_sym_BSLASHtitle] = ACTIONS(7587),
    [anon_sym_BSLASHauthor] = ACTIONS(7587),
    [anon_sym_BSLASHusepackage] = ACTIONS(7587),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7587),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7587),
    [anon_sym_BSLASHinclude] = ACTIONS(7587),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7587),
    [anon_sym_BSLASHinput] = ACTIONS(7587),
    [anon_sym_BSLASHsubfile] = ACTIONS(7587),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7587),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7587),
    [anon_sym_BSLASHbibliography] = ACTIONS(7587),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7587),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7587),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7587),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7587),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7587),
    [anon_sym_BSLASHimport] = ACTIONS(7587),
    [anon_sym_BSLASHsubimport] = ACTIONS(7587),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7587),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7587),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7587),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7587),
    [anon_sym_BSLASHcaption] = ACTIONS(7587),
    [anon_sym_BSLASHcite] = ACTIONS(7587),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCite] = ACTIONS(7587),
    [anon_sym_BSLASHnocite] = ACTIONS(7587),
    [anon_sym_BSLASHcitet] = ACTIONS(7587),
    [anon_sym_BSLASHcitep] = ACTIONS(7587),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteA] = ACTIONS(7587),
    [anon_sym_BSLASHciteR] = ACTIONS(7587),
    [anon_sym_BSLASHciteS] = ACTIONS(7587),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7587),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7587),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7587),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7587),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteyear] = ACTIONS(7587),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitedate] = ACTIONS(7587),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteurl] = ACTIONS(7587),
    [anon_sym_BSLASHfullcite] = ACTIONS(7587),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7587),
    [anon_sym_BSLASHcitealt] = ACTIONS(7587),
    [anon_sym_BSLASHcitealp] = ACTIONS(7587),
    [anon_sym_BSLASHcitetext] = ACTIONS(7587),
    [anon_sym_BSLASHparencite] = ACTIONS(7587),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHParencite] = ACTIONS(7587),
    [anon_sym_BSLASHfootcite] = ACTIONS(7587),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7587),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7587),
    [anon_sym_BSLASHtextcite] = ACTIONS(7587),
    [anon_sym_BSLASHTextcite] = ACTIONS(7587),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7587),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7587),
    [anon_sym_BSLASHsupercite] = ACTIONS(7587),
    [anon_sym_BSLASHautocite] = ACTIONS(7587),
    [anon_sym_BSLASHAutocite] = ACTIONS(7587),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHVolcite] = ACTIONS(7587),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHavolcite] = ACTIONS(7587),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHNotecite] = ACTIONS(7587),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHlabel] = ACTIONS(7587),
    [anon_sym_BSLASHref] = ACTIONS(7587),
    [anon_sym_BSLASHeqref] = ACTIONS(7587),
    [anon_sym_BSLASHvref] = ACTIONS(7587),
    [anon_sym_BSLASHVref] = ACTIONS(7587),
    [anon_sym_BSLASHautoref] = ACTIONS(7587),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHpageref] = ACTIONS(7587),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHautopageref] = ACTIONS(7587),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcref] = ACTIONS(7587),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCref] = ACTIONS(7587),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcpageref] = ACTIONS(7587),
    [anon_sym_BSLASHCpageref] = ACTIONS(7587),
    [anon_sym_BSLASHnamecref] = ACTIONS(7587),
    [anon_sym_BSLASHnameCref] = ACTIONS(7587),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7587),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7587),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7587),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7587),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7587),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7587),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7587),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7587),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7587),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7587),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7587),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHdef] = ACTIONS(7587),
    [anon_sym_BSLASHgdef] = ACTIONS(7587),
    [anon_sym_BSLASHedef] = ACTIONS(7587),
    [anon_sym_BSLASHxdef] = ACTIONS(7587),
    [anon_sym_BSLASHlet] = ACTIONS(7587),
    [anon_sym_BSLASHglet] = ACTIONS(7587),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7587),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7587),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7587),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7587),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7587),
    [anon_sym_BSLASHgls] = ACTIONS(7587),
    [anon_sym_BSLASHGls] = ACTIONS(7587),
    [anon_sym_BSLASHGLS] = ACTIONS(7587),
    [anon_sym_BSLASHglspl] = ACTIONS(7587),
    [anon_sym_BSLASHGlspl] = ACTIONS(7587),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7587),
    [anon_sym_BSLASHglslink] = ACTIONS(7587),
    [anon_sym_BSLASHglstext] = ACTIONS(7587),
    [anon_sym_BSLASHGlstext] = ACTIONS(7587),
    [anon_sym_BSLASHGLStext] = ACTIONS(7587),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7587),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7587),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7587),
    [anon_sym_BSLASHglsplural] = ACTIONS(7587),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7587),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7587),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHglsname] = ACTIONS(7587),
    [anon_sym_BSLASHGlsname] = ACTIONS(7587),
    [anon_sym_BSLASHGLSname] = ACTIONS(7587),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7587),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7587),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7587),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7587),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7587),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7587),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7587),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7587),
    [anon_sym_BSLASHacrshort] = ACTIONS(7587),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7587),
    [anon_sym_BSLASHACRshort] = ACTIONS(7587),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHacrlong] = ACTIONS(7587),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7587),
    [anon_sym_BSLASHACRlong] = ACTIONS(7587),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHacrfull] = ACTIONS(7587),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7587),
    [anon_sym_BSLASHACRfull] = ACTIONS(7587),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHacs] = ACTIONS(7587),
    [anon_sym_BSLASHAcs] = ACTIONS(7587),
    [anon_sym_BSLASHacsp] = ACTIONS(7587),
    [anon_sym_BSLASHAcsp] = ACTIONS(7587),
    [anon_sym_BSLASHacl] = ACTIONS(7587),
    [anon_sym_BSLASHAcl] = ACTIONS(7587),
    [anon_sym_BSLASHaclp] = ACTIONS(7587),
    [anon_sym_BSLASHAclp] = ACTIONS(7587),
    [anon_sym_BSLASHacf] = ACTIONS(7587),
    [anon_sym_BSLASHAcf] = ACTIONS(7587),
    [anon_sym_BSLASHacfp] = ACTIONS(7587),
    [anon_sym_BSLASHAcfp] = ACTIONS(7587),
    [anon_sym_BSLASHac] = ACTIONS(7587),
    [anon_sym_BSLASHAc] = ACTIONS(7587),
    [anon_sym_BSLASHacp] = ACTIONS(7587),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7587),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7587),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7587),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7587),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7587),
    [anon_sym_BSLASHcolor] = ACTIONS(7587),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7587),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7587),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7587),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7587),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7587),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7587),
    [anon_sym_BSLASHurl] = ACTIONS(7587),
    [anon_sym_BSLASHhref] = ACTIONS(7587),
  },
  [1200] = {
    [sym_command_name] = ACTIONS(7163),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7163),
    [anon_sym_LBRACK] = ACTIONS(7165),
    [anon_sym_RBRACK] = ACTIONS(7165),
    [anon_sym_COMMA] = ACTIONS(7165),
    [anon_sym_EQ] = ACTIONS(7165),
    [anon_sym_LPAREN] = ACTIONS(7165),
    [anon_sym_RPAREN] = ACTIONS(7165),
    [anon_sym_BSLASHpart] = ACTIONS(7163),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHaddpart] = ACTIONS(7163),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHchapter] = ACTIONS(7163),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHaddchap] = ACTIONS(7163),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHsection] = ACTIONS(7163),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHaddsec] = ACTIONS(7163),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHsubsection] = ACTIONS(7163),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7163),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHparagraph] = ACTIONS(7163),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7163),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHitem] = ACTIONS(7163),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7165),
    [anon_sym_LBRACE] = ACTIONS(7165),
    [sym_word] = ACTIONS(7163),
    [sym_placeholder] = ACTIONS(7165),
    [sym_delimiter] = ACTIONS(7165),
    [anon_sym_PLUS] = ACTIONS(7165),
    [anon_sym_DASH] = ACTIONS(7165),
    [anon_sym_STAR] = ACTIONS(7165),
    [anon_sym_SLASH] = ACTIONS(7165),
    [anon_sym_LT] = ACTIONS(7163),
    [anon_sym_GT] = ACTIONS(7163),
    [anon_sym_BANG] = ACTIONS(7163),
    [anon_sym_PIPE] = ACTIONS(7163),
    [anon_sym_COLON] = ACTIONS(7163),
    [anon_sym_SQUOTE] = ACTIONS(7163),
    [anon_sym__] = ACTIONS(7165),
    [anon_sym_CARET] = ACTIONS(7165),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7165),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7165),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7165),
    [anon_sym_DOLLAR] = ACTIONS(7163),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7165),
    [anon_sym_BSLASHleft] = ACTIONS(7163),
    [anon_sym_BSLASHbigl] = ACTIONS(7163),
    [anon_sym_BSLASHBigl] = ACTIONS(7163),
    [anon_sym_BSLASHbiggl] = ACTIONS(7163),
    [anon_sym_BSLASHBiggl] = ACTIONS(7163),
    [anon_sym_BSLASHtext] = ACTIONS(7163),
    [anon_sym_BSLASHintertext] = ACTIONS(7163),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7163),
    [anon_sym_BSLASHbegin] = ACTIONS(7163),
    [anon_sym_BSLASHtitle] = ACTIONS(7163),
    [anon_sym_BSLASHauthor] = ACTIONS(7163),
    [anon_sym_BSLASHusepackage] = ACTIONS(7163),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7163),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7163),
    [anon_sym_BSLASHinclude] = ACTIONS(7163),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7163),
    [anon_sym_BSLASHinput] = ACTIONS(7163),
    [anon_sym_BSLASHsubfile] = ACTIONS(7163),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7163),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7163),
    [anon_sym_BSLASHbibliography] = ACTIONS(7163),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7163),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7163),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7163),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7163),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7163),
    [anon_sym_BSLASHimport] = ACTIONS(7163),
    [anon_sym_BSLASHsubimport] = ACTIONS(7163),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7163),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7163),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7163),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7163),
    [anon_sym_BSLASHcaption] = ACTIONS(7163),
    [anon_sym_BSLASHcite] = ACTIONS(7163),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHCite] = ACTIONS(7163),
    [anon_sym_BSLASHnocite] = ACTIONS(7163),
    [anon_sym_BSLASHcitet] = ACTIONS(7163),
    [anon_sym_BSLASHcitep] = ACTIONS(7163),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHciteA] = ACTIONS(7163),
    [anon_sym_BSLASHciteR] = ACTIONS(7163),
    [anon_sym_BSLASHciteS] = ACTIONS(7163),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7163),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7163),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7163),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7163),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHciteyear] = ACTIONS(7163),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcitedate] = ACTIONS(7163),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHciteurl] = ACTIONS(7163),
    [anon_sym_BSLASHfullcite] = ACTIONS(7163),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7163),
    [anon_sym_BSLASHcitealt] = ACTIONS(7163),
    [anon_sym_BSLASHcitealp] = ACTIONS(7163),
    [anon_sym_BSLASHcitetext] = ACTIONS(7163),
    [anon_sym_BSLASHparencite] = ACTIONS(7163),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHParencite] = ACTIONS(7163),
    [anon_sym_BSLASHfootcite] = ACTIONS(7163),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7163),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7163),
    [anon_sym_BSLASHtextcite] = ACTIONS(7163),
    [anon_sym_BSLASHTextcite] = ACTIONS(7163),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7163),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7163),
    [anon_sym_BSLASHsupercite] = ACTIONS(7163),
    [anon_sym_BSLASHautocite] = ACTIONS(7163),
    [anon_sym_BSLASHAutocite] = ACTIONS(7163),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHVolcite] = ACTIONS(7163),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHavolcite] = ACTIONS(7163),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHnotecite] = ACTIONS(7163),
    [anon_sym_BSLASHNotecite] = ACTIONS(7163),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7163),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7163),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7163),
    [anon_sym_BSLASHlabel] = ACTIONS(7163),
    [anon_sym_BSLASHref] = ACTIONS(7163),
    [anon_sym_BSLASHeqref] = ACTIONS(7163),
    [anon_sym_BSLASHvref] = ACTIONS(7163),
    [anon_sym_BSLASHVref] = ACTIONS(7163),
    [anon_sym_BSLASHautoref] = ACTIONS(7163),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHpageref] = ACTIONS(7163),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHautopageref] = ACTIONS(7163),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcref] = ACTIONS(7163),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHCref] = ACTIONS(7163),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcpageref] = ACTIONS(7163),
    [anon_sym_BSLASHCpageref] = ACTIONS(7163),
    [anon_sym_BSLASHnamecref] = ACTIONS(7163),
    [anon_sym_BSLASHnameCref] = ACTIONS(7163),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7163),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7163),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7163),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7163),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7163),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7163),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7163),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7163),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7163),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7163),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7163),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7163),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7163),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7163),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7163),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7163),
    [anon_sym_BSLASHdef] = ACTIONS(7163),
    [anon_sym_BSLASHgdef] = ACTIONS(7163),
    [anon_sym_BSLASHedef] = ACTIONS(7163),
    [anon_sym_BSLASHxdef] = ACTIONS(7163),
    [anon_sym_BSLASHlet] = ACTIONS(7163),
    [anon_sym_BSLASHglet] = ACTIONS(7163),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7163),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7163),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7163),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7163),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7163),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7163),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7163),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7163),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7163),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7163),
    [anon_sym_BSLASHgls] = ACTIONS(7163),
    [anon_sym_BSLASHGls] = ACTIONS(7163),
    [anon_sym_BSLASHGLS] = ACTIONS(7163),
    [anon_sym_BSLASHglspl] = ACTIONS(7163),
    [anon_sym_BSLASHGlspl] = ACTIONS(7163),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7163),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7163),
    [anon_sym_BSLASHglslink] = ACTIONS(7163),
    [anon_sym_BSLASHglstext] = ACTIONS(7163),
    [anon_sym_BSLASHGlstext] = ACTIONS(7163),
    [anon_sym_BSLASHGLStext] = ACTIONS(7163),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7163),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7163),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7163),
    [anon_sym_BSLASHglsplural] = ACTIONS(7163),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7163),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7163),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7163),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7163),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7163),
    [anon_sym_BSLASHglsname] = ACTIONS(7163),
    [anon_sym_BSLASHGlsname] = ACTIONS(7163),
    [anon_sym_BSLASHGLSname] = ACTIONS(7163),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7163),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7163),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7163),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7163),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7163),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7163),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7163),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7163),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7163),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7163),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7163),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7163),
    [anon_sym_BSLASHacrshort] = ACTIONS(7163),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7163),
    [anon_sym_BSLASHACRshort] = ACTIONS(7163),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHacrlong] = ACTIONS(7163),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7163),
    [anon_sym_BSLASHACRlong] = ACTIONS(7163),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7163),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7163),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7163),
    [anon_sym_BSLASHacrfull] = ACTIONS(7163),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7163),
    [anon_sym_BSLASHACRfull] = ACTIONS(7163),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHacs] = ACTIONS(7163),
    [anon_sym_BSLASHAcs] = ACTIONS(7163),
    [anon_sym_BSLASHacsp] = ACTIONS(7163),
    [anon_sym_BSLASHAcsp] = ACTIONS(7163),
    [anon_sym_BSLASHacl] = ACTIONS(7163),
    [anon_sym_BSLASHAcl] = ACTIONS(7163),
    [anon_sym_BSLASHaclp] = ACTIONS(7163),
    [anon_sym_BSLASHAclp] = ACTIONS(7163),
    [anon_sym_BSLASHacf] = ACTIONS(7163),
    [anon_sym_BSLASHAcf] = ACTIONS(7163),
    [anon_sym_BSLASHacfp] = ACTIONS(7163),
    [anon_sym_BSLASHAcfp] = ACTIONS(7163),
    [anon_sym_BSLASHac] = ACTIONS(7163),
    [anon_sym_BSLASHAc] = ACTIONS(7163),
    [anon_sym_BSLASHacp] = ACTIONS(7163),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7163),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7163),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7163),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7163),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7163),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7163),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7163),
    [anon_sym_BSLASHcolor] = ACTIONS(7163),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7163),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7163),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7163),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7163),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7163),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7163),
    [anon_sym_BSLASHurl] = ACTIONS(7163),
    [anon_sym_BSLASHhref] = ACTIONS(7163),
  },
  [1201] = {
    [sym_command_name] = ACTIONS(7591),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7591),
    [anon_sym_LBRACK] = ACTIONS(7593),
    [anon_sym_RBRACK] = ACTIONS(7593),
    [anon_sym_COMMA] = ACTIONS(7593),
    [anon_sym_EQ] = ACTIONS(7593),
    [anon_sym_LPAREN] = ACTIONS(7593),
    [anon_sym_RPAREN] = ACTIONS(7593),
    [anon_sym_BSLASHpart] = ACTIONS(7591),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHaddpart] = ACTIONS(7591),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHchapter] = ACTIONS(7591),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHaddchap] = ACTIONS(7591),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHsection] = ACTIONS(7591),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHaddsec] = ACTIONS(7591),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHsubsection] = ACTIONS(7591),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7591),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHparagraph] = ACTIONS(7591),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7591),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHitem] = ACTIONS(7591),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7593),
    [anon_sym_LBRACE] = ACTIONS(7593),
    [sym_word] = ACTIONS(7591),
    [sym_placeholder] = ACTIONS(7593),
    [sym_delimiter] = ACTIONS(7593),
    [anon_sym_PLUS] = ACTIONS(7593),
    [anon_sym_DASH] = ACTIONS(7593),
    [anon_sym_STAR] = ACTIONS(7593),
    [anon_sym_SLASH] = ACTIONS(7593),
    [anon_sym_LT] = ACTIONS(7591),
    [anon_sym_GT] = ACTIONS(7591),
    [anon_sym_BANG] = ACTIONS(7591),
    [anon_sym_PIPE] = ACTIONS(7591),
    [anon_sym_COLON] = ACTIONS(7591),
    [anon_sym_SQUOTE] = ACTIONS(7591),
    [anon_sym__] = ACTIONS(7593),
    [anon_sym_CARET] = ACTIONS(7593),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7593),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7593),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7593),
    [anon_sym_DOLLAR] = ACTIONS(7591),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7593),
    [anon_sym_BSLASHleft] = ACTIONS(7591),
    [anon_sym_BSLASHbigl] = ACTIONS(7591),
    [anon_sym_BSLASHBigl] = ACTIONS(7591),
    [anon_sym_BSLASHbiggl] = ACTIONS(7591),
    [anon_sym_BSLASHBiggl] = ACTIONS(7591),
    [anon_sym_BSLASHtext] = ACTIONS(7591),
    [anon_sym_BSLASHintertext] = ACTIONS(7591),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7591),
    [anon_sym_BSLASHbegin] = ACTIONS(7591),
    [anon_sym_BSLASHtitle] = ACTIONS(7591),
    [anon_sym_BSLASHauthor] = ACTIONS(7591),
    [anon_sym_BSLASHusepackage] = ACTIONS(7591),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7591),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7591),
    [anon_sym_BSLASHinclude] = ACTIONS(7591),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7591),
    [anon_sym_BSLASHinput] = ACTIONS(7591),
    [anon_sym_BSLASHsubfile] = ACTIONS(7591),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7591),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7591),
    [anon_sym_BSLASHbibliography] = ACTIONS(7591),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7591),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7591),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7591),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7591),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7591),
    [anon_sym_BSLASHimport] = ACTIONS(7591),
    [anon_sym_BSLASHsubimport] = ACTIONS(7591),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7591),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7591),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7591),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7591),
    [anon_sym_BSLASHcaption] = ACTIONS(7591),
    [anon_sym_BSLASHcite] = ACTIONS(7591),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCite] = ACTIONS(7591),
    [anon_sym_BSLASHnocite] = ACTIONS(7591),
    [anon_sym_BSLASHcitet] = ACTIONS(7591),
    [anon_sym_BSLASHcitep] = ACTIONS(7591),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteA] = ACTIONS(7591),
    [anon_sym_BSLASHciteR] = ACTIONS(7591),
    [anon_sym_BSLASHciteS] = ACTIONS(7591),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7591),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7591),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7591),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7591),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteyear] = ACTIONS(7591),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitedate] = ACTIONS(7591),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteurl] = ACTIONS(7591),
    [anon_sym_BSLASHfullcite] = ACTIONS(7591),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7591),
    [anon_sym_BSLASHcitealt] = ACTIONS(7591),
    [anon_sym_BSLASHcitealp] = ACTIONS(7591),
    [anon_sym_BSLASHcitetext] = ACTIONS(7591),
    [anon_sym_BSLASHparencite] = ACTIONS(7591),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHParencite] = ACTIONS(7591),
    [anon_sym_BSLASHfootcite] = ACTIONS(7591),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7591),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7591),
    [anon_sym_BSLASHtextcite] = ACTIONS(7591),
    [anon_sym_BSLASHTextcite] = ACTIONS(7591),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7591),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7591),
    [anon_sym_BSLASHsupercite] = ACTIONS(7591),
    [anon_sym_BSLASHautocite] = ACTIONS(7591),
    [anon_sym_BSLASHAutocite] = ACTIONS(7591),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHVolcite] = ACTIONS(7591),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHavolcite] = ACTIONS(7591),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHNotecite] = ACTIONS(7591),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHlabel] = ACTIONS(7591),
    [anon_sym_BSLASHref] = ACTIONS(7591),
    [anon_sym_BSLASHeqref] = ACTIONS(7591),
    [anon_sym_BSLASHvref] = ACTIONS(7591),
    [anon_sym_BSLASHVref] = ACTIONS(7591),
    [anon_sym_BSLASHautoref] = ACTIONS(7591),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHpageref] = ACTIONS(7591),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHautopageref] = ACTIONS(7591),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcref] = ACTIONS(7591),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCref] = ACTIONS(7591),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcpageref] = ACTIONS(7591),
    [anon_sym_BSLASHCpageref] = ACTIONS(7591),
    [anon_sym_BSLASHnamecref] = ACTIONS(7591),
    [anon_sym_BSLASHnameCref] = ACTIONS(7591),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7591),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7591),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7591),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7591),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7591),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7591),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7591),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7591),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7591),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7591),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7591),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHdef] = ACTIONS(7591),
    [anon_sym_BSLASHgdef] = ACTIONS(7591),
    [anon_sym_BSLASHedef] = ACTIONS(7591),
    [anon_sym_BSLASHxdef] = ACTIONS(7591),
    [anon_sym_BSLASHlet] = ACTIONS(7591),
    [anon_sym_BSLASHglet] = ACTIONS(7591),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7591),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7591),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7591),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7591),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7591),
    [anon_sym_BSLASHgls] = ACTIONS(7591),
    [anon_sym_BSLASHGls] = ACTIONS(7591),
    [anon_sym_BSLASHGLS] = ACTIONS(7591),
    [anon_sym_BSLASHglspl] = ACTIONS(7591),
    [anon_sym_BSLASHGlspl] = ACTIONS(7591),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7591),
    [anon_sym_BSLASHglslink] = ACTIONS(7591),
    [anon_sym_BSLASHglstext] = ACTIONS(7591),
    [anon_sym_BSLASHGlstext] = ACTIONS(7591),
    [anon_sym_BSLASHGLStext] = ACTIONS(7591),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7591),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7591),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7591),
    [anon_sym_BSLASHglsplural] = ACTIONS(7591),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7591),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7591),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHglsname] = ACTIONS(7591),
    [anon_sym_BSLASHGlsname] = ACTIONS(7591),
    [anon_sym_BSLASHGLSname] = ACTIONS(7591),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7591),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7591),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7591),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7591),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7591),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7591),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7591),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7591),
    [anon_sym_BSLASHacrshort] = ACTIONS(7591),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7591),
    [anon_sym_BSLASHACRshort] = ACTIONS(7591),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHacrlong] = ACTIONS(7591),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7591),
    [anon_sym_BSLASHACRlong] = ACTIONS(7591),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHacrfull] = ACTIONS(7591),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7591),
    [anon_sym_BSLASHACRfull] = ACTIONS(7591),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHacs] = ACTIONS(7591),
    [anon_sym_BSLASHAcs] = ACTIONS(7591),
    [anon_sym_BSLASHacsp] = ACTIONS(7591),
    [anon_sym_BSLASHAcsp] = ACTIONS(7591),
    [anon_sym_BSLASHacl] = ACTIONS(7591),
    [anon_sym_BSLASHAcl] = ACTIONS(7591),
    [anon_sym_BSLASHaclp] = ACTIONS(7591),
    [anon_sym_BSLASHAclp] = ACTIONS(7591),
    [anon_sym_BSLASHacf] = ACTIONS(7591),
    [anon_sym_BSLASHAcf] = ACTIONS(7591),
    [anon_sym_BSLASHacfp] = ACTIONS(7591),
    [anon_sym_BSLASHAcfp] = ACTIONS(7591),
    [anon_sym_BSLASHac] = ACTIONS(7591),
    [anon_sym_BSLASHAc] = ACTIONS(7591),
    [anon_sym_BSLASHacp] = ACTIONS(7591),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7591),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7591),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7591),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7591),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7591),
    [anon_sym_BSLASHcolor] = ACTIONS(7591),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7591),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7591),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7591),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7591),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7591),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7591),
    [anon_sym_BSLASHurl] = ACTIONS(7591),
    [anon_sym_BSLASHhref] = ACTIONS(7591),
  },
  [1202] = {
    [sym_command_name] = ACTIONS(7167),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7167),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_RBRACK] = ACTIONS(7169),
    [anon_sym_COMMA] = ACTIONS(7169),
    [anon_sym_EQ] = ACTIONS(7169),
    [anon_sym_LPAREN] = ACTIONS(7169),
    [anon_sym_RPAREN] = ACTIONS(7169),
    [anon_sym_BSLASHpart] = ACTIONS(7167),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHaddpart] = ACTIONS(7167),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHchapter] = ACTIONS(7167),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHaddchap] = ACTIONS(7167),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHsection] = ACTIONS(7167),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHaddsec] = ACTIONS(7167),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHsubsection] = ACTIONS(7167),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7167),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHparagraph] = ACTIONS(7167),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7167),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHitem] = ACTIONS(7167),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7169),
    [anon_sym_LBRACE] = ACTIONS(7169),
    [sym_word] = ACTIONS(7167),
    [sym_placeholder] = ACTIONS(7169),
    [sym_delimiter] = ACTIONS(7169),
    [anon_sym_PLUS] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7169),
    [anon_sym_STAR] = ACTIONS(7169),
    [anon_sym_SLASH] = ACTIONS(7169),
    [anon_sym_LT] = ACTIONS(7167),
    [anon_sym_GT] = ACTIONS(7167),
    [anon_sym_BANG] = ACTIONS(7167),
    [anon_sym_PIPE] = ACTIONS(7167),
    [anon_sym_COLON] = ACTIONS(7167),
    [anon_sym_SQUOTE] = ACTIONS(7167),
    [anon_sym__] = ACTIONS(7169),
    [anon_sym_CARET] = ACTIONS(7169),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7169),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7169),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7169),
    [anon_sym_DOLLAR] = ACTIONS(7167),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7169),
    [anon_sym_BSLASHleft] = ACTIONS(7167),
    [anon_sym_BSLASHbigl] = ACTIONS(7167),
    [anon_sym_BSLASHBigl] = ACTIONS(7167),
    [anon_sym_BSLASHbiggl] = ACTIONS(7167),
    [anon_sym_BSLASHBiggl] = ACTIONS(7167),
    [anon_sym_BSLASHtext] = ACTIONS(7167),
    [anon_sym_BSLASHintertext] = ACTIONS(7167),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7167),
    [anon_sym_BSLASHbegin] = ACTIONS(7167),
    [anon_sym_BSLASHtitle] = ACTIONS(7167),
    [anon_sym_BSLASHauthor] = ACTIONS(7167),
    [anon_sym_BSLASHusepackage] = ACTIONS(7167),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7167),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7167),
    [anon_sym_BSLASHinclude] = ACTIONS(7167),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7167),
    [anon_sym_BSLASHinput] = ACTIONS(7167),
    [anon_sym_BSLASHsubfile] = ACTIONS(7167),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7167),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7167),
    [anon_sym_BSLASHbibliography] = ACTIONS(7167),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7167),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7167),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7167),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7167),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7167),
    [anon_sym_BSLASHimport] = ACTIONS(7167),
    [anon_sym_BSLASHsubimport] = ACTIONS(7167),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7167),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7167),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7167),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7167),
    [anon_sym_BSLASHcaption] = ACTIONS(7167),
    [anon_sym_BSLASHcite] = ACTIONS(7167),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHCite] = ACTIONS(7167),
    [anon_sym_BSLASHnocite] = ACTIONS(7167),
    [anon_sym_BSLASHcitet] = ACTIONS(7167),
    [anon_sym_BSLASHcitep] = ACTIONS(7167),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHciteA] = ACTIONS(7167),
    [anon_sym_BSLASHciteR] = ACTIONS(7167),
    [anon_sym_BSLASHciteS] = ACTIONS(7167),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7167),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7167),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7167),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7167),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHciteyear] = ACTIONS(7167),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcitedate] = ACTIONS(7167),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHciteurl] = ACTIONS(7167),
    [anon_sym_BSLASHfullcite] = ACTIONS(7167),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7167),
    [anon_sym_BSLASHcitealt] = ACTIONS(7167),
    [anon_sym_BSLASHcitealp] = ACTIONS(7167),
    [anon_sym_BSLASHcitetext] = ACTIONS(7167),
    [anon_sym_BSLASHparencite] = ACTIONS(7167),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHParencite] = ACTIONS(7167),
    [anon_sym_BSLASHfootcite] = ACTIONS(7167),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7167),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7167),
    [anon_sym_BSLASHtextcite] = ACTIONS(7167),
    [anon_sym_BSLASHTextcite] = ACTIONS(7167),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7167),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7167),
    [anon_sym_BSLASHsupercite] = ACTIONS(7167),
    [anon_sym_BSLASHautocite] = ACTIONS(7167),
    [anon_sym_BSLASHAutocite] = ACTIONS(7167),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHVolcite] = ACTIONS(7167),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHavolcite] = ACTIONS(7167),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHnotecite] = ACTIONS(7167),
    [anon_sym_BSLASHNotecite] = ACTIONS(7167),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7167),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7167),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7167),
    [anon_sym_BSLASHlabel] = ACTIONS(7167),
    [anon_sym_BSLASHref] = ACTIONS(7167),
    [anon_sym_BSLASHeqref] = ACTIONS(7167),
    [anon_sym_BSLASHvref] = ACTIONS(7167),
    [anon_sym_BSLASHVref] = ACTIONS(7167),
    [anon_sym_BSLASHautoref] = ACTIONS(7167),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHpageref] = ACTIONS(7167),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHautopageref] = ACTIONS(7167),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcref] = ACTIONS(7167),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHCref] = ACTIONS(7167),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcpageref] = ACTIONS(7167),
    [anon_sym_BSLASHCpageref] = ACTIONS(7167),
    [anon_sym_BSLASHnamecref] = ACTIONS(7167),
    [anon_sym_BSLASHnameCref] = ACTIONS(7167),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7167),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7167),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7167),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7167),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7167),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7167),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7167),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7167),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7167),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7167),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7167),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7167),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7167),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7167),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7167),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7167),
    [anon_sym_BSLASHdef] = ACTIONS(7167),
    [anon_sym_BSLASHgdef] = ACTIONS(7167),
    [anon_sym_BSLASHedef] = ACTIONS(7167),
    [anon_sym_BSLASHxdef] = ACTIONS(7167),
    [anon_sym_BSLASHlet] = ACTIONS(7167),
    [anon_sym_BSLASHglet] = ACTIONS(7167),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7167),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7167),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7167),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7167),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7167),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7167),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7167),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7167),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7167),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7167),
    [anon_sym_BSLASHgls] = ACTIONS(7167),
    [anon_sym_BSLASHGls] = ACTIONS(7167),
    [anon_sym_BSLASHGLS] = ACTIONS(7167),
    [anon_sym_BSLASHglspl] = ACTIONS(7167),
    [anon_sym_BSLASHGlspl] = ACTIONS(7167),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7167),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7167),
    [anon_sym_BSLASHglslink] = ACTIONS(7167),
    [anon_sym_BSLASHglstext] = ACTIONS(7167),
    [anon_sym_BSLASHGlstext] = ACTIONS(7167),
    [anon_sym_BSLASHGLStext] = ACTIONS(7167),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7167),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7167),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7167),
    [anon_sym_BSLASHglsplural] = ACTIONS(7167),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7167),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7167),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7167),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7167),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7167),
    [anon_sym_BSLASHglsname] = ACTIONS(7167),
    [anon_sym_BSLASHGlsname] = ACTIONS(7167),
    [anon_sym_BSLASHGLSname] = ACTIONS(7167),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7167),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7167),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7167),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7167),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7167),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7167),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7167),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7167),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7167),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7167),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7167),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7167),
    [anon_sym_BSLASHacrshort] = ACTIONS(7167),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7167),
    [anon_sym_BSLASHACRshort] = ACTIONS(7167),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHacrlong] = ACTIONS(7167),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7167),
    [anon_sym_BSLASHACRlong] = ACTIONS(7167),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7167),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7167),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7167),
    [anon_sym_BSLASHacrfull] = ACTIONS(7167),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7167),
    [anon_sym_BSLASHACRfull] = ACTIONS(7167),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHacs] = ACTIONS(7167),
    [anon_sym_BSLASHAcs] = ACTIONS(7167),
    [anon_sym_BSLASHacsp] = ACTIONS(7167),
    [anon_sym_BSLASHAcsp] = ACTIONS(7167),
    [anon_sym_BSLASHacl] = ACTIONS(7167),
    [anon_sym_BSLASHAcl] = ACTIONS(7167),
    [anon_sym_BSLASHaclp] = ACTIONS(7167),
    [anon_sym_BSLASHAclp] = ACTIONS(7167),
    [anon_sym_BSLASHacf] = ACTIONS(7167),
    [anon_sym_BSLASHAcf] = ACTIONS(7167),
    [anon_sym_BSLASHacfp] = ACTIONS(7167),
    [anon_sym_BSLASHAcfp] = ACTIONS(7167),
    [anon_sym_BSLASHac] = ACTIONS(7167),
    [anon_sym_BSLASHAc] = ACTIONS(7167),
    [anon_sym_BSLASHacp] = ACTIONS(7167),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7167),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7167),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7167),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7167),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7167),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7167),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7167),
    [anon_sym_BSLASHcolor] = ACTIONS(7167),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7167),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7167),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7167),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7167),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7167),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7167),
    [anon_sym_BSLASHurl] = ACTIONS(7167),
    [anon_sym_BSLASHhref] = ACTIONS(7167),
  },
  [1203] = {
    [sym_command_name] = ACTIONS(7347),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7347),
    [anon_sym_LBRACK] = ACTIONS(7349),
    [anon_sym_RBRACK] = ACTIONS(7349),
    [anon_sym_COMMA] = ACTIONS(7349),
    [anon_sym_EQ] = ACTIONS(7349),
    [anon_sym_LPAREN] = ACTIONS(7349),
    [anon_sym_RPAREN] = ACTIONS(7349),
    [anon_sym_BSLASHpart] = ACTIONS(7347),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHaddpart] = ACTIONS(7347),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHchapter] = ACTIONS(7347),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHaddchap] = ACTIONS(7347),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHsection] = ACTIONS(7347),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHaddsec] = ACTIONS(7347),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHsubsection] = ACTIONS(7347),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7347),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHparagraph] = ACTIONS(7347),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7347),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHitem] = ACTIONS(7347),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7349),
    [anon_sym_LBRACE] = ACTIONS(7349),
    [sym_word] = ACTIONS(7347),
    [sym_placeholder] = ACTIONS(7349),
    [sym_delimiter] = ACTIONS(7349),
    [anon_sym_PLUS] = ACTIONS(7349),
    [anon_sym_DASH] = ACTIONS(7349),
    [anon_sym_STAR] = ACTIONS(7349),
    [anon_sym_SLASH] = ACTIONS(7349),
    [anon_sym_LT] = ACTIONS(7347),
    [anon_sym_GT] = ACTIONS(7347),
    [anon_sym_BANG] = ACTIONS(7347),
    [anon_sym_PIPE] = ACTIONS(7347),
    [anon_sym_COLON] = ACTIONS(7347),
    [anon_sym_SQUOTE] = ACTIONS(7347),
    [anon_sym__] = ACTIONS(7349),
    [anon_sym_CARET] = ACTIONS(7349),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7349),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7349),
    [anon_sym_DOLLAR] = ACTIONS(7347),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7349),
    [anon_sym_BSLASHleft] = ACTIONS(7347),
    [anon_sym_BSLASHbigl] = ACTIONS(7347),
    [anon_sym_BSLASHBigl] = ACTIONS(7347),
    [anon_sym_BSLASHbiggl] = ACTIONS(7347),
    [anon_sym_BSLASHBiggl] = ACTIONS(7347),
    [anon_sym_BSLASHtext] = ACTIONS(7347),
    [anon_sym_BSLASHintertext] = ACTIONS(7347),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7347),
    [anon_sym_BSLASHbegin] = ACTIONS(7347),
    [anon_sym_BSLASHend] = ACTIONS(7347),
    [anon_sym_BSLASHtitle] = ACTIONS(7347),
    [anon_sym_BSLASHauthor] = ACTIONS(7347),
    [anon_sym_BSLASHusepackage] = ACTIONS(7347),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7347),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7347),
    [anon_sym_BSLASHinclude] = ACTIONS(7347),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7347),
    [anon_sym_BSLASHinput] = ACTIONS(7347),
    [anon_sym_BSLASHsubfile] = ACTIONS(7347),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7347),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7347),
    [anon_sym_BSLASHbibliography] = ACTIONS(7347),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7347),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7347),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7347),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7347),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7347),
    [anon_sym_BSLASHimport] = ACTIONS(7347),
    [anon_sym_BSLASHsubimport] = ACTIONS(7347),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7347),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7347),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7347),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7347),
    [anon_sym_BSLASHcaption] = ACTIONS(7347),
    [anon_sym_BSLASHcite] = ACTIONS(7347),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCite] = ACTIONS(7347),
    [anon_sym_BSLASHnocite] = ACTIONS(7347),
    [anon_sym_BSLASHcitet] = ACTIONS(7347),
    [anon_sym_BSLASHcitep] = ACTIONS(7347),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteA] = ACTIONS(7347),
    [anon_sym_BSLASHciteR] = ACTIONS(7347),
    [anon_sym_BSLASHciteS] = ACTIONS(7347),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7347),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7347),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7347),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7347),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteyear] = ACTIONS(7347),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitedate] = ACTIONS(7347),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteurl] = ACTIONS(7347),
    [anon_sym_BSLASHfullcite] = ACTIONS(7347),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7347),
    [anon_sym_BSLASHcitealt] = ACTIONS(7347),
    [anon_sym_BSLASHcitealp] = ACTIONS(7347),
    [anon_sym_BSLASHcitetext] = ACTIONS(7347),
    [anon_sym_BSLASHparencite] = ACTIONS(7347),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHParencite] = ACTIONS(7347),
    [anon_sym_BSLASHfootcite] = ACTIONS(7347),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7347),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7347),
    [anon_sym_BSLASHtextcite] = ACTIONS(7347),
    [anon_sym_BSLASHTextcite] = ACTIONS(7347),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7347),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7347),
    [anon_sym_BSLASHsupercite] = ACTIONS(7347),
    [anon_sym_BSLASHautocite] = ACTIONS(7347),
    [anon_sym_BSLASHAutocite] = ACTIONS(7347),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHVolcite] = ACTIONS(7347),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHavolcite] = ACTIONS(7347),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHNotecite] = ACTIONS(7347),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHlabel] = ACTIONS(7347),
    [anon_sym_BSLASHref] = ACTIONS(7347),
    [anon_sym_BSLASHeqref] = ACTIONS(7347),
    [anon_sym_BSLASHvref] = ACTIONS(7347),
    [anon_sym_BSLASHVref] = ACTIONS(7347),
    [anon_sym_BSLASHautoref] = ACTIONS(7347),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHpageref] = ACTIONS(7347),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHautopageref] = ACTIONS(7347),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcref] = ACTIONS(7347),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCref] = ACTIONS(7347),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcpageref] = ACTIONS(7347),
    [anon_sym_BSLASHCpageref] = ACTIONS(7347),
    [anon_sym_BSLASHnamecref] = ACTIONS(7347),
    [anon_sym_BSLASHnameCref] = ACTIONS(7347),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7347),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7347),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7347),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7347),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7347),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7347),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7347),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7347),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7347),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7347),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7347),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHdef] = ACTIONS(7347),
    [anon_sym_BSLASHgdef] = ACTIONS(7347),
    [anon_sym_BSLASHedef] = ACTIONS(7347),
    [anon_sym_BSLASHxdef] = ACTIONS(7347),
    [anon_sym_BSLASHlet] = ACTIONS(7347),
    [anon_sym_BSLASHglet] = ACTIONS(7347),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7347),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7347),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7347),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7347),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7347),
    [anon_sym_BSLASHgls] = ACTIONS(7347),
    [anon_sym_BSLASHGls] = ACTIONS(7347),
    [anon_sym_BSLASHGLS] = ACTIONS(7347),
    [anon_sym_BSLASHglspl] = ACTIONS(7347),
    [anon_sym_BSLASHGlspl] = ACTIONS(7347),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7347),
    [anon_sym_BSLASHglslink] = ACTIONS(7347),
    [anon_sym_BSLASHglstext] = ACTIONS(7347),
    [anon_sym_BSLASHGlstext] = ACTIONS(7347),
    [anon_sym_BSLASHGLStext] = ACTIONS(7347),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7347),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7347),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7347),
    [anon_sym_BSLASHglsplural] = ACTIONS(7347),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7347),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7347),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHglsname] = ACTIONS(7347),
    [anon_sym_BSLASHGlsname] = ACTIONS(7347),
    [anon_sym_BSLASHGLSname] = ACTIONS(7347),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7347),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7347),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7347),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7347),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7347),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7347),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7347),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7347),
    [anon_sym_BSLASHacrshort] = ACTIONS(7347),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7347),
    [anon_sym_BSLASHACRshort] = ACTIONS(7347),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHacrlong] = ACTIONS(7347),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7347),
    [anon_sym_BSLASHACRlong] = ACTIONS(7347),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHacrfull] = ACTIONS(7347),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7347),
    [anon_sym_BSLASHACRfull] = ACTIONS(7347),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHacs] = ACTIONS(7347),
    [anon_sym_BSLASHAcs] = ACTIONS(7347),
    [anon_sym_BSLASHacsp] = ACTIONS(7347),
    [anon_sym_BSLASHAcsp] = ACTIONS(7347),
    [anon_sym_BSLASHacl] = ACTIONS(7347),
    [anon_sym_BSLASHAcl] = ACTIONS(7347),
    [anon_sym_BSLASHaclp] = ACTIONS(7347),
    [anon_sym_BSLASHAclp] = ACTIONS(7347),
    [anon_sym_BSLASHacf] = ACTIONS(7347),
    [anon_sym_BSLASHAcf] = ACTIONS(7347),
    [anon_sym_BSLASHacfp] = ACTIONS(7347),
    [anon_sym_BSLASHAcfp] = ACTIONS(7347),
    [anon_sym_BSLASHac] = ACTIONS(7347),
    [anon_sym_BSLASHAc] = ACTIONS(7347),
    [anon_sym_BSLASHacp] = ACTIONS(7347),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7347),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7347),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7347),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7347),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7347),
    [anon_sym_BSLASHcolor] = ACTIONS(7347),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7347),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7347),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7347),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7347),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7347),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7347),
    [anon_sym_BSLASHurl] = ACTIONS(7347),
    [anon_sym_BSLASHhref] = ACTIONS(7347),
  },
  [1204] = {
    [sym_command_name] = ACTIONS(7351),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7351),
    [anon_sym_LBRACK] = ACTIONS(7353),
    [anon_sym_RBRACK] = ACTIONS(7353),
    [anon_sym_COMMA] = ACTIONS(7353),
    [anon_sym_EQ] = ACTIONS(7353),
    [anon_sym_LPAREN] = ACTIONS(7353),
    [anon_sym_RPAREN] = ACTIONS(7353),
    [anon_sym_BSLASHpart] = ACTIONS(7351),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHaddpart] = ACTIONS(7351),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHchapter] = ACTIONS(7351),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHaddchap] = ACTIONS(7351),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHsection] = ACTIONS(7351),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHaddsec] = ACTIONS(7351),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHsubsection] = ACTIONS(7351),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7351),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHparagraph] = ACTIONS(7351),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7351),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHitem] = ACTIONS(7351),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7353),
    [anon_sym_LBRACE] = ACTIONS(7353),
    [sym_word] = ACTIONS(7351),
    [sym_placeholder] = ACTIONS(7353),
    [sym_delimiter] = ACTIONS(7353),
    [anon_sym_PLUS] = ACTIONS(7353),
    [anon_sym_DASH] = ACTIONS(7353),
    [anon_sym_STAR] = ACTIONS(7353),
    [anon_sym_SLASH] = ACTIONS(7353),
    [anon_sym_LT] = ACTIONS(7351),
    [anon_sym_GT] = ACTIONS(7351),
    [anon_sym_BANG] = ACTIONS(7351),
    [anon_sym_PIPE] = ACTIONS(7351),
    [anon_sym_COLON] = ACTIONS(7351),
    [anon_sym_SQUOTE] = ACTIONS(7351),
    [anon_sym__] = ACTIONS(7353),
    [anon_sym_CARET] = ACTIONS(7353),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7353),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7353),
    [anon_sym_DOLLAR] = ACTIONS(7351),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7353),
    [anon_sym_BSLASHleft] = ACTIONS(7351),
    [anon_sym_BSLASHbigl] = ACTIONS(7351),
    [anon_sym_BSLASHBigl] = ACTIONS(7351),
    [anon_sym_BSLASHbiggl] = ACTIONS(7351),
    [anon_sym_BSLASHBiggl] = ACTIONS(7351),
    [anon_sym_BSLASHtext] = ACTIONS(7351),
    [anon_sym_BSLASHintertext] = ACTIONS(7351),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7351),
    [anon_sym_BSLASHbegin] = ACTIONS(7351),
    [anon_sym_BSLASHend] = ACTIONS(7351),
    [anon_sym_BSLASHtitle] = ACTIONS(7351),
    [anon_sym_BSLASHauthor] = ACTIONS(7351),
    [anon_sym_BSLASHusepackage] = ACTIONS(7351),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7351),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7351),
    [anon_sym_BSLASHinclude] = ACTIONS(7351),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7351),
    [anon_sym_BSLASHinput] = ACTIONS(7351),
    [anon_sym_BSLASHsubfile] = ACTIONS(7351),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7351),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7351),
    [anon_sym_BSLASHbibliography] = ACTIONS(7351),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7351),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7351),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7351),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7351),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7351),
    [anon_sym_BSLASHimport] = ACTIONS(7351),
    [anon_sym_BSLASHsubimport] = ACTIONS(7351),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7351),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7351),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7351),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7351),
    [anon_sym_BSLASHcaption] = ACTIONS(7351),
    [anon_sym_BSLASHcite] = ACTIONS(7351),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCite] = ACTIONS(7351),
    [anon_sym_BSLASHnocite] = ACTIONS(7351),
    [anon_sym_BSLASHcitet] = ACTIONS(7351),
    [anon_sym_BSLASHcitep] = ACTIONS(7351),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteA] = ACTIONS(7351),
    [anon_sym_BSLASHciteR] = ACTIONS(7351),
    [anon_sym_BSLASHciteS] = ACTIONS(7351),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7351),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7351),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7351),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7351),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteyear] = ACTIONS(7351),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitedate] = ACTIONS(7351),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteurl] = ACTIONS(7351),
    [anon_sym_BSLASHfullcite] = ACTIONS(7351),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7351),
    [anon_sym_BSLASHcitealt] = ACTIONS(7351),
    [anon_sym_BSLASHcitealp] = ACTIONS(7351),
    [anon_sym_BSLASHcitetext] = ACTIONS(7351),
    [anon_sym_BSLASHparencite] = ACTIONS(7351),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHParencite] = ACTIONS(7351),
    [anon_sym_BSLASHfootcite] = ACTIONS(7351),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7351),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7351),
    [anon_sym_BSLASHtextcite] = ACTIONS(7351),
    [anon_sym_BSLASHTextcite] = ACTIONS(7351),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7351),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7351),
    [anon_sym_BSLASHsupercite] = ACTIONS(7351),
    [anon_sym_BSLASHautocite] = ACTIONS(7351),
    [anon_sym_BSLASHAutocite] = ACTIONS(7351),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHVolcite] = ACTIONS(7351),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHavolcite] = ACTIONS(7351),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHNotecite] = ACTIONS(7351),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHlabel] = ACTIONS(7351),
    [anon_sym_BSLASHref] = ACTIONS(7351),
    [anon_sym_BSLASHeqref] = ACTIONS(7351),
    [anon_sym_BSLASHvref] = ACTIONS(7351),
    [anon_sym_BSLASHVref] = ACTIONS(7351),
    [anon_sym_BSLASHautoref] = ACTIONS(7351),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHpageref] = ACTIONS(7351),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHautopageref] = ACTIONS(7351),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcref] = ACTIONS(7351),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCref] = ACTIONS(7351),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcpageref] = ACTIONS(7351),
    [anon_sym_BSLASHCpageref] = ACTIONS(7351),
    [anon_sym_BSLASHnamecref] = ACTIONS(7351),
    [anon_sym_BSLASHnameCref] = ACTIONS(7351),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7351),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7351),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7351),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7351),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7351),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7351),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7351),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7351),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7351),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7351),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7351),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHdef] = ACTIONS(7351),
    [anon_sym_BSLASHgdef] = ACTIONS(7351),
    [anon_sym_BSLASHedef] = ACTIONS(7351),
    [anon_sym_BSLASHxdef] = ACTIONS(7351),
    [anon_sym_BSLASHlet] = ACTIONS(7351),
    [anon_sym_BSLASHglet] = ACTIONS(7351),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7351),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7351),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7351),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7351),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7351),
    [anon_sym_BSLASHgls] = ACTIONS(7351),
    [anon_sym_BSLASHGls] = ACTIONS(7351),
    [anon_sym_BSLASHGLS] = ACTIONS(7351),
    [anon_sym_BSLASHglspl] = ACTIONS(7351),
    [anon_sym_BSLASHGlspl] = ACTIONS(7351),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7351),
    [anon_sym_BSLASHglslink] = ACTIONS(7351),
    [anon_sym_BSLASHglstext] = ACTIONS(7351),
    [anon_sym_BSLASHGlstext] = ACTIONS(7351),
    [anon_sym_BSLASHGLStext] = ACTIONS(7351),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7351),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7351),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7351),
    [anon_sym_BSLASHglsplural] = ACTIONS(7351),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7351),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7351),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHglsname] = ACTIONS(7351),
    [anon_sym_BSLASHGlsname] = ACTIONS(7351),
    [anon_sym_BSLASHGLSname] = ACTIONS(7351),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7351),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7351),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7351),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7351),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7351),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7351),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7351),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7351),
    [anon_sym_BSLASHacrshort] = ACTIONS(7351),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7351),
    [anon_sym_BSLASHACRshort] = ACTIONS(7351),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHacrlong] = ACTIONS(7351),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7351),
    [anon_sym_BSLASHACRlong] = ACTIONS(7351),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHacrfull] = ACTIONS(7351),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7351),
    [anon_sym_BSLASHACRfull] = ACTIONS(7351),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHacs] = ACTIONS(7351),
    [anon_sym_BSLASHAcs] = ACTIONS(7351),
    [anon_sym_BSLASHacsp] = ACTIONS(7351),
    [anon_sym_BSLASHAcsp] = ACTIONS(7351),
    [anon_sym_BSLASHacl] = ACTIONS(7351),
    [anon_sym_BSLASHAcl] = ACTIONS(7351),
    [anon_sym_BSLASHaclp] = ACTIONS(7351),
    [anon_sym_BSLASHAclp] = ACTIONS(7351),
    [anon_sym_BSLASHacf] = ACTIONS(7351),
    [anon_sym_BSLASHAcf] = ACTIONS(7351),
    [anon_sym_BSLASHacfp] = ACTIONS(7351),
    [anon_sym_BSLASHAcfp] = ACTIONS(7351),
    [anon_sym_BSLASHac] = ACTIONS(7351),
    [anon_sym_BSLASHAc] = ACTIONS(7351),
    [anon_sym_BSLASHacp] = ACTIONS(7351),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7351),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7351),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7351),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7351),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7351),
    [anon_sym_BSLASHcolor] = ACTIONS(7351),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7351),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7351),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7351),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7351),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7351),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7351),
    [anon_sym_BSLASHurl] = ACTIONS(7351),
    [anon_sym_BSLASHhref] = ACTIONS(7351),
  },
  [1205] = {
    [sym_command_name] = ACTIONS(2326),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2326),
    [anon_sym_LBRACK] = ACTIONS(2328),
    [anon_sym_RBRACK] = ACTIONS(2328),
    [anon_sym_COMMA] = ACTIONS(2328),
    [anon_sym_EQ] = ACTIONS(2328),
    [anon_sym_LPAREN] = ACTIONS(2328),
    [anon_sym_RPAREN] = ACTIONS(2328),
    [anon_sym_BSLASHpart] = ACTIONS(2326),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddpart] = ACTIONS(2326),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHchapter] = ACTIONS(2326),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddchap] = ACTIONS(2326),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsection] = ACTIONS(2326),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddsec] = ACTIONS(2326),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsubsection] = ACTIONS(2326),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2326),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHparagraph] = ACTIONS(2326),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2326),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHitem] = ACTIONS(2326),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2328),
    [anon_sym_LBRACE] = ACTIONS(2328),
    [sym_word] = ACTIONS(2326),
    [sym_placeholder] = ACTIONS(2328),
    [sym_delimiter] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2328),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_SLASH] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2326),
    [anon_sym_GT] = ACTIONS(2326),
    [anon_sym_BANG] = ACTIONS(2326),
    [anon_sym_PIPE] = ACTIONS(2326),
    [anon_sym_COLON] = ACTIONS(2326),
    [anon_sym_SQUOTE] = ACTIONS(2326),
    [anon_sym__] = ACTIONS(2328),
    [anon_sym_CARET] = ACTIONS(2328),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2328),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2328),
    [anon_sym_DOLLAR] = ACTIONS(2326),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2328),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(2328),
    [anon_sym_BSLASHleft] = ACTIONS(2326),
    [anon_sym_BSLASHbigl] = ACTIONS(2326),
    [anon_sym_BSLASHBigl] = ACTIONS(2326),
    [anon_sym_BSLASHbiggl] = ACTIONS(2326),
    [anon_sym_BSLASHBiggl] = ACTIONS(2326),
    [anon_sym_BSLASHtext] = ACTIONS(2326),
    [anon_sym_BSLASHintertext] = ACTIONS(2326),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2326),
    [anon_sym_BSLASHbegin] = ACTIONS(2326),
    [anon_sym_BSLASHtitle] = ACTIONS(2326),
    [anon_sym_BSLASHauthor] = ACTIONS(2326),
    [anon_sym_BSLASHusepackage] = ACTIONS(2326),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2326),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2326),
    [anon_sym_BSLASHinclude] = ACTIONS(2326),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2326),
    [anon_sym_BSLASHinput] = ACTIONS(2326),
    [anon_sym_BSLASHsubfile] = ACTIONS(2326),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2326),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2326),
    [anon_sym_BSLASHbibliography] = ACTIONS(2326),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2326),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2326),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2326),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2326),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2326),
    [anon_sym_BSLASHimport] = ACTIONS(2326),
    [anon_sym_BSLASHsubimport] = ACTIONS(2326),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2326),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2326),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2326),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2326),
    [anon_sym_BSLASHcaption] = ACTIONS(2326),
    [anon_sym_BSLASHcite] = ACTIONS(2326),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHCite] = ACTIONS(2326),
    [anon_sym_BSLASHnocite] = ACTIONS(2326),
    [anon_sym_BSLASHcitet] = ACTIONS(2326),
    [anon_sym_BSLASHcitep] = ACTIONS(2326),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHciteA] = ACTIONS(2326),
    [anon_sym_BSLASHciteR] = ACTIONS(2326),
    [anon_sym_BSLASHciteS] = ACTIONS(2326),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2326),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2326),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2326),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2326),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHciteyear] = ACTIONS(2326),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcitedate] = ACTIONS(2326),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHciteurl] = ACTIONS(2326),
    [anon_sym_BSLASHfullcite] = ACTIONS(2326),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2326),
    [anon_sym_BSLASHcitealt] = ACTIONS(2326),
    [anon_sym_BSLASHcitealp] = ACTIONS(2326),
    [anon_sym_BSLASHcitetext] = ACTIONS(2326),
    [anon_sym_BSLASHparencite] = ACTIONS(2326),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHParencite] = ACTIONS(2326),
    [anon_sym_BSLASHfootcite] = ACTIONS(2326),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2326),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2326),
    [anon_sym_BSLASHtextcite] = ACTIONS(2326),
    [anon_sym_BSLASHTextcite] = ACTIONS(2326),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2326),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2326),
    [anon_sym_BSLASHsupercite] = ACTIONS(2326),
    [anon_sym_BSLASHautocite] = ACTIONS(2326),
    [anon_sym_BSLASHAutocite] = ACTIONS(2326),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHVolcite] = ACTIONS(2326),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHavolcite] = ACTIONS(2326),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHnotecite] = ACTIONS(2326),
    [anon_sym_BSLASHNotecite] = ACTIONS(2326),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2326),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2326),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2326),
    [anon_sym_BSLASHlabel] = ACTIONS(2326),
    [anon_sym_BSLASHref] = ACTIONS(2326),
    [anon_sym_BSLASHeqref] = ACTIONS(2326),
    [anon_sym_BSLASHvref] = ACTIONS(2326),
    [anon_sym_BSLASHVref] = ACTIONS(2326),
    [anon_sym_BSLASHautoref] = ACTIONS(2326),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHpageref] = ACTIONS(2326),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHautopageref] = ACTIONS(2326),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcref] = ACTIONS(2326),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHCref] = ACTIONS(2326),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcpageref] = ACTIONS(2326),
    [anon_sym_BSLASHCpageref] = ACTIONS(2326),
    [anon_sym_BSLASHnamecref] = ACTIONS(2326),
    [anon_sym_BSLASHnameCref] = ACTIONS(2326),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2326),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2326),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2326),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2326),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2326),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2326),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2326),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2326),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2326),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2326),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2326),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2326),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2326),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2326),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2326),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2326),
    [anon_sym_BSLASHdef] = ACTIONS(2326),
    [anon_sym_BSLASHgdef] = ACTIONS(2326),
    [anon_sym_BSLASHedef] = ACTIONS(2326),
    [anon_sym_BSLASHxdef] = ACTIONS(2326),
    [anon_sym_BSLASHlet] = ACTIONS(2326),
    [anon_sym_BSLASHglet] = ACTIONS(2326),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2326),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2326),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2326),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2326),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2326),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2326),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2326),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2326),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2326),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2326),
    [anon_sym_BSLASHgls] = ACTIONS(2326),
    [anon_sym_BSLASHGls] = ACTIONS(2326),
    [anon_sym_BSLASHGLS] = ACTIONS(2326),
    [anon_sym_BSLASHglspl] = ACTIONS(2326),
    [anon_sym_BSLASHGlspl] = ACTIONS(2326),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2326),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2326),
    [anon_sym_BSLASHglslink] = ACTIONS(2326),
    [anon_sym_BSLASHglstext] = ACTIONS(2326),
    [anon_sym_BSLASHGlstext] = ACTIONS(2326),
    [anon_sym_BSLASHGLStext] = ACTIONS(2326),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2326),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2326),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2326),
    [anon_sym_BSLASHglsplural] = ACTIONS(2326),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2326),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2326),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2326),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2326),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2326),
    [anon_sym_BSLASHglsname] = ACTIONS(2326),
    [anon_sym_BSLASHGlsname] = ACTIONS(2326),
    [anon_sym_BSLASHGLSname] = ACTIONS(2326),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2326),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2326),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2326),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2326),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2326),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2326),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2326),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2326),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2326),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2326),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2326),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2326),
    [anon_sym_BSLASHacrshort] = ACTIONS(2326),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2326),
    [anon_sym_BSLASHACRshort] = ACTIONS(2326),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2326),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2326),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2326),
    [anon_sym_BSLASHacrlong] = ACTIONS(2326),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2326),
    [anon_sym_BSLASHACRlong] = ACTIONS(2326),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2326),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2326),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2326),
    [anon_sym_BSLASHacrfull] = ACTIONS(2326),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2326),
    [anon_sym_BSLASHACRfull] = ACTIONS(2326),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2326),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2326),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2326),
    [anon_sym_BSLASHacs] = ACTIONS(2326),
    [anon_sym_BSLASHAcs] = ACTIONS(2326),
    [anon_sym_BSLASHacsp] = ACTIONS(2326),
    [anon_sym_BSLASHAcsp] = ACTIONS(2326),
    [anon_sym_BSLASHacl] = ACTIONS(2326),
    [anon_sym_BSLASHAcl] = ACTIONS(2326),
    [anon_sym_BSLASHaclp] = ACTIONS(2326),
    [anon_sym_BSLASHAclp] = ACTIONS(2326),
    [anon_sym_BSLASHacf] = ACTIONS(2326),
    [anon_sym_BSLASHAcf] = ACTIONS(2326),
    [anon_sym_BSLASHacfp] = ACTIONS(2326),
    [anon_sym_BSLASHAcfp] = ACTIONS(2326),
    [anon_sym_BSLASHac] = ACTIONS(2326),
    [anon_sym_BSLASHAc] = ACTIONS(2326),
    [anon_sym_BSLASHacp] = ACTIONS(2326),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2326),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2326),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2326),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2326),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2326),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2326),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2326),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2326),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2326),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2326),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2326),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2326),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2326),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2326),
    [anon_sym_BSLASHcolor] = ACTIONS(2326),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2326),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2326),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2326),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2326),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2326),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2326),
    [anon_sym_BSLASHurl] = ACTIONS(2326),
    [anon_sym_BSLASHhref] = ACTIONS(2326),
  },
  [1206] = {
    [sym_command_name] = ACTIONS(7171),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(7173),
    [anon_sym_RBRACK] = ACTIONS(7173),
    [anon_sym_COMMA] = ACTIONS(7173),
    [anon_sym_EQ] = ACTIONS(7173),
    [anon_sym_LPAREN] = ACTIONS(7173),
    [anon_sym_RPAREN] = ACTIONS(7173),
    [anon_sym_BSLASHpart] = ACTIONS(7171),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHaddpart] = ACTIONS(7171),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHchapter] = ACTIONS(7171),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHaddchap] = ACTIONS(7171),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHsection] = ACTIONS(7171),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHaddsec] = ACTIONS(7171),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHsubsection] = ACTIONS(7171),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7171),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHparagraph] = ACTIONS(7171),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7171),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHitem] = ACTIONS(7171),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7173),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [sym_word] = ACTIONS(7171),
    [sym_placeholder] = ACTIONS(7173),
    [sym_delimiter] = ACTIONS(7173),
    [anon_sym_PLUS] = ACTIONS(7173),
    [anon_sym_DASH] = ACTIONS(7173),
    [anon_sym_STAR] = ACTIONS(7173),
    [anon_sym_SLASH] = ACTIONS(7173),
    [anon_sym_LT] = ACTIONS(7171),
    [anon_sym_GT] = ACTIONS(7171),
    [anon_sym_BANG] = ACTIONS(7171),
    [anon_sym_PIPE] = ACTIONS(7171),
    [anon_sym_COLON] = ACTIONS(7171),
    [anon_sym_SQUOTE] = ACTIONS(7171),
    [anon_sym__] = ACTIONS(7173),
    [anon_sym_CARET] = ACTIONS(7173),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7173),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7173),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7173),
    [anon_sym_DOLLAR] = ACTIONS(7171),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7173),
    [anon_sym_BSLASHleft] = ACTIONS(7171),
    [anon_sym_BSLASHbigl] = ACTIONS(7171),
    [anon_sym_BSLASHBigl] = ACTIONS(7171),
    [anon_sym_BSLASHbiggl] = ACTIONS(7171),
    [anon_sym_BSLASHBiggl] = ACTIONS(7171),
    [anon_sym_BSLASHtext] = ACTIONS(7171),
    [anon_sym_BSLASHintertext] = ACTIONS(7171),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7171),
    [anon_sym_BSLASHbegin] = ACTIONS(7171),
    [anon_sym_BSLASHtitle] = ACTIONS(7171),
    [anon_sym_BSLASHauthor] = ACTIONS(7171),
    [anon_sym_BSLASHusepackage] = ACTIONS(7171),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7171),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7171),
    [anon_sym_BSLASHinclude] = ACTIONS(7171),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7171),
    [anon_sym_BSLASHinput] = ACTIONS(7171),
    [anon_sym_BSLASHsubfile] = ACTIONS(7171),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7171),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7171),
    [anon_sym_BSLASHbibliography] = ACTIONS(7171),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7171),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7171),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7171),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7171),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7171),
    [anon_sym_BSLASHimport] = ACTIONS(7171),
    [anon_sym_BSLASHsubimport] = ACTIONS(7171),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7171),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7171),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7171),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7171),
    [anon_sym_BSLASHcaption] = ACTIONS(7171),
    [anon_sym_BSLASHcite] = ACTIONS(7171),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHCite] = ACTIONS(7171),
    [anon_sym_BSLASHnocite] = ACTIONS(7171),
    [anon_sym_BSLASHcitet] = ACTIONS(7171),
    [anon_sym_BSLASHcitep] = ACTIONS(7171),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHciteA] = ACTIONS(7171),
    [anon_sym_BSLASHciteR] = ACTIONS(7171),
    [anon_sym_BSLASHciteS] = ACTIONS(7171),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7171),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7171),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7171),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7171),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHciteyear] = ACTIONS(7171),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcitedate] = ACTIONS(7171),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHciteurl] = ACTIONS(7171),
    [anon_sym_BSLASHfullcite] = ACTIONS(7171),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7171),
    [anon_sym_BSLASHcitealt] = ACTIONS(7171),
    [anon_sym_BSLASHcitealp] = ACTIONS(7171),
    [anon_sym_BSLASHcitetext] = ACTIONS(7171),
    [anon_sym_BSLASHparencite] = ACTIONS(7171),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHParencite] = ACTIONS(7171),
    [anon_sym_BSLASHfootcite] = ACTIONS(7171),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7171),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7171),
    [anon_sym_BSLASHtextcite] = ACTIONS(7171),
    [anon_sym_BSLASHTextcite] = ACTIONS(7171),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7171),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7171),
    [anon_sym_BSLASHsupercite] = ACTIONS(7171),
    [anon_sym_BSLASHautocite] = ACTIONS(7171),
    [anon_sym_BSLASHAutocite] = ACTIONS(7171),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHVolcite] = ACTIONS(7171),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHavolcite] = ACTIONS(7171),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHnotecite] = ACTIONS(7171),
    [anon_sym_BSLASHNotecite] = ACTIONS(7171),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7171),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7171),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7171),
    [anon_sym_BSLASHlabel] = ACTIONS(7171),
    [anon_sym_BSLASHref] = ACTIONS(7171),
    [anon_sym_BSLASHeqref] = ACTIONS(7171),
    [anon_sym_BSLASHvref] = ACTIONS(7171),
    [anon_sym_BSLASHVref] = ACTIONS(7171),
    [anon_sym_BSLASHautoref] = ACTIONS(7171),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHpageref] = ACTIONS(7171),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHautopageref] = ACTIONS(7171),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcref] = ACTIONS(7171),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHCref] = ACTIONS(7171),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcpageref] = ACTIONS(7171),
    [anon_sym_BSLASHCpageref] = ACTIONS(7171),
    [anon_sym_BSLASHnamecref] = ACTIONS(7171),
    [anon_sym_BSLASHnameCref] = ACTIONS(7171),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7171),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7171),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7171),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7171),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7171),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7171),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7171),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7171),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7171),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7171),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7171),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7171),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7171),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7171),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7171),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7171),
    [anon_sym_BSLASHdef] = ACTIONS(7171),
    [anon_sym_BSLASHgdef] = ACTIONS(7171),
    [anon_sym_BSLASHedef] = ACTIONS(7171),
    [anon_sym_BSLASHxdef] = ACTIONS(7171),
    [anon_sym_BSLASHlet] = ACTIONS(7171),
    [anon_sym_BSLASHglet] = ACTIONS(7171),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7171),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7171),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7171),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7171),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7171),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7171),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7171),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7171),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7171),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7171),
    [anon_sym_BSLASHgls] = ACTIONS(7171),
    [anon_sym_BSLASHGls] = ACTIONS(7171),
    [anon_sym_BSLASHGLS] = ACTIONS(7171),
    [anon_sym_BSLASHglspl] = ACTIONS(7171),
    [anon_sym_BSLASHGlspl] = ACTIONS(7171),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7171),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7171),
    [anon_sym_BSLASHglslink] = ACTIONS(7171),
    [anon_sym_BSLASHglstext] = ACTIONS(7171),
    [anon_sym_BSLASHGlstext] = ACTIONS(7171),
    [anon_sym_BSLASHGLStext] = ACTIONS(7171),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7171),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7171),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7171),
    [anon_sym_BSLASHglsplural] = ACTIONS(7171),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7171),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7171),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7171),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7171),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7171),
    [anon_sym_BSLASHglsname] = ACTIONS(7171),
    [anon_sym_BSLASHGlsname] = ACTIONS(7171),
    [anon_sym_BSLASHGLSname] = ACTIONS(7171),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7171),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7171),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7171),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7171),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7171),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7171),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7171),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7171),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7171),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7171),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7171),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7171),
    [anon_sym_BSLASHacrshort] = ACTIONS(7171),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7171),
    [anon_sym_BSLASHACRshort] = ACTIONS(7171),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHacrlong] = ACTIONS(7171),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7171),
    [anon_sym_BSLASHACRlong] = ACTIONS(7171),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7171),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7171),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7171),
    [anon_sym_BSLASHacrfull] = ACTIONS(7171),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7171),
    [anon_sym_BSLASHACRfull] = ACTIONS(7171),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHacs] = ACTIONS(7171),
    [anon_sym_BSLASHAcs] = ACTIONS(7171),
    [anon_sym_BSLASHacsp] = ACTIONS(7171),
    [anon_sym_BSLASHAcsp] = ACTIONS(7171),
    [anon_sym_BSLASHacl] = ACTIONS(7171),
    [anon_sym_BSLASHAcl] = ACTIONS(7171),
    [anon_sym_BSLASHaclp] = ACTIONS(7171),
    [anon_sym_BSLASHAclp] = ACTIONS(7171),
    [anon_sym_BSLASHacf] = ACTIONS(7171),
    [anon_sym_BSLASHAcf] = ACTIONS(7171),
    [anon_sym_BSLASHacfp] = ACTIONS(7171),
    [anon_sym_BSLASHAcfp] = ACTIONS(7171),
    [anon_sym_BSLASHac] = ACTIONS(7171),
    [anon_sym_BSLASHAc] = ACTIONS(7171),
    [anon_sym_BSLASHacp] = ACTIONS(7171),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7171),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7171),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7171),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7171),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7171),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7171),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7171),
    [anon_sym_BSLASHcolor] = ACTIONS(7171),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7171),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7171),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7171),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7171),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7171),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7171),
    [anon_sym_BSLASHurl] = ACTIONS(7171),
    [anon_sym_BSLASHhref] = ACTIONS(7171),
  },
  [1207] = {
    [sym_command_name] = ACTIONS(7175),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7175),
    [anon_sym_LBRACK] = ACTIONS(7177),
    [anon_sym_RBRACK] = ACTIONS(7177),
    [anon_sym_COMMA] = ACTIONS(7177),
    [anon_sym_EQ] = ACTIONS(7177),
    [anon_sym_LPAREN] = ACTIONS(7177),
    [anon_sym_RPAREN] = ACTIONS(7177),
    [anon_sym_BSLASHpart] = ACTIONS(7175),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHaddpart] = ACTIONS(7175),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHchapter] = ACTIONS(7175),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHaddchap] = ACTIONS(7175),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHsection] = ACTIONS(7175),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHaddsec] = ACTIONS(7175),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHsubsection] = ACTIONS(7175),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7175),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHparagraph] = ACTIONS(7175),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7175),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHitem] = ACTIONS(7175),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7177),
    [anon_sym_LBRACE] = ACTIONS(7177),
    [sym_word] = ACTIONS(7175),
    [sym_placeholder] = ACTIONS(7177),
    [sym_delimiter] = ACTIONS(7177),
    [anon_sym_PLUS] = ACTIONS(7177),
    [anon_sym_DASH] = ACTIONS(7177),
    [anon_sym_STAR] = ACTIONS(7177),
    [anon_sym_SLASH] = ACTIONS(7177),
    [anon_sym_LT] = ACTIONS(7175),
    [anon_sym_GT] = ACTIONS(7175),
    [anon_sym_BANG] = ACTIONS(7175),
    [anon_sym_PIPE] = ACTIONS(7175),
    [anon_sym_COLON] = ACTIONS(7175),
    [anon_sym_SQUOTE] = ACTIONS(7175),
    [anon_sym__] = ACTIONS(7177),
    [anon_sym_CARET] = ACTIONS(7177),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7177),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7177),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7177),
    [anon_sym_DOLLAR] = ACTIONS(7175),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7177),
    [anon_sym_BSLASHleft] = ACTIONS(7175),
    [anon_sym_BSLASHbigl] = ACTIONS(7175),
    [anon_sym_BSLASHBigl] = ACTIONS(7175),
    [anon_sym_BSLASHbiggl] = ACTIONS(7175),
    [anon_sym_BSLASHBiggl] = ACTIONS(7175),
    [anon_sym_BSLASHtext] = ACTIONS(7175),
    [anon_sym_BSLASHintertext] = ACTIONS(7175),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7175),
    [anon_sym_BSLASHbegin] = ACTIONS(7175),
    [anon_sym_BSLASHtitle] = ACTIONS(7175),
    [anon_sym_BSLASHauthor] = ACTIONS(7175),
    [anon_sym_BSLASHusepackage] = ACTIONS(7175),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7175),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7175),
    [anon_sym_BSLASHinclude] = ACTIONS(7175),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7175),
    [anon_sym_BSLASHinput] = ACTIONS(7175),
    [anon_sym_BSLASHsubfile] = ACTIONS(7175),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7175),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7175),
    [anon_sym_BSLASHbibliography] = ACTIONS(7175),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7175),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7175),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7175),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7175),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7175),
    [anon_sym_BSLASHimport] = ACTIONS(7175),
    [anon_sym_BSLASHsubimport] = ACTIONS(7175),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7175),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7175),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7175),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7175),
    [anon_sym_BSLASHcaption] = ACTIONS(7175),
    [anon_sym_BSLASHcite] = ACTIONS(7175),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHCite] = ACTIONS(7175),
    [anon_sym_BSLASHnocite] = ACTIONS(7175),
    [anon_sym_BSLASHcitet] = ACTIONS(7175),
    [anon_sym_BSLASHcitep] = ACTIONS(7175),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHciteA] = ACTIONS(7175),
    [anon_sym_BSLASHciteR] = ACTIONS(7175),
    [anon_sym_BSLASHciteS] = ACTIONS(7175),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7175),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7175),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7175),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7175),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHciteyear] = ACTIONS(7175),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcitedate] = ACTIONS(7175),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHciteurl] = ACTIONS(7175),
    [anon_sym_BSLASHfullcite] = ACTIONS(7175),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7175),
    [anon_sym_BSLASHcitealt] = ACTIONS(7175),
    [anon_sym_BSLASHcitealp] = ACTIONS(7175),
    [anon_sym_BSLASHcitetext] = ACTIONS(7175),
    [anon_sym_BSLASHparencite] = ACTIONS(7175),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHParencite] = ACTIONS(7175),
    [anon_sym_BSLASHfootcite] = ACTIONS(7175),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7175),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7175),
    [anon_sym_BSLASHtextcite] = ACTIONS(7175),
    [anon_sym_BSLASHTextcite] = ACTIONS(7175),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7175),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7175),
    [anon_sym_BSLASHsupercite] = ACTIONS(7175),
    [anon_sym_BSLASHautocite] = ACTIONS(7175),
    [anon_sym_BSLASHAutocite] = ACTIONS(7175),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHVolcite] = ACTIONS(7175),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHavolcite] = ACTIONS(7175),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHnotecite] = ACTIONS(7175),
    [anon_sym_BSLASHNotecite] = ACTIONS(7175),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7175),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7175),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7175),
    [anon_sym_BSLASHlabel] = ACTIONS(7175),
    [anon_sym_BSLASHref] = ACTIONS(7175),
    [anon_sym_BSLASHeqref] = ACTIONS(7175),
    [anon_sym_BSLASHvref] = ACTIONS(7175),
    [anon_sym_BSLASHVref] = ACTIONS(7175),
    [anon_sym_BSLASHautoref] = ACTIONS(7175),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHpageref] = ACTIONS(7175),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHautopageref] = ACTIONS(7175),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcref] = ACTIONS(7175),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHCref] = ACTIONS(7175),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcpageref] = ACTIONS(7175),
    [anon_sym_BSLASHCpageref] = ACTIONS(7175),
    [anon_sym_BSLASHnamecref] = ACTIONS(7175),
    [anon_sym_BSLASHnameCref] = ACTIONS(7175),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7175),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7175),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7175),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7175),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7175),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7175),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7175),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7175),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7175),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7175),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7175),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7175),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7175),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7175),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7175),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7175),
    [anon_sym_BSLASHdef] = ACTIONS(7175),
    [anon_sym_BSLASHgdef] = ACTIONS(7175),
    [anon_sym_BSLASHedef] = ACTIONS(7175),
    [anon_sym_BSLASHxdef] = ACTIONS(7175),
    [anon_sym_BSLASHlet] = ACTIONS(7175),
    [anon_sym_BSLASHglet] = ACTIONS(7175),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7175),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7175),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7175),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7175),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7175),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7175),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7175),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7175),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7175),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7175),
    [anon_sym_BSLASHgls] = ACTIONS(7175),
    [anon_sym_BSLASHGls] = ACTIONS(7175),
    [anon_sym_BSLASHGLS] = ACTIONS(7175),
    [anon_sym_BSLASHglspl] = ACTIONS(7175),
    [anon_sym_BSLASHGlspl] = ACTIONS(7175),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7175),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7175),
    [anon_sym_BSLASHglslink] = ACTIONS(7175),
    [anon_sym_BSLASHglstext] = ACTIONS(7175),
    [anon_sym_BSLASHGlstext] = ACTIONS(7175),
    [anon_sym_BSLASHGLStext] = ACTIONS(7175),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7175),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7175),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7175),
    [anon_sym_BSLASHglsplural] = ACTIONS(7175),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7175),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7175),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7175),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7175),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7175),
    [anon_sym_BSLASHglsname] = ACTIONS(7175),
    [anon_sym_BSLASHGlsname] = ACTIONS(7175),
    [anon_sym_BSLASHGLSname] = ACTIONS(7175),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7175),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7175),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7175),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7175),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7175),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7175),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7175),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7175),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7175),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7175),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7175),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7175),
    [anon_sym_BSLASHacrshort] = ACTIONS(7175),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7175),
    [anon_sym_BSLASHACRshort] = ACTIONS(7175),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHacrlong] = ACTIONS(7175),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7175),
    [anon_sym_BSLASHACRlong] = ACTIONS(7175),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7175),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7175),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7175),
    [anon_sym_BSLASHacrfull] = ACTIONS(7175),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7175),
    [anon_sym_BSLASHACRfull] = ACTIONS(7175),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHacs] = ACTIONS(7175),
    [anon_sym_BSLASHAcs] = ACTIONS(7175),
    [anon_sym_BSLASHacsp] = ACTIONS(7175),
    [anon_sym_BSLASHAcsp] = ACTIONS(7175),
    [anon_sym_BSLASHacl] = ACTIONS(7175),
    [anon_sym_BSLASHAcl] = ACTIONS(7175),
    [anon_sym_BSLASHaclp] = ACTIONS(7175),
    [anon_sym_BSLASHAclp] = ACTIONS(7175),
    [anon_sym_BSLASHacf] = ACTIONS(7175),
    [anon_sym_BSLASHAcf] = ACTIONS(7175),
    [anon_sym_BSLASHacfp] = ACTIONS(7175),
    [anon_sym_BSLASHAcfp] = ACTIONS(7175),
    [anon_sym_BSLASHac] = ACTIONS(7175),
    [anon_sym_BSLASHAc] = ACTIONS(7175),
    [anon_sym_BSLASHacp] = ACTIONS(7175),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7175),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7175),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7175),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7175),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7175),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7175),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7175),
    [anon_sym_BSLASHcolor] = ACTIONS(7175),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7175),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7175),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7175),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7175),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7175),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7175),
    [anon_sym_BSLASHurl] = ACTIONS(7175),
    [anon_sym_BSLASHhref] = ACTIONS(7175),
  },
  [1208] = {
    [sym_command_name] = ACTIONS(7179),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7179),
    [anon_sym_LBRACK] = ACTIONS(7181),
    [anon_sym_RBRACK] = ACTIONS(7181),
    [anon_sym_COMMA] = ACTIONS(7181),
    [anon_sym_EQ] = ACTIONS(7181),
    [anon_sym_LPAREN] = ACTIONS(7181),
    [anon_sym_RPAREN] = ACTIONS(7181),
    [anon_sym_BSLASHpart] = ACTIONS(7179),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHaddpart] = ACTIONS(7179),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHchapter] = ACTIONS(7179),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHaddchap] = ACTIONS(7179),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHsection] = ACTIONS(7179),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHaddsec] = ACTIONS(7179),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHsubsection] = ACTIONS(7179),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7179),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHparagraph] = ACTIONS(7179),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7179),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHitem] = ACTIONS(7179),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7181),
    [anon_sym_LBRACE] = ACTIONS(7181),
    [sym_word] = ACTIONS(7179),
    [sym_placeholder] = ACTIONS(7181),
    [sym_delimiter] = ACTIONS(7181),
    [anon_sym_PLUS] = ACTIONS(7181),
    [anon_sym_DASH] = ACTIONS(7181),
    [anon_sym_STAR] = ACTIONS(7181),
    [anon_sym_SLASH] = ACTIONS(7181),
    [anon_sym_LT] = ACTIONS(7179),
    [anon_sym_GT] = ACTIONS(7179),
    [anon_sym_BANG] = ACTIONS(7179),
    [anon_sym_PIPE] = ACTIONS(7179),
    [anon_sym_COLON] = ACTIONS(7179),
    [anon_sym_SQUOTE] = ACTIONS(7179),
    [anon_sym__] = ACTIONS(7181),
    [anon_sym_CARET] = ACTIONS(7181),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7181),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7181),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7181),
    [anon_sym_DOLLAR] = ACTIONS(7179),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7181),
    [anon_sym_BSLASHleft] = ACTIONS(7179),
    [anon_sym_BSLASHbigl] = ACTIONS(7179),
    [anon_sym_BSLASHBigl] = ACTIONS(7179),
    [anon_sym_BSLASHbiggl] = ACTIONS(7179),
    [anon_sym_BSLASHBiggl] = ACTIONS(7179),
    [anon_sym_BSLASHtext] = ACTIONS(7179),
    [anon_sym_BSLASHintertext] = ACTIONS(7179),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7179),
    [anon_sym_BSLASHbegin] = ACTIONS(7179),
    [anon_sym_BSLASHtitle] = ACTIONS(7179),
    [anon_sym_BSLASHauthor] = ACTIONS(7179),
    [anon_sym_BSLASHusepackage] = ACTIONS(7179),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7179),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7179),
    [anon_sym_BSLASHinclude] = ACTIONS(7179),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7179),
    [anon_sym_BSLASHinput] = ACTIONS(7179),
    [anon_sym_BSLASHsubfile] = ACTIONS(7179),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7179),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7179),
    [anon_sym_BSLASHbibliography] = ACTIONS(7179),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7179),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7179),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7179),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7179),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7179),
    [anon_sym_BSLASHimport] = ACTIONS(7179),
    [anon_sym_BSLASHsubimport] = ACTIONS(7179),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7179),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7179),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7179),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7179),
    [anon_sym_BSLASHcaption] = ACTIONS(7179),
    [anon_sym_BSLASHcite] = ACTIONS(7179),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHCite] = ACTIONS(7179),
    [anon_sym_BSLASHnocite] = ACTIONS(7179),
    [anon_sym_BSLASHcitet] = ACTIONS(7179),
    [anon_sym_BSLASHcitep] = ACTIONS(7179),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHciteA] = ACTIONS(7179),
    [anon_sym_BSLASHciteR] = ACTIONS(7179),
    [anon_sym_BSLASHciteS] = ACTIONS(7179),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7179),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7179),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7179),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7179),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHciteyear] = ACTIONS(7179),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcitedate] = ACTIONS(7179),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHciteurl] = ACTIONS(7179),
    [anon_sym_BSLASHfullcite] = ACTIONS(7179),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7179),
    [anon_sym_BSLASHcitealt] = ACTIONS(7179),
    [anon_sym_BSLASHcitealp] = ACTIONS(7179),
    [anon_sym_BSLASHcitetext] = ACTIONS(7179),
    [anon_sym_BSLASHparencite] = ACTIONS(7179),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHParencite] = ACTIONS(7179),
    [anon_sym_BSLASHfootcite] = ACTIONS(7179),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7179),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7179),
    [anon_sym_BSLASHtextcite] = ACTIONS(7179),
    [anon_sym_BSLASHTextcite] = ACTIONS(7179),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7179),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7179),
    [anon_sym_BSLASHsupercite] = ACTIONS(7179),
    [anon_sym_BSLASHautocite] = ACTIONS(7179),
    [anon_sym_BSLASHAutocite] = ACTIONS(7179),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHVolcite] = ACTIONS(7179),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHavolcite] = ACTIONS(7179),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHnotecite] = ACTIONS(7179),
    [anon_sym_BSLASHNotecite] = ACTIONS(7179),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7179),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7179),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7179),
    [anon_sym_BSLASHlabel] = ACTIONS(7179),
    [anon_sym_BSLASHref] = ACTIONS(7179),
    [anon_sym_BSLASHeqref] = ACTIONS(7179),
    [anon_sym_BSLASHvref] = ACTIONS(7179),
    [anon_sym_BSLASHVref] = ACTIONS(7179),
    [anon_sym_BSLASHautoref] = ACTIONS(7179),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHpageref] = ACTIONS(7179),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHautopageref] = ACTIONS(7179),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcref] = ACTIONS(7179),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHCref] = ACTIONS(7179),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcpageref] = ACTIONS(7179),
    [anon_sym_BSLASHCpageref] = ACTIONS(7179),
    [anon_sym_BSLASHnamecref] = ACTIONS(7179),
    [anon_sym_BSLASHnameCref] = ACTIONS(7179),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7179),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7179),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7179),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7179),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7179),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7179),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7179),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7179),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7179),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7179),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7179),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7179),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7179),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7179),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7179),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7179),
    [anon_sym_BSLASHdef] = ACTIONS(7179),
    [anon_sym_BSLASHgdef] = ACTIONS(7179),
    [anon_sym_BSLASHedef] = ACTIONS(7179),
    [anon_sym_BSLASHxdef] = ACTIONS(7179),
    [anon_sym_BSLASHlet] = ACTIONS(7179),
    [anon_sym_BSLASHglet] = ACTIONS(7179),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7179),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7179),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7179),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7179),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7179),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7179),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7179),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7179),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7179),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7179),
    [anon_sym_BSLASHgls] = ACTIONS(7179),
    [anon_sym_BSLASHGls] = ACTIONS(7179),
    [anon_sym_BSLASHGLS] = ACTIONS(7179),
    [anon_sym_BSLASHglspl] = ACTIONS(7179),
    [anon_sym_BSLASHGlspl] = ACTIONS(7179),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7179),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7179),
    [anon_sym_BSLASHglslink] = ACTIONS(7179),
    [anon_sym_BSLASHglstext] = ACTIONS(7179),
    [anon_sym_BSLASHGlstext] = ACTIONS(7179),
    [anon_sym_BSLASHGLStext] = ACTIONS(7179),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7179),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7179),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7179),
    [anon_sym_BSLASHglsplural] = ACTIONS(7179),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7179),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7179),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7179),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7179),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7179),
    [anon_sym_BSLASHglsname] = ACTIONS(7179),
    [anon_sym_BSLASHGlsname] = ACTIONS(7179),
    [anon_sym_BSLASHGLSname] = ACTIONS(7179),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7179),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7179),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7179),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7179),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7179),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7179),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7179),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7179),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7179),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7179),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7179),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7179),
    [anon_sym_BSLASHacrshort] = ACTIONS(7179),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7179),
    [anon_sym_BSLASHACRshort] = ACTIONS(7179),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHacrlong] = ACTIONS(7179),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7179),
    [anon_sym_BSLASHACRlong] = ACTIONS(7179),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7179),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7179),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7179),
    [anon_sym_BSLASHacrfull] = ACTIONS(7179),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7179),
    [anon_sym_BSLASHACRfull] = ACTIONS(7179),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHacs] = ACTIONS(7179),
    [anon_sym_BSLASHAcs] = ACTIONS(7179),
    [anon_sym_BSLASHacsp] = ACTIONS(7179),
    [anon_sym_BSLASHAcsp] = ACTIONS(7179),
    [anon_sym_BSLASHacl] = ACTIONS(7179),
    [anon_sym_BSLASHAcl] = ACTIONS(7179),
    [anon_sym_BSLASHaclp] = ACTIONS(7179),
    [anon_sym_BSLASHAclp] = ACTIONS(7179),
    [anon_sym_BSLASHacf] = ACTIONS(7179),
    [anon_sym_BSLASHAcf] = ACTIONS(7179),
    [anon_sym_BSLASHacfp] = ACTIONS(7179),
    [anon_sym_BSLASHAcfp] = ACTIONS(7179),
    [anon_sym_BSLASHac] = ACTIONS(7179),
    [anon_sym_BSLASHAc] = ACTIONS(7179),
    [anon_sym_BSLASHacp] = ACTIONS(7179),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7179),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7179),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7179),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7179),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7179),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7179),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7179),
    [anon_sym_BSLASHcolor] = ACTIONS(7179),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7179),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7179),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7179),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7179),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7179),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7179),
    [anon_sym_BSLASHurl] = ACTIONS(7179),
    [anon_sym_BSLASHhref] = ACTIONS(7179),
  },
  [1209] = {
    [sym_command_name] = ACTIONS(7355),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7357),
    [anon_sym_RBRACK] = ACTIONS(7357),
    [anon_sym_COMMA] = ACTIONS(7357),
    [anon_sym_EQ] = ACTIONS(7357),
    [anon_sym_LPAREN] = ACTIONS(7357),
    [anon_sym_RPAREN] = ACTIONS(7357),
    [anon_sym_BSLASHpart] = ACTIONS(7355),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHaddpart] = ACTIONS(7355),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHchapter] = ACTIONS(7355),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHaddchap] = ACTIONS(7355),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHsection] = ACTIONS(7355),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHaddsec] = ACTIONS(7355),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHsubsection] = ACTIONS(7355),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7355),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHparagraph] = ACTIONS(7355),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7355),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHitem] = ACTIONS(7355),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7357),
    [anon_sym_LBRACE] = ACTIONS(7357),
    [sym_word] = ACTIONS(7355),
    [sym_placeholder] = ACTIONS(7357),
    [sym_delimiter] = ACTIONS(7357),
    [anon_sym_PLUS] = ACTIONS(7357),
    [anon_sym_DASH] = ACTIONS(7357),
    [anon_sym_STAR] = ACTIONS(7357),
    [anon_sym_SLASH] = ACTIONS(7357),
    [anon_sym_LT] = ACTIONS(7355),
    [anon_sym_GT] = ACTIONS(7355),
    [anon_sym_BANG] = ACTIONS(7355),
    [anon_sym_PIPE] = ACTIONS(7355),
    [anon_sym_COLON] = ACTIONS(7355),
    [anon_sym_SQUOTE] = ACTIONS(7355),
    [anon_sym__] = ACTIONS(7357),
    [anon_sym_CARET] = ACTIONS(7357),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7357),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7357),
    [anon_sym_DOLLAR] = ACTIONS(7355),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7357),
    [anon_sym_BSLASHleft] = ACTIONS(7355),
    [anon_sym_BSLASHbigl] = ACTIONS(7355),
    [anon_sym_BSLASHBigl] = ACTIONS(7355),
    [anon_sym_BSLASHbiggl] = ACTIONS(7355),
    [anon_sym_BSLASHBiggl] = ACTIONS(7355),
    [anon_sym_BSLASHtext] = ACTIONS(7355),
    [anon_sym_BSLASHintertext] = ACTIONS(7355),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7355),
    [anon_sym_BSLASHbegin] = ACTIONS(7355),
    [anon_sym_BSLASHend] = ACTIONS(7355),
    [anon_sym_BSLASHtitle] = ACTIONS(7355),
    [anon_sym_BSLASHauthor] = ACTIONS(7355),
    [anon_sym_BSLASHusepackage] = ACTIONS(7355),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7355),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7355),
    [anon_sym_BSLASHinclude] = ACTIONS(7355),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7355),
    [anon_sym_BSLASHinput] = ACTIONS(7355),
    [anon_sym_BSLASHsubfile] = ACTIONS(7355),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7355),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7355),
    [anon_sym_BSLASHbibliography] = ACTIONS(7355),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7355),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7355),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7355),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7355),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7355),
    [anon_sym_BSLASHimport] = ACTIONS(7355),
    [anon_sym_BSLASHsubimport] = ACTIONS(7355),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7355),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7355),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7355),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7355),
    [anon_sym_BSLASHcaption] = ACTIONS(7355),
    [anon_sym_BSLASHcite] = ACTIONS(7355),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCite] = ACTIONS(7355),
    [anon_sym_BSLASHnocite] = ACTIONS(7355),
    [anon_sym_BSLASHcitet] = ACTIONS(7355),
    [anon_sym_BSLASHcitep] = ACTIONS(7355),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteA] = ACTIONS(7355),
    [anon_sym_BSLASHciteR] = ACTIONS(7355),
    [anon_sym_BSLASHciteS] = ACTIONS(7355),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7355),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7355),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7355),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7355),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteyear] = ACTIONS(7355),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitedate] = ACTIONS(7355),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteurl] = ACTIONS(7355),
    [anon_sym_BSLASHfullcite] = ACTIONS(7355),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7355),
    [anon_sym_BSLASHcitealt] = ACTIONS(7355),
    [anon_sym_BSLASHcitealp] = ACTIONS(7355),
    [anon_sym_BSLASHcitetext] = ACTIONS(7355),
    [anon_sym_BSLASHparencite] = ACTIONS(7355),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHParencite] = ACTIONS(7355),
    [anon_sym_BSLASHfootcite] = ACTIONS(7355),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7355),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7355),
    [anon_sym_BSLASHtextcite] = ACTIONS(7355),
    [anon_sym_BSLASHTextcite] = ACTIONS(7355),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7355),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7355),
    [anon_sym_BSLASHsupercite] = ACTIONS(7355),
    [anon_sym_BSLASHautocite] = ACTIONS(7355),
    [anon_sym_BSLASHAutocite] = ACTIONS(7355),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHVolcite] = ACTIONS(7355),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHavolcite] = ACTIONS(7355),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHNotecite] = ACTIONS(7355),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHlabel] = ACTIONS(7355),
    [anon_sym_BSLASHref] = ACTIONS(7355),
    [anon_sym_BSLASHeqref] = ACTIONS(7355),
    [anon_sym_BSLASHvref] = ACTIONS(7355),
    [anon_sym_BSLASHVref] = ACTIONS(7355),
    [anon_sym_BSLASHautoref] = ACTIONS(7355),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHpageref] = ACTIONS(7355),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHautopageref] = ACTIONS(7355),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcref] = ACTIONS(7355),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCref] = ACTIONS(7355),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcpageref] = ACTIONS(7355),
    [anon_sym_BSLASHCpageref] = ACTIONS(7355),
    [anon_sym_BSLASHnamecref] = ACTIONS(7355),
    [anon_sym_BSLASHnameCref] = ACTIONS(7355),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7355),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7355),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7355),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7355),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7355),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7355),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7355),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7355),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7355),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7355),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7355),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHdef] = ACTIONS(7355),
    [anon_sym_BSLASHgdef] = ACTIONS(7355),
    [anon_sym_BSLASHedef] = ACTIONS(7355),
    [anon_sym_BSLASHxdef] = ACTIONS(7355),
    [anon_sym_BSLASHlet] = ACTIONS(7355),
    [anon_sym_BSLASHglet] = ACTIONS(7355),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7355),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7355),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7355),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7355),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7355),
    [anon_sym_BSLASHgls] = ACTIONS(7355),
    [anon_sym_BSLASHGls] = ACTIONS(7355),
    [anon_sym_BSLASHGLS] = ACTIONS(7355),
    [anon_sym_BSLASHglspl] = ACTIONS(7355),
    [anon_sym_BSLASHGlspl] = ACTIONS(7355),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7355),
    [anon_sym_BSLASHglslink] = ACTIONS(7355),
    [anon_sym_BSLASHglstext] = ACTIONS(7355),
    [anon_sym_BSLASHGlstext] = ACTIONS(7355),
    [anon_sym_BSLASHGLStext] = ACTIONS(7355),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7355),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7355),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7355),
    [anon_sym_BSLASHglsplural] = ACTIONS(7355),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7355),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7355),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHglsname] = ACTIONS(7355),
    [anon_sym_BSLASHGlsname] = ACTIONS(7355),
    [anon_sym_BSLASHGLSname] = ACTIONS(7355),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7355),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7355),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7355),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7355),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7355),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7355),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7355),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7355),
    [anon_sym_BSLASHacrshort] = ACTIONS(7355),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7355),
    [anon_sym_BSLASHACRshort] = ACTIONS(7355),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHacrlong] = ACTIONS(7355),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7355),
    [anon_sym_BSLASHACRlong] = ACTIONS(7355),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHacrfull] = ACTIONS(7355),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7355),
    [anon_sym_BSLASHACRfull] = ACTIONS(7355),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHacs] = ACTIONS(7355),
    [anon_sym_BSLASHAcs] = ACTIONS(7355),
    [anon_sym_BSLASHacsp] = ACTIONS(7355),
    [anon_sym_BSLASHAcsp] = ACTIONS(7355),
    [anon_sym_BSLASHacl] = ACTIONS(7355),
    [anon_sym_BSLASHAcl] = ACTIONS(7355),
    [anon_sym_BSLASHaclp] = ACTIONS(7355),
    [anon_sym_BSLASHAclp] = ACTIONS(7355),
    [anon_sym_BSLASHacf] = ACTIONS(7355),
    [anon_sym_BSLASHAcf] = ACTIONS(7355),
    [anon_sym_BSLASHacfp] = ACTIONS(7355),
    [anon_sym_BSLASHAcfp] = ACTIONS(7355),
    [anon_sym_BSLASHac] = ACTIONS(7355),
    [anon_sym_BSLASHAc] = ACTIONS(7355),
    [anon_sym_BSLASHacp] = ACTIONS(7355),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7355),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7355),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7355),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7355),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7355),
    [anon_sym_BSLASHcolor] = ACTIONS(7355),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7355),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7355),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7355),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7355),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7355),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7355),
    [anon_sym_BSLASHurl] = ACTIONS(7355),
    [anon_sym_BSLASHhref] = ACTIONS(7355),
  },
  [1210] = {
    [sym_command_name] = ACTIONS(7183),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7183),
    [anon_sym_LBRACK] = ACTIONS(7185),
    [anon_sym_RBRACK] = ACTIONS(7185),
    [anon_sym_COMMA] = ACTIONS(7185),
    [anon_sym_EQ] = ACTIONS(7185),
    [anon_sym_LPAREN] = ACTIONS(7185),
    [anon_sym_RPAREN] = ACTIONS(7185),
    [anon_sym_BSLASHpart] = ACTIONS(7183),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHaddpart] = ACTIONS(7183),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHchapter] = ACTIONS(7183),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHaddchap] = ACTIONS(7183),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHsection] = ACTIONS(7183),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHaddsec] = ACTIONS(7183),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHsubsection] = ACTIONS(7183),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7183),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHparagraph] = ACTIONS(7183),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7183),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHitem] = ACTIONS(7183),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7185),
    [anon_sym_LBRACE] = ACTIONS(7185),
    [sym_word] = ACTIONS(7183),
    [sym_placeholder] = ACTIONS(7185),
    [sym_delimiter] = ACTIONS(7185),
    [anon_sym_PLUS] = ACTIONS(7185),
    [anon_sym_DASH] = ACTIONS(7185),
    [anon_sym_STAR] = ACTIONS(7185),
    [anon_sym_SLASH] = ACTIONS(7185),
    [anon_sym_LT] = ACTIONS(7183),
    [anon_sym_GT] = ACTIONS(7183),
    [anon_sym_BANG] = ACTIONS(7183),
    [anon_sym_PIPE] = ACTIONS(7183),
    [anon_sym_COLON] = ACTIONS(7183),
    [anon_sym_SQUOTE] = ACTIONS(7183),
    [anon_sym__] = ACTIONS(7185),
    [anon_sym_CARET] = ACTIONS(7185),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7185),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7185),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7185),
    [anon_sym_DOLLAR] = ACTIONS(7183),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7185),
    [anon_sym_BSLASHleft] = ACTIONS(7183),
    [anon_sym_BSLASHbigl] = ACTIONS(7183),
    [anon_sym_BSLASHBigl] = ACTIONS(7183),
    [anon_sym_BSLASHbiggl] = ACTIONS(7183),
    [anon_sym_BSLASHBiggl] = ACTIONS(7183),
    [anon_sym_BSLASHtext] = ACTIONS(7183),
    [anon_sym_BSLASHintertext] = ACTIONS(7183),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7183),
    [anon_sym_BSLASHbegin] = ACTIONS(7183),
    [anon_sym_BSLASHtitle] = ACTIONS(7183),
    [anon_sym_BSLASHauthor] = ACTIONS(7183),
    [anon_sym_BSLASHusepackage] = ACTIONS(7183),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7183),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7183),
    [anon_sym_BSLASHinclude] = ACTIONS(7183),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7183),
    [anon_sym_BSLASHinput] = ACTIONS(7183),
    [anon_sym_BSLASHsubfile] = ACTIONS(7183),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7183),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7183),
    [anon_sym_BSLASHbibliography] = ACTIONS(7183),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7183),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7183),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7183),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7183),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7183),
    [anon_sym_BSLASHimport] = ACTIONS(7183),
    [anon_sym_BSLASHsubimport] = ACTIONS(7183),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7183),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7183),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7183),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7183),
    [anon_sym_BSLASHcaption] = ACTIONS(7183),
    [anon_sym_BSLASHcite] = ACTIONS(7183),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHCite] = ACTIONS(7183),
    [anon_sym_BSLASHnocite] = ACTIONS(7183),
    [anon_sym_BSLASHcitet] = ACTIONS(7183),
    [anon_sym_BSLASHcitep] = ACTIONS(7183),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHciteA] = ACTIONS(7183),
    [anon_sym_BSLASHciteR] = ACTIONS(7183),
    [anon_sym_BSLASHciteS] = ACTIONS(7183),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7183),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7183),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7183),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7183),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHciteyear] = ACTIONS(7183),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcitedate] = ACTIONS(7183),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHciteurl] = ACTIONS(7183),
    [anon_sym_BSLASHfullcite] = ACTIONS(7183),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7183),
    [anon_sym_BSLASHcitealt] = ACTIONS(7183),
    [anon_sym_BSLASHcitealp] = ACTIONS(7183),
    [anon_sym_BSLASHcitetext] = ACTIONS(7183),
    [anon_sym_BSLASHparencite] = ACTIONS(7183),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHParencite] = ACTIONS(7183),
    [anon_sym_BSLASHfootcite] = ACTIONS(7183),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7183),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7183),
    [anon_sym_BSLASHtextcite] = ACTIONS(7183),
    [anon_sym_BSLASHTextcite] = ACTIONS(7183),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7183),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7183),
    [anon_sym_BSLASHsupercite] = ACTIONS(7183),
    [anon_sym_BSLASHautocite] = ACTIONS(7183),
    [anon_sym_BSLASHAutocite] = ACTIONS(7183),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHVolcite] = ACTIONS(7183),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHavolcite] = ACTIONS(7183),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHnotecite] = ACTIONS(7183),
    [anon_sym_BSLASHNotecite] = ACTIONS(7183),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7183),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7183),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7183),
    [anon_sym_BSLASHlabel] = ACTIONS(7183),
    [anon_sym_BSLASHref] = ACTIONS(7183),
    [anon_sym_BSLASHeqref] = ACTIONS(7183),
    [anon_sym_BSLASHvref] = ACTIONS(7183),
    [anon_sym_BSLASHVref] = ACTIONS(7183),
    [anon_sym_BSLASHautoref] = ACTIONS(7183),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHpageref] = ACTIONS(7183),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHautopageref] = ACTIONS(7183),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcref] = ACTIONS(7183),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHCref] = ACTIONS(7183),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcpageref] = ACTIONS(7183),
    [anon_sym_BSLASHCpageref] = ACTIONS(7183),
    [anon_sym_BSLASHnamecref] = ACTIONS(7183),
    [anon_sym_BSLASHnameCref] = ACTIONS(7183),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7183),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7183),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7183),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7183),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7183),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7183),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7183),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7183),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7183),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7183),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7183),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7183),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7183),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7183),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7183),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7183),
    [anon_sym_BSLASHdef] = ACTIONS(7183),
    [anon_sym_BSLASHgdef] = ACTIONS(7183),
    [anon_sym_BSLASHedef] = ACTIONS(7183),
    [anon_sym_BSLASHxdef] = ACTIONS(7183),
    [anon_sym_BSLASHlet] = ACTIONS(7183),
    [anon_sym_BSLASHglet] = ACTIONS(7183),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7183),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7183),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7183),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7183),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7183),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7183),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7183),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7183),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7183),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7183),
    [anon_sym_BSLASHgls] = ACTIONS(7183),
    [anon_sym_BSLASHGls] = ACTIONS(7183),
    [anon_sym_BSLASHGLS] = ACTIONS(7183),
    [anon_sym_BSLASHglspl] = ACTIONS(7183),
    [anon_sym_BSLASHGlspl] = ACTIONS(7183),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7183),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7183),
    [anon_sym_BSLASHglslink] = ACTIONS(7183),
    [anon_sym_BSLASHglstext] = ACTIONS(7183),
    [anon_sym_BSLASHGlstext] = ACTIONS(7183),
    [anon_sym_BSLASHGLStext] = ACTIONS(7183),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7183),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7183),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7183),
    [anon_sym_BSLASHglsplural] = ACTIONS(7183),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7183),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7183),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7183),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7183),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7183),
    [anon_sym_BSLASHglsname] = ACTIONS(7183),
    [anon_sym_BSLASHGlsname] = ACTIONS(7183),
    [anon_sym_BSLASHGLSname] = ACTIONS(7183),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7183),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7183),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7183),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7183),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7183),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7183),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7183),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7183),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7183),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7183),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7183),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7183),
    [anon_sym_BSLASHacrshort] = ACTIONS(7183),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7183),
    [anon_sym_BSLASHACRshort] = ACTIONS(7183),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHacrlong] = ACTIONS(7183),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7183),
    [anon_sym_BSLASHACRlong] = ACTIONS(7183),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7183),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7183),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7183),
    [anon_sym_BSLASHacrfull] = ACTIONS(7183),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7183),
    [anon_sym_BSLASHACRfull] = ACTIONS(7183),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHacs] = ACTIONS(7183),
    [anon_sym_BSLASHAcs] = ACTIONS(7183),
    [anon_sym_BSLASHacsp] = ACTIONS(7183),
    [anon_sym_BSLASHAcsp] = ACTIONS(7183),
    [anon_sym_BSLASHacl] = ACTIONS(7183),
    [anon_sym_BSLASHAcl] = ACTIONS(7183),
    [anon_sym_BSLASHaclp] = ACTIONS(7183),
    [anon_sym_BSLASHAclp] = ACTIONS(7183),
    [anon_sym_BSLASHacf] = ACTIONS(7183),
    [anon_sym_BSLASHAcf] = ACTIONS(7183),
    [anon_sym_BSLASHacfp] = ACTIONS(7183),
    [anon_sym_BSLASHAcfp] = ACTIONS(7183),
    [anon_sym_BSLASHac] = ACTIONS(7183),
    [anon_sym_BSLASHAc] = ACTIONS(7183),
    [anon_sym_BSLASHacp] = ACTIONS(7183),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7183),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7183),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7183),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7183),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7183),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7183),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7183),
    [anon_sym_BSLASHcolor] = ACTIONS(7183),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7183),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7183),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7183),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7183),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7183),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7183),
    [anon_sym_BSLASHurl] = ACTIONS(7183),
    [anon_sym_BSLASHhref] = ACTIONS(7183),
  },
  [1211] = {
    [sym_command_name] = ACTIONS(7607),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7607),
    [anon_sym_LBRACK] = ACTIONS(7609),
    [anon_sym_RBRACK] = ACTIONS(7609),
    [anon_sym_COMMA] = ACTIONS(7609),
    [anon_sym_EQ] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7609),
    [anon_sym_RPAREN] = ACTIONS(7609),
    [anon_sym_BSLASHpart] = ACTIONS(7607),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHaddpart] = ACTIONS(7607),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHchapter] = ACTIONS(7607),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHaddchap] = ACTIONS(7607),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHsection] = ACTIONS(7607),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHaddsec] = ACTIONS(7607),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHsubsection] = ACTIONS(7607),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7607),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHparagraph] = ACTIONS(7607),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7607),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHitem] = ACTIONS(7607),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7609),
    [anon_sym_LBRACE] = ACTIONS(7609),
    [sym_word] = ACTIONS(7607),
    [sym_placeholder] = ACTIONS(7609),
    [sym_delimiter] = ACTIONS(7609),
    [anon_sym_PLUS] = ACTIONS(7609),
    [anon_sym_DASH] = ACTIONS(7609),
    [anon_sym_STAR] = ACTIONS(7609),
    [anon_sym_SLASH] = ACTIONS(7609),
    [anon_sym_LT] = ACTIONS(7607),
    [anon_sym_GT] = ACTIONS(7607),
    [anon_sym_BANG] = ACTIONS(7607),
    [anon_sym_PIPE] = ACTIONS(7607),
    [anon_sym_COLON] = ACTIONS(7607),
    [anon_sym_SQUOTE] = ACTIONS(7607),
    [anon_sym__] = ACTIONS(7609),
    [anon_sym_CARET] = ACTIONS(7609),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7609),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7609),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7609),
    [anon_sym_DOLLAR] = ACTIONS(7607),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7609),
    [anon_sym_BSLASHleft] = ACTIONS(7607),
    [anon_sym_BSLASHbigl] = ACTIONS(7607),
    [anon_sym_BSLASHBigl] = ACTIONS(7607),
    [anon_sym_BSLASHbiggl] = ACTIONS(7607),
    [anon_sym_BSLASHBiggl] = ACTIONS(7607),
    [anon_sym_BSLASHtext] = ACTIONS(7607),
    [anon_sym_BSLASHintertext] = ACTIONS(7607),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7607),
    [anon_sym_BSLASHbegin] = ACTIONS(7607),
    [anon_sym_BSLASHtitle] = ACTIONS(7607),
    [anon_sym_BSLASHauthor] = ACTIONS(7607),
    [anon_sym_BSLASHusepackage] = ACTIONS(7607),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7607),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7607),
    [anon_sym_BSLASHinclude] = ACTIONS(7607),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7607),
    [anon_sym_BSLASHinput] = ACTIONS(7607),
    [anon_sym_BSLASHsubfile] = ACTIONS(7607),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7607),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7607),
    [anon_sym_BSLASHbibliography] = ACTIONS(7607),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7607),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7607),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7607),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7607),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7607),
    [anon_sym_BSLASHimport] = ACTIONS(7607),
    [anon_sym_BSLASHsubimport] = ACTIONS(7607),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7607),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7607),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7607),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7607),
    [anon_sym_BSLASHcaption] = ACTIONS(7607),
    [anon_sym_BSLASHcite] = ACTIONS(7607),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCite] = ACTIONS(7607),
    [anon_sym_BSLASHnocite] = ACTIONS(7607),
    [anon_sym_BSLASHcitet] = ACTIONS(7607),
    [anon_sym_BSLASHcitep] = ACTIONS(7607),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHciteA] = ACTIONS(7607),
    [anon_sym_BSLASHciteR] = ACTIONS(7607),
    [anon_sym_BSLASHciteS] = ACTIONS(7607),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7607),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7607),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7607),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7607),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHciteyear] = ACTIONS(7607),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcitedate] = ACTIONS(7607),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHciteurl] = ACTIONS(7607),
    [anon_sym_BSLASHfullcite] = ACTIONS(7607),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7607),
    [anon_sym_BSLASHcitealt] = ACTIONS(7607),
    [anon_sym_BSLASHcitealp] = ACTIONS(7607),
    [anon_sym_BSLASHcitetext] = ACTIONS(7607),
    [anon_sym_BSLASHparencite] = ACTIONS(7607),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHParencite] = ACTIONS(7607),
    [anon_sym_BSLASHfootcite] = ACTIONS(7607),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7607),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7607),
    [anon_sym_BSLASHtextcite] = ACTIONS(7607),
    [anon_sym_BSLASHTextcite] = ACTIONS(7607),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7607),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7607),
    [anon_sym_BSLASHsupercite] = ACTIONS(7607),
    [anon_sym_BSLASHautocite] = ACTIONS(7607),
    [anon_sym_BSLASHAutocite] = ACTIONS(7607),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHVolcite] = ACTIONS(7607),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHavolcite] = ACTIONS(7607),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHNotecite] = ACTIONS(7607),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHlabel] = ACTIONS(7607),
    [anon_sym_BSLASHref] = ACTIONS(7607),
    [anon_sym_BSLASHeqref] = ACTIONS(7607),
    [anon_sym_BSLASHvref] = ACTIONS(7607),
    [anon_sym_BSLASHVref] = ACTIONS(7607),
    [anon_sym_BSLASHautoref] = ACTIONS(7607),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHpageref] = ACTIONS(7607),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHautopageref] = ACTIONS(7607),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcref] = ACTIONS(7607),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCref] = ACTIONS(7607),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcpageref] = ACTIONS(7607),
    [anon_sym_BSLASHCpageref] = ACTIONS(7607),
    [anon_sym_BSLASHnamecref] = ACTIONS(7607),
    [anon_sym_BSLASHnameCref] = ACTIONS(7607),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7607),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7607),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7607),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7607),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7607),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7607),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7607),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7607),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7607),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7607),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7607),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7607),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7607),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7607),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7607),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7607),
    [anon_sym_BSLASHdef] = ACTIONS(7607),
    [anon_sym_BSLASHgdef] = ACTIONS(7607),
    [anon_sym_BSLASHedef] = ACTIONS(7607),
    [anon_sym_BSLASHxdef] = ACTIONS(7607),
    [anon_sym_BSLASHlet] = ACTIONS(7607),
    [anon_sym_BSLASHglet] = ACTIONS(7607),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7607),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7607),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7607),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7607),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7607),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7607),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7607),
    [anon_sym_BSLASHgls] = ACTIONS(7607),
    [anon_sym_BSLASHGls] = ACTIONS(7607),
    [anon_sym_BSLASHGLS] = ACTIONS(7607),
    [anon_sym_BSLASHglspl] = ACTIONS(7607),
    [anon_sym_BSLASHGlspl] = ACTIONS(7607),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7607),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7607),
    [anon_sym_BSLASHglslink] = ACTIONS(7607),
    [anon_sym_BSLASHglstext] = ACTIONS(7607),
    [anon_sym_BSLASHGlstext] = ACTIONS(7607),
    [anon_sym_BSLASHGLStext] = ACTIONS(7607),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7607),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7607),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7607),
    [anon_sym_BSLASHglsplural] = ACTIONS(7607),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7607),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7607),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7607),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7607),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7607),
    [anon_sym_BSLASHglsname] = ACTIONS(7607),
    [anon_sym_BSLASHGlsname] = ACTIONS(7607),
    [anon_sym_BSLASHGLSname] = ACTIONS(7607),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7607),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7607),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7607),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7607),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7607),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7607),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7607),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7607),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7607),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7607),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7607),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7607),
    [anon_sym_BSLASHacrshort] = ACTIONS(7607),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7607),
    [anon_sym_BSLASHACRshort] = ACTIONS(7607),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHacrlong] = ACTIONS(7607),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7607),
    [anon_sym_BSLASHACRlong] = ACTIONS(7607),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7607),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7607),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7607),
    [anon_sym_BSLASHacrfull] = ACTIONS(7607),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7607),
    [anon_sym_BSLASHACRfull] = ACTIONS(7607),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHacs] = ACTIONS(7607),
    [anon_sym_BSLASHAcs] = ACTIONS(7607),
    [anon_sym_BSLASHacsp] = ACTIONS(7607),
    [anon_sym_BSLASHAcsp] = ACTIONS(7607),
    [anon_sym_BSLASHacl] = ACTIONS(7607),
    [anon_sym_BSLASHAcl] = ACTIONS(7607),
    [anon_sym_BSLASHaclp] = ACTIONS(7607),
    [anon_sym_BSLASHAclp] = ACTIONS(7607),
    [anon_sym_BSLASHacf] = ACTIONS(7607),
    [anon_sym_BSLASHAcf] = ACTIONS(7607),
    [anon_sym_BSLASHacfp] = ACTIONS(7607),
    [anon_sym_BSLASHAcfp] = ACTIONS(7607),
    [anon_sym_BSLASHac] = ACTIONS(7607),
    [anon_sym_BSLASHAc] = ACTIONS(7607),
    [anon_sym_BSLASHacp] = ACTIONS(7607),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7607),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7607),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7607),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7607),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7607),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7607),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7607),
    [anon_sym_BSLASHcolor] = ACTIONS(7607),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7607),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7607),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7607),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7607),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7607),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7607),
    [anon_sym_BSLASHurl] = ACTIONS(7607),
    [anon_sym_BSLASHhref] = ACTIONS(7607),
  },
  [1212] = {
    [sym_command_name] = ACTIONS(7531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(7533),
    [anon_sym_RBRACK] = ACTIONS(7533),
    [anon_sym_COMMA] = ACTIONS(7533),
    [anon_sym_EQ] = ACTIONS(7533),
    [anon_sym_LPAREN] = ACTIONS(7533),
    [anon_sym_RPAREN] = ACTIONS(7533),
    [anon_sym_BSLASHpart] = ACTIONS(7531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHaddpart] = ACTIONS(7531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHchapter] = ACTIONS(7531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHaddchap] = ACTIONS(7531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHsection] = ACTIONS(7531),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHaddsec] = ACTIONS(7531),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHsubsection] = ACTIONS(7531),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7531),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHparagraph] = ACTIONS(7531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHitem] = ACTIONS(7531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7533),
    [anon_sym_LBRACE] = ACTIONS(7533),
    [sym_word] = ACTIONS(7531),
    [sym_placeholder] = ACTIONS(7533),
    [sym_delimiter] = ACTIONS(7533),
    [anon_sym_PLUS] = ACTIONS(7533),
    [anon_sym_DASH] = ACTIONS(7533),
    [anon_sym_STAR] = ACTIONS(7533),
    [anon_sym_SLASH] = ACTIONS(7533),
    [anon_sym_LT] = ACTIONS(7531),
    [anon_sym_GT] = ACTIONS(7531),
    [anon_sym_BANG] = ACTIONS(7531),
    [anon_sym_PIPE] = ACTIONS(7531),
    [anon_sym_COLON] = ACTIONS(7531),
    [anon_sym_SQUOTE] = ACTIONS(7531),
    [anon_sym__] = ACTIONS(7533),
    [anon_sym_CARET] = ACTIONS(7533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7533),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7533),
    [anon_sym_DOLLAR] = ACTIONS(7531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7533),
    [anon_sym_BSLASHleft] = ACTIONS(7531),
    [anon_sym_BSLASHbigl] = ACTIONS(7531),
    [anon_sym_BSLASHBigl] = ACTIONS(7531),
    [anon_sym_BSLASHbiggl] = ACTIONS(7531),
    [anon_sym_BSLASHBiggl] = ACTIONS(7531),
    [anon_sym_BSLASHtext] = ACTIONS(7531),
    [anon_sym_BSLASHintertext] = ACTIONS(7531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7531),
    [anon_sym_BSLASHbegin] = ACTIONS(7531),
    [anon_sym_BSLASHtitle] = ACTIONS(7531),
    [anon_sym_BSLASHauthor] = ACTIONS(7531),
    [anon_sym_BSLASHusepackage] = ACTIONS(7531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7531),
    [anon_sym_BSLASHinclude] = ACTIONS(7531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7531),
    [anon_sym_BSLASHinput] = ACTIONS(7531),
    [anon_sym_BSLASHsubfile] = ACTIONS(7531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7531),
    [anon_sym_BSLASHbibliography] = ACTIONS(7531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7531),
    [anon_sym_BSLASHimport] = ACTIONS(7531),
    [anon_sym_BSLASHsubimport] = ACTIONS(7531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7531),
    [anon_sym_BSLASHcaption] = ACTIONS(7531),
    [anon_sym_BSLASHcite] = ACTIONS(7531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCite] = ACTIONS(7531),
    [anon_sym_BSLASHnocite] = ACTIONS(7531),
    [anon_sym_BSLASHcitet] = ACTIONS(7531),
    [anon_sym_BSLASHcitep] = ACTIONS(7531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteA] = ACTIONS(7531),
    [anon_sym_BSLASHciteR] = ACTIONS(7531),
    [anon_sym_BSLASHciteS] = ACTIONS(7531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteyear] = ACTIONS(7531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitedate] = ACTIONS(7531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteurl] = ACTIONS(7531),
    [anon_sym_BSLASHfullcite] = ACTIONS(7531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7531),
    [anon_sym_BSLASHcitealt] = ACTIONS(7531),
    [anon_sym_BSLASHcitealp] = ACTIONS(7531),
    [anon_sym_BSLASHcitetext] = ACTIONS(7531),
    [anon_sym_BSLASHparencite] = ACTIONS(7531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHParencite] = ACTIONS(7531),
    [anon_sym_BSLASHfootcite] = ACTIONS(7531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7531),
    [anon_sym_BSLASHtextcite] = ACTIONS(7531),
    [anon_sym_BSLASHTextcite] = ACTIONS(7531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7531),
    [anon_sym_BSLASHsupercite] = ACTIONS(7531),
    [anon_sym_BSLASHautocite] = ACTIONS(7531),
    [anon_sym_BSLASHAutocite] = ACTIONS(7531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHVolcite] = ACTIONS(7531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHavolcite] = ACTIONS(7531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHNotecite] = ACTIONS(7531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHlabel] = ACTIONS(7531),
    [anon_sym_BSLASHref] = ACTIONS(7531),
    [anon_sym_BSLASHeqref] = ACTIONS(7531),
    [anon_sym_BSLASHvref] = ACTIONS(7531),
    [anon_sym_BSLASHVref] = ACTIONS(7531),
    [anon_sym_BSLASHautoref] = ACTIONS(7531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHpageref] = ACTIONS(7531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHautopageref] = ACTIONS(7531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcref] = ACTIONS(7531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCref] = ACTIONS(7531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcpageref] = ACTIONS(7531),
    [anon_sym_BSLASHCpageref] = ACTIONS(7531),
    [anon_sym_BSLASHnamecref] = ACTIONS(7531),
    [anon_sym_BSLASHnameCref] = ACTIONS(7531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHdef] = ACTIONS(7531),
    [anon_sym_BSLASHgdef] = ACTIONS(7531),
    [anon_sym_BSLASHedef] = ACTIONS(7531),
    [anon_sym_BSLASHxdef] = ACTIONS(7531),
    [anon_sym_BSLASHlet] = ACTIONS(7531),
    [anon_sym_BSLASHglet] = ACTIONS(7531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7531),
    [anon_sym_BSLASHgls] = ACTIONS(7531),
    [anon_sym_BSLASHGls] = ACTIONS(7531),
    [anon_sym_BSLASHGLS] = ACTIONS(7531),
    [anon_sym_BSLASHglspl] = ACTIONS(7531),
    [anon_sym_BSLASHGlspl] = ACTIONS(7531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7531),
    [anon_sym_BSLASHglslink] = ACTIONS(7531),
    [anon_sym_BSLASHglstext] = ACTIONS(7531),
    [anon_sym_BSLASHGlstext] = ACTIONS(7531),
    [anon_sym_BSLASHGLStext] = ACTIONS(7531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7531),
    [anon_sym_BSLASHglsplural] = ACTIONS(7531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHglsname] = ACTIONS(7531),
    [anon_sym_BSLASHGlsname] = ACTIONS(7531),
    [anon_sym_BSLASHGLSname] = ACTIONS(7531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7531),
    [anon_sym_BSLASHacrshort] = ACTIONS(7531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7531),
    [anon_sym_BSLASHACRshort] = ACTIONS(7531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHacrlong] = ACTIONS(7531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7531),
    [anon_sym_BSLASHACRlong] = ACTIONS(7531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHacrfull] = ACTIONS(7531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7531),
    [anon_sym_BSLASHACRfull] = ACTIONS(7531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHacs] = ACTIONS(7531),
    [anon_sym_BSLASHAcs] = ACTIONS(7531),
    [anon_sym_BSLASHacsp] = ACTIONS(7531),
    [anon_sym_BSLASHAcsp] = ACTIONS(7531),
    [anon_sym_BSLASHacl] = ACTIONS(7531),
    [anon_sym_BSLASHAcl] = ACTIONS(7531),
    [anon_sym_BSLASHaclp] = ACTIONS(7531),
    [anon_sym_BSLASHAclp] = ACTIONS(7531),
    [anon_sym_BSLASHacf] = ACTIONS(7531),
    [anon_sym_BSLASHAcf] = ACTIONS(7531),
    [anon_sym_BSLASHacfp] = ACTIONS(7531),
    [anon_sym_BSLASHAcfp] = ACTIONS(7531),
    [anon_sym_BSLASHac] = ACTIONS(7531),
    [anon_sym_BSLASHAc] = ACTIONS(7531),
    [anon_sym_BSLASHacp] = ACTIONS(7531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7531),
    [anon_sym_BSLASHcolor] = ACTIONS(7531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7531),
    [anon_sym_BSLASHurl] = ACTIONS(7531),
    [anon_sym_BSLASHhref] = ACTIONS(7531),
  },
  [1213] = {
    [sym_command_name] = ACTIONS(7535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(7537),
    [anon_sym_RBRACK] = ACTIONS(7537),
    [anon_sym_COMMA] = ACTIONS(7537),
    [anon_sym_EQ] = ACTIONS(7537),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_RPAREN] = ACTIONS(7537),
    [anon_sym_BSLASHpart] = ACTIONS(7535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHaddpart] = ACTIONS(7535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHchapter] = ACTIONS(7535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHaddchap] = ACTIONS(7535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHsection] = ACTIONS(7535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHaddsec] = ACTIONS(7535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHsubsection] = ACTIONS(7535),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7535),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHparagraph] = ACTIONS(7535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHitem] = ACTIONS(7535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7537),
    [anon_sym_LBRACE] = ACTIONS(7537),
    [sym_word] = ACTIONS(7535),
    [sym_placeholder] = ACTIONS(7537),
    [sym_delimiter] = ACTIONS(7537),
    [anon_sym_PLUS] = ACTIONS(7537),
    [anon_sym_DASH] = ACTIONS(7537),
    [anon_sym_STAR] = ACTIONS(7537),
    [anon_sym_SLASH] = ACTIONS(7537),
    [anon_sym_LT] = ACTIONS(7535),
    [anon_sym_GT] = ACTIONS(7535),
    [anon_sym_BANG] = ACTIONS(7535),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_COLON] = ACTIONS(7535),
    [anon_sym_SQUOTE] = ACTIONS(7535),
    [anon_sym__] = ACTIONS(7537),
    [anon_sym_CARET] = ACTIONS(7537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7537),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7537),
    [anon_sym_DOLLAR] = ACTIONS(7535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7537),
    [anon_sym_BSLASHleft] = ACTIONS(7535),
    [anon_sym_BSLASHbigl] = ACTIONS(7535),
    [anon_sym_BSLASHBigl] = ACTIONS(7535),
    [anon_sym_BSLASHbiggl] = ACTIONS(7535),
    [anon_sym_BSLASHBiggl] = ACTIONS(7535),
    [anon_sym_BSLASHtext] = ACTIONS(7535),
    [anon_sym_BSLASHintertext] = ACTIONS(7535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7535),
    [anon_sym_BSLASHbegin] = ACTIONS(7535),
    [anon_sym_BSLASHtitle] = ACTIONS(7535),
    [anon_sym_BSLASHauthor] = ACTIONS(7535),
    [anon_sym_BSLASHusepackage] = ACTIONS(7535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7535),
    [anon_sym_BSLASHinclude] = ACTIONS(7535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7535),
    [anon_sym_BSLASHinput] = ACTIONS(7535),
    [anon_sym_BSLASHsubfile] = ACTIONS(7535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7535),
    [anon_sym_BSLASHbibliography] = ACTIONS(7535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7535),
    [anon_sym_BSLASHimport] = ACTIONS(7535),
    [anon_sym_BSLASHsubimport] = ACTIONS(7535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7535),
    [anon_sym_BSLASHcaption] = ACTIONS(7535),
    [anon_sym_BSLASHcite] = ACTIONS(7535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCite] = ACTIONS(7535),
    [anon_sym_BSLASHnocite] = ACTIONS(7535),
    [anon_sym_BSLASHcitet] = ACTIONS(7535),
    [anon_sym_BSLASHcitep] = ACTIONS(7535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteA] = ACTIONS(7535),
    [anon_sym_BSLASHciteR] = ACTIONS(7535),
    [anon_sym_BSLASHciteS] = ACTIONS(7535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteyear] = ACTIONS(7535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitedate] = ACTIONS(7535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteurl] = ACTIONS(7535),
    [anon_sym_BSLASHfullcite] = ACTIONS(7535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7535),
    [anon_sym_BSLASHcitealt] = ACTIONS(7535),
    [anon_sym_BSLASHcitealp] = ACTIONS(7535),
    [anon_sym_BSLASHcitetext] = ACTIONS(7535),
    [anon_sym_BSLASHparencite] = ACTIONS(7535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHParencite] = ACTIONS(7535),
    [anon_sym_BSLASHfootcite] = ACTIONS(7535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7535),
    [anon_sym_BSLASHtextcite] = ACTIONS(7535),
    [anon_sym_BSLASHTextcite] = ACTIONS(7535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7535),
    [anon_sym_BSLASHsupercite] = ACTIONS(7535),
    [anon_sym_BSLASHautocite] = ACTIONS(7535),
    [anon_sym_BSLASHAutocite] = ACTIONS(7535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHVolcite] = ACTIONS(7535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHavolcite] = ACTIONS(7535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHNotecite] = ACTIONS(7535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHlabel] = ACTIONS(7535),
    [anon_sym_BSLASHref] = ACTIONS(7535),
    [anon_sym_BSLASHeqref] = ACTIONS(7535),
    [anon_sym_BSLASHvref] = ACTIONS(7535),
    [anon_sym_BSLASHVref] = ACTIONS(7535),
    [anon_sym_BSLASHautoref] = ACTIONS(7535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHpageref] = ACTIONS(7535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHautopageref] = ACTIONS(7535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcref] = ACTIONS(7535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCref] = ACTIONS(7535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcpageref] = ACTIONS(7535),
    [anon_sym_BSLASHCpageref] = ACTIONS(7535),
    [anon_sym_BSLASHnamecref] = ACTIONS(7535),
    [anon_sym_BSLASHnameCref] = ACTIONS(7535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHdef] = ACTIONS(7535),
    [anon_sym_BSLASHgdef] = ACTIONS(7535),
    [anon_sym_BSLASHedef] = ACTIONS(7535),
    [anon_sym_BSLASHxdef] = ACTIONS(7535),
    [anon_sym_BSLASHlet] = ACTIONS(7535),
    [anon_sym_BSLASHglet] = ACTIONS(7535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7535),
    [anon_sym_BSLASHgls] = ACTIONS(7535),
    [anon_sym_BSLASHGls] = ACTIONS(7535),
    [anon_sym_BSLASHGLS] = ACTIONS(7535),
    [anon_sym_BSLASHglspl] = ACTIONS(7535),
    [anon_sym_BSLASHGlspl] = ACTIONS(7535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7535),
    [anon_sym_BSLASHglslink] = ACTIONS(7535),
    [anon_sym_BSLASHglstext] = ACTIONS(7535),
    [anon_sym_BSLASHGlstext] = ACTIONS(7535),
    [anon_sym_BSLASHGLStext] = ACTIONS(7535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7535),
    [anon_sym_BSLASHglsplural] = ACTIONS(7535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHglsname] = ACTIONS(7535),
    [anon_sym_BSLASHGlsname] = ACTIONS(7535),
    [anon_sym_BSLASHGLSname] = ACTIONS(7535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7535),
    [anon_sym_BSLASHacrshort] = ACTIONS(7535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7535),
    [anon_sym_BSLASHACRshort] = ACTIONS(7535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHacrlong] = ACTIONS(7535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7535),
    [anon_sym_BSLASHACRlong] = ACTIONS(7535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHacrfull] = ACTIONS(7535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7535),
    [anon_sym_BSLASHACRfull] = ACTIONS(7535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHacs] = ACTIONS(7535),
    [anon_sym_BSLASHAcs] = ACTIONS(7535),
    [anon_sym_BSLASHacsp] = ACTIONS(7535),
    [anon_sym_BSLASHAcsp] = ACTIONS(7535),
    [anon_sym_BSLASHacl] = ACTIONS(7535),
    [anon_sym_BSLASHAcl] = ACTIONS(7535),
    [anon_sym_BSLASHaclp] = ACTIONS(7535),
    [anon_sym_BSLASHAclp] = ACTIONS(7535),
    [anon_sym_BSLASHacf] = ACTIONS(7535),
    [anon_sym_BSLASHAcf] = ACTIONS(7535),
    [anon_sym_BSLASHacfp] = ACTIONS(7535),
    [anon_sym_BSLASHAcfp] = ACTIONS(7535),
    [anon_sym_BSLASHac] = ACTIONS(7535),
    [anon_sym_BSLASHAc] = ACTIONS(7535),
    [anon_sym_BSLASHacp] = ACTIONS(7535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7535),
    [anon_sym_BSLASHcolor] = ACTIONS(7535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7535),
    [anon_sym_BSLASHurl] = ACTIONS(7535),
    [anon_sym_BSLASHhref] = ACTIONS(7535),
  },
  [1214] = {
    [sym_command_name] = ACTIONS(7059),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7059),
    [anon_sym_LBRACK] = ACTIONS(7061),
    [anon_sym_RBRACK] = ACTIONS(7061),
    [anon_sym_COMMA] = ACTIONS(7061),
    [anon_sym_EQ] = ACTIONS(7061),
    [anon_sym_LPAREN] = ACTIONS(7061),
    [anon_sym_RPAREN] = ACTIONS(7061),
    [anon_sym_BSLASHpart] = ACTIONS(7059),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHaddpart] = ACTIONS(7059),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHchapter] = ACTIONS(7059),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHaddchap] = ACTIONS(7059),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHsection] = ACTIONS(7059),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHaddsec] = ACTIONS(7059),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHsubsection] = ACTIONS(7059),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7059),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHparagraph] = ACTIONS(7059),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7059),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHitem] = ACTIONS(7059),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7061),
    [anon_sym_LBRACE] = ACTIONS(7061),
    [sym_word] = ACTIONS(7059),
    [sym_placeholder] = ACTIONS(7061),
    [sym_delimiter] = ACTIONS(7061),
    [anon_sym_PLUS] = ACTIONS(7061),
    [anon_sym_DASH] = ACTIONS(7061),
    [anon_sym_STAR] = ACTIONS(7061),
    [anon_sym_SLASH] = ACTIONS(7061),
    [anon_sym_LT] = ACTIONS(7059),
    [anon_sym_GT] = ACTIONS(7059),
    [anon_sym_BANG] = ACTIONS(7059),
    [anon_sym_PIPE] = ACTIONS(7059),
    [anon_sym_COLON] = ACTIONS(7059),
    [anon_sym_SQUOTE] = ACTIONS(7059),
    [anon_sym__] = ACTIONS(7061),
    [anon_sym_CARET] = ACTIONS(7061),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7061),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7061),
    [anon_sym_DOLLAR] = ACTIONS(7059),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7061),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7061),
    [anon_sym_BSLASHleft] = ACTIONS(7059),
    [anon_sym_BSLASHbigl] = ACTIONS(7059),
    [anon_sym_BSLASHBigl] = ACTIONS(7059),
    [anon_sym_BSLASHbiggl] = ACTIONS(7059),
    [anon_sym_BSLASHBiggl] = ACTIONS(7059),
    [anon_sym_BSLASHtext] = ACTIONS(7059),
    [anon_sym_BSLASHintertext] = ACTIONS(7059),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7059),
    [anon_sym_BSLASHbegin] = ACTIONS(7059),
    [anon_sym_BSLASHtitle] = ACTIONS(7059),
    [anon_sym_BSLASHauthor] = ACTIONS(7059),
    [anon_sym_BSLASHusepackage] = ACTIONS(7059),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7059),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7059),
    [anon_sym_BSLASHinclude] = ACTIONS(7059),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7059),
    [anon_sym_BSLASHinput] = ACTIONS(7059),
    [anon_sym_BSLASHsubfile] = ACTIONS(7059),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7059),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7059),
    [anon_sym_BSLASHbibliography] = ACTIONS(7059),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7059),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7059),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7059),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7059),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7059),
    [anon_sym_BSLASHimport] = ACTIONS(7059),
    [anon_sym_BSLASHsubimport] = ACTIONS(7059),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7059),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7059),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7059),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7059),
    [anon_sym_BSLASHcaption] = ACTIONS(7059),
    [anon_sym_BSLASHcite] = ACTIONS(7059),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHCite] = ACTIONS(7059),
    [anon_sym_BSLASHnocite] = ACTIONS(7059),
    [anon_sym_BSLASHcitet] = ACTIONS(7059),
    [anon_sym_BSLASHcitep] = ACTIONS(7059),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHciteA] = ACTIONS(7059),
    [anon_sym_BSLASHciteR] = ACTIONS(7059),
    [anon_sym_BSLASHciteS] = ACTIONS(7059),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7059),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7059),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7059),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7059),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHciteyear] = ACTIONS(7059),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcitedate] = ACTIONS(7059),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHciteurl] = ACTIONS(7059),
    [anon_sym_BSLASHfullcite] = ACTIONS(7059),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7059),
    [anon_sym_BSLASHcitealt] = ACTIONS(7059),
    [anon_sym_BSLASHcitealp] = ACTIONS(7059),
    [anon_sym_BSLASHcitetext] = ACTIONS(7059),
    [anon_sym_BSLASHparencite] = ACTIONS(7059),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHParencite] = ACTIONS(7059),
    [anon_sym_BSLASHfootcite] = ACTIONS(7059),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7059),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7059),
    [anon_sym_BSLASHtextcite] = ACTIONS(7059),
    [anon_sym_BSLASHTextcite] = ACTIONS(7059),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7059),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7059),
    [anon_sym_BSLASHsupercite] = ACTIONS(7059),
    [anon_sym_BSLASHautocite] = ACTIONS(7059),
    [anon_sym_BSLASHAutocite] = ACTIONS(7059),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHVolcite] = ACTIONS(7059),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHavolcite] = ACTIONS(7059),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHnotecite] = ACTIONS(7059),
    [anon_sym_BSLASHNotecite] = ACTIONS(7059),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7059),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7059),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7059),
    [anon_sym_BSLASHlabel] = ACTIONS(7059),
    [anon_sym_BSLASHref] = ACTIONS(7059),
    [anon_sym_BSLASHeqref] = ACTIONS(7059),
    [anon_sym_BSLASHvref] = ACTIONS(7059),
    [anon_sym_BSLASHVref] = ACTIONS(7059),
    [anon_sym_BSLASHautoref] = ACTIONS(7059),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHpageref] = ACTIONS(7059),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHautopageref] = ACTIONS(7059),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcref] = ACTIONS(7059),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHCref] = ACTIONS(7059),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcpageref] = ACTIONS(7059),
    [anon_sym_BSLASHCpageref] = ACTIONS(7059),
    [anon_sym_BSLASHnamecref] = ACTIONS(7059),
    [anon_sym_BSLASHnameCref] = ACTIONS(7059),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7059),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7059),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7059),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7059),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7059),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7059),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7059),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7059),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7059),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7059),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7059),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7059),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7059),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7059),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7059),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7059),
    [anon_sym_BSLASHdef] = ACTIONS(7059),
    [anon_sym_BSLASHgdef] = ACTIONS(7059),
    [anon_sym_BSLASHedef] = ACTIONS(7059),
    [anon_sym_BSLASHxdef] = ACTIONS(7059),
    [anon_sym_BSLASHlet] = ACTIONS(7059),
    [anon_sym_BSLASHglet] = ACTIONS(7059),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7059),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7059),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7059),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7059),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7059),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7059),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7059),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7059),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7059),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7059),
    [anon_sym_BSLASHgls] = ACTIONS(7059),
    [anon_sym_BSLASHGls] = ACTIONS(7059),
    [anon_sym_BSLASHGLS] = ACTIONS(7059),
    [anon_sym_BSLASHglspl] = ACTIONS(7059),
    [anon_sym_BSLASHGlspl] = ACTIONS(7059),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7059),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7059),
    [anon_sym_BSLASHglslink] = ACTIONS(7059),
    [anon_sym_BSLASHglstext] = ACTIONS(7059),
    [anon_sym_BSLASHGlstext] = ACTIONS(7059),
    [anon_sym_BSLASHGLStext] = ACTIONS(7059),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7059),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7059),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7059),
    [anon_sym_BSLASHglsplural] = ACTIONS(7059),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7059),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7059),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7059),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7059),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7059),
    [anon_sym_BSLASHglsname] = ACTIONS(7059),
    [anon_sym_BSLASHGlsname] = ACTIONS(7059),
    [anon_sym_BSLASHGLSname] = ACTIONS(7059),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7059),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7059),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7059),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7059),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7059),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7059),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7059),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7059),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7059),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7059),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7059),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7059),
    [anon_sym_BSLASHacrshort] = ACTIONS(7059),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7059),
    [anon_sym_BSLASHACRshort] = ACTIONS(7059),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHacrlong] = ACTIONS(7059),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7059),
    [anon_sym_BSLASHACRlong] = ACTIONS(7059),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7059),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7059),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7059),
    [anon_sym_BSLASHacrfull] = ACTIONS(7059),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7059),
    [anon_sym_BSLASHACRfull] = ACTIONS(7059),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHacs] = ACTIONS(7059),
    [anon_sym_BSLASHAcs] = ACTIONS(7059),
    [anon_sym_BSLASHacsp] = ACTIONS(7059),
    [anon_sym_BSLASHAcsp] = ACTIONS(7059),
    [anon_sym_BSLASHacl] = ACTIONS(7059),
    [anon_sym_BSLASHAcl] = ACTIONS(7059),
    [anon_sym_BSLASHaclp] = ACTIONS(7059),
    [anon_sym_BSLASHAclp] = ACTIONS(7059),
    [anon_sym_BSLASHacf] = ACTIONS(7059),
    [anon_sym_BSLASHAcf] = ACTIONS(7059),
    [anon_sym_BSLASHacfp] = ACTIONS(7059),
    [anon_sym_BSLASHAcfp] = ACTIONS(7059),
    [anon_sym_BSLASHac] = ACTIONS(7059),
    [anon_sym_BSLASHAc] = ACTIONS(7059),
    [anon_sym_BSLASHacp] = ACTIONS(7059),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7059),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7059),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7059),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7059),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7059),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7059),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7059),
    [anon_sym_BSLASHcolor] = ACTIONS(7059),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7059),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7059),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7059),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7059),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7059),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7059),
    [anon_sym_BSLASHurl] = ACTIONS(7059),
    [anon_sym_BSLASHhref] = ACTIONS(7059),
  },
  [1215] = {
    [sym_command_name] = ACTIONS(7039),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7039),
    [anon_sym_LBRACK] = ACTIONS(7041),
    [anon_sym_RBRACK] = ACTIONS(7041),
    [anon_sym_COMMA] = ACTIONS(7041),
    [anon_sym_EQ] = ACTIONS(7041),
    [anon_sym_LPAREN] = ACTIONS(7041),
    [anon_sym_RPAREN] = ACTIONS(7041),
    [anon_sym_BSLASHpart] = ACTIONS(7039),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHaddpart] = ACTIONS(7039),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHchapter] = ACTIONS(7039),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHaddchap] = ACTIONS(7039),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHsection] = ACTIONS(7039),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHaddsec] = ACTIONS(7039),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHsubsection] = ACTIONS(7039),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7039),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHparagraph] = ACTIONS(7039),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7039),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHitem] = ACTIONS(7039),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7041),
    [anon_sym_LBRACE] = ACTIONS(7041),
    [sym_word] = ACTIONS(7039),
    [sym_placeholder] = ACTIONS(7041),
    [sym_delimiter] = ACTIONS(7041),
    [anon_sym_PLUS] = ACTIONS(7041),
    [anon_sym_DASH] = ACTIONS(7041),
    [anon_sym_STAR] = ACTIONS(7041),
    [anon_sym_SLASH] = ACTIONS(7041),
    [anon_sym_LT] = ACTIONS(7039),
    [anon_sym_GT] = ACTIONS(7039),
    [anon_sym_BANG] = ACTIONS(7039),
    [anon_sym_PIPE] = ACTIONS(7039),
    [anon_sym_COLON] = ACTIONS(7039),
    [anon_sym_SQUOTE] = ACTIONS(7039),
    [anon_sym__] = ACTIONS(7041),
    [anon_sym_CARET] = ACTIONS(7041),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7041),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7041),
    [anon_sym_DOLLAR] = ACTIONS(7039),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7041),
    [anon_sym_BSLASHleft] = ACTIONS(7039),
    [anon_sym_BSLASHbigl] = ACTIONS(7039),
    [anon_sym_BSLASHBigl] = ACTIONS(7039),
    [anon_sym_BSLASHbiggl] = ACTIONS(7039),
    [anon_sym_BSLASHBiggl] = ACTIONS(7039),
    [anon_sym_BSLASHtext] = ACTIONS(7039),
    [anon_sym_BSLASHintertext] = ACTIONS(7039),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7039),
    [anon_sym_BSLASHbegin] = ACTIONS(7039),
    [anon_sym_BSLASHend] = ACTIONS(7039),
    [anon_sym_BSLASHtitle] = ACTIONS(7039),
    [anon_sym_BSLASHauthor] = ACTIONS(7039),
    [anon_sym_BSLASHusepackage] = ACTIONS(7039),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7039),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7039),
    [anon_sym_BSLASHinclude] = ACTIONS(7039),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7039),
    [anon_sym_BSLASHinput] = ACTIONS(7039),
    [anon_sym_BSLASHsubfile] = ACTIONS(7039),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7039),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7039),
    [anon_sym_BSLASHbibliography] = ACTIONS(7039),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7039),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7039),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7039),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7039),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7039),
    [anon_sym_BSLASHimport] = ACTIONS(7039),
    [anon_sym_BSLASHsubimport] = ACTIONS(7039),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7039),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7039),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7039),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7039),
    [anon_sym_BSLASHcaption] = ACTIONS(7039),
    [anon_sym_BSLASHcite] = ACTIONS(7039),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHCite] = ACTIONS(7039),
    [anon_sym_BSLASHnocite] = ACTIONS(7039),
    [anon_sym_BSLASHcitet] = ACTIONS(7039),
    [anon_sym_BSLASHcitep] = ACTIONS(7039),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHciteA] = ACTIONS(7039),
    [anon_sym_BSLASHciteR] = ACTIONS(7039),
    [anon_sym_BSLASHciteS] = ACTIONS(7039),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7039),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7039),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7039),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7039),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHciteyear] = ACTIONS(7039),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcitedate] = ACTIONS(7039),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHciteurl] = ACTIONS(7039),
    [anon_sym_BSLASHfullcite] = ACTIONS(7039),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7039),
    [anon_sym_BSLASHcitealt] = ACTIONS(7039),
    [anon_sym_BSLASHcitealp] = ACTIONS(7039),
    [anon_sym_BSLASHcitetext] = ACTIONS(7039),
    [anon_sym_BSLASHparencite] = ACTIONS(7039),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHParencite] = ACTIONS(7039),
    [anon_sym_BSLASHfootcite] = ACTIONS(7039),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7039),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7039),
    [anon_sym_BSLASHtextcite] = ACTIONS(7039),
    [anon_sym_BSLASHTextcite] = ACTIONS(7039),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7039),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7039),
    [anon_sym_BSLASHsupercite] = ACTIONS(7039),
    [anon_sym_BSLASHautocite] = ACTIONS(7039),
    [anon_sym_BSLASHAutocite] = ACTIONS(7039),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHVolcite] = ACTIONS(7039),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHavolcite] = ACTIONS(7039),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHnotecite] = ACTIONS(7039),
    [anon_sym_BSLASHNotecite] = ACTIONS(7039),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7039),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7039),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7039),
    [anon_sym_BSLASHlabel] = ACTIONS(7039),
    [anon_sym_BSLASHref] = ACTIONS(7039),
    [anon_sym_BSLASHeqref] = ACTIONS(7039),
    [anon_sym_BSLASHvref] = ACTIONS(7039),
    [anon_sym_BSLASHVref] = ACTIONS(7039),
    [anon_sym_BSLASHautoref] = ACTIONS(7039),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHpageref] = ACTIONS(7039),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHautopageref] = ACTIONS(7039),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcref] = ACTIONS(7039),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHCref] = ACTIONS(7039),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcpageref] = ACTIONS(7039),
    [anon_sym_BSLASHCpageref] = ACTIONS(7039),
    [anon_sym_BSLASHnamecref] = ACTIONS(7039),
    [anon_sym_BSLASHnameCref] = ACTIONS(7039),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7039),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7039),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7039),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7039),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7039),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7039),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7039),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7039),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7039),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7039),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7039),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7039),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7039),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7039),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7039),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7039),
    [anon_sym_BSLASHdef] = ACTIONS(7039),
    [anon_sym_BSLASHgdef] = ACTIONS(7039),
    [anon_sym_BSLASHedef] = ACTIONS(7039),
    [anon_sym_BSLASHxdef] = ACTIONS(7039),
    [anon_sym_BSLASHlet] = ACTIONS(7039),
    [anon_sym_BSLASHglet] = ACTIONS(7039),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7039),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7039),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7039),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7039),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7039),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7039),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7039),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7039),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7039),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7039),
    [anon_sym_BSLASHgls] = ACTIONS(7039),
    [anon_sym_BSLASHGls] = ACTIONS(7039),
    [anon_sym_BSLASHGLS] = ACTIONS(7039),
    [anon_sym_BSLASHglspl] = ACTIONS(7039),
    [anon_sym_BSLASHGlspl] = ACTIONS(7039),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7039),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7039),
    [anon_sym_BSLASHglslink] = ACTIONS(7039),
    [anon_sym_BSLASHglstext] = ACTIONS(7039),
    [anon_sym_BSLASHGlstext] = ACTIONS(7039),
    [anon_sym_BSLASHGLStext] = ACTIONS(7039),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7039),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7039),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7039),
    [anon_sym_BSLASHglsplural] = ACTIONS(7039),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7039),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7039),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7039),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7039),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7039),
    [anon_sym_BSLASHglsname] = ACTIONS(7039),
    [anon_sym_BSLASHGlsname] = ACTIONS(7039),
    [anon_sym_BSLASHGLSname] = ACTIONS(7039),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7039),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7039),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7039),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7039),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7039),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7039),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7039),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7039),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7039),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7039),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7039),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7039),
    [anon_sym_BSLASHacrshort] = ACTIONS(7039),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7039),
    [anon_sym_BSLASHACRshort] = ACTIONS(7039),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7039),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7039),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7039),
    [anon_sym_BSLASHacrlong] = ACTIONS(7039),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7039),
    [anon_sym_BSLASHACRlong] = ACTIONS(7039),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7039),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7039),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7039),
    [anon_sym_BSLASHacrfull] = ACTIONS(7039),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7039),
    [anon_sym_BSLASHACRfull] = ACTIONS(7039),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7039),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7039),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7039),
    [anon_sym_BSLASHacs] = ACTIONS(7039),
    [anon_sym_BSLASHAcs] = ACTIONS(7039),
    [anon_sym_BSLASHacsp] = ACTIONS(7039),
    [anon_sym_BSLASHAcsp] = ACTIONS(7039),
    [anon_sym_BSLASHacl] = ACTIONS(7039),
    [anon_sym_BSLASHAcl] = ACTIONS(7039),
    [anon_sym_BSLASHaclp] = ACTIONS(7039),
    [anon_sym_BSLASHAclp] = ACTIONS(7039),
    [anon_sym_BSLASHacf] = ACTIONS(7039),
    [anon_sym_BSLASHAcf] = ACTIONS(7039),
    [anon_sym_BSLASHacfp] = ACTIONS(7039),
    [anon_sym_BSLASHAcfp] = ACTIONS(7039),
    [anon_sym_BSLASHac] = ACTIONS(7039),
    [anon_sym_BSLASHAc] = ACTIONS(7039),
    [anon_sym_BSLASHacp] = ACTIONS(7039),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7039),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7039),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7039),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7039),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7039),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7039),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7039),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7039),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7039),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7039),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7039),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7039),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7039),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7039),
    [anon_sym_BSLASHcolor] = ACTIONS(7039),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7039),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7039),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7039),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7039),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7039),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7039),
    [anon_sym_BSLASHurl] = ACTIONS(7039),
    [anon_sym_BSLASHhref] = ACTIONS(7039),
  },
  [1216] = {
    [sym_command_name] = ACTIONS(7063),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7063),
    [anon_sym_LBRACK] = ACTIONS(7065),
    [anon_sym_RBRACK] = ACTIONS(7065),
    [anon_sym_COMMA] = ACTIONS(7065),
    [anon_sym_EQ] = ACTIONS(7065),
    [anon_sym_LPAREN] = ACTIONS(7065),
    [anon_sym_RPAREN] = ACTIONS(7065),
    [anon_sym_BSLASHpart] = ACTIONS(7063),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHaddpart] = ACTIONS(7063),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHchapter] = ACTIONS(7063),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHaddchap] = ACTIONS(7063),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHsection] = ACTIONS(7063),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHaddsec] = ACTIONS(7063),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHsubsection] = ACTIONS(7063),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7063),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHparagraph] = ACTIONS(7063),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7063),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHitem] = ACTIONS(7063),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7065),
    [anon_sym_LBRACE] = ACTIONS(7065),
    [sym_word] = ACTIONS(7063),
    [sym_placeholder] = ACTIONS(7065),
    [sym_delimiter] = ACTIONS(7065),
    [anon_sym_PLUS] = ACTIONS(7065),
    [anon_sym_DASH] = ACTIONS(7065),
    [anon_sym_STAR] = ACTIONS(7065),
    [anon_sym_SLASH] = ACTIONS(7065),
    [anon_sym_LT] = ACTIONS(7063),
    [anon_sym_GT] = ACTIONS(7063),
    [anon_sym_BANG] = ACTIONS(7063),
    [anon_sym_PIPE] = ACTIONS(7063),
    [anon_sym_COLON] = ACTIONS(7063),
    [anon_sym_SQUOTE] = ACTIONS(7063),
    [anon_sym__] = ACTIONS(7065),
    [anon_sym_CARET] = ACTIONS(7065),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7065),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7065),
    [anon_sym_DOLLAR] = ACTIONS(7063),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7065),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7065),
    [anon_sym_BSLASHleft] = ACTIONS(7063),
    [anon_sym_BSLASHbigl] = ACTIONS(7063),
    [anon_sym_BSLASHBigl] = ACTIONS(7063),
    [anon_sym_BSLASHbiggl] = ACTIONS(7063),
    [anon_sym_BSLASHBiggl] = ACTIONS(7063),
    [anon_sym_BSLASHtext] = ACTIONS(7063),
    [anon_sym_BSLASHintertext] = ACTIONS(7063),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7063),
    [anon_sym_BSLASHbegin] = ACTIONS(7063),
    [anon_sym_BSLASHtitle] = ACTIONS(7063),
    [anon_sym_BSLASHauthor] = ACTIONS(7063),
    [anon_sym_BSLASHusepackage] = ACTIONS(7063),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7063),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7063),
    [anon_sym_BSLASHinclude] = ACTIONS(7063),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7063),
    [anon_sym_BSLASHinput] = ACTIONS(7063),
    [anon_sym_BSLASHsubfile] = ACTIONS(7063),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7063),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7063),
    [anon_sym_BSLASHbibliography] = ACTIONS(7063),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7063),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7063),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7063),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7063),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7063),
    [anon_sym_BSLASHimport] = ACTIONS(7063),
    [anon_sym_BSLASHsubimport] = ACTIONS(7063),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7063),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7063),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7063),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7063),
    [anon_sym_BSLASHcaption] = ACTIONS(7063),
    [anon_sym_BSLASHcite] = ACTIONS(7063),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHCite] = ACTIONS(7063),
    [anon_sym_BSLASHnocite] = ACTIONS(7063),
    [anon_sym_BSLASHcitet] = ACTIONS(7063),
    [anon_sym_BSLASHcitep] = ACTIONS(7063),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHciteA] = ACTIONS(7063),
    [anon_sym_BSLASHciteR] = ACTIONS(7063),
    [anon_sym_BSLASHciteS] = ACTIONS(7063),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7063),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7063),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7063),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7063),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHciteyear] = ACTIONS(7063),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcitedate] = ACTIONS(7063),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHciteurl] = ACTIONS(7063),
    [anon_sym_BSLASHfullcite] = ACTIONS(7063),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7063),
    [anon_sym_BSLASHcitealt] = ACTIONS(7063),
    [anon_sym_BSLASHcitealp] = ACTIONS(7063),
    [anon_sym_BSLASHcitetext] = ACTIONS(7063),
    [anon_sym_BSLASHparencite] = ACTIONS(7063),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHParencite] = ACTIONS(7063),
    [anon_sym_BSLASHfootcite] = ACTIONS(7063),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7063),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7063),
    [anon_sym_BSLASHtextcite] = ACTIONS(7063),
    [anon_sym_BSLASHTextcite] = ACTIONS(7063),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7063),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7063),
    [anon_sym_BSLASHsupercite] = ACTIONS(7063),
    [anon_sym_BSLASHautocite] = ACTIONS(7063),
    [anon_sym_BSLASHAutocite] = ACTIONS(7063),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHVolcite] = ACTIONS(7063),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHavolcite] = ACTIONS(7063),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHnotecite] = ACTIONS(7063),
    [anon_sym_BSLASHNotecite] = ACTIONS(7063),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7063),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7063),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7063),
    [anon_sym_BSLASHlabel] = ACTIONS(7063),
    [anon_sym_BSLASHref] = ACTIONS(7063),
    [anon_sym_BSLASHeqref] = ACTIONS(7063),
    [anon_sym_BSLASHvref] = ACTIONS(7063),
    [anon_sym_BSLASHVref] = ACTIONS(7063),
    [anon_sym_BSLASHautoref] = ACTIONS(7063),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHpageref] = ACTIONS(7063),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHautopageref] = ACTIONS(7063),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcref] = ACTIONS(7063),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHCref] = ACTIONS(7063),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcpageref] = ACTIONS(7063),
    [anon_sym_BSLASHCpageref] = ACTIONS(7063),
    [anon_sym_BSLASHnamecref] = ACTIONS(7063),
    [anon_sym_BSLASHnameCref] = ACTIONS(7063),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7063),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7063),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7063),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7063),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7063),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7063),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7063),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7063),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7063),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7063),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7063),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7063),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7063),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7063),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7063),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7063),
    [anon_sym_BSLASHdef] = ACTIONS(7063),
    [anon_sym_BSLASHgdef] = ACTIONS(7063),
    [anon_sym_BSLASHedef] = ACTIONS(7063),
    [anon_sym_BSLASHxdef] = ACTIONS(7063),
    [anon_sym_BSLASHlet] = ACTIONS(7063),
    [anon_sym_BSLASHglet] = ACTIONS(7063),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7063),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7063),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7063),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7063),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7063),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7063),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7063),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7063),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7063),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7063),
    [anon_sym_BSLASHgls] = ACTIONS(7063),
    [anon_sym_BSLASHGls] = ACTIONS(7063),
    [anon_sym_BSLASHGLS] = ACTIONS(7063),
    [anon_sym_BSLASHglspl] = ACTIONS(7063),
    [anon_sym_BSLASHGlspl] = ACTIONS(7063),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7063),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7063),
    [anon_sym_BSLASHglslink] = ACTIONS(7063),
    [anon_sym_BSLASHglstext] = ACTIONS(7063),
    [anon_sym_BSLASHGlstext] = ACTIONS(7063),
    [anon_sym_BSLASHGLStext] = ACTIONS(7063),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7063),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7063),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7063),
    [anon_sym_BSLASHglsplural] = ACTIONS(7063),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7063),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7063),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7063),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7063),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7063),
    [anon_sym_BSLASHglsname] = ACTIONS(7063),
    [anon_sym_BSLASHGlsname] = ACTIONS(7063),
    [anon_sym_BSLASHGLSname] = ACTIONS(7063),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7063),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7063),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7063),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7063),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7063),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7063),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7063),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7063),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7063),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7063),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7063),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7063),
    [anon_sym_BSLASHacrshort] = ACTIONS(7063),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7063),
    [anon_sym_BSLASHACRshort] = ACTIONS(7063),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHacrlong] = ACTIONS(7063),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7063),
    [anon_sym_BSLASHACRlong] = ACTIONS(7063),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7063),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7063),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7063),
    [anon_sym_BSLASHacrfull] = ACTIONS(7063),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7063),
    [anon_sym_BSLASHACRfull] = ACTIONS(7063),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHacs] = ACTIONS(7063),
    [anon_sym_BSLASHAcs] = ACTIONS(7063),
    [anon_sym_BSLASHacsp] = ACTIONS(7063),
    [anon_sym_BSLASHAcsp] = ACTIONS(7063),
    [anon_sym_BSLASHacl] = ACTIONS(7063),
    [anon_sym_BSLASHAcl] = ACTIONS(7063),
    [anon_sym_BSLASHaclp] = ACTIONS(7063),
    [anon_sym_BSLASHAclp] = ACTIONS(7063),
    [anon_sym_BSLASHacf] = ACTIONS(7063),
    [anon_sym_BSLASHAcf] = ACTIONS(7063),
    [anon_sym_BSLASHacfp] = ACTIONS(7063),
    [anon_sym_BSLASHAcfp] = ACTIONS(7063),
    [anon_sym_BSLASHac] = ACTIONS(7063),
    [anon_sym_BSLASHAc] = ACTIONS(7063),
    [anon_sym_BSLASHacp] = ACTIONS(7063),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7063),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7063),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7063),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7063),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7063),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7063),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7063),
    [anon_sym_BSLASHcolor] = ACTIONS(7063),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7063),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7063),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7063),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7063),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7063),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7063),
    [anon_sym_BSLASHurl] = ACTIONS(7063),
    [anon_sym_BSLASHhref] = ACTIONS(7063),
  },
  [1217] = {
    [sym_command_name] = ACTIONS(7539),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(7541),
    [anon_sym_RBRACK] = ACTIONS(7541),
    [anon_sym_COMMA] = ACTIONS(7541),
    [anon_sym_EQ] = ACTIONS(7541),
    [anon_sym_LPAREN] = ACTIONS(7541),
    [anon_sym_RPAREN] = ACTIONS(7541),
    [anon_sym_BSLASHpart] = ACTIONS(7539),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHaddpart] = ACTIONS(7539),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHchapter] = ACTIONS(7539),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHaddchap] = ACTIONS(7539),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHsection] = ACTIONS(7539),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHaddsec] = ACTIONS(7539),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHsubsection] = ACTIONS(7539),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7539),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHparagraph] = ACTIONS(7539),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7539),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHitem] = ACTIONS(7539),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7541),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [sym_word] = ACTIONS(7539),
    [sym_placeholder] = ACTIONS(7541),
    [sym_delimiter] = ACTIONS(7541),
    [anon_sym_PLUS] = ACTIONS(7541),
    [anon_sym_DASH] = ACTIONS(7541),
    [anon_sym_STAR] = ACTIONS(7541),
    [anon_sym_SLASH] = ACTIONS(7541),
    [anon_sym_LT] = ACTIONS(7539),
    [anon_sym_GT] = ACTIONS(7539),
    [anon_sym_BANG] = ACTIONS(7539),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_COLON] = ACTIONS(7539),
    [anon_sym_SQUOTE] = ACTIONS(7539),
    [anon_sym__] = ACTIONS(7541),
    [anon_sym_CARET] = ACTIONS(7541),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7541),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7541),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7539),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7541),
    [anon_sym_BSLASHleft] = ACTIONS(7539),
    [anon_sym_BSLASHbigl] = ACTIONS(7539),
    [anon_sym_BSLASHBigl] = ACTIONS(7539),
    [anon_sym_BSLASHbiggl] = ACTIONS(7539),
    [anon_sym_BSLASHBiggl] = ACTIONS(7539),
    [anon_sym_BSLASHtext] = ACTIONS(7539),
    [anon_sym_BSLASHintertext] = ACTIONS(7539),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7539),
    [anon_sym_BSLASHbegin] = ACTIONS(7539),
    [anon_sym_BSLASHtitle] = ACTIONS(7539),
    [anon_sym_BSLASHauthor] = ACTIONS(7539),
    [anon_sym_BSLASHusepackage] = ACTIONS(7539),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7539),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7539),
    [anon_sym_BSLASHinclude] = ACTIONS(7539),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7539),
    [anon_sym_BSLASHinput] = ACTIONS(7539),
    [anon_sym_BSLASHsubfile] = ACTIONS(7539),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7539),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7539),
    [anon_sym_BSLASHbibliography] = ACTIONS(7539),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7539),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7539),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7539),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7539),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7539),
    [anon_sym_BSLASHimport] = ACTIONS(7539),
    [anon_sym_BSLASHsubimport] = ACTIONS(7539),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7539),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7539),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7539),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7539),
    [anon_sym_BSLASHcaption] = ACTIONS(7539),
    [anon_sym_BSLASHcite] = ACTIONS(7539),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCite] = ACTIONS(7539),
    [anon_sym_BSLASHnocite] = ACTIONS(7539),
    [anon_sym_BSLASHcitet] = ACTIONS(7539),
    [anon_sym_BSLASHcitep] = ACTIONS(7539),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteA] = ACTIONS(7539),
    [anon_sym_BSLASHciteR] = ACTIONS(7539),
    [anon_sym_BSLASHciteS] = ACTIONS(7539),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7539),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7539),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7539),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7539),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteyear] = ACTIONS(7539),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitedate] = ACTIONS(7539),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteurl] = ACTIONS(7539),
    [anon_sym_BSLASHfullcite] = ACTIONS(7539),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7539),
    [anon_sym_BSLASHcitealt] = ACTIONS(7539),
    [anon_sym_BSLASHcitealp] = ACTIONS(7539),
    [anon_sym_BSLASHcitetext] = ACTIONS(7539),
    [anon_sym_BSLASHparencite] = ACTIONS(7539),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHParencite] = ACTIONS(7539),
    [anon_sym_BSLASHfootcite] = ACTIONS(7539),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7539),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7539),
    [anon_sym_BSLASHtextcite] = ACTIONS(7539),
    [anon_sym_BSLASHTextcite] = ACTIONS(7539),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7539),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7539),
    [anon_sym_BSLASHsupercite] = ACTIONS(7539),
    [anon_sym_BSLASHautocite] = ACTIONS(7539),
    [anon_sym_BSLASHAutocite] = ACTIONS(7539),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHVolcite] = ACTIONS(7539),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHavolcite] = ACTIONS(7539),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHNotecite] = ACTIONS(7539),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHlabel] = ACTIONS(7539),
    [anon_sym_BSLASHref] = ACTIONS(7539),
    [anon_sym_BSLASHeqref] = ACTIONS(7539),
    [anon_sym_BSLASHvref] = ACTIONS(7539),
    [anon_sym_BSLASHVref] = ACTIONS(7539),
    [anon_sym_BSLASHautoref] = ACTIONS(7539),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHpageref] = ACTIONS(7539),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHautopageref] = ACTIONS(7539),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcref] = ACTIONS(7539),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCref] = ACTIONS(7539),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcpageref] = ACTIONS(7539),
    [anon_sym_BSLASHCpageref] = ACTIONS(7539),
    [anon_sym_BSLASHnamecref] = ACTIONS(7539),
    [anon_sym_BSLASHnameCref] = ACTIONS(7539),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7539),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7539),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7539),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7539),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7539),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7539),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7539),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7539),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7539),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7539),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7539),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHdef] = ACTIONS(7539),
    [anon_sym_BSLASHgdef] = ACTIONS(7539),
    [anon_sym_BSLASHedef] = ACTIONS(7539),
    [anon_sym_BSLASHxdef] = ACTIONS(7539),
    [anon_sym_BSLASHlet] = ACTIONS(7539),
    [anon_sym_BSLASHglet] = ACTIONS(7539),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7539),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7539),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7539),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7539),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7539),
    [anon_sym_BSLASHgls] = ACTIONS(7539),
    [anon_sym_BSLASHGls] = ACTIONS(7539),
    [anon_sym_BSLASHGLS] = ACTIONS(7539),
    [anon_sym_BSLASHglspl] = ACTIONS(7539),
    [anon_sym_BSLASHGlspl] = ACTIONS(7539),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7539),
    [anon_sym_BSLASHglslink] = ACTIONS(7539),
    [anon_sym_BSLASHglstext] = ACTIONS(7539),
    [anon_sym_BSLASHGlstext] = ACTIONS(7539),
    [anon_sym_BSLASHGLStext] = ACTIONS(7539),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7539),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7539),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7539),
    [anon_sym_BSLASHglsplural] = ACTIONS(7539),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7539),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7539),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHglsname] = ACTIONS(7539),
    [anon_sym_BSLASHGlsname] = ACTIONS(7539),
    [anon_sym_BSLASHGLSname] = ACTIONS(7539),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7539),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7539),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7539),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7539),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7539),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7539),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7539),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7539),
    [anon_sym_BSLASHacrshort] = ACTIONS(7539),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7539),
    [anon_sym_BSLASHACRshort] = ACTIONS(7539),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHacrlong] = ACTIONS(7539),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7539),
    [anon_sym_BSLASHACRlong] = ACTIONS(7539),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHacrfull] = ACTIONS(7539),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7539),
    [anon_sym_BSLASHACRfull] = ACTIONS(7539),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHacs] = ACTIONS(7539),
    [anon_sym_BSLASHAcs] = ACTIONS(7539),
    [anon_sym_BSLASHacsp] = ACTIONS(7539),
    [anon_sym_BSLASHAcsp] = ACTIONS(7539),
    [anon_sym_BSLASHacl] = ACTIONS(7539),
    [anon_sym_BSLASHAcl] = ACTIONS(7539),
    [anon_sym_BSLASHaclp] = ACTIONS(7539),
    [anon_sym_BSLASHAclp] = ACTIONS(7539),
    [anon_sym_BSLASHacf] = ACTIONS(7539),
    [anon_sym_BSLASHAcf] = ACTIONS(7539),
    [anon_sym_BSLASHacfp] = ACTIONS(7539),
    [anon_sym_BSLASHAcfp] = ACTIONS(7539),
    [anon_sym_BSLASHac] = ACTIONS(7539),
    [anon_sym_BSLASHAc] = ACTIONS(7539),
    [anon_sym_BSLASHacp] = ACTIONS(7539),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7539),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7539),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7539),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7539),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7539),
    [anon_sym_BSLASHcolor] = ACTIONS(7539),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7539),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7539),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7539),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7539),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7539),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7539),
    [anon_sym_BSLASHurl] = ACTIONS(7539),
    [anon_sym_BSLASHhref] = ACTIONS(7539),
  },
  [1218] = {
    [sym_command_name] = ACTIONS(7543),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(7545),
    [anon_sym_RBRACK] = ACTIONS(7545),
    [anon_sym_COMMA] = ACTIONS(7545),
    [anon_sym_EQ] = ACTIONS(7545),
    [anon_sym_LPAREN] = ACTIONS(7545),
    [anon_sym_RPAREN] = ACTIONS(7545),
    [anon_sym_BSLASHpart] = ACTIONS(7543),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHaddpart] = ACTIONS(7543),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHchapter] = ACTIONS(7543),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHaddchap] = ACTIONS(7543),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHsection] = ACTIONS(7543),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHaddsec] = ACTIONS(7543),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHsubsection] = ACTIONS(7543),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7543),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHparagraph] = ACTIONS(7543),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7543),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHitem] = ACTIONS(7543),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7545),
    [anon_sym_LBRACE] = ACTIONS(7545),
    [sym_word] = ACTIONS(7543),
    [sym_placeholder] = ACTIONS(7545),
    [sym_delimiter] = ACTIONS(7545),
    [anon_sym_PLUS] = ACTIONS(7545),
    [anon_sym_DASH] = ACTIONS(7545),
    [anon_sym_STAR] = ACTIONS(7545),
    [anon_sym_SLASH] = ACTIONS(7545),
    [anon_sym_LT] = ACTIONS(7543),
    [anon_sym_GT] = ACTIONS(7543),
    [anon_sym_BANG] = ACTIONS(7543),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_COLON] = ACTIONS(7543),
    [anon_sym_SQUOTE] = ACTIONS(7543),
    [anon_sym__] = ACTIONS(7545),
    [anon_sym_CARET] = ACTIONS(7545),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7545),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7545),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7545),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7545),
    [anon_sym_BSLASHleft] = ACTIONS(7543),
    [anon_sym_BSLASHbigl] = ACTIONS(7543),
    [anon_sym_BSLASHBigl] = ACTIONS(7543),
    [anon_sym_BSLASHbiggl] = ACTIONS(7543),
    [anon_sym_BSLASHBiggl] = ACTIONS(7543),
    [anon_sym_BSLASHtext] = ACTIONS(7543),
    [anon_sym_BSLASHintertext] = ACTIONS(7543),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7543),
    [anon_sym_BSLASHbegin] = ACTIONS(7543),
    [anon_sym_BSLASHtitle] = ACTIONS(7543),
    [anon_sym_BSLASHauthor] = ACTIONS(7543),
    [anon_sym_BSLASHusepackage] = ACTIONS(7543),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7543),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7543),
    [anon_sym_BSLASHinclude] = ACTIONS(7543),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7543),
    [anon_sym_BSLASHinput] = ACTIONS(7543),
    [anon_sym_BSLASHsubfile] = ACTIONS(7543),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7543),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7543),
    [anon_sym_BSLASHbibliography] = ACTIONS(7543),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7543),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7543),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7543),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7543),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7543),
    [anon_sym_BSLASHimport] = ACTIONS(7543),
    [anon_sym_BSLASHsubimport] = ACTIONS(7543),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7543),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7543),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7543),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7543),
    [anon_sym_BSLASHcaption] = ACTIONS(7543),
    [anon_sym_BSLASHcite] = ACTIONS(7543),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCite] = ACTIONS(7543),
    [anon_sym_BSLASHnocite] = ACTIONS(7543),
    [anon_sym_BSLASHcitet] = ACTIONS(7543),
    [anon_sym_BSLASHcitep] = ACTIONS(7543),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteA] = ACTIONS(7543),
    [anon_sym_BSLASHciteR] = ACTIONS(7543),
    [anon_sym_BSLASHciteS] = ACTIONS(7543),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7543),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7543),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7543),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7543),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteyear] = ACTIONS(7543),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitedate] = ACTIONS(7543),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteurl] = ACTIONS(7543),
    [anon_sym_BSLASHfullcite] = ACTIONS(7543),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7543),
    [anon_sym_BSLASHcitealt] = ACTIONS(7543),
    [anon_sym_BSLASHcitealp] = ACTIONS(7543),
    [anon_sym_BSLASHcitetext] = ACTIONS(7543),
    [anon_sym_BSLASHparencite] = ACTIONS(7543),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHParencite] = ACTIONS(7543),
    [anon_sym_BSLASHfootcite] = ACTIONS(7543),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7543),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7543),
    [anon_sym_BSLASHtextcite] = ACTIONS(7543),
    [anon_sym_BSLASHTextcite] = ACTIONS(7543),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7543),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7543),
    [anon_sym_BSLASHsupercite] = ACTIONS(7543),
    [anon_sym_BSLASHautocite] = ACTIONS(7543),
    [anon_sym_BSLASHAutocite] = ACTIONS(7543),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHVolcite] = ACTIONS(7543),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHavolcite] = ACTIONS(7543),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHNotecite] = ACTIONS(7543),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHlabel] = ACTIONS(7543),
    [anon_sym_BSLASHref] = ACTIONS(7543),
    [anon_sym_BSLASHeqref] = ACTIONS(7543),
    [anon_sym_BSLASHvref] = ACTIONS(7543),
    [anon_sym_BSLASHVref] = ACTIONS(7543),
    [anon_sym_BSLASHautoref] = ACTIONS(7543),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHpageref] = ACTIONS(7543),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHautopageref] = ACTIONS(7543),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcref] = ACTIONS(7543),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCref] = ACTIONS(7543),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcpageref] = ACTIONS(7543),
    [anon_sym_BSLASHCpageref] = ACTIONS(7543),
    [anon_sym_BSLASHnamecref] = ACTIONS(7543),
    [anon_sym_BSLASHnameCref] = ACTIONS(7543),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7543),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7543),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7543),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7543),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7543),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7543),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7543),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7543),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7543),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7543),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7543),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHdef] = ACTIONS(7543),
    [anon_sym_BSLASHgdef] = ACTIONS(7543),
    [anon_sym_BSLASHedef] = ACTIONS(7543),
    [anon_sym_BSLASHxdef] = ACTIONS(7543),
    [anon_sym_BSLASHlet] = ACTIONS(7543),
    [anon_sym_BSLASHglet] = ACTIONS(7543),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7543),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7543),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7543),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7543),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7543),
    [anon_sym_BSLASHgls] = ACTIONS(7543),
    [anon_sym_BSLASHGls] = ACTIONS(7543),
    [anon_sym_BSLASHGLS] = ACTIONS(7543),
    [anon_sym_BSLASHglspl] = ACTIONS(7543),
    [anon_sym_BSLASHGlspl] = ACTIONS(7543),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7543),
    [anon_sym_BSLASHglslink] = ACTIONS(7543),
    [anon_sym_BSLASHglstext] = ACTIONS(7543),
    [anon_sym_BSLASHGlstext] = ACTIONS(7543),
    [anon_sym_BSLASHGLStext] = ACTIONS(7543),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7543),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7543),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7543),
    [anon_sym_BSLASHglsplural] = ACTIONS(7543),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7543),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7543),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHglsname] = ACTIONS(7543),
    [anon_sym_BSLASHGlsname] = ACTIONS(7543),
    [anon_sym_BSLASHGLSname] = ACTIONS(7543),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7543),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7543),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7543),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7543),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7543),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7543),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7543),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7543),
    [anon_sym_BSLASHacrshort] = ACTIONS(7543),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7543),
    [anon_sym_BSLASHACRshort] = ACTIONS(7543),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHacrlong] = ACTIONS(7543),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7543),
    [anon_sym_BSLASHACRlong] = ACTIONS(7543),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHacrfull] = ACTIONS(7543),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7543),
    [anon_sym_BSLASHACRfull] = ACTIONS(7543),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHacs] = ACTIONS(7543),
    [anon_sym_BSLASHAcs] = ACTIONS(7543),
    [anon_sym_BSLASHacsp] = ACTIONS(7543),
    [anon_sym_BSLASHAcsp] = ACTIONS(7543),
    [anon_sym_BSLASHacl] = ACTIONS(7543),
    [anon_sym_BSLASHAcl] = ACTIONS(7543),
    [anon_sym_BSLASHaclp] = ACTIONS(7543),
    [anon_sym_BSLASHAclp] = ACTIONS(7543),
    [anon_sym_BSLASHacf] = ACTIONS(7543),
    [anon_sym_BSLASHAcf] = ACTIONS(7543),
    [anon_sym_BSLASHacfp] = ACTIONS(7543),
    [anon_sym_BSLASHAcfp] = ACTIONS(7543),
    [anon_sym_BSLASHac] = ACTIONS(7543),
    [anon_sym_BSLASHAc] = ACTIONS(7543),
    [anon_sym_BSLASHacp] = ACTIONS(7543),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7543),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7543),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7543),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7543),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7543),
    [anon_sym_BSLASHcolor] = ACTIONS(7543),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7543),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7543),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7543),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7543),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7543),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7543),
    [anon_sym_BSLASHurl] = ACTIONS(7543),
    [anon_sym_BSLASHhref] = ACTIONS(7543),
  },
  [1219] = {
    [sym_command_name] = ACTIONS(7071),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7071),
    [anon_sym_LBRACK] = ACTIONS(7073),
    [anon_sym_RBRACK] = ACTIONS(7073),
    [anon_sym_COMMA] = ACTIONS(7073),
    [anon_sym_EQ] = ACTIONS(7073),
    [anon_sym_LPAREN] = ACTIONS(7073),
    [anon_sym_RPAREN] = ACTIONS(7073),
    [anon_sym_BSLASHpart] = ACTIONS(7071),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHaddpart] = ACTIONS(7071),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHchapter] = ACTIONS(7071),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHaddchap] = ACTIONS(7071),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHsection] = ACTIONS(7071),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHaddsec] = ACTIONS(7071),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHsubsection] = ACTIONS(7071),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7071),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHparagraph] = ACTIONS(7071),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7071),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHitem] = ACTIONS(7071),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7073),
    [anon_sym_LBRACE] = ACTIONS(7073),
    [sym_word] = ACTIONS(7071),
    [sym_placeholder] = ACTIONS(7073),
    [sym_delimiter] = ACTIONS(7073),
    [anon_sym_PLUS] = ACTIONS(7073),
    [anon_sym_DASH] = ACTIONS(7073),
    [anon_sym_STAR] = ACTIONS(7073),
    [anon_sym_SLASH] = ACTIONS(7073),
    [anon_sym_LT] = ACTIONS(7071),
    [anon_sym_GT] = ACTIONS(7071),
    [anon_sym_BANG] = ACTIONS(7071),
    [anon_sym_PIPE] = ACTIONS(7071),
    [anon_sym_COLON] = ACTIONS(7071),
    [anon_sym_SQUOTE] = ACTIONS(7071),
    [anon_sym__] = ACTIONS(7073),
    [anon_sym_CARET] = ACTIONS(7073),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7073),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7073),
    [anon_sym_DOLLAR] = ACTIONS(7071),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7073),
    [anon_sym_BSLASHleft] = ACTIONS(7071),
    [anon_sym_BSLASHbigl] = ACTIONS(7071),
    [anon_sym_BSLASHBigl] = ACTIONS(7071),
    [anon_sym_BSLASHbiggl] = ACTIONS(7071),
    [anon_sym_BSLASHBiggl] = ACTIONS(7071),
    [anon_sym_BSLASHtext] = ACTIONS(7071),
    [anon_sym_BSLASHintertext] = ACTIONS(7071),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7071),
    [anon_sym_BSLASHbegin] = ACTIONS(7071),
    [anon_sym_BSLASHend] = ACTIONS(7071),
    [anon_sym_BSLASHtitle] = ACTIONS(7071),
    [anon_sym_BSLASHauthor] = ACTIONS(7071),
    [anon_sym_BSLASHusepackage] = ACTIONS(7071),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7071),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7071),
    [anon_sym_BSLASHinclude] = ACTIONS(7071),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7071),
    [anon_sym_BSLASHinput] = ACTIONS(7071),
    [anon_sym_BSLASHsubfile] = ACTIONS(7071),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7071),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7071),
    [anon_sym_BSLASHbibliography] = ACTIONS(7071),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7071),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7071),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7071),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7071),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7071),
    [anon_sym_BSLASHimport] = ACTIONS(7071),
    [anon_sym_BSLASHsubimport] = ACTIONS(7071),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7071),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7071),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7071),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7071),
    [anon_sym_BSLASHcaption] = ACTIONS(7071),
    [anon_sym_BSLASHcite] = ACTIONS(7071),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHCite] = ACTIONS(7071),
    [anon_sym_BSLASHnocite] = ACTIONS(7071),
    [anon_sym_BSLASHcitet] = ACTIONS(7071),
    [anon_sym_BSLASHcitep] = ACTIONS(7071),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHciteA] = ACTIONS(7071),
    [anon_sym_BSLASHciteR] = ACTIONS(7071),
    [anon_sym_BSLASHciteS] = ACTIONS(7071),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7071),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7071),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7071),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7071),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHciteyear] = ACTIONS(7071),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcitedate] = ACTIONS(7071),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHciteurl] = ACTIONS(7071),
    [anon_sym_BSLASHfullcite] = ACTIONS(7071),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7071),
    [anon_sym_BSLASHcitealt] = ACTIONS(7071),
    [anon_sym_BSLASHcitealp] = ACTIONS(7071),
    [anon_sym_BSLASHcitetext] = ACTIONS(7071),
    [anon_sym_BSLASHparencite] = ACTIONS(7071),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHParencite] = ACTIONS(7071),
    [anon_sym_BSLASHfootcite] = ACTIONS(7071),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7071),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7071),
    [anon_sym_BSLASHtextcite] = ACTIONS(7071),
    [anon_sym_BSLASHTextcite] = ACTIONS(7071),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7071),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7071),
    [anon_sym_BSLASHsupercite] = ACTIONS(7071),
    [anon_sym_BSLASHautocite] = ACTIONS(7071),
    [anon_sym_BSLASHAutocite] = ACTIONS(7071),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHVolcite] = ACTIONS(7071),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHavolcite] = ACTIONS(7071),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHnotecite] = ACTIONS(7071),
    [anon_sym_BSLASHNotecite] = ACTIONS(7071),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7071),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7071),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7071),
    [anon_sym_BSLASHlabel] = ACTIONS(7071),
    [anon_sym_BSLASHref] = ACTIONS(7071),
    [anon_sym_BSLASHeqref] = ACTIONS(7071),
    [anon_sym_BSLASHvref] = ACTIONS(7071),
    [anon_sym_BSLASHVref] = ACTIONS(7071),
    [anon_sym_BSLASHautoref] = ACTIONS(7071),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHpageref] = ACTIONS(7071),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHautopageref] = ACTIONS(7071),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcref] = ACTIONS(7071),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHCref] = ACTIONS(7071),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcpageref] = ACTIONS(7071),
    [anon_sym_BSLASHCpageref] = ACTIONS(7071),
    [anon_sym_BSLASHnamecref] = ACTIONS(7071),
    [anon_sym_BSLASHnameCref] = ACTIONS(7071),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7071),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7071),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7071),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7071),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7071),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7071),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7071),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7071),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7071),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7071),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7071),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7071),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7071),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7071),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7071),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7071),
    [anon_sym_BSLASHdef] = ACTIONS(7071),
    [anon_sym_BSLASHgdef] = ACTIONS(7071),
    [anon_sym_BSLASHedef] = ACTIONS(7071),
    [anon_sym_BSLASHxdef] = ACTIONS(7071),
    [anon_sym_BSLASHlet] = ACTIONS(7071),
    [anon_sym_BSLASHglet] = ACTIONS(7071),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7071),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7071),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7071),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7071),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7071),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7071),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7071),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7071),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7071),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7071),
    [anon_sym_BSLASHgls] = ACTIONS(7071),
    [anon_sym_BSLASHGls] = ACTIONS(7071),
    [anon_sym_BSLASHGLS] = ACTIONS(7071),
    [anon_sym_BSLASHglspl] = ACTIONS(7071),
    [anon_sym_BSLASHGlspl] = ACTIONS(7071),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7071),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7071),
    [anon_sym_BSLASHglslink] = ACTIONS(7071),
    [anon_sym_BSLASHglstext] = ACTIONS(7071),
    [anon_sym_BSLASHGlstext] = ACTIONS(7071),
    [anon_sym_BSLASHGLStext] = ACTIONS(7071),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7071),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7071),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7071),
    [anon_sym_BSLASHglsplural] = ACTIONS(7071),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7071),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7071),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7071),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7071),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7071),
    [anon_sym_BSLASHglsname] = ACTIONS(7071),
    [anon_sym_BSLASHGlsname] = ACTIONS(7071),
    [anon_sym_BSLASHGLSname] = ACTIONS(7071),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7071),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7071),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7071),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7071),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7071),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7071),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7071),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7071),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7071),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7071),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7071),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7071),
    [anon_sym_BSLASHacrshort] = ACTIONS(7071),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7071),
    [anon_sym_BSLASHACRshort] = ACTIONS(7071),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHacrlong] = ACTIONS(7071),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7071),
    [anon_sym_BSLASHACRlong] = ACTIONS(7071),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7071),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7071),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7071),
    [anon_sym_BSLASHacrfull] = ACTIONS(7071),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7071),
    [anon_sym_BSLASHACRfull] = ACTIONS(7071),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHacs] = ACTIONS(7071),
    [anon_sym_BSLASHAcs] = ACTIONS(7071),
    [anon_sym_BSLASHacsp] = ACTIONS(7071),
    [anon_sym_BSLASHAcsp] = ACTIONS(7071),
    [anon_sym_BSLASHacl] = ACTIONS(7071),
    [anon_sym_BSLASHAcl] = ACTIONS(7071),
    [anon_sym_BSLASHaclp] = ACTIONS(7071),
    [anon_sym_BSLASHAclp] = ACTIONS(7071),
    [anon_sym_BSLASHacf] = ACTIONS(7071),
    [anon_sym_BSLASHAcf] = ACTIONS(7071),
    [anon_sym_BSLASHacfp] = ACTIONS(7071),
    [anon_sym_BSLASHAcfp] = ACTIONS(7071),
    [anon_sym_BSLASHac] = ACTIONS(7071),
    [anon_sym_BSLASHAc] = ACTIONS(7071),
    [anon_sym_BSLASHacp] = ACTIONS(7071),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7071),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7071),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7071),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7071),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7071),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7071),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7071),
    [anon_sym_BSLASHcolor] = ACTIONS(7071),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7071),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7071),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7071),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7071),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7071),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7071),
    [anon_sym_BSLASHurl] = ACTIONS(7071),
    [anon_sym_BSLASHhref] = ACTIONS(7071),
  },
  [1220] = {
    [sym_command_name] = ACTIONS(7075),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7075),
    [anon_sym_LBRACK] = ACTIONS(7077),
    [anon_sym_RBRACK] = ACTIONS(7077),
    [anon_sym_COMMA] = ACTIONS(7077),
    [anon_sym_EQ] = ACTIONS(7077),
    [anon_sym_LPAREN] = ACTIONS(7077),
    [anon_sym_RPAREN] = ACTIONS(7077),
    [anon_sym_BSLASHpart] = ACTIONS(7075),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHaddpart] = ACTIONS(7075),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHchapter] = ACTIONS(7075),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHaddchap] = ACTIONS(7075),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHsection] = ACTIONS(7075),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHaddsec] = ACTIONS(7075),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHsubsection] = ACTIONS(7075),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7075),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHparagraph] = ACTIONS(7075),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7075),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHitem] = ACTIONS(7075),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7077),
    [anon_sym_LBRACE] = ACTIONS(7077),
    [sym_word] = ACTIONS(7075),
    [sym_placeholder] = ACTIONS(7077),
    [sym_delimiter] = ACTIONS(7077),
    [anon_sym_PLUS] = ACTIONS(7077),
    [anon_sym_DASH] = ACTIONS(7077),
    [anon_sym_STAR] = ACTIONS(7077),
    [anon_sym_SLASH] = ACTIONS(7077),
    [anon_sym_LT] = ACTIONS(7075),
    [anon_sym_GT] = ACTIONS(7075),
    [anon_sym_BANG] = ACTIONS(7075),
    [anon_sym_PIPE] = ACTIONS(7075),
    [anon_sym_COLON] = ACTIONS(7075),
    [anon_sym_SQUOTE] = ACTIONS(7075),
    [anon_sym__] = ACTIONS(7077),
    [anon_sym_CARET] = ACTIONS(7077),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7077),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7077),
    [anon_sym_DOLLAR] = ACTIONS(7075),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7077),
    [anon_sym_BSLASHleft] = ACTIONS(7075),
    [anon_sym_BSLASHbigl] = ACTIONS(7075),
    [anon_sym_BSLASHBigl] = ACTIONS(7075),
    [anon_sym_BSLASHbiggl] = ACTIONS(7075),
    [anon_sym_BSLASHBiggl] = ACTIONS(7075),
    [anon_sym_BSLASHtext] = ACTIONS(7075),
    [anon_sym_BSLASHintertext] = ACTIONS(7075),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7075),
    [anon_sym_BSLASHbegin] = ACTIONS(7075),
    [anon_sym_BSLASHend] = ACTIONS(7075),
    [anon_sym_BSLASHtitle] = ACTIONS(7075),
    [anon_sym_BSLASHauthor] = ACTIONS(7075),
    [anon_sym_BSLASHusepackage] = ACTIONS(7075),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7075),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7075),
    [anon_sym_BSLASHinclude] = ACTIONS(7075),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7075),
    [anon_sym_BSLASHinput] = ACTIONS(7075),
    [anon_sym_BSLASHsubfile] = ACTIONS(7075),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7075),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7075),
    [anon_sym_BSLASHbibliography] = ACTIONS(7075),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7075),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7075),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7075),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7075),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7075),
    [anon_sym_BSLASHimport] = ACTIONS(7075),
    [anon_sym_BSLASHsubimport] = ACTIONS(7075),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7075),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7075),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7075),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7075),
    [anon_sym_BSLASHcaption] = ACTIONS(7075),
    [anon_sym_BSLASHcite] = ACTIONS(7075),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHCite] = ACTIONS(7075),
    [anon_sym_BSLASHnocite] = ACTIONS(7075),
    [anon_sym_BSLASHcitet] = ACTIONS(7075),
    [anon_sym_BSLASHcitep] = ACTIONS(7075),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHciteA] = ACTIONS(7075),
    [anon_sym_BSLASHciteR] = ACTIONS(7075),
    [anon_sym_BSLASHciteS] = ACTIONS(7075),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7075),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7075),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7075),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7075),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHciteyear] = ACTIONS(7075),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcitedate] = ACTIONS(7075),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHciteurl] = ACTIONS(7075),
    [anon_sym_BSLASHfullcite] = ACTIONS(7075),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7075),
    [anon_sym_BSLASHcitealt] = ACTIONS(7075),
    [anon_sym_BSLASHcitealp] = ACTIONS(7075),
    [anon_sym_BSLASHcitetext] = ACTIONS(7075),
    [anon_sym_BSLASHparencite] = ACTIONS(7075),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHParencite] = ACTIONS(7075),
    [anon_sym_BSLASHfootcite] = ACTIONS(7075),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7075),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7075),
    [anon_sym_BSLASHtextcite] = ACTIONS(7075),
    [anon_sym_BSLASHTextcite] = ACTIONS(7075),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7075),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7075),
    [anon_sym_BSLASHsupercite] = ACTIONS(7075),
    [anon_sym_BSLASHautocite] = ACTIONS(7075),
    [anon_sym_BSLASHAutocite] = ACTIONS(7075),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHVolcite] = ACTIONS(7075),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHavolcite] = ACTIONS(7075),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHnotecite] = ACTIONS(7075),
    [anon_sym_BSLASHNotecite] = ACTIONS(7075),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7075),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7075),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7075),
    [anon_sym_BSLASHlabel] = ACTIONS(7075),
    [anon_sym_BSLASHref] = ACTIONS(7075),
    [anon_sym_BSLASHeqref] = ACTIONS(7075),
    [anon_sym_BSLASHvref] = ACTIONS(7075),
    [anon_sym_BSLASHVref] = ACTIONS(7075),
    [anon_sym_BSLASHautoref] = ACTIONS(7075),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHpageref] = ACTIONS(7075),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHautopageref] = ACTIONS(7075),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcref] = ACTIONS(7075),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHCref] = ACTIONS(7075),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcpageref] = ACTIONS(7075),
    [anon_sym_BSLASHCpageref] = ACTIONS(7075),
    [anon_sym_BSLASHnamecref] = ACTIONS(7075),
    [anon_sym_BSLASHnameCref] = ACTIONS(7075),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7075),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7075),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7075),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7075),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7075),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7075),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7075),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7075),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7075),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7075),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7075),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7075),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7075),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7075),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7075),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7075),
    [anon_sym_BSLASHdef] = ACTIONS(7075),
    [anon_sym_BSLASHgdef] = ACTIONS(7075),
    [anon_sym_BSLASHedef] = ACTIONS(7075),
    [anon_sym_BSLASHxdef] = ACTIONS(7075),
    [anon_sym_BSLASHlet] = ACTIONS(7075),
    [anon_sym_BSLASHglet] = ACTIONS(7075),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7075),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7075),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7075),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7075),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7075),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7075),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7075),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7075),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7075),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7075),
    [anon_sym_BSLASHgls] = ACTIONS(7075),
    [anon_sym_BSLASHGls] = ACTIONS(7075),
    [anon_sym_BSLASHGLS] = ACTIONS(7075),
    [anon_sym_BSLASHglspl] = ACTIONS(7075),
    [anon_sym_BSLASHGlspl] = ACTIONS(7075),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7075),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7075),
    [anon_sym_BSLASHglslink] = ACTIONS(7075),
    [anon_sym_BSLASHglstext] = ACTIONS(7075),
    [anon_sym_BSLASHGlstext] = ACTIONS(7075),
    [anon_sym_BSLASHGLStext] = ACTIONS(7075),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7075),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7075),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7075),
    [anon_sym_BSLASHglsplural] = ACTIONS(7075),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7075),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7075),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7075),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7075),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7075),
    [anon_sym_BSLASHglsname] = ACTIONS(7075),
    [anon_sym_BSLASHGlsname] = ACTIONS(7075),
    [anon_sym_BSLASHGLSname] = ACTIONS(7075),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7075),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7075),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7075),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7075),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7075),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7075),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7075),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7075),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7075),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7075),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7075),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7075),
    [anon_sym_BSLASHacrshort] = ACTIONS(7075),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7075),
    [anon_sym_BSLASHACRshort] = ACTIONS(7075),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHacrlong] = ACTIONS(7075),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7075),
    [anon_sym_BSLASHACRlong] = ACTIONS(7075),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7075),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7075),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7075),
    [anon_sym_BSLASHacrfull] = ACTIONS(7075),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7075),
    [anon_sym_BSLASHACRfull] = ACTIONS(7075),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHacs] = ACTIONS(7075),
    [anon_sym_BSLASHAcs] = ACTIONS(7075),
    [anon_sym_BSLASHacsp] = ACTIONS(7075),
    [anon_sym_BSLASHAcsp] = ACTIONS(7075),
    [anon_sym_BSLASHacl] = ACTIONS(7075),
    [anon_sym_BSLASHAcl] = ACTIONS(7075),
    [anon_sym_BSLASHaclp] = ACTIONS(7075),
    [anon_sym_BSLASHAclp] = ACTIONS(7075),
    [anon_sym_BSLASHacf] = ACTIONS(7075),
    [anon_sym_BSLASHAcf] = ACTIONS(7075),
    [anon_sym_BSLASHacfp] = ACTIONS(7075),
    [anon_sym_BSLASHAcfp] = ACTIONS(7075),
    [anon_sym_BSLASHac] = ACTIONS(7075),
    [anon_sym_BSLASHAc] = ACTIONS(7075),
    [anon_sym_BSLASHacp] = ACTIONS(7075),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7075),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7075),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7075),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7075),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7075),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7075),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7075),
    [anon_sym_BSLASHcolor] = ACTIONS(7075),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7075),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7075),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7075),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7075),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7075),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7075),
    [anon_sym_BSLASHurl] = ACTIONS(7075),
    [anon_sym_BSLASHhref] = ACTIONS(7075),
  },
  [1221] = {
    [sym_command_name] = ACTIONS(7079),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7079),
    [anon_sym_LBRACK] = ACTIONS(7081),
    [anon_sym_RBRACK] = ACTIONS(7081),
    [anon_sym_COMMA] = ACTIONS(7081),
    [anon_sym_EQ] = ACTIONS(7081),
    [anon_sym_LPAREN] = ACTIONS(7081),
    [anon_sym_RPAREN] = ACTIONS(7081),
    [anon_sym_BSLASHpart] = ACTIONS(7079),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHaddpart] = ACTIONS(7079),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHchapter] = ACTIONS(7079),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHaddchap] = ACTIONS(7079),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHsection] = ACTIONS(7079),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHaddsec] = ACTIONS(7079),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHsubsection] = ACTIONS(7079),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7079),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHparagraph] = ACTIONS(7079),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7079),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHitem] = ACTIONS(7079),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7081),
    [anon_sym_LBRACE] = ACTIONS(7081),
    [sym_word] = ACTIONS(7079),
    [sym_placeholder] = ACTIONS(7081),
    [sym_delimiter] = ACTIONS(7081),
    [anon_sym_PLUS] = ACTIONS(7081),
    [anon_sym_DASH] = ACTIONS(7081),
    [anon_sym_STAR] = ACTIONS(7081),
    [anon_sym_SLASH] = ACTIONS(7081),
    [anon_sym_LT] = ACTIONS(7079),
    [anon_sym_GT] = ACTIONS(7079),
    [anon_sym_BANG] = ACTIONS(7079),
    [anon_sym_PIPE] = ACTIONS(7079),
    [anon_sym_COLON] = ACTIONS(7079),
    [anon_sym_SQUOTE] = ACTIONS(7079),
    [anon_sym__] = ACTIONS(7081),
    [anon_sym_CARET] = ACTIONS(7081),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7081),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7081),
    [anon_sym_DOLLAR] = ACTIONS(7079),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7081),
    [anon_sym_BSLASHleft] = ACTIONS(7079),
    [anon_sym_BSLASHbigl] = ACTIONS(7079),
    [anon_sym_BSLASHBigl] = ACTIONS(7079),
    [anon_sym_BSLASHbiggl] = ACTIONS(7079),
    [anon_sym_BSLASHBiggl] = ACTIONS(7079),
    [anon_sym_BSLASHtext] = ACTIONS(7079),
    [anon_sym_BSLASHintertext] = ACTIONS(7079),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7079),
    [anon_sym_BSLASHbegin] = ACTIONS(7079),
    [anon_sym_BSLASHend] = ACTIONS(7079),
    [anon_sym_BSLASHtitle] = ACTIONS(7079),
    [anon_sym_BSLASHauthor] = ACTIONS(7079),
    [anon_sym_BSLASHusepackage] = ACTIONS(7079),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7079),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7079),
    [anon_sym_BSLASHinclude] = ACTIONS(7079),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7079),
    [anon_sym_BSLASHinput] = ACTIONS(7079),
    [anon_sym_BSLASHsubfile] = ACTIONS(7079),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7079),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7079),
    [anon_sym_BSLASHbibliography] = ACTIONS(7079),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7079),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7079),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7079),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7079),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7079),
    [anon_sym_BSLASHimport] = ACTIONS(7079),
    [anon_sym_BSLASHsubimport] = ACTIONS(7079),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7079),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7079),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7079),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7079),
    [anon_sym_BSLASHcaption] = ACTIONS(7079),
    [anon_sym_BSLASHcite] = ACTIONS(7079),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHCite] = ACTIONS(7079),
    [anon_sym_BSLASHnocite] = ACTIONS(7079),
    [anon_sym_BSLASHcitet] = ACTIONS(7079),
    [anon_sym_BSLASHcitep] = ACTIONS(7079),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHciteA] = ACTIONS(7079),
    [anon_sym_BSLASHciteR] = ACTIONS(7079),
    [anon_sym_BSLASHciteS] = ACTIONS(7079),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7079),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7079),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7079),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7079),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHciteyear] = ACTIONS(7079),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcitedate] = ACTIONS(7079),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHciteurl] = ACTIONS(7079),
    [anon_sym_BSLASHfullcite] = ACTIONS(7079),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7079),
    [anon_sym_BSLASHcitealt] = ACTIONS(7079),
    [anon_sym_BSLASHcitealp] = ACTIONS(7079),
    [anon_sym_BSLASHcitetext] = ACTIONS(7079),
    [anon_sym_BSLASHparencite] = ACTIONS(7079),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHParencite] = ACTIONS(7079),
    [anon_sym_BSLASHfootcite] = ACTIONS(7079),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7079),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7079),
    [anon_sym_BSLASHtextcite] = ACTIONS(7079),
    [anon_sym_BSLASHTextcite] = ACTIONS(7079),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7079),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7079),
    [anon_sym_BSLASHsupercite] = ACTIONS(7079),
    [anon_sym_BSLASHautocite] = ACTIONS(7079),
    [anon_sym_BSLASHAutocite] = ACTIONS(7079),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHVolcite] = ACTIONS(7079),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHavolcite] = ACTIONS(7079),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHnotecite] = ACTIONS(7079),
    [anon_sym_BSLASHNotecite] = ACTIONS(7079),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7079),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7079),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7079),
    [anon_sym_BSLASHlabel] = ACTIONS(7079),
    [anon_sym_BSLASHref] = ACTIONS(7079),
    [anon_sym_BSLASHeqref] = ACTIONS(7079),
    [anon_sym_BSLASHvref] = ACTIONS(7079),
    [anon_sym_BSLASHVref] = ACTIONS(7079),
    [anon_sym_BSLASHautoref] = ACTIONS(7079),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHpageref] = ACTIONS(7079),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHautopageref] = ACTIONS(7079),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcref] = ACTIONS(7079),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHCref] = ACTIONS(7079),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcpageref] = ACTIONS(7079),
    [anon_sym_BSLASHCpageref] = ACTIONS(7079),
    [anon_sym_BSLASHnamecref] = ACTIONS(7079),
    [anon_sym_BSLASHnameCref] = ACTIONS(7079),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7079),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7079),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7079),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7079),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7079),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7079),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7079),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7079),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7079),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7079),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7079),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7079),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7079),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7079),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7079),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7079),
    [anon_sym_BSLASHdef] = ACTIONS(7079),
    [anon_sym_BSLASHgdef] = ACTIONS(7079),
    [anon_sym_BSLASHedef] = ACTIONS(7079),
    [anon_sym_BSLASHxdef] = ACTIONS(7079),
    [anon_sym_BSLASHlet] = ACTIONS(7079),
    [anon_sym_BSLASHglet] = ACTIONS(7079),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7079),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7079),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7079),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7079),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7079),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7079),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7079),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7079),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7079),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7079),
    [anon_sym_BSLASHgls] = ACTIONS(7079),
    [anon_sym_BSLASHGls] = ACTIONS(7079),
    [anon_sym_BSLASHGLS] = ACTIONS(7079),
    [anon_sym_BSLASHglspl] = ACTIONS(7079),
    [anon_sym_BSLASHGlspl] = ACTIONS(7079),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7079),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7079),
    [anon_sym_BSLASHglslink] = ACTIONS(7079),
    [anon_sym_BSLASHglstext] = ACTIONS(7079),
    [anon_sym_BSLASHGlstext] = ACTIONS(7079),
    [anon_sym_BSLASHGLStext] = ACTIONS(7079),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7079),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7079),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7079),
    [anon_sym_BSLASHglsplural] = ACTIONS(7079),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7079),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7079),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7079),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7079),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7079),
    [anon_sym_BSLASHglsname] = ACTIONS(7079),
    [anon_sym_BSLASHGlsname] = ACTIONS(7079),
    [anon_sym_BSLASHGLSname] = ACTIONS(7079),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7079),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7079),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7079),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7079),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7079),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7079),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7079),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7079),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7079),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7079),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7079),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7079),
    [anon_sym_BSLASHacrshort] = ACTIONS(7079),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7079),
    [anon_sym_BSLASHACRshort] = ACTIONS(7079),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHacrlong] = ACTIONS(7079),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7079),
    [anon_sym_BSLASHACRlong] = ACTIONS(7079),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7079),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7079),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7079),
    [anon_sym_BSLASHacrfull] = ACTIONS(7079),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7079),
    [anon_sym_BSLASHACRfull] = ACTIONS(7079),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHacs] = ACTIONS(7079),
    [anon_sym_BSLASHAcs] = ACTIONS(7079),
    [anon_sym_BSLASHacsp] = ACTIONS(7079),
    [anon_sym_BSLASHAcsp] = ACTIONS(7079),
    [anon_sym_BSLASHacl] = ACTIONS(7079),
    [anon_sym_BSLASHAcl] = ACTIONS(7079),
    [anon_sym_BSLASHaclp] = ACTIONS(7079),
    [anon_sym_BSLASHAclp] = ACTIONS(7079),
    [anon_sym_BSLASHacf] = ACTIONS(7079),
    [anon_sym_BSLASHAcf] = ACTIONS(7079),
    [anon_sym_BSLASHacfp] = ACTIONS(7079),
    [anon_sym_BSLASHAcfp] = ACTIONS(7079),
    [anon_sym_BSLASHac] = ACTIONS(7079),
    [anon_sym_BSLASHAc] = ACTIONS(7079),
    [anon_sym_BSLASHacp] = ACTIONS(7079),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7079),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7079),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7079),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7079),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7079),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7079),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7079),
    [anon_sym_BSLASHcolor] = ACTIONS(7079),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7079),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7079),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7079),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7079),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7079),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7079),
    [anon_sym_BSLASHurl] = ACTIONS(7079),
    [anon_sym_BSLASHhref] = ACTIONS(7079),
  },
  [1222] = {
    [sym_command_name] = ACTIONS(7083),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7083),
    [anon_sym_LBRACK] = ACTIONS(7085),
    [anon_sym_RBRACK] = ACTIONS(7085),
    [anon_sym_COMMA] = ACTIONS(7085),
    [anon_sym_EQ] = ACTIONS(7085),
    [anon_sym_LPAREN] = ACTIONS(7085),
    [anon_sym_RPAREN] = ACTIONS(7085),
    [anon_sym_BSLASHpart] = ACTIONS(7083),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHaddpart] = ACTIONS(7083),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHchapter] = ACTIONS(7083),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHaddchap] = ACTIONS(7083),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHsection] = ACTIONS(7083),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHaddsec] = ACTIONS(7083),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHsubsection] = ACTIONS(7083),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7083),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHparagraph] = ACTIONS(7083),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7083),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHitem] = ACTIONS(7083),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7085),
    [anon_sym_LBRACE] = ACTIONS(7085),
    [sym_word] = ACTIONS(7083),
    [sym_placeholder] = ACTIONS(7085),
    [sym_delimiter] = ACTIONS(7085),
    [anon_sym_PLUS] = ACTIONS(7085),
    [anon_sym_DASH] = ACTIONS(7085),
    [anon_sym_STAR] = ACTIONS(7085),
    [anon_sym_SLASH] = ACTIONS(7085),
    [anon_sym_LT] = ACTIONS(7083),
    [anon_sym_GT] = ACTIONS(7083),
    [anon_sym_BANG] = ACTIONS(7083),
    [anon_sym_PIPE] = ACTIONS(7083),
    [anon_sym_COLON] = ACTIONS(7083),
    [anon_sym_SQUOTE] = ACTIONS(7083),
    [anon_sym__] = ACTIONS(7085),
    [anon_sym_CARET] = ACTIONS(7085),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7085),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7085),
    [anon_sym_DOLLAR] = ACTIONS(7083),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7085),
    [anon_sym_BSLASHleft] = ACTIONS(7083),
    [anon_sym_BSLASHbigl] = ACTIONS(7083),
    [anon_sym_BSLASHBigl] = ACTIONS(7083),
    [anon_sym_BSLASHbiggl] = ACTIONS(7083),
    [anon_sym_BSLASHBiggl] = ACTIONS(7083),
    [anon_sym_BSLASHtext] = ACTIONS(7083),
    [anon_sym_BSLASHintertext] = ACTIONS(7083),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7083),
    [anon_sym_BSLASHbegin] = ACTIONS(7083),
    [anon_sym_BSLASHend] = ACTIONS(7083),
    [anon_sym_BSLASHtitle] = ACTIONS(7083),
    [anon_sym_BSLASHauthor] = ACTIONS(7083),
    [anon_sym_BSLASHusepackage] = ACTIONS(7083),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7083),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7083),
    [anon_sym_BSLASHinclude] = ACTIONS(7083),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7083),
    [anon_sym_BSLASHinput] = ACTIONS(7083),
    [anon_sym_BSLASHsubfile] = ACTIONS(7083),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7083),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7083),
    [anon_sym_BSLASHbibliography] = ACTIONS(7083),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7083),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7083),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7083),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7083),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7083),
    [anon_sym_BSLASHimport] = ACTIONS(7083),
    [anon_sym_BSLASHsubimport] = ACTIONS(7083),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7083),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7083),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7083),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7083),
    [anon_sym_BSLASHcaption] = ACTIONS(7083),
    [anon_sym_BSLASHcite] = ACTIONS(7083),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHCite] = ACTIONS(7083),
    [anon_sym_BSLASHnocite] = ACTIONS(7083),
    [anon_sym_BSLASHcitet] = ACTIONS(7083),
    [anon_sym_BSLASHcitep] = ACTIONS(7083),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHciteA] = ACTIONS(7083),
    [anon_sym_BSLASHciteR] = ACTIONS(7083),
    [anon_sym_BSLASHciteS] = ACTIONS(7083),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7083),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7083),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7083),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7083),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHciteyear] = ACTIONS(7083),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcitedate] = ACTIONS(7083),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHciteurl] = ACTIONS(7083),
    [anon_sym_BSLASHfullcite] = ACTIONS(7083),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7083),
    [anon_sym_BSLASHcitealt] = ACTIONS(7083),
    [anon_sym_BSLASHcitealp] = ACTIONS(7083),
    [anon_sym_BSLASHcitetext] = ACTIONS(7083),
    [anon_sym_BSLASHparencite] = ACTIONS(7083),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHParencite] = ACTIONS(7083),
    [anon_sym_BSLASHfootcite] = ACTIONS(7083),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7083),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7083),
    [anon_sym_BSLASHtextcite] = ACTIONS(7083),
    [anon_sym_BSLASHTextcite] = ACTIONS(7083),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7083),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7083),
    [anon_sym_BSLASHsupercite] = ACTIONS(7083),
    [anon_sym_BSLASHautocite] = ACTIONS(7083),
    [anon_sym_BSLASHAutocite] = ACTIONS(7083),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHVolcite] = ACTIONS(7083),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHavolcite] = ACTIONS(7083),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHnotecite] = ACTIONS(7083),
    [anon_sym_BSLASHNotecite] = ACTIONS(7083),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7083),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7083),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7083),
    [anon_sym_BSLASHlabel] = ACTIONS(7083),
    [anon_sym_BSLASHref] = ACTIONS(7083),
    [anon_sym_BSLASHeqref] = ACTIONS(7083),
    [anon_sym_BSLASHvref] = ACTIONS(7083),
    [anon_sym_BSLASHVref] = ACTIONS(7083),
    [anon_sym_BSLASHautoref] = ACTIONS(7083),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHpageref] = ACTIONS(7083),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHautopageref] = ACTIONS(7083),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcref] = ACTIONS(7083),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHCref] = ACTIONS(7083),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcpageref] = ACTIONS(7083),
    [anon_sym_BSLASHCpageref] = ACTIONS(7083),
    [anon_sym_BSLASHnamecref] = ACTIONS(7083),
    [anon_sym_BSLASHnameCref] = ACTIONS(7083),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7083),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7083),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7083),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7083),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7083),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7083),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7083),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7083),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7083),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7083),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7083),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7083),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7083),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7083),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7083),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7083),
    [anon_sym_BSLASHdef] = ACTIONS(7083),
    [anon_sym_BSLASHgdef] = ACTIONS(7083),
    [anon_sym_BSLASHedef] = ACTIONS(7083),
    [anon_sym_BSLASHxdef] = ACTIONS(7083),
    [anon_sym_BSLASHlet] = ACTIONS(7083),
    [anon_sym_BSLASHglet] = ACTIONS(7083),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7083),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7083),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7083),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7083),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7083),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7083),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7083),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7083),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7083),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7083),
    [anon_sym_BSLASHgls] = ACTIONS(7083),
    [anon_sym_BSLASHGls] = ACTIONS(7083),
    [anon_sym_BSLASHGLS] = ACTIONS(7083),
    [anon_sym_BSLASHglspl] = ACTIONS(7083),
    [anon_sym_BSLASHGlspl] = ACTIONS(7083),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7083),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7083),
    [anon_sym_BSLASHglslink] = ACTIONS(7083),
    [anon_sym_BSLASHglstext] = ACTIONS(7083),
    [anon_sym_BSLASHGlstext] = ACTIONS(7083),
    [anon_sym_BSLASHGLStext] = ACTIONS(7083),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7083),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7083),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7083),
    [anon_sym_BSLASHglsplural] = ACTIONS(7083),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7083),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7083),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7083),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7083),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7083),
    [anon_sym_BSLASHglsname] = ACTIONS(7083),
    [anon_sym_BSLASHGlsname] = ACTIONS(7083),
    [anon_sym_BSLASHGLSname] = ACTIONS(7083),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7083),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7083),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7083),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7083),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7083),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7083),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7083),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7083),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7083),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7083),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7083),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7083),
    [anon_sym_BSLASHacrshort] = ACTIONS(7083),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7083),
    [anon_sym_BSLASHACRshort] = ACTIONS(7083),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHacrlong] = ACTIONS(7083),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7083),
    [anon_sym_BSLASHACRlong] = ACTIONS(7083),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7083),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7083),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7083),
    [anon_sym_BSLASHacrfull] = ACTIONS(7083),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7083),
    [anon_sym_BSLASHACRfull] = ACTIONS(7083),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHacs] = ACTIONS(7083),
    [anon_sym_BSLASHAcs] = ACTIONS(7083),
    [anon_sym_BSLASHacsp] = ACTIONS(7083),
    [anon_sym_BSLASHAcsp] = ACTIONS(7083),
    [anon_sym_BSLASHacl] = ACTIONS(7083),
    [anon_sym_BSLASHAcl] = ACTIONS(7083),
    [anon_sym_BSLASHaclp] = ACTIONS(7083),
    [anon_sym_BSLASHAclp] = ACTIONS(7083),
    [anon_sym_BSLASHacf] = ACTIONS(7083),
    [anon_sym_BSLASHAcf] = ACTIONS(7083),
    [anon_sym_BSLASHacfp] = ACTIONS(7083),
    [anon_sym_BSLASHAcfp] = ACTIONS(7083),
    [anon_sym_BSLASHac] = ACTIONS(7083),
    [anon_sym_BSLASHAc] = ACTIONS(7083),
    [anon_sym_BSLASHacp] = ACTIONS(7083),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7083),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7083),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7083),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7083),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7083),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7083),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7083),
    [anon_sym_BSLASHcolor] = ACTIONS(7083),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7083),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7083),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7083),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7083),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7083),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7083),
    [anon_sym_BSLASHurl] = ACTIONS(7083),
    [anon_sym_BSLASHhref] = ACTIONS(7083),
  },
  [1223] = {
    [sym_command_name] = ACTIONS(7595),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7595),
    [anon_sym_LBRACK] = ACTIONS(7597),
    [anon_sym_RBRACK] = ACTIONS(7597),
    [anon_sym_COMMA] = ACTIONS(7597),
    [anon_sym_EQ] = ACTIONS(7597),
    [anon_sym_LPAREN] = ACTIONS(7597),
    [anon_sym_RPAREN] = ACTIONS(7597),
    [anon_sym_BSLASHpart] = ACTIONS(7595),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHaddpart] = ACTIONS(7595),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHchapter] = ACTIONS(7595),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHaddchap] = ACTIONS(7595),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHsection] = ACTIONS(7595),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHaddsec] = ACTIONS(7595),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHsubsection] = ACTIONS(7595),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7595),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHparagraph] = ACTIONS(7595),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7595),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHitem] = ACTIONS(7595),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7597),
    [anon_sym_LBRACE] = ACTIONS(7597),
    [sym_word] = ACTIONS(7595),
    [sym_placeholder] = ACTIONS(7597),
    [sym_delimiter] = ACTIONS(7597),
    [anon_sym_PLUS] = ACTIONS(7597),
    [anon_sym_DASH] = ACTIONS(7597),
    [anon_sym_STAR] = ACTIONS(7597),
    [anon_sym_SLASH] = ACTIONS(7597),
    [anon_sym_LT] = ACTIONS(7595),
    [anon_sym_GT] = ACTIONS(7595),
    [anon_sym_BANG] = ACTIONS(7595),
    [anon_sym_PIPE] = ACTIONS(7595),
    [anon_sym_COLON] = ACTIONS(7595),
    [anon_sym_SQUOTE] = ACTIONS(7595),
    [anon_sym__] = ACTIONS(7597),
    [anon_sym_CARET] = ACTIONS(7597),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7597),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7597),
    [anon_sym_DOLLAR] = ACTIONS(7595),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7597),
    [anon_sym_BSLASHleft] = ACTIONS(7595),
    [anon_sym_BSLASHbigl] = ACTIONS(7595),
    [anon_sym_BSLASHBigl] = ACTIONS(7595),
    [anon_sym_BSLASHbiggl] = ACTIONS(7595),
    [anon_sym_BSLASHBiggl] = ACTIONS(7595),
    [anon_sym_BSLASHtext] = ACTIONS(7595),
    [anon_sym_BSLASHintertext] = ACTIONS(7595),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7595),
    [anon_sym_BSLASHbegin] = ACTIONS(7595),
    [anon_sym_BSLASHend] = ACTIONS(7595),
    [anon_sym_BSLASHtitle] = ACTIONS(7595),
    [anon_sym_BSLASHauthor] = ACTIONS(7595),
    [anon_sym_BSLASHusepackage] = ACTIONS(7595),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7595),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7595),
    [anon_sym_BSLASHinclude] = ACTIONS(7595),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7595),
    [anon_sym_BSLASHinput] = ACTIONS(7595),
    [anon_sym_BSLASHsubfile] = ACTIONS(7595),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7595),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7595),
    [anon_sym_BSLASHbibliography] = ACTIONS(7595),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7595),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7595),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7595),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7595),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7595),
    [anon_sym_BSLASHimport] = ACTIONS(7595),
    [anon_sym_BSLASHsubimport] = ACTIONS(7595),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7595),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7595),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7595),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7595),
    [anon_sym_BSLASHcaption] = ACTIONS(7595),
    [anon_sym_BSLASHcite] = ACTIONS(7595),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCite] = ACTIONS(7595),
    [anon_sym_BSLASHnocite] = ACTIONS(7595),
    [anon_sym_BSLASHcitet] = ACTIONS(7595),
    [anon_sym_BSLASHcitep] = ACTIONS(7595),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteA] = ACTIONS(7595),
    [anon_sym_BSLASHciteR] = ACTIONS(7595),
    [anon_sym_BSLASHciteS] = ACTIONS(7595),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7595),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7595),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7595),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7595),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteyear] = ACTIONS(7595),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitedate] = ACTIONS(7595),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteurl] = ACTIONS(7595),
    [anon_sym_BSLASHfullcite] = ACTIONS(7595),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7595),
    [anon_sym_BSLASHcitealt] = ACTIONS(7595),
    [anon_sym_BSLASHcitealp] = ACTIONS(7595),
    [anon_sym_BSLASHcitetext] = ACTIONS(7595),
    [anon_sym_BSLASHparencite] = ACTIONS(7595),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHParencite] = ACTIONS(7595),
    [anon_sym_BSLASHfootcite] = ACTIONS(7595),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7595),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7595),
    [anon_sym_BSLASHtextcite] = ACTIONS(7595),
    [anon_sym_BSLASHTextcite] = ACTIONS(7595),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7595),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7595),
    [anon_sym_BSLASHsupercite] = ACTIONS(7595),
    [anon_sym_BSLASHautocite] = ACTIONS(7595),
    [anon_sym_BSLASHAutocite] = ACTIONS(7595),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHVolcite] = ACTIONS(7595),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHavolcite] = ACTIONS(7595),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHNotecite] = ACTIONS(7595),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHlabel] = ACTIONS(7595),
    [anon_sym_BSLASHref] = ACTIONS(7595),
    [anon_sym_BSLASHeqref] = ACTIONS(7595),
    [anon_sym_BSLASHvref] = ACTIONS(7595),
    [anon_sym_BSLASHVref] = ACTIONS(7595),
    [anon_sym_BSLASHautoref] = ACTIONS(7595),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHpageref] = ACTIONS(7595),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHautopageref] = ACTIONS(7595),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcref] = ACTIONS(7595),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCref] = ACTIONS(7595),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcpageref] = ACTIONS(7595),
    [anon_sym_BSLASHCpageref] = ACTIONS(7595),
    [anon_sym_BSLASHnamecref] = ACTIONS(7595),
    [anon_sym_BSLASHnameCref] = ACTIONS(7595),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7595),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7595),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7595),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7595),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7595),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7595),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7595),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7595),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7595),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7595),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7595),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHdef] = ACTIONS(7595),
    [anon_sym_BSLASHgdef] = ACTIONS(7595),
    [anon_sym_BSLASHedef] = ACTIONS(7595),
    [anon_sym_BSLASHxdef] = ACTIONS(7595),
    [anon_sym_BSLASHlet] = ACTIONS(7595),
    [anon_sym_BSLASHglet] = ACTIONS(7595),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7595),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7595),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7595),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7595),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7595),
    [anon_sym_BSLASHgls] = ACTIONS(7595),
    [anon_sym_BSLASHGls] = ACTIONS(7595),
    [anon_sym_BSLASHGLS] = ACTIONS(7595),
    [anon_sym_BSLASHglspl] = ACTIONS(7595),
    [anon_sym_BSLASHGlspl] = ACTIONS(7595),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7595),
    [anon_sym_BSLASHglslink] = ACTIONS(7595),
    [anon_sym_BSLASHglstext] = ACTIONS(7595),
    [anon_sym_BSLASHGlstext] = ACTIONS(7595),
    [anon_sym_BSLASHGLStext] = ACTIONS(7595),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7595),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7595),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7595),
    [anon_sym_BSLASHglsplural] = ACTIONS(7595),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7595),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7595),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHglsname] = ACTIONS(7595),
    [anon_sym_BSLASHGlsname] = ACTIONS(7595),
    [anon_sym_BSLASHGLSname] = ACTIONS(7595),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7595),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7595),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7595),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7595),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7595),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7595),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7595),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7595),
    [anon_sym_BSLASHacrshort] = ACTIONS(7595),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7595),
    [anon_sym_BSLASHACRshort] = ACTIONS(7595),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHacrlong] = ACTIONS(7595),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7595),
    [anon_sym_BSLASHACRlong] = ACTIONS(7595),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHacrfull] = ACTIONS(7595),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7595),
    [anon_sym_BSLASHACRfull] = ACTIONS(7595),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHacs] = ACTIONS(7595),
    [anon_sym_BSLASHAcs] = ACTIONS(7595),
    [anon_sym_BSLASHacsp] = ACTIONS(7595),
    [anon_sym_BSLASHAcsp] = ACTIONS(7595),
    [anon_sym_BSLASHacl] = ACTIONS(7595),
    [anon_sym_BSLASHAcl] = ACTIONS(7595),
    [anon_sym_BSLASHaclp] = ACTIONS(7595),
    [anon_sym_BSLASHAclp] = ACTIONS(7595),
    [anon_sym_BSLASHacf] = ACTIONS(7595),
    [anon_sym_BSLASHAcf] = ACTIONS(7595),
    [anon_sym_BSLASHacfp] = ACTIONS(7595),
    [anon_sym_BSLASHAcfp] = ACTIONS(7595),
    [anon_sym_BSLASHac] = ACTIONS(7595),
    [anon_sym_BSLASHAc] = ACTIONS(7595),
    [anon_sym_BSLASHacp] = ACTIONS(7595),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7595),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7595),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7595),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7595),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7595),
    [anon_sym_BSLASHcolor] = ACTIONS(7595),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7595),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7595),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7595),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7595),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7595),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7595),
    [anon_sym_BSLASHurl] = ACTIONS(7595),
    [anon_sym_BSLASHhref] = ACTIONS(7595),
  },
  [1224] = {
    [sym_command_name] = ACTIONS(7087),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7087),
    [anon_sym_LBRACK] = ACTIONS(7089),
    [anon_sym_RBRACK] = ACTIONS(7089),
    [anon_sym_COMMA] = ACTIONS(7089),
    [anon_sym_EQ] = ACTIONS(7089),
    [anon_sym_LPAREN] = ACTIONS(7089),
    [anon_sym_RPAREN] = ACTIONS(7089),
    [anon_sym_BSLASHpart] = ACTIONS(7087),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHaddpart] = ACTIONS(7087),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHchapter] = ACTIONS(7087),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHaddchap] = ACTIONS(7087),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHsection] = ACTIONS(7087),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHaddsec] = ACTIONS(7087),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHsubsection] = ACTIONS(7087),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7087),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHparagraph] = ACTIONS(7087),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7087),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHitem] = ACTIONS(7087),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7089),
    [anon_sym_LBRACE] = ACTIONS(7089),
    [sym_word] = ACTIONS(7087),
    [sym_placeholder] = ACTIONS(7089),
    [sym_delimiter] = ACTIONS(7089),
    [anon_sym_PLUS] = ACTIONS(7089),
    [anon_sym_DASH] = ACTIONS(7089),
    [anon_sym_STAR] = ACTIONS(7089),
    [anon_sym_SLASH] = ACTIONS(7089),
    [anon_sym_LT] = ACTIONS(7087),
    [anon_sym_GT] = ACTIONS(7087),
    [anon_sym_BANG] = ACTIONS(7087),
    [anon_sym_PIPE] = ACTIONS(7087),
    [anon_sym_COLON] = ACTIONS(7087),
    [anon_sym_SQUOTE] = ACTIONS(7087),
    [anon_sym__] = ACTIONS(7089),
    [anon_sym_CARET] = ACTIONS(7089),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7089),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7089),
    [anon_sym_DOLLAR] = ACTIONS(7087),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7089),
    [anon_sym_BSLASHleft] = ACTIONS(7087),
    [anon_sym_BSLASHbigl] = ACTIONS(7087),
    [anon_sym_BSLASHBigl] = ACTIONS(7087),
    [anon_sym_BSLASHbiggl] = ACTIONS(7087),
    [anon_sym_BSLASHBiggl] = ACTIONS(7087),
    [anon_sym_BSLASHtext] = ACTIONS(7087),
    [anon_sym_BSLASHintertext] = ACTIONS(7087),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7087),
    [anon_sym_BSLASHbegin] = ACTIONS(7087),
    [anon_sym_BSLASHend] = ACTIONS(7087),
    [anon_sym_BSLASHtitle] = ACTIONS(7087),
    [anon_sym_BSLASHauthor] = ACTIONS(7087),
    [anon_sym_BSLASHusepackage] = ACTIONS(7087),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7087),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7087),
    [anon_sym_BSLASHinclude] = ACTIONS(7087),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7087),
    [anon_sym_BSLASHinput] = ACTIONS(7087),
    [anon_sym_BSLASHsubfile] = ACTIONS(7087),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7087),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7087),
    [anon_sym_BSLASHbibliography] = ACTIONS(7087),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7087),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7087),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7087),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7087),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7087),
    [anon_sym_BSLASHimport] = ACTIONS(7087),
    [anon_sym_BSLASHsubimport] = ACTIONS(7087),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7087),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7087),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7087),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7087),
    [anon_sym_BSLASHcaption] = ACTIONS(7087),
    [anon_sym_BSLASHcite] = ACTIONS(7087),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHCite] = ACTIONS(7087),
    [anon_sym_BSLASHnocite] = ACTIONS(7087),
    [anon_sym_BSLASHcitet] = ACTIONS(7087),
    [anon_sym_BSLASHcitep] = ACTIONS(7087),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHciteA] = ACTIONS(7087),
    [anon_sym_BSLASHciteR] = ACTIONS(7087),
    [anon_sym_BSLASHciteS] = ACTIONS(7087),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7087),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7087),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7087),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7087),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHciteyear] = ACTIONS(7087),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcitedate] = ACTIONS(7087),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHciteurl] = ACTIONS(7087),
    [anon_sym_BSLASHfullcite] = ACTIONS(7087),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7087),
    [anon_sym_BSLASHcitealt] = ACTIONS(7087),
    [anon_sym_BSLASHcitealp] = ACTIONS(7087),
    [anon_sym_BSLASHcitetext] = ACTIONS(7087),
    [anon_sym_BSLASHparencite] = ACTIONS(7087),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHParencite] = ACTIONS(7087),
    [anon_sym_BSLASHfootcite] = ACTIONS(7087),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7087),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7087),
    [anon_sym_BSLASHtextcite] = ACTIONS(7087),
    [anon_sym_BSLASHTextcite] = ACTIONS(7087),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7087),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7087),
    [anon_sym_BSLASHsupercite] = ACTIONS(7087),
    [anon_sym_BSLASHautocite] = ACTIONS(7087),
    [anon_sym_BSLASHAutocite] = ACTIONS(7087),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHVolcite] = ACTIONS(7087),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHavolcite] = ACTIONS(7087),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHnotecite] = ACTIONS(7087),
    [anon_sym_BSLASHNotecite] = ACTIONS(7087),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7087),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7087),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7087),
    [anon_sym_BSLASHlabel] = ACTIONS(7087),
    [anon_sym_BSLASHref] = ACTIONS(7087),
    [anon_sym_BSLASHeqref] = ACTIONS(7087),
    [anon_sym_BSLASHvref] = ACTIONS(7087),
    [anon_sym_BSLASHVref] = ACTIONS(7087),
    [anon_sym_BSLASHautoref] = ACTIONS(7087),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHpageref] = ACTIONS(7087),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHautopageref] = ACTIONS(7087),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcref] = ACTIONS(7087),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHCref] = ACTIONS(7087),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcpageref] = ACTIONS(7087),
    [anon_sym_BSLASHCpageref] = ACTIONS(7087),
    [anon_sym_BSLASHnamecref] = ACTIONS(7087),
    [anon_sym_BSLASHnameCref] = ACTIONS(7087),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7087),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7087),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7087),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7087),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7087),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7087),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7087),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7087),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7087),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7087),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7087),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7087),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7087),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7087),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7087),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7087),
    [anon_sym_BSLASHdef] = ACTIONS(7087),
    [anon_sym_BSLASHgdef] = ACTIONS(7087),
    [anon_sym_BSLASHedef] = ACTIONS(7087),
    [anon_sym_BSLASHxdef] = ACTIONS(7087),
    [anon_sym_BSLASHlet] = ACTIONS(7087),
    [anon_sym_BSLASHglet] = ACTIONS(7087),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7087),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7087),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7087),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7087),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7087),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7087),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7087),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7087),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7087),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7087),
    [anon_sym_BSLASHgls] = ACTIONS(7087),
    [anon_sym_BSLASHGls] = ACTIONS(7087),
    [anon_sym_BSLASHGLS] = ACTIONS(7087),
    [anon_sym_BSLASHglspl] = ACTIONS(7087),
    [anon_sym_BSLASHGlspl] = ACTIONS(7087),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7087),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7087),
    [anon_sym_BSLASHglslink] = ACTIONS(7087),
    [anon_sym_BSLASHglstext] = ACTIONS(7087),
    [anon_sym_BSLASHGlstext] = ACTIONS(7087),
    [anon_sym_BSLASHGLStext] = ACTIONS(7087),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7087),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7087),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7087),
    [anon_sym_BSLASHglsplural] = ACTIONS(7087),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7087),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7087),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7087),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7087),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7087),
    [anon_sym_BSLASHglsname] = ACTIONS(7087),
    [anon_sym_BSLASHGlsname] = ACTIONS(7087),
    [anon_sym_BSLASHGLSname] = ACTIONS(7087),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7087),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7087),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7087),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7087),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7087),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7087),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7087),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7087),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7087),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7087),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7087),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7087),
    [anon_sym_BSLASHacrshort] = ACTIONS(7087),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7087),
    [anon_sym_BSLASHACRshort] = ACTIONS(7087),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHacrlong] = ACTIONS(7087),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7087),
    [anon_sym_BSLASHACRlong] = ACTIONS(7087),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7087),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7087),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7087),
    [anon_sym_BSLASHacrfull] = ACTIONS(7087),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7087),
    [anon_sym_BSLASHACRfull] = ACTIONS(7087),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHacs] = ACTIONS(7087),
    [anon_sym_BSLASHAcs] = ACTIONS(7087),
    [anon_sym_BSLASHacsp] = ACTIONS(7087),
    [anon_sym_BSLASHAcsp] = ACTIONS(7087),
    [anon_sym_BSLASHacl] = ACTIONS(7087),
    [anon_sym_BSLASHAcl] = ACTIONS(7087),
    [anon_sym_BSLASHaclp] = ACTIONS(7087),
    [anon_sym_BSLASHAclp] = ACTIONS(7087),
    [anon_sym_BSLASHacf] = ACTIONS(7087),
    [anon_sym_BSLASHAcf] = ACTIONS(7087),
    [anon_sym_BSLASHacfp] = ACTIONS(7087),
    [anon_sym_BSLASHAcfp] = ACTIONS(7087),
    [anon_sym_BSLASHac] = ACTIONS(7087),
    [anon_sym_BSLASHAc] = ACTIONS(7087),
    [anon_sym_BSLASHacp] = ACTIONS(7087),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7087),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7087),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7087),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7087),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7087),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7087),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7087),
    [anon_sym_BSLASHcolor] = ACTIONS(7087),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7087),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7087),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7087),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7087),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7087),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7087),
    [anon_sym_BSLASHurl] = ACTIONS(7087),
    [anon_sym_BSLASHhref] = ACTIONS(7087),
  },
  [1225] = {
    [sym_command_name] = ACTIONS(7091),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7091),
    [anon_sym_LBRACK] = ACTIONS(7093),
    [anon_sym_RBRACK] = ACTIONS(7093),
    [anon_sym_COMMA] = ACTIONS(7093),
    [anon_sym_EQ] = ACTIONS(7093),
    [anon_sym_LPAREN] = ACTIONS(7093),
    [anon_sym_RPAREN] = ACTIONS(7093),
    [anon_sym_BSLASHpart] = ACTIONS(7091),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHaddpart] = ACTIONS(7091),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHchapter] = ACTIONS(7091),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHaddchap] = ACTIONS(7091),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHsection] = ACTIONS(7091),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHaddsec] = ACTIONS(7091),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHsubsection] = ACTIONS(7091),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7091),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHparagraph] = ACTIONS(7091),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7091),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHitem] = ACTIONS(7091),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7093),
    [anon_sym_LBRACE] = ACTIONS(7093),
    [sym_word] = ACTIONS(7091),
    [sym_placeholder] = ACTIONS(7093),
    [sym_delimiter] = ACTIONS(7093),
    [anon_sym_PLUS] = ACTIONS(7093),
    [anon_sym_DASH] = ACTIONS(7093),
    [anon_sym_STAR] = ACTIONS(7093),
    [anon_sym_SLASH] = ACTIONS(7093),
    [anon_sym_LT] = ACTIONS(7091),
    [anon_sym_GT] = ACTIONS(7091),
    [anon_sym_BANG] = ACTIONS(7091),
    [anon_sym_PIPE] = ACTIONS(7091),
    [anon_sym_COLON] = ACTIONS(7091),
    [anon_sym_SQUOTE] = ACTIONS(7091),
    [anon_sym__] = ACTIONS(7093),
    [anon_sym_CARET] = ACTIONS(7093),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7093),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7093),
    [anon_sym_DOLLAR] = ACTIONS(7091),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7093),
    [anon_sym_BSLASHleft] = ACTIONS(7091),
    [anon_sym_BSLASHbigl] = ACTIONS(7091),
    [anon_sym_BSLASHBigl] = ACTIONS(7091),
    [anon_sym_BSLASHbiggl] = ACTIONS(7091),
    [anon_sym_BSLASHBiggl] = ACTIONS(7091),
    [anon_sym_BSLASHtext] = ACTIONS(7091),
    [anon_sym_BSLASHintertext] = ACTIONS(7091),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7091),
    [anon_sym_BSLASHbegin] = ACTIONS(7091),
    [anon_sym_BSLASHend] = ACTIONS(7091),
    [anon_sym_BSLASHtitle] = ACTIONS(7091),
    [anon_sym_BSLASHauthor] = ACTIONS(7091),
    [anon_sym_BSLASHusepackage] = ACTIONS(7091),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7091),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7091),
    [anon_sym_BSLASHinclude] = ACTIONS(7091),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7091),
    [anon_sym_BSLASHinput] = ACTIONS(7091),
    [anon_sym_BSLASHsubfile] = ACTIONS(7091),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7091),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7091),
    [anon_sym_BSLASHbibliography] = ACTIONS(7091),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7091),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7091),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7091),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7091),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7091),
    [anon_sym_BSLASHimport] = ACTIONS(7091),
    [anon_sym_BSLASHsubimport] = ACTIONS(7091),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7091),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7091),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7091),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7091),
    [anon_sym_BSLASHcaption] = ACTIONS(7091),
    [anon_sym_BSLASHcite] = ACTIONS(7091),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHCite] = ACTIONS(7091),
    [anon_sym_BSLASHnocite] = ACTIONS(7091),
    [anon_sym_BSLASHcitet] = ACTIONS(7091),
    [anon_sym_BSLASHcitep] = ACTIONS(7091),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHciteA] = ACTIONS(7091),
    [anon_sym_BSLASHciteR] = ACTIONS(7091),
    [anon_sym_BSLASHciteS] = ACTIONS(7091),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7091),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7091),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7091),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7091),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHciteyear] = ACTIONS(7091),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcitedate] = ACTIONS(7091),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHciteurl] = ACTIONS(7091),
    [anon_sym_BSLASHfullcite] = ACTIONS(7091),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7091),
    [anon_sym_BSLASHcitealt] = ACTIONS(7091),
    [anon_sym_BSLASHcitealp] = ACTIONS(7091),
    [anon_sym_BSLASHcitetext] = ACTIONS(7091),
    [anon_sym_BSLASHparencite] = ACTIONS(7091),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHParencite] = ACTIONS(7091),
    [anon_sym_BSLASHfootcite] = ACTIONS(7091),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7091),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7091),
    [anon_sym_BSLASHtextcite] = ACTIONS(7091),
    [anon_sym_BSLASHTextcite] = ACTIONS(7091),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7091),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7091),
    [anon_sym_BSLASHsupercite] = ACTIONS(7091),
    [anon_sym_BSLASHautocite] = ACTIONS(7091),
    [anon_sym_BSLASHAutocite] = ACTIONS(7091),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHVolcite] = ACTIONS(7091),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHavolcite] = ACTIONS(7091),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHnotecite] = ACTIONS(7091),
    [anon_sym_BSLASHNotecite] = ACTIONS(7091),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7091),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7091),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7091),
    [anon_sym_BSLASHlabel] = ACTIONS(7091),
    [anon_sym_BSLASHref] = ACTIONS(7091),
    [anon_sym_BSLASHeqref] = ACTIONS(7091),
    [anon_sym_BSLASHvref] = ACTIONS(7091),
    [anon_sym_BSLASHVref] = ACTIONS(7091),
    [anon_sym_BSLASHautoref] = ACTIONS(7091),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHpageref] = ACTIONS(7091),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHautopageref] = ACTIONS(7091),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcref] = ACTIONS(7091),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHCref] = ACTIONS(7091),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcpageref] = ACTIONS(7091),
    [anon_sym_BSLASHCpageref] = ACTIONS(7091),
    [anon_sym_BSLASHnamecref] = ACTIONS(7091),
    [anon_sym_BSLASHnameCref] = ACTIONS(7091),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7091),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7091),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7091),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7091),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7091),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7091),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7091),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7091),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7091),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7091),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7091),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7091),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7091),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7091),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7091),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7091),
    [anon_sym_BSLASHdef] = ACTIONS(7091),
    [anon_sym_BSLASHgdef] = ACTIONS(7091),
    [anon_sym_BSLASHedef] = ACTIONS(7091),
    [anon_sym_BSLASHxdef] = ACTIONS(7091),
    [anon_sym_BSLASHlet] = ACTIONS(7091),
    [anon_sym_BSLASHglet] = ACTIONS(7091),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7091),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7091),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7091),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7091),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7091),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7091),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7091),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7091),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7091),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7091),
    [anon_sym_BSLASHgls] = ACTIONS(7091),
    [anon_sym_BSLASHGls] = ACTIONS(7091),
    [anon_sym_BSLASHGLS] = ACTIONS(7091),
    [anon_sym_BSLASHglspl] = ACTIONS(7091),
    [anon_sym_BSLASHGlspl] = ACTIONS(7091),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7091),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7091),
    [anon_sym_BSLASHglslink] = ACTIONS(7091),
    [anon_sym_BSLASHglstext] = ACTIONS(7091),
    [anon_sym_BSLASHGlstext] = ACTIONS(7091),
    [anon_sym_BSLASHGLStext] = ACTIONS(7091),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7091),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7091),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7091),
    [anon_sym_BSLASHglsplural] = ACTIONS(7091),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7091),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7091),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7091),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7091),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7091),
    [anon_sym_BSLASHglsname] = ACTIONS(7091),
    [anon_sym_BSLASHGlsname] = ACTIONS(7091),
    [anon_sym_BSLASHGLSname] = ACTIONS(7091),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7091),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7091),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7091),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7091),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7091),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7091),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7091),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7091),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7091),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7091),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7091),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7091),
    [anon_sym_BSLASHacrshort] = ACTIONS(7091),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7091),
    [anon_sym_BSLASHACRshort] = ACTIONS(7091),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHacrlong] = ACTIONS(7091),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7091),
    [anon_sym_BSLASHACRlong] = ACTIONS(7091),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7091),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7091),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7091),
    [anon_sym_BSLASHacrfull] = ACTIONS(7091),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7091),
    [anon_sym_BSLASHACRfull] = ACTIONS(7091),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHacs] = ACTIONS(7091),
    [anon_sym_BSLASHAcs] = ACTIONS(7091),
    [anon_sym_BSLASHacsp] = ACTIONS(7091),
    [anon_sym_BSLASHAcsp] = ACTIONS(7091),
    [anon_sym_BSLASHacl] = ACTIONS(7091),
    [anon_sym_BSLASHAcl] = ACTIONS(7091),
    [anon_sym_BSLASHaclp] = ACTIONS(7091),
    [anon_sym_BSLASHAclp] = ACTIONS(7091),
    [anon_sym_BSLASHacf] = ACTIONS(7091),
    [anon_sym_BSLASHAcf] = ACTIONS(7091),
    [anon_sym_BSLASHacfp] = ACTIONS(7091),
    [anon_sym_BSLASHAcfp] = ACTIONS(7091),
    [anon_sym_BSLASHac] = ACTIONS(7091),
    [anon_sym_BSLASHAc] = ACTIONS(7091),
    [anon_sym_BSLASHacp] = ACTIONS(7091),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7091),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7091),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7091),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7091),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7091),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7091),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7091),
    [anon_sym_BSLASHcolor] = ACTIONS(7091),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7091),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7091),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7091),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7091),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7091),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7091),
    [anon_sym_BSLASHurl] = ACTIONS(7091),
    [anon_sym_BSLASHhref] = ACTIONS(7091),
  },
  [1226] = {
    [sym_command_name] = ACTIONS(7095),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7095),
    [anon_sym_LBRACK] = ACTIONS(7097),
    [anon_sym_RBRACK] = ACTIONS(7097),
    [anon_sym_COMMA] = ACTIONS(7097),
    [anon_sym_EQ] = ACTIONS(7097),
    [anon_sym_LPAREN] = ACTIONS(7097),
    [anon_sym_RPAREN] = ACTIONS(7097),
    [anon_sym_BSLASHpart] = ACTIONS(7095),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHaddpart] = ACTIONS(7095),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHchapter] = ACTIONS(7095),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHaddchap] = ACTIONS(7095),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHsection] = ACTIONS(7095),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHaddsec] = ACTIONS(7095),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHsubsection] = ACTIONS(7095),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7095),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHparagraph] = ACTIONS(7095),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7095),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHitem] = ACTIONS(7095),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7097),
    [anon_sym_LBRACE] = ACTIONS(7097),
    [sym_word] = ACTIONS(7095),
    [sym_placeholder] = ACTIONS(7097),
    [sym_delimiter] = ACTIONS(7097),
    [anon_sym_PLUS] = ACTIONS(7097),
    [anon_sym_DASH] = ACTIONS(7097),
    [anon_sym_STAR] = ACTIONS(7097),
    [anon_sym_SLASH] = ACTIONS(7097),
    [anon_sym_LT] = ACTIONS(7095),
    [anon_sym_GT] = ACTIONS(7095),
    [anon_sym_BANG] = ACTIONS(7095),
    [anon_sym_PIPE] = ACTIONS(7095),
    [anon_sym_COLON] = ACTIONS(7095),
    [anon_sym_SQUOTE] = ACTIONS(7095),
    [anon_sym__] = ACTIONS(7097),
    [anon_sym_CARET] = ACTIONS(7097),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7097),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7097),
    [anon_sym_DOLLAR] = ACTIONS(7095),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7097),
    [anon_sym_BSLASHleft] = ACTIONS(7095),
    [anon_sym_BSLASHbigl] = ACTIONS(7095),
    [anon_sym_BSLASHBigl] = ACTIONS(7095),
    [anon_sym_BSLASHbiggl] = ACTIONS(7095),
    [anon_sym_BSLASHBiggl] = ACTIONS(7095),
    [anon_sym_BSLASHtext] = ACTIONS(7095),
    [anon_sym_BSLASHintertext] = ACTIONS(7095),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7095),
    [anon_sym_BSLASHbegin] = ACTIONS(7095),
    [anon_sym_BSLASHend] = ACTIONS(7095),
    [anon_sym_BSLASHtitle] = ACTIONS(7095),
    [anon_sym_BSLASHauthor] = ACTIONS(7095),
    [anon_sym_BSLASHusepackage] = ACTIONS(7095),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7095),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7095),
    [anon_sym_BSLASHinclude] = ACTIONS(7095),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7095),
    [anon_sym_BSLASHinput] = ACTIONS(7095),
    [anon_sym_BSLASHsubfile] = ACTIONS(7095),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7095),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7095),
    [anon_sym_BSLASHbibliography] = ACTIONS(7095),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7095),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7095),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7095),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7095),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7095),
    [anon_sym_BSLASHimport] = ACTIONS(7095),
    [anon_sym_BSLASHsubimport] = ACTIONS(7095),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7095),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7095),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7095),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7095),
    [anon_sym_BSLASHcaption] = ACTIONS(7095),
    [anon_sym_BSLASHcite] = ACTIONS(7095),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHCite] = ACTIONS(7095),
    [anon_sym_BSLASHnocite] = ACTIONS(7095),
    [anon_sym_BSLASHcitet] = ACTIONS(7095),
    [anon_sym_BSLASHcitep] = ACTIONS(7095),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHciteA] = ACTIONS(7095),
    [anon_sym_BSLASHciteR] = ACTIONS(7095),
    [anon_sym_BSLASHciteS] = ACTIONS(7095),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7095),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7095),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7095),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7095),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHciteyear] = ACTIONS(7095),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcitedate] = ACTIONS(7095),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHciteurl] = ACTIONS(7095),
    [anon_sym_BSLASHfullcite] = ACTIONS(7095),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7095),
    [anon_sym_BSLASHcitealt] = ACTIONS(7095),
    [anon_sym_BSLASHcitealp] = ACTIONS(7095),
    [anon_sym_BSLASHcitetext] = ACTIONS(7095),
    [anon_sym_BSLASHparencite] = ACTIONS(7095),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHParencite] = ACTIONS(7095),
    [anon_sym_BSLASHfootcite] = ACTIONS(7095),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7095),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7095),
    [anon_sym_BSLASHtextcite] = ACTIONS(7095),
    [anon_sym_BSLASHTextcite] = ACTIONS(7095),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7095),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7095),
    [anon_sym_BSLASHsupercite] = ACTIONS(7095),
    [anon_sym_BSLASHautocite] = ACTIONS(7095),
    [anon_sym_BSLASHAutocite] = ACTIONS(7095),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHVolcite] = ACTIONS(7095),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHavolcite] = ACTIONS(7095),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHnotecite] = ACTIONS(7095),
    [anon_sym_BSLASHNotecite] = ACTIONS(7095),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7095),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7095),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7095),
    [anon_sym_BSLASHlabel] = ACTIONS(7095),
    [anon_sym_BSLASHref] = ACTIONS(7095),
    [anon_sym_BSLASHeqref] = ACTIONS(7095),
    [anon_sym_BSLASHvref] = ACTIONS(7095),
    [anon_sym_BSLASHVref] = ACTIONS(7095),
    [anon_sym_BSLASHautoref] = ACTIONS(7095),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHpageref] = ACTIONS(7095),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHautopageref] = ACTIONS(7095),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcref] = ACTIONS(7095),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHCref] = ACTIONS(7095),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcpageref] = ACTIONS(7095),
    [anon_sym_BSLASHCpageref] = ACTIONS(7095),
    [anon_sym_BSLASHnamecref] = ACTIONS(7095),
    [anon_sym_BSLASHnameCref] = ACTIONS(7095),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7095),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7095),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7095),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7095),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7095),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7095),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7095),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7095),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7095),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7095),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7095),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7095),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7095),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7095),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7095),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7095),
    [anon_sym_BSLASHdef] = ACTIONS(7095),
    [anon_sym_BSLASHgdef] = ACTIONS(7095),
    [anon_sym_BSLASHedef] = ACTIONS(7095),
    [anon_sym_BSLASHxdef] = ACTIONS(7095),
    [anon_sym_BSLASHlet] = ACTIONS(7095),
    [anon_sym_BSLASHglet] = ACTIONS(7095),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7095),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7095),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7095),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7095),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7095),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7095),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7095),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7095),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7095),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7095),
    [anon_sym_BSLASHgls] = ACTIONS(7095),
    [anon_sym_BSLASHGls] = ACTIONS(7095),
    [anon_sym_BSLASHGLS] = ACTIONS(7095),
    [anon_sym_BSLASHglspl] = ACTIONS(7095),
    [anon_sym_BSLASHGlspl] = ACTIONS(7095),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7095),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7095),
    [anon_sym_BSLASHglslink] = ACTIONS(7095),
    [anon_sym_BSLASHglstext] = ACTIONS(7095),
    [anon_sym_BSLASHGlstext] = ACTIONS(7095),
    [anon_sym_BSLASHGLStext] = ACTIONS(7095),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7095),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7095),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7095),
    [anon_sym_BSLASHglsplural] = ACTIONS(7095),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7095),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7095),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7095),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7095),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7095),
    [anon_sym_BSLASHglsname] = ACTIONS(7095),
    [anon_sym_BSLASHGlsname] = ACTIONS(7095),
    [anon_sym_BSLASHGLSname] = ACTIONS(7095),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7095),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7095),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7095),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7095),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7095),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7095),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7095),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7095),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7095),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7095),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7095),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7095),
    [anon_sym_BSLASHacrshort] = ACTIONS(7095),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7095),
    [anon_sym_BSLASHACRshort] = ACTIONS(7095),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHacrlong] = ACTIONS(7095),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7095),
    [anon_sym_BSLASHACRlong] = ACTIONS(7095),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7095),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7095),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7095),
    [anon_sym_BSLASHacrfull] = ACTIONS(7095),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7095),
    [anon_sym_BSLASHACRfull] = ACTIONS(7095),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHacs] = ACTIONS(7095),
    [anon_sym_BSLASHAcs] = ACTIONS(7095),
    [anon_sym_BSLASHacsp] = ACTIONS(7095),
    [anon_sym_BSLASHAcsp] = ACTIONS(7095),
    [anon_sym_BSLASHacl] = ACTIONS(7095),
    [anon_sym_BSLASHAcl] = ACTIONS(7095),
    [anon_sym_BSLASHaclp] = ACTIONS(7095),
    [anon_sym_BSLASHAclp] = ACTIONS(7095),
    [anon_sym_BSLASHacf] = ACTIONS(7095),
    [anon_sym_BSLASHAcf] = ACTIONS(7095),
    [anon_sym_BSLASHacfp] = ACTIONS(7095),
    [anon_sym_BSLASHAcfp] = ACTIONS(7095),
    [anon_sym_BSLASHac] = ACTIONS(7095),
    [anon_sym_BSLASHAc] = ACTIONS(7095),
    [anon_sym_BSLASHacp] = ACTIONS(7095),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7095),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7095),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7095),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7095),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7095),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7095),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7095),
    [anon_sym_BSLASHcolor] = ACTIONS(7095),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7095),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7095),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7095),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7095),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7095),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7095),
    [anon_sym_BSLASHurl] = ACTIONS(7095),
    [anon_sym_BSLASHhref] = ACTIONS(7095),
  },
  [1227] = {
    [sym_command_name] = ACTIONS(7099),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7099),
    [anon_sym_LBRACK] = ACTIONS(7101),
    [anon_sym_RBRACK] = ACTIONS(7101),
    [anon_sym_COMMA] = ACTIONS(7101),
    [anon_sym_EQ] = ACTIONS(7101),
    [anon_sym_LPAREN] = ACTIONS(7101),
    [anon_sym_RPAREN] = ACTIONS(7101),
    [anon_sym_BSLASHpart] = ACTIONS(7099),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHaddpart] = ACTIONS(7099),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHchapter] = ACTIONS(7099),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHaddchap] = ACTIONS(7099),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHsection] = ACTIONS(7099),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHaddsec] = ACTIONS(7099),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHsubsection] = ACTIONS(7099),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7099),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHparagraph] = ACTIONS(7099),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7099),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHitem] = ACTIONS(7099),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7101),
    [anon_sym_LBRACE] = ACTIONS(7101),
    [sym_word] = ACTIONS(7099),
    [sym_placeholder] = ACTIONS(7101),
    [sym_delimiter] = ACTIONS(7101),
    [anon_sym_PLUS] = ACTIONS(7101),
    [anon_sym_DASH] = ACTIONS(7101),
    [anon_sym_STAR] = ACTIONS(7101),
    [anon_sym_SLASH] = ACTIONS(7101),
    [anon_sym_LT] = ACTIONS(7099),
    [anon_sym_GT] = ACTIONS(7099),
    [anon_sym_BANG] = ACTIONS(7099),
    [anon_sym_PIPE] = ACTIONS(7099),
    [anon_sym_COLON] = ACTIONS(7099),
    [anon_sym_SQUOTE] = ACTIONS(7099),
    [anon_sym__] = ACTIONS(7101),
    [anon_sym_CARET] = ACTIONS(7101),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7101),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7101),
    [anon_sym_DOLLAR] = ACTIONS(7099),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7101),
    [anon_sym_BSLASHleft] = ACTIONS(7099),
    [anon_sym_BSLASHbigl] = ACTIONS(7099),
    [anon_sym_BSLASHBigl] = ACTIONS(7099),
    [anon_sym_BSLASHbiggl] = ACTIONS(7099),
    [anon_sym_BSLASHBiggl] = ACTIONS(7099),
    [anon_sym_BSLASHtext] = ACTIONS(7099),
    [anon_sym_BSLASHintertext] = ACTIONS(7099),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7099),
    [anon_sym_BSLASHbegin] = ACTIONS(7099),
    [anon_sym_BSLASHend] = ACTIONS(7099),
    [anon_sym_BSLASHtitle] = ACTIONS(7099),
    [anon_sym_BSLASHauthor] = ACTIONS(7099),
    [anon_sym_BSLASHusepackage] = ACTIONS(7099),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7099),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7099),
    [anon_sym_BSLASHinclude] = ACTIONS(7099),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7099),
    [anon_sym_BSLASHinput] = ACTIONS(7099),
    [anon_sym_BSLASHsubfile] = ACTIONS(7099),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7099),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7099),
    [anon_sym_BSLASHbibliography] = ACTIONS(7099),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7099),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7099),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7099),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7099),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7099),
    [anon_sym_BSLASHimport] = ACTIONS(7099),
    [anon_sym_BSLASHsubimport] = ACTIONS(7099),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7099),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7099),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7099),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7099),
    [anon_sym_BSLASHcaption] = ACTIONS(7099),
    [anon_sym_BSLASHcite] = ACTIONS(7099),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHCite] = ACTIONS(7099),
    [anon_sym_BSLASHnocite] = ACTIONS(7099),
    [anon_sym_BSLASHcitet] = ACTIONS(7099),
    [anon_sym_BSLASHcitep] = ACTIONS(7099),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHciteA] = ACTIONS(7099),
    [anon_sym_BSLASHciteR] = ACTIONS(7099),
    [anon_sym_BSLASHciteS] = ACTIONS(7099),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7099),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7099),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7099),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7099),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHciteyear] = ACTIONS(7099),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcitedate] = ACTIONS(7099),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHciteurl] = ACTIONS(7099),
    [anon_sym_BSLASHfullcite] = ACTIONS(7099),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7099),
    [anon_sym_BSLASHcitealt] = ACTIONS(7099),
    [anon_sym_BSLASHcitealp] = ACTIONS(7099),
    [anon_sym_BSLASHcitetext] = ACTIONS(7099),
    [anon_sym_BSLASHparencite] = ACTIONS(7099),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHParencite] = ACTIONS(7099),
    [anon_sym_BSLASHfootcite] = ACTIONS(7099),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7099),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7099),
    [anon_sym_BSLASHtextcite] = ACTIONS(7099),
    [anon_sym_BSLASHTextcite] = ACTIONS(7099),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7099),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7099),
    [anon_sym_BSLASHsupercite] = ACTIONS(7099),
    [anon_sym_BSLASHautocite] = ACTIONS(7099),
    [anon_sym_BSLASHAutocite] = ACTIONS(7099),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHVolcite] = ACTIONS(7099),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHavolcite] = ACTIONS(7099),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHnotecite] = ACTIONS(7099),
    [anon_sym_BSLASHNotecite] = ACTIONS(7099),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7099),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7099),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7099),
    [anon_sym_BSLASHlabel] = ACTIONS(7099),
    [anon_sym_BSLASHref] = ACTIONS(7099),
    [anon_sym_BSLASHeqref] = ACTIONS(7099),
    [anon_sym_BSLASHvref] = ACTIONS(7099),
    [anon_sym_BSLASHVref] = ACTIONS(7099),
    [anon_sym_BSLASHautoref] = ACTIONS(7099),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHpageref] = ACTIONS(7099),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHautopageref] = ACTIONS(7099),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcref] = ACTIONS(7099),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHCref] = ACTIONS(7099),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcpageref] = ACTIONS(7099),
    [anon_sym_BSLASHCpageref] = ACTIONS(7099),
    [anon_sym_BSLASHnamecref] = ACTIONS(7099),
    [anon_sym_BSLASHnameCref] = ACTIONS(7099),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7099),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7099),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7099),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7099),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7099),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7099),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7099),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7099),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7099),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7099),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7099),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7099),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7099),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7099),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7099),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7099),
    [anon_sym_BSLASHdef] = ACTIONS(7099),
    [anon_sym_BSLASHgdef] = ACTIONS(7099),
    [anon_sym_BSLASHedef] = ACTIONS(7099),
    [anon_sym_BSLASHxdef] = ACTIONS(7099),
    [anon_sym_BSLASHlet] = ACTIONS(7099),
    [anon_sym_BSLASHglet] = ACTIONS(7099),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7099),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7099),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7099),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7099),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7099),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7099),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7099),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7099),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7099),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7099),
    [anon_sym_BSLASHgls] = ACTIONS(7099),
    [anon_sym_BSLASHGls] = ACTIONS(7099),
    [anon_sym_BSLASHGLS] = ACTIONS(7099),
    [anon_sym_BSLASHglspl] = ACTIONS(7099),
    [anon_sym_BSLASHGlspl] = ACTIONS(7099),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7099),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7099),
    [anon_sym_BSLASHglslink] = ACTIONS(7099),
    [anon_sym_BSLASHglstext] = ACTIONS(7099),
    [anon_sym_BSLASHGlstext] = ACTIONS(7099),
    [anon_sym_BSLASHGLStext] = ACTIONS(7099),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7099),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7099),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7099),
    [anon_sym_BSLASHglsplural] = ACTIONS(7099),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7099),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7099),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7099),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7099),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7099),
    [anon_sym_BSLASHglsname] = ACTIONS(7099),
    [anon_sym_BSLASHGlsname] = ACTIONS(7099),
    [anon_sym_BSLASHGLSname] = ACTIONS(7099),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7099),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7099),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7099),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7099),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7099),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7099),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7099),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7099),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7099),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7099),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7099),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7099),
    [anon_sym_BSLASHacrshort] = ACTIONS(7099),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7099),
    [anon_sym_BSLASHACRshort] = ACTIONS(7099),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHacrlong] = ACTIONS(7099),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7099),
    [anon_sym_BSLASHACRlong] = ACTIONS(7099),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7099),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7099),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7099),
    [anon_sym_BSLASHacrfull] = ACTIONS(7099),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7099),
    [anon_sym_BSLASHACRfull] = ACTIONS(7099),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHacs] = ACTIONS(7099),
    [anon_sym_BSLASHAcs] = ACTIONS(7099),
    [anon_sym_BSLASHacsp] = ACTIONS(7099),
    [anon_sym_BSLASHAcsp] = ACTIONS(7099),
    [anon_sym_BSLASHacl] = ACTIONS(7099),
    [anon_sym_BSLASHAcl] = ACTIONS(7099),
    [anon_sym_BSLASHaclp] = ACTIONS(7099),
    [anon_sym_BSLASHAclp] = ACTIONS(7099),
    [anon_sym_BSLASHacf] = ACTIONS(7099),
    [anon_sym_BSLASHAcf] = ACTIONS(7099),
    [anon_sym_BSLASHacfp] = ACTIONS(7099),
    [anon_sym_BSLASHAcfp] = ACTIONS(7099),
    [anon_sym_BSLASHac] = ACTIONS(7099),
    [anon_sym_BSLASHAc] = ACTIONS(7099),
    [anon_sym_BSLASHacp] = ACTIONS(7099),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7099),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7099),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7099),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7099),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7099),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7099),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7099),
    [anon_sym_BSLASHcolor] = ACTIONS(7099),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7099),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7099),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7099),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7099),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7099),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7099),
    [anon_sym_BSLASHurl] = ACTIONS(7099),
    [anon_sym_BSLASHhref] = ACTIONS(7099),
  },
  [1228] = {
    [sym_command_name] = ACTIONS(7103),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7103),
    [anon_sym_LBRACK] = ACTIONS(7105),
    [anon_sym_RBRACK] = ACTIONS(7105),
    [anon_sym_COMMA] = ACTIONS(7105),
    [anon_sym_EQ] = ACTIONS(7105),
    [anon_sym_LPAREN] = ACTIONS(7105),
    [anon_sym_RPAREN] = ACTIONS(7105),
    [anon_sym_BSLASHpart] = ACTIONS(7103),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHaddpart] = ACTIONS(7103),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHchapter] = ACTIONS(7103),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHaddchap] = ACTIONS(7103),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHsection] = ACTIONS(7103),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHaddsec] = ACTIONS(7103),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHsubsection] = ACTIONS(7103),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7103),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHparagraph] = ACTIONS(7103),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7103),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHitem] = ACTIONS(7103),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7105),
    [anon_sym_LBRACE] = ACTIONS(7105),
    [sym_word] = ACTIONS(7103),
    [sym_placeholder] = ACTIONS(7105),
    [sym_delimiter] = ACTIONS(7105),
    [anon_sym_PLUS] = ACTIONS(7105),
    [anon_sym_DASH] = ACTIONS(7105),
    [anon_sym_STAR] = ACTIONS(7105),
    [anon_sym_SLASH] = ACTIONS(7105),
    [anon_sym_LT] = ACTIONS(7103),
    [anon_sym_GT] = ACTIONS(7103),
    [anon_sym_BANG] = ACTIONS(7103),
    [anon_sym_PIPE] = ACTIONS(7103),
    [anon_sym_COLON] = ACTIONS(7103),
    [anon_sym_SQUOTE] = ACTIONS(7103),
    [anon_sym__] = ACTIONS(7105),
    [anon_sym_CARET] = ACTIONS(7105),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7105),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7105),
    [anon_sym_DOLLAR] = ACTIONS(7103),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7105),
    [anon_sym_BSLASHleft] = ACTIONS(7103),
    [anon_sym_BSLASHbigl] = ACTIONS(7103),
    [anon_sym_BSLASHBigl] = ACTIONS(7103),
    [anon_sym_BSLASHbiggl] = ACTIONS(7103),
    [anon_sym_BSLASHBiggl] = ACTIONS(7103),
    [anon_sym_BSLASHtext] = ACTIONS(7103),
    [anon_sym_BSLASHintertext] = ACTIONS(7103),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7103),
    [anon_sym_BSLASHbegin] = ACTIONS(7103),
    [anon_sym_BSLASHend] = ACTIONS(7103),
    [anon_sym_BSLASHtitle] = ACTIONS(7103),
    [anon_sym_BSLASHauthor] = ACTIONS(7103),
    [anon_sym_BSLASHusepackage] = ACTIONS(7103),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7103),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7103),
    [anon_sym_BSLASHinclude] = ACTIONS(7103),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7103),
    [anon_sym_BSLASHinput] = ACTIONS(7103),
    [anon_sym_BSLASHsubfile] = ACTIONS(7103),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7103),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7103),
    [anon_sym_BSLASHbibliography] = ACTIONS(7103),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7103),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7103),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7103),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7103),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7103),
    [anon_sym_BSLASHimport] = ACTIONS(7103),
    [anon_sym_BSLASHsubimport] = ACTIONS(7103),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7103),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7103),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7103),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7103),
    [anon_sym_BSLASHcaption] = ACTIONS(7103),
    [anon_sym_BSLASHcite] = ACTIONS(7103),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHCite] = ACTIONS(7103),
    [anon_sym_BSLASHnocite] = ACTIONS(7103),
    [anon_sym_BSLASHcitet] = ACTIONS(7103),
    [anon_sym_BSLASHcitep] = ACTIONS(7103),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHciteA] = ACTIONS(7103),
    [anon_sym_BSLASHciteR] = ACTIONS(7103),
    [anon_sym_BSLASHciteS] = ACTIONS(7103),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7103),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7103),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7103),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7103),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHciteyear] = ACTIONS(7103),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcitedate] = ACTIONS(7103),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHciteurl] = ACTIONS(7103),
    [anon_sym_BSLASHfullcite] = ACTIONS(7103),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7103),
    [anon_sym_BSLASHcitealt] = ACTIONS(7103),
    [anon_sym_BSLASHcitealp] = ACTIONS(7103),
    [anon_sym_BSLASHcitetext] = ACTIONS(7103),
    [anon_sym_BSLASHparencite] = ACTIONS(7103),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHParencite] = ACTIONS(7103),
    [anon_sym_BSLASHfootcite] = ACTIONS(7103),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7103),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7103),
    [anon_sym_BSLASHtextcite] = ACTIONS(7103),
    [anon_sym_BSLASHTextcite] = ACTIONS(7103),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7103),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7103),
    [anon_sym_BSLASHsupercite] = ACTIONS(7103),
    [anon_sym_BSLASHautocite] = ACTIONS(7103),
    [anon_sym_BSLASHAutocite] = ACTIONS(7103),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHVolcite] = ACTIONS(7103),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHavolcite] = ACTIONS(7103),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHnotecite] = ACTIONS(7103),
    [anon_sym_BSLASHNotecite] = ACTIONS(7103),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7103),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7103),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7103),
    [anon_sym_BSLASHlabel] = ACTIONS(7103),
    [anon_sym_BSLASHref] = ACTIONS(7103),
    [anon_sym_BSLASHeqref] = ACTIONS(7103),
    [anon_sym_BSLASHvref] = ACTIONS(7103),
    [anon_sym_BSLASHVref] = ACTIONS(7103),
    [anon_sym_BSLASHautoref] = ACTIONS(7103),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHpageref] = ACTIONS(7103),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHautopageref] = ACTIONS(7103),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcref] = ACTIONS(7103),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHCref] = ACTIONS(7103),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcpageref] = ACTIONS(7103),
    [anon_sym_BSLASHCpageref] = ACTIONS(7103),
    [anon_sym_BSLASHnamecref] = ACTIONS(7103),
    [anon_sym_BSLASHnameCref] = ACTIONS(7103),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7103),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7103),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7103),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7103),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7103),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7103),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7103),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7103),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7103),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7103),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7103),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7103),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7103),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7103),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7103),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7103),
    [anon_sym_BSLASHdef] = ACTIONS(7103),
    [anon_sym_BSLASHgdef] = ACTIONS(7103),
    [anon_sym_BSLASHedef] = ACTIONS(7103),
    [anon_sym_BSLASHxdef] = ACTIONS(7103),
    [anon_sym_BSLASHlet] = ACTIONS(7103),
    [anon_sym_BSLASHglet] = ACTIONS(7103),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7103),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7103),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7103),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7103),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7103),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7103),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7103),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7103),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7103),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7103),
    [anon_sym_BSLASHgls] = ACTIONS(7103),
    [anon_sym_BSLASHGls] = ACTIONS(7103),
    [anon_sym_BSLASHGLS] = ACTIONS(7103),
    [anon_sym_BSLASHglspl] = ACTIONS(7103),
    [anon_sym_BSLASHGlspl] = ACTIONS(7103),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7103),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7103),
    [anon_sym_BSLASHglslink] = ACTIONS(7103),
    [anon_sym_BSLASHglstext] = ACTIONS(7103),
    [anon_sym_BSLASHGlstext] = ACTIONS(7103),
    [anon_sym_BSLASHGLStext] = ACTIONS(7103),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7103),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7103),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7103),
    [anon_sym_BSLASHglsplural] = ACTIONS(7103),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7103),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7103),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7103),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7103),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7103),
    [anon_sym_BSLASHglsname] = ACTIONS(7103),
    [anon_sym_BSLASHGlsname] = ACTIONS(7103),
    [anon_sym_BSLASHGLSname] = ACTIONS(7103),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7103),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7103),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7103),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7103),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7103),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7103),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7103),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7103),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7103),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7103),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7103),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7103),
    [anon_sym_BSLASHacrshort] = ACTIONS(7103),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7103),
    [anon_sym_BSLASHACRshort] = ACTIONS(7103),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHacrlong] = ACTIONS(7103),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7103),
    [anon_sym_BSLASHACRlong] = ACTIONS(7103),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7103),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7103),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7103),
    [anon_sym_BSLASHacrfull] = ACTIONS(7103),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7103),
    [anon_sym_BSLASHACRfull] = ACTIONS(7103),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHacs] = ACTIONS(7103),
    [anon_sym_BSLASHAcs] = ACTIONS(7103),
    [anon_sym_BSLASHacsp] = ACTIONS(7103),
    [anon_sym_BSLASHAcsp] = ACTIONS(7103),
    [anon_sym_BSLASHacl] = ACTIONS(7103),
    [anon_sym_BSLASHAcl] = ACTIONS(7103),
    [anon_sym_BSLASHaclp] = ACTIONS(7103),
    [anon_sym_BSLASHAclp] = ACTIONS(7103),
    [anon_sym_BSLASHacf] = ACTIONS(7103),
    [anon_sym_BSLASHAcf] = ACTIONS(7103),
    [anon_sym_BSLASHacfp] = ACTIONS(7103),
    [anon_sym_BSLASHAcfp] = ACTIONS(7103),
    [anon_sym_BSLASHac] = ACTIONS(7103),
    [anon_sym_BSLASHAc] = ACTIONS(7103),
    [anon_sym_BSLASHacp] = ACTIONS(7103),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7103),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7103),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7103),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7103),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7103),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7103),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7103),
    [anon_sym_BSLASHcolor] = ACTIONS(7103),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7103),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7103),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7103),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7103),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7103),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7103),
    [anon_sym_BSLASHurl] = ACTIONS(7103),
    [anon_sym_BSLASHhref] = ACTIONS(7103),
  },
  [1229] = {
    [sym_command_name] = ACTIONS(7107),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7107),
    [anon_sym_LBRACK] = ACTIONS(7109),
    [anon_sym_RBRACK] = ACTIONS(7109),
    [anon_sym_COMMA] = ACTIONS(7109),
    [anon_sym_EQ] = ACTIONS(7109),
    [anon_sym_LPAREN] = ACTIONS(7109),
    [anon_sym_RPAREN] = ACTIONS(7109),
    [anon_sym_BSLASHpart] = ACTIONS(7107),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHaddpart] = ACTIONS(7107),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHchapter] = ACTIONS(7107),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHaddchap] = ACTIONS(7107),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHsection] = ACTIONS(7107),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHaddsec] = ACTIONS(7107),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHsubsection] = ACTIONS(7107),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7107),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHparagraph] = ACTIONS(7107),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7107),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHitem] = ACTIONS(7107),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7109),
    [anon_sym_LBRACE] = ACTIONS(7109),
    [sym_word] = ACTIONS(7107),
    [sym_placeholder] = ACTIONS(7109),
    [sym_delimiter] = ACTIONS(7109),
    [anon_sym_PLUS] = ACTIONS(7109),
    [anon_sym_DASH] = ACTIONS(7109),
    [anon_sym_STAR] = ACTIONS(7109),
    [anon_sym_SLASH] = ACTIONS(7109),
    [anon_sym_LT] = ACTIONS(7107),
    [anon_sym_GT] = ACTIONS(7107),
    [anon_sym_BANG] = ACTIONS(7107),
    [anon_sym_PIPE] = ACTIONS(7107),
    [anon_sym_COLON] = ACTIONS(7107),
    [anon_sym_SQUOTE] = ACTIONS(7107),
    [anon_sym__] = ACTIONS(7109),
    [anon_sym_CARET] = ACTIONS(7109),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7109),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7109),
    [anon_sym_DOLLAR] = ACTIONS(7107),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7109),
    [anon_sym_BSLASHleft] = ACTIONS(7107),
    [anon_sym_BSLASHbigl] = ACTIONS(7107),
    [anon_sym_BSLASHBigl] = ACTIONS(7107),
    [anon_sym_BSLASHbiggl] = ACTIONS(7107),
    [anon_sym_BSLASHBiggl] = ACTIONS(7107),
    [anon_sym_BSLASHtext] = ACTIONS(7107),
    [anon_sym_BSLASHintertext] = ACTIONS(7107),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7107),
    [anon_sym_BSLASHbegin] = ACTIONS(7107),
    [anon_sym_BSLASHend] = ACTIONS(7107),
    [anon_sym_BSLASHtitle] = ACTIONS(7107),
    [anon_sym_BSLASHauthor] = ACTIONS(7107),
    [anon_sym_BSLASHusepackage] = ACTIONS(7107),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7107),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7107),
    [anon_sym_BSLASHinclude] = ACTIONS(7107),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7107),
    [anon_sym_BSLASHinput] = ACTIONS(7107),
    [anon_sym_BSLASHsubfile] = ACTIONS(7107),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7107),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7107),
    [anon_sym_BSLASHbibliography] = ACTIONS(7107),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7107),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7107),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7107),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7107),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7107),
    [anon_sym_BSLASHimport] = ACTIONS(7107),
    [anon_sym_BSLASHsubimport] = ACTIONS(7107),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7107),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7107),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7107),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7107),
    [anon_sym_BSLASHcaption] = ACTIONS(7107),
    [anon_sym_BSLASHcite] = ACTIONS(7107),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHCite] = ACTIONS(7107),
    [anon_sym_BSLASHnocite] = ACTIONS(7107),
    [anon_sym_BSLASHcitet] = ACTIONS(7107),
    [anon_sym_BSLASHcitep] = ACTIONS(7107),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHciteA] = ACTIONS(7107),
    [anon_sym_BSLASHciteR] = ACTIONS(7107),
    [anon_sym_BSLASHciteS] = ACTIONS(7107),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7107),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7107),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7107),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7107),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHciteyear] = ACTIONS(7107),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcitedate] = ACTIONS(7107),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHciteurl] = ACTIONS(7107),
    [anon_sym_BSLASHfullcite] = ACTIONS(7107),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7107),
    [anon_sym_BSLASHcitealt] = ACTIONS(7107),
    [anon_sym_BSLASHcitealp] = ACTIONS(7107),
    [anon_sym_BSLASHcitetext] = ACTIONS(7107),
    [anon_sym_BSLASHparencite] = ACTIONS(7107),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHParencite] = ACTIONS(7107),
    [anon_sym_BSLASHfootcite] = ACTIONS(7107),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7107),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7107),
    [anon_sym_BSLASHtextcite] = ACTIONS(7107),
    [anon_sym_BSLASHTextcite] = ACTIONS(7107),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7107),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7107),
    [anon_sym_BSLASHsupercite] = ACTIONS(7107),
    [anon_sym_BSLASHautocite] = ACTIONS(7107),
    [anon_sym_BSLASHAutocite] = ACTIONS(7107),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHVolcite] = ACTIONS(7107),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHavolcite] = ACTIONS(7107),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHnotecite] = ACTIONS(7107),
    [anon_sym_BSLASHNotecite] = ACTIONS(7107),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7107),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7107),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7107),
    [anon_sym_BSLASHlabel] = ACTIONS(7107),
    [anon_sym_BSLASHref] = ACTIONS(7107),
    [anon_sym_BSLASHeqref] = ACTIONS(7107),
    [anon_sym_BSLASHvref] = ACTIONS(7107),
    [anon_sym_BSLASHVref] = ACTIONS(7107),
    [anon_sym_BSLASHautoref] = ACTIONS(7107),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHpageref] = ACTIONS(7107),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHautopageref] = ACTIONS(7107),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcref] = ACTIONS(7107),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHCref] = ACTIONS(7107),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcpageref] = ACTIONS(7107),
    [anon_sym_BSLASHCpageref] = ACTIONS(7107),
    [anon_sym_BSLASHnamecref] = ACTIONS(7107),
    [anon_sym_BSLASHnameCref] = ACTIONS(7107),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7107),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7107),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7107),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7107),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7107),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7107),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7107),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7107),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7107),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7107),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7107),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7107),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7107),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7107),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7107),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7107),
    [anon_sym_BSLASHdef] = ACTIONS(7107),
    [anon_sym_BSLASHgdef] = ACTIONS(7107),
    [anon_sym_BSLASHedef] = ACTIONS(7107),
    [anon_sym_BSLASHxdef] = ACTIONS(7107),
    [anon_sym_BSLASHlet] = ACTIONS(7107),
    [anon_sym_BSLASHglet] = ACTIONS(7107),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7107),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7107),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7107),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7107),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7107),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7107),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7107),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7107),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7107),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7107),
    [anon_sym_BSLASHgls] = ACTIONS(7107),
    [anon_sym_BSLASHGls] = ACTIONS(7107),
    [anon_sym_BSLASHGLS] = ACTIONS(7107),
    [anon_sym_BSLASHglspl] = ACTIONS(7107),
    [anon_sym_BSLASHGlspl] = ACTIONS(7107),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7107),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7107),
    [anon_sym_BSLASHglslink] = ACTIONS(7107),
    [anon_sym_BSLASHglstext] = ACTIONS(7107),
    [anon_sym_BSLASHGlstext] = ACTIONS(7107),
    [anon_sym_BSLASHGLStext] = ACTIONS(7107),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7107),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7107),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7107),
    [anon_sym_BSLASHglsplural] = ACTIONS(7107),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7107),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7107),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7107),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7107),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7107),
    [anon_sym_BSLASHglsname] = ACTIONS(7107),
    [anon_sym_BSLASHGlsname] = ACTIONS(7107),
    [anon_sym_BSLASHGLSname] = ACTIONS(7107),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7107),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7107),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7107),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7107),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7107),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7107),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7107),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7107),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7107),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7107),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7107),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7107),
    [anon_sym_BSLASHacrshort] = ACTIONS(7107),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7107),
    [anon_sym_BSLASHACRshort] = ACTIONS(7107),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHacrlong] = ACTIONS(7107),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7107),
    [anon_sym_BSLASHACRlong] = ACTIONS(7107),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7107),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7107),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7107),
    [anon_sym_BSLASHacrfull] = ACTIONS(7107),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7107),
    [anon_sym_BSLASHACRfull] = ACTIONS(7107),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHacs] = ACTIONS(7107),
    [anon_sym_BSLASHAcs] = ACTIONS(7107),
    [anon_sym_BSLASHacsp] = ACTIONS(7107),
    [anon_sym_BSLASHAcsp] = ACTIONS(7107),
    [anon_sym_BSLASHacl] = ACTIONS(7107),
    [anon_sym_BSLASHAcl] = ACTIONS(7107),
    [anon_sym_BSLASHaclp] = ACTIONS(7107),
    [anon_sym_BSLASHAclp] = ACTIONS(7107),
    [anon_sym_BSLASHacf] = ACTIONS(7107),
    [anon_sym_BSLASHAcf] = ACTIONS(7107),
    [anon_sym_BSLASHacfp] = ACTIONS(7107),
    [anon_sym_BSLASHAcfp] = ACTIONS(7107),
    [anon_sym_BSLASHac] = ACTIONS(7107),
    [anon_sym_BSLASHAc] = ACTIONS(7107),
    [anon_sym_BSLASHacp] = ACTIONS(7107),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7107),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7107),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7107),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7107),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7107),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7107),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7107),
    [anon_sym_BSLASHcolor] = ACTIONS(7107),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7107),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7107),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7107),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7107),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7107),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7107),
    [anon_sym_BSLASHurl] = ACTIONS(7107),
    [anon_sym_BSLASHhref] = ACTIONS(7107),
  },
  [1230] = {
    [sym_command_name] = ACTIONS(7111),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7111),
    [anon_sym_LBRACK] = ACTIONS(7113),
    [anon_sym_RBRACK] = ACTIONS(7113),
    [anon_sym_COMMA] = ACTIONS(7113),
    [anon_sym_EQ] = ACTIONS(7113),
    [anon_sym_LPAREN] = ACTIONS(7113),
    [anon_sym_RPAREN] = ACTIONS(7113),
    [anon_sym_BSLASHpart] = ACTIONS(7111),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHaddpart] = ACTIONS(7111),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHchapter] = ACTIONS(7111),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHaddchap] = ACTIONS(7111),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHsection] = ACTIONS(7111),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHaddsec] = ACTIONS(7111),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHsubsection] = ACTIONS(7111),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7111),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHparagraph] = ACTIONS(7111),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7111),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHitem] = ACTIONS(7111),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7113),
    [anon_sym_LBRACE] = ACTIONS(7113),
    [sym_word] = ACTIONS(7111),
    [sym_placeholder] = ACTIONS(7113),
    [sym_delimiter] = ACTIONS(7113),
    [anon_sym_PLUS] = ACTIONS(7113),
    [anon_sym_DASH] = ACTIONS(7113),
    [anon_sym_STAR] = ACTIONS(7113),
    [anon_sym_SLASH] = ACTIONS(7113),
    [anon_sym_LT] = ACTIONS(7111),
    [anon_sym_GT] = ACTIONS(7111),
    [anon_sym_BANG] = ACTIONS(7111),
    [anon_sym_PIPE] = ACTIONS(7111),
    [anon_sym_COLON] = ACTIONS(7111),
    [anon_sym_SQUOTE] = ACTIONS(7111),
    [anon_sym__] = ACTIONS(7113),
    [anon_sym_CARET] = ACTIONS(7113),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7113),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7113),
    [anon_sym_DOLLAR] = ACTIONS(7111),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7113),
    [anon_sym_BSLASHleft] = ACTIONS(7111),
    [anon_sym_BSLASHbigl] = ACTIONS(7111),
    [anon_sym_BSLASHBigl] = ACTIONS(7111),
    [anon_sym_BSLASHbiggl] = ACTIONS(7111),
    [anon_sym_BSLASHBiggl] = ACTIONS(7111),
    [anon_sym_BSLASHtext] = ACTIONS(7111),
    [anon_sym_BSLASHintertext] = ACTIONS(7111),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7111),
    [anon_sym_BSLASHbegin] = ACTIONS(7111),
    [anon_sym_BSLASHend] = ACTIONS(7111),
    [anon_sym_BSLASHtitle] = ACTIONS(7111),
    [anon_sym_BSLASHauthor] = ACTIONS(7111),
    [anon_sym_BSLASHusepackage] = ACTIONS(7111),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7111),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7111),
    [anon_sym_BSLASHinclude] = ACTIONS(7111),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7111),
    [anon_sym_BSLASHinput] = ACTIONS(7111),
    [anon_sym_BSLASHsubfile] = ACTIONS(7111),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7111),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7111),
    [anon_sym_BSLASHbibliography] = ACTIONS(7111),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7111),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7111),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7111),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7111),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7111),
    [anon_sym_BSLASHimport] = ACTIONS(7111),
    [anon_sym_BSLASHsubimport] = ACTIONS(7111),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7111),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7111),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7111),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7111),
    [anon_sym_BSLASHcaption] = ACTIONS(7111),
    [anon_sym_BSLASHcite] = ACTIONS(7111),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHCite] = ACTIONS(7111),
    [anon_sym_BSLASHnocite] = ACTIONS(7111),
    [anon_sym_BSLASHcitet] = ACTIONS(7111),
    [anon_sym_BSLASHcitep] = ACTIONS(7111),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHciteA] = ACTIONS(7111),
    [anon_sym_BSLASHciteR] = ACTIONS(7111),
    [anon_sym_BSLASHciteS] = ACTIONS(7111),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7111),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7111),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7111),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7111),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHciteyear] = ACTIONS(7111),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcitedate] = ACTIONS(7111),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHciteurl] = ACTIONS(7111),
    [anon_sym_BSLASHfullcite] = ACTIONS(7111),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7111),
    [anon_sym_BSLASHcitealt] = ACTIONS(7111),
    [anon_sym_BSLASHcitealp] = ACTIONS(7111),
    [anon_sym_BSLASHcitetext] = ACTIONS(7111),
    [anon_sym_BSLASHparencite] = ACTIONS(7111),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHParencite] = ACTIONS(7111),
    [anon_sym_BSLASHfootcite] = ACTIONS(7111),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7111),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7111),
    [anon_sym_BSLASHtextcite] = ACTIONS(7111),
    [anon_sym_BSLASHTextcite] = ACTIONS(7111),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7111),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7111),
    [anon_sym_BSLASHsupercite] = ACTIONS(7111),
    [anon_sym_BSLASHautocite] = ACTIONS(7111),
    [anon_sym_BSLASHAutocite] = ACTIONS(7111),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHVolcite] = ACTIONS(7111),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHavolcite] = ACTIONS(7111),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHnotecite] = ACTIONS(7111),
    [anon_sym_BSLASHNotecite] = ACTIONS(7111),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7111),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7111),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7111),
    [anon_sym_BSLASHlabel] = ACTIONS(7111),
    [anon_sym_BSLASHref] = ACTIONS(7111),
    [anon_sym_BSLASHeqref] = ACTIONS(7111),
    [anon_sym_BSLASHvref] = ACTIONS(7111),
    [anon_sym_BSLASHVref] = ACTIONS(7111),
    [anon_sym_BSLASHautoref] = ACTIONS(7111),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHpageref] = ACTIONS(7111),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHautopageref] = ACTIONS(7111),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcref] = ACTIONS(7111),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHCref] = ACTIONS(7111),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcpageref] = ACTIONS(7111),
    [anon_sym_BSLASHCpageref] = ACTIONS(7111),
    [anon_sym_BSLASHnamecref] = ACTIONS(7111),
    [anon_sym_BSLASHnameCref] = ACTIONS(7111),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7111),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7111),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7111),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7111),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7111),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7111),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7111),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7111),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7111),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7111),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7111),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7111),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7111),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7111),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7111),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7111),
    [anon_sym_BSLASHdef] = ACTIONS(7111),
    [anon_sym_BSLASHgdef] = ACTIONS(7111),
    [anon_sym_BSLASHedef] = ACTIONS(7111),
    [anon_sym_BSLASHxdef] = ACTIONS(7111),
    [anon_sym_BSLASHlet] = ACTIONS(7111),
    [anon_sym_BSLASHglet] = ACTIONS(7111),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7111),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7111),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7111),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7111),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7111),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7111),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7111),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7111),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7111),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7111),
    [anon_sym_BSLASHgls] = ACTIONS(7111),
    [anon_sym_BSLASHGls] = ACTIONS(7111),
    [anon_sym_BSLASHGLS] = ACTIONS(7111),
    [anon_sym_BSLASHglspl] = ACTIONS(7111),
    [anon_sym_BSLASHGlspl] = ACTIONS(7111),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7111),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7111),
    [anon_sym_BSLASHglslink] = ACTIONS(7111),
    [anon_sym_BSLASHglstext] = ACTIONS(7111),
    [anon_sym_BSLASHGlstext] = ACTIONS(7111),
    [anon_sym_BSLASHGLStext] = ACTIONS(7111),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7111),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7111),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7111),
    [anon_sym_BSLASHglsplural] = ACTIONS(7111),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7111),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7111),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7111),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7111),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7111),
    [anon_sym_BSLASHglsname] = ACTIONS(7111),
    [anon_sym_BSLASHGlsname] = ACTIONS(7111),
    [anon_sym_BSLASHGLSname] = ACTIONS(7111),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7111),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7111),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7111),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7111),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7111),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7111),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7111),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7111),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7111),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7111),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7111),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7111),
    [anon_sym_BSLASHacrshort] = ACTIONS(7111),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7111),
    [anon_sym_BSLASHACRshort] = ACTIONS(7111),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHacrlong] = ACTIONS(7111),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7111),
    [anon_sym_BSLASHACRlong] = ACTIONS(7111),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7111),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7111),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7111),
    [anon_sym_BSLASHacrfull] = ACTIONS(7111),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7111),
    [anon_sym_BSLASHACRfull] = ACTIONS(7111),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHacs] = ACTIONS(7111),
    [anon_sym_BSLASHAcs] = ACTIONS(7111),
    [anon_sym_BSLASHacsp] = ACTIONS(7111),
    [anon_sym_BSLASHAcsp] = ACTIONS(7111),
    [anon_sym_BSLASHacl] = ACTIONS(7111),
    [anon_sym_BSLASHAcl] = ACTIONS(7111),
    [anon_sym_BSLASHaclp] = ACTIONS(7111),
    [anon_sym_BSLASHAclp] = ACTIONS(7111),
    [anon_sym_BSLASHacf] = ACTIONS(7111),
    [anon_sym_BSLASHAcf] = ACTIONS(7111),
    [anon_sym_BSLASHacfp] = ACTIONS(7111),
    [anon_sym_BSLASHAcfp] = ACTIONS(7111),
    [anon_sym_BSLASHac] = ACTIONS(7111),
    [anon_sym_BSLASHAc] = ACTIONS(7111),
    [anon_sym_BSLASHacp] = ACTIONS(7111),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7111),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7111),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7111),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7111),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7111),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7111),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7111),
    [anon_sym_BSLASHcolor] = ACTIONS(7111),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7111),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7111),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7111),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7111),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7111),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7111),
    [anon_sym_BSLASHurl] = ACTIONS(7111),
    [anon_sym_BSLASHhref] = ACTIONS(7111),
  },
  [1231] = {
    [sym_command_name] = ACTIONS(7115),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7115),
    [anon_sym_LBRACK] = ACTIONS(7117),
    [anon_sym_RBRACK] = ACTIONS(7117),
    [anon_sym_COMMA] = ACTIONS(7117),
    [anon_sym_EQ] = ACTIONS(7117),
    [anon_sym_LPAREN] = ACTIONS(7117),
    [anon_sym_RPAREN] = ACTIONS(7117),
    [anon_sym_BSLASHpart] = ACTIONS(7115),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHaddpart] = ACTIONS(7115),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHchapter] = ACTIONS(7115),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHaddchap] = ACTIONS(7115),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHsection] = ACTIONS(7115),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHaddsec] = ACTIONS(7115),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHsubsection] = ACTIONS(7115),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7115),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHparagraph] = ACTIONS(7115),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7115),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHitem] = ACTIONS(7115),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7117),
    [anon_sym_LBRACE] = ACTIONS(7117),
    [sym_word] = ACTIONS(7115),
    [sym_placeholder] = ACTIONS(7117),
    [sym_delimiter] = ACTIONS(7117),
    [anon_sym_PLUS] = ACTIONS(7117),
    [anon_sym_DASH] = ACTIONS(7117),
    [anon_sym_STAR] = ACTIONS(7117),
    [anon_sym_SLASH] = ACTIONS(7117),
    [anon_sym_LT] = ACTIONS(7115),
    [anon_sym_GT] = ACTIONS(7115),
    [anon_sym_BANG] = ACTIONS(7115),
    [anon_sym_PIPE] = ACTIONS(7115),
    [anon_sym_COLON] = ACTIONS(7115),
    [anon_sym_SQUOTE] = ACTIONS(7115),
    [anon_sym__] = ACTIONS(7117),
    [anon_sym_CARET] = ACTIONS(7117),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7117),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7117),
    [anon_sym_DOLLAR] = ACTIONS(7115),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7117),
    [anon_sym_BSLASHleft] = ACTIONS(7115),
    [anon_sym_BSLASHbigl] = ACTIONS(7115),
    [anon_sym_BSLASHBigl] = ACTIONS(7115),
    [anon_sym_BSLASHbiggl] = ACTIONS(7115),
    [anon_sym_BSLASHBiggl] = ACTIONS(7115),
    [anon_sym_BSLASHtext] = ACTIONS(7115),
    [anon_sym_BSLASHintertext] = ACTIONS(7115),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7115),
    [anon_sym_BSLASHbegin] = ACTIONS(7115),
    [anon_sym_BSLASHend] = ACTIONS(7115),
    [anon_sym_BSLASHtitle] = ACTIONS(7115),
    [anon_sym_BSLASHauthor] = ACTIONS(7115),
    [anon_sym_BSLASHusepackage] = ACTIONS(7115),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7115),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7115),
    [anon_sym_BSLASHinclude] = ACTIONS(7115),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7115),
    [anon_sym_BSLASHinput] = ACTIONS(7115),
    [anon_sym_BSLASHsubfile] = ACTIONS(7115),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7115),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7115),
    [anon_sym_BSLASHbibliography] = ACTIONS(7115),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7115),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7115),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7115),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7115),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7115),
    [anon_sym_BSLASHimport] = ACTIONS(7115),
    [anon_sym_BSLASHsubimport] = ACTIONS(7115),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7115),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7115),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7115),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7115),
    [anon_sym_BSLASHcaption] = ACTIONS(7115),
    [anon_sym_BSLASHcite] = ACTIONS(7115),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHCite] = ACTIONS(7115),
    [anon_sym_BSLASHnocite] = ACTIONS(7115),
    [anon_sym_BSLASHcitet] = ACTIONS(7115),
    [anon_sym_BSLASHcitep] = ACTIONS(7115),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHciteA] = ACTIONS(7115),
    [anon_sym_BSLASHciteR] = ACTIONS(7115),
    [anon_sym_BSLASHciteS] = ACTIONS(7115),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7115),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7115),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7115),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7115),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHciteyear] = ACTIONS(7115),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcitedate] = ACTIONS(7115),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHciteurl] = ACTIONS(7115),
    [anon_sym_BSLASHfullcite] = ACTIONS(7115),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7115),
    [anon_sym_BSLASHcitealt] = ACTIONS(7115),
    [anon_sym_BSLASHcitealp] = ACTIONS(7115),
    [anon_sym_BSLASHcitetext] = ACTIONS(7115),
    [anon_sym_BSLASHparencite] = ACTIONS(7115),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHParencite] = ACTIONS(7115),
    [anon_sym_BSLASHfootcite] = ACTIONS(7115),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7115),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7115),
    [anon_sym_BSLASHtextcite] = ACTIONS(7115),
    [anon_sym_BSLASHTextcite] = ACTIONS(7115),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7115),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7115),
    [anon_sym_BSLASHsupercite] = ACTIONS(7115),
    [anon_sym_BSLASHautocite] = ACTIONS(7115),
    [anon_sym_BSLASHAutocite] = ACTIONS(7115),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHVolcite] = ACTIONS(7115),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHavolcite] = ACTIONS(7115),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHnotecite] = ACTIONS(7115),
    [anon_sym_BSLASHNotecite] = ACTIONS(7115),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7115),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7115),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7115),
    [anon_sym_BSLASHlabel] = ACTIONS(7115),
    [anon_sym_BSLASHref] = ACTIONS(7115),
    [anon_sym_BSLASHeqref] = ACTIONS(7115),
    [anon_sym_BSLASHvref] = ACTIONS(7115),
    [anon_sym_BSLASHVref] = ACTIONS(7115),
    [anon_sym_BSLASHautoref] = ACTIONS(7115),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHpageref] = ACTIONS(7115),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHautopageref] = ACTIONS(7115),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcref] = ACTIONS(7115),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHCref] = ACTIONS(7115),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcpageref] = ACTIONS(7115),
    [anon_sym_BSLASHCpageref] = ACTIONS(7115),
    [anon_sym_BSLASHnamecref] = ACTIONS(7115),
    [anon_sym_BSLASHnameCref] = ACTIONS(7115),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7115),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7115),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7115),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7115),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7115),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7115),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7115),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7115),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7115),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7115),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7115),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7115),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7115),
    [anon_sym_BSLASHdef] = ACTIONS(7115),
    [anon_sym_BSLASHgdef] = ACTIONS(7115),
    [anon_sym_BSLASHedef] = ACTIONS(7115),
    [anon_sym_BSLASHxdef] = ACTIONS(7115),
    [anon_sym_BSLASHlet] = ACTIONS(7115),
    [anon_sym_BSLASHglet] = ACTIONS(7115),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7115),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7115),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7115),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7115),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7115),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7115),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7115),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7115),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7115),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7115),
    [anon_sym_BSLASHgls] = ACTIONS(7115),
    [anon_sym_BSLASHGls] = ACTIONS(7115),
    [anon_sym_BSLASHGLS] = ACTIONS(7115),
    [anon_sym_BSLASHglspl] = ACTIONS(7115),
    [anon_sym_BSLASHGlspl] = ACTIONS(7115),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7115),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7115),
    [anon_sym_BSLASHglslink] = ACTIONS(7115),
    [anon_sym_BSLASHglstext] = ACTIONS(7115),
    [anon_sym_BSLASHGlstext] = ACTIONS(7115),
    [anon_sym_BSLASHGLStext] = ACTIONS(7115),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7115),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7115),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7115),
    [anon_sym_BSLASHglsplural] = ACTIONS(7115),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7115),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7115),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7115),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7115),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7115),
    [anon_sym_BSLASHglsname] = ACTIONS(7115),
    [anon_sym_BSLASHGlsname] = ACTIONS(7115),
    [anon_sym_BSLASHGLSname] = ACTIONS(7115),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7115),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7115),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7115),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7115),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7115),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7115),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7115),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7115),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7115),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7115),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7115),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7115),
    [anon_sym_BSLASHacrshort] = ACTIONS(7115),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7115),
    [anon_sym_BSLASHACRshort] = ACTIONS(7115),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHacrlong] = ACTIONS(7115),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7115),
    [anon_sym_BSLASHACRlong] = ACTIONS(7115),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7115),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7115),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7115),
    [anon_sym_BSLASHacrfull] = ACTIONS(7115),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7115),
    [anon_sym_BSLASHACRfull] = ACTIONS(7115),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHacs] = ACTIONS(7115),
    [anon_sym_BSLASHAcs] = ACTIONS(7115),
    [anon_sym_BSLASHacsp] = ACTIONS(7115),
    [anon_sym_BSLASHAcsp] = ACTIONS(7115),
    [anon_sym_BSLASHacl] = ACTIONS(7115),
    [anon_sym_BSLASHAcl] = ACTIONS(7115),
    [anon_sym_BSLASHaclp] = ACTIONS(7115),
    [anon_sym_BSLASHAclp] = ACTIONS(7115),
    [anon_sym_BSLASHacf] = ACTIONS(7115),
    [anon_sym_BSLASHAcf] = ACTIONS(7115),
    [anon_sym_BSLASHacfp] = ACTIONS(7115),
    [anon_sym_BSLASHAcfp] = ACTIONS(7115),
    [anon_sym_BSLASHac] = ACTIONS(7115),
    [anon_sym_BSLASHAc] = ACTIONS(7115),
    [anon_sym_BSLASHacp] = ACTIONS(7115),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7115),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7115),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7115),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7115),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7115),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7115),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7115),
    [anon_sym_BSLASHcolor] = ACTIONS(7115),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7115),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7115),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7115),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7115),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7115),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7115),
    [anon_sym_BSLASHurl] = ACTIONS(7115),
    [anon_sym_BSLASHhref] = ACTIONS(7115),
  },
  [1232] = {
    [sym_command_name] = ACTIONS(7119),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7119),
    [anon_sym_LBRACK] = ACTIONS(7121),
    [anon_sym_RBRACK] = ACTIONS(7121),
    [anon_sym_COMMA] = ACTIONS(7121),
    [anon_sym_EQ] = ACTIONS(7121),
    [anon_sym_LPAREN] = ACTIONS(7121),
    [anon_sym_RPAREN] = ACTIONS(7121),
    [anon_sym_BSLASHpart] = ACTIONS(7119),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHaddpart] = ACTIONS(7119),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHchapter] = ACTIONS(7119),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHaddchap] = ACTIONS(7119),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHsection] = ACTIONS(7119),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHaddsec] = ACTIONS(7119),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHsubsection] = ACTIONS(7119),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7119),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHparagraph] = ACTIONS(7119),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7119),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHitem] = ACTIONS(7119),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7121),
    [anon_sym_LBRACE] = ACTIONS(7121),
    [sym_word] = ACTIONS(7119),
    [sym_placeholder] = ACTIONS(7121),
    [sym_delimiter] = ACTIONS(7121),
    [anon_sym_PLUS] = ACTIONS(7121),
    [anon_sym_DASH] = ACTIONS(7121),
    [anon_sym_STAR] = ACTIONS(7121),
    [anon_sym_SLASH] = ACTIONS(7121),
    [anon_sym_LT] = ACTIONS(7119),
    [anon_sym_GT] = ACTIONS(7119),
    [anon_sym_BANG] = ACTIONS(7119),
    [anon_sym_PIPE] = ACTIONS(7119),
    [anon_sym_COLON] = ACTIONS(7119),
    [anon_sym_SQUOTE] = ACTIONS(7119),
    [anon_sym__] = ACTIONS(7121),
    [anon_sym_CARET] = ACTIONS(7121),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7121),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7121),
    [anon_sym_DOLLAR] = ACTIONS(7119),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7121),
    [anon_sym_BSLASHleft] = ACTIONS(7119),
    [anon_sym_BSLASHbigl] = ACTIONS(7119),
    [anon_sym_BSLASHBigl] = ACTIONS(7119),
    [anon_sym_BSLASHbiggl] = ACTIONS(7119),
    [anon_sym_BSLASHBiggl] = ACTIONS(7119),
    [anon_sym_BSLASHtext] = ACTIONS(7119),
    [anon_sym_BSLASHintertext] = ACTIONS(7119),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7119),
    [anon_sym_BSLASHbegin] = ACTIONS(7119),
    [anon_sym_BSLASHend] = ACTIONS(7119),
    [anon_sym_BSLASHtitle] = ACTIONS(7119),
    [anon_sym_BSLASHauthor] = ACTIONS(7119),
    [anon_sym_BSLASHusepackage] = ACTIONS(7119),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7119),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7119),
    [anon_sym_BSLASHinclude] = ACTIONS(7119),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7119),
    [anon_sym_BSLASHinput] = ACTIONS(7119),
    [anon_sym_BSLASHsubfile] = ACTIONS(7119),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7119),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7119),
    [anon_sym_BSLASHbibliography] = ACTIONS(7119),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7119),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7119),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7119),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7119),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7119),
    [anon_sym_BSLASHimport] = ACTIONS(7119),
    [anon_sym_BSLASHsubimport] = ACTIONS(7119),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7119),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7119),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7119),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7119),
    [anon_sym_BSLASHcaption] = ACTIONS(7119),
    [anon_sym_BSLASHcite] = ACTIONS(7119),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHCite] = ACTIONS(7119),
    [anon_sym_BSLASHnocite] = ACTIONS(7119),
    [anon_sym_BSLASHcitet] = ACTIONS(7119),
    [anon_sym_BSLASHcitep] = ACTIONS(7119),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHciteA] = ACTIONS(7119),
    [anon_sym_BSLASHciteR] = ACTIONS(7119),
    [anon_sym_BSLASHciteS] = ACTIONS(7119),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7119),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7119),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7119),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7119),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHciteyear] = ACTIONS(7119),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcitedate] = ACTIONS(7119),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHciteurl] = ACTIONS(7119),
    [anon_sym_BSLASHfullcite] = ACTIONS(7119),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7119),
    [anon_sym_BSLASHcitealt] = ACTIONS(7119),
    [anon_sym_BSLASHcitealp] = ACTIONS(7119),
    [anon_sym_BSLASHcitetext] = ACTIONS(7119),
    [anon_sym_BSLASHparencite] = ACTIONS(7119),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHParencite] = ACTIONS(7119),
    [anon_sym_BSLASHfootcite] = ACTIONS(7119),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7119),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7119),
    [anon_sym_BSLASHtextcite] = ACTIONS(7119),
    [anon_sym_BSLASHTextcite] = ACTIONS(7119),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7119),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7119),
    [anon_sym_BSLASHsupercite] = ACTIONS(7119),
    [anon_sym_BSLASHautocite] = ACTIONS(7119),
    [anon_sym_BSLASHAutocite] = ACTIONS(7119),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHVolcite] = ACTIONS(7119),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHavolcite] = ACTIONS(7119),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHnotecite] = ACTIONS(7119),
    [anon_sym_BSLASHNotecite] = ACTIONS(7119),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7119),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7119),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7119),
    [anon_sym_BSLASHlabel] = ACTIONS(7119),
    [anon_sym_BSLASHref] = ACTIONS(7119),
    [anon_sym_BSLASHeqref] = ACTIONS(7119),
    [anon_sym_BSLASHvref] = ACTIONS(7119),
    [anon_sym_BSLASHVref] = ACTIONS(7119),
    [anon_sym_BSLASHautoref] = ACTIONS(7119),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHpageref] = ACTIONS(7119),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHautopageref] = ACTIONS(7119),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcref] = ACTIONS(7119),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHCref] = ACTIONS(7119),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcpageref] = ACTIONS(7119),
    [anon_sym_BSLASHCpageref] = ACTIONS(7119),
    [anon_sym_BSLASHnamecref] = ACTIONS(7119),
    [anon_sym_BSLASHnameCref] = ACTIONS(7119),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7119),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7119),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7119),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7119),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7119),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7119),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7119),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7119),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7119),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7119),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7119),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7119),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7119),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7119),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7119),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7119),
    [anon_sym_BSLASHdef] = ACTIONS(7119),
    [anon_sym_BSLASHgdef] = ACTIONS(7119),
    [anon_sym_BSLASHedef] = ACTIONS(7119),
    [anon_sym_BSLASHxdef] = ACTIONS(7119),
    [anon_sym_BSLASHlet] = ACTIONS(7119),
    [anon_sym_BSLASHglet] = ACTIONS(7119),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7119),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7119),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7119),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7119),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7119),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7119),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7119),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7119),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7119),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7119),
    [anon_sym_BSLASHgls] = ACTIONS(7119),
    [anon_sym_BSLASHGls] = ACTIONS(7119),
    [anon_sym_BSLASHGLS] = ACTIONS(7119),
    [anon_sym_BSLASHglspl] = ACTIONS(7119),
    [anon_sym_BSLASHGlspl] = ACTIONS(7119),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7119),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7119),
    [anon_sym_BSLASHglslink] = ACTIONS(7119),
    [anon_sym_BSLASHglstext] = ACTIONS(7119),
    [anon_sym_BSLASHGlstext] = ACTIONS(7119),
    [anon_sym_BSLASHGLStext] = ACTIONS(7119),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7119),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7119),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7119),
    [anon_sym_BSLASHglsplural] = ACTIONS(7119),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7119),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7119),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7119),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7119),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7119),
    [anon_sym_BSLASHglsname] = ACTIONS(7119),
    [anon_sym_BSLASHGlsname] = ACTIONS(7119),
    [anon_sym_BSLASHGLSname] = ACTIONS(7119),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7119),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7119),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7119),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7119),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7119),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7119),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7119),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7119),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7119),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7119),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7119),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7119),
    [anon_sym_BSLASHacrshort] = ACTIONS(7119),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7119),
    [anon_sym_BSLASHACRshort] = ACTIONS(7119),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHacrlong] = ACTIONS(7119),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7119),
    [anon_sym_BSLASHACRlong] = ACTIONS(7119),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7119),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7119),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7119),
    [anon_sym_BSLASHacrfull] = ACTIONS(7119),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7119),
    [anon_sym_BSLASHACRfull] = ACTIONS(7119),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHacs] = ACTIONS(7119),
    [anon_sym_BSLASHAcs] = ACTIONS(7119),
    [anon_sym_BSLASHacsp] = ACTIONS(7119),
    [anon_sym_BSLASHAcsp] = ACTIONS(7119),
    [anon_sym_BSLASHacl] = ACTIONS(7119),
    [anon_sym_BSLASHAcl] = ACTIONS(7119),
    [anon_sym_BSLASHaclp] = ACTIONS(7119),
    [anon_sym_BSLASHAclp] = ACTIONS(7119),
    [anon_sym_BSLASHacf] = ACTIONS(7119),
    [anon_sym_BSLASHAcf] = ACTIONS(7119),
    [anon_sym_BSLASHacfp] = ACTIONS(7119),
    [anon_sym_BSLASHAcfp] = ACTIONS(7119),
    [anon_sym_BSLASHac] = ACTIONS(7119),
    [anon_sym_BSLASHAc] = ACTIONS(7119),
    [anon_sym_BSLASHacp] = ACTIONS(7119),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7119),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7119),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7119),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7119),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7119),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7119),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7119),
    [anon_sym_BSLASHcolor] = ACTIONS(7119),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7119),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7119),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7119),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7119),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7119),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7119),
    [anon_sym_BSLASHurl] = ACTIONS(7119),
    [anon_sym_BSLASHhref] = ACTIONS(7119),
  },
  [1233] = {
    [sym_command_name] = ACTIONS(7123),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7123),
    [anon_sym_LBRACK] = ACTIONS(7125),
    [anon_sym_RBRACK] = ACTIONS(7125),
    [anon_sym_COMMA] = ACTIONS(7125),
    [anon_sym_EQ] = ACTIONS(7125),
    [anon_sym_LPAREN] = ACTIONS(7125),
    [anon_sym_RPAREN] = ACTIONS(7125),
    [anon_sym_BSLASHpart] = ACTIONS(7123),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHaddpart] = ACTIONS(7123),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHchapter] = ACTIONS(7123),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHaddchap] = ACTIONS(7123),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHsection] = ACTIONS(7123),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHaddsec] = ACTIONS(7123),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHsubsection] = ACTIONS(7123),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7123),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHparagraph] = ACTIONS(7123),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7123),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHitem] = ACTIONS(7123),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7125),
    [anon_sym_LBRACE] = ACTIONS(7125),
    [sym_word] = ACTIONS(7123),
    [sym_placeholder] = ACTIONS(7125),
    [sym_delimiter] = ACTIONS(7125),
    [anon_sym_PLUS] = ACTIONS(7125),
    [anon_sym_DASH] = ACTIONS(7125),
    [anon_sym_STAR] = ACTIONS(7125),
    [anon_sym_SLASH] = ACTIONS(7125),
    [anon_sym_LT] = ACTIONS(7123),
    [anon_sym_GT] = ACTIONS(7123),
    [anon_sym_BANG] = ACTIONS(7123),
    [anon_sym_PIPE] = ACTIONS(7123),
    [anon_sym_COLON] = ACTIONS(7123),
    [anon_sym_SQUOTE] = ACTIONS(7123),
    [anon_sym__] = ACTIONS(7125),
    [anon_sym_CARET] = ACTIONS(7125),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7125),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7125),
    [anon_sym_DOLLAR] = ACTIONS(7123),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7125),
    [anon_sym_BSLASHleft] = ACTIONS(7123),
    [anon_sym_BSLASHbigl] = ACTIONS(7123),
    [anon_sym_BSLASHBigl] = ACTIONS(7123),
    [anon_sym_BSLASHbiggl] = ACTIONS(7123),
    [anon_sym_BSLASHBiggl] = ACTIONS(7123),
    [anon_sym_BSLASHtext] = ACTIONS(7123),
    [anon_sym_BSLASHintertext] = ACTIONS(7123),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7123),
    [anon_sym_BSLASHbegin] = ACTIONS(7123),
    [anon_sym_BSLASHend] = ACTIONS(7123),
    [anon_sym_BSLASHtitle] = ACTIONS(7123),
    [anon_sym_BSLASHauthor] = ACTIONS(7123),
    [anon_sym_BSLASHusepackage] = ACTIONS(7123),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7123),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7123),
    [anon_sym_BSLASHinclude] = ACTIONS(7123),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7123),
    [anon_sym_BSLASHinput] = ACTIONS(7123),
    [anon_sym_BSLASHsubfile] = ACTIONS(7123),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7123),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7123),
    [anon_sym_BSLASHbibliography] = ACTIONS(7123),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7123),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7123),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7123),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7123),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7123),
    [anon_sym_BSLASHimport] = ACTIONS(7123),
    [anon_sym_BSLASHsubimport] = ACTIONS(7123),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7123),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7123),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7123),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7123),
    [anon_sym_BSLASHcaption] = ACTIONS(7123),
    [anon_sym_BSLASHcite] = ACTIONS(7123),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHCite] = ACTIONS(7123),
    [anon_sym_BSLASHnocite] = ACTIONS(7123),
    [anon_sym_BSLASHcitet] = ACTIONS(7123),
    [anon_sym_BSLASHcitep] = ACTIONS(7123),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHciteA] = ACTIONS(7123),
    [anon_sym_BSLASHciteR] = ACTIONS(7123),
    [anon_sym_BSLASHciteS] = ACTIONS(7123),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7123),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7123),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7123),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7123),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHciteyear] = ACTIONS(7123),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcitedate] = ACTIONS(7123),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHciteurl] = ACTIONS(7123),
    [anon_sym_BSLASHfullcite] = ACTIONS(7123),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7123),
    [anon_sym_BSLASHcitealt] = ACTIONS(7123),
    [anon_sym_BSLASHcitealp] = ACTIONS(7123),
    [anon_sym_BSLASHcitetext] = ACTIONS(7123),
    [anon_sym_BSLASHparencite] = ACTIONS(7123),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHParencite] = ACTIONS(7123),
    [anon_sym_BSLASHfootcite] = ACTIONS(7123),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7123),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7123),
    [anon_sym_BSLASHtextcite] = ACTIONS(7123),
    [anon_sym_BSLASHTextcite] = ACTIONS(7123),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7123),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7123),
    [anon_sym_BSLASHsupercite] = ACTIONS(7123),
    [anon_sym_BSLASHautocite] = ACTIONS(7123),
    [anon_sym_BSLASHAutocite] = ACTIONS(7123),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHVolcite] = ACTIONS(7123),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHavolcite] = ACTIONS(7123),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHnotecite] = ACTIONS(7123),
    [anon_sym_BSLASHNotecite] = ACTIONS(7123),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7123),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7123),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7123),
    [anon_sym_BSLASHlabel] = ACTIONS(7123),
    [anon_sym_BSLASHref] = ACTIONS(7123),
    [anon_sym_BSLASHeqref] = ACTIONS(7123),
    [anon_sym_BSLASHvref] = ACTIONS(7123),
    [anon_sym_BSLASHVref] = ACTIONS(7123),
    [anon_sym_BSLASHautoref] = ACTIONS(7123),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHpageref] = ACTIONS(7123),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHautopageref] = ACTIONS(7123),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcref] = ACTIONS(7123),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHCref] = ACTIONS(7123),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcpageref] = ACTIONS(7123),
    [anon_sym_BSLASHCpageref] = ACTIONS(7123),
    [anon_sym_BSLASHnamecref] = ACTIONS(7123),
    [anon_sym_BSLASHnameCref] = ACTIONS(7123),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7123),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7123),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7123),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7123),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7123),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7123),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7123),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7123),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7123),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7123),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7123),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7123),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7123),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7123),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7123),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7123),
    [anon_sym_BSLASHdef] = ACTIONS(7123),
    [anon_sym_BSLASHgdef] = ACTIONS(7123),
    [anon_sym_BSLASHedef] = ACTIONS(7123),
    [anon_sym_BSLASHxdef] = ACTIONS(7123),
    [anon_sym_BSLASHlet] = ACTIONS(7123),
    [anon_sym_BSLASHglet] = ACTIONS(7123),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7123),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7123),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7123),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7123),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7123),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7123),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7123),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7123),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7123),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7123),
    [anon_sym_BSLASHgls] = ACTIONS(7123),
    [anon_sym_BSLASHGls] = ACTIONS(7123),
    [anon_sym_BSLASHGLS] = ACTIONS(7123),
    [anon_sym_BSLASHglspl] = ACTIONS(7123),
    [anon_sym_BSLASHGlspl] = ACTIONS(7123),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7123),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7123),
    [anon_sym_BSLASHglslink] = ACTIONS(7123),
    [anon_sym_BSLASHglstext] = ACTIONS(7123),
    [anon_sym_BSLASHGlstext] = ACTIONS(7123),
    [anon_sym_BSLASHGLStext] = ACTIONS(7123),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7123),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7123),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7123),
    [anon_sym_BSLASHglsplural] = ACTIONS(7123),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7123),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7123),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7123),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7123),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7123),
    [anon_sym_BSLASHglsname] = ACTIONS(7123),
    [anon_sym_BSLASHGlsname] = ACTIONS(7123),
    [anon_sym_BSLASHGLSname] = ACTIONS(7123),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7123),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7123),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7123),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7123),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7123),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7123),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7123),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7123),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7123),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7123),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7123),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7123),
    [anon_sym_BSLASHacrshort] = ACTIONS(7123),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7123),
    [anon_sym_BSLASHACRshort] = ACTIONS(7123),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHacrlong] = ACTIONS(7123),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7123),
    [anon_sym_BSLASHACRlong] = ACTIONS(7123),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7123),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7123),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7123),
    [anon_sym_BSLASHacrfull] = ACTIONS(7123),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7123),
    [anon_sym_BSLASHACRfull] = ACTIONS(7123),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHacs] = ACTIONS(7123),
    [anon_sym_BSLASHAcs] = ACTIONS(7123),
    [anon_sym_BSLASHacsp] = ACTIONS(7123),
    [anon_sym_BSLASHAcsp] = ACTIONS(7123),
    [anon_sym_BSLASHacl] = ACTIONS(7123),
    [anon_sym_BSLASHAcl] = ACTIONS(7123),
    [anon_sym_BSLASHaclp] = ACTIONS(7123),
    [anon_sym_BSLASHAclp] = ACTIONS(7123),
    [anon_sym_BSLASHacf] = ACTIONS(7123),
    [anon_sym_BSLASHAcf] = ACTIONS(7123),
    [anon_sym_BSLASHacfp] = ACTIONS(7123),
    [anon_sym_BSLASHAcfp] = ACTIONS(7123),
    [anon_sym_BSLASHac] = ACTIONS(7123),
    [anon_sym_BSLASHAc] = ACTIONS(7123),
    [anon_sym_BSLASHacp] = ACTIONS(7123),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7123),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7123),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7123),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7123),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7123),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7123),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7123),
    [anon_sym_BSLASHcolor] = ACTIONS(7123),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7123),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7123),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7123),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7123),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7123),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7123),
    [anon_sym_BSLASHurl] = ACTIONS(7123),
    [anon_sym_BSLASHhref] = ACTIONS(7123),
  },
  [1234] = {
    [sym_command_name] = ACTIONS(7127),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7127),
    [anon_sym_LBRACK] = ACTIONS(7129),
    [anon_sym_RBRACK] = ACTIONS(7129),
    [anon_sym_COMMA] = ACTIONS(7129),
    [anon_sym_EQ] = ACTIONS(7129),
    [anon_sym_LPAREN] = ACTIONS(7129),
    [anon_sym_RPAREN] = ACTIONS(7129),
    [anon_sym_BSLASHpart] = ACTIONS(7127),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHaddpart] = ACTIONS(7127),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHchapter] = ACTIONS(7127),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHaddchap] = ACTIONS(7127),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHsection] = ACTIONS(7127),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHaddsec] = ACTIONS(7127),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHsubsection] = ACTIONS(7127),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7127),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHparagraph] = ACTIONS(7127),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7127),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHitem] = ACTIONS(7127),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7129),
    [anon_sym_LBRACE] = ACTIONS(7129),
    [sym_word] = ACTIONS(7127),
    [sym_placeholder] = ACTIONS(7129),
    [sym_delimiter] = ACTIONS(7129),
    [anon_sym_PLUS] = ACTIONS(7129),
    [anon_sym_DASH] = ACTIONS(7129),
    [anon_sym_STAR] = ACTIONS(7129),
    [anon_sym_SLASH] = ACTIONS(7129),
    [anon_sym_LT] = ACTIONS(7127),
    [anon_sym_GT] = ACTIONS(7127),
    [anon_sym_BANG] = ACTIONS(7127),
    [anon_sym_PIPE] = ACTIONS(7127),
    [anon_sym_COLON] = ACTIONS(7127),
    [anon_sym_SQUOTE] = ACTIONS(7127),
    [anon_sym__] = ACTIONS(7129),
    [anon_sym_CARET] = ACTIONS(7129),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7129),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7129),
    [anon_sym_DOLLAR] = ACTIONS(7127),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7129),
    [anon_sym_BSLASHleft] = ACTIONS(7127),
    [anon_sym_BSLASHbigl] = ACTIONS(7127),
    [anon_sym_BSLASHBigl] = ACTIONS(7127),
    [anon_sym_BSLASHbiggl] = ACTIONS(7127),
    [anon_sym_BSLASHBiggl] = ACTIONS(7127),
    [anon_sym_BSLASHtext] = ACTIONS(7127),
    [anon_sym_BSLASHintertext] = ACTIONS(7127),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7127),
    [anon_sym_BSLASHbegin] = ACTIONS(7127),
    [anon_sym_BSLASHend] = ACTIONS(7127),
    [anon_sym_BSLASHtitle] = ACTIONS(7127),
    [anon_sym_BSLASHauthor] = ACTIONS(7127),
    [anon_sym_BSLASHusepackage] = ACTIONS(7127),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7127),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7127),
    [anon_sym_BSLASHinclude] = ACTIONS(7127),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7127),
    [anon_sym_BSLASHinput] = ACTIONS(7127),
    [anon_sym_BSLASHsubfile] = ACTIONS(7127),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7127),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7127),
    [anon_sym_BSLASHbibliography] = ACTIONS(7127),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7127),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7127),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7127),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7127),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7127),
    [anon_sym_BSLASHimport] = ACTIONS(7127),
    [anon_sym_BSLASHsubimport] = ACTIONS(7127),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7127),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7127),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7127),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7127),
    [anon_sym_BSLASHcaption] = ACTIONS(7127),
    [anon_sym_BSLASHcite] = ACTIONS(7127),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHCite] = ACTIONS(7127),
    [anon_sym_BSLASHnocite] = ACTIONS(7127),
    [anon_sym_BSLASHcitet] = ACTIONS(7127),
    [anon_sym_BSLASHcitep] = ACTIONS(7127),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHciteA] = ACTIONS(7127),
    [anon_sym_BSLASHciteR] = ACTIONS(7127),
    [anon_sym_BSLASHciteS] = ACTIONS(7127),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7127),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7127),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7127),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7127),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHciteyear] = ACTIONS(7127),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcitedate] = ACTIONS(7127),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHciteurl] = ACTIONS(7127),
    [anon_sym_BSLASHfullcite] = ACTIONS(7127),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7127),
    [anon_sym_BSLASHcitealt] = ACTIONS(7127),
    [anon_sym_BSLASHcitealp] = ACTIONS(7127),
    [anon_sym_BSLASHcitetext] = ACTIONS(7127),
    [anon_sym_BSLASHparencite] = ACTIONS(7127),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHParencite] = ACTIONS(7127),
    [anon_sym_BSLASHfootcite] = ACTIONS(7127),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7127),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7127),
    [anon_sym_BSLASHtextcite] = ACTIONS(7127),
    [anon_sym_BSLASHTextcite] = ACTIONS(7127),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7127),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7127),
    [anon_sym_BSLASHsupercite] = ACTIONS(7127),
    [anon_sym_BSLASHautocite] = ACTIONS(7127),
    [anon_sym_BSLASHAutocite] = ACTIONS(7127),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHVolcite] = ACTIONS(7127),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHavolcite] = ACTIONS(7127),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHnotecite] = ACTIONS(7127),
    [anon_sym_BSLASHNotecite] = ACTIONS(7127),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7127),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7127),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7127),
    [anon_sym_BSLASHlabel] = ACTIONS(7127),
    [anon_sym_BSLASHref] = ACTIONS(7127),
    [anon_sym_BSLASHeqref] = ACTIONS(7127),
    [anon_sym_BSLASHvref] = ACTIONS(7127),
    [anon_sym_BSLASHVref] = ACTIONS(7127),
    [anon_sym_BSLASHautoref] = ACTIONS(7127),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHpageref] = ACTIONS(7127),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHautopageref] = ACTIONS(7127),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcref] = ACTIONS(7127),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHCref] = ACTIONS(7127),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcpageref] = ACTIONS(7127),
    [anon_sym_BSLASHCpageref] = ACTIONS(7127),
    [anon_sym_BSLASHnamecref] = ACTIONS(7127),
    [anon_sym_BSLASHnameCref] = ACTIONS(7127),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7127),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7127),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7127),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7127),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7127),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7127),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7127),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7127),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7127),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7127),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7127),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7127),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7127),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7127),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7127),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7127),
    [anon_sym_BSLASHdef] = ACTIONS(7127),
    [anon_sym_BSLASHgdef] = ACTIONS(7127),
    [anon_sym_BSLASHedef] = ACTIONS(7127),
    [anon_sym_BSLASHxdef] = ACTIONS(7127),
    [anon_sym_BSLASHlet] = ACTIONS(7127),
    [anon_sym_BSLASHglet] = ACTIONS(7127),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7127),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7127),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7127),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7127),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7127),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7127),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7127),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7127),
    [anon_sym_BSLASHgls] = ACTIONS(7127),
    [anon_sym_BSLASHGls] = ACTIONS(7127),
    [anon_sym_BSLASHGLS] = ACTIONS(7127),
    [anon_sym_BSLASHglspl] = ACTIONS(7127),
    [anon_sym_BSLASHGlspl] = ACTIONS(7127),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7127),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7127),
    [anon_sym_BSLASHglslink] = ACTIONS(7127),
    [anon_sym_BSLASHglstext] = ACTIONS(7127),
    [anon_sym_BSLASHGlstext] = ACTIONS(7127),
    [anon_sym_BSLASHGLStext] = ACTIONS(7127),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7127),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7127),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7127),
    [anon_sym_BSLASHglsplural] = ACTIONS(7127),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7127),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7127),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7127),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7127),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7127),
    [anon_sym_BSLASHglsname] = ACTIONS(7127),
    [anon_sym_BSLASHGlsname] = ACTIONS(7127),
    [anon_sym_BSLASHGLSname] = ACTIONS(7127),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7127),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7127),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7127),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7127),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7127),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7127),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7127),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7127),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7127),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7127),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7127),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7127),
    [anon_sym_BSLASHacrshort] = ACTIONS(7127),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7127),
    [anon_sym_BSLASHACRshort] = ACTIONS(7127),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHacrlong] = ACTIONS(7127),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7127),
    [anon_sym_BSLASHACRlong] = ACTIONS(7127),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7127),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7127),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7127),
    [anon_sym_BSLASHacrfull] = ACTIONS(7127),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7127),
    [anon_sym_BSLASHACRfull] = ACTIONS(7127),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHacs] = ACTIONS(7127),
    [anon_sym_BSLASHAcs] = ACTIONS(7127),
    [anon_sym_BSLASHacsp] = ACTIONS(7127),
    [anon_sym_BSLASHAcsp] = ACTIONS(7127),
    [anon_sym_BSLASHacl] = ACTIONS(7127),
    [anon_sym_BSLASHAcl] = ACTIONS(7127),
    [anon_sym_BSLASHaclp] = ACTIONS(7127),
    [anon_sym_BSLASHAclp] = ACTIONS(7127),
    [anon_sym_BSLASHacf] = ACTIONS(7127),
    [anon_sym_BSLASHAcf] = ACTIONS(7127),
    [anon_sym_BSLASHacfp] = ACTIONS(7127),
    [anon_sym_BSLASHAcfp] = ACTIONS(7127),
    [anon_sym_BSLASHac] = ACTIONS(7127),
    [anon_sym_BSLASHAc] = ACTIONS(7127),
    [anon_sym_BSLASHacp] = ACTIONS(7127),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7127),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7127),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7127),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7127),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7127),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7127),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7127),
    [anon_sym_BSLASHcolor] = ACTIONS(7127),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7127),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7127),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7127),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7127),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7127),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7127),
    [anon_sym_BSLASHurl] = ACTIONS(7127),
    [anon_sym_BSLASHhref] = ACTIONS(7127),
  },
  [1235] = {
    [sym_command_name] = ACTIONS(7043),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7043),
    [anon_sym_LBRACK] = ACTIONS(7045),
    [anon_sym_RBRACK] = ACTIONS(7045),
    [anon_sym_COMMA] = ACTIONS(7045),
    [anon_sym_EQ] = ACTIONS(7045),
    [anon_sym_LPAREN] = ACTIONS(7045),
    [anon_sym_RPAREN] = ACTIONS(7045),
    [anon_sym_BSLASHpart] = ACTIONS(7043),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHaddpart] = ACTIONS(7043),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHchapter] = ACTIONS(7043),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHaddchap] = ACTIONS(7043),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHsection] = ACTIONS(7043),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHaddsec] = ACTIONS(7043),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHsubsection] = ACTIONS(7043),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7043),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHparagraph] = ACTIONS(7043),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7043),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHitem] = ACTIONS(7043),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7045),
    [anon_sym_LBRACE] = ACTIONS(7045),
    [sym_word] = ACTIONS(7043),
    [sym_placeholder] = ACTIONS(7045),
    [sym_delimiter] = ACTIONS(7045),
    [anon_sym_PLUS] = ACTIONS(7045),
    [anon_sym_DASH] = ACTIONS(7045),
    [anon_sym_STAR] = ACTIONS(7045),
    [anon_sym_SLASH] = ACTIONS(7045),
    [anon_sym_LT] = ACTIONS(7043),
    [anon_sym_GT] = ACTIONS(7043),
    [anon_sym_BANG] = ACTIONS(7043),
    [anon_sym_PIPE] = ACTIONS(7043),
    [anon_sym_COLON] = ACTIONS(7043),
    [anon_sym_SQUOTE] = ACTIONS(7043),
    [anon_sym__] = ACTIONS(7045),
    [anon_sym_CARET] = ACTIONS(7045),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7045),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7045),
    [anon_sym_DOLLAR] = ACTIONS(7043),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7045),
    [anon_sym_BSLASHleft] = ACTIONS(7043),
    [anon_sym_BSLASHbigl] = ACTIONS(7043),
    [anon_sym_BSLASHBigl] = ACTIONS(7043),
    [anon_sym_BSLASHbiggl] = ACTIONS(7043),
    [anon_sym_BSLASHBiggl] = ACTIONS(7043),
    [anon_sym_BSLASHtext] = ACTIONS(7043),
    [anon_sym_BSLASHintertext] = ACTIONS(7043),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7043),
    [anon_sym_BSLASHbegin] = ACTIONS(7043),
    [anon_sym_BSLASHend] = ACTIONS(7043),
    [anon_sym_BSLASHtitle] = ACTIONS(7043),
    [anon_sym_BSLASHauthor] = ACTIONS(7043),
    [anon_sym_BSLASHusepackage] = ACTIONS(7043),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7043),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7043),
    [anon_sym_BSLASHinclude] = ACTIONS(7043),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7043),
    [anon_sym_BSLASHinput] = ACTIONS(7043),
    [anon_sym_BSLASHsubfile] = ACTIONS(7043),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7043),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7043),
    [anon_sym_BSLASHbibliography] = ACTIONS(7043),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7043),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7043),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7043),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7043),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7043),
    [anon_sym_BSLASHimport] = ACTIONS(7043),
    [anon_sym_BSLASHsubimport] = ACTIONS(7043),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7043),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7043),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7043),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7043),
    [anon_sym_BSLASHcaption] = ACTIONS(7043),
    [anon_sym_BSLASHcite] = ACTIONS(7043),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCite] = ACTIONS(7043),
    [anon_sym_BSLASHnocite] = ACTIONS(7043),
    [anon_sym_BSLASHcitet] = ACTIONS(7043),
    [anon_sym_BSLASHcitep] = ACTIONS(7043),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteA] = ACTIONS(7043),
    [anon_sym_BSLASHciteR] = ACTIONS(7043),
    [anon_sym_BSLASHciteS] = ACTIONS(7043),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7043),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7043),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7043),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7043),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteyear] = ACTIONS(7043),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitedate] = ACTIONS(7043),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteurl] = ACTIONS(7043),
    [anon_sym_BSLASHfullcite] = ACTIONS(7043),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7043),
    [anon_sym_BSLASHcitealt] = ACTIONS(7043),
    [anon_sym_BSLASHcitealp] = ACTIONS(7043),
    [anon_sym_BSLASHcitetext] = ACTIONS(7043),
    [anon_sym_BSLASHparencite] = ACTIONS(7043),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHParencite] = ACTIONS(7043),
    [anon_sym_BSLASHfootcite] = ACTIONS(7043),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7043),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7043),
    [anon_sym_BSLASHtextcite] = ACTIONS(7043),
    [anon_sym_BSLASHTextcite] = ACTIONS(7043),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7043),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7043),
    [anon_sym_BSLASHsupercite] = ACTIONS(7043),
    [anon_sym_BSLASHautocite] = ACTIONS(7043),
    [anon_sym_BSLASHAutocite] = ACTIONS(7043),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHVolcite] = ACTIONS(7043),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHavolcite] = ACTIONS(7043),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHNotecite] = ACTIONS(7043),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHlabel] = ACTIONS(7043),
    [anon_sym_BSLASHref] = ACTIONS(7043),
    [anon_sym_BSLASHeqref] = ACTIONS(7043),
    [anon_sym_BSLASHvref] = ACTIONS(7043),
    [anon_sym_BSLASHVref] = ACTIONS(7043),
    [anon_sym_BSLASHautoref] = ACTIONS(7043),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHpageref] = ACTIONS(7043),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHautopageref] = ACTIONS(7043),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcref] = ACTIONS(7043),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCref] = ACTIONS(7043),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcpageref] = ACTIONS(7043),
    [anon_sym_BSLASHCpageref] = ACTIONS(7043),
    [anon_sym_BSLASHnamecref] = ACTIONS(7043),
    [anon_sym_BSLASHnameCref] = ACTIONS(7043),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7043),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7043),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7043),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7043),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7043),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7043),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7043),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7043),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7043),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7043),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7043),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHdef] = ACTIONS(7043),
    [anon_sym_BSLASHgdef] = ACTIONS(7043),
    [anon_sym_BSLASHedef] = ACTIONS(7043),
    [anon_sym_BSLASHxdef] = ACTIONS(7043),
    [anon_sym_BSLASHlet] = ACTIONS(7043),
    [anon_sym_BSLASHglet] = ACTIONS(7043),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7043),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7043),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7043),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7043),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7043),
    [anon_sym_BSLASHgls] = ACTIONS(7043),
    [anon_sym_BSLASHGls] = ACTIONS(7043),
    [anon_sym_BSLASHGLS] = ACTIONS(7043),
    [anon_sym_BSLASHglspl] = ACTIONS(7043),
    [anon_sym_BSLASHGlspl] = ACTIONS(7043),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7043),
    [anon_sym_BSLASHglslink] = ACTIONS(7043),
    [anon_sym_BSLASHglstext] = ACTIONS(7043),
    [anon_sym_BSLASHGlstext] = ACTIONS(7043),
    [anon_sym_BSLASHGLStext] = ACTIONS(7043),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7043),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7043),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7043),
    [anon_sym_BSLASHglsplural] = ACTIONS(7043),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7043),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7043),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHglsname] = ACTIONS(7043),
    [anon_sym_BSLASHGlsname] = ACTIONS(7043),
    [anon_sym_BSLASHGLSname] = ACTIONS(7043),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7043),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7043),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7043),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7043),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7043),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7043),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7043),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7043),
    [anon_sym_BSLASHacrshort] = ACTIONS(7043),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7043),
    [anon_sym_BSLASHACRshort] = ACTIONS(7043),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHacrlong] = ACTIONS(7043),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7043),
    [anon_sym_BSLASHACRlong] = ACTIONS(7043),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHacrfull] = ACTIONS(7043),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7043),
    [anon_sym_BSLASHACRfull] = ACTIONS(7043),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHacs] = ACTIONS(7043),
    [anon_sym_BSLASHAcs] = ACTIONS(7043),
    [anon_sym_BSLASHacsp] = ACTIONS(7043),
    [anon_sym_BSLASHAcsp] = ACTIONS(7043),
    [anon_sym_BSLASHacl] = ACTIONS(7043),
    [anon_sym_BSLASHAcl] = ACTIONS(7043),
    [anon_sym_BSLASHaclp] = ACTIONS(7043),
    [anon_sym_BSLASHAclp] = ACTIONS(7043),
    [anon_sym_BSLASHacf] = ACTIONS(7043),
    [anon_sym_BSLASHAcf] = ACTIONS(7043),
    [anon_sym_BSLASHacfp] = ACTIONS(7043),
    [anon_sym_BSLASHAcfp] = ACTIONS(7043),
    [anon_sym_BSLASHac] = ACTIONS(7043),
    [anon_sym_BSLASHAc] = ACTIONS(7043),
    [anon_sym_BSLASHacp] = ACTIONS(7043),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7043),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7043),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7043),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7043),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7043),
    [anon_sym_BSLASHcolor] = ACTIONS(7043),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7043),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7043),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7043),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7043),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7043),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7043),
    [anon_sym_BSLASHurl] = ACTIONS(7043),
    [anon_sym_BSLASHhref] = ACTIONS(7043),
  },
  [1236] = {
    [sym_command_name] = ACTIONS(7131),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7131),
    [anon_sym_LBRACK] = ACTIONS(7133),
    [anon_sym_RBRACK] = ACTIONS(7133),
    [anon_sym_COMMA] = ACTIONS(7133),
    [anon_sym_EQ] = ACTIONS(7133),
    [anon_sym_LPAREN] = ACTIONS(7133),
    [anon_sym_RPAREN] = ACTIONS(7133),
    [anon_sym_BSLASHpart] = ACTIONS(7131),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHaddpart] = ACTIONS(7131),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHchapter] = ACTIONS(7131),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHaddchap] = ACTIONS(7131),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHsection] = ACTIONS(7131),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHaddsec] = ACTIONS(7131),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHsubsection] = ACTIONS(7131),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7131),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHparagraph] = ACTIONS(7131),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7131),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHitem] = ACTIONS(7131),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7133),
    [anon_sym_LBRACE] = ACTIONS(7133),
    [sym_word] = ACTIONS(7131),
    [sym_placeholder] = ACTIONS(7133),
    [sym_delimiter] = ACTIONS(7133),
    [anon_sym_PLUS] = ACTIONS(7133),
    [anon_sym_DASH] = ACTIONS(7133),
    [anon_sym_STAR] = ACTIONS(7133),
    [anon_sym_SLASH] = ACTIONS(7133),
    [anon_sym_LT] = ACTIONS(7131),
    [anon_sym_GT] = ACTIONS(7131),
    [anon_sym_BANG] = ACTIONS(7131),
    [anon_sym_PIPE] = ACTIONS(7131),
    [anon_sym_COLON] = ACTIONS(7131),
    [anon_sym_SQUOTE] = ACTIONS(7131),
    [anon_sym__] = ACTIONS(7133),
    [anon_sym_CARET] = ACTIONS(7133),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7133),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7133),
    [anon_sym_DOLLAR] = ACTIONS(7131),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7133),
    [anon_sym_BSLASHleft] = ACTIONS(7131),
    [anon_sym_BSLASHbigl] = ACTIONS(7131),
    [anon_sym_BSLASHBigl] = ACTIONS(7131),
    [anon_sym_BSLASHbiggl] = ACTIONS(7131),
    [anon_sym_BSLASHBiggl] = ACTIONS(7131),
    [anon_sym_BSLASHtext] = ACTIONS(7131),
    [anon_sym_BSLASHintertext] = ACTIONS(7131),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7131),
    [anon_sym_BSLASHbegin] = ACTIONS(7131),
    [anon_sym_BSLASHend] = ACTIONS(7131),
    [anon_sym_BSLASHtitle] = ACTIONS(7131),
    [anon_sym_BSLASHauthor] = ACTIONS(7131),
    [anon_sym_BSLASHusepackage] = ACTIONS(7131),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7131),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7131),
    [anon_sym_BSLASHinclude] = ACTIONS(7131),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7131),
    [anon_sym_BSLASHinput] = ACTIONS(7131),
    [anon_sym_BSLASHsubfile] = ACTIONS(7131),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7131),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7131),
    [anon_sym_BSLASHbibliography] = ACTIONS(7131),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7131),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7131),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7131),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7131),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7131),
    [anon_sym_BSLASHimport] = ACTIONS(7131),
    [anon_sym_BSLASHsubimport] = ACTIONS(7131),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7131),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7131),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7131),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7131),
    [anon_sym_BSLASHcaption] = ACTIONS(7131),
    [anon_sym_BSLASHcite] = ACTIONS(7131),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCite] = ACTIONS(7131),
    [anon_sym_BSLASHnocite] = ACTIONS(7131),
    [anon_sym_BSLASHcitet] = ACTIONS(7131),
    [anon_sym_BSLASHcitep] = ACTIONS(7131),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHciteA] = ACTIONS(7131),
    [anon_sym_BSLASHciteR] = ACTIONS(7131),
    [anon_sym_BSLASHciteS] = ACTIONS(7131),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7131),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7131),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7131),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7131),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHciteyear] = ACTIONS(7131),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcitedate] = ACTIONS(7131),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHciteurl] = ACTIONS(7131),
    [anon_sym_BSLASHfullcite] = ACTIONS(7131),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7131),
    [anon_sym_BSLASHcitealt] = ACTIONS(7131),
    [anon_sym_BSLASHcitealp] = ACTIONS(7131),
    [anon_sym_BSLASHcitetext] = ACTIONS(7131),
    [anon_sym_BSLASHparencite] = ACTIONS(7131),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHParencite] = ACTIONS(7131),
    [anon_sym_BSLASHfootcite] = ACTIONS(7131),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7131),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7131),
    [anon_sym_BSLASHtextcite] = ACTIONS(7131),
    [anon_sym_BSLASHTextcite] = ACTIONS(7131),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7131),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7131),
    [anon_sym_BSLASHsupercite] = ACTIONS(7131),
    [anon_sym_BSLASHautocite] = ACTIONS(7131),
    [anon_sym_BSLASHAutocite] = ACTIONS(7131),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHVolcite] = ACTIONS(7131),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHavolcite] = ACTIONS(7131),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHNotecite] = ACTIONS(7131),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHlabel] = ACTIONS(7131),
    [anon_sym_BSLASHref] = ACTIONS(7131),
    [anon_sym_BSLASHeqref] = ACTIONS(7131),
    [anon_sym_BSLASHvref] = ACTIONS(7131),
    [anon_sym_BSLASHVref] = ACTIONS(7131),
    [anon_sym_BSLASHautoref] = ACTIONS(7131),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHpageref] = ACTIONS(7131),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHautopageref] = ACTIONS(7131),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcref] = ACTIONS(7131),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCref] = ACTIONS(7131),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcpageref] = ACTIONS(7131),
    [anon_sym_BSLASHCpageref] = ACTIONS(7131),
    [anon_sym_BSLASHnamecref] = ACTIONS(7131),
    [anon_sym_BSLASHnameCref] = ACTIONS(7131),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7131),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7131),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7131),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7131),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7131),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7131),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7131),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7131),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7131),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7131),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7131),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7131),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7131),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7131),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7131),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7131),
    [anon_sym_BSLASHdef] = ACTIONS(7131),
    [anon_sym_BSLASHgdef] = ACTIONS(7131),
    [anon_sym_BSLASHedef] = ACTIONS(7131),
    [anon_sym_BSLASHxdef] = ACTIONS(7131),
    [anon_sym_BSLASHlet] = ACTIONS(7131),
    [anon_sym_BSLASHglet] = ACTIONS(7131),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7131),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7131),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7131),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7131),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7131),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7131),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7131),
    [anon_sym_BSLASHgls] = ACTIONS(7131),
    [anon_sym_BSLASHGls] = ACTIONS(7131),
    [anon_sym_BSLASHGLS] = ACTIONS(7131),
    [anon_sym_BSLASHglspl] = ACTIONS(7131),
    [anon_sym_BSLASHGlspl] = ACTIONS(7131),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7131),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7131),
    [anon_sym_BSLASHglslink] = ACTIONS(7131),
    [anon_sym_BSLASHglstext] = ACTIONS(7131),
    [anon_sym_BSLASHGlstext] = ACTIONS(7131),
    [anon_sym_BSLASHGLStext] = ACTIONS(7131),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7131),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7131),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7131),
    [anon_sym_BSLASHglsplural] = ACTIONS(7131),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7131),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7131),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7131),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7131),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7131),
    [anon_sym_BSLASHglsname] = ACTIONS(7131),
    [anon_sym_BSLASHGlsname] = ACTIONS(7131),
    [anon_sym_BSLASHGLSname] = ACTIONS(7131),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7131),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7131),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7131),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7131),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7131),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7131),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7131),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7131),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7131),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7131),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7131),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7131),
    [anon_sym_BSLASHacrshort] = ACTIONS(7131),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7131),
    [anon_sym_BSLASHACRshort] = ACTIONS(7131),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHacrlong] = ACTIONS(7131),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7131),
    [anon_sym_BSLASHACRlong] = ACTIONS(7131),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7131),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7131),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7131),
    [anon_sym_BSLASHacrfull] = ACTIONS(7131),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7131),
    [anon_sym_BSLASHACRfull] = ACTIONS(7131),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHacs] = ACTIONS(7131),
    [anon_sym_BSLASHAcs] = ACTIONS(7131),
    [anon_sym_BSLASHacsp] = ACTIONS(7131),
    [anon_sym_BSLASHAcsp] = ACTIONS(7131),
    [anon_sym_BSLASHacl] = ACTIONS(7131),
    [anon_sym_BSLASHAcl] = ACTIONS(7131),
    [anon_sym_BSLASHaclp] = ACTIONS(7131),
    [anon_sym_BSLASHAclp] = ACTIONS(7131),
    [anon_sym_BSLASHacf] = ACTIONS(7131),
    [anon_sym_BSLASHAcf] = ACTIONS(7131),
    [anon_sym_BSLASHacfp] = ACTIONS(7131),
    [anon_sym_BSLASHAcfp] = ACTIONS(7131),
    [anon_sym_BSLASHac] = ACTIONS(7131),
    [anon_sym_BSLASHAc] = ACTIONS(7131),
    [anon_sym_BSLASHacp] = ACTIONS(7131),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7131),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7131),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7131),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7131),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7131),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7131),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7131),
    [anon_sym_BSLASHcolor] = ACTIONS(7131),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7131),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7131),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7131),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7131),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7131),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7131),
    [anon_sym_BSLASHurl] = ACTIONS(7131),
    [anon_sym_BSLASHhref] = ACTIONS(7131),
  },
  [1237] = {
    [sym_command_name] = ACTIONS(7595),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7595),
    [anon_sym_LBRACK] = ACTIONS(7597),
    [anon_sym_RBRACK] = ACTIONS(7597),
    [anon_sym_COMMA] = ACTIONS(7597),
    [anon_sym_EQ] = ACTIONS(7597),
    [anon_sym_LPAREN] = ACTIONS(7597),
    [anon_sym_RPAREN] = ACTIONS(7597),
    [anon_sym_BSLASHpart] = ACTIONS(7595),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHaddpart] = ACTIONS(7595),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHchapter] = ACTIONS(7595),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHaddchap] = ACTIONS(7595),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHsection] = ACTIONS(7595),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHaddsec] = ACTIONS(7595),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHsubsection] = ACTIONS(7595),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7595),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHparagraph] = ACTIONS(7595),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7595),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHitem] = ACTIONS(7595),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7597),
    [anon_sym_LBRACE] = ACTIONS(7597),
    [sym_word] = ACTIONS(7595),
    [sym_placeholder] = ACTIONS(7597),
    [sym_delimiter] = ACTIONS(7597),
    [anon_sym_PLUS] = ACTIONS(7597),
    [anon_sym_DASH] = ACTIONS(7597),
    [anon_sym_STAR] = ACTIONS(7597),
    [anon_sym_SLASH] = ACTIONS(7597),
    [anon_sym_LT] = ACTIONS(7595),
    [anon_sym_GT] = ACTIONS(7595),
    [anon_sym_BANG] = ACTIONS(7595),
    [anon_sym_PIPE] = ACTIONS(7595),
    [anon_sym_COLON] = ACTIONS(7595),
    [anon_sym_SQUOTE] = ACTIONS(7595),
    [anon_sym__] = ACTIONS(7597),
    [anon_sym_CARET] = ACTIONS(7597),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7597),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7597),
    [anon_sym_DOLLAR] = ACTIONS(7595),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7597),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7597),
    [anon_sym_BSLASHleft] = ACTIONS(7595),
    [anon_sym_BSLASHbigl] = ACTIONS(7595),
    [anon_sym_BSLASHBigl] = ACTIONS(7595),
    [anon_sym_BSLASHbiggl] = ACTIONS(7595),
    [anon_sym_BSLASHBiggl] = ACTIONS(7595),
    [anon_sym_BSLASHtext] = ACTIONS(7595),
    [anon_sym_BSLASHintertext] = ACTIONS(7595),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7595),
    [anon_sym_BSLASHbegin] = ACTIONS(7595),
    [anon_sym_BSLASHtitle] = ACTIONS(7595),
    [anon_sym_BSLASHauthor] = ACTIONS(7595),
    [anon_sym_BSLASHusepackage] = ACTIONS(7595),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7595),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7595),
    [anon_sym_BSLASHinclude] = ACTIONS(7595),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7595),
    [anon_sym_BSLASHinput] = ACTIONS(7595),
    [anon_sym_BSLASHsubfile] = ACTIONS(7595),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7595),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7595),
    [anon_sym_BSLASHbibliography] = ACTIONS(7595),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7595),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7595),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7595),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7595),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7595),
    [anon_sym_BSLASHimport] = ACTIONS(7595),
    [anon_sym_BSLASHsubimport] = ACTIONS(7595),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7595),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7595),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7595),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7595),
    [anon_sym_BSLASHcaption] = ACTIONS(7595),
    [anon_sym_BSLASHcite] = ACTIONS(7595),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCite] = ACTIONS(7595),
    [anon_sym_BSLASHnocite] = ACTIONS(7595),
    [anon_sym_BSLASHcitet] = ACTIONS(7595),
    [anon_sym_BSLASHcitep] = ACTIONS(7595),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteA] = ACTIONS(7595),
    [anon_sym_BSLASHciteR] = ACTIONS(7595),
    [anon_sym_BSLASHciteS] = ACTIONS(7595),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7595),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7595),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7595),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7595),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteyear] = ACTIONS(7595),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitedate] = ACTIONS(7595),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteurl] = ACTIONS(7595),
    [anon_sym_BSLASHfullcite] = ACTIONS(7595),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7595),
    [anon_sym_BSLASHcitealt] = ACTIONS(7595),
    [anon_sym_BSLASHcitealp] = ACTIONS(7595),
    [anon_sym_BSLASHcitetext] = ACTIONS(7595),
    [anon_sym_BSLASHparencite] = ACTIONS(7595),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHParencite] = ACTIONS(7595),
    [anon_sym_BSLASHfootcite] = ACTIONS(7595),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7595),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7595),
    [anon_sym_BSLASHtextcite] = ACTIONS(7595),
    [anon_sym_BSLASHTextcite] = ACTIONS(7595),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7595),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7595),
    [anon_sym_BSLASHsupercite] = ACTIONS(7595),
    [anon_sym_BSLASHautocite] = ACTIONS(7595),
    [anon_sym_BSLASHAutocite] = ACTIONS(7595),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHVolcite] = ACTIONS(7595),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHavolcite] = ACTIONS(7595),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHNotecite] = ACTIONS(7595),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHlabel] = ACTIONS(7595),
    [anon_sym_BSLASHref] = ACTIONS(7595),
    [anon_sym_BSLASHeqref] = ACTIONS(7595),
    [anon_sym_BSLASHvref] = ACTIONS(7595),
    [anon_sym_BSLASHVref] = ACTIONS(7595),
    [anon_sym_BSLASHautoref] = ACTIONS(7595),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHpageref] = ACTIONS(7595),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHautopageref] = ACTIONS(7595),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcref] = ACTIONS(7595),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCref] = ACTIONS(7595),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcpageref] = ACTIONS(7595),
    [anon_sym_BSLASHCpageref] = ACTIONS(7595),
    [anon_sym_BSLASHnamecref] = ACTIONS(7595),
    [anon_sym_BSLASHnameCref] = ACTIONS(7595),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7595),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7595),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7595),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7595),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7595),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7595),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7595),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7595),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7595),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7595),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7595),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHdef] = ACTIONS(7595),
    [anon_sym_BSLASHgdef] = ACTIONS(7595),
    [anon_sym_BSLASHedef] = ACTIONS(7595),
    [anon_sym_BSLASHxdef] = ACTIONS(7595),
    [anon_sym_BSLASHlet] = ACTIONS(7595),
    [anon_sym_BSLASHglet] = ACTIONS(7595),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7595),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7595),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7595),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7595),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7595),
    [anon_sym_BSLASHgls] = ACTIONS(7595),
    [anon_sym_BSLASHGls] = ACTIONS(7595),
    [anon_sym_BSLASHGLS] = ACTIONS(7595),
    [anon_sym_BSLASHglspl] = ACTIONS(7595),
    [anon_sym_BSLASHGlspl] = ACTIONS(7595),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7595),
    [anon_sym_BSLASHglslink] = ACTIONS(7595),
    [anon_sym_BSLASHglstext] = ACTIONS(7595),
    [anon_sym_BSLASHGlstext] = ACTIONS(7595),
    [anon_sym_BSLASHGLStext] = ACTIONS(7595),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7595),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7595),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7595),
    [anon_sym_BSLASHglsplural] = ACTIONS(7595),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7595),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7595),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHglsname] = ACTIONS(7595),
    [anon_sym_BSLASHGlsname] = ACTIONS(7595),
    [anon_sym_BSLASHGLSname] = ACTIONS(7595),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7595),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7595),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7595),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7595),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7595),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7595),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7595),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7595),
    [anon_sym_BSLASHacrshort] = ACTIONS(7595),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7595),
    [anon_sym_BSLASHACRshort] = ACTIONS(7595),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHacrlong] = ACTIONS(7595),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7595),
    [anon_sym_BSLASHACRlong] = ACTIONS(7595),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHacrfull] = ACTIONS(7595),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7595),
    [anon_sym_BSLASHACRfull] = ACTIONS(7595),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHacs] = ACTIONS(7595),
    [anon_sym_BSLASHAcs] = ACTIONS(7595),
    [anon_sym_BSLASHacsp] = ACTIONS(7595),
    [anon_sym_BSLASHAcsp] = ACTIONS(7595),
    [anon_sym_BSLASHacl] = ACTIONS(7595),
    [anon_sym_BSLASHAcl] = ACTIONS(7595),
    [anon_sym_BSLASHaclp] = ACTIONS(7595),
    [anon_sym_BSLASHAclp] = ACTIONS(7595),
    [anon_sym_BSLASHacf] = ACTIONS(7595),
    [anon_sym_BSLASHAcf] = ACTIONS(7595),
    [anon_sym_BSLASHacfp] = ACTIONS(7595),
    [anon_sym_BSLASHAcfp] = ACTIONS(7595),
    [anon_sym_BSLASHac] = ACTIONS(7595),
    [anon_sym_BSLASHAc] = ACTIONS(7595),
    [anon_sym_BSLASHacp] = ACTIONS(7595),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7595),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7595),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7595),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7595),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7595),
    [anon_sym_BSLASHcolor] = ACTIONS(7595),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7595),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7595),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7595),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7595),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7595),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7595),
    [anon_sym_BSLASHurl] = ACTIONS(7595),
    [anon_sym_BSLASHhref] = ACTIONS(7595),
  },
  [1238] = {
    [sym_command_name] = ACTIONS(7423),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7423),
    [anon_sym_LBRACK] = ACTIONS(7425),
    [anon_sym_RBRACK] = ACTIONS(7425),
    [anon_sym_COMMA] = ACTIONS(7425),
    [anon_sym_EQ] = ACTIONS(7425),
    [anon_sym_LPAREN] = ACTIONS(7425),
    [anon_sym_RPAREN] = ACTIONS(7425),
    [anon_sym_BSLASHpart] = ACTIONS(7423),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHaddpart] = ACTIONS(7423),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHchapter] = ACTIONS(7423),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHaddchap] = ACTIONS(7423),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHsection] = ACTIONS(7423),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHaddsec] = ACTIONS(7423),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHsubsection] = ACTIONS(7423),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7423),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHparagraph] = ACTIONS(7423),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7423),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHitem] = ACTIONS(7423),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7425),
    [anon_sym_LBRACE] = ACTIONS(7425),
    [sym_word] = ACTIONS(7423),
    [sym_placeholder] = ACTIONS(7425),
    [sym_delimiter] = ACTIONS(7425),
    [anon_sym_PLUS] = ACTIONS(7425),
    [anon_sym_DASH] = ACTIONS(7425),
    [anon_sym_STAR] = ACTIONS(7425),
    [anon_sym_SLASH] = ACTIONS(7425),
    [anon_sym_LT] = ACTIONS(7423),
    [anon_sym_GT] = ACTIONS(7423),
    [anon_sym_BANG] = ACTIONS(7423),
    [anon_sym_PIPE] = ACTIONS(7423),
    [anon_sym_COLON] = ACTIONS(7423),
    [anon_sym_SQUOTE] = ACTIONS(7423),
    [anon_sym__] = ACTIONS(7425),
    [anon_sym_CARET] = ACTIONS(7425),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7425),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7425),
    [anon_sym_DOLLAR] = ACTIONS(7423),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7425),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7425),
    [anon_sym_BSLASHleft] = ACTIONS(7423),
    [anon_sym_BSLASHbigl] = ACTIONS(7423),
    [anon_sym_BSLASHBigl] = ACTIONS(7423),
    [anon_sym_BSLASHbiggl] = ACTIONS(7423),
    [anon_sym_BSLASHBiggl] = ACTIONS(7423),
    [anon_sym_BSLASHtext] = ACTIONS(7423),
    [anon_sym_BSLASHintertext] = ACTIONS(7423),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7423),
    [anon_sym_BSLASHbegin] = ACTIONS(7423),
    [anon_sym_BSLASHtitle] = ACTIONS(7423),
    [anon_sym_BSLASHauthor] = ACTIONS(7423),
    [anon_sym_BSLASHusepackage] = ACTIONS(7423),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7423),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7423),
    [anon_sym_BSLASHinclude] = ACTIONS(7423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7423),
    [anon_sym_BSLASHinput] = ACTIONS(7423),
    [anon_sym_BSLASHsubfile] = ACTIONS(7423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7423),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7423),
    [anon_sym_BSLASHbibliography] = ACTIONS(7423),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7423),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7423),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7423),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7423),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7423),
    [anon_sym_BSLASHimport] = ACTIONS(7423),
    [anon_sym_BSLASHsubimport] = ACTIONS(7423),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7423),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7423),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7423),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7423),
    [anon_sym_BSLASHcaption] = ACTIONS(7423),
    [anon_sym_BSLASHcite] = ACTIONS(7423),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHCite] = ACTIONS(7423),
    [anon_sym_BSLASHnocite] = ACTIONS(7423),
    [anon_sym_BSLASHcitet] = ACTIONS(7423),
    [anon_sym_BSLASHcitep] = ACTIONS(7423),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHciteA] = ACTIONS(7423),
    [anon_sym_BSLASHciteR] = ACTIONS(7423),
    [anon_sym_BSLASHciteS] = ACTIONS(7423),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7423),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7423),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7423),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7423),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHciteyear] = ACTIONS(7423),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcitedate] = ACTIONS(7423),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHciteurl] = ACTIONS(7423),
    [anon_sym_BSLASHfullcite] = ACTIONS(7423),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7423),
    [anon_sym_BSLASHcitealt] = ACTIONS(7423),
    [anon_sym_BSLASHcitealp] = ACTIONS(7423),
    [anon_sym_BSLASHcitetext] = ACTIONS(7423),
    [anon_sym_BSLASHparencite] = ACTIONS(7423),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHParencite] = ACTIONS(7423),
    [anon_sym_BSLASHfootcite] = ACTIONS(7423),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7423),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7423),
    [anon_sym_BSLASHtextcite] = ACTIONS(7423),
    [anon_sym_BSLASHTextcite] = ACTIONS(7423),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7423),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7423),
    [anon_sym_BSLASHsupercite] = ACTIONS(7423),
    [anon_sym_BSLASHautocite] = ACTIONS(7423),
    [anon_sym_BSLASHAutocite] = ACTIONS(7423),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHVolcite] = ACTIONS(7423),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHavolcite] = ACTIONS(7423),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHnotecite] = ACTIONS(7423),
    [anon_sym_BSLASHNotecite] = ACTIONS(7423),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7423),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7423),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7423),
    [anon_sym_BSLASHlabel] = ACTIONS(7423),
    [anon_sym_BSLASHref] = ACTIONS(7423),
    [anon_sym_BSLASHeqref] = ACTIONS(7423),
    [anon_sym_BSLASHvref] = ACTIONS(7423),
    [anon_sym_BSLASHVref] = ACTIONS(7423),
    [anon_sym_BSLASHautoref] = ACTIONS(7423),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHpageref] = ACTIONS(7423),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHautopageref] = ACTIONS(7423),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcref] = ACTIONS(7423),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHCref] = ACTIONS(7423),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcpageref] = ACTIONS(7423),
    [anon_sym_BSLASHCpageref] = ACTIONS(7423),
    [anon_sym_BSLASHnamecref] = ACTIONS(7423),
    [anon_sym_BSLASHnameCref] = ACTIONS(7423),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7423),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7423),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7423),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7423),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7423),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7423),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7423),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7423),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7423),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7423),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7423),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7423),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7423),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7423),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7423),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7423),
    [anon_sym_BSLASHdef] = ACTIONS(7423),
    [anon_sym_BSLASHgdef] = ACTIONS(7423),
    [anon_sym_BSLASHedef] = ACTIONS(7423),
    [anon_sym_BSLASHxdef] = ACTIONS(7423),
    [anon_sym_BSLASHlet] = ACTIONS(7423),
    [anon_sym_BSLASHglet] = ACTIONS(7423),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7423),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7423),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7423),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7423),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7423),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7423),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7423),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7423),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7423),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7423),
    [anon_sym_BSLASHgls] = ACTIONS(7423),
    [anon_sym_BSLASHGls] = ACTIONS(7423),
    [anon_sym_BSLASHGLS] = ACTIONS(7423),
    [anon_sym_BSLASHglspl] = ACTIONS(7423),
    [anon_sym_BSLASHGlspl] = ACTIONS(7423),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7423),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7423),
    [anon_sym_BSLASHglslink] = ACTIONS(7423),
    [anon_sym_BSLASHglstext] = ACTIONS(7423),
    [anon_sym_BSLASHGlstext] = ACTIONS(7423),
    [anon_sym_BSLASHGLStext] = ACTIONS(7423),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7423),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7423),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7423),
    [anon_sym_BSLASHglsplural] = ACTIONS(7423),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7423),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7423),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7423),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7423),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7423),
    [anon_sym_BSLASHglsname] = ACTIONS(7423),
    [anon_sym_BSLASHGlsname] = ACTIONS(7423),
    [anon_sym_BSLASHGLSname] = ACTIONS(7423),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7423),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7423),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7423),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7423),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7423),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7423),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7423),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7423),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7423),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7423),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7423),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7423),
    [anon_sym_BSLASHacrshort] = ACTIONS(7423),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7423),
    [anon_sym_BSLASHACRshort] = ACTIONS(7423),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHacrlong] = ACTIONS(7423),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7423),
    [anon_sym_BSLASHACRlong] = ACTIONS(7423),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7423),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7423),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7423),
    [anon_sym_BSLASHacrfull] = ACTIONS(7423),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7423),
    [anon_sym_BSLASHACRfull] = ACTIONS(7423),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHacs] = ACTIONS(7423),
    [anon_sym_BSLASHAcs] = ACTIONS(7423),
    [anon_sym_BSLASHacsp] = ACTIONS(7423),
    [anon_sym_BSLASHAcsp] = ACTIONS(7423),
    [anon_sym_BSLASHacl] = ACTIONS(7423),
    [anon_sym_BSLASHAcl] = ACTIONS(7423),
    [anon_sym_BSLASHaclp] = ACTIONS(7423),
    [anon_sym_BSLASHAclp] = ACTIONS(7423),
    [anon_sym_BSLASHacf] = ACTIONS(7423),
    [anon_sym_BSLASHAcf] = ACTIONS(7423),
    [anon_sym_BSLASHacfp] = ACTIONS(7423),
    [anon_sym_BSLASHAcfp] = ACTIONS(7423),
    [anon_sym_BSLASHac] = ACTIONS(7423),
    [anon_sym_BSLASHAc] = ACTIONS(7423),
    [anon_sym_BSLASHacp] = ACTIONS(7423),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7423),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7423),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7423),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7423),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7423),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7423),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7423),
    [anon_sym_BSLASHcolor] = ACTIONS(7423),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7423),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7423),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7423),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7423),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7423),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7423),
    [anon_sym_BSLASHurl] = ACTIONS(7423),
    [anon_sym_BSLASHhref] = ACTIONS(7423),
  },
  [1239] = {
    [sym_command_name] = ACTIONS(7427),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7427),
    [anon_sym_LBRACK] = ACTIONS(7429),
    [anon_sym_RBRACK] = ACTIONS(7429),
    [anon_sym_COMMA] = ACTIONS(7429),
    [anon_sym_EQ] = ACTIONS(7429),
    [anon_sym_LPAREN] = ACTIONS(7429),
    [anon_sym_RPAREN] = ACTIONS(7429),
    [anon_sym_BSLASHpart] = ACTIONS(7427),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHaddpart] = ACTIONS(7427),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHchapter] = ACTIONS(7427),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHaddchap] = ACTIONS(7427),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHsection] = ACTIONS(7427),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHaddsec] = ACTIONS(7427),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHsubsection] = ACTIONS(7427),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7427),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHparagraph] = ACTIONS(7427),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7427),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHitem] = ACTIONS(7427),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7429),
    [anon_sym_LBRACE] = ACTIONS(7429),
    [sym_word] = ACTIONS(7427),
    [sym_placeholder] = ACTIONS(7429),
    [sym_delimiter] = ACTIONS(7429),
    [anon_sym_PLUS] = ACTIONS(7429),
    [anon_sym_DASH] = ACTIONS(7429),
    [anon_sym_STAR] = ACTIONS(7429),
    [anon_sym_SLASH] = ACTIONS(7429),
    [anon_sym_LT] = ACTIONS(7427),
    [anon_sym_GT] = ACTIONS(7427),
    [anon_sym_BANG] = ACTIONS(7427),
    [anon_sym_PIPE] = ACTIONS(7427),
    [anon_sym_COLON] = ACTIONS(7427),
    [anon_sym_SQUOTE] = ACTIONS(7427),
    [anon_sym__] = ACTIONS(7429),
    [anon_sym_CARET] = ACTIONS(7429),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7429),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7429),
    [anon_sym_DOLLAR] = ACTIONS(7427),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7429),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7429),
    [anon_sym_BSLASHleft] = ACTIONS(7427),
    [anon_sym_BSLASHbigl] = ACTIONS(7427),
    [anon_sym_BSLASHBigl] = ACTIONS(7427),
    [anon_sym_BSLASHbiggl] = ACTIONS(7427),
    [anon_sym_BSLASHBiggl] = ACTIONS(7427),
    [anon_sym_BSLASHtext] = ACTIONS(7427),
    [anon_sym_BSLASHintertext] = ACTIONS(7427),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7427),
    [anon_sym_BSLASHbegin] = ACTIONS(7427),
    [anon_sym_BSLASHtitle] = ACTIONS(7427),
    [anon_sym_BSLASHauthor] = ACTIONS(7427),
    [anon_sym_BSLASHusepackage] = ACTIONS(7427),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7427),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7427),
    [anon_sym_BSLASHinclude] = ACTIONS(7427),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7427),
    [anon_sym_BSLASHinput] = ACTIONS(7427),
    [anon_sym_BSLASHsubfile] = ACTIONS(7427),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7427),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7427),
    [anon_sym_BSLASHbibliography] = ACTIONS(7427),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7427),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7427),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7427),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7427),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7427),
    [anon_sym_BSLASHimport] = ACTIONS(7427),
    [anon_sym_BSLASHsubimport] = ACTIONS(7427),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7427),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7427),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7427),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7427),
    [anon_sym_BSLASHcaption] = ACTIONS(7427),
    [anon_sym_BSLASHcite] = ACTIONS(7427),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHCite] = ACTIONS(7427),
    [anon_sym_BSLASHnocite] = ACTIONS(7427),
    [anon_sym_BSLASHcitet] = ACTIONS(7427),
    [anon_sym_BSLASHcitep] = ACTIONS(7427),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHciteA] = ACTIONS(7427),
    [anon_sym_BSLASHciteR] = ACTIONS(7427),
    [anon_sym_BSLASHciteS] = ACTIONS(7427),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7427),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7427),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7427),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7427),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHciteyear] = ACTIONS(7427),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcitedate] = ACTIONS(7427),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHciteurl] = ACTIONS(7427),
    [anon_sym_BSLASHfullcite] = ACTIONS(7427),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7427),
    [anon_sym_BSLASHcitealt] = ACTIONS(7427),
    [anon_sym_BSLASHcitealp] = ACTIONS(7427),
    [anon_sym_BSLASHcitetext] = ACTIONS(7427),
    [anon_sym_BSLASHparencite] = ACTIONS(7427),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHParencite] = ACTIONS(7427),
    [anon_sym_BSLASHfootcite] = ACTIONS(7427),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7427),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7427),
    [anon_sym_BSLASHtextcite] = ACTIONS(7427),
    [anon_sym_BSLASHTextcite] = ACTIONS(7427),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7427),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7427),
    [anon_sym_BSLASHsupercite] = ACTIONS(7427),
    [anon_sym_BSLASHautocite] = ACTIONS(7427),
    [anon_sym_BSLASHAutocite] = ACTIONS(7427),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHVolcite] = ACTIONS(7427),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHavolcite] = ACTIONS(7427),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHnotecite] = ACTIONS(7427),
    [anon_sym_BSLASHNotecite] = ACTIONS(7427),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7427),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7427),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7427),
    [anon_sym_BSLASHlabel] = ACTIONS(7427),
    [anon_sym_BSLASHref] = ACTIONS(7427),
    [anon_sym_BSLASHeqref] = ACTIONS(7427),
    [anon_sym_BSLASHvref] = ACTIONS(7427),
    [anon_sym_BSLASHVref] = ACTIONS(7427),
    [anon_sym_BSLASHautoref] = ACTIONS(7427),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHpageref] = ACTIONS(7427),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHautopageref] = ACTIONS(7427),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcref] = ACTIONS(7427),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHCref] = ACTIONS(7427),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcpageref] = ACTIONS(7427),
    [anon_sym_BSLASHCpageref] = ACTIONS(7427),
    [anon_sym_BSLASHnamecref] = ACTIONS(7427),
    [anon_sym_BSLASHnameCref] = ACTIONS(7427),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7427),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7427),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7427),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7427),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7427),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7427),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7427),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7427),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7427),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7427),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7427),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7427),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7427),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7427),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7427),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7427),
    [anon_sym_BSLASHdef] = ACTIONS(7427),
    [anon_sym_BSLASHgdef] = ACTIONS(7427),
    [anon_sym_BSLASHedef] = ACTIONS(7427),
    [anon_sym_BSLASHxdef] = ACTIONS(7427),
    [anon_sym_BSLASHlet] = ACTIONS(7427),
    [anon_sym_BSLASHglet] = ACTIONS(7427),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7427),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7427),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7427),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7427),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7427),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7427),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7427),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7427),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7427),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7427),
    [anon_sym_BSLASHgls] = ACTIONS(7427),
    [anon_sym_BSLASHGls] = ACTIONS(7427),
    [anon_sym_BSLASHGLS] = ACTIONS(7427),
    [anon_sym_BSLASHglspl] = ACTIONS(7427),
    [anon_sym_BSLASHGlspl] = ACTIONS(7427),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7427),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7427),
    [anon_sym_BSLASHglslink] = ACTIONS(7427),
    [anon_sym_BSLASHglstext] = ACTIONS(7427),
    [anon_sym_BSLASHGlstext] = ACTIONS(7427),
    [anon_sym_BSLASHGLStext] = ACTIONS(7427),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7427),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7427),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7427),
    [anon_sym_BSLASHglsplural] = ACTIONS(7427),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7427),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7427),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7427),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7427),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7427),
    [anon_sym_BSLASHglsname] = ACTIONS(7427),
    [anon_sym_BSLASHGlsname] = ACTIONS(7427),
    [anon_sym_BSLASHGLSname] = ACTIONS(7427),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7427),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7427),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7427),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7427),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7427),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7427),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7427),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7427),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7427),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7427),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7427),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7427),
    [anon_sym_BSLASHacrshort] = ACTIONS(7427),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7427),
    [anon_sym_BSLASHACRshort] = ACTIONS(7427),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHacrlong] = ACTIONS(7427),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7427),
    [anon_sym_BSLASHACRlong] = ACTIONS(7427),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7427),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7427),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7427),
    [anon_sym_BSLASHacrfull] = ACTIONS(7427),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7427),
    [anon_sym_BSLASHACRfull] = ACTIONS(7427),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHacs] = ACTIONS(7427),
    [anon_sym_BSLASHAcs] = ACTIONS(7427),
    [anon_sym_BSLASHacsp] = ACTIONS(7427),
    [anon_sym_BSLASHAcsp] = ACTIONS(7427),
    [anon_sym_BSLASHacl] = ACTIONS(7427),
    [anon_sym_BSLASHAcl] = ACTIONS(7427),
    [anon_sym_BSLASHaclp] = ACTIONS(7427),
    [anon_sym_BSLASHAclp] = ACTIONS(7427),
    [anon_sym_BSLASHacf] = ACTIONS(7427),
    [anon_sym_BSLASHAcf] = ACTIONS(7427),
    [anon_sym_BSLASHacfp] = ACTIONS(7427),
    [anon_sym_BSLASHAcfp] = ACTIONS(7427),
    [anon_sym_BSLASHac] = ACTIONS(7427),
    [anon_sym_BSLASHAc] = ACTIONS(7427),
    [anon_sym_BSLASHacp] = ACTIONS(7427),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7427),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7427),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7427),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7427),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7427),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7427),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7427),
    [anon_sym_BSLASHcolor] = ACTIONS(7427),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7427),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7427),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7427),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7427),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7427),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7427),
    [anon_sym_BSLASHurl] = ACTIONS(7427),
    [anon_sym_BSLASHhref] = ACTIONS(7427),
  },
  [1240] = {
    [sym_command_name] = ACTIONS(7431),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7431),
    [anon_sym_LBRACK] = ACTIONS(7433),
    [anon_sym_RBRACK] = ACTIONS(7433),
    [anon_sym_COMMA] = ACTIONS(7433),
    [anon_sym_EQ] = ACTIONS(7433),
    [anon_sym_LPAREN] = ACTIONS(7433),
    [anon_sym_RPAREN] = ACTIONS(7433),
    [anon_sym_BSLASHpart] = ACTIONS(7431),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHaddpart] = ACTIONS(7431),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHchapter] = ACTIONS(7431),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHaddchap] = ACTIONS(7431),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHsection] = ACTIONS(7431),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHaddsec] = ACTIONS(7431),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHsubsection] = ACTIONS(7431),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7431),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHparagraph] = ACTIONS(7431),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7431),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHitem] = ACTIONS(7431),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7433),
    [anon_sym_LBRACE] = ACTIONS(7433),
    [sym_word] = ACTIONS(7431),
    [sym_placeholder] = ACTIONS(7433),
    [sym_delimiter] = ACTIONS(7433),
    [anon_sym_PLUS] = ACTIONS(7433),
    [anon_sym_DASH] = ACTIONS(7433),
    [anon_sym_STAR] = ACTIONS(7433),
    [anon_sym_SLASH] = ACTIONS(7433),
    [anon_sym_LT] = ACTIONS(7431),
    [anon_sym_GT] = ACTIONS(7431),
    [anon_sym_BANG] = ACTIONS(7431),
    [anon_sym_PIPE] = ACTIONS(7431),
    [anon_sym_COLON] = ACTIONS(7431),
    [anon_sym_SQUOTE] = ACTIONS(7431),
    [anon_sym__] = ACTIONS(7433),
    [anon_sym_CARET] = ACTIONS(7433),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7433),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7433),
    [anon_sym_DOLLAR] = ACTIONS(7431),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7433),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7433),
    [anon_sym_BSLASHleft] = ACTIONS(7431),
    [anon_sym_BSLASHbigl] = ACTIONS(7431),
    [anon_sym_BSLASHBigl] = ACTIONS(7431),
    [anon_sym_BSLASHbiggl] = ACTIONS(7431),
    [anon_sym_BSLASHBiggl] = ACTIONS(7431),
    [anon_sym_BSLASHtext] = ACTIONS(7431),
    [anon_sym_BSLASHintertext] = ACTIONS(7431),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7431),
    [anon_sym_BSLASHbegin] = ACTIONS(7431),
    [anon_sym_BSLASHtitle] = ACTIONS(7431),
    [anon_sym_BSLASHauthor] = ACTIONS(7431),
    [anon_sym_BSLASHusepackage] = ACTIONS(7431),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7431),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7431),
    [anon_sym_BSLASHinclude] = ACTIONS(7431),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7431),
    [anon_sym_BSLASHinput] = ACTIONS(7431),
    [anon_sym_BSLASHsubfile] = ACTIONS(7431),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7431),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7431),
    [anon_sym_BSLASHbibliography] = ACTIONS(7431),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7431),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7431),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7431),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7431),
    [anon_sym_BSLASHimport] = ACTIONS(7431),
    [anon_sym_BSLASHsubimport] = ACTIONS(7431),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7431),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7431),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7431),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7431),
    [anon_sym_BSLASHcaption] = ACTIONS(7431),
    [anon_sym_BSLASHcite] = ACTIONS(7431),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHCite] = ACTIONS(7431),
    [anon_sym_BSLASHnocite] = ACTIONS(7431),
    [anon_sym_BSLASHcitet] = ACTIONS(7431),
    [anon_sym_BSLASHcitep] = ACTIONS(7431),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHciteA] = ACTIONS(7431),
    [anon_sym_BSLASHciteR] = ACTIONS(7431),
    [anon_sym_BSLASHciteS] = ACTIONS(7431),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7431),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7431),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7431),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7431),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHciteyear] = ACTIONS(7431),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcitedate] = ACTIONS(7431),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHciteurl] = ACTIONS(7431),
    [anon_sym_BSLASHfullcite] = ACTIONS(7431),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7431),
    [anon_sym_BSLASHcitealt] = ACTIONS(7431),
    [anon_sym_BSLASHcitealp] = ACTIONS(7431),
    [anon_sym_BSLASHcitetext] = ACTIONS(7431),
    [anon_sym_BSLASHparencite] = ACTIONS(7431),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHParencite] = ACTIONS(7431),
    [anon_sym_BSLASHfootcite] = ACTIONS(7431),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7431),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7431),
    [anon_sym_BSLASHtextcite] = ACTIONS(7431),
    [anon_sym_BSLASHTextcite] = ACTIONS(7431),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7431),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7431),
    [anon_sym_BSLASHsupercite] = ACTIONS(7431),
    [anon_sym_BSLASHautocite] = ACTIONS(7431),
    [anon_sym_BSLASHAutocite] = ACTIONS(7431),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHVolcite] = ACTIONS(7431),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHavolcite] = ACTIONS(7431),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHnotecite] = ACTIONS(7431),
    [anon_sym_BSLASHNotecite] = ACTIONS(7431),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7431),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7431),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7431),
    [anon_sym_BSLASHlabel] = ACTIONS(7431),
    [anon_sym_BSLASHref] = ACTIONS(7431),
    [anon_sym_BSLASHeqref] = ACTIONS(7431),
    [anon_sym_BSLASHvref] = ACTIONS(7431),
    [anon_sym_BSLASHVref] = ACTIONS(7431),
    [anon_sym_BSLASHautoref] = ACTIONS(7431),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHpageref] = ACTIONS(7431),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHautopageref] = ACTIONS(7431),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcref] = ACTIONS(7431),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHCref] = ACTIONS(7431),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcpageref] = ACTIONS(7431),
    [anon_sym_BSLASHCpageref] = ACTIONS(7431),
    [anon_sym_BSLASHnamecref] = ACTIONS(7431),
    [anon_sym_BSLASHnameCref] = ACTIONS(7431),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7431),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7431),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7431),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7431),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7431),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7431),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7431),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7431),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7431),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7431),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7431),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7431),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7431),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7431),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7431),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7431),
    [anon_sym_BSLASHdef] = ACTIONS(7431),
    [anon_sym_BSLASHgdef] = ACTIONS(7431),
    [anon_sym_BSLASHedef] = ACTIONS(7431),
    [anon_sym_BSLASHxdef] = ACTIONS(7431),
    [anon_sym_BSLASHlet] = ACTIONS(7431),
    [anon_sym_BSLASHglet] = ACTIONS(7431),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7431),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7431),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7431),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7431),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7431),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7431),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7431),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7431),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7431),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7431),
    [anon_sym_BSLASHgls] = ACTIONS(7431),
    [anon_sym_BSLASHGls] = ACTIONS(7431),
    [anon_sym_BSLASHGLS] = ACTIONS(7431),
    [anon_sym_BSLASHglspl] = ACTIONS(7431),
    [anon_sym_BSLASHGlspl] = ACTIONS(7431),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7431),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7431),
    [anon_sym_BSLASHglslink] = ACTIONS(7431),
    [anon_sym_BSLASHglstext] = ACTIONS(7431),
    [anon_sym_BSLASHGlstext] = ACTIONS(7431),
    [anon_sym_BSLASHGLStext] = ACTIONS(7431),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7431),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7431),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7431),
    [anon_sym_BSLASHglsplural] = ACTIONS(7431),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7431),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7431),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7431),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7431),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7431),
    [anon_sym_BSLASHglsname] = ACTIONS(7431),
    [anon_sym_BSLASHGlsname] = ACTIONS(7431),
    [anon_sym_BSLASHGLSname] = ACTIONS(7431),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7431),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7431),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7431),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7431),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7431),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7431),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7431),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7431),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7431),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7431),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7431),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7431),
    [anon_sym_BSLASHacrshort] = ACTIONS(7431),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7431),
    [anon_sym_BSLASHACRshort] = ACTIONS(7431),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHacrlong] = ACTIONS(7431),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7431),
    [anon_sym_BSLASHACRlong] = ACTIONS(7431),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7431),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7431),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7431),
    [anon_sym_BSLASHacrfull] = ACTIONS(7431),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7431),
    [anon_sym_BSLASHACRfull] = ACTIONS(7431),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHacs] = ACTIONS(7431),
    [anon_sym_BSLASHAcs] = ACTIONS(7431),
    [anon_sym_BSLASHacsp] = ACTIONS(7431),
    [anon_sym_BSLASHAcsp] = ACTIONS(7431),
    [anon_sym_BSLASHacl] = ACTIONS(7431),
    [anon_sym_BSLASHAcl] = ACTIONS(7431),
    [anon_sym_BSLASHaclp] = ACTIONS(7431),
    [anon_sym_BSLASHAclp] = ACTIONS(7431),
    [anon_sym_BSLASHacf] = ACTIONS(7431),
    [anon_sym_BSLASHAcf] = ACTIONS(7431),
    [anon_sym_BSLASHacfp] = ACTIONS(7431),
    [anon_sym_BSLASHAcfp] = ACTIONS(7431),
    [anon_sym_BSLASHac] = ACTIONS(7431),
    [anon_sym_BSLASHAc] = ACTIONS(7431),
    [anon_sym_BSLASHacp] = ACTIONS(7431),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7431),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7431),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7431),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7431),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7431),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7431),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7431),
    [anon_sym_BSLASHcolor] = ACTIONS(7431),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7431),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7431),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7431),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7431),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7431),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7431),
    [anon_sym_BSLASHurl] = ACTIONS(7431),
    [anon_sym_BSLASHhref] = ACTIONS(7431),
  },
  [1241] = {
    [sym_command_name] = ACTIONS(7135),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7135),
    [anon_sym_LBRACK] = ACTIONS(7137),
    [anon_sym_RBRACK] = ACTIONS(7137),
    [anon_sym_COMMA] = ACTIONS(7137),
    [anon_sym_EQ] = ACTIONS(7137),
    [anon_sym_LPAREN] = ACTIONS(7137),
    [anon_sym_RPAREN] = ACTIONS(7137),
    [anon_sym_BSLASHpart] = ACTIONS(7135),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHaddpart] = ACTIONS(7135),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHchapter] = ACTIONS(7135),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHaddchap] = ACTIONS(7135),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHsection] = ACTIONS(7135),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHaddsec] = ACTIONS(7135),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHsubsection] = ACTIONS(7135),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7135),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHparagraph] = ACTIONS(7135),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7135),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHitem] = ACTIONS(7135),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7137),
    [anon_sym_LBRACE] = ACTIONS(7137),
    [sym_word] = ACTIONS(7135),
    [sym_placeholder] = ACTIONS(7137),
    [sym_delimiter] = ACTIONS(7137),
    [anon_sym_PLUS] = ACTIONS(7137),
    [anon_sym_DASH] = ACTIONS(7137),
    [anon_sym_STAR] = ACTIONS(7137),
    [anon_sym_SLASH] = ACTIONS(7137),
    [anon_sym_LT] = ACTIONS(7135),
    [anon_sym_GT] = ACTIONS(7135),
    [anon_sym_BANG] = ACTIONS(7135),
    [anon_sym_PIPE] = ACTIONS(7135),
    [anon_sym_COLON] = ACTIONS(7135),
    [anon_sym_SQUOTE] = ACTIONS(7135),
    [anon_sym__] = ACTIONS(7137),
    [anon_sym_CARET] = ACTIONS(7137),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7137),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7137),
    [anon_sym_DOLLAR] = ACTIONS(7135),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7137),
    [anon_sym_BSLASHleft] = ACTIONS(7135),
    [anon_sym_BSLASHbigl] = ACTIONS(7135),
    [anon_sym_BSLASHBigl] = ACTIONS(7135),
    [anon_sym_BSLASHbiggl] = ACTIONS(7135),
    [anon_sym_BSLASHBiggl] = ACTIONS(7135),
    [anon_sym_BSLASHtext] = ACTIONS(7135),
    [anon_sym_BSLASHintertext] = ACTIONS(7135),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7135),
    [anon_sym_BSLASHbegin] = ACTIONS(7135),
    [anon_sym_BSLASHend] = ACTIONS(7135),
    [anon_sym_BSLASHtitle] = ACTIONS(7135),
    [anon_sym_BSLASHauthor] = ACTIONS(7135),
    [anon_sym_BSLASHusepackage] = ACTIONS(7135),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7135),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7135),
    [anon_sym_BSLASHinclude] = ACTIONS(7135),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7135),
    [anon_sym_BSLASHinput] = ACTIONS(7135),
    [anon_sym_BSLASHsubfile] = ACTIONS(7135),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7135),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7135),
    [anon_sym_BSLASHbibliography] = ACTIONS(7135),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7135),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7135),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7135),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7135),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7135),
    [anon_sym_BSLASHimport] = ACTIONS(7135),
    [anon_sym_BSLASHsubimport] = ACTIONS(7135),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7135),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7135),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7135),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7135),
    [anon_sym_BSLASHcaption] = ACTIONS(7135),
    [anon_sym_BSLASHcite] = ACTIONS(7135),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHCite] = ACTIONS(7135),
    [anon_sym_BSLASHnocite] = ACTIONS(7135),
    [anon_sym_BSLASHcitet] = ACTIONS(7135),
    [anon_sym_BSLASHcitep] = ACTIONS(7135),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHciteA] = ACTIONS(7135),
    [anon_sym_BSLASHciteR] = ACTIONS(7135),
    [anon_sym_BSLASHciteS] = ACTIONS(7135),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7135),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7135),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7135),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7135),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHciteyear] = ACTIONS(7135),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcitedate] = ACTIONS(7135),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHciteurl] = ACTIONS(7135),
    [anon_sym_BSLASHfullcite] = ACTIONS(7135),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7135),
    [anon_sym_BSLASHcitealt] = ACTIONS(7135),
    [anon_sym_BSLASHcitealp] = ACTIONS(7135),
    [anon_sym_BSLASHcitetext] = ACTIONS(7135),
    [anon_sym_BSLASHparencite] = ACTIONS(7135),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHParencite] = ACTIONS(7135),
    [anon_sym_BSLASHfootcite] = ACTIONS(7135),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7135),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7135),
    [anon_sym_BSLASHtextcite] = ACTIONS(7135),
    [anon_sym_BSLASHTextcite] = ACTIONS(7135),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7135),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7135),
    [anon_sym_BSLASHsupercite] = ACTIONS(7135),
    [anon_sym_BSLASHautocite] = ACTIONS(7135),
    [anon_sym_BSLASHAutocite] = ACTIONS(7135),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHVolcite] = ACTIONS(7135),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHavolcite] = ACTIONS(7135),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHnotecite] = ACTIONS(7135),
    [anon_sym_BSLASHNotecite] = ACTIONS(7135),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7135),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7135),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7135),
    [anon_sym_BSLASHlabel] = ACTIONS(7135),
    [anon_sym_BSLASHref] = ACTIONS(7135),
    [anon_sym_BSLASHeqref] = ACTIONS(7135),
    [anon_sym_BSLASHvref] = ACTIONS(7135),
    [anon_sym_BSLASHVref] = ACTIONS(7135),
    [anon_sym_BSLASHautoref] = ACTIONS(7135),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHpageref] = ACTIONS(7135),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHautopageref] = ACTIONS(7135),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcref] = ACTIONS(7135),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHCref] = ACTIONS(7135),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcpageref] = ACTIONS(7135),
    [anon_sym_BSLASHCpageref] = ACTIONS(7135),
    [anon_sym_BSLASHnamecref] = ACTIONS(7135),
    [anon_sym_BSLASHnameCref] = ACTIONS(7135),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7135),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7135),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7135),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7135),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7135),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7135),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7135),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7135),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7135),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7135),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7135),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7135),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7135),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7135),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7135),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7135),
    [anon_sym_BSLASHdef] = ACTIONS(7135),
    [anon_sym_BSLASHgdef] = ACTIONS(7135),
    [anon_sym_BSLASHedef] = ACTIONS(7135),
    [anon_sym_BSLASHxdef] = ACTIONS(7135),
    [anon_sym_BSLASHlet] = ACTIONS(7135),
    [anon_sym_BSLASHglet] = ACTIONS(7135),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7135),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7135),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7135),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7135),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7135),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7135),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7135),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7135),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7135),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7135),
    [anon_sym_BSLASHgls] = ACTIONS(7135),
    [anon_sym_BSLASHGls] = ACTIONS(7135),
    [anon_sym_BSLASHGLS] = ACTIONS(7135),
    [anon_sym_BSLASHglspl] = ACTIONS(7135),
    [anon_sym_BSLASHGlspl] = ACTIONS(7135),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7135),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7135),
    [anon_sym_BSLASHglslink] = ACTIONS(7135),
    [anon_sym_BSLASHglstext] = ACTIONS(7135),
    [anon_sym_BSLASHGlstext] = ACTIONS(7135),
    [anon_sym_BSLASHGLStext] = ACTIONS(7135),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7135),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7135),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7135),
    [anon_sym_BSLASHglsplural] = ACTIONS(7135),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7135),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7135),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7135),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7135),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7135),
    [anon_sym_BSLASHglsname] = ACTIONS(7135),
    [anon_sym_BSLASHGlsname] = ACTIONS(7135),
    [anon_sym_BSLASHGLSname] = ACTIONS(7135),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7135),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7135),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7135),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7135),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7135),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7135),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7135),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7135),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7135),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7135),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7135),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7135),
    [anon_sym_BSLASHacrshort] = ACTIONS(7135),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7135),
    [anon_sym_BSLASHACRshort] = ACTIONS(7135),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHacrlong] = ACTIONS(7135),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7135),
    [anon_sym_BSLASHACRlong] = ACTIONS(7135),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7135),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7135),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7135),
    [anon_sym_BSLASHacrfull] = ACTIONS(7135),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7135),
    [anon_sym_BSLASHACRfull] = ACTIONS(7135),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHacs] = ACTIONS(7135),
    [anon_sym_BSLASHAcs] = ACTIONS(7135),
    [anon_sym_BSLASHacsp] = ACTIONS(7135),
    [anon_sym_BSLASHAcsp] = ACTIONS(7135),
    [anon_sym_BSLASHacl] = ACTIONS(7135),
    [anon_sym_BSLASHAcl] = ACTIONS(7135),
    [anon_sym_BSLASHaclp] = ACTIONS(7135),
    [anon_sym_BSLASHAclp] = ACTIONS(7135),
    [anon_sym_BSLASHacf] = ACTIONS(7135),
    [anon_sym_BSLASHAcf] = ACTIONS(7135),
    [anon_sym_BSLASHacfp] = ACTIONS(7135),
    [anon_sym_BSLASHAcfp] = ACTIONS(7135),
    [anon_sym_BSLASHac] = ACTIONS(7135),
    [anon_sym_BSLASHAc] = ACTIONS(7135),
    [anon_sym_BSLASHacp] = ACTIONS(7135),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7135),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7135),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7135),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7135),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7135),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7135),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7135),
    [anon_sym_BSLASHcolor] = ACTIONS(7135),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7135),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7135),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7135),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7135),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7135),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7135),
    [anon_sym_BSLASHurl] = ACTIONS(7135),
    [anon_sym_BSLASHhref] = ACTIONS(7135),
  },
  [1242] = {
    [sym_command_name] = ACTIONS(7435),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7435),
    [anon_sym_LBRACK] = ACTIONS(7437),
    [anon_sym_RBRACK] = ACTIONS(7437),
    [anon_sym_COMMA] = ACTIONS(7437),
    [anon_sym_EQ] = ACTIONS(7437),
    [anon_sym_LPAREN] = ACTIONS(7437),
    [anon_sym_RPAREN] = ACTIONS(7437),
    [anon_sym_BSLASHpart] = ACTIONS(7435),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHaddpart] = ACTIONS(7435),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHchapter] = ACTIONS(7435),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHaddchap] = ACTIONS(7435),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHsection] = ACTIONS(7435),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHaddsec] = ACTIONS(7435),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHsubsection] = ACTIONS(7435),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7435),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHparagraph] = ACTIONS(7435),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7435),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHitem] = ACTIONS(7435),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7437),
    [anon_sym_LBRACE] = ACTIONS(7437),
    [sym_word] = ACTIONS(7435),
    [sym_placeholder] = ACTIONS(7437),
    [sym_delimiter] = ACTIONS(7437),
    [anon_sym_PLUS] = ACTIONS(7437),
    [anon_sym_DASH] = ACTIONS(7437),
    [anon_sym_STAR] = ACTIONS(7437),
    [anon_sym_SLASH] = ACTIONS(7437),
    [anon_sym_LT] = ACTIONS(7435),
    [anon_sym_GT] = ACTIONS(7435),
    [anon_sym_BANG] = ACTIONS(7435),
    [anon_sym_PIPE] = ACTIONS(7435),
    [anon_sym_COLON] = ACTIONS(7435),
    [anon_sym_SQUOTE] = ACTIONS(7435),
    [anon_sym__] = ACTIONS(7437),
    [anon_sym_CARET] = ACTIONS(7437),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7437),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7437),
    [anon_sym_DOLLAR] = ACTIONS(7435),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7437),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7437),
    [anon_sym_BSLASHleft] = ACTIONS(7435),
    [anon_sym_BSLASHbigl] = ACTIONS(7435),
    [anon_sym_BSLASHBigl] = ACTIONS(7435),
    [anon_sym_BSLASHbiggl] = ACTIONS(7435),
    [anon_sym_BSLASHBiggl] = ACTIONS(7435),
    [anon_sym_BSLASHtext] = ACTIONS(7435),
    [anon_sym_BSLASHintertext] = ACTIONS(7435),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7435),
    [anon_sym_BSLASHbegin] = ACTIONS(7435),
    [anon_sym_BSLASHtitle] = ACTIONS(7435),
    [anon_sym_BSLASHauthor] = ACTIONS(7435),
    [anon_sym_BSLASHusepackage] = ACTIONS(7435),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7435),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7435),
    [anon_sym_BSLASHinclude] = ACTIONS(7435),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7435),
    [anon_sym_BSLASHinput] = ACTIONS(7435),
    [anon_sym_BSLASHsubfile] = ACTIONS(7435),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7435),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7435),
    [anon_sym_BSLASHbibliography] = ACTIONS(7435),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7435),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7435),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7435),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7435),
    [anon_sym_BSLASHimport] = ACTIONS(7435),
    [anon_sym_BSLASHsubimport] = ACTIONS(7435),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7435),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7435),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7435),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7435),
    [anon_sym_BSLASHcaption] = ACTIONS(7435),
    [anon_sym_BSLASHcite] = ACTIONS(7435),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHCite] = ACTIONS(7435),
    [anon_sym_BSLASHnocite] = ACTIONS(7435),
    [anon_sym_BSLASHcitet] = ACTIONS(7435),
    [anon_sym_BSLASHcitep] = ACTIONS(7435),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHciteA] = ACTIONS(7435),
    [anon_sym_BSLASHciteR] = ACTIONS(7435),
    [anon_sym_BSLASHciteS] = ACTIONS(7435),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7435),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7435),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7435),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7435),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHciteyear] = ACTIONS(7435),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcitedate] = ACTIONS(7435),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHciteurl] = ACTIONS(7435),
    [anon_sym_BSLASHfullcite] = ACTIONS(7435),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7435),
    [anon_sym_BSLASHcitealt] = ACTIONS(7435),
    [anon_sym_BSLASHcitealp] = ACTIONS(7435),
    [anon_sym_BSLASHcitetext] = ACTIONS(7435),
    [anon_sym_BSLASHparencite] = ACTIONS(7435),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHParencite] = ACTIONS(7435),
    [anon_sym_BSLASHfootcite] = ACTIONS(7435),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7435),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7435),
    [anon_sym_BSLASHtextcite] = ACTIONS(7435),
    [anon_sym_BSLASHTextcite] = ACTIONS(7435),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7435),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7435),
    [anon_sym_BSLASHsupercite] = ACTIONS(7435),
    [anon_sym_BSLASHautocite] = ACTIONS(7435),
    [anon_sym_BSLASHAutocite] = ACTIONS(7435),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHVolcite] = ACTIONS(7435),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHavolcite] = ACTIONS(7435),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHnotecite] = ACTIONS(7435),
    [anon_sym_BSLASHNotecite] = ACTIONS(7435),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7435),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7435),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7435),
    [anon_sym_BSLASHlabel] = ACTIONS(7435),
    [anon_sym_BSLASHref] = ACTIONS(7435),
    [anon_sym_BSLASHeqref] = ACTIONS(7435),
    [anon_sym_BSLASHvref] = ACTIONS(7435),
    [anon_sym_BSLASHVref] = ACTIONS(7435),
    [anon_sym_BSLASHautoref] = ACTIONS(7435),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHpageref] = ACTIONS(7435),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHautopageref] = ACTIONS(7435),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcref] = ACTIONS(7435),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHCref] = ACTIONS(7435),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcpageref] = ACTIONS(7435),
    [anon_sym_BSLASHCpageref] = ACTIONS(7435),
    [anon_sym_BSLASHnamecref] = ACTIONS(7435),
    [anon_sym_BSLASHnameCref] = ACTIONS(7435),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7435),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7435),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7435),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7435),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7435),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7435),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7435),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7435),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7435),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7435),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7435),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7435),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7435),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7435),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7435),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7435),
    [anon_sym_BSLASHdef] = ACTIONS(7435),
    [anon_sym_BSLASHgdef] = ACTIONS(7435),
    [anon_sym_BSLASHedef] = ACTIONS(7435),
    [anon_sym_BSLASHxdef] = ACTIONS(7435),
    [anon_sym_BSLASHlet] = ACTIONS(7435),
    [anon_sym_BSLASHglet] = ACTIONS(7435),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7435),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7435),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7435),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7435),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7435),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7435),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7435),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7435),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7435),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7435),
    [anon_sym_BSLASHgls] = ACTIONS(7435),
    [anon_sym_BSLASHGls] = ACTIONS(7435),
    [anon_sym_BSLASHGLS] = ACTIONS(7435),
    [anon_sym_BSLASHglspl] = ACTIONS(7435),
    [anon_sym_BSLASHGlspl] = ACTIONS(7435),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7435),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7435),
    [anon_sym_BSLASHglslink] = ACTIONS(7435),
    [anon_sym_BSLASHglstext] = ACTIONS(7435),
    [anon_sym_BSLASHGlstext] = ACTIONS(7435),
    [anon_sym_BSLASHGLStext] = ACTIONS(7435),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7435),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7435),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7435),
    [anon_sym_BSLASHglsplural] = ACTIONS(7435),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7435),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7435),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7435),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7435),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7435),
    [anon_sym_BSLASHglsname] = ACTIONS(7435),
    [anon_sym_BSLASHGlsname] = ACTIONS(7435),
    [anon_sym_BSLASHGLSname] = ACTIONS(7435),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7435),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7435),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7435),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7435),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7435),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7435),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7435),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7435),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7435),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7435),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7435),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7435),
    [anon_sym_BSLASHacrshort] = ACTIONS(7435),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7435),
    [anon_sym_BSLASHACRshort] = ACTIONS(7435),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHacrlong] = ACTIONS(7435),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7435),
    [anon_sym_BSLASHACRlong] = ACTIONS(7435),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7435),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7435),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7435),
    [anon_sym_BSLASHacrfull] = ACTIONS(7435),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7435),
    [anon_sym_BSLASHACRfull] = ACTIONS(7435),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHacs] = ACTIONS(7435),
    [anon_sym_BSLASHAcs] = ACTIONS(7435),
    [anon_sym_BSLASHacsp] = ACTIONS(7435),
    [anon_sym_BSLASHAcsp] = ACTIONS(7435),
    [anon_sym_BSLASHacl] = ACTIONS(7435),
    [anon_sym_BSLASHAcl] = ACTIONS(7435),
    [anon_sym_BSLASHaclp] = ACTIONS(7435),
    [anon_sym_BSLASHAclp] = ACTIONS(7435),
    [anon_sym_BSLASHacf] = ACTIONS(7435),
    [anon_sym_BSLASHAcf] = ACTIONS(7435),
    [anon_sym_BSLASHacfp] = ACTIONS(7435),
    [anon_sym_BSLASHAcfp] = ACTIONS(7435),
    [anon_sym_BSLASHac] = ACTIONS(7435),
    [anon_sym_BSLASHAc] = ACTIONS(7435),
    [anon_sym_BSLASHacp] = ACTIONS(7435),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7435),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7435),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7435),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7435),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7435),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7435),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7435),
    [anon_sym_BSLASHcolor] = ACTIONS(7435),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7435),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7435),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7435),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7435),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7435),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7435),
    [anon_sym_BSLASHurl] = ACTIONS(7435),
    [anon_sym_BSLASHhref] = ACTIONS(7435),
  },
  [1243] = {
    [sym_command_name] = ACTIONS(7439),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7439),
    [anon_sym_LBRACK] = ACTIONS(7441),
    [anon_sym_RBRACK] = ACTIONS(7441),
    [anon_sym_COMMA] = ACTIONS(7441),
    [anon_sym_EQ] = ACTIONS(7441),
    [anon_sym_LPAREN] = ACTIONS(7441),
    [anon_sym_RPAREN] = ACTIONS(7441),
    [anon_sym_BSLASHpart] = ACTIONS(7439),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHaddpart] = ACTIONS(7439),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHchapter] = ACTIONS(7439),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHaddchap] = ACTIONS(7439),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHsection] = ACTIONS(7439),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHaddsec] = ACTIONS(7439),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHsubsection] = ACTIONS(7439),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7439),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHparagraph] = ACTIONS(7439),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7439),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHitem] = ACTIONS(7439),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7441),
    [anon_sym_LBRACE] = ACTIONS(7441),
    [sym_word] = ACTIONS(7439),
    [sym_placeholder] = ACTIONS(7441),
    [sym_delimiter] = ACTIONS(7441),
    [anon_sym_PLUS] = ACTIONS(7441),
    [anon_sym_DASH] = ACTIONS(7441),
    [anon_sym_STAR] = ACTIONS(7441),
    [anon_sym_SLASH] = ACTIONS(7441),
    [anon_sym_LT] = ACTIONS(7439),
    [anon_sym_GT] = ACTIONS(7439),
    [anon_sym_BANG] = ACTIONS(7439),
    [anon_sym_PIPE] = ACTIONS(7439),
    [anon_sym_COLON] = ACTIONS(7439),
    [anon_sym_SQUOTE] = ACTIONS(7439),
    [anon_sym__] = ACTIONS(7441),
    [anon_sym_CARET] = ACTIONS(7441),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7441),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7441),
    [anon_sym_DOLLAR] = ACTIONS(7439),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7441),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7441),
    [anon_sym_BSLASHleft] = ACTIONS(7439),
    [anon_sym_BSLASHbigl] = ACTIONS(7439),
    [anon_sym_BSLASHBigl] = ACTIONS(7439),
    [anon_sym_BSLASHbiggl] = ACTIONS(7439),
    [anon_sym_BSLASHBiggl] = ACTIONS(7439),
    [anon_sym_BSLASHtext] = ACTIONS(7439),
    [anon_sym_BSLASHintertext] = ACTIONS(7439),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7439),
    [anon_sym_BSLASHbegin] = ACTIONS(7439),
    [anon_sym_BSLASHtitle] = ACTIONS(7439),
    [anon_sym_BSLASHauthor] = ACTIONS(7439),
    [anon_sym_BSLASHusepackage] = ACTIONS(7439),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7439),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7439),
    [anon_sym_BSLASHinclude] = ACTIONS(7439),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7439),
    [anon_sym_BSLASHinput] = ACTIONS(7439),
    [anon_sym_BSLASHsubfile] = ACTIONS(7439),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7439),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7439),
    [anon_sym_BSLASHbibliography] = ACTIONS(7439),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7439),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7439),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7439),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7439),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7439),
    [anon_sym_BSLASHimport] = ACTIONS(7439),
    [anon_sym_BSLASHsubimport] = ACTIONS(7439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7439),
    [anon_sym_BSLASHcaption] = ACTIONS(7439),
    [anon_sym_BSLASHcite] = ACTIONS(7439),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHCite] = ACTIONS(7439),
    [anon_sym_BSLASHnocite] = ACTIONS(7439),
    [anon_sym_BSLASHcitet] = ACTIONS(7439),
    [anon_sym_BSLASHcitep] = ACTIONS(7439),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHciteA] = ACTIONS(7439),
    [anon_sym_BSLASHciteR] = ACTIONS(7439),
    [anon_sym_BSLASHciteS] = ACTIONS(7439),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7439),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7439),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7439),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7439),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHciteyear] = ACTIONS(7439),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcitedate] = ACTIONS(7439),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHciteurl] = ACTIONS(7439),
    [anon_sym_BSLASHfullcite] = ACTIONS(7439),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7439),
    [anon_sym_BSLASHcitealt] = ACTIONS(7439),
    [anon_sym_BSLASHcitealp] = ACTIONS(7439),
    [anon_sym_BSLASHcitetext] = ACTIONS(7439),
    [anon_sym_BSLASHparencite] = ACTIONS(7439),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHParencite] = ACTIONS(7439),
    [anon_sym_BSLASHfootcite] = ACTIONS(7439),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7439),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7439),
    [anon_sym_BSLASHtextcite] = ACTIONS(7439),
    [anon_sym_BSLASHTextcite] = ACTIONS(7439),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7439),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7439),
    [anon_sym_BSLASHsupercite] = ACTIONS(7439),
    [anon_sym_BSLASHautocite] = ACTIONS(7439),
    [anon_sym_BSLASHAutocite] = ACTIONS(7439),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHVolcite] = ACTIONS(7439),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHavolcite] = ACTIONS(7439),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHnotecite] = ACTIONS(7439),
    [anon_sym_BSLASHNotecite] = ACTIONS(7439),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7439),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7439),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7439),
    [anon_sym_BSLASHlabel] = ACTIONS(7439),
    [anon_sym_BSLASHref] = ACTIONS(7439),
    [anon_sym_BSLASHeqref] = ACTIONS(7439),
    [anon_sym_BSLASHvref] = ACTIONS(7439),
    [anon_sym_BSLASHVref] = ACTIONS(7439),
    [anon_sym_BSLASHautoref] = ACTIONS(7439),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHpageref] = ACTIONS(7439),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHautopageref] = ACTIONS(7439),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcref] = ACTIONS(7439),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHCref] = ACTIONS(7439),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcpageref] = ACTIONS(7439),
    [anon_sym_BSLASHCpageref] = ACTIONS(7439),
    [anon_sym_BSLASHnamecref] = ACTIONS(7439),
    [anon_sym_BSLASHnameCref] = ACTIONS(7439),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7439),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7439),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7439),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7439),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7439),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7439),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7439),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7439),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7439),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7439),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7439),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7439),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7439),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7439),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7439),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7439),
    [anon_sym_BSLASHdef] = ACTIONS(7439),
    [anon_sym_BSLASHgdef] = ACTIONS(7439),
    [anon_sym_BSLASHedef] = ACTIONS(7439),
    [anon_sym_BSLASHxdef] = ACTIONS(7439),
    [anon_sym_BSLASHlet] = ACTIONS(7439),
    [anon_sym_BSLASHglet] = ACTIONS(7439),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7439),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7439),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7439),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7439),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7439),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7439),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7439),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7439),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7439),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7439),
    [anon_sym_BSLASHgls] = ACTIONS(7439),
    [anon_sym_BSLASHGls] = ACTIONS(7439),
    [anon_sym_BSLASHGLS] = ACTIONS(7439),
    [anon_sym_BSLASHglspl] = ACTIONS(7439),
    [anon_sym_BSLASHGlspl] = ACTIONS(7439),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7439),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7439),
    [anon_sym_BSLASHglslink] = ACTIONS(7439),
    [anon_sym_BSLASHglstext] = ACTIONS(7439),
    [anon_sym_BSLASHGlstext] = ACTIONS(7439),
    [anon_sym_BSLASHGLStext] = ACTIONS(7439),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7439),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7439),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7439),
    [anon_sym_BSLASHglsplural] = ACTIONS(7439),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7439),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7439),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7439),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7439),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7439),
    [anon_sym_BSLASHglsname] = ACTIONS(7439),
    [anon_sym_BSLASHGlsname] = ACTIONS(7439),
    [anon_sym_BSLASHGLSname] = ACTIONS(7439),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7439),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7439),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7439),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7439),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7439),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7439),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7439),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7439),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7439),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7439),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7439),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7439),
    [anon_sym_BSLASHacrshort] = ACTIONS(7439),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7439),
    [anon_sym_BSLASHACRshort] = ACTIONS(7439),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHacrlong] = ACTIONS(7439),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7439),
    [anon_sym_BSLASHACRlong] = ACTIONS(7439),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7439),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7439),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7439),
    [anon_sym_BSLASHacrfull] = ACTIONS(7439),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7439),
    [anon_sym_BSLASHACRfull] = ACTIONS(7439),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHacs] = ACTIONS(7439),
    [anon_sym_BSLASHAcs] = ACTIONS(7439),
    [anon_sym_BSLASHacsp] = ACTIONS(7439),
    [anon_sym_BSLASHAcsp] = ACTIONS(7439),
    [anon_sym_BSLASHacl] = ACTIONS(7439),
    [anon_sym_BSLASHAcl] = ACTIONS(7439),
    [anon_sym_BSLASHaclp] = ACTIONS(7439),
    [anon_sym_BSLASHAclp] = ACTIONS(7439),
    [anon_sym_BSLASHacf] = ACTIONS(7439),
    [anon_sym_BSLASHAcf] = ACTIONS(7439),
    [anon_sym_BSLASHacfp] = ACTIONS(7439),
    [anon_sym_BSLASHAcfp] = ACTIONS(7439),
    [anon_sym_BSLASHac] = ACTIONS(7439),
    [anon_sym_BSLASHAc] = ACTIONS(7439),
    [anon_sym_BSLASHacp] = ACTIONS(7439),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7439),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7439),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7439),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7439),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7439),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7439),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7439),
    [anon_sym_BSLASHcolor] = ACTIONS(7439),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7439),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7439),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7439),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7439),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7439),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7439),
    [anon_sym_BSLASHurl] = ACTIONS(7439),
    [anon_sym_BSLASHhref] = ACTIONS(7439),
  },
  [1244] = {
    [sym_command_name] = ACTIONS(7443),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7443),
    [anon_sym_LBRACK] = ACTIONS(7445),
    [anon_sym_RBRACK] = ACTIONS(7445),
    [anon_sym_COMMA] = ACTIONS(7445),
    [anon_sym_EQ] = ACTIONS(7445),
    [anon_sym_LPAREN] = ACTIONS(7445),
    [anon_sym_RPAREN] = ACTIONS(7445),
    [anon_sym_BSLASHpart] = ACTIONS(7443),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHaddpart] = ACTIONS(7443),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHchapter] = ACTIONS(7443),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHaddchap] = ACTIONS(7443),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHsection] = ACTIONS(7443),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHaddsec] = ACTIONS(7443),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHsubsection] = ACTIONS(7443),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7443),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHparagraph] = ACTIONS(7443),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7443),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHitem] = ACTIONS(7443),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7445),
    [anon_sym_LBRACE] = ACTIONS(7445),
    [sym_word] = ACTIONS(7443),
    [sym_placeholder] = ACTIONS(7445),
    [sym_delimiter] = ACTIONS(7445),
    [anon_sym_PLUS] = ACTIONS(7445),
    [anon_sym_DASH] = ACTIONS(7445),
    [anon_sym_STAR] = ACTIONS(7445),
    [anon_sym_SLASH] = ACTIONS(7445),
    [anon_sym_LT] = ACTIONS(7443),
    [anon_sym_GT] = ACTIONS(7443),
    [anon_sym_BANG] = ACTIONS(7443),
    [anon_sym_PIPE] = ACTIONS(7443),
    [anon_sym_COLON] = ACTIONS(7443),
    [anon_sym_SQUOTE] = ACTIONS(7443),
    [anon_sym__] = ACTIONS(7445),
    [anon_sym_CARET] = ACTIONS(7445),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7445),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7445),
    [anon_sym_DOLLAR] = ACTIONS(7443),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7445),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7445),
    [anon_sym_BSLASHleft] = ACTIONS(7443),
    [anon_sym_BSLASHbigl] = ACTIONS(7443),
    [anon_sym_BSLASHBigl] = ACTIONS(7443),
    [anon_sym_BSLASHbiggl] = ACTIONS(7443),
    [anon_sym_BSLASHBiggl] = ACTIONS(7443),
    [anon_sym_BSLASHtext] = ACTIONS(7443),
    [anon_sym_BSLASHintertext] = ACTIONS(7443),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7443),
    [anon_sym_BSLASHbegin] = ACTIONS(7443),
    [anon_sym_BSLASHtitle] = ACTIONS(7443),
    [anon_sym_BSLASHauthor] = ACTIONS(7443),
    [anon_sym_BSLASHusepackage] = ACTIONS(7443),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7443),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7443),
    [anon_sym_BSLASHinclude] = ACTIONS(7443),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7443),
    [anon_sym_BSLASHinput] = ACTIONS(7443),
    [anon_sym_BSLASHsubfile] = ACTIONS(7443),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7443),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7443),
    [anon_sym_BSLASHbibliography] = ACTIONS(7443),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7443),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7443),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7443),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7443),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7443),
    [anon_sym_BSLASHimport] = ACTIONS(7443),
    [anon_sym_BSLASHsubimport] = ACTIONS(7443),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7443),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7443),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7443),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7443),
    [anon_sym_BSLASHcaption] = ACTIONS(7443),
    [anon_sym_BSLASHcite] = ACTIONS(7443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHCite] = ACTIONS(7443),
    [anon_sym_BSLASHnocite] = ACTIONS(7443),
    [anon_sym_BSLASHcitet] = ACTIONS(7443),
    [anon_sym_BSLASHcitep] = ACTIONS(7443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHciteA] = ACTIONS(7443),
    [anon_sym_BSLASHciteR] = ACTIONS(7443),
    [anon_sym_BSLASHciteS] = ACTIONS(7443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHciteyear] = ACTIONS(7443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcitedate] = ACTIONS(7443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHciteurl] = ACTIONS(7443),
    [anon_sym_BSLASHfullcite] = ACTIONS(7443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7443),
    [anon_sym_BSLASHcitealt] = ACTIONS(7443),
    [anon_sym_BSLASHcitealp] = ACTIONS(7443),
    [anon_sym_BSLASHcitetext] = ACTIONS(7443),
    [anon_sym_BSLASHparencite] = ACTIONS(7443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHParencite] = ACTIONS(7443),
    [anon_sym_BSLASHfootcite] = ACTIONS(7443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7443),
    [anon_sym_BSLASHtextcite] = ACTIONS(7443),
    [anon_sym_BSLASHTextcite] = ACTIONS(7443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7443),
    [anon_sym_BSLASHsupercite] = ACTIONS(7443),
    [anon_sym_BSLASHautocite] = ACTIONS(7443),
    [anon_sym_BSLASHAutocite] = ACTIONS(7443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHVolcite] = ACTIONS(7443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHavolcite] = ACTIONS(7443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHnotecite] = ACTIONS(7443),
    [anon_sym_BSLASHNotecite] = ACTIONS(7443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7443),
    [anon_sym_BSLASHlabel] = ACTIONS(7443),
    [anon_sym_BSLASHref] = ACTIONS(7443),
    [anon_sym_BSLASHeqref] = ACTIONS(7443),
    [anon_sym_BSLASHvref] = ACTIONS(7443),
    [anon_sym_BSLASHVref] = ACTIONS(7443),
    [anon_sym_BSLASHautoref] = ACTIONS(7443),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHpageref] = ACTIONS(7443),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHautopageref] = ACTIONS(7443),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcref] = ACTIONS(7443),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHCref] = ACTIONS(7443),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcpageref] = ACTIONS(7443),
    [anon_sym_BSLASHCpageref] = ACTIONS(7443),
    [anon_sym_BSLASHnamecref] = ACTIONS(7443),
    [anon_sym_BSLASHnameCref] = ACTIONS(7443),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7443),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7443),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7443),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7443),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7443),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7443),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7443),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7443),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7443),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7443),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7443),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7443),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7443),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7443),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7443),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7443),
    [anon_sym_BSLASHdef] = ACTIONS(7443),
    [anon_sym_BSLASHgdef] = ACTIONS(7443),
    [anon_sym_BSLASHedef] = ACTIONS(7443),
    [anon_sym_BSLASHxdef] = ACTIONS(7443),
    [anon_sym_BSLASHlet] = ACTIONS(7443),
    [anon_sym_BSLASHglet] = ACTIONS(7443),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7443),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7443),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7443),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7443),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7443),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7443),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7443),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7443),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7443),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7443),
    [anon_sym_BSLASHgls] = ACTIONS(7443),
    [anon_sym_BSLASHGls] = ACTIONS(7443),
    [anon_sym_BSLASHGLS] = ACTIONS(7443),
    [anon_sym_BSLASHglspl] = ACTIONS(7443),
    [anon_sym_BSLASHGlspl] = ACTIONS(7443),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7443),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7443),
    [anon_sym_BSLASHglslink] = ACTIONS(7443),
    [anon_sym_BSLASHglstext] = ACTIONS(7443),
    [anon_sym_BSLASHGlstext] = ACTIONS(7443),
    [anon_sym_BSLASHGLStext] = ACTIONS(7443),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7443),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7443),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7443),
    [anon_sym_BSLASHglsplural] = ACTIONS(7443),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7443),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7443),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7443),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7443),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7443),
    [anon_sym_BSLASHglsname] = ACTIONS(7443),
    [anon_sym_BSLASHGlsname] = ACTIONS(7443),
    [anon_sym_BSLASHGLSname] = ACTIONS(7443),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7443),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7443),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7443),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7443),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7443),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7443),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7443),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7443),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7443),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7443),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7443),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7443),
    [anon_sym_BSLASHacrshort] = ACTIONS(7443),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7443),
    [anon_sym_BSLASHACRshort] = ACTIONS(7443),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHacrlong] = ACTIONS(7443),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7443),
    [anon_sym_BSLASHACRlong] = ACTIONS(7443),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7443),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7443),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7443),
    [anon_sym_BSLASHacrfull] = ACTIONS(7443),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7443),
    [anon_sym_BSLASHACRfull] = ACTIONS(7443),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHacs] = ACTIONS(7443),
    [anon_sym_BSLASHAcs] = ACTIONS(7443),
    [anon_sym_BSLASHacsp] = ACTIONS(7443),
    [anon_sym_BSLASHAcsp] = ACTIONS(7443),
    [anon_sym_BSLASHacl] = ACTIONS(7443),
    [anon_sym_BSLASHAcl] = ACTIONS(7443),
    [anon_sym_BSLASHaclp] = ACTIONS(7443),
    [anon_sym_BSLASHAclp] = ACTIONS(7443),
    [anon_sym_BSLASHacf] = ACTIONS(7443),
    [anon_sym_BSLASHAcf] = ACTIONS(7443),
    [anon_sym_BSLASHacfp] = ACTIONS(7443),
    [anon_sym_BSLASHAcfp] = ACTIONS(7443),
    [anon_sym_BSLASHac] = ACTIONS(7443),
    [anon_sym_BSLASHAc] = ACTIONS(7443),
    [anon_sym_BSLASHacp] = ACTIONS(7443),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7443),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7443),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7443),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7443),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7443),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7443),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7443),
    [anon_sym_BSLASHcolor] = ACTIONS(7443),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7443),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7443),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7443),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7443),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7443),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7443),
    [anon_sym_BSLASHurl] = ACTIONS(7443),
    [anon_sym_BSLASHhref] = ACTIONS(7443),
  },
  [1245] = {
    [sym_command_name] = ACTIONS(7463),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7463),
    [anon_sym_LBRACK] = ACTIONS(7465),
    [anon_sym_RBRACK] = ACTIONS(7465),
    [anon_sym_COMMA] = ACTIONS(7465),
    [anon_sym_EQ] = ACTIONS(7465),
    [anon_sym_LPAREN] = ACTIONS(7465),
    [anon_sym_RPAREN] = ACTIONS(7465),
    [anon_sym_BSLASHpart] = ACTIONS(7463),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHaddpart] = ACTIONS(7463),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHchapter] = ACTIONS(7463),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHaddchap] = ACTIONS(7463),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHsection] = ACTIONS(7463),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHaddsec] = ACTIONS(7463),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHsubsection] = ACTIONS(7463),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7463),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHparagraph] = ACTIONS(7463),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7463),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHitem] = ACTIONS(7463),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7465),
    [anon_sym_LBRACE] = ACTIONS(7465),
    [sym_word] = ACTIONS(7463),
    [sym_placeholder] = ACTIONS(7465),
    [sym_delimiter] = ACTIONS(7465),
    [anon_sym_PLUS] = ACTIONS(7465),
    [anon_sym_DASH] = ACTIONS(7465),
    [anon_sym_STAR] = ACTIONS(7465),
    [anon_sym_SLASH] = ACTIONS(7465),
    [anon_sym_LT] = ACTIONS(7463),
    [anon_sym_GT] = ACTIONS(7463),
    [anon_sym_BANG] = ACTIONS(7463),
    [anon_sym_PIPE] = ACTIONS(7463),
    [anon_sym_COLON] = ACTIONS(7463),
    [anon_sym_SQUOTE] = ACTIONS(7463),
    [anon_sym__] = ACTIONS(7465),
    [anon_sym_CARET] = ACTIONS(7465),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7465),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7465),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7465),
    [anon_sym_DOLLAR] = ACTIONS(7463),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7465),
    [anon_sym_BSLASHleft] = ACTIONS(7463),
    [anon_sym_BSLASHbigl] = ACTIONS(7463),
    [anon_sym_BSLASHBigl] = ACTIONS(7463),
    [anon_sym_BSLASHbiggl] = ACTIONS(7463),
    [anon_sym_BSLASHBiggl] = ACTIONS(7463),
    [anon_sym_BSLASHtext] = ACTIONS(7463),
    [anon_sym_BSLASHintertext] = ACTIONS(7463),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7463),
    [anon_sym_BSLASHbegin] = ACTIONS(7463),
    [anon_sym_BSLASHtitle] = ACTIONS(7463),
    [anon_sym_BSLASHauthor] = ACTIONS(7463),
    [anon_sym_BSLASHusepackage] = ACTIONS(7463),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7463),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7463),
    [anon_sym_BSLASHinclude] = ACTIONS(7463),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7463),
    [anon_sym_BSLASHinput] = ACTIONS(7463),
    [anon_sym_BSLASHsubfile] = ACTIONS(7463),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7463),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7463),
    [anon_sym_BSLASHbibliography] = ACTIONS(7463),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7463),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7463),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7463),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7463),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7463),
    [anon_sym_BSLASHimport] = ACTIONS(7463),
    [anon_sym_BSLASHsubimport] = ACTIONS(7463),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7463),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7463),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7463),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7463),
    [anon_sym_BSLASHcaption] = ACTIONS(7463),
    [anon_sym_BSLASHcite] = ACTIONS(7463),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCite] = ACTIONS(7463),
    [anon_sym_BSLASHnocite] = ACTIONS(7463),
    [anon_sym_BSLASHcitet] = ACTIONS(7463),
    [anon_sym_BSLASHcitep] = ACTIONS(7463),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteA] = ACTIONS(7463),
    [anon_sym_BSLASHciteR] = ACTIONS(7463),
    [anon_sym_BSLASHciteS] = ACTIONS(7463),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7463),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7463),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7463),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7463),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteyear] = ACTIONS(7463),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitedate] = ACTIONS(7463),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteurl] = ACTIONS(7463),
    [anon_sym_BSLASHfullcite] = ACTIONS(7463),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7463),
    [anon_sym_BSLASHcitealt] = ACTIONS(7463),
    [anon_sym_BSLASHcitealp] = ACTIONS(7463),
    [anon_sym_BSLASHcitetext] = ACTIONS(7463),
    [anon_sym_BSLASHparencite] = ACTIONS(7463),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHParencite] = ACTIONS(7463),
    [anon_sym_BSLASHfootcite] = ACTIONS(7463),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7463),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7463),
    [anon_sym_BSLASHtextcite] = ACTIONS(7463),
    [anon_sym_BSLASHTextcite] = ACTIONS(7463),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7463),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7463),
    [anon_sym_BSLASHsupercite] = ACTIONS(7463),
    [anon_sym_BSLASHautocite] = ACTIONS(7463),
    [anon_sym_BSLASHAutocite] = ACTIONS(7463),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHVolcite] = ACTIONS(7463),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHavolcite] = ACTIONS(7463),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHNotecite] = ACTIONS(7463),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHlabel] = ACTIONS(7463),
    [anon_sym_BSLASHref] = ACTIONS(7463),
    [anon_sym_BSLASHeqref] = ACTIONS(7463),
    [anon_sym_BSLASHvref] = ACTIONS(7463),
    [anon_sym_BSLASHVref] = ACTIONS(7463),
    [anon_sym_BSLASHautoref] = ACTIONS(7463),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHpageref] = ACTIONS(7463),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHautopageref] = ACTIONS(7463),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcref] = ACTIONS(7463),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCref] = ACTIONS(7463),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcpageref] = ACTIONS(7463),
    [anon_sym_BSLASHCpageref] = ACTIONS(7463),
    [anon_sym_BSLASHnamecref] = ACTIONS(7463),
    [anon_sym_BSLASHnameCref] = ACTIONS(7463),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7463),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7463),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7463),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7463),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7463),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7463),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7463),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7463),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7463),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7463),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7463),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHdef] = ACTIONS(7463),
    [anon_sym_BSLASHgdef] = ACTIONS(7463),
    [anon_sym_BSLASHedef] = ACTIONS(7463),
    [anon_sym_BSLASHxdef] = ACTIONS(7463),
    [anon_sym_BSLASHlet] = ACTIONS(7463),
    [anon_sym_BSLASHglet] = ACTIONS(7463),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7463),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7463),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7463),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7463),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7463),
    [anon_sym_BSLASHgls] = ACTIONS(7463),
    [anon_sym_BSLASHGls] = ACTIONS(7463),
    [anon_sym_BSLASHGLS] = ACTIONS(7463),
    [anon_sym_BSLASHglspl] = ACTIONS(7463),
    [anon_sym_BSLASHGlspl] = ACTIONS(7463),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7463),
    [anon_sym_BSLASHglslink] = ACTIONS(7463),
    [anon_sym_BSLASHglstext] = ACTIONS(7463),
    [anon_sym_BSLASHGlstext] = ACTIONS(7463),
    [anon_sym_BSLASHGLStext] = ACTIONS(7463),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7463),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7463),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7463),
    [anon_sym_BSLASHglsplural] = ACTIONS(7463),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7463),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7463),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHglsname] = ACTIONS(7463),
    [anon_sym_BSLASHGlsname] = ACTIONS(7463),
    [anon_sym_BSLASHGLSname] = ACTIONS(7463),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7463),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7463),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7463),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7463),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7463),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7463),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7463),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7463),
    [anon_sym_BSLASHacrshort] = ACTIONS(7463),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7463),
    [anon_sym_BSLASHACRshort] = ACTIONS(7463),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHacrlong] = ACTIONS(7463),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7463),
    [anon_sym_BSLASHACRlong] = ACTIONS(7463),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHacrfull] = ACTIONS(7463),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7463),
    [anon_sym_BSLASHACRfull] = ACTIONS(7463),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHacs] = ACTIONS(7463),
    [anon_sym_BSLASHAcs] = ACTIONS(7463),
    [anon_sym_BSLASHacsp] = ACTIONS(7463),
    [anon_sym_BSLASHAcsp] = ACTIONS(7463),
    [anon_sym_BSLASHacl] = ACTIONS(7463),
    [anon_sym_BSLASHAcl] = ACTIONS(7463),
    [anon_sym_BSLASHaclp] = ACTIONS(7463),
    [anon_sym_BSLASHAclp] = ACTIONS(7463),
    [anon_sym_BSLASHacf] = ACTIONS(7463),
    [anon_sym_BSLASHAcf] = ACTIONS(7463),
    [anon_sym_BSLASHacfp] = ACTIONS(7463),
    [anon_sym_BSLASHAcfp] = ACTIONS(7463),
    [anon_sym_BSLASHac] = ACTIONS(7463),
    [anon_sym_BSLASHAc] = ACTIONS(7463),
    [anon_sym_BSLASHacp] = ACTIONS(7463),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7463),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7463),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7463),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7463),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7463),
    [anon_sym_BSLASHcolor] = ACTIONS(7463),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7463),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7463),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7463),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7463),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7463),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7463),
    [anon_sym_BSLASHurl] = ACTIONS(7463),
    [anon_sym_BSLASHhref] = ACTIONS(7463),
  },
  [1246] = {
    [sym_command_name] = ACTIONS(7423),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7423),
    [anon_sym_LBRACK] = ACTIONS(7425),
    [anon_sym_RBRACK] = ACTIONS(7425),
    [anon_sym_COMMA] = ACTIONS(7425),
    [anon_sym_EQ] = ACTIONS(7425),
    [anon_sym_LPAREN] = ACTIONS(7425),
    [anon_sym_RPAREN] = ACTIONS(7425),
    [anon_sym_BSLASHpart] = ACTIONS(7423),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHaddpart] = ACTIONS(7423),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHchapter] = ACTIONS(7423),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHaddchap] = ACTIONS(7423),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHsection] = ACTIONS(7423),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHaddsec] = ACTIONS(7423),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHsubsection] = ACTIONS(7423),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7423),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHparagraph] = ACTIONS(7423),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7423),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHitem] = ACTIONS(7423),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7425),
    [anon_sym_LBRACE] = ACTIONS(7425),
    [sym_word] = ACTIONS(7423),
    [sym_placeholder] = ACTIONS(7425),
    [sym_delimiter] = ACTIONS(7425),
    [anon_sym_PLUS] = ACTIONS(7425),
    [anon_sym_DASH] = ACTIONS(7425),
    [anon_sym_STAR] = ACTIONS(7425),
    [anon_sym_SLASH] = ACTIONS(7425),
    [anon_sym_LT] = ACTIONS(7423),
    [anon_sym_GT] = ACTIONS(7423),
    [anon_sym_BANG] = ACTIONS(7423),
    [anon_sym_PIPE] = ACTIONS(7423),
    [anon_sym_COLON] = ACTIONS(7423),
    [anon_sym_SQUOTE] = ACTIONS(7423),
    [anon_sym__] = ACTIONS(7425),
    [anon_sym_CARET] = ACTIONS(7425),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7425),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7425),
    [anon_sym_DOLLAR] = ACTIONS(7423),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7425),
    [anon_sym_BSLASHleft] = ACTIONS(7423),
    [anon_sym_BSLASHbigl] = ACTIONS(7423),
    [anon_sym_BSLASHBigl] = ACTIONS(7423),
    [anon_sym_BSLASHbiggl] = ACTIONS(7423),
    [anon_sym_BSLASHBiggl] = ACTIONS(7423),
    [anon_sym_BSLASHtext] = ACTIONS(7423),
    [anon_sym_BSLASHintertext] = ACTIONS(7423),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7423),
    [anon_sym_BSLASHbegin] = ACTIONS(7423),
    [anon_sym_BSLASHend] = ACTIONS(7423),
    [anon_sym_BSLASHtitle] = ACTIONS(7423),
    [anon_sym_BSLASHauthor] = ACTIONS(7423),
    [anon_sym_BSLASHusepackage] = ACTIONS(7423),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7423),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7423),
    [anon_sym_BSLASHinclude] = ACTIONS(7423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7423),
    [anon_sym_BSLASHinput] = ACTIONS(7423),
    [anon_sym_BSLASHsubfile] = ACTIONS(7423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7423),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7423),
    [anon_sym_BSLASHbibliography] = ACTIONS(7423),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7423),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7423),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7423),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7423),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7423),
    [anon_sym_BSLASHimport] = ACTIONS(7423),
    [anon_sym_BSLASHsubimport] = ACTIONS(7423),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7423),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7423),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7423),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7423),
    [anon_sym_BSLASHcaption] = ACTIONS(7423),
    [anon_sym_BSLASHcite] = ACTIONS(7423),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHCite] = ACTIONS(7423),
    [anon_sym_BSLASHnocite] = ACTIONS(7423),
    [anon_sym_BSLASHcitet] = ACTIONS(7423),
    [anon_sym_BSLASHcitep] = ACTIONS(7423),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHciteA] = ACTIONS(7423),
    [anon_sym_BSLASHciteR] = ACTIONS(7423),
    [anon_sym_BSLASHciteS] = ACTIONS(7423),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7423),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7423),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7423),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7423),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHciteyear] = ACTIONS(7423),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcitedate] = ACTIONS(7423),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHciteurl] = ACTIONS(7423),
    [anon_sym_BSLASHfullcite] = ACTIONS(7423),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7423),
    [anon_sym_BSLASHcitealt] = ACTIONS(7423),
    [anon_sym_BSLASHcitealp] = ACTIONS(7423),
    [anon_sym_BSLASHcitetext] = ACTIONS(7423),
    [anon_sym_BSLASHparencite] = ACTIONS(7423),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHParencite] = ACTIONS(7423),
    [anon_sym_BSLASHfootcite] = ACTIONS(7423),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7423),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7423),
    [anon_sym_BSLASHtextcite] = ACTIONS(7423),
    [anon_sym_BSLASHTextcite] = ACTIONS(7423),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7423),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7423),
    [anon_sym_BSLASHsupercite] = ACTIONS(7423),
    [anon_sym_BSLASHautocite] = ACTIONS(7423),
    [anon_sym_BSLASHAutocite] = ACTIONS(7423),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHVolcite] = ACTIONS(7423),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHavolcite] = ACTIONS(7423),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHnotecite] = ACTIONS(7423),
    [anon_sym_BSLASHNotecite] = ACTIONS(7423),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7423),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7423),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7423),
    [anon_sym_BSLASHlabel] = ACTIONS(7423),
    [anon_sym_BSLASHref] = ACTIONS(7423),
    [anon_sym_BSLASHeqref] = ACTIONS(7423),
    [anon_sym_BSLASHvref] = ACTIONS(7423),
    [anon_sym_BSLASHVref] = ACTIONS(7423),
    [anon_sym_BSLASHautoref] = ACTIONS(7423),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHpageref] = ACTIONS(7423),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHautopageref] = ACTIONS(7423),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcref] = ACTIONS(7423),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHCref] = ACTIONS(7423),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcpageref] = ACTIONS(7423),
    [anon_sym_BSLASHCpageref] = ACTIONS(7423),
    [anon_sym_BSLASHnamecref] = ACTIONS(7423),
    [anon_sym_BSLASHnameCref] = ACTIONS(7423),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7423),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7423),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7423),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7423),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7423),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7423),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7423),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7423),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7423),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7423),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7423),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7423),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7423),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7423),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7423),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7423),
    [anon_sym_BSLASHdef] = ACTIONS(7423),
    [anon_sym_BSLASHgdef] = ACTIONS(7423),
    [anon_sym_BSLASHedef] = ACTIONS(7423),
    [anon_sym_BSLASHxdef] = ACTIONS(7423),
    [anon_sym_BSLASHlet] = ACTIONS(7423),
    [anon_sym_BSLASHglet] = ACTIONS(7423),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7423),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7423),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7423),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7423),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7423),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7423),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7423),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7423),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7423),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7423),
    [anon_sym_BSLASHgls] = ACTIONS(7423),
    [anon_sym_BSLASHGls] = ACTIONS(7423),
    [anon_sym_BSLASHGLS] = ACTIONS(7423),
    [anon_sym_BSLASHglspl] = ACTIONS(7423),
    [anon_sym_BSLASHGlspl] = ACTIONS(7423),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7423),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7423),
    [anon_sym_BSLASHglslink] = ACTIONS(7423),
    [anon_sym_BSLASHglstext] = ACTIONS(7423),
    [anon_sym_BSLASHGlstext] = ACTIONS(7423),
    [anon_sym_BSLASHGLStext] = ACTIONS(7423),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7423),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7423),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7423),
    [anon_sym_BSLASHglsplural] = ACTIONS(7423),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7423),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7423),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7423),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7423),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7423),
    [anon_sym_BSLASHglsname] = ACTIONS(7423),
    [anon_sym_BSLASHGlsname] = ACTIONS(7423),
    [anon_sym_BSLASHGLSname] = ACTIONS(7423),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7423),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7423),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7423),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7423),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7423),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7423),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7423),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7423),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7423),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7423),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7423),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7423),
    [anon_sym_BSLASHacrshort] = ACTIONS(7423),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7423),
    [anon_sym_BSLASHACRshort] = ACTIONS(7423),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHacrlong] = ACTIONS(7423),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7423),
    [anon_sym_BSLASHACRlong] = ACTIONS(7423),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7423),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7423),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7423),
    [anon_sym_BSLASHacrfull] = ACTIONS(7423),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7423),
    [anon_sym_BSLASHACRfull] = ACTIONS(7423),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHacs] = ACTIONS(7423),
    [anon_sym_BSLASHAcs] = ACTIONS(7423),
    [anon_sym_BSLASHacsp] = ACTIONS(7423),
    [anon_sym_BSLASHAcsp] = ACTIONS(7423),
    [anon_sym_BSLASHacl] = ACTIONS(7423),
    [anon_sym_BSLASHAcl] = ACTIONS(7423),
    [anon_sym_BSLASHaclp] = ACTIONS(7423),
    [anon_sym_BSLASHAclp] = ACTIONS(7423),
    [anon_sym_BSLASHacf] = ACTIONS(7423),
    [anon_sym_BSLASHAcf] = ACTIONS(7423),
    [anon_sym_BSLASHacfp] = ACTIONS(7423),
    [anon_sym_BSLASHAcfp] = ACTIONS(7423),
    [anon_sym_BSLASHac] = ACTIONS(7423),
    [anon_sym_BSLASHAc] = ACTIONS(7423),
    [anon_sym_BSLASHacp] = ACTIONS(7423),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7423),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7423),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7423),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7423),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7423),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7423),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7423),
    [anon_sym_BSLASHcolor] = ACTIONS(7423),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7423),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7423),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7423),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7423),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7423),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7423),
    [anon_sym_BSLASHurl] = ACTIONS(7423),
    [anon_sym_BSLASHhref] = ACTIONS(7423),
  },
  [1247] = {
    [sym_command_name] = ACTIONS(7427),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7427),
    [anon_sym_LBRACK] = ACTIONS(7429),
    [anon_sym_RBRACK] = ACTIONS(7429),
    [anon_sym_COMMA] = ACTIONS(7429),
    [anon_sym_EQ] = ACTIONS(7429),
    [anon_sym_LPAREN] = ACTIONS(7429),
    [anon_sym_RPAREN] = ACTIONS(7429),
    [anon_sym_BSLASHpart] = ACTIONS(7427),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHaddpart] = ACTIONS(7427),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHchapter] = ACTIONS(7427),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHaddchap] = ACTIONS(7427),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHsection] = ACTIONS(7427),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHaddsec] = ACTIONS(7427),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHsubsection] = ACTIONS(7427),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7427),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHparagraph] = ACTIONS(7427),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7427),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHitem] = ACTIONS(7427),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7429),
    [anon_sym_LBRACE] = ACTIONS(7429),
    [sym_word] = ACTIONS(7427),
    [sym_placeholder] = ACTIONS(7429),
    [sym_delimiter] = ACTIONS(7429),
    [anon_sym_PLUS] = ACTIONS(7429),
    [anon_sym_DASH] = ACTIONS(7429),
    [anon_sym_STAR] = ACTIONS(7429),
    [anon_sym_SLASH] = ACTIONS(7429),
    [anon_sym_LT] = ACTIONS(7427),
    [anon_sym_GT] = ACTIONS(7427),
    [anon_sym_BANG] = ACTIONS(7427),
    [anon_sym_PIPE] = ACTIONS(7427),
    [anon_sym_COLON] = ACTIONS(7427),
    [anon_sym_SQUOTE] = ACTIONS(7427),
    [anon_sym__] = ACTIONS(7429),
    [anon_sym_CARET] = ACTIONS(7429),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7429),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7429),
    [anon_sym_DOLLAR] = ACTIONS(7427),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7429),
    [anon_sym_BSLASHleft] = ACTIONS(7427),
    [anon_sym_BSLASHbigl] = ACTIONS(7427),
    [anon_sym_BSLASHBigl] = ACTIONS(7427),
    [anon_sym_BSLASHbiggl] = ACTIONS(7427),
    [anon_sym_BSLASHBiggl] = ACTIONS(7427),
    [anon_sym_BSLASHtext] = ACTIONS(7427),
    [anon_sym_BSLASHintertext] = ACTIONS(7427),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7427),
    [anon_sym_BSLASHbegin] = ACTIONS(7427),
    [anon_sym_BSLASHend] = ACTIONS(7427),
    [anon_sym_BSLASHtitle] = ACTIONS(7427),
    [anon_sym_BSLASHauthor] = ACTIONS(7427),
    [anon_sym_BSLASHusepackage] = ACTIONS(7427),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7427),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7427),
    [anon_sym_BSLASHinclude] = ACTIONS(7427),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7427),
    [anon_sym_BSLASHinput] = ACTIONS(7427),
    [anon_sym_BSLASHsubfile] = ACTIONS(7427),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7427),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7427),
    [anon_sym_BSLASHbibliography] = ACTIONS(7427),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7427),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7427),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7427),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7427),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7427),
    [anon_sym_BSLASHimport] = ACTIONS(7427),
    [anon_sym_BSLASHsubimport] = ACTIONS(7427),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7427),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7427),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7427),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7427),
    [anon_sym_BSLASHcaption] = ACTIONS(7427),
    [anon_sym_BSLASHcite] = ACTIONS(7427),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHCite] = ACTIONS(7427),
    [anon_sym_BSLASHnocite] = ACTIONS(7427),
    [anon_sym_BSLASHcitet] = ACTIONS(7427),
    [anon_sym_BSLASHcitep] = ACTIONS(7427),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHciteA] = ACTIONS(7427),
    [anon_sym_BSLASHciteR] = ACTIONS(7427),
    [anon_sym_BSLASHciteS] = ACTIONS(7427),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7427),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7427),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7427),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7427),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHciteyear] = ACTIONS(7427),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcitedate] = ACTIONS(7427),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHciteurl] = ACTIONS(7427),
    [anon_sym_BSLASHfullcite] = ACTIONS(7427),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7427),
    [anon_sym_BSLASHcitealt] = ACTIONS(7427),
    [anon_sym_BSLASHcitealp] = ACTIONS(7427),
    [anon_sym_BSLASHcitetext] = ACTIONS(7427),
    [anon_sym_BSLASHparencite] = ACTIONS(7427),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHParencite] = ACTIONS(7427),
    [anon_sym_BSLASHfootcite] = ACTIONS(7427),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7427),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7427),
    [anon_sym_BSLASHtextcite] = ACTIONS(7427),
    [anon_sym_BSLASHTextcite] = ACTIONS(7427),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7427),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7427),
    [anon_sym_BSLASHsupercite] = ACTIONS(7427),
    [anon_sym_BSLASHautocite] = ACTIONS(7427),
    [anon_sym_BSLASHAutocite] = ACTIONS(7427),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHVolcite] = ACTIONS(7427),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHavolcite] = ACTIONS(7427),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHnotecite] = ACTIONS(7427),
    [anon_sym_BSLASHNotecite] = ACTIONS(7427),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7427),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7427),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7427),
    [anon_sym_BSLASHlabel] = ACTIONS(7427),
    [anon_sym_BSLASHref] = ACTIONS(7427),
    [anon_sym_BSLASHeqref] = ACTIONS(7427),
    [anon_sym_BSLASHvref] = ACTIONS(7427),
    [anon_sym_BSLASHVref] = ACTIONS(7427),
    [anon_sym_BSLASHautoref] = ACTIONS(7427),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHpageref] = ACTIONS(7427),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHautopageref] = ACTIONS(7427),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcref] = ACTIONS(7427),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHCref] = ACTIONS(7427),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcpageref] = ACTIONS(7427),
    [anon_sym_BSLASHCpageref] = ACTIONS(7427),
    [anon_sym_BSLASHnamecref] = ACTIONS(7427),
    [anon_sym_BSLASHnameCref] = ACTIONS(7427),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7427),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7427),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7427),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7427),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7427),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7427),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7427),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7427),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7427),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7427),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7427),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7427),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7427),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7427),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7427),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7427),
    [anon_sym_BSLASHdef] = ACTIONS(7427),
    [anon_sym_BSLASHgdef] = ACTIONS(7427),
    [anon_sym_BSLASHedef] = ACTIONS(7427),
    [anon_sym_BSLASHxdef] = ACTIONS(7427),
    [anon_sym_BSLASHlet] = ACTIONS(7427),
    [anon_sym_BSLASHglet] = ACTIONS(7427),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7427),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7427),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7427),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7427),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7427),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7427),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7427),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7427),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7427),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7427),
    [anon_sym_BSLASHgls] = ACTIONS(7427),
    [anon_sym_BSLASHGls] = ACTIONS(7427),
    [anon_sym_BSLASHGLS] = ACTIONS(7427),
    [anon_sym_BSLASHglspl] = ACTIONS(7427),
    [anon_sym_BSLASHGlspl] = ACTIONS(7427),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7427),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7427),
    [anon_sym_BSLASHglslink] = ACTIONS(7427),
    [anon_sym_BSLASHglstext] = ACTIONS(7427),
    [anon_sym_BSLASHGlstext] = ACTIONS(7427),
    [anon_sym_BSLASHGLStext] = ACTIONS(7427),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7427),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7427),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7427),
    [anon_sym_BSLASHglsplural] = ACTIONS(7427),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7427),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7427),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7427),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7427),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7427),
    [anon_sym_BSLASHglsname] = ACTIONS(7427),
    [anon_sym_BSLASHGlsname] = ACTIONS(7427),
    [anon_sym_BSLASHGLSname] = ACTIONS(7427),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7427),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7427),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7427),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7427),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7427),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7427),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7427),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7427),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7427),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7427),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7427),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7427),
    [anon_sym_BSLASHacrshort] = ACTIONS(7427),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7427),
    [anon_sym_BSLASHACRshort] = ACTIONS(7427),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHacrlong] = ACTIONS(7427),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7427),
    [anon_sym_BSLASHACRlong] = ACTIONS(7427),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7427),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7427),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7427),
    [anon_sym_BSLASHacrfull] = ACTIONS(7427),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7427),
    [anon_sym_BSLASHACRfull] = ACTIONS(7427),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHacs] = ACTIONS(7427),
    [anon_sym_BSLASHAcs] = ACTIONS(7427),
    [anon_sym_BSLASHacsp] = ACTIONS(7427),
    [anon_sym_BSLASHAcsp] = ACTIONS(7427),
    [anon_sym_BSLASHacl] = ACTIONS(7427),
    [anon_sym_BSLASHAcl] = ACTIONS(7427),
    [anon_sym_BSLASHaclp] = ACTIONS(7427),
    [anon_sym_BSLASHAclp] = ACTIONS(7427),
    [anon_sym_BSLASHacf] = ACTIONS(7427),
    [anon_sym_BSLASHAcf] = ACTIONS(7427),
    [anon_sym_BSLASHacfp] = ACTIONS(7427),
    [anon_sym_BSLASHAcfp] = ACTIONS(7427),
    [anon_sym_BSLASHac] = ACTIONS(7427),
    [anon_sym_BSLASHAc] = ACTIONS(7427),
    [anon_sym_BSLASHacp] = ACTIONS(7427),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7427),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7427),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7427),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7427),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7427),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7427),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7427),
    [anon_sym_BSLASHcolor] = ACTIONS(7427),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7427),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7427),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7427),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7427),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7427),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7427),
    [anon_sym_BSLASHurl] = ACTIONS(7427),
    [anon_sym_BSLASHhref] = ACTIONS(7427),
  },
  [1248] = {
    [sym_command_name] = ACTIONS(7431),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7431),
    [anon_sym_LBRACK] = ACTIONS(7433),
    [anon_sym_RBRACK] = ACTIONS(7433),
    [anon_sym_COMMA] = ACTIONS(7433),
    [anon_sym_EQ] = ACTIONS(7433),
    [anon_sym_LPAREN] = ACTIONS(7433),
    [anon_sym_RPAREN] = ACTIONS(7433),
    [anon_sym_BSLASHpart] = ACTIONS(7431),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHaddpart] = ACTIONS(7431),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHchapter] = ACTIONS(7431),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHaddchap] = ACTIONS(7431),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHsection] = ACTIONS(7431),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHaddsec] = ACTIONS(7431),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHsubsection] = ACTIONS(7431),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7431),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHparagraph] = ACTIONS(7431),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7431),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHitem] = ACTIONS(7431),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7433),
    [anon_sym_LBRACE] = ACTIONS(7433),
    [sym_word] = ACTIONS(7431),
    [sym_placeholder] = ACTIONS(7433),
    [sym_delimiter] = ACTIONS(7433),
    [anon_sym_PLUS] = ACTIONS(7433),
    [anon_sym_DASH] = ACTIONS(7433),
    [anon_sym_STAR] = ACTIONS(7433),
    [anon_sym_SLASH] = ACTIONS(7433),
    [anon_sym_LT] = ACTIONS(7431),
    [anon_sym_GT] = ACTIONS(7431),
    [anon_sym_BANG] = ACTIONS(7431),
    [anon_sym_PIPE] = ACTIONS(7431),
    [anon_sym_COLON] = ACTIONS(7431),
    [anon_sym_SQUOTE] = ACTIONS(7431),
    [anon_sym__] = ACTIONS(7433),
    [anon_sym_CARET] = ACTIONS(7433),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7433),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7433),
    [anon_sym_DOLLAR] = ACTIONS(7431),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7433),
    [anon_sym_BSLASHleft] = ACTIONS(7431),
    [anon_sym_BSLASHbigl] = ACTIONS(7431),
    [anon_sym_BSLASHBigl] = ACTIONS(7431),
    [anon_sym_BSLASHbiggl] = ACTIONS(7431),
    [anon_sym_BSLASHBiggl] = ACTIONS(7431),
    [anon_sym_BSLASHtext] = ACTIONS(7431),
    [anon_sym_BSLASHintertext] = ACTIONS(7431),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7431),
    [anon_sym_BSLASHbegin] = ACTIONS(7431),
    [anon_sym_BSLASHend] = ACTIONS(7431),
    [anon_sym_BSLASHtitle] = ACTIONS(7431),
    [anon_sym_BSLASHauthor] = ACTIONS(7431),
    [anon_sym_BSLASHusepackage] = ACTIONS(7431),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7431),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7431),
    [anon_sym_BSLASHinclude] = ACTIONS(7431),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7431),
    [anon_sym_BSLASHinput] = ACTIONS(7431),
    [anon_sym_BSLASHsubfile] = ACTIONS(7431),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7431),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7431),
    [anon_sym_BSLASHbibliography] = ACTIONS(7431),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7431),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7431),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7431),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7431),
    [anon_sym_BSLASHimport] = ACTIONS(7431),
    [anon_sym_BSLASHsubimport] = ACTIONS(7431),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7431),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7431),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7431),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7431),
    [anon_sym_BSLASHcaption] = ACTIONS(7431),
    [anon_sym_BSLASHcite] = ACTIONS(7431),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHCite] = ACTIONS(7431),
    [anon_sym_BSLASHnocite] = ACTIONS(7431),
    [anon_sym_BSLASHcitet] = ACTIONS(7431),
    [anon_sym_BSLASHcitep] = ACTIONS(7431),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHciteA] = ACTIONS(7431),
    [anon_sym_BSLASHciteR] = ACTIONS(7431),
    [anon_sym_BSLASHciteS] = ACTIONS(7431),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7431),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7431),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7431),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7431),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHciteyear] = ACTIONS(7431),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcitedate] = ACTIONS(7431),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHciteurl] = ACTIONS(7431),
    [anon_sym_BSLASHfullcite] = ACTIONS(7431),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7431),
    [anon_sym_BSLASHcitealt] = ACTIONS(7431),
    [anon_sym_BSLASHcitealp] = ACTIONS(7431),
    [anon_sym_BSLASHcitetext] = ACTIONS(7431),
    [anon_sym_BSLASHparencite] = ACTIONS(7431),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHParencite] = ACTIONS(7431),
    [anon_sym_BSLASHfootcite] = ACTIONS(7431),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7431),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7431),
    [anon_sym_BSLASHtextcite] = ACTIONS(7431),
    [anon_sym_BSLASHTextcite] = ACTIONS(7431),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7431),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7431),
    [anon_sym_BSLASHsupercite] = ACTIONS(7431),
    [anon_sym_BSLASHautocite] = ACTIONS(7431),
    [anon_sym_BSLASHAutocite] = ACTIONS(7431),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHVolcite] = ACTIONS(7431),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHavolcite] = ACTIONS(7431),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHnotecite] = ACTIONS(7431),
    [anon_sym_BSLASHNotecite] = ACTIONS(7431),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7431),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7431),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7431),
    [anon_sym_BSLASHlabel] = ACTIONS(7431),
    [anon_sym_BSLASHref] = ACTIONS(7431),
    [anon_sym_BSLASHeqref] = ACTIONS(7431),
    [anon_sym_BSLASHvref] = ACTIONS(7431),
    [anon_sym_BSLASHVref] = ACTIONS(7431),
    [anon_sym_BSLASHautoref] = ACTIONS(7431),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHpageref] = ACTIONS(7431),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHautopageref] = ACTIONS(7431),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcref] = ACTIONS(7431),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHCref] = ACTIONS(7431),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcpageref] = ACTIONS(7431),
    [anon_sym_BSLASHCpageref] = ACTIONS(7431),
    [anon_sym_BSLASHnamecref] = ACTIONS(7431),
    [anon_sym_BSLASHnameCref] = ACTIONS(7431),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7431),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7431),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7431),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7431),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7431),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7431),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7431),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7431),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7431),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7431),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7431),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7431),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7431),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7431),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7431),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7431),
    [anon_sym_BSLASHdef] = ACTIONS(7431),
    [anon_sym_BSLASHgdef] = ACTIONS(7431),
    [anon_sym_BSLASHedef] = ACTIONS(7431),
    [anon_sym_BSLASHxdef] = ACTIONS(7431),
    [anon_sym_BSLASHlet] = ACTIONS(7431),
    [anon_sym_BSLASHglet] = ACTIONS(7431),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7431),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7431),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7431),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7431),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7431),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7431),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7431),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7431),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7431),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7431),
    [anon_sym_BSLASHgls] = ACTIONS(7431),
    [anon_sym_BSLASHGls] = ACTIONS(7431),
    [anon_sym_BSLASHGLS] = ACTIONS(7431),
    [anon_sym_BSLASHglspl] = ACTIONS(7431),
    [anon_sym_BSLASHGlspl] = ACTIONS(7431),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7431),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7431),
    [anon_sym_BSLASHglslink] = ACTIONS(7431),
    [anon_sym_BSLASHglstext] = ACTIONS(7431),
    [anon_sym_BSLASHGlstext] = ACTIONS(7431),
    [anon_sym_BSLASHGLStext] = ACTIONS(7431),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7431),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7431),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7431),
    [anon_sym_BSLASHglsplural] = ACTIONS(7431),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7431),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7431),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7431),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7431),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7431),
    [anon_sym_BSLASHglsname] = ACTIONS(7431),
    [anon_sym_BSLASHGlsname] = ACTIONS(7431),
    [anon_sym_BSLASHGLSname] = ACTIONS(7431),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7431),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7431),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7431),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7431),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7431),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7431),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7431),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7431),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7431),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7431),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7431),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7431),
    [anon_sym_BSLASHacrshort] = ACTIONS(7431),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7431),
    [anon_sym_BSLASHACRshort] = ACTIONS(7431),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHacrlong] = ACTIONS(7431),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7431),
    [anon_sym_BSLASHACRlong] = ACTIONS(7431),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7431),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7431),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7431),
    [anon_sym_BSLASHacrfull] = ACTIONS(7431),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7431),
    [anon_sym_BSLASHACRfull] = ACTIONS(7431),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHacs] = ACTIONS(7431),
    [anon_sym_BSLASHAcs] = ACTIONS(7431),
    [anon_sym_BSLASHacsp] = ACTIONS(7431),
    [anon_sym_BSLASHAcsp] = ACTIONS(7431),
    [anon_sym_BSLASHacl] = ACTIONS(7431),
    [anon_sym_BSLASHAcl] = ACTIONS(7431),
    [anon_sym_BSLASHaclp] = ACTIONS(7431),
    [anon_sym_BSLASHAclp] = ACTIONS(7431),
    [anon_sym_BSLASHacf] = ACTIONS(7431),
    [anon_sym_BSLASHAcf] = ACTIONS(7431),
    [anon_sym_BSLASHacfp] = ACTIONS(7431),
    [anon_sym_BSLASHAcfp] = ACTIONS(7431),
    [anon_sym_BSLASHac] = ACTIONS(7431),
    [anon_sym_BSLASHAc] = ACTIONS(7431),
    [anon_sym_BSLASHacp] = ACTIONS(7431),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7431),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7431),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7431),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7431),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7431),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7431),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7431),
    [anon_sym_BSLASHcolor] = ACTIONS(7431),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7431),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7431),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7431),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7431),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7431),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7431),
    [anon_sym_BSLASHurl] = ACTIONS(7431),
    [anon_sym_BSLASHhref] = ACTIONS(7431),
  },
  [1249] = {
    [sym_command_name] = ACTIONS(7435),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7435),
    [anon_sym_LBRACK] = ACTIONS(7437),
    [anon_sym_RBRACK] = ACTIONS(7437),
    [anon_sym_COMMA] = ACTIONS(7437),
    [anon_sym_EQ] = ACTIONS(7437),
    [anon_sym_LPAREN] = ACTIONS(7437),
    [anon_sym_RPAREN] = ACTIONS(7437),
    [anon_sym_BSLASHpart] = ACTIONS(7435),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHaddpart] = ACTIONS(7435),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHchapter] = ACTIONS(7435),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHaddchap] = ACTIONS(7435),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHsection] = ACTIONS(7435),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHaddsec] = ACTIONS(7435),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHsubsection] = ACTIONS(7435),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7435),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHparagraph] = ACTIONS(7435),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7435),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHitem] = ACTIONS(7435),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7437),
    [anon_sym_LBRACE] = ACTIONS(7437),
    [sym_word] = ACTIONS(7435),
    [sym_placeholder] = ACTIONS(7437),
    [sym_delimiter] = ACTIONS(7437),
    [anon_sym_PLUS] = ACTIONS(7437),
    [anon_sym_DASH] = ACTIONS(7437),
    [anon_sym_STAR] = ACTIONS(7437),
    [anon_sym_SLASH] = ACTIONS(7437),
    [anon_sym_LT] = ACTIONS(7435),
    [anon_sym_GT] = ACTIONS(7435),
    [anon_sym_BANG] = ACTIONS(7435),
    [anon_sym_PIPE] = ACTIONS(7435),
    [anon_sym_COLON] = ACTIONS(7435),
    [anon_sym_SQUOTE] = ACTIONS(7435),
    [anon_sym__] = ACTIONS(7437),
    [anon_sym_CARET] = ACTIONS(7437),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7437),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7437),
    [anon_sym_DOLLAR] = ACTIONS(7435),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7437),
    [anon_sym_BSLASHleft] = ACTIONS(7435),
    [anon_sym_BSLASHbigl] = ACTIONS(7435),
    [anon_sym_BSLASHBigl] = ACTIONS(7435),
    [anon_sym_BSLASHbiggl] = ACTIONS(7435),
    [anon_sym_BSLASHBiggl] = ACTIONS(7435),
    [anon_sym_BSLASHtext] = ACTIONS(7435),
    [anon_sym_BSLASHintertext] = ACTIONS(7435),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7435),
    [anon_sym_BSLASHbegin] = ACTIONS(7435),
    [anon_sym_BSLASHend] = ACTIONS(7435),
    [anon_sym_BSLASHtitle] = ACTIONS(7435),
    [anon_sym_BSLASHauthor] = ACTIONS(7435),
    [anon_sym_BSLASHusepackage] = ACTIONS(7435),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7435),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7435),
    [anon_sym_BSLASHinclude] = ACTIONS(7435),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7435),
    [anon_sym_BSLASHinput] = ACTIONS(7435),
    [anon_sym_BSLASHsubfile] = ACTIONS(7435),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7435),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7435),
    [anon_sym_BSLASHbibliography] = ACTIONS(7435),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7435),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7435),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7435),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7435),
    [anon_sym_BSLASHimport] = ACTIONS(7435),
    [anon_sym_BSLASHsubimport] = ACTIONS(7435),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7435),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7435),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7435),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7435),
    [anon_sym_BSLASHcaption] = ACTIONS(7435),
    [anon_sym_BSLASHcite] = ACTIONS(7435),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHCite] = ACTIONS(7435),
    [anon_sym_BSLASHnocite] = ACTIONS(7435),
    [anon_sym_BSLASHcitet] = ACTIONS(7435),
    [anon_sym_BSLASHcitep] = ACTIONS(7435),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHciteA] = ACTIONS(7435),
    [anon_sym_BSLASHciteR] = ACTIONS(7435),
    [anon_sym_BSLASHciteS] = ACTIONS(7435),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7435),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7435),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7435),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7435),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHciteyear] = ACTIONS(7435),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcitedate] = ACTIONS(7435),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHciteurl] = ACTIONS(7435),
    [anon_sym_BSLASHfullcite] = ACTIONS(7435),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7435),
    [anon_sym_BSLASHcitealt] = ACTIONS(7435),
    [anon_sym_BSLASHcitealp] = ACTIONS(7435),
    [anon_sym_BSLASHcitetext] = ACTIONS(7435),
    [anon_sym_BSLASHparencite] = ACTIONS(7435),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHParencite] = ACTIONS(7435),
    [anon_sym_BSLASHfootcite] = ACTIONS(7435),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7435),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7435),
    [anon_sym_BSLASHtextcite] = ACTIONS(7435),
    [anon_sym_BSLASHTextcite] = ACTIONS(7435),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7435),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7435),
    [anon_sym_BSLASHsupercite] = ACTIONS(7435),
    [anon_sym_BSLASHautocite] = ACTIONS(7435),
    [anon_sym_BSLASHAutocite] = ACTIONS(7435),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHVolcite] = ACTIONS(7435),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHavolcite] = ACTIONS(7435),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHnotecite] = ACTIONS(7435),
    [anon_sym_BSLASHNotecite] = ACTIONS(7435),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7435),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7435),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7435),
    [anon_sym_BSLASHlabel] = ACTIONS(7435),
    [anon_sym_BSLASHref] = ACTIONS(7435),
    [anon_sym_BSLASHeqref] = ACTIONS(7435),
    [anon_sym_BSLASHvref] = ACTIONS(7435),
    [anon_sym_BSLASHVref] = ACTIONS(7435),
    [anon_sym_BSLASHautoref] = ACTIONS(7435),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHpageref] = ACTIONS(7435),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHautopageref] = ACTIONS(7435),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcref] = ACTIONS(7435),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHCref] = ACTIONS(7435),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcpageref] = ACTIONS(7435),
    [anon_sym_BSLASHCpageref] = ACTIONS(7435),
    [anon_sym_BSLASHnamecref] = ACTIONS(7435),
    [anon_sym_BSLASHnameCref] = ACTIONS(7435),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7435),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7435),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7435),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7435),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7435),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7435),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7435),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7435),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7435),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7435),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7435),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7435),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7435),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7435),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7435),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7435),
    [anon_sym_BSLASHdef] = ACTIONS(7435),
    [anon_sym_BSLASHgdef] = ACTIONS(7435),
    [anon_sym_BSLASHedef] = ACTIONS(7435),
    [anon_sym_BSLASHxdef] = ACTIONS(7435),
    [anon_sym_BSLASHlet] = ACTIONS(7435),
    [anon_sym_BSLASHglet] = ACTIONS(7435),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7435),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7435),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7435),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7435),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7435),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7435),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7435),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7435),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7435),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7435),
    [anon_sym_BSLASHgls] = ACTIONS(7435),
    [anon_sym_BSLASHGls] = ACTIONS(7435),
    [anon_sym_BSLASHGLS] = ACTIONS(7435),
    [anon_sym_BSLASHglspl] = ACTIONS(7435),
    [anon_sym_BSLASHGlspl] = ACTIONS(7435),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7435),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7435),
    [anon_sym_BSLASHglslink] = ACTIONS(7435),
    [anon_sym_BSLASHglstext] = ACTIONS(7435),
    [anon_sym_BSLASHGlstext] = ACTIONS(7435),
    [anon_sym_BSLASHGLStext] = ACTIONS(7435),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7435),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7435),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7435),
    [anon_sym_BSLASHglsplural] = ACTIONS(7435),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7435),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7435),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7435),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7435),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7435),
    [anon_sym_BSLASHglsname] = ACTIONS(7435),
    [anon_sym_BSLASHGlsname] = ACTIONS(7435),
    [anon_sym_BSLASHGLSname] = ACTIONS(7435),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7435),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7435),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7435),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7435),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7435),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7435),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7435),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7435),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7435),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7435),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7435),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7435),
    [anon_sym_BSLASHacrshort] = ACTIONS(7435),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7435),
    [anon_sym_BSLASHACRshort] = ACTIONS(7435),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHacrlong] = ACTIONS(7435),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7435),
    [anon_sym_BSLASHACRlong] = ACTIONS(7435),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7435),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7435),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7435),
    [anon_sym_BSLASHacrfull] = ACTIONS(7435),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7435),
    [anon_sym_BSLASHACRfull] = ACTIONS(7435),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHacs] = ACTIONS(7435),
    [anon_sym_BSLASHAcs] = ACTIONS(7435),
    [anon_sym_BSLASHacsp] = ACTIONS(7435),
    [anon_sym_BSLASHAcsp] = ACTIONS(7435),
    [anon_sym_BSLASHacl] = ACTIONS(7435),
    [anon_sym_BSLASHAcl] = ACTIONS(7435),
    [anon_sym_BSLASHaclp] = ACTIONS(7435),
    [anon_sym_BSLASHAclp] = ACTIONS(7435),
    [anon_sym_BSLASHacf] = ACTIONS(7435),
    [anon_sym_BSLASHAcf] = ACTIONS(7435),
    [anon_sym_BSLASHacfp] = ACTIONS(7435),
    [anon_sym_BSLASHAcfp] = ACTIONS(7435),
    [anon_sym_BSLASHac] = ACTIONS(7435),
    [anon_sym_BSLASHAc] = ACTIONS(7435),
    [anon_sym_BSLASHacp] = ACTIONS(7435),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7435),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7435),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7435),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7435),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7435),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7435),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7435),
    [anon_sym_BSLASHcolor] = ACTIONS(7435),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7435),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7435),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7435),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7435),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7435),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7435),
    [anon_sym_BSLASHurl] = ACTIONS(7435),
    [anon_sym_BSLASHhref] = ACTIONS(7435),
  },
  [1250] = {
    [sym_command_name] = ACTIONS(7439),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7439),
    [anon_sym_LBRACK] = ACTIONS(7441),
    [anon_sym_RBRACK] = ACTIONS(7441),
    [anon_sym_COMMA] = ACTIONS(7441),
    [anon_sym_EQ] = ACTIONS(7441),
    [anon_sym_LPAREN] = ACTIONS(7441),
    [anon_sym_RPAREN] = ACTIONS(7441),
    [anon_sym_BSLASHpart] = ACTIONS(7439),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHaddpart] = ACTIONS(7439),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHchapter] = ACTIONS(7439),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHaddchap] = ACTIONS(7439),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHsection] = ACTIONS(7439),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHaddsec] = ACTIONS(7439),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHsubsection] = ACTIONS(7439),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7439),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHparagraph] = ACTIONS(7439),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7439),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHitem] = ACTIONS(7439),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7441),
    [anon_sym_LBRACE] = ACTIONS(7441),
    [sym_word] = ACTIONS(7439),
    [sym_placeholder] = ACTIONS(7441),
    [sym_delimiter] = ACTIONS(7441),
    [anon_sym_PLUS] = ACTIONS(7441),
    [anon_sym_DASH] = ACTIONS(7441),
    [anon_sym_STAR] = ACTIONS(7441),
    [anon_sym_SLASH] = ACTIONS(7441),
    [anon_sym_LT] = ACTIONS(7439),
    [anon_sym_GT] = ACTIONS(7439),
    [anon_sym_BANG] = ACTIONS(7439),
    [anon_sym_PIPE] = ACTIONS(7439),
    [anon_sym_COLON] = ACTIONS(7439),
    [anon_sym_SQUOTE] = ACTIONS(7439),
    [anon_sym__] = ACTIONS(7441),
    [anon_sym_CARET] = ACTIONS(7441),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7441),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7441),
    [anon_sym_DOLLAR] = ACTIONS(7439),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7441),
    [anon_sym_BSLASHleft] = ACTIONS(7439),
    [anon_sym_BSLASHbigl] = ACTIONS(7439),
    [anon_sym_BSLASHBigl] = ACTIONS(7439),
    [anon_sym_BSLASHbiggl] = ACTIONS(7439),
    [anon_sym_BSLASHBiggl] = ACTIONS(7439),
    [anon_sym_BSLASHtext] = ACTIONS(7439),
    [anon_sym_BSLASHintertext] = ACTIONS(7439),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7439),
    [anon_sym_BSLASHbegin] = ACTIONS(7439),
    [anon_sym_BSLASHend] = ACTIONS(7439),
    [anon_sym_BSLASHtitle] = ACTIONS(7439),
    [anon_sym_BSLASHauthor] = ACTIONS(7439),
    [anon_sym_BSLASHusepackage] = ACTIONS(7439),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7439),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7439),
    [anon_sym_BSLASHinclude] = ACTIONS(7439),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7439),
    [anon_sym_BSLASHinput] = ACTIONS(7439),
    [anon_sym_BSLASHsubfile] = ACTIONS(7439),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7439),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7439),
    [anon_sym_BSLASHbibliography] = ACTIONS(7439),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7439),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7439),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7439),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7439),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7439),
    [anon_sym_BSLASHimport] = ACTIONS(7439),
    [anon_sym_BSLASHsubimport] = ACTIONS(7439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7439),
    [anon_sym_BSLASHcaption] = ACTIONS(7439),
    [anon_sym_BSLASHcite] = ACTIONS(7439),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHCite] = ACTIONS(7439),
    [anon_sym_BSLASHnocite] = ACTIONS(7439),
    [anon_sym_BSLASHcitet] = ACTIONS(7439),
    [anon_sym_BSLASHcitep] = ACTIONS(7439),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHciteA] = ACTIONS(7439),
    [anon_sym_BSLASHciteR] = ACTIONS(7439),
    [anon_sym_BSLASHciteS] = ACTIONS(7439),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7439),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7439),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7439),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7439),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHciteyear] = ACTIONS(7439),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcitedate] = ACTIONS(7439),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHciteurl] = ACTIONS(7439),
    [anon_sym_BSLASHfullcite] = ACTIONS(7439),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7439),
    [anon_sym_BSLASHcitealt] = ACTIONS(7439),
    [anon_sym_BSLASHcitealp] = ACTIONS(7439),
    [anon_sym_BSLASHcitetext] = ACTIONS(7439),
    [anon_sym_BSLASHparencite] = ACTIONS(7439),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHParencite] = ACTIONS(7439),
    [anon_sym_BSLASHfootcite] = ACTIONS(7439),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7439),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7439),
    [anon_sym_BSLASHtextcite] = ACTIONS(7439),
    [anon_sym_BSLASHTextcite] = ACTIONS(7439),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7439),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7439),
    [anon_sym_BSLASHsupercite] = ACTIONS(7439),
    [anon_sym_BSLASHautocite] = ACTIONS(7439),
    [anon_sym_BSLASHAutocite] = ACTIONS(7439),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHVolcite] = ACTIONS(7439),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHavolcite] = ACTIONS(7439),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHnotecite] = ACTIONS(7439),
    [anon_sym_BSLASHNotecite] = ACTIONS(7439),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7439),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7439),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7439),
    [anon_sym_BSLASHlabel] = ACTIONS(7439),
    [anon_sym_BSLASHref] = ACTIONS(7439),
    [anon_sym_BSLASHeqref] = ACTIONS(7439),
    [anon_sym_BSLASHvref] = ACTIONS(7439),
    [anon_sym_BSLASHVref] = ACTIONS(7439),
    [anon_sym_BSLASHautoref] = ACTIONS(7439),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHpageref] = ACTIONS(7439),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHautopageref] = ACTIONS(7439),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcref] = ACTIONS(7439),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHCref] = ACTIONS(7439),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcpageref] = ACTIONS(7439),
    [anon_sym_BSLASHCpageref] = ACTIONS(7439),
    [anon_sym_BSLASHnamecref] = ACTIONS(7439),
    [anon_sym_BSLASHnameCref] = ACTIONS(7439),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7439),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7439),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7439),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7439),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7439),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7439),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7439),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7439),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7439),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7439),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7439),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7439),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7439),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7439),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7439),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7439),
    [anon_sym_BSLASHdef] = ACTIONS(7439),
    [anon_sym_BSLASHgdef] = ACTIONS(7439),
    [anon_sym_BSLASHedef] = ACTIONS(7439),
    [anon_sym_BSLASHxdef] = ACTIONS(7439),
    [anon_sym_BSLASHlet] = ACTIONS(7439),
    [anon_sym_BSLASHglet] = ACTIONS(7439),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7439),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7439),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7439),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7439),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7439),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7439),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7439),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7439),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7439),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7439),
    [anon_sym_BSLASHgls] = ACTIONS(7439),
    [anon_sym_BSLASHGls] = ACTIONS(7439),
    [anon_sym_BSLASHGLS] = ACTIONS(7439),
    [anon_sym_BSLASHglspl] = ACTIONS(7439),
    [anon_sym_BSLASHGlspl] = ACTIONS(7439),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7439),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7439),
    [anon_sym_BSLASHglslink] = ACTIONS(7439),
    [anon_sym_BSLASHglstext] = ACTIONS(7439),
    [anon_sym_BSLASHGlstext] = ACTIONS(7439),
    [anon_sym_BSLASHGLStext] = ACTIONS(7439),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7439),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7439),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7439),
    [anon_sym_BSLASHglsplural] = ACTIONS(7439),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7439),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7439),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7439),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7439),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7439),
    [anon_sym_BSLASHglsname] = ACTIONS(7439),
    [anon_sym_BSLASHGlsname] = ACTIONS(7439),
    [anon_sym_BSLASHGLSname] = ACTIONS(7439),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7439),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7439),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7439),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7439),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7439),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7439),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7439),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7439),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7439),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7439),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7439),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7439),
    [anon_sym_BSLASHacrshort] = ACTIONS(7439),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7439),
    [anon_sym_BSLASHACRshort] = ACTIONS(7439),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHacrlong] = ACTIONS(7439),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7439),
    [anon_sym_BSLASHACRlong] = ACTIONS(7439),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7439),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7439),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7439),
    [anon_sym_BSLASHacrfull] = ACTIONS(7439),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7439),
    [anon_sym_BSLASHACRfull] = ACTIONS(7439),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHacs] = ACTIONS(7439),
    [anon_sym_BSLASHAcs] = ACTIONS(7439),
    [anon_sym_BSLASHacsp] = ACTIONS(7439),
    [anon_sym_BSLASHAcsp] = ACTIONS(7439),
    [anon_sym_BSLASHacl] = ACTIONS(7439),
    [anon_sym_BSLASHAcl] = ACTIONS(7439),
    [anon_sym_BSLASHaclp] = ACTIONS(7439),
    [anon_sym_BSLASHAclp] = ACTIONS(7439),
    [anon_sym_BSLASHacf] = ACTIONS(7439),
    [anon_sym_BSLASHAcf] = ACTIONS(7439),
    [anon_sym_BSLASHacfp] = ACTIONS(7439),
    [anon_sym_BSLASHAcfp] = ACTIONS(7439),
    [anon_sym_BSLASHac] = ACTIONS(7439),
    [anon_sym_BSLASHAc] = ACTIONS(7439),
    [anon_sym_BSLASHacp] = ACTIONS(7439),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7439),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7439),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7439),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7439),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7439),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7439),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7439),
    [anon_sym_BSLASHcolor] = ACTIONS(7439),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7439),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7439),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7439),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7439),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7439),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7439),
    [anon_sym_BSLASHurl] = ACTIONS(7439),
    [anon_sym_BSLASHhref] = ACTIONS(7439),
  },
  [1251] = {
    [sym_command_name] = ACTIONS(7443),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7443),
    [anon_sym_LBRACK] = ACTIONS(7445),
    [anon_sym_RBRACK] = ACTIONS(7445),
    [anon_sym_COMMA] = ACTIONS(7445),
    [anon_sym_EQ] = ACTIONS(7445),
    [anon_sym_LPAREN] = ACTIONS(7445),
    [anon_sym_RPAREN] = ACTIONS(7445),
    [anon_sym_BSLASHpart] = ACTIONS(7443),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHaddpart] = ACTIONS(7443),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHchapter] = ACTIONS(7443),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHaddchap] = ACTIONS(7443),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHsection] = ACTIONS(7443),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHaddsec] = ACTIONS(7443),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHsubsection] = ACTIONS(7443),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7443),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHparagraph] = ACTIONS(7443),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7443),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHitem] = ACTIONS(7443),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7445),
    [anon_sym_LBRACE] = ACTIONS(7445),
    [sym_word] = ACTIONS(7443),
    [sym_placeholder] = ACTIONS(7445),
    [sym_delimiter] = ACTIONS(7445),
    [anon_sym_PLUS] = ACTIONS(7445),
    [anon_sym_DASH] = ACTIONS(7445),
    [anon_sym_STAR] = ACTIONS(7445),
    [anon_sym_SLASH] = ACTIONS(7445),
    [anon_sym_LT] = ACTIONS(7443),
    [anon_sym_GT] = ACTIONS(7443),
    [anon_sym_BANG] = ACTIONS(7443),
    [anon_sym_PIPE] = ACTIONS(7443),
    [anon_sym_COLON] = ACTIONS(7443),
    [anon_sym_SQUOTE] = ACTIONS(7443),
    [anon_sym__] = ACTIONS(7445),
    [anon_sym_CARET] = ACTIONS(7445),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7445),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7445),
    [anon_sym_DOLLAR] = ACTIONS(7443),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7445),
    [anon_sym_BSLASHleft] = ACTIONS(7443),
    [anon_sym_BSLASHbigl] = ACTIONS(7443),
    [anon_sym_BSLASHBigl] = ACTIONS(7443),
    [anon_sym_BSLASHbiggl] = ACTIONS(7443),
    [anon_sym_BSLASHBiggl] = ACTIONS(7443),
    [anon_sym_BSLASHtext] = ACTIONS(7443),
    [anon_sym_BSLASHintertext] = ACTIONS(7443),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7443),
    [anon_sym_BSLASHbegin] = ACTIONS(7443),
    [anon_sym_BSLASHend] = ACTIONS(7443),
    [anon_sym_BSLASHtitle] = ACTIONS(7443),
    [anon_sym_BSLASHauthor] = ACTIONS(7443),
    [anon_sym_BSLASHusepackage] = ACTIONS(7443),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7443),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7443),
    [anon_sym_BSLASHinclude] = ACTIONS(7443),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7443),
    [anon_sym_BSLASHinput] = ACTIONS(7443),
    [anon_sym_BSLASHsubfile] = ACTIONS(7443),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7443),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7443),
    [anon_sym_BSLASHbibliography] = ACTIONS(7443),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7443),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7443),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7443),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7443),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7443),
    [anon_sym_BSLASHimport] = ACTIONS(7443),
    [anon_sym_BSLASHsubimport] = ACTIONS(7443),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7443),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7443),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7443),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7443),
    [anon_sym_BSLASHcaption] = ACTIONS(7443),
    [anon_sym_BSLASHcite] = ACTIONS(7443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHCite] = ACTIONS(7443),
    [anon_sym_BSLASHnocite] = ACTIONS(7443),
    [anon_sym_BSLASHcitet] = ACTIONS(7443),
    [anon_sym_BSLASHcitep] = ACTIONS(7443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHciteA] = ACTIONS(7443),
    [anon_sym_BSLASHciteR] = ACTIONS(7443),
    [anon_sym_BSLASHciteS] = ACTIONS(7443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHciteyear] = ACTIONS(7443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcitedate] = ACTIONS(7443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHciteurl] = ACTIONS(7443),
    [anon_sym_BSLASHfullcite] = ACTIONS(7443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7443),
    [anon_sym_BSLASHcitealt] = ACTIONS(7443),
    [anon_sym_BSLASHcitealp] = ACTIONS(7443),
    [anon_sym_BSLASHcitetext] = ACTIONS(7443),
    [anon_sym_BSLASHparencite] = ACTIONS(7443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHParencite] = ACTIONS(7443),
    [anon_sym_BSLASHfootcite] = ACTIONS(7443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7443),
    [anon_sym_BSLASHtextcite] = ACTIONS(7443),
    [anon_sym_BSLASHTextcite] = ACTIONS(7443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7443),
    [anon_sym_BSLASHsupercite] = ACTIONS(7443),
    [anon_sym_BSLASHautocite] = ACTIONS(7443),
    [anon_sym_BSLASHAutocite] = ACTIONS(7443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHVolcite] = ACTIONS(7443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHavolcite] = ACTIONS(7443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHnotecite] = ACTIONS(7443),
    [anon_sym_BSLASHNotecite] = ACTIONS(7443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7443),
    [anon_sym_BSLASHlabel] = ACTIONS(7443),
    [anon_sym_BSLASHref] = ACTIONS(7443),
    [anon_sym_BSLASHeqref] = ACTIONS(7443),
    [anon_sym_BSLASHvref] = ACTIONS(7443),
    [anon_sym_BSLASHVref] = ACTIONS(7443),
    [anon_sym_BSLASHautoref] = ACTIONS(7443),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHpageref] = ACTIONS(7443),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHautopageref] = ACTIONS(7443),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcref] = ACTIONS(7443),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHCref] = ACTIONS(7443),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcpageref] = ACTIONS(7443),
    [anon_sym_BSLASHCpageref] = ACTIONS(7443),
    [anon_sym_BSLASHnamecref] = ACTIONS(7443),
    [anon_sym_BSLASHnameCref] = ACTIONS(7443),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7443),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7443),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7443),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7443),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7443),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7443),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7443),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7443),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7443),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7443),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7443),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7443),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7443),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7443),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7443),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7443),
    [anon_sym_BSLASHdef] = ACTIONS(7443),
    [anon_sym_BSLASHgdef] = ACTIONS(7443),
    [anon_sym_BSLASHedef] = ACTIONS(7443),
    [anon_sym_BSLASHxdef] = ACTIONS(7443),
    [anon_sym_BSLASHlet] = ACTIONS(7443),
    [anon_sym_BSLASHglet] = ACTIONS(7443),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7443),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7443),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7443),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7443),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7443),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7443),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7443),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7443),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7443),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7443),
    [anon_sym_BSLASHgls] = ACTIONS(7443),
    [anon_sym_BSLASHGls] = ACTIONS(7443),
    [anon_sym_BSLASHGLS] = ACTIONS(7443),
    [anon_sym_BSLASHglspl] = ACTIONS(7443),
    [anon_sym_BSLASHGlspl] = ACTIONS(7443),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7443),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7443),
    [anon_sym_BSLASHglslink] = ACTIONS(7443),
    [anon_sym_BSLASHglstext] = ACTIONS(7443),
    [anon_sym_BSLASHGlstext] = ACTIONS(7443),
    [anon_sym_BSLASHGLStext] = ACTIONS(7443),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7443),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7443),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7443),
    [anon_sym_BSLASHglsplural] = ACTIONS(7443),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7443),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7443),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7443),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7443),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7443),
    [anon_sym_BSLASHglsname] = ACTIONS(7443),
    [anon_sym_BSLASHGlsname] = ACTIONS(7443),
    [anon_sym_BSLASHGLSname] = ACTIONS(7443),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7443),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7443),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7443),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7443),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7443),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7443),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7443),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7443),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7443),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7443),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7443),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7443),
    [anon_sym_BSLASHacrshort] = ACTIONS(7443),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7443),
    [anon_sym_BSLASHACRshort] = ACTIONS(7443),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHacrlong] = ACTIONS(7443),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7443),
    [anon_sym_BSLASHACRlong] = ACTIONS(7443),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7443),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7443),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7443),
    [anon_sym_BSLASHacrfull] = ACTIONS(7443),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7443),
    [anon_sym_BSLASHACRfull] = ACTIONS(7443),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHacs] = ACTIONS(7443),
    [anon_sym_BSLASHAcs] = ACTIONS(7443),
    [anon_sym_BSLASHacsp] = ACTIONS(7443),
    [anon_sym_BSLASHAcsp] = ACTIONS(7443),
    [anon_sym_BSLASHacl] = ACTIONS(7443),
    [anon_sym_BSLASHAcl] = ACTIONS(7443),
    [anon_sym_BSLASHaclp] = ACTIONS(7443),
    [anon_sym_BSLASHAclp] = ACTIONS(7443),
    [anon_sym_BSLASHacf] = ACTIONS(7443),
    [anon_sym_BSLASHAcf] = ACTIONS(7443),
    [anon_sym_BSLASHacfp] = ACTIONS(7443),
    [anon_sym_BSLASHAcfp] = ACTIONS(7443),
    [anon_sym_BSLASHac] = ACTIONS(7443),
    [anon_sym_BSLASHAc] = ACTIONS(7443),
    [anon_sym_BSLASHacp] = ACTIONS(7443),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7443),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7443),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7443),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7443),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7443),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7443),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7443),
    [anon_sym_BSLASHcolor] = ACTIONS(7443),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7443),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7443),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7443),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7443),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7443),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7443),
    [anon_sym_BSLASHurl] = ACTIONS(7443),
    [anon_sym_BSLASHhref] = ACTIONS(7443),
  },
  [1252] = {
    [sym_command_name] = ACTIONS(7447),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7447),
    [anon_sym_LBRACK] = ACTIONS(7449),
    [anon_sym_RBRACK] = ACTIONS(7449),
    [anon_sym_COMMA] = ACTIONS(7449),
    [anon_sym_EQ] = ACTIONS(7449),
    [anon_sym_LPAREN] = ACTIONS(7449),
    [anon_sym_RPAREN] = ACTIONS(7449),
    [anon_sym_BSLASHpart] = ACTIONS(7447),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHaddpart] = ACTIONS(7447),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHchapter] = ACTIONS(7447),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHaddchap] = ACTIONS(7447),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHsection] = ACTIONS(7447),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHaddsec] = ACTIONS(7447),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHsubsection] = ACTIONS(7447),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7447),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHparagraph] = ACTIONS(7447),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7447),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHitem] = ACTIONS(7447),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7449),
    [anon_sym_LBRACE] = ACTIONS(7449),
    [sym_word] = ACTIONS(7447),
    [sym_placeholder] = ACTIONS(7449),
    [sym_delimiter] = ACTIONS(7449),
    [anon_sym_PLUS] = ACTIONS(7449),
    [anon_sym_DASH] = ACTIONS(7449),
    [anon_sym_STAR] = ACTIONS(7449),
    [anon_sym_SLASH] = ACTIONS(7449),
    [anon_sym_LT] = ACTIONS(7447),
    [anon_sym_GT] = ACTIONS(7447),
    [anon_sym_BANG] = ACTIONS(7447),
    [anon_sym_PIPE] = ACTIONS(7447),
    [anon_sym_COLON] = ACTIONS(7447),
    [anon_sym_SQUOTE] = ACTIONS(7447),
    [anon_sym__] = ACTIONS(7449),
    [anon_sym_CARET] = ACTIONS(7449),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7449),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7449),
    [anon_sym_DOLLAR] = ACTIONS(7447),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7449),
    [anon_sym_BSLASHleft] = ACTIONS(7447),
    [anon_sym_BSLASHbigl] = ACTIONS(7447),
    [anon_sym_BSLASHBigl] = ACTIONS(7447),
    [anon_sym_BSLASHbiggl] = ACTIONS(7447),
    [anon_sym_BSLASHBiggl] = ACTIONS(7447),
    [anon_sym_BSLASHtext] = ACTIONS(7447),
    [anon_sym_BSLASHintertext] = ACTIONS(7447),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7447),
    [anon_sym_BSLASHbegin] = ACTIONS(7447),
    [anon_sym_BSLASHend] = ACTIONS(7447),
    [anon_sym_BSLASHtitle] = ACTIONS(7447),
    [anon_sym_BSLASHauthor] = ACTIONS(7447),
    [anon_sym_BSLASHusepackage] = ACTIONS(7447),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7447),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7447),
    [anon_sym_BSLASHinclude] = ACTIONS(7447),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7447),
    [anon_sym_BSLASHinput] = ACTIONS(7447),
    [anon_sym_BSLASHsubfile] = ACTIONS(7447),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7447),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7447),
    [anon_sym_BSLASHbibliography] = ACTIONS(7447),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7447),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7447),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7447),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7447),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7447),
    [anon_sym_BSLASHimport] = ACTIONS(7447),
    [anon_sym_BSLASHsubimport] = ACTIONS(7447),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7447),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7447),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7447),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7447),
    [anon_sym_BSLASHcaption] = ACTIONS(7447),
    [anon_sym_BSLASHcite] = ACTIONS(7447),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHCite] = ACTIONS(7447),
    [anon_sym_BSLASHnocite] = ACTIONS(7447),
    [anon_sym_BSLASHcitet] = ACTIONS(7447),
    [anon_sym_BSLASHcitep] = ACTIONS(7447),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHciteA] = ACTIONS(7447),
    [anon_sym_BSLASHciteR] = ACTIONS(7447),
    [anon_sym_BSLASHciteS] = ACTIONS(7447),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7447),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7447),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7447),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7447),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHciteyear] = ACTIONS(7447),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcitedate] = ACTIONS(7447),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHciteurl] = ACTIONS(7447),
    [anon_sym_BSLASHfullcite] = ACTIONS(7447),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7447),
    [anon_sym_BSLASHcitealt] = ACTIONS(7447),
    [anon_sym_BSLASHcitealp] = ACTIONS(7447),
    [anon_sym_BSLASHcitetext] = ACTIONS(7447),
    [anon_sym_BSLASHparencite] = ACTIONS(7447),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHParencite] = ACTIONS(7447),
    [anon_sym_BSLASHfootcite] = ACTIONS(7447),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7447),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7447),
    [anon_sym_BSLASHtextcite] = ACTIONS(7447),
    [anon_sym_BSLASHTextcite] = ACTIONS(7447),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7447),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7447),
    [anon_sym_BSLASHsupercite] = ACTIONS(7447),
    [anon_sym_BSLASHautocite] = ACTIONS(7447),
    [anon_sym_BSLASHAutocite] = ACTIONS(7447),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHVolcite] = ACTIONS(7447),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHavolcite] = ACTIONS(7447),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHnotecite] = ACTIONS(7447),
    [anon_sym_BSLASHNotecite] = ACTIONS(7447),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7447),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7447),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7447),
    [anon_sym_BSLASHlabel] = ACTIONS(7447),
    [anon_sym_BSLASHref] = ACTIONS(7447),
    [anon_sym_BSLASHeqref] = ACTIONS(7447),
    [anon_sym_BSLASHvref] = ACTIONS(7447),
    [anon_sym_BSLASHVref] = ACTIONS(7447),
    [anon_sym_BSLASHautoref] = ACTIONS(7447),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHpageref] = ACTIONS(7447),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHautopageref] = ACTIONS(7447),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcref] = ACTIONS(7447),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHCref] = ACTIONS(7447),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcpageref] = ACTIONS(7447),
    [anon_sym_BSLASHCpageref] = ACTIONS(7447),
    [anon_sym_BSLASHnamecref] = ACTIONS(7447),
    [anon_sym_BSLASHnameCref] = ACTIONS(7447),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7447),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7447),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7447),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7447),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7447),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7447),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7447),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7447),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7447),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7447),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7447),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7447),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7447),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7447),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7447),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7447),
    [anon_sym_BSLASHdef] = ACTIONS(7447),
    [anon_sym_BSLASHgdef] = ACTIONS(7447),
    [anon_sym_BSLASHedef] = ACTIONS(7447),
    [anon_sym_BSLASHxdef] = ACTIONS(7447),
    [anon_sym_BSLASHlet] = ACTIONS(7447),
    [anon_sym_BSLASHglet] = ACTIONS(7447),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7447),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7447),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7447),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7447),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7447),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7447),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7447),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7447),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7447),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7447),
    [anon_sym_BSLASHgls] = ACTIONS(7447),
    [anon_sym_BSLASHGls] = ACTIONS(7447),
    [anon_sym_BSLASHGLS] = ACTIONS(7447),
    [anon_sym_BSLASHglspl] = ACTIONS(7447),
    [anon_sym_BSLASHGlspl] = ACTIONS(7447),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7447),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7447),
    [anon_sym_BSLASHglslink] = ACTIONS(7447),
    [anon_sym_BSLASHglstext] = ACTIONS(7447),
    [anon_sym_BSLASHGlstext] = ACTIONS(7447),
    [anon_sym_BSLASHGLStext] = ACTIONS(7447),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7447),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7447),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7447),
    [anon_sym_BSLASHglsplural] = ACTIONS(7447),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7447),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7447),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7447),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7447),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7447),
    [anon_sym_BSLASHglsname] = ACTIONS(7447),
    [anon_sym_BSLASHGlsname] = ACTIONS(7447),
    [anon_sym_BSLASHGLSname] = ACTIONS(7447),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7447),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7447),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7447),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7447),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7447),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7447),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7447),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7447),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7447),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7447),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7447),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7447),
    [anon_sym_BSLASHacrshort] = ACTIONS(7447),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7447),
    [anon_sym_BSLASHACRshort] = ACTIONS(7447),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHacrlong] = ACTIONS(7447),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7447),
    [anon_sym_BSLASHACRlong] = ACTIONS(7447),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7447),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7447),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7447),
    [anon_sym_BSLASHacrfull] = ACTIONS(7447),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7447),
    [anon_sym_BSLASHACRfull] = ACTIONS(7447),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHacs] = ACTIONS(7447),
    [anon_sym_BSLASHAcs] = ACTIONS(7447),
    [anon_sym_BSLASHacsp] = ACTIONS(7447),
    [anon_sym_BSLASHAcsp] = ACTIONS(7447),
    [anon_sym_BSLASHacl] = ACTIONS(7447),
    [anon_sym_BSLASHAcl] = ACTIONS(7447),
    [anon_sym_BSLASHaclp] = ACTIONS(7447),
    [anon_sym_BSLASHAclp] = ACTIONS(7447),
    [anon_sym_BSLASHacf] = ACTIONS(7447),
    [anon_sym_BSLASHAcf] = ACTIONS(7447),
    [anon_sym_BSLASHacfp] = ACTIONS(7447),
    [anon_sym_BSLASHAcfp] = ACTIONS(7447),
    [anon_sym_BSLASHac] = ACTIONS(7447),
    [anon_sym_BSLASHAc] = ACTIONS(7447),
    [anon_sym_BSLASHacp] = ACTIONS(7447),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7447),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7447),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7447),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7447),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7447),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7447),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7447),
    [anon_sym_BSLASHcolor] = ACTIONS(7447),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7447),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7447),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7447),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7447),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7447),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7447),
    [anon_sym_BSLASHurl] = ACTIONS(7447),
    [anon_sym_BSLASHhref] = ACTIONS(7447),
  },
  [1253] = {
    [sym_command_name] = ACTIONS(7451),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7451),
    [anon_sym_LBRACK] = ACTIONS(7453),
    [anon_sym_RBRACK] = ACTIONS(7453),
    [anon_sym_COMMA] = ACTIONS(7453),
    [anon_sym_EQ] = ACTIONS(7453),
    [anon_sym_LPAREN] = ACTIONS(7453),
    [anon_sym_RPAREN] = ACTIONS(7453),
    [anon_sym_BSLASHpart] = ACTIONS(7451),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHaddpart] = ACTIONS(7451),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHchapter] = ACTIONS(7451),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHaddchap] = ACTIONS(7451),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHsection] = ACTIONS(7451),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHaddsec] = ACTIONS(7451),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHsubsection] = ACTIONS(7451),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7451),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHparagraph] = ACTIONS(7451),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7451),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHitem] = ACTIONS(7451),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7453),
    [anon_sym_LBRACE] = ACTIONS(7453),
    [sym_word] = ACTIONS(7451),
    [sym_placeholder] = ACTIONS(7453),
    [sym_delimiter] = ACTIONS(7453),
    [anon_sym_PLUS] = ACTIONS(7453),
    [anon_sym_DASH] = ACTIONS(7453),
    [anon_sym_STAR] = ACTIONS(7453),
    [anon_sym_SLASH] = ACTIONS(7453),
    [anon_sym_LT] = ACTIONS(7451),
    [anon_sym_GT] = ACTIONS(7451),
    [anon_sym_BANG] = ACTIONS(7451),
    [anon_sym_PIPE] = ACTIONS(7451),
    [anon_sym_COLON] = ACTIONS(7451),
    [anon_sym_SQUOTE] = ACTIONS(7451),
    [anon_sym__] = ACTIONS(7453),
    [anon_sym_CARET] = ACTIONS(7453),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7453),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7453),
    [anon_sym_DOLLAR] = ACTIONS(7451),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7453),
    [anon_sym_BSLASHleft] = ACTIONS(7451),
    [anon_sym_BSLASHbigl] = ACTIONS(7451),
    [anon_sym_BSLASHBigl] = ACTIONS(7451),
    [anon_sym_BSLASHbiggl] = ACTIONS(7451),
    [anon_sym_BSLASHBiggl] = ACTIONS(7451),
    [anon_sym_BSLASHtext] = ACTIONS(7451),
    [anon_sym_BSLASHintertext] = ACTIONS(7451),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7451),
    [anon_sym_BSLASHbegin] = ACTIONS(7451),
    [anon_sym_BSLASHend] = ACTIONS(7451),
    [anon_sym_BSLASHtitle] = ACTIONS(7451),
    [anon_sym_BSLASHauthor] = ACTIONS(7451),
    [anon_sym_BSLASHusepackage] = ACTIONS(7451),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7451),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7451),
    [anon_sym_BSLASHinclude] = ACTIONS(7451),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7451),
    [anon_sym_BSLASHinput] = ACTIONS(7451),
    [anon_sym_BSLASHsubfile] = ACTIONS(7451),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7451),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7451),
    [anon_sym_BSLASHbibliography] = ACTIONS(7451),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7451),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7451),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7451),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7451),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7451),
    [anon_sym_BSLASHimport] = ACTIONS(7451),
    [anon_sym_BSLASHsubimport] = ACTIONS(7451),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7451),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7451),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7451),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7451),
    [anon_sym_BSLASHcaption] = ACTIONS(7451),
    [anon_sym_BSLASHcite] = ACTIONS(7451),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHCite] = ACTIONS(7451),
    [anon_sym_BSLASHnocite] = ACTIONS(7451),
    [anon_sym_BSLASHcitet] = ACTIONS(7451),
    [anon_sym_BSLASHcitep] = ACTIONS(7451),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHciteA] = ACTIONS(7451),
    [anon_sym_BSLASHciteR] = ACTIONS(7451),
    [anon_sym_BSLASHciteS] = ACTIONS(7451),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7451),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7451),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7451),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7451),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHciteyear] = ACTIONS(7451),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcitedate] = ACTIONS(7451),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHciteurl] = ACTIONS(7451),
    [anon_sym_BSLASHfullcite] = ACTIONS(7451),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7451),
    [anon_sym_BSLASHcitealt] = ACTIONS(7451),
    [anon_sym_BSLASHcitealp] = ACTIONS(7451),
    [anon_sym_BSLASHcitetext] = ACTIONS(7451),
    [anon_sym_BSLASHparencite] = ACTIONS(7451),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHParencite] = ACTIONS(7451),
    [anon_sym_BSLASHfootcite] = ACTIONS(7451),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7451),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7451),
    [anon_sym_BSLASHtextcite] = ACTIONS(7451),
    [anon_sym_BSLASHTextcite] = ACTIONS(7451),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7451),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7451),
    [anon_sym_BSLASHsupercite] = ACTIONS(7451),
    [anon_sym_BSLASHautocite] = ACTIONS(7451),
    [anon_sym_BSLASHAutocite] = ACTIONS(7451),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHVolcite] = ACTIONS(7451),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHavolcite] = ACTIONS(7451),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHnotecite] = ACTIONS(7451),
    [anon_sym_BSLASHNotecite] = ACTIONS(7451),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7451),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7451),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7451),
    [anon_sym_BSLASHlabel] = ACTIONS(7451),
    [anon_sym_BSLASHref] = ACTIONS(7451),
    [anon_sym_BSLASHeqref] = ACTIONS(7451),
    [anon_sym_BSLASHvref] = ACTIONS(7451),
    [anon_sym_BSLASHVref] = ACTIONS(7451),
    [anon_sym_BSLASHautoref] = ACTIONS(7451),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHpageref] = ACTIONS(7451),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHautopageref] = ACTIONS(7451),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcref] = ACTIONS(7451),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHCref] = ACTIONS(7451),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcpageref] = ACTIONS(7451),
    [anon_sym_BSLASHCpageref] = ACTIONS(7451),
    [anon_sym_BSLASHnamecref] = ACTIONS(7451),
    [anon_sym_BSLASHnameCref] = ACTIONS(7451),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7451),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7451),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7451),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7451),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7451),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7451),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7451),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7451),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7451),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7451),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7451),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7451),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7451),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7451),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7451),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7451),
    [anon_sym_BSLASHdef] = ACTIONS(7451),
    [anon_sym_BSLASHgdef] = ACTIONS(7451),
    [anon_sym_BSLASHedef] = ACTIONS(7451),
    [anon_sym_BSLASHxdef] = ACTIONS(7451),
    [anon_sym_BSLASHlet] = ACTIONS(7451),
    [anon_sym_BSLASHglet] = ACTIONS(7451),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7451),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7451),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7451),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7451),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7451),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7451),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7451),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7451),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7451),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7451),
    [anon_sym_BSLASHgls] = ACTIONS(7451),
    [anon_sym_BSLASHGls] = ACTIONS(7451),
    [anon_sym_BSLASHGLS] = ACTIONS(7451),
    [anon_sym_BSLASHglspl] = ACTIONS(7451),
    [anon_sym_BSLASHGlspl] = ACTIONS(7451),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7451),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7451),
    [anon_sym_BSLASHglslink] = ACTIONS(7451),
    [anon_sym_BSLASHglstext] = ACTIONS(7451),
    [anon_sym_BSLASHGlstext] = ACTIONS(7451),
    [anon_sym_BSLASHGLStext] = ACTIONS(7451),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7451),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7451),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7451),
    [anon_sym_BSLASHglsplural] = ACTIONS(7451),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7451),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7451),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7451),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7451),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7451),
    [anon_sym_BSLASHglsname] = ACTIONS(7451),
    [anon_sym_BSLASHGlsname] = ACTIONS(7451),
    [anon_sym_BSLASHGLSname] = ACTIONS(7451),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7451),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7451),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7451),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7451),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7451),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7451),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7451),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7451),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7451),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7451),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7451),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7451),
    [anon_sym_BSLASHacrshort] = ACTIONS(7451),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7451),
    [anon_sym_BSLASHACRshort] = ACTIONS(7451),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHacrlong] = ACTIONS(7451),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7451),
    [anon_sym_BSLASHACRlong] = ACTIONS(7451),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7451),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7451),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7451),
    [anon_sym_BSLASHacrfull] = ACTIONS(7451),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7451),
    [anon_sym_BSLASHACRfull] = ACTIONS(7451),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHacs] = ACTIONS(7451),
    [anon_sym_BSLASHAcs] = ACTIONS(7451),
    [anon_sym_BSLASHacsp] = ACTIONS(7451),
    [anon_sym_BSLASHAcsp] = ACTIONS(7451),
    [anon_sym_BSLASHacl] = ACTIONS(7451),
    [anon_sym_BSLASHAcl] = ACTIONS(7451),
    [anon_sym_BSLASHaclp] = ACTIONS(7451),
    [anon_sym_BSLASHAclp] = ACTIONS(7451),
    [anon_sym_BSLASHacf] = ACTIONS(7451),
    [anon_sym_BSLASHAcf] = ACTIONS(7451),
    [anon_sym_BSLASHacfp] = ACTIONS(7451),
    [anon_sym_BSLASHAcfp] = ACTIONS(7451),
    [anon_sym_BSLASHac] = ACTIONS(7451),
    [anon_sym_BSLASHAc] = ACTIONS(7451),
    [anon_sym_BSLASHacp] = ACTIONS(7451),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7451),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7451),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7451),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7451),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7451),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7451),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7451),
    [anon_sym_BSLASHcolor] = ACTIONS(7451),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7451),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7451),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7451),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7451),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7451),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7451),
    [anon_sym_BSLASHurl] = ACTIONS(7451),
    [anon_sym_BSLASHhref] = ACTIONS(7451),
  },
  [1254] = {
    [sym_command_name] = ACTIONS(7455),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7455),
    [anon_sym_LBRACK] = ACTIONS(7457),
    [anon_sym_RBRACK] = ACTIONS(7457),
    [anon_sym_COMMA] = ACTIONS(7457),
    [anon_sym_EQ] = ACTIONS(7457),
    [anon_sym_LPAREN] = ACTIONS(7457),
    [anon_sym_RPAREN] = ACTIONS(7457),
    [anon_sym_BSLASHpart] = ACTIONS(7455),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHaddpart] = ACTIONS(7455),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHchapter] = ACTIONS(7455),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHaddchap] = ACTIONS(7455),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHsection] = ACTIONS(7455),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHaddsec] = ACTIONS(7455),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHsubsection] = ACTIONS(7455),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7455),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHparagraph] = ACTIONS(7455),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7455),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHitem] = ACTIONS(7455),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7457),
    [anon_sym_LBRACE] = ACTIONS(7457),
    [sym_word] = ACTIONS(7455),
    [sym_placeholder] = ACTIONS(7457),
    [sym_delimiter] = ACTIONS(7457),
    [anon_sym_PLUS] = ACTIONS(7457),
    [anon_sym_DASH] = ACTIONS(7457),
    [anon_sym_STAR] = ACTIONS(7457),
    [anon_sym_SLASH] = ACTIONS(7457),
    [anon_sym_LT] = ACTIONS(7455),
    [anon_sym_GT] = ACTIONS(7455),
    [anon_sym_BANG] = ACTIONS(7455),
    [anon_sym_PIPE] = ACTIONS(7455),
    [anon_sym_COLON] = ACTIONS(7455),
    [anon_sym_SQUOTE] = ACTIONS(7455),
    [anon_sym__] = ACTIONS(7457),
    [anon_sym_CARET] = ACTIONS(7457),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7457),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7457),
    [anon_sym_DOLLAR] = ACTIONS(7455),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7457),
    [anon_sym_BSLASHleft] = ACTIONS(7455),
    [anon_sym_BSLASHbigl] = ACTIONS(7455),
    [anon_sym_BSLASHBigl] = ACTIONS(7455),
    [anon_sym_BSLASHbiggl] = ACTIONS(7455),
    [anon_sym_BSLASHBiggl] = ACTIONS(7455),
    [anon_sym_BSLASHtext] = ACTIONS(7455),
    [anon_sym_BSLASHintertext] = ACTIONS(7455),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7455),
    [anon_sym_BSLASHbegin] = ACTIONS(7455),
    [anon_sym_BSLASHend] = ACTIONS(7455),
    [anon_sym_BSLASHtitle] = ACTIONS(7455),
    [anon_sym_BSLASHauthor] = ACTIONS(7455),
    [anon_sym_BSLASHusepackage] = ACTIONS(7455),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7455),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7455),
    [anon_sym_BSLASHinclude] = ACTIONS(7455),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7455),
    [anon_sym_BSLASHinput] = ACTIONS(7455),
    [anon_sym_BSLASHsubfile] = ACTIONS(7455),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7455),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7455),
    [anon_sym_BSLASHbibliography] = ACTIONS(7455),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7455),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7455),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7455),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7455),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7455),
    [anon_sym_BSLASHimport] = ACTIONS(7455),
    [anon_sym_BSLASHsubimport] = ACTIONS(7455),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7455),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7455),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7455),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7455),
    [anon_sym_BSLASHcaption] = ACTIONS(7455),
    [anon_sym_BSLASHcite] = ACTIONS(7455),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHCite] = ACTIONS(7455),
    [anon_sym_BSLASHnocite] = ACTIONS(7455),
    [anon_sym_BSLASHcitet] = ACTIONS(7455),
    [anon_sym_BSLASHcitep] = ACTIONS(7455),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHciteA] = ACTIONS(7455),
    [anon_sym_BSLASHciteR] = ACTIONS(7455),
    [anon_sym_BSLASHciteS] = ACTIONS(7455),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7455),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7455),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7455),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7455),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHciteyear] = ACTIONS(7455),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcitedate] = ACTIONS(7455),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHciteurl] = ACTIONS(7455),
    [anon_sym_BSLASHfullcite] = ACTIONS(7455),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7455),
    [anon_sym_BSLASHcitealt] = ACTIONS(7455),
    [anon_sym_BSLASHcitealp] = ACTIONS(7455),
    [anon_sym_BSLASHcitetext] = ACTIONS(7455),
    [anon_sym_BSLASHparencite] = ACTIONS(7455),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHParencite] = ACTIONS(7455),
    [anon_sym_BSLASHfootcite] = ACTIONS(7455),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7455),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7455),
    [anon_sym_BSLASHtextcite] = ACTIONS(7455),
    [anon_sym_BSLASHTextcite] = ACTIONS(7455),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7455),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7455),
    [anon_sym_BSLASHsupercite] = ACTIONS(7455),
    [anon_sym_BSLASHautocite] = ACTIONS(7455),
    [anon_sym_BSLASHAutocite] = ACTIONS(7455),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHVolcite] = ACTIONS(7455),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHavolcite] = ACTIONS(7455),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHnotecite] = ACTIONS(7455),
    [anon_sym_BSLASHNotecite] = ACTIONS(7455),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7455),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7455),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7455),
    [anon_sym_BSLASHlabel] = ACTIONS(7455),
    [anon_sym_BSLASHref] = ACTIONS(7455),
    [anon_sym_BSLASHeqref] = ACTIONS(7455),
    [anon_sym_BSLASHvref] = ACTIONS(7455),
    [anon_sym_BSLASHVref] = ACTIONS(7455),
    [anon_sym_BSLASHautoref] = ACTIONS(7455),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHpageref] = ACTIONS(7455),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHautopageref] = ACTIONS(7455),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcref] = ACTIONS(7455),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHCref] = ACTIONS(7455),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcpageref] = ACTIONS(7455),
    [anon_sym_BSLASHCpageref] = ACTIONS(7455),
    [anon_sym_BSLASHnamecref] = ACTIONS(7455),
    [anon_sym_BSLASHnameCref] = ACTIONS(7455),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7455),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7455),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7455),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7455),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7455),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7455),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7455),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7455),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7455),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7455),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7455),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7455),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7455),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7455),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7455),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7455),
    [anon_sym_BSLASHdef] = ACTIONS(7455),
    [anon_sym_BSLASHgdef] = ACTIONS(7455),
    [anon_sym_BSLASHedef] = ACTIONS(7455),
    [anon_sym_BSLASHxdef] = ACTIONS(7455),
    [anon_sym_BSLASHlet] = ACTIONS(7455),
    [anon_sym_BSLASHglet] = ACTIONS(7455),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7455),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7455),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7455),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7455),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7455),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7455),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7455),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7455),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7455),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7455),
    [anon_sym_BSLASHgls] = ACTIONS(7455),
    [anon_sym_BSLASHGls] = ACTIONS(7455),
    [anon_sym_BSLASHGLS] = ACTIONS(7455),
    [anon_sym_BSLASHglspl] = ACTIONS(7455),
    [anon_sym_BSLASHGlspl] = ACTIONS(7455),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7455),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7455),
    [anon_sym_BSLASHglslink] = ACTIONS(7455),
    [anon_sym_BSLASHglstext] = ACTIONS(7455),
    [anon_sym_BSLASHGlstext] = ACTIONS(7455),
    [anon_sym_BSLASHGLStext] = ACTIONS(7455),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7455),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7455),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7455),
    [anon_sym_BSLASHglsplural] = ACTIONS(7455),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7455),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7455),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7455),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7455),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7455),
    [anon_sym_BSLASHglsname] = ACTIONS(7455),
    [anon_sym_BSLASHGlsname] = ACTIONS(7455),
    [anon_sym_BSLASHGLSname] = ACTIONS(7455),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7455),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7455),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7455),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7455),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7455),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7455),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7455),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7455),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7455),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7455),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7455),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7455),
    [anon_sym_BSLASHacrshort] = ACTIONS(7455),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7455),
    [anon_sym_BSLASHACRshort] = ACTIONS(7455),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHacrlong] = ACTIONS(7455),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7455),
    [anon_sym_BSLASHACRlong] = ACTIONS(7455),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7455),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7455),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7455),
    [anon_sym_BSLASHacrfull] = ACTIONS(7455),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7455),
    [anon_sym_BSLASHACRfull] = ACTIONS(7455),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHacs] = ACTIONS(7455),
    [anon_sym_BSLASHAcs] = ACTIONS(7455),
    [anon_sym_BSLASHacsp] = ACTIONS(7455),
    [anon_sym_BSLASHAcsp] = ACTIONS(7455),
    [anon_sym_BSLASHacl] = ACTIONS(7455),
    [anon_sym_BSLASHAcl] = ACTIONS(7455),
    [anon_sym_BSLASHaclp] = ACTIONS(7455),
    [anon_sym_BSLASHAclp] = ACTIONS(7455),
    [anon_sym_BSLASHacf] = ACTIONS(7455),
    [anon_sym_BSLASHAcf] = ACTIONS(7455),
    [anon_sym_BSLASHacfp] = ACTIONS(7455),
    [anon_sym_BSLASHAcfp] = ACTIONS(7455),
    [anon_sym_BSLASHac] = ACTIONS(7455),
    [anon_sym_BSLASHAc] = ACTIONS(7455),
    [anon_sym_BSLASHacp] = ACTIONS(7455),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7455),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7455),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7455),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7455),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7455),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7455),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7455),
    [anon_sym_BSLASHcolor] = ACTIONS(7455),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7455),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7455),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7455),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7455),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7455),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7455),
    [anon_sym_BSLASHurl] = ACTIONS(7455),
    [anon_sym_BSLASHhref] = ACTIONS(7455),
  },
  [1255] = {
    [sym_command_name] = ACTIONS(7459),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7459),
    [anon_sym_LBRACK] = ACTIONS(7461),
    [anon_sym_RBRACK] = ACTIONS(7461),
    [anon_sym_COMMA] = ACTIONS(7461),
    [anon_sym_EQ] = ACTIONS(7461),
    [anon_sym_LPAREN] = ACTIONS(7461),
    [anon_sym_RPAREN] = ACTIONS(7461),
    [anon_sym_BSLASHpart] = ACTIONS(7459),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHaddpart] = ACTIONS(7459),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHchapter] = ACTIONS(7459),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHaddchap] = ACTIONS(7459),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHsection] = ACTIONS(7459),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHaddsec] = ACTIONS(7459),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHsubsection] = ACTIONS(7459),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7459),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHparagraph] = ACTIONS(7459),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7459),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHitem] = ACTIONS(7459),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7461),
    [anon_sym_LBRACE] = ACTIONS(7461),
    [sym_word] = ACTIONS(7459),
    [sym_placeholder] = ACTIONS(7461),
    [sym_delimiter] = ACTIONS(7461),
    [anon_sym_PLUS] = ACTIONS(7461),
    [anon_sym_DASH] = ACTIONS(7461),
    [anon_sym_STAR] = ACTIONS(7461),
    [anon_sym_SLASH] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(7459),
    [anon_sym_GT] = ACTIONS(7459),
    [anon_sym_BANG] = ACTIONS(7459),
    [anon_sym_PIPE] = ACTIONS(7459),
    [anon_sym_COLON] = ACTIONS(7459),
    [anon_sym_SQUOTE] = ACTIONS(7459),
    [anon_sym__] = ACTIONS(7461),
    [anon_sym_CARET] = ACTIONS(7461),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7461),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7461),
    [anon_sym_DOLLAR] = ACTIONS(7459),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7461),
    [anon_sym_BSLASHleft] = ACTIONS(7459),
    [anon_sym_BSLASHbigl] = ACTIONS(7459),
    [anon_sym_BSLASHBigl] = ACTIONS(7459),
    [anon_sym_BSLASHbiggl] = ACTIONS(7459),
    [anon_sym_BSLASHBiggl] = ACTIONS(7459),
    [anon_sym_BSLASHtext] = ACTIONS(7459),
    [anon_sym_BSLASHintertext] = ACTIONS(7459),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7459),
    [anon_sym_BSLASHbegin] = ACTIONS(7459),
    [anon_sym_BSLASHend] = ACTIONS(7459),
    [anon_sym_BSLASHtitle] = ACTIONS(7459),
    [anon_sym_BSLASHauthor] = ACTIONS(7459),
    [anon_sym_BSLASHusepackage] = ACTIONS(7459),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7459),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7459),
    [anon_sym_BSLASHinclude] = ACTIONS(7459),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7459),
    [anon_sym_BSLASHinput] = ACTIONS(7459),
    [anon_sym_BSLASHsubfile] = ACTIONS(7459),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7459),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7459),
    [anon_sym_BSLASHbibliography] = ACTIONS(7459),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7459),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7459),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7459),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7459),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7459),
    [anon_sym_BSLASHimport] = ACTIONS(7459),
    [anon_sym_BSLASHsubimport] = ACTIONS(7459),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7459),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7459),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7459),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7459),
    [anon_sym_BSLASHcaption] = ACTIONS(7459),
    [anon_sym_BSLASHcite] = ACTIONS(7459),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHCite] = ACTIONS(7459),
    [anon_sym_BSLASHnocite] = ACTIONS(7459),
    [anon_sym_BSLASHcitet] = ACTIONS(7459),
    [anon_sym_BSLASHcitep] = ACTIONS(7459),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHciteA] = ACTIONS(7459),
    [anon_sym_BSLASHciteR] = ACTIONS(7459),
    [anon_sym_BSLASHciteS] = ACTIONS(7459),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7459),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7459),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7459),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7459),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHciteyear] = ACTIONS(7459),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcitedate] = ACTIONS(7459),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHciteurl] = ACTIONS(7459),
    [anon_sym_BSLASHfullcite] = ACTIONS(7459),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7459),
    [anon_sym_BSLASHcitealt] = ACTIONS(7459),
    [anon_sym_BSLASHcitealp] = ACTIONS(7459),
    [anon_sym_BSLASHcitetext] = ACTIONS(7459),
    [anon_sym_BSLASHparencite] = ACTIONS(7459),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHParencite] = ACTIONS(7459),
    [anon_sym_BSLASHfootcite] = ACTIONS(7459),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7459),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7459),
    [anon_sym_BSLASHtextcite] = ACTIONS(7459),
    [anon_sym_BSLASHTextcite] = ACTIONS(7459),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7459),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7459),
    [anon_sym_BSLASHsupercite] = ACTIONS(7459),
    [anon_sym_BSLASHautocite] = ACTIONS(7459),
    [anon_sym_BSLASHAutocite] = ACTIONS(7459),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHVolcite] = ACTIONS(7459),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHavolcite] = ACTIONS(7459),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHnotecite] = ACTIONS(7459),
    [anon_sym_BSLASHNotecite] = ACTIONS(7459),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7459),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7459),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7459),
    [anon_sym_BSLASHlabel] = ACTIONS(7459),
    [anon_sym_BSLASHref] = ACTIONS(7459),
    [anon_sym_BSLASHeqref] = ACTIONS(7459),
    [anon_sym_BSLASHvref] = ACTIONS(7459),
    [anon_sym_BSLASHVref] = ACTIONS(7459),
    [anon_sym_BSLASHautoref] = ACTIONS(7459),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHpageref] = ACTIONS(7459),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHautopageref] = ACTIONS(7459),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcref] = ACTIONS(7459),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHCref] = ACTIONS(7459),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcpageref] = ACTIONS(7459),
    [anon_sym_BSLASHCpageref] = ACTIONS(7459),
    [anon_sym_BSLASHnamecref] = ACTIONS(7459),
    [anon_sym_BSLASHnameCref] = ACTIONS(7459),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7459),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7459),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7459),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7459),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7459),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7459),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7459),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7459),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7459),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7459),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7459),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7459),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7459),
    [anon_sym_BSLASHdef] = ACTIONS(7459),
    [anon_sym_BSLASHgdef] = ACTIONS(7459),
    [anon_sym_BSLASHedef] = ACTIONS(7459),
    [anon_sym_BSLASHxdef] = ACTIONS(7459),
    [anon_sym_BSLASHlet] = ACTIONS(7459),
    [anon_sym_BSLASHglet] = ACTIONS(7459),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7459),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7459),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7459),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7459),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7459),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7459),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7459),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7459),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7459),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7459),
    [anon_sym_BSLASHgls] = ACTIONS(7459),
    [anon_sym_BSLASHGls] = ACTIONS(7459),
    [anon_sym_BSLASHGLS] = ACTIONS(7459),
    [anon_sym_BSLASHglspl] = ACTIONS(7459),
    [anon_sym_BSLASHGlspl] = ACTIONS(7459),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7459),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7459),
    [anon_sym_BSLASHglslink] = ACTIONS(7459),
    [anon_sym_BSLASHglstext] = ACTIONS(7459),
    [anon_sym_BSLASHGlstext] = ACTIONS(7459),
    [anon_sym_BSLASHGLStext] = ACTIONS(7459),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7459),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7459),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7459),
    [anon_sym_BSLASHglsplural] = ACTIONS(7459),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7459),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7459),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7459),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7459),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7459),
    [anon_sym_BSLASHglsname] = ACTIONS(7459),
    [anon_sym_BSLASHGlsname] = ACTIONS(7459),
    [anon_sym_BSLASHGLSname] = ACTIONS(7459),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7459),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7459),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7459),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7459),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7459),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7459),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7459),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7459),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7459),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7459),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7459),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7459),
    [anon_sym_BSLASHacrshort] = ACTIONS(7459),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7459),
    [anon_sym_BSLASHACRshort] = ACTIONS(7459),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHacrlong] = ACTIONS(7459),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7459),
    [anon_sym_BSLASHACRlong] = ACTIONS(7459),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7459),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7459),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7459),
    [anon_sym_BSLASHacrfull] = ACTIONS(7459),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7459),
    [anon_sym_BSLASHACRfull] = ACTIONS(7459),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHacs] = ACTIONS(7459),
    [anon_sym_BSLASHAcs] = ACTIONS(7459),
    [anon_sym_BSLASHacsp] = ACTIONS(7459),
    [anon_sym_BSLASHAcsp] = ACTIONS(7459),
    [anon_sym_BSLASHacl] = ACTIONS(7459),
    [anon_sym_BSLASHAcl] = ACTIONS(7459),
    [anon_sym_BSLASHaclp] = ACTIONS(7459),
    [anon_sym_BSLASHAclp] = ACTIONS(7459),
    [anon_sym_BSLASHacf] = ACTIONS(7459),
    [anon_sym_BSLASHAcf] = ACTIONS(7459),
    [anon_sym_BSLASHacfp] = ACTIONS(7459),
    [anon_sym_BSLASHAcfp] = ACTIONS(7459),
    [anon_sym_BSLASHac] = ACTIONS(7459),
    [anon_sym_BSLASHAc] = ACTIONS(7459),
    [anon_sym_BSLASHacp] = ACTIONS(7459),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7459),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7459),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7459),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7459),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7459),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7459),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7459),
    [anon_sym_BSLASHcolor] = ACTIONS(7459),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7459),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7459),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7459),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7459),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7459),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7459),
    [anon_sym_BSLASHurl] = ACTIONS(7459),
    [anon_sym_BSLASHhref] = ACTIONS(7459),
  },
  [1256] = {
    [sym_command_name] = ACTIONS(7139),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7139),
    [anon_sym_LBRACK] = ACTIONS(7141),
    [anon_sym_RBRACK] = ACTIONS(7141),
    [anon_sym_COMMA] = ACTIONS(7141),
    [anon_sym_EQ] = ACTIONS(7141),
    [anon_sym_LPAREN] = ACTIONS(7141),
    [anon_sym_RPAREN] = ACTIONS(7141),
    [anon_sym_BSLASHpart] = ACTIONS(7139),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHaddpart] = ACTIONS(7139),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHchapter] = ACTIONS(7139),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHaddchap] = ACTIONS(7139),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHsection] = ACTIONS(7139),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHaddsec] = ACTIONS(7139),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHsubsection] = ACTIONS(7139),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7139),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHparagraph] = ACTIONS(7139),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7139),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHitem] = ACTIONS(7139),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7141),
    [anon_sym_LBRACE] = ACTIONS(7141),
    [sym_word] = ACTIONS(7139),
    [sym_placeholder] = ACTIONS(7141),
    [sym_delimiter] = ACTIONS(7141),
    [anon_sym_PLUS] = ACTIONS(7141),
    [anon_sym_DASH] = ACTIONS(7141),
    [anon_sym_STAR] = ACTIONS(7141),
    [anon_sym_SLASH] = ACTIONS(7141),
    [anon_sym_LT] = ACTIONS(7139),
    [anon_sym_GT] = ACTIONS(7139),
    [anon_sym_BANG] = ACTIONS(7139),
    [anon_sym_PIPE] = ACTIONS(7139),
    [anon_sym_COLON] = ACTIONS(7139),
    [anon_sym_SQUOTE] = ACTIONS(7139),
    [anon_sym__] = ACTIONS(7141),
    [anon_sym_CARET] = ACTIONS(7141),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7141),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7141),
    [anon_sym_DOLLAR] = ACTIONS(7139),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7141),
    [anon_sym_BSLASHleft] = ACTIONS(7139),
    [anon_sym_BSLASHbigl] = ACTIONS(7139),
    [anon_sym_BSLASHBigl] = ACTIONS(7139),
    [anon_sym_BSLASHbiggl] = ACTIONS(7139),
    [anon_sym_BSLASHBiggl] = ACTIONS(7139),
    [anon_sym_BSLASHtext] = ACTIONS(7139),
    [anon_sym_BSLASHintertext] = ACTIONS(7139),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7139),
    [anon_sym_BSLASHbegin] = ACTIONS(7139),
    [anon_sym_BSLASHend] = ACTIONS(7139),
    [anon_sym_BSLASHtitle] = ACTIONS(7139),
    [anon_sym_BSLASHauthor] = ACTIONS(7139),
    [anon_sym_BSLASHusepackage] = ACTIONS(7139),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7139),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7139),
    [anon_sym_BSLASHinclude] = ACTIONS(7139),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7139),
    [anon_sym_BSLASHinput] = ACTIONS(7139),
    [anon_sym_BSLASHsubfile] = ACTIONS(7139),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7139),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7139),
    [anon_sym_BSLASHbibliography] = ACTIONS(7139),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7139),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7139),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7139),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7139),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7139),
    [anon_sym_BSLASHimport] = ACTIONS(7139),
    [anon_sym_BSLASHsubimport] = ACTIONS(7139),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7139),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7139),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7139),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7139),
    [anon_sym_BSLASHcaption] = ACTIONS(7139),
    [anon_sym_BSLASHcite] = ACTIONS(7139),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHCite] = ACTIONS(7139),
    [anon_sym_BSLASHnocite] = ACTIONS(7139),
    [anon_sym_BSLASHcitet] = ACTIONS(7139),
    [anon_sym_BSLASHcitep] = ACTIONS(7139),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHciteA] = ACTIONS(7139),
    [anon_sym_BSLASHciteR] = ACTIONS(7139),
    [anon_sym_BSLASHciteS] = ACTIONS(7139),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7139),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7139),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7139),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7139),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHciteyear] = ACTIONS(7139),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcitedate] = ACTIONS(7139),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHciteurl] = ACTIONS(7139),
    [anon_sym_BSLASHfullcite] = ACTIONS(7139),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7139),
    [anon_sym_BSLASHcitealt] = ACTIONS(7139),
    [anon_sym_BSLASHcitealp] = ACTIONS(7139),
    [anon_sym_BSLASHcitetext] = ACTIONS(7139),
    [anon_sym_BSLASHparencite] = ACTIONS(7139),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHParencite] = ACTIONS(7139),
    [anon_sym_BSLASHfootcite] = ACTIONS(7139),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7139),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7139),
    [anon_sym_BSLASHtextcite] = ACTIONS(7139),
    [anon_sym_BSLASHTextcite] = ACTIONS(7139),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7139),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7139),
    [anon_sym_BSLASHsupercite] = ACTIONS(7139),
    [anon_sym_BSLASHautocite] = ACTIONS(7139),
    [anon_sym_BSLASHAutocite] = ACTIONS(7139),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHVolcite] = ACTIONS(7139),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHavolcite] = ACTIONS(7139),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHnotecite] = ACTIONS(7139),
    [anon_sym_BSLASHNotecite] = ACTIONS(7139),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7139),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7139),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7139),
    [anon_sym_BSLASHlabel] = ACTIONS(7139),
    [anon_sym_BSLASHref] = ACTIONS(7139),
    [anon_sym_BSLASHeqref] = ACTIONS(7139),
    [anon_sym_BSLASHvref] = ACTIONS(7139),
    [anon_sym_BSLASHVref] = ACTIONS(7139),
    [anon_sym_BSLASHautoref] = ACTIONS(7139),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHpageref] = ACTIONS(7139),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHautopageref] = ACTIONS(7139),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcref] = ACTIONS(7139),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHCref] = ACTIONS(7139),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcpageref] = ACTIONS(7139),
    [anon_sym_BSLASHCpageref] = ACTIONS(7139),
    [anon_sym_BSLASHnamecref] = ACTIONS(7139),
    [anon_sym_BSLASHnameCref] = ACTIONS(7139),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7139),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7139),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7139),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7139),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7139),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7139),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7139),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7139),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7139),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7139),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7139),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7139),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7139),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7139),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7139),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7139),
    [anon_sym_BSLASHdef] = ACTIONS(7139),
    [anon_sym_BSLASHgdef] = ACTIONS(7139),
    [anon_sym_BSLASHedef] = ACTIONS(7139),
    [anon_sym_BSLASHxdef] = ACTIONS(7139),
    [anon_sym_BSLASHlet] = ACTIONS(7139),
    [anon_sym_BSLASHglet] = ACTIONS(7139),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7139),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7139),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7139),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7139),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7139),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7139),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7139),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7139),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7139),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7139),
    [anon_sym_BSLASHgls] = ACTIONS(7139),
    [anon_sym_BSLASHGls] = ACTIONS(7139),
    [anon_sym_BSLASHGLS] = ACTIONS(7139),
    [anon_sym_BSLASHglspl] = ACTIONS(7139),
    [anon_sym_BSLASHGlspl] = ACTIONS(7139),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7139),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7139),
    [anon_sym_BSLASHglslink] = ACTIONS(7139),
    [anon_sym_BSLASHglstext] = ACTIONS(7139),
    [anon_sym_BSLASHGlstext] = ACTIONS(7139),
    [anon_sym_BSLASHGLStext] = ACTIONS(7139),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7139),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7139),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7139),
    [anon_sym_BSLASHglsplural] = ACTIONS(7139),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7139),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7139),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7139),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7139),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7139),
    [anon_sym_BSLASHglsname] = ACTIONS(7139),
    [anon_sym_BSLASHGlsname] = ACTIONS(7139),
    [anon_sym_BSLASHGLSname] = ACTIONS(7139),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7139),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7139),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7139),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7139),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7139),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7139),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7139),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7139),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7139),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7139),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7139),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7139),
    [anon_sym_BSLASHacrshort] = ACTIONS(7139),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7139),
    [anon_sym_BSLASHACRshort] = ACTIONS(7139),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHacrlong] = ACTIONS(7139),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7139),
    [anon_sym_BSLASHACRlong] = ACTIONS(7139),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7139),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7139),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7139),
    [anon_sym_BSLASHacrfull] = ACTIONS(7139),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7139),
    [anon_sym_BSLASHACRfull] = ACTIONS(7139),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHacs] = ACTIONS(7139),
    [anon_sym_BSLASHAcs] = ACTIONS(7139),
    [anon_sym_BSLASHacsp] = ACTIONS(7139),
    [anon_sym_BSLASHAcsp] = ACTIONS(7139),
    [anon_sym_BSLASHacl] = ACTIONS(7139),
    [anon_sym_BSLASHAcl] = ACTIONS(7139),
    [anon_sym_BSLASHaclp] = ACTIONS(7139),
    [anon_sym_BSLASHAclp] = ACTIONS(7139),
    [anon_sym_BSLASHacf] = ACTIONS(7139),
    [anon_sym_BSLASHAcf] = ACTIONS(7139),
    [anon_sym_BSLASHacfp] = ACTIONS(7139),
    [anon_sym_BSLASHAcfp] = ACTIONS(7139),
    [anon_sym_BSLASHac] = ACTIONS(7139),
    [anon_sym_BSLASHAc] = ACTIONS(7139),
    [anon_sym_BSLASHacp] = ACTIONS(7139),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7139),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7139),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7139),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7139),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7139),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7139),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7139),
    [anon_sym_BSLASHcolor] = ACTIONS(7139),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7139),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7139),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7139),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7139),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7139),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7139),
    [anon_sym_BSLASHurl] = ACTIONS(7139),
    [anon_sym_BSLASHhref] = ACTIONS(7139),
  },
  [1257] = {
    [sym_command_name] = ACTIONS(7599),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7599),
    [anon_sym_LBRACK] = ACTIONS(7601),
    [anon_sym_RBRACK] = ACTIONS(7601),
    [anon_sym_COMMA] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(7601),
    [anon_sym_LPAREN] = ACTIONS(7601),
    [anon_sym_RPAREN] = ACTIONS(7601),
    [anon_sym_BSLASHpart] = ACTIONS(7599),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHaddpart] = ACTIONS(7599),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHchapter] = ACTIONS(7599),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHaddchap] = ACTIONS(7599),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHsection] = ACTIONS(7599),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHaddsec] = ACTIONS(7599),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHsubsection] = ACTIONS(7599),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7599),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHparagraph] = ACTIONS(7599),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7599),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHitem] = ACTIONS(7599),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7601),
    [anon_sym_LBRACE] = ACTIONS(7601),
    [sym_word] = ACTIONS(7599),
    [sym_placeholder] = ACTIONS(7601),
    [sym_delimiter] = ACTIONS(7601),
    [anon_sym_PLUS] = ACTIONS(7601),
    [anon_sym_DASH] = ACTIONS(7601),
    [anon_sym_STAR] = ACTIONS(7601),
    [anon_sym_SLASH] = ACTIONS(7601),
    [anon_sym_LT] = ACTIONS(7599),
    [anon_sym_GT] = ACTIONS(7599),
    [anon_sym_BANG] = ACTIONS(7599),
    [anon_sym_PIPE] = ACTIONS(7599),
    [anon_sym_COLON] = ACTIONS(7599),
    [anon_sym_SQUOTE] = ACTIONS(7599),
    [anon_sym__] = ACTIONS(7601),
    [anon_sym_CARET] = ACTIONS(7601),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7601),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7601),
    [anon_sym_DOLLAR] = ACTIONS(7599),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7601),
    [anon_sym_BSLASHleft] = ACTIONS(7599),
    [anon_sym_BSLASHbigl] = ACTIONS(7599),
    [anon_sym_BSLASHBigl] = ACTIONS(7599),
    [anon_sym_BSLASHbiggl] = ACTIONS(7599),
    [anon_sym_BSLASHBiggl] = ACTIONS(7599),
    [anon_sym_BSLASHtext] = ACTIONS(7599),
    [anon_sym_BSLASHintertext] = ACTIONS(7599),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7599),
    [anon_sym_BSLASHbegin] = ACTIONS(7599),
    [anon_sym_BSLASHend] = ACTIONS(7599),
    [anon_sym_BSLASHtitle] = ACTIONS(7599),
    [anon_sym_BSLASHauthor] = ACTIONS(7599),
    [anon_sym_BSLASHusepackage] = ACTIONS(7599),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7599),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7599),
    [anon_sym_BSLASHinclude] = ACTIONS(7599),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7599),
    [anon_sym_BSLASHinput] = ACTIONS(7599),
    [anon_sym_BSLASHsubfile] = ACTIONS(7599),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7599),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7599),
    [anon_sym_BSLASHbibliography] = ACTIONS(7599),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7599),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7599),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7599),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7599),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7599),
    [anon_sym_BSLASHimport] = ACTIONS(7599),
    [anon_sym_BSLASHsubimport] = ACTIONS(7599),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7599),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7599),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7599),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7599),
    [anon_sym_BSLASHcaption] = ACTIONS(7599),
    [anon_sym_BSLASHcite] = ACTIONS(7599),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCite] = ACTIONS(7599),
    [anon_sym_BSLASHnocite] = ACTIONS(7599),
    [anon_sym_BSLASHcitet] = ACTIONS(7599),
    [anon_sym_BSLASHcitep] = ACTIONS(7599),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteA] = ACTIONS(7599),
    [anon_sym_BSLASHciteR] = ACTIONS(7599),
    [anon_sym_BSLASHciteS] = ACTIONS(7599),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7599),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7599),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7599),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7599),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteyear] = ACTIONS(7599),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitedate] = ACTIONS(7599),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteurl] = ACTIONS(7599),
    [anon_sym_BSLASHfullcite] = ACTIONS(7599),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7599),
    [anon_sym_BSLASHcitealt] = ACTIONS(7599),
    [anon_sym_BSLASHcitealp] = ACTIONS(7599),
    [anon_sym_BSLASHcitetext] = ACTIONS(7599),
    [anon_sym_BSLASHparencite] = ACTIONS(7599),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHParencite] = ACTIONS(7599),
    [anon_sym_BSLASHfootcite] = ACTIONS(7599),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7599),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7599),
    [anon_sym_BSLASHtextcite] = ACTIONS(7599),
    [anon_sym_BSLASHTextcite] = ACTIONS(7599),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7599),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7599),
    [anon_sym_BSLASHsupercite] = ACTIONS(7599),
    [anon_sym_BSLASHautocite] = ACTIONS(7599),
    [anon_sym_BSLASHAutocite] = ACTIONS(7599),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHVolcite] = ACTIONS(7599),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHavolcite] = ACTIONS(7599),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHNotecite] = ACTIONS(7599),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHlabel] = ACTIONS(7599),
    [anon_sym_BSLASHref] = ACTIONS(7599),
    [anon_sym_BSLASHeqref] = ACTIONS(7599),
    [anon_sym_BSLASHvref] = ACTIONS(7599),
    [anon_sym_BSLASHVref] = ACTIONS(7599),
    [anon_sym_BSLASHautoref] = ACTIONS(7599),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHpageref] = ACTIONS(7599),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHautopageref] = ACTIONS(7599),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcref] = ACTIONS(7599),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCref] = ACTIONS(7599),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcpageref] = ACTIONS(7599),
    [anon_sym_BSLASHCpageref] = ACTIONS(7599),
    [anon_sym_BSLASHnamecref] = ACTIONS(7599),
    [anon_sym_BSLASHnameCref] = ACTIONS(7599),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7599),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7599),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7599),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7599),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7599),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7599),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7599),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7599),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7599),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7599),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7599),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHdef] = ACTIONS(7599),
    [anon_sym_BSLASHgdef] = ACTIONS(7599),
    [anon_sym_BSLASHedef] = ACTIONS(7599),
    [anon_sym_BSLASHxdef] = ACTIONS(7599),
    [anon_sym_BSLASHlet] = ACTIONS(7599),
    [anon_sym_BSLASHglet] = ACTIONS(7599),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7599),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7599),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7599),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7599),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7599),
    [anon_sym_BSLASHgls] = ACTIONS(7599),
    [anon_sym_BSLASHGls] = ACTIONS(7599),
    [anon_sym_BSLASHGLS] = ACTIONS(7599),
    [anon_sym_BSLASHglspl] = ACTIONS(7599),
    [anon_sym_BSLASHGlspl] = ACTIONS(7599),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7599),
    [anon_sym_BSLASHglslink] = ACTIONS(7599),
    [anon_sym_BSLASHglstext] = ACTIONS(7599),
    [anon_sym_BSLASHGlstext] = ACTIONS(7599),
    [anon_sym_BSLASHGLStext] = ACTIONS(7599),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7599),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7599),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7599),
    [anon_sym_BSLASHglsplural] = ACTIONS(7599),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7599),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7599),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHglsname] = ACTIONS(7599),
    [anon_sym_BSLASHGlsname] = ACTIONS(7599),
    [anon_sym_BSLASHGLSname] = ACTIONS(7599),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7599),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7599),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7599),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7599),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7599),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7599),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7599),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7599),
    [anon_sym_BSLASHacrshort] = ACTIONS(7599),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7599),
    [anon_sym_BSLASHACRshort] = ACTIONS(7599),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHacrlong] = ACTIONS(7599),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7599),
    [anon_sym_BSLASHACRlong] = ACTIONS(7599),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHacrfull] = ACTIONS(7599),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7599),
    [anon_sym_BSLASHACRfull] = ACTIONS(7599),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHacs] = ACTIONS(7599),
    [anon_sym_BSLASHAcs] = ACTIONS(7599),
    [anon_sym_BSLASHacsp] = ACTIONS(7599),
    [anon_sym_BSLASHAcsp] = ACTIONS(7599),
    [anon_sym_BSLASHacl] = ACTIONS(7599),
    [anon_sym_BSLASHAcl] = ACTIONS(7599),
    [anon_sym_BSLASHaclp] = ACTIONS(7599),
    [anon_sym_BSLASHAclp] = ACTIONS(7599),
    [anon_sym_BSLASHacf] = ACTIONS(7599),
    [anon_sym_BSLASHAcf] = ACTIONS(7599),
    [anon_sym_BSLASHacfp] = ACTIONS(7599),
    [anon_sym_BSLASHAcfp] = ACTIONS(7599),
    [anon_sym_BSLASHac] = ACTIONS(7599),
    [anon_sym_BSLASHAc] = ACTIONS(7599),
    [anon_sym_BSLASHacp] = ACTIONS(7599),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7599),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7599),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7599),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7599),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7599),
    [anon_sym_BSLASHcolor] = ACTIONS(7599),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7599),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7599),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7599),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7599),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7599),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7599),
    [anon_sym_BSLASHurl] = ACTIONS(7599),
    [anon_sym_BSLASHhref] = ACTIONS(7599),
  },
  [1258] = {
    [sym_command_name] = ACTIONS(7603),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7603),
    [anon_sym_LBRACK] = ACTIONS(7605),
    [anon_sym_RBRACK] = ACTIONS(7605),
    [anon_sym_COMMA] = ACTIONS(7605),
    [anon_sym_EQ] = ACTIONS(7605),
    [anon_sym_LPAREN] = ACTIONS(7605),
    [anon_sym_RPAREN] = ACTIONS(7605),
    [anon_sym_BSLASHpart] = ACTIONS(7603),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHaddpart] = ACTIONS(7603),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHchapter] = ACTIONS(7603),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHaddchap] = ACTIONS(7603),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHsection] = ACTIONS(7603),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHaddsec] = ACTIONS(7603),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHsubsection] = ACTIONS(7603),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7603),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHparagraph] = ACTIONS(7603),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7603),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHitem] = ACTIONS(7603),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7605),
    [anon_sym_LBRACE] = ACTIONS(7605),
    [sym_word] = ACTIONS(7603),
    [sym_placeholder] = ACTIONS(7605),
    [sym_delimiter] = ACTIONS(7605),
    [anon_sym_PLUS] = ACTIONS(7605),
    [anon_sym_DASH] = ACTIONS(7605),
    [anon_sym_STAR] = ACTIONS(7605),
    [anon_sym_SLASH] = ACTIONS(7605),
    [anon_sym_LT] = ACTIONS(7603),
    [anon_sym_GT] = ACTIONS(7603),
    [anon_sym_BANG] = ACTIONS(7603),
    [anon_sym_PIPE] = ACTIONS(7603),
    [anon_sym_COLON] = ACTIONS(7603),
    [anon_sym_SQUOTE] = ACTIONS(7603),
    [anon_sym__] = ACTIONS(7605),
    [anon_sym_CARET] = ACTIONS(7605),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7605),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7605),
    [anon_sym_DOLLAR] = ACTIONS(7603),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7605),
    [anon_sym_BSLASHleft] = ACTIONS(7603),
    [anon_sym_BSLASHbigl] = ACTIONS(7603),
    [anon_sym_BSLASHBigl] = ACTIONS(7603),
    [anon_sym_BSLASHbiggl] = ACTIONS(7603),
    [anon_sym_BSLASHBiggl] = ACTIONS(7603),
    [anon_sym_BSLASHtext] = ACTIONS(7603),
    [anon_sym_BSLASHintertext] = ACTIONS(7603),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7603),
    [anon_sym_BSLASHbegin] = ACTIONS(7603),
    [anon_sym_BSLASHend] = ACTIONS(7603),
    [anon_sym_BSLASHtitle] = ACTIONS(7603),
    [anon_sym_BSLASHauthor] = ACTIONS(7603),
    [anon_sym_BSLASHusepackage] = ACTIONS(7603),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7603),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7603),
    [anon_sym_BSLASHinclude] = ACTIONS(7603),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7603),
    [anon_sym_BSLASHinput] = ACTIONS(7603),
    [anon_sym_BSLASHsubfile] = ACTIONS(7603),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7603),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7603),
    [anon_sym_BSLASHbibliography] = ACTIONS(7603),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7603),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7603),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7603),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7603),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7603),
    [anon_sym_BSLASHimport] = ACTIONS(7603),
    [anon_sym_BSLASHsubimport] = ACTIONS(7603),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7603),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7603),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7603),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7603),
    [anon_sym_BSLASHcaption] = ACTIONS(7603),
    [anon_sym_BSLASHcite] = ACTIONS(7603),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCite] = ACTIONS(7603),
    [anon_sym_BSLASHnocite] = ACTIONS(7603),
    [anon_sym_BSLASHcitet] = ACTIONS(7603),
    [anon_sym_BSLASHcitep] = ACTIONS(7603),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteA] = ACTIONS(7603),
    [anon_sym_BSLASHciteR] = ACTIONS(7603),
    [anon_sym_BSLASHciteS] = ACTIONS(7603),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7603),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7603),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7603),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7603),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteyear] = ACTIONS(7603),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitedate] = ACTIONS(7603),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteurl] = ACTIONS(7603),
    [anon_sym_BSLASHfullcite] = ACTIONS(7603),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7603),
    [anon_sym_BSLASHcitealt] = ACTIONS(7603),
    [anon_sym_BSLASHcitealp] = ACTIONS(7603),
    [anon_sym_BSLASHcitetext] = ACTIONS(7603),
    [anon_sym_BSLASHparencite] = ACTIONS(7603),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHParencite] = ACTIONS(7603),
    [anon_sym_BSLASHfootcite] = ACTIONS(7603),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7603),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7603),
    [anon_sym_BSLASHtextcite] = ACTIONS(7603),
    [anon_sym_BSLASHTextcite] = ACTIONS(7603),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7603),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7603),
    [anon_sym_BSLASHsupercite] = ACTIONS(7603),
    [anon_sym_BSLASHautocite] = ACTIONS(7603),
    [anon_sym_BSLASHAutocite] = ACTIONS(7603),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHVolcite] = ACTIONS(7603),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHavolcite] = ACTIONS(7603),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHNotecite] = ACTIONS(7603),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHlabel] = ACTIONS(7603),
    [anon_sym_BSLASHref] = ACTIONS(7603),
    [anon_sym_BSLASHeqref] = ACTIONS(7603),
    [anon_sym_BSLASHvref] = ACTIONS(7603),
    [anon_sym_BSLASHVref] = ACTIONS(7603),
    [anon_sym_BSLASHautoref] = ACTIONS(7603),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHpageref] = ACTIONS(7603),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHautopageref] = ACTIONS(7603),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcref] = ACTIONS(7603),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCref] = ACTIONS(7603),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcpageref] = ACTIONS(7603),
    [anon_sym_BSLASHCpageref] = ACTIONS(7603),
    [anon_sym_BSLASHnamecref] = ACTIONS(7603),
    [anon_sym_BSLASHnameCref] = ACTIONS(7603),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7603),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7603),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7603),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7603),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7603),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7603),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7603),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7603),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7603),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7603),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7603),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHdef] = ACTIONS(7603),
    [anon_sym_BSLASHgdef] = ACTIONS(7603),
    [anon_sym_BSLASHedef] = ACTIONS(7603),
    [anon_sym_BSLASHxdef] = ACTIONS(7603),
    [anon_sym_BSLASHlet] = ACTIONS(7603),
    [anon_sym_BSLASHglet] = ACTIONS(7603),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7603),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7603),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7603),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7603),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7603),
    [anon_sym_BSLASHgls] = ACTIONS(7603),
    [anon_sym_BSLASHGls] = ACTIONS(7603),
    [anon_sym_BSLASHGLS] = ACTIONS(7603),
    [anon_sym_BSLASHglspl] = ACTIONS(7603),
    [anon_sym_BSLASHGlspl] = ACTIONS(7603),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7603),
    [anon_sym_BSLASHglslink] = ACTIONS(7603),
    [anon_sym_BSLASHglstext] = ACTIONS(7603),
    [anon_sym_BSLASHGlstext] = ACTIONS(7603),
    [anon_sym_BSLASHGLStext] = ACTIONS(7603),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7603),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7603),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7603),
    [anon_sym_BSLASHglsplural] = ACTIONS(7603),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7603),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7603),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHglsname] = ACTIONS(7603),
    [anon_sym_BSLASHGlsname] = ACTIONS(7603),
    [anon_sym_BSLASHGLSname] = ACTIONS(7603),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7603),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7603),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7603),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7603),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7603),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7603),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7603),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7603),
    [anon_sym_BSLASHacrshort] = ACTIONS(7603),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7603),
    [anon_sym_BSLASHACRshort] = ACTIONS(7603),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHacrlong] = ACTIONS(7603),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7603),
    [anon_sym_BSLASHACRlong] = ACTIONS(7603),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHacrfull] = ACTIONS(7603),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7603),
    [anon_sym_BSLASHACRfull] = ACTIONS(7603),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHacs] = ACTIONS(7603),
    [anon_sym_BSLASHAcs] = ACTIONS(7603),
    [anon_sym_BSLASHacsp] = ACTIONS(7603),
    [anon_sym_BSLASHAcsp] = ACTIONS(7603),
    [anon_sym_BSLASHacl] = ACTIONS(7603),
    [anon_sym_BSLASHAcl] = ACTIONS(7603),
    [anon_sym_BSLASHaclp] = ACTIONS(7603),
    [anon_sym_BSLASHAclp] = ACTIONS(7603),
    [anon_sym_BSLASHacf] = ACTIONS(7603),
    [anon_sym_BSLASHAcf] = ACTIONS(7603),
    [anon_sym_BSLASHacfp] = ACTIONS(7603),
    [anon_sym_BSLASHAcfp] = ACTIONS(7603),
    [anon_sym_BSLASHac] = ACTIONS(7603),
    [anon_sym_BSLASHAc] = ACTIONS(7603),
    [anon_sym_BSLASHacp] = ACTIONS(7603),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7603),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7603),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7603),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7603),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7603),
    [anon_sym_BSLASHcolor] = ACTIONS(7603),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7603),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7603),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7603),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7603),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7603),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7603),
    [anon_sym_BSLASHurl] = ACTIONS(7603),
    [anon_sym_BSLASHhref] = ACTIONS(7603),
  },
  [1259] = {
    [sym_command_name] = ACTIONS(7447),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7447),
    [anon_sym_LBRACK] = ACTIONS(7449),
    [anon_sym_RBRACK] = ACTIONS(7449),
    [anon_sym_COMMA] = ACTIONS(7449),
    [anon_sym_EQ] = ACTIONS(7449),
    [anon_sym_LPAREN] = ACTIONS(7449),
    [anon_sym_RPAREN] = ACTIONS(7449),
    [anon_sym_BSLASHpart] = ACTIONS(7447),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHaddpart] = ACTIONS(7447),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHchapter] = ACTIONS(7447),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHaddchap] = ACTIONS(7447),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHsection] = ACTIONS(7447),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHaddsec] = ACTIONS(7447),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHsubsection] = ACTIONS(7447),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7447),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHparagraph] = ACTIONS(7447),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7447),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHitem] = ACTIONS(7447),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7449),
    [anon_sym_LBRACE] = ACTIONS(7449),
    [sym_word] = ACTIONS(7447),
    [sym_placeholder] = ACTIONS(7449),
    [sym_delimiter] = ACTIONS(7449),
    [anon_sym_PLUS] = ACTIONS(7449),
    [anon_sym_DASH] = ACTIONS(7449),
    [anon_sym_STAR] = ACTIONS(7449),
    [anon_sym_SLASH] = ACTIONS(7449),
    [anon_sym_LT] = ACTIONS(7447),
    [anon_sym_GT] = ACTIONS(7447),
    [anon_sym_BANG] = ACTIONS(7447),
    [anon_sym_PIPE] = ACTIONS(7447),
    [anon_sym_COLON] = ACTIONS(7447),
    [anon_sym_SQUOTE] = ACTIONS(7447),
    [anon_sym__] = ACTIONS(7449),
    [anon_sym_CARET] = ACTIONS(7449),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7449),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7449),
    [anon_sym_DOLLAR] = ACTIONS(7447),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7449),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7449),
    [anon_sym_BSLASHleft] = ACTIONS(7447),
    [anon_sym_BSLASHbigl] = ACTIONS(7447),
    [anon_sym_BSLASHBigl] = ACTIONS(7447),
    [anon_sym_BSLASHbiggl] = ACTIONS(7447),
    [anon_sym_BSLASHBiggl] = ACTIONS(7447),
    [anon_sym_BSLASHtext] = ACTIONS(7447),
    [anon_sym_BSLASHintertext] = ACTIONS(7447),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7447),
    [anon_sym_BSLASHbegin] = ACTIONS(7447),
    [anon_sym_BSLASHtitle] = ACTIONS(7447),
    [anon_sym_BSLASHauthor] = ACTIONS(7447),
    [anon_sym_BSLASHusepackage] = ACTIONS(7447),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7447),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7447),
    [anon_sym_BSLASHinclude] = ACTIONS(7447),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7447),
    [anon_sym_BSLASHinput] = ACTIONS(7447),
    [anon_sym_BSLASHsubfile] = ACTIONS(7447),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7447),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7447),
    [anon_sym_BSLASHbibliography] = ACTIONS(7447),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7447),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7447),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7447),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7447),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7447),
    [anon_sym_BSLASHimport] = ACTIONS(7447),
    [anon_sym_BSLASHsubimport] = ACTIONS(7447),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7447),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7447),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7447),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7447),
    [anon_sym_BSLASHcaption] = ACTIONS(7447),
    [anon_sym_BSLASHcite] = ACTIONS(7447),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHCite] = ACTIONS(7447),
    [anon_sym_BSLASHnocite] = ACTIONS(7447),
    [anon_sym_BSLASHcitet] = ACTIONS(7447),
    [anon_sym_BSLASHcitep] = ACTIONS(7447),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHciteA] = ACTIONS(7447),
    [anon_sym_BSLASHciteR] = ACTIONS(7447),
    [anon_sym_BSLASHciteS] = ACTIONS(7447),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7447),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7447),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7447),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7447),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHciteyear] = ACTIONS(7447),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcitedate] = ACTIONS(7447),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHciteurl] = ACTIONS(7447),
    [anon_sym_BSLASHfullcite] = ACTIONS(7447),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7447),
    [anon_sym_BSLASHcitealt] = ACTIONS(7447),
    [anon_sym_BSLASHcitealp] = ACTIONS(7447),
    [anon_sym_BSLASHcitetext] = ACTIONS(7447),
    [anon_sym_BSLASHparencite] = ACTIONS(7447),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHParencite] = ACTIONS(7447),
    [anon_sym_BSLASHfootcite] = ACTIONS(7447),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7447),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7447),
    [anon_sym_BSLASHtextcite] = ACTIONS(7447),
    [anon_sym_BSLASHTextcite] = ACTIONS(7447),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7447),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7447),
    [anon_sym_BSLASHsupercite] = ACTIONS(7447),
    [anon_sym_BSLASHautocite] = ACTIONS(7447),
    [anon_sym_BSLASHAutocite] = ACTIONS(7447),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHVolcite] = ACTIONS(7447),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHavolcite] = ACTIONS(7447),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHnotecite] = ACTIONS(7447),
    [anon_sym_BSLASHNotecite] = ACTIONS(7447),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7447),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7447),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7447),
    [anon_sym_BSLASHlabel] = ACTIONS(7447),
    [anon_sym_BSLASHref] = ACTIONS(7447),
    [anon_sym_BSLASHeqref] = ACTIONS(7447),
    [anon_sym_BSLASHvref] = ACTIONS(7447),
    [anon_sym_BSLASHVref] = ACTIONS(7447),
    [anon_sym_BSLASHautoref] = ACTIONS(7447),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHpageref] = ACTIONS(7447),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHautopageref] = ACTIONS(7447),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcref] = ACTIONS(7447),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHCref] = ACTIONS(7447),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcpageref] = ACTIONS(7447),
    [anon_sym_BSLASHCpageref] = ACTIONS(7447),
    [anon_sym_BSLASHnamecref] = ACTIONS(7447),
    [anon_sym_BSLASHnameCref] = ACTIONS(7447),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7447),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7447),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7447),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7447),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7447),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7447),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7447),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7447),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7447),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7447),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7447),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7447),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7447),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7447),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7447),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7447),
    [anon_sym_BSLASHdef] = ACTIONS(7447),
    [anon_sym_BSLASHgdef] = ACTIONS(7447),
    [anon_sym_BSLASHedef] = ACTIONS(7447),
    [anon_sym_BSLASHxdef] = ACTIONS(7447),
    [anon_sym_BSLASHlet] = ACTIONS(7447),
    [anon_sym_BSLASHglet] = ACTIONS(7447),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7447),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7447),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7447),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7447),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7447),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7447),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7447),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7447),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7447),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7447),
    [anon_sym_BSLASHgls] = ACTIONS(7447),
    [anon_sym_BSLASHGls] = ACTIONS(7447),
    [anon_sym_BSLASHGLS] = ACTIONS(7447),
    [anon_sym_BSLASHglspl] = ACTIONS(7447),
    [anon_sym_BSLASHGlspl] = ACTIONS(7447),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7447),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7447),
    [anon_sym_BSLASHglslink] = ACTIONS(7447),
    [anon_sym_BSLASHglstext] = ACTIONS(7447),
    [anon_sym_BSLASHGlstext] = ACTIONS(7447),
    [anon_sym_BSLASHGLStext] = ACTIONS(7447),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7447),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7447),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7447),
    [anon_sym_BSLASHglsplural] = ACTIONS(7447),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7447),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7447),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7447),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7447),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7447),
    [anon_sym_BSLASHglsname] = ACTIONS(7447),
    [anon_sym_BSLASHGlsname] = ACTIONS(7447),
    [anon_sym_BSLASHGLSname] = ACTIONS(7447),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7447),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7447),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7447),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7447),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7447),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7447),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7447),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7447),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7447),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7447),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7447),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7447),
    [anon_sym_BSLASHacrshort] = ACTIONS(7447),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7447),
    [anon_sym_BSLASHACRshort] = ACTIONS(7447),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHacrlong] = ACTIONS(7447),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7447),
    [anon_sym_BSLASHACRlong] = ACTIONS(7447),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7447),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7447),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7447),
    [anon_sym_BSLASHacrfull] = ACTIONS(7447),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7447),
    [anon_sym_BSLASHACRfull] = ACTIONS(7447),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHacs] = ACTIONS(7447),
    [anon_sym_BSLASHAcs] = ACTIONS(7447),
    [anon_sym_BSLASHacsp] = ACTIONS(7447),
    [anon_sym_BSLASHAcsp] = ACTIONS(7447),
    [anon_sym_BSLASHacl] = ACTIONS(7447),
    [anon_sym_BSLASHAcl] = ACTIONS(7447),
    [anon_sym_BSLASHaclp] = ACTIONS(7447),
    [anon_sym_BSLASHAclp] = ACTIONS(7447),
    [anon_sym_BSLASHacf] = ACTIONS(7447),
    [anon_sym_BSLASHAcf] = ACTIONS(7447),
    [anon_sym_BSLASHacfp] = ACTIONS(7447),
    [anon_sym_BSLASHAcfp] = ACTIONS(7447),
    [anon_sym_BSLASHac] = ACTIONS(7447),
    [anon_sym_BSLASHAc] = ACTIONS(7447),
    [anon_sym_BSLASHacp] = ACTIONS(7447),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7447),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7447),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7447),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7447),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7447),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7447),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7447),
    [anon_sym_BSLASHcolor] = ACTIONS(7447),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7447),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7447),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7447),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7447),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7447),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7447),
    [anon_sym_BSLASHurl] = ACTIONS(7447),
    [anon_sym_BSLASHhref] = ACTIONS(7447),
  },
  [1260] = {
    [sym_command_name] = ACTIONS(7451),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7451),
    [anon_sym_LBRACK] = ACTIONS(7453),
    [anon_sym_RBRACK] = ACTIONS(7453),
    [anon_sym_COMMA] = ACTIONS(7453),
    [anon_sym_EQ] = ACTIONS(7453),
    [anon_sym_LPAREN] = ACTIONS(7453),
    [anon_sym_RPAREN] = ACTIONS(7453),
    [anon_sym_BSLASHpart] = ACTIONS(7451),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHaddpart] = ACTIONS(7451),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHchapter] = ACTIONS(7451),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHaddchap] = ACTIONS(7451),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHsection] = ACTIONS(7451),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHaddsec] = ACTIONS(7451),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHsubsection] = ACTIONS(7451),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7451),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHparagraph] = ACTIONS(7451),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7451),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHitem] = ACTIONS(7451),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7453),
    [anon_sym_LBRACE] = ACTIONS(7453),
    [sym_word] = ACTIONS(7451),
    [sym_placeholder] = ACTIONS(7453),
    [sym_delimiter] = ACTIONS(7453),
    [anon_sym_PLUS] = ACTIONS(7453),
    [anon_sym_DASH] = ACTIONS(7453),
    [anon_sym_STAR] = ACTIONS(7453),
    [anon_sym_SLASH] = ACTIONS(7453),
    [anon_sym_LT] = ACTIONS(7451),
    [anon_sym_GT] = ACTIONS(7451),
    [anon_sym_BANG] = ACTIONS(7451),
    [anon_sym_PIPE] = ACTIONS(7451),
    [anon_sym_COLON] = ACTIONS(7451),
    [anon_sym_SQUOTE] = ACTIONS(7451),
    [anon_sym__] = ACTIONS(7453),
    [anon_sym_CARET] = ACTIONS(7453),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7453),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7453),
    [anon_sym_DOLLAR] = ACTIONS(7451),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7453),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7453),
    [anon_sym_BSLASHleft] = ACTIONS(7451),
    [anon_sym_BSLASHbigl] = ACTIONS(7451),
    [anon_sym_BSLASHBigl] = ACTIONS(7451),
    [anon_sym_BSLASHbiggl] = ACTIONS(7451),
    [anon_sym_BSLASHBiggl] = ACTIONS(7451),
    [anon_sym_BSLASHtext] = ACTIONS(7451),
    [anon_sym_BSLASHintertext] = ACTIONS(7451),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7451),
    [anon_sym_BSLASHbegin] = ACTIONS(7451),
    [anon_sym_BSLASHtitle] = ACTIONS(7451),
    [anon_sym_BSLASHauthor] = ACTIONS(7451),
    [anon_sym_BSLASHusepackage] = ACTIONS(7451),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7451),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7451),
    [anon_sym_BSLASHinclude] = ACTIONS(7451),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7451),
    [anon_sym_BSLASHinput] = ACTIONS(7451),
    [anon_sym_BSLASHsubfile] = ACTIONS(7451),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7451),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7451),
    [anon_sym_BSLASHbibliography] = ACTIONS(7451),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7451),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7451),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7451),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7451),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7451),
    [anon_sym_BSLASHimport] = ACTIONS(7451),
    [anon_sym_BSLASHsubimport] = ACTIONS(7451),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7451),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7451),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7451),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7451),
    [anon_sym_BSLASHcaption] = ACTIONS(7451),
    [anon_sym_BSLASHcite] = ACTIONS(7451),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHCite] = ACTIONS(7451),
    [anon_sym_BSLASHnocite] = ACTIONS(7451),
    [anon_sym_BSLASHcitet] = ACTIONS(7451),
    [anon_sym_BSLASHcitep] = ACTIONS(7451),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHciteA] = ACTIONS(7451),
    [anon_sym_BSLASHciteR] = ACTIONS(7451),
    [anon_sym_BSLASHciteS] = ACTIONS(7451),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7451),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7451),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7451),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7451),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHciteyear] = ACTIONS(7451),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcitedate] = ACTIONS(7451),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHciteurl] = ACTIONS(7451),
    [anon_sym_BSLASHfullcite] = ACTIONS(7451),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7451),
    [anon_sym_BSLASHcitealt] = ACTIONS(7451),
    [anon_sym_BSLASHcitealp] = ACTIONS(7451),
    [anon_sym_BSLASHcitetext] = ACTIONS(7451),
    [anon_sym_BSLASHparencite] = ACTIONS(7451),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHParencite] = ACTIONS(7451),
    [anon_sym_BSLASHfootcite] = ACTIONS(7451),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7451),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7451),
    [anon_sym_BSLASHtextcite] = ACTIONS(7451),
    [anon_sym_BSLASHTextcite] = ACTIONS(7451),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7451),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7451),
    [anon_sym_BSLASHsupercite] = ACTIONS(7451),
    [anon_sym_BSLASHautocite] = ACTIONS(7451),
    [anon_sym_BSLASHAutocite] = ACTIONS(7451),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHVolcite] = ACTIONS(7451),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHavolcite] = ACTIONS(7451),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHnotecite] = ACTIONS(7451),
    [anon_sym_BSLASHNotecite] = ACTIONS(7451),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7451),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7451),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7451),
    [anon_sym_BSLASHlabel] = ACTIONS(7451),
    [anon_sym_BSLASHref] = ACTIONS(7451),
    [anon_sym_BSLASHeqref] = ACTIONS(7451),
    [anon_sym_BSLASHvref] = ACTIONS(7451),
    [anon_sym_BSLASHVref] = ACTIONS(7451),
    [anon_sym_BSLASHautoref] = ACTIONS(7451),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHpageref] = ACTIONS(7451),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHautopageref] = ACTIONS(7451),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcref] = ACTIONS(7451),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHCref] = ACTIONS(7451),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcpageref] = ACTIONS(7451),
    [anon_sym_BSLASHCpageref] = ACTIONS(7451),
    [anon_sym_BSLASHnamecref] = ACTIONS(7451),
    [anon_sym_BSLASHnameCref] = ACTIONS(7451),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7451),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7451),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7451),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7451),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7451),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7451),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7451),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7451),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7451),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7451),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7451),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7451),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7451),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7451),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7451),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7451),
    [anon_sym_BSLASHdef] = ACTIONS(7451),
    [anon_sym_BSLASHgdef] = ACTIONS(7451),
    [anon_sym_BSLASHedef] = ACTIONS(7451),
    [anon_sym_BSLASHxdef] = ACTIONS(7451),
    [anon_sym_BSLASHlet] = ACTIONS(7451),
    [anon_sym_BSLASHglet] = ACTIONS(7451),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7451),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7451),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7451),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7451),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7451),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7451),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7451),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7451),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7451),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7451),
    [anon_sym_BSLASHgls] = ACTIONS(7451),
    [anon_sym_BSLASHGls] = ACTIONS(7451),
    [anon_sym_BSLASHGLS] = ACTIONS(7451),
    [anon_sym_BSLASHglspl] = ACTIONS(7451),
    [anon_sym_BSLASHGlspl] = ACTIONS(7451),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7451),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7451),
    [anon_sym_BSLASHglslink] = ACTIONS(7451),
    [anon_sym_BSLASHglstext] = ACTIONS(7451),
    [anon_sym_BSLASHGlstext] = ACTIONS(7451),
    [anon_sym_BSLASHGLStext] = ACTIONS(7451),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7451),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7451),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7451),
    [anon_sym_BSLASHglsplural] = ACTIONS(7451),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7451),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7451),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7451),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7451),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7451),
    [anon_sym_BSLASHglsname] = ACTIONS(7451),
    [anon_sym_BSLASHGlsname] = ACTIONS(7451),
    [anon_sym_BSLASHGLSname] = ACTIONS(7451),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7451),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7451),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7451),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7451),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7451),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7451),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7451),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7451),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7451),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7451),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7451),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7451),
    [anon_sym_BSLASHacrshort] = ACTIONS(7451),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7451),
    [anon_sym_BSLASHACRshort] = ACTIONS(7451),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHacrlong] = ACTIONS(7451),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7451),
    [anon_sym_BSLASHACRlong] = ACTIONS(7451),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7451),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7451),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7451),
    [anon_sym_BSLASHacrfull] = ACTIONS(7451),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7451),
    [anon_sym_BSLASHACRfull] = ACTIONS(7451),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHacs] = ACTIONS(7451),
    [anon_sym_BSLASHAcs] = ACTIONS(7451),
    [anon_sym_BSLASHacsp] = ACTIONS(7451),
    [anon_sym_BSLASHAcsp] = ACTIONS(7451),
    [anon_sym_BSLASHacl] = ACTIONS(7451),
    [anon_sym_BSLASHAcl] = ACTIONS(7451),
    [anon_sym_BSLASHaclp] = ACTIONS(7451),
    [anon_sym_BSLASHAclp] = ACTIONS(7451),
    [anon_sym_BSLASHacf] = ACTIONS(7451),
    [anon_sym_BSLASHAcf] = ACTIONS(7451),
    [anon_sym_BSLASHacfp] = ACTIONS(7451),
    [anon_sym_BSLASHAcfp] = ACTIONS(7451),
    [anon_sym_BSLASHac] = ACTIONS(7451),
    [anon_sym_BSLASHAc] = ACTIONS(7451),
    [anon_sym_BSLASHacp] = ACTIONS(7451),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7451),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7451),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7451),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7451),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7451),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7451),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7451),
    [anon_sym_BSLASHcolor] = ACTIONS(7451),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7451),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7451),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7451),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7451),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7451),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7451),
    [anon_sym_BSLASHurl] = ACTIONS(7451),
    [anon_sym_BSLASHhref] = ACTIONS(7451),
  },
  [1261] = {
    [sym_command_name] = ACTIONS(7455),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7455),
    [anon_sym_LBRACK] = ACTIONS(7457),
    [anon_sym_RBRACK] = ACTIONS(7457),
    [anon_sym_COMMA] = ACTIONS(7457),
    [anon_sym_EQ] = ACTIONS(7457),
    [anon_sym_LPAREN] = ACTIONS(7457),
    [anon_sym_RPAREN] = ACTIONS(7457),
    [anon_sym_BSLASHpart] = ACTIONS(7455),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHaddpart] = ACTIONS(7455),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHchapter] = ACTIONS(7455),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHaddchap] = ACTIONS(7455),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHsection] = ACTIONS(7455),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHaddsec] = ACTIONS(7455),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHsubsection] = ACTIONS(7455),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7455),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHparagraph] = ACTIONS(7455),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7455),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHitem] = ACTIONS(7455),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7457),
    [anon_sym_LBRACE] = ACTIONS(7457),
    [sym_word] = ACTIONS(7455),
    [sym_placeholder] = ACTIONS(7457),
    [sym_delimiter] = ACTIONS(7457),
    [anon_sym_PLUS] = ACTIONS(7457),
    [anon_sym_DASH] = ACTIONS(7457),
    [anon_sym_STAR] = ACTIONS(7457),
    [anon_sym_SLASH] = ACTIONS(7457),
    [anon_sym_LT] = ACTIONS(7455),
    [anon_sym_GT] = ACTIONS(7455),
    [anon_sym_BANG] = ACTIONS(7455),
    [anon_sym_PIPE] = ACTIONS(7455),
    [anon_sym_COLON] = ACTIONS(7455),
    [anon_sym_SQUOTE] = ACTIONS(7455),
    [anon_sym__] = ACTIONS(7457),
    [anon_sym_CARET] = ACTIONS(7457),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7457),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7457),
    [anon_sym_DOLLAR] = ACTIONS(7455),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7457),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7457),
    [anon_sym_BSLASHleft] = ACTIONS(7455),
    [anon_sym_BSLASHbigl] = ACTIONS(7455),
    [anon_sym_BSLASHBigl] = ACTIONS(7455),
    [anon_sym_BSLASHbiggl] = ACTIONS(7455),
    [anon_sym_BSLASHBiggl] = ACTIONS(7455),
    [anon_sym_BSLASHtext] = ACTIONS(7455),
    [anon_sym_BSLASHintertext] = ACTIONS(7455),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7455),
    [anon_sym_BSLASHbegin] = ACTIONS(7455),
    [anon_sym_BSLASHtitle] = ACTIONS(7455),
    [anon_sym_BSLASHauthor] = ACTIONS(7455),
    [anon_sym_BSLASHusepackage] = ACTIONS(7455),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7455),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7455),
    [anon_sym_BSLASHinclude] = ACTIONS(7455),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7455),
    [anon_sym_BSLASHinput] = ACTIONS(7455),
    [anon_sym_BSLASHsubfile] = ACTIONS(7455),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7455),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7455),
    [anon_sym_BSLASHbibliography] = ACTIONS(7455),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7455),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7455),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7455),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7455),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7455),
    [anon_sym_BSLASHimport] = ACTIONS(7455),
    [anon_sym_BSLASHsubimport] = ACTIONS(7455),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7455),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7455),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7455),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7455),
    [anon_sym_BSLASHcaption] = ACTIONS(7455),
    [anon_sym_BSLASHcite] = ACTIONS(7455),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHCite] = ACTIONS(7455),
    [anon_sym_BSLASHnocite] = ACTIONS(7455),
    [anon_sym_BSLASHcitet] = ACTIONS(7455),
    [anon_sym_BSLASHcitep] = ACTIONS(7455),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHciteA] = ACTIONS(7455),
    [anon_sym_BSLASHciteR] = ACTIONS(7455),
    [anon_sym_BSLASHciteS] = ACTIONS(7455),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7455),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7455),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7455),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7455),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHciteyear] = ACTIONS(7455),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcitedate] = ACTIONS(7455),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHciteurl] = ACTIONS(7455),
    [anon_sym_BSLASHfullcite] = ACTIONS(7455),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7455),
    [anon_sym_BSLASHcitealt] = ACTIONS(7455),
    [anon_sym_BSLASHcitealp] = ACTIONS(7455),
    [anon_sym_BSLASHcitetext] = ACTIONS(7455),
    [anon_sym_BSLASHparencite] = ACTIONS(7455),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHParencite] = ACTIONS(7455),
    [anon_sym_BSLASHfootcite] = ACTIONS(7455),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7455),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7455),
    [anon_sym_BSLASHtextcite] = ACTIONS(7455),
    [anon_sym_BSLASHTextcite] = ACTIONS(7455),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7455),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7455),
    [anon_sym_BSLASHsupercite] = ACTIONS(7455),
    [anon_sym_BSLASHautocite] = ACTIONS(7455),
    [anon_sym_BSLASHAutocite] = ACTIONS(7455),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHVolcite] = ACTIONS(7455),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHavolcite] = ACTIONS(7455),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHnotecite] = ACTIONS(7455),
    [anon_sym_BSLASHNotecite] = ACTIONS(7455),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7455),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7455),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7455),
    [anon_sym_BSLASHlabel] = ACTIONS(7455),
    [anon_sym_BSLASHref] = ACTIONS(7455),
    [anon_sym_BSLASHeqref] = ACTIONS(7455),
    [anon_sym_BSLASHvref] = ACTIONS(7455),
    [anon_sym_BSLASHVref] = ACTIONS(7455),
    [anon_sym_BSLASHautoref] = ACTIONS(7455),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHpageref] = ACTIONS(7455),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHautopageref] = ACTIONS(7455),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcref] = ACTIONS(7455),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHCref] = ACTIONS(7455),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcpageref] = ACTIONS(7455),
    [anon_sym_BSLASHCpageref] = ACTIONS(7455),
    [anon_sym_BSLASHnamecref] = ACTIONS(7455),
    [anon_sym_BSLASHnameCref] = ACTIONS(7455),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7455),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7455),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7455),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7455),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7455),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7455),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7455),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7455),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7455),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7455),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7455),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7455),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7455),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7455),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7455),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7455),
    [anon_sym_BSLASHdef] = ACTIONS(7455),
    [anon_sym_BSLASHgdef] = ACTIONS(7455),
    [anon_sym_BSLASHedef] = ACTIONS(7455),
    [anon_sym_BSLASHxdef] = ACTIONS(7455),
    [anon_sym_BSLASHlet] = ACTIONS(7455),
    [anon_sym_BSLASHglet] = ACTIONS(7455),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7455),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7455),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7455),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7455),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7455),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7455),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7455),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7455),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7455),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7455),
    [anon_sym_BSLASHgls] = ACTIONS(7455),
    [anon_sym_BSLASHGls] = ACTIONS(7455),
    [anon_sym_BSLASHGLS] = ACTIONS(7455),
    [anon_sym_BSLASHglspl] = ACTIONS(7455),
    [anon_sym_BSLASHGlspl] = ACTIONS(7455),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7455),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7455),
    [anon_sym_BSLASHglslink] = ACTIONS(7455),
    [anon_sym_BSLASHglstext] = ACTIONS(7455),
    [anon_sym_BSLASHGlstext] = ACTIONS(7455),
    [anon_sym_BSLASHGLStext] = ACTIONS(7455),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7455),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7455),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7455),
    [anon_sym_BSLASHglsplural] = ACTIONS(7455),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7455),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7455),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7455),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7455),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7455),
    [anon_sym_BSLASHglsname] = ACTIONS(7455),
    [anon_sym_BSLASHGlsname] = ACTIONS(7455),
    [anon_sym_BSLASHGLSname] = ACTIONS(7455),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7455),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7455),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7455),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7455),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7455),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7455),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7455),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7455),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7455),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7455),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7455),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7455),
    [anon_sym_BSLASHacrshort] = ACTIONS(7455),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7455),
    [anon_sym_BSLASHACRshort] = ACTIONS(7455),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHacrlong] = ACTIONS(7455),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7455),
    [anon_sym_BSLASHACRlong] = ACTIONS(7455),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7455),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7455),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7455),
    [anon_sym_BSLASHacrfull] = ACTIONS(7455),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7455),
    [anon_sym_BSLASHACRfull] = ACTIONS(7455),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHacs] = ACTIONS(7455),
    [anon_sym_BSLASHAcs] = ACTIONS(7455),
    [anon_sym_BSLASHacsp] = ACTIONS(7455),
    [anon_sym_BSLASHAcsp] = ACTIONS(7455),
    [anon_sym_BSLASHacl] = ACTIONS(7455),
    [anon_sym_BSLASHAcl] = ACTIONS(7455),
    [anon_sym_BSLASHaclp] = ACTIONS(7455),
    [anon_sym_BSLASHAclp] = ACTIONS(7455),
    [anon_sym_BSLASHacf] = ACTIONS(7455),
    [anon_sym_BSLASHAcf] = ACTIONS(7455),
    [anon_sym_BSLASHacfp] = ACTIONS(7455),
    [anon_sym_BSLASHAcfp] = ACTIONS(7455),
    [anon_sym_BSLASHac] = ACTIONS(7455),
    [anon_sym_BSLASHAc] = ACTIONS(7455),
    [anon_sym_BSLASHacp] = ACTIONS(7455),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7455),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7455),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7455),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7455),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7455),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7455),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7455),
    [anon_sym_BSLASHcolor] = ACTIONS(7455),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7455),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7455),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7455),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7455),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7455),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7455),
    [anon_sym_BSLASHurl] = ACTIONS(7455),
    [anon_sym_BSLASHhref] = ACTIONS(7455),
  },
  [1262] = {
    [sym_command_name] = ACTIONS(7459),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7459),
    [anon_sym_LBRACK] = ACTIONS(7461),
    [anon_sym_RBRACK] = ACTIONS(7461),
    [anon_sym_COMMA] = ACTIONS(7461),
    [anon_sym_EQ] = ACTIONS(7461),
    [anon_sym_LPAREN] = ACTIONS(7461),
    [anon_sym_RPAREN] = ACTIONS(7461),
    [anon_sym_BSLASHpart] = ACTIONS(7459),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHaddpart] = ACTIONS(7459),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHchapter] = ACTIONS(7459),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHaddchap] = ACTIONS(7459),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHsection] = ACTIONS(7459),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHaddsec] = ACTIONS(7459),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHsubsection] = ACTIONS(7459),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7459),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHparagraph] = ACTIONS(7459),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7459),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHitem] = ACTIONS(7459),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7461),
    [anon_sym_LBRACE] = ACTIONS(7461),
    [sym_word] = ACTIONS(7459),
    [sym_placeholder] = ACTIONS(7461),
    [sym_delimiter] = ACTIONS(7461),
    [anon_sym_PLUS] = ACTIONS(7461),
    [anon_sym_DASH] = ACTIONS(7461),
    [anon_sym_STAR] = ACTIONS(7461),
    [anon_sym_SLASH] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(7459),
    [anon_sym_GT] = ACTIONS(7459),
    [anon_sym_BANG] = ACTIONS(7459),
    [anon_sym_PIPE] = ACTIONS(7459),
    [anon_sym_COLON] = ACTIONS(7459),
    [anon_sym_SQUOTE] = ACTIONS(7459),
    [anon_sym__] = ACTIONS(7461),
    [anon_sym_CARET] = ACTIONS(7461),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7461),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7461),
    [anon_sym_DOLLAR] = ACTIONS(7459),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7461),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7461),
    [anon_sym_BSLASHleft] = ACTIONS(7459),
    [anon_sym_BSLASHbigl] = ACTIONS(7459),
    [anon_sym_BSLASHBigl] = ACTIONS(7459),
    [anon_sym_BSLASHbiggl] = ACTIONS(7459),
    [anon_sym_BSLASHBiggl] = ACTIONS(7459),
    [anon_sym_BSLASHtext] = ACTIONS(7459),
    [anon_sym_BSLASHintertext] = ACTIONS(7459),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7459),
    [anon_sym_BSLASHbegin] = ACTIONS(7459),
    [anon_sym_BSLASHtitle] = ACTIONS(7459),
    [anon_sym_BSLASHauthor] = ACTIONS(7459),
    [anon_sym_BSLASHusepackage] = ACTIONS(7459),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7459),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7459),
    [anon_sym_BSLASHinclude] = ACTIONS(7459),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7459),
    [anon_sym_BSLASHinput] = ACTIONS(7459),
    [anon_sym_BSLASHsubfile] = ACTIONS(7459),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7459),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7459),
    [anon_sym_BSLASHbibliography] = ACTIONS(7459),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7459),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7459),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7459),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7459),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7459),
    [anon_sym_BSLASHimport] = ACTIONS(7459),
    [anon_sym_BSLASHsubimport] = ACTIONS(7459),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7459),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7459),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7459),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7459),
    [anon_sym_BSLASHcaption] = ACTIONS(7459),
    [anon_sym_BSLASHcite] = ACTIONS(7459),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHCite] = ACTIONS(7459),
    [anon_sym_BSLASHnocite] = ACTIONS(7459),
    [anon_sym_BSLASHcitet] = ACTIONS(7459),
    [anon_sym_BSLASHcitep] = ACTIONS(7459),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHciteA] = ACTIONS(7459),
    [anon_sym_BSLASHciteR] = ACTIONS(7459),
    [anon_sym_BSLASHciteS] = ACTIONS(7459),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7459),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7459),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7459),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7459),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHciteyear] = ACTIONS(7459),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcitedate] = ACTIONS(7459),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHciteurl] = ACTIONS(7459),
    [anon_sym_BSLASHfullcite] = ACTIONS(7459),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7459),
    [anon_sym_BSLASHcitealt] = ACTIONS(7459),
    [anon_sym_BSLASHcitealp] = ACTIONS(7459),
    [anon_sym_BSLASHcitetext] = ACTIONS(7459),
    [anon_sym_BSLASHparencite] = ACTIONS(7459),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHParencite] = ACTIONS(7459),
    [anon_sym_BSLASHfootcite] = ACTIONS(7459),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7459),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7459),
    [anon_sym_BSLASHtextcite] = ACTIONS(7459),
    [anon_sym_BSLASHTextcite] = ACTIONS(7459),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7459),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7459),
    [anon_sym_BSLASHsupercite] = ACTIONS(7459),
    [anon_sym_BSLASHautocite] = ACTIONS(7459),
    [anon_sym_BSLASHAutocite] = ACTIONS(7459),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHVolcite] = ACTIONS(7459),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHavolcite] = ACTIONS(7459),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHnotecite] = ACTIONS(7459),
    [anon_sym_BSLASHNotecite] = ACTIONS(7459),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7459),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7459),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7459),
    [anon_sym_BSLASHlabel] = ACTIONS(7459),
    [anon_sym_BSLASHref] = ACTIONS(7459),
    [anon_sym_BSLASHeqref] = ACTIONS(7459),
    [anon_sym_BSLASHvref] = ACTIONS(7459),
    [anon_sym_BSLASHVref] = ACTIONS(7459),
    [anon_sym_BSLASHautoref] = ACTIONS(7459),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHpageref] = ACTIONS(7459),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHautopageref] = ACTIONS(7459),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcref] = ACTIONS(7459),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHCref] = ACTIONS(7459),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcpageref] = ACTIONS(7459),
    [anon_sym_BSLASHCpageref] = ACTIONS(7459),
    [anon_sym_BSLASHnamecref] = ACTIONS(7459),
    [anon_sym_BSLASHnameCref] = ACTIONS(7459),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7459),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7459),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7459),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7459),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7459),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7459),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7459),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7459),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7459),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7459),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7459),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7459),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7459),
    [anon_sym_BSLASHdef] = ACTIONS(7459),
    [anon_sym_BSLASHgdef] = ACTIONS(7459),
    [anon_sym_BSLASHedef] = ACTIONS(7459),
    [anon_sym_BSLASHxdef] = ACTIONS(7459),
    [anon_sym_BSLASHlet] = ACTIONS(7459),
    [anon_sym_BSLASHglet] = ACTIONS(7459),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7459),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7459),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7459),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7459),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7459),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7459),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7459),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7459),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7459),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7459),
    [anon_sym_BSLASHgls] = ACTIONS(7459),
    [anon_sym_BSLASHGls] = ACTIONS(7459),
    [anon_sym_BSLASHGLS] = ACTIONS(7459),
    [anon_sym_BSLASHglspl] = ACTIONS(7459),
    [anon_sym_BSLASHGlspl] = ACTIONS(7459),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7459),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7459),
    [anon_sym_BSLASHglslink] = ACTIONS(7459),
    [anon_sym_BSLASHglstext] = ACTIONS(7459),
    [anon_sym_BSLASHGlstext] = ACTIONS(7459),
    [anon_sym_BSLASHGLStext] = ACTIONS(7459),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7459),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7459),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7459),
    [anon_sym_BSLASHglsplural] = ACTIONS(7459),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7459),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7459),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7459),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7459),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7459),
    [anon_sym_BSLASHglsname] = ACTIONS(7459),
    [anon_sym_BSLASHGlsname] = ACTIONS(7459),
    [anon_sym_BSLASHGLSname] = ACTIONS(7459),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7459),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7459),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7459),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7459),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7459),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7459),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7459),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7459),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7459),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7459),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7459),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7459),
    [anon_sym_BSLASHacrshort] = ACTIONS(7459),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7459),
    [anon_sym_BSLASHACRshort] = ACTIONS(7459),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHacrlong] = ACTIONS(7459),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7459),
    [anon_sym_BSLASHACRlong] = ACTIONS(7459),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7459),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7459),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7459),
    [anon_sym_BSLASHacrfull] = ACTIONS(7459),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7459),
    [anon_sym_BSLASHACRfull] = ACTIONS(7459),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHacs] = ACTIONS(7459),
    [anon_sym_BSLASHAcs] = ACTIONS(7459),
    [anon_sym_BSLASHacsp] = ACTIONS(7459),
    [anon_sym_BSLASHAcsp] = ACTIONS(7459),
    [anon_sym_BSLASHacl] = ACTIONS(7459),
    [anon_sym_BSLASHAcl] = ACTIONS(7459),
    [anon_sym_BSLASHaclp] = ACTIONS(7459),
    [anon_sym_BSLASHAclp] = ACTIONS(7459),
    [anon_sym_BSLASHacf] = ACTIONS(7459),
    [anon_sym_BSLASHAcf] = ACTIONS(7459),
    [anon_sym_BSLASHacfp] = ACTIONS(7459),
    [anon_sym_BSLASHAcfp] = ACTIONS(7459),
    [anon_sym_BSLASHac] = ACTIONS(7459),
    [anon_sym_BSLASHAc] = ACTIONS(7459),
    [anon_sym_BSLASHacp] = ACTIONS(7459),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7459),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7459),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7459),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7459),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7459),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7459),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7459),
    [anon_sym_BSLASHcolor] = ACTIONS(7459),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7459),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7459),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7459),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7459),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7459),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7459),
    [anon_sym_BSLASHurl] = ACTIONS(7459),
    [anon_sym_BSLASHhref] = ACTIONS(7459),
  },
  [1263] = {
    [sym_command_name] = ACTIONS(7139),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7139),
    [anon_sym_LBRACK] = ACTIONS(7141),
    [anon_sym_RBRACK] = ACTIONS(7141),
    [anon_sym_COMMA] = ACTIONS(7141),
    [anon_sym_EQ] = ACTIONS(7141),
    [anon_sym_LPAREN] = ACTIONS(7141),
    [anon_sym_RPAREN] = ACTIONS(7141),
    [anon_sym_BSLASHpart] = ACTIONS(7139),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHaddpart] = ACTIONS(7139),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHchapter] = ACTIONS(7139),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHaddchap] = ACTIONS(7139),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHsection] = ACTIONS(7139),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHaddsec] = ACTIONS(7139),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHsubsection] = ACTIONS(7139),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7139),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHparagraph] = ACTIONS(7139),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7139),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHitem] = ACTIONS(7139),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7141),
    [anon_sym_LBRACE] = ACTIONS(7141),
    [sym_word] = ACTIONS(7139),
    [sym_placeholder] = ACTIONS(7141),
    [sym_delimiter] = ACTIONS(7141),
    [anon_sym_PLUS] = ACTIONS(7141),
    [anon_sym_DASH] = ACTIONS(7141),
    [anon_sym_STAR] = ACTIONS(7141),
    [anon_sym_SLASH] = ACTIONS(7141),
    [anon_sym_LT] = ACTIONS(7139),
    [anon_sym_GT] = ACTIONS(7139),
    [anon_sym_BANG] = ACTIONS(7139),
    [anon_sym_PIPE] = ACTIONS(7139),
    [anon_sym_COLON] = ACTIONS(7139),
    [anon_sym_SQUOTE] = ACTIONS(7139),
    [anon_sym__] = ACTIONS(7141),
    [anon_sym_CARET] = ACTIONS(7141),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7141),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7141),
    [anon_sym_DOLLAR] = ACTIONS(7139),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7141),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7141),
    [anon_sym_BSLASHleft] = ACTIONS(7139),
    [anon_sym_BSLASHbigl] = ACTIONS(7139),
    [anon_sym_BSLASHBigl] = ACTIONS(7139),
    [anon_sym_BSLASHbiggl] = ACTIONS(7139),
    [anon_sym_BSLASHBiggl] = ACTIONS(7139),
    [anon_sym_BSLASHtext] = ACTIONS(7139),
    [anon_sym_BSLASHintertext] = ACTIONS(7139),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7139),
    [anon_sym_BSLASHbegin] = ACTIONS(7139),
    [anon_sym_BSLASHtitle] = ACTIONS(7139),
    [anon_sym_BSLASHauthor] = ACTIONS(7139),
    [anon_sym_BSLASHusepackage] = ACTIONS(7139),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7139),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7139),
    [anon_sym_BSLASHinclude] = ACTIONS(7139),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7139),
    [anon_sym_BSLASHinput] = ACTIONS(7139),
    [anon_sym_BSLASHsubfile] = ACTIONS(7139),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7139),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7139),
    [anon_sym_BSLASHbibliography] = ACTIONS(7139),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7139),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7139),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7139),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7139),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7139),
    [anon_sym_BSLASHimport] = ACTIONS(7139),
    [anon_sym_BSLASHsubimport] = ACTIONS(7139),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7139),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7139),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7139),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7139),
    [anon_sym_BSLASHcaption] = ACTIONS(7139),
    [anon_sym_BSLASHcite] = ACTIONS(7139),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHCite] = ACTIONS(7139),
    [anon_sym_BSLASHnocite] = ACTIONS(7139),
    [anon_sym_BSLASHcitet] = ACTIONS(7139),
    [anon_sym_BSLASHcitep] = ACTIONS(7139),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHciteA] = ACTIONS(7139),
    [anon_sym_BSLASHciteR] = ACTIONS(7139),
    [anon_sym_BSLASHciteS] = ACTIONS(7139),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7139),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7139),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7139),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7139),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHciteyear] = ACTIONS(7139),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcitedate] = ACTIONS(7139),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHciteurl] = ACTIONS(7139),
    [anon_sym_BSLASHfullcite] = ACTIONS(7139),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7139),
    [anon_sym_BSLASHcitealt] = ACTIONS(7139),
    [anon_sym_BSLASHcitealp] = ACTIONS(7139),
    [anon_sym_BSLASHcitetext] = ACTIONS(7139),
    [anon_sym_BSLASHparencite] = ACTIONS(7139),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHParencite] = ACTIONS(7139),
    [anon_sym_BSLASHfootcite] = ACTIONS(7139),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7139),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7139),
    [anon_sym_BSLASHtextcite] = ACTIONS(7139),
    [anon_sym_BSLASHTextcite] = ACTIONS(7139),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7139),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7139),
    [anon_sym_BSLASHsupercite] = ACTIONS(7139),
    [anon_sym_BSLASHautocite] = ACTIONS(7139),
    [anon_sym_BSLASHAutocite] = ACTIONS(7139),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHVolcite] = ACTIONS(7139),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHavolcite] = ACTIONS(7139),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHnotecite] = ACTIONS(7139),
    [anon_sym_BSLASHNotecite] = ACTIONS(7139),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7139),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7139),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7139),
    [anon_sym_BSLASHlabel] = ACTIONS(7139),
    [anon_sym_BSLASHref] = ACTIONS(7139),
    [anon_sym_BSLASHeqref] = ACTIONS(7139),
    [anon_sym_BSLASHvref] = ACTIONS(7139),
    [anon_sym_BSLASHVref] = ACTIONS(7139),
    [anon_sym_BSLASHautoref] = ACTIONS(7139),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHpageref] = ACTIONS(7139),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHautopageref] = ACTIONS(7139),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcref] = ACTIONS(7139),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHCref] = ACTIONS(7139),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcpageref] = ACTIONS(7139),
    [anon_sym_BSLASHCpageref] = ACTIONS(7139),
    [anon_sym_BSLASHnamecref] = ACTIONS(7139),
    [anon_sym_BSLASHnameCref] = ACTIONS(7139),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7139),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7139),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7139),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7139),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7139),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7139),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7139),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7139),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7139),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7139),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7139),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7139),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7139),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7139),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7139),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7139),
    [anon_sym_BSLASHdef] = ACTIONS(7139),
    [anon_sym_BSLASHgdef] = ACTIONS(7139),
    [anon_sym_BSLASHedef] = ACTIONS(7139),
    [anon_sym_BSLASHxdef] = ACTIONS(7139),
    [anon_sym_BSLASHlet] = ACTIONS(7139),
    [anon_sym_BSLASHglet] = ACTIONS(7139),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7139),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7139),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7139),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7139),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7139),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7139),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7139),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7139),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7139),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7139),
    [anon_sym_BSLASHgls] = ACTIONS(7139),
    [anon_sym_BSLASHGls] = ACTIONS(7139),
    [anon_sym_BSLASHGLS] = ACTIONS(7139),
    [anon_sym_BSLASHglspl] = ACTIONS(7139),
    [anon_sym_BSLASHGlspl] = ACTIONS(7139),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7139),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7139),
    [anon_sym_BSLASHglslink] = ACTIONS(7139),
    [anon_sym_BSLASHglstext] = ACTIONS(7139),
    [anon_sym_BSLASHGlstext] = ACTIONS(7139),
    [anon_sym_BSLASHGLStext] = ACTIONS(7139),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7139),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7139),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7139),
    [anon_sym_BSLASHglsplural] = ACTIONS(7139),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7139),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7139),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7139),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7139),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7139),
    [anon_sym_BSLASHglsname] = ACTIONS(7139),
    [anon_sym_BSLASHGlsname] = ACTIONS(7139),
    [anon_sym_BSLASHGLSname] = ACTIONS(7139),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7139),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7139),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7139),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7139),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7139),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7139),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7139),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7139),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7139),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7139),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7139),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7139),
    [anon_sym_BSLASHacrshort] = ACTIONS(7139),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7139),
    [anon_sym_BSLASHACRshort] = ACTIONS(7139),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHacrlong] = ACTIONS(7139),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7139),
    [anon_sym_BSLASHACRlong] = ACTIONS(7139),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7139),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7139),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7139),
    [anon_sym_BSLASHacrfull] = ACTIONS(7139),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7139),
    [anon_sym_BSLASHACRfull] = ACTIONS(7139),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHacs] = ACTIONS(7139),
    [anon_sym_BSLASHAcs] = ACTIONS(7139),
    [anon_sym_BSLASHacsp] = ACTIONS(7139),
    [anon_sym_BSLASHAcsp] = ACTIONS(7139),
    [anon_sym_BSLASHacl] = ACTIONS(7139),
    [anon_sym_BSLASHAcl] = ACTIONS(7139),
    [anon_sym_BSLASHaclp] = ACTIONS(7139),
    [anon_sym_BSLASHAclp] = ACTIONS(7139),
    [anon_sym_BSLASHacf] = ACTIONS(7139),
    [anon_sym_BSLASHAcf] = ACTIONS(7139),
    [anon_sym_BSLASHacfp] = ACTIONS(7139),
    [anon_sym_BSLASHAcfp] = ACTIONS(7139),
    [anon_sym_BSLASHac] = ACTIONS(7139),
    [anon_sym_BSLASHAc] = ACTIONS(7139),
    [anon_sym_BSLASHacp] = ACTIONS(7139),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7139),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7139),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7139),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7139),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7139),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7139),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7139),
    [anon_sym_BSLASHcolor] = ACTIONS(7139),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7139),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7139),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7139),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7139),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7139),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7139),
    [anon_sym_BSLASHurl] = ACTIONS(7139),
    [anon_sym_BSLASHhref] = ACTIONS(7139),
  },
  [1264] = {
    [sym_command_name] = ACTIONS(7463),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7463),
    [anon_sym_LBRACK] = ACTIONS(7465),
    [anon_sym_RBRACK] = ACTIONS(7465),
    [anon_sym_COMMA] = ACTIONS(7465),
    [anon_sym_EQ] = ACTIONS(7465),
    [anon_sym_LPAREN] = ACTIONS(7465),
    [anon_sym_RPAREN] = ACTIONS(7465),
    [anon_sym_BSLASHpart] = ACTIONS(7463),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHaddpart] = ACTIONS(7463),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHchapter] = ACTIONS(7463),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHaddchap] = ACTIONS(7463),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHsection] = ACTIONS(7463),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHaddsec] = ACTIONS(7463),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHsubsection] = ACTIONS(7463),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7463),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHparagraph] = ACTIONS(7463),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7463),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHitem] = ACTIONS(7463),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7465),
    [anon_sym_LBRACE] = ACTIONS(7465),
    [sym_word] = ACTIONS(7463),
    [sym_placeholder] = ACTIONS(7465),
    [sym_delimiter] = ACTIONS(7465),
    [anon_sym_PLUS] = ACTIONS(7465),
    [anon_sym_DASH] = ACTIONS(7465),
    [anon_sym_STAR] = ACTIONS(7465),
    [anon_sym_SLASH] = ACTIONS(7465),
    [anon_sym_LT] = ACTIONS(7463),
    [anon_sym_GT] = ACTIONS(7463),
    [anon_sym_BANG] = ACTIONS(7463),
    [anon_sym_PIPE] = ACTIONS(7463),
    [anon_sym_COLON] = ACTIONS(7463),
    [anon_sym_SQUOTE] = ACTIONS(7463),
    [anon_sym__] = ACTIONS(7465),
    [anon_sym_CARET] = ACTIONS(7465),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7465),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7465),
    [anon_sym_DOLLAR] = ACTIONS(7463),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7465),
    [anon_sym_BSLASHleft] = ACTIONS(7463),
    [anon_sym_BSLASHbigl] = ACTIONS(7463),
    [anon_sym_BSLASHBigl] = ACTIONS(7463),
    [anon_sym_BSLASHbiggl] = ACTIONS(7463),
    [anon_sym_BSLASHBiggl] = ACTIONS(7463),
    [anon_sym_BSLASHtext] = ACTIONS(7463),
    [anon_sym_BSLASHintertext] = ACTIONS(7463),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7463),
    [anon_sym_BSLASHbegin] = ACTIONS(7463),
    [anon_sym_BSLASHend] = ACTIONS(7463),
    [anon_sym_BSLASHtitle] = ACTIONS(7463),
    [anon_sym_BSLASHauthor] = ACTIONS(7463),
    [anon_sym_BSLASHusepackage] = ACTIONS(7463),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7463),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7463),
    [anon_sym_BSLASHinclude] = ACTIONS(7463),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7463),
    [anon_sym_BSLASHinput] = ACTIONS(7463),
    [anon_sym_BSLASHsubfile] = ACTIONS(7463),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7463),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7463),
    [anon_sym_BSLASHbibliography] = ACTIONS(7463),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7463),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7463),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7463),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7463),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7463),
    [anon_sym_BSLASHimport] = ACTIONS(7463),
    [anon_sym_BSLASHsubimport] = ACTIONS(7463),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7463),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7463),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7463),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7463),
    [anon_sym_BSLASHcaption] = ACTIONS(7463),
    [anon_sym_BSLASHcite] = ACTIONS(7463),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCite] = ACTIONS(7463),
    [anon_sym_BSLASHnocite] = ACTIONS(7463),
    [anon_sym_BSLASHcitet] = ACTIONS(7463),
    [anon_sym_BSLASHcitep] = ACTIONS(7463),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteA] = ACTIONS(7463),
    [anon_sym_BSLASHciteR] = ACTIONS(7463),
    [anon_sym_BSLASHciteS] = ACTIONS(7463),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7463),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7463),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7463),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7463),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteyear] = ACTIONS(7463),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitedate] = ACTIONS(7463),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteurl] = ACTIONS(7463),
    [anon_sym_BSLASHfullcite] = ACTIONS(7463),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7463),
    [anon_sym_BSLASHcitealt] = ACTIONS(7463),
    [anon_sym_BSLASHcitealp] = ACTIONS(7463),
    [anon_sym_BSLASHcitetext] = ACTIONS(7463),
    [anon_sym_BSLASHparencite] = ACTIONS(7463),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHParencite] = ACTIONS(7463),
    [anon_sym_BSLASHfootcite] = ACTIONS(7463),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7463),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7463),
    [anon_sym_BSLASHtextcite] = ACTIONS(7463),
    [anon_sym_BSLASHTextcite] = ACTIONS(7463),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7463),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7463),
    [anon_sym_BSLASHsupercite] = ACTIONS(7463),
    [anon_sym_BSLASHautocite] = ACTIONS(7463),
    [anon_sym_BSLASHAutocite] = ACTIONS(7463),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHVolcite] = ACTIONS(7463),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHavolcite] = ACTIONS(7463),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHNotecite] = ACTIONS(7463),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHlabel] = ACTIONS(7463),
    [anon_sym_BSLASHref] = ACTIONS(7463),
    [anon_sym_BSLASHeqref] = ACTIONS(7463),
    [anon_sym_BSLASHvref] = ACTIONS(7463),
    [anon_sym_BSLASHVref] = ACTIONS(7463),
    [anon_sym_BSLASHautoref] = ACTIONS(7463),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHpageref] = ACTIONS(7463),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHautopageref] = ACTIONS(7463),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcref] = ACTIONS(7463),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCref] = ACTIONS(7463),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcpageref] = ACTIONS(7463),
    [anon_sym_BSLASHCpageref] = ACTIONS(7463),
    [anon_sym_BSLASHnamecref] = ACTIONS(7463),
    [anon_sym_BSLASHnameCref] = ACTIONS(7463),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7463),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7463),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7463),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7463),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7463),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7463),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7463),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7463),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7463),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7463),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7463),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHdef] = ACTIONS(7463),
    [anon_sym_BSLASHgdef] = ACTIONS(7463),
    [anon_sym_BSLASHedef] = ACTIONS(7463),
    [anon_sym_BSLASHxdef] = ACTIONS(7463),
    [anon_sym_BSLASHlet] = ACTIONS(7463),
    [anon_sym_BSLASHglet] = ACTIONS(7463),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7463),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7463),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7463),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7463),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7463),
    [anon_sym_BSLASHgls] = ACTIONS(7463),
    [anon_sym_BSLASHGls] = ACTIONS(7463),
    [anon_sym_BSLASHGLS] = ACTIONS(7463),
    [anon_sym_BSLASHglspl] = ACTIONS(7463),
    [anon_sym_BSLASHGlspl] = ACTIONS(7463),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7463),
    [anon_sym_BSLASHglslink] = ACTIONS(7463),
    [anon_sym_BSLASHglstext] = ACTIONS(7463),
    [anon_sym_BSLASHGlstext] = ACTIONS(7463),
    [anon_sym_BSLASHGLStext] = ACTIONS(7463),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7463),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7463),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7463),
    [anon_sym_BSLASHglsplural] = ACTIONS(7463),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7463),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7463),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHglsname] = ACTIONS(7463),
    [anon_sym_BSLASHGlsname] = ACTIONS(7463),
    [anon_sym_BSLASHGLSname] = ACTIONS(7463),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7463),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7463),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7463),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7463),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7463),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7463),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7463),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7463),
    [anon_sym_BSLASHacrshort] = ACTIONS(7463),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7463),
    [anon_sym_BSLASHACRshort] = ACTIONS(7463),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHacrlong] = ACTIONS(7463),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7463),
    [anon_sym_BSLASHACRlong] = ACTIONS(7463),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHacrfull] = ACTIONS(7463),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7463),
    [anon_sym_BSLASHACRfull] = ACTIONS(7463),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHacs] = ACTIONS(7463),
    [anon_sym_BSLASHAcs] = ACTIONS(7463),
    [anon_sym_BSLASHacsp] = ACTIONS(7463),
    [anon_sym_BSLASHAcsp] = ACTIONS(7463),
    [anon_sym_BSLASHacl] = ACTIONS(7463),
    [anon_sym_BSLASHAcl] = ACTIONS(7463),
    [anon_sym_BSLASHaclp] = ACTIONS(7463),
    [anon_sym_BSLASHAclp] = ACTIONS(7463),
    [anon_sym_BSLASHacf] = ACTIONS(7463),
    [anon_sym_BSLASHAcf] = ACTIONS(7463),
    [anon_sym_BSLASHacfp] = ACTIONS(7463),
    [anon_sym_BSLASHAcfp] = ACTIONS(7463),
    [anon_sym_BSLASHac] = ACTIONS(7463),
    [anon_sym_BSLASHAc] = ACTIONS(7463),
    [anon_sym_BSLASHacp] = ACTIONS(7463),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7463),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7463),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7463),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7463),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7463),
    [anon_sym_BSLASHcolor] = ACTIONS(7463),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7463),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7463),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7463),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7463),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7463),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7463),
    [anon_sym_BSLASHurl] = ACTIONS(7463),
    [anon_sym_BSLASHhref] = ACTIONS(7463),
  },
  [1265] = {
    [sym_command_name] = ACTIONS(7467),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7467),
    [anon_sym_LBRACK] = ACTIONS(7469),
    [anon_sym_RBRACK] = ACTIONS(7469),
    [anon_sym_COMMA] = ACTIONS(7469),
    [anon_sym_EQ] = ACTIONS(7469),
    [anon_sym_LPAREN] = ACTIONS(7469),
    [anon_sym_RPAREN] = ACTIONS(7469),
    [anon_sym_BSLASHpart] = ACTIONS(7467),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHaddpart] = ACTIONS(7467),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHchapter] = ACTIONS(7467),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHaddchap] = ACTIONS(7467),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHsection] = ACTIONS(7467),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHaddsec] = ACTIONS(7467),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHsubsection] = ACTIONS(7467),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7467),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHparagraph] = ACTIONS(7467),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7467),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHitem] = ACTIONS(7467),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7469),
    [anon_sym_LBRACE] = ACTIONS(7469),
    [sym_word] = ACTIONS(7467),
    [sym_placeholder] = ACTIONS(7469),
    [sym_delimiter] = ACTIONS(7469),
    [anon_sym_PLUS] = ACTIONS(7469),
    [anon_sym_DASH] = ACTIONS(7469),
    [anon_sym_STAR] = ACTIONS(7469),
    [anon_sym_SLASH] = ACTIONS(7469),
    [anon_sym_LT] = ACTIONS(7467),
    [anon_sym_GT] = ACTIONS(7467),
    [anon_sym_BANG] = ACTIONS(7467),
    [anon_sym_PIPE] = ACTIONS(7467),
    [anon_sym_COLON] = ACTIONS(7467),
    [anon_sym_SQUOTE] = ACTIONS(7467),
    [anon_sym__] = ACTIONS(7469),
    [anon_sym_CARET] = ACTIONS(7469),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7469),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7469),
    [anon_sym_DOLLAR] = ACTIONS(7467),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7469),
    [anon_sym_BSLASHleft] = ACTIONS(7467),
    [anon_sym_BSLASHbigl] = ACTIONS(7467),
    [anon_sym_BSLASHBigl] = ACTIONS(7467),
    [anon_sym_BSLASHbiggl] = ACTIONS(7467),
    [anon_sym_BSLASHBiggl] = ACTIONS(7467),
    [anon_sym_BSLASHtext] = ACTIONS(7467),
    [anon_sym_BSLASHintertext] = ACTIONS(7467),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7467),
    [anon_sym_BSLASHbegin] = ACTIONS(7467),
    [anon_sym_BSLASHend] = ACTIONS(7467),
    [anon_sym_BSLASHtitle] = ACTIONS(7467),
    [anon_sym_BSLASHauthor] = ACTIONS(7467),
    [anon_sym_BSLASHusepackage] = ACTIONS(7467),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7467),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7467),
    [anon_sym_BSLASHinclude] = ACTIONS(7467),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7467),
    [anon_sym_BSLASHinput] = ACTIONS(7467),
    [anon_sym_BSLASHsubfile] = ACTIONS(7467),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7467),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7467),
    [anon_sym_BSLASHbibliography] = ACTIONS(7467),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7467),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7467),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7467),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7467),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7467),
    [anon_sym_BSLASHimport] = ACTIONS(7467),
    [anon_sym_BSLASHsubimport] = ACTIONS(7467),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7467),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7467),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7467),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7467),
    [anon_sym_BSLASHcaption] = ACTIONS(7467),
    [anon_sym_BSLASHcite] = ACTIONS(7467),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCite] = ACTIONS(7467),
    [anon_sym_BSLASHnocite] = ACTIONS(7467),
    [anon_sym_BSLASHcitet] = ACTIONS(7467),
    [anon_sym_BSLASHcitep] = ACTIONS(7467),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteA] = ACTIONS(7467),
    [anon_sym_BSLASHciteR] = ACTIONS(7467),
    [anon_sym_BSLASHciteS] = ACTIONS(7467),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7467),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7467),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7467),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7467),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteyear] = ACTIONS(7467),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitedate] = ACTIONS(7467),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteurl] = ACTIONS(7467),
    [anon_sym_BSLASHfullcite] = ACTIONS(7467),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7467),
    [anon_sym_BSLASHcitealt] = ACTIONS(7467),
    [anon_sym_BSLASHcitealp] = ACTIONS(7467),
    [anon_sym_BSLASHcitetext] = ACTIONS(7467),
    [anon_sym_BSLASHparencite] = ACTIONS(7467),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHParencite] = ACTIONS(7467),
    [anon_sym_BSLASHfootcite] = ACTIONS(7467),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7467),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7467),
    [anon_sym_BSLASHtextcite] = ACTIONS(7467),
    [anon_sym_BSLASHTextcite] = ACTIONS(7467),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7467),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7467),
    [anon_sym_BSLASHsupercite] = ACTIONS(7467),
    [anon_sym_BSLASHautocite] = ACTIONS(7467),
    [anon_sym_BSLASHAutocite] = ACTIONS(7467),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHVolcite] = ACTIONS(7467),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHavolcite] = ACTIONS(7467),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHNotecite] = ACTIONS(7467),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHlabel] = ACTIONS(7467),
    [anon_sym_BSLASHref] = ACTIONS(7467),
    [anon_sym_BSLASHeqref] = ACTIONS(7467),
    [anon_sym_BSLASHvref] = ACTIONS(7467),
    [anon_sym_BSLASHVref] = ACTIONS(7467),
    [anon_sym_BSLASHautoref] = ACTIONS(7467),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHpageref] = ACTIONS(7467),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHautopageref] = ACTIONS(7467),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcref] = ACTIONS(7467),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCref] = ACTIONS(7467),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcpageref] = ACTIONS(7467),
    [anon_sym_BSLASHCpageref] = ACTIONS(7467),
    [anon_sym_BSLASHnamecref] = ACTIONS(7467),
    [anon_sym_BSLASHnameCref] = ACTIONS(7467),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7467),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7467),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7467),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7467),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7467),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7467),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7467),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7467),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7467),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7467),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7467),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHdef] = ACTIONS(7467),
    [anon_sym_BSLASHgdef] = ACTIONS(7467),
    [anon_sym_BSLASHedef] = ACTIONS(7467),
    [anon_sym_BSLASHxdef] = ACTIONS(7467),
    [anon_sym_BSLASHlet] = ACTIONS(7467),
    [anon_sym_BSLASHglet] = ACTIONS(7467),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7467),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7467),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7467),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7467),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7467),
    [anon_sym_BSLASHgls] = ACTIONS(7467),
    [anon_sym_BSLASHGls] = ACTIONS(7467),
    [anon_sym_BSLASHGLS] = ACTIONS(7467),
    [anon_sym_BSLASHglspl] = ACTIONS(7467),
    [anon_sym_BSLASHGlspl] = ACTIONS(7467),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7467),
    [anon_sym_BSLASHglslink] = ACTIONS(7467),
    [anon_sym_BSLASHglstext] = ACTIONS(7467),
    [anon_sym_BSLASHGlstext] = ACTIONS(7467),
    [anon_sym_BSLASHGLStext] = ACTIONS(7467),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7467),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7467),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7467),
    [anon_sym_BSLASHglsplural] = ACTIONS(7467),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7467),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7467),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHglsname] = ACTIONS(7467),
    [anon_sym_BSLASHGlsname] = ACTIONS(7467),
    [anon_sym_BSLASHGLSname] = ACTIONS(7467),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7467),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7467),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7467),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7467),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7467),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7467),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7467),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7467),
    [anon_sym_BSLASHacrshort] = ACTIONS(7467),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7467),
    [anon_sym_BSLASHACRshort] = ACTIONS(7467),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHacrlong] = ACTIONS(7467),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7467),
    [anon_sym_BSLASHACRlong] = ACTIONS(7467),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHacrfull] = ACTIONS(7467),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7467),
    [anon_sym_BSLASHACRfull] = ACTIONS(7467),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHacs] = ACTIONS(7467),
    [anon_sym_BSLASHAcs] = ACTIONS(7467),
    [anon_sym_BSLASHacsp] = ACTIONS(7467),
    [anon_sym_BSLASHAcsp] = ACTIONS(7467),
    [anon_sym_BSLASHacl] = ACTIONS(7467),
    [anon_sym_BSLASHAcl] = ACTIONS(7467),
    [anon_sym_BSLASHaclp] = ACTIONS(7467),
    [anon_sym_BSLASHAclp] = ACTIONS(7467),
    [anon_sym_BSLASHacf] = ACTIONS(7467),
    [anon_sym_BSLASHAcf] = ACTIONS(7467),
    [anon_sym_BSLASHacfp] = ACTIONS(7467),
    [anon_sym_BSLASHAcfp] = ACTIONS(7467),
    [anon_sym_BSLASHac] = ACTIONS(7467),
    [anon_sym_BSLASHAc] = ACTIONS(7467),
    [anon_sym_BSLASHacp] = ACTIONS(7467),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7467),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7467),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7467),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7467),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7467),
    [anon_sym_BSLASHcolor] = ACTIONS(7467),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7467),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7467),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7467),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7467),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7467),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7467),
    [anon_sym_BSLASHurl] = ACTIONS(7467),
    [anon_sym_BSLASHhref] = ACTIONS(7467),
  },
  [1266] = {
    [sym_command_name] = ACTIONS(7191),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7191),
    [anon_sym_LBRACK] = ACTIONS(7193),
    [anon_sym_RBRACK] = ACTIONS(7193),
    [anon_sym_COMMA] = ACTIONS(7193),
    [anon_sym_EQ] = ACTIONS(7193),
    [anon_sym_LPAREN] = ACTIONS(7193),
    [anon_sym_RPAREN] = ACTIONS(7193),
    [anon_sym_BSLASHpart] = ACTIONS(7191),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHaddpart] = ACTIONS(7191),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHchapter] = ACTIONS(7191),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHaddchap] = ACTIONS(7191),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHsection] = ACTIONS(7191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHaddsec] = ACTIONS(7191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHsubsection] = ACTIONS(7191),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7191),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHparagraph] = ACTIONS(7191),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7191),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHitem] = ACTIONS(7191),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7193),
    [anon_sym_LBRACE] = ACTIONS(7193),
    [sym_word] = ACTIONS(7191),
    [sym_placeholder] = ACTIONS(7193),
    [sym_delimiter] = ACTIONS(7193),
    [anon_sym_PLUS] = ACTIONS(7193),
    [anon_sym_DASH] = ACTIONS(7193),
    [anon_sym_STAR] = ACTIONS(7193),
    [anon_sym_SLASH] = ACTIONS(7193),
    [anon_sym_LT] = ACTIONS(7191),
    [anon_sym_GT] = ACTIONS(7191),
    [anon_sym_BANG] = ACTIONS(7191),
    [anon_sym_PIPE] = ACTIONS(7191),
    [anon_sym_COLON] = ACTIONS(7191),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym__] = ACTIONS(7193),
    [anon_sym_CARET] = ACTIONS(7193),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7193),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7193),
    [anon_sym_DOLLAR] = ACTIONS(7191),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7193),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7193),
    [anon_sym_BSLASHleft] = ACTIONS(7191),
    [anon_sym_BSLASHbigl] = ACTIONS(7191),
    [anon_sym_BSLASHBigl] = ACTIONS(7191),
    [anon_sym_BSLASHbiggl] = ACTIONS(7191),
    [anon_sym_BSLASHBiggl] = ACTIONS(7191),
    [anon_sym_BSLASHtext] = ACTIONS(7191),
    [anon_sym_BSLASHintertext] = ACTIONS(7191),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7191),
    [anon_sym_BSLASHbegin] = ACTIONS(7191),
    [anon_sym_BSLASHtitle] = ACTIONS(7191),
    [anon_sym_BSLASHauthor] = ACTIONS(7191),
    [anon_sym_BSLASHusepackage] = ACTIONS(7191),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7191),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7191),
    [anon_sym_BSLASHinclude] = ACTIONS(7191),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7191),
    [anon_sym_BSLASHinput] = ACTIONS(7191),
    [anon_sym_BSLASHsubfile] = ACTIONS(7191),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7191),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7191),
    [anon_sym_BSLASHbibliography] = ACTIONS(7191),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7191),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7191),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7191),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7191),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7191),
    [anon_sym_BSLASHimport] = ACTIONS(7191),
    [anon_sym_BSLASHsubimport] = ACTIONS(7191),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7191),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7191),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7191),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7191),
    [anon_sym_BSLASHcaption] = ACTIONS(7191),
    [anon_sym_BSLASHcite] = ACTIONS(7191),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCite] = ACTIONS(7191),
    [anon_sym_BSLASHnocite] = ACTIONS(7191),
    [anon_sym_BSLASHcitet] = ACTIONS(7191),
    [anon_sym_BSLASHcitep] = ACTIONS(7191),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteA] = ACTIONS(7191),
    [anon_sym_BSLASHciteR] = ACTIONS(7191),
    [anon_sym_BSLASHciteS] = ACTIONS(7191),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7191),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7191),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7191),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7191),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteyear] = ACTIONS(7191),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitedate] = ACTIONS(7191),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteurl] = ACTIONS(7191),
    [anon_sym_BSLASHfullcite] = ACTIONS(7191),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7191),
    [anon_sym_BSLASHcitealt] = ACTIONS(7191),
    [anon_sym_BSLASHcitealp] = ACTIONS(7191),
    [anon_sym_BSLASHcitetext] = ACTIONS(7191),
    [anon_sym_BSLASHparencite] = ACTIONS(7191),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHParencite] = ACTIONS(7191),
    [anon_sym_BSLASHfootcite] = ACTIONS(7191),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7191),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7191),
    [anon_sym_BSLASHtextcite] = ACTIONS(7191),
    [anon_sym_BSLASHTextcite] = ACTIONS(7191),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7191),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7191),
    [anon_sym_BSLASHsupercite] = ACTIONS(7191),
    [anon_sym_BSLASHautocite] = ACTIONS(7191),
    [anon_sym_BSLASHAutocite] = ACTIONS(7191),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHVolcite] = ACTIONS(7191),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHavolcite] = ACTIONS(7191),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHNotecite] = ACTIONS(7191),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHlabel] = ACTIONS(7191),
    [anon_sym_BSLASHref] = ACTIONS(7191),
    [anon_sym_BSLASHeqref] = ACTIONS(7191),
    [anon_sym_BSLASHvref] = ACTIONS(7191),
    [anon_sym_BSLASHVref] = ACTIONS(7191),
    [anon_sym_BSLASHautoref] = ACTIONS(7191),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHpageref] = ACTIONS(7191),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHautopageref] = ACTIONS(7191),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcref] = ACTIONS(7191),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCref] = ACTIONS(7191),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcpageref] = ACTIONS(7191),
    [anon_sym_BSLASHCpageref] = ACTIONS(7191),
    [anon_sym_BSLASHnamecref] = ACTIONS(7191),
    [anon_sym_BSLASHnameCref] = ACTIONS(7191),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7191),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7191),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7191),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7191),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7191),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7191),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7191),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7191),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7191),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7191),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7191),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHdef] = ACTIONS(7191),
    [anon_sym_BSLASHgdef] = ACTIONS(7191),
    [anon_sym_BSLASHedef] = ACTIONS(7191),
    [anon_sym_BSLASHxdef] = ACTIONS(7191),
    [anon_sym_BSLASHlet] = ACTIONS(7191),
    [anon_sym_BSLASHglet] = ACTIONS(7191),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7191),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7191),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7191),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7191),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7191),
    [anon_sym_BSLASHgls] = ACTIONS(7191),
    [anon_sym_BSLASHGls] = ACTIONS(7191),
    [anon_sym_BSLASHGLS] = ACTIONS(7191),
    [anon_sym_BSLASHglspl] = ACTIONS(7191),
    [anon_sym_BSLASHGlspl] = ACTIONS(7191),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7191),
    [anon_sym_BSLASHglslink] = ACTIONS(7191),
    [anon_sym_BSLASHglstext] = ACTIONS(7191),
    [anon_sym_BSLASHGlstext] = ACTIONS(7191),
    [anon_sym_BSLASHGLStext] = ACTIONS(7191),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7191),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7191),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7191),
    [anon_sym_BSLASHglsplural] = ACTIONS(7191),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7191),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7191),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHglsname] = ACTIONS(7191),
    [anon_sym_BSLASHGlsname] = ACTIONS(7191),
    [anon_sym_BSLASHGLSname] = ACTIONS(7191),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7191),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7191),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7191),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7191),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7191),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7191),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7191),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7191),
    [anon_sym_BSLASHacrshort] = ACTIONS(7191),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7191),
    [anon_sym_BSLASHACRshort] = ACTIONS(7191),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHacrlong] = ACTIONS(7191),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7191),
    [anon_sym_BSLASHACRlong] = ACTIONS(7191),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHacrfull] = ACTIONS(7191),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7191),
    [anon_sym_BSLASHACRfull] = ACTIONS(7191),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHacs] = ACTIONS(7191),
    [anon_sym_BSLASHAcs] = ACTIONS(7191),
    [anon_sym_BSLASHacsp] = ACTIONS(7191),
    [anon_sym_BSLASHAcsp] = ACTIONS(7191),
    [anon_sym_BSLASHacl] = ACTIONS(7191),
    [anon_sym_BSLASHAcl] = ACTIONS(7191),
    [anon_sym_BSLASHaclp] = ACTIONS(7191),
    [anon_sym_BSLASHAclp] = ACTIONS(7191),
    [anon_sym_BSLASHacf] = ACTIONS(7191),
    [anon_sym_BSLASHAcf] = ACTIONS(7191),
    [anon_sym_BSLASHacfp] = ACTIONS(7191),
    [anon_sym_BSLASHAcfp] = ACTIONS(7191),
    [anon_sym_BSLASHac] = ACTIONS(7191),
    [anon_sym_BSLASHAc] = ACTIONS(7191),
    [anon_sym_BSLASHacp] = ACTIONS(7191),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7191),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7191),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7191),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7191),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7191),
    [anon_sym_BSLASHcolor] = ACTIONS(7191),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7191),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7191),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7191),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7191),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7191),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7191),
    [anon_sym_BSLASHurl] = ACTIONS(7191),
    [anon_sym_BSLASHhref] = ACTIONS(7191),
  },
  [1267] = {
    [sym_command_name] = ACTIONS(7195),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7195),
    [anon_sym_LBRACK] = ACTIONS(7197),
    [anon_sym_RBRACK] = ACTIONS(7197),
    [anon_sym_COMMA] = ACTIONS(7197),
    [anon_sym_EQ] = ACTIONS(7197),
    [anon_sym_LPAREN] = ACTIONS(7197),
    [anon_sym_RPAREN] = ACTIONS(7197),
    [anon_sym_BSLASHpart] = ACTIONS(7195),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHaddpart] = ACTIONS(7195),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHchapter] = ACTIONS(7195),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHaddchap] = ACTIONS(7195),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHsection] = ACTIONS(7195),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHaddsec] = ACTIONS(7195),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHsubsection] = ACTIONS(7195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7195),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHparagraph] = ACTIONS(7195),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7195),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHitem] = ACTIONS(7195),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7197),
    [anon_sym_LBRACE] = ACTIONS(7197),
    [sym_word] = ACTIONS(7195),
    [sym_placeholder] = ACTIONS(7197),
    [sym_delimiter] = ACTIONS(7197),
    [anon_sym_PLUS] = ACTIONS(7197),
    [anon_sym_DASH] = ACTIONS(7197),
    [anon_sym_STAR] = ACTIONS(7197),
    [anon_sym_SLASH] = ACTIONS(7197),
    [anon_sym_LT] = ACTIONS(7195),
    [anon_sym_GT] = ACTIONS(7195),
    [anon_sym_BANG] = ACTIONS(7195),
    [anon_sym_PIPE] = ACTIONS(7195),
    [anon_sym_COLON] = ACTIONS(7195),
    [anon_sym_SQUOTE] = ACTIONS(7195),
    [anon_sym__] = ACTIONS(7197),
    [anon_sym_CARET] = ACTIONS(7197),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7197),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7197),
    [anon_sym_DOLLAR] = ACTIONS(7195),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7197),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7197),
    [anon_sym_BSLASHleft] = ACTIONS(7195),
    [anon_sym_BSLASHbigl] = ACTIONS(7195),
    [anon_sym_BSLASHBigl] = ACTIONS(7195),
    [anon_sym_BSLASHbiggl] = ACTIONS(7195),
    [anon_sym_BSLASHBiggl] = ACTIONS(7195),
    [anon_sym_BSLASHtext] = ACTIONS(7195),
    [anon_sym_BSLASHintertext] = ACTIONS(7195),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7195),
    [anon_sym_BSLASHbegin] = ACTIONS(7195),
    [anon_sym_BSLASHtitle] = ACTIONS(7195),
    [anon_sym_BSLASHauthor] = ACTIONS(7195),
    [anon_sym_BSLASHusepackage] = ACTIONS(7195),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7195),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7195),
    [anon_sym_BSLASHinclude] = ACTIONS(7195),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7195),
    [anon_sym_BSLASHinput] = ACTIONS(7195),
    [anon_sym_BSLASHsubfile] = ACTIONS(7195),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7195),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7195),
    [anon_sym_BSLASHbibliography] = ACTIONS(7195),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7195),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7195),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7195),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7195),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7195),
    [anon_sym_BSLASHimport] = ACTIONS(7195),
    [anon_sym_BSLASHsubimport] = ACTIONS(7195),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7195),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7195),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7195),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7195),
    [anon_sym_BSLASHcaption] = ACTIONS(7195),
    [anon_sym_BSLASHcite] = ACTIONS(7195),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCite] = ACTIONS(7195),
    [anon_sym_BSLASHnocite] = ACTIONS(7195),
    [anon_sym_BSLASHcitet] = ACTIONS(7195),
    [anon_sym_BSLASHcitep] = ACTIONS(7195),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteA] = ACTIONS(7195),
    [anon_sym_BSLASHciteR] = ACTIONS(7195),
    [anon_sym_BSLASHciteS] = ACTIONS(7195),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7195),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7195),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7195),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7195),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteyear] = ACTIONS(7195),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitedate] = ACTIONS(7195),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteurl] = ACTIONS(7195),
    [anon_sym_BSLASHfullcite] = ACTIONS(7195),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7195),
    [anon_sym_BSLASHcitealt] = ACTIONS(7195),
    [anon_sym_BSLASHcitealp] = ACTIONS(7195),
    [anon_sym_BSLASHcitetext] = ACTIONS(7195),
    [anon_sym_BSLASHparencite] = ACTIONS(7195),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHParencite] = ACTIONS(7195),
    [anon_sym_BSLASHfootcite] = ACTIONS(7195),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7195),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7195),
    [anon_sym_BSLASHtextcite] = ACTIONS(7195),
    [anon_sym_BSLASHTextcite] = ACTIONS(7195),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7195),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7195),
    [anon_sym_BSLASHsupercite] = ACTIONS(7195),
    [anon_sym_BSLASHautocite] = ACTIONS(7195),
    [anon_sym_BSLASHAutocite] = ACTIONS(7195),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHVolcite] = ACTIONS(7195),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHavolcite] = ACTIONS(7195),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHNotecite] = ACTIONS(7195),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHlabel] = ACTIONS(7195),
    [anon_sym_BSLASHref] = ACTIONS(7195),
    [anon_sym_BSLASHeqref] = ACTIONS(7195),
    [anon_sym_BSLASHvref] = ACTIONS(7195),
    [anon_sym_BSLASHVref] = ACTIONS(7195),
    [anon_sym_BSLASHautoref] = ACTIONS(7195),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHpageref] = ACTIONS(7195),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHautopageref] = ACTIONS(7195),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcref] = ACTIONS(7195),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCref] = ACTIONS(7195),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcpageref] = ACTIONS(7195),
    [anon_sym_BSLASHCpageref] = ACTIONS(7195),
    [anon_sym_BSLASHnamecref] = ACTIONS(7195),
    [anon_sym_BSLASHnameCref] = ACTIONS(7195),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7195),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7195),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7195),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7195),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7195),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7195),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7195),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7195),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7195),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7195),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7195),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHdef] = ACTIONS(7195),
    [anon_sym_BSLASHgdef] = ACTIONS(7195),
    [anon_sym_BSLASHedef] = ACTIONS(7195),
    [anon_sym_BSLASHxdef] = ACTIONS(7195),
    [anon_sym_BSLASHlet] = ACTIONS(7195),
    [anon_sym_BSLASHglet] = ACTIONS(7195),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7195),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7195),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7195),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7195),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7195),
    [anon_sym_BSLASHgls] = ACTIONS(7195),
    [anon_sym_BSLASHGls] = ACTIONS(7195),
    [anon_sym_BSLASHGLS] = ACTIONS(7195),
    [anon_sym_BSLASHglspl] = ACTIONS(7195),
    [anon_sym_BSLASHGlspl] = ACTIONS(7195),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7195),
    [anon_sym_BSLASHglslink] = ACTIONS(7195),
    [anon_sym_BSLASHglstext] = ACTIONS(7195),
    [anon_sym_BSLASHGlstext] = ACTIONS(7195),
    [anon_sym_BSLASHGLStext] = ACTIONS(7195),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7195),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7195),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7195),
    [anon_sym_BSLASHglsplural] = ACTIONS(7195),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7195),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7195),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHglsname] = ACTIONS(7195),
    [anon_sym_BSLASHGlsname] = ACTIONS(7195),
    [anon_sym_BSLASHGLSname] = ACTIONS(7195),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7195),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7195),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7195),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7195),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7195),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7195),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7195),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7195),
    [anon_sym_BSLASHacrshort] = ACTIONS(7195),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7195),
    [anon_sym_BSLASHACRshort] = ACTIONS(7195),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHacrlong] = ACTIONS(7195),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7195),
    [anon_sym_BSLASHACRlong] = ACTIONS(7195),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHacrfull] = ACTIONS(7195),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7195),
    [anon_sym_BSLASHACRfull] = ACTIONS(7195),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHacs] = ACTIONS(7195),
    [anon_sym_BSLASHAcs] = ACTIONS(7195),
    [anon_sym_BSLASHacsp] = ACTIONS(7195),
    [anon_sym_BSLASHAcsp] = ACTIONS(7195),
    [anon_sym_BSLASHacl] = ACTIONS(7195),
    [anon_sym_BSLASHAcl] = ACTIONS(7195),
    [anon_sym_BSLASHaclp] = ACTIONS(7195),
    [anon_sym_BSLASHAclp] = ACTIONS(7195),
    [anon_sym_BSLASHacf] = ACTIONS(7195),
    [anon_sym_BSLASHAcf] = ACTIONS(7195),
    [anon_sym_BSLASHacfp] = ACTIONS(7195),
    [anon_sym_BSLASHAcfp] = ACTIONS(7195),
    [anon_sym_BSLASHac] = ACTIONS(7195),
    [anon_sym_BSLASHAc] = ACTIONS(7195),
    [anon_sym_BSLASHacp] = ACTIONS(7195),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7195),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7195),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7195),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7195),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7195),
    [anon_sym_BSLASHcolor] = ACTIONS(7195),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7195),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7195),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7195),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7195),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7195),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7195),
    [anon_sym_BSLASHurl] = ACTIONS(7195),
    [anon_sym_BSLASHhref] = ACTIONS(7195),
  },
  [1268] = {
    [sym_command_name] = ACTIONS(7467),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7467),
    [anon_sym_LBRACK] = ACTIONS(7469),
    [anon_sym_RBRACK] = ACTIONS(7469),
    [anon_sym_COMMA] = ACTIONS(7469),
    [anon_sym_EQ] = ACTIONS(7469),
    [anon_sym_LPAREN] = ACTIONS(7469),
    [anon_sym_RPAREN] = ACTIONS(7469),
    [anon_sym_BSLASHpart] = ACTIONS(7467),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHaddpart] = ACTIONS(7467),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHchapter] = ACTIONS(7467),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHaddchap] = ACTIONS(7467),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHsection] = ACTIONS(7467),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHaddsec] = ACTIONS(7467),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHsubsection] = ACTIONS(7467),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7467),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHparagraph] = ACTIONS(7467),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7467),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHitem] = ACTIONS(7467),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7469),
    [anon_sym_LBRACE] = ACTIONS(7469),
    [sym_word] = ACTIONS(7467),
    [sym_placeholder] = ACTIONS(7469),
    [sym_delimiter] = ACTIONS(7469),
    [anon_sym_PLUS] = ACTIONS(7469),
    [anon_sym_DASH] = ACTIONS(7469),
    [anon_sym_STAR] = ACTIONS(7469),
    [anon_sym_SLASH] = ACTIONS(7469),
    [anon_sym_LT] = ACTIONS(7467),
    [anon_sym_GT] = ACTIONS(7467),
    [anon_sym_BANG] = ACTIONS(7467),
    [anon_sym_PIPE] = ACTIONS(7467),
    [anon_sym_COLON] = ACTIONS(7467),
    [anon_sym_SQUOTE] = ACTIONS(7467),
    [anon_sym__] = ACTIONS(7469),
    [anon_sym_CARET] = ACTIONS(7469),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7469),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7469),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7469),
    [anon_sym_DOLLAR] = ACTIONS(7467),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7469),
    [anon_sym_BSLASHleft] = ACTIONS(7467),
    [anon_sym_BSLASHbigl] = ACTIONS(7467),
    [anon_sym_BSLASHBigl] = ACTIONS(7467),
    [anon_sym_BSLASHbiggl] = ACTIONS(7467),
    [anon_sym_BSLASHBiggl] = ACTIONS(7467),
    [anon_sym_BSLASHtext] = ACTIONS(7467),
    [anon_sym_BSLASHintertext] = ACTIONS(7467),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7467),
    [anon_sym_BSLASHbegin] = ACTIONS(7467),
    [anon_sym_BSLASHtitle] = ACTIONS(7467),
    [anon_sym_BSLASHauthor] = ACTIONS(7467),
    [anon_sym_BSLASHusepackage] = ACTIONS(7467),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7467),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7467),
    [anon_sym_BSLASHinclude] = ACTIONS(7467),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7467),
    [anon_sym_BSLASHinput] = ACTIONS(7467),
    [anon_sym_BSLASHsubfile] = ACTIONS(7467),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7467),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7467),
    [anon_sym_BSLASHbibliography] = ACTIONS(7467),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7467),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7467),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7467),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7467),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7467),
    [anon_sym_BSLASHimport] = ACTIONS(7467),
    [anon_sym_BSLASHsubimport] = ACTIONS(7467),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7467),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7467),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7467),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7467),
    [anon_sym_BSLASHcaption] = ACTIONS(7467),
    [anon_sym_BSLASHcite] = ACTIONS(7467),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCite] = ACTIONS(7467),
    [anon_sym_BSLASHnocite] = ACTIONS(7467),
    [anon_sym_BSLASHcitet] = ACTIONS(7467),
    [anon_sym_BSLASHcitep] = ACTIONS(7467),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteA] = ACTIONS(7467),
    [anon_sym_BSLASHciteR] = ACTIONS(7467),
    [anon_sym_BSLASHciteS] = ACTIONS(7467),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7467),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7467),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7467),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7467),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteyear] = ACTIONS(7467),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitedate] = ACTIONS(7467),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteurl] = ACTIONS(7467),
    [anon_sym_BSLASHfullcite] = ACTIONS(7467),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7467),
    [anon_sym_BSLASHcitealt] = ACTIONS(7467),
    [anon_sym_BSLASHcitealp] = ACTIONS(7467),
    [anon_sym_BSLASHcitetext] = ACTIONS(7467),
    [anon_sym_BSLASHparencite] = ACTIONS(7467),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHParencite] = ACTIONS(7467),
    [anon_sym_BSLASHfootcite] = ACTIONS(7467),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7467),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7467),
    [anon_sym_BSLASHtextcite] = ACTIONS(7467),
    [anon_sym_BSLASHTextcite] = ACTIONS(7467),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7467),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7467),
    [anon_sym_BSLASHsupercite] = ACTIONS(7467),
    [anon_sym_BSLASHautocite] = ACTIONS(7467),
    [anon_sym_BSLASHAutocite] = ACTIONS(7467),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHVolcite] = ACTIONS(7467),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHavolcite] = ACTIONS(7467),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHNotecite] = ACTIONS(7467),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHlabel] = ACTIONS(7467),
    [anon_sym_BSLASHref] = ACTIONS(7467),
    [anon_sym_BSLASHeqref] = ACTIONS(7467),
    [anon_sym_BSLASHvref] = ACTIONS(7467),
    [anon_sym_BSLASHVref] = ACTIONS(7467),
    [anon_sym_BSLASHautoref] = ACTIONS(7467),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHpageref] = ACTIONS(7467),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHautopageref] = ACTIONS(7467),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcref] = ACTIONS(7467),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCref] = ACTIONS(7467),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcpageref] = ACTIONS(7467),
    [anon_sym_BSLASHCpageref] = ACTIONS(7467),
    [anon_sym_BSLASHnamecref] = ACTIONS(7467),
    [anon_sym_BSLASHnameCref] = ACTIONS(7467),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7467),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7467),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7467),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7467),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7467),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7467),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7467),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7467),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7467),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7467),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7467),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHdef] = ACTIONS(7467),
    [anon_sym_BSLASHgdef] = ACTIONS(7467),
    [anon_sym_BSLASHedef] = ACTIONS(7467),
    [anon_sym_BSLASHxdef] = ACTIONS(7467),
    [anon_sym_BSLASHlet] = ACTIONS(7467),
    [anon_sym_BSLASHglet] = ACTIONS(7467),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7467),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7467),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7467),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7467),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7467),
    [anon_sym_BSLASHgls] = ACTIONS(7467),
    [anon_sym_BSLASHGls] = ACTIONS(7467),
    [anon_sym_BSLASHGLS] = ACTIONS(7467),
    [anon_sym_BSLASHglspl] = ACTIONS(7467),
    [anon_sym_BSLASHGlspl] = ACTIONS(7467),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7467),
    [anon_sym_BSLASHglslink] = ACTIONS(7467),
    [anon_sym_BSLASHglstext] = ACTIONS(7467),
    [anon_sym_BSLASHGlstext] = ACTIONS(7467),
    [anon_sym_BSLASHGLStext] = ACTIONS(7467),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7467),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7467),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7467),
    [anon_sym_BSLASHglsplural] = ACTIONS(7467),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7467),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7467),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHglsname] = ACTIONS(7467),
    [anon_sym_BSLASHGlsname] = ACTIONS(7467),
    [anon_sym_BSLASHGLSname] = ACTIONS(7467),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7467),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7467),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7467),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7467),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7467),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7467),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7467),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7467),
    [anon_sym_BSLASHacrshort] = ACTIONS(7467),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7467),
    [anon_sym_BSLASHACRshort] = ACTIONS(7467),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHacrlong] = ACTIONS(7467),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7467),
    [anon_sym_BSLASHACRlong] = ACTIONS(7467),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHacrfull] = ACTIONS(7467),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7467),
    [anon_sym_BSLASHACRfull] = ACTIONS(7467),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHacs] = ACTIONS(7467),
    [anon_sym_BSLASHAcs] = ACTIONS(7467),
    [anon_sym_BSLASHacsp] = ACTIONS(7467),
    [anon_sym_BSLASHAcsp] = ACTIONS(7467),
    [anon_sym_BSLASHacl] = ACTIONS(7467),
    [anon_sym_BSLASHAcl] = ACTIONS(7467),
    [anon_sym_BSLASHaclp] = ACTIONS(7467),
    [anon_sym_BSLASHAclp] = ACTIONS(7467),
    [anon_sym_BSLASHacf] = ACTIONS(7467),
    [anon_sym_BSLASHAcf] = ACTIONS(7467),
    [anon_sym_BSLASHacfp] = ACTIONS(7467),
    [anon_sym_BSLASHAcfp] = ACTIONS(7467),
    [anon_sym_BSLASHac] = ACTIONS(7467),
    [anon_sym_BSLASHAc] = ACTIONS(7467),
    [anon_sym_BSLASHacp] = ACTIONS(7467),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7467),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7467),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7467),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7467),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7467),
    [anon_sym_BSLASHcolor] = ACTIONS(7467),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7467),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7467),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7467),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7467),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7467),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7467),
    [anon_sym_BSLASHurl] = ACTIONS(7467),
    [anon_sym_BSLASHhref] = ACTIONS(7467),
  },
  [1269] = {
    [sym_command_name] = ACTIONS(7187),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7187),
    [anon_sym_LBRACK] = ACTIONS(7189),
    [anon_sym_RBRACK] = ACTIONS(7189),
    [anon_sym_COMMA] = ACTIONS(7189),
    [anon_sym_EQ] = ACTIONS(7189),
    [anon_sym_LPAREN] = ACTIONS(7189),
    [anon_sym_RPAREN] = ACTIONS(7189),
    [anon_sym_BSLASHpart] = ACTIONS(7187),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHaddpart] = ACTIONS(7187),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHchapter] = ACTIONS(7187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHaddchap] = ACTIONS(7187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHsection] = ACTIONS(7187),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHaddsec] = ACTIONS(7187),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHsubsection] = ACTIONS(7187),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7187),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHparagraph] = ACTIONS(7187),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7187),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHitem] = ACTIONS(7187),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7189),
    [anon_sym_LBRACE] = ACTIONS(7189),
    [sym_word] = ACTIONS(7187),
    [sym_placeholder] = ACTIONS(7189),
    [sym_delimiter] = ACTIONS(7189),
    [anon_sym_PLUS] = ACTIONS(7189),
    [anon_sym_DASH] = ACTIONS(7189),
    [anon_sym_STAR] = ACTIONS(7189),
    [anon_sym_SLASH] = ACTIONS(7189),
    [anon_sym_LT] = ACTIONS(7187),
    [anon_sym_GT] = ACTIONS(7187),
    [anon_sym_BANG] = ACTIONS(7187),
    [anon_sym_PIPE] = ACTIONS(7187),
    [anon_sym_COLON] = ACTIONS(7187),
    [anon_sym_SQUOTE] = ACTIONS(7187),
    [anon_sym__] = ACTIONS(7189),
    [anon_sym_CARET] = ACTIONS(7189),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7189),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7189),
    [anon_sym_DOLLAR] = ACTIONS(7187),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7189),
    [anon_sym_BSLASHleft] = ACTIONS(7187),
    [anon_sym_BSLASHbigl] = ACTIONS(7187),
    [anon_sym_BSLASHBigl] = ACTIONS(7187),
    [anon_sym_BSLASHbiggl] = ACTIONS(7187),
    [anon_sym_BSLASHBiggl] = ACTIONS(7187),
    [anon_sym_BSLASHtext] = ACTIONS(7187),
    [anon_sym_BSLASHintertext] = ACTIONS(7187),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7187),
    [anon_sym_BSLASHbegin] = ACTIONS(7187),
    [anon_sym_BSLASHend] = ACTIONS(7187),
    [anon_sym_BSLASHtitle] = ACTIONS(7187),
    [anon_sym_BSLASHauthor] = ACTIONS(7187),
    [anon_sym_BSLASHusepackage] = ACTIONS(7187),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7187),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7187),
    [anon_sym_BSLASHinclude] = ACTIONS(7187),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7187),
    [anon_sym_BSLASHinput] = ACTIONS(7187),
    [anon_sym_BSLASHsubfile] = ACTIONS(7187),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7187),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7187),
    [anon_sym_BSLASHbibliography] = ACTIONS(7187),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7187),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7187),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7187),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7187),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7187),
    [anon_sym_BSLASHimport] = ACTIONS(7187),
    [anon_sym_BSLASHsubimport] = ACTIONS(7187),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7187),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7187),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7187),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7187),
    [anon_sym_BSLASHcaption] = ACTIONS(7187),
    [anon_sym_BSLASHcite] = ACTIONS(7187),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCite] = ACTIONS(7187),
    [anon_sym_BSLASHnocite] = ACTIONS(7187),
    [anon_sym_BSLASHcitet] = ACTIONS(7187),
    [anon_sym_BSLASHcitep] = ACTIONS(7187),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteA] = ACTIONS(7187),
    [anon_sym_BSLASHciteR] = ACTIONS(7187),
    [anon_sym_BSLASHciteS] = ACTIONS(7187),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7187),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7187),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7187),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7187),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteyear] = ACTIONS(7187),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitedate] = ACTIONS(7187),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteurl] = ACTIONS(7187),
    [anon_sym_BSLASHfullcite] = ACTIONS(7187),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7187),
    [anon_sym_BSLASHcitealt] = ACTIONS(7187),
    [anon_sym_BSLASHcitealp] = ACTIONS(7187),
    [anon_sym_BSLASHcitetext] = ACTIONS(7187),
    [anon_sym_BSLASHparencite] = ACTIONS(7187),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHParencite] = ACTIONS(7187),
    [anon_sym_BSLASHfootcite] = ACTIONS(7187),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7187),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7187),
    [anon_sym_BSLASHtextcite] = ACTIONS(7187),
    [anon_sym_BSLASHTextcite] = ACTIONS(7187),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7187),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7187),
    [anon_sym_BSLASHsupercite] = ACTIONS(7187),
    [anon_sym_BSLASHautocite] = ACTIONS(7187),
    [anon_sym_BSLASHAutocite] = ACTIONS(7187),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHVolcite] = ACTIONS(7187),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHavolcite] = ACTIONS(7187),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHNotecite] = ACTIONS(7187),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHlabel] = ACTIONS(7187),
    [anon_sym_BSLASHref] = ACTIONS(7187),
    [anon_sym_BSLASHeqref] = ACTIONS(7187),
    [anon_sym_BSLASHvref] = ACTIONS(7187),
    [anon_sym_BSLASHVref] = ACTIONS(7187),
    [anon_sym_BSLASHautoref] = ACTIONS(7187),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHpageref] = ACTIONS(7187),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHautopageref] = ACTIONS(7187),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcref] = ACTIONS(7187),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCref] = ACTIONS(7187),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcpageref] = ACTIONS(7187),
    [anon_sym_BSLASHCpageref] = ACTIONS(7187),
    [anon_sym_BSLASHnamecref] = ACTIONS(7187),
    [anon_sym_BSLASHnameCref] = ACTIONS(7187),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7187),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7187),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7187),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7187),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7187),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7187),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7187),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7187),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7187),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7187),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7187),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHdef] = ACTIONS(7187),
    [anon_sym_BSLASHgdef] = ACTIONS(7187),
    [anon_sym_BSLASHedef] = ACTIONS(7187),
    [anon_sym_BSLASHxdef] = ACTIONS(7187),
    [anon_sym_BSLASHlet] = ACTIONS(7187),
    [anon_sym_BSLASHglet] = ACTIONS(7187),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7187),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7187),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7187),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7187),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7187),
    [anon_sym_BSLASHgls] = ACTIONS(7187),
    [anon_sym_BSLASHGls] = ACTIONS(7187),
    [anon_sym_BSLASHGLS] = ACTIONS(7187),
    [anon_sym_BSLASHglspl] = ACTIONS(7187),
    [anon_sym_BSLASHGlspl] = ACTIONS(7187),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7187),
    [anon_sym_BSLASHglslink] = ACTIONS(7187),
    [anon_sym_BSLASHglstext] = ACTIONS(7187),
    [anon_sym_BSLASHGlstext] = ACTIONS(7187),
    [anon_sym_BSLASHGLStext] = ACTIONS(7187),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7187),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7187),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7187),
    [anon_sym_BSLASHglsplural] = ACTIONS(7187),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7187),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7187),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHglsname] = ACTIONS(7187),
    [anon_sym_BSLASHGlsname] = ACTIONS(7187),
    [anon_sym_BSLASHGLSname] = ACTIONS(7187),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7187),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7187),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7187),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7187),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7187),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7187),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7187),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7187),
    [anon_sym_BSLASHacrshort] = ACTIONS(7187),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7187),
    [anon_sym_BSLASHACRshort] = ACTIONS(7187),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHacrlong] = ACTIONS(7187),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7187),
    [anon_sym_BSLASHACRlong] = ACTIONS(7187),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHacrfull] = ACTIONS(7187),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7187),
    [anon_sym_BSLASHACRfull] = ACTIONS(7187),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHacs] = ACTIONS(7187),
    [anon_sym_BSLASHAcs] = ACTIONS(7187),
    [anon_sym_BSLASHacsp] = ACTIONS(7187),
    [anon_sym_BSLASHAcsp] = ACTIONS(7187),
    [anon_sym_BSLASHacl] = ACTIONS(7187),
    [anon_sym_BSLASHAcl] = ACTIONS(7187),
    [anon_sym_BSLASHaclp] = ACTIONS(7187),
    [anon_sym_BSLASHAclp] = ACTIONS(7187),
    [anon_sym_BSLASHacf] = ACTIONS(7187),
    [anon_sym_BSLASHAcf] = ACTIONS(7187),
    [anon_sym_BSLASHacfp] = ACTIONS(7187),
    [anon_sym_BSLASHAcfp] = ACTIONS(7187),
    [anon_sym_BSLASHac] = ACTIONS(7187),
    [anon_sym_BSLASHAc] = ACTIONS(7187),
    [anon_sym_BSLASHacp] = ACTIONS(7187),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7187),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7187),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7187),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7187),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7187),
    [anon_sym_BSLASHcolor] = ACTIONS(7187),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7187),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7187),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7187),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7187),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7187),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7187),
    [anon_sym_BSLASHurl] = ACTIONS(7187),
    [anon_sym_BSLASHhref] = ACTIONS(7187),
  },
  [1270] = {
    [sym_command_name] = ACTIONS(7471),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7471),
    [anon_sym_LBRACK] = ACTIONS(7473),
    [anon_sym_RBRACK] = ACTIONS(7473),
    [anon_sym_COMMA] = ACTIONS(7473),
    [anon_sym_EQ] = ACTIONS(7473),
    [anon_sym_LPAREN] = ACTIONS(7473),
    [anon_sym_RPAREN] = ACTIONS(7473),
    [anon_sym_BSLASHpart] = ACTIONS(7471),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHaddpart] = ACTIONS(7471),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHchapter] = ACTIONS(7471),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHaddchap] = ACTIONS(7471),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHsection] = ACTIONS(7471),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHaddsec] = ACTIONS(7471),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHsubsection] = ACTIONS(7471),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7471),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHparagraph] = ACTIONS(7471),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7471),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHitem] = ACTIONS(7471),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7473),
    [anon_sym_LBRACE] = ACTIONS(7473),
    [sym_word] = ACTIONS(7471),
    [sym_placeholder] = ACTIONS(7473),
    [sym_delimiter] = ACTIONS(7473),
    [anon_sym_PLUS] = ACTIONS(7473),
    [anon_sym_DASH] = ACTIONS(7473),
    [anon_sym_STAR] = ACTIONS(7473),
    [anon_sym_SLASH] = ACTIONS(7473),
    [anon_sym_LT] = ACTIONS(7471),
    [anon_sym_GT] = ACTIONS(7471),
    [anon_sym_BANG] = ACTIONS(7471),
    [anon_sym_PIPE] = ACTIONS(7471),
    [anon_sym_COLON] = ACTIONS(7471),
    [anon_sym_SQUOTE] = ACTIONS(7471),
    [anon_sym__] = ACTIONS(7473),
    [anon_sym_CARET] = ACTIONS(7473),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7473),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7473),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7473),
    [anon_sym_DOLLAR] = ACTIONS(7471),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7473),
    [anon_sym_BSLASHleft] = ACTIONS(7471),
    [anon_sym_BSLASHbigl] = ACTIONS(7471),
    [anon_sym_BSLASHBigl] = ACTIONS(7471),
    [anon_sym_BSLASHbiggl] = ACTIONS(7471),
    [anon_sym_BSLASHBiggl] = ACTIONS(7471),
    [anon_sym_BSLASHtext] = ACTIONS(7471),
    [anon_sym_BSLASHintertext] = ACTIONS(7471),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7471),
    [anon_sym_BSLASHbegin] = ACTIONS(7471),
    [anon_sym_BSLASHtitle] = ACTIONS(7471),
    [anon_sym_BSLASHauthor] = ACTIONS(7471),
    [anon_sym_BSLASHusepackage] = ACTIONS(7471),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7471),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7471),
    [anon_sym_BSLASHinclude] = ACTIONS(7471),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7471),
    [anon_sym_BSLASHinput] = ACTIONS(7471),
    [anon_sym_BSLASHsubfile] = ACTIONS(7471),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7471),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7471),
    [anon_sym_BSLASHbibliography] = ACTIONS(7471),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7471),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7471),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7471),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7471),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7471),
    [anon_sym_BSLASHimport] = ACTIONS(7471),
    [anon_sym_BSLASHsubimport] = ACTIONS(7471),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7471),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7471),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7471),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7471),
    [anon_sym_BSLASHcaption] = ACTIONS(7471),
    [anon_sym_BSLASHcite] = ACTIONS(7471),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCite] = ACTIONS(7471),
    [anon_sym_BSLASHnocite] = ACTIONS(7471),
    [anon_sym_BSLASHcitet] = ACTIONS(7471),
    [anon_sym_BSLASHcitep] = ACTIONS(7471),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteA] = ACTIONS(7471),
    [anon_sym_BSLASHciteR] = ACTIONS(7471),
    [anon_sym_BSLASHciteS] = ACTIONS(7471),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7471),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7471),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7471),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7471),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteyear] = ACTIONS(7471),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitedate] = ACTIONS(7471),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteurl] = ACTIONS(7471),
    [anon_sym_BSLASHfullcite] = ACTIONS(7471),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7471),
    [anon_sym_BSLASHcitealt] = ACTIONS(7471),
    [anon_sym_BSLASHcitealp] = ACTIONS(7471),
    [anon_sym_BSLASHcitetext] = ACTIONS(7471),
    [anon_sym_BSLASHparencite] = ACTIONS(7471),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHParencite] = ACTIONS(7471),
    [anon_sym_BSLASHfootcite] = ACTIONS(7471),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7471),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7471),
    [anon_sym_BSLASHtextcite] = ACTIONS(7471),
    [anon_sym_BSLASHTextcite] = ACTIONS(7471),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7471),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7471),
    [anon_sym_BSLASHsupercite] = ACTIONS(7471),
    [anon_sym_BSLASHautocite] = ACTIONS(7471),
    [anon_sym_BSLASHAutocite] = ACTIONS(7471),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHVolcite] = ACTIONS(7471),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHavolcite] = ACTIONS(7471),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHNotecite] = ACTIONS(7471),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHlabel] = ACTIONS(7471),
    [anon_sym_BSLASHref] = ACTIONS(7471),
    [anon_sym_BSLASHeqref] = ACTIONS(7471),
    [anon_sym_BSLASHvref] = ACTIONS(7471),
    [anon_sym_BSLASHVref] = ACTIONS(7471),
    [anon_sym_BSLASHautoref] = ACTIONS(7471),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHpageref] = ACTIONS(7471),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHautopageref] = ACTIONS(7471),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcref] = ACTIONS(7471),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCref] = ACTIONS(7471),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcpageref] = ACTIONS(7471),
    [anon_sym_BSLASHCpageref] = ACTIONS(7471),
    [anon_sym_BSLASHnamecref] = ACTIONS(7471),
    [anon_sym_BSLASHnameCref] = ACTIONS(7471),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7471),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7471),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7471),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7471),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7471),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7471),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7471),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7471),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7471),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7471),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7471),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHdef] = ACTIONS(7471),
    [anon_sym_BSLASHgdef] = ACTIONS(7471),
    [anon_sym_BSLASHedef] = ACTIONS(7471),
    [anon_sym_BSLASHxdef] = ACTIONS(7471),
    [anon_sym_BSLASHlet] = ACTIONS(7471),
    [anon_sym_BSLASHglet] = ACTIONS(7471),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7471),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7471),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7471),
    [anon_sym_BSLASHgls] = ACTIONS(7471),
    [anon_sym_BSLASHGls] = ACTIONS(7471),
    [anon_sym_BSLASHGLS] = ACTIONS(7471),
    [anon_sym_BSLASHglspl] = ACTIONS(7471),
    [anon_sym_BSLASHGlspl] = ACTIONS(7471),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7471),
    [anon_sym_BSLASHglslink] = ACTIONS(7471),
    [anon_sym_BSLASHglstext] = ACTIONS(7471),
    [anon_sym_BSLASHGlstext] = ACTIONS(7471),
    [anon_sym_BSLASHGLStext] = ACTIONS(7471),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7471),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7471),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7471),
    [anon_sym_BSLASHglsplural] = ACTIONS(7471),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7471),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7471),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHglsname] = ACTIONS(7471),
    [anon_sym_BSLASHGlsname] = ACTIONS(7471),
    [anon_sym_BSLASHGLSname] = ACTIONS(7471),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7471),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7471),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7471),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7471),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7471),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7471),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7471),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7471),
    [anon_sym_BSLASHacrshort] = ACTIONS(7471),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7471),
    [anon_sym_BSLASHACRshort] = ACTIONS(7471),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHacrlong] = ACTIONS(7471),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7471),
    [anon_sym_BSLASHACRlong] = ACTIONS(7471),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHacrfull] = ACTIONS(7471),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7471),
    [anon_sym_BSLASHACRfull] = ACTIONS(7471),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHacs] = ACTIONS(7471),
    [anon_sym_BSLASHAcs] = ACTIONS(7471),
    [anon_sym_BSLASHacsp] = ACTIONS(7471),
    [anon_sym_BSLASHAcsp] = ACTIONS(7471),
    [anon_sym_BSLASHacl] = ACTIONS(7471),
    [anon_sym_BSLASHAcl] = ACTIONS(7471),
    [anon_sym_BSLASHaclp] = ACTIONS(7471),
    [anon_sym_BSLASHAclp] = ACTIONS(7471),
    [anon_sym_BSLASHacf] = ACTIONS(7471),
    [anon_sym_BSLASHAcf] = ACTIONS(7471),
    [anon_sym_BSLASHacfp] = ACTIONS(7471),
    [anon_sym_BSLASHAcfp] = ACTIONS(7471),
    [anon_sym_BSLASHac] = ACTIONS(7471),
    [anon_sym_BSLASHAc] = ACTIONS(7471),
    [anon_sym_BSLASHacp] = ACTIONS(7471),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7471),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7471),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7471),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7471),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7471),
    [anon_sym_BSLASHcolor] = ACTIONS(7471),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7471),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7471),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7471),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7471),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7471),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7471),
    [anon_sym_BSLASHurl] = ACTIONS(7471),
    [anon_sym_BSLASHhref] = ACTIONS(7471),
  },
  [1271] = {
    [sym_command_name] = ACTIONS(7475),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7475),
    [anon_sym_LBRACK] = ACTIONS(7477),
    [anon_sym_RBRACK] = ACTIONS(7477),
    [anon_sym_COMMA] = ACTIONS(7477),
    [anon_sym_EQ] = ACTIONS(7477),
    [anon_sym_LPAREN] = ACTIONS(7477),
    [anon_sym_RPAREN] = ACTIONS(7477),
    [anon_sym_BSLASHpart] = ACTIONS(7475),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHaddpart] = ACTIONS(7475),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHchapter] = ACTIONS(7475),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHaddchap] = ACTIONS(7475),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHsection] = ACTIONS(7475),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHaddsec] = ACTIONS(7475),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHsubsection] = ACTIONS(7475),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7475),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHparagraph] = ACTIONS(7475),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7475),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHitem] = ACTIONS(7475),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7477),
    [anon_sym_LBRACE] = ACTIONS(7477),
    [sym_word] = ACTIONS(7475),
    [sym_placeholder] = ACTIONS(7477),
    [sym_delimiter] = ACTIONS(7477),
    [anon_sym_PLUS] = ACTIONS(7477),
    [anon_sym_DASH] = ACTIONS(7477),
    [anon_sym_STAR] = ACTIONS(7477),
    [anon_sym_SLASH] = ACTIONS(7477),
    [anon_sym_LT] = ACTIONS(7475),
    [anon_sym_GT] = ACTIONS(7475),
    [anon_sym_BANG] = ACTIONS(7475),
    [anon_sym_PIPE] = ACTIONS(7475),
    [anon_sym_COLON] = ACTIONS(7475),
    [anon_sym_SQUOTE] = ACTIONS(7475),
    [anon_sym__] = ACTIONS(7477),
    [anon_sym_CARET] = ACTIONS(7477),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7477),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7477),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7477),
    [anon_sym_DOLLAR] = ACTIONS(7475),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7477),
    [anon_sym_BSLASHleft] = ACTIONS(7475),
    [anon_sym_BSLASHbigl] = ACTIONS(7475),
    [anon_sym_BSLASHBigl] = ACTIONS(7475),
    [anon_sym_BSLASHbiggl] = ACTIONS(7475),
    [anon_sym_BSLASHBiggl] = ACTIONS(7475),
    [anon_sym_BSLASHtext] = ACTIONS(7475),
    [anon_sym_BSLASHintertext] = ACTIONS(7475),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7475),
    [anon_sym_BSLASHbegin] = ACTIONS(7475),
    [anon_sym_BSLASHtitle] = ACTIONS(7475),
    [anon_sym_BSLASHauthor] = ACTIONS(7475),
    [anon_sym_BSLASHusepackage] = ACTIONS(7475),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7475),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7475),
    [anon_sym_BSLASHinclude] = ACTIONS(7475),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7475),
    [anon_sym_BSLASHinput] = ACTIONS(7475),
    [anon_sym_BSLASHsubfile] = ACTIONS(7475),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7475),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7475),
    [anon_sym_BSLASHbibliography] = ACTIONS(7475),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7475),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7475),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7475),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7475),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7475),
    [anon_sym_BSLASHimport] = ACTIONS(7475),
    [anon_sym_BSLASHsubimport] = ACTIONS(7475),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7475),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7475),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7475),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7475),
    [anon_sym_BSLASHcaption] = ACTIONS(7475),
    [anon_sym_BSLASHcite] = ACTIONS(7475),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCite] = ACTIONS(7475),
    [anon_sym_BSLASHnocite] = ACTIONS(7475),
    [anon_sym_BSLASHcitet] = ACTIONS(7475),
    [anon_sym_BSLASHcitep] = ACTIONS(7475),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteA] = ACTIONS(7475),
    [anon_sym_BSLASHciteR] = ACTIONS(7475),
    [anon_sym_BSLASHciteS] = ACTIONS(7475),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7475),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7475),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7475),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7475),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteyear] = ACTIONS(7475),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitedate] = ACTIONS(7475),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteurl] = ACTIONS(7475),
    [anon_sym_BSLASHfullcite] = ACTIONS(7475),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7475),
    [anon_sym_BSLASHcitealt] = ACTIONS(7475),
    [anon_sym_BSLASHcitealp] = ACTIONS(7475),
    [anon_sym_BSLASHcitetext] = ACTIONS(7475),
    [anon_sym_BSLASHparencite] = ACTIONS(7475),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHParencite] = ACTIONS(7475),
    [anon_sym_BSLASHfootcite] = ACTIONS(7475),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7475),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7475),
    [anon_sym_BSLASHtextcite] = ACTIONS(7475),
    [anon_sym_BSLASHTextcite] = ACTIONS(7475),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7475),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7475),
    [anon_sym_BSLASHsupercite] = ACTIONS(7475),
    [anon_sym_BSLASHautocite] = ACTIONS(7475),
    [anon_sym_BSLASHAutocite] = ACTIONS(7475),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHVolcite] = ACTIONS(7475),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHavolcite] = ACTIONS(7475),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHNotecite] = ACTIONS(7475),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHlabel] = ACTIONS(7475),
    [anon_sym_BSLASHref] = ACTIONS(7475),
    [anon_sym_BSLASHeqref] = ACTIONS(7475),
    [anon_sym_BSLASHvref] = ACTIONS(7475),
    [anon_sym_BSLASHVref] = ACTIONS(7475),
    [anon_sym_BSLASHautoref] = ACTIONS(7475),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHpageref] = ACTIONS(7475),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHautopageref] = ACTIONS(7475),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcref] = ACTIONS(7475),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCref] = ACTIONS(7475),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcpageref] = ACTIONS(7475),
    [anon_sym_BSLASHCpageref] = ACTIONS(7475),
    [anon_sym_BSLASHnamecref] = ACTIONS(7475),
    [anon_sym_BSLASHnameCref] = ACTIONS(7475),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7475),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7475),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7475),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7475),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7475),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7475),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7475),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7475),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7475),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7475),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7475),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHdef] = ACTIONS(7475),
    [anon_sym_BSLASHgdef] = ACTIONS(7475),
    [anon_sym_BSLASHedef] = ACTIONS(7475),
    [anon_sym_BSLASHxdef] = ACTIONS(7475),
    [anon_sym_BSLASHlet] = ACTIONS(7475),
    [anon_sym_BSLASHglet] = ACTIONS(7475),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7475),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7475),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7475),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7475),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7475),
    [anon_sym_BSLASHgls] = ACTIONS(7475),
    [anon_sym_BSLASHGls] = ACTIONS(7475),
    [anon_sym_BSLASHGLS] = ACTIONS(7475),
    [anon_sym_BSLASHglspl] = ACTIONS(7475),
    [anon_sym_BSLASHGlspl] = ACTIONS(7475),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7475),
    [anon_sym_BSLASHglslink] = ACTIONS(7475),
    [anon_sym_BSLASHglstext] = ACTIONS(7475),
    [anon_sym_BSLASHGlstext] = ACTIONS(7475),
    [anon_sym_BSLASHGLStext] = ACTIONS(7475),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7475),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7475),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7475),
    [anon_sym_BSLASHglsplural] = ACTIONS(7475),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7475),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7475),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHglsname] = ACTIONS(7475),
    [anon_sym_BSLASHGlsname] = ACTIONS(7475),
    [anon_sym_BSLASHGLSname] = ACTIONS(7475),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7475),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7475),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7475),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7475),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7475),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7475),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7475),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7475),
    [anon_sym_BSLASHacrshort] = ACTIONS(7475),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7475),
    [anon_sym_BSLASHACRshort] = ACTIONS(7475),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHacrlong] = ACTIONS(7475),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7475),
    [anon_sym_BSLASHACRlong] = ACTIONS(7475),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHacrfull] = ACTIONS(7475),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7475),
    [anon_sym_BSLASHACRfull] = ACTIONS(7475),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHacs] = ACTIONS(7475),
    [anon_sym_BSLASHAcs] = ACTIONS(7475),
    [anon_sym_BSLASHacsp] = ACTIONS(7475),
    [anon_sym_BSLASHAcsp] = ACTIONS(7475),
    [anon_sym_BSLASHacl] = ACTIONS(7475),
    [anon_sym_BSLASHAcl] = ACTIONS(7475),
    [anon_sym_BSLASHaclp] = ACTIONS(7475),
    [anon_sym_BSLASHAclp] = ACTIONS(7475),
    [anon_sym_BSLASHacf] = ACTIONS(7475),
    [anon_sym_BSLASHAcf] = ACTIONS(7475),
    [anon_sym_BSLASHacfp] = ACTIONS(7475),
    [anon_sym_BSLASHAcfp] = ACTIONS(7475),
    [anon_sym_BSLASHac] = ACTIONS(7475),
    [anon_sym_BSLASHAc] = ACTIONS(7475),
    [anon_sym_BSLASHacp] = ACTIONS(7475),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7475),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7475),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7475),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7475),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7475),
    [anon_sym_BSLASHcolor] = ACTIONS(7475),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7475),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7475),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7475),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7475),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7475),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7475),
    [anon_sym_BSLASHurl] = ACTIONS(7475),
    [anon_sym_BSLASHhref] = ACTIONS(7475),
  },
  [1272] = {
    [sym_command_name] = ACTIONS(7479),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(7481),
    [anon_sym_RBRACK] = ACTIONS(7481),
    [anon_sym_COMMA] = ACTIONS(7481),
    [anon_sym_EQ] = ACTIONS(7481),
    [anon_sym_LPAREN] = ACTIONS(7481),
    [anon_sym_RPAREN] = ACTIONS(7481),
    [anon_sym_BSLASHpart] = ACTIONS(7479),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHaddpart] = ACTIONS(7479),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHchapter] = ACTIONS(7479),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHaddchap] = ACTIONS(7479),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHsection] = ACTIONS(7479),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHaddsec] = ACTIONS(7479),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHsubsection] = ACTIONS(7479),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7479),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHparagraph] = ACTIONS(7479),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7479),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHitem] = ACTIONS(7479),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7481),
    [anon_sym_LBRACE] = ACTIONS(7481),
    [sym_word] = ACTIONS(7479),
    [sym_placeholder] = ACTIONS(7481),
    [sym_delimiter] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7481),
    [anon_sym_DASH] = ACTIONS(7481),
    [anon_sym_STAR] = ACTIONS(7481),
    [anon_sym_SLASH] = ACTIONS(7481),
    [anon_sym_LT] = ACTIONS(7479),
    [anon_sym_GT] = ACTIONS(7479),
    [anon_sym_BANG] = ACTIONS(7479),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_COLON] = ACTIONS(7479),
    [anon_sym_SQUOTE] = ACTIONS(7479),
    [anon_sym__] = ACTIONS(7481),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7481),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7481),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7481),
    [anon_sym_DOLLAR] = ACTIONS(7479),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7481),
    [anon_sym_BSLASHleft] = ACTIONS(7479),
    [anon_sym_BSLASHbigl] = ACTIONS(7479),
    [anon_sym_BSLASHBigl] = ACTIONS(7479),
    [anon_sym_BSLASHbiggl] = ACTIONS(7479),
    [anon_sym_BSLASHBiggl] = ACTIONS(7479),
    [anon_sym_BSLASHtext] = ACTIONS(7479),
    [anon_sym_BSLASHintertext] = ACTIONS(7479),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7479),
    [anon_sym_BSLASHbegin] = ACTIONS(7479),
    [anon_sym_BSLASHtitle] = ACTIONS(7479),
    [anon_sym_BSLASHauthor] = ACTIONS(7479),
    [anon_sym_BSLASHusepackage] = ACTIONS(7479),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7479),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7479),
    [anon_sym_BSLASHinclude] = ACTIONS(7479),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7479),
    [anon_sym_BSLASHinput] = ACTIONS(7479),
    [anon_sym_BSLASHsubfile] = ACTIONS(7479),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7479),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7479),
    [anon_sym_BSLASHbibliography] = ACTIONS(7479),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7479),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7479),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7479),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7479),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7479),
    [anon_sym_BSLASHimport] = ACTIONS(7479),
    [anon_sym_BSLASHsubimport] = ACTIONS(7479),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7479),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7479),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7479),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7479),
    [anon_sym_BSLASHcaption] = ACTIONS(7479),
    [anon_sym_BSLASHcite] = ACTIONS(7479),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCite] = ACTIONS(7479),
    [anon_sym_BSLASHnocite] = ACTIONS(7479),
    [anon_sym_BSLASHcitet] = ACTIONS(7479),
    [anon_sym_BSLASHcitep] = ACTIONS(7479),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteA] = ACTIONS(7479),
    [anon_sym_BSLASHciteR] = ACTIONS(7479),
    [anon_sym_BSLASHciteS] = ACTIONS(7479),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7479),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7479),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7479),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7479),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteyear] = ACTIONS(7479),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitedate] = ACTIONS(7479),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteurl] = ACTIONS(7479),
    [anon_sym_BSLASHfullcite] = ACTIONS(7479),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7479),
    [anon_sym_BSLASHcitealt] = ACTIONS(7479),
    [anon_sym_BSLASHcitealp] = ACTIONS(7479),
    [anon_sym_BSLASHcitetext] = ACTIONS(7479),
    [anon_sym_BSLASHparencite] = ACTIONS(7479),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHParencite] = ACTIONS(7479),
    [anon_sym_BSLASHfootcite] = ACTIONS(7479),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7479),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7479),
    [anon_sym_BSLASHtextcite] = ACTIONS(7479),
    [anon_sym_BSLASHTextcite] = ACTIONS(7479),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7479),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7479),
    [anon_sym_BSLASHsupercite] = ACTIONS(7479),
    [anon_sym_BSLASHautocite] = ACTIONS(7479),
    [anon_sym_BSLASHAutocite] = ACTIONS(7479),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHVolcite] = ACTIONS(7479),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHavolcite] = ACTIONS(7479),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHNotecite] = ACTIONS(7479),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHlabel] = ACTIONS(7479),
    [anon_sym_BSLASHref] = ACTIONS(7479),
    [anon_sym_BSLASHeqref] = ACTIONS(7479),
    [anon_sym_BSLASHvref] = ACTIONS(7479),
    [anon_sym_BSLASHVref] = ACTIONS(7479),
    [anon_sym_BSLASHautoref] = ACTIONS(7479),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHpageref] = ACTIONS(7479),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHautopageref] = ACTIONS(7479),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcref] = ACTIONS(7479),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCref] = ACTIONS(7479),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcpageref] = ACTIONS(7479),
    [anon_sym_BSLASHCpageref] = ACTIONS(7479),
    [anon_sym_BSLASHnamecref] = ACTIONS(7479),
    [anon_sym_BSLASHnameCref] = ACTIONS(7479),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7479),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7479),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7479),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7479),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7479),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7479),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7479),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7479),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7479),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7479),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7479),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHdef] = ACTIONS(7479),
    [anon_sym_BSLASHgdef] = ACTIONS(7479),
    [anon_sym_BSLASHedef] = ACTIONS(7479),
    [anon_sym_BSLASHxdef] = ACTIONS(7479),
    [anon_sym_BSLASHlet] = ACTIONS(7479),
    [anon_sym_BSLASHglet] = ACTIONS(7479),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7479),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7479),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7479),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7479),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7479),
    [anon_sym_BSLASHgls] = ACTIONS(7479),
    [anon_sym_BSLASHGls] = ACTIONS(7479),
    [anon_sym_BSLASHGLS] = ACTIONS(7479),
    [anon_sym_BSLASHglspl] = ACTIONS(7479),
    [anon_sym_BSLASHGlspl] = ACTIONS(7479),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7479),
    [anon_sym_BSLASHglslink] = ACTIONS(7479),
    [anon_sym_BSLASHglstext] = ACTIONS(7479),
    [anon_sym_BSLASHGlstext] = ACTIONS(7479),
    [anon_sym_BSLASHGLStext] = ACTIONS(7479),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7479),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7479),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7479),
    [anon_sym_BSLASHglsplural] = ACTIONS(7479),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7479),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7479),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHglsname] = ACTIONS(7479),
    [anon_sym_BSLASHGlsname] = ACTIONS(7479),
    [anon_sym_BSLASHGLSname] = ACTIONS(7479),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7479),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7479),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7479),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7479),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7479),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7479),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7479),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7479),
    [anon_sym_BSLASHacrshort] = ACTIONS(7479),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7479),
    [anon_sym_BSLASHACRshort] = ACTIONS(7479),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHacrlong] = ACTIONS(7479),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7479),
    [anon_sym_BSLASHACRlong] = ACTIONS(7479),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHacrfull] = ACTIONS(7479),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7479),
    [anon_sym_BSLASHACRfull] = ACTIONS(7479),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHacs] = ACTIONS(7479),
    [anon_sym_BSLASHAcs] = ACTIONS(7479),
    [anon_sym_BSLASHacsp] = ACTIONS(7479),
    [anon_sym_BSLASHAcsp] = ACTIONS(7479),
    [anon_sym_BSLASHacl] = ACTIONS(7479),
    [anon_sym_BSLASHAcl] = ACTIONS(7479),
    [anon_sym_BSLASHaclp] = ACTIONS(7479),
    [anon_sym_BSLASHAclp] = ACTIONS(7479),
    [anon_sym_BSLASHacf] = ACTIONS(7479),
    [anon_sym_BSLASHAcf] = ACTIONS(7479),
    [anon_sym_BSLASHacfp] = ACTIONS(7479),
    [anon_sym_BSLASHAcfp] = ACTIONS(7479),
    [anon_sym_BSLASHac] = ACTIONS(7479),
    [anon_sym_BSLASHAc] = ACTIONS(7479),
    [anon_sym_BSLASHacp] = ACTIONS(7479),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7479),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7479),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7479),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7479),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7479),
    [anon_sym_BSLASHcolor] = ACTIONS(7479),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7479),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7479),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7479),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7479),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7479),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7479),
    [anon_sym_BSLASHurl] = ACTIONS(7479),
    [anon_sym_BSLASHhref] = ACTIONS(7479),
  },
  [1273] = {
    [sym_command_name] = ACTIONS(7483),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(7485),
    [anon_sym_RBRACK] = ACTIONS(7485),
    [anon_sym_COMMA] = ACTIONS(7485),
    [anon_sym_EQ] = ACTIONS(7485),
    [anon_sym_LPAREN] = ACTIONS(7485),
    [anon_sym_RPAREN] = ACTIONS(7485),
    [anon_sym_BSLASHpart] = ACTIONS(7483),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHaddpart] = ACTIONS(7483),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHchapter] = ACTIONS(7483),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHaddchap] = ACTIONS(7483),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHsection] = ACTIONS(7483),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHaddsec] = ACTIONS(7483),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHsubsection] = ACTIONS(7483),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7483),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHparagraph] = ACTIONS(7483),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7483),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHitem] = ACTIONS(7483),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7485),
    [anon_sym_LBRACE] = ACTIONS(7485),
    [sym_word] = ACTIONS(7483),
    [sym_placeholder] = ACTIONS(7485),
    [sym_delimiter] = ACTIONS(7485),
    [anon_sym_PLUS] = ACTIONS(7485),
    [anon_sym_DASH] = ACTIONS(7485),
    [anon_sym_STAR] = ACTIONS(7485),
    [anon_sym_SLASH] = ACTIONS(7485),
    [anon_sym_LT] = ACTIONS(7483),
    [anon_sym_GT] = ACTIONS(7483),
    [anon_sym_BANG] = ACTIONS(7483),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_COLON] = ACTIONS(7483),
    [anon_sym_SQUOTE] = ACTIONS(7483),
    [anon_sym__] = ACTIONS(7485),
    [anon_sym_CARET] = ACTIONS(7485),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7485),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7485),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7485),
    [anon_sym_DOLLAR] = ACTIONS(7483),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7485),
    [anon_sym_BSLASHleft] = ACTIONS(7483),
    [anon_sym_BSLASHbigl] = ACTIONS(7483),
    [anon_sym_BSLASHBigl] = ACTIONS(7483),
    [anon_sym_BSLASHbiggl] = ACTIONS(7483),
    [anon_sym_BSLASHBiggl] = ACTIONS(7483),
    [anon_sym_BSLASHtext] = ACTIONS(7483),
    [anon_sym_BSLASHintertext] = ACTIONS(7483),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7483),
    [anon_sym_BSLASHbegin] = ACTIONS(7483),
    [anon_sym_BSLASHtitle] = ACTIONS(7483),
    [anon_sym_BSLASHauthor] = ACTIONS(7483),
    [anon_sym_BSLASHusepackage] = ACTIONS(7483),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7483),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7483),
    [anon_sym_BSLASHinclude] = ACTIONS(7483),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7483),
    [anon_sym_BSLASHinput] = ACTIONS(7483),
    [anon_sym_BSLASHsubfile] = ACTIONS(7483),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7483),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7483),
    [anon_sym_BSLASHbibliography] = ACTIONS(7483),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7483),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7483),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7483),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7483),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7483),
    [anon_sym_BSLASHimport] = ACTIONS(7483),
    [anon_sym_BSLASHsubimport] = ACTIONS(7483),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7483),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7483),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7483),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7483),
    [anon_sym_BSLASHcaption] = ACTIONS(7483),
    [anon_sym_BSLASHcite] = ACTIONS(7483),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCite] = ACTIONS(7483),
    [anon_sym_BSLASHnocite] = ACTIONS(7483),
    [anon_sym_BSLASHcitet] = ACTIONS(7483),
    [anon_sym_BSLASHcitep] = ACTIONS(7483),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteA] = ACTIONS(7483),
    [anon_sym_BSLASHciteR] = ACTIONS(7483),
    [anon_sym_BSLASHciteS] = ACTIONS(7483),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7483),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7483),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7483),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7483),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteyear] = ACTIONS(7483),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitedate] = ACTIONS(7483),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteurl] = ACTIONS(7483),
    [anon_sym_BSLASHfullcite] = ACTIONS(7483),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7483),
    [anon_sym_BSLASHcitealt] = ACTIONS(7483),
    [anon_sym_BSLASHcitealp] = ACTIONS(7483),
    [anon_sym_BSLASHcitetext] = ACTIONS(7483),
    [anon_sym_BSLASHparencite] = ACTIONS(7483),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHParencite] = ACTIONS(7483),
    [anon_sym_BSLASHfootcite] = ACTIONS(7483),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7483),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7483),
    [anon_sym_BSLASHtextcite] = ACTIONS(7483),
    [anon_sym_BSLASHTextcite] = ACTIONS(7483),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7483),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7483),
    [anon_sym_BSLASHsupercite] = ACTIONS(7483),
    [anon_sym_BSLASHautocite] = ACTIONS(7483),
    [anon_sym_BSLASHAutocite] = ACTIONS(7483),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHVolcite] = ACTIONS(7483),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHavolcite] = ACTIONS(7483),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHNotecite] = ACTIONS(7483),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHlabel] = ACTIONS(7483),
    [anon_sym_BSLASHref] = ACTIONS(7483),
    [anon_sym_BSLASHeqref] = ACTIONS(7483),
    [anon_sym_BSLASHvref] = ACTIONS(7483),
    [anon_sym_BSLASHVref] = ACTIONS(7483),
    [anon_sym_BSLASHautoref] = ACTIONS(7483),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHpageref] = ACTIONS(7483),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHautopageref] = ACTIONS(7483),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcref] = ACTIONS(7483),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCref] = ACTIONS(7483),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcpageref] = ACTIONS(7483),
    [anon_sym_BSLASHCpageref] = ACTIONS(7483),
    [anon_sym_BSLASHnamecref] = ACTIONS(7483),
    [anon_sym_BSLASHnameCref] = ACTIONS(7483),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7483),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7483),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7483),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7483),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7483),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7483),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7483),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7483),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7483),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7483),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7483),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHdef] = ACTIONS(7483),
    [anon_sym_BSLASHgdef] = ACTIONS(7483),
    [anon_sym_BSLASHedef] = ACTIONS(7483),
    [anon_sym_BSLASHxdef] = ACTIONS(7483),
    [anon_sym_BSLASHlet] = ACTIONS(7483),
    [anon_sym_BSLASHglet] = ACTIONS(7483),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7483),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7483),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7483),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7483),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7483),
    [anon_sym_BSLASHgls] = ACTIONS(7483),
    [anon_sym_BSLASHGls] = ACTIONS(7483),
    [anon_sym_BSLASHGLS] = ACTIONS(7483),
    [anon_sym_BSLASHglspl] = ACTIONS(7483),
    [anon_sym_BSLASHGlspl] = ACTIONS(7483),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7483),
    [anon_sym_BSLASHglslink] = ACTIONS(7483),
    [anon_sym_BSLASHglstext] = ACTIONS(7483),
    [anon_sym_BSLASHGlstext] = ACTIONS(7483),
    [anon_sym_BSLASHGLStext] = ACTIONS(7483),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7483),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7483),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7483),
    [anon_sym_BSLASHglsplural] = ACTIONS(7483),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7483),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7483),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHglsname] = ACTIONS(7483),
    [anon_sym_BSLASHGlsname] = ACTIONS(7483),
    [anon_sym_BSLASHGLSname] = ACTIONS(7483),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7483),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7483),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7483),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7483),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7483),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7483),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7483),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7483),
    [anon_sym_BSLASHacrshort] = ACTIONS(7483),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7483),
    [anon_sym_BSLASHACRshort] = ACTIONS(7483),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHacrlong] = ACTIONS(7483),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7483),
    [anon_sym_BSLASHACRlong] = ACTIONS(7483),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHacrfull] = ACTIONS(7483),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7483),
    [anon_sym_BSLASHACRfull] = ACTIONS(7483),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHacs] = ACTIONS(7483),
    [anon_sym_BSLASHAcs] = ACTIONS(7483),
    [anon_sym_BSLASHacsp] = ACTIONS(7483),
    [anon_sym_BSLASHAcsp] = ACTIONS(7483),
    [anon_sym_BSLASHacl] = ACTIONS(7483),
    [anon_sym_BSLASHAcl] = ACTIONS(7483),
    [anon_sym_BSLASHaclp] = ACTIONS(7483),
    [anon_sym_BSLASHAclp] = ACTIONS(7483),
    [anon_sym_BSLASHacf] = ACTIONS(7483),
    [anon_sym_BSLASHAcf] = ACTIONS(7483),
    [anon_sym_BSLASHacfp] = ACTIONS(7483),
    [anon_sym_BSLASHAcfp] = ACTIONS(7483),
    [anon_sym_BSLASHac] = ACTIONS(7483),
    [anon_sym_BSLASHAc] = ACTIONS(7483),
    [anon_sym_BSLASHacp] = ACTIONS(7483),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7483),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7483),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7483),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7483),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7483),
    [anon_sym_BSLASHcolor] = ACTIONS(7483),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7483),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7483),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7483),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7483),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7483),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7483),
    [anon_sym_BSLASHurl] = ACTIONS(7483),
    [anon_sym_BSLASHhref] = ACTIONS(7483),
  },
  [1274] = {
    [sym_command_name] = ACTIONS(7471),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7471),
    [anon_sym_LBRACK] = ACTIONS(7473),
    [anon_sym_RBRACK] = ACTIONS(7473),
    [anon_sym_COMMA] = ACTIONS(7473),
    [anon_sym_EQ] = ACTIONS(7473),
    [anon_sym_LPAREN] = ACTIONS(7473),
    [anon_sym_RPAREN] = ACTIONS(7473),
    [anon_sym_BSLASHpart] = ACTIONS(7471),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHaddpart] = ACTIONS(7471),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHchapter] = ACTIONS(7471),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHaddchap] = ACTIONS(7471),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHsection] = ACTIONS(7471),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHaddsec] = ACTIONS(7471),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHsubsection] = ACTIONS(7471),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7471),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHparagraph] = ACTIONS(7471),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7471),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHitem] = ACTIONS(7471),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7473),
    [anon_sym_LBRACE] = ACTIONS(7473),
    [sym_word] = ACTIONS(7471),
    [sym_placeholder] = ACTIONS(7473),
    [sym_delimiter] = ACTIONS(7473),
    [anon_sym_PLUS] = ACTIONS(7473),
    [anon_sym_DASH] = ACTIONS(7473),
    [anon_sym_STAR] = ACTIONS(7473),
    [anon_sym_SLASH] = ACTIONS(7473),
    [anon_sym_LT] = ACTIONS(7471),
    [anon_sym_GT] = ACTIONS(7471),
    [anon_sym_BANG] = ACTIONS(7471),
    [anon_sym_PIPE] = ACTIONS(7471),
    [anon_sym_COLON] = ACTIONS(7471),
    [anon_sym_SQUOTE] = ACTIONS(7471),
    [anon_sym__] = ACTIONS(7473),
    [anon_sym_CARET] = ACTIONS(7473),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7473),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7473),
    [anon_sym_DOLLAR] = ACTIONS(7471),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7473),
    [anon_sym_BSLASHleft] = ACTIONS(7471),
    [anon_sym_BSLASHbigl] = ACTIONS(7471),
    [anon_sym_BSLASHBigl] = ACTIONS(7471),
    [anon_sym_BSLASHbiggl] = ACTIONS(7471),
    [anon_sym_BSLASHBiggl] = ACTIONS(7471),
    [anon_sym_BSLASHtext] = ACTIONS(7471),
    [anon_sym_BSLASHintertext] = ACTIONS(7471),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7471),
    [anon_sym_BSLASHbegin] = ACTIONS(7471),
    [anon_sym_BSLASHend] = ACTIONS(7471),
    [anon_sym_BSLASHtitle] = ACTIONS(7471),
    [anon_sym_BSLASHauthor] = ACTIONS(7471),
    [anon_sym_BSLASHusepackage] = ACTIONS(7471),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7471),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7471),
    [anon_sym_BSLASHinclude] = ACTIONS(7471),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7471),
    [anon_sym_BSLASHinput] = ACTIONS(7471),
    [anon_sym_BSLASHsubfile] = ACTIONS(7471),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7471),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7471),
    [anon_sym_BSLASHbibliography] = ACTIONS(7471),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7471),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7471),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7471),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7471),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7471),
    [anon_sym_BSLASHimport] = ACTIONS(7471),
    [anon_sym_BSLASHsubimport] = ACTIONS(7471),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7471),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7471),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7471),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7471),
    [anon_sym_BSLASHcaption] = ACTIONS(7471),
    [anon_sym_BSLASHcite] = ACTIONS(7471),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCite] = ACTIONS(7471),
    [anon_sym_BSLASHnocite] = ACTIONS(7471),
    [anon_sym_BSLASHcitet] = ACTIONS(7471),
    [anon_sym_BSLASHcitep] = ACTIONS(7471),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteA] = ACTIONS(7471),
    [anon_sym_BSLASHciteR] = ACTIONS(7471),
    [anon_sym_BSLASHciteS] = ACTIONS(7471),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7471),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7471),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7471),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7471),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteyear] = ACTIONS(7471),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitedate] = ACTIONS(7471),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteurl] = ACTIONS(7471),
    [anon_sym_BSLASHfullcite] = ACTIONS(7471),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7471),
    [anon_sym_BSLASHcitealt] = ACTIONS(7471),
    [anon_sym_BSLASHcitealp] = ACTIONS(7471),
    [anon_sym_BSLASHcitetext] = ACTIONS(7471),
    [anon_sym_BSLASHparencite] = ACTIONS(7471),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHParencite] = ACTIONS(7471),
    [anon_sym_BSLASHfootcite] = ACTIONS(7471),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7471),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7471),
    [anon_sym_BSLASHtextcite] = ACTIONS(7471),
    [anon_sym_BSLASHTextcite] = ACTIONS(7471),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7471),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7471),
    [anon_sym_BSLASHsupercite] = ACTIONS(7471),
    [anon_sym_BSLASHautocite] = ACTIONS(7471),
    [anon_sym_BSLASHAutocite] = ACTIONS(7471),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHVolcite] = ACTIONS(7471),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHavolcite] = ACTIONS(7471),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHNotecite] = ACTIONS(7471),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHlabel] = ACTIONS(7471),
    [anon_sym_BSLASHref] = ACTIONS(7471),
    [anon_sym_BSLASHeqref] = ACTIONS(7471),
    [anon_sym_BSLASHvref] = ACTIONS(7471),
    [anon_sym_BSLASHVref] = ACTIONS(7471),
    [anon_sym_BSLASHautoref] = ACTIONS(7471),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHpageref] = ACTIONS(7471),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHautopageref] = ACTIONS(7471),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcref] = ACTIONS(7471),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCref] = ACTIONS(7471),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcpageref] = ACTIONS(7471),
    [anon_sym_BSLASHCpageref] = ACTIONS(7471),
    [anon_sym_BSLASHnamecref] = ACTIONS(7471),
    [anon_sym_BSLASHnameCref] = ACTIONS(7471),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7471),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7471),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7471),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7471),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7471),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7471),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7471),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7471),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7471),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7471),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7471),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHdef] = ACTIONS(7471),
    [anon_sym_BSLASHgdef] = ACTIONS(7471),
    [anon_sym_BSLASHedef] = ACTIONS(7471),
    [anon_sym_BSLASHxdef] = ACTIONS(7471),
    [anon_sym_BSLASHlet] = ACTIONS(7471),
    [anon_sym_BSLASHglet] = ACTIONS(7471),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7471),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7471),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7471),
    [anon_sym_BSLASHgls] = ACTIONS(7471),
    [anon_sym_BSLASHGls] = ACTIONS(7471),
    [anon_sym_BSLASHGLS] = ACTIONS(7471),
    [anon_sym_BSLASHglspl] = ACTIONS(7471),
    [anon_sym_BSLASHGlspl] = ACTIONS(7471),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7471),
    [anon_sym_BSLASHglslink] = ACTIONS(7471),
    [anon_sym_BSLASHglstext] = ACTIONS(7471),
    [anon_sym_BSLASHGlstext] = ACTIONS(7471),
    [anon_sym_BSLASHGLStext] = ACTIONS(7471),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7471),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7471),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7471),
    [anon_sym_BSLASHglsplural] = ACTIONS(7471),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7471),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7471),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHglsname] = ACTIONS(7471),
    [anon_sym_BSLASHGlsname] = ACTIONS(7471),
    [anon_sym_BSLASHGLSname] = ACTIONS(7471),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7471),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7471),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7471),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7471),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7471),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7471),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7471),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7471),
    [anon_sym_BSLASHacrshort] = ACTIONS(7471),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7471),
    [anon_sym_BSLASHACRshort] = ACTIONS(7471),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHacrlong] = ACTIONS(7471),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7471),
    [anon_sym_BSLASHACRlong] = ACTIONS(7471),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHacrfull] = ACTIONS(7471),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7471),
    [anon_sym_BSLASHACRfull] = ACTIONS(7471),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHacs] = ACTIONS(7471),
    [anon_sym_BSLASHAcs] = ACTIONS(7471),
    [anon_sym_BSLASHacsp] = ACTIONS(7471),
    [anon_sym_BSLASHAcsp] = ACTIONS(7471),
    [anon_sym_BSLASHacl] = ACTIONS(7471),
    [anon_sym_BSLASHAcl] = ACTIONS(7471),
    [anon_sym_BSLASHaclp] = ACTIONS(7471),
    [anon_sym_BSLASHAclp] = ACTIONS(7471),
    [anon_sym_BSLASHacf] = ACTIONS(7471),
    [anon_sym_BSLASHAcf] = ACTIONS(7471),
    [anon_sym_BSLASHacfp] = ACTIONS(7471),
    [anon_sym_BSLASHAcfp] = ACTIONS(7471),
    [anon_sym_BSLASHac] = ACTIONS(7471),
    [anon_sym_BSLASHAc] = ACTIONS(7471),
    [anon_sym_BSLASHacp] = ACTIONS(7471),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7471),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7471),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7471),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7471),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7471),
    [anon_sym_BSLASHcolor] = ACTIONS(7471),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7471),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7471),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7471),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7471),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7471),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7471),
    [anon_sym_BSLASHurl] = ACTIONS(7471),
    [anon_sym_BSLASHhref] = ACTIONS(7471),
  },
  [1275] = {
    [sym_command_name] = ACTIONS(7475),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7475),
    [anon_sym_LBRACK] = ACTIONS(7477),
    [anon_sym_RBRACK] = ACTIONS(7477),
    [anon_sym_COMMA] = ACTIONS(7477),
    [anon_sym_EQ] = ACTIONS(7477),
    [anon_sym_LPAREN] = ACTIONS(7477),
    [anon_sym_RPAREN] = ACTIONS(7477),
    [anon_sym_BSLASHpart] = ACTIONS(7475),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHaddpart] = ACTIONS(7475),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHchapter] = ACTIONS(7475),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHaddchap] = ACTIONS(7475),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHsection] = ACTIONS(7475),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHaddsec] = ACTIONS(7475),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHsubsection] = ACTIONS(7475),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7475),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHparagraph] = ACTIONS(7475),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7475),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHitem] = ACTIONS(7475),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7477),
    [anon_sym_LBRACE] = ACTIONS(7477),
    [sym_word] = ACTIONS(7475),
    [sym_placeholder] = ACTIONS(7477),
    [sym_delimiter] = ACTIONS(7477),
    [anon_sym_PLUS] = ACTIONS(7477),
    [anon_sym_DASH] = ACTIONS(7477),
    [anon_sym_STAR] = ACTIONS(7477),
    [anon_sym_SLASH] = ACTIONS(7477),
    [anon_sym_LT] = ACTIONS(7475),
    [anon_sym_GT] = ACTIONS(7475),
    [anon_sym_BANG] = ACTIONS(7475),
    [anon_sym_PIPE] = ACTIONS(7475),
    [anon_sym_COLON] = ACTIONS(7475),
    [anon_sym_SQUOTE] = ACTIONS(7475),
    [anon_sym__] = ACTIONS(7477),
    [anon_sym_CARET] = ACTIONS(7477),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7477),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7477),
    [anon_sym_DOLLAR] = ACTIONS(7475),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7477),
    [anon_sym_BSLASHleft] = ACTIONS(7475),
    [anon_sym_BSLASHbigl] = ACTIONS(7475),
    [anon_sym_BSLASHBigl] = ACTIONS(7475),
    [anon_sym_BSLASHbiggl] = ACTIONS(7475),
    [anon_sym_BSLASHBiggl] = ACTIONS(7475),
    [anon_sym_BSLASHtext] = ACTIONS(7475),
    [anon_sym_BSLASHintertext] = ACTIONS(7475),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7475),
    [anon_sym_BSLASHbegin] = ACTIONS(7475),
    [anon_sym_BSLASHend] = ACTIONS(7475),
    [anon_sym_BSLASHtitle] = ACTIONS(7475),
    [anon_sym_BSLASHauthor] = ACTIONS(7475),
    [anon_sym_BSLASHusepackage] = ACTIONS(7475),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7475),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7475),
    [anon_sym_BSLASHinclude] = ACTIONS(7475),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7475),
    [anon_sym_BSLASHinput] = ACTIONS(7475),
    [anon_sym_BSLASHsubfile] = ACTIONS(7475),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7475),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7475),
    [anon_sym_BSLASHbibliography] = ACTIONS(7475),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7475),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7475),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7475),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7475),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7475),
    [anon_sym_BSLASHimport] = ACTIONS(7475),
    [anon_sym_BSLASHsubimport] = ACTIONS(7475),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7475),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7475),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7475),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7475),
    [anon_sym_BSLASHcaption] = ACTIONS(7475),
    [anon_sym_BSLASHcite] = ACTIONS(7475),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCite] = ACTIONS(7475),
    [anon_sym_BSLASHnocite] = ACTIONS(7475),
    [anon_sym_BSLASHcitet] = ACTIONS(7475),
    [anon_sym_BSLASHcitep] = ACTIONS(7475),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteA] = ACTIONS(7475),
    [anon_sym_BSLASHciteR] = ACTIONS(7475),
    [anon_sym_BSLASHciteS] = ACTIONS(7475),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7475),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7475),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7475),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7475),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteyear] = ACTIONS(7475),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitedate] = ACTIONS(7475),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteurl] = ACTIONS(7475),
    [anon_sym_BSLASHfullcite] = ACTIONS(7475),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7475),
    [anon_sym_BSLASHcitealt] = ACTIONS(7475),
    [anon_sym_BSLASHcitealp] = ACTIONS(7475),
    [anon_sym_BSLASHcitetext] = ACTIONS(7475),
    [anon_sym_BSLASHparencite] = ACTIONS(7475),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHParencite] = ACTIONS(7475),
    [anon_sym_BSLASHfootcite] = ACTIONS(7475),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7475),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7475),
    [anon_sym_BSLASHtextcite] = ACTIONS(7475),
    [anon_sym_BSLASHTextcite] = ACTIONS(7475),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7475),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7475),
    [anon_sym_BSLASHsupercite] = ACTIONS(7475),
    [anon_sym_BSLASHautocite] = ACTIONS(7475),
    [anon_sym_BSLASHAutocite] = ACTIONS(7475),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHVolcite] = ACTIONS(7475),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHavolcite] = ACTIONS(7475),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHNotecite] = ACTIONS(7475),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHlabel] = ACTIONS(7475),
    [anon_sym_BSLASHref] = ACTIONS(7475),
    [anon_sym_BSLASHeqref] = ACTIONS(7475),
    [anon_sym_BSLASHvref] = ACTIONS(7475),
    [anon_sym_BSLASHVref] = ACTIONS(7475),
    [anon_sym_BSLASHautoref] = ACTIONS(7475),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHpageref] = ACTIONS(7475),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHautopageref] = ACTIONS(7475),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcref] = ACTIONS(7475),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCref] = ACTIONS(7475),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcpageref] = ACTIONS(7475),
    [anon_sym_BSLASHCpageref] = ACTIONS(7475),
    [anon_sym_BSLASHnamecref] = ACTIONS(7475),
    [anon_sym_BSLASHnameCref] = ACTIONS(7475),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7475),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7475),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7475),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7475),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7475),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7475),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7475),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7475),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7475),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7475),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7475),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHdef] = ACTIONS(7475),
    [anon_sym_BSLASHgdef] = ACTIONS(7475),
    [anon_sym_BSLASHedef] = ACTIONS(7475),
    [anon_sym_BSLASHxdef] = ACTIONS(7475),
    [anon_sym_BSLASHlet] = ACTIONS(7475),
    [anon_sym_BSLASHglet] = ACTIONS(7475),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7475),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7475),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7475),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7475),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7475),
    [anon_sym_BSLASHgls] = ACTIONS(7475),
    [anon_sym_BSLASHGls] = ACTIONS(7475),
    [anon_sym_BSLASHGLS] = ACTIONS(7475),
    [anon_sym_BSLASHglspl] = ACTIONS(7475),
    [anon_sym_BSLASHGlspl] = ACTIONS(7475),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7475),
    [anon_sym_BSLASHglslink] = ACTIONS(7475),
    [anon_sym_BSLASHglstext] = ACTIONS(7475),
    [anon_sym_BSLASHGlstext] = ACTIONS(7475),
    [anon_sym_BSLASHGLStext] = ACTIONS(7475),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7475),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7475),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7475),
    [anon_sym_BSLASHglsplural] = ACTIONS(7475),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7475),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7475),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHglsname] = ACTIONS(7475),
    [anon_sym_BSLASHGlsname] = ACTIONS(7475),
    [anon_sym_BSLASHGLSname] = ACTIONS(7475),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7475),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7475),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7475),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7475),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7475),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7475),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7475),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7475),
    [anon_sym_BSLASHacrshort] = ACTIONS(7475),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7475),
    [anon_sym_BSLASHACRshort] = ACTIONS(7475),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHacrlong] = ACTIONS(7475),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7475),
    [anon_sym_BSLASHACRlong] = ACTIONS(7475),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHacrfull] = ACTIONS(7475),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7475),
    [anon_sym_BSLASHACRfull] = ACTIONS(7475),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHacs] = ACTIONS(7475),
    [anon_sym_BSLASHAcs] = ACTIONS(7475),
    [anon_sym_BSLASHacsp] = ACTIONS(7475),
    [anon_sym_BSLASHAcsp] = ACTIONS(7475),
    [anon_sym_BSLASHacl] = ACTIONS(7475),
    [anon_sym_BSLASHAcl] = ACTIONS(7475),
    [anon_sym_BSLASHaclp] = ACTIONS(7475),
    [anon_sym_BSLASHAclp] = ACTIONS(7475),
    [anon_sym_BSLASHacf] = ACTIONS(7475),
    [anon_sym_BSLASHAcf] = ACTIONS(7475),
    [anon_sym_BSLASHacfp] = ACTIONS(7475),
    [anon_sym_BSLASHAcfp] = ACTIONS(7475),
    [anon_sym_BSLASHac] = ACTIONS(7475),
    [anon_sym_BSLASHAc] = ACTIONS(7475),
    [anon_sym_BSLASHacp] = ACTIONS(7475),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7475),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7475),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7475),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7475),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7475),
    [anon_sym_BSLASHcolor] = ACTIONS(7475),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7475),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7475),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7475),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7475),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7475),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7475),
    [anon_sym_BSLASHurl] = ACTIONS(7475),
    [anon_sym_BSLASHhref] = ACTIONS(7475),
  },
  [1276] = {
    [sym_command_name] = ACTIONS(7479),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(7481),
    [anon_sym_RBRACK] = ACTIONS(7481),
    [anon_sym_COMMA] = ACTIONS(7481),
    [anon_sym_EQ] = ACTIONS(7481),
    [anon_sym_LPAREN] = ACTIONS(7481),
    [anon_sym_RPAREN] = ACTIONS(7481),
    [anon_sym_BSLASHpart] = ACTIONS(7479),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHaddpart] = ACTIONS(7479),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHchapter] = ACTIONS(7479),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHaddchap] = ACTIONS(7479),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHsection] = ACTIONS(7479),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHaddsec] = ACTIONS(7479),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHsubsection] = ACTIONS(7479),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7479),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHparagraph] = ACTIONS(7479),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7479),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHitem] = ACTIONS(7479),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7481),
    [anon_sym_LBRACE] = ACTIONS(7481),
    [sym_word] = ACTIONS(7479),
    [sym_placeholder] = ACTIONS(7481),
    [sym_delimiter] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7481),
    [anon_sym_DASH] = ACTIONS(7481),
    [anon_sym_STAR] = ACTIONS(7481),
    [anon_sym_SLASH] = ACTIONS(7481),
    [anon_sym_LT] = ACTIONS(7479),
    [anon_sym_GT] = ACTIONS(7479),
    [anon_sym_BANG] = ACTIONS(7479),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_COLON] = ACTIONS(7479),
    [anon_sym_SQUOTE] = ACTIONS(7479),
    [anon_sym__] = ACTIONS(7481),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7481),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7481),
    [anon_sym_DOLLAR] = ACTIONS(7479),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7481),
    [anon_sym_BSLASHleft] = ACTIONS(7479),
    [anon_sym_BSLASHbigl] = ACTIONS(7479),
    [anon_sym_BSLASHBigl] = ACTIONS(7479),
    [anon_sym_BSLASHbiggl] = ACTIONS(7479),
    [anon_sym_BSLASHBiggl] = ACTIONS(7479),
    [anon_sym_BSLASHtext] = ACTIONS(7479),
    [anon_sym_BSLASHintertext] = ACTIONS(7479),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7479),
    [anon_sym_BSLASHbegin] = ACTIONS(7479),
    [anon_sym_BSLASHend] = ACTIONS(7479),
    [anon_sym_BSLASHtitle] = ACTIONS(7479),
    [anon_sym_BSLASHauthor] = ACTIONS(7479),
    [anon_sym_BSLASHusepackage] = ACTIONS(7479),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7479),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7479),
    [anon_sym_BSLASHinclude] = ACTIONS(7479),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7479),
    [anon_sym_BSLASHinput] = ACTIONS(7479),
    [anon_sym_BSLASHsubfile] = ACTIONS(7479),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7479),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7479),
    [anon_sym_BSLASHbibliography] = ACTIONS(7479),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7479),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7479),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7479),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7479),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7479),
    [anon_sym_BSLASHimport] = ACTIONS(7479),
    [anon_sym_BSLASHsubimport] = ACTIONS(7479),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7479),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7479),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7479),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7479),
    [anon_sym_BSLASHcaption] = ACTIONS(7479),
    [anon_sym_BSLASHcite] = ACTIONS(7479),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCite] = ACTIONS(7479),
    [anon_sym_BSLASHnocite] = ACTIONS(7479),
    [anon_sym_BSLASHcitet] = ACTIONS(7479),
    [anon_sym_BSLASHcitep] = ACTIONS(7479),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteA] = ACTIONS(7479),
    [anon_sym_BSLASHciteR] = ACTIONS(7479),
    [anon_sym_BSLASHciteS] = ACTIONS(7479),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7479),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7479),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7479),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7479),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteyear] = ACTIONS(7479),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitedate] = ACTIONS(7479),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteurl] = ACTIONS(7479),
    [anon_sym_BSLASHfullcite] = ACTIONS(7479),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7479),
    [anon_sym_BSLASHcitealt] = ACTIONS(7479),
    [anon_sym_BSLASHcitealp] = ACTIONS(7479),
    [anon_sym_BSLASHcitetext] = ACTIONS(7479),
    [anon_sym_BSLASHparencite] = ACTIONS(7479),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHParencite] = ACTIONS(7479),
    [anon_sym_BSLASHfootcite] = ACTIONS(7479),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7479),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7479),
    [anon_sym_BSLASHtextcite] = ACTIONS(7479),
    [anon_sym_BSLASHTextcite] = ACTIONS(7479),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7479),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7479),
    [anon_sym_BSLASHsupercite] = ACTIONS(7479),
    [anon_sym_BSLASHautocite] = ACTIONS(7479),
    [anon_sym_BSLASHAutocite] = ACTIONS(7479),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHVolcite] = ACTIONS(7479),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHavolcite] = ACTIONS(7479),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHNotecite] = ACTIONS(7479),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHlabel] = ACTIONS(7479),
    [anon_sym_BSLASHref] = ACTIONS(7479),
    [anon_sym_BSLASHeqref] = ACTIONS(7479),
    [anon_sym_BSLASHvref] = ACTIONS(7479),
    [anon_sym_BSLASHVref] = ACTIONS(7479),
    [anon_sym_BSLASHautoref] = ACTIONS(7479),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHpageref] = ACTIONS(7479),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHautopageref] = ACTIONS(7479),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcref] = ACTIONS(7479),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCref] = ACTIONS(7479),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcpageref] = ACTIONS(7479),
    [anon_sym_BSLASHCpageref] = ACTIONS(7479),
    [anon_sym_BSLASHnamecref] = ACTIONS(7479),
    [anon_sym_BSLASHnameCref] = ACTIONS(7479),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7479),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7479),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7479),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7479),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7479),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7479),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7479),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7479),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7479),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7479),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7479),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHdef] = ACTIONS(7479),
    [anon_sym_BSLASHgdef] = ACTIONS(7479),
    [anon_sym_BSLASHedef] = ACTIONS(7479),
    [anon_sym_BSLASHxdef] = ACTIONS(7479),
    [anon_sym_BSLASHlet] = ACTIONS(7479),
    [anon_sym_BSLASHglet] = ACTIONS(7479),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7479),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7479),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7479),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7479),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7479),
    [anon_sym_BSLASHgls] = ACTIONS(7479),
    [anon_sym_BSLASHGls] = ACTIONS(7479),
    [anon_sym_BSLASHGLS] = ACTIONS(7479),
    [anon_sym_BSLASHglspl] = ACTIONS(7479),
    [anon_sym_BSLASHGlspl] = ACTIONS(7479),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7479),
    [anon_sym_BSLASHglslink] = ACTIONS(7479),
    [anon_sym_BSLASHglstext] = ACTIONS(7479),
    [anon_sym_BSLASHGlstext] = ACTIONS(7479),
    [anon_sym_BSLASHGLStext] = ACTIONS(7479),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7479),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7479),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7479),
    [anon_sym_BSLASHglsplural] = ACTIONS(7479),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7479),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7479),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHglsname] = ACTIONS(7479),
    [anon_sym_BSLASHGlsname] = ACTIONS(7479),
    [anon_sym_BSLASHGLSname] = ACTIONS(7479),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7479),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7479),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7479),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7479),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7479),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7479),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7479),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7479),
    [anon_sym_BSLASHacrshort] = ACTIONS(7479),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7479),
    [anon_sym_BSLASHACRshort] = ACTIONS(7479),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHacrlong] = ACTIONS(7479),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7479),
    [anon_sym_BSLASHACRlong] = ACTIONS(7479),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHacrfull] = ACTIONS(7479),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7479),
    [anon_sym_BSLASHACRfull] = ACTIONS(7479),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHacs] = ACTIONS(7479),
    [anon_sym_BSLASHAcs] = ACTIONS(7479),
    [anon_sym_BSLASHacsp] = ACTIONS(7479),
    [anon_sym_BSLASHAcsp] = ACTIONS(7479),
    [anon_sym_BSLASHacl] = ACTIONS(7479),
    [anon_sym_BSLASHAcl] = ACTIONS(7479),
    [anon_sym_BSLASHaclp] = ACTIONS(7479),
    [anon_sym_BSLASHAclp] = ACTIONS(7479),
    [anon_sym_BSLASHacf] = ACTIONS(7479),
    [anon_sym_BSLASHAcf] = ACTIONS(7479),
    [anon_sym_BSLASHacfp] = ACTIONS(7479),
    [anon_sym_BSLASHAcfp] = ACTIONS(7479),
    [anon_sym_BSLASHac] = ACTIONS(7479),
    [anon_sym_BSLASHAc] = ACTIONS(7479),
    [anon_sym_BSLASHacp] = ACTIONS(7479),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7479),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7479),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7479),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7479),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7479),
    [anon_sym_BSLASHcolor] = ACTIONS(7479),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7479),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7479),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7479),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7479),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7479),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7479),
    [anon_sym_BSLASHurl] = ACTIONS(7479),
    [anon_sym_BSLASHhref] = ACTIONS(7479),
  },
  [1277] = {
    [sym_command_name] = ACTIONS(7487),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7487),
    [anon_sym_LBRACK] = ACTIONS(7489),
    [anon_sym_RBRACK] = ACTIONS(7489),
    [anon_sym_COMMA] = ACTIONS(7489),
    [anon_sym_EQ] = ACTIONS(7489),
    [anon_sym_LPAREN] = ACTIONS(7489),
    [anon_sym_RPAREN] = ACTIONS(7489),
    [anon_sym_BSLASHpart] = ACTIONS(7487),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHaddpart] = ACTIONS(7487),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHchapter] = ACTIONS(7487),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHaddchap] = ACTIONS(7487),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHsection] = ACTIONS(7487),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHaddsec] = ACTIONS(7487),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHsubsection] = ACTIONS(7487),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7487),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHparagraph] = ACTIONS(7487),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7487),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHitem] = ACTIONS(7487),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7489),
    [anon_sym_LBRACE] = ACTIONS(7489),
    [sym_word] = ACTIONS(7487),
    [sym_placeholder] = ACTIONS(7489),
    [sym_delimiter] = ACTIONS(7489),
    [anon_sym_PLUS] = ACTIONS(7489),
    [anon_sym_DASH] = ACTIONS(7489),
    [anon_sym_STAR] = ACTIONS(7489),
    [anon_sym_SLASH] = ACTIONS(7489),
    [anon_sym_LT] = ACTIONS(7487),
    [anon_sym_GT] = ACTIONS(7487),
    [anon_sym_BANG] = ACTIONS(7487),
    [anon_sym_PIPE] = ACTIONS(7487),
    [anon_sym_COLON] = ACTIONS(7487),
    [anon_sym_SQUOTE] = ACTIONS(7487),
    [anon_sym__] = ACTIONS(7489),
    [anon_sym_CARET] = ACTIONS(7489),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7489),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7489),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7489),
    [anon_sym_DOLLAR] = ACTIONS(7487),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7489),
    [anon_sym_BSLASHleft] = ACTIONS(7487),
    [anon_sym_BSLASHbigl] = ACTIONS(7487),
    [anon_sym_BSLASHBigl] = ACTIONS(7487),
    [anon_sym_BSLASHbiggl] = ACTIONS(7487),
    [anon_sym_BSLASHBiggl] = ACTIONS(7487),
    [anon_sym_BSLASHtext] = ACTIONS(7487),
    [anon_sym_BSLASHintertext] = ACTIONS(7487),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7487),
    [anon_sym_BSLASHbegin] = ACTIONS(7487),
    [anon_sym_BSLASHtitle] = ACTIONS(7487),
    [anon_sym_BSLASHauthor] = ACTIONS(7487),
    [anon_sym_BSLASHusepackage] = ACTIONS(7487),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7487),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7487),
    [anon_sym_BSLASHinclude] = ACTIONS(7487),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7487),
    [anon_sym_BSLASHinput] = ACTIONS(7487),
    [anon_sym_BSLASHsubfile] = ACTIONS(7487),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7487),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7487),
    [anon_sym_BSLASHbibliography] = ACTIONS(7487),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7487),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7487),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7487),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7487),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7487),
    [anon_sym_BSLASHimport] = ACTIONS(7487),
    [anon_sym_BSLASHsubimport] = ACTIONS(7487),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7487),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7487),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7487),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7487),
    [anon_sym_BSLASHcaption] = ACTIONS(7487),
    [anon_sym_BSLASHcite] = ACTIONS(7487),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCite] = ACTIONS(7487),
    [anon_sym_BSLASHnocite] = ACTIONS(7487),
    [anon_sym_BSLASHcitet] = ACTIONS(7487),
    [anon_sym_BSLASHcitep] = ACTIONS(7487),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteA] = ACTIONS(7487),
    [anon_sym_BSLASHciteR] = ACTIONS(7487),
    [anon_sym_BSLASHciteS] = ACTIONS(7487),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7487),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7487),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7487),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7487),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteyear] = ACTIONS(7487),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitedate] = ACTIONS(7487),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteurl] = ACTIONS(7487),
    [anon_sym_BSLASHfullcite] = ACTIONS(7487),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7487),
    [anon_sym_BSLASHcitealt] = ACTIONS(7487),
    [anon_sym_BSLASHcitealp] = ACTIONS(7487),
    [anon_sym_BSLASHcitetext] = ACTIONS(7487),
    [anon_sym_BSLASHparencite] = ACTIONS(7487),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHParencite] = ACTIONS(7487),
    [anon_sym_BSLASHfootcite] = ACTIONS(7487),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7487),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7487),
    [anon_sym_BSLASHtextcite] = ACTIONS(7487),
    [anon_sym_BSLASHTextcite] = ACTIONS(7487),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7487),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7487),
    [anon_sym_BSLASHsupercite] = ACTIONS(7487),
    [anon_sym_BSLASHautocite] = ACTIONS(7487),
    [anon_sym_BSLASHAutocite] = ACTIONS(7487),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHVolcite] = ACTIONS(7487),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHavolcite] = ACTIONS(7487),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHNotecite] = ACTIONS(7487),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHlabel] = ACTIONS(7487),
    [anon_sym_BSLASHref] = ACTIONS(7487),
    [anon_sym_BSLASHeqref] = ACTIONS(7487),
    [anon_sym_BSLASHvref] = ACTIONS(7487),
    [anon_sym_BSLASHVref] = ACTIONS(7487),
    [anon_sym_BSLASHautoref] = ACTIONS(7487),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHpageref] = ACTIONS(7487),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHautopageref] = ACTIONS(7487),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcref] = ACTIONS(7487),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCref] = ACTIONS(7487),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcpageref] = ACTIONS(7487),
    [anon_sym_BSLASHCpageref] = ACTIONS(7487),
    [anon_sym_BSLASHnamecref] = ACTIONS(7487),
    [anon_sym_BSLASHnameCref] = ACTIONS(7487),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7487),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7487),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7487),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7487),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7487),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7487),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7487),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7487),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7487),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7487),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7487),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHdef] = ACTIONS(7487),
    [anon_sym_BSLASHgdef] = ACTIONS(7487),
    [anon_sym_BSLASHedef] = ACTIONS(7487),
    [anon_sym_BSLASHxdef] = ACTIONS(7487),
    [anon_sym_BSLASHlet] = ACTIONS(7487),
    [anon_sym_BSLASHglet] = ACTIONS(7487),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7487),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7487),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7487),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7487),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7487),
    [anon_sym_BSLASHgls] = ACTIONS(7487),
    [anon_sym_BSLASHGls] = ACTIONS(7487),
    [anon_sym_BSLASHGLS] = ACTIONS(7487),
    [anon_sym_BSLASHglspl] = ACTIONS(7487),
    [anon_sym_BSLASHGlspl] = ACTIONS(7487),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7487),
    [anon_sym_BSLASHglslink] = ACTIONS(7487),
    [anon_sym_BSLASHglstext] = ACTIONS(7487),
    [anon_sym_BSLASHGlstext] = ACTIONS(7487),
    [anon_sym_BSLASHGLStext] = ACTIONS(7487),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7487),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7487),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7487),
    [anon_sym_BSLASHglsplural] = ACTIONS(7487),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7487),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7487),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHglsname] = ACTIONS(7487),
    [anon_sym_BSLASHGlsname] = ACTIONS(7487),
    [anon_sym_BSLASHGLSname] = ACTIONS(7487),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7487),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7487),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7487),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7487),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7487),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7487),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7487),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7487),
    [anon_sym_BSLASHacrshort] = ACTIONS(7487),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7487),
    [anon_sym_BSLASHACRshort] = ACTIONS(7487),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHacrlong] = ACTIONS(7487),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7487),
    [anon_sym_BSLASHACRlong] = ACTIONS(7487),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHacrfull] = ACTIONS(7487),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7487),
    [anon_sym_BSLASHACRfull] = ACTIONS(7487),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHacs] = ACTIONS(7487),
    [anon_sym_BSLASHAcs] = ACTIONS(7487),
    [anon_sym_BSLASHacsp] = ACTIONS(7487),
    [anon_sym_BSLASHAcsp] = ACTIONS(7487),
    [anon_sym_BSLASHacl] = ACTIONS(7487),
    [anon_sym_BSLASHAcl] = ACTIONS(7487),
    [anon_sym_BSLASHaclp] = ACTIONS(7487),
    [anon_sym_BSLASHAclp] = ACTIONS(7487),
    [anon_sym_BSLASHacf] = ACTIONS(7487),
    [anon_sym_BSLASHAcf] = ACTIONS(7487),
    [anon_sym_BSLASHacfp] = ACTIONS(7487),
    [anon_sym_BSLASHAcfp] = ACTIONS(7487),
    [anon_sym_BSLASHac] = ACTIONS(7487),
    [anon_sym_BSLASHAc] = ACTIONS(7487),
    [anon_sym_BSLASHacp] = ACTIONS(7487),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7487),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7487),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7487),
    [anon_sym_BSLASHcolor] = ACTIONS(7487),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7487),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7487),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7487),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7487),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7487),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7487),
    [anon_sym_BSLASHurl] = ACTIONS(7487),
    [anon_sym_BSLASHhref] = ACTIONS(7487),
  },
  [1278] = {
    [sym_command_name] = ACTIONS(7047),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7047),
    [anon_sym_LBRACK] = ACTIONS(7049),
    [anon_sym_RBRACK] = ACTIONS(7049),
    [anon_sym_COMMA] = ACTIONS(7049),
    [anon_sym_EQ] = ACTIONS(7049),
    [anon_sym_LPAREN] = ACTIONS(7049),
    [anon_sym_RPAREN] = ACTIONS(7049),
    [anon_sym_BSLASHpart] = ACTIONS(7047),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddpart] = ACTIONS(7047),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHchapter] = ACTIONS(7047),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddchap] = ACTIONS(7047),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsection] = ACTIONS(7047),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddsec] = ACTIONS(7047),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubsection] = ACTIONS(7047),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7047),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHparagraph] = ACTIONS(7047),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7047),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHitem] = ACTIONS(7047),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7049),
    [anon_sym_LBRACE] = ACTIONS(7049),
    [sym_word] = ACTIONS(7047),
    [sym_placeholder] = ACTIONS(7049),
    [sym_delimiter] = ACTIONS(7049),
    [anon_sym_PLUS] = ACTIONS(7049),
    [anon_sym_DASH] = ACTIONS(7049),
    [anon_sym_STAR] = ACTIONS(7049),
    [anon_sym_SLASH] = ACTIONS(7049),
    [anon_sym_LT] = ACTIONS(7047),
    [anon_sym_GT] = ACTIONS(7047),
    [anon_sym_BANG] = ACTIONS(7047),
    [anon_sym_PIPE] = ACTIONS(7047),
    [anon_sym_COLON] = ACTIONS(7047),
    [anon_sym_SQUOTE] = ACTIONS(7047),
    [anon_sym__] = ACTIONS(7049),
    [anon_sym_CARET] = ACTIONS(7049),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7049),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7049),
    [anon_sym_DOLLAR] = ACTIONS(7047),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7049),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7049),
    [anon_sym_BSLASHleft] = ACTIONS(7047),
    [anon_sym_BSLASHbigl] = ACTIONS(7047),
    [anon_sym_BSLASHBigl] = ACTIONS(7047),
    [anon_sym_BSLASHbiggl] = ACTIONS(7047),
    [anon_sym_BSLASHBiggl] = ACTIONS(7047),
    [anon_sym_BSLASHtext] = ACTIONS(7047),
    [anon_sym_BSLASHintertext] = ACTIONS(7047),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7047),
    [anon_sym_BSLASHbegin] = ACTIONS(7047),
    [anon_sym_BSLASHtitle] = ACTIONS(7047),
    [anon_sym_BSLASHauthor] = ACTIONS(7047),
    [anon_sym_BSLASHusepackage] = ACTIONS(7047),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7047),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7047),
    [anon_sym_BSLASHinclude] = ACTIONS(7047),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7047),
    [anon_sym_BSLASHinput] = ACTIONS(7047),
    [anon_sym_BSLASHsubfile] = ACTIONS(7047),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7047),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7047),
    [anon_sym_BSLASHbibliography] = ACTIONS(7047),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7047),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7047),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7047),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7047),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7047),
    [anon_sym_BSLASHimport] = ACTIONS(7047),
    [anon_sym_BSLASHsubimport] = ACTIONS(7047),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7047),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7047),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7047),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7047),
    [anon_sym_BSLASHcaption] = ACTIONS(7047),
    [anon_sym_BSLASHcite] = ACTIONS(7047),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCite] = ACTIONS(7047),
    [anon_sym_BSLASHnocite] = ACTIONS(7047),
    [anon_sym_BSLASHcitet] = ACTIONS(7047),
    [anon_sym_BSLASHcitep] = ACTIONS(7047),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteA] = ACTIONS(7047),
    [anon_sym_BSLASHciteR] = ACTIONS(7047),
    [anon_sym_BSLASHciteS] = ACTIONS(7047),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7047),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7047),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7047),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7047),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteyear] = ACTIONS(7047),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitedate] = ACTIONS(7047),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteurl] = ACTIONS(7047),
    [anon_sym_BSLASHfullcite] = ACTIONS(7047),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7047),
    [anon_sym_BSLASHcitealt] = ACTIONS(7047),
    [anon_sym_BSLASHcitealp] = ACTIONS(7047),
    [anon_sym_BSLASHcitetext] = ACTIONS(7047),
    [anon_sym_BSLASHparencite] = ACTIONS(7047),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHParencite] = ACTIONS(7047),
    [anon_sym_BSLASHfootcite] = ACTIONS(7047),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7047),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7047),
    [anon_sym_BSLASHtextcite] = ACTIONS(7047),
    [anon_sym_BSLASHTextcite] = ACTIONS(7047),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7047),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7047),
    [anon_sym_BSLASHsupercite] = ACTIONS(7047),
    [anon_sym_BSLASHautocite] = ACTIONS(7047),
    [anon_sym_BSLASHAutocite] = ACTIONS(7047),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHVolcite] = ACTIONS(7047),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHavolcite] = ACTIONS(7047),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHNotecite] = ACTIONS(7047),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHlabel] = ACTIONS(7047),
    [anon_sym_BSLASHref] = ACTIONS(7047),
    [anon_sym_BSLASHeqref] = ACTIONS(7047),
    [anon_sym_BSLASHvref] = ACTIONS(7047),
    [anon_sym_BSLASHVref] = ACTIONS(7047),
    [anon_sym_BSLASHautoref] = ACTIONS(7047),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHpageref] = ACTIONS(7047),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHautopageref] = ACTIONS(7047),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcref] = ACTIONS(7047),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCref] = ACTIONS(7047),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcpageref] = ACTIONS(7047),
    [anon_sym_BSLASHCpageref] = ACTIONS(7047),
    [anon_sym_BSLASHnamecref] = ACTIONS(7047),
    [anon_sym_BSLASHnameCref] = ACTIONS(7047),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7047),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7047),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7047),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7047),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7047),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7047),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7047),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7047),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7047),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7047),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7047),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHdef] = ACTIONS(7047),
    [anon_sym_BSLASHgdef] = ACTIONS(7047),
    [anon_sym_BSLASHedef] = ACTIONS(7047),
    [anon_sym_BSLASHxdef] = ACTIONS(7047),
    [anon_sym_BSLASHlet] = ACTIONS(7047),
    [anon_sym_BSLASHglet] = ACTIONS(7047),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7047),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7047),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7047),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7047),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7047),
    [anon_sym_BSLASHgls] = ACTIONS(7047),
    [anon_sym_BSLASHGls] = ACTIONS(7047),
    [anon_sym_BSLASHGLS] = ACTIONS(7047),
    [anon_sym_BSLASHglspl] = ACTIONS(7047),
    [anon_sym_BSLASHGlspl] = ACTIONS(7047),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7047),
    [anon_sym_BSLASHglslink] = ACTIONS(7047),
    [anon_sym_BSLASHglstext] = ACTIONS(7047),
    [anon_sym_BSLASHGlstext] = ACTIONS(7047),
    [anon_sym_BSLASHGLStext] = ACTIONS(7047),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7047),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7047),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7047),
    [anon_sym_BSLASHglsplural] = ACTIONS(7047),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7047),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7047),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHglsname] = ACTIONS(7047),
    [anon_sym_BSLASHGlsname] = ACTIONS(7047),
    [anon_sym_BSLASHGLSname] = ACTIONS(7047),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7047),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7047),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7047),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7047),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7047),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7047),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7047),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7047),
    [anon_sym_BSLASHacrshort] = ACTIONS(7047),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7047),
    [anon_sym_BSLASHACRshort] = ACTIONS(7047),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHacrlong] = ACTIONS(7047),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7047),
    [anon_sym_BSLASHACRlong] = ACTIONS(7047),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHacrfull] = ACTIONS(7047),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7047),
    [anon_sym_BSLASHACRfull] = ACTIONS(7047),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHacs] = ACTIONS(7047),
    [anon_sym_BSLASHAcs] = ACTIONS(7047),
    [anon_sym_BSLASHacsp] = ACTIONS(7047),
    [anon_sym_BSLASHAcsp] = ACTIONS(7047),
    [anon_sym_BSLASHacl] = ACTIONS(7047),
    [anon_sym_BSLASHAcl] = ACTIONS(7047),
    [anon_sym_BSLASHaclp] = ACTIONS(7047),
    [anon_sym_BSLASHAclp] = ACTIONS(7047),
    [anon_sym_BSLASHacf] = ACTIONS(7047),
    [anon_sym_BSLASHAcf] = ACTIONS(7047),
    [anon_sym_BSLASHacfp] = ACTIONS(7047),
    [anon_sym_BSLASHAcfp] = ACTIONS(7047),
    [anon_sym_BSLASHac] = ACTIONS(7047),
    [anon_sym_BSLASHAc] = ACTIONS(7047),
    [anon_sym_BSLASHacp] = ACTIONS(7047),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7047),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7047),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7047),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7047),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7047),
    [anon_sym_BSLASHcolor] = ACTIONS(7047),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7047),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7047),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7047),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7047),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7047),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7047),
    [anon_sym_BSLASHurl] = ACTIONS(7047),
    [anon_sym_BSLASHhref] = ACTIONS(7047),
  },
  [1279] = {
    [sym_command_name] = ACTIONS(7483),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(7485),
    [anon_sym_RBRACK] = ACTIONS(7485),
    [anon_sym_COMMA] = ACTIONS(7485),
    [anon_sym_EQ] = ACTIONS(7485),
    [anon_sym_LPAREN] = ACTIONS(7485),
    [anon_sym_RPAREN] = ACTIONS(7485),
    [anon_sym_BSLASHpart] = ACTIONS(7483),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHaddpart] = ACTIONS(7483),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHchapter] = ACTIONS(7483),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHaddchap] = ACTIONS(7483),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHsection] = ACTIONS(7483),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHaddsec] = ACTIONS(7483),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHsubsection] = ACTIONS(7483),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7483),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHparagraph] = ACTIONS(7483),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7483),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHitem] = ACTIONS(7483),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7485),
    [anon_sym_LBRACE] = ACTIONS(7485),
    [sym_word] = ACTIONS(7483),
    [sym_placeholder] = ACTIONS(7485),
    [sym_delimiter] = ACTIONS(7485),
    [anon_sym_PLUS] = ACTIONS(7485),
    [anon_sym_DASH] = ACTIONS(7485),
    [anon_sym_STAR] = ACTIONS(7485),
    [anon_sym_SLASH] = ACTIONS(7485),
    [anon_sym_LT] = ACTIONS(7483),
    [anon_sym_GT] = ACTIONS(7483),
    [anon_sym_BANG] = ACTIONS(7483),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_COLON] = ACTIONS(7483),
    [anon_sym_SQUOTE] = ACTIONS(7483),
    [anon_sym__] = ACTIONS(7485),
    [anon_sym_CARET] = ACTIONS(7485),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7485),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7485),
    [anon_sym_DOLLAR] = ACTIONS(7483),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7485),
    [anon_sym_BSLASHleft] = ACTIONS(7483),
    [anon_sym_BSLASHbigl] = ACTIONS(7483),
    [anon_sym_BSLASHBigl] = ACTIONS(7483),
    [anon_sym_BSLASHbiggl] = ACTIONS(7483),
    [anon_sym_BSLASHBiggl] = ACTIONS(7483),
    [anon_sym_BSLASHtext] = ACTIONS(7483),
    [anon_sym_BSLASHintertext] = ACTIONS(7483),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7483),
    [anon_sym_BSLASHbegin] = ACTIONS(7483),
    [anon_sym_BSLASHend] = ACTIONS(7483),
    [anon_sym_BSLASHtitle] = ACTIONS(7483),
    [anon_sym_BSLASHauthor] = ACTIONS(7483),
    [anon_sym_BSLASHusepackage] = ACTIONS(7483),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7483),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7483),
    [anon_sym_BSLASHinclude] = ACTIONS(7483),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7483),
    [anon_sym_BSLASHinput] = ACTIONS(7483),
    [anon_sym_BSLASHsubfile] = ACTIONS(7483),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7483),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7483),
    [anon_sym_BSLASHbibliography] = ACTIONS(7483),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7483),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7483),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7483),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7483),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7483),
    [anon_sym_BSLASHimport] = ACTIONS(7483),
    [anon_sym_BSLASHsubimport] = ACTIONS(7483),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7483),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7483),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7483),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7483),
    [anon_sym_BSLASHcaption] = ACTIONS(7483),
    [anon_sym_BSLASHcite] = ACTIONS(7483),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCite] = ACTIONS(7483),
    [anon_sym_BSLASHnocite] = ACTIONS(7483),
    [anon_sym_BSLASHcitet] = ACTIONS(7483),
    [anon_sym_BSLASHcitep] = ACTIONS(7483),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteA] = ACTIONS(7483),
    [anon_sym_BSLASHciteR] = ACTIONS(7483),
    [anon_sym_BSLASHciteS] = ACTIONS(7483),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7483),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7483),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7483),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7483),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteyear] = ACTIONS(7483),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitedate] = ACTIONS(7483),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteurl] = ACTIONS(7483),
    [anon_sym_BSLASHfullcite] = ACTIONS(7483),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7483),
    [anon_sym_BSLASHcitealt] = ACTIONS(7483),
    [anon_sym_BSLASHcitealp] = ACTIONS(7483),
    [anon_sym_BSLASHcitetext] = ACTIONS(7483),
    [anon_sym_BSLASHparencite] = ACTIONS(7483),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHParencite] = ACTIONS(7483),
    [anon_sym_BSLASHfootcite] = ACTIONS(7483),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7483),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7483),
    [anon_sym_BSLASHtextcite] = ACTIONS(7483),
    [anon_sym_BSLASHTextcite] = ACTIONS(7483),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7483),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7483),
    [anon_sym_BSLASHsupercite] = ACTIONS(7483),
    [anon_sym_BSLASHautocite] = ACTIONS(7483),
    [anon_sym_BSLASHAutocite] = ACTIONS(7483),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHVolcite] = ACTIONS(7483),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHavolcite] = ACTIONS(7483),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHNotecite] = ACTIONS(7483),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHlabel] = ACTIONS(7483),
    [anon_sym_BSLASHref] = ACTIONS(7483),
    [anon_sym_BSLASHeqref] = ACTIONS(7483),
    [anon_sym_BSLASHvref] = ACTIONS(7483),
    [anon_sym_BSLASHVref] = ACTIONS(7483),
    [anon_sym_BSLASHautoref] = ACTIONS(7483),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHpageref] = ACTIONS(7483),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHautopageref] = ACTIONS(7483),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcref] = ACTIONS(7483),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCref] = ACTIONS(7483),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcpageref] = ACTIONS(7483),
    [anon_sym_BSLASHCpageref] = ACTIONS(7483),
    [anon_sym_BSLASHnamecref] = ACTIONS(7483),
    [anon_sym_BSLASHnameCref] = ACTIONS(7483),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7483),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7483),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7483),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7483),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7483),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7483),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7483),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7483),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7483),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7483),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7483),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHdef] = ACTIONS(7483),
    [anon_sym_BSLASHgdef] = ACTIONS(7483),
    [anon_sym_BSLASHedef] = ACTIONS(7483),
    [anon_sym_BSLASHxdef] = ACTIONS(7483),
    [anon_sym_BSLASHlet] = ACTIONS(7483),
    [anon_sym_BSLASHglet] = ACTIONS(7483),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7483),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7483),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7483),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7483),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7483),
    [anon_sym_BSLASHgls] = ACTIONS(7483),
    [anon_sym_BSLASHGls] = ACTIONS(7483),
    [anon_sym_BSLASHGLS] = ACTIONS(7483),
    [anon_sym_BSLASHglspl] = ACTIONS(7483),
    [anon_sym_BSLASHGlspl] = ACTIONS(7483),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7483),
    [anon_sym_BSLASHglslink] = ACTIONS(7483),
    [anon_sym_BSLASHglstext] = ACTIONS(7483),
    [anon_sym_BSLASHGlstext] = ACTIONS(7483),
    [anon_sym_BSLASHGLStext] = ACTIONS(7483),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7483),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7483),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7483),
    [anon_sym_BSLASHglsplural] = ACTIONS(7483),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7483),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7483),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHglsname] = ACTIONS(7483),
    [anon_sym_BSLASHGlsname] = ACTIONS(7483),
    [anon_sym_BSLASHGLSname] = ACTIONS(7483),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7483),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7483),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7483),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7483),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7483),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7483),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7483),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7483),
    [anon_sym_BSLASHacrshort] = ACTIONS(7483),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7483),
    [anon_sym_BSLASHACRshort] = ACTIONS(7483),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHacrlong] = ACTIONS(7483),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7483),
    [anon_sym_BSLASHACRlong] = ACTIONS(7483),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHacrfull] = ACTIONS(7483),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7483),
    [anon_sym_BSLASHACRfull] = ACTIONS(7483),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHacs] = ACTIONS(7483),
    [anon_sym_BSLASHAcs] = ACTIONS(7483),
    [anon_sym_BSLASHacsp] = ACTIONS(7483),
    [anon_sym_BSLASHAcsp] = ACTIONS(7483),
    [anon_sym_BSLASHacl] = ACTIONS(7483),
    [anon_sym_BSLASHAcl] = ACTIONS(7483),
    [anon_sym_BSLASHaclp] = ACTIONS(7483),
    [anon_sym_BSLASHAclp] = ACTIONS(7483),
    [anon_sym_BSLASHacf] = ACTIONS(7483),
    [anon_sym_BSLASHAcf] = ACTIONS(7483),
    [anon_sym_BSLASHacfp] = ACTIONS(7483),
    [anon_sym_BSLASHAcfp] = ACTIONS(7483),
    [anon_sym_BSLASHac] = ACTIONS(7483),
    [anon_sym_BSLASHAc] = ACTIONS(7483),
    [anon_sym_BSLASHacp] = ACTIONS(7483),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7483),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7483),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7483),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7483),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7483),
    [anon_sym_BSLASHcolor] = ACTIONS(7483),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7483),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7483),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7483),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7483),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7483),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7483),
    [anon_sym_BSLASHurl] = ACTIONS(7483),
    [anon_sym_BSLASHhref] = ACTIONS(7483),
  },
  [1280] = {
    [sym_command_name] = ACTIONS(7039),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7039),
    [anon_sym_LBRACK] = ACTIONS(7041),
    [anon_sym_RBRACK] = ACTIONS(7041),
    [anon_sym_COMMA] = ACTIONS(7041),
    [anon_sym_EQ] = ACTIONS(7041),
    [anon_sym_LPAREN] = ACTIONS(7041),
    [anon_sym_RPAREN] = ACTIONS(7041),
    [anon_sym_BSLASHpart] = ACTIONS(7039),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHaddpart] = ACTIONS(7039),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHchapter] = ACTIONS(7039),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHaddchap] = ACTIONS(7039),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHsection] = ACTIONS(7039),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHaddsec] = ACTIONS(7039),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHsubsection] = ACTIONS(7039),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7039),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHparagraph] = ACTIONS(7039),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7039),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHitem] = ACTIONS(7039),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7041),
    [anon_sym_LBRACE] = ACTIONS(7041),
    [sym_word] = ACTIONS(7039),
    [sym_placeholder] = ACTIONS(7041),
    [sym_delimiter] = ACTIONS(7041),
    [anon_sym_PLUS] = ACTIONS(7041),
    [anon_sym_DASH] = ACTIONS(7041),
    [anon_sym_STAR] = ACTIONS(7041),
    [anon_sym_SLASH] = ACTIONS(7041),
    [anon_sym_LT] = ACTIONS(7039),
    [anon_sym_GT] = ACTIONS(7039),
    [anon_sym_BANG] = ACTIONS(7039),
    [anon_sym_PIPE] = ACTIONS(7039),
    [anon_sym_COLON] = ACTIONS(7039),
    [anon_sym_SQUOTE] = ACTIONS(7039),
    [anon_sym__] = ACTIONS(7041),
    [anon_sym_CARET] = ACTIONS(7041),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7041),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7041),
    [anon_sym_DOLLAR] = ACTIONS(7039),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7041),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7041),
    [anon_sym_BSLASHleft] = ACTIONS(7039),
    [anon_sym_BSLASHbigl] = ACTIONS(7039),
    [anon_sym_BSLASHBigl] = ACTIONS(7039),
    [anon_sym_BSLASHbiggl] = ACTIONS(7039),
    [anon_sym_BSLASHBiggl] = ACTIONS(7039),
    [anon_sym_BSLASHtext] = ACTIONS(7039),
    [anon_sym_BSLASHintertext] = ACTIONS(7039),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7039),
    [anon_sym_BSLASHbegin] = ACTIONS(7039),
    [anon_sym_BSLASHtitle] = ACTIONS(7039),
    [anon_sym_BSLASHauthor] = ACTIONS(7039),
    [anon_sym_BSLASHusepackage] = ACTIONS(7039),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7039),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7039),
    [anon_sym_BSLASHinclude] = ACTIONS(7039),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7039),
    [anon_sym_BSLASHinput] = ACTIONS(7039),
    [anon_sym_BSLASHsubfile] = ACTIONS(7039),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7039),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7039),
    [anon_sym_BSLASHbibliography] = ACTIONS(7039),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7039),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7039),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7039),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7039),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7039),
    [anon_sym_BSLASHimport] = ACTIONS(7039),
    [anon_sym_BSLASHsubimport] = ACTIONS(7039),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7039),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7039),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7039),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7039),
    [anon_sym_BSLASHcaption] = ACTIONS(7039),
    [anon_sym_BSLASHcite] = ACTIONS(7039),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHCite] = ACTIONS(7039),
    [anon_sym_BSLASHnocite] = ACTIONS(7039),
    [anon_sym_BSLASHcitet] = ACTIONS(7039),
    [anon_sym_BSLASHcitep] = ACTIONS(7039),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHciteA] = ACTIONS(7039),
    [anon_sym_BSLASHciteR] = ACTIONS(7039),
    [anon_sym_BSLASHciteS] = ACTIONS(7039),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7039),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7039),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7039),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7039),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHciteyear] = ACTIONS(7039),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcitedate] = ACTIONS(7039),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHciteurl] = ACTIONS(7039),
    [anon_sym_BSLASHfullcite] = ACTIONS(7039),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7039),
    [anon_sym_BSLASHcitealt] = ACTIONS(7039),
    [anon_sym_BSLASHcitealp] = ACTIONS(7039),
    [anon_sym_BSLASHcitetext] = ACTIONS(7039),
    [anon_sym_BSLASHparencite] = ACTIONS(7039),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHParencite] = ACTIONS(7039),
    [anon_sym_BSLASHfootcite] = ACTIONS(7039),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7039),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7039),
    [anon_sym_BSLASHtextcite] = ACTIONS(7039),
    [anon_sym_BSLASHTextcite] = ACTIONS(7039),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7039),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7039),
    [anon_sym_BSLASHsupercite] = ACTIONS(7039),
    [anon_sym_BSLASHautocite] = ACTIONS(7039),
    [anon_sym_BSLASHAutocite] = ACTIONS(7039),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHVolcite] = ACTIONS(7039),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHavolcite] = ACTIONS(7039),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHnotecite] = ACTIONS(7039),
    [anon_sym_BSLASHNotecite] = ACTIONS(7039),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7039),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7039),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7039),
    [anon_sym_BSLASHlabel] = ACTIONS(7039),
    [anon_sym_BSLASHref] = ACTIONS(7039),
    [anon_sym_BSLASHeqref] = ACTIONS(7039),
    [anon_sym_BSLASHvref] = ACTIONS(7039),
    [anon_sym_BSLASHVref] = ACTIONS(7039),
    [anon_sym_BSLASHautoref] = ACTIONS(7039),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHpageref] = ACTIONS(7039),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHautopageref] = ACTIONS(7039),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcref] = ACTIONS(7039),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHCref] = ACTIONS(7039),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcpageref] = ACTIONS(7039),
    [anon_sym_BSLASHCpageref] = ACTIONS(7039),
    [anon_sym_BSLASHnamecref] = ACTIONS(7039),
    [anon_sym_BSLASHnameCref] = ACTIONS(7039),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7039),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7039),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7039),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7039),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7039),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7039),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7039),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7039),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7039),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7039),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7039),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7039),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7039),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7039),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7039),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7039),
    [anon_sym_BSLASHdef] = ACTIONS(7039),
    [anon_sym_BSLASHgdef] = ACTIONS(7039),
    [anon_sym_BSLASHedef] = ACTIONS(7039),
    [anon_sym_BSLASHxdef] = ACTIONS(7039),
    [anon_sym_BSLASHlet] = ACTIONS(7039),
    [anon_sym_BSLASHglet] = ACTIONS(7039),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7039),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7039),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7039),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7039),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7039),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7039),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7039),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7039),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7039),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7039),
    [anon_sym_BSLASHgls] = ACTIONS(7039),
    [anon_sym_BSLASHGls] = ACTIONS(7039),
    [anon_sym_BSLASHGLS] = ACTIONS(7039),
    [anon_sym_BSLASHglspl] = ACTIONS(7039),
    [anon_sym_BSLASHGlspl] = ACTIONS(7039),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7039),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7039),
    [anon_sym_BSLASHglslink] = ACTIONS(7039),
    [anon_sym_BSLASHglstext] = ACTIONS(7039),
    [anon_sym_BSLASHGlstext] = ACTIONS(7039),
    [anon_sym_BSLASHGLStext] = ACTIONS(7039),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7039),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7039),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7039),
    [anon_sym_BSLASHglsplural] = ACTIONS(7039),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7039),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7039),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7039),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7039),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7039),
    [anon_sym_BSLASHglsname] = ACTIONS(7039),
    [anon_sym_BSLASHGlsname] = ACTIONS(7039),
    [anon_sym_BSLASHGLSname] = ACTIONS(7039),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7039),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7039),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7039),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7039),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7039),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7039),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7039),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7039),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7039),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7039),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7039),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7039),
    [anon_sym_BSLASHacrshort] = ACTIONS(7039),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7039),
    [anon_sym_BSLASHACRshort] = ACTIONS(7039),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7039),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7039),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7039),
    [anon_sym_BSLASHacrlong] = ACTIONS(7039),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7039),
    [anon_sym_BSLASHACRlong] = ACTIONS(7039),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7039),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7039),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7039),
    [anon_sym_BSLASHacrfull] = ACTIONS(7039),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7039),
    [anon_sym_BSLASHACRfull] = ACTIONS(7039),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7039),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7039),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7039),
    [anon_sym_BSLASHacs] = ACTIONS(7039),
    [anon_sym_BSLASHAcs] = ACTIONS(7039),
    [anon_sym_BSLASHacsp] = ACTIONS(7039),
    [anon_sym_BSLASHAcsp] = ACTIONS(7039),
    [anon_sym_BSLASHacl] = ACTIONS(7039),
    [anon_sym_BSLASHAcl] = ACTIONS(7039),
    [anon_sym_BSLASHaclp] = ACTIONS(7039),
    [anon_sym_BSLASHAclp] = ACTIONS(7039),
    [anon_sym_BSLASHacf] = ACTIONS(7039),
    [anon_sym_BSLASHAcf] = ACTIONS(7039),
    [anon_sym_BSLASHacfp] = ACTIONS(7039),
    [anon_sym_BSLASHAcfp] = ACTIONS(7039),
    [anon_sym_BSLASHac] = ACTIONS(7039),
    [anon_sym_BSLASHAc] = ACTIONS(7039),
    [anon_sym_BSLASHacp] = ACTIONS(7039),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7039),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7039),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7039),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7039),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7039),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7039),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7039),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7039),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7039),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7039),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7039),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7039),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7039),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7039),
    [anon_sym_BSLASHcolor] = ACTIONS(7039),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7039),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7039),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7039),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7039),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7039),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7039),
    [anon_sym_BSLASHurl] = ACTIONS(7039),
    [anon_sym_BSLASHhref] = ACTIONS(7039),
  },
  [1281] = {
    [sym_command_name] = ACTIONS(7599),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7599),
    [anon_sym_LBRACK] = ACTIONS(7601),
    [anon_sym_RBRACK] = ACTIONS(7601),
    [anon_sym_COMMA] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(7601),
    [anon_sym_LPAREN] = ACTIONS(7601),
    [anon_sym_RPAREN] = ACTIONS(7601),
    [anon_sym_BSLASHpart] = ACTIONS(7599),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHaddpart] = ACTIONS(7599),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHchapter] = ACTIONS(7599),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHaddchap] = ACTIONS(7599),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHsection] = ACTIONS(7599),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHaddsec] = ACTIONS(7599),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHsubsection] = ACTIONS(7599),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7599),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHparagraph] = ACTIONS(7599),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7599),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHitem] = ACTIONS(7599),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7601),
    [anon_sym_LBRACE] = ACTIONS(7601),
    [sym_word] = ACTIONS(7599),
    [sym_placeholder] = ACTIONS(7601),
    [sym_delimiter] = ACTIONS(7601),
    [anon_sym_PLUS] = ACTIONS(7601),
    [anon_sym_DASH] = ACTIONS(7601),
    [anon_sym_STAR] = ACTIONS(7601),
    [anon_sym_SLASH] = ACTIONS(7601),
    [anon_sym_LT] = ACTIONS(7599),
    [anon_sym_GT] = ACTIONS(7599),
    [anon_sym_BANG] = ACTIONS(7599),
    [anon_sym_PIPE] = ACTIONS(7599),
    [anon_sym_COLON] = ACTIONS(7599),
    [anon_sym_SQUOTE] = ACTIONS(7599),
    [anon_sym__] = ACTIONS(7601),
    [anon_sym_CARET] = ACTIONS(7601),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7601),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7601),
    [anon_sym_DOLLAR] = ACTIONS(7599),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7601),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7601),
    [anon_sym_BSLASHleft] = ACTIONS(7599),
    [anon_sym_BSLASHbigl] = ACTIONS(7599),
    [anon_sym_BSLASHBigl] = ACTIONS(7599),
    [anon_sym_BSLASHbiggl] = ACTIONS(7599),
    [anon_sym_BSLASHBiggl] = ACTIONS(7599),
    [anon_sym_BSLASHtext] = ACTIONS(7599),
    [anon_sym_BSLASHintertext] = ACTIONS(7599),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7599),
    [anon_sym_BSLASHbegin] = ACTIONS(7599),
    [anon_sym_BSLASHtitle] = ACTIONS(7599),
    [anon_sym_BSLASHauthor] = ACTIONS(7599),
    [anon_sym_BSLASHusepackage] = ACTIONS(7599),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7599),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7599),
    [anon_sym_BSLASHinclude] = ACTIONS(7599),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7599),
    [anon_sym_BSLASHinput] = ACTIONS(7599),
    [anon_sym_BSLASHsubfile] = ACTIONS(7599),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7599),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7599),
    [anon_sym_BSLASHbibliography] = ACTIONS(7599),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7599),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7599),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7599),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7599),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7599),
    [anon_sym_BSLASHimport] = ACTIONS(7599),
    [anon_sym_BSLASHsubimport] = ACTIONS(7599),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7599),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7599),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7599),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7599),
    [anon_sym_BSLASHcaption] = ACTIONS(7599),
    [anon_sym_BSLASHcite] = ACTIONS(7599),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCite] = ACTIONS(7599),
    [anon_sym_BSLASHnocite] = ACTIONS(7599),
    [anon_sym_BSLASHcitet] = ACTIONS(7599),
    [anon_sym_BSLASHcitep] = ACTIONS(7599),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteA] = ACTIONS(7599),
    [anon_sym_BSLASHciteR] = ACTIONS(7599),
    [anon_sym_BSLASHciteS] = ACTIONS(7599),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7599),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7599),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7599),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7599),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteyear] = ACTIONS(7599),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitedate] = ACTIONS(7599),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteurl] = ACTIONS(7599),
    [anon_sym_BSLASHfullcite] = ACTIONS(7599),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7599),
    [anon_sym_BSLASHcitealt] = ACTIONS(7599),
    [anon_sym_BSLASHcitealp] = ACTIONS(7599),
    [anon_sym_BSLASHcitetext] = ACTIONS(7599),
    [anon_sym_BSLASHparencite] = ACTIONS(7599),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHParencite] = ACTIONS(7599),
    [anon_sym_BSLASHfootcite] = ACTIONS(7599),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7599),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7599),
    [anon_sym_BSLASHtextcite] = ACTIONS(7599),
    [anon_sym_BSLASHTextcite] = ACTIONS(7599),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7599),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7599),
    [anon_sym_BSLASHsupercite] = ACTIONS(7599),
    [anon_sym_BSLASHautocite] = ACTIONS(7599),
    [anon_sym_BSLASHAutocite] = ACTIONS(7599),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHVolcite] = ACTIONS(7599),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHavolcite] = ACTIONS(7599),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHNotecite] = ACTIONS(7599),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHlabel] = ACTIONS(7599),
    [anon_sym_BSLASHref] = ACTIONS(7599),
    [anon_sym_BSLASHeqref] = ACTIONS(7599),
    [anon_sym_BSLASHvref] = ACTIONS(7599),
    [anon_sym_BSLASHVref] = ACTIONS(7599),
    [anon_sym_BSLASHautoref] = ACTIONS(7599),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHpageref] = ACTIONS(7599),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHautopageref] = ACTIONS(7599),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcref] = ACTIONS(7599),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCref] = ACTIONS(7599),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcpageref] = ACTIONS(7599),
    [anon_sym_BSLASHCpageref] = ACTIONS(7599),
    [anon_sym_BSLASHnamecref] = ACTIONS(7599),
    [anon_sym_BSLASHnameCref] = ACTIONS(7599),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7599),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7599),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7599),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7599),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7599),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7599),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7599),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7599),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7599),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7599),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7599),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHdef] = ACTIONS(7599),
    [anon_sym_BSLASHgdef] = ACTIONS(7599),
    [anon_sym_BSLASHedef] = ACTIONS(7599),
    [anon_sym_BSLASHxdef] = ACTIONS(7599),
    [anon_sym_BSLASHlet] = ACTIONS(7599),
    [anon_sym_BSLASHglet] = ACTIONS(7599),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7599),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7599),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7599),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7599),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7599),
    [anon_sym_BSLASHgls] = ACTIONS(7599),
    [anon_sym_BSLASHGls] = ACTIONS(7599),
    [anon_sym_BSLASHGLS] = ACTIONS(7599),
    [anon_sym_BSLASHglspl] = ACTIONS(7599),
    [anon_sym_BSLASHGlspl] = ACTIONS(7599),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7599),
    [anon_sym_BSLASHglslink] = ACTIONS(7599),
    [anon_sym_BSLASHglstext] = ACTIONS(7599),
    [anon_sym_BSLASHGlstext] = ACTIONS(7599),
    [anon_sym_BSLASHGLStext] = ACTIONS(7599),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7599),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7599),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7599),
    [anon_sym_BSLASHglsplural] = ACTIONS(7599),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7599),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7599),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHglsname] = ACTIONS(7599),
    [anon_sym_BSLASHGlsname] = ACTIONS(7599),
    [anon_sym_BSLASHGLSname] = ACTIONS(7599),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7599),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7599),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7599),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7599),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7599),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7599),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7599),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7599),
    [anon_sym_BSLASHacrshort] = ACTIONS(7599),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7599),
    [anon_sym_BSLASHACRshort] = ACTIONS(7599),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHacrlong] = ACTIONS(7599),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7599),
    [anon_sym_BSLASHACRlong] = ACTIONS(7599),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHacrfull] = ACTIONS(7599),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7599),
    [anon_sym_BSLASHACRfull] = ACTIONS(7599),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHacs] = ACTIONS(7599),
    [anon_sym_BSLASHAcs] = ACTIONS(7599),
    [anon_sym_BSLASHacsp] = ACTIONS(7599),
    [anon_sym_BSLASHAcsp] = ACTIONS(7599),
    [anon_sym_BSLASHacl] = ACTIONS(7599),
    [anon_sym_BSLASHAcl] = ACTIONS(7599),
    [anon_sym_BSLASHaclp] = ACTIONS(7599),
    [anon_sym_BSLASHAclp] = ACTIONS(7599),
    [anon_sym_BSLASHacf] = ACTIONS(7599),
    [anon_sym_BSLASHAcf] = ACTIONS(7599),
    [anon_sym_BSLASHacfp] = ACTIONS(7599),
    [anon_sym_BSLASHAcfp] = ACTIONS(7599),
    [anon_sym_BSLASHac] = ACTIONS(7599),
    [anon_sym_BSLASHAc] = ACTIONS(7599),
    [anon_sym_BSLASHacp] = ACTIONS(7599),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7599),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7599),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7599),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7599),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7599),
    [anon_sym_BSLASHcolor] = ACTIONS(7599),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7599),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7599),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7599),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7599),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7599),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7599),
    [anon_sym_BSLASHurl] = ACTIONS(7599),
    [anon_sym_BSLASHhref] = ACTIONS(7599),
  },
  [1282] = {
    [sym_command_name] = ACTIONS(7047),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7047),
    [anon_sym_LBRACK] = ACTIONS(7049),
    [anon_sym_RBRACK] = ACTIONS(7049),
    [anon_sym_COMMA] = ACTIONS(7049),
    [anon_sym_EQ] = ACTIONS(7049),
    [anon_sym_LPAREN] = ACTIONS(7049),
    [anon_sym_RPAREN] = ACTIONS(7049),
    [anon_sym_BSLASHpart] = ACTIONS(7047),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddpart] = ACTIONS(7047),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHchapter] = ACTIONS(7047),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddchap] = ACTIONS(7047),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsection] = ACTIONS(7047),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddsec] = ACTIONS(7047),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubsection] = ACTIONS(7047),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7047),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHparagraph] = ACTIONS(7047),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7047),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHitem] = ACTIONS(7047),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7049),
    [anon_sym_LBRACE] = ACTIONS(7049),
    [sym_word] = ACTIONS(7047),
    [sym_placeholder] = ACTIONS(7049),
    [sym_delimiter] = ACTIONS(7049),
    [anon_sym_PLUS] = ACTIONS(7049),
    [anon_sym_DASH] = ACTIONS(7049),
    [anon_sym_STAR] = ACTIONS(7049),
    [anon_sym_SLASH] = ACTIONS(7049),
    [anon_sym_LT] = ACTIONS(7047),
    [anon_sym_GT] = ACTIONS(7047),
    [anon_sym_BANG] = ACTIONS(7047),
    [anon_sym_PIPE] = ACTIONS(7047),
    [anon_sym_COLON] = ACTIONS(7047),
    [anon_sym_SQUOTE] = ACTIONS(7047),
    [anon_sym__] = ACTIONS(7049),
    [anon_sym_CARET] = ACTIONS(7049),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7049),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7049),
    [anon_sym_DOLLAR] = ACTIONS(7047),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7049),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7049),
    [anon_sym_BSLASHleft] = ACTIONS(7047),
    [anon_sym_BSLASHbigl] = ACTIONS(7047),
    [anon_sym_BSLASHBigl] = ACTIONS(7047),
    [anon_sym_BSLASHbiggl] = ACTIONS(7047),
    [anon_sym_BSLASHBiggl] = ACTIONS(7047),
    [anon_sym_BSLASHtext] = ACTIONS(7047),
    [anon_sym_BSLASHintertext] = ACTIONS(7047),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7047),
    [anon_sym_BSLASHbegin] = ACTIONS(7047),
    [anon_sym_BSLASHtitle] = ACTIONS(7047),
    [anon_sym_BSLASHauthor] = ACTIONS(7047),
    [anon_sym_BSLASHusepackage] = ACTIONS(7047),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7047),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7047),
    [anon_sym_BSLASHinclude] = ACTIONS(7047),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7047),
    [anon_sym_BSLASHinput] = ACTIONS(7047),
    [anon_sym_BSLASHsubfile] = ACTIONS(7047),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7047),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7047),
    [anon_sym_BSLASHbibliography] = ACTIONS(7047),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7047),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7047),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7047),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7047),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7047),
    [anon_sym_BSLASHimport] = ACTIONS(7047),
    [anon_sym_BSLASHsubimport] = ACTIONS(7047),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7047),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7047),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7047),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7047),
    [anon_sym_BSLASHcaption] = ACTIONS(7047),
    [anon_sym_BSLASHcite] = ACTIONS(7047),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCite] = ACTIONS(7047),
    [anon_sym_BSLASHnocite] = ACTIONS(7047),
    [anon_sym_BSLASHcitet] = ACTIONS(7047),
    [anon_sym_BSLASHcitep] = ACTIONS(7047),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteA] = ACTIONS(7047),
    [anon_sym_BSLASHciteR] = ACTIONS(7047),
    [anon_sym_BSLASHciteS] = ACTIONS(7047),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7047),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7047),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7047),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7047),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteyear] = ACTIONS(7047),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitedate] = ACTIONS(7047),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteurl] = ACTIONS(7047),
    [anon_sym_BSLASHfullcite] = ACTIONS(7047),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7047),
    [anon_sym_BSLASHcitealt] = ACTIONS(7047),
    [anon_sym_BSLASHcitealp] = ACTIONS(7047),
    [anon_sym_BSLASHcitetext] = ACTIONS(7047),
    [anon_sym_BSLASHparencite] = ACTIONS(7047),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHParencite] = ACTIONS(7047),
    [anon_sym_BSLASHfootcite] = ACTIONS(7047),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7047),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7047),
    [anon_sym_BSLASHtextcite] = ACTIONS(7047),
    [anon_sym_BSLASHTextcite] = ACTIONS(7047),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7047),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7047),
    [anon_sym_BSLASHsupercite] = ACTIONS(7047),
    [anon_sym_BSLASHautocite] = ACTIONS(7047),
    [anon_sym_BSLASHAutocite] = ACTIONS(7047),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHVolcite] = ACTIONS(7047),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHavolcite] = ACTIONS(7047),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHNotecite] = ACTIONS(7047),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHlabel] = ACTIONS(7047),
    [anon_sym_BSLASHref] = ACTIONS(7047),
    [anon_sym_BSLASHeqref] = ACTIONS(7047),
    [anon_sym_BSLASHvref] = ACTIONS(7047),
    [anon_sym_BSLASHVref] = ACTIONS(7047),
    [anon_sym_BSLASHautoref] = ACTIONS(7047),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHpageref] = ACTIONS(7047),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHautopageref] = ACTIONS(7047),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcref] = ACTIONS(7047),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCref] = ACTIONS(7047),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcpageref] = ACTIONS(7047),
    [anon_sym_BSLASHCpageref] = ACTIONS(7047),
    [anon_sym_BSLASHnamecref] = ACTIONS(7047),
    [anon_sym_BSLASHnameCref] = ACTIONS(7047),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7047),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7047),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7047),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7047),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7047),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7047),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7047),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7047),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7047),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7047),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7047),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHdef] = ACTIONS(7047),
    [anon_sym_BSLASHgdef] = ACTIONS(7047),
    [anon_sym_BSLASHedef] = ACTIONS(7047),
    [anon_sym_BSLASHxdef] = ACTIONS(7047),
    [anon_sym_BSLASHlet] = ACTIONS(7047),
    [anon_sym_BSLASHglet] = ACTIONS(7047),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7047),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7047),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7047),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7047),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7047),
    [anon_sym_BSLASHgls] = ACTIONS(7047),
    [anon_sym_BSLASHGls] = ACTIONS(7047),
    [anon_sym_BSLASHGLS] = ACTIONS(7047),
    [anon_sym_BSLASHglspl] = ACTIONS(7047),
    [anon_sym_BSLASHGlspl] = ACTIONS(7047),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7047),
    [anon_sym_BSLASHglslink] = ACTIONS(7047),
    [anon_sym_BSLASHglstext] = ACTIONS(7047),
    [anon_sym_BSLASHGlstext] = ACTIONS(7047),
    [anon_sym_BSLASHGLStext] = ACTIONS(7047),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7047),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7047),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7047),
    [anon_sym_BSLASHglsplural] = ACTIONS(7047),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7047),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7047),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHglsname] = ACTIONS(7047),
    [anon_sym_BSLASHGlsname] = ACTIONS(7047),
    [anon_sym_BSLASHGLSname] = ACTIONS(7047),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7047),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7047),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7047),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7047),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7047),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7047),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7047),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7047),
    [anon_sym_BSLASHacrshort] = ACTIONS(7047),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7047),
    [anon_sym_BSLASHACRshort] = ACTIONS(7047),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHacrlong] = ACTIONS(7047),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7047),
    [anon_sym_BSLASHACRlong] = ACTIONS(7047),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHacrfull] = ACTIONS(7047),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7047),
    [anon_sym_BSLASHACRfull] = ACTIONS(7047),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHacs] = ACTIONS(7047),
    [anon_sym_BSLASHAcs] = ACTIONS(7047),
    [anon_sym_BSLASHacsp] = ACTIONS(7047),
    [anon_sym_BSLASHAcsp] = ACTIONS(7047),
    [anon_sym_BSLASHacl] = ACTIONS(7047),
    [anon_sym_BSLASHAcl] = ACTIONS(7047),
    [anon_sym_BSLASHaclp] = ACTIONS(7047),
    [anon_sym_BSLASHAclp] = ACTIONS(7047),
    [anon_sym_BSLASHacf] = ACTIONS(7047),
    [anon_sym_BSLASHAcf] = ACTIONS(7047),
    [anon_sym_BSLASHacfp] = ACTIONS(7047),
    [anon_sym_BSLASHAcfp] = ACTIONS(7047),
    [anon_sym_BSLASHac] = ACTIONS(7047),
    [anon_sym_BSLASHAc] = ACTIONS(7047),
    [anon_sym_BSLASHacp] = ACTIONS(7047),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7047),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7047),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7047),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7047),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7047),
    [anon_sym_BSLASHcolor] = ACTIONS(7047),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7047),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7047),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7047),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7047),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7047),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7047),
    [anon_sym_BSLASHurl] = ACTIONS(7047),
    [anon_sym_BSLASHhref] = ACTIONS(7047),
  },
  [1283] = {
    [sym_command_name] = ACTIONS(7487),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7487),
    [anon_sym_LBRACK] = ACTIONS(7489),
    [anon_sym_RBRACK] = ACTIONS(7489),
    [anon_sym_COMMA] = ACTIONS(7489),
    [anon_sym_EQ] = ACTIONS(7489),
    [anon_sym_LPAREN] = ACTIONS(7489),
    [anon_sym_RPAREN] = ACTIONS(7489),
    [anon_sym_BSLASHpart] = ACTIONS(7487),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHaddpart] = ACTIONS(7487),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHchapter] = ACTIONS(7487),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHaddchap] = ACTIONS(7487),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHsection] = ACTIONS(7487),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHaddsec] = ACTIONS(7487),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHsubsection] = ACTIONS(7487),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7487),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHparagraph] = ACTIONS(7487),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7487),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHitem] = ACTIONS(7487),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7489),
    [anon_sym_LBRACE] = ACTIONS(7489),
    [sym_word] = ACTIONS(7487),
    [sym_placeholder] = ACTIONS(7489),
    [sym_delimiter] = ACTIONS(7489),
    [anon_sym_PLUS] = ACTIONS(7489),
    [anon_sym_DASH] = ACTIONS(7489),
    [anon_sym_STAR] = ACTIONS(7489),
    [anon_sym_SLASH] = ACTIONS(7489),
    [anon_sym_LT] = ACTIONS(7487),
    [anon_sym_GT] = ACTIONS(7487),
    [anon_sym_BANG] = ACTIONS(7487),
    [anon_sym_PIPE] = ACTIONS(7487),
    [anon_sym_COLON] = ACTIONS(7487),
    [anon_sym_SQUOTE] = ACTIONS(7487),
    [anon_sym__] = ACTIONS(7489),
    [anon_sym_CARET] = ACTIONS(7489),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7489),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7489),
    [anon_sym_DOLLAR] = ACTIONS(7487),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7489),
    [anon_sym_BSLASHleft] = ACTIONS(7487),
    [anon_sym_BSLASHbigl] = ACTIONS(7487),
    [anon_sym_BSLASHBigl] = ACTIONS(7487),
    [anon_sym_BSLASHbiggl] = ACTIONS(7487),
    [anon_sym_BSLASHBiggl] = ACTIONS(7487),
    [anon_sym_BSLASHtext] = ACTIONS(7487),
    [anon_sym_BSLASHintertext] = ACTIONS(7487),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7487),
    [anon_sym_BSLASHbegin] = ACTIONS(7487),
    [anon_sym_BSLASHend] = ACTIONS(7487),
    [anon_sym_BSLASHtitle] = ACTIONS(7487),
    [anon_sym_BSLASHauthor] = ACTIONS(7487),
    [anon_sym_BSLASHusepackage] = ACTIONS(7487),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7487),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7487),
    [anon_sym_BSLASHinclude] = ACTIONS(7487),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7487),
    [anon_sym_BSLASHinput] = ACTIONS(7487),
    [anon_sym_BSLASHsubfile] = ACTIONS(7487),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7487),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7487),
    [anon_sym_BSLASHbibliography] = ACTIONS(7487),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7487),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7487),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7487),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7487),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7487),
    [anon_sym_BSLASHimport] = ACTIONS(7487),
    [anon_sym_BSLASHsubimport] = ACTIONS(7487),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7487),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7487),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7487),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7487),
    [anon_sym_BSLASHcaption] = ACTIONS(7487),
    [anon_sym_BSLASHcite] = ACTIONS(7487),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCite] = ACTIONS(7487),
    [anon_sym_BSLASHnocite] = ACTIONS(7487),
    [anon_sym_BSLASHcitet] = ACTIONS(7487),
    [anon_sym_BSLASHcitep] = ACTIONS(7487),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteA] = ACTIONS(7487),
    [anon_sym_BSLASHciteR] = ACTIONS(7487),
    [anon_sym_BSLASHciteS] = ACTIONS(7487),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7487),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7487),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7487),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7487),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteyear] = ACTIONS(7487),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitedate] = ACTIONS(7487),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteurl] = ACTIONS(7487),
    [anon_sym_BSLASHfullcite] = ACTIONS(7487),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7487),
    [anon_sym_BSLASHcitealt] = ACTIONS(7487),
    [anon_sym_BSLASHcitealp] = ACTIONS(7487),
    [anon_sym_BSLASHcitetext] = ACTIONS(7487),
    [anon_sym_BSLASHparencite] = ACTIONS(7487),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHParencite] = ACTIONS(7487),
    [anon_sym_BSLASHfootcite] = ACTIONS(7487),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7487),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7487),
    [anon_sym_BSLASHtextcite] = ACTIONS(7487),
    [anon_sym_BSLASHTextcite] = ACTIONS(7487),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7487),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7487),
    [anon_sym_BSLASHsupercite] = ACTIONS(7487),
    [anon_sym_BSLASHautocite] = ACTIONS(7487),
    [anon_sym_BSLASHAutocite] = ACTIONS(7487),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHVolcite] = ACTIONS(7487),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHavolcite] = ACTIONS(7487),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHNotecite] = ACTIONS(7487),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHlabel] = ACTIONS(7487),
    [anon_sym_BSLASHref] = ACTIONS(7487),
    [anon_sym_BSLASHeqref] = ACTIONS(7487),
    [anon_sym_BSLASHvref] = ACTIONS(7487),
    [anon_sym_BSLASHVref] = ACTIONS(7487),
    [anon_sym_BSLASHautoref] = ACTIONS(7487),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHpageref] = ACTIONS(7487),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHautopageref] = ACTIONS(7487),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcref] = ACTIONS(7487),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCref] = ACTIONS(7487),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcpageref] = ACTIONS(7487),
    [anon_sym_BSLASHCpageref] = ACTIONS(7487),
    [anon_sym_BSLASHnamecref] = ACTIONS(7487),
    [anon_sym_BSLASHnameCref] = ACTIONS(7487),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7487),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7487),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7487),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7487),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7487),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7487),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7487),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7487),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7487),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7487),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7487),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHdef] = ACTIONS(7487),
    [anon_sym_BSLASHgdef] = ACTIONS(7487),
    [anon_sym_BSLASHedef] = ACTIONS(7487),
    [anon_sym_BSLASHxdef] = ACTIONS(7487),
    [anon_sym_BSLASHlet] = ACTIONS(7487),
    [anon_sym_BSLASHglet] = ACTIONS(7487),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7487),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7487),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7487),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7487),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7487),
    [anon_sym_BSLASHgls] = ACTIONS(7487),
    [anon_sym_BSLASHGls] = ACTIONS(7487),
    [anon_sym_BSLASHGLS] = ACTIONS(7487),
    [anon_sym_BSLASHglspl] = ACTIONS(7487),
    [anon_sym_BSLASHGlspl] = ACTIONS(7487),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7487),
    [anon_sym_BSLASHglslink] = ACTIONS(7487),
    [anon_sym_BSLASHglstext] = ACTIONS(7487),
    [anon_sym_BSLASHGlstext] = ACTIONS(7487),
    [anon_sym_BSLASHGLStext] = ACTIONS(7487),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7487),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7487),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7487),
    [anon_sym_BSLASHglsplural] = ACTIONS(7487),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7487),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7487),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHglsname] = ACTIONS(7487),
    [anon_sym_BSLASHGlsname] = ACTIONS(7487),
    [anon_sym_BSLASHGLSname] = ACTIONS(7487),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7487),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7487),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7487),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7487),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7487),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7487),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7487),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7487),
    [anon_sym_BSLASHacrshort] = ACTIONS(7487),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7487),
    [anon_sym_BSLASHACRshort] = ACTIONS(7487),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHacrlong] = ACTIONS(7487),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7487),
    [anon_sym_BSLASHACRlong] = ACTIONS(7487),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHacrfull] = ACTIONS(7487),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7487),
    [anon_sym_BSLASHACRfull] = ACTIONS(7487),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHacs] = ACTIONS(7487),
    [anon_sym_BSLASHAcs] = ACTIONS(7487),
    [anon_sym_BSLASHacsp] = ACTIONS(7487),
    [anon_sym_BSLASHAcsp] = ACTIONS(7487),
    [anon_sym_BSLASHacl] = ACTIONS(7487),
    [anon_sym_BSLASHAcl] = ACTIONS(7487),
    [anon_sym_BSLASHaclp] = ACTIONS(7487),
    [anon_sym_BSLASHAclp] = ACTIONS(7487),
    [anon_sym_BSLASHacf] = ACTIONS(7487),
    [anon_sym_BSLASHAcf] = ACTIONS(7487),
    [anon_sym_BSLASHacfp] = ACTIONS(7487),
    [anon_sym_BSLASHAcfp] = ACTIONS(7487),
    [anon_sym_BSLASHac] = ACTIONS(7487),
    [anon_sym_BSLASHAc] = ACTIONS(7487),
    [anon_sym_BSLASHacp] = ACTIONS(7487),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7487),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7487),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7487),
    [anon_sym_BSLASHcolor] = ACTIONS(7487),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7487),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7487),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7487),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7487),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7487),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7487),
    [anon_sym_BSLASHurl] = ACTIONS(7487),
    [anon_sym_BSLASHhref] = ACTIONS(7487),
  },
  [1284] = {
    [sym_command_name] = ACTIONS(7199),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7199),
    [anon_sym_LBRACK] = ACTIONS(7201),
    [anon_sym_RBRACK] = ACTIONS(7201),
    [anon_sym_COMMA] = ACTIONS(7201),
    [anon_sym_EQ] = ACTIONS(7201),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_RPAREN] = ACTIONS(7201),
    [anon_sym_BSLASHpart] = ACTIONS(7199),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHaddpart] = ACTIONS(7199),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHchapter] = ACTIONS(7199),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHaddchap] = ACTIONS(7199),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHsection] = ACTIONS(7199),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHaddsec] = ACTIONS(7199),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHsubsection] = ACTIONS(7199),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHparagraph] = ACTIONS(7199),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7199),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHitem] = ACTIONS(7199),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7201),
    [anon_sym_LBRACE] = ACTIONS(7201),
    [sym_word] = ACTIONS(7199),
    [sym_placeholder] = ACTIONS(7201),
    [sym_delimiter] = ACTIONS(7201),
    [anon_sym_PLUS] = ACTIONS(7201),
    [anon_sym_DASH] = ACTIONS(7201),
    [anon_sym_STAR] = ACTIONS(7201),
    [anon_sym_SLASH] = ACTIONS(7201),
    [anon_sym_LT] = ACTIONS(7199),
    [anon_sym_GT] = ACTIONS(7199),
    [anon_sym_BANG] = ACTIONS(7199),
    [anon_sym_PIPE] = ACTIONS(7199),
    [anon_sym_COLON] = ACTIONS(7199),
    [anon_sym_SQUOTE] = ACTIONS(7199),
    [anon_sym__] = ACTIONS(7201),
    [anon_sym_CARET] = ACTIONS(7201),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7201),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7201),
    [anon_sym_DOLLAR] = ACTIONS(7199),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7201),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7201),
    [anon_sym_BSLASHleft] = ACTIONS(7199),
    [anon_sym_BSLASHbigl] = ACTIONS(7199),
    [anon_sym_BSLASHBigl] = ACTIONS(7199),
    [anon_sym_BSLASHbiggl] = ACTIONS(7199),
    [anon_sym_BSLASHBiggl] = ACTIONS(7199),
    [anon_sym_BSLASHtext] = ACTIONS(7199),
    [anon_sym_BSLASHintertext] = ACTIONS(7199),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7199),
    [anon_sym_BSLASHbegin] = ACTIONS(7199),
    [anon_sym_BSLASHtitle] = ACTIONS(7199),
    [anon_sym_BSLASHauthor] = ACTIONS(7199),
    [anon_sym_BSLASHusepackage] = ACTIONS(7199),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7199),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7199),
    [anon_sym_BSLASHinclude] = ACTIONS(7199),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7199),
    [anon_sym_BSLASHinput] = ACTIONS(7199),
    [anon_sym_BSLASHsubfile] = ACTIONS(7199),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7199),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7199),
    [anon_sym_BSLASHbibliography] = ACTIONS(7199),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7199),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7199),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7199),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7199),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7199),
    [anon_sym_BSLASHimport] = ACTIONS(7199),
    [anon_sym_BSLASHsubimport] = ACTIONS(7199),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7199),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7199),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7199),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7199),
    [anon_sym_BSLASHcaption] = ACTIONS(7199),
    [anon_sym_BSLASHcite] = ACTIONS(7199),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCite] = ACTIONS(7199),
    [anon_sym_BSLASHnocite] = ACTIONS(7199),
    [anon_sym_BSLASHcitet] = ACTIONS(7199),
    [anon_sym_BSLASHcitep] = ACTIONS(7199),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteA] = ACTIONS(7199),
    [anon_sym_BSLASHciteR] = ACTIONS(7199),
    [anon_sym_BSLASHciteS] = ACTIONS(7199),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7199),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7199),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7199),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7199),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteyear] = ACTIONS(7199),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitedate] = ACTIONS(7199),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteurl] = ACTIONS(7199),
    [anon_sym_BSLASHfullcite] = ACTIONS(7199),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7199),
    [anon_sym_BSLASHcitealt] = ACTIONS(7199),
    [anon_sym_BSLASHcitealp] = ACTIONS(7199),
    [anon_sym_BSLASHcitetext] = ACTIONS(7199),
    [anon_sym_BSLASHparencite] = ACTIONS(7199),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHParencite] = ACTIONS(7199),
    [anon_sym_BSLASHfootcite] = ACTIONS(7199),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7199),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7199),
    [anon_sym_BSLASHtextcite] = ACTIONS(7199),
    [anon_sym_BSLASHTextcite] = ACTIONS(7199),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7199),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7199),
    [anon_sym_BSLASHsupercite] = ACTIONS(7199),
    [anon_sym_BSLASHautocite] = ACTIONS(7199),
    [anon_sym_BSLASHAutocite] = ACTIONS(7199),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHVolcite] = ACTIONS(7199),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHavolcite] = ACTIONS(7199),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHNotecite] = ACTIONS(7199),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHlabel] = ACTIONS(7199),
    [anon_sym_BSLASHref] = ACTIONS(7199),
    [anon_sym_BSLASHeqref] = ACTIONS(7199),
    [anon_sym_BSLASHvref] = ACTIONS(7199),
    [anon_sym_BSLASHVref] = ACTIONS(7199),
    [anon_sym_BSLASHautoref] = ACTIONS(7199),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHpageref] = ACTIONS(7199),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHautopageref] = ACTIONS(7199),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcref] = ACTIONS(7199),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCref] = ACTIONS(7199),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcpageref] = ACTIONS(7199),
    [anon_sym_BSLASHCpageref] = ACTIONS(7199),
    [anon_sym_BSLASHnamecref] = ACTIONS(7199),
    [anon_sym_BSLASHnameCref] = ACTIONS(7199),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7199),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7199),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7199),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7199),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7199),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7199),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7199),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7199),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7199),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7199),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7199),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHdef] = ACTIONS(7199),
    [anon_sym_BSLASHgdef] = ACTIONS(7199),
    [anon_sym_BSLASHedef] = ACTIONS(7199),
    [anon_sym_BSLASHxdef] = ACTIONS(7199),
    [anon_sym_BSLASHlet] = ACTIONS(7199),
    [anon_sym_BSLASHglet] = ACTIONS(7199),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7199),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7199),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7199),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7199),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7199),
    [anon_sym_BSLASHgls] = ACTIONS(7199),
    [anon_sym_BSLASHGls] = ACTIONS(7199),
    [anon_sym_BSLASHGLS] = ACTIONS(7199),
    [anon_sym_BSLASHglspl] = ACTIONS(7199),
    [anon_sym_BSLASHGlspl] = ACTIONS(7199),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7199),
    [anon_sym_BSLASHglslink] = ACTIONS(7199),
    [anon_sym_BSLASHglstext] = ACTIONS(7199),
    [anon_sym_BSLASHGlstext] = ACTIONS(7199),
    [anon_sym_BSLASHGLStext] = ACTIONS(7199),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7199),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7199),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7199),
    [anon_sym_BSLASHglsplural] = ACTIONS(7199),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7199),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7199),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHglsname] = ACTIONS(7199),
    [anon_sym_BSLASHGlsname] = ACTIONS(7199),
    [anon_sym_BSLASHGLSname] = ACTIONS(7199),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7199),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7199),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7199),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7199),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7199),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7199),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7199),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7199),
    [anon_sym_BSLASHacrshort] = ACTIONS(7199),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7199),
    [anon_sym_BSLASHACRshort] = ACTIONS(7199),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHacrlong] = ACTIONS(7199),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7199),
    [anon_sym_BSLASHACRlong] = ACTIONS(7199),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHacrfull] = ACTIONS(7199),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7199),
    [anon_sym_BSLASHACRfull] = ACTIONS(7199),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHacs] = ACTIONS(7199),
    [anon_sym_BSLASHAcs] = ACTIONS(7199),
    [anon_sym_BSLASHacsp] = ACTIONS(7199),
    [anon_sym_BSLASHAcsp] = ACTIONS(7199),
    [anon_sym_BSLASHacl] = ACTIONS(7199),
    [anon_sym_BSLASHAcl] = ACTIONS(7199),
    [anon_sym_BSLASHaclp] = ACTIONS(7199),
    [anon_sym_BSLASHAclp] = ACTIONS(7199),
    [anon_sym_BSLASHacf] = ACTIONS(7199),
    [anon_sym_BSLASHAcf] = ACTIONS(7199),
    [anon_sym_BSLASHacfp] = ACTIONS(7199),
    [anon_sym_BSLASHAcfp] = ACTIONS(7199),
    [anon_sym_BSLASHac] = ACTIONS(7199),
    [anon_sym_BSLASHAc] = ACTIONS(7199),
    [anon_sym_BSLASHacp] = ACTIONS(7199),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7199),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7199),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7199),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7199),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7199),
    [anon_sym_BSLASHcolor] = ACTIONS(7199),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7199),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7199),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7199),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7199),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7199),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7199),
    [anon_sym_BSLASHurl] = ACTIONS(7199),
    [anon_sym_BSLASHhref] = ACTIONS(7199),
  },
  [1285] = {
    [sym_command_name] = ACTIONS(7203),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7203),
    [anon_sym_LBRACK] = ACTIONS(7205),
    [anon_sym_RBRACK] = ACTIONS(7205),
    [anon_sym_COMMA] = ACTIONS(7205),
    [anon_sym_EQ] = ACTIONS(7205),
    [anon_sym_LPAREN] = ACTIONS(7205),
    [anon_sym_RPAREN] = ACTIONS(7205),
    [anon_sym_BSLASHpart] = ACTIONS(7203),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHaddpart] = ACTIONS(7203),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHchapter] = ACTIONS(7203),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHaddchap] = ACTIONS(7203),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHsection] = ACTIONS(7203),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHaddsec] = ACTIONS(7203),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHsubsection] = ACTIONS(7203),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7203),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHparagraph] = ACTIONS(7203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7203),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHitem] = ACTIONS(7203),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7205),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [sym_word] = ACTIONS(7203),
    [sym_placeholder] = ACTIONS(7205),
    [sym_delimiter] = ACTIONS(7205),
    [anon_sym_PLUS] = ACTIONS(7205),
    [anon_sym_DASH] = ACTIONS(7205),
    [anon_sym_STAR] = ACTIONS(7205),
    [anon_sym_SLASH] = ACTIONS(7205),
    [anon_sym_LT] = ACTIONS(7203),
    [anon_sym_GT] = ACTIONS(7203),
    [anon_sym_BANG] = ACTIONS(7203),
    [anon_sym_PIPE] = ACTIONS(7203),
    [anon_sym_COLON] = ACTIONS(7203),
    [anon_sym_SQUOTE] = ACTIONS(7203),
    [anon_sym__] = ACTIONS(7205),
    [anon_sym_CARET] = ACTIONS(7205),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7205),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7203),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7205),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7205),
    [anon_sym_BSLASHleft] = ACTIONS(7203),
    [anon_sym_BSLASHbigl] = ACTIONS(7203),
    [anon_sym_BSLASHBigl] = ACTIONS(7203),
    [anon_sym_BSLASHbiggl] = ACTIONS(7203),
    [anon_sym_BSLASHBiggl] = ACTIONS(7203),
    [anon_sym_BSLASHtext] = ACTIONS(7203),
    [anon_sym_BSLASHintertext] = ACTIONS(7203),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7203),
    [anon_sym_BSLASHbegin] = ACTIONS(7203),
    [anon_sym_BSLASHtitle] = ACTIONS(7203),
    [anon_sym_BSLASHauthor] = ACTIONS(7203),
    [anon_sym_BSLASHusepackage] = ACTIONS(7203),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7203),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7203),
    [anon_sym_BSLASHinclude] = ACTIONS(7203),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7203),
    [anon_sym_BSLASHinput] = ACTIONS(7203),
    [anon_sym_BSLASHsubfile] = ACTIONS(7203),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7203),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7203),
    [anon_sym_BSLASHbibliography] = ACTIONS(7203),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7203),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7203),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7203),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7203),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7203),
    [anon_sym_BSLASHimport] = ACTIONS(7203),
    [anon_sym_BSLASHsubimport] = ACTIONS(7203),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7203),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7203),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7203),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7203),
    [anon_sym_BSLASHcaption] = ACTIONS(7203),
    [anon_sym_BSLASHcite] = ACTIONS(7203),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCite] = ACTIONS(7203),
    [anon_sym_BSLASHnocite] = ACTIONS(7203),
    [anon_sym_BSLASHcitet] = ACTIONS(7203),
    [anon_sym_BSLASHcitep] = ACTIONS(7203),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteA] = ACTIONS(7203),
    [anon_sym_BSLASHciteR] = ACTIONS(7203),
    [anon_sym_BSLASHciteS] = ACTIONS(7203),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7203),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7203),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7203),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7203),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteyear] = ACTIONS(7203),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitedate] = ACTIONS(7203),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteurl] = ACTIONS(7203),
    [anon_sym_BSLASHfullcite] = ACTIONS(7203),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7203),
    [anon_sym_BSLASHcitealt] = ACTIONS(7203),
    [anon_sym_BSLASHcitealp] = ACTIONS(7203),
    [anon_sym_BSLASHcitetext] = ACTIONS(7203),
    [anon_sym_BSLASHparencite] = ACTIONS(7203),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHParencite] = ACTIONS(7203),
    [anon_sym_BSLASHfootcite] = ACTIONS(7203),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7203),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7203),
    [anon_sym_BSLASHtextcite] = ACTIONS(7203),
    [anon_sym_BSLASHTextcite] = ACTIONS(7203),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7203),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7203),
    [anon_sym_BSLASHsupercite] = ACTIONS(7203),
    [anon_sym_BSLASHautocite] = ACTIONS(7203),
    [anon_sym_BSLASHAutocite] = ACTIONS(7203),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHVolcite] = ACTIONS(7203),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHavolcite] = ACTIONS(7203),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHNotecite] = ACTIONS(7203),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHlabel] = ACTIONS(7203),
    [anon_sym_BSLASHref] = ACTIONS(7203),
    [anon_sym_BSLASHeqref] = ACTIONS(7203),
    [anon_sym_BSLASHvref] = ACTIONS(7203),
    [anon_sym_BSLASHVref] = ACTIONS(7203),
    [anon_sym_BSLASHautoref] = ACTIONS(7203),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHpageref] = ACTIONS(7203),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHautopageref] = ACTIONS(7203),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcref] = ACTIONS(7203),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCref] = ACTIONS(7203),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcpageref] = ACTIONS(7203),
    [anon_sym_BSLASHCpageref] = ACTIONS(7203),
    [anon_sym_BSLASHnamecref] = ACTIONS(7203),
    [anon_sym_BSLASHnameCref] = ACTIONS(7203),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7203),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7203),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7203),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7203),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7203),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7203),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7203),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7203),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7203),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7203),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7203),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHdef] = ACTIONS(7203),
    [anon_sym_BSLASHgdef] = ACTIONS(7203),
    [anon_sym_BSLASHedef] = ACTIONS(7203),
    [anon_sym_BSLASHxdef] = ACTIONS(7203),
    [anon_sym_BSLASHlet] = ACTIONS(7203),
    [anon_sym_BSLASHglet] = ACTIONS(7203),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7203),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7203),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7203),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7203),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7203),
    [anon_sym_BSLASHgls] = ACTIONS(7203),
    [anon_sym_BSLASHGls] = ACTIONS(7203),
    [anon_sym_BSLASHGLS] = ACTIONS(7203),
    [anon_sym_BSLASHglspl] = ACTIONS(7203),
    [anon_sym_BSLASHGlspl] = ACTIONS(7203),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7203),
    [anon_sym_BSLASHglslink] = ACTIONS(7203),
    [anon_sym_BSLASHglstext] = ACTIONS(7203),
    [anon_sym_BSLASHGlstext] = ACTIONS(7203),
    [anon_sym_BSLASHGLStext] = ACTIONS(7203),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7203),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7203),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7203),
    [anon_sym_BSLASHglsplural] = ACTIONS(7203),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7203),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7203),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHglsname] = ACTIONS(7203),
    [anon_sym_BSLASHGlsname] = ACTIONS(7203),
    [anon_sym_BSLASHGLSname] = ACTIONS(7203),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7203),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7203),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7203),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7203),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7203),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7203),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7203),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7203),
    [anon_sym_BSLASHacrshort] = ACTIONS(7203),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7203),
    [anon_sym_BSLASHACRshort] = ACTIONS(7203),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHacrlong] = ACTIONS(7203),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7203),
    [anon_sym_BSLASHACRlong] = ACTIONS(7203),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHacrfull] = ACTIONS(7203),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7203),
    [anon_sym_BSLASHACRfull] = ACTIONS(7203),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHacs] = ACTIONS(7203),
    [anon_sym_BSLASHAcs] = ACTIONS(7203),
    [anon_sym_BSLASHacsp] = ACTIONS(7203),
    [anon_sym_BSLASHAcsp] = ACTIONS(7203),
    [anon_sym_BSLASHacl] = ACTIONS(7203),
    [anon_sym_BSLASHAcl] = ACTIONS(7203),
    [anon_sym_BSLASHaclp] = ACTIONS(7203),
    [anon_sym_BSLASHAclp] = ACTIONS(7203),
    [anon_sym_BSLASHacf] = ACTIONS(7203),
    [anon_sym_BSLASHAcf] = ACTIONS(7203),
    [anon_sym_BSLASHacfp] = ACTIONS(7203),
    [anon_sym_BSLASHAcfp] = ACTIONS(7203),
    [anon_sym_BSLASHac] = ACTIONS(7203),
    [anon_sym_BSLASHAc] = ACTIONS(7203),
    [anon_sym_BSLASHacp] = ACTIONS(7203),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7203),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7203),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7203),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7203),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7203),
    [anon_sym_BSLASHcolor] = ACTIONS(7203),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7203),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7203),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7203),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7203),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7203),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7203),
    [anon_sym_BSLASHurl] = ACTIONS(7203),
    [anon_sym_BSLASHhref] = ACTIONS(7203),
  },
  [1286] = {
    [sym_command_name] = ACTIONS(7071),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7071),
    [anon_sym_LBRACK] = ACTIONS(7073),
    [anon_sym_RBRACK] = ACTIONS(7073),
    [anon_sym_COMMA] = ACTIONS(7073),
    [anon_sym_EQ] = ACTIONS(7073),
    [anon_sym_LPAREN] = ACTIONS(7073),
    [anon_sym_RPAREN] = ACTIONS(7073),
    [anon_sym_BSLASHpart] = ACTIONS(7071),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHaddpart] = ACTIONS(7071),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHchapter] = ACTIONS(7071),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHaddchap] = ACTIONS(7071),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHsection] = ACTIONS(7071),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHaddsec] = ACTIONS(7071),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHsubsection] = ACTIONS(7071),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7071),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHparagraph] = ACTIONS(7071),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7071),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHitem] = ACTIONS(7071),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7073),
    [anon_sym_LBRACE] = ACTIONS(7073),
    [sym_word] = ACTIONS(7071),
    [sym_placeholder] = ACTIONS(7073),
    [sym_delimiter] = ACTIONS(7073),
    [anon_sym_PLUS] = ACTIONS(7073),
    [anon_sym_DASH] = ACTIONS(7073),
    [anon_sym_STAR] = ACTIONS(7073),
    [anon_sym_SLASH] = ACTIONS(7073),
    [anon_sym_LT] = ACTIONS(7071),
    [anon_sym_GT] = ACTIONS(7071),
    [anon_sym_BANG] = ACTIONS(7071),
    [anon_sym_PIPE] = ACTIONS(7071),
    [anon_sym_COLON] = ACTIONS(7071),
    [anon_sym_SQUOTE] = ACTIONS(7071),
    [anon_sym__] = ACTIONS(7073),
    [anon_sym_CARET] = ACTIONS(7073),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7073),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7073),
    [anon_sym_DOLLAR] = ACTIONS(7071),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7073),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7073),
    [anon_sym_BSLASHleft] = ACTIONS(7071),
    [anon_sym_BSLASHbigl] = ACTIONS(7071),
    [anon_sym_BSLASHBigl] = ACTIONS(7071),
    [anon_sym_BSLASHbiggl] = ACTIONS(7071),
    [anon_sym_BSLASHBiggl] = ACTIONS(7071),
    [anon_sym_BSLASHtext] = ACTIONS(7071),
    [anon_sym_BSLASHintertext] = ACTIONS(7071),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7071),
    [anon_sym_BSLASHbegin] = ACTIONS(7071),
    [anon_sym_BSLASHtitle] = ACTIONS(7071),
    [anon_sym_BSLASHauthor] = ACTIONS(7071),
    [anon_sym_BSLASHusepackage] = ACTIONS(7071),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7071),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7071),
    [anon_sym_BSLASHinclude] = ACTIONS(7071),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7071),
    [anon_sym_BSLASHinput] = ACTIONS(7071),
    [anon_sym_BSLASHsubfile] = ACTIONS(7071),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7071),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7071),
    [anon_sym_BSLASHbibliography] = ACTIONS(7071),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7071),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7071),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7071),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7071),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7071),
    [anon_sym_BSLASHimport] = ACTIONS(7071),
    [anon_sym_BSLASHsubimport] = ACTIONS(7071),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7071),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7071),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7071),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7071),
    [anon_sym_BSLASHcaption] = ACTIONS(7071),
    [anon_sym_BSLASHcite] = ACTIONS(7071),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHCite] = ACTIONS(7071),
    [anon_sym_BSLASHnocite] = ACTIONS(7071),
    [anon_sym_BSLASHcitet] = ACTIONS(7071),
    [anon_sym_BSLASHcitep] = ACTIONS(7071),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHciteA] = ACTIONS(7071),
    [anon_sym_BSLASHciteR] = ACTIONS(7071),
    [anon_sym_BSLASHciteS] = ACTIONS(7071),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7071),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7071),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7071),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7071),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHciteyear] = ACTIONS(7071),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcitedate] = ACTIONS(7071),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHciteurl] = ACTIONS(7071),
    [anon_sym_BSLASHfullcite] = ACTIONS(7071),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7071),
    [anon_sym_BSLASHcitealt] = ACTIONS(7071),
    [anon_sym_BSLASHcitealp] = ACTIONS(7071),
    [anon_sym_BSLASHcitetext] = ACTIONS(7071),
    [anon_sym_BSLASHparencite] = ACTIONS(7071),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHParencite] = ACTIONS(7071),
    [anon_sym_BSLASHfootcite] = ACTIONS(7071),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7071),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7071),
    [anon_sym_BSLASHtextcite] = ACTIONS(7071),
    [anon_sym_BSLASHTextcite] = ACTIONS(7071),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7071),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7071),
    [anon_sym_BSLASHsupercite] = ACTIONS(7071),
    [anon_sym_BSLASHautocite] = ACTIONS(7071),
    [anon_sym_BSLASHAutocite] = ACTIONS(7071),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHVolcite] = ACTIONS(7071),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHavolcite] = ACTIONS(7071),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHnotecite] = ACTIONS(7071),
    [anon_sym_BSLASHNotecite] = ACTIONS(7071),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7071),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7071),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7071),
    [anon_sym_BSLASHlabel] = ACTIONS(7071),
    [anon_sym_BSLASHref] = ACTIONS(7071),
    [anon_sym_BSLASHeqref] = ACTIONS(7071),
    [anon_sym_BSLASHvref] = ACTIONS(7071),
    [anon_sym_BSLASHVref] = ACTIONS(7071),
    [anon_sym_BSLASHautoref] = ACTIONS(7071),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHpageref] = ACTIONS(7071),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHautopageref] = ACTIONS(7071),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcref] = ACTIONS(7071),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHCref] = ACTIONS(7071),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcpageref] = ACTIONS(7071),
    [anon_sym_BSLASHCpageref] = ACTIONS(7071),
    [anon_sym_BSLASHnamecref] = ACTIONS(7071),
    [anon_sym_BSLASHnameCref] = ACTIONS(7071),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7071),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7071),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7071),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7071),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7071),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7071),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7071),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7071),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7071),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7071),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7071),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7071),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7071),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7071),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7071),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7071),
    [anon_sym_BSLASHdef] = ACTIONS(7071),
    [anon_sym_BSLASHgdef] = ACTIONS(7071),
    [anon_sym_BSLASHedef] = ACTIONS(7071),
    [anon_sym_BSLASHxdef] = ACTIONS(7071),
    [anon_sym_BSLASHlet] = ACTIONS(7071),
    [anon_sym_BSLASHglet] = ACTIONS(7071),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7071),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7071),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7071),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7071),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7071),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7071),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7071),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7071),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7071),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7071),
    [anon_sym_BSLASHgls] = ACTIONS(7071),
    [anon_sym_BSLASHGls] = ACTIONS(7071),
    [anon_sym_BSLASHGLS] = ACTIONS(7071),
    [anon_sym_BSLASHglspl] = ACTIONS(7071),
    [anon_sym_BSLASHGlspl] = ACTIONS(7071),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7071),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7071),
    [anon_sym_BSLASHglslink] = ACTIONS(7071),
    [anon_sym_BSLASHglstext] = ACTIONS(7071),
    [anon_sym_BSLASHGlstext] = ACTIONS(7071),
    [anon_sym_BSLASHGLStext] = ACTIONS(7071),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7071),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7071),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7071),
    [anon_sym_BSLASHglsplural] = ACTIONS(7071),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7071),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7071),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7071),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7071),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7071),
    [anon_sym_BSLASHglsname] = ACTIONS(7071),
    [anon_sym_BSLASHGlsname] = ACTIONS(7071),
    [anon_sym_BSLASHGLSname] = ACTIONS(7071),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7071),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7071),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7071),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7071),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7071),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7071),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7071),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7071),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7071),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7071),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7071),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7071),
    [anon_sym_BSLASHacrshort] = ACTIONS(7071),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7071),
    [anon_sym_BSLASHACRshort] = ACTIONS(7071),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHacrlong] = ACTIONS(7071),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7071),
    [anon_sym_BSLASHACRlong] = ACTIONS(7071),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7071),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7071),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7071),
    [anon_sym_BSLASHacrfull] = ACTIONS(7071),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7071),
    [anon_sym_BSLASHACRfull] = ACTIONS(7071),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHacs] = ACTIONS(7071),
    [anon_sym_BSLASHAcs] = ACTIONS(7071),
    [anon_sym_BSLASHacsp] = ACTIONS(7071),
    [anon_sym_BSLASHAcsp] = ACTIONS(7071),
    [anon_sym_BSLASHacl] = ACTIONS(7071),
    [anon_sym_BSLASHAcl] = ACTIONS(7071),
    [anon_sym_BSLASHaclp] = ACTIONS(7071),
    [anon_sym_BSLASHAclp] = ACTIONS(7071),
    [anon_sym_BSLASHacf] = ACTIONS(7071),
    [anon_sym_BSLASHAcf] = ACTIONS(7071),
    [anon_sym_BSLASHacfp] = ACTIONS(7071),
    [anon_sym_BSLASHAcfp] = ACTIONS(7071),
    [anon_sym_BSLASHac] = ACTIONS(7071),
    [anon_sym_BSLASHAc] = ACTIONS(7071),
    [anon_sym_BSLASHacp] = ACTIONS(7071),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7071),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7071),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7071),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7071),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7071),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7071),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7071),
    [anon_sym_BSLASHcolor] = ACTIONS(7071),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7071),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7071),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7071),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7071),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7071),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7071),
    [anon_sym_BSLASHurl] = ACTIONS(7071),
    [anon_sym_BSLASHhref] = ACTIONS(7071),
  },
  [1287] = {
    [sym_command_name] = ACTIONS(7075),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7075),
    [anon_sym_LBRACK] = ACTIONS(7077),
    [anon_sym_RBRACK] = ACTIONS(7077),
    [anon_sym_COMMA] = ACTIONS(7077),
    [anon_sym_EQ] = ACTIONS(7077),
    [anon_sym_LPAREN] = ACTIONS(7077),
    [anon_sym_RPAREN] = ACTIONS(7077),
    [anon_sym_BSLASHpart] = ACTIONS(7075),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHaddpart] = ACTIONS(7075),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHchapter] = ACTIONS(7075),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHaddchap] = ACTIONS(7075),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHsection] = ACTIONS(7075),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHaddsec] = ACTIONS(7075),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHsubsection] = ACTIONS(7075),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7075),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHparagraph] = ACTIONS(7075),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7075),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHitem] = ACTIONS(7075),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7077),
    [anon_sym_LBRACE] = ACTIONS(7077),
    [sym_word] = ACTIONS(7075),
    [sym_placeholder] = ACTIONS(7077),
    [sym_delimiter] = ACTIONS(7077),
    [anon_sym_PLUS] = ACTIONS(7077),
    [anon_sym_DASH] = ACTIONS(7077),
    [anon_sym_STAR] = ACTIONS(7077),
    [anon_sym_SLASH] = ACTIONS(7077),
    [anon_sym_LT] = ACTIONS(7075),
    [anon_sym_GT] = ACTIONS(7075),
    [anon_sym_BANG] = ACTIONS(7075),
    [anon_sym_PIPE] = ACTIONS(7075),
    [anon_sym_COLON] = ACTIONS(7075),
    [anon_sym_SQUOTE] = ACTIONS(7075),
    [anon_sym__] = ACTIONS(7077),
    [anon_sym_CARET] = ACTIONS(7077),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7077),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7077),
    [anon_sym_DOLLAR] = ACTIONS(7075),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7077),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7077),
    [anon_sym_BSLASHleft] = ACTIONS(7075),
    [anon_sym_BSLASHbigl] = ACTIONS(7075),
    [anon_sym_BSLASHBigl] = ACTIONS(7075),
    [anon_sym_BSLASHbiggl] = ACTIONS(7075),
    [anon_sym_BSLASHBiggl] = ACTIONS(7075),
    [anon_sym_BSLASHtext] = ACTIONS(7075),
    [anon_sym_BSLASHintertext] = ACTIONS(7075),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7075),
    [anon_sym_BSLASHbegin] = ACTIONS(7075),
    [anon_sym_BSLASHtitle] = ACTIONS(7075),
    [anon_sym_BSLASHauthor] = ACTIONS(7075),
    [anon_sym_BSLASHusepackage] = ACTIONS(7075),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7075),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7075),
    [anon_sym_BSLASHinclude] = ACTIONS(7075),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7075),
    [anon_sym_BSLASHinput] = ACTIONS(7075),
    [anon_sym_BSLASHsubfile] = ACTIONS(7075),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7075),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7075),
    [anon_sym_BSLASHbibliography] = ACTIONS(7075),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7075),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7075),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7075),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7075),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7075),
    [anon_sym_BSLASHimport] = ACTIONS(7075),
    [anon_sym_BSLASHsubimport] = ACTIONS(7075),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7075),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7075),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7075),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7075),
    [anon_sym_BSLASHcaption] = ACTIONS(7075),
    [anon_sym_BSLASHcite] = ACTIONS(7075),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHCite] = ACTIONS(7075),
    [anon_sym_BSLASHnocite] = ACTIONS(7075),
    [anon_sym_BSLASHcitet] = ACTIONS(7075),
    [anon_sym_BSLASHcitep] = ACTIONS(7075),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHciteA] = ACTIONS(7075),
    [anon_sym_BSLASHciteR] = ACTIONS(7075),
    [anon_sym_BSLASHciteS] = ACTIONS(7075),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7075),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7075),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7075),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7075),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHciteyear] = ACTIONS(7075),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcitedate] = ACTIONS(7075),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHciteurl] = ACTIONS(7075),
    [anon_sym_BSLASHfullcite] = ACTIONS(7075),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7075),
    [anon_sym_BSLASHcitealt] = ACTIONS(7075),
    [anon_sym_BSLASHcitealp] = ACTIONS(7075),
    [anon_sym_BSLASHcitetext] = ACTIONS(7075),
    [anon_sym_BSLASHparencite] = ACTIONS(7075),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHParencite] = ACTIONS(7075),
    [anon_sym_BSLASHfootcite] = ACTIONS(7075),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7075),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7075),
    [anon_sym_BSLASHtextcite] = ACTIONS(7075),
    [anon_sym_BSLASHTextcite] = ACTIONS(7075),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7075),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7075),
    [anon_sym_BSLASHsupercite] = ACTIONS(7075),
    [anon_sym_BSLASHautocite] = ACTIONS(7075),
    [anon_sym_BSLASHAutocite] = ACTIONS(7075),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHVolcite] = ACTIONS(7075),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHavolcite] = ACTIONS(7075),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHnotecite] = ACTIONS(7075),
    [anon_sym_BSLASHNotecite] = ACTIONS(7075),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7075),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7075),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7075),
    [anon_sym_BSLASHlabel] = ACTIONS(7075),
    [anon_sym_BSLASHref] = ACTIONS(7075),
    [anon_sym_BSLASHeqref] = ACTIONS(7075),
    [anon_sym_BSLASHvref] = ACTIONS(7075),
    [anon_sym_BSLASHVref] = ACTIONS(7075),
    [anon_sym_BSLASHautoref] = ACTIONS(7075),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHpageref] = ACTIONS(7075),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHautopageref] = ACTIONS(7075),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcref] = ACTIONS(7075),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHCref] = ACTIONS(7075),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcpageref] = ACTIONS(7075),
    [anon_sym_BSLASHCpageref] = ACTIONS(7075),
    [anon_sym_BSLASHnamecref] = ACTIONS(7075),
    [anon_sym_BSLASHnameCref] = ACTIONS(7075),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7075),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7075),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7075),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7075),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7075),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7075),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7075),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7075),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7075),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7075),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7075),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7075),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7075),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7075),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7075),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7075),
    [anon_sym_BSLASHdef] = ACTIONS(7075),
    [anon_sym_BSLASHgdef] = ACTIONS(7075),
    [anon_sym_BSLASHedef] = ACTIONS(7075),
    [anon_sym_BSLASHxdef] = ACTIONS(7075),
    [anon_sym_BSLASHlet] = ACTIONS(7075),
    [anon_sym_BSLASHglet] = ACTIONS(7075),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7075),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7075),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7075),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7075),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7075),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7075),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7075),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7075),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7075),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7075),
    [anon_sym_BSLASHgls] = ACTIONS(7075),
    [anon_sym_BSLASHGls] = ACTIONS(7075),
    [anon_sym_BSLASHGLS] = ACTIONS(7075),
    [anon_sym_BSLASHglspl] = ACTIONS(7075),
    [anon_sym_BSLASHGlspl] = ACTIONS(7075),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7075),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7075),
    [anon_sym_BSLASHglslink] = ACTIONS(7075),
    [anon_sym_BSLASHglstext] = ACTIONS(7075),
    [anon_sym_BSLASHGlstext] = ACTIONS(7075),
    [anon_sym_BSLASHGLStext] = ACTIONS(7075),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7075),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7075),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7075),
    [anon_sym_BSLASHglsplural] = ACTIONS(7075),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7075),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7075),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7075),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7075),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7075),
    [anon_sym_BSLASHglsname] = ACTIONS(7075),
    [anon_sym_BSLASHGlsname] = ACTIONS(7075),
    [anon_sym_BSLASHGLSname] = ACTIONS(7075),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7075),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7075),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7075),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7075),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7075),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7075),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7075),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7075),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7075),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7075),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7075),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7075),
    [anon_sym_BSLASHacrshort] = ACTIONS(7075),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7075),
    [anon_sym_BSLASHACRshort] = ACTIONS(7075),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHacrlong] = ACTIONS(7075),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7075),
    [anon_sym_BSLASHACRlong] = ACTIONS(7075),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7075),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7075),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7075),
    [anon_sym_BSLASHacrfull] = ACTIONS(7075),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7075),
    [anon_sym_BSLASHACRfull] = ACTIONS(7075),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHacs] = ACTIONS(7075),
    [anon_sym_BSLASHAcs] = ACTIONS(7075),
    [anon_sym_BSLASHacsp] = ACTIONS(7075),
    [anon_sym_BSLASHAcsp] = ACTIONS(7075),
    [anon_sym_BSLASHacl] = ACTIONS(7075),
    [anon_sym_BSLASHAcl] = ACTIONS(7075),
    [anon_sym_BSLASHaclp] = ACTIONS(7075),
    [anon_sym_BSLASHAclp] = ACTIONS(7075),
    [anon_sym_BSLASHacf] = ACTIONS(7075),
    [anon_sym_BSLASHAcf] = ACTIONS(7075),
    [anon_sym_BSLASHacfp] = ACTIONS(7075),
    [anon_sym_BSLASHAcfp] = ACTIONS(7075),
    [anon_sym_BSLASHac] = ACTIONS(7075),
    [anon_sym_BSLASHAc] = ACTIONS(7075),
    [anon_sym_BSLASHacp] = ACTIONS(7075),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7075),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7075),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7075),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7075),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7075),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7075),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7075),
    [anon_sym_BSLASHcolor] = ACTIONS(7075),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7075),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7075),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7075),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7075),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7075),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7075),
    [anon_sym_BSLASHurl] = ACTIONS(7075),
    [anon_sym_BSLASHhref] = ACTIONS(7075),
  },
  [1288] = {
    [sym_command_name] = ACTIONS(7491),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(7493),
    [anon_sym_RBRACK] = ACTIONS(7493),
    [anon_sym_COMMA] = ACTIONS(7493),
    [anon_sym_EQ] = ACTIONS(7493),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_RPAREN] = ACTIONS(7493),
    [anon_sym_BSLASHpart] = ACTIONS(7491),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHaddpart] = ACTIONS(7491),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHchapter] = ACTIONS(7491),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHaddchap] = ACTIONS(7491),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHsection] = ACTIONS(7491),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHaddsec] = ACTIONS(7491),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHsubsection] = ACTIONS(7491),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7491),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHparagraph] = ACTIONS(7491),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7491),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHitem] = ACTIONS(7491),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7493),
    [anon_sym_LBRACE] = ACTIONS(7493),
    [sym_word] = ACTIONS(7491),
    [sym_placeholder] = ACTIONS(7493),
    [sym_delimiter] = ACTIONS(7493),
    [anon_sym_PLUS] = ACTIONS(7493),
    [anon_sym_DASH] = ACTIONS(7493),
    [anon_sym_STAR] = ACTIONS(7493),
    [anon_sym_SLASH] = ACTIONS(7493),
    [anon_sym_LT] = ACTIONS(7491),
    [anon_sym_GT] = ACTIONS(7491),
    [anon_sym_BANG] = ACTIONS(7491),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_COLON] = ACTIONS(7491),
    [anon_sym_SQUOTE] = ACTIONS(7491),
    [anon_sym__] = ACTIONS(7493),
    [anon_sym_CARET] = ACTIONS(7493),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7493),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7493),
    [anon_sym_DOLLAR] = ACTIONS(7491),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7493),
    [anon_sym_BSLASHleft] = ACTIONS(7491),
    [anon_sym_BSLASHbigl] = ACTIONS(7491),
    [anon_sym_BSLASHBigl] = ACTIONS(7491),
    [anon_sym_BSLASHbiggl] = ACTIONS(7491),
    [anon_sym_BSLASHBiggl] = ACTIONS(7491),
    [anon_sym_BSLASHtext] = ACTIONS(7491),
    [anon_sym_BSLASHintertext] = ACTIONS(7491),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7491),
    [anon_sym_BSLASHbegin] = ACTIONS(7491),
    [anon_sym_BSLASHend] = ACTIONS(7491),
    [anon_sym_BSLASHtitle] = ACTIONS(7491),
    [anon_sym_BSLASHauthor] = ACTIONS(7491),
    [anon_sym_BSLASHusepackage] = ACTIONS(7491),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7491),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7491),
    [anon_sym_BSLASHinclude] = ACTIONS(7491),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7491),
    [anon_sym_BSLASHinput] = ACTIONS(7491),
    [anon_sym_BSLASHsubfile] = ACTIONS(7491),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7491),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7491),
    [anon_sym_BSLASHbibliography] = ACTIONS(7491),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7491),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7491),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7491),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7491),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7491),
    [anon_sym_BSLASHimport] = ACTIONS(7491),
    [anon_sym_BSLASHsubimport] = ACTIONS(7491),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7491),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7491),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7491),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7491),
    [anon_sym_BSLASHcaption] = ACTIONS(7491),
    [anon_sym_BSLASHcite] = ACTIONS(7491),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCite] = ACTIONS(7491),
    [anon_sym_BSLASHnocite] = ACTIONS(7491),
    [anon_sym_BSLASHcitet] = ACTIONS(7491),
    [anon_sym_BSLASHcitep] = ACTIONS(7491),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteA] = ACTIONS(7491),
    [anon_sym_BSLASHciteR] = ACTIONS(7491),
    [anon_sym_BSLASHciteS] = ACTIONS(7491),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7491),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7491),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7491),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7491),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteyear] = ACTIONS(7491),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitedate] = ACTIONS(7491),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteurl] = ACTIONS(7491),
    [anon_sym_BSLASHfullcite] = ACTIONS(7491),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7491),
    [anon_sym_BSLASHcitealt] = ACTIONS(7491),
    [anon_sym_BSLASHcitealp] = ACTIONS(7491),
    [anon_sym_BSLASHcitetext] = ACTIONS(7491),
    [anon_sym_BSLASHparencite] = ACTIONS(7491),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHParencite] = ACTIONS(7491),
    [anon_sym_BSLASHfootcite] = ACTIONS(7491),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7491),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7491),
    [anon_sym_BSLASHtextcite] = ACTIONS(7491),
    [anon_sym_BSLASHTextcite] = ACTIONS(7491),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7491),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7491),
    [anon_sym_BSLASHsupercite] = ACTIONS(7491),
    [anon_sym_BSLASHautocite] = ACTIONS(7491),
    [anon_sym_BSLASHAutocite] = ACTIONS(7491),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHVolcite] = ACTIONS(7491),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHavolcite] = ACTIONS(7491),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHNotecite] = ACTIONS(7491),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHlabel] = ACTIONS(7491),
    [anon_sym_BSLASHref] = ACTIONS(7491),
    [anon_sym_BSLASHeqref] = ACTIONS(7491),
    [anon_sym_BSLASHvref] = ACTIONS(7491),
    [anon_sym_BSLASHVref] = ACTIONS(7491),
    [anon_sym_BSLASHautoref] = ACTIONS(7491),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHpageref] = ACTIONS(7491),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHautopageref] = ACTIONS(7491),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcref] = ACTIONS(7491),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCref] = ACTIONS(7491),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcpageref] = ACTIONS(7491),
    [anon_sym_BSLASHCpageref] = ACTIONS(7491),
    [anon_sym_BSLASHnamecref] = ACTIONS(7491),
    [anon_sym_BSLASHnameCref] = ACTIONS(7491),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7491),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7491),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7491),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7491),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7491),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7491),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7491),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7491),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7491),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7491),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7491),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHdef] = ACTIONS(7491),
    [anon_sym_BSLASHgdef] = ACTIONS(7491),
    [anon_sym_BSLASHedef] = ACTIONS(7491),
    [anon_sym_BSLASHxdef] = ACTIONS(7491),
    [anon_sym_BSLASHlet] = ACTIONS(7491),
    [anon_sym_BSLASHglet] = ACTIONS(7491),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7491),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7491),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7491),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7491),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7491),
    [anon_sym_BSLASHgls] = ACTIONS(7491),
    [anon_sym_BSLASHGls] = ACTIONS(7491),
    [anon_sym_BSLASHGLS] = ACTIONS(7491),
    [anon_sym_BSLASHglspl] = ACTIONS(7491),
    [anon_sym_BSLASHGlspl] = ACTIONS(7491),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7491),
    [anon_sym_BSLASHglslink] = ACTIONS(7491),
    [anon_sym_BSLASHglstext] = ACTIONS(7491),
    [anon_sym_BSLASHGlstext] = ACTIONS(7491),
    [anon_sym_BSLASHGLStext] = ACTIONS(7491),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7491),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7491),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7491),
    [anon_sym_BSLASHglsplural] = ACTIONS(7491),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7491),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7491),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHglsname] = ACTIONS(7491),
    [anon_sym_BSLASHGlsname] = ACTIONS(7491),
    [anon_sym_BSLASHGLSname] = ACTIONS(7491),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7491),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7491),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7491),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7491),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7491),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7491),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7491),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7491),
    [anon_sym_BSLASHacrshort] = ACTIONS(7491),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7491),
    [anon_sym_BSLASHACRshort] = ACTIONS(7491),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHacrlong] = ACTIONS(7491),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7491),
    [anon_sym_BSLASHACRlong] = ACTIONS(7491),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHacrfull] = ACTIONS(7491),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7491),
    [anon_sym_BSLASHACRfull] = ACTIONS(7491),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHacs] = ACTIONS(7491),
    [anon_sym_BSLASHAcs] = ACTIONS(7491),
    [anon_sym_BSLASHacsp] = ACTIONS(7491),
    [anon_sym_BSLASHAcsp] = ACTIONS(7491),
    [anon_sym_BSLASHacl] = ACTIONS(7491),
    [anon_sym_BSLASHAcl] = ACTIONS(7491),
    [anon_sym_BSLASHaclp] = ACTIONS(7491),
    [anon_sym_BSLASHAclp] = ACTIONS(7491),
    [anon_sym_BSLASHacf] = ACTIONS(7491),
    [anon_sym_BSLASHAcf] = ACTIONS(7491),
    [anon_sym_BSLASHacfp] = ACTIONS(7491),
    [anon_sym_BSLASHAcfp] = ACTIONS(7491),
    [anon_sym_BSLASHac] = ACTIONS(7491),
    [anon_sym_BSLASHAc] = ACTIONS(7491),
    [anon_sym_BSLASHacp] = ACTIONS(7491),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7491),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7491),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7491),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7491),
    [anon_sym_BSLASHcolor] = ACTIONS(7491),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7491),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7491),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7491),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7491),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7491),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7491),
    [anon_sym_BSLASHurl] = ACTIONS(7491),
    [anon_sym_BSLASHhref] = ACTIONS(7491),
  },
  [1289] = {
    [sym_command_name] = ACTIONS(7079),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7079),
    [anon_sym_LBRACK] = ACTIONS(7081),
    [anon_sym_RBRACK] = ACTIONS(7081),
    [anon_sym_COMMA] = ACTIONS(7081),
    [anon_sym_EQ] = ACTIONS(7081),
    [anon_sym_LPAREN] = ACTIONS(7081),
    [anon_sym_RPAREN] = ACTIONS(7081),
    [anon_sym_BSLASHpart] = ACTIONS(7079),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHaddpart] = ACTIONS(7079),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHchapter] = ACTIONS(7079),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHaddchap] = ACTIONS(7079),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHsection] = ACTIONS(7079),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHaddsec] = ACTIONS(7079),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHsubsection] = ACTIONS(7079),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7079),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHparagraph] = ACTIONS(7079),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7079),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHitem] = ACTIONS(7079),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7081),
    [anon_sym_LBRACE] = ACTIONS(7081),
    [sym_word] = ACTIONS(7079),
    [sym_placeholder] = ACTIONS(7081),
    [sym_delimiter] = ACTIONS(7081),
    [anon_sym_PLUS] = ACTIONS(7081),
    [anon_sym_DASH] = ACTIONS(7081),
    [anon_sym_STAR] = ACTIONS(7081),
    [anon_sym_SLASH] = ACTIONS(7081),
    [anon_sym_LT] = ACTIONS(7079),
    [anon_sym_GT] = ACTIONS(7079),
    [anon_sym_BANG] = ACTIONS(7079),
    [anon_sym_PIPE] = ACTIONS(7079),
    [anon_sym_COLON] = ACTIONS(7079),
    [anon_sym_SQUOTE] = ACTIONS(7079),
    [anon_sym__] = ACTIONS(7081),
    [anon_sym_CARET] = ACTIONS(7081),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7081),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7081),
    [anon_sym_DOLLAR] = ACTIONS(7079),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7081),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7081),
    [anon_sym_BSLASHleft] = ACTIONS(7079),
    [anon_sym_BSLASHbigl] = ACTIONS(7079),
    [anon_sym_BSLASHBigl] = ACTIONS(7079),
    [anon_sym_BSLASHbiggl] = ACTIONS(7079),
    [anon_sym_BSLASHBiggl] = ACTIONS(7079),
    [anon_sym_BSLASHtext] = ACTIONS(7079),
    [anon_sym_BSLASHintertext] = ACTIONS(7079),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7079),
    [anon_sym_BSLASHbegin] = ACTIONS(7079),
    [anon_sym_BSLASHtitle] = ACTIONS(7079),
    [anon_sym_BSLASHauthor] = ACTIONS(7079),
    [anon_sym_BSLASHusepackage] = ACTIONS(7079),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7079),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7079),
    [anon_sym_BSLASHinclude] = ACTIONS(7079),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7079),
    [anon_sym_BSLASHinput] = ACTIONS(7079),
    [anon_sym_BSLASHsubfile] = ACTIONS(7079),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7079),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7079),
    [anon_sym_BSLASHbibliography] = ACTIONS(7079),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7079),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7079),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7079),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7079),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7079),
    [anon_sym_BSLASHimport] = ACTIONS(7079),
    [anon_sym_BSLASHsubimport] = ACTIONS(7079),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7079),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7079),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7079),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7079),
    [anon_sym_BSLASHcaption] = ACTIONS(7079),
    [anon_sym_BSLASHcite] = ACTIONS(7079),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHCite] = ACTIONS(7079),
    [anon_sym_BSLASHnocite] = ACTIONS(7079),
    [anon_sym_BSLASHcitet] = ACTIONS(7079),
    [anon_sym_BSLASHcitep] = ACTIONS(7079),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHciteA] = ACTIONS(7079),
    [anon_sym_BSLASHciteR] = ACTIONS(7079),
    [anon_sym_BSLASHciteS] = ACTIONS(7079),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7079),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7079),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7079),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7079),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHciteyear] = ACTIONS(7079),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcitedate] = ACTIONS(7079),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHciteurl] = ACTIONS(7079),
    [anon_sym_BSLASHfullcite] = ACTIONS(7079),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7079),
    [anon_sym_BSLASHcitealt] = ACTIONS(7079),
    [anon_sym_BSLASHcitealp] = ACTIONS(7079),
    [anon_sym_BSLASHcitetext] = ACTIONS(7079),
    [anon_sym_BSLASHparencite] = ACTIONS(7079),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHParencite] = ACTIONS(7079),
    [anon_sym_BSLASHfootcite] = ACTIONS(7079),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7079),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7079),
    [anon_sym_BSLASHtextcite] = ACTIONS(7079),
    [anon_sym_BSLASHTextcite] = ACTIONS(7079),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7079),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7079),
    [anon_sym_BSLASHsupercite] = ACTIONS(7079),
    [anon_sym_BSLASHautocite] = ACTIONS(7079),
    [anon_sym_BSLASHAutocite] = ACTIONS(7079),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHVolcite] = ACTIONS(7079),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHavolcite] = ACTIONS(7079),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHnotecite] = ACTIONS(7079),
    [anon_sym_BSLASHNotecite] = ACTIONS(7079),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7079),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7079),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7079),
    [anon_sym_BSLASHlabel] = ACTIONS(7079),
    [anon_sym_BSLASHref] = ACTIONS(7079),
    [anon_sym_BSLASHeqref] = ACTIONS(7079),
    [anon_sym_BSLASHvref] = ACTIONS(7079),
    [anon_sym_BSLASHVref] = ACTIONS(7079),
    [anon_sym_BSLASHautoref] = ACTIONS(7079),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHpageref] = ACTIONS(7079),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHautopageref] = ACTIONS(7079),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcref] = ACTIONS(7079),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHCref] = ACTIONS(7079),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcpageref] = ACTIONS(7079),
    [anon_sym_BSLASHCpageref] = ACTIONS(7079),
    [anon_sym_BSLASHnamecref] = ACTIONS(7079),
    [anon_sym_BSLASHnameCref] = ACTIONS(7079),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7079),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7079),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7079),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7079),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7079),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7079),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7079),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7079),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7079),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7079),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7079),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7079),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7079),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7079),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7079),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7079),
    [anon_sym_BSLASHdef] = ACTIONS(7079),
    [anon_sym_BSLASHgdef] = ACTIONS(7079),
    [anon_sym_BSLASHedef] = ACTIONS(7079),
    [anon_sym_BSLASHxdef] = ACTIONS(7079),
    [anon_sym_BSLASHlet] = ACTIONS(7079),
    [anon_sym_BSLASHglet] = ACTIONS(7079),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7079),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7079),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7079),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7079),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7079),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7079),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7079),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7079),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7079),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7079),
    [anon_sym_BSLASHgls] = ACTIONS(7079),
    [anon_sym_BSLASHGls] = ACTIONS(7079),
    [anon_sym_BSLASHGLS] = ACTIONS(7079),
    [anon_sym_BSLASHglspl] = ACTIONS(7079),
    [anon_sym_BSLASHGlspl] = ACTIONS(7079),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7079),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7079),
    [anon_sym_BSLASHglslink] = ACTIONS(7079),
    [anon_sym_BSLASHglstext] = ACTIONS(7079),
    [anon_sym_BSLASHGlstext] = ACTIONS(7079),
    [anon_sym_BSLASHGLStext] = ACTIONS(7079),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7079),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7079),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7079),
    [anon_sym_BSLASHglsplural] = ACTIONS(7079),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7079),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7079),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7079),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7079),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7079),
    [anon_sym_BSLASHglsname] = ACTIONS(7079),
    [anon_sym_BSLASHGlsname] = ACTIONS(7079),
    [anon_sym_BSLASHGLSname] = ACTIONS(7079),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7079),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7079),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7079),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7079),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7079),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7079),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7079),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7079),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7079),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7079),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7079),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7079),
    [anon_sym_BSLASHacrshort] = ACTIONS(7079),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7079),
    [anon_sym_BSLASHACRshort] = ACTIONS(7079),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHacrlong] = ACTIONS(7079),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7079),
    [anon_sym_BSLASHACRlong] = ACTIONS(7079),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7079),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7079),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7079),
    [anon_sym_BSLASHacrfull] = ACTIONS(7079),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7079),
    [anon_sym_BSLASHACRfull] = ACTIONS(7079),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHacs] = ACTIONS(7079),
    [anon_sym_BSLASHAcs] = ACTIONS(7079),
    [anon_sym_BSLASHacsp] = ACTIONS(7079),
    [anon_sym_BSLASHAcsp] = ACTIONS(7079),
    [anon_sym_BSLASHacl] = ACTIONS(7079),
    [anon_sym_BSLASHAcl] = ACTIONS(7079),
    [anon_sym_BSLASHaclp] = ACTIONS(7079),
    [anon_sym_BSLASHAclp] = ACTIONS(7079),
    [anon_sym_BSLASHacf] = ACTIONS(7079),
    [anon_sym_BSLASHAcf] = ACTIONS(7079),
    [anon_sym_BSLASHacfp] = ACTIONS(7079),
    [anon_sym_BSLASHAcfp] = ACTIONS(7079),
    [anon_sym_BSLASHac] = ACTIONS(7079),
    [anon_sym_BSLASHAc] = ACTIONS(7079),
    [anon_sym_BSLASHacp] = ACTIONS(7079),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7079),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7079),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7079),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7079),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7079),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7079),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7079),
    [anon_sym_BSLASHcolor] = ACTIONS(7079),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7079),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7079),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7079),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7079),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7079),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7079),
    [anon_sym_BSLASHurl] = ACTIONS(7079),
    [anon_sym_BSLASHhref] = ACTIONS(7079),
  },
  [1290] = {
    [sym_command_name] = ACTIONS(7495),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7495),
    [anon_sym_LBRACK] = ACTIONS(7497),
    [anon_sym_RBRACK] = ACTIONS(7497),
    [anon_sym_COMMA] = ACTIONS(7497),
    [anon_sym_EQ] = ACTIONS(7497),
    [anon_sym_LPAREN] = ACTIONS(7497),
    [anon_sym_RPAREN] = ACTIONS(7497),
    [anon_sym_BSLASHpart] = ACTIONS(7495),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHaddpart] = ACTIONS(7495),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHchapter] = ACTIONS(7495),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHaddchap] = ACTIONS(7495),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHsection] = ACTIONS(7495),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHaddsec] = ACTIONS(7495),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHsubsection] = ACTIONS(7495),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7495),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHparagraph] = ACTIONS(7495),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7495),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHitem] = ACTIONS(7495),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7497),
    [sym_word] = ACTIONS(7495),
    [sym_placeholder] = ACTIONS(7497),
    [sym_delimiter] = ACTIONS(7497),
    [anon_sym_PLUS] = ACTIONS(7497),
    [anon_sym_DASH] = ACTIONS(7497),
    [anon_sym_STAR] = ACTIONS(7497),
    [anon_sym_SLASH] = ACTIONS(7497),
    [anon_sym_LT] = ACTIONS(7495),
    [anon_sym_GT] = ACTIONS(7495),
    [anon_sym_BANG] = ACTIONS(7495),
    [anon_sym_PIPE] = ACTIONS(7495),
    [anon_sym_COLON] = ACTIONS(7495),
    [anon_sym_SQUOTE] = ACTIONS(7495),
    [anon_sym__] = ACTIONS(7497),
    [anon_sym_CARET] = ACTIONS(7497),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7497),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7497),
    [anon_sym_DOLLAR] = ACTIONS(7495),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7497),
    [anon_sym_BSLASHleft] = ACTIONS(7495),
    [anon_sym_BSLASHbigl] = ACTIONS(7495),
    [anon_sym_BSLASHBigl] = ACTIONS(7495),
    [anon_sym_BSLASHbiggl] = ACTIONS(7495),
    [anon_sym_BSLASHBiggl] = ACTIONS(7495),
    [anon_sym_BSLASHtext] = ACTIONS(7495),
    [anon_sym_BSLASHintertext] = ACTIONS(7495),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7495),
    [anon_sym_BSLASHbegin] = ACTIONS(7495),
    [anon_sym_BSLASHend] = ACTIONS(7495),
    [anon_sym_BSLASHtitle] = ACTIONS(7495),
    [anon_sym_BSLASHauthor] = ACTIONS(7495),
    [anon_sym_BSLASHusepackage] = ACTIONS(7495),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7495),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7495),
    [anon_sym_BSLASHinclude] = ACTIONS(7495),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7495),
    [anon_sym_BSLASHinput] = ACTIONS(7495),
    [anon_sym_BSLASHsubfile] = ACTIONS(7495),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7495),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7495),
    [anon_sym_BSLASHbibliography] = ACTIONS(7495),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7495),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7495),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7495),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7495),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7495),
    [anon_sym_BSLASHimport] = ACTIONS(7495),
    [anon_sym_BSLASHsubimport] = ACTIONS(7495),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7495),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7495),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7495),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7495),
    [anon_sym_BSLASHcaption] = ACTIONS(7495),
    [anon_sym_BSLASHcite] = ACTIONS(7495),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCite] = ACTIONS(7495),
    [anon_sym_BSLASHnocite] = ACTIONS(7495),
    [anon_sym_BSLASHcitet] = ACTIONS(7495),
    [anon_sym_BSLASHcitep] = ACTIONS(7495),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteA] = ACTIONS(7495),
    [anon_sym_BSLASHciteR] = ACTIONS(7495),
    [anon_sym_BSLASHciteS] = ACTIONS(7495),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7495),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7495),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7495),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7495),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteyear] = ACTIONS(7495),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitedate] = ACTIONS(7495),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteurl] = ACTIONS(7495),
    [anon_sym_BSLASHfullcite] = ACTIONS(7495),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7495),
    [anon_sym_BSLASHcitealt] = ACTIONS(7495),
    [anon_sym_BSLASHcitealp] = ACTIONS(7495),
    [anon_sym_BSLASHcitetext] = ACTIONS(7495),
    [anon_sym_BSLASHparencite] = ACTIONS(7495),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHParencite] = ACTIONS(7495),
    [anon_sym_BSLASHfootcite] = ACTIONS(7495),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7495),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7495),
    [anon_sym_BSLASHtextcite] = ACTIONS(7495),
    [anon_sym_BSLASHTextcite] = ACTIONS(7495),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7495),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7495),
    [anon_sym_BSLASHsupercite] = ACTIONS(7495),
    [anon_sym_BSLASHautocite] = ACTIONS(7495),
    [anon_sym_BSLASHAutocite] = ACTIONS(7495),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHVolcite] = ACTIONS(7495),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHavolcite] = ACTIONS(7495),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHNotecite] = ACTIONS(7495),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHlabel] = ACTIONS(7495),
    [anon_sym_BSLASHref] = ACTIONS(7495),
    [anon_sym_BSLASHeqref] = ACTIONS(7495),
    [anon_sym_BSLASHvref] = ACTIONS(7495),
    [anon_sym_BSLASHVref] = ACTIONS(7495),
    [anon_sym_BSLASHautoref] = ACTIONS(7495),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHpageref] = ACTIONS(7495),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHautopageref] = ACTIONS(7495),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcref] = ACTIONS(7495),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCref] = ACTIONS(7495),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcpageref] = ACTIONS(7495),
    [anon_sym_BSLASHCpageref] = ACTIONS(7495),
    [anon_sym_BSLASHnamecref] = ACTIONS(7495),
    [anon_sym_BSLASHnameCref] = ACTIONS(7495),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7495),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7495),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7495),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7495),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7495),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7495),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7495),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7495),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7495),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7495),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7495),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHdef] = ACTIONS(7495),
    [anon_sym_BSLASHgdef] = ACTIONS(7495),
    [anon_sym_BSLASHedef] = ACTIONS(7495),
    [anon_sym_BSLASHxdef] = ACTIONS(7495),
    [anon_sym_BSLASHlet] = ACTIONS(7495),
    [anon_sym_BSLASHglet] = ACTIONS(7495),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7495),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7495),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7495),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7495),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7495),
    [anon_sym_BSLASHgls] = ACTIONS(7495),
    [anon_sym_BSLASHGls] = ACTIONS(7495),
    [anon_sym_BSLASHGLS] = ACTIONS(7495),
    [anon_sym_BSLASHglspl] = ACTIONS(7495),
    [anon_sym_BSLASHGlspl] = ACTIONS(7495),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7495),
    [anon_sym_BSLASHglslink] = ACTIONS(7495),
    [anon_sym_BSLASHglstext] = ACTIONS(7495),
    [anon_sym_BSLASHGlstext] = ACTIONS(7495),
    [anon_sym_BSLASHGLStext] = ACTIONS(7495),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7495),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7495),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7495),
    [anon_sym_BSLASHglsplural] = ACTIONS(7495),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7495),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7495),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHglsname] = ACTIONS(7495),
    [anon_sym_BSLASHGlsname] = ACTIONS(7495),
    [anon_sym_BSLASHGLSname] = ACTIONS(7495),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7495),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7495),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7495),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7495),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7495),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7495),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7495),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7495),
    [anon_sym_BSLASHacrshort] = ACTIONS(7495),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7495),
    [anon_sym_BSLASHACRshort] = ACTIONS(7495),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHacrlong] = ACTIONS(7495),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7495),
    [anon_sym_BSLASHACRlong] = ACTIONS(7495),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHacrfull] = ACTIONS(7495),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7495),
    [anon_sym_BSLASHACRfull] = ACTIONS(7495),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHacs] = ACTIONS(7495),
    [anon_sym_BSLASHAcs] = ACTIONS(7495),
    [anon_sym_BSLASHacsp] = ACTIONS(7495),
    [anon_sym_BSLASHAcsp] = ACTIONS(7495),
    [anon_sym_BSLASHacl] = ACTIONS(7495),
    [anon_sym_BSLASHAcl] = ACTIONS(7495),
    [anon_sym_BSLASHaclp] = ACTIONS(7495),
    [anon_sym_BSLASHAclp] = ACTIONS(7495),
    [anon_sym_BSLASHacf] = ACTIONS(7495),
    [anon_sym_BSLASHAcf] = ACTIONS(7495),
    [anon_sym_BSLASHacfp] = ACTIONS(7495),
    [anon_sym_BSLASHAcfp] = ACTIONS(7495),
    [anon_sym_BSLASHac] = ACTIONS(7495),
    [anon_sym_BSLASHAc] = ACTIONS(7495),
    [anon_sym_BSLASHacp] = ACTIONS(7495),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7495),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7495),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7495),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7495),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7495),
    [anon_sym_BSLASHcolor] = ACTIONS(7495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7495),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7495),
    [anon_sym_BSLASHurl] = ACTIONS(7495),
    [anon_sym_BSLASHhref] = ACTIONS(7495),
  },
  [1291] = {
    [sym_command_name] = ACTIONS(7083),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7083),
    [anon_sym_LBRACK] = ACTIONS(7085),
    [anon_sym_RBRACK] = ACTIONS(7085),
    [anon_sym_COMMA] = ACTIONS(7085),
    [anon_sym_EQ] = ACTIONS(7085),
    [anon_sym_LPAREN] = ACTIONS(7085),
    [anon_sym_RPAREN] = ACTIONS(7085),
    [anon_sym_BSLASHpart] = ACTIONS(7083),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHaddpart] = ACTIONS(7083),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHchapter] = ACTIONS(7083),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHaddchap] = ACTIONS(7083),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHsection] = ACTIONS(7083),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHaddsec] = ACTIONS(7083),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHsubsection] = ACTIONS(7083),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7083),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHparagraph] = ACTIONS(7083),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7083),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHitem] = ACTIONS(7083),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7085),
    [anon_sym_LBRACE] = ACTIONS(7085),
    [sym_word] = ACTIONS(7083),
    [sym_placeholder] = ACTIONS(7085),
    [sym_delimiter] = ACTIONS(7085),
    [anon_sym_PLUS] = ACTIONS(7085),
    [anon_sym_DASH] = ACTIONS(7085),
    [anon_sym_STAR] = ACTIONS(7085),
    [anon_sym_SLASH] = ACTIONS(7085),
    [anon_sym_LT] = ACTIONS(7083),
    [anon_sym_GT] = ACTIONS(7083),
    [anon_sym_BANG] = ACTIONS(7083),
    [anon_sym_PIPE] = ACTIONS(7083),
    [anon_sym_COLON] = ACTIONS(7083),
    [anon_sym_SQUOTE] = ACTIONS(7083),
    [anon_sym__] = ACTIONS(7085),
    [anon_sym_CARET] = ACTIONS(7085),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7085),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7085),
    [anon_sym_DOLLAR] = ACTIONS(7083),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7085),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7085),
    [anon_sym_BSLASHleft] = ACTIONS(7083),
    [anon_sym_BSLASHbigl] = ACTIONS(7083),
    [anon_sym_BSLASHBigl] = ACTIONS(7083),
    [anon_sym_BSLASHbiggl] = ACTIONS(7083),
    [anon_sym_BSLASHBiggl] = ACTIONS(7083),
    [anon_sym_BSLASHtext] = ACTIONS(7083),
    [anon_sym_BSLASHintertext] = ACTIONS(7083),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7083),
    [anon_sym_BSLASHbegin] = ACTIONS(7083),
    [anon_sym_BSLASHtitle] = ACTIONS(7083),
    [anon_sym_BSLASHauthor] = ACTIONS(7083),
    [anon_sym_BSLASHusepackage] = ACTIONS(7083),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7083),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7083),
    [anon_sym_BSLASHinclude] = ACTIONS(7083),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7083),
    [anon_sym_BSLASHinput] = ACTIONS(7083),
    [anon_sym_BSLASHsubfile] = ACTIONS(7083),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7083),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7083),
    [anon_sym_BSLASHbibliography] = ACTIONS(7083),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7083),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7083),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7083),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7083),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7083),
    [anon_sym_BSLASHimport] = ACTIONS(7083),
    [anon_sym_BSLASHsubimport] = ACTIONS(7083),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7083),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7083),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7083),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7083),
    [anon_sym_BSLASHcaption] = ACTIONS(7083),
    [anon_sym_BSLASHcite] = ACTIONS(7083),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHCite] = ACTIONS(7083),
    [anon_sym_BSLASHnocite] = ACTIONS(7083),
    [anon_sym_BSLASHcitet] = ACTIONS(7083),
    [anon_sym_BSLASHcitep] = ACTIONS(7083),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHciteA] = ACTIONS(7083),
    [anon_sym_BSLASHciteR] = ACTIONS(7083),
    [anon_sym_BSLASHciteS] = ACTIONS(7083),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7083),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7083),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7083),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7083),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHciteyear] = ACTIONS(7083),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcitedate] = ACTIONS(7083),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHciteurl] = ACTIONS(7083),
    [anon_sym_BSLASHfullcite] = ACTIONS(7083),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7083),
    [anon_sym_BSLASHcitealt] = ACTIONS(7083),
    [anon_sym_BSLASHcitealp] = ACTIONS(7083),
    [anon_sym_BSLASHcitetext] = ACTIONS(7083),
    [anon_sym_BSLASHparencite] = ACTIONS(7083),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHParencite] = ACTIONS(7083),
    [anon_sym_BSLASHfootcite] = ACTIONS(7083),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7083),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7083),
    [anon_sym_BSLASHtextcite] = ACTIONS(7083),
    [anon_sym_BSLASHTextcite] = ACTIONS(7083),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7083),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7083),
    [anon_sym_BSLASHsupercite] = ACTIONS(7083),
    [anon_sym_BSLASHautocite] = ACTIONS(7083),
    [anon_sym_BSLASHAutocite] = ACTIONS(7083),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHVolcite] = ACTIONS(7083),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHavolcite] = ACTIONS(7083),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHnotecite] = ACTIONS(7083),
    [anon_sym_BSLASHNotecite] = ACTIONS(7083),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7083),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7083),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7083),
    [anon_sym_BSLASHlabel] = ACTIONS(7083),
    [anon_sym_BSLASHref] = ACTIONS(7083),
    [anon_sym_BSLASHeqref] = ACTIONS(7083),
    [anon_sym_BSLASHvref] = ACTIONS(7083),
    [anon_sym_BSLASHVref] = ACTIONS(7083),
    [anon_sym_BSLASHautoref] = ACTIONS(7083),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHpageref] = ACTIONS(7083),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHautopageref] = ACTIONS(7083),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcref] = ACTIONS(7083),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHCref] = ACTIONS(7083),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcpageref] = ACTIONS(7083),
    [anon_sym_BSLASHCpageref] = ACTIONS(7083),
    [anon_sym_BSLASHnamecref] = ACTIONS(7083),
    [anon_sym_BSLASHnameCref] = ACTIONS(7083),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7083),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7083),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7083),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7083),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7083),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7083),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7083),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7083),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7083),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7083),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7083),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7083),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7083),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7083),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7083),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7083),
    [anon_sym_BSLASHdef] = ACTIONS(7083),
    [anon_sym_BSLASHgdef] = ACTIONS(7083),
    [anon_sym_BSLASHedef] = ACTIONS(7083),
    [anon_sym_BSLASHxdef] = ACTIONS(7083),
    [anon_sym_BSLASHlet] = ACTIONS(7083),
    [anon_sym_BSLASHglet] = ACTIONS(7083),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7083),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7083),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7083),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7083),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7083),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7083),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7083),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7083),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7083),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7083),
    [anon_sym_BSLASHgls] = ACTIONS(7083),
    [anon_sym_BSLASHGls] = ACTIONS(7083),
    [anon_sym_BSLASHGLS] = ACTIONS(7083),
    [anon_sym_BSLASHglspl] = ACTIONS(7083),
    [anon_sym_BSLASHGlspl] = ACTIONS(7083),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7083),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7083),
    [anon_sym_BSLASHglslink] = ACTIONS(7083),
    [anon_sym_BSLASHglstext] = ACTIONS(7083),
    [anon_sym_BSLASHGlstext] = ACTIONS(7083),
    [anon_sym_BSLASHGLStext] = ACTIONS(7083),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7083),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7083),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7083),
    [anon_sym_BSLASHglsplural] = ACTIONS(7083),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7083),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7083),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7083),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7083),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7083),
    [anon_sym_BSLASHglsname] = ACTIONS(7083),
    [anon_sym_BSLASHGlsname] = ACTIONS(7083),
    [anon_sym_BSLASHGLSname] = ACTIONS(7083),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7083),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7083),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7083),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7083),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7083),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7083),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7083),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7083),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7083),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7083),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7083),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7083),
    [anon_sym_BSLASHacrshort] = ACTIONS(7083),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7083),
    [anon_sym_BSLASHACRshort] = ACTIONS(7083),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHacrlong] = ACTIONS(7083),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7083),
    [anon_sym_BSLASHACRlong] = ACTIONS(7083),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7083),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7083),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7083),
    [anon_sym_BSLASHacrfull] = ACTIONS(7083),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7083),
    [anon_sym_BSLASHACRfull] = ACTIONS(7083),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHacs] = ACTIONS(7083),
    [anon_sym_BSLASHAcs] = ACTIONS(7083),
    [anon_sym_BSLASHacsp] = ACTIONS(7083),
    [anon_sym_BSLASHAcsp] = ACTIONS(7083),
    [anon_sym_BSLASHacl] = ACTIONS(7083),
    [anon_sym_BSLASHAcl] = ACTIONS(7083),
    [anon_sym_BSLASHaclp] = ACTIONS(7083),
    [anon_sym_BSLASHAclp] = ACTIONS(7083),
    [anon_sym_BSLASHacf] = ACTIONS(7083),
    [anon_sym_BSLASHAcf] = ACTIONS(7083),
    [anon_sym_BSLASHacfp] = ACTIONS(7083),
    [anon_sym_BSLASHAcfp] = ACTIONS(7083),
    [anon_sym_BSLASHac] = ACTIONS(7083),
    [anon_sym_BSLASHAc] = ACTIONS(7083),
    [anon_sym_BSLASHacp] = ACTIONS(7083),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7083),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7083),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7083),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7083),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7083),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7083),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7083),
    [anon_sym_BSLASHcolor] = ACTIONS(7083),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7083),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7083),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7083),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7083),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7083),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7083),
    [anon_sym_BSLASHurl] = ACTIONS(7083),
    [anon_sym_BSLASHhref] = ACTIONS(7083),
  },
  [1292] = {
    [sym_command_name] = ACTIONS(7603),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7603),
    [anon_sym_LBRACK] = ACTIONS(7605),
    [anon_sym_RBRACK] = ACTIONS(7605),
    [anon_sym_COMMA] = ACTIONS(7605),
    [anon_sym_EQ] = ACTIONS(7605),
    [anon_sym_LPAREN] = ACTIONS(7605),
    [anon_sym_RPAREN] = ACTIONS(7605),
    [anon_sym_BSLASHpart] = ACTIONS(7603),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHaddpart] = ACTIONS(7603),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHchapter] = ACTIONS(7603),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHaddchap] = ACTIONS(7603),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHsection] = ACTIONS(7603),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHaddsec] = ACTIONS(7603),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHsubsection] = ACTIONS(7603),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7603),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHparagraph] = ACTIONS(7603),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7603),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHitem] = ACTIONS(7603),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7605),
    [anon_sym_LBRACE] = ACTIONS(7605),
    [sym_word] = ACTIONS(7603),
    [sym_placeholder] = ACTIONS(7605),
    [sym_delimiter] = ACTIONS(7605),
    [anon_sym_PLUS] = ACTIONS(7605),
    [anon_sym_DASH] = ACTIONS(7605),
    [anon_sym_STAR] = ACTIONS(7605),
    [anon_sym_SLASH] = ACTIONS(7605),
    [anon_sym_LT] = ACTIONS(7603),
    [anon_sym_GT] = ACTIONS(7603),
    [anon_sym_BANG] = ACTIONS(7603),
    [anon_sym_PIPE] = ACTIONS(7603),
    [anon_sym_COLON] = ACTIONS(7603),
    [anon_sym_SQUOTE] = ACTIONS(7603),
    [anon_sym__] = ACTIONS(7605),
    [anon_sym_CARET] = ACTIONS(7605),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7605),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7605),
    [anon_sym_DOLLAR] = ACTIONS(7603),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7605),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7605),
    [anon_sym_BSLASHleft] = ACTIONS(7603),
    [anon_sym_BSLASHbigl] = ACTIONS(7603),
    [anon_sym_BSLASHBigl] = ACTIONS(7603),
    [anon_sym_BSLASHbiggl] = ACTIONS(7603),
    [anon_sym_BSLASHBiggl] = ACTIONS(7603),
    [anon_sym_BSLASHtext] = ACTIONS(7603),
    [anon_sym_BSLASHintertext] = ACTIONS(7603),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7603),
    [anon_sym_BSLASHbegin] = ACTIONS(7603),
    [anon_sym_BSLASHtitle] = ACTIONS(7603),
    [anon_sym_BSLASHauthor] = ACTIONS(7603),
    [anon_sym_BSLASHusepackage] = ACTIONS(7603),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7603),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7603),
    [anon_sym_BSLASHinclude] = ACTIONS(7603),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7603),
    [anon_sym_BSLASHinput] = ACTIONS(7603),
    [anon_sym_BSLASHsubfile] = ACTIONS(7603),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7603),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7603),
    [anon_sym_BSLASHbibliography] = ACTIONS(7603),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7603),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7603),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7603),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7603),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7603),
    [anon_sym_BSLASHimport] = ACTIONS(7603),
    [anon_sym_BSLASHsubimport] = ACTIONS(7603),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7603),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7603),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7603),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7603),
    [anon_sym_BSLASHcaption] = ACTIONS(7603),
    [anon_sym_BSLASHcite] = ACTIONS(7603),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCite] = ACTIONS(7603),
    [anon_sym_BSLASHnocite] = ACTIONS(7603),
    [anon_sym_BSLASHcitet] = ACTIONS(7603),
    [anon_sym_BSLASHcitep] = ACTIONS(7603),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteA] = ACTIONS(7603),
    [anon_sym_BSLASHciteR] = ACTIONS(7603),
    [anon_sym_BSLASHciteS] = ACTIONS(7603),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7603),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7603),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7603),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7603),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteyear] = ACTIONS(7603),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitedate] = ACTIONS(7603),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteurl] = ACTIONS(7603),
    [anon_sym_BSLASHfullcite] = ACTIONS(7603),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7603),
    [anon_sym_BSLASHcitealt] = ACTIONS(7603),
    [anon_sym_BSLASHcitealp] = ACTIONS(7603),
    [anon_sym_BSLASHcitetext] = ACTIONS(7603),
    [anon_sym_BSLASHparencite] = ACTIONS(7603),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHParencite] = ACTIONS(7603),
    [anon_sym_BSLASHfootcite] = ACTIONS(7603),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7603),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7603),
    [anon_sym_BSLASHtextcite] = ACTIONS(7603),
    [anon_sym_BSLASHTextcite] = ACTIONS(7603),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7603),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7603),
    [anon_sym_BSLASHsupercite] = ACTIONS(7603),
    [anon_sym_BSLASHautocite] = ACTIONS(7603),
    [anon_sym_BSLASHAutocite] = ACTIONS(7603),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHVolcite] = ACTIONS(7603),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHavolcite] = ACTIONS(7603),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHNotecite] = ACTIONS(7603),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHlabel] = ACTIONS(7603),
    [anon_sym_BSLASHref] = ACTIONS(7603),
    [anon_sym_BSLASHeqref] = ACTIONS(7603),
    [anon_sym_BSLASHvref] = ACTIONS(7603),
    [anon_sym_BSLASHVref] = ACTIONS(7603),
    [anon_sym_BSLASHautoref] = ACTIONS(7603),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHpageref] = ACTIONS(7603),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHautopageref] = ACTIONS(7603),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcref] = ACTIONS(7603),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCref] = ACTIONS(7603),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcpageref] = ACTIONS(7603),
    [anon_sym_BSLASHCpageref] = ACTIONS(7603),
    [anon_sym_BSLASHnamecref] = ACTIONS(7603),
    [anon_sym_BSLASHnameCref] = ACTIONS(7603),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7603),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7603),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7603),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7603),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7603),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7603),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7603),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7603),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7603),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7603),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7603),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHdef] = ACTIONS(7603),
    [anon_sym_BSLASHgdef] = ACTIONS(7603),
    [anon_sym_BSLASHedef] = ACTIONS(7603),
    [anon_sym_BSLASHxdef] = ACTIONS(7603),
    [anon_sym_BSLASHlet] = ACTIONS(7603),
    [anon_sym_BSLASHglet] = ACTIONS(7603),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7603),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7603),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7603),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7603),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7603),
    [anon_sym_BSLASHgls] = ACTIONS(7603),
    [anon_sym_BSLASHGls] = ACTIONS(7603),
    [anon_sym_BSLASHGLS] = ACTIONS(7603),
    [anon_sym_BSLASHglspl] = ACTIONS(7603),
    [anon_sym_BSLASHGlspl] = ACTIONS(7603),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7603),
    [anon_sym_BSLASHglslink] = ACTIONS(7603),
    [anon_sym_BSLASHglstext] = ACTIONS(7603),
    [anon_sym_BSLASHGlstext] = ACTIONS(7603),
    [anon_sym_BSLASHGLStext] = ACTIONS(7603),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7603),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7603),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7603),
    [anon_sym_BSLASHglsplural] = ACTIONS(7603),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7603),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7603),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHglsname] = ACTIONS(7603),
    [anon_sym_BSLASHGlsname] = ACTIONS(7603),
    [anon_sym_BSLASHGLSname] = ACTIONS(7603),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7603),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7603),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7603),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7603),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7603),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7603),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7603),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7603),
    [anon_sym_BSLASHacrshort] = ACTIONS(7603),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7603),
    [anon_sym_BSLASHACRshort] = ACTIONS(7603),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHacrlong] = ACTIONS(7603),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7603),
    [anon_sym_BSLASHACRlong] = ACTIONS(7603),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHacrfull] = ACTIONS(7603),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7603),
    [anon_sym_BSLASHACRfull] = ACTIONS(7603),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHacs] = ACTIONS(7603),
    [anon_sym_BSLASHAcs] = ACTIONS(7603),
    [anon_sym_BSLASHacsp] = ACTIONS(7603),
    [anon_sym_BSLASHAcsp] = ACTIONS(7603),
    [anon_sym_BSLASHacl] = ACTIONS(7603),
    [anon_sym_BSLASHAcl] = ACTIONS(7603),
    [anon_sym_BSLASHaclp] = ACTIONS(7603),
    [anon_sym_BSLASHAclp] = ACTIONS(7603),
    [anon_sym_BSLASHacf] = ACTIONS(7603),
    [anon_sym_BSLASHAcf] = ACTIONS(7603),
    [anon_sym_BSLASHacfp] = ACTIONS(7603),
    [anon_sym_BSLASHAcfp] = ACTIONS(7603),
    [anon_sym_BSLASHac] = ACTIONS(7603),
    [anon_sym_BSLASHAc] = ACTIONS(7603),
    [anon_sym_BSLASHacp] = ACTIONS(7603),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7603),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7603),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7603),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7603),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7603),
    [anon_sym_BSLASHcolor] = ACTIONS(7603),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7603),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7603),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7603),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7603),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7603),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7603),
    [anon_sym_BSLASHurl] = ACTIONS(7603),
    [anon_sym_BSLASHhref] = ACTIONS(7603),
  },
  [1293] = {
    [sym_command_name] = ACTIONS(7087),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7087),
    [anon_sym_LBRACK] = ACTIONS(7089),
    [anon_sym_RBRACK] = ACTIONS(7089),
    [anon_sym_COMMA] = ACTIONS(7089),
    [anon_sym_EQ] = ACTIONS(7089),
    [anon_sym_LPAREN] = ACTIONS(7089),
    [anon_sym_RPAREN] = ACTIONS(7089),
    [anon_sym_BSLASHpart] = ACTIONS(7087),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHaddpart] = ACTIONS(7087),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHchapter] = ACTIONS(7087),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHaddchap] = ACTIONS(7087),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHsection] = ACTIONS(7087),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHaddsec] = ACTIONS(7087),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHsubsection] = ACTIONS(7087),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7087),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHparagraph] = ACTIONS(7087),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7087),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHitem] = ACTIONS(7087),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7089),
    [anon_sym_LBRACE] = ACTIONS(7089),
    [sym_word] = ACTIONS(7087),
    [sym_placeholder] = ACTIONS(7089),
    [sym_delimiter] = ACTIONS(7089),
    [anon_sym_PLUS] = ACTIONS(7089),
    [anon_sym_DASH] = ACTIONS(7089),
    [anon_sym_STAR] = ACTIONS(7089),
    [anon_sym_SLASH] = ACTIONS(7089),
    [anon_sym_LT] = ACTIONS(7087),
    [anon_sym_GT] = ACTIONS(7087),
    [anon_sym_BANG] = ACTIONS(7087),
    [anon_sym_PIPE] = ACTIONS(7087),
    [anon_sym_COLON] = ACTIONS(7087),
    [anon_sym_SQUOTE] = ACTIONS(7087),
    [anon_sym__] = ACTIONS(7089),
    [anon_sym_CARET] = ACTIONS(7089),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7089),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7089),
    [anon_sym_DOLLAR] = ACTIONS(7087),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7089),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7089),
    [anon_sym_BSLASHleft] = ACTIONS(7087),
    [anon_sym_BSLASHbigl] = ACTIONS(7087),
    [anon_sym_BSLASHBigl] = ACTIONS(7087),
    [anon_sym_BSLASHbiggl] = ACTIONS(7087),
    [anon_sym_BSLASHBiggl] = ACTIONS(7087),
    [anon_sym_BSLASHtext] = ACTIONS(7087),
    [anon_sym_BSLASHintertext] = ACTIONS(7087),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7087),
    [anon_sym_BSLASHbegin] = ACTIONS(7087),
    [anon_sym_BSLASHtitle] = ACTIONS(7087),
    [anon_sym_BSLASHauthor] = ACTIONS(7087),
    [anon_sym_BSLASHusepackage] = ACTIONS(7087),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7087),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7087),
    [anon_sym_BSLASHinclude] = ACTIONS(7087),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7087),
    [anon_sym_BSLASHinput] = ACTIONS(7087),
    [anon_sym_BSLASHsubfile] = ACTIONS(7087),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7087),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7087),
    [anon_sym_BSLASHbibliography] = ACTIONS(7087),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7087),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7087),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7087),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7087),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7087),
    [anon_sym_BSLASHimport] = ACTIONS(7087),
    [anon_sym_BSLASHsubimport] = ACTIONS(7087),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7087),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7087),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7087),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7087),
    [anon_sym_BSLASHcaption] = ACTIONS(7087),
    [anon_sym_BSLASHcite] = ACTIONS(7087),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHCite] = ACTIONS(7087),
    [anon_sym_BSLASHnocite] = ACTIONS(7087),
    [anon_sym_BSLASHcitet] = ACTIONS(7087),
    [anon_sym_BSLASHcitep] = ACTIONS(7087),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHciteA] = ACTIONS(7087),
    [anon_sym_BSLASHciteR] = ACTIONS(7087),
    [anon_sym_BSLASHciteS] = ACTIONS(7087),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7087),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7087),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7087),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7087),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHciteyear] = ACTIONS(7087),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcitedate] = ACTIONS(7087),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHciteurl] = ACTIONS(7087),
    [anon_sym_BSLASHfullcite] = ACTIONS(7087),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7087),
    [anon_sym_BSLASHcitealt] = ACTIONS(7087),
    [anon_sym_BSLASHcitealp] = ACTIONS(7087),
    [anon_sym_BSLASHcitetext] = ACTIONS(7087),
    [anon_sym_BSLASHparencite] = ACTIONS(7087),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHParencite] = ACTIONS(7087),
    [anon_sym_BSLASHfootcite] = ACTIONS(7087),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7087),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7087),
    [anon_sym_BSLASHtextcite] = ACTIONS(7087),
    [anon_sym_BSLASHTextcite] = ACTIONS(7087),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7087),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7087),
    [anon_sym_BSLASHsupercite] = ACTIONS(7087),
    [anon_sym_BSLASHautocite] = ACTIONS(7087),
    [anon_sym_BSLASHAutocite] = ACTIONS(7087),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHVolcite] = ACTIONS(7087),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHavolcite] = ACTIONS(7087),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHnotecite] = ACTIONS(7087),
    [anon_sym_BSLASHNotecite] = ACTIONS(7087),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7087),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7087),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7087),
    [anon_sym_BSLASHlabel] = ACTIONS(7087),
    [anon_sym_BSLASHref] = ACTIONS(7087),
    [anon_sym_BSLASHeqref] = ACTIONS(7087),
    [anon_sym_BSLASHvref] = ACTIONS(7087),
    [anon_sym_BSLASHVref] = ACTIONS(7087),
    [anon_sym_BSLASHautoref] = ACTIONS(7087),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHpageref] = ACTIONS(7087),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHautopageref] = ACTIONS(7087),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcref] = ACTIONS(7087),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHCref] = ACTIONS(7087),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcpageref] = ACTIONS(7087),
    [anon_sym_BSLASHCpageref] = ACTIONS(7087),
    [anon_sym_BSLASHnamecref] = ACTIONS(7087),
    [anon_sym_BSLASHnameCref] = ACTIONS(7087),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7087),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7087),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7087),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7087),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7087),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7087),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7087),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7087),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7087),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7087),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7087),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7087),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7087),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7087),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7087),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7087),
    [anon_sym_BSLASHdef] = ACTIONS(7087),
    [anon_sym_BSLASHgdef] = ACTIONS(7087),
    [anon_sym_BSLASHedef] = ACTIONS(7087),
    [anon_sym_BSLASHxdef] = ACTIONS(7087),
    [anon_sym_BSLASHlet] = ACTIONS(7087),
    [anon_sym_BSLASHglet] = ACTIONS(7087),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7087),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7087),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7087),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7087),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7087),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7087),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7087),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7087),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7087),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7087),
    [anon_sym_BSLASHgls] = ACTIONS(7087),
    [anon_sym_BSLASHGls] = ACTIONS(7087),
    [anon_sym_BSLASHGLS] = ACTIONS(7087),
    [anon_sym_BSLASHglspl] = ACTIONS(7087),
    [anon_sym_BSLASHGlspl] = ACTIONS(7087),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7087),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7087),
    [anon_sym_BSLASHglslink] = ACTIONS(7087),
    [anon_sym_BSLASHglstext] = ACTIONS(7087),
    [anon_sym_BSLASHGlstext] = ACTIONS(7087),
    [anon_sym_BSLASHGLStext] = ACTIONS(7087),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7087),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7087),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7087),
    [anon_sym_BSLASHglsplural] = ACTIONS(7087),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7087),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7087),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7087),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7087),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7087),
    [anon_sym_BSLASHglsname] = ACTIONS(7087),
    [anon_sym_BSLASHGlsname] = ACTIONS(7087),
    [anon_sym_BSLASHGLSname] = ACTIONS(7087),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7087),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7087),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7087),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7087),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7087),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7087),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7087),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7087),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7087),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7087),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7087),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7087),
    [anon_sym_BSLASHacrshort] = ACTIONS(7087),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7087),
    [anon_sym_BSLASHACRshort] = ACTIONS(7087),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHacrlong] = ACTIONS(7087),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7087),
    [anon_sym_BSLASHACRlong] = ACTIONS(7087),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7087),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7087),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7087),
    [anon_sym_BSLASHacrfull] = ACTIONS(7087),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7087),
    [anon_sym_BSLASHACRfull] = ACTIONS(7087),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHacs] = ACTIONS(7087),
    [anon_sym_BSLASHAcs] = ACTIONS(7087),
    [anon_sym_BSLASHacsp] = ACTIONS(7087),
    [anon_sym_BSLASHAcsp] = ACTIONS(7087),
    [anon_sym_BSLASHacl] = ACTIONS(7087),
    [anon_sym_BSLASHAcl] = ACTIONS(7087),
    [anon_sym_BSLASHaclp] = ACTIONS(7087),
    [anon_sym_BSLASHAclp] = ACTIONS(7087),
    [anon_sym_BSLASHacf] = ACTIONS(7087),
    [anon_sym_BSLASHAcf] = ACTIONS(7087),
    [anon_sym_BSLASHacfp] = ACTIONS(7087),
    [anon_sym_BSLASHAcfp] = ACTIONS(7087),
    [anon_sym_BSLASHac] = ACTIONS(7087),
    [anon_sym_BSLASHAc] = ACTIONS(7087),
    [anon_sym_BSLASHacp] = ACTIONS(7087),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7087),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7087),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7087),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7087),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7087),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7087),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7087),
    [anon_sym_BSLASHcolor] = ACTIONS(7087),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7087),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7087),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7087),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7087),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7087),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7087),
    [anon_sym_BSLASHurl] = ACTIONS(7087),
    [anon_sym_BSLASHhref] = ACTIONS(7087),
  },
  [1294] = {
    [sym_command_name] = ACTIONS(7091),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7091),
    [anon_sym_LBRACK] = ACTIONS(7093),
    [anon_sym_RBRACK] = ACTIONS(7093),
    [anon_sym_COMMA] = ACTIONS(7093),
    [anon_sym_EQ] = ACTIONS(7093),
    [anon_sym_LPAREN] = ACTIONS(7093),
    [anon_sym_RPAREN] = ACTIONS(7093),
    [anon_sym_BSLASHpart] = ACTIONS(7091),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHaddpart] = ACTIONS(7091),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHchapter] = ACTIONS(7091),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHaddchap] = ACTIONS(7091),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHsection] = ACTIONS(7091),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHaddsec] = ACTIONS(7091),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHsubsection] = ACTIONS(7091),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7091),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHparagraph] = ACTIONS(7091),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7091),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHitem] = ACTIONS(7091),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7093),
    [anon_sym_LBRACE] = ACTIONS(7093),
    [sym_word] = ACTIONS(7091),
    [sym_placeholder] = ACTIONS(7093),
    [sym_delimiter] = ACTIONS(7093),
    [anon_sym_PLUS] = ACTIONS(7093),
    [anon_sym_DASH] = ACTIONS(7093),
    [anon_sym_STAR] = ACTIONS(7093),
    [anon_sym_SLASH] = ACTIONS(7093),
    [anon_sym_LT] = ACTIONS(7091),
    [anon_sym_GT] = ACTIONS(7091),
    [anon_sym_BANG] = ACTIONS(7091),
    [anon_sym_PIPE] = ACTIONS(7091),
    [anon_sym_COLON] = ACTIONS(7091),
    [anon_sym_SQUOTE] = ACTIONS(7091),
    [anon_sym__] = ACTIONS(7093),
    [anon_sym_CARET] = ACTIONS(7093),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7093),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7093),
    [anon_sym_DOLLAR] = ACTIONS(7091),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7093),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7093),
    [anon_sym_BSLASHleft] = ACTIONS(7091),
    [anon_sym_BSLASHbigl] = ACTIONS(7091),
    [anon_sym_BSLASHBigl] = ACTIONS(7091),
    [anon_sym_BSLASHbiggl] = ACTIONS(7091),
    [anon_sym_BSLASHBiggl] = ACTIONS(7091),
    [anon_sym_BSLASHtext] = ACTIONS(7091),
    [anon_sym_BSLASHintertext] = ACTIONS(7091),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7091),
    [anon_sym_BSLASHbegin] = ACTIONS(7091),
    [anon_sym_BSLASHtitle] = ACTIONS(7091),
    [anon_sym_BSLASHauthor] = ACTIONS(7091),
    [anon_sym_BSLASHusepackage] = ACTIONS(7091),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7091),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7091),
    [anon_sym_BSLASHinclude] = ACTIONS(7091),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7091),
    [anon_sym_BSLASHinput] = ACTIONS(7091),
    [anon_sym_BSLASHsubfile] = ACTIONS(7091),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7091),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7091),
    [anon_sym_BSLASHbibliography] = ACTIONS(7091),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7091),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7091),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7091),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7091),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7091),
    [anon_sym_BSLASHimport] = ACTIONS(7091),
    [anon_sym_BSLASHsubimport] = ACTIONS(7091),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7091),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7091),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7091),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7091),
    [anon_sym_BSLASHcaption] = ACTIONS(7091),
    [anon_sym_BSLASHcite] = ACTIONS(7091),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHCite] = ACTIONS(7091),
    [anon_sym_BSLASHnocite] = ACTIONS(7091),
    [anon_sym_BSLASHcitet] = ACTIONS(7091),
    [anon_sym_BSLASHcitep] = ACTIONS(7091),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHciteA] = ACTIONS(7091),
    [anon_sym_BSLASHciteR] = ACTIONS(7091),
    [anon_sym_BSLASHciteS] = ACTIONS(7091),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7091),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7091),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7091),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7091),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHciteyear] = ACTIONS(7091),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcitedate] = ACTIONS(7091),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHciteurl] = ACTIONS(7091),
    [anon_sym_BSLASHfullcite] = ACTIONS(7091),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7091),
    [anon_sym_BSLASHcitealt] = ACTIONS(7091),
    [anon_sym_BSLASHcitealp] = ACTIONS(7091),
    [anon_sym_BSLASHcitetext] = ACTIONS(7091),
    [anon_sym_BSLASHparencite] = ACTIONS(7091),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHParencite] = ACTIONS(7091),
    [anon_sym_BSLASHfootcite] = ACTIONS(7091),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7091),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7091),
    [anon_sym_BSLASHtextcite] = ACTIONS(7091),
    [anon_sym_BSLASHTextcite] = ACTIONS(7091),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7091),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7091),
    [anon_sym_BSLASHsupercite] = ACTIONS(7091),
    [anon_sym_BSLASHautocite] = ACTIONS(7091),
    [anon_sym_BSLASHAutocite] = ACTIONS(7091),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHVolcite] = ACTIONS(7091),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHavolcite] = ACTIONS(7091),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHnotecite] = ACTIONS(7091),
    [anon_sym_BSLASHNotecite] = ACTIONS(7091),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7091),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7091),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7091),
    [anon_sym_BSLASHlabel] = ACTIONS(7091),
    [anon_sym_BSLASHref] = ACTIONS(7091),
    [anon_sym_BSLASHeqref] = ACTIONS(7091),
    [anon_sym_BSLASHvref] = ACTIONS(7091),
    [anon_sym_BSLASHVref] = ACTIONS(7091),
    [anon_sym_BSLASHautoref] = ACTIONS(7091),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHpageref] = ACTIONS(7091),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHautopageref] = ACTIONS(7091),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcref] = ACTIONS(7091),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHCref] = ACTIONS(7091),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcpageref] = ACTIONS(7091),
    [anon_sym_BSLASHCpageref] = ACTIONS(7091),
    [anon_sym_BSLASHnamecref] = ACTIONS(7091),
    [anon_sym_BSLASHnameCref] = ACTIONS(7091),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7091),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7091),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7091),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7091),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7091),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7091),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7091),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7091),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7091),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7091),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7091),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7091),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7091),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7091),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7091),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7091),
    [anon_sym_BSLASHdef] = ACTIONS(7091),
    [anon_sym_BSLASHgdef] = ACTIONS(7091),
    [anon_sym_BSLASHedef] = ACTIONS(7091),
    [anon_sym_BSLASHxdef] = ACTIONS(7091),
    [anon_sym_BSLASHlet] = ACTIONS(7091),
    [anon_sym_BSLASHglet] = ACTIONS(7091),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7091),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7091),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7091),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7091),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7091),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7091),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7091),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7091),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7091),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7091),
    [anon_sym_BSLASHgls] = ACTIONS(7091),
    [anon_sym_BSLASHGls] = ACTIONS(7091),
    [anon_sym_BSLASHGLS] = ACTIONS(7091),
    [anon_sym_BSLASHglspl] = ACTIONS(7091),
    [anon_sym_BSLASHGlspl] = ACTIONS(7091),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7091),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7091),
    [anon_sym_BSLASHglslink] = ACTIONS(7091),
    [anon_sym_BSLASHglstext] = ACTIONS(7091),
    [anon_sym_BSLASHGlstext] = ACTIONS(7091),
    [anon_sym_BSLASHGLStext] = ACTIONS(7091),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7091),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7091),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7091),
    [anon_sym_BSLASHglsplural] = ACTIONS(7091),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7091),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7091),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7091),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7091),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7091),
    [anon_sym_BSLASHglsname] = ACTIONS(7091),
    [anon_sym_BSLASHGlsname] = ACTIONS(7091),
    [anon_sym_BSLASHGLSname] = ACTIONS(7091),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7091),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7091),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7091),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7091),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7091),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7091),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7091),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7091),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7091),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7091),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7091),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7091),
    [anon_sym_BSLASHacrshort] = ACTIONS(7091),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7091),
    [anon_sym_BSLASHACRshort] = ACTIONS(7091),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHacrlong] = ACTIONS(7091),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7091),
    [anon_sym_BSLASHACRlong] = ACTIONS(7091),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7091),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7091),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7091),
    [anon_sym_BSLASHacrfull] = ACTIONS(7091),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7091),
    [anon_sym_BSLASHACRfull] = ACTIONS(7091),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHacs] = ACTIONS(7091),
    [anon_sym_BSLASHAcs] = ACTIONS(7091),
    [anon_sym_BSLASHacsp] = ACTIONS(7091),
    [anon_sym_BSLASHAcsp] = ACTIONS(7091),
    [anon_sym_BSLASHacl] = ACTIONS(7091),
    [anon_sym_BSLASHAcl] = ACTIONS(7091),
    [anon_sym_BSLASHaclp] = ACTIONS(7091),
    [anon_sym_BSLASHAclp] = ACTIONS(7091),
    [anon_sym_BSLASHacf] = ACTIONS(7091),
    [anon_sym_BSLASHAcf] = ACTIONS(7091),
    [anon_sym_BSLASHacfp] = ACTIONS(7091),
    [anon_sym_BSLASHAcfp] = ACTIONS(7091),
    [anon_sym_BSLASHac] = ACTIONS(7091),
    [anon_sym_BSLASHAc] = ACTIONS(7091),
    [anon_sym_BSLASHacp] = ACTIONS(7091),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7091),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7091),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7091),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7091),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7091),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7091),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7091),
    [anon_sym_BSLASHcolor] = ACTIONS(7091),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7091),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7091),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7091),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7091),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7091),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7091),
    [anon_sym_BSLASHurl] = ACTIONS(7091),
    [anon_sym_BSLASHhref] = ACTIONS(7091),
  },
  [1295] = {
    [sym_command_name] = ACTIONS(7095),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7095),
    [anon_sym_LBRACK] = ACTIONS(7097),
    [anon_sym_RBRACK] = ACTIONS(7097),
    [anon_sym_COMMA] = ACTIONS(7097),
    [anon_sym_EQ] = ACTIONS(7097),
    [anon_sym_LPAREN] = ACTIONS(7097),
    [anon_sym_RPAREN] = ACTIONS(7097),
    [anon_sym_BSLASHpart] = ACTIONS(7095),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHaddpart] = ACTIONS(7095),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHchapter] = ACTIONS(7095),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHaddchap] = ACTIONS(7095),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHsection] = ACTIONS(7095),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHaddsec] = ACTIONS(7095),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHsubsection] = ACTIONS(7095),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7095),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHparagraph] = ACTIONS(7095),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7095),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHitem] = ACTIONS(7095),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7097),
    [anon_sym_LBRACE] = ACTIONS(7097),
    [sym_word] = ACTIONS(7095),
    [sym_placeholder] = ACTIONS(7097),
    [sym_delimiter] = ACTIONS(7097),
    [anon_sym_PLUS] = ACTIONS(7097),
    [anon_sym_DASH] = ACTIONS(7097),
    [anon_sym_STAR] = ACTIONS(7097),
    [anon_sym_SLASH] = ACTIONS(7097),
    [anon_sym_LT] = ACTIONS(7095),
    [anon_sym_GT] = ACTIONS(7095),
    [anon_sym_BANG] = ACTIONS(7095),
    [anon_sym_PIPE] = ACTIONS(7095),
    [anon_sym_COLON] = ACTIONS(7095),
    [anon_sym_SQUOTE] = ACTIONS(7095),
    [anon_sym__] = ACTIONS(7097),
    [anon_sym_CARET] = ACTIONS(7097),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7097),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7097),
    [anon_sym_DOLLAR] = ACTIONS(7095),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7097),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7097),
    [anon_sym_BSLASHleft] = ACTIONS(7095),
    [anon_sym_BSLASHbigl] = ACTIONS(7095),
    [anon_sym_BSLASHBigl] = ACTIONS(7095),
    [anon_sym_BSLASHbiggl] = ACTIONS(7095),
    [anon_sym_BSLASHBiggl] = ACTIONS(7095),
    [anon_sym_BSLASHtext] = ACTIONS(7095),
    [anon_sym_BSLASHintertext] = ACTIONS(7095),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7095),
    [anon_sym_BSLASHbegin] = ACTIONS(7095),
    [anon_sym_BSLASHtitle] = ACTIONS(7095),
    [anon_sym_BSLASHauthor] = ACTIONS(7095),
    [anon_sym_BSLASHusepackage] = ACTIONS(7095),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7095),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7095),
    [anon_sym_BSLASHinclude] = ACTIONS(7095),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7095),
    [anon_sym_BSLASHinput] = ACTIONS(7095),
    [anon_sym_BSLASHsubfile] = ACTIONS(7095),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7095),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7095),
    [anon_sym_BSLASHbibliography] = ACTIONS(7095),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7095),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7095),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7095),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7095),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7095),
    [anon_sym_BSLASHimport] = ACTIONS(7095),
    [anon_sym_BSLASHsubimport] = ACTIONS(7095),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7095),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7095),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7095),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7095),
    [anon_sym_BSLASHcaption] = ACTIONS(7095),
    [anon_sym_BSLASHcite] = ACTIONS(7095),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHCite] = ACTIONS(7095),
    [anon_sym_BSLASHnocite] = ACTIONS(7095),
    [anon_sym_BSLASHcitet] = ACTIONS(7095),
    [anon_sym_BSLASHcitep] = ACTIONS(7095),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHciteA] = ACTIONS(7095),
    [anon_sym_BSLASHciteR] = ACTIONS(7095),
    [anon_sym_BSLASHciteS] = ACTIONS(7095),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7095),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7095),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7095),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7095),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHciteyear] = ACTIONS(7095),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcitedate] = ACTIONS(7095),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHciteurl] = ACTIONS(7095),
    [anon_sym_BSLASHfullcite] = ACTIONS(7095),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7095),
    [anon_sym_BSLASHcitealt] = ACTIONS(7095),
    [anon_sym_BSLASHcitealp] = ACTIONS(7095),
    [anon_sym_BSLASHcitetext] = ACTIONS(7095),
    [anon_sym_BSLASHparencite] = ACTIONS(7095),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHParencite] = ACTIONS(7095),
    [anon_sym_BSLASHfootcite] = ACTIONS(7095),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7095),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7095),
    [anon_sym_BSLASHtextcite] = ACTIONS(7095),
    [anon_sym_BSLASHTextcite] = ACTIONS(7095),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7095),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7095),
    [anon_sym_BSLASHsupercite] = ACTIONS(7095),
    [anon_sym_BSLASHautocite] = ACTIONS(7095),
    [anon_sym_BSLASHAutocite] = ACTIONS(7095),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHVolcite] = ACTIONS(7095),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHavolcite] = ACTIONS(7095),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHnotecite] = ACTIONS(7095),
    [anon_sym_BSLASHNotecite] = ACTIONS(7095),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7095),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7095),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7095),
    [anon_sym_BSLASHlabel] = ACTIONS(7095),
    [anon_sym_BSLASHref] = ACTIONS(7095),
    [anon_sym_BSLASHeqref] = ACTIONS(7095),
    [anon_sym_BSLASHvref] = ACTIONS(7095),
    [anon_sym_BSLASHVref] = ACTIONS(7095),
    [anon_sym_BSLASHautoref] = ACTIONS(7095),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHpageref] = ACTIONS(7095),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHautopageref] = ACTIONS(7095),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcref] = ACTIONS(7095),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHCref] = ACTIONS(7095),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcpageref] = ACTIONS(7095),
    [anon_sym_BSLASHCpageref] = ACTIONS(7095),
    [anon_sym_BSLASHnamecref] = ACTIONS(7095),
    [anon_sym_BSLASHnameCref] = ACTIONS(7095),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7095),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7095),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7095),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7095),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7095),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7095),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7095),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7095),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7095),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7095),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7095),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7095),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7095),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7095),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7095),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7095),
    [anon_sym_BSLASHdef] = ACTIONS(7095),
    [anon_sym_BSLASHgdef] = ACTIONS(7095),
    [anon_sym_BSLASHedef] = ACTIONS(7095),
    [anon_sym_BSLASHxdef] = ACTIONS(7095),
    [anon_sym_BSLASHlet] = ACTIONS(7095),
    [anon_sym_BSLASHglet] = ACTIONS(7095),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7095),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7095),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7095),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7095),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7095),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7095),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7095),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7095),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7095),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7095),
    [anon_sym_BSLASHgls] = ACTIONS(7095),
    [anon_sym_BSLASHGls] = ACTIONS(7095),
    [anon_sym_BSLASHGLS] = ACTIONS(7095),
    [anon_sym_BSLASHglspl] = ACTIONS(7095),
    [anon_sym_BSLASHGlspl] = ACTIONS(7095),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7095),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7095),
    [anon_sym_BSLASHglslink] = ACTIONS(7095),
    [anon_sym_BSLASHglstext] = ACTIONS(7095),
    [anon_sym_BSLASHGlstext] = ACTIONS(7095),
    [anon_sym_BSLASHGLStext] = ACTIONS(7095),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7095),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7095),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7095),
    [anon_sym_BSLASHglsplural] = ACTIONS(7095),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7095),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7095),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7095),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7095),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7095),
    [anon_sym_BSLASHglsname] = ACTIONS(7095),
    [anon_sym_BSLASHGlsname] = ACTIONS(7095),
    [anon_sym_BSLASHGLSname] = ACTIONS(7095),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7095),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7095),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7095),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7095),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7095),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7095),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7095),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7095),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7095),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7095),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7095),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7095),
    [anon_sym_BSLASHacrshort] = ACTIONS(7095),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7095),
    [anon_sym_BSLASHACRshort] = ACTIONS(7095),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHacrlong] = ACTIONS(7095),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7095),
    [anon_sym_BSLASHACRlong] = ACTIONS(7095),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7095),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7095),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7095),
    [anon_sym_BSLASHacrfull] = ACTIONS(7095),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7095),
    [anon_sym_BSLASHACRfull] = ACTIONS(7095),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHacs] = ACTIONS(7095),
    [anon_sym_BSLASHAcs] = ACTIONS(7095),
    [anon_sym_BSLASHacsp] = ACTIONS(7095),
    [anon_sym_BSLASHAcsp] = ACTIONS(7095),
    [anon_sym_BSLASHacl] = ACTIONS(7095),
    [anon_sym_BSLASHAcl] = ACTIONS(7095),
    [anon_sym_BSLASHaclp] = ACTIONS(7095),
    [anon_sym_BSLASHAclp] = ACTIONS(7095),
    [anon_sym_BSLASHacf] = ACTIONS(7095),
    [anon_sym_BSLASHAcf] = ACTIONS(7095),
    [anon_sym_BSLASHacfp] = ACTIONS(7095),
    [anon_sym_BSLASHAcfp] = ACTIONS(7095),
    [anon_sym_BSLASHac] = ACTIONS(7095),
    [anon_sym_BSLASHAc] = ACTIONS(7095),
    [anon_sym_BSLASHacp] = ACTIONS(7095),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7095),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7095),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7095),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7095),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7095),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7095),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7095),
    [anon_sym_BSLASHcolor] = ACTIONS(7095),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7095),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7095),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7095),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7095),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7095),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7095),
    [anon_sym_BSLASHurl] = ACTIONS(7095),
    [anon_sym_BSLASHhref] = ACTIONS(7095),
  },
  [1296] = {
    [sym_command_name] = ACTIONS(7099),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7099),
    [anon_sym_LBRACK] = ACTIONS(7101),
    [anon_sym_RBRACK] = ACTIONS(7101),
    [anon_sym_COMMA] = ACTIONS(7101),
    [anon_sym_EQ] = ACTIONS(7101),
    [anon_sym_LPAREN] = ACTIONS(7101),
    [anon_sym_RPAREN] = ACTIONS(7101),
    [anon_sym_BSLASHpart] = ACTIONS(7099),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHaddpart] = ACTIONS(7099),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHchapter] = ACTIONS(7099),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHaddchap] = ACTIONS(7099),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHsection] = ACTIONS(7099),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHaddsec] = ACTIONS(7099),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHsubsection] = ACTIONS(7099),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7099),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHparagraph] = ACTIONS(7099),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7099),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHitem] = ACTIONS(7099),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7101),
    [anon_sym_LBRACE] = ACTIONS(7101),
    [sym_word] = ACTIONS(7099),
    [sym_placeholder] = ACTIONS(7101),
    [sym_delimiter] = ACTIONS(7101),
    [anon_sym_PLUS] = ACTIONS(7101),
    [anon_sym_DASH] = ACTIONS(7101),
    [anon_sym_STAR] = ACTIONS(7101),
    [anon_sym_SLASH] = ACTIONS(7101),
    [anon_sym_LT] = ACTIONS(7099),
    [anon_sym_GT] = ACTIONS(7099),
    [anon_sym_BANG] = ACTIONS(7099),
    [anon_sym_PIPE] = ACTIONS(7099),
    [anon_sym_COLON] = ACTIONS(7099),
    [anon_sym_SQUOTE] = ACTIONS(7099),
    [anon_sym__] = ACTIONS(7101),
    [anon_sym_CARET] = ACTIONS(7101),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7101),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7101),
    [anon_sym_DOLLAR] = ACTIONS(7099),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7101),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7101),
    [anon_sym_BSLASHleft] = ACTIONS(7099),
    [anon_sym_BSLASHbigl] = ACTIONS(7099),
    [anon_sym_BSLASHBigl] = ACTIONS(7099),
    [anon_sym_BSLASHbiggl] = ACTIONS(7099),
    [anon_sym_BSLASHBiggl] = ACTIONS(7099),
    [anon_sym_BSLASHtext] = ACTIONS(7099),
    [anon_sym_BSLASHintertext] = ACTIONS(7099),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7099),
    [anon_sym_BSLASHbegin] = ACTIONS(7099),
    [anon_sym_BSLASHtitle] = ACTIONS(7099),
    [anon_sym_BSLASHauthor] = ACTIONS(7099),
    [anon_sym_BSLASHusepackage] = ACTIONS(7099),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7099),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7099),
    [anon_sym_BSLASHinclude] = ACTIONS(7099),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7099),
    [anon_sym_BSLASHinput] = ACTIONS(7099),
    [anon_sym_BSLASHsubfile] = ACTIONS(7099),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7099),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7099),
    [anon_sym_BSLASHbibliography] = ACTIONS(7099),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7099),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7099),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7099),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7099),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7099),
    [anon_sym_BSLASHimport] = ACTIONS(7099),
    [anon_sym_BSLASHsubimport] = ACTIONS(7099),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7099),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7099),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7099),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7099),
    [anon_sym_BSLASHcaption] = ACTIONS(7099),
    [anon_sym_BSLASHcite] = ACTIONS(7099),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHCite] = ACTIONS(7099),
    [anon_sym_BSLASHnocite] = ACTIONS(7099),
    [anon_sym_BSLASHcitet] = ACTIONS(7099),
    [anon_sym_BSLASHcitep] = ACTIONS(7099),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHciteA] = ACTIONS(7099),
    [anon_sym_BSLASHciteR] = ACTIONS(7099),
    [anon_sym_BSLASHciteS] = ACTIONS(7099),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7099),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7099),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7099),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7099),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHciteyear] = ACTIONS(7099),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcitedate] = ACTIONS(7099),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHciteurl] = ACTIONS(7099),
    [anon_sym_BSLASHfullcite] = ACTIONS(7099),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7099),
    [anon_sym_BSLASHcitealt] = ACTIONS(7099),
    [anon_sym_BSLASHcitealp] = ACTIONS(7099),
    [anon_sym_BSLASHcitetext] = ACTIONS(7099),
    [anon_sym_BSLASHparencite] = ACTIONS(7099),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHParencite] = ACTIONS(7099),
    [anon_sym_BSLASHfootcite] = ACTIONS(7099),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7099),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7099),
    [anon_sym_BSLASHtextcite] = ACTIONS(7099),
    [anon_sym_BSLASHTextcite] = ACTIONS(7099),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7099),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7099),
    [anon_sym_BSLASHsupercite] = ACTIONS(7099),
    [anon_sym_BSLASHautocite] = ACTIONS(7099),
    [anon_sym_BSLASHAutocite] = ACTIONS(7099),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHVolcite] = ACTIONS(7099),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHavolcite] = ACTIONS(7099),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHnotecite] = ACTIONS(7099),
    [anon_sym_BSLASHNotecite] = ACTIONS(7099),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7099),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7099),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7099),
    [anon_sym_BSLASHlabel] = ACTIONS(7099),
    [anon_sym_BSLASHref] = ACTIONS(7099),
    [anon_sym_BSLASHeqref] = ACTIONS(7099),
    [anon_sym_BSLASHvref] = ACTIONS(7099),
    [anon_sym_BSLASHVref] = ACTIONS(7099),
    [anon_sym_BSLASHautoref] = ACTIONS(7099),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHpageref] = ACTIONS(7099),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHautopageref] = ACTIONS(7099),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcref] = ACTIONS(7099),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHCref] = ACTIONS(7099),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcpageref] = ACTIONS(7099),
    [anon_sym_BSLASHCpageref] = ACTIONS(7099),
    [anon_sym_BSLASHnamecref] = ACTIONS(7099),
    [anon_sym_BSLASHnameCref] = ACTIONS(7099),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7099),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7099),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7099),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7099),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7099),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7099),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7099),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7099),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7099),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7099),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7099),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7099),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7099),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7099),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7099),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7099),
    [anon_sym_BSLASHdef] = ACTIONS(7099),
    [anon_sym_BSLASHgdef] = ACTIONS(7099),
    [anon_sym_BSLASHedef] = ACTIONS(7099),
    [anon_sym_BSLASHxdef] = ACTIONS(7099),
    [anon_sym_BSLASHlet] = ACTIONS(7099),
    [anon_sym_BSLASHglet] = ACTIONS(7099),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7099),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7099),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7099),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7099),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7099),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7099),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7099),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7099),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7099),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7099),
    [anon_sym_BSLASHgls] = ACTIONS(7099),
    [anon_sym_BSLASHGls] = ACTIONS(7099),
    [anon_sym_BSLASHGLS] = ACTIONS(7099),
    [anon_sym_BSLASHglspl] = ACTIONS(7099),
    [anon_sym_BSLASHGlspl] = ACTIONS(7099),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7099),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7099),
    [anon_sym_BSLASHglslink] = ACTIONS(7099),
    [anon_sym_BSLASHglstext] = ACTIONS(7099),
    [anon_sym_BSLASHGlstext] = ACTIONS(7099),
    [anon_sym_BSLASHGLStext] = ACTIONS(7099),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7099),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7099),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7099),
    [anon_sym_BSLASHglsplural] = ACTIONS(7099),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7099),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7099),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7099),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7099),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7099),
    [anon_sym_BSLASHglsname] = ACTIONS(7099),
    [anon_sym_BSLASHGlsname] = ACTIONS(7099),
    [anon_sym_BSLASHGLSname] = ACTIONS(7099),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7099),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7099),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7099),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7099),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7099),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7099),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7099),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7099),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7099),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7099),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7099),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7099),
    [anon_sym_BSLASHacrshort] = ACTIONS(7099),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7099),
    [anon_sym_BSLASHACRshort] = ACTIONS(7099),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHacrlong] = ACTIONS(7099),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7099),
    [anon_sym_BSLASHACRlong] = ACTIONS(7099),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7099),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7099),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7099),
    [anon_sym_BSLASHacrfull] = ACTIONS(7099),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7099),
    [anon_sym_BSLASHACRfull] = ACTIONS(7099),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHacs] = ACTIONS(7099),
    [anon_sym_BSLASHAcs] = ACTIONS(7099),
    [anon_sym_BSLASHacsp] = ACTIONS(7099),
    [anon_sym_BSLASHAcsp] = ACTIONS(7099),
    [anon_sym_BSLASHacl] = ACTIONS(7099),
    [anon_sym_BSLASHAcl] = ACTIONS(7099),
    [anon_sym_BSLASHaclp] = ACTIONS(7099),
    [anon_sym_BSLASHAclp] = ACTIONS(7099),
    [anon_sym_BSLASHacf] = ACTIONS(7099),
    [anon_sym_BSLASHAcf] = ACTIONS(7099),
    [anon_sym_BSLASHacfp] = ACTIONS(7099),
    [anon_sym_BSLASHAcfp] = ACTIONS(7099),
    [anon_sym_BSLASHac] = ACTIONS(7099),
    [anon_sym_BSLASHAc] = ACTIONS(7099),
    [anon_sym_BSLASHacp] = ACTIONS(7099),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7099),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7099),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7099),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7099),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7099),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7099),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7099),
    [anon_sym_BSLASHcolor] = ACTIONS(7099),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7099),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7099),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7099),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7099),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7099),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7099),
    [anon_sym_BSLASHurl] = ACTIONS(7099),
    [anon_sym_BSLASHhref] = ACTIONS(7099),
  },
  [1297] = {
    [sym_command_name] = ACTIONS(7123),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7123),
    [anon_sym_LBRACK] = ACTIONS(7125),
    [anon_sym_RBRACK] = ACTIONS(7125),
    [anon_sym_COMMA] = ACTIONS(7125),
    [anon_sym_EQ] = ACTIONS(7125),
    [anon_sym_LPAREN] = ACTIONS(7125),
    [anon_sym_RPAREN] = ACTIONS(7125),
    [anon_sym_BSLASHpart] = ACTIONS(7123),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHaddpart] = ACTIONS(7123),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHchapter] = ACTIONS(7123),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHaddchap] = ACTIONS(7123),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHsection] = ACTIONS(7123),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHaddsec] = ACTIONS(7123),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHsubsection] = ACTIONS(7123),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7123),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHparagraph] = ACTIONS(7123),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7123),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHitem] = ACTIONS(7123),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7125),
    [anon_sym_LBRACE] = ACTIONS(7125),
    [sym_word] = ACTIONS(7123),
    [sym_placeholder] = ACTIONS(7125),
    [sym_delimiter] = ACTIONS(7125),
    [anon_sym_PLUS] = ACTIONS(7125),
    [anon_sym_DASH] = ACTIONS(7125),
    [anon_sym_STAR] = ACTIONS(7125),
    [anon_sym_SLASH] = ACTIONS(7125),
    [anon_sym_LT] = ACTIONS(7123),
    [anon_sym_GT] = ACTIONS(7123),
    [anon_sym_BANG] = ACTIONS(7123),
    [anon_sym_PIPE] = ACTIONS(7123),
    [anon_sym_COLON] = ACTIONS(7123),
    [anon_sym_SQUOTE] = ACTIONS(7123),
    [anon_sym__] = ACTIONS(7125),
    [anon_sym_CARET] = ACTIONS(7125),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7125),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7125),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7125),
    [anon_sym_DOLLAR] = ACTIONS(7123),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7125),
    [anon_sym_BSLASHleft] = ACTIONS(7123),
    [anon_sym_BSLASHbigl] = ACTIONS(7123),
    [anon_sym_BSLASHBigl] = ACTIONS(7123),
    [anon_sym_BSLASHbiggl] = ACTIONS(7123),
    [anon_sym_BSLASHBiggl] = ACTIONS(7123),
    [anon_sym_BSLASHtext] = ACTIONS(7123),
    [anon_sym_BSLASHintertext] = ACTIONS(7123),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7123),
    [anon_sym_BSLASHbegin] = ACTIONS(7123),
    [anon_sym_BSLASHtitle] = ACTIONS(7123),
    [anon_sym_BSLASHauthor] = ACTIONS(7123),
    [anon_sym_BSLASHusepackage] = ACTIONS(7123),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7123),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7123),
    [anon_sym_BSLASHinclude] = ACTIONS(7123),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7123),
    [anon_sym_BSLASHinput] = ACTIONS(7123),
    [anon_sym_BSLASHsubfile] = ACTIONS(7123),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7123),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7123),
    [anon_sym_BSLASHbibliography] = ACTIONS(7123),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7123),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7123),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7123),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7123),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7123),
    [anon_sym_BSLASHimport] = ACTIONS(7123),
    [anon_sym_BSLASHsubimport] = ACTIONS(7123),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7123),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7123),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7123),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7123),
    [anon_sym_BSLASHcaption] = ACTIONS(7123),
    [anon_sym_BSLASHcite] = ACTIONS(7123),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHCite] = ACTIONS(7123),
    [anon_sym_BSLASHnocite] = ACTIONS(7123),
    [anon_sym_BSLASHcitet] = ACTIONS(7123),
    [anon_sym_BSLASHcitep] = ACTIONS(7123),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHciteA] = ACTIONS(7123),
    [anon_sym_BSLASHciteR] = ACTIONS(7123),
    [anon_sym_BSLASHciteS] = ACTIONS(7123),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7123),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7123),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7123),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7123),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHciteyear] = ACTIONS(7123),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcitedate] = ACTIONS(7123),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHciteurl] = ACTIONS(7123),
    [anon_sym_BSLASHfullcite] = ACTIONS(7123),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7123),
    [anon_sym_BSLASHcitealt] = ACTIONS(7123),
    [anon_sym_BSLASHcitealp] = ACTIONS(7123),
    [anon_sym_BSLASHcitetext] = ACTIONS(7123),
    [anon_sym_BSLASHparencite] = ACTIONS(7123),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHParencite] = ACTIONS(7123),
    [anon_sym_BSLASHfootcite] = ACTIONS(7123),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7123),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7123),
    [anon_sym_BSLASHtextcite] = ACTIONS(7123),
    [anon_sym_BSLASHTextcite] = ACTIONS(7123),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7123),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7123),
    [anon_sym_BSLASHsupercite] = ACTIONS(7123),
    [anon_sym_BSLASHautocite] = ACTIONS(7123),
    [anon_sym_BSLASHAutocite] = ACTIONS(7123),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHVolcite] = ACTIONS(7123),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHavolcite] = ACTIONS(7123),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHnotecite] = ACTIONS(7123),
    [anon_sym_BSLASHNotecite] = ACTIONS(7123),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7123),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7123),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7123),
    [anon_sym_BSLASHlabel] = ACTIONS(7123),
    [anon_sym_BSLASHref] = ACTIONS(7123),
    [anon_sym_BSLASHeqref] = ACTIONS(7123),
    [anon_sym_BSLASHvref] = ACTIONS(7123),
    [anon_sym_BSLASHVref] = ACTIONS(7123),
    [anon_sym_BSLASHautoref] = ACTIONS(7123),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHpageref] = ACTIONS(7123),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHautopageref] = ACTIONS(7123),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcref] = ACTIONS(7123),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHCref] = ACTIONS(7123),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcpageref] = ACTIONS(7123),
    [anon_sym_BSLASHCpageref] = ACTIONS(7123),
    [anon_sym_BSLASHnamecref] = ACTIONS(7123),
    [anon_sym_BSLASHnameCref] = ACTIONS(7123),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7123),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7123),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7123),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7123),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7123),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7123),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7123),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7123),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7123),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7123),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7123),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7123),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7123),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7123),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7123),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7123),
    [anon_sym_BSLASHdef] = ACTIONS(7123),
    [anon_sym_BSLASHgdef] = ACTIONS(7123),
    [anon_sym_BSLASHedef] = ACTIONS(7123),
    [anon_sym_BSLASHxdef] = ACTIONS(7123),
    [anon_sym_BSLASHlet] = ACTIONS(7123),
    [anon_sym_BSLASHglet] = ACTIONS(7123),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7123),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7123),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7123),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7123),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7123),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7123),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7123),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7123),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7123),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7123),
    [anon_sym_BSLASHgls] = ACTIONS(7123),
    [anon_sym_BSLASHGls] = ACTIONS(7123),
    [anon_sym_BSLASHGLS] = ACTIONS(7123),
    [anon_sym_BSLASHglspl] = ACTIONS(7123),
    [anon_sym_BSLASHGlspl] = ACTIONS(7123),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7123),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7123),
    [anon_sym_BSLASHglslink] = ACTIONS(7123),
    [anon_sym_BSLASHglstext] = ACTIONS(7123),
    [anon_sym_BSLASHGlstext] = ACTIONS(7123),
    [anon_sym_BSLASHGLStext] = ACTIONS(7123),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7123),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7123),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7123),
    [anon_sym_BSLASHglsplural] = ACTIONS(7123),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7123),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7123),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7123),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7123),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7123),
    [anon_sym_BSLASHglsname] = ACTIONS(7123),
    [anon_sym_BSLASHGlsname] = ACTIONS(7123),
    [anon_sym_BSLASHGLSname] = ACTIONS(7123),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7123),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7123),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7123),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7123),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7123),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7123),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7123),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7123),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7123),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7123),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7123),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7123),
    [anon_sym_BSLASHacrshort] = ACTIONS(7123),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7123),
    [anon_sym_BSLASHACRshort] = ACTIONS(7123),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHacrlong] = ACTIONS(7123),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7123),
    [anon_sym_BSLASHACRlong] = ACTIONS(7123),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7123),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7123),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7123),
    [anon_sym_BSLASHacrfull] = ACTIONS(7123),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7123),
    [anon_sym_BSLASHACRfull] = ACTIONS(7123),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHacs] = ACTIONS(7123),
    [anon_sym_BSLASHAcs] = ACTIONS(7123),
    [anon_sym_BSLASHacsp] = ACTIONS(7123),
    [anon_sym_BSLASHAcsp] = ACTIONS(7123),
    [anon_sym_BSLASHacl] = ACTIONS(7123),
    [anon_sym_BSLASHAcl] = ACTIONS(7123),
    [anon_sym_BSLASHaclp] = ACTIONS(7123),
    [anon_sym_BSLASHAclp] = ACTIONS(7123),
    [anon_sym_BSLASHacf] = ACTIONS(7123),
    [anon_sym_BSLASHAcf] = ACTIONS(7123),
    [anon_sym_BSLASHacfp] = ACTIONS(7123),
    [anon_sym_BSLASHAcfp] = ACTIONS(7123),
    [anon_sym_BSLASHac] = ACTIONS(7123),
    [anon_sym_BSLASHAc] = ACTIONS(7123),
    [anon_sym_BSLASHacp] = ACTIONS(7123),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7123),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7123),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7123),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7123),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7123),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7123),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7123),
    [anon_sym_BSLASHcolor] = ACTIONS(7123),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7123),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7123),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7123),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7123),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7123),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7123),
    [anon_sym_BSLASHurl] = ACTIONS(7123),
    [anon_sym_BSLASHhref] = ACTIONS(7123),
  },
  [1298] = {
    [sym_command_name] = ACTIONS(7107),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7107),
    [anon_sym_LBRACK] = ACTIONS(7109),
    [anon_sym_RBRACK] = ACTIONS(7109),
    [anon_sym_COMMA] = ACTIONS(7109),
    [anon_sym_EQ] = ACTIONS(7109),
    [anon_sym_LPAREN] = ACTIONS(7109),
    [anon_sym_RPAREN] = ACTIONS(7109),
    [anon_sym_BSLASHpart] = ACTIONS(7107),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHaddpart] = ACTIONS(7107),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHchapter] = ACTIONS(7107),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHaddchap] = ACTIONS(7107),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHsection] = ACTIONS(7107),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHaddsec] = ACTIONS(7107),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHsubsection] = ACTIONS(7107),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7107),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHparagraph] = ACTIONS(7107),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7107),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHitem] = ACTIONS(7107),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7109),
    [anon_sym_LBRACE] = ACTIONS(7109),
    [sym_word] = ACTIONS(7107),
    [sym_placeholder] = ACTIONS(7109),
    [sym_delimiter] = ACTIONS(7109),
    [anon_sym_PLUS] = ACTIONS(7109),
    [anon_sym_DASH] = ACTIONS(7109),
    [anon_sym_STAR] = ACTIONS(7109),
    [anon_sym_SLASH] = ACTIONS(7109),
    [anon_sym_LT] = ACTIONS(7107),
    [anon_sym_GT] = ACTIONS(7107),
    [anon_sym_BANG] = ACTIONS(7107),
    [anon_sym_PIPE] = ACTIONS(7107),
    [anon_sym_COLON] = ACTIONS(7107),
    [anon_sym_SQUOTE] = ACTIONS(7107),
    [anon_sym__] = ACTIONS(7109),
    [anon_sym_CARET] = ACTIONS(7109),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7109),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7109),
    [anon_sym_DOLLAR] = ACTIONS(7107),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7109),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7109),
    [anon_sym_BSLASHleft] = ACTIONS(7107),
    [anon_sym_BSLASHbigl] = ACTIONS(7107),
    [anon_sym_BSLASHBigl] = ACTIONS(7107),
    [anon_sym_BSLASHbiggl] = ACTIONS(7107),
    [anon_sym_BSLASHBiggl] = ACTIONS(7107),
    [anon_sym_BSLASHtext] = ACTIONS(7107),
    [anon_sym_BSLASHintertext] = ACTIONS(7107),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7107),
    [anon_sym_BSLASHbegin] = ACTIONS(7107),
    [anon_sym_BSLASHtitle] = ACTIONS(7107),
    [anon_sym_BSLASHauthor] = ACTIONS(7107),
    [anon_sym_BSLASHusepackage] = ACTIONS(7107),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7107),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7107),
    [anon_sym_BSLASHinclude] = ACTIONS(7107),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7107),
    [anon_sym_BSLASHinput] = ACTIONS(7107),
    [anon_sym_BSLASHsubfile] = ACTIONS(7107),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7107),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7107),
    [anon_sym_BSLASHbibliography] = ACTIONS(7107),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7107),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7107),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7107),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7107),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7107),
    [anon_sym_BSLASHimport] = ACTIONS(7107),
    [anon_sym_BSLASHsubimport] = ACTIONS(7107),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7107),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7107),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7107),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7107),
    [anon_sym_BSLASHcaption] = ACTIONS(7107),
    [anon_sym_BSLASHcite] = ACTIONS(7107),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHCite] = ACTIONS(7107),
    [anon_sym_BSLASHnocite] = ACTIONS(7107),
    [anon_sym_BSLASHcitet] = ACTIONS(7107),
    [anon_sym_BSLASHcitep] = ACTIONS(7107),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHciteA] = ACTIONS(7107),
    [anon_sym_BSLASHciteR] = ACTIONS(7107),
    [anon_sym_BSLASHciteS] = ACTIONS(7107),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7107),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7107),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7107),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7107),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHciteyear] = ACTIONS(7107),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcitedate] = ACTIONS(7107),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHciteurl] = ACTIONS(7107),
    [anon_sym_BSLASHfullcite] = ACTIONS(7107),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7107),
    [anon_sym_BSLASHcitealt] = ACTIONS(7107),
    [anon_sym_BSLASHcitealp] = ACTIONS(7107),
    [anon_sym_BSLASHcitetext] = ACTIONS(7107),
    [anon_sym_BSLASHparencite] = ACTIONS(7107),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHParencite] = ACTIONS(7107),
    [anon_sym_BSLASHfootcite] = ACTIONS(7107),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7107),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7107),
    [anon_sym_BSLASHtextcite] = ACTIONS(7107),
    [anon_sym_BSLASHTextcite] = ACTIONS(7107),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7107),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7107),
    [anon_sym_BSLASHsupercite] = ACTIONS(7107),
    [anon_sym_BSLASHautocite] = ACTIONS(7107),
    [anon_sym_BSLASHAutocite] = ACTIONS(7107),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHVolcite] = ACTIONS(7107),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHavolcite] = ACTIONS(7107),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHnotecite] = ACTIONS(7107),
    [anon_sym_BSLASHNotecite] = ACTIONS(7107),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7107),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7107),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7107),
    [anon_sym_BSLASHlabel] = ACTIONS(7107),
    [anon_sym_BSLASHref] = ACTIONS(7107),
    [anon_sym_BSLASHeqref] = ACTIONS(7107),
    [anon_sym_BSLASHvref] = ACTIONS(7107),
    [anon_sym_BSLASHVref] = ACTIONS(7107),
    [anon_sym_BSLASHautoref] = ACTIONS(7107),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHpageref] = ACTIONS(7107),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHautopageref] = ACTIONS(7107),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcref] = ACTIONS(7107),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHCref] = ACTIONS(7107),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcpageref] = ACTIONS(7107),
    [anon_sym_BSLASHCpageref] = ACTIONS(7107),
    [anon_sym_BSLASHnamecref] = ACTIONS(7107),
    [anon_sym_BSLASHnameCref] = ACTIONS(7107),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7107),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7107),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7107),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7107),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7107),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7107),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7107),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7107),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7107),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7107),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7107),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7107),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7107),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7107),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7107),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7107),
    [anon_sym_BSLASHdef] = ACTIONS(7107),
    [anon_sym_BSLASHgdef] = ACTIONS(7107),
    [anon_sym_BSLASHedef] = ACTIONS(7107),
    [anon_sym_BSLASHxdef] = ACTIONS(7107),
    [anon_sym_BSLASHlet] = ACTIONS(7107),
    [anon_sym_BSLASHglet] = ACTIONS(7107),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7107),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7107),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7107),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7107),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7107),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7107),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7107),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7107),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7107),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7107),
    [anon_sym_BSLASHgls] = ACTIONS(7107),
    [anon_sym_BSLASHGls] = ACTIONS(7107),
    [anon_sym_BSLASHGLS] = ACTIONS(7107),
    [anon_sym_BSLASHglspl] = ACTIONS(7107),
    [anon_sym_BSLASHGlspl] = ACTIONS(7107),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7107),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7107),
    [anon_sym_BSLASHglslink] = ACTIONS(7107),
    [anon_sym_BSLASHglstext] = ACTIONS(7107),
    [anon_sym_BSLASHGlstext] = ACTIONS(7107),
    [anon_sym_BSLASHGLStext] = ACTIONS(7107),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7107),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7107),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7107),
    [anon_sym_BSLASHglsplural] = ACTIONS(7107),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7107),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7107),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7107),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7107),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7107),
    [anon_sym_BSLASHglsname] = ACTIONS(7107),
    [anon_sym_BSLASHGlsname] = ACTIONS(7107),
    [anon_sym_BSLASHGLSname] = ACTIONS(7107),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7107),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7107),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7107),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7107),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7107),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7107),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7107),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7107),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7107),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7107),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7107),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7107),
    [anon_sym_BSLASHacrshort] = ACTIONS(7107),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7107),
    [anon_sym_BSLASHACRshort] = ACTIONS(7107),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHacrlong] = ACTIONS(7107),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7107),
    [anon_sym_BSLASHACRlong] = ACTIONS(7107),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7107),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7107),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7107),
    [anon_sym_BSLASHacrfull] = ACTIONS(7107),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7107),
    [anon_sym_BSLASHACRfull] = ACTIONS(7107),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHacs] = ACTIONS(7107),
    [anon_sym_BSLASHAcs] = ACTIONS(7107),
    [anon_sym_BSLASHacsp] = ACTIONS(7107),
    [anon_sym_BSLASHAcsp] = ACTIONS(7107),
    [anon_sym_BSLASHacl] = ACTIONS(7107),
    [anon_sym_BSLASHAcl] = ACTIONS(7107),
    [anon_sym_BSLASHaclp] = ACTIONS(7107),
    [anon_sym_BSLASHAclp] = ACTIONS(7107),
    [anon_sym_BSLASHacf] = ACTIONS(7107),
    [anon_sym_BSLASHAcf] = ACTIONS(7107),
    [anon_sym_BSLASHacfp] = ACTIONS(7107),
    [anon_sym_BSLASHAcfp] = ACTIONS(7107),
    [anon_sym_BSLASHac] = ACTIONS(7107),
    [anon_sym_BSLASHAc] = ACTIONS(7107),
    [anon_sym_BSLASHacp] = ACTIONS(7107),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7107),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7107),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7107),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7107),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7107),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7107),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7107),
    [anon_sym_BSLASHcolor] = ACTIONS(7107),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7107),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7107),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7107),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7107),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7107),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7107),
    [anon_sym_BSLASHurl] = ACTIONS(7107),
    [anon_sym_BSLASHhref] = ACTIONS(7107),
  },
  [1299] = {
    [sym_command_name] = ACTIONS(7111),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7111),
    [anon_sym_LBRACK] = ACTIONS(7113),
    [anon_sym_RBRACK] = ACTIONS(7113),
    [anon_sym_COMMA] = ACTIONS(7113),
    [anon_sym_EQ] = ACTIONS(7113),
    [anon_sym_LPAREN] = ACTIONS(7113),
    [anon_sym_RPAREN] = ACTIONS(7113),
    [anon_sym_BSLASHpart] = ACTIONS(7111),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHaddpart] = ACTIONS(7111),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHchapter] = ACTIONS(7111),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHaddchap] = ACTIONS(7111),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHsection] = ACTIONS(7111),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHaddsec] = ACTIONS(7111),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHsubsection] = ACTIONS(7111),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7111),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHparagraph] = ACTIONS(7111),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7111),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHitem] = ACTIONS(7111),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7113),
    [anon_sym_LBRACE] = ACTIONS(7113),
    [sym_word] = ACTIONS(7111),
    [sym_placeholder] = ACTIONS(7113),
    [sym_delimiter] = ACTIONS(7113),
    [anon_sym_PLUS] = ACTIONS(7113),
    [anon_sym_DASH] = ACTIONS(7113),
    [anon_sym_STAR] = ACTIONS(7113),
    [anon_sym_SLASH] = ACTIONS(7113),
    [anon_sym_LT] = ACTIONS(7111),
    [anon_sym_GT] = ACTIONS(7111),
    [anon_sym_BANG] = ACTIONS(7111),
    [anon_sym_PIPE] = ACTIONS(7111),
    [anon_sym_COLON] = ACTIONS(7111),
    [anon_sym_SQUOTE] = ACTIONS(7111),
    [anon_sym__] = ACTIONS(7113),
    [anon_sym_CARET] = ACTIONS(7113),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7113),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7113),
    [anon_sym_DOLLAR] = ACTIONS(7111),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7113),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7113),
    [anon_sym_BSLASHleft] = ACTIONS(7111),
    [anon_sym_BSLASHbigl] = ACTIONS(7111),
    [anon_sym_BSLASHBigl] = ACTIONS(7111),
    [anon_sym_BSLASHbiggl] = ACTIONS(7111),
    [anon_sym_BSLASHBiggl] = ACTIONS(7111),
    [anon_sym_BSLASHtext] = ACTIONS(7111),
    [anon_sym_BSLASHintertext] = ACTIONS(7111),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7111),
    [anon_sym_BSLASHbegin] = ACTIONS(7111),
    [anon_sym_BSLASHtitle] = ACTIONS(7111),
    [anon_sym_BSLASHauthor] = ACTIONS(7111),
    [anon_sym_BSLASHusepackage] = ACTIONS(7111),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7111),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7111),
    [anon_sym_BSLASHinclude] = ACTIONS(7111),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7111),
    [anon_sym_BSLASHinput] = ACTIONS(7111),
    [anon_sym_BSLASHsubfile] = ACTIONS(7111),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7111),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7111),
    [anon_sym_BSLASHbibliography] = ACTIONS(7111),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7111),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7111),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7111),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7111),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7111),
    [anon_sym_BSLASHimport] = ACTIONS(7111),
    [anon_sym_BSLASHsubimport] = ACTIONS(7111),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7111),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7111),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7111),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7111),
    [anon_sym_BSLASHcaption] = ACTIONS(7111),
    [anon_sym_BSLASHcite] = ACTIONS(7111),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHCite] = ACTIONS(7111),
    [anon_sym_BSLASHnocite] = ACTIONS(7111),
    [anon_sym_BSLASHcitet] = ACTIONS(7111),
    [anon_sym_BSLASHcitep] = ACTIONS(7111),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHciteA] = ACTIONS(7111),
    [anon_sym_BSLASHciteR] = ACTIONS(7111),
    [anon_sym_BSLASHciteS] = ACTIONS(7111),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7111),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7111),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7111),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7111),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHciteyear] = ACTIONS(7111),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcitedate] = ACTIONS(7111),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHciteurl] = ACTIONS(7111),
    [anon_sym_BSLASHfullcite] = ACTIONS(7111),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7111),
    [anon_sym_BSLASHcitealt] = ACTIONS(7111),
    [anon_sym_BSLASHcitealp] = ACTIONS(7111),
    [anon_sym_BSLASHcitetext] = ACTIONS(7111),
    [anon_sym_BSLASHparencite] = ACTIONS(7111),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHParencite] = ACTIONS(7111),
    [anon_sym_BSLASHfootcite] = ACTIONS(7111),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7111),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7111),
    [anon_sym_BSLASHtextcite] = ACTIONS(7111),
    [anon_sym_BSLASHTextcite] = ACTIONS(7111),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7111),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7111),
    [anon_sym_BSLASHsupercite] = ACTIONS(7111),
    [anon_sym_BSLASHautocite] = ACTIONS(7111),
    [anon_sym_BSLASHAutocite] = ACTIONS(7111),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHVolcite] = ACTIONS(7111),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHavolcite] = ACTIONS(7111),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHnotecite] = ACTIONS(7111),
    [anon_sym_BSLASHNotecite] = ACTIONS(7111),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7111),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7111),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7111),
    [anon_sym_BSLASHlabel] = ACTIONS(7111),
    [anon_sym_BSLASHref] = ACTIONS(7111),
    [anon_sym_BSLASHeqref] = ACTIONS(7111),
    [anon_sym_BSLASHvref] = ACTIONS(7111),
    [anon_sym_BSLASHVref] = ACTIONS(7111),
    [anon_sym_BSLASHautoref] = ACTIONS(7111),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHpageref] = ACTIONS(7111),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHautopageref] = ACTIONS(7111),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcref] = ACTIONS(7111),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHCref] = ACTIONS(7111),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcpageref] = ACTIONS(7111),
    [anon_sym_BSLASHCpageref] = ACTIONS(7111),
    [anon_sym_BSLASHnamecref] = ACTIONS(7111),
    [anon_sym_BSLASHnameCref] = ACTIONS(7111),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7111),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7111),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7111),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7111),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7111),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7111),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7111),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7111),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7111),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7111),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7111),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7111),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7111),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7111),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7111),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7111),
    [anon_sym_BSLASHdef] = ACTIONS(7111),
    [anon_sym_BSLASHgdef] = ACTIONS(7111),
    [anon_sym_BSLASHedef] = ACTIONS(7111),
    [anon_sym_BSLASHxdef] = ACTIONS(7111),
    [anon_sym_BSLASHlet] = ACTIONS(7111),
    [anon_sym_BSLASHglet] = ACTIONS(7111),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7111),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7111),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7111),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7111),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7111),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7111),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7111),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7111),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7111),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7111),
    [anon_sym_BSLASHgls] = ACTIONS(7111),
    [anon_sym_BSLASHGls] = ACTIONS(7111),
    [anon_sym_BSLASHGLS] = ACTIONS(7111),
    [anon_sym_BSLASHglspl] = ACTIONS(7111),
    [anon_sym_BSLASHGlspl] = ACTIONS(7111),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7111),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7111),
    [anon_sym_BSLASHglslink] = ACTIONS(7111),
    [anon_sym_BSLASHglstext] = ACTIONS(7111),
    [anon_sym_BSLASHGlstext] = ACTIONS(7111),
    [anon_sym_BSLASHGLStext] = ACTIONS(7111),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7111),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7111),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7111),
    [anon_sym_BSLASHglsplural] = ACTIONS(7111),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7111),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7111),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7111),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7111),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7111),
    [anon_sym_BSLASHglsname] = ACTIONS(7111),
    [anon_sym_BSLASHGlsname] = ACTIONS(7111),
    [anon_sym_BSLASHGLSname] = ACTIONS(7111),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7111),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7111),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7111),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7111),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7111),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7111),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7111),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7111),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7111),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7111),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7111),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7111),
    [anon_sym_BSLASHacrshort] = ACTIONS(7111),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7111),
    [anon_sym_BSLASHACRshort] = ACTIONS(7111),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHacrlong] = ACTIONS(7111),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7111),
    [anon_sym_BSLASHACRlong] = ACTIONS(7111),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7111),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7111),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7111),
    [anon_sym_BSLASHacrfull] = ACTIONS(7111),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7111),
    [anon_sym_BSLASHACRfull] = ACTIONS(7111),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHacs] = ACTIONS(7111),
    [anon_sym_BSLASHAcs] = ACTIONS(7111),
    [anon_sym_BSLASHacsp] = ACTIONS(7111),
    [anon_sym_BSLASHAcsp] = ACTIONS(7111),
    [anon_sym_BSLASHacl] = ACTIONS(7111),
    [anon_sym_BSLASHAcl] = ACTIONS(7111),
    [anon_sym_BSLASHaclp] = ACTIONS(7111),
    [anon_sym_BSLASHAclp] = ACTIONS(7111),
    [anon_sym_BSLASHacf] = ACTIONS(7111),
    [anon_sym_BSLASHAcf] = ACTIONS(7111),
    [anon_sym_BSLASHacfp] = ACTIONS(7111),
    [anon_sym_BSLASHAcfp] = ACTIONS(7111),
    [anon_sym_BSLASHac] = ACTIONS(7111),
    [anon_sym_BSLASHAc] = ACTIONS(7111),
    [anon_sym_BSLASHacp] = ACTIONS(7111),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7111),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7111),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7111),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7111),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7111),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7111),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7111),
    [anon_sym_BSLASHcolor] = ACTIONS(7111),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7111),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7111),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7111),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7111),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7111),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7111),
    [anon_sym_BSLASHurl] = ACTIONS(7111),
    [anon_sym_BSLASHhref] = ACTIONS(7111),
  },
  [1300] = {
    [sym_command_name] = ACTIONS(7115),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7115),
    [anon_sym_LBRACK] = ACTIONS(7117),
    [anon_sym_RBRACK] = ACTIONS(7117),
    [anon_sym_COMMA] = ACTIONS(7117),
    [anon_sym_EQ] = ACTIONS(7117),
    [anon_sym_LPAREN] = ACTIONS(7117),
    [anon_sym_RPAREN] = ACTIONS(7117),
    [anon_sym_BSLASHpart] = ACTIONS(7115),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHaddpart] = ACTIONS(7115),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHchapter] = ACTIONS(7115),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHaddchap] = ACTIONS(7115),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHsection] = ACTIONS(7115),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHaddsec] = ACTIONS(7115),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHsubsection] = ACTIONS(7115),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7115),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHparagraph] = ACTIONS(7115),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7115),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHitem] = ACTIONS(7115),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7117),
    [anon_sym_LBRACE] = ACTIONS(7117),
    [sym_word] = ACTIONS(7115),
    [sym_placeholder] = ACTIONS(7117),
    [sym_delimiter] = ACTIONS(7117),
    [anon_sym_PLUS] = ACTIONS(7117),
    [anon_sym_DASH] = ACTIONS(7117),
    [anon_sym_STAR] = ACTIONS(7117),
    [anon_sym_SLASH] = ACTIONS(7117),
    [anon_sym_LT] = ACTIONS(7115),
    [anon_sym_GT] = ACTIONS(7115),
    [anon_sym_BANG] = ACTIONS(7115),
    [anon_sym_PIPE] = ACTIONS(7115),
    [anon_sym_COLON] = ACTIONS(7115),
    [anon_sym_SQUOTE] = ACTIONS(7115),
    [anon_sym__] = ACTIONS(7117),
    [anon_sym_CARET] = ACTIONS(7117),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7117),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7117),
    [anon_sym_DOLLAR] = ACTIONS(7115),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7117),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7117),
    [anon_sym_BSLASHleft] = ACTIONS(7115),
    [anon_sym_BSLASHbigl] = ACTIONS(7115),
    [anon_sym_BSLASHBigl] = ACTIONS(7115),
    [anon_sym_BSLASHbiggl] = ACTIONS(7115),
    [anon_sym_BSLASHBiggl] = ACTIONS(7115),
    [anon_sym_BSLASHtext] = ACTIONS(7115),
    [anon_sym_BSLASHintertext] = ACTIONS(7115),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7115),
    [anon_sym_BSLASHbegin] = ACTIONS(7115),
    [anon_sym_BSLASHtitle] = ACTIONS(7115),
    [anon_sym_BSLASHauthor] = ACTIONS(7115),
    [anon_sym_BSLASHusepackage] = ACTIONS(7115),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7115),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7115),
    [anon_sym_BSLASHinclude] = ACTIONS(7115),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7115),
    [anon_sym_BSLASHinput] = ACTIONS(7115),
    [anon_sym_BSLASHsubfile] = ACTIONS(7115),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7115),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7115),
    [anon_sym_BSLASHbibliography] = ACTIONS(7115),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7115),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7115),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7115),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7115),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7115),
    [anon_sym_BSLASHimport] = ACTIONS(7115),
    [anon_sym_BSLASHsubimport] = ACTIONS(7115),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7115),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7115),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7115),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7115),
    [anon_sym_BSLASHcaption] = ACTIONS(7115),
    [anon_sym_BSLASHcite] = ACTIONS(7115),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHCite] = ACTIONS(7115),
    [anon_sym_BSLASHnocite] = ACTIONS(7115),
    [anon_sym_BSLASHcitet] = ACTIONS(7115),
    [anon_sym_BSLASHcitep] = ACTIONS(7115),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHciteA] = ACTIONS(7115),
    [anon_sym_BSLASHciteR] = ACTIONS(7115),
    [anon_sym_BSLASHciteS] = ACTIONS(7115),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7115),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7115),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7115),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7115),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHciteyear] = ACTIONS(7115),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcitedate] = ACTIONS(7115),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHciteurl] = ACTIONS(7115),
    [anon_sym_BSLASHfullcite] = ACTIONS(7115),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7115),
    [anon_sym_BSLASHcitealt] = ACTIONS(7115),
    [anon_sym_BSLASHcitealp] = ACTIONS(7115),
    [anon_sym_BSLASHcitetext] = ACTIONS(7115),
    [anon_sym_BSLASHparencite] = ACTIONS(7115),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHParencite] = ACTIONS(7115),
    [anon_sym_BSLASHfootcite] = ACTIONS(7115),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7115),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7115),
    [anon_sym_BSLASHtextcite] = ACTIONS(7115),
    [anon_sym_BSLASHTextcite] = ACTIONS(7115),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7115),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7115),
    [anon_sym_BSLASHsupercite] = ACTIONS(7115),
    [anon_sym_BSLASHautocite] = ACTIONS(7115),
    [anon_sym_BSLASHAutocite] = ACTIONS(7115),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHVolcite] = ACTIONS(7115),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHavolcite] = ACTIONS(7115),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHnotecite] = ACTIONS(7115),
    [anon_sym_BSLASHNotecite] = ACTIONS(7115),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7115),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7115),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7115),
    [anon_sym_BSLASHlabel] = ACTIONS(7115),
    [anon_sym_BSLASHref] = ACTIONS(7115),
    [anon_sym_BSLASHeqref] = ACTIONS(7115),
    [anon_sym_BSLASHvref] = ACTIONS(7115),
    [anon_sym_BSLASHVref] = ACTIONS(7115),
    [anon_sym_BSLASHautoref] = ACTIONS(7115),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHpageref] = ACTIONS(7115),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHautopageref] = ACTIONS(7115),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcref] = ACTIONS(7115),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHCref] = ACTIONS(7115),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcpageref] = ACTIONS(7115),
    [anon_sym_BSLASHCpageref] = ACTIONS(7115),
    [anon_sym_BSLASHnamecref] = ACTIONS(7115),
    [anon_sym_BSLASHnameCref] = ACTIONS(7115),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7115),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7115),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7115),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7115),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7115),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7115),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7115),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7115),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7115),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7115),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7115),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7115),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7115),
    [anon_sym_BSLASHdef] = ACTIONS(7115),
    [anon_sym_BSLASHgdef] = ACTIONS(7115),
    [anon_sym_BSLASHedef] = ACTIONS(7115),
    [anon_sym_BSLASHxdef] = ACTIONS(7115),
    [anon_sym_BSLASHlet] = ACTIONS(7115),
    [anon_sym_BSLASHglet] = ACTIONS(7115),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7115),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7115),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7115),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7115),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7115),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7115),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7115),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7115),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7115),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7115),
    [anon_sym_BSLASHgls] = ACTIONS(7115),
    [anon_sym_BSLASHGls] = ACTIONS(7115),
    [anon_sym_BSLASHGLS] = ACTIONS(7115),
    [anon_sym_BSLASHglspl] = ACTIONS(7115),
    [anon_sym_BSLASHGlspl] = ACTIONS(7115),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7115),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7115),
    [anon_sym_BSLASHglslink] = ACTIONS(7115),
    [anon_sym_BSLASHglstext] = ACTIONS(7115),
    [anon_sym_BSLASHGlstext] = ACTIONS(7115),
    [anon_sym_BSLASHGLStext] = ACTIONS(7115),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7115),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7115),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7115),
    [anon_sym_BSLASHglsplural] = ACTIONS(7115),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7115),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7115),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7115),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7115),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7115),
    [anon_sym_BSLASHglsname] = ACTIONS(7115),
    [anon_sym_BSLASHGlsname] = ACTIONS(7115),
    [anon_sym_BSLASHGLSname] = ACTIONS(7115),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7115),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7115),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7115),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7115),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7115),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7115),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7115),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7115),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7115),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7115),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7115),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7115),
    [anon_sym_BSLASHacrshort] = ACTIONS(7115),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7115),
    [anon_sym_BSLASHACRshort] = ACTIONS(7115),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHacrlong] = ACTIONS(7115),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7115),
    [anon_sym_BSLASHACRlong] = ACTIONS(7115),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7115),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7115),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7115),
    [anon_sym_BSLASHacrfull] = ACTIONS(7115),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7115),
    [anon_sym_BSLASHACRfull] = ACTIONS(7115),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHacs] = ACTIONS(7115),
    [anon_sym_BSLASHAcs] = ACTIONS(7115),
    [anon_sym_BSLASHacsp] = ACTIONS(7115),
    [anon_sym_BSLASHAcsp] = ACTIONS(7115),
    [anon_sym_BSLASHacl] = ACTIONS(7115),
    [anon_sym_BSLASHAcl] = ACTIONS(7115),
    [anon_sym_BSLASHaclp] = ACTIONS(7115),
    [anon_sym_BSLASHAclp] = ACTIONS(7115),
    [anon_sym_BSLASHacf] = ACTIONS(7115),
    [anon_sym_BSLASHAcf] = ACTIONS(7115),
    [anon_sym_BSLASHacfp] = ACTIONS(7115),
    [anon_sym_BSLASHAcfp] = ACTIONS(7115),
    [anon_sym_BSLASHac] = ACTIONS(7115),
    [anon_sym_BSLASHAc] = ACTIONS(7115),
    [anon_sym_BSLASHacp] = ACTIONS(7115),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7115),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7115),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7115),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7115),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7115),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7115),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7115),
    [anon_sym_BSLASHcolor] = ACTIONS(7115),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7115),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7115),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7115),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7115),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7115),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7115),
    [anon_sym_BSLASHurl] = ACTIONS(7115),
    [anon_sym_BSLASHhref] = ACTIONS(7115),
  },
  [1301] = {
    [sym_command_name] = ACTIONS(7119),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7119),
    [anon_sym_LBRACK] = ACTIONS(7121),
    [anon_sym_RBRACK] = ACTIONS(7121),
    [anon_sym_COMMA] = ACTIONS(7121),
    [anon_sym_EQ] = ACTIONS(7121),
    [anon_sym_LPAREN] = ACTIONS(7121),
    [anon_sym_RPAREN] = ACTIONS(7121),
    [anon_sym_BSLASHpart] = ACTIONS(7119),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHaddpart] = ACTIONS(7119),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHchapter] = ACTIONS(7119),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHaddchap] = ACTIONS(7119),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHsection] = ACTIONS(7119),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHaddsec] = ACTIONS(7119),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHsubsection] = ACTIONS(7119),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7119),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHparagraph] = ACTIONS(7119),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7119),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHitem] = ACTIONS(7119),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7121),
    [anon_sym_LBRACE] = ACTIONS(7121),
    [sym_word] = ACTIONS(7119),
    [sym_placeholder] = ACTIONS(7121),
    [sym_delimiter] = ACTIONS(7121),
    [anon_sym_PLUS] = ACTIONS(7121),
    [anon_sym_DASH] = ACTIONS(7121),
    [anon_sym_STAR] = ACTIONS(7121),
    [anon_sym_SLASH] = ACTIONS(7121),
    [anon_sym_LT] = ACTIONS(7119),
    [anon_sym_GT] = ACTIONS(7119),
    [anon_sym_BANG] = ACTIONS(7119),
    [anon_sym_PIPE] = ACTIONS(7119),
    [anon_sym_COLON] = ACTIONS(7119),
    [anon_sym_SQUOTE] = ACTIONS(7119),
    [anon_sym__] = ACTIONS(7121),
    [anon_sym_CARET] = ACTIONS(7121),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7121),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7121),
    [anon_sym_DOLLAR] = ACTIONS(7119),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7121),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7121),
    [anon_sym_BSLASHleft] = ACTIONS(7119),
    [anon_sym_BSLASHbigl] = ACTIONS(7119),
    [anon_sym_BSLASHBigl] = ACTIONS(7119),
    [anon_sym_BSLASHbiggl] = ACTIONS(7119),
    [anon_sym_BSLASHBiggl] = ACTIONS(7119),
    [anon_sym_BSLASHtext] = ACTIONS(7119),
    [anon_sym_BSLASHintertext] = ACTIONS(7119),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7119),
    [anon_sym_BSLASHbegin] = ACTIONS(7119),
    [anon_sym_BSLASHtitle] = ACTIONS(7119),
    [anon_sym_BSLASHauthor] = ACTIONS(7119),
    [anon_sym_BSLASHusepackage] = ACTIONS(7119),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7119),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7119),
    [anon_sym_BSLASHinclude] = ACTIONS(7119),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7119),
    [anon_sym_BSLASHinput] = ACTIONS(7119),
    [anon_sym_BSLASHsubfile] = ACTIONS(7119),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7119),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7119),
    [anon_sym_BSLASHbibliography] = ACTIONS(7119),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7119),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7119),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7119),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7119),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7119),
    [anon_sym_BSLASHimport] = ACTIONS(7119),
    [anon_sym_BSLASHsubimport] = ACTIONS(7119),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7119),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7119),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7119),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7119),
    [anon_sym_BSLASHcaption] = ACTIONS(7119),
    [anon_sym_BSLASHcite] = ACTIONS(7119),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHCite] = ACTIONS(7119),
    [anon_sym_BSLASHnocite] = ACTIONS(7119),
    [anon_sym_BSLASHcitet] = ACTIONS(7119),
    [anon_sym_BSLASHcitep] = ACTIONS(7119),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHciteA] = ACTIONS(7119),
    [anon_sym_BSLASHciteR] = ACTIONS(7119),
    [anon_sym_BSLASHciteS] = ACTIONS(7119),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7119),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7119),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7119),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7119),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHciteyear] = ACTIONS(7119),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcitedate] = ACTIONS(7119),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHciteurl] = ACTIONS(7119),
    [anon_sym_BSLASHfullcite] = ACTIONS(7119),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7119),
    [anon_sym_BSLASHcitealt] = ACTIONS(7119),
    [anon_sym_BSLASHcitealp] = ACTIONS(7119),
    [anon_sym_BSLASHcitetext] = ACTIONS(7119),
    [anon_sym_BSLASHparencite] = ACTIONS(7119),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHParencite] = ACTIONS(7119),
    [anon_sym_BSLASHfootcite] = ACTIONS(7119),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7119),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7119),
    [anon_sym_BSLASHtextcite] = ACTIONS(7119),
    [anon_sym_BSLASHTextcite] = ACTIONS(7119),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7119),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7119),
    [anon_sym_BSLASHsupercite] = ACTIONS(7119),
    [anon_sym_BSLASHautocite] = ACTIONS(7119),
    [anon_sym_BSLASHAutocite] = ACTIONS(7119),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHVolcite] = ACTIONS(7119),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHavolcite] = ACTIONS(7119),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHnotecite] = ACTIONS(7119),
    [anon_sym_BSLASHNotecite] = ACTIONS(7119),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7119),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7119),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7119),
    [anon_sym_BSLASHlabel] = ACTIONS(7119),
    [anon_sym_BSLASHref] = ACTIONS(7119),
    [anon_sym_BSLASHeqref] = ACTIONS(7119),
    [anon_sym_BSLASHvref] = ACTIONS(7119),
    [anon_sym_BSLASHVref] = ACTIONS(7119),
    [anon_sym_BSLASHautoref] = ACTIONS(7119),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHpageref] = ACTIONS(7119),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHautopageref] = ACTIONS(7119),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcref] = ACTIONS(7119),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHCref] = ACTIONS(7119),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcpageref] = ACTIONS(7119),
    [anon_sym_BSLASHCpageref] = ACTIONS(7119),
    [anon_sym_BSLASHnamecref] = ACTIONS(7119),
    [anon_sym_BSLASHnameCref] = ACTIONS(7119),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7119),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7119),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7119),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7119),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7119),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7119),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7119),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7119),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7119),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7119),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7119),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7119),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7119),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7119),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7119),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7119),
    [anon_sym_BSLASHdef] = ACTIONS(7119),
    [anon_sym_BSLASHgdef] = ACTIONS(7119),
    [anon_sym_BSLASHedef] = ACTIONS(7119),
    [anon_sym_BSLASHxdef] = ACTIONS(7119),
    [anon_sym_BSLASHlet] = ACTIONS(7119),
    [anon_sym_BSLASHglet] = ACTIONS(7119),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7119),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7119),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7119),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7119),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7119),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7119),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7119),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7119),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7119),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7119),
    [anon_sym_BSLASHgls] = ACTIONS(7119),
    [anon_sym_BSLASHGls] = ACTIONS(7119),
    [anon_sym_BSLASHGLS] = ACTIONS(7119),
    [anon_sym_BSLASHglspl] = ACTIONS(7119),
    [anon_sym_BSLASHGlspl] = ACTIONS(7119),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7119),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7119),
    [anon_sym_BSLASHglslink] = ACTIONS(7119),
    [anon_sym_BSLASHglstext] = ACTIONS(7119),
    [anon_sym_BSLASHGlstext] = ACTIONS(7119),
    [anon_sym_BSLASHGLStext] = ACTIONS(7119),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7119),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7119),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7119),
    [anon_sym_BSLASHglsplural] = ACTIONS(7119),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7119),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7119),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7119),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7119),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7119),
    [anon_sym_BSLASHglsname] = ACTIONS(7119),
    [anon_sym_BSLASHGlsname] = ACTIONS(7119),
    [anon_sym_BSLASHGLSname] = ACTIONS(7119),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7119),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7119),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7119),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7119),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7119),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7119),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7119),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7119),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7119),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7119),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7119),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7119),
    [anon_sym_BSLASHacrshort] = ACTIONS(7119),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7119),
    [anon_sym_BSLASHACRshort] = ACTIONS(7119),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHacrlong] = ACTIONS(7119),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7119),
    [anon_sym_BSLASHACRlong] = ACTIONS(7119),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7119),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7119),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7119),
    [anon_sym_BSLASHacrfull] = ACTIONS(7119),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7119),
    [anon_sym_BSLASHACRfull] = ACTIONS(7119),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHacs] = ACTIONS(7119),
    [anon_sym_BSLASHAcs] = ACTIONS(7119),
    [anon_sym_BSLASHacsp] = ACTIONS(7119),
    [anon_sym_BSLASHAcsp] = ACTIONS(7119),
    [anon_sym_BSLASHacl] = ACTIONS(7119),
    [anon_sym_BSLASHAcl] = ACTIONS(7119),
    [anon_sym_BSLASHaclp] = ACTIONS(7119),
    [anon_sym_BSLASHAclp] = ACTIONS(7119),
    [anon_sym_BSLASHacf] = ACTIONS(7119),
    [anon_sym_BSLASHAcf] = ACTIONS(7119),
    [anon_sym_BSLASHacfp] = ACTIONS(7119),
    [anon_sym_BSLASHAcfp] = ACTIONS(7119),
    [anon_sym_BSLASHac] = ACTIONS(7119),
    [anon_sym_BSLASHAc] = ACTIONS(7119),
    [anon_sym_BSLASHacp] = ACTIONS(7119),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7119),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7119),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7119),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7119),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7119),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7119),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7119),
    [anon_sym_BSLASHcolor] = ACTIONS(7119),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7119),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7119),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7119),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7119),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7119),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7119),
    [anon_sym_BSLASHurl] = ACTIONS(7119),
    [anon_sym_BSLASHhref] = ACTIONS(7119),
  },
  [1302] = {
    [sym_command_name] = ACTIONS(7123),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7123),
    [anon_sym_LBRACK] = ACTIONS(7125),
    [anon_sym_RBRACK] = ACTIONS(7125),
    [anon_sym_COMMA] = ACTIONS(7125),
    [anon_sym_EQ] = ACTIONS(7125),
    [anon_sym_LPAREN] = ACTIONS(7125),
    [anon_sym_RPAREN] = ACTIONS(7125),
    [anon_sym_BSLASHpart] = ACTIONS(7123),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHaddpart] = ACTIONS(7123),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHchapter] = ACTIONS(7123),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHaddchap] = ACTIONS(7123),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHsection] = ACTIONS(7123),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHaddsec] = ACTIONS(7123),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHsubsection] = ACTIONS(7123),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7123),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHparagraph] = ACTIONS(7123),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7123),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHitem] = ACTIONS(7123),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7125),
    [anon_sym_LBRACE] = ACTIONS(7125),
    [sym_word] = ACTIONS(7123),
    [sym_placeholder] = ACTIONS(7125),
    [sym_delimiter] = ACTIONS(7125),
    [anon_sym_PLUS] = ACTIONS(7125),
    [anon_sym_DASH] = ACTIONS(7125),
    [anon_sym_STAR] = ACTIONS(7125),
    [anon_sym_SLASH] = ACTIONS(7125),
    [anon_sym_LT] = ACTIONS(7123),
    [anon_sym_GT] = ACTIONS(7123),
    [anon_sym_BANG] = ACTIONS(7123),
    [anon_sym_PIPE] = ACTIONS(7123),
    [anon_sym_COLON] = ACTIONS(7123),
    [anon_sym_SQUOTE] = ACTIONS(7123),
    [anon_sym__] = ACTIONS(7125),
    [anon_sym_CARET] = ACTIONS(7125),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7125),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7125),
    [anon_sym_DOLLAR] = ACTIONS(7123),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7125),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7125),
    [anon_sym_BSLASHleft] = ACTIONS(7123),
    [anon_sym_BSLASHbigl] = ACTIONS(7123),
    [anon_sym_BSLASHBigl] = ACTIONS(7123),
    [anon_sym_BSLASHbiggl] = ACTIONS(7123),
    [anon_sym_BSLASHBiggl] = ACTIONS(7123),
    [anon_sym_BSLASHtext] = ACTIONS(7123),
    [anon_sym_BSLASHintertext] = ACTIONS(7123),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7123),
    [anon_sym_BSLASHbegin] = ACTIONS(7123),
    [anon_sym_BSLASHtitle] = ACTIONS(7123),
    [anon_sym_BSLASHauthor] = ACTIONS(7123),
    [anon_sym_BSLASHusepackage] = ACTIONS(7123),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7123),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7123),
    [anon_sym_BSLASHinclude] = ACTIONS(7123),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7123),
    [anon_sym_BSLASHinput] = ACTIONS(7123),
    [anon_sym_BSLASHsubfile] = ACTIONS(7123),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7123),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7123),
    [anon_sym_BSLASHbibliography] = ACTIONS(7123),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7123),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7123),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7123),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7123),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7123),
    [anon_sym_BSLASHimport] = ACTIONS(7123),
    [anon_sym_BSLASHsubimport] = ACTIONS(7123),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7123),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7123),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7123),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7123),
    [anon_sym_BSLASHcaption] = ACTIONS(7123),
    [anon_sym_BSLASHcite] = ACTIONS(7123),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHCite] = ACTIONS(7123),
    [anon_sym_BSLASHnocite] = ACTIONS(7123),
    [anon_sym_BSLASHcitet] = ACTIONS(7123),
    [anon_sym_BSLASHcitep] = ACTIONS(7123),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHciteA] = ACTIONS(7123),
    [anon_sym_BSLASHciteR] = ACTIONS(7123),
    [anon_sym_BSLASHciteS] = ACTIONS(7123),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7123),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7123),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7123),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7123),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHciteyear] = ACTIONS(7123),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcitedate] = ACTIONS(7123),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHciteurl] = ACTIONS(7123),
    [anon_sym_BSLASHfullcite] = ACTIONS(7123),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7123),
    [anon_sym_BSLASHcitealt] = ACTIONS(7123),
    [anon_sym_BSLASHcitealp] = ACTIONS(7123),
    [anon_sym_BSLASHcitetext] = ACTIONS(7123),
    [anon_sym_BSLASHparencite] = ACTIONS(7123),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHParencite] = ACTIONS(7123),
    [anon_sym_BSLASHfootcite] = ACTIONS(7123),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7123),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7123),
    [anon_sym_BSLASHtextcite] = ACTIONS(7123),
    [anon_sym_BSLASHTextcite] = ACTIONS(7123),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7123),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7123),
    [anon_sym_BSLASHsupercite] = ACTIONS(7123),
    [anon_sym_BSLASHautocite] = ACTIONS(7123),
    [anon_sym_BSLASHAutocite] = ACTIONS(7123),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHVolcite] = ACTIONS(7123),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHavolcite] = ACTIONS(7123),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHnotecite] = ACTIONS(7123),
    [anon_sym_BSLASHNotecite] = ACTIONS(7123),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7123),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7123),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7123),
    [anon_sym_BSLASHlabel] = ACTIONS(7123),
    [anon_sym_BSLASHref] = ACTIONS(7123),
    [anon_sym_BSLASHeqref] = ACTIONS(7123),
    [anon_sym_BSLASHvref] = ACTIONS(7123),
    [anon_sym_BSLASHVref] = ACTIONS(7123),
    [anon_sym_BSLASHautoref] = ACTIONS(7123),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHpageref] = ACTIONS(7123),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHautopageref] = ACTIONS(7123),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcref] = ACTIONS(7123),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHCref] = ACTIONS(7123),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcpageref] = ACTIONS(7123),
    [anon_sym_BSLASHCpageref] = ACTIONS(7123),
    [anon_sym_BSLASHnamecref] = ACTIONS(7123),
    [anon_sym_BSLASHnameCref] = ACTIONS(7123),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7123),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7123),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7123),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7123),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7123),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7123),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7123),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7123),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7123),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7123),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7123),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7123),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7123),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7123),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7123),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7123),
    [anon_sym_BSLASHdef] = ACTIONS(7123),
    [anon_sym_BSLASHgdef] = ACTIONS(7123),
    [anon_sym_BSLASHedef] = ACTIONS(7123),
    [anon_sym_BSLASHxdef] = ACTIONS(7123),
    [anon_sym_BSLASHlet] = ACTIONS(7123),
    [anon_sym_BSLASHglet] = ACTIONS(7123),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7123),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7123),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7123),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7123),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7123),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7123),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7123),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7123),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7123),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7123),
    [anon_sym_BSLASHgls] = ACTIONS(7123),
    [anon_sym_BSLASHGls] = ACTIONS(7123),
    [anon_sym_BSLASHGLS] = ACTIONS(7123),
    [anon_sym_BSLASHglspl] = ACTIONS(7123),
    [anon_sym_BSLASHGlspl] = ACTIONS(7123),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7123),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7123),
    [anon_sym_BSLASHglslink] = ACTIONS(7123),
    [anon_sym_BSLASHglstext] = ACTIONS(7123),
    [anon_sym_BSLASHGlstext] = ACTIONS(7123),
    [anon_sym_BSLASHGLStext] = ACTIONS(7123),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7123),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7123),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7123),
    [anon_sym_BSLASHglsplural] = ACTIONS(7123),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7123),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7123),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7123),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7123),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7123),
    [anon_sym_BSLASHglsname] = ACTIONS(7123),
    [anon_sym_BSLASHGlsname] = ACTIONS(7123),
    [anon_sym_BSLASHGLSname] = ACTIONS(7123),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7123),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7123),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7123),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7123),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7123),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7123),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7123),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7123),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7123),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7123),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7123),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7123),
    [anon_sym_BSLASHacrshort] = ACTIONS(7123),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7123),
    [anon_sym_BSLASHACRshort] = ACTIONS(7123),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHacrlong] = ACTIONS(7123),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7123),
    [anon_sym_BSLASHACRlong] = ACTIONS(7123),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7123),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7123),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7123),
    [anon_sym_BSLASHacrfull] = ACTIONS(7123),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7123),
    [anon_sym_BSLASHACRfull] = ACTIONS(7123),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHacs] = ACTIONS(7123),
    [anon_sym_BSLASHAcs] = ACTIONS(7123),
    [anon_sym_BSLASHacsp] = ACTIONS(7123),
    [anon_sym_BSLASHAcsp] = ACTIONS(7123),
    [anon_sym_BSLASHacl] = ACTIONS(7123),
    [anon_sym_BSLASHAcl] = ACTIONS(7123),
    [anon_sym_BSLASHaclp] = ACTIONS(7123),
    [anon_sym_BSLASHAclp] = ACTIONS(7123),
    [anon_sym_BSLASHacf] = ACTIONS(7123),
    [anon_sym_BSLASHAcf] = ACTIONS(7123),
    [anon_sym_BSLASHacfp] = ACTIONS(7123),
    [anon_sym_BSLASHAcfp] = ACTIONS(7123),
    [anon_sym_BSLASHac] = ACTIONS(7123),
    [anon_sym_BSLASHAc] = ACTIONS(7123),
    [anon_sym_BSLASHacp] = ACTIONS(7123),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7123),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7123),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7123),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7123),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7123),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7123),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7123),
    [anon_sym_BSLASHcolor] = ACTIONS(7123),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7123),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7123),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7123),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7123),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7123),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7123),
    [anon_sym_BSLASHurl] = ACTIONS(7123),
    [anon_sym_BSLASHhref] = ACTIONS(7123),
  },
  [1303] = {
    [sym_command_name] = ACTIONS(7127),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7127),
    [anon_sym_LBRACK] = ACTIONS(7129),
    [anon_sym_RBRACK] = ACTIONS(7129),
    [anon_sym_COMMA] = ACTIONS(7129),
    [anon_sym_EQ] = ACTIONS(7129),
    [anon_sym_LPAREN] = ACTIONS(7129),
    [anon_sym_RPAREN] = ACTIONS(7129),
    [anon_sym_BSLASHpart] = ACTIONS(7127),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHaddpart] = ACTIONS(7127),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHchapter] = ACTIONS(7127),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHaddchap] = ACTIONS(7127),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHsection] = ACTIONS(7127),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHaddsec] = ACTIONS(7127),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHsubsection] = ACTIONS(7127),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7127),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHparagraph] = ACTIONS(7127),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7127),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHitem] = ACTIONS(7127),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7129),
    [anon_sym_LBRACE] = ACTIONS(7129),
    [sym_word] = ACTIONS(7127),
    [sym_placeholder] = ACTIONS(7129),
    [sym_delimiter] = ACTIONS(7129),
    [anon_sym_PLUS] = ACTIONS(7129),
    [anon_sym_DASH] = ACTIONS(7129),
    [anon_sym_STAR] = ACTIONS(7129),
    [anon_sym_SLASH] = ACTIONS(7129),
    [anon_sym_LT] = ACTIONS(7127),
    [anon_sym_GT] = ACTIONS(7127),
    [anon_sym_BANG] = ACTIONS(7127),
    [anon_sym_PIPE] = ACTIONS(7127),
    [anon_sym_COLON] = ACTIONS(7127),
    [anon_sym_SQUOTE] = ACTIONS(7127),
    [anon_sym__] = ACTIONS(7129),
    [anon_sym_CARET] = ACTIONS(7129),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7129),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7129),
    [anon_sym_DOLLAR] = ACTIONS(7127),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7129),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7129),
    [anon_sym_BSLASHleft] = ACTIONS(7127),
    [anon_sym_BSLASHbigl] = ACTIONS(7127),
    [anon_sym_BSLASHBigl] = ACTIONS(7127),
    [anon_sym_BSLASHbiggl] = ACTIONS(7127),
    [anon_sym_BSLASHBiggl] = ACTIONS(7127),
    [anon_sym_BSLASHtext] = ACTIONS(7127),
    [anon_sym_BSLASHintertext] = ACTIONS(7127),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7127),
    [anon_sym_BSLASHbegin] = ACTIONS(7127),
    [anon_sym_BSLASHtitle] = ACTIONS(7127),
    [anon_sym_BSLASHauthor] = ACTIONS(7127),
    [anon_sym_BSLASHusepackage] = ACTIONS(7127),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7127),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7127),
    [anon_sym_BSLASHinclude] = ACTIONS(7127),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7127),
    [anon_sym_BSLASHinput] = ACTIONS(7127),
    [anon_sym_BSLASHsubfile] = ACTIONS(7127),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7127),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7127),
    [anon_sym_BSLASHbibliography] = ACTIONS(7127),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7127),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7127),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7127),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7127),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7127),
    [anon_sym_BSLASHimport] = ACTIONS(7127),
    [anon_sym_BSLASHsubimport] = ACTIONS(7127),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7127),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7127),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7127),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7127),
    [anon_sym_BSLASHcaption] = ACTIONS(7127),
    [anon_sym_BSLASHcite] = ACTIONS(7127),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHCite] = ACTIONS(7127),
    [anon_sym_BSLASHnocite] = ACTIONS(7127),
    [anon_sym_BSLASHcitet] = ACTIONS(7127),
    [anon_sym_BSLASHcitep] = ACTIONS(7127),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHciteA] = ACTIONS(7127),
    [anon_sym_BSLASHciteR] = ACTIONS(7127),
    [anon_sym_BSLASHciteS] = ACTIONS(7127),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7127),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7127),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7127),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7127),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHciteyear] = ACTIONS(7127),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcitedate] = ACTIONS(7127),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHciteurl] = ACTIONS(7127),
    [anon_sym_BSLASHfullcite] = ACTIONS(7127),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7127),
    [anon_sym_BSLASHcitealt] = ACTIONS(7127),
    [anon_sym_BSLASHcitealp] = ACTIONS(7127),
    [anon_sym_BSLASHcitetext] = ACTIONS(7127),
    [anon_sym_BSLASHparencite] = ACTIONS(7127),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHParencite] = ACTIONS(7127),
    [anon_sym_BSLASHfootcite] = ACTIONS(7127),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7127),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7127),
    [anon_sym_BSLASHtextcite] = ACTIONS(7127),
    [anon_sym_BSLASHTextcite] = ACTIONS(7127),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7127),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7127),
    [anon_sym_BSLASHsupercite] = ACTIONS(7127),
    [anon_sym_BSLASHautocite] = ACTIONS(7127),
    [anon_sym_BSLASHAutocite] = ACTIONS(7127),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHVolcite] = ACTIONS(7127),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHavolcite] = ACTIONS(7127),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHnotecite] = ACTIONS(7127),
    [anon_sym_BSLASHNotecite] = ACTIONS(7127),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7127),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7127),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7127),
    [anon_sym_BSLASHlabel] = ACTIONS(7127),
    [anon_sym_BSLASHref] = ACTIONS(7127),
    [anon_sym_BSLASHeqref] = ACTIONS(7127),
    [anon_sym_BSLASHvref] = ACTIONS(7127),
    [anon_sym_BSLASHVref] = ACTIONS(7127),
    [anon_sym_BSLASHautoref] = ACTIONS(7127),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHpageref] = ACTIONS(7127),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHautopageref] = ACTIONS(7127),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcref] = ACTIONS(7127),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHCref] = ACTIONS(7127),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcpageref] = ACTIONS(7127),
    [anon_sym_BSLASHCpageref] = ACTIONS(7127),
    [anon_sym_BSLASHnamecref] = ACTIONS(7127),
    [anon_sym_BSLASHnameCref] = ACTIONS(7127),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7127),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7127),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7127),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7127),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7127),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7127),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7127),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7127),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7127),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7127),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7127),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7127),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7127),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7127),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7127),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7127),
    [anon_sym_BSLASHdef] = ACTIONS(7127),
    [anon_sym_BSLASHgdef] = ACTIONS(7127),
    [anon_sym_BSLASHedef] = ACTIONS(7127),
    [anon_sym_BSLASHxdef] = ACTIONS(7127),
    [anon_sym_BSLASHlet] = ACTIONS(7127),
    [anon_sym_BSLASHglet] = ACTIONS(7127),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7127),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7127),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7127),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7127),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7127),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7127),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7127),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7127),
    [anon_sym_BSLASHgls] = ACTIONS(7127),
    [anon_sym_BSLASHGls] = ACTIONS(7127),
    [anon_sym_BSLASHGLS] = ACTIONS(7127),
    [anon_sym_BSLASHglspl] = ACTIONS(7127),
    [anon_sym_BSLASHGlspl] = ACTIONS(7127),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7127),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7127),
    [anon_sym_BSLASHglslink] = ACTIONS(7127),
    [anon_sym_BSLASHglstext] = ACTIONS(7127),
    [anon_sym_BSLASHGlstext] = ACTIONS(7127),
    [anon_sym_BSLASHGLStext] = ACTIONS(7127),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7127),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7127),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7127),
    [anon_sym_BSLASHglsplural] = ACTIONS(7127),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7127),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7127),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7127),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7127),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7127),
    [anon_sym_BSLASHglsname] = ACTIONS(7127),
    [anon_sym_BSLASHGlsname] = ACTIONS(7127),
    [anon_sym_BSLASHGLSname] = ACTIONS(7127),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7127),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7127),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7127),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7127),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7127),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7127),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7127),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7127),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7127),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7127),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7127),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7127),
    [anon_sym_BSLASHacrshort] = ACTIONS(7127),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7127),
    [anon_sym_BSLASHACRshort] = ACTIONS(7127),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHacrlong] = ACTIONS(7127),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7127),
    [anon_sym_BSLASHACRlong] = ACTIONS(7127),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7127),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7127),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7127),
    [anon_sym_BSLASHacrfull] = ACTIONS(7127),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7127),
    [anon_sym_BSLASHACRfull] = ACTIONS(7127),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHacs] = ACTIONS(7127),
    [anon_sym_BSLASHAcs] = ACTIONS(7127),
    [anon_sym_BSLASHacsp] = ACTIONS(7127),
    [anon_sym_BSLASHAcsp] = ACTIONS(7127),
    [anon_sym_BSLASHacl] = ACTIONS(7127),
    [anon_sym_BSLASHAcl] = ACTIONS(7127),
    [anon_sym_BSLASHaclp] = ACTIONS(7127),
    [anon_sym_BSLASHAclp] = ACTIONS(7127),
    [anon_sym_BSLASHacf] = ACTIONS(7127),
    [anon_sym_BSLASHAcf] = ACTIONS(7127),
    [anon_sym_BSLASHacfp] = ACTIONS(7127),
    [anon_sym_BSLASHAcfp] = ACTIONS(7127),
    [anon_sym_BSLASHac] = ACTIONS(7127),
    [anon_sym_BSLASHAc] = ACTIONS(7127),
    [anon_sym_BSLASHacp] = ACTIONS(7127),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7127),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7127),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7127),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7127),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7127),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7127),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7127),
    [anon_sym_BSLASHcolor] = ACTIONS(7127),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7127),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7127),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7127),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7127),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7127),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7127),
    [anon_sym_BSLASHurl] = ACTIONS(7127),
    [anon_sym_BSLASHhref] = ACTIONS(7127),
  },
  [1304] = {
    [sym_command_name] = ACTIONS(7043),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7043),
    [anon_sym_LBRACK] = ACTIONS(7045),
    [anon_sym_RBRACK] = ACTIONS(7045),
    [anon_sym_COMMA] = ACTIONS(7045),
    [anon_sym_EQ] = ACTIONS(7045),
    [anon_sym_LPAREN] = ACTIONS(7045),
    [anon_sym_RPAREN] = ACTIONS(7045),
    [anon_sym_BSLASHpart] = ACTIONS(7043),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHaddpart] = ACTIONS(7043),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHchapter] = ACTIONS(7043),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHaddchap] = ACTIONS(7043),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHsection] = ACTIONS(7043),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHaddsec] = ACTIONS(7043),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHsubsection] = ACTIONS(7043),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7043),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHparagraph] = ACTIONS(7043),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7043),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHitem] = ACTIONS(7043),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7045),
    [anon_sym_LBRACE] = ACTIONS(7045),
    [sym_word] = ACTIONS(7043),
    [sym_placeholder] = ACTIONS(7045),
    [sym_delimiter] = ACTIONS(7045),
    [anon_sym_PLUS] = ACTIONS(7045),
    [anon_sym_DASH] = ACTIONS(7045),
    [anon_sym_STAR] = ACTIONS(7045),
    [anon_sym_SLASH] = ACTIONS(7045),
    [anon_sym_LT] = ACTIONS(7043),
    [anon_sym_GT] = ACTIONS(7043),
    [anon_sym_BANG] = ACTIONS(7043),
    [anon_sym_PIPE] = ACTIONS(7043),
    [anon_sym_COLON] = ACTIONS(7043),
    [anon_sym_SQUOTE] = ACTIONS(7043),
    [anon_sym__] = ACTIONS(7045),
    [anon_sym_CARET] = ACTIONS(7045),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7045),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7045),
    [anon_sym_DOLLAR] = ACTIONS(7043),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7045),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7045),
    [anon_sym_BSLASHleft] = ACTIONS(7043),
    [anon_sym_BSLASHbigl] = ACTIONS(7043),
    [anon_sym_BSLASHBigl] = ACTIONS(7043),
    [anon_sym_BSLASHbiggl] = ACTIONS(7043),
    [anon_sym_BSLASHBiggl] = ACTIONS(7043),
    [anon_sym_BSLASHtext] = ACTIONS(7043),
    [anon_sym_BSLASHintertext] = ACTIONS(7043),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7043),
    [anon_sym_BSLASHbegin] = ACTIONS(7043),
    [anon_sym_BSLASHtitle] = ACTIONS(7043),
    [anon_sym_BSLASHauthor] = ACTIONS(7043),
    [anon_sym_BSLASHusepackage] = ACTIONS(7043),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7043),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7043),
    [anon_sym_BSLASHinclude] = ACTIONS(7043),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7043),
    [anon_sym_BSLASHinput] = ACTIONS(7043),
    [anon_sym_BSLASHsubfile] = ACTIONS(7043),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7043),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7043),
    [anon_sym_BSLASHbibliography] = ACTIONS(7043),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7043),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7043),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7043),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7043),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7043),
    [anon_sym_BSLASHimport] = ACTIONS(7043),
    [anon_sym_BSLASHsubimport] = ACTIONS(7043),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7043),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7043),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7043),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7043),
    [anon_sym_BSLASHcaption] = ACTIONS(7043),
    [anon_sym_BSLASHcite] = ACTIONS(7043),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCite] = ACTIONS(7043),
    [anon_sym_BSLASHnocite] = ACTIONS(7043),
    [anon_sym_BSLASHcitet] = ACTIONS(7043),
    [anon_sym_BSLASHcitep] = ACTIONS(7043),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteA] = ACTIONS(7043),
    [anon_sym_BSLASHciteR] = ACTIONS(7043),
    [anon_sym_BSLASHciteS] = ACTIONS(7043),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7043),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7043),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7043),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7043),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteyear] = ACTIONS(7043),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitedate] = ACTIONS(7043),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteurl] = ACTIONS(7043),
    [anon_sym_BSLASHfullcite] = ACTIONS(7043),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7043),
    [anon_sym_BSLASHcitealt] = ACTIONS(7043),
    [anon_sym_BSLASHcitealp] = ACTIONS(7043),
    [anon_sym_BSLASHcitetext] = ACTIONS(7043),
    [anon_sym_BSLASHparencite] = ACTIONS(7043),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHParencite] = ACTIONS(7043),
    [anon_sym_BSLASHfootcite] = ACTIONS(7043),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7043),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7043),
    [anon_sym_BSLASHtextcite] = ACTIONS(7043),
    [anon_sym_BSLASHTextcite] = ACTIONS(7043),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7043),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7043),
    [anon_sym_BSLASHsupercite] = ACTIONS(7043),
    [anon_sym_BSLASHautocite] = ACTIONS(7043),
    [anon_sym_BSLASHAutocite] = ACTIONS(7043),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHVolcite] = ACTIONS(7043),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHavolcite] = ACTIONS(7043),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHNotecite] = ACTIONS(7043),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHlabel] = ACTIONS(7043),
    [anon_sym_BSLASHref] = ACTIONS(7043),
    [anon_sym_BSLASHeqref] = ACTIONS(7043),
    [anon_sym_BSLASHvref] = ACTIONS(7043),
    [anon_sym_BSLASHVref] = ACTIONS(7043),
    [anon_sym_BSLASHautoref] = ACTIONS(7043),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHpageref] = ACTIONS(7043),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHautopageref] = ACTIONS(7043),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcref] = ACTIONS(7043),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCref] = ACTIONS(7043),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcpageref] = ACTIONS(7043),
    [anon_sym_BSLASHCpageref] = ACTIONS(7043),
    [anon_sym_BSLASHnamecref] = ACTIONS(7043),
    [anon_sym_BSLASHnameCref] = ACTIONS(7043),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7043),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7043),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7043),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7043),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7043),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7043),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7043),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7043),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7043),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7043),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7043),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHdef] = ACTIONS(7043),
    [anon_sym_BSLASHgdef] = ACTIONS(7043),
    [anon_sym_BSLASHedef] = ACTIONS(7043),
    [anon_sym_BSLASHxdef] = ACTIONS(7043),
    [anon_sym_BSLASHlet] = ACTIONS(7043),
    [anon_sym_BSLASHglet] = ACTIONS(7043),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7043),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7043),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7043),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7043),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7043),
    [anon_sym_BSLASHgls] = ACTIONS(7043),
    [anon_sym_BSLASHGls] = ACTIONS(7043),
    [anon_sym_BSLASHGLS] = ACTIONS(7043),
    [anon_sym_BSLASHglspl] = ACTIONS(7043),
    [anon_sym_BSLASHGlspl] = ACTIONS(7043),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7043),
    [anon_sym_BSLASHglslink] = ACTIONS(7043),
    [anon_sym_BSLASHglstext] = ACTIONS(7043),
    [anon_sym_BSLASHGlstext] = ACTIONS(7043),
    [anon_sym_BSLASHGLStext] = ACTIONS(7043),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7043),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7043),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7043),
    [anon_sym_BSLASHglsplural] = ACTIONS(7043),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7043),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7043),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHglsname] = ACTIONS(7043),
    [anon_sym_BSLASHGlsname] = ACTIONS(7043),
    [anon_sym_BSLASHGLSname] = ACTIONS(7043),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7043),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7043),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7043),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7043),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7043),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7043),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7043),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7043),
    [anon_sym_BSLASHacrshort] = ACTIONS(7043),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7043),
    [anon_sym_BSLASHACRshort] = ACTIONS(7043),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHacrlong] = ACTIONS(7043),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7043),
    [anon_sym_BSLASHACRlong] = ACTIONS(7043),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHacrfull] = ACTIONS(7043),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7043),
    [anon_sym_BSLASHACRfull] = ACTIONS(7043),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHacs] = ACTIONS(7043),
    [anon_sym_BSLASHAcs] = ACTIONS(7043),
    [anon_sym_BSLASHacsp] = ACTIONS(7043),
    [anon_sym_BSLASHAcsp] = ACTIONS(7043),
    [anon_sym_BSLASHacl] = ACTIONS(7043),
    [anon_sym_BSLASHAcl] = ACTIONS(7043),
    [anon_sym_BSLASHaclp] = ACTIONS(7043),
    [anon_sym_BSLASHAclp] = ACTIONS(7043),
    [anon_sym_BSLASHacf] = ACTIONS(7043),
    [anon_sym_BSLASHAcf] = ACTIONS(7043),
    [anon_sym_BSLASHacfp] = ACTIONS(7043),
    [anon_sym_BSLASHAcfp] = ACTIONS(7043),
    [anon_sym_BSLASHac] = ACTIONS(7043),
    [anon_sym_BSLASHAc] = ACTIONS(7043),
    [anon_sym_BSLASHacp] = ACTIONS(7043),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7043),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7043),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7043),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7043),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7043),
    [anon_sym_BSLASHcolor] = ACTIONS(7043),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7043),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7043),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7043),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7043),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7043),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7043),
    [anon_sym_BSLASHurl] = ACTIONS(7043),
    [anon_sym_BSLASHhref] = ACTIONS(7043),
  },
  [1305] = {
    [sym_command_name] = ACTIONS(7131),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7131),
    [anon_sym_LBRACK] = ACTIONS(7133),
    [anon_sym_RBRACK] = ACTIONS(7133),
    [anon_sym_COMMA] = ACTIONS(7133),
    [anon_sym_EQ] = ACTIONS(7133),
    [anon_sym_LPAREN] = ACTIONS(7133),
    [anon_sym_RPAREN] = ACTIONS(7133),
    [anon_sym_BSLASHpart] = ACTIONS(7131),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHaddpart] = ACTIONS(7131),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHchapter] = ACTIONS(7131),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHaddchap] = ACTIONS(7131),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHsection] = ACTIONS(7131),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHaddsec] = ACTIONS(7131),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHsubsection] = ACTIONS(7131),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7131),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHparagraph] = ACTIONS(7131),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7131),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHitem] = ACTIONS(7131),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7133),
    [anon_sym_LBRACE] = ACTIONS(7133),
    [sym_word] = ACTIONS(7131),
    [sym_placeholder] = ACTIONS(7133),
    [sym_delimiter] = ACTIONS(7133),
    [anon_sym_PLUS] = ACTIONS(7133),
    [anon_sym_DASH] = ACTIONS(7133),
    [anon_sym_STAR] = ACTIONS(7133),
    [anon_sym_SLASH] = ACTIONS(7133),
    [anon_sym_LT] = ACTIONS(7131),
    [anon_sym_GT] = ACTIONS(7131),
    [anon_sym_BANG] = ACTIONS(7131),
    [anon_sym_PIPE] = ACTIONS(7131),
    [anon_sym_COLON] = ACTIONS(7131),
    [anon_sym_SQUOTE] = ACTIONS(7131),
    [anon_sym__] = ACTIONS(7133),
    [anon_sym_CARET] = ACTIONS(7133),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7133),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7133),
    [anon_sym_DOLLAR] = ACTIONS(7131),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7133),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7133),
    [anon_sym_BSLASHleft] = ACTIONS(7131),
    [anon_sym_BSLASHbigl] = ACTIONS(7131),
    [anon_sym_BSLASHBigl] = ACTIONS(7131),
    [anon_sym_BSLASHbiggl] = ACTIONS(7131),
    [anon_sym_BSLASHBiggl] = ACTIONS(7131),
    [anon_sym_BSLASHtext] = ACTIONS(7131),
    [anon_sym_BSLASHintertext] = ACTIONS(7131),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7131),
    [anon_sym_BSLASHbegin] = ACTIONS(7131),
    [anon_sym_BSLASHtitle] = ACTIONS(7131),
    [anon_sym_BSLASHauthor] = ACTIONS(7131),
    [anon_sym_BSLASHusepackage] = ACTIONS(7131),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7131),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7131),
    [anon_sym_BSLASHinclude] = ACTIONS(7131),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7131),
    [anon_sym_BSLASHinput] = ACTIONS(7131),
    [anon_sym_BSLASHsubfile] = ACTIONS(7131),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7131),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7131),
    [anon_sym_BSLASHbibliography] = ACTIONS(7131),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7131),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7131),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7131),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7131),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7131),
    [anon_sym_BSLASHimport] = ACTIONS(7131),
    [anon_sym_BSLASHsubimport] = ACTIONS(7131),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7131),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7131),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7131),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7131),
    [anon_sym_BSLASHcaption] = ACTIONS(7131),
    [anon_sym_BSLASHcite] = ACTIONS(7131),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCite] = ACTIONS(7131),
    [anon_sym_BSLASHnocite] = ACTIONS(7131),
    [anon_sym_BSLASHcitet] = ACTIONS(7131),
    [anon_sym_BSLASHcitep] = ACTIONS(7131),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHciteA] = ACTIONS(7131),
    [anon_sym_BSLASHciteR] = ACTIONS(7131),
    [anon_sym_BSLASHciteS] = ACTIONS(7131),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7131),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7131),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7131),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7131),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHciteyear] = ACTIONS(7131),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcitedate] = ACTIONS(7131),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHciteurl] = ACTIONS(7131),
    [anon_sym_BSLASHfullcite] = ACTIONS(7131),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7131),
    [anon_sym_BSLASHcitealt] = ACTIONS(7131),
    [anon_sym_BSLASHcitealp] = ACTIONS(7131),
    [anon_sym_BSLASHcitetext] = ACTIONS(7131),
    [anon_sym_BSLASHparencite] = ACTIONS(7131),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHParencite] = ACTIONS(7131),
    [anon_sym_BSLASHfootcite] = ACTIONS(7131),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7131),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7131),
    [anon_sym_BSLASHtextcite] = ACTIONS(7131),
    [anon_sym_BSLASHTextcite] = ACTIONS(7131),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7131),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7131),
    [anon_sym_BSLASHsupercite] = ACTIONS(7131),
    [anon_sym_BSLASHautocite] = ACTIONS(7131),
    [anon_sym_BSLASHAutocite] = ACTIONS(7131),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHVolcite] = ACTIONS(7131),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHavolcite] = ACTIONS(7131),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHNotecite] = ACTIONS(7131),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHlabel] = ACTIONS(7131),
    [anon_sym_BSLASHref] = ACTIONS(7131),
    [anon_sym_BSLASHeqref] = ACTIONS(7131),
    [anon_sym_BSLASHvref] = ACTIONS(7131),
    [anon_sym_BSLASHVref] = ACTIONS(7131),
    [anon_sym_BSLASHautoref] = ACTIONS(7131),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHpageref] = ACTIONS(7131),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHautopageref] = ACTIONS(7131),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcref] = ACTIONS(7131),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCref] = ACTIONS(7131),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcpageref] = ACTIONS(7131),
    [anon_sym_BSLASHCpageref] = ACTIONS(7131),
    [anon_sym_BSLASHnamecref] = ACTIONS(7131),
    [anon_sym_BSLASHnameCref] = ACTIONS(7131),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7131),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7131),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7131),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7131),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7131),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7131),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7131),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7131),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7131),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7131),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7131),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7131),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7131),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7131),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7131),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7131),
    [anon_sym_BSLASHdef] = ACTIONS(7131),
    [anon_sym_BSLASHgdef] = ACTIONS(7131),
    [anon_sym_BSLASHedef] = ACTIONS(7131),
    [anon_sym_BSLASHxdef] = ACTIONS(7131),
    [anon_sym_BSLASHlet] = ACTIONS(7131),
    [anon_sym_BSLASHglet] = ACTIONS(7131),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7131),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7131),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7131),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7131),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7131),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7131),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7131),
    [anon_sym_BSLASHgls] = ACTIONS(7131),
    [anon_sym_BSLASHGls] = ACTIONS(7131),
    [anon_sym_BSLASHGLS] = ACTIONS(7131),
    [anon_sym_BSLASHglspl] = ACTIONS(7131),
    [anon_sym_BSLASHGlspl] = ACTIONS(7131),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7131),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7131),
    [anon_sym_BSLASHglslink] = ACTIONS(7131),
    [anon_sym_BSLASHglstext] = ACTIONS(7131),
    [anon_sym_BSLASHGlstext] = ACTIONS(7131),
    [anon_sym_BSLASHGLStext] = ACTIONS(7131),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7131),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7131),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7131),
    [anon_sym_BSLASHglsplural] = ACTIONS(7131),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7131),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7131),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7131),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7131),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7131),
    [anon_sym_BSLASHglsname] = ACTIONS(7131),
    [anon_sym_BSLASHGlsname] = ACTIONS(7131),
    [anon_sym_BSLASHGLSname] = ACTIONS(7131),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7131),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7131),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7131),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7131),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7131),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7131),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7131),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7131),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7131),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7131),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7131),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7131),
    [anon_sym_BSLASHacrshort] = ACTIONS(7131),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7131),
    [anon_sym_BSLASHACRshort] = ACTIONS(7131),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHacrlong] = ACTIONS(7131),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7131),
    [anon_sym_BSLASHACRlong] = ACTIONS(7131),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7131),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7131),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7131),
    [anon_sym_BSLASHacrfull] = ACTIONS(7131),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7131),
    [anon_sym_BSLASHACRfull] = ACTIONS(7131),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHacs] = ACTIONS(7131),
    [anon_sym_BSLASHAcs] = ACTIONS(7131),
    [anon_sym_BSLASHacsp] = ACTIONS(7131),
    [anon_sym_BSLASHAcsp] = ACTIONS(7131),
    [anon_sym_BSLASHacl] = ACTIONS(7131),
    [anon_sym_BSLASHAcl] = ACTIONS(7131),
    [anon_sym_BSLASHaclp] = ACTIONS(7131),
    [anon_sym_BSLASHAclp] = ACTIONS(7131),
    [anon_sym_BSLASHacf] = ACTIONS(7131),
    [anon_sym_BSLASHAcf] = ACTIONS(7131),
    [anon_sym_BSLASHacfp] = ACTIONS(7131),
    [anon_sym_BSLASHAcfp] = ACTIONS(7131),
    [anon_sym_BSLASHac] = ACTIONS(7131),
    [anon_sym_BSLASHAc] = ACTIONS(7131),
    [anon_sym_BSLASHacp] = ACTIONS(7131),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7131),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7131),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7131),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7131),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7131),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7131),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7131),
    [anon_sym_BSLASHcolor] = ACTIONS(7131),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7131),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7131),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7131),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7131),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7131),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7131),
    [anon_sym_BSLASHurl] = ACTIONS(7131),
    [anon_sym_BSLASHhref] = ACTIONS(7131),
  },
  [1306] = {
    [sym_command_name] = ACTIONS(7595),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7595),
    [anon_sym_LBRACK] = ACTIONS(7597),
    [anon_sym_RBRACK] = ACTIONS(7597),
    [anon_sym_COMMA] = ACTIONS(7597),
    [anon_sym_EQ] = ACTIONS(7597),
    [anon_sym_LPAREN] = ACTIONS(7597),
    [anon_sym_RPAREN] = ACTIONS(7597),
    [anon_sym_BSLASHpart] = ACTIONS(7595),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHaddpart] = ACTIONS(7595),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHchapter] = ACTIONS(7595),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHaddchap] = ACTIONS(7595),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHsection] = ACTIONS(7595),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHaddsec] = ACTIONS(7595),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHsubsection] = ACTIONS(7595),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7595),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHparagraph] = ACTIONS(7595),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7595),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHitem] = ACTIONS(7595),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7597),
    [anon_sym_LBRACE] = ACTIONS(7597),
    [sym_word] = ACTIONS(7595),
    [sym_placeholder] = ACTIONS(7597),
    [sym_delimiter] = ACTIONS(7597),
    [anon_sym_PLUS] = ACTIONS(7597),
    [anon_sym_DASH] = ACTIONS(7597),
    [anon_sym_STAR] = ACTIONS(7597),
    [anon_sym_SLASH] = ACTIONS(7597),
    [anon_sym_LT] = ACTIONS(7595),
    [anon_sym_GT] = ACTIONS(7595),
    [anon_sym_BANG] = ACTIONS(7595),
    [anon_sym_PIPE] = ACTIONS(7595),
    [anon_sym_COLON] = ACTIONS(7595),
    [anon_sym_SQUOTE] = ACTIONS(7595),
    [anon_sym__] = ACTIONS(7597),
    [anon_sym_CARET] = ACTIONS(7597),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7597),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7597),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7597),
    [anon_sym_DOLLAR] = ACTIONS(7595),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7597),
    [anon_sym_BSLASHleft] = ACTIONS(7595),
    [anon_sym_BSLASHbigl] = ACTIONS(7595),
    [anon_sym_BSLASHBigl] = ACTIONS(7595),
    [anon_sym_BSLASHbiggl] = ACTIONS(7595),
    [anon_sym_BSLASHBiggl] = ACTIONS(7595),
    [anon_sym_BSLASHtext] = ACTIONS(7595),
    [anon_sym_BSLASHintertext] = ACTIONS(7595),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7595),
    [anon_sym_BSLASHbegin] = ACTIONS(7595),
    [anon_sym_BSLASHtitle] = ACTIONS(7595),
    [anon_sym_BSLASHauthor] = ACTIONS(7595),
    [anon_sym_BSLASHusepackage] = ACTIONS(7595),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7595),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7595),
    [anon_sym_BSLASHinclude] = ACTIONS(7595),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7595),
    [anon_sym_BSLASHinput] = ACTIONS(7595),
    [anon_sym_BSLASHsubfile] = ACTIONS(7595),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7595),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7595),
    [anon_sym_BSLASHbibliography] = ACTIONS(7595),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7595),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7595),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7595),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7595),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7595),
    [anon_sym_BSLASHimport] = ACTIONS(7595),
    [anon_sym_BSLASHsubimport] = ACTIONS(7595),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7595),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7595),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7595),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7595),
    [anon_sym_BSLASHcaption] = ACTIONS(7595),
    [anon_sym_BSLASHcite] = ACTIONS(7595),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCite] = ACTIONS(7595),
    [anon_sym_BSLASHnocite] = ACTIONS(7595),
    [anon_sym_BSLASHcitet] = ACTIONS(7595),
    [anon_sym_BSLASHcitep] = ACTIONS(7595),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteA] = ACTIONS(7595),
    [anon_sym_BSLASHciteR] = ACTIONS(7595),
    [anon_sym_BSLASHciteS] = ACTIONS(7595),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7595),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7595),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7595),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7595),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteyear] = ACTIONS(7595),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitedate] = ACTIONS(7595),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteurl] = ACTIONS(7595),
    [anon_sym_BSLASHfullcite] = ACTIONS(7595),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7595),
    [anon_sym_BSLASHcitealt] = ACTIONS(7595),
    [anon_sym_BSLASHcitealp] = ACTIONS(7595),
    [anon_sym_BSLASHcitetext] = ACTIONS(7595),
    [anon_sym_BSLASHparencite] = ACTIONS(7595),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHParencite] = ACTIONS(7595),
    [anon_sym_BSLASHfootcite] = ACTIONS(7595),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7595),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7595),
    [anon_sym_BSLASHtextcite] = ACTIONS(7595),
    [anon_sym_BSLASHTextcite] = ACTIONS(7595),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7595),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7595),
    [anon_sym_BSLASHsupercite] = ACTIONS(7595),
    [anon_sym_BSLASHautocite] = ACTIONS(7595),
    [anon_sym_BSLASHAutocite] = ACTIONS(7595),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHVolcite] = ACTIONS(7595),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHavolcite] = ACTIONS(7595),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHNotecite] = ACTIONS(7595),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHlabel] = ACTIONS(7595),
    [anon_sym_BSLASHref] = ACTIONS(7595),
    [anon_sym_BSLASHeqref] = ACTIONS(7595),
    [anon_sym_BSLASHvref] = ACTIONS(7595),
    [anon_sym_BSLASHVref] = ACTIONS(7595),
    [anon_sym_BSLASHautoref] = ACTIONS(7595),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHpageref] = ACTIONS(7595),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHautopageref] = ACTIONS(7595),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcref] = ACTIONS(7595),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCref] = ACTIONS(7595),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcpageref] = ACTIONS(7595),
    [anon_sym_BSLASHCpageref] = ACTIONS(7595),
    [anon_sym_BSLASHnamecref] = ACTIONS(7595),
    [anon_sym_BSLASHnameCref] = ACTIONS(7595),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7595),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7595),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7595),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7595),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7595),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7595),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7595),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7595),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7595),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7595),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7595),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHdef] = ACTIONS(7595),
    [anon_sym_BSLASHgdef] = ACTIONS(7595),
    [anon_sym_BSLASHedef] = ACTIONS(7595),
    [anon_sym_BSLASHxdef] = ACTIONS(7595),
    [anon_sym_BSLASHlet] = ACTIONS(7595),
    [anon_sym_BSLASHglet] = ACTIONS(7595),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7595),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7595),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7595),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7595),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7595),
    [anon_sym_BSLASHgls] = ACTIONS(7595),
    [anon_sym_BSLASHGls] = ACTIONS(7595),
    [anon_sym_BSLASHGLS] = ACTIONS(7595),
    [anon_sym_BSLASHglspl] = ACTIONS(7595),
    [anon_sym_BSLASHGlspl] = ACTIONS(7595),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7595),
    [anon_sym_BSLASHglslink] = ACTIONS(7595),
    [anon_sym_BSLASHglstext] = ACTIONS(7595),
    [anon_sym_BSLASHGlstext] = ACTIONS(7595),
    [anon_sym_BSLASHGLStext] = ACTIONS(7595),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7595),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7595),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7595),
    [anon_sym_BSLASHglsplural] = ACTIONS(7595),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7595),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7595),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHglsname] = ACTIONS(7595),
    [anon_sym_BSLASHGlsname] = ACTIONS(7595),
    [anon_sym_BSLASHGLSname] = ACTIONS(7595),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7595),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7595),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7595),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7595),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7595),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7595),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7595),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7595),
    [anon_sym_BSLASHacrshort] = ACTIONS(7595),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7595),
    [anon_sym_BSLASHACRshort] = ACTIONS(7595),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHacrlong] = ACTIONS(7595),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7595),
    [anon_sym_BSLASHACRlong] = ACTIONS(7595),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHacrfull] = ACTIONS(7595),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7595),
    [anon_sym_BSLASHACRfull] = ACTIONS(7595),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHacs] = ACTIONS(7595),
    [anon_sym_BSLASHAcs] = ACTIONS(7595),
    [anon_sym_BSLASHacsp] = ACTIONS(7595),
    [anon_sym_BSLASHAcsp] = ACTIONS(7595),
    [anon_sym_BSLASHacl] = ACTIONS(7595),
    [anon_sym_BSLASHAcl] = ACTIONS(7595),
    [anon_sym_BSLASHaclp] = ACTIONS(7595),
    [anon_sym_BSLASHAclp] = ACTIONS(7595),
    [anon_sym_BSLASHacf] = ACTIONS(7595),
    [anon_sym_BSLASHAcf] = ACTIONS(7595),
    [anon_sym_BSLASHacfp] = ACTIONS(7595),
    [anon_sym_BSLASHAcfp] = ACTIONS(7595),
    [anon_sym_BSLASHac] = ACTIONS(7595),
    [anon_sym_BSLASHAc] = ACTIONS(7595),
    [anon_sym_BSLASHacp] = ACTIONS(7595),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7595),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7595),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7595),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7595),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7595),
    [anon_sym_BSLASHcolor] = ACTIONS(7595),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7595),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7595),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7595),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7595),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7595),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7595),
    [anon_sym_BSLASHurl] = ACTIONS(7595),
    [anon_sym_BSLASHhref] = ACTIONS(7595),
  },
  [1307] = {
    [sym_command_name] = ACTIONS(7423),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7423),
    [anon_sym_LBRACK] = ACTIONS(7425),
    [anon_sym_RBRACK] = ACTIONS(7425),
    [anon_sym_COMMA] = ACTIONS(7425),
    [anon_sym_EQ] = ACTIONS(7425),
    [anon_sym_LPAREN] = ACTIONS(7425),
    [anon_sym_RPAREN] = ACTIONS(7425),
    [anon_sym_BSLASHpart] = ACTIONS(7423),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHaddpart] = ACTIONS(7423),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHchapter] = ACTIONS(7423),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHaddchap] = ACTIONS(7423),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHsection] = ACTIONS(7423),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHaddsec] = ACTIONS(7423),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHsubsection] = ACTIONS(7423),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7423),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHparagraph] = ACTIONS(7423),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7423),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHitem] = ACTIONS(7423),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7425),
    [anon_sym_LBRACE] = ACTIONS(7425),
    [sym_word] = ACTIONS(7423),
    [sym_placeholder] = ACTIONS(7425),
    [sym_delimiter] = ACTIONS(7425),
    [anon_sym_PLUS] = ACTIONS(7425),
    [anon_sym_DASH] = ACTIONS(7425),
    [anon_sym_STAR] = ACTIONS(7425),
    [anon_sym_SLASH] = ACTIONS(7425),
    [anon_sym_LT] = ACTIONS(7423),
    [anon_sym_GT] = ACTIONS(7423),
    [anon_sym_BANG] = ACTIONS(7423),
    [anon_sym_PIPE] = ACTIONS(7423),
    [anon_sym_COLON] = ACTIONS(7423),
    [anon_sym_SQUOTE] = ACTIONS(7423),
    [anon_sym__] = ACTIONS(7425),
    [anon_sym_CARET] = ACTIONS(7425),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7425),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7425),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7425),
    [anon_sym_DOLLAR] = ACTIONS(7423),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7425),
    [anon_sym_BSLASHleft] = ACTIONS(7423),
    [anon_sym_BSLASHbigl] = ACTIONS(7423),
    [anon_sym_BSLASHBigl] = ACTIONS(7423),
    [anon_sym_BSLASHbiggl] = ACTIONS(7423),
    [anon_sym_BSLASHBiggl] = ACTIONS(7423),
    [anon_sym_BSLASHtext] = ACTIONS(7423),
    [anon_sym_BSLASHintertext] = ACTIONS(7423),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7423),
    [anon_sym_BSLASHbegin] = ACTIONS(7423),
    [anon_sym_BSLASHtitle] = ACTIONS(7423),
    [anon_sym_BSLASHauthor] = ACTIONS(7423),
    [anon_sym_BSLASHusepackage] = ACTIONS(7423),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7423),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7423),
    [anon_sym_BSLASHinclude] = ACTIONS(7423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7423),
    [anon_sym_BSLASHinput] = ACTIONS(7423),
    [anon_sym_BSLASHsubfile] = ACTIONS(7423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7423),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7423),
    [anon_sym_BSLASHbibliography] = ACTIONS(7423),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7423),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7423),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7423),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7423),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7423),
    [anon_sym_BSLASHimport] = ACTIONS(7423),
    [anon_sym_BSLASHsubimport] = ACTIONS(7423),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7423),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7423),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7423),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7423),
    [anon_sym_BSLASHcaption] = ACTIONS(7423),
    [anon_sym_BSLASHcite] = ACTIONS(7423),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHCite] = ACTIONS(7423),
    [anon_sym_BSLASHnocite] = ACTIONS(7423),
    [anon_sym_BSLASHcitet] = ACTIONS(7423),
    [anon_sym_BSLASHcitep] = ACTIONS(7423),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHciteA] = ACTIONS(7423),
    [anon_sym_BSLASHciteR] = ACTIONS(7423),
    [anon_sym_BSLASHciteS] = ACTIONS(7423),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7423),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7423),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7423),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7423),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHciteyear] = ACTIONS(7423),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcitedate] = ACTIONS(7423),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHciteurl] = ACTIONS(7423),
    [anon_sym_BSLASHfullcite] = ACTIONS(7423),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7423),
    [anon_sym_BSLASHcitealt] = ACTIONS(7423),
    [anon_sym_BSLASHcitealp] = ACTIONS(7423),
    [anon_sym_BSLASHcitetext] = ACTIONS(7423),
    [anon_sym_BSLASHparencite] = ACTIONS(7423),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHParencite] = ACTIONS(7423),
    [anon_sym_BSLASHfootcite] = ACTIONS(7423),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7423),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7423),
    [anon_sym_BSLASHtextcite] = ACTIONS(7423),
    [anon_sym_BSLASHTextcite] = ACTIONS(7423),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7423),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7423),
    [anon_sym_BSLASHsupercite] = ACTIONS(7423),
    [anon_sym_BSLASHautocite] = ACTIONS(7423),
    [anon_sym_BSLASHAutocite] = ACTIONS(7423),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHVolcite] = ACTIONS(7423),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHavolcite] = ACTIONS(7423),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHnotecite] = ACTIONS(7423),
    [anon_sym_BSLASHNotecite] = ACTIONS(7423),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7423),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7423),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7423),
    [anon_sym_BSLASHlabel] = ACTIONS(7423),
    [anon_sym_BSLASHref] = ACTIONS(7423),
    [anon_sym_BSLASHeqref] = ACTIONS(7423),
    [anon_sym_BSLASHvref] = ACTIONS(7423),
    [anon_sym_BSLASHVref] = ACTIONS(7423),
    [anon_sym_BSLASHautoref] = ACTIONS(7423),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHpageref] = ACTIONS(7423),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHautopageref] = ACTIONS(7423),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcref] = ACTIONS(7423),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHCref] = ACTIONS(7423),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcpageref] = ACTIONS(7423),
    [anon_sym_BSLASHCpageref] = ACTIONS(7423),
    [anon_sym_BSLASHnamecref] = ACTIONS(7423),
    [anon_sym_BSLASHnameCref] = ACTIONS(7423),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7423),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7423),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7423),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7423),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7423),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7423),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7423),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7423),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7423),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7423),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7423),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7423),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7423),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7423),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7423),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7423),
    [anon_sym_BSLASHdef] = ACTIONS(7423),
    [anon_sym_BSLASHgdef] = ACTIONS(7423),
    [anon_sym_BSLASHedef] = ACTIONS(7423),
    [anon_sym_BSLASHxdef] = ACTIONS(7423),
    [anon_sym_BSLASHlet] = ACTIONS(7423),
    [anon_sym_BSLASHglet] = ACTIONS(7423),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7423),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7423),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7423),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7423),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7423),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7423),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7423),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7423),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7423),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7423),
    [anon_sym_BSLASHgls] = ACTIONS(7423),
    [anon_sym_BSLASHGls] = ACTIONS(7423),
    [anon_sym_BSLASHGLS] = ACTIONS(7423),
    [anon_sym_BSLASHglspl] = ACTIONS(7423),
    [anon_sym_BSLASHGlspl] = ACTIONS(7423),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7423),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7423),
    [anon_sym_BSLASHglslink] = ACTIONS(7423),
    [anon_sym_BSLASHglstext] = ACTIONS(7423),
    [anon_sym_BSLASHGlstext] = ACTIONS(7423),
    [anon_sym_BSLASHGLStext] = ACTIONS(7423),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7423),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7423),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7423),
    [anon_sym_BSLASHglsplural] = ACTIONS(7423),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7423),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7423),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7423),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7423),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7423),
    [anon_sym_BSLASHglsname] = ACTIONS(7423),
    [anon_sym_BSLASHGlsname] = ACTIONS(7423),
    [anon_sym_BSLASHGLSname] = ACTIONS(7423),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7423),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7423),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7423),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7423),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7423),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7423),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7423),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7423),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7423),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7423),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7423),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7423),
    [anon_sym_BSLASHacrshort] = ACTIONS(7423),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7423),
    [anon_sym_BSLASHACRshort] = ACTIONS(7423),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHacrlong] = ACTIONS(7423),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7423),
    [anon_sym_BSLASHACRlong] = ACTIONS(7423),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7423),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7423),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7423),
    [anon_sym_BSLASHacrfull] = ACTIONS(7423),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7423),
    [anon_sym_BSLASHACRfull] = ACTIONS(7423),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHacs] = ACTIONS(7423),
    [anon_sym_BSLASHAcs] = ACTIONS(7423),
    [anon_sym_BSLASHacsp] = ACTIONS(7423),
    [anon_sym_BSLASHAcsp] = ACTIONS(7423),
    [anon_sym_BSLASHacl] = ACTIONS(7423),
    [anon_sym_BSLASHAcl] = ACTIONS(7423),
    [anon_sym_BSLASHaclp] = ACTIONS(7423),
    [anon_sym_BSLASHAclp] = ACTIONS(7423),
    [anon_sym_BSLASHacf] = ACTIONS(7423),
    [anon_sym_BSLASHAcf] = ACTIONS(7423),
    [anon_sym_BSLASHacfp] = ACTIONS(7423),
    [anon_sym_BSLASHAcfp] = ACTIONS(7423),
    [anon_sym_BSLASHac] = ACTIONS(7423),
    [anon_sym_BSLASHAc] = ACTIONS(7423),
    [anon_sym_BSLASHacp] = ACTIONS(7423),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7423),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7423),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7423),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7423),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7423),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7423),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7423),
    [anon_sym_BSLASHcolor] = ACTIONS(7423),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7423),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7423),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7423),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7423),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7423),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7423),
    [anon_sym_BSLASHurl] = ACTIONS(7423),
    [anon_sym_BSLASHhref] = ACTIONS(7423),
  },
  [1308] = {
    [sym_command_name] = ACTIONS(7427),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7427),
    [anon_sym_LBRACK] = ACTIONS(7429),
    [anon_sym_RBRACK] = ACTIONS(7429),
    [anon_sym_COMMA] = ACTIONS(7429),
    [anon_sym_EQ] = ACTIONS(7429),
    [anon_sym_LPAREN] = ACTIONS(7429),
    [anon_sym_RPAREN] = ACTIONS(7429),
    [anon_sym_BSLASHpart] = ACTIONS(7427),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHaddpart] = ACTIONS(7427),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHchapter] = ACTIONS(7427),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHaddchap] = ACTIONS(7427),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHsection] = ACTIONS(7427),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHaddsec] = ACTIONS(7427),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHsubsection] = ACTIONS(7427),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7427),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHparagraph] = ACTIONS(7427),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7427),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHitem] = ACTIONS(7427),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7429),
    [anon_sym_LBRACE] = ACTIONS(7429),
    [sym_word] = ACTIONS(7427),
    [sym_placeholder] = ACTIONS(7429),
    [sym_delimiter] = ACTIONS(7429),
    [anon_sym_PLUS] = ACTIONS(7429),
    [anon_sym_DASH] = ACTIONS(7429),
    [anon_sym_STAR] = ACTIONS(7429),
    [anon_sym_SLASH] = ACTIONS(7429),
    [anon_sym_LT] = ACTIONS(7427),
    [anon_sym_GT] = ACTIONS(7427),
    [anon_sym_BANG] = ACTIONS(7427),
    [anon_sym_PIPE] = ACTIONS(7427),
    [anon_sym_COLON] = ACTIONS(7427),
    [anon_sym_SQUOTE] = ACTIONS(7427),
    [anon_sym__] = ACTIONS(7429),
    [anon_sym_CARET] = ACTIONS(7429),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7429),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7429),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7429),
    [anon_sym_DOLLAR] = ACTIONS(7427),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7429),
    [anon_sym_BSLASHleft] = ACTIONS(7427),
    [anon_sym_BSLASHbigl] = ACTIONS(7427),
    [anon_sym_BSLASHBigl] = ACTIONS(7427),
    [anon_sym_BSLASHbiggl] = ACTIONS(7427),
    [anon_sym_BSLASHBiggl] = ACTIONS(7427),
    [anon_sym_BSLASHtext] = ACTIONS(7427),
    [anon_sym_BSLASHintertext] = ACTIONS(7427),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7427),
    [anon_sym_BSLASHbegin] = ACTIONS(7427),
    [anon_sym_BSLASHtitle] = ACTIONS(7427),
    [anon_sym_BSLASHauthor] = ACTIONS(7427),
    [anon_sym_BSLASHusepackage] = ACTIONS(7427),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7427),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7427),
    [anon_sym_BSLASHinclude] = ACTIONS(7427),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7427),
    [anon_sym_BSLASHinput] = ACTIONS(7427),
    [anon_sym_BSLASHsubfile] = ACTIONS(7427),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7427),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7427),
    [anon_sym_BSLASHbibliography] = ACTIONS(7427),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7427),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7427),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7427),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7427),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7427),
    [anon_sym_BSLASHimport] = ACTIONS(7427),
    [anon_sym_BSLASHsubimport] = ACTIONS(7427),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7427),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7427),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7427),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7427),
    [anon_sym_BSLASHcaption] = ACTIONS(7427),
    [anon_sym_BSLASHcite] = ACTIONS(7427),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHCite] = ACTIONS(7427),
    [anon_sym_BSLASHnocite] = ACTIONS(7427),
    [anon_sym_BSLASHcitet] = ACTIONS(7427),
    [anon_sym_BSLASHcitep] = ACTIONS(7427),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHciteA] = ACTIONS(7427),
    [anon_sym_BSLASHciteR] = ACTIONS(7427),
    [anon_sym_BSLASHciteS] = ACTIONS(7427),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7427),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7427),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7427),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7427),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHciteyear] = ACTIONS(7427),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcitedate] = ACTIONS(7427),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHciteurl] = ACTIONS(7427),
    [anon_sym_BSLASHfullcite] = ACTIONS(7427),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7427),
    [anon_sym_BSLASHcitealt] = ACTIONS(7427),
    [anon_sym_BSLASHcitealp] = ACTIONS(7427),
    [anon_sym_BSLASHcitetext] = ACTIONS(7427),
    [anon_sym_BSLASHparencite] = ACTIONS(7427),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHParencite] = ACTIONS(7427),
    [anon_sym_BSLASHfootcite] = ACTIONS(7427),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7427),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7427),
    [anon_sym_BSLASHtextcite] = ACTIONS(7427),
    [anon_sym_BSLASHTextcite] = ACTIONS(7427),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7427),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7427),
    [anon_sym_BSLASHsupercite] = ACTIONS(7427),
    [anon_sym_BSLASHautocite] = ACTIONS(7427),
    [anon_sym_BSLASHAutocite] = ACTIONS(7427),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHVolcite] = ACTIONS(7427),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHavolcite] = ACTIONS(7427),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHnotecite] = ACTIONS(7427),
    [anon_sym_BSLASHNotecite] = ACTIONS(7427),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7427),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7427),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7427),
    [anon_sym_BSLASHlabel] = ACTIONS(7427),
    [anon_sym_BSLASHref] = ACTIONS(7427),
    [anon_sym_BSLASHeqref] = ACTIONS(7427),
    [anon_sym_BSLASHvref] = ACTIONS(7427),
    [anon_sym_BSLASHVref] = ACTIONS(7427),
    [anon_sym_BSLASHautoref] = ACTIONS(7427),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHpageref] = ACTIONS(7427),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHautopageref] = ACTIONS(7427),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcref] = ACTIONS(7427),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHCref] = ACTIONS(7427),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcpageref] = ACTIONS(7427),
    [anon_sym_BSLASHCpageref] = ACTIONS(7427),
    [anon_sym_BSLASHnamecref] = ACTIONS(7427),
    [anon_sym_BSLASHnameCref] = ACTIONS(7427),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7427),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7427),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7427),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7427),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7427),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7427),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7427),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7427),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7427),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7427),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7427),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7427),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7427),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7427),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7427),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7427),
    [anon_sym_BSLASHdef] = ACTIONS(7427),
    [anon_sym_BSLASHgdef] = ACTIONS(7427),
    [anon_sym_BSLASHedef] = ACTIONS(7427),
    [anon_sym_BSLASHxdef] = ACTIONS(7427),
    [anon_sym_BSLASHlet] = ACTIONS(7427),
    [anon_sym_BSLASHglet] = ACTIONS(7427),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7427),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7427),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7427),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7427),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7427),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7427),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7427),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7427),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7427),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7427),
    [anon_sym_BSLASHgls] = ACTIONS(7427),
    [anon_sym_BSLASHGls] = ACTIONS(7427),
    [anon_sym_BSLASHGLS] = ACTIONS(7427),
    [anon_sym_BSLASHglspl] = ACTIONS(7427),
    [anon_sym_BSLASHGlspl] = ACTIONS(7427),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7427),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7427),
    [anon_sym_BSLASHglslink] = ACTIONS(7427),
    [anon_sym_BSLASHglstext] = ACTIONS(7427),
    [anon_sym_BSLASHGlstext] = ACTIONS(7427),
    [anon_sym_BSLASHGLStext] = ACTIONS(7427),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7427),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7427),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7427),
    [anon_sym_BSLASHglsplural] = ACTIONS(7427),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7427),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7427),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7427),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7427),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7427),
    [anon_sym_BSLASHglsname] = ACTIONS(7427),
    [anon_sym_BSLASHGlsname] = ACTIONS(7427),
    [anon_sym_BSLASHGLSname] = ACTIONS(7427),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7427),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7427),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7427),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7427),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7427),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7427),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7427),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7427),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7427),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7427),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7427),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7427),
    [anon_sym_BSLASHacrshort] = ACTIONS(7427),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7427),
    [anon_sym_BSLASHACRshort] = ACTIONS(7427),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHacrlong] = ACTIONS(7427),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7427),
    [anon_sym_BSLASHACRlong] = ACTIONS(7427),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7427),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7427),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7427),
    [anon_sym_BSLASHacrfull] = ACTIONS(7427),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7427),
    [anon_sym_BSLASHACRfull] = ACTIONS(7427),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHacs] = ACTIONS(7427),
    [anon_sym_BSLASHAcs] = ACTIONS(7427),
    [anon_sym_BSLASHacsp] = ACTIONS(7427),
    [anon_sym_BSLASHAcsp] = ACTIONS(7427),
    [anon_sym_BSLASHacl] = ACTIONS(7427),
    [anon_sym_BSLASHAcl] = ACTIONS(7427),
    [anon_sym_BSLASHaclp] = ACTIONS(7427),
    [anon_sym_BSLASHAclp] = ACTIONS(7427),
    [anon_sym_BSLASHacf] = ACTIONS(7427),
    [anon_sym_BSLASHAcf] = ACTIONS(7427),
    [anon_sym_BSLASHacfp] = ACTIONS(7427),
    [anon_sym_BSLASHAcfp] = ACTIONS(7427),
    [anon_sym_BSLASHac] = ACTIONS(7427),
    [anon_sym_BSLASHAc] = ACTIONS(7427),
    [anon_sym_BSLASHacp] = ACTIONS(7427),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7427),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7427),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7427),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7427),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7427),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7427),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7427),
    [anon_sym_BSLASHcolor] = ACTIONS(7427),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7427),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7427),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7427),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7427),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7427),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7427),
    [anon_sym_BSLASHurl] = ACTIONS(7427),
    [anon_sym_BSLASHhref] = ACTIONS(7427),
  },
  [1309] = {
    [sym_command_name] = ACTIONS(7431),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7431),
    [anon_sym_LBRACK] = ACTIONS(7433),
    [anon_sym_RBRACK] = ACTIONS(7433),
    [anon_sym_COMMA] = ACTIONS(7433),
    [anon_sym_EQ] = ACTIONS(7433),
    [anon_sym_LPAREN] = ACTIONS(7433),
    [anon_sym_RPAREN] = ACTIONS(7433),
    [anon_sym_BSLASHpart] = ACTIONS(7431),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHaddpart] = ACTIONS(7431),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHchapter] = ACTIONS(7431),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHaddchap] = ACTIONS(7431),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHsection] = ACTIONS(7431),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHaddsec] = ACTIONS(7431),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHsubsection] = ACTIONS(7431),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7431),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHparagraph] = ACTIONS(7431),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7431),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHitem] = ACTIONS(7431),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7433),
    [anon_sym_LBRACE] = ACTIONS(7433),
    [sym_word] = ACTIONS(7431),
    [sym_placeholder] = ACTIONS(7433),
    [sym_delimiter] = ACTIONS(7433),
    [anon_sym_PLUS] = ACTIONS(7433),
    [anon_sym_DASH] = ACTIONS(7433),
    [anon_sym_STAR] = ACTIONS(7433),
    [anon_sym_SLASH] = ACTIONS(7433),
    [anon_sym_LT] = ACTIONS(7431),
    [anon_sym_GT] = ACTIONS(7431),
    [anon_sym_BANG] = ACTIONS(7431),
    [anon_sym_PIPE] = ACTIONS(7431),
    [anon_sym_COLON] = ACTIONS(7431),
    [anon_sym_SQUOTE] = ACTIONS(7431),
    [anon_sym__] = ACTIONS(7433),
    [anon_sym_CARET] = ACTIONS(7433),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7433),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7433),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7433),
    [anon_sym_DOLLAR] = ACTIONS(7431),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7433),
    [anon_sym_BSLASHleft] = ACTIONS(7431),
    [anon_sym_BSLASHbigl] = ACTIONS(7431),
    [anon_sym_BSLASHBigl] = ACTIONS(7431),
    [anon_sym_BSLASHbiggl] = ACTIONS(7431),
    [anon_sym_BSLASHBiggl] = ACTIONS(7431),
    [anon_sym_BSLASHtext] = ACTIONS(7431),
    [anon_sym_BSLASHintertext] = ACTIONS(7431),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7431),
    [anon_sym_BSLASHbegin] = ACTIONS(7431),
    [anon_sym_BSLASHtitle] = ACTIONS(7431),
    [anon_sym_BSLASHauthor] = ACTIONS(7431),
    [anon_sym_BSLASHusepackage] = ACTIONS(7431),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7431),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7431),
    [anon_sym_BSLASHinclude] = ACTIONS(7431),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7431),
    [anon_sym_BSLASHinput] = ACTIONS(7431),
    [anon_sym_BSLASHsubfile] = ACTIONS(7431),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7431),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7431),
    [anon_sym_BSLASHbibliography] = ACTIONS(7431),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7431),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7431),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7431),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7431),
    [anon_sym_BSLASHimport] = ACTIONS(7431),
    [anon_sym_BSLASHsubimport] = ACTIONS(7431),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7431),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7431),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7431),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7431),
    [anon_sym_BSLASHcaption] = ACTIONS(7431),
    [anon_sym_BSLASHcite] = ACTIONS(7431),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHCite] = ACTIONS(7431),
    [anon_sym_BSLASHnocite] = ACTIONS(7431),
    [anon_sym_BSLASHcitet] = ACTIONS(7431),
    [anon_sym_BSLASHcitep] = ACTIONS(7431),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHciteA] = ACTIONS(7431),
    [anon_sym_BSLASHciteR] = ACTIONS(7431),
    [anon_sym_BSLASHciteS] = ACTIONS(7431),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7431),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7431),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7431),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7431),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHciteyear] = ACTIONS(7431),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcitedate] = ACTIONS(7431),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHciteurl] = ACTIONS(7431),
    [anon_sym_BSLASHfullcite] = ACTIONS(7431),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7431),
    [anon_sym_BSLASHcitealt] = ACTIONS(7431),
    [anon_sym_BSLASHcitealp] = ACTIONS(7431),
    [anon_sym_BSLASHcitetext] = ACTIONS(7431),
    [anon_sym_BSLASHparencite] = ACTIONS(7431),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHParencite] = ACTIONS(7431),
    [anon_sym_BSLASHfootcite] = ACTIONS(7431),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7431),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7431),
    [anon_sym_BSLASHtextcite] = ACTIONS(7431),
    [anon_sym_BSLASHTextcite] = ACTIONS(7431),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7431),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7431),
    [anon_sym_BSLASHsupercite] = ACTIONS(7431),
    [anon_sym_BSLASHautocite] = ACTIONS(7431),
    [anon_sym_BSLASHAutocite] = ACTIONS(7431),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHVolcite] = ACTIONS(7431),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHavolcite] = ACTIONS(7431),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHnotecite] = ACTIONS(7431),
    [anon_sym_BSLASHNotecite] = ACTIONS(7431),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7431),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7431),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7431),
    [anon_sym_BSLASHlabel] = ACTIONS(7431),
    [anon_sym_BSLASHref] = ACTIONS(7431),
    [anon_sym_BSLASHeqref] = ACTIONS(7431),
    [anon_sym_BSLASHvref] = ACTIONS(7431),
    [anon_sym_BSLASHVref] = ACTIONS(7431),
    [anon_sym_BSLASHautoref] = ACTIONS(7431),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHpageref] = ACTIONS(7431),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHautopageref] = ACTIONS(7431),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcref] = ACTIONS(7431),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHCref] = ACTIONS(7431),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcpageref] = ACTIONS(7431),
    [anon_sym_BSLASHCpageref] = ACTIONS(7431),
    [anon_sym_BSLASHnamecref] = ACTIONS(7431),
    [anon_sym_BSLASHnameCref] = ACTIONS(7431),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7431),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7431),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7431),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7431),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7431),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7431),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7431),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7431),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7431),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7431),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7431),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7431),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7431),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7431),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7431),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7431),
    [anon_sym_BSLASHdef] = ACTIONS(7431),
    [anon_sym_BSLASHgdef] = ACTIONS(7431),
    [anon_sym_BSLASHedef] = ACTIONS(7431),
    [anon_sym_BSLASHxdef] = ACTIONS(7431),
    [anon_sym_BSLASHlet] = ACTIONS(7431),
    [anon_sym_BSLASHglet] = ACTIONS(7431),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7431),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7431),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7431),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7431),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7431),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7431),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7431),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7431),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7431),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7431),
    [anon_sym_BSLASHgls] = ACTIONS(7431),
    [anon_sym_BSLASHGls] = ACTIONS(7431),
    [anon_sym_BSLASHGLS] = ACTIONS(7431),
    [anon_sym_BSLASHglspl] = ACTIONS(7431),
    [anon_sym_BSLASHGlspl] = ACTIONS(7431),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7431),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7431),
    [anon_sym_BSLASHglslink] = ACTIONS(7431),
    [anon_sym_BSLASHglstext] = ACTIONS(7431),
    [anon_sym_BSLASHGlstext] = ACTIONS(7431),
    [anon_sym_BSLASHGLStext] = ACTIONS(7431),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7431),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7431),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7431),
    [anon_sym_BSLASHglsplural] = ACTIONS(7431),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7431),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7431),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7431),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7431),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7431),
    [anon_sym_BSLASHglsname] = ACTIONS(7431),
    [anon_sym_BSLASHGlsname] = ACTIONS(7431),
    [anon_sym_BSLASHGLSname] = ACTIONS(7431),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7431),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7431),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7431),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7431),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7431),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7431),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7431),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7431),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7431),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7431),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7431),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7431),
    [anon_sym_BSLASHacrshort] = ACTIONS(7431),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7431),
    [anon_sym_BSLASHACRshort] = ACTIONS(7431),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHacrlong] = ACTIONS(7431),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7431),
    [anon_sym_BSLASHACRlong] = ACTIONS(7431),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7431),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7431),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7431),
    [anon_sym_BSLASHacrfull] = ACTIONS(7431),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7431),
    [anon_sym_BSLASHACRfull] = ACTIONS(7431),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHacs] = ACTIONS(7431),
    [anon_sym_BSLASHAcs] = ACTIONS(7431),
    [anon_sym_BSLASHacsp] = ACTIONS(7431),
    [anon_sym_BSLASHAcsp] = ACTIONS(7431),
    [anon_sym_BSLASHacl] = ACTIONS(7431),
    [anon_sym_BSLASHAcl] = ACTIONS(7431),
    [anon_sym_BSLASHaclp] = ACTIONS(7431),
    [anon_sym_BSLASHAclp] = ACTIONS(7431),
    [anon_sym_BSLASHacf] = ACTIONS(7431),
    [anon_sym_BSLASHAcf] = ACTIONS(7431),
    [anon_sym_BSLASHacfp] = ACTIONS(7431),
    [anon_sym_BSLASHAcfp] = ACTIONS(7431),
    [anon_sym_BSLASHac] = ACTIONS(7431),
    [anon_sym_BSLASHAc] = ACTIONS(7431),
    [anon_sym_BSLASHacp] = ACTIONS(7431),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7431),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7431),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7431),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7431),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7431),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7431),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7431),
    [anon_sym_BSLASHcolor] = ACTIONS(7431),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7431),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7431),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7431),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7431),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7431),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7431),
    [anon_sym_BSLASHurl] = ACTIONS(7431),
    [anon_sym_BSLASHhref] = ACTIONS(7431),
  },
  [1310] = {
    [sym_command_name] = ACTIONS(7135),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7135),
    [anon_sym_LBRACK] = ACTIONS(7137),
    [anon_sym_RBRACK] = ACTIONS(7137),
    [anon_sym_COMMA] = ACTIONS(7137),
    [anon_sym_EQ] = ACTIONS(7137),
    [anon_sym_LPAREN] = ACTIONS(7137),
    [anon_sym_RPAREN] = ACTIONS(7137),
    [anon_sym_BSLASHpart] = ACTIONS(7135),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHaddpart] = ACTIONS(7135),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHchapter] = ACTIONS(7135),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHaddchap] = ACTIONS(7135),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHsection] = ACTIONS(7135),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHaddsec] = ACTIONS(7135),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHsubsection] = ACTIONS(7135),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7135),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHparagraph] = ACTIONS(7135),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7135),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHitem] = ACTIONS(7135),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7137),
    [anon_sym_LBRACE] = ACTIONS(7137),
    [sym_word] = ACTIONS(7135),
    [sym_placeholder] = ACTIONS(7137),
    [sym_delimiter] = ACTIONS(7137),
    [anon_sym_PLUS] = ACTIONS(7137),
    [anon_sym_DASH] = ACTIONS(7137),
    [anon_sym_STAR] = ACTIONS(7137),
    [anon_sym_SLASH] = ACTIONS(7137),
    [anon_sym_LT] = ACTIONS(7135),
    [anon_sym_GT] = ACTIONS(7135),
    [anon_sym_BANG] = ACTIONS(7135),
    [anon_sym_PIPE] = ACTIONS(7135),
    [anon_sym_COLON] = ACTIONS(7135),
    [anon_sym_SQUOTE] = ACTIONS(7135),
    [anon_sym__] = ACTIONS(7137),
    [anon_sym_CARET] = ACTIONS(7137),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7137),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7137),
    [anon_sym_DOLLAR] = ACTIONS(7135),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7137),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7137),
    [anon_sym_BSLASHleft] = ACTIONS(7135),
    [anon_sym_BSLASHbigl] = ACTIONS(7135),
    [anon_sym_BSLASHBigl] = ACTIONS(7135),
    [anon_sym_BSLASHbiggl] = ACTIONS(7135),
    [anon_sym_BSLASHBiggl] = ACTIONS(7135),
    [anon_sym_BSLASHtext] = ACTIONS(7135),
    [anon_sym_BSLASHintertext] = ACTIONS(7135),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7135),
    [anon_sym_BSLASHbegin] = ACTIONS(7135),
    [anon_sym_BSLASHtitle] = ACTIONS(7135),
    [anon_sym_BSLASHauthor] = ACTIONS(7135),
    [anon_sym_BSLASHusepackage] = ACTIONS(7135),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7135),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7135),
    [anon_sym_BSLASHinclude] = ACTIONS(7135),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7135),
    [anon_sym_BSLASHinput] = ACTIONS(7135),
    [anon_sym_BSLASHsubfile] = ACTIONS(7135),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7135),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7135),
    [anon_sym_BSLASHbibliography] = ACTIONS(7135),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7135),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7135),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7135),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7135),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7135),
    [anon_sym_BSLASHimport] = ACTIONS(7135),
    [anon_sym_BSLASHsubimport] = ACTIONS(7135),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7135),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7135),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7135),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7135),
    [anon_sym_BSLASHcaption] = ACTIONS(7135),
    [anon_sym_BSLASHcite] = ACTIONS(7135),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHCite] = ACTIONS(7135),
    [anon_sym_BSLASHnocite] = ACTIONS(7135),
    [anon_sym_BSLASHcitet] = ACTIONS(7135),
    [anon_sym_BSLASHcitep] = ACTIONS(7135),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHciteA] = ACTIONS(7135),
    [anon_sym_BSLASHciteR] = ACTIONS(7135),
    [anon_sym_BSLASHciteS] = ACTIONS(7135),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7135),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7135),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7135),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7135),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHciteyear] = ACTIONS(7135),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcitedate] = ACTIONS(7135),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHciteurl] = ACTIONS(7135),
    [anon_sym_BSLASHfullcite] = ACTIONS(7135),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7135),
    [anon_sym_BSLASHcitealt] = ACTIONS(7135),
    [anon_sym_BSLASHcitealp] = ACTIONS(7135),
    [anon_sym_BSLASHcitetext] = ACTIONS(7135),
    [anon_sym_BSLASHparencite] = ACTIONS(7135),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHParencite] = ACTIONS(7135),
    [anon_sym_BSLASHfootcite] = ACTIONS(7135),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7135),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7135),
    [anon_sym_BSLASHtextcite] = ACTIONS(7135),
    [anon_sym_BSLASHTextcite] = ACTIONS(7135),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7135),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7135),
    [anon_sym_BSLASHsupercite] = ACTIONS(7135),
    [anon_sym_BSLASHautocite] = ACTIONS(7135),
    [anon_sym_BSLASHAutocite] = ACTIONS(7135),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHVolcite] = ACTIONS(7135),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHavolcite] = ACTIONS(7135),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHnotecite] = ACTIONS(7135),
    [anon_sym_BSLASHNotecite] = ACTIONS(7135),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7135),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7135),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7135),
    [anon_sym_BSLASHlabel] = ACTIONS(7135),
    [anon_sym_BSLASHref] = ACTIONS(7135),
    [anon_sym_BSLASHeqref] = ACTIONS(7135),
    [anon_sym_BSLASHvref] = ACTIONS(7135),
    [anon_sym_BSLASHVref] = ACTIONS(7135),
    [anon_sym_BSLASHautoref] = ACTIONS(7135),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHpageref] = ACTIONS(7135),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHautopageref] = ACTIONS(7135),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcref] = ACTIONS(7135),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHCref] = ACTIONS(7135),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcpageref] = ACTIONS(7135),
    [anon_sym_BSLASHCpageref] = ACTIONS(7135),
    [anon_sym_BSLASHnamecref] = ACTIONS(7135),
    [anon_sym_BSLASHnameCref] = ACTIONS(7135),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7135),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7135),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7135),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7135),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7135),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7135),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7135),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7135),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7135),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7135),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7135),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7135),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7135),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7135),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7135),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7135),
    [anon_sym_BSLASHdef] = ACTIONS(7135),
    [anon_sym_BSLASHgdef] = ACTIONS(7135),
    [anon_sym_BSLASHedef] = ACTIONS(7135),
    [anon_sym_BSLASHxdef] = ACTIONS(7135),
    [anon_sym_BSLASHlet] = ACTIONS(7135),
    [anon_sym_BSLASHglet] = ACTIONS(7135),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7135),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7135),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7135),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7135),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7135),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7135),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7135),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7135),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7135),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7135),
    [anon_sym_BSLASHgls] = ACTIONS(7135),
    [anon_sym_BSLASHGls] = ACTIONS(7135),
    [anon_sym_BSLASHGLS] = ACTIONS(7135),
    [anon_sym_BSLASHglspl] = ACTIONS(7135),
    [anon_sym_BSLASHGlspl] = ACTIONS(7135),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7135),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7135),
    [anon_sym_BSLASHglslink] = ACTIONS(7135),
    [anon_sym_BSLASHglstext] = ACTIONS(7135),
    [anon_sym_BSLASHGlstext] = ACTIONS(7135),
    [anon_sym_BSLASHGLStext] = ACTIONS(7135),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7135),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7135),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7135),
    [anon_sym_BSLASHglsplural] = ACTIONS(7135),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7135),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7135),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7135),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7135),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7135),
    [anon_sym_BSLASHglsname] = ACTIONS(7135),
    [anon_sym_BSLASHGlsname] = ACTIONS(7135),
    [anon_sym_BSLASHGLSname] = ACTIONS(7135),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7135),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7135),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7135),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7135),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7135),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7135),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7135),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7135),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7135),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7135),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7135),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7135),
    [anon_sym_BSLASHacrshort] = ACTIONS(7135),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7135),
    [anon_sym_BSLASHACRshort] = ACTIONS(7135),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHacrlong] = ACTIONS(7135),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7135),
    [anon_sym_BSLASHACRlong] = ACTIONS(7135),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7135),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7135),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7135),
    [anon_sym_BSLASHacrfull] = ACTIONS(7135),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7135),
    [anon_sym_BSLASHACRfull] = ACTIONS(7135),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHacs] = ACTIONS(7135),
    [anon_sym_BSLASHAcs] = ACTIONS(7135),
    [anon_sym_BSLASHacsp] = ACTIONS(7135),
    [anon_sym_BSLASHAcsp] = ACTIONS(7135),
    [anon_sym_BSLASHacl] = ACTIONS(7135),
    [anon_sym_BSLASHAcl] = ACTIONS(7135),
    [anon_sym_BSLASHaclp] = ACTIONS(7135),
    [anon_sym_BSLASHAclp] = ACTIONS(7135),
    [anon_sym_BSLASHacf] = ACTIONS(7135),
    [anon_sym_BSLASHAcf] = ACTIONS(7135),
    [anon_sym_BSLASHacfp] = ACTIONS(7135),
    [anon_sym_BSLASHAcfp] = ACTIONS(7135),
    [anon_sym_BSLASHac] = ACTIONS(7135),
    [anon_sym_BSLASHAc] = ACTIONS(7135),
    [anon_sym_BSLASHacp] = ACTIONS(7135),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7135),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7135),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7135),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7135),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7135),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7135),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7135),
    [anon_sym_BSLASHcolor] = ACTIONS(7135),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7135),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7135),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7135),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7135),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7135),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7135),
    [anon_sym_BSLASHurl] = ACTIONS(7135),
    [anon_sym_BSLASHhref] = ACTIONS(7135),
  },
  [1311] = {
    [sym_command_name] = ACTIONS(7435),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7435),
    [anon_sym_LBRACK] = ACTIONS(7437),
    [anon_sym_RBRACK] = ACTIONS(7437),
    [anon_sym_COMMA] = ACTIONS(7437),
    [anon_sym_EQ] = ACTIONS(7437),
    [anon_sym_LPAREN] = ACTIONS(7437),
    [anon_sym_RPAREN] = ACTIONS(7437),
    [anon_sym_BSLASHpart] = ACTIONS(7435),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHaddpart] = ACTIONS(7435),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHchapter] = ACTIONS(7435),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHaddchap] = ACTIONS(7435),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHsection] = ACTIONS(7435),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHaddsec] = ACTIONS(7435),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHsubsection] = ACTIONS(7435),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7435),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHparagraph] = ACTIONS(7435),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7435),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHitem] = ACTIONS(7435),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7437),
    [anon_sym_LBRACE] = ACTIONS(7437),
    [sym_word] = ACTIONS(7435),
    [sym_placeholder] = ACTIONS(7437),
    [sym_delimiter] = ACTIONS(7437),
    [anon_sym_PLUS] = ACTIONS(7437),
    [anon_sym_DASH] = ACTIONS(7437),
    [anon_sym_STAR] = ACTIONS(7437),
    [anon_sym_SLASH] = ACTIONS(7437),
    [anon_sym_LT] = ACTIONS(7435),
    [anon_sym_GT] = ACTIONS(7435),
    [anon_sym_BANG] = ACTIONS(7435),
    [anon_sym_PIPE] = ACTIONS(7435),
    [anon_sym_COLON] = ACTIONS(7435),
    [anon_sym_SQUOTE] = ACTIONS(7435),
    [anon_sym__] = ACTIONS(7437),
    [anon_sym_CARET] = ACTIONS(7437),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7437),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7437),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7437),
    [anon_sym_DOLLAR] = ACTIONS(7435),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7437),
    [anon_sym_BSLASHleft] = ACTIONS(7435),
    [anon_sym_BSLASHbigl] = ACTIONS(7435),
    [anon_sym_BSLASHBigl] = ACTIONS(7435),
    [anon_sym_BSLASHbiggl] = ACTIONS(7435),
    [anon_sym_BSLASHBiggl] = ACTIONS(7435),
    [anon_sym_BSLASHtext] = ACTIONS(7435),
    [anon_sym_BSLASHintertext] = ACTIONS(7435),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7435),
    [anon_sym_BSLASHbegin] = ACTIONS(7435),
    [anon_sym_BSLASHtitle] = ACTIONS(7435),
    [anon_sym_BSLASHauthor] = ACTIONS(7435),
    [anon_sym_BSLASHusepackage] = ACTIONS(7435),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7435),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7435),
    [anon_sym_BSLASHinclude] = ACTIONS(7435),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7435),
    [anon_sym_BSLASHinput] = ACTIONS(7435),
    [anon_sym_BSLASHsubfile] = ACTIONS(7435),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7435),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7435),
    [anon_sym_BSLASHbibliography] = ACTIONS(7435),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7435),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7435),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7435),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7435),
    [anon_sym_BSLASHimport] = ACTIONS(7435),
    [anon_sym_BSLASHsubimport] = ACTIONS(7435),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7435),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7435),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7435),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7435),
    [anon_sym_BSLASHcaption] = ACTIONS(7435),
    [anon_sym_BSLASHcite] = ACTIONS(7435),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHCite] = ACTIONS(7435),
    [anon_sym_BSLASHnocite] = ACTIONS(7435),
    [anon_sym_BSLASHcitet] = ACTIONS(7435),
    [anon_sym_BSLASHcitep] = ACTIONS(7435),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHciteA] = ACTIONS(7435),
    [anon_sym_BSLASHciteR] = ACTIONS(7435),
    [anon_sym_BSLASHciteS] = ACTIONS(7435),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7435),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7435),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7435),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7435),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHciteyear] = ACTIONS(7435),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcitedate] = ACTIONS(7435),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHciteurl] = ACTIONS(7435),
    [anon_sym_BSLASHfullcite] = ACTIONS(7435),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7435),
    [anon_sym_BSLASHcitealt] = ACTIONS(7435),
    [anon_sym_BSLASHcitealp] = ACTIONS(7435),
    [anon_sym_BSLASHcitetext] = ACTIONS(7435),
    [anon_sym_BSLASHparencite] = ACTIONS(7435),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHParencite] = ACTIONS(7435),
    [anon_sym_BSLASHfootcite] = ACTIONS(7435),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7435),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7435),
    [anon_sym_BSLASHtextcite] = ACTIONS(7435),
    [anon_sym_BSLASHTextcite] = ACTIONS(7435),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7435),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7435),
    [anon_sym_BSLASHsupercite] = ACTIONS(7435),
    [anon_sym_BSLASHautocite] = ACTIONS(7435),
    [anon_sym_BSLASHAutocite] = ACTIONS(7435),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHVolcite] = ACTIONS(7435),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHavolcite] = ACTIONS(7435),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHnotecite] = ACTIONS(7435),
    [anon_sym_BSLASHNotecite] = ACTIONS(7435),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7435),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7435),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7435),
    [anon_sym_BSLASHlabel] = ACTIONS(7435),
    [anon_sym_BSLASHref] = ACTIONS(7435),
    [anon_sym_BSLASHeqref] = ACTIONS(7435),
    [anon_sym_BSLASHvref] = ACTIONS(7435),
    [anon_sym_BSLASHVref] = ACTIONS(7435),
    [anon_sym_BSLASHautoref] = ACTIONS(7435),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHpageref] = ACTIONS(7435),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHautopageref] = ACTIONS(7435),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcref] = ACTIONS(7435),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHCref] = ACTIONS(7435),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcpageref] = ACTIONS(7435),
    [anon_sym_BSLASHCpageref] = ACTIONS(7435),
    [anon_sym_BSLASHnamecref] = ACTIONS(7435),
    [anon_sym_BSLASHnameCref] = ACTIONS(7435),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7435),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7435),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7435),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7435),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7435),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7435),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7435),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7435),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7435),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7435),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7435),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7435),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7435),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7435),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7435),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7435),
    [anon_sym_BSLASHdef] = ACTIONS(7435),
    [anon_sym_BSLASHgdef] = ACTIONS(7435),
    [anon_sym_BSLASHedef] = ACTIONS(7435),
    [anon_sym_BSLASHxdef] = ACTIONS(7435),
    [anon_sym_BSLASHlet] = ACTIONS(7435),
    [anon_sym_BSLASHglet] = ACTIONS(7435),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7435),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7435),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7435),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7435),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7435),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7435),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7435),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7435),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7435),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7435),
    [anon_sym_BSLASHgls] = ACTIONS(7435),
    [anon_sym_BSLASHGls] = ACTIONS(7435),
    [anon_sym_BSLASHGLS] = ACTIONS(7435),
    [anon_sym_BSLASHglspl] = ACTIONS(7435),
    [anon_sym_BSLASHGlspl] = ACTIONS(7435),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7435),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7435),
    [anon_sym_BSLASHglslink] = ACTIONS(7435),
    [anon_sym_BSLASHglstext] = ACTIONS(7435),
    [anon_sym_BSLASHGlstext] = ACTIONS(7435),
    [anon_sym_BSLASHGLStext] = ACTIONS(7435),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7435),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7435),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7435),
    [anon_sym_BSLASHglsplural] = ACTIONS(7435),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7435),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7435),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7435),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7435),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7435),
    [anon_sym_BSLASHglsname] = ACTIONS(7435),
    [anon_sym_BSLASHGlsname] = ACTIONS(7435),
    [anon_sym_BSLASHGLSname] = ACTIONS(7435),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7435),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7435),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7435),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7435),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7435),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7435),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7435),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7435),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7435),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7435),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7435),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7435),
    [anon_sym_BSLASHacrshort] = ACTIONS(7435),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7435),
    [anon_sym_BSLASHACRshort] = ACTIONS(7435),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHacrlong] = ACTIONS(7435),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7435),
    [anon_sym_BSLASHACRlong] = ACTIONS(7435),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7435),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7435),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7435),
    [anon_sym_BSLASHacrfull] = ACTIONS(7435),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7435),
    [anon_sym_BSLASHACRfull] = ACTIONS(7435),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHacs] = ACTIONS(7435),
    [anon_sym_BSLASHAcs] = ACTIONS(7435),
    [anon_sym_BSLASHacsp] = ACTIONS(7435),
    [anon_sym_BSLASHAcsp] = ACTIONS(7435),
    [anon_sym_BSLASHacl] = ACTIONS(7435),
    [anon_sym_BSLASHAcl] = ACTIONS(7435),
    [anon_sym_BSLASHaclp] = ACTIONS(7435),
    [anon_sym_BSLASHAclp] = ACTIONS(7435),
    [anon_sym_BSLASHacf] = ACTIONS(7435),
    [anon_sym_BSLASHAcf] = ACTIONS(7435),
    [anon_sym_BSLASHacfp] = ACTIONS(7435),
    [anon_sym_BSLASHAcfp] = ACTIONS(7435),
    [anon_sym_BSLASHac] = ACTIONS(7435),
    [anon_sym_BSLASHAc] = ACTIONS(7435),
    [anon_sym_BSLASHacp] = ACTIONS(7435),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7435),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7435),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7435),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7435),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7435),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7435),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7435),
    [anon_sym_BSLASHcolor] = ACTIONS(7435),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7435),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7435),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7435),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7435),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7435),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7435),
    [anon_sym_BSLASHurl] = ACTIONS(7435),
    [anon_sym_BSLASHhref] = ACTIONS(7435),
  },
  [1312] = {
    [sym_command_name] = ACTIONS(7439),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7439),
    [anon_sym_LBRACK] = ACTIONS(7441),
    [anon_sym_RBRACK] = ACTIONS(7441),
    [anon_sym_COMMA] = ACTIONS(7441),
    [anon_sym_EQ] = ACTIONS(7441),
    [anon_sym_LPAREN] = ACTIONS(7441),
    [anon_sym_RPAREN] = ACTIONS(7441),
    [anon_sym_BSLASHpart] = ACTIONS(7439),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHaddpart] = ACTIONS(7439),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHchapter] = ACTIONS(7439),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHaddchap] = ACTIONS(7439),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHsection] = ACTIONS(7439),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHaddsec] = ACTIONS(7439),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHsubsection] = ACTIONS(7439),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7439),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHparagraph] = ACTIONS(7439),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7439),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHitem] = ACTIONS(7439),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7441),
    [anon_sym_LBRACE] = ACTIONS(7441),
    [sym_word] = ACTIONS(7439),
    [sym_placeholder] = ACTIONS(7441),
    [sym_delimiter] = ACTIONS(7441),
    [anon_sym_PLUS] = ACTIONS(7441),
    [anon_sym_DASH] = ACTIONS(7441),
    [anon_sym_STAR] = ACTIONS(7441),
    [anon_sym_SLASH] = ACTIONS(7441),
    [anon_sym_LT] = ACTIONS(7439),
    [anon_sym_GT] = ACTIONS(7439),
    [anon_sym_BANG] = ACTIONS(7439),
    [anon_sym_PIPE] = ACTIONS(7439),
    [anon_sym_COLON] = ACTIONS(7439),
    [anon_sym_SQUOTE] = ACTIONS(7439),
    [anon_sym__] = ACTIONS(7441),
    [anon_sym_CARET] = ACTIONS(7441),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7441),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7441),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7441),
    [anon_sym_DOLLAR] = ACTIONS(7439),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7441),
    [anon_sym_BSLASHleft] = ACTIONS(7439),
    [anon_sym_BSLASHbigl] = ACTIONS(7439),
    [anon_sym_BSLASHBigl] = ACTIONS(7439),
    [anon_sym_BSLASHbiggl] = ACTIONS(7439),
    [anon_sym_BSLASHBiggl] = ACTIONS(7439),
    [anon_sym_BSLASHtext] = ACTIONS(7439),
    [anon_sym_BSLASHintertext] = ACTIONS(7439),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7439),
    [anon_sym_BSLASHbegin] = ACTIONS(7439),
    [anon_sym_BSLASHtitle] = ACTIONS(7439),
    [anon_sym_BSLASHauthor] = ACTIONS(7439),
    [anon_sym_BSLASHusepackage] = ACTIONS(7439),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7439),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7439),
    [anon_sym_BSLASHinclude] = ACTIONS(7439),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7439),
    [anon_sym_BSLASHinput] = ACTIONS(7439),
    [anon_sym_BSLASHsubfile] = ACTIONS(7439),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7439),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7439),
    [anon_sym_BSLASHbibliography] = ACTIONS(7439),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7439),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7439),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7439),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7439),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7439),
    [anon_sym_BSLASHimport] = ACTIONS(7439),
    [anon_sym_BSLASHsubimport] = ACTIONS(7439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7439),
    [anon_sym_BSLASHcaption] = ACTIONS(7439),
    [anon_sym_BSLASHcite] = ACTIONS(7439),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHCite] = ACTIONS(7439),
    [anon_sym_BSLASHnocite] = ACTIONS(7439),
    [anon_sym_BSLASHcitet] = ACTIONS(7439),
    [anon_sym_BSLASHcitep] = ACTIONS(7439),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHciteA] = ACTIONS(7439),
    [anon_sym_BSLASHciteR] = ACTIONS(7439),
    [anon_sym_BSLASHciteS] = ACTIONS(7439),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7439),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7439),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7439),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7439),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHciteyear] = ACTIONS(7439),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcitedate] = ACTIONS(7439),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHciteurl] = ACTIONS(7439),
    [anon_sym_BSLASHfullcite] = ACTIONS(7439),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7439),
    [anon_sym_BSLASHcitealt] = ACTIONS(7439),
    [anon_sym_BSLASHcitealp] = ACTIONS(7439),
    [anon_sym_BSLASHcitetext] = ACTIONS(7439),
    [anon_sym_BSLASHparencite] = ACTIONS(7439),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHParencite] = ACTIONS(7439),
    [anon_sym_BSLASHfootcite] = ACTIONS(7439),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7439),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7439),
    [anon_sym_BSLASHtextcite] = ACTIONS(7439),
    [anon_sym_BSLASHTextcite] = ACTIONS(7439),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7439),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7439),
    [anon_sym_BSLASHsupercite] = ACTIONS(7439),
    [anon_sym_BSLASHautocite] = ACTIONS(7439),
    [anon_sym_BSLASHAutocite] = ACTIONS(7439),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHVolcite] = ACTIONS(7439),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHavolcite] = ACTIONS(7439),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHnotecite] = ACTIONS(7439),
    [anon_sym_BSLASHNotecite] = ACTIONS(7439),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7439),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7439),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7439),
    [anon_sym_BSLASHlabel] = ACTIONS(7439),
    [anon_sym_BSLASHref] = ACTIONS(7439),
    [anon_sym_BSLASHeqref] = ACTIONS(7439),
    [anon_sym_BSLASHvref] = ACTIONS(7439),
    [anon_sym_BSLASHVref] = ACTIONS(7439),
    [anon_sym_BSLASHautoref] = ACTIONS(7439),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHpageref] = ACTIONS(7439),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHautopageref] = ACTIONS(7439),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcref] = ACTIONS(7439),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHCref] = ACTIONS(7439),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcpageref] = ACTIONS(7439),
    [anon_sym_BSLASHCpageref] = ACTIONS(7439),
    [anon_sym_BSLASHnamecref] = ACTIONS(7439),
    [anon_sym_BSLASHnameCref] = ACTIONS(7439),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7439),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7439),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7439),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7439),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7439),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7439),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7439),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7439),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7439),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7439),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7439),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7439),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7439),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7439),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7439),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7439),
    [anon_sym_BSLASHdef] = ACTIONS(7439),
    [anon_sym_BSLASHgdef] = ACTIONS(7439),
    [anon_sym_BSLASHedef] = ACTIONS(7439),
    [anon_sym_BSLASHxdef] = ACTIONS(7439),
    [anon_sym_BSLASHlet] = ACTIONS(7439),
    [anon_sym_BSLASHglet] = ACTIONS(7439),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7439),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7439),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7439),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7439),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7439),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7439),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7439),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7439),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7439),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7439),
    [anon_sym_BSLASHgls] = ACTIONS(7439),
    [anon_sym_BSLASHGls] = ACTIONS(7439),
    [anon_sym_BSLASHGLS] = ACTIONS(7439),
    [anon_sym_BSLASHglspl] = ACTIONS(7439),
    [anon_sym_BSLASHGlspl] = ACTIONS(7439),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7439),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7439),
    [anon_sym_BSLASHglslink] = ACTIONS(7439),
    [anon_sym_BSLASHglstext] = ACTIONS(7439),
    [anon_sym_BSLASHGlstext] = ACTIONS(7439),
    [anon_sym_BSLASHGLStext] = ACTIONS(7439),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7439),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7439),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7439),
    [anon_sym_BSLASHglsplural] = ACTIONS(7439),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7439),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7439),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7439),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7439),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7439),
    [anon_sym_BSLASHglsname] = ACTIONS(7439),
    [anon_sym_BSLASHGlsname] = ACTIONS(7439),
    [anon_sym_BSLASHGLSname] = ACTIONS(7439),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7439),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7439),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7439),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7439),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7439),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7439),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7439),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7439),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7439),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7439),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7439),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7439),
    [anon_sym_BSLASHacrshort] = ACTIONS(7439),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7439),
    [anon_sym_BSLASHACRshort] = ACTIONS(7439),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHacrlong] = ACTIONS(7439),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7439),
    [anon_sym_BSLASHACRlong] = ACTIONS(7439),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7439),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7439),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7439),
    [anon_sym_BSLASHacrfull] = ACTIONS(7439),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7439),
    [anon_sym_BSLASHACRfull] = ACTIONS(7439),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHacs] = ACTIONS(7439),
    [anon_sym_BSLASHAcs] = ACTIONS(7439),
    [anon_sym_BSLASHacsp] = ACTIONS(7439),
    [anon_sym_BSLASHAcsp] = ACTIONS(7439),
    [anon_sym_BSLASHacl] = ACTIONS(7439),
    [anon_sym_BSLASHAcl] = ACTIONS(7439),
    [anon_sym_BSLASHaclp] = ACTIONS(7439),
    [anon_sym_BSLASHAclp] = ACTIONS(7439),
    [anon_sym_BSLASHacf] = ACTIONS(7439),
    [anon_sym_BSLASHAcf] = ACTIONS(7439),
    [anon_sym_BSLASHacfp] = ACTIONS(7439),
    [anon_sym_BSLASHAcfp] = ACTIONS(7439),
    [anon_sym_BSLASHac] = ACTIONS(7439),
    [anon_sym_BSLASHAc] = ACTIONS(7439),
    [anon_sym_BSLASHacp] = ACTIONS(7439),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7439),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7439),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7439),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7439),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7439),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7439),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7439),
    [anon_sym_BSLASHcolor] = ACTIONS(7439),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7439),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7439),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7439),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7439),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7439),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7439),
    [anon_sym_BSLASHurl] = ACTIONS(7439),
    [anon_sym_BSLASHhref] = ACTIONS(7439),
  },
  [1313] = {
    [sym_command_name] = ACTIONS(7443),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7443),
    [anon_sym_LBRACK] = ACTIONS(7445),
    [anon_sym_RBRACK] = ACTIONS(7445),
    [anon_sym_COMMA] = ACTIONS(7445),
    [anon_sym_EQ] = ACTIONS(7445),
    [anon_sym_LPAREN] = ACTIONS(7445),
    [anon_sym_RPAREN] = ACTIONS(7445),
    [anon_sym_BSLASHpart] = ACTIONS(7443),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHaddpart] = ACTIONS(7443),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHchapter] = ACTIONS(7443),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHaddchap] = ACTIONS(7443),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHsection] = ACTIONS(7443),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHaddsec] = ACTIONS(7443),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHsubsection] = ACTIONS(7443),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7443),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHparagraph] = ACTIONS(7443),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7443),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHitem] = ACTIONS(7443),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7445),
    [anon_sym_LBRACE] = ACTIONS(7445),
    [sym_word] = ACTIONS(7443),
    [sym_placeholder] = ACTIONS(7445),
    [sym_delimiter] = ACTIONS(7445),
    [anon_sym_PLUS] = ACTIONS(7445),
    [anon_sym_DASH] = ACTIONS(7445),
    [anon_sym_STAR] = ACTIONS(7445),
    [anon_sym_SLASH] = ACTIONS(7445),
    [anon_sym_LT] = ACTIONS(7443),
    [anon_sym_GT] = ACTIONS(7443),
    [anon_sym_BANG] = ACTIONS(7443),
    [anon_sym_PIPE] = ACTIONS(7443),
    [anon_sym_COLON] = ACTIONS(7443),
    [anon_sym_SQUOTE] = ACTIONS(7443),
    [anon_sym__] = ACTIONS(7445),
    [anon_sym_CARET] = ACTIONS(7445),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7445),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7445),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7445),
    [anon_sym_DOLLAR] = ACTIONS(7443),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7445),
    [anon_sym_BSLASHleft] = ACTIONS(7443),
    [anon_sym_BSLASHbigl] = ACTIONS(7443),
    [anon_sym_BSLASHBigl] = ACTIONS(7443),
    [anon_sym_BSLASHbiggl] = ACTIONS(7443),
    [anon_sym_BSLASHBiggl] = ACTIONS(7443),
    [anon_sym_BSLASHtext] = ACTIONS(7443),
    [anon_sym_BSLASHintertext] = ACTIONS(7443),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7443),
    [anon_sym_BSLASHbegin] = ACTIONS(7443),
    [anon_sym_BSLASHtitle] = ACTIONS(7443),
    [anon_sym_BSLASHauthor] = ACTIONS(7443),
    [anon_sym_BSLASHusepackage] = ACTIONS(7443),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7443),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7443),
    [anon_sym_BSLASHinclude] = ACTIONS(7443),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7443),
    [anon_sym_BSLASHinput] = ACTIONS(7443),
    [anon_sym_BSLASHsubfile] = ACTIONS(7443),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7443),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7443),
    [anon_sym_BSLASHbibliography] = ACTIONS(7443),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7443),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7443),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7443),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7443),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7443),
    [anon_sym_BSLASHimport] = ACTIONS(7443),
    [anon_sym_BSLASHsubimport] = ACTIONS(7443),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7443),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7443),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7443),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7443),
    [anon_sym_BSLASHcaption] = ACTIONS(7443),
    [anon_sym_BSLASHcite] = ACTIONS(7443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHCite] = ACTIONS(7443),
    [anon_sym_BSLASHnocite] = ACTIONS(7443),
    [anon_sym_BSLASHcitet] = ACTIONS(7443),
    [anon_sym_BSLASHcitep] = ACTIONS(7443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHciteA] = ACTIONS(7443),
    [anon_sym_BSLASHciteR] = ACTIONS(7443),
    [anon_sym_BSLASHciteS] = ACTIONS(7443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHciteyear] = ACTIONS(7443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcitedate] = ACTIONS(7443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHciteurl] = ACTIONS(7443),
    [anon_sym_BSLASHfullcite] = ACTIONS(7443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7443),
    [anon_sym_BSLASHcitealt] = ACTIONS(7443),
    [anon_sym_BSLASHcitealp] = ACTIONS(7443),
    [anon_sym_BSLASHcitetext] = ACTIONS(7443),
    [anon_sym_BSLASHparencite] = ACTIONS(7443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHParencite] = ACTIONS(7443),
    [anon_sym_BSLASHfootcite] = ACTIONS(7443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7443),
    [anon_sym_BSLASHtextcite] = ACTIONS(7443),
    [anon_sym_BSLASHTextcite] = ACTIONS(7443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7443),
    [anon_sym_BSLASHsupercite] = ACTIONS(7443),
    [anon_sym_BSLASHautocite] = ACTIONS(7443),
    [anon_sym_BSLASHAutocite] = ACTIONS(7443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHVolcite] = ACTIONS(7443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHavolcite] = ACTIONS(7443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHnotecite] = ACTIONS(7443),
    [anon_sym_BSLASHNotecite] = ACTIONS(7443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7443),
    [anon_sym_BSLASHlabel] = ACTIONS(7443),
    [anon_sym_BSLASHref] = ACTIONS(7443),
    [anon_sym_BSLASHeqref] = ACTIONS(7443),
    [anon_sym_BSLASHvref] = ACTIONS(7443),
    [anon_sym_BSLASHVref] = ACTIONS(7443),
    [anon_sym_BSLASHautoref] = ACTIONS(7443),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHpageref] = ACTIONS(7443),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHautopageref] = ACTIONS(7443),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcref] = ACTIONS(7443),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHCref] = ACTIONS(7443),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcpageref] = ACTIONS(7443),
    [anon_sym_BSLASHCpageref] = ACTIONS(7443),
    [anon_sym_BSLASHnamecref] = ACTIONS(7443),
    [anon_sym_BSLASHnameCref] = ACTIONS(7443),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7443),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7443),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7443),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7443),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7443),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7443),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7443),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7443),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7443),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7443),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7443),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7443),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7443),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7443),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7443),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7443),
    [anon_sym_BSLASHdef] = ACTIONS(7443),
    [anon_sym_BSLASHgdef] = ACTIONS(7443),
    [anon_sym_BSLASHedef] = ACTIONS(7443),
    [anon_sym_BSLASHxdef] = ACTIONS(7443),
    [anon_sym_BSLASHlet] = ACTIONS(7443),
    [anon_sym_BSLASHglet] = ACTIONS(7443),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7443),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7443),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7443),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7443),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7443),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7443),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7443),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7443),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7443),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7443),
    [anon_sym_BSLASHgls] = ACTIONS(7443),
    [anon_sym_BSLASHGls] = ACTIONS(7443),
    [anon_sym_BSLASHGLS] = ACTIONS(7443),
    [anon_sym_BSLASHglspl] = ACTIONS(7443),
    [anon_sym_BSLASHGlspl] = ACTIONS(7443),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7443),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7443),
    [anon_sym_BSLASHglslink] = ACTIONS(7443),
    [anon_sym_BSLASHglstext] = ACTIONS(7443),
    [anon_sym_BSLASHGlstext] = ACTIONS(7443),
    [anon_sym_BSLASHGLStext] = ACTIONS(7443),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7443),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7443),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7443),
    [anon_sym_BSLASHglsplural] = ACTIONS(7443),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7443),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7443),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7443),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7443),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7443),
    [anon_sym_BSLASHglsname] = ACTIONS(7443),
    [anon_sym_BSLASHGlsname] = ACTIONS(7443),
    [anon_sym_BSLASHGLSname] = ACTIONS(7443),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7443),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7443),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7443),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7443),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7443),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7443),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7443),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7443),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7443),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7443),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7443),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7443),
    [anon_sym_BSLASHacrshort] = ACTIONS(7443),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7443),
    [anon_sym_BSLASHACRshort] = ACTIONS(7443),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHacrlong] = ACTIONS(7443),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7443),
    [anon_sym_BSLASHACRlong] = ACTIONS(7443),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7443),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7443),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7443),
    [anon_sym_BSLASHacrfull] = ACTIONS(7443),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7443),
    [anon_sym_BSLASHACRfull] = ACTIONS(7443),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHacs] = ACTIONS(7443),
    [anon_sym_BSLASHAcs] = ACTIONS(7443),
    [anon_sym_BSLASHacsp] = ACTIONS(7443),
    [anon_sym_BSLASHAcsp] = ACTIONS(7443),
    [anon_sym_BSLASHacl] = ACTIONS(7443),
    [anon_sym_BSLASHAcl] = ACTIONS(7443),
    [anon_sym_BSLASHaclp] = ACTIONS(7443),
    [anon_sym_BSLASHAclp] = ACTIONS(7443),
    [anon_sym_BSLASHacf] = ACTIONS(7443),
    [anon_sym_BSLASHAcf] = ACTIONS(7443),
    [anon_sym_BSLASHacfp] = ACTIONS(7443),
    [anon_sym_BSLASHAcfp] = ACTIONS(7443),
    [anon_sym_BSLASHac] = ACTIONS(7443),
    [anon_sym_BSLASHAc] = ACTIONS(7443),
    [anon_sym_BSLASHacp] = ACTIONS(7443),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7443),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7443),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7443),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7443),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7443),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7443),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7443),
    [anon_sym_BSLASHcolor] = ACTIONS(7443),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7443),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7443),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7443),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7443),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7443),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7443),
    [anon_sym_BSLASHurl] = ACTIONS(7443),
    [anon_sym_BSLASHhref] = ACTIONS(7443),
  },
  [1314] = {
    [sym_command_name] = ACTIONS(7447),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7447),
    [anon_sym_LBRACK] = ACTIONS(7449),
    [anon_sym_RBRACK] = ACTIONS(7449),
    [anon_sym_COMMA] = ACTIONS(7449),
    [anon_sym_EQ] = ACTIONS(7449),
    [anon_sym_LPAREN] = ACTIONS(7449),
    [anon_sym_RPAREN] = ACTIONS(7449),
    [anon_sym_BSLASHpart] = ACTIONS(7447),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHaddpart] = ACTIONS(7447),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHchapter] = ACTIONS(7447),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHaddchap] = ACTIONS(7447),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHsection] = ACTIONS(7447),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHaddsec] = ACTIONS(7447),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHsubsection] = ACTIONS(7447),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7447),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHparagraph] = ACTIONS(7447),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7447),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHitem] = ACTIONS(7447),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7449),
    [anon_sym_LBRACE] = ACTIONS(7449),
    [sym_word] = ACTIONS(7447),
    [sym_placeholder] = ACTIONS(7449),
    [sym_delimiter] = ACTIONS(7449),
    [anon_sym_PLUS] = ACTIONS(7449),
    [anon_sym_DASH] = ACTIONS(7449),
    [anon_sym_STAR] = ACTIONS(7449),
    [anon_sym_SLASH] = ACTIONS(7449),
    [anon_sym_LT] = ACTIONS(7447),
    [anon_sym_GT] = ACTIONS(7447),
    [anon_sym_BANG] = ACTIONS(7447),
    [anon_sym_PIPE] = ACTIONS(7447),
    [anon_sym_COLON] = ACTIONS(7447),
    [anon_sym_SQUOTE] = ACTIONS(7447),
    [anon_sym__] = ACTIONS(7449),
    [anon_sym_CARET] = ACTIONS(7449),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7449),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7449),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7449),
    [anon_sym_DOLLAR] = ACTIONS(7447),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7449),
    [anon_sym_BSLASHleft] = ACTIONS(7447),
    [anon_sym_BSLASHbigl] = ACTIONS(7447),
    [anon_sym_BSLASHBigl] = ACTIONS(7447),
    [anon_sym_BSLASHbiggl] = ACTIONS(7447),
    [anon_sym_BSLASHBiggl] = ACTIONS(7447),
    [anon_sym_BSLASHtext] = ACTIONS(7447),
    [anon_sym_BSLASHintertext] = ACTIONS(7447),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7447),
    [anon_sym_BSLASHbegin] = ACTIONS(7447),
    [anon_sym_BSLASHtitle] = ACTIONS(7447),
    [anon_sym_BSLASHauthor] = ACTIONS(7447),
    [anon_sym_BSLASHusepackage] = ACTIONS(7447),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7447),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7447),
    [anon_sym_BSLASHinclude] = ACTIONS(7447),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7447),
    [anon_sym_BSLASHinput] = ACTIONS(7447),
    [anon_sym_BSLASHsubfile] = ACTIONS(7447),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7447),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7447),
    [anon_sym_BSLASHbibliography] = ACTIONS(7447),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7447),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7447),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7447),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7447),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7447),
    [anon_sym_BSLASHimport] = ACTIONS(7447),
    [anon_sym_BSLASHsubimport] = ACTIONS(7447),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7447),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7447),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7447),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7447),
    [anon_sym_BSLASHcaption] = ACTIONS(7447),
    [anon_sym_BSLASHcite] = ACTIONS(7447),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHCite] = ACTIONS(7447),
    [anon_sym_BSLASHnocite] = ACTIONS(7447),
    [anon_sym_BSLASHcitet] = ACTIONS(7447),
    [anon_sym_BSLASHcitep] = ACTIONS(7447),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHciteA] = ACTIONS(7447),
    [anon_sym_BSLASHciteR] = ACTIONS(7447),
    [anon_sym_BSLASHciteS] = ACTIONS(7447),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7447),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7447),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7447),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7447),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHciteyear] = ACTIONS(7447),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcitedate] = ACTIONS(7447),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHciteurl] = ACTIONS(7447),
    [anon_sym_BSLASHfullcite] = ACTIONS(7447),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7447),
    [anon_sym_BSLASHcitealt] = ACTIONS(7447),
    [anon_sym_BSLASHcitealp] = ACTIONS(7447),
    [anon_sym_BSLASHcitetext] = ACTIONS(7447),
    [anon_sym_BSLASHparencite] = ACTIONS(7447),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHParencite] = ACTIONS(7447),
    [anon_sym_BSLASHfootcite] = ACTIONS(7447),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7447),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7447),
    [anon_sym_BSLASHtextcite] = ACTIONS(7447),
    [anon_sym_BSLASHTextcite] = ACTIONS(7447),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7447),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7447),
    [anon_sym_BSLASHsupercite] = ACTIONS(7447),
    [anon_sym_BSLASHautocite] = ACTIONS(7447),
    [anon_sym_BSLASHAutocite] = ACTIONS(7447),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHVolcite] = ACTIONS(7447),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHavolcite] = ACTIONS(7447),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHnotecite] = ACTIONS(7447),
    [anon_sym_BSLASHNotecite] = ACTIONS(7447),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7447),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7447),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7447),
    [anon_sym_BSLASHlabel] = ACTIONS(7447),
    [anon_sym_BSLASHref] = ACTIONS(7447),
    [anon_sym_BSLASHeqref] = ACTIONS(7447),
    [anon_sym_BSLASHvref] = ACTIONS(7447),
    [anon_sym_BSLASHVref] = ACTIONS(7447),
    [anon_sym_BSLASHautoref] = ACTIONS(7447),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHpageref] = ACTIONS(7447),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHautopageref] = ACTIONS(7447),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcref] = ACTIONS(7447),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHCref] = ACTIONS(7447),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcpageref] = ACTIONS(7447),
    [anon_sym_BSLASHCpageref] = ACTIONS(7447),
    [anon_sym_BSLASHnamecref] = ACTIONS(7447),
    [anon_sym_BSLASHnameCref] = ACTIONS(7447),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7447),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7447),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7447),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7447),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7447),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7447),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7447),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7447),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7447),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7447),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7447),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7447),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7447),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7447),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7447),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7447),
    [anon_sym_BSLASHdef] = ACTIONS(7447),
    [anon_sym_BSLASHgdef] = ACTIONS(7447),
    [anon_sym_BSLASHedef] = ACTIONS(7447),
    [anon_sym_BSLASHxdef] = ACTIONS(7447),
    [anon_sym_BSLASHlet] = ACTIONS(7447),
    [anon_sym_BSLASHglet] = ACTIONS(7447),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7447),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7447),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7447),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7447),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7447),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7447),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7447),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7447),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7447),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7447),
    [anon_sym_BSLASHgls] = ACTIONS(7447),
    [anon_sym_BSLASHGls] = ACTIONS(7447),
    [anon_sym_BSLASHGLS] = ACTIONS(7447),
    [anon_sym_BSLASHglspl] = ACTIONS(7447),
    [anon_sym_BSLASHGlspl] = ACTIONS(7447),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7447),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7447),
    [anon_sym_BSLASHglslink] = ACTIONS(7447),
    [anon_sym_BSLASHglstext] = ACTIONS(7447),
    [anon_sym_BSLASHGlstext] = ACTIONS(7447),
    [anon_sym_BSLASHGLStext] = ACTIONS(7447),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7447),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7447),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7447),
    [anon_sym_BSLASHglsplural] = ACTIONS(7447),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7447),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7447),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7447),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7447),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7447),
    [anon_sym_BSLASHglsname] = ACTIONS(7447),
    [anon_sym_BSLASHGlsname] = ACTIONS(7447),
    [anon_sym_BSLASHGLSname] = ACTIONS(7447),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7447),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7447),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7447),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7447),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7447),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7447),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7447),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7447),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7447),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7447),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7447),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7447),
    [anon_sym_BSLASHacrshort] = ACTIONS(7447),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7447),
    [anon_sym_BSLASHACRshort] = ACTIONS(7447),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHacrlong] = ACTIONS(7447),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7447),
    [anon_sym_BSLASHACRlong] = ACTIONS(7447),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7447),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7447),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7447),
    [anon_sym_BSLASHacrfull] = ACTIONS(7447),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7447),
    [anon_sym_BSLASHACRfull] = ACTIONS(7447),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHacs] = ACTIONS(7447),
    [anon_sym_BSLASHAcs] = ACTIONS(7447),
    [anon_sym_BSLASHacsp] = ACTIONS(7447),
    [anon_sym_BSLASHAcsp] = ACTIONS(7447),
    [anon_sym_BSLASHacl] = ACTIONS(7447),
    [anon_sym_BSLASHAcl] = ACTIONS(7447),
    [anon_sym_BSLASHaclp] = ACTIONS(7447),
    [anon_sym_BSLASHAclp] = ACTIONS(7447),
    [anon_sym_BSLASHacf] = ACTIONS(7447),
    [anon_sym_BSLASHAcf] = ACTIONS(7447),
    [anon_sym_BSLASHacfp] = ACTIONS(7447),
    [anon_sym_BSLASHAcfp] = ACTIONS(7447),
    [anon_sym_BSLASHac] = ACTIONS(7447),
    [anon_sym_BSLASHAc] = ACTIONS(7447),
    [anon_sym_BSLASHacp] = ACTIONS(7447),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7447),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7447),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7447),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7447),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7447),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7447),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7447),
    [anon_sym_BSLASHcolor] = ACTIONS(7447),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7447),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7447),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7447),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7447),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7447),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7447),
    [anon_sym_BSLASHurl] = ACTIONS(7447),
    [anon_sym_BSLASHhref] = ACTIONS(7447),
  },
  [1315] = {
    [sym_command_name] = ACTIONS(7451),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7451),
    [anon_sym_LBRACK] = ACTIONS(7453),
    [anon_sym_RBRACK] = ACTIONS(7453),
    [anon_sym_COMMA] = ACTIONS(7453),
    [anon_sym_EQ] = ACTIONS(7453),
    [anon_sym_LPAREN] = ACTIONS(7453),
    [anon_sym_RPAREN] = ACTIONS(7453),
    [anon_sym_BSLASHpart] = ACTIONS(7451),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHaddpart] = ACTIONS(7451),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHchapter] = ACTIONS(7451),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHaddchap] = ACTIONS(7451),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHsection] = ACTIONS(7451),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHaddsec] = ACTIONS(7451),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHsubsection] = ACTIONS(7451),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7451),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHparagraph] = ACTIONS(7451),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7451),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHitem] = ACTIONS(7451),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7453),
    [anon_sym_LBRACE] = ACTIONS(7453),
    [sym_word] = ACTIONS(7451),
    [sym_placeholder] = ACTIONS(7453),
    [sym_delimiter] = ACTIONS(7453),
    [anon_sym_PLUS] = ACTIONS(7453),
    [anon_sym_DASH] = ACTIONS(7453),
    [anon_sym_STAR] = ACTIONS(7453),
    [anon_sym_SLASH] = ACTIONS(7453),
    [anon_sym_LT] = ACTIONS(7451),
    [anon_sym_GT] = ACTIONS(7451),
    [anon_sym_BANG] = ACTIONS(7451),
    [anon_sym_PIPE] = ACTIONS(7451),
    [anon_sym_COLON] = ACTIONS(7451),
    [anon_sym_SQUOTE] = ACTIONS(7451),
    [anon_sym__] = ACTIONS(7453),
    [anon_sym_CARET] = ACTIONS(7453),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7453),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7453),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7453),
    [anon_sym_DOLLAR] = ACTIONS(7451),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7453),
    [anon_sym_BSLASHleft] = ACTIONS(7451),
    [anon_sym_BSLASHbigl] = ACTIONS(7451),
    [anon_sym_BSLASHBigl] = ACTIONS(7451),
    [anon_sym_BSLASHbiggl] = ACTIONS(7451),
    [anon_sym_BSLASHBiggl] = ACTIONS(7451),
    [anon_sym_BSLASHtext] = ACTIONS(7451),
    [anon_sym_BSLASHintertext] = ACTIONS(7451),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7451),
    [anon_sym_BSLASHbegin] = ACTIONS(7451),
    [anon_sym_BSLASHtitle] = ACTIONS(7451),
    [anon_sym_BSLASHauthor] = ACTIONS(7451),
    [anon_sym_BSLASHusepackage] = ACTIONS(7451),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7451),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7451),
    [anon_sym_BSLASHinclude] = ACTIONS(7451),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7451),
    [anon_sym_BSLASHinput] = ACTIONS(7451),
    [anon_sym_BSLASHsubfile] = ACTIONS(7451),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7451),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7451),
    [anon_sym_BSLASHbibliography] = ACTIONS(7451),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7451),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7451),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7451),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7451),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7451),
    [anon_sym_BSLASHimport] = ACTIONS(7451),
    [anon_sym_BSLASHsubimport] = ACTIONS(7451),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7451),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7451),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7451),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7451),
    [anon_sym_BSLASHcaption] = ACTIONS(7451),
    [anon_sym_BSLASHcite] = ACTIONS(7451),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHCite] = ACTIONS(7451),
    [anon_sym_BSLASHnocite] = ACTIONS(7451),
    [anon_sym_BSLASHcitet] = ACTIONS(7451),
    [anon_sym_BSLASHcitep] = ACTIONS(7451),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHciteA] = ACTIONS(7451),
    [anon_sym_BSLASHciteR] = ACTIONS(7451),
    [anon_sym_BSLASHciteS] = ACTIONS(7451),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7451),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7451),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7451),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7451),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHciteyear] = ACTIONS(7451),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcitedate] = ACTIONS(7451),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHciteurl] = ACTIONS(7451),
    [anon_sym_BSLASHfullcite] = ACTIONS(7451),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7451),
    [anon_sym_BSLASHcitealt] = ACTIONS(7451),
    [anon_sym_BSLASHcitealp] = ACTIONS(7451),
    [anon_sym_BSLASHcitetext] = ACTIONS(7451),
    [anon_sym_BSLASHparencite] = ACTIONS(7451),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHParencite] = ACTIONS(7451),
    [anon_sym_BSLASHfootcite] = ACTIONS(7451),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7451),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7451),
    [anon_sym_BSLASHtextcite] = ACTIONS(7451),
    [anon_sym_BSLASHTextcite] = ACTIONS(7451),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7451),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7451),
    [anon_sym_BSLASHsupercite] = ACTIONS(7451),
    [anon_sym_BSLASHautocite] = ACTIONS(7451),
    [anon_sym_BSLASHAutocite] = ACTIONS(7451),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHVolcite] = ACTIONS(7451),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHavolcite] = ACTIONS(7451),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHnotecite] = ACTIONS(7451),
    [anon_sym_BSLASHNotecite] = ACTIONS(7451),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7451),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7451),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7451),
    [anon_sym_BSLASHlabel] = ACTIONS(7451),
    [anon_sym_BSLASHref] = ACTIONS(7451),
    [anon_sym_BSLASHeqref] = ACTIONS(7451),
    [anon_sym_BSLASHvref] = ACTIONS(7451),
    [anon_sym_BSLASHVref] = ACTIONS(7451),
    [anon_sym_BSLASHautoref] = ACTIONS(7451),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHpageref] = ACTIONS(7451),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHautopageref] = ACTIONS(7451),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcref] = ACTIONS(7451),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHCref] = ACTIONS(7451),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcpageref] = ACTIONS(7451),
    [anon_sym_BSLASHCpageref] = ACTIONS(7451),
    [anon_sym_BSLASHnamecref] = ACTIONS(7451),
    [anon_sym_BSLASHnameCref] = ACTIONS(7451),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7451),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7451),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7451),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7451),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7451),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7451),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7451),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7451),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7451),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7451),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7451),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7451),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7451),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7451),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7451),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7451),
    [anon_sym_BSLASHdef] = ACTIONS(7451),
    [anon_sym_BSLASHgdef] = ACTIONS(7451),
    [anon_sym_BSLASHedef] = ACTIONS(7451),
    [anon_sym_BSLASHxdef] = ACTIONS(7451),
    [anon_sym_BSLASHlet] = ACTIONS(7451),
    [anon_sym_BSLASHglet] = ACTIONS(7451),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7451),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7451),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7451),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7451),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7451),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7451),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7451),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7451),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7451),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7451),
    [anon_sym_BSLASHgls] = ACTIONS(7451),
    [anon_sym_BSLASHGls] = ACTIONS(7451),
    [anon_sym_BSLASHGLS] = ACTIONS(7451),
    [anon_sym_BSLASHglspl] = ACTIONS(7451),
    [anon_sym_BSLASHGlspl] = ACTIONS(7451),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7451),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7451),
    [anon_sym_BSLASHglslink] = ACTIONS(7451),
    [anon_sym_BSLASHglstext] = ACTIONS(7451),
    [anon_sym_BSLASHGlstext] = ACTIONS(7451),
    [anon_sym_BSLASHGLStext] = ACTIONS(7451),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7451),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7451),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7451),
    [anon_sym_BSLASHglsplural] = ACTIONS(7451),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7451),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7451),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7451),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7451),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7451),
    [anon_sym_BSLASHglsname] = ACTIONS(7451),
    [anon_sym_BSLASHGlsname] = ACTIONS(7451),
    [anon_sym_BSLASHGLSname] = ACTIONS(7451),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7451),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7451),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7451),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7451),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7451),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7451),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7451),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7451),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7451),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7451),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7451),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7451),
    [anon_sym_BSLASHacrshort] = ACTIONS(7451),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7451),
    [anon_sym_BSLASHACRshort] = ACTIONS(7451),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHacrlong] = ACTIONS(7451),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7451),
    [anon_sym_BSLASHACRlong] = ACTIONS(7451),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7451),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7451),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7451),
    [anon_sym_BSLASHacrfull] = ACTIONS(7451),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7451),
    [anon_sym_BSLASHACRfull] = ACTIONS(7451),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHacs] = ACTIONS(7451),
    [anon_sym_BSLASHAcs] = ACTIONS(7451),
    [anon_sym_BSLASHacsp] = ACTIONS(7451),
    [anon_sym_BSLASHAcsp] = ACTIONS(7451),
    [anon_sym_BSLASHacl] = ACTIONS(7451),
    [anon_sym_BSLASHAcl] = ACTIONS(7451),
    [anon_sym_BSLASHaclp] = ACTIONS(7451),
    [anon_sym_BSLASHAclp] = ACTIONS(7451),
    [anon_sym_BSLASHacf] = ACTIONS(7451),
    [anon_sym_BSLASHAcf] = ACTIONS(7451),
    [anon_sym_BSLASHacfp] = ACTIONS(7451),
    [anon_sym_BSLASHAcfp] = ACTIONS(7451),
    [anon_sym_BSLASHac] = ACTIONS(7451),
    [anon_sym_BSLASHAc] = ACTIONS(7451),
    [anon_sym_BSLASHacp] = ACTIONS(7451),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7451),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7451),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7451),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7451),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7451),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7451),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7451),
    [anon_sym_BSLASHcolor] = ACTIONS(7451),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7451),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7451),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7451),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7451),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7451),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7451),
    [anon_sym_BSLASHurl] = ACTIONS(7451),
    [anon_sym_BSLASHhref] = ACTIONS(7451),
  },
  [1316] = {
    [sym_command_name] = ACTIONS(7455),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7455),
    [anon_sym_LBRACK] = ACTIONS(7457),
    [anon_sym_RBRACK] = ACTIONS(7457),
    [anon_sym_COMMA] = ACTIONS(7457),
    [anon_sym_EQ] = ACTIONS(7457),
    [anon_sym_LPAREN] = ACTIONS(7457),
    [anon_sym_RPAREN] = ACTIONS(7457),
    [anon_sym_BSLASHpart] = ACTIONS(7455),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHaddpart] = ACTIONS(7455),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHchapter] = ACTIONS(7455),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHaddchap] = ACTIONS(7455),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHsection] = ACTIONS(7455),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHaddsec] = ACTIONS(7455),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHsubsection] = ACTIONS(7455),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7455),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHparagraph] = ACTIONS(7455),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7455),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHitem] = ACTIONS(7455),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7457),
    [anon_sym_LBRACE] = ACTIONS(7457),
    [sym_word] = ACTIONS(7455),
    [sym_placeholder] = ACTIONS(7457),
    [sym_delimiter] = ACTIONS(7457),
    [anon_sym_PLUS] = ACTIONS(7457),
    [anon_sym_DASH] = ACTIONS(7457),
    [anon_sym_STAR] = ACTIONS(7457),
    [anon_sym_SLASH] = ACTIONS(7457),
    [anon_sym_LT] = ACTIONS(7455),
    [anon_sym_GT] = ACTIONS(7455),
    [anon_sym_BANG] = ACTIONS(7455),
    [anon_sym_PIPE] = ACTIONS(7455),
    [anon_sym_COLON] = ACTIONS(7455),
    [anon_sym_SQUOTE] = ACTIONS(7455),
    [anon_sym__] = ACTIONS(7457),
    [anon_sym_CARET] = ACTIONS(7457),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7457),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7457),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7457),
    [anon_sym_DOLLAR] = ACTIONS(7455),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7457),
    [anon_sym_BSLASHleft] = ACTIONS(7455),
    [anon_sym_BSLASHbigl] = ACTIONS(7455),
    [anon_sym_BSLASHBigl] = ACTIONS(7455),
    [anon_sym_BSLASHbiggl] = ACTIONS(7455),
    [anon_sym_BSLASHBiggl] = ACTIONS(7455),
    [anon_sym_BSLASHtext] = ACTIONS(7455),
    [anon_sym_BSLASHintertext] = ACTIONS(7455),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7455),
    [anon_sym_BSLASHbegin] = ACTIONS(7455),
    [anon_sym_BSLASHtitle] = ACTIONS(7455),
    [anon_sym_BSLASHauthor] = ACTIONS(7455),
    [anon_sym_BSLASHusepackage] = ACTIONS(7455),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7455),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7455),
    [anon_sym_BSLASHinclude] = ACTIONS(7455),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7455),
    [anon_sym_BSLASHinput] = ACTIONS(7455),
    [anon_sym_BSLASHsubfile] = ACTIONS(7455),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7455),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7455),
    [anon_sym_BSLASHbibliography] = ACTIONS(7455),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7455),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7455),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7455),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7455),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7455),
    [anon_sym_BSLASHimport] = ACTIONS(7455),
    [anon_sym_BSLASHsubimport] = ACTIONS(7455),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7455),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7455),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7455),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7455),
    [anon_sym_BSLASHcaption] = ACTIONS(7455),
    [anon_sym_BSLASHcite] = ACTIONS(7455),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHCite] = ACTIONS(7455),
    [anon_sym_BSLASHnocite] = ACTIONS(7455),
    [anon_sym_BSLASHcitet] = ACTIONS(7455),
    [anon_sym_BSLASHcitep] = ACTIONS(7455),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHciteA] = ACTIONS(7455),
    [anon_sym_BSLASHciteR] = ACTIONS(7455),
    [anon_sym_BSLASHciteS] = ACTIONS(7455),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7455),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7455),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7455),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7455),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHciteyear] = ACTIONS(7455),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcitedate] = ACTIONS(7455),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHciteurl] = ACTIONS(7455),
    [anon_sym_BSLASHfullcite] = ACTIONS(7455),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7455),
    [anon_sym_BSLASHcitealt] = ACTIONS(7455),
    [anon_sym_BSLASHcitealp] = ACTIONS(7455),
    [anon_sym_BSLASHcitetext] = ACTIONS(7455),
    [anon_sym_BSLASHparencite] = ACTIONS(7455),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHParencite] = ACTIONS(7455),
    [anon_sym_BSLASHfootcite] = ACTIONS(7455),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7455),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7455),
    [anon_sym_BSLASHtextcite] = ACTIONS(7455),
    [anon_sym_BSLASHTextcite] = ACTIONS(7455),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7455),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7455),
    [anon_sym_BSLASHsupercite] = ACTIONS(7455),
    [anon_sym_BSLASHautocite] = ACTIONS(7455),
    [anon_sym_BSLASHAutocite] = ACTIONS(7455),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHVolcite] = ACTIONS(7455),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHavolcite] = ACTIONS(7455),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHnotecite] = ACTIONS(7455),
    [anon_sym_BSLASHNotecite] = ACTIONS(7455),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7455),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7455),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7455),
    [anon_sym_BSLASHlabel] = ACTIONS(7455),
    [anon_sym_BSLASHref] = ACTIONS(7455),
    [anon_sym_BSLASHeqref] = ACTIONS(7455),
    [anon_sym_BSLASHvref] = ACTIONS(7455),
    [anon_sym_BSLASHVref] = ACTIONS(7455),
    [anon_sym_BSLASHautoref] = ACTIONS(7455),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHpageref] = ACTIONS(7455),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHautopageref] = ACTIONS(7455),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcref] = ACTIONS(7455),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHCref] = ACTIONS(7455),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcpageref] = ACTIONS(7455),
    [anon_sym_BSLASHCpageref] = ACTIONS(7455),
    [anon_sym_BSLASHnamecref] = ACTIONS(7455),
    [anon_sym_BSLASHnameCref] = ACTIONS(7455),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7455),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7455),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7455),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7455),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7455),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7455),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7455),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7455),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7455),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7455),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7455),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7455),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7455),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7455),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7455),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7455),
    [anon_sym_BSLASHdef] = ACTIONS(7455),
    [anon_sym_BSLASHgdef] = ACTIONS(7455),
    [anon_sym_BSLASHedef] = ACTIONS(7455),
    [anon_sym_BSLASHxdef] = ACTIONS(7455),
    [anon_sym_BSLASHlet] = ACTIONS(7455),
    [anon_sym_BSLASHglet] = ACTIONS(7455),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7455),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7455),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7455),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7455),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7455),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7455),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7455),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7455),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7455),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7455),
    [anon_sym_BSLASHgls] = ACTIONS(7455),
    [anon_sym_BSLASHGls] = ACTIONS(7455),
    [anon_sym_BSLASHGLS] = ACTIONS(7455),
    [anon_sym_BSLASHglspl] = ACTIONS(7455),
    [anon_sym_BSLASHGlspl] = ACTIONS(7455),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7455),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7455),
    [anon_sym_BSLASHglslink] = ACTIONS(7455),
    [anon_sym_BSLASHglstext] = ACTIONS(7455),
    [anon_sym_BSLASHGlstext] = ACTIONS(7455),
    [anon_sym_BSLASHGLStext] = ACTIONS(7455),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7455),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7455),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7455),
    [anon_sym_BSLASHglsplural] = ACTIONS(7455),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7455),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7455),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7455),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7455),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7455),
    [anon_sym_BSLASHglsname] = ACTIONS(7455),
    [anon_sym_BSLASHGlsname] = ACTIONS(7455),
    [anon_sym_BSLASHGLSname] = ACTIONS(7455),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7455),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7455),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7455),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7455),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7455),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7455),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7455),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7455),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7455),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7455),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7455),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7455),
    [anon_sym_BSLASHacrshort] = ACTIONS(7455),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7455),
    [anon_sym_BSLASHACRshort] = ACTIONS(7455),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHacrlong] = ACTIONS(7455),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7455),
    [anon_sym_BSLASHACRlong] = ACTIONS(7455),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7455),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7455),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7455),
    [anon_sym_BSLASHacrfull] = ACTIONS(7455),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7455),
    [anon_sym_BSLASHACRfull] = ACTIONS(7455),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHacs] = ACTIONS(7455),
    [anon_sym_BSLASHAcs] = ACTIONS(7455),
    [anon_sym_BSLASHacsp] = ACTIONS(7455),
    [anon_sym_BSLASHAcsp] = ACTIONS(7455),
    [anon_sym_BSLASHacl] = ACTIONS(7455),
    [anon_sym_BSLASHAcl] = ACTIONS(7455),
    [anon_sym_BSLASHaclp] = ACTIONS(7455),
    [anon_sym_BSLASHAclp] = ACTIONS(7455),
    [anon_sym_BSLASHacf] = ACTIONS(7455),
    [anon_sym_BSLASHAcf] = ACTIONS(7455),
    [anon_sym_BSLASHacfp] = ACTIONS(7455),
    [anon_sym_BSLASHAcfp] = ACTIONS(7455),
    [anon_sym_BSLASHac] = ACTIONS(7455),
    [anon_sym_BSLASHAc] = ACTIONS(7455),
    [anon_sym_BSLASHacp] = ACTIONS(7455),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7455),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7455),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7455),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7455),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7455),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7455),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7455),
    [anon_sym_BSLASHcolor] = ACTIONS(7455),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7455),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7455),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7455),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7455),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7455),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7455),
    [anon_sym_BSLASHurl] = ACTIONS(7455),
    [anon_sym_BSLASHhref] = ACTIONS(7455),
  },
  [1317] = {
    [sym_command_name] = ACTIONS(7459),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7459),
    [anon_sym_LBRACK] = ACTIONS(7461),
    [anon_sym_RBRACK] = ACTIONS(7461),
    [anon_sym_COMMA] = ACTIONS(7461),
    [anon_sym_EQ] = ACTIONS(7461),
    [anon_sym_LPAREN] = ACTIONS(7461),
    [anon_sym_RPAREN] = ACTIONS(7461),
    [anon_sym_BSLASHpart] = ACTIONS(7459),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHaddpart] = ACTIONS(7459),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHchapter] = ACTIONS(7459),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHaddchap] = ACTIONS(7459),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHsection] = ACTIONS(7459),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHaddsec] = ACTIONS(7459),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHsubsection] = ACTIONS(7459),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7459),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHparagraph] = ACTIONS(7459),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7459),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHitem] = ACTIONS(7459),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7461),
    [anon_sym_LBRACE] = ACTIONS(7461),
    [sym_word] = ACTIONS(7459),
    [sym_placeholder] = ACTIONS(7461),
    [sym_delimiter] = ACTIONS(7461),
    [anon_sym_PLUS] = ACTIONS(7461),
    [anon_sym_DASH] = ACTIONS(7461),
    [anon_sym_STAR] = ACTIONS(7461),
    [anon_sym_SLASH] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(7459),
    [anon_sym_GT] = ACTIONS(7459),
    [anon_sym_BANG] = ACTIONS(7459),
    [anon_sym_PIPE] = ACTIONS(7459),
    [anon_sym_COLON] = ACTIONS(7459),
    [anon_sym_SQUOTE] = ACTIONS(7459),
    [anon_sym__] = ACTIONS(7461),
    [anon_sym_CARET] = ACTIONS(7461),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7461),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7461),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7461),
    [anon_sym_DOLLAR] = ACTIONS(7459),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7461),
    [anon_sym_BSLASHleft] = ACTIONS(7459),
    [anon_sym_BSLASHbigl] = ACTIONS(7459),
    [anon_sym_BSLASHBigl] = ACTIONS(7459),
    [anon_sym_BSLASHbiggl] = ACTIONS(7459),
    [anon_sym_BSLASHBiggl] = ACTIONS(7459),
    [anon_sym_BSLASHtext] = ACTIONS(7459),
    [anon_sym_BSLASHintertext] = ACTIONS(7459),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7459),
    [anon_sym_BSLASHbegin] = ACTIONS(7459),
    [anon_sym_BSLASHtitle] = ACTIONS(7459),
    [anon_sym_BSLASHauthor] = ACTIONS(7459),
    [anon_sym_BSLASHusepackage] = ACTIONS(7459),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7459),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7459),
    [anon_sym_BSLASHinclude] = ACTIONS(7459),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7459),
    [anon_sym_BSLASHinput] = ACTIONS(7459),
    [anon_sym_BSLASHsubfile] = ACTIONS(7459),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7459),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7459),
    [anon_sym_BSLASHbibliography] = ACTIONS(7459),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7459),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7459),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7459),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7459),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7459),
    [anon_sym_BSLASHimport] = ACTIONS(7459),
    [anon_sym_BSLASHsubimport] = ACTIONS(7459),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7459),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7459),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7459),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7459),
    [anon_sym_BSLASHcaption] = ACTIONS(7459),
    [anon_sym_BSLASHcite] = ACTIONS(7459),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHCite] = ACTIONS(7459),
    [anon_sym_BSLASHnocite] = ACTIONS(7459),
    [anon_sym_BSLASHcitet] = ACTIONS(7459),
    [anon_sym_BSLASHcitep] = ACTIONS(7459),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHciteA] = ACTIONS(7459),
    [anon_sym_BSLASHciteR] = ACTIONS(7459),
    [anon_sym_BSLASHciteS] = ACTIONS(7459),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7459),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7459),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7459),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7459),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHciteyear] = ACTIONS(7459),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcitedate] = ACTIONS(7459),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHciteurl] = ACTIONS(7459),
    [anon_sym_BSLASHfullcite] = ACTIONS(7459),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7459),
    [anon_sym_BSLASHcitealt] = ACTIONS(7459),
    [anon_sym_BSLASHcitealp] = ACTIONS(7459),
    [anon_sym_BSLASHcitetext] = ACTIONS(7459),
    [anon_sym_BSLASHparencite] = ACTIONS(7459),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHParencite] = ACTIONS(7459),
    [anon_sym_BSLASHfootcite] = ACTIONS(7459),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7459),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7459),
    [anon_sym_BSLASHtextcite] = ACTIONS(7459),
    [anon_sym_BSLASHTextcite] = ACTIONS(7459),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7459),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7459),
    [anon_sym_BSLASHsupercite] = ACTIONS(7459),
    [anon_sym_BSLASHautocite] = ACTIONS(7459),
    [anon_sym_BSLASHAutocite] = ACTIONS(7459),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHVolcite] = ACTIONS(7459),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHavolcite] = ACTIONS(7459),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHnotecite] = ACTIONS(7459),
    [anon_sym_BSLASHNotecite] = ACTIONS(7459),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7459),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7459),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7459),
    [anon_sym_BSLASHlabel] = ACTIONS(7459),
    [anon_sym_BSLASHref] = ACTIONS(7459),
    [anon_sym_BSLASHeqref] = ACTIONS(7459),
    [anon_sym_BSLASHvref] = ACTIONS(7459),
    [anon_sym_BSLASHVref] = ACTIONS(7459),
    [anon_sym_BSLASHautoref] = ACTIONS(7459),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHpageref] = ACTIONS(7459),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHautopageref] = ACTIONS(7459),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcref] = ACTIONS(7459),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHCref] = ACTIONS(7459),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcpageref] = ACTIONS(7459),
    [anon_sym_BSLASHCpageref] = ACTIONS(7459),
    [anon_sym_BSLASHnamecref] = ACTIONS(7459),
    [anon_sym_BSLASHnameCref] = ACTIONS(7459),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7459),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7459),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7459),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7459),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7459),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7459),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7459),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7459),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7459),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7459),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7459),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7459),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7459),
    [anon_sym_BSLASHdef] = ACTIONS(7459),
    [anon_sym_BSLASHgdef] = ACTIONS(7459),
    [anon_sym_BSLASHedef] = ACTIONS(7459),
    [anon_sym_BSLASHxdef] = ACTIONS(7459),
    [anon_sym_BSLASHlet] = ACTIONS(7459),
    [anon_sym_BSLASHglet] = ACTIONS(7459),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7459),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7459),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7459),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7459),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7459),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7459),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7459),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7459),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7459),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7459),
    [anon_sym_BSLASHgls] = ACTIONS(7459),
    [anon_sym_BSLASHGls] = ACTIONS(7459),
    [anon_sym_BSLASHGLS] = ACTIONS(7459),
    [anon_sym_BSLASHglspl] = ACTIONS(7459),
    [anon_sym_BSLASHGlspl] = ACTIONS(7459),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7459),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7459),
    [anon_sym_BSLASHglslink] = ACTIONS(7459),
    [anon_sym_BSLASHglstext] = ACTIONS(7459),
    [anon_sym_BSLASHGlstext] = ACTIONS(7459),
    [anon_sym_BSLASHGLStext] = ACTIONS(7459),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7459),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7459),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7459),
    [anon_sym_BSLASHglsplural] = ACTIONS(7459),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7459),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7459),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7459),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7459),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7459),
    [anon_sym_BSLASHglsname] = ACTIONS(7459),
    [anon_sym_BSLASHGlsname] = ACTIONS(7459),
    [anon_sym_BSLASHGLSname] = ACTIONS(7459),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7459),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7459),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7459),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7459),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7459),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7459),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7459),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7459),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7459),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7459),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7459),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7459),
    [anon_sym_BSLASHacrshort] = ACTIONS(7459),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7459),
    [anon_sym_BSLASHACRshort] = ACTIONS(7459),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHacrlong] = ACTIONS(7459),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7459),
    [anon_sym_BSLASHACRlong] = ACTIONS(7459),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7459),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7459),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7459),
    [anon_sym_BSLASHacrfull] = ACTIONS(7459),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7459),
    [anon_sym_BSLASHACRfull] = ACTIONS(7459),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHacs] = ACTIONS(7459),
    [anon_sym_BSLASHAcs] = ACTIONS(7459),
    [anon_sym_BSLASHacsp] = ACTIONS(7459),
    [anon_sym_BSLASHAcsp] = ACTIONS(7459),
    [anon_sym_BSLASHacl] = ACTIONS(7459),
    [anon_sym_BSLASHAcl] = ACTIONS(7459),
    [anon_sym_BSLASHaclp] = ACTIONS(7459),
    [anon_sym_BSLASHAclp] = ACTIONS(7459),
    [anon_sym_BSLASHacf] = ACTIONS(7459),
    [anon_sym_BSLASHAcf] = ACTIONS(7459),
    [anon_sym_BSLASHacfp] = ACTIONS(7459),
    [anon_sym_BSLASHAcfp] = ACTIONS(7459),
    [anon_sym_BSLASHac] = ACTIONS(7459),
    [anon_sym_BSLASHAc] = ACTIONS(7459),
    [anon_sym_BSLASHacp] = ACTIONS(7459),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7459),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7459),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7459),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7459),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7459),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7459),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7459),
    [anon_sym_BSLASHcolor] = ACTIONS(7459),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7459),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7459),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7459),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7459),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7459),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7459),
    [anon_sym_BSLASHurl] = ACTIONS(7459),
    [anon_sym_BSLASHhref] = ACTIONS(7459),
  },
  [1318] = {
    [sym_command_name] = ACTIONS(7139),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7139),
    [anon_sym_LBRACK] = ACTIONS(7141),
    [anon_sym_RBRACK] = ACTIONS(7141),
    [anon_sym_COMMA] = ACTIONS(7141),
    [anon_sym_EQ] = ACTIONS(7141),
    [anon_sym_LPAREN] = ACTIONS(7141),
    [anon_sym_RPAREN] = ACTIONS(7141),
    [anon_sym_BSLASHpart] = ACTIONS(7139),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHaddpart] = ACTIONS(7139),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHchapter] = ACTIONS(7139),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHaddchap] = ACTIONS(7139),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHsection] = ACTIONS(7139),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHaddsec] = ACTIONS(7139),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHsubsection] = ACTIONS(7139),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7139),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHparagraph] = ACTIONS(7139),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7139),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHitem] = ACTIONS(7139),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7141),
    [anon_sym_LBRACE] = ACTIONS(7141),
    [sym_word] = ACTIONS(7139),
    [sym_placeholder] = ACTIONS(7141),
    [sym_delimiter] = ACTIONS(7141),
    [anon_sym_PLUS] = ACTIONS(7141),
    [anon_sym_DASH] = ACTIONS(7141),
    [anon_sym_STAR] = ACTIONS(7141),
    [anon_sym_SLASH] = ACTIONS(7141),
    [anon_sym_LT] = ACTIONS(7139),
    [anon_sym_GT] = ACTIONS(7139),
    [anon_sym_BANG] = ACTIONS(7139),
    [anon_sym_PIPE] = ACTIONS(7139),
    [anon_sym_COLON] = ACTIONS(7139),
    [anon_sym_SQUOTE] = ACTIONS(7139),
    [anon_sym__] = ACTIONS(7141),
    [anon_sym_CARET] = ACTIONS(7141),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7141),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7141),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7141),
    [anon_sym_DOLLAR] = ACTIONS(7139),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7141),
    [anon_sym_BSLASHleft] = ACTIONS(7139),
    [anon_sym_BSLASHbigl] = ACTIONS(7139),
    [anon_sym_BSLASHBigl] = ACTIONS(7139),
    [anon_sym_BSLASHbiggl] = ACTIONS(7139),
    [anon_sym_BSLASHBiggl] = ACTIONS(7139),
    [anon_sym_BSLASHtext] = ACTIONS(7139),
    [anon_sym_BSLASHintertext] = ACTIONS(7139),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7139),
    [anon_sym_BSLASHbegin] = ACTIONS(7139),
    [anon_sym_BSLASHtitle] = ACTIONS(7139),
    [anon_sym_BSLASHauthor] = ACTIONS(7139),
    [anon_sym_BSLASHusepackage] = ACTIONS(7139),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7139),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7139),
    [anon_sym_BSLASHinclude] = ACTIONS(7139),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7139),
    [anon_sym_BSLASHinput] = ACTIONS(7139),
    [anon_sym_BSLASHsubfile] = ACTIONS(7139),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7139),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7139),
    [anon_sym_BSLASHbibliography] = ACTIONS(7139),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7139),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7139),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7139),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7139),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7139),
    [anon_sym_BSLASHimport] = ACTIONS(7139),
    [anon_sym_BSLASHsubimport] = ACTIONS(7139),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7139),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7139),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7139),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7139),
    [anon_sym_BSLASHcaption] = ACTIONS(7139),
    [anon_sym_BSLASHcite] = ACTIONS(7139),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHCite] = ACTIONS(7139),
    [anon_sym_BSLASHnocite] = ACTIONS(7139),
    [anon_sym_BSLASHcitet] = ACTIONS(7139),
    [anon_sym_BSLASHcitep] = ACTIONS(7139),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHciteA] = ACTIONS(7139),
    [anon_sym_BSLASHciteR] = ACTIONS(7139),
    [anon_sym_BSLASHciteS] = ACTIONS(7139),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7139),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7139),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7139),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7139),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHciteyear] = ACTIONS(7139),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcitedate] = ACTIONS(7139),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHciteurl] = ACTIONS(7139),
    [anon_sym_BSLASHfullcite] = ACTIONS(7139),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7139),
    [anon_sym_BSLASHcitealt] = ACTIONS(7139),
    [anon_sym_BSLASHcitealp] = ACTIONS(7139),
    [anon_sym_BSLASHcitetext] = ACTIONS(7139),
    [anon_sym_BSLASHparencite] = ACTIONS(7139),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHParencite] = ACTIONS(7139),
    [anon_sym_BSLASHfootcite] = ACTIONS(7139),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7139),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7139),
    [anon_sym_BSLASHtextcite] = ACTIONS(7139),
    [anon_sym_BSLASHTextcite] = ACTIONS(7139),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7139),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7139),
    [anon_sym_BSLASHsupercite] = ACTIONS(7139),
    [anon_sym_BSLASHautocite] = ACTIONS(7139),
    [anon_sym_BSLASHAutocite] = ACTIONS(7139),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHVolcite] = ACTIONS(7139),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHavolcite] = ACTIONS(7139),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHnotecite] = ACTIONS(7139),
    [anon_sym_BSLASHNotecite] = ACTIONS(7139),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7139),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7139),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7139),
    [anon_sym_BSLASHlabel] = ACTIONS(7139),
    [anon_sym_BSLASHref] = ACTIONS(7139),
    [anon_sym_BSLASHeqref] = ACTIONS(7139),
    [anon_sym_BSLASHvref] = ACTIONS(7139),
    [anon_sym_BSLASHVref] = ACTIONS(7139),
    [anon_sym_BSLASHautoref] = ACTIONS(7139),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHpageref] = ACTIONS(7139),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHautopageref] = ACTIONS(7139),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcref] = ACTIONS(7139),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHCref] = ACTIONS(7139),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcpageref] = ACTIONS(7139),
    [anon_sym_BSLASHCpageref] = ACTIONS(7139),
    [anon_sym_BSLASHnamecref] = ACTIONS(7139),
    [anon_sym_BSLASHnameCref] = ACTIONS(7139),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7139),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7139),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7139),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7139),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7139),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7139),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7139),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7139),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7139),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7139),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7139),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7139),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7139),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7139),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7139),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7139),
    [anon_sym_BSLASHdef] = ACTIONS(7139),
    [anon_sym_BSLASHgdef] = ACTIONS(7139),
    [anon_sym_BSLASHedef] = ACTIONS(7139),
    [anon_sym_BSLASHxdef] = ACTIONS(7139),
    [anon_sym_BSLASHlet] = ACTIONS(7139),
    [anon_sym_BSLASHglet] = ACTIONS(7139),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7139),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7139),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7139),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7139),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7139),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7139),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7139),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7139),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7139),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7139),
    [anon_sym_BSLASHgls] = ACTIONS(7139),
    [anon_sym_BSLASHGls] = ACTIONS(7139),
    [anon_sym_BSLASHGLS] = ACTIONS(7139),
    [anon_sym_BSLASHglspl] = ACTIONS(7139),
    [anon_sym_BSLASHGlspl] = ACTIONS(7139),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7139),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7139),
    [anon_sym_BSLASHglslink] = ACTIONS(7139),
    [anon_sym_BSLASHglstext] = ACTIONS(7139),
    [anon_sym_BSLASHGlstext] = ACTIONS(7139),
    [anon_sym_BSLASHGLStext] = ACTIONS(7139),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7139),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7139),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7139),
    [anon_sym_BSLASHglsplural] = ACTIONS(7139),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7139),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7139),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7139),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7139),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7139),
    [anon_sym_BSLASHglsname] = ACTIONS(7139),
    [anon_sym_BSLASHGlsname] = ACTIONS(7139),
    [anon_sym_BSLASHGLSname] = ACTIONS(7139),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7139),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7139),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7139),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7139),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7139),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7139),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7139),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7139),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7139),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7139),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7139),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7139),
    [anon_sym_BSLASHacrshort] = ACTIONS(7139),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7139),
    [anon_sym_BSLASHACRshort] = ACTIONS(7139),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHacrlong] = ACTIONS(7139),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7139),
    [anon_sym_BSLASHACRlong] = ACTIONS(7139),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7139),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7139),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7139),
    [anon_sym_BSLASHacrfull] = ACTIONS(7139),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7139),
    [anon_sym_BSLASHACRfull] = ACTIONS(7139),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHacs] = ACTIONS(7139),
    [anon_sym_BSLASHAcs] = ACTIONS(7139),
    [anon_sym_BSLASHacsp] = ACTIONS(7139),
    [anon_sym_BSLASHAcsp] = ACTIONS(7139),
    [anon_sym_BSLASHacl] = ACTIONS(7139),
    [anon_sym_BSLASHAcl] = ACTIONS(7139),
    [anon_sym_BSLASHaclp] = ACTIONS(7139),
    [anon_sym_BSLASHAclp] = ACTIONS(7139),
    [anon_sym_BSLASHacf] = ACTIONS(7139),
    [anon_sym_BSLASHAcf] = ACTIONS(7139),
    [anon_sym_BSLASHacfp] = ACTIONS(7139),
    [anon_sym_BSLASHAcfp] = ACTIONS(7139),
    [anon_sym_BSLASHac] = ACTIONS(7139),
    [anon_sym_BSLASHAc] = ACTIONS(7139),
    [anon_sym_BSLASHacp] = ACTIONS(7139),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7139),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7139),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7139),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7139),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7139),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7139),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7139),
    [anon_sym_BSLASHcolor] = ACTIONS(7139),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7139),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7139),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7139),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7139),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7139),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7139),
    [anon_sym_BSLASHurl] = ACTIONS(7139),
    [anon_sym_BSLASHhref] = ACTIONS(7139),
  },
  [1319] = {
    [sym_command_name] = ACTIONS(7463),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7463),
    [anon_sym_LBRACK] = ACTIONS(7465),
    [anon_sym_RBRACK] = ACTIONS(7465),
    [anon_sym_COMMA] = ACTIONS(7465),
    [anon_sym_EQ] = ACTIONS(7465),
    [anon_sym_LPAREN] = ACTIONS(7465),
    [anon_sym_RPAREN] = ACTIONS(7465),
    [anon_sym_BSLASHpart] = ACTIONS(7463),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHaddpart] = ACTIONS(7463),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHchapter] = ACTIONS(7463),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHaddchap] = ACTIONS(7463),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHsection] = ACTIONS(7463),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHaddsec] = ACTIONS(7463),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHsubsection] = ACTIONS(7463),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7463),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHparagraph] = ACTIONS(7463),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7463),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHitem] = ACTIONS(7463),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7465),
    [anon_sym_LBRACE] = ACTIONS(7465),
    [sym_word] = ACTIONS(7463),
    [sym_placeholder] = ACTIONS(7465),
    [sym_delimiter] = ACTIONS(7465),
    [anon_sym_PLUS] = ACTIONS(7465),
    [anon_sym_DASH] = ACTIONS(7465),
    [anon_sym_STAR] = ACTIONS(7465),
    [anon_sym_SLASH] = ACTIONS(7465),
    [anon_sym_LT] = ACTIONS(7463),
    [anon_sym_GT] = ACTIONS(7463),
    [anon_sym_BANG] = ACTIONS(7463),
    [anon_sym_PIPE] = ACTIONS(7463),
    [anon_sym_COLON] = ACTIONS(7463),
    [anon_sym_SQUOTE] = ACTIONS(7463),
    [anon_sym__] = ACTIONS(7465),
    [anon_sym_CARET] = ACTIONS(7465),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7465),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7465),
    [anon_sym_DOLLAR] = ACTIONS(7463),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7465),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7465),
    [anon_sym_BSLASHleft] = ACTIONS(7463),
    [anon_sym_BSLASHbigl] = ACTIONS(7463),
    [anon_sym_BSLASHBigl] = ACTIONS(7463),
    [anon_sym_BSLASHbiggl] = ACTIONS(7463),
    [anon_sym_BSLASHBiggl] = ACTIONS(7463),
    [anon_sym_BSLASHtext] = ACTIONS(7463),
    [anon_sym_BSLASHintertext] = ACTIONS(7463),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7463),
    [anon_sym_BSLASHbegin] = ACTIONS(7463),
    [anon_sym_BSLASHtitle] = ACTIONS(7463),
    [anon_sym_BSLASHauthor] = ACTIONS(7463),
    [anon_sym_BSLASHusepackage] = ACTIONS(7463),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7463),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7463),
    [anon_sym_BSLASHinclude] = ACTIONS(7463),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7463),
    [anon_sym_BSLASHinput] = ACTIONS(7463),
    [anon_sym_BSLASHsubfile] = ACTIONS(7463),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7463),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7463),
    [anon_sym_BSLASHbibliography] = ACTIONS(7463),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7463),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7463),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7463),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7463),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7463),
    [anon_sym_BSLASHimport] = ACTIONS(7463),
    [anon_sym_BSLASHsubimport] = ACTIONS(7463),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7463),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7463),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7463),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7463),
    [anon_sym_BSLASHcaption] = ACTIONS(7463),
    [anon_sym_BSLASHcite] = ACTIONS(7463),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCite] = ACTIONS(7463),
    [anon_sym_BSLASHnocite] = ACTIONS(7463),
    [anon_sym_BSLASHcitet] = ACTIONS(7463),
    [anon_sym_BSLASHcitep] = ACTIONS(7463),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteA] = ACTIONS(7463),
    [anon_sym_BSLASHciteR] = ACTIONS(7463),
    [anon_sym_BSLASHciteS] = ACTIONS(7463),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7463),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7463),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7463),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7463),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteyear] = ACTIONS(7463),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitedate] = ACTIONS(7463),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteurl] = ACTIONS(7463),
    [anon_sym_BSLASHfullcite] = ACTIONS(7463),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7463),
    [anon_sym_BSLASHcitealt] = ACTIONS(7463),
    [anon_sym_BSLASHcitealp] = ACTIONS(7463),
    [anon_sym_BSLASHcitetext] = ACTIONS(7463),
    [anon_sym_BSLASHparencite] = ACTIONS(7463),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHParencite] = ACTIONS(7463),
    [anon_sym_BSLASHfootcite] = ACTIONS(7463),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7463),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7463),
    [anon_sym_BSLASHtextcite] = ACTIONS(7463),
    [anon_sym_BSLASHTextcite] = ACTIONS(7463),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7463),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7463),
    [anon_sym_BSLASHsupercite] = ACTIONS(7463),
    [anon_sym_BSLASHautocite] = ACTIONS(7463),
    [anon_sym_BSLASHAutocite] = ACTIONS(7463),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHVolcite] = ACTIONS(7463),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHavolcite] = ACTIONS(7463),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHNotecite] = ACTIONS(7463),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHlabel] = ACTIONS(7463),
    [anon_sym_BSLASHref] = ACTIONS(7463),
    [anon_sym_BSLASHeqref] = ACTIONS(7463),
    [anon_sym_BSLASHvref] = ACTIONS(7463),
    [anon_sym_BSLASHVref] = ACTIONS(7463),
    [anon_sym_BSLASHautoref] = ACTIONS(7463),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHpageref] = ACTIONS(7463),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHautopageref] = ACTIONS(7463),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcref] = ACTIONS(7463),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCref] = ACTIONS(7463),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcpageref] = ACTIONS(7463),
    [anon_sym_BSLASHCpageref] = ACTIONS(7463),
    [anon_sym_BSLASHnamecref] = ACTIONS(7463),
    [anon_sym_BSLASHnameCref] = ACTIONS(7463),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7463),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7463),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7463),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7463),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7463),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7463),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7463),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7463),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7463),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7463),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7463),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHdef] = ACTIONS(7463),
    [anon_sym_BSLASHgdef] = ACTIONS(7463),
    [anon_sym_BSLASHedef] = ACTIONS(7463),
    [anon_sym_BSLASHxdef] = ACTIONS(7463),
    [anon_sym_BSLASHlet] = ACTIONS(7463),
    [anon_sym_BSLASHglet] = ACTIONS(7463),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7463),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7463),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7463),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7463),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7463),
    [anon_sym_BSLASHgls] = ACTIONS(7463),
    [anon_sym_BSLASHGls] = ACTIONS(7463),
    [anon_sym_BSLASHGLS] = ACTIONS(7463),
    [anon_sym_BSLASHglspl] = ACTIONS(7463),
    [anon_sym_BSLASHGlspl] = ACTIONS(7463),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7463),
    [anon_sym_BSLASHglslink] = ACTIONS(7463),
    [anon_sym_BSLASHglstext] = ACTIONS(7463),
    [anon_sym_BSLASHGlstext] = ACTIONS(7463),
    [anon_sym_BSLASHGLStext] = ACTIONS(7463),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7463),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7463),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7463),
    [anon_sym_BSLASHglsplural] = ACTIONS(7463),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7463),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7463),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHglsname] = ACTIONS(7463),
    [anon_sym_BSLASHGlsname] = ACTIONS(7463),
    [anon_sym_BSLASHGLSname] = ACTIONS(7463),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7463),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7463),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7463),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7463),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7463),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7463),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7463),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7463),
    [anon_sym_BSLASHacrshort] = ACTIONS(7463),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7463),
    [anon_sym_BSLASHACRshort] = ACTIONS(7463),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHacrlong] = ACTIONS(7463),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7463),
    [anon_sym_BSLASHACRlong] = ACTIONS(7463),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHacrfull] = ACTIONS(7463),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7463),
    [anon_sym_BSLASHACRfull] = ACTIONS(7463),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHacs] = ACTIONS(7463),
    [anon_sym_BSLASHAcs] = ACTIONS(7463),
    [anon_sym_BSLASHacsp] = ACTIONS(7463),
    [anon_sym_BSLASHAcsp] = ACTIONS(7463),
    [anon_sym_BSLASHacl] = ACTIONS(7463),
    [anon_sym_BSLASHAcl] = ACTIONS(7463),
    [anon_sym_BSLASHaclp] = ACTIONS(7463),
    [anon_sym_BSLASHAclp] = ACTIONS(7463),
    [anon_sym_BSLASHacf] = ACTIONS(7463),
    [anon_sym_BSLASHAcf] = ACTIONS(7463),
    [anon_sym_BSLASHacfp] = ACTIONS(7463),
    [anon_sym_BSLASHAcfp] = ACTIONS(7463),
    [anon_sym_BSLASHac] = ACTIONS(7463),
    [anon_sym_BSLASHAc] = ACTIONS(7463),
    [anon_sym_BSLASHacp] = ACTIONS(7463),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7463),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7463),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7463),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7463),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7463),
    [anon_sym_BSLASHcolor] = ACTIONS(7463),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7463),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7463),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7463),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7463),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7463),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7463),
    [anon_sym_BSLASHurl] = ACTIONS(7463),
    [anon_sym_BSLASHhref] = ACTIONS(7463),
  },
  [1320] = {
    [sym_command_name] = ACTIONS(7467),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7467),
    [anon_sym_LBRACK] = ACTIONS(7469),
    [anon_sym_RBRACK] = ACTIONS(7469),
    [anon_sym_COMMA] = ACTIONS(7469),
    [anon_sym_EQ] = ACTIONS(7469),
    [anon_sym_LPAREN] = ACTIONS(7469),
    [anon_sym_RPAREN] = ACTIONS(7469),
    [anon_sym_BSLASHpart] = ACTIONS(7467),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHaddpart] = ACTIONS(7467),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHchapter] = ACTIONS(7467),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHaddchap] = ACTIONS(7467),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHsection] = ACTIONS(7467),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHaddsec] = ACTIONS(7467),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHsubsection] = ACTIONS(7467),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7467),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHparagraph] = ACTIONS(7467),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7467),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHitem] = ACTIONS(7467),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7469),
    [anon_sym_LBRACE] = ACTIONS(7469),
    [sym_word] = ACTIONS(7467),
    [sym_placeholder] = ACTIONS(7469),
    [sym_delimiter] = ACTIONS(7469),
    [anon_sym_PLUS] = ACTIONS(7469),
    [anon_sym_DASH] = ACTIONS(7469),
    [anon_sym_STAR] = ACTIONS(7469),
    [anon_sym_SLASH] = ACTIONS(7469),
    [anon_sym_LT] = ACTIONS(7467),
    [anon_sym_GT] = ACTIONS(7467),
    [anon_sym_BANG] = ACTIONS(7467),
    [anon_sym_PIPE] = ACTIONS(7467),
    [anon_sym_COLON] = ACTIONS(7467),
    [anon_sym_SQUOTE] = ACTIONS(7467),
    [anon_sym__] = ACTIONS(7469),
    [anon_sym_CARET] = ACTIONS(7469),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7469),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7469),
    [anon_sym_DOLLAR] = ACTIONS(7467),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7469),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7469),
    [anon_sym_BSLASHleft] = ACTIONS(7467),
    [anon_sym_BSLASHbigl] = ACTIONS(7467),
    [anon_sym_BSLASHBigl] = ACTIONS(7467),
    [anon_sym_BSLASHbiggl] = ACTIONS(7467),
    [anon_sym_BSLASHBiggl] = ACTIONS(7467),
    [anon_sym_BSLASHtext] = ACTIONS(7467),
    [anon_sym_BSLASHintertext] = ACTIONS(7467),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7467),
    [anon_sym_BSLASHbegin] = ACTIONS(7467),
    [anon_sym_BSLASHtitle] = ACTIONS(7467),
    [anon_sym_BSLASHauthor] = ACTIONS(7467),
    [anon_sym_BSLASHusepackage] = ACTIONS(7467),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7467),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7467),
    [anon_sym_BSLASHinclude] = ACTIONS(7467),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7467),
    [anon_sym_BSLASHinput] = ACTIONS(7467),
    [anon_sym_BSLASHsubfile] = ACTIONS(7467),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7467),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7467),
    [anon_sym_BSLASHbibliography] = ACTIONS(7467),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7467),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7467),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7467),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7467),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7467),
    [anon_sym_BSLASHimport] = ACTIONS(7467),
    [anon_sym_BSLASHsubimport] = ACTIONS(7467),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7467),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7467),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7467),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7467),
    [anon_sym_BSLASHcaption] = ACTIONS(7467),
    [anon_sym_BSLASHcite] = ACTIONS(7467),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCite] = ACTIONS(7467),
    [anon_sym_BSLASHnocite] = ACTIONS(7467),
    [anon_sym_BSLASHcitet] = ACTIONS(7467),
    [anon_sym_BSLASHcitep] = ACTIONS(7467),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteA] = ACTIONS(7467),
    [anon_sym_BSLASHciteR] = ACTIONS(7467),
    [anon_sym_BSLASHciteS] = ACTIONS(7467),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7467),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7467),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7467),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7467),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteyear] = ACTIONS(7467),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitedate] = ACTIONS(7467),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteurl] = ACTIONS(7467),
    [anon_sym_BSLASHfullcite] = ACTIONS(7467),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7467),
    [anon_sym_BSLASHcitealt] = ACTIONS(7467),
    [anon_sym_BSLASHcitealp] = ACTIONS(7467),
    [anon_sym_BSLASHcitetext] = ACTIONS(7467),
    [anon_sym_BSLASHparencite] = ACTIONS(7467),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHParencite] = ACTIONS(7467),
    [anon_sym_BSLASHfootcite] = ACTIONS(7467),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7467),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7467),
    [anon_sym_BSLASHtextcite] = ACTIONS(7467),
    [anon_sym_BSLASHTextcite] = ACTIONS(7467),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7467),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7467),
    [anon_sym_BSLASHsupercite] = ACTIONS(7467),
    [anon_sym_BSLASHautocite] = ACTIONS(7467),
    [anon_sym_BSLASHAutocite] = ACTIONS(7467),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHVolcite] = ACTIONS(7467),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHavolcite] = ACTIONS(7467),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHNotecite] = ACTIONS(7467),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHlabel] = ACTIONS(7467),
    [anon_sym_BSLASHref] = ACTIONS(7467),
    [anon_sym_BSLASHeqref] = ACTIONS(7467),
    [anon_sym_BSLASHvref] = ACTIONS(7467),
    [anon_sym_BSLASHVref] = ACTIONS(7467),
    [anon_sym_BSLASHautoref] = ACTIONS(7467),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHpageref] = ACTIONS(7467),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHautopageref] = ACTIONS(7467),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcref] = ACTIONS(7467),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCref] = ACTIONS(7467),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcpageref] = ACTIONS(7467),
    [anon_sym_BSLASHCpageref] = ACTIONS(7467),
    [anon_sym_BSLASHnamecref] = ACTIONS(7467),
    [anon_sym_BSLASHnameCref] = ACTIONS(7467),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7467),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7467),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7467),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7467),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7467),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7467),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7467),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7467),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7467),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7467),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7467),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHdef] = ACTIONS(7467),
    [anon_sym_BSLASHgdef] = ACTIONS(7467),
    [anon_sym_BSLASHedef] = ACTIONS(7467),
    [anon_sym_BSLASHxdef] = ACTIONS(7467),
    [anon_sym_BSLASHlet] = ACTIONS(7467),
    [anon_sym_BSLASHglet] = ACTIONS(7467),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7467),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7467),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7467),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7467),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7467),
    [anon_sym_BSLASHgls] = ACTIONS(7467),
    [anon_sym_BSLASHGls] = ACTIONS(7467),
    [anon_sym_BSLASHGLS] = ACTIONS(7467),
    [anon_sym_BSLASHglspl] = ACTIONS(7467),
    [anon_sym_BSLASHGlspl] = ACTIONS(7467),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7467),
    [anon_sym_BSLASHglslink] = ACTIONS(7467),
    [anon_sym_BSLASHglstext] = ACTIONS(7467),
    [anon_sym_BSLASHGlstext] = ACTIONS(7467),
    [anon_sym_BSLASHGLStext] = ACTIONS(7467),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7467),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7467),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7467),
    [anon_sym_BSLASHglsplural] = ACTIONS(7467),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7467),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7467),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHglsname] = ACTIONS(7467),
    [anon_sym_BSLASHGlsname] = ACTIONS(7467),
    [anon_sym_BSLASHGLSname] = ACTIONS(7467),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7467),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7467),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7467),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7467),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7467),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7467),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7467),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7467),
    [anon_sym_BSLASHacrshort] = ACTIONS(7467),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7467),
    [anon_sym_BSLASHACRshort] = ACTIONS(7467),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHacrlong] = ACTIONS(7467),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7467),
    [anon_sym_BSLASHACRlong] = ACTIONS(7467),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHacrfull] = ACTIONS(7467),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7467),
    [anon_sym_BSLASHACRfull] = ACTIONS(7467),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHacs] = ACTIONS(7467),
    [anon_sym_BSLASHAcs] = ACTIONS(7467),
    [anon_sym_BSLASHacsp] = ACTIONS(7467),
    [anon_sym_BSLASHAcsp] = ACTIONS(7467),
    [anon_sym_BSLASHacl] = ACTIONS(7467),
    [anon_sym_BSLASHAcl] = ACTIONS(7467),
    [anon_sym_BSLASHaclp] = ACTIONS(7467),
    [anon_sym_BSLASHAclp] = ACTIONS(7467),
    [anon_sym_BSLASHacf] = ACTIONS(7467),
    [anon_sym_BSLASHAcf] = ACTIONS(7467),
    [anon_sym_BSLASHacfp] = ACTIONS(7467),
    [anon_sym_BSLASHAcfp] = ACTIONS(7467),
    [anon_sym_BSLASHac] = ACTIONS(7467),
    [anon_sym_BSLASHAc] = ACTIONS(7467),
    [anon_sym_BSLASHacp] = ACTIONS(7467),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7467),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7467),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7467),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7467),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7467),
    [anon_sym_BSLASHcolor] = ACTIONS(7467),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7467),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7467),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7467),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7467),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7467),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7467),
    [anon_sym_BSLASHurl] = ACTIONS(7467),
    [anon_sym_BSLASHhref] = ACTIONS(7467),
  },
  [1321] = {
    [sym_command_name] = ACTIONS(7471),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7471),
    [anon_sym_LBRACK] = ACTIONS(7473),
    [anon_sym_RBRACK] = ACTIONS(7473),
    [anon_sym_COMMA] = ACTIONS(7473),
    [anon_sym_EQ] = ACTIONS(7473),
    [anon_sym_LPAREN] = ACTIONS(7473),
    [anon_sym_RPAREN] = ACTIONS(7473),
    [anon_sym_BSLASHpart] = ACTIONS(7471),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHaddpart] = ACTIONS(7471),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHchapter] = ACTIONS(7471),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHaddchap] = ACTIONS(7471),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHsection] = ACTIONS(7471),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHaddsec] = ACTIONS(7471),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHsubsection] = ACTIONS(7471),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7471),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHparagraph] = ACTIONS(7471),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7471),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHitem] = ACTIONS(7471),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7473),
    [anon_sym_LBRACE] = ACTIONS(7473),
    [sym_word] = ACTIONS(7471),
    [sym_placeholder] = ACTIONS(7473),
    [sym_delimiter] = ACTIONS(7473),
    [anon_sym_PLUS] = ACTIONS(7473),
    [anon_sym_DASH] = ACTIONS(7473),
    [anon_sym_STAR] = ACTIONS(7473),
    [anon_sym_SLASH] = ACTIONS(7473),
    [anon_sym_LT] = ACTIONS(7471),
    [anon_sym_GT] = ACTIONS(7471),
    [anon_sym_BANG] = ACTIONS(7471),
    [anon_sym_PIPE] = ACTIONS(7471),
    [anon_sym_COLON] = ACTIONS(7471),
    [anon_sym_SQUOTE] = ACTIONS(7471),
    [anon_sym__] = ACTIONS(7473),
    [anon_sym_CARET] = ACTIONS(7473),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7473),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7473),
    [anon_sym_DOLLAR] = ACTIONS(7471),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7473),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7473),
    [anon_sym_BSLASHleft] = ACTIONS(7471),
    [anon_sym_BSLASHbigl] = ACTIONS(7471),
    [anon_sym_BSLASHBigl] = ACTIONS(7471),
    [anon_sym_BSLASHbiggl] = ACTIONS(7471),
    [anon_sym_BSLASHBiggl] = ACTIONS(7471),
    [anon_sym_BSLASHtext] = ACTIONS(7471),
    [anon_sym_BSLASHintertext] = ACTIONS(7471),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7471),
    [anon_sym_BSLASHbegin] = ACTIONS(7471),
    [anon_sym_BSLASHtitle] = ACTIONS(7471),
    [anon_sym_BSLASHauthor] = ACTIONS(7471),
    [anon_sym_BSLASHusepackage] = ACTIONS(7471),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7471),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7471),
    [anon_sym_BSLASHinclude] = ACTIONS(7471),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7471),
    [anon_sym_BSLASHinput] = ACTIONS(7471),
    [anon_sym_BSLASHsubfile] = ACTIONS(7471),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7471),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7471),
    [anon_sym_BSLASHbibliography] = ACTIONS(7471),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7471),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7471),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7471),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7471),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7471),
    [anon_sym_BSLASHimport] = ACTIONS(7471),
    [anon_sym_BSLASHsubimport] = ACTIONS(7471),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7471),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7471),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7471),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7471),
    [anon_sym_BSLASHcaption] = ACTIONS(7471),
    [anon_sym_BSLASHcite] = ACTIONS(7471),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCite] = ACTIONS(7471),
    [anon_sym_BSLASHnocite] = ACTIONS(7471),
    [anon_sym_BSLASHcitet] = ACTIONS(7471),
    [anon_sym_BSLASHcitep] = ACTIONS(7471),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteA] = ACTIONS(7471),
    [anon_sym_BSLASHciteR] = ACTIONS(7471),
    [anon_sym_BSLASHciteS] = ACTIONS(7471),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7471),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7471),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7471),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7471),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteyear] = ACTIONS(7471),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitedate] = ACTIONS(7471),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteurl] = ACTIONS(7471),
    [anon_sym_BSLASHfullcite] = ACTIONS(7471),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7471),
    [anon_sym_BSLASHcitealt] = ACTIONS(7471),
    [anon_sym_BSLASHcitealp] = ACTIONS(7471),
    [anon_sym_BSLASHcitetext] = ACTIONS(7471),
    [anon_sym_BSLASHparencite] = ACTIONS(7471),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHParencite] = ACTIONS(7471),
    [anon_sym_BSLASHfootcite] = ACTIONS(7471),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7471),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7471),
    [anon_sym_BSLASHtextcite] = ACTIONS(7471),
    [anon_sym_BSLASHTextcite] = ACTIONS(7471),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7471),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7471),
    [anon_sym_BSLASHsupercite] = ACTIONS(7471),
    [anon_sym_BSLASHautocite] = ACTIONS(7471),
    [anon_sym_BSLASHAutocite] = ACTIONS(7471),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHVolcite] = ACTIONS(7471),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHavolcite] = ACTIONS(7471),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHNotecite] = ACTIONS(7471),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHlabel] = ACTIONS(7471),
    [anon_sym_BSLASHref] = ACTIONS(7471),
    [anon_sym_BSLASHeqref] = ACTIONS(7471),
    [anon_sym_BSLASHvref] = ACTIONS(7471),
    [anon_sym_BSLASHVref] = ACTIONS(7471),
    [anon_sym_BSLASHautoref] = ACTIONS(7471),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHpageref] = ACTIONS(7471),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHautopageref] = ACTIONS(7471),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcref] = ACTIONS(7471),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCref] = ACTIONS(7471),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcpageref] = ACTIONS(7471),
    [anon_sym_BSLASHCpageref] = ACTIONS(7471),
    [anon_sym_BSLASHnamecref] = ACTIONS(7471),
    [anon_sym_BSLASHnameCref] = ACTIONS(7471),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7471),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7471),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7471),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7471),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7471),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7471),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7471),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7471),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7471),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7471),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7471),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHdef] = ACTIONS(7471),
    [anon_sym_BSLASHgdef] = ACTIONS(7471),
    [anon_sym_BSLASHedef] = ACTIONS(7471),
    [anon_sym_BSLASHxdef] = ACTIONS(7471),
    [anon_sym_BSLASHlet] = ACTIONS(7471),
    [anon_sym_BSLASHglet] = ACTIONS(7471),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7471),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7471),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7471),
    [anon_sym_BSLASHgls] = ACTIONS(7471),
    [anon_sym_BSLASHGls] = ACTIONS(7471),
    [anon_sym_BSLASHGLS] = ACTIONS(7471),
    [anon_sym_BSLASHglspl] = ACTIONS(7471),
    [anon_sym_BSLASHGlspl] = ACTIONS(7471),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7471),
    [anon_sym_BSLASHglslink] = ACTIONS(7471),
    [anon_sym_BSLASHglstext] = ACTIONS(7471),
    [anon_sym_BSLASHGlstext] = ACTIONS(7471),
    [anon_sym_BSLASHGLStext] = ACTIONS(7471),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7471),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7471),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7471),
    [anon_sym_BSLASHglsplural] = ACTIONS(7471),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7471),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7471),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHglsname] = ACTIONS(7471),
    [anon_sym_BSLASHGlsname] = ACTIONS(7471),
    [anon_sym_BSLASHGLSname] = ACTIONS(7471),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7471),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7471),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7471),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7471),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7471),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7471),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7471),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7471),
    [anon_sym_BSLASHacrshort] = ACTIONS(7471),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7471),
    [anon_sym_BSLASHACRshort] = ACTIONS(7471),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHacrlong] = ACTIONS(7471),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7471),
    [anon_sym_BSLASHACRlong] = ACTIONS(7471),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHacrfull] = ACTIONS(7471),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7471),
    [anon_sym_BSLASHACRfull] = ACTIONS(7471),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHacs] = ACTIONS(7471),
    [anon_sym_BSLASHAcs] = ACTIONS(7471),
    [anon_sym_BSLASHacsp] = ACTIONS(7471),
    [anon_sym_BSLASHAcsp] = ACTIONS(7471),
    [anon_sym_BSLASHacl] = ACTIONS(7471),
    [anon_sym_BSLASHAcl] = ACTIONS(7471),
    [anon_sym_BSLASHaclp] = ACTIONS(7471),
    [anon_sym_BSLASHAclp] = ACTIONS(7471),
    [anon_sym_BSLASHacf] = ACTIONS(7471),
    [anon_sym_BSLASHAcf] = ACTIONS(7471),
    [anon_sym_BSLASHacfp] = ACTIONS(7471),
    [anon_sym_BSLASHAcfp] = ACTIONS(7471),
    [anon_sym_BSLASHac] = ACTIONS(7471),
    [anon_sym_BSLASHAc] = ACTIONS(7471),
    [anon_sym_BSLASHacp] = ACTIONS(7471),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7471),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7471),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7471),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7471),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7471),
    [anon_sym_BSLASHcolor] = ACTIONS(7471),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7471),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7471),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7471),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7471),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7471),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7471),
    [anon_sym_BSLASHurl] = ACTIONS(7471),
    [anon_sym_BSLASHhref] = ACTIONS(7471),
  },
  [1322] = {
    [sym_command_name] = ACTIONS(7475),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7475),
    [anon_sym_LBRACK] = ACTIONS(7477),
    [anon_sym_RBRACK] = ACTIONS(7477),
    [anon_sym_COMMA] = ACTIONS(7477),
    [anon_sym_EQ] = ACTIONS(7477),
    [anon_sym_LPAREN] = ACTIONS(7477),
    [anon_sym_RPAREN] = ACTIONS(7477),
    [anon_sym_BSLASHpart] = ACTIONS(7475),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHaddpart] = ACTIONS(7475),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHchapter] = ACTIONS(7475),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHaddchap] = ACTIONS(7475),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHsection] = ACTIONS(7475),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHaddsec] = ACTIONS(7475),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHsubsection] = ACTIONS(7475),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7475),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHparagraph] = ACTIONS(7475),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7475),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHitem] = ACTIONS(7475),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7477),
    [anon_sym_LBRACE] = ACTIONS(7477),
    [sym_word] = ACTIONS(7475),
    [sym_placeholder] = ACTIONS(7477),
    [sym_delimiter] = ACTIONS(7477),
    [anon_sym_PLUS] = ACTIONS(7477),
    [anon_sym_DASH] = ACTIONS(7477),
    [anon_sym_STAR] = ACTIONS(7477),
    [anon_sym_SLASH] = ACTIONS(7477),
    [anon_sym_LT] = ACTIONS(7475),
    [anon_sym_GT] = ACTIONS(7475),
    [anon_sym_BANG] = ACTIONS(7475),
    [anon_sym_PIPE] = ACTIONS(7475),
    [anon_sym_COLON] = ACTIONS(7475),
    [anon_sym_SQUOTE] = ACTIONS(7475),
    [anon_sym__] = ACTIONS(7477),
    [anon_sym_CARET] = ACTIONS(7477),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7477),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7477),
    [anon_sym_DOLLAR] = ACTIONS(7475),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7477),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7477),
    [anon_sym_BSLASHleft] = ACTIONS(7475),
    [anon_sym_BSLASHbigl] = ACTIONS(7475),
    [anon_sym_BSLASHBigl] = ACTIONS(7475),
    [anon_sym_BSLASHbiggl] = ACTIONS(7475),
    [anon_sym_BSLASHBiggl] = ACTIONS(7475),
    [anon_sym_BSLASHtext] = ACTIONS(7475),
    [anon_sym_BSLASHintertext] = ACTIONS(7475),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7475),
    [anon_sym_BSLASHbegin] = ACTIONS(7475),
    [anon_sym_BSLASHtitle] = ACTIONS(7475),
    [anon_sym_BSLASHauthor] = ACTIONS(7475),
    [anon_sym_BSLASHusepackage] = ACTIONS(7475),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7475),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7475),
    [anon_sym_BSLASHinclude] = ACTIONS(7475),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7475),
    [anon_sym_BSLASHinput] = ACTIONS(7475),
    [anon_sym_BSLASHsubfile] = ACTIONS(7475),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7475),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7475),
    [anon_sym_BSLASHbibliography] = ACTIONS(7475),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7475),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7475),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7475),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7475),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7475),
    [anon_sym_BSLASHimport] = ACTIONS(7475),
    [anon_sym_BSLASHsubimport] = ACTIONS(7475),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7475),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7475),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7475),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7475),
    [anon_sym_BSLASHcaption] = ACTIONS(7475),
    [anon_sym_BSLASHcite] = ACTIONS(7475),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCite] = ACTIONS(7475),
    [anon_sym_BSLASHnocite] = ACTIONS(7475),
    [anon_sym_BSLASHcitet] = ACTIONS(7475),
    [anon_sym_BSLASHcitep] = ACTIONS(7475),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteA] = ACTIONS(7475),
    [anon_sym_BSLASHciteR] = ACTIONS(7475),
    [anon_sym_BSLASHciteS] = ACTIONS(7475),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7475),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7475),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7475),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7475),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteyear] = ACTIONS(7475),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitedate] = ACTIONS(7475),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteurl] = ACTIONS(7475),
    [anon_sym_BSLASHfullcite] = ACTIONS(7475),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7475),
    [anon_sym_BSLASHcitealt] = ACTIONS(7475),
    [anon_sym_BSLASHcitealp] = ACTIONS(7475),
    [anon_sym_BSLASHcitetext] = ACTIONS(7475),
    [anon_sym_BSLASHparencite] = ACTIONS(7475),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHParencite] = ACTIONS(7475),
    [anon_sym_BSLASHfootcite] = ACTIONS(7475),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7475),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7475),
    [anon_sym_BSLASHtextcite] = ACTIONS(7475),
    [anon_sym_BSLASHTextcite] = ACTIONS(7475),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7475),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7475),
    [anon_sym_BSLASHsupercite] = ACTIONS(7475),
    [anon_sym_BSLASHautocite] = ACTIONS(7475),
    [anon_sym_BSLASHAutocite] = ACTIONS(7475),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHVolcite] = ACTIONS(7475),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHavolcite] = ACTIONS(7475),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHNotecite] = ACTIONS(7475),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHlabel] = ACTIONS(7475),
    [anon_sym_BSLASHref] = ACTIONS(7475),
    [anon_sym_BSLASHeqref] = ACTIONS(7475),
    [anon_sym_BSLASHvref] = ACTIONS(7475),
    [anon_sym_BSLASHVref] = ACTIONS(7475),
    [anon_sym_BSLASHautoref] = ACTIONS(7475),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHpageref] = ACTIONS(7475),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHautopageref] = ACTIONS(7475),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcref] = ACTIONS(7475),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCref] = ACTIONS(7475),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcpageref] = ACTIONS(7475),
    [anon_sym_BSLASHCpageref] = ACTIONS(7475),
    [anon_sym_BSLASHnamecref] = ACTIONS(7475),
    [anon_sym_BSLASHnameCref] = ACTIONS(7475),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7475),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7475),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7475),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7475),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7475),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7475),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7475),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7475),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7475),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7475),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7475),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHdef] = ACTIONS(7475),
    [anon_sym_BSLASHgdef] = ACTIONS(7475),
    [anon_sym_BSLASHedef] = ACTIONS(7475),
    [anon_sym_BSLASHxdef] = ACTIONS(7475),
    [anon_sym_BSLASHlet] = ACTIONS(7475),
    [anon_sym_BSLASHglet] = ACTIONS(7475),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7475),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7475),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7475),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7475),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7475),
    [anon_sym_BSLASHgls] = ACTIONS(7475),
    [anon_sym_BSLASHGls] = ACTIONS(7475),
    [anon_sym_BSLASHGLS] = ACTIONS(7475),
    [anon_sym_BSLASHglspl] = ACTIONS(7475),
    [anon_sym_BSLASHGlspl] = ACTIONS(7475),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7475),
    [anon_sym_BSLASHglslink] = ACTIONS(7475),
    [anon_sym_BSLASHglstext] = ACTIONS(7475),
    [anon_sym_BSLASHGlstext] = ACTIONS(7475),
    [anon_sym_BSLASHGLStext] = ACTIONS(7475),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7475),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7475),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7475),
    [anon_sym_BSLASHglsplural] = ACTIONS(7475),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7475),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7475),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHglsname] = ACTIONS(7475),
    [anon_sym_BSLASHGlsname] = ACTIONS(7475),
    [anon_sym_BSLASHGLSname] = ACTIONS(7475),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7475),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7475),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7475),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7475),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7475),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7475),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7475),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7475),
    [anon_sym_BSLASHacrshort] = ACTIONS(7475),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7475),
    [anon_sym_BSLASHACRshort] = ACTIONS(7475),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHacrlong] = ACTIONS(7475),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7475),
    [anon_sym_BSLASHACRlong] = ACTIONS(7475),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHacrfull] = ACTIONS(7475),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7475),
    [anon_sym_BSLASHACRfull] = ACTIONS(7475),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHacs] = ACTIONS(7475),
    [anon_sym_BSLASHAcs] = ACTIONS(7475),
    [anon_sym_BSLASHacsp] = ACTIONS(7475),
    [anon_sym_BSLASHAcsp] = ACTIONS(7475),
    [anon_sym_BSLASHacl] = ACTIONS(7475),
    [anon_sym_BSLASHAcl] = ACTIONS(7475),
    [anon_sym_BSLASHaclp] = ACTIONS(7475),
    [anon_sym_BSLASHAclp] = ACTIONS(7475),
    [anon_sym_BSLASHacf] = ACTIONS(7475),
    [anon_sym_BSLASHAcf] = ACTIONS(7475),
    [anon_sym_BSLASHacfp] = ACTIONS(7475),
    [anon_sym_BSLASHAcfp] = ACTIONS(7475),
    [anon_sym_BSLASHac] = ACTIONS(7475),
    [anon_sym_BSLASHAc] = ACTIONS(7475),
    [anon_sym_BSLASHacp] = ACTIONS(7475),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7475),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7475),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7475),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7475),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7475),
    [anon_sym_BSLASHcolor] = ACTIONS(7475),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7475),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7475),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7475),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7475),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7475),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7475),
    [anon_sym_BSLASHurl] = ACTIONS(7475),
    [anon_sym_BSLASHhref] = ACTIONS(7475),
  },
  [1323] = {
    [sym_command_name] = ACTIONS(7479),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(7481),
    [anon_sym_RBRACK] = ACTIONS(7481),
    [anon_sym_COMMA] = ACTIONS(7481),
    [anon_sym_EQ] = ACTIONS(7481),
    [anon_sym_LPAREN] = ACTIONS(7481),
    [anon_sym_RPAREN] = ACTIONS(7481),
    [anon_sym_BSLASHpart] = ACTIONS(7479),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHaddpart] = ACTIONS(7479),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHchapter] = ACTIONS(7479),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHaddchap] = ACTIONS(7479),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHsection] = ACTIONS(7479),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHaddsec] = ACTIONS(7479),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHsubsection] = ACTIONS(7479),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7479),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHparagraph] = ACTIONS(7479),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7479),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHitem] = ACTIONS(7479),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7481),
    [anon_sym_LBRACE] = ACTIONS(7481),
    [sym_word] = ACTIONS(7479),
    [sym_placeholder] = ACTIONS(7481),
    [sym_delimiter] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7481),
    [anon_sym_DASH] = ACTIONS(7481),
    [anon_sym_STAR] = ACTIONS(7481),
    [anon_sym_SLASH] = ACTIONS(7481),
    [anon_sym_LT] = ACTIONS(7479),
    [anon_sym_GT] = ACTIONS(7479),
    [anon_sym_BANG] = ACTIONS(7479),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_COLON] = ACTIONS(7479),
    [anon_sym_SQUOTE] = ACTIONS(7479),
    [anon_sym__] = ACTIONS(7481),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7481),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7481),
    [anon_sym_DOLLAR] = ACTIONS(7479),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7481),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7481),
    [anon_sym_BSLASHleft] = ACTIONS(7479),
    [anon_sym_BSLASHbigl] = ACTIONS(7479),
    [anon_sym_BSLASHBigl] = ACTIONS(7479),
    [anon_sym_BSLASHbiggl] = ACTIONS(7479),
    [anon_sym_BSLASHBiggl] = ACTIONS(7479),
    [anon_sym_BSLASHtext] = ACTIONS(7479),
    [anon_sym_BSLASHintertext] = ACTIONS(7479),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7479),
    [anon_sym_BSLASHbegin] = ACTIONS(7479),
    [anon_sym_BSLASHtitle] = ACTIONS(7479),
    [anon_sym_BSLASHauthor] = ACTIONS(7479),
    [anon_sym_BSLASHusepackage] = ACTIONS(7479),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7479),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7479),
    [anon_sym_BSLASHinclude] = ACTIONS(7479),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7479),
    [anon_sym_BSLASHinput] = ACTIONS(7479),
    [anon_sym_BSLASHsubfile] = ACTIONS(7479),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7479),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7479),
    [anon_sym_BSLASHbibliography] = ACTIONS(7479),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7479),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7479),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7479),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7479),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7479),
    [anon_sym_BSLASHimport] = ACTIONS(7479),
    [anon_sym_BSLASHsubimport] = ACTIONS(7479),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7479),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7479),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7479),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7479),
    [anon_sym_BSLASHcaption] = ACTIONS(7479),
    [anon_sym_BSLASHcite] = ACTIONS(7479),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCite] = ACTIONS(7479),
    [anon_sym_BSLASHnocite] = ACTIONS(7479),
    [anon_sym_BSLASHcitet] = ACTIONS(7479),
    [anon_sym_BSLASHcitep] = ACTIONS(7479),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteA] = ACTIONS(7479),
    [anon_sym_BSLASHciteR] = ACTIONS(7479),
    [anon_sym_BSLASHciteS] = ACTIONS(7479),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7479),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7479),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7479),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7479),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteyear] = ACTIONS(7479),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitedate] = ACTIONS(7479),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteurl] = ACTIONS(7479),
    [anon_sym_BSLASHfullcite] = ACTIONS(7479),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7479),
    [anon_sym_BSLASHcitealt] = ACTIONS(7479),
    [anon_sym_BSLASHcitealp] = ACTIONS(7479),
    [anon_sym_BSLASHcitetext] = ACTIONS(7479),
    [anon_sym_BSLASHparencite] = ACTIONS(7479),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHParencite] = ACTIONS(7479),
    [anon_sym_BSLASHfootcite] = ACTIONS(7479),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7479),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7479),
    [anon_sym_BSLASHtextcite] = ACTIONS(7479),
    [anon_sym_BSLASHTextcite] = ACTIONS(7479),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7479),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7479),
    [anon_sym_BSLASHsupercite] = ACTIONS(7479),
    [anon_sym_BSLASHautocite] = ACTIONS(7479),
    [anon_sym_BSLASHAutocite] = ACTIONS(7479),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHVolcite] = ACTIONS(7479),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHavolcite] = ACTIONS(7479),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHNotecite] = ACTIONS(7479),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHlabel] = ACTIONS(7479),
    [anon_sym_BSLASHref] = ACTIONS(7479),
    [anon_sym_BSLASHeqref] = ACTIONS(7479),
    [anon_sym_BSLASHvref] = ACTIONS(7479),
    [anon_sym_BSLASHVref] = ACTIONS(7479),
    [anon_sym_BSLASHautoref] = ACTIONS(7479),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHpageref] = ACTIONS(7479),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHautopageref] = ACTIONS(7479),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcref] = ACTIONS(7479),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCref] = ACTIONS(7479),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcpageref] = ACTIONS(7479),
    [anon_sym_BSLASHCpageref] = ACTIONS(7479),
    [anon_sym_BSLASHnamecref] = ACTIONS(7479),
    [anon_sym_BSLASHnameCref] = ACTIONS(7479),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7479),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7479),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7479),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7479),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7479),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7479),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7479),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7479),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7479),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7479),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7479),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHdef] = ACTIONS(7479),
    [anon_sym_BSLASHgdef] = ACTIONS(7479),
    [anon_sym_BSLASHedef] = ACTIONS(7479),
    [anon_sym_BSLASHxdef] = ACTIONS(7479),
    [anon_sym_BSLASHlet] = ACTIONS(7479),
    [anon_sym_BSLASHglet] = ACTIONS(7479),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7479),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7479),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7479),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7479),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7479),
    [anon_sym_BSLASHgls] = ACTIONS(7479),
    [anon_sym_BSLASHGls] = ACTIONS(7479),
    [anon_sym_BSLASHGLS] = ACTIONS(7479),
    [anon_sym_BSLASHglspl] = ACTIONS(7479),
    [anon_sym_BSLASHGlspl] = ACTIONS(7479),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7479),
    [anon_sym_BSLASHglslink] = ACTIONS(7479),
    [anon_sym_BSLASHglstext] = ACTIONS(7479),
    [anon_sym_BSLASHGlstext] = ACTIONS(7479),
    [anon_sym_BSLASHGLStext] = ACTIONS(7479),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7479),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7479),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7479),
    [anon_sym_BSLASHglsplural] = ACTIONS(7479),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7479),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7479),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHglsname] = ACTIONS(7479),
    [anon_sym_BSLASHGlsname] = ACTIONS(7479),
    [anon_sym_BSLASHGLSname] = ACTIONS(7479),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7479),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7479),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7479),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7479),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7479),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7479),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7479),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7479),
    [anon_sym_BSLASHacrshort] = ACTIONS(7479),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7479),
    [anon_sym_BSLASHACRshort] = ACTIONS(7479),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHacrlong] = ACTIONS(7479),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7479),
    [anon_sym_BSLASHACRlong] = ACTIONS(7479),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHacrfull] = ACTIONS(7479),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7479),
    [anon_sym_BSLASHACRfull] = ACTIONS(7479),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHacs] = ACTIONS(7479),
    [anon_sym_BSLASHAcs] = ACTIONS(7479),
    [anon_sym_BSLASHacsp] = ACTIONS(7479),
    [anon_sym_BSLASHAcsp] = ACTIONS(7479),
    [anon_sym_BSLASHacl] = ACTIONS(7479),
    [anon_sym_BSLASHAcl] = ACTIONS(7479),
    [anon_sym_BSLASHaclp] = ACTIONS(7479),
    [anon_sym_BSLASHAclp] = ACTIONS(7479),
    [anon_sym_BSLASHacf] = ACTIONS(7479),
    [anon_sym_BSLASHAcf] = ACTIONS(7479),
    [anon_sym_BSLASHacfp] = ACTIONS(7479),
    [anon_sym_BSLASHAcfp] = ACTIONS(7479),
    [anon_sym_BSLASHac] = ACTIONS(7479),
    [anon_sym_BSLASHAc] = ACTIONS(7479),
    [anon_sym_BSLASHacp] = ACTIONS(7479),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7479),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7479),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7479),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7479),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7479),
    [anon_sym_BSLASHcolor] = ACTIONS(7479),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7479),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7479),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7479),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7479),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7479),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7479),
    [anon_sym_BSLASHurl] = ACTIONS(7479),
    [anon_sym_BSLASHhref] = ACTIONS(7479),
  },
  [1324] = {
    [sym_command_name] = ACTIONS(7359),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7359),
    [anon_sym_LBRACK] = ACTIONS(7361),
    [anon_sym_RBRACK] = ACTIONS(7361),
    [anon_sym_COMMA] = ACTIONS(7361),
    [anon_sym_EQ] = ACTIONS(7361),
    [anon_sym_LPAREN] = ACTIONS(7361),
    [anon_sym_RPAREN] = ACTIONS(7361),
    [anon_sym_BSLASHpart] = ACTIONS(7359),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHaddpart] = ACTIONS(7359),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHchapter] = ACTIONS(7359),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHaddchap] = ACTIONS(7359),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHsection] = ACTIONS(7359),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHaddsec] = ACTIONS(7359),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHsubsection] = ACTIONS(7359),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7359),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHparagraph] = ACTIONS(7359),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7359),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHitem] = ACTIONS(7359),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7361),
    [anon_sym_LBRACE] = ACTIONS(7361),
    [sym_word] = ACTIONS(7359),
    [sym_placeholder] = ACTIONS(7361),
    [sym_delimiter] = ACTIONS(7361),
    [anon_sym_PLUS] = ACTIONS(7361),
    [anon_sym_DASH] = ACTIONS(7361),
    [anon_sym_STAR] = ACTIONS(7361),
    [anon_sym_SLASH] = ACTIONS(7361),
    [anon_sym_LT] = ACTIONS(7359),
    [anon_sym_GT] = ACTIONS(7359),
    [anon_sym_BANG] = ACTIONS(7359),
    [anon_sym_PIPE] = ACTIONS(7359),
    [anon_sym_COLON] = ACTIONS(7359),
    [anon_sym_SQUOTE] = ACTIONS(7359),
    [anon_sym__] = ACTIONS(7361),
    [anon_sym_CARET] = ACTIONS(7361),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7361),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7361),
    [anon_sym_DOLLAR] = ACTIONS(7359),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7361),
    [anon_sym_BSLASHleft] = ACTIONS(7359),
    [anon_sym_BSLASHbigl] = ACTIONS(7359),
    [anon_sym_BSLASHBigl] = ACTIONS(7359),
    [anon_sym_BSLASHbiggl] = ACTIONS(7359),
    [anon_sym_BSLASHBiggl] = ACTIONS(7359),
    [anon_sym_BSLASHtext] = ACTIONS(7359),
    [anon_sym_BSLASHintertext] = ACTIONS(7359),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7359),
    [anon_sym_BSLASHbegin] = ACTIONS(7359),
    [anon_sym_BSLASHend] = ACTIONS(7359),
    [anon_sym_BSLASHtitle] = ACTIONS(7359),
    [anon_sym_BSLASHauthor] = ACTIONS(7359),
    [anon_sym_BSLASHusepackage] = ACTIONS(7359),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7359),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7359),
    [anon_sym_BSLASHinclude] = ACTIONS(7359),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7359),
    [anon_sym_BSLASHinput] = ACTIONS(7359),
    [anon_sym_BSLASHsubfile] = ACTIONS(7359),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7359),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7359),
    [anon_sym_BSLASHbibliography] = ACTIONS(7359),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7359),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7359),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7359),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7359),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7359),
    [anon_sym_BSLASHimport] = ACTIONS(7359),
    [anon_sym_BSLASHsubimport] = ACTIONS(7359),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7359),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7359),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7359),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7359),
    [anon_sym_BSLASHcaption] = ACTIONS(7359),
    [anon_sym_BSLASHcite] = ACTIONS(7359),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCite] = ACTIONS(7359),
    [anon_sym_BSLASHnocite] = ACTIONS(7359),
    [anon_sym_BSLASHcitet] = ACTIONS(7359),
    [anon_sym_BSLASHcitep] = ACTIONS(7359),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteA] = ACTIONS(7359),
    [anon_sym_BSLASHciteR] = ACTIONS(7359),
    [anon_sym_BSLASHciteS] = ACTIONS(7359),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7359),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7359),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7359),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7359),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteyear] = ACTIONS(7359),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitedate] = ACTIONS(7359),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteurl] = ACTIONS(7359),
    [anon_sym_BSLASHfullcite] = ACTIONS(7359),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7359),
    [anon_sym_BSLASHcitealt] = ACTIONS(7359),
    [anon_sym_BSLASHcitealp] = ACTIONS(7359),
    [anon_sym_BSLASHcitetext] = ACTIONS(7359),
    [anon_sym_BSLASHparencite] = ACTIONS(7359),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHParencite] = ACTIONS(7359),
    [anon_sym_BSLASHfootcite] = ACTIONS(7359),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7359),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7359),
    [anon_sym_BSLASHtextcite] = ACTIONS(7359),
    [anon_sym_BSLASHTextcite] = ACTIONS(7359),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7359),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7359),
    [anon_sym_BSLASHsupercite] = ACTIONS(7359),
    [anon_sym_BSLASHautocite] = ACTIONS(7359),
    [anon_sym_BSLASHAutocite] = ACTIONS(7359),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHVolcite] = ACTIONS(7359),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHavolcite] = ACTIONS(7359),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHNotecite] = ACTIONS(7359),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHlabel] = ACTIONS(7359),
    [anon_sym_BSLASHref] = ACTIONS(7359),
    [anon_sym_BSLASHeqref] = ACTIONS(7359),
    [anon_sym_BSLASHvref] = ACTIONS(7359),
    [anon_sym_BSLASHVref] = ACTIONS(7359),
    [anon_sym_BSLASHautoref] = ACTIONS(7359),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHpageref] = ACTIONS(7359),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHautopageref] = ACTIONS(7359),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcref] = ACTIONS(7359),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCref] = ACTIONS(7359),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcpageref] = ACTIONS(7359),
    [anon_sym_BSLASHCpageref] = ACTIONS(7359),
    [anon_sym_BSLASHnamecref] = ACTIONS(7359),
    [anon_sym_BSLASHnameCref] = ACTIONS(7359),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7359),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7359),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7359),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7359),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7359),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7359),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7359),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7359),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7359),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7359),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7359),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHdef] = ACTIONS(7359),
    [anon_sym_BSLASHgdef] = ACTIONS(7359),
    [anon_sym_BSLASHedef] = ACTIONS(7359),
    [anon_sym_BSLASHxdef] = ACTIONS(7359),
    [anon_sym_BSLASHlet] = ACTIONS(7359),
    [anon_sym_BSLASHglet] = ACTIONS(7359),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7359),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7359),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7359),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7359),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7359),
    [anon_sym_BSLASHgls] = ACTIONS(7359),
    [anon_sym_BSLASHGls] = ACTIONS(7359),
    [anon_sym_BSLASHGLS] = ACTIONS(7359),
    [anon_sym_BSLASHglspl] = ACTIONS(7359),
    [anon_sym_BSLASHGlspl] = ACTIONS(7359),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7359),
    [anon_sym_BSLASHglslink] = ACTIONS(7359),
    [anon_sym_BSLASHglstext] = ACTIONS(7359),
    [anon_sym_BSLASHGlstext] = ACTIONS(7359),
    [anon_sym_BSLASHGLStext] = ACTIONS(7359),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7359),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7359),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7359),
    [anon_sym_BSLASHglsplural] = ACTIONS(7359),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7359),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7359),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHglsname] = ACTIONS(7359),
    [anon_sym_BSLASHGlsname] = ACTIONS(7359),
    [anon_sym_BSLASHGLSname] = ACTIONS(7359),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7359),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7359),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7359),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7359),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7359),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7359),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7359),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7359),
    [anon_sym_BSLASHacrshort] = ACTIONS(7359),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7359),
    [anon_sym_BSLASHACRshort] = ACTIONS(7359),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHacrlong] = ACTIONS(7359),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7359),
    [anon_sym_BSLASHACRlong] = ACTIONS(7359),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHacrfull] = ACTIONS(7359),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7359),
    [anon_sym_BSLASHACRfull] = ACTIONS(7359),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHacs] = ACTIONS(7359),
    [anon_sym_BSLASHAcs] = ACTIONS(7359),
    [anon_sym_BSLASHacsp] = ACTIONS(7359),
    [anon_sym_BSLASHAcsp] = ACTIONS(7359),
    [anon_sym_BSLASHacl] = ACTIONS(7359),
    [anon_sym_BSLASHAcl] = ACTIONS(7359),
    [anon_sym_BSLASHaclp] = ACTIONS(7359),
    [anon_sym_BSLASHAclp] = ACTIONS(7359),
    [anon_sym_BSLASHacf] = ACTIONS(7359),
    [anon_sym_BSLASHAcf] = ACTIONS(7359),
    [anon_sym_BSLASHacfp] = ACTIONS(7359),
    [anon_sym_BSLASHAcfp] = ACTIONS(7359),
    [anon_sym_BSLASHac] = ACTIONS(7359),
    [anon_sym_BSLASHAc] = ACTIONS(7359),
    [anon_sym_BSLASHacp] = ACTIONS(7359),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7359),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7359),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7359),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7359),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7359),
    [anon_sym_BSLASHcolor] = ACTIONS(7359),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7359),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7359),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7359),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7359),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7359),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7359),
    [anon_sym_BSLASHurl] = ACTIONS(7359),
    [anon_sym_BSLASHhref] = ACTIONS(7359),
  },
  [1325] = {
    [sym_command_name] = ACTIONS(7483),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(7485),
    [anon_sym_RBRACK] = ACTIONS(7485),
    [anon_sym_COMMA] = ACTIONS(7485),
    [anon_sym_EQ] = ACTIONS(7485),
    [anon_sym_LPAREN] = ACTIONS(7485),
    [anon_sym_RPAREN] = ACTIONS(7485),
    [anon_sym_BSLASHpart] = ACTIONS(7483),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHaddpart] = ACTIONS(7483),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHchapter] = ACTIONS(7483),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHaddchap] = ACTIONS(7483),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHsection] = ACTIONS(7483),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHaddsec] = ACTIONS(7483),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHsubsection] = ACTIONS(7483),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7483),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHparagraph] = ACTIONS(7483),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7483),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHitem] = ACTIONS(7483),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7485),
    [anon_sym_LBRACE] = ACTIONS(7485),
    [sym_word] = ACTIONS(7483),
    [sym_placeholder] = ACTIONS(7485),
    [sym_delimiter] = ACTIONS(7485),
    [anon_sym_PLUS] = ACTIONS(7485),
    [anon_sym_DASH] = ACTIONS(7485),
    [anon_sym_STAR] = ACTIONS(7485),
    [anon_sym_SLASH] = ACTIONS(7485),
    [anon_sym_LT] = ACTIONS(7483),
    [anon_sym_GT] = ACTIONS(7483),
    [anon_sym_BANG] = ACTIONS(7483),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_COLON] = ACTIONS(7483),
    [anon_sym_SQUOTE] = ACTIONS(7483),
    [anon_sym__] = ACTIONS(7485),
    [anon_sym_CARET] = ACTIONS(7485),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7485),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7485),
    [anon_sym_DOLLAR] = ACTIONS(7483),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7485),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7485),
    [anon_sym_BSLASHleft] = ACTIONS(7483),
    [anon_sym_BSLASHbigl] = ACTIONS(7483),
    [anon_sym_BSLASHBigl] = ACTIONS(7483),
    [anon_sym_BSLASHbiggl] = ACTIONS(7483),
    [anon_sym_BSLASHBiggl] = ACTIONS(7483),
    [anon_sym_BSLASHtext] = ACTIONS(7483),
    [anon_sym_BSLASHintertext] = ACTIONS(7483),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7483),
    [anon_sym_BSLASHbegin] = ACTIONS(7483),
    [anon_sym_BSLASHtitle] = ACTIONS(7483),
    [anon_sym_BSLASHauthor] = ACTIONS(7483),
    [anon_sym_BSLASHusepackage] = ACTIONS(7483),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7483),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7483),
    [anon_sym_BSLASHinclude] = ACTIONS(7483),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7483),
    [anon_sym_BSLASHinput] = ACTIONS(7483),
    [anon_sym_BSLASHsubfile] = ACTIONS(7483),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7483),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7483),
    [anon_sym_BSLASHbibliography] = ACTIONS(7483),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7483),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7483),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7483),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7483),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7483),
    [anon_sym_BSLASHimport] = ACTIONS(7483),
    [anon_sym_BSLASHsubimport] = ACTIONS(7483),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7483),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7483),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7483),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7483),
    [anon_sym_BSLASHcaption] = ACTIONS(7483),
    [anon_sym_BSLASHcite] = ACTIONS(7483),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCite] = ACTIONS(7483),
    [anon_sym_BSLASHnocite] = ACTIONS(7483),
    [anon_sym_BSLASHcitet] = ACTIONS(7483),
    [anon_sym_BSLASHcitep] = ACTIONS(7483),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteA] = ACTIONS(7483),
    [anon_sym_BSLASHciteR] = ACTIONS(7483),
    [anon_sym_BSLASHciteS] = ACTIONS(7483),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7483),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7483),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7483),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7483),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteyear] = ACTIONS(7483),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitedate] = ACTIONS(7483),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteurl] = ACTIONS(7483),
    [anon_sym_BSLASHfullcite] = ACTIONS(7483),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7483),
    [anon_sym_BSLASHcitealt] = ACTIONS(7483),
    [anon_sym_BSLASHcitealp] = ACTIONS(7483),
    [anon_sym_BSLASHcitetext] = ACTIONS(7483),
    [anon_sym_BSLASHparencite] = ACTIONS(7483),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHParencite] = ACTIONS(7483),
    [anon_sym_BSLASHfootcite] = ACTIONS(7483),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7483),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7483),
    [anon_sym_BSLASHtextcite] = ACTIONS(7483),
    [anon_sym_BSLASHTextcite] = ACTIONS(7483),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7483),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7483),
    [anon_sym_BSLASHsupercite] = ACTIONS(7483),
    [anon_sym_BSLASHautocite] = ACTIONS(7483),
    [anon_sym_BSLASHAutocite] = ACTIONS(7483),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHVolcite] = ACTIONS(7483),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHavolcite] = ACTIONS(7483),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHNotecite] = ACTIONS(7483),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHlabel] = ACTIONS(7483),
    [anon_sym_BSLASHref] = ACTIONS(7483),
    [anon_sym_BSLASHeqref] = ACTIONS(7483),
    [anon_sym_BSLASHvref] = ACTIONS(7483),
    [anon_sym_BSLASHVref] = ACTIONS(7483),
    [anon_sym_BSLASHautoref] = ACTIONS(7483),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHpageref] = ACTIONS(7483),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHautopageref] = ACTIONS(7483),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcref] = ACTIONS(7483),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCref] = ACTIONS(7483),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcpageref] = ACTIONS(7483),
    [anon_sym_BSLASHCpageref] = ACTIONS(7483),
    [anon_sym_BSLASHnamecref] = ACTIONS(7483),
    [anon_sym_BSLASHnameCref] = ACTIONS(7483),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7483),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7483),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7483),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7483),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7483),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7483),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7483),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7483),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7483),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7483),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7483),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHdef] = ACTIONS(7483),
    [anon_sym_BSLASHgdef] = ACTIONS(7483),
    [anon_sym_BSLASHedef] = ACTIONS(7483),
    [anon_sym_BSLASHxdef] = ACTIONS(7483),
    [anon_sym_BSLASHlet] = ACTIONS(7483),
    [anon_sym_BSLASHglet] = ACTIONS(7483),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7483),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7483),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7483),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7483),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7483),
    [anon_sym_BSLASHgls] = ACTIONS(7483),
    [anon_sym_BSLASHGls] = ACTIONS(7483),
    [anon_sym_BSLASHGLS] = ACTIONS(7483),
    [anon_sym_BSLASHglspl] = ACTIONS(7483),
    [anon_sym_BSLASHGlspl] = ACTIONS(7483),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7483),
    [anon_sym_BSLASHglslink] = ACTIONS(7483),
    [anon_sym_BSLASHglstext] = ACTIONS(7483),
    [anon_sym_BSLASHGlstext] = ACTIONS(7483),
    [anon_sym_BSLASHGLStext] = ACTIONS(7483),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7483),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7483),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7483),
    [anon_sym_BSLASHglsplural] = ACTIONS(7483),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7483),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7483),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHglsname] = ACTIONS(7483),
    [anon_sym_BSLASHGlsname] = ACTIONS(7483),
    [anon_sym_BSLASHGLSname] = ACTIONS(7483),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7483),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7483),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7483),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7483),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7483),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7483),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7483),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7483),
    [anon_sym_BSLASHacrshort] = ACTIONS(7483),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7483),
    [anon_sym_BSLASHACRshort] = ACTIONS(7483),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHacrlong] = ACTIONS(7483),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7483),
    [anon_sym_BSLASHACRlong] = ACTIONS(7483),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHacrfull] = ACTIONS(7483),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7483),
    [anon_sym_BSLASHACRfull] = ACTIONS(7483),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHacs] = ACTIONS(7483),
    [anon_sym_BSLASHAcs] = ACTIONS(7483),
    [anon_sym_BSLASHacsp] = ACTIONS(7483),
    [anon_sym_BSLASHAcsp] = ACTIONS(7483),
    [anon_sym_BSLASHacl] = ACTIONS(7483),
    [anon_sym_BSLASHAcl] = ACTIONS(7483),
    [anon_sym_BSLASHaclp] = ACTIONS(7483),
    [anon_sym_BSLASHAclp] = ACTIONS(7483),
    [anon_sym_BSLASHacf] = ACTIONS(7483),
    [anon_sym_BSLASHAcf] = ACTIONS(7483),
    [anon_sym_BSLASHacfp] = ACTIONS(7483),
    [anon_sym_BSLASHAcfp] = ACTIONS(7483),
    [anon_sym_BSLASHac] = ACTIONS(7483),
    [anon_sym_BSLASHAc] = ACTIONS(7483),
    [anon_sym_BSLASHacp] = ACTIONS(7483),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7483),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7483),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7483),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7483),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7483),
    [anon_sym_BSLASHcolor] = ACTIONS(7483),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7483),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7483),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7483),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7483),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7483),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7483),
    [anon_sym_BSLASHurl] = ACTIONS(7483),
    [anon_sym_BSLASHhref] = ACTIONS(7483),
  },
  [1326] = {
    [sym_command_name] = ACTIONS(7599),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7599),
    [anon_sym_LBRACK] = ACTIONS(7601),
    [anon_sym_RBRACK] = ACTIONS(7601),
    [anon_sym_COMMA] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(7601),
    [anon_sym_LPAREN] = ACTIONS(7601),
    [anon_sym_RPAREN] = ACTIONS(7601),
    [anon_sym_BSLASHpart] = ACTIONS(7599),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHaddpart] = ACTIONS(7599),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHchapter] = ACTIONS(7599),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHaddchap] = ACTIONS(7599),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHsection] = ACTIONS(7599),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHaddsec] = ACTIONS(7599),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHsubsection] = ACTIONS(7599),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7599),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHparagraph] = ACTIONS(7599),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7599),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHitem] = ACTIONS(7599),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7601),
    [anon_sym_LBRACE] = ACTIONS(7601),
    [sym_word] = ACTIONS(7599),
    [sym_placeholder] = ACTIONS(7601),
    [sym_delimiter] = ACTIONS(7601),
    [anon_sym_PLUS] = ACTIONS(7601),
    [anon_sym_DASH] = ACTIONS(7601),
    [anon_sym_STAR] = ACTIONS(7601),
    [anon_sym_SLASH] = ACTIONS(7601),
    [anon_sym_LT] = ACTIONS(7599),
    [anon_sym_GT] = ACTIONS(7599),
    [anon_sym_BANG] = ACTIONS(7599),
    [anon_sym_PIPE] = ACTIONS(7599),
    [anon_sym_COLON] = ACTIONS(7599),
    [anon_sym_SQUOTE] = ACTIONS(7599),
    [anon_sym__] = ACTIONS(7601),
    [anon_sym_CARET] = ACTIONS(7601),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7601),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7601),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7601),
    [anon_sym_DOLLAR] = ACTIONS(7599),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7601),
    [anon_sym_BSLASHleft] = ACTIONS(7599),
    [anon_sym_BSLASHbigl] = ACTIONS(7599),
    [anon_sym_BSLASHBigl] = ACTIONS(7599),
    [anon_sym_BSLASHbiggl] = ACTIONS(7599),
    [anon_sym_BSLASHBiggl] = ACTIONS(7599),
    [anon_sym_BSLASHtext] = ACTIONS(7599),
    [anon_sym_BSLASHintertext] = ACTIONS(7599),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7599),
    [anon_sym_BSLASHbegin] = ACTIONS(7599),
    [anon_sym_BSLASHtitle] = ACTIONS(7599),
    [anon_sym_BSLASHauthor] = ACTIONS(7599),
    [anon_sym_BSLASHusepackage] = ACTIONS(7599),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7599),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7599),
    [anon_sym_BSLASHinclude] = ACTIONS(7599),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7599),
    [anon_sym_BSLASHinput] = ACTIONS(7599),
    [anon_sym_BSLASHsubfile] = ACTIONS(7599),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7599),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7599),
    [anon_sym_BSLASHbibliography] = ACTIONS(7599),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7599),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7599),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7599),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7599),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7599),
    [anon_sym_BSLASHimport] = ACTIONS(7599),
    [anon_sym_BSLASHsubimport] = ACTIONS(7599),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7599),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7599),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7599),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7599),
    [anon_sym_BSLASHcaption] = ACTIONS(7599),
    [anon_sym_BSLASHcite] = ACTIONS(7599),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCite] = ACTIONS(7599),
    [anon_sym_BSLASHnocite] = ACTIONS(7599),
    [anon_sym_BSLASHcitet] = ACTIONS(7599),
    [anon_sym_BSLASHcitep] = ACTIONS(7599),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteA] = ACTIONS(7599),
    [anon_sym_BSLASHciteR] = ACTIONS(7599),
    [anon_sym_BSLASHciteS] = ACTIONS(7599),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7599),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7599),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7599),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7599),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteyear] = ACTIONS(7599),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitedate] = ACTIONS(7599),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteurl] = ACTIONS(7599),
    [anon_sym_BSLASHfullcite] = ACTIONS(7599),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7599),
    [anon_sym_BSLASHcitealt] = ACTIONS(7599),
    [anon_sym_BSLASHcitealp] = ACTIONS(7599),
    [anon_sym_BSLASHcitetext] = ACTIONS(7599),
    [anon_sym_BSLASHparencite] = ACTIONS(7599),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHParencite] = ACTIONS(7599),
    [anon_sym_BSLASHfootcite] = ACTIONS(7599),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7599),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7599),
    [anon_sym_BSLASHtextcite] = ACTIONS(7599),
    [anon_sym_BSLASHTextcite] = ACTIONS(7599),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7599),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7599),
    [anon_sym_BSLASHsupercite] = ACTIONS(7599),
    [anon_sym_BSLASHautocite] = ACTIONS(7599),
    [anon_sym_BSLASHAutocite] = ACTIONS(7599),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHVolcite] = ACTIONS(7599),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHavolcite] = ACTIONS(7599),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHNotecite] = ACTIONS(7599),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHlabel] = ACTIONS(7599),
    [anon_sym_BSLASHref] = ACTIONS(7599),
    [anon_sym_BSLASHeqref] = ACTIONS(7599),
    [anon_sym_BSLASHvref] = ACTIONS(7599),
    [anon_sym_BSLASHVref] = ACTIONS(7599),
    [anon_sym_BSLASHautoref] = ACTIONS(7599),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHpageref] = ACTIONS(7599),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHautopageref] = ACTIONS(7599),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcref] = ACTIONS(7599),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCref] = ACTIONS(7599),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcpageref] = ACTIONS(7599),
    [anon_sym_BSLASHCpageref] = ACTIONS(7599),
    [anon_sym_BSLASHnamecref] = ACTIONS(7599),
    [anon_sym_BSLASHnameCref] = ACTIONS(7599),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7599),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7599),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7599),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7599),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7599),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7599),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7599),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7599),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7599),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7599),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7599),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHdef] = ACTIONS(7599),
    [anon_sym_BSLASHgdef] = ACTIONS(7599),
    [anon_sym_BSLASHedef] = ACTIONS(7599),
    [anon_sym_BSLASHxdef] = ACTIONS(7599),
    [anon_sym_BSLASHlet] = ACTIONS(7599),
    [anon_sym_BSLASHglet] = ACTIONS(7599),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7599),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7599),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7599),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7599),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7599),
    [anon_sym_BSLASHgls] = ACTIONS(7599),
    [anon_sym_BSLASHGls] = ACTIONS(7599),
    [anon_sym_BSLASHGLS] = ACTIONS(7599),
    [anon_sym_BSLASHglspl] = ACTIONS(7599),
    [anon_sym_BSLASHGlspl] = ACTIONS(7599),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7599),
    [anon_sym_BSLASHglslink] = ACTIONS(7599),
    [anon_sym_BSLASHglstext] = ACTIONS(7599),
    [anon_sym_BSLASHGlstext] = ACTIONS(7599),
    [anon_sym_BSLASHGLStext] = ACTIONS(7599),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7599),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7599),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7599),
    [anon_sym_BSLASHglsplural] = ACTIONS(7599),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7599),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7599),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHglsname] = ACTIONS(7599),
    [anon_sym_BSLASHGlsname] = ACTIONS(7599),
    [anon_sym_BSLASHGLSname] = ACTIONS(7599),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7599),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7599),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7599),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7599),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7599),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7599),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7599),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7599),
    [anon_sym_BSLASHacrshort] = ACTIONS(7599),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7599),
    [anon_sym_BSLASHACRshort] = ACTIONS(7599),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHacrlong] = ACTIONS(7599),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7599),
    [anon_sym_BSLASHACRlong] = ACTIONS(7599),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHacrfull] = ACTIONS(7599),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7599),
    [anon_sym_BSLASHACRfull] = ACTIONS(7599),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHacs] = ACTIONS(7599),
    [anon_sym_BSLASHAcs] = ACTIONS(7599),
    [anon_sym_BSLASHacsp] = ACTIONS(7599),
    [anon_sym_BSLASHAcsp] = ACTIONS(7599),
    [anon_sym_BSLASHacl] = ACTIONS(7599),
    [anon_sym_BSLASHAcl] = ACTIONS(7599),
    [anon_sym_BSLASHaclp] = ACTIONS(7599),
    [anon_sym_BSLASHAclp] = ACTIONS(7599),
    [anon_sym_BSLASHacf] = ACTIONS(7599),
    [anon_sym_BSLASHAcf] = ACTIONS(7599),
    [anon_sym_BSLASHacfp] = ACTIONS(7599),
    [anon_sym_BSLASHAcfp] = ACTIONS(7599),
    [anon_sym_BSLASHac] = ACTIONS(7599),
    [anon_sym_BSLASHAc] = ACTIONS(7599),
    [anon_sym_BSLASHacp] = ACTIONS(7599),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7599),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7599),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7599),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7599),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7599),
    [anon_sym_BSLASHcolor] = ACTIONS(7599),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7599),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7599),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7599),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7599),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7599),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7599),
    [anon_sym_BSLASHurl] = ACTIONS(7599),
    [anon_sym_BSLASHhref] = ACTIONS(7599),
  },
  [1327] = {
    [sym_command_name] = ACTIONS(7499),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7499),
    [anon_sym_LBRACK] = ACTIONS(7501),
    [anon_sym_RBRACK] = ACTIONS(7501),
    [anon_sym_COMMA] = ACTIONS(7501),
    [anon_sym_EQ] = ACTIONS(7501),
    [anon_sym_LPAREN] = ACTIONS(7501),
    [anon_sym_RPAREN] = ACTIONS(7501),
    [anon_sym_BSLASHpart] = ACTIONS(7499),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHaddpart] = ACTIONS(7499),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHchapter] = ACTIONS(7499),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHaddchap] = ACTIONS(7499),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHsection] = ACTIONS(7499),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHaddsec] = ACTIONS(7499),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHsubsection] = ACTIONS(7499),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7499),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHparagraph] = ACTIONS(7499),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7499),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHitem] = ACTIONS(7499),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7501),
    [anon_sym_LBRACE] = ACTIONS(7501),
    [sym_word] = ACTIONS(7499),
    [sym_placeholder] = ACTIONS(7501),
    [sym_delimiter] = ACTIONS(7501),
    [anon_sym_PLUS] = ACTIONS(7501),
    [anon_sym_DASH] = ACTIONS(7501),
    [anon_sym_STAR] = ACTIONS(7501),
    [anon_sym_SLASH] = ACTIONS(7501),
    [anon_sym_LT] = ACTIONS(7499),
    [anon_sym_GT] = ACTIONS(7499),
    [anon_sym_BANG] = ACTIONS(7499),
    [anon_sym_PIPE] = ACTIONS(7499),
    [anon_sym_COLON] = ACTIONS(7499),
    [anon_sym_SQUOTE] = ACTIONS(7499),
    [anon_sym__] = ACTIONS(7501),
    [anon_sym_CARET] = ACTIONS(7501),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7501),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7501),
    [anon_sym_DOLLAR] = ACTIONS(7499),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7501),
    [anon_sym_BSLASHleft] = ACTIONS(7499),
    [anon_sym_BSLASHbigl] = ACTIONS(7499),
    [anon_sym_BSLASHBigl] = ACTIONS(7499),
    [anon_sym_BSLASHbiggl] = ACTIONS(7499),
    [anon_sym_BSLASHBiggl] = ACTIONS(7499),
    [anon_sym_BSLASHtext] = ACTIONS(7499),
    [anon_sym_BSLASHintertext] = ACTIONS(7499),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7499),
    [anon_sym_BSLASHbegin] = ACTIONS(7499),
    [anon_sym_BSLASHend] = ACTIONS(7499),
    [anon_sym_BSLASHtitle] = ACTIONS(7499),
    [anon_sym_BSLASHauthor] = ACTIONS(7499),
    [anon_sym_BSLASHusepackage] = ACTIONS(7499),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7499),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7499),
    [anon_sym_BSLASHinclude] = ACTIONS(7499),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7499),
    [anon_sym_BSLASHinput] = ACTIONS(7499),
    [anon_sym_BSLASHsubfile] = ACTIONS(7499),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7499),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7499),
    [anon_sym_BSLASHbibliography] = ACTIONS(7499),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7499),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7499),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7499),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7499),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7499),
    [anon_sym_BSLASHimport] = ACTIONS(7499),
    [anon_sym_BSLASHsubimport] = ACTIONS(7499),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7499),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7499),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7499),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7499),
    [anon_sym_BSLASHcaption] = ACTIONS(7499),
    [anon_sym_BSLASHcite] = ACTIONS(7499),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCite] = ACTIONS(7499),
    [anon_sym_BSLASHnocite] = ACTIONS(7499),
    [anon_sym_BSLASHcitet] = ACTIONS(7499),
    [anon_sym_BSLASHcitep] = ACTIONS(7499),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteA] = ACTIONS(7499),
    [anon_sym_BSLASHciteR] = ACTIONS(7499),
    [anon_sym_BSLASHciteS] = ACTIONS(7499),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7499),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7499),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7499),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7499),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteyear] = ACTIONS(7499),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitedate] = ACTIONS(7499),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteurl] = ACTIONS(7499),
    [anon_sym_BSLASHfullcite] = ACTIONS(7499),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7499),
    [anon_sym_BSLASHcitealt] = ACTIONS(7499),
    [anon_sym_BSLASHcitealp] = ACTIONS(7499),
    [anon_sym_BSLASHcitetext] = ACTIONS(7499),
    [anon_sym_BSLASHparencite] = ACTIONS(7499),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHParencite] = ACTIONS(7499),
    [anon_sym_BSLASHfootcite] = ACTIONS(7499),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7499),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7499),
    [anon_sym_BSLASHtextcite] = ACTIONS(7499),
    [anon_sym_BSLASHTextcite] = ACTIONS(7499),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7499),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7499),
    [anon_sym_BSLASHsupercite] = ACTIONS(7499),
    [anon_sym_BSLASHautocite] = ACTIONS(7499),
    [anon_sym_BSLASHAutocite] = ACTIONS(7499),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHVolcite] = ACTIONS(7499),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHavolcite] = ACTIONS(7499),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHNotecite] = ACTIONS(7499),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHlabel] = ACTIONS(7499),
    [anon_sym_BSLASHref] = ACTIONS(7499),
    [anon_sym_BSLASHeqref] = ACTIONS(7499),
    [anon_sym_BSLASHvref] = ACTIONS(7499),
    [anon_sym_BSLASHVref] = ACTIONS(7499),
    [anon_sym_BSLASHautoref] = ACTIONS(7499),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHpageref] = ACTIONS(7499),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHautopageref] = ACTIONS(7499),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcref] = ACTIONS(7499),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCref] = ACTIONS(7499),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcpageref] = ACTIONS(7499),
    [anon_sym_BSLASHCpageref] = ACTIONS(7499),
    [anon_sym_BSLASHnamecref] = ACTIONS(7499),
    [anon_sym_BSLASHnameCref] = ACTIONS(7499),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7499),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7499),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7499),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7499),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7499),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7499),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7499),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7499),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7499),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7499),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7499),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHdef] = ACTIONS(7499),
    [anon_sym_BSLASHgdef] = ACTIONS(7499),
    [anon_sym_BSLASHedef] = ACTIONS(7499),
    [anon_sym_BSLASHxdef] = ACTIONS(7499),
    [anon_sym_BSLASHlet] = ACTIONS(7499),
    [anon_sym_BSLASHglet] = ACTIONS(7499),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7499),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7499),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7499),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7499),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7499),
    [anon_sym_BSLASHgls] = ACTIONS(7499),
    [anon_sym_BSLASHGls] = ACTIONS(7499),
    [anon_sym_BSLASHGLS] = ACTIONS(7499),
    [anon_sym_BSLASHglspl] = ACTIONS(7499),
    [anon_sym_BSLASHGlspl] = ACTIONS(7499),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7499),
    [anon_sym_BSLASHglslink] = ACTIONS(7499),
    [anon_sym_BSLASHglstext] = ACTIONS(7499),
    [anon_sym_BSLASHGlstext] = ACTIONS(7499),
    [anon_sym_BSLASHGLStext] = ACTIONS(7499),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7499),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7499),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7499),
    [anon_sym_BSLASHglsplural] = ACTIONS(7499),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7499),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7499),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHglsname] = ACTIONS(7499),
    [anon_sym_BSLASHGlsname] = ACTIONS(7499),
    [anon_sym_BSLASHGLSname] = ACTIONS(7499),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7499),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7499),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7499),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7499),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7499),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7499),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7499),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7499),
    [anon_sym_BSLASHacrshort] = ACTIONS(7499),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7499),
    [anon_sym_BSLASHACRshort] = ACTIONS(7499),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHacrlong] = ACTIONS(7499),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7499),
    [anon_sym_BSLASHACRlong] = ACTIONS(7499),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHacrfull] = ACTIONS(7499),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7499),
    [anon_sym_BSLASHACRfull] = ACTIONS(7499),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHacs] = ACTIONS(7499),
    [anon_sym_BSLASHAcs] = ACTIONS(7499),
    [anon_sym_BSLASHacsp] = ACTIONS(7499),
    [anon_sym_BSLASHAcsp] = ACTIONS(7499),
    [anon_sym_BSLASHacl] = ACTIONS(7499),
    [anon_sym_BSLASHAcl] = ACTIONS(7499),
    [anon_sym_BSLASHaclp] = ACTIONS(7499),
    [anon_sym_BSLASHAclp] = ACTIONS(7499),
    [anon_sym_BSLASHacf] = ACTIONS(7499),
    [anon_sym_BSLASHAcf] = ACTIONS(7499),
    [anon_sym_BSLASHacfp] = ACTIONS(7499),
    [anon_sym_BSLASHAcfp] = ACTIONS(7499),
    [anon_sym_BSLASHac] = ACTIONS(7499),
    [anon_sym_BSLASHAc] = ACTIONS(7499),
    [anon_sym_BSLASHacp] = ACTIONS(7499),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7499),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7499),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7499),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7499),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7499),
    [anon_sym_BSLASHcolor] = ACTIONS(7499),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7499),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7499),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7499),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7499),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7499),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7499),
    [anon_sym_BSLASHurl] = ACTIONS(7499),
    [anon_sym_BSLASHhref] = ACTIONS(7499),
  },
  [1328] = {
    [sym_command_name] = ACTIONS(7487),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7487),
    [anon_sym_LBRACK] = ACTIONS(7489),
    [anon_sym_RBRACK] = ACTIONS(7489),
    [anon_sym_COMMA] = ACTIONS(7489),
    [anon_sym_EQ] = ACTIONS(7489),
    [anon_sym_LPAREN] = ACTIONS(7489),
    [anon_sym_RPAREN] = ACTIONS(7489),
    [anon_sym_BSLASHpart] = ACTIONS(7487),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHaddpart] = ACTIONS(7487),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHchapter] = ACTIONS(7487),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHaddchap] = ACTIONS(7487),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHsection] = ACTIONS(7487),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHaddsec] = ACTIONS(7487),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHsubsection] = ACTIONS(7487),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7487),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHparagraph] = ACTIONS(7487),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7487),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHitem] = ACTIONS(7487),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7489),
    [anon_sym_LBRACE] = ACTIONS(7489),
    [sym_word] = ACTIONS(7487),
    [sym_placeholder] = ACTIONS(7489),
    [sym_delimiter] = ACTIONS(7489),
    [anon_sym_PLUS] = ACTIONS(7489),
    [anon_sym_DASH] = ACTIONS(7489),
    [anon_sym_STAR] = ACTIONS(7489),
    [anon_sym_SLASH] = ACTIONS(7489),
    [anon_sym_LT] = ACTIONS(7487),
    [anon_sym_GT] = ACTIONS(7487),
    [anon_sym_BANG] = ACTIONS(7487),
    [anon_sym_PIPE] = ACTIONS(7487),
    [anon_sym_COLON] = ACTIONS(7487),
    [anon_sym_SQUOTE] = ACTIONS(7487),
    [anon_sym__] = ACTIONS(7489),
    [anon_sym_CARET] = ACTIONS(7489),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7489),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7489),
    [anon_sym_DOLLAR] = ACTIONS(7487),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7489),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7489),
    [anon_sym_BSLASHleft] = ACTIONS(7487),
    [anon_sym_BSLASHbigl] = ACTIONS(7487),
    [anon_sym_BSLASHBigl] = ACTIONS(7487),
    [anon_sym_BSLASHbiggl] = ACTIONS(7487),
    [anon_sym_BSLASHBiggl] = ACTIONS(7487),
    [anon_sym_BSLASHtext] = ACTIONS(7487),
    [anon_sym_BSLASHintertext] = ACTIONS(7487),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7487),
    [anon_sym_BSLASHbegin] = ACTIONS(7487),
    [anon_sym_BSLASHtitle] = ACTIONS(7487),
    [anon_sym_BSLASHauthor] = ACTIONS(7487),
    [anon_sym_BSLASHusepackage] = ACTIONS(7487),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7487),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7487),
    [anon_sym_BSLASHinclude] = ACTIONS(7487),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7487),
    [anon_sym_BSLASHinput] = ACTIONS(7487),
    [anon_sym_BSLASHsubfile] = ACTIONS(7487),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7487),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7487),
    [anon_sym_BSLASHbibliography] = ACTIONS(7487),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7487),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7487),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7487),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7487),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7487),
    [anon_sym_BSLASHimport] = ACTIONS(7487),
    [anon_sym_BSLASHsubimport] = ACTIONS(7487),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7487),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7487),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7487),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7487),
    [anon_sym_BSLASHcaption] = ACTIONS(7487),
    [anon_sym_BSLASHcite] = ACTIONS(7487),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCite] = ACTIONS(7487),
    [anon_sym_BSLASHnocite] = ACTIONS(7487),
    [anon_sym_BSLASHcitet] = ACTIONS(7487),
    [anon_sym_BSLASHcitep] = ACTIONS(7487),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteA] = ACTIONS(7487),
    [anon_sym_BSLASHciteR] = ACTIONS(7487),
    [anon_sym_BSLASHciteS] = ACTIONS(7487),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7487),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7487),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7487),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7487),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteyear] = ACTIONS(7487),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitedate] = ACTIONS(7487),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteurl] = ACTIONS(7487),
    [anon_sym_BSLASHfullcite] = ACTIONS(7487),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7487),
    [anon_sym_BSLASHcitealt] = ACTIONS(7487),
    [anon_sym_BSLASHcitealp] = ACTIONS(7487),
    [anon_sym_BSLASHcitetext] = ACTIONS(7487),
    [anon_sym_BSLASHparencite] = ACTIONS(7487),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHParencite] = ACTIONS(7487),
    [anon_sym_BSLASHfootcite] = ACTIONS(7487),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7487),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7487),
    [anon_sym_BSLASHtextcite] = ACTIONS(7487),
    [anon_sym_BSLASHTextcite] = ACTIONS(7487),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7487),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7487),
    [anon_sym_BSLASHsupercite] = ACTIONS(7487),
    [anon_sym_BSLASHautocite] = ACTIONS(7487),
    [anon_sym_BSLASHAutocite] = ACTIONS(7487),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHVolcite] = ACTIONS(7487),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHavolcite] = ACTIONS(7487),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHNotecite] = ACTIONS(7487),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHlabel] = ACTIONS(7487),
    [anon_sym_BSLASHref] = ACTIONS(7487),
    [anon_sym_BSLASHeqref] = ACTIONS(7487),
    [anon_sym_BSLASHvref] = ACTIONS(7487),
    [anon_sym_BSLASHVref] = ACTIONS(7487),
    [anon_sym_BSLASHautoref] = ACTIONS(7487),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHpageref] = ACTIONS(7487),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHautopageref] = ACTIONS(7487),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcref] = ACTIONS(7487),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCref] = ACTIONS(7487),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcpageref] = ACTIONS(7487),
    [anon_sym_BSLASHCpageref] = ACTIONS(7487),
    [anon_sym_BSLASHnamecref] = ACTIONS(7487),
    [anon_sym_BSLASHnameCref] = ACTIONS(7487),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7487),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7487),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7487),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7487),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7487),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7487),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7487),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7487),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7487),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7487),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7487),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHdef] = ACTIONS(7487),
    [anon_sym_BSLASHgdef] = ACTIONS(7487),
    [anon_sym_BSLASHedef] = ACTIONS(7487),
    [anon_sym_BSLASHxdef] = ACTIONS(7487),
    [anon_sym_BSLASHlet] = ACTIONS(7487),
    [anon_sym_BSLASHglet] = ACTIONS(7487),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7487),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7487),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7487),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7487),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7487),
    [anon_sym_BSLASHgls] = ACTIONS(7487),
    [anon_sym_BSLASHGls] = ACTIONS(7487),
    [anon_sym_BSLASHGLS] = ACTIONS(7487),
    [anon_sym_BSLASHglspl] = ACTIONS(7487),
    [anon_sym_BSLASHGlspl] = ACTIONS(7487),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7487),
    [anon_sym_BSLASHglslink] = ACTIONS(7487),
    [anon_sym_BSLASHglstext] = ACTIONS(7487),
    [anon_sym_BSLASHGlstext] = ACTIONS(7487),
    [anon_sym_BSLASHGLStext] = ACTIONS(7487),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7487),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7487),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7487),
    [anon_sym_BSLASHglsplural] = ACTIONS(7487),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7487),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7487),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHglsname] = ACTIONS(7487),
    [anon_sym_BSLASHGlsname] = ACTIONS(7487),
    [anon_sym_BSLASHGLSname] = ACTIONS(7487),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7487),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7487),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7487),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7487),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7487),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7487),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7487),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7487),
    [anon_sym_BSLASHacrshort] = ACTIONS(7487),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7487),
    [anon_sym_BSLASHACRshort] = ACTIONS(7487),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHacrlong] = ACTIONS(7487),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7487),
    [anon_sym_BSLASHACRlong] = ACTIONS(7487),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHacrfull] = ACTIONS(7487),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7487),
    [anon_sym_BSLASHACRfull] = ACTIONS(7487),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHacs] = ACTIONS(7487),
    [anon_sym_BSLASHAcs] = ACTIONS(7487),
    [anon_sym_BSLASHacsp] = ACTIONS(7487),
    [anon_sym_BSLASHAcsp] = ACTIONS(7487),
    [anon_sym_BSLASHacl] = ACTIONS(7487),
    [anon_sym_BSLASHAcl] = ACTIONS(7487),
    [anon_sym_BSLASHaclp] = ACTIONS(7487),
    [anon_sym_BSLASHAclp] = ACTIONS(7487),
    [anon_sym_BSLASHacf] = ACTIONS(7487),
    [anon_sym_BSLASHAcf] = ACTIONS(7487),
    [anon_sym_BSLASHacfp] = ACTIONS(7487),
    [anon_sym_BSLASHAcfp] = ACTIONS(7487),
    [anon_sym_BSLASHac] = ACTIONS(7487),
    [anon_sym_BSLASHAc] = ACTIONS(7487),
    [anon_sym_BSLASHacp] = ACTIONS(7487),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7487),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7487),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7487),
    [anon_sym_BSLASHcolor] = ACTIONS(7487),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7487),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7487),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7487),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7487),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7487),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7487),
    [anon_sym_BSLASHurl] = ACTIONS(7487),
    [anon_sym_BSLASHhref] = ACTIONS(7487),
  },
  [1329] = {
    [sym_command_name] = ACTIONS(7491),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(7493),
    [anon_sym_RBRACK] = ACTIONS(7493),
    [anon_sym_COMMA] = ACTIONS(7493),
    [anon_sym_EQ] = ACTIONS(7493),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_RPAREN] = ACTIONS(7493),
    [anon_sym_BSLASHpart] = ACTIONS(7491),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHaddpart] = ACTIONS(7491),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHchapter] = ACTIONS(7491),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHaddchap] = ACTIONS(7491),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHsection] = ACTIONS(7491),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHaddsec] = ACTIONS(7491),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHsubsection] = ACTIONS(7491),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7491),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHparagraph] = ACTIONS(7491),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7491),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHitem] = ACTIONS(7491),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7493),
    [anon_sym_LBRACE] = ACTIONS(7493),
    [sym_word] = ACTIONS(7491),
    [sym_placeholder] = ACTIONS(7493),
    [sym_delimiter] = ACTIONS(7493),
    [anon_sym_PLUS] = ACTIONS(7493),
    [anon_sym_DASH] = ACTIONS(7493),
    [anon_sym_STAR] = ACTIONS(7493),
    [anon_sym_SLASH] = ACTIONS(7493),
    [anon_sym_LT] = ACTIONS(7491),
    [anon_sym_GT] = ACTIONS(7491),
    [anon_sym_BANG] = ACTIONS(7491),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_COLON] = ACTIONS(7491),
    [anon_sym_SQUOTE] = ACTIONS(7491),
    [anon_sym__] = ACTIONS(7493),
    [anon_sym_CARET] = ACTIONS(7493),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7493),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7493),
    [anon_sym_DOLLAR] = ACTIONS(7491),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7493),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7493),
    [anon_sym_BSLASHleft] = ACTIONS(7491),
    [anon_sym_BSLASHbigl] = ACTIONS(7491),
    [anon_sym_BSLASHBigl] = ACTIONS(7491),
    [anon_sym_BSLASHbiggl] = ACTIONS(7491),
    [anon_sym_BSLASHBiggl] = ACTIONS(7491),
    [anon_sym_BSLASHtext] = ACTIONS(7491),
    [anon_sym_BSLASHintertext] = ACTIONS(7491),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7491),
    [anon_sym_BSLASHbegin] = ACTIONS(7491),
    [anon_sym_BSLASHtitle] = ACTIONS(7491),
    [anon_sym_BSLASHauthor] = ACTIONS(7491),
    [anon_sym_BSLASHusepackage] = ACTIONS(7491),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7491),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7491),
    [anon_sym_BSLASHinclude] = ACTIONS(7491),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7491),
    [anon_sym_BSLASHinput] = ACTIONS(7491),
    [anon_sym_BSLASHsubfile] = ACTIONS(7491),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7491),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7491),
    [anon_sym_BSLASHbibliography] = ACTIONS(7491),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7491),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7491),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7491),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7491),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7491),
    [anon_sym_BSLASHimport] = ACTIONS(7491),
    [anon_sym_BSLASHsubimport] = ACTIONS(7491),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7491),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7491),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7491),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7491),
    [anon_sym_BSLASHcaption] = ACTIONS(7491),
    [anon_sym_BSLASHcite] = ACTIONS(7491),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCite] = ACTIONS(7491),
    [anon_sym_BSLASHnocite] = ACTIONS(7491),
    [anon_sym_BSLASHcitet] = ACTIONS(7491),
    [anon_sym_BSLASHcitep] = ACTIONS(7491),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteA] = ACTIONS(7491),
    [anon_sym_BSLASHciteR] = ACTIONS(7491),
    [anon_sym_BSLASHciteS] = ACTIONS(7491),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7491),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7491),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7491),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7491),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteyear] = ACTIONS(7491),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitedate] = ACTIONS(7491),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteurl] = ACTIONS(7491),
    [anon_sym_BSLASHfullcite] = ACTIONS(7491),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7491),
    [anon_sym_BSLASHcitealt] = ACTIONS(7491),
    [anon_sym_BSLASHcitealp] = ACTIONS(7491),
    [anon_sym_BSLASHcitetext] = ACTIONS(7491),
    [anon_sym_BSLASHparencite] = ACTIONS(7491),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHParencite] = ACTIONS(7491),
    [anon_sym_BSLASHfootcite] = ACTIONS(7491),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7491),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7491),
    [anon_sym_BSLASHtextcite] = ACTIONS(7491),
    [anon_sym_BSLASHTextcite] = ACTIONS(7491),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7491),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7491),
    [anon_sym_BSLASHsupercite] = ACTIONS(7491),
    [anon_sym_BSLASHautocite] = ACTIONS(7491),
    [anon_sym_BSLASHAutocite] = ACTIONS(7491),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHVolcite] = ACTIONS(7491),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHavolcite] = ACTIONS(7491),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHNotecite] = ACTIONS(7491),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHlabel] = ACTIONS(7491),
    [anon_sym_BSLASHref] = ACTIONS(7491),
    [anon_sym_BSLASHeqref] = ACTIONS(7491),
    [anon_sym_BSLASHvref] = ACTIONS(7491),
    [anon_sym_BSLASHVref] = ACTIONS(7491),
    [anon_sym_BSLASHautoref] = ACTIONS(7491),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHpageref] = ACTIONS(7491),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHautopageref] = ACTIONS(7491),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcref] = ACTIONS(7491),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCref] = ACTIONS(7491),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcpageref] = ACTIONS(7491),
    [anon_sym_BSLASHCpageref] = ACTIONS(7491),
    [anon_sym_BSLASHnamecref] = ACTIONS(7491),
    [anon_sym_BSLASHnameCref] = ACTIONS(7491),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7491),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7491),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7491),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7491),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7491),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7491),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7491),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7491),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7491),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7491),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7491),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHdef] = ACTIONS(7491),
    [anon_sym_BSLASHgdef] = ACTIONS(7491),
    [anon_sym_BSLASHedef] = ACTIONS(7491),
    [anon_sym_BSLASHxdef] = ACTIONS(7491),
    [anon_sym_BSLASHlet] = ACTIONS(7491),
    [anon_sym_BSLASHglet] = ACTIONS(7491),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7491),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7491),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7491),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7491),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7491),
    [anon_sym_BSLASHgls] = ACTIONS(7491),
    [anon_sym_BSLASHGls] = ACTIONS(7491),
    [anon_sym_BSLASHGLS] = ACTIONS(7491),
    [anon_sym_BSLASHglspl] = ACTIONS(7491),
    [anon_sym_BSLASHGlspl] = ACTIONS(7491),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7491),
    [anon_sym_BSLASHglslink] = ACTIONS(7491),
    [anon_sym_BSLASHglstext] = ACTIONS(7491),
    [anon_sym_BSLASHGlstext] = ACTIONS(7491),
    [anon_sym_BSLASHGLStext] = ACTIONS(7491),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7491),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7491),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7491),
    [anon_sym_BSLASHglsplural] = ACTIONS(7491),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7491),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7491),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHglsname] = ACTIONS(7491),
    [anon_sym_BSLASHGlsname] = ACTIONS(7491),
    [anon_sym_BSLASHGLSname] = ACTIONS(7491),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7491),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7491),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7491),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7491),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7491),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7491),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7491),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7491),
    [anon_sym_BSLASHacrshort] = ACTIONS(7491),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7491),
    [anon_sym_BSLASHACRshort] = ACTIONS(7491),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHacrlong] = ACTIONS(7491),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7491),
    [anon_sym_BSLASHACRlong] = ACTIONS(7491),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHacrfull] = ACTIONS(7491),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7491),
    [anon_sym_BSLASHACRfull] = ACTIONS(7491),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHacs] = ACTIONS(7491),
    [anon_sym_BSLASHAcs] = ACTIONS(7491),
    [anon_sym_BSLASHacsp] = ACTIONS(7491),
    [anon_sym_BSLASHAcsp] = ACTIONS(7491),
    [anon_sym_BSLASHacl] = ACTIONS(7491),
    [anon_sym_BSLASHAcl] = ACTIONS(7491),
    [anon_sym_BSLASHaclp] = ACTIONS(7491),
    [anon_sym_BSLASHAclp] = ACTIONS(7491),
    [anon_sym_BSLASHacf] = ACTIONS(7491),
    [anon_sym_BSLASHAcf] = ACTIONS(7491),
    [anon_sym_BSLASHacfp] = ACTIONS(7491),
    [anon_sym_BSLASHAcfp] = ACTIONS(7491),
    [anon_sym_BSLASHac] = ACTIONS(7491),
    [anon_sym_BSLASHAc] = ACTIONS(7491),
    [anon_sym_BSLASHacp] = ACTIONS(7491),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7491),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7491),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7491),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7491),
    [anon_sym_BSLASHcolor] = ACTIONS(7491),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7491),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7491),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7491),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7491),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7491),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7491),
    [anon_sym_BSLASHurl] = ACTIONS(7491),
    [anon_sym_BSLASHhref] = ACTIONS(7491),
  },
  [1330] = {
    [sym_command_name] = ACTIONS(7495),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7495),
    [anon_sym_LBRACK] = ACTIONS(7497),
    [anon_sym_RBRACK] = ACTIONS(7497),
    [anon_sym_COMMA] = ACTIONS(7497),
    [anon_sym_EQ] = ACTIONS(7497),
    [anon_sym_LPAREN] = ACTIONS(7497),
    [anon_sym_RPAREN] = ACTIONS(7497),
    [anon_sym_BSLASHpart] = ACTIONS(7495),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHaddpart] = ACTIONS(7495),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHchapter] = ACTIONS(7495),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHaddchap] = ACTIONS(7495),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHsection] = ACTIONS(7495),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHaddsec] = ACTIONS(7495),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHsubsection] = ACTIONS(7495),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7495),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHparagraph] = ACTIONS(7495),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7495),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHitem] = ACTIONS(7495),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7497),
    [sym_word] = ACTIONS(7495),
    [sym_placeholder] = ACTIONS(7497),
    [sym_delimiter] = ACTIONS(7497),
    [anon_sym_PLUS] = ACTIONS(7497),
    [anon_sym_DASH] = ACTIONS(7497),
    [anon_sym_STAR] = ACTIONS(7497),
    [anon_sym_SLASH] = ACTIONS(7497),
    [anon_sym_LT] = ACTIONS(7495),
    [anon_sym_GT] = ACTIONS(7495),
    [anon_sym_BANG] = ACTIONS(7495),
    [anon_sym_PIPE] = ACTIONS(7495),
    [anon_sym_COLON] = ACTIONS(7495),
    [anon_sym_SQUOTE] = ACTIONS(7495),
    [anon_sym__] = ACTIONS(7497),
    [anon_sym_CARET] = ACTIONS(7497),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7497),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7497),
    [anon_sym_DOLLAR] = ACTIONS(7495),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7497),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7497),
    [anon_sym_BSLASHleft] = ACTIONS(7495),
    [anon_sym_BSLASHbigl] = ACTIONS(7495),
    [anon_sym_BSLASHBigl] = ACTIONS(7495),
    [anon_sym_BSLASHbiggl] = ACTIONS(7495),
    [anon_sym_BSLASHBiggl] = ACTIONS(7495),
    [anon_sym_BSLASHtext] = ACTIONS(7495),
    [anon_sym_BSLASHintertext] = ACTIONS(7495),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7495),
    [anon_sym_BSLASHbegin] = ACTIONS(7495),
    [anon_sym_BSLASHtitle] = ACTIONS(7495),
    [anon_sym_BSLASHauthor] = ACTIONS(7495),
    [anon_sym_BSLASHusepackage] = ACTIONS(7495),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7495),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7495),
    [anon_sym_BSLASHinclude] = ACTIONS(7495),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7495),
    [anon_sym_BSLASHinput] = ACTIONS(7495),
    [anon_sym_BSLASHsubfile] = ACTIONS(7495),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7495),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7495),
    [anon_sym_BSLASHbibliography] = ACTIONS(7495),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7495),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7495),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7495),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7495),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7495),
    [anon_sym_BSLASHimport] = ACTIONS(7495),
    [anon_sym_BSLASHsubimport] = ACTIONS(7495),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7495),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7495),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7495),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7495),
    [anon_sym_BSLASHcaption] = ACTIONS(7495),
    [anon_sym_BSLASHcite] = ACTIONS(7495),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCite] = ACTIONS(7495),
    [anon_sym_BSLASHnocite] = ACTIONS(7495),
    [anon_sym_BSLASHcitet] = ACTIONS(7495),
    [anon_sym_BSLASHcitep] = ACTIONS(7495),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteA] = ACTIONS(7495),
    [anon_sym_BSLASHciteR] = ACTIONS(7495),
    [anon_sym_BSLASHciteS] = ACTIONS(7495),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7495),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7495),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7495),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7495),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteyear] = ACTIONS(7495),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitedate] = ACTIONS(7495),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteurl] = ACTIONS(7495),
    [anon_sym_BSLASHfullcite] = ACTIONS(7495),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7495),
    [anon_sym_BSLASHcitealt] = ACTIONS(7495),
    [anon_sym_BSLASHcitealp] = ACTIONS(7495),
    [anon_sym_BSLASHcitetext] = ACTIONS(7495),
    [anon_sym_BSLASHparencite] = ACTIONS(7495),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHParencite] = ACTIONS(7495),
    [anon_sym_BSLASHfootcite] = ACTIONS(7495),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7495),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7495),
    [anon_sym_BSLASHtextcite] = ACTIONS(7495),
    [anon_sym_BSLASHTextcite] = ACTIONS(7495),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7495),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7495),
    [anon_sym_BSLASHsupercite] = ACTIONS(7495),
    [anon_sym_BSLASHautocite] = ACTIONS(7495),
    [anon_sym_BSLASHAutocite] = ACTIONS(7495),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHVolcite] = ACTIONS(7495),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHavolcite] = ACTIONS(7495),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHNotecite] = ACTIONS(7495),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHlabel] = ACTIONS(7495),
    [anon_sym_BSLASHref] = ACTIONS(7495),
    [anon_sym_BSLASHeqref] = ACTIONS(7495),
    [anon_sym_BSLASHvref] = ACTIONS(7495),
    [anon_sym_BSLASHVref] = ACTIONS(7495),
    [anon_sym_BSLASHautoref] = ACTIONS(7495),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHpageref] = ACTIONS(7495),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHautopageref] = ACTIONS(7495),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcref] = ACTIONS(7495),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCref] = ACTIONS(7495),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcpageref] = ACTIONS(7495),
    [anon_sym_BSLASHCpageref] = ACTIONS(7495),
    [anon_sym_BSLASHnamecref] = ACTIONS(7495),
    [anon_sym_BSLASHnameCref] = ACTIONS(7495),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7495),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7495),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7495),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7495),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7495),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7495),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7495),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7495),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7495),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7495),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7495),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHdef] = ACTIONS(7495),
    [anon_sym_BSLASHgdef] = ACTIONS(7495),
    [anon_sym_BSLASHedef] = ACTIONS(7495),
    [anon_sym_BSLASHxdef] = ACTIONS(7495),
    [anon_sym_BSLASHlet] = ACTIONS(7495),
    [anon_sym_BSLASHglet] = ACTIONS(7495),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7495),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7495),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7495),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7495),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7495),
    [anon_sym_BSLASHgls] = ACTIONS(7495),
    [anon_sym_BSLASHGls] = ACTIONS(7495),
    [anon_sym_BSLASHGLS] = ACTIONS(7495),
    [anon_sym_BSLASHglspl] = ACTIONS(7495),
    [anon_sym_BSLASHGlspl] = ACTIONS(7495),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7495),
    [anon_sym_BSLASHglslink] = ACTIONS(7495),
    [anon_sym_BSLASHglstext] = ACTIONS(7495),
    [anon_sym_BSLASHGlstext] = ACTIONS(7495),
    [anon_sym_BSLASHGLStext] = ACTIONS(7495),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7495),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7495),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7495),
    [anon_sym_BSLASHglsplural] = ACTIONS(7495),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7495),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7495),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHglsname] = ACTIONS(7495),
    [anon_sym_BSLASHGlsname] = ACTIONS(7495),
    [anon_sym_BSLASHGLSname] = ACTIONS(7495),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7495),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7495),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7495),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7495),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7495),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7495),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7495),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7495),
    [anon_sym_BSLASHacrshort] = ACTIONS(7495),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7495),
    [anon_sym_BSLASHACRshort] = ACTIONS(7495),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHacrlong] = ACTIONS(7495),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7495),
    [anon_sym_BSLASHACRlong] = ACTIONS(7495),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHacrfull] = ACTIONS(7495),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7495),
    [anon_sym_BSLASHACRfull] = ACTIONS(7495),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHacs] = ACTIONS(7495),
    [anon_sym_BSLASHAcs] = ACTIONS(7495),
    [anon_sym_BSLASHacsp] = ACTIONS(7495),
    [anon_sym_BSLASHAcsp] = ACTIONS(7495),
    [anon_sym_BSLASHacl] = ACTIONS(7495),
    [anon_sym_BSLASHAcl] = ACTIONS(7495),
    [anon_sym_BSLASHaclp] = ACTIONS(7495),
    [anon_sym_BSLASHAclp] = ACTIONS(7495),
    [anon_sym_BSLASHacf] = ACTIONS(7495),
    [anon_sym_BSLASHAcf] = ACTIONS(7495),
    [anon_sym_BSLASHacfp] = ACTIONS(7495),
    [anon_sym_BSLASHAcfp] = ACTIONS(7495),
    [anon_sym_BSLASHac] = ACTIONS(7495),
    [anon_sym_BSLASHAc] = ACTIONS(7495),
    [anon_sym_BSLASHacp] = ACTIONS(7495),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7495),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7495),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7495),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7495),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7495),
    [anon_sym_BSLASHcolor] = ACTIONS(7495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7495),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7495),
    [anon_sym_BSLASHurl] = ACTIONS(7495),
    [anon_sym_BSLASHhref] = ACTIONS(7495),
  },
  [1331] = {
    [sym_command_name] = ACTIONS(7603),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7603),
    [anon_sym_LBRACK] = ACTIONS(7605),
    [anon_sym_RBRACK] = ACTIONS(7605),
    [anon_sym_COMMA] = ACTIONS(7605),
    [anon_sym_EQ] = ACTIONS(7605),
    [anon_sym_LPAREN] = ACTIONS(7605),
    [anon_sym_RPAREN] = ACTIONS(7605),
    [anon_sym_BSLASHpart] = ACTIONS(7603),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHaddpart] = ACTIONS(7603),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHchapter] = ACTIONS(7603),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHaddchap] = ACTIONS(7603),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHsection] = ACTIONS(7603),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHaddsec] = ACTIONS(7603),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHsubsection] = ACTIONS(7603),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7603),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHparagraph] = ACTIONS(7603),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7603),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHitem] = ACTIONS(7603),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7605),
    [anon_sym_LBRACE] = ACTIONS(7605),
    [sym_word] = ACTIONS(7603),
    [sym_placeholder] = ACTIONS(7605),
    [sym_delimiter] = ACTIONS(7605),
    [anon_sym_PLUS] = ACTIONS(7605),
    [anon_sym_DASH] = ACTIONS(7605),
    [anon_sym_STAR] = ACTIONS(7605),
    [anon_sym_SLASH] = ACTIONS(7605),
    [anon_sym_LT] = ACTIONS(7603),
    [anon_sym_GT] = ACTIONS(7603),
    [anon_sym_BANG] = ACTIONS(7603),
    [anon_sym_PIPE] = ACTIONS(7603),
    [anon_sym_COLON] = ACTIONS(7603),
    [anon_sym_SQUOTE] = ACTIONS(7603),
    [anon_sym__] = ACTIONS(7605),
    [anon_sym_CARET] = ACTIONS(7605),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7605),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7605),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7605),
    [anon_sym_DOLLAR] = ACTIONS(7603),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7605),
    [anon_sym_BSLASHleft] = ACTIONS(7603),
    [anon_sym_BSLASHbigl] = ACTIONS(7603),
    [anon_sym_BSLASHBigl] = ACTIONS(7603),
    [anon_sym_BSLASHbiggl] = ACTIONS(7603),
    [anon_sym_BSLASHBiggl] = ACTIONS(7603),
    [anon_sym_BSLASHtext] = ACTIONS(7603),
    [anon_sym_BSLASHintertext] = ACTIONS(7603),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7603),
    [anon_sym_BSLASHbegin] = ACTIONS(7603),
    [anon_sym_BSLASHtitle] = ACTIONS(7603),
    [anon_sym_BSLASHauthor] = ACTIONS(7603),
    [anon_sym_BSLASHusepackage] = ACTIONS(7603),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7603),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7603),
    [anon_sym_BSLASHinclude] = ACTIONS(7603),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7603),
    [anon_sym_BSLASHinput] = ACTIONS(7603),
    [anon_sym_BSLASHsubfile] = ACTIONS(7603),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7603),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7603),
    [anon_sym_BSLASHbibliography] = ACTIONS(7603),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7603),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7603),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7603),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7603),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7603),
    [anon_sym_BSLASHimport] = ACTIONS(7603),
    [anon_sym_BSLASHsubimport] = ACTIONS(7603),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7603),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7603),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7603),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7603),
    [anon_sym_BSLASHcaption] = ACTIONS(7603),
    [anon_sym_BSLASHcite] = ACTIONS(7603),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCite] = ACTIONS(7603),
    [anon_sym_BSLASHnocite] = ACTIONS(7603),
    [anon_sym_BSLASHcitet] = ACTIONS(7603),
    [anon_sym_BSLASHcitep] = ACTIONS(7603),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteA] = ACTIONS(7603),
    [anon_sym_BSLASHciteR] = ACTIONS(7603),
    [anon_sym_BSLASHciteS] = ACTIONS(7603),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7603),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7603),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7603),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7603),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteyear] = ACTIONS(7603),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitedate] = ACTIONS(7603),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteurl] = ACTIONS(7603),
    [anon_sym_BSLASHfullcite] = ACTIONS(7603),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7603),
    [anon_sym_BSLASHcitealt] = ACTIONS(7603),
    [anon_sym_BSLASHcitealp] = ACTIONS(7603),
    [anon_sym_BSLASHcitetext] = ACTIONS(7603),
    [anon_sym_BSLASHparencite] = ACTIONS(7603),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHParencite] = ACTIONS(7603),
    [anon_sym_BSLASHfootcite] = ACTIONS(7603),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7603),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7603),
    [anon_sym_BSLASHtextcite] = ACTIONS(7603),
    [anon_sym_BSLASHTextcite] = ACTIONS(7603),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7603),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7603),
    [anon_sym_BSLASHsupercite] = ACTIONS(7603),
    [anon_sym_BSLASHautocite] = ACTIONS(7603),
    [anon_sym_BSLASHAutocite] = ACTIONS(7603),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHVolcite] = ACTIONS(7603),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHavolcite] = ACTIONS(7603),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHNotecite] = ACTIONS(7603),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHlabel] = ACTIONS(7603),
    [anon_sym_BSLASHref] = ACTIONS(7603),
    [anon_sym_BSLASHeqref] = ACTIONS(7603),
    [anon_sym_BSLASHvref] = ACTIONS(7603),
    [anon_sym_BSLASHVref] = ACTIONS(7603),
    [anon_sym_BSLASHautoref] = ACTIONS(7603),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHpageref] = ACTIONS(7603),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHautopageref] = ACTIONS(7603),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcref] = ACTIONS(7603),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCref] = ACTIONS(7603),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcpageref] = ACTIONS(7603),
    [anon_sym_BSLASHCpageref] = ACTIONS(7603),
    [anon_sym_BSLASHnamecref] = ACTIONS(7603),
    [anon_sym_BSLASHnameCref] = ACTIONS(7603),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7603),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7603),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7603),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7603),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7603),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7603),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7603),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7603),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7603),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7603),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7603),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHdef] = ACTIONS(7603),
    [anon_sym_BSLASHgdef] = ACTIONS(7603),
    [anon_sym_BSLASHedef] = ACTIONS(7603),
    [anon_sym_BSLASHxdef] = ACTIONS(7603),
    [anon_sym_BSLASHlet] = ACTIONS(7603),
    [anon_sym_BSLASHglet] = ACTIONS(7603),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7603),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7603),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7603),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7603),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7603),
    [anon_sym_BSLASHgls] = ACTIONS(7603),
    [anon_sym_BSLASHGls] = ACTIONS(7603),
    [anon_sym_BSLASHGLS] = ACTIONS(7603),
    [anon_sym_BSLASHglspl] = ACTIONS(7603),
    [anon_sym_BSLASHGlspl] = ACTIONS(7603),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7603),
    [anon_sym_BSLASHglslink] = ACTIONS(7603),
    [anon_sym_BSLASHglstext] = ACTIONS(7603),
    [anon_sym_BSLASHGlstext] = ACTIONS(7603),
    [anon_sym_BSLASHGLStext] = ACTIONS(7603),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7603),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7603),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7603),
    [anon_sym_BSLASHglsplural] = ACTIONS(7603),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7603),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7603),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHglsname] = ACTIONS(7603),
    [anon_sym_BSLASHGlsname] = ACTIONS(7603),
    [anon_sym_BSLASHGLSname] = ACTIONS(7603),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7603),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7603),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7603),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7603),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7603),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7603),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7603),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7603),
    [anon_sym_BSLASHacrshort] = ACTIONS(7603),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7603),
    [anon_sym_BSLASHACRshort] = ACTIONS(7603),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHacrlong] = ACTIONS(7603),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7603),
    [anon_sym_BSLASHACRlong] = ACTIONS(7603),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHacrfull] = ACTIONS(7603),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7603),
    [anon_sym_BSLASHACRfull] = ACTIONS(7603),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHacs] = ACTIONS(7603),
    [anon_sym_BSLASHAcs] = ACTIONS(7603),
    [anon_sym_BSLASHacsp] = ACTIONS(7603),
    [anon_sym_BSLASHAcsp] = ACTIONS(7603),
    [anon_sym_BSLASHacl] = ACTIONS(7603),
    [anon_sym_BSLASHAcl] = ACTIONS(7603),
    [anon_sym_BSLASHaclp] = ACTIONS(7603),
    [anon_sym_BSLASHAclp] = ACTIONS(7603),
    [anon_sym_BSLASHacf] = ACTIONS(7603),
    [anon_sym_BSLASHAcf] = ACTIONS(7603),
    [anon_sym_BSLASHacfp] = ACTIONS(7603),
    [anon_sym_BSLASHAcfp] = ACTIONS(7603),
    [anon_sym_BSLASHac] = ACTIONS(7603),
    [anon_sym_BSLASHAc] = ACTIONS(7603),
    [anon_sym_BSLASHacp] = ACTIONS(7603),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7603),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7603),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7603),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7603),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7603),
    [anon_sym_BSLASHcolor] = ACTIONS(7603),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7603),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7603),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7603),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7603),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7603),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7603),
    [anon_sym_BSLASHurl] = ACTIONS(7603),
    [anon_sym_BSLASHhref] = ACTIONS(7603),
  },
  [1332] = {
    [sym_command_name] = ACTIONS(7503),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7503),
    [anon_sym_LBRACK] = ACTIONS(7505),
    [anon_sym_RBRACK] = ACTIONS(7505),
    [anon_sym_COMMA] = ACTIONS(7505),
    [anon_sym_EQ] = ACTIONS(7505),
    [anon_sym_LPAREN] = ACTIONS(7505),
    [anon_sym_RPAREN] = ACTIONS(7505),
    [anon_sym_BSLASHpart] = ACTIONS(7503),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHaddpart] = ACTIONS(7503),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHchapter] = ACTIONS(7503),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHaddchap] = ACTIONS(7503),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHsection] = ACTIONS(7503),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHaddsec] = ACTIONS(7503),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHsubsection] = ACTIONS(7503),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7503),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHparagraph] = ACTIONS(7503),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7503),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHitem] = ACTIONS(7503),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7505),
    [anon_sym_LBRACE] = ACTIONS(7505),
    [sym_word] = ACTIONS(7503),
    [sym_placeholder] = ACTIONS(7505),
    [sym_delimiter] = ACTIONS(7505),
    [anon_sym_PLUS] = ACTIONS(7505),
    [anon_sym_DASH] = ACTIONS(7505),
    [anon_sym_STAR] = ACTIONS(7505),
    [anon_sym_SLASH] = ACTIONS(7505),
    [anon_sym_LT] = ACTIONS(7503),
    [anon_sym_GT] = ACTIONS(7503),
    [anon_sym_BANG] = ACTIONS(7503),
    [anon_sym_PIPE] = ACTIONS(7503),
    [anon_sym_COLON] = ACTIONS(7503),
    [anon_sym_SQUOTE] = ACTIONS(7503),
    [anon_sym__] = ACTIONS(7505),
    [anon_sym_CARET] = ACTIONS(7505),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7505),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7505),
    [anon_sym_DOLLAR] = ACTIONS(7503),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7505),
    [anon_sym_BSLASHleft] = ACTIONS(7503),
    [anon_sym_BSLASHbigl] = ACTIONS(7503),
    [anon_sym_BSLASHBigl] = ACTIONS(7503),
    [anon_sym_BSLASHbiggl] = ACTIONS(7503),
    [anon_sym_BSLASHBiggl] = ACTIONS(7503),
    [anon_sym_BSLASHtext] = ACTIONS(7503),
    [anon_sym_BSLASHintertext] = ACTIONS(7503),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7503),
    [anon_sym_BSLASHbegin] = ACTIONS(7503),
    [anon_sym_BSLASHend] = ACTIONS(7503),
    [anon_sym_BSLASHtitle] = ACTIONS(7503),
    [anon_sym_BSLASHauthor] = ACTIONS(7503),
    [anon_sym_BSLASHusepackage] = ACTIONS(7503),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7503),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7503),
    [anon_sym_BSLASHinclude] = ACTIONS(7503),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7503),
    [anon_sym_BSLASHinput] = ACTIONS(7503),
    [anon_sym_BSLASHsubfile] = ACTIONS(7503),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7503),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7503),
    [anon_sym_BSLASHbibliography] = ACTIONS(7503),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7503),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7503),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7503),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7503),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7503),
    [anon_sym_BSLASHimport] = ACTIONS(7503),
    [anon_sym_BSLASHsubimport] = ACTIONS(7503),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7503),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7503),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7503),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7503),
    [anon_sym_BSLASHcaption] = ACTIONS(7503),
    [anon_sym_BSLASHcite] = ACTIONS(7503),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCite] = ACTIONS(7503),
    [anon_sym_BSLASHnocite] = ACTIONS(7503),
    [anon_sym_BSLASHcitet] = ACTIONS(7503),
    [anon_sym_BSLASHcitep] = ACTIONS(7503),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteA] = ACTIONS(7503),
    [anon_sym_BSLASHciteR] = ACTIONS(7503),
    [anon_sym_BSLASHciteS] = ACTIONS(7503),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7503),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7503),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7503),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7503),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteyear] = ACTIONS(7503),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitedate] = ACTIONS(7503),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteurl] = ACTIONS(7503),
    [anon_sym_BSLASHfullcite] = ACTIONS(7503),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7503),
    [anon_sym_BSLASHcitealt] = ACTIONS(7503),
    [anon_sym_BSLASHcitealp] = ACTIONS(7503),
    [anon_sym_BSLASHcitetext] = ACTIONS(7503),
    [anon_sym_BSLASHparencite] = ACTIONS(7503),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHParencite] = ACTIONS(7503),
    [anon_sym_BSLASHfootcite] = ACTIONS(7503),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7503),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7503),
    [anon_sym_BSLASHtextcite] = ACTIONS(7503),
    [anon_sym_BSLASHTextcite] = ACTIONS(7503),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7503),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7503),
    [anon_sym_BSLASHsupercite] = ACTIONS(7503),
    [anon_sym_BSLASHautocite] = ACTIONS(7503),
    [anon_sym_BSLASHAutocite] = ACTIONS(7503),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHVolcite] = ACTIONS(7503),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHavolcite] = ACTIONS(7503),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHNotecite] = ACTIONS(7503),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHlabel] = ACTIONS(7503),
    [anon_sym_BSLASHref] = ACTIONS(7503),
    [anon_sym_BSLASHeqref] = ACTIONS(7503),
    [anon_sym_BSLASHvref] = ACTIONS(7503),
    [anon_sym_BSLASHVref] = ACTIONS(7503),
    [anon_sym_BSLASHautoref] = ACTIONS(7503),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHpageref] = ACTIONS(7503),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHautopageref] = ACTIONS(7503),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcref] = ACTIONS(7503),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCref] = ACTIONS(7503),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcpageref] = ACTIONS(7503),
    [anon_sym_BSLASHCpageref] = ACTIONS(7503),
    [anon_sym_BSLASHnamecref] = ACTIONS(7503),
    [anon_sym_BSLASHnameCref] = ACTIONS(7503),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7503),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7503),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7503),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7503),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7503),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7503),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7503),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7503),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7503),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7503),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7503),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHdef] = ACTIONS(7503),
    [anon_sym_BSLASHgdef] = ACTIONS(7503),
    [anon_sym_BSLASHedef] = ACTIONS(7503),
    [anon_sym_BSLASHxdef] = ACTIONS(7503),
    [anon_sym_BSLASHlet] = ACTIONS(7503),
    [anon_sym_BSLASHglet] = ACTIONS(7503),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7503),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7503),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7503),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7503),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7503),
    [anon_sym_BSLASHgls] = ACTIONS(7503),
    [anon_sym_BSLASHGls] = ACTIONS(7503),
    [anon_sym_BSLASHGLS] = ACTIONS(7503),
    [anon_sym_BSLASHglspl] = ACTIONS(7503),
    [anon_sym_BSLASHGlspl] = ACTIONS(7503),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7503),
    [anon_sym_BSLASHglslink] = ACTIONS(7503),
    [anon_sym_BSLASHglstext] = ACTIONS(7503),
    [anon_sym_BSLASHGlstext] = ACTIONS(7503),
    [anon_sym_BSLASHGLStext] = ACTIONS(7503),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7503),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7503),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7503),
    [anon_sym_BSLASHglsplural] = ACTIONS(7503),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7503),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7503),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHglsname] = ACTIONS(7503),
    [anon_sym_BSLASHGlsname] = ACTIONS(7503),
    [anon_sym_BSLASHGLSname] = ACTIONS(7503),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7503),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7503),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7503),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7503),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7503),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7503),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7503),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7503),
    [anon_sym_BSLASHacrshort] = ACTIONS(7503),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7503),
    [anon_sym_BSLASHACRshort] = ACTIONS(7503),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHacrlong] = ACTIONS(7503),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7503),
    [anon_sym_BSLASHACRlong] = ACTIONS(7503),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHacrfull] = ACTIONS(7503),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7503),
    [anon_sym_BSLASHACRfull] = ACTIONS(7503),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHacs] = ACTIONS(7503),
    [anon_sym_BSLASHAcs] = ACTIONS(7503),
    [anon_sym_BSLASHacsp] = ACTIONS(7503),
    [anon_sym_BSLASHAcsp] = ACTIONS(7503),
    [anon_sym_BSLASHacl] = ACTIONS(7503),
    [anon_sym_BSLASHAcl] = ACTIONS(7503),
    [anon_sym_BSLASHaclp] = ACTIONS(7503),
    [anon_sym_BSLASHAclp] = ACTIONS(7503),
    [anon_sym_BSLASHacf] = ACTIONS(7503),
    [anon_sym_BSLASHAcf] = ACTIONS(7503),
    [anon_sym_BSLASHacfp] = ACTIONS(7503),
    [anon_sym_BSLASHAcfp] = ACTIONS(7503),
    [anon_sym_BSLASHac] = ACTIONS(7503),
    [anon_sym_BSLASHAc] = ACTIONS(7503),
    [anon_sym_BSLASHacp] = ACTIONS(7503),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7503),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7503),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7503),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7503),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7503),
    [anon_sym_BSLASHcolor] = ACTIONS(7503),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7503),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7503),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7503),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7503),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7503),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7503),
    [anon_sym_BSLASHurl] = ACTIONS(7503),
    [anon_sym_BSLASHhref] = ACTIONS(7503),
  },
  [1333] = {
    [sym_command_name] = ACTIONS(7499),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7499),
    [anon_sym_LBRACK] = ACTIONS(7501),
    [anon_sym_RBRACK] = ACTIONS(7501),
    [anon_sym_COMMA] = ACTIONS(7501),
    [anon_sym_EQ] = ACTIONS(7501),
    [anon_sym_LPAREN] = ACTIONS(7501),
    [anon_sym_RPAREN] = ACTIONS(7501),
    [anon_sym_BSLASHpart] = ACTIONS(7499),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHaddpart] = ACTIONS(7499),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHchapter] = ACTIONS(7499),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHaddchap] = ACTIONS(7499),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHsection] = ACTIONS(7499),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHaddsec] = ACTIONS(7499),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHsubsection] = ACTIONS(7499),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7499),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHparagraph] = ACTIONS(7499),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7499),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHitem] = ACTIONS(7499),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7501),
    [anon_sym_LBRACE] = ACTIONS(7501),
    [sym_word] = ACTIONS(7499),
    [sym_placeholder] = ACTIONS(7501),
    [sym_delimiter] = ACTIONS(7501),
    [anon_sym_PLUS] = ACTIONS(7501),
    [anon_sym_DASH] = ACTIONS(7501),
    [anon_sym_STAR] = ACTIONS(7501),
    [anon_sym_SLASH] = ACTIONS(7501),
    [anon_sym_LT] = ACTIONS(7499),
    [anon_sym_GT] = ACTIONS(7499),
    [anon_sym_BANG] = ACTIONS(7499),
    [anon_sym_PIPE] = ACTIONS(7499),
    [anon_sym_COLON] = ACTIONS(7499),
    [anon_sym_SQUOTE] = ACTIONS(7499),
    [anon_sym__] = ACTIONS(7501),
    [anon_sym_CARET] = ACTIONS(7501),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7501),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7501),
    [anon_sym_DOLLAR] = ACTIONS(7499),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7501),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7501),
    [anon_sym_BSLASHleft] = ACTIONS(7499),
    [anon_sym_BSLASHbigl] = ACTIONS(7499),
    [anon_sym_BSLASHBigl] = ACTIONS(7499),
    [anon_sym_BSLASHbiggl] = ACTIONS(7499),
    [anon_sym_BSLASHBiggl] = ACTIONS(7499),
    [anon_sym_BSLASHtext] = ACTIONS(7499),
    [anon_sym_BSLASHintertext] = ACTIONS(7499),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7499),
    [anon_sym_BSLASHbegin] = ACTIONS(7499),
    [anon_sym_BSLASHtitle] = ACTIONS(7499),
    [anon_sym_BSLASHauthor] = ACTIONS(7499),
    [anon_sym_BSLASHusepackage] = ACTIONS(7499),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7499),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7499),
    [anon_sym_BSLASHinclude] = ACTIONS(7499),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7499),
    [anon_sym_BSLASHinput] = ACTIONS(7499),
    [anon_sym_BSLASHsubfile] = ACTIONS(7499),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7499),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7499),
    [anon_sym_BSLASHbibliography] = ACTIONS(7499),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7499),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7499),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7499),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7499),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7499),
    [anon_sym_BSLASHimport] = ACTIONS(7499),
    [anon_sym_BSLASHsubimport] = ACTIONS(7499),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7499),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7499),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7499),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7499),
    [anon_sym_BSLASHcaption] = ACTIONS(7499),
    [anon_sym_BSLASHcite] = ACTIONS(7499),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCite] = ACTIONS(7499),
    [anon_sym_BSLASHnocite] = ACTIONS(7499),
    [anon_sym_BSLASHcitet] = ACTIONS(7499),
    [anon_sym_BSLASHcitep] = ACTIONS(7499),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteA] = ACTIONS(7499),
    [anon_sym_BSLASHciteR] = ACTIONS(7499),
    [anon_sym_BSLASHciteS] = ACTIONS(7499),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7499),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7499),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7499),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7499),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteyear] = ACTIONS(7499),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitedate] = ACTIONS(7499),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteurl] = ACTIONS(7499),
    [anon_sym_BSLASHfullcite] = ACTIONS(7499),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7499),
    [anon_sym_BSLASHcitealt] = ACTIONS(7499),
    [anon_sym_BSLASHcitealp] = ACTIONS(7499),
    [anon_sym_BSLASHcitetext] = ACTIONS(7499),
    [anon_sym_BSLASHparencite] = ACTIONS(7499),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHParencite] = ACTIONS(7499),
    [anon_sym_BSLASHfootcite] = ACTIONS(7499),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7499),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7499),
    [anon_sym_BSLASHtextcite] = ACTIONS(7499),
    [anon_sym_BSLASHTextcite] = ACTIONS(7499),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7499),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7499),
    [anon_sym_BSLASHsupercite] = ACTIONS(7499),
    [anon_sym_BSLASHautocite] = ACTIONS(7499),
    [anon_sym_BSLASHAutocite] = ACTIONS(7499),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHVolcite] = ACTIONS(7499),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHavolcite] = ACTIONS(7499),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHNotecite] = ACTIONS(7499),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHlabel] = ACTIONS(7499),
    [anon_sym_BSLASHref] = ACTIONS(7499),
    [anon_sym_BSLASHeqref] = ACTIONS(7499),
    [anon_sym_BSLASHvref] = ACTIONS(7499),
    [anon_sym_BSLASHVref] = ACTIONS(7499),
    [anon_sym_BSLASHautoref] = ACTIONS(7499),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHpageref] = ACTIONS(7499),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHautopageref] = ACTIONS(7499),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcref] = ACTIONS(7499),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCref] = ACTIONS(7499),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcpageref] = ACTIONS(7499),
    [anon_sym_BSLASHCpageref] = ACTIONS(7499),
    [anon_sym_BSLASHnamecref] = ACTIONS(7499),
    [anon_sym_BSLASHnameCref] = ACTIONS(7499),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7499),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7499),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7499),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7499),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7499),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7499),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7499),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7499),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7499),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7499),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7499),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHdef] = ACTIONS(7499),
    [anon_sym_BSLASHgdef] = ACTIONS(7499),
    [anon_sym_BSLASHedef] = ACTIONS(7499),
    [anon_sym_BSLASHxdef] = ACTIONS(7499),
    [anon_sym_BSLASHlet] = ACTIONS(7499),
    [anon_sym_BSLASHglet] = ACTIONS(7499),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7499),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7499),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7499),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7499),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7499),
    [anon_sym_BSLASHgls] = ACTIONS(7499),
    [anon_sym_BSLASHGls] = ACTIONS(7499),
    [anon_sym_BSLASHGLS] = ACTIONS(7499),
    [anon_sym_BSLASHglspl] = ACTIONS(7499),
    [anon_sym_BSLASHGlspl] = ACTIONS(7499),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7499),
    [anon_sym_BSLASHglslink] = ACTIONS(7499),
    [anon_sym_BSLASHglstext] = ACTIONS(7499),
    [anon_sym_BSLASHGlstext] = ACTIONS(7499),
    [anon_sym_BSLASHGLStext] = ACTIONS(7499),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7499),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7499),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7499),
    [anon_sym_BSLASHglsplural] = ACTIONS(7499),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7499),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7499),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHglsname] = ACTIONS(7499),
    [anon_sym_BSLASHGlsname] = ACTIONS(7499),
    [anon_sym_BSLASHGLSname] = ACTIONS(7499),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7499),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7499),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7499),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7499),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7499),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7499),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7499),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7499),
    [anon_sym_BSLASHacrshort] = ACTIONS(7499),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7499),
    [anon_sym_BSLASHACRshort] = ACTIONS(7499),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHacrlong] = ACTIONS(7499),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7499),
    [anon_sym_BSLASHACRlong] = ACTIONS(7499),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHacrfull] = ACTIONS(7499),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7499),
    [anon_sym_BSLASHACRfull] = ACTIONS(7499),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHacs] = ACTIONS(7499),
    [anon_sym_BSLASHAcs] = ACTIONS(7499),
    [anon_sym_BSLASHacsp] = ACTIONS(7499),
    [anon_sym_BSLASHAcsp] = ACTIONS(7499),
    [anon_sym_BSLASHacl] = ACTIONS(7499),
    [anon_sym_BSLASHAcl] = ACTIONS(7499),
    [anon_sym_BSLASHaclp] = ACTIONS(7499),
    [anon_sym_BSLASHAclp] = ACTIONS(7499),
    [anon_sym_BSLASHacf] = ACTIONS(7499),
    [anon_sym_BSLASHAcf] = ACTIONS(7499),
    [anon_sym_BSLASHacfp] = ACTIONS(7499),
    [anon_sym_BSLASHAcfp] = ACTIONS(7499),
    [anon_sym_BSLASHac] = ACTIONS(7499),
    [anon_sym_BSLASHAc] = ACTIONS(7499),
    [anon_sym_BSLASHacp] = ACTIONS(7499),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7499),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7499),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7499),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7499),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7499),
    [anon_sym_BSLASHcolor] = ACTIONS(7499),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7499),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7499),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7499),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7499),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7499),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7499),
    [anon_sym_BSLASHurl] = ACTIONS(7499),
    [anon_sym_BSLASHhref] = ACTIONS(7499),
  },
  [1334] = {
    [sym_command_name] = ACTIONS(7507),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7507),
    [anon_sym_LBRACK] = ACTIONS(7509),
    [anon_sym_RBRACK] = ACTIONS(7509),
    [anon_sym_COMMA] = ACTIONS(7509),
    [anon_sym_EQ] = ACTIONS(7509),
    [anon_sym_LPAREN] = ACTIONS(7509),
    [anon_sym_RPAREN] = ACTIONS(7509),
    [anon_sym_BSLASHpart] = ACTIONS(7507),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHaddpart] = ACTIONS(7507),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHchapter] = ACTIONS(7507),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHaddchap] = ACTIONS(7507),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHsection] = ACTIONS(7507),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHaddsec] = ACTIONS(7507),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHsubsection] = ACTIONS(7507),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7507),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHparagraph] = ACTIONS(7507),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7507),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHitem] = ACTIONS(7507),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7509),
    [anon_sym_LBRACE] = ACTIONS(7509),
    [sym_word] = ACTIONS(7507),
    [sym_placeholder] = ACTIONS(7509),
    [sym_delimiter] = ACTIONS(7509),
    [anon_sym_PLUS] = ACTIONS(7509),
    [anon_sym_DASH] = ACTIONS(7509),
    [anon_sym_STAR] = ACTIONS(7509),
    [anon_sym_SLASH] = ACTIONS(7509),
    [anon_sym_LT] = ACTIONS(7507),
    [anon_sym_GT] = ACTIONS(7507),
    [anon_sym_BANG] = ACTIONS(7507),
    [anon_sym_PIPE] = ACTIONS(7507),
    [anon_sym_COLON] = ACTIONS(7507),
    [anon_sym_SQUOTE] = ACTIONS(7507),
    [anon_sym__] = ACTIONS(7509),
    [anon_sym_CARET] = ACTIONS(7509),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7509),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7509),
    [anon_sym_DOLLAR] = ACTIONS(7507),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7509),
    [anon_sym_BSLASHleft] = ACTIONS(7507),
    [anon_sym_BSLASHbigl] = ACTIONS(7507),
    [anon_sym_BSLASHBigl] = ACTIONS(7507),
    [anon_sym_BSLASHbiggl] = ACTIONS(7507),
    [anon_sym_BSLASHBiggl] = ACTIONS(7507),
    [anon_sym_BSLASHtext] = ACTIONS(7507),
    [anon_sym_BSLASHintertext] = ACTIONS(7507),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7507),
    [anon_sym_BSLASHbegin] = ACTIONS(7507),
    [anon_sym_BSLASHend] = ACTIONS(7507),
    [anon_sym_BSLASHtitle] = ACTIONS(7507),
    [anon_sym_BSLASHauthor] = ACTIONS(7507),
    [anon_sym_BSLASHusepackage] = ACTIONS(7507),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7507),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7507),
    [anon_sym_BSLASHinclude] = ACTIONS(7507),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7507),
    [anon_sym_BSLASHinput] = ACTIONS(7507),
    [anon_sym_BSLASHsubfile] = ACTIONS(7507),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7507),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7507),
    [anon_sym_BSLASHbibliography] = ACTIONS(7507),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7507),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7507),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7507),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7507),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7507),
    [anon_sym_BSLASHimport] = ACTIONS(7507),
    [anon_sym_BSLASHsubimport] = ACTIONS(7507),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7507),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7507),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7507),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7507),
    [anon_sym_BSLASHcaption] = ACTIONS(7507),
    [anon_sym_BSLASHcite] = ACTIONS(7507),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCite] = ACTIONS(7507),
    [anon_sym_BSLASHnocite] = ACTIONS(7507),
    [anon_sym_BSLASHcitet] = ACTIONS(7507),
    [anon_sym_BSLASHcitep] = ACTIONS(7507),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteA] = ACTIONS(7507),
    [anon_sym_BSLASHciteR] = ACTIONS(7507),
    [anon_sym_BSLASHciteS] = ACTIONS(7507),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7507),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7507),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7507),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7507),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteyear] = ACTIONS(7507),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitedate] = ACTIONS(7507),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteurl] = ACTIONS(7507),
    [anon_sym_BSLASHfullcite] = ACTIONS(7507),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7507),
    [anon_sym_BSLASHcitealt] = ACTIONS(7507),
    [anon_sym_BSLASHcitealp] = ACTIONS(7507),
    [anon_sym_BSLASHcitetext] = ACTIONS(7507),
    [anon_sym_BSLASHparencite] = ACTIONS(7507),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHParencite] = ACTIONS(7507),
    [anon_sym_BSLASHfootcite] = ACTIONS(7507),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7507),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7507),
    [anon_sym_BSLASHtextcite] = ACTIONS(7507),
    [anon_sym_BSLASHTextcite] = ACTIONS(7507),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7507),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7507),
    [anon_sym_BSLASHsupercite] = ACTIONS(7507),
    [anon_sym_BSLASHautocite] = ACTIONS(7507),
    [anon_sym_BSLASHAutocite] = ACTIONS(7507),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHVolcite] = ACTIONS(7507),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHavolcite] = ACTIONS(7507),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHNotecite] = ACTIONS(7507),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHlabel] = ACTIONS(7507),
    [anon_sym_BSLASHref] = ACTIONS(7507),
    [anon_sym_BSLASHeqref] = ACTIONS(7507),
    [anon_sym_BSLASHvref] = ACTIONS(7507),
    [anon_sym_BSLASHVref] = ACTIONS(7507),
    [anon_sym_BSLASHautoref] = ACTIONS(7507),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHpageref] = ACTIONS(7507),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHautopageref] = ACTIONS(7507),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcref] = ACTIONS(7507),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCref] = ACTIONS(7507),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcpageref] = ACTIONS(7507),
    [anon_sym_BSLASHCpageref] = ACTIONS(7507),
    [anon_sym_BSLASHnamecref] = ACTIONS(7507),
    [anon_sym_BSLASHnameCref] = ACTIONS(7507),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7507),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7507),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7507),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7507),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7507),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7507),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7507),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7507),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7507),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7507),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7507),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHdef] = ACTIONS(7507),
    [anon_sym_BSLASHgdef] = ACTIONS(7507),
    [anon_sym_BSLASHedef] = ACTIONS(7507),
    [anon_sym_BSLASHxdef] = ACTIONS(7507),
    [anon_sym_BSLASHlet] = ACTIONS(7507),
    [anon_sym_BSLASHglet] = ACTIONS(7507),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7507),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7507),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7507),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7507),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7507),
    [anon_sym_BSLASHgls] = ACTIONS(7507),
    [anon_sym_BSLASHGls] = ACTIONS(7507),
    [anon_sym_BSLASHGLS] = ACTIONS(7507),
    [anon_sym_BSLASHglspl] = ACTIONS(7507),
    [anon_sym_BSLASHGlspl] = ACTIONS(7507),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7507),
    [anon_sym_BSLASHglslink] = ACTIONS(7507),
    [anon_sym_BSLASHglstext] = ACTIONS(7507),
    [anon_sym_BSLASHGlstext] = ACTIONS(7507),
    [anon_sym_BSLASHGLStext] = ACTIONS(7507),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7507),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7507),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7507),
    [anon_sym_BSLASHglsplural] = ACTIONS(7507),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7507),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7507),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHglsname] = ACTIONS(7507),
    [anon_sym_BSLASHGlsname] = ACTIONS(7507),
    [anon_sym_BSLASHGLSname] = ACTIONS(7507),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7507),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7507),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7507),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7507),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7507),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7507),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7507),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7507),
    [anon_sym_BSLASHacrshort] = ACTIONS(7507),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7507),
    [anon_sym_BSLASHACRshort] = ACTIONS(7507),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHacrlong] = ACTIONS(7507),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7507),
    [anon_sym_BSLASHACRlong] = ACTIONS(7507),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHacrfull] = ACTIONS(7507),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7507),
    [anon_sym_BSLASHACRfull] = ACTIONS(7507),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHacs] = ACTIONS(7507),
    [anon_sym_BSLASHAcs] = ACTIONS(7507),
    [anon_sym_BSLASHacsp] = ACTIONS(7507),
    [anon_sym_BSLASHAcsp] = ACTIONS(7507),
    [anon_sym_BSLASHacl] = ACTIONS(7507),
    [anon_sym_BSLASHAcl] = ACTIONS(7507),
    [anon_sym_BSLASHaclp] = ACTIONS(7507),
    [anon_sym_BSLASHAclp] = ACTIONS(7507),
    [anon_sym_BSLASHacf] = ACTIONS(7507),
    [anon_sym_BSLASHAcf] = ACTIONS(7507),
    [anon_sym_BSLASHacfp] = ACTIONS(7507),
    [anon_sym_BSLASHAcfp] = ACTIONS(7507),
    [anon_sym_BSLASHac] = ACTIONS(7507),
    [anon_sym_BSLASHAc] = ACTIONS(7507),
    [anon_sym_BSLASHacp] = ACTIONS(7507),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7507),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7507),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7507),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7507),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7507),
    [anon_sym_BSLASHcolor] = ACTIONS(7507),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7507),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7507),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7507),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7507),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7507),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7507),
    [anon_sym_BSLASHurl] = ACTIONS(7507),
    [anon_sym_BSLASHhref] = ACTIONS(7507),
  },
  [1335] = {
    [sym_command_name] = ACTIONS(7511),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(7513),
    [anon_sym_RBRACK] = ACTIONS(7513),
    [anon_sym_COMMA] = ACTIONS(7513),
    [anon_sym_EQ] = ACTIONS(7513),
    [anon_sym_LPAREN] = ACTIONS(7513),
    [anon_sym_RPAREN] = ACTIONS(7513),
    [anon_sym_BSLASHpart] = ACTIONS(7511),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHaddpart] = ACTIONS(7511),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHchapter] = ACTIONS(7511),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHaddchap] = ACTIONS(7511),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHsection] = ACTIONS(7511),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHaddsec] = ACTIONS(7511),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHsubsection] = ACTIONS(7511),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7511),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHparagraph] = ACTIONS(7511),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7511),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHitem] = ACTIONS(7511),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7513),
    [anon_sym_LBRACE] = ACTIONS(7513),
    [sym_word] = ACTIONS(7511),
    [sym_placeholder] = ACTIONS(7513),
    [sym_delimiter] = ACTIONS(7513),
    [anon_sym_PLUS] = ACTIONS(7513),
    [anon_sym_DASH] = ACTIONS(7513),
    [anon_sym_STAR] = ACTIONS(7513),
    [anon_sym_SLASH] = ACTIONS(7513),
    [anon_sym_LT] = ACTIONS(7511),
    [anon_sym_GT] = ACTIONS(7511),
    [anon_sym_BANG] = ACTIONS(7511),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_COLON] = ACTIONS(7511),
    [anon_sym_SQUOTE] = ACTIONS(7511),
    [anon_sym__] = ACTIONS(7513),
    [anon_sym_CARET] = ACTIONS(7513),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7513),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7513),
    [anon_sym_DOLLAR] = ACTIONS(7511),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7513),
    [anon_sym_BSLASHleft] = ACTIONS(7511),
    [anon_sym_BSLASHbigl] = ACTIONS(7511),
    [anon_sym_BSLASHBigl] = ACTIONS(7511),
    [anon_sym_BSLASHbiggl] = ACTIONS(7511),
    [anon_sym_BSLASHBiggl] = ACTIONS(7511),
    [anon_sym_BSLASHtext] = ACTIONS(7511),
    [anon_sym_BSLASHintertext] = ACTIONS(7511),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7511),
    [anon_sym_BSLASHbegin] = ACTIONS(7511),
    [anon_sym_BSLASHend] = ACTIONS(7511),
    [anon_sym_BSLASHtitle] = ACTIONS(7511),
    [anon_sym_BSLASHauthor] = ACTIONS(7511),
    [anon_sym_BSLASHusepackage] = ACTIONS(7511),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7511),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7511),
    [anon_sym_BSLASHinclude] = ACTIONS(7511),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7511),
    [anon_sym_BSLASHinput] = ACTIONS(7511),
    [anon_sym_BSLASHsubfile] = ACTIONS(7511),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7511),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7511),
    [anon_sym_BSLASHbibliography] = ACTIONS(7511),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7511),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7511),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7511),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7511),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7511),
    [anon_sym_BSLASHimport] = ACTIONS(7511),
    [anon_sym_BSLASHsubimport] = ACTIONS(7511),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7511),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7511),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7511),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7511),
    [anon_sym_BSLASHcaption] = ACTIONS(7511),
    [anon_sym_BSLASHcite] = ACTIONS(7511),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCite] = ACTIONS(7511),
    [anon_sym_BSLASHnocite] = ACTIONS(7511),
    [anon_sym_BSLASHcitet] = ACTIONS(7511),
    [anon_sym_BSLASHcitep] = ACTIONS(7511),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteA] = ACTIONS(7511),
    [anon_sym_BSLASHciteR] = ACTIONS(7511),
    [anon_sym_BSLASHciteS] = ACTIONS(7511),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7511),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7511),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7511),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7511),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteyear] = ACTIONS(7511),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitedate] = ACTIONS(7511),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteurl] = ACTIONS(7511),
    [anon_sym_BSLASHfullcite] = ACTIONS(7511),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7511),
    [anon_sym_BSLASHcitealt] = ACTIONS(7511),
    [anon_sym_BSLASHcitealp] = ACTIONS(7511),
    [anon_sym_BSLASHcitetext] = ACTIONS(7511),
    [anon_sym_BSLASHparencite] = ACTIONS(7511),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHParencite] = ACTIONS(7511),
    [anon_sym_BSLASHfootcite] = ACTIONS(7511),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7511),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7511),
    [anon_sym_BSLASHtextcite] = ACTIONS(7511),
    [anon_sym_BSLASHTextcite] = ACTIONS(7511),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7511),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7511),
    [anon_sym_BSLASHsupercite] = ACTIONS(7511),
    [anon_sym_BSLASHautocite] = ACTIONS(7511),
    [anon_sym_BSLASHAutocite] = ACTIONS(7511),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHVolcite] = ACTIONS(7511),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHavolcite] = ACTIONS(7511),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHNotecite] = ACTIONS(7511),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHlabel] = ACTIONS(7511),
    [anon_sym_BSLASHref] = ACTIONS(7511),
    [anon_sym_BSLASHeqref] = ACTIONS(7511),
    [anon_sym_BSLASHvref] = ACTIONS(7511),
    [anon_sym_BSLASHVref] = ACTIONS(7511),
    [anon_sym_BSLASHautoref] = ACTIONS(7511),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHpageref] = ACTIONS(7511),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHautopageref] = ACTIONS(7511),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcref] = ACTIONS(7511),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCref] = ACTIONS(7511),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcpageref] = ACTIONS(7511),
    [anon_sym_BSLASHCpageref] = ACTIONS(7511),
    [anon_sym_BSLASHnamecref] = ACTIONS(7511),
    [anon_sym_BSLASHnameCref] = ACTIONS(7511),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7511),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7511),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7511),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7511),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7511),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7511),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7511),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7511),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7511),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7511),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7511),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHdef] = ACTIONS(7511),
    [anon_sym_BSLASHgdef] = ACTIONS(7511),
    [anon_sym_BSLASHedef] = ACTIONS(7511),
    [anon_sym_BSLASHxdef] = ACTIONS(7511),
    [anon_sym_BSLASHlet] = ACTIONS(7511),
    [anon_sym_BSLASHglet] = ACTIONS(7511),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7511),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7511),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7511),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7511),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7511),
    [anon_sym_BSLASHgls] = ACTIONS(7511),
    [anon_sym_BSLASHGls] = ACTIONS(7511),
    [anon_sym_BSLASHGLS] = ACTIONS(7511),
    [anon_sym_BSLASHglspl] = ACTIONS(7511),
    [anon_sym_BSLASHGlspl] = ACTIONS(7511),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7511),
    [anon_sym_BSLASHglslink] = ACTIONS(7511),
    [anon_sym_BSLASHglstext] = ACTIONS(7511),
    [anon_sym_BSLASHGlstext] = ACTIONS(7511),
    [anon_sym_BSLASHGLStext] = ACTIONS(7511),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7511),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7511),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7511),
    [anon_sym_BSLASHglsplural] = ACTIONS(7511),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7511),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7511),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHglsname] = ACTIONS(7511),
    [anon_sym_BSLASHGlsname] = ACTIONS(7511),
    [anon_sym_BSLASHGLSname] = ACTIONS(7511),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7511),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7511),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7511),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7511),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7511),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7511),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7511),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7511),
    [anon_sym_BSLASHacrshort] = ACTIONS(7511),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7511),
    [anon_sym_BSLASHACRshort] = ACTIONS(7511),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHacrlong] = ACTIONS(7511),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7511),
    [anon_sym_BSLASHACRlong] = ACTIONS(7511),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHacrfull] = ACTIONS(7511),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7511),
    [anon_sym_BSLASHACRfull] = ACTIONS(7511),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHacs] = ACTIONS(7511),
    [anon_sym_BSLASHAcs] = ACTIONS(7511),
    [anon_sym_BSLASHacsp] = ACTIONS(7511),
    [anon_sym_BSLASHAcsp] = ACTIONS(7511),
    [anon_sym_BSLASHacl] = ACTIONS(7511),
    [anon_sym_BSLASHAcl] = ACTIONS(7511),
    [anon_sym_BSLASHaclp] = ACTIONS(7511),
    [anon_sym_BSLASHAclp] = ACTIONS(7511),
    [anon_sym_BSLASHacf] = ACTIONS(7511),
    [anon_sym_BSLASHAcf] = ACTIONS(7511),
    [anon_sym_BSLASHacfp] = ACTIONS(7511),
    [anon_sym_BSLASHAcfp] = ACTIONS(7511),
    [anon_sym_BSLASHac] = ACTIONS(7511),
    [anon_sym_BSLASHAc] = ACTIONS(7511),
    [anon_sym_BSLASHacp] = ACTIONS(7511),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7511),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7511),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7511),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7511),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7511),
    [anon_sym_BSLASHcolor] = ACTIONS(7511),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7511),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7511),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7511),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7511),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7511),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7511),
    [anon_sym_BSLASHurl] = ACTIONS(7511),
    [anon_sym_BSLASHhref] = ACTIONS(7511),
  },
  [1336] = {
    [sym_command_name] = ACTIONS(7503),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7503),
    [anon_sym_LBRACK] = ACTIONS(7505),
    [anon_sym_RBRACK] = ACTIONS(7505),
    [anon_sym_COMMA] = ACTIONS(7505),
    [anon_sym_EQ] = ACTIONS(7505),
    [anon_sym_LPAREN] = ACTIONS(7505),
    [anon_sym_RPAREN] = ACTIONS(7505),
    [anon_sym_BSLASHpart] = ACTIONS(7503),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHaddpart] = ACTIONS(7503),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHchapter] = ACTIONS(7503),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHaddchap] = ACTIONS(7503),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHsection] = ACTIONS(7503),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHaddsec] = ACTIONS(7503),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHsubsection] = ACTIONS(7503),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7503),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHparagraph] = ACTIONS(7503),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7503),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHitem] = ACTIONS(7503),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7505),
    [anon_sym_LBRACE] = ACTIONS(7505),
    [sym_word] = ACTIONS(7503),
    [sym_placeholder] = ACTIONS(7505),
    [sym_delimiter] = ACTIONS(7505),
    [anon_sym_PLUS] = ACTIONS(7505),
    [anon_sym_DASH] = ACTIONS(7505),
    [anon_sym_STAR] = ACTIONS(7505),
    [anon_sym_SLASH] = ACTIONS(7505),
    [anon_sym_LT] = ACTIONS(7503),
    [anon_sym_GT] = ACTIONS(7503),
    [anon_sym_BANG] = ACTIONS(7503),
    [anon_sym_PIPE] = ACTIONS(7503),
    [anon_sym_COLON] = ACTIONS(7503),
    [anon_sym_SQUOTE] = ACTIONS(7503),
    [anon_sym__] = ACTIONS(7505),
    [anon_sym_CARET] = ACTIONS(7505),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7505),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7505),
    [anon_sym_DOLLAR] = ACTIONS(7503),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7505),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7505),
    [anon_sym_BSLASHleft] = ACTIONS(7503),
    [anon_sym_BSLASHbigl] = ACTIONS(7503),
    [anon_sym_BSLASHBigl] = ACTIONS(7503),
    [anon_sym_BSLASHbiggl] = ACTIONS(7503),
    [anon_sym_BSLASHBiggl] = ACTIONS(7503),
    [anon_sym_BSLASHtext] = ACTIONS(7503),
    [anon_sym_BSLASHintertext] = ACTIONS(7503),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7503),
    [anon_sym_BSLASHbegin] = ACTIONS(7503),
    [anon_sym_BSLASHtitle] = ACTIONS(7503),
    [anon_sym_BSLASHauthor] = ACTIONS(7503),
    [anon_sym_BSLASHusepackage] = ACTIONS(7503),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7503),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7503),
    [anon_sym_BSLASHinclude] = ACTIONS(7503),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7503),
    [anon_sym_BSLASHinput] = ACTIONS(7503),
    [anon_sym_BSLASHsubfile] = ACTIONS(7503),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7503),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7503),
    [anon_sym_BSLASHbibliography] = ACTIONS(7503),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7503),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7503),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7503),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7503),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7503),
    [anon_sym_BSLASHimport] = ACTIONS(7503),
    [anon_sym_BSLASHsubimport] = ACTIONS(7503),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7503),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7503),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7503),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7503),
    [anon_sym_BSLASHcaption] = ACTIONS(7503),
    [anon_sym_BSLASHcite] = ACTIONS(7503),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCite] = ACTIONS(7503),
    [anon_sym_BSLASHnocite] = ACTIONS(7503),
    [anon_sym_BSLASHcitet] = ACTIONS(7503),
    [anon_sym_BSLASHcitep] = ACTIONS(7503),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteA] = ACTIONS(7503),
    [anon_sym_BSLASHciteR] = ACTIONS(7503),
    [anon_sym_BSLASHciteS] = ACTIONS(7503),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7503),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7503),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7503),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7503),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteyear] = ACTIONS(7503),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitedate] = ACTIONS(7503),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteurl] = ACTIONS(7503),
    [anon_sym_BSLASHfullcite] = ACTIONS(7503),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7503),
    [anon_sym_BSLASHcitealt] = ACTIONS(7503),
    [anon_sym_BSLASHcitealp] = ACTIONS(7503),
    [anon_sym_BSLASHcitetext] = ACTIONS(7503),
    [anon_sym_BSLASHparencite] = ACTIONS(7503),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHParencite] = ACTIONS(7503),
    [anon_sym_BSLASHfootcite] = ACTIONS(7503),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7503),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7503),
    [anon_sym_BSLASHtextcite] = ACTIONS(7503),
    [anon_sym_BSLASHTextcite] = ACTIONS(7503),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7503),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7503),
    [anon_sym_BSLASHsupercite] = ACTIONS(7503),
    [anon_sym_BSLASHautocite] = ACTIONS(7503),
    [anon_sym_BSLASHAutocite] = ACTIONS(7503),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHVolcite] = ACTIONS(7503),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHavolcite] = ACTIONS(7503),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHNotecite] = ACTIONS(7503),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHlabel] = ACTIONS(7503),
    [anon_sym_BSLASHref] = ACTIONS(7503),
    [anon_sym_BSLASHeqref] = ACTIONS(7503),
    [anon_sym_BSLASHvref] = ACTIONS(7503),
    [anon_sym_BSLASHVref] = ACTIONS(7503),
    [anon_sym_BSLASHautoref] = ACTIONS(7503),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHpageref] = ACTIONS(7503),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHautopageref] = ACTIONS(7503),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcref] = ACTIONS(7503),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCref] = ACTIONS(7503),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcpageref] = ACTIONS(7503),
    [anon_sym_BSLASHCpageref] = ACTIONS(7503),
    [anon_sym_BSLASHnamecref] = ACTIONS(7503),
    [anon_sym_BSLASHnameCref] = ACTIONS(7503),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7503),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7503),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7503),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7503),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7503),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7503),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7503),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7503),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7503),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7503),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7503),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHdef] = ACTIONS(7503),
    [anon_sym_BSLASHgdef] = ACTIONS(7503),
    [anon_sym_BSLASHedef] = ACTIONS(7503),
    [anon_sym_BSLASHxdef] = ACTIONS(7503),
    [anon_sym_BSLASHlet] = ACTIONS(7503),
    [anon_sym_BSLASHglet] = ACTIONS(7503),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7503),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7503),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7503),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7503),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7503),
    [anon_sym_BSLASHgls] = ACTIONS(7503),
    [anon_sym_BSLASHGls] = ACTIONS(7503),
    [anon_sym_BSLASHGLS] = ACTIONS(7503),
    [anon_sym_BSLASHglspl] = ACTIONS(7503),
    [anon_sym_BSLASHGlspl] = ACTIONS(7503),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7503),
    [anon_sym_BSLASHglslink] = ACTIONS(7503),
    [anon_sym_BSLASHglstext] = ACTIONS(7503),
    [anon_sym_BSLASHGlstext] = ACTIONS(7503),
    [anon_sym_BSLASHGLStext] = ACTIONS(7503),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7503),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7503),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7503),
    [anon_sym_BSLASHglsplural] = ACTIONS(7503),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7503),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7503),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHglsname] = ACTIONS(7503),
    [anon_sym_BSLASHGlsname] = ACTIONS(7503),
    [anon_sym_BSLASHGLSname] = ACTIONS(7503),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7503),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7503),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7503),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7503),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7503),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7503),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7503),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7503),
    [anon_sym_BSLASHacrshort] = ACTIONS(7503),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7503),
    [anon_sym_BSLASHACRshort] = ACTIONS(7503),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHacrlong] = ACTIONS(7503),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7503),
    [anon_sym_BSLASHACRlong] = ACTIONS(7503),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHacrfull] = ACTIONS(7503),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7503),
    [anon_sym_BSLASHACRfull] = ACTIONS(7503),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHacs] = ACTIONS(7503),
    [anon_sym_BSLASHAcs] = ACTIONS(7503),
    [anon_sym_BSLASHacsp] = ACTIONS(7503),
    [anon_sym_BSLASHAcsp] = ACTIONS(7503),
    [anon_sym_BSLASHacl] = ACTIONS(7503),
    [anon_sym_BSLASHAcl] = ACTIONS(7503),
    [anon_sym_BSLASHaclp] = ACTIONS(7503),
    [anon_sym_BSLASHAclp] = ACTIONS(7503),
    [anon_sym_BSLASHacf] = ACTIONS(7503),
    [anon_sym_BSLASHAcf] = ACTIONS(7503),
    [anon_sym_BSLASHacfp] = ACTIONS(7503),
    [anon_sym_BSLASHAcfp] = ACTIONS(7503),
    [anon_sym_BSLASHac] = ACTIONS(7503),
    [anon_sym_BSLASHAc] = ACTIONS(7503),
    [anon_sym_BSLASHacp] = ACTIONS(7503),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7503),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7503),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7503),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7503),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7503),
    [anon_sym_BSLASHcolor] = ACTIONS(7503),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7503),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7503),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7503),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7503),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7503),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7503),
    [anon_sym_BSLASHurl] = ACTIONS(7503),
    [anon_sym_BSLASHhref] = ACTIONS(7503),
  },
  [1337] = {
    [sym_command_name] = ACTIONS(7507),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7507),
    [anon_sym_LBRACK] = ACTIONS(7509),
    [anon_sym_RBRACK] = ACTIONS(7509),
    [anon_sym_COMMA] = ACTIONS(7509),
    [anon_sym_EQ] = ACTIONS(7509),
    [anon_sym_LPAREN] = ACTIONS(7509),
    [anon_sym_RPAREN] = ACTIONS(7509),
    [anon_sym_BSLASHpart] = ACTIONS(7507),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHaddpart] = ACTIONS(7507),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHchapter] = ACTIONS(7507),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHaddchap] = ACTIONS(7507),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHsection] = ACTIONS(7507),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHaddsec] = ACTIONS(7507),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHsubsection] = ACTIONS(7507),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7507),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHparagraph] = ACTIONS(7507),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7507),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHitem] = ACTIONS(7507),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7509),
    [anon_sym_LBRACE] = ACTIONS(7509),
    [sym_word] = ACTIONS(7507),
    [sym_placeholder] = ACTIONS(7509),
    [sym_delimiter] = ACTIONS(7509),
    [anon_sym_PLUS] = ACTIONS(7509),
    [anon_sym_DASH] = ACTIONS(7509),
    [anon_sym_STAR] = ACTIONS(7509),
    [anon_sym_SLASH] = ACTIONS(7509),
    [anon_sym_LT] = ACTIONS(7507),
    [anon_sym_GT] = ACTIONS(7507),
    [anon_sym_BANG] = ACTIONS(7507),
    [anon_sym_PIPE] = ACTIONS(7507),
    [anon_sym_COLON] = ACTIONS(7507),
    [anon_sym_SQUOTE] = ACTIONS(7507),
    [anon_sym__] = ACTIONS(7509),
    [anon_sym_CARET] = ACTIONS(7509),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7509),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7509),
    [anon_sym_DOLLAR] = ACTIONS(7507),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7509),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7509),
    [anon_sym_BSLASHleft] = ACTIONS(7507),
    [anon_sym_BSLASHbigl] = ACTIONS(7507),
    [anon_sym_BSLASHBigl] = ACTIONS(7507),
    [anon_sym_BSLASHbiggl] = ACTIONS(7507),
    [anon_sym_BSLASHBiggl] = ACTIONS(7507),
    [anon_sym_BSLASHtext] = ACTIONS(7507),
    [anon_sym_BSLASHintertext] = ACTIONS(7507),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7507),
    [anon_sym_BSLASHbegin] = ACTIONS(7507),
    [anon_sym_BSLASHtitle] = ACTIONS(7507),
    [anon_sym_BSLASHauthor] = ACTIONS(7507),
    [anon_sym_BSLASHusepackage] = ACTIONS(7507),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7507),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7507),
    [anon_sym_BSLASHinclude] = ACTIONS(7507),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7507),
    [anon_sym_BSLASHinput] = ACTIONS(7507),
    [anon_sym_BSLASHsubfile] = ACTIONS(7507),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7507),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7507),
    [anon_sym_BSLASHbibliography] = ACTIONS(7507),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7507),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7507),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7507),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7507),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7507),
    [anon_sym_BSLASHimport] = ACTIONS(7507),
    [anon_sym_BSLASHsubimport] = ACTIONS(7507),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7507),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7507),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7507),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7507),
    [anon_sym_BSLASHcaption] = ACTIONS(7507),
    [anon_sym_BSLASHcite] = ACTIONS(7507),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCite] = ACTIONS(7507),
    [anon_sym_BSLASHnocite] = ACTIONS(7507),
    [anon_sym_BSLASHcitet] = ACTIONS(7507),
    [anon_sym_BSLASHcitep] = ACTIONS(7507),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteA] = ACTIONS(7507),
    [anon_sym_BSLASHciteR] = ACTIONS(7507),
    [anon_sym_BSLASHciteS] = ACTIONS(7507),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7507),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7507),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7507),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7507),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteyear] = ACTIONS(7507),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitedate] = ACTIONS(7507),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteurl] = ACTIONS(7507),
    [anon_sym_BSLASHfullcite] = ACTIONS(7507),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7507),
    [anon_sym_BSLASHcitealt] = ACTIONS(7507),
    [anon_sym_BSLASHcitealp] = ACTIONS(7507),
    [anon_sym_BSLASHcitetext] = ACTIONS(7507),
    [anon_sym_BSLASHparencite] = ACTIONS(7507),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHParencite] = ACTIONS(7507),
    [anon_sym_BSLASHfootcite] = ACTIONS(7507),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7507),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7507),
    [anon_sym_BSLASHtextcite] = ACTIONS(7507),
    [anon_sym_BSLASHTextcite] = ACTIONS(7507),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7507),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7507),
    [anon_sym_BSLASHsupercite] = ACTIONS(7507),
    [anon_sym_BSLASHautocite] = ACTIONS(7507),
    [anon_sym_BSLASHAutocite] = ACTIONS(7507),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHVolcite] = ACTIONS(7507),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHavolcite] = ACTIONS(7507),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHNotecite] = ACTIONS(7507),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHlabel] = ACTIONS(7507),
    [anon_sym_BSLASHref] = ACTIONS(7507),
    [anon_sym_BSLASHeqref] = ACTIONS(7507),
    [anon_sym_BSLASHvref] = ACTIONS(7507),
    [anon_sym_BSLASHVref] = ACTIONS(7507),
    [anon_sym_BSLASHautoref] = ACTIONS(7507),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHpageref] = ACTIONS(7507),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHautopageref] = ACTIONS(7507),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcref] = ACTIONS(7507),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCref] = ACTIONS(7507),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcpageref] = ACTIONS(7507),
    [anon_sym_BSLASHCpageref] = ACTIONS(7507),
    [anon_sym_BSLASHnamecref] = ACTIONS(7507),
    [anon_sym_BSLASHnameCref] = ACTIONS(7507),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7507),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7507),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7507),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7507),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7507),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7507),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7507),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7507),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7507),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7507),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7507),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHdef] = ACTIONS(7507),
    [anon_sym_BSLASHgdef] = ACTIONS(7507),
    [anon_sym_BSLASHedef] = ACTIONS(7507),
    [anon_sym_BSLASHxdef] = ACTIONS(7507),
    [anon_sym_BSLASHlet] = ACTIONS(7507),
    [anon_sym_BSLASHglet] = ACTIONS(7507),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7507),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7507),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7507),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7507),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7507),
    [anon_sym_BSLASHgls] = ACTIONS(7507),
    [anon_sym_BSLASHGls] = ACTIONS(7507),
    [anon_sym_BSLASHGLS] = ACTIONS(7507),
    [anon_sym_BSLASHglspl] = ACTIONS(7507),
    [anon_sym_BSLASHGlspl] = ACTIONS(7507),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7507),
    [anon_sym_BSLASHglslink] = ACTIONS(7507),
    [anon_sym_BSLASHglstext] = ACTIONS(7507),
    [anon_sym_BSLASHGlstext] = ACTIONS(7507),
    [anon_sym_BSLASHGLStext] = ACTIONS(7507),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7507),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7507),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7507),
    [anon_sym_BSLASHglsplural] = ACTIONS(7507),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7507),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7507),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHglsname] = ACTIONS(7507),
    [anon_sym_BSLASHGlsname] = ACTIONS(7507),
    [anon_sym_BSLASHGLSname] = ACTIONS(7507),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7507),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7507),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7507),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7507),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7507),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7507),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7507),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7507),
    [anon_sym_BSLASHacrshort] = ACTIONS(7507),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7507),
    [anon_sym_BSLASHACRshort] = ACTIONS(7507),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHacrlong] = ACTIONS(7507),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7507),
    [anon_sym_BSLASHACRlong] = ACTIONS(7507),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHacrfull] = ACTIONS(7507),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7507),
    [anon_sym_BSLASHACRfull] = ACTIONS(7507),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHacs] = ACTIONS(7507),
    [anon_sym_BSLASHAcs] = ACTIONS(7507),
    [anon_sym_BSLASHacsp] = ACTIONS(7507),
    [anon_sym_BSLASHAcsp] = ACTIONS(7507),
    [anon_sym_BSLASHacl] = ACTIONS(7507),
    [anon_sym_BSLASHAcl] = ACTIONS(7507),
    [anon_sym_BSLASHaclp] = ACTIONS(7507),
    [anon_sym_BSLASHAclp] = ACTIONS(7507),
    [anon_sym_BSLASHacf] = ACTIONS(7507),
    [anon_sym_BSLASHAcf] = ACTIONS(7507),
    [anon_sym_BSLASHacfp] = ACTIONS(7507),
    [anon_sym_BSLASHAcfp] = ACTIONS(7507),
    [anon_sym_BSLASHac] = ACTIONS(7507),
    [anon_sym_BSLASHAc] = ACTIONS(7507),
    [anon_sym_BSLASHacp] = ACTIONS(7507),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7507),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7507),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7507),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7507),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7507),
    [anon_sym_BSLASHcolor] = ACTIONS(7507),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7507),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7507),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7507),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7507),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7507),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7507),
    [anon_sym_BSLASHurl] = ACTIONS(7507),
    [anon_sym_BSLASHhref] = ACTIONS(7507),
  },
  [1338] = {
    [sym_command_name] = ACTIONS(7511),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(7513),
    [anon_sym_RBRACK] = ACTIONS(7513),
    [anon_sym_COMMA] = ACTIONS(7513),
    [anon_sym_EQ] = ACTIONS(7513),
    [anon_sym_LPAREN] = ACTIONS(7513),
    [anon_sym_RPAREN] = ACTIONS(7513),
    [anon_sym_BSLASHpart] = ACTIONS(7511),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHaddpart] = ACTIONS(7511),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHchapter] = ACTIONS(7511),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHaddchap] = ACTIONS(7511),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHsection] = ACTIONS(7511),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHaddsec] = ACTIONS(7511),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHsubsection] = ACTIONS(7511),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7511),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHparagraph] = ACTIONS(7511),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7511),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHitem] = ACTIONS(7511),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7513),
    [anon_sym_LBRACE] = ACTIONS(7513),
    [sym_word] = ACTIONS(7511),
    [sym_placeholder] = ACTIONS(7513),
    [sym_delimiter] = ACTIONS(7513),
    [anon_sym_PLUS] = ACTIONS(7513),
    [anon_sym_DASH] = ACTIONS(7513),
    [anon_sym_STAR] = ACTIONS(7513),
    [anon_sym_SLASH] = ACTIONS(7513),
    [anon_sym_LT] = ACTIONS(7511),
    [anon_sym_GT] = ACTIONS(7511),
    [anon_sym_BANG] = ACTIONS(7511),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_COLON] = ACTIONS(7511),
    [anon_sym_SQUOTE] = ACTIONS(7511),
    [anon_sym__] = ACTIONS(7513),
    [anon_sym_CARET] = ACTIONS(7513),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7513),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7513),
    [anon_sym_DOLLAR] = ACTIONS(7511),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7513),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7513),
    [anon_sym_BSLASHleft] = ACTIONS(7511),
    [anon_sym_BSLASHbigl] = ACTIONS(7511),
    [anon_sym_BSLASHBigl] = ACTIONS(7511),
    [anon_sym_BSLASHbiggl] = ACTIONS(7511),
    [anon_sym_BSLASHBiggl] = ACTIONS(7511),
    [anon_sym_BSLASHtext] = ACTIONS(7511),
    [anon_sym_BSLASHintertext] = ACTIONS(7511),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7511),
    [anon_sym_BSLASHbegin] = ACTIONS(7511),
    [anon_sym_BSLASHtitle] = ACTIONS(7511),
    [anon_sym_BSLASHauthor] = ACTIONS(7511),
    [anon_sym_BSLASHusepackage] = ACTIONS(7511),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7511),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7511),
    [anon_sym_BSLASHinclude] = ACTIONS(7511),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7511),
    [anon_sym_BSLASHinput] = ACTIONS(7511),
    [anon_sym_BSLASHsubfile] = ACTIONS(7511),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7511),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7511),
    [anon_sym_BSLASHbibliography] = ACTIONS(7511),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7511),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7511),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7511),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7511),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7511),
    [anon_sym_BSLASHimport] = ACTIONS(7511),
    [anon_sym_BSLASHsubimport] = ACTIONS(7511),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7511),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7511),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7511),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7511),
    [anon_sym_BSLASHcaption] = ACTIONS(7511),
    [anon_sym_BSLASHcite] = ACTIONS(7511),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCite] = ACTIONS(7511),
    [anon_sym_BSLASHnocite] = ACTIONS(7511),
    [anon_sym_BSLASHcitet] = ACTIONS(7511),
    [anon_sym_BSLASHcitep] = ACTIONS(7511),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteA] = ACTIONS(7511),
    [anon_sym_BSLASHciteR] = ACTIONS(7511),
    [anon_sym_BSLASHciteS] = ACTIONS(7511),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7511),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7511),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7511),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7511),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteyear] = ACTIONS(7511),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitedate] = ACTIONS(7511),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteurl] = ACTIONS(7511),
    [anon_sym_BSLASHfullcite] = ACTIONS(7511),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7511),
    [anon_sym_BSLASHcitealt] = ACTIONS(7511),
    [anon_sym_BSLASHcitealp] = ACTIONS(7511),
    [anon_sym_BSLASHcitetext] = ACTIONS(7511),
    [anon_sym_BSLASHparencite] = ACTIONS(7511),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHParencite] = ACTIONS(7511),
    [anon_sym_BSLASHfootcite] = ACTIONS(7511),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7511),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7511),
    [anon_sym_BSLASHtextcite] = ACTIONS(7511),
    [anon_sym_BSLASHTextcite] = ACTIONS(7511),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7511),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7511),
    [anon_sym_BSLASHsupercite] = ACTIONS(7511),
    [anon_sym_BSLASHautocite] = ACTIONS(7511),
    [anon_sym_BSLASHAutocite] = ACTIONS(7511),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHVolcite] = ACTIONS(7511),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHavolcite] = ACTIONS(7511),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHNotecite] = ACTIONS(7511),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHlabel] = ACTIONS(7511),
    [anon_sym_BSLASHref] = ACTIONS(7511),
    [anon_sym_BSLASHeqref] = ACTIONS(7511),
    [anon_sym_BSLASHvref] = ACTIONS(7511),
    [anon_sym_BSLASHVref] = ACTIONS(7511),
    [anon_sym_BSLASHautoref] = ACTIONS(7511),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHpageref] = ACTIONS(7511),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHautopageref] = ACTIONS(7511),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcref] = ACTIONS(7511),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCref] = ACTIONS(7511),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcpageref] = ACTIONS(7511),
    [anon_sym_BSLASHCpageref] = ACTIONS(7511),
    [anon_sym_BSLASHnamecref] = ACTIONS(7511),
    [anon_sym_BSLASHnameCref] = ACTIONS(7511),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7511),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7511),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7511),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7511),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7511),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7511),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7511),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7511),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7511),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7511),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7511),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHdef] = ACTIONS(7511),
    [anon_sym_BSLASHgdef] = ACTIONS(7511),
    [anon_sym_BSLASHedef] = ACTIONS(7511),
    [anon_sym_BSLASHxdef] = ACTIONS(7511),
    [anon_sym_BSLASHlet] = ACTIONS(7511),
    [anon_sym_BSLASHglet] = ACTIONS(7511),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7511),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7511),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7511),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7511),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7511),
    [anon_sym_BSLASHgls] = ACTIONS(7511),
    [anon_sym_BSLASHGls] = ACTIONS(7511),
    [anon_sym_BSLASHGLS] = ACTIONS(7511),
    [anon_sym_BSLASHglspl] = ACTIONS(7511),
    [anon_sym_BSLASHGlspl] = ACTIONS(7511),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7511),
    [anon_sym_BSLASHglslink] = ACTIONS(7511),
    [anon_sym_BSLASHglstext] = ACTIONS(7511),
    [anon_sym_BSLASHGlstext] = ACTIONS(7511),
    [anon_sym_BSLASHGLStext] = ACTIONS(7511),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7511),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7511),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7511),
    [anon_sym_BSLASHglsplural] = ACTIONS(7511),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7511),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7511),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHglsname] = ACTIONS(7511),
    [anon_sym_BSLASHGlsname] = ACTIONS(7511),
    [anon_sym_BSLASHGLSname] = ACTIONS(7511),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7511),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7511),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7511),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7511),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7511),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7511),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7511),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7511),
    [anon_sym_BSLASHacrshort] = ACTIONS(7511),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7511),
    [anon_sym_BSLASHACRshort] = ACTIONS(7511),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHacrlong] = ACTIONS(7511),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7511),
    [anon_sym_BSLASHACRlong] = ACTIONS(7511),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHacrfull] = ACTIONS(7511),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7511),
    [anon_sym_BSLASHACRfull] = ACTIONS(7511),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHacs] = ACTIONS(7511),
    [anon_sym_BSLASHAcs] = ACTIONS(7511),
    [anon_sym_BSLASHacsp] = ACTIONS(7511),
    [anon_sym_BSLASHAcsp] = ACTIONS(7511),
    [anon_sym_BSLASHacl] = ACTIONS(7511),
    [anon_sym_BSLASHAcl] = ACTIONS(7511),
    [anon_sym_BSLASHaclp] = ACTIONS(7511),
    [anon_sym_BSLASHAclp] = ACTIONS(7511),
    [anon_sym_BSLASHacf] = ACTIONS(7511),
    [anon_sym_BSLASHAcf] = ACTIONS(7511),
    [anon_sym_BSLASHacfp] = ACTIONS(7511),
    [anon_sym_BSLASHAcfp] = ACTIONS(7511),
    [anon_sym_BSLASHac] = ACTIONS(7511),
    [anon_sym_BSLASHAc] = ACTIONS(7511),
    [anon_sym_BSLASHacp] = ACTIONS(7511),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7511),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7511),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7511),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7511),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7511),
    [anon_sym_BSLASHcolor] = ACTIONS(7511),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7511),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7511),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7511),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7511),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7511),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7511),
    [anon_sym_BSLASHurl] = ACTIONS(7511),
    [anon_sym_BSLASHhref] = ACTIONS(7511),
  },
  [1339] = {
    [sym_command_name] = ACTIONS(7515),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7515),
    [anon_sym_LBRACK] = ACTIONS(7517),
    [anon_sym_RBRACK] = ACTIONS(7517),
    [anon_sym_COMMA] = ACTIONS(7517),
    [anon_sym_EQ] = ACTIONS(7517),
    [anon_sym_LPAREN] = ACTIONS(7517),
    [anon_sym_RPAREN] = ACTIONS(7517),
    [anon_sym_BSLASHpart] = ACTIONS(7515),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHaddpart] = ACTIONS(7515),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHchapter] = ACTIONS(7515),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHaddchap] = ACTIONS(7515),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHsection] = ACTIONS(7515),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHaddsec] = ACTIONS(7515),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHsubsection] = ACTIONS(7515),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7515),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHparagraph] = ACTIONS(7515),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7515),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHitem] = ACTIONS(7515),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7517),
    [anon_sym_LBRACE] = ACTIONS(7517),
    [sym_word] = ACTIONS(7515),
    [sym_placeholder] = ACTIONS(7517),
    [sym_delimiter] = ACTIONS(7517),
    [anon_sym_PLUS] = ACTIONS(7517),
    [anon_sym_DASH] = ACTIONS(7517),
    [anon_sym_STAR] = ACTIONS(7517),
    [anon_sym_SLASH] = ACTIONS(7517),
    [anon_sym_LT] = ACTIONS(7515),
    [anon_sym_GT] = ACTIONS(7515),
    [anon_sym_BANG] = ACTIONS(7515),
    [anon_sym_PIPE] = ACTIONS(7515),
    [anon_sym_COLON] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7515),
    [anon_sym__] = ACTIONS(7517),
    [anon_sym_CARET] = ACTIONS(7517),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7517),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7517),
    [anon_sym_DOLLAR] = ACTIONS(7515),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7517),
    [anon_sym_BSLASHleft] = ACTIONS(7515),
    [anon_sym_BSLASHbigl] = ACTIONS(7515),
    [anon_sym_BSLASHBigl] = ACTIONS(7515),
    [anon_sym_BSLASHbiggl] = ACTIONS(7515),
    [anon_sym_BSLASHBiggl] = ACTIONS(7515),
    [anon_sym_BSLASHtext] = ACTIONS(7515),
    [anon_sym_BSLASHintertext] = ACTIONS(7515),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7515),
    [anon_sym_BSLASHbegin] = ACTIONS(7515),
    [anon_sym_BSLASHend] = ACTIONS(7515),
    [anon_sym_BSLASHtitle] = ACTIONS(7515),
    [anon_sym_BSLASHauthor] = ACTIONS(7515),
    [anon_sym_BSLASHusepackage] = ACTIONS(7515),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7515),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7515),
    [anon_sym_BSLASHinclude] = ACTIONS(7515),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7515),
    [anon_sym_BSLASHinput] = ACTIONS(7515),
    [anon_sym_BSLASHsubfile] = ACTIONS(7515),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7515),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7515),
    [anon_sym_BSLASHbibliography] = ACTIONS(7515),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7515),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7515),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7515),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7515),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7515),
    [anon_sym_BSLASHimport] = ACTIONS(7515),
    [anon_sym_BSLASHsubimport] = ACTIONS(7515),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7515),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7515),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7515),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7515),
    [anon_sym_BSLASHcaption] = ACTIONS(7515),
    [anon_sym_BSLASHcite] = ACTIONS(7515),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCite] = ACTIONS(7515),
    [anon_sym_BSLASHnocite] = ACTIONS(7515),
    [anon_sym_BSLASHcitet] = ACTIONS(7515),
    [anon_sym_BSLASHcitep] = ACTIONS(7515),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteA] = ACTIONS(7515),
    [anon_sym_BSLASHciteR] = ACTIONS(7515),
    [anon_sym_BSLASHciteS] = ACTIONS(7515),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7515),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7515),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7515),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7515),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteyear] = ACTIONS(7515),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitedate] = ACTIONS(7515),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteurl] = ACTIONS(7515),
    [anon_sym_BSLASHfullcite] = ACTIONS(7515),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7515),
    [anon_sym_BSLASHcitealt] = ACTIONS(7515),
    [anon_sym_BSLASHcitealp] = ACTIONS(7515),
    [anon_sym_BSLASHcitetext] = ACTIONS(7515),
    [anon_sym_BSLASHparencite] = ACTIONS(7515),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHParencite] = ACTIONS(7515),
    [anon_sym_BSLASHfootcite] = ACTIONS(7515),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7515),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7515),
    [anon_sym_BSLASHtextcite] = ACTIONS(7515),
    [anon_sym_BSLASHTextcite] = ACTIONS(7515),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7515),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7515),
    [anon_sym_BSLASHsupercite] = ACTIONS(7515),
    [anon_sym_BSLASHautocite] = ACTIONS(7515),
    [anon_sym_BSLASHAutocite] = ACTIONS(7515),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHVolcite] = ACTIONS(7515),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHavolcite] = ACTIONS(7515),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHNotecite] = ACTIONS(7515),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHlabel] = ACTIONS(7515),
    [anon_sym_BSLASHref] = ACTIONS(7515),
    [anon_sym_BSLASHeqref] = ACTIONS(7515),
    [anon_sym_BSLASHvref] = ACTIONS(7515),
    [anon_sym_BSLASHVref] = ACTIONS(7515),
    [anon_sym_BSLASHautoref] = ACTIONS(7515),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHpageref] = ACTIONS(7515),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHautopageref] = ACTIONS(7515),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcref] = ACTIONS(7515),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCref] = ACTIONS(7515),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcpageref] = ACTIONS(7515),
    [anon_sym_BSLASHCpageref] = ACTIONS(7515),
    [anon_sym_BSLASHnamecref] = ACTIONS(7515),
    [anon_sym_BSLASHnameCref] = ACTIONS(7515),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7515),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7515),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7515),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7515),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7515),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7515),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7515),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7515),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7515),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7515),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7515),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHdef] = ACTIONS(7515),
    [anon_sym_BSLASHgdef] = ACTIONS(7515),
    [anon_sym_BSLASHedef] = ACTIONS(7515),
    [anon_sym_BSLASHxdef] = ACTIONS(7515),
    [anon_sym_BSLASHlet] = ACTIONS(7515),
    [anon_sym_BSLASHglet] = ACTIONS(7515),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7515),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7515),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7515),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7515),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7515),
    [anon_sym_BSLASHgls] = ACTIONS(7515),
    [anon_sym_BSLASHGls] = ACTIONS(7515),
    [anon_sym_BSLASHGLS] = ACTIONS(7515),
    [anon_sym_BSLASHglspl] = ACTIONS(7515),
    [anon_sym_BSLASHGlspl] = ACTIONS(7515),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7515),
    [anon_sym_BSLASHglslink] = ACTIONS(7515),
    [anon_sym_BSLASHglstext] = ACTIONS(7515),
    [anon_sym_BSLASHGlstext] = ACTIONS(7515),
    [anon_sym_BSLASHGLStext] = ACTIONS(7515),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7515),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7515),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7515),
    [anon_sym_BSLASHglsplural] = ACTIONS(7515),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7515),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7515),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHglsname] = ACTIONS(7515),
    [anon_sym_BSLASHGlsname] = ACTIONS(7515),
    [anon_sym_BSLASHGLSname] = ACTIONS(7515),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7515),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7515),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7515),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7515),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7515),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7515),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7515),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7515),
    [anon_sym_BSLASHacrshort] = ACTIONS(7515),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7515),
    [anon_sym_BSLASHACRshort] = ACTIONS(7515),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHacrlong] = ACTIONS(7515),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7515),
    [anon_sym_BSLASHACRlong] = ACTIONS(7515),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHacrfull] = ACTIONS(7515),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7515),
    [anon_sym_BSLASHACRfull] = ACTIONS(7515),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHacs] = ACTIONS(7515),
    [anon_sym_BSLASHAcs] = ACTIONS(7515),
    [anon_sym_BSLASHacsp] = ACTIONS(7515),
    [anon_sym_BSLASHAcsp] = ACTIONS(7515),
    [anon_sym_BSLASHacl] = ACTIONS(7515),
    [anon_sym_BSLASHAcl] = ACTIONS(7515),
    [anon_sym_BSLASHaclp] = ACTIONS(7515),
    [anon_sym_BSLASHAclp] = ACTIONS(7515),
    [anon_sym_BSLASHacf] = ACTIONS(7515),
    [anon_sym_BSLASHAcf] = ACTIONS(7515),
    [anon_sym_BSLASHacfp] = ACTIONS(7515),
    [anon_sym_BSLASHAcfp] = ACTIONS(7515),
    [anon_sym_BSLASHac] = ACTIONS(7515),
    [anon_sym_BSLASHAc] = ACTIONS(7515),
    [anon_sym_BSLASHacp] = ACTIONS(7515),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7515),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7515),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7515),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7515),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7515),
    [anon_sym_BSLASHcolor] = ACTIONS(7515),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7515),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7515),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7515),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7515),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7515),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7515),
    [anon_sym_BSLASHurl] = ACTIONS(7515),
    [anon_sym_BSLASHhref] = ACTIONS(7515),
  },
  [1340] = {
    [sym_command_name] = ACTIONS(7363),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7363),
    [anon_sym_LBRACK] = ACTIONS(7365),
    [anon_sym_RBRACK] = ACTIONS(7365),
    [anon_sym_COMMA] = ACTIONS(7365),
    [anon_sym_EQ] = ACTIONS(7365),
    [anon_sym_LPAREN] = ACTIONS(7365),
    [anon_sym_RPAREN] = ACTIONS(7365),
    [anon_sym_BSLASHpart] = ACTIONS(7363),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHaddpart] = ACTIONS(7363),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHchapter] = ACTIONS(7363),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHaddchap] = ACTIONS(7363),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHsection] = ACTIONS(7363),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHaddsec] = ACTIONS(7363),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHsubsection] = ACTIONS(7363),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7363),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHparagraph] = ACTIONS(7363),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7363),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHitem] = ACTIONS(7363),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7365),
    [anon_sym_LBRACE] = ACTIONS(7365),
    [sym_word] = ACTIONS(7363),
    [sym_placeholder] = ACTIONS(7365),
    [sym_delimiter] = ACTIONS(7365),
    [anon_sym_PLUS] = ACTIONS(7365),
    [anon_sym_DASH] = ACTIONS(7365),
    [anon_sym_STAR] = ACTIONS(7365),
    [anon_sym_SLASH] = ACTIONS(7365),
    [anon_sym_LT] = ACTIONS(7363),
    [anon_sym_GT] = ACTIONS(7363),
    [anon_sym_BANG] = ACTIONS(7363),
    [anon_sym_PIPE] = ACTIONS(7363),
    [anon_sym_COLON] = ACTIONS(7363),
    [anon_sym_SQUOTE] = ACTIONS(7363),
    [anon_sym__] = ACTIONS(7365),
    [anon_sym_CARET] = ACTIONS(7365),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7365),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7365),
    [anon_sym_DOLLAR] = ACTIONS(7363),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7365),
    [anon_sym_BSLASHleft] = ACTIONS(7363),
    [anon_sym_BSLASHbigl] = ACTIONS(7363),
    [anon_sym_BSLASHBigl] = ACTIONS(7363),
    [anon_sym_BSLASHbiggl] = ACTIONS(7363),
    [anon_sym_BSLASHBiggl] = ACTIONS(7363),
    [anon_sym_BSLASHtext] = ACTIONS(7363),
    [anon_sym_BSLASHintertext] = ACTIONS(7363),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7363),
    [anon_sym_BSLASHbegin] = ACTIONS(7363),
    [anon_sym_BSLASHend] = ACTIONS(7363),
    [anon_sym_BSLASHtitle] = ACTIONS(7363),
    [anon_sym_BSLASHauthor] = ACTIONS(7363),
    [anon_sym_BSLASHusepackage] = ACTIONS(7363),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7363),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7363),
    [anon_sym_BSLASHinclude] = ACTIONS(7363),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7363),
    [anon_sym_BSLASHinput] = ACTIONS(7363),
    [anon_sym_BSLASHsubfile] = ACTIONS(7363),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7363),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7363),
    [anon_sym_BSLASHbibliography] = ACTIONS(7363),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7363),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7363),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7363),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7363),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7363),
    [anon_sym_BSLASHimport] = ACTIONS(7363),
    [anon_sym_BSLASHsubimport] = ACTIONS(7363),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7363),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7363),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7363),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7363),
    [anon_sym_BSLASHcaption] = ACTIONS(7363),
    [anon_sym_BSLASHcite] = ACTIONS(7363),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCite] = ACTIONS(7363),
    [anon_sym_BSLASHnocite] = ACTIONS(7363),
    [anon_sym_BSLASHcitet] = ACTIONS(7363),
    [anon_sym_BSLASHcitep] = ACTIONS(7363),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteA] = ACTIONS(7363),
    [anon_sym_BSLASHciteR] = ACTIONS(7363),
    [anon_sym_BSLASHciteS] = ACTIONS(7363),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7363),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7363),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7363),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7363),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteyear] = ACTIONS(7363),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitedate] = ACTIONS(7363),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteurl] = ACTIONS(7363),
    [anon_sym_BSLASHfullcite] = ACTIONS(7363),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7363),
    [anon_sym_BSLASHcitealt] = ACTIONS(7363),
    [anon_sym_BSLASHcitealp] = ACTIONS(7363),
    [anon_sym_BSLASHcitetext] = ACTIONS(7363),
    [anon_sym_BSLASHparencite] = ACTIONS(7363),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHParencite] = ACTIONS(7363),
    [anon_sym_BSLASHfootcite] = ACTIONS(7363),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7363),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7363),
    [anon_sym_BSLASHtextcite] = ACTIONS(7363),
    [anon_sym_BSLASHTextcite] = ACTIONS(7363),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7363),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7363),
    [anon_sym_BSLASHsupercite] = ACTIONS(7363),
    [anon_sym_BSLASHautocite] = ACTIONS(7363),
    [anon_sym_BSLASHAutocite] = ACTIONS(7363),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHVolcite] = ACTIONS(7363),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHavolcite] = ACTIONS(7363),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHNotecite] = ACTIONS(7363),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHlabel] = ACTIONS(7363),
    [anon_sym_BSLASHref] = ACTIONS(7363),
    [anon_sym_BSLASHeqref] = ACTIONS(7363),
    [anon_sym_BSLASHvref] = ACTIONS(7363),
    [anon_sym_BSLASHVref] = ACTIONS(7363),
    [anon_sym_BSLASHautoref] = ACTIONS(7363),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHpageref] = ACTIONS(7363),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHautopageref] = ACTIONS(7363),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcref] = ACTIONS(7363),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCref] = ACTIONS(7363),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcpageref] = ACTIONS(7363),
    [anon_sym_BSLASHCpageref] = ACTIONS(7363),
    [anon_sym_BSLASHnamecref] = ACTIONS(7363),
    [anon_sym_BSLASHnameCref] = ACTIONS(7363),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7363),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7363),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7363),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7363),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7363),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7363),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7363),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7363),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7363),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7363),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7363),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHdef] = ACTIONS(7363),
    [anon_sym_BSLASHgdef] = ACTIONS(7363),
    [anon_sym_BSLASHedef] = ACTIONS(7363),
    [anon_sym_BSLASHxdef] = ACTIONS(7363),
    [anon_sym_BSLASHlet] = ACTIONS(7363),
    [anon_sym_BSLASHglet] = ACTIONS(7363),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7363),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7363),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7363),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7363),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7363),
    [anon_sym_BSLASHgls] = ACTIONS(7363),
    [anon_sym_BSLASHGls] = ACTIONS(7363),
    [anon_sym_BSLASHGLS] = ACTIONS(7363),
    [anon_sym_BSLASHglspl] = ACTIONS(7363),
    [anon_sym_BSLASHGlspl] = ACTIONS(7363),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7363),
    [anon_sym_BSLASHglslink] = ACTIONS(7363),
    [anon_sym_BSLASHglstext] = ACTIONS(7363),
    [anon_sym_BSLASHGlstext] = ACTIONS(7363),
    [anon_sym_BSLASHGLStext] = ACTIONS(7363),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7363),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7363),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7363),
    [anon_sym_BSLASHglsplural] = ACTIONS(7363),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7363),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7363),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHglsname] = ACTIONS(7363),
    [anon_sym_BSLASHGlsname] = ACTIONS(7363),
    [anon_sym_BSLASHGLSname] = ACTIONS(7363),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7363),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7363),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7363),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7363),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7363),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7363),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7363),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7363),
    [anon_sym_BSLASHacrshort] = ACTIONS(7363),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7363),
    [anon_sym_BSLASHACRshort] = ACTIONS(7363),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHacrlong] = ACTIONS(7363),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7363),
    [anon_sym_BSLASHACRlong] = ACTIONS(7363),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHacrfull] = ACTIONS(7363),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7363),
    [anon_sym_BSLASHACRfull] = ACTIONS(7363),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHacs] = ACTIONS(7363),
    [anon_sym_BSLASHAcs] = ACTIONS(7363),
    [anon_sym_BSLASHacsp] = ACTIONS(7363),
    [anon_sym_BSLASHAcsp] = ACTIONS(7363),
    [anon_sym_BSLASHacl] = ACTIONS(7363),
    [anon_sym_BSLASHAcl] = ACTIONS(7363),
    [anon_sym_BSLASHaclp] = ACTIONS(7363),
    [anon_sym_BSLASHAclp] = ACTIONS(7363),
    [anon_sym_BSLASHacf] = ACTIONS(7363),
    [anon_sym_BSLASHAcf] = ACTIONS(7363),
    [anon_sym_BSLASHacfp] = ACTIONS(7363),
    [anon_sym_BSLASHAcfp] = ACTIONS(7363),
    [anon_sym_BSLASHac] = ACTIONS(7363),
    [anon_sym_BSLASHAc] = ACTIONS(7363),
    [anon_sym_BSLASHacp] = ACTIONS(7363),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7363),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7363),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7363),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7363),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7363),
    [anon_sym_BSLASHcolor] = ACTIONS(7363),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7363),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7363),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7363),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7363),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7363),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7363),
    [anon_sym_BSLASHurl] = ACTIONS(7363),
    [anon_sym_BSLASHhref] = ACTIONS(7363),
  },
  [1341] = {
    [sym_command_name] = ACTIONS(7515),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7515),
    [anon_sym_LBRACK] = ACTIONS(7517),
    [anon_sym_RBRACK] = ACTIONS(7517),
    [anon_sym_COMMA] = ACTIONS(7517),
    [anon_sym_EQ] = ACTIONS(7517),
    [anon_sym_LPAREN] = ACTIONS(7517),
    [anon_sym_RPAREN] = ACTIONS(7517),
    [anon_sym_BSLASHpart] = ACTIONS(7515),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHaddpart] = ACTIONS(7515),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHchapter] = ACTIONS(7515),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHaddchap] = ACTIONS(7515),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHsection] = ACTIONS(7515),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHaddsec] = ACTIONS(7515),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHsubsection] = ACTIONS(7515),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7515),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHparagraph] = ACTIONS(7515),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7515),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHitem] = ACTIONS(7515),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7517),
    [anon_sym_LBRACE] = ACTIONS(7517),
    [sym_word] = ACTIONS(7515),
    [sym_placeholder] = ACTIONS(7517),
    [sym_delimiter] = ACTIONS(7517),
    [anon_sym_PLUS] = ACTIONS(7517),
    [anon_sym_DASH] = ACTIONS(7517),
    [anon_sym_STAR] = ACTIONS(7517),
    [anon_sym_SLASH] = ACTIONS(7517),
    [anon_sym_LT] = ACTIONS(7515),
    [anon_sym_GT] = ACTIONS(7515),
    [anon_sym_BANG] = ACTIONS(7515),
    [anon_sym_PIPE] = ACTIONS(7515),
    [anon_sym_COLON] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7515),
    [anon_sym__] = ACTIONS(7517),
    [anon_sym_CARET] = ACTIONS(7517),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7517),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7517),
    [anon_sym_DOLLAR] = ACTIONS(7515),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7517),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7517),
    [anon_sym_BSLASHleft] = ACTIONS(7515),
    [anon_sym_BSLASHbigl] = ACTIONS(7515),
    [anon_sym_BSLASHBigl] = ACTIONS(7515),
    [anon_sym_BSLASHbiggl] = ACTIONS(7515),
    [anon_sym_BSLASHBiggl] = ACTIONS(7515),
    [anon_sym_BSLASHtext] = ACTIONS(7515),
    [anon_sym_BSLASHintertext] = ACTIONS(7515),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7515),
    [anon_sym_BSLASHbegin] = ACTIONS(7515),
    [anon_sym_BSLASHtitle] = ACTIONS(7515),
    [anon_sym_BSLASHauthor] = ACTIONS(7515),
    [anon_sym_BSLASHusepackage] = ACTIONS(7515),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7515),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7515),
    [anon_sym_BSLASHinclude] = ACTIONS(7515),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7515),
    [anon_sym_BSLASHinput] = ACTIONS(7515),
    [anon_sym_BSLASHsubfile] = ACTIONS(7515),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7515),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7515),
    [anon_sym_BSLASHbibliography] = ACTIONS(7515),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7515),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7515),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7515),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7515),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7515),
    [anon_sym_BSLASHimport] = ACTIONS(7515),
    [anon_sym_BSLASHsubimport] = ACTIONS(7515),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7515),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7515),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7515),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7515),
    [anon_sym_BSLASHcaption] = ACTIONS(7515),
    [anon_sym_BSLASHcite] = ACTIONS(7515),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCite] = ACTIONS(7515),
    [anon_sym_BSLASHnocite] = ACTIONS(7515),
    [anon_sym_BSLASHcitet] = ACTIONS(7515),
    [anon_sym_BSLASHcitep] = ACTIONS(7515),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteA] = ACTIONS(7515),
    [anon_sym_BSLASHciteR] = ACTIONS(7515),
    [anon_sym_BSLASHciteS] = ACTIONS(7515),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7515),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7515),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7515),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7515),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteyear] = ACTIONS(7515),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitedate] = ACTIONS(7515),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteurl] = ACTIONS(7515),
    [anon_sym_BSLASHfullcite] = ACTIONS(7515),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7515),
    [anon_sym_BSLASHcitealt] = ACTIONS(7515),
    [anon_sym_BSLASHcitealp] = ACTIONS(7515),
    [anon_sym_BSLASHcitetext] = ACTIONS(7515),
    [anon_sym_BSLASHparencite] = ACTIONS(7515),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHParencite] = ACTIONS(7515),
    [anon_sym_BSLASHfootcite] = ACTIONS(7515),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7515),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7515),
    [anon_sym_BSLASHtextcite] = ACTIONS(7515),
    [anon_sym_BSLASHTextcite] = ACTIONS(7515),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7515),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7515),
    [anon_sym_BSLASHsupercite] = ACTIONS(7515),
    [anon_sym_BSLASHautocite] = ACTIONS(7515),
    [anon_sym_BSLASHAutocite] = ACTIONS(7515),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHVolcite] = ACTIONS(7515),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHavolcite] = ACTIONS(7515),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHNotecite] = ACTIONS(7515),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHlabel] = ACTIONS(7515),
    [anon_sym_BSLASHref] = ACTIONS(7515),
    [anon_sym_BSLASHeqref] = ACTIONS(7515),
    [anon_sym_BSLASHvref] = ACTIONS(7515),
    [anon_sym_BSLASHVref] = ACTIONS(7515),
    [anon_sym_BSLASHautoref] = ACTIONS(7515),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHpageref] = ACTIONS(7515),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHautopageref] = ACTIONS(7515),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcref] = ACTIONS(7515),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCref] = ACTIONS(7515),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcpageref] = ACTIONS(7515),
    [anon_sym_BSLASHCpageref] = ACTIONS(7515),
    [anon_sym_BSLASHnamecref] = ACTIONS(7515),
    [anon_sym_BSLASHnameCref] = ACTIONS(7515),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7515),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7515),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7515),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7515),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7515),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7515),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7515),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7515),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7515),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7515),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7515),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHdef] = ACTIONS(7515),
    [anon_sym_BSLASHgdef] = ACTIONS(7515),
    [anon_sym_BSLASHedef] = ACTIONS(7515),
    [anon_sym_BSLASHxdef] = ACTIONS(7515),
    [anon_sym_BSLASHlet] = ACTIONS(7515),
    [anon_sym_BSLASHglet] = ACTIONS(7515),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7515),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7515),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7515),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7515),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7515),
    [anon_sym_BSLASHgls] = ACTIONS(7515),
    [anon_sym_BSLASHGls] = ACTIONS(7515),
    [anon_sym_BSLASHGLS] = ACTIONS(7515),
    [anon_sym_BSLASHglspl] = ACTIONS(7515),
    [anon_sym_BSLASHGlspl] = ACTIONS(7515),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7515),
    [anon_sym_BSLASHglslink] = ACTIONS(7515),
    [anon_sym_BSLASHglstext] = ACTIONS(7515),
    [anon_sym_BSLASHGlstext] = ACTIONS(7515),
    [anon_sym_BSLASHGLStext] = ACTIONS(7515),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7515),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7515),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7515),
    [anon_sym_BSLASHglsplural] = ACTIONS(7515),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7515),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7515),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHglsname] = ACTIONS(7515),
    [anon_sym_BSLASHGlsname] = ACTIONS(7515),
    [anon_sym_BSLASHGLSname] = ACTIONS(7515),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7515),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7515),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7515),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7515),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7515),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7515),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7515),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7515),
    [anon_sym_BSLASHacrshort] = ACTIONS(7515),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7515),
    [anon_sym_BSLASHACRshort] = ACTIONS(7515),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHacrlong] = ACTIONS(7515),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7515),
    [anon_sym_BSLASHACRlong] = ACTIONS(7515),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHacrfull] = ACTIONS(7515),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7515),
    [anon_sym_BSLASHACRfull] = ACTIONS(7515),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHacs] = ACTIONS(7515),
    [anon_sym_BSLASHAcs] = ACTIONS(7515),
    [anon_sym_BSLASHacsp] = ACTIONS(7515),
    [anon_sym_BSLASHAcsp] = ACTIONS(7515),
    [anon_sym_BSLASHacl] = ACTIONS(7515),
    [anon_sym_BSLASHAcl] = ACTIONS(7515),
    [anon_sym_BSLASHaclp] = ACTIONS(7515),
    [anon_sym_BSLASHAclp] = ACTIONS(7515),
    [anon_sym_BSLASHacf] = ACTIONS(7515),
    [anon_sym_BSLASHAcf] = ACTIONS(7515),
    [anon_sym_BSLASHacfp] = ACTIONS(7515),
    [anon_sym_BSLASHAcfp] = ACTIONS(7515),
    [anon_sym_BSLASHac] = ACTIONS(7515),
    [anon_sym_BSLASHAc] = ACTIONS(7515),
    [anon_sym_BSLASHacp] = ACTIONS(7515),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7515),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7515),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7515),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7515),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7515),
    [anon_sym_BSLASHcolor] = ACTIONS(7515),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7515),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7515),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7515),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7515),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7515),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7515),
    [anon_sym_BSLASHurl] = ACTIONS(7515),
    [anon_sym_BSLASHhref] = ACTIONS(7515),
  },
  [1342] = {
    [sym_command_name] = ACTIONS(7519),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7519),
    [anon_sym_LBRACK] = ACTIONS(7521),
    [anon_sym_RBRACK] = ACTIONS(7521),
    [anon_sym_COMMA] = ACTIONS(7521),
    [anon_sym_EQ] = ACTIONS(7521),
    [anon_sym_LPAREN] = ACTIONS(7521),
    [anon_sym_RPAREN] = ACTIONS(7521),
    [anon_sym_BSLASHpart] = ACTIONS(7519),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHaddpart] = ACTIONS(7519),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHchapter] = ACTIONS(7519),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHaddchap] = ACTIONS(7519),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHsection] = ACTIONS(7519),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHaddsec] = ACTIONS(7519),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHsubsection] = ACTIONS(7519),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7519),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHparagraph] = ACTIONS(7519),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7519),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHitem] = ACTIONS(7519),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7521),
    [anon_sym_LBRACE] = ACTIONS(7521),
    [sym_word] = ACTIONS(7519),
    [sym_placeholder] = ACTIONS(7521),
    [sym_delimiter] = ACTIONS(7521),
    [anon_sym_PLUS] = ACTIONS(7521),
    [anon_sym_DASH] = ACTIONS(7521),
    [anon_sym_STAR] = ACTIONS(7521),
    [anon_sym_SLASH] = ACTIONS(7521),
    [anon_sym_LT] = ACTIONS(7519),
    [anon_sym_GT] = ACTIONS(7519),
    [anon_sym_BANG] = ACTIONS(7519),
    [anon_sym_PIPE] = ACTIONS(7519),
    [anon_sym_COLON] = ACTIONS(7519),
    [anon_sym_SQUOTE] = ACTIONS(7519),
    [anon_sym__] = ACTIONS(7521),
    [anon_sym_CARET] = ACTIONS(7521),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7521),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7521),
    [anon_sym_DOLLAR] = ACTIONS(7519),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7521),
    [anon_sym_BSLASHleft] = ACTIONS(7519),
    [anon_sym_BSLASHbigl] = ACTIONS(7519),
    [anon_sym_BSLASHBigl] = ACTIONS(7519),
    [anon_sym_BSLASHbiggl] = ACTIONS(7519),
    [anon_sym_BSLASHBiggl] = ACTIONS(7519),
    [anon_sym_BSLASHtext] = ACTIONS(7519),
    [anon_sym_BSLASHintertext] = ACTIONS(7519),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7519),
    [anon_sym_BSLASHbegin] = ACTIONS(7519),
    [anon_sym_BSLASHend] = ACTIONS(7519),
    [anon_sym_BSLASHtitle] = ACTIONS(7519),
    [anon_sym_BSLASHauthor] = ACTIONS(7519),
    [anon_sym_BSLASHusepackage] = ACTIONS(7519),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7519),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7519),
    [anon_sym_BSLASHinclude] = ACTIONS(7519),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7519),
    [anon_sym_BSLASHinput] = ACTIONS(7519),
    [anon_sym_BSLASHsubfile] = ACTIONS(7519),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7519),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7519),
    [anon_sym_BSLASHbibliography] = ACTIONS(7519),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7519),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7519),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7519),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7519),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7519),
    [anon_sym_BSLASHimport] = ACTIONS(7519),
    [anon_sym_BSLASHsubimport] = ACTIONS(7519),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7519),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7519),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7519),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7519),
    [anon_sym_BSLASHcaption] = ACTIONS(7519),
    [anon_sym_BSLASHcite] = ACTIONS(7519),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCite] = ACTIONS(7519),
    [anon_sym_BSLASHnocite] = ACTIONS(7519),
    [anon_sym_BSLASHcitet] = ACTIONS(7519),
    [anon_sym_BSLASHcitep] = ACTIONS(7519),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteA] = ACTIONS(7519),
    [anon_sym_BSLASHciteR] = ACTIONS(7519),
    [anon_sym_BSLASHciteS] = ACTIONS(7519),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7519),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7519),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7519),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7519),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteyear] = ACTIONS(7519),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitedate] = ACTIONS(7519),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteurl] = ACTIONS(7519),
    [anon_sym_BSLASHfullcite] = ACTIONS(7519),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7519),
    [anon_sym_BSLASHcitealt] = ACTIONS(7519),
    [anon_sym_BSLASHcitealp] = ACTIONS(7519),
    [anon_sym_BSLASHcitetext] = ACTIONS(7519),
    [anon_sym_BSLASHparencite] = ACTIONS(7519),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHParencite] = ACTIONS(7519),
    [anon_sym_BSLASHfootcite] = ACTIONS(7519),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7519),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7519),
    [anon_sym_BSLASHtextcite] = ACTIONS(7519),
    [anon_sym_BSLASHTextcite] = ACTIONS(7519),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7519),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7519),
    [anon_sym_BSLASHsupercite] = ACTIONS(7519),
    [anon_sym_BSLASHautocite] = ACTIONS(7519),
    [anon_sym_BSLASHAutocite] = ACTIONS(7519),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHVolcite] = ACTIONS(7519),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHavolcite] = ACTIONS(7519),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHNotecite] = ACTIONS(7519),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHlabel] = ACTIONS(7519),
    [anon_sym_BSLASHref] = ACTIONS(7519),
    [anon_sym_BSLASHeqref] = ACTIONS(7519),
    [anon_sym_BSLASHvref] = ACTIONS(7519),
    [anon_sym_BSLASHVref] = ACTIONS(7519),
    [anon_sym_BSLASHautoref] = ACTIONS(7519),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHpageref] = ACTIONS(7519),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHautopageref] = ACTIONS(7519),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcref] = ACTIONS(7519),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCref] = ACTIONS(7519),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcpageref] = ACTIONS(7519),
    [anon_sym_BSLASHCpageref] = ACTIONS(7519),
    [anon_sym_BSLASHnamecref] = ACTIONS(7519),
    [anon_sym_BSLASHnameCref] = ACTIONS(7519),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7519),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7519),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7519),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7519),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7519),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7519),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7519),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7519),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7519),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7519),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7519),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHdef] = ACTIONS(7519),
    [anon_sym_BSLASHgdef] = ACTIONS(7519),
    [anon_sym_BSLASHedef] = ACTIONS(7519),
    [anon_sym_BSLASHxdef] = ACTIONS(7519),
    [anon_sym_BSLASHlet] = ACTIONS(7519),
    [anon_sym_BSLASHglet] = ACTIONS(7519),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7519),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7519),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7519),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7519),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7519),
    [anon_sym_BSLASHgls] = ACTIONS(7519),
    [anon_sym_BSLASHGls] = ACTIONS(7519),
    [anon_sym_BSLASHGLS] = ACTIONS(7519),
    [anon_sym_BSLASHglspl] = ACTIONS(7519),
    [anon_sym_BSLASHGlspl] = ACTIONS(7519),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7519),
    [anon_sym_BSLASHglslink] = ACTIONS(7519),
    [anon_sym_BSLASHglstext] = ACTIONS(7519),
    [anon_sym_BSLASHGlstext] = ACTIONS(7519),
    [anon_sym_BSLASHGLStext] = ACTIONS(7519),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7519),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7519),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7519),
    [anon_sym_BSLASHglsplural] = ACTIONS(7519),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7519),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7519),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHglsname] = ACTIONS(7519),
    [anon_sym_BSLASHGlsname] = ACTIONS(7519),
    [anon_sym_BSLASHGLSname] = ACTIONS(7519),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7519),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7519),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7519),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7519),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7519),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7519),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7519),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7519),
    [anon_sym_BSLASHacrshort] = ACTIONS(7519),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7519),
    [anon_sym_BSLASHACRshort] = ACTIONS(7519),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHacrlong] = ACTIONS(7519),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7519),
    [anon_sym_BSLASHACRlong] = ACTIONS(7519),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHacrfull] = ACTIONS(7519),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7519),
    [anon_sym_BSLASHACRfull] = ACTIONS(7519),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHacs] = ACTIONS(7519),
    [anon_sym_BSLASHAcs] = ACTIONS(7519),
    [anon_sym_BSLASHacsp] = ACTIONS(7519),
    [anon_sym_BSLASHAcsp] = ACTIONS(7519),
    [anon_sym_BSLASHacl] = ACTIONS(7519),
    [anon_sym_BSLASHAcl] = ACTIONS(7519),
    [anon_sym_BSLASHaclp] = ACTIONS(7519),
    [anon_sym_BSLASHAclp] = ACTIONS(7519),
    [anon_sym_BSLASHacf] = ACTIONS(7519),
    [anon_sym_BSLASHAcf] = ACTIONS(7519),
    [anon_sym_BSLASHacfp] = ACTIONS(7519),
    [anon_sym_BSLASHAcfp] = ACTIONS(7519),
    [anon_sym_BSLASHac] = ACTIONS(7519),
    [anon_sym_BSLASHAc] = ACTIONS(7519),
    [anon_sym_BSLASHacp] = ACTIONS(7519),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7519),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7519),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7519),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7519),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7519),
    [anon_sym_BSLASHcolor] = ACTIONS(7519),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7519),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7519),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7519),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7519),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7519),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7519),
    [anon_sym_BSLASHurl] = ACTIONS(7519),
    [anon_sym_BSLASHhref] = ACTIONS(7519),
  },
  [1343] = {
    [sym_command_name] = ACTIONS(7523),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7523),
    [anon_sym_LBRACK] = ACTIONS(7525),
    [anon_sym_RBRACK] = ACTIONS(7525),
    [anon_sym_COMMA] = ACTIONS(7525),
    [anon_sym_EQ] = ACTIONS(7525),
    [anon_sym_LPAREN] = ACTIONS(7525),
    [anon_sym_RPAREN] = ACTIONS(7525),
    [anon_sym_BSLASHpart] = ACTIONS(7523),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHaddpart] = ACTIONS(7523),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHchapter] = ACTIONS(7523),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHaddchap] = ACTIONS(7523),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHsection] = ACTIONS(7523),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHaddsec] = ACTIONS(7523),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHsubsection] = ACTIONS(7523),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7523),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHparagraph] = ACTIONS(7523),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7523),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHitem] = ACTIONS(7523),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7525),
    [anon_sym_LBRACE] = ACTIONS(7525),
    [sym_word] = ACTIONS(7523),
    [sym_placeholder] = ACTIONS(7525),
    [sym_delimiter] = ACTIONS(7525),
    [anon_sym_PLUS] = ACTIONS(7525),
    [anon_sym_DASH] = ACTIONS(7525),
    [anon_sym_STAR] = ACTIONS(7525),
    [anon_sym_SLASH] = ACTIONS(7525),
    [anon_sym_LT] = ACTIONS(7523),
    [anon_sym_GT] = ACTIONS(7523),
    [anon_sym_BANG] = ACTIONS(7523),
    [anon_sym_PIPE] = ACTIONS(7523),
    [anon_sym_COLON] = ACTIONS(7523),
    [anon_sym_SQUOTE] = ACTIONS(7523),
    [anon_sym__] = ACTIONS(7525),
    [anon_sym_CARET] = ACTIONS(7525),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7525),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7525),
    [anon_sym_DOLLAR] = ACTIONS(7523),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7525),
    [anon_sym_BSLASHleft] = ACTIONS(7523),
    [anon_sym_BSLASHbigl] = ACTIONS(7523),
    [anon_sym_BSLASHBigl] = ACTIONS(7523),
    [anon_sym_BSLASHbiggl] = ACTIONS(7523),
    [anon_sym_BSLASHBiggl] = ACTIONS(7523),
    [anon_sym_BSLASHtext] = ACTIONS(7523),
    [anon_sym_BSLASHintertext] = ACTIONS(7523),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7523),
    [anon_sym_BSLASHbegin] = ACTIONS(7523),
    [anon_sym_BSLASHend] = ACTIONS(7523),
    [anon_sym_BSLASHtitle] = ACTIONS(7523),
    [anon_sym_BSLASHauthor] = ACTIONS(7523),
    [anon_sym_BSLASHusepackage] = ACTIONS(7523),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7523),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7523),
    [anon_sym_BSLASHinclude] = ACTIONS(7523),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7523),
    [anon_sym_BSLASHinput] = ACTIONS(7523),
    [anon_sym_BSLASHsubfile] = ACTIONS(7523),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7523),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7523),
    [anon_sym_BSLASHbibliography] = ACTIONS(7523),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7523),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7523),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7523),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7523),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7523),
    [anon_sym_BSLASHimport] = ACTIONS(7523),
    [anon_sym_BSLASHsubimport] = ACTIONS(7523),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7523),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7523),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7523),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7523),
    [anon_sym_BSLASHcaption] = ACTIONS(7523),
    [anon_sym_BSLASHcite] = ACTIONS(7523),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCite] = ACTIONS(7523),
    [anon_sym_BSLASHnocite] = ACTIONS(7523),
    [anon_sym_BSLASHcitet] = ACTIONS(7523),
    [anon_sym_BSLASHcitep] = ACTIONS(7523),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteA] = ACTIONS(7523),
    [anon_sym_BSLASHciteR] = ACTIONS(7523),
    [anon_sym_BSLASHciteS] = ACTIONS(7523),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7523),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7523),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7523),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7523),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteyear] = ACTIONS(7523),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitedate] = ACTIONS(7523),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteurl] = ACTIONS(7523),
    [anon_sym_BSLASHfullcite] = ACTIONS(7523),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7523),
    [anon_sym_BSLASHcitealt] = ACTIONS(7523),
    [anon_sym_BSLASHcitealp] = ACTIONS(7523),
    [anon_sym_BSLASHcitetext] = ACTIONS(7523),
    [anon_sym_BSLASHparencite] = ACTIONS(7523),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHParencite] = ACTIONS(7523),
    [anon_sym_BSLASHfootcite] = ACTIONS(7523),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7523),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7523),
    [anon_sym_BSLASHtextcite] = ACTIONS(7523),
    [anon_sym_BSLASHTextcite] = ACTIONS(7523),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7523),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7523),
    [anon_sym_BSLASHsupercite] = ACTIONS(7523),
    [anon_sym_BSLASHautocite] = ACTIONS(7523),
    [anon_sym_BSLASHAutocite] = ACTIONS(7523),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHVolcite] = ACTIONS(7523),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHavolcite] = ACTIONS(7523),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHNotecite] = ACTIONS(7523),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHlabel] = ACTIONS(7523),
    [anon_sym_BSLASHref] = ACTIONS(7523),
    [anon_sym_BSLASHeqref] = ACTIONS(7523),
    [anon_sym_BSLASHvref] = ACTIONS(7523),
    [anon_sym_BSLASHVref] = ACTIONS(7523),
    [anon_sym_BSLASHautoref] = ACTIONS(7523),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHpageref] = ACTIONS(7523),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHautopageref] = ACTIONS(7523),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcref] = ACTIONS(7523),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCref] = ACTIONS(7523),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcpageref] = ACTIONS(7523),
    [anon_sym_BSLASHCpageref] = ACTIONS(7523),
    [anon_sym_BSLASHnamecref] = ACTIONS(7523),
    [anon_sym_BSLASHnameCref] = ACTIONS(7523),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7523),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7523),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7523),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7523),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7523),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7523),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7523),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7523),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7523),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7523),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7523),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHdef] = ACTIONS(7523),
    [anon_sym_BSLASHgdef] = ACTIONS(7523),
    [anon_sym_BSLASHedef] = ACTIONS(7523),
    [anon_sym_BSLASHxdef] = ACTIONS(7523),
    [anon_sym_BSLASHlet] = ACTIONS(7523),
    [anon_sym_BSLASHglet] = ACTIONS(7523),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7523),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7523),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7523),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7523),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7523),
    [anon_sym_BSLASHgls] = ACTIONS(7523),
    [anon_sym_BSLASHGls] = ACTIONS(7523),
    [anon_sym_BSLASHGLS] = ACTIONS(7523),
    [anon_sym_BSLASHglspl] = ACTIONS(7523),
    [anon_sym_BSLASHGlspl] = ACTIONS(7523),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7523),
    [anon_sym_BSLASHglslink] = ACTIONS(7523),
    [anon_sym_BSLASHglstext] = ACTIONS(7523),
    [anon_sym_BSLASHGlstext] = ACTIONS(7523),
    [anon_sym_BSLASHGLStext] = ACTIONS(7523),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7523),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7523),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7523),
    [anon_sym_BSLASHglsplural] = ACTIONS(7523),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7523),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7523),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHglsname] = ACTIONS(7523),
    [anon_sym_BSLASHGlsname] = ACTIONS(7523),
    [anon_sym_BSLASHGLSname] = ACTIONS(7523),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7523),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7523),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7523),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7523),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7523),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7523),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7523),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7523),
    [anon_sym_BSLASHacrshort] = ACTIONS(7523),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7523),
    [anon_sym_BSLASHACRshort] = ACTIONS(7523),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHacrlong] = ACTIONS(7523),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7523),
    [anon_sym_BSLASHACRlong] = ACTIONS(7523),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHacrfull] = ACTIONS(7523),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7523),
    [anon_sym_BSLASHACRfull] = ACTIONS(7523),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHacs] = ACTIONS(7523),
    [anon_sym_BSLASHAcs] = ACTIONS(7523),
    [anon_sym_BSLASHacsp] = ACTIONS(7523),
    [anon_sym_BSLASHAcsp] = ACTIONS(7523),
    [anon_sym_BSLASHacl] = ACTIONS(7523),
    [anon_sym_BSLASHAcl] = ACTIONS(7523),
    [anon_sym_BSLASHaclp] = ACTIONS(7523),
    [anon_sym_BSLASHAclp] = ACTIONS(7523),
    [anon_sym_BSLASHacf] = ACTIONS(7523),
    [anon_sym_BSLASHAcf] = ACTIONS(7523),
    [anon_sym_BSLASHacfp] = ACTIONS(7523),
    [anon_sym_BSLASHAcfp] = ACTIONS(7523),
    [anon_sym_BSLASHac] = ACTIONS(7523),
    [anon_sym_BSLASHAc] = ACTIONS(7523),
    [anon_sym_BSLASHacp] = ACTIONS(7523),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7523),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7523),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7523),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7523),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7523),
    [anon_sym_BSLASHcolor] = ACTIONS(7523),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7523),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7523),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7523),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7523),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7523),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7523),
    [anon_sym_BSLASHurl] = ACTIONS(7523),
    [anon_sym_BSLASHhref] = ACTIONS(7523),
  },
  [1344] = {
    [sym_command_name] = ACTIONS(7519),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7519),
    [anon_sym_LBRACK] = ACTIONS(7521),
    [anon_sym_RBRACK] = ACTIONS(7521),
    [anon_sym_COMMA] = ACTIONS(7521),
    [anon_sym_EQ] = ACTIONS(7521),
    [anon_sym_LPAREN] = ACTIONS(7521),
    [anon_sym_RPAREN] = ACTIONS(7521),
    [anon_sym_BSLASHpart] = ACTIONS(7519),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHaddpart] = ACTIONS(7519),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHchapter] = ACTIONS(7519),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHaddchap] = ACTIONS(7519),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHsection] = ACTIONS(7519),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHaddsec] = ACTIONS(7519),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHsubsection] = ACTIONS(7519),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7519),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHparagraph] = ACTIONS(7519),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7519),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHitem] = ACTIONS(7519),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7521),
    [anon_sym_LBRACE] = ACTIONS(7521),
    [sym_word] = ACTIONS(7519),
    [sym_placeholder] = ACTIONS(7521),
    [sym_delimiter] = ACTIONS(7521),
    [anon_sym_PLUS] = ACTIONS(7521),
    [anon_sym_DASH] = ACTIONS(7521),
    [anon_sym_STAR] = ACTIONS(7521),
    [anon_sym_SLASH] = ACTIONS(7521),
    [anon_sym_LT] = ACTIONS(7519),
    [anon_sym_GT] = ACTIONS(7519),
    [anon_sym_BANG] = ACTIONS(7519),
    [anon_sym_PIPE] = ACTIONS(7519),
    [anon_sym_COLON] = ACTIONS(7519),
    [anon_sym_SQUOTE] = ACTIONS(7519),
    [anon_sym__] = ACTIONS(7521),
    [anon_sym_CARET] = ACTIONS(7521),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7521),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7521),
    [anon_sym_DOLLAR] = ACTIONS(7519),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7521),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7521),
    [anon_sym_BSLASHleft] = ACTIONS(7519),
    [anon_sym_BSLASHbigl] = ACTIONS(7519),
    [anon_sym_BSLASHBigl] = ACTIONS(7519),
    [anon_sym_BSLASHbiggl] = ACTIONS(7519),
    [anon_sym_BSLASHBiggl] = ACTIONS(7519),
    [anon_sym_BSLASHtext] = ACTIONS(7519),
    [anon_sym_BSLASHintertext] = ACTIONS(7519),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7519),
    [anon_sym_BSLASHbegin] = ACTIONS(7519),
    [anon_sym_BSLASHtitle] = ACTIONS(7519),
    [anon_sym_BSLASHauthor] = ACTIONS(7519),
    [anon_sym_BSLASHusepackage] = ACTIONS(7519),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7519),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7519),
    [anon_sym_BSLASHinclude] = ACTIONS(7519),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7519),
    [anon_sym_BSLASHinput] = ACTIONS(7519),
    [anon_sym_BSLASHsubfile] = ACTIONS(7519),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7519),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7519),
    [anon_sym_BSLASHbibliography] = ACTIONS(7519),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7519),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7519),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7519),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7519),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7519),
    [anon_sym_BSLASHimport] = ACTIONS(7519),
    [anon_sym_BSLASHsubimport] = ACTIONS(7519),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7519),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7519),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7519),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7519),
    [anon_sym_BSLASHcaption] = ACTIONS(7519),
    [anon_sym_BSLASHcite] = ACTIONS(7519),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCite] = ACTIONS(7519),
    [anon_sym_BSLASHnocite] = ACTIONS(7519),
    [anon_sym_BSLASHcitet] = ACTIONS(7519),
    [anon_sym_BSLASHcitep] = ACTIONS(7519),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteA] = ACTIONS(7519),
    [anon_sym_BSLASHciteR] = ACTIONS(7519),
    [anon_sym_BSLASHciteS] = ACTIONS(7519),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7519),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7519),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7519),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7519),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteyear] = ACTIONS(7519),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitedate] = ACTIONS(7519),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteurl] = ACTIONS(7519),
    [anon_sym_BSLASHfullcite] = ACTIONS(7519),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7519),
    [anon_sym_BSLASHcitealt] = ACTIONS(7519),
    [anon_sym_BSLASHcitealp] = ACTIONS(7519),
    [anon_sym_BSLASHcitetext] = ACTIONS(7519),
    [anon_sym_BSLASHparencite] = ACTIONS(7519),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHParencite] = ACTIONS(7519),
    [anon_sym_BSLASHfootcite] = ACTIONS(7519),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7519),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7519),
    [anon_sym_BSLASHtextcite] = ACTIONS(7519),
    [anon_sym_BSLASHTextcite] = ACTIONS(7519),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7519),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7519),
    [anon_sym_BSLASHsupercite] = ACTIONS(7519),
    [anon_sym_BSLASHautocite] = ACTIONS(7519),
    [anon_sym_BSLASHAutocite] = ACTIONS(7519),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHVolcite] = ACTIONS(7519),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHavolcite] = ACTIONS(7519),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHNotecite] = ACTIONS(7519),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHlabel] = ACTIONS(7519),
    [anon_sym_BSLASHref] = ACTIONS(7519),
    [anon_sym_BSLASHeqref] = ACTIONS(7519),
    [anon_sym_BSLASHvref] = ACTIONS(7519),
    [anon_sym_BSLASHVref] = ACTIONS(7519),
    [anon_sym_BSLASHautoref] = ACTIONS(7519),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHpageref] = ACTIONS(7519),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHautopageref] = ACTIONS(7519),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcref] = ACTIONS(7519),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCref] = ACTIONS(7519),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcpageref] = ACTIONS(7519),
    [anon_sym_BSLASHCpageref] = ACTIONS(7519),
    [anon_sym_BSLASHnamecref] = ACTIONS(7519),
    [anon_sym_BSLASHnameCref] = ACTIONS(7519),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7519),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7519),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7519),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7519),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7519),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7519),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7519),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7519),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7519),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7519),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7519),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHdef] = ACTIONS(7519),
    [anon_sym_BSLASHgdef] = ACTIONS(7519),
    [anon_sym_BSLASHedef] = ACTIONS(7519),
    [anon_sym_BSLASHxdef] = ACTIONS(7519),
    [anon_sym_BSLASHlet] = ACTIONS(7519),
    [anon_sym_BSLASHglet] = ACTIONS(7519),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7519),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7519),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7519),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7519),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7519),
    [anon_sym_BSLASHgls] = ACTIONS(7519),
    [anon_sym_BSLASHGls] = ACTIONS(7519),
    [anon_sym_BSLASHGLS] = ACTIONS(7519),
    [anon_sym_BSLASHglspl] = ACTIONS(7519),
    [anon_sym_BSLASHGlspl] = ACTIONS(7519),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7519),
    [anon_sym_BSLASHglslink] = ACTIONS(7519),
    [anon_sym_BSLASHglstext] = ACTIONS(7519),
    [anon_sym_BSLASHGlstext] = ACTIONS(7519),
    [anon_sym_BSLASHGLStext] = ACTIONS(7519),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7519),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7519),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7519),
    [anon_sym_BSLASHglsplural] = ACTIONS(7519),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7519),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7519),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHglsname] = ACTIONS(7519),
    [anon_sym_BSLASHGlsname] = ACTIONS(7519),
    [anon_sym_BSLASHGLSname] = ACTIONS(7519),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7519),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7519),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7519),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7519),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7519),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7519),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7519),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7519),
    [anon_sym_BSLASHacrshort] = ACTIONS(7519),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7519),
    [anon_sym_BSLASHACRshort] = ACTIONS(7519),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHacrlong] = ACTIONS(7519),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7519),
    [anon_sym_BSLASHACRlong] = ACTIONS(7519),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHacrfull] = ACTIONS(7519),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7519),
    [anon_sym_BSLASHACRfull] = ACTIONS(7519),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHacs] = ACTIONS(7519),
    [anon_sym_BSLASHAcs] = ACTIONS(7519),
    [anon_sym_BSLASHacsp] = ACTIONS(7519),
    [anon_sym_BSLASHAcsp] = ACTIONS(7519),
    [anon_sym_BSLASHacl] = ACTIONS(7519),
    [anon_sym_BSLASHAcl] = ACTIONS(7519),
    [anon_sym_BSLASHaclp] = ACTIONS(7519),
    [anon_sym_BSLASHAclp] = ACTIONS(7519),
    [anon_sym_BSLASHacf] = ACTIONS(7519),
    [anon_sym_BSLASHAcf] = ACTIONS(7519),
    [anon_sym_BSLASHacfp] = ACTIONS(7519),
    [anon_sym_BSLASHAcfp] = ACTIONS(7519),
    [anon_sym_BSLASHac] = ACTIONS(7519),
    [anon_sym_BSLASHAc] = ACTIONS(7519),
    [anon_sym_BSLASHacp] = ACTIONS(7519),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7519),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7519),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7519),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7519),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7519),
    [anon_sym_BSLASHcolor] = ACTIONS(7519),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7519),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7519),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7519),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7519),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7519),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7519),
    [anon_sym_BSLASHurl] = ACTIONS(7519),
    [anon_sym_BSLASHhref] = ACTIONS(7519),
  },
  [1345] = {
    [sym_command_name] = ACTIONS(7523),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7523),
    [anon_sym_LBRACK] = ACTIONS(7525),
    [anon_sym_RBRACK] = ACTIONS(7525),
    [anon_sym_COMMA] = ACTIONS(7525),
    [anon_sym_EQ] = ACTIONS(7525),
    [anon_sym_LPAREN] = ACTIONS(7525),
    [anon_sym_RPAREN] = ACTIONS(7525),
    [anon_sym_BSLASHpart] = ACTIONS(7523),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHaddpart] = ACTIONS(7523),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHchapter] = ACTIONS(7523),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHaddchap] = ACTIONS(7523),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHsection] = ACTIONS(7523),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHaddsec] = ACTIONS(7523),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHsubsection] = ACTIONS(7523),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7523),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHparagraph] = ACTIONS(7523),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7523),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHitem] = ACTIONS(7523),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7525),
    [anon_sym_LBRACE] = ACTIONS(7525),
    [sym_word] = ACTIONS(7523),
    [sym_placeholder] = ACTIONS(7525),
    [sym_delimiter] = ACTIONS(7525),
    [anon_sym_PLUS] = ACTIONS(7525),
    [anon_sym_DASH] = ACTIONS(7525),
    [anon_sym_STAR] = ACTIONS(7525),
    [anon_sym_SLASH] = ACTIONS(7525),
    [anon_sym_LT] = ACTIONS(7523),
    [anon_sym_GT] = ACTIONS(7523),
    [anon_sym_BANG] = ACTIONS(7523),
    [anon_sym_PIPE] = ACTIONS(7523),
    [anon_sym_COLON] = ACTIONS(7523),
    [anon_sym_SQUOTE] = ACTIONS(7523),
    [anon_sym__] = ACTIONS(7525),
    [anon_sym_CARET] = ACTIONS(7525),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7525),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7525),
    [anon_sym_DOLLAR] = ACTIONS(7523),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7525),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7525),
    [anon_sym_BSLASHleft] = ACTIONS(7523),
    [anon_sym_BSLASHbigl] = ACTIONS(7523),
    [anon_sym_BSLASHBigl] = ACTIONS(7523),
    [anon_sym_BSLASHbiggl] = ACTIONS(7523),
    [anon_sym_BSLASHBiggl] = ACTIONS(7523),
    [anon_sym_BSLASHtext] = ACTIONS(7523),
    [anon_sym_BSLASHintertext] = ACTIONS(7523),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7523),
    [anon_sym_BSLASHbegin] = ACTIONS(7523),
    [anon_sym_BSLASHtitle] = ACTIONS(7523),
    [anon_sym_BSLASHauthor] = ACTIONS(7523),
    [anon_sym_BSLASHusepackage] = ACTIONS(7523),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7523),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7523),
    [anon_sym_BSLASHinclude] = ACTIONS(7523),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7523),
    [anon_sym_BSLASHinput] = ACTIONS(7523),
    [anon_sym_BSLASHsubfile] = ACTIONS(7523),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7523),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7523),
    [anon_sym_BSLASHbibliography] = ACTIONS(7523),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7523),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7523),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7523),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7523),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7523),
    [anon_sym_BSLASHimport] = ACTIONS(7523),
    [anon_sym_BSLASHsubimport] = ACTIONS(7523),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7523),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7523),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7523),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7523),
    [anon_sym_BSLASHcaption] = ACTIONS(7523),
    [anon_sym_BSLASHcite] = ACTIONS(7523),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCite] = ACTIONS(7523),
    [anon_sym_BSLASHnocite] = ACTIONS(7523),
    [anon_sym_BSLASHcitet] = ACTIONS(7523),
    [anon_sym_BSLASHcitep] = ACTIONS(7523),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteA] = ACTIONS(7523),
    [anon_sym_BSLASHciteR] = ACTIONS(7523),
    [anon_sym_BSLASHciteS] = ACTIONS(7523),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7523),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7523),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7523),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7523),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteyear] = ACTIONS(7523),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitedate] = ACTIONS(7523),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteurl] = ACTIONS(7523),
    [anon_sym_BSLASHfullcite] = ACTIONS(7523),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7523),
    [anon_sym_BSLASHcitealt] = ACTIONS(7523),
    [anon_sym_BSLASHcitealp] = ACTIONS(7523),
    [anon_sym_BSLASHcitetext] = ACTIONS(7523),
    [anon_sym_BSLASHparencite] = ACTIONS(7523),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHParencite] = ACTIONS(7523),
    [anon_sym_BSLASHfootcite] = ACTIONS(7523),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7523),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7523),
    [anon_sym_BSLASHtextcite] = ACTIONS(7523),
    [anon_sym_BSLASHTextcite] = ACTIONS(7523),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7523),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7523),
    [anon_sym_BSLASHsupercite] = ACTIONS(7523),
    [anon_sym_BSLASHautocite] = ACTIONS(7523),
    [anon_sym_BSLASHAutocite] = ACTIONS(7523),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHVolcite] = ACTIONS(7523),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHavolcite] = ACTIONS(7523),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHNotecite] = ACTIONS(7523),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHlabel] = ACTIONS(7523),
    [anon_sym_BSLASHref] = ACTIONS(7523),
    [anon_sym_BSLASHeqref] = ACTIONS(7523),
    [anon_sym_BSLASHvref] = ACTIONS(7523),
    [anon_sym_BSLASHVref] = ACTIONS(7523),
    [anon_sym_BSLASHautoref] = ACTIONS(7523),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHpageref] = ACTIONS(7523),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHautopageref] = ACTIONS(7523),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcref] = ACTIONS(7523),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCref] = ACTIONS(7523),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcpageref] = ACTIONS(7523),
    [anon_sym_BSLASHCpageref] = ACTIONS(7523),
    [anon_sym_BSLASHnamecref] = ACTIONS(7523),
    [anon_sym_BSLASHnameCref] = ACTIONS(7523),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7523),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7523),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7523),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7523),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7523),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7523),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7523),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7523),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7523),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7523),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7523),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHdef] = ACTIONS(7523),
    [anon_sym_BSLASHgdef] = ACTIONS(7523),
    [anon_sym_BSLASHedef] = ACTIONS(7523),
    [anon_sym_BSLASHxdef] = ACTIONS(7523),
    [anon_sym_BSLASHlet] = ACTIONS(7523),
    [anon_sym_BSLASHglet] = ACTIONS(7523),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7523),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7523),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7523),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7523),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7523),
    [anon_sym_BSLASHgls] = ACTIONS(7523),
    [anon_sym_BSLASHGls] = ACTIONS(7523),
    [anon_sym_BSLASHGLS] = ACTIONS(7523),
    [anon_sym_BSLASHglspl] = ACTIONS(7523),
    [anon_sym_BSLASHGlspl] = ACTIONS(7523),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7523),
    [anon_sym_BSLASHglslink] = ACTIONS(7523),
    [anon_sym_BSLASHglstext] = ACTIONS(7523),
    [anon_sym_BSLASHGlstext] = ACTIONS(7523),
    [anon_sym_BSLASHGLStext] = ACTIONS(7523),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7523),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7523),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7523),
    [anon_sym_BSLASHglsplural] = ACTIONS(7523),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7523),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7523),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHglsname] = ACTIONS(7523),
    [anon_sym_BSLASHGlsname] = ACTIONS(7523),
    [anon_sym_BSLASHGLSname] = ACTIONS(7523),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7523),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7523),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7523),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7523),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7523),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7523),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7523),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7523),
    [anon_sym_BSLASHacrshort] = ACTIONS(7523),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7523),
    [anon_sym_BSLASHACRshort] = ACTIONS(7523),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHacrlong] = ACTIONS(7523),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7523),
    [anon_sym_BSLASHACRlong] = ACTIONS(7523),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHacrfull] = ACTIONS(7523),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7523),
    [anon_sym_BSLASHACRfull] = ACTIONS(7523),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHacs] = ACTIONS(7523),
    [anon_sym_BSLASHAcs] = ACTIONS(7523),
    [anon_sym_BSLASHacsp] = ACTIONS(7523),
    [anon_sym_BSLASHAcsp] = ACTIONS(7523),
    [anon_sym_BSLASHacl] = ACTIONS(7523),
    [anon_sym_BSLASHAcl] = ACTIONS(7523),
    [anon_sym_BSLASHaclp] = ACTIONS(7523),
    [anon_sym_BSLASHAclp] = ACTIONS(7523),
    [anon_sym_BSLASHacf] = ACTIONS(7523),
    [anon_sym_BSLASHAcf] = ACTIONS(7523),
    [anon_sym_BSLASHacfp] = ACTIONS(7523),
    [anon_sym_BSLASHAcfp] = ACTIONS(7523),
    [anon_sym_BSLASHac] = ACTIONS(7523),
    [anon_sym_BSLASHAc] = ACTIONS(7523),
    [anon_sym_BSLASHacp] = ACTIONS(7523),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7523),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7523),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7523),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7523),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7523),
    [anon_sym_BSLASHcolor] = ACTIONS(7523),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7523),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7523),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7523),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7523),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7523),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7523),
    [anon_sym_BSLASHurl] = ACTIONS(7523),
    [anon_sym_BSLASHhref] = ACTIONS(7523),
  },
  [1346] = {
    [sym_command_name] = ACTIONS(7527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7527),
    [anon_sym_LBRACK] = ACTIONS(7529),
    [anon_sym_RBRACK] = ACTIONS(7529),
    [anon_sym_COMMA] = ACTIONS(7529),
    [anon_sym_EQ] = ACTIONS(7529),
    [anon_sym_LPAREN] = ACTIONS(7529),
    [anon_sym_RPAREN] = ACTIONS(7529),
    [anon_sym_BSLASHpart] = ACTIONS(7527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHaddpart] = ACTIONS(7527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHchapter] = ACTIONS(7527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHaddchap] = ACTIONS(7527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHsection] = ACTIONS(7527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHaddsec] = ACTIONS(7527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHsubsection] = ACTIONS(7527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHparagraph] = ACTIONS(7527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHitem] = ACTIONS(7527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7529),
    [anon_sym_LBRACE] = ACTIONS(7529),
    [sym_word] = ACTIONS(7527),
    [sym_placeholder] = ACTIONS(7529),
    [sym_delimiter] = ACTIONS(7529),
    [anon_sym_PLUS] = ACTIONS(7529),
    [anon_sym_DASH] = ACTIONS(7529),
    [anon_sym_STAR] = ACTIONS(7529),
    [anon_sym_SLASH] = ACTIONS(7529),
    [anon_sym_LT] = ACTIONS(7527),
    [anon_sym_GT] = ACTIONS(7527),
    [anon_sym_BANG] = ACTIONS(7527),
    [anon_sym_PIPE] = ACTIONS(7527),
    [anon_sym_COLON] = ACTIONS(7527),
    [anon_sym_SQUOTE] = ACTIONS(7527),
    [anon_sym__] = ACTIONS(7529),
    [anon_sym_CARET] = ACTIONS(7529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7529),
    [anon_sym_DOLLAR] = ACTIONS(7527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7529),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7529),
    [anon_sym_BSLASHleft] = ACTIONS(7527),
    [anon_sym_BSLASHbigl] = ACTIONS(7527),
    [anon_sym_BSLASHBigl] = ACTIONS(7527),
    [anon_sym_BSLASHbiggl] = ACTIONS(7527),
    [anon_sym_BSLASHBiggl] = ACTIONS(7527),
    [anon_sym_BSLASHtext] = ACTIONS(7527),
    [anon_sym_BSLASHintertext] = ACTIONS(7527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7527),
    [anon_sym_BSLASHbegin] = ACTIONS(7527),
    [anon_sym_BSLASHtitle] = ACTIONS(7527),
    [anon_sym_BSLASHauthor] = ACTIONS(7527),
    [anon_sym_BSLASHusepackage] = ACTIONS(7527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7527),
    [anon_sym_BSLASHinclude] = ACTIONS(7527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7527),
    [anon_sym_BSLASHinput] = ACTIONS(7527),
    [anon_sym_BSLASHsubfile] = ACTIONS(7527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7527),
    [anon_sym_BSLASHbibliography] = ACTIONS(7527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7527),
    [anon_sym_BSLASHimport] = ACTIONS(7527),
    [anon_sym_BSLASHsubimport] = ACTIONS(7527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7527),
    [anon_sym_BSLASHcaption] = ACTIONS(7527),
    [anon_sym_BSLASHcite] = ACTIONS(7527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCite] = ACTIONS(7527),
    [anon_sym_BSLASHnocite] = ACTIONS(7527),
    [anon_sym_BSLASHcitet] = ACTIONS(7527),
    [anon_sym_BSLASHcitep] = ACTIONS(7527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteA] = ACTIONS(7527),
    [anon_sym_BSLASHciteR] = ACTIONS(7527),
    [anon_sym_BSLASHciteS] = ACTIONS(7527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteyear] = ACTIONS(7527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitedate] = ACTIONS(7527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteurl] = ACTIONS(7527),
    [anon_sym_BSLASHfullcite] = ACTIONS(7527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7527),
    [anon_sym_BSLASHcitealt] = ACTIONS(7527),
    [anon_sym_BSLASHcitealp] = ACTIONS(7527),
    [anon_sym_BSLASHcitetext] = ACTIONS(7527),
    [anon_sym_BSLASHparencite] = ACTIONS(7527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHParencite] = ACTIONS(7527),
    [anon_sym_BSLASHfootcite] = ACTIONS(7527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7527),
    [anon_sym_BSLASHtextcite] = ACTIONS(7527),
    [anon_sym_BSLASHTextcite] = ACTIONS(7527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7527),
    [anon_sym_BSLASHsupercite] = ACTIONS(7527),
    [anon_sym_BSLASHautocite] = ACTIONS(7527),
    [anon_sym_BSLASHAutocite] = ACTIONS(7527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHVolcite] = ACTIONS(7527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHavolcite] = ACTIONS(7527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHNotecite] = ACTIONS(7527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHlabel] = ACTIONS(7527),
    [anon_sym_BSLASHref] = ACTIONS(7527),
    [anon_sym_BSLASHeqref] = ACTIONS(7527),
    [anon_sym_BSLASHvref] = ACTIONS(7527),
    [anon_sym_BSLASHVref] = ACTIONS(7527),
    [anon_sym_BSLASHautoref] = ACTIONS(7527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHpageref] = ACTIONS(7527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHautopageref] = ACTIONS(7527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcref] = ACTIONS(7527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCref] = ACTIONS(7527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcpageref] = ACTIONS(7527),
    [anon_sym_BSLASHCpageref] = ACTIONS(7527),
    [anon_sym_BSLASHnamecref] = ACTIONS(7527),
    [anon_sym_BSLASHnameCref] = ACTIONS(7527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHdef] = ACTIONS(7527),
    [anon_sym_BSLASHgdef] = ACTIONS(7527),
    [anon_sym_BSLASHedef] = ACTIONS(7527),
    [anon_sym_BSLASHxdef] = ACTIONS(7527),
    [anon_sym_BSLASHlet] = ACTIONS(7527),
    [anon_sym_BSLASHglet] = ACTIONS(7527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7527),
    [anon_sym_BSLASHgls] = ACTIONS(7527),
    [anon_sym_BSLASHGls] = ACTIONS(7527),
    [anon_sym_BSLASHGLS] = ACTIONS(7527),
    [anon_sym_BSLASHglspl] = ACTIONS(7527),
    [anon_sym_BSLASHGlspl] = ACTIONS(7527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7527),
    [anon_sym_BSLASHglslink] = ACTIONS(7527),
    [anon_sym_BSLASHglstext] = ACTIONS(7527),
    [anon_sym_BSLASHGlstext] = ACTIONS(7527),
    [anon_sym_BSLASHGLStext] = ACTIONS(7527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7527),
    [anon_sym_BSLASHglsplural] = ACTIONS(7527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHglsname] = ACTIONS(7527),
    [anon_sym_BSLASHGlsname] = ACTIONS(7527),
    [anon_sym_BSLASHGLSname] = ACTIONS(7527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7527),
    [anon_sym_BSLASHacrshort] = ACTIONS(7527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7527),
    [anon_sym_BSLASHACRshort] = ACTIONS(7527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHacrlong] = ACTIONS(7527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7527),
    [anon_sym_BSLASHACRlong] = ACTIONS(7527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHacrfull] = ACTIONS(7527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7527),
    [anon_sym_BSLASHACRfull] = ACTIONS(7527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHacs] = ACTIONS(7527),
    [anon_sym_BSLASHAcs] = ACTIONS(7527),
    [anon_sym_BSLASHacsp] = ACTIONS(7527),
    [anon_sym_BSLASHAcsp] = ACTIONS(7527),
    [anon_sym_BSLASHacl] = ACTIONS(7527),
    [anon_sym_BSLASHAcl] = ACTIONS(7527),
    [anon_sym_BSLASHaclp] = ACTIONS(7527),
    [anon_sym_BSLASHAclp] = ACTIONS(7527),
    [anon_sym_BSLASHacf] = ACTIONS(7527),
    [anon_sym_BSLASHAcf] = ACTIONS(7527),
    [anon_sym_BSLASHacfp] = ACTIONS(7527),
    [anon_sym_BSLASHAcfp] = ACTIONS(7527),
    [anon_sym_BSLASHac] = ACTIONS(7527),
    [anon_sym_BSLASHAc] = ACTIONS(7527),
    [anon_sym_BSLASHacp] = ACTIONS(7527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7527),
    [anon_sym_BSLASHcolor] = ACTIONS(7527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7527),
    [anon_sym_BSLASHurl] = ACTIONS(7527),
    [anon_sym_BSLASHhref] = ACTIONS(7527),
  },
  [1347] = {
    [sym_command_name] = ACTIONS(7207),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7207),
    [anon_sym_LBRACK] = ACTIONS(7209),
    [anon_sym_RBRACK] = ACTIONS(7209),
    [anon_sym_COMMA] = ACTIONS(7209),
    [anon_sym_EQ] = ACTIONS(7209),
    [anon_sym_LPAREN] = ACTIONS(7209),
    [anon_sym_RPAREN] = ACTIONS(7209),
    [anon_sym_BSLASHpart] = ACTIONS(7207),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHaddpart] = ACTIONS(7207),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHchapter] = ACTIONS(7207),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHaddchap] = ACTIONS(7207),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHsection] = ACTIONS(7207),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHaddsec] = ACTIONS(7207),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHsubsection] = ACTIONS(7207),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7207),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHparagraph] = ACTIONS(7207),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHitem] = ACTIONS(7207),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7209),
    [anon_sym_LBRACE] = ACTIONS(7209),
    [sym_word] = ACTIONS(7207),
    [sym_placeholder] = ACTIONS(7209),
    [sym_delimiter] = ACTIONS(7209),
    [anon_sym_PLUS] = ACTIONS(7209),
    [anon_sym_DASH] = ACTIONS(7209),
    [anon_sym_STAR] = ACTIONS(7209),
    [anon_sym_SLASH] = ACTIONS(7209),
    [anon_sym_LT] = ACTIONS(7207),
    [anon_sym_GT] = ACTIONS(7207),
    [anon_sym_BANG] = ACTIONS(7207),
    [anon_sym_PIPE] = ACTIONS(7207),
    [anon_sym_COLON] = ACTIONS(7207),
    [anon_sym_SQUOTE] = ACTIONS(7207),
    [anon_sym__] = ACTIONS(7209),
    [anon_sym_CARET] = ACTIONS(7209),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7209),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7209),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7209),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7209),
    [anon_sym_BSLASHleft] = ACTIONS(7207),
    [anon_sym_BSLASHbigl] = ACTIONS(7207),
    [anon_sym_BSLASHBigl] = ACTIONS(7207),
    [anon_sym_BSLASHbiggl] = ACTIONS(7207),
    [anon_sym_BSLASHBiggl] = ACTIONS(7207),
    [anon_sym_BSLASHtext] = ACTIONS(7207),
    [anon_sym_BSLASHintertext] = ACTIONS(7207),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7207),
    [anon_sym_BSLASHbegin] = ACTIONS(7207),
    [anon_sym_BSLASHtitle] = ACTIONS(7207),
    [anon_sym_BSLASHauthor] = ACTIONS(7207),
    [anon_sym_BSLASHusepackage] = ACTIONS(7207),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7207),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7207),
    [anon_sym_BSLASHinclude] = ACTIONS(7207),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7207),
    [anon_sym_BSLASHinput] = ACTIONS(7207),
    [anon_sym_BSLASHsubfile] = ACTIONS(7207),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7207),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7207),
    [anon_sym_BSLASHbibliography] = ACTIONS(7207),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7207),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7207),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7207),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7207),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7207),
    [anon_sym_BSLASHimport] = ACTIONS(7207),
    [anon_sym_BSLASHsubimport] = ACTIONS(7207),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7207),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7207),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7207),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7207),
    [anon_sym_BSLASHcaption] = ACTIONS(7207),
    [anon_sym_BSLASHcite] = ACTIONS(7207),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCite] = ACTIONS(7207),
    [anon_sym_BSLASHnocite] = ACTIONS(7207),
    [anon_sym_BSLASHcitet] = ACTIONS(7207),
    [anon_sym_BSLASHcitep] = ACTIONS(7207),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteA] = ACTIONS(7207),
    [anon_sym_BSLASHciteR] = ACTIONS(7207),
    [anon_sym_BSLASHciteS] = ACTIONS(7207),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7207),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7207),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7207),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7207),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteyear] = ACTIONS(7207),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitedate] = ACTIONS(7207),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteurl] = ACTIONS(7207),
    [anon_sym_BSLASHfullcite] = ACTIONS(7207),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7207),
    [anon_sym_BSLASHcitealt] = ACTIONS(7207),
    [anon_sym_BSLASHcitealp] = ACTIONS(7207),
    [anon_sym_BSLASHcitetext] = ACTIONS(7207),
    [anon_sym_BSLASHparencite] = ACTIONS(7207),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHParencite] = ACTIONS(7207),
    [anon_sym_BSLASHfootcite] = ACTIONS(7207),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7207),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7207),
    [anon_sym_BSLASHtextcite] = ACTIONS(7207),
    [anon_sym_BSLASHTextcite] = ACTIONS(7207),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7207),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7207),
    [anon_sym_BSLASHsupercite] = ACTIONS(7207),
    [anon_sym_BSLASHautocite] = ACTIONS(7207),
    [anon_sym_BSLASHAutocite] = ACTIONS(7207),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHVolcite] = ACTIONS(7207),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHavolcite] = ACTIONS(7207),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHNotecite] = ACTIONS(7207),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHlabel] = ACTIONS(7207),
    [anon_sym_BSLASHref] = ACTIONS(7207),
    [anon_sym_BSLASHeqref] = ACTIONS(7207),
    [anon_sym_BSLASHvref] = ACTIONS(7207),
    [anon_sym_BSLASHVref] = ACTIONS(7207),
    [anon_sym_BSLASHautoref] = ACTIONS(7207),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHpageref] = ACTIONS(7207),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHautopageref] = ACTIONS(7207),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcref] = ACTIONS(7207),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCref] = ACTIONS(7207),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcpageref] = ACTIONS(7207),
    [anon_sym_BSLASHCpageref] = ACTIONS(7207),
    [anon_sym_BSLASHnamecref] = ACTIONS(7207),
    [anon_sym_BSLASHnameCref] = ACTIONS(7207),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7207),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7207),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7207),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7207),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7207),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7207),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7207),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7207),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7207),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7207),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7207),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHdef] = ACTIONS(7207),
    [anon_sym_BSLASHgdef] = ACTIONS(7207),
    [anon_sym_BSLASHedef] = ACTIONS(7207),
    [anon_sym_BSLASHxdef] = ACTIONS(7207),
    [anon_sym_BSLASHlet] = ACTIONS(7207),
    [anon_sym_BSLASHglet] = ACTIONS(7207),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7207),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7207),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7207),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7207),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7207),
    [anon_sym_BSLASHgls] = ACTIONS(7207),
    [anon_sym_BSLASHGls] = ACTIONS(7207),
    [anon_sym_BSLASHGLS] = ACTIONS(7207),
    [anon_sym_BSLASHglspl] = ACTIONS(7207),
    [anon_sym_BSLASHGlspl] = ACTIONS(7207),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7207),
    [anon_sym_BSLASHglslink] = ACTIONS(7207),
    [anon_sym_BSLASHglstext] = ACTIONS(7207),
    [anon_sym_BSLASHGlstext] = ACTIONS(7207),
    [anon_sym_BSLASHGLStext] = ACTIONS(7207),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7207),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7207),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7207),
    [anon_sym_BSLASHglsplural] = ACTIONS(7207),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7207),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7207),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHglsname] = ACTIONS(7207),
    [anon_sym_BSLASHGlsname] = ACTIONS(7207),
    [anon_sym_BSLASHGLSname] = ACTIONS(7207),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7207),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7207),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7207),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7207),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7207),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7207),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7207),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7207),
    [anon_sym_BSLASHacrshort] = ACTIONS(7207),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7207),
    [anon_sym_BSLASHACRshort] = ACTIONS(7207),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHacrlong] = ACTIONS(7207),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7207),
    [anon_sym_BSLASHACRlong] = ACTIONS(7207),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHacrfull] = ACTIONS(7207),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7207),
    [anon_sym_BSLASHACRfull] = ACTIONS(7207),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHacs] = ACTIONS(7207),
    [anon_sym_BSLASHAcs] = ACTIONS(7207),
    [anon_sym_BSLASHacsp] = ACTIONS(7207),
    [anon_sym_BSLASHAcsp] = ACTIONS(7207),
    [anon_sym_BSLASHacl] = ACTIONS(7207),
    [anon_sym_BSLASHAcl] = ACTIONS(7207),
    [anon_sym_BSLASHaclp] = ACTIONS(7207),
    [anon_sym_BSLASHAclp] = ACTIONS(7207),
    [anon_sym_BSLASHacf] = ACTIONS(7207),
    [anon_sym_BSLASHAcf] = ACTIONS(7207),
    [anon_sym_BSLASHacfp] = ACTIONS(7207),
    [anon_sym_BSLASHAcfp] = ACTIONS(7207),
    [anon_sym_BSLASHac] = ACTIONS(7207),
    [anon_sym_BSLASHAc] = ACTIONS(7207),
    [anon_sym_BSLASHacp] = ACTIONS(7207),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7207),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7207),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7207),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7207),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7207),
    [anon_sym_BSLASHcolor] = ACTIONS(7207),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7207),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7207),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7207),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7207),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7207),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7207),
    [anon_sym_BSLASHurl] = ACTIONS(7207),
    [anon_sym_BSLASHhref] = ACTIONS(7207),
  },
  [1348] = {
    [sym_command_name] = ACTIONS(7211),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7211),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_RBRACK] = ACTIONS(7213),
    [anon_sym_COMMA] = ACTIONS(7213),
    [anon_sym_EQ] = ACTIONS(7213),
    [anon_sym_LPAREN] = ACTIONS(7213),
    [anon_sym_RPAREN] = ACTIONS(7213),
    [anon_sym_BSLASHpart] = ACTIONS(7211),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHaddpart] = ACTIONS(7211),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHchapter] = ACTIONS(7211),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHaddchap] = ACTIONS(7211),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHsection] = ACTIONS(7211),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHaddsec] = ACTIONS(7211),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHsubsection] = ACTIONS(7211),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7211),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHparagraph] = ACTIONS(7211),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7211),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHitem] = ACTIONS(7211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7213),
    [anon_sym_LBRACE] = ACTIONS(7213),
    [sym_word] = ACTIONS(7211),
    [sym_placeholder] = ACTIONS(7213),
    [sym_delimiter] = ACTIONS(7213),
    [anon_sym_PLUS] = ACTIONS(7213),
    [anon_sym_DASH] = ACTIONS(7213),
    [anon_sym_STAR] = ACTIONS(7213),
    [anon_sym_SLASH] = ACTIONS(7213),
    [anon_sym_LT] = ACTIONS(7211),
    [anon_sym_GT] = ACTIONS(7211),
    [anon_sym_BANG] = ACTIONS(7211),
    [anon_sym_PIPE] = ACTIONS(7211),
    [anon_sym_COLON] = ACTIONS(7211),
    [anon_sym_SQUOTE] = ACTIONS(7211),
    [anon_sym__] = ACTIONS(7213),
    [anon_sym_CARET] = ACTIONS(7213),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7213),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7213),
    [anon_sym_DOLLAR] = ACTIONS(7211),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7213),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7213),
    [anon_sym_BSLASHleft] = ACTIONS(7211),
    [anon_sym_BSLASHbigl] = ACTIONS(7211),
    [anon_sym_BSLASHBigl] = ACTIONS(7211),
    [anon_sym_BSLASHbiggl] = ACTIONS(7211),
    [anon_sym_BSLASHBiggl] = ACTIONS(7211),
    [anon_sym_BSLASHtext] = ACTIONS(7211),
    [anon_sym_BSLASHintertext] = ACTIONS(7211),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7211),
    [anon_sym_BSLASHbegin] = ACTIONS(7211),
    [anon_sym_BSLASHtitle] = ACTIONS(7211),
    [anon_sym_BSLASHauthor] = ACTIONS(7211),
    [anon_sym_BSLASHusepackage] = ACTIONS(7211),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7211),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7211),
    [anon_sym_BSLASHinclude] = ACTIONS(7211),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7211),
    [anon_sym_BSLASHinput] = ACTIONS(7211),
    [anon_sym_BSLASHsubfile] = ACTIONS(7211),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7211),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7211),
    [anon_sym_BSLASHbibliography] = ACTIONS(7211),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7211),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7211),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7211),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7211),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7211),
    [anon_sym_BSLASHimport] = ACTIONS(7211),
    [anon_sym_BSLASHsubimport] = ACTIONS(7211),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7211),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7211),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7211),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7211),
    [anon_sym_BSLASHcaption] = ACTIONS(7211),
    [anon_sym_BSLASHcite] = ACTIONS(7211),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCite] = ACTIONS(7211),
    [anon_sym_BSLASHnocite] = ACTIONS(7211),
    [anon_sym_BSLASHcitet] = ACTIONS(7211),
    [anon_sym_BSLASHcitep] = ACTIONS(7211),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteA] = ACTIONS(7211),
    [anon_sym_BSLASHciteR] = ACTIONS(7211),
    [anon_sym_BSLASHciteS] = ACTIONS(7211),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7211),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7211),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7211),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7211),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteyear] = ACTIONS(7211),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitedate] = ACTIONS(7211),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteurl] = ACTIONS(7211),
    [anon_sym_BSLASHfullcite] = ACTIONS(7211),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7211),
    [anon_sym_BSLASHcitealt] = ACTIONS(7211),
    [anon_sym_BSLASHcitealp] = ACTIONS(7211),
    [anon_sym_BSLASHcitetext] = ACTIONS(7211),
    [anon_sym_BSLASHparencite] = ACTIONS(7211),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHParencite] = ACTIONS(7211),
    [anon_sym_BSLASHfootcite] = ACTIONS(7211),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7211),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7211),
    [anon_sym_BSLASHtextcite] = ACTIONS(7211),
    [anon_sym_BSLASHTextcite] = ACTIONS(7211),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7211),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7211),
    [anon_sym_BSLASHsupercite] = ACTIONS(7211),
    [anon_sym_BSLASHautocite] = ACTIONS(7211),
    [anon_sym_BSLASHAutocite] = ACTIONS(7211),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHVolcite] = ACTIONS(7211),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHavolcite] = ACTIONS(7211),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHNotecite] = ACTIONS(7211),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHlabel] = ACTIONS(7211),
    [anon_sym_BSLASHref] = ACTIONS(7211),
    [anon_sym_BSLASHeqref] = ACTIONS(7211),
    [anon_sym_BSLASHvref] = ACTIONS(7211),
    [anon_sym_BSLASHVref] = ACTIONS(7211),
    [anon_sym_BSLASHautoref] = ACTIONS(7211),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHpageref] = ACTIONS(7211),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHautopageref] = ACTIONS(7211),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcref] = ACTIONS(7211),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCref] = ACTIONS(7211),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcpageref] = ACTIONS(7211),
    [anon_sym_BSLASHCpageref] = ACTIONS(7211),
    [anon_sym_BSLASHnamecref] = ACTIONS(7211),
    [anon_sym_BSLASHnameCref] = ACTIONS(7211),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7211),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7211),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7211),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7211),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7211),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7211),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7211),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7211),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7211),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7211),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7211),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHdef] = ACTIONS(7211),
    [anon_sym_BSLASHgdef] = ACTIONS(7211),
    [anon_sym_BSLASHedef] = ACTIONS(7211),
    [anon_sym_BSLASHxdef] = ACTIONS(7211),
    [anon_sym_BSLASHlet] = ACTIONS(7211),
    [anon_sym_BSLASHglet] = ACTIONS(7211),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7211),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7211),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7211),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7211),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7211),
    [anon_sym_BSLASHgls] = ACTIONS(7211),
    [anon_sym_BSLASHGls] = ACTIONS(7211),
    [anon_sym_BSLASHGLS] = ACTIONS(7211),
    [anon_sym_BSLASHglspl] = ACTIONS(7211),
    [anon_sym_BSLASHGlspl] = ACTIONS(7211),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7211),
    [anon_sym_BSLASHglslink] = ACTIONS(7211),
    [anon_sym_BSLASHglstext] = ACTIONS(7211),
    [anon_sym_BSLASHGlstext] = ACTIONS(7211),
    [anon_sym_BSLASHGLStext] = ACTIONS(7211),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7211),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7211),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7211),
    [anon_sym_BSLASHglsplural] = ACTIONS(7211),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7211),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7211),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHglsname] = ACTIONS(7211),
    [anon_sym_BSLASHGlsname] = ACTIONS(7211),
    [anon_sym_BSLASHGLSname] = ACTIONS(7211),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7211),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7211),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7211),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7211),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7211),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7211),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7211),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7211),
    [anon_sym_BSLASHacrshort] = ACTIONS(7211),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7211),
    [anon_sym_BSLASHACRshort] = ACTIONS(7211),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHacrlong] = ACTIONS(7211),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7211),
    [anon_sym_BSLASHACRlong] = ACTIONS(7211),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHacrfull] = ACTIONS(7211),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7211),
    [anon_sym_BSLASHACRfull] = ACTIONS(7211),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHacs] = ACTIONS(7211),
    [anon_sym_BSLASHAcs] = ACTIONS(7211),
    [anon_sym_BSLASHacsp] = ACTIONS(7211),
    [anon_sym_BSLASHAcsp] = ACTIONS(7211),
    [anon_sym_BSLASHacl] = ACTIONS(7211),
    [anon_sym_BSLASHAcl] = ACTIONS(7211),
    [anon_sym_BSLASHaclp] = ACTIONS(7211),
    [anon_sym_BSLASHAclp] = ACTIONS(7211),
    [anon_sym_BSLASHacf] = ACTIONS(7211),
    [anon_sym_BSLASHAcf] = ACTIONS(7211),
    [anon_sym_BSLASHacfp] = ACTIONS(7211),
    [anon_sym_BSLASHAcfp] = ACTIONS(7211),
    [anon_sym_BSLASHac] = ACTIONS(7211),
    [anon_sym_BSLASHAc] = ACTIONS(7211),
    [anon_sym_BSLASHacp] = ACTIONS(7211),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7211),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7211),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7211),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7211),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7211),
    [anon_sym_BSLASHcolor] = ACTIONS(7211),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7211),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7211),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7211),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7211),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7211),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7211),
    [anon_sym_BSLASHurl] = ACTIONS(7211),
    [anon_sym_BSLASHhref] = ACTIONS(7211),
  },
  [1349] = {
    [sym_command_name] = ACTIONS(7215),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7215),
    [anon_sym_LBRACK] = ACTIONS(7217),
    [anon_sym_RBRACK] = ACTIONS(7217),
    [anon_sym_COMMA] = ACTIONS(7217),
    [anon_sym_EQ] = ACTIONS(7217),
    [anon_sym_LPAREN] = ACTIONS(7217),
    [anon_sym_RPAREN] = ACTIONS(7217),
    [anon_sym_BSLASHpart] = ACTIONS(7215),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHaddpart] = ACTIONS(7215),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHchapter] = ACTIONS(7215),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHaddchap] = ACTIONS(7215),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHsection] = ACTIONS(7215),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHaddsec] = ACTIONS(7215),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHsubsection] = ACTIONS(7215),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7215),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHparagraph] = ACTIONS(7215),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7215),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHitem] = ACTIONS(7215),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7217),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [sym_word] = ACTIONS(7215),
    [sym_placeholder] = ACTIONS(7217),
    [sym_delimiter] = ACTIONS(7217),
    [anon_sym_PLUS] = ACTIONS(7217),
    [anon_sym_DASH] = ACTIONS(7217),
    [anon_sym_STAR] = ACTIONS(7217),
    [anon_sym_SLASH] = ACTIONS(7217),
    [anon_sym_LT] = ACTIONS(7215),
    [anon_sym_GT] = ACTIONS(7215),
    [anon_sym_BANG] = ACTIONS(7215),
    [anon_sym_PIPE] = ACTIONS(7215),
    [anon_sym_COLON] = ACTIONS(7215),
    [anon_sym_SQUOTE] = ACTIONS(7215),
    [anon_sym__] = ACTIONS(7217),
    [anon_sym_CARET] = ACTIONS(7217),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7217),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7217),
    [anon_sym_DOLLAR] = ACTIONS(7215),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7217),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7217),
    [anon_sym_BSLASHleft] = ACTIONS(7215),
    [anon_sym_BSLASHbigl] = ACTIONS(7215),
    [anon_sym_BSLASHBigl] = ACTIONS(7215),
    [anon_sym_BSLASHbiggl] = ACTIONS(7215),
    [anon_sym_BSLASHBiggl] = ACTIONS(7215),
    [anon_sym_BSLASHtext] = ACTIONS(7215),
    [anon_sym_BSLASHintertext] = ACTIONS(7215),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7215),
    [anon_sym_BSLASHbegin] = ACTIONS(7215),
    [anon_sym_BSLASHtitle] = ACTIONS(7215),
    [anon_sym_BSLASHauthor] = ACTIONS(7215),
    [anon_sym_BSLASHusepackage] = ACTIONS(7215),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7215),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7215),
    [anon_sym_BSLASHinclude] = ACTIONS(7215),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7215),
    [anon_sym_BSLASHinput] = ACTIONS(7215),
    [anon_sym_BSLASHsubfile] = ACTIONS(7215),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7215),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7215),
    [anon_sym_BSLASHbibliography] = ACTIONS(7215),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7215),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7215),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7215),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7215),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7215),
    [anon_sym_BSLASHimport] = ACTIONS(7215),
    [anon_sym_BSLASHsubimport] = ACTIONS(7215),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7215),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7215),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7215),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7215),
    [anon_sym_BSLASHcaption] = ACTIONS(7215),
    [anon_sym_BSLASHcite] = ACTIONS(7215),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCite] = ACTIONS(7215),
    [anon_sym_BSLASHnocite] = ACTIONS(7215),
    [anon_sym_BSLASHcitet] = ACTIONS(7215),
    [anon_sym_BSLASHcitep] = ACTIONS(7215),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteA] = ACTIONS(7215),
    [anon_sym_BSLASHciteR] = ACTIONS(7215),
    [anon_sym_BSLASHciteS] = ACTIONS(7215),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7215),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7215),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7215),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7215),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteyear] = ACTIONS(7215),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitedate] = ACTIONS(7215),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteurl] = ACTIONS(7215),
    [anon_sym_BSLASHfullcite] = ACTIONS(7215),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7215),
    [anon_sym_BSLASHcitealt] = ACTIONS(7215),
    [anon_sym_BSLASHcitealp] = ACTIONS(7215),
    [anon_sym_BSLASHcitetext] = ACTIONS(7215),
    [anon_sym_BSLASHparencite] = ACTIONS(7215),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHParencite] = ACTIONS(7215),
    [anon_sym_BSLASHfootcite] = ACTIONS(7215),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7215),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7215),
    [anon_sym_BSLASHtextcite] = ACTIONS(7215),
    [anon_sym_BSLASHTextcite] = ACTIONS(7215),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7215),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7215),
    [anon_sym_BSLASHsupercite] = ACTIONS(7215),
    [anon_sym_BSLASHautocite] = ACTIONS(7215),
    [anon_sym_BSLASHAutocite] = ACTIONS(7215),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHVolcite] = ACTIONS(7215),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHavolcite] = ACTIONS(7215),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHNotecite] = ACTIONS(7215),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHlabel] = ACTIONS(7215),
    [anon_sym_BSLASHref] = ACTIONS(7215),
    [anon_sym_BSLASHeqref] = ACTIONS(7215),
    [anon_sym_BSLASHvref] = ACTIONS(7215),
    [anon_sym_BSLASHVref] = ACTIONS(7215),
    [anon_sym_BSLASHautoref] = ACTIONS(7215),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHpageref] = ACTIONS(7215),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHautopageref] = ACTIONS(7215),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcref] = ACTIONS(7215),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCref] = ACTIONS(7215),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcpageref] = ACTIONS(7215),
    [anon_sym_BSLASHCpageref] = ACTIONS(7215),
    [anon_sym_BSLASHnamecref] = ACTIONS(7215),
    [anon_sym_BSLASHnameCref] = ACTIONS(7215),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7215),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7215),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7215),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7215),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7215),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7215),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7215),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7215),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7215),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7215),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7215),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHdef] = ACTIONS(7215),
    [anon_sym_BSLASHgdef] = ACTIONS(7215),
    [anon_sym_BSLASHedef] = ACTIONS(7215),
    [anon_sym_BSLASHxdef] = ACTIONS(7215),
    [anon_sym_BSLASHlet] = ACTIONS(7215),
    [anon_sym_BSLASHglet] = ACTIONS(7215),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7215),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7215),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7215),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7215),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7215),
    [anon_sym_BSLASHgls] = ACTIONS(7215),
    [anon_sym_BSLASHGls] = ACTIONS(7215),
    [anon_sym_BSLASHGLS] = ACTIONS(7215),
    [anon_sym_BSLASHglspl] = ACTIONS(7215),
    [anon_sym_BSLASHGlspl] = ACTIONS(7215),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7215),
    [anon_sym_BSLASHglslink] = ACTIONS(7215),
    [anon_sym_BSLASHglstext] = ACTIONS(7215),
    [anon_sym_BSLASHGlstext] = ACTIONS(7215),
    [anon_sym_BSLASHGLStext] = ACTIONS(7215),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7215),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7215),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7215),
    [anon_sym_BSLASHglsplural] = ACTIONS(7215),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7215),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7215),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHglsname] = ACTIONS(7215),
    [anon_sym_BSLASHGlsname] = ACTIONS(7215),
    [anon_sym_BSLASHGLSname] = ACTIONS(7215),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7215),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7215),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7215),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7215),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7215),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7215),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7215),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7215),
    [anon_sym_BSLASHacrshort] = ACTIONS(7215),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7215),
    [anon_sym_BSLASHACRshort] = ACTIONS(7215),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHacrlong] = ACTIONS(7215),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7215),
    [anon_sym_BSLASHACRlong] = ACTIONS(7215),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHacrfull] = ACTIONS(7215),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7215),
    [anon_sym_BSLASHACRfull] = ACTIONS(7215),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHacs] = ACTIONS(7215),
    [anon_sym_BSLASHAcs] = ACTIONS(7215),
    [anon_sym_BSLASHacsp] = ACTIONS(7215),
    [anon_sym_BSLASHAcsp] = ACTIONS(7215),
    [anon_sym_BSLASHacl] = ACTIONS(7215),
    [anon_sym_BSLASHAcl] = ACTIONS(7215),
    [anon_sym_BSLASHaclp] = ACTIONS(7215),
    [anon_sym_BSLASHAclp] = ACTIONS(7215),
    [anon_sym_BSLASHacf] = ACTIONS(7215),
    [anon_sym_BSLASHAcf] = ACTIONS(7215),
    [anon_sym_BSLASHacfp] = ACTIONS(7215),
    [anon_sym_BSLASHAcfp] = ACTIONS(7215),
    [anon_sym_BSLASHac] = ACTIONS(7215),
    [anon_sym_BSLASHAc] = ACTIONS(7215),
    [anon_sym_BSLASHacp] = ACTIONS(7215),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7215),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7215),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7215),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7215),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7215),
    [anon_sym_BSLASHcolor] = ACTIONS(7215),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7215),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7215),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7215),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7215),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7215),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7215),
    [anon_sym_BSLASHurl] = ACTIONS(7215),
    [anon_sym_BSLASHhref] = ACTIONS(7215),
  },
  [1350] = {
    [sym_command_name] = ACTIONS(7219),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7219),
    [anon_sym_LBRACK] = ACTIONS(7221),
    [anon_sym_RBRACK] = ACTIONS(7221),
    [anon_sym_COMMA] = ACTIONS(7221),
    [anon_sym_EQ] = ACTIONS(7221),
    [anon_sym_LPAREN] = ACTIONS(7221),
    [anon_sym_RPAREN] = ACTIONS(7221),
    [anon_sym_BSLASHpart] = ACTIONS(7219),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHaddpart] = ACTIONS(7219),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHchapter] = ACTIONS(7219),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHaddchap] = ACTIONS(7219),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHsection] = ACTIONS(7219),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHaddsec] = ACTIONS(7219),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHsubsection] = ACTIONS(7219),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7219),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHparagraph] = ACTIONS(7219),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7219),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHitem] = ACTIONS(7219),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7221),
    [anon_sym_LBRACE] = ACTIONS(7221),
    [sym_word] = ACTIONS(7219),
    [sym_placeholder] = ACTIONS(7221),
    [sym_delimiter] = ACTIONS(7221),
    [anon_sym_PLUS] = ACTIONS(7221),
    [anon_sym_DASH] = ACTIONS(7221),
    [anon_sym_STAR] = ACTIONS(7221),
    [anon_sym_SLASH] = ACTIONS(7221),
    [anon_sym_LT] = ACTIONS(7219),
    [anon_sym_GT] = ACTIONS(7219),
    [anon_sym_BANG] = ACTIONS(7219),
    [anon_sym_PIPE] = ACTIONS(7219),
    [anon_sym_COLON] = ACTIONS(7219),
    [anon_sym_SQUOTE] = ACTIONS(7219),
    [anon_sym__] = ACTIONS(7221),
    [anon_sym_CARET] = ACTIONS(7221),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7221),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7221),
    [anon_sym_DOLLAR] = ACTIONS(7219),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7221),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7221),
    [anon_sym_BSLASHleft] = ACTIONS(7219),
    [anon_sym_BSLASHbigl] = ACTIONS(7219),
    [anon_sym_BSLASHBigl] = ACTIONS(7219),
    [anon_sym_BSLASHbiggl] = ACTIONS(7219),
    [anon_sym_BSLASHBiggl] = ACTIONS(7219),
    [anon_sym_BSLASHtext] = ACTIONS(7219),
    [anon_sym_BSLASHintertext] = ACTIONS(7219),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7219),
    [anon_sym_BSLASHbegin] = ACTIONS(7219),
    [anon_sym_BSLASHtitle] = ACTIONS(7219),
    [anon_sym_BSLASHauthor] = ACTIONS(7219),
    [anon_sym_BSLASHusepackage] = ACTIONS(7219),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7219),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7219),
    [anon_sym_BSLASHinclude] = ACTIONS(7219),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7219),
    [anon_sym_BSLASHinput] = ACTIONS(7219),
    [anon_sym_BSLASHsubfile] = ACTIONS(7219),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7219),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7219),
    [anon_sym_BSLASHbibliography] = ACTIONS(7219),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7219),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7219),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7219),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7219),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7219),
    [anon_sym_BSLASHimport] = ACTIONS(7219),
    [anon_sym_BSLASHsubimport] = ACTIONS(7219),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7219),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7219),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7219),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7219),
    [anon_sym_BSLASHcaption] = ACTIONS(7219),
    [anon_sym_BSLASHcite] = ACTIONS(7219),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCite] = ACTIONS(7219),
    [anon_sym_BSLASHnocite] = ACTIONS(7219),
    [anon_sym_BSLASHcitet] = ACTIONS(7219),
    [anon_sym_BSLASHcitep] = ACTIONS(7219),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteA] = ACTIONS(7219),
    [anon_sym_BSLASHciteR] = ACTIONS(7219),
    [anon_sym_BSLASHciteS] = ACTIONS(7219),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7219),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7219),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7219),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7219),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteyear] = ACTIONS(7219),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitedate] = ACTIONS(7219),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteurl] = ACTIONS(7219),
    [anon_sym_BSLASHfullcite] = ACTIONS(7219),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7219),
    [anon_sym_BSLASHcitealt] = ACTIONS(7219),
    [anon_sym_BSLASHcitealp] = ACTIONS(7219),
    [anon_sym_BSLASHcitetext] = ACTIONS(7219),
    [anon_sym_BSLASHparencite] = ACTIONS(7219),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHParencite] = ACTIONS(7219),
    [anon_sym_BSLASHfootcite] = ACTIONS(7219),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7219),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7219),
    [anon_sym_BSLASHtextcite] = ACTIONS(7219),
    [anon_sym_BSLASHTextcite] = ACTIONS(7219),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7219),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7219),
    [anon_sym_BSLASHsupercite] = ACTIONS(7219),
    [anon_sym_BSLASHautocite] = ACTIONS(7219),
    [anon_sym_BSLASHAutocite] = ACTIONS(7219),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHVolcite] = ACTIONS(7219),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHavolcite] = ACTIONS(7219),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHNotecite] = ACTIONS(7219),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHlabel] = ACTIONS(7219),
    [anon_sym_BSLASHref] = ACTIONS(7219),
    [anon_sym_BSLASHeqref] = ACTIONS(7219),
    [anon_sym_BSLASHvref] = ACTIONS(7219),
    [anon_sym_BSLASHVref] = ACTIONS(7219),
    [anon_sym_BSLASHautoref] = ACTIONS(7219),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHpageref] = ACTIONS(7219),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHautopageref] = ACTIONS(7219),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcref] = ACTIONS(7219),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCref] = ACTIONS(7219),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcpageref] = ACTIONS(7219),
    [anon_sym_BSLASHCpageref] = ACTIONS(7219),
    [anon_sym_BSLASHnamecref] = ACTIONS(7219),
    [anon_sym_BSLASHnameCref] = ACTIONS(7219),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7219),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7219),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7219),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7219),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7219),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7219),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7219),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7219),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7219),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7219),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7219),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHdef] = ACTIONS(7219),
    [anon_sym_BSLASHgdef] = ACTIONS(7219),
    [anon_sym_BSLASHedef] = ACTIONS(7219),
    [anon_sym_BSLASHxdef] = ACTIONS(7219),
    [anon_sym_BSLASHlet] = ACTIONS(7219),
    [anon_sym_BSLASHglet] = ACTIONS(7219),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7219),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7219),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7219),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7219),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7219),
    [anon_sym_BSLASHgls] = ACTIONS(7219),
    [anon_sym_BSLASHGls] = ACTIONS(7219),
    [anon_sym_BSLASHGLS] = ACTIONS(7219),
    [anon_sym_BSLASHglspl] = ACTIONS(7219),
    [anon_sym_BSLASHGlspl] = ACTIONS(7219),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7219),
    [anon_sym_BSLASHglslink] = ACTIONS(7219),
    [anon_sym_BSLASHglstext] = ACTIONS(7219),
    [anon_sym_BSLASHGlstext] = ACTIONS(7219),
    [anon_sym_BSLASHGLStext] = ACTIONS(7219),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7219),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7219),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7219),
    [anon_sym_BSLASHglsplural] = ACTIONS(7219),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7219),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7219),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHglsname] = ACTIONS(7219),
    [anon_sym_BSLASHGlsname] = ACTIONS(7219),
    [anon_sym_BSLASHGLSname] = ACTIONS(7219),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7219),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7219),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7219),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7219),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7219),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7219),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7219),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7219),
    [anon_sym_BSLASHacrshort] = ACTIONS(7219),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7219),
    [anon_sym_BSLASHACRshort] = ACTIONS(7219),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHacrlong] = ACTIONS(7219),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7219),
    [anon_sym_BSLASHACRlong] = ACTIONS(7219),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHacrfull] = ACTIONS(7219),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7219),
    [anon_sym_BSLASHACRfull] = ACTIONS(7219),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHacs] = ACTIONS(7219),
    [anon_sym_BSLASHAcs] = ACTIONS(7219),
    [anon_sym_BSLASHacsp] = ACTIONS(7219),
    [anon_sym_BSLASHAcsp] = ACTIONS(7219),
    [anon_sym_BSLASHacl] = ACTIONS(7219),
    [anon_sym_BSLASHAcl] = ACTIONS(7219),
    [anon_sym_BSLASHaclp] = ACTIONS(7219),
    [anon_sym_BSLASHAclp] = ACTIONS(7219),
    [anon_sym_BSLASHacf] = ACTIONS(7219),
    [anon_sym_BSLASHAcf] = ACTIONS(7219),
    [anon_sym_BSLASHacfp] = ACTIONS(7219),
    [anon_sym_BSLASHAcfp] = ACTIONS(7219),
    [anon_sym_BSLASHac] = ACTIONS(7219),
    [anon_sym_BSLASHAc] = ACTIONS(7219),
    [anon_sym_BSLASHacp] = ACTIONS(7219),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7219),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7219),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7219),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7219),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7219),
    [anon_sym_BSLASHcolor] = ACTIONS(7219),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7219),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7219),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7219),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7219),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7219),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7219),
    [anon_sym_BSLASHurl] = ACTIONS(7219),
    [anon_sym_BSLASHhref] = ACTIONS(7219),
  },
  [1351] = {
    [sym_command_name] = ACTIONS(7491),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(7493),
    [anon_sym_RBRACK] = ACTIONS(7493),
    [anon_sym_COMMA] = ACTIONS(7493),
    [anon_sym_EQ] = ACTIONS(7493),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_RPAREN] = ACTIONS(7493),
    [anon_sym_BSLASHpart] = ACTIONS(7491),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHaddpart] = ACTIONS(7491),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHchapter] = ACTIONS(7491),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHaddchap] = ACTIONS(7491),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHsection] = ACTIONS(7491),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHaddsec] = ACTIONS(7491),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHsubsection] = ACTIONS(7491),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7491),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHparagraph] = ACTIONS(7491),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7491),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHitem] = ACTIONS(7491),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7493),
    [anon_sym_LBRACE] = ACTIONS(7493),
    [sym_word] = ACTIONS(7491),
    [sym_placeholder] = ACTIONS(7493),
    [sym_delimiter] = ACTIONS(7493),
    [anon_sym_PLUS] = ACTIONS(7493),
    [anon_sym_DASH] = ACTIONS(7493),
    [anon_sym_STAR] = ACTIONS(7493),
    [anon_sym_SLASH] = ACTIONS(7493),
    [anon_sym_LT] = ACTIONS(7491),
    [anon_sym_GT] = ACTIONS(7491),
    [anon_sym_BANG] = ACTIONS(7491),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_COLON] = ACTIONS(7491),
    [anon_sym_SQUOTE] = ACTIONS(7491),
    [anon_sym__] = ACTIONS(7493),
    [anon_sym_CARET] = ACTIONS(7493),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7493),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7493),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7493),
    [anon_sym_DOLLAR] = ACTIONS(7491),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7493),
    [anon_sym_BSLASHleft] = ACTIONS(7491),
    [anon_sym_BSLASHbigl] = ACTIONS(7491),
    [anon_sym_BSLASHBigl] = ACTIONS(7491),
    [anon_sym_BSLASHbiggl] = ACTIONS(7491),
    [anon_sym_BSLASHBiggl] = ACTIONS(7491),
    [anon_sym_BSLASHtext] = ACTIONS(7491),
    [anon_sym_BSLASHintertext] = ACTIONS(7491),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7491),
    [anon_sym_BSLASHbegin] = ACTIONS(7491),
    [anon_sym_BSLASHtitle] = ACTIONS(7491),
    [anon_sym_BSLASHauthor] = ACTIONS(7491),
    [anon_sym_BSLASHusepackage] = ACTIONS(7491),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7491),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7491),
    [anon_sym_BSLASHinclude] = ACTIONS(7491),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7491),
    [anon_sym_BSLASHinput] = ACTIONS(7491),
    [anon_sym_BSLASHsubfile] = ACTIONS(7491),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7491),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7491),
    [anon_sym_BSLASHbibliography] = ACTIONS(7491),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7491),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7491),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7491),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7491),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7491),
    [anon_sym_BSLASHimport] = ACTIONS(7491),
    [anon_sym_BSLASHsubimport] = ACTIONS(7491),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7491),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7491),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7491),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7491),
    [anon_sym_BSLASHcaption] = ACTIONS(7491),
    [anon_sym_BSLASHcite] = ACTIONS(7491),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCite] = ACTIONS(7491),
    [anon_sym_BSLASHnocite] = ACTIONS(7491),
    [anon_sym_BSLASHcitet] = ACTIONS(7491),
    [anon_sym_BSLASHcitep] = ACTIONS(7491),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteA] = ACTIONS(7491),
    [anon_sym_BSLASHciteR] = ACTIONS(7491),
    [anon_sym_BSLASHciteS] = ACTIONS(7491),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7491),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7491),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7491),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7491),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteyear] = ACTIONS(7491),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitedate] = ACTIONS(7491),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteurl] = ACTIONS(7491),
    [anon_sym_BSLASHfullcite] = ACTIONS(7491),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7491),
    [anon_sym_BSLASHcitealt] = ACTIONS(7491),
    [anon_sym_BSLASHcitealp] = ACTIONS(7491),
    [anon_sym_BSLASHcitetext] = ACTIONS(7491),
    [anon_sym_BSLASHparencite] = ACTIONS(7491),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHParencite] = ACTIONS(7491),
    [anon_sym_BSLASHfootcite] = ACTIONS(7491),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7491),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7491),
    [anon_sym_BSLASHtextcite] = ACTIONS(7491),
    [anon_sym_BSLASHTextcite] = ACTIONS(7491),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7491),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7491),
    [anon_sym_BSLASHsupercite] = ACTIONS(7491),
    [anon_sym_BSLASHautocite] = ACTIONS(7491),
    [anon_sym_BSLASHAutocite] = ACTIONS(7491),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHVolcite] = ACTIONS(7491),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHavolcite] = ACTIONS(7491),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHNotecite] = ACTIONS(7491),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHlabel] = ACTIONS(7491),
    [anon_sym_BSLASHref] = ACTIONS(7491),
    [anon_sym_BSLASHeqref] = ACTIONS(7491),
    [anon_sym_BSLASHvref] = ACTIONS(7491),
    [anon_sym_BSLASHVref] = ACTIONS(7491),
    [anon_sym_BSLASHautoref] = ACTIONS(7491),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHpageref] = ACTIONS(7491),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHautopageref] = ACTIONS(7491),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcref] = ACTIONS(7491),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCref] = ACTIONS(7491),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcpageref] = ACTIONS(7491),
    [anon_sym_BSLASHCpageref] = ACTIONS(7491),
    [anon_sym_BSLASHnamecref] = ACTIONS(7491),
    [anon_sym_BSLASHnameCref] = ACTIONS(7491),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7491),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7491),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7491),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7491),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7491),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7491),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7491),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7491),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7491),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7491),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7491),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHdef] = ACTIONS(7491),
    [anon_sym_BSLASHgdef] = ACTIONS(7491),
    [anon_sym_BSLASHedef] = ACTIONS(7491),
    [anon_sym_BSLASHxdef] = ACTIONS(7491),
    [anon_sym_BSLASHlet] = ACTIONS(7491),
    [anon_sym_BSLASHglet] = ACTIONS(7491),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7491),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7491),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7491),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7491),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7491),
    [anon_sym_BSLASHgls] = ACTIONS(7491),
    [anon_sym_BSLASHGls] = ACTIONS(7491),
    [anon_sym_BSLASHGLS] = ACTIONS(7491),
    [anon_sym_BSLASHglspl] = ACTIONS(7491),
    [anon_sym_BSLASHGlspl] = ACTIONS(7491),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7491),
    [anon_sym_BSLASHglslink] = ACTIONS(7491),
    [anon_sym_BSLASHglstext] = ACTIONS(7491),
    [anon_sym_BSLASHGlstext] = ACTIONS(7491),
    [anon_sym_BSLASHGLStext] = ACTIONS(7491),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7491),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7491),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7491),
    [anon_sym_BSLASHglsplural] = ACTIONS(7491),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7491),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7491),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHglsname] = ACTIONS(7491),
    [anon_sym_BSLASHGlsname] = ACTIONS(7491),
    [anon_sym_BSLASHGLSname] = ACTIONS(7491),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7491),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7491),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7491),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7491),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7491),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7491),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7491),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7491),
    [anon_sym_BSLASHacrshort] = ACTIONS(7491),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7491),
    [anon_sym_BSLASHACRshort] = ACTIONS(7491),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHacrlong] = ACTIONS(7491),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7491),
    [anon_sym_BSLASHACRlong] = ACTIONS(7491),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHacrfull] = ACTIONS(7491),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7491),
    [anon_sym_BSLASHACRfull] = ACTIONS(7491),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHacs] = ACTIONS(7491),
    [anon_sym_BSLASHAcs] = ACTIONS(7491),
    [anon_sym_BSLASHacsp] = ACTIONS(7491),
    [anon_sym_BSLASHAcsp] = ACTIONS(7491),
    [anon_sym_BSLASHacl] = ACTIONS(7491),
    [anon_sym_BSLASHAcl] = ACTIONS(7491),
    [anon_sym_BSLASHaclp] = ACTIONS(7491),
    [anon_sym_BSLASHAclp] = ACTIONS(7491),
    [anon_sym_BSLASHacf] = ACTIONS(7491),
    [anon_sym_BSLASHAcf] = ACTIONS(7491),
    [anon_sym_BSLASHacfp] = ACTIONS(7491),
    [anon_sym_BSLASHAcfp] = ACTIONS(7491),
    [anon_sym_BSLASHac] = ACTIONS(7491),
    [anon_sym_BSLASHAc] = ACTIONS(7491),
    [anon_sym_BSLASHacp] = ACTIONS(7491),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7491),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7491),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7491),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7491),
    [anon_sym_BSLASHcolor] = ACTIONS(7491),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7491),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7491),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7491),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7491),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7491),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7491),
    [anon_sym_BSLASHurl] = ACTIONS(7491),
    [anon_sym_BSLASHhref] = ACTIONS(7491),
  },
  [1352] = {
    [sym_command_name] = ACTIONS(7495),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7495),
    [anon_sym_LBRACK] = ACTIONS(7497),
    [anon_sym_RBRACK] = ACTIONS(7497),
    [anon_sym_COMMA] = ACTIONS(7497),
    [anon_sym_EQ] = ACTIONS(7497),
    [anon_sym_LPAREN] = ACTIONS(7497),
    [anon_sym_RPAREN] = ACTIONS(7497),
    [anon_sym_BSLASHpart] = ACTIONS(7495),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHaddpart] = ACTIONS(7495),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHchapter] = ACTIONS(7495),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHaddchap] = ACTIONS(7495),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHsection] = ACTIONS(7495),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHaddsec] = ACTIONS(7495),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHsubsection] = ACTIONS(7495),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7495),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHparagraph] = ACTIONS(7495),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7495),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHitem] = ACTIONS(7495),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7497),
    [sym_word] = ACTIONS(7495),
    [sym_placeholder] = ACTIONS(7497),
    [sym_delimiter] = ACTIONS(7497),
    [anon_sym_PLUS] = ACTIONS(7497),
    [anon_sym_DASH] = ACTIONS(7497),
    [anon_sym_STAR] = ACTIONS(7497),
    [anon_sym_SLASH] = ACTIONS(7497),
    [anon_sym_LT] = ACTIONS(7495),
    [anon_sym_GT] = ACTIONS(7495),
    [anon_sym_BANG] = ACTIONS(7495),
    [anon_sym_PIPE] = ACTIONS(7495),
    [anon_sym_COLON] = ACTIONS(7495),
    [anon_sym_SQUOTE] = ACTIONS(7495),
    [anon_sym__] = ACTIONS(7497),
    [anon_sym_CARET] = ACTIONS(7497),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7497),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7497),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7497),
    [anon_sym_DOLLAR] = ACTIONS(7495),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7497),
    [anon_sym_BSLASHleft] = ACTIONS(7495),
    [anon_sym_BSLASHbigl] = ACTIONS(7495),
    [anon_sym_BSLASHBigl] = ACTIONS(7495),
    [anon_sym_BSLASHbiggl] = ACTIONS(7495),
    [anon_sym_BSLASHBiggl] = ACTIONS(7495),
    [anon_sym_BSLASHtext] = ACTIONS(7495),
    [anon_sym_BSLASHintertext] = ACTIONS(7495),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7495),
    [anon_sym_BSLASHbegin] = ACTIONS(7495),
    [anon_sym_BSLASHtitle] = ACTIONS(7495),
    [anon_sym_BSLASHauthor] = ACTIONS(7495),
    [anon_sym_BSLASHusepackage] = ACTIONS(7495),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7495),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7495),
    [anon_sym_BSLASHinclude] = ACTIONS(7495),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7495),
    [anon_sym_BSLASHinput] = ACTIONS(7495),
    [anon_sym_BSLASHsubfile] = ACTIONS(7495),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7495),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7495),
    [anon_sym_BSLASHbibliography] = ACTIONS(7495),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7495),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7495),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7495),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7495),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7495),
    [anon_sym_BSLASHimport] = ACTIONS(7495),
    [anon_sym_BSLASHsubimport] = ACTIONS(7495),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7495),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7495),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7495),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7495),
    [anon_sym_BSLASHcaption] = ACTIONS(7495),
    [anon_sym_BSLASHcite] = ACTIONS(7495),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCite] = ACTIONS(7495),
    [anon_sym_BSLASHnocite] = ACTIONS(7495),
    [anon_sym_BSLASHcitet] = ACTIONS(7495),
    [anon_sym_BSLASHcitep] = ACTIONS(7495),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteA] = ACTIONS(7495),
    [anon_sym_BSLASHciteR] = ACTIONS(7495),
    [anon_sym_BSLASHciteS] = ACTIONS(7495),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7495),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7495),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7495),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7495),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteyear] = ACTIONS(7495),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitedate] = ACTIONS(7495),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteurl] = ACTIONS(7495),
    [anon_sym_BSLASHfullcite] = ACTIONS(7495),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7495),
    [anon_sym_BSLASHcitealt] = ACTIONS(7495),
    [anon_sym_BSLASHcitealp] = ACTIONS(7495),
    [anon_sym_BSLASHcitetext] = ACTIONS(7495),
    [anon_sym_BSLASHparencite] = ACTIONS(7495),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHParencite] = ACTIONS(7495),
    [anon_sym_BSLASHfootcite] = ACTIONS(7495),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7495),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7495),
    [anon_sym_BSLASHtextcite] = ACTIONS(7495),
    [anon_sym_BSLASHTextcite] = ACTIONS(7495),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7495),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7495),
    [anon_sym_BSLASHsupercite] = ACTIONS(7495),
    [anon_sym_BSLASHautocite] = ACTIONS(7495),
    [anon_sym_BSLASHAutocite] = ACTIONS(7495),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHVolcite] = ACTIONS(7495),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHavolcite] = ACTIONS(7495),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHNotecite] = ACTIONS(7495),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHlabel] = ACTIONS(7495),
    [anon_sym_BSLASHref] = ACTIONS(7495),
    [anon_sym_BSLASHeqref] = ACTIONS(7495),
    [anon_sym_BSLASHvref] = ACTIONS(7495),
    [anon_sym_BSLASHVref] = ACTIONS(7495),
    [anon_sym_BSLASHautoref] = ACTIONS(7495),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHpageref] = ACTIONS(7495),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHautopageref] = ACTIONS(7495),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcref] = ACTIONS(7495),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCref] = ACTIONS(7495),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcpageref] = ACTIONS(7495),
    [anon_sym_BSLASHCpageref] = ACTIONS(7495),
    [anon_sym_BSLASHnamecref] = ACTIONS(7495),
    [anon_sym_BSLASHnameCref] = ACTIONS(7495),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7495),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7495),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7495),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7495),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7495),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7495),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7495),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7495),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7495),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7495),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7495),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHdef] = ACTIONS(7495),
    [anon_sym_BSLASHgdef] = ACTIONS(7495),
    [anon_sym_BSLASHedef] = ACTIONS(7495),
    [anon_sym_BSLASHxdef] = ACTIONS(7495),
    [anon_sym_BSLASHlet] = ACTIONS(7495),
    [anon_sym_BSLASHglet] = ACTIONS(7495),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7495),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7495),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7495),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7495),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7495),
    [anon_sym_BSLASHgls] = ACTIONS(7495),
    [anon_sym_BSLASHGls] = ACTIONS(7495),
    [anon_sym_BSLASHGLS] = ACTIONS(7495),
    [anon_sym_BSLASHglspl] = ACTIONS(7495),
    [anon_sym_BSLASHGlspl] = ACTIONS(7495),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7495),
    [anon_sym_BSLASHglslink] = ACTIONS(7495),
    [anon_sym_BSLASHglstext] = ACTIONS(7495),
    [anon_sym_BSLASHGlstext] = ACTIONS(7495),
    [anon_sym_BSLASHGLStext] = ACTIONS(7495),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7495),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7495),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7495),
    [anon_sym_BSLASHglsplural] = ACTIONS(7495),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7495),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7495),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHglsname] = ACTIONS(7495),
    [anon_sym_BSLASHGlsname] = ACTIONS(7495),
    [anon_sym_BSLASHGLSname] = ACTIONS(7495),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7495),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7495),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7495),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7495),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7495),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7495),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7495),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7495),
    [anon_sym_BSLASHacrshort] = ACTIONS(7495),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7495),
    [anon_sym_BSLASHACRshort] = ACTIONS(7495),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHacrlong] = ACTIONS(7495),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7495),
    [anon_sym_BSLASHACRlong] = ACTIONS(7495),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHacrfull] = ACTIONS(7495),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7495),
    [anon_sym_BSLASHACRfull] = ACTIONS(7495),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHacs] = ACTIONS(7495),
    [anon_sym_BSLASHAcs] = ACTIONS(7495),
    [anon_sym_BSLASHacsp] = ACTIONS(7495),
    [anon_sym_BSLASHAcsp] = ACTIONS(7495),
    [anon_sym_BSLASHacl] = ACTIONS(7495),
    [anon_sym_BSLASHAcl] = ACTIONS(7495),
    [anon_sym_BSLASHaclp] = ACTIONS(7495),
    [anon_sym_BSLASHAclp] = ACTIONS(7495),
    [anon_sym_BSLASHacf] = ACTIONS(7495),
    [anon_sym_BSLASHAcf] = ACTIONS(7495),
    [anon_sym_BSLASHacfp] = ACTIONS(7495),
    [anon_sym_BSLASHAcfp] = ACTIONS(7495),
    [anon_sym_BSLASHac] = ACTIONS(7495),
    [anon_sym_BSLASHAc] = ACTIONS(7495),
    [anon_sym_BSLASHacp] = ACTIONS(7495),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7495),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7495),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7495),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7495),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7495),
    [anon_sym_BSLASHcolor] = ACTIONS(7495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7495),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7495),
    [anon_sym_BSLASHurl] = ACTIONS(7495),
    [anon_sym_BSLASHhref] = ACTIONS(7495),
  },
  [1353] = {
    [sym_command_name] = ACTIONS(7527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7527),
    [anon_sym_LBRACK] = ACTIONS(7529),
    [anon_sym_RBRACK] = ACTIONS(7529),
    [anon_sym_COMMA] = ACTIONS(7529),
    [anon_sym_EQ] = ACTIONS(7529),
    [anon_sym_LPAREN] = ACTIONS(7529),
    [anon_sym_RPAREN] = ACTIONS(7529),
    [anon_sym_BSLASHpart] = ACTIONS(7527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHaddpart] = ACTIONS(7527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHchapter] = ACTIONS(7527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHaddchap] = ACTIONS(7527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHsection] = ACTIONS(7527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHaddsec] = ACTIONS(7527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHsubsection] = ACTIONS(7527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHparagraph] = ACTIONS(7527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHitem] = ACTIONS(7527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7529),
    [anon_sym_LBRACE] = ACTIONS(7529),
    [sym_word] = ACTIONS(7527),
    [sym_placeholder] = ACTIONS(7529),
    [sym_delimiter] = ACTIONS(7529),
    [anon_sym_PLUS] = ACTIONS(7529),
    [anon_sym_DASH] = ACTIONS(7529),
    [anon_sym_STAR] = ACTIONS(7529),
    [anon_sym_SLASH] = ACTIONS(7529),
    [anon_sym_LT] = ACTIONS(7527),
    [anon_sym_GT] = ACTIONS(7527),
    [anon_sym_BANG] = ACTIONS(7527),
    [anon_sym_PIPE] = ACTIONS(7527),
    [anon_sym_COLON] = ACTIONS(7527),
    [anon_sym_SQUOTE] = ACTIONS(7527),
    [anon_sym__] = ACTIONS(7529),
    [anon_sym_CARET] = ACTIONS(7529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7529),
    [anon_sym_DOLLAR] = ACTIONS(7527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7529),
    [anon_sym_BSLASHleft] = ACTIONS(7527),
    [anon_sym_BSLASHbigl] = ACTIONS(7527),
    [anon_sym_BSLASHBigl] = ACTIONS(7527),
    [anon_sym_BSLASHbiggl] = ACTIONS(7527),
    [anon_sym_BSLASHBiggl] = ACTIONS(7527),
    [anon_sym_BSLASHtext] = ACTIONS(7527),
    [anon_sym_BSLASHintertext] = ACTIONS(7527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7527),
    [anon_sym_BSLASHbegin] = ACTIONS(7527),
    [anon_sym_BSLASHend] = ACTIONS(7527),
    [anon_sym_BSLASHtitle] = ACTIONS(7527),
    [anon_sym_BSLASHauthor] = ACTIONS(7527),
    [anon_sym_BSLASHusepackage] = ACTIONS(7527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7527),
    [anon_sym_BSLASHinclude] = ACTIONS(7527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7527),
    [anon_sym_BSLASHinput] = ACTIONS(7527),
    [anon_sym_BSLASHsubfile] = ACTIONS(7527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7527),
    [anon_sym_BSLASHbibliography] = ACTIONS(7527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7527),
    [anon_sym_BSLASHimport] = ACTIONS(7527),
    [anon_sym_BSLASHsubimport] = ACTIONS(7527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7527),
    [anon_sym_BSLASHcaption] = ACTIONS(7527),
    [anon_sym_BSLASHcite] = ACTIONS(7527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCite] = ACTIONS(7527),
    [anon_sym_BSLASHnocite] = ACTIONS(7527),
    [anon_sym_BSLASHcitet] = ACTIONS(7527),
    [anon_sym_BSLASHcitep] = ACTIONS(7527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteA] = ACTIONS(7527),
    [anon_sym_BSLASHciteR] = ACTIONS(7527),
    [anon_sym_BSLASHciteS] = ACTIONS(7527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteyear] = ACTIONS(7527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitedate] = ACTIONS(7527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteurl] = ACTIONS(7527),
    [anon_sym_BSLASHfullcite] = ACTIONS(7527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7527),
    [anon_sym_BSLASHcitealt] = ACTIONS(7527),
    [anon_sym_BSLASHcitealp] = ACTIONS(7527),
    [anon_sym_BSLASHcitetext] = ACTIONS(7527),
    [anon_sym_BSLASHparencite] = ACTIONS(7527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHParencite] = ACTIONS(7527),
    [anon_sym_BSLASHfootcite] = ACTIONS(7527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7527),
    [anon_sym_BSLASHtextcite] = ACTIONS(7527),
    [anon_sym_BSLASHTextcite] = ACTIONS(7527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7527),
    [anon_sym_BSLASHsupercite] = ACTIONS(7527),
    [anon_sym_BSLASHautocite] = ACTIONS(7527),
    [anon_sym_BSLASHAutocite] = ACTIONS(7527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHVolcite] = ACTIONS(7527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHavolcite] = ACTIONS(7527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHNotecite] = ACTIONS(7527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHlabel] = ACTIONS(7527),
    [anon_sym_BSLASHref] = ACTIONS(7527),
    [anon_sym_BSLASHeqref] = ACTIONS(7527),
    [anon_sym_BSLASHvref] = ACTIONS(7527),
    [anon_sym_BSLASHVref] = ACTIONS(7527),
    [anon_sym_BSLASHautoref] = ACTIONS(7527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHpageref] = ACTIONS(7527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHautopageref] = ACTIONS(7527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcref] = ACTIONS(7527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCref] = ACTIONS(7527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcpageref] = ACTIONS(7527),
    [anon_sym_BSLASHCpageref] = ACTIONS(7527),
    [anon_sym_BSLASHnamecref] = ACTIONS(7527),
    [anon_sym_BSLASHnameCref] = ACTIONS(7527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHdef] = ACTIONS(7527),
    [anon_sym_BSLASHgdef] = ACTIONS(7527),
    [anon_sym_BSLASHedef] = ACTIONS(7527),
    [anon_sym_BSLASHxdef] = ACTIONS(7527),
    [anon_sym_BSLASHlet] = ACTIONS(7527),
    [anon_sym_BSLASHglet] = ACTIONS(7527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7527),
    [anon_sym_BSLASHgls] = ACTIONS(7527),
    [anon_sym_BSLASHGls] = ACTIONS(7527),
    [anon_sym_BSLASHGLS] = ACTIONS(7527),
    [anon_sym_BSLASHglspl] = ACTIONS(7527),
    [anon_sym_BSLASHGlspl] = ACTIONS(7527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7527),
    [anon_sym_BSLASHglslink] = ACTIONS(7527),
    [anon_sym_BSLASHglstext] = ACTIONS(7527),
    [anon_sym_BSLASHGlstext] = ACTIONS(7527),
    [anon_sym_BSLASHGLStext] = ACTIONS(7527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7527),
    [anon_sym_BSLASHglsplural] = ACTIONS(7527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHglsname] = ACTIONS(7527),
    [anon_sym_BSLASHGlsname] = ACTIONS(7527),
    [anon_sym_BSLASHGLSname] = ACTIONS(7527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7527),
    [anon_sym_BSLASHacrshort] = ACTIONS(7527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7527),
    [anon_sym_BSLASHACRshort] = ACTIONS(7527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHacrlong] = ACTIONS(7527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7527),
    [anon_sym_BSLASHACRlong] = ACTIONS(7527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHacrfull] = ACTIONS(7527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7527),
    [anon_sym_BSLASHACRfull] = ACTIONS(7527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHacs] = ACTIONS(7527),
    [anon_sym_BSLASHAcs] = ACTIONS(7527),
    [anon_sym_BSLASHacsp] = ACTIONS(7527),
    [anon_sym_BSLASHAcsp] = ACTIONS(7527),
    [anon_sym_BSLASHacl] = ACTIONS(7527),
    [anon_sym_BSLASHAcl] = ACTIONS(7527),
    [anon_sym_BSLASHaclp] = ACTIONS(7527),
    [anon_sym_BSLASHAclp] = ACTIONS(7527),
    [anon_sym_BSLASHacf] = ACTIONS(7527),
    [anon_sym_BSLASHAcf] = ACTIONS(7527),
    [anon_sym_BSLASHacfp] = ACTIONS(7527),
    [anon_sym_BSLASHAcfp] = ACTIONS(7527),
    [anon_sym_BSLASHac] = ACTIONS(7527),
    [anon_sym_BSLASHAc] = ACTIONS(7527),
    [anon_sym_BSLASHacp] = ACTIONS(7527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7527),
    [anon_sym_BSLASHcolor] = ACTIONS(7527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7527),
    [anon_sym_BSLASHurl] = ACTIONS(7527),
    [anon_sym_BSLASHhref] = ACTIONS(7527),
  },
  [1354] = {
    [sym_command_name] = ACTIONS(7367),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7367),
    [anon_sym_LBRACK] = ACTIONS(7369),
    [anon_sym_RBRACK] = ACTIONS(7369),
    [anon_sym_COMMA] = ACTIONS(7369),
    [anon_sym_EQ] = ACTIONS(7369),
    [anon_sym_LPAREN] = ACTIONS(7369),
    [anon_sym_RPAREN] = ACTIONS(7369),
    [anon_sym_BSLASHpart] = ACTIONS(7367),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHaddpart] = ACTIONS(7367),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHchapter] = ACTIONS(7367),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHaddchap] = ACTIONS(7367),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHsection] = ACTIONS(7367),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHaddsec] = ACTIONS(7367),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHsubsection] = ACTIONS(7367),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7367),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHparagraph] = ACTIONS(7367),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7367),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHitem] = ACTIONS(7367),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7369),
    [anon_sym_LBRACE] = ACTIONS(7369),
    [sym_word] = ACTIONS(7367),
    [sym_placeholder] = ACTIONS(7369),
    [sym_delimiter] = ACTIONS(7369),
    [anon_sym_PLUS] = ACTIONS(7369),
    [anon_sym_DASH] = ACTIONS(7369),
    [anon_sym_STAR] = ACTIONS(7369),
    [anon_sym_SLASH] = ACTIONS(7369),
    [anon_sym_LT] = ACTIONS(7367),
    [anon_sym_GT] = ACTIONS(7367),
    [anon_sym_BANG] = ACTIONS(7367),
    [anon_sym_PIPE] = ACTIONS(7367),
    [anon_sym_COLON] = ACTIONS(7367),
    [anon_sym_SQUOTE] = ACTIONS(7367),
    [anon_sym__] = ACTIONS(7369),
    [anon_sym_CARET] = ACTIONS(7369),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7369),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7369),
    [anon_sym_DOLLAR] = ACTIONS(7367),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7369),
    [anon_sym_BSLASHleft] = ACTIONS(7367),
    [anon_sym_BSLASHbigl] = ACTIONS(7367),
    [anon_sym_BSLASHBigl] = ACTIONS(7367),
    [anon_sym_BSLASHbiggl] = ACTIONS(7367),
    [anon_sym_BSLASHBiggl] = ACTIONS(7367),
    [anon_sym_BSLASHtext] = ACTIONS(7367),
    [anon_sym_BSLASHintertext] = ACTIONS(7367),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7367),
    [anon_sym_BSLASHbegin] = ACTIONS(7367),
    [anon_sym_BSLASHend] = ACTIONS(7367),
    [anon_sym_BSLASHtitle] = ACTIONS(7367),
    [anon_sym_BSLASHauthor] = ACTIONS(7367),
    [anon_sym_BSLASHusepackage] = ACTIONS(7367),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7367),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7367),
    [anon_sym_BSLASHinclude] = ACTIONS(7367),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7367),
    [anon_sym_BSLASHinput] = ACTIONS(7367),
    [anon_sym_BSLASHsubfile] = ACTIONS(7367),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7367),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7367),
    [anon_sym_BSLASHbibliography] = ACTIONS(7367),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7367),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7367),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7367),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7367),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7367),
    [anon_sym_BSLASHimport] = ACTIONS(7367),
    [anon_sym_BSLASHsubimport] = ACTIONS(7367),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7367),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7367),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7367),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7367),
    [anon_sym_BSLASHcaption] = ACTIONS(7367),
    [anon_sym_BSLASHcite] = ACTIONS(7367),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCite] = ACTIONS(7367),
    [anon_sym_BSLASHnocite] = ACTIONS(7367),
    [anon_sym_BSLASHcitet] = ACTIONS(7367),
    [anon_sym_BSLASHcitep] = ACTIONS(7367),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteA] = ACTIONS(7367),
    [anon_sym_BSLASHciteR] = ACTIONS(7367),
    [anon_sym_BSLASHciteS] = ACTIONS(7367),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7367),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7367),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7367),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7367),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteyear] = ACTIONS(7367),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitedate] = ACTIONS(7367),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteurl] = ACTIONS(7367),
    [anon_sym_BSLASHfullcite] = ACTIONS(7367),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7367),
    [anon_sym_BSLASHcitealt] = ACTIONS(7367),
    [anon_sym_BSLASHcitealp] = ACTIONS(7367),
    [anon_sym_BSLASHcitetext] = ACTIONS(7367),
    [anon_sym_BSLASHparencite] = ACTIONS(7367),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHParencite] = ACTIONS(7367),
    [anon_sym_BSLASHfootcite] = ACTIONS(7367),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7367),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7367),
    [anon_sym_BSLASHtextcite] = ACTIONS(7367),
    [anon_sym_BSLASHTextcite] = ACTIONS(7367),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7367),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7367),
    [anon_sym_BSLASHsupercite] = ACTIONS(7367),
    [anon_sym_BSLASHautocite] = ACTIONS(7367),
    [anon_sym_BSLASHAutocite] = ACTIONS(7367),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHVolcite] = ACTIONS(7367),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHavolcite] = ACTIONS(7367),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHNotecite] = ACTIONS(7367),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHlabel] = ACTIONS(7367),
    [anon_sym_BSLASHref] = ACTIONS(7367),
    [anon_sym_BSLASHeqref] = ACTIONS(7367),
    [anon_sym_BSLASHvref] = ACTIONS(7367),
    [anon_sym_BSLASHVref] = ACTIONS(7367),
    [anon_sym_BSLASHautoref] = ACTIONS(7367),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHpageref] = ACTIONS(7367),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHautopageref] = ACTIONS(7367),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcref] = ACTIONS(7367),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCref] = ACTIONS(7367),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcpageref] = ACTIONS(7367),
    [anon_sym_BSLASHCpageref] = ACTIONS(7367),
    [anon_sym_BSLASHnamecref] = ACTIONS(7367),
    [anon_sym_BSLASHnameCref] = ACTIONS(7367),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7367),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7367),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7367),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7367),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7367),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7367),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7367),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7367),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7367),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7367),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7367),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHdef] = ACTIONS(7367),
    [anon_sym_BSLASHgdef] = ACTIONS(7367),
    [anon_sym_BSLASHedef] = ACTIONS(7367),
    [anon_sym_BSLASHxdef] = ACTIONS(7367),
    [anon_sym_BSLASHlet] = ACTIONS(7367),
    [anon_sym_BSLASHglet] = ACTIONS(7367),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7367),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7367),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7367),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7367),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7367),
    [anon_sym_BSLASHgls] = ACTIONS(7367),
    [anon_sym_BSLASHGls] = ACTIONS(7367),
    [anon_sym_BSLASHGLS] = ACTIONS(7367),
    [anon_sym_BSLASHglspl] = ACTIONS(7367),
    [anon_sym_BSLASHGlspl] = ACTIONS(7367),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7367),
    [anon_sym_BSLASHglslink] = ACTIONS(7367),
    [anon_sym_BSLASHglstext] = ACTIONS(7367),
    [anon_sym_BSLASHGlstext] = ACTIONS(7367),
    [anon_sym_BSLASHGLStext] = ACTIONS(7367),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7367),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7367),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7367),
    [anon_sym_BSLASHglsplural] = ACTIONS(7367),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7367),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7367),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHglsname] = ACTIONS(7367),
    [anon_sym_BSLASHGlsname] = ACTIONS(7367),
    [anon_sym_BSLASHGLSname] = ACTIONS(7367),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7367),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7367),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7367),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7367),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7367),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7367),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7367),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7367),
    [anon_sym_BSLASHacrshort] = ACTIONS(7367),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7367),
    [anon_sym_BSLASHACRshort] = ACTIONS(7367),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHacrlong] = ACTIONS(7367),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7367),
    [anon_sym_BSLASHACRlong] = ACTIONS(7367),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHacrfull] = ACTIONS(7367),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7367),
    [anon_sym_BSLASHACRfull] = ACTIONS(7367),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHacs] = ACTIONS(7367),
    [anon_sym_BSLASHAcs] = ACTIONS(7367),
    [anon_sym_BSLASHacsp] = ACTIONS(7367),
    [anon_sym_BSLASHAcsp] = ACTIONS(7367),
    [anon_sym_BSLASHacl] = ACTIONS(7367),
    [anon_sym_BSLASHAcl] = ACTIONS(7367),
    [anon_sym_BSLASHaclp] = ACTIONS(7367),
    [anon_sym_BSLASHAclp] = ACTIONS(7367),
    [anon_sym_BSLASHacf] = ACTIONS(7367),
    [anon_sym_BSLASHAcf] = ACTIONS(7367),
    [anon_sym_BSLASHacfp] = ACTIONS(7367),
    [anon_sym_BSLASHAcfp] = ACTIONS(7367),
    [anon_sym_BSLASHac] = ACTIONS(7367),
    [anon_sym_BSLASHAc] = ACTIONS(7367),
    [anon_sym_BSLASHacp] = ACTIONS(7367),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7367),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7367),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7367),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7367),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7367),
    [anon_sym_BSLASHcolor] = ACTIONS(7367),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7367),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7367),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7367),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7367),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7367),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7367),
    [anon_sym_BSLASHurl] = ACTIONS(7367),
    [anon_sym_BSLASHhref] = ACTIONS(7367),
  },
  [1355] = {
    [sym_command_name] = ACTIONS(7499),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7499),
    [anon_sym_LBRACK] = ACTIONS(7501),
    [anon_sym_RBRACK] = ACTIONS(7501),
    [anon_sym_COMMA] = ACTIONS(7501),
    [anon_sym_EQ] = ACTIONS(7501),
    [anon_sym_LPAREN] = ACTIONS(7501),
    [anon_sym_RPAREN] = ACTIONS(7501),
    [anon_sym_BSLASHpart] = ACTIONS(7499),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHaddpart] = ACTIONS(7499),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHchapter] = ACTIONS(7499),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHaddchap] = ACTIONS(7499),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHsection] = ACTIONS(7499),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHaddsec] = ACTIONS(7499),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHsubsection] = ACTIONS(7499),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7499),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHparagraph] = ACTIONS(7499),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7499),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHitem] = ACTIONS(7499),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7501),
    [anon_sym_LBRACE] = ACTIONS(7501),
    [sym_word] = ACTIONS(7499),
    [sym_placeholder] = ACTIONS(7501),
    [sym_delimiter] = ACTIONS(7501),
    [anon_sym_PLUS] = ACTIONS(7501),
    [anon_sym_DASH] = ACTIONS(7501),
    [anon_sym_STAR] = ACTIONS(7501),
    [anon_sym_SLASH] = ACTIONS(7501),
    [anon_sym_LT] = ACTIONS(7499),
    [anon_sym_GT] = ACTIONS(7499),
    [anon_sym_BANG] = ACTIONS(7499),
    [anon_sym_PIPE] = ACTIONS(7499),
    [anon_sym_COLON] = ACTIONS(7499),
    [anon_sym_SQUOTE] = ACTIONS(7499),
    [anon_sym__] = ACTIONS(7501),
    [anon_sym_CARET] = ACTIONS(7501),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7501),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7501),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7501),
    [anon_sym_DOLLAR] = ACTIONS(7499),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7501),
    [anon_sym_BSLASHleft] = ACTIONS(7499),
    [anon_sym_BSLASHbigl] = ACTIONS(7499),
    [anon_sym_BSLASHBigl] = ACTIONS(7499),
    [anon_sym_BSLASHbiggl] = ACTIONS(7499),
    [anon_sym_BSLASHBiggl] = ACTIONS(7499),
    [anon_sym_BSLASHtext] = ACTIONS(7499),
    [anon_sym_BSLASHintertext] = ACTIONS(7499),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7499),
    [anon_sym_BSLASHbegin] = ACTIONS(7499),
    [anon_sym_BSLASHtitle] = ACTIONS(7499),
    [anon_sym_BSLASHauthor] = ACTIONS(7499),
    [anon_sym_BSLASHusepackage] = ACTIONS(7499),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7499),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7499),
    [anon_sym_BSLASHinclude] = ACTIONS(7499),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7499),
    [anon_sym_BSLASHinput] = ACTIONS(7499),
    [anon_sym_BSLASHsubfile] = ACTIONS(7499),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7499),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7499),
    [anon_sym_BSLASHbibliography] = ACTIONS(7499),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7499),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7499),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7499),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7499),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7499),
    [anon_sym_BSLASHimport] = ACTIONS(7499),
    [anon_sym_BSLASHsubimport] = ACTIONS(7499),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7499),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7499),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7499),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7499),
    [anon_sym_BSLASHcaption] = ACTIONS(7499),
    [anon_sym_BSLASHcite] = ACTIONS(7499),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCite] = ACTIONS(7499),
    [anon_sym_BSLASHnocite] = ACTIONS(7499),
    [anon_sym_BSLASHcitet] = ACTIONS(7499),
    [anon_sym_BSLASHcitep] = ACTIONS(7499),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteA] = ACTIONS(7499),
    [anon_sym_BSLASHciteR] = ACTIONS(7499),
    [anon_sym_BSLASHciteS] = ACTIONS(7499),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7499),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7499),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7499),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7499),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteyear] = ACTIONS(7499),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitedate] = ACTIONS(7499),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteurl] = ACTIONS(7499),
    [anon_sym_BSLASHfullcite] = ACTIONS(7499),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7499),
    [anon_sym_BSLASHcitealt] = ACTIONS(7499),
    [anon_sym_BSLASHcitealp] = ACTIONS(7499),
    [anon_sym_BSLASHcitetext] = ACTIONS(7499),
    [anon_sym_BSLASHparencite] = ACTIONS(7499),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHParencite] = ACTIONS(7499),
    [anon_sym_BSLASHfootcite] = ACTIONS(7499),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7499),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7499),
    [anon_sym_BSLASHtextcite] = ACTIONS(7499),
    [anon_sym_BSLASHTextcite] = ACTIONS(7499),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7499),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7499),
    [anon_sym_BSLASHsupercite] = ACTIONS(7499),
    [anon_sym_BSLASHautocite] = ACTIONS(7499),
    [anon_sym_BSLASHAutocite] = ACTIONS(7499),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHVolcite] = ACTIONS(7499),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHavolcite] = ACTIONS(7499),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHNotecite] = ACTIONS(7499),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHlabel] = ACTIONS(7499),
    [anon_sym_BSLASHref] = ACTIONS(7499),
    [anon_sym_BSLASHeqref] = ACTIONS(7499),
    [anon_sym_BSLASHvref] = ACTIONS(7499),
    [anon_sym_BSLASHVref] = ACTIONS(7499),
    [anon_sym_BSLASHautoref] = ACTIONS(7499),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHpageref] = ACTIONS(7499),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHautopageref] = ACTIONS(7499),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcref] = ACTIONS(7499),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCref] = ACTIONS(7499),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcpageref] = ACTIONS(7499),
    [anon_sym_BSLASHCpageref] = ACTIONS(7499),
    [anon_sym_BSLASHnamecref] = ACTIONS(7499),
    [anon_sym_BSLASHnameCref] = ACTIONS(7499),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7499),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7499),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7499),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7499),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7499),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7499),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7499),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7499),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7499),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7499),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7499),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHdef] = ACTIONS(7499),
    [anon_sym_BSLASHgdef] = ACTIONS(7499),
    [anon_sym_BSLASHedef] = ACTIONS(7499),
    [anon_sym_BSLASHxdef] = ACTIONS(7499),
    [anon_sym_BSLASHlet] = ACTIONS(7499),
    [anon_sym_BSLASHglet] = ACTIONS(7499),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7499),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7499),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7499),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7499),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7499),
    [anon_sym_BSLASHgls] = ACTIONS(7499),
    [anon_sym_BSLASHGls] = ACTIONS(7499),
    [anon_sym_BSLASHGLS] = ACTIONS(7499),
    [anon_sym_BSLASHglspl] = ACTIONS(7499),
    [anon_sym_BSLASHGlspl] = ACTIONS(7499),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7499),
    [anon_sym_BSLASHglslink] = ACTIONS(7499),
    [anon_sym_BSLASHglstext] = ACTIONS(7499),
    [anon_sym_BSLASHGlstext] = ACTIONS(7499),
    [anon_sym_BSLASHGLStext] = ACTIONS(7499),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7499),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7499),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7499),
    [anon_sym_BSLASHglsplural] = ACTIONS(7499),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7499),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7499),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHglsname] = ACTIONS(7499),
    [anon_sym_BSLASHGlsname] = ACTIONS(7499),
    [anon_sym_BSLASHGLSname] = ACTIONS(7499),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7499),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7499),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7499),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7499),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7499),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7499),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7499),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7499),
    [anon_sym_BSLASHacrshort] = ACTIONS(7499),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7499),
    [anon_sym_BSLASHACRshort] = ACTIONS(7499),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHacrlong] = ACTIONS(7499),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7499),
    [anon_sym_BSLASHACRlong] = ACTIONS(7499),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHacrfull] = ACTIONS(7499),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7499),
    [anon_sym_BSLASHACRfull] = ACTIONS(7499),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHacs] = ACTIONS(7499),
    [anon_sym_BSLASHAcs] = ACTIONS(7499),
    [anon_sym_BSLASHacsp] = ACTIONS(7499),
    [anon_sym_BSLASHAcsp] = ACTIONS(7499),
    [anon_sym_BSLASHacl] = ACTIONS(7499),
    [anon_sym_BSLASHAcl] = ACTIONS(7499),
    [anon_sym_BSLASHaclp] = ACTIONS(7499),
    [anon_sym_BSLASHAclp] = ACTIONS(7499),
    [anon_sym_BSLASHacf] = ACTIONS(7499),
    [anon_sym_BSLASHAcf] = ACTIONS(7499),
    [anon_sym_BSLASHacfp] = ACTIONS(7499),
    [anon_sym_BSLASHAcfp] = ACTIONS(7499),
    [anon_sym_BSLASHac] = ACTIONS(7499),
    [anon_sym_BSLASHAc] = ACTIONS(7499),
    [anon_sym_BSLASHacp] = ACTIONS(7499),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7499),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7499),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7499),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7499),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7499),
    [anon_sym_BSLASHcolor] = ACTIONS(7499),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7499),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7499),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7499),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7499),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7499),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7499),
    [anon_sym_BSLASHurl] = ACTIONS(7499),
    [anon_sym_BSLASHhref] = ACTIONS(7499),
  },
  [1356] = {
    [sym_command_name] = ACTIONS(7503),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7503),
    [anon_sym_LBRACK] = ACTIONS(7505),
    [anon_sym_RBRACK] = ACTIONS(7505),
    [anon_sym_COMMA] = ACTIONS(7505),
    [anon_sym_EQ] = ACTIONS(7505),
    [anon_sym_LPAREN] = ACTIONS(7505),
    [anon_sym_RPAREN] = ACTIONS(7505),
    [anon_sym_BSLASHpart] = ACTIONS(7503),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHaddpart] = ACTIONS(7503),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHchapter] = ACTIONS(7503),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHaddchap] = ACTIONS(7503),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHsection] = ACTIONS(7503),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHaddsec] = ACTIONS(7503),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHsubsection] = ACTIONS(7503),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7503),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHparagraph] = ACTIONS(7503),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7503),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHitem] = ACTIONS(7503),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7505),
    [anon_sym_LBRACE] = ACTIONS(7505),
    [sym_word] = ACTIONS(7503),
    [sym_placeholder] = ACTIONS(7505),
    [sym_delimiter] = ACTIONS(7505),
    [anon_sym_PLUS] = ACTIONS(7505),
    [anon_sym_DASH] = ACTIONS(7505),
    [anon_sym_STAR] = ACTIONS(7505),
    [anon_sym_SLASH] = ACTIONS(7505),
    [anon_sym_LT] = ACTIONS(7503),
    [anon_sym_GT] = ACTIONS(7503),
    [anon_sym_BANG] = ACTIONS(7503),
    [anon_sym_PIPE] = ACTIONS(7503),
    [anon_sym_COLON] = ACTIONS(7503),
    [anon_sym_SQUOTE] = ACTIONS(7503),
    [anon_sym__] = ACTIONS(7505),
    [anon_sym_CARET] = ACTIONS(7505),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7505),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7505),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7505),
    [anon_sym_DOLLAR] = ACTIONS(7503),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7505),
    [anon_sym_BSLASHleft] = ACTIONS(7503),
    [anon_sym_BSLASHbigl] = ACTIONS(7503),
    [anon_sym_BSLASHBigl] = ACTIONS(7503),
    [anon_sym_BSLASHbiggl] = ACTIONS(7503),
    [anon_sym_BSLASHBiggl] = ACTIONS(7503),
    [anon_sym_BSLASHtext] = ACTIONS(7503),
    [anon_sym_BSLASHintertext] = ACTIONS(7503),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7503),
    [anon_sym_BSLASHbegin] = ACTIONS(7503),
    [anon_sym_BSLASHtitle] = ACTIONS(7503),
    [anon_sym_BSLASHauthor] = ACTIONS(7503),
    [anon_sym_BSLASHusepackage] = ACTIONS(7503),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7503),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7503),
    [anon_sym_BSLASHinclude] = ACTIONS(7503),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7503),
    [anon_sym_BSLASHinput] = ACTIONS(7503),
    [anon_sym_BSLASHsubfile] = ACTIONS(7503),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7503),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7503),
    [anon_sym_BSLASHbibliography] = ACTIONS(7503),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7503),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7503),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7503),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7503),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7503),
    [anon_sym_BSLASHimport] = ACTIONS(7503),
    [anon_sym_BSLASHsubimport] = ACTIONS(7503),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7503),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7503),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7503),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7503),
    [anon_sym_BSLASHcaption] = ACTIONS(7503),
    [anon_sym_BSLASHcite] = ACTIONS(7503),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCite] = ACTIONS(7503),
    [anon_sym_BSLASHnocite] = ACTIONS(7503),
    [anon_sym_BSLASHcitet] = ACTIONS(7503),
    [anon_sym_BSLASHcitep] = ACTIONS(7503),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteA] = ACTIONS(7503),
    [anon_sym_BSLASHciteR] = ACTIONS(7503),
    [anon_sym_BSLASHciteS] = ACTIONS(7503),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7503),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7503),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7503),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7503),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteyear] = ACTIONS(7503),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitedate] = ACTIONS(7503),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteurl] = ACTIONS(7503),
    [anon_sym_BSLASHfullcite] = ACTIONS(7503),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7503),
    [anon_sym_BSLASHcitealt] = ACTIONS(7503),
    [anon_sym_BSLASHcitealp] = ACTIONS(7503),
    [anon_sym_BSLASHcitetext] = ACTIONS(7503),
    [anon_sym_BSLASHparencite] = ACTIONS(7503),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHParencite] = ACTIONS(7503),
    [anon_sym_BSLASHfootcite] = ACTIONS(7503),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7503),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7503),
    [anon_sym_BSLASHtextcite] = ACTIONS(7503),
    [anon_sym_BSLASHTextcite] = ACTIONS(7503),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7503),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7503),
    [anon_sym_BSLASHsupercite] = ACTIONS(7503),
    [anon_sym_BSLASHautocite] = ACTIONS(7503),
    [anon_sym_BSLASHAutocite] = ACTIONS(7503),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHVolcite] = ACTIONS(7503),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHavolcite] = ACTIONS(7503),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHNotecite] = ACTIONS(7503),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHlabel] = ACTIONS(7503),
    [anon_sym_BSLASHref] = ACTIONS(7503),
    [anon_sym_BSLASHeqref] = ACTIONS(7503),
    [anon_sym_BSLASHvref] = ACTIONS(7503),
    [anon_sym_BSLASHVref] = ACTIONS(7503),
    [anon_sym_BSLASHautoref] = ACTIONS(7503),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHpageref] = ACTIONS(7503),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHautopageref] = ACTIONS(7503),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcref] = ACTIONS(7503),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCref] = ACTIONS(7503),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcpageref] = ACTIONS(7503),
    [anon_sym_BSLASHCpageref] = ACTIONS(7503),
    [anon_sym_BSLASHnamecref] = ACTIONS(7503),
    [anon_sym_BSLASHnameCref] = ACTIONS(7503),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7503),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7503),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7503),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7503),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7503),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7503),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7503),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7503),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7503),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7503),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7503),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHdef] = ACTIONS(7503),
    [anon_sym_BSLASHgdef] = ACTIONS(7503),
    [anon_sym_BSLASHedef] = ACTIONS(7503),
    [anon_sym_BSLASHxdef] = ACTIONS(7503),
    [anon_sym_BSLASHlet] = ACTIONS(7503),
    [anon_sym_BSLASHglet] = ACTIONS(7503),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7503),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7503),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7503),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7503),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7503),
    [anon_sym_BSLASHgls] = ACTIONS(7503),
    [anon_sym_BSLASHGls] = ACTIONS(7503),
    [anon_sym_BSLASHGLS] = ACTIONS(7503),
    [anon_sym_BSLASHglspl] = ACTIONS(7503),
    [anon_sym_BSLASHGlspl] = ACTIONS(7503),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7503),
    [anon_sym_BSLASHglslink] = ACTIONS(7503),
    [anon_sym_BSLASHglstext] = ACTIONS(7503),
    [anon_sym_BSLASHGlstext] = ACTIONS(7503),
    [anon_sym_BSLASHGLStext] = ACTIONS(7503),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7503),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7503),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7503),
    [anon_sym_BSLASHglsplural] = ACTIONS(7503),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7503),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7503),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHglsname] = ACTIONS(7503),
    [anon_sym_BSLASHGlsname] = ACTIONS(7503),
    [anon_sym_BSLASHGLSname] = ACTIONS(7503),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7503),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7503),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7503),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7503),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7503),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7503),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7503),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7503),
    [anon_sym_BSLASHacrshort] = ACTIONS(7503),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7503),
    [anon_sym_BSLASHACRshort] = ACTIONS(7503),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHacrlong] = ACTIONS(7503),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7503),
    [anon_sym_BSLASHACRlong] = ACTIONS(7503),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHacrfull] = ACTIONS(7503),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7503),
    [anon_sym_BSLASHACRfull] = ACTIONS(7503),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHacs] = ACTIONS(7503),
    [anon_sym_BSLASHAcs] = ACTIONS(7503),
    [anon_sym_BSLASHacsp] = ACTIONS(7503),
    [anon_sym_BSLASHAcsp] = ACTIONS(7503),
    [anon_sym_BSLASHacl] = ACTIONS(7503),
    [anon_sym_BSLASHAcl] = ACTIONS(7503),
    [anon_sym_BSLASHaclp] = ACTIONS(7503),
    [anon_sym_BSLASHAclp] = ACTIONS(7503),
    [anon_sym_BSLASHacf] = ACTIONS(7503),
    [anon_sym_BSLASHAcf] = ACTIONS(7503),
    [anon_sym_BSLASHacfp] = ACTIONS(7503),
    [anon_sym_BSLASHAcfp] = ACTIONS(7503),
    [anon_sym_BSLASHac] = ACTIONS(7503),
    [anon_sym_BSLASHAc] = ACTIONS(7503),
    [anon_sym_BSLASHacp] = ACTIONS(7503),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7503),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7503),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7503),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7503),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7503),
    [anon_sym_BSLASHcolor] = ACTIONS(7503),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7503),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7503),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7503),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7503),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7503),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7503),
    [anon_sym_BSLASHurl] = ACTIONS(7503),
    [anon_sym_BSLASHhref] = ACTIONS(7503),
  },
  [1357] = {
    [sym_command_name] = ACTIONS(7143),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7143),
    [anon_sym_LBRACK] = ACTIONS(7145),
    [anon_sym_RBRACK] = ACTIONS(7145),
    [anon_sym_COMMA] = ACTIONS(7145),
    [anon_sym_EQ] = ACTIONS(7145),
    [anon_sym_LPAREN] = ACTIONS(7145),
    [anon_sym_RPAREN] = ACTIONS(7145),
    [anon_sym_BSLASHpart] = ACTIONS(7143),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHaddpart] = ACTIONS(7143),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHchapter] = ACTIONS(7143),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHaddchap] = ACTIONS(7143),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHsection] = ACTIONS(7143),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHaddsec] = ACTIONS(7143),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHsubsection] = ACTIONS(7143),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7143),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHparagraph] = ACTIONS(7143),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7143),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHitem] = ACTIONS(7143),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7145),
    [anon_sym_LBRACE] = ACTIONS(7145),
    [sym_word] = ACTIONS(7143),
    [sym_placeholder] = ACTIONS(7145),
    [sym_delimiter] = ACTIONS(7145),
    [anon_sym_PLUS] = ACTIONS(7145),
    [anon_sym_DASH] = ACTIONS(7145),
    [anon_sym_STAR] = ACTIONS(7145),
    [anon_sym_SLASH] = ACTIONS(7145),
    [anon_sym_LT] = ACTIONS(7143),
    [anon_sym_GT] = ACTIONS(7143),
    [anon_sym_BANG] = ACTIONS(7143),
    [anon_sym_PIPE] = ACTIONS(7143),
    [anon_sym_COLON] = ACTIONS(7143),
    [anon_sym_SQUOTE] = ACTIONS(7143),
    [anon_sym__] = ACTIONS(7145),
    [anon_sym_CARET] = ACTIONS(7145),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7145),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7145),
    [anon_sym_DOLLAR] = ACTIONS(7143),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7145),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7145),
    [anon_sym_BSLASHleft] = ACTIONS(7143),
    [anon_sym_BSLASHbigl] = ACTIONS(7143),
    [anon_sym_BSLASHBigl] = ACTIONS(7143),
    [anon_sym_BSLASHbiggl] = ACTIONS(7143),
    [anon_sym_BSLASHBiggl] = ACTIONS(7143),
    [anon_sym_BSLASHtext] = ACTIONS(7143),
    [anon_sym_BSLASHintertext] = ACTIONS(7143),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7143),
    [anon_sym_BSLASHbegin] = ACTIONS(7143),
    [anon_sym_BSLASHtitle] = ACTIONS(7143),
    [anon_sym_BSLASHauthor] = ACTIONS(7143),
    [anon_sym_BSLASHusepackage] = ACTIONS(7143),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7143),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7143),
    [anon_sym_BSLASHinclude] = ACTIONS(7143),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7143),
    [anon_sym_BSLASHinput] = ACTIONS(7143),
    [anon_sym_BSLASHsubfile] = ACTIONS(7143),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7143),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7143),
    [anon_sym_BSLASHbibliography] = ACTIONS(7143),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7143),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7143),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7143),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7143),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7143),
    [anon_sym_BSLASHimport] = ACTIONS(7143),
    [anon_sym_BSLASHsubimport] = ACTIONS(7143),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7143),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7143),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7143),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7143),
    [anon_sym_BSLASHcaption] = ACTIONS(7143),
    [anon_sym_BSLASHcite] = ACTIONS(7143),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHCite] = ACTIONS(7143),
    [anon_sym_BSLASHnocite] = ACTIONS(7143),
    [anon_sym_BSLASHcitet] = ACTIONS(7143),
    [anon_sym_BSLASHcitep] = ACTIONS(7143),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHciteA] = ACTIONS(7143),
    [anon_sym_BSLASHciteR] = ACTIONS(7143),
    [anon_sym_BSLASHciteS] = ACTIONS(7143),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7143),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7143),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7143),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7143),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHciteyear] = ACTIONS(7143),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcitedate] = ACTIONS(7143),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHciteurl] = ACTIONS(7143),
    [anon_sym_BSLASHfullcite] = ACTIONS(7143),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7143),
    [anon_sym_BSLASHcitealt] = ACTIONS(7143),
    [anon_sym_BSLASHcitealp] = ACTIONS(7143),
    [anon_sym_BSLASHcitetext] = ACTIONS(7143),
    [anon_sym_BSLASHparencite] = ACTIONS(7143),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHParencite] = ACTIONS(7143),
    [anon_sym_BSLASHfootcite] = ACTIONS(7143),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7143),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7143),
    [anon_sym_BSLASHtextcite] = ACTIONS(7143),
    [anon_sym_BSLASHTextcite] = ACTIONS(7143),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7143),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7143),
    [anon_sym_BSLASHsupercite] = ACTIONS(7143),
    [anon_sym_BSLASHautocite] = ACTIONS(7143),
    [anon_sym_BSLASHAutocite] = ACTIONS(7143),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHVolcite] = ACTIONS(7143),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHavolcite] = ACTIONS(7143),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHnotecite] = ACTIONS(7143),
    [anon_sym_BSLASHNotecite] = ACTIONS(7143),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7143),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7143),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7143),
    [anon_sym_BSLASHlabel] = ACTIONS(7143),
    [anon_sym_BSLASHref] = ACTIONS(7143),
    [anon_sym_BSLASHeqref] = ACTIONS(7143),
    [anon_sym_BSLASHvref] = ACTIONS(7143),
    [anon_sym_BSLASHVref] = ACTIONS(7143),
    [anon_sym_BSLASHautoref] = ACTIONS(7143),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHpageref] = ACTIONS(7143),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHautopageref] = ACTIONS(7143),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcref] = ACTIONS(7143),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHCref] = ACTIONS(7143),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcpageref] = ACTIONS(7143),
    [anon_sym_BSLASHCpageref] = ACTIONS(7143),
    [anon_sym_BSLASHnamecref] = ACTIONS(7143),
    [anon_sym_BSLASHnameCref] = ACTIONS(7143),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7143),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7143),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7143),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7143),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7143),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7143),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7143),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7143),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7143),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7143),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7143),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7143),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7143),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7143),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7143),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7143),
    [anon_sym_BSLASHdef] = ACTIONS(7143),
    [anon_sym_BSLASHgdef] = ACTIONS(7143),
    [anon_sym_BSLASHedef] = ACTIONS(7143),
    [anon_sym_BSLASHxdef] = ACTIONS(7143),
    [anon_sym_BSLASHlet] = ACTIONS(7143),
    [anon_sym_BSLASHglet] = ACTIONS(7143),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7143),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7143),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7143),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7143),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7143),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7143),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7143),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7143),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7143),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7143),
    [anon_sym_BSLASHgls] = ACTIONS(7143),
    [anon_sym_BSLASHGls] = ACTIONS(7143),
    [anon_sym_BSLASHGLS] = ACTIONS(7143),
    [anon_sym_BSLASHglspl] = ACTIONS(7143),
    [anon_sym_BSLASHGlspl] = ACTIONS(7143),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7143),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7143),
    [anon_sym_BSLASHglslink] = ACTIONS(7143),
    [anon_sym_BSLASHglstext] = ACTIONS(7143),
    [anon_sym_BSLASHGlstext] = ACTIONS(7143),
    [anon_sym_BSLASHGLStext] = ACTIONS(7143),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7143),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7143),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7143),
    [anon_sym_BSLASHglsplural] = ACTIONS(7143),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7143),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7143),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7143),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7143),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7143),
    [anon_sym_BSLASHglsname] = ACTIONS(7143),
    [anon_sym_BSLASHGlsname] = ACTIONS(7143),
    [anon_sym_BSLASHGLSname] = ACTIONS(7143),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7143),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7143),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7143),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7143),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7143),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7143),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7143),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7143),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7143),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7143),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7143),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7143),
    [anon_sym_BSLASHacrshort] = ACTIONS(7143),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7143),
    [anon_sym_BSLASHACRshort] = ACTIONS(7143),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHacrlong] = ACTIONS(7143),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7143),
    [anon_sym_BSLASHACRlong] = ACTIONS(7143),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7143),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7143),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7143),
    [anon_sym_BSLASHacrfull] = ACTIONS(7143),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7143),
    [anon_sym_BSLASHACRfull] = ACTIONS(7143),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHacs] = ACTIONS(7143),
    [anon_sym_BSLASHAcs] = ACTIONS(7143),
    [anon_sym_BSLASHacsp] = ACTIONS(7143),
    [anon_sym_BSLASHAcsp] = ACTIONS(7143),
    [anon_sym_BSLASHacl] = ACTIONS(7143),
    [anon_sym_BSLASHAcl] = ACTIONS(7143),
    [anon_sym_BSLASHaclp] = ACTIONS(7143),
    [anon_sym_BSLASHAclp] = ACTIONS(7143),
    [anon_sym_BSLASHacf] = ACTIONS(7143),
    [anon_sym_BSLASHAcf] = ACTIONS(7143),
    [anon_sym_BSLASHacfp] = ACTIONS(7143),
    [anon_sym_BSLASHAcfp] = ACTIONS(7143),
    [anon_sym_BSLASHac] = ACTIONS(7143),
    [anon_sym_BSLASHAc] = ACTIONS(7143),
    [anon_sym_BSLASHacp] = ACTIONS(7143),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7143),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7143),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7143),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7143),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7143),
    [anon_sym_BSLASHcolor] = ACTIONS(7143),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7143),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7143),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7143),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7143),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7143),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7143),
    [anon_sym_BSLASHurl] = ACTIONS(7143),
    [anon_sym_BSLASHhref] = ACTIONS(7143),
  },
  [1358] = {
    [sym_command_name] = ACTIONS(7147),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7147),
    [anon_sym_LBRACK] = ACTIONS(7149),
    [anon_sym_RBRACK] = ACTIONS(7149),
    [anon_sym_COMMA] = ACTIONS(7149),
    [anon_sym_EQ] = ACTIONS(7149),
    [anon_sym_LPAREN] = ACTIONS(7149),
    [anon_sym_RPAREN] = ACTIONS(7149),
    [anon_sym_BSLASHpart] = ACTIONS(7147),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHaddpart] = ACTIONS(7147),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHchapter] = ACTIONS(7147),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHaddchap] = ACTIONS(7147),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHsection] = ACTIONS(7147),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHaddsec] = ACTIONS(7147),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHsubsection] = ACTIONS(7147),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7147),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHparagraph] = ACTIONS(7147),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7147),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHitem] = ACTIONS(7147),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7149),
    [anon_sym_LBRACE] = ACTIONS(7149),
    [sym_word] = ACTIONS(7147),
    [sym_placeholder] = ACTIONS(7149),
    [sym_delimiter] = ACTIONS(7149),
    [anon_sym_PLUS] = ACTIONS(7149),
    [anon_sym_DASH] = ACTIONS(7149),
    [anon_sym_STAR] = ACTIONS(7149),
    [anon_sym_SLASH] = ACTIONS(7149),
    [anon_sym_LT] = ACTIONS(7147),
    [anon_sym_GT] = ACTIONS(7147),
    [anon_sym_BANG] = ACTIONS(7147),
    [anon_sym_PIPE] = ACTIONS(7147),
    [anon_sym_COLON] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(7147),
    [anon_sym__] = ACTIONS(7149),
    [anon_sym_CARET] = ACTIONS(7149),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7149),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7149),
    [anon_sym_DOLLAR] = ACTIONS(7147),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7149),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7149),
    [anon_sym_BSLASHleft] = ACTIONS(7147),
    [anon_sym_BSLASHbigl] = ACTIONS(7147),
    [anon_sym_BSLASHBigl] = ACTIONS(7147),
    [anon_sym_BSLASHbiggl] = ACTIONS(7147),
    [anon_sym_BSLASHBiggl] = ACTIONS(7147),
    [anon_sym_BSLASHtext] = ACTIONS(7147),
    [anon_sym_BSLASHintertext] = ACTIONS(7147),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7147),
    [anon_sym_BSLASHbegin] = ACTIONS(7147),
    [anon_sym_BSLASHtitle] = ACTIONS(7147),
    [anon_sym_BSLASHauthor] = ACTIONS(7147),
    [anon_sym_BSLASHusepackage] = ACTIONS(7147),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7147),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7147),
    [anon_sym_BSLASHinclude] = ACTIONS(7147),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7147),
    [anon_sym_BSLASHinput] = ACTIONS(7147),
    [anon_sym_BSLASHsubfile] = ACTIONS(7147),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7147),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7147),
    [anon_sym_BSLASHbibliography] = ACTIONS(7147),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7147),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7147),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7147),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7147),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7147),
    [anon_sym_BSLASHimport] = ACTIONS(7147),
    [anon_sym_BSLASHsubimport] = ACTIONS(7147),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7147),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7147),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7147),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7147),
    [anon_sym_BSLASHcaption] = ACTIONS(7147),
    [anon_sym_BSLASHcite] = ACTIONS(7147),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHCite] = ACTIONS(7147),
    [anon_sym_BSLASHnocite] = ACTIONS(7147),
    [anon_sym_BSLASHcitet] = ACTIONS(7147),
    [anon_sym_BSLASHcitep] = ACTIONS(7147),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHciteA] = ACTIONS(7147),
    [anon_sym_BSLASHciteR] = ACTIONS(7147),
    [anon_sym_BSLASHciteS] = ACTIONS(7147),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7147),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7147),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7147),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7147),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHciteyear] = ACTIONS(7147),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcitedate] = ACTIONS(7147),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHciteurl] = ACTIONS(7147),
    [anon_sym_BSLASHfullcite] = ACTIONS(7147),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7147),
    [anon_sym_BSLASHcitealt] = ACTIONS(7147),
    [anon_sym_BSLASHcitealp] = ACTIONS(7147),
    [anon_sym_BSLASHcitetext] = ACTIONS(7147),
    [anon_sym_BSLASHparencite] = ACTIONS(7147),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHParencite] = ACTIONS(7147),
    [anon_sym_BSLASHfootcite] = ACTIONS(7147),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7147),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7147),
    [anon_sym_BSLASHtextcite] = ACTIONS(7147),
    [anon_sym_BSLASHTextcite] = ACTIONS(7147),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7147),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7147),
    [anon_sym_BSLASHsupercite] = ACTIONS(7147),
    [anon_sym_BSLASHautocite] = ACTIONS(7147),
    [anon_sym_BSLASHAutocite] = ACTIONS(7147),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHVolcite] = ACTIONS(7147),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHavolcite] = ACTIONS(7147),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHnotecite] = ACTIONS(7147),
    [anon_sym_BSLASHNotecite] = ACTIONS(7147),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7147),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7147),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7147),
    [anon_sym_BSLASHlabel] = ACTIONS(7147),
    [anon_sym_BSLASHref] = ACTIONS(7147),
    [anon_sym_BSLASHeqref] = ACTIONS(7147),
    [anon_sym_BSLASHvref] = ACTIONS(7147),
    [anon_sym_BSLASHVref] = ACTIONS(7147),
    [anon_sym_BSLASHautoref] = ACTIONS(7147),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHpageref] = ACTIONS(7147),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHautopageref] = ACTIONS(7147),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcref] = ACTIONS(7147),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHCref] = ACTIONS(7147),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcpageref] = ACTIONS(7147),
    [anon_sym_BSLASHCpageref] = ACTIONS(7147),
    [anon_sym_BSLASHnamecref] = ACTIONS(7147),
    [anon_sym_BSLASHnameCref] = ACTIONS(7147),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7147),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7147),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7147),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7147),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7147),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7147),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7147),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7147),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7147),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7147),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7147),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7147),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7147),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7147),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7147),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7147),
    [anon_sym_BSLASHdef] = ACTIONS(7147),
    [anon_sym_BSLASHgdef] = ACTIONS(7147),
    [anon_sym_BSLASHedef] = ACTIONS(7147),
    [anon_sym_BSLASHxdef] = ACTIONS(7147),
    [anon_sym_BSLASHlet] = ACTIONS(7147),
    [anon_sym_BSLASHglet] = ACTIONS(7147),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7147),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7147),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7147),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7147),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7147),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7147),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7147),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7147),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7147),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7147),
    [anon_sym_BSLASHgls] = ACTIONS(7147),
    [anon_sym_BSLASHGls] = ACTIONS(7147),
    [anon_sym_BSLASHGLS] = ACTIONS(7147),
    [anon_sym_BSLASHglspl] = ACTIONS(7147),
    [anon_sym_BSLASHGlspl] = ACTIONS(7147),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7147),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7147),
    [anon_sym_BSLASHglslink] = ACTIONS(7147),
    [anon_sym_BSLASHglstext] = ACTIONS(7147),
    [anon_sym_BSLASHGlstext] = ACTIONS(7147),
    [anon_sym_BSLASHGLStext] = ACTIONS(7147),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7147),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7147),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7147),
    [anon_sym_BSLASHglsplural] = ACTIONS(7147),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7147),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7147),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7147),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7147),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7147),
    [anon_sym_BSLASHglsname] = ACTIONS(7147),
    [anon_sym_BSLASHGlsname] = ACTIONS(7147),
    [anon_sym_BSLASHGLSname] = ACTIONS(7147),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7147),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7147),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7147),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7147),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7147),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7147),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7147),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7147),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7147),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7147),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7147),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7147),
    [anon_sym_BSLASHacrshort] = ACTIONS(7147),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7147),
    [anon_sym_BSLASHACRshort] = ACTIONS(7147),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHacrlong] = ACTIONS(7147),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7147),
    [anon_sym_BSLASHACRlong] = ACTIONS(7147),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7147),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7147),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7147),
    [anon_sym_BSLASHacrfull] = ACTIONS(7147),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7147),
    [anon_sym_BSLASHACRfull] = ACTIONS(7147),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHacs] = ACTIONS(7147),
    [anon_sym_BSLASHAcs] = ACTIONS(7147),
    [anon_sym_BSLASHacsp] = ACTIONS(7147),
    [anon_sym_BSLASHAcsp] = ACTIONS(7147),
    [anon_sym_BSLASHacl] = ACTIONS(7147),
    [anon_sym_BSLASHAcl] = ACTIONS(7147),
    [anon_sym_BSLASHaclp] = ACTIONS(7147),
    [anon_sym_BSLASHAclp] = ACTIONS(7147),
    [anon_sym_BSLASHacf] = ACTIONS(7147),
    [anon_sym_BSLASHAcf] = ACTIONS(7147),
    [anon_sym_BSLASHacfp] = ACTIONS(7147),
    [anon_sym_BSLASHAcfp] = ACTIONS(7147),
    [anon_sym_BSLASHac] = ACTIONS(7147),
    [anon_sym_BSLASHAc] = ACTIONS(7147),
    [anon_sym_BSLASHacp] = ACTIONS(7147),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7147),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7147),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7147),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7147),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7147),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7147),
    [anon_sym_BSLASHcolor] = ACTIONS(7147),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7147),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7147),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7147),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7147),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7147),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7147),
    [anon_sym_BSLASHurl] = ACTIONS(7147),
    [anon_sym_BSLASHhref] = ACTIONS(7147),
  },
  [1359] = {
    [sym_command_name] = ACTIONS(7151),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7151),
    [anon_sym_LBRACK] = ACTIONS(7153),
    [anon_sym_RBRACK] = ACTIONS(7153),
    [anon_sym_COMMA] = ACTIONS(7153),
    [anon_sym_EQ] = ACTIONS(7153),
    [anon_sym_LPAREN] = ACTIONS(7153),
    [anon_sym_RPAREN] = ACTIONS(7153),
    [anon_sym_BSLASHpart] = ACTIONS(7151),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHaddpart] = ACTIONS(7151),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHchapter] = ACTIONS(7151),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHaddchap] = ACTIONS(7151),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHsection] = ACTIONS(7151),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHaddsec] = ACTIONS(7151),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHsubsection] = ACTIONS(7151),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7151),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHparagraph] = ACTIONS(7151),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7151),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHitem] = ACTIONS(7151),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7153),
    [anon_sym_LBRACE] = ACTIONS(7153),
    [sym_word] = ACTIONS(7151),
    [sym_placeholder] = ACTIONS(7153),
    [sym_delimiter] = ACTIONS(7153),
    [anon_sym_PLUS] = ACTIONS(7153),
    [anon_sym_DASH] = ACTIONS(7153),
    [anon_sym_STAR] = ACTIONS(7153),
    [anon_sym_SLASH] = ACTIONS(7153),
    [anon_sym_LT] = ACTIONS(7151),
    [anon_sym_GT] = ACTIONS(7151),
    [anon_sym_BANG] = ACTIONS(7151),
    [anon_sym_PIPE] = ACTIONS(7151),
    [anon_sym_COLON] = ACTIONS(7151),
    [anon_sym_SQUOTE] = ACTIONS(7151),
    [anon_sym__] = ACTIONS(7153),
    [anon_sym_CARET] = ACTIONS(7153),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7153),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7153),
    [anon_sym_DOLLAR] = ACTIONS(7151),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7153),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7153),
    [anon_sym_BSLASHleft] = ACTIONS(7151),
    [anon_sym_BSLASHbigl] = ACTIONS(7151),
    [anon_sym_BSLASHBigl] = ACTIONS(7151),
    [anon_sym_BSLASHbiggl] = ACTIONS(7151),
    [anon_sym_BSLASHBiggl] = ACTIONS(7151),
    [anon_sym_BSLASHtext] = ACTIONS(7151),
    [anon_sym_BSLASHintertext] = ACTIONS(7151),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7151),
    [anon_sym_BSLASHbegin] = ACTIONS(7151),
    [anon_sym_BSLASHtitle] = ACTIONS(7151),
    [anon_sym_BSLASHauthor] = ACTIONS(7151),
    [anon_sym_BSLASHusepackage] = ACTIONS(7151),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7151),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7151),
    [anon_sym_BSLASHinclude] = ACTIONS(7151),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7151),
    [anon_sym_BSLASHinput] = ACTIONS(7151),
    [anon_sym_BSLASHsubfile] = ACTIONS(7151),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7151),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7151),
    [anon_sym_BSLASHbibliography] = ACTIONS(7151),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7151),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7151),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7151),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7151),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7151),
    [anon_sym_BSLASHimport] = ACTIONS(7151),
    [anon_sym_BSLASHsubimport] = ACTIONS(7151),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7151),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7151),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7151),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7151),
    [anon_sym_BSLASHcaption] = ACTIONS(7151),
    [anon_sym_BSLASHcite] = ACTIONS(7151),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHCite] = ACTIONS(7151),
    [anon_sym_BSLASHnocite] = ACTIONS(7151),
    [anon_sym_BSLASHcitet] = ACTIONS(7151),
    [anon_sym_BSLASHcitep] = ACTIONS(7151),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHciteA] = ACTIONS(7151),
    [anon_sym_BSLASHciteR] = ACTIONS(7151),
    [anon_sym_BSLASHciteS] = ACTIONS(7151),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7151),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7151),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7151),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7151),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHciteyear] = ACTIONS(7151),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcitedate] = ACTIONS(7151),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHciteurl] = ACTIONS(7151),
    [anon_sym_BSLASHfullcite] = ACTIONS(7151),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7151),
    [anon_sym_BSLASHcitealt] = ACTIONS(7151),
    [anon_sym_BSLASHcitealp] = ACTIONS(7151),
    [anon_sym_BSLASHcitetext] = ACTIONS(7151),
    [anon_sym_BSLASHparencite] = ACTIONS(7151),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHParencite] = ACTIONS(7151),
    [anon_sym_BSLASHfootcite] = ACTIONS(7151),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7151),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7151),
    [anon_sym_BSLASHtextcite] = ACTIONS(7151),
    [anon_sym_BSLASHTextcite] = ACTIONS(7151),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7151),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7151),
    [anon_sym_BSLASHsupercite] = ACTIONS(7151),
    [anon_sym_BSLASHautocite] = ACTIONS(7151),
    [anon_sym_BSLASHAutocite] = ACTIONS(7151),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHVolcite] = ACTIONS(7151),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHavolcite] = ACTIONS(7151),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHnotecite] = ACTIONS(7151),
    [anon_sym_BSLASHNotecite] = ACTIONS(7151),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7151),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7151),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7151),
    [anon_sym_BSLASHlabel] = ACTIONS(7151),
    [anon_sym_BSLASHref] = ACTIONS(7151),
    [anon_sym_BSLASHeqref] = ACTIONS(7151),
    [anon_sym_BSLASHvref] = ACTIONS(7151),
    [anon_sym_BSLASHVref] = ACTIONS(7151),
    [anon_sym_BSLASHautoref] = ACTIONS(7151),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHpageref] = ACTIONS(7151),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHautopageref] = ACTIONS(7151),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcref] = ACTIONS(7151),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHCref] = ACTIONS(7151),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcpageref] = ACTIONS(7151),
    [anon_sym_BSLASHCpageref] = ACTIONS(7151),
    [anon_sym_BSLASHnamecref] = ACTIONS(7151),
    [anon_sym_BSLASHnameCref] = ACTIONS(7151),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7151),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7151),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7151),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7151),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7151),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7151),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7151),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7151),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7151),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7151),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7151),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7151),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7151),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7151),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7151),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7151),
    [anon_sym_BSLASHdef] = ACTIONS(7151),
    [anon_sym_BSLASHgdef] = ACTIONS(7151),
    [anon_sym_BSLASHedef] = ACTIONS(7151),
    [anon_sym_BSLASHxdef] = ACTIONS(7151),
    [anon_sym_BSLASHlet] = ACTIONS(7151),
    [anon_sym_BSLASHglet] = ACTIONS(7151),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7151),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7151),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7151),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7151),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7151),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7151),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7151),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7151),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7151),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7151),
    [anon_sym_BSLASHgls] = ACTIONS(7151),
    [anon_sym_BSLASHGls] = ACTIONS(7151),
    [anon_sym_BSLASHGLS] = ACTIONS(7151),
    [anon_sym_BSLASHglspl] = ACTIONS(7151),
    [anon_sym_BSLASHGlspl] = ACTIONS(7151),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7151),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7151),
    [anon_sym_BSLASHglslink] = ACTIONS(7151),
    [anon_sym_BSLASHglstext] = ACTIONS(7151),
    [anon_sym_BSLASHGlstext] = ACTIONS(7151),
    [anon_sym_BSLASHGLStext] = ACTIONS(7151),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7151),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7151),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7151),
    [anon_sym_BSLASHglsplural] = ACTIONS(7151),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7151),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7151),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7151),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7151),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7151),
    [anon_sym_BSLASHglsname] = ACTIONS(7151),
    [anon_sym_BSLASHGlsname] = ACTIONS(7151),
    [anon_sym_BSLASHGLSname] = ACTIONS(7151),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7151),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7151),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7151),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7151),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7151),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7151),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7151),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7151),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7151),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7151),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7151),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7151),
    [anon_sym_BSLASHacrshort] = ACTIONS(7151),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7151),
    [anon_sym_BSLASHACRshort] = ACTIONS(7151),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHacrlong] = ACTIONS(7151),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7151),
    [anon_sym_BSLASHACRlong] = ACTIONS(7151),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7151),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7151),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7151),
    [anon_sym_BSLASHacrfull] = ACTIONS(7151),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7151),
    [anon_sym_BSLASHACRfull] = ACTIONS(7151),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHacs] = ACTIONS(7151),
    [anon_sym_BSLASHAcs] = ACTIONS(7151),
    [anon_sym_BSLASHacsp] = ACTIONS(7151),
    [anon_sym_BSLASHAcsp] = ACTIONS(7151),
    [anon_sym_BSLASHacl] = ACTIONS(7151),
    [anon_sym_BSLASHAcl] = ACTIONS(7151),
    [anon_sym_BSLASHaclp] = ACTIONS(7151),
    [anon_sym_BSLASHAclp] = ACTIONS(7151),
    [anon_sym_BSLASHacf] = ACTIONS(7151),
    [anon_sym_BSLASHAcf] = ACTIONS(7151),
    [anon_sym_BSLASHacfp] = ACTIONS(7151),
    [anon_sym_BSLASHAcfp] = ACTIONS(7151),
    [anon_sym_BSLASHac] = ACTIONS(7151),
    [anon_sym_BSLASHAc] = ACTIONS(7151),
    [anon_sym_BSLASHacp] = ACTIONS(7151),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7151),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7151),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7151),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7151),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7151),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7151),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7151),
    [anon_sym_BSLASHcolor] = ACTIONS(7151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7151),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7151),
    [anon_sym_BSLASHurl] = ACTIONS(7151),
    [anon_sym_BSLASHhref] = ACTIONS(7151),
  },
  [1360] = {
    [sym_command_name] = ACTIONS(7155),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7155),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_RBRACK] = ACTIONS(7157),
    [anon_sym_COMMA] = ACTIONS(7157),
    [anon_sym_EQ] = ACTIONS(7157),
    [anon_sym_LPAREN] = ACTIONS(7157),
    [anon_sym_RPAREN] = ACTIONS(7157),
    [anon_sym_BSLASHpart] = ACTIONS(7155),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHaddpart] = ACTIONS(7155),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHchapter] = ACTIONS(7155),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHaddchap] = ACTIONS(7155),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHsection] = ACTIONS(7155),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHaddsec] = ACTIONS(7155),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHsubsection] = ACTIONS(7155),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7155),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHparagraph] = ACTIONS(7155),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7155),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHitem] = ACTIONS(7155),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7157),
    [sym_word] = ACTIONS(7155),
    [sym_placeholder] = ACTIONS(7157),
    [sym_delimiter] = ACTIONS(7157),
    [anon_sym_PLUS] = ACTIONS(7157),
    [anon_sym_DASH] = ACTIONS(7157),
    [anon_sym_STAR] = ACTIONS(7157),
    [anon_sym_SLASH] = ACTIONS(7157),
    [anon_sym_LT] = ACTIONS(7155),
    [anon_sym_GT] = ACTIONS(7155),
    [anon_sym_BANG] = ACTIONS(7155),
    [anon_sym_PIPE] = ACTIONS(7155),
    [anon_sym_COLON] = ACTIONS(7155),
    [anon_sym_SQUOTE] = ACTIONS(7155),
    [anon_sym__] = ACTIONS(7157),
    [anon_sym_CARET] = ACTIONS(7157),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7157),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7157),
    [anon_sym_DOLLAR] = ACTIONS(7155),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7157),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7157),
    [anon_sym_BSLASHleft] = ACTIONS(7155),
    [anon_sym_BSLASHbigl] = ACTIONS(7155),
    [anon_sym_BSLASHBigl] = ACTIONS(7155),
    [anon_sym_BSLASHbiggl] = ACTIONS(7155),
    [anon_sym_BSLASHBiggl] = ACTIONS(7155),
    [anon_sym_BSLASHtext] = ACTIONS(7155),
    [anon_sym_BSLASHintertext] = ACTIONS(7155),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7155),
    [anon_sym_BSLASHbegin] = ACTIONS(7155),
    [anon_sym_BSLASHtitle] = ACTIONS(7155),
    [anon_sym_BSLASHauthor] = ACTIONS(7155),
    [anon_sym_BSLASHusepackage] = ACTIONS(7155),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7155),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7155),
    [anon_sym_BSLASHinclude] = ACTIONS(7155),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7155),
    [anon_sym_BSLASHinput] = ACTIONS(7155),
    [anon_sym_BSLASHsubfile] = ACTIONS(7155),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7155),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7155),
    [anon_sym_BSLASHbibliography] = ACTIONS(7155),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7155),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7155),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7155),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7155),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7155),
    [anon_sym_BSLASHimport] = ACTIONS(7155),
    [anon_sym_BSLASHsubimport] = ACTIONS(7155),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7155),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7155),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7155),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7155),
    [anon_sym_BSLASHcaption] = ACTIONS(7155),
    [anon_sym_BSLASHcite] = ACTIONS(7155),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHCite] = ACTIONS(7155),
    [anon_sym_BSLASHnocite] = ACTIONS(7155),
    [anon_sym_BSLASHcitet] = ACTIONS(7155),
    [anon_sym_BSLASHcitep] = ACTIONS(7155),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHciteA] = ACTIONS(7155),
    [anon_sym_BSLASHciteR] = ACTIONS(7155),
    [anon_sym_BSLASHciteS] = ACTIONS(7155),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7155),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7155),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7155),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7155),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHciteyear] = ACTIONS(7155),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcitedate] = ACTIONS(7155),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHciteurl] = ACTIONS(7155),
    [anon_sym_BSLASHfullcite] = ACTIONS(7155),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7155),
    [anon_sym_BSLASHcitealt] = ACTIONS(7155),
    [anon_sym_BSLASHcitealp] = ACTIONS(7155),
    [anon_sym_BSLASHcitetext] = ACTIONS(7155),
    [anon_sym_BSLASHparencite] = ACTIONS(7155),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHParencite] = ACTIONS(7155),
    [anon_sym_BSLASHfootcite] = ACTIONS(7155),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7155),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7155),
    [anon_sym_BSLASHtextcite] = ACTIONS(7155),
    [anon_sym_BSLASHTextcite] = ACTIONS(7155),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7155),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7155),
    [anon_sym_BSLASHsupercite] = ACTIONS(7155),
    [anon_sym_BSLASHautocite] = ACTIONS(7155),
    [anon_sym_BSLASHAutocite] = ACTIONS(7155),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHVolcite] = ACTIONS(7155),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHavolcite] = ACTIONS(7155),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHnotecite] = ACTIONS(7155),
    [anon_sym_BSLASHNotecite] = ACTIONS(7155),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7155),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7155),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7155),
    [anon_sym_BSLASHlabel] = ACTIONS(7155),
    [anon_sym_BSLASHref] = ACTIONS(7155),
    [anon_sym_BSLASHeqref] = ACTIONS(7155),
    [anon_sym_BSLASHvref] = ACTIONS(7155),
    [anon_sym_BSLASHVref] = ACTIONS(7155),
    [anon_sym_BSLASHautoref] = ACTIONS(7155),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHpageref] = ACTIONS(7155),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHautopageref] = ACTIONS(7155),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcref] = ACTIONS(7155),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHCref] = ACTIONS(7155),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcpageref] = ACTIONS(7155),
    [anon_sym_BSLASHCpageref] = ACTIONS(7155),
    [anon_sym_BSLASHnamecref] = ACTIONS(7155),
    [anon_sym_BSLASHnameCref] = ACTIONS(7155),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7155),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7155),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7155),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7155),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7155),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7155),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7155),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7155),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7155),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7155),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7155),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7155),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7155),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7155),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7155),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7155),
    [anon_sym_BSLASHdef] = ACTIONS(7155),
    [anon_sym_BSLASHgdef] = ACTIONS(7155),
    [anon_sym_BSLASHedef] = ACTIONS(7155),
    [anon_sym_BSLASHxdef] = ACTIONS(7155),
    [anon_sym_BSLASHlet] = ACTIONS(7155),
    [anon_sym_BSLASHglet] = ACTIONS(7155),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7155),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7155),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7155),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7155),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7155),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7155),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7155),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7155),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7155),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7155),
    [anon_sym_BSLASHgls] = ACTIONS(7155),
    [anon_sym_BSLASHGls] = ACTIONS(7155),
    [anon_sym_BSLASHGLS] = ACTIONS(7155),
    [anon_sym_BSLASHglspl] = ACTIONS(7155),
    [anon_sym_BSLASHGlspl] = ACTIONS(7155),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7155),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7155),
    [anon_sym_BSLASHglslink] = ACTIONS(7155),
    [anon_sym_BSLASHglstext] = ACTIONS(7155),
    [anon_sym_BSLASHGlstext] = ACTIONS(7155),
    [anon_sym_BSLASHGLStext] = ACTIONS(7155),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7155),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7155),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7155),
    [anon_sym_BSLASHglsplural] = ACTIONS(7155),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7155),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7155),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7155),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7155),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7155),
    [anon_sym_BSLASHglsname] = ACTIONS(7155),
    [anon_sym_BSLASHGlsname] = ACTIONS(7155),
    [anon_sym_BSLASHGLSname] = ACTIONS(7155),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7155),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7155),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7155),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7155),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7155),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7155),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7155),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7155),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7155),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7155),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7155),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7155),
    [anon_sym_BSLASHacrshort] = ACTIONS(7155),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7155),
    [anon_sym_BSLASHACRshort] = ACTIONS(7155),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHacrlong] = ACTIONS(7155),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7155),
    [anon_sym_BSLASHACRlong] = ACTIONS(7155),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7155),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7155),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7155),
    [anon_sym_BSLASHacrfull] = ACTIONS(7155),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7155),
    [anon_sym_BSLASHACRfull] = ACTIONS(7155),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHacs] = ACTIONS(7155),
    [anon_sym_BSLASHAcs] = ACTIONS(7155),
    [anon_sym_BSLASHacsp] = ACTIONS(7155),
    [anon_sym_BSLASHAcsp] = ACTIONS(7155),
    [anon_sym_BSLASHacl] = ACTIONS(7155),
    [anon_sym_BSLASHAcl] = ACTIONS(7155),
    [anon_sym_BSLASHaclp] = ACTIONS(7155),
    [anon_sym_BSLASHAclp] = ACTIONS(7155),
    [anon_sym_BSLASHacf] = ACTIONS(7155),
    [anon_sym_BSLASHAcf] = ACTIONS(7155),
    [anon_sym_BSLASHacfp] = ACTIONS(7155),
    [anon_sym_BSLASHAcfp] = ACTIONS(7155),
    [anon_sym_BSLASHac] = ACTIONS(7155),
    [anon_sym_BSLASHAc] = ACTIONS(7155),
    [anon_sym_BSLASHacp] = ACTIONS(7155),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7155),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7155),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7155),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7155),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7155),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7155),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7155),
    [anon_sym_BSLASHcolor] = ACTIONS(7155),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7155),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7155),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7155),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7155),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7155),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7155),
    [anon_sym_BSLASHurl] = ACTIONS(7155),
    [anon_sym_BSLASHhref] = ACTIONS(7155),
  },
  [1361] = {
    [sym_command_name] = ACTIONS(7159),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7159),
    [anon_sym_LBRACK] = ACTIONS(7161),
    [anon_sym_RBRACK] = ACTIONS(7161),
    [anon_sym_COMMA] = ACTIONS(7161),
    [anon_sym_EQ] = ACTIONS(7161),
    [anon_sym_LPAREN] = ACTIONS(7161),
    [anon_sym_RPAREN] = ACTIONS(7161),
    [anon_sym_BSLASHpart] = ACTIONS(7159),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHaddpart] = ACTIONS(7159),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHchapter] = ACTIONS(7159),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHaddchap] = ACTIONS(7159),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHsection] = ACTIONS(7159),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHaddsec] = ACTIONS(7159),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHsubsection] = ACTIONS(7159),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7159),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHparagraph] = ACTIONS(7159),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7159),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHitem] = ACTIONS(7159),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7161),
    [anon_sym_LBRACE] = ACTIONS(7161),
    [sym_word] = ACTIONS(7159),
    [sym_placeholder] = ACTIONS(7161),
    [sym_delimiter] = ACTIONS(7161),
    [anon_sym_PLUS] = ACTIONS(7161),
    [anon_sym_DASH] = ACTIONS(7161),
    [anon_sym_STAR] = ACTIONS(7161),
    [anon_sym_SLASH] = ACTIONS(7161),
    [anon_sym_LT] = ACTIONS(7159),
    [anon_sym_GT] = ACTIONS(7159),
    [anon_sym_BANG] = ACTIONS(7159),
    [anon_sym_PIPE] = ACTIONS(7159),
    [anon_sym_COLON] = ACTIONS(7159),
    [anon_sym_SQUOTE] = ACTIONS(7159),
    [anon_sym__] = ACTIONS(7161),
    [anon_sym_CARET] = ACTIONS(7161),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7161),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7161),
    [anon_sym_DOLLAR] = ACTIONS(7159),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7161),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7161),
    [anon_sym_BSLASHleft] = ACTIONS(7159),
    [anon_sym_BSLASHbigl] = ACTIONS(7159),
    [anon_sym_BSLASHBigl] = ACTIONS(7159),
    [anon_sym_BSLASHbiggl] = ACTIONS(7159),
    [anon_sym_BSLASHBiggl] = ACTIONS(7159),
    [anon_sym_BSLASHtext] = ACTIONS(7159),
    [anon_sym_BSLASHintertext] = ACTIONS(7159),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7159),
    [anon_sym_BSLASHbegin] = ACTIONS(7159),
    [anon_sym_BSLASHtitle] = ACTIONS(7159),
    [anon_sym_BSLASHauthor] = ACTIONS(7159),
    [anon_sym_BSLASHusepackage] = ACTIONS(7159),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7159),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7159),
    [anon_sym_BSLASHinclude] = ACTIONS(7159),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7159),
    [anon_sym_BSLASHinput] = ACTIONS(7159),
    [anon_sym_BSLASHsubfile] = ACTIONS(7159),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7159),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7159),
    [anon_sym_BSLASHbibliography] = ACTIONS(7159),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7159),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7159),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7159),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7159),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7159),
    [anon_sym_BSLASHimport] = ACTIONS(7159),
    [anon_sym_BSLASHsubimport] = ACTIONS(7159),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7159),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7159),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7159),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7159),
    [anon_sym_BSLASHcaption] = ACTIONS(7159),
    [anon_sym_BSLASHcite] = ACTIONS(7159),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHCite] = ACTIONS(7159),
    [anon_sym_BSLASHnocite] = ACTIONS(7159),
    [anon_sym_BSLASHcitet] = ACTIONS(7159),
    [anon_sym_BSLASHcitep] = ACTIONS(7159),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHciteA] = ACTIONS(7159),
    [anon_sym_BSLASHciteR] = ACTIONS(7159),
    [anon_sym_BSLASHciteS] = ACTIONS(7159),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7159),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7159),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7159),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7159),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHciteyear] = ACTIONS(7159),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcitedate] = ACTIONS(7159),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHciteurl] = ACTIONS(7159),
    [anon_sym_BSLASHfullcite] = ACTIONS(7159),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7159),
    [anon_sym_BSLASHcitealt] = ACTIONS(7159),
    [anon_sym_BSLASHcitealp] = ACTIONS(7159),
    [anon_sym_BSLASHcitetext] = ACTIONS(7159),
    [anon_sym_BSLASHparencite] = ACTIONS(7159),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHParencite] = ACTIONS(7159),
    [anon_sym_BSLASHfootcite] = ACTIONS(7159),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7159),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7159),
    [anon_sym_BSLASHtextcite] = ACTIONS(7159),
    [anon_sym_BSLASHTextcite] = ACTIONS(7159),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7159),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7159),
    [anon_sym_BSLASHsupercite] = ACTIONS(7159),
    [anon_sym_BSLASHautocite] = ACTIONS(7159),
    [anon_sym_BSLASHAutocite] = ACTIONS(7159),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHVolcite] = ACTIONS(7159),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHavolcite] = ACTIONS(7159),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHnotecite] = ACTIONS(7159),
    [anon_sym_BSLASHNotecite] = ACTIONS(7159),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7159),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7159),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7159),
    [anon_sym_BSLASHlabel] = ACTIONS(7159),
    [anon_sym_BSLASHref] = ACTIONS(7159),
    [anon_sym_BSLASHeqref] = ACTIONS(7159),
    [anon_sym_BSLASHvref] = ACTIONS(7159),
    [anon_sym_BSLASHVref] = ACTIONS(7159),
    [anon_sym_BSLASHautoref] = ACTIONS(7159),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHpageref] = ACTIONS(7159),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHautopageref] = ACTIONS(7159),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcref] = ACTIONS(7159),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHCref] = ACTIONS(7159),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcpageref] = ACTIONS(7159),
    [anon_sym_BSLASHCpageref] = ACTIONS(7159),
    [anon_sym_BSLASHnamecref] = ACTIONS(7159),
    [anon_sym_BSLASHnameCref] = ACTIONS(7159),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7159),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7159),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7159),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7159),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7159),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7159),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7159),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7159),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7159),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7159),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7159),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7159),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7159),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7159),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7159),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7159),
    [anon_sym_BSLASHdef] = ACTIONS(7159),
    [anon_sym_BSLASHgdef] = ACTIONS(7159),
    [anon_sym_BSLASHedef] = ACTIONS(7159),
    [anon_sym_BSLASHxdef] = ACTIONS(7159),
    [anon_sym_BSLASHlet] = ACTIONS(7159),
    [anon_sym_BSLASHglet] = ACTIONS(7159),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7159),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7159),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7159),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7159),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7159),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7159),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7159),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7159),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7159),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7159),
    [anon_sym_BSLASHgls] = ACTIONS(7159),
    [anon_sym_BSLASHGls] = ACTIONS(7159),
    [anon_sym_BSLASHGLS] = ACTIONS(7159),
    [anon_sym_BSLASHglspl] = ACTIONS(7159),
    [anon_sym_BSLASHGlspl] = ACTIONS(7159),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7159),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7159),
    [anon_sym_BSLASHglslink] = ACTIONS(7159),
    [anon_sym_BSLASHglstext] = ACTIONS(7159),
    [anon_sym_BSLASHGlstext] = ACTIONS(7159),
    [anon_sym_BSLASHGLStext] = ACTIONS(7159),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7159),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7159),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7159),
    [anon_sym_BSLASHglsplural] = ACTIONS(7159),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7159),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7159),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7159),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7159),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7159),
    [anon_sym_BSLASHglsname] = ACTIONS(7159),
    [anon_sym_BSLASHGlsname] = ACTIONS(7159),
    [anon_sym_BSLASHGLSname] = ACTIONS(7159),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7159),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7159),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7159),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7159),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7159),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7159),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7159),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7159),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7159),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7159),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7159),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7159),
    [anon_sym_BSLASHacrshort] = ACTIONS(7159),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7159),
    [anon_sym_BSLASHACRshort] = ACTIONS(7159),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHacrlong] = ACTIONS(7159),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7159),
    [anon_sym_BSLASHACRlong] = ACTIONS(7159),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7159),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7159),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7159),
    [anon_sym_BSLASHacrfull] = ACTIONS(7159),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7159),
    [anon_sym_BSLASHACRfull] = ACTIONS(7159),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHacs] = ACTIONS(7159),
    [anon_sym_BSLASHAcs] = ACTIONS(7159),
    [anon_sym_BSLASHacsp] = ACTIONS(7159),
    [anon_sym_BSLASHAcsp] = ACTIONS(7159),
    [anon_sym_BSLASHacl] = ACTIONS(7159),
    [anon_sym_BSLASHAcl] = ACTIONS(7159),
    [anon_sym_BSLASHaclp] = ACTIONS(7159),
    [anon_sym_BSLASHAclp] = ACTIONS(7159),
    [anon_sym_BSLASHacf] = ACTIONS(7159),
    [anon_sym_BSLASHAcf] = ACTIONS(7159),
    [anon_sym_BSLASHacfp] = ACTIONS(7159),
    [anon_sym_BSLASHAcfp] = ACTIONS(7159),
    [anon_sym_BSLASHac] = ACTIONS(7159),
    [anon_sym_BSLASHAc] = ACTIONS(7159),
    [anon_sym_BSLASHacp] = ACTIONS(7159),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7159),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7159),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7159),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7159),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7159),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7159),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7159),
    [anon_sym_BSLASHcolor] = ACTIONS(7159),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7159),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7159),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7159),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7159),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7159),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7159),
    [anon_sym_BSLASHurl] = ACTIONS(7159),
    [anon_sym_BSLASHhref] = ACTIONS(7159),
  },
  [1362] = {
    [sym_command_name] = ACTIONS(7547),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7547),
    [anon_sym_LBRACK] = ACTIONS(7549),
    [anon_sym_RBRACK] = ACTIONS(7549),
    [anon_sym_COMMA] = ACTIONS(7549),
    [anon_sym_EQ] = ACTIONS(7549),
    [anon_sym_LPAREN] = ACTIONS(7549),
    [anon_sym_RPAREN] = ACTIONS(7549),
    [anon_sym_BSLASHpart] = ACTIONS(7547),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHaddpart] = ACTIONS(7547),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHchapter] = ACTIONS(7547),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHaddchap] = ACTIONS(7547),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHsection] = ACTIONS(7547),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHaddsec] = ACTIONS(7547),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHsubsection] = ACTIONS(7547),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7547),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHparagraph] = ACTIONS(7547),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7547),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHitem] = ACTIONS(7547),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7549),
    [anon_sym_LBRACE] = ACTIONS(7549),
    [sym_word] = ACTIONS(7547),
    [sym_placeholder] = ACTIONS(7549),
    [sym_delimiter] = ACTIONS(7549),
    [anon_sym_PLUS] = ACTIONS(7549),
    [anon_sym_DASH] = ACTIONS(7549),
    [anon_sym_STAR] = ACTIONS(7549),
    [anon_sym_SLASH] = ACTIONS(7549),
    [anon_sym_LT] = ACTIONS(7547),
    [anon_sym_GT] = ACTIONS(7547),
    [anon_sym_BANG] = ACTIONS(7547),
    [anon_sym_PIPE] = ACTIONS(7547),
    [anon_sym_COLON] = ACTIONS(7547),
    [anon_sym_SQUOTE] = ACTIONS(7547),
    [anon_sym__] = ACTIONS(7549),
    [anon_sym_CARET] = ACTIONS(7549),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7549),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7549),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7549),
    [anon_sym_DOLLAR] = ACTIONS(7547),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7549),
    [anon_sym_BSLASHleft] = ACTIONS(7547),
    [anon_sym_BSLASHbigl] = ACTIONS(7547),
    [anon_sym_BSLASHBigl] = ACTIONS(7547),
    [anon_sym_BSLASHbiggl] = ACTIONS(7547),
    [anon_sym_BSLASHBiggl] = ACTIONS(7547),
    [anon_sym_BSLASHtext] = ACTIONS(7547),
    [anon_sym_BSLASHintertext] = ACTIONS(7547),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7547),
    [anon_sym_BSLASHbegin] = ACTIONS(7547),
    [anon_sym_BSLASHtitle] = ACTIONS(7547),
    [anon_sym_BSLASHauthor] = ACTIONS(7547),
    [anon_sym_BSLASHusepackage] = ACTIONS(7547),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7547),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7547),
    [anon_sym_BSLASHinclude] = ACTIONS(7547),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7547),
    [anon_sym_BSLASHinput] = ACTIONS(7547),
    [anon_sym_BSLASHsubfile] = ACTIONS(7547),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7547),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7547),
    [anon_sym_BSLASHbibliography] = ACTIONS(7547),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7547),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7547),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7547),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7547),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7547),
    [anon_sym_BSLASHimport] = ACTIONS(7547),
    [anon_sym_BSLASHsubimport] = ACTIONS(7547),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7547),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7547),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7547),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7547),
    [anon_sym_BSLASHcaption] = ACTIONS(7547),
    [anon_sym_BSLASHcite] = ACTIONS(7547),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCite] = ACTIONS(7547),
    [anon_sym_BSLASHnocite] = ACTIONS(7547),
    [anon_sym_BSLASHcitet] = ACTIONS(7547),
    [anon_sym_BSLASHcitep] = ACTIONS(7547),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteA] = ACTIONS(7547),
    [anon_sym_BSLASHciteR] = ACTIONS(7547),
    [anon_sym_BSLASHciteS] = ACTIONS(7547),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7547),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7547),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7547),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7547),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteyear] = ACTIONS(7547),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitedate] = ACTIONS(7547),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteurl] = ACTIONS(7547),
    [anon_sym_BSLASHfullcite] = ACTIONS(7547),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7547),
    [anon_sym_BSLASHcitealt] = ACTIONS(7547),
    [anon_sym_BSLASHcitealp] = ACTIONS(7547),
    [anon_sym_BSLASHcitetext] = ACTIONS(7547),
    [anon_sym_BSLASHparencite] = ACTIONS(7547),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHParencite] = ACTIONS(7547),
    [anon_sym_BSLASHfootcite] = ACTIONS(7547),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7547),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7547),
    [anon_sym_BSLASHtextcite] = ACTIONS(7547),
    [anon_sym_BSLASHTextcite] = ACTIONS(7547),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7547),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7547),
    [anon_sym_BSLASHsupercite] = ACTIONS(7547),
    [anon_sym_BSLASHautocite] = ACTIONS(7547),
    [anon_sym_BSLASHAutocite] = ACTIONS(7547),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHVolcite] = ACTIONS(7547),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHavolcite] = ACTIONS(7547),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHNotecite] = ACTIONS(7547),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHlabel] = ACTIONS(7547),
    [anon_sym_BSLASHref] = ACTIONS(7547),
    [anon_sym_BSLASHeqref] = ACTIONS(7547),
    [anon_sym_BSLASHvref] = ACTIONS(7547),
    [anon_sym_BSLASHVref] = ACTIONS(7547),
    [anon_sym_BSLASHautoref] = ACTIONS(7547),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHpageref] = ACTIONS(7547),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHautopageref] = ACTIONS(7547),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcref] = ACTIONS(7547),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCref] = ACTIONS(7547),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcpageref] = ACTIONS(7547),
    [anon_sym_BSLASHCpageref] = ACTIONS(7547),
    [anon_sym_BSLASHnamecref] = ACTIONS(7547),
    [anon_sym_BSLASHnameCref] = ACTIONS(7547),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7547),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7547),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7547),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7547),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7547),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7547),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7547),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7547),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7547),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7547),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7547),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHdef] = ACTIONS(7547),
    [anon_sym_BSLASHgdef] = ACTIONS(7547),
    [anon_sym_BSLASHedef] = ACTIONS(7547),
    [anon_sym_BSLASHxdef] = ACTIONS(7547),
    [anon_sym_BSLASHlet] = ACTIONS(7547),
    [anon_sym_BSLASHglet] = ACTIONS(7547),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7547),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7547),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7547),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7547),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7547),
    [anon_sym_BSLASHgls] = ACTIONS(7547),
    [anon_sym_BSLASHGls] = ACTIONS(7547),
    [anon_sym_BSLASHGLS] = ACTIONS(7547),
    [anon_sym_BSLASHglspl] = ACTIONS(7547),
    [anon_sym_BSLASHGlspl] = ACTIONS(7547),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7547),
    [anon_sym_BSLASHglslink] = ACTIONS(7547),
    [anon_sym_BSLASHglstext] = ACTIONS(7547),
    [anon_sym_BSLASHGlstext] = ACTIONS(7547),
    [anon_sym_BSLASHGLStext] = ACTIONS(7547),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7547),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7547),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7547),
    [anon_sym_BSLASHglsplural] = ACTIONS(7547),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7547),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7547),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHglsname] = ACTIONS(7547),
    [anon_sym_BSLASHGlsname] = ACTIONS(7547),
    [anon_sym_BSLASHGLSname] = ACTIONS(7547),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7547),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7547),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7547),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7547),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7547),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7547),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7547),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7547),
    [anon_sym_BSLASHacrshort] = ACTIONS(7547),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7547),
    [anon_sym_BSLASHACRshort] = ACTIONS(7547),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHacrlong] = ACTIONS(7547),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7547),
    [anon_sym_BSLASHACRlong] = ACTIONS(7547),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHacrfull] = ACTIONS(7547),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7547),
    [anon_sym_BSLASHACRfull] = ACTIONS(7547),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHacs] = ACTIONS(7547),
    [anon_sym_BSLASHAcs] = ACTIONS(7547),
    [anon_sym_BSLASHacsp] = ACTIONS(7547),
    [anon_sym_BSLASHAcsp] = ACTIONS(7547),
    [anon_sym_BSLASHacl] = ACTIONS(7547),
    [anon_sym_BSLASHAcl] = ACTIONS(7547),
    [anon_sym_BSLASHaclp] = ACTIONS(7547),
    [anon_sym_BSLASHAclp] = ACTIONS(7547),
    [anon_sym_BSLASHacf] = ACTIONS(7547),
    [anon_sym_BSLASHAcf] = ACTIONS(7547),
    [anon_sym_BSLASHacfp] = ACTIONS(7547),
    [anon_sym_BSLASHAcfp] = ACTIONS(7547),
    [anon_sym_BSLASHac] = ACTIONS(7547),
    [anon_sym_BSLASHAc] = ACTIONS(7547),
    [anon_sym_BSLASHacp] = ACTIONS(7547),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7547),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7547),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7547),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7547),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7547),
    [anon_sym_BSLASHcolor] = ACTIONS(7547),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7547),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7547),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7547),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7547),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7547),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7547),
    [anon_sym_BSLASHurl] = ACTIONS(7547),
    [anon_sym_BSLASHhref] = ACTIONS(7547),
  },
  [1363] = {
    [sym_command_name] = ACTIONS(7371),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7371),
    [anon_sym_LBRACK] = ACTIONS(7373),
    [anon_sym_RBRACK] = ACTIONS(7373),
    [anon_sym_COMMA] = ACTIONS(7373),
    [anon_sym_EQ] = ACTIONS(7373),
    [anon_sym_LPAREN] = ACTIONS(7373),
    [anon_sym_RPAREN] = ACTIONS(7373),
    [anon_sym_BSLASHpart] = ACTIONS(7371),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHaddpart] = ACTIONS(7371),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHchapter] = ACTIONS(7371),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHaddchap] = ACTIONS(7371),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHsection] = ACTIONS(7371),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHaddsec] = ACTIONS(7371),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHsubsection] = ACTIONS(7371),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7371),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHparagraph] = ACTIONS(7371),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7371),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHitem] = ACTIONS(7371),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7373),
    [anon_sym_LBRACE] = ACTIONS(7373),
    [sym_word] = ACTIONS(7371),
    [sym_placeholder] = ACTIONS(7373),
    [sym_delimiter] = ACTIONS(7373),
    [anon_sym_PLUS] = ACTIONS(7373),
    [anon_sym_DASH] = ACTIONS(7373),
    [anon_sym_STAR] = ACTIONS(7373),
    [anon_sym_SLASH] = ACTIONS(7373),
    [anon_sym_LT] = ACTIONS(7371),
    [anon_sym_GT] = ACTIONS(7371),
    [anon_sym_BANG] = ACTIONS(7371),
    [anon_sym_PIPE] = ACTIONS(7371),
    [anon_sym_COLON] = ACTIONS(7371),
    [anon_sym_SQUOTE] = ACTIONS(7371),
    [anon_sym__] = ACTIONS(7373),
    [anon_sym_CARET] = ACTIONS(7373),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7373),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7373),
    [anon_sym_DOLLAR] = ACTIONS(7371),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7373),
    [anon_sym_BSLASHleft] = ACTIONS(7371),
    [anon_sym_BSLASHbigl] = ACTIONS(7371),
    [anon_sym_BSLASHBigl] = ACTIONS(7371),
    [anon_sym_BSLASHbiggl] = ACTIONS(7371),
    [anon_sym_BSLASHBiggl] = ACTIONS(7371),
    [anon_sym_BSLASHtext] = ACTIONS(7371),
    [anon_sym_BSLASHintertext] = ACTIONS(7371),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7371),
    [anon_sym_BSLASHbegin] = ACTIONS(7371),
    [anon_sym_BSLASHend] = ACTIONS(7371),
    [anon_sym_BSLASHtitle] = ACTIONS(7371),
    [anon_sym_BSLASHauthor] = ACTIONS(7371),
    [anon_sym_BSLASHusepackage] = ACTIONS(7371),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7371),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7371),
    [anon_sym_BSLASHinclude] = ACTIONS(7371),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7371),
    [anon_sym_BSLASHinput] = ACTIONS(7371),
    [anon_sym_BSLASHsubfile] = ACTIONS(7371),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7371),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7371),
    [anon_sym_BSLASHbibliography] = ACTIONS(7371),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7371),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7371),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7371),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7371),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7371),
    [anon_sym_BSLASHimport] = ACTIONS(7371),
    [anon_sym_BSLASHsubimport] = ACTIONS(7371),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7371),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7371),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7371),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7371),
    [anon_sym_BSLASHcaption] = ACTIONS(7371),
    [anon_sym_BSLASHcite] = ACTIONS(7371),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCite] = ACTIONS(7371),
    [anon_sym_BSLASHnocite] = ACTIONS(7371),
    [anon_sym_BSLASHcitet] = ACTIONS(7371),
    [anon_sym_BSLASHcitep] = ACTIONS(7371),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteA] = ACTIONS(7371),
    [anon_sym_BSLASHciteR] = ACTIONS(7371),
    [anon_sym_BSLASHciteS] = ACTIONS(7371),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7371),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7371),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7371),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7371),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteyear] = ACTIONS(7371),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitedate] = ACTIONS(7371),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteurl] = ACTIONS(7371),
    [anon_sym_BSLASHfullcite] = ACTIONS(7371),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7371),
    [anon_sym_BSLASHcitealt] = ACTIONS(7371),
    [anon_sym_BSLASHcitealp] = ACTIONS(7371),
    [anon_sym_BSLASHcitetext] = ACTIONS(7371),
    [anon_sym_BSLASHparencite] = ACTIONS(7371),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHParencite] = ACTIONS(7371),
    [anon_sym_BSLASHfootcite] = ACTIONS(7371),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7371),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7371),
    [anon_sym_BSLASHtextcite] = ACTIONS(7371),
    [anon_sym_BSLASHTextcite] = ACTIONS(7371),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7371),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7371),
    [anon_sym_BSLASHsupercite] = ACTIONS(7371),
    [anon_sym_BSLASHautocite] = ACTIONS(7371),
    [anon_sym_BSLASHAutocite] = ACTIONS(7371),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHVolcite] = ACTIONS(7371),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHavolcite] = ACTIONS(7371),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHNotecite] = ACTIONS(7371),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHlabel] = ACTIONS(7371),
    [anon_sym_BSLASHref] = ACTIONS(7371),
    [anon_sym_BSLASHeqref] = ACTIONS(7371),
    [anon_sym_BSLASHvref] = ACTIONS(7371),
    [anon_sym_BSLASHVref] = ACTIONS(7371),
    [anon_sym_BSLASHautoref] = ACTIONS(7371),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHpageref] = ACTIONS(7371),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHautopageref] = ACTIONS(7371),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcref] = ACTIONS(7371),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCref] = ACTIONS(7371),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcpageref] = ACTIONS(7371),
    [anon_sym_BSLASHCpageref] = ACTIONS(7371),
    [anon_sym_BSLASHnamecref] = ACTIONS(7371),
    [anon_sym_BSLASHnameCref] = ACTIONS(7371),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7371),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7371),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7371),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7371),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7371),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7371),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7371),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7371),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7371),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7371),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7371),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHdef] = ACTIONS(7371),
    [anon_sym_BSLASHgdef] = ACTIONS(7371),
    [anon_sym_BSLASHedef] = ACTIONS(7371),
    [anon_sym_BSLASHxdef] = ACTIONS(7371),
    [anon_sym_BSLASHlet] = ACTIONS(7371),
    [anon_sym_BSLASHglet] = ACTIONS(7371),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7371),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7371),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7371),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7371),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7371),
    [anon_sym_BSLASHgls] = ACTIONS(7371),
    [anon_sym_BSLASHGls] = ACTIONS(7371),
    [anon_sym_BSLASHGLS] = ACTIONS(7371),
    [anon_sym_BSLASHglspl] = ACTIONS(7371),
    [anon_sym_BSLASHGlspl] = ACTIONS(7371),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7371),
    [anon_sym_BSLASHglslink] = ACTIONS(7371),
    [anon_sym_BSLASHglstext] = ACTIONS(7371),
    [anon_sym_BSLASHGlstext] = ACTIONS(7371),
    [anon_sym_BSLASHGLStext] = ACTIONS(7371),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7371),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7371),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7371),
    [anon_sym_BSLASHglsplural] = ACTIONS(7371),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7371),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7371),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHglsname] = ACTIONS(7371),
    [anon_sym_BSLASHGlsname] = ACTIONS(7371),
    [anon_sym_BSLASHGLSname] = ACTIONS(7371),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7371),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7371),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7371),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7371),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7371),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7371),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7371),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7371),
    [anon_sym_BSLASHacrshort] = ACTIONS(7371),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7371),
    [anon_sym_BSLASHACRshort] = ACTIONS(7371),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHacrlong] = ACTIONS(7371),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7371),
    [anon_sym_BSLASHACRlong] = ACTIONS(7371),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHacrfull] = ACTIONS(7371),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7371),
    [anon_sym_BSLASHACRfull] = ACTIONS(7371),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHacs] = ACTIONS(7371),
    [anon_sym_BSLASHAcs] = ACTIONS(7371),
    [anon_sym_BSLASHacsp] = ACTIONS(7371),
    [anon_sym_BSLASHAcsp] = ACTIONS(7371),
    [anon_sym_BSLASHacl] = ACTIONS(7371),
    [anon_sym_BSLASHAcl] = ACTIONS(7371),
    [anon_sym_BSLASHaclp] = ACTIONS(7371),
    [anon_sym_BSLASHAclp] = ACTIONS(7371),
    [anon_sym_BSLASHacf] = ACTIONS(7371),
    [anon_sym_BSLASHAcf] = ACTIONS(7371),
    [anon_sym_BSLASHacfp] = ACTIONS(7371),
    [anon_sym_BSLASHAcfp] = ACTIONS(7371),
    [anon_sym_BSLASHac] = ACTIONS(7371),
    [anon_sym_BSLASHAc] = ACTIONS(7371),
    [anon_sym_BSLASHacp] = ACTIONS(7371),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7371),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7371),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7371),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7371),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7371),
    [anon_sym_BSLASHcolor] = ACTIONS(7371),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7371),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7371),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7371),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7371),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7371),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7371),
    [anon_sym_BSLASHurl] = ACTIONS(7371),
    [anon_sym_BSLASHhref] = ACTIONS(7371),
  },
  [1364] = {
    [sym_command_name] = ACTIONS(7163),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7163),
    [anon_sym_LBRACK] = ACTIONS(7165),
    [anon_sym_RBRACK] = ACTIONS(7165),
    [anon_sym_COMMA] = ACTIONS(7165),
    [anon_sym_EQ] = ACTIONS(7165),
    [anon_sym_LPAREN] = ACTIONS(7165),
    [anon_sym_RPAREN] = ACTIONS(7165),
    [anon_sym_BSLASHpart] = ACTIONS(7163),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHaddpart] = ACTIONS(7163),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHchapter] = ACTIONS(7163),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHaddchap] = ACTIONS(7163),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHsection] = ACTIONS(7163),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHaddsec] = ACTIONS(7163),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHsubsection] = ACTIONS(7163),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7163),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHparagraph] = ACTIONS(7163),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7163),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHitem] = ACTIONS(7163),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7165),
    [anon_sym_LBRACE] = ACTIONS(7165),
    [sym_word] = ACTIONS(7163),
    [sym_placeholder] = ACTIONS(7165),
    [sym_delimiter] = ACTIONS(7165),
    [anon_sym_PLUS] = ACTIONS(7165),
    [anon_sym_DASH] = ACTIONS(7165),
    [anon_sym_STAR] = ACTIONS(7165),
    [anon_sym_SLASH] = ACTIONS(7165),
    [anon_sym_LT] = ACTIONS(7163),
    [anon_sym_GT] = ACTIONS(7163),
    [anon_sym_BANG] = ACTIONS(7163),
    [anon_sym_PIPE] = ACTIONS(7163),
    [anon_sym_COLON] = ACTIONS(7163),
    [anon_sym_SQUOTE] = ACTIONS(7163),
    [anon_sym__] = ACTIONS(7165),
    [anon_sym_CARET] = ACTIONS(7165),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7165),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7165),
    [anon_sym_DOLLAR] = ACTIONS(7163),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7165),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7165),
    [anon_sym_BSLASHleft] = ACTIONS(7163),
    [anon_sym_BSLASHbigl] = ACTIONS(7163),
    [anon_sym_BSLASHBigl] = ACTIONS(7163),
    [anon_sym_BSLASHbiggl] = ACTIONS(7163),
    [anon_sym_BSLASHBiggl] = ACTIONS(7163),
    [anon_sym_BSLASHtext] = ACTIONS(7163),
    [anon_sym_BSLASHintertext] = ACTIONS(7163),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7163),
    [anon_sym_BSLASHbegin] = ACTIONS(7163),
    [anon_sym_BSLASHtitle] = ACTIONS(7163),
    [anon_sym_BSLASHauthor] = ACTIONS(7163),
    [anon_sym_BSLASHusepackage] = ACTIONS(7163),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7163),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7163),
    [anon_sym_BSLASHinclude] = ACTIONS(7163),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7163),
    [anon_sym_BSLASHinput] = ACTIONS(7163),
    [anon_sym_BSLASHsubfile] = ACTIONS(7163),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7163),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7163),
    [anon_sym_BSLASHbibliography] = ACTIONS(7163),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7163),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7163),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7163),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7163),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7163),
    [anon_sym_BSLASHimport] = ACTIONS(7163),
    [anon_sym_BSLASHsubimport] = ACTIONS(7163),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7163),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7163),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7163),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7163),
    [anon_sym_BSLASHcaption] = ACTIONS(7163),
    [anon_sym_BSLASHcite] = ACTIONS(7163),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHCite] = ACTIONS(7163),
    [anon_sym_BSLASHnocite] = ACTIONS(7163),
    [anon_sym_BSLASHcitet] = ACTIONS(7163),
    [anon_sym_BSLASHcitep] = ACTIONS(7163),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHciteA] = ACTIONS(7163),
    [anon_sym_BSLASHciteR] = ACTIONS(7163),
    [anon_sym_BSLASHciteS] = ACTIONS(7163),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7163),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7163),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7163),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7163),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHciteyear] = ACTIONS(7163),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcitedate] = ACTIONS(7163),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHciteurl] = ACTIONS(7163),
    [anon_sym_BSLASHfullcite] = ACTIONS(7163),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7163),
    [anon_sym_BSLASHcitealt] = ACTIONS(7163),
    [anon_sym_BSLASHcitealp] = ACTIONS(7163),
    [anon_sym_BSLASHcitetext] = ACTIONS(7163),
    [anon_sym_BSLASHparencite] = ACTIONS(7163),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHParencite] = ACTIONS(7163),
    [anon_sym_BSLASHfootcite] = ACTIONS(7163),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7163),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7163),
    [anon_sym_BSLASHtextcite] = ACTIONS(7163),
    [anon_sym_BSLASHTextcite] = ACTIONS(7163),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7163),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7163),
    [anon_sym_BSLASHsupercite] = ACTIONS(7163),
    [anon_sym_BSLASHautocite] = ACTIONS(7163),
    [anon_sym_BSLASHAutocite] = ACTIONS(7163),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHVolcite] = ACTIONS(7163),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHavolcite] = ACTIONS(7163),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHnotecite] = ACTIONS(7163),
    [anon_sym_BSLASHNotecite] = ACTIONS(7163),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7163),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7163),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7163),
    [anon_sym_BSLASHlabel] = ACTIONS(7163),
    [anon_sym_BSLASHref] = ACTIONS(7163),
    [anon_sym_BSLASHeqref] = ACTIONS(7163),
    [anon_sym_BSLASHvref] = ACTIONS(7163),
    [anon_sym_BSLASHVref] = ACTIONS(7163),
    [anon_sym_BSLASHautoref] = ACTIONS(7163),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHpageref] = ACTIONS(7163),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHautopageref] = ACTIONS(7163),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcref] = ACTIONS(7163),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHCref] = ACTIONS(7163),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcpageref] = ACTIONS(7163),
    [anon_sym_BSLASHCpageref] = ACTIONS(7163),
    [anon_sym_BSLASHnamecref] = ACTIONS(7163),
    [anon_sym_BSLASHnameCref] = ACTIONS(7163),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7163),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7163),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7163),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7163),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7163),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7163),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7163),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7163),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7163),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7163),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7163),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7163),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7163),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7163),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7163),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7163),
    [anon_sym_BSLASHdef] = ACTIONS(7163),
    [anon_sym_BSLASHgdef] = ACTIONS(7163),
    [anon_sym_BSLASHedef] = ACTIONS(7163),
    [anon_sym_BSLASHxdef] = ACTIONS(7163),
    [anon_sym_BSLASHlet] = ACTIONS(7163),
    [anon_sym_BSLASHglet] = ACTIONS(7163),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7163),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7163),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7163),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7163),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7163),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7163),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7163),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7163),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7163),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7163),
    [anon_sym_BSLASHgls] = ACTIONS(7163),
    [anon_sym_BSLASHGls] = ACTIONS(7163),
    [anon_sym_BSLASHGLS] = ACTIONS(7163),
    [anon_sym_BSLASHglspl] = ACTIONS(7163),
    [anon_sym_BSLASHGlspl] = ACTIONS(7163),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7163),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7163),
    [anon_sym_BSLASHglslink] = ACTIONS(7163),
    [anon_sym_BSLASHglstext] = ACTIONS(7163),
    [anon_sym_BSLASHGlstext] = ACTIONS(7163),
    [anon_sym_BSLASHGLStext] = ACTIONS(7163),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7163),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7163),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7163),
    [anon_sym_BSLASHglsplural] = ACTIONS(7163),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7163),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7163),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7163),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7163),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7163),
    [anon_sym_BSLASHglsname] = ACTIONS(7163),
    [anon_sym_BSLASHGlsname] = ACTIONS(7163),
    [anon_sym_BSLASHGLSname] = ACTIONS(7163),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7163),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7163),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7163),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7163),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7163),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7163),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7163),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7163),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7163),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7163),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7163),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7163),
    [anon_sym_BSLASHacrshort] = ACTIONS(7163),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7163),
    [anon_sym_BSLASHACRshort] = ACTIONS(7163),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHacrlong] = ACTIONS(7163),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7163),
    [anon_sym_BSLASHACRlong] = ACTIONS(7163),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7163),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7163),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7163),
    [anon_sym_BSLASHacrfull] = ACTIONS(7163),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7163),
    [anon_sym_BSLASHACRfull] = ACTIONS(7163),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHacs] = ACTIONS(7163),
    [anon_sym_BSLASHAcs] = ACTIONS(7163),
    [anon_sym_BSLASHacsp] = ACTIONS(7163),
    [anon_sym_BSLASHAcsp] = ACTIONS(7163),
    [anon_sym_BSLASHacl] = ACTIONS(7163),
    [anon_sym_BSLASHAcl] = ACTIONS(7163),
    [anon_sym_BSLASHaclp] = ACTIONS(7163),
    [anon_sym_BSLASHAclp] = ACTIONS(7163),
    [anon_sym_BSLASHacf] = ACTIONS(7163),
    [anon_sym_BSLASHAcf] = ACTIONS(7163),
    [anon_sym_BSLASHacfp] = ACTIONS(7163),
    [anon_sym_BSLASHAcfp] = ACTIONS(7163),
    [anon_sym_BSLASHac] = ACTIONS(7163),
    [anon_sym_BSLASHAc] = ACTIONS(7163),
    [anon_sym_BSLASHacp] = ACTIONS(7163),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7163),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7163),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7163),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7163),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7163),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7163),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7163),
    [anon_sym_BSLASHcolor] = ACTIONS(7163),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7163),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7163),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7163),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7163),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7163),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7163),
    [anon_sym_BSLASHurl] = ACTIONS(7163),
    [anon_sym_BSLASHhref] = ACTIONS(7163),
  },
  [1365] = {
    [sym_command_name] = ACTIONS(7551),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7551),
    [anon_sym_LBRACK] = ACTIONS(7553),
    [anon_sym_RBRACK] = ACTIONS(7553),
    [anon_sym_COMMA] = ACTIONS(7553),
    [anon_sym_EQ] = ACTIONS(7553),
    [anon_sym_LPAREN] = ACTIONS(7553),
    [anon_sym_RPAREN] = ACTIONS(7553),
    [anon_sym_BSLASHpart] = ACTIONS(7551),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHaddpart] = ACTIONS(7551),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHchapter] = ACTIONS(7551),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHaddchap] = ACTIONS(7551),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHsection] = ACTIONS(7551),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHaddsec] = ACTIONS(7551),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHsubsection] = ACTIONS(7551),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7551),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHparagraph] = ACTIONS(7551),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7551),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHitem] = ACTIONS(7551),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7553),
    [anon_sym_LBRACE] = ACTIONS(7553),
    [sym_word] = ACTIONS(7551),
    [sym_placeholder] = ACTIONS(7553),
    [sym_delimiter] = ACTIONS(7553),
    [anon_sym_PLUS] = ACTIONS(7553),
    [anon_sym_DASH] = ACTIONS(7553),
    [anon_sym_STAR] = ACTIONS(7553),
    [anon_sym_SLASH] = ACTIONS(7553),
    [anon_sym_LT] = ACTIONS(7551),
    [anon_sym_GT] = ACTIONS(7551),
    [anon_sym_BANG] = ACTIONS(7551),
    [anon_sym_PIPE] = ACTIONS(7551),
    [anon_sym_COLON] = ACTIONS(7551),
    [anon_sym_SQUOTE] = ACTIONS(7551),
    [anon_sym__] = ACTIONS(7553),
    [anon_sym_CARET] = ACTIONS(7553),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7553),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7553),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7553),
    [anon_sym_DOLLAR] = ACTIONS(7551),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7553),
    [anon_sym_BSLASHleft] = ACTIONS(7551),
    [anon_sym_BSLASHbigl] = ACTIONS(7551),
    [anon_sym_BSLASHBigl] = ACTIONS(7551),
    [anon_sym_BSLASHbiggl] = ACTIONS(7551),
    [anon_sym_BSLASHBiggl] = ACTIONS(7551),
    [anon_sym_BSLASHtext] = ACTIONS(7551),
    [anon_sym_BSLASHintertext] = ACTIONS(7551),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7551),
    [anon_sym_BSLASHbegin] = ACTIONS(7551),
    [anon_sym_BSLASHtitle] = ACTIONS(7551),
    [anon_sym_BSLASHauthor] = ACTIONS(7551),
    [anon_sym_BSLASHusepackage] = ACTIONS(7551),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7551),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7551),
    [anon_sym_BSLASHinclude] = ACTIONS(7551),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7551),
    [anon_sym_BSLASHinput] = ACTIONS(7551),
    [anon_sym_BSLASHsubfile] = ACTIONS(7551),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7551),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7551),
    [anon_sym_BSLASHbibliography] = ACTIONS(7551),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7551),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7551),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7551),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7551),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7551),
    [anon_sym_BSLASHimport] = ACTIONS(7551),
    [anon_sym_BSLASHsubimport] = ACTIONS(7551),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7551),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7551),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7551),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7551),
    [anon_sym_BSLASHcaption] = ACTIONS(7551),
    [anon_sym_BSLASHcite] = ACTIONS(7551),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCite] = ACTIONS(7551),
    [anon_sym_BSLASHnocite] = ACTIONS(7551),
    [anon_sym_BSLASHcitet] = ACTIONS(7551),
    [anon_sym_BSLASHcitep] = ACTIONS(7551),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteA] = ACTIONS(7551),
    [anon_sym_BSLASHciteR] = ACTIONS(7551),
    [anon_sym_BSLASHciteS] = ACTIONS(7551),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7551),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7551),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7551),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7551),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteyear] = ACTIONS(7551),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitedate] = ACTIONS(7551),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteurl] = ACTIONS(7551),
    [anon_sym_BSLASHfullcite] = ACTIONS(7551),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7551),
    [anon_sym_BSLASHcitealt] = ACTIONS(7551),
    [anon_sym_BSLASHcitealp] = ACTIONS(7551),
    [anon_sym_BSLASHcitetext] = ACTIONS(7551),
    [anon_sym_BSLASHparencite] = ACTIONS(7551),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHParencite] = ACTIONS(7551),
    [anon_sym_BSLASHfootcite] = ACTIONS(7551),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7551),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7551),
    [anon_sym_BSLASHtextcite] = ACTIONS(7551),
    [anon_sym_BSLASHTextcite] = ACTIONS(7551),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7551),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7551),
    [anon_sym_BSLASHsupercite] = ACTIONS(7551),
    [anon_sym_BSLASHautocite] = ACTIONS(7551),
    [anon_sym_BSLASHAutocite] = ACTIONS(7551),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHVolcite] = ACTIONS(7551),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHavolcite] = ACTIONS(7551),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHNotecite] = ACTIONS(7551),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHlabel] = ACTIONS(7551),
    [anon_sym_BSLASHref] = ACTIONS(7551),
    [anon_sym_BSLASHeqref] = ACTIONS(7551),
    [anon_sym_BSLASHvref] = ACTIONS(7551),
    [anon_sym_BSLASHVref] = ACTIONS(7551),
    [anon_sym_BSLASHautoref] = ACTIONS(7551),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHpageref] = ACTIONS(7551),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHautopageref] = ACTIONS(7551),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcref] = ACTIONS(7551),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCref] = ACTIONS(7551),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcpageref] = ACTIONS(7551),
    [anon_sym_BSLASHCpageref] = ACTIONS(7551),
    [anon_sym_BSLASHnamecref] = ACTIONS(7551),
    [anon_sym_BSLASHnameCref] = ACTIONS(7551),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7551),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7551),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7551),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7551),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7551),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7551),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7551),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7551),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7551),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7551),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7551),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHdef] = ACTIONS(7551),
    [anon_sym_BSLASHgdef] = ACTIONS(7551),
    [anon_sym_BSLASHedef] = ACTIONS(7551),
    [anon_sym_BSLASHxdef] = ACTIONS(7551),
    [anon_sym_BSLASHlet] = ACTIONS(7551),
    [anon_sym_BSLASHglet] = ACTIONS(7551),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7551),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7551),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7551),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7551),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7551),
    [anon_sym_BSLASHgls] = ACTIONS(7551),
    [anon_sym_BSLASHGls] = ACTIONS(7551),
    [anon_sym_BSLASHGLS] = ACTIONS(7551),
    [anon_sym_BSLASHglspl] = ACTIONS(7551),
    [anon_sym_BSLASHGlspl] = ACTIONS(7551),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7551),
    [anon_sym_BSLASHglslink] = ACTIONS(7551),
    [anon_sym_BSLASHglstext] = ACTIONS(7551),
    [anon_sym_BSLASHGlstext] = ACTIONS(7551),
    [anon_sym_BSLASHGLStext] = ACTIONS(7551),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7551),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7551),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7551),
    [anon_sym_BSLASHglsplural] = ACTIONS(7551),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7551),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7551),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHglsname] = ACTIONS(7551),
    [anon_sym_BSLASHGlsname] = ACTIONS(7551),
    [anon_sym_BSLASHGLSname] = ACTIONS(7551),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7551),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7551),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7551),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7551),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7551),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7551),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7551),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7551),
    [anon_sym_BSLASHacrshort] = ACTIONS(7551),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7551),
    [anon_sym_BSLASHACRshort] = ACTIONS(7551),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHacrlong] = ACTIONS(7551),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7551),
    [anon_sym_BSLASHACRlong] = ACTIONS(7551),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHacrfull] = ACTIONS(7551),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7551),
    [anon_sym_BSLASHACRfull] = ACTIONS(7551),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHacs] = ACTIONS(7551),
    [anon_sym_BSLASHAcs] = ACTIONS(7551),
    [anon_sym_BSLASHacsp] = ACTIONS(7551),
    [anon_sym_BSLASHAcsp] = ACTIONS(7551),
    [anon_sym_BSLASHacl] = ACTIONS(7551),
    [anon_sym_BSLASHAcl] = ACTIONS(7551),
    [anon_sym_BSLASHaclp] = ACTIONS(7551),
    [anon_sym_BSLASHAclp] = ACTIONS(7551),
    [anon_sym_BSLASHacf] = ACTIONS(7551),
    [anon_sym_BSLASHAcf] = ACTIONS(7551),
    [anon_sym_BSLASHacfp] = ACTIONS(7551),
    [anon_sym_BSLASHAcfp] = ACTIONS(7551),
    [anon_sym_BSLASHac] = ACTIONS(7551),
    [anon_sym_BSLASHAc] = ACTIONS(7551),
    [anon_sym_BSLASHacp] = ACTIONS(7551),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7551),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7551),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7551),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7551),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7551),
    [anon_sym_BSLASHcolor] = ACTIONS(7551),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7551),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7551),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7551),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7551),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7551),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7551),
    [anon_sym_BSLASHurl] = ACTIONS(7551),
    [anon_sym_BSLASHhref] = ACTIONS(7551),
  },
  [1366] = {
    [sym_command_name] = ACTIONS(7555),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7555),
    [anon_sym_LBRACK] = ACTIONS(7557),
    [anon_sym_RBRACK] = ACTIONS(7557),
    [anon_sym_COMMA] = ACTIONS(7557),
    [anon_sym_EQ] = ACTIONS(7557),
    [anon_sym_LPAREN] = ACTIONS(7557),
    [anon_sym_RPAREN] = ACTIONS(7557),
    [anon_sym_BSLASHpart] = ACTIONS(7555),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHaddpart] = ACTIONS(7555),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHchapter] = ACTIONS(7555),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHaddchap] = ACTIONS(7555),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHsection] = ACTIONS(7555),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHaddsec] = ACTIONS(7555),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHsubsection] = ACTIONS(7555),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7555),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHparagraph] = ACTIONS(7555),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7555),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHitem] = ACTIONS(7555),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7557),
    [anon_sym_LBRACE] = ACTIONS(7557),
    [sym_word] = ACTIONS(7555),
    [sym_placeholder] = ACTIONS(7557),
    [sym_delimiter] = ACTIONS(7557),
    [anon_sym_PLUS] = ACTIONS(7557),
    [anon_sym_DASH] = ACTIONS(7557),
    [anon_sym_STAR] = ACTIONS(7557),
    [anon_sym_SLASH] = ACTIONS(7557),
    [anon_sym_LT] = ACTIONS(7555),
    [anon_sym_GT] = ACTIONS(7555),
    [anon_sym_BANG] = ACTIONS(7555),
    [anon_sym_PIPE] = ACTIONS(7555),
    [anon_sym_COLON] = ACTIONS(7555),
    [anon_sym_SQUOTE] = ACTIONS(7555),
    [anon_sym__] = ACTIONS(7557),
    [anon_sym_CARET] = ACTIONS(7557),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7557),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7557),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7557),
    [anon_sym_DOLLAR] = ACTIONS(7555),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7557),
    [anon_sym_BSLASHleft] = ACTIONS(7555),
    [anon_sym_BSLASHbigl] = ACTIONS(7555),
    [anon_sym_BSLASHBigl] = ACTIONS(7555),
    [anon_sym_BSLASHbiggl] = ACTIONS(7555),
    [anon_sym_BSLASHBiggl] = ACTIONS(7555),
    [anon_sym_BSLASHtext] = ACTIONS(7555),
    [anon_sym_BSLASHintertext] = ACTIONS(7555),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7555),
    [anon_sym_BSLASHbegin] = ACTIONS(7555),
    [anon_sym_BSLASHtitle] = ACTIONS(7555),
    [anon_sym_BSLASHauthor] = ACTIONS(7555),
    [anon_sym_BSLASHusepackage] = ACTIONS(7555),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7555),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7555),
    [anon_sym_BSLASHinclude] = ACTIONS(7555),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7555),
    [anon_sym_BSLASHinput] = ACTIONS(7555),
    [anon_sym_BSLASHsubfile] = ACTIONS(7555),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7555),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7555),
    [anon_sym_BSLASHbibliography] = ACTIONS(7555),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7555),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7555),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7555),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7555),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7555),
    [anon_sym_BSLASHimport] = ACTIONS(7555),
    [anon_sym_BSLASHsubimport] = ACTIONS(7555),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7555),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7555),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7555),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7555),
    [anon_sym_BSLASHcaption] = ACTIONS(7555),
    [anon_sym_BSLASHcite] = ACTIONS(7555),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCite] = ACTIONS(7555),
    [anon_sym_BSLASHnocite] = ACTIONS(7555),
    [anon_sym_BSLASHcitet] = ACTIONS(7555),
    [anon_sym_BSLASHcitep] = ACTIONS(7555),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteA] = ACTIONS(7555),
    [anon_sym_BSLASHciteR] = ACTIONS(7555),
    [anon_sym_BSLASHciteS] = ACTIONS(7555),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7555),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7555),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7555),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7555),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteyear] = ACTIONS(7555),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitedate] = ACTIONS(7555),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteurl] = ACTIONS(7555),
    [anon_sym_BSLASHfullcite] = ACTIONS(7555),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7555),
    [anon_sym_BSLASHcitealt] = ACTIONS(7555),
    [anon_sym_BSLASHcitealp] = ACTIONS(7555),
    [anon_sym_BSLASHcitetext] = ACTIONS(7555),
    [anon_sym_BSLASHparencite] = ACTIONS(7555),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHParencite] = ACTIONS(7555),
    [anon_sym_BSLASHfootcite] = ACTIONS(7555),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7555),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7555),
    [anon_sym_BSLASHtextcite] = ACTIONS(7555),
    [anon_sym_BSLASHTextcite] = ACTIONS(7555),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7555),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7555),
    [anon_sym_BSLASHsupercite] = ACTIONS(7555),
    [anon_sym_BSLASHautocite] = ACTIONS(7555),
    [anon_sym_BSLASHAutocite] = ACTIONS(7555),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHVolcite] = ACTIONS(7555),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHavolcite] = ACTIONS(7555),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHNotecite] = ACTIONS(7555),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHlabel] = ACTIONS(7555),
    [anon_sym_BSLASHref] = ACTIONS(7555),
    [anon_sym_BSLASHeqref] = ACTIONS(7555),
    [anon_sym_BSLASHvref] = ACTIONS(7555),
    [anon_sym_BSLASHVref] = ACTIONS(7555),
    [anon_sym_BSLASHautoref] = ACTIONS(7555),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHpageref] = ACTIONS(7555),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHautopageref] = ACTIONS(7555),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcref] = ACTIONS(7555),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCref] = ACTIONS(7555),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcpageref] = ACTIONS(7555),
    [anon_sym_BSLASHCpageref] = ACTIONS(7555),
    [anon_sym_BSLASHnamecref] = ACTIONS(7555),
    [anon_sym_BSLASHnameCref] = ACTIONS(7555),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7555),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7555),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7555),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7555),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7555),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7555),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7555),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7555),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7555),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7555),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7555),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHdef] = ACTIONS(7555),
    [anon_sym_BSLASHgdef] = ACTIONS(7555),
    [anon_sym_BSLASHedef] = ACTIONS(7555),
    [anon_sym_BSLASHxdef] = ACTIONS(7555),
    [anon_sym_BSLASHlet] = ACTIONS(7555),
    [anon_sym_BSLASHglet] = ACTIONS(7555),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7555),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7555),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7555),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7555),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7555),
    [anon_sym_BSLASHgls] = ACTIONS(7555),
    [anon_sym_BSLASHGls] = ACTIONS(7555),
    [anon_sym_BSLASHGLS] = ACTIONS(7555),
    [anon_sym_BSLASHglspl] = ACTIONS(7555),
    [anon_sym_BSLASHGlspl] = ACTIONS(7555),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7555),
    [anon_sym_BSLASHglslink] = ACTIONS(7555),
    [anon_sym_BSLASHglstext] = ACTIONS(7555),
    [anon_sym_BSLASHGlstext] = ACTIONS(7555),
    [anon_sym_BSLASHGLStext] = ACTIONS(7555),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7555),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7555),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7555),
    [anon_sym_BSLASHglsplural] = ACTIONS(7555),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7555),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7555),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHglsname] = ACTIONS(7555),
    [anon_sym_BSLASHGlsname] = ACTIONS(7555),
    [anon_sym_BSLASHGLSname] = ACTIONS(7555),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7555),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7555),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7555),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7555),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7555),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7555),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7555),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7555),
    [anon_sym_BSLASHacrshort] = ACTIONS(7555),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7555),
    [anon_sym_BSLASHACRshort] = ACTIONS(7555),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHacrlong] = ACTIONS(7555),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7555),
    [anon_sym_BSLASHACRlong] = ACTIONS(7555),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHacrfull] = ACTIONS(7555),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7555),
    [anon_sym_BSLASHACRfull] = ACTIONS(7555),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHacs] = ACTIONS(7555),
    [anon_sym_BSLASHAcs] = ACTIONS(7555),
    [anon_sym_BSLASHacsp] = ACTIONS(7555),
    [anon_sym_BSLASHAcsp] = ACTIONS(7555),
    [anon_sym_BSLASHacl] = ACTIONS(7555),
    [anon_sym_BSLASHAcl] = ACTIONS(7555),
    [anon_sym_BSLASHaclp] = ACTIONS(7555),
    [anon_sym_BSLASHAclp] = ACTIONS(7555),
    [anon_sym_BSLASHacf] = ACTIONS(7555),
    [anon_sym_BSLASHAcf] = ACTIONS(7555),
    [anon_sym_BSLASHacfp] = ACTIONS(7555),
    [anon_sym_BSLASHAcfp] = ACTIONS(7555),
    [anon_sym_BSLASHac] = ACTIONS(7555),
    [anon_sym_BSLASHAc] = ACTIONS(7555),
    [anon_sym_BSLASHacp] = ACTIONS(7555),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7555),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7555),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7555),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7555),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7555),
    [anon_sym_BSLASHcolor] = ACTIONS(7555),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7555),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7555),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7555),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7555),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7555),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7555),
    [anon_sym_BSLASHurl] = ACTIONS(7555),
    [anon_sym_BSLASHhref] = ACTIONS(7555),
  },
  [1367] = {
    [sym_command_name] = ACTIONS(7167),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7167),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_RBRACK] = ACTIONS(7169),
    [anon_sym_COMMA] = ACTIONS(7169),
    [anon_sym_EQ] = ACTIONS(7169),
    [anon_sym_LPAREN] = ACTIONS(7169),
    [anon_sym_RPAREN] = ACTIONS(7169),
    [anon_sym_BSLASHpart] = ACTIONS(7167),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHaddpart] = ACTIONS(7167),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHchapter] = ACTIONS(7167),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHaddchap] = ACTIONS(7167),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHsection] = ACTIONS(7167),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHaddsec] = ACTIONS(7167),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHsubsection] = ACTIONS(7167),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7167),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHparagraph] = ACTIONS(7167),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7167),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHitem] = ACTIONS(7167),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7169),
    [anon_sym_LBRACE] = ACTIONS(7169),
    [sym_word] = ACTIONS(7167),
    [sym_placeholder] = ACTIONS(7169),
    [sym_delimiter] = ACTIONS(7169),
    [anon_sym_PLUS] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7169),
    [anon_sym_STAR] = ACTIONS(7169),
    [anon_sym_SLASH] = ACTIONS(7169),
    [anon_sym_LT] = ACTIONS(7167),
    [anon_sym_GT] = ACTIONS(7167),
    [anon_sym_BANG] = ACTIONS(7167),
    [anon_sym_PIPE] = ACTIONS(7167),
    [anon_sym_COLON] = ACTIONS(7167),
    [anon_sym_SQUOTE] = ACTIONS(7167),
    [anon_sym__] = ACTIONS(7169),
    [anon_sym_CARET] = ACTIONS(7169),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7169),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7169),
    [anon_sym_DOLLAR] = ACTIONS(7167),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7169),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7169),
    [anon_sym_BSLASHleft] = ACTIONS(7167),
    [anon_sym_BSLASHbigl] = ACTIONS(7167),
    [anon_sym_BSLASHBigl] = ACTIONS(7167),
    [anon_sym_BSLASHbiggl] = ACTIONS(7167),
    [anon_sym_BSLASHBiggl] = ACTIONS(7167),
    [anon_sym_BSLASHtext] = ACTIONS(7167),
    [anon_sym_BSLASHintertext] = ACTIONS(7167),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7167),
    [anon_sym_BSLASHbegin] = ACTIONS(7167),
    [anon_sym_BSLASHtitle] = ACTIONS(7167),
    [anon_sym_BSLASHauthor] = ACTIONS(7167),
    [anon_sym_BSLASHusepackage] = ACTIONS(7167),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7167),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7167),
    [anon_sym_BSLASHinclude] = ACTIONS(7167),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7167),
    [anon_sym_BSLASHinput] = ACTIONS(7167),
    [anon_sym_BSLASHsubfile] = ACTIONS(7167),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7167),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7167),
    [anon_sym_BSLASHbibliography] = ACTIONS(7167),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7167),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7167),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7167),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7167),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7167),
    [anon_sym_BSLASHimport] = ACTIONS(7167),
    [anon_sym_BSLASHsubimport] = ACTIONS(7167),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7167),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7167),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7167),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7167),
    [anon_sym_BSLASHcaption] = ACTIONS(7167),
    [anon_sym_BSLASHcite] = ACTIONS(7167),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHCite] = ACTIONS(7167),
    [anon_sym_BSLASHnocite] = ACTIONS(7167),
    [anon_sym_BSLASHcitet] = ACTIONS(7167),
    [anon_sym_BSLASHcitep] = ACTIONS(7167),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHciteA] = ACTIONS(7167),
    [anon_sym_BSLASHciteR] = ACTIONS(7167),
    [anon_sym_BSLASHciteS] = ACTIONS(7167),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7167),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7167),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7167),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7167),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHciteyear] = ACTIONS(7167),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcitedate] = ACTIONS(7167),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHciteurl] = ACTIONS(7167),
    [anon_sym_BSLASHfullcite] = ACTIONS(7167),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7167),
    [anon_sym_BSLASHcitealt] = ACTIONS(7167),
    [anon_sym_BSLASHcitealp] = ACTIONS(7167),
    [anon_sym_BSLASHcitetext] = ACTIONS(7167),
    [anon_sym_BSLASHparencite] = ACTIONS(7167),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHParencite] = ACTIONS(7167),
    [anon_sym_BSLASHfootcite] = ACTIONS(7167),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7167),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7167),
    [anon_sym_BSLASHtextcite] = ACTIONS(7167),
    [anon_sym_BSLASHTextcite] = ACTIONS(7167),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7167),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7167),
    [anon_sym_BSLASHsupercite] = ACTIONS(7167),
    [anon_sym_BSLASHautocite] = ACTIONS(7167),
    [anon_sym_BSLASHAutocite] = ACTIONS(7167),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHVolcite] = ACTIONS(7167),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHavolcite] = ACTIONS(7167),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHnotecite] = ACTIONS(7167),
    [anon_sym_BSLASHNotecite] = ACTIONS(7167),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7167),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7167),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7167),
    [anon_sym_BSLASHlabel] = ACTIONS(7167),
    [anon_sym_BSLASHref] = ACTIONS(7167),
    [anon_sym_BSLASHeqref] = ACTIONS(7167),
    [anon_sym_BSLASHvref] = ACTIONS(7167),
    [anon_sym_BSLASHVref] = ACTIONS(7167),
    [anon_sym_BSLASHautoref] = ACTIONS(7167),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHpageref] = ACTIONS(7167),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHautopageref] = ACTIONS(7167),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcref] = ACTIONS(7167),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHCref] = ACTIONS(7167),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcpageref] = ACTIONS(7167),
    [anon_sym_BSLASHCpageref] = ACTIONS(7167),
    [anon_sym_BSLASHnamecref] = ACTIONS(7167),
    [anon_sym_BSLASHnameCref] = ACTIONS(7167),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7167),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7167),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7167),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7167),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7167),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7167),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7167),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7167),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7167),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7167),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7167),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7167),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7167),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7167),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7167),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7167),
    [anon_sym_BSLASHdef] = ACTIONS(7167),
    [anon_sym_BSLASHgdef] = ACTIONS(7167),
    [anon_sym_BSLASHedef] = ACTIONS(7167),
    [anon_sym_BSLASHxdef] = ACTIONS(7167),
    [anon_sym_BSLASHlet] = ACTIONS(7167),
    [anon_sym_BSLASHglet] = ACTIONS(7167),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7167),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7167),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7167),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7167),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7167),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7167),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7167),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7167),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7167),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7167),
    [anon_sym_BSLASHgls] = ACTIONS(7167),
    [anon_sym_BSLASHGls] = ACTIONS(7167),
    [anon_sym_BSLASHGLS] = ACTIONS(7167),
    [anon_sym_BSLASHglspl] = ACTIONS(7167),
    [anon_sym_BSLASHGlspl] = ACTIONS(7167),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7167),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7167),
    [anon_sym_BSLASHglslink] = ACTIONS(7167),
    [anon_sym_BSLASHglstext] = ACTIONS(7167),
    [anon_sym_BSLASHGlstext] = ACTIONS(7167),
    [anon_sym_BSLASHGLStext] = ACTIONS(7167),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7167),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7167),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7167),
    [anon_sym_BSLASHglsplural] = ACTIONS(7167),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7167),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7167),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7167),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7167),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7167),
    [anon_sym_BSLASHglsname] = ACTIONS(7167),
    [anon_sym_BSLASHGlsname] = ACTIONS(7167),
    [anon_sym_BSLASHGLSname] = ACTIONS(7167),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7167),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7167),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7167),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7167),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7167),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7167),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7167),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7167),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7167),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7167),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7167),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7167),
    [anon_sym_BSLASHacrshort] = ACTIONS(7167),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7167),
    [anon_sym_BSLASHACRshort] = ACTIONS(7167),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHacrlong] = ACTIONS(7167),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7167),
    [anon_sym_BSLASHACRlong] = ACTIONS(7167),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7167),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7167),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7167),
    [anon_sym_BSLASHacrfull] = ACTIONS(7167),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7167),
    [anon_sym_BSLASHACRfull] = ACTIONS(7167),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHacs] = ACTIONS(7167),
    [anon_sym_BSLASHAcs] = ACTIONS(7167),
    [anon_sym_BSLASHacsp] = ACTIONS(7167),
    [anon_sym_BSLASHAcsp] = ACTIONS(7167),
    [anon_sym_BSLASHacl] = ACTIONS(7167),
    [anon_sym_BSLASHAcl] = ACTIONS(7167),
    [anon_sym_BSLASHaclp] = ACTIONS(7167),
    [anon_sym_BSLASHAclp] = ACTIONS(7167),
    [anon_sym_BSLASHacf] = ACTIONS(7167),
    [anon_sym_BSLASHAcf] = ACTIONS(7167),
    [anon_sym_BSLASHacfp] = ACTIONS(7167),
    [anon_sym_BSLASHAcfp] = ACTIONS(7167),
    [anon_sym_BSLASHac] = ACTIONS(7167),
    [anon_sym_BSLASHAc] = ACTIONS(7167),
    [anon_sym_BSLASHacp] = ACTIONS(7167),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7167),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7167),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7167),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7167),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7167),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7167),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7167),
    [anon_sym_BSLASHcolor] = ACTIONS(7167),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7167),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7167),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7167),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7167),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7167),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7167),
    [anon_sym_BSLASHurl] = ACTIONS(7167),
    [anon_sym_BSLASHhref] = ACTIONS(7167),
  },
  [1368] = {
    [sym_command_name] = ACTIONS(7559),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7559),
    [anon_sym_LBRACK] = ACTIONS(7561),
    [anon_sym_RBRACK] = ACTIONS(7561),
    [anon_sym_COMMA] = ACTIONS(7561),
    [anon_sym_EQ] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7561),
    [anon_sym_RPAREN] = ACTIONS(7561),
    [anon_sym_BSLASHpart] = ACTIONS(7559),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHaddpart] = ACTIONS(7559),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHchapter] = ACTIONS(7559),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHaddchap] = ACTIONS(7559),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHsection] = ACTIONS(7559),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHaddsec] = ACTIONS(7559),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHsubsection] = ACTIONS(7559),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7559),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHparagraph] = ACTIONS(7559),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7559),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHitem] = ACTIONS(7559),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7561),
    [anon_sym_LBRACE] = ACTIONS(7561),
    [sym_word] = ACTIONS(7559),
    [sym_placeholder] = ACTIONS(7561),
    [sym_delimiter] = ACTIONS(7561),
    [anon_sym_PLUS] = ACTIONS(7561),
    [anon_sym_DASH] = ACTIONS(7561),
    [anon_sym_STAR] = ACTIONS(7561),
    [anon_sym_SLASH] = ACTIONS(7561),
    [anon_sym_LT] = ACTIONS(7559),
    [anon_sym_GT] = ACTIONS(7559),
    [anon_sym_BANG] = ACTIONS(7559),
    [anon_sym_PIPE] = ACTIONS(7559),
    [anon_sym_COLON] = ACTIONS(7559),
    [anon_sym_SQUOTE] = ACTIONS(7559),
    [anon_sym__] = ACTIONS(7561),
    [anon_sym_CARET] = ACTIONS(7561),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7561),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7561),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7561),
    [anon_sym_DOLLAR] = ACTIONS(7559),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7561),
    [anon_sym_BSLASHleft] = ACTIONS(7559),
    [anon_sym_BSLASHbigl] = ACTIONS(7559),
    [anon_sym_BSLASHBigl] = ACTIONS(7559),
    [anon_sym_BSLASHbiggl] = ACTIONS(7559),
    [anon_sym_BSLASHBiggl] = ACTIONS(7559),
    [anon_sym_BSLASHtext] = ACTIONS(7559),
    [anon_sym_BSLASHintertext] = ACTIONS(7559),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7559),
    [anon_sym_BSLASHbegin] = ACTIONS(7559),
    [anon_sym_BSLASHtitle] = ACTIONS(7559),
    [anon_sym_BSLASHauthor] = ACTIONS(7559),
    [anon_sym_BSLASHusepackage] = ACTIONS(7559),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7559),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7559),
    [anon_sym_BSLASHinclude] = ACTIONS(7559),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7559),
    [anon_sym_BSLASHinput] = ACTIONS(7559),
    [anon_sym_BSLASHsubfile] = ACTIONS(7559),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7559),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7559),
    [anon_sym_BSLASHbibliography] = ACTIONS(7559),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7559),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7559),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7559),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7559),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7559),
    [anon_sym_BSLASHimport] = ACTIONS(7559),
    [anon_sym_BSLASHsubimport] = ACTIONS(7559),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7559),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7559),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7559),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7559),
    [anon_sym_BSLASHcaption] = ACTIONS(7559),
    [anon_sym_BSLASHcite] = ACTIONS(7559),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCite] = ACTIONS(7559),
    [anon_sym_BSLASHnocite] = ACTIONS(7559),
    [anon_sym_BSLASHcitet] = ACTIONS(7559),
    [anon_sym_BSLASHcitep] = ACTIONS(7559),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteA] = ACTIONS(7559),
    [anon_sym_BSLASHciteR] = ACTIONS(7559),
    [anon_sym_BSLASHciteS] = ACTIONS(7559),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7559),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7559),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7559),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7559),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteyear] = ACTIONS(7559),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitedate] = ACTIONS(7559),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteurl] = ACTIONS(7559),
    [anon_sym_BSLASHfullcite] = ACTIONS(7559),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7559),
    [anon_sym_BSLASHcitealt] = ACTIONS(7559),
    [anon_sym_BSLASHcitealp] = ACTIONS(7559),
    [anon_sym_BSLASHcitetext] = ACTIONS(7559),
    [anon_sym_BSLASHparencite] = ACTIONS(7559),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHParencite] = ACTIONS(7559),
    [anon_sym_BSLASHfootcite] = ACTIONS(7559),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7559),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7559),
    [anon_sym_BSLASHtextcite] = ACTIONS(7559),
    [anon_sym_BSLASHTextcite] = ACTIONS(7559),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7559),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7559),
    [anon_sym_BSLASHsupercite] = ACTIONS(7559),
    [anon_sym_BSLASHautocite] = ACTIONS(7559),
    [anon_sym_BSLASHAutocite] = ACTIONS(7559),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHVolcite] = ACTIONS(7559),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHavolcite] = ACTIONS(7559),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHNotecite] = ACTIONS(7559),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHlabel] = ACTIONS(7559),
    [anon_sym_BSLASHref] = ACTIONS(7559),
    [anon_sym_BSLASHeqref] = ACTIONS(7559),
    [anon_sym_BSLASHvref] = ACTIONS(7559),
    [anon_sym_BSLASHVref] = ACTIONS(7559),
    [anon_sym_BSLASHautoref] = ACTIONS(7559),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHpageref] = ACTIONS(7559),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHautopageref] = ACTIONS(7559),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcref] = ACTIONS(7559),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCref] = ACTIONS(7559),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcpageref] = ACTIONS(7559),
    [anon_sym_BSLASHCpageref] = ACTIONS(7559),
    [anon_sym_BSLASHnamecref] = ACTIONS(7559),
    [anon_sym_BSLASHnameCref] = ACTIONS(7559),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7559),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7559),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7559),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7559),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7559),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7559),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7559),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7559),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7559),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7559),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7559),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHdef] = ACTIONS(7559),
    [anon_sym_BSLASHgdef] = ACTIONS(7559),
    [anon_sym_BSLASHedef] = ACTIONS(7559),
    [anon_sym_BSLASHxdef] = ACTIONS(7559),
    [anon_sym_BSLASHlet] = ACTIONS(7559),
    [anon_sym_BSLASHglet] = ACTIONS(7559),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7559),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7559),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7559),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7559),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7559),
    [anon_sym_BSLASHgls] = ACTIONS(7559),
    [anon_sym_BSLASHGls] = ACTIONS(7559),
    [anon_sym_BSLASHGLS] = ACTIONS(7559),
    [anon_sym_BSLASHglspl] = ACTIONS(7559),
    [anon_sym_BSLASHGlspl] = ACTIONS(7559),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7559),
    [anon_sym_BSLASHglslink] = ACTIONS(7559),
    [anon_sym_BSLASHglstext] = ACTIONS(7559),
    [anon_sym_BSLASHGlstext] = ACTIONS(7559),
    [anon_sym_BSLASHGLStext] = ACTIONS(7559),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7559),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7559),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7559),
    [anon_sym_BSLASHglsplural] = ACTIONS(7559),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7559),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7559),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHglsname] = ACTIONS(7559),
    [anon_sym_BSLASHGlsname] = ACTIONS(7559),
    [anon_sym_BSLASHGLSname] = ACTIONS(7559),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7559),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7559),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7559),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7559),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7559),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7559),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7559),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7559),
    [anon_sym_BSLASHacrshort] = ACTIONS(7559),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7559),
    [anon_sym_BSLASHACRshort] = ACTIONS(7559),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHacrlong] = ACTIONS(7559),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7559),
    [anon_sym_BSLASHACRlong] = ACTIONS(7559),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHacrfull] = ACTIONS(7559),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7559),
    [anon_sym_BSLASHACRfull] = ACTIONS(7559),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHacs] = ACTIONS(7559),
    [anon_sym_BSLASHAcs] = ACTIONS(7559),
    [anon_sym_BSLASHacsp] = ACTIONS(7559),
    [anon_sym_BSLASHAcsp] = ACTIONS(7559),
    [anon_sym_BSLASHacl] = ACTIONS(7559),
    [anon_sym_BSLASHAcl] = ACTIONS(7559),
    [anon_sym_BSLASHaclp] = ACTIONS(7559),
    [anon_sym_BSLASHAclp] = ACTIONS(7559),
    [anon_sym_BSLASHacf] = ACTIONS(7559),
    [anon_sym_BSLASHAcf] = ACTIONS(7559),
    [anon_sym_BSLASHacfp] = ACTIONS(7559),
    [anon_sym_BSLASHAcfp] = ACTIONS(7559),
    [anon_sym_BSLASHac] = ACTIONS(7559),
    [anon_sym_BSLASHAc] = ACTIONS(7559),
    [anon_sym_BSLASHacp] = ACTIONS(7559),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7559),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7559),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7559),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7559),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7559),
    [anon_sym_BSLASHcolor] = ACTIONS(7559),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7559),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7559),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7559),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7559),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7559),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7559),
    [anon_sym_BSLASHurl] = ACTIONS(7559),
    [anon_sym_BSLASHhref] = ACTIONS(7559),
  },
  [1369] = {
    [sym_command_name] = ACTIONS(7563),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7563),
    [anon_sym_LBRACK] = ACTIONS(7565),
    [anon_sym_RBRACK] = ACTIONS(7565),
    [anon_sym_COMMA] = ACTIONS(7565),
    [anon_sym_EQ] = ACTIONS(7565),
    [anon_sym_LPAREN] = ACTIONS(7565),
    [anon_sym_RPAREN] = ACTIONS(7565),
    [anon_sym_BSLASHpart] = ACTIONS(7563),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHaddpart] = ACTIONS(7563),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHchapter] = ACTIONS(7563),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHaddchap] = ACTIONS(7563),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHsection] = ACTIONS(7563),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHaddsec] = ACTIONS(7563),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHsubsection] = ACTIONS(7563),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7563),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHparagraph] = ACTIONS(7563),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7563),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHitem] = ACTIONS(7563),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7565),
    [anon_sym_LBRACE] = ACTIONS(7565),
    [sym_word] = ACTIONS(7563),
    [sym_placeholder] = ACTIONS(7565),
    [sym_delimiter] = ACTIONS(7565),
    [anon_sym_PLUS] = ACTIONS(7565),
    [anon_sym_DASH] = ACTIONS(7565),
    [anon_sym_STAR] = ACTIONS(7565),
    [anon_sym_SLASH] = ACTIONS(7565),
    [anon_sym_LT] = ACTIONS(7563),
    [anon_sym_GT] = ACTIONS(7563),
    [anon_sym_BANG] = ACTIONS(7563),
    [anon_sym_PIPE] = ACTIONS(7563),
    [anon_sym_COLON] = ACTIONS(7563),
    [anon_sym_SQUOTE] = ACTIONS(7563),
    [anon_sym__] = ACTIONS(7565),
    [anon_sym_CARET] = ACTIONS(7565),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7565),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7565),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7565),
    [anon_sym_DOLLAR] = ACTIONS(7563),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7565),
    [anon_sym_BSLASHleft] = ACTIONS(7563),
    [anon_sym_BSLASHbigl] = ACTIONS(7563),
    [anon_sym_BSLASHBigl] = ACTIONS(7563),
    [anon_sym_BSLASHbiggl] = ACTIONS(7563),
    [anon_sym_BSLASHBiggl] = ACTIONS(7563),
    [anon_sym_BSLASHtext] = ACTIONS(7563),
    [anon_sym_BSLASHintertext] = ACTIONS(7563),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7563),
    [anon_sym_BSLASHbegin] = ACTIONS(7563),
    [anon_sym_BSLASHtitle] = ACTIONS(7563),
    [anon_sym_BSLASHauthor] = ACTIONS(7563),
    [anon_sym_BSLASHusepackage] = ACTIONS(7563),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7563),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7563),
    [anon_sym_BSLASHinclude] = ACTIONS(7563),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7563),
    [anon_sym_BSLASHinput] = ACTIONS(7563),
    [anon_sym_BSLASHsubfile] = ACTIONS(7563),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7563),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7563),
    [anon_sym_BSLASHbibliography] = ACTIONS(7563),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7563),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7563),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7563),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7563),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7563),
    [anon_sym_BSLASHimport] = ACTIONS(7563),
    [anon_sym_BSLASHsubimport] = ACTIONS(7563),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7563),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7563),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7563),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7563),
    [anon_sym_BSLASHcaption] = ACTIONS(7563),
    [anon_sym_BSLASHcite] = ACTIONS(7563),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCite] = ACTIONS(7563),
    [anon_sym_BSLASHnocite] = ACTIONS(7563),
    [anon_sym_BSLASHcitet] = ACTIONS(7563),
    [anon_sym_BSLASHcitep] = ACTIONS(7563),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteA] = ACTIONS(7563),
    [anon_sym_BSLASHciteR] = ACTIONS(7563),
    [anon_sym_BSLASHciteS] = ACTIONS(7563),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7563),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7563),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7563),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7563),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteyear] = ACTIONS(7563),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitedate] = ACTIONS(7563),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteurl] = ACTIONS(7563),
    [anon_sym_BSLASHfullcite] = ACTIONS(7563),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7563),
    [anon_sym_BSLASHcitealt] = ACTIONS(7563),
    [anon_sym_BSLASHcitealp] = ACTIONS(7563),
    [anon_sym_BSLASHcitetext] = ACTIONS(7563),
    [anon_sym_BSLASHparencite] = ACTIONS(7563),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHParencite] = ACTIONS(7563),
    [anon_sym_BSLASHfootcite] = ACTIONS(7563),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7563),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7563),
    [anon_sym_BSLASHtextcite] = ACTIONS(7563),
    [anon_sym_BSLASHTextcite] = ACTIONS(7563),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7563),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7563),
    [anon_sym_BSLASHsupercite] = ACTIONS(7563),
    [anon_sym_BSLASHautocite] = ACTIONS(7563),
    [anon_sym_BSLASHAutocite] = ACTIONS(7563),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHVolcite] = ACTIONS(7563),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHavolcite] = ACTIONS(7563),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHNotecite] = ACTIONS(7563),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHlabel] = ACTIONS(7563),
    [anon_sym_BSLASHref] = ACTIONS(7563),
    [anon_sym_BSLASHeqref] = ACTIONS(7563),
    [anon_sym_BSLASHvref] = ACTIONS(7563),
    [anon_sym_BSLASHVref] = ACTIONS(7563),
    [anon_sym_BSLASHautoref] = ACTIONS(7563),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHpageref] = ACTIONS(7563),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHautopageref] = ACTIONS(7563),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcref] = ACTIONS(7563),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCref] = ACTIONS(7563),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcpageref] = ACTIONS(7563),
    [anon_sym_BSLASHCpageref] = ACTIONS(7563),
    [anon_sym_BSLASHnamecref] = ACTIONS(7563),
    [anon_sym_BSLASHnameCref] = ACTIONS(7563),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7563),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7563),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7563),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7563),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7563),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7563),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7563),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7563),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7563),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7563),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7563),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHdef] = ACTIONS(7563),
    [anon_sym_BSLASHgdef] = ACTIONS(7563),
    [anon_sym_BSLASHedef] = ACTIONS(7563),
    [anon_sym_BSLASHxdef] = ACTIONS(7563),
    [anon_sym_BSLASHlet] = ACTIONS(7563),
    [anon_sym_BSLASHglet] = ACTIONS(7563),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7563),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7563),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7563),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7563),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7563),
    [anon_sym_BSLASHgls] = ACTIONS(7563),
    [anon_sym_BSLASHGls] = ACTIONS(7563),
    [anon_sym_BSLASHGLS] = ACTIONS(7563),
    [anon_sym_BSLASHglspl] = ACTIONS(7563),
    [anon_sym_BSLASHGlspl] = ACTIONS(7563),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7563),
    [anon_sym_BSLASHglslink] = ACTIONS(7563),
    [anon_sym_BSLASHglstext] = ACTIONS(7563),
    [anon_sym_BSLASHGlstext] = ACTIONS(7563),
    [anon_sym_BSLASHGLStext] = ACTIONS(7563),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7563),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7563),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7563),
    [anon_sym_BSLASHglsplural] = ACTIONS(7563),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7563),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7563),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHglsname] = ACTIONS(7563),
    [anon_sym_BSLASHGlsname] = ACTIONS(7563),
    [anon_sym_BSLASHGLSname] = ACTIONS(7563),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7563),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7563),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7563),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7563),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7563),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7563),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7563),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7563),
    [anon_sym_BSLASHacrshort] = ACTIONS(7563),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7563),
    [anon_sym_BSLASHACRshort] = ACTIONS(7563),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHacrlong] = ACTIONS(7563),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7563),
    [anon_sym_BSLASHACRlong] = ACTIONS(7563),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHacrfull] = ACTIONS(7563),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7563),
    [anon_sym_BSLASHACRfull] = ACTIONS(7563),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHacs] = ACTIONS(7563),
    [anon_sym_BSLASHAcs] = ACTIONS(7563),
    [anon_sym_BSLASHacsp] = ACTIONS(7563),
    [anon_sym_BSLASHAcsp] = ACTIONS(7563),
    [anon_sym_BSLASHacl] = ACTIONS(7563),
    [anon_sym_BSLASHAcl] = ACTIONS(7563),
    [anon_sym_BSLASHaclp] = ACTIONS(7563),
    [anon_sym_BSLASHAclp] = ACTIONS(7563),
    [anon_sym_BSLASHacf] = ACTIONS(7563),
    [anon_sym_BSLASHAcf] = ACTIONS(7563),
    [anon_sym_BSLASHacfp] = ACTIONS(7563),
    [anon_sym_BSLASHAcfp] = ACTIONS(7563),
    [anon_sym_BSLASHac] = ACTIONS(7563),
    [anon_sym_BSLASHAc] = ACTIONS(7563),
    [anon_sym_BSLASHacp] = ACTIONS(7563),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7563),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7563),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7563),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7563),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7563),
    [anon_sym_BSLASHcolor] = ACTIONS(7563),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7563),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7563),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7563),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7563),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7563),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7563),
    [anon_sym_BSLASHurl] = ACTIONS(7563),
    [anon_sym_BSLASHhref] = ACTIONS(7563),
  },
  [1370] = {
    [sym_command_name] = ACTIONS(7567),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7567),
    [anon_sym_LBRACK] = ACTIONS(7569),
    [anon_sym_RBRACK] = ACTIONS(7569),
    [anon_sym_COMMA] = ACTIONS(7569),
    [anon_sym_EQ] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7569),
    [anon_sym_RPAREN] = ACTIONS(7569),
    [anon_sym_BSLASHpart] = ACTIONS(7567),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHaddpart] = ACTIONS(7567),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHchapter] = ACTIONS(7567),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHaddchap] = ACTIONS(7567),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHsection] = ACTIONS(7567),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHaddsec] = ACTIONS(7567),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHsubsection] = ACTIONS(7567),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7567),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHparagraph] = ACTIONS(7567),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7567),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHitem] = ACTIONS(7567),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7569),
    [anon_sym_LBRACE] = ACTIONS(7569),
    [sym_word] = ACTIONS(7567),
    [sym_placeholder] = ACTIONS(7569),
    [sym_delimiter] = ACTIONS(7569),
    [anon_sym_PLUS] = ACTIONS(7569),
    [anon_sym_DASH] = ACTIONS(7569),
    [anon_sym_STAR] = ACTIONS(7569),
    [anon_sym_SLASH] = ACTIONS(7569),
    [anon_sym_LT] = ACTIONS(7567),
    [anon_sym_GT] = ACTIONS(7567),
    [anon_sym_BANG] = ACTIONS(7567),
    [anon_sym_PIPE] = ACTIONS(7567),
    [anon_sym_COLON] = ACTIONS(7567),
    [anon_sym_SQUOTE] = ACTIONS(7567),
    [anon_sym__] = ACTIONS(7569),
    [anon_sym_CARET] = ACTIONS(7569),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7569),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7569),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7569),
    [anon_sym_DOLLAR] = ACTIONS(7567),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7569),
    [anon_sym_BSLASHleft] = ACTIONS(7567),
    [anon_sym_BSLASHbigl] = ACTIONS(7567),
    [anon_sym_BSLASHBigl] = ACTIONS(7567),
    [anon_sym_BSLASHbiggl] = ACTIONS(7567),
    [anon_sym_BSLASHBiggl] = ACTIONS(7567),
    [anon_sym_BSLASHtext] = ACTIONS(7567),
    [anon_sym_BSLASHintertext] = ACTIONS(7567),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7567),
    [anon_sym_BSLASHbegin] = ACTIONS(7567),
    [anon_sym_BSLASHtitle] = ACTIONS(7567),
    [anon_sym_BSLASHauthor] = ACTIONS(7567),
    [anon_sym_BSLASHusepackage] = ACTIONS(7567),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7567),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7567),
    [anon_sym_BSLASHinclude] = ACTIONS(7567),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7567),
    [anon_sym_BSLASHinput] = ACTIONS(7567),
    [anon_sym_BSLASHsubfile] = ACTIONS(7567),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7567),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7567),
    [anon_sym_BSLASHbibliography] = ACTIONS(7567),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7567),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7567),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7567),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7567),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7567),
    [anon_sym_BSLASHimport] = ACTIONS(7567),
    [anon_sym_BSLASHsubimport] = ACTIONS(7567),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7567),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7567),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7567),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7567),
    [anon_sym_BSLASHcaption] = ACTIONS(7567),
    [anon_sym_BSLASHcite] = ACTIONS(7567),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCite] = ACTIONS(7567),
    [anon_sym_BSLASHnocite] = ACTIONS(7567),
    [anon_sym_BSLASHcitet] = ACTIONS(7567),
    [anon_sym_BSLASHcitep] = ACTIONS(7567),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteA] = ACTIONS(7567),
    [anon_sym_BSLASHciteR] = ACTIONS(7567),
    [anon_sym_BSLASHciteS] = ACTIONS(7567),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7567),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7567),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7567),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7567),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteyear] = ACTIONS(7567),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitedate] = ACTIONS(7567),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteurl] = ACTIONS(7567),
    [anon_sym_BSLASHfullcite] = ACTIONS(7567),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7567),
    [anon_sym_BSLASHcitealt] = ACTIONS(7567),
    [anon_sym_BSLASHcitealp] = ACTIONS(7567),
    [anon_sym_BSLASHcitetext] = ACTIONS(7567),
    [anon_sym_BSLASHparencite] = ACTIONS(7567),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHParencite] = ACTIONS(7567),
    [anon_sym_BSLASHfootcite] = ACTIONS(7567),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7567),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7567),
    [anon_sym_BSLASHtextcite] = ACTIONS(7567),
    [anon_sym_BSLASHTextcite] = ACTIONS(7567),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7567),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7567),
    [anon_sym_BSLASHsupercite] = ACTIONS(7567),
    [anon_sym_BSLASHautocite] = ACTIONS(7567),
    [anon_sym_BSLASHAutocite] = ACTIONS(7567),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHVolcite] = ACTIONS(7567),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHavolcite] = ACTIONS(7567),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHNotecite] = ACTIONS(7567),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHlabel] = ACTIONS(7567),
    [anon_sym_BSLASHref] = ACTIONS(7567),
    [anon_sym_BSLASHeqref] = ACTIONS(7567),
    [anon_sym_BSLASHvref] = ACTIONS(7567),
    [anon_sym_BSLASHVref] = ACTIONS(7567),
    [anon_sym_BSLASHautoref] = ACTIONS(7567),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHpageref] = ACTIONS(7567),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHautopageref] = ACTIONS(7567),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcref] = ACTIONS(7567),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCref] = ACTIONS(7567),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcpageref] = ACTIONS(7567),
    [anon_sym_BSLASHCpageref] = ACTIONS(7567),
    [anon_sym_BSLASHnamecref] = ACTIONS(7567),
    [anon_sym_BSLASHnameCref] = ACTIONS(7567),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7567),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7567),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7567),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7567),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7567),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7567),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7567),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7567),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7567),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7567),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7567),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHdef] = ACTIONS(7567),
    [anon_sym_BSLASHgdef] = ACTIONS(7567),
    [anon_sym_BSLASHedef] = ACTIONS(7567),
    [anon_sym_BSLASHxdef] = ACTIONS(7567),
    [anon_sym_BSLASHlet] = ACTIONS(7567),
    [anon_sym_BSLASHglet] = ACTIONS(7567),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7567),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7567),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7567),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7567),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7567),
    [anon_sym_BSLASHgls] = ACTIONS(7567),
    [anon_sym_BSLASHGls] = ACTIONS(7567),
    [anon_sym_BSLASHGLS] = ACTIONS(7567),
    [anon_sym_BSLASHglspl] = ACTIONS(7567),
    [anon_sym_BSLASHGlspl] = ACTIONS(7567),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7567),
    [anon_sym_BSLASHglslink] = ACTIONS(7567),
    [anon_sym_BSLASHglstext] = ACTIONS(7567),
    [anon_sym_BSLASHGlstext] = ACTIONS(7567),
    [anon_sym_BSLASHGLStext] = ACTIONS(7567),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7567),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7567),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7567),
    [anon_sym_BSLASHglsplural] = ACTIONS(7567),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7567),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7567),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHglsname] = ACTIONS(7567),
    [anon_sym_BSLASHGlsname] = ACTIONS(7567),
    [anon_sym_BSLASHGLSname] = ACTIONS(7567),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7567),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7567),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7567),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7567),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7567),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7567),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7567),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7567),
    [anon_sym_BSLASHacrshort] = ACTIONS(7567),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7567),
    [anon_sym_BSLASHACRshort] = ACTIONS(7567),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHacrlong] = ACTIONS(7567),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7567),
    [anon_sym_BSLASHACRlong] = ACTIONS(7567),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHacrfull] = ACTIONS(7567),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7567),
    [anon_sym_BSLASHACRfull] = ACTIONS(7567),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHacs] = ACTIONS(7567),
    [anon_sym_BSLASHAcs] = ACTIONS(7567),
    [anon_sym_BSLASHacsp] = ACTIONS(7567),
    [anon_sym_BSLASHAcsp] = ACTIONS(7567),
    [anon_sym_BSLASHacl] = ACTIONS(7567),
    [anon_sym_BSLASHAcl] = ACTIONS(7567),
    [anon_sym_BSLASHaclp] = ACTIONS(7567),
    [anon_sym_BSLASHAclp] = ACTIONS(7567),
    [anon_sym_BSLASHacf] = ACTIONS(7567),
    [anon_sym_BSLASHAcf] = ACTIONS(7567),
    [anon_sym_BSLASHacfp] = ACTIONS(7567),
    [anon_sym_BSLASHAcfp] = ACTIONS(7567),
    [anon_sym_BSLASHac] = ACTIONS(7567),
    [anon_sym_BSLASHAc] = ACTIONS(7567),
    [anon_sym_BSLASHacp] = ACTIONS(7567),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7567),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7567),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7567),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7567),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7567),
    [anon_sym_BSLASHcolor] = ACTIONS(7567),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7567),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7567),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7567),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7567),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7567),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7567),
    [anon_sym_BSLASHurl] = ACTIONS(7567),
    [anon_sym_BSLASHhref] = ACTIONS(7567),
  },
  [1371] = {
    [sym_command_name] = ACTIONS(7171),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(7173),
    [anon_sym_RBRACK] = ACTIONS(7173),
    [anon_sym_COMMA] = ACTIONS(7173),
    [anon_sym_EQ] = ACTIONS(7173),
    [anon_sym_LPAREN] = ACTIONS(7173),
    [anon_sym_RPAREN] = ACTIONS(7173),
    [anon_sym_BSLASHpart] = ACTIONS(7171),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHaddpart] = ACTIONS(7171),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHchapter] = ACTIONS(7171),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHaddchap] = ACTIONS(7171),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHsection] = ACTIONS(7171),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHaddsec] = ACTIONS(7171),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHsubsection] = ACTIONS(7171),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7171),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHparagraph] = ACTIONS(7171),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7171),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHitem] = ACTIONS(7171),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7173),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [sym_word] = ACTIONS(7171),
    [sym_placeholder] = ACTIONS(7173),
    [sym_delimiter] = ACTIONS(7173),
    [anon_sym_PLUS] = ACTIONS(7173),
    [anon_sym_DASH] = ACTIONS(7173),
    [anon_sym_STAR] = ACTIONS(7173),
    [anon_sym_SLASH] = ACTIONS(7173),
    [anon_sym_LT] = ACTIONS(7171),
    [anon_sym_GT] = ACTIONS(7171),
    [anon_sym_BANG] = ACTIONS(7171),
    [anon_sym_PIPE] = ACTIONS(7171),
    [anon_sym_COLON] = ACTIONS(7171),
    [anon_sym_SQUOTE] = ACTIONS(7171),
    [anon_sym__] = ACTIONS(7173),
    [anon_sym_CARET] = ACTIONS(7173),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7173),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7173),
    [anon_sym_DOLLAR] = ACTIONS(7171),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7173),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7173),
    [anon_sym_BSLASHleft] = ACTIONS(7171),
    [anon_sym_BSLASHbigl] = ACTIONS(7171),
    [anon_sym_BSLASHBigl] = ACTIONS(7171),
    [anon_sym_BSLASHbiggl] = ACTIONS(7171),
    [anon_sym_BSLASHBiggl] = ACTIONS(7171),
    [anon_sym_BSLASHtext] = ACTIONS(7171),
    [anon_sym_BSLASHintertext] = ACTIONS(7171),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7171),
    [anon_sym_BSLASHbegin] = ACTIONS(7171),
    [anon_sym_BSLASHtitle] = ACTIONS(7171),
    [anon_sym_BSLASHauthor] = ACTIONS(7171),
    [anon_sym_BSLASHusepackage] = ACTIONS(7171),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7171),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7171),
    [anon_sym_BSLASHinclude] = ACTIONS(7171),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7171),
    [anon_sym_BSLASHinput] = ACTIONS(7171),
    [anon_sym_BSLASHsubfile] = ACTIONS(7171),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7171),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7171),
    [anon_sym_BSLASHbibliography] = ACTIONS(7171),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7171),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7171),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7171),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7171),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7171),
    [anon_sym_BSLASHimport] = ACTIONS(7171),
    [anon_sym_BSLASHsubimport] = ACTIONS(7171),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7171),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7171),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7171),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7171),
    [anon_sym_BSLASHcaption] = ACTIONS(7171),
    [anon_sym_BSLASHcite] = ACTIONS(7171),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHCite] = ACTIONS(7171),
    [anon_sym_BSLASHnocite] = ACTIONS(7171),
    [anon_sym_BSLASHcitet] = ACTIONS(7171),
    [anon_sym_BSLASHcitep] = ACTIONS(7171),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHciteA] = ACTIONS(7171),
    [anon_sym_BSLASHciteR] = ACTIONS(7171),
    [anon_sym_BSLASHciteS] = ACTIONS(7171),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7171),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7171),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7171),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7171),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHciteyear] = ACTIONS(7171),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcitedate] = ACTIONS(7171),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHciteurl] = ACTIONS(7171),
    [anon_sym_BSLASHfullcite] = ACTIONS(7171),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7171),
    [anon_sym_BSLASHcitealt] = ACTIONS(7171),
    [anon_sym_BSLASHcitealp] = ACTIONS(7171),
    [anon_sym_BSLASHcitetext] = ACTIONS(7171),
    [anon_sym_BSLASHparencite] = ACTIONS(7171),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHParencite] = ACTIONS(7171),
    [anon_sym_BSLASHfootcite] = ACTIONS(7171),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7171),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7171),
    [anon_sym_BSLASHtextcite] = ACTIONS(7171),
    [anon_sym_BSLASHTextcite] = ACTIONS(7171),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7171),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7171),
    [anon_sym_BSLASHsupercite] = ACTIONS(7171),
    [anon_sym_BSLASHautocite] = ACTIONS(7171),
    [anon_sym_BSLASHAutocite] = ACTIONS(7171),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHVolcite] = ACTIONS(7171),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHavolcite] = ACTIONS(7171),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHnotecite] = ACTIONS(7171),
    [anon_sym_BSLASHNotecite] = ACTIONS(7171),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7171),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7171),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7171),
    [anon_sym_BSLASHlabel] = ACTIONS(7171),
    [anon_sym_BSLASHref] = ACTIONS(7171),
    [anon_sym_BSLASHeqref] = ACTIONS(7171),
    [anon_sym_BSLASHvref] = ACTIONS(7171),
    [anon_sym_BSLASHVref] = ACTIONS(7171),
    [anon_sym_BSLASHautoref] = ACTIONS(7171),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHpageref] = ACTIONS(7171),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHautopageref] = ACTIONS(7171),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcref] = ACTIONS(7171),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHCref] = ACTIONS(7171),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcpageref] = ACTIONS(7171),
    [anon_sym_BSLASHCpageref] = ACTIONS(7171),
    [anon_sym_BSLASHnamecref] = ACTIONS(7171),
    [anon_sym_BSLASHnameCref] = ACTIONS(7171),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7171),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7171),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7171),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7171),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7171),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7171),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7171),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7171),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7171),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7171),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7171),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7171),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7171),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7171),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7171),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7171),
    [anon_sym_BSLASHdef] = ACTIONS(7171),
    [anon_sym_BSLASHgdef] = ACTIONS(7171),
    [anon_sym_BSLASHedef] = ACTIONS(7171),
    [anon_sym_BSLASHxdef] = ACTIONS(7171),
    [anon_sym_BSLASHlet] = ACTIONS(7171),
    [anon_sym_BSLASHglet] = ACTIONS(7171),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7171),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7171),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7171),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7171),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7171),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7171),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7171),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7171),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7171),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7171),
    [anon_sym_BSLASHgls] = ACTIONS(7171),
    [anon_sym_BSLASHGls] = ACTIONS(7171),
    [anon_sym_BSLASHGLS] = ACTIONS(7171),
    [anon_sym_BSLASHglspl] = ACTIONS(7171),
    [anon_sym_BSLASHGlspl] = ACTIONS(7171),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7171),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7171),
    [anon_sym_BSLASHglslink] = ACTIONS(7171),
    [anon_sym_BSLASHglstext] = ACTIONS(7171),
    [anon_sym_BSLASHGlstext] = ACTIONS(7171),
    [anon_sym_BSLASHGLStext] = ACTIONS(7171),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7171),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7171),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7171),
    [anon_sym_BSLASHglsplural] = ACTIONS(7171),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7171),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7171),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7171),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7171),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7171),
    [anon_sym_BSLASHglsname] = ACTIONS(7171),
    [anon_sym_BSLASHGlsname] = ACTIONS(7171),
    [anon_sym_BSLASHGLSname] = ACTIONS(7171),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7171),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7171),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7171),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7171),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7171),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7171),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7171),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7171),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7171),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7171),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7171),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7171),
    [anon_sym_BSLASHacrshort] = ACTIONS(7171),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7171),
    [anon_sym_BSLASHACRshort] = ACTIONS(7171),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHacrlong] = ACTIONS(7171),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7171),
    [anon_sym_BSLASHACRlong] = ACTIONS(7171),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7171),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7171),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7171),
    [anon_sym_BSLASHacrfull] = ACTIONS(7171),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7171),
    [anon_sym_BSLASHACRfull] = ACTIONS(7171),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHacs] = ACTIONS(7171),
    [anon_sym_BSLASHAcs] = ACTIONS(7171),
    [anon_sym_BSLASHacsp] = ACTIONS(7171),
    [anon_sym_BSLASHAcsp] = ACTIONS(7171),
    [anon_sym_BSLASHacl] = ACTIONS(7171),
    [anon_sym_BSLASHAcl] = ACTIONS(7171),
    [anon_sym_BSLASHaclp] = ACTIONS(7171),
    [anon_sym_BSLASHAclp] = ACTIONS(7171),
    [anon_sym_BSLASHacf] = ACTIONS(7171),
    [anon_sym_BSLASHAcf] = ACTIONS(7171),
    [anon_sym_BSLASHacfp] = ACTIONS(7171),
    [anon_sym_BSLASHAcfp] = ACTIONS(7171),
    [anon_sym_BSLASHac] = ACTIONS(7171),
    [anon_sym_BSLASHAc] = ACTIONS(7171),
    [anon_sym_BSLASHacp] = ACTIONS(7171),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7171),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7171),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7171),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7171),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7171),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7171),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7171),
    [anon_sym_BSLASHcolor] = ACTIONS(7171),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7171),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7171),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7171),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7171),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7171),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7171),
    [anon_sym_BSLASHurl] = ACTIONS(7171),
    [anon_sym_BSLASHhref] = ACTIONS(7171),
  },
  [1372] = {
    [sym_command_name] = ACTIONS(7175),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7175),
    [anon_sym_LBRACK] = ACTIONS(7177),
    [anon_sym_RBRACK] = ACTIONS(7177),
    [anon_sym_COMMA] = ACTIONS(7177),
    [anon_sym_EQ] = ACTIONS(7177),
    [anon_sym_LPAREN] = ACTIONS(7177),
    [anon_sym_RPAREN] = ACTIONS(7177),
    [anon_sym_BSLASHpart] = ACTIONS(7175),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHaddpart] = ACTIONS(7175),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHchapter] = ACTIONS(7175),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHaddchap] = ACTIONS(7175),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHsection] = ACTIONS(7175),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHaddsec] = ACTIONS(7175),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHsubsection] = ACTIONS(7175),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7175),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHparagraph] = ACTIONS(7175),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7175),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHitem] = ACTIONS(7175),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7177),
    [anon_sym_LBRACE] = ACTIONS(7177),
    [sym_word] = ACTIONS(7175),
    [sym_placeholder] = ACTIONS(7177),
    [sym_delimiter] = ACTIONS(7177),
    [anon_sym_PLUS] = ACTIONS(7177),
    [anon_sym_DASH] = ACTIONS(7177),
    [anon_sym_STAR] = ACTIONS(7177),
    [anon_sym_SLASH] = ACTIONS(7177),
    [anon_sym_LT] = ACTIONS(7175),
    [anon_sym_GT] = ACTIONS(7175),
    [anon_sym_BANG] = ACTIONS(7175),
    [anon_sym_PIPE] = ACTIONS(7175),
    [anon_sym_COLON] = ACTIONS(7175),
    [anon_sym_SQUOTE] = ACTIONS(7175),
    [anon_sym__] = ACTIONS(7177),
    [anon_sym_CARET] = ACTIONS(7177),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7177),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7177),
    [anon_sym_DOLLAR] = ACTIONS(7175),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7177),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7177),
    [anon_sym_BSLASHleft] = ACTIONS(7175),
    [anon_sym_BSLASHbigl] = ACTIONS(7175),
    [anon_sym_BSLASHBigl] = ACTIONS(7175),
    [anon_sym_BSLASHbiggl] = ACTIONS(7175),
    [anon_sym_BSLASHBiggl] = ACTIONS(7175),
    [anon_sym_BSLASHtext] = ACTIONS(7175),
    [anon_sym_BSLASHintertext] = ACTIONS(7175),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7175),
    [anon_sym_BSLASHbegin] = ACTIONS(7175),
    [anon_sym_BSLASHtitle] = ACTIONS(7175),
    [anon_sym_BSLASHauthor] = ACTIONS(7175),
    [anon_sym_BSLASHusepackage] = ACTIONS(7175),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7175),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7175),
    [anon_sym_BSLASHinclude] = ACTIONS(7175),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7175),
    [anon_sym_BSLASHinput] = ACTIONS(7175),
    [anon_sym_BSLASHsubfile] = ACTIONS(7175),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7175),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7175),
    [anon_sym_BSLASHbibliography] = ACTIONS(7175),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7175),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7175),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7175),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7175),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7175),
    [anon_sym_BSLASHimport] = ACTIONS(7175),
    [anon_sym_BSLASHsubimport] = ACTIONS(7175),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7175),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7175),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7175),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7175),
    [anon_sym_BSLASHcaption] = ACTIONS(7175),
    [anon_sym_BSLASHcite] = ACTIONS(7175),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHCite] = ACTIONS(7175),
    [anon_sym_BSLASHnocite] = ACTIONS(7175),
    [anon_sym_BSLASHcitet] = ACTIONS(7175),
    [anon_sym_BSLASHcitep] = ACTIONS(7175),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHciteA] = ACTIONS(7175),
    [anon_sym_BSLASHciteR] = ACTIONS(7175),
    [anon_sym_BSLASHciteS] = ACTIONS(7175),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7175),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7175),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7175),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7175),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHciteyear] = ACTIONS(7175),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcitedate] = ACTIONS(7175),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHciteurl] = ACTIONS(7175),
    [anon_sym_BSLASHfullcite] = ACTIONS(7175),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7175),
    [anon_sym_BSLASHcitealt] = ACTIONS(7175),
    [anon_sym_BSLASHcitealp] = ACTIONS(7175),
    [anon_sym_BSLASHcitetext] = ACTIONS(7175),
    [anon_sym_BSLASHparencite] = ACTIONS(7175),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHParencite] = ACTIONS(7175),
    [anon_sym_BSLASHfootcite] = ACTIONS(7175),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7175),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7175),
    [anon_sym_BSLASHtextcite] = ACTIONS(7175),
    [anon_sym_BSLASHTextcite] = ACTIONS(7175),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7175),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7175),
    [anon_sym_BSLASHsupercite] = ACTIONS(7175),
    [anon_sym_BSLASHautocite] = ACTIONS(7175),
    [anon_sym_BSLASHAutocite] = ACTIONS(7175),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHVolcite] = ACTIONS(7175),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHavolcite] = ACTIONS(7175),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHnotecite] = ACTIONS(7175),
    [anon_sym_BSLASHNotecite] = ACTIONS(7175),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7175),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7175),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7175),
    [anon_sym_BSLASHlabel] = ACTIONS(7175),
    [anon_sym_BSLASHref] = ACTIONS(7175),
    [anon_sym_BSLASHeqref] = ACTIONS(7175),
    [anon_sym_BSLASHvref] = ACTIONS(7175),
    [anon_sym_BSLASHVref] = ACTIONS(7175),
    [anon_sym_BSLASHautoref] = ACTIONS(7175),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHpageref] = ACTIONS(7175),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHautopageref] = ACTIONS(7175),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcref] = ACTIONS(7175),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHCref] = ACTIONS(7175),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcpageref] = ACTIONS(7175),
    [anon_sym_BSLASHCpageref] = ACTIONS(7175),
    [anon_sym_BSLASHnamecref] = ACTIONS(7175),
    [anon_sym_BSLASHnameCref] = ACTIONS(7175),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7175),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7175),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7175),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7175),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7175),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7175),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7175),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7175),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7175),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7175),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7175),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7175),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7175),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7175),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7175),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7175),
    [anon_sym_BSLASHdef] = ACTIONS(7175),
    [anon_sym_BSLASHgdef] = ACTIONS(7175),
    [anon_sym_BSLASHedef] = ACTIONS(7175),
    [anon_sym_BSLASHxdef] = ACTIONS(7175),
    [anon_sym_BSLASHlet] = ACTIONS(7175),
    [anon_sym_BSLASHglet] = ACTIONS(7175),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7175),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7175),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7175),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7175),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7175),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7175),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7175),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7175),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7175),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7175),
    [anon_sym_BSLASHgls] = ACTIONS(7175),
    [anon_sym_BSLASHGls] = ACTIONS(7175),
    [anon_sym_BSLASHGLS] = ACTIONS(7175),
    [anon_sym_BSLASHglspl] = ACTIONS(7175),
    [anon_sym_BSLASHGlspl] = ACTIONS(7175),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7175),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7175),
    [anon_sym_BSLASHglslink] = ACTIONS(7175),
    [anon_sym_BSLASHglstext] = ACTIONS(7175),
    [anon_sym_BSLASHGlstext] = ACTIONS(7175),
    [anon_sym_BSLASHGLStext] = ACTIONS(7175),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7175),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7175),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7175),
    [anon_sym_BSLASHglsplural] = ACTIONS(7175),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7175),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7175),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7175),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7175),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7175),
    [anon_sym_BSLASHglsname] = ACTIONS(7175),
    [anon_sym_BSLASHGlsname] = ACTIONS(7175),
    [anon_sym_BSLASHGLSname] = ACTIONS(7175),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7175),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7175),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7175),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7175),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7175),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7175),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7175),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7175),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7175),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7175),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7175),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7175),
    [anon_sym_BSLASHacrshort] = ACTIONS(7175),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7175),
    [anon_sym_BSLASHACRshort] = ACTIONS(7175),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHacrlong] = ACTIONS(7175),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7175),
    [anon_sym_BSLASHACRlong] = ACTIONS(7175),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7175),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7175),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7175),
    [anon_sym_BSLASHacrfull] = ACTIONS(7175),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7175),
    [anon_sym_BSLASHACRfull] = ACTIONS(7175),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHacs] = ACTIONS(7175),
    [anon_sym_BSLASHAcs] = ACTIONS(7175),
    [anon_sym_BSLASHacsp] = ACTIONS(7175),
    [anon_sym_BSLASHAcsp] = ACTIONS(7175),
    [anon_sym_BSLASHacl] = ACTIONS(7175),
    [anon_sym_BSLASHAcl] = ACTIONS(7175),
    [anon_sym_BSLASHaclp] = ACTIONS(7175),
    [anon_sym_BSLASHAclp] = ACTIONS(7175),
    [anon_sym_BSLASHacf] = ACTIONS(7175),
    [anon_sym_BSLASHAcf] = ACTIONS(7175),
    [anon_sym_BSLASHacfp] = ACTIONS(7175),
    [anon_sym_BSLASHAcfp] = ACTIONS(7175),
    [anon_sym_BSLASHac] = ACTIONS(7175),
    [anon_sym_BSLASHAc] = ACTIONS(7175),
    [anon_sym_BSLASHacp] = ACTIONS(7175),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7175),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7175),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7175),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7175),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7175),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7175),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7175),
    [anon_sym_BSLASHcolor] = ACTIONS(7175),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7175),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7175),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7175),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7175),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7175),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7175),
    [anon_sym_BSLASHurl] = ACTIONS(7175),
    [anon_sym_BSLASHhref] = ACTIONS(7175),
  },
  [1373] = {
    [sym_command_name] = ACTIONS(7179),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7179),
    [anon_sym_LBRACK] = ACTIONS(7181),
    [anon_sym_RBRACK] = ACTIONS(7181),
    [anon_sym_COMMA] = ACTIONS(7181),
    [anon_sym_EQ] = ACTIONS(7181),
    [anon_sym_LPAREN] = ACTIONS(7181),
    [anon_sym_RPAREN] = ACTIONS(7181),
    [anon_sym_BSLASHpart] = ACTIONS(7179),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHaddpart] = ACTIONS(7179),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHchapter] = ACTIONS(7179),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHaddchap] = ACTIONS(7179),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHsection] = ACTIONS(7179),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHaddsec] = ACTIONS(7179),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHsubsection] = ACTIONS(7179),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7179),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHparagraph] = ACTIONS(7179),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7179),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHitem] = ACTIONS(7179),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7181),
    [anon_sym_LBRACE] = ACTIONS(7181),
    [sym_word] = ACTIONS(7179),
    [sym_placeholder] = ACTIONS(7181),
    [sym_delimiter] = ACTIONS(7181),
    [anon_sym_PLUS] = ACTIONS(7181),
    [anon_sym_DASH] = ACTIONS(7181),
    [anon_sym_STAR] = ACTIONS(7181),
    [anon_sym_SLASH] = ACTIONS(7181),
    [anon_sym_LT] = ACTIONS(7179),
    [anon_sym_GT] = ACTIONS(7179),
    [anon_sym_BANG] = ACTIONS(7179),
    [anon_sym_PIPE] = ACTIONS(7179),
    [anon_sym_COLON] = ACTIONS(7179),
    [anon_sym_SQUOTE] = ACTIONS(7179),
    [anon_sym__] = ACTIONS(7181),
    [anon_sym_CARET] = ACTIONS(7181),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7181),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7181),
    [anon_sym_DOLLAR] = ACTIONS(7179),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7181),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7181),
    [anon_sym_BSLASHleft] = ACTIONS(7179),
    [anon_sym_BSLASHbigl] = ACTIONS(7179),
    [anon_sym_BSLASHBigl] = ACTIONS(7179),
    [anon_sym_BSLASHbiggl] = ACTIONS(7179),
    [anon_sym_BSLASHBiggl] = ACTIONS(7179),
    [anon_sym_BSLASHtext] = ACTIONS(7179),
    [anon_sym_BSLASHintertext] = ACTIONS(7179),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7179),
    [anon_sym_BSLASHbegin] = ACTIONS(7179),
    [anon_sym_BSLASHtitle] = ACTIONS(7179),
    [anon_sym_BSLASHauthor] = ACTIONS(7179),
    [anon_sym_BSLASHusepackage] = ACTIONS(7179),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7179),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7179),
    [anon_sym_BSLASHinclude] = ACTIONS(7179),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7179),
    [anon_sym_BSLASHinput] = ACTIONS(7179),
    [anon_sym_BSLASHsubfile] = ACTIONS(7179),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7179),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7179),
    [anon_sym_BSLASHbibliography] = ACTIONS(7179),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7179),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7179),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7179),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7179),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7179),
    [anon_sym_BSLASHimport] = ACTIONS(7179),
    [anon_sym_BSLASHsubimport] = ACTIONS(7179),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7179),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7179),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7179),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7179),
    [anon_sym_BSLASHcaption] = ACTIONS(7179),
    [anon_sym_BSLASHcite] = ACTIONS(7179),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHCite] = ACTIONS(7179),
    [anon_sym_BSLASHnocite] = ACTIONS(7179),
    [anon_sym_BSLASHcitet] = ACTIONS(7179),
    [anon_sym_BSLASHcitep] = ACTIONS(7179),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHciteA] = ACTIONS(7179),
    [anon_sym_BSLASHciteR] = ACTIONS(7179),
    [anon_sym_BSLASHciteS] = ACTIONS(7179),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7179),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7179),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7179),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7179),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHciteyear] = ACTIONS(7179),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcitedate] = ACTIONS(7179),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHciteurl] = ACTIONS(7179),
    [anon_sym_BSLASHfullcite] = ACTIONS(7179),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7179),
    [anon_sym_BSLASHcitealt] = ACTIONS(7179),
    [anon_sym_BSLASHcitealp] = ACTIONS(7179),
    [anon_sym_BSLASHcitetext] = ACTIONS(7179),
    [anon_sym_BSLASHparencite] = ACTIONS(7179),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHParencite] = ACTIONS(7179),
    [anon_sym_BSLASHfootcite] = ACTIONS(7179),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7179),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7179),
    [anon_sym_BSLASHtextcite] = ACTIONS(7179),
    [anon_sym_BSLASHTextcite] = ACTIONS(7179),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7179),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7179),
    [anon_sym_BSLASHsupercite] = ACTIONS(7179),
    [anon_sym_BSLASHautocite] = ACTIONS(7179),
    [anon_sym_BSLASHAutocite] = ACTIONS(7179),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHVolcite] = ACTIONS(7179),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHavolcite] = ACTIONS(7179),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHnotecite] = ACTIONS(7179),
    [anon_sym_BSLASHNotecite] = ACTIONS(7179),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7179),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7179),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7179),
    [anon_sym_BSLASHlabel] = ACTIONS(7179),
    [anon_sym_BSLASHref] = ACTIONS(7179),
    [anon_sym_BSLASHeqref] = ACTIONS(7179),
    [anon_sym_BSLASHvref] = ACTIONS(7179),
    [anon_sym_BSLASHVref] = ACTIONS(7179),
    [anon_sym_BSLASHautoref] = ACTIONS(7179),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHpageref] = ACTIONS(7179),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHautopageref] = ACTIONS(7179),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcref] = ACTIONS(7179),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHCref] = ACTIONS(7179),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcpageref] = ACTIONS(7179),
    [anon_sym_BSLASHCpageref] = ACTIONS(7179),
    [anon_sym_BSLASHnamecref] = ACTIONS(7179),
    [anon_sym_BSLASHnameCref] = ACTIONS(7179),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7179),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7179),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7179),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7179),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7179),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7179),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7179),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7179),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7179),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7179),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7179),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7179),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7179),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7179),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7179),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7179),
    [anon_sym_BSLASHdef] = ACTIONS(7179),
    [anon_sym_BSLASHgdef] = ACTIONS(7179),
    [anon_sym_BSLASHedef] = ACTIONS(7179),
    [anon_sym_BSLASHxdef] = ACTIONS(7179),
    [anon_sym_BSLASHlet] = ACTIONS(7179),
    [anon_sym_BSLASHglet] = ACTIONS(7179),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7179),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7179),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7179),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7179),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7179),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7179),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7179),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7179),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7179),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7179),
    [anon_sym_BSLASHgls] = ACTIONS(7179),
    [anon_sym_BSLASHGls] = ACTIONS(7179),
    [anon_sym_BSLASHGLS] = ACTIONS(7179),
    [anon_sym_BSLASHglspl] = ACTIONS(7179),
    [anon_sym_BSLASHGlspl] = ACTIONS(7179),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7179),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7179),
    [anon_sym_BSLASHglslink] = ACTIONS(7179),
    [anon_sym_BSLASHglstext] = ACTIONS(7179),
    [anon_sym_BSLASHGlstext] = ACTIONS(7179),
    [anon_sym_BSLASHGLStext] = ACTIONS(7179),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7179),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7179),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7179),
    [anon_sym_BSLASHglsplural] = ACTIONS(7179),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7179),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7179),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7179),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7179),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7179),
    [anon_sym_BSLASHglsname] = ACTIONS(7179),
    [anon_sym_BSLASHGlsname] = ACTIONS(7179),
    [anon_sym_BSLASHGLSname] = ACTIONS(7179),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7179),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7179),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7179),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7179),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7179),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7179),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7179),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7179),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7179),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7179),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7179),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7179),
    [anon_sym_BSLASHacrshort] = ACTIONS(7179),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7179),
    [anon_sym_BSLASHACRshort] = ACTIONS(7179),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHacrlong] = ACTIONS(7179),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7179),
    [anon_sym_BSLASHACRlong] = ACTIONS(7179),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7179),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7179),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7179),
    [anon_sym_BSLASHacrfull] = ACTIONS(7179),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7179),
    [anon_sym_BSLASHACRfull] = ACTIONS(7179),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHacs] = ACTIONS(7179),
    [anon_sym_BSLASHAcs] = ACTIONS(7179),
    [anon_sym_BSLASHacsp] = ACTIONS(7179),
    [anon_sym_BSLASHAcsp] = ACTIONS(7179),
    [anon_sym_BSLASHacl] = ACTIONS(7179),
    [anon_sym_BSLASHAcl] = ACTIONS(7179),
    [anon_sym_BSLASHaclp] = ACTIONS(7179),
    [anon_sym_BSLASHAclp] = ACTIONS(7179),
    [anon_sym_BSLASHacf] = ACTIONS(7179),
    [anon_sym_BSLASHAcf] = ACTIONS(7179),
    [anon_sym_BSLASHacfp] = ACTIONS(7179),
    [anon_sym_BSLASHAcfp] = ACTIONS(7179),
    [anon_sym_BSLASHac] = ACTIONS(7179),
    [anon_sym_BSLASHAc] = ACTIONS(7179),
    [anon_sym_BSLASHacp] = ACTIONS(7179),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7179),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7179),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7179),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7179),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7179),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7179),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7179),
    [anon_sym_BSLASHcolor] = ACTIONS(7179),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7179),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7179),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7179),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7179),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7179),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7179),
    [anon_sym_BSLASHurl] = ACTIONS(7179),
    [anon_sym_BSLASHhref] = ACTIONS(7179),
  },
  [1374] = {
    [sym_command_name] = ACTIONS(7183),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7183),
    [anon_sym_LBRACK] = ACTIONS(7185),
    [anon_sym_RBRACK] = ACTIONS(7185),
    [anon_sym_COMMA] = ACTIONS(7185),
    [anon_sym_EQ] = ACTIONS(7185),
    [anon_sym_LPAREN] = ACTIONS(7185),
    [anon_sym_RPAREN] = ACTIONS(7185),
    [anon_sym_BSLASHpart] = ACTIONS(7183),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHaddpart] = ACTIONS(7183),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHchapter] = ACTIONS(7183),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHaddchap] = ACTIONS(7183),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHsection] = ACTIONS(7183),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHaddsec] = ACTIONS(7183),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHsubsection] = ACTIONS(7183),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7183),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHparagraph] = ACTIONS(7183),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7183),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHitem] = ACTIONS(7183),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7185),
    [anon_sym_LBRACE] = ACTIONS(7185),
    [sym_word] = ACTIONS(7183),
    [sym_placeholder] = ACTIONS(7185),
    [sym_delimiter] = ACTIONS(7185),
    [anon_sym_PLUS] = ACTIONS(7185),
    [anon_sym_DASH] = ACTIONS(7185),
    [anon_sym_STAR] = ACTIONS(7185),
    [anon_sym_SLASH] = ACTIONS(7185),
    [anon_sym_LT] = ACTIONS(7183),
    [anon_sym_GT] = ACTIONS(7183),
    [anon_sym_BANG] = ACTIONS(7183),
    [anon_sym_PIPE] = ACTIONS(7183),
    [anon_sym_COLON] = ACTIONS(7183),
    [anon_sym_SQUOTE] = ACTIONS(7183),
    [anon_sym__] = ACTIONS(7185),
    [anon_sym_CARET] = ACTIONS(7185),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7185),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7185),
    [anon_sym_DOLLAR] = ACTIONS(7183),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7185),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7185),
    [anon_sym_BSLASHleft] = ACTIONS(7183),
    [anon_sym_BSLASHbigl] = ACTIONS(7183),
    [anon_sym_BSLASHBigl] = ACTIONS(7183),
    [anon_sym_BSLASHbiggl] = ACTIONS(7183),
    [anon_sym_BSLASHBiggl] = ACTIONS(7183),
    [anon_sym_BSLASHtext] = ACTIONS(7183),
    [anon_sym_BSLASHintertext] = ACTIONS(7183),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7183),
    [anon_sym_BSLASHbegin] = ACTIONS(7183),
    [anon_sym_BSLASHtitle] = ACTIONS(7183),
    [anon_sym_BSLASHauthor] = ACTIONS(7183),
    [anon_sym_BSLASHusepackage] = ACTIONS(7183),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7183),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7183),
    [anon_sym_BSLASHinclude] = ACTIONS(7183),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7183),
    [anon_sym_BSLASHinput] = ACTIONS(7183),
    [anon_sym_BSLASHsubfile] = ACTIONS(7183),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7183),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7183),
    [anon_sym_BSLASHbibliography] = ACTIONS(7183),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7183),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7183),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7183),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7183),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7183),
    [anon_sym_BSLASHimport] = ACTIONS(7183),
    [anon_sym_BSLASHsubimport] = ACTIONS(7183),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7183),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7183),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7183),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7183),
    [anon_sym_BSLASHcaption] = ACTIONS(7183),
    [anon_sym_BSLASHcite] = ACTIONS(7183),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHCite] = ACTIONS(7183),
    [anon_sym_BSLASHnocite] = ACTIONS(7183),
    [anon_sym_BSLASHcitet] = ACTIONS(7183),
    [anon_sym_BSLASHcitep] = ACTIONS(7183),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHciteA] = ACTIONS(7183),
    [anon_sym_BSLASHciteR] = ACTIONS(7183),
    [anon_sym_BSLASHciteS] = ACTIONS(7183),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7183),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7183),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7183),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7183),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHciteyear] = ACTIONS(7183),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcitedate] = ACTIONS(7183),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHciteurl] = ACTIONS(7183),
    [anon_sym_BSLASHfullcite] = ACTIONS(7183),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7183),
    [anon_sym_BSLASHcitealt] = ACTIONS(7183),
    [anon_sym_BSLASHcitealp] = ACTIONS(7183),
    [anon_sym_BSLASHcitetext] = ACTIONS(7183),
    [anon_sym_BSLASHparencite] = ACTIONS(7183),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHParencite] = ACTIONS(7183),
    [anon_sym_BSLASHfootcite] = ACTIONS(7183),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7183),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7183),
    [anon_sym_BSLASHtextcite] = ACTIONS(7183),
    [anon_sym_BSLASHTextcite] = ACTIONS(7183),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7183),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7183),
    [anon_sym_BSLASHsupercite] = ACTIONS(7183),
    [anon_sym_BSLASHautocite] = ACTIONS(7183),
    [anon_sym_BSLASHAutocite] = ACTIONS(7183),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHVolcite] = ACTIONS(7183),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHavolcite] = ACTIONS(7183),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHnotecite] = ACTIONS(7183),
    [anon_sym_BSLASHNotecite] = ACTIONS(7183),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7183),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7183),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7183),
    [anon_sym_BSLASHlabel] = ACTIONS(7183),
    [anon_sym_BSLASHref] = ACTIONS(7183),
    [anon_sym_BSLASHeqref] = ACTIONS(7183),
    [anon_sym_BSLASHvref] = ACTIONS(7183),
    [anon_sym_BSLASHVref] = ACTIONS(7183),
    [anon_sym_BSLASHautoref] = ACTIONS(7183),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHpageref] = ACTIONS(7183),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHautopageref] = ACTIONS(7183),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcref] = ACTIONS(7183),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHCref] = ACTIONS(7183),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcpageref] = ACTIONS(7183),
    [anon_sym_BSLASHCpageref] = ACTIONS(7183),
    [anon_sym_BSLASHnamecref] = ACTIONS(7183),
    [anon_sym_BSLASHnameCref] = ACTIONS(7183),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7183),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7183),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7183),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7183),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7183),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7183),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7183),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7183),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7183),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7183),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7183),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7183),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7183),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7183),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7183),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7183),
    [anon_sym_BSLASHdef] = ACTIONS(7183),
    [anon_sym_BSLASHgdef] = ACTIONS(7183),
    [anon_sym_BSLASHedef] = ACTIONS(7183),
    [anon_sym_BSLASHxdef] = ACTIONS(7183),
    [anon_sym_BSLASHlet] = ACTIONS(7183),
    [anon_sym_BSLASHglet] = ACTIONS(7183),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7183),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7183),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7183),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7183),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7183),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7183),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7183),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7183),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7183),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7183),
    [anon_sym_BSLASHgls] = ACTIONS(7183),
    [anon_sym_BSLASHGls] = ACTIONS(7183),
    [anon_sym_BSLASHGLS] = ACTIONS(7183),
    [anon_sym_BSLASHglspl] = ACTIONS(7183),
    [anon_sym_BSLASHGlspl] = ACTIONS(7183),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7183),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7183),
    [anon_sym_BSLASHglslink] = ACTIONS(7183),
    [anon_sym_BSLASHglstext] = ACTIONS(7183),
    [anon_sym_BSLASHGlstext] = ACTIONS(7183),
    [anon_sym_BSLASHGLStext] = ACTIONS(7183),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7183),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7183),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7183),
    [anon_sym_BSLASHglsplural] = ACTIONS(7183),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7183),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7183),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7183),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7183),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7183),
    [anon_sym_BSLASHglsname] = ACTIONS(7183),
    [anon_sym_BSLASHGlsname] = ACTIONS(7183),
    [anon_sym_BSLASHGLSname] = ACTIONS(7183),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7183),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7183),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7183),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7183),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7183),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7183),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7183),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7183),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7183),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7183),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7183),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7183),
    [anon_sym_BSLASHacrshort] = ACTIONS(7183),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7183),
    [anon_sym_BSLASHACRshort] = ACTIONS(7183),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHacrlong] = ACTIONS(7183),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7183),
    [anon_sym_BSLASHACRlong] = ACTIONS(7183),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7183),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7183),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7183),
    [anon_sym_BSLASHacrfull] = ACTIONS(7183),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7183),
    [anon_sym_BSLASHACRfull] = ACTIONS(7183),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHacs] = ACTIONS(7183),
    [anon_sym_BSLASHAcs] = ACTIONS(7183),
    [anon_sym_BSLASHacsp] = ACTIONS(7183),
    [anon_sym_BSLASHAcsp] = ACTIONS(7183),
    [anon_sym_BSLASHacl] = ACTIONS(7183),
    [anon_sym_BSLASHAcl] = ACTIONS(7183),
    [anon_sym_BSLASHaclp] = ACTIONS(7183),
    [anon_sym_BSLASHAclp] = ACTIONS(7183),
    [anon_sym_BSLASHacf] = ACTIONS(7183),
    [anon_sym_BSLASHAcf] = ACTIONS(7183),
    [anon_sym_BSLASHacfp] = ACTIONS(7183),
    [anon_sym_BSLASHAcfp] = ACTIONS(7183),
    [anon_sym_BSLASHac] = ACTIONS(7183),
    [anon_sym_BSLASHAc] = ACTIONS(7183),
    [anon_sym_BSLASHacp] = ACTIONS(7183),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7183),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7183),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7183),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7183),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7183),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7183),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7183),
    [anon_sym_BSLASHcolor] = ACTIONS(7183),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7183),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7183),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7183),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7183),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7183),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7183),
    [anon_sym_BSLASHurl] = ACTIONS(7183),
    [anon_sym_BSLASHhref] = ACTIONS(7183),
  },
  [1375] = {
    [sym_command_name] = ACTIONS(7607),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7607),
    [anon_sym_LBRACK] = ACTIONS(7609),
    [anon_sym_RBRACK] = ACTIONS(7609),
    [anon_sym_COMMA] = ACTIONS(7609),
    [anon_sym_EQ] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7609),
    [anon_sym_RPAREN] = ACTIONS(7609),
    [anon_sym_BSLASHpart] = ACTIONS(7607),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHaddpart] = ACTIONS(7607),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHchapter] = ACTIONS(7607),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHaddchap] = ACTIONS(7607),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHsection] = ACTIONS(7607),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHaddsec] = ACTIONS(7607),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHsubsection] = ACTIONS(7607),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7607),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHparagraph] = ACTIONS(7607),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7607),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHitem] = ACTIONS(7607),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7609),
    [anon_sym_LBRACE] = ACTIONS(7609),
    [sym_word] = ACTIONS(7607),
    [sym_placeholder] = ACTIONS(7609),
    [sym_delimiter] = ACTIONS(7609),
    [anon_sym_PLUS] = ACTIONS(7609),
    [anon_sym_DASH] = ACTIONS(7609),
    [anon_sym_STAR] = ACTIONS(7609),
    [anon_sym_SLASH] = ACTIONS(7609),
    [anon_sym_LT] = ACTIONS(7607),
    [anon_sym_GT] = ACTIONS(7607),
    [anon_sym_BANG] = ACTIONS(7607),
    [anon_sym_PIPE] = ACTIONS(7607),
    [anon_sym_COLON] = ACTIONS(7607),
    [anon_sym_SQUOTE] = ACTIONS(7607),
    [anon_sym__] = ACTIONS(7609),
    [anon_sym_CARET] = ACTIONS(7609),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7609),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7609),
    [anon_sym_DOLLAR] = ACTIONS(7607),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7609),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7609),
    [anon_sym_BSLASHleft] = ACTIONS(7607),
    [anon_sym_BSLASHbigl] = ACTIONS(7607),
    [anon_sym_BSLASHBigl] = ACTIONS(7607),
    [anon_sym_BSLASHbiggl] = ACTIONS(7607),
    [anon_sym_BSLASHBiggl] = ACTIONS(7607),
    [anon_sym_BSLASHtext] = ACTIONS(7607),
    [anon_sym_BSLASHintertext] = ACTIONS(7607),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7607),
    [anon_sym_BSLASHbegin] = ACTIONS(7607),
    [anon_sym_BSLASHtitle] = ACTIONS(7607),
    [anon_sym_BSLASHauthor] = ACTIONS(7607),
    [anon_sym_BSLASHusepackage] = ACTIONS(7607),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7607),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7607),
    [anon_sym_BSLASHinclude] = ACTIONS(7607),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7607),
    [anon_sym_BSLASHinput] = ACTIONS(7607),
    [anon_sym_BSLASHsubfile] = ACTIONS(7607),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7607),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7607),
    [anon_sym_BSLASHbibliography] = ACTIONS(7607),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7607),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7607),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7607),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7607),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7607),
    [anon_sym_BSLASHimport] = ACTIONS(7607),
    [anon_sym_BSLASHsubimport] = ACTIONS(7607),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7607),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7607),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7607),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7607),
    [anon_sym_BSLASHcaption] = ACTIONS(7607),
    [anon_sym_BSLASHcite] = ACTIONS(7607),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCite] = ACTIONS(7607),
    [anon_sym_BSLASHnocite] = ACTIONS(7607),
    [anon_sym_BSLASHcitet] = ACTIONS(7607),
    [anon_sym_BSLASHcitep] = ACTIONS(7607),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHciteA] = ACTIONS(7607),
    [anon_sym_BSLASHciteR] = ACTIONS(7607),
    [anon_sym_BSLASHciteS] = ACTIONS(7607),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7607),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7607),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7607),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7607),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHciteyear] = ACTIONS(7607),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcitedate] = ACTIONS(7607),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHciteurl] = ACTIONS(7607),
    [anon_sym_BSLASHfullcite] = ACTIONS(7607),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7607),
    [anon_sym_BSLASHcitealt] = ACTIONS(7607),
    [anon_sym_BSLASHcitealp] = ACTIONS(7607),
    [anon_sym_BSLASHcitetext] = ACTIONS(7607),
    [anon_sym_BSLASHparencite] = ACTIONS(7607),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHParencite] = ACTIONS(7607),
    [anon_sym_BSLASHfootcite] = ACTIONS(7607),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7607),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7607),
    [anon_sym_BSLASHtextcite] = ACTIONS(7607),
    [anon_sym_BSLASHTextcite] = ACTIONS(7607),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7607),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7607),
    [anon_sym_BSLASHsupercite] = ACTIONS(7607),
    [anon_sym_BSLASHautocite] = ACTIONS(7607),
    [anon_sym_BSLASHAutocite] = ACTIONS(7607),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHVolcite] = ACTIONS(7607),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHavolcite] = ACTIONS(7607),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHNotecite] = ACTIONS(7607),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHlabel] = ACTIONS(7607),
    [anon_sym_BSLASHref] = ACTIONS(7607),
    [anon_sym_BSLASHeqref] = ACTIONS(7607),
    [anon_sym_BSLASHvref] = ACTIONS(7607),
    [anon_sym_BSLASHVref] = ACTIONS(7607),
    [anon_sym_BSLASHautoref] = ACTIONS(7607),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHpageref] = ACTIONS(7607),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHautopageref] = ACTIONS(7607),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcref] = ACTIONS(7607),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCref] = ACTIONS(7607),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcpageref] = ACTIONS(7607),
    [anon_sym_BSLASHCpageref] = ACTIONS(7607),
    [anon_sym_BSLASHnamecref] = ACTIONS(7607),
    [anon_sym_BSLASHnameCref] = ACTIONS(7607),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7607),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7607),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7607),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7607),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7607),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7607),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7607),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7607),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7607),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7607),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7607),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7607),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7607),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7607),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7607),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7607),
    [anon_sym_BSLASHdef] = ACTIONS(7607),
    [anon_sym_BSLASHgdef] = ACTIONS(7607),
    [anon_sym_BSLASHedef] = ACTIONS(7607),
    [anon_sym_BSLASHxdef] = ACTIONS(7607),
    [anon_sym_BSLASHlet] = ACTIONS(7607),
    [anon_sym_BSLASHglet] = ACTIONS(7607),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7607),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7607),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7607),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7607),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7607),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7607),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7607),
    [anon_sym_BSLASHgls] = ACTIONS(7607),
    [anon_sym_BSLASHGls] = ACTIONS(7607),
    [anon_sym_BSLASHGLS] = ACTIONS(7607),
    [anon_sym_BSLASHglspl] = ACTIONS(7607),
    [anon_sym_BSLASHGlspl] = ACTIONS(7607),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7607),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7607),
    [anon_sym_BSLASHglslink] = ACTIONS(7607),
    [anon_sym_BSLASHglstext] = ACTIONS(7607),
    [anon_sym_BSLASHGlstext] = ACTIONS(7607),
    [anon_sym_BSLASHGLStext] = ACTIONS(7607),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7607),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7607),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7607),
    [anon_sym_BSLASHglsplural] = ACTIONS(7607),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7607),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7607),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7607),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7607),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7607),
    [anon_sym_BSLASHglsname] = ACTIONS(7607),
    [anon_sym_BSLASHGlsname] = ACTIONS(7607),
    [anon_sym_BSLASHGLSname] = ACTIONS(7607),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7607),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7607),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7607),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7607),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7607),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7607),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7607),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7607),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7607),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7607),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7607),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7607),
    [anon_sym_BSLASHacrshort] = ACTIONS(7607),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7607),
    [anon_sym_BSLASHACRshort] = ACTIONS(7607),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHacrlong] = ACTIONS(7607),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7607),
    [anon_sym_BSLASHACRlong] = ACTIONS(7607),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7607),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7607),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7607),
    [anon_sym_BSLASHacrfull] = ACTIONS(7607),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7607),
    [anon_sym_BSLASHACRfull] = ACTIONS(7607),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHacs] = ACTIONS(7607),
    [anon_sym_BSLASHAcs] = ACTIONS(7607),
    [anon_sym_BSLASHacsp] = ACTIONS(7607),
    [anon_sym_BSLASHAcsp] = ACTIONS(7607),
    [anon_sym_BSLASHacl] = ACTIONS(7607),
    [anon_sym_BSLASHAcl] = ACTIONS(7607),
    [anon_sym_BSLASHaclp] = ACTIONS(7607),
    [anon_sym_BSLASHAclp] = ACTIONS(7607),
    [anon_sym_BSLASHacf] = ACTIONS(7607),
    [anon_sym_BSLASHAcf] = ACTIONS(7607),
    [anon_sym_BSLASHacfp] = ACTIONS(7607),
    [anon_sym_BSLASHAcfp] = ACTIONS(7607),
    [anon_sym_BSLASHac] = ACTIONS(7607),
    [anon_sym_BSLASHAc] = ACTIONS(7607),
    [anon_sym_BSLASHacp] = ACTIONS(7607),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7607),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7607),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7607),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7607),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7607),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7607),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7607),
    [anon_sym_BSLASHcolor] = ACTIONS(7607),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7607),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7607),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7607),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7607),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7607),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7607),
    [anon_sym_BSLASHurl] = ACTIONS(7607),
    [anon_sym_BSLASHhref] = ACTIONS(7607),
  },
  [1376] = {
    [sym_command_name] = ACTIONS(169),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_COMMA] = ACTIONS(171),
    [anon_sym_EQ] = ACTIONS(171),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_BSLASHpart] = ACTIONS(169),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddpart] = ACTIONS(169),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(171),
    [anon_sym_BSLASHchapter] = ACTIONS(169),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddchap] = ACTIONS(169),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsection] = ACTIONS(169),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddsec] = ACTIONS(169),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubsection] = ACTIONS(169),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(169),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHparagraph] = ACTIONS(169),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(169),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(171),
    [anon_sym_BSLASHitem] = ACTIONS(169),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(171),
    [anon_sym_LBRACE] = ACTIONS(171),
    [sym_word] = ACTIONS(169),
    [sym_placeholder] = ACTIONS(171),
    [sym_delimiter] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_STAR] = ACTIONS(171),
    [anon_sym_SLASH] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(169),
    [anon_sym_GT] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_PIPE] = ACTIONS(169),
    [anon_sym_COLON] = ACTIONS(169),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym__] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(171),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(171),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(171),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(171),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(171),
    [anon_sym_BSLASHleft] = ACTIONS(169),
    [anon_sym_BSLASHbigl] = ACTIONS(169),
    [anon_sym_BSLASHBigl] = ACTIONS(169),
    [anon_sym_BSLASHbiggl] = ACTIONS(169),
    [anon_sym_BSLASHBiggl] = ACTIONS(169),
    [anon_sym_BSLASHtext] = ACTIONS(169),
    [anon_sym_BSLASHintertext] = ACTIONS(169),
    [anon_sym_BSLASHshortintertext] = ACTIONS(169),
    [anon_sym_BSLASHbegin] = ACTIONS(169),
    [anon_sym_BSLASHtitle] = ACTIONS(169),
    [anon_sym_BSLASHauthor] = ACTIONS(169),
    [anon_sym_BSLASHusepackage] = ACTIONS(169),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(169),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(169),
    [anon_sym_BSLASHinclude] = ACTIONS(169),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(169),
    [anon_sym_BSLASHinput] = ACTIONS(169),
    [anon_sym_BSLASHsubfile] = ACTIONS(169),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(169),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(169),
    [anon_sym_BSLASHbibliography] = ACTIONS(169),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(169),
    [anon_sym_BSLASHincludesvg] = ACTIONS(169),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(169),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(169),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(169),
    [anon_sym_BSLASHimport] = ACTIONS(169),
    [anon_sym_BSLASHsubimport] = ACTIONS(169),
    [anon_sym_BSLASHinputfrom] = ACTIONS(169),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(169),
    [anon_sym_BSLASHincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHcaption] = ACTIONS(169),
    [anon_sym_BSLASHcite] = ACTIONS(169),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCite] = ACTIONS(169),
    [anon_sym_BSLASHnocite] = ACTIONS(169),
    [anon_sym_BSLASHcitet] = ACTIONS(169),
    [anon_sym_BSLASHcitep] = ACTIONS(169),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteA] = ACTIONS(169),
    [anon_sym_BSLASHciteR] = ACTIONS(169),
    [anon_sym_BSLASHciteS] = ACTIONS(169),
    [anon_sym_BSLASHciteyearR] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(169),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitetitle] = ACTIONS(169),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteyear] = ACTIONS(169),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitedate] = ACTIONS(169),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteurl] = ACTIONS(169),
    [anon_sym_BSLASHfullcite] = ACTIONS(169),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(169),
    [anon_sym_BSLASHcitealt] = ACTIONS(169),
    [anon_sym_BSLASHcitealp] = ACTIONS(169),
    [anon_sym_BSLASHcitetext] = ACTIONS(169),
    [anon_sym_BSLASHparencite] = ACTIONS(169),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHParencite] = ACTIONS(169),
    [anon_sym_BSLASHfootcite] = ACTIONS(169),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(169),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(169),
    [anon_sym_BSLASHtextcite] = ACTIONS(169),
    [anon_sym_BSLASHTextcite] = ACTIONS(169),
    [anon_sym_BSLASHsmartcite] = ACTIONS(169),
    [anon_sym_BSLASHSmartcite] = ACTIONS(169),
    [anon_sym_BSLASHsupercite] = ACTIONS(169),
    [anon_sym_BSLASHautocite] = ACTIONS(169),
    [anon_sym_BSLASHAutocite] = ACTIONS(169),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHvolcite] = ACTIONS(169),
    [anon_sym_BSLASHVolcite] = ACTIONS(169),
    [anon_sym_BSLASHpvolcite] = ACTIONS(169),
    [anon_sym_BSLASHPvolcite] = ACTIONS(169),
    [anon_sym_BSLASHfvolcite] = ACTIONS(169),
    [anon_sym_BSLASHftvolcite] = ACTIONS(169),
    [anon_sym_BSLASHsvolcite] = ACTIONS(169),
    [anon_sym_BSLASHSvolcite] = ACTIONS(169),
    [anon_sym_BSLASHtvolcite] = ACTIONS(169),
    [anon_sym_BSLASHTvolcite] = ACTIONS(169),
    [anon_sym_BSLASHavolcite] = ACTIONS(169),
    [anon_sym_BSLASHAvolcite] = ACTIONS(169),
    [anon_sym_BSLASHnotecite] = ACTIONS(169),
    [anon_sym_BSLASHNotecite] = ACTIONS(169),
    [anon_sym_BSLASHpnotecite] = ACTIONS(169),
    [anon_sym_BSLASHPnotecite] = ACTIONS(169),
    [anon_sym_BSLASHfnotecite] = ACTIONS(169),
    [anon_sym_BSLASHlabel] = ACTIONS(169),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHeqref] = ACTIONS(169),
    [anon_sym_BSLASHvref] = ACTIONS(169),
    [anon_sym_BSLASHVref] = ACTIONS(169),
    [anon_sym_BSLASHautoref] = ACTIONS(169),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHpageref] = ACTIONS(169),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHautopageref] = ACTIONS(169),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcref] = ACTIONS(169),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCref] = ACTIONS(169),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpageref] = ACTIONS(169),
    [anon_sym_BSLASHCpageref] = ACTIONS(169),
    [anon_sym_BSLASHnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnameCref] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcrefrange] = ACTIONS(169),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCrefrange] = ACTIONS(169),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHnewlabel] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(169),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(169),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(169),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(171),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHdef] = ACTIONS(169),
    [anon_sym_BSLASHgdef] = ACTIONS(169),
    [anon_sym_BSLASHedef] = ACTIONS(169),
    [anon_sym_BSLASHxdef] = ACTIONS(169),
    [anon_sym_BSLASHlet] = ACTIONS(169),
    [anon_sym_BSLASHglet] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(169),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(169),
    [anon_sym_BSLASHgls] = ACTIONS(169),
    [anon_sym_BSLASHGls] = ACTIONS(169),
    [anon_sym_BSLASHGLS] = ACTIONS(169),
    [anon_sym_BSLASHglspl] = ACTIONS(169),
    [anon_sym_BSLASHGlspl] = ACTIONS(169),
    [anon_sym_BSLASHGLSpl] = ACTIONS(169),
    [anon_sym_BSLASHglsdisp] = ACTIONS(169),
    [anon_sym_BSLASHglslink] = ACTIONS(169),
    [anon_sym_BSLASHglstext] = ACTIONS(169),
    [anon_sym_BSLASHGlstext] = ACTIONS(169),
    [anon_sym_BSLASHGLStext] = ACTIONS(169),
    [anon_sym_BSLASHglsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(169),
    [anon_sym_BSLASHglsplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSplural] = ACTIONS(169),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHglsname] = ACTIONS(169),
    [anon_sym_BSLASHGlsname] = ACTIONS(169),
    [anon_sym_BSLASHGLSname] = ACTIONS(169),
    [anon_sym_BSLASHglssymbol] = ACTIONS(169),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(169),
    [anon_sym_BSLASHglsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(169),
    [anon_sym_BSLASHglsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(169),
    [anon_sym_BSLASHglsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(169),
    [anon_sym_BSLASHglsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(169),
    [anon_sym_BSLASHglsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(169),
    [anon_sym_BSLASHnewacronym] = ACTIONS(169),
    [anon_sym_BSLASHacrshort] = ACTIONS(169),
    [anon_sym_BSLASHAcrshort] = ACTIONS(169),
    [anon_sym_BSLASHACRshort] = ACTIONS(169),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(169),
    [anon_sym_BSLASHacrlong] = ACTIONS(169),
    [anon_sym_BSLASHAcrlong] = ACTIONS(169),
    [anon_sym_BSLASHACRlong] = ACTIONS(169),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(169),
    [anon_sym_BSLASHacrfull] = ACTIONS(169),
    [anon_sym_BSLASHAcrfull] = ACTIONS(169),
    [anon_sym_BSLASHACRfull] = ACTIONS(169),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(169),
    [anon_sym_BSLASHacs] = ACTIONS(169),
    [anon_sym_BSLASHAcs] = ACTIONS(169),
    [anon_sym_BSLASHacsp] = ACTIONS(169),
    [anon_sym_BSLASHAcsp] = ACTIONS(169),
    [anon_sym_BSLASHacl] = ACTIONS(169),
    [anon_sym_BSLASHAcl] = ACTIONS(169),
    [anon_sym_BSLASHaclp] = ACTIONS(169),
    [anon_sym_BSLASHAclp] = ACTIONS(169),
    [anon_sym_BSLASHacf] = ACTIONS(169),
    [anon_sym_BSLASHAcf] = ACTIONS(169),
    [anon_sym_BSLASHacfp] = ACTIONS(169),
    [anon_sym_BSLASHAcfp] = ACTIONS(169),
    [anon_sym_BSLASHac] = ACTIONS(169),
    [anon_sym_BSLASHAc] = ACTIONS(169),
    [anon_sym_BSLASHacp] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(169),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(169),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(169),
    [anon_sym_BSLASHcolor] = ACTIONS(169),
    [anon_sym_BSLASHpagecolor] = ACTIONS(169),
    [anon_sym_BSLASHtextcolor] = ACTIONS(169),
    [anon_sym_BSLASHmathcolor] = ACTIONS(169),
    [anon_sym_BSLASHcolorbox] = ACTIONS(169),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(169),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(169),
    [anon_sym_BSLASHurl] = ACTIONS(169),
    [anon_sym_BSLASHhref] = ACTIONS(169),
  },
  [1377] = {
    [sym_command_name] = ACTIONS(7535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(7537),
    [anon_sym_RBRACK] = ACTIONS(7537),
    [anon_sym_COMMA] = ACTIONS(7537),
    [anon_sym_EQ] = ACTIONS(7537),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_RPAREN] = ACTIONS(7537),
    [anon_sym_BSLASHpart] = ACTIONS(7535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHaddpart] = ACTIONS(7535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHchapter] = ACTIONS(7535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHaddchap] = ACTIONS(7535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHsection] = ACTIONS(7535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHaddsec] = ACTIONS(7535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHsubsection] = ACTIONS(7535),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7535),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHparagraph] = ACTIONS(7535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHitem] = ACTIONS(7535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7537),
    [anon_sym_LBRACE] = ACTIONS(7537),
    [sym_word] = ACTIONS(7535),
    [sym_placeholder] = ACTIONS(7537),
    [sym_delimiter] = ACTIONS(7537),
    [anon_sym_PLUS] = ACTIONS(7537),
    [anon_sym_DASH] = ACTIONS(7537),
    [anon_sym_STAR] = ACTIONS(7537),
    [anon_sym_SLASH] = ACTIONS(7537),
    [anon_sym_LT] = ACTIONS(7535),
    [anon_sym_GT] = ACTIONS(7535),
    [anon_sym_BANG] = ACTIONS(7535),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_COLON] = ACTIONS(7535),
    [anon_sym_SQUOTE] = ACTIONS(7535),
    [anon_sym__] = ACTIONS(7537),
    [anon_sym_CARET] = ACTIONS(7537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7537),
    [anon_sym_DOLLAR] = ACTIONS(7535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7537),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7537),
    [anon_sym_BSLASHleft] = ACTIONS(7535),
    [anon_sym_BSLASHbigl] = ACTIONS(7535),
    [anon_sym_BSLASHBigl] = ACTIONS(7535),
    [anon_sym_BSLASHbiggl] = ACTIONS(7535),
    [anon_sym_BSLASHBiggl] = ACTIONS(7535),
    [anon_sym_BSLASHtext] = ACTIONS(7535),
    [anon_sym_BSLASHintertext] = ACTIONS(7535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7535),
    [anon_sym_BSLASHbegin] = ACTIONS(7535),
    [anon_sym_BSLASHtitle] = ACTIONS(7535),
    [anon_sym_BSLASHauthor] = ACTIONS(7535),
    [anon_sym_BSLASHusepackage] = ACTIONS(7535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7535),
    [anon_sym_BSLASHinclude] = ACTIONS(7535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7535),
    [anon_sym_BSLASHinput] = ACTIONS(7535),
    [anon_sym_BSLASHsubfile] = ACTIONS(7535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7535),
    [anon_sym_BSLASHbibliography] = ACTIONS(7535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7535),
    [anon_sym_BSLASHimport] = ACTIONS(7535),
    [anon_sym_BSLASHsubimport] = ACTIONS(7535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7535),
    [anon_sym_BSLASHcaption] = ACTIONS(7535),
    [anon_sym_BSLASHcite] = ACTIONS(7535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCite] = ACTIONS(7535),
    [anon_sym_BSLASHnocite] = ACTIONS(7535),
    [anon_sym_BSLASHcitet] = ACTIONS(7535),
    [anon_sym_BSLASHcitep] = ACTIONS(7535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteA] = ACTIONS(7535),
    [anon_sym_BSLASHciteR] = ACTIONS(7535),
    [anon_sym_BSLASHciteS] = ACTIONS(7535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteyear] = ACTIONS(7535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitedate] = ACTIONS(7535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteurl] = ACTIONS(7535),
    [anon_sym_BSLASHfullcite] = ACTIONS(7535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7535),
    [anon_sym_BSLASHcitealt] = ACTIONS(7535),
    [anon_sym_BSLASHcitealp] = ACTIONS(7535),
    [anon_sym_BSLASHcitetext] = ACTIONS(7535),
    [anon_sym_BSLASHparencite] = ACTIONS(7535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHParencite] = ACTIONS(7535),
    [anon_sym_BSLASHfootcite] = ACTIONS(7535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7535),
    [anon_sym_BSLASHtextcite] = ACTIONS(7535),
    [anon_sym_BSLASHTextcite] = ACTIONS(7535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7535),
    [anon_sym_BSLASHsupercite] = ACTIONS(7535),
    [anon_sym_BSLASHautocite] = ACTIONS(7535),
    [anon_sym_BSLASHAutocite] = ACTIONS(7535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHVolcite] = ACTIONS(7535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHavolcite] = ACTIONS(7535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHNotecite] = ACTIONS(7535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHlabel] = ACTIONS(7535),
    [anon_sym_BSLASHref] = ACTIONS(7535),
    [anon_sym_BSLASHeqref] = ACTIONS(7535),
    [anon_sym_BSLASHvref] = ACTIONS(7535),
    [anon_sym_BSLASHVref] = ACTIONS(7535),
    [anon_sym_BSLASHautoref] = ACTIONS(7535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHpageref] = ACTIONS(7535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHautopageref] = ACTIONS(7535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcref] = ACTIONS(7535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCref] = ACTIONS(7535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcpageref] = ACTIONS(7535),
    [anon_sym_BSLASHCpageref] = ACTIONS(7535),
    [anon_sym_BSLASHnamecref] = ACTIONS(7535),
    [anon_sym_BSLASHnameCref] = ACTIONS(7535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHdef] = ACTIONS(7535),
    [anon_sym_BSLASHgdef] = ACTIONS(7535),
    [anon_sym_BSLASHedef] = ACTIONS(7535),
    [anon_sym_BSLASHxdef] = ACTIONS(7535),
    [anon_sym_BSLASHlet] = ACTIONS(7535),
    [anon_sym_BSLASHglet] = ACTIONS(7535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7535),
    [anon_sym_BSLASHgls] = ACTIONS(7535),
    [anon_sym_BSLASHGls] = ACTIONS(7535),
    [anon_sym_BSLASHGLS] = ACTIONS(7535),
    [anon_sym_BSLASHglspl] = ACTIONS(7535),
    [anon_sym_BSLASHGlspl] = ACTIONS(7535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7535),
    [anon_sym_BSLASHglslink] = ACTIONS(7535),
    [anon_sym_BSLASHglstext] = ACTIONS(7535),
    [anon_sym_BSLASHGlstext] = ACTIONS(7535),
    [anon_sym_BSLASHGLStext] = ACTIONS(7535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7535),
    [anon_sym_BSLASHglsplural] = ACTIONS(7535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHglsname] = ACTIONS(7535),
    [anon_sym_BSLASHGlsname] = ACTIONS(7535),
    [anon_sym_BSLASHGLSname] = ACTIONS(7535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7535),
    [anon_sym_BSLASHacrshort] = ACTIONS(7535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7535),
    [anon_sym_BSLASHACRshort] = ACTIONS(7535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHacrlong] = ACTIONS(7535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7535),
    [anon_sym_BSLASHACRlong] = ACTIONS(7535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHacrfull] = ACTIONS(7535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7535),
    [anon_sym_BSLASHACRfull] = ACTIONS(7535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHacs] = ACTIONS(7535),
    [anon_sym_BSLASHAcs] = ACTIONS(7535),
    [anon_sym_BSLASHacsp] = ACTIONS(7535),
    [anon_sym_BSLASHAcsp] = ACTIONS(7535),
    [anon_sym_BSLASHacl] = ACTIONS(7535),
    [anon_sym_BSLASHAcl] = ACTIONS(7535),
    [anon_sym_BSLASHaclp] = ACTIONS(7535),
    [anon_sym_BSLASHAclp] = ACTIONS(7535),
    [anon_sym_BSLASHacf] = ACTIONS(7535),
    [anon_sym_BSLASHAcf] = ACTIONS(7535),
    [anon_sym_BSLASHacfp] = ACTIONS(7535),
    [anon_sym_BSLASHAcfp] = ACTIONS(7535),
    [anon_sym_BSLASHac] = ACTIONS(7535),
    [anon_sym_BSLASHAc] = ACTIONS(7535),
    [anon_sym_BSLASHacp] = ACTIONS(7535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7535),
    [anon_sym_BSLASHcolor] = ACTIONS(7535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7535),
    [anon_sym_BSLASHurl] = ACTIONS(7535),
    [anon_sym_BSLASHhref] = ACTIONS(7535),
  },
  [1378] = {
    [sym_command_name] = ACTIONS(7539),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(7541),
    [anon_sym_RBRACK] = ACTIONS(7541),
    [anon_sym_COMMA] = ACTIONS(7541),
    [anon_sym_EQ] = ACTIONS(7541),
    [anon_sym_LPAREN] = ACTIONS(7541),
    [anon_sym_RPAREN] = ACTIONS(7541),
    [anon_sym_BSLASHpart] = ACTIONS(7539),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHaddpart] = ACTIONS(7539),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHchapter] = ACTIONS(7539),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHaddchap] = ACTIONS(7539),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHsection] = ACTIONS(7539),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHaddsec] = ACTIONS(7539),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHsubsection] = ACTIONS(7539),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7539),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHparagraph] = ACTIONS(7539),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7539),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHitem] = ACTIONS(7539),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7541),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [sym_word] = ACTIONS(7539),
    [sym_placeholder] = ACTIONS(7541),
    [sym_delimiter] = ACTIONS(7541),
    [anon_sym_PLUS] = ACTIONS(7541),
    [anon_sym_DASH] = ACTIONS(7541),
    [anon_sym_STAR] = ACTIONS(7541),
    [anon_sym_SLASH] = ACTIONS(7541),
    [anon_sym_LT] = ACTIONS(7539),
    [anon_sym_GT] = ACTIONS(7539),
    [anon_sym_BANG] = ACTIONS(7539),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_COLON] = ACTIONS(7539),
    [anon_sym_SQUOTE] = ACTIONS(7539),
    [anon_sym__] = ACTIONS(7541),
    [anon_sym_CARET] = ACTIONS(7541),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7541),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7539),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7541),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7541),
    [anon_sym_BSLASHleft] = ACTIONS(7539),
    [anon_sym_BSLASHbigl] = ACTIONS(7539),
    [anon_sym_BSLASHBigl] = ACTIONS(7539),
    [anon_sym_BSLASHbiggl] = ACTIONS(7539),
    [anon_sym_BSLASHBiggl] = ACTIONS(7539),
    [anon_sym_BSLASHtext] = ACTIONS(7539),
    [anon_sym_BSLASHintertext] = ACTIONS(7539),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7539),
    [anon_sym_BSLASHbegin] = ACTIONS(7539),
    [anon_sym_BSLASHtitle] = ACTIONS(7539),
    [anon_sym_BSLASHauthor] = ACTIONS(7539),
    [anon_sym_BSLASHusepackage] = ACTIONS(7539),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7539),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7539),
    [anon_sym_BSLASHinclude] = ACTIONS(7539),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7539),
    [anon_sym_BSLASHinput] = ACTIONS(7539),
    [anon_sym_BSLASHsubfile] = ACTIONS(7539),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7539),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7539),
    [anon_sym_BSLASHbibliography] = ACTIONS(7539),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7539),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7539),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7539),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7539),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7539),
    [anon_sym_BSLASHimport] = ACTIONS(7539),
    [anon_sym_BSLASHsubimport] = ACTIONS(7539),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7539),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7539),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7539),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7539),
    [anon_sym_BSLASHcaption] = ACTIONS(7539),
    [anon_sym_BSLASHcite] = ACTIONS(7539),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCite] = ACTIONS(7539),
    [anon_sym_BSLASHnocite] = ACTIONS(7539),
    [anon_sym_BSLASHcitet] = ACTIONS(7539),
    [anon_sym_BSLASHcitep] = ACTIONS(7539),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteA] = ACTIONS(7539),
    [anon_sym_BSLASHciteR] = ACTIONS(7539),
    [anon_sym_BSLASHciteS] = ACTIONS(7539),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7539),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7539),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7539),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7539),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteyear] = ACTIONS(7539),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitedate] = ACTIONS(7539),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteurl] = ACTIONS(7539),
    [anon_sym_BSLASHfullcite] = ACTIONS(7539),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7539),
    [anon_sym_BSLASHcitealt] = ACTIONS(7539),
    [anon_sym_BSLASHcitealp] = ACTIONS(7539),
    [anon_sym_BSLASHcitetext] = ACTIONS(7539),
    [anon_sym_BSLASHparencite] = ACTIONS(7539),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHParencite] = ACTIONS(7539),
    [anon_sym_BSLASHfootcite] = ACTIONS(7539),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7539),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7539),
    [anon_sym_BSLASHtextcite] = ACTIONS(7539),
    [anon_sym_BSLASHTextcite] = ACTIONS(7539),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7539),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7539),
    [anon_sym_BSLASHsupercite] = ACTIONS(7539),
    [anon_sym_BSLASHautocite] = ACTIONS(7539),
    [anon_sym_BSLASHAutocite] = ACTIONS(7539),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHVolcite] = ACTIONS(7539),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHavolcite] = ACTIONS(7539),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHNotecite] = ACTIONS(7539),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHlabel] = ACTIONS(7539),
    [anon_sym_BSLASHref] = ACTIONS(7539),
    [anon_sym_BSLASHeqref] = ACTIONS(7539),
    [anon_sym_BSLASHvref] = ACTIONS(7539),
    [anon_sym_BSLASHVref] = ACTIONS(7539),
    [anon_sym_BSLASHautoref] = ACTIONS(7539),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHpageref] = ACTIONS(7539),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHautopageref] = ACTIONS(7539),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcref] = ACTIONS(7539),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCref] = ACTIONS(7539),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcpageref] = ACTIONS(7539),
    [anon_sym_BSLASHCpageref] = ACTIONS(7539),
    [anon_sym_BSLASHnamecref] = ACTIONS(7539),
    [anon_sym_BSLASHnameCref] = ACTIONS(7539),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7539),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7539),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7539),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7539),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7539),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7539),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7539),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7539),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7539),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7539),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7539),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHdef] = ACTIONS(7539),
    [anon_sym_BSLASHgdef] = ACTIONS(7539),
    [anon_sym_BSLASHedef] = ACTIONS(7539),
    [anon_sym_BSLASHxdef] = ACTIONS(7539),
    [anon_sym_BSLASHlet] = ACTIONS(7539),
    [anon_sym_BSLASHglet] = ACTIONS(7539),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7539),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7539),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7539),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7539),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7539),
    [anon_sym_BSLASHgls] = ACTIONS(7539),
    [anon_sym_BSLASHGls] = ACTIONS(7539),
    [anon_sym_BSLASHGLS] = ACTIONS(7539),
    [anon_sym_BSLASHglspl] = ACTIONS(7539),
    [anon_sym_BSLASHGlspl] = ACTIONS(7539),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7539),
    [anon_sym_BSLASHglslink] = ACTIONS(7539),
    [anon_sym_BSLASHglstext] = ACTIONS(7539),
    [anon_sym_BSLASHGlstext] = ACTIONS(7539),
    [anon_sym_BSLASHGLStext] = ACTIONS(7539),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7539),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7539),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7539),
    [anon_sym_BSLASHglsplural] = ACTIONS(7539),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7539),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7539),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHglsname] = ACTIONS(7539),
    [anon_sym_BSLASHGlsname] = ACTIONS(7539),
    [anon_sym_BSLASHGLSname] = ACTIONS(7539),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7539),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7539),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7539),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7539),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7539),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7539),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7539),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7539),
    [anon_sym_BSLASHacrshort] = ACTIONS(7539),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7539),
    [anon_sym_BSLASHACRshort] = ACTIONS(7539),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHacrlong] = ACTIONS(7539),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7539),
    [anon_sym_BSLASHACRlong] = ACTIONS(7539),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHacrfull] = ACTIONS(7539),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7539),
    [anon_sym_BSLASHACRfull] = ACTIONS(7539),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHacs] = ACTIONS(7539),
    [anon_sym_BSLASHAcs] = ACTIONS(7539),
    [anon_sym_BSLASHacsp] = ACTIONS(7539),
    [anon_sym_BSLASHAcsp] = ACTIONS(7539),
    [anon_sym_BSLASHacl] = ACTIONS(7539),
    [anon_sym_BSLASHAcl] = ACTIONS(7539),
    [anon_sym_BSLASHaclp] = ACTIONS(7539),
    [anon_sym_BSLASHAclp] = ACTIONS(7539),
    [anon_sym_BSLASHacf] = ACTIONS(7539),
    [anon_sym_BSLASHAcf] = ACTIONS(7539),
    [anon_sym_BSLASHacfp] = ACTIONS(7539),
    [anon_sym_BSLASHAcfp] = ACTIONS(7539),
    [anon_sym_BSLASHac] = ACTIONS(7539),
    [anon_sym_BSLASHAc] = ACTIONS(7539),
    [anon_sym_BSLASHacp] = ACTIONS(7539),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7539),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7539),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7539),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7539),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7539),
    [anon_sym_BSLASHcolor] = ACTIONS(7539),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7539),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7539),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7539),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7539),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7539),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7539),
    [anon_sym_BSLASHurl] = ACTIONS(7539),
    [anon_sym_BSLASHhref] = ACTIONS(7539),
  },
  [1379] = {
    [sym_command_name] = ACTIONS(7543),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(7545),
    [anon_sym_RBRACK] = ACTIONS(7545),
    [anon_sym_COMMA] = ACTIONS(7545),
    [anon_sym_EQ] = ACTIONS(7545),
    [anon_sym_LPAREN] = ACTIONS(7545),
    [anon_sym_RPAREN] = ACTIONS(7545),
    [anon_sym_BSLASHpart] = ACTIONS(7543),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHaddpart] = ACTIONS(7543),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHchapter] = ACTIONS(7543),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHaddchap] = ACTIONS(7543),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHsection] = ACTIONS(7543),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHaddsec] = ACTIONS(7543),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHsubsection] = ACTIONS(7543),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7543),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHparagraph] = ACTIONS(7543),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7543),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHitem] = ACTIONS(7543),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7545),
    [anon_sym_LBRACE] = ACTIONS(7545),
    [sym_word] = ACTIONS(7543),
    [sym_placeholder] = ACTIONS(7545),
    [sym_delimiter] = ACTIONS(7545),
    [anon_sym_PLUS] = ACTIONS(7545),
    [anon_sym_DASH] = ACTIONS(7545),
    [anon_sym_STAR] = ACTIONS(7545),
    [anon_sym_SLASH] = ACTIONS(7545),
    [anon_sym_LT] = ACTIONS(7543),
    [anon_sym_GT] = ACTIONS(7543),
    [anon_sym_BANG] = ACTIONS(7543),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_COLON] = ACTIONS(7543),
    [anon_sym_SQUOTE] = ACTIONS(7543),
    [anon_sym__] = ACTIONS(7545),
    [anon_sym_CARET] = ACTIONS(7545),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7545),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7545),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7545),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7545),
    [anon_sym_BSLASHleft] = ACTIONS(7543),
    [anon_sym_BSLASHbigl] = ACTIONS(7543),
    [anon_sym_BSLASHBigl] = ACTIONS(7543),
    [anon_sym_BSLASHbiggl] = ACTIONS(7543),
    [anon_sym_BSLASHBiggl] = ACTIONS(7543),
    [anon_sym_BSLASHtext] = ACTIONS(7543),
    [anon_sym_BSLASHintertext] = ACTIONS(7543),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7543),
    [anon_sym_BSLASHbegin] = ACTIONS(7543),
    [anon_sym_BSLASHtitle] = ACTIONS(7543),
    [anon_sym_BSLASHauthor] = ACTIONS(7543),
    [anon_sym_BSLASHusepackage] = ACTIONS(7543),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7543),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7543),
    [anon_sym_BSLASHinclude] = ACTIONS(7543),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7543),
    [anon_sym_BSLASHinput] = ACTIONS(7543),
    [anon_sym_BSLASHsubfile] = ACTIONS(7543),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7543),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7543),
    [anon_sym_BSLASHbibliography] = ACTIONS(7543),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7543),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7543),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7543),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7543),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7543),
    [anon_sym_BSLASHimport] = ACTIONS(7543),
    [anon_sym_BSLASHsubimport] = ACTIONS(7543),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7543),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7543),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7543),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7543),
    [anon_sym_BSLASHcaption] = ACTIONS(7543),
    [anon_sym_BSLASHcite] = ACTIONS(7543),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCite] = ACTIONS(7543),
    [anon_sym_BSLASHnocite] = ACTIONS(7543),
    [anon_sym_BSLASHcitet] = ACTIONS(7543),
    [anon_sym_BSLASHcitep] = ACTIONS(7543),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteA] = ACTIONS(7543),
    [anon_sym_BSLASHciteR] = ACTIONS(7543),
    [anon_sym_BSLASHciteS] = ACTIONS(7543),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7543),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7543),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7543),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7543),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteyear] = ACTIONS(7543),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitedate] = ACTIONS(7543),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteurl] = ACTIONS(7543),
    [anon_sym_BSLASHfullcite] = ACTIONS(7543),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7543),
    [anon_sym_BSLASHcitealt] = ACTIONS(7543),
    [anon_sym_BSLASHcitealp] = ACTIONS(7543),
    [anon_sym_BSLASHcitetext] = ACTIONS(7543),
    [anon_sym_BSLASHparencite] = ACTIONS(7543),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHParencite] = ACTIONS(7543),
    [anon_sym_BSLASHfootcite] = ACTIONS(7543),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7543),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7543),
    [anon_sym_BSLASHtextcite] = ACTIONS(7543),
    [anon_sym_BSLASHTextcite] = ACTIONS(7543),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7543),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7543),
    [anon_sym_BSLASHsupercite] = ACTIONS(7543),
    [anon_sym_BSLASHautocite] = ACTIONS(7543),
    [anon_sym_BSLASHAutocite] = ACTIONS(7543),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHVolcite] = ACTIONS(7543),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHavolcite] = ACTIONS(7543),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHNotecite] = ACTIONS(7543),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHlabel] = ACTIONS(7543),
    [anon_sym_BSLASHref] = ACTIONS(7543),
    [anon_sym_BSLASHeqref] = ACTIONS(7543),
    [anon_sym_BSLASHvref] = ACTIONS(7543),
    [anon_sym_BSLASHVref] = ACTIONS(7543),
    [anon_sym_BSLASHautoref] = ACTIONS(7543),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHpageref] = ACTIONS(7543),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHautopageref] = ACTIONS(7543),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcref] = ACTIONS(7543),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCref] = ACTIONS(7543),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcpageref] = ACTIONS(7543),
    [anon_sym_BSLASHCpageref] = ACTIONS(7543),
    [anon_sym_BSLASHnamecref] = ACTIONS(7543),
    [anon_sym_BSLASHnameCref] = ACTIONS(7543),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7543),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7543),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7543),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7543),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7543),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7543),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7543),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7543),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7543),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7543),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7543),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHdef] = ACTIONS(7543),
    [anon_sym_BSLASHgdef] = ACTIONS(7543),
    [anon_sym_BSLASHedef] = ACTIONS(7543),
    [anon_sym_BSLASHxdef] = ACTIONS(7543),
    [anon_sym_BSLASHlet] = ACTIONS(7543),
    [anon_sym_BSLASHglet] = ACTIONS(7543),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7543),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7543),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7543),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7543),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7543),
    [anon_sym_BSLASHgls] = ACTIONS(7543),
    [anon_sym_BSLASHGls] = ACTIONS(7543),
    [anon_sym_BSLASHGLS] = ACTIONS(7543),
    [anon_sym_BSLASHglspl] = ACTIONS(7543),
    [anon_sym_BSLASHGlspl] = ACTIONS(7543),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7543),
    [anon_sym_BSLASHglslink] = ACTIONS(7543),
    [anon_sym_BSLASHglstext] = ACTIONS(7543),
    [anon_sym_BSLASHGlstext] = ACTIONS(7543),
    [anon_sym_BSLASHGLStext] = ACTIONS(7543),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7543),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7543),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7543),
    [anon_sym_BSLASHglsplural] = ACTIONS(7543),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7543),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7543),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHglsname] = ACTIONS(7543),
    [anon_sym_BSLASHGlsname] = ACTIONS(7543),
    [anon_sym_BSLASHGLSname] = ACTIONS(7543),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7543),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7543),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7543),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7543),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7543),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7543),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7543),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7543),
    [anon_sym_BSLASHacrshort] = ACTIONS(7543),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7543),
    [anon_sym_BSLASHACRshort] = ACTIONS(7543),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHacrlong] = ACTIONS(7543),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7543),
    [anon_sym_BSLASHACRlong] = ACTIONS(7543),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHacrfull] = ACTIONS(7543),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7543),
    [anon_sym_BSLASHACRfull] = ACTIONS(7543),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHacs] = ACTIONS(7543),
    [anon_sym_BSLASHAcs] = ACTIONS(7543),
    [anon_sym_BSLASHacsp] = ACTIONS(7543),
    [anon_sym_BSLASHAcsp] = ACTIONS(7543),
    [anon_sym_BSLASHacl] = ACTIONS(7543),
    [anon_sym_BSLASHAcl] = ACTIONS(7543),
    [anon_sym_BSLASHaclp] = ACTIONS(7543),
    [anon_sym_BSLASHAclp] = ACTIONS(7543),
    [anon_sym_BSLASHacf] = ACTIONS(7543),
    [anon_sym_BSLASHAcf] = ACTIONS(7543),
    [anon_sym_BSLASHacfp] = ACTIONS(7543),
    [anon_sym_BSLASHAcfp] = ACTIONS(7543),
    [anon_sym_BSLASHac] = ACTIONS(7543),
    [anon_sym_BSLASHAc] = ACTIONS(7543),
    [anon_sym_BSLASHacp] = ACTIONS(7543),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7543),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7543),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7543),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7543),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7543),
    [anon_sym_BSLASHcolor] = ACTIONS(7543),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7543),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7543),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7543),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7543),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7543),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7543),
    [anon_sym_BSLASHurl] = ACTIONS(7543),
    [anon_sym_BSLASHhref] = ACTIONS(7543),
  },
  [1380] = {
    [sym_command_name] = ACTIONS(7187),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7187),
    [anon_sym_LBRACK] = ACTIONS(7189),
    [anon_sym_RBRACK] = ACTIONS(7189),
    [anon_sym_COMMA] = ACTIONS(7189),
    [anon_sym_EQ] = ACTIONS(7189),
    [anon_sym_LPAREN] = ACTIONS(7189),
    [anon_sym_RPAREN] = ACTIONS(7189),
    [anon_sym_BSLASHpart] = ACTIONS(7187),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHaddpart] = ACTIONS(7187),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHchapter] = ACTIONS(7187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHaddchap] = ACTIONS(7187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHsection] = ACTIONS(7187),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHaddsec] = ACTIONS(7187),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHsubsection] = ACTIONS(7187),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7187),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHparagraph] = ACTIONS(7187),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7187),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHitem] = ACTIONS(7187),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7189),
    [anon_sym_LBRACE] = ACTIONS(7189),
    [sym_word] = ACTIONS(7187),
    [sym_placeholder] = ACTIONS(7189),
    [sym_delimiter] = ACTIONS(7189),
    [anon_sym_PLUS] = ACTIONS(7189),
    [anon_sym_DASH] = ACTIONS(7189),
    [anon_sym_STAR] = ACTIONS(7189),
    [anon_sym_SLASH] = ACTIONS(7189),
    [anon_sym_LT] = ACTIONS(7187),
    [anon_sym_GT] = ACTIONS(7187),
    [anon_sym_BANG] = ACTIONS(7187),
    [anon_sym_PIPE] = ACTIONS(7187),
    [anon_sym_COLON] = ACTIONS(7187),
    [anon_sym_SQUOTE] = ACTIONS(7187),
    [anon_sym__] = ACTIONS(7189),
    [anon_sym_CARET] = ACTIONS(7189),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7189),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7189),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7189),
    [anon_sym_DOLLAR] = ACTIONS(7187),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7189),
    [anon_sym_BSLASHleft] = ACTIONS(7187),
    [anon_sym_BSLASHbigl] = ACTIONS(7187),
    [anon_sym_BSLASHBigl] = ACTIONS(7187),
    [anon_sym_BSLASHbiggl] = ACTIONS(7187),
    [anon_sym_BSLASHBiggl] = ACTIONS(7187),
    [anon_sym_BSLASHtext] = ACTIONS(7187),
    [anon_sym_BSLASHintertext] = ACTIONS(7187),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7187),
    [anon_sym_BSLASHbegin] = ACTIONS(7187),
    [anon_sym_BSLASHtitle] = ACTIONS(7187),
    [anon_sym_BSLASHauthor] = ACTIONS(7187),
    [anon_sym_BSLASHusepackage] = ACTIONS(7187),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7187),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7187),
    [anon_sym_BSLASHinclude] = ACTIONS(7187),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7187),
    [anon_sym_BSLASHinput] = ACTIONS(7187),
    [anon_sym_BSLASHsubfile] = ACTIONS(7187),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7187),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7187),
    [anon_sym_BSLASHbibliography] = ACTIONS(7187),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7187),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7187),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7187),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7187),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7187),
    [anon_sym_BSLASHimport] = ACTIONS(7187),
    [anon_sym_BSLASHsubimport] = ACTIONS(7187),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7187),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7187),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7187),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7187),
    [anon_sym_BSLASHcaption] = ACTIONS(7187),
    [anon_sym_BSLASHcite] = ACTIONS(7187),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCite] = ACTIONS(7187),
    [anon_sym_BSLASHnocite] = ACTIONS(7187),
    [anon_sym_BSLASHcitet] = ACTIONS(7187),
    [anon_sym_BSLASHcitep] = ACTIONS(7187),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteA] = ACTIONS(7187),
    [anon_sym_BSLASHciteR] = ACTIONS(7187),
    [anon_sym_BSLASHciteS] = ACTIONS(7187),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7187),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7187),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7187),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7187),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteyear] = ACTIONS(7187),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitedate] = ACTIONS(7187),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteurl] = ACTIONS(7187),
    [anon_sym_BSLASHfullcite] = ACTIONS(7187),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7187),
    [anon_sym_BSLASHcitealt] = ACTIONS(7187),
    [anon_sym_BSLASHcitealp] = ACTIONS(7187),
    [anon_sym_BSLASHcitetext] = ACTIONS(7187),
    [anon_sym_BSLASHparencite] = ACTIONS(7187),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHParencite] = ACTIONS(7187),
    [anon_sym_BSLASHfootcite] = ACTIONS(7187),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7187),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7187),
    [anon_sym_BSLASHtextcite] = ACTIONS(7187),
    [anon_sym_BSLASHTextcite] = ACTIONS(7187),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7187),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7187),
    [anon_sym_BSLASHsupercite] = ACTIONS(7187),
    [anon_sym_BSLASHautocite] = ACTIONS(7187),
    [anon_sym_BSLASHAutocite] = ACTIONS(7187),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHVolcite] = ACTIONS(7187),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHavolcite] = ACTIONS(7187),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHNotecite] = ACTIONS(7187),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHlabel] = ACTIONS(7187),
    [anon_sym_BSLASHref] = ACTIONS(7187),
    [anon_sym_BSLASHeqref] = ACTIONS(7187),
    [anon_sym_BSLASHvref] = ACTIONS(7187),
    [anon_sym_BSLASHVref] = ACTIONS(7187),
    [anon_sym_BSLASHautoref] = ACTIONS(7187),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHpageref] = ACTIONS(7187),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHautopageref] = ACTIONS(7187),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcref] = ACTIONS(7187),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCref] = ACTIONS(7187),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcpageref] = ACTIONS(7187),
    [anon_sym_BSLASHCpageref] = ACTIONS(7187),
    [anon_sym_BSLASHnamecref] = ACTIONS(7187),
    [anon_sym_BSLASHnameCref] = ACTIONS(7187),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7187),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7187),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7187),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7187),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7187),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7187),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7187),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7187),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7187),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7187),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7187),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHdef] = ACTIONS(7187),
    [anon_sym_BSLASHgdef] = ACTIONS(7187),
    [anon_sym_BSLASHedef] = ACTIONS(7187),
    [anon_sym_BSLASHxdef] = ACTIONS(7187),
    [anon_sym_BSLASHlet] = ACTIONS(7187),
    [anon_sym_BSLASHglet] = ACTIONS(7187),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7187),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7187),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7187),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7187),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7187),
    [anon_sym_BSLASHgls] = ACTIONS(7187),
    [anon_sym_BSLASHGls] = ACTIONS(7187),
    [anon_sym_BSLASHGLS] = ACTIONS(7187),
    [anon_sym_BSLASHglspl] = ACTIONS(7187),
    [anon_sym_BSLASHGlspl] = ACTIONS(7187),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7187),
    [anon_sym_BSLASHglslink] = ACTIONS(7187),
    [anon_sym_BSLASHglstext] = ACTIONS(7187),
    [anon_sym_BSLASHGlstext] = ACTIONS(7187),
    [anon_sym_BSLASHGLStext] = ACTIONS(7187),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7187),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7187),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7187),
    [anon_sym_BSLASHglsplural] = ACTIONS(7187),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7187),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7187),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHglsname] = ACTIONS(7187),
    [anon_sym_BSLASHGlsname] = ACTIONS(7187),
    [anon_sym_BSLASHGLSname] = ACTIONS(7187),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7187),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7187),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7187),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7187),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7187),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7187),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7187),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7187),
    [anon_sym_BSLASHacrshort] = ACTIONS(7187),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7187),
    [anon_sym_BSLASHACRshort] = ACTIONS(7187),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHacrlong] = ACTIONS(7187),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7187),
    [anon_sym_BSLASHACRlong] = ACTIONS(7187),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHacrfull] = ACTIONS(7187),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7187),
    [anon_sym_BSLASHACRfull] = ACTIONS(7187),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHacs] = ACTIONS(7187),
    [anon_sym_BSLASHAcs] = ACTIONS(7187),
    [anon_sym_BSLASHacsp] = ACTIONS(7187),
    [anon_sym_BSLASHAcsp] = ACTIONS(7187),
    [anon_sym_BSLASHacl] = ACTIONS(7187),
    [anon_sym_BSLASHAcl] = ACTIONS(7187),
    [anon_sym_BSLASHaclp] = ACTIONS(7187),
    [anon_sym_BSLASHAclp] = ACTIONS(7187),
    [anon_sym_BSLASHacf] = ACTIONS(7187),
    [anon_sym_BSLASHAcf] = ACTIONS(7187),
    [anon_sym_BSLASHacfp] = ACTIONS(7187),
    [anon_sym_BSLASHAcfp] = ACTIONS(7187),
    [anon_sym_BSLASHac] = ACTIONS(7187),
    [anon_sym_BSLASHAc] = ACTIONS(7187),
    [anon_sym_BSLASHacp] = ACTIONS(7187),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7187),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7187),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7187),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7187),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7187),
    [anon_sym_BSLASHcolor] = ACTIONS(7187),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7187),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7187),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7187),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7187),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7187),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7187),
    [anon_sym_BSLASHurl] = ACTIONS(7187),
    [anon_sym_BSLASHhref] = ACTIONS(7187),
  },
  [1381] = {
    [sym_command_name] = ACTIONS(7547),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7547),
    [anon_sym_LBRACK] = ACTIONS(7549),
    [anon_sym_RBRACK] = ACTIONS(7549),
    [anon_sym_COMMA] = ACTIONS(7549),
    [anon_sym_EQ] = ACTIONS(7549),
    [anon_sym_LPAREN] = ACTIONS(7549),
    [anon_sym_RPAREN] = ACTIONS(7549),
    [anon_sym_BSLASHpart] = ACTIONS(7547),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHaddpart] = ACTIONS(7547),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHchapter] = ACTIONS(7547),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHaddchap] = ACTIONS(7547),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHsection] = ACTIONS(7547),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHaddsec] = ACTIONS(7547),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHsubsection] = ACTIONS(7547),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7547),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHparagraph] = ACTIONS(7547),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7547),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHitem] = ACTIONS(7547),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7549),
    [anon_sym_LBRACE] = ACTIONS(7549),
    [sym_word] = ACTIONS(7547),
    [sym_placeholder] = ACTIONS(7549),
    [sym_delimiter] = ACTIONS(7549),
    [anon_sym_PLUS] = ACTIONS(7549),
    [anon_sym_DASH] = ACTIONS(7549),
    [anon_sym_STAR] = ACTIONS(7549),
    [anon_sym_SLASH] = ACTIONS(7549),
    [anon_sym_LT] = ACTIONS(7547),
    [anon_sym_GT] = ACTIONS(7547),
    [anon_sym_BANG] = ACTIONS(7547),
    [anon_sym_PIPE] = ACTIONS(7547),
    [anon_sym_COLON] = ACTIONS(7547),
    [anon_sym_SQUOTE] = ACTIONS(7547),
    [anon_sym__] = ACTIONS(7549),
    [anon_sym_CARET] = ACTIONS(7549),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7549),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7549),
    [anon_sym_DOLLAR] = ACTIONS(7547),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7549),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7549),
    [anon_sym_BSLASHleft] = ACTIONS(7547),
    [anon_sym_BSLASHbigl] = ACTIONS(7547),
    [anon_sym_BSLASHBigl] = ACTIONS(7547),
    [anon_sym_BSLASHbiggl] = ACTIONS(7547),
    [anon_sym_BSLASHBiggl] = ACTIONS(7547),
    [anon_sym_BSLASHtext] = ACTIONS(7547),
    [anon_sym_BSLASHintertext] = ACTIONS(7547),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7547),
    [anon_sym_BSLASHbegin] = ACTIONS(7547),
    [anon_sym_BSLASHtitle] = ACTIONS(7547),
    [anon_sym_BSLASHauthor] = ACTIONS(7547),
    [anon_sym_BSLASHusepackage] = ACTIONS(7547),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7547),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7547),
    [anon_sym_BSLASHinclude] = ACTIONS(7547),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7547),
    [anon_sym_BSLASHinput] = ACTIONS(7547),
    [anon_sym_BSLASHsubfile] = ACTIONS(7547),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7547),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7547),
    [anon_sym_BSLASHbibliography] = ACTIONS(7547),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7547),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7547),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7547),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7547),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7547),
    [anon_sym_BSLASHimport] = ACTIONS(7547),
    [anon_sym_BSLASHsubimport] = ACTIONS(7547),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7547),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7547),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7547),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7547),
    [anon_sym_BSLASHcaption] = ACTIONS(7547),
    [anon_sym_BSLASHcite] = ACTIONS(7547),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCite] = ACTIONS(7547),
    [anon_sym_BSLASHnocite] = ACTIONS(7547),
    [anon_sym_BSLASHcitet] = ACTIONS(7547),
    [anon_sym_BSLASHcitep] = ACTIONS(7547),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteA] = ACTIONS(7547),
    [anon_sym_BSLASHciteR] = ACTIONS(7547),
    [anon_sym_BSLASHciteS] = ACTIONS(7547),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7547),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7547),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7547),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7547),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteyear] = ACTIONS(7547),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitedate] = ACTIONS(7547),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteurl] = ACTIONS(7547),
    [anon_sym_BSLASHfullcite] = ACTIONS(7547),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7547),
    [anon_sym_BSLASHcitealt] = ACTIONS(7547),
    [anon_sym_BSLASHcitealp] = ACTIONS(7547),
    [anon_sym_BSLASHcitetext] = ACTIONS(7547),
    [anon_sym_BSLASHparencite] = ACTIONS(7547),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHParencite] = ACTIONS(7547),
    [anon_sym_BSLASHfootcite] = ACTIONS(7547),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7547),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7547),
    [anon_sym_BSLASHtextcite] = ACTIONS(7547),
    [anon_sym_BSLASHTextcite] = ACTIONS(7547),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7547),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7547),
    [anon_sym_BSLASHsupercite] = ACTIONS(7547),
    [anon_sym_BSLASHautocite] = ACTIONS(7547),
    [anon_sym_BSLASHAutocite] = ACTIONS(7547),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHVolcite] = ACTIONS(7547),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHavolcite] = ACTIONS(7547),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHNotecite] = ACTIONS(7547),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHlabel] = ACTIONS(7547),
    [anon_sym_BSLASHref] = ACTIONS(7547),
    [anon_sym_BSLASHeqref] = ACTIONS(7547),
    [anon_sym_BSLASHvref] = ACTIONS(7547),
    [anon_sym_BSLASHVref] = ACTIONS(7547),
    [anon_sym_BSLASHautoref] = ACTIONS(7547),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHpageref] = ACTIONS(7547),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHautopageref] = ACTIONS(7547),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcref] = ACTIONS(7547),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCref] = ACTIONS(7547),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcpageref] = ACTIONS(7547),
    [anon_sym_BSLASHCpageref] = ACTIONS(7547),
    [anon_sym_BSLASHnamecref] = ACTIONS(7547),
    [anon_sym_BSLASHnameCref] = ACTIONS(7547),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7547),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7547),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7547),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7547),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7547),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7547),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7547),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7547),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7547),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7547),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7547),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHdef] = ACTIONS(7547),
    [anon_sym_BSLASHgdef] = ACTIONS(7547),
    [anon_sym_BSLASHedef] = ACTIONS(7547),
    [anon_sym_BSLASHxdef] = ACTIONS(7547),
    [anon_sym_BSLASHlet] = ACTIONS(7547),
    [anon_sym_BSLASHglet] = ACTIONS(7547),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7547),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7547),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7547),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7547),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7547),
    [anon_sym_BSLASHgls] = ACTIONS(7547),
    [anon_sym_BSLASHGls] = ACTIONS(7547),
    [anon_sym_BSLASHGLS] = ACTIONS(7547),
    [anon_sym_BSLASHglspl] = ACTIONS(7547),
    [anon_sym_BSLASHGlspl] = ACTIONS(7547),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7547),
    [anon_sym_BSLASHglslink] = ACTIONS(7547),
    [anon_sym_BSLASHglstext] = ACTIONS(7547),
    [anon_sym_BSLASHGlstext] = ACTIONS(7547),
    [anon_sym_BSLASHGLStext] = ACTIONS(7547),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7547),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7547),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7547),
    [anon_sym_BSLASHglsplural] = ACTIONS(7547),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7547),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7547),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHglsname] = ACTIONS(7547),
    [anon_sym_BSLASHGlsname] = ACTIONS(7547),
    [anon_sym_BSLASHGLSname] = ACTIONS(7547),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7547),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7547),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7547),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7547),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7547),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7547),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7547),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7547),
    [anon_sym_BSLASHacrshort] = ACTIONS(7547),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7547),
    [anon_sym_BSLASHACRshort] = ACTIONS(7547),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHacrlong] = ACTIONS(7547),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7547),
    [anon_sym_BSLASHACRlong] = ACTIONS(7547),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHacrfull] = ACTIONS(7547),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7547),
    [anon_sym_BSLASHACRfull] = ACTIONS(7547),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHacs] = ACTIONS(7547),
    [anon_sym_BSLASHAcs] = ACTIONS(7547),
    [anon_sym_BSLASHacsp] = ACTIONS(7547),
    [anon_sym_BSLASHAcsp] = ACTIONS(7547),
    [anon_sym_BSLASHacl] = ACTIONS(7547),
    [anon_sym_BSLASHAcl] = ACTIONS(7547),
    [anon_sym_BSLASHaclp] = ACTIONS(7547),
    [anon_sym_BSLASHAclp] = ACTIONS(7547),
    [anon_sym_BSLASHacf] = ACTIONS(7547),
    [anon_sym_BSLASHAcf] = ACTIONS(7547),
    [anon_sym_BSLASHacfp] = ACTIONS(7547),
    [anon_sym_BSLASHAcfp] = ACTIONS(7547),
    [anon_sym_BSLASHac] = ACTIONS(7547),
    [anon_sym_BSLASHAc] = ACTIONS(7547),
    [anon_sym_BSLASHacp] = ACTIONS(7547),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7547),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7547),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7547),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7547),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7547),
    [anon_sym_BSLASHcolor] = ACTIONS(7547),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7547),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7547),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7547),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7547),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7547),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7547),
    [anon_sym_BSLASHurl] = ACTIONS(7547),
    [anon_sym_BSLASHhref] = ACTIONS(7547),
  },
  [1382] = {
    [sym_command_name] = ACTIONS(7319),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7319),
    [anon_sym_LBRACK] = ACTIONS(7321),
    [anon_sym_RBRACK] = ACTIONS(7321),
    [anon_sym_COMMA] = ACTIONS(7321),
    [anon_sym_EQ] = ACTIONS(7321),
    [anon_sym_LPAREN] = ACTIONS(7321),
    [anon_sym_RPAREN] = ACTIONS(7321),
    [anon_sym_BSLASHpart] = ACTIONS(7319),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHaddpart] = ACTIONS(7319),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHchapter] = ACTIONS(7319),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHaddchap] = ACTIONS(7319),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHsection] = ACTIONS(7319),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHaddsec] = ACTIONS(7319),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHsubsection] = ACTIONS(7319),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7319),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHparagraph] = ACTIONS(7319),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7319),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHitem] = ACTIONS(7319),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7321),
    [anon_sym_LBRACE] = ACTIONS(7321),
    [sym_word] = ACTIONS(7319),
    [sym_placeholder] = ACTIONS(7321),
    [sym_delimiter] = ACTIONS(7321),
    [anon_sym_PLUS] = ACTIONS(7321),
    [anon_sym_DASH] = ACTIONS(7321),
    [anon_sym_STAR] = ACTIONS(7321),
    [anon_sym_SLASH] = ACTIONS(7321),
    [anon_sym_LT] = ACTIONS(7319),
    [anon_sym_GT] = ACTIONS(7319),
    [anon_sym_BANG] = ACTIONS(7319),
    [anon_sym_PIPE] = ACTIONS(7319),
    [anon_sym_COLON] = ACTIONS(7319),
    [anon_sym_SQUOTE] = ACTIONS(7319),
    [anon_sym__] = ACTIONS(7321),
    [anon_sym_CARET] = ACTIONS(7321),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7321),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7321),
    [anon_sym_DOLLAR] = ACTIONS(7319),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7321),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7321),
    [anon_sym_BSLASHleft] = ACTIONS(7319),
    [anon_sym_BSLASHbigl] = ACTIONS(7319),
    [anon_sym_BSLASHBigl] = ACTIONS(7319),
    [anon_sym_BSLASHbiggl] = ACTIONS(7319),
    [anon_sym_BSLASHBiggl] = ACTIONS(7319),
    [anon_sym_BSLASHtext] = ACTIONS(7319),
    [anon_sym_BSLASHintertext] = ACTIONS(7319),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7319),
    [anon_sym_BSLASHbegin] = ACTIONS(7319),
    [anon_sym_BSLASHtitle] = ACTIONS(7319),
    [anon_sym_BSLASHauthor] = ACTIONS(7319),
    [anon_sym_BSLASHusepackage] = ACTIONS(7319),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7319),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7319),
    [anon_sym_BSLASHinclude] = ACTIONS(7319),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7319),
    [anon_sym_BSLASHinput] = ACTIONS(7319),
    [anon_sym_BSLASHsubfile] = ACTIONS(7319),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7319),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7319),
    [anon_sym_BSLASHbibliography] = ACTIONS(7319),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7319),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7319),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7319),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7319),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7319),
    [anon_sym_BSLASHimport] = ACTIONS(7319),
    [anon_sym_BSLASHsubimport] = ACTIONS(7319),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7319),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7319),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7319),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7319),
    [anon_sym_BSLASHcaption] = ACTIONS(7319),
    [anon_sym_BSLASHcite] = ACTIONS(7319),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCite] = ACTIONS(7319),
    [anon_sym_BSLASHnocite] = ACTIONS(7319),
    [anon_sym_BSLASHcitet] = ACTIONS(7319),
    [anon_sym_BSLASHcitep] = ACTIONS(7319),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteA] = ACTIONS(7319),
    [anon_sym_BSLASHciteR] = ACTIONS(7319),
    [anon_sym_BSLASHciteS] = ACTIONS(7319),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7319),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7319),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7319),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7319),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteyear] = ACTIONS(7319),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitedate] = ACTIONS(7319),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteurl] = ACTIONS(7319),
    [anon_sym_BSLASHfullcite] = ACTIONS(7319),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7319),
    [anon_sym_BSLASHcitealt] = ACTIONS(7319),
    [anon_sym_BSLASHcitealp] = ACTIONS(7319),
    [anon_sym_BSLASHcitetext] = ACTIONS(7319),
    [anon_sym_BSLASHparencite] = ACTIONS(7319),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHParencite] = ACTIONS(7319),
    [anon_sym_BSLASHfootcite] = ACTIONS(7319),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7319),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7319),
    [anon_sym_BSLASHtextcite] = ACTIONS(7319),
    [anon_sym_BSLASHTextcite] = ACTIONS(7319),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7319),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7319),
    [anon_sym_BSLASHsupercite] = ACTIONS(7319),
    [anon_sym_BSLASHautocite] = ACTIONS(7319),
    [anon_sym_BSLASHAutocite] = ACTIONS(7319),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHVolcite] = ACTIONS(7319),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHavolcite] = ACTIONS(7319),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHNotecite] = ACTIONS(7319),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHlabel] = ACTIONS(7319),
    [anon_sym_BSLASHref] = ACTIONS(7319),
    [anon_sym_BSLASHeqref] = ACTIONS(7319),
    [anon_sym_BSLASHvref] = ACTIONS(7319),
    [anon_sym_BSLASHVref] = ACTIONS(7319),
    [anon_sym_BSLASHautoref] = ACTIONS(7319),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHpageref] = ACTIONS(7319),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHautopageref] = ACTIONS(7319),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcref] = ACTIONS(7319),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCref] = ACTIONS(7319),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcpageref] = ACTIONS(7319),
    [anon_sym_BSLASHCpageref] = ACTIONS(7319),
    [anon_sym_BSLASHnamecref] = ACTIONS(7319),
    [anon_sym_BSLASHnameCref] = ACTIONS(7319),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7319),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7319),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7319),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7319),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7319),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7319),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7319),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7319),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7319),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7319),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7319),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHdef] = ACTIONS(7319),
    [anon_sym_BSLASHgdef] = ACTIONS(7319),
    [anon_sym_BSLASHedef] = ACTIONS(7319),
    [anon_sym_BSLASHxdef] = ACTIONS(7319),
    [anon_sym_BSLASHlet] = ACTIONS(7319),
    [anon_sym_BSLASHglet] = ACTIONS(7319),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7319),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7319),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7319),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7319),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7319),
    [anon_sym_BSLASHgls] = ACTIONS(7319),
    [anon_sym_BSLASHGls] = ACTIONS(7319),
    [anon_sym_BSLASHGLS] = ACTIONS(7319),
    [anon_sym_BSLASHglspl] = ACTIONS(7319),
    [anon_sym_BSLASHGlspl] = ACTIONS(7319),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7319),
    [anon_sym_BSLASHglslink] = ACTIONS(7319),
    [anon_sym_BSLASHglstext] = ACTIONS(7319),
    [anon_sym_BSLASHGlstext] = ACTIONS(7319),
    [anon_sym_BSLASHGLStext] = ACTIONS(7319),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7319),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7319),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7319),
    [anon_sym_BSLASHglsplural] = ACTIONS(7319),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7319),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7319),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHglsname] = ACTIONS(7319),
    [anon_sym_BSLASHGlsname] = ACTIONS(7319),
    [anon_sym_BSLASHGLSname] = ACTIONS(7319),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7319),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7319),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7319),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7319),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7319),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7319),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7319),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7319),
    [anon_sym_BSLASHacrshort] = ACTIONS(7319),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7319),
    [anon_sym_BSLASHACRshort] = ACTIONS(7319),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHacrlong] = ACTIONS(7319),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7319),
    [anon_sym_BSLASHACRlong] = ACTIONS(7319),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHacrfull] = ACTIONS(7319),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7319),
    [anon_sym_BSLASHACRfull] = ACTIONS(7319),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHacs] = ACTIONS(7319),
    [anon_sym_BSLASHAcs] = ACTIONS(7319),
    [anon_sym_BSLASHacsp] = ACTIONS(7319),
    [anon_sym_BSLASHAcsp] = ACTIONS(7319),
    [anon_sym_BSLASHacl] = ACTIONS(7319),
    [anon_sym_BSLASHAcl] = ACTIONS(7319),
    [anon_sym_BSLASHaclp] = ACTIONS(7319),
    [anon_sym_BSLASHAclp] = ACTIONS(7319),
    [anon_sym_BSLASHacf] = ACTIONS(7319),
    [anon_sym_BSLASHAcf] = ACTIONS(7319),
    [anon_sym_BSLASHacfp] = ACTIONS(7319),
    [anon_sym_BSLASHAcfp] = ACTIONS(7319),
    [anon_sym_BSLASHac] = ACTIONS(7319),
    [anon_sym_BSLASHAc] = ACTIONS(7319),
    [anon_sym_BSLASHacp] = ACTIONS(7319),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7319),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7319),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7319),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7319),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7319),
    [anon_sym_BSLASHcolor] = ACTIONS(7319),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7319),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7319),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7319),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7319),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7319),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7319),
    [anon_sym_BSLASHurl] = ACTIONS(7319),
    [anon_sym_BSLASHhref] = ACTIONS(7319),
  },
  [1383] = {
    [sym_command_name] = ACTIONS(7551),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7551),
    [anon_sym_LBRACK] = ACTIONS(7553),
    [anon_sym_RBRACK] = ACTIONS(7553),
    [anon_sym_COMMA] = ACTIONS(7553),
    [anon_sym_EQ] = ACTIONS(7553),
    [anon_sym_LPAREN] = ACTIONS(7553),
    [anon_sym_RPAREN] = ACTIONS(7553),
    [anon_sym_BSLASHpart] = ACTIONS(7551),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHaddpart] = ACTIONS(7551),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHchapter] = ACTIONS(7551),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHaddchap] = ACTIONS(7551),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHsection] = ACTIONS(7551),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHaddsec] = ACTIONS(7551),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHsubsection] = ACTIONS(7551),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7551),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHparagraph] = ACTIONS(7551),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7551),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHitem] = ACTIONS(7551),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7553),
    [anon_sym_LBRACE] = ACTIONS(7553),
    [sym_word] = ACTIONS(7551),
    [sym_placeholder] = ACTIONS(7553),
    [sym_delimiter] = ACTIONS(7553),
    [anon_sym_PLUS] = ACTIONS(7553),
    [anon_sym_DASH] = ACTIONS(7553),
    [anon_sym_STAR] = ACTIONS(7553),
    [anon_sym_SLASH] = ACTIONS(7553),
    [anon_sym_LT] = ACTIONS(7551),
    [anon_sym_GT] = ACTIONS(7551),
    [anon_sym_BANG] = ACTIONS(7551),
    [anon_sym_PIPE] = ACTIONS(7551),
    [anon_sym_COLON] = ACTIONS(7551),
    [anon_sym_SQUOTE] = ACTIONS(7551),
    [anon_sym__] = ACTIONS(7553),
    [anon_sym_CARET] = ACTIONS(7553),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7553),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7553),
    [anon_sym_DOLLAR] = ACTIONS(7551),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7553),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7553),
    [anon_sym_BSLASHleft] = ACTIONS(7551),
    [anon_sym_BSLASHbigl] = ACTIONS(7551),
    [anon_sym_BSLASHBigl] = ACTIONS(7551),
    [anon_sym_BSLASHbiggl] = ACTIONS(7551),
    [anon_sym_BSLASHBiggl] = ACTIONS(7551),
    [anon_sym_BSLASHtext] = ACTIONS(7551),
    [anon_sym_BSLASHintertext] = ACTIONS(7551),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7551),
    [anon_sym_BSLASHbegin] = ACTIONS(7551),
    [anon_sym_BSLASHtitle] = ACTIONS(7551),
    [anon_sym_BSLASHauthor] = ACTIONS(7551),
    [anon_sym_BSLASHusepackage] = ACTIONS(7551),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7551),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7551),
    [anon_sym_BSLASHinclude] = ACTIONS(7551),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7551),
    [anon_sym_BSLASHinput] = ACTIONS(7551),
    [anon_sym_BSLASHsubfile] = ACTIONS(7551),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7551),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7551),
    [anon_sym_BSLASHbibliography] = ACTIONS(7551),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7551),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7551),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7551),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7551),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7551),
    [anon_sym_BSLASHimport] = ACTIONS(7551),
    [anon_sym_BSLASHsubimport] = ACTIONS(7551),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7551),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7551),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7551),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7551),
    [anon_sym_BSLASHcaption] = ACTIONS(7551),
    [anon_sym_BSLASHcite] = ACTIONS(7551),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCite] = ACTIONS(7551),
    [anon_sym_BSLASHnocite] = ACTIONS(7551),
    [anon_sym_BSLASHcitet] = ACTIONS(7551),
    [anon_sym_BSLASHcitep] = ACTIONS(7551),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteA] = ACTIONS(7551),
    [anon_sym_BSLASHciteR] = ACTIONS(7551),
    [anon_sym_BSLASHciteS] = ACTIONS(7551),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7551),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7551),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7551),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7551),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteyear] = ACTIONS(7551),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitedate] = ACTIONS(7551),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteurl] = ACTIONS(7551),
    [anon_sym_BSLASHfullcite] = ACTIONS(7551),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7551),
    [anon_sym_BSLASHcitealt] = ACTIONS(7551),
    [anon_sym_BSLASHcitealp] = ACTIONS(7551),
    [anon_sym_BSLASHcitetext] = ACTIONS(7551),
    [anon_sym_BSLASHparencite] = ACTIONS(7551),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHParencite] = ACTIONS(7551),
    [anon_sym_BSLASHfootcite] = ACTIONS(7551),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7551),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7551),
    [anon_sym_BSLASHtextcite] = ACTIONS(7551),
    [anon_sym_BSLASHTextcite] = ACTIONS(7551),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7551),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7551),
    [anon_sym_BSLASHsupercite] = ACTIONS(7551),
    [anon_sym_BSLASHautocite] = ACTIONS(7551),
    [anon_sym_BSLASHAutocite] = ACTIONS(7551),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHVolcite] = ACTIONS(7551),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHavolcite] = ACTIONS(7551),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHNotecite] = ACTIONS(7551),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHlabel] = ACTIONS(7551),
    [anon_sym_BSLASHref] = ACTIONS(7551),
    [anon_sym_BSLASHeqref] = ACTIONS(7551),
    [anon_sym_BSLASHvref] = ACTIONS(7551),
    [anon_sym_BSLASHVref] = ACTIONS(7551),
    [anon_sym_BSLASHautoref] = ACTIONS(7551),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHpageref] = ACTIONS(7551),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHautopageref] = ACTIONS(7551),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcref] = ACTIONS(7551),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCref] = ACTIONS(7551),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcpageref] = ACTIONS(7551),
    [anon_sym_BSLASHCpageref] = ACTIONS(7551),
    [anon_sym_BSLASHnamecref] = ACTIONS(7551),
    [anon_sym_BSLASHnameCref] = ACTIONS(7551),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7551),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7551),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7551),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7551),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7551),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7551),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7551),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7551),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7551),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7551),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7551),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHdef] = ACTIONS(7551),
    [anon_sym_BSLASHgdef] = ACTIONS(7551),
    [anon_sym_BSLASHedef] = ACTIONS(7551),
    [anon_sym_BSLASHxdef] = ACTIONS(7551),
    [anon_sym_BSLASHlet] = ACTIONS(7551),
    [anon_sym_BSLASHglet] = ACTIONS(7551),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7551),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7551),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7551),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7551),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7551),
    [anon_sym_BSLASHgls] = ACTIONS(7551),
    [anon_sym_BSLASHGls] = ACTIONS(7551),
    [anon_sym_BSLASHGLS] = ACTIONS(7551),
    [anon_sym_BSLASHglspl] = ACTIONS(7551),
    [anon_sym_BSLASHGlspl] = ACTIONS(7551),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7551),
    [anon_sym_BSLASHglslink] = ACTIONS(7551),
    [anon_sym_BSLASHglstext] = ACTIONS(7551),
    [anon_sym_BSLASHGlstext] = ACTIONS(7551),
    [anon_sym_BSLASHGLStext] = ACTIONS(7551),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7551),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7551),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7551),
    [anon_sym_BSLASHglsplural] = ACTIONS(7551),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7551),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7551),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHglsname] = ACTIONS(7551),
    [anon_sym_BSLASHGlsname] = ACTIONS(7551),
    [anon_sym_BSLASHGLSname] = ACTIONS(7551),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7551),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7551),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7551),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7551),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7551),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7551),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7551),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7551),
    [anon_sym_BSLASHacrshort] = ACTIONS(7551),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7551),
    [anon_sym_BSLASHACRshort] = ACTIONS(7551),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHacrlong] = ACTIONS(7551),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7551),
    [anon_sym_BSLASHACRlong] = ACTIONS(7551),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHacrfull] = ACTIONS(7551),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7551),
    [anon_sym_BSLASHACRfull] = ACTIONS(7551),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHacs] = ACTIONS(7551),
    [anon_sym_BSLASHAcs] = ACTIONS(7551),
    [anon_sym_BSLASHacsp] = ACTIONS(7551),
    [anon_sym_BSLASHAcsp] = ACTIONS(7551),
    [anon_sym_BSLASHacl] = ACTIONS(7551),
    [anon_sym_BSLASHAcl] = ACTIONS(7551),
    [anon_sym_BSLASHaclp] = ACTIONS(7551),
    [anon_sym_BSLASHAclp] = ACTIONS(7551),
    [anon_sym_BSLASHacf] = ACTIONS(7551),
    [anon_sym_BSLASHAcf] = ACTIONS(7551),
    [anon_sym_BSLASHacfp] = ACTIONS(7551),
    [anon_sym_BSLASHAcfp] = ACTIONS(7551),
    [anon_sym_BSLASHac] = ACTIONS(7551),
    [anon_sym_BSLASHAc] = ACTIONS(7551),
    [anon_sym_BSLASHacp] = ACTIONS(7551),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7551),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7551),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7551),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7551),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7551),
    [anon_sym_BSLASHcolor] = ACTIONS(7551),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7551),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7551),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7551),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7551),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7551),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7551),
    [anon_sym_BSLASHurl] = ACTIONS(7551),
    [anon_sym_BSLASHhref] = ACTIONS(7551),
  },
  [1384] = {
    [sym_command_name] = ACTIONS(7555),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7555),
    [anon_sym_LBRACK] = ACTIONS(7557),
    [anon_sym_RBRACK] = ACTIONS(7557),
    [anon_sym_COMMA] = ACTIONS(7557),
    [anon_sym_EQ] = ACTIONS(7557),
    [anon_sym_LPAREN] = ACTIONS(7557),
    [anon_sym_RPAREN] = ACTIONS(7557),
    [anon_sym_BSLASHpart] = ACTIONS(7555),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHaddpart] = ACTIONS(7555),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHchapter] = ACTIONS(7555),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHaddchap] = ACTIONS(7555),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHsection] = ACTIONS(7555),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHaddsec] = ACTIONS(7555),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHsubsection] = ACTIONS(7555),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7555),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHparagraph] = ACTIONS(7555),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7555),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHitem] = ACTIONS(7555),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7557),
    [anon_sym_LBRACE] = ACTIONS(7557),
    [sym_word] = ACTIONS(7555),
    [sym_placeholder] = ACTIONS(7557),
    [sym_delimiter] = ACTIONS(7557),
    [anon_sym_PLUS] = ACTIONS(7557),
    [anon_sym_DASH] = ACTIONS(7557),
    [anon_sym_STAR] = ACTIONS(7557),
    [anon_sym_SLASH] = ACTIONS(7557),
    [anon_sym_LT] = ACTIONS(7555),
    [anon_sym_GT] = ACTIONS(7555),
    [anon_sym_BANG] = ACTIONS(7555),
    [anon_sym_PIPE] = ACTIONS(7555),
    [anon_sym_COLON] = ACTIONS(7555),
    [anon_sym_SQUOTE] = ACTIONS(7555),
    [anon_sym__] = ACTIONS(7557),
    [anon_sym_CARET] = ACTIONS(7557),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7557),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7557),
    [anon_sym_DOLLAR] = ACTIONS(7555),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7557),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7557),
    [anon_sym_BSLASHleft] = ACTIONS(7555),
    [anon_sym_BSLASHbigl] = ACTIONS(7555),
    [anon_sym_BSLASHBigl] = ACTIONS(7555),
    [anon_sym_BSLASHbiggl] = ACTIONS(7555),
    [anon_sym_BSLASHBiggl] = ACTIONS(7555),
    [anon_sym_BSLASHtext] = ACTIONS(7555),
    [anon_sym_BSLASHintertext] = ACTIONS(7555),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7555),
    [anon_sym_BSLASHbegin] = ACTIONS(7555),
    [anon_sym_BSLASHtitle] = ACTIONS(7555),
    [anon_sym_BSLASHauthor] = ACTIONS(7555),
    [anon_sym_BSLASHusepackage] = ACTIONS(7555),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7555),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7555),
    [anon_sym_BSLASHinclude] = ACTIONS(7555),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7555),
    [anon_sym_BSLASHinput] = ACTIONS(7555),
    [anon_sym_BSLASHsubfile] = ACTIONS(7555),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7555),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7555),
    [anon_sym_BSLASHbibliography] = ACTIONS(7555),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7555),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7555),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7555),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7555),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7555),
    [anon_sym_BSLASHimport] = ACTIONS(7555),
    [anon_sym_BSLASHsubimport] = ACTIONS(7555),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7555),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7555),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7555),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7555),
    [anon_sym_BSLASHcaption] = ACTIONS(7555),
    [anon_sym_BSLASHcite] = ACTIONS(7555),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCite] = ACTIONS(7555),
    [anon_sym_BSLASHnocite] = ACTIONS(7555),
    [anon_sym_BSLASHcitet] = ACTIONS(7555),
    [anon_sym_BSLASHcitep] = ACTIONS(7555),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteA] = ACTIONS(7555),
    [anon_sym_BSLASHciteR] = ACTIONS(7555),
    [anon_sym_BSLASHciteS] = ACTIONS(7555),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7555),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7555),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7555),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7555),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteyear] = ACTIONS(7555),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitedate] = ACTIONS(7555),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteurl] = ACTIONS(7555),
    [anon_sym_BSLASHfullcite] = ACTIONS(7555),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7555),
    [anon_sym_BSLASHcitealt] = ACTIONS(7555),
    [anon_sym_BSLASHcitealp] = ACTIONS(7555),
    [anon_sym_BSLASHcitetext] = ACTIONS(7555),
    [anon_sym_BSLASHparencite] = ACTIONS(7555),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHParencite] = ACTIONS(7555),
    [anon_sym_BSLASHfootcite] = ACTIONS(7555),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7555),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7555),
    [anon_sym_BSLASHtextcite] = ACTIONS(7555),
    [anon_sym_BSLASHTextcite] = ACTIONS(7555),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7555),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7555),
    [anon_sym_BSLASHsupercite] = ACTIONS(7555),
    [anon_sym_BSLASHautocite] = ACTIONS(7555),
    [anon_sym_BSLASHAutocite] = ACTIONS(7555),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHVolcite] = ACTIONS(7555),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHavolcite] = ACTIONS(7555),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHNotecite] = ACTIONS(7555),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHlabel] = ACTIONS(7555),
    [anon_sym_BSLASHref] = ACTIONS(7555),
    [anon_sym_BSLASHeqref] = ACTIONS(7555),
    [anon_sym_BSLASHvref] = ACTIONS(7555),
    [anon_sym_BSLASHVref] = ACTIONS(7555),
    [anon_sym_BSLASHautoref] = ACTIONS(7555),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHpageref] = ACTIONS(7555),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHautopageref] = ACTIONS(7555),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcref] = ACTIONS(7555),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCref] = ACTIONS(7555),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcpageref] = ACTIONS(7555),
    [anon_sym_BSLASHCpageref] = ACTIONS(7555),
    [anon_sym_BSLASHnamecref] = ACTIONS(7555),
    [anon_sym_BSLASHnameCref] = ACTIONS(7555),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7555),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7555),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7555),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7555),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7555),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7555),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7555),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7555),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7555),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7555),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7555),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHdef] = ACTIONS(7555),
    [anon_sym_BSLASHgdef] = ACTIONS(7555),
    [anon_sym_BSLASHedef] = ACTIONS(7555),
    [anon_sym_BSLASHxdef] = ACTIONS(7555),
    [anon_sym_BSLASHlet] = ACTIONS(7555),
    [anon_sym_BSLASHglet] = ACTIONS(7555),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7555),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7555),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7555),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7555),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7555),
    [anon_sym_BSLASHgls] = ACTIONS(7555),
    [anon_sym_BSLASHGls] = ACTIONS(7555),
    [anon_sym_BSLASHGLS] = ACTIONS(7555),
    [anon_sym_BSLASHglspl] = ACTIONS(7555),
    [anon_sym_BSLASHGlspl] = ACTIONS(7555),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7555),
    [anon_sym_BSLASHglslink] = ACTIONS(7555),
    [anon_sym_BSLASHglstext] = ACTIONS(7555),
    [anon_sym_BSLASHGlstext] = ACTIONS(7555),
    [anon_sym_BSLASHGLStext] = ACTIONS(7555),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7555),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7555),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7555),
    [anon_sym_BSLASHglsplural] = ACTIONS(7555),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7555),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7555),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHglsname] = ACTIONS(7555),
    [anon_sym_BSLASHGlsname] = ACTIONS(7555),
    [anon_sym_BSLASHGLSname] = ACTIONS(7555),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7555),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7555),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7555),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7555),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7555),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7555),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7555),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7555),
    [anon_sym_BSLASHacrshort] = ACTIONS(7555),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7555),
    [anon_sym_BSLASHACRshort] = ACTIONS(7555),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHacrlong] = ACTIONS(7555),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7555),
    [anon_sym_BSLASHACRlong] = ACTIONS(7555),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHacrfull] = ACTIONS(7555),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7555),
    [anon_sym_BSLASHACRfull] = ACTIONS(7555),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHacs] = ACTIONS(7555),
    [anon_sym_BSLASHAcs] = ACTIONS(7555),
    [anon_sym_BSLASHacsp] = ACTIONS(7555),
    [anon_sym_BSLASHAcsp] = ACTIONS(7555),
    [anon_sym_BSLASHacl] = ACTIONS(7555),
    [anon_sym_BSLASHAcl] = ACTIONS(7555),
    [anon_sym_BSLASHaclp] = ACTIONS(7555),
    [anon_sym_BSLASHAclp] = ACTIONS(7555),
    [anon_sym_BSLASHacf] = ACTIONS(7555),
    [anon_sym_BSLASHAcf] = ACTIONS(7555),
    [anon_sym_BSLASHacfp] = ACTIONS(7555),
    [anon_sym_BSLASHAcfp] = ACTIONS(7555),
    [anon_sym_BSLASHac] = ACTIONS(7555),
    [anon_sym_BSLASHAc] = ACTIONS(7555),
    [anon_sym_BSLASHacp] = ACTIONS(7555),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7555),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7555),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7555),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7555),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7555),
    [anon_sym_BSLASHcolor] = ACTIONS(7555),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7555),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7555),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7555),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7555),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7555),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7555),
    [anon_sym_BSLASHurl] = ACTIONS(7555),
    [anon_sym_BSLASHhref] = ACTIONS(7555),
  },
  [1385] = {
    [sym_command_name] = ACTIONS(7559),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7559),
    [anon_sym_LBRACK] = ACTIONS(7561),
    [anon_sym_RBRACK] = ACTIONS(7561),
    [anon_sym_COMMA] = ACTIONS(7561),
    [anon_sym_EQ] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7561),
    [anon_sym_RPAREN] = ACTIONS(7561),
    [anon_sym_BSLASHpart] = ACTIONS(7559),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHaddpart] = ACTIONS(7559),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHchapter] = ACTIONS(7559),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHaddchap] = ACTIONS(7559),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHsection] = ACTIONS(7559),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHaddsec] = ACTIONS(7559),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHsubsection] = ACTIONS(7559),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7559),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHparagraph] = ACTIONS(7559),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7559),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHitem] = ACTIONS(7559),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7561),
    [anon_sym_LBRACE] = ACTIONS(7561),
    [sym_word] = ACTIONS(7559),
    [sym_placeholder] = ACTIONS(7561),
    [sym_delimiter] = ACTIONS(7561),
    [anon_sym_PLUS] = ACTIONS(7561),
    [anon_sym_DASH] = ACTIONS(7561),
    [anon_sym_STAR] = ACTIONS(7561),
    [anon_sym_SLASH] = ACTIONS(7561),
    [anon_sym_LT] = ACTIONS(7559),
    [anon_sym_GT] = ACTIONS(7559),
    [anon_sym_BANG] = ACTIONS(7559),
    [anon_sym_PIPE] = ACTIONS(7559),
    [anon_sym_COLON] = ACTIONS(7559),
    [anon_sym_SQUOTE] = ACTIONS(7559),
    [anon_sym__] = ACTIONS(7561),
    [anon_sym_CARET] = ACTIONS(7561),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7561),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7561),
    [anon_sym_DOLLAR] = ACTIONS(7559),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7561),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7561),
    [anon_sym_BSLASHleft] = ACTIONS(7559),
    [anon_sym_BSLASHbigl] = ACTIONS(7559),
    [anon_sym_BSLASHBigl] = ACTIONS(7559),
    [anon_sym_BSLASHbiggl] = ACTIONS(7559),
    [anon_sym_BSLASHBiggl] = ACTIONS(7559),
    [anon_sym_BSLASHtext] = ACTIONS(7559),
    [anon_sym_BSLASHintertext] = ACTIONS(7559),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7559),
    [anon_sym_BSLASHbegin] = ACTIONS(7559),
    [anon_sym_BSLASHtitle] = ACTIONS(7559),
    [anon_sym_BSLASHauthor] = ACTIONS(7559),
    [anon_sym_BSLASHusepackage] = ACTIONS(7559),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7559),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7559),
    [anon_sym_BSLASHinclude] = ACTIONS(7559),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7559),
    [anon_sym_BSLASHinput] = ACTIONS(7559),
    [anon_sym_BSLASHsubfile] = ACTIONS(7559),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7559),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7559),
    [anon_sym_BSLASHbibliography] = ACTIONS(7559),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7559),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7559),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7559),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7559),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7559),
    [anon_sym_BSLASHimport] = ACTIONS(7559),
    [anon_sym_BSLASHsubimport] = ACTIONS(7559),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7559),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7559),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7559),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7559),
    [anon_sym_BSLASHcaption] = ACTIONS(7559),
    [anon_sym_BSLASHcite] = ACTIONS(7559),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCite] = ACTIONS(7559),
    [anon_sym_BSLASHnocite] = ACTIONS(7559),
    [anon_sym_BSLASHcitet] = ACTIONS(7559),
    [anon_sym_BSLASHcitep] = ACTIONS(7559),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteA] = ACTIONS(7559),
    [anon_sym_BSLASHciteR] = ACTIONS(7559),
    [anon_sym_BSLASHciteS] = ACTIONS(7559),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7559),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7559),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7559),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7559),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteyear] = ACTIONS(7559),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitedate] = ACTIONS(7559),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteurl] = ACTIONS(7559),
    [anon_sym_BSLASHfullcite] = ACTIONS(7559),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7559),
    [anon_sym_BSLASHcitealt] = ACTIONS(7559),
    [anon_sym_BSLASHcitealp] = ACTIONS(7559),
    [anon_sym_BSLASHcitetext] = ACTIONS(7559),
    [anon_sym_BSLASHparencite] = ACTIONS(7559),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHParencite] = ACTIONS(7559),
    [anon_sym_BSLASHfootcite] = ACTIONS(7559),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7559),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7559),
    [anon_sym_BSLASHtextcite] = ACTIONS(7559),
    [anon_sym_BSLASHTextcite] = ACTIONS(7559),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7559),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7559),
    [anon_sym_BSLASHsupercite] = ACTIONS(7559),
    [anon_sym_BSLASHautocite] = ACTIONS(7559),
    [anon_sym_BSLASHAutocite] = ACTIONS(7559),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHVolcite] = ACTIONS(7559),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHavolcite] = ACTIONS(7559),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHNotecite] = ACTIONS(7559),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHlabel] = ACTIONS(7559),
    [anon_sym_BSLASHref] = ACTIONS(7559),
    [anon_sym_BSLASHeqref] = ACTIONS(7559),
    [anon_sym_BSLASHvref] = ACTIONS(7559),
    [anon_sym_BSLASHVref] = ACTIONS(7559),
    [anon_sym_BSLASHautoref] = ACTIONS(7559),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHpageref] = ACTIONS(7559),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHautopageref] = ACTIONS(7559),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcref] = ACTIONS(7559),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCref] = ACTIONS(7559),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcpageref] = ACTIONS(7559),
    [anon_sym_BSLASHCpageref] = ACTIONS(7559),
    [anon_sym_BSLASHnamecref] = ACTIONS(7559),
    [anon_sym_BSLASHnameCref] = ACTIONS(7559),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7559),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7559),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7559),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7559),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7559),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7559),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7559),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7559),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7559),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7559),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7559),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHdef] = ACTIONS(7559),
    [anon_sym_BSLASHgdef] = ACTIONS(7559),
    [anon_sym_BSLASHedef] = ACTIONS(7559),
    [anon_sym_BSLASHxdef] = ACTIONS(7559),
    [anon_sym_BSLASHlet] = ACTIONS(7559),
    [anon_sym_BSLASHglet] = ACTIONS(7559),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7559),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7559),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7559),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7559),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7559),
    [anon_sym_BSLASHgls] = ACTIONS(7559),
    [anon_sym_BSLASHGls] = ACTIONS(7559),
    [anon_sym_BSLASHGLS] = ACTIONS(7559),
    [anon_sym_BSLASHglspl] = ACTIONS(7559),
    [anon_sym_BSLASHGlspl] = ACTIONS(7559),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7559),
    [anon_sym_BSLASHglslink] = ACTIONS(7559),
    [anon_sym_BSLASHglstext] = ACTIONS(7559),
    [anon_sym_BSLASHGlstext] = ACTIONS(7559),
    [anon_sym_BSLASHGLStext] = ACTIONS(7559),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7559),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7559),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7559),
    [anon_sym_BSLASHglsplural] = ACTIONS(7559),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7559),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7559),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHglsname] = ACTIONS(7559),
    [anon_sym_BSLASHGlsname] = ACTIONS(7559),
    [anon_sym_BSLASHGLSname] = ACTIONS(7559),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7559),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7559),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7559),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7559),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7559),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7559),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7559),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7559),
    [anon_sym_BSLASHacrshort] = ACTIONS(7559),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7559),
    [anon_sym_BSLASHACRshort] = ACTIONS(7559),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHacrlong] = ACTIONS(7559),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7559),
    [anon_sym_BSLASHACRlong] = ACTIONS(7559),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHacrfull] = ACTIONS(7559),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7559),
    [anon_sym_BSLASHACRfull] = ACTIONS(7559),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHacs] = ACTIONS(7559),
    [anon_sym_BSLASHAcs] = ACTIONS(7559),
    [anon_sym_BSLASHacsp] = ACTIONS(7559),
    [anon_sym_BSLASHAcsp] = ACTIONS(7559),
    [anon_sym_BSLASHacl] = ACTIONS(7559),
    [anon_sym_BSLASHAcl] = ACTIONS(7559),
    [anon_sym_BSLASHaclp] = ACTIONS(7559),
    [anon_sym_BSLASHAclp] = ACTIONS(7559),
    [anon_sym_BSLASHacf] = ACTIONS(7559),
    [anon_sym_BSLASHAcf] = ACTIONS(7559),
    [anon_sym_BSLASHacfp] = ACTIONS(7559),
    [anon_sym_BSLASHAcfp] = ACTIONS(7559),
    [anon_sym_BSLASHac] = ACTIONS(7559),
    [anon_sym_BSLASHAc] = ACTIONS(7559),
    [anon_sym_BSLASHacp] = ACTIONS(7559),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7559),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7559),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7559),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7559),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7559),
    [anon_sym_BSLASHcolor] = ACTIONS(7559),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7559),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7559),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7559),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7559),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7559),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7559),
    [anon_sym_BSLASHurl] = ACTIONS(7559),
    [anon_sym_BSLASHhref] = ACTIONS(7559),
  },
  [1386] = {
    [sym_command_name] = ACTIONS(7563),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7563),
    [anon_sym_LBRACK] = ACTIONS(7565),
    [anon_sym_RBRACK] = ACTIONS(7565),
    [anon_sym_COMMA] = ACTIONS(7565),
    [anon_sym_EQ] = ACTIONS(7565),
    [anon_sym_LPAREN] = ACTIONS(7565),
    [anon_sym_RPAREN] = ACTIONS(7565),
    [anon_sym_BSLASHpart] = ACTIONS(7563),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHaddpart] = ACTIONS(7563),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHchapter] = ACTIONS(7563),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHaddchap] = ACTIONS(7563),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHsection] = ACTIONS(7563),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHaddsec] = ACTIONS(7563),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHsubsection] = ACTIONS(7563),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7563),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHparagraph] = ACTIONS(7563),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7563),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHitem] = ACTIONS(7563),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7565),
    [anon_sym_LBRACE] = ACTIONS(7565),
    [sym_word] = ACTIONS(7563),
    [sym_placeholder] = ACTIONS(7565),
    [sym_delimiter] = ACTIONS(7565),
    [anon_sym_PLUS] = ACTIONS(7565),
    [anon_sym_DASH] = ACTIONS(7565),
    [anon_sym_STAR] = ACTIONS(7565),
    [anon_sym_SLASH] = ACTIONS(7565),
    [anon_sym_LT] = ACTIONS(7563),
    [anon_sym_GT] = ACTIONS(7563),
    [anon_sym_BANG] = ACTIONS(7563),
    [anon_sym_PIPE] = ACTIONS(7563),
    [anon_sym_COLON] = ACTIONS(7563),
    [anon_sym_SQUOTE] = ACTIONS(7563),
    [anon_sym__] = ACTIONS(7565),
    [anon_sym_CARET] = ACTIONS(7565),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7565),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7565),
    [anon_sym_DOLLAR] = ACTIONS(7563),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7565),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7565),
    [anon_sym_BSLASHleft] = ACTIONS(7563),
    [anon_sym_BSLASHbigl] = ACTIONS(7563),
    [anon_sym_BSLASHBigl] = ACTIONS(7563),
    [anon_sym_BSLASHbiggl] = ACTIONS(7563),
    [anon_sym_BSLASHBiggl] = ACTIONS(7563),
    [anon_sym_BSLASHtext] = ACTIONS(7563),
    [anon_sym_BSLASHintertext] = ACTIONS(7563),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7563),
    [anon_sym_BSLASHbegin] = ACTIONS(7563),
    [anon_sym_BSLASHtitle] = ACTIONS(7563),
    [anon_sym_BSLASHauthor] = ACTIONS(7563),
    [anon_sym_BSLASHusepackage] = ACTIONS(7563),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7563),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7563),
    [anon_sym_BSLASHinclude] = ACTIONS(7563),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7563),
    [anon_sym_BSLASHinput] = ACTIONS(7563),
    [anon_sym_BSLASHsubfile] = ACTIONS(7563),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7563),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7563),
    [anon_sym_BSLASHbibliography] = ACTIONS(7563),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7563),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7563),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7563),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7563),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7563),
    [anon_sym_BSLASHimport] = ACTIONS(7563),
    [anon_sym_BSLASHsubimport] = ACTIONS(7563),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7563),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7563),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7563),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7563),
    [anon_sym_BSLASHcaption] = ACTIONS(7563),
    [anon_sym_BSLASHcite] = ACTIONS(7563),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCite] = ACTIONS(7563),
    [anon_sym_BSLASHnocite] = ACTIONS(7563),
    [anon_sym_BSLASHcitet] = ACTIONS(7563),
    [anon_sym_BSLASHcitep] = ACTIONS(7563),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteA] = ACTIONS(7563),
    [anon_sym_BSLASHciteR] = ACTIONS(7563),
    [anon_sym_BSLASHciteS] = ACTIONS(7563),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7563),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7563),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7563),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7563),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteyear] = ACTIONS(7563),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitedate] = ACTIONS(7563),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteurl] = ACTIONS(7563),
    [anon_sym_BSLASHfullcite] = ACTIONS(7563),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7563),
    [anon_sym_BSLASHcitealt] = ACTIONS(7563),
    [anon_sym_BSLASHcitealp] = ACTIONS(7563),
    [anon_sym_BSLASHcitetext] = ACTIONS(7563),
    [anon_sym_BSLASHparencite] = ACTIONS(7563),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHParencite] = ACTIONS(7563),
    [anon_sym_BSLASHfootcite] = ACTIONS(7563),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7563),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7563),
    [anon_sym_BSLASHtextcite] = ACTIONS(7563),
    [anon_sym_BSLASHTextcite] = ACTIONS(7563),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7563),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7563),
    [anon_sym_BSLASHsupercite] = ACTIONS(7563),
    [anon_sym_BSLASHautocite] = ACTIONS(7563),
    [anon_sym_BSLASHAutocite] = ACTIONS(7563),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHVolcite] = ACTIONS(7563),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHavolcite] = ACTIONS(7563),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHNotecite] = ACTIONS(7563),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHlabel] = ACTIONS(7563),
    [anon_sym_BSLASHref] = ACTIONS(7563),
    [anon_sym_BSLASHeqref] = ACTIONS(7563),
    [anon_sym_BSLASHvref] = ACTIONS(7563),
    [anon_sym_BSLASHVref] = ACTIONS(7563),
    [anon_sym_BSLASHautoref] = ACTIONS(7563),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHpageref] = ACTIONS(7563),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHautopageref] = ACTIONS(7563),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcref] = ACTIONS(7563),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCref] = ACTIONS(7563),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcpageref] = ACTIONS(7563),
    [anon_sym_BSLASHCpageref] = ACTIONS(7563),
    [anon_sym_BSLASHnamecref] = ACTIONS(7563),
    [anon_sym_BSLASHnameCref] = ACTIONS(7563),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7563),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7563),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7563),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7563),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7563),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7563),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7563),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7563),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7563),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7563),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7563),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHdef] = ACTIONS(7563),
    [anon_sym_BSLASHgdef] = ACTIONS(7563),
    [anon_sym_BSLASHedef] = ACTIONS(7563),
    [anon_sym_BSLASHxdef] = ACTIONS(7563),
    [anon_sym_BSLASHlet] = ACTIONS(7563),
    [anon_sym_BSLASHglet] = ACTIONS(7563),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7563),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7563),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7563),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7563),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7563),
    [anon_sym_BSLASHgls] = ACTIONS(7563),
    [anon_sym_BSLASHGls] = ACTIONS(7563),
    [anon_sym_BSLASHGLS] = ACTIONS(7563),
    [anon_sym_BSLASHglspl] = ACTIONS(7563),
    [anon_sym_BSLASHGlspl] = ACTIONS(7563),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7563),
    [anon_sym_BSLASHglslink] = ACTIONS(7563),
    [anon_sym_BSLASHglstext] = ACTIONS(7563),
    [anon_sym_BSLASHGlstext] = ACTIONS(7563),
    [anon_sym_BSLASHGLStext] = ACTIONS(7563),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7563),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7563),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7563),
    [anon_sym_BSLASHglsplural] = ACTIONS(7563),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7563),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7563),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHglsname] = ACTIONS(7563),
    [anon_sym_BSLASHGlsname] = ACTIONS(7563),
    [anon_sym_BSLASHGLSname] = ACTIONS(7563),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7563),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7563),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7563),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7563),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7563),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7563),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7563),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7563),
    [anon_sym_BSLASHacrshort] = ACTIONS(7563),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7563),
    [anon_sym_BSLASHACRshort] = ACTIONS(7563),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHacrlong] = ACTIONS(7563),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7563),
    [anon_sym_BSLASHACRlong] = ACTIONS(7563),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHacrfull] = ACTIONS(7563),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7563),
    [anon_sym_BSLASHACRfull] = ACTIONS(7563),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHacs] = ACTIONS(7563),
    [anon_sym_BSLASHAcs] = ACTIONS(7563),
    [anon_sym_BSLASHacsp] = ACTIONS(7563),
    [anon_sym_BSLASHAcsp] = ACTIONS(7563),
    [anon_sym_BSLASHacl] = ACTIONS(7563),
    [anon_sym_BSLASHAcl] = ACTIONS(7563),
    [anon_sym_BSLASHaclp] = ACTIONS(7563),
    [anon_sym_BSLASHAclp] = ACTIONS(7563),
    [anon_sym_BSLASHacf] = ACTIONS(7563),
    [anon_sym_BSLASHAcf] = ACTIONS(7563),
    [anon_sym_BSLASHacfp] = ACTIONS(7563),
    [anon_sym_BSLASHAcfp] = ACTIONS(7563),
    [anon_sym_BSLASHac] = ACTIONS(7563),
    [anon_sym_BSLASHAc] = ACTIONS(7563),
    [anon_sym_BSLASHacp] = ACTIONS(7563),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7563),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7563),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7563),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7563),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7563),
    [anon_sym_BSLASHcolor] = ACTIONS(7563),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7563),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7563),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7563),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7563),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7563),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7563),
    [anon_sym_BSLASHurl] = ACTIONS(7563),
    [anon_sym_BSLASHhref] = ACTIONS(7563),
  },
  [1387] = {
    [sym_command_name] = ACTIONS(7567),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7567),
    [anon_sym_LBRACK] = ACTIONS(7569),
    [anon_sym_RBRACK] = ACTIONS(7569),
    [anon_sym_COMMA] = ACTIONS(7569),
    [anon_sym_EQ] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7569),
    [anon_sym_RPAREN] = ACTIONS(7569),
    [anon_sym_BSLASHpart] = ACTIONS(7567),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHaddpart] = ACTIONS(7567),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHchapter] = ACTIONS(7567),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHaddchap] = ACTIONS(7567),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHsection] = ACTIONS(7567),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHaddsec] = ACTIONS(7567),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHsubsection] = ACTIONS(7567),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7567),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHparagraph] = ACTIONS(7567),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7567),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHitem] = ACTIONS(7567),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7569),
    [anon_sym_LBRACE] = ACTIONS(7569),
    [sym_word] = ACTIONS(7567),
    [sym_placeholder] = ACTIONS(7569),
    [sym_delimiter] = ACTIONS(7569),
    [anon_sym_PLUS] = ACTIONS(7569),
    [anon_sym_DASH] = ACTIONS(7569),
    [anon_sym_STAR] = ACTIONS(7569),
    [anon_sym_SLASH] = ACTIONS(7569),
    [anon_sym_LT] = ACTIONS(7567),
    [anon_sym_GT] = ACTIONS(7567),
    [anon_sym_BANG] = ACTIONS(7567),
    [anon_sym_PIPE] = ACTIONS(7567),
    [anon_sym_COLON] = ACTIONS(7567),
    [anon_sym_SQUOTE] = ACTIONS(7567),
    [anon_sym__] = ACTIONS(7569),
    [anon_sym_CARET] = ACTIONS(7569),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7569),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7569),
    [anon_sym_DOLLAR] = ACTIONS(7567),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7569),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7569),
    [anon_sym_BSLASHleft] = ACTIONS(7567),
    [anon_sym_BSLASHbigl] = ACTIONS(7567),
    [anon_sym_BSLASHBigl] = ACTIONS(7567),
    [anon_sym_BSLASHbiggl] = ACTIONS(7567),
    [anon_sym_BSLASHBiggl] = ACTIONS(7567),
    [anon_sym_BSLASHtext] = ACTIONS(7567),
    [anon_sym_BSLASHintertext] = ACTIONS(7567),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7567),
    [anon_sym_BSLASHbegin] = ACTIONS(7567),
    [anon_sym_BSLASHtitle] = ACTIONS(7567),
    [anon_sym_BSLASHauthor] = ACTIONS(7567),
    [anon_sym_BSLASHusepackage] = ACTIONS(7567),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7567),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7567),
    [anon_sym_BSLASHinclude] = ACTIONS(7567),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7567),
    [anon_sym_BSLASHinput] = ACTIONS(7567),
    [anon_sym_BSLASHsubfile] = ACTIONS(7567),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7567),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7567),
    [anon_sym_BSLASHbibliography] = ACTIONS(7567),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7567),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7567),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7567),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7567),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7567),
    [anon_sym_BSLASHimport] = ACTIONS(7567),
    [anon_sym_BSLASHsubimport] = ACTIONS(7567),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7567),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7567),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7567),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7567),
    [anon_sym_BSLASHcaption] = ACTIONS(7567),
    [anon_sym_BSLASHcite] = ACTIONS(7567),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCite] = ACTIONS(7567),
    [anon_sym_BSLASHnocite] = ACTIONS(7567),
    [anon_sym_BSLASHcitet] = ACTIONS(7567),
    [anon_sym_BSLASHcitep] = ACTIONS(7567),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteA] = ACTIONS(7567),
    [anon_sym_BSLASHciteR] = ACTIONS(7567),
    [anon_sym_BSLASHciteS] = ACTIONS(7567),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7567),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7567),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7567),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7567),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteyear] = ACTIONS(7567),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitedate] = ACTIONS(7567),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteurl] = ACTIONS(7567),
    [anon_sym_BSLASHfullcite] = ACTIONS(7567),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7567),
    [anon_sym_BSLASHcitealt] = ACTIONS(7567),
    [anon_sym_BSLASHcitealp] = ACTIONS(7567),
    [anon_sym_BSLASHcitetext] = ACTIONS(7567),
    [anon_sym_BSLASHparencite] = ACTIONS(7567),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHParencite] = ACTIONS(7567),
    [anon_sym_BSLASHfootcite] = ACTIONS(7567),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7567),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7567),
    [anon_sym_BSLASHtextcite] = ACTIONS(7567),
    [anon_sym_BSLASHTextcite] = ACTIONS(7567),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7567),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7567),
    [anon_sym_BSLASHsupercite] = ACTIONS(7567),
    [anon_sym_BSLASHautocite] = ACTIONS(7567),
    [anon_sym_BSLASHAutocite] = ACTIONS(7567),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHVolcite] = ACTIONS(7567),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHavolcite] = ACTIONS(7567),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHNotecite] = ACTIONS(7567),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHlabel] = ACTIONS(7567),
    [anon_sym_BSLASHref] = ACTIONS(7567),
    [anon_sym_BSLASHeqref] = ACTIONS(7567),
    [anon_sym_BSLASHvref] = ACTIONS(7567),
    [anon_sym_BSLASHVref] = ACTIONS(7567),
    [anon_sym_BSLASHautoref] = ACTIONS(7567),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHpageref] = ACTIONS(7567),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHautopageref] = ACTIONS(7567),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcref] = ACTIONS(7567),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCref] = ACTIONS(7567),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcpageref] = ACTIONS(7567),
    [anon_sym_BSLASHCpageref] = ACTIONS(7567),
    [anon_sym_BSLASHnamecref] = ACTIONS(7567),
    [anon_sym_BSLASHnameCref] = ACTIONS(7567),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7567),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7567),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7567),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7567),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7567),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7567),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7567),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7567),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7567),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7567),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7567),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHdef] = ACTIONS(7567),
    [anon_sym_BSLASHgdef] = ACTIONS(7567),
    [anon_sym_BSLASHedef] = ACTIONS(7567),
    [anon_sym_BSLASHxdef] = ACTIONS(7567),
    [anon_sym_BSLASHlet] = ACTIONS(7567),
    [anon_sym_BSLASHglet] = ACTIONS(7567),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7567),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7567),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7567),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7567),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7567),
    [anon_sym_BSLASHgls] = ACTIONS(7567),
    [anon_sym_BSLASHGls] = ACTIONS(7567),
    [anon_sym_BSLASHGLS] = ACTIONS(7567),
    [anon_sym_BSLASHglspl] = ACTIONS(7567),
    [anon_sym_BSLASHGlspl] = ACTIONS(7567),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7567),
    [anon_sym_BSLASHglslink] = ACTIONS(7567),
    [anon_sym_BSLASHglstext] = ACTIONS(7567),
    [anon_sym_BSLASHGlstext] = ACTIONS(7567),
    [anon_sym_BSLASHGLStext] = ACTIONS(7567),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7567),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7567),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7567),
    [anon_sym_BSLASHglsplural] = ACTIONS(7567),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7567),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7567),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHglsname] = ACTIONS(7567),
    [anon_sym_BSLASHGlsname] = ACTIONS(7567),
    [anon_sym_BSLASHGLSname] = ACTIONS(7567),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7567),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7567),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7567),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7567),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7567),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7567),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7567),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7567),
    [anon_sym_BSLASHacrshort] = ACTIONS(7567),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7567),
    [anon_sym_BSLASHACRshort] = ACTIONS(7567),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHacrlong] = ACTIONS(7567),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7567),
    [anon_sym_BSLASHACRlong] = ACTIONS(7567),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHacrfull] = ACTIONS(7567),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7567),
    [anon_sym_BSLASHACRfull] = ACTIONS(7567),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHacs] = ACTIONS(7567),
    [anon_sym_BSLASHAcs] = ACTIONS(7567),
    [anon_sym_BSLASHacsp] = ACTIONS(7567),
    [anon_sym_BSLASHAcsp] = ACTIONS(7567),
    [anon_sym_BSLASHacl] = ACTIONS(7567),
    [anon_sym_BSLASHAcl] = ACTIONS(7567),
    [anon_sym_BSLASHaclp] = ACTIONS(7567),
    [anon_sym_BSLASHAclp] = ACTIONS(7567),
    [anon_sym_BSLASHacf] = ACTIONS(7567),
    [anon_sym_BSLASHAcf] = ACTIONS(7567),
    [anon_sym_BSLASHacfp] = ACTIONS(7567),
    [anon_sym_BSLASHAcfp] = ACTIONS(7567),
    [anon_sym_BSLASHac] = ACTIONS(7567),
    [anon_sym_BSLASHAc] = ACTIONS(7567),
    [anon_sym_BSLASHacp] = ACTIONS(7567),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7567),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7567),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7567),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7567),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7567),
    [anon_sym_BSLASHcolor] = ACTIONS(7567),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7567),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7567),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7567),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7567),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7567),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7567),
    [anon_sym_BSLASHurl] = ACTIONS(7567),
    [anon_sym_BSLASHhref] = ACTIONS(7567),
  },
  [1388] = {
    [sym_command_name] = ACTIONS(7571),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7571),
    [anon_sym_LBRACK] = ACTIONS(7573),
    [anon_sym_RBRACK] = ACTIONS(7573),
    [anon_sym_COMMA] = ACTIONS(7573),
    [anon_sym_EQ] = ACTIONS(7573),
    [anon_sym_LPAREN] = ACTIONS(7573),
    [anon_sym_RPAREN] = ACTIONS(7573),
    [anon_sym_BSLASHpart] = ACTIONS(7571),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHaddpart] = ACTIONS(7571),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHchapter] = ACTIONS(7571),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHaddchap] = ACTIONS(7571),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHsection] = ACTIONS(7571),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHaddsec] = ACTIONS(7571),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHsubsection] = ACTIONS(7571),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7571),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHparagraph] = ACTIONS(7571),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7571),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHitem] = ACTIONS(7571),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7573),
    [anon_sym_LBRACE] = ACTIONS(7573),
    [sym_word] = ACTIONS(7571),
    [sym_placeholder] = ACTIONS(7573),
    [sym_delimiter] = ACTIONS(7573),
    [anon_sym_PLUS] = ACTIONS(7573),
    [anon_sym_DASH] = ACTIONS(7573),
    [anon_sym_STAR] = ACTIONS(7573),
    [anon_sym_SLASH] = ACTIONS(7573),
    [anon_sym_LT] = ACTIONS(7571),
    [anon_sym_GT] = ACTIONS(7571),
    [anon_sym_BANG] = ACTIONS(7571),
    [anon_sym_PIPE] = ACTIONS(7571),
    [anon_sym_COLON] = ACTIONS(7571),
    [anon_sym_SQUOTE] = ACTIONS(7571),
    [anon_sym__] = ACTIONS(7573),
    [anon_sym_CARET] = ACTIONS(7573),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7573),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7573),
    [anon_sym_DOLLAR] = ACTIONS(7571),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7573),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7573),
    [anon_sym_BSLASHleft] = ACTIONS(7571),
    [anon_sym_BSLASHbigl] = ACTIONS(7571),
    [anon_sym_BSLASHBigl] = ACTIONS(7571),
    [anon_sym_BSLASHbiggl] = ACTIONS(7571),
    [anon_sym_BSLASHBiggl] = ACTIONS(7571),
    [anon_sym_BSLASHtext] = ACTIONS(7571),
    [anon_sym_BSLASHintertext] = ACTIONS(7571),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7571),
    [anon_sym_BSLASHbegin] = ACTIONS(7571),
    [anon_sym_BSLASHtitle] = ACTIONS(7571),
    [anon_sym_BSLASHauthor] = ACTIONS(7571),
    [anon_sym_BSLASHusepackage] = ACTIONS(7571),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7571),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7571),
    [anon_sym_BSLASHinclude] = ACTIONS(7571),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7571),
    [anon_sym_BSLASHinput] = ACTIONS(7571),
    [anon_sym_BSLASHsubfile] = ACTIONS(7571),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7571),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7571),
    [anon_sym_BSLASHbibliography] = ACTIONS(7571),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7571),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7571),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7571),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7571),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7571),
    [anon_sym_BSLASHimport] = ACTIONS(7571),
    [anon_sym_BSLASHsubimport] = ACTIONS(7571),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7571),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7571),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7571),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7571),
    [anon_sym_BSLASHcaption] = ACTIONS(7571),
    [anon_sym_BSLASHcite] = ACTIONS(7571),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCite] = ACTIONS(7571),
    [anon_sym_BSLASHnocite] = ACTIONS(7571),
    [anon_sym_BSLASHcitet] = ACTIONS(7571),
    [anon_sym_BSLASHcitep] = ACTIONS(7571),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteA] = ACTIONS(7571),
    [anon_sym_BSLASHciteR] = ACTIONS(7571),
    [anon_sym_BSLASHciteS] = ACTIONS(7571),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7571),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7571),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7571),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7571),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteyear] = ACTIONS(7571),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitedate] = ACTIONS(7571),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteurl] = ACTIONS(7571),
    [anon_sym_BSLASHfullcite] = ACTIONS(7571),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7571),
    [anon_sym_BSLASHcitealt] = ACTIONS(7571),
    [anon_sym_BSLASHcitealp] = ACTIONS(7571),
    [anon_sym_BSLASHcitetext] = ACTIONS(7571),
    [anon_sym_BSLASHparencite] = ACTIONS(7571),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHParencite] = ACTIONS(7571),
    [anon_sym_BSLASHfootcite] = ACTIONS(7571),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7571),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7571),
    [anon_sym_BSLASHtextcite] = ACTIONS(7571),
    [anon_sym_BSLASHTextcite] = ACTIONS(7571),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7571),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7571),
    [anon_sym_BSLASHsupercite] = ACTIONS(7571),
    [anon_sym_BSLASHautocite] = ACTIONS(7571),
    [anon_sym_BSLASHAutocite] = ACTIONS(7571),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHVolcite] = ACTIONS(7571),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHavolcite] = ACTIONS(7571),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHNotecite] = ACTIONS(7571),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHlabel] = ACTIONS(7571),
    [anon_sym_BSLASHref] = ACTIONS(7571),
    [anon_sym_BSLASHeqref] = ACTIONS(7571),
    [anon_sym_BSLASHvref] = ACTIONS(7571),
    [anon_sym_BSLASHVref] = ACTIONS(7571),
    [anon_sym_BSLASHautoref] = ACTIONS(7571),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHpageref] = ACTIONS(7571),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHautopageref] = ACTIONS(7571),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcref] = ACTIONS(7571),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCref] = ACTIONS(7571),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcpageref] = ACTIONS(7571),
    [anon_sym_BSLASHCpageref] = ACTIONS(7571),
    [anon_sym_BSLASHnamecref] = ACTIONS(7571),
    [anon_sym_BSLASHnameCref] = ACTIONS(7571),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7571),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7571),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7571),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7571),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7571),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7571),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7571),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7571),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7571),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7571),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7571),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHdef] = ACTIONS(7571),
    [anon_sym_BSLASHgdef] = ACTIONS(7571),
    [anon_sym_BSLASHedef] = ACTIONS(7571),
    [anon_sym_BSLASHxdef] = ACTIONS(7571),
    [anon_sym_BSLASHlet] = ACTIONS(7571),
    [anon_sym_BSLASHglet] = ACTIONS(7571),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7571),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7571),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7571),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7571),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7571),
    [anon_sym_BSLASHgls] = ACTIONS(7571),
    [anon_sym_BSLASHGls] = ACTIONS(7571),
    [anon_sym_BSLASHGLS] = ACTIONS(7571),
    [anon_sym_BSLASHglspl] = ACTIONS(7571),
    [anon_sym_BSLASHGlspl] = ACTIONS(7571),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7571),
    [anon_sym_BSLASHglslink] = ACTIONS(7571),
    [anon_sym_BSLASHglstext] = ACTIONS(7571),
    [anon_sym_BSLASHGlstext] = ACTIONS(7571),
    [anon_sym_BSLASHGLStext] = ACTIONS(7571),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7571),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7571),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7571),
    [anon_sym_BSLASHglsplural] = ACTIONS(7571),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7571),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7571),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHglsname] = ACTIONS(7571),
    [anon_sym_BSLASHGlsname] = ACTIONS(7571),
    [anon_sym_BSLASHGLSname] = ACTIONS(7571),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7571),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7571),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7571),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7571),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7571),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7571),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7571),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7571),
    [anon_sym_BSLASHacrshort] = ACTIONS(7571),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7571),
    [anon_sym_BSLASHACRshort] = ACTIONS(7571),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHacrlong] = ACTIONS(7571),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7571),
    [anon_sym_BSLASHACRlong] = ACTIONS(7571),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHacrfull] = ACTIONS(7571),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7571),
    [anon_sym_BSLASHACRfull] = ACTIONS(7571),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHacs] = ACTIONS(7571),
    [anon_sym_BSLASHAcs] = ACTIONS(7571),
    [anon_sym_BSLASHacsp] = ACTIONS(7571),
    [anon_sym_BSLASHAcsp] = ACTIONS(7571),
    [anon_sym_BSLASHacl] = ACTIONS(7571),
    [anon_sym_BSLASHAcl] = ACTIONS(7571),
    [anon_sym_BSLASHaclp] = ACTIONS(7571),
    [anon_sym_BSLASHAclp] = ACTIONS(7571),
    [anon_sym_BSLASHacf] = ACTIONS(7571),
    [anon_sym_BSLASHAcf] = ACTIONS(7571),
    [anon_sym_BSLASHacfp] = ACTIONS(7571),
    [anon_sym_BSLASHAcfp] = ACTIONS(7571),
    [anon_sym_BSLASHac] = ACTIONS(7571),
    [anon_sym_BSLASHAc] = ACTIONS(7571),
    [anon_sym_BSLASHacp] = ACTIONS(7571),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7571),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7571),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7571),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7571),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7571),
    [anon_sym_BSLASHcolor] = ACTIONS(7571),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7571),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7571),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7571),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7571),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7571),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7571),
    [anon_sym_BSLASHurl] = ACTIONS(7571),
    [anon_sym_BSLASHhref] = ACTIONS(7571),
  },
  [1389] = {
    [sym_command_name] = ACTIONS(7575),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7575),
    [anon_sym_LBRACK] = ACTIONS(7577),
    [anon_sym_RBRACK] = ACTIONS(7577),
    [anon_sym_COMMA] = ACTIONS(7577),
    [anon_sym_EQ] = ACTIONS(7577),
    [anon_sym_LPAREN] = ACTIONS(7577),
    [anon_sym_RPAREN] = ACTIONS(7577),
    [anon_sym_BSLASHpart] = ACTIONS(7575),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHaddpart] = ACTIONS(7575),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHchapter] = ACTIONS(7575),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHaddchap] = ACTIONS(7575),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHsection] = ACTIONS(7575),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHaddsec] = ACTIONS(7575),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHsubsection] = ACTIONS(7575),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7575),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHparagraph] = ACTIONS(7575),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7575),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHitem] = ACTIONS(7575),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7577),
    [anon_sym_LBRACE] = ACTIONS(7577),
    [sym_word] = ACTIONS(7575),
    [sym_placeholder] = ACTIONS(7577),
    [sym_delimiter] = ACTIONS(7577),
    [anon_sym_PLUS] = ACTIONS(7577),
    [anon_sym_DASH] = ACTIONS(7577),
    [anon_sym_STAR] = ACTIONS(7577),
    [anon_sym_SLASH] = ACTIONS(7577),
    [anon_sym_LT] = ACTIONS(7575),
    [anon_sym_GT] = ACTIONS(7575),
    [anon_sym_BANG] = ACTIONS(7575),
    [anon_sym_PIPE] = ACTIONS(7575),
    [anon_sym_COLON] = ACTIONS(7575),
    [anon_sym_SQUOTE] = ACTIONS(7575),
    [anon_sym__] = ACTIONS(7577),
    [anon_sym_CARET] = ACTIONS(7577),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7577),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7577),
    [anon_sym_DOLLAR] = ACTIONS(7575),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7577),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7577),
    [anon_sym_BSLASHleft] = ACTIONS(7575),
    [anon_sym_BSLASHbigl] = ACTIONS(7575),
    [anon_sym_BSLASHBigl] = ACTIONS(7575),
    [anon_sym_BSLASHbiggl] = ACTIONS(7575),
    [anon_sym_BSLASHBiggl] = ACTIONS(7575),
    [anon_sym_BSLASHtext] = ACTIONS(7575),
    [anon_sym_BSLASHintertext] = ACTIONS(7575),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7575),
    [anon_sym_BSLASHbegin] = ACTIONS(7575),
    [anon_sym_BSLASHtitle] = ACTIONS(7575),
    [anon_sym_BSLASHauthor] = ACTIONS(7575),
    [anon_sym_BSLASHusepackage] = ACTIONS(7575),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7575),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7575),
    [anon_sym_BSLASHinclude] = ACTIONS(7575),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7575),
    [anon_sym_BSLASHinput] = ACTIONS(7575),
    [anon_sym_BSLASHsubfile] = ACTIONS(7575),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7575),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7575),
    [anon_sym_BSLASHbibliography] = ACTIONS(7575),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7575),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7575),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7575),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7575),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7575),
    [anon_sym_BSLASHimport] = ACTIONS(7575),
    [anon_sym_BSLASHsubimport] = ACTIONS(7575),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7575),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7575),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7575),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7575),
    [anon_sym_BSLASHcaption] = ACTIONS(7575),
    [anon_sym_BSLASHcite] = ACTIONS(7575),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCite] = ACTIONS(7575),
    [anon_sym_BSLASHnocite] = ACTIONS(7575),
    [anon_sym_BSLASHcitet] = ACTIONS(7575),
    [anon_sym_BSLASHcitep] = ACTIONS(7575),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteA] = ACTIONS(7575),
    [anon_sym_BSLASHciteR] = ACTIONS(7575),
    [anon_sym_BSLASHciteS] = ACTIONS(7575),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7575),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7575),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7575),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7575),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteyear] = ACTIONS(7575),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitedate] = ACTIONS(7575),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteurl] = ACTIONS(7575),
    [anon_sym_BSLASHfullcite] = ACTIONS(7575),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7575),
    [anon_sym_BSLASHcitealt] = ACTIONS(7575),
    [anon_sym_BSLASHcitealp] = ACTIONS(7575),
    [anon_sym_BSLASHcitetext] = ACTIONS(7575),
    [anon_sym_BSLASHparencite] = ACTIONS(7575),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHParencite] = ACTIONS(7575),
    [anon_sym_BSLASHfootcite] = ACTIONS(7575),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7575),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7575),
    [anon_sym_BSLASHtextcite] = ACTIONS(7575),
    [anon_sym_BSLASHTextcite] = ACTIONS(7575),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7575),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7575),
    [anon_sym_BSLASHsupercite] = ACTIONS(7575),
    [anon_sym_BSLASHautocite] = ACTIONS(7575),
    [anon_sym_BSLASHAutocite] = ACTIONS(7575),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHVolcite] = ACTIONS(7575),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHavolcite] = ACTIONS(7575),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHNotecite] = ACTIONS(7575),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHlabel] = ACTIONS(7575),
    [anon_sym_BSLASHref] = ACTIONS(7575),
    [anon_sym_BSLASHeqref] = ACTIONS(7575),
    [anon_sym_BSLASHvref] = ACTIONS(7575),
    [anon_sym_BSLASHVref] = ACTIONS(7575),
    [anon_sym_BSLASHautoref] = ACTIONS(7575),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHpageref] = ACTIONS(7575),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHautopageref] = ACTIONS(7575),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcref] = ACTIONS(7575),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCref] = ACTIONS(7575),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcpageref] = ACTIONS(7575),
    [anon_sym_BSLASHCpageref] = ACTIONS(7575),
    [anon_sym_BSLASHnamecref] = ACTIONS(7575),
    [anon_sym_BSLASHnameCref] = ACTIONS(7575),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7575),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7575),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7575),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7575),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7575),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7575),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7575),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7575),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7575),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7575),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7575),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHdef] = ACTIONS(7575),
    [anon_sym_BSLASHgdef] = ACTIONS(7575),
    [anon_sym_BSLASHedef] = ACTIONS(7575),
    [anon_sym_BSLASHxdef] = ACTIONS(7575),
    [anon_sym_BSLASHlet] = ACTIONS(7575),
    [anon_sym_BSLASHglet] = ACTIONS(7575),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7575),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7575),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7575),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7575),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7575),
    [anon_sym_BSLASHgls] = ACTIONS(7575),
    [anon_sym_BSLASHGls] = ACTIONS(7575),
    [anon_sym_BSLASHGLS] = ACTIONS(7575),
    [anon_sym_BSLASHglspl] = ACTIONS(7575),
    [anon_sym_BSLASHGlspl] = ACTIONS(7575),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7575),
    [anon_sym_BSLASHglslink] = ACTIONS(7575),
    [anon_sym_BSLASHglstext] = ACTIONS(7575),
    [anon_sym_BSLASHGlstext] = ACTIONS(7575),
    [anon_sym_BSLASHGLStext] = ACTIONS(7575),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7575),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7575),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7575),
    [anon_sym_BSLASHglsplural] = ACTIONS(7575),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7575),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7575),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHglsname] = ACTIONS(7575),
    [anon_sym_BSLASHGlsname] = ACTIONS(7575),
    [anon_sym_BSLASHGLSname] = ACTIONS(7575),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7575),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7575),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7575),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7575),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7575),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7575),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7575),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7575),
    [anon_sym_BSLASHacrshort] = ACTIONS(7575),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7575),
    [anon_sym_BSLASHACRshort] = ACTIONS(7575),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHacrlong] = ACTIONS(7575),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7575),
    [anon_sym_BSLASHACRlong] = ACTIONS(7575),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHacrfull] = ACTIONS(7575),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7575),
    [anon_sym_BSLASHACRfull] = ACTIONS(7575),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHacs] = ACTIONS(7575),
    [anon_sym_BSLASHAcs] = ACTIONS(7575),
    [anon_sym_BSLASHacsp] = ACTIONS(7575),
    [anon_sym_BSLASHAcsp] = ACTIONS(7575),
    [anon_sym_BSLASHacl] = ACTIONS(7575),
    [anon_sym_BSLASHAcl] = ACTIONS(7575),
    [anon_sym_BSLASHaclp] = ACTIONS(7575),
    [anon_sym_BSLASHAclp] = ACTIONS(7575),
    [anon_sym_BSLASHacf] = ACTIONS(7575),
    [anon_sym_BSLASHAcf] = ACTIONS(7575),
    [anon_sym_BSLASHacfp] = ACTIONS(7575),
    [anon_sym_BSLASHAcfp] = ACTIONS(7575),
    [anon_sym_BSLASHac] = ACTIONS(7575),
    [anon_sym_BSLASHAc] = ACTIONS(7575),
    [anon_sym_BSLASHacp] = ACTIONS(7575),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7575),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7575),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7575),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7575),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7575),
    [anon_sym_BSLASHcolor] = ACTIONS(7575),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7575),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7575),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7575),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7575),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7575),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7575),
    [anon_sym_BSLASHurl] = ACTIONS(7575),
    [anon_sym_BSLASHhref] = ACTIONS(7575),
  },
  [1390] = {
    [sym_command_name] = ACTIONS(7579),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7579),
    [anon_sym_LBRACK] = ACTIONS(7581),
    [anon_sym_RBRACK] = ACTIONS(7581),
    [anon_sym_COMMA] = ACTIONS(7581),
    [anon_sym_EQ] = ACTIONS(7581),
    [anon_sym_LPAREN] = ACTIONS(7581),
    [anon_sym_RPAREN] = ACTIONS(7581),
    [anon_sym_BSLASHpart] = ACTIONS(7579),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHaddpart] = ACTIONS(7579),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHchapter] = ACTIONS(7579),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHaddchap] = ACTIONS(7579),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHsection] = ACTIONS(7579),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHaddsec] = ACTIONS(7579),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHsubsection] = ACTIONS(7579),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7579),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHparagraph] = ACTIONS(7579),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7579),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHitem] = ACTIONS(7579),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7581),
    [anon_sym_LBRACE] = ACTIONS(7581),
    [sym_word] = ACTIONS(7579),
    [sym_placeholder] = ACTIONS(7581),
    [sym_delimiter] = ACTIONS(7581),
    [anon_sym_PLUS] = ACTIONS(7581),
    [anon_sym_DASH] = ACTIONS(7581),
    [anon_sym_STAR] = ACTIONS(7581),
    [anon_sym_SLASH] = ACTIONS(7581),
    [anon_sym_LT] = ACTIONS(7579),
    [anon_sym_GT] = ACTIONS(7579),
    [anon_sym_BANG] = ACTIONS(7579),
    [anon_sym_PIPE] = ACTIONS(7579),
    [anon_sym_COLON] = ACTIONS(7579),
    [anon_sym_SQUOTE] = ACTIONS(7579),
    [anon_sym__] = ACTIONS(7581),
    [anon_sym_CARET] = ACTIONS(7581),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7581),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7581),
    [anon_sym_DOLLAR] = ACTIONS(7579),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7581),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7581),
    [anon_sym_BSLASHleft] = ACTIONS(7579),
    [anon_sym_BSLASHbigl] = ACTIONS(7579),
    [anon_sym_BSLASHBigl] = ACTIONS(7579),
    [anon_sym_BSLASHbiggl] = ACTIONS(7579),
    [anon_sym_BSLASHBiggl] = ACTIONS(7579),
    [anon_sym_BSLASHtext] = ACTIONS(7579),
    [anon_sym_BSLASHintertext] = ACTIONS(7579),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7579),
    [anon_sym_BSLASHbegin] = ACTIONS(7579),
    [anon_sym_BSLASHtitle] = ACTIONS(7579),
    [anon_sym_BSLASHauthor] = ACTIONS(7579),
    [anon_sym_BSLASHusepackage] = ACTIONS(7579),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7579),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7579),
    [anon_sym_BSLASHinclude] = ACTIONS(7579),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7579),
    [anon_sym_BSLASHinput] = ACTIONS(7579),
    [anon_sym_BSLASHsubfile] = ACTIONS(7579),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7579),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7579),
    [anon_sym_BSLASHbibliography] = ACTIONS(7579),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7579),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7579),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7579),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7579),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7579),
    [anon_sym_BSLASHimport] = ACTIONS(7579),
    [anon_sym_BSLASHsubimport] = ACTIONS(7579),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7579),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7579),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7579),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7579),
    [anon_sym_BSLASHcaption] = ACTIONS(7579),
    [anon_sym_BSLASHcite] = ACTIONS(7579),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCite] = ACTIONS(7579),
    [anon_sym_BSLASHnocite] = ACTIONS(7579),
    [anon_sym_BSLASHcitet] = ACTIONS(7579),
    [anon_sym_BSLASHcitep] = ACTIONS(7579),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteA] = ACTIONS(7579),
    [anon_sym_BSLASHciteR] = ACTIONS(7579),
    [anon_sym_BSLASHciteS] = ACTIONS(7579),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7579),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7579),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7579),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7579),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteyear] = ACTIONS(7579),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitedate] = ACTIONS(7579),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteurl] = ACTIONS(7579),
    [anon_sym_BSLASHfullcite] = ACTIONS(7579),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7579),
    [anon_sym_BSLASHcitealt] = ACTIONS(7579),
    [anon_sym_BSLASHcitealp] = ACTIONS(7579),
    [anon_sym_BSLASHcitetext] = ACTIONS(7579),
    [anon_sym_BSLASHparencite] = ACTIONS(7579),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHParencite] = ACTIONS(7579),
    [anon_sym_BSLASHfootcite] = ACTIONS(7579),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7579),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7579),
    [anon_sym_BSLASHtextcite] = ACTIONS(7579),
    [anon_sym_BSLASHTextcite] = ACTIONS(7579),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7579),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7579),
    [anon_sym_BSLASHsupercite] = ACTIONS(7579),
    [anon_sym_BSLASHautocite] = ACTIONS(7579),
    [anon_sym_BSLASHAutocite] = ACTIONS(7579),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHVolcite] = ACTIONS(7579),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHavolcite] = ACTIONS(7579),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHNotecite] = ACTIONS(7579),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHlabel] = ACTIONS(7579),
    [anon_sym_BSLASHref] = ACTIONS(7579),
    [anon_sym_BSLASHeqref] = ACTIONS(7579),
    [anon_sym_BSLASHvref] = ACTIONS(7579),
    [anon_sym_BSLASHVref] = ACTIONS(7579),
    [anon_sym_BSLASHautoref] = ACTIONS(7579),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHpageref] = ACTIONS(7579),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHautopageref] = ACTIONS(7579),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcref] = ACTIONS(7579),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCref] = ACTIONS(7579),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcpageref] = ACTIONS(7579),
    [anon_sym_BSLASHCpageref] = ACTIONS(7579),
    [anon_sym_BSLASHnamecref] = ACTIONS(7579),
    [anon_sym_BSLASHnameCref] = ACTIONS(7579),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7579),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7579),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7579),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7579),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7579),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7579),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7579),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7579),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7579),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7579),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7579),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHdef] = ACTIONS(7579),
    [anon_sym_BSLASHgdef] = ACTIONS(7579),
    [anon_sym_BSLASHedef] = ACTIONS(7579),
    [anon_sym_BSLASHxdef] = ACTIONS(7579),
    [anon_sym_BSLASHlet] = ACTIONS(7579),
    [anon_sym_BSLASHglet] = ACTIONS(7579),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7579),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7579),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7579),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7579),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7579),
    [anon_sym_BSLASHgls] = ACTIONS(7579),
    [anon_sym_BSLASHGls] = ACTIONS(7579),
    [anon_sym_BSLASHGLS] = ACTIONS(7579),
    [anon_sym_BSLASHglspl] = ACTIONS(7579),
    [anon_sym_BSLASHGlspl] = ACTIONS(7579),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7579),
    [anon_sym_BSLASHglslink] = ACTIONS(7579),
    [anon_sym_BSLASHglstext] = ACTIONS(7579),
    [anon_sym_BSLASHGlstext] = ACTIONS(7579),
    [anon_sym_BSLASHGLStext] = ACTIONS(7579),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7579),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7579),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7579),
    [anon_sym_BSLASHglsplural] = ACTIONS(7579),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7579),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7579),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHglsname] = ACTIONS(7579),
    [anon_sym_BSLASHGlsname] = ACTIONS(7579),
    [anon_sym_BSLASHGLSname] = ACTIONS(7579),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7579),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7579),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7579),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7579),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7579),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7579),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7579),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7579),
    [anon_sym_BSLASHacrshort] = ACTIONS(7579),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7579),
    [anon_sym_BSLASHACRshort] = ACTIONS(7579),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHacrlong] = ACTIONS(7579),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7579),
    [anon_sym_BSLASHACRlong] = ACTIONS(7579),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHacrfull] = ACTIONS(7579),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7579),
    [anon_sym_BSLASHACRfull] = ACTIONS(7579),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHacs] = ACTIONS(7579),
    [anon_sym_BSLASHAcs] = ACTIONS(7579),
    [anon_sym_BSLASHacsp] = ACTIONS(7579),
    [anon_sym_BSLASHAcsp] = ACTIONS(7579),
    [anon_sym_BSLASHacl] = ACTIONS(7579),
    [anon_sym_BSLASHAcl] = ACTIONS(7579),
    [anon_sym_BSLASHaclp] = ACTIONS(7579),
    [anon_sym_BSLASHAclp] = ACTIONS(7579),
    [anon_sym_BSLASHacf] = ACTIONS(7579),
    [anon_sym_BSLASHAcf] = ACTIONS(7579),
    [anon_sym_BSLASHacfp] = ACTIONS(7579),
    [anon_sym_BSLASHAcfp] = ACTIONS(7579),
    [anon_sym_BSLASHac] = ACTIONS(7579),
    [anon_sym_BSLASHAc] = ACTIONS(7579),
    [anon_sym_BSLASHacp] = ACTIONS(7579),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7579),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7579),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7579),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7579),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7579),
    [anon_sym_BSLASHcolor] = ACTIONS(7579),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7579),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7579),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7579),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7579),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7579),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7579),
    [anon_sym_BSLASHurl] = ACTIONS(7579),
    [anon_sym_BSLASHhref] = ACTIONS(7579),
  },
  [1391] = {
    [sym_command_name] = ACTIONS(7583),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7583),
    [anon_sym_LBRACK] = ACTIONS(7585),
    [anon_sym_RBRACK] = ACTIONS(7585),
    [anon_sym_COMMA] = ACTIONS(7585),
    [anon_sym_EQ] = ACTIONS(7585),
    [anon_sym_LPAREN] = ACTIONS(7585),
    [anon_sym_RPAREN] = ACTIONS(7585),
    [anon_sym_BSLASHpart] = ACTIONS(7583),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHaddpart] = ACTIONS(7583),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHchapter] = ACTIONS(7583),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHaddchap] = ACTIONS(7583),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHsection] = ACTIONS(7583),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHaddsec] = ACTIONS(7583),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHsubsection] = ACTIONS(7583),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7583),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHparagraph] = ACTIONS(7583),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7583),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHitem] = ACTIONS(7583),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7585),
    [anon_sym_LBRACE] = ACTIONS(7585),
    [sym_word] = ACTIONS(7583),
    [sym_placeholder] = ACTIONS(7585),
    [sym_delimiter] = ACTIONS(7585),
    [anon_sym_PLUS] = ACTIONS(7585),
    [anon_sym_DASH] = ACTIONS(7585),
    [anon_sym_STAR] = ACTIONS(7585),
    [anon_sym_SLASH] = ACTIONS(7585),
    [anon_sym_LT] = ACTIONS(7583),
    [anon_sym_GT] = ACTIONS(7583),
    [anon_sym_BANG] = ACTIONS(7583),
    [anon_sym_PIPE] = ACTIONS(7583),
    [anon_sym_COLON] = ACTIONS(7583),
    [anon_sym_SQUOTE] = ACTIONS(7583),
    [anon_sym__] = ACTIONS(7585),
    [anon_sym_CARET] = ACTIONS(7585),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7585),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7585),
    [anon_sym_DOLLAR] = ACTIONS(7583),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7585),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7585),
    [anon_sym_BSLASHleft] = ACTIONS(7583),
    [anon_sym_BSLASHbigl] = ACTIONS(7583),
    [anon_sym_BSLASHBigl] = ACTIONS(7583),
    [anon_sym_BSLASHbiggl] = ACTIONS(7583),
    [anon_sym_BSLASHBiggl] = ACTIONS(7583),
    [anon_sym_BSLASHtext] = ACTIONS(7583),
    [anon_sym_BSLASHintertext] = ACTIONS(7583),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7583),
    [anon_sym_BSLASHbegin] = ACTIONS(7583),
    [anon_sym_BSLASHtitle] = ACTIONS(7583),
    [anon_sym_BSLASHauthor] = ACTIONS(7583),
    [anon_sym_BSLASHusepackage] = ACTIONS(7583),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7583),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7583),
    [anon_sym_BSLASHinclude] = ACTIONS(7583),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7583),
    [anon_sym_BSLASHinput] = ACTIONS(7583),
    [anon_sym_BSLASHsubfile] = ACTIONS(7583),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7583),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7583),
    [anon_sym_BSLASHbibliography] = ACTIONS(7583),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7583),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7583),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7583),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7583),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7583),
    [anon_sym_BSLASHimport] = ACTIONS(7583),
    [anon_sym_BSLASHsubimport] = ACTIONS(7583),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7583),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7583),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7583),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7583),
    [anon_sym_BSLASHcaption] = ACTIONS(7583),
    [anon_sym_BSLASHcite] = ACTIONS(7583),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCite] = ACTIONS(7583),
    [anon_sym_BSLASHnocite] = ACTIONS(7583),
    [anon_sym_BSLASHcitet] = ACTIONS(7583),
    [anon_sym_BSLASHcitep] = ACTIONS(7583),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteA] = ACTIONS(7583),
    [anon_sym_BSLASHciteR] = ACTIONS(7583),
    [anon_sym_BSLASHciteS] = ACTIONS(7583),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7583),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7583),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7583),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7583),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteyear] = ACTIONS(7583),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitedate] = ACTIONS(7583),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteurl] = ACTIONS(7583),
    [anon_sym_BSLASHfullcite] = ACTIONS(7583),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7583),
    [anon_sym_BSLASHcitealt] = ACTIONS(7583),
    [anon_sym_BSLASHcitealp] = ACTIONS(7583),
    [anon_sym_BSLASHcitetext] = ACTIONS(7583),
    [anon_sym_BSLASHparencite] = ACTIONS(7583),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHParencite] = ACTIONS(7583),
    [anon_sym_BSLASHfootcite] = ACTIONS(7583),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7583),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7583),
    [anon_sym_BSLASHtextcite] = ACTIONS(7583),
    [anon_sym_BSLASHTextcite] = ACTIONS(7583),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7583),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7583),
    [anon_sym_BSLASHsupercite] = ACTIONS(7583),
    [anon_sym_BSLASHautocite] = ACTIONS(7583),
    [anon_sym_BSLASHAutocite] = ACTIONS(7583),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHVolcite] = ACTIONS(7583),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHavolcite] = ACTIONS(7583),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHNotecite] = ACTIONS(7583),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHlabel] = ACTIONS(7583),
    [anon_sym_BSLASHref] = ACTIONS(7583),
    [anon_sym_BSLASHeqref] = ACTIONS(7583),
    [anon_sym_BSLASHvref] = ACTIONS(7583),
    [anon_sym_BSLASHVref] = ACTIONS(7583),
    [anon_sym_BSLASHautoref] = ACTIONS(7583),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHpageref] = ACTIONS(7583),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHautopageref] = ACTIONS(7583),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcref] = ACTIONS(7583),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCref] = ACTIONS(7583),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcpageref] = ACTIONS(7583),
    [anon_sym_BSLASHCpageref] = ACTIONS(7583),
    [anon_sym_BSLASHnamecref] = ACTIONS(7583),
    [anon_sym_BSLASHnameCref] = ACTIONS(7583),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7583),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7583),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7583),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7583),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7583),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7583),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7583),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7583),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7583),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7583),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7583),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHdef] = ACTIONS(7583),
    [anon_sym_BSLASHgdef] = ACTIONS(7583),
    [anon_sym_BSLASHedef] = ACTIONS(7583),
    [anon_sym_BSLASHxdef] = ACTIONS(7583),
    [anon_sym_BSLASHlet] = ACTIONS(7583),
    [anon_sym_BSLASHglet] = ACTIONS(7583),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7583),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7583),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7583),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7583),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7583),
    [anon_sym_BSLASHgls] = ACTIONS(7583),
    [anon_sym_BSLASHGls] = ACTIONS(7583),
    [anon_sym_BSLASHGLS] = ACTIONS(7583),
    [anon_sym_BSLASHglspl] = ACTIONS(7583),
    [anon_sym_BSLASHGlspl] = ACTIONS(7583),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7583),
    [anon_sym_BSLASHglslink] = ACTIONS(7583),
    [anon_sym_BSLASHglstext] = ACTIONS(7583),
    [anon_sym_BSLASHGlstext] = ACTIONS(7583),
    [anon_sym_BSLASHGLStext] = ACTIONS(7583),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7583),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7583),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7583),
    [anon_sym_BSLASHglsplural] = ACTIONS(7583),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7583),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7583),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHglsname] = ACTIONS(7583),
    [anon_sym_BSLASHGlsname] = ACTIONS(7583),
    [anon_sym_BSLASHGLSname] = ACTIONS(7583),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7583),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7583),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7583),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7583),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7583),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7583),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7583),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7583),
    [anon_sym_BSLASHacrshort] = ACTIONS(7583),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7583),
    [anon_sym_BSLASHACRshort] = ACTIONS(7583),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHacrlong] = ACTIONS(7583),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7583),
    [anon_sym_BSLASHACRlong] = ACTIONS(7583),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHacrfull] = ACTIONS(7583),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7583),
    [anon_sym_BSLASHACRfull] = ACTIONS(7583),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHacs] = ACTIONS(7583),
    [anon_sym_BSLASHAcs] = ACTIONS(7583),
    [anon_sym_BSLASHacsp] = ACTIONS(7583),
    [anon_sym_BSLASHAcsp] = ACTIONS(7583),
    [anon_sym_BSLASHacl] = ACTIONS(7583),
    [anon_sym_BSLASHAcl] = ACTIONS(7583),
    [anon_sym_BSLASHaclp] = ACTIONS(7583),
    [anon_sym_BSLASHAclp] = ACTIONS(7583),
    [anon_sym_BSLASHacf] = ACTIONS(7583),
    [anon_sym_BSLASHAcf] = ACTIONS(7583),
    [anon_sym_BSLASHacfp] = ACTIONS(7583),
    [anon_sym_BSLASHAcfp] = ACTIONS(7583),
    [anon_sym_BSLASHac] = ACTIONS(7583),
    [anon_sym_BSLASHAc] = ACTIONS(7583),
    [anon_sym_BSLASHacp] = ACTIONS(7583),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7583),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7583),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7583),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7583),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7583),
    [anon_sym_BSLASHcolor] = ACTIONS(7583),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7583),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7583),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7583),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7583),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7583),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7583),
    [anon_sym_BSLASHurl] = ACTIONS(7583),
    [anon_sym_BSLASHhref] = ACTIONS(7583),
  },
  [1392] = {
    [sym_command_name] = ACTIONS(7587),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7587),
    [anon_sym_LBRACK] = ACTIONS(7589),
    [anon_sym_RBRACK] = ACTIONS(7589),
    [anon_sym_COMMA] = ACTIONS(7589),
    [anon_sym_EQ] = ACTIONS(7589),
    [anon_sym_LPAREN] = ACTIONS(7589),
    [anon_sym_RPAREN] = ACTIONS(7589),
    [anon_sym_BSLASHpart] = ACTIONS(7587),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHaddpart] = ACTIONS(7587),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHchapter] = ACTIONS(7587),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHaddchap] = ACTIONS(7587),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHsection] = ACTIONS(7587),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHaddsec] = ACTIONS(7587),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHsubsection] = ACTIONS(7587),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7587),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHparagraph] = ACTIONS(7587),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7587),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHitem] = ACTIONS(7587),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7589),
    [anon_sym_LBRACE] = ACTIONS(7589),
    [sym_word] = ACTIONS(7587),
    [sym_placeholder] = ACTIONS(7589),
    [sym_delimiter] = ACTIONS(7589),
    [anon_sym_PLUS] = ACTIONS(7589),
    [anon_sym_DASH] = ACTIONS(7589),
    [anon_sym_STAR] = ACTIONS(7589),
    [anon_sym_SLASH] = ACTIONS(7589),
    [anon_sym_LT] = ACTIONS(7587),
    [anon_sym_GT] = ACTIONS(7587),
    [anon_sym_BANG] = ACTIONS(7587),
    [anon_sym_PIPE] = ACTIONS(7587),
    [anon_sym_COLON] = ACTIONS(7587),
    [anon_sym_SQUOTE] = ACTIONS(7587),
    [anon_sym__] = ACTIONS(7589),
    [anon_sym_CARET] = ACTIONS(7589),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7589),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7589),
    [anon_sym_DOLLAR] = ACTIONS(7587),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7589),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7589),
    [anon_sym_BSLASHleft] = ACTIONS(7587),
    [anon_sym_BSLASHbigl] = ACTIONS(7587),
    [anon_sym_BSLASHBigl] = ACTIONS(7587),
    [anon_sym_BSLASHbiggl] = ACTIONS(7587),
    [anon_sym_BSLASHBiggl] = ACTIONS(7587),
    [anon_sym_BSLASHtext] = ACTIONS(7587),
    [anon_sym_BSLASHintertext] = ACTIONS(7587),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7587),
    [anon_sym_BSLASHbegin] = ACTIONS(7587),
    [anon_sym_BSLASHtitle] = ACTIONS(7587),
    [anon_sym_BSLASHauthor] = ACTIONS(7587),
    [anon_sym_BSLASHusepackage] = ACTIONS(7587),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7587),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7587),
    [anon_sym_BSLASHinclude] = ACTIONS(7587),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7587),
    [anon_sym_BSLASHinput] = ACTIONS(7587),
    [anon_sym_BSLASHsubfile] = ACTIONS(7587),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7587),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7587),
    [anon_sym_BSLASHbibliography] = ACTIONS(7587),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7587),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7587),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7587),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7587),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7587),
    [anon_sym_BSLASHimport] = ACTIONS(7587),
    [anon_sym_BSLASHsubimport] = ACTIONS(7587),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7587),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7587),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7587),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7587),
    [anon_sym_BSLASHcaption] = ACTIONS(7587),
    [anon_sym_BSLASHcite] = ACTIONS(7587),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCite] = ACTIONS(7587),
    [anon_sym_BSLASHnocite] = ACTIONS(7587),
    [anon_sym_BSLASHcitet] = ACTIONS(7587),
    [anon_sym_BSLASHcitep] = ACTIONS(7587),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteA] = ACTIONS(7587),
    [anon_sym_BSLASHciteR] = ACTIONS(7587),
    [anon_sym_BSLASHciteS] = ACTIONS(7587),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7587),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7587),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7587),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7587),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteyear] = ACTIONS(7587),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitedate] = ACTIONS(7587),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteurl] = ACTIONS(7587),
    [anon_sym_BSLASHfullcite] = ACTIONS(7587),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7587),
    [anon_sym_BSLASHcitealt] = ACTIONS(7587),
    [anon_sym_BSLASHcitealp] = ACTIONS(7587),
    [anon_sym_BSLASHcitetext] = ACTIONS(7587),
    [anon_sym_BSLASHparencite] = ACTIONS(7587),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHParencite] = ACTIONS(7587),
    [anon_sym_BSLASHfootcite] = ACTIONS(7587),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7587),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7587),
    [anon_sym_BSLASHtextcite] = ACTIONS(7587),
    [anon_sym_BSLASHTextcite] = ACTIONS(7587),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7587),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7587),
    [anon_sym_BSLASHsupercite] = ACTIONS(7587),
    [anon_sym_BSLASHautocite] = ACTIONS(7587),
    [anon_sym_BSLASHAutocite] = ACTIONS(7587),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHVolcite] = ACTIONS(7587),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHavolcite] = ACTIONS(7587),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHNotecite] = ACTIONS(7587),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHlabel] = ACTIONS(7587),
    [anon_sym_BSLASHref] = ACTIONS(7587),
    [anon_sym_BSLASHeqref] = ACTIONS(7587),
    [anon_sym_BSLASHvref] = ACTIONS(7587),
    [anon_sym_BSLASHVref] = ACTIONS(7587),
    [anon_sym_BSLASHautoref] = ACTIONS(7587),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHpageref] = ACTIONS(7587),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHautopageref] = ACTIONS(7587),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcref] = ACTIONS(7587),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCref] = ACTIONS(7587),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcpageref] = ACTIONS(7587),
    [anon_sym_BSLASHCpageref] = ACTIONS(7587),
    [anon_sym_BSLASHnamecref] = ACTIONS(7587),
    [anon_sym_BSLASHnameCref] = ACTIONS(7587),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7587),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7587),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7587),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7587),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7587),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7587),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7587),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7587),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7587),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7587),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7587),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHdef] = ACTIONS(7587),
    [anon_sym_BSLASHgdef] = ACTIONS(7587),
    [anon_sym_BSLASHedef] = ACTIONS(7587),
    [anon_sym_BSLASHxdef] = ACTIONS(7587),
    [anon_sym_BSLASHlet] = ACTIONS(7587),
    [anon_sym_BSLASHglet] = ACTIONS(7587),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7587),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7587),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7587),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7587),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7587),
    [anon_sym_BSLASHgls] = ACTIONS(7587),
    [anon_sym_BSLASHGls] = ACTIONS(7587),
    [anon_sym_BSLASHGLS] = ACTIONS(7587),
    [anon_sym_BSLASHglspl] = ACTIONS(7587),
    [anon_sym_BSLASHGlspl] = ACTIONS(7587),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7587),
    [anon_sym_BSLASHglslink] = ACTIONS(7587),
    [anon_sym_BSLASHglstext] = ACTIONS(7587),
    [anon_sym_BSLASHGlstext] = ACTIONS(7587),
    [anon_sym_BSLASHGLStext] = ACTIONS(7587),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7587),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7587),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7587),
    [anon_sym_BSLASHglsplural] = ACTIONS(7587),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7587),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7587),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHglsname] = ACTIONS(7587),
    [anon_sym_BSLASHGlsname] = ACTIONS(7587),
    [anon_sym_BSLASHGLSname] = ACTIONS(7587),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7587),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7587),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7587),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7587),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7587),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7587),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7587),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7587),
    [anon_sym_BSLASHacrshort] = ACTIONS(7587),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7587),
    [anon_sym_BSLASHACRshort] = ACTIONS(7587),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHacrlong] = ACTIONS(7587),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7587),
    [anon_sym_BSLASHACRlong] = ACTIONS(7587),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHacrfull] = ACTIONS(7587),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7587),
    [anon_sym_BSLASHACRfull] = ACTIONS(7587),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHacs] = ACTIONS(7587),
    [anon_sym_BSLASHAcs] = ACTIONS(7587),
    [anon_sym_BSLASHacsp] = ACTIONS(7587),
    [anon_sym_BSLASHAcsp] = ACTIONS(7587),
    [anon_sym_BSLASHacl] = ACTIONS(7587),
    [anon_sym_BSLASHAcl] = ACTIONS(7587),
    [anon_sym_BSLASHaclp] = ACTIONS(7587),
    [anon_sym_BSLASHAclp] = ACTIONS(7587),
    [anon_sym_BSLASHacf] = ACTIONS(7587),
    [anon_sym_BSLASHAcf] = ACTIONS(7587),
    [anon_sym_BSLASHacfp] = ACTIONS(7587),
    [anon_sym_BSLASHAcfp] = ACTIONS(7587),
    [anon_sym_BSLASHac] = ACTIONS(7587),
    [anon_sym_BSLASHAc] = ACTIONS(7587),
    [anon_sym_BSLASHacp] = ACTIONS(7587),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7587),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7587),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7587),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7587),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7587),
    [anon_sym_BSLASHcolor] = ACTIONS(7587),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7587),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7587),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7587),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7587),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7587),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7587),
    [anon_sym_BSLASHurl] = ACTIONS(7587),
    [anon_sym_BSLASHhref] = ACTIONS(7587),
  },
  [1393] = {
    [sym_command_name] = ACTIONS(7591),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7591),
    [anon_sym_LBRACK] = ACTIONS(7593),
    [anon_sym_RBRACK] = ACTIONS(7593),
    [anon_sym_COMMA] = ACTIONS(7593),
    [anon_sym_EQ] = ACTIONS(7593),
    [anon_sym_LPAREN] = ACTIONS(7593),
    [anon_sym_RPAREN] = ACTIONS(7593),
    [anon_sym_BSLASHpart] = ACTIONS(7591),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHaddpart] = ACTIONS(7591),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHchapter] = ACTIONS(7591),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHaddchap] = ACTIONS(7591),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHsection] = ACTIONS(7591),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHaddsec] = ACTIONS(7591),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHsubsection] = ACTIONS(7591),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7591),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHparagraph] = ACTIONS(7591),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7591),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHitem] = ACTIONS(7591),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7593),
    [anon_sym_LBRACE] = ACTIONS(7593),
    [sym_word] = ACTIONS(7591),
    [sym_placeholder] = ACTIONS(7593),
    [sym_delimiter] = ACTIONS(7593),
    [anon_sym_PLUS] = ACTIONS(7593),
    [anon_sym_DASH] = ACTIONS(7593),
    [anon_sym_STAR] = ACTIONS(7593),
    [anon_sym_SLASH] = ACTIONS(7593),
    [anon_sym_LT] = ACTIONS(7591),
    [anon_sym_GT] = ACTIONS(7591),
    [anon_sym_BANG] = ACTIONS(7591),
    [anon_sym_PIPE] = ACTIONS(7591),
    [anon_sym_COLON] = ACTIONS(7591),
    [anon_sym_SQUOTE] = ACTIONS(7591),
    [anon_sym__] = ACTIONS(7593),
    [anon_sym_CARET] = ACTIONS(7593),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7593),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7593),
    [anon_sym_DOLLAR] = ACTIONS(7591),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7593),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7593),
    [anon_sym_BSLASHleft] = ACTIONS(7591),
    [anon_sym_BSLASHbigl] = ACTIONS(7591),
    [anon_sym_BSLASHBigl] = ACTIONS(7591),
    [anon_sym_BSLASHbiggl] = ACTIONS(7591),
    [anon_sym_BSLASHBiggl] = ACTIONS(7591),
    [anon_sym_BSLASHtext] = ACTIONS(7591),
    [anon_sym_BSLASHintertext] = ACTIONS(7591),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7591),
    [anon_sym_BSLASHbegin] = ACTIONS(7591),
    [anon_sym_BSLASHtitle] = ACTIONS(7591),
    [anon_sym_BSLASHauthor] = ACTIONS(7591),
    [anon_sym_BSLASHusepackage] = ACTIONS(7591),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7591),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7591),
    [anon_sym_BSLASHinclude] = ACTIONS(7591),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7591),
    [anon_sym_BSLASHinput] = ACTIONS(7591),
    [anon_sym_BSLASHsubfile] = ACTIONS(7591),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7591),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7591),
    [anon_sym_BSLASHbibliography] = ACTIONS(7591),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7591),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7591),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7591),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7591),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7591),
    [anon_sym_BSLASHimport] = ACTIONS(7591),
    [anon_sym_BSLASHsubimport] = ACTIONS(7591),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7591),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7591),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7591),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7591),
    [anon_sym_BSLASHcaption] = ACTIONS(7591),
    [anon_sym_BSLASHcite] = ACTIONS(7591),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCite] = ACTIONS(7591),
    [anon_sym_BSLASHnocite] = ACTIONS(7591),
    [anon_sym_BSLASHcitet] = ACTIONS(7591),
    [anon_sym_BSLASHcitep] = ACTIONS(7591),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteA] = ACTIONS(7591),
    [anon_sym_BSLASHciteR] = ACTIONS(7591),
    [anon_sym_BSLASHciteS] = ACTIONS(7591),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7591),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7591),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7591),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7591),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteyear] = ACTIONS(7591),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitedate] = ACTIONS(7591),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteurl] = ACTIONS(7591),
    [anon_sym_BSLASHfullcite] = ACTIONS(7591),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7591),
    [anon_sym_BSLASHcitealt] = ACTIONS(7591),
    [anon_sym_BSLASHcitealp] = ACTIONS(7591),
    [anon_sym_BSLASHcitetext] = ACTIONS(7591),
    [anon_sym_BSLASHparencite] = ACTIONS(7591),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHParencite] = ACTIONS(7591),
    [anon_sym_BSLASHfootcite] = ACTIONS(7591),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7591),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7591),
    [anon_sym_BSLASHtextcite] = ACTIONS(7591),
    [anon_sym_BSLASHTextcite] = ACTIONS(7591),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7591),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7591),
    [anon_sym_BSLASHsupercite] = ACTIONS(7591),
    [anon_sym_BSLASHautocite] = ACTIONS(7591),
    [anon_sym_BSLASHAutocite] = ACTIONS(7591),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHVolcite] = ACTIONS(7591),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHavolcite] = ACTIONS(7591),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHNotecite] = ACTIONS(7591),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHlabel] = ACTIONS(7591),
    [anon_sym_BSLASHref] = ACTIONS(7591),
    [anon_sym_BSLASHeqref] = ACTIONS(7591),
    [anon_sym_BSLASHvref] = ACTIONS(7591),
    [anon_sym_BSLASHVref] = ACTIONS(7591),
    [anon_sym_BSLASHautoref] = ACTIONS(7591),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHpageref] = ACTIONS(7591),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHautopageref] = ACTIONS(7591),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcref] = ACTIONS(7591),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCref] = ACTIONS(7591),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcpageref] = ACTIONS(7591),
    [anon_sym_BSLASHCpageref] = ACTIONS(7591),
    [anon_sym_BSLASHnamecref] = ACTIONS(7591),
    [anon_sym_BSLASHnameCref] = ACTIONS(7591),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7591),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7591),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7591),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7591),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7591),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7591),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7591),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7591),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7591),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7591),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7591),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHdef] = ACTIONS(7591),
    [anon_sym_BSLASHgdef] = ACTIONS(7591),
    [anon_sym_BSLASHedef] = ACTIONS(7591),
    [anon_sym_BSLASHxdef] = ACTIONS(7591),
    [anon_sym_BSLASHlet] = ACTIONS(7591),
    [anon_sym_BSLASHglet] = ACTIONS(7591),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7591),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7591),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7591),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7591),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7591),
    [anon_sym_BSLASHgls] = ACTIONS(7591),
    [anon_sym_BSLASHGls] = ACTIONS(7591),
    [anon_sym_BSLASHGLS] = ACTIONS(7591),
    [anon_sym_BSLASHglspl] = ACTIONS(7591),
    [anon_sym_BSLASHGlspl] = ACTIONS(7591),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7591),
    [anon_sym_BSLASHglslink] = ACTIONS(7591),
    [anon_sym_BSLASHglstext] = ACTIONS(7591),
    [anon_sym_BSLASHGlstext] = ACTIONS(7591),
    [anon_sym_BSLASHGLStext] = ACTIONS(7591),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7591),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7591),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7591),
    [anon_sym_BSLASHglsplural] = ACTIONS(7591),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7591),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7591),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHglsname] = ACTIONS(7591),
    [anon_sym_BSLASHGlsname] = ACTIONS(7591),
    [anon_sym_BSLASHGLSname] = ACTIONS(7591),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7591),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7591),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7591),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7591),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7591),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7591),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7591),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7591),
    [anon_sym_BSLASHacrshort] = ACTIONS(7591),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7591),
    [anon_sym_BSLASHACRshort] = ACTIONS(7591),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHacrlong] = ACTIONS(7591),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7591),
    [anon_sym_BSLASHACRlong] = ACTIONS(7591),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHacrfull] = ACTIONS(7591),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7591),
    [anon_sym_BSLASHACRfull] = ACTIONS(7591),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHacs] = ACTIONS(7591),
    [anon_sym_BSLASHAcs] = ACTIONS(7591),
    [anon_sym_BSLASHacsp] = ACTIONS(7591),
    [anon_sym_BSLASHAcsp] = ACTIONS(7591),
    [anon_sym_BSLASHacl] = ACTIONS(7591),
    [anon_sym_BSLASHAcl] = ACTIONS(7591),
    [anon_sym_BSLASHaclp] = ACTIONS(7591),
    [anon_sym_BSLASHAclp] = ACTIONS(7591),
    [anon_sym_BSLASHacf] = ACTIONS(7591),
    [anon_sym_BSLASHAcf] = ACTIONS(7591),
    [anon_sym_BSLASHacfp] = ACTIONS(7591),
    [anon_sym_BSLASHAcfp] = ACTIONS(7591),
    [anon_sym_BSLASHac] = ACTIONS(7591),
    [anon_sym_BSLASHAc] = ACTIONS(7591),
    [anon_sym_BSLASHacp] = ACTIONS(7591),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7591),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7591),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7591),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7591),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7591),
    [anon_sym_BSLASHcolor] = ACTIONS(7591),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7591),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7591),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7591),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7591),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7591),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7591),
    [anon_sym_BSLASHurl] = ACTIONS(7591),
    [anon_sym_BSLASHhref] = ACTIONS(7591),
  },
  [1394] = {
    [sym_command_name] = ACTIONS(7035),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7037),
    [anon_sym_RBRACK] = ACTIONS(7037),
    [anon_sym_COMMA] = ACTIONS(7037),
    [anon_sym_EQ] = ACTIONS(7037),
    [anon_sym_LPAREN] = ACTIONS(7037),
    [anon_sym_RPAREN] = ACTIONS(7037),
    [anon_sym_BSLASHpart] = ACTIONS(7035),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHaddpart] = ACTIONS(7035),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHchapter] = ACTIONS(7035),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHaddchap] = ACTIONS(7035),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHsection] = ACTIONS(7035),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHaddsec] = ACTIONS(7035),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHsubsection] = ACTIONS(7035),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7035),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHparagraph] = ACTIONS(7035),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7035),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHitem] = ACTIONS(7035),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7037),
    [anon_sym_LBRACE] = ACTIONS(7037),
    [sym_word] = ACTIONS(7035),
    [sym_placeholder] = ACTIONS(7037),
    [sym_delimiter] = ACTIONS(7037),
    [anon_sym_PLUS] = ACTIONS(7037),
    [anon_sym_DASH] = ACTIONS(7037),
    [anon_sym_STAR] = ACTIONS(7037),
    [anon_sym_SLASH] = ACTIONS(7037),
    [anon_sym_LT] = ACTIONS(7035),
    [anon_sym_GT] = ACTIONS(7035),
    [anon_sym_BANG] = ACTIONS(7035),
    [anon_sym_PIPE] = ACTIONS(7035),
    [anon_sym_COLON] = ACTIONS(7035),
    [anon_sym_SQUOTE] = ACTIONS(7035),
    [anon_sym__] = ACTIONS(7037),
    [anon_sym_CARET] = ACTIONS(7037),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7037),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7037),
    [anon_sym_DOLLAR] = ACTIONS(7035),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7037),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7037),
    [anon_sym_BSLASHleft] = ACTIONS(7035),
    [anon_sym_BSLASHbigl] = ACTIONS(7035),
    [anon_sym_BSLASHBigl] = ACTIONS(7035),
    [anon_sym_BSLASHbiggl] = ACTIONS(7035),
    [anon_sym_BSLASHBiggl] = ACTIONS(7035),
    [anon_sym_BSLASHtext] = ACTIONS(7035),
    [anon_sym_BSLASHintertext] = ACTIONS(7035),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7035),
    [anon_sym_BSLASHbegin] = ACTIONS(7035),
    [anon_sym_BSLASHtitle] = ACTIONS(7035),
    [anon_sym_BSLASHauthor] = ACTIONS(7035),
    [anon_sym_BSLASHusepackage] = ACTIONS(7035),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7035),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7035),
    [anon_sym_BSLASHinclude] = ACTIONS(7035),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7035),
    [anon_sym_BSLASHinput] = ACTIONS(7035),
    [anon_sym_BSLASHsubfile] = ACTIONS(7035),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7035),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7035),
    [anon_sym_BSLASHbibliography] = ACTIONS(7035),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7035),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7035),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7035),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7035),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7035),
    [anon_sym_BSLASHimport] = ACTIONS(7035),
    [anon_sym_BSLASHsubimport] = ACTIONS(7035),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7035),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7035),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7035),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7035),
    [anon_sym_BSLASHcaption] = ACTIONS(7035),
    [anon_sym_BSLASHcite] = ACTIONS(7035),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHCite] = ACTIONS(7035),
    [anon_sym_BSLASHnocite] = ACTIONS(7035),
    [anon_sym_BSLASHcitet] = ACTIONS(7035),
    [anon_sym_BSLASHcitep] = ACTIONS(7035),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHciteA] = ACTIONS(7035),
    [anon_sym_BSLASHciteR] = ACTIONS(7035),
    [anon_sym_BSLASHciteS] = ACTIONS(7035),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7035),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7035),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7035),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7035),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHciteyear] = ACTIONS(7035),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcitedate] = ACTIONS(7035),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHciteurl] = ACTIONS(7035),
    [anon_sym_BSLASHfullcite] = ACTIONS(7035),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7035),
    [anon_sym_BSLASHcitealt] = ACTIONS(7035),
    [anon_sym_BSLASHcitealp] = ACTIONS(7035),
    [anon_sym_BSLASHcitetext] = ACTIONS(7035),
    [anon_sym_BSLASHparencite] = ACTIONS(7035),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHParencite] = ACTIONS(7035),
    [anon_sym_BSLASHfootcite] = ACTIONS(7035),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7035),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7035),
    [anon_sym_BSLASHtextcite] = ACTIONS(7035),
    [anon_sym_BSLASHTextcite] = ACTIONS(7035),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7035),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7035),
    [anon_sym_BSLASHsupercite] = ACTIONS(7035),
    [anon_sym_BSLASHautocite] = ACTIONS(7035),
    [anon_sym_BSLASHAutocite] = ACTIONS(7035),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHVolcite] = ACTIONS(7035),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHavolcite] = ACTIONS(7035),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHnotecite] = ACTIONS(7035),
    [anon_sym_BSLASHNotecite] = ACTIONS(7035),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7035),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7035),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7035),
    [anon_sym_BSLASHlabel] = ACTIONS(7035),
    [anon_sym_BSLASHref] = ACTIONS(7035),
    [anon_sym_BSLASHeqref] = ACTIONS(7035),
    [anon_sym_BSLASHvref] = ACTIONS(7035),
    [anon_sym_BSLASHVref] = ACTIONS(7035),
    [anon_sym_BSLASHautoref] = ACTIONS(7035),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHpageref] = ACTIONS(7035),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHautopageref] = ACTIONS(7035),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcref] = ACTIONS(7035),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHCref] = ACTIONS(7035),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcpageref] = ACTIONS(7035),
    [anon_sym_BSLASHCpageref] = ACTIONS(7035),
    [anon_sym_BSLASHnamecref] = ACTIONS(7035),
    [anon_sym_BSLASHnameCref] = ACTIONS(7035),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7035),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7035),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7035),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7035),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7035),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7035),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7035),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7035),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7035),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7035),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7035),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7035),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7035),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7035),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7035),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7035),
    [anon_sym_BSLASHdef] = ACTIONS(7035),
    [anon_sym_BSLASHgdef] = ACTIONS(7035),
    [anon_sym_BSLASHedef] = ACTIONS(7035),
    [anon_sym_BSLASHxdef] = ACTIONS(7035),
    [anon_sym_BSLASHlet] = ACTIONS(7035),
    [anon_sym_BSLASHglet] = ACTIONS(7035),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7035),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7035),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7035),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7035),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7035),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7035),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7035),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7035),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7035),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7035),
    [anon_sym_BSLASHgls] = ACTIONS(7035),
    [anon_sym_BSLASHGls] = ACTIONS(7035),
    [anon_sym_BSLASHGLS] = ACTIONS(7035),
    [anon_sym_BSLASHglspl] = ACTIONS(7035),
    [anon_sym_BSLASHGlspl] = ACTIONS(7035),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7035),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7035),
    [anon_sym_BSLASHglslink] = ACTIONS(7035),
    [anon_sym_BSLASHglstext] = ACTIONS(7035),
    [anon_sym_BSLASHGlstext] = ACTIONS(7035),
    [anon_sym_BSLASHGLStext] = ACTIONS(7035),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7035),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7035),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7035),
    [anon_sym_BSLASHglsplural] = ACTIONS(7035),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7035),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7035),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7035),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7035),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7035),
    [anon_sym_BSLASHglsname] = ACTIONS(7035),
    [anon_sym_BSLASHGlsname] = ACTIONS(7035),
    [anon_sym_BSLASHGLSname] = ACTIONS(7035),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7035),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7035),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7035),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7035),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7035),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7035),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7035),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7035),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7035),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7035),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7035),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7035),
    [anon_sym_BSLASHacrshort] = ACTIONS(7035),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7035),
    [anon_sym_BSLASHACRshort] = ACTIONS(7035),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7035),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7035),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7035),
    [anon_sym_BSLASHacrlong] = ACTIONS(7035),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7035),
    [anon_sym_BSLASHACRlong] = ACTIONS(7035),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7035),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7035),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7035),
    [anon_sym_BSLASHacrfull] = ACTIONS(7035),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7035),
    [anon_sym_BSLASHACRfull] = ACTIONS(7035),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7035),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7035),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7035),
    [anon_sym_BSLASHacs] = ACTIONS(7035),
    [anon_sym_BSLASHAcs] = ACTIONS(7035),
    [anon_sym_BSLASHacsp] = ACTIONS(7035),
    [anon_sym_BSLASHAcsp] = ACTIONS(7035),
    [anon_sym_BSLASHacl] = ACTIONS(7035),
    [anon_sym_BSLASHAcl] = ACTIONS(7035),
    [anon_sym_BSLASHaclp] = ACTIONS(7035),
    [anon_sym_BSLASHAclp] = ACTIONS(7035),
    [anon_sym_BSLASHacf] = ACTIONS(7035),
    [anon_sym_BSLASHAcf] = ACTIONS(7035),
    [anon_sym_BSLASHacfp] = ACTIONS(7035),
    [anon_sym_BSLASHAcfp] = ACTIONS(7035),
    [anon_sym_BSLASHac] = ACTIONS(7035),
    [anon_sym_BSLASHAc] = ACTIONS(7035),
    [anon_sym_BSLASHacp] = ACTIONS(7035),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7035),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7035),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7035),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7035),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7035),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7035),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7035),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7035),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7035),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7035),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7035),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7035),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7035),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7035),
    [anon_sym_BSLASHcolor] = ACTIONS(7035),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7035),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7035),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7035),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7035),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7035),
    [anon_sym_BSLASHurl] = ACTIONS(7035),
    [anon_sym_BSLASHhref] = ACTIONS(7035),
  },
  [1395] = {
    [sym_command_name] = ACTIONS(7507),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7507),
    [anon_sym_LBRACK] = ACTIONS(7509),
    [anon_sym_RBRACK] = ACTIONS(7509),
    [anon_sym_COMMA] = ACTIONS(7509),
    [anon_sym_EQ] = ACTIONS(7509),
    [anon_sym_LPAREN] = ACTIONS(7509),
    [anon_sym_RPAREN] = ACTIONS(7509),
    [anon_sym_BSLASHpart] = ACTIONS(7507),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHaddpart] = ACTIONS(7507),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHchapter] = ACTIONS(7507),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHaddchap] = ACTIONS(7507),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHsection] = ACTIONS(7507),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHaddsec] = ACTIONS(7507),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHsubsection] = ACTIONS(7507),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7507),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHparagraph] = ACTIONS(7507),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7507),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHitem] = ACTIONS(7507),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7509),
    [anon_sym_LBRACE] = ACTIONS(7509),
    [sym_word] = ACTIONS(7507),
    [sym_placeholder] = ACTIONS(7509),
    [sym_delimiter] = ACTIONS(7509),
    [anon_sym_PLUS] = ACTIONS(7509),
    [anon_sym_DASH] = ACTIONS(7509),
    [anon_sym_STAR] = ACTIONS(7509),
    [anon_sym_SLASH] = ACTIONS(7509),
    [anon_sym_LT] = ACTIONS(7507),
    [anon_sym_GT] = ACTIONS(7507),
    [anon_sym_BANG] = ACTIONS(7507),
    [anon_sym_PIPE] = ACTIONS(7507),
    [anon_sym_COLON] = ACTIONS(7507),
    [anon_sym_SQUOTE] = ACTIONS(7507),
    [anon_sym__] = ACTIONS(7509),
    [anon_sym_CARET] = ACTIONS(7509),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7509),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7509),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7509),
    [anon_sym_DOLLAR] = ACTIONS(7507),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7509),
    [anon_sym_BSLASHleft] = ACTIONS(7507),
    [anon_sym_BSLASHbigl] = ACTIONS(7507),
    [anon_sym_BSLASHBigl] = ACTIONS(7507),
    [anon_sym_BSLASHbiggl] = ACTIONS(7507),
    [anon_sym_BSLASHBiggl] = ACTIONS(7507),
    [anon_sym_BSLASHtext] = ACTIONS(7507),
    [anon_sym_BSLASHintertext] = ACTIONS(7507),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7507),
    [anon_sym_BSLASHbegin] = ACTIONS(7507),
    [anon_sym_BSLASHtitle] = ACTIONS(7507),
    [anon_sym_BSLASHauthor] = ACTIONS(7507),
    [anon_sym_BSLASHusepackage] = ACTIONS(7507),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7507),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7507),
    [anon_sym_BSLASHinclude] = ACTIONS(7507),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7507),
    [anon_sym_BSLASHinput] = ACTIONS(7507),
    [anon_sym_BSLASHsubfile] = ACTIONS(7507),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7507),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7507),
    [anon_sym_BSLASHbibliography] = ACTIONS(7507),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7507),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7507),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7507),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7507),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7507),
    [anon_sym_BSLASHimport] = ACTIONS(7507),
    [anon_sym_BSLASHsubimport] = ACTIONS(7507),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7507),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7507),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7507),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7507),
    [anon_sym_BSLASHcaption] = ACTIONS(7507),
    [anon_sym_BSLASHcite] = ACTIONS(7507),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCite] = ACTIONS(7507),
    [anon_sym_BSLASHnocite] = ACTIONS(7507),
    [anon_sym_BSLASHcitet] = ACTIONS(7507),
    [anon_sym_BSLASHcitep] = ACTIONS(7507),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteA] = ACTIONS(7507),
    [anon_sym_BSLASHciteR] = ACTIONS(7507),
    [anon_sym_BSLASHciteS] = ACTIONS(7507),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7507),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7507),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7507),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7507),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteyear] = ACTIONS(7507),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitedate] = ACTIONS(7507),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteurl] = ACTIONS(7507),
    [anon_sym_BSLASHfullcite] = ACTIONS(7507),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7507),
    [anon_sym_BSLASHcitealt] = ACTIONS(7507),
    [anon_sym_BSLASHcitealp] = ACTIONS(7507),
    [anon_sym_BSLASHcitetext] = ACTIONS(7507),
    [anon_sym_BSLASHparencite] = ACTIONS(7507),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHParencite] = ACTIONS(7507),
    [anon_sym_BSLASHfootcite] = ACTIONS(7507),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7507),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7507),
    [anon_sym_BSLASHtextcite] = ACTIONS(7507),
    [anon_sym_BSLASHTextcite] = ACTIONS(7507),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7507),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7507),
    [anon_sym_BSLASHsupercite] = ACTIONS(7507),
    [anon_sym_BSLASHautocite] = ACTIONS(7507),
    [anon_sym_BSLASHAutocite] = ACTIONS(7507),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHVolcite] = ACTIONS(7507),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHavolcite] = ACTIONS(7507),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHNotecite] = ACTIONS(7507),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHlabel] = ACTIONS(7507),
    [anon_sym_BSLASHref] = ACTIONS(7507),
    [anon_sym_BSLASHeqref] = ACTIONS(7507),
    [anon_sym_BSLASHvref] = ACTIONS(7507),
    [anon_sym_BSLASHVref] = ACTIONS(7507),
    [anon_sym_BSLASHautoref] = ACTIONS(7507),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHpageref] = ACTIONS(7507),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHautopageref] = ACTIONS(7507),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcref] = ACTIONS(7507),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCref] = ACTIONS(7507),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcpageref] = ACTIONS(7507),
    [anon_sym_BSLASHCpageref] = ACTIONS(7507),
    [anon_sym_BSLASHnamecref] = ACTIONS(7507),
    [anon_sym_BSLASHnameCref] = ACTIONS(7507),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7507),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7507),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7507),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7507),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7507),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7507),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7507),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7507),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7507),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7507),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7507),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHdef] = ACTIONS(7507),
    [anon_sym_BSLASHgdef] = ACTIONS(7507),
    [anon_sym_BSLASHedef] = ACTIONS(7507),
    [anon_sym_BSLASHxdef] = ACTIONS(7507),
    [anon_sym_BSLASHlet] = ACTIONS(7507),
    [anon_sym_BSLASHglet] = ACTIONS(7507),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7507),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7507),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7507),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7507),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7507),
    [anon_sym_BSLASHgls] = ACTIONS(7507),
    [anon_sym_BSLASHGls] = ACTIONS(7507),
    [anon_sym_BSLASHGLS] = ACTIONS(7507),
    [anon_sym_BSLASHglspl] = ACTIONS(7507),
    [anon_sym_BSLASHGlspl] = ACTIONS(7507),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7507),
    [anon_sym_BSLASHglslink] = ACTIONS(7507),
    [anon_sym_BSLASHglstext] = ACTIONS(7507),
    [anon_sym_BSLASHGlstext] = ACTIONS(7507),
    [anon_sym_BSLASHGLStext] = ACTIONS(7507),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7507),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7507),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7507),
    [anon_sym_BSLASHglsplural] = ACTIONS(7507),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7507),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7507),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHglsname] = ACTIONS(7507),
    [anon_sym_BSLASHGlsname] = ACTIONS(7507),
    [anon_sym_BSLASHGLSname] = ACTIONS(7507),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7507),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7507),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7507),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7507),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7507),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7507),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7507),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7507),
    [anon_sym_BSLASHacrshort] = ACTIONS(7507),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7507),
    [anon_sym_BSLASHACRshort] = ACTIONS(7507),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHacrlong] = ACTIONS(7507),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7507),
    [anon_sym_BSLASHACRlong] = ACTIONS(7507),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHacrfull] = ACTIONS(7507),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7507),
    [anon_sym_BSLASHACRfull] = ACTIONS(7507),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHacs] = ACTIONS(7507),
    [anon_sym_BSLASHAcs] = ACTIONS(7507),
    [anon_sym_BSLASHacsp] = ACTIONS(7507),
    [anon_sym_BSLASHAcsp] = ACTIONS(7507),
    [anon_sym_BSLASHacl] = ACTIONS(7507),
    [anon_sym_BSLASHAcl] = ACTIONS(7507),
    [anon_sym_BSLASHaclp] = ACTIONS(7507),
    [anon_sym_BSLASHAclp] = ACTIONS(7507),
    [anon_sym_BSLASHacf] = ACTIONS(7507),
    [anon_sym_BSLASHAcf] = ACTIONS(7507),
    [anon_sym_BSLASHacfp] = ACTIONS(7507),
    [anon_sym_BSLASHAcfp] = ACTIONS(7507),
    [anon_sym_BSLASHac] = ACTIONS(7507),
    [anon_sym_BSLASHAc] = ACTIONS(7507),
    [anon_sym_BSLASHacp] = ACTIONS(7507),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7507),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7507),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7507),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7507),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7507),
    [anon_sym_BSLASHcolor] = ACTIONS(7507),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7507),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7507),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7507),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7507),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7507),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7507),
    [anon_sym_BSLASHurl] = ACTIONS(7507),
    [anon_sym_BSLASHhref] = ACTIONS(7507),
  },
  [1396] = {
    [sym_command_name] = ACTIONS(7511),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(7513),
    [anon_sym_RBRACK] = ACTIONS(7513),
    [anon_sym_COMMA] = ACTIONS(7513),
    [anon_sym_EQ] = ACTIONS(7513),
    [anon_sym_LPAREN] = ACTIONS(7513),
    [anon_sym_RPAREN] = ACTIONS(7513),
    [anon_sym_BSLASHpart] = ACTIONS(7511),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHaddpart] = ACTIONS(7511),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHchapter] = ACTIONS(7511),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHaddchap] = ACTIONS(7511),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHsection] = ACTIONS(7511),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHaddsec] = ACTIONS(7511),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHsubsection] = ACTIONS(7511),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7511),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHparagraph] = ACTIONS(7511),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7511),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHitem] = ACTIONS(7511),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7513),
    [anon_sym_LBRACE] = ACTIONS(7513),
    [sym_word] = ACTIONS(7511),
    [sym_placeholder] = ACTIONS(7513),
    [sym_delimiter] = ACTIONS(7513),
    [anon_sym_PLUS] = ACTIONS(7513),
    [anon_sym_DASH] = ACTIONS(7513),
    [anon_sym_STAR] = ACTIONS(7513),
    [anon_sym_SLASH] = ACTIONS(7513),
    [anon_sym_LT] = ACTIONS(7511),
    [anon_sym_GT] = ACTIONS(7511),
    [anon_sym_BANG] = ACTIONS(7511),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_COLON] = ACTIONS(7511),
    [anon_sym_SQUOTE] = ACTIONS(7511),
    [anon_sym__] = ACTIONS(7513),
    [anon_sym_CARET] = ACTIONS(7513),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7513),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7513),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7513),
    [anon_sym_DOLLAR] = ACTIONS(7511),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7513),
    [anon_sym_BSLASHleft] = ACTIONS(7511),
    [anon_sym_BSLASHbigl] = ACTIONS(7511),
    [anon_sym_BSLASHBigl] = ACTIONS(7511),
    [anon_sym_BSLASHbiggl] = ACTIONS(7511),
    [anon_sym_BSLASHBiggl] = ACTIONS(7511),
    [anon_sym_BSLASHtext] = ACTIONS(7511),
    [anon_sym_BSLASHintertext] = ACTIONS(7511),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7511),
    [anon_sym_BSLASHbegin] = ACTIONS(7511),
    [anon_sym_BSLASHtitle] = ACTIONS(7511),
    [anon_sym_BSLASHauthor] = ACTIONS(7511),
    [anon_sym_BSLASHusepackage] = ACTIONS(7511),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7511),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7511),
    [anon_sym_BSLASHinclude] = ACTIONS(7511),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7511),
    [anon_sym_BSLASHinput] = ACTIONS(7511),
    [anon_sym_BSLASHsubfile] = ACTIONS(7511),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7511),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7511),
    [anon_sym_BSLASHbibliography] = ACTIONS(7511),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7511),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7511),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7511),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7511),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7511),
    [anon_sym_BSLASHimport] = ACTIONS(7511),
    [anon_sym_BSLASHsubimport] = ACTIONS(7511),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7511),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7511),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7511),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7511),
    [anon_sym_BSLASHcaption] = ACTIONS(7511),
    [anon_sym_BSLASHcite] = ACTIONS(7511),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCite] = ACTIONS(7511),
    [anon_sym_BSLASHnocite] = ACTIONS(7511),
    [anon_sym_BSLASHcitet] = ACTIONS(7511),
    [anon_sym_BSLASHcitep] = ACTIONS(7511),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteA] = ACTIONS(7511),
    [anon_sym_BSLASHciteR] = ACTIONS(7511),
    [anon_sym_BSLASHciteS] = ACTIONS(7511),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7511),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7511),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7511),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7511),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteyear] = ACTIONS(7511),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitedate] = ACTIONS(7511),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteurl] = ACTIONS(7511),
    [anon_sym_BSLASHfullcite] = ACTIONS(7511),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7511),
    [anon_sym_BSLASHcitealt] = ACTIONS(7511),
    [anon_sym_BSLASHcitealp] = ACTIONS(7511),
    [anon_sym_BSLASHcitetext] = ACTIONS(7511),
    [anon_sym_BSLASHparencite] = ACTIONS(7511),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHParencite] = ACTIONS(7511),
    [anon_sym_BSLASHfootcite] = ACTIONS(7511),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7511),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7511),
    [anon_sym_BSLASHtextcite] = ACTIONS(7511),
    [anon_sym_BSLASHTextcite] = ACTIONS(7511),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7511),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7511),
    [anon_sym_BSLASHsupercite] = ACTIONS(7511),
    [anon_sym_BSLASHautocite] = ACTIONS(7511),
    [anon_sym_BSLASHAutocite] = ACTIONS(7511),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHVolcite] = ACTIONS(7511),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHavolcite] = ACTIONS(7511),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHNotecite] = ACTIONS(7511),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHlabel] = ACTIONS(7511),
    [anon_sym_BSLASHref] = ACTIONS(7511),
    [anon_sym_BSLASHeqref] = ACTIONS(7511),
    [anon_sym_BSLASHvref] = ACTIONS(7511),
    [anon_sym_BSLASHVref] = ACTIONS(7511),
    [anon_sym_BSLASHautoref] = ACTIONS(7511),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHpageref] = ACTIONS(7511),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHautopageref] = ACTIONS(7511),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcref] = ACTIONS(7511),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCref] = ACTIONS(7511),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcpageref] = ACTIONS(7511),
    [anon_sym_BSLASHCpageref] = ACTIONS(7511),
    [anon_sym_BSLASHnamecref] = ACTIONS(7511),
    [anon_sym_BSLASHnameCref] = ACTIONS(7511),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7511),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7511),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7511),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7511),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7511),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7511),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7511),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7511),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7511),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7511),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7511),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHdef] = ACTIONS(7511),
    [anon_sym_BSLASHgdef] = ACTIONS(7511),
    [anon_sym_BSLASHedef] = ACTIONS(7511),
    [anon_sym_BSLASHxdef] = ACTIONS(7511),
    [anon_sym_BSLASHlet] = ACTIONS(7511),
    [anon_sym_BSLASHglet] = ACTIONS(7511),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7511),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7511),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7511),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7511),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7511),
    [anon_sym_BSLASHgls] = ACTIONS(7511),
    [anon_sym_BSLASHGls] = ACTIONS(7511),
    [anon_sym_BSLASHGLS] = ACTIONS(7511),
    [anon_sym_BSLASHglspl] = ACTIONS(7511),
    [anon_sym_BSLASHGlspl] = ACTIONS(7511),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7511),
    [anon_sym_BSLASHglslink] = ACTIONS(7511),
    [anon_sym_BSLASHglstext] = ACTIONS(7511),
    [anon_sym_BSLASHGlstext] = ACTIONS(7511),
    [anon_sym_BSLASHGLStext] = ACTIONS(7511),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7511),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7511),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7511),
    [anon_sym_BSLASHglsplural] = ACTIONS(7511),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7511),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7511),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHglsname] = ACTIONS(7511),
    [anon_sym_BSLASHGlsname] = ACTIONS(7511),
    [anon_sym_BSLASHGLSname] = ACTIONS(7511),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7511),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7511),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7511),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7511),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7511),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7511),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7511),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7511),
    [anon_sym_BSLASHacrshort] = ACTIONS(7511),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7511),
    [anon_sym_BSLASHACRshort] = ACTIONS(7511),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHacrlong] = ACTIONS(7511),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7511),
    [anon_sym_BSLASHACRlong] = ACTIONS(7511),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHacrfull] = ACTIONS(7511),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7511),
    [anon_sym_BSLASHACRfull] = ACTIONS(7511),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHacs] = ACTIONS(7511),
    [anon_sym_BSLASHAcs] = ACTIONS(7511),
    [anon_sym_BSLASHacsp] = ACTIONS(7511),
    [anon_sym_BSLASHAcsp] = ACTIONS(7511),
    [anon_sym_BSLASHacl] = ACTIONS(7511),
    [anon_sym_BSLASHAcl] = ACTIONS(7511),
    [anon_sym_BSLASHaclp] = ACTIONS(7511),
    [anon_sym_BSLASHAclp] = ACTIONS(7511),
    [anon_sym_BSLASHacf] = ACTIONS(7511),
    [anon_sym_BSLASHAcf] = ACTIONS(7511),
    [anon_sym_BSLASHacfp] = ACTIONS(7511),
    [anon_sym_BSLASHAcfp] = ACTIONS(7511),
    [anon_sym_BSLASHac] = ACTIONS(7511),
    [anon_sym_BSLASHAc] = ACTIONS(7511),
    [anon_sym_BSLASHacp] = ACTIONS(7511),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7511),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7511),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7511),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7511),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7511),
    [anon_sym_BSLASHcolor] = ACTIONS(7511),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7511),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7511),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7511),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7511),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7511),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7511),
    [anon_sym_BSLASHurl] = ACTIONS(7511),
    [anon_sym_BSLASHhref] = ACTIONS(7511),
  },
  [1397] = {
    [sym_command_name] = ACTIONS(7143),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7143),
    [anon_sym_LBRACK] = ACTIONS(7145),
    [anon_sym_RBRACK] = ACTIONS(7145),
    [anon_sym_COMMA] = ACTIONS(7145),
    [anon_sym_EQ] = ACTIONS(7145),
    [anon_sym_LPAREN] = ACTIONS(7145),
    [anon_sym_RPAREN] = ACTIONS(7145),
    [anon_sym_BSLASHpart] = ACTIONS(7143),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHaddpart] = ACTIONS(7143),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHchapter] = ACTIONS(7143),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHaddchap] = ACTIONS(7143),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHsection] = ACTIONS(7143),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHaddsec] = ACTIONS(7143),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHsubsection] = ACTIONS(7143),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7143),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHparagraph] = ACTIONS(7143),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7143),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHitem] = ACTIONS(7143),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7145),
    [anon_sym_LBRACE] = ACTIONS(7145),
    [sym_word] = ACTIONS(7143),
    [sym_placeholder] = ACTIONS(7145),
    [sym_delimiter] = ACTIONS(7145),
    [anon_sym_PLUS] = ACTIONS(7145),
    [anon_sym_DASH] = ACTIONS(7145),
    [anon_sym_STAR] = ACTIONS(7145),
    [anon_sym_SLASH] = ACTIONS(7145),
    [anon_sym_LT] = ACTIONS(7143),
    [anon_sym_GT] = ACTIONS(7143),
    [anon_sym_BANG] = ACTIONS(7143),
    [anon_sym_PIPE] = ACTIONS(7143),
    [anon_sym_COLON] = ACTIONS(7143),
    [anon_sym_SQUOTE] = ACTIONS(7143),
    [anon_sym__] = ACTIONS(7145),
    [anon_sym_CARET] = ACTIONS(7145),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7145),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7145),
    [anon_sym_DOLLAR] = ACTIONS(7143),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7145),
    [anon_sym_BSLASHleft] = ACTIONS(7143),
    [anon_sym_BSLASHbigl] = ACTIONS(7143),
    [anon_sym_BSLASHBigl] = ACTIONS(7143),
    [anon_sym_BSLASHbiggl] = ACTIONS(7143),
    [anon_sym_BSLASHBiggl] = ACTIONS(7143),
    [anon_sym_BSLASHtext] = ACTIONS(7143),
    [anon_sym_BSLASHintertext] = ACTIONS(7143),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7143),
    [anon_sym_BSLASHbegin] = ACTIONS(7143),
    [anon_sym_BSLASHend] = ACTIONS(7143),
    [anon_sym_BSLASHtitle] = ACTIONS(7143),
    [anon_sym_BSLASHauthor] = ACTIONS(7143),
    [anon_sym_BSLASHusepackage] = ACTIONS(7143),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7143),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7143),
    [anon_sym_BSLASHinclude] = ACTIONS(7143),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7143),
    [anon_sym_BSLASHinput] = ACTIONS(7143),
    [anon_sym_BSLASHsubfile] = ACTIONS(7143),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7143),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7143),
    [anon_sym_BSLASHbibliography] = ACTIONS(7143),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7143),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7143),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7143),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7143),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7143),
    [anon_sym_BSLASHimport] = ACTIONS(7143),
    [anon_sym_BSLASHsubimport] = ACTIONS(7143),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7143),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7143),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7143),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7143),
    [anon_sym_BSLASHcaption] = ACTIONS(7143),
    [anon_sym_BSLASHcite] = ACTIONS(7143),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHCite] = ACTIONS(7143),
    [anon_sym_BSLASHnocite] = ACTIONS(7143),
    [anon_sym_BSLASHcitet] = ACTIONS(7143),
    [anon_sym_BSLASHcitep] = ACTIONS(7143),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHciteA] = ACTIONS(7143),
    [anon_sym_BSLASHciteR] = ACTIONS(7143),
    [anon_sym_BSLASHciteS] = ACTIONS(7143),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7143),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7143),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7143),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7143),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHciteyear] = ACTIONS(7143),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcitedate] = ACTIONS(7143),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHciteurl] = ACTIONS(7143),
    [anon_sym_BSLASHfullcite] = ACTIONS(7143),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7143),
    [anon_sym_BSLASHcitealt] = ACTIONS(7143),
    [anon_sym_BSLASHcitealp] = ACTIONS(7143),
    [anon_sym_BSLASHcitetext] = ACTIONS(7143),
    [anon_sym_BSLASHparencite] = ACTIONS(7143),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHParencite] = ACTIONS(7143),
    [anon_sym_BSLASHfootcite] = ACTIONS(7143),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7143),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7143),
    [anon_sym_BSLASHtextcite] = ACTIONS(7143),
    [anon_sym_BSLASHTextcite] = ACTIONS(7143),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7143),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7143),
    [anon_sym_BSLASHsupercite] = ACTIONS(7143),
    [anon_sym_BSLASHautocite] = ACTIONS(7143),
    [anon_sym_BSLASHAutocite] = ACTIONS(7143),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHVolcite] = ACTIONS(7143),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHavolcite] = ACTIONS(7143),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHnotecite] = ACTIONS(7143),
    [anon_sym_BSLASHNotecite] = ACTIONS(7143),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7143),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7143),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7143),
    [anon_sym_BSLASHlabel] = ACTIONS(7143),
    [anon_sym_BSLASHref] = ACTIONS(7143),
    [anon_sym_BSLASHeqref] = ACTIONS(7143),
    [anon_sym_BSLASHvref] = ACTIONS(7143),
    [anon_sym_BSLASHVref] = ACTIONS(7143),
    [anon_sym_BSLASHautoref] = ACTIONS(7143),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHpageref] = ACTIONS(7143),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHautopageref] = ACTIONS(7143),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcref] = ACTIONS(7143),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHCref] = ACTIONS(7143),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcpageref] = ACTIONS(7143),
    [anon_sym_BSLASHCpageref] = ACTIONS(7143),
    [anon_sym_BSLASHnamecref] = ACTIONS(7143),
    [anon_sym_BSLASHnameCref] = ACTIONS(7143),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7143),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7143),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7143),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7143),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7143),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7143),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7143),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7143),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7143),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7143),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7143),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7143),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7143),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7143),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7143),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7143),
    [anon_sym_BSLASHdef] = ACTIONS(7143),
    [anon_sym_BSLASHgdef] = ACTIONS(7143),
    [anon_sym_BSLASHedef] = ACTIONS(7143),
    [anon_sym_BSLASHxdef] = ACTIONS(7143),
    [anon_sym_BSLASHlet] = ACTIONS(7143),
    [anon_sym_BSLASHglet] = ACTIONS(7143),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7143),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7143),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7143),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7143),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7143),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7143),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7143),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7143),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7143),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7143),
    [anon_sym_BSLASHgls] = ACTIONS(7143),
    [anon_sym_BSLASHGls] = ACTIONS(7143),
    [anon_sym_BSLASHGLS] = ACTIONS(7143),
    [anon_sym_BSLASHglspl] = ACTIONS(7143),
    [anon_sym_BSLASHGlspl] = ACTIONS(7143),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7143),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7143),
    [anon_sym_BSLASHglslink] = ACTIONS(7143),
    [anon_sym_BSLASHglstext] = ACTIONS(7143),
    [anon_sym_BSLASHGlstext] = ACTIONS(7143),
    [anon_sym_BSLASHGLStext] = ACTIONS(7143),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7143),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7143),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7143),
    [anon_sym_BSLASHglsplural] = ACTIONS(7143),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7143),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7143),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7143),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7143),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7143),
    [anon_sym_BSLASHglsname] = ACTIONS(7143),
    [anon_sym_BSLASHGlsname] = ACTIONS(7143),
    [anon_sym_BSLASHGLSname] = ACTIONS(7143),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7143),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7143),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7143),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7143),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7143),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7143),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7143),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7143),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7143),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7143),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7143),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7143),
    [anon_sym_BSLASHacrshort] = ACTIONS(7143),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7143),
    [anon_sym_BSLASHACRshort] = ACTIONS(7143),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHacrlong] = ACTIONS(7143),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7143),
    [anon_sym_BSLASHACRlong] = ACTIONS(7143),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7143),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7143),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7143),
    [anon_sym_BSLASHacrfull] = ACTIONS(7143),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7143),
    [anon_sym_BSLASHACRfull] = ACTIONS(7143),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHacs] = ACTIONS(7143),
    [anon_sym_BSLASHAcs] = ACTIONS(7143),
    [anon_sym_BSLASHacsp] = ACTIONS(7143),
    [anon_sym_BSLASHAcsp] = ACTIONS(7143),
    [anon_sym_BSLASHacl] = ACTIONS(7143),
    [anon_sym_BSLASHAcl] = ACTIONS(7143),
    [anon_sym_BSLASHaclp] = ACTIONS(7143),
    [anon_sym_BSLASHAclp] = ACTIONS(7143),
    [anon_sym_BSLASHacf] = ACTIONS(7143),
    [anon_sym_BSLASHAcf] = ACTIONS(7143),
    [anon_sym_BSLASHacfp] = ACTIONS(7143),
    [anon_sym_BSLASHAcfp] = ACTIONS(7143),
    [anon_sym_BSLASHac] = ACTIONS(7143),
    [anon_sym_BSLASHAc] = ACTIONS(7143),
    [anon_sym_BSLASHacp] = ACTIONS(7143),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7143),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7143),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7143),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7143),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7143),
    [anon_sym_BSLASHcolor] = ACTIONS(7143),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7143),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7143),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7143),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7143),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7143),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7143),
    [anon_sym_BSLASHurl] = ACTIONS(7143),
    [anon_sym_BSLASHhref] = ACTIONS(7143),
  },
  [1398] = {
    [sym_command_name] = ACTIONS(7515),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7515),
    [anon_sym_LBRACK] = ACTIONS(7517),
    [anon_sym_RBRACK] = ACTIONS(7517),
    [anon_sym_COMMA] = ACTIONS(7517),
    [anon_sym_EQ] = ACTIONS(7517),
    [anon_sym_LPAREN] = ACTIONS(7517),
    [anon_sym_RPAREN] = ACTIONS(7517),
    [anon_sym_BSLASHpart] = ACTIONS(7515),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHaddpart] = ACTIONS(7515),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHchapter] = ACTIONS(7515),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHaddchap] = ACTIONS(7515),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHsection] = ACTIONS(7515),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHaddsec] = ACTIONS(7515),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHsubsection] = ACTIONS(7515),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7515),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHparagraph] = ACTIONS(7515),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7515),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHitem] = ACTIONS(7515),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7517),
    [anon_sym_LBRACE] = ACTIONS(7517),
    [sym_word] = ACTIONS(7515),
    [sym_placeholder] = ACTIONS(7517),
    [sym_delimiter] = ACTIONS(7517),
    [anon_sym_PLUS] = ACTIONS(7517),
    [anon_sym_DASH] = ACTIONS(7517),
    [anon_sym_STAR] = ACTIONS(7517),
    [anon_sym_SLASH] = ACTIONS(7517),
    [anon_sym_LT] = ACTIONS(7515),
    [anon_sym_GT] = ACTIONS(7515),
    [anon_sym_BANG] = ACTIONS(7515),
    [anon_sym_PIPE] = ACTIONS(7515),
    [anon_sym_COLON] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7515),
    [anon_sym__] = ACTIONS(7517),
    [anon_sym_CARET] = ACTIONS(7517),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7517),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7517),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7517),
    [anon_sym_DOLLAR] = ACTIONS(7515),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7517),
    [anon_sym_BSLASHleft] = ACTIONS(7515),
    [anon_sym_BSLASHbigl] = ACTIONS(7515),
    [anon_sym_BSLASHBigl] = ACTIONS(7515),
    [anon_sym_BSLASHbiggl] = ACTIONS(7515),
    [anon_sym_BSLASHBiggl] = ACTIONS(7515),
    [anon_sym_BSLASHtext] = ACTIONS(7515),
    [anon_sym_BSLASHintertext] = ACTIONS(7515),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7515),
    [anon_sym_BSLASHbegin] = ACTIONS(7515),
    [anon_sym_BSLASHtitle] = ACTIONS(7515),
    [anon_sym_BSLASHauthor] = ACTIONS(7515),
    [anon_sym_BSLASHusepackage] = ACTIONS(7515),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7515),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7515),
    [anon_sym_BSLASHinclude] = ACTIONS(7515),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7515),
    [anon_sym_BSLASHinput] = ACTIONS(7515),
    [anon_sym_BSLASHsubfile] = ACTIONS(7515),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7515),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7515),
    [anon_sym_BSLASHbibliography] = ACTIONS(7515),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7515),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7515),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7515),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7515),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7515),
    [anon_sym_BSLASHimport] = ACTIONS(7515),
    [anon_sym_BSLASHsubimport] = ACTIONS(7515),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7515),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7515),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7515),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7515),
    [anon_sym_BSLASHcaption] = ACTIONS(7515),
    [anon_sym_BSLASHcite] = ACTIONS(7515),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCite] = ACTIONS(7515),
    [anon_sym_BSLASHnocite] = ACTIONS(7515),
    [anon_sym_BSLASHcitet] = ACTIONS(7515),
    [anon_sym_BSLASHcitep] = ACTIONS(7515),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteA] = ACTIONS(7515),
    [anon_sym_BSLASHciteR] = ACTIONS(7515),
    [anon_sym_BSLASHciteS] = ACTIONS(7515),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7515),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7515),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7515),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7515),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteyear] = ACTIONS(7515),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitedate] = ACTIONS(7515),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteurl] = ACTIONS(7515),
    [anon_sym_BSLASHfullcite] = ACTIONS(7515),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7515),
    [anon_sym_BSLASHcitealt] = ACTIONS(7515),
    [anon_sym_BSLASHcitealp] = ACTIONS(7515),
    [anon_sym_BSLASHcitetext] = ACTIONS(7515),
    [anon_sym_BSLASHparencite] = ACTIONS(7515),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHParencite] = ACTIONS(7515),
    [anon_sym_BSLASHfootcite] = ACTIONS(7515),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7515),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7515),
    [anon_sym_BSLASHtextcite] = ACTIONS(7515),
    [anon_sym_BSLASHTextcite] = ACTIONS(7515),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7515),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7515),
    [anon_sym_BSLASHsupercite] = ACTIONS(7515),
    [anon_sym_BSLASHautocite] = ACTIONS(7515),
    [anon_sym_BSLASHAutocite] = ACTIONS(7515),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHVolcite] = ACTIONS(7515),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHavolcite] = ACTIONS(7515),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHNotecite] = ACTIONS(7515),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHlabel] = ACTIONS(7515),
    [anon_sym_BSLASHref] = ACTIONS(7515),
    [anon_sym_BSLASHeqref] = ACTIONS(7515),
    [anon_sym_BSLASHvref] = ACTIONS(7515),
    [anon_sym_BSLASHVref] = ACTIONS(7515),
    [anon_sym_BSLASHautoref] = ACTIONS(7515),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHpageref] = ACTIONS(7515),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHautopageref] = ACTIONS(7515),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcref] = ACTIONS(7515),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCref] = ACTIONS(7515),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcpageref] = ACTIONS(7515),
    [anon_sym_BSLASHCpageref] = ACTIONS(7515),
    [anon_sym_BSLASHnamecref] = ACTIONS(7515),
    [anon_sym_BSLASHnameCref] = ACTIONS(7515),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7515),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7515),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7515),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7515),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7515),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7515),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7515),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7515),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7515),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7515),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7515),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHdef] = ACTIONS(7515),
    [anon_sym_BSLASHgdef] = ACTIONS(7515),
    [anon_sym_BSLASHedef] = ACTIONS(7515),
    [anon_sym_BSLASHxdef] = ACTIONS(7515),
    [anon_sym_BSLASHlet] = ACTIONS(7515),
    [anon_sym_BSLASHglet] = ACTIONS(7515),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7515),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7515),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7515),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7515),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7515),
    [anon_sym_BSLASHgls] = ACTIONS(7515),
    [anon_sym_BSLASHGls] = ACTIONS(7515),
    [anon_sym_BSLASHGLS] = ACTIONS(7515),
    [anon_sym_BSLASHglspl] = ACTIONS(7515),
    [anon_sym_BSLASHGlspl] = ACTIONS(7515),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7515),
    [anon_sym_BSLASHglslink] = ACTIONS(7515),
    [anon_sym_BSLASHglstext] = ACTIONS(7515),
    [anon_sym_BSLASHGlstext] = ACTIONS(7515),
    [anon_sym_BSLASHGLStext] = ACTIONS(7515),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7515),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7515),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7515),
    [anon_sym_BSLASHglsplural] = ACTIONS(7515),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7515),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7515),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHglsname] = ACTIONS(7515),
    [anon_sym_BSLASHGlsname] = ACTIONS(7515),
    [anon_sym_BSLASHGLSname] = ACTIONS(7515),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7515),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7515),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7515),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7515),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7515),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7515),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7515),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7515),
    [anon_sym_BSLASHacrshort] = ACTIONS(7515),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7515),
    [anon_sym_BSLASHACRshort] = ACTIONS(7515),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHacrlong] = ACTIONS(7515),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7515),
    [anon_sym_BSLASHACRlong] = ACTIONS(7515),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHacrfull] = ACTIONS(7515),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7515),
    [anon_sym_BSLASHACRfull] = ACTIONS(7515),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHacs] = ACTIONS(7515),
    [anon_sym_BSLASHAcs] = ACTIONS(7515),
    [anon_sym_BSLASHacsp] = ACTIONS(7515),
    [anon_sym_BSLASHAcsp] = ACTIONS(7515),
    [anon_sym_BSLASHacl] = ACTIONS(7515),
    [anon_sym_BSLASHAcl] = ACTIONS(7515),
    [anon_sym_BSLASHaclp] = ACTIONS(7515),
    [anon_sym_BSLASHAclp] = ACTIONS(7515),
    [anon_sym_BSLASHacf] = ACTIONS(7515),
    [anon_sym_BSLASHAcf] = ACTIONS(7515),
    [anon_sym_BSLASHacfp] = ACTIONS(7515),
    [anon_sym_BSLASHAcfp] = ACTIONS(7515),
    [anon_sym_BSLASHac] = ACTIONS(7515),
    [anon_sym_BSLASHAc] = ACTIONS(7515),
    [anon_sym_BSLASHacp] = ACTIONS(7515),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7515),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7515),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7515),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7515),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7515),
    [anon_sym_BSLASHcolor] = ACTIONS(7515),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7515),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7515),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7515),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7515),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7515),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7515),
    [anon_sym_BSLASHurl] = ACTIONS(7515),
    [anon_sym_BSLASHhref] = ACTIONS(7515),
  },
  [1399] = {
    [sym_command_name] = ACTIONS(7147),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7147),
    [anon_sym_LBRACK] = ACTIONS(7149),
    [anon_sym_RBRACK] = ACTIONS(7149),
    [anon_sym_COMMA] = ACTIONS(7149),
    [anon_sym_EQ] = ACTIONS(7149),
    [anon_sym_LPAREN] = ACTIONS(7149),
    [anon_sym_RPAREN] = ACTIONS(7149),
    [anon_sym_BSLASHpart] = ACTIONS(7147),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHaddpart] = ACTIONS(7147),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHchapter] = ACTIONS(7147),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHaddchap] = ACTIONS(7147),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHsection] = ACTIONS(7147),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHaddsec] = ACTIONS(7147),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHsubsection] = ACTIONS(7147),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7147),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHparagraph] = ACTIONS(7147),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7147),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHitem] = ACTIONS(7147),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7149),
    [anon_sym_LBRACE] = ACTIONS(7149),
    [sym_word] = ACTIONS(7147),
    [sym_placeholder] = ACTIONS(7149),
    [sym_delimiter] = ACTIONS(7149),
    [anon_sym_PLUS] = ACTIONS(7149),
    [anon_sym_DASH] = ACTIONS(7149),
    [anon_sym_STAR] = ACTIONS(7149),
    [anon_sym_SLASH] = ACTIONS(7149),
    [anon_sym_LT] = ACTIONS(7147),
    [anon_sym_GT] = ACTIONS(7147),
    [anon_sym_BANG] = ACTIONS(7147),
    [anon_sym_PIPE] = ACTIONS(7147),
    [anon_sym_COLON] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(7147),
    [anon_sym__] = ACTIONS(7149),
    [anon_sym_CARET] = ACTIONS(7149),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7149),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7149),
    [anon_sym_DOLLAR] = ACTIONS(7147),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7149),
    [anon_sym_BSLASHleft] = ACTIONS(7147),
    [anon_sym_BSLASHbigl] = ACTIONS(7147),
    [anon_sym_BSLASHBigl] = ACTIONS(7147),
    [anon_sym_BSLASHbiggl] = ACTIONS(7147),
    [anon_sym_BSLASHBiggl] = ACTIONS(7147),
    [anon_sym_BSLASHtext] = ACTIONS(7147),
    [anon_sym_BSLASHintertext] = ACTIONS(7147),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7147),
    [anon_sym_BSLASHbegin] = ACTIONS(7147),
    [anon_sym_BSLASHend] = ACTIONS(7147),
    [anon_sym_BSLASHtitle] = ACTIONS(7147),
    [anon_sym_BSLASHauthor] = ACTIONS(7147),
    [anon_sym_BSLASHusepackage] = ACTIONS(7147),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7147),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7147),
    [anon_sym_BSLASHinclude] = ACTIONS(7147),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7147),
    [anon_sym_BSLASHinput] = ACTIONS(7147),
    [anon_sym_BSLASHsubfile] = ACTIONS(7147),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7147),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7147),
    [anon_sym_BSLASHbibliography] = ACTIONS(7147),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7147),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7147),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7147),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7147),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7147),
    [anon_sym_BSLASHimport] = ACTIONS(7147),
    [anon_sym_BSLASHsubimport] = ACTIONS(7147),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7147),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7147),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7147),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7147),
    [anon_sym_BSLASHcaption] = ACTIONS(7147),
    [anon_sym_BSLASHcite] = ACTIONS(7147),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHCite] = ACTIONS(7147),
    [anon_sym_BSLASHnocite] = ACTIONS(7147),
    [anon_sym_BSLASHcitet] = ACTIONS(7147),
    [anon_sym_BSLASHcitep] = ACTIONS(7147),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHciteA] = ACTIONS(7147),
    [anon_sym_BSLASHciteR] = ACTIONS(7147),
    [anon_sym_BSLASHciteS] = ACTIONS(7147),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7147),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7147),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7147),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7147),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHciteyear] = ACTIONS(7147),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcitedate] = ACTIONS(7147),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHciteurl] = ACTIONS(7147),
    [anon_sym_BSLASHfullcite] = ACTIONS(7147),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7147),
    [anon_sym_BSLASHcitealt] = ACTIONS(7147),
    [anon_sym_BSLASHcitealp] = ACTIONS(7147),
    [anon_sym_BSLASHcitetext] = ACTIONS(7147),
    [anon_sym_BSLASHparencite] = ACTIONS(7147),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHParencite] = ACTIONS(7147),
    [anon_sym_BSLASHfootcite] = ACTIONS(7147),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7147),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7147),
    [anon_sym_BSLASHtextcite] = ACTIONS(7147),
    [anon_sym_BSLASHTextcite] = ACTIONS(7147),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7147),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7147),
    [anon_sym_BSLASHsupercite] = ACTIONS(7147),
    [anon_sym_BSLASHautocite] = ACTIONS(7147),
    [anon_sym_BSLASHAutocite] = ACTIONS(7147),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHVolcite] = ACTIONS(7147),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHavolcite] = ACTIONS(7147),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHnotecite] = ACTIONS(7147),
    [anon_sym_BSLASHNotecite] = ACTIONS(7147),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7147),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7147),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7147),
    [anon_sym_BSLASHlabel] = ACTIONS(7147),
    [anon_sym_BSLASHref] = ACTIONS(7147),
    [anon_sym_BSLASHeqref] = ACTIONS(7147),
    [anon_sym_BSLASHvref] = ACTIONS(7147),
    [anon_sym_BSLASHVref] = ACTIONS(7147),
    [anon_sym_BSLASHautoref] = ACTIONS(7147),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHpageref] = ACTIONS(7147),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHautopageref] = ACTIONS(7147),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcref] = ACTIONS(7147),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHCref] = ACTIONS(7147),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcpageref] = ACTIONS(7147),
    [anon_sym_BSLASHCpageref] = ACTIONS(7147),
    [anon_sym_BSLASHnamecref] = ACTIONS(7147),
    [anon_sym_BSLASHnameCref] = ACTIONS(7147),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7147),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7147),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7147),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7147),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7147),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7147),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7147),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7147),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7147),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7147),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7147),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7147),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7147),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7147),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7147),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7147),
    [anon_sym_BSLASHdef] = ACTIONS(7147),
    [anon_sym_BSLASHgdef] = ACTIONS(7147),
    [anon_sym_BSLASHedef] = ACTIONS(7147),
    [anon_sym_BSLASHxdef] = ACTIONS(7147),
    [anon_sym_BSLASHlet] = ACTIONS(7147),
    [anon_sym_BSLASHglet] = ACTIONS(7147),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7147),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7147),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7147),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7147),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7147),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7147),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7147),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7147),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7147),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7147),
    [anon_sym_BSLASHgls] = ACTIONS(7147),
    [anon_sym_BSLASHGls] = ACTIONS(7147),
    [anon_sym_BSLASHGLS] = ACTIONS(7147),
    [anon_sym_BSLASHglspl] = ACTIONS(7147),
    [anon_sym_BSLASHGlspl] = ACTIONS(7147),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7147),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7147),
    [anon_sym_BSLASHglslink] = ACTIONS(7147),
    [anon_sym_BSLASHglstext] = ACTIONS(7147),
    [anon_sym_BSLASHGlstext] = ACTIONS(7147),
    [anon_sym_BSLASHGLStext] = ACTIONS(7147),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7147),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7147),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7147),
    [anon_sym_BSLASHglsplural] = ACTIONS(7147),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7147),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7147),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7147),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7147),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7147),
    [anon_sym_BSLASHglsname] = ACTIONS(7147),
    [anon_sym_BSLASHGlsname] = ACTIONS(7147),
    [anon_sym_BSLASHGLSname] = ACTIONS(7147),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7147),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7147),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7147),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7147),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7147),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7147),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7147),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7147),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7147),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7147),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7147),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7147),
    [anon_sym_BSLASHacrshort] = ACTIONS(7147),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7147),
    [anon_sym_BSLASHACRshort] = ACTIONS(7147),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHacrlong] = ACTIONS(7147),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7147),
    [anon_sym_BSLASHACRlong] = ACTIONS(7147),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7147),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7147),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7147),
    [anon_sym_BSLASHacrfull] = ACTIONS(7147),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7147),
    [anon_sym_BSLASHACRfull] = ACTIONS(7147),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHacs] = ACTIONS(7147),
    [anon_sym_BSLASHAcs] = ACTIONS(7147),
    [anon_sym_BSLASHacsp] = ACTIONS(7147),
    [anon_sym_BSLASHAcsp] = ACTIONS(7147),
    [anon_sym_BSLASHacl] = ACTIONS(7147),
    [anon_sym_BSLASHAcl] = ACTIONS(7147),
    [anon_sym_BSLASHaclp] = ACTIONS(7147),
    [anon_sym_BSLASHAclp] = ACTIONS(7147),
    [anon_sym_BSLASHacf] = ACTIONS(7147),
    [anon_sym_BSLASHAcf] = ACTIONS(7147),
    [anon_sym_BSLASHacfp] = ACTIONS(7147),
    [anon_sym_BSLASHAcfp] = ACTIONS(7147),
    [anon_sym_BSLASHac] = ACTIONS(7147),
    [anon_sym_BSLASHAc] = ACTIONS(7147),
    [anon_sym_BSLASHacp] = ACTIONS(7147),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7147),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7147),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7147),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7147),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7147),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7147),
    [anon_sym_BSLASHcolor] = ACTIONS(7147),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7147),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7147),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7147),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7147),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7147),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7147),
    [anon_sym_BSLASHurl] = ACTIONS(7147),
    [anon_sym_BSLASHhref] = ACTIONS(7147),
  },
  [1400] = {
    [sym_command_name] = ACTIONS(7223),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7223),
    [anon_sym_LBRACK] = ACTIONS(7225),
    [anon_sym_RBRACK] = ACTIONS(7225),
    [anon_sym_COMMA] = ACTIONS(7225),
    [anon_sym_EQ] = ACTIONS(7225),
    [anon_sym_LPAREN] = ACTIONS(7225),
    [anon_sym_RPAREN] = ACTIONS(7225),
    [anon_sym_BSLASHpart] = ACTIONS(7223),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHaddpart] = ACTIONS(7223),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHchapter] = ACTIONS(7223),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHaddchap] = ACTIONS(7223),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHsection] = ACTIONS(7223),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHaddsec] = ACTIONS(7223),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHsubsection] = ACTIONS(7223),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7223),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHparagraph] = ACTIONS(7223),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7223),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHitem] = ACTIONS(7223),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7225),
    [anon_sym_LBRACE] = ACTIONS(7225),
    [sym_word] = ACTIONS(7223),
    [sym_placeholder] = ACTIONS(7225),
    [sym_delimiter] = ACTIONS(7225),
    [anon_sym_PLUS] = ACTIONS(7225),
    [anon_sym_DASH] = ACTIONS(7225),
    [anon_sym_STAR] = ACTIONS(7225),
    [anon_sym_SLASH] = ACTIONS(7225),
    [anon_sym_LT] = ACTIONS(7223),
    [anon_sym_GT] = ACTIONS(7223),
    [anon_sym_BANG] = ACTIONS(7223),
    [anon_sym_PIPE] = ACTIONS(7223),
    [anon_sym_COLON] = ACTIONS(7223),
    [anon_sym_SQUOTE] = ACTIONS(7223),
    [anon_sym__] = ACTIONS(7225),
    [anon_sym_CARET] = ACTIONS(7225),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7225),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7225),
    [anon_sym_DOLLAR] = ACTIONS(7223),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7225),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7225),
    [anon_sym_BSLASHleft] = ACTIONS(7223),
    [anon_sym_BSLASHbigl] = ACTIONS(7223),
    [anon_sym_BSLASHBigl] = ACTIONS(7223),
    [anon_sym_BSLASHbiggl] = ACTIONS(7223),
    [anon_sym_BSLASHBiggl] = ACTIONS(7223),
    [anon_sym_BSLASHtext] = ACTIONS(7223),
    [anon_sym_BSLASHintertext] = ACTIONS(7223),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7223),
    [anon_sym_BSLASHbegin] = ACTIONS(7223),
    [anon_sym_BSLASHtitle] = ACTIONS(7223),
    [anon_sym_BSLASHauthor] = ACTIONS(7223),
    [anon_sym_BSLASHusepackage] = ACTIONS(7223),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7223),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7223),
    [anon_sym_BSLASHinclude] = ACTIONS(7223),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7223),
    [anon_sym_BSLASHinput] = ACTIONS(7223),
    [anon_sym_BSLASHsubfile] = ACTIONS(7223),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7223),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7223),
    [anon_sym_BSLASHbibliography] = ACTIONS(7223),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7223),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7223),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7223),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7223),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7223),
    [anon_sym_BSLASHimport] = ACTIONS(7223),
    [anon_sym_BSLASHsubimport] = ACTIONS(7223),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7223),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7223),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7223),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7223),
    [anon_sym_BSLASHcaption] = ACTIONS(7223),
    [anon_sym_BSLASHcite] = ACTIONS(7223),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCite] = ACTIONS(7223),
    [anon_sym_BSLASHnocite] = ACTIONS(7223),
    [anon_sym_BSLASHcitet] = ACTIONS(7223),
    [anon_sym_BSLASHcitep] = ACTIONS(7223),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteA] = ACTIONS(7223),
    [anon_sym_BSLASHciteR] = ACTIONS(7223),
    [anon_sym_BSLASHciteS] = ACTIONS(7223),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7223),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7223),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7223),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7223),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteyear] = ACTIONS(7223),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitedate] = ACTIONS(7223),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteurl] = ACTIONS(7223),
    [anon_sym_BSLASHfullcite] = ACTIONS(7223),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7223),
    [anon_sym_BSLASHcitealt] = ACTIONS(7223),
    [anon_sym_BSLASHcitealp] = ACTIONS(7223),
    [anon_sym_BSLASHcitetext] = ACTIONS(7223),
    [anon_sym_BSLASHparencite] = ACTIONS(7223),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHParencite] = ACTIONS(7223),
    [anon_sym_BSLASHfootcite] = ACTIONS(7223),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7223),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7223),
    [anon_sym_BSLASHtextcite] = ACTIONS(7223),
    [anon_sym_BSLASHTextcite] = ACTIONS(7223),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7223),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7223),
    [anon_sym_BSLASHsupercite] = ACTIONS(7223),
    [anon_sym_BSLASHautocite] = ACTIONS(7223),
    [anon_sym_BSLASHAutocite] = ACTIONS(7223),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHVolcite] = ACTIONS(7223),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHavolcite] = ACTIONS(7223),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHNotecite] = ACTIONS(7223),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHlabel] = ACTIONS(7223),
    [anon_sym_BSLASHref] = ACTIONS(7223),
    [anon_sym_BSLASHeqref] = ACTIONS(7223),
    [anon_sym_BSLASHvref] = ACTIONS(7223),
    [anon_sym_BSLASHVref] = ACTIONS(7223),
    [anon_sym_BSLASHautoref] = ACTIONS(7223),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHpageref] = ACTIONS(7223),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHautopageref] = ACTIONS(7223),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcref] = ACTIONS(7223),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCref] = ACTIONS(7223),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcpageref] = ACTIONS(7223),
    [anon_sym_BSLASHCpageref] = ACTIONS(7223),
    [anon_sym_BSLASHnamecref] = ACTIONS(7223),
    [anon_sym_BSLASHnameCref] = ACTIONS(7223),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7223),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7223),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7223),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7223),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7223),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7223),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7223),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7223),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7223),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7223),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7223),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHdef] = ACTIONS(7223),
    [anon_sym_BSLASHgdef] = ACTIONS(7223),
    [anon_sym_BSLASHedef] = ACTIONS(7223),
    [anon_sym_BSLASHxdef] = ACTIONS(7223),
    [anon_sym_BSLASHlet] = ACTIONS(7223),
    [anon_sym_BSLASHglet] = ACTIONS(7223),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7223),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7223),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7223),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7223),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7223),
    [anon_sym_BSLASHgls] = ACTIONS(7223),
    [anon_sym_BSLASHGls] = ACTIONS(7223),
    [anon_sym_BSLASHGLS] = ACTIONS(7223),
    [anon_sym_BSLASHglspl] = ACTIONS(7223),
    [anon_sym_BSLASHGlspl] = ACTIONS(7223),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7223),
    [anon_sym_BSLASHglslink] = ACTIONS(7223),
    [anon_sym_BSLASHglstext] = ACTIONS(7223),
    [anon_sym_BSLASHGlstext] = ACTIONS(7223),
    [anon_sym_BSLASHGLStext] = ACTIONS(7223),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7223),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7223),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7223),
    [anon_sym_BSLASHglsplural] = ACTIONS(7223),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7223),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7223),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHglsname] = ACTIONS(7223),
    [anon_sym_BSLASHGlsname] = ACTIONS(7223),
    [anon_sym_BSLASHGLSname] = ACTIONS(7223),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7223),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7223),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7223),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7223),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7223),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7223),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7223),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7223),
    [anon_sym_BSLASHacrshort] = ACTIONS(7223),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7223),
    [anon_sym_BSLASHACRshort] = ACTIONS(7223),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHacrlong] = ACTIONS(7223),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7223),
    [anon_sym_BSLASHACRlong] = ACTIONS(7223),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHacrfull] = ACTIONS(7223),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7223),
    [anon_sym_BSLASHACRfull] = ACTIONS(7223),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHacs] = ACTIONS(7223),
    [anon_sym_BSLASHAcs] = ACTIONS(7223),
    [anon_sym_BSLASHacsp] = ACTIONS(7223),
    [anon_sym_BSLASHAcsp] = ACTIONS(7223),
    [anon_sym_BSLASHacl] = ACTIONS(7223),
    [anon_sym_BSLASHAcl] = ACTIONS(7223),
    [anon_sym_BSLASHaclp] = ACTIONS(7223),
    [anon_sym_BSLASHAclp] = ACTIONS(7223),
    [anon_sym_BSLASHacf] = ACTIONS(7223),
    [anon_sym_BSLASHAcf] = ACTIONS(7223),
    [anon_sym_BSLASHacfp] = ACTIONS(7223),
    [anon_sym_BSLASHAcfp] = ACTIONS(7223),
    [anon_sym_BSLASHac] = ACTIONS(7223),
    [anon_sym_BSLASHAc] = ACTIONS(7223),
    [anon_sym_BSLASHacp] = ACTIONS(7223),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7223),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7223),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7223),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7223),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7223),
    [anon_sym_BSLASHcolor] = ACTIONS(7223),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7223),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7223),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7223),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7223),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7223),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7223),
    [anon_sym_BSLASHurl] = ACTIONS(7223),
    [anon_sym_BSLASHhref] = ACTIONS(7223),
  },
  [1401] = {
    [sym_command_name] = ACTIONS(6999),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(7001),
    [anon_sym_RBRACK] = ACTIONS(7001),
    [anon_sym_COMMA] = ACTIONS(7001),
    [anon_sym_EQ] = ACTIONS(7001),
    [anon_sym_LPAREN] = ACTIONS(7001),
    [anon_sym_RPAREN] = ACTIONS(7001),
    [anon_sym_BSLASHpart] = ACTIONS(6999),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHaddpart] = ACTIONS(6999),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHchapter] = ACTIONS(6999),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHaddchap] = ACTIONS(6999),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHsection] = ACTIONS(6999),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHaddsec] = ACTIONS(6999),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHsubsection] = ACTIONS(6999),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6999),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHparagraph] = ACTIONS(6999),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6999),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHitem] = ACTIONS(6999),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7001),
    [anon_sym_LBRACE] = ACTIONS(7001),
    [sym_word] = ACTIONS(6999),
    [sym_placeholder] = ACTIONS(7001),
    [sym_delimiter] = ACTIONS(7001),
    [anon_sym_PLUS] = ACTIONS(7001),
    [anon_sym_DASH] = ACTIONS(7001),
    [anon_sym_STAR] = ACTIONS(7001),
    [anon_sym_SLASH] = ACTIONS(7001),
    [anon_sym_LT] = ACTIONS(6999),
    [anon_sym_GT] = ACTIONS(6999),
    [anon_sym_BANG] = ACTIONS(6999),
    [anon_sym_PIPE] = ACTIONS(6999),
    [anon_sym_COLON] = ACTIONS(6999),
    [anon_sym_SQUOTE] = ACTIONS(6999),
    [anon_sym__] = ACTIONS(7001),
    [anon_sym_CARET] = ACTIONS(7001),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7001),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7001),
    [anon_sym_DOLLAR] = ACTIONS(6999),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7001),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7001),
    [anon_sym_BSLASHleft] = ACTIONS(6999),
    [anon_sym_BSLASHbigl] = ACTIONS(6999),
    [anon_sym_BSLASHBigl] = ACTIONS(6999),
    [anon_sym_BSLASHbiggl] = ACTIONS(6999),
    [anon_sym_BSLASHBiggl] = ACTIONS(6999),
    [anon_sym_BSLASHtext] = ACTIONS(6999),
    [anon_sym_BSLASHintertext] = ACTIONS(6999),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6999),
    [anon_sym_BSLASHbegin] = ACTIONS(6999),
    [anon_sym_BSLASHtitle] = ACTIONS(6999),
    [anon_sym_BSLASHauthor] = ACTIONS(6999),
    [anon_sym_BSLASHusepackage] = ACTIONS(6999),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6999),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6999),
    [anon_sym_BSLASHinclude] = ACTIONS(6999),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6999),
    [anon_sym_BSLASHinput] = ACTIONS(6999),
    [anon_sym_BSLASHsubfile] = ACTIONS(6999),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6999),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6999),
    [anon_sym_BSLASHbibliography] = ACTIONS(6999),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6999),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6999),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6999),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6999),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6999),
    [anon_sym_BSLASHimport] = ACTIONS(6999),
    [anon_sym_BSLASHsubimport] = ACTIONS(6999),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6999),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6999),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6999),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6999),
    [anon_sym_BSLASHcaption] = ACTIONS(6999),
    [anon_sym_BSLASHcite] = ACTIONS(6999),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHCite] = ACTIONS(6999),
    [anon_sym_BSLASHnocite] = ACTIONS(6999),
    [anon_sym_BSLASHcitet] = ACTIONS(6999),
    [anon_sym_BSLASHcitep] = ACTIONS(6999),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHciteA] = ACTIONS(6999),
    [anon_sym_BSLASHciteR] = ACTIONS(6999),
    [anon_sym_BSLASHciteS] = ACTIONS(6999),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6999),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6999),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6999),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6999),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHciteyear] = ACTIONS(6999),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcitedate] = ACTIONS(6999),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHciteurl] = ACTIONS(6999),
    [anon_sym_BSLASHfullcite] = ACTIONS(6999),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6999),
    [anon_sym_BSLASHcitealt] = ACTIONS(6999),
    [anon_sym_BSLASHcitealp] = ACTIONS(6999),
    [anon_sym_BSLASHcitetext] = ACTIONS(6999),
    [anon_sym_BSLASHparencite] = ACTIONS(6999),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHParencite] = ACTIONS(6999),
    [anon_sym_BSLASHfootcite] = ACTIONS(6999),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6999),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6999),
    [anon_sym_BSLASHtextcite] = ACTIONS(6999),
    [anon_sym_BSLASHTextcite] = ACTIONS(6999),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6999),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6999),
    [anon_sym_BSLASHsupercite] = ACTIONS(6999),
    [anon_sym_BSLASHautocite] = ACTIONS(6999),
    [anon_sym_BSLASHAutocite] = ACTIONS(6999),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHVolcite] = ACTIONS(6999),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHavolcite] = ACTIONS(6999),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHnotecite] = ACTIONS(6999),
    [anon_sym_BSLASHNotecite] = ACTIONS(6999),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6999),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6999),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6999),
    [anon_sym_BSLASHlabel] = ACTIONS(6999),
    [anon_sym_BSLASHref] = ACTIONS(6999),
    [anon_sym_BSLASHeqref] = ACTIONS(6999),
    [anon_sym_BSLASHvref] = ACTIONS(6999),
    [anon_sym_BSLASHVref] = ACTIONS(6999),
    [anon_sym_BSLASHautoref] = ACTIONS(6999),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHpageref] = ACTIONS(6999),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHautopageref] = ACTIONS(6999),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcref] = ACTIONS(6999),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHCref] = ACTIONS(6999),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcpageref] = ACTIONS(6999),
    [anon_sym_BSLASHCpageref] = ACTIONS(6999),
    [anon_sym_BSLASHnamecref] = ACTIONS(6999),
    [anon_sym_BSLASHnameCref] = ACTIONS(6999),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6999),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6999),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6999),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6999),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6999),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6999),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6999),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6999),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6999),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6999),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6999),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6999),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6999),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6999),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6999),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6999),
    [anon_sym_BSLASHdef] = ACTIONS(6999),
    [anon_sym_BSLASHgdef] = ACTIONS(6999),
    [anon_sym_BSLASHedef] = ACTIONS(6999),
    [anon_sym_BSLASHxdef] = ACTIONS(6999),
    [anon_sym_BSLASHlet] = ACTIONS(6999),
    [anon_sym_BSLASHglet] = ACTIONS(6999),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6999),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6999),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6999),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6999),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6999),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6999),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6999),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6999),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6999),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6999),
    [anon_sym_BSLASHgls] = ACTIONS(6999),
    [anon_sym_BSLASHGls] = ACTIONS(6999),
    [anon_sym_BSLASHGLS] = ACTIONS(6999),
    [anon_sym_BSLASHglspl] = ACTIONS(6999),
    [anon_sym_BSLASHGlspl] = ACTIONS(6999),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6999),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6999),
    [anon_sym_BSLASHglslink] = ACTIONS(6999),
    [anon_sym_BSLASHglstext] = ACTIONS(6999),
    [anon_sym_BSLASHGlstext] = ACTIONS(6999),
    [anon_sym_BSLASHGLStext] = ACTIONS(6999),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6999),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6999),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6999),
    [anon_sym_BSLASHglsplural] = ACTIONS(6999),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6999),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6999),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6999),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6999),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6999),
    [anon_sym_BSLASHglsname] = ACTIONS(6999),
    [anon_sym_BSLASHGlsname] = ACTIONS(6999),
    [anon_sym_BSLASHGLSname] = ACTIONS(6999),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6999),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6999),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6999),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6999),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6999),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6999),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6999),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6999),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6999),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6999),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6999),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6999),
    [anon_sym_BSLASHacrshort] = ACTIONS(6999),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6999),
    [anon_sym_BSLASHACRshort] = ACTIONS(6999),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6999),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6999),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6999),
    [anon_sym_BSLASHacrlong] = ACTIONS(6999),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6999),
    [anon_sym_BSLASHACRlong] = ACTIONS(6999),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6999),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6999),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6999),
    [anon_sym_BSLASHacrfull] = ACTIONS(6999),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6999),
    [anon_sym_BSLASHACRfull] = ACTIONS(6999),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6999),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6999),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6999),
    [anon_sym_BSLASHacs] = ACTIONS(6999),
    [anon_sym_BSLASHAcs] = ACTIONS(6999),
    [anon_sym_BSLASHacsp] = ACTIONS(6999),
    [anon_sym_BSLASHAcsp] = ACTIONS(6999),
    [anon_sym_BSLASHacl] = ACTIONS(6999),
    [anon_sym_BSLASHAcl] = ACTIONS(6999),
    [anon_sym_BSLASHaclp] = ACTIONS(6999),
    [anon_sym_BSLASHAclp] = ACTIONS(6999),
    [anon_sym_BSLASHacf] = ACTIONS(6999),
    [anon_sym_BSLASHAcf] = ACTIONS(6999),
    [anon_sym_BSLASHacfp] = ACTIONS(6999),
    [anon_sym_BSLASHAcfp] = ACTIONS(6999),
    [anon_sym_BSLASHac] = ACTIONS(6999),
    [anon_sym_BSLASHAc] = ACTIONS(6999),
    [anon_sym_BSLASHacp] = ACTIONS(6999),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6999),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6999),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6999),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6999),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6999),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6999),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6999),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6999),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6999),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6999),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6999),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6999),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6999),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6999),
    [anon_sym_BSLASHcolor] = ACTIONS(6999),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6999),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6999),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6999),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6999),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6999),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6999),
    [anon_sym_BSLASHurl] = ACTIONS(6999),
    [anon_sym_BSLASHhref] = ACTIONS(6999),
  },
  [1402] = {
    [sym_command_name] = ACTIONS(7003),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7003),
    [anon_sym_LBRACK] = ACTIONS(7005),
    [anon_sym_RBRACK] = ACTIONS(7005),
    [anon_sym_COMMA] = ACTIONS(7005),
    [anon_sym_EQ] = ACTIONS(7005),
    [anon_sym_LPAREN] = ACTIONS(7005),
    [anon_sym_RPAREN] = ACTIONS(7005),
    [anon_sym_BSLASHpart] = ACTIONS(7003),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHaddpart] = ACTIONS(7003),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHchapter] = ACTIONS(7003),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHaddchap] = ACTIONS(7003),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHsection] = ACTIONS(7003),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHaddsec] = ACTIONS(7003),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHsubsection] = ACTIONS(7003),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7003),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHparagraph] = ACTIONS(7003),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7003),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHitem] = ACTIONS(7003),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7005),
    [anon_sym_LBRACE] = ACTIONS(7005),
    [sym_word] = ACTIONS(7003),
    [sym_placeholder] = ACTIONS(7005),
    [sym_delimiter] = ACTIONS(7005),
    [anon_sym_PLUS] = ACTIONS(7005),
    [anon_sym_DASH] = ACTIONS(7005),
    [anon_sym_STAR] = ACTIONS(7005),
    [anon_sym_SLASH] = ACTIONS(7005),
    [anon_sym_LT] = ACTIONS(7003),
    [anon_sym_GT] = ACTIONS(7003),
    [anon_sym_BANG] = ACTIONS(7003),
    [anon_sym_PIPE] = ACTIONS(7003),
    [anon_sym_COLON] = ACTIONS(7003),
    [anon_sym_SQUOTE] = ACTIONS(7003),
    [anon_sym__] = ACTIONS(7005),
    [anon_sym_CARET] = ACTIONS(7005),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7005),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7005),
    [anon_sym_DOLLAR] = ACTIONS(7003),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7005),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7005),
    [anon_sym_BSLASHleft] = ACTIONS(7003),
    [anon_sym_BSLASHbigl] = ACTIONS(7003),
    [anon_sym_BSLASHBigl] = ACTIONS(7003),
    [anon_sym_BSLASHbiggl] = ACTIONS(7003),
    [anon_sym_BSLASHBiggl] = ACTIONS(7003),
    [anon_sym_BSLASHtext] = ACTIONS(7003),
    [anon_sym_BSLASHintertext] = ACTIONS(7003),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7003),
    [anon_sym_BSLASHbegin] = ACTIONS(7003),
    [anon_sym_BSLASHtitle] = ACTIONS(7003),
    [anon_sym_BSLASHauthor] = ACTIONS(7003),
    [anon_sym_BSLASHusepackage] = ACTIONS(7003),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7003),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7003),
    [anon_sym_BSLASHinclude] = ACTIONS(7003),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7003),
    [anon_sym_BSLASHinput] = ACTIONS(7003),
    [anon_sym_BSLASHsubfile] = ACTIONS(7003),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7003),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7003),
    [anon_sym_BSLASHbibliography] = ACTIONS(7003),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7003),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7003),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7003),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7003),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7003),
    [anon_sym_BSLASHimport] = ACTIONS(7003),
    [anon_sym_BSLASHsubimport] = ACTIONS(7003),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7003),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7003),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7003),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7003),
    [anon_sym_BSLASHcaption] = ACTIONS(7003),
    [anon_sym_BSLASHcite] = ACTIONS(7003),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHCite] = ACTIONS(7003),
    [anon_sym_BSLASHnocite] = ACTIONS(7003),
    [anon_sym_BSLASHcitet] = ACTIONS(7003),
    [anon_sym_BSLASHcitep] = ACTIONS(7003),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHciteA] = ACTIONS(7003),
    [anon_sym_BSLASHciteR] = ACTIONS(7003),
    [anon_sym_BSLASHciteS] = ACTIONS(7003),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7003),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7003),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7003),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7003),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHciteyear] = ACTIONS(7003),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcitedate] = ACTIONS(7003),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHciteurl] = ACTIONS(7003),
    [anon_sym_BSLASHfullcite] = ACTIONS(7003),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7003),
    [anon_sym_BSLASHcitealt] = ACTIONS(7003),
    [anon_sym_BSLASHcitealp] = ACTIONS(7003),
    [anon_sym_BSLASHcitetext] = ACTIONS(7003),
    [anon_sym_BSLASHparencite] = ACTIONS(7003),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHParencite] = ACTIONS(7003),
    [anon_sym_BSLASHfootcite] = ACTIONS(7003),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7003),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7003),
    [anon_sym_BSLASHtextcite] = ACTIONS(7003),
    [anon_sym_BSLASHTextcite] = ACTIONS(7003),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7003),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7003),
    [anon_sym_BSLASHsupercite] = ACTIONS(7003),
    [anon_sym_BSLASHautocite] = ACTIONS(7003),
    [anon_sym_BSLASHAutocite] = ACTIONS(7003),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHVolcite] = ACTIONS(7003),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHavolcite] = ACTIONS(7003),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHnotecite] = ACTIONS(7003),
    [anon_sym_BSLASHNotecite] = ACTIONS(7003),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7003),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7003),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7003),
    [anon_sym_BSLASHlabel] = ACTIONS(7003),
    [anon_sym_BSLASHref] = ACTIONS(7003),
    [anon_sym_BSLASHeqref] = ACTIONS(7003),
    [anon_sym_BSLASHvref] = ACTIONS(7003),
    [anon_sym_BSLASHVref] = ACTIONS(7003),
    [anon_sym_BSLASHautoref] = ACTIONS(7003),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHpageref] = ACTIONS(7003),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHautopageref] = ACTIONS(7003),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcref] = ACTIONS(7003),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHCref] = ACTIONS(7003),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcpageref] = ACTIONS(7003),
    [anon_sym_BSLASHCpageref] = ACTIONS(7003),
    [anon_sym_BSLASHnamecref] = ACTIONS(7003),
    [anon_sym_BSLASHnameCref] = ACTIONS(7003),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7003),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7003),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7003),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7003),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7003),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7003),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7003),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7003),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7003),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7003),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7003),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7003),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7003),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7003),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7003),
    [anon_sym_BSLASHdef] = ACTIONS(7003),
    [anon_sym_BSLASHgdef] = ACTIONS(7003),
    [anon_sym_BSLASHedef] = ACTIONS(7003),
    [anon_sym_BSLASHxdef] = ACTIONS(7003),
    [anon_sym_BSLASHlet] = ACTIONS(7003),
    [anon_sym_BSLASHglet] = ACTIONS(7003),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7003),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7003),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7003),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7003),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7003),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7003),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7003),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7003),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7003),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7003),
    [anon_sym_BSLASHgls] = ACTIONS(7003),
    [anon_sym_BSLASHGls] = ACTIONS(7003),
    [anon_sym_BSLASHGLS] = ACTIONS(7003),
    [anon_sym_BSLASHglspl] = ACTIONS(7003),
    [anon_sym_BSLASHGlspl] = ACTIONS(7003),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7003),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7003),
    [anon_sym_BSLASHglslink] = ACTIONS(7003),
    [anon_sym_BSLASHglstext] = ACTIONS(7003),
    [anon_sym_BSLASHGlstext] = ACTIONS(7003),
    [anon_sym_BSLASHGLStext] = ACTIONS(7003),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7003),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7003),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7003),
    [anon_sym_BSLASHglsplural] = ACTIONS(7003),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7003),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7003),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7003),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7003),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7003),
    [anon_sym_BSLASHglsname] = ACTIONS(7003),
    [anon_sym_BSLASHGlsname] = ACTIONS(7003),
    [anon_sym_BSLASHGLSname] = ACTIONS(7003),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7003),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7003),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7003),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7003),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7003),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7003),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7003),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7003),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7003),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7003),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7003),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7003),
    [anon_sym_BSLASHacrshort] = ACTIONS(7003),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7003),
    [anon_sym_BSLASHACRshort] = ACTIONS(7003),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7003),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7003),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7003),
    [anon_sym_BSLASHacrlong] = ACTIONS(7003),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7003),
    [anon_sym_BSLASHACRlong] = ACTIONS(7003),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7003),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7003),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7003),
    [anon_sym_BSLASHacrfull] = ACTIONS(7003),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7003),
    [anon_sym_BSLASHACRfull] = ACTIONS(7003),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7003),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7003),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7003),
    [anon_sym_BSLASHacs] = ACTIONS(7003),
    [anon_sym_BSLASHAcs] = ACTIONS(7003),
    [anon_sym_BSLASHacsp] = ACTIONS(7003),
    [anon_sym_BSLASHAcsp] = ACTIONS(7003),
    [anon_sym_BSLASHacl] = ACTIONS(7003),
    [anon_sym_BSLASHAcl] = ACTIONS(7003),
    [anon_sym_BSLASHaclp] = ACTIONS(7003),
    [anon_sym_BSLASHAclp] = ACTIONS(7003),
    [anon_sym_BSLASHacf] = ACTIONS(7003),
    [anon_sym_BSLASHAcf] = ACTIONS(7003),
    [anon_sym_BSLASHacfp] = ACTIONS(7003),
    [anon_sym_BSLASHAcfp] = ACTIONS(7003),
    [anon_sym_BSLASHac] = ACTIONS(7003),
    [anon_sym_BSLASHAc] = ACTIONS(7003),
    [anon_sym_BSLASHacp] = ACTIONS(7003),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7003),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7003),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7003),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7003),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7003),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7003),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7003),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7003),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7003),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7003),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7003),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7003),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7003),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7003),
    [anon_sym_BSLASHcolor] = ACTIONS(7003),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7003),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7003),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7003),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7003),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7003),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7003),
    [anon_sym_BSLASHurl] = ACTIONS(7003),
    [anon_sym_BSLASHhref] = ACTIONS(7003),
  },
  [1403] = {
    [sym_command_name] = ACTIONS(7007),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7007),
    [anon_sym_LBRACK] = ACTIONS(7009),
    [anon_sym_RBRACK] = ACTIONS(7009),
    [anon_sym_COMMA] = ACTIONS(7009),
    [anon_sym_EQ] = ACTIONS(7009),
    [anon_sym_LPAREN] = ACTIONS(7009),
    [anon_sym_RPAREN] = ACTIONS(7009),
    [anon_sym_BSLASHpart] = ACTIONS(7007),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHaddpart] = ACTIONS(7007),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHchapter] = ACTIONS(7007),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHaddchap] = ACTIONS(7007),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHsection] = ACTIONS(7007),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHaddsec] = ACTIONS(7007),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHsubsection] = ACTIONS(7007),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7007),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHparagraph] = ACTIONS(7007),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7007),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHitem] = ACTIONS(7007),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7009),
    [anon_sym_LBRACE] = ACTIONS(7009),
    [sym_word] = ACTIONS(7007),
    [sym_placeholder] = ACTIONS(7009),
    [sym_delimiter] = ACTIONS(7009),
    [anon_sym_PLUS] = ACTIONS(7009),
    [anon_sym_DASH] = ACTIONS(7009),
    [anon_sym_STAR] = ACTIONS(7009),
    [anon_sym_SLASH] = ACTIONS(7009),
    [anon_sym_LT] = ACTIONS(7007),
    [anon_sym_GT] = ACTIONS(7007),
    [anon_sym_BANG] = ACTIONS(7007),
    [anon_sym_PIPE] = ACTIONS(7007),
    [anon_sym_COLON] = ACTIONS(7007),
    [anon_sym_SQUOTE] = ACTIONS(7007),
    [anon_sym__] = ACTIONS(7009),
    [anon_sym_CARET] = ACTIONS(7009),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7009),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7009),
    [anon_sym_DOLLAR] = ACTIONS(7007),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7009),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7009),
    [anon_sym_BSLASHleft] = ACTIONS(7007),
    [anon_sym_BSLASHbigl] = ACTIONS(7007),
    [anon_sym_BSLASHBigl] = ACTIONS(7007),
    [anon_sym_BSLASHbiggl] = ACTIONS(7007),
    [anon_sym_BSLASHBiggl] = ACTIONS(7007),
    [anon_sym_BSLASHtext] = ACTIONS(7007),
    [anon_sym_BSLASHintertext] = ACTIONS(7007),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7007),
    [anon_sym_BSLASHbegin] = ACTIONS(7007),
    [anon_sym_BSLASHtitle] = ACTIONS(7007),
    [anon_sym_BSLASHauthor] = ACTIONS(7007),
    [anon_sym_BSLASHusepackage] = ACTIONS(7007),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7007),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7007),
    [anon_sym_BSLASHinclude] = ACTIONS(7007),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7007),
    [anon_sym_BSLASHinput] = ACTIONS(7007),
    [anon_sym_BSLASHsubfile] = ACTIONS(7007),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7007),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7007),
    [anon_sym_BSLASHbibliography] = ACTIONS(7007),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7007),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7007),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7007),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7007),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7007),
    [anon_sym_BSLASHimport] = ACTIONS(7007),
    [anon_sym_BSLASHsubimport] = ACTIONS(7007),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7007),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7007),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7007),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7007),
    [anon_sym_BSLASHcaption] = ACTIONS(7007),
    [anon_sym_BSLASHcite] = ACTIONS(7007),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHCite] = ACTIONS(7007),
    [anon_sym_BSLASHnocite] = ACTIONS(7007),
    [anon_sym_BSLASHcitet] = ACTIONS(7007),
    [anon_sym_BSLASHcitep] = ACTIONS(7007),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHciteA] = ACTIONS(7007),
    [anon_sym_BSLASHciteR] = ACTIONS(7007),
    [anon_sym_BSLASHciteS] = ACTIONS(7007),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7007),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7007),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7007),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7007),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHciteyear] = ACTIONS(7007),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcitedate] = ACTIONS(7007),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHciteurl] = ACTIONS(7007),
    [anon_sym_BSLASHfullcite] = ACTIONS(7007),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7007),
    [anon_sym_BSLASHcitealt] = ACTIONS(7007),
    [anon_sym_BSLASHcitealp] = ACTIONS(7007),
    [anon_sym_BSLASHcitetext] = ACTIONS(7007),
    [anon_sym_BSLASHparencite] = ACTIONS(7007),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHParencite] = ACTIONS(7007),
    [anon_sym_BSLASHfootcite] = ACTIONS(7007),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7007),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7007),
    [anon_sym_BSLASHtextcite] = ACTIONS(7007),
    [anon_sym_BSLASHTextcite] = ACTIONS(7007),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7007),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7007),
    [anon_sym_BSLASHsupercite] = ACTIONS(7007),
    [anon_sym_BSLASHautocite] = ACTIONS(7007),
    [anon_sym_BSLASHAutocite] = ACTIONS(7007),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHVolcite] = ACTIONS(7007),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHavolcite] = ACTIONS(7007),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHnotecite] = ACTIONS(7007),
    [anon_sym_BSLASHNotecite] = ACTIONS(7007),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7007),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7007),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7007),
    [anon_sym_BSLASHlabel] = ACTIONS(7007),
    [anon_sym_BSLASHref] = ACTIONS(7007),
    [anon_sym_BSLASHeqref] = ACTIONS(7007),
    [anon_sym_BSLASHvref] = ACTIONS(7007),
    [anon_sym_BSLASHVref] = ACTIONS(7007),
    [anon_sym_BSLASHautoref] = ACTIONS(7007),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHpageref] = ACTIONS(7007),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHautopageref] = ACTIONS(7007),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcref] = ACTIONS(7007),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHCref] = ACTIONS(7007),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcpageref] = ACTIONS(7007),
    [anon_sym_BSLASHCpageref] = ACTIONS(7007),
    [anon_sym_BSLASHnamecref] = ACTIONS(7007),
    [anon_sym_BSLASHnameCref] = ACTIONS(7007),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7007),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7007),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7007),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7007),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7007),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7007),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7007),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7007),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7007),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7007),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7007),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7007),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7007),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7007),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7007),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7007),
    [anon_sym_BSLASHdef] = ACTIONS(7007),
    [anon_sym_BSLASHgdef] = ACTIONS(7007),
    [anon_sym_BSLASHedef] = ACTIONS(7007),
    [anon_sym_BSLASHxdef] = ACTIONS(7007),
    [anon_sym_BSLASHlet] = ACTIONS(7007),
    [anon_sym_BSLASHglet] = ACTIONS(7007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7007),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7007),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7007),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7007),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7007),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7007),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7007),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7007),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7007),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7007),
    [anon_sym_BSLASHgls] = ACTIONS(7007),
    [anon_sym_BSLASHGls] = ACTIONS(7007),
    [anon_sym_BSLASHGLS] = ACTIONS(7007),
    [anon_sym_BSLASHglspl] = ACTIONS(7007),
    [anon_sym_BSLASHGlspl] = ACTIONS(7007),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7007),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7007),
    [anon_sym_BSLASHglslink] = ACTIONS(7007),
    [anon_sym_BSLASHglstext] = ACTIONS(7007),
    [anon_sym_BSLASHGlstext] = ACTIONS(7007),
    [anon_sym_BSLASHGLStext] = ACTIONS(7007),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7007),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7007),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7007),
    [anon_sym_BSLASHglsplural] = ACTIONS(7007),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7007),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7007),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7007),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7007),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7007),
    [anon_sym_BSLASHglsname] = ACTIONS(7007),
    [anon_sym_BSLASHGlsname] = ACTIONS(7007),
    [anon_sym_BSLASHGLSname] = ACTIONS(7007),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7007),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7007),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7007),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7007),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7007),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7007),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7007),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7007),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7007),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7007),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7007),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7007),
    [anon_sym_BSLASHacrshort] = ACTIONS(7007),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7007),
    [anon_sym_BSLASHACRshort] = ACTIONS(7007),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7007),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7007),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7007),
    [anon_sym_BSLASHacrlong] = ACTIONS(7007),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7007),
    [anon_sym_BSLASHACRlong] = ACTIONS(7007),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7007),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7007),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7007),
    [anon_sym_BSLASHacrfull] = ACTIONS(7007),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7007),
    [anon_sym_BSLASHACRfull] = ACTIONS(7007),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7007),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7007),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7007),
    [anon_sym_BSLASHacs] = ACTIONS(7007),
    [anon_sym_BSLASHAcs] = ACTIONS(7007),
    [anon_sym_BSLASHacsp] = ACTIONS(7007),
    [anon_sym_BSLASHAcsp] = ACTIONS(7007),
    [anon_sym_BSLASHacl] = ACTIONS(7007),
    [anon_sym_BSLASHAcl] = ACTIONS(7007),
    [anon_sym_BSLASHaclp] = ACTIONS(7007),
    [anon_sym_BSLASHAclp] = ACTIONS(7007),
    [anon_sym_BSLASHacf] = ACTIONS(7007),
    [anon_sym_BSLASHAcf] = ACTIONS(7007),
    [anon_sym_BSLASHacfp] = ACTIONS(7007),
    [anon_sym_BSLASHAcfp] = ACTIONS(7007),
    [anon_sym_BSLASHac] = ACTIONS(7007),
    [anon_sym_BSLASHAc] = ACTIONS(7007),
    [anon_sym_BSLASHacp] = ACTIONS(7007),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7007),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7007),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7007),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7007),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7007),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7007),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7007),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7007),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7007),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7007),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7007),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7007),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7007),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7007),
    [anon_sym_BSLASHcolor] = ACTIONS(7007),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7007),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7007),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7007),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7007),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7007),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7007),
    [anon_sym_BSLASHurl] = ACTIONS(7007),
    [anon_sym_BSLASHhref] = ACTIONS(7007),
  },
  [1404] = {
    [sym_command_name] = ACTIONS(7151),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7151),
    [anon_sym_LBRACK] = ACTIONS(7153),
    [anon_sym_RBRACK] = ACTIONS(7153),
    [anon_sym_COMMA] = ACTIONS(7153),
    [anon_sym_EQ] = ACTIONS(7153),
    [anon_sym_LPAREN] = ACTIONS(7153),
    [anon_sym_RPAREN] = ACTIONS(7153),
    [anon_sym_BSLASHpart] = ACTIONS(7151),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHaddpart] = ACTIONS(7151),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHchapter] = ACTIONS(7151),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHaddchap] = ACTIONS(7151),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHsection] = ACTIONS(7151),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHaddsec] = ACTIONS(7151),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHsubsection] = ACTIONS(7151),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7151),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHparagraph] = ACTIONS(7151),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7151),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHitem] = ACTIONS(7151),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7153),
    [anon_sym_LBRACE] = ACTIONS(7153),
    [sym_word] = ACTIONS(7151),
    [sym_placeholder] = ACTIONS(7153),
    [sym_delimiter] = ACTIONS(7153),
    [anon_sym_PLUS] = ACTIONS(7153),
    [anon_sym_DASH] = ACTIONS(7153),
    [anon_sym_STAR] = ACTIONS(7153),
    [anon_sym_SLASH] = ACTIONS(7153),
    [anon_sym_LT] = ACTIONS(7151),
    [anon_sym_GT] = ACTIONS(7151),
    [anon_sym_BANG] = ACTIONS(7151),
    [anon_sym_PIPE] = ACTIONS(7151),
    [anon_sym_COLON] = ACTIONS(7151),
    [anon_sym_SQUOTE] = ACTIONS(7151),
    [anon_sym__] = ACTIONS(7153),
    [anon_sym_CARET] = ACTIONS(7153),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7153),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7153),
    [anon_sym_DOLLAR] = ACTIONS(7151),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7153),
    [anon_sym_BSLASHleft] = ACTIONS(7151),
    [anon_sym_BSLASHbigl] = ACTIONS(7151),
    [anon_sym_BSLASHBigl] = ACTIONS(7151),
    [anon_sym_BSLASHbiggl] = ACTIONS(7151),
    [anon_sym_BSLASHBiggl] = ACTIONS(7151),
    [anon_sym_BSLASHtext] = ACTIONS(7151),
    [anon_sym_BSLASHintertext] = ACTIONS(7151),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7151),
    [anon_sym_BSLASHbegin] = ACTIONS(7151),
    [anon_sym_BSLASHend] = ACTIONS(7151),
    [anon_sym_BSLASHtitle] = ACTIONS(7151),
    [anon_sym_BSLASHauthor] = ACTIONS(7151),
    [anon_sym_BSLASHusepackage] = ACTIONS(7151),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7151),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7151),
    [anon_sym_BSLASHinclude] = ACTIONS(7151),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7151),
    [anon_sym_BSLASHinput] = ACTIONS(7151),
    [anon_sym_BSLASHsubfile] = ACTIONS(7151),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7151),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7151),
    [anon_sym_BSLASHbibliography] = ACTIONS(7151),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7151),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7151),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7151),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7151),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7151),
    [anon_sym_BSLASHimport] = ACTIONS(7151),
    [anon_sym_BSLASHsubimport] = ACTIONS(7151),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7151),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7151),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7151),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7151),
    [anon_sym_BSLASHcaption] = ACTIONS(7151),
    [anon_sym_BSLASHcite] = ACTIONS(7151),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHCite] = ACTIONS(7151),
    [anon_sym_BSLASHnocite] = ACTIONS(7151),
    [anon_sym_BSLASHcitet] = ACTIONS(7151),
    [anon_sym_BSLASHcitep] = ACTIONS(7151),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHciteA] = ACTIONS(7151),
    [anon_sym_BSLASHciteR] = ACTIONS(7151),
    [anon_sym_BSLASHciteS] = ACTIONS(7151),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7151),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7151),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7151),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7151),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHciteyear] = ACTIONS(7151),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcitedate] = ACTIONS(7151),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHciteurl] = ACTIONS(7151),
    [anon_sym_BSLASHfullcite] = ACTIONS(7151),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7151),
    [anon_sym_BSLASHcitealt] = ACTIONS(7151),
    [anon_sym_BSLASHcitealp] = ACTIONS(7151),
    [anon_sym_BSLASHcitetext] = ACTIONS(7151),
    [anon_sym_BSLASHparencite] = ACTIONS(7151),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHParencite] = ACTIONS(7151),
    [anon_sym_BSLASHfootcite] = ACTIONS(7151),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7151),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7151),
    [anon_sym_BSLASHtextcite] = ACTIONS(7151),
    [anon_sym_BSLASHTextcite] = ACTIONS(7151),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7151),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7151),
    [anon_sym_BSLASHsupercite] = ACTIONS(7151),
    [anon_sym_BSLASHautocite] = ACTIONS(7151),
    [anon_sym_BSLASHAutocite] = ACTIONS(7151),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHVolcite] = ACTIONS(7151),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHavolcite] = ACTIONS(7151),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHnotecite] = ACTIONS(7151),
    [anon_sym_BSLASHNotecite] = ACTIONS(7151),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7151),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7151),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7151),
    [anon_sym_BSLASHlabel] = ACTIONS(7151),
    [anon_sym_BSLASHref] = ACTIONS(7151),
    [anon_sym_BSLASHeqref] = ACTIONS(7151),
    [anon_sym_BSLASHvref] = ACTIONS(7151),
    [anon_sym_BSLASHVref] = ACTIONS(7151),
    [anon_sym_BSLASHautoref] = ACTIONS(7151),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHpageref] = ACTIONS(7151),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHautopageref] = ACTIONS(7151),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcref] = ACTIONS(7151),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHCref] = ACTIONS(7151),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcpageref] = ACTIONS(7151),
    [anon_sym_BSLASHCpageref] = ACTIONS(7151),
    [anon_sym_BSLASHnamecref] = ACTIONS(7151),
    [anon_sym_BSLASHnameCref] = ACTIONS(7151),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7151),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7151),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7151),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7151),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7151),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7151),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7151),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7151),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7151),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7151),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7151),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7151),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7151),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7151),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7151),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7151),
    [anon_sym_BSLASHdef] = ACTIONS(7151),
    [anon_sym_BSLASHgdef] = ACTIONS(7151),
    [anon_sym_BSLASHedef] = ACTIONS(7151),
    [anon_sym_BSLASHxdef] = ACTIONS(7151),
    [anon_sym_BSLASHlet] = ACTIONS(7151),
    [anon_sym_BSLASHglet] = ACTIONS(7151),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7151),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7151),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7151),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7151),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7151),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7151),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7151),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7151),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7151),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7151),
    [anon_sym_BSLASHgls] = ACTIONS(7151),
    [anon_sym_BSLASHGls] = ACTIONS(7151),
    [anon_sym_BSLASHGLS] = ACTIONS(7151),
    [anon_sym_BSLASHglspl] = ACTIONS(7151),
    [anon_sym_BSLASHGlspl] = ACTIONS(7151),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7151),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7151),
    [anon_sym_BSLASHglslink] = ACTIONS(7151),
    [anon_sym_BSLASHglstext] = ACTIONS(7151),
    [anon_sym_BSLASHGlstext] = ACTIONS(7151),
    [anon_sym_BSLASHGLStext] = ACTIONS(7151),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7151),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7151),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7151),
    [anon_sym_BSLASHglsplural] = ACTIONS(7151),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7151),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7151),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7151),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7151),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7151),
    [anon_sym_BSLASHglsname] = ACTIONS(7151),
    [anon_sym_BSLASHGlsname] = ACTIONS(7151),
    [anon_sym_BSLASHGLSname] = ACTIONS(7151),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7151),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7151),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7151),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7151),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7151),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7151),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7151),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7151),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7151),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7151),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7151),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7151),
    [anon_sym_BSLASHacrshort] = ACTIONS(7151),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7151),
    [anon_sym_BSLASHACRshort] = ACTIONS(7151),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHacrlong] = ACTIONS(7151),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7151),
    [anon_sym_BSLASHACRlong] = ACTIONS(7151),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7151),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7151),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7151),
    [anon_sym_BSLASHacrfull] = ACTIONS(7151),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7151),
    [anon_sym_BSLASHACRfull] = ACTIONS(7151),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHacs] = ACTIONS(7151),
    [anon_sym_BSLASHAcs] = ACTIONS(7151),
    [anon_sym_BSLASHacsp] = ACTIONS(7151),
    [anon_sym_BSLASHAcsp] = ACTIONS(7151),
    [anon_sym_BSLASHacl] = ACTIONS(7151),
    [anon_sym_BSLASHAcl] = ACTIONS(7151),
    [anon_sym_BSLASHaclp] = ACTIONS(7151),
    [anon_sym_BSLASHAclp] = ACTIONS(7151),
    [anon_sym_BSLASHacf] = ACTIONS(7151),
    [anon_sym_BSLASHAcf] = ACTIONS(7151),
    [anon_sym_BSLASHacfp] = ACTIONS(7151),
    [anon_sym_BSLASHAcfp] = ACTIONS(7151),
    [anon_sym_BSLASHac] = ACTIONS(7151),
    [anon_sym_BSLASHAc] = ACTIONS(7151),
    [anon_sym_BSLASHacp] = ACTIONS(7151),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7151),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7151),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7151),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7151),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7151),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7151),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7151),
    [anon_sym_BSLASHcolor] = ACTIONS(7151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7151),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7151),
    [anon_sym_BSLASHurl] = ACTIONS(7151),
    [anon_sym_BSLASHhref] = ACTIONS(7151),
  },
  [1405] = {
    [sym_command_name] = ACTIONS(7191),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7191),
    [anon_sym_LBRACK] = ACTIONS(7193),
    [anon_sym_RBRACK] = ACTIONS(7193),
    [anon_sym_COMMA] = ACTIONS(7193),
    [anon_sym_EQ] = ACTIONS(7193),
    [anon_sym_LPAREN] = ACTIONS(7193),
    [anon_sym_RPAREN] = ACTIONS(7193),
    [anon_sym_BSLASHpart] = ACTIONS(7191),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHaddpart] = ACTIONS(7191),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHchapter] = ACTIONS(7191),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHaddchap] = ACTIONS(7191),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHsection] = ACTIONS(7191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHaddsec] = ACTIONS(7191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHsubsection] = ACTIONS(7191),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7191),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHparagraph] = ACTIONS(7191),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7191),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHitem] = ACTIONS(7191),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7193),
    [anon_sym_LBRACE] = ACTIONS(7193),
    [sym_word] = ACTIONS(7191),
    [sym_placeholder] = ACTIONS(7193),
    [sym_delimiter] = ACTIONS(7193),
    [anon_sym_PLUS] = ACTIONS(7193),
    [anon_sym_DASH] = ACTIONS(7193),
    [anon_sym_STAR] = ACTIONS(7193),
    [anon_sym_SLASH] = ACTIONS(7193),
    [anon_sym_LT] = ACTIONS(7191),
    [anon_sym_GT] = ACTIONS(7191),
    [anon_sym_BANG] = ACTIONS(7191),
    [anon_sym_PIPE] = ACTIONS(7191),
    [anon_sym_COLON] = ACTIONS(7191),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym__] = ACTIONS(7193),
    [anon_sym_CARET] = ACTIONS(7193),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7193),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7193),
    [anon_sym_DOLLAR] = ACTIONS(7191),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7193),
    [anon_sym_BSLASHleft] = ACTIONS(7191),
    [anon_sym_BSLASHbigl] = ACTIONS(7191),
    [anon_sym_BSLASHBigl] = ACTIONS(7191),
    [anon_sym_BSLASHbiggl] = ACTIONS(7191),
    [anon_sym_BSLASHBiggl] = ACTIONS(7191),
    [anon_sym_BSLASHtext] = ACTIONS(7191),
    [anon_sym_BSLASHintertext] = ACTIONS(7191),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7191),
    [anon_sym_BSLASHbegin] = ACTIONS(7191),
    [anon_sym_BSLASHend] = ACTIONS(7191),
    [anon_sym_BSLASHtitle] = ACTIONS(7191),
    [anon_sym_BSLASHauthor] = ACTIONS(7191),
    [anon_sym_BSLASHusepackage] = ACTIONS(7191),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7191),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7191),
    [anon_sym_BSLASHinclude] = ACTIONS(7191),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7191),
    [anon_sym_BSLASHinput] = ACTIONS(7191),
    [anon_sym_BSLASHsubfile] = ACTIONS(7191),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7191),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7191),
    [anon_sym_BSLASHbibliography] = ACTIONS(7191),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7191),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7191),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7191),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7191),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7191),
    [anon_sym_BSLASHimport] = ACTIONS(7191),
    [anon_sym_BSLASHsubimport] = ACTIONS(7191),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7191),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7191),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7191),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7191),
    [anon_sym_BSLASHcaption] = ACTIONS(7191),
    [anon_sym_BSLASHcite] = ACTIONS(7191),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCite] = ACTIONS(7191),
    [anon_sym_BSLASHnocite] = ACTIONS(7191),
    [anon_sym_BSLASHcitet] = ACTIONS(7191),
    [anon_sym_BSLASHcitep] = ACTIONS(7191),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteA] = ACTIONS(7191),
    [anon_sym_BSLASHciteR] = ACTIONS(7191),
    [anon_sym_BSLASHciteS] = ACTIONS(7191),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7191),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7191),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7191),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7191),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteyear] = ACTIONS(7191),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitedate] = ACTIONS(7191),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteurl] = ACTIONS(7191),
    [anon_sym_BSLASHfullcite] = ACTIONS(7191),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7191),
    [anon_sym_BSLASHcitealt] = ACTIONS(7191),
    [anon_sym_BSLASHcitealp] = ACTIONS(7191),
    [anon_sym_BSLASHcitetext] = ACTIONS(7191),
    [anon_sym_BSLASHparencite] = ACTIONS(7191),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHParencite] = ACTIONS(7191),
    [anon_sym_BSLASHfootcite] = ACTIONS(7191),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7191),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7191),
    [anon_sym_BSLASHtextcite] = ACTIONS(7191),
    [anon_sym_BSLASHTextcite] = ACTIONS(7191),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7191),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7191),
    [anon_sym_BSLASHsupercite] = ACTIONS(7191),
    [anon_sym_BSLASHautocite] = ACTIONS(7191),
    [anon_sym_BSLASHAutocite] = ACTIONS(7191),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHVolcite] = ACTIONS(7191),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHavolcite] = ACTIONS(7191),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHNotecite] = ACTIONS(7191),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHlabel] = ACTIONS(7191),
    [anon_sym_BSLASHref] = ACTIONS(7191),
    [anon_sym_BSLASHeqref] = ACTIONS(7191),
    [anon_sym_BSLASHvref] = ACTIONS(7191),
    [anon_sym_BSLASHVref] = ACTIONS(7191),
    [anon_sym_BSLASHautoref] = ACTIONS(7191),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHpageref] = ACTIONS(7191),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHautopageref] = ACTIONS(7191),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcref] = ACTIONS(7191),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCref] = ACTIONS(7191),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcpageref] = ACTIONS(7191),
    [anon_sym_BSLASHCpageref] = ACTIONS(7191),
    [anon_sym_BSLASHnamecref] = ACTIONS(7191),
    [anon_sym_BSLASHnameCref] = ACTIONS(7191),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7191),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7191),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7191),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7191),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7191),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7191),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7191),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7191),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7191),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7191),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7191),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHdef] = ACTIONS(7191),
    [anon_sym_BSLASHgdef] = ACTIONS(7191),
    [anon_sym_BSLASHedef] = ACTIONS(7191),
    [anon_sym_BSLASHxdef] = ACTIONS(7191),
    [anon_sym_BSLASHlet] = ACTIONS(7191),
    [anon_sym_BSLASHglet] = ACTIONS(7191),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7191),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7191),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7191),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7191),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7191),
    [anon_sym_BSLASHgls] = ACTIONS(7191),
    [anon_sym_BSLASHGls] = ACTIONS(7191),
    [anon_sym_BSLASHGLS] = ACTIONS(7191),
    [anon_sym_BSLASHglspl] = ACTIONS(7191),
    [anon_sym_BSLASHGlspl] = ACTIONS(7191),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7191),
    [anon_sym_BSLASHglslink] = ACTIONS(7191),
    [anon_sym_BSLASHglstext] = ACTIONS(7191),
    [anon_sym_BSLASHGlstext] = ACTIONS(7191),
    [anon_sym_BSLASHGLStext] = ACTIONS(7191),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7191),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7191),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7191),
    [anon_sym_BSLASHglsplural] = ACTIONS(7191),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7191),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7191),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHglsname] = ACTIONS(7191),
    [anon_sym_BSLASHGlsname] = ACTIONS(7191),
    [anon_sym_BSLASHGLSname] = ACTIONS(7191),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7191),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7191),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7191),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7191),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7191),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7191),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7191),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7191),
    [anon_sym_BSLASHacrshort] = ACTIONS(7191),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7191),
    [anon_sym_BSLASHACRshort] = ACTIONS(7191),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHacrlong] = ACTIONS(7191),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7191),
    [anon_sym_BSLASHACRlong] = ACTIONS(7191),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHacrfull] = ACTIONS(7191),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7191),
    [anon_sym_BSLASHACRfull] = ACTIONS(7191),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHacs] = ACTIONS(7191),
    [anon_sym_BSLASHAcs] = ACTIONS(7191),
    [anon_sym_BSLASHacsp] = ACTIONS(7191),
    [anon_sym_BSLASHAcsp] = ACTIONS(7191),
    [anon_sym_BSLASHacl] = ACTIONS(7191),
    [anon_sym_BSLASHAcl] = ACTIONS(7191),
    [anon_sym_BSLASHaclp] = ACTIONS(7191),
    [anon_sym_BSLASHAclp] = ACTIONS(7191),
    [anon_sym_BSLASHacf] = ACTIONS(7191),
    [anon_sym_BSLASHAcf] = ACTIONS(7191),
    [anon_sym_BSLASHacfp] = ACTIONS(7191),
    [anon_sym_BSLASHAcfp] = ACTIONS(7191),
    [anon_sym_BSLASHac] = ACTIONS(7191),
    [anon_sym_BSLASHAc] = ACTIONS(7191),
    [anon_sym_BSLASHacp] = ACTIONS(7191),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7191),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7191),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7191),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7191),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7191),
    [anon_sym_BSLASHcolor] = ACTIONS(7191),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7191),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7191),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7191),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7191),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7191),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7191),
    [anon_sym_BSLASHurl] = ACTIONS(7191),
    [anon_sym_BSLASHhref] = ACTIONS(7191),
  },
  [1406] = {
    [sym_command_name] = ACTIONS(7195),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7195),
    [anon_sym_LBRACK] = ACTIONS(7197),
    [anon_sym_RBRACK] = ACTIONS(7197),
    [anon_sym_COMMA] = ACTIONS(7197),
    [anon_sym_EQ] = ACTIONS(7197),
    [anon_sym_LPAREN] = ACTIONS(7197),
    [anon_sym_RPAREN] = ACTIONS(7197),
    [anon_sym_BSLASHpart] = ACTIONS(7195),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHaddpart] = ACTIONS(7195),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHchapter] = ACTIONS(7195),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHaddchap] = ACTIONS(7195),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHsection] = ACTIONS(7195),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHaddsec] = ACTIONS(7195),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHsubsection] = ACTIONS(7195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7195),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHparagraph] = ACTIONS(7195),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7195),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHitem] = ACTIONS(7195),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7197),
    [anon_sym_LBRACE] = ACTIONS(7197),
    [sym_word] = ACTIONS(7195),
    [sym_placeholder] = ACTIONS(7197),
    [sym_delimiter] = ACTIONS(7197),
    [anon_sym_PLUS] = ACTIONS(7197),
    [anon_sym_DASH] = ACTIONS(7197),
    [anon_sym_STAR] = ACTIONS(7197),
    [anon_sym_SLASH] = ACTIONS(7197),
    [anon_sym_LT] = ACTIONS(7195),
    [anon_sym_GT] = ACTIONS(7195),
    [anon_sym_BANG] = ACTIONS(7195),
    [anon_sym_PIPE] = ACTIONS(7195),
    [anon_sym_COLON] = ACTIONS(7195),
    [anon_sym_SQUOTE] = ACTIONS(7195),
    [anon_sym__] = ACTIONS(7197),
    [anon_sym_CARET] = ACTIONS(7197),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7197),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7197),
    [anon_sym_DOLLAR] = ACTIONS(7195),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7197),
    [anon_sym_BSLASHleft] = ACTIONS(7195),
    [anon_sym_BSLASHbigl] = ACTIONS(7195),
    [anon_sym_BSLASHBigl] = ACTIONS(7195),
    [anon_sym_BSLASHbiggl] = ACTIONS(7195),
    [anon_sym_BSLASHBiggl] = ACTIONS(7195),
    [anon_sym_BSLASHtext] = ACTIONS(7195),
    [anon_sym_BSLASHintertext] = ACTIONS(7195),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7195),
    [anon_sym_BSLASHbegin] = ACTIONS(7195),
    [anon_sym_BSLASHend] = ACTIONS(7195),
    [anon_sym_BSLASHtitle] = ACTIONS(7195),
    [anon_sym_BSLASHauthor] = ACTIONS(7195),
    [anon_sym_BSLASHusepackage] = ACTIONS(7195),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7195),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7195),
    [anon_sym_BSLASHinclude] = ACTIONS(7195),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7195),
    [anon_sym_BSLASHinput] = ACTIONS(7195),
    [anon_sym_BSLASHsubfile] = ACTIONS(7195),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7195),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7195),
    [anon_sym_BSLASHbibliography] = ACTIONS(7195),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7195),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7195),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7195),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7195),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7195),
    [anon_sym_BSLASHimport] = ACTIONS(7195),
    [anon_sym_BSLASHsubimport] = ACTIONS(7195),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7195),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7195),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7195),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7195),
    [anon_sym_BSLASHcaption] = ACTIONS(7195),
    [anon_sym_BSLASHcite] = ACTIONS(7195),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCite] = ACTIONS(7195),
    [anon_sym_BSLASHnocite] = ACTIONS(7195),
    [anon_sym_BSLASHcitet] = ACTIONS(7195),
    [anon_sym_BSLASHcitep] = ACTIONS(7195),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteA] = ACTIONS(7195),
    [anon_sym_BSLASHciteR] = ACTIONS(7195),
    [anon_sym_BSLASHciteS] = ACTIONS(7195),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7195),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7195),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7195),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7195),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteyear] = ACTIONS(7195),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitedate] = ACTIONS(7195),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteurl] = ACTIONS(7195),
    [anon_sym_BSLASHfullcite] = ACTIONS(7195),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7195),
    [anon_sym_BSLASHcitealt] = ACTIONS(7195),
    [anon_sym_BSLASHcitealp] = ACTIONS(7195),
    [anon_sym_BSLASHcitetext] = ACTIONS(7195),
    [anon_sym_BSLASHparencite] = ACTIONS(7195),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHParencite] = ACTIONS(7195),
    [anon_sym_BSLASHfootcite] = ACTIONS(7195),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7195),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7195),
    [anon_sym_BSLASHtextcite] = ACTIONS(7195),
    [anon_sym_BSLASHTextcite] = ACTIONS(7195),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7195),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7195),
    [anon_sym_BSLASHsupercite] = ACTIONS(7195),
    [anon_sym_BSLASHautocite] = ACTIONS(7195),
    [anon_sym_BSLASHAutocite] = ACTIONS(7195),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHVolcite] = ACTIONS(7195),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHavolcite] = ACTIONS(7195),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHNotecite] = ACTIONS(7195),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHlabel] = ACTIONS(7195),
    [anon_sym_BSLASHref] = ACTIONS(7195),
    [anon_sym_BSLASHeqref] = ACTIONS(7195),
    [anon_sym_BSLASHvref] = ACTIONS(7195),
    [anon_sym_BSLASHVref] = ACTIONS(7195),
    [anon_sym_BSLASHautoref] = ACTIONS(7195),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHpageref] = ACTIONS(7195),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHautopageref] = ACTIONS(7195),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcref] = ACTIONS(7195),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCref] = ACTIONS(7195),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcpageref] = ACTIONS(7195),
    [anon_sym_BSLASHCpageref] = ACTIONS(7195),
    [anon_sym_BSLASHnamecref] = ACTIONS(7195),
    [anon_sym_BSLASHnameCref] = ACTIONS(7195),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7195),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7195),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7195),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7195),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7195),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7195),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7195),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7195),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7195),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7195),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7195),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHdef] = ACTIONS(7195),
    [anon_sym_BSLASHgdef] = ACTIONS(7195),
    [anon_sym_BSLASHedef] = ACTIONS(7195),
    [anon_sym_BSLASHxdef] = ACTIONS(7195),
    [anon_sym_BSLASHlet] = ACTIONS(7195),
    [anon_sym_BSLASHglet] = ACTIONS(7195),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7195),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7195),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7195),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7195),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7195),
    [anon_sym_BSLASHgls] = ACTIONS(7195),
    [anon_sym_BSLASHGls] = ACTIONS(7195),
    [anon_sym_BSLASHGLS] = ACTIONS(7195),
    [anon_sym_BSLASHglspl] = ACTIONS(7195),
    [anon_sym_BSLASHGlspl] = ACTIONS(7195),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7195),
    [anon_sym_BSLASHglslink] = ACTIONS(7195),
    [anon_sym_BSLASHglstext] = ACTIONS(7195),
    [anon_sym_BSLASHGlstext] = ACTIONS(7195),
    [anon_sym_BSLASHGLStext] = ACTIONS(7195),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7195),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7195),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7195),
    [anon_sym_BSLASHglsplural] = ACTIONS(7195),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7195),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7195),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHglsname] = ACTIONS(7195),
    [anon_sym_BSLASHGlsname] = ACTIONS(7195),
    [anon_sym_BSLASHGLSname] = ACTIONS(7195),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7195),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7195),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7195),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7195),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7195),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7195),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7195),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7195),
    [anon_sym_BSLASHacrshort] = ACTIONS(7195),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7195),
    [anon_sym_BSLASHACRshort] = ACTIONS(7195),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHacrlong] = ACTIONS(7195),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7195),
    [anon_sym_BSLASHACRlong] = ACTIONS(7195),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHacrfull] = ACTIONS(7195),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7195),
    [anon_sym_BSLASHACRfull] = ACTIONS(7195),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHacs] = ACTIONS(7195),
    [anon_sym_BSLASHAcs] = ACTIONS(7195),
    [anon_sym_BSLASHacsp] = ACTIONS(7195),
    [anon_sym_BSLASHAcsp] = ACTIONS(7195),
    [anon_sym_BSLASHacl] = ACTIONS(7195),
    [anon_sym_BSLASHAcl] = ACTIONS(7195),
    [anon_sym_BSLASHaclp] = ACTIONS(7195),
    [anon_sym_BSLASHAclp] = ACTIONS(7195),
    [anon_sym_BSLASHacf] = ACTIONS(7195),
    [anon_sym_BSLASHAcf] = ACTIONS(7195),
    [anon_sym_BSLASHacfp] = ACTIONS(7195),
    [anon_sym_BSLASHAcfp] = ACTIONS(7195),
    [anon_sym_BSLASHac] = ACTIONS(7195),
    [anon_sym_BSLASHAc] = ACTIONS(7195),
    [anon_sym_BSLASHacp] = ACTIONS(7195),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7195),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7195),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7195),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7195),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7195),
    [anon_sym_BSLASHcolor] = ACTIONS(7195),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7195),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7195),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7195),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7195),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7195),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7195),
    [anon_sym_BSLASHurl] = ACTIONS(7195),
    [anon_sym_BSLASHhref] = ACTIONS(7195),
  },
  [1407] = {
    [sym_command_name] = ACTIONS(7011),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7011),
    [anon_sym_LBRACK] = ACTIONS(7013),
    [anon_sym_RBRACK] = ACTIONS(7013),
    [anon_sym_COMMA] = ACTIONS(7013),
    [anon_sym_EQ] = ACTIONS(7013),
    [anon_sym_LPAREN] = ACTIONS(7013),
    [anon_sym_RPAREN] = ACTIONS(7013),
    [anon_sym_BSLASHpart] = ACTIONS(7011),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHaddpart] = ACTIONS(7011),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHchapter] = ACTIONS(7011),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHaddchap] = ACTIONS(7011),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHsection] = ACTIONS(7011),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHaddsec] = ACTIONS(7011),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHsubsection] = ACTIONS(7011),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7011),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHparagraph] = ACTIONS(7011),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7011),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHitem] = ACTIONS(7011),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7013),
    [anon_sym_LBRACE] = ACTIONS(7013),
    [sym_word] = ACTIONS(7011),
    [sym_placeholder] = ACTIONS(7013),
    [sym_delimiter] = ACTIONS(7013),
    [anon_sym_PLUS] = ACTIONS(7013),
    [anon_sym_DASH] = ACTIONS(7013),
    [anon_sym_STAR] = ACTIONS(7013),
    [anon_sym_SLASH] = ACTIONS(7013),
    [anon_sym_LT] = ACTIONS(7011),
    [anon_sym_GT] = ACTIONS(7011),
    [anon_sym_BANG] = ACTIONS(7011),
    [anon_sym_PIPE] = ACTIONS(7011),
    [anon_sym_COLON] = ACTIONS(7011),
    [anon_sym_SQUOTE] = ACTIONS(7011),
    [anon_sym__] = ACTIONS(7013),
    [anon_sym_CARET] = ACTIONS(7013),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7013),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7013),
    [anon_sym_DOLLAR] = ACTIONS(7011),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7013),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7013),
    [anon_sym_BSLASHleft] = ACTIONS(7011),
    [anon_sym_BSLASHbigl] = ACTIONS(7011),
    [anon_sym_BSLASHBigl] = ACTIONS(7011),
    [anon_sym_BSLASHbiggl] = ACTIONS(7011),
    [anon_sym_BSLASHBiggl] = ACTIONS(7011),
    [anon_sym_BSLASHtext] = ACTIONS(7011),
    [anon_sym_BSLASHintertext] = ACTIONS(7011),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7011),
    [anon_sym_BSLASHbegin] = ACTIONS(7011),
    [anon_sym_BSLASHtitle] = ACTIONS(7011),
    [anon_sym_BSLASHauthor] = ACTIONS(7011),
    [anon_sym_BSLASHusepackage] = ACTIONS(7011),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7011),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7011),
    [anon_sym_BSLASHinclude] = ACTIONS(7011),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7011),
    [anon_sym_BSLASHinput] = ACTIONS(7011),
    [anon_sym_BSLASHsubfile] = ACTIONS(7011),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7011),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7011),
    [anon_sym_BSLASHbibliography] = ACTIONS(7011),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7011),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7011),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7011),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7011),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7011),
    [anon_sym_BSLASHimport] = ACTIONS(7011),
    [anon_sym_BSLASHsubimport] = ACTIONS(7011),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7011),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7011),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7011),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7011),
    [anon_sym_BSLASHcaption] = ACTIONS(7011),
    [anon_sym_BSLASHcite] = ACTIONS(7011),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHCite] = ACTIONS(7011),
    [anon_sym_BSLASHnocite] = ACTIONS(7011),
    [anon_sym_BSLASHcitet] = ACTIONS(7011),
    [anon_sym_BSLASHcitep] = ACTIONS(7011),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHciteA] = ACTIONS(7011),
    [anon_sym_BSLASHciteR] = ACTIONS(7011),
    [anon_sym_BSLASHciteS] = ACTIONS(7011),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7011),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7011),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7011),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7011),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHciteyear] = ACTIONS(7011),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcitedate] = ACTIONS(7011),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHciteurl] = ACTIONS(7011),
    [anon_sym_BSLASHfullcite] = ACTIONS(7011),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7011),
    [anon_sym_BSLASHcitealt] = ACTIONS(7011),
    [anon_sym_BSLASHcitealp] = ACTIONS(7011),
    [anon_sym_BSLASHcitetext] = ACTIONS(7011),
    [anon_sym_BSLASHparencite] = ACTIONS(7011),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHParencite] = ACTIONS(7011),
    [anon_sym_BSLASHfootcite] = ACTIONS(7011),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7011),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7011),
    [anon_sym_BSLASHtextcite] = ACTIONS(7011),
    [anon_sym_BSLASHTextcite] = ACTIONS(7011),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7011),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7011),
    [anon_sym_BSLASHsupercite] = ACTIONS(7011),
    [anon_sym_BSLASHautocite] = ACTIONS(7011),
    [anon_sym_BSLASHAutocite] = ACTIONS(7011),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHVolcite] = ACTIONS(7011),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHavolcite] = ACTIONS(7011),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHnotecite] = ACTIONS(7011),
    [anon_sym_BSLASHNotecite] = ACTIONS(7011),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7011),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7011),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7011),
    [anon_sym_BSLASHlabel] = ACTIONS(7011),
    [anon_sym_BSLASHref] = ACTIONS(7011),
    [anon_sym_BSLASHeqref] = ACTIONS(7011),
    [anon_sym_BSLASHvref] = ACTIONS(7011),
    [anon_sym_BSLASHVref] = ACTIONS(7011),
    [anon_sym_BSLASHautoref] = ACTIONS(7011),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHpageref] = ACTIONS(7011),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHautopageref] = ACTIONS(7011),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcref] = ACTIONS(7011),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHCref] = ACTIONS(7011),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcpageref] = ACTIONS(7011),
    [anon_sym_BSLASHCpageref] = ACTIONS(7011),
    [anon_sym_BSLASHnamecref] = ACTIONS(7011),
    [anon_sym_BSLASHnameCref] = ACTIONS(7011),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7011),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7011),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7011),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7011),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7011),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7011),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7011),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7011),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7011),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7011),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7011),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7011),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7011),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7011),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7011),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7011),
    [anon_sym_BSLASHdef] = ACTIONS(7011),
    [anon_sym_BSLASHgdef] = ACTIONS(7011),
    [anon_sym_BSLASHedef] = ACTIONS(7011),
    [anon_sym_BSLASHxdef] = ACTIONS(7011),
    [anon_sym_BSLASHlet] = ACTIONS(7011),
    [anon_sym_BSLASHglet] = ACTIONS(7011),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7011),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7011),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7011),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7011),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7011),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7011),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7011),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7011),
    [anon_sym_BSLASHgls] = ACTIONS(7011),
    [anon_sym_BSLASHGls] = ACTIONS(7011),
    [anon_sym_BSLASHGLS] = ACTIONS(7011),
    [anon_sym_BSLASHglspl] = ACTIONS(7011),
    [anon_sym_BSLASHGlspl] = ACTIONS(7011),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7011),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7011),
    [anon_sym_BSLASHglslink] = ACTIONS(7011),
    [anon_sym_BSLASHglstext] = ACTIONS(7011),
    [anon_sym_BSLASHGlstext] = ACTIONS(7011),
    [anon_sym_BSLASHGLStext] = ACTIONS(7011),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7011),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7011),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7011),
    [anon_sym_BSLASHglsplural] = ACTIONS(7011),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7011),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7011),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7011),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7011),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7011),
    [anon_sym_BSLASHglsname] = ACTIONS(7011),
    [anon_sym_BSLASHGlsname] = ACTIONS(7011),
    [anon_sym_BSLASHGLSname] = ACTIONS(7011),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7011),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7011),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7011),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7011),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7011),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7011),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7011),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7011),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7011),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7011),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7011),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7011),
    [anon_sym_BSLASHacrshort] = ACTIONS(7011),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7011),
    [anon_sym_BSLASHACRshort] = ACTIONS(7011),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7011),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7011),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7011),
    [anon_sym_BSLASHacrlong] = ACTIONS(7011),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7011),
    [anon_sym_BSLASHACRlong] = ACTIONS(7011),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7011),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7011),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7011),
    [anon_sym_BSLASHacrfull] = ACTIONS(7011),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7011),
    [anon_sym_BSLASHACRfull] = ACTIONS(7011),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7011),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7011),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7011),
    [anon_sym_BSLASHacs] = ACTIONS(7011),
    [anon_sym_BSLASHAcs] = ACTIONS(7011),
    [anon_sym_BSLASHacsp] = ACTIONS(7011),
    [anon_sym_BSLASHAcsp] = ACTIONS(7011),
    [anon_sym_BSLASHacl] = ACTIONS(7011),
    [anon_sym_BSLASHAcl] = ACTIONS(7011),
    [anon_sym_BSLASHaclp] = ACTIONS(7011),
    [anon_sym_BSLASHAclp] = ACTIONS(7011),
    [anon_sym_BSLASHacf] = ACTIONS(7011),
    [anon_sym_BSLASHAcf] = ACTIONS(7011),
    [anon_sym_BSLASHacfp] = ACTIONS(7011),
    [anon_sym_BSLASHAcfp] = ACTIONS(7011),
    [anon_sym_BSLASHac] = ACTIONS(7011),
    [anon_sym_BSLASHAc] = ACTIONS(7011),
    [anon_sym_BSLASHacp] = ACTIONS(7011),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7011),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7011),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7011),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7011),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7011),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7011),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7011),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7011),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7011),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7011),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7011),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7011),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7011),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7011),
    [anon_sym_BSLASHcolor] = ACTIONS(7011),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7011),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7011),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7011),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7011),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7011),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7011),
    [anon_sym_BSLASHurl] = ACTIONS(7011),
    [anon_sym_BSLASHhref] = ACTIONS(7011),
  },
  [1408] = {
    [sym_command_name] = ACTIONS(7015),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7015),
    [anon_sym_LBRACK] = ACTIONS(7017),
    [anon_sym_RBRACK] = ACTIONS(7017),
    [anon_sym_COMMA] = ACTIONS(7017),
    [anon_sym_EQ] = ACTIONS(7017),
    [anon_sym_LPAREN] = ACTIONS(7017),
    [anon_sym_RPAREN] = ACTIONS(7017),
    [anon_sym_BSLASHpart] = ACTIONS(7015),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHaddpart] = ACTIONS(7015),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHchapter] = ACTIONS(7015),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHaddchap] = ACTIONS(7015),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHsection] = ACTIONS(7015),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHaddsec] = ACTIONS(7015),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHsubsection] = ACTIONS(7015),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7015),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHparagraph] = ACTIONS(7015),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7015),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHitem] = ACTIONS(7015),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7017),
    [anon_sym_LBRACE] = ACTIONS(7017),
    [sym_word] = ACTIONS(7015),
    [sym_placeholder] = ACTIONS(7017),
    [sym_delimiter] = ACTIONS(7017),
    [anon_sym_PLUS] = ACTIONS(7017),
    [anon_sym_DASH] = ACTIONS(7017),
    [anon_sym_STAR] = ACTIONS(7017),
    [anon_sym_SLASH] = ACTIONS(7017),
    [anon_sym_LT] = ACTIONS(7015),
    [anon_sym_GT] = ACTIONS(7015),
    [anon_sym_BANG] = ACTIONS(7015),
    [anon_sym_PIPE] = ACTIONS(7015),
    [anon_sym_COLON] = ACTIONS(7015),
    [anon_sym_SQUOTE] = ACTIONS(7015),
    [anon_sym__] = ACTIONS(7017),
    [anon_sym_CARET] = ACTIONS(7017),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7017),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7017),
    [anon_sym_DOLLAR] = ACTIONS(7015),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7017),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7017),
    [anon_sym_BSLASHleft] = ACTIONS(7015),
    [anon_sym_BSLASHbigl] = ACTIONS(7015),
    [anon_sym_BSLASHBigl] = ACTIONS(7015),
    [anon_sym_BSLASHbiggl] = ACTIONS(7015),
    [anon_sym_BSLASHBiggl] = ACTIONS(7015),
    [anon_sym_BSLASHtext] = ACTIONS(7015),
    [anon_sym_BSLASHintertext] = ACTIONS(7015),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7015),
    [anon_sym_BSLASHbegin] = ACTIONS(7015),
    [anon_sym_BSLASHtitle] = ACTIONS(7015),
    [anon_sym_BSLASHauthor] = ACTIONS(7015),
    [anon_sym_BSLASHusepackage] = ACTIONS(7015),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7015),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7015),
    [anon_sym_BSLASHinclude] = ACTIONS(7015),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7015),
    [anon_sym_BSLASHinput] = ACTIONS(7015),
    [anon_sym_BSLASHsubfile] = ACTIONS(7015),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7015),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7015),
    [anon_sym_BSLASHbibliography] = ACTIONS(7015),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7015),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7015),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7015),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7015),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7015),
    [anon_sym_BSLASHimport] = ACTIONS(7015),
    [anon_sym_BSLASHsubimport] = ACTIONS(7015),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7015),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7015),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7015),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7015),
    [anon_sym_BSLASHcaption] = ACTIONS(7015),
    [anon_sym_BSLASHcite] = ACTIONS(7015),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHCite] = ACTIONS(7015),
    [anon_sym_BSLASHnocite] = ACTIONS(7015),
    [anon_sym_BSLASHcitet] = ACTIONS(7015),
    [anon_sym_BSLASHcitep] = ACTIONS(7015),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHciteA] = ACTIONS(7015),
    [anon_sym_BSLASHciteR] = ACTIONS(7015),
    [anon_sym_BSLASHciteS] = ACTIONS(7015),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7015),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7015),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7015),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7015),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHciteyear] = ACTIONS(7015),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcitedate] = ACTIONS(7015),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHciteurl] = ACTIONS(7015),
    [anon_sym_BSLASHfullcite] = ACTIONS(7015),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7015),
    [anon_sym_BSLASHcitealt] = ACTIONS(7015),
    [anon_sym_BSLASHcitealp] = ACTIONS(7015),
    [anon_sym_BSLASHcitetext] = ACTIONS(7015),
    [anon_sym_BSLASHparencite] = ACTIONS(7015),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHParencite] = ACTIONS(7015),
    [anon_sym_BSLASHfootcite] = ACTIONS(7015),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7015),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7015),
    [anon_sym_BSLASHtextcite] = ACTIONS(7015),
    [anon_sym_BSLASHTextcite] = ACTIONS(7015),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7015),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7015),
    [anon_sym_BSLASHsupercite] = ACTIONS(7015),
    [anon_sym_BSLASHautocite] = ACTIONS(7015),
    [anon_sym_BSLASHAutocite] = ACTIONS(7015),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHVolcite] = ACTIONS(7015),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHavolcite] = ACTIONS(7015),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHnotecite] = ACTIONS(7015),
    [anon_sym_BSLASHNotecite] = ACTIONS(7015),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7015),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7015),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7015),
    [anon_sym_BSLASHlabel] = ACTIONS(7015),
    [anon_sym_BSLASHref] = ACTIONS(7015),
    [anon_sym_BSLASHeqref] = ACTIONS(7015),
    [anon_sym_BSLASHvref] = ACTIONS(7015),
    [anon_sym_BSLASHVref] = ACTIONS(7015),
    [anon_sym_BSLASHautoref] = ACTIONS(7015),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHpageref] = ACTIONS(7015),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHautopageref] = ACTIONS(7015),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcref] = ACTIONS(7015),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHCref] = ACTIONS(7015),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcpageref] = ACTIONS(7015),
    [anon_sym_BSLASHCpageref] = ACTIONS(7015),
    [anon_sym_BSLASHnamecref] = ACTIONS(7015),
    [anon_sym_BSLASHnameCref] = ACTIONS(7015),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7015),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7015),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7015),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7015),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7015),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7015),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7015),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7015),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7015),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7015),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7015),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7015),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7015),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7015),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7015),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7015),
    [anon_sym_BSLASHdef] = ACTIONS(7015),
    [anon_sym_BSLASHgdef] = ACTIONS(7015),
    [anon_sym_BSLASHedef] = ACTIONS(7015),
    [anon_sym_BSLASHxdef] = ACTIONS(7015),
    [anon_sym_BSLASHlet] = ACTIONS(7015),
    [anon_sym_BSLASHglet] = ACTIONS(7015),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7015),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7015),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7015),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7015),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7015),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7015),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7015),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7015),
    [anon_sym_BSLASHgls] = ACTIONS(7015),
    [anon_sym_BSLASHGls] = ACTIONS(7015),
    [anon_sym_BSLASHGLS] = ACTIONS(7015),
    [anon_sym_BSLASHglspl] = ACTIONS(7015),
    [anon_sym_BSLASHGlspl] = ACTIONS(7015),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7015),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7015),
    [anon_sym_BSLASHglslink] = ACTIONS(7015),
    [anon_sym_BSLASHglstext] = ACTIONS(7015),
    [anon_sym_BSLASHGlstext] = ACTIONS(7015),
    [anon_sym_BSLASHGLStext] = ACTIONS(7015),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7015),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7015),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7015),
    [anon_sym_BSLASHglsplural] = ACTIONS(7015),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7015),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7015),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7015),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7015),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7015),
    [anon_sym_BSLASHglsname] = ACTIONS(7015),
    [anon_sym_BSLASHGlsname] = ACTIONS(7015),
    [anon_sym_BSLASHGLSname] = ACTIONS(7015),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7015),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7015),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7015),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7015),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7015),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7015),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7015),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7015),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7015),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7015),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7015),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7015),
    [anon_sym_BSLASHacrshort] = ACTIONS(7015),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7015),
    [anon_sym_BSLASHACRshort] = ACTIONS(7015),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7015),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7015),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7015),
    [anon_sym_BSLASHacrlong] = ACTIONS(7015),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7015),
    [anon_sym_BSLASHACRlong] = ACTIONS(7015),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7015),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7015),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7015),
    [anon_sym_BSLASHacrfull] = ACTIONS(7015),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7015),
    [anon_sym_BSLASHACRfull] = ACTIONS(7015),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7015),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7015),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7015),
    [anon_sym_BSLASHacs] = ACTIONS(7015),
    [anon_sym_BSLASHAcs] = ACTIONS(7015),
    [anon_sym_BSLASHacsp] = ACTIONS(7015),
    [anon_sym_BSLASHAcsp] = ACTIONS(7015),
    [anon_sym_BSLASHacl] = ACTIONS(7015),
    [anon_sym_BSLASHAcl] = ACTIONS(7015),
    [anon_sym_BSLASHaclp] = ACTIONS(7015),
    [anon_sym_BSLASHAclp] = ACTIONS(7015),
    [anon_sym_BSLASHacf] = ACTIONS(7015),
    [anon_sym_BSLASHAcf] = ACTIONS(7015),
    [anon_sym_BSLASHacfp] = ACTIONS(7015),
    [anon_sym_BSLASHAcfp] = ACTIONS(7015),
    [anon_sym_BSLASHac] = ACTIONS(7015),
    [anon_sym_BSLASHAc] = ACTIONS(7015),
    [anon_sym_BSLASHacp] = ACTIONS(7015),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7015),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7015),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7015),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7015),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7015),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7015),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7015),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7015),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7015),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7015),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7015),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7015),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7015),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7015),
    [anon_sym_BSLASHcolor] = ACTIONS(7015),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7015),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7015),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7015),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7015),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7015),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7015),
    [anon_sym_BSLASHurl] = ACTIONS(7015),
    [anon_sym_BSLASHhref] = ACTIONS(7015),
  },
  [1409] = {
    [sym_command_name] = ACTIONS(7019),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7019),
    [anon_sym_LBRACK] = ACTIONS(7021),
    [anon_sym_RBRACK] = ACTIONS(7021),
    [anon_sym_COMMA] = ACTIONS(7021),
    [anon_sym_EQ] = ACTIONS(7021),
    [anon_sym_LPAREN] = ACTIONS(7021),
    [anon_sym_RPAREN] = ACTIONS(7021),
    [anon_sym_BSLASHpart] = ACTIONS(7019),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHaddpart] = ACTIONS(7019),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHchapter] = ACTIONS(7019),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHaddchap] = ACTIONS(7019),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHsection] = ACTIONS(7019),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHaddsec] = ACTIONS(7019),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHsubsection] = ACTIONS(7019),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7019),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHparagraph] = ACTIONS(7019),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7019),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHitem] = ACTIONS(7019),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7021),
    [anon_sym_LBRACE] = ACTIONS(7021),
    [sym_word] = ACTIONS(7019),
    [sym_placeholder] = ACTIONS(7021),
    [sym_delimiter] = ACTIONS(7021),
    [anon_sym_PLUS] = ACTIONS(7021),
    [anon_sym_DASH] = ACTIONS(7021),
    [anon_sym_STAR] = ACTIONS(7021),
    [anon_sym_SLASH] = ACTIONS(7021),
    [anon_sym_LT] = ACTIONS(7019),
    [anon_sym_GT] = ACTIONS(7019),
    [anon_sym_BANG] = ACTIONS(7019),
    [anon_sym_PIPE] = ACTIONS(7019),
    [anon_sym_COLON] = ACTIONS(7019),
    [anon_sym_SQUOTE] = ACTIONS(7019),
    [anon_sym__] = ACTIONS(7021),
    [anon_sym_CARET] = ACTIONS(7021),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7021),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7021),
    [anon_sym_DOLLAR] = ACTIONS(7019),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7021),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7021),
    [anon_sym_BSLASHleft] = ACTIONS(7019),
    [anon_sym_BSLASHbigl] = ACTIONS(7019),
    [anon_sym_BSLASHBigl] = ACTIONS(7019),
    [anon_sym_BSLASHbiggl] = ACTIONS(7019),
    [anon_sym_BSLASHBiggl] = ACTIONS(7019),
    [anon_sym_BSLASHtext] = ACTIONS(7019),
    [anon_sym_BSLASHintertext] = ACTIONS(7019),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7019),
    [anon_sym_BSLASHbegin] = ACTIONS(7019),
    [anon_sym_BSLASHtitle] = ACTIONS(7019),
    [anon_sym_BSLASHauthor] = ACTIONS(7019),
    [anon_sym_BSLASHusepackage] = ACTIONS(7019),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7019),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7019),
    [anon_sym_BSLASHinclude] = ACTIONS(7019),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7019),
    [anon_sym_BSLASHinput] = ACTIONS(7019),
    [anon_sym_BSLASHsubfile] = ACTIONS(7019),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7019),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7019),
    [anon_sym_BSLASHbibliography] = ACTIONS(7019),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7019),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7019),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7019),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7019),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7019),
    [anon_sym_BSLASHimport] = ACTIONS(7019),
    [anon_sym_BSLASHsubimport] = ACTIONS(7019),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7019),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7019),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7019),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7019),
    [anon_sym_BSLASHcaption] = ACTIONS(7019),
    [anon_sym_BSLASHcite] = ACTIONS(7019),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHCite] = ACTIONS(7019),
    [anon_sym_BSLASHnocite] = ACTIONS(7019),
    [anon_sym_BSLASHcitet] = ACTIONS(7019),
    [anon_sym_BSLASHcitep] = ACTIONS(7019),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHciteA] = ACTIONS(7019),
    [anon_sym_BSLASHciteR] = ACTIONS(7019),
    [anon_sym_BSLASHciteS] = ACTIONS(7019),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7019),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7019),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7019),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7019),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHciteyear] = ACTIONS(7019),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcitedate] = ACTIONS(7019),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHciteurl] = ACTIONS(7019),
    [anon_sym_BSLASHfullcite] = ACTIONS(7019),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7019),
    [anon_sym_BSLASHcitealt] = ACTIONS(7019),
    [anon_sym_BSLASHcitealp] = ACTIONS(7019),
    [anon_sym_BSLASHcitetext] = ACTIONS(7019),
    [anon_sym_BSLASHparencite] = ACTIONS(7019),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHParencite] = ACTIONS(7019),
    [anon_sym_BSLASHfootcite] = ACTIONS(7019),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7019),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7019),
    [anon_sym_BSLASHtextcite] = ACTIONS(7019),
    [anon_sym_BSLASHTextcite] = ACTIONS(7019),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7019),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7019),
    [anon_sym_BSLASHsupercite] = ACTIONS(7019),
    [anon_sym_BSLASHautocite] = ACTIONS(7019),
    [anon_sym_BSLASHAutocite] = ACTIONS(7019),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHVolcite] = ACTIONS(7019),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHavolcite] = ACTIONS(7019),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHnotecite] = ACTIONS(7019),
    [anon_sym_BSLASHNotecite] = ACTIONS(7019),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7019),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7019),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7019),
    [anon_sym_BSLASHlabel] = ACTIONS(7019),
    [anon_sym_BSLASHref] = ACTIONS(7019),
    [anon_sym_BSLASHeqref] = ACTIONS(7019),
    [anon_sym_BSLASHvref] = ACTIONS(7019),
    [anon_sym_BSLASHVref] = ACTIONS(7019),
    [anon_sym_BSLASHautoref] = ACTIONS(7019),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHpageref] = ACTIONS(7019),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHautopageref] = ACTIONS(7019),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcref] = ACTIONS(7019),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHCref] = ACTIONS(7019),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcpageref] = ACTIONS(7019),
    [anon_sym_BSLASHCpageref] = ACTIONS(7019),
    [anon_sym_BSLASHnamecref] = ACTIONS(7019),
    [anon_sym_BSLASHnameCref] = ACTIONS(7019),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7019),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7019),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7019),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7019),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7019),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7019),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7019),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7019),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7019),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7019),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7019),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7019),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7019),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7019),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7019),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7019),
    [anon_sym_BSLASHdef] = ACTIONS(7019),
    [anon_sym_BSLASHgdef] = ACTIONS(7019),
    [anon_sym_BSLASHedef] = ACTIONS(7019),
    [anon_sym_BSLASHxdef] = ACTIONS(7019),
    [anon_sym_BSLASHlet] = ACTIONS(7019),
    [anon_sym_BSLASHglet] = ACTIONS(7019),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7019),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7019),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7019),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7019),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7019),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7019),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7019),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7019),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7019),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7019),
    [anon_sym_BSLASHgls] = ACTIONS(7019),
    [anon_sym_BSLASHGls] = ACTIONS(7019),
    [anon_sym_BSLASHGLS] = ACTIONS(7019),
    [anon_sym_BSLASHglspl] = ACTIONS(7019),
    [anon_sym_BSLASHGlspl] = ACTIONS(7019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7019),
    [anon_sym_BSLASHglslink] = ACTIONS(7019),
    [anon_sym_BSLASHglstext] = ACTIONS(7019),
    [anon_sym_BSLASHGlstext] = ACTIONS(7019),
    [anon_sym_BSLASHGLStext] = ACTIONS(7019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7019),
    [anon_sym_BSLASHglsplural] = ACTIONS(7019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7019),
    [anon_sym_BSLASHglsname] = ACTIONS(7019),
    [anon_sym_BSLASHGlsname] = ACTIONS(7019),
    [anon_sym_BSLASHGLSname] = ACTIONS(7019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7019),
    [anon_sym_BSLASHacrshort] = ACTIONS(7019),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7019),
    [anon_sym_BSLASHACRshort] = ACTIONS(7019),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7019),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7019),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7019),
    [anon_sym_BSLASHacrlong] = ACTIONS(7019),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7019),
    [anon_sym_BSLASHACRlong] = ACTIONS(7019),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7019),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7019),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7019),
    [anon_sym_BSLASHacrfull] = ACTIONS(7019),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7019),
    [anon_sym_BSLASHACRfull] = ACTIONS(7019),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7019),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7019),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7019),
    [anon_sym_BSLASHacs] = ACTIONS(7019),
    [anon_sym_BSLASHAcs] = ACTIONS(7019),
    [anon_sym_BSLASHacsp] = ACTIONS(7019),
    [anon_sym_BSLASHAcsp] = ACTIONS(7019),
    [anon_sym_BSLASHacl] = ACTIONS(7019),
    [anon_sym_BSLASHAcl] = ACTIONS(7019),
    [anon_sym_BSLASHaclp] = ACTIONS(7019),
    [anon_sym_BSLASHAclp] = ACTIONS(7019),
    [anon_sym_BSLASHacf] = ACTIONS(7019),
    [anon_sym_BSLASHAcf] = ACTIONS(7019),
    [anon_sym_BSLASHacfp] = ACTIONS(7019),
    [anon_sym_BSLASHAcfp] = ACTIONS(7019),
    [anon_sym_BSLASHac] = ACTIONS(7019),
    [anon_sym_BSLASHAc] = ACTIONS(7019),
    [anon_sym_BSLASHacp] = ACTIONS(7019),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7019),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7019),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7019),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7019),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7019),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7019),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7019),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7019),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7019),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7019),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7019),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7019),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7019),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7019),
    [anon_sym_BSLASHcolor] = ACTIONS(7019),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7019),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7019),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7019),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7019),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7019),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7019),
    [anon_sym_BSLASHurl] = ACTIONS(7019),
    [anon_sym_BSLASHhref] = ACTIONS(7019),
  },
  [1410] = {
    [sym_command_name] = ACTIONS(7023),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7023),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [anon_sym_RBRACK] = ACTIONS(7025),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_EQ] = ACTIONS(7025),
    [anon_sym_LPAREN] = ACTIONS(7025),
    [anon_sym_RPAREN] = ACTIONS(7025),
    [anon_sym_BSLASHpart] = ACTIONS(7023),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHaddpart] = ACTIONS(7023),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHchapter] = ACTIONS(7023),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHaddchap] = ACTIONS(7023),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHsection] = ACTIONS(7023),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHaddsec] = ACTIONS(7023),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHsubsection] = ACTIONS(7023),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7023),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHparagraph] = ACTIONS(7023),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7023),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHitem] = ACTIONS(7023),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7025),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [sym_word] = ACTIONS(7023),
    [sym_placeholder] = ACTIONS(7025),
    [sym_delimiter] = ACTIONS(7025),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_STAR] = ACTIONS(7025),
    [anon_sym_SLASH] = ACTIONS(7025),
    [anon_sym_LT] = ACTIONS(7023),
    [anon_sym_GT] = ACTIONS(7023),
    [anon_sym_BANG] = ACTIONS(7023),
    [anon_sym_PIPE] = ACTIONS(7023),
    [anon_sym_COLON] = ACTIONS(7023),
    [anon_sym_SQUOTE] = ACTIONS(7023),
    [anon_sym__] = ACTIONS(7025),
    [anon_sym_CARET] = ACTIONS(7025),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7025),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7025),
    [anon_sym_DOLLAR] = ACTIONS(7023),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7025),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7025),
    [anon_sym_BSLASHleft] = ACTIONS(7023),
    [anon_sym_BSLASHbigl] = ACTIONS(7023),
    [anon_sym_BSLASHBigl] = ACTIONS(7023),
    [anon_sym_BSLASHbiggl] = ACTIONS(7023),
    [anon_sym_BSLASHBiggl] = ACTIONS(7023),
    [anon_sym_BSLASHtext] = ACTIONS(7023),
    [anon_sym_BSLASHintertext] = ACTIONS(7023),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7023),
    [anon_sym_BSLASHbegin] = ACTIONS(7023),
    [anon_sym_BSLASHtitle] = ACTIONS(7023),
    [anon_sym_BSLASHauthor] = ACTIONS(7023),
    [anon_sym_BSLASHusepackage] = ACTIONS(7023),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7023),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7023),
    [anon_sym_BSLASHinclude] = ACTIONS(7023),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7023),
    [anon_sym_BSLASHinput] = ACTIONS(7023),
    [anon_sym_BSLASHsubfile] = ACTIONS(7023),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7023),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7023),
    [anon_sym_BSLASHbibliography] = ACTIONS(7023),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7023),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7023),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7023),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7023),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7023),
    [anon_sym_BSLASHimport] = ACTIONS(7023),
    [anon_sym_BSLASHsubimport] = ACTIONS(7023),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7023),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7023),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7023),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7023),
    [anon_sym_BSLASHcaption] = ACTIONS(7023),
    [anon_sym_BSLASHcite] = ACTIONS(7023),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHCite] = ACTIONS(7023),
    [anon_sym_BSLASHnocite] = ACTIONS(7023),
    [anon_sym_BSLASHcitet] = ACTIONS(7023),
    [anon_sym_BSLASHcitep] = ACTIONS(7023),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHciteA] = ACTIONS(7023),
    [anon_sym_BSLASHciteR] = ACTIONS(7023),
    [anon_sym_BSLASHciteS] = ACTIONS(7023),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7023),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7023),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7023),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7023),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHciteyear] = ACTIONS(7023),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcitedate] = ACTIONS(7023),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHciteurl] = ACTIONS(7023),
    [anon_sym_BSLASHfullcite] = ACTIONS(7023),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7023),
    [anon_sym_BSLASHcitealt] = ACTIONS(7023),
    [anon_sym_BSLASHcitealp] = ACTIONS(7023),
    [anon_sym_BSLASHcitetext] = ACTIONS(7023),
    [anon_sym_BSLASHparencite] = ACTIONS(7023),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHParencite] = ACTIONS(7023),
    [anon_sym_BSLASHfootcite] = ACTIONS(7023),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7023),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7023),
    [anon_sym_BSLASHtextcite] = ACTIONS(7023),
    [anon_sym_BSLASHTextcite] = ACTIONS(7023),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7023),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7023),
    [anon_sym_BSLASHsupercite] = ACTIONS(7023),
    [anon_sym_BSLASHautocite] = ACTIONS(7023),
    [anon_sym_BSLASHAutocite] = ACTIONS(7023),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHVolcite] = ACTIONS(7023),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHavolcite] = ACTIONS(7023),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHnotecite] = ACTIONS(7023),
    [anon_sym_BSLASHNotecite] = ACTIONS(7023),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7023),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7023),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7023),
    [anon_sym_BSLASHlabel] = ACTIONS(7023),
    [anon_sym_BSLASHref] = ACTIONS(7023),
    [anon_sym_BSLASHeqref] = ACTIONS(7023),
    [anon_sym_BSLASHvref] = ACTIONS(7023),
    [anon_sym_BSLASHVref] = ACTIONS(7023),
    [anon_sym_BSLASHautoref] = ACTIONS(7023),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHpageref] = ACTIONS(7023),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHautopageref] = ACTIONS(7023),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcref] = ACTIONS(7023),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHCref] = ACTIONS(7023),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcpageref] = ACTIONS(7023),
    [anon_sym_BSLASHCpageref] = ACTIONS(7023),
    [anon_sym_BSLASHnamecref] = ACTIONS(7023),
    [anon_sym_BSLASHnameCref] = ACTIONS(7023),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7023),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7023),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7023),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7023),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7023),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7023),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7023),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7023),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7023),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7023),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7023),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7023),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7023),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7023),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7023),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7023),
    [anon_sym_BSLASHdef] = ACTIONS(7023),
    [anon_sym_BSLASHgdef] = ACTIONS(7023),
    [anon_sym_BSLASHedef] = ACTIONS(7023),
    [anon_sym_BSLASHxdef] = ACTIONS(7023),
    [anon_sym_BSLASHlet] = ACTIONS(7023),
    [anon_sym_BSLASHglet] = ACTIONS(7023),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7023),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7023),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7023),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7023),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7023),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7023),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7023),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7023),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7023),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7023),
    [anon_sym_BSLASHgls] = ACTIONS(7023),
    [anon_sym_BSLASHGls] = ACTIONS(7023),
    [anon_sym_BSLASHGLS] = ACTIONS(7023),
    [anon_sym_BSLASHglspl] = ACTIONS(7023),
    [anon_sym_BSLASHGlspl] = ACTIONS(7023),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7023),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7023),
    [anon_sym_BSLASHglslink] = ACTIONS(7023),
    [anon_sym_BSLASHglstext] = ACTIONS(7023),
    [anon_sym_BSLASHGlstext] = ACTIONS(7023),
    [anon_sym_BSLASHGLStext] = ACTIONS(7023),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7023),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7023),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7023),
    [anon_sym_BSLASHglsplural] = ACTIONS(7023),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7023),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7023),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7023),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7023),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7023),
    [anon_sym_BSLASHglsname] = ACTIONS(7023),
    [anon_sym_BSLASHGlsname] = ACTIONS(7023),
    [anon_sym_BSLASHGLSname] = ACTIONS(7023),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7023),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7023),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7023),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7023),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7023),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7023),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7023),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7023),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7023),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7023),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7023),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7023),
    [anon_sym_BSLASHacrshort] = ACTIONS(7023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7023),
    [anon_sym_BSLASHACRshort] = ACTIONS(7023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7023),
    [anon_sym_BSLASHacrlong] = ACTIONS(7023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7023),
    [anon_sym_BSLASHACRlong] = ACTIONS(7023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7023),
    [anon_sym_BSLASHacrfull] = ACTIONS(7023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7023),
    [anon_sym_BSLASHACRfull] = ACTIONS(7023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7023),
    [anon_sym_BSLASHacs] = ACTIONS(7023),
    [anon_sym_BSLASHAcs] = ACTIONS(7023),
    [anon_sym_BSLASHacsp] = ACTIONS(7023),
    [anon_sym_BSLASHAcsp] = ACTIONS(7023),
    [anon_sym_BSLASHacl] = ACTIONS(7023),
    [anon_sym_BSLASHAcl] = ACTIONS(7023),
    [anon_sym_BSLASHaclp] = ACTIONS(7023),
    [anon_sym_BSLASHAclp] = ACTIONS(7023),
    [anon_sym_BSLASHacf] = ACTIONS(7023),
    [anon_sym_BSLASHAcf] = ACTIONS(7023),
    [anon_sym_BSLASHacfp] = ACTIONS(7023),
    [anon_sym_BSLASHAcfp] = ACTIONS(7023),
    [anon_sym_BSLASHac] = ACTIONS(7023),
    [anon_sym_BSLASHAc] = ACTIONS(7023),
    [anon_sym_BSLASHacp] = ACTIONS(7023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7023),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7023),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7023),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7023),
    [anon_sym_BSLASHcolor] = ACTIONS(7023),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7023),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7023),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7023),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7023),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7023),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7023),
    [anon_sym_BSLASHurl] = ACTIONS(7023),
    [anon_sym_BSLASHhref] = ACTIONS(7023),
  },
  [1411] = {
    [sym_command_name] = ACTIONS(7027),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7027),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [anon_sym_RBRACK] = ACTIONS(7029),
    [anon_sym_COMMA] = ACTIONS(7029),
    [anon_sym_EQ] = ACTIONS(7029),
    [anon_sym_LPAREN] = ACTIONS(7029),
    [anon_sym_RPAREN] = ACTIONS(7029),
    [anon_sym_BSLASHpart] = ACTIONS(7027),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHaddpart] = ACTIONS(7027),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHchapter] = ACTIONS(7027),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHaddchap] = ACTIONS(7027),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHsection] = ACTIONS(7027),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHaddsec] = ACTIONS(7027),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHsubsection] = ACTIONS(7027),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7027),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHparagraph] = ACTIONS(7027),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7027),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHitem] = ACTIONS(7027),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7029),
    [anon_sym_LBRACE] = ACTIONS(7029),
    [sym_word] = ACTIONS(7027),
    [sym_placeholder] = ACTIONS(7029),
    [sym_delimiter] = ACTIONS(7029),
    [anon_sym_PLUS] = ACTIONS(7029),
    [anon_sym_DASH] = ACTIONS(7029),
    [anon_sym_STAR] = ACTIONS(7029),
    [anon_sym_SLASH] = ACTIONS(7029),
    [anon_sym_LT] = ACTIONS(7027),
    [anon_sym_GT] = ACTIONS(7027),
    [anon_sym_BANG] = ACTIONS(7027),
    [anon_sym_PIPE] = ACTIONS(7027),
    [anon_sym_COLON] = ACTIONS(7027),
    [anon_sym_SQUOTE] = ACTIONS(7027),
    [anon_sym__] = ACTIONS(7029),
    [anon_sym_CARET] = ACTIONS(7029),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7029),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7029),
    [anon_sym_DOLLAR] = ACTIONS(7027),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7029),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7029),
    [anon_sym_BSLASHleft] = ACTIONS(7027),
    [anon_sym_BSLASHbigl] = ACTIONS(7027),
    [anon_sym_BSLASHBigl] = ACTIONS(7027),
    [anon_sym_BSLASHbiggl] = ACTIONS(7027),
    [anon_sym_BSLASHBiggl] = ACTIONS(7027),
    [anon_sym_BSLASHtext] = ACTIONS(7027),
    [anon_sym_BSLASHintertext] = ACTIONS(7027),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7027),
    [anon_sym_BSLASHbegin] = ACTIONS(7027),
    [anon_sym_BSLASHtitle] = ACTIONS(7027),
    [anon_sym_BSLASHauthor] = ACTIONS(7027),
    [anon_sym_BSLASHusepackage] = ACTIONS(7027),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7027),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7027),
    [anon_sym_BSLASHinclude] = ACTIONS(7027),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7027),
    [anon_sym_BSLASHinput] = ACTIONS(7027),
    [anon_sym_BSLASHsubfile] = ACTIONS(7027),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7027),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7027),
    [anon_sym_BSLASHbibliography] = ACTIONS(7027),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7027),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7027),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7027),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7027),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7027),
    [anon_sym_BSLASHimport] = ACTIONS(7027),
    [anon_sym_BSLASHsubimport] = ACTIONS(7027),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7027),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7027),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7027),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7027),
    [anon_sym_BSLASHcaption] = ACTIONS(7027),
    [anon_sym_BSLASHcite] = ACTIONS(7027),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHCite] = ACTIONS(7027),
    [anon_sym_BSLASHnocite] = ACTIONS(7027),
    [anon_sym_BSLASHcitet] = ACTIONS(7027),
    [anon_sym_BSLASHcitep] = ACTIONS(7027),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHciteA] = ACTIONS(7027),
    [anon_sym_BSLASHciteR] = ACTIONS(7027),
    [anon_sym_BSLASHciteS] = ACTIONS(7027),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7027),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7027),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7027),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7027),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHciteyear] = ACTIONS(7027),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcitedate] = ACTIONS(7027),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHciteurl] = ACTIONS(7027),
    [anon_sym_BSLASHfullcite] = ACTIONS(7027),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7027),
    [anon_sym_BSLASHcitealt] = ACTIONS(7027),
    [anon_sym_BSLASHcitealp] = ACTIONS(7027),
    [anon_sym_BSLASHcitetext] = ACTIONS(7027),
    [anon_sym_BSLASHparencite] = ACTIONS(7027),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHParencite] = ACTIONS(7027),
    [anon_sym_BSLASHfootcite] = ACTIONS(7027),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7027),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7027),
    [anon_sym_BSLASHtextcite] = ACTIONS(7027),
    [anon_sym_BSLASHTextcite] = ACTIONS(7027),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7027),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7027),
    [anon_sym_BSLASHsupercite] = ACTIONS(7027),
    [anon_sym_BSLASHautocite] = ACTIONS(7027),
    [anon_sym_BSLASHAutocite] = ACTIONS(7027),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHVolcite] = ACTIONS(7027),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHavolcite] = ACTIONS(7027),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHnotecite] = ACTIONS(7027),
    [anon_sym_BSLASHNotecite] = ACTIONS(7027),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7027),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7027),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7027),
    [anon_sym_BSLASHlabel] = ACTIONS(7027),
    [anon_sym_BSLASHref] = ACTIONS(7027),
    [anon_sym_BSLASHeqref] = ACTIONS(7027),
    [anon_sym_BSLASHvref] = ACTIONS(7027),
    [anon_sym_BSLASHVref] = ACTIONS(7027),
    [anon_sym_BSLASHautoref] = ACTIONS(7027),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHpageref] = ACTIONS(7027),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHautopageref] = ACTIONS(7027),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcref] = ACTIONS(7027),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHCref] = ACTIONS(7027),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcpageref] = ACTIONS(7027),
    [anon_sym_BSLASHCpageref] = ACTIONS(7027),
    [anon_sym_BSLASHnamecref] = ACTIONS(7027),
    [anon_sym_BSLASHnameCref] = ACTIONS(7027),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7027),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7027),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7027),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7027),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7027),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7027),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7027),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7027),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7027),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7027),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7027),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7027),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7027),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7027),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7027),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7027),
    [anon_sym_BSLASHdef] = ACTIONS(7027),
    [anon_sym_BSLASHgdef] = ACTIONS(7027),
    [anon_sym_BSLASHedef] = ACTIONS(7027),
    [anon_sym_BSLASHxdef] = ACTIONS(7027),
    [anon_sym_BSLASHlet] = ACTIONS(7027),
    [anon_sym_BSLASHglet] = ACTIONS(7027),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7027),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7027),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7027),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7027),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7027),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7027),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7027),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7027),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7027),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7027),
    [anon_sym_BSLASHgls] = ACTIONS(7027),
    [anon_sym_BSLASHGls] = ACTIONS(7027),
    [anon_sym_BSLASHGLS] = ACTIONS(7027),
    [anon_sym_BSLASHglspl] = ACTIONS(7027),
    [anon_sym_BSLASHGlspl] = ACTIONS(7027),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7027),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7027),
    [anon_sym_BSLASHglslink] = ACTIONS(7027),
    [anon_sym_BSLASHglstext] = ACTIONS(7027),
    [anon_sym_BSLASHGlstext] = ACTIONS(7027),
    [anon_sym_BSLASHGLStext] = ACTIONS(7027),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7027),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7027),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7027),
    [anon_sym_BSLASHglsplural] = ACTIONS(7027),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7027),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7027),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7027),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7027),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7027),
    [anon_sym_BSLASHglsname] = ACTIONS(7027),
    [anon_sym_BSLASHGlsname] = ACTIONS(7027),
    [anon_sym_BSLASHGLSname] = ACTIONS(7027),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7027),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7027),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7027),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7027),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7027),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7027),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7027),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7027),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7027),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7027),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7027),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7027),
    [anon_sym_BSLASHacrshort] = ACTIONS(7027),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7027),
    [anon_sym_BSLASHACRshort] = ACTIONS(7027),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7027),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7027),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7027),
    [anon_sym_BSLASHacrlong] = ACTIONS(7027),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7027),
    [anon_sym_BSLASHACRlong] = ACTIONS(7027),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7027),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7027),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7027),
    [anon_sym_BSLASHacrfull] = ACTIONS(7027),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7027),
    [anon_sym_BSLASHACRfull] = ACTIONS(7027),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7027),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7027),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7027),
    [anon_sym_BSLASHacs] = ACTIONS(7027),
    [anon_sym_BSLASHAcs] = ACTIONS(7027),
    [anon_sym_BSLASHacsp] = ACTIONS(7027),
    [anon_sym_BSLASHAcsp] = ACTIONS(7027),
    [anon_sym_BSLASHacl] = ACTIONS(7027),
    [anon_sym_BSLASHAcl] = ACTIONS(7027),
    [anon_sym_BSLASHaclp] = ACTIONS(7027),
    [anon_sym_BSLASHAclp] = ACTIONS(7027),
    [anon_sym_BSLASHacf] = ACTIONS(7027),
    [anon_sym_BSLASHAcf] = ACTIONS(7027),
    [anon_sym_BSLASHacfp] = ACTIONS(7027),
    [anon_sym_BSLASHAcfp] = ACTIONS(7027),
    [anon_sym_BSLASHac] = ACTIONS(7027),
    [anon_sym_BSLASHAc] = ACTIONS(7027),
    [anon_sym_BSLASHacp] = ACTIONS(7027),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7027),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7027),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7027),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7027),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7027),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7027),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7027),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7027),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7027),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7027),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7027),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7027),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7027),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7027),
    [anon_sym_BSLASHcolor] = ACTIONS(7027),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7027),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7027),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7027),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7027),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7027),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7027),
    [anon_sym_BSLASHurl] = ACTIONS(7027),
    [anon_sym_BSLASHhref] = ACTIONS(7027),
  },
  [1412] = {
    [sym_command_name] = ACTIONS(7031),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7031),
    [anon_sym_LBRACK] = ACTIONS(7033),
    [anon_sym_RBRACK] = ACTIONS(7033),
    [anon_sym_COMMA] = ACTIONS(7033),
    [anon_sym_EQ] = ACTIONS(7033),
    [anon_sym_LPAREN] = ACTIONS(7033),
    [anon_sym_RPAREN] = ACTIONS(7033),
    [anon_sym_BSLASHpart] = ACTIONS(7031),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHaddpart] = ACTIONS(7031),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHchapter] = ACTIONS(7031),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHaddchap] = ACTIONS(7031),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHsection] = ACTIONS(7031),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHaddsec] = ACTIONS(7031),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHsubsection] = ACTIONS(7031),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7031),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHparagraph] = ACTIONS(7031),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7031),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHitem] = ACTIONS(7031),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7033),
    [anon_sym_LBRACE] = ACTIONS(7033),
    [sym_word] = ACTIONS(7031),
    [sym_placeholder] = ACTIONS(7033),
    [sym_delimiter] = ACTIONS(7033),
    [anon_sym_PLUS] = ACTIONS(7033),
    [anon_sym_DASH] = ACTIONS(7033),
    [anon_sym_STAR] = ACTIONS(7033),
    [anon_sym_SLASH] = ACTIONS(7033),
    [anon_sym_LT] = ACTIONS(7031),
    [anon_sym_GT] = ACTIONS(7031),
    [anon_sym_BANG] = ACTIONS(7031),
    [anon_sym_PIPE] = ACTIONS(7031),
    [anon_sym_COLON] = ACTIONS(7031),
    [anon_sym_SQUOTE] = ACTIONS(7031),
    [anon_sym__] = ACTIONS(7033),
    [anon_sym_CARET] = ACTIONS(7033),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7033),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7033),
    [anon_sym_DOLLAR] = ACTIONS(7031),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7033),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7033),
    [anon_sym_BSLASHleft] = ACTIONS(7031),
    [anon_sym_BSLASHbigl] = ACTIONS(7031),
    [anon_sym_BSLASHBigl] = ACTIONS(7031),
    [anon_sym_BSLASHbiggl] = ACTIONS(7031),
    [anon_sym_BSLASHBiggl] = ACTIONS(7031),
    [anon_sym_BSLASHtext] = ACTIONS(7031),
    [anon_sym_BSLASHintertext] = ACTIONS(7031),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7031),
    [anon_sym_BSLASHbegin] = ACTIONS(7031),
    [anon_sym_BSLASHtitle] = ACTIONS(7031),
    [anon_sym_BSLASHauthor] = ACTIONS(7031),
    [anon_sym_BSLASHusepackage] = ACTIONS(7031),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7031),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7031),
    [anon_sym_BSLASHinclude] = ACTIONS(7031),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7031),
    [anon_sym_BSLASHinput] = ACTIONS(7031),
    [anon_sym_BSLASHsubfile] = ACTIONS(7031),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7031),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7031),
    [anon_sym_BSLASHbibliography] = ACTIONS(7031),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7031),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7031),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7031),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7031),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7031),
    [anon_sym_BSLASHimport] = ACTIONS(7031),
    [anon_sym_BSLASHsubimport] = ACTIONS(7031),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7031),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7031),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7031),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7031),
    [anon_sym_BSLASHcaption] = ACTIONS(7031),
    [anon_sym_BSLASHcite] = ACTIONS(7031),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHCite] = ACTIONS(7031),
    [anon_sym_BSLASHnocite] = ACTIONS(7031),
    [anon_sym_BSLASHcitet] = ACTIONS(7031),
    [anon_sym_BSLASHcitep] = ACTIONS(7031),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHciteA] = ACTIONS(7031),
    [anon_sym_BSLASHciteR] = ACTIONS(7031),
    [anon_sym_BSLASHciteS] = ACTIONS(7031),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7031),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7031),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7031),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7031),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHciteyear] = ACTIONS(7031),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcitedate] = ACTIONS(7031),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHciteurl] = ACTIONS(7031),
    [anon_sym_BSLASHfullcite] = ACTIONS(7031),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7031),
    [anon_sym_BSLASHcitealt] = ACTIONS(7031),
    [anon_sym_BSLASHcitealp] = ACTIONS(7031),
    [anon_sym_BSLASHcitetext] = ACTIONS(7031),
    [anon_sym_BSLASHparencite] = ACTIONS(7031),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHParencite] = ACTIONS(7031),
    [anon_sym_BSLASHfootcite] = ACTIONS(7031),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7031),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7031),
    [anon_sym_BSLASHtextcite] = ACTIONS(7031),
    [anon_sym_BSLASHTextcite] = ACTIONS(7031),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7031),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7031),
    [anon_sym_BSLASHsupercite] = ACTIONS(7031),
    [anon_sym_BSLASHautocite] = ACTIONS(7031),
    [anon_sym_BSLASHAutocite] = ACTIONS(7031),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHVolcite] = ACTIONS(7031),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHavolcite] = ACTIONS(7031),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHnotecite] = ACTIONS(7031),
    [anon_sym_BSLASHNotecite] = ACTIONS(7031),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7031),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7031),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7031),
    [anon_sym_BSLASHlabel] = ACTIONS(7031),
    [anon_sym_BSLASHref] = ACTIONS(7031),
    [anon_sym_BSLASHeqref] = ACTIONS(7031),
    [anon_sym_BSLASHvref] = ACTIONS(7031),
    [anon_sym_BSLASHVref] = ACTIONS(7031),
    [anon_sym_BSLASHautoref] = ACTIONS(7031),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHpageref] = ACTIONS(7031),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHautopageref] = ACTIONS(7031),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcref] = ACTIONS(7031),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHCref] = ACTIONS(7031),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcpageref] = ACTIONS(7031),
    [anon_sym_BSLASHCpageref] = ACTIONS(7031),
    [anon_sym_BSLASHnamecref] = ACTIONS(7031),
    [anon_sym_BSLASHnameCref] = ACTIONS(7031),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7031),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7031),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7031),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7031),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7031),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7031),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7031),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7031),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7031),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7031),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7031),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7031),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7031),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7031),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7031),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7031),
    [anon_sym_BSLASHdef] = ACTIONS(7031),
    [anon_sym_BSLASHgdef] = ACTIONS(7031),
    [anon_sym_BSLASHedef] = ACTIONS(7031),
    [anon_sym_BSLASHxdef] = ACTIONS(7031),
    [anon_sym_BSLASHlet] = ACTIONS(7031),
    [anon_sym_BSLASHglet] = ACTIONS(7031),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7031),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7031),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7031),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7031),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7031),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7031),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7031),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7031),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7031),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7031),
    [anon_sym_BSLASHgls] = ACTIONS(7031),
    [anon_sym_BSLASHGls] = ACTIONS(7031),
    [anon_sym_BSLASHGLS] = ACTIONS(7031),
    [anon_sym_BSLASHglspl] = ACTIONS(7031),
    [anon_sym_BSLASHGlspl] = ACTIONS(7031),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7031),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7031),
    [anon_sym_BSLASHglslink] = ACTIONS(7031),
    [anon_sym_BSLASHglstext] = ACTIONS(7031),
    [anon_sym_BSLASHGlstext] = ACTIONS(7031),
    [anon_sym_BSLASHGLStext] = ACTIONS(7031),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7031),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7031),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7031),
    [anon_sym_BSLASHglsplural] = ACTIONS(7031),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7031),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7031),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7031),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7031),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7031),
    [anon_sym_BSLASHglsname] = ACTIONS(7031),
    [anon_sym_BSLASHGlsname] = ACTIONS(7031),
    [anon_sym_BSLASHGLSname] = ACTIONS(7031),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7031),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7031),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7031),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7031),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7031),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7031),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7031),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7031),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7031),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7031),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7031),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7031),
    [anon_sym_BSLASHacrshort] = ACTIONS(7031),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7031),
    [anon_sym_BSLASHACRshort] = ACTIONS(7031),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7031),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7031),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7031),
    [anon_sym_BSLASHacrlong] = ACTIONS(7031),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7031),
    [anon_sym_BSLASHACRlong] = ACTIONS(7031),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7031),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7031),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7031),
    [anon_sym_BSLASHacrfull] = ACTIONS(7031),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7031),
    [anon_sym_BSLASHACRfull] = ACTIONS(7031),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7031),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7031),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7031),
    [anon_sym_BSLASHacs] = ACTIONS(7031),
    [anon_sym_BSLASHAcs] = ACTIONS(7031),
    [anon_sym_BSLASHacsp] = ACTIONS(7031),
    [anon_sym_BSLASHAcsp] = ACTIONS(7031),
    [anon_sym_BSLASHacl] = ACTIONS(7031),
    [anon_sym_BSLASHAcl] = ACTIONS(7031),
    [anon_sym_BSLASHaclp] = ACTIONS(7031),
    [anon_sym_BSLASHAclp] = ACTIONS(7031),
    [anon_sym_BSLASHacf] = ACTIONS(7031),
    [anon_sym_BSLASHAcf] = ACTIONS(7031),
    [anon_sym_BSLASHacfp] = ACTIONS(7031),
    [anon_sym_BSLASHAcfp] = ACTIONS(7031),
    [anon_sym_BSLASHac] = ACTIONS(7031),
    [anon_sym_BSLASHAc] = ACTIONS(7031),
    [anon_sym_BSLASHacp] = ACTIONS(7031),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7031),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7031),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7031),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7031),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7031),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7031),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7031),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7031),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7031),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7031),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7031),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7031),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7031),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7031),
    [anon_sym_BSLASHcolor] = ACTIONS(7031),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7031),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7031),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7031),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7031),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7031),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7031),
    [anon_sym_BSLASHurl] = ACTIONS(7031),
    [anon_sym_BSLASHhref] = ACTIONS(7031),
  },
  [1413] = {
    [sym_command_name] = ACTIONS(7051),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7051),
    [anon_sym_LBRACK] = ACTIONS(7053),
    [anon_sym_RBRACK] = ACTIONS(7053),
    [anon_sym_COMMA] = ACTIONS(7053),
    [anon_sym_EQ] = ACTIONS(7053),
    [anon_sym_LPAREN] = ACTIONS(7053),
    [anon_sym_RPAREN] = ACTIONS(7053),
    [anon_sym_BSLASHpart] = ACTIONS(7051),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHaddpart] = ACTIONS(7051),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHchapter] = ACTIONS(7051),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHaddchap] = ACTIONS(7051),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHsection] = ACTIONS(7051),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHaddsec] = ACTIONS(7051),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHsubsection] = ACTIONS(7051),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7051),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHparagraph] = ACTIONS(7051),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7051),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHitem] = ACTIONS(7051),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7053),
    [anon_sym_LBRACE] = ACTIONS(7053),
    [sym_word] = ACTIONS(7051),
    [sym_placeholder] = ACTIONS(7053),
    [sym_delimiter] = ACTIONS(7053),
    [anon_sym_PLUS] = ACTIONS(7053),
    [anon_sym_DASH] = ACTIONS(7053),
    [anon_sym_STAR] = ACTIONS(7053),
    [anon_sym_SLASH] = ACTIONS(7053),
    [anon_sym_LT] = ACTIONS(7051),
    [anon_sym_GT] = ACTIONS(7051),
    [anon_sym_BANG] = ACTIONS(7051),
    [anon_sym_PIPE] = ACTIONS(7051),
    [anon_sym_COLON] = ACTIONS(7051),
    [anon_sym_SQUOTE] = ACTIONS(7051),
    [anon_sym__] = ACTIONS(7053),
    [anon_sym_CARET] = ACTIONS(7053),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7053),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7053),
    [anon_sym_DOLLAR] = ACTIONS(7051),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7053),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7053),
    [anon_sym_BSLASHleft] = ACTIONS(7051),
    [anon_sym_BSLASHbigl] = ACTIONS(7051),
    [anon_sym_BSLASHBigl] = ACTIONS(7051),
    [anon_sym_BSLASHbiggl] = ACTIONS(7051),
    [anon_sym_BSLASHBiggl] = ACTIONS(7051),
    [anon_sym_BSLASHtext] = ACTIONS(7051),
    [anon_sym_BSLASHintertext] = ACTIONS(7051),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7051),
    [anon_sym_BSLASHbegin] = ACTIONS(7051),
    [anon_sym_BSLASHtitle] = ACTIONS(7051),
    [anon_sym_BSLASHauthor] = ACTIONS(7051),
    [anon_sym_BSLASHusepackage] = ACTIONS(7051),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7051),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7051),
    [anon_sym_BSLASHinclude] = ACTIONS(7051),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7051),
    [anon_sym_BSLASHinput] = ACTIONS(7051),
    [anon_sym_BSLASHsubfile] = ACTIONS(7051),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7051),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7051),
    [anon_sym_BSLASHbibliography] = ACTIONS(7051),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7051),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7051),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7051),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7051),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7051),
    [anon_sym_BSLASHimport] = ACTIONS(7051),
    [anon_sym_BSLASHsubimport] = ACTIONS(7051),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7051),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7051),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7051),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7051),
    [anon_sym_BSLASHcaption] = ACTIONS(7051),
    [anon_sym_BSLASHcite] = ACTIONS(7051),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCite] = ACTIONS(7051),
    [anon_sym_BSLASHnocite] = ACTIONS(7051),
    [anon_sym_BSLASHcitet] = ACTIONS(7051),
    [anon_sym_BSLASHcitep] = ACTIONS(7051),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteA] = ACTIONS(7051),
    [anon_sym_BSLASHciteR] = ACTIONS(7051),
    [anon_sym_BSLASHciteS] = ACTIONS(7051),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7051),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7051),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7051),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7051),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteyear] = ACTIONS(7051),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitedate] = ACTIONS(7051),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteurl] = ACTIONS(7051),
    [anon_sym_BSLASHfullcite] = ACTIONS(7051),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7051),
    [anon_sym_BSLASHcitealt] = ACTIONS(7051),
    [anon_sym_BSLASHcitealp] = ACTIONS(7051),
    [anon_sym_BSLASHcitetext] = ACTIONS(7051),
    [anon_sym_BSLASHparencite] = ACTIONS(7051),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHParencite] = ACTIONS(7051),
    [anon_sym_BSLASHfootcite] = ACTIONS(7051),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7051),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7051),
    [anon_sym_BSLASHtextcite] = ACTIONS(7051),
    [anon_sym_BSLASHTextcite] = ACTIONS(7051),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7051),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7051),
    [anon_sym_BSLASHsupercite] = ACTIONS(7051),
    [anon_sym_BSLASHautocite] = ACTIONS(7051),
    [anon_sym_BSLASHAutocite] = ACTIONS(7051),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHVolcite] = ACTIONS(7051),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHavolcite] = ACTIONS(7051),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHNotecite] = ACTIONS(7051),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHlabel] = ACTIONS(7051),
    [anon_sym_BSLASHref] = ACTIONS(7051),
    [anon_sym_BSLASHeqref] = ACTIONS(7051),
    [anon_sym_BSLASHvref] = ACTIONS(7051),
    [anon_sym_BSLASHVref] = ACTIONS(7051),
    [anon_sym_BSLASHautoref] = ACTIONS(7051),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHpageref] = ACTIONS(7051),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHautopageref] = ACTIONS(7051),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcref] = ACTIONS(7051),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCref] = ACTIONS(7051),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcpageref] = ACTIONS(7051),
    [anon_sym_BSLASHCpageref] = ACTIONS(7051),
    [anon_sym_BSLASHnamecref] = ACTIONS(7051),
    [anon_sym_BSLASHnameCref] = ACTIONS(7051),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7051),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7051),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7051),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7051),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7051),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7051),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7051),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7051),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7051),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7051),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7051),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHdef] = ACTIONS(7051),
    [anon_sym_BSLASHgdef] = ACTIONS(7051),
    [anon_sym_BSLASHedef] = ACTIONS(7051),
    [anon_sym_BSLASHxdef] = ACTIONS(7051),
    [anon_sym_BSLASHlet] = ACTIONS(7051),
    [anon_sym_BSLASHglet] = ACTIONS(7051),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7051),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7051),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7051),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7051),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7051),
    [anon_sym_BSLASHgls] = ACTIONS(7051),
    [anon_sym_BSLASHGls] = ACTIONS(7051),
    [anon_sym_BSLASHGLS] = ACTIONS(7051),
    [anon_sym_BSLASHglspl] = ACTIONS(7051),
    [anon_sym_BSLASHGlspl] = ACTIONS(7051),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7051),
    [anon_sym_BSLASHglslink] = ACTIONS(7051),
    [anon_sym_BSLASHglstext] = ACTIONS(7051),
    [anon_sym_BSLASHGlstext] = ACTIONS(7051),
    [anon_sym_BSLASHGLStext] = ACTIONS(7051),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7051),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7051),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7051),
    [anon_sym_BSLASHglsplural] = ACTIONS(7051),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7051),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7051),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHglsname] = ACTIONS(7051),
    [anon_sym_BSLASHGlsname] = ACTIONS(7051),
    [anon_sym_BSLASHGLSname] = ACTIONS(7051),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7051),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7051),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7051),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7051),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7051),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7051),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7051),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7051),
    [anon_sym_BSLASHacrshort] = ACTIONS(7051),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7051),
    [anon_sym_BSLASHACRshort] = ACTIONS(7051),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHacrlong] = ACTIONS(7051),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7051),
    [anon_sym_BSLASHACRlong] = ACTIONS(7051),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHacrfull] = ACTIONS(7051),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7051),
    [anon_sym_BSLASHACRfull] = ACTIONS(7051),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHacs] = ACTIONS(7051),
    [anon_sym_BSLASHAcs] = ACTIONS(7051),
    [anon_sym_BSLASHacsp] = ACTIONS(7051),
    [anon_sym_BSLASHAcsp] = ACTIONS(7051),
    [anon_sym_BSLASHacl] = ACTIONS(7051),
    [anon_sym_BSLASHAcl] = ACTIONS(7051),
    [anon_sym_BSLASHaclp] = ACTIONS(7051),
    [anon_sym_BSLASHAclp] = ACTIONS(7051),
    [anon_sym_BSLASHacf] = ACTIONS(7051),
    [anon_sym_BSLASHAcf] = ACTIONS(7051),
    [anon_sym_BSLASHacfp] = ACTIONS(7051),
    [anon_sym_BSLASHAcfp] = ACTIONS(7051),
    [anon_sym_BSLASHac] = ACTIONS(7051),
    [anon_sym_BSLASHAc] = ACTIONS(7051),
    [anon_sym_BSLASHacp] = ACTIONS(7051),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7051),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7051),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7051),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7051),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7051),
    [anon_sym_BSLASHcolor] = ACTIONS(7051),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7051),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7051),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7051),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7051),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7051),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7051),
    [anon_sym_BSLASHurl] = ACTIONS(7051),
    [anon_sym_BSLASHhref] = ACTIONS(7051),
  },
  [1414] = {
    [sym_command_name] = ACTIONS(7227),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7227),
    [anon_sym_LBRACK] = ACTIONS(7229),
    [anon_sym_RBRACK] = ACTIONS(7229),
    [anon_sym_COMMA] = ACTIONS(7229),
    [anon_sym_EQ] = ACTIONS(7229),
    [anon_sym_LPAREN] = ACTIONS(7229),
    [anon_sym_RPAREN] = ACTIONS(7229),
    [anon_sym_BSLASHpart] = ACTIONS(7227),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHaddpart] = ACTIONS(7227),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHchapter] = ACTIONS(7227),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHaddchap] = ACTIONS(7227),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHsection] = ACTIONS(7227),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHaddsec] = ACTIONS(7227),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHsubsection] = ACTIONS(7227),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7227),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHparagraph] = ACTIONS(7227),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7227),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHitem] = ACTIONS(7227),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7229),
    [anon_sym_LBRACE] = ACTIONS(7229),
    [sym_word] = ACTIONS(7227),
    [sym_placeholder] = ACTIONS(7229),
    [sym_delimiter] = ACTIONS(7229),
    [anon_sym_PLUS] = ACTIONS(7229),
    [anon_sym_DASH] = ACTIONS(7229),
    [anon_sym_STAR] = ACTIONS(7229),
    [anon_sym_SLASH] = ACTIONS(7229),
    [anon_sym_LT] = ACTIONS(7227),
    [anon_sym_GT] = ACTIONS(7227),
    [anon_sym_BANG] = ACTIONS(7227),
    [anon_sym_PIPE] = ACTIONS(7227),
    [anon_sym_COLON] = ACTIONS(7227),
    [anon_sym_SQUOTE] = ACTIONS(7227),
    [anon_sym__] = ACTIONS(7229),
    [anon_sym_CARET] = ACTIONS(7229),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7229),
    [anon_sym_DOLLAR] = ACTIONS(7227),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7229),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7229),
    [anon_sym_BSLASHleft] = ACTIONS(7227),
    [anon_sym_BSLASHbigl] = ACTIONS(7227),
    [anon_sym_BSLASHBigl] = ACTIONS(7227),
    [anon_sym_BSLASHbiggl] = ACTIONS(7227),
    [anon_sym_BSLASHBiggl] = ACTIONS(7227),
    [anon_sym_BSLASHtext] = ACTIONS(7227),
    [anon_sym_BSLASHintertext] = ACTIONS(7227),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7227),
    [anon_sym_BSLASHbegin] = ACTIONS(7227),
    [anon_sym_BSLASHtitle] = ACTIONS(7227),
    [anon_sym_BSLASHauthor] = ACTIONS(7227),
    [anon_sym_BSLASHusepackage] = ACTIONS(7227),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7227),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7227),
    [anon_sym_BSLASHinclude] = ACTIONS(7227),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7227),
    [anon_sym_BSLASHinput] = ACTIONS(7227),
    [anon_sym_BSLASHsubfile] = ACTIONS(7227),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7227),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7227),
    [anon_sym_BSLASHbibliography] = ACTIONS(7227),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7227),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7227),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7227),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7227),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7227),
    [anon_sym_BSLASHimport] = ACTIONS(7227),
    [anon_sym_BSLASHsubimport] = ACTIONS(7227),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7227),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7227),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7227),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7227),
    [anon_sym_BSLASHcaption] = ACTIONS(7227),
    [anon_sym_BSLASHcite] = ACTIONS(7227),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCite] = ACTIONS(7227),
    [anon_sym_BSLASHnocite] = ACTIONS(7227),
    [anon_sym_BSLASHcitet] = ACTIONS(7227),
    [anon_sym_BSLASHcitep] = ACTIONS(7227),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteA] = ACTIONS(7227),
    [anon_sym_BSLASHciteR] = ACTIONS(7227),
    [anon_sym_BSLASHciteS] = ACTIONS(7227),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7227),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7227),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7227),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7227),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteyear] = ACTIONS(7227),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitedate] = ACTIONS(7227),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteurl] = ACTIONS(7227),
    [anon_sym_BSLASHfullcite] = ACTIONS(7227),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7227),
    [anon_sym_BSLASHcitealt] = ACTIONS(7227),
    [anon_sym_BSLASHcitealp] = ACTIONS(7227),
    [anon_sym_BSLASHcitetext] = ACTIONS(7227),
    [anon_sym_BSLASHparencite] = ACTIONS(7227),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHParencite] = ACTIONS(7227),
    [anon_sym_BSLASHfootcite] = ACTIONS(7227),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7227),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7227),
    [anon_sym_BSLASHtextcite] = ACTIONS(7227),
    [anon_sym_BSLASHTextcite] = ACTIONS(7227),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7227),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7227),
    [anon_sym_BSLASHsupercite] = ACTIONS(7227),
    [anon_sym_BSLASHautocite] = ACTIONS(7227),
    [anon_sym_BSLASHAutocite] = ACTIONS(7227),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHVolcite] = ACTIONS(7227),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHavolcite] = ACTIONS(7227),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHNotecite] = ACTIONS(7227),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHlabel] = ACTIONS(7227),
    [anon_sym_BSLASHref] = ACTIONS(7227),
    [anon_sym_BSLASHeqref] = ACTIONS(7227),
    [anon_sym_BSLASHvref] = ACTIONS(7227),
    [anon_sym_BSLASHVref] = ACTIONS(7227),
    [anon_sym_BSLASHautoref] = ACTIONS(7227),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHpageref] = ACTIONS(7227),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHautopageref] = ACTIONS(7227),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcref] = ACTIONS(7227),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCref] = ACTIONS(7227),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcpageref] = ACTIONS(7227),
    [anon_sym_BSLASHCpageref] = ACTIONS(7227),
    [anon_sym_BSLASHnamecref] = ACTIONS(7227),
    [anon_sym_BSLASHnameCref] = ACTIONS(7227),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7227),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7227),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7227),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7227),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7227),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7227),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7227),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7227),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7227),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7227),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7227),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHdef] = ACTIONS(7227),
    [anon_sym_BSLASHgdef] = ACTIONS(7227),
    [anon_sym_BSLASHedef] = ACTIONS(7227),
    [anon_sym_BSLASHxdef] = ACTIONS(7227),
    [anon_sym_BSLASHlet] = ACTIONS(7227),
    [anon_sym_BSLASHglet] = ACTIONS(7227),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7227),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7227),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7227),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7227),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7227),
    [anon_sym_BSLASHgls] = ACTIONS(7227),
    [anon_sym_BSLASHGls] = ACTIONS(7227),
    [anon_sym_BSLASHGLS] = ACTIONS(7227),
    [anon_sym_BSLASHglspl] = ACTIONS(7227),
    [anon_sym_BSLASHGlspl] = ACTIONS(7227),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7227),
    [anon_sym_BSLASHglslink] = ACTIONS(7227),
    [anon_sym_BSLASHglstext] = ACTIONS(7227),
    [anon_sym_BSLASHGlstext] = ACTIONS(7227),
    [anon_sym_BSLASHGLStext] = ACTIONS(7227),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7227),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7227),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7227),
    [anon_sym_BSLASHglsplural] = ACTIONS(7227),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7227),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7227),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHglsname] = ACTIONS(7227),
    [anon_sym_BSLASHGlsname] = ACTIONS(7227),
    [anon_sym_BSLASHGLSname] = ACTIONS(7227),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7227),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7227),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7227),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7227),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7227),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7227),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7227),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7227),
    [anon_sym_BSLASHacrshort] = ACTIONS(7227),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7227),
    [anon_sym_BSLASHACRshort] = ACTIONS(7227),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHacrlong] = ACTIONS(7227),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7227),
    [anon_sym_BSLASHACRlong] = ACTIONS(7227),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHacrfull] = ACTIONS(7227),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7227),
    [anon_sym_BSLASHACRfull] = ACTIONS(7227),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHacs] = ACTIONS(7227),
    [anon_sym_BSLASHAcs] = ACTIONS(7227),
    [anon_sym_BSLASHacsp] = ACTIONS(7227),
    [anon_sym_BSLASHAcsp] = ACTIONS(7227),
    [anon_sym_BSLASHacl] = ACTIONS(7227),
    [anon_sym_BSLASHAcl] = ACTIONS(7227),
    [anon_sym_BSLASHaclp] = ACTIONS(7227),
    [anon_sym_BSLASHAclp] = ACTIONS(7227),
    [anon_sym_BSLASHacf] = ACTIONS(7227),
    [anon_sym_BSLASHAcf] = ACTIONS(7227),
    [anon_sym_BSLASHacfp] = ACTIONS(7227),
    [anon_sym_BSLASHAcfp] = ACTIONS(7227),
    [anon_sym_BSLASHac] = ACTIONS(7227),
    [anon_sym_BSLASHAc] = ACTIONS(7227),
    [anon_sym_BSLASHacp] = ACTIONS(7227),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7227),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7227),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7227),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7227),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7227),
    [anon_sym_BSLASHcolor] = ACTIONS(7227),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7227),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7227),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7227),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7227),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7227),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7227),
    [anon_sym_BSLASHurl] = ACTIONS(7227),
    [anon_sym_BSLASHhref] = ACTIONS(7227),
  },
  [1415] = {
    [sym_command_name] = ACTIONS(7231),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7231),
    [anon_sym_LBRACK] = ACTIONS(7233),
    [anon_sym_RBRACK] = ACTIONS(7233),
    [anon_sym_COMMA] = ACTIONS(7233),
    [anon_sym_EQ] = ACTIONS(7233),
    [anon_sym_LPAREN] = ACTIONS(7233),
    [anon_sym_RPAREN] = ACTIONS(7233),
    [anon_sym_BSLASHpart] = ACTIONS(7231),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHaddpart] = ACTIONS(7231),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHchapter] = ACTIONS(7231),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHaddchap] = ACTIONS(7231),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHsection] = ACTIONS(7231),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHaddsec] = ACTIONS(7231),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHsubsection] = ACTIONS(7231),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7231),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHparagraph] = ACTIONS(7231),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7231),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHitem] = ACTIONS(7231),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7233),
    [anon_sym_LBRACE] = ACTIONS(7233),
    [sym_word] = ACTIONS(7231),
    [sym_placeholder] = ACTIONS(7233),
    [sym_delimiter] = ACTIONS(7233),
    [anon_sym_PLUS] = ACTIONS(7233),
    [anon_sym_DASH] = ACTIONS(7233),
    [anon_sym_STAR] = ACTIONS(7233),
    [anon_sym_SLASH] = ACTIONS(7233),
    [anon_sym_LT] = ACTIONS(7231),
    [anon_sym_GT] = ACTIONS(7231),
    [anon_sym_BANG] = ACTIONS(7231),
    [anon_sym_PIPE] = ACTIONS(7231),
    [anon_sym_COLON] = ACTIONS(7231),
    [anon_sym_SQUOTE] = ACTIONS(7231),
    [anon_sym__] = ACTIONS(7233),
    [anon_sym_CARET] = ACTIONS(7233),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7233),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7233),
    [anon_sym_DOLLAR] = ACTIONS(7231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7233),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7233),
    [anon_sym_BSLASHleft] = ACTIONS(7231),
    [anon_sym_BSLASHbigl] = ACTIONS(7231),
    [anon_sym_BSLASHBigl] = ACTIONS(7231),
    [anon_sym_BSLASHbiggl] = ACTIONS(7231),
    [anon_sym_BSLASHBiggl] = ACTIONS(7231),
    [anon_sym_BSLASHtext] = ACTIONS(7231),
    [anon_sym_BSLASHintertext] = ACTIONS(7231),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7231),
    [anon_sym_BSLASHbegin] = ACTIONS(7231),
    [anon_sym_BSLASHtitle] = ACTIONS(7231),
    [anon_sym_BSLASHauthor] = ACTIONS(7231),
    [anon_sym_BSLASHusepackage] = ACTIONS(7231),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7231),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7231),
    [anon_sym_BSLASHinclude] = ACTIONS(7231),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7231),
    [anon_sym_BSLASHinput] = ACTIONS(7231),
    [anon_sym_BSLASHsubfile] = ACTIONS(7231),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7231),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7231),
    [anon_sym_BSLASHbibliography] = ACTIONS(7231),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7231),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7231),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7231),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7231),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7231),
    [anon_sym_BSLASHimport] = ACTIONS(7231),
    [anon_sym_BSLASHsubimport] = ACTIONS(7231),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7231),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7231),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7231),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7231),
    [anon_sym_BSLASHcaption] = ACTIONS(7231),
    [anon_sym_BSLASHcite] = ACTIONS(7231),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCite] = ACTIONS(7231),
    [anon_sym_BSLASHnocite] = ACTIONS(7231),
    [anon_sym_BSLASHcitet] = ACTIONS(7231),
    [anon_sym_BSLASHcitep] = ACTIONS(7231),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteA] = ACTIONS(7231),
    [anon_sym_BSLASHciteR] = ACTIONS(7231),
    [anon_sym_BSLASHciteS] = ACTIONS(7231),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7231),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7231),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7231),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7231),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteyear] = ACTIONS(7231),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitedate] = ACTIONS(7231),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteurl] = ACTIONS(7231),
    [anon_sym_BSLASHfullcite] = ACTIONS(7231),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7231),
    [anon_sym_BSLASHcitealt] = ACTIONS(7231),
    [anon_sym_BSLASHcitealp] = ACTIONS(7231),
    [anon_sym_BSLASHcitetext] = ACTIONS(7231),
    [anon_sym_BSLASHparencite] = ACTIONS(7231),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHParencite] = ACTIONS(7231),
    [anon_sym_BSLASHfootcite] = ACTIONS(7231),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7231),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7231),
    [anon_sym_BSLASHtextcite] = ACTIONS(7231),
    [anon_sym_BSLASHTextcite] = ACTIONS(7231),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7231),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7231),
    [anon_sym_BSLASHsupercite] = ACTIONS(7231),
    [anon_sym_BSLASHautocite] = ACTIONS(7231),
    [anon_sym_BSLASHAutocite] = ACTIONS(7231),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHVolcite] = ACTIONS(7231),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHavolcite] = ACTIONS(7231),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHNotecite] = ACTIONS(7231),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHlabel] = ACTIONS(7231),
    [anon_sym_BSLASHref] = ACTIONS(7231),
    [anon_sym_BSLASHeqref] = ACTIONS(7231),
    [anon_sym_BSLASHvref] = ACTIONS(7231),
    [anon_sym_BSLASHVref] = ACTIONS(7231),
    [anon_sym_BSLASHautoref] = ACTIONS(7231),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHpageref] = ACTIONS(7231),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHautopageref] = ACTIONS(7231),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcref] = ACTIONS(7231),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCref] = ACTIONS(7231),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcpageref] = ACTIONS(7231),
    [anon_sym_BSLASHCpageref] = ACTIONS(7231),
    [anon_sym_BSLASHnamecref] = ACTIONS(7231),
    [anon_sym_BSLASHnameCref] = ACTIONS(7231),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7231),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7231),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7231),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7231),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7231),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7231),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7231),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7231),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7231),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7231),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7231),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHdef] = ACTIONS(7231),
    [anon_sym_BSLASHgdef] = ACTIONS(7231),
    [anon_sym_BSLASHedef] = ACTIONS(7231),
    [anon_sym_BSLASHxdef] = ACTIONS(7231),
    [anon_sym_BSLASHlet] = ACTIONS(7231),
    [anon_sym_BSLASHglet] = ACTIONS(7231),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7231),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7231),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7231),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7231),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7231),
    [anon_sym_BSLASHgls] = ACTIONS(7231),
    [anon_sym_BSLASHGls] = ACTIONS(7231),
    [anon_sym_BSLASHGLS] = ACTIONS(7231),
    [anon_sym_BSLASHglspl] = ACTIONS(7231),
    [anon_sym_BSLASHGlspl] = ACTIONS(7231),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7231),
    [anon_sym_BSLASHglslink] = ACTIONS(7231),
    [anon_sym_BSLASHglstext] = ACTIONS(7231),
    [anon_sym_BSLASHGlstext] = ACTIONS(7231),
    [anon_sym_BSLASHGLStext] = ACTIONS(7231),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7231),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7231),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7231),
    [anon_sym_BSLASHglsplural] = ACTIONS(7231),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7231),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7231),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHglsname] = ACTIONS(7231),
    [anon_sym_BSLASHGlsname] = ACTIONS(7231),
    [anon_sym_BSLASHGLSname] = ACTIONS(7231),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7231),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7231),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7231),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7231),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7231),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7231),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7231),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7231),
    [anon_sym_BSLASHacrshort] = ACTIONS(7231),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7231),
    [anon_sym_BSLASHACRshort] = ACTIONS(7231),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHacrlong] = ACTIONS(7231),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7231),
    [anon_sym_BSLASHACRlong] = ACTIONS(7231),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHacrfull] = ACTIONS(7231),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7231),
    [anon_sym_BSLASHACRfull] = ACTIONS(7231),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHacs] = ACTIONS(7231),
    [anon_sym_BSLASHAcs] = ACTIONS(7231),
    [anon_sym_BSLASHacsp] = ACTIONS(7231),
    [anon_sym_BSLASHAcsp] = ACTIONS(7231),
    [anon_sym_BSLASHacl] = ACTIONS(7231),
    [anon_sym_BSLASHAcl] = ACTIONS(7231),
    [anon_sym_BSLASHaclp] = ACTIONS(7231),
    [anon_sym_BSLASHAclp] = ACTIONS(7231),
    [anon_sym_BSLASHacf] = ACTIONS(7231),
    [anon_sym_BSLASHAcf] = ACTIONS(7231),
    [anon_sym_BSLASHacfp] = ACTIONS(7231),
    [anon_sym_BSLASHAcfp] = ACTIONS(7231),
    [anon_sym_BSLASHac] = ACTIONS(7231),
    [anon_sym_BSLASHAc] = ACTIONS(7231),
    [anon_sym_BSLASHacp] = ACTIONS(7231),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7231),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7231),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7231),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7231),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7231),
    [anon_sym_BSLASHcolor] = ACTIONS(7231),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7231),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7231),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7231),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7231),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7231),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7231),
    [anon_sym_BSLASHurl] = ACTIONS(7231),
    [anon_sym_BSLASHhref] = ACTIONS(7231),
  },
  [1416] = {
    [sym_command_name] = ACTIONS(7047),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7047),
    [anon_sym_LBRACK] = ACTIONS(7049),
    [anon_sym_RBRACK] = ACTIONS(7049),
    [anon_sym_COMMA] = ACTIONS(7049),
    [anon_sym_EQ] = ACTIONS(7049),
    [anon_sym_LPAREN] = ACTIONS(7049),
    [anon_sym_RPAREN] = ACTIONS(7049),
    [anon_sym_BSLASHpart] = ACTIONS(7047),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddpart] = ACTIONS(7047),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHchapter] = ACTIONS(7047),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddchap] = ACTIONS(7047),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsection] = ACTIONS(7047),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddsec] = ACTIONS(7047),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubsection] = ACTIONS(7047),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7047),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHparagraph] = ACTIONS(7047),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7047),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHitem] = ACTIONS(7047),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7049),
    [anon_sym_LBRACE] = ACTIONS(7049),
    [sym_word] = ACTIONS(7047),
    [sym_placeholder] = ACTIONS(7049),
    [sym_delimiter] = ACTIONS(7049),
    [anon_sym_PLUS] = ACTIONS(7049),
    [anon_sym_DASH] = ACTIONS(7049),
    [anon_sym_STAR] = ACTIONS(7049),
    [anon_sym_SLASH] = ACTIONS(7049),
    [anon_sym_LT] = ACTIONS(7047),
    [anon_sym_GT] = ACTIONS(7047),
    [anon_sym_BANG] = ACTIONS(7047),
    [anon_sym_PIPE] = ACTIONS(7047),
    [anon_sym_COLON] = ACTIONS(7047),
    [anon_sym_SQUOTE] = ACTIONS(7047),
    [anon_sym__] = ACTIONS(7049),
    [anon_sym_CARET] = ACTIONS(7049),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7049),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7049),
    [anon_sym_DOLLAR] = ACTIONS(7047),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7049),
    [anon_sym_BSLASHleft] = ACTIONS(7047),
    [anon_sym_BSLASHbigl] = ACTIONS(7047),
    [anon_sym_BSLASHBigl] = ACTIONS(7047),
    [anon_sym_BSLASHbiggl] = ACTIONS(7047),
    [anon_sym_BSLASHBiggl] = ACTIONS(7047),
    [anon_sym_BSLASHtext] = ACTIONS(7047),
    [anon_sym_BSLASHintertext] = ACTIONS(7047),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7047),
    [anon_sym_BSLASHbegin] = ACTIONS(7047),
    [anon_sym_BSLASHend] = ACTIONS(7047),
    [anon_sym_BSLASHtitle] = ACTIONS(7047),
    [anon_sym_BSLASHauthor] = ACTIONS(7047),
    [anon_sym_BSLASHusepackage] = ACTIONS(7047),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7047),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7047),
    [anon_sym_BSLASHinclude] = ACTIONS(7047),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7047),
    [anon_sym_BSLASHinput] = ACTIONS(7047),
    [anon_sym_BSLASHsubfile] = ACTIONS(7047),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7047),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7047),
    [anon_sym_BSLASHbibliography] = ACTIONS(7047),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7047),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7047),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7047),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7047),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7047),
    [anon_sym_BSLASHimport] = ACTIONS(7047),
    [anon_sym_BSLASHsubimport] = ACTIONS(7047),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7047),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7047),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7047),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7047),
    [anon_sym_BSLASHcaption] = ACTIONS(7047),
    [anon_sym_BSLASHcite] = ACTIONS(7047),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCite] = ACTIONS(7047),
    [anon_sym_BSLASHnocite] = ACTIONS(7047),
    [anon_sym_BSLASHcitet] = ACTIONS(7047),
    [anon_sym_BSLASHcitep] = ACTIONS(7047),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteA] = ACTIONS(7047),
    [anon_sym_BSLASHciteR] = ACTIONS(7047),
    [anon_sym_BSLASHciteS] = ACTIONS(7047),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7047),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7047),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7047),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7047),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteyear] = ACTIONS(7047),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitedate] = ACTIONS(7047),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteurl] = ACTIONS(7047),
    [anon_sym_BSLASHfullcite] = ACTIONS(7047),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7047),
    [anon_sym_BSLASHcitealt] = ACTIONS(7047),
    [anon_sym_BSLASHcitealp] = ACTIONS(7047),
    [anon_sym_BSLASHcitetext] = ACTIONS(7047),
    [anon_sym_BSLASHparencite] = ACTIONS(7047),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHParencite] = ACTIONS(7047),
    [anon_sym_BSLASHfootcite] = ACTIONS(7047),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7047),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7047),
    [anon_sym_BSLASHtextcite] = ACTIONS(7047),
    [anon_sym_BSLASHTextcite] = ACTIONS(7047),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7047),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7047),
    [anon_sym_BSLASHsupercite] = ACTIONS(7047),
    [anon_sym_BSLASHautocite] = ACTIONS(7047),
    [anon_sym_BSLASHAutocite] = ACTIONS(7047),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHVolcite] = ACTIONS(7047),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHavolcite] = ACTIONS(7047),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHNotecite] = ACTIONS(7047),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHlabel] = ACTIONS(7047),
    [anon_sym_BSLASHref] = ACTIONS(7047),
    [anon_sym_BSLASHeqref] = ACTIONS(7047),
    [anon_sym_BSLASHvref] = ACTIONS(7047),
    [anon_sym_BSLASHVref] = ACTIONS(7047),
    [anon_sym_BSLASHautoref] = ACTIONS(7047),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHpageref] = ACTIONS(7047),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHautopageref] = ACTIONS(7047),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcref] = ACTIONS(7047),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCref] = ACTIONS(7047),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcpageref] = ACTIONS(7047),
    [anon_sym_BSLASHCpageref] = ACTIONS(7047),
    [anon_sym_BSLASHnamecref] = ACTIONS(7047),
    [anon_sym_BSLASHnameCref] = ACTIONS(7047),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7047),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7047),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7047),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7047),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7047),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7047),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7047),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7047),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7047),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7047),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7047),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHdef] = ACTIONS(7047),
    [anon_sym_BSLASHgdef] = ACTIONS(7047),
    [anon_sym_BSLASHedef] = ACTIONS(7047),
    [anon_sym_BSLASHxdef] = ACTIONS(7047),
    [anon_sym_BSLASHlet] = ACTIONS(7047),
    [anon_sym_BSLASHglet] = ACTIONS(7047),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7047),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7047),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7047),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7047),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7047),
    [anon_sym_BSLASHgls] = ACTIONS(7047),
    [anon_sym_BSLASHGls] = ACTIONS(7047),
    [anon_sym_BSLASHGLS] = ACTIONS(7047),
    [anon_sym_BSLASHglspl] = ACTIONS(7047),
    [anon_sym_BSLASHGlspl] = ACTIONS(7047),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7047),
    [anon_sym_BSLASHglslink] = ACTIONS(7047),
    [anon_sym_BSLASHglstext] = ACTIONS(7047),
    [anon_sym_BSLASHGlstext] = ACTIONS(7047),
    [anon_sym_BSLASHGLStext] = ACTIONS(7047),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7047),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7047),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7047),
    [anon_sym_BSLASHglsplural] = ACTIONS(7047),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7047),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7047),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHglsname] = ACTIONS(7047),
    [anon_sym_BSLASHGlsname] = ACTIONS(7047),
    [anon_sym_BSLASHGLSname] = ACTIONS(7047),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7047),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7047),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7047),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7047),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7047),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7047),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7047),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7047),
    [anon_sym_BSLASHacrshort] = ACTIONS(7047),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7047),
    [anon_sym_BSLASHACRshort] = ACTIONS(7047),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHacrlong] = ACTIONS(7047),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7047),
    [anon_sym_BSLASHACRlong] = ACTIONS(7047),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHacrfull] = ACTIONS(7047),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7047),
    [anon_sym_BSLASHACRfull] = ACTIONS(7047),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHacs] = ACTIONS(7047),
    [anon_sym_BSLASHAcs] = ACTIONS(7047),
    [anon_sym_BSLASHacsp] = ACTIONS(7047),
    [anon_sym_BSLASHAcsp] = ACTIONS(7047),
    [anon_sym_BSLASHacl] = ACTIONS(7047),
    [anon_sym_BSLASHAcl] = ACTIONS(7047),
    [anon_sym_BSLASHaclp] = ACTIONS(7047),
    [anon_sym_BSLASHAclp] = ACTIONS(7047),
    [anon_sym_BSLASHacf] = ACTIONS(7047),
    [anon_sym_BSLASHAcf] = ACTIONS(7047),
    [anon_sym_BSLASHacfp] = ACTIONS(7047),
    [anon_sym_BSLASHAcfp] = ACTIONS(7047),
    [anon_sym_BSLASHac] = ACTIONS(7047),
    [anon_sym_BSLASHAc] = ACTIONS(7047),
    [anon_sym_BSLASHacp] = ACTIONS(7047),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7047),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7047),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7047),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7047),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7047),
    [anon_sym_BSLASHcolor] = ACTIONS(7047),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7047),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7047),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7047),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7047),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7047),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7047),
    [anon_sym_BSLASHurl] = ACTIONS(7047),
    [anon_sym_BSLASHhref] = ACTIONS(7047),
  },
  [1417] = {
    [sym_command_name] = ACTIONS(7047),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7047),
    [anon_sym_LBRACK] = ACTIONS(7049),
    [anon_sym_RBRACK] = ACTIONS(7049),
    [anon_sym_COMMA] = ACTIONS(7049),
    [anon_sym_EQ] = ACTIONS(7049),
    [anon_sym_LPAREN] = ACTIONS(7049),
    [anon_sym_RPAREN] = ACTIONS(7049),
    [anon_sym_BSLASHpart] = ACTIONS(7047),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddpart] = ACTIONS(7047),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHchapter] = ACTIONS(7047),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddchap] = ACTIONS(7047),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsection] = ACTIONS(7047),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddsec] = ACTIONS(7047),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubsection] = ACTIONS(7047),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7047),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHparagraph] = ACTIONS(7047),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7047),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHitem] = ACTIONS(7047),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7049),
    [anon_sym_LBRACE] = ACTIONS(7049),
    [sym_word] = ACTIONS(7047),
    [sym_placeholder] = ACTIONS(7049),
    [sym_delimiter] = ACTIONS(7049),
    [anon_sym_PLUS] = ACTIONS(7049),
    [anon_sym_DASH] = ACTIONS(7049),
    [anon_sym_STAR] = ACTIONS(7049),
    [anon_sym_SLASH] = ACTIONS(7049),
    [anon_sym_LT] = ACTIONS(7047),
    [anon_sym_GT] = ACTIONS(7047),
    [anon_sym_BANG] = ACTIONS(7047),
    [anon_sym_PIPE] = ACTIONS(7047),
    [anon_sym_COLON] = ACTIONS(7047),
    [anon_sym_SQUOTE] = ACTIONS(7047),
    [anon_sym__] = ACTIONS(7049),
    [anon_sym_CARET] = ACTIONS(7049),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7049),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7049),
    [anon_sym_DOLLAR] = ACTIONS(7047),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7049),
    [anon_sym_BSLASHleft] = ACTIONS(7047),
    [anon_sym_BSLASHbigl] = ACTIONS(7047),
    [anon_sym_BSLASHBigl] = ACTIONS(7047),
    [anon_sym_BSLASHbiggl] = ACTIONS(7047),
    [anon_sym_BSLASHBiggl] = ACTIONS(7047),
    [anon_sym_BSLASHtext] = ACTIONS(7047),
    [anon_sym_BSLASHintertext] = ACTIONS(7047),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7047),
    [anon_sym_BSLASHbegin] = ACTIONS(7047),
    [anon_sym_BSLASHend] = ACTIONS(7047),
    [anon_sym_BSLASHtitle] = ACTIONS(7047),
    [anon_sym_BSLASHauthor] = ACTIONS(7047),
    [anon_sym_BSLASHusepackage] = ACTIONS(7047),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7047),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7047),
    [anon_sym_BSLASHinclude] = ACTIONS(7047),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7047),
    [anon_sym_BSLASHinput] = ACTIONS(7047),
    [anon_sym_BSLASHsubfile] = ACTIONS(7047),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7047),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7047),
    [anon_sym_BSLASHbibliography] = ACTIONS(7047),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7047),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7047),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7047),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7047),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7047),
    [anon_sym_BSLASHimport] = ACTIONS(7047),
    [anon_sym_BSLASHsubimport] = ACTIONS(7047),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7047),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7047),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7047),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7047),
    [anon_sym_BSLASHcaption] = ACTIONS(7047),
    [anon_sym_BSLASHcite] = ACTIONS(7047),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCite] = ACTIONS(7047),
    [anon_sym_BSLASHnocite] = ACTIONS(7047),
    [anon_sym_BSLASHcitet] = ACTIONS(7047),
    [anon_sym_BSLASHcitep] = ACTIONS(7047),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteA] = ACTIONS(7047),
    [anon_sym_BSLASHciteR] = ACTIONS(7047),
    [anon_sym_BSLASHciteS] = ACTIONS(7047),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7047),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7047),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7047),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7047),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteyear] = ACTIONS(7047),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitedate] = ACTIONS(7047),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteurl] = ACTIONS(7047),
    [anon_sym_BSLASHfullcite] = ACTIONS(7047),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7047),
    [anon_sym_BSLASHcitealt] = ACTIONS(7047),
    [anon_sym_BSLASHcitealp] = ACTIONS(7047),
    [anon_sym_BSLASHcitetext] = ACTIONS(7047),
    [anon_sym_BSLASHparencite] = ACTIONS(7047),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHParencite] = ACTIONS(7047),
    [anon_sym_BSLASHfootcite] = ACTIONS(7047),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7047),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7047),
    [anon_sym_BSLASHtextcite] = ACTIONS(7047),
    [anon_sym_BSLASHTextcite] = ACTIONS(7047),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7047),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7047),
    [anon_sym_BSLASHsupercite] = ACTIONS(7047),
    [anon_sym_BSLASHautocite] = ACTIONS(7047),
    [anon_sym_BSLASHAutocite] = ACTIONS(7047),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHVolcite] = ACTIONS(7047),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHavolcite] = ACTIONS(7047),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHNotecite] = ACTIONS(7047),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHlabel] = ACTIONS(7047),
    [anon_sym_BSLASHref] = ACTIONS(7047),
    [anon_sym_BSLASHeqref] = ACTIONS(7047),
    [anon_sym_BSLASHvref] = ACTIONS(7047),
    [anon_sym_BSLASHVref] = ACTIONS(7047),
    [anon_sym_BSLASHautoref] = ACTIONS(7047),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHpageref] = ACTIONS(7047),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHautopageref] = ACTIONS(7047),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcref] = ACTIONS(7047),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCref] = ACTIONS(7047),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcpageref] = ACTIONS(7047),
    [anon_sym_BSLASHCpageref] = ACTIONS(7047),
    [anon_sym_BSLASHnamecref] = ACTIONS(7047),
    [anon_sym_BSLASHnameCref] = ACTIONS(7047),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7047),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7047),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7047),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7047),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7047),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7047),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7047),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7047),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7047),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7047),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7047),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHdef] = ACTIONS(7047),
    [anon_sym_BSLASHgdef] = ACTIONS(7047),
    [anon_sym_BSLASHedef] = ACTIONS(7047),
    [anon_sym_BSLASHxdef] = ACTIONS(7047),
    [anon_sym_BSLASHlet] = ACTIONS(7047),
    [anon_sym_BSLASHglet] = ACTIONS(7047),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7047),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7047),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7047),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7047),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7047),
    [anon_sym_BSLASHgls] = ACTIONS(7047),
    [anon_sym_BSLASHGls] = ACTIONS(7047),
    [anon_sym_BSLASHGLS] = ACTIONS(7047),
    [anon_sym_BSLASHglspl] = ACTIONS(7047),
    [anon_sym_BSLASHGlspl] = ACTIONS(7047),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7047),
    [anon_sym_BSLASHglslink] = ACTIONS(7047),
    [anon_sym_BSLASHglstext] = ACTIONS(7047),
    [anon_sym_BSLASHGlstext] = ACTIONS(7047),
    [anon_sym_BSLASHGLStext] = ACTIONS(7047),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7047),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7047),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7047),
    [anon_sym_BSLASHglsplural] = ACTIONS(7047),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7047),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7047),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHglsname] = ACTIONS(7047),
    [anon_sym_BSLASHGlsname] = ACTIONS(7047),
    [anon_sym_BSLASHGLSname] = ACTIONS(7047),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7047),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7047),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7047),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7047),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7047),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7047),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7047),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7047),
    [anon_sym_BSLASHacrshort] = ACTIONS(7047),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7047),
    [anon_sym_BSLASHACRshort] = ACTIONS(7047),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHacrlong] = ACTIONS(7047),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7047),
    [anon_sym_BSLASHACRlong] = ACTIONS(7047),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHacrfull] = ACTIONS(7047),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7047),
    [anon_sym_BSLASHACRfull] = ACTIONS(7047),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHacs] = ACTIONS(7047),
    [anon_sym_BSLASHAcs] = ACTIONS(7047),
    [anon_sym_BSLASHacsp] = ACTIONS(7047),
    [anon_sym_BSLASHAcsp] = ACTIONS(7047),
    [anon_sym_BSLASHacl] = ACTIONS(7047),
    [anon_sym_BSLASHAcl] = ACTIONS(7047),
    [anon_sym_BSLASHaclp] = ACTIONS(7047),
    [anon_sym_BSLASHAclp] = ACTIONS(7047),
    [anon_sym_BSLASHacf] = ACTIONS(7047),
    [anon_sym_BSLASHAcf] = ACTIONS(7047),
    [anon_sym_BSLASHacfp] = ACTIONS(7047),
    [anon_sym_BSLASHAcfp] = ACTIONS(7047),
    [anon_sym_BSLASHac] = ACTIONS(7047),
    [anon_sym_BSLASHAc] = ACTIONS(7047),
    [anon_sym_BSLASHacp] = ACTIONS(7047),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7047),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7047),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7047),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7047),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7047),
    [anon_sym_BSLASHcolor] = ACTIONS(7047),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7047),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7047),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7047),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7047),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7047),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7047),
    [anon_sym_BSLASHurl] = ACTIONS(7047),
    [anon_sym_BSLASHhref] = ACTIONS(7047),
  },
  [1418] = {
    [sym_command_name] = ACTIONS(7155),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7155),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_RBRACK] = ACTIONS(7157),
    [anon_sym_COMMA] = ACTIONS(7157),
    [anon_sym_EQ] = ACTIONS(7157),
    [anon_sym_LPAREN] = ACTIONS(7157),
    [anon_sym_RPAREN] = ACTIONS(7157),
    [anon_sym_BSLASHpart] = ACTIONS(7155),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHaddpart] = ACTIONS(7155),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHchapter] = ACTIONS(7155),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHaddchap] = ACTIONS(7155),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHsection] = ACTIONS(7155),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHaddsec] = ACTIONS(7155),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHsubsection] = ACTIONS(7155),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7155),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHparagraph] = ACTIONS(7155),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7155),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHitem] = ACTIONS(7155),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7157),
    [sym_word] = ACTIONS(7155),
    [sym_placeholder] = ACTIONS(7157),
    [sym_delimiter] = ACTIONS(7157),
    [anon_sym_PLUS] = ACTIONS(7157),
    [anon_sym_DASH] = ACTIONS(7157),
    [anon_sym_STAR] = ACTIONS(7157),
    [anon_sym_SLASH] = ACTIONS(7157),
    [anon_sym_LT] = ACTIONS(7155),
    [anon_sym_GT] = ACTIONS(7155),
    [anon_sym_BANG] = ACTIONS(7155),
    [anon_sym_PIPE] = ACTIONS(7155),
    [anon_sym_COLON] = ACTIONS(7155),
    [anon_sym_SQUOTE] = ACTIONS(7155),
    [anon_sym__] = ACTIONS(7157),
    [anon_sym_CARET] = ACTIONS(7157),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7157),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7157),
    [anon_sym_DOLLAR] = ACTIONS(7155),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7157),
    [anon_sym_BSLASHleft] = ACTIONS(7155),
    [anon_sym_BSLASHbigl] = ACTIONS(7155),
    [anon_sym_BSLASHBigl] = ACTIONS(7155),
    [anon_sym_BSLASHbiggl] = ACTIONS(7155),
    [anon_sym_BSLASHBiggl] = ACTIONS(7155),
    [anon_sym_BSLASHtext] = ACTIONS(7155),
    [anon_sym_BSLASHintertext] = ACTIONS(7155),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7155),
    [anon_sym_BSLASHbegin] = ACTIONS(7155),
    [anon_sym_BSLASHend] = ACTIONS(7155),
    [anon_sym_BSLASHtitle] = ACTIONS(7155),
    [anon_sym_BSLASHauthor] = ACTIONS(7155),
    [anon_sym_BSLASHusepackage] = ACTIONS(7155),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7155),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7155),
    [anon_sym_BSLASHinclude] = ACTIONS(7155),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7155),
    [anon_sym_BSLASHinput] = ACTIONS(7155),
    [anon_sym_BSLASHsubfile] = ACTIONS(7155),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7155),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7155),
    [anon_sym_BSLASHbibliography] = ACTIONS(7155),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7155),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7155),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7155),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7155),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7155),
    [anon_sym_BSLASHimport] = ACTIONS(7155),
    [anon_sym_BSLASHsubimport] = ACTIONS(7155),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7155),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7155),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7155),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7155),
    [anon_sym_BSLASHcaption] = ACTIONS(7155),
    [anon_sym_BSLASHcite] = ACTIONS(7155),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHCite] = ACTIONS(7155),
    [anon_sym_BSLASHnocite] = ACTIONS(7155),
    [anon_sym_BSLASHcitet] = ACTIONS(7155),
    [anon_sym_BSLASHcitep] = ACTIONS(7155),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHciteA] = ACTIONS(7155),
    [anon_sym_BSLASHciteR] = ACTIONS(7155),
    [anon_sym_BSLASHciteS] = ACTIONS(7155),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7155),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7155),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7155),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7155),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHciteyear] = ACTIONS(7155),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcitedate] = ACTIONS(7155),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHciteurl] = ACTIONS(7155),
    [anon_sym_BSLASHfullcite] = ACTIONS(7155),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7155),
    [anon_sym_BSLASHcitealt] = ACTIONS(7155),
    [anon_sym_BSLASHcitealp] = ACTIONS(7155),
    [anon_sym_BSLASHcitetext] = ACTIONS(7155),
    [anon_sym_BSLASHparencite] = ACTIONS(7155),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHParencite] = ACTIONS(7155),
    [anon_sym_BSLASHfootcite] = ACTIONS(7155),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7155),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7155),
    [anon_sym_BSLASHtextcite] = ACTIONS(7155),
    [anon_sym_BSLASHTextcite] = ACTIONS(7155),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7155),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7155),
    [anon_sym_BSLASHsupercite] = ACTIONS(7155),
    [anon_sym_BSLASHautocite] = ACTIONS(7155),
    [anon_sym_BSLASHAutocite] = ACTIONS(7155),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHVolcite] = ACTIONS(7155),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHavolcite] = ACTIONS(7155),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHnotecite] = ACTIONS(7155),
    [anon_sym_BSLASHNotecite] = ACTIONS(7155),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7155),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7155),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7155),
    [anon_sym_BSLASHlabel] = ACTIONS(7155),
    [anon_sym_BSLASHref] = ACTIONS(7155),
    [anon_sym_BSLASHeqref] = ACTIONS(7155),
    [anon_sym_BSLASHvref] = ACTIONS(7155),
    [anon_sym_BSLASHVref] = ACTIONS(7155),
    [anon_sym_BSLASHautoref] = ACTIONS(7155),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHpageref] = ACTIONS(7155),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHautopageref] = ACTIONS(7155),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcref] = ACTIONS(7155),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHCref] = ACTIONS(7155),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcpageref] = ACTIONS(7155),
    [anon_sym_BSLASHCpageref] = ACTIONS(7155),
    [anon_sym_BSLASHnamecref] = ACTIONS(7155),
    [anon_sym_BSLASHnameCref] = ACTIONS(7155),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7155),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7155),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7155),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7155),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7155),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7155),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7155),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7155),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7155),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7155),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7155),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7155),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7155),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7155),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7155),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7155),
    [anon_sym_BSLASHdef] = ACTIONS(7155),
    [anon_sym_BSLASHgdef] = ACTIONS(7155),
    [anon_sym_BSLASHedef] = ACTIONS(7155),
    [anon_sym_BSLASHxdef] = ACTIONS(7155),
    [anon_sym_BSLASHlet] = ACTIONS(7155),
    [anon_sym_BSLASHglet] = ACTIONS(7155),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7155),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7155),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7155),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7155),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7155),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7155),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7155),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7155),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7155),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7155),
    [anon_sym_BSLASHgls] = ACTIONS(7155),
    [anon_sym_BSLASHGls] = ACTIONS(7155),
    [anon_sym_BSLASHGLS] = ACTIONS(7155),
    [anon_sym_BSLASHglspl] = ACTIONS(7155),
    [anon_sym_BSLASHGlspl] = ACTIONS(7155),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7155),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7155),
    [anon_sym_BSLASHglslink] = ACTIONS(7155),
    [anon_sym_BSLASHglstext] = ACTIONS(7155),
    [anon_sym_BSLASHGlstext] = ACTIONS(7155),
    [anon_sym_BSLASHGLStext] = ACTIONS(7155),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7155),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7155),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7155),
    [anon_sym_BSLASHglsplural] = ACTIONS(7155),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7155),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7155),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7155),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7155),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7155),
    [anon_sym_BSLASHglsname] = ACTIONS(7155),
    [anon_sym_BSLASHGlsname] = ACTIONS(7155),
    [anon_sym_BSLASHGLSname] = ACTIONS(7155),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7155),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7155),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7155),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7155),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7155),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7155),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7155),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7155),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7155),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7155),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7155),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7155),
    [anon_sym_BSLASHacrshort] = ACTIONS(7155),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7155),
    [anon_sym_BSLASHACRshort] = ACTIONS(7155),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHacrlong] = ACTIONS(7155),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7155),
    [anon_sym_BSLASHACRlong] = ACTIONS(7155),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7155),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7155),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7155),
    [anon_sym_BSLASHacrfull] = ACTIONS(7155),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7155),
    [anon_sym_BSLASHACRfull] = ACTIONS(7155),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHacs] = ACTIONS(7155),
    [anon_sym_BSLASHAcs] = ACTIONS(7155),
    [anon_sym_BSLASHacsp] = ACTIONS(7155),
    [anon_sym_BSLASHAcsp] = ACTIONS(7155),
    [anon_sym_BSLASHacl] = ACTIONS(7155),
    [anon_sym_BSLASHAcl] = ACTIONS(7155),
    [anon_sym_BSLASHaclp] = ACTIONS(7155),
    [anon_sym_BSLASHAclp] = ACTIONS(7155),
    [anon_sym_BSLASHacf] = ACTIONS(7155),
    [anon_sym_BSLASHAcf] = ACTIONS(7155),
    [anon_sym_BSLASHacfp] = ACTIONS(7155),
    [anon_sym_BSLASHAcfp] = ACTIONS(7155),
    [anon_sym_BSLASHac] = ACTIONS(7155),
    [anon_sym_BSLASHAc] = ACTIONS(7155),
    [anon_sym_BSLASHacp] = ACTIONS(7155),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7155),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7155),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7155),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7155),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7155),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7155),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7155),
    [anon_sym_BSLASHcolor] = ACTIONS(7155),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7155),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7155),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7155),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7155),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7155),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7155),
    [anon_sym_BSLASHurl] = ACTIONS(7155),
    [anon_sym_BSLASHhref] = ACTIONS(7155),
  },
  [1419] = {
    [sym_command_name] = ACTIONS(7199),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7199),
    [anon_sym_LBRACK] = ACTIONS(7201),
    [anon_sym_RBRACK] = ACTIONS(7201),
    [anon_sym_COMMA] = ACTIONS(7201),
    [anon_sym_EQ] = ACTIONS(7201),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_RPAREN] = ACTIONS(7201),
    [anon_sym_BSLASHpart] = ACTIONS(7199),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHaddpart] = ACTIONS(7199),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHchapter] = ACTIONS(7199),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHaddchap] = ACTIONS(7199),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHsection] = ACTIONS(7199),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHaddsec] = ACTIONS(7199),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHsubsection] = ACTIONS(7199),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHparagraph] = ACTIONS(7199),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7199),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHitem] = ACTIONS(7199),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7201),
    [anon_sym_LBRACE] = ACTIONS(7201),
    [sym_word] = ACTIONS(7199),
    [sym_placeholder] = ACTIONS(7201),
    [sym_delimiter] = ACTIONS(7201),
    [anon_sym_PLUS] = ACTIONS(7201),
    [anon_sym_DASH] = ACTIONS(7201),
    [anon_sym_STAR] = ACTIONS(7201),
    [anon_sym_SLASH] = ACTIONS(7201),
    [anon_sym_LT] = ACTIONS(7199),
    [anon_sym_GT] = ACTIONS(7199),
    [anon_sym_BANG] = ACTIONS(7199),
    [anon_sym_PIPE] = ACTIONS(7199),
    [anon_sym_COLON] = ACTIONS(7199),
    [anon_sym_SQUOTE] = ACTIONS(7199),
    [anon_sym__] = ACTIONS(7201),
    [anon_sym_CARET] = ACTIONS(7201),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7201),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7201),
    [anon_sym_DOLLAR] = ACTIONS(7199),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7201),
    [anon_sym_BSLASHleft] = ACTIONS(7199),
    [anon_sym_BSLASHbigl] = ACTIONS(7199),
    [anon_sym_BSLASHBigl] = ACTIONS(7199),
    [anon_sym_BSLASHbiggl] = ACTIONS(7199),
    [anon_sym_BSLASHBiggl] = ACTIONS(7199),
    [anon_sym_BSLASHtext] = ACTIONS(7199),
    [anon_sym_BSLASHintertext] = ACTIONS(7199),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7199),
    [anon_sym_BSLASHbegin] = ACTIONS(7199),
    [anon_sym_BSLASHend] = ACTIONS(7199),
    [anon_sym_BSLASHtitle] = ACTIONS(7199),
    [anon_sym_BSLASHauthor] = ACTIONS(7199),
    [anon_sym_BSLASHusepackage] = ACTIONS(7199),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7199),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7199),
    [anon_sym_BSLASHinclude] = ACTIONS(7199),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7199),
    [anon_sym_BSLASHinput] = ACTIONS(7199),
    [anon_sym_BSLASHsubfile] = ACTIONS(7199),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7199),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7199),
    [anon_sym_BSLASHbibliography] = ACTIONS(7199),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7199),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7199),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7199),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7199),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7199),
    [anon_sym_BSLASHimport] = ACTIONS(7199),
    [anon_sym_BSLASHsubimport] = ACTIONS(7199),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7199),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7199),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7199),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7199),
    [anon_sym_BSLASHcaption] = ACTIONS(7199),
    [anon_sym_BSLASHcite] = ACTIONS(7199),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCite] = ACTIONS(7199),
    [anon_sym_BSLASHnocite] = ACTIONS(7199),
    [anon_sym_BSLASHcitet] = ACTIONS(7199),
    [anon_sym_BSLASHcitep] = ACTIONS(7199),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteA] = ACTIONS(7199),
    [anon_sym_BSLASHciteR] = ACTIONS(7199),
    [anon_sym_BSLASHciteS] = ACTIONS(7199),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7199),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7199),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7199),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7199),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteyear] = ACTIONS(7199),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitedate] = ACTIONS(7199),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteurl] = ACTIONS(7199),
    [anon_sym_BSLASHfullcite] = ACTIONS(7199),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7199),
    [anon_sym_BSLASHcitealt] = ACTIONS(7199),
    [anon_sym_BSLASHcitealp] = ACTIONS(7199),
    [anon_sym_BSLASHcitetext] = ACTIONS(7199),
    [anon_sym_BSLASHparencite] = ACTIONS(7199),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHParencite] = ACTIONS(7199),
    [anon_sym_BSLASHfootcite] = ACTIONS(7199),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7199),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7199),
    [anon_sym_BSLASHtextcite] = ACTIONS(7199),
    [anon_sym_BSLASHTextcite] = ACTIONS(7199),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7199),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7199),
    [anon_sym_BSLASHsupercite] = ACTIONS(7199),
    [anon_sym_BSLASHautocite] = ACTIONS(7199),
    [anon_sym_BSLASHAutocite] = ACTIONS(7199),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHVolcite] = ACTIONS(7199),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHavolcite] = ACTIONS(7199),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHNotecite] = ACTIONS(7199),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHlabel] = ACTIONS(7199),
    [anon_sym_BSLASHref] = ACTIONS(7199),
    [anon_sym_BSLASHeqref] = ACTIONS(7199),
    [anon_sym_BSLASHvref] = ACTIONS(7199),
    [anon_sym_BSLASHVref] = ACTIONS(7199),
    [anon_sym_BSLASHautoref] = ACTIONS(7199),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHpageref] = ACTIONS(7199),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHautopageref] = ACTIONS(7199),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcref] = ACTIONS(7199),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCref] = ACTIONS(7199),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcpageref] = ACTIONS(7199),
    [anon_sym_BSLASHCpageref] = ACTIONS(7199),
    [anon_sym_BSLASHnamecref] = ACTIONS(7199),
    [anon_sym_BSLASHnameCref] = ACTIONS(7199),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7199),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7199),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7199),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7199),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7199),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7199),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7199),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7199),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7199),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7199),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7199),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHdef] = ACTIONS(7199),
    [anon_sym_BSLASHgdef] = ACTIONS(7199),
    [anon_sym_BSLASHedef] = ACTIONS(7199),
    [anon_sym_BSLASHxdef] = ACTIONS(7199),
    [anon_sym_BSLASHlet] = ACTIONS(7199),
    [anon_sym_BSLASHglet] = ACTIONS(7199),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7199),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7199),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7199),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7199),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7199),
    [anon_sym_BSLASHgls] = ACTIONS(7199),
    [anon_sym_BSLASHGls] = ACTIONS(7199),
    [anon_sym_BSLASHGLS] = ACTIONS(7199),
    [anon_sym_BSLASHglspl] = ACTIONS(7199),
    [anon_sym_BSLASHGlspl] = ACTIONS(7199),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7199),
    [anon_sym_BSLASHglslink] = ACTIONS(7199),
    [anon_sym_BSLASHglstext] = ACTIONS(7199),
    [anon_sym_BSLASHGlstext] = ACTIONS(7199),
    [anon_sym_BSLASHGLStext] = ACTIONS(7199),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7199),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7199),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7199),
    [anon_sym_BSLASHglsplural] = ACTIONS(7199),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7199),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7199),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHglsname] = ACTIONS(7199),
    [anon_sym_BSLASHGlsname] = ACTIONS(7199),
    [anon_sym_BSLASHGLSname] = ACTIONS(7199),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7199),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7199),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7199),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7199),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7199),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7199),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7199),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7199),
    [anon_sym_BSLASHacrshort] = ACTIONS(7199),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7199),
    [anon_sym_BSLASHACRshort] = ACTIONS(7199),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHacrlong] = ACTIONS(7199),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7199),
    [anon_sym_BSLASHACRlong] = ACTIONS(7199),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHacrfull] = ACTIONS(7199),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7199),
    [anon_sym_BSLASHACRfull] = ACTIONS(7199),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHacs] = ACTIONS(7199),
    [anon_sym_BSLASHAcs] = ACTIONS(7199),
    [anon_sym_BSLASHacsp] = ACTIONS(7199),
    [anon_sym_BSLASHAcsp] = ACTIONS(7199),
    [anon_sym_BSLASHacl] = ACTIONS(7199),
    [anon_sym_BSLASHAcl] = ACTIONS(7199),
    [anon_sym_BSLASHaclp] = ACTIONS(7199),
    [anon_sym_BSLASHAclp] = ACTIONS(7199),
    [anon_sym_BSLASHacf] = ACTIONS(7199),
    [anon_sym_BSLASHAcf] = ACTIONS(7199),
    [anon_sym_BSLASHacfp] = ACTIONS(7199),
    [anon_sym_BSLASHAcfp] = ACTIONS(7199),
    [anon_sym_BSLASHac] = ACTIONS(7199),
    [anon_sym_BSLASHAc] = ACTIONS(7199),
    [anon_sym_BSLASHacp] = ACTIONS(7199),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7199),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7199),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7199),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7199),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7199),
    [anon_sym_BSLASHcolor] = ACTIONS(7199),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7199),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7199),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7199),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7199),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7199),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7199),
    [anon_sym_BSLASHurl] = ACTIONS(7199),
    [anon_sym_BSLASHhref] = ACTIONS(7199),
  },
  [1420] = {
    [sym_command_name] = ACTIONS(7203),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7203),
    [anon_sym_LBRACK] = ACTIONS(7205),
    [anon_sym_RBRACK] = ACTIONS(7205),
    [anon_sym_COMMA] = ACTIONS(7205),
    [anon_sym_EQ] = ACTIONS(7205),
    [anon_sym_LPAREN] = ACTIONS(7205),
    [anon_sym_RPAREN] = ACTIONS(7205),
    [anon_sym_BSLASHpart] = ACTIONS(7203),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHaddpart] = ACTIONS(7203),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHchapter] = ACTIONS(7203),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHaddchap] = ACTIONS(7203),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHsection] = ACTIONS(7203),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHaddsec] = ACTIONS(7203),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHsubsection] = ACTIONS(7203),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7203),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHparagraph] = ACTIONS(7203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7203),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHitem] = ACTIONS(7203),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7205),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [sym_word] = ACTIONS(7203),
    [sym_placeholder] = ACTIONS(7205),
    [sym_delimiter] = ACTIONS(7205),
    [anon_sym_PLUS] = ACTIONS(7205),
    [anon_sym_DASH] = ACTIONS(7205),
    [anon_sym_STAR] = ACTIONS(7205),
    [anon_sym_SLASH] = ACTIONS(7205),
    [anon_sym_LT] = ACTIONS(7203),
    [anon_sym_GT] = ACTIONS(7203),
    [anon_sym_BANG] = ACTIONS(7203),
    [anon_sym_PIPE] = ACTIONS(7203),
    [anon_sym_COLON] = ACTIONS(7203),
    [anon_sym_SQUOTE] = ACTIONS(7203),
    [anon_sym__] = ACTIONS(7205),
    [anon_sym_CARET] = ACTIONS(7205),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7205),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7203),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7205),
    [anon_sym_BSLASHleft] = ACTIONS(7203),
    [anon_sym_BSLASHbigl] = ACTIONS(7203),
    [anon_sym_BSLASHBigl] = ACTIONS(7203),
    [anon_sym_BSLASHbiggl] = ACTIONS(7203),
    [anon_sym_BSLASHBiggl] = ACTIONS(7203),
    [anon_sym_BSLASHtext] = ACTIONS(7203),
    [anon_sym_BSLASHintertext] = ACTIONS(7203),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7203),
    [anon_sym_BSLASHbegin] = ACTIONS(7203),
    [anon_sym_BSLASHend] = ACTIONS(7203),
    [anon_sym_BSLASHtitle] = ACTIONS(7203),
    [anon_sym_BSLASHauthor] = ACTIONS(7203),
    [anon_sym_BSLASHusepackage] = ACTIONS(7203),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7203),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7203),
    [anon_sym_BSLASHinclude] = ACTIONS(7203),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7203),
    [anon_sym_BSLASHinput] = ACTIONS(7203),
    [anon_sym_BSLASHsubfile] = ACTIONS(7203),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7203),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7203),
    [anon_sym_BSLASHbibliography] = ACTIONS(7203),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7203),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7203),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7203),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7203),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7203),
    [anon_sym_BSLASHimport] = ACTIONS(7203),
    [anon_sym_BSLASHsubimport] = ACTIONS(7203),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7203),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7203),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7203),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7203),
    [anon_sym_BSLASHcaption] = ACTIONS(7203),
    [anon_sym_BSLASHcite] = ACTIONS(7203),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCite] = ACTIONS(7203),
    [anon_sym_BSLASHnocite] = ACTIONS(7203),
    [anon_sym_BSLASHcitet] = ACTIONS(7203),
    [anon_sym_BSLASHcitep] = ACTIONS(7203),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteA] = ACTIONS(7203),
    [anon_sym_BSLASHciteR] = ACTIONS(7203),
    [anon_sym_BSLASHciteS] = ACTIONS(7203),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7203),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7203),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7203),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7203),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteyear] = ACTIONS(7203),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitedate] = ACTIONS(7203),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteurl] = ACTIONS(7203),
    [anon_sym_BSLASHfullcite] = ACTIONS(7203),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7203),
    [anon_sym_BSLASHcitealt] = ACTIONS(7203),
    [anon_sym_BSLASHcitealp] = ACTIONS(7203),
    [anon_sym_BSLASHcitetext] = ACTIONS(7203),
    [anon_sym_BSLASHparencite] = ACTIONS(7203),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHParencite] = ACTIONS(7203),
    [anon_sym_BSLASHfootcite] = ACTIONS(7203),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7203),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7203),
    [anon_sym_BSLASHtextcite] = ACTIONS(7203),
    [anon_sym_BSLASHTextcite] = ACTIONS(7203),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7203),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7203),
    [anon_sym_BSLASHsupercite] = ACTIONS(7203),
    [anon_sym_BSLASHautocite] = ACTIONS(7203),
    [anon_sym_BSLASHAutocite] = ACTIONS(7203),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHVolcite] = ACTIONS(7203),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHavolcite] = ACTIONS(7203),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHNotecite] = ACTIONS(7203),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHlabel] = ACTIONS(7203),
    [anon_sym_BSLASHref] = ACTIONS(7203),
    [anon_sym_BSLASHeqref] = ACTIONS(7203),
    [anon_sym_BSLASHvref] = ACTIONS(7203),
    [anon_sym_BSLASHVref] = ACTIONS(7203),
    [anon_sym_BSLASHautoref] = ACTIONS(7203),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHpageref] = ACTIONS(7203),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHautopageref] = ACTIONS(7203),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcref] = ACTIONS(7203),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCref] = ACTIONS(7203),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcpageref] = ACTIONS(7203),
    [anon_sym_BSLASHCpageref] = ACTIONS(7203),
    [anon_sym_BSLASHnamecref] = ACTIONS(7203),
    [anon_sym_BSLASHnameCref] = ACTIONS(7203),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7203),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7203),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7203),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7203),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7203),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7203),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7203),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7203),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7203),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7203),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7203),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHdef] = ACTIONS(7203),
    [anon_sym_BSLASHgdef] = ACTIONS(7203),
    [anon_sym_BSLASHedef] = ACTIONS(7203),
    [anon_sym_BSLASHxdef] = ACTIONS(7203),
    [anon_sym_BSLASHlet] = ACTIONS(7203),
    [anon_sym_BSLASHglet] = ACTIONS(7203),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7203),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7203),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7203),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7203),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7203),
    [anon_sym_BSLASHgls] = ACTIONS(7203),
    [anon_sym_BSLASHGls] = ACTIONS(7203),
    [anon_sym_BSLASHGLS] = ACTIONS(7203),
    [anon_sym_BSLASHglspl] = ACTIONS(7203),
    [anon_sym_BSLASHGlspl] = ACTIONS(7203),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7203),
    [anon_sym_BSLASHglslink] = ACTIONS(7203),
    [anon_sym_BSLASHglstext] = ACTIONS(7203),
    [anon_sym_BSLASHGlstext] = ACTIONS(7203),
    [anon_sym_BSLASHGLStext] = ACTIONS(7203),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7203),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7203),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7203),
    [anon_sym_BSLASHglsplural] = ACTIONS(7203),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7203),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7203),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHglsname] = ACTIONS(7203),
    [anon_sym_BSLASHGlsname] = ACTIONS(7203),
    [anon_sym_BSLASHGLSname] = ACTIONS(7203),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7203),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7203),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7203),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7203),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7203),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7203),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7203),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7203),
    [anon_sym_BSLASHacrshort] = ACTIONS(7203),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7203),
    [anon_sym_BSLASHACRshort] = ACTIONS(7203),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHacrlong] = ACTIONS(7203),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7203),
    [anon_sym_BSLASHACRlong] = ACTIONS(7203),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHacrfull] = ACTIONS(7203),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7203),
    [anon_sym_BSLASHACRfull] = ACTIONS(7203),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHacs] = ACTIONS(7203),
    [anon_sym_BSLASHAcs] = ACTIONS(7203),
    [anon_sym_BSLASHacsp] = ACTIONS(7203),
    [anon_sym_BSLASHAcsp] = ACTIONS(7203),
    [anon_sym_BSLASHacl] = ACTIONS(7203),
    [anon_sym_BSLASHAcl] = ACTIONS(7203),
    [anon_sym_BSLASHaclp] = ACTIONS(7203),
    [anon_sym_BSLASHAclp] = ACTIONS(7203),
    [anon_sym_BSLASHacf] = ACTIONS(7203),
    [anon_sym_BSLASHAcf] = ACTIONS(7203),
    [anon_sym_BSLASHacfp] = ACTIONS(7203),
    [anon_sym_BSLASHAcfp] = ACTIONS(7203),
    [anon_sym_BSLASHac] = ACTIONS(7203),
    [anon_sym_BSLASHAc] = ACTIONS(7203),
    [anon_sym_BSLASHacp] = ACTIONS(7203),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7203),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7203),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7203),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7203),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7203),
    [anon_sym_BSLASHcolor] = ACTIONS(7203),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7203),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7203),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7203),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7203),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7203),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7203),
    [anon_sym_BSLASHurl] = ACTIONS(7203),
    [anon_sym_BSLASHhref] = ACTIONS(7203),
  },
  [1421] = {
    [sym_command_name] = ACTIONS(7207),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7207),
    [anon_sym_LBRACK] = ACTIONS(7209),
    [anon_sym_RBRACK] = ACTIONS(7209),
    [anon_sym_COMMA] = ACTIONS(7209),
    [anon_sym_EQ] = ACTIONS(7209),
    [anon_sym_LPAREN] = ACTIONS(7209),
    [anon_sym_RPAREN] = ACTIONS(7209),
    [anon_sym_BSLASHpart] = ACTIONS(7207),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHaddpart] = ACTIONS(7207),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHchapter] = ACTIONS(7207),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHaddchap] = ACTIONS(7207),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHsection] = ACTIONS(7207),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHaddsec] = ACTIONS(7207),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHsubsection] = ACTIONS(7207),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7207),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHparagraph] = ACTIONS(7207),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHitem] = ACTIONS(7207),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7209),
    [anon_sym_LBRACE] = ACTIONS(7209),
    [sym_word] = ACTIONS(7207),
    [sym_placeholder] = ACTIONS(7209),
    [sym_delimiter] = ACTIONS(7209),
    [anon_sym_PLUS] = ACTIONS(7209),
    [anon_sym_DASH] = ACTIONS(7209),
    [anon_sym_STAR] = ACTIONS(7209),
    [anon_sym_SLASH] = ACTIONS(7209),
    [anon_sym_LT] = ACTIONS(7207),
    [anon_sym_GT] = ACTIONS(7207),
    [anon_sym_BANG] = ACTIONS(7207),
    [anon_sym_PIPE] = ACTIONS(7207),
    [anon_sym_COLON] = ACTIONS(7207),
    [anon_sym_SQUOTE] = ACTIONS(7207),
    [anon_sym__] = ACTIONS(7209),
    [anon_sym_CARET] = ACTIONS(7209),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7209),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7209),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7209),
    [anon_sym_BSLASHleft] = ACTIONS(7207),
    [anon_sym_BSLASHbigl] = ACTIONS(7207),
    [anon_sym_BSLASHBigl] = ACTIONS(7207),
    [anon_sym_BSLASHbiggl] = ACTIONS(7207),
    [anon_sym_BSLASHBiggl] = ACTIONS(7207),
    [anon_sym_BSLASHtext] = ACTIONS(7207),
    [anon_sym_BSLASHintertext] = ACTIONS(7207),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7207),
    [anon_sym_BSLASHbegin] = ACTIONS(7207),
    [anon_sym_BSLASHend] = ACTIONS(7207),
    [anon_sym_BSLASHtitle] = ACTIONS(7207),
    [anon_sym_BSLASHauthor] = ACTIONS(7207),
    [anon_sym_BSLASHusepackage] = ACTIONS(7207),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7207),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7207),
    [anon_sym_BSLASHinclude] = ACTIONS(7207),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7207),
    [anon_sym_BSLASHinput] = ACTIONS(7207),
    [anon_sym_BSLASHsubfile] = ACTIONS(7207),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7207),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7207),
    [anon_sym_BSLASHbibliography] = ACTIONS(7207),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7207),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7207),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7207),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7207),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7207),
    [anon_sym_BSLASHimport] = ACTIONS(7207),
    [anon_sym_BSLASHsubimport] = ACTIONS(7207),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7207),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7207),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7207),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7207),
    [anon_sym_BSLASHcaption] = ACTIONS(7207),
    [anon_sym_BSLASHcite] = ACTIONS(7207),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCite] = ACTIONS(7207),
    [anon_sym_BSLASHnocite] = ACTIONS(7207),
    [anon_sym_BSLASHcitet] = ACTIONS(7207),
    [anon_sym_BSLASHcitep] = ACTIONS(7207),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteA] = ACTIONS(7207),
    [anon_sym_BSLASHciteR] = ACTIONS(7207),
    [anon_sym_BSLASHciteS] = ACTIONS(7207),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7207),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7207),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7207),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7207),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteyear] = ACTIONS(7207),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitedate] = ACTIONS(7207),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteurl] = ACTIONS(7207),
    [anon_sym_BSLASHfullcite] = ACTIONS(7207),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7207),
    [anon_sym_BSLASHcitealt] = ACTIONS(7207),
    [anon_sym_BSLASHcitealp] = ACTIONS(7207),
    [anon_sym_BSLASHcitetext] = ACTIONS(7207),
    [anon_sym_BSLASHparencite] = ACTIONS(7207),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHParencite] = ACTIONS(7207),
    [anon_sym_BSLASHfootcite] = ACTIONS(7207),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7207),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7207),
    [anon_sym_BSLASHtextcite] = ACTIONS(7207),
    [anon_sym_BSLASHTextcite] = ACTIONS(7207),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7207),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7207),
    [anon_sym_BSLASHsupercite] = ACTIONS(7207),
    [anon_sym_BSLASHautocite] = ACTIONS(7207),
    [anon_sym_BSLASHAutocite] = ACTIONS(7207),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHVolcite] = ACTIONS(7207),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHavolcite] = ACTIONS(7207),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHNotecite] = ACTIONS(7207),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHlabel] = ACTIONS(7207),
    [anon_sym_BSLASHref] = ACTIONS(7207),
    [anon_sym_BSLASHeqref] = ACTIONS(7207),
    [anon_sym_BSLASHvref] = ACTIONS(7207),
    [anon_sym_BSLASHVref] = ACTIONS(7207),
    [anon_sym_BSLASHautoref] = ACTIONS(7207),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHpageref] = ACTIONS(7207),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHautopageref] = ACTIONS(7207),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcref] = ACTIONS(7207),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCref] = ACTIONS(7207),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcpageref] = ACTIONS(7207),
    [anon_sym_BSLASHCpageref] = ACTIONS(7207),
    [anon_sym_BSLASHnamecref] = ACTIONS(7207),
    [anon_sym_BSLASHnameCref] = ACTIONS(7207),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7207),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7207),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7207),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7207),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7207),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7207),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7207),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7207),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7207),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7207),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7207),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHdef] = ACTIONS(7207),
    [anon_sym_BSLASHgdef] = ACTIONS(7207),
    [anon_sym_BSLASHedef] = ACTIONS(7207),
    [anon_sym_BSLASHxdef] = ACTIONS(7207),
    [anon_sym_BSLASHlet] = ACTIONS(7207),
    [anon_sym_BSLASHglet] = ACTIONS(7207),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7207),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7207),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7207),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7207),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7207),
    [anon_sym_BSLASHgls] = ACTIONS(7207),
    [anon_sym_BSLASHGls] = ACTIONS(7207),
    [anon_sym_BSLASHGLS] = ACTIONS(7207),
    [anon_sym_BSLASHglspl] = ACTIONS(7207),
    [anon_sym_BSLASHGlspl] = ACTIONS(7207),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7207),
    [anon_sym_BSLASHglslink] = ACTIONS(7207),
    [anon_sym_BSLASHglstext] = ACTIONS(7207),
    [anon_sym_BSLASHGlstext] = ACTIONS(7207),
    [anon_sym_BSLASHGLStext] = ACTIONS(7207),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7207),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7207),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7207),
    [anon_sym_BSLASHglsplural] = ACTIONS(7207),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7207),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7207),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHglsname] = ACTIONS(7207),
    [anon_sym_BSLASHGlsname] = ACTIONS(7207),
    [anon_sym_BSLASHGLSname] = ACTIONS(7207),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7207),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7207),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7207),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7207),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7207),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7207),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7207),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7207),
    [anon_sym_BSLASHacrshort] = ACTIONS(7207),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7207),
    [anon_sym_BSLASHACRshort] = ACTIONS(7207),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHacrlong] = ACTIONS(7207),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7207),
    [anon_sym_BSLASHACRlong] = ACTIONS(7207),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHacrfull] = ACTIONS(7207),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7207),
    [anon_sym_BSLASHACRfull] = ACTIONS(7207),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHacs] = ACTIONS(7207),
    [anon_sym_BSLASHAcs] = ACTIONS(7207),
    [anon_sym_BSLASHacsp] = ACTIONS(7207),
    [anon_sym_BSLASHAcsp] = ACTIONS(7207),
    [anon_sym_BSLASHacl] = ACTIONS(7207),
    [anon_sym_BSLASHAcl] = ACTIONS(7207),
    [anon_sym_BSLASHaclp] = ACTIONS(7207),
    [anon_sym_BSLASHAclp] = ACTIONS(7207),
    [anon_sym_BSLASHacf] = ACTIONS(7207),
    [anon_sym_BSLASHAcf] = ACTIONS(7207),
    [anon_sym_BSLASHacfp] = ACTIONS(7207),
    [anon_sym_BSLASHAcfp] = ACTIONS(7207),
    [anon_sym_BSLASHac] = ACTIONS(7207),
    [anon_sym_BSLASHAc] = ACTIONS(7207),
    [anon_sym_BSLASHacp] = ACTIONS(7207),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7207),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7207),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7207),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7207),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7207),
    [anon_sym_BSLASHcolor] = ACTIONS(7207),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7207),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7207),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7207),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7207),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7207),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7207),
    [anon_sym_BSLASHurl] = ACTIONS(7207),
    [anon_sym_BSLASHhref] = ACTIONS(7207),
  },
  [1422] = {
    [sym_command_name] = ACTIONS(7211),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7211),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_RBRACK] = ACTIONS(7213),
    [anon_sym_COMMA] = ACTIONS(7213),
    [anon_sym_EQ] = ACTIONS(7213),
    [anon_sym_LPAREN] = ACTIONS(7213),
    [anon_sym_RPAREN] = ACTIONS(7213),
    [anon_sym_BSLASHpart] = ACTIONS(7211),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHaddpart] = ACTIONS(7211),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHchapter] = ACTIONS(7211),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHaddchap] = ACTIONS(7211),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHsection] = ACTIONS(7211),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHaddsec] = ACTIONS(7211),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHsubsection] = ACTIONS(7211),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7211),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHparagraph] = ACTIONS(7211),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7211),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHitem] = ACTIONS(7211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7213),
    [anon_sym_LBRACE] = ACTIONS(7213),
    [sym_word] = ACTIONS(7211),
    [sym_placeholder] = ACTIONS(7213),
    [sym_delimiter] = ACTIONS(7213),
    [anon_sym_PLUS] = ACTIONS(7213),
    [anon_sym_DASH] = ACTIONS(7213),
    [anon_sym_STAR] = ACTIONS(7213),
    [anon_sym_SLASH] = ACTIONS(7213),
    [anon_sym_LT] = ACTIONS(7211),
    [anon_sym_GT] = ACTIONS(7211),
    [anon_sym_BANG] = ACTIONS(7211),
    [anon_sym_PIPE] = ACTIONS(7211),
    [anon_sym_COLON] = ACTIONS(7211),
    [anon_sym_SQUOTE] = ACTIONS(7211),
    [anon_sym__] = ACTIONS(7213),
    [anon_sym_CARET] = ACTIONS(7213),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7213),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7213),
    [anon_sym_DOLLAR] = ACTIONS(7211),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7213),
    [anon_sym_BSLASHleft] = ACTIONS(7211),
    [anon_sym_BSLASHbigl] = ACTIONS(7211),
    [anon_sym_BSLASHBigl] = ACTIONS(7211),
    [anon_sym_BSLASHbiggl] = ACTIONS(7211),
    [anon_sym_BSLASHBiggl] = ACTIONS(7211),
    [anon_sym_BSLASHtext] = ACTIONS(7211),
    [anon_sym_BSLASHintertext] = ACTIONS(7211),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7211),
    [anon_sym_BSLASHbegin] = ACTIONS(7211),
    [anon_sym_BSLASHend] = ACTIONS(7211),
    [anon_sym_BSLASHtitle] = ACTIONS(7211),
    [anon_sym_BSLASHauthor] = ACTIONS(7211),
    [anon_sym_BSLASHusepackage] = ACTIONS(7211),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7211),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7211),
    [anon_sym_BSLASHinclude] = ACTIONS(7211),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7211),
    [anon_sym_BSLASHinput] = ACTIONS(7211),
    [anon_sym_BSLASHsubfile] = ACTIONS(7211),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7211),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7211),
    [anon_sym_BSLASHbibliography] = ACTIONS(7211),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7211),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7211),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7211),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7211),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7211),
    [anon_sym_BSLASHimport] = ACTIONS(7211),
    [anon_sym_BSLASHsubimport] = ACTIONS(7211),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7211),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7211),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7211),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7211),
    [anon_sym_BSLASHcaption] = ACTIONS(7211),
    [anon_sym_BSLASHcite] = ACTIONS(7211),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCite] = ACTIONS(7211),
    [anon_sym_BSLASHnocite] = ACTIONS(7211),
    [anon_sym_BSLASHcitet] = ACTIONS(7211),
    [anon_sym_BSLASHcitep] = ACTIONS(7211),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteA] = ACTIONS(7211),
    [anon_sym_BSLASHciteR] = ACTIONS(7211),
    [anon_sym_BSLASHciteS] = ACTIONS(7211),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7211),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7211),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7211),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7211),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteyear] = ACTIONS(7211),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitedate] = ACTIONS(7211),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteurl] = ACTIONS(7211),
    [anon_sym_BSLASHfullcite] = ACTIONS(7211),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7211),
    [anon_sym_BSLASHcitealt] = ACTIONS(7211),
    [anon_sym_BSLASHcitealp] = ACTIONS(7211),
    [anon_sym_BSLASHcitetext] = ACTIONS(7211),
    [anon_sym_BSLASHparencite] = ACTIONS(7211),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHParencite] = ACTIONS(7211),
    [anon_sym_BSLASHfootcite] = ACTIONS(7211),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7211),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7211),
    [anon_sym_BSLASHtextcite] = ACTIONS(7211),
    [anon_sym_BSLASHTextcite] = ACTIONS(7211),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7211),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7211),
    [anon_sym_BSLASHsupercite] = ACTIONS(7211),
    [anon_sym_BSLASHautocite] = ACTIONS(7211),
    [anon_sym_BSLASHAutocite] = ACTIONS(7211),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHVolcite] = ACTIONS(7211),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHavolcite] = ACTIONS(7211),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHNotecite] = ACTIONS(7211),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHlabel] = ACTIONS(7211),
    [anon_sym_BSLASHref] = ACTIONS(7211),
    [anon_sym_BSLASHeqref] = ACTIONS(7211),
    [anon_sym_BSLASHvref] = ACTIONS(7211),
    [anon_sym_BSLASHVref] = ACTIONS(7211),
    [anon_sym_BSLASHautoref] = ACTIONS(7211),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHpageref] = ACTIONS(7211),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHautopageref] = ACTIONS(7211),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcref] = ACTIONS(7211),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCref] = ACTIONS(7211),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcpageref] = ACTIONS(7211),
    [anon_sym_BSLASHCpageref] = ACTIONS(7211),
    [anon_sym_BSLASHnamecref] = ACTIONS(7211),
    [anon_sym_BSLASHnameCref] = ACTIONS(7211),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7211),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7211),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7211),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7211),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7211),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7211),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7211),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7211),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7211),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7211),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7211),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHdef] = ACTIONS(7211),
    [anon_sym_BSLASHgdef] = ACTIONS(7211),
    [anon_sym_BSLASHedef] = ACTIONS(7211),
    [anon_sym_BSLASHxdef] = ACTIONS(7211),
    [anon_sym_BSLASHlet] = ACTIONS(7211),
    [anon_sym_BSLASHglet] = ACTIONS(7211),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7211),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7211),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7211),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7211),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7211),
    [anon_sym_BSLASHgls] = ACTIONS(7211),
    [anon_sym_BSLASHGls] = ACTIONS(7211),
    [anon_sym_BSLASHGLS] = ACTIONS(7211),
    [anon_sym_BSLASHglspl] = ACTIONS(7211),
    [anon_sym_BSLASHGlspl] = ACTIONS(7211),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7211),
    [anon_sym_BSLASHglslink] = ACTIONS(7211),
    [anon_sym_BSLASHglstext] = ACTIONS(7211),
    [anon_sym_BSLASHGlstext] = ACTIONS(7211),
    [anon_sym_BSLASHGLStext] = ACTIONS(7211),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7211),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7211),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7211),
    [anon_sym_BSLASHglsplural] = ACTIONS(7211),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7211),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7211),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHglsname] = ACTIONS(7211),
    [anon_sym_BSLASHGlsname] = ACTIONS(7211),
    [anon_sym_BSLASHGLSname] = ACTIONS(7211),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7211),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7211),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7211),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7211),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7211),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7211),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7211),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7211),
    [anon_sym_BSLASHacrshort] = ACTIONS(7211),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7211),
    [anon_sym_BSLASHACRshort] = ACTIONS(7211),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHacrlong] = ACTIONS(7211),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7211),
    [anon_sym_BSLASHACRlong] = ACTIONS(7211),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHacrfull] = ACTIONS(7211),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7211),
    [anon_sym_BSLASHACRfull] = ACTIONS(7211),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHacs] = ACTIONS(7211),
    [anon_sym_BSLASHAcs] = ACTIONS(7211),
    [anon_sym_BSLASHacsp] = ACTIONS(7211),
    [anon_sym_BSLASHAcsp] = ACTIONS(7211),
    [anon_sym_BSLASHacl] = ACTIONS(7211),
    [anon_sym_BSLASHAcl] = ACTIONS(7211),
    [anon_sym_BSLASHaclp] = ACTIONS(7211),
    [anon_sym_BSLASHAclp] = ACTIONS(7211),
    [anon_sym_BSLASHacf] = ACTIONS(7211),
    [anon_sym_BSLASHAcf] = ACTIONS(7211),
    [anon_sym_BSLASHacfp] = ACTIONS(7211),
    [anon_sym_BSLASHAcfp] = ACTIONS(7211),
    [anon_sym_BSLASHac] = ACTIONS(7211),
    [anon_sym_BSLASHAc] = ACTIONS(7211),
    [anon_sym_BSLASHacp] = ACTIONS(7211),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7211),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7211),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7211),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7211),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7211),
    [anon_sym_BSLASHcolor] = ACTIONS(7211),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7211),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7211),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7211),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7211),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7211),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7211),
    [anon_sym_BSLASHurl] = ACTIONS(7211),
    [anon_sym_BSLASHhref] = ACTIONS(7211),
  },
  [1423] = {
    [sym_command_name] = ACTIONS(7215),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7215),
    [anon_sym_LBRACK] = ACTIONS(7217),
    [anon_sym_RBRACK] = ACTIONS(7217),
    [anon_sym_COMMA] = ACTIONS(7217),
    [anon_sym_EQ] = ACTIONS(7217),
    [anon_sym_LPAREN] = ACTIONS(7217),
    [anon_sym_RPAREN] = ACTIONS(7217),
    [anon_sym_BSLASHpart] = ACTIONS(7215),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHaddpart] = ACTIONS(7215),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHchapter] = ACTIONS(7215),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHaddchap] = ACTIONS(7215),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHsection] = ACTIONS(7215),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHaddsec] = ACTIONS(7215),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHsubsection] = ACTIONS(7215),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7215),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHparagraph] = ACTIONS(7215),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7215),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHitem] = ACTIONS(7215),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7217),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [sym_word] = ACTIONS(7215),
    [sym_placeholder] = ACTIONS(7217),
    [sym_delimiter] = ACTIONS(7217),
    [anon_sym_PLUS] = ACTIONS(7217),
    [anon_sym_DASH] = ACTIONS(7217),
    [anon_sym_STAR] = ACTIONS(7217),
    [anon_sym_SLASH] = ACTIONS(7217),
    [anon_sym_LT] = ACTIONS(7215),
    [anon_sym_GT] = ACTIONS(7215),
    [anon_sym_BANG] = ACTIONS(7215),
    [anon_sym_PIPE] = ACTIONS(7215),
    [anon_sym_COLON] = ACTIONS(7215),
    [anon_sym_SQUOTE] = ACTIONS(7215),
    [anon_sym__] = ACTIONS(7217),
    [anon_sym_CARET] = ACTIONS(7217),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7217),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7217),
    [anon_sym_DOLLAR] = ACTIONS(7215),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7217),
    [anon_sym_BSLASHleft] = ACTIONS(7215),
    [anon_sym_BSLASHbigl] = ACTIONS(7215),
    [anon_sym_BSLASHBigl] = ACTIONS(7215),
    [anon_sym_BSLASHbiggl] = ACTIONS(7215),
    [anon_sym_BSLASHBiggl] = ACTIONS(7215),
    [anon_sym_BSLASHtext] = ACTIONS(7215),
    [anon_sym_BSLASHintertext] = ACTIONS(7215),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7215),
    [anon_sym_BSLASHbegin] = ACTIONS(7215),
    [anon_sym_BSLASHend] = ACTIONS(7215),
    [anon_sym_BSLASHtitle] = ACTIONS(7215),
    [anon_sym_BSLASHauthor] = ACTIONS(7215),
    [anon_sym_BSLASHusepackage] = ACTIONS(7215),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7215),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7215),
    [anon_sym_BSLASHinclude] = ACTIONS(7215),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7215),
    [anon_sym_BSLASHinput] = ACTIONS(7215),
    [anon_sym_BSLASHsubfile] = ACTIONS(7215),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7215),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7215),
    [anon_sym_BSLASHbibliography] = ACTIONS(7215),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7215),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7215),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7215),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7215),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7215),
    [anon_sym_BSLASHimport] = ACTIONS(7215),
    [anon_sym_BSLASHsubimport] = ACTIONS(7215),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7215),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7215),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7215),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7215),
    [anon_sym_BSLASHcaption] = ACTIONS(7215),
    [anon_sym_BSLASHcite] = ACTIONS(7215),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCite] = ACTIONS(7215),
    [anon_sym_BSLASHnocite] = ACTIONS(7215),
    [anon_sym_BSLASHcitet] = ACTIONS(7215),
    [anon_sym_BSLASHcitep] = ACTIONS(7215),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteA] = ACTIONS(7215),
    [anon_sym_BSLASHciteR] = ACTIONS(7215),
    [anon_sym_BSLASHciteS] = ACTIONS(7215),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7215),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7215),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7215),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7215),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteyear] = ACTIONS(7215),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitedate] = ACTIONS(7215),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteurl] = ACTIONS(7215),
    [anon_sym_BSLASHfullcite] = ACTIONS(7215),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7215),
    [anon_sym_BSLASHcitealt] = ACTIONS(7215),
    [anon_sym_BSLASHcitealp] = ACTIONS(7215),
    [anon_sym_BSLASHcitetext] = ACTIONS(7215),
    [anon_sym_BSLASHparencite] = ACTIONS(7215),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHParencite] = ACTIONS(7215),
    [anon_sym_BSLASHfootcite] = ACTIONS(7215),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7215),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7215),
    [anon_sym_BSLASHtextcite] = ACTIONS(7215),
    [anon_sym_BSLASHTextcite] = ACTIONS(7215),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7215),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7215),
    [anon_sym_BSLASHsupercite] = ACTIONS(7215),
    [anon_sym_BSLASHautocite] = ACTIONS(7215),
    [anon_sym_BSLASHAutocite] = ACTIONS(7215),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHVolcite] = ACTIONS(7215),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHavolcite] = ACTIONS(7215),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHNotecite] = ACTIONS(7215),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHlabel] = ACTIONS(7215),
    [anon_sym_BSLASHref] = ACTIONS(7215),
    [anon_sym_BSLASHeqref] = ACTIONS(7215),
    [anon_sym_BSLASHvref] = ACTIONS(7215),
    [anon_sym_BSLASHVref] = ACTIONS(7215),
    [anon_sym_BSLASHautoref] = ACTIONS(7215),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHpageref] = ACTIONS(7215),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHautopageref] = ACTIONS(7215),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcref] = ACTIONS(7215),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCref] = ACTIONS(7215),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcpageref] = ACTIONS(7215),
    [anon_sym_BSLASHCpageref] = ACTIONS(7215),
    [anon_sym_BSLASHnamecref] = ACTIONS(7215),
    [anon_sym_BSLASHnameCref] = ACTIONS(7215),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7215),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7215),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7215),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7215),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7215),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7215),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7215),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7215),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7215),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7215),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7215),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHdef] = ACTIONS(7215),
    [anon_sym_BSLASHgdef] = ACTIONS(7215),
    [anon_sym_BSLASHedef] = ACTIONS(7215),
    [anon_sym_BSLASHxdef] = ACTIONS(7215),
    [anon_sym_BSLASHlet] = ACTIONS(7215),
    [anon_sym_BSLASHglet] = ACTIONS(7215),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7215),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7215),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7215),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7215),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7215),
    [anon_sym_BSLASHgls] = ACTIONS(7215),
    [anon_sym_BSLASHGls] = ACTIONS(7215),
    [anon_sym_BSLASHGLS] = ACTIONS(7215),
    [anon_sym_BSLASHglspl] = ACTIONS(7215),
    [anon_sym_BSLASHGlspl] = ACTIONS(7215),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7215),
    [anon_sym_BSLASHglslink] = ACTIONS(7215),
    [anon_sym_BSLASHglstext] = ACTIONS(7215),
    [anon_sym_BSLASHGlstext] = ACTIONS(7215),
    [anon_sym_BSLASHGLStext] = ACTIONS(7215),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7215),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7215),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7215),
    [anon_sym_BSLASHglsplural] = ACTIONS(7215),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7215),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7215),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHglsname] = ACTIONS(7215),
    [anon_sym_BSLASHGlsname] = ACTIONS(7215),
    [anon_sym_BSLASHGLSname] = ACTIONS(7215),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7215),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7215),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7215),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7215),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7215),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7215),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7215),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7215),
    [anon_sym_BSLASHacrshort] = ACTIONS(7215),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7215),
    [anon_sym_BSLASHACRshort] = ACTIONS(7215),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHacrlong] = ACTIONS(7215),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7215),
    [anon_sym_BSLASHACRlong] = ACTIONS(7215),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHacrfull] = ACTIONS(7215),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7215),
    [anon_sym_BSLASHACRfull] = ACTIONS(7215),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHacs] = ACTIONS(7215),
    [anon_sym_BSLASHAcs] = ACTIONS(7215),
    [anon_sym_BSLASHacsp] = ACTIONS(7215),
    [anon_sym_BSLASHAcsp] = ACTIONS(7215),
    [anon_sym_BSLASHacl] = ACTIONS(7215),
    [anon_sym_BSLASHAcl] = ACTIONS(7215),
    [anon_sym_BSLASHaclp] = ACTIONS(7215),
    [anon_sym_BSLASHAclp] = ACTIONS(7215),
    [anon_sym_BSLASHacf] = ACTIONS(7215),
    [anon_sym_BSLASHAcf] = ACTIONS(7215),
    [anon_sym_BSLASHacfp] = ACTIONS(7215),
    [anon_sym_BSLASHAcfp] = ACTIONS(7215),
    [anon_sym_BSLASHac] = ACTIONS(7215),
    [anon_sym_BSLASHAc] = ACTIONS(7215),
    [anon_sym_BSLASHacp] = ACTIONS(7215),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7215),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7215),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7215),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7215),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7215),
    [anon_sym_BSLASHcolor] = ACTIONS(7215),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7215),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7215),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7215),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7215),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7215),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7215),
    [anon_sym_BSLASHurl] = ACTIONS(7215),
    [anon_sym_BSLASHhref] = ACTIONS(7215),
  },
  [1424] = {
    [sym_command_name] = ACTIONS(7159),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7159),
    [anon_sym_LBRACK] = ACTIONS(7161),
    [anon_sym_RBRACK] = ACTIONS(7161),
    [anon_sym_COMMA] = ACTIONS(7161),
    [anon_sym_EQ] = ACTIONS(7161),
    [anon_sym_LPAREN] = ACTIONS(7161),
    [anon_sym_RPAREN] = ACTIONS(7161),
    [anon_sym_BSLASHpart] = ACTIONS(7159),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHaddpart] = ACTIONS(7159),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHchapter] = ACTIONS(7159),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHaddchap] = ACTIONS(7159),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHsection] = ACTIONS(7159),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHaddsec] = ACTIONS(7159),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHsubsection] = ACTIONS(7159),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7159),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHparagraph] = ACTIONS(7159),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7159),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHitem] = ACTIONS(7159),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7161),
    [anon_sym_LBRACE] = ACTIONS(7161),
    [sym_word] = ACTIONS(7159),
    [sym_placeholder] = ACTIONS(7161),
    [sym_delimiter] = ACTIONS(7161),
    [anon_sym_PLUS] = ACTIONS(7161),
    [anon_sym_DASH] = ACTIONS(7161),
    [anon_sym_STAR] = ACTIONS(7161),
    [anon_sym_SLASH] = ACTIONS(7161),
    [anon_sym_LT] = ACTIONS(7159),
    [anon_sym_GT] = ACTIONS(7159),
    [anon_sym_BANG] = ACTIONS(7159),
    [anon_sym_PIPE] = ACTIONS(7159),
    [anon_sym_COLON] = ACTIONS(7159),
    [anon_sym_SQUOTE] = ACTIONS(7159),
    [anon_sym__] = ACTIONS(7161),
    [anon_sym_CARET] = ACTIONS(7161),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7161),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7161),
    [anon_sym_DOLLAR] = ACTIONS(7159),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7161),
    [anon_sym_BSLASHleft] = ACTIONS(7159),
    [anon_sym_BSLASHbigl] = ACTIONS(7159),
    [anon_sym_BSLASHBigl] = ACTIONS(7159),
    [anon_sym_BSLASHbiggl] = ACTIONS(7159),
    [anon_sym_BSLASHBiggl] = ACTIONS(7159),
    [anon_sym_BSLASHtext] = ACTIONS(7159),
    [anon_sym_BSLASHintertext] = ACTIONS(7159),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7159),
    [anon_sym_BSLASHbegin] = ACTIONS(7159),
    [anon_sym_BSLASHend] = ACTIONS(7159),
    [anon_sym_BSLASHtitle] = ACTIONS(7159),
    [anon_sym_BSLASHauthor] = ACTIONS(7159),
    [anon_sym_BSLASHusepackage] = ACTIONS(7159),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7159),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7159),
    [anon_sym_BSLASHinclude] = ACTIONS(7159),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7159),
    [anon_sym_BSLASHinput] = ACTIONS(7159),
    [anon_sym_BSLASHsubfile] = ACTIONS(7159),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7159),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7159),
    [anon_sym_BSLASHbibliography] = ACTIONS(7159),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7159),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7159),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7159),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7159),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7159),
    [anon_sym_BSLASHimport] = ACTIONS(7159),
    [anon_sym_BSLASHsubimport] = ACTIONS(7159),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7159),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7159),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7159),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7159),
    [anon_sym_BSLASHcaption] = ACTIONS(7159),
    [anon_sym_BSLASHcite] = ACTIONS(7159),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHCite] = ACTIONS(7159),
    [anon_sym_BSLASHnocite] = ACTIONS(7159),
    [anon_sym_BSLASHcitet] = ACTIONS(7159),
    [anon_sym_BSLASHcitep] = ACTIONS(7159),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHciteA] = ACTIONS(7159),
    [anon_sym_BSLASHciteR] = ACTIONS(7159),
    [anon_sym_BSLASHciteS] = ACTIONS(7159),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7159),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7159),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7159),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7159),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHciteyear] = ACTIONS(7159),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcitedate] = ACTIONS(7159),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHciteurl] = ACTIONS(7159),
    [anon_sym_BSLASHfullcite] = ACTIONS(7159),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7159),
    [anon_sym_BSLASHcitealt] = ACTIONS(7159),
    [anon_sym_BSLASHcitealp] = ACTIONS(7159),
    [anon_sym_BSLASHcitetext] = ACTIONS(7159),
    [anon_sym_BSLASHparencite] = ACTIONS(7159),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHParencite] = ACTIONS(7159),
    [anon_sym_BSLASHfootcite] = ACTIONS(7159),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7159),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7159),
    [anon_sym_BSLASHtextcite] = ACTIONS(7159),
    [anon_sym_BSLASHTextcite] = ACTIONS(7159),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7159),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7159),
    [anon_sym_BSLASHsupercite] = ACTIONS(7159),
    [anon_sym_BSLASHautocite] = ACTIONS(7159),
    [anon_sym_BSLASHAutocite] = ACTIONS(7159),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHVolcite] = ACTIONS(7159),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHavolcite] = ACTIONS(7159),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHnotecite] = ACTIONS(7159),
    [anon_sym_BSLASHNotecite] = ACTIONS(7159),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7159),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7159),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7159),
    [anon_sym_BSLASHlabel] = ACTIONS(7159),
    [anon_sym_BSLASHref] = ACTIONS(7159),
    [anon_sym_BSLASHeqref] = ACTIONS(7159),
    [anon_sym_BSLASHvref] = ACTIONS(7159),
    [anon_sym_BSLASHVref] = ACTIONS(7159),
    [anon_sym_BSLASHautoref] = ACTIONS(7159),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHpageref] = ACTIONS(7159),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHautopageref] = ACTIONS(7159),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcref] = ACTIONS(7159),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHCref] = ACTIONS(7159),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcpageref] = ACTIONS(7159),
    [anon_sym_BSLASHCpageref] = ACTIONS(7159),
    [anon_sym_BSLASHnamecref] = ACTIONS(7159),
    [anon_sym_BSLASHnameCref] = ACTIONS(7159),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7159),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7159),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7159),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7159),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7159),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7159),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7159),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7159),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7159),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7159),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7159),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7159),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7159),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7159),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7159),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7159),
    [anon_sym_BSLASHdef] = ACTIONS(7159),
    [anon_sym_BSLASHgdef] = ACTIONS(7159),
    [anon_sym_BSLASHedef] = ACTIONS(7159),
    [anon_sym_BSLASHxdef] = ACTIONS(7159),
    [anon_sym_BSLASHlet] = ACTIONS(7159),
    [anon_sym_BSLASHglet] = ACTIONS(7159),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7159),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7159),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7159),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7159),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7159),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7159),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7159),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7159),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7159),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7159),
    [anon_sym_BSLASHgls] = ACTIONS(7159),
    [anon_sym_BSLASHGls] = ACTIONS(7159),
    [anon_sym_BSLASHGLS] = ACTIONS(7159),
    [anon_sym_BSLASHglspl] = ACTIONS(7159),
    [anon_sym_BSLASHGlspl] = ACTIONS(7159),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7159),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7159),
    [anon_sym_BSLASHglslink] = ACTIONS(7159),
    [anon_sym_BSLASHglstext] = ACTIONS(7159),
    [anon_sym_BSLASHGlstext] = ACTIONS(7159),
    [anon_sym_BSLASHGLStext] = ACTIONS(7159),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7159),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7159),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7159),
    [anon_sym_BSLASHglsplural] = ACTIONS(7159),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7159),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7159),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7159),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7159),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7159),
    [anon_sym_BSLASHglsname] = ACTIONS(7159),
    [anon_sym_BSLASHGlsname] = ACTIONS(7159),
    [anon_sym_BSLASHGLSname] = ACTIONS(7159),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7159),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7159),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7159),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7159),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7159),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7159),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7159),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7159),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7159),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7159),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7159),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7159),
    [anon_sym_BSLASHacrshort] = ACTIONS(7159),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7159),
    [anon_sym_BSLASHACRshort] = ACTIONS(7159),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHacrlong] = ACTIONS(7159),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7159),
    [anon_sym_BSLASHACRlong] = ACTIONS(7159),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7159),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7159),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7159),
    [anon_sym_BSLASHacrfull] = ACTIONS(7159),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7159),
    [anon_sym_BSLASHACRfull] = ACTIONS(7159),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHacs] = ACTIONS(7159),
    [anon_sym_BSLASHAcs] = ACTIONS(7159),
    [anon_sym_BSLASHacsp] = ACTIONS(7159),
    [anon_sym_BSLASHAcsp] = ACTIONS(7159),
    [anon_sym_BSLASHacl] = ACTIONS(7159),
    [anon_sym_BSLASHAcl] = ACTIONS(7159),
    [anon_sym_BSLASHaclp] = ACTIONS(7159),
    [anon_sym_BSLASHAclp] = ACTIONS(7159),
    [anon_sym_BSLASHacf] = ACTIONS(7159),
    [anon_sym_BSLASHAcf] = ACTIONS(7159),
    [anon_sym_BSLASHacfp] = ACTIONS(7159),
    [anon_sym_BSLASHAcfp] = ACTIONS(7159),
    [anon_sym_BSLASHac] = ACTIONS(7159),
    [anon_sym_BSLASHAc] = ACTIONS(7159),
    [anon_sym_BSLASHacp] = ACTIONS(7159),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7159),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7159),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7159),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7159),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7159),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7159),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7159),
    [anon_sym_BSLASHcolor] = ACTIONS(7159),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7159),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7159),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7159),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7159),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7159),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7159),
    [anon_sym_BSLASHurl] = ACTIONS(7159),
    [anon_sym_BSLASHhref] = ACTIONS(7159),
  },
  [1425] = {
    [sym_command_name] = ACTIONS(7219),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7219),
    [anon_sym_LBRACK] = ACTIONS(7221),
    [anon_sym_RBRACK] = ACTIONS(7221),
    [anon_sym_COMMA] = ACTIONS(7221),
    [anon_sym_EQ] = ACTIONS(7221),
    [anon_sym_LPAREN] = ACTIONS(7221),
    [anon_sym_RPAREN] = ACTIONS(7221),
    [anon_sym_BSLASHpart] = ACTIONS(7219),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHaddpart] = ACTIONS(7219),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHchapter] = ACTIONS(7219),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHaddchap] = ACTIONS(7219),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHsection] = ACTIONS(7219),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHaddsec] = ACTIONS(7219),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHsubsection] = ACTIONS(7219),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7219),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHparagraph] = ACTIONS(7219),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7219),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHitem] = ACTIONS(7219),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7221),
    [anon_sym_LBRACE] = ACTIONS(7221),
    [sym_word] = ACTIONS(7219),
    [sym_placeholder] = ACTIONS(7221),
    [sym_delimiter] = ACTIONS(7221),
    [anon_sym_PLUS] = ACTIONS(7221),
    [anon_sym_DASH] = ACTIONS(7221),
    [anon_sym_STAR] = ACTIONS(7221),
    [anon_sym_SLASH] = ACTIONS(7221),
    [anon_sym_LT] = ACTIONS(7219),
    [anon_sym_GT] = ACTIONS(7219),
    [anon_sym_BANG] = ACTIONS(7219),
    [anon_sym_PIPE] = ACTIONS(7219),
    [anon_sym_COLON] = ACTIONS(7219),
    [anon_sym_SQUOTE] = ACTIONS(7219),
    [anon_sym__] = ACTIONS(7221),
    [anon_sym_CARET] = ACTIONS(7221),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7221),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7221),
    [anon_sym_DOLLAR] = ACTIONS(7219),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7221),
    [anon_sym_BSLASHleft] = ACTIONS(7219),
    [anon_sym_BSLASHbigl] = ACTIONS(7219),
    [anon_sym_BSLASHBigl] = ACTIONS(7219),
    [anon_sym_BSLASHbiggl] = ACTIONS(7219),
    [anon_sym_BSLASHBiggl] = ACTIONS(7219),
    [anon_sym_BSLASHtext] = ACTIONS(7219),
    [anon_sym_BSLASHintertext] = ACTIONS(7219),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7219),
    [anon_sym_BSLASHbegin] = ACTIONS(7219),
    [anon_sym_BSLASHend] = ACTIONS(7219),
    [anon_sym_BSLASHtitle] = ACTIONS(7219),
    [anon_sym_BSLASHauthor] = ACTIONS(7219),
    [anon_sym_BSLASHusepackage] = ACTIONS(7219),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7219),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7219),
    [anon_sym_BSLASHinclude] = ACTIONS(7219),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7219),
    [anon_sym_BSLASHinput] = ACTIONS(7219),
    [anon_sym_BSLASHsubfile] = ACTIONS(7219),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7219),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7219),
    [anon_sym_BSLASHbibliography] = ACTIONS(7219),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7219),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7219),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7219),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7219),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7219),
    [anon_sym_BSLASHimport] = ACTIONS(7219),
    [anon_sym_BSLASHsubimport] = ACTIONS(7219),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7219),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7219),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7219),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7219),
    [anon_sym_BSLASHcaption] = ACTIONS(7219),
    [anon_sym_BSLASHcite] = ACTIONS(7219),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCite] = ACTIONS(7219),
    [anon_sym_BSLASHnocite] = ACTIONS(7219),
    [anon_sym_BSLASHcitet] = ACTIONS(7219),
    [anon_sym_BSLASHcitep] = ACTIONS(7219),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteA] = ACTIONS(7219),
    [anon_sym_BSLASHciteR] = ACTIONS(7219),
    [anon_sym_BSLASHciteS] = ACTIONS(7219),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7219),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7219),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7219),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7219),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteyear] = ACTIONS(7219),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitedate] = ACTIONS(7219),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteurl] = ACTIONS(7219),
    [anon_sym_BSLASHfullcite] = ACTIONS(7219),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7219),
    [anon_sym_BSLASHcitealt] = ACTIONS(7219),
    [anon_sym_BSLASHcitealp] = ACTIONS(7219),
    [anon_sym_BSLASHcitetext] = ACTIONS(7219),
    [anon_sym_BSLASHparencite] = ACTIONS(7219),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHParencite] = ACTIONS(7219),
    [anon_sym_BSLASHfootcite] = ACTIONS(7219),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7219),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7219),
    [anon_sym_BSLASHtextcite] = ACTIONS(7219),
    [anon_sym_BSLASHTextcite] = ACTIONS(7219),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7219),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7219),
    [anon_sym_BSLASHsupercite] = ACTIONS(7219),
    [anon_sym_BSLASHautocite] = ACTIONS(7219),
    [anon_sym_BSLASHAutocite] = ACTIONS(7219),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHVolcite] = ACTIONS(7219),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHavolcite] = ACTIONS(7219),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHNotecite] = ACTIONS(7219),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHlabel] = ACTIONS(7219),
    [anon_sym_BSLASHref] = ACTIONS(7219),
    [anon_sym_BSLASHeqref] = ACTIONS(7219),
    [anon_sym_BSLASHvref] = ACTIONS(7219),
    [anon_sym_BSLASHVref] = ACTIONS(7219),
    [anon_sym_BSLASHautoref] = ACTIONS(7219),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHpageref] = ACTIONS(7219),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHautopageref] = ACTIONS(7219),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcref] = ACTIONS(7219),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCref] = ACTIONS(7219),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcpageref] = ACTIONS(7219),
    [anon_sym_BSLASHCpageref] = ACTIONS(7219),
    [anon_sym_BSLASHnamecref] = ACTIONS(7219),
    [anon_sym_BSLASHnameCref] = ACTIONS(7219),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7219),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7219),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7219),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7219),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7219),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7219),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7219),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7219),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7219),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7219),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7219),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHdef] = ACTIONS(7219),
    [anon_sym_BSLASHgdef] = ACTIONS(7219),
    [anon_sym_BSLASHedef] = ACTIONS(7219),
    [anon_sym_BSLASHxdef] = ACTIONS(7219),
    [anon_sym_BSLASHlet] = ACTIONS(7219),
    [anon_sym_BSLASHglet] = ACTIONS(7219),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7219),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7219),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7219),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7219),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7219),
    [anon_sym_BSLASHgls] = ACTIONS(7219),
    [anon_sym_BSLASHGls] = ACTIONS(7219),
    [anon_sym_BSLASHGLS] = ACTIONS(7219),
    [anon_sym_BSLASHglspl] = ACTIONS(7219),
    [anon_sym_BSLASHGlspl] = ACTIONS(7219),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7219),
    [anon_sym_BSLASHglslink] = ACTIONS(7219),
    [anon_sym_BSLASHglstext] = ACTIONS(7219),
    [anon_sym_BSLASHGlstext] = ACTIONS(7219),
    [anon_sym_BSLASHGLStext] = ACTIONS(7219),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7219),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7219),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7219),
    [anon_sym_BSLASHglsplural] = ACTIONS(7219),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7219),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7219),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHglsname] = ACTIONS(7219),
    [anon_sym_BSLASHGlsname] = ACTIONS(7219),
    [anon_sym_BSLASHGLSname] = ACTIONS(7219),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7219),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7219),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7219),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7219),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7219),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7219),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7219),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7219),
    [anon_sym_BSLASHacrshort] = ACTIONS(7219),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7219),
    [anon_sym_BSLASHACRshort] = ACTIONS(7219),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHacrlong] = ACTIONS(7219),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7219),
    [anon_sym_BSLASHACRlong] = ACTIONS(7219),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHacrfull] = ACTIONS(7219),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7219),
    [anon_sym_BSLASHACRfull] = ACTIONS(7219),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHacs] = ACTIONS(7219),
    [anon_sym_BSLASHAcs] = ACTIONS(7219),
    [anon_sym_BSLASHacsp] = ACTIONS(7219),
    [anon_sym_BSLASHAcsp] = ACTIONS(7219),
    [anon_sym_BSLASHacl] = ACTIONS(7219),
    [anon_sym_BSLASHAcl] = ACTIONS(7219),
    [anon_sym_BSLASHaclp] = ACTIONS(7219),
    [anon_sym_BSLASHAclp] = ACTIONS(7219),
    [anon_sym_BSLASHacf] = ACTIONS(7219),
    [anon_sym_BSLASHAcf] = ACTIONS(7219),
    [anon_sym_BSLASHacfp] = ACTIONS(7219),
    [anon_sym_BSLASHAcfp] = ACTIONS(7219),
    [anon_sym_BSLASHac] = ACTIONS(7219),
    [anon_sym_BSLASHAc] = ACTIONS(7219),
    [anon_sym_BSLASHacp] = ACTIONS(7219),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7219),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7219),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7219),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7219),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7219),
    [anon_sym_BSLASHcolor] = ACTIONS(7219),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7219),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7219),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7219),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7219),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7219),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7219),
    [anon_sym_BSLASHurl] = ACTIONS(7219),
    [anon_sym_BSLASHhref] = ACTIONS(7219),
  },
  [1426] = {
    [sym_command_name] = ACTIONS(7163),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7163),
    [anon_sym_LBRACK] = ACTIONS(7165),
    [anon_sym_RBRACK] = ACTIONS(7165),
    [anon_sym_COMMA] = ACTIONS(7165),
    [anon_sym_EQ] = ACTIONS(7165),
    [anon_sym_LPAREN] = ACTIONS(7165),
    [anon_sym_RPAREN] = ACTIONS(7165),
    [anon_sym_BSLASHpart] = ACTIONS(7163),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHaddpart] = ACTIONS(7163),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHchapter] = ACTIONS(7163),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHaddchap] = ACTIONS(7163),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHsection] = ACTIONS(7163),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHaddsec] = ACTIONS(7163),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHsubsection] = ACTIONS(7163),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7163),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHparagraph] = ACTIONS(7163),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7163),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHitem] = ACTIONS(7163),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7165),
    [anon_sym_LBRACE] = ACTIONS(7165),
    [sym_word] = ACTIONS(7163),
    [sym_placeholder] = ACTIONS(7165),
    [sym_delimiter] = ACTIONS(7165),
    [anon_sym_PLUS] = ACTIONS(7165),
    [anon_sym_DASH] = ACTIONS(7165),
    [anon_sym_STAR] = ACTIONS(7165),
    [anon_sym_SLASH] = ACTIONS(7165),
    [anon_sym_LT] = ACTIONS(7163),
    [anon_sym_GT] = ACTIONS(7163),
    [anon_sym_BANG] = ACTIONS(7163),
    [anon_sym_PIPE] = ACTIONS(7163),
    [anon_sym_COLON] = ACTIONS(7163),
    [anon_sym_SQUOTE] = ACTIONS(7163),
    [anon_sym__] = ACTIONS(7165),
    [anon_sym_CARET] = ACTIONS(7165),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7165),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7165),
    [anon_sym_DOLLAR] = ACTIONS(7163),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7165),
    [anon_sym_BSLASHleft] = ACTIONS(7163),
    [anon_sym_BSLASHbigl] = ACTIONS(7163),
    [anon_sym_BSLASHBigl] = ACTIONS(7163),
    [anon_sym_BSLASHbiggl] = ACTIONS(7163),
    [anon_sym_BSLASHBiggl] = ACTIONS(7163),
    [anon_sym_BSLASHtext] = ACTIONS(7163),
    [anon_sym_BSLASHintertext] = ACTIONS(7163),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7163),
    [anon_sym_BSLASHbegin] = ACTIONS(7163),
    [anon_sym_BSLASHend] = ACTIONS(7163),
    [anon_sym_BSLASHtitle] = ACTIONS(7163),
    [anon_sym_BSLASHauthor] = ACTIONS(7163),
    [anon_sym_BSLASHusepackage] = ACTIONS(7163),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7163),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7163),
    [anon_sym_BSLASHinclude] = ACTIONS(7163),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7163),
    [anon_sym_BSLASHinput] = ACTIONS(7163),
    [anon_sym_BSLASHsubfile] = ACTIONS(7163),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7163),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7163),
    [anon_sym_BSLASHbibliography] = ACTIONS(7163),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7163),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7163),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7163),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7163),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7163),
    [anon_sym_BSLASHimport] = ACTIONS(7163),
    [anon_sym_BSLASHsubimport] = ACTIONS(7163),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7163),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7163),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7163),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7163),
    [anon_sym_BSLASHcaption] = ACTIONS(7163),
    [anon_sym_BSLASHcite] = ACTIONS(7163),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHCite] = ACTIONS(7163),
    [anon_sym_BSLASHnocite] = ACTIONS(7163),
    [anon_sym_BSLASHcitet] = ACTIONS(7163),
    [anon_sym_BSLASHcitep] = ACTIONS(7163),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHciteA] = ACTIONS(7163),
    [anon_sym_BSLASHciteR] = ACTIONS(7163),
    [anon_sym_BSLASHciteS] = ACTIONS(7163),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7163),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7163),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7163),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7163),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHciteyear] = ACTIONS(7163),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcitedate] = ACTIONS(7163),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHciteurl] = ACTIONS(7163),
    [anon_sym_BSLASHfullcite] = ACTIONS(7163),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7163),
    [anon_sym_BSLASHcitealt] = ACTIONS(7163),
    [anon_sym_BSLASHcitealp] = ACTIONS(7163),
    [anon_sym_BSLASHcitetext] = ACTIONS(7163),
    [anon_sym_BSLASHparencite] = ACTIONS(7163),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHParencite] = ACTIONS(7163),
    [anon_sym_BSLASHfootcite] = ACTIONS(7163),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7163),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7163),
    [anon_sym_BSLASHtextcite] = ACTIONS(7163),
    [anon_sym_BSLASHTextcite] = ACTIONS(7163),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7163),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7163),
    [anon_sym_BSLASHsupercite] = ACTIONS(7163),
    [anon_sym_BSLASHautocite] = ACTIONS(7163),
    [anon_sym_BSLASHAutocite] = ACTIONS(7163),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHVolcite] = ACTIONS(7163),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHavolcite] = ACTIONS(7163),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHnotecite] = ACTIONS(7163),
    [anon_sym_BSLASHNotecite] = ACTIONS(7163),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7163),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7163),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7163),
    [anon_sym_BSLASHlabel] = ACTIONS(7163),
    [anon_sym_BSLASHref] = ACTIONS(7163),
    [anon_sym_BSLASHeqref] = ACTIONS(7163),
    [anon_sym_BSLASHvref] = ACTIONS(7163),
    [anon_sym_BSLASHVref] = ACTIONS(7163),
    [anon_sym_BSLASHautoref] = ACTIONS(7163),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHpageref] = ACTIONS(7163),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHautopageref] = ACTIONS(7163),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcref] = ACTIONS(7163),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHCref] = ACTIONS(7163),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcpageref] = ACTIONS(7163),
    [anon_sym_BSLASHCpageref] = ACTIONS(7163),
    [anon_sym_BSLASHnamecref] = ACTIONS(7163),
    [anon_sym_BSLASHnameCref] = ACTIONS(7163),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7163),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7163),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7163),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7163),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7163),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7163),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7163),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7163),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7163),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7163),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7163),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7163),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7163),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7163),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7163),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7163),
    [anon_sym_BSLASHdef] = ACTIONS(7163),
    [anon_sym_BSLASHgdef] = ACTIONS(7163),
    [anon_sym_BSLASHedef] = ACTIONS(7163),
    [anon_sym_BSLASHxdef] = ACTIONS(7163),
    [anon_sym_BSLASHlet] = ACTIONS(7163),
    [anon_sym_BSLASHglet] = ACTIONS(7163),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7163),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7163),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7163),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7163),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7163),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7163),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7163),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7163),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7163),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7163),
    [anon_sym_BSLASHgls] = ACTIONS(7163),
    [anon_sym_BSLASHGls] = ACTIONS(7163),
    [anon_sym_BSLASHGLS] = ACTIONS(7163),
    [anon_sym_BSLASHglspl] = ACTIONS(7163),
    [anon_sym_BSLASHGlspl] = ACTIONS(7163),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7163),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7163),
    [anon_sym_BSLASHglslink] = ACTIONS(7163),
    [anon_sym_BSLASHglstext] = ACTIONS(7163),
    [anon_sym_BSLASHGlstext] = ACTIONS(7163),
    [anon_sym_BSLASHGLStext] = ACTIONS(7163),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7163),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7163),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7163),
    [anon_sym_BSLASHglsplural] = ACTIONS(7163),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7163),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7163),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7163),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7163),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7163),
    [anon_sym_BSLASHglsname] = ACTIONS(7163),
    [anon_sym_BSLASHGlsname] = ACTIONS(7163),
    [anon_sym_BSLASHGLSname] = ACTIONS(7163),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7163),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7163),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7163),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7163),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7163),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7163),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7163),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7163),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7163),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7163),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7163),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7163),
    [anon_sym_BSLASHacrshort] = ACTIONS(7163),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7163),
    [anon_sym_BSLASHACRshort] = ACTIONS(7163),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHacrlong] = ACTIONS(7163),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7163),
    [anon_sym_BSLASHACRlong] = ACTIONS(7163),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7163),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7163),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7163),
    [anon_sym_BSLASHacrfull] = ACTIONS(7163),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7163),
    [anon_sym_BSLASHACRfull] = ACTIONS(7163),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHacs] = ACTIONS(7163),
    [anon_sym_BSLASHAcs] = ACTIONS(7163),
    [anon_sym_BSLASHacsp] = ACTIONS(7163),
    [anon_sym_BSLASHAcsp] = ACTIONS(7163),
    [anon_sym_BSLASHacl] = ACTIONS(7163),
    [anon_sym_BSLASHAcl] = ACTIONS(7163),
    [anon_sym_BSLASHaclp] = ACTIONS(7163),
    [anon_sym_BSLASHAclp] = ACTIONS(7163),
    [anon_sym_BSLASHacf] = ACTIONS(7163),
    [anon_sym_BSLASHAcf] = ACTIONS(7163),
    [anon_sym_BSLASHacfp] = ACTIONS(7163),
    [anon_sym_BSLASHAcfp] = ACTIONS(7163),
    [anon_sym_BSLASHac] = ACTIONS(7163),
    [anon_sym_BSLASHAc] = ACTIONS(7163),
    [anon_sym_BSLASHacp] = ACTIONS(7163),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7163),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7163),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7163),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7163),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7163),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7163),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7163),
    [anon_sym_BSLASHcolor] = ACTIONS(7163),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7163),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7163),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7163),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7163),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7163),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7163),
    [anon_sym_BSLASHurl] = ACTIONS(7163),
    [anon_sym_BSLASHhref] = ACTIONS(7163),
  },
  [1427] = {
    [sym_command_name] = ACTIONS(157),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(157),
    [anon_sym_LBRACK] = ACTIONS(159),
    [anon_sym_RBRACK] = ACTIONS(159),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_RPAREN] = ACTIONS(159),
    [anon_sym_BSLASHpart] = ACTIONS(157),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddpart] = ACTIONS(157),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(159),
    [anon_sym_BSLASHchapter] = ACTIONS(157),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddchap] = ACTIONS(157),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsection] = ACTIONS(157),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddsec] = ACTIONS(157),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubsection] = ACTIONS(157),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(157),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHparagraph] = ACTIONS(157),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(157),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(159),
    [anon_sym_BSLASHitem] = ACTIONS(157),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(159),
    [anon_sym_LBRACE] = ACTIONS(159),
    [sym_word] = ACTIONS(157),
    [sym_placeholder] = ACTIONS(159),
    [sym_delimiter] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_SLASH] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(157),
    [anon_sym_GT] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(157),
    [anon_sym_PIPE] = ACTIONS(157),
    [anon_sym_COLON] = ACTIONS(157),
    [anon_sym_SQUOTE] = ACTIONS(157),
    [anon_sym__] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(159),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(159),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(159),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(159),
    [anon_sym_BSLASHleft] = ACTIONS(157),
    [anon_sym_BSLASHbigl] = ACTIONS(157),
    [anon_sym_BSLASHBigl] = ACTIONS(157),
    [anon_sym_BSLASHbiggl] = ACTIONS(157),
    [anon_sym_BSLASHBiggl] = ACTIONS(157),
    [anon_sym_BSLASHtext] = ACTIONS(157),
    [anon_sym_BSLASHintertext] = ACTIONS(157),
    [anon_sym_BSLASHshortintertext] = ACTIONS(157),
    [anon_sym_BSLASHbegin] = ACTIONS(157),
    [anon_sym_BSLASHtitle] = ACTIONS(157),
    [anon_sym_BSLASHauthor] = ACTIONS(157),
    [anon_sym_BSLASHusepackage] = ACTIONS(157),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(157),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(157),
    [anon_sym_BSLASHinclude] = ACTIONS(157),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(157),
    [anon_sym_BSLASHinput] = ACTIONS(157),
    [anon_sym_BSLASHsubfile] = ACTIONS(157),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(157),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(157),
    [anon_sym_BSLASHbibliography] = ACTIONS(157),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(157),
    [anon_sym_BSLASHincludesvg] = ACTIONS(157),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(157),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(157),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(157),
    [anon_sym_BSLASHimport] = ACTIONS(157),
    [anon_sym_BSLASHsubimport] = ACTIONS(157),
    [anon_sym_BSLASHinputfrom] = ACTIONS(157),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(157),
    [anon_sym_BSLASHincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHcaption] = ACTIONS(157),
    [anon_sym_BSLASHcite] = ACTIONS(157),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCite] = ACTIONS(157),
    [anon_sym_BSLASHnocite] = ACTIONS(157),
    [anon_sym_BSLASHcitet] = ACTIONS(157),
    [anon_sym_BSLASHcitep] = ACTIONS(157),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteA] = ACTIONS(157),
    [anon_sym_BSLASHciteR] = ACTIONS(157),
    [anon_sym_BSLASHciteS] = ACTIONS(157),
    [anon_sym_BSLASHciteyearR] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(157),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitetitle] = ACTIONS(157),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteyear] = ACTIONS(157),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitedate] = ACTIONS(157),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteurl] = ACTIONS(157),
    [anon_sym_BSLASHfullcite] = ACTIONS(157),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(157),
    [anon_sym_BSLASHcitealt] = ACTIONS(157),
    [anon_sym_BSLASHcitealp] = ACTIONS(157),
    [anon_sym_BSLASHcitetext] = ACTIONS(157),
    [anon_sym_BSLASHparencite] = ACTIONS(157),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHParencite] = ACTIONS(157),
    [anon_sym_BSLASHfootcite] = ACTIONS(157),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(157),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(157),
    [anon_sym_BSLASHtextcite] = ACTIONS(157),
    [anon_sym_BSLASHTextcite] = ACTIONS(157),
    [anon_sym_BSLASHsmartcite] = ACTIONS(157),
    [anon_sym_BSLASHSmartcite] = ACTIONS(157),
    [anon_sym_BSLASHsupercite] = ACTIONS(157),
    [anon_sym_BSLASHautocite] = ACTIONS(157),
    [anon_sym_BSLASHAutocite] = ACTIONS(157),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHvolcite] = ACTIONS(157),
    [anon_sym_BSLASHVolcite] = ACTIONS(157),
    [anon_sym_BSLASHpvolcite] = ACTIONS(157),
    [anon_sym_BSLASHPvolcite] = ACTIONS(157),
    [anon_sym_BSLASHfvolcite] = ACTIONS(157),
    [anon_sym_BSLASHftvolcite] = ACTIONS(157),
    [anon_sym_BSLASHsvolcite] = ACTIONS(157),
    [anon_sym_BSLASHSvolcite] = ACTIONS(157),
    [anon_sym_BSLASHtvolcite] = ACTIONS(157),
    [anon_sym_BSLASHTvolcite] = ACTIONS(157),
    [anon_sym_BSLASHavolcite] = ACTIONS(157),
    [anon_sym_BSLASHAvolcite] = ACTIONS(157),
    [anon_sym_BSLASHnotecite] = ACTIONS(157),
    [anon_sym_BSLASHNotecite] = ACTIONS(157),
    [anon_sym_BSLASHpnotecite] = ACTIONS(157),
    [anon_sym_BSLASHPnotecite] = ACTIONS(157),
    [anon_sym_BSLASHfnotecite] = ACTIONS(157),
    [anon_sym_BSLASHlabel] = ACTIONS(157),
    [anon_sym_BSLASHref] = ACTIONS(157),
    [anon_sym_BSLASHeqref] = ACTIONS(157),
    [anon_sym_BSLASHvref] = ACTIONS(157),
    [anon_sym_BSLASHVref] = ACTIONS(157),
    [anon_sym_BSLASHautoref] = ACTIONS(157),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpageref] = ACTIONS(157),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHautopageref] = ACTIONS(157),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcref] = ACTIONS(157),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCref] = ACTIONS(157),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpageref] = ACTIONS(157),
    [anon_sym_BSLASHCpageref] = ACTIONS(157),
    [anon_sym_BSLASHnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnameCref] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcrefrange] = ACTIONS(157),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCrefrange] = ACTIONS(157),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHnewlabel] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(157),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(157),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(157),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(159),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHdef] = ACTIONS(157),
    [anon_sym_BSLASHgdef] = ACTIONS(157),
    [anon_sym_BSLASHedef] = ACTIONS(157),
    [anon_sym_BSLASHxdef] = ACTIONS(157),
    [anon_sym_BSLASHlet] = ACTIONS(157),
    [anon_sym_BSLASHglet] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(157),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(157),
    [anon_sym_BSLASHgls] = ACTIONS(157),
    [anon_sym_BSLASHGls] = ACTIONS(157),
    [anon_sym_BSLASHGLS] = ACTIONS(157),
    [anon_sym_BSLASHglspl] = ACTIONS(157),
    [anon_sym_BSLASHGlspl] = ACTIONS(157),
    [anon_sym_BSLASHGLSpl] = ACTIONS(157),
    [anon_sym_BSLASHglsdisp] = ACTIONS(157),
    [anon_sym_BSLASHglslink] = ACTIONS(157),
    [anon_sym_BSLASHglstext] = ACTIONS(157),
    [anon_sym_BSLASHGlstext] = ACTIONS(157),
    [anon_sym_BSLASHGLStext] = ACTIONS(157),
    [anon_sym_BSLASHglsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(157),
    [anon_sym_BSLASHglsplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSplural] = ACTIONS(157),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHglsname] = ACTIONS(157),
    [anon_sym_BSLASHGlsname] = ACTIONS(157),
    [anon_sym_BSLASHGLSname] = ACTIONS(157),
    [anon_sym_BSLASHglssymbol] = ACTIONS(157),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(157),
    [anon_sym_BSLASHglsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(157),
    [anon_sym_BSLASHglsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(157),
    [anon_sym_BSLASHglsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(157),
    [anon_sym_BSLASHglsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(157),
    [anon_sym_BSLASHglsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(157),
    [anon_sym_BSLASHnewacronym] = ACTIONS(157),
    [anon_sym_BSLASHacrshort] = ACTIONS(157),
    [anon_sym_BSLASHAcrshort] = ACTIONS(157),
    [anon_sym_BSLASHACRshort] = ACTIONS(157),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(157),
    [anon_sym_BSLASHacrlong] = ACTIONS(157),
    [anon_sym_BSLASHAcrlong] = ACTIONS(157),
    [anon_sym_BSLASHACRlong] = ACTIONS(157),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(157),
    [anon_sym_BSLASHacrfull] = ACTIONS(157),
    [anon_sym_BSLASHAcrfull] = ACTIONS(157),
    [anon_sym_BSLASHACRfull] = ACTIONS(157),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(157),
    [anon_sym_BSLASHacs] = ACTIONS(157),
    [anon_sym_BSLASHAcs] = ACTIONS(157),
    [anon_sym_BSLASHacsp] = ACTIONS(157),
    [anon_sym_BSLASHAcsp] = ACTIONS(157),
    [anon_sym_BSLASHacl] = ACTIONS(157),
    [anon_sym_BSLASHAcl] = ACTIONS(157),
    [anon_sym_BSLASHaclp] = ACTIONS(157),
    [anon_sym_BSLASHAclp] = ACTIONS(157),
    [anon_sym_BSLASHacf] = ACTIONS(157),
    [anon_sym_BSLASHAcf] = ACTIONS(157),
    [anon_sym_BSLASHacfp] = ACTIONS(157),
    [anon_sym_BSLASHAcfp] = ACTIONS(157),
    [anon_sym_BSLASHac] = ACTIONS(157),
    [anon_sym_BSLASHAc] = ACTIONS(157),
    [anon_sym_BSLASHacp] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(157),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(157),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(157),
    [anon_sym_BSLASHcolor] = ACTIONS(157),
    [anon_sym_BSLASHpagecolor] = ACTIONS(157),
    [anon_sym_BSLASHtextcolor] = ACTIONS(157),
    [anon_sym_BSLASHmathcolor] = ACTIONS(157),
    [anon_sym_BSLASHcolorbox] = ACTIONS(157),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(157),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(157),
    [anon_sym_BSLASHurl] = ACTIONS(157),
    [anon_sym_BSLASHhref] = ACTIONS(157),
  },
  [1428] = {
    [sym_command_name] = ACTIONS(7519),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7519),
    [anon_sym_LBRACK] = ACTIONS(7521),
    [anon_sym_RBRACK] = ACTIONS(7521),
    [anon_sym_COMMA] = ACTIONS(7521),
    [anon_sym_EQ] = ACTIONS(7521),
    [anon_sym_LPAREN] = ACTIONS(7521),
    [anon_sym_RPAREN] = ACTIONS(7521),
    [anon_sym_BSLASHpart] = ACTIONS(7519),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHaddpart] = ACTIONS(7519),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHchapter] = ACTIONS(7519),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHaddchap] = ACTIONS(7519),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHsection] = ACTIONS(7519),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHaddsec] = ACTIONS(7519),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHsubsection] = ACTIONS(7519),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7519),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHparagraph] = ACTIONS(7519),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7519),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHitem] = ACTIONS(7519),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7521),
    [anon_sym_LBRACE] = ACTIONS(7521),
    [sym_word] = ACTIONS(7519),
    [sym_placeholder] = ACTIONS(7521),
    [sym_delimiter] = ACTIONS(7521),
    [anon_sym_PLUS] = ACTIONS(7521),
    [anon_sym_DASH] = ACTIONS(7521),
    [anon_sym_STAR] = ACTIONS(7521),
    [anon_sym_SLASH] = ACTIONS(7521),
    [anon_sym_LT] = ACTIONS(7519),
    [anon_sym_GT] = ACTIONS(7519),
    [anon_sym_BANG] = ACTIONS(7519),
    [anon_sym_PIPE] = ACTIONS(7519),
    [anon_sym_COLON] = ACTIONS(7519),
    [anon_sym_SQUOTE] = ACTIONS(7519),
    [anon_sym__] = ACTIONS(7521),
    [anon_sym_CARET] = ACTIONS(7521),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7521),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7521),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7521),
    [anon_sym_DOLLAR] = ACTIONS(7519),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7521),
    [anon_sym_BSLASHleft] = ACTIONS(7519),
    [anon_sym_BSLASHbigl] = ACTIONS(7519),
    [anon_sym_BSLASHBigl] = ACTIONS(7519),
    [anon_sym_BSLASHbiggl] = ACTIONS(7519),
    [anon_sym_BSLASHBiggl] = ACTIONS(7519),
    [anon_sym_BSLASHtext] = ACTIONS(7519),
    [anon_sym_BSLASHintertext] = ACTIONS(7519),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7519),
    [anon_sym_BSLASHbegin] = ACTIONS(7519),
    [anon_sym_BSLASHtitle] = ACTIONS(7519),
    [anon_sym_BSLASHauthor] = ACTIONS(7519),
    [anon_sym_BSLASHusepackage] = ACTIONS(7519),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7519),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7519),
    [anon_sym_BSLASHinclude] = ACTIONS(7519),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7519),
    [anon_sym_BSLASHinput] = ACTIONS(7519),
    [anon_sym_BSLASHsubfile] = ACTIONS(7519),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7519),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7519),
    [anon_sym_BSLASHbibliography] = ACTIONS(7519),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7519),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7519),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7519),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7519),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7519),
    [anon_sym_BSLASHimport] = ACTIONS(7519),
    [anon_sym_BSLASHsubimport] = ACTIONS(7519),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7519),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7519),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7519),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7519),
    [anon_sym_BSLASHcaption] = ACTIONS(7519),
    [anon_sym_BSLASHcite] = ACTIONS(7519),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCite] = ACTIONS(7519),
    [anon_sym_BSLASHnocite] = ACTIONS(7519),
    [anon_sym_BSLASHcitet] = ACTIONS(7519),
    [anon_sym_BSLASHcitep] = ACTIONS(7519),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteA] = ACTIONS(7519),
    [anon_sym_BSLASHciteR] = ACTIONS(7519),
    [anon_sym_BSLASHciteS] = ACTIONS(7519),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7519),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7519),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7519),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7519),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteyear] = ACTIONS(7519),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitedate] = ACTIONS(7519),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteurl] = ACTIONS(7519),
    [anon_sym_BSLASHfullcite] = ACTIONS(7519),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7519),
    [anon_sym_BSLASHcitealt] = ACTIONS(7519),
    [anon_sym_BSLASHcitealp] = ACTIONS(7519),
    [anon_sym_BSLASHcitetext] = ACTIONS(7519),
    [anon_sym_BSLASHparencite] = ACTIONS(7519),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHParencite] = ACTIONS(7519),
    [anon_sym_BSLASHfootcite] = ACTIONS(7519),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7519),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7519),
    [anon_sym_BSLASHtextcite] = ACTIONS(7519),
    [anon_sym_BSLASHTextcite] = ACTIONS(7519),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7519),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7519),
    [anon_sym_BSLASHsupercite] = ACTIONS(7519),
    [anon_sym_BSLASHautocite] = ACTIONS(7519),
    [anon_sym_BSLASHAutocite] = ACTIONS(7519),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHVolcite] = ACTIONS(7519),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHavolcite] = ACTIONS(7519),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHNotecite] = ACTIONS(7519),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHlabel] = ACTIONS(7519),
    [anon_sym_BSLASHref] = ACTIONS(7519),
    [anon_sym_BSLASHeqref] = ACTIONS(7519),
    [anon_sym_BSLASHvref] = ACTIONS(7519),
    [anon_sym_BSLASHVref] = ACTIONS(7519),
    [anon_sym_BSLASHautoref] = ACTIONS(7519),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHpageref] = ACTIONS(7519),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHautopageref] = ACTIONS(7519),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcref] = ACTIONS(7519),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCref] = ACTIONS(7519),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcpageref] = ACTIONS(7519),
    [anon_sym_BSLASHCpageref] = ACTIONS(7519),
    [anon_sym_BSLASHnamecref] = ACTIONS(7519),
    [anon_sym_BSLASHnameCref] = ACTIONS(7519),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7519),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7519),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7519),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7519),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7519),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7519),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7519),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7519),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7519),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7519),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7519),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHdef] = ACTIONS(7519),
    [anon_sym_BSLASHgdef] = ACTIONS(7519),
    [anon_sym_BSLASHedef] = ACTIONS(7519),
    [anon_sym_BSLASHxdef] = ACTIONS(7519),
    [anon_sym_BSLASHlet] = ACTIONS(7519),
    [anon_sym_BSLASHglet] = ACTIONS(7519),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7519),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7519),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7519),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7519),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7519),
    [anon_sym_BSLASHgls] = ACTIONS(7519),
    [anon_sym_BSLASHGls] = ACTIONS(7519),
    [anon_sym_BSLASHGLS] = ACTIONS(7519),
    [anon_sym_BSLASHglspl] = ACTIONS(7519),
    [anon_sym_BSLASHGlspl] = ACTIONS(7519),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7519),
    [anon_sym_BSLASHglslink] = ACTIONS(7519),
    [anon_sym_BSLASHglstext] = ACTIONS(7519),
    [anon_sym_BSLASHGlstext] = ACTIONS(7519),
    [anon_sym_BSLASHGLStext] = ACTIONS(7519),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7519),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7519),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7519),
    [anon_sym_BSLASHglsplural] = ACTIONS(7519),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7519),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7519),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHglsname] = ACTIONS(7519),
    [anon_sym_BSLASHGlsname] = ACTIONS(7519),
    [anon_sym_BSLASHGLSname] = ACTIONS(7519),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7519),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7519),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7519),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7519),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7519),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7519),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7519),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7519),
    [anon_sym_BSLASHacrshort] = ACTIONS(7519),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7519),
    [anon_sym_BSLASHACRshort] = ACTIONS(7519),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHacrlong] = ACTIONS(7519),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7519),
    [anon_sym_BSLASHACRlong] = ACTIONS(7519),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHacrfull] = ACTIONS(7519),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7519),
    [anon_sym_BSLASHACRfull] = ACTIONS(7519),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHacs] = ACTIONS(7519),
    [anon_sym_BSLASHAcs] = ACTIONS(7519),
    [anon_sym_BSLASHacsp] = ACTIONS(7519),
    [anon_sym_BSLASHAcsp] = ACTIONS(7519),
    [anon_sym_BSLASHacl] = ACTIONS(7519),
    [anon_sym_BSLASHAcl] = ACTIONS(7519),
    [anon_sym_BSLASHaclp] = ACTIONS(7519),
    [anon_sym_BSLASHAclp] = ACTIONS(7519),
    [anon_sym_BSLASHacf] = ACTIONS(7519),
    [anon_sym_BSLASHAcf] = ACTIONS(7519),
    [anon_sym_BSLASHacfp] = ACTIONS(7519),
    [anon_sym_BSLASHAcfp] = ACTIONS(7519),
    [anon_sym_BSLASHac] = ACTIONS(7519),
    [anon_sym_BSLASHAc] = ACTIONS(7519),
    [anon_sym_BSLASHacp] = ACTIONS(7519),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7519),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7519),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7519),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7519),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7519),
    [anon_sym_BSLASHcolor] = ACTIONS(7519),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7519),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7519),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7519),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7519),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7519),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7519),
    [anon_sym_BSLASHurl] = ACTIONS(7519),
    [anon_sym_BSLASHhref] = ACTIONS(7519),
  },
  [1429] = {
    [sym_command_name] = ACTIONS(163),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_RBRACK] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_RPAREN] = ACTIONS(165),
    [anon_sym_BSLASHpart] = ACTIONS(163),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddpart] = ACTIONS(163),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(165),
    [anon_sym_BSLASHchapter] = ACTIONS(163),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddchap] = ACTIONS(163),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsection] = ACTIONS(163),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddsec] = ACTIONS(163),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubsection] = ACTIONS(163),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(163),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHparagraph] = ACTIONS(163),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(163),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(165),
    [anon_sym_BSLASHitem] = ACTIONS(163),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(165),
    [sym_word] = ACTIONS(163),
    [sym_placeholder] = ACTIONS(165),
    [sym_delimiter] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym__] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(165),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(163),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(165),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(165),
    [anon_sym_BSLASHleft] = ACTIONS(163),
    [anon_sym_BSLASHbigl] = ACTIONS(163),
    [anon_sym_BSLASHBigl] = ACTIONS(163),
    [anon_sym_BSLASHbiggl] = ACTIONS(163),
    [anon_sym_BSLASHBiggl] = ACTIONS(163),
    [anon_sym_BSLASHtext] = ACTIONS(163),
    [anon_sym_BSLASHintertext] = ACTIONS(163),
    [anon_sym_BSLASHshortintertext] = ACTIONS(163),
    [anon_sym_BSLASHbegin] = ACTIONS(163),
    [anon_sym_BSLASHtitle] = ACTIONS(163),
    [anon_sym_BSLASHauthor] = ACTIONS(163),
    [anon_sym_BSLASHusepackage] = ACTIONS(163),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(163),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(163),
    [anon_sym_BSLASHinclude] = ACTIONS(163),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(163),
    [anon_sym_BSLASHinput] = ACTIONS(163),
    [anon_sym_BSLASHsubfile] = ACTIONS(163),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(163),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(163),
    [anon_sym_BSLASHbibliography] = ACTIONS(163),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(163),
    [anon_sym_BSLASHincludesvg] = ACTIONS(163),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(163),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(163),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(163),
    [anon_sym_BSLASHimport] = ACTIONS(163),
    [anon_sym_BSLASHsubimport] = ACTIONS(163),
    [anon_sym_BSLASHinputfrom] = ACTIONS(163),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(163),
    [anon_sym_BSLASHincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHcaption] = ACTIONS(163),
    [anon_sym_BSLASHcite] = ACTIONS(163),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCite] = ACTIONS(163),
    [anon_sym_BSLASHnocite] = ACTIONS(163),
    [anon_sym_BSLASHcitet] = ACTIONS(163),
    [anon_sym_BSLASHcitep] = ACTIONS(163),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteA] = ACTIONS(163),
    [anon_sym_BSLASHciteR] = ACTIONS(163),
    [anon_sym_BSLASHciteS] = ACTIONS(163),
    [anon_sym_BSLASHciteyearR] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(163),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitetitle] = ACTIONS(163),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteyear] = ACTIONS(163),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitedate] = ACTIONS(163),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteurl] = ACTIONS(163),
    [anon_sym_BSLASHfullcite] = ACTIONS(163),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(163),
    [anon_sym_BSLASHcitealt] = ACTIONS(163),
    [anon_sym_BSLASHcitealp] = ACTIONS(163),
    [anon_sym_BSLASHcitetext] = ACTIONS(163),
    [anon_sym_BSLASHparencite] = ACTIONS(163),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHParencite] = ACTIONS(163),
    [anon_sym_BSLASHfootcite] = ACTIONS(163),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(163),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(163),
    [anon_sym_BSLASHtextcite] = ACTIONS(163),
    [anon_sym_BSLASHTextcite] = ACTIONS(163),
    [anon_sym_BSLASHsmartcite] = ACTIONS(163),
    [anon_sym_BSLASHSmartcite] = ACTIONS(163),
    [anon_sym_BSLASHsupercite] = ACTIONS(163),
    [anon_sym_BSLASHautocite] = ACTIONS(163),
    [anon_sym_BSLASHAutocite] = ACTIONS(163),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHvolcite] = ACTIONS(163),
    [anon_sym_BSLASHVolcite] = ACTIONS(163),
    [anon_sym_BSLASHpvolcite] = ACTIONS(163),
    [anon_sym_BSLASHPvolcite] = ACTIONS(163),
    [anon_sym_BSLASHfvolcite] = ACTIONS(163),
    [anon_sym_BSLASHftvolcite] = ACTIONS(163),
    [anon_sym_BSLASHsvolcite] = ACTIONS(163),
    [anon_sym_BSLASHSvolcite] = ACTIONS(163),
    [anon_sym_BSLASHtvolcite] = ACTIONS(163),
    [anon_sym_BSLASHTvolcite] = ACTIONS(163),
    [anon_sym_BSLASHavolcite] = ACTIONS(163),
    [anon_sym_BSLASHAvolcite] = ACTIONS(163),
    [anon_sym_BSLASHnotecite] = ACTIONS(163),
    [anon_sym_BSLASHNotecite] = ACTIONS(163),
    [anon_sym_BSLASHpnotecite] = ACTIONS(163),
    [anon_sym_BSLASHPnotecite] = ACTIONS(163),
    [anon_sym_BSLASHfnotecite] = ACTIONS(163),
    [anon_sym_BSLASHlabel] = ACTIONS(163),
    [anon_sym_BSLASHref] = ACTIONS(163),
    [anon_sym_BSLASHeqref] = ACTIONS(163),
    [anon_sym_BSLASHvref] = ACTIONS(163),
    [anon_sym_BSLASHVref] = ACTIONS(163),
    [anon_sym_BSLASHautoref] = ACTIONS(163),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHpageref] = ACTIONS(163),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHautopageref] = ACTIONS(163),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcref] = ACTIONS(163),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCref] = ACTIONS(163),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpageref] = ACTIONS(163),
    [anon_sym_BSLASHCpageref] = ACTIONS(163),
    [anon_sym_BSLASHnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnameCref] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcrefrange] = ACTIONS(163),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCrefrange] = ACTIONS(163),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHnewlabel] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(163),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(163),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(163),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(165),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHdef] = ACTIONS(163),
    [anon_sym_BSLASHgdef] = ACTIONS(163),
    [anon_sym_BSLASHedef] = ACTIONS(163),
    [anon_sym_BSLASHxdef] = ACTIONS(163),
    [anon_sym_BSLASHlet] = ACTIONS(163),
    [anon_sym_BSLASHglet] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(163),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(163),
    [anon_sym_BSLASHgls] = ACTIONS(163),
    [anon_sym_BSLASHGls] = ACTIONS(163),
    [anon_sym_BSLASHGLS] = ACTIONS(163),
    [anon_sym_BSLASHglspl] = ACTIONS(163),
    [anon_sym_BSLASHGlspl] = ACTIONS(163),
    [anon_sym_BSLASHGLSpl] = ACTIONS(163),
    [anon_sym_BSLASHglsdisp] = ACTIONS(163),
    [anon_sym_BSLASHglslink] = ACTIONS(163),
    [anon_sym_BSLASHglstext] = ACTIONS(163),
    [anon_sym_BSLASHGlstext] = ACTIONS(163),
    [anon_sym_BSLASHGLStext] = ACTIONS(163),
    [anon_sym_BSLASHglsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(163),
    [anon_sym_BSLASHglsplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSplural] = ACTIONS(163),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHglsname] = ACTIONS(163),
    [anon_sym_BSLASHGlsname] = ACTIONS(163),
    [anon_sym_BSLASHGLSname] = ACTIONS(163),
    [anon_sym_BSLASHglssymbol] = ACTIONS(163),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(163),
    [anon_sym_BSLASHglsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(163),
    [anon_sym_BSLASHglsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(163),
    [anon_sym_BSLASHglsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(163),
    [anon_sym_BSLASHglsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(163),
    [anon_sym_BSLASHglsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(163),
    [anon_sym_BSLASHnewacronym] = ACTIONS(163),
    [anon_sym_BSLASHacrshort] = ACTIONS(163),
    [anon_sym_BSLASHAcrshort] = ACTIONS(163),
    [anon_sym_BSLASHACRshort] = ACTIONS(163),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(163),
    [anon_sym_BSLASHacrlong] = ACTIONS(163),
    [anon_sym_BSLASHAcrlong] = ACTIONS(163),
    [anon_sym_BSLASHACRlong] = ACTIONS(163),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(163),
    [anon_sym_BSLASHacrfull] = ACTIONS(163),
    [anon_sym_BSLASHAcrfull] = ACTIONS(163),
    [anon_sym_BSLASHACRfull] = ACTIONS(163),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(163),
    [anon_sym_BSLASHacs] = ACTIONS(163),
    [anon_sym_BSLASHAcs] = ACTIONS(163),
    [anon_sym_BSLASHacsp] = ACTIONS(163),
    [anon_sym_BSLASHAcsp] = ACTIONS(163),
    [anon_sym_BSLASHacl] = ACTIONS(163),
    [anon_sym_BSLASHAcl] = ACTIONS(163),
    [anon_sym_BSLASHaclp] = ACTIONS(163),
    [anon_sym_BSLASHAclp] = ACTIONS(163),
    [anon_sym_BSLASHacf] = ACTIONS(163),
    [anon_sym_BSLASHAcf] = ACTIONS(163),
    [anon_sym_BSLASHacfp] = ACTIONS(163),
    [anon_sym_BSLASHAcfp] = ACTIONS(163),
    [anon_sym_BSLASHac] = ACTIONS(163),
    [anon_sym_BSLASHAc] = ACTIONS(163),
    [anon_sym_BSLASHacp] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(163),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(163),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(163),
    [anon_sym_BSLASHcolor] = ACTIONS(163),
    [anon_sym_BSLASHpagecolor] = ACTIONS(163),
    [anon_sym_BSLASHtextcolor] = ACTIONS(163),
    [anon_sym_BSLASHmathcolor] = ACTIONS(163),
    [anon_sym_BSLASHcolorbox] = ACTIONS(163),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(163),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(163),
    [anon_sym_BSLASHurl] = ACTIONS(163),
    [anon_sym_BSLASHhref] = ACTIONS(163),
  },
  [1430] = {
    [sym_command_name] = ACTIONS(7055),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7055),
    [anon_sym_LBRACK] = ACTIONS(7057),
    [anon_sym_RBRACK] = ACTIONS(7057),
    [anon_sym_COMMA] = ACTIONS(7057),
    [anon_sym_EQ] = ACTIONS(7057),
    [anon_sym_LPAREN] = ACTIONS(7057),
    [anon_sym_RPAREN] = ACTIONS(7057),
    [anon_sym_BSLASHpart] = ACTIONS(7055),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHaddpart] = ACTIONS(7055),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHchapter] = ACTIONS(7055),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHaddchap] = ACTIONS(7055),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHsection] = ACTIONS(7055),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHaddsec] = ACTIONS(7055),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHsubsection] = ACTIONS(7055),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7055),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHparagraph] = ACTIONS(7055),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7055),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHitem] = ACTIONS(7055),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7057),
    [anon_sym_LBRACE] = ACTIONS(7057),
    [sym_word] = ACTIONS(7055),
    [sym_placeholder] = ACTIONS(7057),
    [sym_delimiter] = ACTIONS(7057),
    [anon_sym_PLUS] = ACTIONS(7057),
    [anon_sym_DASH] = ACTIONS(7057),
    [anon_sym_STAR] = ACTIONS(7057),
    [anon_sym_SLASH] = ACTIONS(7057),
    [anon_sym_LT] = ACTIONS(7055),
    [anon_sym_GT] = ACTIONS(7055),
    [anon_sym_BANG] = ACTIONS(7055),
    [anon_sym_PIPE] = ACTIONS(7055),
    [anon_sym_COLON] = ACTIONS(7055),
    [anon_sym_SQUOTE] = ACTIONS(7055),
    [anon_sym__] = ACTIONS(7057),
    [anon_sym_CARET] = ACTIONS(7057),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7057),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7057),
    [anon_sym_DOLLAR] = ACTIONS(7055),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7057),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7057),
    [anon_sym_BSLASHleft] = ACTIONS(7055),
    [anon_sym_BSLASHbigl] = ACTIONS(7055),
    [anon_sym_BSLASHBigl] = ACTIONS(7055),
    [anon_sym_BSLASHbiggl] = ACTIONS(7055),
    [anon_sym_BSLASHBiggl] = ACTIONS(7055),
    [anon_sym_BSLASHtext] = ACTIONS(7055),
    [anon_sym_BSLASHintertext] = ACTIONS(7055),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7055),
    [anon_sym_BSLASHbegin] = ACTIONS(7055),
    [anon_sym_BSLASHtitle] = ACTIONS(7055),
    [anon_sym_BSLASHauthor] = ACTIONS(7055),
    [anon_sym_BSLASHusepackage] = ACTIONS(7055),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7055),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7055),
    [anon_sym_BSLASHinclude] = ACTIONS(7055),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7055),
    [anon_sym_BSLASHinput] = ACTIONS(7055),
    [anon_sym_BSLASHsubfile] = ACTIONS(7055),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7055),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7055),
    [anon_sym_BSLASHbibliography] = ACTIONS(7055),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7055),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7055),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7055),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7055),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7055),
    [anon_sym_BSLASHimport] = ACTIONS(7055),
    [anon_sym_BSLASHsubimport] = ACTIONS(7055),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7055),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7055),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7055),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7055),
    [anon_sym_BSLASHcaption] = ACTIONS(7055),
    [anon_sym_BSLASHcite] = ACTIONS(7055),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCite] = ACTIONS(7055),
    [anon_sym_BSLASHnocite] = ACTIONS(7055),
    [anon_sym_BSLASHcitet] = ACTIONS(7055),
    [anon_sym_BSLASHcitep] = ACTIONS(7055),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHciteA] = ACTIONS(7055),
    [anon_sym_BSLASHciteR] = ACTIONS(7055),
    [anon_sym_BSLASHciteS] = ACTIONS(7055),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7055),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7055),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7055),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7055),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHciteyear] = ACTIONS(7055),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcitedate] = ACTIONS(7055),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHciteurl] = ACTIONS(7055),
    [anon_sym_BSLASHfullcite] = ACTIONS(7055),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7055),
    [anon_sym_BSLASHcitealt] = ACTIONS(7055),
    [anon_sym_BSLASHcitealp] = ACTIONS(7055),
    [anon_sym_BSLASHcitetext] = ACTIONS(7055),
    [anon_sym_BSLASHparencite] = ACTIONS(7055),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHParencite] = ACTIONS(7055),
    [anon_sym_BSLASHfootcite] = ACTIONS(7055),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7055),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7055),
    [anon_sym_BSLASHtextcite] = ACTIONS(7055),
    [anon_sym_BSLASHTextcite] = ACTIONS(7055),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7055),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7055),
    [anon_sym_BSLASHsupercite] = ACTIONS(7055),
    [anon_sym_BSLASHautocite] = ACTIONS(7055),
    [anon_sym_BSLASHAutocite] = ACTIONS(7055),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHVolcite] = ACTIONS(7055),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHavolcite] = ACTIONS(7055),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHNotecite] = ACTIONS(7055),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHlabel] = ACTIONS(7055),
    [anon_sym_BSLASHref] = ACTIONS(7055),
    [anon_sym_BSLASHeqref] = ACTIONS(7055),
    [anon_sym_BSLASHvref] = ACTIONS(7055),
    [anon_sym_BSLASHVref] = ACTIONS(7055),
    [anon_sym_BSLASHautoref] = ACTIONS(7055),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHpageref] = ACTIONS(7055),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHautopageref] = ACTIONS(7055),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcref] = ACTIONS(7055),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCref] = ACTIONS(7055),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcpageref] = ACTIONS(7055),
    [anon_sym_BSLASHCpageref] = ACTIONS(7055),
    [anon_sym_BSLASHnamecref] = ACTIONS(7055),
    [anon_sym_BSLASHnameCref] = ACTIONS(7055),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7055),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7055),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7055),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7055),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7055),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7055),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7055),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7055),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7055),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7055),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7055),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7055),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7055),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7055),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7055),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7055),
    [anon_sym_BSLASHdef] = ACTIONS(7055),
    [anon_sym_BSLASHgdef] = ACTIONS(7055),
    [anon_sym_BSLASHedef] = ACTIONS(7055),
    [anon_sym_BSLASHxdef] = ACTIONS(7055),
    [anon_sym_BSLASHlet] = ACTIONS(7055),
    [anon_sym_BSLASHglet] = ACTIONS(7055),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7055),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7055),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7055),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7055),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7055),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7055),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7055),
    [anon_sym_BSLASHgls] = ACTIONS(7055),
    [anon_sym_BSLASHGls] = ACTIONS(7055),
    [anon_sym_BSLASHGLS] = ACTIONS(7055),
    [anon_sym_BSLASHglspl] = ACTIONS(7055),
    [anon_sym_BSLASHGlspl] = ACTIONS(7055),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7055),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7055),
    [anon_sym_BSLASHglslink] = ACTIONS(7055),
    [anon_sym_BSLASHglstext] = ACTIONS(7055),
    [anon_sym_BSLASHGlstext] = ACTIONS(7055),
    [anon_sym_BSLASHGLStext] = ACTIONS(7055),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7055),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7055),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7055),
    [anon_sym_BSLASHglsplural] = ACTIONS(7055),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7055),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7055),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7055),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7055),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7055),
    [anon_sym_BSLASHglsname] = ACTIONS(7055),
    [anon_sym_BSLASHGlsname] = ACTIONS(7055),
    [anon_sym_BSLASHGLSname] = ACTIONS(7055),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7055),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7055),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7055),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7055),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7055),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7055),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7055),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7055),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7055),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7055),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7055),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7055),
    [anon_sym_BSLASHacrshort] = ACTIONS(7055),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7055),
    [anon_sym_BSLASHACRshort] = ACTIONS(7055),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHacrlong] = ACTIONS(7055),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7055),
    [anon_sym_BSLASHACRlong] = ACTIONS(7055),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7055),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7055),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7055),
    [anon_sym_BSLASHacrfull] = ACTIONS(7055),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7055),
    [anon_sym_BSLASHACRfull] = ACTIONS(7055),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHacs] = ACTIONS(7055),
    [anon_sym_BSLASHAcs] = ACTIONS(7055),
    [anon_sym_BSLASHacsp] = ACTIONS(7055),
    [anon_sym_BSLASHAcsp] = ACTIONS(7055),
    [anon_sym_BSLASHacl] = ACTIONS(7055),
    [anon_sym_BSLASHAcl] = ACTIONS(7055),
    [anon_sym_BSLASHaclp] = ACTIONS(7055),
    [anon_sym_BSLASHAclp] = ACTIONS(7055),
    [anon_sym_BSLASHacf] = ACTIONS(7055),
    [anon_sym_BSLASHAcf] = ACTIONS(7055),
    [anon_sym_BSLASHacfp] = ACTIONS(7055),
    [anon_sym_BSLASHAcfp] = ACTIONS(7055),
    [anon_sym_BSLASHac] = ACTIONS(7055),
    [anon_sym_BSLASHAc] = ACTIONS(7055),
    [anon_sym_BSLASHacp] = ACTIONS(7055),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7055),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7055),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7055),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7055),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7055),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7055),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7055),
    [anon_sym_BSLASHcolor] = ACTIONS(7055),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7055),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7055),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7055),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7055),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7055),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7055),
    [anon_sym_BSLASHurl] = ACTIONS(7055),
    [anon_sym_BSLASHhref] = ACTIONS(7055),
  },
  [1431] = {
    [sym_command_name] = ACTIONS(7235),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7235),
    [anon_sym_LBRACK] = ACTIONS(7237),
    [anon_sym_RBRACK] = ACTIONS(7237),
    [anon_sym_COMMA] = ACTIONS(7237),
    [anon_sym_EQ] = ACTIONS(7237),
    [anon_sym_LPAREN] = ACTIONS(7237),
    [anon_sym_RPAREN] = ACTIONS(7237),
    [anon_sym_BSLASHpart] = ACTIONS(7235),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHaddpart] = ACTIONS(7235),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHchapter] = ACTIONS(7235),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHaddchap] = ACTIONS(7235),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHsection] = ACTIONS(7235),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHaddsec] = ACTIONS(7235),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHsubsection] = ACTIONS(7235),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7235),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHparagraph] = ACTIONS(7235),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7235),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHitem] = ACTIONS(7235),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7237),
    [anon_sym_LBRACE] = ACTIONS(7237),
    [sym_word] = ACTIONS(7235),
    [sym_placeholder] = ACTIONS(7237),
    [sym_delimiter] = ACTIONS(7237),
    [anon_sym_PLUS] = ACTIONS(7237),
    [anon_sym_DASH] = ACTIONS(7237),
    [anon_sym_STAR] = ACTIONS(7237),
    [anon_sym_SLASH] = ACTIONS(7237),
    [anon_sym_LT] = ACTIONS(7235),
    [anon_sym_GT] = ACTIONS(7235),
    [anon_sym_BANG] = ACTIONS(7235),
    [anon_sym_PIPE] = ACTIONS(7235),
    [anon_sym_COLON] = ACTIONS(7235),
    [anon_sym_SQUOTE] = ACTIONS(7235),
    [anon_sym__] = ACTIONS(7237),
    [anon_sym_CARET] = ACTIONS(7237),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7237),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7237),
    [anon_sym_DOLLAR] = ACTIONS(7235),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7237),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7237),
    [anon_sym_BSLASHleft] = ACTIONS(7235),
    [anon_sym_BSLASHbigl] = ACTIONS(7235),
    [anon_sym_BSLASHBigl] = ACTIONS(7235),
    [anon_sym_BSLASHbiggl] = ACTIONS(7235),
    [anon_sym_BSLASHBiggl] = ACTIONS(7235),
    [anon_sym_BSLASHtext] = ACTIONS(7235),
    [anon_sym_BSLASHintertext] = ACTIONS(7235),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7235),
    [anon_sym_BSLASHbegin] = ACTIONS(7235),
    [anon_sym_BSLASHtitle] = ACTIONS(7235),
    [anon_sym_BSLASHauthor] = ACTIONS(7235),
    [anon_sym_BSLASHusepackage] = ACTIONS(7235),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7235),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7235),
    [anon_sym_BSLASHinclude] = ACTIONS(7235),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7235),
    [anon_sym_BSLASHinput] = ACTIONS(7235),
    [anon_sym_BSLASHsubfile] = ACTIONS(7235),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7235),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7235),
    [anon_sym_BSLASHbibliography] = ACTIONS(7235),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7235),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7235),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7235),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7235),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7235),
    [anon_sym_BSLASHimport] = ACTIONS(7235),
    [anon_sym_BSLASHsubimport] = ACTIONS(7235),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7235),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7235),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7235),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7235),
    [anon_sym_BSLASHcaption] = ACTIONS(7235),
    [anon_sym_BSLASHcite] = ACTIONS(7235),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCite] = ACTIONS(7235),
    [anon_sym_BSLASHnocite] = ACTIONS(7235),
    [anon_sym_BSLASHcitet] = ACTIONS(7235),
    [anon_sym_BSLASHcitep] = ACTIONS(7235),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteA] = ACTIONS(7235),
    [anon_sym_BSLASHciteR] = ACTIONS(7235),
    [anon_sym_BSLASHciteS] = ACTIONS(7235),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7235),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7235),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7235),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7235),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteyear] = ACTIONS(7235),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitedate] = ACTIONS(7235),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteurl] = ACTIONS(7235),
    [anon_sym_BSLASHfullcite] = ACTIONS(7235),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7235),
    [anon_sym_BSLASHcitealt] = ACTIONS(7235),
    [anon_sym_BSLASHcitealp] = ACTIONS(7235),
    [anon_sym_BSLASHcitetext] = ACTIONS(7235),
    [anon_sym_BSLASHparencite] = ACTIONS(7235),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHParencite] = ACTIONS(7235),
    [anon_sym_BSLASHfootcite] = ACTIONS(7235),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7235),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7235),
    [anon_sym_BSLASHtextcite] = ACTIONS(7235),
    [anon_sym_BSLASHTextcite] = ACTIONS(7235),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7235),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7235),
    [anon_sym_BSLASHsupercite] = ACTIONS(7235),
    [anon_sym_BSLASHautocite] = ACTIONS(7235),
    [anon_sym_BSLASHAutocite] = ACTIONS(7235),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHVolcite] = ACTIONS(7235),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHavolcite] = ACTIONS(7235),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHNotecite] = ACTIONS(7235),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHlabel] = ACTIONS(7235),
    [anon_sym_BSLASHref] = ACTIONS(7235),
    [anon_sym_BSLASHeqref] = ACTIONS(7235),
    [anon_sym_BSLASHvref] = ACTIONS(7235),
    [anon_sym_BSLASHVref] = ACTIONS(7235),
    [anon_sym_BSLASHautoref] = ACTIONS(7235),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHpageref] = ACTIONS(7235),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHautopageref] = ACTIONS(7235),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcref] = ACTIONS(7235),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCref] = ACTIONS(7235),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcpageref] = ACTIONS(7235),
    [anon_sym_BSLASHCpageref] = ACTIONS(7235),
    [anon_sym_BSLASHnamecref] = ACTIONS(7235),
    [anon_sym_BSLASHnameCref] = ACTIONS(7235),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7235),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7235),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7235),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7235),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7235),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7235),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7235),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7235),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7235),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7235),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7235),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHdef] = ACTIONS(7235),
    [anon_sym_BSLASHgdef] = ACTIONS(7235),
    [anon_sym_BSLASHedef] = ACTIONS(7235),
    [anon_sym_BSLASHxdef] = ACTIONS(7235),
    [anon_sym_BSLASHlet] = ACTIONS(7235),
    [anon_sym_BSLASHglet] = ACTIONS(7235),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7235),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7235),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7235),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7235),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7235),
    [anon_sym_BSLASHgls] = ACTIONS(7235),
    [anon_sym_BSLASHGls] = ACTIONS(7235),
    [anon_sym_BSLASHGLS] = ACTIONS(7235),
    [anon_sym_BSLASHglspl] = ACTIONS(7235),
    [anon_sym_BSLASHGlspl] = ACTIONS(7235),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7235),
    [anon_sym_BSLASHglslink] = ACTIONS(7235),
    [anon_sym_BSLASHglstext] = ACTIONS(7235),
    [anon_sym_BSLASHGlstext] = ACTIONS(7235),
    [anon_sym_BSLASHGLStext] = ACTIONS(7235),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7235),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7235),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7235),
    [anon_sym_BSLASHglsplural] = ACTIONS(7235),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7235),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7235),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHglsname] = ACTIONS(7235),
    [anon_sym_BSLASHGlsname] = ACTIONS(7235),
    [anon_sym_BSLASHGLSname] = ACTIONS(7235),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7235),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7235),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7235),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7235),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7235),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7235),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7235),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7235),
    [anon_sym_BSLASHacrshort] = ACTIONS(7235),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7235),
    [anon_sym_BSLASHACRshort] = ACTIONS(7235),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHacrlong] = ACTIONS(7235),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7235),
    [anon_sym_BSLASHACRlong] = ACTIONS(7235),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHacrfull] = ACTIONS(7235),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7235),
    [anon_sym_BSLASHACRfull] = ACTIONS(7235),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHacs] = ACTIONS(7235),
    [anon_sym_BSLASHAcs] = ACTIONS(7235),
    [anon_sym_BSLASHacsp] = ACTIONS(7235),
    [anon_sym_BSLASHAcsp] = ACTIONS(7235),
    [anon_sym_BSLASHacl] = ACTIONS(7235),
    [anon_sym_BSLASHAcl] = ACTIONS(7235),
    [anon_sym_BSLASHaclp] = ACTIONS(7235),
    [anon_sym_BSLASHAclp] = ACTIONS(7235),
    [anon_sym_BSLASHacf] = ACTIONS(7235),
    [anon_sym_BSLASHAcf] = ACTIONS(7235),
    [anon_sym_BSLASHacfp] = ACTIONS(7235),
    [anon_sym_BSLASHAcfp] = ACTIONS(7235),
    [anon_sym_BSLASHac] = ACTIONS(7235),
    [anon_sym_BSLASHAc] = ACTIONS(7235),
    [anon_sym_BSLASHacp] = ACTIONS(7235),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7235),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7235),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7235),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7235),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7235),
    [anon_sym_BSLASHcolor] = ACTIONS(7235),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7235),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7235),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7235),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7235),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7235),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7235),
    [anon_sym_BSLASHurl] = ACTIONS(7235),
    [anon_sym_BSLASHhref] = ACTIONS(7235),
  },
  [1432] = {
    [sym_command_name] = ACTIONS(7523),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7523),
    [anon_sym_LBRACK] = ACTIONS(7525),
    [anon_sym_RBRACK] = ACTIONS(7525),
    [anon_sym_COMMA] = ACTIONS(7525),
    [anon_sym_EQ] = ACTIONS(7525),
    [anon_sym_LPAREN] = ACTIONS(7525),
    [anon_sym_RPAREN] = ACTIONS(7525),
    [anon_sym_BSLASHpart] = ACTIONS(7523),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHaddpart] = ACTIONS(7523),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHchapter] = ACTIONS(7523),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHaddchap] = ACTIONS(7523),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHsection] = ACTIONS(7523),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHaddsec] = ACTIONS(7523),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHsubsection] = ACTIONS(7523),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7523),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHparagraph] = ACTIONS(7523),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7523),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHitem] = ACTIONS(7523),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7525),
    [anon_sym_LBRACE] = ACTIONS(7525),
    [sym_word] = ACTIONS(7523),
    [sym_placeholder] = ACTIONS(7525),
    [sym_delimiter] = ACTIONS(7525),
    [anon_sym_PLUS] = ACTIONS(7525),
    [anon_sym_DASH] = ACTIONS(7525),
    [anon_sym_STAR] = ACTIONS(7525),
    [anon_sym_SLASH] = ACTIONS(7525),
    [anon_sym_LT] = ACTIONS(7523),
    [anon_sym_GT] = ACTIONS(7523),
    [anon_sym_BANG] = ACTIONS(7523),
    [anon_sym_PIPE] = ACTIONS(7523),
    [anon_sym_COLON] = ACTIONS(7523),
    [anon_sym_SQUOTE] = ACTIONS(7523),
    [anon_sym__] = ACTIONS(7525),
    [anon_sym_CARET] = ACTIONS(7525),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7525),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7525),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7525),
    [anon_sym_DOLLAR] = ACTIONS(7523),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7525),
    [anon_sym_BSLASHleft] = ACTIONS(7523),
    [anon_sym_BSLASHbigl] = ACTIONS(7523),
    [anon_sym_BSLASHBigl] = ACTIONS(7523),
    [anon_sym_BSLASHbiggl] = ACTIONS(7523),
    [anon_sym_BSLASHBiggl] = ACTIONS(7523),
    [anon_sym_BSLASHtext] = ACTIONS(7523),
    [anon_sym_BSLASHintertext] = ACTIONS(7523),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7523),
    [anon_sym_BSLASHbegin] = ACTIONS(7523),
    [anon_sym_BSLASHtitle] = ACTIONS(7523),
    [anon_sym_BSLASHauthor] = ACTIONS(7523),
    [anon_sym_BSLASHusepackage] = ACTIONS(7523),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7523),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7523),
    [anon_sym_BSLASHinclude] = ACTIONS(7523),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7523),
    [anon_sym_BSLASHinput] = ACTIONS(7523),
    [anon_sym_BSLASHsubfile] = ACTIONS(7523),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7523),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7523),
    [anon_sym_BSLASHbibliography] = ACTIONS(7523),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7523),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7523),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7523),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7523),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7523),
    [anon_sym_BSLASHimport] = ACTIONS(7523),
    [anon_sym_BSLASHsubimport] = ACTIONS(7523),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7523),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7523),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7523),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7523),
    [anon_sym_BSLASHcaption] = ACTIONS(7523),
    [anon_sym_BSLASHcite] = ACTIONS(7523),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCite] = ACTIONS(7523),
    [anon_sym_BSLASHnocite] = ACTIONS(7523),
    [anon_sym_BSLASHcitet] = ACTIONS(7523),
    [anon_sym_BSLASHcitep] = ACTIONS(7523),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteA] = ACTIONS(7523),
    [anon_sym_BSLASHciteR] = ACTIONS(7523),
    [anon_sym_BSLASHciteS] = ACTIONS(7523),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7523),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7523),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7523),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7523),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteyear] = ACTIONS(7523),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitedate] = ACTIONS(7523),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteurl] = ACTIONS(7523),
    [anon_sym_BSLASHfullcite] = ACTIONS(7523),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7523),
    [anon_sym_BSLASHcitealt] = ACTIONS(7523),
    [anon_sym_BSLASHcitealp] = ACTIONS(7523),
    [anon_sym_BSLASHcitetext] = ACTIONS(7523),
    [anon_sym_BSLASHparencite] = ACTIONS(7523),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHParencite] = ACTIONS(7523),
    [anon_sym_BSLASHfootcite] = ACTIONS(7523),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7523),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7523),
    [anon_sym_BSLASHtextcite] = ACTIONS(7523),
    [anon_sym_BSLASHTextcite] = ACTIONS(7523),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7523),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7523),
    [anon_sym_BSLASHsupercite] = ACTIONS(7523),
    [anon_sym_BSLASHautocite] = ACTIONS(7523),
    [anon_sym_BSLASHAutocite] = ACTIONS(7523),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHVolcite] = ACTIONS(7523),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHavolcite] = ACTIONS(7523),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHNotecite] = ACTIONS(7523),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHlabel] = ACTIONS(7523),
    [anon_sym_BSLASHref] = ACTIONS(7523),
    [anon_sym_BSLASHeqref] = ACTIONS(7523),
    [anon_sym_BSLASHvref] = ACTIONS(7523),
    [anon_sym_BSLASHVref] = ACTIONS(7523),
    [anon_sym_BSLASHautoref] = ACTIONS(7523),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHpageref] = ACTIONS(7523),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHautopageref] = ACTIONS(7523),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcref] = ACTIONS(7523),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCref] = ACTIONS(7523),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcpageref] = ACTIONS(7523),
    [anon_sym_BSLASHCpageref] = ACTIONS(7523),
    [anon_sym_BSLASHnamecref] = ACTIONS(7523),
    [anon_sym_BSLASHnameCref] = ACTIONS(7523),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7523),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7523),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7523),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7523),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7523),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7523),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7523),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7523),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7523),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7523),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7523),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHdef] = ACTIONS(7523),
    [anon_sym_BSLASHgdef] = ACTIONS(7523),
    [anon_sym_BSLASHedef] = ACTIONS(7523),
    [anon_sym_BSLASHxdef] = ACTIONS(7523),
    [anon_sym_BSLASHlet] = ACTIONS(7523),
    [anon_sym_BSLASHglet] = ACTIONS(7523),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7523),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7523),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7523),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7523),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7523),
    [anon_sym_BSLASHgls] = ACTIONS(7523),
    [anon_sym_BSLASHGls] = ACTIONS(7523),
    [anon_sym_BSLASHGLS] = ACTIONS(7523),
    [anon_sym_BSLASHglspl] = ACTIONS(7523),
    [anon_sym_BSLASHGlspl] = ACTIONS(7523),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7523),
    [anon_sym_BSLASHglslink] = ACTIONS(7523),
    [anon_sym_BSLASHglstext] = ACTIONS(7523),
    [anon_sym_BSLASHGlstext] = ACTIONS(7523),
    [anon_sym_BSLASHGLStext] = ACTIONS(7523),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7523),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7523),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7523),
    [anon_sym_BSLASHglsplural] = ACTIONS(7523),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7523),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7523),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHglsname] = ACTIONS(7523),
    [anon_sym_BSLASHGlsname] = ACTIONS(7523),
    [anon_sym_BSLASHGLSname] = ACTIONS(7523),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7523),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7523),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7523),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7523),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7523),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7523),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7523),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7523),
    [anon_sym_BSLASHacrshort] = ACTIONS(7523),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7523),
    [anon_sym_BSLASHACRshort] = ACTIONS(7523),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHacrlong] = ACTIONS(7523),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7523),
    [anon_sym_BSLASHACRlong] = ACTIONS(7523),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHacrfull] = ACTIONS(7523),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7523),
    [anon_sym_BSLASHACRfull] = ACTIONS(7523),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHacs] = ACTIONS(7523),
    [anon_sym_BSLASHAcs] = ACTIONS(7523),
    [anon_sym_BSLASHacsp] = ACTIONS(7523),
    [anon_sym_BSLASHAcsp] = ACTIONS(7523),
    [anon_sym_BSLASHacl] = ACTIONS(7523),
    [anon_sym_BSLASHAcl] = ACTIONS(7523),
    [anon_sym_BSLASHaclp] = ACTIONS(7523),
    [anon_sym_BSLASHAclp] = ACTIONS(7523),
    [anon_sym_BSLASHacf] = ACTIONS(7523),
    [anon_sym_BSLASHAcf] = ACTIONS(7523),
    [anon_sym_BSLASHacfp] = ACTIONS(7523),
    [anon_sym_BSLASHAcfp] = ACTIONS(7523),
    [anon_sym_BSLASHac] = ACTIONS(7523),
    [anon_sym_BSLASHAc] = ACTIONS(7523),
    [anon_sym_BSLASHacp] = ACTIONS(7523),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7523),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7523),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7523),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7523),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7523),
    [anon_sym_BSLASHcolor] = ACTIONS(7523),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7523),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7523),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7523),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7523),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7523),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7523),
    [anon_sym_BSLASHurl] = ACTIONS(7523),
    [anon_sym_BSLASHhref] = ACTIONS(7523),
  },
  [1433] = {
    [sym_command_name] = ACTIONS(7167),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7167),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_RBRACK] = ACTIONS(7169),
    [anon_sym_COMMA] = ACTIONS(7169),
    [anon_sym_EQ] = ACTIONS(7169),
    [anon_sym_LPAREN] = ACTIONS(7169),
    [anon_sym_RPAREN] = ACTIONS(7169),
    [anon_sym_BSLASHpart] = ACTIONS(7167),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHaddpart] = ACTIONS(7167),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHchapter] = ACTIONS(7167),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHaddchap] = ACTIONS(7167),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHsection] = ACTIONS(7167),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHaddsec] = ACTIONS(7167),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHsubsection] = ACTIONS(7167),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7167),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHparagraph] = ACTIONS(7167),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7167),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHitem] = ACTIONS(7167),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7169),
    [anon_sym_LBRACE] = ACTIONS(7169),
    [sym_word] = ACTIONS(7167),
    [sym_placeholder] = ACTIONS(7169),
    [sym_delimiter] = ACTIONS(7169),
    [anon_sym_PLUS] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7169),
    [anon_sym_STAR] = ACTIONS(7169),
    [anon_sym_SLASH] = ACTIONS(7169),
    [anon_sym_LT] = ACTIONS(7167),
    [anon_sym_GT] = ACTIONS(7167),
    [anon_sym_BANG] = ACTIONS(7167),
    [anon_sym_PIPE] = ACTIONS(7167),
    [anon_sym_COLON] = ACTIONS(7167),
    [anon_sym_SQUOTE] = ACTIONS(7167),
    [anon_sym__] = ACTIONS(7169),
    [anon_sym_CARET] = ACTIONS(7169),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7169),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7169),
    [anon_sym_DOLLAR] = ACTIONS(7167),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7169),
    [anon_sym_BSLASHleft] = ACTIONS(7167),
    [anon_sym_BSLASHbigl] = ACTIONS(7167),
    [anon_sym_BSLASHBigl] = ACTIONS(7167),
    [anon_sym_BSLASHbiggl] = ACTIONS(7167),
    [anon_sym_BSLASHBiggl] = ACTIONS(7167),
    [anon_sym_BSLASHtext] = ACTIONS(7167),
    [anon_sym_BSLASHintertext] = ACTIONS(7167),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7167),
    [anon_sym_BSLASHbegin] = ACTIONS(7167),
    [anon_sym_BSLASHend] = ACTIONS(7167),
    [anon_sym_BSLASHtitle] = ACTIONS(7167),
    [anon_sym_BSLASHauthor] = ACTIONS(7167),
    [anon_sym_BSLASHusepackage] = ACTIONS(7167),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7167),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7167),
    [anon_sym_BSLASHinclude] = ACTIONS(7167),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7167),
    [anon_sym_BSLASHinput] = ACTIONS(7167),
    [anon_sym_BSLASHsubfile] = ACTIONS(7167),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7167),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7167),
    [anon_sym_BSLASHbibliography] = ACTIONS(7167),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7167),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7167),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7167),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7167),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7167),
    [anon_sym_BSLASHimport] = ACTIONS(7167),
    [anon_sym_BSLASHsubimport] = ACTIONS(7167),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7167),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7167),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7167),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7167),
    [anon_sym_BSLASHcaption] = ACTIONS(7167),
    [anon_sym_BSLASHcite] = ACTIONS(7167),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHCite] = ACTIONS(7167),
    [anon_sym_BSLASHnocite] = ACTIONS(7167),
    [anon_sym_BSLASHcitet] = ACTIONS(7167),
    [anon_sym_BSLASHcitep] = ACTIONS(7167),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHciteA] = ACTIONS(7167),
    [anon_sym_BSLASHciteR] = ACTIONS(7167),
    [anon_sym_BSLASHciteS] = ACTIONS(7167),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7167),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7167),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7167),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7167),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHciteyear] = ACTIONS(7167),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcitedate] = ACTIONS(7167),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHciteurl] = ACTIONS(7167),
    [anon_sym_BSLASHfullcite] = ACTIONS(7167),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7167),
    [anon_sym_BSLASHcitealt] = ACTIONS(7167),
    [anon_sym_BSLASHcitealp] = ACTIONS(7167),
    [anon_sym_BSLASHcitetext] = ACTIONS(7167),
    [anon_sym_BSLASHparencite] = ACTIONS(7167),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHParencite] = ACTIONS(7167),
    [anon_sym_BSLASHfootcite] = ACTIONS(7167),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7167),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7167),
    [anon_sym_BSLASHtextcite] = ACTIONS(7167),
    [anon_sym_BSLASHTextcite] = ACTIONS(7167),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7167),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7167),
    [anon_sym_BSLASHsupercite] = ACTIONS(7167),
    [anon_sym_BSLASHautocite] = ACTIONS(7167),
    [anon_sym_BSLASHAutocite] = ACTIONS(7167),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHVolcite] = ACTIONS(7167),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHavolcite] = ACTIONS(7167),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHnotecite] = ACTIONS(7167),
    [anon_sym_BSLASHNotecite] = ACTIONS(7167),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7167),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7167),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7167),
    [anon_sym_BSLASHlabel] = ACTIONS(7167),
    [anon_sym_BSLASHref] = ACTIONS(7167),
    [anon_sym_BSLASHeqref] = ACTIONS(7167),
    [anon_sym_BSLASHvref] = ACTIONS(7167),
    [anon_sym_BSLASHVref] = ACTIONS(7167),
    [anon_sym_BSLASHautoref] = ACTIONS(7167),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHpageref] = ACTIONS(7167),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHautopageref] = ACTIONS(7167),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcref] = ACTIONS(7167),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHCref] = ACTIONS(7167),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcpageref] = ACTIONS(7167),
    [anon_sym_BSLASHCpageref] = ACTIONS(7167),
    [anon_sym_BSLASHnamecref] = ACTIONS(7167),
    [anon_sym_BSLASHnameCref] = ACTIONS(7167),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7167),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7167),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7167),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7167),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7167),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7167),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7167),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7167),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7167),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7167),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7167),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7167),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7167),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7167),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7167),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7167),
    [anon_sym_BSLASHdef] = ACTIONS(7167),
    [anon_sym_BSLASHgdef] = ACTIONS(7167),
    [anon_sym_BSLASHedef] = ACTIONS(7167),
    [anon_sym_BSLASHxdef] = ACTIONS(7167),
    [anon_sym_BSLASHlet] = ACTIONS(7167),
    [anon_sym_BSLASHglet] = ACTIONS(7167),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7167),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7167),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7167),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7167),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7167),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7167),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7167),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7167),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7167),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7167),
    [anon_sym_BSLASHgls] = ACTIONS(7167),
    [anon_sym_BSLASHGls] = ACTIONS(7167),
    [anon_sym_BSLASHGLS] = ACTIONS(7167),
    [anon_sym_BSLASHglspl] = ACTIONS(7167),
    [anon_sym_BSLASHGlspl] = ACTIONS(7167),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7167),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7167),
    [anon_sym_BSLASHglslink] = ACTIONS(7167),
    [anon_sym_BSLASHglstext] = ACTIONS(7167),
    [anon_sym_BSLASHGlstext] = ACTIONS(7167),
    [anon_sym_BSLASHGLStext] = ACTIONS(7167),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7167),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7167),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7167),
    [anon_sym_BSLASHglsplural] = ACTIONS(7167),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7167),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7167),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7167),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7167),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7167),
    [anon_sym_BSLASHglsname] = ACTIONS(7167),
    [anon_sym_BSLASHGlsname] = ACTIONS(7167),
    [anon_sym_BSLASHGLSname] = ACTIONS(7167),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7167),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7167),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7167),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7167),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7167),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7167),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7167),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7167),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7167),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7167),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7167),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7167),
    [anon_sym_BSLASHacrshort] = ACTIONS(7167),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7167),
    [anon_sym_BSLASHACRshort] = ACTIONS(7167),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHacrlong] = ACTIONS(7167),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7167),
    [anon_sym_BSLASHACRlong] = ACTIONS(7167),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7167),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7167),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7167),
    [anon_sym_BSLASHacrfull] = ACTIONS(7167),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7167),
    [anon_sym_BSLASHACRfull] = ACTIONS(7167),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHacs] = ACTIONS(7167),
    [anon_sym_BSLASHAcs] = ACTIONS(7167),
    [anon_sym_BSLASHacsp] = ACTIONS(7167),
    [anon_sym_BSLASHAcsp] = ACTIONS(7167),
    [anon_sym_BSLASHacl] = ACTIONS(7167),
    [anon_sym_BSLASHAcl] = ACTIONS(7167),
    [anon_sym_BSLASHaclp] = ACTIONS(7167),
    [anon_sym_BSLASHAclp] = ACTIONS(7167),
    [anon_sym_BSLASHacf] = ACTIONS(7167),
    [anon_sym_BSLASHAcf] = ACTIONS(7167),
    [anon_sym_BSLASHacfp] = ACTIONS(7167),
    [anon_sym_BSLASHAcfp] = ACTIONS(7167),
    [anon_sym_BSLASHac] = ACTIONS(7167),
    [anon_sym_BSLASHAc] = ACTIONS(7167),
    [anon_sym_BSLASHacp] = ACTIONS(7167),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7167),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7167),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7167),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7167),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7167),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7167),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7167),
    [anon_sym_BSLASHcolor] = ACTIONS(7167),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7167),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7167),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7167),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7167),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7167),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7167),
    [anon_sym_BSLASHurl] = ACTIONS(7167),
    [anon_sym_BSLASHhref] = ACTIONS(7167),
  },
  [1434] = {
    [sym_command_name] = ACTIONS(7239),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7239),
    [anon_sym_LBRACK] = ACTIONS(7241),
    [anon_sym_RBRACK] = ACTIONS(7241),
    [anon_sym_COMMA] = ACTIONS(7241),
    [anon_sym_EQ] = ACTIONS(7241),
    [anon_sym_LPAREN] = ACTIONS(7241),
    [anon_sym_RPAREN] = ACTIONS(7241),
    [anon_sym_BSLASHpart] = ACTIONS(7239),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHaddpart] = ACTIONS(7239),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHchapter] = ACTIONS(7239),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHaddchap] = ACTIONS(7239),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHsection] = ACTIONS(7239),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHaddsec] = ACTIONS(7239),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHsubsection] = ACTIONS(7239),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7239),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHparagraph] = ACTIONS(7239),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7239),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHitem] = ACTIONS(7239),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7241),
    [anon_sym_LBRACE] = ACTIONS(7241),
    [sym_word] = ACTIONS(7239),
    [sym_placeholder] = ACTIONS(7241),
    [sym_delimiter] = ACTIONS(7241),
    [anon_sym_PLUS] = ACTIONS(7241),
    [anon_sym_DASH] = ACTIONS(7241),
    [anon_sym_STAR] = ACTIONS(7241),
    [anon_sym_SLASH] = ACTIONS(7241),
    [anon_sym_LT] = ACTIONS(7239),
    [anon_sym_GT] = ACTIONS(7239),
    [anon_sym_BANG] = ACTIONS(7239),
    [anon_sym_PIPE] = ACTIONS(7239),
    [anon_sym_COLON] = ACTIONS(7239),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym__] = ACTIONS(7241),
    [anon_sym_CARET] = ACTIONS(7241),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7241),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7241),
    [anon_sym_DOLLAR] = ACTIONS(7239),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7241),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7241),
    [anon_sym_BSLASHleft] = ACTIONS(7239),
    [anon_sym_BSLASHbigl] = ACTIONS(7239),
    [anon_sym_BSLASHBigl] = ACTIONS(7239),
    [anon_sym_BSLASHbiggl] = ACTIONS(7239),
    [anon_sym_BSLASHBiggl] = ACTIONS(7239),
    [anon_sym_BSLASHtext] = ACTIONS(7239),
    [anon_sym_BSLASHintertext] = ACTIONS(7239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7239),
    [anon_sym_BSLASHbegin] = ACTIONS(7239),
    [anon_sym_BSLASHtitle] = ACTIONS(7239),
    [anon_sym_BSLASHauthor] = ACTIONS(7239),
    [anon_sym_BSLASHusepackage] = ACTIONS(7239),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7239),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7239),
    [anon_sym_BSLASHinclude] = ACTIONS(7239),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7239),
    [anon_sym_BSLASHinput] = ACTIONS(7239),
    [anon_sym_BSLASHsubfile] = ACTIONS(7239),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7239),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7239),
    [anon_sym_BSLASHbibliography] = ACTIONS(7239),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7239),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7239),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7239),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7239),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7239),
    [anon_sym_BSLASHimport] = ACTIONS(7239),
    [anon_sym_BSLASHsubimport] = ACTIONS(7239),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7239),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7239),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7239),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7239),
    [anon_sym_BSLASHcaption] = ACTIONS(7239),
    [anon_sym_BSLASHcite] = ACTIONS(7239),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCite] = ACTIONS(7239),
    [anon_sym_BSLASHnocite] = ACTIONS(7239),
    [anon_sym_BSLASHcitet] = ACTIONS(7239),
    [anon_sym_BSLASHcitep] = ACTIONS(7239),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteA] = ACTIONS(7239),
    [anon_sym_BSLASHciteR] = ACTIONS(7239),
    [anon_sym_BSLASHciteS] = ACTIONS(7239),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7239),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7239),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7239),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7239),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteyear] = ACTIONS(7239),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitedate] = ACTIONS(7239),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteurl] = ACTIONS(7239),
    [anon_sym_BSLASHfullcite] = ACTIONS(7239),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7239),
    [anon_sym_BSLASHcitealt] = ACTIONS(7239),
    [anon_sym_BSLASHcitealp] = ACTIONS(7239),
    [anon_sym_BSLASHcitetext] = ACTIONS(7239),
    [anon_sym_BSLASHparencite] = ACTIONS(7239),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHParencite] = ACTIONS(7239),
    [anon_sym_BSLASHfootcite] = ACTIONS(7239),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7239),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7239),
    [anon_sym_BSLASHtextcite] = ACTIONS(7239),
    [anon_sym_BSLASHTextcite] = ACTIONS(7239),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7239),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7239),
    [anon_sym_BSLASHsupercite] = ACTIONS(7239),
    [anon_sym_BSLASHautocite] = ACTIONS(7239),
    [anon_sym_BSLASHAutocite] = ACTIONS(7239),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHVolcite] = ACTIONS(7239),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHavolcite] = ACTIONS(7239),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHNotecite] = ACTIONS(7239),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHlabel] = ACTIONS(7239),
    [anon_sym_BSLASHref] = ACTIONS(7239),
    [anon_sym_BSLASHeqref] = ACTIONS(7239),
    [anon_sym_BSLASHvref] = ACTIONS(7239),
    [anon_sym_BSLASHVref] = ACTIONS(7239),
    [anon_sym_BSLASHautoref] = ACTIONS(7239),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHpageref] = ACTIONS(7239),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHautopageref] = ACTIONS(7239),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcref] = ACTIONS(7239),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCref] = ACTIONS(7239),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcpageref] = ACTIONS(7239),
    [anon_sym_BSLASHCpageref] = ACTIONS(7239),
    [anon_sym_BSLASHnamecref] = ACTIONS(7239),
    [anon_sym_BSLASHnameCref] = ACTIONS(7239),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7239),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7239),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7239),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7239),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7239),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7239),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7239),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7239),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7239),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7239),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7239),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHdef] = ACTIONS(7239),
    [anon_sym_BSLASHgdef] = ACTIONS(7239),
    [anon_sym_BSLASHedef] = ACTIONS(7239),
    [anon_sym_BSLASHxdef] = ACTIONS(7239),
    [anon_sym_BSLASHlet] = ACTIONS(7239),
    [anon_sym_BSLASHglet] = ACTIONS(7239),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7239),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7239),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7239),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7239),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7239),
    [anon_sym_BSLASHgls] = ACTIONS(7239),
    [anon_sym_BSLASHGls] = ACTIONS(7239),
    [anon_sym_BSLASHGLS] = ACTIONS(7239),
    [anon_sym_BSLASHglspl] = ACTIONS(7239),
    [anon_sym_BSLASHGlspl] = ACTIONS(7239),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7239),
    [anon_sym_BSLASHglslink] = ACTIONS(7239),
    [anon_sym_BSLASHglstext] = ACTIONS(7239),
    [anon_sym_BSLASHGlstext] = ACTIONS(7239),
    [anon_sym_BSLASHGLStext] = ACTIONS(7239),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7239),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7239),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7239),
    [anon_sym_BSLASHglsplural] = ACTIONS(7239),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7239),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7239),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHglsname] = ACTIONS(7239),
    [anon_sym_BSLASHGlsname] = ACTIONS(7239),
    [anon_sym_BSLASHGLSname] = ACTIONS(7239),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7239),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7239),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7239),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7239),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7239),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7239),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7239),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7239),
    [anon_sym_BSLASHacrshort] = ACTIONS(7239),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7239),
    [anon_sym_BSLASHACRshort] = ACTIONS(7239),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHacrlong] = ACTIONS(7239),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7239),
    [anon_sym_BSLASHACRlong] = ACTIONS(7239),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHacrfull] = ACTIONS(7239),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7239),
    [anon_sym_BSLASHACRfull] = ACTIONS(7239),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHacs] = ACTIONS(7239),
    [anon_sym_BSLASHAcs] = ACTIONS(7239),
    [anon_sym_BSLASHacsp] = ACTIONS(7239),
    [anon_sym_BSLASHAcsp] = ACTIONS(7239),
    [anon_sym_BSLASHacl] = ACTIONS(7239),
    [anon_sym_BSLASHAcl] = ACTIONS(7239),
    [anon_sym_BSLASHaclp] = ACTIONS(7239),
    [anon_sym_BSLASHAclp] = ACTIONS(7239),
    [anon_sym_BSLASHacf] = ACTIONS(7239),
    [anon_sym_BSLASHAcf] = ACTIONS(7239),
    [anon_sym_BSLASHacfp] = ACTIONS(7239),
    [anon_sym_BSLASHAcfp] = ACTIONS(7239),
    [anon_sym_BSLASHac] = ACTIONS(7239),
    [anon_sym_BSLASHAc] = ACTIONS(7239),
    [anon_sym_BSLASHacp] = ACTIONS(7239),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7239),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7239),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7239),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7239),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7239),
    [anon_sym_BSLASHcolor] = ACTIONS(7239),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7239),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7239),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7239),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7239),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7239),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7239),
    [anon_sym_BSLASHurl] = ACTIONS(7239),
    [anon_sym_BSLASHhref] = ACTIONS(7239),
  },
  [1435] = {
    [sym_command_name] = ACTIONS(7171),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(7173),
    [anon_sym_RBRACK] = ACTIONS(7173),
    [anon_sym_COMMA] = ACTIONS(7173),
    [anon_sym_EQ] = ACTIONS(7173),
    [anon_sym_LPAREN] = ACTIONS(7173),
    [anon_sym_RPAREN] = ACTIONS(7173),
    [anon_sym_BSLASHpart] = ACTIONS(7171),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHaddpart] = ACTIONS(7171),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHchapter] = ACTIONS(7171),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHaddchap] = ACTIONS(7171),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHsection] = ACTIONS(7171),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHaddsec] = ACTIONS(7171),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHsubsection] = ACTIONS(7171),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7171),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHparagraph] = ACTIONS(7171),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7171),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHitem] = ACTIONS(7171),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7173),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [sym_word] = ACTIONS(7171),
    [sym_placeholder] = ACTIONS(7173),
    [sym_delimiter] = ACTIONS(7173),
    [anon_sym_PLUS] = ACTIONS(7173),
    [anon_sym_DASH] = ACTIONS(7173),
    [anon_sym_STAR] = ACTIONS(7173),
    [anon_sym_SLASH] = ACTIONS(7173),
    [anon_sym_LT] = ACTIONS(7171),
    [anon_sym_GT] = ACTIONS(7171),
    [anon_sym_BANG] = ACTIONS(7171),
    [anon_sym_PIPE] = ACTIONS(7171),
    [anon_sym_COLON] = ACTIONS(7171),
    [anon_sym_SQUOTE] = ACTIONS(7171),
    [anon_sym__] = ACTIONS(7173),
    [anon_sym_CARET] = ACTIONS(7173),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7173),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7173),
    [anon_sym_DOLLAR] = ACTIONS(7171),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7173),
    [anon_sym_BSLASHleft] = ACTIONS(7171),
    [anon_sym_BSLASHbigl] = ACTIONS(7171),
    [anon_sym_BSLASHBigl] = ACTIONS(7171),
    [anon_sym_BSLASHbiggl] = ACTIONS(7171),
    [anon_sym_BSLASHBiggl] = ACTIONS(7171),
    [anon_sym_BSLASHtext] = ACTIONS(7171),
    [anon_sym_BSLASHintertext] = ACTIONS(7171),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7171),
    [anon_sym_BSLASHbegin] = ACTIONS(7171),
    [anon_sym_BSLASHend] = ACTIONS(7171),
    [anon_sym_BSLASHtitle] = ACTIONS(7171),
    [anon_sym_BSLASHauthor] = ACTIONS(7171),
    [anon_sym_BSLASHusepackage] = ACTIONS(7171),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7171),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7171),
    [anon_sym_BSLASHinclude] = ACTIONS(7171),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7171),
    [anon_sym_BSLASHinput] = ACTIONS(7171),
    [anon_sym_BSLASHsubfile] = ACTIONS(7171),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7171),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7171),
    [anon_sym_BSLASHbibliography] = ACTIONS(7171),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7171),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7171),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7171),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7171),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7171),
    [anon_sym_BSLASHimport] = ACTIONS(7171),
    [anon_sym_BSLASHsubimport] = ACTIONS(7171),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7171),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7171),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7171),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7171),
    [anon_sym_BSLASHcaption] = ACTIONS(7171),
    [anon_sym_BSLASHcite] = ACTIONS(7171),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHCite] = ACTIONS(7171),
    [anon_sym_BSLASHnocite] = ACTIONS(7171),
    [anon_sym_BSLASHcitet] = ACTIONS(7171),
    [anon_sym_BSLASHcitep] = ACTIONS(7171),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHciteA] = ACTIONS(7171),
    [anon_sym_BSLASHciteR] = ACTIONS(7171),
    [anon_sym_BSLASHciteS] = ACTIONS(7171),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7171),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7171),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7171),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7171),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHciteyear] = ACTIONS(7171),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcitedate] = ACTIONS(7171),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHciteurl] = ACTIONS(7171),
    [anon_sym_BSLASHfullcite] = ACTIONS(7171),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7171),
    [anon_sym_BSLASHcitealt] = ACTIONS(7171),
    [anon_sym_BSLASHcitealp] = ACTIONS(7171),
    [anon_sym_BSLASHcitetext] = ACTIONS(7171),
    [anon_sym_BSLASHparencite] = ACTIONS(7171),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHParencite] = ACTIONS(7171),
    [anon_sym_BSLASHfootcite] = ACTIONS(7171),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7171),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7171),
    [anon_sym_BSLASHtextcite] = ACTIONS(7171),
    [anon_sym_BSLASHTextcite] = ACTIONS(7171),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7171),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7171),
    [anon_sym_BSLASHsupercite] = ACTIONS(7171),
    [anon_sym_BSLASHautocite] = ACTIONS(7171),
    [anon_sym_BSLASHAutocite] = ACTIONS(7171),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHVolcite] = ACTIONS(7171),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHavolcite] = ACTIONS(7171),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHnotecite] = ACTIONS(7171),
    [anon_sym_BSLASHNotecite] = ACTIONS(7171),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7171),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7171),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7171),
    [anon_sym_BSLASHlabel] = ACTIONS(7171),
    [anon_sym_BSLASHref] = ACTIONS(7171),
    [anon_sym_BSLASHeqref] = ACTIONS(7171),
    [anon_sym_BSLASHvref] = ACTIONS(7171),
    [anon_sym_BSLASHVref] = ACTIONS(7171),
    [anon_sym_BSLASHautoref] = ACTIONS(7171),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHpageref] = ACTIONS(7171),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHautopageref] = ACTIONS(7171),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcref] = ACTIONS(7171),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHCref] = ACTIONS(7171),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcpageref] = ACTIONS(7171),
    [anon_sym_BSLASHCpageref] = ACTIONS(7171),
    [anon_sym_BSLASHnamecref] = ACTIONS(7171),
    [anon_sym_BSLASHnameCref] = ACTIONS(7171),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7171),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7171),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7171),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7171),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7171),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7171),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7171),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7171),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7171),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7171),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7171),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7171),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7171),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7171),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7171),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7171),
    [anon_sym_BSLASHdef] = ACTIONS(7171),
    [anon_sym_BSLASHgdef] = ACTIONS(7171),
    [anon_sym_BSLASHedef] = ACTIONS(7171),
    [anon_sym_BSLASHxdef] = ACTIONS(7171),
    [anon_sym_BSLASHlet] = ACTIONS(7171),
    [anon_sym_BSLASHglet] = ACTIONS(7171),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7171),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7171),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7171),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7171),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7171),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7171),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7171),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7171),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7171),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7171),
    [anon_sym_BSLASHgls] = ACTIONS(7171),
    [anon_sym_BSLASHGls] = ACTIONS(7171),
    [anon_sym_BSLASHGLS] = ACTIONS(7171),
    [anon_sym_BSLASHglspl] = ACTIONS(7171),
    [anon_sym_BSLASHGlspl] = ACTIONS(7171),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7171),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7171),
    [anon_sym_BSLASHglslink] = ACTIONS(7171),
    [anon_sym_BSLASHglstext] = ACTIONS(7171),
    [anon_sym_BSLASHGlstext] = ACTIONS(7171),
    [anon_sym_BSLASHGLStext] = ACTIONS(7171),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7171),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7171),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7171),
    [anon_sym_BSLASHglsplural] = ACTIONS(7171),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7171),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7171),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7171),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7171),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7171),
    [anon_sym_BSLASHglsname] = ACTIONS(7171),
    [anon_sym_BSLASHGlsname] = ACTIONS(7171),
    [anon_sym_BSLASHGLSname] = ACTIONS(7171),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7171),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7171),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7171),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7171),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7171),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7171),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7171),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7171),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7171),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7171),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7171),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7171),
    [anon_sym_BSLASHacrshort] = ACTIONS(7171),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7171),
    [anon_sym_BSLASHACRshort] = ACTIONS(7171),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHacrlong] = ACTIONS(7171),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7171),
    [anon_sym_BSLASHACRlong] = ACTIONS(7171),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7171),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7171),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7171),
    [anon_sym_BSLASHacrfull] = ACTIONS(7171),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7171),
    [anon_sym_BSLASHACRfull] = ACTIONS(7171),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHacs] = ACTIONS(7171),
    [anon_sym_BSLASHAcs] = ACTIONS(7171),
    [anon_sym_BSLASHacsp] = ACTIONS(7171),
    [anon_sym_BSLASHAcsp] = ACTIONS(7171),
    [anon_sym_BSLASHacl] = ACTIONS(7171),
    [anon_sym_BSLASHAcl] = ACTIONS(7171),
    [anon_sym_BSLASHaclp] = ACTIONS(7171),
    [anon_sym_BSLASHAclp] = ACTIONS(7171),
    [anon_sym_BSLASHacf] = ACTIONS(7171),
    [anon_sym_BSLASHAcf] = ACTIONS(7171),
    [anon_sym_BSLASHacfp] = ACTIONS(7171),
    [anon_sym_BSLASHAcfp] = ACTIONS(7171),
    [anon_sym_BSLASHac] = ACTIONS(7171),
    [anon_sym_BSLASHAc] = ACTIONS(7171),
    [anon_sym_BSLASHacp] = ACTIONS(7171),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7171),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7171),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7171),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7171),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7171),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7171),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7171),
    [anon_sym_BSLASHcolor] = ACTIONS(7171),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7171),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7171),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7171),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7171),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7171),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7171),
    [anon_sym_BSLASHurl] = ACTIONS(7171),
    [anon_sym_BSLASHhref] = ACTIONS(7171),
  },
  [1436] = {
    [sym_command_name] = ACTIONS(7175),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7175),
    [anon_sym_LBRACK] = ACTIONS(7177),
    [anon_sym_RBRACK] = ACTIONS(7177),
    [anon_sym_COMMA] = ACTIONS(7177),
    [anon_sym_EQ] = ACTIONS(7177),
    [anon_sym_LPAREN] = ACTIONS(7177),
    [anon_sym_RPAREN] = ACTIONS(7177),
    [anon_sym_BSLASHpart] = ACTIONS(7175),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHaddpart] = ACTIONS(7175),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHchapter] = ACTIONS(7175),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHaddchap] = ACTIONS(7175),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHsection] = ACTIONS(7175),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHaddsec] = ACTIONS(7175),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHsubsection] = ACTIONS(7175),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7175),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHparagraph] = ACTIONS(7175),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7175),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHitem] = ACTIONS(7175),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7177),
    [anon_sym_LBRACE] = ACTIONS(7177),
    [sym_word] = ACTIONS(7175),
    [sym_placeholder] = ACTIONS(7177),
    [sym_delimiter] = ACTIONS(7177),
    [anon_sym_PLUS] = ACTIONS(7177),
    [anon_sym_DASH] = ACTIONS(7177),
    [anon_sym_STAR] = ACTIONS(7177),
    [anon_sym_SLASH] = ACTIONS(7177),
    [anon_sym_LT] = ACTIONS(7175),
    [anon_sym_GT] = ACTIONS(7175),
    [anon_sym_BANG] = ACTIONS(7175),
    [anon_sym_PIPE] = ACTIONS(7175),
    [anon_sym_COLON] = ACTIONS(7175),
    [anon_sym_SQUOTE] = ACTIONS(7175),
    [anon_sym__] = ACTIONS(7177),
    [anon_sym_CARET] = ACTIONS(7177),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7177),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7177),
    [anon_sym_DOLLAR] = ACTIONS(7175),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7177),
    [anon_sym_BSLASHleft] = ACTIONS(7175),
    [anon_sym_BSLASHbigl] = ACTIONS(7175),
    [anon_sym_BSLASHBigl] = ACTIONS(7175),
    [anon_sym_BSLASHbiggl] = ACTIONS(7175),
    [anon_sym_BSLASHBiggl] = ACTIONS(7175),
    [anon_sym_BSLASHtext] = ACTIONS(7175),
    [anon_sym_BSLASHintertext] = ACTIONS(7175),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7175),
    [anon_sym_BSLASHbegin] = ACTIONS(7175),
    [anon_sym_BSLASHend] = ACTIONS(7175),
    [anon_sym_BSLASHtitle] = ACTIONS(7175),
    [anon_sym_BSLASHauthor] = ACTIONS(7175),
    [anon_sym_BSLASHusepackage] = ACTIONS(7175),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7175),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7175),
    [anon_sym_BSLASHinclude] = ACTIONS(7175),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7175),
    [anon_sym_BSLASHinput] = ACTIONS(7175),
    [anon_sym_BSLASHsubfile] = ACTIONS(7175),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7175),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7175),
    [anon_sym_BSLASHbibliography] = ACTIONS(7175),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7175),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7175),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7175),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7175),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7175),
    [anon_sym_BSLASHimport] = ACTIONS(7175),
    [anon_sym_BSLASHsubimport] = ACTIONS(7175),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7175),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7175),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7175),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7175),
    [anon_sym_BSLASHcaption] = ACTIONS(7175),
    [anon_sym_BSLASHcite] = ACTIONS(7175),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHCite] = ACTIONS(7175),
    [anon_sym_BSLASHnocite] = ACTIONS(7175),
    [anon_sym_BSLASHcitet] = ACTIONS(7175),
    [anon_sym_BSLASHcitep] = ACTIONS(7175),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHciteA] = ACTIONS(7175),
    [anon_sym_BSLASHciteR] = ACTIONS(7175),
    [anon_sym_BSLASHciteS] = ACTIONS(7175),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7175),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7175),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7175),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7175),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHciteyear] = ACTIONS(7175),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcitedate] = ACTIONS(7175),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHciteurl] = ACTIONS(7175),
    [anon_sym_BSLASHfullcite] = ACTIONS(7175),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7175),
    [anon_sym_BSLASHcitealt] = ACTIONS(7175),
    [anon_sym_BSLASHcitealp] = ACTIONS(7175),
    [anon_sym_BSLASHcitetext] = ACTIONS(7175),
    [anon_sym_BSLASHparencite] = ACTIONS(7175),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHParencite] = ACTIONS(7175),
    [anon_sym_BSLASHfootcite] = ACTIONS(7175),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7175),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7175),
    [anon_sym_BSLASHtextcite] = ACTIONS(7175),
    [anon_sym_BSLASHTextcite] = ACTIONS(7175),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7175),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7175),
    [anon_sym_BSLASHsupercite] = ACTIONS(7175),
    [anon_sym_BSLASHautocite] = ACTIONS(7175),
    [anon_sym_BSLASHAutocite] = ACTIONS(7175),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHVolcite] = ACTIONS(7175),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHavolcite] = ACTIONS(7175),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHnotecite] = ACTIONS(7175),
    [anon_sym_BSLASHNotecite] = ACTIONS(7175),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7175),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7175),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7175),
    [anon_sym_BSLASHlabel] = ACTIONS(7175),
    [anon_sym_BSLASHref] = ACTIONS(7175),
    [anon_sym_BSLASHeqref] = ACTIONS(7175),
    [anon_sym_BSLASHvref] = ACTIONS(7175),
    [anon_sym_BSLASHVref] = ACTIONS(7175),
    [anon_sym_BSLASHautoref] = ACTIONS(7175),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHpageref] = ACTIONS(7175),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHautopageref] = ACTIONS(7175),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcref] = ACTIONS(7175),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHCref] = ACTIONS(7175),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcpageref] = ACTIONS(7175),
    [anon_sym_BSLASHCpageref] = ACTIONS(7175),
    [anon_sym_BSLASHnamecref] = ACTIONS(7175),
    [anon_sym_BSLASHnameCref] = ACTIONS(7175),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7175),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7175),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7175),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7175),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7175),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7175),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7175),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7175),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7175),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7175),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7175),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7175),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7175),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7175),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7175),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7175),
    [anon_sym_BSLASHdef] = ACTIONS(7175),
    [anon_sym_BSLASHgdef] = ACTIONS(7175),
    [anon_sym_BSLASHedef] = ACTIONS(7175),
    [anon_sym_BSLASHxdef] = ACTIONS(7175),
    [anon_sym_BSLASHlet] = ACTIONS(7175),
    [anon_sym_BSLASHglet] = ACTIONS(7175),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7175),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7175),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7175),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7175),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7175),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7175),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7175),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7175),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7175),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7175),
    [anon_sym_BSLASHgls] = ACTIONS(7175),
    [anon_sym_BSLASHGls] = ACTIONS(7175),
    [anon_sym_BSLASHGLS] = ACTIONS(7175),
    [anon_sym_BSLASHglspl] = ACTIONS(7175),
    [anon_sym_BSLASHGlspl] = ACTIONS(7175),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7175),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7175),
    [anon_sym_BSLASHglslink] = ACTIONS(7175),
    [anon_sym_BSLASHglstext] = ACTIONS(7175),
    [anon_sym_BSLASHGlstext] = ACTIONS(7175),
    [anon_sym_BSLASHGLStext] = ACTIONS(7175),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7175),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7175),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7175),
    [anon_sym_BSLASHglsplural] = ACTIONS(7175),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7175),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7175),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7175),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7175),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7175),
    [anon_sym_BSLASHglsname] = ACTIONS(7175),
    [anon_sym_BSLASHGlsname] = ACTIONS(7175),
    [anon_sym_BSLASHGLSname] = ACTIONS(7175),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7175),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7175),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7175),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7175),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7175),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7175),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7175),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7175),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7175),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7175),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7175),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7175),
    [anon_sym_BSLASHacrshort] = ACTIONS(7175),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7175),
    [anon_sym_BSLASHACRshort] = ACTIONS(7175),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHacrlong] = ACTIONS(7175),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7175),
    [anon_sym_BSLASHACRlong] = ACTIONS(7175),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7175),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7175),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7175),
    [anon_sym_BSLASHacrfull] = ACTIONS(7175),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7175),
    [anon_sym_BSLASHACRfull] = ACTIONS(7175),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHacs] = ACTIONS(7175),
    [anon_sym_BSLASHAcs] = ACTIONS(7175),
    [anon_sym_BSLASHacsp] = ACTIONS(7175),
    [anon_sym_BSLASHAcsp] = ACTIONS(7175),
    [anon_sym_BSLASHacl] = ACTIONS(7175),
    [anon_sym_BSLASHAcl] = ACTIONS(7175),
    [anon_sym_BSLASHaclp] = ACTIONS(7175),
    [anon_sym_BSLASHAclp] = ACTIONS(7175),
    [anon_sym_BSLASHacf] = ACTIONS(7175),
    [anon_sym_BSLASHAcf] = ACTIONS(7175),
    [anon_sym_BSLASHacfp] = ACTIONS(7175),
    [anon_sym_BSLASHAcfp] = ACTIONS(7175),
    [anon_sym_BSLASHac] = ACTIONS(7175),
    [anon_sym_BSLASHAc] = ACTIONS(7175),
    [anon_sym_BSLASHacp] = ACTIONS(7175),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7175),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7175),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7175),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7175),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7175),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7175),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7175),
    [anon_sym_BSLASHcolor] = ACTIONS(7175),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7175),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7175),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7175),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7175),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7175),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7175),
    [anon_sym_BSLASHurl] = ACTIONS(7175),
    [anon_sym_BSLASHhref] = ACTIONS(7175),
  },
  [1437] = {
    [sym_command_name] = ACTIONS(7223),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7223),
    [anon_sym_LBRACK] = ACTIONS(7225),
    [anon_sym_RBRACK] = ACTIONS(7225),
    [anon_sym_COMMA] = ACTIONS(7225),
    [anon_sym_EQ] = ACTIONS(7225),
    [anon_sym_LPAREN] = ACTIONS(7225),
    [anon_sym_RPAREN] = ACTIONS(7225),
    [anon_sym_BSLASHpart] = ACTIONS(7223),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHaddpart] = ACTIONS(7223),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHchapter] = ACTIONS(7223),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHaddchap] = ACTIONS(7223),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHsection] = ACTIONS(7223),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHaddsec] = ACTIONS(7223),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHsubsection] = ACTIONS(7223),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7223),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHparagraph] = ACTIONS(7223),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7223),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHitem] = ACTIONS(7223),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7225),
    [anon_sym_LBRACE] = ACTIONS(7225),
    [sym_word] = ACTIONS(7223),
    [sym_placeholder] = ACTIONS(7225),
    [sym_delimiter] = ACTIONS(7225),
    [anon_sym_PLUS] = ACTIONS(7225),
    [anon_sym_DASH] = ACTIONS(7225),
    [anon_sym_STAR] = ACTIONS(7225),
    [anon_sym_SLASH] = ACTIONS(7225),
    [anon_sym_LT] = ACTIONS(7223),
    [anon_sym_GT] = ACTIONS(7223),
    [anon_sym_BANG] = ACTIONS(7223),
    [anon_sym_PIPE] = ACTIONS(7223),
    [anon_sym_COLON] = ACTIONS(7223),
    [anon_sym_SQUOTE] = ACTIONS(7223),
    [anon_sym__] = ACTIONS(7225),
    [anon_sym_CARET] = ACTIONS(7225),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7225),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7225),
    [anon_sym_DOLLAR] = ACTIONS(7223),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7225),
    [anon_sym_BSLASHleft] = ACTIONS(7223),
    [anon_sym_BSLASHbigl] = ACTIONS(7223),
    [anon_sym_BSLASHBigl] = ACTIONS(7223),
    [anon_sym_BSLASHbiggl] = ACTIONS(7223),
    [anon_sym_BSLASHBiggl] = ACTIONS(7223),
    [anon_sym_BSLASHtext] = ACTIONS(7223),
    [anon_sym_BSLASHintertext] = ACTIONS(7223),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7223),
    [anon_sym_BSLASHbegin] = ACTIONS(7223),
    [anon_sym_BSLASHend] = ACTIONS(7223),
    [anon_sym_BSLASHtitle] = ACTIONS(7223),
    [anon_sym_BSLASHauthor] = ACTIONS(7223),
    [anon_sym_BSLASHusepackage] = ACTIONS(7223),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7223),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7223),
    [anon_sym_BSLASHinclude] = ACTIONS(7223),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7223),
    [anon_sym_BSLASHinput] = ACTIONS(7223),
    [anon_sym_BSLASHsubfile] = ACTIONS(7223),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7223),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7223),
    [anon_sym_BSLASHbibliography] = ACTIONS(7223),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7223),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7223),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7223),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7223),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7223),
    [anon_sym_BSLASHimport] = ACTIONS(7223),
    [anon_sym_BSLASHsubimport] = ACTIONS(7223),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7223),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7223),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7223),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7223),
    [anon_sym_BSLASHcaption] = ACTIONS(7223),
    [anon_sym_BSLASHcite] = ACTIONS(7223),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCite] = ACTIONS(7223),
    [anon_sym_BSLASHnocite] = ACTIONS(7223),
    [anon_sym_BSLASHcitet] = ACTIONS(7223),
    [anon_sym_BSLASHcitep] = ACTIONS(7223),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteA] = ACTIONS(7223),
    [anon_sym_BSLASHciteR] = ACTIONS(7223),
    [anon_sym_BSLASHciteS] = ACTIONS(7223),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7223),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7223),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7223),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7223),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteyear] = ACTIONS(7223),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitedate] = ACTIONS(7223),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteurl] = ACTIONS(7223),
    [anon_sym_BSLASHfullcite] = ACTIONS(7223),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7223),
    [anon_sym_BSLASHcitealt] = ACTIONS(7223),
    [anon_sym_BSLASHcitealp] = ACTIONS(7223),
    [anon_sym_BSLASHcitetext] = ACTIONS(7223),
    [anon_sym_BSLASHparencite] = ACTIONS(7223),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHParencite] = ACTIONS(7223),
    [anon_sym_BSLASHfootcite] = ACTIONS(7223),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7223),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7223),
    [anon_sym_BSLASHtextcite] = ACTIONS(7223),
    [anon_sym_BSLASHTextcite] = ACTIONS(7223),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7223),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7223),
    [anon_sym_BSLASHsupercite] = ACTIONS(7223),
    [anon_sym_BSLASHautocite] = ACTIONS(7223),
    [anon_sym_BSLASHAutocite] = ACTIONS(7223),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHVolcite] = ACTIONS(7223),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHavolcite] = ACTIONS(7223),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHNotecite] = ACTIONS(7223),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHlabel] = ACTIONS(7223),
    [anon_sym_BSLASHref] = ACTIONS(7223),
    [anon_sym_BSLASHeqref] = ACTIONS(7223),
    [anon_sym_BSLASHvref] = ACTIONS(7223),
    [anon_sym_BSLASHVref] = ACTIONS(7223),
    [anon_sym_BSLASHautoref] = ACTIONS(7223),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHpageref] = ACTIONS(7223),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHautopageref] = ACTIONS(7223),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcref] = ACTIONS(7223),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCref] = ACTIONS(7223),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcpageref] = ACTIONS(7223),
    [anon_sym_BSLASHCpageref] = ACTIONS(7223),
    [anon_sym_BSLASHnamecref] = ACTIONS(7223),
    [anon_sym_BSLASHnameCref] = ACTIONS(7223),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7223),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7223),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7223),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7223),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7223),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7223),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7223),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7223),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7223),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7223),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7223),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHdef] = ACTIONS(7223),
    [anon_sym_BSLASHgdef] = ACTIONS(7223),
    [anon_sym_BSLASHedef] = ACTIONS(7223),
    [anon_sym_BSLASHxdef] = ACTIONS(7223),
    [anon_sym_BSLASHlet] = ACTIONS(7223),
    [anon_sym_BSLASHglet] = ACTIONS(7223),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7223),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7223),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7223),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7223),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7223),
    [anon_sym_BSLASHgls] = ACTIONS(7223),
    [anon_sym_BSLASHGls] = ACTIONS(7223),
    [anon_sym_BSLASHGLS] = ACTIONS(7223),
    [anon_sym_BSLASHglspl] = ACTIONS(7223),
    [anon_sym_BSLASHGlspl] = ACTIONS(7223),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7223),
    [anon_sym_BSLASHglslink] = ACTIONS(7223),
    [anon_sym_BSLASHglstext] = ACTIONS(7223),
    [anon_sym_BSLASHGlstext] = ACTIONS(7223),
    [anon_sym_BSLASHGLStext] = ACTIONS(7223),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7223),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7223),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7223),
    [anon_sym_BSLASHglsplural] = ACTIONS(7223),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7223),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7223),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHglsname] = ACTIONS(7223),
    [anon_sym_BSLASHGlsname] = ACTIONS(7223),
    [anon_sym_BSLASHGLSname] = ACTIONS(7223),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7223),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7223),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7223),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7223),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7223),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7223),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7223),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7223),
    [anon_sym_BSLASHacrshort] = ACTIONS(7223),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7223),
    [anon_sym_BSLASHACRshort] = ACTIONS(7223),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHacrlong] = ACTIONS(7223),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7223),
    [anon_sym_BSLASHACRlong] = ACTIONS(7223),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHacrfull] = ACTIONS(7223),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7223),
    [anon_sym_BSLASHACRfull] = ACTIONS(7223),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHacs] = ACTIONS(7223),
    [anon_sym_BSLASHAcs] = ACTIONS(7223),
    [anon_sym_BSLASHacsp] = ACTIONS(7223),
    [anon_sym_BSLASHAcsp] = ACTIONS(7223),
    [anon_sym_BSLASHacl] = ACTIONS(7223),
    [anon_sym_BSLASHAcl] = ACTIONS(7223),
    [anon_sym_BSLASHaclp] = ACTIONS(7223),
    [anon_sym_BSLASHAclp] = ACTIONS(7223),
    [anon_sym_BSLASHacf] = ACTIONS(7223),
    [anon_sym_BSLASHAcf] = ACTIONS(7223),
    [anon_sym_BSLASHacfp] = ACTIONS(7223),
    [anon_sym_BSLASHAcfp] = ACTIONS(7223),
    [anon_sym_BSLASHac] = ACTIONS(7223),
    [anon_sym_BSLASHAc] = ACTIONS(7223),
    [anon_sym_BSLASHacp] = ACTIONS(7223),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7223),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7223),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7223),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7223),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7223),
    [anon_sym_BSLASHcolor] = ACTIONS(7223),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7223),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7223),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7223),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7223),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7223),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7223),
    [anon_sym_BSLASHurl] = ACTIONS(7223),
    [anon_sym_BSLASHhref] = ACTIONS(7223),
  },
  [1438] = {
    [sym_command_name] = ACTIONS(6999),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(7001),
    [anon_sym_RBRACK] = ACTIONS(7001),
    [anon_sym_COMMA] = ACTIONS(7001),
    [anon_sym_EQ] = ACTIONS(7001),
    [anon_sym_LPAREN] = ACTIONS(7001),
    [anon_sym_RPAREN] = ACTIONS(7001),
    [anon_sym_BSLASHpart] = ACTIONS(6999),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHaddpart] = ACTIONS(6999),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHchapter] = ACTIONS(6999),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHaddchap] = ACTIONS(6999),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHsection] = ACTIONS(6999),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHaddsec] = ACTIONS(6999),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHsubsection] = ACTIONS(6999),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6999),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHparagraph] = ACTIONS(6999),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6999),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHitem] = ACTIONS(6999),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7001),
    [anon_sym_LBRACE] = ACTIONS(7001),
    [sym_word] = ACTIONS(6999),
    [sym_placeholder] = ACTIONS(7001),
    [sym_delimiter] = ACTIONS(7001),
    [anon_sym_PLUS] = ACTIONS(7001),
    [anon_sym_DASH] = ACTIONS(7001),
    [anon_sym_STAR] = ACTIONS(7001),
    [anon_sym_SLASH] = ACTIONS(7001),
    [anon_sym_LT] = ACTIONS(6999),
    [anon_sym_GT] = ACTIONS(6999),
    [anon_sym_BANG] = ACTIONS(6999),
    [anon_sym_PIPE] = ACTIONS(6999),
    [anon_sym_COLON] = ACTIONS(6999),
    [anon_sym_SQUOTE] = ACTIONS(6999),
    [anon_sym__] = ACTIONS(7001),
    [anon_sym_CARET] = ACTIONS(7001),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7001),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7001),
    [anon_sym_DOLLAR] = ACTIONS(6999),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7001),
    [anon_sym_BSLASHleft] = ACTIONS(6999),
    [anon_sym_BSLASHbigl] = ACTIONS(6999),
    [anon_sym_BSLASHBigl] = ACTIONS(6999),
    [anon_sym_BSLASHbiggl] = ACTIONS(6999),
    [anon_sym_BSLASHBiggl] = ACTIONS(6999),
    [anon_sym_BSLASHtext] = ACTIONS(6999),
    [anon_sym_BSLASHintertext] = ACTIONS(6999),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6999),
    [anon_sym_BSLASHbegin] = ACTIONS(6999),
    [anon_sym_BSLASHend] = ACTIONS(6999),
    [anon_sym_BSLASHtitle] = ACTIONS(6999),
    [anon_sym_BSLASHauthor] = ACTIONS(6999),
    [anon_sym_BSLASHusepackage] = ACTIONS(6999),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6999),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6999),
    [anon_sym_BSLASHinclude] = ACTIONS(6999),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6999),
    [anon_sym_BSLASHinput] = ACTIONS(6999),
    [anon_sym_BSLASHsubfile] = ACTIONS(6999),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6999),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6999),
    [anon_sym_BSLASHbibliography] = ACTIONS(6999),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6999),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6999),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6999),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6999),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6999),
    [anon_sym_BSLASHimport] = ACTIONS(6999),
    [anon_sym_BSLASHsubimport] = ACTIONS(6999),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6999),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6999),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6999),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6999),
    [anon_sym_BSLASHcaption] = ACTIONS(6999),
    [anon_sym_BSLASHcite] = ACTIONS(6999),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHCite] = ACTIONS(6999),
    [anon_sym_BSLASHnocite] = ACTIONS(6999),
    [anon_sym_BSLASHcitet] = ACTIONS(6999),
    [anon_sym_BSLASHcitep] = ACTIONS(6999),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHciteA] = ACTIONS(6999),
    [anon_sym_BSLASHciteR] = ACTIONS(6999),
    [anon_sym_BSLASHciteS] = ACTIONS(6999),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6999),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6999),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6999),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6999),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHciteyear] = ACTIONS(6999),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcitedate] = ACTIONS(6999),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHciteurl] = ACTIONS(6999),
    [anon_sym_BSLASHfullcite] = ACTIONS(6999),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6999),
    [anon_sym_BSLASHcitealt] = ACTIONS(6999),
    [anon_sym_BSLASHcitealp] = ACTIONS(6999),
    [anon_sym_BSLASHcitetext] = ACTIONS(6999),
    [anon_sym_BSLASHparencite] = ACTIONS(6999),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHParencite] = ACTIONS(6999),
    [anon_sym_BSLASHfootcite] = ACTIONS(6999),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6999),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6999),
    [anon_sym_BSLASHtextcite] = ACTIONS(6999),
    [anon_sym_BSLASHTextcite] = ACTIONS(6999),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6999),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6999),
    [anon_sym_BSLASHsupercite] = ACTIONS(6999),
    [anon_sym_BSLASHautocite] = ACTIONS(6999),
    [anon_sym_BSLASHAutocite] = ACTIONS(6999),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHVolcite] = ACTIONS(6999),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHavolcite] = ACTIONS(6999),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHnotecite] = ACTIONS(6999),
    [anon_sym_BSLASHNotecite] = ACTIONS(6999),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6999),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6999),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6999),
    [anon_sym_BSLASHlabel] = ACTIONS(6999),
    [anon_sym_BSLASHref] = ACTIONS(6999),
    [anon_sym_BSLASHeqref] = ACTIONS(6999),
    [anon_sym_BSLASHvref] = ACTIONS(6999),
    [anon_sym_BSLASHVref] = ACTIONS(6999),
    [anon_sym_BSLASHautoref] = ACTIONS(6999),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHpageref] = ACTIONS(6999),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHautopageref] = ACTIONS(6999),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcref] = ACTIONS(6999),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHCref] = ACTIONS(6999),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcpageref] = ACTIONS(6999),
    [anon_sym_BSLASHCpageref] = ACTIONS(6999),
    [anon_sym_BSLASHnamecref] = ACTIONS(6999),
    [anon_sym_BSLASHnameCref] = ACTIONS(6999),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6999),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6999),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6999),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6999),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6999),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6999),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6999),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6999),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6999),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6999),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6999),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6999),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6999),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6999),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6999),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6999),
    [anon_sym_BSLASHdef] = ACTIONS(6999),
    [anon_sym_BSLASHgdef] = ACTIONS(6999),
    [anon_sym_BSLASHedef] = ACTIONS(6999),
    [anon_sym_BSLASHxdef] = ACTIONS(6999),
    [anon_sym_BSLASHlet] = ACTIONS(6999),
    [anon_sym_BSLASHglet] = ACTIONS(6999),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6999),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6999),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6999),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6999),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6999),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6999),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6999),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6999),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6999),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6999),
    [anon_sym_BSLASHgls] = ACTIONS(6999),
    [anon_sym_BSLASHGls] = ACTIONS(6999),
    [anon_sym_BSLASHGLS] = ACTIONS(6999),
    [anon_sym_BSLASHglspl] = ACTIONS(6999),
    [anon_sym_BSLASHGlspl] = ACTIONS(6999),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6999),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6999),
    [anon_sym_BSLASHglslink] = ACTIONS(6999),
    [anon_sym_BSLASHglstext] = ACTIONS(6999),
    [anon_sym_BSLASHGlstext] = ACTIONS(6999),
    [anon_sym_BSLASHGLStext] = ACTIONS(6999),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6999),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6999),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6999),
    [anon_sym_BSLASHglsplural] = ACTIONS(6999),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6999),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6999),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6999),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6999),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6999),
    [anon_sym_BSLASHglsname] = ACTIONS(6999),
    [anon_sym_BSLASHGlsname] = ACTIONS(6999),
    [anon_sym_BSLASHGLSname] = ACTIONS(6999),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6999),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6999),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6999),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6999),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6999),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6999),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6999),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6999),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6999),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6999),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6999),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6999),
    [anon_sym_BSLASHacrshort] = ACTIONS(6999),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6999),
    [anon_sym_BSLASHACRshort] = ACTIONS(6999),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6999),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6999),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6999),
    [anon_sym_BSLASHacrlong] = ACTIONS(6999),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6999),
    [anon_sym_BSLASHACRlong] = ACTIONS(6999),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6999),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6999),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6999),
    [anon_sym_BSLASHacrfull] = ACTIONS(6999),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6999),
    [anon_sym_BSLASHACRfull] = ACTIONS(6999),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6999),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6999),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6999),
    [anon_sym_BSLASHacs] = ACTIONS(6999),
    [anon_sym_BSLASHAcs] = ACTIONS(6999),
    [anon_sym_BSLASHacsp] = ACTIONS(6999),
    [anon_sym_BSLASHAcsp] = ACTIONS(6999),
    [anon_sym_BSLASHacl] = ACTIONS(6999),
    [anon_sym_BSLASHAcl] = ACTIONS(6999),
    [anon_sym_BSLASHaclp] = ACTIONS(6999),
    [anon_sym_BSLASHAclp] = ACTIONS(6999),
    [anon_sym_BSLASHacf] = ACTIONS(6999),
    [anon_sym_BSLASHAcf] = ACTIONS(6999),
    [anon_sym_BSLASHacfp] = ACTIONS(6999),
    [anon_sym_BSLASHAcfp] = ACTIONS(6999),
    [anon_sym_BSLASHac] = ACTIONS(6999),
    [anon_sym_BSLASHAc] = ACTIONS(6999),
    [anon_sym_BSLASHacp] = ACTIONS(6999),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6999),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6999),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6999),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6999),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6999),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6999),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6999),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6999),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6999),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6999),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6999),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6999),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6999),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6999),
    [anon_sym_BSLASHcolor] = ACTIONS(6999),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6999),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6999),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6999),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6999),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6999),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6999),
    [anon_sym_BSLASHurl] = ACTIONS(6999),
    [anon_sym_BSLASHhref] = ACTIONS(6999),
  },
  [1439] = {
    [sym_command_name] = ACTIONS(7003),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7003),
    [anon_sym_LBRACK] = ACTIONS(7005),
    [anon_sym_RBRACK] = ACTIONS(7005),
    [anon_sym_COMMA] = ACTIONS(7005),
    [anon_sym_EQ] = ACTIONS(7005),
    [anon_sym_LPAREN] = ACTIONS(7005),
    [anon_sym_RPAREN] = ACTIONS(7005),
    [anon_sym_BSLASHpart] = ACTIONS(7003),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHaddpart] = ACTIONS(7003),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHchapter] = ACTIONS(7003),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHaddchap] = ACTIONS(7003),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHsection] = ACTIONS(7003),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHaddsec] = ACTIONS(7003),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHsubsection] = ACTIONS(7003),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7003),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHparagraph] = ACTIONS(7003),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7003),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHitem] = ACTIONS(7003),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7005),
    [anon_sym_LBRACE] = ACTIONS(7005),
    [sym_word] = ACTIONS(7003),
    [sym_placeholder] = ACTIONS(7005),
    [sym_delimiter] = ACTIONS(7005),
    [anon_sym_PLUS] = ACTIONS(7005),
    [anon_sym_DASH] = ACTIONS(7005),
    [anon_sym_STAR] = ACTIONS(7005),
    [anon_sym_SLASH] = ACTIONS(7005),
    [anon_sym_LT] = ACTIONS(7003),
    [anon_sym_GT] = ACTIONS(7003),
    [anon_sym_BANG] = ACTIONS(7003),
    [anon_sym_PIPE] = ACTIONS(7003),
    [anon_sym_COLON] = ACTIONS(7003),
    [anon_sym_SQUOTE] = ACTIONS(7003),
    [anon_sym__] = ACTIONS(7005),
    [anon_sym_CARET] = ACTIONS(7005),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7005),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7005),
    [anon_sym_DOLLAR] = ACTIONS(7003),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7005),
    [anon_sym_BSLASHleft] = ACTIONS(7003),
    [anon_sym_BSLASHbigl] = ACTIONS(7003),
    [anon_sym_BSLASHBigl] = ACTIONS(7003),
    [anon_sym_BSLASHbiggl] = ACTIONS(7003),
    [anon_sym_BSLASHBiggl] = ACTIONS(7003),
    [anon_sym_BSLASHtext] = ACTIONS(7003),
    [anon_sym_BSLASHintertext] = ACTIONS(7003),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7003),
    [anon_sym_BSLASHbegin] = ACTIONS(7003),
    [anon_sym_BSLASHend] = ACTIONS(7003),
    [anon_sym_BSLASHtitle] = ACTIONS(7003),
    [anon_sym_BSLASHauthor] = ACTIONS(7003),
    [anon_sym_BSLASHusepackage] = ACTIONS(7003),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7003),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7003),
    [anon_sym_BSLASHinclude] = ACTIONS(7003),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7003),
    [anon_sym_BSLASHinput] = ACTIONS(7003),
    [anon_sym_BSLASHsubfile] = ACTIONS(7003),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7003),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7003),
    [anon_sym_BSLASHbibliography] = ACTIONS(7003),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7003),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7003),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7003),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7003),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7003),
    [anon_sym_BSLASHimport] = ACTIONS(7003),
    [anon_sym_BSLASHsubimport] = ACTIONS(7003),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7003),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7003),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7003),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7003),
    [anon_sym_BSLASHcaption] = ACTIONS(7003),
    [anon_sym_BSLASHcite] = ACTIONS(7003),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHCite] = ACTIONS(7003),
    [anon_sym_BSLASHnocite] = ACTIONS(7003),
    [anon_sym_BSLASHcitet] = ACTIONS(7003),
    [anon_sym_BSLASHcitep] = ACTIONS(7003),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHciteA] = ACTIONS(7003),
    [anon_sym_BSLASHciteR] = ACTIONS(7003),
    [anon_sym_BSLASHciteS] = ACTIONS(7003),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7003),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7003),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7003),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7003),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHciteyear] = ACTIONS(7003),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcitedate] = ACTIONS(7003),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHciteurl] = ACTIONS(7003),
    [anon_sym_BSLASHfullcite] = ACTIONS(7003),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7003),
    [anon_sym_BSLASHcitealt] = ACTIONS(7003),
    [anon_sym_BSLASHcitealp] = ACTIONS(7003),
    [anon_sym_BSLASHcitetext] = ACTIONS(7003),
    [anon_sym_BSLASHparencite] = ACTIONS(7003),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHParencite] = ACTIONS(7003),
    [anon_sym_BSLASHfootcite] = ACTIONS(7003),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7003),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7003),
    [anon_sym_BSLASHtextcite] = ACTIONS(7003),
    [anon_sym_BSLASHTextcite] = ACTIONS(7003),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7003),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7003),
    [anon_sym_BSLASHsupercite] = ACTIONS(7003),
    [anon_sym_BSLASHautocite] = ACTIONS(7003),
    [anon_sym_BSLASHAutocite] = ACTIONS(7003),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHVolcite] = ACTIONS(7003),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHavolcite] = ACTIONS(7003),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHnotecite] = ACTIONS(7003),
    [anon_sym_BSLASHNotecite] = ACTIONS(7003),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7003),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7003),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7003),
    [anon_sym_BSLASHlabel] = ACTIONS(7003),
    [anon_sym_BSLASHref] = ACTIONS(7003),
    [anon_sym_BSLASHeqref] = ACTIONS(7003),
    [anon_sym_BSLASHvref] = ACTIONS(7003),
    [anon_sym_BSLASHVref] = ACTIONS(7003),
    [anon_sym_BSLASHautoref] = ACTIONS(7003),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHpageref] = ACTIONS(7003),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHautopageref] = ACTIONS(7003),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcref] = ACTIONS(7003),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHCref] = ACTIONS(7003),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcpageref] = ACTIONS(7003),
    [anon_sym_BSLASHCpageref] = ACTIONS(7003),
    [anon_sym_BSLASHnamecref] = ACTIONS(7003),
    [anon_sym_BSLASHnameCref] = ACTIONS(7003),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7003),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7003),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7003),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7003),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7003),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7003),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7003),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7003),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7003),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7003),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7003),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7003),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7003),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7003),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7003),
    [anon_sym_BSLASHdef] = ACTIONS(7003),
    [anon_sym_BSLASHgdef] = ACTIONS(7003),
    [anon_sym_BSLASHedef] = ACTIONS(7003),
    [anon_sym_BSLASHxdef] = ACTIONS(7003),
    [anon_sym_BSLASHlet] = ACTIONS(7003),
    [anon_sym_BSLASHglet] = ACTIONS(7003),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7003),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7003),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7003),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7003),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7003),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7003),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7003),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7003),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7003),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7003),
    [anon_sym_BSLASHgls] = ACTIONS(7003),
    [anon_sym_BSLASHGls] = ACTIONS(7003),
    [anon_sym_BSLASHGLS] = ACTIONS(7003),
    [anon_sym_BSLASHglspl] = ACTIONS(7003),
    [anon_sym_BSLASHGlspl] = ACTIONS(7003),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7003),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7003),
    [anon_sym_BSLASHglslink] = ACTIONS(7003),
    [anon_sym_BSLASHglstext] = ACTIONS(7003),
    [anon_sym_BSLASHGlstext] = ACTIONS(7003),
    [anon_sym_BSLASHGLStext] = ACTIONS(7003),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7003),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7003),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7003),
    [anon_sym_BSLASHglsplural] = ACTIONS(7003),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7003),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7003),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7003),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7003),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7003),
    [anon_sym_BSLASHglsname] = ACTIONS(7003),
    [anon_sym_BSLASHGlsname] = ACTIONS(7003),
    [anon_sym_BSLASHGLSname] = ACTIONS(7003),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7003),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7003),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7003),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7003),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7003),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7003),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7003),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7003),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7003),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7003),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7003),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7003),
    [anon_sym_BSLASHacrshort] = ACTIONS(7003),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7003),
    [anon_sym_BSLASHACRshort] = ACTIONS(7003),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7003),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7003),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7003),
    [anon_sym_BSLASHacrlong] = ACTIONS(7003),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7003),
    [anon_sym_BSLASHACRlong] = ACTIONS(7003),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7003),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7003),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7003),
    [anon_sym_BSLASHacrfull] = ACTIONS(7003),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7003),
    [anon_sym_BSLASHACRfull] = ACTIONS(7003),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7003),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7003),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7003),
    [anon_sym_BSLASHacs] = ACTIONS(7003),
    [anon_sym_BSLASHAcs] = ACTIONS(7003),
    [anon_sym_BSLASHacsp] = ACTIONS(7003),
    [anon_sym_BSLASHAcsp] = ACTIONS(7003),
    [anon_sym_BSLASHacl] = ACTIONS(7003),
    [anon_sym_BSLASHAcl] = ACTIONS(7003),
    [anon_sym_BSLASHaclp] = ACTIONS(7003),
    [anon_sym_BSLASHAclp] = ACTIONS(7003),
    [anon_sym_BSLASHacf] = ACTIONS(7003),
    [anon_sym_BSLASHAcf] = ACTIONS(7003),
    [anon_sym_BSLASHacfp] = ACTIONS(7003),
    [anon_sym_BSLASHAcfp] = ACTIONS(7003),
    [anon_sym_BSLASHac] = ACTIONS(7003),
    [anon_sym_BSLASHAc] = ACTIONS(7003),
    [anon_sym_BSLASHacp] = ACTIONS(7003),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7003),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7003),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7003),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7003),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7003),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7003),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7003),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7003),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7003),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7003),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7003),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7003),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7003),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7003),
    [anon_sym_BSLASHcolor] = ACTIONS(7003),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7003),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7003),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7003),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7003),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7003),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7003),
    [anon_sym_BSLASHurl] = ACTIONS(7003),
    [anon_sym_BSLASHhref] = ACTIONS(7003),
  },
  [1440] = {
    [sym_command_name] = ACTIONS(7007),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7007),
    [anon_sym_LBRACK] = ACTIONS(7009),
    [anon_sym_RBRACK] = ACTIONS(7009),
    [anon_sym_COMMA] = ACTIONS(7009),
    [anon_sym_EQ] = ACTIONS(7009),
    [anon_sym_LPAREN] = ACTIONS(7009),
    [anon_sym_RPAREN] = ACTIONS(7009),
    [anon_sym_BSLASHpart] = ACTIONS(7007),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHaddpart] = ACTIONS(7007),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHchapter] = ACTIONS(7007),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHaddchap] = ACTIONS(7007),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHsection] = ACTIONS(7007),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHaddsec] = ACTIONS(7007),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHsubsection] = ACTIONS(7007),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7007),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHparagraph] = ACTIONS(7007),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7007),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHitem] = ACTIONS(7007),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7009),
    [anon_sym_LBRACE] = ACTIONS(7009),
    [sym_word] = ACTIONS(7007),
    [sym_placeholder] = ACTIONS(7009),
    [sym_delimiter] = ACTIONS(7009),
    [anon_sym_PLUS] = ACTIONS(7009),
    [anon_sym_DASH] = ACTIONS(7009),
    [anon_sym_STAR] = ACTIONS(7009),
    [anon_sym_SLASH] = ACTIONS(7009),
    [anon_sym_LT] = ACTIONS(7007),
    [anon_sym_GT] = ACTIONS(7007),
    [anon_sym_BANG] = ACTIONS(7007),
    [anon_sym_PIPE] = ACTIONS(7007),
    [anon_sym_COLON] = ACTIONS(7007),
    [anon_sym_SQUOTE] = ACTIONS(7007),
    [anon_sym__] = ACTIONS(7009),
    [anon_sym_CARET] = ACTIONS(7009),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7009),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7009),
    [anon_sym_DOLLAR] = ACTIONS(7007),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7009),
    [anon_sym_BSLASHleft] = ACTIONS(7007),
    [anon_sym_BSLASHbigl] = ACTIONS(7007),
    [anon_sym_BSLASHBigl] = ACTIONS(7007),
    [anon_sym_BSLASHbiggl] = ACTIONS(7007),
    [anon_sym_BSLASHBiggl] = ACTIONS(7007),
    [anon_sym_BSLASHtext] = ACTIONS(7007),
    [anon_sym_BSLASHintertext] = ACTIONS(7007),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7007),
    [anon_sym_BSLASHbegin] = ACTIONS(7007),
    [anon_sym_BSLASHend] = ACTIONS(7007),
    [anon_sym_BSLASHtitle] = ACTIONS(7007),
    [anon_sym_BSLASHauthor] = ACTIONS(7007),
    [anon_sym_BSLASHusepackage] = ACTIONS(7007),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7007),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7007),
    [anon_sym_BSLASHinclude] = ACTIONS(7007),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7007),
    [anon_sym_BSLASHinput] = ACTIONS(7007),
    [anon_sym_BSLASHsubfile] = ACTIONS(7007),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7007),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7007),
    [anon_sym_BSLASHbibliography] = ACTIONS(7007),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7007),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7007),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7007),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7007),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7007),
    [anon_sym_BSLASHimport] = ACTIONS(7007),
    [anon_sym_BSLASHsubimport] = ACTIONS(7007),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7007),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7007),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7007),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7007),
    [anon_sym_BSLASHcaption] = ACTIONS(7007),
    [anon_sym_BSLASHcite] = ACTIONS(7007),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHCite] = ACTIONS(7007),
    [anon_sym_BSLASHnocite] = ACTIONS(7007),
    [anon_sym_BSLASHcitet] = ACTIONS(7007),
    [anon_sym_BSLASHcitep] = ACTIONS(7007),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHciteA] = ACTIONS(7007),
    [anon_sym_BSLASHciteR] = ACTIONS(7007),
    [anon_sym_BSLASHciteS] = ACTIONS(7007),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7007),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7007),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7007),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7007),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHciteyear] = ACTIONS(7007),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcitedate] = ACTIONS(7007),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHciteurl] = ACTIONS(7007),
    [anon_sym_BSLASHfullcite] = ACTIONS(7007),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7007),
    [anon_sym_BSLASHcitealt] = ACTIONS(7007),
    [anon_sym_BSLASHcitealp] = ACTIONS(7007),
    [anon_sym_BSLASHcitetext] = ACTIONS(7007),
    [anon_sym_BSLASHparencite] = ACTIONS(7007),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHParencite] = ACTIONS(7007),
    [anon_sym_BSLASHfootcite] = ACTIONS(7007),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7007),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7007),
    [anon_sym_BSLASHtextcite] = ACTIONS(7007),
    [anon_sym_BSLASHTextcite] = ACTIONS(7007),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7007),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7007),
    [anon_sym_BSLASHsupercite] = ACTIONS(7007),
    [anon_sym_BSLASHautocite] = ACTIONS(7007),
    [anon_sym_BSLASHAutocite] = ACTIONS(7007),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHVolcite] = ACTIONS(7007),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHavolcite] = ACTIONS(7007),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHnotecite] = ACTIONS(7007),
    [anon_sym_BSLASHNotecite] = ACTIONS(7007),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7007),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7007),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7007),
    [anon_sym_BSLASHlabel] = ACTIONS(7007),
    [anon_sym_BSLASHref] = ACTIONS(7007),
    [anon_sym_BSLASHeqref] = ACTIONS(7007),
    [anon_sym_BSLASHvref] = ACTIONS(7007),
    [anon_sym_BSLASHVref] = ACTIONS(7007),
    [anon_sym_BSLASHautoref] = ACTIONS(7007),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHpageref] = ACTIONS(7007),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHautopageref] = ACTIONS(7007),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcref] = ACTIONS(7007),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHCref] = ACTIONS(7007),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcpageref] = ACTIONS(7007),
    [anon_sym_BSLASHCpageref] = ACTIONS(7007),
    [anon_sym_BSLASHnamecref] = ACTIONS(7007),
    [anon_sym_BSLASHnameCref] = ACTIONS(7007),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7007),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7007),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7007),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7007),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7007),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7007),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7007),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7007),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7007),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7007),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7007),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7007),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7007),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7007),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7007),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7007),
    [anon_sym_BSLASHdef] = ACTIONS(7007),
    [anon_sym_BSLASHgdef] = ACTIONS(7007),
    [anon_sym_BSLASHedef] = ACTIONS(7007),
    [anon_sym_BSLASHxdef] = ACTIONS(7007),
    [anon_sym_BSLASHlet] = ACTIONS(7007),
    [anon_sym_BSLASHglet] = ACTIONS(7007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7007),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7007),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7007),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7007),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7007),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7007),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7007),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7007),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7007),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7007),
    [anon_sym_BSLASHgls] = ACTIONS(7007),
    [anon_sym_BSLASHGls] = ACTIONS(7007),
    [anon_sym_BSLASHGLS] = ACTIONS(7007),
    [anon_sym_BSLASHglspl] = ACTIONS(7007),
    [anon_sym_BSLASHGlspl] = ACTIONS(7007),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7007),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7007),
    [anon_sym_BSLASHglslink] = ACTIONS(7007),
    [anon_sym_BSLASHglstext] = ACTIONS(7007),
    [anon_sym_BSLASHGlstext] = ACTIONS(7007),
    [anon_sym_BSLASHGLStext] = ACTIONS(7007),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7007),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7007),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7007),
    [anon_sym_BSLASHglsplural] = ACTIONS(7007),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7007),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7007),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7007),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7007),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7007),
    [anon_sym_BSLASHglsname] = ACTIONS(7007),
    [anon_sym_BSLASHGlsname] = ACTIONS(7007),
    [anon_sym_BSLASHGLSname] = ACTIONS(7007),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7007),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7007),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7007),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7007),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7007),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7007),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7007),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7007),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7007),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7007),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7007),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7007),
    [anon_sym_BSLASHacrshort] = ACTIONS(7007),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7007),
    [anon_sym_BSLASHACRshort] = ACTIONS(7007),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7007),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7007),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7007),
    [anon_sym_BSLASHacrlong] = ACTIONS(7007),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7007),
    [anon_sym_BSLASHACRlong] = ACTIONS(7007),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7007),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7007),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7007),
    [anon_sym_BSLASHacrfull] = ACTIONS(7007),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7007),
    [anon_sym_BSLASHACRfull] = ACTIONS(7007),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7007),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7007),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7007),
    [anon_sym_BSLASHacs] = ACTIONS(7007),
    [anon_sym_BSLASHAcs] = ACTIONS(7007),
    [anon_sym_BSLASHacsp] = ACTIONS(7007),
    [anon_sym_BSLASHAcsp] = ACTIONS(7007),
    [anon_sym_BSLASHacl] = ACTIONS(7007),
    [anon_sym_BSLASHAcl] = ACTIONS(7007),
    [anon_sym_BSLASHaclp] = ACTIONS(7007),
    [anon_sym_BSLASHAclp] = ACTIONS(7007),
    [anon_sym_BSLASHacf] = ACTIONS(7007),
    [anon_sym_BSLASHAcf] = ACTIONS(7007),
    [anon_sym_BSLASHacfp] = ACTIONS(7007),
    [anon_sym_BSLASHAcfp] = ACTIONS(7007),
    [anon_sym_BSLASHac] = ACTIONS(7007),
    [anon_sym_BSLASHAc] = ACTIONS(7007),
    [anon_sym_BSLASHacp] = ACTIONS(7007),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7007),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7007),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7007),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7007),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7007),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7007),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7007),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7007),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7007),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7007),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7007),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7007),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7007),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7007),
    [anon_sym_BSLASHcolor] = ACTIONS(7007),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7007),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7007),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7007),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7007),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7007),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7007),
    [anon_sym_BSLASHurl] = ACTIONS(7007),
    [anon_sym_BSLASHhref] = ACTIONS(7007),
  },
  [1441] = {
    [sym_command_name] = ACTIONS(7011),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7011),
    [anon_sym_LBRACK] = ACTIONS(7013),
    [anon_sym_RBRACK] = ACTIONS(7013),
    [anon_sym_COMMA] = ACTIONS(7013),
    [anon_sym_EQ] = ACTIONS(7013),
    [anon_sym_LPAREN] = ACTIONS(7013),
    [anon_sym_RPAREN] = ACTIONS(7013),
    [anon_sym_BSLASHpart] = ACTIONS(7011),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHaddpart] = ACTIONS(7011),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHchapter] = ACTIONS(7011),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHaddchap] = ACTIONS(7011),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHsection] = ACTIONS(7011),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHaddsec] = ACTIONS(7011),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHsubsection] = ACTIONS(7011),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7011),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHparagraph] = ACTIONS(7011),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7011),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHitem] = ACTIONS(7011),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7013),
    [anon_sym_LBRACE] = ACTIONS(7013),
    [sym_word] = ACTIONS(7011),
    [sym_placeholder] = ACTIONS(7013),
    [sym_delimiter] = ACTIONS(7013),
    [anon_sym_PLUS] = ACTIONS(7013),
    [anon_sym_DASH] = ACTIONS(7013),
    [anon_sym_STAR] = ACTIONS(7013),
    [anon_sym_SLASH] = ACTIONS(7013),
    [anon_sym_LT] = ACTIONS(7011),
    [anon_sym_GT] = ACTIONS(7011),
    [anon_sym_BANG] = ACTIONS(7011),
    [anon_sym_PIPE] = ACTIONS(7011),
    [anon_sym_COLON] = ACTIONS(7011),
    [anon_sym_SQUOTE] = ACTIONS(7011),
    [anon_sym__] = ACTIONS(7013),
    [anon_sym_CARET] = ACTIONS(7013),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7013),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7013),
    [anon_sym_DOLLAR] = ACTIONS(7011),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7013),
    [anon_sym_BSLASHleft] = ACTIONS(7011),
    [anon_sym_BSLASHbigl] = ACTIONS(7011),
    [anon_sym_BSLASHBigl] = ACTIONS(7011),
    [anon_sym_BSLASHbiggl] = ACTIONS(7011),
    [anon_sym_BSLASHBiggl] = ACTIONS(7011),
    [anon_sym_BSLASHtext] = ACTIONS(7011),
    [anon_sym_BSLASHintertext] = ACTIONS(7011),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7011),
    [anon_sym_BSLASHbegin] = ACTIONS(7011),
    [anon_sym_BSLASHend] = ACTIONS(7011),
    [anon_sym_BSLASHtitle] = ACTIONS(7011),
    [anon_sym_BSLASHauthor] = ACTIONS(7011),
    [anon_sym_BSLASHusepackage] = ACTIONS(7011),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7011),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7011),
    [anon_sym_BSLASHinclude] = ACTIONS(7011),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7011),
    [anon_sym_BSLASHinput] = ACTIONS(7011),
    [anon_sym_BSLASHsubfile] = ACTIONS(7011),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7011),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7011),
    [anon_sym_BSLASHbibliography] = ACTIONS(7011),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7011),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7011),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7011),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7011),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7011),
    [anon_sym_BSLASHimport] = ACTIONS(7011),
    [anon_sym_BSLASHsubimport] = ACTIONS(7011),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7011),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7011),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7011),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7011),
    [anon_sym_BSLASHcaption] = ACTIONS(7011),
    [anon_sym_BSLASHcite] = ACTIONS(7011),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHCite] = ACTIONS(7011),
    [anon_sym_BSLASHnocite] = ACTIONS(7011),
    [anon_sym_BSLASHcitet] = ACTIONS(7011),
    [anon_sym_BSLASHcitep] = ACTIONS(7011),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHciteA] = ACTIONS(7011),
    [anon_sym_BSLASHciteR] = ACTIONS(7011),
    [anon_sym_BSLASHciteS] = ACTIONS(7011),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7011),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7011),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7011),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7011),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHciteyear] = ACTIONS(7011),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcitedate] = ACTIONS(7011),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHciteurl] = ACTIONS(7011),
    [anon_sym_BSLASHfullcite] = ACTIONS(7011),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7011),
    [anon_sym_BSLASHcitealt] = ACTIONS(7011),
    [anon_sym_BSLASHcitealp] = ACTIONS(7011),
    [anon_sym_BSLASHcitetext] = ACTIONS(7011),
    [anon_sym_BSLASHparencite] = ACTIONS(7011),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHParencite] = ACTIONS(7011),
    [anon_sym_BSLASHfootcite] = ACTIONS(7011),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7011),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7011),
    [anon_sym_BSLASHtextcite] = ACTIONS(7011),
    [anon_sym_BSLASHTextcite] = ACTIONS(7011),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7011),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7011),
    [anon_sym_BSLASHsupercite] = ACTIONS(7011),
    [anon_sym_BSLASHautocite] = ACTIONS(7011),
    [anon_sym_BSLASHAutocite] = ACTIONS(7011),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHVolcite] = ACTIONS(7011),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHavolcite] = ACTIONS(7011),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHnotecite] = ACTIONS(7011),
    [anon_sym_BSLASHNotecite] = ACTIONS(7011),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7011),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7011),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7011),
    [anon_sym_BSLASHlabel] = ACTIONS(7011),
    [anon_sym_BSLASHref] = ACTIONS(7011),
    [anon_sym_BSLASHeqref] = ACTIONS(7011),
    [anon_sym_BSLASHvref] = ACTIONS(7011),
    [anon_sym_BSLASHVref] = ACTIONS(7011),
    [anon_sym_BSLASHautoref] = ACTIONS(7011),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHpageref] = ACTIONS(7011),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHautopageref] = ACTIONS(7011),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcref] = ACTIONS(7011),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHCref] = ACTIONS(7011),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcpageref] = ACTIONS(7011),
    [anon_sym_BSLASHCpageref] = ACTIONS(7011),
    [anon_sym_BSLASHnamecref] = ACTIONS(7011),
    [anon_sym_BSLASHnameCref] = ACTIONS(7011),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7011),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7011),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7011),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7011),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7011),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7011),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7011),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7011),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7011),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7011),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7011),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7011),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7011),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7011),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7011),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7011),
    [anon_sym_BSLASHdef] = ACTIONS(7011),
    [anon_sym_BSLASHgdef] = ACTIONS(7011),
    [anon_sym_BSLASHedef] = ACTIONS(7011),
    [anon_sym_BSLASHxdef] = ACTIONS(7011),
    [anon_sym_BSLASHlet] = ACTIONS(7011),
    [anon_sym_BSLASHglet] = ACTIONS(7011),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7011),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7011),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7011),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7011),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7011),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7011),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7011),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7011),
    [anon_sym_BSLASHgls] = ACTIONS(7011),
    [anon_sym_BSLASHGls] = ACTIONS(7011),
    [anon_sym_BSLASHGLS] = ACTIONS(7011),
    [anon_sym_BSLASHglspl] = ACTIONS(7011),
    [anon_sym_BSLASHGlspl] = ACTIONS(7011),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7011),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7011),
    [anon_sym_BSLASHglslink] = ACTIONS(7011),
    [anon_sym_BSLASHglstext] = ACTIONS(7011),
    [anon_sym_BSLASHGlstext] = ACTIONS(7011),
    [anon_sym_BSLASHGLStext] = ACTIONS(7011),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7011),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7011),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7011),
    [anon_sym_BSLASHglsplural] = ACTIONS(7011),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7011),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7011),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7011),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7011),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7011),
    [anon_sym_BSLASHglsname] = ACTIONS(7011),
    [anon_sym_BSLASHGlsname] = ACTIONS(7011),
    [anon_sym_BSLASHGLSname] = ACTIONS(7011),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7011),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7011),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7011),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7011),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7011),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7011),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7011),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7011),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7011),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7011),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7011),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7011),
    [anon_sym_BSLASHacrshort] = ACTIONS(7011),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7011),
    [anon_sym_BSLASHACRshort] = ACTIONS(7011),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7011),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7011),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7011),
    [anon_sym_BSLASHacrlong] = ACTIONS(7011),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7011),
    [anon_sym_BSLASHACRlong] = ACTIONS(7011),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7011),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7011),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7011),
    [anon_sym_BSLASHacrfull] = ACTIONS(7011),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7011),
    [anon_sym_BSLASHACRfull] = ACTIONS(7011),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7011),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7011),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7011),
    [anon_sym_BSLASHacs] = ACTIONS(7011),
    [anon_sym_BSLASHAcs] = ACTIONS(7011),
    [anon_sym_BSLASHacsp] = ACTIONS(7011),
    [anon_sym_BSLASHAcsp] = ACTIONS(7011),
    [anon_sym_BSLASHacl] = ACTIONS(7011),
    [anon_sym_BSLASHAcl] = ACTIONS(7011),
    [anon_sym_BSLASHaclp] = ACTIONS(7011),
    [anon_sym_BSLASHAclp] = ACTIONS(7011),
    [anon_sym_BSLASHacf] = ACTIONS(7011),
    [anon_sym_BSLASHAcf] = ACTIONS(7011),
    [anon_sym_BSLASHacfp] = ACTIONS(7011),
    [anon_sym_BSLASHAcfp] = ACTIONS(7011),
    [anon_sym_BSLASHac] = ACTIONS(7011),
    [anon_sym_BSLASHAc] = ACTIONS(7011),
    [anon_sym_BSLASHacp] = ACTIONS(7011),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7011),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7011),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7011),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7011),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7011),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7011),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7011),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7011),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7011),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7011),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7011),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7011),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7011),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7011),
    [anon_sym_BSLASHcolor] = ACTIONS(7011),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7011),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7011),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7011),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7011),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7011),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7011),
    [anon_sym_BSLASHurl] = ACTIONS(7011),
    [anon_sym_BSLASHhref] = ACTIONS(7011),
  },
  [1442] = {
    [sym_command_name] = ACTIONS(7015),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7015),
    [anon_sym_LBRACK] = ACTIONS(7017),
    [anon_sym_RBRACK] = ACTIONS(7017),
    [anon_sym_COMMA] = ACTIONS(7017),
    [anon_sym_EQ] = ACTIONS(7017),
    [anon_sym_LPAREN] = ACTIONS(7017),
    [anon_sym_RPAREN] = ACTIONS(7017),
    [anon_sym_BSLASHpart] = ACTIONS(7015),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHaddpart] = ACTIONS(7015),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHchapter] = ACTIONS(7015),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHaddchap] = ACTIONS(7015),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHsection] = ACTIONS(7015),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHaddsec] = ACTIONS(7015),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHsubsection] = ACTIONS(7015),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7015),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHparagraph] = ACTIONS(7015),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7015),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHitem] = ACTIONS(7015),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7017),
    [anon_sym_LBRACE] = ACTIONS(7017),
    [sym_word] = ACTIONS(7015),
    [sym_placeholder] = ACTIONS(7017),
    [sym_delimiter] = ACTIONS(7017),
    [anon_sym_PLUS] = ACTIONS(7017),
    [anon_sym_DASH] = ACTIONS(7017),
    [anon_sym_STAR] = ACTIONS(7017),
    [anon_sym_SLASH] = ACTIONS(7017),
    [anon_sym_LT] = ACTIONS(7015),
    [anon_sym_GT] = ACTIONS(7015),
    [anon_sym_BANG] = ACTIONS(7015),
    [anon_sym_PIPE] = ACTIONS(7015),
    [anon_sym_COLON] = ACTIONS(7015),
    [anon_sym_SQUOTE] = ACTIONS(7015),
    [anon_sym__] = ACTIONS(7017),
    [anon_sym_CARET] = ACTIONS(7017),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7017),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7017),
    [anon_sym_DOLLAR] = ACTIONS(7015),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7017),
    [anon_sym_BSLASHleft] = ACTIONS(7015),
    [anon_sym_BSLASHbigl] = ACTIONS(7015),
    [anon_sym_BSLASHBigl] = ACTIONS(7015),
    [anon_sym_BSLASHbiggl] = ACTIONS(7015),
    [anon_sym_BSLASHBiggl] = ACTIONS(7015),
    [anon_sym_BSLASHtext] = ACTIONS(7015),
    [anon_sym_BSLASHintertext] = ACTIONS(7015),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7015),
    [anon_sym_BSLASHbegin] = ACTIONS(7015),
    [anon_sym_BSLASHend] = ACTIONS(7015),
    [anon_sym_BSLASHtitle] = ACTIONS(7015),
    [anon_sym_BSLASHauthor] = ACTIONS(7015),
    [anon_sym_BSLASHusepackage] = ACTIONS(7015),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7015),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7015),
    [anon_sym_BSLASHinclude] = ACTIONS(7015),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7015),
    [anon_sym_BSLASHinput] = ACTIONS(7015),
    [anon_sym_BSLASHsubfile] = ACTIONS(7015),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7015),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7015),
    [anon_sym_BSLASHbibliography] = ACTIONS(7015),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7015),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7015),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7015),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7015),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7015),
    [anon_sym_BSLASHimport] = ACTIONS(7015),
    [anon_sym_BSLASHsubimport] = ACTIONS(7015),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7015),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7015),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7015),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7015),
    [anon_sym_BSLASHcaption] = ACTIONS(7015),
    [anon_sym_BSLASHcite] = ACTIONS(7015),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHCite] = ACTIONS(7015),
    [anon_sym_BSLASHnocite] = ACTIONS(7015),
    [anon_sym_BSLASHcitet] = ACTIONS(7015),
    [anon_sym_BSLASHcitep] = ACTIONS(7015),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHciteA] = ACTIONS(7015),
    [anon_sym_BSLASHciteR] = ACTIONS(7015),
    [anon_sym_BSLASHciteS] = ACTIONS(7015),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7015),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7015),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7015),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7015),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHciteyear] = ACTIONS(7015),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcitedate] = ACTIONS(7015),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHciteurl] = ACTIONS(7015),
    [anon_sym_BSLASHfullcite] = ACTIONS(7015),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7015),
    [anon_sym_BSLASHcitealt] = ACTIONS(7015),
    [anon_sym_BSLASHcitealp] = ACTIONS(7015),
    [anon_sym_BSLASHcitetext] = ACTIONS(7015),
    [anon_sym_BSLASHparencite] = ACTIONS(7015),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHParencite] = ACTIONS(7015),
    [anon_sym_BSLASHfootcite] = ACTIONS(7015),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7015),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7015),
    [anon_sym_BSLASHtextcite] = ACTIONS(7015),
    [anon_sym_BSLASHTextcite] = ACTIONS(7015),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7015),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7015),
    [anon_sym_BSLASHsupercite] = ACTIONS(7015),
    [anon_sym_BSLASHautocite] = ACTIONS(7015),
    [anon_sym_BSLASHAutocite] = ACTIONS(7015),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHVolcite] = ACTIONS(7015),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHavolcite] = ACTIONS(7015),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHnotecite] = ACTIONS(7015),
    [anon_sym_BSLASHNotecite] = ACTIONS(7015),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7015),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7015),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7015),
    [anon_sym_BSLASHlabel] = ACTIONS(7015),
    [anon_sym_BSLASHref] = ACTIONS(7015),
    [anon_sym_BSLASHeqref] = ACTIONS(7015),
    [anon_sym_BSLASHvref] = ACTIONS(7015),
    [anon_sym_BSLASHVref] = ACTIONS(7015),
    [anon_sym_BSLASHautoref] = ACTIONS(7015),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHpageref] = ACTIONS(7015),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHautopageref] = ACTIONS(7015),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcref] = ACTIONS(7015),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHCref] = ACTIONS(7015),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcpageref] = ACTIONS(7015),
    [anon_sym_BSLASHCpageref] = ACTIONS(7015),
    [anon_sym_BSLASHnamecref] = ACTIONS(7015),
    [anon_sym_BSLASHnameCref] = ACTIONS(7015),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7015),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7015),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7015),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7015),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7015),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7015),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7015),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7015),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7015),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7015),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7015),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7015),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7015),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7015),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7015),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7015),
    [anon_sym_BSLASHdef] = ACTIONS(7015),
    [anon_sym_BSLASHgdef] = ACTIONS(7015),
    [anon_sym_BSLASHedef] = ACTIONS(7015),
    [anon_sym_BSLASHxdef] = ACTIONS(7015),
    [anon_sym_BSLASHlet] = ACTIONS(7015),
    [anon_sym_BSLASHglet] = ACTIONS(7015),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7015),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7015),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7015),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7015),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7015),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7015),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7015),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7015),
    [anon_sym_BSLASHgls] = ACTIONS(7015),
    [anon_sym_BSLASHGls] = ACTIONS(7015),
    [anon_sym_BSLASHGLS] = ACTIONS(7015),
    [anon_sym_BSLASHglspl] = ACTIONS(7015),
    [anon_sym_BSLASHGlspl] = ACTIONS(7015),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7015),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7015),
    [anon_sym_BSLASHglslink] = ACTIONS(7015),
    [anon_sym_BSLASHglstext] = ACTIONS(7015),
    [anon_sym_BSLASHGlstext] = ACTIONS(7015),
    [anon_sym_BSLASHGLStext] = ACTIONS(7015),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7015),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7015),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7015),
    [anon_sym_BSLASHglsplural] = ACTIONS(7015),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7015),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7015),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7015),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7015),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7015),
    [anon_sym_BSLASHglsname] = ACTIONS(7015),
    [anon_sym_BSLASHGlsname] = ACTIONS(7015),
    [anon_sym_BSLASHGLSname] = ACTIONS(7015),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7015),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7015),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7015),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7015),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7015),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7015),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7015),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7015),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7015),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7015),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7015),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7015),
    [anon_sym_BSLASHacrshort] = ACTIONS(7015),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7015),
    [anon_sym_BSLASHACRshort] = ACTIONS(7015),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7015),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7015),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7015),
    [anon_sym_BSLASHacrlong] = ACTIONS(7015),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7015),
    [anon_sym_BSLASHACRlong] = ACTIONS(7015),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7015),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7015),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7015),
    [anon_sym_BSLASHacrfull] = ACTIONS(7015),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7015),
    [anon_sym_BSLASHACRfull] = ACTIONS(7015),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7015),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7015),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7015),
    [anon_sym_BSLASHacs] = ACTIONS(7015),
    [anon_sym_BSLASHAcs] = ACTIONS(7015),
    [anon_sym_BSLASHacsp] = ACTIONS(7015),
    [anon_sym_BSLASHAcsp] = ACTIONS(7015),
    [anon_sym_BSLASHacl] = ACTIONS(7015),
    [anon_sym_BSLASHAcl] = ACTIONS(7015),
    [anon_sym_BSLASHaclp] = ACTIONS(7015),
    [anon_sym_BSLASHAclp] = ACTIONS(7015),
    [anon_sym_BSLASHacf] = ACTIONS(7015),
    [anon_sym_BSLASHAcf] = ACTIONS(7015),
    [anon_sym_BSLASHacfp] = ACTIONS(7015),
    [anon_sym_BSLASHAcfp] = ACTIONS(7015),
    [anon_sym_BSLASHac] = ACTIONS(7015),
    [anon_sym_BSLASHAc] = ACTIONS(7015),
    [anon_sym_BSLASHacp] = ACTIONS(7015),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7015),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7015),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7015),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7015),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7015),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7015),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7015),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7015),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7015),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7015),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7015),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7015),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7015),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7015),
    [anon_sym_BSLASHcolor] = ACTIONS(7015),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7015),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7015),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7015),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7015),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7015),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7015),
    [anon_sym_BSLASHurl] = ACTIONS(7015),
    [anon_sym_BSLASHhref] = ACTIONS(7015),
  },
  [1443] = {
    [sym_command_name] = ACTIONS(7019),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7019),
    [anon_sym_LBRACK] = ACTIONS(7021),
    [anon_sym_RBRACK] = ACTIONS(7021),
    [anon_sym_COMMA] = ACTIONS(7021),
    [anon_sym_EQ] = ACTIONS(7021),
    [anon_sym_LPAREN] = ACTIONS(7021),
    [anon_sym_RPAREN] = ACTIONS(7021),
    [anon_sym_BSLASHpart] = ACTIONS(7019),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHaddpart] = ACTIONS(7019),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHchapter] = ACTIONS(7019),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHaddchap] = ACTIONS(7019),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHsection] = ACTIONS(7019),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHaddsec] = ACTIONS(7019),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHsubsection] = ACTIONS(7019),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7019),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHparagraph] = ACTIONS(7019),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7019),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHitem] = ACTIONS(7019),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7021),
    [anon_sym_LBRACE] = ACTIONS(7021),
    [sym_word] = ACTIONS(7019),
    [sym_placeholder] = ACTIONS(7021),
    [sym_delimiter] = ACTIONS(7021),
    [anon_sym_PLUS] = ACTIONS(7021),
    [anon_sym_DASH] = ACTIONS(7021),
    [anon_sym_STAR] = ACTIONS(7021),
    [anon_sym_SLASH] = ACTIONS(7021),
    [anon_sym_LT] = ACTIONS(7019),
    [anon_sym_GT] = ACTIONS(7019),
    [anon_sym_BANG] = ACTIONS(7019),
    [anon_sym_PIPE] = ACTIONS(7019),
    [anon_sym_COLON] = ACTIONS(7019),
    [anon_sym_SQUOTE] = ACTIONS(7019),
    [anon_sym__] = ACTIONS(7021),
    [anon_sym_CARET] = ACTIONS(7021),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7021),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7021),
    [anon_sym_DOLLAR] = ACTIONS(7019),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7021),
    [anon_sym_BSLASHleft] = ACTIONS(7019),
    [anon_sym_BSLASHbigl] = ACTIONS(7019),
    [anon_sym_BSLASHBigl] = ACTIONS(7019),
    [anon_sym_BSLASHbiggl] = ACTIONS(7019),
    [anon_sym_BSLASHBiggl] = ACTIONS(7019),
    [anon_sym_BSLASHtext] = ACTIONS(7019),
    [anon_sym_BSLASHintertext] = ACTIONS(7019),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7019),
    [anon_sym_BSLASHbegin] = ACTIONS(7019),
    [anon_sym_BSLASHend] = ACTIONS(7019),
    [anon_sym_BSLASHtitle] = ACTIONS(7019),
    [anon_sym_BSLASHauthor] = ACTIONS(7019),
    [anon_sym_BSLASHusepackage] = ACTIONS(7019),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7019),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7019),
    [anon_sym_BSLASHinclude] = ACTIONS(7019),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7019),
    [anon_sym_BSLASHinput] = ACTIONS(7019),
    [anon_sym_BSLASHsubfile] = ACTIONS(7019),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7019),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7019),
    [anon_sym_BSLASHbibliography] = ACTIONS(7019),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7019),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7019),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7019),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7019),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7019),
    [anon_sym_BSLASHimport] = ACTIONS(7019),
    [anon_sym_BSLASHsubimport] = ACTIONS(7019),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7019),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7019),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7019),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7019),
    [anon_sym_BSLASHcaption] = ACTIONS(7019),
    [anon_sym_BSLASHcite] = ACTIONS(7019),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHCite] = ACTIONS(7019),
    [anon_sym_BSLASHnocite] = ACTIONS(7019),
    [anon_sym_BSLASHcitet] = ACTIONS(7019),
    [anon_sym_BSLASHcitep] = ACTIONS(7019),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHciteA] = ACTIONS(7019),
    [anon_sym_BSLASHciteR] = ACTIONS(7019),
    [anon_sym_BSLASHciteS] = ACTIONS(7019),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7019),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7019),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7019),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7019),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHciteyear] = ACTIONS(7019),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcitedate] = ACTIONS(7019),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHciteurl] = ACTIONS(7019),
    [anon_sym_BSLASHfullcite] = ACTIONS(7019),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7019),
    [anon_sym_BSLASHcitealt] = ACTIONS(7019),
    [anon_sym_BSLASHcitealp] = ACTIONS(7019),
    [anon_sym_BSLASHcitetext] = ACTIONS(7019),
    [anon_sym_BSLASHparencite] = ACTIONS(7019),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHParencite] = ACTIONS(7019),
    [anon_sym_BSLASHfootcite] = ACTIONS(7019),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7019),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7019),
    [anon_sym_BSLASHtextcite] = ACTIONS(7019),
    [anon_sym_BSLASHTextcite] = ACTIONS(7019),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7019),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7019),
    [anon_sym_BSLASHsupercite] = ACTIONS(7019),
    [anon_sym_BSLASHautocite] = ACTIONS(7019),
    [anon_sym_BSLASHAutocite] = ACTIONS(7019),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHVolcite] = ACTIONS(7019),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHavolcite] = ACTIONS(7019),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHnotecite] = ACTIONS(7019),
    [anon_sym_BSLASHNotecite] = ACTIONS(7019),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7019),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7019),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7019),
    [anon_sym_BSLASHlabel] = ACTIONS(7019),
    [anon_sym_BSLASHref] = ACTIONS(7019),
    [anon_sym_BSLASHeqref] = ACTIONS(7019),
    [anon_sym_BSLASHvref] = ACTIONS(7019),
    [anon_sym_BSLASHVref] = ACTIONS(7019),
    [anon_sym_BSLASHautoref] = ACTIONS(7019),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHpageref] = ACTIONS(7019),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHautopageref] = ACTIONS(7019),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcref] = ACTIONS(7019),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHCref] = ACTIONS(7019),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcpageref] = ACTIONS(7019),
    [anon_sym_BSLASHCpageref] = ACTIONS(7019),
    [anon_sym_BSLASHnamecref] = ACTIONS(7019),
    [anon_sym_BSLASHnameCref] = ACTIONS(7019),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7019),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7019),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7019),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7019),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7019),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7019),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7019),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7019),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7019),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7019),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7019),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7019),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7019),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7019),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7019),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7019),
    [anon_sym_BSLASHdef] = ACTIONS(7019),
    [anon_sym_BSLASHgdef] = ACTIONS(7019),
    [anon_sym_BSLASHedef] = ACTIONS(7019),
    [anon_sym_BSLASHxdef] = ACTIONS(7019),
    [anon_sym_BSLASHlet] = ACTIONS(7019),
    [anon_sym_BSLASHglet] = ACTIONS(7019),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7019),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7019),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7019),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7019),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7019),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7019),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7019),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7019),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7019),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7019),
    [anon_sym_BSLASHgls] = ACTIONS(7019),
    [anon_sym_BSLASHGls] = ACTIONS(7019),
    [anon_sym_BSLASHGLS] = ACTIONS(7019),
    [anon_sym_BSLASHglspl] = ACTIONS(7019),
    [anon_sym_BSLASHGlspl] = ACTIONS(7019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7019),
    [anon_sym_BSLASHglslink] = ACTIONS(7019),
    [anon_sym_BSLASHglstext] = ACTIONS(7019),
    [anon_sym_BSLASHGlstext] = ACTIONS(7019),
    [anon_sym_BSLASHGLStext] = ACTIONS(7019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7019),
    [anon_sym_BSLASHglsplural] = ACTIONS(7019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7019),
    [anon_sym_BSLASHglsname] = ACTIONS(7019),
    [anon_sym_BSLASHGlsname] = ACTIONS(7019),
    [anon_sym_BSLASHGLSname] = ACTIONS(7019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7019),
    [anon_sym_BSLASHacrshort] = ACTIONS(7019),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7019),
    [anon_sym_BSLASHACRshort] = ACTIONS(7019),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7019),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7019),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7019),
    [anon_sym_BSLASHacrlong] = ACTIONS(7019),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7019),
    [anon_sym_BSLASHACRlong] = ACTIONS(7019),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7019),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7019),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7019),
    [anon_sym_BSLASHacrfull] = ACTIONS(7019),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7019),
    [anon_sym_BSLASHACRfull] = ACTIONS(7019),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7019),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7019),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7019),
    [anon_sym_BSLASHacs] = ACTIONS(7019),
    [anon_sym_BSLASHAcs] = ACTIONS(7019),
    [anon_sym_BSLASHacsp] = ACTIONS(7019),
    [anon_sym_BSLASHAcsp] = ACTIONS(7019),
    [anon_sym_BSLASHacl] = ACTIONS(7019),
    [anon_sym_BSLASHAcl] = ACTIONS(7019),
    [anon_sym_BSLASHaclp] = ACTIONS(7019),
    [anon_sym_BSLASHAclp] = ACTIONS(7019),
    [anon_sym_BSLASHacf] = ACTIONS(7019),
    [anon_sym_BSLASHAcf] = ACTIONS(7019),
    [anon_sym_BSLASHacfp] = ACTIONS(7019),
    [anon_sym_BSLASHAcfp] = ACTIONS(7019),
    [anon_sym_BSLASHac] = ACTIONS(7019),
    [anon_sym_BSLASHAc] = ACTIONS(7019),
    [anon_sym_BSLASHacp] = ACTIONS(7019),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7019),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7019),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7019),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7019),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7019),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7019),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7019),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7019),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7019),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7019),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7019),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7019),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7019),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7019),
    [anon_sym_BSLASHcolor] = ACTIONS(7019),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7019),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7019),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7019),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7019),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7019),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7019),
    [anon_sym_BSLASHurl] = ACTIONS(7019),
    [anon_sym_BSLASHhref] = ACTIONS(7019),
  },
  [1444] = {
    [sym_command_name] = ACTIONS(7023),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7023),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [anon_sym_RBRACK] = ACTIONS(7025),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_EQ] = ACTIONS(7025),
    [anon_sym_LPAREN] = ACTIONS(7025),
    [anon_sym_RPAREN] = ACTIONS(7025),
    [anon_sym_BSLASHpart] = ACTIONS(7023),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHaddpart] = ACTIONS(7023),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHchapter] = ACTIONS(7023),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHaddchap] = ACTIONS(7023),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHsection] = ACTIONS(7023),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHaddsec] = ACTIONS(7023),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHsubsection] = ACTIONS(7023),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7023),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHparagraph] = ACTIONS(7023),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7023),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHitem] = ACTIONS(7023),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7025),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [sym_word] = ACTIONS(7023),
    [sym_placeholder] = ACTIONS(7025),
    [sym_delimiter] = ACTIONS(7025),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_STAR] = ACTIONS(7025),
    [anon_sym_SLASH] = ACTIONS(7025),
    [anon_sym_LT] = ACTIONS(7023),
    [anon_sym_GT] = ACTIONS(7023),
    [anon_sym_BANG] = ACTIONS(7023),
    [anon_sym_PIPE] = ACTIONS(7023),
    [anon_sym_COLON] = ACTIONS(7023),
    [anon_sym_SQUOTE] = ACTIONS(7023),
    [anon_sym__] = ACTIONS(7025),
    [anon_sym_CARET] = ACTIONS(7025),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7025),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7025),
    [anon_sym_DOLLAR] = ACTIONS(7023),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7025),
    [anon_sym_BSLASHleft] = ACTIONS(7023),
    [anon_sym_BSLASHbigl] = ACTIONS(7023),
    [anon_sym_BSLASHBigl] = ACTIONS(7023),
    [anon_sym_BSLASHbiggl] = ACTIONS(7023),
    [anon_sym_BSLASHBiggl] = ACTIONS(7023),
    [anon_sym_BSLASHtext] = ACTIONS(7023),
    [anon_sym_BSLASHintertext] = ACTIONS(7023),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7023),
    [anon_sym_BSLASHbegin] = ACTIONS(7023),
    [anon_sym_BSLASHend] = ACTIONS(7023),
    [anon_sym_BSLASHtitle] = ACTIONS(7023),
    [anon_sym_BSLASHauthor] = ACTIONS(7023),
    [anon_sym_BSLASHusepackage] = ACTIONS(7023),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7023),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7023),
    [anon_sym_BSLASHinclude] = ACTIONS(7023),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7023),
    [anon_sym_BSLASHinput] = ACTIONS(7023),
    [anon_sym_BSLASHsubfile] = ACTIONS(7023),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7023),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7023),
    [anon_sym_BSLASHbibliography] = ACTIONS(7023),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7023),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7023),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7023),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7023),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7023),
    [anon_sym_BSLASHimport] = ACTIONS(7023),
    [anon_sym_BSLASHsubimport] = ACTIONS(7023),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7023),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7023),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7023),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7023),
    [anon_sym_BSLASHcaption] = ACTIONS(7023),
    [anon_sym_BSLASHcite] = ACTIONS(7023),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHCite] = ACTIONS(7023),
    [anon_sym_BSLASHnocite] = ACTIONS(7023),
    [anon_sym_BSLASHcitet] = ACTIONS(7023),
    [anon_sym_BSLASHcitep] = ACTIONS(7023),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHciteA] = ACTIONS(7023),
    [anon_sym_BSLASHciteR] = ACTIONS(7023),
    [anon_sym_BSLASHciteS] = ACTIONS(7023),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7023),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7023),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7023),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7023),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHciteyear] = ACTIONS(7023),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcitedate] = ACTIONS(7023),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHciteurl] = ACTIONS(7023),
    [anon_sym_BSLASHfullcite] = ACTIONS(7023),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7023),
    [anon_sym_BSLASHcitealt] = ACTIONS(7023),
    [anon_sym_BSLASHcitealp] = ACTIONS(7023),
    [anon_sym_BSLASHcitetext] = ACTIONS(7023),
    [anon_sym_BSLASHparencite] = ACTIONS(7023),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHParencite] = ACTIONS(7023),
    [anon_sym_BSLASHfootcite] = ACTIONS(7023),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7023),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7023),
    [anon_sym_BSLASHtextcite] = ACTIONS(7023),
    [anon_sym_BSLASHTextcite] = ACTIONS(7023),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7023),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7023),
    [anon_sym_BSLASHsupercite] = ACTIONS(7023),
    [anon_sym_BSLASHautocite] = ACTIONS(7023),
    [anon_sym_BSLASHAutocite] = ACTIONS(7023),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHVolcite] = ACTIONS(7023),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHavolcite] = ACTIONS(7023),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHnotecite] = ACTIONS(7023),
    [anon_sym_BSLASHNotecite] = ACTIONS(7023),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7023),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7023),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7023),
    [anon_sym_BSLASHlabel] = ACTIONS(7023),
    [anon_sym_BSLASHref] = ACTIONS(7023),
    [anon_sym_BSLASHeqref] = ACTIONS(7023),
    [anon_sym_BSLASHvref] = ACTIONS(7023),
    [anon_sym_BSLASHVref] = ACTIONS(7023),
    [anon_sym_BSLASHautoref] = ACTIONS(7023),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHpageref] = ACTIONS(7023),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHautopageref] = ACTIONS(7023),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcref] = ACTIONS(7023),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHCref] = ACTIONS(7023),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcpageref] = ACTIONS(7023),
    [anon_sym_BSLASHCpageref] = ACTIONS(7023),
    [anon_sym_BSLASHnamecref] = ACTIONS(7023),
    [anon_sym_BSLASHnameCref] = ACTIONS(7023),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7023),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7023),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7023),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7023),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7023),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7023),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7023),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7023),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7023),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7023),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7023),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7023),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7023),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7023),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7023),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7023),
    [anon_sym_BSLASHdef] = ACTIONS(7023),
    [anon_sym_BSLASHgdef] = ACTIONS(7023),
    [anon_sym_BSLASHedef] = ACTIONS(7023),
    [anon_sym_BSLASHxdef] = ACTIONS(7023),
    [anon_sym_BSLASHlet] = ACTIONS(7023),
    [anon_sym_BSLASHglet] = ACTIONS(7023),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7023),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7023),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7023),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7023),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7023),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7023),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7023),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7023),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7023),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7023),
    [anon_sym_BSLASHgls] = ACTIONS(7023),
    [anon_sym_BSLASHGls] = ACTIONS(7023),
    [anon_sym_BSLASHGLS] = ACTIONS(7023),
    [anon_sym_BSLASHglspl] = ACTIONS(7023),
    [anon_sym_BSLASHGlspl] = ACTIONS(7023),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7023),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7023),
    [anon_sym_BSLASHglslink] = ACTIONS(7023),
    [anon_sym_BSLASHglstext] = ACTIONS(7023),
    [anon_sym_BSLASHGlstext] = ACTIONS(7023),
    [anon_sym_BSLASHGLStext] = ACTIONS(7023),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7023),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7023),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7023),
    [anon_sym_BSLASHglsplural] = ACTIONS(7023),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7023),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7023),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7023),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7023),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7023),
    [anon_sym_BSLASHglsname] = ACTIONS(7023),
    [anon_sym_BSLASHGlsname] = ACTIONS(7023),
    [anon_sym_BSLASHGLSname] = ACTIONS(7023),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7023),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7023),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7023),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7023),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7023),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7023),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7023),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7023),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7023),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7023),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7023),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7023),
    [anon_sym_BSLASHacrshort] = ACTIONS(7023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7023),
    [anon_sym_BSLASHACRshort] = ACTIONS(7023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7023),
    [anon_sym_BSLASHacrlong] = ACTIONS(7023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7023),
    [anon_sym_BSLASHACRlong] = ACTIONS(7023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7023),
    [anon_sym_BSLASHacrfull] = ACTIONS(7023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7023),
    [anon_sym_BSLASHACRfull] = ACTIONS(7023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7023),
    [anon_sym_BSLASHacs] = ACTIONS(7023),
    [anon_sym_BSLASHAcs] = ACTIONS(7023),
    [anon_sym_BSLASHacsp] = ACTIONS(7023),
    [anon_sym_BSLASHAcsp] = ACTIONS(7023),
    [anon_sym_BSLASHacl] = ACTIONS(7023),
    [anon_sym_BSLASHAcl] = ACTIONS(7023),
    [anon_sym_BSLASHaclp] = ACTIONS(7023),
    [anon_sym_BSLASHAclp] = ACTIONS(7023),
    [anon_sym_BSLASHacf] = ACTIONS(7023),
    [anon_sym_BSLASHAcf] = ACTIONS(7023),
    [anon_sym_BSLASHacfp] = ACTIONS(7023),
    [anon_sym_BSLASHAcfp] = ACTIONS(7023),
    [anon_sym_BSLASHac] = ACTIONS(7023),
    [anon_sym_BSLASHAc] = ACTIONS(7023),
    [anon_sym_BSLASHacp] = ACTIONS(7023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7023),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7023),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7023),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7023),
    [anon_sym_BSLASHcolor] = ACTIONS(7023),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7023),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7023),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7023),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7023),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7023),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7023),
    [anon_sym_BSLASHurl] = ACTIONS(7023),
    [anon_sym_BSLASHhref] = ACTIONS(7023),
  },
  [1445] = {
    [sym_command_name] = ACTIONS(7179),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7179),
    [anon_sym_LBRACK] = ACTIONS(7181),
    [anon_sym_RBRACK] = ACTIONS(7181),
    [anon_sym_COMMA] = ACTIONS(7181),
    [anon_sym_EQ] = ACTIONS(7181),
    [anon_sym_LPAREN] = ACTIONS(7181),
    [anon_sym_RPAREN] = ACTIONS(7181),
    [anon_sym_BSLASHpart] = ACTIONS(7179),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHaddpart] = ACTIONS(7179),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHchapter] = ACTIONS(7179),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHaddchap] = ACTIONS(7179),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHsection] = ACTIONS(7179),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHaddsec] = ACTIONS(7179),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHsubsection] = ACTIONS(7179),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7179),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHparagraph] = ACTIONS(7179),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7179),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHitem] = ACTIONS(7179),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7181),
    [anon_sym_LBRACE] = ACTIONS(7181),
    [sym_word] = ACTIONS(7179),
    [sym_placeholder] = ACTIONS(7181),
    [sym_delimiter] = ACTIONS(7181),
    [anon_sym_PLUS] = ACTIONS(7181),
    [anon_sym_DASH] = ACTIONS(7181),
    [anon_sym_STAR] = ACTIONS(7181),
    [anon_sym_SLASH] = ACTIONS(7181),
    [anon_sym_LT] = ACTIONS(7179),
    [anon_sym_GT] = ACTIONS(7179),
    [anon_sym_BANG] = ACTIONS(7179),
    [anon_sym_PIPE] = ACTIONS(7179),
    [anon_sym_COLON] = ACTIONS(7179),
    [anon_sym_SQUOTE] = ACTIONS(7179),
    [anon_sym__] = ACTIONS(7181),
    [anon_sym_CARET] = ACTIONS(7181),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7181),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7181),
    [anon_sym_DOLLAR] = ACTIONS(7179),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7181),
    [anon_sym_BSLASHleft] = ACTIONS(7179),
    [anon_sym_BSLASHbigl] = ACTIONS(7179),
    [anon_sym_BSLASHBigl] = ACTIONS(7179),
    [anon_sym_BSLASHbiggl] = ACTIONS(7179),
    [anon_sym_BSLASHBiggl] = ACTIONS(7179),
    [anon_sym_BSLASHtext] = ACTIONS(7179),
    [anon_sym_BSLASHintertext] = ACTIONS(7179),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7179),
    [anon_sym_BSLASHbegin] = ACTIONS(7179),
    [anon_sym_BSLASHend] = ACTIONS(7179),
    [anon_sym_BSLASHtitle] = ACTIONS(7179),
    [anon_sym_BSLASHauthor] = ACTIONS(7179),
    [anon_sym_BSLASHusepackage] = ACTIONS(7179),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7179),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7179),
    [anon_sym_BSLASHinclude] = ACTIONS(7179),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7179),
    [anon_sym_BSLASHinput] = ACTIONS(7179),
    [anon_sym_BSLASHsubfile] = ACTIONS(7179),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7179),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7179),
    [anon_sym_BSLASHbibliography] = ACTIONS(7179),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7179),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7179),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7179),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7179),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7179),
    [anon_sym_BSLASHimport] = ACTIONS(7179),
    [anon_sym_BSLASHsubimport] = ACTIONS(7179),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7179),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7179),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7179),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7179),
    [anon_sym_BSLASHcaption] = ACTIONS(7179),
    [anon_sym_BSLASHcite] = ACTIONS(7179),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHCite] = ACTIONS(7179),
    [anon_sym_BSLASHnocite] = ACTIONS(7179),
    [anon_sym_BSLASHcitet] = ACTIONS(7179),
    [anon_sym_BSLASHcitep] = ACTIONS(7179),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHciteA] = ACTIONS(7179),
    [anon_sym_BSLASHciteR] = ACTIONS(7179),
    [anon_sym_BSLASHciteS] = ACTIONS(7179),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7179),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7179),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7179),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7179),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHciteyear] = ACTIONS(7179),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcitedate] = ACTIONS(7179),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHciteurl] = ACTIONS(7179),
    [anon_sym_BSLASHfullcite] = ACTIONS(7179),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7179),
    [anon_sym_BSLASHcitealt] = ACTIONS(7179),
    [anon_sym_BSLASHcitealp] = ACTIONS(7179),
    [anon_sym_BSLASHcitetext] = ACTIONS(7179),
    [anon_sym_BSLASHparencite] = ACTIONS(7179),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHParencite] = ACTIONS(7179),
    [anon_sym_BSLASHfootcite] = ACTIONS(7179),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7179),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7179),
    [anon_sym_BSLASHtextcite] = ACTIONS(7179),
    [anon_sym_BSLASHTextcite] = ACTIONS(7179),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7179),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7179),
    [anon_sym_BSLASHsupercite] = ACTIONS(7179),
    [anon_sym_BSLASHautocite] = ACTIONS(7179),
    [anon_sym_BSLASHAutocite] = ACTIONS(7179),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHVolcite] = ACTIONS(7179),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHavolcite] = ACTIONS(7179),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHnotecite] = ACTIONS(7179),
    [anon_sym_BSLASHNotecite] = ACTIONS(7179),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7179),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7179),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7179),
    [anon_sym_BSLASHlabel] = ACTIONS(7179),
    [anon_sym_BSLASHref] = ACTIONS(7179),
    [anon_sym_BSLASHeqref] = ACTIONS(7179),
    [anon_sym_BSLASHvref] = ACTIONS(7179),
    [anon_sym_BSLASHVref] = ACTIONS(7179),
    [anon_sym_BSLASHautoref] = ACTIONS(7179),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHpageref] = ACTIONS(7179),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHautopageref] = ACTIONS(7179),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcref] = ACTIONS(7179),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHCref] = ACTIONS(7179),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcpageref] = ACTIONS(7179),
    [anon_sym_BSLASHCpageref] = ACTIONS(7179),
    [anon_sym_BSLASHnamecref] = ACTIONS(7179),
    [anon_sym_BSLASHnameCref] = ACTIONS(7179),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7179),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7179),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7179),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7179),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7179),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7179),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7179),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7179),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7179),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7179),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7179),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7179),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7179),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7179),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7179),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7179),
    [anon_sym_BSLASHdef] = ACTIONS(7179),
    [anon_sym_BSLASHgdef] = ACTIONS(7179),
    [anon_sym_BSLASHedef] = ACTIONS(7179),
    [anon_sym_BSLASHxdef] = ACTIONS(7179),
    [anon_sym_BSLASHlet] = ACTIONS(7179),
    [anon_sym_BSLASHglet] = ACTIONS(7179),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7179),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7179),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7179),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7179),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7179),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7179),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7179),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7179),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7179),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7179),
    [anon_sym_BSLASHgls] = ACTIONS(7179),
    [anon_sym_BSLASHGls] = ACTIONS(7179),
    [anon_sym_BSLASHGLS] = ACTIONS(7179),
    [anon_sym_BSLASHglspl] = ACTIONS(7179),
    [anon_sym_BSLASHGlspl] = ACTIONS(7179),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7179),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7179),
    [anon_sym_BSLASHglslink] = ACTIONS(7179),
    [anon_sym_BSLASHglstext] = ACTIONS(7179),
    [anon_sym_BSLASHGlstext] = ACTIONS(7179),
    [anon_sym_BSLASHGLStext] = ACTIONS(7179),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7179),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7179),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7179),
    [anon_sym_BSLASHglsplural] = ACTIONS(7179),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7179),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7179),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7179),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7179),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7179),
    [anon_sym_BSLASHglsname] = ACTIONS(7179),
    [anon_sym_BSLASHGlsname] = ACTIONS(7179),
    [anon_sym_BSLASHGLSname] = ACTIONS(7179),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7179),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7179),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7179),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7179),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7179),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7179),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7179),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7179),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7179),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7179),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7179),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7179),
    [anon_sym_BSLASHacrshort] = ACTIONS(7179),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7179),
    [anon_sym_BSLASHACRshort] = ACTIONS(7179),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHacrlong] = ACTIONS(7179),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7179),
    [anon_sym_BSLASHACRlong] = ACTIONS(7179),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7179),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7179),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7179),
    [anon_sym_BSLASHacrfull] = ACTIONS(7179),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7179),
    [anon_sym_BSLASHACRfull] = ACTIONS(7179),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHacs] = ACTIONS(7179),
    [anon_sym_BSLASHAcs] = ACTIONS(7179),
    [anon_sym_BSLASHacsp] = ACTIONS(7179),
    [anon_sym_BSLASHAcsp] = ACTIONS(7179),
    [anon_sym_BSLASHacl] = ACTIONS(7179),
    [anon_sym_BSLASHAcl] = ACTIONS(7179),
    [anon_sym_BSLASHaclp] = ACTIONS(7179),
    [anon_sym_BSLASHAclp] = ACTIONS(7179),
    [anon_sym_BSLASHacf] = ACTIONS(7179),
    [anon_sym_BSLASHAcf] = ACTIONS(7179),
    [anon_sym_BSLASHacfp] = ACTIONS(7179),
    [anon_sym_BSLASHAcfp] = ACTIONS(7179),
    [anon_sym_BSLASHac] = ACTIONS(7179),
    [anon_sym_BSLASHAc] = ACTIONS(7179),
    [anon_sym_BSLASHacp] = ACTIONS(7179),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7179),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7179),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7179),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7179),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7179),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7179),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7179),
    [anon_sym_BSLASHcolor] = ACTIONS(7179),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7179),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7179),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7179),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7179),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7179),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7179),
    [anon_sym_BSLASHurl] = ACTIONS(7179),
    [anon_sym_BSLASHhref] = ACTIONS(7179),
  },
  [1446] = {
    [sym_command_name] = ACTIONS(7183),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7183),
    [anon_sym_LBRACK] = ACTIONS(7185),
    [anon_sym_RBRACK] = ACTIONS(7185),
    [anon_sym_COMMA] = ACTIONS(7185),
    [anon_sym_EQ] = ACTIONS(7185),
    [anon_sym_LPAREN] = ACTIONS(7185),
    [anon_sym_RPAREN] = ACTIONS(7185),
    [anon_sym_BSLASHpart] = ACTIONS(7183),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHaddpart] = ACTIONS(7183),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHchapter] = ACTIONS(7183),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHaddchap] = ACTIONS(7183),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHsection] = ACTIONS(7183),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHaddsec] = ACTIONS(7183),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHsubsection] = ACTIONS(7183),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7183),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHparagraph] = ACTIONS(7183),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7183),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHitem] = ACTIONS(7183),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7185),
    [anon_sym_LBRACE] = ACTIONS(7185),
    [sym_word] = ACTIONS(7183),
    [sym_placeholder] = ACTIONS(7185),
    [sym_delimiter] = ACTIONS(7185),
    [anon_sym_PLUS] = ACTIONS(7185),
    [anon_sym_DASH] = ACTIONS(7185),
    [anon_sym_STAR] = ACTIONS(7185),
    [anon_sym_SLASH] = ACTIONS(7185),
    [anon_sym_LT] = ACTIONS(7183),
    [anon_sym_GT] = ACTIONS(7183),
    [anon_sym_BANG] = ACTIONS(7183),
    [anon_sym_PIPE] = ACTIONS(7183),
    [anon_sym_COLON] = ACTIONS(7183),
    [anon_sym_SQUOTE] = ACTIONS(7183),
    [anon_sym__] = ACTIONS(7185),
    [anon_sym_CARET] = ACTIONS(7185),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7185),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7185),
    [anon_sym_DOLLAR] = ACTIONS(7183),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7185),
    [anon_sym_BSLASHleft] = ACTIONS(7183),
    [anon_sym_BSLASHbigl] = ACTIONS(7183),
    [anon_sym_BSLASHBigl] = ACTIONS(7183),
    [anon_sym_BSLASHbiggl] = ACTIONS(7183),
    [anon_sym_BSLASHBiggl] = ACTIONS(7183),
    [anon_sym_BSLASHtext] = ACTIONS(7183),
    [anon_sym_BSLASHintertext] = ACTIONS(7183),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7183),
    [anon_sym_BSLASHbegin] = ACTIONS(7183),
    [anon_sym_BSLASHend] = ACTIONS(7183),
    [anon_sym_BSLASHtitle] = ACTIONS(7183),
    [anon_sym_BSLASHauthor] = ACTIONS(7183),
    [anon_sym_BSLASHusepackage] = ACTIONS(7183),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7183),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7183),
    [anon_sym_BSLASHinclude] = ACTIONS(7183),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7183),
    [anon_sym_BSLASHinput] = ACTIONS(7183),
    [anon_sym_BSLASHsubfile] = ACTIONS(7183),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7183),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7183),
    [anon_sym_BSLASHbibliography] = ACTIONS(7183),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7183),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7183),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7183),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7183),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7183),
    [anon_sym_BSLASHimport] = ACTIONS(7183),
    [anon_sym_BSLASHsubimport] = ACTIONS(7183),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7183),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7183),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7183),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7183),
    [anon_sym_BSLASHcaption] = ACTIONS(7183),
    [anon_sym_BSLASHcite] = ACTIONS(7183),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHCite] = ACTIONS(7183),
    [anon_sym_BSLASHnocite] = ACTIONS(7183),
    [anon_sym_BSLASHcitet] = ACTIONS(7183),
    [anon_sym_BSLASHcitep] = ACTIONS(7183),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHciteA] = ACTIONS(7183),
    [anon_sym_BSLASHciteR] = ACTIONS(7183),
    [anon_sym_BSLASHciteS] = ACTIONS(7183),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7183),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7183),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7183),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7183),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHciteyear] = ACTIONS(7183),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcitedate] = ACTIONS(7183),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHciteurl] = ACTIONS(7183),
    [anon_sym_BSLASHfullcite] = ACTIONS(7183),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7183),
    [anon_sym_BSLASHcitealt] = ACTIONS(7183),
    [anon_sym_BSLASHcitealp] = ACTIONS(7183),
    [anon_sym_BSLASHcitetext] = ACTIONS(7183),
    [anon_sym_BSLASHparencite] = ACTIONS(7183),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHParencite] = ACTIONS(7183),
    [anon_sym_BSLASHfootcite] = ACTIONS(7183),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7183),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7183),
    [anon_sym_BSLASHtextcite] = ACTIONS(7183),
    [anon_sym_BSLASHTextcite] = ACTIONS(7183),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7183),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7183),
    [anon_sym_BSLASHsupercite] = ACTIONS(7183),
    [anon_sym_BSLASHautocite] = ACTIONS(7183),
    [anon_sym_BSLASHAutocite] = ACTIONS(7183),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHVolcite] = ACTIONS(7183),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHavolcite] = ACTIONS(7183),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHnotecite] = ACTIONS(7183),
    [anon_sym_BSLASHNotecite] = ACTIONS(7183),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7183),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7183),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7183),
    [anon_sym_BSLASHlabel] = ACTIONS(7183),
    [anon_sym_BSLASHref] = ACTIONS(7183),
    [anon_sym_BSLASHeqref] = ACTIONS(7183),
    [anon_sym_BSLASHvref] = ACTIONS(7183),
    [anon_sym_BSLASHVref] = ACTIONS(7183),
    [anon_sym_BSLASHautoref] = ACTIONS(7183),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHpageref] = ACTIONS(7183),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHautopageref] = ACTIONS(7183),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcref] = ACTIONS(7183),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHCref] = ACTIONS(7183),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcpageref] = ACTIONS(7183),
    [anon_sym_BSLASHCpageref] = ACTIONS(7183),
    [anon_sym_BSLASHnamecref] = ACTIONS(7183),
    [anon_sym_BSLASHnameCref] = ACTIONS(7183),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7183),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7183),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7183),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7183),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7183),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7183),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7183),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7183),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7183),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7183),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7183),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7183),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7183),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7183),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7183),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7183),
    [anon_sym_BSLASHdef] = ACTIONS(7183),
    [anon_sym_BSLASHgdef] = ACTIONS(7183),
    [anon_sym_BSLASHedef] = ACTIONS(7183),
    [anon_sym_BSLASHxdef] = ACTIONS(7183),
    [anon_sym_BSLASHlet] = ACTIONS(7183),
    [anon_sym_BSLASHglet] = ACTIONS(7183),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7183),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7183),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7183),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7183),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7183),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7183),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7183),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7183),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7183),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7183),
    [anon_sym_BSLASHgls] = ACTIONS(7183),
    [anon_sym_BSLASHGls] = ACTIONS(7183),
    [anon_sym_BSLASHGLS] = ACTIONS(7183),
    [anon_sym_BSLASHglspl] = ACTIONS(7183),
    [anon_sym_BSLASHGlspl] = ACTIONS(7183),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7183),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7183),
    [anon_sym_BSLASHglslink] = ACTIONS(7183),
    [anon_sym_BSLASHglstext] = ACTIONS(7183),
    [anon_sym_BSLASHGlstext] = ACTIONS(7183),
    [anon_sym_BSLASHGLStext] = ACTIONS(7183),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7183),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7183),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7183),
    [anon_sym_BSLASHglsplural] = ACTIONS(7183),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7183),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7183),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7183),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7183),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7183),
    [anon_sym_BSLASHglsname] = ACTIONS(7183),
    [anon_sym_BSLASHGlsname] = ACTIONS(7183),
    [anon_sym_BSLASHGLSname] = ACTIONS(7183),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7183),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7183),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7183),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7183),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7183),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7183),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7183),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7183),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7183),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7183),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7183),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7183),
    [anon_sym_BSLASHacrshort] = ACTIONS(7183),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7183),
    [anon_sym_BSLASHACRshort] = ACTIONS(7183),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHacrlong] = ACTIONS(7183),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7183),
    [anon_sym_BSLASHACRlong] = ACTIONS(7183),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7183),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7183),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7183),
    [anon_sym_BSLASHacrfull] = ACTIONS(7183),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7183),
    [anon_sym_BSLASHACRfull] = ACTIONS(7183),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHacs] = ACTIONS(7183),
    [anon_sym_BSLASHAcs] = ACTIONS(7183),
    [anon_sym_BSLASHacsp] = ACTIONS(7183),
    [anon_sym_BSLASHAcsp] = ACTIONS(7183),
    [anon_sym_BSLASHacl] = ACTIONS(7183),
    [anon_sym_BSLASHAcl] = ACTIONS(7183),
    [anon_sym_BSLASHaclp] = ACTIONS(7183),
    [anon_sym_BSLASHAclp] = ACTIONS(7183),
    [anon_sym_BSLASHacf] = ACTIONS(7183),
    [anon_sym_BSLASHAcf] = ACTIONS(7183),
    [anon_sym_BSLASHacfp] = ACTIONS(7183),
    [anon_sym_BSLASHAcfp] = ACTIONS(7183),
    [anon_sym_BSLASHac] = ACTIONS(7183),
    [anon_sym_BSLASHAc] = ACTIONS(7183),
    [anon_sym_BSLASHacp] = ACTIONS(7183),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7183),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7183),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7183),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7183),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7183),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7183),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7183),
    [anon_sym_BSLASHcolor] = ACTIONS(7183),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7183),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7183),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7183),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7183),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7183),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7183),
    [anon_sym_BSLASHurl] = ACTIONS(7183),
    [anon_sym_BSLASHhref] = ACTIONS(7183),
  },
  [1447] = {
    [sym_command_name] = ACTIONS(7607),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7607),
    [anon_sym_LBRACK] = ACTIONS(7609),
    [anon_sym_RBRACK] = ACTIONS(7609),
    [anon_sym_COMMA] = ACTIONS(7609),
    [anon_sym_EQ] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7609),
    [anon_sym_RPAREN] = ACTIONS(7609),
    [anon_sym_BSLASHpart] = ACTIONS(7607),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHaddpart] = ACTIONS(7607),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHchapter] = ACTIONS(7607),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHaddchap] = ACTIONS(7607),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHsection] = ACTIONS(7607),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHaddsec] = ACTIONS(7607),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHsubsection] = ACTIONS(7607),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7607),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHparagraph] = ACTIONS(7607),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7607),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHitem] = ACTIONS(7607),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7609),
    [anon_sym_LBRACE] = ACTIONS(7609),
    [sym_word] = ACTIONS(7607),
    [sym_placeholder] = ACTIONS(7609),
    [sym_delimiter] = ACTIONS(7609),
    [anon_sym_PLUS] = ACTIONS(7609),
    [anon_sym_DASH] = ACTIONS(7609),
    [anon_sym_STAR] = ACTIONS(7609),
    [anon_sym_SLASH] = ACTIONS(7609),
    [anon_sym_LT] = ACTIONS(7607),
    [anon_sym_GT] = ACTIONS(7607),
    [anon_sym_BANG] = ACTIONS(7607),
    [anon_sym_PIPE] = ACTIONS(7607),
    [anon_sym_COLON] = ACTIONS(7607),
    [anon_sym_SQUOTE] = ACTIONS(7607),
    [anon_sym__] = ACTIONS(7609),
    [anon_sym_CARET] = ACTIONS(7609),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7609),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7609),
    [anon_sym_DOLLAR] = ACTIONS(7607),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7609),
    [anon_sym_BSLASHleft] = ACTIONS(7607),
    [anon_sym_BSLASHbigl] = ACTIONS(7607),
    [anon_sym_BSLASHBigl] = ACTIONS(7607),
    [anon_sym_BSLASHbiggl] = ACTIONS(7607),
    [anon_sym_BSLASHBiggl] = ACTIONS(7607),
    [anon_sym_BSLASHtext] = ACTIONS(7607),
    [anon_sym_BSLASHintertext] = ACTIONS(7607),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7607),
    [anon_sym_BSLASHbegin] = ACTIONS(7607),
    [anon_sym_BSLASHend] = ACTIONS(7607),
    [anon_sym_BSLASHtitle] = ACTIONS(7607),
    [anon_sym_BSLASHauthor] = ACTIONS(7607),
    [anon_sym_BSLASHusepackage] = ACTIONS(7607),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7607),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7607),
    [anon_sym_BSLASHinclude] = ACTIONS(7607),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7607),
    [anon_sym_BSLASHinput] = ACTIONS(7607),
    [anon_sym_BSLASHsubfile] = ACTIONS(7607),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7607),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7607),
    [anon_sym_BSLASHbibliography] = ACTIONS(7607),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7607),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7607),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7607),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7607),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7607),
    [anon_sym_BSLASHimport] = ACTIONS(7607),
    [anon_sym_BSLASHsubimport] = ACTIONS(7607),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7607),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7607),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7607),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7607),
    [anon_sym_BSLASHcaption] = ACTIONS(7607),
    [anon_sym_BSLASHcite] = ACTIONS(7607),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCite] = ACTIONS(7607),
    [anon_sym_BSLASHnocite] = ACTIONS(7607),
    [anon_sym_BSLASHcitet] = ACTIONS(7607),
    [anon_sym_BSLASHcitep] = ACTIONS(7607),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHciteA] = ACTIONS(7607),
    [anon_sym_BSLASHciteR] = ACTIONS(7607),
    [anon_sym_BSLASHciteS] = ACTIONS(7607),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7607),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7607),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7607),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7607),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHciteyear] = ACTIONS(7607),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcitedate] = ACTIONS(7607),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHciteurl] = ACTIONS(7607),
    [anon_sym_BSLASHfullcite] = ACTIONS(7607),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7607),
    [anon_sym_BSLASHcitealt] = ACTIONS(7607),
    [anon_sym_BSLASHcitealp] = ACTIONS(7607),
    [anon_sym_BSLASHcitetext] = ACTIONS(7607),
    [anon_sym_BSLASHparencite] = ACTIONS(7607),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHParencite] = ACTIONS(7607),
    [anon_sym_BSLASHfootcite] = ACTIONS(7607),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7607),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7607),
    [anon_sym_BSLASHtextcite] = ACTIONS(7607),
    [anon_sym_BSLASHTextcite] = ACTIONS(7607),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7607),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7607),
    [anon_sym_BSLASHsupercite] = ACTIONS(7607),
    [anon_sym_BSLASHautocite] = ACTIONS(7607),
    [anon_sym_BSLASHAutocite] = ACTIONS(7607),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHVolcite] = ACTIONS(7607),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHavolcite] = ACTIONS(7607),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHNotecite] = ACTIONS(7607),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHlabel] = ACTIONS(7607),
    [anon_sym_BSLASHref] = ACTIONS(7607),
    [anon_sym_BSLASHeqref] = ACTIONS(7607),
    [anon_sym_BSLASHvref] = ACTIONS(7607),
    [anon_sym_BSLASHVref] = ACTIONS(7607),
    [anon_sym_BSLASHautoref] = ACTIONS(7607),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHpageref] = ACTIONS(7607),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHautopageref] = ACTIONS(7607),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcref] = ACTIONS(7607),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCref] = ACTIONS(7607),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcpageref] = ACTIONS(7607),
    [anon_sym_BSLASHCpageref] = ACTIONS(7607),
    [anon_sym_BSLASHnamecref] = ACTIONS(7607),
    [anon_sym_BSLASHnameCref] = ACTIONS(7607),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7607),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7607),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7607),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7607),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7607),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7607),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7607),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7607),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7607),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7607),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7607),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7607),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7607),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7607),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7607),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7607),
    [anon_sym_BSLASHdef] = ACTIONS(7607),
    [anon_sym_BSLASHgdef] = ACTIONS(7607),
    [anon_sym_BSLASHedef] = ACTIONS(7607),
    [anon_sym_BSLASHxdef] = ACTIONS(7607),
    [anon_sym_BSLASHlet] = ACTIONS(7607),
    [anon_sym_BSLASHglet] = ACTIONS(7607),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7607),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7607),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7607),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7607),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7607),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7607),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7607),
    [anon_sym_BSLASHgls] = ACTIONS(7607),
    [anon_sym_BSLASHGls] = ACTIONS(7607),
    [anon_sym_BSLASHGLS] = ACTIONS(7607),
    [anon_sym_BSLASHglspl] = ACTIONS(7607),
    [anon_sym_BSLASHGlspl] = ACTIONS(7607),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7607),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7607),
    [anon_sym_BSLASHglslink] = ACTIONS(7607),
    [anon_sym_BSLASHglstext] = ACTIONS(7607),
    [anon_sym_BSLASHGlstext] = ACTIONS(7607),
    [anon_sym_BSLASHGLStext] = ACTIONS(7607),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7607),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7607),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7607),
    [anon_sym_BSLASHglsplural] = ACTIONS(7607),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7607),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7607),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7607),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7607),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7607),
    [anon_sym_BSLASHglsname] = ACTIONS(7607),
    [anon_sym_BSLASHGlsname] = ACTIONS(7607),
    [anon_sym_BSLASHGLSname] = ACTIONS(7607),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7607),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7607),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7607),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7607),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7607),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7607),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7607),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7607),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7607),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7607),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7607),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7607),
    [anon_sym_BSLASHacrshort] = ACTIONS(7607),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7607),
    [anon_sym_BSLASHACRshort] = ACTIONS(7607),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHacrlong] = ACTIONS(7607),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7607),
    [anon_sym_BSLASHACRlong] = ACTIONS(7607),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7607),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7607),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7607),
    [anon_sym_BSLASHacrfull] = ACTIONS(7607),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7607),
    [anon_sym_BSLASHACRfull] = ACTIONS(7607),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHacs] = ACTIONS(7607),
    [anon_sym_BSLASHAcs] = ACTIONS(7607),
    [anon_sym_BSLASHacsp] = ACTIONS(7607),
    [anon_sym_BSLASHAcsp] = ACTIONS(7607),
    [anon_sym_BSLASHacl] = ACTIONS(7607),
    [anon_sym_BSLASHAcl] = ACTIONS(7607),
    [anon_sym_BSLASHaclp] = ACTIONS(7607),
    [anon_sym_BSLASHAclp] = ACTIONS(7607),
    [anon_sym_BSLASHacf] = ACTIONS(7607),
    [anon_sym_BSLASHAcf] = ACTIONS(7607),
    [anon_sym_BSLASHacfp] = ACTIONS(7607),
    [anon_sym_BSLASHAcfp] = ACTIONS(7607),
    [anon_sym_BSLASHac] = ACTIONS(7607),
    [anon_sym_BSLASHAc] = ACTIONS(7607),
    [anon_sym_BSLASHacp] = ACTIONS(7607),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7607),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7607),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7607),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7607),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7607),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7607),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7607),
    [anon_sym_BSLASHcolor] = ACTIONS(7607),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7607),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7607),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7607),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7607),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7607),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7607),
    [anon_sym_BSLASHurl] = ACTIONS(7607),
    [anon_sym_BSLASHhref] = ACTIONS(7607),
  },
  [1448] = {
    [sym_command_name] = ACTIONS(7531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(7533),
    [anon_sym_RBRACK] = ACTIONS(7533),
    [anon_sym_COMMA] = ACTIONS(7533),
    [anon_sym_EQ] = ACTIONS(7533),
    [anon_sym_LPAREN] = ACTIONS(7533),
    [anon_sym_RPAREN] = ACTIONS(7533),
    [anon_sym_BSLASHpart] = ACTIONS(7531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHaddpart] = ACTIONS(7531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHchapter] = ACTIONS(7531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHaddchap] = ACTIONS(7531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHsection] = ACTIONS(7531),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHaddsec] = ACTIONS(7531),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHsubsection] = ACTIONS(7531),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7531),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHparagraph] = ACTIONS(7531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHitem] = ACTIONS(7531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7533),
    [anon_sym_LBRACE] = ACTIONS(7533),
    [sym_word] = ACTIONS(7531),
    [sym_placeholder] = ACTIONS(7533),
    [sym_delimiter] = ACTIONS(7533),
    [anon_sym_PLUS] = ACTIONS(7533),
    [anon_sym_DASH] = ACTIONS(7533),
    [anon_sym_STAR] = ACTIONS(7533),
    [anon_sym_SLASH] = ACTIONS(7533),
    [anon_sym_LT] = ACTIONS(7531),
    [anon_sym_GT] = ACTIONS(7531),
    [anon_sym_BANG] = ACTIONS(7531),
    [anon_sym_PIPE] = ACTIONS(7531),
    [anon_sym_COLON] = ACTIONS(7531),
    [anon_sym_SQUOTE] = ACTIONS(7531),
    [anon_sym__] = ACTIONS(7533),
    [anon_sym_CARET] = ACTIONS(7533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7533),
    [anon_sym_DOLLAR] = ACTIONS(7531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7533),
    [anon_sym_BSLASHleft] = ACTIONS(7531),
    [anon_sym_BSLASHbigl] = ACTIONS(7531),
    [anon_sym_BSLASHBigl] = ACTIONS(7531),
    [anon_sym_BSLASHbiggl] = ACTIONS(7531),
    [anon_sym_BSLASHBiggl] = ACTIONS(7531),
    [anon_sym_BSLASHtext] = ACTIONS(7531),
    [anon_sym_BSLASHintertext] = ACTIONS(7531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7531),
    [anon_sym_BSLASHbegin] = ACTIONS(7531),
    [anon_sym_BSLASHend] = ACTIONS(7531),
    [anon_sym_BSLASHtitle] = ACTIONS(7531),
    [anon_sym_BSLASHauthor] = ACTIONS(7531),
    [anon_sym_BSLASHusepackage] = ACTIONS(7531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7531),
    [anon_sym_BSLASHinclude] = ACTIONS(7531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7531),
    [anon_sym_BSLASHinput] = ACTIONS(7531),
    [anon_sym_BSLASHsubfile] = ACTIONS(7531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7531),
    [anon_sym_BSLASHbibliography] = ACTIONS(7531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7531),
    [anon_sym_BSLASHimport] = ACTIONS(7531),
    [anon_sym_BSLASHsubimport] = ACTIONS(7531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7531),
    [anon_sym_BSLASHcaption] = ACTIONS(7531),
    [anon_sym_BSLASHcite] = ACTIONS(7531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCite] = ACTIONS(7531),
    [anon_sym_BSLASHnocite] = ACTIONS(7531),
    [anon_sym_BSLASHcitet] = ACTIONS(7531),
    [anon_sym_BSLASHcitep] = ACTIONS(7531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteA] = ACTIONS(7531),
    [anon_sym_BSLASHciteR] = ACTIONS(7531),
    [anon_sym_BSLASHciteS] = ACTIONS(7531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteyear] = ACTIONS(7531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitedate] = ACTIONS(7531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteurl] = ACTIONS(7531),
    [anon_sym_BSLASHfullcite] = ACTIONS(7531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7531),
    [anon_sym_BSLASHcitealt] = ACTIONS(7531),
    [anon_sym_BSLASHcitealp] = ACTIONS(7531),
    [anon_sym_BSLASHcitetext] = ACTIONS(7531),
    [anon_sym_BSLASHparencite] = ACTIONS(7531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHParencite] = ACTIONS(7531),
    [anon_sym_BSLASHfootcite] = ACTIONS(7531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7531),
    [anon_sym_BSLASHtextcite] = ACTIONS(7531),
    [anon_sym_BSLASHTextcite] = ACTIONS(7531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7531),
    [anon_sym_BSLASHsupercite] = ACTIONS(7531),
    [anon_sym_BSLASHautocite] = ACTIONS(7531),
    [anon_sym_BSLASHAutocite] = ACTIONS(7531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHVolcite] = ACTIONS(7531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHavolcite] = ACTIONS(7531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHNotecite] = ACTIONS(7531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHlabel] = ACTIONS(7531),
    [anon_sym_BSLASHref] = ACTIONS(7531),
    [anon_sym_BSLASHeqref] = ACTIONS(7531),
    [anon_sym_BSLASHvref] = ACTIONS(7531),
    [anon_sym_BSLASHVref] = ACTIONS(7531),
    [anon_sym_BSLASHautoref] = ACTIONS(7531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHpageref] = ACTIONS(7531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHautopageref] = ACTIONS(7531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcref] = ACTIONS(7531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCref] = ACTIONS(7531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcpageref] = ACTIONS(7531),
    [anon_sym_BSLASHCpageref] = ACTIONS(7531),
    [anon_sym_BSLASHnamecref] = ACTIONS(7531),
    [anon_sym_BSLASHnameCref] = ACTIONS(7531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHdef] = ACTIONS(7531),
    [anon_sym_BSLASHgdef] = ACTIONS(7531),
    [anon_sym_BSLASHedef] = ACTIONS(7531),
    [anon_sym_BSLASHxdef] = ACTIONS(7531),
    [anon_sym_BSLASHlet] = ACTIONS(7531),
    [anon_sym_BSLASHglet] = ACTIONS(7531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7531),
    [anon_sym_BSLASHgls] = ACTIONS(7531),
    [anon_sym_BSLASHGls] = ACTIONS(7531),
    [anon_sym_BSLASHGLS] = ACTIONS(7531),
    [anon_sym_BSLASHglspl] = ACTIONS(7531),
    [anon_sym_BSLASHGlspl] = ACTIONS(7531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7531),
    [anon_sym_BSLASHglslink] = ACTIONS(7531),
    [anon_sym_BSLASHglstext] = ACTIONS(7531),
    [anon_sym_BSLASHGlstext] = ACTIONS(7531),
    [anon_sym_BSLASHGLStext] = ACTIONS(7531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7531),
    [anon_sym_BSLASHglsplural] = ACTIONS(7531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHglsname] = ACTIONS(7531),
    [anon_sym_BSLASHGlsname] = ACTIONS(7531),
    [anon_sym_BSLASHGLSname] = ACTIONS(7531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7531),
    [anon_sym_BSLASHacrshort] = ACTIONS(7531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7531),
    [anon_sym_BSLASHACRshort] = ACTIONS(7531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHacrlong] = ACTIONS(7531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7531),
    [anon_sym_BSLASHACRlong] = ACTIONS(7531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHacrfull] = ACTIONS(7531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7531),
    [anon_sym_BSLASHACRfull] = ACTIONS(7531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHacs] = ACTIONS(7531),
    [anon_sym_BSLASHAcs] = ACTIONS(7531),
    [anon_sym_BSLASHacsp] = ACTIONS(7531),
    [anon_sym_BSLASHAcsp] = ACTIONS(7531),
    [anon_sym_BSLASHacl] = ACTIONS(7531),
    [anon_sym_BSLASHAcl] = ACTIONS(7531),
    [anon_sym_BSLASHaclp] = ACTIONS(7531),
    [anon_sym_BSLASHAclp] = ACTIONS(7531),
    [anon_sym_BSLASHacf] = ACTIONS(7531),
    [anon_sym_BSLASHAcf] = ACTIONS(7531),
    [anon_sym_BSLASHacfp] = ACTIONS(7531),
    [anon_sym_BSLASHAcfp] = ACTIONS(7531),
    [anon_sym_BSLASHac] = ACTIONS(7531),
    [anon_sym_BSLASHAc] = ACTIONS(7531),
    [anon_sym_BSLASHacp] = ACTIONS(7531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7531),
    [anon_sym_BSLASHcolor] = ACTIONS(7531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7531),
    [anon_sym_BSLASHurl] = ACTIONS(7531),
    [anon_sym_BSLASHhref] = ACTIONS(7531),
  },
  [1449] = {
    [sym_command_name] = ACTIONS(7535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(7537),
    [anon_sym_RBRACK] = ACTIONS(7537),
    [anon_sym_COMMA] = ACTIONS(7537),
    [anon_sym_EQ] = ACTIONS(7537),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_RPAREN] = ACTIONS(7537),
    [anon_sym_BSLASHpart] = ACTIONS(7535),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHaddpart] = ACTIONS(7535),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHchapter] = ACTIONS(7535),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHaddchap] = ACTIONS(7535),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHsection] = ACTIONS(7535),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHaddsec] = ACTIONS(7535),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHsubsection] = ACTIONS(7535),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7535),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHparagraph] = ACTIONS(7535),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7535),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHitem] = ACTIONS(7535),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7537),
    [anon_sym_LBRACE] = ACTIONS(7537),
    [sym_word] = ACTIONS(7535),
    [sym_placeholder] = ACTIONS(7537),
    [sym_delimiter] = ACTIONS(7537),
    [anon_sym_PLUS] = ACTIONS(7537),
    [anon_sym_DASH] = ACTIONS(7537),
    [anon_sym_STAR] = ACTIONS(7537),
    [anon_sym_SLASH] = ACTIONS(7537),
    [anon_sym_LT] = ACTIONS(7535),
    [anon_sym_GT] = ACTIONS(7535),
    [anon_sym_BANG] = ACTIONS(7535),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_COLON] = ACTIONS(7535),
    [anon_sym_SQUOTE] = ACTIONS(7535),
    [anon_sym__] = ACTIONS(7537),
    [anon_sym_CARET] = ACTIONS(7537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7537),
    [anon_sym_DOLLAR] = ACTIONS(7535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7537),
    [anon_sym_BSLASHleft] = ACTIONS(7535),
    [anon_sym_BSLASHbigl] = ACTIONS(7535),
    [anon_sym_BSLASHBigl] = ACTIONS(7535),
    [anon_sym_BSLASHbiggl] = ACTIONS(7535),
    [anon_sym_BSLASHBiggl] = ACTIONS(7535),
    [anon_sym_BSLASHtext] = ACTIONS(7535),
    [anon_sym_BSLASHintertext] = ACTIONS(7535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7535),
    [anon_sym_BSLASHbegin] = ACTIONS(7535),
    [anon_sym_BSLASHend] = ACTIONS(7535),
    [anon_sym_BSLASHtitle] = ACTIONS(7535),
    [anon_sym_BSLASHauthor] = ACTIONS(7535),
    [anon_sym_BSLASHusepackage] = ACTIONS(7535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7535),
    [anon_sym_BSLASHinclude] = ACTIONS(7535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7535),
    [anon_sym_BSLASHinput] = ACTIONS(7535),
    [anon_sym_BSLASHsubfile] = ACTIONS(7535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7535),
    [anon_sym_BSLASHbibliography] = ACTIONS(7535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7535),
    [anon_sym_BSLASHimport] = ACTIONS(7535),
    [anon_sym_BSLASHsubimport] = ACTIONS(7535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7535),
    [anon_sym_BSLASHcaption] = ACTIONS(7535),
    [anon_sym_BSLASHcite] = ACTIONS(7535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCite] = ACTIONS(7535),
    [anon_sym_BSLASHnocite] = ACTIONS(7535),
    [anon_sym_BSLASHcitet] = ACTIONS(7535),
    [anon_sym_BSLASHcitep] = ACTIONS(7535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteA] = ACTIONS(7535),
    [anon_sym_BSLASHciteR] = ACTIONS(7535),
    [anon_sym_BSLASHciteS] = ACTIONS(7535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteyear] = ACTIONS(7535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitedate] = ACTIONS(7535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteurl] = ACTIONS(7535),
    [anon_sym_BSLASHfullcite] = ACTIONS(7535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7535),
    [anon_sym_BSLASHcitealt] = ACTIONS(7535),
    [anon_sym_BSLASHcitealp] = ACTIONS(7535),
    [anon_sym_BSLASHcitetext] = ACTIONS(7535),
    [anon_sym_BSLASHparencite] = ACTIONS(7535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHParencite] = ACTIONS(7535),
    [anon_sym_BSLASHfootcite] = ACTIONS(7535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7535),
    [anon_sym_BSLASHtextcite] = ACTIONS(7535),
    [anon_sym_BSLASHTextcite] = ACTIONS(7535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7535),
    [anon_sym_BSLASHsupercite] = ACTIONS(7535),
    [anon_sym_BSLASHautocite] = ACTIONS(7535),
    [anon_sym_BSLASHAutocite] = ACTIONS(7535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHVolcite] = ACTIONS(7535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHavolcite] = ACTIONS(7535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHNotecite] = ACTIONS(7535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHlabel] = ACTIONS(7535),
    [anon_sym_BSLASHref] = ACTIONS(7535),
    [anon_sym_BSLASHeqref] = ACTIONS(7535),
    [anon_sym_BSLASHvref] = ACTIONS(7535),
    [anon_sym_BSLASHVref] = ACTIONS(7535),
    [anon_sym_BSLASHautoref] = ACTIONS(7535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHpageref] = ACTIONS(7535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHautopageref] = ACTIONS(7535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcref] = ACTIONS(7535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCref] = ACTIONS(7535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcpageref] = ACTIONS(7535),
    [anon_sym_BSLASHCpageref] = ACTIONS(7535),
    [anon_sym_BSLASHnamecref] = ACTIONS(7535),
    [anon_sym_BSLASHnameCref] = ACTIONS(7535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHdef] = ACTIONS(7535),
    [anon_sym_BSLASHgdef] = ACTIONS(7535),
    [anon_sym_BSLASHedef] = ACTIONS(7535),
    [anon_sym_BSLASHxdef] = ACTIONS(7535),
    [anon_sym_BSLASHlet] = ACTIONS(7535),
    [anon_sym_BSLASHglet] = ACTIONS(7535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7535),
    [anon_sym_BSLASHgls] = ACTIONS(7535),
    [anon_sym_BSLASHGls] = ACTIONS(7535),
    [anon_sym_BSLASHGLS] = ACTIONS(7535),
    [anon_sym_BSLASHglspl] = ACTIONS(7535),
    [anon_sym_BSLASHGlspl] = ACTIONS(7535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7535),
    [anon_sym_BSLASHglslink] = ACTIONS(7535),
    [anon_sym_BSLASHglstext] = ACTIONS(7535),
    [anon_sym_BSLASHGlstext] = ACTIONS(7535),
    [anon_sym_BSLASHGLStext] = ACTIONS(7535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7535),
    [anon_sym_BSLASHglsplural] = ACTIONS(7535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHglsname] = ACTIONS(7535),
    [anon_sym_BSLASHGlsname] = ACTIONS(7535),
    [anon_sym_BSLASHGLSname] = ACTIONS(7535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7535),
    [anon_sym_BSLASHacrshort] = ACTIONS(7535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7535),
    [anon_sym_BSLASHACRshort] = ACTIONS(7535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHacrlong] = ACTIONS(7535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7535),
    [anon_sym_BSLASHACRlong] = ACTIONS(7535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHacrfull] = ACTIONS(7535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7535),
    [anon_sym_BSLASHACRfull] = ACTIONS(7535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHacs] = ACTIONS(7535),
    [anon_sym_BSLASHAcs] = ACTIONS(7535),
    [anon_sym_BSLASHacsp] = ACTIONS(7535),
    [anon_sym_BSLASHAcsp] = ACTIONS(7535),
    [anon_sym_BSLASHacl] = ACTIONS(7535),
    [anon_sym_BSLASHAcl] = ACTIONS(7535),
    [anon_sym_BSLASHaclp] = ACTIONS(7535),
    [anon_sym_BSLASHAclp] = ACTIONS(7535),
    [anon_sym_BSLASHacf] = ACTIONS(7535),
    [anon_sym_BSLASHAcf] = ACTIONS(7535),
    [anon_sym_BSLASHacfp] = ACTIONS(7535),
    [anon_sym_BSLASHAcfp] = ACTIONS(7535),
    [anon_sym_BSLASHac] = ACTIONS(7535),
    [anon_sym_BSLASHAc] = ACTIONS(7535),
    [anon_sym_BSLASHacp] = ACTIONS(7535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7535),
    [anon_sym_BSLASHcolor] = ACTIONS(7535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7535),
    [anon_sym_BSLASHurl] = ACTIONS(7535),
    [anon_sym_BSLASHhref] = ACTIONS(7535),
  },
  [1450] = {
    [sym_command_name] = ACTIONS(7027),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7027),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [anon_sym_RBRACK] = ACTIONS(7029),
    [anon_sym_COMMA] = ACTIONS(7029),
    [anon_sym_EQ] = ACTIONS(7029),
    [anon_sym_LPAREN] = ACTIONS(7029),
    [anon_sym_RPAREN] = ACTIONS(7029),
    [anon_sym_BSLASHpart] = ACTIONS(7027),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHaddpart] = ACTIONS(7027),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHchapter] = ACTIONS(7027),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHaddchap] = ACTIONS(7027),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHsection] = ACTIONS(7027),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHaddsec] = ACTIONS(7027),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHsubsection] = ACTIONS(7027),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7027),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHparagraph] = ACTIONS(7027),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7027),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHitem] = ACTIONS(7027),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7029),
    [anon_sym_LBRACE] = ACTIONS(7029),
    [sym_word] = ACTIONS(7027),
    [sym_placeholder] = ACTIONS(7029),
    [sym_delimiter] = ACTIONS(7029),
    [anon_sym_PLUS] = ACTIONS(7029),
    [anon_sym_DASH] = ACTIONS(7029),
    [anon_sym_STAR] = ACTIONS(7029),
    [anon_sym_SLASH] = ACTIONS(7029),
    [anon_sym_LT] = ACTIONS(7027),
    [anon_sym_GT] = ACTIONS(7027),
    [anon_sym_BANG] = ACTIONS(7027),
    [anon_sym_PIPE] = ACTIONS(7027),
    [anon_sym_COLON] = ACTIONS(7027),
    [anon_sym_SQUOTE] = ACTIONS(7027),
    [anon_sym__] = ACTIONS(7029),
    [anon_sym_CARET] = ACTIONS(7029),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7029),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7029),
    [anon_sym_DOLLAR] = ACTIONS(7027),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7029),
    [anon_sym_BSLASHleft] = ACTIONS(7027),
    [anon_sym_BSLASHbigl] = ACTIONS(7027),
    [anon_sym_BSLASHBigl] = ACTIONS(7027),
    [anon_sym_BSLASHbiggl] = ACTIONS(7027),
    [anon_sym_BSLASHBiggl] = ACTIONS(7027),
    [anon_sym_BSLASHtext] = ACTIONS(7027),
    [anon_sym_BSLASHintertext] = ACTIONS(7027),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7027),
    [anon_sym_BSLASHbegin] = ACTIONS(7027),
    [anon_sym_BSLASHend] = ACTIONS(7027),
    [anon_sym_BSLASHtitle] = ACTIONS(7027),
    [anon_sym_BSLASHauthor] = ACTIONS(7027),
    [anon_sym_BSLASHusepackage] = ACTIONS(7027),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7027),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7027),
    [anon_sym_BSLASHinclude] = ACTIONS(7027),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7027),
    [anon_sym_BSLASHinput] = ACTIONS(7027),
    [anon_sym_BSLASHsubfile] = ACTIONS(7027),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7027),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7027),
    [anon_sym_BSLASHbibliography] = ACTIONS(7027),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7027),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7027),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7027),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7027),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7027),
    [anon_sym_BSLASHimport] = ACTIONS(7027),
    [anon_sym_BSLASHsubimport] = ACTIONS(7027),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7027),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7027),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7027),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7027),
    [anon_sym_BSLASHcaption] = ACTIONS(7027),
    [anon_sym_BSLASHcite] = ACTIONS(7027),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHCite] = ACTIONS(7027),
    [anon_sym_BSLASHnocite] = ACTIONS(7027),
    [anon_sym_BSLASHcitet] = ACTIONS(7027),
    [anon_sym_BSLASHcitep] = ACTIONS(7027),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHciteA] = ACTIONS(7027),
    [anon_sym_BSLASHciteR] = ACTIONS(7027),
    [anon_sym_BSLASHciteS] = ACTIONS(7027),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7027),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7027),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7027),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7027),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHciteyear] = ACTIONS(7027),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcitedate] = ACTIONS(7027),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHciteurl] = ACTIONS(7027),
    [anon_sym_BSLASHfullcite] = ACTIONS(7027),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7027),
    [anon_sym_BSLASHcitealt] = ACTIONS(7027),
    [anon_sym_BSLASHcitealp] = ACTIONS(7027),
    [anon_sym_BSLASHcitetext] = ACTIONS(7027),
    [anon_sym_BSLASHparencite] = ACTIONS(7027),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHParencite] = ACTIONS(7027),
    [anon_sym_BSLASHfootcite] = ACTIONS(7027),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7027),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7027),
    [anon_sym_BSLASHtextcite] = ACTIONS(7027),
    [anon_sym_BSLASHTextcite] = ACTIONS(7027),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7027),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7027),
    [anon_sym_BSLASHsupercite] = ACTIONS(7027),
    [anon_sym_BSLASHautocite] = ACTIONS(7027),
    [anon_sym_BSLASHAutocite] = ACTIONS(7027),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHVolcite] = ACTIONS(7027),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHavolcite] = ACTIONS(7027),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHnotecite] = ACTIONS(7027),
    [anon_sym_BSLASHNotecite] = ACTIONS(7027),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7027),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7027),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7027),
    [anon_sym_BSLASHlabel] = ACTIONS(7027),
    [anon_sym_BSLASHref] = ACTIONS(7027),
    [anon_sym_BSLASHeqref] = ACTIONS(7027),
    [anon_sym_BSLASHvref] = ACTIONS(7027),
    [anon_sym_BSLASHVref] = ACTIONS(7027),
    [anon_sym_BSLASHautoref] = ACTIONS(7027),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHpageref] = ACTIONS(7027),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHautopageref] = ACTIONS(7027),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcref] = ACTIONS(7027),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHCref] = ACTIONS(7027),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcpageref] = ACTIONS(7027),
    [anon_sym_BSLASHCpageref] = ACTIONS(7027),
    [anon_sym_BSLASHnamecref] = ACTIONS(7027),
    [anon_sym_BSLASHnameCref] = ACTIONS(7027),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7027),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7027),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7027),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7027),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7027),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7027),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7027),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7027),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7027),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7027),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7027),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7027),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7027),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7027),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7027),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7027),
    [anon_sym_BSLASHdef] = ACTIONS(7027),
    [anon_sym_BSLASHgdef] = ACTIONS(7027),
    [anon_sym_BSLASHedef] = ACTIONS(7027),
    [anon_sym_BSLASHxdef] = ACTIONS(7027),
    [anon_sym_BSLASHlet] = ACTIONS(7027),
    [anon_sym_BSLASHglet] = ACTIONS(7027),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7027),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7027),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7027),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7027),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7027),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7027),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7027),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7027),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7027),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7027),
    [anon_sym_BSLASHgls] = ACTIONS(7027),
    [anon_sym_BSLASHGls] = ACTIONS(7027),
    [anon_sym_BSLASHGLS] = ACTIONS(7027),
    [anon_sym_BSLASHglspl] = ACTIONS(7027),
    [anon_sym_BSLASHGlspl] = ACTIONS(7027),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7027),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7027),
    [anon_sym_BSLASHglslink] = ACTIONS(7027),
    [anon_sym_BSLASHglstext] = ACTIONS(7027),
    [anon_sym_BSLASHGlstext] = ACTIONS(7027),
    [anon_sym_BSLASHGLStext] = ACTIONS(7027),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7027),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7027),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7027),
    [anon_sym_BSLASHglsplural] = ACTIONS(7027),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7027),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7027),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7027),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7027),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7027),
    [anon_sym_BSLASHglsname] = ACTIONS(7027),
    [anon_sym_BSLASHGlsname] = ACTIONS(7027),
    [anon_sym_BSLASHGLSname] = ACTIONS(7027),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7027),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7027),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7027),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7027),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7027),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7027),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7027),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7027),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7027),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7027),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7027),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7027),
    [anon_sym_BSLASHacrshort] = ACTIONS(7027),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7027),
    [anon_sym_BSLASHACRshort] = ACTIONS(7027),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7027),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7027),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7027),
    [anon_sym_BSLASHacrlong] = ACTIONS(7027),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7027),
    [anon_sym_BSLASHACRlong] = ACTIONS(7027),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7027),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7027),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7027),
    [anon_sym_BSLASHacrfull] = ACTIONS(7027),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7027),
    [anon_sym_BSLASHACRfull] = ACTIONS(7027),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7027),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7027),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7027),
    [anon_sym_BSLASHacs] = ACTIONS(7027),
    [anon_sym_BSLASHAcs] = ACTIONS(7027),
    [anon_sym_BSLASHacsp] = ACTIONS(7027),
    [anon_sym_BSLASHAcsp] = ACTIONS(7027),
    [anon_sym_BSLASHacl] = ACTIONS(7027),
    [anon_sym_BSLASHAcl] = ACTIONS(7027),
    [anon_sym_BSLASHaclp] = ACTIONS(7027),
    [anon_sym_BSLASHAclp] = ACTIONS(7027),
    [anon_sym_BSLASHacf] = ACTIONS(7027),
    [anon_sym_BSLASHAcf] = ACTIONS(7027),
    [anon_sym_BSLASHacfp] = ACTIONS(7027),
    [anon_sym_BSLASHAcfp] = ACTIONS(7027),
    [anon_sym_BSLASHac] = ACTIONS(7027),
    [anon_sym_BSLASHAc] = ACTIONS(7027),
    [anon_sym_BSLASHacp] = ACTIONS(7027),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7027),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7027),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7027),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7027),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7027),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7027),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7027),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7027),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7027),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7027),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7027),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7027),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7027),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7027),
    [anon_sym_BSLASHcolor] = ACTIONS(7027),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7027),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7027),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7027),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7027),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7027),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7027),
    [anon_sym_BSLASHurl] = ACTIONS(7027),
    [anon_sym_BSLASHhref] = ACTIONS(7027),
  },
  [1451] = {
    [sym_command_name] = ACTIONS(7031),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7031),
    [anon_sym_LBRACK] = ACTIONS(7033),
    [anon_sym_RBRACK] = ACTIONS(7033),
    [anon_sym_COMMA] = ACTIONS(7033),
    [anon_sym_EQ] = ACTIONS(7033),
    [anon_sym_LPAREN] = ACTIONS(7033),
    [anon_sym_RPAREN] = ACTIONS(7033),
    [anon_sym_BSLASHpart] = ACTIONS(7031),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHaddpart] = ACTIONS(7031),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHchapter] = ACTIONS(7031),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHaddchap] = ACTIONS(7031),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHsection] = ACTIONS(7031),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHaddsec] = ACTIONS(7031),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHsubsection] = ACTIONS(7031),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7031),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHparagraph] = ACTIONS(7031),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7031),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHitem] = ACTIONS(7031),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7033),
    [anon_sym_LBRACE] = ACTIONS(7033),
    [sym_word] = ACTIONS(7031),
    [sym_placeholder] = ACTIONS(7033),
    [sym_delimiter] = ACTIONS(7033),
    [anon_sym_PLUS] = ACTIONS(7033),
    [anon_sym_DASH] = ACTIONS(7033),
    [anon_sym_STAR] = ACTIONS(7033),
    [anon_sym_SLASH] = ACTIONS(7033),
    [anon_sym_LT] = ACTIONS(7031),
    [anon_sym_GT] = ACTIONS(7031),
    [anon_sym_BANG] = ACTIONS(7031),
    [anon_sym_PIPE] = ACTIONS(7031),
    [anon_sym_COLON] = ACTIONS(7031),
    [anon_sym_SQUOTE] = ACTIONS(7031),
    [anon_sym__] = ACTIONS(7033),
    [anon_sym_CARET] = ACTIONS(7033),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7033),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7033),
    [anon_sym_DOLLAR] = ACTIONS(7031),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7033),
    [anon_sym_BSLASHleft] = ACTIONS(7031),
    [anon_sym_BSLASHbigl] = ACTIONS(7031),
    [anon_sym_BSLASHBigl] = ACTIONS(7031),
    [anon_sym_BSLASHbiggl] = ACTIONS(7031),
    [anon_sym_BSLASHBiggl] = ACTIONS(7031),
    [anon_sym_BSLASHtext] = ACTIONS(7031),
    [anon_sym_BSLASHintertext] = ACTIONS(7031),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7031),
    [anon_sym_BSLASHbegin] = ACTIONS(7031),
    [anon_sym_BSLASHend] = ACTIONS(7031),
    [anon_sym_BSLASHtitle] = ACTIONS(7031),
    [anon_sym_BSLASHauthor] = ACTIONS(7031),
    [anon_sym_BSLASHusepackage] = ACTIONS(7031),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7031),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7031),
    [anon_sym_BSLASHinclude] = ACTIONS(7031),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7031),
    [anon_sym_BSLASHinput] = ACTIONS(7031),
    [anon_sym_BSLASHsubfile] = ACTIONS(7031),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7031),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7031),
    [anon_sym_BSLASHbibliography] = ACTIONS(7031),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7031),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7031),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7031),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7031),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7031),
    [anon_sym_BSLASHimport] = ACTIONS(7031),
    [anon_sym_BSLASHsubimport] = ACTIONS(7031),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7031),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7031),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7031),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7031),
    [anon_sym_BSLASHcaption] = ACTIONS(7031),
    [anon_sym_BSLASHcite] = ACTIONS(7031),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHCite] = ACTIONS(7031),
    [anon_sym_BSLASHnocite] = ACTIONS(7031),
    [anon_sym_BSLASHcitet] = ACTIONS(7031),
    [anon_sym_BSLASHcitep] = ACTIONS(7031),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHciteA] = ACTIONS(7031),
    [anon_sym_BSLASHciteR] = ACTIONS(7031),
    [anon_sym_BSLASHciteS] = ACTIONS(7031),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7031),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7031),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7031),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7031),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHciteyear] = ACTIONS(7031),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcitedate] = ACTIONS(7031),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHciteurl] = ACTIONS(7031),
    [anon_sym_BSLASHfullcite] = ACTIONS(7031),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7031),
    [anon_sym_BSLASHcitealt] = ACTIONS(7031),
    [anon_sym_BSLASHcitealp] = ACTIONS(7031),
    [anon_sym_BSLASHcitetext] = ACTIONS(7031),
    [anon_sym_BSLASHparencite] = ACTIONS(7031),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHParencite] = ACTIONS(7031),
    [anon_sym_BSLASHfootcite] = ACTIONS(7031),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7031),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7031),
    [anon_sym_BSLASHtextcite] = ACTIONS(7031),
    [anon_sym_BSLASHTextcite] = ACTIONS(7031),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7031),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7031),
    [anon_sym_BSLASHsupercite] = ACTIONS(7031),
    [anon_sym_BSLASHautocite] = ACTIONS(7031),
    [anon_sym_BSLASHAutocite] = ACTIONS(7031),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHVolcite] = ACTIONS(7031),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHavolcite] = ACTIONS(7031),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHnotecite] = ACTIONS(7031),
    [anon_sym_BSLASHNotecite] = ACTIONS(7031),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7031),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7031),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7031),
    [anon_sym_BSLASHlabel] = ACTIONS(7031),
    [anon_sym_BSLASHref] = ACTIONS(7031),
    [anon_sym_BSLASHeqref] = ACTIONS(7031),
    [anon_sym_BSLASHvref] = ACTIONS(7031),
    [anon_sym_BSLASHVref] = ACTIONS(7031),
    [anon_sym_BSLASHautoref] = ACTIONS(7031),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHpageref] = ACTIONS(7031),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHautopageref] = ACTIONS(7031),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcref] = ACTIONS(7031),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHCref] = ACTIONS(7031),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcpageref] = ACTIONS(7031),
    [anon_sym_BSLASHCpageref] = ACTIONS(7031),
    [anon_sym_BSLASHnamecref] = ACTIONS(7031),
    [anon_sym_BSLASHnameCref] = ACTIONS(7031),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7031),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7031),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7031),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7031),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7031),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7031),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7031),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7031),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7031),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7031),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7031),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7031),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7031),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7031),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7031),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7031),
    [anon_sym_BSLASHdef] = ACTIONS(7031),
    [anon_sym_BSLASHgdef] = ACTIONS(7031),
    [anon_sym_BSLASHedef] = ACTIONS(7031),
    [anon_sym_BSLASHxdef] = ACTIONS(7031),
    [anon_sym_BSLASHlet] = ACTIONS(7031),
    [anon_sym_BSLASHglet] = ACTIONS(7031),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7031),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7031),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7031),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7031),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7031),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7031),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7031),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7031),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7031),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7031),
    [anon_sym_BSLASHgls] = ACTIONS(7031),
    [anon_sym_BSLASHGls] = ACTIONS(7031),
    [anon_sym_BSLASHGLS] = ACTIONS(7031),
    [anon_sym_BSLASHglspl] = ACTIONS(7031),
    [anon_sym_BSLASHGlspl] = ACTIONS(7031),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7031),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7031),
    [anon_sym_BSLASHglslink] = ACTIONS(7031),
    [anon_sym_BSLASHglstext] = ACTIONS(7031),
    [anon_sym_BSLASHGlstext] = ACTIONS(7031),
    [anon_sym_BSLASHGLStext] = ACTIONS(7031),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7031),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7031),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7031),
    [anon_sym_BSLASHglsplural] = ACTIONS(7031),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7031),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7031),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7031),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7031),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7031),
    [anon_sym_BSLASHglsname] = ACTIONS(7031),
    [anon_sym_BSLASHGlsname] = ACTIONS(7031),
    [anon_sym_BSLASHGLSname] = ACTIONS(7031),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7031),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7031),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7031),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7031),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7031),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7031),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7031),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7031),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7031),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7031),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7031),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7031),
    [anon_sym_BSLASHacrshort] = ACTIONS(7031),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7031),
    [anon_sym_BSLASHACRshort] = ACTIONS(7031),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7031),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7031),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7031),
    [anon_sym_BSLASHacrlong] = ACTIONS(7031),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7031),
    [anon_sym_BSLASHACRlong] = ACTIONS(7031),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7031),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7031),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7031),
    [anon_sym_BSLASHacrfull] = ACTIONS(7031),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7031),
    [anon_sym_BSLASHACRfull] = ACTIONS(7031),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7031),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7031),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7031),
    [anon_sym_BSLASHacs] = ACTIONS(7031),
    [anon_sym_BSLASHAcs] = ACTIONS(7031),
    [anon_sym_BSLASHacsp] = ACTIONS(7031),
    [anon_sym_BSLASHAcsp] = ACTIONS(7031),
    [anon_sym_BSLASHacl] = ACTIONS(7031),
    [anon_sym_BSLASHAcl] = ACTIONS(7031),
    [anon_sym_BSLASHaclp] = ACTIONS(7031),
    [anon_sym_BSLASHAclp] = ACTIONS(7031),
    [anon_sym_BSLASHacf] = ACTIONS(7031),
    [anon_sym_BSLASHAcf] = ACTIONS(7031),
    [anon_sym_BSLASHacfp] = ACTIONS(7031),
    [anon_sym_BSLASHAcfp] = ACTIONS(7031),
    [anon_sym_BSLASHac] = ACTIONS(7031),
    [anon_sym_BSLASHAc] = ACTIONS(7031),
    [anon_sym_BSLASHacp] = ACTIONS(7031),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7031),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7031),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7031),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7031),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7031),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7031),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7031),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7031),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7031),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7031),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7031),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7031),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7031),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7031),
    [anon_sym_BSLASHcolor] = ACTIONS(7031),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7031),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7031),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7031),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7031),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7031),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7031),
    [anon_sym_BSLASHurl] = ACTIONS(7031),
    [anon_sym_BSLASHhref] = ACTIONS(7031),
  },
  [1452] = {
    [sym_command_name] = ACTIONS(7051),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7051),
    [anon_sym_LBRACK] = ACTIONS(7053),
    [anon_sym_RBRACK] = ACTIONS(7053),
    [anon_sym_COMMA] = ACTIONS(7053),
    [anon_sym_EQ] = ACTIONS(7053),
    [anon_sym_LPAREN] = ACTIONS(7053),
    [anon_sym_RPAREN] = ACTIONS(7053),
    [anon_sym_BSLASHpart] = ACTIONS(7051),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHaddpart] = ACTIONS(7051),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHchapter] = ACTIONS(7051),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHaddchap] = ACTIONS(7051),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHsection] = ACTIONS(7051),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHaddsec] = ACTIONS(7051),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHsubsection] = ACTIONS(7051),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7051),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHparagraph] = ACTIONS(7051),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7051),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHitem] = ACTIONS(7051),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7053),
    [anon_sym_LBRACE] = ACTIONS(7053),
    [sym_word] = ACTIONS(7051),
    [sym_placeholder] = ACTIONS(7053),
    [sym_delimiter] = ACTIONS(7053),
    [anon_sym_PLUS] = ACTIONS(7053),
    [anon_sym_DASH] = ACTIONS(7053),
    [anon_sym_STAR] = ACTIONS(7053),
    [anon_sym_SLASH] = ACTIONS(7053),
    [anon_sym_LT] = ACTIONS(7051),
    [anon_sym_GT] = ACTIONS(7051),
    [anon_sym_BANG] = ACTIONS(7051),
    [anon_sym_PIPE] = ACTIONS(7051),
    [anon_sym_COLON] = ACTIONS(7051),
    [anon_sym_SQUOTE] = ACTIONS(7051),
    [anon_sym__] = ACTIONS(7053),
    [anon_sym_CARET] = ACTIONS(7053),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7053),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7053),
    [anon_sym_DOLLAR] = ACTIONS(7051),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7053),
    [anon_sym_BSLASHleft] = ACTIONS(7051),
    [anon_sym_BSLASHbigl] = ACTIONS(7051),
    [anon_sym_BSLASHBigl] = ACTIONS(7051),
    [anon_sym_BSLASHbiggl] = ACTIONS(7051),
    [anon_sym_BSLASHBiggl] = ACTIONS(7051),
    [anon_sym_BSLASHtext] = ACTIONS(7051),
    [anon_sym_BSLASHintertext] = ACTIONS(7051),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7051),
    [anon_sym_BSLASHbegin] = ACTIONS(7051),
    [anon_sym_BSLASHend] = ACTIONS(7051),
    [anon_sym_BSLASHtitle] = ACTIONS(7051),
    [anon_sym_BSLASHauthor] = ACTIONS(7051),
    [anon_sym_BSLASHusepackage] = ACTIONS(7051),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7051),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7051),
    [anon_sym_BSLASHinclude] = ACTIONS(7051),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7051),
    [anon_sym_BSLASHinput] = ACTIONS(7051),
    [anon_sym_BSLASHsubfile] = ACTIONS(7051),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7051),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7051),
    [anon_sym_BSLASHbibliography] = ACTIONS(7051),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7051),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7051),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7051),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7051),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7051),
    [anon_sym_BSLASHimport] = ACTIONS(7051),
    [anon_sym_BSLASHsubimport] = ACTIONS(7051),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7051),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7051),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7051),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7051),
    [anon_sym_BSLASHcaption] = ACTIONS(7051),
    [anon_sym_BSLASHcite] = ACTIONS(7051),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCite] = ACTIONS(7051),
    [anon_sym_BSLASHnocite] = ACTIONS(7051),
    [anon_sym_BSLASHcitet] = ACTIONS(7051),
    [anon_sym_BSLASHcitep] = ACTIONS(7051),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteA] = ACTIONS(7051),
    [anon_sym_BSLASHciteR] = ACTIONS(7051),
    [anon_sym_BSLASHciteS] = ACTIONS(7051),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7051),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7051),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7051),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7051),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteyear] = ACTIONS(7051),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitedate] = ACTIONS(7051),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteurl] = ACTIONS(7051),
    [anon_sym_BSLASHfullcite] = ACTIONS(7051),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7051),
    [anon_sym_BSLASHcitealt] = ACTIONS(7051),
    [anon_sym_BSLASHcitealp] = ACTIONS(7051),
    [anon_sym_BSLASHcitetext] = ACTIONS(7051),
    [anon_sym_BSLASHparencite] = ACTIONS(7051),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHParencite] = ACTIONS(7051),
    [anon_sym_BSLASHfootcite] = ACTIONS(7051),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7051),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7051),
    [anon_sym_BSLASHtextcite] = ACTIONS(7051),
    [anon_sym_BSLASHTextcite] = ACTIONS(7051),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7051),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7051),
    [anon_sym_BSLASHsupercite] = ACTIONS(7051),
    [anon_sym_BSLASHautocite] = ACTIONS(7051),
    [anon_sym_BSLASHAutocite] = ACTIONS(7051),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHVolcite] = ACTIONS(7051),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHavolcite] = ACTIONS(7051),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHNotecite] = ACTIONS(7051),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHlabel] = ACTIONS(7051),
    [anon_sym_BSLASHref] = ACTIONS(7051),
    [anon_sym_BSLASHeqref] = ACTIONS(7051),
    [anon_sym_BSLASHvref] = ACTIONS(7051),
    [anon_sym_BSLASHVref] = ACTIONS(7051),
    [anon_sym_BSLASHautoref] = ACTIONS(7051),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHpageref] = ACTIONS(7051),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHautopageref] = ACTIONS(7051),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcref] = ACTIONS(7051),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCref] = ACTIONS(7051),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcpageref] = ACTIONS(7051),
    [anon_sym_BSLASHCpageref] = ACTIONS(7051),
    [anon_sym_BSLASHnamecref] = ACTIONS(7051),
    [anon_sym_BSLASHnameCref] = ACTIONS(7051),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7051),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7051),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7051),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7051),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7051),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7051),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7051),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7051),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7051),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7051),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7051),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHdef] = ACTIONS(7051),
    [anon_sym_BSLASHgdef] = ACTIONS(7051),
    [anon_sym_BSLASHedef] = ACTIONS(7051),
    [anon_sym_BSLASHxdef] = ACTIONS(7051),
    [anon_sym_BSLASHlet] = ACTIONS(7051),
    [anon_sym_BSLASHglet] = ACTIONS(7051),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7051),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7051),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7051),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7051),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7051),
    [anon_sym_BSLASHgls] = ACTIONS(7051),
    [anon_sym_BSLASHGls] = ACTIONS(7051),
    [anon_sym_BSLASHGLS] = ACTIONS(7051),
    [anon_sym_BSLASHglspl] = ACTIONS(7051),
    [anon_sym_BSLASHGlspl] = ACTIONS(7051),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7051),
    [anon_sym_BSLASHglslink] = ACTIONS(7051),
    [anon_sym_BSLASHglstext] = ACTIONS(7051),
    [anon_sym_BSLASHGlstext] = ACTIONS(7051),
    [anon_sym_BSLASHGLStext] = ACTIONS(7051),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7051),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7051),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7051),
    [anon_sym_BSLASHglsplural] = ACTIONS(7051),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7051),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7051),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHglsname] = ACTIONS(7051),
    [anon_sym_BSLASHGlsname] = ACTIONS(7051),
    [anon_sym_BSLASHGLSname] = ACTIONS(7051),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7051),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7051),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7051),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7051),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7051),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7051),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7051),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7051),
    [anon_sym_BSLASHacrshort] = ACTIONS(7051),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7051),
    [anon_sym_BSLASHACRshort] = ACTIONS(7051),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHacrlong] = ACTIONS(7051),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7051),
    [anon_sym_BSLASHACRlong] = ACTIONS(7051),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHacrfull] = ACTIONS(7051),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7051),
    [anon_sym_BSLASHACRfull] = ACTIONS(7051),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHacs] = ACTIONS(7051),
    [anon_sym_BSLASHAcs] = ACTIONS(7051),
    [anon_sym_BSLASHacsp] = ACTIONS(7051),
    [anon_sym_BSLASHAcsp] = ACTIONS(7051),
    [anon_sym_BSLASHacl] = ACTIONS(7051),
    [anon_sym_BSLASHAcl] = ACTIONS(7051),
    [anon_sym_BSLASHaclp] = ACTIONS(7051),
    [anon_sym_BSLASHAclp] = ACTIONS(7051),
    [anon_sym_BSLASHacf] = ACTIONS(7051),
    [anon_sym_BSLASHAcf] = ACTIONS(7051),
    [anon_sym_BSLASHacfp] = ACTIONS(7051),
    [anon_sym_BSLASHAcfp] = ACTIONS(7051),
    [anon_sym_BSLASHac] = ACTIONS(7051),
    [anon_sym_BSLASHAc] = ACTIONS(7051),
    [anon_sym_BSLASHacp] = ACTIONS(7051),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7051),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7051),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7051),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7051),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7051),
    [anon_sym_BSLASHcolor] = ACTIONS(7051),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7051),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7051),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7051),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7051),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7051),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7051),
    [anon_sym_BSLASHurl] = ACTIONS(7051),
    [anon_sym_BSLASHhref] = ACTIONS(7051),
  },
  [1453] = {
    [sym_command_name] = ACTIONS(7227),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7227),
    [anon_sym_LBRACK] = ACTIONS(7229),
    [anon_sym_RBRACK] = ACTIONS(7229),
    [anon_sym_COMMA] = ACTIONS(7229),
    [anon_sym_EQ] = ACTIONS(7229),
    [anon_sym_LPAREN] = ACTIONS(7229),
    [anon_sym_RPAREN] = ACTIONS(7229),
    [anon_sym_BSLASHpart] = ACTIONS(7227),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHaddpart] = ACTIONS(7227),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHchapter] = ACTIONS(7227),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHaddchap] = ACTIONS(7227),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHsection] = ACTIONS(7227),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHaddsec] = ACTIONS(7227),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHsubsection] = ACTIONS(7227),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7227),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHparagraph] = ACTIONS(7227),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7227),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHitem] = ACTIONS(7227),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7229),
    [anon_sym_LBRACE] = ACTIONS(7229),
    [sym_word] = ACTIONS(7227),
    [sym_placeholder] = ACTIONS(7229),
    [sym_delimiter] = ACTIONS(7229),
    [anon_sym_PLUS] = ACTIONS(7229),
    [anon_sym_DASH] = ACTIONS(7229),
    [anon_sym_STAR] = ACTIONS(7229),
    [anon_sym_SLASH] = ACTIONS(7229),
    [anon_sym_LT] = ACTIONS(7227),
    [anon_sym_GT] = ACTIONS(7227),
    [anon_sym_BANG] = ACTIONS(7227),
    [anon_sym_PIPE] = ACTIONS(7227),
    [anon_sym_COLON] = ACTIONS(7227),
    [anon_sym_SQUOTE] = ACTIONS(7227),
    [anon_sym__] = ACTIONS(7229),
    [anon_sym_CARET] = ACTIONS(7229),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7229),
    [anon_sym_DOLLAR] = ACTIONS(7227),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7229),
    [anon_sym_BSLASHleft] = ACTIONS(7227),
    [anon_sym_BSLASHbigl] = ACTIONS(7227),
    [anon_sym_BSLASHBigl] = ACTIONS(7227),
    [anon_sym_BSLASHbiggl] = ACTIONS(7227),
    [anon_sym_BSLASHBiggl] = ACTIONS(7227),
    [anon_sym_BSLASHtext] = ACTIONS(7227),
    [anon_sym_BSLASHintertext] = ACTIONS(7227),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7227),
    [anon_sym_BSLASHbegin] = ACTIONS(7227),
    [anon_sym_BSLASHend] = ACTIONS(7227),
    [anon_sym_BSLASHtitle] = ACTIONS(7227),
    [anon_sym_BSLASHauthor] = ACTIONS(7227),
    [anon_sym_BSLASHusepackage] = ACTIONS(7227),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7227),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7227),
    [anon_sym_BSLASHinclude] = ACTIONS(7227),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7227),
    [anon_sym_BSLASHinput] = ACTIONS(7227),
    [anon_sym_BSLASHsubfile] = ACTIONS(7227),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7227),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7227),
    [anon_sym_BSLASHbibliography] = ACTIONS(7227),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7227),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7227),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7227),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7227),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7227),
    [anon_sym_BSLASHimport] = ACTIONS(7227),
    [anon_sym_BSLASHsubimport] = ACTIONS(7227),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7227),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7227),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7227),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7227),
    [anon_sym_BSLASHcaption] = ACTIONS(7227),
    [anon_sym_BSLASHcite] = ACTIONS(7227),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCite] = ACTIONS(7227),
    [anon_sym_BSLASHnocite] = ACTIONS(7227),
    [anon_sym_BSLASHcitet] = ACTIONS(7227),
    [anon_sym_BSLASHcitep] = ACTIONS(7227),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteA] = ACTIONS(7227),
    [anon_sym_BSLASHciteR] = ACTIONS(7227),
    [anon_sym_BSLASHciteS] = ACTIONS(7227),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7227),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7227),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7227),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7227),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteyear] = ACTIONS(7227),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitedate] = ACTIONS(7227),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteurl] = ACTIONS(7227),
    [anon_sym_BSLASHfullcite] = ACTIONS(7227),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7227),
    [anon_sym_BSLASHcitealt] = ACTIONS(7227),
    [anon_sym_BSLASHcitealp] = ACTIONS(7227),
    [anon_sym_BSLASHcitetext] = ACTIONS(7227),
    [anon_sym_BSLASHparencite] = ACTIONS(7227),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHParencite] = ACTIONS(7227),
    [anon_sym_BSLASHfootcite] = ACTIONS(7227),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7227),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7227),
    [anon_sym_BSLASHtextcite] = ACTIONS(7227),
    [anon_sym_BSLASHTextcite] = ACTIONS(7227),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7227),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7227),
    [anon_sym_BSLASHsupercite] = ACTIONS(7227),
    [anon_sym_BSLASHautocite] = ACTIONS(7227),
    [anon_sym_BSLASHAutocite] = ACTIONS(7227),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHVolcite] = ACTIONS(7227),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHavolcite] = ACTIONS(7227),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHNotecite] = ACTIONS(7227),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHlabel] = ACTIONS(7227),
    [anon_sym_BSLASHref] = ACTIONS(7227),
    [anon_sym_BSLASHeqref] = ACTIONS(7227),
    [anon_sym_BSLASHvref] = ACTIONS(7227),
    [anon_sym_BSLASHVref] = ACTIONS(7227),
    [anon_sym_BSLASHautoref] = ACTIONS(7227),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHpageref] = ACTIONS(7227),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHautopageref] = ACTIONS(7227),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcref] = ACTIONS(7227),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCref] = ACTIONS(7227),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcpageref] = ACTIONS(7227),
    [anon_sym_BSLASHCpageref] = ACTIONS(7227),
    [anon_sym_BSLASHnamecref] = ACTIONS(7227),
    [anon_sym_BSLASHnameCref] = ACTIONS(7227),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7227),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7227),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7227),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7227),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7227),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7227),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7227),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7227),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7227),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7227),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7227),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHdef] = ACTIONS(7227),
    [anon_sym_BSLASHgdef] = ACTIONS(7227),
    [anon_sym_BSLASHedef] = ACTIONS(7227),
    [anon_sym_BSLASHxdef] = ACTIONS(7227),
    [anon_sym_BSLASHlet] = ACTIONS(7227),
    [anon_sym_BSLASHglet] = ACTIONS(7227),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7227),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7227),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7227),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7227),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7227),
    [anon_sym_BSLASHgls] = ACTIONS(7227),
    [anon_sym_BSLASHGls] = ACTIONS(7227),
    [anon_sym_BSLASHGLS] = ACTIONS(7227),
    [anon_sym_BSLASHglspl] = ACTIONS(7227),
    [anon_sym_BSLASHGlspl] = ACTIONS(7227),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7227),
    [anon_sym_BSLASHglslink] = ACTIONS(7227),
    [anon_sym_BSLASHglstext] = ACTIONS(7227),
    [anon_sym_BSLASHGlstext] = ACTIONS(7227),
    [anon_sym_BSLASHGLStext] = ACTIONS(7227),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7227),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7227),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7227),
    [anon_sym_BSLASHglsplural] = ACTIONS(7227),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7227),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7227),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHglsname] = ACTIONS(7227),
    [anon_sym_BSLASHGlsname] = ACTIONS(7227),
    [anon_sym_BSLASHGLSname] = ACTIONS(7227),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7227),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7227),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7227),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7227),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7227),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7227),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7227),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7227),
    [anon_sym_BSLASHacrshort] = ACTIONS(7227),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7227),
    [anon_sym_BSLASHACRshort] = ACTIONS(7227),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHacrlong] = ACTIONS(7227),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7227),
    [anon_sym_BSLASHACRlong] = ACTIONS(7227),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHacrfull] = ACTIONS(7227),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7227),
    [anon_sym_BSLASHACRfull] = ACTIONS(7227),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHacs] = ACTIONS(7227),
    [anon_sym_BSLASHAcs] = ACTIONS(7227),
    [anon_sym_BSLASHacsp] = ACTIONS(7227),
    [anon_sym_BSLASHAcsp] = ACTIONS(7227),
    [anon_sym_BSLASHacl] = ACTIONS(7227),
    [anon_sym_BSLASHAcl] = ACTIONS(7227),
    [anon_sym_BSLASHaclp] = ACTIONS(7227),
    [anon_sym_BSLASHAclp] = ACTIONS(7227),
    [anon_sym_BSLASHacf] = ACTIONS(7227),
    [anon_sym_BSLASHAcf] = ACTIONS(7227),
    [anon_sym_BSLASHacfp] = ACTIONS(7227),
    [anon_sym_BSLASHAcfp] = ACTIONS(7227),
    [anon_sym_BSLASHac] = ACTIONS(7227),
    [anon_sym_BSLASHAc] = ACTIONS(7227),
    [anon_sym_BSLASHacp] = ACTIONS(7227),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7227),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7227),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7227),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7227),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7227),
    [anon_sym_BSLASHcolor] = ACTIONS(7227),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7227),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7227),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7227),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7227),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7227),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7227),
    [anon_sym_BSLASHurl] = ACTIONS(7227),
    [anon_sym_BSLASHhref] = ACTIONS(7227),
  },
  [1454] = {
    [sym_command_name] = ACTIONS(7539),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(7541),
    [anon_sym_RBRACK] = ACTIONS(7541),
    [anon_sym_COMMA] = ACTIONS(7541),
    [anon_sym_EQ] = ACTIONS(7541),
    [anon_sym_LPAREN] = ACTIONS(7541),
    [anon_sym_RPAREN] = ACTIONS(7541),
    [anon_sym_BSLASHpart] = ACTIONS(7539),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHaddpart] = ACTIONS(7539),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHchapter] = ACTIONS(7539),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHaddchap] = ACTIONS(7539),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHsection] = ACTIONS(7539),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHaddsec] = ACTIONS(7539),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHsubsection] = ACTIONS(7539),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7539),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHparagraph] = ACTIONS(7539),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7539),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHitem] = ACTIONS(7539),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7541),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [sym_word] = ACTIONS(7539),
    [sym_placeholder] = ACTIONS(7541),
    [sym_delimiter] = ACTIONS(7541),
    [anon_sym_PLUS] = ACTIONS(7541),
    [anon_sym_DASH] = ACTIONS(7541),
    [anon_sym_STAR] = ACTIONS(7541),
    [anon_sym_SLASH] = ACTIONS(7541),
    [anon_sym_LT] = ACTIONS(7539),
    [anon_sym_GT] = ACTIONS(7539),
    [anon_sym_BANG] = ACTIONS(7539),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_COLON] = ACTIONS(7539),
    [anon_sym_SQUOTE] = ACTIONS(7539),
    [anon_sym__] = ACTIONS(7541),
    [anon_sym_CARET] = ACTIONS(7541),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7541),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7539),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7541),
    [anon_sym_BSLASHleft] = ACTIONS(7539),
    [anon_sym_BSLASHbigl] = ACTIONS(7539),
    [anon_sym_BSLASHBigl] = ACTIONS(7539),
    [anon_sym_BSLASHbiggl] = ACTIONS(7539),
    [anon_sym_BSLASHBiggl] = ACTIONS(7539),
    [anon_sym_BSLASHtext] = ACTIONS(7539),
    [anon_sym_BSLASHintertext] = ACTIONS(7539),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7539),
    [anon_sym_BSLASHbegin] = ACTIONS(7539),
    [anon_sym_BSLASHend] = ACTIONS(7539),
    [anon_sym_BSLASHtitle] = ACTIONS(7539),
    [anon_sym_BSLASHauthor] = ACTIONS(7539),
    [anon_sym_BSLASHusepackage] = ACTIONS(7539),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7539),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7539),
    [anon_sym_BSLASHinclude] = ACTIONS(7539),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7539),
    [anon_sym_BSLASHinput] = ACTIONS(7539),
    [anon_sym_BSLASHsubfile] = ACTIONS(7539),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7539),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7539),
    [anon_sym_BSLASHbibliography] = ACTIONS(7539),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7539),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7539),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7539),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7539),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7539),
    [anon_sym_BSLASHimport] = ACTIONS(7539),
    [anon_sym_BSLASHsubimport] = ACTIONS(7539),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7539),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7539),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7539),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7539),
    [anon_sym_BSLASHcaption] = ACTIONS(7539),
    [anon_sym_BSLASHcite] = ACTIONS(7539),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCite] = ACTIONS(7539),
    [anon_sym_BSLASHnocite] = ACTIONS(7539),
    [anon_sym_BSLASHcitet] = ACTIONS(7539),
    [anon_sym_BSLASHcitep] = ACTIONS(7539),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteA] = ACTIONS(7539),
    [anon_sym_BSLASHciteR] = ACTIONS(7539),
    [anon_sym_BSLASHciteS] = ACTIONS(7539),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7539),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7539),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7539),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7539),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteyear] = ACTIONS(7539),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitedate] = ACTIONS(7539),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteurl] = ACTIONS(7539),
    [anon_sym_BSLASHfullcite] = ACTIONS(7539),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7539),
    [anon_sym_BSLASHcitealt] = ACTIONS(7539),
    [anon_sym_BSLASHcitealp] = ACTIONS(7539),
    [anon_sym_BSLASHcitetext] = ACTIONS(7539),
    [anon_sym_BSLASHparencite] = ACTIONS(7539),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHParencite] = ACTIONS(7539),
    [anon_sym_BSLASHfootcite] = ACTIONS(7539),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7539),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7539),
    [anon_sym_BSLASHtextcite] = ACTIONS(7539),
    [anon_sym_BSLASHTextcite] = ACTIONS(7539),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7539),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7539),
    [anon_sym_BSLASHsupercite] = ACTIONS(7539),
    [anon_sym_BSLASHautocite] = ACTIONS(7539),
    [anon_sym_BSLASHAutocite] = ACTIONS(7539),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHVolcite] = ACTIONS(7539),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHavolcite] = ACTIONS(7539),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHNotecite] = ACTIONS(7539),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHlabel] = ACTIONS(7539),
    [anon_sym_BSLASHref] = ACTIONS(7539),
    [anon_sym_BSLASHeqref] = ACTIONS(7539),
    [anon_sym_BSLASHvref] = ACTIONS(7539),
    [anon_sym_BSLASHVref] = ACTIONS(7539),
    [anon_sym_BSLASHautoref] = ACTIONS(7539),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHpageref] = ACTIONS(7539),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHautopageref] = ACTIONS(7539),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcref] = ACTIONS(7539),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCref] = ACTIONS(7539),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcpageref] = ACTIONS(7539),
    [anon_sym_BSLASHCpageref] = ACTIONS(7539),
    [anon_sym_BSLASHnamecref] = ACTIONS(7539),
    [anon_sym_BSLASHnameCref] = ACTIONS(7539),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7539),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7539),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7539),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7539),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7539),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7539),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7539),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7539),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7539),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7539),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7539),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHdef] = ACTIONS(7539),
    [anon_sym_BSLASHgdef] = ACTIONS(7539),
    [anon_sym_BSLASHedef] = ACTIONS(7539),
    [anon_sym_BSLASHxdef] = ACTIONS(7539),
    [anon_sym_BSLASHlet] = ACTIONS(7539),
    [anon_sym_BSLASHglet] = ACTIONS(7539),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7539),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7539),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7539),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7539),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7539),
    [anon_sym_BSLASHgls] = ACTIONS(7539),
    [anon_sym_BSLASHGls] = ACTIONS(7539),
    [anon_sym_BSLASHGLS] = ACTIONS(7539),
    [anon_sym_BSLASHglspl] = ACTIONS(7539),
    [anon_sym_BSLASHGlspl] = ACTIONS(7539),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7539),
    [anon_sym_BSLASHglslink] = ACTIONS(7539),
    [anon_sym_BSLASHglstext] = ACTIONS(7539),
    [anon_sym_BSLASHGlstext] = ACTIONS(7539),
    [anon_sym_BSLASHGLStext] = ACTIONS(7539),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7539),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7539),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7539),
    [anon_sym_BSLASHglsplural] = ACTIONS(7539),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7539),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7539),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHglsname] = ACTIONS(7539),
    [anon_sym_BSLASHGlsname] = ACTIONS(7539),
    [anon_sym_BSLASHGLSname] = ACTIONS(7539),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7539),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7539),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7539),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7539),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7539),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7539),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7539),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7539),
    [anon_sym_BSLASHacrshort] = ACTIONS(7539),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7539),
    [anon_sym_BSLASHACRshort] = ACTIONS(7539),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHacrlong] = ACTIONS(7539),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7539),
    [anon_sym_BSLASHACRlong] = ACTIONS(7539),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHacrfull] = ACTIONS(7539),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7539),
    [anon_sym_BSLASHACRfull] = ACTIONS(7539),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHacs] = ACTIONS(7539),
    [anon_sym_BSLASHAcs] = ACTIONS(7539),
    [anon_sym_BSLASHacsp] = ACTIONS(7539),
    [anon_sym_BSLASHAcsp] = ACTIONS(7539),
    [anon_sym_BSLASHacl] = ACTIONS(7539),
    [anon_sym_BSLASHAcl] = ACTIONS(7539),
    [anon_sym_BSLASHaclp] = ACTIONS(7539),
    [anon_sym_BSLASHAclp] = ACTIONS(7539),
    [anon_sym_BSLASHacf] = ACTIONS(7539),
    [anon_sym_BSLASHAcf] = ACTIONS(7539),
    [anon_sym_BSLASHacfp] = ACTIONS(7539),
    [anon_sym_BSLASHAcfp] = ACTIONS(7539),
    [anon_sym_BSLASHac] = ACTIONS(7539),
    [anon_sym_BSLASHAc] = ACTIONS(7539),
    [anon_sym_BSLASHacp] = ACTIONS(7539),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7539),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7539),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7539),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7539),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7539),
    [anon_sym_BSLASHcolor] = ACTIONS(7539),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7539),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7539),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7539),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7539),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7539),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7539),
    [anon_sym_BSLASHurl] = ACTIONS(7539),
    [anon_sym_BSLASHhref] = ACTIONS(7539),
  },
  [1455] = {
    [sym_command_name] = ACTIONS(7543),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(7545),
    [anon_sym_RBRACK] = ACTIONS(7545),
    [anon_sym_COMMA] = ACTIONS(7545),
    [anon_sym_EQ] = ACTIONS(7545),
    [anon_sym_LPAREN] = ACTIONS(7545),
    [anon_sym_RPAREN] = ACTIONS(7545),
    [anon_sym_BSLASHpart] = ACTIONS(7543),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHaddpart] = ACTIONS(7543),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHchapter] = ACTIONS(7543),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHaddchap] = ACTIONS(7543),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHsection] = ACTIONS(7543),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHaddsec] = ACTIONS(7543),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHsubsection] = ACTIONS(7543),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7543),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHparagraph] = ACTIONS(7543),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7543),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHitem] = ACTIONS(7543),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7545),
    [anon_sym_LBRACE] = ACTIONS(7545),
    [sym_word] = ACTIONS(7543),
    [sym_placeholder] = ACTIONS(7545),
    [sym_delimiter] = ACTIONS(7545),
    [anon_sym_PLUS] = ACTIONS(7545),
    [anon_sym_DASH] = ACTIONS(7545),
    [anon_sym_STAR] = ACTIONS(7545),
    [anon_sym_SLASH] = ACTIONS(7545),
    [anon_sym_LT] = ACTIONS(7543),
    [anon_sym_GT] = ACTIONS(7543),
    [anon_sym_BANG] = ACTIONS(7543),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_COLON] = ACTIONS(7543),
    [anon_sym_SQUOTE] = ACTIONS(7543),
    [anon_sym__] = ACTIONS(7545),
    [anon_sym_CARET] = ACTIONS(7545),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7545),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7545),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7545),
    [anon_sym_BSLASHleft] = ACTIONS(7543),
    [anon_sym_BSLASHbigl] = ACTIONS(7543),
    [anon_sym_BSLASHBigl] = ACTIONS(7543),
    [anon_sym_BSLASHbiggl] = ACTIONS(7543),
    [anon_sym_BSLASHBiggl] = ACTIONS(7543),
    [anon_sym_BSLASHtext] = ACTIONS(7543),
    [anon_sym_BSLASHintertext] = ACTIONS(7543),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7543),
    [anon_sym_BSLASHbegin] = ACTIONS(7543),
    [anon_sym_BSLASHend] = ACTIONS(7543),
    [anon_sym_BSLASHtitle] = ACTIONS(7543),
    [anon_sym_BSLASHauthor] = ACTIONS(7543),
    [anon_sym_BSLASHusepackage] = ACTIONS(7543),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7543),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7543),
    [anon_sym_BSLASHinclude] = ACTIONS(7543),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7543),
    [anon_sym_BSLASHinput] = ACTIONS(7543),
    [anon_sym_BSLASHsubfile] = ACTIONS(7543),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7543),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7543),
    [anon_sym_BSLASHbibliography] = ACTIONS(7543),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7543),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7543),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7543),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7543),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7543),
    [anon_sym_BSLASHimport] = ACTIONS(7543),
    [anon_sym_BSLASHsubimport] = ACTIONS(7543),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7543),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7543),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7543),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7543),
    [anon_sym_BSLASHcaption] = ACTIONS(7543),
    [anon_sym_BSLASHcite] = ACTIONS(7543),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCite] = ACTIONS(7543),
    [anon_sym_BSLASHnocite] = ACTIONS(7543),
    [anon_sym_BSLASHcitet] = ACTIONS(7543),
    [anon_sym_BSLASHcitep] = ACTIONS(7543),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteA] = ACTIONS(7543),
    [anon_sym_BSLASHciteR] = ACTIONS(7543),
    [anon_sym_BSLASHciteS] = ACTIONS(7543),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7543),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7543),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7543),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7543),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteyear] = ACTIONS(7543),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitedate] = ACTIONS(7543),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteurl] = ACTIONS(7543),
    [anon_sym_BSLASHfullcite] = ACTIONS(7543),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7543),
    [anon_sym_BSLASHcitealt] = ACTIONS(7543),
    [anon_sym_BSLASHcitealp] = ACTIONS(7543),
    [anon_sym_BSLASHcitetext] = ACTIONS(7543),
    [anon_sym_BSLASHparencite] = ACTIONS(7543),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHParencite] = ACTIONS(7543),
    [anon_sym_BSLASHfootcite] = ACTIONS(7543),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7543),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7543),
    [anon_sym_BSLASHtextcite] = ACTIONS(7543),
    [anon_sym_BSLASHTextcite] = ACTIONS(7543),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7543),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7543),
    [anon_sym_BSLASHsupercite] = ACTIONS(7543),
    [anon_sym_BSLASHautocite] = ACTIONS(7543),
    [anon_sym_BSLASHAutocite] = ACTIONS(7543),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHVolcite] = ACTIONS(7543),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHavolcite] = ACTIONS(7543),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHNotecite] = ACTIONS(7543),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHlabel] = ACTIONS(7543),
    [anon_sym_BSLASHref] = ACTIONS(7543),
    [anon_sym_BSLASHeqref] = ACTIONS(7543),
    [anon_sym_BSLASHvref] = ACTIONS(7543),
    [anon_sym_BSLASHVref] = ACTIONS(7543),
    [anon_sym_BSLASHautoref] = ACTIONS(7543),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHpageref] = ACTIONS(7543),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHautopageref] = ACTIONS(7543),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcref] = ACTIONS(7543),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCref] = ACTIONS(7543),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcpageref] = ACTIONS(7543),
    [anon_sym_BSLASHCpageref] = ACTIONS(7543),
    [anon_sym_BSLASHnamecref] = ACTIONS(7543),
    [anon_sym_BSLASHnameCref] = ACTIONS(7543),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7543),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7543),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7543),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7543),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7543),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7543),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7543),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7543),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7543),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7543),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7543),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHdef] = ACTIONS(7543),
    [anon_sym_BSLASHgdef] = ACTIONS(7543),
    [anon_sym_BSLASHedef] = ACTIONS(7543),
    [anon_sym_BSLASHxdef] = ACTIONS(7543),
    [anon_sym_BSLASHlet] = ACTIONS(7543),
    [anon_sym_BSLASHglet] = ACTIONS(7543),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7543),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7543),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7543),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7543),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7543),
    [anon_sym_BSLASHgls] = ACTIONS(7543),
    [anon_sym_BSLASHGls] = ACTIONS(7543),
    [anon_sym_BSLASHGLS] = ACTIONS(7543),
    [anon_sym_BSLASHglspl] = ACTIONS(7543),
    [anon_sym_BSLASHGlspl] = ACTIONS(7543),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7543),
    [anon_sym_BSLASHglslink] = ACTIONS(7543),
    [anon_sym_BSLASHglstext] = ACTIONS(7543),
    [anon_sym_BSLASHGlstext] = ACTIONS(7543),
    [anon_sym_BSLASHGLStext] = ACTIONS(7543),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7543),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7543),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7543),
    [anon_sym_BSLASHglsplural] = ACTIONS(7543),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7543),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7543),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHglsname] = ACTIONS(7543),
    [anon_sym_BSLASHGlsname] = ACTIONS(7543),
    [anon_sym_BSLASHGLSname] = ACTIONS(7543),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7543),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7543),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7543),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7543),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7543),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7543),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7543),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7543),
    [anon_sym_BSLASHacrshort] = ACTIONS(7543),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7543),
    [anon_sym_BSLASHACRshort] = ACTIONS(7543),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHacrlong] = ACTIONS(7543),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7543),
    [anon_sym_BSLASHACRlong] = ACTIONS(7543),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHacrfull] = ACTIONS(7543),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7543),
    [anon_sym_BSLASHACRfull] = ACTIONS(7543),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHacs] = ACTIONS(7543),
    [anon_sym_BSLASHAcs] = ACTIONS(7543),
    [anon_sym_BSLASHacsp] = ACTIONS(7543),
    [anon_sym_BSLASHAcsp] = ACTIONS(7543),
    [anon_sym_BSLASHacl] = ACTIONS(7543),
    [anon_sym_BSLASHAcl] = ACTIONS(7543),
    [anon_sym_BSLASHaclp] = ACTIONS(7543),
    [anon_sym_BSLASHAclp] = ACTIONS(7543),
    [anon_sym_BSLASHacf] = ACTIONS(7543),
    [anon_sym_BSLASHAcf] = ACTIONS(7543),
    [anon_sym_BSLASHacfp] = ACTIONS(7543),
    [anon_sym_BSLASHAcfp] = ACTIONS(7543),
    [anon_sym_BSLASHac] = ACTIONS(7543),
    [anon_sym_BSLASHAc] = ACTIONS(7543),
    [anon_sym_BSLASHacp] = ACTIONS(7543),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7543),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7543),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7543),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7543),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7543),
    [anon_sym_BSLASHcolor] = ACTIONS(7543),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7543),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7543),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7543),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7543),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7543),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7543),
    [anon_sym_BSLASHurl] = ACTIONS(7543),
    [anon_sym_BSLASHhref] = ACTIONS(7543),
  },
  [1456] = {
    [sym_command_name] = ACTIONS(7231),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7231),
    [anon_sym_LBRACK] = ACTIONS(7233),
    [anon_sym_RBRACK] = ACTIONS(7233),
    [anon_sym_COMMA] = ACTIONS(7233),
    [anon_sym_EQ] = ACTIONS(7233),
    [anon_sym_LPAREN] = ACTIONS(7233),
    [anon_sym_RPAREN] = ACTIONS(7233),
    [anon_sym_BSLASHpart] = ACTIONS(7231),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHaddpart] = ACTIONS(7231),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHchapter] = ACTIONS(7231),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHaddchap] = ACTIONS(7231),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHsection] = ACTIONS(7231),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHaddsec] = ACTIONS(7231),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHsubsection] = ACTIONS(7231),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7231),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHparagraph] = ACTIONS(7231),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7231),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHitem] = ACTIONS(7231),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7233),
    [anon_sym_LBRACE] = ACTIONS(7233),
    [sym_word] = ACTIONS(7231),
    [sym_placeholder] = ACTIONS(7233),
    [sym_delimiter] = ACTIONS(7233),
    [anon_sym_PLUS] = ACTIONS(7233),
    [anon_sym_DASH] = ACTIONS(7233),
    [anon_sym_STAR] = ACTIONS(7233),
    [anon_sym_SLASH] = ACTIONS(7233),
    [anon_sym_LT] = ACTIONS(7231),
    [anon_sym_GT] = ACTIONS(7231),
    [anon_sym_BANG] = ACTIONS(7231),
    [anon_sym_PIPE] = ACTIONS(7231),
    [anon_sym_COLON] = ACTIONS(7231),
    [anon_sym_SQUOTE] = ACTIONS(7231),
    [anon_sym__] = ACTIONS(7233),
    [anon_sym_CARET] = ACTIONS(7233),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7233),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7233),
    [anon_sym_DOLLAR] = ACTIONS(7231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7233),
    [anon_sym_BSLASHleft] = ACTIONS(7231),
    [anon_sym_BSLASHbigl] = ACTIONS(7231),
    [anon_sym_BSLASHBigl] = ACTIONS(7231),
    [anon_sym_BSLASHbiggl] = ACTIONS(7231),
    [anon_sym_BSLASHBiggl] = ACTIONS(7231),
    [anon_sym_BSLASHtext] = ACTIONS(7231),
    [anon_sym_BSLASHintertext] = ACTIONS(7231),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7231),
    [anon_sym_BSLASHbegin] = ACTIONS(7231),
    [anon_sym_BSLASHend] = ACTIONS(7231),
    [anon_sym_BSLASHtitle] = ACTIONS(7231),
    [anon_sym_BSLASHauthor] = ACTIONS(7231),
    [anon_sym_BSLASHusepackage] = ACTIONS(7231),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7231),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7231),
    [anon_sym_BSLASHinclude] = ACTIONS(7231),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7231),
    [anon_sym_BSLASHinput] = ACTIONS(7231),
    [anon_sym_BSLASHsubfile] = ACTIONS(7231),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7231),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7231),
    [anon_sym_BSLASHbibliography] = ACTIONS(7231),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7231),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7231),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7231),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7231),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7231),
    [anon_sym_BSLASHimport] = ACTIONS(7231),
    [anon_sym_BSLASHsubimport] = ACTIONS(7231),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7231),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7231),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7231),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7231),
    [anon_sym_BSLASHcaption] = ACTIONS(7231),
    [anon_sym_BSLASHcite] = ACTIONS(7231),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCite] = ACTIONS(7231),
    [anon_sym_BSLASHnocite] = ACTIONS(7231),
    [anon_sym_BSLASHcitet] = ACTIONS(7231),
    [anon_sym_BSLASHcitep] = ACTIONS(7231),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteA] = ACTIONS(7231),
    [anon_sym_BSLASHciteR] = ACTIONS(7231),
    [anon_sym_BSLASHciteS] = ACTIONS(7231),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7231),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7231),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7231),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7231),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteyear] = ACTIONS(7231),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitedate] = ACTIONS(7231),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteurl] = ACTIONS(7231),
    [anon_sym_BSLASHfullcite] = ACTIONS(7231),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7231),
    [anon_sym_BSLASHcitealt] = ACTIONS(7231),
    [anon_sym_BSLASHcitealp] = ACTIONS(7231),
    [anon_sym_BSLASHcitetext] = ACTIONS(7231),
    [anon_sym_BSLASHparencite] = ACTIONS(7231),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHParencite] = ACTIONS(7231),
    [anon_sym_BSLASHfootcite] = ACTIONS(7231),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7231),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7231),
    [anon_sym_BSLASHtextcite] = ACTIONS(7231),
    [anon_sym_BSLASHTextcite] = ACTIONS(7231),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7231),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7231),
    [anon_sym_BSLASHsupercite] = ACTIONS(7231),
    [anon_sym_BSLASHautocite] = ACTIONS(7231),
    [anon_sym_BSLASHAutocite] = ACTIONS(7231),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHVolcite] = ACTIONS(7231),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHavolcite] = ACTIONS(7231),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHNotecite] = ACTIONS(7231),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHlabel] = ACTIONS(7231),
    [anon_sym_BSLASHref] = ACTIONS(7231),
    [anon_sym_BSLASHeqref] = ACTIONS(7231),
    [anon_sym_BSLASHvref] = ACTIONS(7231),
    [anon_sym_BSLASHVref] = ACTIONS(7231),
    [anon_sym_BSLASHautoref] = ACTIONS(7231),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHpageref] = ACTIONS(7231),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHautopageref] = ACTIONS(7231),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcref] = ACTIONS(7231),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCref] = ACTIONS(7231),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcpageref] = ACTIONS(7231),
    [anon_sym_BSLASHCpageref] = ACTIONS(7231),
    [anon_sym_BSLASHnamecref] = ACTIONS(7231),
    [anon_sym_BSLASHnameCref] = ACTIONS(7231),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7231),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7231),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7231),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7231),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7231),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7231),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7231),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7231),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7231),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7231),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7231),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHdef] = ACTIONS(7231),
    [anon_sym_BSLASHgdef] = ACTIONS(7231),
    [anon_sym_BSLASHedef] = ACTIONS(7231),
    [anon_sym_BSLASHxdef] = ACTIONS(7231),
    [anon_sym_BSLASHlet] = ACTIONS(7231),
    [anon_sym_BSLASHglet] = ACTIONS(7231),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7231),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7231),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7231),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7231),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7231),
    [anon_sym_BSLASHgls] = ACTIONS(7231),
    [anon_sym_BSLASHGls] = ACTIONS(7231),
    [anon_sym_BSLASHGLS] = ACTIONS(7231),
    [anon_sym_BSLASHglspl] = ACTIONS(7231),
    [anon_sym_BSLASHGlspl] = ACTIONS(7231),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7231),
    [anon_sym_BSLASHglslink] = ACTIONS(7231),
    [anon_sym_BSLASHglstext] = ACTIONS(7231),
    [anon_sym_BSLASHGlstext] = ACTIONS(7231),
    [anon_sym_BSLASHGLStext] = ACTIONS(7231),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7231),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7231),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7231),
    [anon_sym_BSLASHglsplural] = ACTIONS(7231),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7231),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7231),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHglsname] = ACTIONS(7231),
    [anon_sym_BSLASHGlsname] = ACTIONS(7231),
    [anon_sym_BSLASHGLSname] = ACTIONS(7231),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7231),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7231),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7231),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7231),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7231),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7231),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7231),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7231),
    [anon_sym_BSLASHacrshort] = ACTIONS(7231),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7231),
    [anon_sym_BSLASHACRshort] = ACTIONS(7231),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHacrlong] = ACTIONS(7231),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7231),
    [anon_sym_BSLASHACRlong] = ACTIONS(7231),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHacrfull] = ACTIONS(7231),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7231),
    [anon_sym_BSLASHACRfull] = ACTIONS(7231),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHacs] = ACTIONS(7231),
    [anon_sym_BSLASHAcs] = ACTIONS(7231),
    [anon_sym_BSLASHacsp] = ACTIONS(7231),
    [anon_sym_BSLASHAcsp] = ACTIONS(7231),
    [anon_sym_BSLASHacl] = ACTIONS(7231),
    [anon_sym_BSLASHAcl] = ACTIONS(7231),
    [anon_sym_BSLASHaclp] = ACTIONS(7231),
    [anon_sym_BSLASHAclp] = ACTIONS(7231),
    [anon_sym_BSLASHacf] = ACTIONS(7231),
    [anon_sym_BSLASHAcf] = ACTIONS(7231),
    [anon_sym_BSLASHacfp] = ACTIONS(7231),
    [anon_sym_BSLASHAcfp] = ACTIONS(7231),
    [anon_sym_BSLASHac] = ACTIONS(7231),
    [anon_sym_BSLASHAc] = ACTIONS(7231),
    [anon_sym_BSLASHacp] = ACTIONS(7231),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7231),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7231),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7231),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7231),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7231),
    [anon_sym_BSLASHcolor] = ACTIONS(7231),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7231),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7231),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7231),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7231),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7231),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7231),
    [anon_sym_BSLASHurl] = ACTIONS(7231),
    [anon_sym_BSLASHhref] = ACTIONS(7231),
  },
  [1457] = {
    [sym_command_name] = ACTIONS(7187),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7187),
    [anon_sym_LBRACK] = ACTIONS(7189),
    [anon_sym_RBRACK] = ACTIONS(7189),
    [anon_sym_COMMA] = ACTIONS(7189),
    [anon_sym_EQ] = ACTIONS(7189),
    [anon_sym_LPAREN] = ACTIONS(7189),
    [anon_sym_RPAREN] = ACTIONS(7189),
    [anon_sym_BSLASHpart] = ACTIONS(7187),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHaddpart] = ACTIONS(7187),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHchapter] = ACTIONS(7187),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHaddchap] = ACTIONS(7187),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHsection] = ACTIONS(7187),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHaddsec] = ACTIONS(7187),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHsubsection] = ACTIONS(7187),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7187),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHparagraph] = ACTIONS(7187),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7187),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHitem] = ACTIONS(7187),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7189),
    [anon_sym_LBRACE] = ACTIONS(7189),
    [sym_word] = ACTIONS(7187),
    [sym_placeholder] = ACTIONS(7189),
    [sym_delimiter] = ACTIONS(7189),
    [anon_sym_PLUS] = ACTIONS(7189),
    [anon_sym_DASH] = ACTIONS(7189),
    [anon_sym_STAR] = ACTIONS(7189),
    [anon_sym_SLASH] = ACTIONS(7189),
    [anon_sym_LT] = ACTIONS(7187),
    [anon_sym_GT] = ACTIONS(7187),
    [anon_sym_BANG] = ACTIONS(7187),
    [anon_sym_PIPE] = ACTIONS(7187),
    [anon_sym_COLON] = ACTIONS(7187),
    [anon_sym_SQUOTE] = ACTIONS(7187),
    [anon_sym__] = ACTIONS(7189),
    [anon_sym_CARET] = ACTIONS(7189),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7189),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7189),
    [anon_sym_DOLLAR] = ACTIONS(7187),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7189),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7189),
    [anon_sym_BSLASHleft] = ACTIONS(7187),
    [anon_sym_BSLASHbigl] = ACTIONS(7187),
    [anon_sym_BSLASHBigl] = ACTIONS(7187),
    [anon_sym_BSLASHbiggl] = ACTIONS(7187),
    [anon_sym_BSLASHBiggl] = ACTIONS(7187),
    [anon_sym_BSLASHtext] = ACTIONS(7187),
    [anon_sym_BSLASHintertext] = ACTIONS(7187),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7187),
    [anon_sym_BSLASHbegin] = ACTIONS(7187),
    [anon_sym_BSLASHtitle] = ACTIONS(7187),
    [anon_sym_BSLASHauthor] = ACTIONS(7187),
    [anon_sym_BSLASHusepackage] = ACTIONS(7187),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7187),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7187),
    [anon_sym_BSLASHinclude] = ACTIONS(7187),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7187),
    [anon_sym_BSLASHinput] = ACTIONS(7187),
    [anon_sym_BSLASHsubfile] = ACTIONS(7187),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7187),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7187),
    [anon_sym_BSLASHbibliography] = ACTIONS(7187),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7187),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7187),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7187),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7187),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7187),
    [anon_sym_BSLASHimport] = ACTIONS(7187),
    [anon_sym_BSLASHsubimport] = ACTIONS(7187),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7187),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7187),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7187),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7187),
    [anon_sym_BSLASHcaption] = ACTIONS(7187),
    [anon_sym_BSLASHcite] = ACTIONS(7187),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCite] = ACTIONS(7187),
    [anon_sym_BSLASHnocite] = ACTIONS(7187),
    [anon_sym_BSLASHcitet] = ACTIONS(7187),
    [anon_sym_BSLASHcitep] = ACTIONS(7187),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteA] = ACTIONS(7187),
    [anon_sym_BSLASHciteR] = ACTIONS(7187),
    [anon_sym_BSLASHciteS] = ACTIONS(7187),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7187),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7187),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7187),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7187),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteyear] = ACTIONS(7187),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitedate] = ACTIONS(7187),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteurl] = ACTIONS(7187),
    [anon_sym_BSLASHfullcite] = ACTIONS(7187),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7187),
    [anon_sym_BSLASHcitealt] = ACTIONS(7187),
    [anon_sym_BSLASHcitealp] = ACTIONS(7187),
    [anon_sym_BSLASHcitetext] = ACTIONS(7187),
    [anon_sym_BSLASHparencite] = ACTIONS(7187),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHParencite] = ACTIONS(7187),
    [anon_sym_BSLASHfootcite] = ACTIONS(7187),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7187),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7187),
    [anon_sym_BSLASHtextcite] = ACTIONS(7187),
    [anon_sym_BSLASHTextcite] = ACTIONS(7187),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7187),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7187),
    [anon_sym_BSLASHsupercite] = ACTIONS(7187),
    [anon_sym_BSLASHautocite] = ACTIONS(7187),
    [anon_sym_BSLASHAutocite] = ACTIONS(7187),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHVolcite] = ACTIONS(7187),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHavolcite] = ACTIONS(7187),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHNotecite] = ACTIONS(7187),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHlabel] = ACTIONS(7187),
    [anon_sym_BSLASHref] = ACTIONS(7187),
    [anon_sym_BSLASHeqref] = ACTIONS(7187),
    [anon_sym_BSLASHvref] = ACTIONS(7187),
    [anon_sym_BSLASHVref] = ACTIONS(7187),
    [anon_sym_BSLASHautoref] = ACTIONS(7187),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHpageref] = ACTIONS(7187),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHautopageref] = ACTIONS(7187),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcref] = ACTIONS(7187),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCref] = ACTIONS(7187),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcpageref] = ACTIONS(7187),
    [anon_sym_BSLASHCpageref] = ACTIONS(7187),
    [anon_sym_BSLASHnamecref] = ACTIONS(7187),
    [anon_sym_BSLASHnameCref] = ACTIONS(7187),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7187),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7187),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7187),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7187),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7187),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7187),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7187),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7187),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7187),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7187),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7187),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHdef] = ACTIONS(7187),
    [anon_sym_BSLASHgdef] = ACTIONS(7187),
    [anon_sym_BSLASHedef] = ACTIONS(7187),
    [anon_sym_BSLASHxdef] = ACTIONS(7187),
    [anon_sym_BSLASHlet] = ACTIONS(7187),
    [anon_sym_BSLASHglet] = ACTIONS(7187),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7187),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7187),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7187),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7187),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7187),
    [anon_sym_BSLASHgls] = ACTIONS(7187),
    [anon_sym_BSLASHGls] = ACTIONS(7187),
    [anon_sym_BSLASHGLS] = ACTIONS(7187),
    [anon_sym_BSLASHglspl] = ACTIONS(7187),
    [anon_sym_BSLASHGlspl] = ACTIONS(7187),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7187),
    [anon_sym_BSLASHglslink] = ACTIONS(7187),
    [anon_sym_BSLASHglstext] = ACTIONS(7187),
    [anon_sym_BSLASHGlstext] = ACTIONS(7187),
    [anon_sym_BSLASHGLStext] = ACTIONS(7187),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7187),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7187),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7187),
    [anon_sym_BSLASHglsplural] = ACTIONS(7187),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7187),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7187),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHglsname] = ACTIONS(7187),
    [anon_sym_BSLASHGlsname] = ACTIONS(7187),
    [anon_sym_BSLASHGLSname] = ACTIONS(7187),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7187),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7187),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7187),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7187),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7187),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7187),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7187),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7187),
    [anon_sym_BSLASHacrshort] = ACTIONS(7187),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7187),
    [anon_sym_BSLASHACRshort] = ACTIONS(7187),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHacrlong] = ACTIONS(7187),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7187),
    [anon_sym_BSLASHACRlong] = ACTIONS(7187),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHacrfull] = ACTIONS(7187),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7187),
    [anon_sym_BSLASHACRfull] = ACTIONS(7187),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHacs] = ACTIONS(7187),
    [anon_sym_BSLASHAcs] = ACTIONS(7187),
    [anon_sym_BSLASHacsp] = ACTIONS(7187),
    [anon_sym_BSLASHAcsp] = ACTIONS(7187),
    [anon_sym_BSLASHacl] = ACTIONS(7187),
    [anon_sym_BSLASHAcl] = ACTIONS(7187),
    [anon_sym_BSLASHaclp] = ACTIONS(7187),
    [anon_sym_BSLASHAclp] = ACTIONS(7187),
    [anon_sym_BSLASHacf] = ACTIONS(7187),
    [anon_sym_BSLASHAcf] = ACTIONS(7187),
    [anon_sym_BSLASHacfp] = ACTIONS(7187),
    [anon_sym_BSLASHAcfp] = ACTIONS(7187),
    [anon_sym_BSLASHac] = ACTIONS(7187),
    [anon_sym_BSLASHAc] = ACTIONS(7187),
    [anon_sym_BSLASHacp] = ACTIONS(7187),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7187),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7187),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7187),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7187),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7187),
    [anon_sym_BSLASHcolor] = ACTIONS(7187),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7187),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7187),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7187),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7187),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7187),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7187),
    [anon_sym_BSLASHurl] = ACTIONS(7187),
    [anon_sym_BSLASHhref] = ACTIONS(7187),
  },
  [1458] = {
    [sym_command_name] = ACTIONS(157),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(157),
    [anon_sym_LBRACK] = ACTIONS(159),
    [anon_sym_RBRACK] = ACTIONS(159),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_RPAREN] = ACTIONS(159),
    [anon_sym_BSLASHpart] = ACTIONS(157),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddpart] = ACTIONS(157),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(159),
    [anon_sym_BSLASHchapter] = ACTIONS(157),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddchap] = ACTIONS(157),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsection] = ACTIONS(157),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddsec] = ACTIONS(157),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubsection] = ACTIONS(157),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(157),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHparagraph] = ACTIONS(157),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(157),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(159),
    [anon_sym_BSLASHitem] = ACTIONS(157),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(159),
    [anon_sym_LBRACE] = ACTIONS(159),
    [sym_word] = ACTIONS(157),
    [sym_placeholder] = ACTIONS(159),
    [sym_delimiter] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_SLASH] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(157),
    [anon_sym_GT] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(157),
    [anon_sym_PIPE] = ACTIONS(157),
    [anon_sym_COLON] = ACTIONS(157),
    [anon_sym_SQUOTE] = ACTIONS(157),
    [anon_sym__] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(159),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(159),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(159),
    [anon_sym_BSLASHleft] = ACTIONS(157),
    [anon_sym_BSLASHbigl] = ACTIONS(157),
    [anon_sym_BSLASHBigl] = ACTIONS(157),
    [anon_sym_BSLASHbiggl] = ACTIONS(157),
    [anon_sym_BSLASHBiggl] = ACTIONS(157),
    [anon_sym_BSLASHtext] = ACTIONS(157),
    [anon_sym_BSLASHintertext] = ACTIONS(157),
    [anon_sym_BSLASHshortintertext] = ACTIONS(157),
    [anon_sym_BSLASHbegin] = ACTIONS(157),
    [anon_sym_BSLASHend] = ACTIONS(157),
    [anon_sym_BSLASHtitle] = ACTIONS(157),
    [anon_sym_BSLASHauthor] = ACTIONS(157),
    [anon_sym_BSLASHusepackage] = ACTIONS(157),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(157),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(157),
    [anon_sym_BSLASHinclude] = ACTIONS(157),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(157),
    [anon_sym_BSLASHinput] = ACTIONS(157),
    [anon_sym_BSLASHsubfile] = ACTIONS(157),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(157),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(157),
    [anon_sym_BSLASHbibliography] = ACTIONS(157),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(157),
    [anon_sym_BSLASHincludesvg] = ACTIONS(157),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(157),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(157),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(157),
    [anon_sym_BSLASHimport] = ACTIONS(157),
    [anon_sym_BSLASHsubimport] = ACTIONS(157),
    [anon_sym_BSLASHinputfrom] = ACTIONS(157),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(157),
    [anon_sym_BSLASHincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHcaption] = ACTIONS(157),
    [anon_sym_BSLASHcite] = ACTIONS(157),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCite] = ACTIONS(157),
    [anon_sym_BSLASHnocite] = ACTIONS(157),
    [anon_sym_BSLASHcitet] = ACTIONS(157),
    [anon_sym_BSLASHcitep] = ACTIONS(157),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteA] = ACTIONS(157),
    [anon_sym_BSLASHciteR] = ACTIONS(157),
    [anon_sym_BSLASHciteS] = ACTIONS(157),
    [anon_sym_BSLASHciteyearR] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(157),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitetitle] = ACTIONS(157),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteyear] = ACTIONS(157),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitedate] = ACTIONS(157),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteurl] = ACTIONS(157),
    [anon_sym_BSLASHfullcite] = ACTIONS(157),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(157),
    [anon_sym_BSLASHcitealt] = ACTIONS(157),
    [anon_sym_BSLASHcitealp] = ACTIONS(157),
    [anon_sym_BSLASHcitetext] = ACTIONS(157),
    [anon_sym_BSLASHparencite] = ACTIONS(157),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHParencite] = ACTIONS(157),
    [anon_sym_BSLASHfootcite] = ACTIONS(157),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(157),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(157),
    [anon_sym_BSLASHtextcite] = ACTIONS(157),
    [anon_sym_BSLASHTextcite] = ACTIONS(157),
    [anon_sym_BSLASHsmartcite] = ACTIONS(157),
    [anon_sym_BSLASHSmartcite] = ACTIONS(157),
    [anon_sym_BSLASHsupercite] = ACTIONS(157),
    [anon_sym_BSLASHautocite] = ACTIONS(157),
    [anon_sym_BSLASHAutocite] = ACTIONS(157),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHvolcite] = ACTIONS(157),
    [anon_sym_BSLASHVolcite] = ACTIONS(157),
    [anon_sym_BSLASHpvolcite] = ACTIONS(157),
    [anon_sym_BSLASHPvolcite] = ACTIONS(157),
    [anon_sym_BSLASHfvolcite] = ACTIONS(157),
    [anon_sym_BSLASHftvolcite] = ACTIONS(157),
    [anon_sym_BSLASHsvolcite] = ACTIONS(157),
    [anon_sym_BSLASHSvolcite] = ACTIONS(157),
    [anon_sym_BSLASHtvolcite] = ACTIONS(157),
    [anon_sym_BSLASHTvolcite] = ACTIONS(157),
    [anon_sym_BSLASHavolcite] = ACTIONS(157),
    [anon_sym_BSLASHAvolcite] = ACTIONS(157),
    [anon_sym_BSLASHnotecite] = ACTIONS(157),
    [anon_sym_BSLASHNotecite] = ACTIONS(157),
    [anon_sym_BSLASHpnotecite] = ACTIONS(157),
    [anon_sym_BSLASHPnotecite] = ACTIONS(157),
    [anon_sym_BSLASHfnotecite] = ACTIONS(157),
    [anon_sym_BSLASHlabel] = ACTIONS(157),
    [anon_sym_BSLASHref] = ACTIONS(157),
    [anon_sym_BSLASHeqref] = ACTIONS(157),
    [anon_sym_BSLASHvref] = ACTIONS(157),
    [anon_sym_BSLASHVref] = ACTIONS(157),
    [anon_sym_BSLASHautoref] = ACTIONS(157),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpageref] = ACTIONS(157),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHautopageref] = ACTIONS(157),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcref] = ACTIONS(157),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCref] = ACTIONS(157),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpageref] = ACTIONS(157),
    [anon_sym_BSLASHCpageref] = ACTIONS(157),
    [anon_sym_BSLASHnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnameCref] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcrefrange] = ACTIONS(157),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCrefrange] = ACTIONS(157),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHnewlabel] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(157),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(157),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(157),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(159),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHdef] = ACTIONS(157),
    [anon_sym_BSLASHgdef] = ACTIONS(157),
    [anon_sym_BSLASHedef] = ACTIONS(157),
    [anon_sym_BSLASHxdef] = ACTIONS(157),
    [anon_sym_BSLASHlet] = ACTIONS(157),
    [anon_sym_BSLASHglet] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(157),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(157),
    [anon_sym_BSLASHgls] = ACTIONS(157),
    [anon_sym_BSLASHGls] = ACTIONS(157),
    [anon_sym_BSLASHGLS] = ACTIONS(157),
    [anon_sym_BSLASHglspl] = ACTIONS(157),
    [anon_sym_BSLASHGlspl] = ACTIONS(157),
    [anon_sym_BSLASHGLSpl] = ACTIONS(157),
    [anon_sym_BSLASHglsdisp] = ACTIONS(157),
    [anon_sym_BSLASHglslink] = ACTIONS(157),
    [anon_sym_BSLASHglstext] = ACTIONS(157),
    [anon_sym_BSLASHGlstext] = ACTIONS(157),
    [anon_sym_BSLASHGLStext] = ACTIONS(157),
    [anon_sym_BSLASHglsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(157),
    [anon_sym_BSLASHglsplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSplural] = ACTIONS(157),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHglsname] = ACTIONS(157),
    [anon_sym_BSLASHGlsname] = ACTIONS(157),
    [anon_sym_BSLASHGLSname] = ACTIONS(157),
    [anon_sym_BSLASHglssymbol] = ACTIONS(157),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(157),
    [anon_sym_BSLASHglsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(157),
    [anon_sym_BSLASHglsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(157),
    [anon_sym_BSLASHglsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(157),
    [anon_sym_BSLASHglsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(157),
    [anon_sym_BSLASHglsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(157),
    [anon_sym_BSLASHnewacronym] = ACTIONS(157),
    [anon_sym_BSLASHacrshort] = ACTIONS(157),
    [anon_sym_BSLASHAcrshort] = ACTIONS(157),
    [anon_sym_BSLASHACRshort] = ACTIONS(157),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(157),
    [anon_sym_BSLASHacrlong] = ACTIONS(157),
    [anon_sym_BSLASHAcrlong] = ACTIONS(157),
    [anon_sym_BSLASHACRlong] = ACTIONS(157),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(157),
    [anon_sym_BSLASHacrfull] = ACTIONS(157),
    [anon_sym_BSLASHAcrfull] = ACTIONS(157),
    [anon_sym_BSLASHACRfull] = ACTIONS(157),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(157),
    [anon_sym_BSLASHacs] = ACTIONS(157),
    [anon_sym_BSLASHAcs] = ACTIONS(157),
    [anon_sym_BSLASHacsp] = ACTIONS(157),
    [anon_sym_BSLASHAcsp] = ACTIONS(157),
    [anon_sym_BSLASHacl] = ACTIONS(157),
    [anon_sym_BSLASHAcl] = ACTIONS(157),
    [anon_sym_BSLASHaclp] = ACTIONS(157),
    [anon_sym_BSLASHAclp] = ACTIONS(157),
    [anon_sym_BSLASHacf] = ACTIONS(157),
    [anon_sym_BSLASHAcf] = ACTIONS(157),
    [anon_sym_BSLASHacfp] = ACTIONS(157),
    [anon_sym_BSLASHAcfp] = ACTIONS(157),
    [anon_sym_BSLASHac] = ACTIONS(157),
    [anon_sym_BSLASHAc] = ACTIONS(157),
    [anon_sym_BSLASHacp] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(157),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(157),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(157),
    [anon_sym_BSLASHcolor] = ACTIONS(157),
    [anon_sym_BSLASHpagecolor] = ACTIONS(157),
    [anon_sym_BSLASHtextcolor] = ACTIONS(157),
    [anon_sym_BSLASHmathcolor] = ACTIONS(157),
    [anon_sym_BSLASHcolorbox] = ACTIONS(157),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(157),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(157),
    [anon_sym_BSLASHurl] = ACTIONS(157),
    [anon_sym_BSLASHhref] = ACTIONS(157),
  },
  [1459] = {
    [sym_command_name] = ACTIONS(7243),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7243),
    [anon_sym_LBRACK] = ACTIONS(7245),
    [anon_sym_RBRACK] = ACTIONS(7245),
    [anon_sym_COMMA] = ACTIONS(7245),
    [anon_sym_EQ] = ACTIONS(7245),
    [anon_sym_LPAREN] = ACTIONS(7245),
    [anon_sym_RPAREN] = ACTIONS(7245),
    [anon_sym_BSLASHpart] = ACTIONS(7243),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHaddpart] = ACTIONS(7243),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHchapter] = ACTIONS(7243),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHaddchap] = ACTIONS(7243),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHsection] = ACTIONS(7243),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHaddsec] = ACTIONS(7243),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHsubsection] = ACTIONS(7243),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7243),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHparagraph] = ACTIONS(7243),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7243),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHitem] = ACTIONS(7243),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7245),
    [anon_sym_LBRACE] = ACTIONS(7245),
    [sym_word] = ACTIONS(7243),
    [sym_placeholder] = ACTIONS(7245),
    [sym_delimiter] = ACTIONS(7245),
    [anon_sym_PLUS] = ACTIONS(7245),
    [anon_sym_DASH] = ACTIONS(7245),
    [anon_sym_STAR] = ACTIONS(7245),
    [anon_sym_SLASH] = ACTIONS(7245),
    [anon_sym_LT] = ACTIONS(7243),
    [anon_sym_GT] = ACTIONS(7243),
    [anon_sym_BANG] = ACTIONS(7243),
    [anon_sym_PIPE] = ACTIONS(7243),
    [anon_sym_COLON] = ACTIONS(7243),
    [anon_sym_SQUOTE] = ACTIONS(7243),
    [anon_sym__] = ACTIONS(7245),
    [anon_sym_CARET] = ACTIONS(7245),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7245),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7245),
    [anon_sym_DOLLAR] = ACTIONS(7243),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7245),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7245),
    [anon_sym_BSLASHleft] = ACTIONS(7243),
    [anon_sym_BSLASHbigl] = ACTIONS(7243),
    [anon_sym_BSLASHBigl] = ACTIONS(7243),
    [anon_sym_BSLASHbiggl] = ACTIONS(7243),
    [anon_sym_BSLASHBiggl] = ACTIONS(7243),
    [anon_sym_BSLASHtext] = ACTIONS(7243),
    [anon_sym_BSLASHintertext] = ACTIONS(7243),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7243),
    [anon_sym_BSLASHbegin] = ACTIONS(7243),
    [anon_sym_BSLASHtitle] = ACTIONS(7243),
    [anon_sym_BSLASHauthor] = ACTIONS(7243),
    [anon_sym_BSLASHusepackage] = ACTIONS(7243),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7243),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7243),
    [anon_sym_BSLASHinclude] = ACTIONS(7243),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7243),
    [anon_sym_BSLASHinput] = ACTIONS(7243),
    [anon_sym_BSLASHsubfile] = ACTIONS(7243),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7243),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7243),
    [anon_sym_BSLASHbibliography] = ACTIONS(7243),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7243),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7243),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7243),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7243),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7243),
    [anon_sym_BSLASHimport] = ACTIONS(7243),
    [anon_sym_BSLASHsubimport] = ACTIONS(7243),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7243),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7243),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7243),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7243),
    [anon_sym_BSLASHcaption] = ACTIONS(7243),
    [anon_sym_BSLASHcite] = ACTIONS(7243),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCite] = ACTIONS(7243),
    [anon_sym_BSLASHnocite] = ACTIONS(7243),
    [anon_sym_BSLASHcitet] = ACTIONS(7243),
    [anon_sym_BSLASHcitep] = ACTIONS(7243),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteA] = ACTIONS(7243),
    [anon_sym_BSLASHciteR] = ACTIONS(7243),
    [anon_sym_BSLASHciteS] = ACTIONS(7243),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7243),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7243),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7243),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7243),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteyear] = ACTIONS(7243),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitedate] = ACTIONS(7243),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteurl] = ACTIONS(7243),
    [anon_sym_BSLASHfullcite] = ACTIONS(7243),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7243),
    [anon_sym_BSLASHcitealt] = ACTIONS(7243),
    [anon_sym_BSLASHcitealp] = ACTIONS(7243),
    [anon_sym_BSLASHcitetext] = ACTIONS(7243),
    [anon_sym_BSLASHparencite] = ACTIONS(7243),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHParencite] = ACTIONS(7243),
    [anon_sym_BSLASHfootcite] = ACTIONS(7243),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7243),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7243),
    [anon_sym_BSLASHtextcite] = ACTIONS(7243),
    [anon_sym_BSLASHTextcite] = ACTIONS(7243),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7243),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7243),
    [anon_sym_BSLASHsupercite] = ACTIONS(7243),
    [anon_sym_BSLASHautocite] = ACTIONS(7243),
    [anon_sym_BSLASHAutocite] = ACTIONS(7243),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHVolcite] = ACTIONS(7243),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHavolcite] = ACTIONS(7243),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHNotecite] = ACTIONS(7243),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHlabel] = ACTIONS(7243),
    [anon_sym_BSLASHref] = ACTIONS(7243),
    [anon_sym_BSLASHeqref] = ACTIONS(7243),
    [anon_sym_BSLASHvref] = ACTIONS(7243),
    [anon_sym_BSLASHVref] = ACTIONS(7243),
    [anon_sym_BSLASHautoref] = ACTIONS(7243),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHpageref] = ACTIONS(7243),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHautopageref] = ACTIONS(7243),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcref] = ACTIONS(7243),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCref] = ACTIONS(7243),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcpageref] = ACTIONS(7243),
    [anon_sym_BSLASHCpageref] = ACTIONS(7243),
    [anon_sym_BSLASHnamecref] = ACTIONS(7243),
    [anon_sym_BSLASHnameCref] = ACTIONS(7243),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7243),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7243),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7243),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7243),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7243),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7243),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7243),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7243),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7243),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7243),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7243),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHdef] = ACTIONS(7243),
    [anon_sym_BSLASHgdef] = ACTIONS(7243),
    [anon_sym_BSLASHedef] = ACTIONS(7243),
    [anon_sym_BSLASHxdef] = ACTIONS(7243),
    [anon_sym_BSLASHlet] = ACTIONS(7243),
    [anon_sym_BSLASHglet] = ACTIONS(7243),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7243),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7243),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7243),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7243),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7243),
    [anon_sym_BSLASHgls] = ACTIONS(7243),
    [anon_sym_BSLASHGls] = ACTIONS(7243),
    [anon_sym_BSLASHGLS] = ACTIONS(7243),
    [anon_sym_BSLASHglspl] = ACTIONS(7243),
    [anon_sym_BSLASHGlspl] = ACTIONS(7243),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7243),
    [anon_sym_BSLASHglslink] = ACTIONS(7243),
    [anon_sym_BSLASHglstext] = ACTIONS(7243),
    [anon_sym_BSLASHGlstext] = ACTIONS(7243),
    [anon_sym_BSLASHGLStext] = ACTIONS(7243),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7243),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7243),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7243),
    [anon_sym_BSLASHglsplural] = ACTIONS(7243),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7243),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7243),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHglsname] = ACTIONS(7243),
    [anon_sym_BSLASHGlsname] = ACTIONS(7243),
    [anon_sym_BSLASHGLSname] = ACTIONS(7243),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7243),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7243),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7243),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7243),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7243),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7243),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7243),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7243),
    [anon_sym_BSLASHacrshort] = ACTIONS(7243),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7243),
    [anon_sym_BSLASHACRshort] = ACTIONS(7243),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHacrlong] = ACTIONS(7243),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7243),
    [anon_sym_BSLASHACRlong] = ACTIONS(7243),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHacrfull] = ACTIONS(7243),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7243),
    [anon_sym_BSLASHACRfull] = ACTIONS(7243),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHacs] = ACTIONS(7243),
    [anon_sym_BSLASHAcs] = ACTIONS(7243),
    [anon_sym_BSLASHacsp] = ACTIONS(7243),
    [anon_sym_BSLASHAcsp] = ACTIONS(7243),
    [anon_sym_BSLASHacl] = ACTIONS(7243),
    [anon_sym_BSLASHAcl] = ACTIONS(7243),
    [anon_sym_BSLASHaclp] = ACTIONS(7243),
    [anon_sym_BSLASHAclp] = ACTIONS(7243),
    [anon_sym_BSLASHacf] = ACTIONS(7243),
    [anon_sym_BSLASHAcf] = ACTIONS(7243),
    [anon_sym_BSLASHacfp] = ACTIONS(7243),
    [anon_sym_BSLASHAcfp] = ACTIONS(7243),
    [anon_sym_BSLASHac] = ACTIONS(7243),
    [anon_sym_BSLASHAc] = ACTIONS(7243),
    [anon_sym_BSLASHacp] = ACTIONS(7243),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7243),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7243),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7243),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7243),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7243),
    [anon_sym_BSLASHcolor] = ACTIONS(7243),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7243),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7243),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7243),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7243),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7243),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7243),
    [anon_sym_BSLASHurl] = ACTIONS(7243),
    [anon_sym_BSLASHhref] = ACTIONS(7243),
  },
  [1460] = {
    [sym_command_name] = ACTIONS(163),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_RBRACK] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_RPAREN] = ACTIONS(165),
    [anon_sym_BSLASHpart] = ACTIONS(163),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddpart] = ACTIONS(163),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(165),
    [anon_sym_BSLASHchapter] = ACTIONS(163),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddchap] = ACTIONS(163),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsection] = ACTIONS(163),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddsec] = ACTIONS(163),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubsection] = ACTIONS(163),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(163),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHparagraph] = ACTIONS(163),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(163),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(165),
    [anon_sym_BSLASHitem] = ACTIONS(163),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(165),
    [sym_word] = ACTIONS(163),
    [sym_placeholder] = ACTIONS(165),
    [sym_delimiter] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym__] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(165),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(163),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(165),
    [anon_sym_BSLASHleft] = ACTIONS(163),
    [anon_sym_BSLASHbigl] = ACTIONS(163),
    [anon_sym_BSLASHBigl] = ACTIONS(163),
    [anon_sym_BSLASHbiggl] = ACTIONS(163),
    [anon_sym_BSLASHBiggl] = ACTIONS(163),
    [anon_sym_BSLASHtext] = ACTIONS(163),
    [anon_sym_BSLASHintertext] = ACTIONS(163),
    [anon_sym_BSLASHshortintertext] = ACTIONS(163),
    [anon_sym_BSLASHbegin] = ACTIONS(163),
    [anon_sym_BSLASHend] = ACTIONS(163),
    [anon_sym_BSLASHtitle] = ACTIONS(163),
    [anon_sym_BSLASHauthor] = ACTIONS(163),
    [anon_sym_BSLASHusepackage] = ACTIONS(163),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(163),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(163),
    [anon_sym_BSLASHinclude] = ACTIONS(163),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(163),
    [anon_sym_BSLASHinput] = ACTIONS(163),
    [anon_sym_BSLASHsubfile] = ACTIONS(163),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(163),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(163),
    [anon_sym_BSLASHbibliography] = ACTIONS(163),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(163),
    [anon_sym_BSLASHincludesvg] = ACTIONS(163),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(163),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(163),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(163),
    [anon_sym_BSLASHimport] = ACTIONS(163),
    [anon_sym_BSLASHsubimport] = ACTIONS(163),
    [anon_sym_BSLASHinputfrom] = ACTIONS(163),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(163),
    [anon_sym_BSLASHincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHcaption] = ACTIONS(163),
    [anon_sym_BSLASHcite] = ACTIONS(163),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCite] = ACTIONS(163),
    [anon_sym_BSLASHnocite] = ACTIONS(163),
    [anon_sym_BSLASHcitet] = ACTIONS(163),
    [anon_sym_BSLASHcitep] = ACTIONS(163),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteA] = ACTIONS(163),
    [anon_sym_BSLASHciteR] = ACTIONS(163),
    [anon_sym_BSLASHciteS] = ACTIONS(163),
    [anon_sym_BSLASHciteyearR] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(163),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitetitle] = ACTIONS(163),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteyear] = ACTIONS(163),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitedate] = ACTIONS(163),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteurl] = ACTIONS(163),
    [anon_sym_BSLASHfullcite] = ACTIONS(163),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(163),
    [anon_sym_BSLASHcitealt] = ACTIONS(163),
    [anon_sym_BSLASHcitealp] = ACTIONS(163),
    [anon_sym_BSLASHcitetext] = ACTIONS(163),
    [anon_sym_BSLASHparencite] = ACTIONS(163),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHParencite] = ACTIONS(163),
    [anon_sym_BSLASHfootcite] = ACTIONS(163),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(163),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(163),
    [anon_sym_BSLASHtextcite] = ACTIONS(163),
    [anon_sym_BSLASHTextcite] = ACTIONS(163),
    [anon_sym_BSLASHsmartcite] = ACTIONS(163),
    [anon_sym_BSLASHSmartcite] = ACTIONS(163),
    [anon_sym_BSLASHsupercite] = ACTIONS(163),
    [anon_sym_BSLASHautocite] = ACTIONS(163),
    [anon_sym_BSLASHAutocite] = ACTIONS(163),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHvolcite] = ACTIONS(163),
    [anon_sym_BSLASHVolcite] = ACTIONS(163),
    [anon_sym_BSLASHpvolcite] = ACTIONS(163),
    [anon_sym_BSLASHPvolcite] = ACTIONS(163),
    [anon_sym_BSLASHfvolcite] = ACTIONS(163),
    [anon_sym_BSLASHftvolcite] = ACTIONS(163),
    [anon_sym_BSLASHsvolcite] = ACTIONS(163),
    [anon_sym_BSLASHSvolcite] = ACTIONS(163),
    [anon_sym_BSLASHtvolcite] = ACTIONS(163),
    [anon_sym_BSLASHTvolcite] = ACTIONS(163),
    [anon_sym_BSLASHavolcite] = ACTIONS(163),
    [anon_sym_BSLASHAvolcite] = ACTIONS(163),
    [anon_sym_BSLASHnotecite] = ACTIONS(163),
    [anon_sym_BSLASHNotecite] = ACTIONS(163),
    [anon_sym_BSLASHpnotecite] = ACTIONS(163),
    [anon_sym_BSLASHPnotecite] = ACTIONS(163),
    [anon_sym_BSLASHfnotecite] = ACTIONS(163),
    [anon_sym_BSLASHlabel] = ACTIONS(163),
    [anon_sym_BSLASHref] = ACTIONS(163),
    [anon_sym_BSLASHeqref] = ACTIONS(163),
    [anon_sym_BSLASHvref] = ACTIONS(163),
    [anon_sym_BSLASHVref] = ACTIONS(163),
    [anon_sym_BSLASHautoref] = ACTIONS(163),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHpageref] = ACTIONS(163),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHautopageref] = ACTIONS(163),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcref] = ACTIONS(163),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCref] = ACTIONS(163),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpageref] = ACTIONS(163),
    [anon_sym_BSLASHCpageref] = ACTIONS(163),
    [anon_sym_BSLASHnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnameCref] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcrefrange] = ACTIONS(163),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCrefrange] = ACTIONS(163),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHnewlabel] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(163),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(163),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(163),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(165),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHdef] = ACTIONS(163),
    [anon_sym_BSLASHgdef] = ACTIONS(163),
    [anon_sym_BSLASHedef] = ACTIONS(163),
    [anon_sym_BSLASHxdef] = ACTIONS(163),
    [anon_sym_BSLASHlet] = ACTIONS(163),
    [anon_sym_BSLASHglet] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(163),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(163),
    [anon_sym_BSLASHgls] = ACTIONS(163),
    [anon_sym_BSLASHGls] = ACTIONS(163),
    [anon_sym_BSLASHGLS] = ACTIONS(163),
    [anon_sym_BSLASHglspl] = ACTIONS(163),
    [anon_sym_BSLASHGlspl] = ACTIONS(163),
    [anon_sym_BSLASHGLSpl] = ACTIONS(163),
    [anon_sym_BSLASHglsdisp] = ACTIONS(163),
    [anon_sym_BSLASHglslink] = ACTIONS(163),
    [anon_sym_BSLASHglstext] = ACTIONS(163),
    [anon_sym_BSLASHGlstext] = ACTIONS(163),
    [anon_sym_BSLASHGLStext] = ACTIONS(163),
    [anon_sym_BSLASHglsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(163),
    [anon_sym_BSLASHglsplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSplural] = ACTIONS(163),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHglsname] = ACTIONS(163),
    [anon_sym_BSLASHGlsname] = ACTIONS(163),
    [anon_sym_BSLASHGLSname] = ACTIONS(163),
    [anon_sym_BSLASHglssymbol] = ACTIONS(163),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(163),
    [anon_sym_BSLASHglsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(163),
    [anon_sym_BSLASHglsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(163),
    [anon_sym_BSLASHglsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(163),
    [anon_sym_BSLASHglsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(163),
    [anon_sym_BSLASHglsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(163),
    [anon_sym_BSLASHnewacronym] = ACTIONS(163),
    [anon_sym_BSLASHacrshort] = ACTIONS(163),
    [anon_sym_BSLASHAcrshort] = ACTIONS(163),
    [anon_sym_BSLASHACRshort] = ACTIONS(163),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(163),
    [anon_sym_BSLASHacrlong] = ACTIONS(163),
    [anon_sym_BSLASHAcrlong] = ACTIONS(163),
    [anon_sym_BSLASHACRlong] = ACTIONS(163),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(163),
    [anon_sym_BSLASHacrfull] = ACTIONS(163),
    [anon_sym_BSLASHAcrfull] = ACTIONS(163),
    [anon_sym_BSLASHACRfull] = ACTIONS(163),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(163),
    [anon_sym_BSLASHacs] = ACTIONS(163),
    [anon_sym_BSLASHAcs] = ACTIONS(163),
    [anon_sym_BSLASHacsp] = ACTIONS(163),
    [anon_sym_BSLASHAcsp] = ACTIONS(163),
    [anon_sym_BSLASHacl] = ACTIONS(163),
    [anon_sym_BSLASHAcl] = ACTIONS(163),
    [anon_sym_BSLASHaclp] = ACTIONS(163),
    [anon_sym_BSLASHAclp] = ACTIONS(163),
    [anon_sym_BSLASHacf] = ACTIONS(163),
    [anon_sym_BSLASHAcf] = ACTIONS(163),
    [anon_sym_BSLASHacfp] = ACTIONS(163),
    [anon_sym_BSLASHAcfp] = ACTIONS(163),
    [anon_sym_BSLASHac] = ACTIONS(163),
    [anon_sym_BSLASHAc] = ACTIONS(163),
    [anon_sym_BSLASHacp] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(163),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(163),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(163),
    [anon_sym_BSLASHcolor] = ACTIONS(163),
    [anon_sym_BSLASHpagecolor] = ACTIONS(163),
    [anon_sym_BSLASHtextcolor] = ACTIONS(163),
    [anon_sym_BSLASHmathcolor] = ACTIONS(163),
    [anon_sym_BSLASHcolorbox] = ACTIONS(163),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(163),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(163),
    [anon_sym_BSLASHurl] = ACTIONS(163),
    [anon_sym_BSLASHhref] = ACTIONS(163),
  },
  [1461] = {
    [sym_command_name] = ACTIONS(7055),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7055),
    [anon_sym_LBRACK] = ACTIONS(7057),
    [anon_sym_RBRACK] = ACTIONS(7057),
    [anon_sym_COMMA] = ACTIONS(7057),
    [anon_sym_EQ] = ACTIONS(7057),
    [anon_sym_LPAREN] = ACTIONS(7057),
    [anon_sym_RPAREN] = ACTIONS(7057),
    [anon_sym_BSLASHpart] = ACTIONS(7055),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHaddpart] = ACTIONS(7055),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHchapter] = ACTIONS(7055),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHaddchap] = ACTIONS(7055),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHsection] = ACTIONS(7055),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHaddsec] = ACTIONS(7055),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHsubsection] = ACTIONS(7055),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7055),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHparagraph] = ACTIONS(7055),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7055),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHitem] = ACTIONS(7055),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7057),
    [anon_sym_LBRACE] = ACTIONS(7057),
    [sym_word] = ACTIONS(7055),
    [sym_placeholder] = ACTIONS(7057),
    [sym_delimiter] = ACTIONS(7057),
    [anon_sym_PLUS] = ACTIONS(7057),
    [anon_sym_DASH] = ACTIONS(7057),
    [anon_sym_STAR] = ACTIONS(7057),
    [anon_sym_SLASH] = ACTIONS(7057),
    [anon_sym_LT] = ACTIONS(7055),
    [anon_sym_GT] = ACTIONS(7055),
    [anon_sym_BANG] = ACTIONS(7055),
    [anon_sym_PIPE] = ACTIONS(7055),
    [anon_sym_COLON] = ACTIONS(7055),
    [anon_sym_SQUOTE] = ACTIONS(7055),
    [anon_sym__] = ACTIONS(7057),
    [anon_sym_CARET] = ACTIONS(7057),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7057),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7057),
    [anon_sym_DOLLAR] = ACTIONS(7055),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7057),
    [anon_sym_BSLASHleft] = ACTIONS(7055),
    [anon_sym_BSLASHbigl] = ACTIONS(7055),
    [anon_sym_BSLASHBigl] = ACTIONS(7055),
    [anon_sym_BSLASHbiggl] = ACTIONS(7055),
    [anon_sym_BSLASHBiggl] = ACTIONS(7055),
    [anon_sym_BSLASHtext] = ACTIONS(7055),
    [anon_sym_BSLASHintertext] = ACTIONS(7055),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7055),
    [anon_sym_BSLASHbegin] = ACTIONS(7055),
    [anon_sym_BSLASHend] = ACTIONS(7055),
    [anon_sym_BSLASHtitle] = ACTIONS(7055),
    [anon_sym_BSLASHauthor] = ACTIONS(7055),
    [anon_sym_BSLASHusepackage] = ACTIONS(7055),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7055),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7055),
    [anon_sym_BSLASHinclude] = ACTIONS(7055),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7055),
    [anon_sym_BSLASHinput] = ACTIONS(7055),
    [anon_sym_BSLASHsubfile] = ACTIONS(7055),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7055),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7055),
    [anon_sym_BSLASHbibliography] = ACTIONS(7055),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7055),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7055),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7055),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7055),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7055),
    [anon_sym_BSLASHimport] = ACTIONS(7055),
    [anon_sym_BSLASHsubimport] = ACTIONS(7055),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7055),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7055),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7055),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7055),
    [anon_sym_BSLASHcaption] = ACTIONS(7055),
    [anon_sym_BSLASHcite] = ACTIONS(7055),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCite] = ACTIONS(7055),
    [anon_sym_BSLASHnocite] = ACTIONS(7055),
    [anon_sym_BSLASHcitet] = ACTIONS(7055),
    [anon_sym_BSLASHcitep] = ACTIONS(7055),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHciteA] = ACTIONS(7055),
    [anon_sym_BSLASHciteR] = ACTIONS(7055),
    [anon_sym_BSLASHciteS] = ACTIONS(7055),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7055),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7055),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7055),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7055),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHciteyear] = ACTIONS(7055),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcitedate] = ACTIONS(7055),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHciteurl] = ACTIONS(7055),
    [anon_sym_BSLASHfullcite] = ACTIONS(7055),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7055),
    [anon_sym_BSLASHcitealt] = ACTIONS(7055),
    [anon_sym_BSLASHcitealp] = ACTIONS(7055),
    [anon_sym_BSLASHcitetext] = ACTIONS(7055),
    [anon_sym_BSLASHparencite] = ACTIONS(7055),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHParencite] = ACTIONS(7055),
    [anon_sym_BSLASHfootcite] = ACTIONS(7055),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7055),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7055),
    [anon_sym_BSLASHtextcite] = ACTIONS(7055),
    [anon_sym_BSLASHTextcite] = ACTIONS(7055),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7055),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7055),
    [anon_sym_BSLASHsupercite] = ACTIONS(7055),
    [anon_sym_BSLASHautocite] = ACTIONS(7055),
    [anon_sym_BSLASHAutocite] = ACTIONS(7055),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHVolcite] = ACTIONS(7055),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHavolcite] = ACTIONS(7055),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHNotecite] = ACTIONS(7055),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHlabel] = ACTIONS(7055),
    [anon_sym_BSLASHref] = ACTIONS(7055),
    [anon_sym_BSLASHeqref] = ACTIONS(7055),
    [anon_sym_BSLASHvref] = ACTIONS(7055),
    [anon_sym_BSLASHVref] = ACTIONS(7055),
    [anon_sym_BSLASHautoref] = ACTIONS(7055),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHpageref] = ACTIONS(7055),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHautopageref] = ACTIONS(7055),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcref] = ACTIONS(7055),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCref] = ACTIONS(7055),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcpageref] = ACTIONS(7055),
    [anon_sym_BSLASHCpageref] = ACTIONS(7055),
    [anon_sym_BSLASHnamecref] = ACTIONS(7055),
    [anon_sym_BSLASHnameCref] = ACTIONS(7055),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7055),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7055),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7055),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7055),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7055),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7055),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7055),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7055),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7055),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7055),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7055),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7055),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7055),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7055),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7055),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7055),
    [anon_sym_BSLASHdef] = ACTIONS(7055),
    [anon_sym_BSLASHgdef] = ACTIONS(7055),
    [anon_sym_BSLASHedef] = ACTIONS(7055),
    [anon_sym_BSLASHxdef] = ACTIONS(7055),
    [anon_sym_BSLASHlet] = ACTIONS(7055),
    [anon_sym_BSLASHglet] = ACTIONS(7055),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7055),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7055),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7055),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7055),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7055),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7055),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7055),
    [anon_sym_BSLASHgls] = ACTIONS(7055),
    [anon_sym_BSLASHGls] = ACTIONS(7055),
    [anon_sym_BSLASHGLS] = ACTIONS(7055),
    [anon_sym_BSLASHglspl] = ACTIONS(7055),
    [anon_sym_BSLASHGlspl] = ACTIONS(7055),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7055),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7055),
    [anon_sym_BSLASHglslink] = ACTIONS(7055),
    [anon_sym_BSLASHglstext] = ACTIONS(7055),
    [anon_sym_BSLASHGlstext] = ACTIONS(7055),
    [anon_sym_BSLASHGLStext] = ACTIONS(7055),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7055),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7055),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7055),
    [anon_sym_BSLASHglsplural] = ACTIONS(7055),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7055),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7055),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7055),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7055),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7055),
    [anon_sym_BSLASHglsname] = ACTIONS(7055),
    [anon_sym_BSLASHGlsname] = ACTIONS(7055),
    [anon_sym_BSLASHGLSname] = ACTIONS(7055),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7055),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7055),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7055),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7055),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7055),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7055),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7055),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7055),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7055),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7055),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7055),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7055),
    [anon_sym_BSLASHacrshort] = ACTIONS(7055),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7055),
    [anon_sym_BSLASHACRshort] = ACTIONS(7055),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHacrlong] = ACTIONS(7055),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7055),
    [anon_sym_BSLASHACRlong] = ACTIONS(7055),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7055),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7055),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7055),
    [anon_sym_BSLASHacrfull] = ACTIONS(7055),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7055),
    [anon_sym_BSLASHACRfull] = ACTIONS(7055),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHacs] = ACTIONS(7055),
    [anon_sym_BSLASHAcs] = ACTIONS(7055),
    [anon_sym_BSLASHacsp] = ACTIONS(7055),
    [anon_sym_BSLASHAcsp] = ACTIONS(7055),
    [anon_sym_BSLASHacl] = ACTIONS(7055),
    [anon_sym_BSLASHAcl] = ACTIONS(7055),
    [anon_sym_BSLASHaclp] = ACTIONS(7055),
    [anon_sym_BSLASHAclp] = ACTIONS(7055),
    [anon_sym_BSLASHacf] = ACTIONS(7055),
    [anon_sym_BSLASHAcf] = ACTIONS(7055),
    [anon_sym_BSLASHacfp] = ACTIONS(7055),
    [anon_sym_BSLASHAcfp] = ACTIONS(7055),
    [anon_sym_BSLASHac] = ACTIONS(7055),
    [anon_sym_BSLASHAc] = ACTIONS(7055),
    [anon_sym_BSLASHacp] = ACTIONS(7055),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7055),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7055),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7055),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7055),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7055),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7055),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7055),
    [anon_sym_BSLASHcolor] = ACTIONS(7055),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7055),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7055),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7055),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7055),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7055),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7055),
    [anon_sym_BSLASHurl] = ACTIONS(7055),
    [anon_sym_BSLASHhref] = ACTIONS(7055),
  },
  [1462] = {
    [sym_command_name] = ACTIONS(7235),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7235),
    [anon_sym_LBRACK] = ACTIONS(7237),
    [anon_sym_RBRACK] = ACTIONS(7237),
    [anon_sym_COMMA] = ACTIONS(7237),
    [anon_sym_EQ] = ACTIONS(7237),
    [anon_sym_LPAREN] = ACTIONS(7237),
    [anon_sym_RPAREN] = ACTIONS(7237),
    [anon_sym_BSLASHpart] = ACTIONS(7235),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHaddpart] = ACTIONS(7235),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHchapter] = ACTIONS(7235),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHaddchap] = ACTIONS(7235),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHsection] = ACTIONS(7235),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHaddsec] = ACTIONS(7235),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHsubsection] = ACTIONS(7235),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7235),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHparagraph] = ACTIONS(7235),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7235),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHitem] = ACTIONS(7235),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7237),
    [anon_sym_LBRACE] = ACTIONS(7237),
    [sym_word] = ACTIONS(7235),
    [sym_placeholder] = ACTIONS(7237),
    [sym_delimiter] = ACTIONS(7237),
    [anon_sym_PLUS] = ACTIONS(7237),
    [anon_sym_DASH] = ACTIONS(7237),
    [anon_sym_STAR] = ACTIONS(7237),
    [anon_sym_SLASH] = ACTIONS(7237),
    [anon_sym_LT] = ACTIONS(7235),
    [anon_sym_GT] = ACTIONS(7235),
    [anon_sym_BANG] = ACTIONS(7235),
    [anon_sym_PIPE] = ACTIONS(7235),
    [anon_sym_COLON] = ACTIONS(7235),
    [anon_sym_SQUOTE] = ACTIONS(7235),
    [anon_sym__] = ACTIONS(7237),
    [anon_sym_CARET] = ACTIONS(7237),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7237),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7237),
    [anon_sym_DOLLAR] = ACTIONS(7235),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7237),
    [anon_sym_BSLASHleft] = ACTIONS(7235),
    [anon_sym_BSLASHbigl] = ACTIONS(7235),
    [anon_sym_BSLASHBigl] = ACTIONS(7235),
    [anon_sym_BSLASHbiggl] = ACTIONS(7235),
    [anon_sym_BSLASHBiggl] = ACTIONS(7235),
    [anon_sym_BSLASHtext] = ACTIONS(7235),
    [anon_sym_BSLASHintertext] = ACTIONS(7235),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7235),
    [anon_sym_BSLASHbegin] = ACTIONS(7235),
    [anon_sym_BSLASHend] = ACTIONS(7235),
    [anon_sym_BSLASHtitle] = ACTIONS(7235),
    [anon_sym_BSLASHauthor] = ACTIONS(7235),
    [anon_sym_BSLASHusepackage] = ACTIONS(7235),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7235),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7235),
    [anon_sym_BSLASHinclude] = ACTIONS(7235),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7235),
    [anon_sym_BSLASHinput] = ACTIONS(7235),
    [anon_sym_BSLASHsubfile] = ACTIONS(7235),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7235),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7235),
    [anon_sym_BSLASHbibliography] = ACTIONS(7235),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7235),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7235),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7235),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7235),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7235),
    [anon_sym_BSLASHimport] = ACTIONS(7235),
    [anon_sym_BSLASHsubimport] = ACTIONS(7235),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7235),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7235),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7235),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7235),
    [anon_sym_BSLASHcaption] = ACTIONS(7235),
    [anon_sym_BSLASHcite] = ACTIONS(7235),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCite] = ACTIONS(7235),
    [anon_sym_BSLASHnocite] = ACTIONS(7235),
    [anon_sym_BSLASHcitet] = ACTIONS(7235),
    [anon_sym_BSLASHcitep] = ACTIONS(7235),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteA] = ACTIONS(7235),
    [anon_sym_BSLASHciteR] = ACTIONS(7235),
    [anon_sym_BSLASHciteS] = ACTIONS(7235),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7235),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7235),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7235),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7235),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteyear] = ACTIONS(7235),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitedate] = ACTIONS(7235),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteurl] = ACTIONS(7235),
    [anon_sym_BSLASHfullcite] = ACTIONS(7235),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7235),
    [anon_sym_BSLASHcitealt] = ACTIONS(7235),
    [anon_sym_BSLASHcitealp] = ACTIONS(7235),
    [anon_sym_BSLASHcitetext] = ACTIONS(7235),
    [anon_sym_BSLASHparencite] = ACTIONS(7235),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHParencite] = ACTIONS(7235),
    [anon_sym_BSLASHfootcite] = ACTIONS(7235),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7235),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7235),
    [anon_sym_BSLASHtextcite] = ACTIONS(7235),
    [anon_sym_BSLASHTextcite] = ACTIONS(7235),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7235),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7235),
    [anon_sym_BSLASHsupercite] = ACTIONS(7235),
    [anon_sym_BSLASHautocite] = ACTIONS(7235),
    [anon_sym_BSLASHAutocite] = ACTIONS(7235),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHVolcite] = ACTIONS(7235),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHavolcite] = ACTIONS(7235),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHNotecite] = ACTIONS(7235),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHlabel] = ACTIONS(7235),
    [anon_sym_BSLASHref] = ACTIONS(7235),
    [anon_sym_BSLASHeqref] = ACTIONS(7235),
    [anon_sym_BSLASHvref] = ACTIONS(7235),
    [anon_sym_BSLASHVref] = ACTIONS(7235),
    [anon_sym_BSLASHautoref] = ACTIONS(7235),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHpageref] = ACTIONS(7235),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHautopageref] = ACTIONS(7235),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcref] = ACTIONS(7235),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCref] = ACTIONS(7235),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcpageref] = ACTIONS(7235),
    [anon_sym_BSLASHCpageref] = ACTIONS(7235),
    [anon_sym_BSLASHnamecref] = ACTIONS(7235),
    [anon_sym_BSLASHnameCref] = ACTIONS(7235),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7235),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7235),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7235),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7235),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7235),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7235),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7235),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7235),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7235),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7235),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7235),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHdef] = ACTIONS(7235),
    [anon_sym_BSLASHgdef] = ACTIONS(7235),
    [anon_sym_BSLASHedef] = ACTIONS(7235),
    [anon_sym_BSLASHxdef] = ACTIONS(7235),
    [anon_sym_BSLASHlet] = ACTIONS(7235),
    [anon_sym_BSLASHglet] = ACTIONS(7235),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7235),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7235),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7235),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7235),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7235),
    [anon_sym_BSLASHgls] = ACTIONS(7235),
    [anon_sym_BSLASHGls] = ACTIONS(7235),
    [anon_sym_BSLASHGLS] = ACTIONS(7235),
    [anon_sym_BSLASHglspl] = ACTIONS(7235),
    [anon_sym_BSLASHGlspl] = ACTIONS(7235),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7235),
    [anon_sym_BSLASHglslink] = ACTIONS(7235),
    [anon_sym_BSLASHglstext] = ACTIONS(7235),
    [anon_sym_BSLASHGlstext] = ACTIONS(7235),
    [anon_sym_BSLASHGLStext] = ACTIONS(7235),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7235),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7235),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7235),
    [anon_sym_BSLASHglsplural] = ACTIONS(7235),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7235),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7235),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHglsname] = ACTIONS(7235),
    [anon_sym_BSLASHGlsname] = ACTIONS(7235),
    [anon_sym_BSLASHGLSname] = ACTIONS(7235),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7235),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7235),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7235),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7235),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7235),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7235),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7235),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7235),
    [anon_sym_BSLASHacrshort] = ACTIONS(7235),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7235),
    [anon_sym_BSLASHACRshort] = ACTIONS(7235),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHacrlong] = ACTIONS(7235),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7235),
    [anon_sym_BSLASHACRlong] = ACTIONS(7235),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHacrfull] = ACTIONS(7235),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7235),
    [anon_sym_BSLASHACRfull] = ACTIONS(7235),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHacs] = ACTIONS(7235),
    [anon_sym_BSLASHAcs] = ACTIONS(7235),
    [anon_sym_BSLASHacsp] = ACTIONS(7235),
    [anon_sym_BSLASHAcsp] = ACTIONS(7235),
    [anon_sym_BSLASHacl] = ACTIONS(7235),
    [anon_sym_BSLASHAcl] = ACTIONS(7235),
    [anon_sym_BSLASHaclp] = ACTIONS(7235),
    [anon_sym_BSLASHAclp] = ACTIONS(7235),
    [anon_sym_BSLASHacf] = ACTIONS(7235),
    [anon_sym_BSLASHAcf] = ACTIONS(7235),
    [anon_sym_BSLASHacfp] = ACTIONS(7235),
    [anon_sym_BSLASHAcfp] = ACTIONS(7235),
    [anon_sym_BSLASHac] = ACTIONS(7235),
    [anon_sym_BSLASHAc] = ACTIONS(7235),
    [anon_sym_BSLASHacp] = ACTIONS(7235),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7235),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7235),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7235),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7235),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7235),
    [anon_sym_BSLASHcolor] = ACTIONS(7235),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7235),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7235),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7235),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7235),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7235),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7235),
    [anon_sym_BSLASHurl] = ACTIONS(7235),
    [anon_sym_BSLASHhref] = ACTIONS(7235),
  },
  [1463] = {
    [sym_command_name] = ACTIONS(7247),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7247),
    [anon_sym_LBRACK] = ACTIONS(7249),
    [anon_sym_RBRACK] = ACTIONS(7249),
    [anon_sym_COMMA] = ACTIONS(7249),
    [anon_sym_EQ] = ACTIONS(7249),
    [anon_sym_LPAREN] = ACTIONS(7249),
    [anon_sym_RPAREN] = ACTIONS(7249),
    [anon_sym_BSLASHpart] = ACTIONS(7247),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHaddpart] = ACTIONS(7247),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHchapter] = ACTIONS(7247),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHaddchap] = ACTIONS(7247),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHsection] = ACTIONS(7247),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHaddsec] = ACTIONS(7247),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHsubsection] = ACTIONS(7247),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7247),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHparagraph] = ACTIONS(7247),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7247),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHitem] = ACTIONS(7247),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7249),
    [anon_sym_LBRACE] = ACTIONS(7249),
    [sym_word] = ACTIONS(7247),
    [sym_placeholder] = ACTIONS(7249),
    [sym_delimiter] = ACTIONS(7249),
    [anon_sym_PLUS] = ACTIONS(7249),
    [anon_sym_DASH] = ACTIONS(7249),
    [anon_sym_STAR] = ACTIONS(7249),
    [anon_sym_SLASH] = ACTIONS(7249),
    [anon_sym_LT] = ACTIONS(7247),
    [anon_sym_GT] = ACTIONS(7247),
    [anon_sym_BANG] = ACTIONS(7247),
    [anon_sym_PIPE] = ACTIONS(7247),
    [anon_sym_COLON] = ACTIONS(7247),
    [anon_sym_SQUOTE] = ACTIONS(7247),
    [anon_sym__] = ACTIONS(7249),
    [anon_sym_CARET] = ACTIONS(7249),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7249),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7249),
    [anon_sym_DOLLAR] = ACTIONS(7247),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7249),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7249),
    [anon_sym_BSLASHleft] = ACTIONS(7247),
    [anon_sym_BSLASHbigl] = ACTIONS(7247),
    [anon_sym_BSLASHBigl] = ACTIONS(7247),
    [anon_sym_BSLASHbiggl] = ACTIONS(7247),
    [anon_sym_BSLASHBiggl] = ACTIONS(7247),
    [anon_sym_BSLASHtext] = ACTIONS(7247),
    [anon_sym_BSLASHintertext] = ACTIONS(7247),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7247),
    [anon_sym_BSLASHbegin] = ACTIONS(7247),
    [anon_sym_BSLASHtitle] = ACTIONS(7247),
    [anon_sym_BSLASHauthor] = ACTIONS(7247),
    [anon_sym_BSLASHusepackage] = ACTIONS(7247),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7247),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7247),
    [anon_sym_BSLASHinclude] = ACTIONS(7247),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7247),
    [anon_sym_BSLASHinput] = ACTIONS(7247),
    [anon_sym_BSLASHsubfile] = ACTIONS(7247),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7247),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7247),
    [anon_sym_BSLASHbibliography] = ACTIONS(7247),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7247),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7247),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7247),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7247),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7247),
    [anon_sym_BSLASHimport] = ACTIONS(7247),
    [anon_sym_BSLASHsubimport] = ACTIONS(7247),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7247),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7247),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7247),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7247),
    [anon_sym_BSLASHcaption] = ACTIONS(7247),
    [anon_sym_BSLASHcite] = ACTIONS(7247),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCite] = ACTIONS(7247),
    [anon_sym_BSLASHnocite] = ACTIONS(7247),
    [anon_sym_BSLASHcitet] = ACTIONS(7247),
    [anon_sym_BSLASHcitep] = ACTIONS(7247),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteA] = ACTIONS(7247),
    [anon_sym_BSLASHciteR] = ACTIONS(7247),
    [anon_sym_BSLASHciteS] = ACTIONS(7247),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7247),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7247),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7247),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7247),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteyear] = ACTIONS(7247),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitedate] = ACTIONS(7247),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteurl] = ACTIONS(7247),
    [anon_sym_BSLASHfullcite] = ACTIONS(7247),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7247),
    [anon_sym_BSLASHcitealt] = ACTIONS(7247),
    [anon_sym_BSLASHcitealp] = ACTIONS(7247),
    [anon_sym_BSLASHcitetext] = ACTIONS(7247),
    [anon_sym_BSLASHparencite] = ACTIONS(7247),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHParencite] = ACTIONS(7247),
    [anon_sym_BSLASHfootcite] = ACTIONS(7247),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7247),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7247),
    [anon_sym_BSLASHtextcite] = ACTIONS(7247),
    [anon_sym_BSLASHTextcite] = ACTIONS(7247),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7247),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7247),
    [anon_sym_BSLASHsupercite] = ACTIONS(7247),
    [anon_sym_BSLASHautocite] = ACTIONS(7247),
    [anon_sym_BSLASHAutocite] = ACTIONS(7247),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHVolcite] = ACTIONS(7247),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHavolcite] = ACTIONS(7247),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHNotecite] = ACTIONS(7247),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHlabel] = ACTIONS(7247),
    [anon_sym_BSLASHref] = ACTIONS(7247),
    [anon_sym_BSLASHeqref] = ACTIONS(7247),
    [anon_sym_BSLASHvref] = ACTIONS(7247),
    [anon_sym_BSLASHVref] = ACTIONS(7247),
    [anon_sym_BSLASHautoref] = ACTIONS(7247),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHpageref] = ACTIONS(7247),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHautopageref] = ACTIONS(7247),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcref] = ACTIONS(7247),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCref] = ACTIONS(7247),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcpageref] = ACTIONS(7247),
    [anon_sym_BSLASHCpageref] = ACTIONS(7247),
    [anon_sym_BSLASHnamecref] = ACTIONS(7247),
    [anon_sym_BSLASHnameCref] = ACTIONS(7247),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7247),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7247),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7247),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7247),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7247),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7247),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7247),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7247),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7247),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7247),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7247),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHdef] = ACTIONS(7247),
    [anon_sym_BSLASHgdef] = ACTIONS(7247),
    [anon_sym_BSLASHedef] = ACTIONS(7247),
    [anon_sym_BSLASHxdef] = ACTIONS(7247),
    [anon_sym_BSLASHlet] = ACTIONS(7247),
    [anon_sym_BSLASHglet] = ACTIONS(7247),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7247),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7247),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7247),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7247),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7247),
    [anon_sym_BSLASHgls] = ACTIONS(7247),
    [anon_sym_BSLASHGls] = ACTIONS(7247),
    [anon_sym_BSLASHGLS] = ACTIONS(7247),
    [anon_sym_BSLASHglspl] = ACTIONS(7247),
    [anon_sym_BSLASHGlspl] = ACTIONS(7247),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7247),
    [anon_sym_BSLASHglslink] = ACTIONS(7247),
    [anon_sym_BSLASHglstext] = ACTIONS(7247),
    [anon_sym_BSLASHGlstext] = ACTIONS(7247),
    [anon_sym_BSLASHGLStext] = ACTIONS(7247),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7247),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7247),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7247),
    [anon_sym_BSLASHglsplural] = ACTIONS(7247),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7247),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7247),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHglsname] = ACTIONS(7247),
    [anon_sym_BSLASHGlsname] = ACTIONS(7247),
    [anon_sym_BSLASHGLSname] = ACTIONS(7247),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7247),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7247),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7247),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7247),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7247),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7247),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7247),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7247),
    [anon_sym_BSLASHacrshort] = ACTIONS(7247),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7247),
    [anon_sym_BSLASHACRshort] = ACTIONS(7247),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHacrlong] = ACTIONS(7247),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7247),
    [anon_sym_BSLASHACRlong] = ACTIONS(7247),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHacrfull] = ACTIONS(7247),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7247),
    [anon_sym_BSLASHACRfull] = ACTIONS(7247),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHacs] = ACTIONS(7247),
    [anon_sym_BSLASHAcs] = ACTIONS(7247),
    [anon_sym_BSLASHacsp] = ACTIONS(7247),
    [anon_sym_BSLASHAcsp] = ACTIONS(7247),
    [anon_sym_BSLASHacl] = ACTIONS(7247),
    [anon_sym_BSLASHAcl] = ACTIONS(7247),
    [anon_sym_BSLASHaclp] = ACTIONS(7247),
    [anon_sym_BSLASHAclp] = ACTIONS(7247),
    [anon_sym_BSLASHacf] = ACTIONS(7247),
    [anon_sym_BSLASHAcf] = ACTIONS(7247),
    [anon_sym_BSLASHacfp] = ACTIONS(7247),
    [anon_sym_BSLASHAcfp] = ACTIONS(7247),
    [anon_sym_BSLASHac] = ACTIONS(7247),
    [anon_sym_BSLASHAc] = ACTIONS(7247),
    [anon_sym_BSLASHacp] = ACTIONS(7247),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7247),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7247),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7247),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7247),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7247),
    [anon_sym_BSLASHcolor] = ACTIONS(7247),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7247),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7247),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7247),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7247),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7247),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7247),
    [anon_sym_BSLASHurl] = ACTIONS(7247),
    [anon_sym_BSLASHhref] = ACTIONS(7247),
  },
  [1464] = {
    [sym_command_name] = ACTIONS(7547),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7547),
    [anon_sym_LBRACK] = ACTIONS(7549),
    [anon_sym_RBRACK] = ACTIONS(7549),
    [anon_sym_COMMA] = ACTIONS(7549),
    [anon_sym_EQ] = ACTIONS(7549),
    [anon_sym_LPAREN] = ACTIONS(7549),
    [anon_sym_RPAREN] = ACTIONS(7549),
    [anon_sym_BSLASHpart] = ACTIONS(7547),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHaddpart] = ACTIONS(7547),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHchapter] = ACTIONS(7547),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHaddchap] = ACTIONS(7547),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHsection] = ACTIONS(7547),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHaddsec] = ACTIONS(7547),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHsubsection] = ACTIONS(7547),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7547),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHparagraph] = ACTIONS(7547),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7547),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHitem] = ACTIONS(7547),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7549),
    [anon_sym_LBRACE] = ACTIONS(7549),
    [sym_word] = ACTIONS(7547),
    [sym_placeholder] = ACTIONS(7549),
    [sym_delimiter] = ACTIONS(7549),
    [anon_sym_PLUS] = ACTIONS(7549),
    [anon_sym_DASH] = ACTIONS(7549),
    [anon_sym_STAR] = ACTIONS(7549),
    [anon_sym_SLASH] = ACTIONS(7549),
    [anon_sym_LT] = ACTIONS(7547),
    [anon_sym_GT] = ACTIONS(7547),
    [anon_sym_BANG] = ACTIONS(7547),
    [anon_sym_PIPE] = ACTIONS(7547),
    [anon_sym_COLON] = ACTIONS(7547),
    [anon_sym_SQUOTE] = ACTIONS(7547),
    [anon_sym__] = ACTIONS(7549),
    [anon_sym_CARET] = ACTIONS(7549),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7549),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7549),
    [anon_sym_DOLLAR] = ACTIONS(7547),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7549),
    [anon_sym_BSLASHleft] = ACTIONS(7547),
    [anon_sym_BSLASHbigl] = ACTIONS(7547),
    [anon_sym_BSLASHBigl] = ACTIONS(7547),
    [anon_sym_BSLASHbiggl] = ACTIONS(7547),
    [anon_sym_BSLASHBiggl] = ACTIONS(7547),
    [anon_sym_BSLASHtext] = ACTIONS(7547),
    [anon_sym_BSLASHintertext] = ACTIONS(7547),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7547),
    [anon_sym_BSLASHbegin] = ACTIONS(7547),
    [anon_sym_BSLASHend] = ACTIONS(7547),
    [anon_sym_BSLASHtitle] = ACTIONS(7547),
    [anon_sym_BSLASHauthor] = ACTIONS(7547),
    [anon_sym_BSLASHusepackage] = ACTIONS(7547),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7547),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7547),
    [anon_sym_BSLASHinclude] = ACTIONS(7547),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7547),
    [anon_sym_BSLASHinput] = ACTIONS(7547),
    [anon_sym_BSLASHsubfile] = ACTIONS(7547),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7547),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7547),
    [anon_sym_BSLASHbibliography] = ACTIONS(7547),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7547),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7547),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7547),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7547),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7547),
    [anon_sym_BSLASHimport] = ACTIONS(7547),
    [anon_sym_BSLASHsubimport] = ACTIONS(7547),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7547),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7547),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7547),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7547),
    [anon_sym_BSLASHcaption] = ACTIONS(7547),
    [anon_sym_BSLASHcite] = ACTIONS(7547),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCite] = ACTIONS(7547),
    [anon_sym_BSLASHnocite] = ACTIONS(7547),
    [anon_sym_BSLASHcitet] = ACTIONS(7547),
    [anon_sym_BSLASHcitep] = ACTIONS(7547),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteA] = ACTIONS(7547),
    [anon_sym_BSLASHciteR] = ACTIONS(7547),
    [anon_sym_BSLASHciteS] = ACTIONS(7547),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7547),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7547),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7547),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7547),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteyear] = ACTIONS(7547),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitedate] = ACTIONS(7547),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteurl] = ACTIONS(7547),
    [anon_sym_BSLASHfullcite] = ACTIONS(7547),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7547),
    [anon_sym_BSLASHcitealt] = ACTIONS(7547),
    [anon_sym_BSLASHcitealp] = ACTIONS(7547),
    [anon_sym_BSLASHcitetext] = ACTIONS(7547),
    [anon_sym_BSLASHparencite] = ACTIONS(7547),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHParencite] = ACTIONS(7547),
    [anon_sym_BSLASHfootcite] = ACTIONS(7547),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7547),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7547),
    [anon_sym_BSLASHtextcite] = ACTIONS(7547),
    [anon_sym_BSLASHTextcite] = ACTIONS(7547),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7547),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7547),
    [anon_sym_BSLASHsupercite] = ACTIONS(7547),
    [anon_sym_BSLASHautocite] = ACTIONS(7547),
    [anon_sym_BSLASHAutocite] = ACTIONS(7547),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHVolcite] = ACTIONS(7547),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHavolcite] = ACTIONS(7547),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHNotecite] = ACTIONS(7547),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHlabel] = ACTIONS(7547),
    [anon_sym_BSLASHref] = ACTIONS(7547),
    [anon_sym_BSLASHeqref] = ACTIONS(7547),
    [anon_sym_BSLASHvref] = ACTIONS(7547),
    [anon_sym_BSLASHVref] = ACTIONS(7547),
    [anon_sym_BSLASHautoref] = ACTIONS(7547),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHpageref] = ACTIONS(7547),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHautopageref] = ACTIONS(7547),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcref] = ACTIONS(7547),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCref] = ACTIONS(7547),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcpageref] = ACTIONS(7547),
    [anon_sym_BSLASHCpageref] = ACTIONS(7547),
    [anon_sym_BSLASHnamecref] = ACTIONS(7547),
    [anon_sym_BSLASHnameCref] = ACTIONS(7547),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7547),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7547),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7547),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7547),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7547),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7547),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7547),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7547),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7547),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7547),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7547),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHdef] = ACTIONS(7547),
    [anon_sym_BSLASHgdef] = ACTIONS(7547),
    [anon_sym_BSLASHedef] = ACTIONS(7547),
    [anon_sym_BSLASHxdef] = ACTIONS(7547),
    [anon_sym_BSLASHlet] = ACTIONS(7547),
    [anon_sym_BSLASHglet] = ACTIONS(7547),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7547),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7547),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7547),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7547),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7547),
    [anon_sym_BSLASHgls] = ACTIONS(7547),
    [anon_sym_BSLASHGls] = ACTIONS(7547),
    [anon_sym_BSLASHGLS] = ACTIONS(7547),
    [anon_sym_BSLASHglspl] = ACTIONS(7547),
    [anon_sym_BSLASHGlspl] = ACTIONS(7547),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7547),
    [anon_sym_BSLASHglslink] = ACTIONS(7547),
    [anon_sym_BSLASHglstext] = ACTIONS(7547),
    [anon_sym_BSLASHGlstext] = ACTIONS(7547),
    [anon_sym_BSLASHGLStext] = ACTIONS(7547),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7547),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7547),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7547),
    [anon_sym_BSLASHglsplural] = ACTIONS(7547),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7547),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7547),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHglsname] = ACTIONS(7547),
    [anon_sym_BSLASHGlsname] = ACTIONS(7547),
    [anon_sym_BSLASHGLSname] = ACTIONS(7547),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7547),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7547),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7547),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7547),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7547),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7547),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7547),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7547),
    [anon_sym_BSLASHacrshort] = ACTIONS(7547),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7547),
    [anon_sym_BSLASHACRshort] = ACTIONS(7547),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHacrlong] = ACTIONS(7547),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7547),
    [anon_sym_BSLASHACRlong] = ACTIONS(7547),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHacrfull] = ACTIONS(7547),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7547),
    [anon_sym_BSLASHACRfull] = ACTIONS(7547),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHacs] = ACTIONS(7547),
    [anon_sym_BSLASHAcs] = ACTIONS(7547),
    [anon_sym_BSLASHacsp] = ACTIONS(7547),
    [anon_sym_BSLASHAcsp] = ACTIONS(7547),
    [anon_sym_BSLASHacl] = ACTIONS(7547),
    [anon_sym_BSLASHAcl] = ACTIONS(7547),
    [anon_sym_BSLASHaclp] = ACTIONS(7547),
    [anon_sym_BSLASHAclp] = ACTIONS(7547),
    [anon_sym_BSLASHacf] = ACTIONS(7547),
    [anon_sym_BSLASHAcf] = ACTIONS(7547),
    [anon_sym_BSLASHacfp] = ACTIONS(7547),
    [anon_sym_BSLASHAcfp] = ACTIONS(7547),
    [anon_sym_BSLASHac] = ACTIONS(7547),
    [anon_sym_BSLASHAc] = ACTIONS(7547),
    [anon_sym_BSLASHacp] = ACTIONS(7547),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7547),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7547),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7547),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7547),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7547),
    [anon_sym_BSLASHcolor] = ACTIONS(7547),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7547),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7547),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7547),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7547),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7547),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7547),
    [anon_sym_BSLASHurl] = ACTIONS(7547),
    [anon_sym_BSLASHhref] = ACTIONS(7547),
  },
  [1465] = {
    [sym_command_name] = ACTIONS(7191),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7191),
    [anon_sym_LBRACK] = ACTIONS(7193),
    [anon_sym_RBRACK] = ACTIONS(7193),
    [anon_sym_COMMA] = ACTIONS(7193),
    [anon_sym_EQ] = ACTIONS(7193),
    [anon_sym_LPAREN] = ACTIONS(7193),
    [anon_sym_RPAREN] = ACTIONS(7193),
    [anon_sym_BSLASHpart] = ACTIONS(7191),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHaddpart] = ACTIONS(7191),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHchapter] = ACTIONS(7191),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHaddchap] = ACTIONS(7191),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHsection] = ACTIONS(7191),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHaddsec] = ACTIONS(7191),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHsubsection] = ACTIONS(7191),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7191),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHparagraph] = ACTIONS(7191),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7191),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHitem] = ACTIONS(7191),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7193),
    [anon_sym_LBRACE] = ACTIONS(7193),
    [sym_word] = ACTIONS(7191),
    [sym_placeholder] = ACTIONS(7193),
    [sym_delimiter] = ACTIONS(7193),
    [anon_sym_PLUS] = ACTIONS(7193),
    [anon_sym_DASH] = ACTIONS(7193),
    [anon_sym_STAR] = ACTIONS(7193),
    [anon_sym_SLASH] = ACTIONS(7193),
    [anon_sym_LT] = ACTIONS(7191),
    [anon_sym_GT] = ACTIONS(7191),
    [anon_sym_BANG] = ACTIONS(7191),
    [anon_sym_PIPE] = ACTIONS(7191),
    [anon_sym_COLON] = ACTIONS(7191),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym__] = ACTIONS(7193),
    [anon_sym_CARET] = ACTIONS(7193),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7193),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7193),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7193),
    [anon_sym_DOLLAR] = ACTIONS(7191),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7193),
    [anon_sym_BSLASHleft] = ACTIONS(7191),
    [anon_sym_BSLASHbigl] = ACTIONS(7191),
    [anon_sym_BSLASHBigl] = ACTIONS(7191),
    [anon_sym_BSLASHbiggl] = ACTIONS(7191),
    [anon_sym_BSLASHBiggl] = ACTIONS(7191),
    [anon_sym_BSLASHtext] = ACTIONS(7191),
    [anon_sym_BSLASHintertext] = ACTIONS(7191),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7191),
    [anon_sym_BSLASHbegin] = ACTIONS(7191),
    [anon_sym_BSLASHtitle] = ACTIONS(7191),
    [anon_sym_BSLASHauthor] = ACTIONS(7191),
    [anon_sym_BSLASHusepackage] = ACTIONS(7191),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7191),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7191),
    [anon_sym_BSLASHinclude] = ACTIONS(7191),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7191),
    [anon_sym_BSLASHinput] = ACTIONS(7191),
    [anon_sym_BSLASHsubfile] = ACTIONS(7191),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7191),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7191),
    [anon_sym_BSLASHbibliography] = ACTIONS(7191),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7191),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7191),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7191),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7191),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7191),
    [anon_sym_BSLASHimport] = ACTIONS(7191),
    [anon_sym_BSLASHsubimport] = ACTIONS(7191),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7191),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7191),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7191),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7191),
    [anon_sym_BSLASHcaption] = ACTIONS(7191),
    [anon_sym_BSLASHcite] = ACTIONS(7191),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCite] = ACTIONS(7191),
    [anon_sym_BSLASHnocite] = ACTIONS(7191),
    [anon_sym_BSLASHcitet] = ACTIONS(7191),
    [anon_sym_BSLASHcitep] = ACTIONS(7191),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteA] = ACTIONS(7191),
    [anon_sym_BSLASHciteR] = ACTIONS(7191),
    [anon_sym_BSLASHciteS] = ACTIONS(7191),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7191),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7191),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7191),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7191),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteyear] = ACTIONS(7191),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitedate] = ACTIONS(7191),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteurl] = ACTIONS(7191),
    [anon_sym_BSLASHfullcite] = ACTIONS(7191),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7191),
    [anon_sym_BSLASHcitealt] = ACTIONS(7191),
    [anon_sym_BSLASHcitealp] = ACTIONS(7191),
    [anon_sym_BSLASHcitetext] = ACTIONS(7191),
    [anon_sym_BSLASHparencite] = ACTIONS(7191),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHParencite] = ACTIONS(7191),
    [anon_sym_BSLASHfootcite] = ACTIONS(7191),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7191),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7191),
    [anon_sym_BSLASHtextcite] = ACTIONS(7191),
    [anon_sym_BSLASHTextcite] = ACTIONS(7191),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7191),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7191),
    [anon_sym_BSLASHsupercite] = ACTIONS(7191),
    [anon_sym_BSLASHautocite] = ACTIONS(7191),
    [anon_sym_BSLASHAutocite] = ACTIONS(7191),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHVolcite] = ACTIONS(7191),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHavolcite] = ACTIONS(7191),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHNotecite] = ACTIONS(7191),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHlabel] = ACTIONS(7191),
    [anon_sym_BSLASHref] = ACTIONS(7191),
    [anon_sym_BSLASHeqref] = ACTIONS(7191),
    [anon_sym_BSLASHvref] = ACTIONS(7191),
    [anon_sym_BSLASHVref] = ACTIONS(7191),
    [anon_sym_BSLASHautoref] = ACTIONS(7191),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHpageref] = ACTIONS(7191),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHautopageref] = ACTIONS(7191),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcref] = ACTIONS(7191),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCref] = ACTIONS(7191),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcpageref] = ACTIONS(7191),
    [anon_sym_BSLASHCpageref] = ACTIONS(7191),
    [anon_sym_BSLASHnamecref] = ACTIONS(7191),
    [anon_sym_BSLASHnameCref] = ACTIONS(7191),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7191),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7191),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7191),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7191),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7191),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7191),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7191),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7191),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7191),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7191),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7191),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHdef] = ACTIONS(7191),
    [anon_sym_BSLASHgdef] = ACTIONS(7191),
    [anon_sym_BSLASHedef] = ACTIONS(7191),
    [anon_sym_BSLASHxdef] = ACTIONS(7191),
    [anon_sym_BSLASHlet] = ACTIONS(7191),
    [anon_sym_BSLASHglet] = ACTIONS(7191),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7191),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7191),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7191),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7191),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7191),
    [anon_sym_BSLASHgls] = ACTIONS(7191),
    [anon_sym_BSLASHGls] = ACTIONS(7191),
    [anon_sym_BSLASHGLS] = ACTIONS(7191),
    [anon_sym_BSLASHglspl] = ACTIONS(7191),
    [anon_sym_BSLASHGlspl] = ACTIONS(7191),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7191),
    [anon_sym_BSLASHglslink] = ACTIONS(7191),
    [anon_sym_BSLASHglstext] = ACTIONS(7191),
    [anon_sym_BSLASHGlstext] = ACTIONS(7191),
    [anon_sym_BSLASHGLStext] = ACTIONS(7191),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7191),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7191),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7191),
    [anon_sym_BSLASHglsplural] = ACTIONS(7191),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7191),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7191),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHglsname] = ACTIONS(7191),
    [anon_sym_BSLASHGlsname] = ACTIONS(7191),
    [anon_sym_BSLASHGLSname] = ACTIONS(7191),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7191),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7191),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7191),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7191),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7191),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7191),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7191),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7191),
    [anon_sym_BSLASHacrshort] = ACTIONS(7191),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7191),
    [anon_sym_BSLASHACRshort] = ACTIONS(7191),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHacrlong] = ACTIONS(7191),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7191),
    [anon_sym_BSLASHACRlong] = ACTIONS(7191),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHacrfull] = ACTIONS(7191),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7191),
    [anon_sym_BSLASHACRfull] = ACTIONS(7191),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHacs] = ACTIONS(7191),
    [anon_sym_BSLASHAcs] = ACTIONS(7191),
    [anon_sym_BSLASHacsp] = ACTIONS(7191),
    [anon_sym_BSLASHAcsp] = ACTIONS(7191),
    [anon_sym_BSLASHacl] = ACTIONS(7191),
    [anon_sym_BSLASHAcl] = ACTIONS(7191),
    [anon_sym_BSLASHaclp] = ACTIONS(7191),
    [anon_sym_BSLASHAclp] = ACTIONS(7191),
    [anon_sym_BSLASHacf] = ACTIONS(7191),
    [anon_sym_BSLASHAcf] = ACTIONS(7191),
    [anon_sym_BSLASHacfp] = ACTIONS(7191),
    [anon_sym_BSLASHAcfp] = ACTIONS(7191),
    [anon_sym_BSLASHac] = ACTIONS(7191),
    [anon_sym_BSLASHAc] = ACTIONS(7191),
    [anon_sym_BSLASHacp] = ACTIONS(7191),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7191),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7191),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7191),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7191),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7191),
    [anon_sym_BSLASHcolor] = ACTIONS(7191),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7191),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7191),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7191),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7191),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7191),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7191),
    [anon_sym_BSLASHurl] = ACTIONS(7191),
    [anon_sym_BSLASHhref] = ACTIONS(7191),
  },
  [1466] = {
    [sym_command_name] = ACTIONS(7195),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7195),
    [anon_sym_LBRACK] = ACTIONS(7197),
    [anon_sym_RBRACK] = ACTIONS(7197),
    [anon_sym_COMMA] = ACTIONS(7197),
    [anon_sym_EQ] = ACTIONS(7197),
    [anon_sym_LPAREN] = ACTIONS(7197),
    [anon_sym_RPAREN] = ACTIONS(7197),
    [anon_sym_BSLASHpart] = ACTIONS(7195),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHaddpart] = ACTIONS(7195),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHchapter] = ACTIONS(7195),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHaddchap] = ACTIONS(7195),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHsection] = ACTIONS(7195),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHaddsec] = ACTIONS(7195),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHsubsection] = ACTIONS(7195),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7195),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHparagraph] = ACTIONS(7195),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7195),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHitem] = ACTIONS(7195),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7197),
    [anon_sym_LBRACE] = ACTIONS(7197),
    [sym_word] = ACTIONS(7195),
    [sym_placeholder] = ACTIONS(7197),
    [sym_delimiter] = ACTIONS(7197),
    [anon_sym_PLUS] = ACTIONS(7197),
    [anon_sym_DASH] = ACTIONS(7197),
    [anon_sym_STAR] = ACTIONS(7197),
    [anon_sym_SLASH] = ACTIONS(7197),
    [anon_sym_LT] = ACTIONS(7195),
    [anon_sym_GT] = ACTIONS(7195),
    [anon_sym_BANG] = ACTIONS(7195),
    [anon_sym_PIPE] = ACTIONS(7195),
    [anon_sym_COLON] = ACTIONS(7195),
    [anon_sym_SQUOTE] = ACTIONS(7195),
    [anon_sym__] = ACTIONS(7197),
    [anon_sym_CARET] = ACTIONS(7197),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7197),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7197),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7197),
    [anon_sym_DOLLAR] = ACTIONS(7195),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7197),
    [anon_sym_BSLASHleft] = ACTIONS(7195),
    [anon_sym_BSLASHbigl] = ACTIONS(7195),
    [anon_sym_BSLASHBigl] = ACTIONS(7195),
    [anon_sym_BSLASHbiggl] = ACTIONS(7195),
    [anon_sym_BSLASHBiggl] = ACTIONS(7195),
    [anon_sym_BSLASHtext] = ACTIONS(7195),
    [anon_sym_BSLASHintertext] = ACTIONS(7195),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7195),
    [anon_sym_BSLASHbegin] = ACTIONS(7195),
    [anon_sym_BSLASHtitle] = ACTIONS(7195),
    [anon_sym_BSLASHauthor] = ACTIONS(7195),
    [anon_sym_BSLASHusepackage] = ACTIONS(7195),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7195),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7195),
    [anon_sym_BSLASHinclude] = ACTIONS(7195),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7195),
    [anon_sym_BSLASHinput] = ACTIONS(7195),
    [anon_sym_BSLASHsubfile] = ACTIONS(7195),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7195),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7195),
    [anon_sym_BSLASHbibliography] = ACTIONS(7195),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7195),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7195),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7195),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7195),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7195),
    [anon_sym_BSLASHimport] = ACTIONS(7195),
    [anon_sym_BSLASHsubimport] = ACTIONS(7195),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7195),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7195),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7195),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7195),
    [anon_sym_BSLASHcaption] = ACTIONS(7195),
    [anon_sym_BSLASHcite] = ACTIONS(7195),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCite] = ACTIONS(7195),
    [anon_sym_BSLASHnocite] = ACTIONS(7195),
    [anon_sym_BSLASHcitet] = ACTIONS(7195),
    [anon_sym_BSLASHcitep] = ACTIONS(7195),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteA] = ACTIONS(7195),
    [anon_sym_BSLASHciteR] = ACTIONS(7195),
    [anon_sym_BSLASHciteS] = ACTIONS(7195),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7195),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7195),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7195),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7195),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteyear] = ACTIONS(7195),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitedate] = ACTIONS(7195),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteurl] = ACTIONS(7195),
    [anon_sym_BSLASHfullcite] = ACTIONS(7195),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7195),
    [anon_sym_BSLASHcitealt] = ACTIONS(7195),
    [anon_sym_BSLASHcitealp] = ACTIONS(7195),
    [anon_sym_BSLASHcitetext] = ACTIONS(7195),
    [anon_sym_BSLASHparencite] = ACTIONS(7195),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHParencite] = ACTIONS(7195),
    [anon_sym_BSLASHfootcite] = ACTIONS(7195),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7195),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7195),
    [anon_sym_BSLASHtextcite] = ACTIONS(7195),
    [anon_sym_BSLASHTextcite] = ACTIONS(7195),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7195),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7195),
    [anon_sym_BSLASHsupercite] = ACTIONS(7195),
    [anon_sym_BSLASHautocite] = ACTIONS(7195),
    [anon_sym_BSLASHAutocite] = ACTIONS(7195),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHVolcite] = ACTIONS(7195),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHavolcite] = ACTIONS(7195),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHNotecite] = ACTIONS(7195),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHlabel] = ACTIONS(7195),
    [anon_sym_BSLASHref] = ACTIONS(7195),
    [anon_sym_BSLASHeqref] = ACTIONS(7195),
    [anon_sym_BSLASHvref] = ACTIONS(7195),
    [anon_sym_BSLASHVref] = ACTIONS(7195),
    [anon_sym_BSLASHautoref] = ACTIONS(7195),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHpageref] = ACTIONS(7195),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHautopageref] = ACTIONS(7195),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcref] = ACTIONS(7195),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCref] = ACTIONS(7195),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcpageref] = ACTIONS(7195),
    [anon_sym_BSLASHCpageref] = ACTIONS(7195),
    [anon_sym_BSLASHnamecref] = ACTIONS(7195),
    [anon_sym_BSLASHnameCref] = ACTIONS(7195),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7195),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7195),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7195),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7195),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7195),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7195),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7195),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7195),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7195),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7195),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7195),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHdef] = ACTIONS(7195),
    [anon_sym_BSLASHgdef] = ACTIONS(7195),
    [anon_sym_BSLASHedef] = ACTIONS(7195),
    [anon_sym_BSLASHxdef] = ACTIONS(7195),
    [anon_sym_BSLASHlet] = ACTIONS(7195),
    [anon_sym_BSLASHglet] = ACTIONS(7195),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7195),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7195),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7195),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7195),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7195),
    [anon_sym_BSLASHgls] = ACTIONS(7195),
    [anon_sym_BSLASHGls] = ACTIONS(7195),
    [anon_sym_BSLASHGLS] = ACTIONS(7195),
    [anon_sym_BSLASHglspl] = ACTIONS(7195),
    [anon_sym_BSLASHGlspl] = ACTIONS(7195),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7195),
    [anon_sym_BSLASHglslink] = ACTIONS(7195),
    [anon_sym_BSLASHglstext] = ACTIONS(7195),
    [anon_sym_BSLASHGlstext] = ACTIONS(7195),
    [anon_sym_BSLASHGLStext] = ACTIONS(7195),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7195),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7195),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7195),
    [anon_sym_BSLASHglsplural] = ACTIONS(7195),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7195),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7195),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHglsname] = ACTIONS(7195),
    [anon_sym_BSLASHGlsname] = ACTIONS(7195),
    [anon_sym_BSLASHGLSname] = ACTIONS(7195),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7195),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7195),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7195),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7195),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7195),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7195),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7195),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7195),
    [anon_sym_BSLASHacrshort] = ACTIONS(7195),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7195),
    [anon_sym_BSLASHACRshort] = ACTIONS(7195),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHacrlong] = ACTIONS(7195),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7195),
    [anon_sym_BSLASHACRlong] = ACTIONS(7195),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHacrfull] = ACTIONS(7195),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7195),
    [anon_sym_BSLASHACRfull] = ACTIONS(7195),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHacs] = ACTIONS(7195),
    [anon_sym_BSLASHAcs] = ACTIONS(7195),
    [anon_sym_BSLASHacsp] = ACTIONS(7195),
    [anon_sym_BSLASHAcsp] = ACTIONS(7195),
    [anon_sym_BSLASHacl] = ACTIONS(7195),
    [anon_sym_BSLASHAcl] = ACTIONS(7195),
    [anon_sym_BSLASHaclp] = ACTIONS(7195),
    [anon_sym_BSLASHAclp] = ACTIONS(7195),
    [anon_sym_BSLASHacf] = ACTIONS(7195),
    [anon_sym_BSLASHAcf] = ACTIONS(7195),
    [anon_sym_BSLASHacfp] = ACTIONS(7195),
    [anon_sym_BSLASHAcfp] = ACTIONS(7195),
    [anon_sym_BSLASHac] = ACTIONS(7195),
    [anon_sym_BSLASHAc] = ACTIONS(7195),
    [anon_sym_BSLASHacp] = ACTIONS(7195),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7195),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7195),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7195),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7195),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7195),
    [anon_sym_BSLASHcolor] = ACTIONS(7195),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7195),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7195),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7195),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7195),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7195),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7195),
    [anon_sym_BSLASHurl] = ACTIONS(7195),
    [anon_sym_BSLASHhref] = ACTIONS(7195),
  },
  [1467] = {
    [sym_command_name] = ACTIONS(7239),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7239),
    [anon_sym_LBRACK] = ACTIONS(7241),
    [anon_sym_RBRACK] = ACTIONS(7241),
    [anon_sym_COMMA] = ACTIONS(7241),
    [anon_sym_EQ] = ACTIONS(7241),
    [anon_sym_LPAREN] = ACTIONS(7241),
    [anon_sym_RPAREN] = ACTIONS(7241),
    [anon_sym_BSLASHpart] = ACTIONS(7239),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHaddpart] = ACTIONS(7239),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHchapter] = ACTIONS(7239),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHaddchap] = ACTIONS(7239),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHsection] = ACTIONS(7239),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHaddsec] = ACTIONS(7239),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHsubsection] = ACTIONS(7239),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7239),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHparagraph] = ACTIONS(7239),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7239),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHitem] = ACTIONS(7239),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7241),
    [anon_sym_LBRACE] = ACTIONS(7241),
    [sym_word] = ACTIONS(7239),
    [sym_placeholder] = ACTIONS(7241),
    [sym_delimiter] = ACTIONS(7241),
    [anon_sym_PLUS] = ACTIONS(7241),
    [anon_sym_DASH] = ACTIONS(7241),
    [anon_sym_STAR] = ACTIONS(7241),
    [anon_sym_SLASH] = ACTIONS(7241),
    [anon_sym_LT] = ACTIONS(7239),
    [anon_sym_GT] = ACTIONS(7239),
    [anon_sym_BANG] = ACTIONS(7239),
    [anon_sym_PIPE] = ACTIONS(7239),
    [anon_sym_COLON] = ACTIONS(7239),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym__] = ACTIONS(7241),
    [anon_sym_CARET] = ACTIONS(7241),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7241),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7241),
    [anon_sym_DOLLAR] = ACTIONS(7239),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7241),
    [anon_sym_BSLASHleft] = ACTIONS(7239),
    [anon_sym_BSLASHbigl] = ACTIONS(7239),
    [anon_sym_BSLASHBigl] = ACTIONS(7239),
    [anon_sym_BSLASHbiggl] = ACTIONS(7239),
    [anon_sym_BSLASHBiggl] = ACTIONS(7239),
    [anon_sym_BSLASHtext] = ACTIONS(7239),
    [anon_sym_BSLASHintertext] = ACTIONS(7239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7239),
    [anon_sym_BSLASHbegin] = ACTIONS(7239),
    [anon_sym_BSLASHend] = ACTIONS(7239),
    [anon_sym_BSLASHtitle] = ACTIONS(7239),
    [anon_sym_BSLASHauthor] = ACTIONS(7239),
    [anon_sym_BSLASHusepackage] = ACTIONS(7239),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7239),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7239),
    [anon_sym_BSLASHinclude] = ACTIONS(7239),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7239),
    [anon_sym_BSLASHinput] = ACTIONS(7239),
    [anon_sym_BSLASHsubfile] = ACTIONS(7239),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7239),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7239),
    [anon_sym_BSLASHbibliography] = ACTIONS(7239),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7239),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7239),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7239),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7239),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7239),
    [anon_sym_BSLASHimport] = ACTIONS(7239),
    [anon_sym_BSLASHsubimport] = ACTIONS(7239),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7239),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7239),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7239),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7239),
    [anon_sym_BSLASHcaption] = ACTIONS(7239),
    [anon_sym_BSLASHcite] = ACTIONS(7239),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCite] = ACTIONS(7239),
    [anon_sym_BSLASHnocite] = ACTIONS(7239),
    [anon_sym_BSLASHcitet] = ACTIONS(7239),
    [anon_sym_BSLASHcitep] = ACTIONS(7239),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteA] = ACTIONS(7239),
    [anon_sym_BSLASHciteR] = ACTIONS(7239),
    [anon_sym_BSLASHciteS] = ACTIONS(7239),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7239),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7239),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7239),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7239),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteyear] = ACTIONS(7239),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitedate] = ACTIONS(7239),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteurl] = ACTIONS(7239),
    [anon_sym_BSLASHfullcite] = ACTIONS(7239),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7239),
    [anon_sym_BSLASHcitealt] = ACTIONS(7239),
    [anon_sym_BSLASHcitealp] = ACTIONS(7239),
    [anon_sym_BSLASHcitetext] = ACTIONS(7239),
    [anon_sym_BSLASHparencite] = ACTIONS(7239),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHParencite] = ACTIONS(7239),
    [anon_sym_BSLASHfootcite] = ACTIONS(7239),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7239),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7239),
    [anon_sym_BSLASHtextcite] = ACTIONS(7239),
    [anon_sym_BSLASHTextcite] = ACTIONS(7239),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7239),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7239),
    [anon_sym_BSLASHsupercite] = ACTIONS(7239),
    [anon_sym_BSLASHautocite] = ACTIONS(7239),
    [anon_sym_BSLASHAutocite] = ACTIONS(7239),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHVolcite] = ACTIONS(7239),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHavolcite] = ACTIONS(7239),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHNotecite] = ACTIONS(7239),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHlabel] = ACTIONS(7239),
    [anon_sym_BSLASHref] = ACTIONS(7239),
    [anon_sym_BSLASHeqref] = ACTIONS(7239),
    [anon_sym_BSLASHvref] = ACTIONS(7239),
    [anon_sym_BSLASHVref] = ACTIONS(7239),
    [anon_sym_BSLASHautoref] = ACTIONS(7239),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHpageref] = ACTIONS(7239),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHautopageref] = ACTIONS(7239),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcref] = ACTIONS(7239),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCref] = ACTIONS(7239),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcpageref] = ACTIONS(7239),
    [anon_sym_BSLASHCpageref] = ACTIONS(7239),
    [anon_sym_BSLASHnamecref] = ACTIONS(7239),
    [anon_sym_BSLASHnameCref] = ACTIONS(7239),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7239),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7239),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7239),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7239),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7239),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7239),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7239),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7239),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7239),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7239),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7239),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHdef] = ACTIONS(7239),
    [anon_sym_BSLASHgdef] = ACTIONS(7239),
    [anon_sym_BSLASHedef] = ACTIONS(7239),
    [anon_sym_BSLASHxdef] = ACTIONS(7239),
    [anon_sym_BSLASHlet] = ACTIONS(7239),
    [anon_sym_BSLASHglet] = ACTIONS(7239),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7239),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7239),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7239),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7239),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7239),
    [anon_sym_BSLASHgls] = ACTIONS(7239),
    [anon_sym_BSLASHGls] = ACTIONS(7239),
    [anon_sym_BSLASHGLS] = ACTIONS(7239),
    [anon_sym_BSLASHglspl] = ACTIONS(7239),
    [anon_sym_BSLASHGlspl] = ACTIONS(7239),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7239),
    [anon_sym_BSLASHglslink] = ACTIONS(7239),
    [anon_sym_BSLASHglstext] = ACTIONS(7239),
    [anon_sym_BSLASHGlstext] = ACTIONS(7239),
    [anon_sym_BSLASHGLStext] = ACTIONS(7239),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7239),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7239),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7239),
    [anon_sym_BSLASHglsplural] = ACTIONS(7239),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7239),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7239),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHglsname] = ACTIONS(7239),
    [anon_sym_BSLASHGlsname] = ACTIONS(7239),
    [anon_sym_BSLASHGLSname] = ACTIONS(7239),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7239),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7239),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7239),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7239),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7239),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7239),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7239),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7239),
    [anon_sym_BSLASHacrshort] = ACTIONS(7239),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7239),
    [anon_sym_BSLASHACRshort] = ACTIONS(7239),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHacrlong] = ACTIONS(7239),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7239),
    [anon_sym_BSLASHACRlong] = ACTIONS(7239),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHacrfull] = ACTIONS(7239),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7239),
    [anon_sym_BSLASHACRfull] = ACTIONS(7239),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHacs] = ACTIONS(7239),
    [anon_sym_BSLASHAcs] = ACTIONS(7239),
    [anon_sym_BSLASHacsp] = ACTIONS(7239),
    [anon_sym_BSLASHAcsp] = ACTIONS(7239),
    [anon_sym_BSLASHacl] = ACTIONS(7239),
    [anon_sym_BSLASHAcl] = ACTIONS(7239),
    [anon_sym_BSLASHaclp] = ACTIONS(7239),
    [anon_sym_BSLASHAclp] = ACTIONS(7239),
    [anon_sym_BSLASHacf] = ACTIONS(7239),
    [anon_sym_BSLASHAcf] = ACTIONS(7239),
    [anon_sym_BSLASHacfp] = ACTIONS(7239),
    [anon_sym_BSLASHAcfp] = ACTIONS(7239),
    [anon_sym_BSLASHac] = ACTIONS(7239),
    [anon_sym_BSLASHAc] = ACTIONS(7239),
    [anon_sym_BSLASHacp] = ACTIONS(7239),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7239),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7239),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7239),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7239),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7239),
    [anon_sym_BSLASHcolor] = ACTIONS(7239),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7239),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7239),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7239),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7239),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7239),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7239),
    [anon_sym_BSLASHurl] = ACTIONS(7239),
    [anon_sym_BSLASHhref] = ACTIONS(7239),
  },
  [1468] = {
    [sym_command_name] = ACTIONS(7375),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7375),
    [anon_sym_LBRACK] = ACTIONS(7377),
    [anon_sym_RBRACK] = ACTIONS(7377),
    [anon_sym_COMMA] = ACTIONS(7377),
    [anon_sym_EQ] = ACTIONS(7377),
    [anon_sym_LPAREN] = ACTIONS(7377),
    [anon_sym_RPAREN] = ACTIONS(7377),
    [anon_sym_BSLASHpart] = ACTIONS(7375),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHaddpart] = ACTIONS(7375),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHchapter] = ACTIONS(7375),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHaddchap] = ACTIONS(7375),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHsection] = ACTIONS(7375),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHaddsec] = ACTIONS(7375),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHsubsection] = ACTIONS(7375),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7375),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHparagraph] = ACTIONS(7375),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7375),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHitem] = ACTIONS(7375),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7377),
    [anon_sym_LBRACE] = ACTIONS(7377),
    [sym_word] = ACTIONS(7375),
    [sym_placeholder] = ACTIONS(7377),
    [sym_delimiter] = ACTIONS(7377),
    [anon_sym_PLUS] = ACTIONS(7377),
    [anon_sym_DASH] = ACTIONS(7377),
    [anon_sym_STAR] = ACTIONS(7377),
    [anon_sym_SLASH] = ACTIONS(7377),
    [anon_sym_LT] = ACTIONS(7375),
    [anon_sym_GT] = ACTIONS(7375),
    [anon_sym_BANG] = ACTIONS(7375),
    [anon_sym_PIPE] = ACTIONS(7375),
    [anon_sym_COLON] = ACTIONS(7375),
    [anon_sym_SQUOTE] = ACTIONS(7375),
    [anon_sym__] = ACTIONS(7377),
    [anon_sym_CARET] = ACTIONS(7377),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7377),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7377),
    [anon_sym_DOLLAR] = ACTIONS(7375),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7377),
    [anon_sym_BSLASHleft] = ACTIONS(7375),
    [anon_sym_BSLASHbigl] = ACTIONS(7375),
    [anon_sym_BSLASHBigl] = ACTIONS(7375),
    [anon_sym_BSLASHbiggl] = ACTIONS(7375),
    [anon_sym_BSLASHBiggl] = ACTIONS(7375),
    [anon_sym_BSLASHtext] = ACTIONS(7375),
    [anon_sym_BSLASHintertext] = ACTIONS(7375),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7375),
    [anon_sym_BSLASHbegin] = ACTIONS(7375),
    [anon_sym_BSLASHend] = ACTIONS(7375),
    [anon_sym_BSLASHtitle] = ACTIONS(7375),
    [anon_sym_BSLASHauthor] = ACTIONS(7375),
    [anon_sym_BSLASHusepackage] = ACTIONS(7375),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7375),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7375),
    [anon_sym_BSLASHinclude] = ACTIONS(7375),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7375),
    [anon_sym_BSLASHinput] = ACTIONS(7375),
    [anon_sym_BSLASHsubfile] = ACTIONS(7375),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7375),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7375),
    [anon_sym_BSLASHbibliography] = ACTIONS(7375),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7375),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7375),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7375),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7375),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7375),
    [anon_sym_BSLASHimport] = ACTIONS(7375),
    [anon_sym_BSLASHsubimport] = ACTIONS(7375),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7375),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7375),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7375),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7375),
    [anon_sym_BSLASHcaption] = ACTIONS(7375),
    [anon_sym_BSLASHcite] = ACTIONS(7375),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCite] = ACTIONS(7375),
    [anon_sym_BSLASHnocite] = ACTIONS(7375),
    [anon_sym_BSLASHcitet] = ACTIONS(7375),
    [anon_sym_BSLASHcitep] = ACTIONS(7375),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteA] = ACTIONS(7375),
    [anon_sym_BSLASHciteR] = ACTIONS(7375),
    [anon_sym_BSLASHciteS] = ACTIONS(7375),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7375),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7375),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7375),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7375),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteyear] = ACTIONS(7375),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitedate] = ACTIONS(7375),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteurl] = ACTIONS(7375),
    [anon_sym_BSLASHfullcite] = ACTIONS(7375),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7375),
    [anon_sym_BSLASHcitealt] = ACTIONS(7375),
    [anon_sym_BSLASHcitealp] = ACTIONS(7375),
    [anon_sym_BSLASHcitetext] = ACTIONS(7375),
    [anon_sym_BSLASHparencite] = ACTIONS(7375),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHParencite] = ACTIONS(7375),
    [anon_sym_BSLASHfootcite] = ACTIONS(7375),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7375),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7375),
    [anon_sym_BSLASHtextcite] = ACTIONS(7375),
    [anon_sym_BSLASHTextcite] = ACTIONS(7375),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7375),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7375),
    [anon_sym_BSLASHsupercite] = ACTIONS(7375),
    [anon_sym_BSLASHautocite] = ACTIONS(7375),
    [anon_sym_BSLASHAutocite] = ACTIONS(7375),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHVolcite] = ACTIONS(7375),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHavolcite] = ACTIONS(7375),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHNotecite] = ACTIONS(7375),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHlabel] = ACTIONS(7375),
    [anon_sym_BSLASHref] = ACTIONS(7375),
    [anon_sym_BSLASHeqref] = ACTIONS(7375),
    [anon_sym_BSLASHvref] = ACTIONS(7375),
    [anon_sym_BSLASHVref] = ACTIONS(7375),
    [anon_sym_BSLASHautoref] = ACTIONS(7375),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHpageref] = ACTIONS(7375),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHautopageref] = ACTIONS(7375),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcref] = ACTIONS(7375),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCref] = ACTIONS(7375),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcpageref] = ACTIONS(7375),
    [anon_sym_BSLASHCpageref] = ACTIONS(7375),
    [anon_sym_BSLASHnamecref] = ACTIONS(7375),
    [anon_sym_BSLASHnameCref] = ACTIONS(7375),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7375),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7375),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7375),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7375),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7375),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7375),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7375),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7375),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7375),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7375),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7375),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHdef] = ACTIONS(7375),
    [anon_sym_BSLASHgdef] = ACTIONS(7375),
    [anon_sym_BSLASHedef] = ACTIONS(7375),
    [anon_sym_BSLASHxdef] = ACTIONS(7375),
    [anon_sym_BSLASHlet] = ACTIONS(7375),
    [anon_sym_BSLASHglet] = ACTIONS(7375),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7375),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7375),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7375),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7375),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7375),
    [anon_sym_BSLASHgls] = ACTIONS(7375),
    [anon_sym_BSLASHGls] = ACTIONS(7375),
    [anon_sym_BSLASHGLS] = ACTIONS(7375),
    [anon_sym_BSLASHglspl] = ACTIONS(7375),
    [anon_sym_BSLASHGlspl] = ACTIONS(7375),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7375),
    [anon_sym_BSLASHglslink] = ACTIONS(7375),
    [anon_sym_BSLASHglstext] = ACTIONS(7375),
    [anon_sym_BSLASHGlstext] = ACTIONS(7375),
    [anon_sym_BSLASHGLStext] = ACTIONS(7375),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7375),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7375),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7375),
    [anon_sym_BSLASHglsplural] = ACTIONS(7375),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7375),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7375),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHglsname] = ACTIONS(7375),
    [anon_sym_BSLASHGlsname] = ACTIONS(7375),
    [anon_sym_BSLASHGLSname] = ACTIONS(7375),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7375),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7375),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7375),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7375),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7375),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7375),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7375),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7375),
    [anon_sym_BSLASHacrshort] = ACTIONS(7375),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7375),
    [anon_sym_BSLASHACRshort] = ACTIONS(7375),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHacrlong] = ACTIONS(7375),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7375),
    [anon_sym_BSLASHACRlong] = ACTIONS(7375),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHacrfull] = ACTIONS(7375),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7375),
    [anon_sym_BSLASHACRfull] = ACTIONS(7375),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHacs] = ACTIONS(7375),
    [anon_sym_BSLASHAcs] = ACTIONS(7375),
    [anon_sym_BSLASHacsp] = ACTIONS(7375),
    [anon_sym_BSLASHAcsp] = ACTIONS(7375),
    [anon_sym_BSLASHacl] = ACTIONS(7375),
    [anon_sym_BSLASHAcl] = ACTIONS(7375),
    [anon_sym_BSLASHaclp] = ACTIONS(7375),
    [anon_sym_BSLASHAclp] = ACTIONS(7375),
    [anon_sym_BSLASHacf] = ACTIONS(7375),
    [anon_sym_BSLASHAcf] = ACTIONS(7375),
    [anon_sym_BSLASHacfp] = ACTIONS(7375),
    [anon_sym_BSLASHAcfp] = ACTIONS(7375),
    [anon_sym_BSLASHac] = ACTIONS(7375),
    [anon_sym_BSLASHAc] = ACTIONS(7375),
    [anon_sym_BSLASHacp] = ACTIONS(7375),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7375),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7375),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7375),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7375),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7375),
    [anon_sym_BSLASHcolor] = ACTIONS(7375),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7375),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7375),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7375),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7375),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7375),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7375),
    [anon_sym_BSLASHurl] = ACTIONS(7375),
    [anon_sym_BSLASHhref] = ACTIONS(7375),
  },
  [1469] = {
    [sym_command_name] = ACTIONS(7243),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7243),
    [anon_sym_LBRACK] = ACTIONS(7245),
    [anon_sym_RBRACK] = ACTIONS(7245),
    [anon_sym_COMMA] = ACTIONS(7245),
    [anon_sym_EQ] = ACTIONS(7245),
    [anon_sym_LPAREN] = ACTIONS(7245),
    [anon_sym_RPAREN] = ACTIONS(7245),
    [anon_sym_BSLASHpart] = ACTIONS(7243),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHaddpart] = ACTIONS(7243),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHchapter] = ACTIONS(7243),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHaddchap] = ACTIONS(7243),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHsection] = ACTIONS(7243),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHaddsec] = ACTIONS(7243),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHsubsection] = ACTIONS(7243),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7243),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHparagraph] = ACTIONS(7243),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7243),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHitem] = ACTIONS(7243),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7245),
    [anon_sym_LBRACE] = ACTIONS(7245),
    [sym_word] = ACTIONS(7243),
    [sym_placeholder] = ACTIONS(7245),
    [sym_delimiter] = ACTIONS(7245),
    [anon_sym_PLUS] = ACTIONS(7245),
    [anon_sym_DASH] = ACTIONS(7245),
    [anon_sym_STAR] = ACTIONS(7245),
    [anon_sym_SLASH] = ACTIONS(7245),
    [anon_sym_LT] = ACTIONS(7243),
    [anon_sym_GT] = ACTIONS(7243),
    [anon_sym_BANG] = ACTIONS(7243),
    [anon_sym_PIPE] = ACTIONS(7243),
    [anon_sym_COLON] = ACTIONS(7243),
    [anon_sym_SQUOTE] = ACTIONS(7243),
    [anon_sym__] = ACTIONS(7245),
    [anon_sym_CARET] = ACTIONS(7245),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7245),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7245),
    [anon_sym_DOLLAR] = ACTIONS(7243),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7245),
    [anon_sym_BSLASHleft] = ACTIONS(7243),
    [anon_sym_BSLASHbigl] = ACTIONS(7243),
    [anon_sym_BSLASHBigl] = ACTIONS(7243),
    [anon_sym_BSLASHbiggl] = ACTIONS(7243),
    [anon_sym_BSLASHBiggl] = ACTIONS(7243),
    [anon_sym_BSLASHtext] = ACTIONS(7243),
    [anon_sym_BSLASHintertext] = ACTIONS(7243),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7243),
    [anon_sym_BSLASHbegin] = ACTIONS(7243),
    [anon_sym_BSLASHend] = ACTIONS(7243),
    [anon_sym_BSLASHtitle] = ACTIONS(7243),
    [anon_sym_BSLASHauthor] = ACTIONS(7243),
    [anon_sym_BSLASHusepackage] = ACTIONS(7243),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7243),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7243),
    [anon_sym_BSLASHinclude] = ACTIONS(7243),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7243),
    [anon_sym_BSLASHinput] = ACTIONS(7243),
    [anon_sym_BSLASHsubfile] = ACTIONS(7243),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7243),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7243),
    [anon_sym_BSLASHbibliography] = ACTIONS(7243),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7243),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7243),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7243),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7243),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7243),
    [anon_sym_BSLASHimport] = ACTIONS(7243),
    [anon_sym_BSLASHsubimport] = ACTIONS(7243),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7243),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7243),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7243),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7243),
    [anon_sym_BSLASHcaption] = ACTIONS(7243),
    [anon_sym_BSLASHcite] = ACTIONS(7243),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCite] = ACTIONS(7243),
    [anon_sym_BSLASHnocite] = ACTIONS(7243),
    [anon_sym_BSLASHcitet] = ACTIONS(7243),
    [anon_sym_BSLASHcitep] = ACTIONS(7243),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteA] = ACTIONS(7243),
    [anon_sym_BSLASHciteR] = ACTIONS(7243),
    [anon_sym_BSLASHciteS] = ACTIONS(7243),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7243),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7243),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7243),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7243),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteyear] = ACTIONS(7243),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitedate] = ACTIONS(7243),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteurl] = ACTIONS(7243),
    [anon_sym_BSLASHfullcite] = ACTIONS(7243),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7243),
    [anon_sym_BSLASHcitealt] = ACTIONS(7243),
    [anon_sym_BSLASHcitealp] = ACTIONS(7243),
    [anon_sym_BSLASHcitetext] = ACTIONS(7243),
    [anon_sym_BSLASHparencite] = ACTIONS(7243),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHParencite] = ACTIONS(7243),
    [anon_sym_BSLASHfootcite] = ACTIONS(7243),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7243),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7243),
    [anon_sym_BSLASHtextcite] = ACTIONS(7243),
    [anon_sym_BSLASHTextcite] = ACTIONS(7243),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7243),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7243),
    [anon_sym_BSLASHsupercite] = ACTIONS(7243),
    [anon_sym_BSLASHautocite] = ACTIONS(7243),
    [anon_sym_BSLASHAutocite] = ACTIONS(7243),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHVolcite] = ACTIONS(7243),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHavolcite] = ACTIONS(7243),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHNotecite] = ACTIONS(7243),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHlabel] = ACTIONS(7243),
    [anon_sym_BSLASHref] = ACTIONS(7243),
    [anon_sym_BSLASHeqref] = ACTIONS(7243),
    [anon_sym_BSLASHvref] = ACTIONS(7243),
    [anon_sym_BSLASHVref] = ACTIONS(7243),
    [anon_sym_BSLASHautoref] = ACTIONS(7243),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHpageref] = ACTIONS(7243),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHautopageref] = ACTIONS(7243),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcref] = ACTIONS(7243),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCref] = ACTIONS(7243),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcpageref] = ACTIONS(7243),
    [anon_sym_BSLASHCpageref] = ACTIONS(7243),
    [anon_sym_BSLASHnamecref] = ACTIONS(7243),
    [anon_sym_BSLASHnameCref] = ACTIONS(7243),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7243),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7243),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7243),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7243),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7243),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7243),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7243),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7243),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7243),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7243),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7243),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHdef] = ACTIONS(7243),
    [anon_sym_BSLASHgdef] = ACTIONS(7243),
    [anon_sym_BSLASHedef] = ACTIONS(7243),
    [anon_sym_BSLASHxdef] = ACTIONS(7243),
    [anon_sym_BSLASHlet] = ACTIONS(7243),
    [anon_sym_BSLASHglet] = ACTIONS(7243),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7243),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7243),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7243),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7243),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7243),
    [anon_sym_BSLASHgls] = ACTIONS(7243),
    [anon_sym_BSLASHGls] = ACTIONS(7243),
    [anon_sym_BSLASHGLS] = ACTIONS(7243),
    [anon_sym_BSLASHglspl] = ACTIONS(7243),
    [anon_sym_BSLASHGlspl] = ACTIONS(7243),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7243),
    [anon_sym_BSLASHglslink] = ACTIONS(7243),
    [anon_sym_BSLASHglstext] = ACTIONS(7243),
    [anon_sym_BSLASHGlstext] = ACTIONS(7243),
    [anon_sym_BSLASHGLStext] = ACTIONS(7243),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7243),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7243),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7243),
    [anon_sym_BSLASHglsplural] = ACTIONS(7243),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7243),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7243),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHglsname] = ACTIONS(7243),
    [anon_sym_BSLASHGlsname] = ACTIONS(7243),
    [anon_sym_BSLASHGLSname] = ACTIONS(7243),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7243),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7243),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7243),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7243),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7243),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7243),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7243),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7243),
    [anon_sym_BSLASHacrshort] = ACTIONS(7243),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7243),
    [anon_sym_BSLASHACRshort] = ACTIONS(7243),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHacrlong] = ACTIONS(7243),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7243),
    [anon_sym_BSLASHACRlong] = ACTIONS(7243),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHacrfull] = ACTIONS(7243),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7243),
    [anon_sym_BSLASHACRfull] = ACTIONS(7243),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHacs] = ACTIONS(7243),
    [anon_sym_BSLASHAcs] = ACTIONS(7243),
    [anon_sym_BSLASHacsp] = ACTIONS(7243),
    [anon_sym_BSLASHAcsp] = ACTIONS(7243),
    [anon_sym_BSLASHacl] = ACTIONS(7243),
    [anon_sym_BSLASHAcl] = ACTIONS(7243),
    [anon_sym_BSLASHaclp] = ACTIONS(7243),
    [anon_sym_BSLASHAclp] = ACTIONS(7243),
    [anon_sym_BSLASHacf] = ACTIONS(7243),
    [anon_sym_BSLASHAcf] = ACTIONS(7243),
    [anon_sym_BSLASHacfp] = ACTIONS(7243),
    [anon_sym_BSLASHAcfp] = ACTIONS(7243),
    [anon_sym_BSLASHac] = ACTIONS(7243),
    [anon_sym_BSLASHAc] = ACTIONS(7243),
    [anon_sym_BSLASHacp] = ACTIONS(7243),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7243),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7243),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7243),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7243),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7243),
    [anon_sym_BSLASHcolor] = ACTIONS(7243),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7243),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7243),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7243),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7243),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7243),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7243),
    [anon_sym_BSLASHurl] = ACTIONS(7243),
    [anon_sym_BSLASHhref] = ACTIONS(7243),
  },
  [1470] = {
    [sym_command_name] = ACTIONS(7551),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7551),
    [anon_sym_LBRACK] = ACTIONS(7553),
    [anon_sym_RBRACK] = ACTIONS(7553),
    [anon_sym_COMMA] = ACTIONS(7553),
    [anon_sym_EQ] = ACTIONS(7553),
    [anon_sym_LPAREN] = ACTIONS(7553),
    [anon_sym_RPAREN] = ACTIONS(7553),
    [anon_sym_BSLASHpart] = ACTIONS(7551),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHaddpart] = ACTIONS(7551),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHchapter] = ACTIONS(7551),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHaddchap] = ACTIONS(7551),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHsection] = ACTIONS(7551),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHaddsec] = ACTIONS(7551),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHsubsection] = ACTIONS(7551),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7551),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHparagraph] = ACTIONS(7551),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7551),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHitem] = ACTIONS(7551),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7553),
    [anon_sym_LBRACE] = ACTIONS(7553),
    [sym_word] = ACTIONS(7551),
    [sym_placeholder] = ACTIONS(7553),
    [sym_delimiter] = ACTIONS(7553),
    [anon_sym_PLUS] = ACTIONS(7553),
    [anon_sym_DASH] = ACTIONS(7553),
    [anon_sym_STAR] = ACTIONS(7553),
    [anon_sym_SLASH] = ACTIONS(7553),
    [anon_sym_LT] = ACTIONS(7551),
    [anon_sym_GT] = ACTIONS(7551),
    [anon_sym_BANG] = ACTIONS(7551),
    [anon_sym_PIPE] = ACTIONS(7551),
    [anon_sym_COLON] = ACTIONS(7551),
    [anon_sym_SQUOTE] = ACTIONS(7551),
    [anon_sym__] = ACTIONS(7553),
    [anon_sym_CARET] = ACTIONS(7553),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7553),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7553),
    [anon_sym_DOLLAR] = ACTIONS(7551),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7553),
    [anon_sym_BSLASHleft] = ACTIONS(7551),
    [anon_sym_BSLASHbigl] = ACTIONS(7551),
    [anon_sym_BSLASHBigl] = ACTIONS(7551),
    [anon_sym_BSLASHbiggl] = ACTIONS(7551),
    [anon_sym_BSLASHBiggl] = ACTIONS(7551),
    [anon_sym_BSLASHtext] = ACTIONS(7551),
    [anon_sym_BSLASHintertext] = ACTIONS(7551),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7551),
    [anon_sym_BSLASHbegin] = ACTIONS(7551),
    [anon_sym_BSLASHend] = ACTIONS(7551),
    [anon_sym_BSLASHtitle] = ACTIONS(7551),
    [anon_sym_BSLASHauthor] = ACTIONS(7551),
    [anon_sym_BSLASHusepackage] = ACTIONS(7551),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7551),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7551),
    [anon_sym_BSLASHinclude] = ACTIONS(7551),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7551),
    [anon_sym_BSLASHinput] = ACTIONS(7551),
    [anon_sym_BSLASHsubfile] = ACTIONS(7551),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7551),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7551),
    [anon_sym_BSLASHbibliography] = ACTIONS(7551),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7551),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7551),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7551),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7551),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7551),
    [anon_sym_BSLASHimport] = ACTIONS(7551),
    [anon_sym_BSLASHsubimport] = ACTIONS(7551),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7551),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7551),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7551),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7551),
    [anon_sym_BSLASHcaption] = ACTIONS(7551),
    [anon_sym_BSLASHcite] = ACTIONS(7551),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCite] = ACTIONS(7551),
    [anon_sym_BSLASHnocite] = ACTIONS(7551),
    [anon_sym_BSLASHcitet] = ACTIONS(7551),
    [anon_sym_BSLASHcitep] = ACTIONS(7551),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteA] = ACTIONS(7551),
    [anon_sym_BSLASHciteR] = ACTIONS(7551),
    [anon_sym_BSLASHciteS] = ACTIONS(7551),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7551),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7551),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7551),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7551),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteyear] = ACTIONS(7551),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitedate] = ACTIONS(7551),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteurl] = ACTIONS(7551),
    [anon_sym_BSLASHfullcite] = ACTIONS(7551),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7551),
    [anon_sym_BSLASHcitealt] = ACTIONS(7551),
    [anon_sym_BSLASHcitealp] = ACTIONS(7551),
    [anon_sym_BSLASHcitetext] = ACTIONS(7551),
    [anon_sym_BSLASHparencite] = ACTIONS(7551),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHParencite] = ACTIONS(7551),
    [anon_sym_BSLASHfootcite] = ACTIONS(7551),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7551),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7551),
    [anon_sym_BSLASHtextcite] = ACTIONS(7551),
    [anon_sym_BSLASHTextcite] = ACTIONS(7551),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7551),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7551),
    [anon_sym_BSLASHsupercite] = ACTIONS(7551),
    [anon_sym_BSLASHautocite] = ACTIONS(7551),
    [anon_sym_BSLASHAutocite] = ACTIONS(7551),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHVolcite] = ACTIONS(7551),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHavolcite] = ACTIONS(7551),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHNotecite] = ACTIONS(7551),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHlabel] = ACTIONS(7551),
    [anon_sym_BSLASHref] = ACTIONS(7551),
    [anon_sym_BSLASHeqref] = ACTIONS(7551),
    [anon_sym_BSLASHvref] = ACTIONS(7551),
    [anon_sym_BSLASHVref] = ACTIONS(7551),
    [anon_sym_BSLASHautoref] = ACTIONS(7551),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHpageref] = ACTIONS(7551),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHautopageref] = ACTIONS(7551),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcref] = ACTIONS(7551),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCref] = ACTIONS(7551),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcpageref] = ACTIONS(7551),
    [anon_sym_BSLASHCpageref] = ACTIONS(7551),
    [anon_sym_BSLASHnamecref] = ACTIONS(7551),
    [anon_sym_BSLASHnameCref] = ACTIONS(7551),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7551),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7551),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7551),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7551),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7551),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7551),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7551),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7551),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7551),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7551),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7551),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHdef] = ACTIONS(7551),
    [anon_sym_BSLASHgdef] = ACTIONS(7551),
    [anon_sym_BSLASHedef] = ACTIONS(7551),
    [anon_sym_BSLASHxdef] = ACTIONS(7551),
    [anon_sym_BSLASHlet] = ACTIONS(7551),
    [anon_sym_BSLASHglet] = ACTIONS(7551),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7551),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7551),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7551),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7551),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7551),
    [anon_sym_BSLASHgls] = ACTIONS(7551),
    [anon_sym_BSLASHGls] = ACTIONS(7551),
    [anon_sym_BSLASHGLS] = ACTIONS(7551),
    [anon_sym_BSLASHglspl] = ACTIONS(7551),
    [anon_sym_BSLASHGlspl] = ACTIONS(7551),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7551),
    [anon_sym_BSLASHglslink] = ACTIONS(7551),
    [anon_sym_BSLASHglstext] = ACTIONS(7551),
    [anon_sym_BSLASHGlstext] = ACTIONS(7551),
    [anon_sym_BSLASHGLStext] = ACTIONS(7551),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7551),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7551),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7551),
    [anon_sym_BSLASHglsplural] = ACTIONS(7551),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7551),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7551),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHglsname] = ACTIONS(7551),
    [anon_sym_BSLASHGlsname] = ACTIONS(7551),
    [anon_sym_BSLASHGLSname] = ACTIONS(7551),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7551),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7551),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7551),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7551),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7551),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7551),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7551),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7551),
    [anon_sym_BSLASHacrshort] = ACTIONS(7551),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7551),
    [anon_sym_BSLASHACRshort] = ACTIONS(7551),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHacrlong] = ACTIONS(7551),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7551),
    [anon_sym_BSLASHACRlong] = ACTIONS(7551),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHacrfull] = ACTIONS(7551),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7551),
    [anon_sym_BSLASHACRfull] = ACTIONS(7551),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHacs] = ACTIONS(7551),
    [anon_sym_BSLASHAcs] = ACTIONS(7551),
    [anon_sym_BSLASHacsp] = ACTIONS(7551),
    [anon_sym_BSLASHAcsp] = ACTIONS(7551),
    [anon_sym_BSLASHacl] = ACTIONS(7551),
    [anon_sym_BSLASHAcl] = ACTIONS(7551),
    [anon_sym_BSLASHaclp] = ACTIONS(7551),
    [anon_sym_BSLASHAclp] = ACTIONS(7551),
    [anon_sym_BSLASHacf] = ACTIONS(7551),
    [anon_sym_BSLASHAcf] = ACTIONS(7551),
    [anon_sym_BSLASHacfp] = ACTIONS(7551),
    [anon_sym_BSLASHAcfp] = ACTIONS(7551),
    [anon_sym_BSLASHac] = ACTIONS(7551),
    [anon_sym_BSLASHAc] = ACTIONS(7551),
    [anon_sym_BSLASHacp] = ACTIONS(7551),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7551),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7551),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7551),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7551),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7551),
    [anon_sym_BSLASHcolor] = ACTIONS(7551),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7551),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7551),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7551),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7551),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7551),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7551),
    [anon_sym_BSLASHurl] = ACTIONS(7551),
    [anon_sym_BSLASHhref] = ACTIONS(7551),
  },
  [1471] = {
    [sym_command_name] = ACTIONS(7247),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7247),
    [anon_sym_LBRACK] = ACTIONS(7249),
    [anon_sym_RBRACK] = ACTIONS(7249),
    [anon_sym_COMMA] = ACTIONS(7249),
    [anon_sym_EQ] = ACTIONS(7249),
    [anon_sym_LPAREN] = ACTIONS(7249),
    [anon_sym_RPAREN] = ACTIONS(7249),
    [anon_sym_BSLASHpart] = ACTIONS(7247),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHaddpart] = ACTIONS(7247),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHchapter] = ACTIONS(7247),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHaddchap] = ACTIONS(7247),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHsection] = ACTIONS(7247),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHaddsec] = ACTIONS(7247),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHsubsection] = ACTIONS(7247),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7247),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHparagraph] = ACTIONS(7247),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7247),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHitem] = ACTIONS(7247),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7249),
    [anon_sym_LBRACE] = ACTIONS(7249),
    [sym_word] = ACTIONS(7247),
    [sym_placeholder] = ACTIONS(7249),
    [sym_delimiter] = ACTIONS(7249),
    [anon_sym_PLUS] = ACTIONS(7249),
    [anon_sym_DASH] = ACTIONS(7249),
    [anon_sym_STAR] = ACTIONS(7249),
    [anon_sym_SLASH] = ACTIONS(7249),
    [anon_sym_LT] = ACTIONS(7247),
    [anon_sym_GT] = ACTIONS(7247),
    [anon_sym_BANG] = ACTIONS(7247),
    [anon_sym_PIPE] = ACTIONS(7247),
    [anon_sym_COLON] = ACTIONS(7247),
    [anon_sym_SQUOTE] = ACTIONS(7247),
    [anon_sym__] = ACTIONS(7249),
    [anon_sym_CARET] = ACTIONS(7249),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7249),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7249),
    [anon_sym_DOLLAR] = ACTIONS(7247),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7249),
    [anon_sym_BSLASHleft] = ACTIONS(7247),
    [anon_sym_BSLASHbigl] = ACTIONS(7247),
    [anon_sym_BSLASHBigl] = ACTIONS(7247),
    [anon_sym_BSLASHbiggl] = ACTIONS(7247),
    [anon_sym_BSLASHBiggl] = ACTIONS(7247),
    [anon_sym_BSLASHtext] = ACTIONS(7247),
    [anon_sym_BSLASHintertext] = ACTIONS(7247),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7247),
    [anon_sym_BSLASHbegin] = ACTIONS(7247),
    [anon_sym_BSLASHend] = ACTIONS(7247),
    [anon_sym_BSLASHtitle] = ACTIONS(7247),
    [anon_sym_BSLASHauthor] = ACTIONS(7247),
    [anon_sym_BSLASHusepackage] = ACTIONS(7247),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7247),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7247),
    [anon_sym_BSLASHinclude] = ACTIONS(7247),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7247),
    [anon_sym_BSLASHinput] = ACTIONS(7247),
    [anon_sym_BSLASHsubfile] = ACTIONS(7247),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7247),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7247),
    [anon_sym_BSLASHbibliography] = ACTIONS(7247),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7247),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7247),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7247),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7247),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7247),
    [anon_sym_BSLASHimport] = ACTIONS(7247),
    [anon_sym_BSLASHsubimport] = ACTIONS(7247),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7247),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7247),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7247),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7247),
    [anon_sym_BSLASHcaption] = ACTIONS(7247),
    [anon_sym_BSLASHcite] = ACTIONS(7247),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCite] = ACTIONS(7247),
    [anon_sym_BSLASHnocite] = ACTIONS(7247),
    [anon_sym_BSLASHcitet] = ACTIONS(7247),
    [anon_sym_BSLASHcitep] = ACTIONS(7247),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteA] = ACTIONS(7247),
    [anon_sym_BSLASHciteR] = ACTIONS(7247),
    [anon_sym_BSLASHciteS] = ACTIONS(7247),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7247),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7247),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7247),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7247),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteyear] = ACTIONS(7247),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitedate] = ACTIONS(7247),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteurl] = ACTIONS(7247),
    [anon_sym_BSLASHfullcite] = ACTIONS(7247),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7247),
    [anon_sym_BSLASHcitealt] = ACTIONS(7247),
    [anon_sym_BSLASHcitealp] = ACTIONS(7247),
    [anon_sym_BSLASHcitetext] = ACTIONS(7247),
    [anon_sym_BSLASHparencite] = ACTIONS(7247),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHParencite] = ACTIONS(7247),
    [anon_sym_BSLASHfootcite] = ACTIONS(7247),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7247),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7247),
    [anon_sym_BSLASHtextcite] = ACTIONS(7247),
    [anon_sym_BSLASHTextcite] = ACTIONS(7247),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7247),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7247),
    [anon_sym_BSLASHsupercite] = ACTIONS(7247),
    [anon_sym_BSLASHautocite] = ACTIONS(7247),
    [anon_sym_BSLASHAutocite] = ACTIONS(7247),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHVolcite] = ACTIONS(7247),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHavolcite] = ACTIONS(7247),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHNotecite] = ACTIONS(7247),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHlabel] = ACTIONS(7247),
    [anon_sym_BSLASHref] = ACTIONS(7247),
    [anon_sym_BSLASHeqref] = ACTIONS(7247),
    [anon_sym_BSLASHvref] = ACTIONS(7247),
    [anon_sym_BSLASHVref] = ACTIONS(7247),
    [anon_sym_BSLASHautoref] = ACTIONS(7247),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHpageref] = ACTIONS(7247),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHautopageref] = ACTIONS(7247),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcref] = ACTIONS(7247),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCref] = ACTIONS(7247),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcpageref] = ACTIONS(7247),
    [anon_sym_BSLASHCpageref] = ACTIONS(7247),
    [anon_sym_BSLASHnamecref] = ACTIONS(7247),
    [anon_sym_BSLASHnameCref] = ACTIONS(7247),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7247),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7247),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7247),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7247),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7247),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7247),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7247),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7247),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7247),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7247),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7247),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHdef] = ACTIONS(7247),
    [anon_sym_BSLASHgdef] = ACTIONS(7247),
    [anon_sym_BSLASHedef] = ACTIONS(7247),
    [anon_sym_BSLASHxdef] = ACTIONS(7247),
    [anon_sym_BSLASHlet] = ACTIONS(7247),
    [anon_sym_BSLASHglet] = ACTIONS(7247),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7247),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7247),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7247),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7247),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7247),
    [anon_sym_BSLASHgls] = ACTIONS(7247),
    [anon_sym_BSLASHGls] = ACTIONS(7247),
    [anon_sym_BSLASHGLS] = ACTIONS(7247),
    [anon_sym_BSLASHglspl] = ACTIONS(7247),
    [anon_sym_BSLASHGlspl] = ACTIONS(7247),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7247),
    [anon_sym_BSLASHglslink] = ACTIONS(7247),
    [anon_sym_BSLASHglstext] = ACTIONS(7247),
    [anon_sym_BSLASHGlstext] = ACTIONS(7247),
    [anon_sym_BSLASHGLStext] = ACTIONS(7247),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7247),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7247),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7247),
    [anon_sym_BSLASHglsplural] = ACTIONS(7247),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7247),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7247),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHglsname] = ACTIONS(7247),
    [anon_sym_BSLASHGlsname] = ACTIONS(7247),
    [anon_sym_BSLASHGLSname] = ACTIONS(7247),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7247),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7247),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7247),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7247),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7247),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7247),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7247),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7247),
    [anon_sym_BSLASHacrshort] = ACTIONS(7247),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7247),
    [anon_sym_BSLASHACRshort] = ACTIONS(7247),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHacrlong] = ACTIONS(7247),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7247),
    [anon_sym_BSLASHACRlong] = ACTIONS(7247),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHacrfull] = ACTIONS(7247),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7247),
    [anon_sym_BSLASHACRfull] = ACTIONS(7247),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHacs] = ACTIONS(7247),
    [anon_sym_BSLASHAcs] = ACTIONS(7247),
    [anon_sym_BSLASHacsp] = ACTIONS(7247),
    [anon_sym_BSLASHAcsp] = ACTIONS(7247),
    [anon_sym_BSLASHacl] = ACTIONS(7247),
    [anon_sym_BSLASHAcl] = ACTIONS(7247),
    [anon_sym_BSLASHaclp] = ACTIONS(7247),
    [anon_sym_BSLASHAclp] = ACTIONS(7247),
    [anon_sym_BSLASHacf] = ACTIONS(7247),
    [anon_sym_BSLASHAcf] = ACTIONS(7247),
    [anon_sym_BSLASHacfp] = ACTIONS(7247),
    [anon_sym_BSLASHAcfp] = ACTIONS(7247),
    [anon_sym_BSLASHac] = ACTIONS(7247),
    [anon_sym_BSLASHAc] = ACTIONS(7247),
    [anon_sym_BSLASHacp] = ACTIONS(7247),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7247),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7247),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7247),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7247),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7247),
    [anon_sym_BSLASHcolor] = ACTIONS(7247),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7247),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7247),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7247),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7247),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7247),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7247),
    [anon_sym_BSLASHurl] = ACTIONS(7247),
    [anon_sym_BSLASHhref] = ACTIONS(7247),
  },
  [1472] = {
    [sym_command_name] = ACTIONS(7555),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7555),
    [anon_sym_LBRACK] = ACTIONS(7557),
    [anon_sym_RBRACK] = ACTIONS(7557),
    [anon_sym_COMMA] = ACTIONS(7557),
    [anon_sym_EQ] = ACTIONS(7557),
    [anon_sym_LPAREN] = ACTIONS(7557),
    [anon_sym_RPAREN] = ACTIONS(7557),
    [anon_sym_BSLASHpart] = ACTIONS(7555),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHaddpart] = ACTIONS(7555),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHchapter] = ACTIONS(7555),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHaddchap] = ACTIONS(7555),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHsection] = ACTIONS(7555),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHaddsec] = ACTIONS(7555),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHsubsection] = ACTIONS(7555),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7555),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHparagraph] = ACTIONS(7555),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7555),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHitem] = ACTIONS(7555),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7557),
    [anon_sym_LBRACE] = ACTIONS(7557),
    [sym_word] = ACTIONS(7555),
    [sym_placeholder] = ACTIONS(7557),
    [sym_delimiter] = ACTIONS(7557),
    [anon_sym_PLUS] = ACTIONS(7557),
    [anon_sym_DASH] = ACTIONS(7557),
    [anon_sym_STAR] = ACTIONS(7557),
    [anon_sym_SLASH] = ACTIONS(7557),
    [anon_sym_LT] = ACTIONS(7555),
    [anon_sym_GT] = ACTIONS(7555),
    [anon_sym_BANG] = ACTIONS(7555),
    [anon_sym_PIPE] = ACTIONS(7555),
    [anon_sym_COLON] = ACTIONS(7555),
    [anon_sym_SQUOTE] = ACTIONS(7555),
    [anon_sym__] = ACTIONS(7557),
    [anon_sym_CARET] = ACTIONS(7557),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7557),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7557),
    [anon_sym_DOLLAR] = ACTIONS(7555),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7557),
    [anon_sym_BSLASHleft] = ACTIONS(7555),
    [anon_sym_BSLASHbigl] = ACTIONS(7555),
    [anon_sym_BSLASHBigl] = ACTIONS(7555),
    [anon_sym_BSLASHbiggl] = ACTIONS(7555),
    [anon_sym_BSLASHBiggl] = ACTIONS(7555),
    [anon_sym_BSLASHtext] = ACTIONS(7555),
    [anon_sym_BSLASHintertext] = ACTIONS(7555),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7555),
    [anon_sym_BSLASHbegin] = ACTIONS(7555),
    [anon_sym_BSLASHend] = ACTIONS(7555),
    [anon_sym_BSLASHtitle] = ACTIONS(7555),
    [anon_sym_BSLASHauthor] = ACTIONS(7555),
    [anon_sym_BSLASHusepackage] = ACTIONS(7555),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7555),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7555),
    [anon_sym_BSLASHinclude] = ACTIONS(7555),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7555),
    [anon_sym_BSLASHinput] = ACTIONS(7555),
    [anon_sym_BSLASHsubfile] = ACTIONS(7555),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7555),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7555),
    [anon_sym_BSLASHbibliography] = ACTIONS(7555),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7555),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7555),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7555),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7555),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7555),
    [anon_sym_BSLASHimport] = ACTIONS(7555),
    [anon_sym_BSLASHsubimport] = ACTIONS(7555),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7555),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7555),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7555),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7555),
    [anon_sym_BSLASHcaption] = ACTIONS(7555),
    [anon_sym_BSLASHcite] = ACTIONS(7555),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCite] = ACTIONS(7555),
    [anon_sym_BSLASHnocite] = ACTIONS(7555),
    [anon_sym_BSLASHcitet] = ACTIONS(7555),
    [anon_sym_BSLASHcitep] = ACTIONS(7555),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteA] = ACTIONS(7555),
    [anon_sym_BSLASHciteR] = ACTIONS(7555),
    [anon_sym_BSLASHciteS] = ACTIONS(7555),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7555),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7555),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7555),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7555),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteyear] = ACTIONS(7555),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitedate] = ACTIONS(7555),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteurl] = ACTIONS(7555),
    [anon_sym_BSLASHfullcite] = ACTIONS(7555),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7555),
    [anon_sym_BSLASHcitealt] = ACTIONS(7555),
    [anon_sym_BSLASHcitealp] = ACTIONS(7555),
    [anon_sym_BSLASHcitetext] = ACTIONS(7555),
    [anon_sym_BSLASHparencite] = ACTIONS(7555),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHParencite] = ACTIONS(7555),
    [anon_sym_BSLASHfootcite] = ACTIONS(7555),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7555),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7555),
    [anon_sym_BSLASHtextcite] = ACTIONS(7555),
    [anon_sym_BSLASHTextcite] = ACTIONS(7555),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7555),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7555),
    [anon_sym_BSLASHsupercite] = ACTIONS(7555),
    [anon_sym_BSLASHautocite] = ACTIONS(7555),
    [anon_sym_BSLASHAutocite] = ACTIONS(7555),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHVolcite] = ACTIONS(7555),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHavolcite] = ACTIONS(7555),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHNotecite] = ACTIONS(7555),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHlabel] = ACTIONS(7555),
    [anon_sym_BSLASHref] = ACTIONS(7555),
    [anon_sym_BSLASHeqref] = ACTIONS(7555),
    [anon_sym_BSLASHvref] = ACTIONS(7555),
    [anon_sym_BSLASHVref] = ACTIONS(7555),
    [anon_sym_BSLASHautoref] = ACTIONS(7555),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHpageref] = ACTIONS(7555),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHautopageref] = ACTIONS(7555),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcref] = ACTIONS(7555),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCref] = ACTIONS(7555),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcpageref] = ACTIONS(7555),
    [anon_sym_BSLASHCpageref] = ACTIONS(7555),
    [anon_sym_BSLASHnamecref] = ACTIONS(7555),
    [anon_sym_BSLASHnameCref] = ACTIONS(7555),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7555),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7555),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7555),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7555),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7555),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7555),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7555),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7555),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7555),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7555),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7555),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHdef] = ACTIONS(7555),
    [anon_sym_BSLASHgdef] = ACTIONS(7555),
    [anon_sym_BSLASHedef] = ACTIONS(7555),
    [anon_sym_BSLASHxdef] = ACTIONS(7555),
    [anon_sym_BSLASHlet] = ACTIONS(7555),
    [anon_sym_BSLASHglet] = ACTIONS(7555),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7555),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7555),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7555),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7555),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7555),
    [anon_sym_BSLASHgls] = ACTIONS(7555),
    [anon_sym_BSLASHGls] = ACTIONS(7555),
    [anon_sym_BSLASHGLS] = ACTIONS(7555),
    [anon_sym_BSLASHglspl] = ACTIONS(7555),
    [anon_sym_BSLASHGlspl] = ACTIONS(7555),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7555),
    [anon_sym_BSLASHglslink] = ACTIONS(7555),
    [anon_sym_BSLASHglstext] = ACTIONS(7555),
    [anon_sym_BSLASHGlstext] = ACTIONS(7555),
    [anon_sym_BSLASHGLStext] = ACTIONS(7555),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7555),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7555),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7555),
    [anon_sym_BSLASHglsplural] = ACTIONS(7555),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7555),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7555),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHglsname] = ACTIONS(7555),
    [anon_sym_BSLASHGlsname] = ACTIONS(7555),
    [anon_sym_BSLASHGLSname] = ACTIONS(7555),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7555),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7555),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7555),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7555),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7555),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7555),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7555),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7555),
    [anon_sym_BSLASHacrshort] = ACTIONS(7555),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7555),
    [anon_sym_BSLASHACRshort] = ACTIONS(7555),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHacrlong] = ACTIONS(7555),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7555),
    [anon_sym_BSLASHACRlong] = ACTIONS(7555),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHacrfull] = ACTIONS(7555),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7555),
    [anon_sym_BSLASHACRfull] = ACTIONS(7555),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHacs] = ACTIONS(7555),
    [anon_sym_BSLASHAcs] = ACTIONS(7555),
    [anon_sym_BSLASHacsp] = ACTIONS(7555),
    [anon_sym_BSLASHAcsp] = ACTIONS(7555),
    [anon_sym_BSLASHacl] = ACTIONS(7555),
    [anon_sym_BSLASHAcl] = ACTIONS(7555),
    [anon_sym_BSLASHaclp] = ACTIONS(7555),
    [anon_sym_BSLASHAclp] = ACTIONS(7555),
    [anon_sym_BSLASHacf] = ACTIONS(7555),
    [anon_sym_BSLASHAcf] = ACTIONS(7555),
    [anon_sym_BSLASHacfp] = ACTIONS(7555),
    [anon_sym_BSLASHAcfp] = ACTIONS(7555),
    [anon_sym_BSLASHac] = ACTIONS(7555),
    [anon_sym_BSLASHAc] = ACTIONS(7555),
    [anon_sym_BSLASHacp] = ACTIONS(7555),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7555),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7555),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7555),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7555),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7555),
    [anon_sym_BSLASHcolor] = ACTIONS(7555),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7555),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7555),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7555),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7555),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7555),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7555),
    [anon_sym_BSLASHurl] = ACTIONS(7555),
    [anon_sym_BSLASHhref] = ACTIONS(7555),
  },
  [1473] = {
    [sym_command_name] = ACTIONS(7559),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7559),
    [anon_sym_LBRACK] = ACTIONS(7561),
    [anon_sym_RBRACK] = ACTIONS(7561),
    [anon_sym_COMMA] = ACTIONS(7561),
    [anon_sym_EQ] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7561),
    [anon_sym_RPAREN] = ACTIONS(7561),
    [anon_sym_BSLASHpart] = ACTIONS(7559),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHaddpart] = ACTIONS(7559),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHchapter] = ACTIONS(7559),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHaddchap] = ACTIONS(7559),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHsection] = ACTIONS(7559),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHaddsec] = ACTIONS(7559),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHsubsection] = ACTIONS(7559),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7559),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHparagraph] = ACTIONS(7559),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7559),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHitem] = ACTIONS(7559),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7561),
    [anon_sym_LBRACE] = ACTIONS(7561),
    [sym_word] = ACTIONS(7559),
    [sym_placeholder] = ACTIONS(7561),
    [sym_delimiter] = ACTIONS(7561),
    [anon_sym_PLUS] = ACTIONS(7561),
    [anon_sym_DASH] = ACTIONS(7561),
    [anon_sym_STAR] = ACTIONS(7561),
    [anon_sym_SLASH] = ACTIONS(7561),
    [anon_sym_LT] = ACTIONS(7559),
    [anon_sym_GT] = ACTIONS(7559),
    [anon_sym_BANG] = ACTIONS(7559),
    [anon_sym_PIPE] = ACTIONS(7559),
    [anon_sym_COLON] = ACTIONS(7559),
    [anon_sym_SQUOTE] = ACTIONS(7559),
    [anon_sym__] = ACTIONS(7561),
    [anon_sym_CARET] = ACTIONS(7561),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7561),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7561),
    [anon_sym_DOLLAR] = ACTIONS(7559),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7561),
    [anon_sym_BSLASHleft] = ACTIONS(7559),
    [anon_sym_BSLASHbigl] = ACTIONS(7559),
    [anon_sym_BSLASHBigl] = ACTIONS(7559),
    [anon_sym_BSLASHbiggl] = ACTIONS(7559),
    [anon_sym_BSLASHBiggl] = ACTIONS(7559),
    [anon_sym_BSLASHtext] = ACTIONS(7559),
    [anon_sym_BSLASHintertext] = ACTIONS(7559),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7559),
    [anon_sym_BSLASHbegin] = ACTIONS(7559),
    [anon_sym_BSLASHend] = ACTIONS(7559),
    [anon_sym_BSLASHtitle] = ACTIONS(7559),
    [anon_sym_BSLASHauthor] = ACTIONS(7559),
    [anon_sym_BSLASHusepackage] = ACTIONS(7559),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7559),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7559),
    [anon_sym_BSLASHinclude] = ACTIONS(7559),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7559),
    [anon_sym_BSLASHinput] = ACTIONS(7559),
    [anon_sym_BSLASHsubfile] = ACTIONS(7559),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7559),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7559),
    [anon_sym_BSLASHbibliography] = ACTIONS(7559),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7559),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7559),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7559),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7559),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7559),
    [anon_sym_BSLASHimport] = ACTIONS(7559),
    [anon_sym_BSLASHsubimport] = ACTIONS(7559),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7559),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7559),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7559),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7559),
    [anon_sym_BSLASHcaption] = ACTIONS(7559),
    [anon_sym_BSLASHcite] = ACTIONS(7559),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCite] = ACTIONS(7559),
    [anon_sym_BSLASHnocite] = ACTIONS(7559),
    [anon_sym_BSLASHcitet] = ACTIONS(7559),
    [anon_sym_BSLASHcitep] = ACTIONS(7559),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteA] = ACTIONS(7559),
    [anon_sym_BSLASHciteR] = ACTIONS(7559),
    [anon_sym_BSLASHciteS] = ACTIONS(7559),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7559),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7559),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7559),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7559),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteyear] = ACTIONS(7559),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitedate] = ACTIONS(7559),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteurl] = ACTIONS(7559),
    [anon_sym_BSLASHfullcite] = ACTIONS(7559),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7559),
    [anon_sym_BSLASHcitealt] = ACTIONS(7559),
    [anon_sym_BSLASHcitealp] = ACTIONS(7559),
    [anon_sym_BSLASHcitetext] = ACTIONS(7559),
    [anon_sym_BSLASHparencite] = ACTIONS(7559),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHParencite] = ACTIONS(7559),
    [anon_sym_BSLASHfootcite] = ACTIONS(7559),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7559),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7559),
    [anon_sym_BSLASHtextcite] = ACTIONS(7559),
    [anon_sym_BSLASHTextcite] = ACTIONS(7559),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7559),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7559),
    [anon_sym_BSLASHsupercite] = ACTIONS(7559),
    [anon_sym_BSLASHautocite] = ACTIONS(7559),
    [anon_sym_BSLASHAutocite] = ACTIONS(7559),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHVolcite] = ACTIONS(7559),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHavolcite] = ACTIONS(7559),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHNotecite] = ACTIONS(7559),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHlabel] = ACTIONS(7559),
    [anon_sym_BSLASHref] = ACTIONS(7559),
    [anon_sym_BSLASHeqref] = ACTIONS(7559),
    [anon_sym_BSLASHvref] = ACTIONS(7559),
    [anon_sym_BSLASHVref] = ACTIONS(7559),
    [anon_sym_BSLASHautoref] = ACTIONS(7559),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHpageref] = ACTIONS(7559),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHautopageref] = ACTIONS(7559),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcref] = ACTIONS(7559),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCref] = ACTIONS(7559),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcpageref] = ACTIONS(7559),
    [anon_sym_BSLASHCpageref] = ACTIONS(7559),
    [anon_sym_BSLASHnamecref] = ACTIONS(7559),
    [anon_sym_BSLASHnameCref] = ACTIONS(7559),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7559),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7559),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7559),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7559),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7559),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7559),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7559),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7559),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7559),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7559),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7559),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHdef] = ACTIONS(7559),
    [anon_sym_BSLASHgdef] = ACTIONS(7559),
    [anon_sym_BSLASHedef] = ACTIONS(7559),
    [anon_sym_BSLASHxdef] = ACTIONS(7559),
    [anon_sym_BSLASHlet] = ACTIONS(7559),
    [anon_sym_BSLASHglet] = ACTIONS(7559),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7559),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7559),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7559),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7559),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7559),
    [anon_sym_BSLASHgls] = ACTIONS(7559),
    [anon_sym_BSLASHGls] = ACTIONS(7559),
    [anon_sym_BSLASHGLS] = ACTIONS(7559),
    [anon_sym_BSLASHglspl] = ACTIONS(7559),
    [anon_sym_BSLASHGlspl] = ACTIONS(7559),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7559),
    [anon_sym_BSLASHglslink] = ACTIONS(7559),
    [anon_sym_BSLASHglstext] = ACTIONS(7559),
    [anon_sym_BSLASHGlstext] = ACTIONS(7559),
    [anon_sym_BSLASHGLStext] = ACTIONS(7559),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7559),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7559),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7559),
    [anon_sym_BSLASHglsplural] = ACTIONS(7559),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7559),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7559),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHglsname] = ACTIONS(7559),
    [anon_sym_BSLASHGlsname] = ACTIONS(7559),
    [anon_sym_BSLASHGLSname] = ACTIONS(7559),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7559),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7559),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7559),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7559),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7559),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7559),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7559),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7559),
    [anon_sym_BSLASHacrshort] = ACTIONS(7559),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7559),
    [anon_sym_BSLASHACRshort] = ACTIONS(7559),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHacrlong] = ACTIONS(7559),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7559),
    [anon_sym_BSLASHACRlong] = ACTIONS(7559),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHacrfull] = ACTIONS(7559),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7559),
    [anon_sym_BSLASHACRfull] = ACTIONS(7559),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHacs] = ACTIONS(7559),
    [anon_sym_BSLASHAcs] = ACTIONS(7559),
    [anon_sym_BSLASHacsp] = ACTIONS(7559),
    [anon_sym_BSLASHAcsp] = ACTIONS(7559),
    [anon_sym_BSLASHacl] = ACTIONS(7559),
    [anon_sym_BSLASHAcl] = ACTIONS(7559),
    [anon_sym_BSLASHaclp] = ACTIONS(7559),
    [anon_sym_BSLASHAclp] = ACTIONS(7559),
    [anon_sym_BSLASHacf] = ACTIONS(7559),
    [anon_sym_BSLASHAcf] = ACTIONS(7559),
    [anon_sym_BSLASHacfp] = ACTIONS(7559),
    [anon_sym_BSLASHAcfp] = ACTIONS(7559),
    [anon_sym_BSLASHac] = ACTIONS(7559),
    [anon_sym_BSLASHAc] = ACTIONS(7559),
    [anon_sym_BSLASHacp] = ACTIONS(7559),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7559),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7559),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7559),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7559),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7559),
    [anon_sym_BSLASHcolor] = ACTIONS(7559),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7559),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7559),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7559),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7559),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7559),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7559),
    [anon_sym_BSLASHurl] = ACTIONS(7559),
    [anon_sym_BSLASHhref] = ACTIONS(7559),
  },
  [1474] = {
    [sym_command_name] = ACTIONS(7563),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7563),
    [anon_sym_LBRACK] = ACTIONS(7565),
    [anon_sym_RBRACK] = ACTIONS(7565),
    [anon_sym_COMMA] = ACTIONS(7565),
    [anon_sym_EQ] = ACTIONS(7565),
    [anon_sym_LPAREN] = ACTIONS(7565),
    [anon_sym_RPAREN] = ACTIONS(7565),
    [anon_sym_BSLASHpart] = ACTIONS(7563),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHaddpart] = ACTIONS(7563),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHchapter] = ACTIONS(7563),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHaddchap] = ACTIONS(7563),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHsection] = ACTIONS(7563),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHaddsec] = ACTIONS(7563),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHsubsection] = ACTIONS(7563),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7563),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHparagraph] = ACTIONS(7563),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7563),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHitem] = ACTIONS(7563),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7565),
    [anon_sym_LBRACE] = ACTIONS(7565),
    [sym_word] = ACTIONS(7563),
    [sym_placeholder] = ACTIONS(7565),
    [sym_delimiter] = ACTIONS(7565),
    [anon_sym_PLUS] = ACTIONS(7565),
    [anon_sym_DASH] = ACTIONS(7565),
    [anon_sym_STAR] = ACTIONS(7565),
    [anon_sym_SLASH] = ACTIONS(7565),
    [anon_sym_LT] = ACTIONS(7563),
    [anon_sym_GT] = ACTIONS(7563),
    [anon_sym_BANG] = ACTIONS(7563),
    [anon_sym_PIPE] = ACTIONS(7563),
    [anon_sym_COLON] = ACTIONS(7563),
    [anon_sym_SQUOTE] = ACTIONS(7563),
    [anon_sym__] = ACTIONS(7565),
    [anon_sym_CARET] = ACTIONS(7565),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7565),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7565),
    [anon_sym_DOLLAR] = ACTIONS(7563),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7565),
    [anon_sym_BSLASHleft] = ACTIONS(7563),
    [anon_sym_BSLASHbigl] = ACTIONS(7563),
    [anon_sym_BSLASHBigl] = ACTIONS(7563),
    [anon_sym_BSLASHbiggl] = ACTIONS(7563),
    [anon_sym_BSLASHBiggl] = ACTIONS(7563),
    [anon_sym_BSLASHtext] = ACTIONS(7563),
    [anon_sym_BSLASHintertext] = ACTIONS(7563),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7563),
    [anon_sym_BSLASHbegin] = ACTIONS(7563),
    [anon_sym_BSLASHend] = ACTIONS(7563),
    [anon_sym_BSLASHtitle] = ACTIONS(7563),
    [anon_sym_BSLASHauthor] = ACTIONS(7563),
    [anon_sym_BSLASHusepackage] = ACTIONS(7563),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7563),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7563),
    [anon_sym_BSLASHinclude] = ACTIONS(7563),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7563),
    [anon_sym_BSLASHinput] = ACTIONS(7563),
    [anon_sym_BSLASHsubfile] = ACTIONS(7563),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7563),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7563),
    [anon_sym_BSLASHbibliography] = ACTIONS(7563),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7563),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7563),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7563),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7563),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7563),
    [anon_sym_BSLASHimport] = ACTIONS(7563),
    [anon_sym_BSLASHsubimport] = ACTIONS(7563),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7563),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7563),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7563),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7563),
    [anon_sym_BSLASHcaption] = ACTIONS(7563),
    [anon_sym_BSLASHcite] = ACTIONS(7563),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCite] = ACTIONS(7563),
    [anon_sym_BSLASHnocite] = ACTIONS(7563),
    [anon_sym_BSLASHcitet] = ACTIONS(7563),
    [anon_sym_BSLASHcitep] = ACTIONS(7563),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteA] = ACTIONS(7563),
    [anon_sym_BSLASHciteR] = ACTIONS(7563),
    [anon_sym_BSLASHciteS] = ACTIONS(7563),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7563),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7563),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7563),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7563),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteyear] = ACTIONS(7563),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitedate] = ACTIONS(7563),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteurl] = ACTIONS(7563),
    [anon_sym_BSLASHfullcite] = ACTIONS(7563),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7563),
    [anon_sym_BSLASHcitealt] = ACTIONS(7563),
    [anon_sym_BSLASHcitealp] = ACTIONS(7563),
    [anon_sym_BSLASHcitetext] = ACTIONS(7563),
    [anon_sym_BSLASHparencite] = ACTIONS(7563),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHParencite] = ACTIONS(7563),
    [anon_sym_BSLASHfootcite] = ACTIONS(7563),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7563),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7563),
    [anon_sym_BSLASHtextcite] = ACTIONS(7563),
    [anon_sym_BSLASHTextcite] = ACTIONS(7563),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7563),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7563),
    [anon_sym_BSLASHsupercite] = ACTIONS(7563),
    [anon_sym_BSLASHautocite] = ACTIONS(7563),
    [anon_sym_BSLASHAutocite] = ACTIONS(7563),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHVolcite] = ACTIONS(7563),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHavolcite] = ACTIONS(7563),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHNotecite] = ACTIONS(7563),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHlabel] = ACTIONS(7563),
    [anon_sym_BSLASHref] = ACTIONS(7563),
    [anon_sym_BSLASHeqref] = ACTIONS(7563),
    [anon_sym_BSLASHvref] = ACTIONS(7563),
    [anon_sym_BSLASHVref] = ACTIONS(7563),
    [anon_sym_BSLASHautoref] = ACTIONS(7563),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHpageref] = ACTIONS(7563),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHautopageref] = ACTIONS(7563),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcref] = ACTIONS(7563),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCref] = ACTIONS(7563),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcpageref] = ACTIONS(7563),
    [anon_sym_BSLASHCpageref] = ACTIONS(7563),
    [anon_sym_BSLASHnamecref] = ACTIONS(7563),
    [anon_sym_BSLASHnameCref] = ACTIONS(7563),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7563),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7563),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7563),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7563),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7563),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7563),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7563),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7563),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7563),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7563),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7563),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHdef] = ACTIONS(7563),
    [anon_sym_BSLASHgdef] = ACTIONS(7563),
    [anon_sym_BSLASHedef] = ACTIONS(7563),
    [anon_sym_BSLASHxdef] = ACTIONS(7563),
    [anon_sym_BSLASHlet] = ACTIONS(7563),
    [anon_sym_BSLASHglet] = ACTIONS(7563),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7563),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7563),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7563),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7563),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7563),
    [anon_sym_BSLASHgls] = ACTIONS(7563),
    [anon_sym_BSLASHGls] = ACTIONS(7563),
    [anon_sym_BSLASHGLS] = ACTIONS(7563),
    [anon_sym_BSLASHglspl] = ACTIONS(7563),
    [anon_sym_BSLASHGlspl] = ACTIONS(7563),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7563),
    [anon_sym_BSLASHglslink] = ACTIONS(7563),
    [anon_sym_BSLASHglstext] = ACTIONS(7563),
    [anon_sym_BSLASHGlstext] = ACTIONS(7563),
    [anon_sym_BSLASHGLStext] = ACTIONS(7563),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7563),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7563),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7563),
    [anon_sym_BSLASHglsplural] = ACTIONS(7563),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7563),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7563),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHglsname] = ACTIONS(7563),
    [anon_sym_BSLASHGlsname] = ACTIONS(7563),
    [anon_sym_BSLASHGLSname] = ACTIONS(7563),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7563),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7563),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7563),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7563),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7563),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7563),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7563),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7563),
    [anon_sym_BSLASHacrshort] = ACTIONS(7563),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7563),
    [anon_sym_BSLASHACRshort] = ACTIONS(7563),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHacrlong] = ACTIONS(7563),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7563),
    [anon_sym_BSLASHACRlong] = ACTIONS(7563),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHacrfull] = ACTIONS(7563),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7563),
    [anon_sym_BSLASHACRfull] = ACTIONS(7563),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHacs] = ACTIONS(7563),
    [anon_sym_BSLASHAcs] = ACTIONS(7563),
    [anon_sym_BSLASHacsp] = ACTIONS(7563),
    [anon_sym_BSLASHAcsp] = ACTIONS(7563),
    [anon_sym_BSLASHacl] = ACTIONS(7563),
    [anon_sym_BSLASHAcl] = ACTIONS(7563),
    [anon_sym_BSLASHaclp] = ACTIONS(7563),
    [anon_sym_BSLASHAclp] = ACTIONS(7563),
    [anon_sym_BSLASHacf] = ACTIONS(7563),
    [anon_sym_BSLASHAcf] = ACTIONS(7563),
    [anon_sym_BSLASHacfp] = ACTIONS(7563),
    [anon_sym_BSLASHAcfp] = ACTIONS(7563),
    [anon_sym_BSLASHac] = ACTIONS(7563),
    [anon_sym_BSLASHAc] = ACTIONS(7563),
    [anon_sym_BSLASHacp] = ACTIONS(7563),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7563),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7563),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7563),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7563),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7563),
    [anon_sym_BSLASHcolor] = ACTIONS(7563),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7563),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7563),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7563),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7563),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7563),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7563),
    [anon_sym_BSLASHurl] = ACTIONS(7563),
    [anon_sym_BSLASHhref] = ACTIONS(7563),
  },
  [1475] = {
    [sym_command_name] = ACTIONS(7567),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7567),
    [anon_sym_LBRACK] = ACTIONS(7569),
    [anon_sym_RBRACK] = ACTIONS(7569),
    [anon_sym_COMMA] = ACTIONS(7569),
    [anon_sym_EQ] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7569),
    [anon_sym_RPAREN] = ACTIONS(7569),
    [anon_sym_BSLASHpart] = ACTIONS(7567),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHaddpart] = ACTIONS(7567),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHchapter] = ACTIONS(7567),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHaddchap] = ACTIONS(7567),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHsection] = ACTIONS(7567),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHaddsec] = ACTIONS(7567),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHsubsection] = ACTIONS(7567),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7567),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHparagraph] = ACTIONS(7567),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7567),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHitem] = ACTIONS(7567),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7569),
    [anon_sym_LBRACE] = ACTIONS(7569),
    [sym_word] = ACTIONS(7567),
    [sym_placeholder] = ACTIONS(7569),
    [sym_delimiter] = ACTIONS(7569),
    [anon_sym_PLUS] = ACTIONS(7569),
    [anon_sym_DASH] = ACTIONS(7569),
    [anon_sym_STAR] = ACTIONS(7569),
    [anon_sym_SLASH] = ACTIONS(7569),
    [anon_sym_LT] = ACTIONS(7567),
    [anon_sym_GT] = ACTIONS(7567),
    [anon_sym_BANG] = ACTIONS(7567),
    [anon_sym_PIPE] = ACTIONS(7567),
    [anon_sym_COLON] = ACTIONS(7567),
    [anon_sym_SQUOTE] = ACTIONS(7567),
    [anon_sym__] = ACTIONS(7569),
    [anon_sym_CARET] = ACTIONS(7569),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7569),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7569),
    [anon_sym_DOLLAR] = ACTIONS(7567),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7569),
    [anon_sym_BSLASHleft] = ACTIONS(7567),
    [anon_sym_BSLASHbigl] = ACTIONS(7567),
    [anon_sym_BSLASHBigl] = ACTIONS(7567),
    [anon_sym_BSLASHbiggl] = ACTIONS(7567),
    [anon_sym_BSLASHBiggl] = ACTIONS(7567),
    [anon_sym_BSLASHtext] = ACTIONS(7567),
    [anon_sym_BSLASHintertext] = ACTIONS(7567),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7567),
    [anon_sym_BSLASHbegin] = ACTIONS(7567),
    [anon_sym_BSLASHend] = ACTIONS(7567),
    [anon_sym_BSLASHtitle] = ACTIONS(7567),
    [anon_sym_BSLASHauthor] = ACTIONS(7567),
    [anon_sym_BSLASHusepackage] = ACTIONS(7567),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7567),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7567),
    [anon_sym_BSLASHinclude] = ACTIONS(7567),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7567),
    [anon_sym_BSLASHinput] = ACTIONS(7567),
    [anon_sym_BSLASHsubfile] = ACTIONS(7567),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7567),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7567),
    [anon_sym_BSLASHbibliography] = ACTIONS(7567),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7567),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7567),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7567),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7567),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7567),
    [anon_sym_BSLASHimport] = ACTIONS(7567),
    [anon_sym_BSLASHsubimport] = ACTIONS(7567),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7567),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7567),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7567),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7567),
    [anon_sym_BSLASHcaption] = ACTIONS(7567),
    [anon_sym_BSLASHcite] = ACTIONS(7567),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCite] = ACTIONS(7567),
    [anon_sym_BSLASHnocite] = ACTIONS(7567),
    [anon_sym_BSLASHcitet] = ACTIONS(7567),
    [anon_sym_BSLASHcitep] = ACTIONS(7567),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteA] = ACTIONS(7567),
    [anon_sym_BSLASHciteR] = ACTIONS(7567),
    [anon_sym_BSLASHciteS] = ACTIONS(7567),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7567),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7567),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7567),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7567),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteyear] = ACTIONS(7567),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitedate] = ACTIONS(7567),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteurl] = ACTIONS(7567),
    [anon_sym_BSLASHfullcite] = ACTIONS(7567),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7567),
    [anon_sym_BSLASHcitealt] = ACTIONS(7567),
    [anon_sym_BSLASHcitealp] = ACTIONS(7567),
    [anon_sym_BSLASHcitetext] = ACTIONS(7567),
    [anon_sym_BSLASHparencite] = ACTIONS(7567),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHParencite] = ACTIONS(7567),
    [anon_sym_BSLASHfootcite] = ACTIONS(7567),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7567),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7567),
    [anon_sym_BSLASHtextcite] = ACTIONS(7567),
    [anon_sym_BSLASHTextcite] = ACTIONS(7567),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7567),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7567),
    [anon_sym_BSLASHsupercite] = ACTIONS(7567),
    [anon_sym_BSLASHautocite] = ACTIONS(7567),
    [anon_sym_BSLASHAutocite] = ACTIONS(7567),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHVolcite] = ACTIONS(7567),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHavolcite] = ACTIONS(7567),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHNotecite] = ACTIONS(7567),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHlabel] = ACTIONS(7567),
    [anon_sym_BSLASHref] = ACTIONS(7567),
    [anon_sym_BSLASHeqref] = ACTIONS(7567),
    [anon_sym_BSLASHvref] = ACTIONS(7567),
    [anon_sym_BSLASHVref] = ACTIONS(7567),
    [anon_sym_BSLASHautoref] = ACTIONS(7567),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHpageref] = ACTIONS(7567),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHautopageref] = ACTIONS(7567),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcref] = ACTIONS(7567),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCref] = ACTIONS(7567),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcpageref] = ACTIONS(7567),
    [anon_sym_BSLASHCpageref] = ACTIONS(7567),
    [anon_sym_BSLASHnamecref] = ACTIONS(7567),
    [anon_sym_BSLASHnameCref] = ACTIONS(7567),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7567),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7567),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7567),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7567),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7567),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7567),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7567),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7567),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7567),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7567),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7567),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHdef] = ACTIONS(7567),
    [anon_sym_BSLASHgdef] = ACTIONS(7567),
    [anon_sym_BSLASHedef] = ACTIONS(7567),
    [anon_sym_BSLASHxdef] = ACTIONS(7567),
    [anon_sym_BSLASHlet] = ACTIONS(7567),
    [anon_sym_BSLASHglet] = ACTIONS(7567),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7567),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7567),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7567),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7567),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7567),
    [anon_sym_BSLASHgls] = ACTIONS(7567),
    [anon_sym_BSLASHGls] = ACTIONS(7567),
    [anon_sym_BSLASHGLS] = ACTIONS(7567),
    [anon_sym_BSLASHglspl] = ACTIONS(7567),
    [anon_sym_BSLASHGlspl] = ACTIONS(7567),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7567),
    [anon_sym_BSLASHglslink] = ACTIONS(7567),
    [anon_sym_BSLASHglstext] = ACTIONS(7567),
    [anon_sym_BSLASHGlstext] = ACTIONS(7567),
    [anon_sym_BSLASHGLStext] = ACTIONS(7567),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7567),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7567),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7567),
    [anon_sym_BSLASHglsplural] = ACTIONS(7567),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7567),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7567),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHglsname] = ACTIONS(7567),
    [anon_sym_BSLASHGlsname] = ACTIONS(7567),
    [anon_sym_BSLASHGLSname] = ACTIONS(7567),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7567),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7567),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7567),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7567),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7567),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7567),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7567),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7567),
    [anon_sym_BSLASHacrshort] = ACTIONS(7567),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7567),
    [anon_sym_BSLASHACRshort] = ACTIONS(7567),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHacrlong] = ACTIONS(7567),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7567),
    [anon_sym_BSLASHACRlong] = ACTIONS(7567),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHacrfull] = ACTIONS(7567),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7567),
    [anon_sym_BSLASHACRfull] = ACTIONS(7567),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHacs] = ACTIONS(7567),
    [anon_sym_BSLASHAcs] = ACTIONS(7567),
    [anon_sym_BSLASHacsp] = ACTIONS(7567),
    [anon_sym_BSLASHAcsp] = ACTIONS(7567),
    [anon_sym_BSLASHacl] = ACTIONS(7567),
    [anon_sym_BSLASHAcl] = ACTIONS(7567),
    [anon_sym_BSLASHaclp] = ACTIONS(7567),
    [anon_sym_BSLASHAclp] = ACTIONS(7567),
    [anon_sym_BSLASHacf] = ACTIONS(7567),
    [anon_sym_BSLASHAcf] = ACTIONS(7567),
    [anon_sym_BSLASHacfp] = ACTIONS(7567),
    [anon_sym_BSLASHAcfp] = ACTIONS(7567),
    [anon_sym_BSLASHac] = ACTIONS(7567),
    [anon_sym_BSLASHAc] = ACTIONS(7567),
    [anon_sym_BSLASHacp] = ACTIONS(7567),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7567),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7567),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7567),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7567),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7567),
    [anon_sym_BSLASHcolor] = ACTIONS(7567),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7567),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7567),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7567),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7567),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7567),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7567),
    [anon_sym_BSLASHurl] = ACTIONS(7567),
    [anon_sym_BSLASHhref] = ACTIONS(7567),
  },
  [1476] = {
    [sym_command_name] = ACTIONS(7047),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7047),
    [anon_sym_LBRACK] = ACTIONS(7049),
    [anon_sym_RBRACK] = ACTIONS(7049),
    [anon_sym_COMMA] = ACTIONS(7049),
    [anon_sym_EQ] = ACTIONS(7049),
    [anon_sym_LPAREN] = ACTIONS(7049),
    [anon_sym_RPAREN] = ACTIONS(7049),
    [anon_sym_BSLASHpart] = ACTIONS(7047),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddpart] = ACTIONS(7047),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHchapter] = ACTIONS(7047),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddchap] = ACTIONS(7047),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsection] = ACTIONS(7047),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddsec] = ACTIONS(7047),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubsection] = ACTIONS(7047),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7047),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHparagraph] = ACTIONS(7047),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7047),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHitem] = ACTIONS(7047),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7049),
    [anon_sym_LBRACE] = ACTIONS(7049),
    [sym_word] = ACTIONS(7047),
    [sym_placeholder] = ACTIONS(7049),
    [sym_delimiter] = ACTIONS(7049),
    [anon_sym_PLUS] = ACTIONS(7049),
    [anon_sym_DASH] = ACTIONS(7049),
    [anon_sym_STAR] = ACTIONS(7049),
    [anon_sym_SLASH] = ACTIONS(7049),
    [anon_sym_LT] = ACTIONS(7047),
    [anon_sym_GT] = ACTIONS(7047),
    [anon_sym_BANG] = ACTIONS(7047),
    [anon_sym_PIPE] = ACTIONS(7047),
    [anon_sym_COLON] = ACTIONS(7047),
    [anon_sym_SQUOTE] = ACTIONS(7047),
    [anon_sym__] = ACTIONS(7049),
    [anon_sym_CARET] = ACTIONS(7049),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7049),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7049),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7049),
    [anon_sym_DOLLAR] = ACTIONS(7047),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7049),
    [anon_sym_BSLASHleft] = ACTIONS(7047),
    [anon_sym_BSLASHbigl] = ACTIONS(7047),
    [anon_sym_BSLASHBigl] = ACTIONS(7047),
    [anon_sym_BSLASHbiggl] = ACTIONS(7047),
    [anon_sym_BSLASHBiggl] = ACTIONS(7047),
    [anon_sym_BSLASHtext] = ACTIONS(7047),
    [anon_sym_BSLASHintertext] = ACTIONS(7047),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7047),
    [anon_sym_BSLASHbegin] = ACTIONS(7047),
    [anon_sym_BSLASHtitle] = ACTIONS(7047),
    [anon_sym_BSLASHauthor] = ACTIONS(7047),
    [anon_sym_BSLASHusepackage] = ACTIONS(7047),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7047),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7047),
    [anon_sym_BSLASHinclude] = ACTIONS(7047),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7047),
    [anon_sym_BSLASHinput] = ACTIONS(7047),
    [anon_sym_BSLASHsubfile] = ACTIONS(7047),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7047),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7047),
    [anon_sym_BSLASHbibliography] = ACTIONS(7047),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7047),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7047),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7047),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7047),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7047),
    [anon_sym_BSLASHimport] = ACTIONS(7047),
    [anon_sym_BSLASHsubimport] = ACTIONS(7047),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7047),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7047),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7047),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7047),
    [anon_sym_BSLASHcaption] = ACTIONS(7047),
    [anon_sym_BSLASHcite] = ACTIONS(7047),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCite] = ACTIONS(7047),
    [anon_sym_BSLASHnocite] = ACTIONS(7047),
    [anon_sym_BSLASHcitet] = ACTIONS(7047),
    [anon_sym_BSLASHcitep] = ACTIONS(7047),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteA] = ACTIONS(7047),
    [anon_sym_BSLASHciteR] = ACTIONS(7047),
    [anon_sym_BSLASHciteS] = ACTIONS(7047),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7047),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7047),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7047),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7047),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteyear] = ACTIONS(7047),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitedate] = ACTIONS(7047),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteurl] = ACTIONS(7047),
    [anon_sym_BSLASHfullcite] = ACTIONS(7047),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7047),
    [anon_sym_BSLASHcitealt] = ACTIONS(7047),
    [anon_sym_BSLASHcitealp] = ACTIONS(7047),
    [anon_sym_BSLASHcitetext] = ACTIONS(7047),
    [anon_sym_BSLASHparencite] = ACTIONS(7047),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHParencite] = ACTIONS(7047),
    [anon_sym_BSLASHfootcite] = ACTIONS(7047),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7047),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7047),
    [anon_sym_BSLASHtextcite] = ACTIONS(7047),
    [anon_sym_BSLASHTextcite] = ACTIONS(7047),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7047),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7047),
    [anon_sym_BSLASHsupercite] = ACTIONS(7047),
    [anon_sym_BSLASHautocite] = ACTIONS(7047),
    [anon_sym_BSLASHAutocite] = ACTIONS(7047),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHVolcite] = ACTIONS(7047),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHavolcite] = ACTIONS(7047),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHNotecite] = ACTIONS(7047),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHlabel] = ACTIONS(7047),
    [anon_sym_BSLASHref] = ACTIONS(7047),
    [anon_sym_BSLASHeqref] = ACTIONS(7047),
    [anon_sym_BSLASHvref] = ACTIONS(7047),
    [anon_sym_BSLASHVref] = ACTIONS(7047),
    [anon_sym_BSLASHautoref] = ACTIONS(7047),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHpageref] = ACTIONS(7047),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHautopageref] = ACTIONS(7047),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcref] = ACTIONS(7047),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCref] = ACTIONS(7047),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcpageref] = ACTIONS(7047),
    [anon_sym_BSLASHCpageref] = ACTIONS(7047),
    [anon_sym_BSLASHnamecref] = ACTIONS(7047),
    [anon_sym_BSLASHnameCref] = ACTIONS(7047),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7047),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7047),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7047),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7047),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7047),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7047),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7047),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7047),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7047),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7047),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7047),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHdef] = ACTIONS(7047),
    [anon_sym_BSLASHgdef] = ACTIONS(7047),
    [anon_sym_BSLASHedef] = ACTIONS(7047),
    [anon_sym_BSLASHxdef] = ACTIONS(7047),
    [anon_sym_BSLASHlet] = ACTIONS(7047),
    [anon_sym_BSLASHglet] = ACTIONS(7047),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7047),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7047),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7047),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7047),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7047),
    [anon_sym_BSLASHgls] = ACTIONS(7047),
    [anon_sym_BSLASHGls] = ACTIONS(7047),
    [anon_sym_BSLASHGLS] = ACTIONS(7047),
    [anon_sym_BSLASHglspl] = ACTIONS(7047),
    [anon_sym_BSLASHGlspl] = ACTIONS(7047),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7047),
    [anon_sym_BSLASHglslink] = ACTIONS(7047),
    [anon_sym_BSLASHglstext] = ACTIONS(7047),
    [anon_sym_BSLASHGlstext] = ACTIONS(7047),
    [anon_sym_BSLASHGLStext] = ACTIONS(7047),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7047),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7047),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7047),
    [anon_sym_BSLASHglsplural] = ACTIONS(7047),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7047),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7047),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHglsname] = ACTIONS(7047),
    [anon_sym_BSLASHGlsname] = ACTIONS(7047),
    [anon_sym_BSLASHGLSname] = ACTIONS(7047),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7047),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7047),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7047),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7047),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7047),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7047),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7047),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7047),
    [anon_sym_BSLASHacrshort] = ACTIONS(7047),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7047),
    [anon_sym_BSLASHACRshort] = ACTIONS(7047),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHacrlong] = ACTIONS(7047),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7047),
    [anon_sym_BSLASHACRlong] = ACTIONS(7047),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHacrfull] = ACTIONS(7047),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7047),
    [anon_sym_BSLASHACRfull] = ACTIONS(7047),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHacs] = ACTIONS(7047),
    [anon_sym_BSLASHAcs] = ACTIONS(7047),
    [anon_sym_BSLASHacsp] = ACTIONS(7047),
    [anon_sym_BSLASHAcsp] = ACTIONS(7047),
    [anon_sym_BSLASHacl] = ACTIONS(7047),
    [anon_sym_BSLASHAcl] = ACTIONS(7047),
    [anon_sym_BSLASHaclp] = ACTIONS(7047),
    [anon_sym_BSLASHAclp] = ACTIONS(7047),
    [anon_sym_BSLASHacf] = ACTIONS(7047),
    [anon_sym_BSLASHAcf] = ACTIONS(7047),
    [anon_sym_BSLASHacfp] = ACTIONS(7047),
    [anon_sym_BSLASHAcfp] = ACTIONS(7047),
    [anon_sym_BSLASHac] = ACTIONS(7047),
    [anon_sym_BSLASHAc] = ACTIONS(7047),
    [anon_sym_BSLASHacp] = ACTIONS(7047),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7047),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7047),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7047),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7047),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7047),
    [anon_sym_BSLASHcolor] = ACTIONS(7047),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7047),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7047),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7047),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7047),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7047),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7047),
    [anon_sym_BSLASHurl] = ACTIONS(7047),
    [anon_sym_BSLASHhref] = ACTIONS(7047),
  },
  [1477] = {
    [sym_command_name] = ACTIONS(7047),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7047),
    [anon_sym_LBRACK] = ACTIONS(7049),
    [anon_sym_RBRACK] = ACTIONS(7049),
    [anon_sym_COMMA] = ACTIONS(7049),
    [anon_sym_EQ] = ACTIONS(7049),
    [anon_sym_LPAREN] = ACTIONS(7049),
    [anon_sym_RPAREN] = ACTIONS(7049),
    [anon_sym_BSLASHpart] = ACTIONS(7047),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddpart] = ACTIONS(7047),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHchapter] = ACTIONS(7047),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddchap] = ACTIONS(7047),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsection] = ACTIONS(7047),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHaddsec] = ACTIONS(7047),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubsection] = ACTIONS(7047),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7047),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHparagraph] = ACTIONS(7047),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7047),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHitem] = ACTIONS(7047),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7049),
    [anon_sym_LBRACE] = ACTIONS(7049),
    [sym_word] = ACTIONS(7047),
    [sym_placeholder] = ACTIONS(7049),
    [sym_delimiter] = ACTIONS(7049),
    [anon_sym_PLUS] = ACTIONS(7049),
    [anon_sym_DASH] = ACTIONS(7049),
    [anon_sym_STAR] = ACTIONS(7049),
    [anon_sym_SLASH] = ACTIONS(7049),
    [anon_sym_LT] = ACTIONS(7047),
    [anon_sym_GT] = ACTIONS(7047),
    [anon_sym_BANG] = ACTIONS(7047),
    [anon_sym_PIPE] = ACTIONS(7047),
    [anon_sym_COLON] = ACTIONS(7047),
    [anon_sym_SQUOTE] = ACTIONS(7047),
    [anon_sym__] = ACTIONS(7049),
    [anon_sym_CARET] = ACTIONS(7049),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7049),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7049),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7049),
    [anon_sym_DOLLAR] = ACTIONS(7047),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7049),
    [anon_sym_BSLASHleft] = ACTIONS(7047),
    [anon_sym_BSLASHbigl] = ACTIONS(7047),
    [anon_sym_BSLASHBigl] = ACTIONS(7047),
    [anon_sym_BSLASHbiggl] = ACTIONS(7047),
    [anon_sym_BSLASHBiggl] = ACTIONS(7047),
    [anon_sym_BSLASHtext] = ACTIONS(7047),
    [anon_sym_BSLASHintertext] = ACTIONS(7047),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7047),
    [anon_sym_BSLASHbegin] = ACTIONS(7047),
    [anon_sym_BSLASHtitle] = ACTIONS(7047),
    [anon_sym_BSLASHauthor] = ACTIONS(7047),
    [anon_sym_BSLASHusepackage] = ACTIONS(7047),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7047),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7047),
    [anon_sym_BSLASHinclude] = ACTIONS(7047),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7047),
    [anon_sym_BSLASHinput] = ACTIONS(7047),
    [anon_sym_BSLASHsubfile] = ACTIONS(7047),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7047),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7047),
    [anon_sym_BSLASHbibliography] = ACTIONS(7047),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7047),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7047),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7047),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7047),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7047),
    [anon_sym_BSLASHimport] = ACTIONS(7047),
    [anon_sym_BSLASHsubimport] = ACTIONS(7047),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7047),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7047),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7047),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7047),
    [anon_sym_BSLASHcaption] = ACTIONS(7047),
    [anon_sym_BSLASHcite] = ACTIONS(7047),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCite] = ACTIONS(7047),
    [anon_sym_BSLASHnocite] = ACTIONS(7047),
    [anon_sym_BSLASHcitet] = ACTIONS(7047),
    [anon_sym_BSLASHcitep] = ACTIONS(7047),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteA] = ACTIONS(7047),
    [anon_sym_BSLASHciteR] = ACTIONS(7047),
    [anon_sym_BSLASHciteS] = ACTIONS(7047),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7047),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7047),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7047),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7047),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteyear] = ACTIONS(7047),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitedate] = ACTIONS(7047),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteurl] = ACTIONS(7047),
    [anon_sym_BSLASHfullcite] = ACTIONS(7047),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7047),
    [anon_sym_BSLASHcitealt] = ACTIONS(7047),
    [anon_sym_BSLASHcitealp] = ACTIONS(7047),
    [anon_sym_BSLASHcitetext] = ACTIONS(7047),
    [anon_sym_BSLASHparencite] = ACTIONS(7047),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHParencite] = ACTIONS(7047),
    [anon_sym_BSLASHfootcite] = ACTIONS(7047),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7047),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7047),
    [anon_sym_BSLASHtextcite] = ACTIONS(7047),
    [anon_sym_BSLASHTextcite] = ACTIONS(7047),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7047),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7047),
    [anon_sym_BSLASHsupercite] = ACTIONS(7047),
    [anon_sym_BSLASHautocite] = ACTIONS(7047),
    [anon_sym_BSLASHAutocite] = ACTIONS(7047),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHVolcite] = ACTIONS(7047),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHavolcite] = ACTIONS(7047),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHNotecite] = ACTIONS(7047),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHlabel] = ACTIONS(7047),
    [anon_sym_BSLASHref] = ACTIONS(7047),
    [anon_sym_BSLASHeqref] = ACTIONS(7047),
    [anon_sym_BSLASHvref] = ACTIONS(7047),
    [anon_sym_BSLASHVref] = ACTIONS(7047),
    [anon_sym_BSLASHautoref] = ACTIONS(7047),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHpageref] = ACTIONS(7047),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHautopageref] = ACTIONS(7047),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcref] = ACTIONS(7047),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCref] = ACTIONS(7047),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcpageref] = ACTIONS(7047),
    [anon_sym_BSLASHCpageref] = ACTIONS(7047),
    [anon_sym_BSLASHnamecref] = ACTIONS(7047),
    [anon_sym_BSLASHnameCref] = ACTIONS(7047),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7047),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7047),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7047),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7047),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7047),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7047),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7047),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7047),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7047),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7047),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7047),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHdef] = ACTIONS(7047),
    [anon_sym_BSLASHgdef] = ACTIONS(7047),
    [anon_sym_BSLASHedef] = ACTIONS(7047),
    [anon_sym_BSLASHxdef] = ACTIONS(7047),
    [anon_sym_BSLASHlet] = ACTIONS(7047),
    [anon_sym_BSLASHglet] = ACTIONS(7047),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7047),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7047),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7047),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7047),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7047),
    [anon_sym_BSLASHgls] = ACTIONS(7047),
    [anon_sym_BSLASHGls] = ACTIONS(7047),
    [anon_sym_BSLASHGLS] = ACTIONS(7047),
    [anon_sym_BSLASHglspl] = ACTIONS(7047),
    [anon_sym_BSLASHGlspl] = ACTIONS(7047),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7047),
    [anon_sym_BSLASHglslink] = ACTIONS(7047),
    [anon_sym_BSLASHglstext] = ACTIONS(7047),
    [anon_sym_BSLASHGlstext] = ACTIONS(7047),
    [anon_sym_BSLASHGLStext] = ACTIONS(7047),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7047),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7047),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7047),
    [anon_sym_BSLASHglsplural] = ACTIONS(7047),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7047),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7047),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHglsname] = ACTIONS(7047),
    [anon_sym_BSLASHGlsname] = ACTIONS(7047),
    [anon_sym_BSLASHGLSname] = ACTIONS(7047),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7047),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7047),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7047),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7047),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7047),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7047),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7047),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7047),
    [anon_sym_BSLASHacrshort] = ACTIONS(7047),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7047),
    [anon_sym_BSLASHACRshort] = ACTIONS(7047),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHacrlong] = ACTIONS(7047),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7047),
    [anon_sym_BSLASHACRlong] = ACTIONS(7047),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHacrfull] = ACTIONS(7047),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7047),
    [anon_sym_BSLASHACRfull] = ACTIONS(7047),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHacs] = ACTIONS(7047),
    [anon_sym_BSLASHAcs] = ACTIONS(7047),
    [anon_sym_BSLASHacsp] = ACTIONS(7047),
    [anon_sym_BSLASHAcsp] = ACTIONS(7047),
    [anon_sym_BSLASHacl] = ACTIONS(7047),
    [anon_sym_BSLASHAcl] = ACTIONS(7047),
    [anon_sym_BSLASHaclp] = ACTIONS(7047),
    [anon_sym_BSLASHAclp] = ACTIONS(7047),
    [anon_sym_BSLASHacf] = ACTIONS(7047),
    [anon_sym_BSLASHAcf] = ACTIONS(7047),
    [anon_sym_BSLASHacfp] = ACTIONS(7047),
    [anon_sym_BSLASHAcfp] = ACTIONS(7047),
    [anon_sym_BSLASHac] = ACTIONS(7047),
    [anon_sym_BSLASHAc] = ACTIONS(7047),
    [anon_sym_BSLASHacp] = ACTIONS(7047),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7047),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7047),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7047),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7047),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7047),
    [anon_sym_BSLASHcolor] = ACTIONS(7047),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7047),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7047),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7047),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7047),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7047),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7047),
    [anon_sym_BSLASHurl] = ACTIONS(7047),
    [anon_sym_BSLASHhref] = ACTIONS(7047),
  },
  [1478] = {
    [sym_command_name] = ACTIONS(7199),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7199),
    [anon_sym_LBRACK] = ACTIONS(7201),
    [anon_sym_RBRACK] = ACTIONS(7201),
    [anon_sym_COMMA] = ACTIONS(7201),
    [anon_sym_EQ] = ACTIONS(7201),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_RPAREN] = ACTIONS(7201),
    [anon_sym_BSLASHpart] = ACTIONS(7199),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHaddpart] = ACTIONS(7199),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHchapter] = ACTIONS(7199),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHaddchap] = ACTIONS(7199),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHsection] = ACTIONS(7199),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHaddsec] = ACTIONS(7199),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHsubsection] = ACTIONS(7199),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7199),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHparagraph] = ACTIONS(7199),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7199),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHitem] = ACTIONS(7199),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7201),
    [anon_sym_LBRACE] = ACTIONS(7201),
    [sym_word] = ACTIONS(7199),
    [sym_placeholder] = ACTIONS(7201),
    [sym_delimiter] = ACTIONS(7201),
    [anon_sym_PLUS] = ACTIONS(7201),
    [anon_sym_DASH] = ACTIONS(7201),
    [anon_sym_STAR] = ACTIONS(7201),
    [anon_sym_SLASH] = ACTIONS(7201),
    [anon_sym_LT] = ACTIONS(7199),
    [anon_sym_GT] = ACTIONS(7199),
    [anon_sym_BANG] = ACTIONS(7199),
    [anon_sym_PIPE] = ACTIONS(7199),
    [anon_sym_COLON] = ACTIONS(7199),
    [anon_sym_SQUOTE] = ACTIONS(7199),
    [anon_sym__] = ACTIONS(7201),
    [anon_sym_CARET] = ACTIONS(7201),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7201),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7201),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7201),
    [anon_sym_DOLLAR] = ACTIONS(7199),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7201),
    [anon_sym_BSLASHleft] = ACTIONS(7199),
    [anon_sym_BSLASHbigl] = ACTIONS(7199),
    [anon_sym_BSLASHBigl] = ACTIONS(7199),
    [anon_sym_BSLASHbiggl] = ACTIONS(7199),
    [anon_sym_BSLASHBiggl] = ACTIONS(7199),
    [anon_sym_BSLASHtext] = ACTIONS(7199),
    [anon_sym_BSLASHintertext] = ACTIONS(7199),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7199),
    [anon_sym_BSLASHbegin] = ACTIONS(7199),
    [anon_sym_BSLASHtitle] = ACTIONS(7199),
    [anon_sym_BSLASHauthor] = ACTIONS(7199),
    [anon_sym_BSLASHusepackage] = ACTIONS(7199),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7199),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7199),
    [anon_sym_BSLASHinclude] = ACTIONS(7199),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7199),
    [anon_sym_BSLASHinput] = ACTIONS(7199),
    [anon_sym_BSLASHsubfile] = ACTIONS(7199),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7199),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7199),
    [anon_sym_BSLASHbibliography] = ACTIONS(7199),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7199),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7199),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7199),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7199),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7199),
    [anon_sym_BSLASHimport] = ACTIONS(7199),
    [anon_sym_BSLASHsubimport] = ACTIONS(7199),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7199),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7199),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7199),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7199),
    [anon_sym_BSLASHcaption] = ACTIONS(7199),
    [anon_sym_BSLASHcite] = ACTIONS(7199),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCite] = ACTIONS(7199),
    [anon_sym_BSLASHnocite] = ACTIONS(7199),
    [anon_sym_BSLASHcitet] = ACTIONS(7199),
    [anon_sym_BSLASHcitep] = ACTIONS(7199),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteA] = ACTIONS(7199),
    [anon_sym_BSLASHciteR] = ACTIONS(7199),
    [anon_sym_BSLASHciteS] = ACTIONS(7199),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7199),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7199),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7199),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7199),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteyear] = ACTIONS(7199),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitedate] = ACTIONS(7199),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteurl] = ACTIONS(7199),
    [anon_sym_BSLASHfullcite] = ACTIONS(7199),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7199),
    [anon_sym_BSLASHcitealt] = ACTIONS(7199),
    [anon_sym_BSLASHcitealp] = ACTIONS(7199),
    [anon_sym_BSLASHcitetext] = ACTIONS(7199),
    [anon_sym_BSLASHparencite] = ACTIONS(7199),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHParencite] = ACTIONS(7199),
    [anon_sym_BSLASHfootcite] = ACTIONS(7199),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7199),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7199),
    [anon_sym_BSLASHtextcite] = ACTIONS(7199),
    [anon_sym_BSLASHTextcite] = ACTIONS(7199),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7199),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7199),
    [anon_sym_BSLASHsupercite] = ACTIONS(7199),
    [anon_sym_BSLASHautocite] = ACTIONS(7199),
    [anon_sym_BSLASHAutocite] = ACTIONS(7199),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHVolcite] = ACTIONS(7199),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHavolcite] = ACTIONS(7199),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHNotecite] = ACTIONS(7199),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHlabel] = ACTIONS(7199),
    [anon_sym_BSLASHref] = ACTIONS(7199),
    [anon_sym_BSLASHeqref] = ACTIONS(7199),
    [anon_sym_BSLASHvref] = ACTIONS(7199),
    [anon_sym_BSLASHVref] = ACTIONS(7199),
    [anon_sym_BSLASHautoref] = ACTIONS(7199),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHpageref] = ACTIONS(7199),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHautopageref] = ACTIONS(7199),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcref] = ACTIONS(7199),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCref] = ACTIONS(7199),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcpageref] = ACTIONS(7199),
    [anon_sym_BSLASHCpageref] = ACTIONS(7199),
    [anon_sym_BSLASHnamecref] = ACTIONS(7199),
    [anon_sym_BSLASHnameCref] = ACTIONS(7199),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7199),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7199),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7199),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7199),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7199),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7199),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7199),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7199),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7199),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7199),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7199),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHdef] = ACTIONS(7199),
    [anon_sym_BSLASHgdef] = ACTIONS(7199),
    [anon_sym_BSLASHedef] = ACTIONS(7199),
    [anon_sym_BSLASHxdef] = ACTIONS(7199),
    [anon_sym_BSLASHlet] = ACTIONS(7199),
    [anon_sym_BSLASHglet] = ACTIONS(7199),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7199),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7199),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7199),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7199),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7199),
    [anon_sym_BSLASHgls] = ACTIONS(7199),
    [anon_sym_BSLASHGls] = ACTIONS(7199),
    [anon_sym_BSLASHGLS] = ACTIONS(7199),
    [anon_sym_BSLASHglspl] = ACTIONS(7199),
    [anon_sym_BSLASHGlspl] = ACTIONS(7199),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7199),
    [anon_sym_BSLASHglslink] = ACTIONS(7199),
    [anon_sym_BSLASHglstext] = ACTIONS(7199),
    [anon_sym_BSLASHGlstext] = ACTIONS(7199),
    [anon_sym_BSLASHGLStext] = ACTIONS(7199),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7199),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7199),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7199),
    [anon_sym_BSLASHglsplural] = ACTIONS(7199),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7199),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7199),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHglsname] = ACTIONS(7199),
    [anon_sym_BSLASHGlsname] = ACTIONS(7199),
    [anon_sym_BSLASHGLSname] = ACTIONS(7199),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7199),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7199),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7199),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7199),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7199),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7199),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7199),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7199),
    [anon_sym_BSLASHacrshort] = ACTIONS(7199),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7199),
    [anon_sym_BSLASHACRshort] = ACTIONS(7199),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHacrlong] = ACTIONS(7199),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7199),
    [anon_sym_BSLASHACRlong] = ACTIONS(7199),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHacrfull] = ACTIONS(7199),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7199),
    [anon_sym_BSLASHACRfull] = ACTIONS(7199),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHacs] = ACTIONS(7199),
    [anon_sym_BSLASHAcs] = ACTIONS(7199),
    [anon_sym_BSLASHacsp] = ACTIONS(7199),
    [anon_sym_BSLASHAcsp] = ACTIONS(7199),
    [anon_sym_BSLASHacl] = ACTIONS(7199),
    [anon_sym_BSLASHAcl] = ACTIONS(7199),
    [anon_sym_BSLASHaclp] = ACTIONS(7199),
    [anon_sym_BSLASHAclp] = ACTIONS(7199),
    [anon_sym_BSLASHacf] = ACTIONS(7199),
    [anon_sym_BSLASHAcf] = ACTIONS(7199),
    [anon_sym_BSLASHacfp] = ACTIONS(7199),
    [anon_sym_BSLASHAcfp] = ACTIONS(7199),
    [anon_sym_BSLASHac] = ACTIONS(7199),
    [anon_sym_BSLASHAc] = ACTIONS(7199),
    [anon_sym_BSLASHacp] = ACTIONS(7199),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7199),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7199),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7199),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7199),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7199),
    [anon_sym_BSLASHcolor] = ACTIONS(7199),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7199),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7199),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7199),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7199),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7199),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7199),
    [anon_sym_BSLASHurl] = ACTIONS(7199),
    [anon_sym_BSLASHhref] = ACTIONS(7199),
  },
  [1479] = {
    [sym_command_name] = ACTIONS(7203),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7203),
    [anon_sym_LBRACK] = ACTIONS(7205),
    [anon_sym_RBRACK] = ACTIONS(7205),
    [anon_sym_COMMA] = ACTIONS(7205),
    [anon_sym_EQ] = ACTIONS(7205),
    [anon_sym_LPAREN] = ACTIONS(7205),
    [anon_sym_RPAREN] = ACTIONS(7205),
    [anon_sym_BSLASHpart] = ACTIONS(7203),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHaddpart] = ACTIONS(7203),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHchapter] = ACTIONS(7203),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHaddchap] = ACTIONS(7203),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHsection] = ACTIONS(7203),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHaddsec] = ACTIONS(7203),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHsubsection] = ACTIONS(7203),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7203),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHparagraph] = ACTIONS(7203),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7203),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHitem] = ACTIONS(7203),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7205),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [sym_word] = ACTIONS(7203),
    [sym_placeholder] = ACTIONS(7205),
    [sym_delimiter] = ACTIONS(7205),
    [anon_sym_PLUS] = ACTIONS(7205),
    [anon_sym_DASH] = ACTIONS(7205),
    [anon_sym_STAR] = ACTIONS(7205),
    [anon_sym_SLASH] = ACTIONS(7205),
    [anon_sym_LT] = ACTIONS(7203),
    [anon_sym_GT] = ACTIONS(7203),
    [anon_sym_BANG] = ACTIONS(7203),
    [anon_sym_PIPE] = ACTIONS(7203),
    [anon_sym_COLON] = ACTIONS(7203),
    [anon_sym_SQUOTE] = ACTIONS(7203),
    [anon_sym__] = ACTIONS(7205),
    [anon_sym_CARET] = ACTIONS(7205),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7205),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7205),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7203),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7205),
    [anon_sym_BSLASHleft] = ACTIONS(7203),
    [anon_sym_BSLASHbigl] = ACTIONS(7203),
    [anon_sym_BSLASHBigl] = ACTIONS(7203),
    [anon_sym_BSLASHbiggl] = ACTIONS(7203),
    [anon_sym_BSLASHBiggl] = ACTIONS(7203),
    [anon_sym_BSLASHtext] = ACTIONS(7203),
    [anon_sym_BSLASHintertext] = ACTIONS(7203),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7203),
    [anon_sym_BSLASHbegin] = ACTIONS(7203),
    [anon_sym_BSLASHtitle] = ACTIONS(7203),
    [anon_sym_BSLASHauthor] = ACTIONS(7203),
    [anon_sym_BSLASHusepackage] = ACTIONS(7203),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7203),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7203),
    [anon_sym_BSLASHinclude] = ACTIONS(7203),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7203),
    [anon_sym_BSLASHinput] = ACTIONS(7203),
    [anon_sym_BSLASHsubfile] = ACTIONS(7203),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7203),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7203),
    [anon_sym_BSLASHbibliography] = ACTIONS(7203),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7203),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7203),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7203),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7203),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7203),
    [anon_sym_BSLASHimport] = ACTIONS(7203),
    [anon_sym_BSLASHsubimport] = ACTIONS(7203),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7203),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7203),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7203),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7203),
    [anon_sym_BSLASHcaption] = ACTIONS(7203),
    [anon_sym_BSLASHcite] = ACTIONS(7203),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCite] = ACTIONS(7203),
    [anon_sym_BSLASHnocite] = ACTIONS(7203),
    [anon_sym_BSLASHcitet] = ACTIONS(7203),
    [anon_sym_BSLASHcitep] = ACTIONS(7203),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteA] = ACTIONS(7203),
    [anon_sym_BSLASHciteR] = ACTIONS(7203),
    [anon_sym_BSLASHciteS] = ACTIONS(7203),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7203),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7203),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7203),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7203),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteyear] = ACTIONS(7203),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitedate] = ACTIONS(7203),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteurl] = ACTIONS(7203),
    [anon_sym_BSLASHfullcite] = ACTIONS(7203),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7203),
    [anon_sym_BSLASHcitealt] = ACTIONS(7203),
    [anon_sym_BSLASHcitealp] = ACTIONS(7203),
    [anon_sym_BSLASHcitetext] = ACTIONS(7203),
    [anon_sym_BSLASHparencite] = ACTIONS(7203),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHParencite] = ACTIONS(7203),
    [anon_sym_BSLASHfootcite] = ACTIONS(7203),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7203),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7203),
    [anon_sym_BSLASHtextcite] = ACTIONS(7203),
    [anon_sym_BSLASHTextcite] = ACTIONS(7203),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7203),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7203),
    [anon_sym_BSLASHsupercite] = ACTIONS(7203),
    [anon_sym_BSLASHautocite] = ACTIONS(7203),
    [anon_sym_BSLASHAutocite] = ACTIONS(7203),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHVolcite] = ACTIONS(7203),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHavolcite] = ACTIONS(7203),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHNotecite] = ACTIONS(7203),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHlabel] = ACTIONS(7203),
    [anon_sym_BSLASHref] = ACTIONS(7203),
    [anon_sym_BSLASHeqref] = ACTIONS(7203),
    [anon_sym_BSLASHvref] = ACTIONS(7203),
    [anon_sym_BSLASHVref] = ACTIONS(7203),
    [anon_sym_BSLASHautoref] = ACTIONS(7203),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHpageref] = ACTIONS(7203),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHautopageref] = ACTIONS(7203),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcref] = ACTIONS(7203),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCref] = ACTIONS(7203),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcpageref] = ACTIONS(7203),
    [anon_sym_BSLASHCpageref] = ACTIONS(7203),
    [anon_sym_BSLASHnamecref] = ACTIONS(7203),
    [anon_sym_BSLASHnameCref] = ACTIONS(7203),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7203),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7203),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7203),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7203),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7203),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7203),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7203),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7203),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7203),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7203),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7203),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHdef] = ACTIONS(7203),
    [anon_sym_BSLASHgdef] = ACTIONS(7203),
    [anon_sym_BSLASHedef] = ACTIONS(7203),
    [anon_sym_BSLASHxdef] = ACTIONS(7203),
    [anon_sym_BSLASHlet] = ACTIONS(7203),
    [anon_sym_BSLASHglet] = ACTIONS(7203),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7203),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7203),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7203),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7203),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7203),
    [anon_sym_BSLASHgls] = ACTIONS(7203),
    [anon_sym_BSLASHGls] = ACTIONS(7203),
    [anon_sym_BSLASHGLS] = ACTIONS(7203),
    [anon_sym_BSLASHglspl] = ACTIONS(7203),
    [anon_sym_BSLASHGlspl] = ACTIONS(7203),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7203),
    [anon_sym_BSLASHglslink] = ACTIONS(7203),
    [anon_sym_BSLASHglstext] = ACTIONS(7203),
    [anon_sym_BSLASHGlstext] = ACTIONS(7203),
    [anon_sym_BSLASHGLStext] = ACTIONS(7203),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7203),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7203),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7203),
    [anon_sym_BSLASHglsplural] = ACTIONS(7203),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7203),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7203),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHglsname] = ACTIONS(7203),
    [anon_sym_BSLASHGlsname] = ACTIONS(7203),
    [anon_sym_BSLASHGLSname] = ACTIONS(7203),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7203),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7203),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7203),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7203),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7203),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7203),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7203),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7203),
    [anon_sym_BSLASHacrshort] = ACTIONS(7203),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7203),
    [anon_sym_BSLASHACRshort] = ACTIONS(7203),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHacrlong] = ACTIONS(7203),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7203),
    [anon_sym_BSLASHACRlong] = ACTIONS(7203),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHacrfull] = ACTIONS(7203),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7203),
    [anon_sym_BSLASHACRfull] = ACTIONS(7203),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHacs] = ACTIONS(7203),
    [anon_sym_BSLASHAcs] = ACTIONS(7203),
    [anon_sym_BSLASHacsp] = ACTIONS(7203),
    [anon_sym_BSLASHAcsp] = ACTIONS(7203),
    [anon_sym_BSLASHacl] = ACTIONS(7203),
    [anon_sym_BSLASHAcl] = ACTIONS(7203),
    [anon_sym_BSLASHaclp] = ACTIONS(7203),
    [anon_sym_BSLASHAclp] = ACTIONS(7203),
    [anon_sym_BSLASHacf] = ACTIONS(7203),
    [anon_sym_BSLASHAcf] = ACTIONS(7203),
    [anon_sym_BSLASHacfp] = ACTIONS(7203),
    [anon_sym_BSLASHAcfp] = ACTIONS(7203),
    [anon_sym_BSLASHac] = ACTIONS(7203),
    [anon_sym_BSLASHAc] = ACTIONS(7203),
    [anon_sym_BSLASHacp] = ACTIONS(7203),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7203),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7203),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7203),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7203),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7203),
    [anon_sym_BSLASHcolor] = ACTIONS(7203),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7203),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7203),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7203),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7203),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7203),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7203),
    [anon_sym_BSLASHurl] = ACTIONS(7203),
    [anon_sym_BSLASHhref] = ACTIONS(7203),
  },
  [1480] = {
    [sym_command_name] = ACTIONS(7207),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7207),
    [anon_sym_LBRACK] = ACTIONS(7209),
    [anon_sym_RBRACK] = ACTIONS(7209),
    [anon_sym_COMMA] = ACTIONS(7209),
    [anon_sym_EQ] = ACTIONS(7209),
    [anon_sym_LPAREN] = ACTIONS(7209),
    [anon_sym_RPAREN] = ACTIONS(7209),
    [anon_sym_BSLASHpart] = ACTIONS(7207),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHaddpart] = ACTIONS(7207),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHchapter] = ACTIONS(7207),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHaddchap] = ACTIONS(7207),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHsection] = ACTIONS(7207),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHaddsec] = ACTIONS(7207),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHsubsection] = ACTIONS(7207),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7207),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHparagraph] = ACTIONS(7207),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7207),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHitem] = ACTIONS(7207),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7209),
    [anon_sym_LBRACE] = ACTIONS(7209),
    [sym_word] = ACTIONS(7207),
    [sym_placeholder] = ACTIONS(7209),
    [sym_delimiter] = ACTIONS(7209),
    [anon_sym_PLUS] = ACTIONS(7209),
    [anon_sym_DASH] = ACTIONS(7209),
    [anon_sym_STAR] = ACTIONS(7209),
    [anon_sym_SLASH] = ACTIONS(7209),
    [anon_sym_LT] = ACTIONS(7207),
    [anon_sym_GT] = ACTIONS(7207),
    [anon_sym_BANG] = ACTIONS(7207),
    [anon_sym_PIPE] = ACTIONS(7207),
    [anon_sym_COLON] = ACTIONS(7207),
    [anon_sym_SQUOTE] = ACTIONS(7207),
    [anon_sym__] = ACTIONS(7209),
    [anon_sym_CARET] = ACTIONS(7209),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7209),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7209),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7209),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7209),
    [anon_sym_BSLASHleft] = ACTIONS(7207),
    [anon_sym_BSLASHbigl] = ACTIONS(7207),
    [anon_sym_BSLASHBigl] = ACTIONS(7207),
    [anon_sym_BSLASHbiggl] = ACTIONS(7207),
    [anon_sym_BSLASHBiggl] = ACTIONS(7207),
    [anon_sym_BSLASHtext] = ACTIONS(7207),
    [anon_sym_BSLASHintertext] = ACTIONS(7207),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7207),
    [anon_sym_BSLASHbegin] = ACTIONS(7207),
    [anon_sym_BSLASHtitle] = ACTIONS(7207),
    [anon_sym_BSLASHauthor] = ACTIONS(7207),
    [anon_sym_BSLASHusepackage] = ACTIONS(7207),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7207),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7207),
    [anon_sym_BSLASHinclude] = ACTIONS(7207),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7207),
    [anon_sym_BSLASHinput] = ACTIONS(7207),
    [anon_sym_BSLASHsubfile] = ACTIONS(7207),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7207),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7207),
    [anon_sym_BSLASHbibliography] = ACTIONS(7207),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7207),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7207),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7207),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7207),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7207),
    [anon_sym_BSLASHimport] = ACTIONS(7207),
    [anon_sym_BSLASHsubimport] = ACTIONS(7207),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7207),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7207),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7207),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7207),
    [anon_sym_BSLASHcaption] = ACTIONS(7207),
    [anon_sym_BSLASHcite] = ACTIONS(7207),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCite] = ACTIONS(7207),
    [anon_sym_BSLASHnocite] = ACTIONS(7207),
    [anon_sym_BSLASHcitet] = ACTIONS(7207),
    [anon_sym_BSLASHcitep] = ACTIONS(7207),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteA] = ACTIONS(7207),
    [anon_sym_BSLASHciteR] = ACTIONS(7207),
    [anon_sym_BSLASHciteS] = ACTIONS(7207),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7207),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7207),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7207),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7207),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteyear] = ACTIONS(7207),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitedate] = ACTIONS(7207),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteurl] = ACTIONS(7207),
    [anon_sym_BSLASHfullcite] = ACTIONS(7207),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7207),
    [anon_sym_BSLASHcitealt] = ACTIONS(7207),
    [anon_sym_BSLASHcitealp] = ACTIONS(7207),
    [anon_sym_BSLASHcitetext] = ACTIONS(7207),
    [anon_sym_BSLASHparencite] = ACTIONS(7207),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHParencite] = ACTIONS(7207),
    [anon_sym_BSLASHfootcite] = ACTIONS(7207),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7207),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7207),
    [anon_sym_BSLASHtextcite] = ACTIONS(7207),
    [anon_sym_BSLASHTextcite] = ACTIONS(7207),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7207),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7207),
    [anon_sym_BSLASHsupercite] = ACTIONS(7207),
    [anon_sym_BSLASHautocite] = ACTIONS(7207),
    [anon_sym_BSLASHAutocite] = ACTIONS(7207),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHVolcite] = ACTIONS(7207),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHavolcite] = ACTIONS(7207),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHNotecite] = ACTIONS(7207),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHlabel] = ACTIONS(7207),
    [anon_sym_BSLASHref] = ACTIONS(7207),
    [anon_sym_BSLASHeqref] = ACTIONS(7207),
    [anon_sym_BSLASHvref] = ACTIONS(7207),
    [anon_sym_BSLASHVref] = ACTIONS(7207),
    [anon_sym_BSLASHautoref] = ACTIONS(7207),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHpageref] = ACTIONS(7207),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHautopageref] = ACTIONS(7207),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcref] = ACTIONS(7207),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCref] = ACTIONS(7207),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcpageref] = ACTIONS(7207),
    [anon_sym_BSLASHCpageref] = ACTIONS(7207),
    [anon_sym_BSLASHnamecref] = ACTIONS(7207),
    [anon_sym_BSLASHnameCref] = ACTIONS(7207),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7207),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7207),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7207),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7207),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7207),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7207),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7207),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7207),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7207),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7207),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7207),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHdef] = ACTIONS(7207),
    [anon_sym_BSLASHgdef] = ACTIONS(7207),
    [anon_sym_BSLASHedef] = ACTIONS(7207),
    [anon_sym_BSLASHxdef] = ACTIONS(7207),
    [anon_sym_BSLASHlet] = ACTIONS(7207),
    [anon_sym_BSLASHglet] = ACTIONS(7207),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7207),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7207),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7207),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7207),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7207),
    [anon_sym_BSLASHgls] = ACTIONS(7207),
    [anon_sym_BSLASHGls] = ACTIONS(7207),
    [anon_sym_BSLASHGLS] = ACTIONS(7207),
    [anon_sym_BSLASHglspl] = ACTIONS(7207),
    [anon_sym_BSLASHGlspl] = ACTIONS(7207),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7207),
    [anon_sym_BSLASHglslink] = ACTIONS(7207),
    [anon_sym_BSLASHglstext] = ACTIONS(7207),
    [anon_sym_BSLASHGlstext] = ACTIONS(7207),
    [anon_sym_BSLASHGLStext] = ACTIONS(7207),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7207),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7207),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7207),
    [anon_sym_BSLASHglsplural] = ACTIONS(7207),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7207),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7207),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHglsname] = ACTIONS(7207),
    [anon_sym_BSLASHGlsname] = ACTIONS(7207),
    [anon_sym_BSLASHGLSname] = ACTIONS(7207),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7207),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7207),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7207),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7207),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7207),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7207),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7207),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7207),
    [anon_sym_BSLASHacrshort] = ACTIONS(7207),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7207),
    [anon_sym_BSLASHACRshort] = ACTIONS(7207),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHacrlong] = ACTIONS(7207),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7207),
    [anon_sym_BSLASHACRlong] = ACTIONS(7207),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHacrfull] = ACTIONS(7207),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7207),
    [anon_sym_BSLASHACRfull] = ACTIONS(7207),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHacs] = ACTIONS(7207),
    [anon_sym_BSLASHAcs] = ACTIONS(7207),
    [anon_sym_BSLASHacsp] = ACTIONS(7207),
    [anon_sym_BSLASHAcsp] = ACTIONS(7207),
    [anon_sym_BSLASHacl] = ACTIONS(7207),
    [anon_sym_BSLASHAcl] = ACTIONS(7207),
    [anon_sym_BSLASHaclp] = ACTIONS(7207),
    [anon_sym_BSLASHAclp] = ACTIONS(7207),
    [anon_sym_BSLASHacf] = ACTIONS(7207),
    [anon_sym_BSLASHAcf] = ACTIONS(7207),
    [anon_sym_BSLASHacfp] = ACTIONS(7207),
    [anon_sym_BSLASHAcfp] = ACTIONS(7207),
    [anon_sym_BSLASHac] = ACTIONS(7207),
    [anon_sym_BSLASHAc] = ACTIONS(7207),
    [anon_sym_BSLASHacp] = ACTIONS(7207),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7207),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7207),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7207),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7207),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7207),
    [anon_sym_BSLASHcolor] = ACTIONS(7207),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7207),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7207),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7207),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7207),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7207),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7207),
    [anon_sym_BSLASHurl] = ACTIONS(7207),
    [anon_sym_BSLASHhref] = ACTIONS(7207),
  },
  [1481] = {
    [sym_command_name] = ACTIONS(7211),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7211),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_RBRACK] = ACTIONS(7213),
    [anon_sym_COMMA] = ACTIONS(7213),
    [anon_sym_EQ] = ACTIONS(7213),
    [anon_sym_LPAREN] = ACTIONS(7213),
    [anon_sym_RPAREN] = ACTIONS(7213),
    [anon_sym_BSLASHpart] = ACTIONS(7211),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHaddpart] = ACTIONS(7211),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHchapter] = ACTIONS(7211),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHaddchap] = ACTIONS(7211),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHsection] = ACTIONS(7211),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHaddsec] = ACTIONS(7211),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHsubsection] = ACTIONS(7211),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7211),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHparagraph] = ACTIONS(7211),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7211),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHitem] = ACTIONS(7211),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7213),
    [anon_sym_LBRACE] = ACTIONS(7213),
    [sym_word] = ACTIONS(7211),
    [sym_placeholder] = ACTIONS(7213),
    [sym_delimiter] = ACTIONS(7213),
    [anon_sym_PLUS] = ACTIONS(7213),
    [anon_sym_DASH] = ACTIONS(7213),
    [anon_sym_STAR] = ACTIONS(7213),
    [anon_sym_SLASH] = ACTIONS(7213),
    [anon_sym_LT] = ACTIONS(7211),
    [anon_sym_GT] = ACTIONS(7211),
    [anon_sym_BANG] = ACTIONS(7211),
    [anon_sym_PIPE] = ACTIONS(7211),
    [anon_sym_COLON] = ACTIONS(7211),
    [anon_sym_SQUOTE] = ACTIONS(7211),
    [anon_sym__] = ACTIONS(7213),
    [anon_sym_CARET] = ACTIONS(7213),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7213),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7213),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7213),
    [anon_sym_DOLLAR] = ACTIONS(7211),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7213),
    [anon_sym_BSLASHleft] = ACTIONS(7211),
    [anon_sym_BSLASHbigl] = ACTIONS(7211),
    [anon_sym_BSLASHBigl] = ACTIONS(7211),
    [anon_sym_BSLASHbiggl] = ACTIONS(7211),
    [anon_sym_BSLASHBiggl] = ACTIONS(7211),
    [anon_sym_BSLASHtext] = ACTIONS(7211),
    [anon_sym_BSLASHintertext] = ACTIONS(7211),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7211),
    [anon_sym_BSLASHbegin] = ACTIONS(7211),
    [anon_sym_BSLASHtitle] = ACTIONS(7211),
    [anon_sym_BSLASHauthor] = ACTIONS(7211),
    [anon_sym_BSLASHusepackage] = ACTIONS(7211),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7211),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7211),
    [anon_sym_BSLASHinclude] = ACTIONS(7211),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7211),
    [anon_sym_BSLASHinput] = ACTIONS(7211),
    [anon_sym_BSLASHsubfile] = ACTIONS(7211),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7211),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7211),
    [anon_sym_BSLASHbibliography] = ACTIONS(7211),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7211),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7211),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7211),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7211),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7211),
    [anon_sym_BSLASHimport] = ACTIONS(7211),
    [anon_sym_BSLASHsubimport] = ACTIONS(7211),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7211),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7211),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7211),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7211),
    [anon_sym_BSLASHcaption] = ACTIONS(7211),
    [anon_sym_BSLASHcite] = ACTIONS(7211),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCite] = ACTIONS(7211),
    [anon_sym_BSLASHnocite] = ACTIONS(7211),
    [anon_sym_BSLASHcitet] = ACTIONS(7211),
    [anon_sym_BSLASHcitep] = ACTIONS(7211),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteA] = ACTIONS(7211),
    [anon_sym_BSLASHciteR] = ACTIONS(7211),
    [anon_sym_BSLASHciteS] = ACTIONS(7211),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7211),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7211),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7211),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7211),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteyear] = ACTIONS(7211),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitedate] = ACTIONS(7211),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteurl] = ACTIONS(7211),
    [anon_sym_BSLASHfullcite] = ACTIONS(7211),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7211),
    [anon_sym_BSLASHcitealt] = ACTIONS(7211),
    [anon_sym_BSLASHcitealp] = ACTIONS(7211),
    [anon_sym_BSLASHcitetext] = ACTIONS(7211),
    [anon_sym_BSLASHparencite] = ACTIONS(7211),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHParencite] = ACTIONS(7211),
    [anon_sym_BSLASHfootcite] = ACTIONS(7211),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7211),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7211),
    [anon_sym_BSLASHtextcite] = ACTIONS(7211),
    [anon_sym_BSLASHTextcite] = ACTIONS(7211),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7211),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7211),
    [anon_sym_BSLASHsupercite] = ACTIONS(7211),
    [anon_sym_BSLASHautocite] = ACTIONS(7211),
    [anon_sym_BSLASHAutocite] = ACTIONS(7211),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHVolcite] = ACTIONS(7211),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHavolcite] = ACTIONS(7211),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHNotecite] = ACTIONS(7211),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHlabel] = ACTIONS(7211),
    [anon_sym_BSLASHref] = ACTIONS(7211),
    [anon_sym_BSLASHeqref] = ACTIONS(7211),
    [anon_sym_BSLASHvref] = ACTIONS(7211),
    [anon_sym_BSLASHVref] = ACTIONS(7211),
    [anon_sym_BSLASHautoref] = ACTIONS(7211),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHpageref] = ACTIONS(7211),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHautopageref] = ACTIONS(7211),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcref] = ACTIONS(7211),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCref] = ACTIONS(7211),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcpageref] = ACTIONS(7211),
    [anon_sym_BSLASHCpageref] = ACTIONS(7211),
    [anon_sym_BSLASHnamecref] = ACTIONS(7211),
    [anon_sym_BSLASHnameCref] = ACTIONS(7211),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7211),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7211),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7211),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7211),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7211),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7211),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7211),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7211),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7211),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7211),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7211),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHdef] = ACTIONS(7211),
    [anon_sym_BSLASHgdef] = ACTIONS(7211),
    [anon_sym_BSLASHedef] = ACTIONS(7211),
    [anon_sym_BSLASHxdef] = ACTIONS(7211),
    [anon_sym_BSLASHlet] = ACTIONS(7211),
    [anon_sym_BSLASHglet] = ACTIONS(7211),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7211),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7211),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7211),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7211),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7211),
    [anon_sym_BSLASHgls] = ACTIONS(7211),
    [anon_sym_BSLASHGls] = ACTIONS(7211),
    [anon_sym_BSLASHGLS] = ACTIONS(7211),
    [anon_sym_BSLASHglspl] = ACTIONS(7211),
    [anon_sym_BSLASHGlspl] = ACTIONS(7211),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7211),
    [anon_sym_BSLASHglslink] = ACTIONS(7211),
    [anon_sym_BSLASHglstext] = ACTIONS(7211),
    [anon_sym_BSLASHGlstext] = ACTIONS(7211),
    [anon_sym_BSLASHGLStext] = ACTIONS(7211),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7211),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7211),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7211),
    [anon_sym_BSLASHglsplural] = ACTIONS(7211),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7211),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7211),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHglsname] = ACTIONS(7211),
    [anon_sym_BSLASHGlsname] = ACTIONS(7211),
    [anon_sym_BSLASHGLSname] = ACTIONS(7211),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7211),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7211),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7211),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7211),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7211),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7211),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7211),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7211),
    [anon_sym_BSLASHacrshort] = ACTIONS(7211),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7211),
    [anon_sym_BSLASHACRshort] = ACTIONS(7211),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHacrlong] = ACTIONS(7211),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7211),
    [anon_sym_BSLASHACRlong] = ACTIONS(7211),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHacrfull] = ACTIONS(7211),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7211),
    [anon_sym_BSLASHACRfull] = ACTIONS(7211),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHacs] = ACTIONS(7211),
    [anon_sym_BSLASHAcs] = ACTIONS(7211),
    [anon_sym_BSLASHacsp] = ACTIONS(7211),
    [anon_sym_BSLASHAcsp] = ACTIONS(7211),
    [anon_sym_BSLASHacl] = ACTIONS(7211),
    [anon_sym_BSLASHAcl] = ACTIONS(7211),
    [anon_sym_BSLASHaclp] = ACTIONS(7211),
    [anon_sym_BSLASHAclp] = ACTIONS(7211),
    [anon_sym_BSLASHacf] = ACTIONS(7211),
    [anon_sym_BSLASHAcf] = ACTIONS(7211),
    [anon_sym_BSLASHacfp] = ACTIONS(7211),
    [anon_sym_BSLASHAcfp] = ACTIONS(7211),
    [anon_sym_BSLASHac] = ACTIONS(7211),
    [anon_sym_BSLASHAc] = ACTIONS(7211),
    [anon_sym_BSLASHacp] = ACTIONS(7211),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7211),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7211),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7211),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7211),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7211),
    [anon_sym_BSLASHcolor] = ACTIONS(7211),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7211),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7211),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7211),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7211),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7211),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7211),
    [anon_sym_BSLASHurl] = ACTIONS(7211),
    [anon_sym_BSLASHhref] = ACTIONS(7211),
  },
  [1482] = {
    [sym_command_name] = ACTIONS(7215),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7215),
    [anon_sym_LBRACK] = ACTIONS(7217),
    [anon_sym_RBRACK] = ACTIONS(7217),
    [anon_sym_COMMA] = ACTIONS(7217),
    [anon_sym_EQ] = ACTIONS(7217),
    [anon_sym_LPAREN] = ACTIONS(7217),
    [anon_sym_RPAREN] = ACTIONS(7217),
    [anon_sym_BSLASHpart] = ACTIONS(7215),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHaddpart] = ACTIONS(7215),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHchapter] = ACTIONS(7215),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHaddchap] = ACTIONS(7215),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHsection] = ACTIONS(7215),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHaddsec] = ACTIONS(7215),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHsubsection] = ACTIONS(7215),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7215),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHparagraph] = ACTIONS(7215),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7215),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHitem] = ACTIONS(7215),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7217),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [sym_word] = ACTIONS(7215),
    [sym_placeholder] = ACTIONS(7217),
    [sym_delimiter] = ACTIONS(7217),
    [anon_sym_PLUS] = ACTIONS(7217),
    [anon_sym_DASH] = ACTIONS(7217),
    [anon_sym_STAR] = ACTIONS(7217),
    [anon_sym_SLASH] = ACTIONS(7217),
    [anon_sym_LT] = ACTIONS(7215),
    [anon_sym_GT] = ACTIONS(7215),
    [anon_sym_BANG] = ACTIONS(7215),
    [anon_sym_PIPE] = ACTIONS(7215),
    [anon_sym_COLON] = ACTIONS(7215),
    [anon_sym_SQUOTE] = ACTIONS(7215),
    [anon_sym__] = ACTIONS(7217),
    [anon_sym_CARET] = ACTIONS(7217),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7217),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7217),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7217),
    [anon_sym_DOLLAR] = ACTIONS(7215),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7217),
    [anon_sym_BSLASHleft] = ACTIONS(7215),
    [anon_sym_BSLASHbigl] = ACTIONS(7215),
    [anon_sym_BSLASHBigl] = ACTIONS(7215),
    [anon_sym_BSLASHbiggl] = ACTIONS(7215),
    [anon_sym_BSLASHBiggl] = ACTIONS(7215),
    [anon_sym_BSLASHtext] = ACTIONS(7215),
    [anon_sym_BSLASHintertext] = ACTIONS(7215),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7215),
    [anon_sym_BSLASHbegin] = ACTIONS(7215),
    [anon_sym_BSLASHtitle] = ACTIONS(7215),
    [anon_sym_BSLASHauthor] = ACTIONS(7215),
    [anon_sym_BSLASHusepackage] = ACTIONS(7215),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7215),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7215),
    [anon_sym_BSLASHinclude] = ACTIONS(7215),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7215),
    [anon_sym_BSLASHinput] = ACTIONS(7215),
    [anon_sym_BSLASHsubfile] = ACTIONS(7215),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7215),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7215),
    [anon_sym_BSLASHbibliography] = ACTIONS(7215),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7215),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7215),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7215),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7215),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7215),
    [anon_sym_BSLASHimport] = ACTIONS(7215),
    [anon_sym_BSLASHsubimport] = ACTIONS(7215),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7215),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7215),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7215),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7215),
    [anon_sym_BSLASHcaption] = ACTIONS(7215),
    [anon_sym_BSLASHcite] = ACTIONS(7215),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCite] = ACTIONS(7215),
    [anon_sym_BSLASHnocite] = ACTIONS(7215),
    [anon_sym_BSLASHcitet] = ACTIONS(7215),
    [anon_sym_BSLASHcitep] = ACTIONS(7215),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteA] = ACTIONS(7215),
    [anon_sym_BSLASHciteR] = ACTIONS(7215),
    [anon_sym_BSLASHciteS] = ACTIONS(7215),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7215),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7215),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7215),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7215),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteyear] = ACTIONS(7215),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitedate] = ACTIONS(7215),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteurl] = ACTIONS(7215),
    [anon_sym_BSLASHfullcite] = ACTIONS(7215),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7215),
    [anon_sym_BSLASHcitealt] = ACTIONS(7215),
    [anon_sym_BSLASHcitealp] = ACTIONS(7215),
    [anon_sym_BSLASHcitetext] = ACTIONS(7215),
    [anon_sym_BSLASHparencite] = ACTIONS(7215),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHParencite] = ACTIONS(7215),
    [anon_sym_BSLASHfootcite] = ACTIONS(7215),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7215),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7215),
    [anon_sym_BSLASHtextcite] = ACTIONS(7215),
    [anon_sym_BSLASHTextcite] = ACTIONS(7215),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7215),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7215),
    [anon_sym_BSLASHsupercite] = ACTIONS(7215),
    [anon_sym_BSLASHautocite] = ACTIONS(7215),
    [anon_sym_BSLASHAutocite] = ACTIONS(7215),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHVolcite] = ACTIONS(7215),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHavolcite] = ACTIONS(7215),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHNotecite] = ACTIONS(7215),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHlabel] = ACTIONS(7215),
    [anon_sym_BSLASHref] = ACTIONS(7215),
    [anon_sym_BSLASHeqref] = ACTIONS(7215),
    [anon_sym_BSLASHvref] = ACTIONS(7215),
    [anon_sym_BSLASHVref] = ACTIONS(7215),
    [anon_sym_BSLASHautoref] = ACTIONS(7215),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHpageref] = ACTIONS(7215),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHautopageref] = ACTIONS(7215),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcref] = ACTIONS(7215),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCref] = ACTIONS(7215),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcpageref] = ACTIONS(7215),
    [anon_sym_BSLASHCpageref] = ACTIONS(7215),
    [anon_sym_BSLASHnamecref] = ACTIONS(7215),
    [anon_sym_BSLASHnameCref] = ACTIONS(7215),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7215),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7215),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7215),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7215),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7215),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7215),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7215),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7215),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7215),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7215),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7215),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHdef] = ACTIONS(7215),
    [anon_sym_BSLASHgdef] = ACTIONS(7215),
    [anon_sym_BSLASHedef] = ACTIONS(7215),
    [anon_sym_BSLASHxdef] = ACTIONS(7215),
    [anon_sym_BSLASHlet] = ACTIONS(7215),
    [anon_sym_BSLASHglet] = ACTIONS(7215),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7215),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7215),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7215),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7215),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7215),
    [anon_sym_BSLASHgls] = ACTIONS(7215),
    [anon_sym_BSLASHGls] = ACTIONS(7215),
    [anon_sym_BSLASHGLS] = ACTIONS(7215),
    [anon_sym_BSLASHglspl] = ACTIONS(7215),
    [anon_sym_BSLASHGlspl] = ACTIONS(7215),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7215),
    [anon_sym_BSLASHglslink] = ACTIONS(7215),
    [anon_sym_BSLASHglstext] = ACTIONS(7215),
    [anon_sym_BSLASHGlstext] = ACTIONS(7215),
    [anon_sym_BSLASHGLStext] = ACTIONS(7215),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7215),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7215),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7215),
    [anon_sym_BSLASHglsplural] = ACTIONS(7215),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7215),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7215),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHglsname] = ACTIONS(7215),
    [anon_sym_BSLASHGlsname] = ACTIONS(7215),
    [anon_sym_BSLASHGLSname] = ACTIONS(7215),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7215),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7215),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7215),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7215),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7215),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7215),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7215),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7215),
    [anon_sym_BSLASHacrshort] = ACTIONS(7215),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7215),
    [anon_sym_BSLASHACRshort] = ACTIONS(7215),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHacrlong] = ACTIONS(7215),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7215),
    [anon_sym_BSLASHACRlong] = ACTIONS(7215),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHacrfull] = ACTIONS(7215),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7215),
    [anon_sym_BSLASHACRfull] = ACTIONS(7215),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHacs] = ACTIONS(7215),
    [anon_sym_BSLASHAcs] = ACTIONS(7215),
    [anon_sym_BSLASHacsp] = ACTIONS(7215),
    [anon_sym_BSLASHAcsp] = ACTIONS(7215),
    [anon_sym_BSLASHacl] = ACTIONS(7215),
    [anon_sym_BSLASHAcl] = ACTIONS(7215),
    [anon_sym_BSLASHaclp] = ACTIONS(7215),
    [anon_sym_BSLASHAclp] = ACTIONS(7215),
    [anon_sym_BSLASHacf] = ACTIONS(7215),
    [anon_sym_BSLASHAcf] = ACTIONS(7215),
    [anon_sym_BSLASHacfp] = ACTIONS(7215),
    [anon_sym_BSLASHAcfp] = ACTIONS(7215),
    [anon_sym_BSLASHac] = ACTIONS(7215),
    [anon_sym_BSLASHAc] = ACTIONS(7215),
    [anon_sym_BSLASHacp] = ACTIONS(7215),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7215),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7215),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7215),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7215),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7215),
    [anon_sym_BSLASHcolor] = ACTIONS(7215),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7215),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7215),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7215),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7215),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7215),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7215),
    [anon_sym_BSLASHurl] = ACTIONS(7215),
    [anon_sym_BSLASHhref] = ACTIONS(7215),
  },
  [1483] = {
    [sym_command_name] = ACTIONS(7219),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7219),
    [anon_sym_LBRACK] = ACTIONS(7221),
    [anon_sym_RBRACK] = ACTIONS(7221),
    [anon_sym_COMMA] = ACTIONS(7221),
    [anon_sym_EQ] = ACTIONS(7221),
    [anon_sym_LPAREN] = ACTIONS(7221),
    [anon_sym_RPAREN] = ACTIONS(7221),
    [anon_sym_BSLASHpart] = ACTIONS(7219),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHaddpart] = ACTIONS(7219),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHchapter] = ACTIONS(7219),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHaddchap] = ACTIONS(7219),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHsection] = ACTIONS(7219),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHaddsec] = ACTIONS(7219),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHsubsection] = ACTIONS(7219),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7219),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHparagraph] = ACTIONS(7219),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7219),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHitem] = ACTIONS(7219),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7221),
    [anon_sym_LBRACE] = ACTIONS(7221),
    [sym_word] = ACTIONS(7219),
    [sym_placeholder] = ACTIONS(7221),
    [sym_delimiter] = ACTIONS(7221),
    [anon_sym_PLUS] = ACTIONS(7221),
    [anon_sym_DASH] = ACTIONS(7221),
    [anon_sym_STAR] = ACTIONS(7221),
    [anon_sym_SLASH] = ACTIONS(7221),
    [anon_sym_LT] = ACTIONS(7219),
    [anon_sym_GT] = ACTIONS(7219),
    [anon_sym_BANG] = ACTIONS(7219),
    [anon_sym_PIPE] = ACTIONS(7219),
    [anon_sym_COLON] = ACTIONS(7219),
    [anon_sym_SQUOTE] = ACTIONS(7219),
    [anon_sym__] = ACTIONS(7221),
    [anon_sym_CARET] = ACTIONS(7221),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7221),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7221),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7221),
    [anon_sym_DOLLAR] = ACTIONS(7219),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7221),
    [anon_sym_BSLASHleft] = ACTIONS(7219),
    [anon_sym_BSLASHbigl] = ACTIONS(7219),
    [anon_sym_BSLASHBigl] = ACTIONS(7219),
    [anon_sym_BSLASHbiggl] = ACTIONS(7219),
    [anon_sym_BSLASHBiggl] = ACTIONS(7219),
    [anon_sym_BSLASHtext] = ACTIONS(7219),
    [anon_sym_BSLASHintertext] = ACTIONS(7219),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7219),
    [anon_sym_BSLASHbegin] = ACTIONS(7219),
    [anon_sym_BSLASHtitle] = ACTIONS(7219),
    [anon_sym_BSLASHauthor] = ACTIONS(7219),
    [anon_sym_BSLASHusepackage] = ACTIONS(7219),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7219),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7219),
    [anon_sym_BSLASHinclude] = ACTIONS(7219),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7219),
    [anon_sym_BSLASHinput] = ACTIONS(7219),
    [anon_sym_BSLASHsubfile] = ACTIONS(7219),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7219),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7219),
    [anon_sym_BSLASHbibliography] = ACTIONS(7219),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7219),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7219),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7219),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7219),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7219),
    [anon_sym_BSLASHimport] = ACTIONS(7219),
    [anon_sym_BSLASHsubimport] = ACTIONS(7219),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7219),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7219),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7219),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7219),
    [anon_sym_BSLASHcaption] = ACTIONS(7219),
    [anon_sym_BSLASHcite] = ACTIONS(7219),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCite] = ACTIONS(7219),
    [anon_sym_BSLASHnocite] = ACTIONS(7219),
    [anon_sym_BSLASHcitet] = ACTIONS(7219),
    [anon_sym_BSLASHcitep] = ACTIONS(7219),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteA] = ACTIONS(7219),
    [anon_sym_BSLASHciteR] = ACTIONS(7219),
    [anon_sym_BSLASHciteS] = ACTIONS(7219),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7219),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7219),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7219),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7219),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteyear] = ACTIONS(7219),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitedate] = ACTIONS(7219),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteurl] = ACTIONS(7219),
    [anon_sym_BSLASHfullcite] = ACTIONS(7219),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7219),
    [anon_sym_BSLASHcitealt] = ACTIONS(7219),
    [anon_sym_BSLASHcitealp] = ACTIONS(7219),
    [anon_sym_BSLASHcitetext] = ACTIONS(7219),
    [anon_sym_BSLASHparencite] = ACTIONS(7219),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHParencite] = ACTIONS(7219),
    [anon_sym_BSLASHfootcite] = ACTIONS(7219),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7219),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7219),
    [anon_sym_BSLASHtextcite] = ACTIONS(7219),
    [anon_sym_BSLASHTextcite] = ACTIONS(7219),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7219),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7219),
    [anon_sym_BSLASHsupercite] = ACTIONS(7219),
    [anon_sym_BSLASHautocite] = ACTIONS(7219),
    [anon_sym_BSLASHAutocite] = ACTIONS(7219),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHVolcite] = ACTIONS(7219),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHavolcite] = ACTIONS(7219),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHNotecite] = ACTIONS(7219),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHlabel] = ACTIONS(7219),
    [anon_sym_BSLASHref] = ACTIONS(7219),
    [anon_sym_BSLASHeqref] = ACTIONS(7219),
    [anon_sym_BSLASHvref] = ACTIONS(7219),
    [anon_sym_BSLASHVref] = ACTIONS(7219),
    [anon_sym_BSLASHautoref] = ACTIONS(7219),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHpageref] = ACTIONS(7219),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHautopageref] = ACTIONS(7219),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcref] = ACTIONS(7219),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCref] = ACTIONS(7219),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcpageref] = ACTIONS(7219),
    [anon_sym_BSLASHCpageref] = ACTIONS(7219),
    [anon_sym_BSLASHnamecref] = ACTIONS(7219),
    [anon_sym_BSLASHnameCref] = ACTIONS(7219),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7219),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7219),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7219),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7219),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7219),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7219),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7219),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7219),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7219),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7219),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7219),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHdef] = ACTIONS(7219),
    [anon_sym_BSLASHgdef] = ACTIONS(7219),
    [anon_sym_BSLASHedef] = ACTIONS(7219),
    [anon_sym_BSLASHxdef] = ACTIONS(7219),
    [anon_sym_BSLASHlet] = ACTIONS(7219),
    [anon_sym_BSLASHglet] = ACTIONS(7219),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7219),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7219),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7219),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7219),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7219),
    [anon_sym_BSLASHgls] = ACTIONS(7219),
    [anon_sym_BSLASHGls] = ACTIONS(7219),
    [anon_sym_BSLASHGLS] = ACTIONS(7219),
    [anon_sym_BSLASHglspl] = ACTIONS(7219),
    [anon_sym_BSLASHGlspl] = ACTIONS(7219),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7219),
    [anon_sym_BSLASHglslink] = ACTIONS(7219),
    [anon_sym_BSLASHglstext] = ACTIONS(7219),
    [anon_sym_BSLASHGlstext] = ACTIONS(7219),
    [anon_sym_BSLASHGLStext] = ACTIONS(7219),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7219),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7219),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7219),
    [anon_sym_BSLASHglsplural] = ACTIONS(7219),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7219),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7219),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHglsname] = ACTIONS(7219),
    [anon_sym_BSLASHGlsname] = ACTIONS(7219),
    [anon_sym_BSLASHGLSname] = ACTIONS(7219),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7219),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7219),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7219),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7219),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7219),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7219),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7219),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7219),
    [anon_sym_BSLASHacrshort] = ACTIONS(7219),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7219),
    [anon_sym_BSLASHACRshort] = ACTIONS(7219),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHacrlong] = ACTIONS(7219),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7219),
    [anon_sym_BSLASHACRlong] = ACTIONS(7219),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHacrfull] = ACTIONS(7219),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7219),
    [anon_sym_BSLASHACRfull] = ACTIONS(7219),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHacs] = ACTIONS(7219),
    [anon_sym_BSLASHAcs] = ACTIONS(7219),
    [anon_sym_BSLASHacsp] = ACTIONS(7219),
    [anon_sym_BSLASHAcsp] = ACTIONS(7219),
    [anon_sym_BSLASHacl] = ACTIONS(7219),
    [anon_sym_BSLASHAcl] = ACTIONS(7219),
    [anon_sym_BSLASHaclp] = ACTIONS(7219),
    [anon_sym_BSLASHAclp] = ACTIONS(7219),
    [anon_sym_BSLASHacf] = ACTIONS(7219),
    [anon_sym_BSLASHAcf] = ACTIONS(7219),
    [anon_sym_BSLASHacfp] = ACTIONS(7219),
    [anon_sym_BSLASHAcfp] = ACTIONS(7219),
    [anon_sym_BSLASHac] = ACTIONS(7219),
    [anon_sym_BSLASHAc] = ACTIONS(7219),
    [anon_sym_BSLASHacp] = ACTIONS(7219),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7219),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7219),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7219),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7219),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7219),
    [anon_sym_BSLASHcolor] = ACTIONS(7219),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7219),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7219),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7219),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7219),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7219),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7219),
    [anon_sym_BSLASHurl] = ACTIONS(7219),
    [anon_sym_BSLASHhref] = ACTIONS(7219),
  },
  [1484] = {
    [sym_command_name] = ACTIONS(7251),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7251),
    [anon_sym_LBRACK] = ACTIONS(7253),
    [anon_sym_RBRACK] = ACTIONS(7253),
    [anon_sym_COMMA] = ACTIONS(7253),
    [anon_sym_EQ] = ACTIONS(7253),
    [anon_sym_LPAREN] = ACTIONS(7253),
    [anon_sym_RPAREN] = ACTIONS(7253),
    [anon_sym_BSLASHpart] = ACTIONS(7251),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHaddpart] = ACTIONS(7251),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHchapter] = ACTIONS(7251),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHaddchap] = ACTIONS(7251),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHsection] = ACTIONS(7251),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHaddsec] = ACTIONS(7251),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHsubsection] = ACTIONS(7251),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7251),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHparagraph] = ACTIONS(7251),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7251),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHitem] = ACTIONS(7251),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7253),
    [anon_sym_LBRACE] = ACTIONS(7253),
    [sym_word] = ACTIONS(7251),
    [sym_placeholder] = ACTIONS(7253),
    [sym_delimiter] = ACTIONS(7253),
    [anon_sym_PLUS] = ACTIONS(7253),
    [anon_sym_DASH] = ACTIONS(7253),
    [anon_sym_STAR] = ACTIONS(7253),
    [anon_sym_SLASH] = ACTIONS(7253),
    [anon_sym_LT] = ACTIONS(7251),
    [anon_sym_GT] = ACTIONS(7251),
    [anon_sym_BANG] = ACTIONS(7251),
    [anon_sym_PIPE] = ACTIONS(7251),
    [anon_sym_COLON] = ACTIONS(7251),
    [anon_sym_SQUOTE] = ACTIONS(7251),
    [anon_sym__] = ACTIONS(7253),
    [anon_sym_CARET] = ACTIONS(7253),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7253),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7253),
    [anon_sym_DOLLAR] = ACTIONS(7251),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7253),
    [anon_sym_BSLASHleft] = ACTIONS(7251),
    [anon_sym_BSLASHbigl] = ACTIONS(7251),
    [anon_sym_BSLASHBigl] = ACTIONS(7251),
    [anon_sym_BSLASHbiggl] = ACTIONS(7251),
    [anon_sym_BSLASHBiggl] = ACTIONS(7251),
    [anon_sym_BSLASHtext] = ACTIONS(7251),
    [anon_sym_BSLASHintertext] = ACTIONS(7251),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7251),
    [anon_sym_BSLASHbegin] = ACTIONS(7251),
    [anon_sym_BSLASHend] = ACTIONS(7251),
    [anon_sym_BSLASHtitle] = ACTIONS(7251),
    [anon_sym_BSLASHauthor] = ACTIONS(7251),
    [anon_sym_BSLASHusepackage] = ACTIONS(7251),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7251),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7251),
    [anon_sym_BSLASHinclude] = ACTIONS(7251),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7251),
    [anon_sym_BSLASHinput] = ACTIONS(7251),
    [anon_sym_BSLASHsubfile] = ACTIONS(7251),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7251),
    [anon_sym_BSLASHbibliography] = ACTIONS(7251),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7251),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7251),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7251),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7251),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7251),
    [anon_sym_BSLASHimport] = ACTIONS(7251),
    [anon_sym_BSLASHsubimport] = ACTIONS(7251),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7251),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7251),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7251),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7251),
    [anon_sym_BSLASHcaption] = ACTIONS(7251),
    [anon_sym_BSLASHcite] = ACTIONS(7251),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCite] = ACTIONS(7251),
    [anon_sym_BSLASHnocite] = ACTIONS(7251),
    [anon_sym_BSLASHcitet] = ACTIONS(7251),
    [anon_sym_BSLASHcitep] = ACTIONS(7251),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteA] = ACTIONS(7251),
    [anon_sym_BSLASHciteR] = ACTIONS(7251),
    [anon_sym_BSLASHciteS] = ACTIONS(7251),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7251),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7251),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7251),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7251),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteyear] = ACTIONS(7251),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitedate] = ACTIONS(7251),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteurl] = ACTIONS(7251),
    [anon_sym_BSLASHfullcite] = ACTIONS(7251),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7251),
    [anon_sym_BSLASHcitealt] = ACTIONS(7251),
    [anon_sym_BSLASHcitealp] = ACTIONS(7251),
    [anon_sym_BSLASHcitetext] = ACTIONS(7251),
    [anon_sym_BSLASHparencite] = ACTIONS(7251),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHParencite] = ACTIONS(7251),
    [anon_sym_BSLASHfootcite] = ACTIONS(7251),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7251),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7251),
    [anon_sym_BSLASHtextcite] = ACTIONS(7251),
    [anon_sym_BSLASHTextcite] = ACTIONS(7251),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7251),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7251),
    [anon_sym_BSLASHsupercite] = ACTIONS(7251),
    [anon_sym_BSLASHautocite] = ACTIONS(7251),
    [anon_sym_BSLASHAutocite] = ACTIONS(7251),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHVolcite] = ACTIONS(7251),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHavolcite] = ACTIONS(7251),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHNotecite] = ACTIONS(7251),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHlabel] = ACTIONS(7251),
    [anon_sym_BSLASHref] = ACTIONS(7251),
    [anon_sym_BSLASHeqref] = ACTIONS(7251),
    [anon_sym_BSLASHvref] = ACTIONS(7251),
    [anon_sym_BSLASHVref] = ACTIONS(7251),
    [anon_sym_BSLASHautoref] = ACTIONS(7251),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHpageref] = ACTIONS(7251),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHautopageref] = ACTIONS(7251),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcref] = ACTIONS(7251),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCref] = ACTIONS(7251),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcpageref] = ACTIONS(7251),
    [anon_sym_BSLASHCpageref] = ACTIONS(7251),
    [anon_sym_BSLASHnamecref] = ACTIONS(7251),
    [anon_sym_BSLASHnameCref] = ACTIONS(7251),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7251),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7251),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7251),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7251),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7251),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7251),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7251),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7251),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7251),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7251),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7251),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHdef] = ACTIONS(7251),
    [anon_sym_BSLASHgdef] = ACTIONS(7251),
    [anon_sym_BSLASHedef] = ACTIONS(7251),
    [anon_sym_BSLASHxdef] = ACTIONS(7251),
    [anon_sym_BSLASHlet] = ACTIONS(7251),
    [anon_sym_BSLASHglet] = ACTIONS(7251),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7251),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7251),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7251),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7251),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7251),
    [anon_sym_BSLASHgls] = ACTIONS(7251),
    [anon_sym_BSLASHGls] = ACTIONS(7251),
    [anon_sym_BSLASHGLS] = ACTIONS(7251),
    [anon_sym_BSLASHglspl] = ACTIONS(7251),
    [anon_sym_BSLASHGlspl] = ACTIONS(7251),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7251),
    [anon_sym_BSLASHglslink] = ACTIONS(7251),
    [anon_sym_BSLASHglstext] = ACTIONS(7251),
    [anon_sym_BSLASHGlstext] = ACTIONS(7251),
    [anon_sym_BSLASHGLStext] = ACTIONS(7251),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7251),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7251),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7251),
    [anon_sym_BSLASHglsplural] = ACTIONS(7251),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7251),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7251),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHglsname] = ACTIONS(7251),
    [anon_sym_BSLASHGlsname] = ACTIONS(7251),
    [anon_sym_BSLASHGLSname] = ACTIONS(7251),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7251),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7251),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7251),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7251),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7251),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7251),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7251),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7251),
    [anon_sym_BSLASHacrshort] = ACTIONS(7251),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7251),
    [anon_sym_BSLASHACRshort] = ACTIONS(7251),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHacrlong] = ACTIONS(7251),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7251),
    [anon_sym_BSLASHACRlong] = ACTIONS(7251),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHacrfull] = ACTIONS(7251),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7251),
    [anon_sym_BSLASHACRfull] = ACTIONS(7251),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHacs] = ACTIONS(7251),
    [anon_sym_BSLASHAcs] = ACTIONS(7251),
    [anon_sym_BSLASHacsp] = ACTIONS(7251),
    [anon_sym_BSLASHAcsp] = ACTIONS(7251),
    [anon_sym_BSLASHacl] = ACTIONS(7251),
    [anon_sym_BSLASHAcl] = ACTIONS(7251),
    [anon_sym_BSLASHaclp] = ACTIONS(7251),
    [anon_sym_BSLASHAclp] = ACTIONS(7251),
    [anon_sym_BSLASHacf] = ACTIONS(7251),
    [anon_sym_BSLASHAcf] = ACTIONS(7251),
    [anon_sym_BSLASHacfp] = ACTIONS(7251),
    [anon_sym_BSLASHAcfp] = ACTIONS(7251),
    [anon_sym_BSLASHac] = ACTIONS(7251),
    [anon_sym_BSLASHAc] = ACTIONS(7251),
    [anon_sym_BSLASHacp] = ACTIONS(7251),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7251),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7251),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7251),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7251),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7251),
    [anon_sym_BSLASHcolor] = ACTIONS(7251),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7251),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7251),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7251),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7251),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7251),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7251),
    [anon_sym_BSLASHurl] = ACTIONS(7251),
    [anon_sym_BSLASHhref] = ACTIONS(7251),
  },
  [1485] = {
    [sym_command_name] = ACTIONS(7255),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7255),
    [anon_sym_LBRACK] = ACTIONS(7257),
    [anon_sym_RBRACK] = ACTIONS(7257),
    [anon_sym_COMMA] = ACTIONS(7257),
    [anon_sym_EQ] = ACTIONS(7257),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_RPAREN] = ACTIONS(7257),
    [anon_sym_BSLASHpart] = ACTIONS(7255),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHaddpart] = ACTIONS(7255),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHchapter] = ACTIONS(7255),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHaddchap] = ACTIONS(7255),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHsection] = ACTIONS(7255),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHaddsec] = ACTIONS(7255),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHsubsection] = ACTIONS(7255),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7255),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHparagraph] = ACTIONS(7255),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7255),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHitem] = ACTIONS(7255),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7257),
    [anon_sym_LBRACE] = ACTIONS(7257),
    [sym_word] = ACTIONS(7255),
    [sym_placeholder] = ACTIONS(7257),
    [sym_delimiter] = ACTIONS(7257),
    [anon_sym_PLUS] = ACTIONS(7257),
    [anon_sym_DASH] = ACTIONS(7257),
    [anon_sym_STAR] = ACTIONS(7257),
    [anon_sym_SLASH] = ACTIONS(7257),
    [anon_sym_LT] = ACTIONS(7255),
    [anon_sym_GT] = ACTIONS(7255),
    [anon_sym_BANG] = ACTIONS(7255),
    [anon_sym_PIPE] = ACTIONS(7255),
    [anon_sym_COLON] = ACTIONS(7255),
    [anon_sym_SQUOTE] = ACTIONS(7255),
    [anon_sym__] = ACTIONS(7257),
    [anon_sym_CARET] = ACTIONS(7257),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7257),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7257),
    [anon_sym_DOLLAR] = ACTIONS(7255),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7257),
    [anon_sym_BSLASHleft] = ACTIONS(7255),
    [anon_sym_BSLASHbigl] = ACTIONS(7255),
    [anon_sym_BSLASHBigl] = ACTIONS(7255),
    [anon_sym_BSLASHbiggl] = ACTIONS(7255),
    [anon_sym_BSLASHBiggl] = ACTIONS(7255),
    [anon_sym_BSLASHtext] = ACTIONS(7255),
    [anon_sym_BSLASHintertext] = ACTIONS(7255),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7255),
    [anon_sym_BSLASHbegin] = ACTIONS(7255),
    [anon_sym_BSLASHend] = ACTIONS(7255),
    [anon_sym_BSLASHtitle] = ACTIONS(7255),
    [anon_sym_BSLASHauthor] = ACTIONS(7255),
    [anon_sym_BSLASHusepackage] = ACTIONS(7255),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7255),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7255),
    [anon_sym_BSLASHinclude] = ACTIONS(7255),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7255),
    [anon_sym_BSLASHinput] = ACTIONS(7255),
    [anon_sym_BSLASHsubfile] = ACTIONS(7255),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7255),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7255),
    [anon_sym_BSLASHbibliography] = ACTIONS(7255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7255),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7255),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7255),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7255),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7255),
    [anon_sym_BSLASHimport] = ACTIONS(7255),
    [anon_sym_BSLASHsubimport] = ACTIONS(7255),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7255),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7255),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7255),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7255),
    [anon_sym_BSLASHcaption] = ACTIONS(7255),
    [anon_sym_BSLASHcite] = ACTIONS(7255),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCite] = ACTIONS(7255),
    [anon_sym_BSLASHnocite] = ACTIONS(7255),
    [anon_sym_BSLASHcitet] = ACTIONS(7255),
    [anon_sym_BSLASHcitep] = ACTIONS(7255),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteA] = ACTIONS(7255),
    [anon_sym_BSLASHciteR] = ACTIONS(7255),
    [anon_sym_BSLASHciteS] = ACTIONS(7255),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7255),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7255),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7255),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7255),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteyear] = ACTIONS(7255),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitedate] = ACTIONS(7255),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteurl] = ACTIONS(7255),
    [anon_sym_BSLASHfullcite] = ACTIONS(7255),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7255),
    [anon_sym_BSLASHcitealt] = ACTIONS(7255),
    [anon_sym_BSLASHcitealp] = ACTIONS(7255),
    [anon_sym_BSLASHcitetext] = ACTIONS(7255),
    [anon_sym_BSLASHparencite] = ACTIONS(7255),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHParencite] = ACTIONS(7255),
    [anon_sym_BSLASHfootcite] = ACTIONS(7255),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7255),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7255),
    [anon_sym_BSLASHtextcite] = ACTIONS(7255),
    [anon_sym_BSLASHTextcite] = ACTIONS(7255),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7255),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7255),
    [anon_sym_BSLASHsupercite] = ACTIONS(7255),
    [anon_sym_BSLASHautocite] = ACTIONS(7255),
    [anon_sym_BSLASHAutocite] = ACTIONS(7255),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHVolcite] = ACTIONS(7255),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHavolcite] = ACTIONS(7255),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHNotecite] = ACTIONS(7255),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHlabel] = ACTIONS(7255),
    [anon_sym_BSLASHref] = ACTIONS(7255),
    [anon_sym_BSLASHeqref] = ACTIONS(7255),
    [anon_sym_BSLASHvref] = ACTIONS(7255),
    [anon_sym_BSLASHVref] = ACTIONS(7255),
    [anon_sym_BSLASHautoref] = ACTIONS(7255),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHpageref] = ACTIONS(7255),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHautopageref] = ACTIONS(7255),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcref] = ACTIONS(7255),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCref] = ACTIONS(7255),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcpageref] = ACTIONS(7255),
    [anon_sym_BSLASHCpageref] = ACTIONS(7255),
    [anon_sym_BSLASHnamecref] = ACTIONS(7255),
    [anon_sym_BSLASHnameCref] = ACTIONS(7255),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7255),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7255),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7255),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7255),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7255),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7255),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7255),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7255),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7255),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7255),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7255),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHdef] = ACTIONS(7255),
    [anon_sym_BSLASHgdef] = ACTIONS(7255),
    [anon_sym_BSLASHedef] = ACTIONS(7255),
    [anon_sym_BSLASHxdef] = ACTIONS(7255),
    [anon_sym_BSLASHlet] = ACTIONS(7255),
    [anon_sym_BSLASHglet] = ACTIONS(7255),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7255),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7255),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7255),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7255),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7255),
    [anon_sym_BSLASHgls] = ACTIONS(7255),
    [anon_sym_BSLASHGls] = ACTIONS(7255),
    [anon_sym_BSLASHGLS] = ACTIONS(7255),
    [anon_sym_BSLASHglspl] = ACTIONS(7255),
    [anon_sym_BSLASHGlspl] = ACTIONS(7255),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7255),
    [anon_sym_BSLASHglslink] = ACTIONS(7255),
    [anon_sym_BSLASHglstext] = ACTIONS(7255),
    [anon_sym_BSLASHGlstext] = ACTIONS(7255),
    [anon_sym_BSLASHGLStext] = ACTIONS(7255),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7255),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7255),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7255),
    [anon_sym_BSLASHglsplural] = ACTIONS(7255),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7255),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7255),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHglsname] = ACTIONS(7255),
    [anon_sym_BSLASHGlsname] = ACTIONS(7255),
    [anon_sym_BSLASHGLSname] = ACTIONS(7255),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7255),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7255),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7255),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7255),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7255),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7255),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7255),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7255),
    [anon_sym_BSLASHacrshort] = ACTIONS(7255),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7255),
    [anon_sym_BSLASHACRshort] = ACTIONS(7255),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHacrlong] = ACTIONS(7255),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7255),
    [anon_sym_BSLASHACRlong] = ACTIONS(7255),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHacrfull] = ACTIONS(7255),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7255),
    [anon_sym_BSLASHACRfull] = ACTIONS(7255),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHacs] = ACTIONS(7255),
    [anon_sym_BSLASHAcs] = ACTIONS(7255),
    [anon_sym_BSLASHacsp] = ACTIONS(7255),
    [anon_sym_BSLASHAcsp] = ACTIONS(7255),
    [anon_sym_BSLASHacl] = ACTIONS(7255),
    [anon_sym_BSLASHAcl] = ACTIONS(7255),
    [anon_sym_BSLASHaclp] = ACTIONS(7255),
    [anon_sym_BSLASHAclp] = ACTIONS(7255),
    [anon_sym_BSLASHacf] = ACTIONS(7255),
    [anon_sym_BSLASHAcf] = ACTIONS(7255),
    [anon_sym_BSLASHacfp] = ACTIONS(7255),
    [anon_sym_BSLASHAcfp] = ACTIONS(7255),
    [anon_sym_BSLASHac] = ACTIONS(7255),
    [anon_sym_BSLASHAc] = ACTIONS(7255),
    [anon_sym_BSLASHacp] = ACTIONS(7255),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7255),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7255),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7255),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7255),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7255),
    [anon_sym_BSLASHcolor] = ACTIONS(7255),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7255),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7255),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7255),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7255),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7255),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7255),
    [anon_sym_BSLASHurl] = ACTIONS(7255),
    [anon_sym_BSLASHhref] = ACTIONS(7255),
  },
  [1486] = {
    [sym_command_name] = ACTIONS(7259),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7259),
    [anon_sym_LBRACK] = ACTIONS(7261),
    [anon_sym_RBRACK] = ACTIONS(7261),
    [anon_sym_COMMA] = ACTIONS(7261),
    [anon_sym_EQ] = ACTIONS(7261),
    [anon_sym_LPAREN] = ACTIONS(7261),
    [anon_sym_RPAREN] = ACTIONS(7261),
    [anon_sym_BSLASHpart] = ACTIONS(7259),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHaddpart] = ACTIONS(7259),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHchapter] = ACTIONS(7259),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHaddchap] = ACTIONS(7259),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHsection] = ACTIONS(7259),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHaddsec] = ACTIONS(7259),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHsubsection] = ACTIONS(7259),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7259),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHparagraph] = ACTIONS(7259),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7259),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHitem] = ACTIONS(7259),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7261),
    [sym_word] = ACTIONS(7259),
    [sym_placeholder] = ACTIONS(7261),
    [sym_delimiter] = ACTIONS(7261),
    [anon_sym_PLUS] = ACTIONS(7261),
    [anon_sym_DASH] = ACTIONS(7261),
    [anon_sym_STAR] = ACTIONS(7261),
    [anon_sym_SLASH] = ACTIONS(7261),
    [anon_sym_LT] = ACTIONS(7259),
    [anon_sym_GT] = ACTIONS(7259),
    [anon_sym_BANG] = ACTIONS(7259),
    [anon_sym_PIPE] = ACTIONS(7259),
    [anon_sym_COLON] = ACTIONS(7259),
    [anon_sym_SQUOTE] = ACTIONS(7259),
    [anon_sym__] = ACTIONS(7261),
    [anon_sym_CARET] = ACTIONS(7261),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7261),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7261),
    [anon_sym_DOLLAR] = ACTIONS(7259),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7261),
    [anon_sym_BSLASHleft] = ACTIONS(7259),
    [anon_sym_BSLASHbigl] = ACTIONS(7259),
    [anon_sym_BSLASHBigl] = ACTIONS(7259),
    [anon_sym_BSLASHbiggl] = ACTIONS(7259),
    [anon_sym_BSLASHBiggl] = ACTIONS(7259),
    [anon_sym_BSLASHtext] = ACTIONS(7259),
    [anon_sym_BSLASHintertext] = ACTIONS(7259),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7259),
    [anon_sym_BSLASHbegin] = ACTIONS(7259),
    [anon_sym_BSLASHend] = ACTIONS(7259),
    [anon_sym_BSLASHtitle] = ACTIONS(7259),
    [anon_sym_BSLASHauthor] = ACTIONS(7259),
    [anon_sym_BSLASHusepackage] = ACTIONS(7259),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7259),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7259),
    [anon_sym_BSLASHinclude] = ACTIONS(7259),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7259),
    [anon_sym_BSLASHinput] = ACTIONS(7259),
    [anon_sym_BSLASHsubfile] = ACTIONS(7259),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7259),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7259),
    [anon_sym_BSLASHbibliography] = ACTIONS(7259),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7259),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7259),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7259),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7259),
    [anon_sym_BSLASHimport] = ACTIONS(7259),
    [anon_sym_BSLASHsubimport] = ACTIONS(7259),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7259),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7259),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7259),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7259),
    [anon_sym_BSLASHcaption] = ACTIONS(7259),
    [anon_sym_BSLASHcite] = ACTIONS(7259),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCite] = ACTIONS(7259),
    [anon_sym_BSLASHnocite] = ACTIONS(7259),
    [anon_sym_BSLASHcitet] = ACTIONS(7259),
    [anon_sym_BSLASHcitep] = ACTIONS(7259),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteA] = ACTIONS(7259),
    [anon_sym_BSLASHciteR] = ACTIONS(7259),
    [anon_sym_BSLASHciteS] = ACTIONS(7259),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7259),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7259),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7259),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7259),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteyear] = ACTIONS(7259),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitedate] = ACTIONS(7259),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteurl] = ACTIONS(7259),
    [anon_sym_BSLASHfullcite] = ACTIONS(7259),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7259),
    [anon_sym_BSLASHcitealt] = ACTIONS(7259),
    [anon_sym_BSLASHcitealp] = ACTIONS(7259),
    [anon_sym_BSLASHcitetext] = ACTIONS(7259),
    [anon_sym_BSLASHparencite] = ACTIONS(7259),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHParencite] = ACTIONS(7259),
    [anon_sym_BSLASHfootcite] = ACTIONS(7259),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7259),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7259),
    [anon_sym_BSLASHtextcite] = ACTIONS(7259),
    [anon_sym_BSLASHTextcite] = ACTIONS(7259),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7259),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7259),
    [anon_sym_BSLASHsupercite] = ACTIONS(7259),
    [anon_sym_BSLASHautocite] = ACTIONS(7259),
    [anon_sym_BSLASHAutocite] = ACTIONS(7259),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHVolcite] = ACTIONS(7259),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHavolcite] = ACTIONS(7259),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHNotecite] = ACTIONS(7259),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHlabel] = ACTIONS(7259),
    [anon_sym_BSLASHref] = ACTIONS(7259),
    [anon_sym_BSLASHeqref] = ACTIONS(7259),
    [anon_sym_BSLASHvref] = ACTIONS(7259),
    [anon_sym_BSLASHVref] = ACTIONS(7259),
    [anon_sym_BSLASHautoref] = ACTIONS(7259),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHpageref] = ACTIONS(7259),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHautopageref] = ACTIONS(7259),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcref] = ACTIONS(7259),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCref] = ACTIONS(7259),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcpageref] = ACTIONS(7259),
    [anon_sym_BSLASHCpageref] = ACTIONS(7259),
    [anon_sym_BSLASHnamecref] = ACTIONS(7259),
    [anon_sym_BSLASHnameCref] = ACTIONS(7259),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7259),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7259),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7259),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7259),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7259),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7259),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7259),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7259),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7259),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7259),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7259),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHdef] = ACTIONS(7259),
    [anon_sym_BSLASHgdef] = ACTIONS(7259),
    [anon_sym_BSLASHedef] = ACTIONS(7259),
    [anon_sym_BSLASHxdef] = ACTIONS(7259),
    [anon_sym_BSLASHlet] = ACTIONS(7259),
    [anon_sym_BSLASHglet] = ACTIONS(7259),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7259),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7259),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7259),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7259),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7259),
    [anon_sym_BSLASHgls] = ACTIONS(7259),
    [anon_sym_BSLASHGls] = ACTIONS(7259),
    [anon_sym_BSLASHGLS] = ACTIONS(7259),
    [anon_sym_BSLASHglspl] = ACTIONS(7259),
    [anon_sym_BSLASHGlspl] = ACTIONS(7259),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7259),
    [anon_sym_BSLASHglslink] = ACTIONS(7259),
    [anon_sym_BSLASHglstext] = ACTIONS(7259),
    [anon_sym_BSLASHGlstext] = ACTIONS(7259),
    [anon_sym_BSLASHGLStext] = ACTIONS(7259),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7259),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7259),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7259),
    [anon_sym_BSLASHglsplural] = ACTIONS(7259),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7259),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7259),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHglsname] = ACTIONS(7259),
    [anon_sym_BSLASHGlsname] = ACTIONS(7259),
    [anon_sym_BSLASHGLSname] = ACTIONS(7259),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7259),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7259),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7259),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7259),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7259),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7259),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7259),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7259),
    [anon_sym_BSLASHacrshort] = ACTIONS(7259),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7259),
    [anon_sym_BSLASHACRshort] = ACTIONS(7259),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHacrlong] = ACTIONS(7259),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7259),
    [anon_sym_BSLASHACRlong] = ACTIONS(7259),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHacrfull] = ACTIONS(7259),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7259),
    [anon_sym_BSLASHACRfull] = ACTIONS(7259),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHacs] = ACTIONS(7259),
    [anon_sym_BSLASHAcs] = ACTIONS(7259),
    [anon_sym_BSLASHacsp] = ACTIONS(7259),
    [anon_sym_BSLASHAcsp] = ACTIONS(7259),
    [anon_sym_BSLASHacl] = ACTIONS(7259),
    [anon_sym_BSLASHAcl] = ACTIONS(7259),
    [anon_sym_BSLASHaclp] = ACTIONS(7259),
    [anon_sym_BSLASHAclp] = ACTIONS(7259),
    [anon_sym_BSLASHacf] = ACTIONS(7259),
    [anon_sym_BSLASHAcf] = ACTIONS(7259),
    [anon_sym_BSLASHacfp] = ACTIONS(7259),
    [anon_sym_BSLASHAcfp] = ACTIONS(7259),
    [anon_sym_BSLASHac] = ACTIONS(7259),
    [anon_sym_BSLASHAc] = ACTIONS(7259),
    [anon_sym_BSLASHacp] = ACTIONS(7259),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7259),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7259),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7259),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7259),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7259),
    [anon_sym_BSLASHcolor] = ACTIONS(7259),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7259),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7259),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7259),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7259),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7259),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7259),
    [anon_sym_BSLASHurl] = ACTIONS(7259),
    [anon_sym_BSLASHhref] = ACTIONS(7259),
  },
  [1487] = {
    [sym_command_name] = ACTIONS(7263),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7263),
    [anon_sym_LBRACK] = ACTIONS(7265),
    [anon_sym_RBRACK] = ACTIONS(7265),
    [anon_sym_COMMA] = ACTIONS(7265),
    [anon_sym_EQ] = ACTIONS(7265),
    [anon_sym_LPAREN] = ACTIONS(7265),
    [anon_sym_RPAREN] = ACTIONS(7265),
    [anon_sym_BSLASHpart] = ACTIONS(7263),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHaddpart] = ACTIONS(7263),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHchapter] = ACTIONS(7263),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHaddchap] = ACTIONS(7263),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHsection] = ACTIONS(7263),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHaddsec] = ACTIONS(7263),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHsubsection] = ACTIONS(7263),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7263),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHparagraph] = ACTIONS(7263),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7263),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHitem] = ACTIONS(7263),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7265),
    [anon_sym_LBRACE] = ACTIONS(7265),
    [sym_word] = ACTIONS(7263),
    [sym_placeholder] = ACTIONS(7265),
    [sym_delimiter] = ACTIONS(7265),
    [anon_sym_PLUS] = ACTIONS(7265),
    [anon_sym_DASH] = ACTIONS(7265),
    [anon_sym_STAR] = ACTIONS(7265),
    [anon_sym_SLASH] = ACTIONS(7265),
    [anon_sym_LT] = ACTIONS(7263),
    [anon_sym_GT] = ACTIONS(7263),
    [anon_sym_BANG] = ACTIONS(7263),
    [anon_sym_PIPE] = ACTIONS(7263),
    [anon_sym_COLON] = ACTIONS(7263),
    [anon_sym_SQUOTE] = ACTIONS(7263),
    [anon_sym__] = ACTIONS(7265),
    [anon_sym_CARET] = ACTIONS(7265),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7265),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7265),
    [anon_sym_DOLLAR] = ACTIONS(7263),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7265),
    [anon_sym_BSLASHleft] = ACTIONS(7263),
    [anon_sym_BSLASHbigl] = ACTIONS(7263),
    [anon_sym_BSLASHBigl] = ACTIONS(7263),
    [anon_sym_BSLASHbiggl] = ACTIONS(7263),
    [anon_sym_BSLASHBiggl] = ACTIONS(7263),
    [anon_sym_BSLASHtext] = ACTIONS(7263),
    [anon_sym_BSLASHintertext] = ACTIONS(7263),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7263),
    [anon_sym_BSLASHbegin] = ACTIONS(7263),
    [anon_sym_BSLASHend] = ACTIONS(7263),
    [anon_sym_BSLASHtitle] = ACTIONS(7263),
    [anon_sym_BSLASHauthor] = ACTIONS(7263),
    [anon_sym_BSLASHusepackage] = ACTIONS(7263),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7263),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7263),
    [anon_sym_BSLASHinclude] = ACTIONS(7263),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7263),
    [anon_sym_BSLASHinput] = ACTIONS(7263),
    [anon_sym_BSLASHsubfile] = ACTIONS(7263),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7263),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7263),
    [anon_sym_BSLASHbibliography] = ACTIONS(7263),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7263),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7263),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7263),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7263),
    [anon_sym_BSLASHimport] = ACTIONS(7263),
    [anon_sym_BSLASHsubimport] = ACTIONS(7263),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7263),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7263),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7263),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7263),
    [anon_sym_BSLASHcaption] = ACTIONS(7263),
    [anon_sym_BSLASHcite] = ACTIONS(7263),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCite] = ACTIONS(7263),
    [anon_sym_BSLASHnocite] = ACTIONS(7263),
    [anon_sym_BSLASHcitet] = ACTIONS(7263),
    [anon_sym_BSLASHcitep] = ACTIONS(7263),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteA] = ACTIONS(7263),
    [anon_sym_BSLASHciteR] = ACTIONS(7263),
    [anon_sym_BSLASHciteS] = ACTIONS(7263),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7263),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7263),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7263),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7263),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteyear] = ACTIONS(7263),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitedate] = ACTIONS(7263),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteurl] = ACTIONS(7263),
    [anon_sym_BSLASHfullcite] = ACTIONS(7263),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7263),
    [anon_sym_BSLASHcitealt] = ACTIONS(7263),
    [anon_sym_BSLASHcitealp] = ACTIONS(7263),
    [anon_sym_BSLASHcitetext] = ACTIONS(7263),
    [anon_sym_BSLASHparencite] = ACTIONS(7263),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHParencite] = ACTIONS(7263),
    [anon_sym_BSLASHfootcite] = ACTIONS(7263),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7263),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7263),
    [anon_sym_BSLASHtextcite] = ACTIONS(7263),
    [anon_sym_BSLASHTextcite] = ACTIONS(7263),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7263),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7263),
    [anon_sym_BSLASHsupercite] = ACTIONS(7263),
    [anon_sym_BSLASHautocite] = ACTIONS(7263),
    [anon_sym_BSLASHAutocite] = ACTIONS(7263),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHVolcite] = ACTIONS(7263),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHavolcite] = ACTIONS(7263),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHNotecite] = ACTIONS(7263),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHlabel] = ACTIONS(7263),
    [anon_sym_BSLASHref] = ACTIONS(7263),
    [anon_sym_BSLASHeqref] = ACTIONS(7263),
    [anon_sym_BSLASHvref] = ACTIONS(7263),
    [anon_sym_BSLASHVref] = ACTIONS(7263),
    [anon_sym_BSLASHautoref] = ACTIONS(7263),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHpageref] = ACTIONS(7263),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHautopageref] = ACTIONS(7263),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcref] = ACTIONS(7263),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCref] = ACTIONS(7263),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcpageref] = ACTIONS(7263),
    [anon_sym_BSLASHCpageref] = ACTIONS(7263),
    [anon_sym_BSLASHnamecref] = ACTIONS(7263),
    [anon_sym_BSLASHnameCref] = ACTIONS(7263),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7263),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7263),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7263),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7263),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7263),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7263),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7263),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7263),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7263),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7263),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7263),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHdef] = ACTIONS(7263),
    [anon_sym_BSLASHgdef] = ACTIONS(7263),
    [anon_sym_BSLASHedef] = ACTIONS(7263),
    [anon_sym_BSLASHxdef] = ACTIONS(7263),
    [anon_sym_BSLASHlet] = ACTIONS(7263),
    [anon_sym_BSLASHglet] = ACTIONS(7263),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7263),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7263),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7263),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7263),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7263),
    [anon_sym_BSLASHgls] = ACTIONS(7263),
    [anon_sym_BSLASHGls] = ACTIONS(7263),
    [anon_sym_BSLASHGLS] = ACTIONS(7263),
    [anon_sym_BSLASHglspl] = ACTIONS(7263),
    [anon_sym_BSLASHGlspl] = ACTIONS(7263),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7263),
    [anon_sym_BSLASHglslink] = ACTIONS(7263),
    [anon_sym_BSLASHglstext] = ACTIONS(7263),
    [anon_sym_BSLASHGlstext] = ACTIONS(7263),
    [anon_sym_BSLASHGLStext] = ACTIONS(7263),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7263),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7263),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7263),
    [anon_sym_BSLASHglsplural] = ACTIONS(7263),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7263),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7263),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHglsname] = ACTIONS(7263),
    [anon_sym_BSLASHGlsname] = ACTIONS(7263),
    [anon_sym_BSLASHGLSname] = ACTIONS(7263),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7263),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7263),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7263),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7263),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7263),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7263),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7263),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7263),
    [anon_sym_BSLASHacrshort] = ACTIONS(7263),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7263),
    [anon_sym_BSLASHACRshort] = ACTIONS(7263),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHacrlong] = ACTIONS(7263),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7263),
    [anon_sym_BSLASHACRlong] = ACTIONS(7263),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHacrfull] = ACTIONS(7263),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7263),
    [anon_sym_BSLASHACRfull] = ACTIONS(7263),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHacs] = ACTIONS(7263),
    [anon_sym_BSLASHAcs] = ACTIONS(7263),
    [anon_sym_BSLASHacsp] = ACTIONS(7263),
    [anon_sym_BSLASHAcsp] = ACTIONS(7263),
    [anon_sym_BSLASHacl] = ACTIONS(7263),
    [anon_sym_BSLASHAcl] = ACTIONS(7263),
    [anon_sym_BSLASHaclp] = ACTIONS(7263),
    [anon_sym_BSLASHAclp] = ACTIONS(7263),
    [anon_sym_BSLASHacf] = ACTIONS(7263),
    [anon_sym_BSLASHAcf] = ACTIONS(7263),
    [anon_sym_BSLASHacfp] = ACTIONS(7263),
    [anon_sym_BSLASHAcfp] = ACTIONS(7263),
    [anon_sym_BSLASHac] = ACTIONS(7263),
    [anon_sym_BSLASHAc] = ACTIONS(7263),
    [anon_sym_BSLASHacp] = ACTIONS(7263),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7263),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7263),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7263),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7263),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7263),
    [anon_sym_BSLASHcolor] = ACTIONS(7263),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7263),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7263),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7263),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7263),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7263),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7263),
    [anon_sym_BSLASHurl] = ACTIONS(7263),
    [anon_sym_BSLASHhref] = ACTIONS(7263),
  },
  [1488] = {
    [sym_command_name] = ACTIONS(7267),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7267),
    [anon_sym_LBRACK] = ACTIONS(7269),
    [anon_sym_RBRACK] = ACTIONS(7269),
    [anon_sym_COMMA] = ACTIONS(7269),
    [anon_sym_EQ] = ACTIONS(7269),
    [anon_sym_LPAREN] = ACTIONS(7269),
    [anon_sym_RPAREN] = ACTIONS(7269),
    [anon_sym_BSLASHpart] = ACTIONS(7267),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHaddpart] = ACTIONS(7267),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHchapter] = ACTIONS(7267),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHaddchap] = ACTIONS(7267),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHsection] = ACTIONS(7267),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHaddsec] = ACTIONS(7267),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHsubsection] = ACTIONS(7267),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7267),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHparagraph] = ACTIONS(7267),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7267),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHitem] = ACTIONS(7267),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7269),
    [anon_sym_LBRACE] = ACTIONS(7269),
    [sym_word] = ACTIONS(7267),
    [sym_placeholder] = ACTIONS(7269),
    [sym_delimiter] = ACTIONS(7269),
    [anon_sym_PLUS] = ACTIONS(7269),
    [anon_sym_DASH] = ACTIONS(7269),
    [anon_sym_STAR] = ACTIONS(7269),
    [anon_sym_SLASH] = ACTIONS(7269),
    [anon_sym_LT] = ACTIONS(7267),
    [anon_sym_GT] = ACTIONS(7267),
    [anon_sym_BANG] = ACTIONS(7267),
    [anon_sym_PIPE] = ACTIONS(7267),
    [anon_sym_COLON] = ACTIONS(7267),
    [anon_sym_SQUOTE] = ACTIONS(7267),
    [anon_sym__] = ACTIONS(7269),
    [anon_sym_CARET] = ACTIONS(7269),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7269),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7269),
    [anon_sym_DOLLAR] = ACTIONS(7267),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7269),
    [anon_sym_BSLASHleft] = ACTIONS(7267),
    [anon_sym_BSLASHbigl] = ACTIONS(7267),
    [anon_sym_BSLASHBigl] = ACTIONS(7267),
    [anon_sym_BSLASHbiggl] = ACTIONS(7267),
    [anon_sym_BSLASHBiggl] = ACTIONS(7267),
    [anon_sym_BSLASHtext] = ACTIONS(7267),
    [anon_sym_BSLASHintertext] = ACTIONS(7267),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7267),
    [anon_sym_BSLASHbegin] = ACTIONS(7267),
    [anon_sym_BSLASHend] = ACTIONS(7267),
    [anon_sym_BSLASHtitle] = ACTIONS(7267),
    [anon_sym_BSLASHauthor] = ACTIONS(7267),
    [anon_sym_BSLASHusepackage] = ACTIONS(7267),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7267),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7267),
    [anon_sym_BSLASHinclude] = ACTIONS(7267),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7267),
    [anon_sym_BSLASHinput] = ACTIONS(7267),
    [anon_sym_BSLASHsubfile] = ACTIONS(7267),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7267),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7267),
    [anon_sym_BSLASHbibliography] = ACTIONS(7267),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7267),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7267),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7267),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7267),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7267),
    [anon_sym_BSLASHimport] = ACTIONS(7267),
    [anon_sym_BSLASHsubimport] = ACTIONS(7267),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7267),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7267),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7267),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7267),
    [anon_sym_BSLASHcaption] = ACTIONS(7267),
    [anon_sym_BSLASHcite] = ACTIONS(7267),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCite] = ACTIONS(7267),
    [anon_sym_BSLASHnocite] = ACTIONS(7267),
    [anon_sym_BSLASHcitet] = ACTIONS(7267),
    [anon_sym_BSLASHcitep] = ACTIONS(7267),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteA] = ACTIONS(7267),
    [anon_sym_BSLASHciteR] = ACTIONS(7267),
    [anon_sym_BSLASHciteS] = ACTIONS(7267),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7267),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7267),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7267),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7267),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteyear] = ACTIONS(7267),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitedate] = ACTIONS(7267),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteurl] = ACTIONS(7267),
    [anon_sym_BSLASHfullcite] = ACTIONS(7267),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7267),
    [anon_sym_BSLASHcitealt] = ACTIONS(7267),
    [anon_sym_BSLASHcitealp] = ACTIONS(7267),
    [anon_sym_BSLASHcitetext] = ACTIONS(7267),
    [anon_sym_BSLASHparencite] = ACTIONS(7267),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHParencite] = ACTIONS(7267),
    [anon_sym_BSLASHfootcite] = ACTIONS(7267),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7267),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7267),
    [anon_sym_BSLASHtextcite] = ACTIONS(7267),
    [anon_sym_BSLASHTextcite] = ACTIONS(7267),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7267),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7267),
    [anon_sym_BSLASHsupercite] = ACTIONS(7267),
    [anon_sym_BSLASHautocite] = ACTIONS(7267),
    [anon_sym_BSLASHAutocite] = ACTIONS(7267),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHVolcite] = ACTIONS(7267),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHavolcite] = ACTIONS(7267),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHNotecite] = ACTIONS(7267),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHlabel] = ACTIONS(7267),
    [anon_sym_BSLASHref] = ACTIONS(7267),
    [anon_sym_BSLASHeqref] = ACTIONS(7267),
    [anon_sym_BSLASHvref] = ACTIONS(7267),
    [anon_sym_BSLASHVref] = ACTIONS(7267),
    [anon_sym_BSLASHautoref] = ACTIONS(7267),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHpageref] = ACTIONS(7267),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHautopageref] = ACTIONS(7267),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcref] = ACTIONS(7267),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCref] = ACTIONS(7267),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcpageref] = ACTIONS(7267),
    [anon_sym_BSLASHCpageref] = ACTIONS(7267),
    [anon_sym_BSLASHnamecref] = ACTIONS(7267),
    [anon_sym_BSLASHnameCref] = ACTIONS(7267),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7267),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7267),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7267),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7267),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7267),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7267),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7267),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7267),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7267),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7267),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7267),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHdef] = ACTIONS(7267),
    [anon_sym_BSLASHgdef] = ACTIONS(7267),
    [anon_sym_BSLASHedef] = ACTIONS(7267),
    [anon_sym_BSLASHxdef] = ACTIONS(7267),
    [anon_sym_BSLASHlet] = ACTIONS(7267),
    [anon_sym_BSLASHglet] = ACTIONS(7267),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7267),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7267),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7267),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7267),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7267),
    [anon_sym_BSLASHgls] = ACTIONS(7267),
    [anon_sym_BSLASHGls] = ACTIONS(7267),
    [anon_sym_BSLASHGLS] = ACTIONS(7267),
    [anon_sym_BSLASHglspl] = ACTIONS(7267),
    [anon_sym_BSLASHGlspl] = ACTIONS(7267),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7267),
    [anon_sym_BSLASHglslink] = ACTIONS(7267),
    [anon_sym_BSLASHglstext] = ACTIONS(7267),
    [anon_sym_BSLASHGlstext] = ACTIONS(7267),
    [anon_sym_BSLASHGLStext] = ACTIONS(7267),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7267),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7267),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7267),
    [anon_sym_BSLASHglsplural] = ACTIONS(7267),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7267),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7267),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHglsname] = ACTIONS(7267),
    [anon_sym_BSLASHGlsname] = ACTIONS(7267),
    [anon_sym_BSLASHGLSname] = ACTIONS(7267),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7267),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7267),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7267),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7267),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7267),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7267),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7267),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7267),
    [anon_sym_BSLASHacrshort] = ACTIONS(7267),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7267),
    [anon_sym_BSLASHACRshort] = ACTIONS(7267),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHacrlong] = ACTIONS(7267),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7267),
    [anon_sym_BSLASHACRlong] = ACTIONS(7267),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHacrfull] = ACTIONS(7267),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7267),
    [anon_sym_BSLASHACRfull] = ACTIONS(7267),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHacs] = ACTIONS(7267),
    [anon_sym_BSLASHAcs] = ACTIONS(7267),
    [anon_sym_BSLASHacsp] = ACTIONS(7267),
    [anon_sym_BSLASHAcsp] = ACTIONS(7267),
    [anon_sym_BSLASHacl] = ACTIONS(7267),
    [anon_sym_BSLASHAcl] = ACTIONS(7267),
    [anon_sym_BSLASHaclp] = ACTIONS(7267),
    [anon_sym_BSLASHAclp] = ACTIONS(7267),
    [anon_sym_BSLASHacf] = ACTIONS(7267),
    [anon_sym_BSLASHAcf] = ACTIONS(7267),
    [anon_sym_BSLASHacfp] = ACTIONS(7267),
    [anon_sym_BSLASHAcfp] = ACTIONS(7267),
    [anon_sym_BSLASHac] = ACTIONS(7267),
    [anon_sym_BSLASHAc] = ACTIONS(7267),
    [anon_sym_BSLASHacp] = ACTIONS(7267),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7267),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7267),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7267),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7267),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7267),
    [anon_sym_BSLASHcolor] = ACTIONS(7267),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7267),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7267),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7267),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7267),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7267),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7267),
    [anon_sym_BSLASHurl] = ACTIONS(7267),
    [anon_sym_BSLASHhref] = ACTIONS(7267),
  },
  [1489] = {
    [sym_command_name] = ACTIONS(7271),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7271),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_RBRACK] = ACTIONS(7273),
    [anon_sym_COMMA] = ACTIONS(7273),
    [anon_sym_EQ] = ACTIONS(7273),
    [anon_sym_LPAREN] = ACTIONS(7273),
    [anon_sym_RPAREN] = ACTIONS(7273),
    [anon_sym_BSLASHpart] = ACTIONS(7271),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHaddpart] = ACTIONS(7271),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHchapter] = ACTIONS(7271),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHaddchap] = ACTIONS(7271),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHsection] = ACTIONS(7271),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHaddsec] = ACTIONS(7271),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHsubsection] = ACTIONS(7271),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7271),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHparagraph] = ACTIONS(7271),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7271),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHitem] = ACTIONS(7271),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7273),
    [sym_word] = ACTIONS(7271),
    [sym_placeholder] = ACTIONS(7273),
    [sym_delimiter] = ACTIONS(7273),
    [anon_sym_PLUS] = ACTIONS(7273),
    [anon_sym_DASH] = ACTIONS(7273),
    [anon_sym_STAR] = ACTIONS(7273),
    [anon_sym_SLASH] = ACTIONS(7273),
    [anon_sym_LT] = ACTIONS(7271),
    [anon_sym_GT] = ACTIONS(7271),
    [anon_sym_BANG] = ACTIONS(7271),
    [anon_sym_PIPE] = ACTIONS(7271),
    [anon_sym_COLON] = ACTIONS(7271),
    [anon_sym_SQUOTE] = ACTIONS(7271),
    [anon_sym__] = ACTIONS(7273),
    [anon_sym_CARET] = ACTIONS(7273),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7273),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7273),
    [anon_sym_DOLLAR] = ACTIONS(7271),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7273),
    [anon_sym_BSLASHleft] = ACTIONS(7271),
    [anon_sym_BSLASHbigl] = ACTIONS(7271),
    [anon_sym_BSLASHBigl] = ACTIONS(7271),
    [anon_sym_BSLASHbiggl] = ACTIONS(7271),
    [anon_sym_BSLASHBiggl] = ACTIONS(7271),
    [anon_sym_BSLASHtext] = ACTIONS(7271),
    [anon_sym_BSLASHintertext] = ACTIONS(7271),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7271),
    [anon_sym_BSLASHbegin] = ACTIONS(7271),
    [anon_sym_BSLASHend] = ACTIONS(7271),
    [anon_sym_BSLASHtitle] = ACTIONS(7271),
    [anon_sym_BSLASHauthor] = ACTIONS(7271),
    [anon_sym_BSLASHusepackage] = ACTIONS(7271),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7271),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7271),
    [anon_sym_BSLASHinclude] = ACTIONS(7271),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7271),
    [anon_sym_BSLASHinput] = ACTIONS(7271),
    [anon_sym_BSLASHsubfile] = ACTIONS(7271),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7271),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7271),
    [anon_sym_BSLASHbibliography] = ACTIONS(7271),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7271),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7271),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7271),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7271),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7271),
    [anon_sym_BSLASHimport] = ACTIONS(7271),
    [anon_sym_BSLASHsubimport] = ACTIONS(7271),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7271),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7271),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7271),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7271),
    [anon_sym_BSLASHcaption] = ACTIONS(7271),
    [anon_sym_BSLASHcite] = ACTIONS(7271),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCite] = ACTIONS(7271),
    [anon_sym_BSLASHnocite] = ACTIONS(7271),
    [anon_sym_BSLASHcitet] = ACTIONS(7271),
    [anon_sym_BSLASHcitep] = ACTIONS(7271),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteA] = ACTIONS(7271),
    [anon_sym_BSLASHciteR] = ACTIONS(7271),
    [anon_sym_BSLASHciteS] = ACTIONS(7271),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7271),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7271),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7271),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7271),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteyear] = ACTIONS(7271),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitedate] = ACTIONS(7271),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteurl] = ACTIONS(7271),
    [anon_sym_BSLASHfullcite] = ACTIONS(7271),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7271),
    [anon_sym_BSLASHcitealt] = ACTIONS(7271),
    [anon_sym_BSLASHcitealp] = ACTIONS(7271),
    [anon_sym_BSLASHcitetext] = ACTIONS(7271),
    [anon_sym_BSLASHparencite] = ACTIONS(7271),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHParencite] = ACTIONS(7271),
    [anon_sym_BSLASHfootcite] = ACTIONS(7271),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7271),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7271),
    [anon_sym_BSLASHtextcite] = ACTIONS(7271),
    [anon_sym_BSLASHTextcite] = ACTIONS(7271),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7271),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7271),
    [anon_sym_BSLASHsupercite] = ACTIONS(7271),
    [anon_sym_BSLASHautocite] = ACTIONS(7271),
    [anon_sym_BSLASHAutocite] = ACTIONS(7271),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHVolcite] = ACTIONS(7271),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHavolcite] = ACTIONS(7271),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHNotecite] = ACTIONS(7271),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHlabel] = ACTIONS(7271),
    [anon_sym_BSLASHref] = ACTIONS(7271),
    [anon_sym_BSLASHeqref] = ACTIONS(7271),
    [anon_sym_BSLASHvref] = ACTIONS(7271),
    [anon_sym_BSLASHVref] = ACTIONS(7271),
    [anon_sym_BSLASHautoref] = ACTIONS(7271),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHpageref] = ACTIONS(7271),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHautopageref] = ACTIONS(7271),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcref] = ACTIONS(7271),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCref] = ACTIONS(7271),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcpageref] = ACTIONS(7271),
    [anon_sym_BSLASHCpageref] = ACTIONS(7271),
    [anon_sym_BSLASHnamecref] = ACTIONS(7271),
    [anon_sym_BSLASHnameCref] = ACTIONS(7271),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7271),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7271),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7271),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7271),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7271),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7271),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7271),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7271),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7271),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7271),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7271),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHdef] = ACTIONS(7271),
    [anon_sym_BSLASHgdef] = ACTIONS(7271),
    [anon_sym_BSLASHedef] = ACTIONS(7271),
    [anon_sym_BSLASHxdef] = ACTIONS(7271),
    [anon_sym_BSLASHlet] = ACTIONS(7271),
    [anon_sym_BSLASHglet] = ACTIONS(7271),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7271),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7271),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7271),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7271),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7271),
    [anon_sym_BSLASHgls] = ACTIONS(7271),
    [anon_sym_BSLASHGls] = ACTIONS(7271),
    [anon_sym_BSLASHGLS] = ACTIONS(7271),
    [anon_sym_BSLASHglspl] = ACTIONS(7271),
    [anon_sym_BSLASHGlspl] = ACTIONS(7271),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7271),
    [anon_sym_BSLASHglslink] = ACTIONS(7271),
    [anon_sym_BSLASHglstext] = ACTIONS(7271),
    [anon_sym_BSLASHGlstext] = ACTIONS(7271),
    [anon_sym_BSLASHGLStext] = ACTIONS(7271),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7271),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7271),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7271),
    [anon_sym_BSLASHglsplural] = ACTIONS(7271),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7271),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7271),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHglsname] = ACTIONS(7271),
    [anon_sym_BSLASHGlsname] = ACTIONS(7271),
    [anon_sym_BSLASHGLSname] = ACTIONS(7271),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7271),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7271),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7271),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7271),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7271),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7271),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7271),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7271),
    [anon_sym_BSLASHacrshort] = ACTIONS(7271),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7271),
    [anon_sym_BSLASHACRshort] = ACTIONS(7271),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHacrlong] = ACTIONS(7271),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7271),
    [anon_sym_BSLASHACRlong] = ACTIONS(7271),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHacrfull] = ACTIONS(7271),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7271),
    [anon_sym_BSLASHACRfull] = ACTIONS(7271),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHacs] = ACTIONS(7271),
    [anon_sym_BSLASHAcs] = ACTIONS(7271),
    [anon_sym_BSLASHacsp] = ACTIONS(7271),
    [anon_sym_BSLASHAcsp] = ACTIONS(7271),
    [anon_sym_BSLASHacl] = ACTIONS(7271),
    [anon_sym_BSLASHAcl] = ACTIONS(7271),
    [anon_sym_BSLASHaclp] = ACTIONS(7271),
    [anon_sym_BSLASHAclp] = ACTIONS(7271),
    [anon_sym_BSLASHacf] = ACTIONS(7271),
    [anon_sym_BSLASHAcf] = ACTIONS(7271),
    [anon_sym_BSLASHacfp] = ACTIONS(7271),
    [anon_sym_BSLASHAcfp] = ACTIONS(7271),
    [anon_sym_BSLASHac] = ACTIONS(7271),
    [anon_sym_BSLASHAc] = ACTIONS(7271),
    [anon_sym_BSLASHacp] = ACTIONS(7271),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7271),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7271),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7271),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7271),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7271),
    [anon_sym_BSLASHcolor] = ACTIONS(7271),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7271),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7271),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7271),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7271),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7271),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7271),
    [anon_sym_BSLASHurl] = ACTIONS(7271),
    [anon_sym_BSLASHhref] = ACTIONS(7271),
  },
  [1490] = {
    [sym_command_name] = ACTIONS(7275),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7275),
    [anon_sym_LBRACK] = ACTIONS(7277),
    [anon_sym_RBRACK] = ACTIONS(7277),
    [anon_sym_COMMA] = ACTIONS(7277),
    [anon_sym_EQ] = ACTIONS(7277),
    [anon_sym_LPAREN] = ACTIONS(7277),
    [anon_sym_RPAREN] = ACTIONS(7277),
    [anon_sym_BSLASHpart] = ACTIONS(7275),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHaddpart] = ACTIONS(7275),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHchapter] = ACTIONS(7275),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHaddchap] = ACTIONS(7275),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHsection] = ACTIONS(7275),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHaddsec] = ACTIONS(7275),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHsubsection] = ACTIONS(7275),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7275),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHparagraph] = ACTIONS(7275),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7275),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHitem] = ACTIONS(7275),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7277),
    [anon_sym_LBRACE] = ACTIONS(7277),
    [sym_word] = ACTIONS(7275),
    [sym_placeholder] = ACTIONS(7277),
    [sym_delimiter] = ACTIONS(7277),
    [anon_sym_PLUS] = ACTIONS(7277),
    [anon_sym_DASH] = ACTIONS(7277),
    [anon_sym_STAR] = ACTIONS(7277),
    [anon_sym_SLASH] = ACTIONS(7277),
    [anon_sym_LT] = ACTIONS(7275),
    [anon_sym_GT] = ACTIONS(7275),
    [anon_sym_BANG] = ACTIONS(7275),
    [anon_sym_PIPE] = ACTIONS(7275),
    [anon_sym_COLON] = ACTIONS(7275),
    [anon_sym_SQUOTE] = ACTIONS(7275),
    [anon_sym__] = ACTIONS(7277),
    [anon_sym_CARET] = ACTIONS(7277),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7277),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7277),
    [anon_sym_DOLLAR] = ACTIONS(7275),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7277),
    [anon_sym_BSLASHleft] = ACTIONS(7275),
    [anon_sym_BSLASHbigl] = ACTIONS(7275),
    [anon_sym_BSLASHBigl] = ACTIONS(7275),
    [anon_sym_BSLASHbiggl] = ACTIONS(7275),
    [anon_sym_BSLASHBiggl] = ACTIONS(7275),
    [anon_sym_BSLASHtext] = ACTIONS(7275),
    [anon_sym_BSLASHintertext] = ACTIONS(7275),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7275),
    [anon_sym_BSLASHbegin] = ACTIONS(7275),
    [anon_sym_BSLASHend] = ACTIONS(7275),
    [anon_sym_BSLASHtitle] = ACTIONS(7275),
    [anon_sym_BSLASHauthor] = ACTIONS(7275),
    [anon_sym_BSLASHusepackage] = ACTIONS(7275),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7275),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7275),
    [anon_sym_BSLASHinclude] = ACTIONS(7275),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7275),
    [anon_sym_BSLASHinput] = ACTIONS(7275),
    [anon_sym_BSLASHsubfile] = ACTIONS(7275),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7275),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7275),
    [anon_sym_BSLASHbibliography] = ACTIONS(7275),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7275),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7275),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7275),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7275),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7275),
    [anon_sym_BSLASHimport] = ACTIONS(7275),
    [anon_sym_BSLASHsubimport] = ACTIONS(7275),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7275),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7275),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7275),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7275),
    [anon_sym_BSLASHcaption] = ACTIONS(7275),
    [anon_sym_BSLASHcite] = ACTIONS(7275),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCite] = ACTIONS(7275),
    [anon_sym_BSLASHnocite] = ACTIONS(7275),
    [anon_sym_BSLASHcitet] = ACTIONS(7275),
    [anon_sym_BSLASHcitep] = ACTIONS(7275),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteA] = ACTIONS(7275),
    [anon_sym_BSLASHciteR] = ACTIONS(7275),
    [anon_sym_BSLASHciteS] = ACTIONS(7275),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7275),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7275),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7275),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7275),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteyear] = ACTIONS(7275),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitedate] = ACTIONS(7275),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteurl] = ACTIONS(7275),
    [anon_sym_BSLASHfullcite] = ACTIONS(7275),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7275),
    [anon_sym_BSLASHcitealt] = ACTIONS(7275),
    [anon_sym_BSLASHcitealp] = ACTIONS(7275),
    [anon_sym_BSLASHcitetext] = ACTIONS(7275),
    [anon_sym_BSLASHparencite] = ACTIONS(7275),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHParencite] = ACTIONS(7275),
    [anon_sym_BSLASHfootcite] = ACTIONS(7275),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7275),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7275),
    [anon_sym_BSLASHtextcite] = ACTIONS(7275),
    [anon_sym_BSLASHTextcite] = ACTIONS(7275),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7275),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7275),
    [anon_sym_BSLASHsupercite] = ACTIONS(7275),
    [anon_sym_BSLASHautocite] = ACTIONS(7275),
    [anon_sym_BSLASHAutocite] = ACTIONS(7275),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHVolcite] = ACTIONS(7275),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHavolcite] = ACTIONS(7275),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHNotecite] = ACTIONS(7275),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHlabel] = ACTIONS(7275),
    [anon_sym_BSLASHref] = ACTIONS(7275),
    [anon_sym_BSLASHeqref] = ACTIONS(7275),
    [anon_sym_BSLASHvref] = ACTIONS(7275),
    [anon_sym_BSLASHVref] = ACTIONS(7275),
    [anon_sym_BSLASHautoref] = ACTIONS(7275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHpageref] = ACTIONS(7275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHautopageref] = ACTIONS(7275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcref] = ACTIONS(7275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCref] = ACTIONS(7275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcpageref] = ACTIONS(7275),
    [anon_sym_BSLASHCpageref] = ACTIONS(7275),
    [anon_sym_BSLASHnamecref] = ACTIONS(7275),
    [anon_sym_BSLASHnameCref] = ACTIONS(7275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7275),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7275),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7275),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7275),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7275),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7275),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7275),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7275),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHdef] = ACTIONS(7275),
    [anon_sym_BSLASHgdef] = ACTIONS(7275),
    [anon_sym_BSLASHedef] = ACTIONS(7275),
    [anon_sym_BSLASHxdef] = ACTIONS(7275),
    [anon_sym_BSLASHlet] = ACTIONS(7275),
    [anon_sym_BSLASHglet] = ACTIONS(7275),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7275),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7275),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7275),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7275),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7275),
    [anon_sym_BSLASHgls] = ACTIONS(7275),
    [anon_sym_BSLASHGls] = ACTIONS(7275),
    [anon_sym_BSLASHGLS] = ACTIONS(7275),
    [anon_sym_BSLASHglspl] = ACTIONS(7275),
    [anon_sym_BSLASHGlspl] = ACTIONS(7275),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7275),
    [anon_sym_BSLASHglslink] = ACTIONS(7275),
    [anon_sym_BSLASHglstext] = ACTIONS(7275),
    [anon_sym_BSLASHGlstext] = ACTIONS(7275),
    [anon_sym_BSLASHGLStext] = ACTIONS(7275),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7275),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7275),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7275),
    [anon_sym_BSLASHglsplural] = ACTIONS(7275),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7275),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7275),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHglsname] = ACTIONS(7275),
    [anon_sym_BSLASHGlsname] = ACTIONS(7275),
    [anon_sym_BSLASHGLSname] = ACTIONS(7275),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7275),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7275),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7275),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7275),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7275),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7275),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7275),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7275),
    [anon_sym_BSLASHacrshort] = ACTIONS(7275),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7275),
    [anon_sym_BSLASHACRshort] = ACTIONS(7275),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHacrlong] = ACTIONS(7275),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7275),
    [anon_sym_BSLASHACRlong] = ACTIONS(7275),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHacrfull] = ACTIONS(7275),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7275),
    [anon_sym_BSLASHACRfull] = ACTIONS(7275),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHacs] = ACTIONS(7275),
    [anon_sym_BSLASHAcs] = ACTIONS(7275),
    [anon_sym_BSLASHacsp] = ACTIONS(7275),
    [anon_sym_BSLASHAcsp] = ACTIONS(7275),
    [anon_sym_BSLASHacl] = ACTIONS(7275),
    [anon_sym_BSLASHAcl] = ACTIONS(7275),
    [anon_sym_BSLASHaclp] = ACTIONS(7275),
    [anon_sym_BSLASHAclp] = ACTIONS(7275),
    [anon_sym_BSLASHacf] = ACTIONS(7275),
    [anon_sym_BSLASHAcf] = ACTIONS(7275),
    [anon_sym_BSLASHacfp] = ACTIONS(7275),
    [anon_sym_BSLASHAcfp] = ACTIONS(7275),
    [anon_sym_BSLASHac] = ACTIONS(7275),
    [anon_sym_BSLASHAc] = ACTIONS(7275),
    [anon_sym_BSLASHacp] = ACTIONS(7275),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7275),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7275),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7275),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7275),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7275),
    [anon_sym_BSLASHcolor] = ACTIONS(7275),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7275),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7275),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7275),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7275),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7275),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7275),
    [anon_sym_BSLASHurl] = ACTIONS(7275),
    [anon_sym_BSLASHhref] = ACTIONS(7275),
  },
  [1491] = {
    [sym_command_name] = ACTIONS(7279),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7279),
    [anon_sym_LBRACK] = ACTIONS(7281),
    [anon_sym_RBRACK] = ACTIONS(7281),
    [anon_sym_COMMA] = ACTIONS(7281),
    [anon_sym_EQ] = ACTIONS(7281),
    [anon_sym_LPAREN] = ACTIONS(7281),
    [anon_sym_RPAREN] = ACTIONS(7281),
    [anon_sym_BSLASHpart] = ACTIONS(7279),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHaddpart] = ACTIONS(7279),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHchapter] = ACTIONS(7279),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHaddchap] = ACTIONS(7279),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHsection] = ACTIONS(7279),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHaddsec] = ACTIONS(7279),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHsubsection] = ACTIONS(7279),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7279),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHparagraph] = ACTIONS(7279),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7279),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHitem] = ACTIONS(7279),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7281),
    [anon_sym_LBRACE] = ACTIONS(7281),
    [sym_word] = ACTIONS(7279),
    [sym_placeholder] = ACTIONS(7281),
    [sym_delimiter] = ACTIONS(7281),
    [anon_sym_PLUS] = ACTIONS(7281),
    [anon_sym_DASH] = ACTIONS(7281),
    [anon_sym_STAR] = ACTIONS(7281),
    [anon_sym_SLASH] = ACTIONS(7281),
    [anon_sym_LT] = ACTIONS(7279),
    [anon_sym_GT] = ACTIONS(7279),
    [anon_sym_BANG] = ACTIONS(7279),
    [anon_sym_PIPE] = ACTIONS(7279),
    [anon_sym_COLON] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7279),
    [anon_sym__] = ACTIONS(7281),
    [anon_sym_CARET] = ACTIONS(7281),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7281),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7281),
    [anon_sym_DOLLAR] = ACTIONS(7279),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7281),
    [anon_sym_BSLASHleft] = ACTIONS(7279),
    [anon_sym_BSLASHbigl] = ACTIONS(7279),
    [anon_sym_BSLASHBigl] = ACTIONS(7279),
    [anon_sym_BSLASHbiggl] = ACTIONS(7279),
    [anon_sym_BSLASHBiggl] = ACTIONS(7279),
    [anon_sym_BSLASHtext] = ACTIONS(7279),
    [anon_sym_BSLASHintertext] = ACTIONS(7279),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7279),
    [anon_sym_BSLASHbegin] = ACTIONS(7279),
    [anon_sym_BSLASHend] = ACTIONS(7279),
    [anon_sym_BSLASHtitle] = ACTIONS(7279),
    [anon_sym_BSLASHauthor] = ACTIONS(7279),
    [anon_sym_BSLASHusepackage] = ACTIONS(7279),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7279),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7279),
    [anon_sym_BSLASHinclude] = ACTIONS(7279),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7279),
    [anon_sym_BSLASHinput] = ACTIONS(7279),
    [anon_sym_BSLASHsubfile] = ACTIONS(7279),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7279),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7279),
    [anon_sym_BSLASHbibliography] = ACTIONS(7279),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7279),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7279),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7279),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7279),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7279),
    [anon_sym_BSLASHimport] = ACTIONS(7279),
    [anon_sym_BSLASHsubimport] = ACTIONS(7279),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7279),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7279),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7279),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7279),
    [anon_sym_BSLASHcaption] = ACTIONS(7279),
    [anon_sym_BSLASHcite] = ACTIONS(7279),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCite] = ACTIONS(7279),
    [anon_sym_BSLASHnocite] = ACTIONS(7279),
    [anon_sym_BSLASHcitet] = ACTIONS(7279),
    [anon_sym_BSLASHcitep] = ACTIONS(7279),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteA] = ACTIONS(7279),
    [anon_sym_BSLASHciteR] = ACTIONS(7279),
    [anon_sym_BSLASHciteS] = ACTIONS(7279),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7279),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7279),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7279),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7279),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteyear] = ACTIONS(7279),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitedate] = ACTIONS(7279),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteurl] = ACTIONS(7279),
    [anon_sym_BSLASHfullcite] = ACTIONS(7279),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7279),
    [anon_sym_BSLASHcitealt] = ACTIONS(7279),
    [anon_sym_BSLASHcitealp] = ACTIONS(7279),
    [anon_sym_BSLASHcitetext] = ACTIONS(7279),
    [anon_sym_BSLASHparencite] = ACTIONS(7279),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHParencite] = ACTIONS(7279),
    [anon_sym_BSLASHfootcite] = ACTIONS(7279),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7279),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7279),
    [anon_sym_BSLASHtextcite] = ACTIONS(7279),
    [anon_sym_BSLASHTextcite] = ACTIONS(7279),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7279),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7279),
    [anon_sym_BSLASHsupercite] = ACTIONS(7279),
    [anon_sym_BSLASHautocite] = ACTIONS(7279),
    [anon_sym_BSLASHAutocite] = ACTIONS(7279),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHVolcite] = ACTIONS(7279),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHavolcite] = ACTIONS(7279),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHNotecite] = ACTIONS(7279),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHlabel] = ACTIONS(7279),
    [anon_sym_BSLASHref] = ACTIONS(7279),
    [anon_sym_BSLASHeqref] = ACTIONS(7279),
    [anon_sym_BSLASHvref] = ACTIONS(7279),
    [anon_sym_BSLASHVref] = ACTIONS(7279),
    [anon_sym_BSLASHautoref] = ACTIONS(7279),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHpageref] = ACTIONS(7279),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHautopageref] = ACTIONS(7279),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcref] = ACTIONS(7279),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCref] = ACTIONS(7279),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcpageref] = ACTIONS(7279),
    [anon_sym_BSLASHCpageref] = ACTIONS(7279),
    [anon_sym_BSLASHnamecref] = ACTIONS(7279),
    [anon_sym_BSLASHnameCref] = ACTIONS(7279),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7279),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7279),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7279),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7279),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7279),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7279),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7279),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHdef] = ACTIONS(7279),
    [anon_sym_BSLASHgdef] = ACTIONS(7279),
    [anon_sym_BSLASHedef] = ACTIONS(7279),
    [anon_sym_BSLASHxdef] = ACTIONS(7279),
    [anon_sym_BSLASHlet] = ACTIONS(7279),
    [anon_sym_BSLASHglet] = ACTIONS(7279),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7279),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7279),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7279),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7279),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7279),
    [anon_sym_BSLASHgls] = ACTIONS(7279),
    [anon_sym_BSLASHGls] = ACTIONS(7279),
    [anon_sym_BSLASHGLS] = ACTIONS(7279),
    [anon_sym_BSLASHglspl] = ACTIONS(7279),
    [anon_sym_BSLASHGlspl] = ACTIONS(7279),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7279),
    [anon_sym_BSLASHglslink] = ACTIONS(7279),
    [anon_sym_BSLASHglstext] = ACTIONS(7279),
    [anon_sym_BSLASHGlstext] = ACTIONS(7279),
    [anon_sym_BSLASHGLStext] = ACTIONS(7279),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7279),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7279),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7279),
    [anon_sym_BSLASHglsplural] = ACTIONS(7279),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7279),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7279),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHglsname] = ACTIONS(7279),
    [anon_sym_BSLASHGlsname] = ACTIONS(7279),
    [anon_sym_BSLASHGLSname] = ACTIONS(7279),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7279),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7279),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7279),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7279),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7279),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7279),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7279),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7279),
    [anon_sym_BSLASHacrshort] = ACTIONS(7279),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7279),
    [anon_sym_BSLASHACRshort] = ACTIONS(7279),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHacrlong] = ACTIONS(7279),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7279),
    [anon_sym_BSLASHACRlong] = ACTIONS(7279),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHacrfull] = ACTIONS(7279),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7279),
    [anon_sym_BSLASHACRfull] = ACTIONS(7279),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHacs] = ACTIONS(7279),
    [anon_sym_BSLASHAcs] = ACTIONS(7279),
    [anon_sym_BSLASHacsp] = ACTIONS(7279),
    [anon_sym_BSLASHAcsp] = ACTIONS(7279),
    [anon_sym_BSLASHacl] = ACTIONS(7279),
    [anon_sym_BSLASHAcl] = ACTIONS(7279),
    [anon_sym_BSLASHaclp] = ACTIONS(7279),
    [anon_sym_BSLASHAclp] = ACTIONS(7279),
    [anon_sym_BSLASHacf] = ACTIONS(7279),
    [anon_sym_BSLASHAcf] = ACTIONS(7279),
    [anon_sym_BSLASHacfp] = ACTIONS(7279),
    [anon_sym_BSLASHAcfp] = ACTIONS(7279),
    [anon_sym_BSLASHac] = ACTIONS(7279),
    [anon_sym_BSLASHAc] = ACTIONS(7279),
    [anon_sym_BSLASHacp] = ACTIONS(7279),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7279),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7279),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7279),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7279),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7279),
    [anon_sym_BSLASHcolor] = ACTIONS(7279),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7279),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7279),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7279),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7279),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7279),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7279),
    [anon_sym_BSLASHurl] = ACTIONS(7279),
    [anon_sym_BSLASHhref] = ACTIONS(7279),
  },
  [1492] = {
    [sym_command_name] = ACTIONS(7571),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7571),
    [anon_sym_LBRACK] = ACTIONS(7573),
    [anon_sym_RBRACK] = ACTIONS(7573),
    [anon_sym_COMMA] = ACTIONS(7573),
    [anon_sym_EQ] = ACTIONS(7573),
    [anon_sym_LPAREN] = ACTIONS(7573),
    [anon_sym_RPAREN] = ACTIONS(7573),
    [anon_sym_BSLASHpart] = ACTIONS(7571),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHaddpart] = ACTIONS(7571),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHchapter] = ACTIONS(7571),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHaddchap] = ACTIONS(7571),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHsection] = ACTIONS(7571),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHaddsec] = ACTIONS(7571),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHsubsection] = ACTIONS(7571),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7571),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHparagraph] = ACTIONS(7571),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7571),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHitem] = ACTIONS(7571),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7573),
    [anon_sym_LBRACE] = ACTIONS(7573),
    [sym_word] = ACTIONS(7571),
    [sym_placeholder] = ACTIONS(7573),
    [sym_delimiter] = ACTIONS(7573),
    [anon_sym_PLUS] = ACTIONS(7573),
    [anon_sym_DASH] = ACTIONS(7573),
    [anon_sym_STAR] = ACTIONS(7573),
    [anon_sym_SLASH] = ACTIONS(7573),
    [anon_sym_LT] = ACTIONS(7571),
    [anon_sym_GT] = ACTIONS(7571),
    [anon_sym_BANG] = ACTIONS(7571),
    [anon_sym_PIPE] = ACTIONS(7571),
    [anon_sym_COLON] = ACTIONS(7571),
    [anon_sym_SQUOTE] = ACTIONS(7571),
    [anon_sym__] = ACTIONS(7573),
    [anon_sym_CARET] = ACTIONS(7573),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7573),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7573),
    [anon_sym_DOLLAR] = ACTIONS(7571),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7573),
    [anon_sym_BSLASHleft] = ACTIONS(7571),
    [anon_sym_BSLASHbigl] = ACTIONS(7571),
    [anon_sym_BSLASHBigl] = ACTIONS(7571),
    [anon_sym_BSLASHbiggl] = ACTIONS(7571),
    [anon_sym_BSLASHBiggl] = ACTIONS(7571),
    [anon_sym_BSLASHtext] = ACTIONS(7571),
    [anon_sym_BSLASHintertext] = ACTIONS(7571),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7571),
    [anon_sym_BSLASHbegin] = ACTIONS(7571),
    [anon_sym_BSLASHend] = ACTIONS(7571),
    [anon_sym_BSLASHtitle] = ACTIONS(7571),
    [anon_sym_BSLASHauthor] = ACTIONS(7571),
    [anon_sym_BSLASHusepackage] = ACTIONS(7571),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7571),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7571),
    [anon_sym_BSLASHinclude] = ACTIONS(7571),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7571),
    [anon_sym_BSLASHinput] = ACTIONS(7571),
    [anon_sym_BSLASHsubfile] = ACTIONS(7571),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7571),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7571),
    [anon_sym_BSLASHbibliography] = ACTIONS(7571),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7571),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7571),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7571),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7571),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7571),
    [anon_sym_BSLASHimport] = ACTIONS(7571),
    [anon_sym_BSLASHsubimport] = ACTIONS(7571),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7571),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7571),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7571),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7571),
    [anon_sym_BSLASHcaption] = ACTIONS(7571),
    [anon_sym_BSLASHcite] = ACTIONS(7571),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCite] = ACTIONS(7571),
    [anon_sym_BSLASHnocite] = ACTIONS(7571),
    [anon_sym_BSLASHcitet] = ACTIONS(7571),
    [anon_sym_BSLASHcitep] = ACTIONS(7571),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteA] = ACTIONS(7571),
    [anon_sym_BSLASHciteR] = ACTIONS(7571),
    [anon_sym_BSLASHciteS] = ACTIONS(7571),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7571),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7571),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7571),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7571),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteyear] = ACTIONS(7571),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitedate] = ACTIONS(7571),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteurl] = ACTIONS(7571),
    [anon_sym_BSLASHfullcite] = ACTIONS(7571),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7571),
    [anon_sym_BSLASHcitealt] = ACTIONS(7571),
    [anon_sym_BSLASHcitealp] = ACTIONS(7571),
    [anon_sym_BSLASHcitetext] = ACTIONS(7571),
    [anon_sym_BSLASHparencite] = ACTIONS(7571),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHParencite] = ACTIONS(7571),
    [anon_sym_BSLASHfootcite] = ACTIONS(7571),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7571),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7571),
    [anon_sym_BSLASHtextcite] = ACTIONS(7571),
    [anon_sym_BSLASHTextcite] = ACTIONS(7571),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7571),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7571),
    [anon_sym_BSLASHsupercite] = ACTIONS(7571),
    [anon_sym_BSLASHautocite] = ACTIONS(7571),
    [anon_sym_BSLASHAutocite] = ACTIONS(7571),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHVolcite] = ACTIONS(7571),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHavolcite] = ACTIONS(7571),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHNotecite] = ACTIONS(7571),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHlabel] = ACTIONS(7571),
    [anon_sym_BSLASHref] = ACTIONS(7571),
    [anon_sym_BSLASHeqref] = ACTIONS(7571),
    [anon_sym_BSLASHvref] = ACTIONS(7571),
    [anon_sym_BSLASHVref] = ACTIONS(7571),
    [anon_sym_BSLASHautoref] = ACTIONS(7571),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHpageref] = ACTIONS(7571),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHautopageref] = ACTIONS(7571),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcref] = ACTIONS(7571),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCref] = ACTIONS(7571),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcpageref] = ACTIONS(7571),
    [anon_sym_BSLASHCpageref] = ACTIONS(7571),
    [anon_sym_BSLASHnamecref] = ACTIONS(7571),
    [anon_sym_BSLASHnameCref] = ACTIONS(7571),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7571),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7571),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7571),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7571),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7571),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7571),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7571),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7571),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7571),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7571),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7571),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHdef] = ACTIONS(7571),
    [anon_sym_BSLASHgdef] = ACTIONS(7571),
    [anon_sym_BSLASHedef] = ACTIONS(7571),
    [anon_sym_BSLASHxdef] = ACTIONS(7571),
    [anon_sym_BSLASHlet] = ACTIONS(7571),
    [anon_sym_BSLASHglet] = ACTIONS(7571),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7571),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7571),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7571),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7571),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7571),
    [anon_sym_BSLASHgls] = ACTIONS(7571),
    [anon_sym_BSLASHGls] = ACTIONS(7571),
    [anon_sym_BSLASHGLS] = ACTIONS(7571),
    [anon_sym_BSLASHglspl] = ACTIONS(7571),
    [anon_sym_BSLASHGlspl] = ACTIONS(7571),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7571),
    [anon_sym_BSLASHglslink] = ACTIONS(7571),
    [anon_sym_BSLASHglstext] = ACTIONS(7571),
    [anon_sym_BSLASHGlstext] = ACTIONS(7571),
    [anon_sym_BSLASHGLStext] = ACTIONS(7571),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7571),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7571),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7571),
    [anon_sym_BSLASHglsplural] = ACTIONS(7571),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7571),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7571),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHglsname] = ACTIONS(7571),
    [anon_sym_BSLASHGlsname] = ACTIONS(7571),
    [anon_sym_BSLASHGLSname] = ACTIONS(7571),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7571),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7571),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7571),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7571),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7571),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7571),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7571),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7571),
    [anon_sym_BSLASHacrshort] = ACTIONS(7571),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7571),
    [anon_sym_BSLASHACRshort] = ACTIONS(7571),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHacrlong] = ACTIONS(7571),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7571),
    [anon_sym_BSLASHACRlong] = ACTIONS(7571),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHacrfull] = ACTIONS(7571),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7571),
    [anon_sym_BSLASHACRfull] = ACTIONS(7571),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHacs] = ACTIONS(7571),
    [anon_sym_BSLASHAcs] = ACTIONS(7571),
    [anon_sym_BSLASHacsp] = ACTIONS(7571),
    [anon_sym_BSLASHAcsp] = ACTIONS(7571),
    [anon_sym_BSLASHacl] = ACTIONS(7571),
    [anon_sym_BSLASHAcl] = ACTIONS(7571),
    [anon_sym_BSLASHaclp] = ACTIONS(7571),
    [anon_sym_BSLASHAclp] = ACTIONS(7571),
    [anon_sym_BSLASHacf] = ACTIONS(7571),
    [anon_sym_BSLASHAcf] = ACTIONS(7571),
    [anon_sym_BSLASHacfp] = ACTIONS(7571),
    [anon_sym_BSLASHAcfp] = ACTIONS(7571),
    [anon_sym_BSLASHac] = ACTIONS(7571),
    [anon_sym_BSLASHAc] = ACTIONS(7571),
    [anon_sym_BSLASHacp] = ACTIONS(7571),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7571),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7571),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7571),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7571),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7571),
    [anon_sym_BSLASHcolor] = ACTIONS(7571),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7571),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7571),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7571),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7571),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7571),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7571),
    [anon_sym_BSLASHurl] = ACTIONS(7571),
    [anon_sym_BSLASHhref] = ACTIONS(7571),
  },
  [1493] = {
    [sym_command_name] = ACTIONS(7575),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7575),
    [anon_sym_LBRACK] = ACTIONS(7577),
    [anon_sym_RBRACK] = ACTIONS(7577),
    [anon_sym_COMMA] = ACTIONS(7577),
    [anon_sym_EQ] = ACTIONS(7577),
    [anon_sym_LPAREN] = ACTIONS(7577),
    [anon_sym_RPAREN] = ACTIONS(7577),
    [anon_sym_BSLASHpart] = ACTIONS(7575),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHaddpart] = ACTIONS(7575),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHchapter] = ACTIONS(7575),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHaddchap] = ACTIONS(7575),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHsection] = ACTIONS(7575),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHaddsec] = ACTIONS(7575),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHsubsection] = ACTIONS(7575),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7575),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHparagraph] = ACTIONS(7575),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7575),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHitem] = ACTIONS(7575),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7577),
    [anon_sym_LBRACE] = ACTIONS(7577),
    [sym_word] = ACTIONS(7575),
    [sym_placeholder] = ACTIONS(7577),
    [sym_delimiter] = ACTIONS(7577),
    [anon_sym_PLUS] = ACTIONS(7577),
    [anon_sym_DASH] = ACTIONS(7577),
    [anon_sym_STAR] = ACTIONS(7577),
    [anon_sym_SLASH] = ACTIONS(7577),
    [anon_sym_LT] = ACTIONS(7575),
    [anon_sym_GT] = ACTIONS(7575),
    [anon_sym_BANG] = ACTIONS(7575),
    [anon_sym_PIPE] = ACTIONS(7575),
    [anon_sym_COLON] = ACTIONS(7575),
    [anon_sym_SQUOTE] = ACTIONS(7575),
    [anon_sym__] = ACTIONS(7577),
    [anon_sym_CARET] = ACTIONS(7577),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7577),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7577),
    [anon_sym_DOLLAR] = ACTIONS(7575),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7577),
    [anon_sym_BSLASHleft] = ACTIONS(7575),
    [anon_sym_BSLASHbigl] = ACTIONS(7575),
    [anon_sym_BSLASHBigl] = ACTIONS(7575),
    [anon_sym_BSLASHbiggl] = ACTIONS(7575),
    [anon_sym_BSLASHBiggl] = ACTIONS(7575),
    [anon_sym_BSLASHtext] = ACTIONS(7575),
    [anon_sym_BSLASHintertext] = ACTIONS(7575),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7575),
    [anon_sym_BSLASHbegin] = ACTIONS(7575),
    [anon_sym_BSLASHend] = ACTIONS(7575),
    [anon_sym_BSLASHtitle] = ACTIONS(7575),
    [anon_sym_BSLASHauthor] = ACTIONS(7575),
    [anon_sym_BSLASHusepackage] = ACTIONS(7575),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7575),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7575),
    [anon_sym_BSLASHinclude] = ACTIONS(7575),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7575),
    [anon_sym_BSLASHinput] = ACTIONS(7575),
    [anon_sym_BSLASHsubfile] = ACTIONS(7575),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7575),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7575),
    [anon_sym_BSLASHbibliography] = ACTIONS(7575),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7575),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7575),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7575),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7575),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7575),
    [anon_sym_BSLASHimport] = ACTIONS(7575),
    [anon_sym_BSLASHsubimport] = ACTIONS(7575),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7575),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7575),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7575),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7575),
    [anon_sym_BSLASHcaption] = ACTIONS(7575),
    [anon_sym_BSLASHcite] = ACTIONS(7575),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCite] = ACTIONS(7575),
    [anon_sym_BSLASHnocite] = ACTIONS(7575),
    [anon_sym_BSLASHcitet] = ACTIONS(7575),
    [anon_sym_BSLASHcitep] = ACTIONS(7575),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteA] = ACTIONS(7575),
    [anon_sym_BSLASHciteR] = ACTIONS(7575),
    [anon_sym_BSLASHciteS] = ACTIONS(7575),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7575),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7575),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7575),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7575),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteyear] = ACTIONS(7575),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitedate] = ACTIONS(7575),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteurl] = ACTIONS(7575),
    [anon_sym_BSLASHfullcite] = ACTIONS(7575),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7575),
    [anon_sym_BSLASHcitealt] = ACTIONS(7575),
    [anon_sym_BSLASHcitealp] = ACTIONS(7575),
    [anon_sym_BSLASHcitetext] = ACTIONS(7575),
    [anon_sym_BSLASHparencite] = ACTIONS(7575),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHParencite] = ACTIONS(7575),
    [anon_sym_BSLASHfootcite] = ACTIONS(7575),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7575),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7575),
    [anon_sym_BSLASHtextcite] = ACTIONS(7575),
    [anon_sym_BSLASHTextcite] = ACTIONS(7575),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7575),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7575),
    [anon_sym_BSLASHsupercite] = ACTIONS(7575),
    [anon_sym_BSLASHautocite] = ACTIONS(7575),
    [anon_sym_BSLASHAutocite] = ACTIONS(7575),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHVolcite] = ACTIONS(7575),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHavolcite] = ACTIONS(7575),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHNotecite] = ACTIONS(7575),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHlabel] = ACTIONS(7575),
    [anon_sym_BSLASHref] = ACTIONS(7575),
    [anon_sym_BSLASHeqref] = ACTIONS(7575),
    [anon_sym_BSLASHvref] = ACTIONS(7575),
    [anon_sym_BSLASHVref] = ACTIONS(7575),
    [anon_sym_BSLASHautoref] = ACTIONS(7575),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHpageref] = ACTIONS(7575),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHautopageref] = ACTIONS(7575),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcref] = ACTIONS(7575),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCref] = ACTIONS(7575),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcpageref] = ACTIONS(7575),
    [anon_sym_BSLASHCpageref] = ACTIONS(7575),
    [anon_sym_BSLASHnamecref] = ACTIONS(7575),
    [anon_sym_BSLASHnameCref] = ACTIONS(7575),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7575),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7575),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7575),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7575),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7575),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7575),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7575),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7575),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7575),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7575),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7575),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHdef] = ACTIONS(7575),
    [anon_sym_BSLASHgdef] = ACTIONS(7575),
    [anon_sym_BSLASHedef] = ACTIONS(7575),
    [anon_sym_BSLASHxdef] = ACTIONS(7575),
    [anon_sym_BSLASHlet] = ACTIONS(7575),
    [anon_sym_BSLASHglet] = ACTIONS(7575),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7575),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7575),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7575),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7575),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7575),
    [anon_sym_BSLASHgls] = ACTIONS(7575),
    [anon_sym_BSLASHGls] = ACTIONS(7575),
    [anon_sym_BSLASHGLS] = ACTIONS(7575),
    [anon_sym_BSLASHglspl] = ACTIONS(7575),
    [anon_sym_BSLASHGlspl] = ACTIONS(7575),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7575),
    [anon_sym_BSLASHglslink] = ACTIONS(7575),
    [anon_sym_BSLASHglstext] = ACTIONS(7575),
    [anon_sym_BSLASHGlstext] = ACTIONS(7575),
    [anon_sym_BSLASHGLStext] = ACTIONS(7575),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7575),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7575),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7575),
    [anon_sym_BSLASHglsplural] = ACTIONS(7575),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7575),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7575),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHglsname] = ACTIONS(7575),
    [anon_sym_BSLASHGlsname] = ACTIONS(7575),
    [anon_sym_BSLASHGLSname] = ACTIONS(7575),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7575),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7575),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7575),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7575),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7575),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7575),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7575),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7575),
    [anon_sym_BSLASHacrshort] = ACTIONS(7575),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7575),
    [anon_sym_BSLASHACRshort] = ACTIONS(7575),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHacrlong] = ACTIONS(7575),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7575),
    [anon_sym_BSLASHACRlong] = ACTIONS(7575),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHacrfull] = ACTIONS(7575),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7575),
    [anon_sym_BSLASHACRfull] = ACTIONS(7575),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHacs] = ACTIONS(7575),
    [anon_sym_BSLASHAcs] = ACTIONS(7575),
    [anon_sym_BSLASHacsp] = ACTIONS(7575),
    [anon_sym_BSLASHAcsp] = ACTIONS(7575),
    [anon_sym_BSLASHacl] = ACTIONS(7575),
    [anon_sym_BSLASHAcl] = ACTIONS(7575),
    [anon_sym_BSLASHaclp] = ACTIONS(7575),
    [anon_sym_BSLASHAclp] = ACTIONS(7575),
    [anon_sym_BSLASHacf] = ACTIONS(7575),
    [anon_sym_BSLASHAcf] = ACTIONS(7575),
    [anon_sym_BSLASHacfp] = ACTIONS(7575),
    [anon_sym_BSLASHAcfp] = ACTIONS(7575),
    [anon_sym_BSLASHac] = ACTIONS(7575),
    [anon_sym_BSLASHAc] = ACTIONS(7575),
    [anon_sym_BSLASHacp] = ACTIONS(7575),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7575),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7575),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7575),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7575),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7575),
    [anon_sym_BSLASHcolor] = ACTIONS(7575),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7575),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7575),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7575),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7575),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7575),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7575),
    [anon_sym_BSLASHurl] = ACTIONS(7575),
    [anon_sym_BSLASHhref] = ACTIONS(7575),
  },
  [1494] = {
    [sym_command_name] = ACTIONS(7223),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7223),
    [anon_sym_LBRACK] = ACTIONS(7225),
    [anon_sym_RBRACK] = ACTIONS(7225),
    [anon_sym_COMMA] = ACTIONS(7225),
    [anon_sym_EQ] = ACTIONS(7225),
    [anon_sym_LPAREN] = ACTIONS(7225),
    [anon_sym_RPAREN] = ACTIONS(7225),
    [anon_sym_BSLASHpart] = ACTIONS(7223),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHaddpart] = ACTIONS(7223),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHchapter] = ACTIONS(7223),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHaddchap] = ACTIONS(7223),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHsection] = ACTIONS(7223),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHaddsec] = ACTIONS(7223),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHsubsection] = ACTIONS(7223),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7223),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHparagraph] = ACTIONS(7223),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7223),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHitem] = ACTIONS(7223),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7225),
    [anon_sym_LBRACE] = ACTIONS(7225),
    [sym_word] = ACTIONS(7223),
    [sym_placeholder] = ACTIONS(7225),
    [sym_delimiter] = ACTIONS(7225),
    [anon_sym_PLUS] = ACTIONS(7225),
    [anon_sym_DASH] = ACTIONS(7225),
    [anon_sym_STAR] = ACTIONS(7225),
    [anon_sym_SLASH] = ACTIONS(7225),
    [anon_sym_LT] = ACTIONS(7223),
    [anon_sym_GT] = ACTIONS(7223),
    [anon_sym_BANG] = ACTIONS(7223),
    [anon_sym_PIPE] = ACTIONS(7223),
    [anon_sym_COLON] = ACTIONS(7223),
    [anon_sym_SQUOTE] = ACTIONS(7223),
    [anon_sym__] = ACTIONS(7225),
    [anon_sym_CARET] = ACTIONS(7225),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7225),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7225),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7225),
    [anon_sym_DOLLAR] = ACTIONS(7223),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7225),
    [anon_sym_BSLASHleft] = ACTIONS(7223),
    [anon_sym_BSLASHbigl] = ACTIONS(7223),
    [anon_sym_BSLASHBigl] = ACTIONS(7223),
    [anon_sym_BSLASHbiggl] = ACTIONS(7223),
    [anon_sym_BSLASHBiggl] = ACTIONS(7223),
    [anon_sym_BSLASHtext] = ACTIONS(7223),
    [anon_sym_BSLASHintertext] = ACTIONS(7223),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7223),
    [anon_sym_BSLASHbegin] = ACTIONS(7223),
    [anon_sym_BSLASHtitle] = ACTIONS(7223),
    [anon_sym_BSLASHauthor] = ACTIONS(7223),
    [anon_sym_BSLASHusepackage] = ACTIONS(7223),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7223),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7223),
    [anon_sym_BSLASHinclude] = ACTIONS(7223),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7223),
    [anon_sym_BSLASHinput] = ACTIONS(7223),
    [anon_sym_BSLASHsubfile] = ACTIONS(7223),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7223),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7223),
    [anon_sym_BSLASHbibliography] = ACTIONS(7223),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7223),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7223),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7223),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7223),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7223),
    [anon_sym_BSLASHimport] = ACTIONS(7223),
    [anon_sym_BSLASHsubimport] = ACTIONS(7223),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7223),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7223),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7223),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7223),
    [anon_sym_BSLASHcaption] = ACTIONS(7223),
    [anon_sym_BSLASHcite] = ACTIONS(7223),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCite] = ACTIONS(7223),
    [anon_sym_BSLASHnocite] = ACTIONS(7223),
    [anon_sym_BSLASHcitet] = ACTIONS(7223),
    [anon_sym_BSLASHcitep] = ACTIONS(7223),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteA] = ACTIONS(7223),
    [anon_sym_BSLASHciteR] = ACTIONS(7223),
    [anon_sym_BSLASHciteS] = ACTIONS(7223),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7223),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7223),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7223),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7223),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteyear] = ACTIONS(7223),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitedate] = ACTIONS(7223),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteurl] = ACTIONS(7223),
    [anon_sym_BSLASHfullcite] = ACTIONS(7223),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7223),
    [anon_sym_BSLASHcitealt] = ACTIONS(7223),
    [anon_sym_BSLASHcitealp] = ACTIONS(7223),
    [anon_sym_BSLASHcitetext] = ACTIONS(7223),
    [anon_sym_BSLASHparencite] = ACTIONS(7223),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHParencite] = ACTIONS(7223),
    [anon_sym_BSLASHfootcite] = ACTIONS(7223),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7223),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7223),
    [anon_sym_BSLASHtextcite] = ACTIONS(7223),
    [anon_sym_BSLASHTextcite] = ACTIONS(7223),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7223),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7223),
    [anon_sym_BSLASHsupercite] = ACTIONS(7223),
    [anon_sym_BSLASHautocite] = ACTIONS(7223),
    [anon_sym_BSLASHAutocite] = ACTIONS(7223),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHVolcite] = ACTIONS(7223),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHavolcite] = ACTIONS(7223),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHNotecite] = ACTIONS(7223),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHlabel] = ACTIONS(7223),
    [anon_sym_BSLASHref] = ACTIONS(7223),
    [anon_sym_BSLASHeqref] = ACTIONS(7223),
    [anon_sym_BSLASHvref] = ACTIONS(7223),
    [anon_sym_BSLASHVref] = ACTIONS(7223),
    [anon_sym_BSLASHautoref] = ACTIONS(7223),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHpageref] = ACTIONS(7223),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHautopageref] = ACTIONS(7223),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcref] = ACTIONS(7223),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCref] = ACTIONS(7223),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcpageref] = ACTIONS(7223),
    [anon_sym_BSLASHCpageref] = ACTIONS(7223),
    [anon_sym_BSLASHnamecref] = ACTIONS(7223),
    [anon_sym_BSLASHnameCref] = ACTIONS(7223),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7223),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7223),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7223),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7223),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7223),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7223),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7223),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7223),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7223),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7223),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7223),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHdef] = ACTIONS(7223),
    [anon_sym_BSLASHgdef] = ACTIONS(7223),
    [anon_sym_BSLASHedef] = ACTIONS(7223),
    [anon_sym_BSLASHxdef] = ACTIONS(7223),
    [anon_sym_BSLASHlet] = ACTIONS(7223),
    [anon_sym_BSLASHglet] = ACTIONS(7223),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7223),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7223),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7223),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7223),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7223),
    [anon_sym_BSLASHgls] = ACTIONS(7223),
    [anon_sym_BSLASHGls] = ACTIONS(7223),
    [anon_sym_BSLASHGLS] = ACTIONS(7223),
    [anon_sym_BSLASHglspl] = ACTIONS(7223),
    [anon_sym_BSLASHGlspl] = ACTIONS(7223),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7223),
    [anon_sym_BSLASHglslink] = ACTIONS(7223),
    [anon_sym_BSLASHglstext] = ACTIONS(7223),
    [anon_sym_BSLASHGlstext] = ACTIONS(7223),
    [anon_sym_BSLASHGLStext] = ACTIONS(7223),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7223),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7223),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7223),
    [anon_sym_BSLASHglsplural] = ACTIONS(7223),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7223),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7223),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHglsname] = ACTIONS(7223),
    [anon_sym_BSLASHGlsname] = ACTIONS(7223),
    [anon_sym_BSLASHGLSname] = ACTIONS(7223),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7223),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7223),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7223),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7223),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7223),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7223),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7223),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7223),
    [anon_sym_BSLASHacrshort] = ACTIONS(7223),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7223),
    [anon_sym_BSLASHACRshort] = ACTIONS(7223),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHacrlong] = ACTIONS(7223),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7223),
    [anon_sym_BSLASHACRlong] = ACTIONS(7223),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHacrfull] = ACTIONS(7223),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7223),
    [anon_sym_BSLASHACRfull] = ACTIONS(7223),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHacs] = ACTIONS(7223),
    [anon_sym_BSLASHAcs] = ACTIONS(7223),
    [anon_sym_BSLASHacsp] = ACTIONS(7223),
    [anon_sym_BSLASHAcsp] = ACTIONS(7223),
    [anon_sym_BSLASHacl] = ACTIONS(7223),
    [anon_sym_BSLASHAcl] = ACTIONS(7223),
    [anon_sym_BSLASHaclp] = ACTIONS(7223),
    [anon_sym_BSLASHAclp] = ACTIONS(7223),
    [anon_sym_BSLASHacf] = ACTIONS(7223),
    [anon_sym_BSLASHAcf] = ACTIONS(7223),
    [anon_sym_BSLASHacfp] = ACTIONS(7223),
    [anon_sym_BSLASHAcfp] = ACTIONS(7223),
    [anon_sym_BSLASHac] = ACTIONS(7223),
    [anon_sym_BSLASHAc] = ACTIONS(7223),
    [anon_sym_BSLASHacp] = ACTIONS(7223),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7223),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7223),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7223),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7223),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7223),
    [anon_sym_BSLASHcolor] = ACTIONS(7223),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7223),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7223),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7223),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7223),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7223),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7223),
    [anon_sym_BSLASHurl] = ACTIONS(7223),
    [anon_sym_BSLASHhref] = ACTIONS(7223),
  },
  [1495] = {
    [sym_command_name] = ACTIONS(6999),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(7001),
    [anon_sym_RBRACK] = ACTIONS(7001),
    [anon_sym_COMMA] = ACTIONS(7001),
    [anon_sym_EQ] = ACTIONS(7001),
    [anon_sym_LPAREN] = ACTIONS(7001),
    [anon_sym_RPAREN] = ACTIONS(7001),
    [anon_sym_BSLASHpart] = ACTIONS(6999),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHaddpart] = ACTIONS(6999),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHchapter] = ACTIONS(6999),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHaddchap] = ACTIONS(6999),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHsection] = ACTIONS(6999),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHaddsec] = ACTIONS(6999),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHsubsection] = ACTIONS(6999),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(6999),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHparagraph] = ACTIONS(6999),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(6999),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHitem] = ACTIONS(6999),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7001),
    [anon_sym_LBRACE] = ACTIONS(7001),
    [sym_word] = ACTIONS(6999),
    [sym_placeholder] = ACTIONS(7001),
    [sym_delimiter] = ACTIONS(7001),
    [anon_sym_PLUS] = ACTIONS(7001),
    [anon_sym_DASH] = ACTIONS(7001),
    [anon_sym_STAR] = ACTIONS(7001),
    [anon_sym_SLASH] = ACTIONS(7001),
    [anon_sym_LT] = ACTIONS(6999),
    [anon_sym_GT] = ACTIONS(6999),
    [anon_sym_BANG] = ACTIONS(6999),
    [anon_sym_PIPE] = ACTIONS(6999),
    [anon_sym_COLON] = ACTIONS(6999),
    [anon_sym_SQUOTE] = ACTIONS(6999),
    [anon_sym__] = ACTIONS(7001),
    [anon_sym_CARET] = ACTIONS(7001),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7001),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7001),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7001),
    [anon_sym_DOLLAR] = ACTIONS(6999),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7001),
    [anon_sym_BSLASHleft] = ACTIONS(6999),
    [anon_sym_BSLASHbigl] = ACTIONS(6999),
    [anon_sym_BSLASHBigl] = ACTIONS(6999),
    [anon_sym_BSLASHbiggl] = ACTIONS(6999),
    [anon_sym_BSLASHBiggl] = ACTIONS(6999),
    [anon_sym_BSLASHtext] = ACTIONS(6999),
    [anon_sym_BSLASHintertext] = ACTIONS(6999),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6999),
    [anon_sym_BSLASHbegin] = ACTIONS(6999),
    [anon_sym_BSLASHtitle] = ACTIONS(6999),
    [anon_sym_BSLASHauthor] = ACTIONS(6999),
    [anon_sym_BSLASHusepackage] = ACTIONS(6999),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6999),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6999),
    [anon_sym_BSLASHinclude] = ACTIONS(6999),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6999),
    [anon_sym_BSLASHinput] = ACTIONS(6999),
    [anon_sym_BSLASHsubfile] = ACTIONS(6999),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6999),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6999),
    [anon_sym_BSLASHbibliography] = ACTIONS(6999),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6999),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6999),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6999),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6999),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6999),
    [anon_sym_BSLASHimport] = ACTIONS(6999),
    [anon_sym_BSLASHsubimport] = ACTIONS(6999),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6999),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6999),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6999),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6999),
    [anon_sym_BSLASHcaption] = ACTIONS(6999),
    [anon_sym_BSLASHcite] = ACTIONS(6999),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHCite] = ACTIONS(6999),
    [anon_sym_BSLASHnocite] = ACTIONS(6999),
    [anon_sym_BSLASHcitet] = ACTIONS(6999),
    [anon_sym_BSLASHcitep] = ACTIONS(6999),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHciteA] = ACTIONS(6999),
    [anon_sym_BSLASHciteR] = ACTIONS(6999),
    [anon_sym_BSLASHciteS] = ACTIONS(6999),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6999),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6999),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6999),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6999),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHciteyear] = ACTIONS(6999),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcitedate] = ACTIONS(6999),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHciteurl] = ACTIONS(6999),
    [anon_sym_BSLASHfullcite] = ACTIONS(6999),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6999),
    [anon_sym_BSLASHcitealt] = ACTIONS(6999),
    [anon_sym_BSLASHcitealp] = ACTIONS(6999),
    [anon_sym_BSLASHcitetext] = ACTIONS(6999),
    [anon_sym_BSLASHparencite] = ACTIONS(6999),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHParencite] = ACTIONS(6999),
    [anon_sym_BSLASHfootcite] = ACTIONS(6999),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6999),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6999),
    [anon_sym_BSLASHtextcite] = ACTIONS(6999),
    [anon_sym_BSLASHTextcite] = ACTIONS(6999),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6999),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6999),
    [anon_sym_BSLASHsupercite] = ACTIONS(6999),
    [anon_sym_BSLASHautocite] = ACTIONS(6999),
    [anon_sym_BSLASHAutocite] = ACTIONS(6999),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHVolcite] = ACTIONS(6999),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHavolcite] = ACTIONS(6999),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6999),
    [anon_sym_BSLASHnotecite] = ACTIONS(6999),
    [anon_sym_BSLASHNotecite] = ACTIONS(6999),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6999),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6999),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6999),
    [anon_sym_BSLASHlabel] = ACTIONS(6999),
    [anon_sym_BSLASHref] = ACTIONS(6999),
    [anon_sym_BSLASHeqref] = ACTIONS(6999),
    [anon_sym_BSLASHvref] = ACTIONS(6999),
    [anon_sym_BSLASHVref] = ACTIONS(6999),
    [anon_sym_BSLASHautoref] = ACTIONS(6999),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHpageref] = ACTIONS(6999),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHautopageref] = ACTIONS(6999),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcref] = ACTIONS(6999),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHCref] = ACTIONS(6999),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcpageref] = ACTIONS(6999),
    [anon_sym_BSLASHCpageref] = ACTIONS(6999),
    [anon_sym_BSLASHnamecref] = ACTIONS(6999),
    [anon_sym_BSLASHnameCref] = ACTIONS(6999),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6999),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6999),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6999),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6999),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6999),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6999),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6999),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6999),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6999),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6999),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6999),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6999),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6999),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6999),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6999),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6999),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6999),
    [anon_sym_BSLASHdef] = ACTIONS(6999),
    [anon_sym_BSLASHgdef] = ACTIONS(6999),
    [anon_sym_BSLASHedef] = ACTIONS(6999),
    [anon_sym_BSLASHxdef] = ACTIONS(6999),
    [anon_sym_BSLASHlet] = ACTIONS(6999),
    [anon_sym_BSLASHglet] = ACTIONS(6999),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6999),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6999),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6999),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6999),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6999),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6999),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6999),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6999),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6999),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6999),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6999),
    [anon_sym_BSLASHgls] = ACTIONS(6999),
    [anon_sym_BSLASHGls] = ACTIONS(6999),
    [anon_sym_BSLASHGLS] = ACTIONS(6999),
    [anon_sym_BSLASHglspl] = ACTIONS(6999),
    [anon_sym_BSLASHGlspl] = ACTIONS(6999),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6999),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6999),
    [anon_sym_BSLASHglslink] = ACTIONS(6999),
    [anon_sym_BSLASHglstext] = ACTIONS(6999),
    [anon_sym_BSLASHGlstext] = ACTIONS(6999),
    [anon_sym_BSLASHGLStext] = ACTIONS(6999),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6999),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6999),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6999),
    [anon_sym_BSLASHglsplural] = ACTIONS(6999),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6999),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6999),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6999),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6999),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6999),
    [anon_sym_BSLASHglsname] = ACTIONS(6999),
    [anon_sym_BSLASHGlsname] = ACTIONS(6999),
    [anon_sym_BSLASHGLSname] = ACTIONS(6999),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6999),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6999),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6999),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6999),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6999),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6999),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6999),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6999),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6999),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6999),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6999),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6999),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6999),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6999),
    [anon_sym_BSLASHacrshort] = ACTIONS(6999),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6999),
    [anon_sym_BSLASHACRshort] = ACTIONS(6999),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6999),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6999),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6999),
    [anon_sym_BSLASHacrlong] = ACTIONS(6999),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6999),
    [anon_sym_BSLASHACRlong] = ACTIONS(6999),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6999),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6999),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6999),
    [anon_sym_BSLASHacrfull] = ACTIONS(6999),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6999),
    [anon_sym_BSLASHACRfull] = ACTIONS(6999),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6999),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6999),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6999),
    [anon_sym_BSLASHacs] = ACTIONS(6999),
    [anon_sym_BSLASHAcs] = ACTIONS(6999),
    [anon_sym_BSLASHacsp] = ACTIONS(6999),
    [anon_sym_BSLASHAcsp] = ACTIONS(6999),
    [anon_sym_BSLASHacl] = ACTIONS(6999),
    [anon_sym_BSLASHAcl] = ACTIONS(6999),
    [anon_sym_BSLASHaclp] = ACTIONS(6999),
    [anon_sym_BSLASHAclp] = ACTIONS(6999),
    [anon_sym_BSLASHacf] = ACTIONS(6999),
    [anon_sym_BSLASHAcf] = ACTIONS(6999),
    [anon_sym_BSLASHacfp] = ACTIONS(6999),
    [anon_sym_BSLASHAcfp] = ACTIONS(6999),
    [anon_sym_BSLASHac] = ACTIONS(6999),
    [anon_sym_BSLASHAc] = ACTIONS(6999),
    [anon_sym_BSLASHacp] = ACTIONS(6999),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6999),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6999),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6999),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6999),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6999),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6999),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6999),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6999),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6999),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6999),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6999),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6999),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7001),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6999),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6999),
    [anon_sym_BSLASHcolor] = ACTIONS(6999),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6999),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6999),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6999),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6999),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6999),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6999),
    [anon_sym_BSLASHurl] = ACTIONS(6999),
    [anon_sym_BSLASHhref] = ACTIONS(6999),
  },
  [1496] = {
    [sym_command_name] = ACTIONS(7003),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7003),
    [anon_sym_LBRACK] = ACTIONS(7005),
    [anon_sym_RBRACK] = ACTIONS(7005),
    [anon_sym_COMMA] = ACTIONS(7005),
    [anon_sym_EQ] = ACTIONS(7005),
    [anon_sym_LPAREN] = ACTIONS(7005),
    [anon_sym_RPAREN] = ACTIONS(7005),
    [anon_sym_BSLASHpart] = ACTIONS(7003),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHaddpart] = ACTIONS(7003),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHchapter] = ACTIONS(7003),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHaddchap] = ACTIONS(7003),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHsection] = ACTIONS(7003),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHaddsec] = ACTIONS(7003),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHsubsection] = ACTIONS(7003),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7003),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHparagraph] = ACTIONS(7003),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7003),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHitem] = ACTIONS(7003),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7005),
    [anon_sym_LBRACE] = ACTIONS(7005),
    [sym_word] = ACTIONS(7003),
    [sym_placeholder] = ACTIONS(7005),
    [sym_delimiter] = ACTIONS(7005),
    [anon_sym_PLUS] = ACTIONS(7005),
    [anon_sym_DASH] = ACTIONS(7005),
    [anon_sym_STAR] = ACTIONS(7005),
    [anon_sym_SLASH] = ACTIONS(7005),
    [anon_sym_LT] = ACTIONS(7003),
    [anon_sym_GT] = ACTIONS(7003),
    [anon_sym_BANG] = ACTIONS(7003),
    [anon_sym_PIPE] = ACTIONS(7003),
    [anon_sym_COLON] = ACTIONS(7003),
    [anon_sym_SQUOTE] = ACTIONS(7003),
    [anon_sym__] = ACTIONS(7005),
    [anon_sym_CARET] = ACTIONS(7005),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7005),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7005),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7005),
    [anon_sym_DOLLAR] = ACTIONS(7003),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7005),
    [anon_sym_BSLASHleft] = ACTIONS(7003),
    [anon_sym_BSLASHbigl] = ACTIONS(7003),
    [anon_sym_BSLASHBigl] = ACTIONS(7003),
    [anon_sym_BSLASHbiggl] = ACTIONS(7003),
    [anon_sym_BSLASHBiggl] = ACTIONS(7003),
    [anon_sym_BSLASHtext] = ACTIONS(7003),
    [anon_sym_BSLASHintertext] = ACTIONS(7003),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7003),
    [anon_sym_BSLASHbegin] = ACTIONS(7003),
    [anon_sym_BSLASHtitle] = ACTIONS(7003),
    [anon_sym_BSLASHauthor] = ACTIONS(7003),
    [anon_sym_BSLASHusepackage] = ACTIONS(7003),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7003),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7003),
    [anon_sym_BSLASHinclude] = ACTIONS(7003),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7003),
    [anon_sym_BSLASHinput] = ACTIONS(7003),
    [anon_sym_BSLASHsubfile] = ACTIONS(7003),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7003),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7003),
    [anon_sym_BSLASHbibliography] = ACTIONS(7003),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7003),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7003),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7003),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7003),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7003),
    [anon_sym_BSLASHimport] = ACTIONS(7003),
    [anon_sym_BSLASHsubimport] = ACTIONS(7003),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7003),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7003),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7003),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7003),
    [anon_sym_BSLASHcaption] = ACTIONS(7003),
    [anon_sym_BSLASHcite] = ACTIONS(7003),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHCite] = ACTIONS(7003),
    [anon_sym_BSLASHnocite] = ACTIONS(7003),
    [anon_sym_BSLASHcitet] = ACTIONS(7003),
    [anon_sym_BSLASHcitep] = ACTIONS(7003),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHciteA] = ACTIONS(7003),
    [anon_sym_BSLASHciteR] = ACTIONS(7003),
    [anon_sym_BSLASHciteS] = ACTIONS(7003),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7003),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7003),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7003),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7003),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHciteyear] = ACTIONS(7003),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcitedate] = ACTIONS(7003),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHciteurl] = ACTIONS(7003),
    [anon_sym_BSLASHfullcite] = ACTIONS(7003),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7003),
    [anon_sym_BSLASHcitealt] = ACTIONS(7003),
    [anon_sym_BSLASHcitealp] = ACTIONS(7003),
    [anon_sym_BSLASHcitetext] = ACTIONS(7003),
    [anon_sym_BSLASHparencite] = ACTIONS(7003),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHParencite] = ACTIONS(7003),
    [anon_sym_BSLASHfootcite] = ACTIONS(7003),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7003),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7003),
    [anon_sym_BSLASHtextcite] = ACTIONS(7003),
    [anon_sym_BSLASHTextcite] = ACTIONS(7003),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7003),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7003),
    [anon_sym_BSLASHsupercite] = ACTIONS(7003),
    [anon_sym_BSLASHautocite] = ACTIONS(7003),
    [anon_sym_BSLASHAutocite] = ACTIONS(7003),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHVolcite] = ACTIONS(7003),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHavolcite] = ACTIONS(7003),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7003),
    [anon_sym_BSLASHnotecite] = ACTIONS(7003),
    [anon_sym_BSLASHNotecite] = ACTIONS(7003),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7003),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7003),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7003),
    [anon_sym_BSLASHlabel] = ACTIONS(7003),
    [anon_sym_BSLASHref] = ACTIONS(7003),
    [anon_sym_BSLASHeqref] = ACTIONS(7003),
    [anon_sym_BSLASHvref] = ACTIONS(7003),
    [anon_sym_BSLASHVref] = ACTIONS(7003),
    [anon_sym_BSLASHautoref] = ACTIONS(7003),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHpageref] = ACTIONS(7003),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHautopageref] = ACTIONS(7003),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcref] = ACTIONS(7003),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHCref] = ACTIONS(7003),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcpageref] = ACTIONS(7003),
    [anon_sym_BSLASHCpageref] = ACTIONS(7003),
    [anon_sym_BSLASHnamecref] = ACTIONS(7003),
    [anon_sym_BSLASHnameCref] = ACTIONS(7003),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7003),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7003),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7003),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7003),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7003),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7003),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7003),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7003),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7003),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7003),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7003),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7003),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7003),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7003),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7003),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7003),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7003),
    [anon_sym_BSLASHdef] = ACTIONS(7003),
    [anon_sym_BSLASHgdef] = ACTIONS(7003),
    [anon_sym_BSLASHedef] = ACTIONS(7003),
    [anon_sym_BSLASHxdef] = ACTIONS(7003),
    [anon_sym_BSLASHlet] = ACTIONS(7003),
    [anon_sym_BSLASHglet] = ACTIONS(7003),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7003),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7003),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7003),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7003),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7003),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7003),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7003),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7003),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7003),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7003),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7003),
    [anon_sym_BSLASHgls] = ACTIONS(7003),
    [anon_sym_BSLASHGls] = ACTIONS(7003),
    [anon_sym_BSLASHGLS] = ACTIONS(7003),
    [anon_sym_BSLASHglspl] = ACTIONS(7003),
    [anon_sym_BSLASHGlspl] = ACTIONS(7003),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7003),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7003),
    [anon_sym_BSLASHglslink] = ACTIONS(7003),
    [anon_sym_BSLASHglstext] = ACTIONS(7003),
    [anon_sym_BSLASHGlstext] = ACTIONS(7003),
    [anon_sym_BSLASHGLStext] = ACTIONS(7003),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7003),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7003),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7003),
    [anon_sym_BSLASHglsplural] = ACTIONS(7003),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7003),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7003),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7003),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7003),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7003),
    [anon_sym_BSLASHglsname] = ACTIONS(7003),
    [anon_sym_BSLASHGlsname] = ACTIONS(7003),
    [anon_sym_BSLASHGLSname] = ACTIONS(7003),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7003),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7003),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7003),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7003),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7003),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7003),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7003),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7003),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7003),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7003),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7003),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7003),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7003),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7003),
    [anon_sym_BSLASHacrshort] = ACTIONS(7003),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7003),
    [anon_sym_BSLASHACRshort] = ACTIONS(7003),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7003),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7003),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7003),
    [anon_sym_BSLASHacrlong] = ACTIONS(7003),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7003),
    [anon_sym_BSLASHACRlong] = ACTIONS(7003),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7003),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7003),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7003),
    [anon_sym_BSLASHacrfull] = ACTIONS(7003),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7003),
    [anon_sym_BSLASHACRfull] = ACTIONS(7003),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7003),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7003),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7003),
    [anon_sym_BSLASHacs] = ACTIONS(7003),
    [anon_sym_BSLASHAcs] = ACTIONS(7003),
    [anon_sym_BSLASHacsp] = ACTIONS(7003),
    [anon_sym_BSLASHAcsp] = ACTIONS(7003),
    [anon_sym_BSLASHacl] = ACTIONS(7003),
    [anon_sym_BSLASHAcl] = ACTIONS(7003),
    [anon_sym_BSLASHaclp] = ACTIONS(7003),
    [anon_sym_BSLASHAclp] = ACTIONS(7003),
    [anon_sym_BSLASHacf] = ACTIONS(7003),
    [anon_sym_BSLASHAcf] = ACTIONS(7003),
    [anon_sym_BSLASHacfp] = ACTIONS(7003),
    [anon_sym_BSLASHAcfp] = ACTIONS(7003),
    [anon_sym_BSLASHac] = ACTIONS(7003),
    [anon_sym_BSLASHAc] = ACTIONS(7003),
    [anon_sym_BSLASHacp] = ACTIONS(7003),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7003),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7003),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7003),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7003),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7003),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7003),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7003),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7003),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7003),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7003),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7003),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7003),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7005),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7003),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7003),
    [anon_sym_BSLASHcolor] = ACTIONS(7003),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7003),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7003),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7003),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7003),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7003),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7003),
    [anon_sym_BSLASHurl] = ACTIONS(7003),
    [anon_sym_BSLASHhref] = ACTIONS(7003),
  },
  [1497] = {
    [sym_command_name] = ACTIONS(7007),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7007),
    [anon_sym_LBRACK] = ACTIONS(7009),
    [anon_sym_RBRACK] = ACTIONS(7009),
    [anon_sym_COMMA] = ACTIONS(7009),
    [anon_sym_EQ] = ACTIONS(7009),
    [anon_sym_LPAREN] = ACTIONS(7009),
    [anon_sym_RPAREN] = ACTIONS(7009),
    [anon_sym_BSLASHpart] = ACTIONS(7007),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHaddpart] = ACTIONS(7007),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHchapter] = ACTIONS(7007),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHaddchap] = ACTIONS(7007),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHsection] = ACTIONS(7007),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHaddsec] = ACTIONS(7007),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHsubsection] = ACTIONS(7007),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7007),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHparagraph] = ACTIONS(7007),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7007),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHitem] = ACTIONS(7007),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7009),
    [anon_sym_LBRACE] = ACTIONS(7009),
    [sym_word] = ACTIONS(7007),
    [sym_placeholder] = ACTIONS(7009),
    [sym_delimiter] = ACTIONS(7009),
    [anon_sym_PLUS] = ACTIONS(7009),
    [anon_sym_DASH] = ACTIONS(7009),
    [anon_sym_STAR] = ACTIONS(7009),
    [anon_sym_SLASH] = ACTIONS(7009),
    [anon_sym_LT] = ACTIONS(7007),
    [anon_sym_GT] = ACTIONS(7007),
    [anon_sym_BANG] = ACTIONS(7007),
    [anon_sym_PIPE] = ACTIONS(7007),
    [anon_sym_COLON] = ACTIONS(7007),
    [anon_sym_SQUOTE] = ACTIONS(7007),
    [anon_sym__] = ACTIONS(7009),
    [anon_sym_CARET] = ACTIONS(7009),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7009),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7009),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7009),
    [anon_sym_DOLLAR] = ACTIONS(7007),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7009),
    [anon_sym_BSLASHleft] = ACTIONS(7007),
    [anon_sym_BSLASHbigl] = ACTIONS(7007),
    [anon_sym_BSLASHBigl] = ACTIONS(7007),
    [anon_sym_BSLASHbiggl] = ACTIONS(7007),
    [anon_sym_BSLASHBiggl] = ACTIONS(7007),
    [anon_sym_BSLASHtext] = ACTIONS(7007),
    [anon_sym_BSLASHintertext] = ACTIONS(7007),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7007),
    [anon_sym_BSLASHbegin] = ACTIONS(7007),
    [anon_sym_BSLASHtitle] = ACTIONS(7007),
    [anon_sym_BSLASHauthor] = ACTIONS(7007),
    [anon_sym_BSLASHusepackage] = ACTIONS(7007),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7007),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7007),
    [anon_sym_BSLASHinclude] = ACTIONS(7007),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7007),
    [anon_sym_BSLASHinput] = ACTIONS(7007),
    [anon_sym_BSLASHsubfile] = ACTIONS(7007),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7007),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7007),
    [anon_sym_BSLASHbibliography] = ACTIONS(7007),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7007),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7007),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7007),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7007),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7007),
    [anon_sym_BSLASHimport] = ACTIONS(7007),
    [anon_sym_BSLASHsubimport] = ACTIONS(7007),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7007),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7007),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7007),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7007),
    [anon_sym_BSLASHcaption] = ACTIONS(7007),
    [anon_sym_BSLASHcite] = ACTIONS(7007),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHCite] = ACTIONS(7007),
    [anon_sym_BSLASHnocite] = ACTIONS(7007),
    [anon_sym_BSLASHcitet] = ACTIONS(7007),
    [anon_sym_BSLASHcitep] = ACTIONS(7007),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHciteA] = ACTIONS(7007),
    [anon_sym_BSLASHciteR] = ACTIONS(7007),
    [anon_sym_BSLASHciteS] = ACTIONS(7007),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7007),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7007),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7007),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7007),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHciteyear] = ACTIONS(7007),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcitedate] = ACTIONS(7007),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHciteurl] = ACTIONS(7007),
    [anon_sym_BSLASHfullcite] = ACTIONS(7007),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7007),
    [anon_sym_BSLASHcitealt] = ACTIONS(7007),
    [anon_sym_BSLASHcitealp] = ACTIONS(7007),
    [anon_sym_BSLASHcitetext] = ACTIONS(7007),
    [anon_sym_BSLASHparencite] = ACTIONS(7007),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHParencite] = ACTIONS(7007),
    [anon_sym_BSLASHfootcite] = ACTIONS(7007),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7007),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7007),
    [anon_sym_BSLASHtextcite] = ACTIONS(7007),
    [anon_sym_BSLASHTextcite] = ACTIONS(7007),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7007),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7007),
    [anon_sym_BSLASHsupercite] = ACTIONS(7007),
    [anon_sym_BSLASHautocite] = ACTIONS(7007),
    [anon_sym_BSLASHAutocite] = ACTIONS(7007),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHVolcite] = ACTIONS(7007),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHavolcite] = ACTIONS(7007),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7007),
    [anon_sym_BSLASHnotecite] = ACTIONS(7007),
    [anon_sym_BSLASHNotecite] = ACTIONS(7007),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7007),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7007),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7007),
    [anon_sym_BSLASHlabel] = ACTIONS(7007),
    [anon_sym_BSLASHref] = ACTIONS(7007),
    [anon_sym_BSLASHeqref] = ACTIONS(7007),
    [anon_sym_BSLASHvref] = ACTIONS(7007),
    [anon_sym_BSLASHVref] = ACTIONS(7007),
    [anon_sym_BSLASHautoref] = ACTIONS(7007),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHpageref] = ACTIONS(7007),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHautopageref] = ACTIONS(7007),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcref] = ACTIONS(7007),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHCref] = ACTIONS(7007),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcpageref] = ACTIONS(7007),
    [anon_sym_BSLASHCpageref] = ACTIONS(7007),
    [anon_sym_BSLASHnamecref] = ACTIONS(7007),
    [anon_sym_BSLASHnameCref] = ACTIONS(7007),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7007),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7007),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7007),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7007),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7007),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7007),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7007),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7007),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7007),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7007),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7007),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7007),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7007),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7007),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7007),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7007),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7007),
    [anon_sym_BSLASHdef] = ACTIONS(7007),
    [anon_sym_BSLASHgdef] = ACTIONS(7007),
    [anon_sym_BSLASHedef] = ACTIONS(7007),
    [anon_sym_BSLASHxdef] = ACTIONS(7007),
    [anon_sym_BSLASHlet] = ACTIONS(7007),
    [anon_sym_BSLASHglet] = ACTIONS(7007),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7007),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7007),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7007),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7007),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7007),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7007),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7007),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7007),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7007),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7007),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7007),
    [anon_sym_BSLASHgls] = ACTIONS(7007),
    [anon_sym_BSLASHGls] = ACTIONS(7007),
    [anon_sym_BSLASHGLS] = ACTIONS(7007),
    [anon_sym_BSLASHglspl] = ACTIONS(7007),
    [anon_sym_BSLASHGlspl] = ACTIONS(7007),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7007),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7007),
    [anon_sym_BSLASHglslink] = ACTIONS(7007),
    [anon_sym_BSLASHglstext] = ACTIONS(7007),
    [anon_sym_BSLASHGlstext] = ACTIONS(7007),
    [anon_sym_BSLASHGLStext] = ACTIONS(7007),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7007),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7007),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7007),
    [anon_sym_BSLASHglsplural] = ACTIONS(7007),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7007),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7007),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7007),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7007),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7007),
    [anon_sym_BSLASHglsname] = ACTIONS(7007),
    [anon_sym_BSLASHGlsname] = ACTIONS(7007),
    [anon_sym_BSLASHGLSname] = ACTIONS(7007),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7007),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7007),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7007),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7007),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7007),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7007),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7007),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7007),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7007),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7007),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7007),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7007),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7007),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7007),
    [anon_sym_BSLASHacrshort] = ACTIONS(7007),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7007),
    [anon_sym_BSLASHACRshort] = ACTIONS(7007),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7007),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7007),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7007),
    [anon_sym_BSLASHacrlong] = ACTIONS(7007),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7007),
    [anon_sym_BSLASHACRlong] = ACTIONS(7007),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7007),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7007),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7007),
    [anon_sym_BSLASHacrfull] = ACTIONS(7007),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7007),
    [anon_sym_BSLASHACRfull] = ACTIONS(7007),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7007),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7007),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7007),
    [anon_sym_BSLASHacs] = ACTIONS(7007),
    [anon_sym_BSLASHAcs] = ACTIONS(7007),
    [anon_sym_BSLASHacsp] = ACTIONS(7007),
    [anon_sym_BSLASHAcsp] = ACTIONS(7007),
    [anon_sym_BSLASHacl] = ACTIONS(7007),
    [anon_sym_BSLASHAcl] = ACTIONS(7007),
    [anon_sym_BSLASHaclp] = ACTIONS(7007),
    [anon_sym_BSLASHAclp] = ACTIONS(7007),
    [anon_sym_BSLASHacf] = ACTIONS(7007),
    [anon_sym_BSLASHAcf] = ACTIONS(7007),
    [anon_sym_BSLASHacfp] = ACTIONS(7007),
    [anon_sym_BSLASHAcfp] = ACTIONS(7007),
    [anon_sym_BSLASHac] = ACTIONS(7007),
    [anon_sym_BSLASHAc] = ACTIONS(7007),
    [anon_sym_BSLASHacp] = ACTIONS(7007),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7007),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7007),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7007),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7007),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7007),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7007),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7007),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7007),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7007),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7007),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7007),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7007),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7009),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7007),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7007),
    [anon_sym_BSLASHcolor] = ACTIONS(7007),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7007),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7007),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7007),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7007),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7007),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7007),
    [anon_sym_BSLASHurl] = ACTIONS(7007),
    [anon_sym_BSLASHhref] = ACTIONS(7007),
  },
  [1498] = {
    [sym_command_name] = ACTIONS(7011),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7011),
    [anon_sym_LBRACK] = ACTIONS(7013),
    [anon_sym_RBRACK] = ACTIONS(7013),
    [anon_sym_COMMA] = ACTIONS(7013),
    [anon_sym_EQ] = ACTIONS(7013),
    [anon_sym_LPAREN] = ACTIONS(7013),
    [anon_sym_RPAREN] = ACTIONS(7013),
    [anon_sym_BSLASHpart] = ACTIONS(7011),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHaddpart] = ACTIONS(7011),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHchapter] = ACTIONS(7011),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHaddchap] = ACTIONS(7011),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHsection] = ACTIONS(7011),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHaddsec] = ACTIONS(7011),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHsubsection] = ACTIONS(7011),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7011),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHparagraph] = ACTIONS(7011),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7011),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHitem] = ACTIONS(7011),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7013),
    [anon_sym_LBRACE] = ACTIONS(7013),
    [sym_word] = ACTIONS(7011),
    [sym_placeholder] = ACTIONS(7013),
    [sym_delimiter] = ACTIONS(7013),
    [anon_sym_PLUS] = ACTIONS(7013),
    [anon_sym_DASH] = ACTIONS(7013),
    [anon_sym_STAR] = ACTIONS(7013),
    [anon_sym_SLASH] = ACTIONS(7013),
    [anon_sym_LT] = ACTIONS(7011),
    [anon_sym_GT] = ACTIONS(7011),
    [anon_sym_BANG] = ACTIONS(7011),
    [anon_sym_PIPE] = ACTIONS(7011),
    [anon_sym_COLON] = ACTIONS(7011),
    [anon_sym_SQUOTE] = ACTIONS(7011),
    [anon_sym__] = ACTIONS(7013),
    [anon_sym_CARET] = ACTIONS(7013),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7013),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7013),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7013),
    [anon_sym_DOLLAR] = ACTIONS(7011),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7013),
    [anon_sym_BSLASHleft] = ACTIONS(7011),
    [anon_sym_BSLASHbigl] = ACTIONS(7011),
    [anon_sym_BSLASHBigl] = ACTIONS(7011),
    [anon_sym_BSLASHbiggl] = ACTIONS(7011),
    [anon_sym_BSLASHBiggl] = ACTIONS(7011),
    [anon_sym_BSLASHtext] = ACTIONS(7011),
    [anon_sym_BSLASHintertext] = ACTIONS(7011),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7011),
    [anon_sym_BSLASHbegin] = ACTIONS(7011),
    [anon_sym_BSLASHtitle] = ACTIONS(7011),
    [anon_sym_BSLASHauthor] = ACTIONS(7011),
    [anon_sym_BSLASHusepackage] = ACTIONS(7011),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7011),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7011),
    [anon_sym_BSLASHinclude] = ACTIONS(7011),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7011),
    [anon_sym_BSLASHinput] = ACTIONS(7011),
    [anon_sym_BSLASHsubfile] = ACTIONS(7011),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7011),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7011),
    [anon_sym_BSLASHbibliography] = ACTIONS(7011),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7011),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7011),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7011),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7011),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7011),
    [anon_sym_BSLASHimport] = ACTIONS(7011),
    [anon_sym_BSLASHsubimport] = ACTIONS(7011),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7011),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7011),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7011),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7011),
    [anon_sym_BSLASHcaption] = ACTIONS(7011),
    [anon_sym_BSLASHcite] = ACTIONS(7011),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHCite] = ACTIONS(7011),
    [anon_sym_BSLASHnocite] = ACTIONS(7011),
    [anon_sym_BSLASHcitet] = ACTIONS(7011),
    [anon_sym_BSLASHcitep] = ACTIONS(7011),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHciteA] = ACTIONS(7011),
    [anon_sym_BSLASHciteR] = ACTIONS(7011),
    [anon_sym_BSLASHciteS] = ACTIONS(7011),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7011),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7011),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7011),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7011),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHciteyear] = ACTIONS(7011),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcitedate] = ACTIONS(7011),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHciteurl] = ACTIONS(7011),
    [anon_sym_BSLASHfullcite] = ACTIONS(7011),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7011),
    [anon_sym_BSLASHcitealt] = ACTIONS(7011),
    [anon_sym_BSLASHcitealp] = ACTIONS(7011),
    [anon_sym_BSLASHcitetext] = ACTIONS(7011),
    [anon_sym_BSLASHparencite] = ACTIONS(7011),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHParencite] = ACTIONS(7011),
    [anon_sym_BSLASHfootcite] = ACTIONS(7011),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7011),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7011),
    [anon_sym_BSLASHtextcite] = ACTIONS(7011),
    [anon_sym_BSLASHTextcite] = ACTIONS(7011),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7011),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7011),
    [anon_sym_BSLASHsupercite] = ACTIONS(7011),
    [anon_sym_BSLASHautocite] = ACTIONS(7011),
    [anon_sym_BSLASHAutocite] = ACTIONS(7011),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHVolcite] = ACTIONS(7011),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHavolcite] = ACTIONS(7011),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7011),
    [anon_sym_BSLASHnotecite] = ACTIONS(7011),
    [anon_sym_BSLASHNotecite] = ACTIONS(7011),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7011),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7011),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7011),
    [anon_sym_BSLASHlabel] = ACTIONS(7011),
    [anon_sym_BSLASHref] = ACTIONS(7011),
    [anon_sym_BSLASHeqref] = ACTIONS(7011),
    [anon_sym_BSLASHvref] = ACTIONS(7011),
    [anon_sym_BSLASHVref] = ACTIONS(7011),
    [anon_sym_BSLASHautoref] = ACTIONS(7011),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHpageref] = ACTIONS(7011),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHautopageref] = ACTIONS(7011),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcref] = ACTIONS(7011),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHCref] = ACTIONS(7011),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcpageref] = ACTIONS(7011),
    [anon_sym_BSLASHCpageref] = ACTIONS(7011),
    [anon_sym_BSLASHnamecref] = ACTIONS(7011),
    [anon_sym_BSLASHnameCref] = ACTIONS(7011),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7011),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7011),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7011),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7011),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7011),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7011),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7011),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7011),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7011),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7011),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7011),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7011),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7011),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7011),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7011),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7011),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7011),
    [anon_sym_BSLASHdef] = ACTIONS(7011),
    [anon_sym_BSLASHgdef] = ACTIONS(7011),
    [anon_sym_BSLASHedef] = ACTIONS(7011),
    [anon_sym_BSLASHxdef] = ACTIONS(7011),
    [anon_sym_BSLASHlet] = ACTIONS(7011),
    [anon_sym_BSLASHglet] = ACTIONS(7011),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7011),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7011),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7011),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7011),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7011),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7011),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7011),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7011),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7011),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7011),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7011),
    [anon_sym_BSLASHgls] = ACTIONS(7011),
    [anon_sym_BSLASHGls] = ACTIONS(7011),
    [anon_sym_BSLASHGLS] = ACTIONS(7011),
    [anon_sym_BSLASHglspl] = ACTIONS(7011),
    [anon_sym_BSLASHGlspl] = ACTIONS(7011),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7011),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7011),
    [anon_sym_BSLASHglslink] = ACTIONS(7011),
    [anon_sym_BSLASHglstext] = ACTIONS(7011),
    [anon_sym_BSLASHGlstext] = ACTIONS(7011),
    [anon_sym_BSLASHGLStext] = ACTIONS(7011),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7011),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7011),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7011),
    [anon_sym_BSLASHglsplural] = ACTIONS(7011),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7011),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7011),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7011),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7011),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7011),
    [anon_sym_BSLASHglsname] = ACTIONS(7011),
    [anon_sym_BSLASHGlsname] = ACTIONS(7011),
    [anon_sym_BSLASHGLSname] = ACTIONS(7011),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7011),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7011),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7011),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7011),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7011),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7011),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7011),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7011),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7011),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7011),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7011),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7011),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7011),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7011),
    [anon_sym_BSLASHacrshort] = ACTIONS(7011),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7011),
    [anon_sym_BSLASHACRshort] = ACTIONS(7011),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7011),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7011),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7011),
    [anon_sym_BSLASHacrlong] = ACTIONS(7011),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7011),
    [anon_sym_BSLASHACRlong] = ACTIONS(7011),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7011),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7011),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7011),
    [anon_sym_BSLASHacrfull] = ACTIONS(7011),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7011),
    [anon_sym_BSLASHACRfull] = ACTIONS(7011),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7011),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7011),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7011),
    [anon_sym_BSLASHacs] = ACTIONS(7011),
    [anon_sym_BSLASHAcs] = ACTIONS(7011),
    [anon_sym_BSLASHacsp] = ACTIONS(7011),
    [anon_sym_BSLASHAcsp] = ACTIONS(7011),
    [anon_sym_BSLASHacl] = ACTIONS(7011),
    [anon_sym_BSLASHAcl] = ACTIONS(7011),
    [anon_sym_BSLASHaclp] = ACTIONS(7011),
    [anon_sym_BSLASHAclp] = ACTIONS(7011),
    [anon_sym_BSLASHacf] = ACTIONS(7011),
    [anon_sym_BSLASHAcf] = ACTIONS(7011),
    [anon_sym_BSLASHacfp] = ACTIONS(7011),
    [anon_sym_BSLASHAcfp] = ACTIONS(7011),
    [anon_sym_BSLASHac] = ACTIONS(7011),
    [anon_sym_BSLASHAc] = ACTIONS(7011),
    [anon_sym_BSLASHacp] = ACTIONS(7011),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7011),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7011),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7011),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7011),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7011),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7011),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7011),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7011),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7011),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7011),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7011),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7011),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7013),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7011),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7011),
    [anon_sym_BSLASHcolor] = ACTIONS(7011),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7011),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7011),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7011),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7011),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7011),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7011),
    [anon_sym_BSLASHurl] = ACTIONS(7011),
    [anon_sym_BSLASHhref] = ACTIONS(7011),
  },
  [1499] = {
    [sym_command_name] = ACTIONS(7015),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7015),
    [anon_sym_LBRACK] = ACTIONS(7017),
    [anon_sym_RBRACK] = ACTIONS(7017),
    [anon_sym_COMMA] = ACTIONS(7017),
    [anon_sym_EQ] = ACTIONS(7017),
    [anon_sym_LPAREN] = ACTIONS(7017),
    [anon_sym_RPAREN] = ACTIONS(7017),
    [anon_sym_BSLASHpart] = ACTIONS(7015),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHaddpart] = ACTIONS(7015),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHchapter] = ACTIONS(7015),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHaddchap] = ACTIONS(7015),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHsection] = ACTIONS(7015),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHaddsec] = ACTIONS(7015),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHsubsection] = ACTIONS(7015),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7015),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHparagraph] = ACTIONS(7015),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7015),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHitem] = ACTIONS(7015),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7017),
    [anon_sym_LBRACE] = ACTIONS(7017),
    [sym_word] = ACTIONS(7015),
    [sym_placeholder] = ACTIONS(7017),
    [sym_delimiter] = ACTIONS(7017),
    [anon_sym_PLUS] = ACTIONS(7017),
    [anon_sym_DASH] = ACTIONS(7017),
    [anon_sym_STAR] = ACTIONS(7017),
    [anon_sym_SLASH] = ACTIONS(7017),
    [anon_sym_LT] = ACTIONS(7015),
    [anon_sym_GT] = ACTIONS(7015),
    [anon_sym_BANG] = ACTIONS(7015),
    [anon_sym_PIPE] = ACTIONS(7015),
    [anon_sym_COLON] = ACTIONS(7015),
    [anon_sym_SQUOTE] = ACTIONS(7015),
    [anon_sym__] = ACTIONS(7017),
    [anon_sym_CARET] = ACTIONS(7017),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7017),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7017),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7017),
    [anon_sym_DOLLAR] = ACTIONS(7015),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7017),
    [anon_sym_BSLASHleft] = ACTIONS(7015),
    [anon_sym_BSLASHbigl] = ACTIONS(7015),
    [anon_sym_BSLASHBigl] = ACTIONS(7015),
    [anon_sym_BSLASHbiggl] = ACTIONS(7015),
    [anon_sym_BSLASHBiggl] = ACTIONS(7015),
    [anon_sym_BSLASHtext] = ACTIONS(7015),
    [anon_sym_BSLASHintertext] = ACTIONS(7015),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7015),
    [anon_sym_BSLASHbegin] = ACTIONS(7015),
    [anon_sym_BSLASHtitle] = ACTIONS(7015),
    [anon_sym_BSLASHauthor] = ACTIONS(7015),
    [anon_sym_BSLASHusepackage] = ACTIONS(7015),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7015),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7015),
    [anon_sym_BSLASHinclude] = ACTIONS(7015),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7015),
    [anon_sym_BSLASHinput] = ACTIONS(7015),
    [anon_sym_BSLASHsubfile] = ACTIONS(7015),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7015),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7015),
    [anon_sym_BSLASHbibliography] = ACTIONS(7015),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7015),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7015),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7015),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7015),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7015),
    [anon_sym_BSLASHimport] = ACTIONS(7015),
    [anon_sym_BSLASHsubimport] = ACTIONS(7015),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7015),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7015),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7015),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7015),
    [anon_sym_BSLASHcaption] = ACTIONS(7015),
    [anon_sym_BSLASHcite] = ACTIONS(7015),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHCite] = ACTIONS(7015),
    [anon_sym_BSLASHnocite] = ACTIONS(7015),
    [anon_sym_BSLASHcitet] = ACTIONS(7015),
    [anon_sym_BSLASHcitep] = ACTIONS(7015),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHciteA] = ACTIONS(7015),
    [anon_sym_BSLASHciteR] = ACTIONS(7015),
    [anon_sym_BSLASHciteS] = ACTIONS(7015),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7015),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7015),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7015),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7015),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHciteyear] = ACTIONS(7015),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcitedate] = ACTIONS(7015),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHciteurl] = ACTIONS(7015),
    [anon_sym_BSLASHfullcite] = ACTIONS(7015),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7015),
    [anon_sym_BSLASHcitealt] = ACTIONS(7015),
    [anon_sym_BSLASHcitealp] = ACTIONS(7015),
    [anon_sym_BSLASHcitetext] = ACTIONS(7015),
    [anon_sym_BSLASHparencite] = ACTIONS(7015),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHParencite] = ACTIONS(7015),
    [anon_sym_BSLASHfootcite] = ACTIONS(7015),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7015),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7015),
    [anon_sym_BSLASHtextcite] = ACTIONS(7015),
    [anon_sym_BSLASHTextcite] = ACTIONS(7015),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7015),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7015),
    [anon_sym_BSLASHsupercite] = ACTIONS(7015),
    [anon_sym_BSLASHautocite] = ACTIONS(7015),
    [anon_sym_BSLASHAutocite] = ACTIONS(7015),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHVolcite] = ACTIONS(7015),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHavolcite] = ACTIONS(7015),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7015),
    [anon_sym_BSLASHnotecite] = ACTIONS(7015),
    [anon_sym_BSLASHNotecite] = ACTIONS(7015),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7015),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7015),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7015),
    [anon_sym_BSLASHlabel] = ACTIONS(7015),
    [anon_sym_BSLASHref] = ACTIONS(7015),
    [anon_sym_BSLASHeqref] = ACTIONS(7015),
    [anon_sym_BSLASHvref] = ACTIONS(7015),
    [anon_sym_BSLASHVref] = ACTIONS(7015),
    [anon_sym_BSLASHautoref] = ACTIONS(7015),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHpageref] = ACTIONS(7015),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHautopageref] = ACTIONS(7015),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcref] = ACTIONS(7015),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHCref] = ACTIONS(7015),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcpageref] = ACTIONS(7015),
    [anon_sym_BSLASHCpageref] = ACTIONS(7015),
    [anon_sym_BSLASHnamecref] = ACTIONS(7015),
    [anon_sym_BSLASHnameCref] = ACTIONS(7015),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7015),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7015),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7015),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7015),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7015),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7015),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7015),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7015),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7015),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7015),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7015),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7015),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7015),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7015),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7015),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7015),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7015),
    [anon_sym_BSLASHdef] = ACTIONS(7015),
    [anon_sym_BSLASHgdef] = ACTIONS(7015),
    [anon_sym_BSLASHedef] = ACTIONS(7015),
    [anon_sym_BSLASHxdef] = ACTIONS(7015),
    [anon_sym_BSLASHlet] = ACTIONS(7015),
    [anon_sym_BSLASHglet] = ACTIONS(7015),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7015),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7015),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7015),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7015),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7015),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7015),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7015),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7015),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7015),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7015),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7015),
    [anon_sym_BSLASHgls] = ACTIONS(7015),
    [anon_sym_BSLASHGls] = ACTIONS(7015),
    [anon_sym_BSLASHGLS] = ACTIONS(7015),
    [anon_sym_BSLASHglspl] = ACTIONS(7015),
    [anon_sym_BSLASHGlspl] = ACTIONS(7015),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7015),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7015),
    [anon_sym_BSLASHglslink] = ACTIONS(7015),
    [anon_sym_BSLASHglstext] = ACTIONS(7015),
    [anon_sym_BSLASHGlstext] = ACTIONS(7015),
    [anon_sym_BSLASHGLStext] = ACTIONS(7015),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7015),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7015),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7015),
    [anon_sym_BSLASHglsplural] = ACTIONS(7015),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7015),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7015),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7015),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7015),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7015),
    [anon_sym_BSLASHglsname] = ACTIONS(7015),
    [anon_sym_BSLASHGlsname] = ACTIONS(7015),
    [anon_sym_BSLASHGLSname] = ACTIONS(7015),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7015),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7015),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7015),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7015),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7015),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7015),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7015),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7015),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7015),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7015),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7015),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7015),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7015),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7015),
    [anon_sym_BSLASHacrshort] = ACTIONS(7015),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7015),
    [anon_sym_BSLASHACRshort] = ACTIONS(7015),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7015),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7015),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7015),
    [anon_sym_BSLASHacrlong] = ACTIONS(7015),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7015),
    [anon_sym_BSLASHACRlong] = ACTIONS(7015),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7015),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7015),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7015),
    [anon_sym_BSLASHacrfull] = ACTIONS(7015),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7015),
    [anon_sym_BSLASHACRfull] = ACTIONS(7015),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7015),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7015),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7015),
    [anon_sym_BSLASHacs] = ACTIONS(7015),
    [anon_sym_BSLASHAcs] = ACTIONS(7015),
    [anon_sym_BSLASHacsp] = ACTIONS(7015),
    [anon_sym_BSLASHAcsp] = ACTIONS(7015),
    [anon_sym_BSLASHacl] = ACTIONS(7015),
    [anon_sym_BSLASHAcl] = ACTIONS(7015),
    [anon_sym_BSLASHaclp] = ACTIONS(7015),
    [anon_sym_BSLASHAclp] = ACTIONS(7015),
    [anon_sym_BSLASHacf] = ACTIONS(7015),
    [anon_sym_BSLASHAcf] = ACTIONS(7015),
    [anon_sym_BSLASHacfp] = ACTIONS(7015),
    [anon_sym_BSLASHAcfp] = ACTIONS(7015),
    [anon_sym_BSLASHac] = ACTIONS(7015),
    [anon_sym_BSLASHAc] = ACTIONS(7015),
    [anon_sym_BSLASHacp] = ACTIONS(7015),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7015),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7015),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7015),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7015),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7015),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7015),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7015),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7015),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7015),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7015),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7015),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7015),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7017),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7015),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7015),
    [anon_sym_BSLASHcolor] = ACTIONS(7015),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7015),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7015),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7015),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7015),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7015),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7015),
    [anon_sym_BSLASHurl] = ACTIONS(7015),
    [anon_sym_BSLASHhref] = ACTIONS(7015),
  },
  [1500] = {
    [sym_command_name] = ACTIONS(7019),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7019),
    [anon_sym_LBRACK] = ACTIONS(7021),
    [anon_sym_RBRACK] = ACTIONS(7021),
    [anon_sym_COMMA] = ACTIONS(7021),
    [anon_sym_EQ] = ACTIONS(7021),
    [anon_sym_LPAREN] = ACTIONS(7021),
    [anon_sym_RPAREN] = ACTIONS(7021),
    [anon_sym_BSLASHpart] = ACTIONS(7019),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHaddpart] = ACTIONS(7019),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHchapter] = ACTIONS(7019),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHaddchap] = ACTIONS(7019),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHsection] = ACTIONS(7019),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHaddsec] = ACTIONS(7019),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHsubsection] = ACTIONS(7019),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7019),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHparagraph] = ACTIONS(7019),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7019),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHitem] = ACTIONS(7019),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7021),
    [anon_sym_LBRACE] = ACTIONS(7021),
    [sym_word] = ACTIONS(7019),
    [sym_placeholder] = ACTIONS(7021),
    [sym_delimiter] = ACTIONS(7021),
    [anon_sym_PLUS] = ACTIONS(7021),
    [anon_sym_DASH] = ACTIONS(7021),
    [anon_sym_STAR] = ACTIONS(7021),
    [anon_sym_SLASH] = ACTIONS(7021),
    [anon_sym_LT] = ACTIONS(7019),
    [anon_sym_GT] = ACTIONS(7019),
    [anon_sym_BANG] = ACTIONS(7019),
    [anon_sym_PIPE] = ACTIONS(7019),
    [anon_sym_COLON] = ACTIONS(7019),
    [anon_sym_SQUOTE] = ACTIONS(7019),
    [anon_sym__] = ACTIONS(7021),
    [anon_sym_CARET] = ACTIONS(7021),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7021),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7021),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7021),
    [anon_sym_DOLLAR] = ACTIONS(7019),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7021),
    [anon_sym_BSLASHleft] = ACTIONS(7019),
    [anon_sym_BSLASHbigl] = ACTIONS(7019),
    [anon_sym_BSLASHBigl] = ACTIONS(7019),
    [anon_sym_BSLASHbiggl] = ACTIONS(7019),
    [anon_sym_BSLASHBiggl] = ACTIONS(7019),
    [anon_sym_BSLASHtext] = ACTIONS(7019),
    [anon_sym_BSLASHintertext] = ACTIONS(7019),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7019),
    [anon_sym_BSLASHbegin] = ACTIONS(7019),
    [anon_sym_BSLASHtitle] = ACTIONS(7019),
    [anon_sym_BSLASHauthor] = ACTIONS(7019),
    [anon_sym_BSLASHusepackage] = ACTIONS(7019),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7019),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7019),
    [anon_sym_BSLASHinclude] = ACTIONS(7019),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7019),
    [anon_sym_BSLASHinput] = ACTIONS(7019),
    [anon_sym_BSLASHsubfile] = ACTIONS(7019),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7019),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7019),
    [anon_sym_BSLASHbibliography] = ACTIONS(7019),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7019),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7019),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7019),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7019),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7019),
    [anon_sym_BSLASHimport] = ACTIONS(7019),
    [anon_sym_BSLASHsubimport] = ACTIONS(7019),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7019),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7019),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7019),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7019),
    [anon_sym_BSLASHcaption] = ACTIONS(7019),
    [anon_sym_BSLASHcite] = ACTIONS(7019),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHCite] = ACTIONS(7019),
    [anon_sym_BSLASHnocite] = ACTIONS(7019),
    [anon_sym_BSLASHcitet] = ACTIONS(7019),
    [anon_sym_BSLASHcitep] = ACTIONS(7019),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHciteA] = ACTIONS(7019),
    [anon_sym_BSLASHciteR] = ACTIONS(7019),
    [anon_sym_BSLASHciteS] = ACTIONS(7019),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7019),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7019),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7019),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7019),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHciteyear] = ACTIONS(7019),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcitedate] = ACTIONS(7019),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHciteurl] = ACTIONS(7019),
    [anon_sym_BSLASHfullcite] = ACTIONS(7019),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7019),
    [anon_sym_BSLASHcitealt] = ACTIONS(7019),
    [anon_sym_BSLASHcitealp] = ACTIONS(7019),
    [anon_sym_BSLASHcitetext] = ACTIONS(7019),
    [anon_sym_BSLASHparencite] = ACTIONS(7019),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHParencite] = ACTIONS(7019),
    [anon_sym_BSLASHfootcite] = ACTIONS(7019),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7019),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7019),
    [anon_sym_BSLASHtextcite] = ACTIONS(7019),
    [anon_sym_BSLASHTextcite] = ACTIONS(7019),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7019),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7019),
    [anon_sym_BSLASHsupercite] = ACTIONS(7019),
    [anon_sym_BSLASHautocite] = ACTIONS(7019),
    [anon_sym_BSLASHAutocite] = ACTIONS(7019),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHVolcite] = ACTIONS(7019),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHavolcite] = ACTIONS(7019),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7019),
    [anon_sym_BSLASHnotecite] = ACTIONS(7019),
    [anon_sym_BSLASHNotecite] = ACTIONS(7019),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7019),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7019),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7019),
    [anon_sym_BSLASHlabel] = ACTIONS(7019),
    [anon_sym_BSLASHref] = ACTIONS(7019),
    [anon_sym_BSLASHeqref] = ACTIONS(7019),
    [anon_sym_BSLASHvref] = ACTIONS(7019),
    [anon_sym_BSLASHVref] = ACTIONS(7019),
    [anon_sym_BSLASHautoref] = ACTIONS(7019),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHpageref] = ACTIONS(7019),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHautopageref] = ACTIONS(7019),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcref] = ACTIONS(7019),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHCref] = ACTIONS(7019),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcpageref] = ACTIONS(7019),
    [anon_sym_BSLASHCpageref] = ACTIONS(7019),
    [anon_sym_BSLASHnamecref] = ACTIONS(7019),
    [anon_sym_BSLASHnameCref] = ACTIONS(7019),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7019),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7019),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7019),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7019),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7019),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7019),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7019),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7019),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7019),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7019),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7019),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7019),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7019),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7019),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7019),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7019),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7019),
    [anon_sym_BSLASHdef] = ACTIONS(7019),
    [anon_sym_BSLASHgdef] = ACTIONS(7019),
    [anon_sym_BSLASHedef] = ACTIONS(7019),
    [anon_sym_BSLASHxdef] = ACTIONS(7019),
    [anon_sym_BSLASHlet] = ACTIONS(7019),
    [anon_sym_BSLASHglet] = ACTIONS(7019),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7019),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7019),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7019),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7019),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7019),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7019),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7019),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7019),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7019),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7019),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7019),
    [anon_sym_BSLASHgls] = ACTIONS(7019),
    [anon_sym_BSLASHGls] = ACTIONS(7019),
    [anon_sym_BSLASHGLS] = ACTIONS(7019),
    [anon_sym_BSLASHglspl] = ACTIONS(7019),
    [anon_sym_BSLASHGlspl] = ACTIONS(7019),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7019),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7019),
    [anon_sym_BSLASHglslink] = ACTIONS(7019),
    [anon_sym_BSLASHglstext] = ACTIONS(7019),
    [anon_sym_BSLASHGlstext] = ACTIONS(7019),
    [anon_sym_BSLASHGLStext] = ACTIONS(7019),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7019),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7019),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7019),
    [anon_sym_BSLASHglsplural] = ACTIONS(7019),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7019),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7019),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7019),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7019),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7019),
    [anon_sym_BSLASHglsname] = ACTIONS(7019),
    [anon_sym_BSLASHGlsname] = ACTIONS(7019),
    [anon_sym_BSLASHGLSname] = ACTIONS(7019),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7019),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7019),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7019),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7019),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7019),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7019),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7019),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7019),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7019),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7019),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7019),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7019),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7019),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7019),
    [anon_sym_BSLASHacrshort] = ACTIONS(7019),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7019),
    [anon_sym_BSLASHACRshort] = ACTIONS(7019),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7019),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7019),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7019),
    [anon_sym_BSLASHacrlong] = ACTIONS(7019),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7019),
    [anon_sym_BSLASHACRlong] = ACTIONS(7019),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7019),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7019),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7019),
    [anon_sym_BSLASHacrfull] = ACTIONS(7019),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7019),
    [anon_sym_BSLASHACRfull] = ACTIONS(7019),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7019),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7019),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7019),
    [anon_sym_BSLASHacs] = ACTIONS(7019),
    [anon_sym_BSLASHAcs] = ACTIONS(7019),
    [anon_sym_BSLASHacsp] = ACTIONS(7019),
    [anon_sym_BSLASHAcsp] = ACTIONS(7019),
    [anon_sym_BSLASHacl] = ACTIONS(7019),
    [anon_sym_BSLASHAcl] = ACTIONS(7019),
    [anon_sym_BSLASHaclp] = ACTIONS(7019),
    [anon_sym_BSLASHAclp] = ACTIONS(7019),
    [anon_sym_BSLASHacf] = ACTIONS(7019),
    [anon_sym_BSLASHAcf] = ACTIONS(7019),
    [anon_sym_BSLASHacfp] = ACTIONS(7019),
    [anon_sym_BSLASHAcfp] = ACTIONS(7019),
    [anon_sym_BSLASHac] = ACTIONS(7019),
    [anon_sym_BSLASHAc] = ACTIONS(7019),
    [anon_sym_BSLASHacp] = ACTIONS(7019),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7019),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7019),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7019),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7019),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7019),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7019),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7019),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7019),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7019),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7019),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7019),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7019),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7021),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7019),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7019),
    [anon_sym_BSLASHcolor] = ACTIONS(7019),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7019),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7019),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7019),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7019),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7019),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7019),
    [anon_sym_BSLASHurl] = ACTIONS(7019),
    [anon_sym_BSLASHhref] = ACTIONS(7019),
  },
  [1501] = {
    [sym_command_name] = ACTIONS(7023),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7023),
    [anon_sym_LBRACK] = ACTIONS(7025),
    [anon_sym_RBRACK] = ACTIONS(7025),
    [anon_sym_COMMA] = ACTIONS(7025),
    [anon_sym_EQ] = ACTIONS(7025),
    [anon_sym_LPAREN] = ACTIONS(7025),
    [anon_sym_RPAREN] = ACTIONS(7025),
    [anon_sym_BSLASHpart] = ACTIONS(7023),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHaddpart] = ACTIONS(7023),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHchapter] = ACTIONS(7023),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHaddchap] = ACTIONS(7023),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHsection] = ACTIONS(7023),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHaddsec] = ACTIONS(7023),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHsubsection] = ACTIONS(7023),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7023),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHparagraph] = ACTIONS(7023),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7023),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHitem] = ACTIONS(7023),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7025),
    [anon_sym_LBRACE] = ACTIONS(7025),
    [sym_word] = ACTIONS(7023),
    [sym_placeholder] = ACTIONS(7025),
    [sym_delimiter] = ACTIONS(7025),
    [anon_sym_PLUS] = ACTIONS(7025),
    [anon_sym_DASH] = ACTIONS(7025),
    [anon_sym_STAR] = ACTIONS(7025),
    [anon_sym_SLASH] = ACTIONS(7025),
    [anon_sym_LT] = ACTIONS(7023),
    [anon_sym_GT] = ACTIONS(7023),
    [anon_sym_BANG] = ACTIONS(7023),
    [anon_sym_PIPE] = ACTIONS(7023),
    [anon_sym_COLON] = ACTIONS(7023),
    [anon_sym_SQUOTE] = ACTIONS(7023),
    [anon_sym__] = ACTIONS(7025),
    [anon_sym_CARET] = ACTIONS(7025),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7025),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7025),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7025),
    [anon_sym_DOLLAR] = ACTIONS(7023),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7025),
    [anon_sym_BSLASHleft] = ACTIONS(7023),
    [anon_sym_BSLASHbigl] = ACTIONS(7023),
    [anon_sym_BSLASHBigl] = ACTIONS(7023),
    [anon_sym_BSLASHbiggl] = ACTIONS(7023),
    [anon_sym_BSLASHBiggl] = ACTIONS(7023),
    [anon_sym_BSLASHtext] = ACTIONS(7023),
    [anon_sym_BSLASHintertext] = ACTIONS(7023),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7023),
    [anon_sym_BSLASHbegin] = ACTIONS(7023),
    [anon_sym_BSLASHtitle] = ACTIONS(7023),
    [anon_sym_BSLASHauthor] = ACTIONS(7023),
    [anon_sym_BSLASHusepackage] = ACTIONS(7023),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7023),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7023),
    [anon_sym_BSLASHinclude] = ACTIONS(7023),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7023),
    [anon_sym_BSLASHinput] = ACTIONS(7023),
    [anon_sym_BSLASHsubfile] = ACTIONS(7023),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7023),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7023),
    [anon_sym_BSLASHbibliography] = ACTIONS(7023),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7023),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7023),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7023),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7023),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7023),
    [anon_sym_BSLASHimport] = ACTIONS(7023),
    [anon_sym_BSLASHsubimport] = ACTIONS(7023),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7023),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7023),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7023),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7023),
    [anon_sym_BSLASHcaption] = ACTIONS(7023),
    [anon_sym_BSLASHcite] = ACTIONS(7023),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHCite] = ACTIONS(7023),
    [anon_sym_BSLASHnocite] = ACTIONS(7023),
    [anon_sym_BSLASHcitet] = ACTIONS(7023),
    [anon_sym_BSLASHcitep] = ACTIONS(7023),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHciteA] = ACTIONS(7023),
    [anon_sym_BSLASHciteR] = ACTIONS(7023),
    [anon_sym_BSLASHciteS] = ACTIONS(7023),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7023),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7023),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7023),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7023),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHciteyear] = ACTIONS(7023),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcitedate] = ACTIONS(7023),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHciteurl] = ACTIONS(7023),
    [anon_sym_BSLASHfullcite] = ACTIONS(7023),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7023),
    [anon_sym_BSLASHcitealt] = ACTIONS(7023),
    [anon_sym_BSLASHcitealp] = ACTIONS(7023),
    [anon_sym_BSLASHcitetext] = ACTIONS(7023),
    [anon_sym_BSLASHparencite] = ACTIONS(7023),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHParencite] = ACTIONS(7023),
    [anon_sym_BSLASHfootcite] = ACTIONS(7023),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7023),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7023),
    [anon_sym_BSLASHtextcite] = ACTIONS(7023),
    [anon_sym_BSLASHTextcite] = ACTIONS(7023),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7023),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7023),
    [anon_sym_BSLASHsupercite] = ACTIONS(7023),
    [anon_sym_BSLASHautocite] = ACTIONS(7023),
    [anon_sym_BSLASHAutocite] = ACTIONS(7023),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHVolcite] = ACTIONS(7023),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHavolcite] = ACTIONS(7023),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7023),
    [anon_sym_BSLASHnotecite] = ACTIONS(7023),
    [anon_sym_BSLASHNotecite] = ACTIONS(7023),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7023),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7023),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7023),
    [anon_sym_BSLASHlabel] = ACTIONS(7023),
    [anon_sym_BSLASHref] = ACTIONS(7023),
    [anon_sym_BSLASHeqref] = ACTIONS(7023),
    [anon_sym_BSLASHvref] = ACTIONS(7023),
    [anon_sym_BSLASHVref] = ACTIONS(7023),
    [anon_sym_BSLASHautoref] = ACTIONS(7023),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHpageref] = ACTIONS(7023),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHautopageref] = ACTIONS(7023),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcref] = ACTIONS(7023),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHCref] = ACTIONS(7023),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcpageref] = ACTIONS(7023),
    [anon_sym_BSLASHCpageref] = ACTIONS(7023),
    [anon_sym_BSLASHnamecref] = ACTIONS(7023),
    [anon_sym_BSLASHnameCref] = ACTIONS(7023),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7023),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7023),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7023),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7023),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7023),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7023),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7023),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7023),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7023),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7023),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7023),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7023),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7023),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7023),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7023),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7023),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7023),
    [anon_sym_BSLASHdef] = ACTIONS(7023),
    [anon_sym_BSLASHgdef] = ACTIONS(7023),
    [anon_sym_BSLASHedef] = ACTIONS(7023),
    [anon_sym_BSLASHxdef] = ACTIONS(7023),
    [anon_sym_BSLASHlet] = ACTIONS(7023),
    [anon_sym_BSLASHglet] = ACTIONS(7023),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7023),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7023),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7023),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7023),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7023),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7023),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7023),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7023),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7023),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7023),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7023),
    [anon_sym_BSLASHgls] = ACTIONS(7023),
    [anon_sym_BSLASHGls] = ACTIONS(7023),
    [anon_sym_BSLASHGLS] = ACTIONS(7023),
    [anon_sym_BSLASHglspl] = ACTIONS(7023),
    [anon_sym_BSLASHGlspl] = ACTIONS(7023),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7023),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7023),
    [anon_sym_BSLASHglslink] = ACTIONS(7023),
    [anon_sym_BSLASHglstext] = ACTIONS(7023),
    [anon_sym_BSLASHGlstext] = ACTIONS(7023),
    [anon_sym_BSLASHGLStext] = ACTIONS(7023),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7023),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7023),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7023),
    [anon_sym_BSLASHglsplural] = ACTIONS(7023),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7023),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7023),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7023),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7023),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7023),
    [anon_sym_BSLASHglsname] = ACTIONS(7023),
    [anon_sym_BSLASHGlsname] = ACTIONS(7023),
    [anon_sym_BSLASHGLSname] = ACTIONS(7023),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7023),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7023),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7023),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7023),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7023),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7023),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7023),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7023),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7023),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7023),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7023),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7023),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7023),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7023),
    [anon_sym_BSLASHacrshort] = ACTIONS(7023),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7023),
    [anon_sym_BSLASHACRshort] = ACTIONS(7023),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7023),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7023),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7023),
    [anon_sym_BSLASHacrlong] = ACTIONS(7023),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7023),
    [anon_sym_BSLASHACRlong] = ACTIONS(7023),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7023),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7023),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7023),
    [anon_sym_BSLASHacrfull] = ACTIONS(7023),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7023),
    [anon_sym_BSLASHACRfull] = ACTIONS(7023),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7023),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7023),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7023),
    [anon_sym_BSLASHacs] = ACTIONS(7023),
    [anon_sym_BSLASHAcs] = ACTIONS(7023),
    [anon_sym_BSLASHacsp] = ACTIONS(7023),
    [anon_sym_BSLASHAcsp] = ACTIONS(7023),
    [anon_sym_BSLASHacl] = ACTIONS(7023),
    [anon_sym_BSLASHAcl] = ACTIONS(7023),
    [anon_sym_BSLASHaclp] = ACTIONS(7023),
    [anon_sym_BSLASHAclp] = ACTIONS(7023),
    [anon_sym_BSLASHacf] = ACTIONS(7023),
    [anon_sym_BSLASHAcf] = ACTIONS(7023),
    [anon_sym_BSLASHacfp] = ACTIONS(7023),
    [anon_sym_BSLASHAcfp] = ACTIONS(7023),
    [anon_sym_BSLASHac] = ACTIONS(7023),
    [anon_sym_BSLASHAc] = ACTIONS(7023),
    [anon_sym_BSLASHacp] = ACTIONS(7023),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7023),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7023),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7023),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7023),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7023),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7023),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7023),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7023),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7023),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7023),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7023),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7023),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7025),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7023),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7023),
    [anon_sym_BSLASHcolor] = ACTIONS(7023),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7023),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7023),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7023),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7023),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7023),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7023),
    [anon_sym_BSLASHurl] = ACTIONS(7023),
    [anon_sym_BSLASHhref] = ACTIONS(7023),
  },
  [1502] = {
    [sym_command_name] = ACTIONS(7027),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7027),
    [anon_sym_LBRACK] = ACTIONS(7029),
    [anon_sym_RBRACK] = ACTIONS(7029),
    [anon_sym_COMMA] = ACTIONS(7029),
    [anon_sym_EQ] = ACTIONS(7029),
    [anon_sym_LPAREN] = ACTIONS(7029),
    [anon_sym_RPAREN] = ACTIONS(7029),
    [anon_sym_BSLASHpart] = ACTIONS(7027),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHaddpart] = ACTIONS(7027),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHchapter] = ACTIONS(7027),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHaddchap] = ACTIONS(7027),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHsection] = ACTIONS(7027),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHaddsec] = ACTIONS(7027),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHsubsection] = ACTIONS(7027),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7027),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHparagraph] = ACTIONS(7027),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7027),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHitem] = ACTIONS(7027),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7029),
    [anon_sym_LBRACE] = ACTIONS(7029),
    [sym_word] = ACTIONS(7027),
    [sym_placeholder] = ACTIONS(7029),
    [sym_delimiter] = ACTIONS(7029),
    [anon_sym_PLUS] = ACTIONS(7029),
    [anon_sym_DASH] = ACTIONS(7029),
    [anon_sym_STAR] = ACTIONS(7029),
    [anon_sym_SLASH] = ACTIONS(7029),
    [anon_sym_LT] = ACTIONS(7027),
    [anon_sym_GT] = ACTIONS(7027),
    [anon_sym_BANG] = ACTIONS(7027),
    [anon_sym_PIPE] = ACTIONS(7027),
    [anon_sym_COLON] = ACTIONS(7027),
    [anon_sym_SQUOTE] = ACTIONS(7027),
    [anon_sym__] = ACTIONS(7029),
    [anon_sym_CARET] = ACTIONS(7029),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7029),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7029),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7029),
    [anon_sym_DOLLAR] = ACTIONS(7027),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7029),
    [anon_sym_BSLASHleft] = ACTIONS(7027),
    [anon_sym_BSLASHbigl] = ACTIONS(7027),
    [anon_sym_BSLASHBigl] = ACTIONS(7027),
    [anon_sym_BSLASHbiggl] = ACTIONS(7027),
    [anon_sym_BSLASHBiggl] = ACTIONS(7027),
    [anon_sym_BSLASHtext] = ACTIONS(7027),
    [anon_sym_BSLASHintertext] = ACTIONS(7027),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7027),
    [anon_sym_BSLASHbegin] = ACTIONS(7027),
    [anon_sym_BSLASHtitle] = ACTIONS(7027),
    [anon_sym_BSLASHauthor] = ACTIONS(7027),
    [anon_sym_BSLASHusepackage] = ACTIONS(7027),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7027),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7027),
    [anon_sym_BSLASHinclude] = ACTIONS(7027),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7027),
    [anon_sym_BSLASHinput] = ACTIONS(7027),
    [anon_sym_BSLASHsubfile] = ACTIONS(7027),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7027),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7027),
    [anon_sym_BSLASHbibliography] = ACTIONS(7027),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7027),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7027),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7027),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7027),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7027),
    [anon_sym_BSLASHimport] = ACTIONS(7027),
    [anon_sym_BSLASHsubimport] = ACTIONS(7027),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7027),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7027),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7027),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7027),
    [anon_sym_BSLASHcaption] = ACTIONS(7027),
    [anon_sym_BSLASHcite] = ACTIONS(7027),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHCite] = ACTIONS(7027),
    [anon_sym_BSLASHnocite] = ACTIONS(7027),
    [anon_sym_BSLASHcitet] = ACTIONS(7027),
    [anon_sym_BSLASHcitep] = ACTIONS(7027),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHciteA] = ACTIONS(7027),
    [anon_sym_BSLASHciteR] = ACTIONS(7027),
    [anon_sym_BSLASHciteS] = ACTIONS(7027),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7027),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7027),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7027),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7027),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHciteyear] = ACTIONS(7027),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcitedate] = ACTIONS(7027),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHciteurl] = ACTIONS(7027),
    [anon_sym_BSLASHfullcite] = ACTIONS(7027),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7027),
    [anon_sym_BSLASHcitealt] = ACTIONS(7027),
    [anon_sym_BSLASHcitealp] = ACTIONS(7027),
    [anon_sym_BSLASHcitetext] = ACTIONS(7027),
    [anon_sym_BSLASHparencite] = ACTIONS(7027),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHParencite] = ACTIONS(7027),
    [anon_sym_BSLASHfootcite] = ACTIONS(7027),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7027),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7027),
    [anon_sym_BSLASHtextcite] = ACTIONS(7027),
    [anon_sym_BSLASHTextcite] = ACTIONS(7027),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7027),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7027),
    [anon_sym_BSLASHsupercite] = ACTIONS(7027),
    [anon_sym_BSLASHautocite] = ACTIONS(7027),
    [anon_sym_BSLASHAutocite] = ACTIONS(7027),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHVolcite] = ACTIONS(7027),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHavolcite] = ACTIONS(7027),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7027),
    [anon_sym_BSLASHnotecite] = ACTIONS(7027),
    [anon_sym_BSLASHNotecite] = ACTIONS(7027),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7027),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7027),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7027),
    [anon_sym_BSLASHlabel] = ACTIONS(7027),
    [anon_sym_BSLASHref] = ACTIONS(7027),
    [anon_sym_BSLASHeqref] = ACTIONS(7027),
    [anon_sym_BSLASHvref] = ACTIONS(7027),
    [anon_sym_BSLASHVref] = ACTIONS(7027),
    [anon_sym_BSLASHautoref] = ACTIONS(7027),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHpageref] = ACTIONS(7027),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHautopageref] = ACTIONS(7027),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcref] = ACTIONS(7027),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHCref] = ACTIONS(7027),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcpageref] = ACTIONS(7027),
    [anon_sym_BSLASHCpageref] = ACTIONS(7027),
    [anon_sym_BSLASHnamecref] = ACTIONS(7027),
    [anon_sym_BSLASHnameCref] = ACTIONS(7027),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7027),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7027),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7027),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7027),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7027),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7027),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7027),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7027),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7027),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7027),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7027),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7027),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7027),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7027),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7027),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7027),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7027),
    [anon_sym_BSLASHdef] = ACTIONS(7027),
    [anon_sym_BSLASHgdef] = ACTIONS(7027),
    [anon_sym_BSLASHedef] = ACTIONS(7027),
    [anon_sym_BSLASHxdef] = ACTIONS(7027),
    [anon_sym_BSLASHlet] = ACTIONS(7027),
    [anon_sym_BSLASHglet] = ACTIONS(7027),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7027),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7027),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7027),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7027),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7027),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7027),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7027),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7027),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7027),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7027),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7027),
    [anon_sym_BSLASHgls] = ACTIONS(7027),
    [anon_sym_BSLASHGls] = ACTIONS(7027),
    [anon_sym_BSLASHGLS] = ACTIONS(7027),
    [anon_sym_BSLASHglspl] = ACTIONS(7027),
    [anon_sym_BSLASHGlspl] = ACTIONS(7027),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7027),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7027),
    [anon_sym_BSLASHglslink] = ACTIONS(7027),
    [anon_sym_BSLASHglstext] = ACTIONS(7027),
    [anon_sym_BSLASHGlstext] = ACTIONS(7027),
    [anon_sym_BSLASHGLStext] = ACTIONS(7027),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7027),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7027),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7027),
    [anon_sym_BSLASHglsplural] = ACTIONS(7027),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7027),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7027),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7027),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7027),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7027),
    [anon_sym_BSLASHglsname] = ACTIONS(7027),
    [anon_sym_BSLASHGlsname] = ACTIONS(7027),
    [anon_sym_BSLASHGLSname] = ACTIONS(7027),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7027),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7027),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7027),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7027),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7027),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7027),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7027),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7027),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7027),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7027),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7027),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7027),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7027),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7027),
    [anon_sym_BSLASHacrshort] = ACTIONS(7027),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7027),
    [anon_sym_BSLASHACRshort] = ACTIONS(7027),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7027),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7027),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7027),
    [anon_sym_BSLASHacrlong] = ACTIONS(7027),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7027),
    [anon_sym_BSLASHACRlong] = ACTIONS(7027),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7027),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7027),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7027),
    [anon_sym_BSLASHacrfull] = ACTIONS(7027),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7027),
    [anon_sym_BSLASHACRfull] = ACTIONS(7027),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7027),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7027),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7027),
    [anon_sym_BSLASHacs] = ACTIONS(7027),
    [anon_sym_BSLASHAcs] = ACTIONS(7027),
    [anon_sym_BSLASHacsp] = ACTIONS(7027),
    [anon_sym_BSLASHAcsp] = ACTIONS(7027),
    [anon_sym_BSLASHacl] = ACTIONS(7027),
    [anon_sym_BSLASHAcl] = ACTIONS(7027),
    [anon_sym_BSLASHaclp] = ACTIONS(7027),
    [anon_sym_BSLASHAclp] = ACTIONS(7027),
    [anon_sym_BSLASHacf] = ACTIONS(7027),
    [anon_sym_BSLASHAcf] = ACTIONS(7027),
    [anon_sym_BSLASHacfp] = ACTIONS(7027),
    [anon_sym_BSLASHAcfp] = ACTIONS(7027),
    [anon_sym_BSLASHac] = ACTIONS(7027),
    [anon_sym_BSLASHAc] = ACTIONS(7027),
    [anon_sym_BSLASHacp] = ACTIONS(7027),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7027),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7027),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7027),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7027),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7027),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7027),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7027),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7027),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7027),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7027),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7027),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7027),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7029),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7027),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7027),
    [anon_sym_BSLASHcolor] = ACTIONS(7027),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7027),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7027),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7027),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7027),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7027),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7027),
    [anon_sym_BSLASHurl] = ACTIONS(7027),
    [anon_sym_BSLASHhref] = ACTIONS(7027),
  },
  [1503] = {
    [sym_command_name] = ACTIONS(7031),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7031),
    [anon_sym_LBRACK] = ACTIONS(7033),
    [anon_sym_RBRACK] = ACTIONS(7033),
    [anon_sym_COMMA] = ACTIONS(7033),
    [anon_sym_EQ] = ACTIONS(7033),
    [anon_sym_LPAREN] = ACTIONS(7033),
    [anon_sym_RPAREN] = ACTIONS(7033),
    [anon_sym_BSLASHpart] = ACTIONS(7031),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHaddpart] = ACTIONS(7031),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHchapter] = ACTIONS(7031),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHaddchap] = ACTIONS(7031),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHsection] = ACTIONS(7031),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHaddsec] = ACTIONS(7031),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHsubsection] = ACTIONS(7031),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7031),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHparagraph] = ACTIONS(7031),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7031),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHitem] = ACTIONS(7031),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7033),
    [anon_sym_LBRACE] = ACTIONS(7033),
    [sym_word] = ACTIONS(7031),
    [sym_placeholder] = ACTIONS(7033),
    [sym_delimiter] = ACTIONS(7033),
    [anon_sym_PLUS] = ACTIONS(7033),
    [anon_sym_DASH] = ACTIONS(7033),
    [anon_sym_STAR] = ACTIONS(7033),
    [anon_sym_SLASH] = ACTIONS(7033),
    [anon_sym_LT] = ACTIONS(7031),
    [anon_sym_GT] = ACTIONS(7031),
    [anon_sym_BANG] = ACTIONS(7031),
    [anon_sym_PIPE] = ACTIONS(7031),
    [anon_sym_COLON] = ACTIONS(7031),
    [anon_sym_SQUOTE] = ACTIONS(7031),
    [anon_sym__] = ACTIONS(7033),
    [anon_sym_CARET] = ACTIONS(7033),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7033),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7033),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7033),
    [anon_sym_DOLLAR] = ACTIONS(7031),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7033),
    [anon_sym_BSLASHleft] = ACTIONS(7031),
    [anon_sym_BSLASHbigl] = ACTIONS(7031),
    [anon_sym_BSLASHBigl] = ACTIONS(7031),
    [anon_sym_BSLASHbiggl] = ACTIONS(7031),
    [anon_sym_BSLASHBiggl] = ACTIONS(7031),
    [anon_sym_BSLASHtext] = ACTIONS(7031),
    [anon_sym_BSLASHintertext] = ACTIONS(7031),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7031),
    [anon_sym_BSLASHbegin] = ACTIONS(7031),
    [anon_sym_BSLASHtitle] = ACTIONS(7031),
    [anon_sym_BSLASHauthor] = ACTIONS(7031),
    [anon_sym_BSLASHusepackage] = ACTIONS(7031),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7031),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7031),
    [anon_sym_BSLASHinclude] = ACTIONS(7031),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7031),
    [anon_sym_BSLASHinput] = ACTIONS(7031),
    [anon_sym_BSLASHsubfile] = ACTIONS(7031),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7031),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7031),
    [anon_sym_BSLASHbibliography] = ACTIONS(7031),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7031),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7031),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7031),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7031),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7031),
    [anon_sym_BSLASHimport] = ACTIONS(7031),
    [anon_sym_BSLASHsubimport] = ACTIONS(7031),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7031),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7031),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7031),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7031),
    [anon_sym_BSLASHcaption] = ACTIONS(7031),
    [anon_sym_BSLASHcite] = ACTIONS(7031),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHCite] = ACTIONS(7031),
    [anon_sym_BSLASHnocite] = ACTIONS(7031),
    [anon_sym_BSLASHcitet] = ACTIONS(7031),
    [anon_sym_BSLASHcitep] = ACTIONS(7031),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHciteA] = ACTIONS(7031),
    [anon_sym_BSLASHciteR] = ACTIONS(7031),
    [anon_sym_BSLASHciteS] = ACTIONS(7031),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7031),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7031),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7031),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7031),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHciteyear] = ACTIONS(7031),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcitedate] = ACTIONS(7031),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHciteurl] = ACTIONS(7031),
    [anon_sym_BSLASHfullcite] = ACTIONS(7031),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7031),
    [anon_sym_BSLASHcitealt] = ACTIONS(7031),
    [anon_sym_BSLASHcitealp] = ACTIONS(7031),
    [anon_sym_BSLASHcitetext] = ACTIONS(7031),
    [anon_sym_BSLASHparencite] = ACTIONS(7031),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHParencite] = ACTIONS(7031),
    [anon_sym_BSLASHfootcite] = ACTIONS(7031),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7031),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7031),
    [anon_sym_BSLASHtextcite] = ACTIONS(7031),
    [anon_sym_BSLASHTextcite] = ACTIONS(7031),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7031),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7031),
    [anon_sym_BSLASHsupercite] = ACTIONS(7031),
    [anon_sym_BSLASHautocite] = ACTIONS(7031),
    [anon_sym_BSLASHAutocite] = ACTIONS(7031),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHVolcite] = ACTIONS(7031),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHavolcite] = ACTIONS(7031),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7031),
    [anon_sym_BSLASHnotecite] = ACTIONS(7031),
    [anon_sym_BSLASHNotecite] = ACTIONS(7031),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7031),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7031),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7031),
    [anon_sym_BSLASHlabel] = ACTIONS(7031),
    [anon_sym_BSLASHref] = ACTIONS(7031),
    [anon_sym_BSLASHeqref] = ACTIONS(7031),
    [anon_sym_BSLASHvref] = ACTIONS(7031),
    [anon_sym_BSLASHVref] = ACTIONS(7031),
    [anon_sym_BSLASHautoref] = ACTIONS(7031),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHpageref] = ACTIONS(7031),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHautopageref] = ACTIONS(7031),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcref] = ACTIONS(7031),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHCref] = ACTIONS(7031),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcpageref] = ACTIONS(7031),
    [anon_sym_BSLASHCpageref] = ACTIONS(7031),
    [anon_sym_BSLASHnamecref] = ACTIONS(7031),
    [anon_sym_BSLASHnameCref] = ACTIONS(7031),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7031),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7031),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7031),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7031),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7031),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7031),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7031),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7031),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7031),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7031),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7031),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7031),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7031),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7031),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7031),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7031),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7031),
    [anon_sym_BSLASHdef] = ACTIONS(7031),
    [anon_sym_BSLASHgdef] = ACTIONS(7031),
    [anon_sym_BSLASHedef] = ACTIONS(7031),
    [anon_sym_BSLASHxdef] = ACTIONS(7031),
    [anon_sym_BSLASHlet] = ACTIONS(7031),
    [anon_sym_BSLASHglet] = ACTIONS(7031),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7031),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7031),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7031),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7031),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7031),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7031),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7031),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7031),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7031),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7031),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7031),
    [anon_sym_BSLASHgls] = ACTIONS(7031),
    [anon_sym_BSLASHGls] = ACTIONS(7031),
    [anon_sym_BSLASHGLS] = ACTIONS(7031),
    [anon_sym_BSLASHglspl] = ACTIONS(7031),
    [anon_sym_BSLASHGlspl] = ACTIONS(7031),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7031),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7031),
    [anon_sym_BSLASHglslink] = ACTIONS(7031),
    [anon_sym_BSLASHglstext] = ACTIONS(7031),
    [anon_sym_BSLASHGlstext] = ACTIONS(7031),
    [anon_sym_BSLASHGLStext] = ACTIONS(7031),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7031),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7031),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7031),
    [anon_sym_BSLASHglsplural] = ACTIONS(7031),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7031),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7031),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7031),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7031),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7031),
    [anon_sym_BSLASHglsname] = ACTIONS(7031),
    [anon_sym_BSLASHGlsname] = ACTIONS(7031),
    [anon_sym_BSLASHGLSname] = ACTIONS(7031),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7031),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7031),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7031),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7031),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7031),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7031),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7031),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7031),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7031),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7031),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7031),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7031),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7031),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7031),
    [anon_sym_BSLASHacrshort] = ACTIONS(7031),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7031),
    [anon_sym_BSLASHACRshort] = ACTIONS(7031),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7031),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7031),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7031),
    [anon_sym_BSLASHacrlong] = ACTIONS(7031),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7031),
    [anon_sym_BSLASHACRlong] = ACTIONS(7031),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7031),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7031),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7031),
    [anon_sym_BSLASHacrfull] = ACTIONS(7031),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7031),
    [anon_sym_BSLASHACRfull] = ACTIONS(7031),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7031),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7031),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7031),
    [anon_sym_BSLASHacs] = ACTIONS(7031),
    [anon_sym_BSLASHAcs] = ACTIONS(7031),
    [anon_sym_BSLASHacsp] = ACTIONS(7031),
    [anon_sym_BSLASHAcsp] = ACTIONS(7031),
    [anon_sym_BSLASHacl] = ACTIONS(7031),
    [anon_sym_BSLASHAcl] = ACTIONS(7031),
    [anon_sym_BSLASHaclp] = ACTIONS(7031),
    [anon_sym_BSLASHAclp] = ACTIONS(7031),
    [anon_sym_BSLASHacf] = ACTIONS(7031),
    [anon_sym_BSLASHAcf] = ACTIONS(7031),
    [anon_sym_BSLASHacfp] = ACTIONS(7031),
    [anon_sym_BSLASHAcfp] = ACTIONS(7031),
    [anon_sym_BSLASHac] = ACTIONS(7031),
    [anon_sym_BSLASHAc] = ACTIONS(7031),
    [anon_sym_BSLASHacp] = ACTIONS(7031),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7031),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7031),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7031),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7031),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7031),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7031),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7031),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7031),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7031),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7031),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7031),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7031),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7033),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7031),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7031),
    [anon_sym_BSLASHcolor] = ACTIONS(7031),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7031),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7031),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7031),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7031),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7031),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7031),
    [anon_sym_BSLASHurl] = ACTIONS(7031),
    [anon_sym_BSLASHhref] = ACTIONS(7031),
  },
  [1504] = {
    [sym_command_name] = ACTIONS(7051),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7051),
    [anon_sym_LBRACK] = ACTIONS(7053),
    [anon_sym_RBRACK] = ACTIONS(7053),
    [anon_sym_COMMA] = ACTIONS(7053),
    [anon_sym_EQ] = ACTIONS(7053),
    [anon_sym_LPAREN] = ACTIONS(7053),
    [anon_sym_RPAREN] = ACTIONS(7053),
    [anon_sym_BSLASHpart] = ACTIONS(7051),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHaddpart] = ACTIONS(7051),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHchapter] = ACTIONS(7051),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHaddchap] = ACTIONS(7051),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHsection] = ACTIONS(7051),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHaddsec] = ACTIONS(7051),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHsubsection] = ACTIONS(7051),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7051),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHparagraph] = ACTIONS(7051),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7051),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHitem] = ACTIONS(7051),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7053),
    [anon_sym_LBRACE] = ACTIONS(7053),
    [sym_word] = ACTIONS(7051),
    [sym_placeholder] = ACTIONS(7053),
    [sym_delimiter] = ACTIONS(7053),
    [anon_sym_PLUS] = ACTIONS(7053),
    [anon_sym_DASH] = ACTIONS(7053),
    [anon_sym_STAR] = ACTIONS(7053),
    [anon_sym_SLASH] = ACTIONS(7053),
    [anon_sym_LT] = ACTIONS(7051),
    [anon_sym_GT] = ACTIONS(7051),
    [anon_sym_BANG] = ACTIONS(7051),
    [anon_sym_PIPE] = ACTIONS(7051),
    [anon_sym_COLON] = ACTIONS(7051),
    [anon_sym_SQUOTE] = ACTIONS(7051),
    [anon_sym__] = ACTIONS(7053),
    [anon_sym_CARET] = ACTIONS(7053),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7053),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7053),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7053),
    [anon_sym_DOLLAR] = ACTIONS(7051),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7053),
    [anon_sym_BSLASHleft] = ACTIONS(7051),
    [anon_sym_BSLASHbigl] = ACTIONS(7051),
    [anon_sym_BSLASHBigl] = ACTIONS(7051),
    [anon_sym_BSLASHbiggl] = ACTIONS(7051),
    [anon_sym_BSLASHBiggl] = ACTIONS(7051),
    [anon_sym_BSLASHtext] = ACTIONS(7051),
    [anon_sym_BSLASHintertext] = ACTIONS(7051),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7051),
    [anon_sym_BSLASHbegin] = ACTIONS(7051),
    [anon_sym_BSLASHtitle] = ACTIONS(7051),
    [anon_sym_BSLASHauthor] = ACTIONS(7051),
    [anon_sym_BSLASHusepackage] = ACTIONS(7051),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7051),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7051),
    [anon_sym_BSLASHinclude] = ACTIONS(7051),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7051),
    [anon_sym_BSLASHinput] = ACTIONS(7051),
    [anon_sym_BSLASHsubfile] = ACTIONS(7051),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7051),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7051),
    [anon_sym_BSLASHbibliography] = ACTIONS(7051),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7051),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7051),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7051),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7051),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7051),
    [anon_sym_BSLASHimport] = ACTIONS(7051),
    [anon_sym_BSLASHsubimport] = ACTIONS(7051),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7051),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7051),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7051),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7051),
    [anon_sym_BSLASHcaption] = ACTIONS(7051),
    [anon_sym_BSLASHcite] = ACTIONS(7051),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCite] = ACTIONS(7051),
    [anon_sym_BSLASHnocite] = ACTIONS(7051),
    [anon_sym_BSLASHcitet] = ACTIONS(7051),
    [anon_sym_BSLASHcitep] = ACTIONS(7051),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteA] = ACTIONS(7051),
    [anon_sym_BSLASHciteR] = ACTIONS(7051),
    [anon_sym_BSLASHciteS] = ACTIONS(7051),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7051),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7051),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7051),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7051),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteyear] = ACTIONS(7051),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitedate] = ACTIONS(7051),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteurl] = ACTIONS(7051),
    [anon_sym_BSLASHfullcite] = ACTIONS(7051),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7051),
    [anon_sym_BSLASHcitealt] = ACTIONS(7051),
    [anon_sym_BSLASHcitealp] = ACTIONS(7051),
    [anon_sym_BSLASHcitetext] = ACTIONS(7051),
    [anon_sym_BSLASHparencite] = ACTIONS(7051),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHParencite] = ACTIONS(7051),
    [anon_sym_BSLASHfootcite] = ACTIONS(7051),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7051),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7051),
    [anon_sym_BSLASHtextcite] = ACTIONS(7051),
    [anon_sym_BSLASHTextcite] = ACTIONS(7051),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7051),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7051),
    [anon_sym_BSLASHsupercite] = ACTIONS(7051),
    [anon_sym_BSLASHautocite] = ACTIONS(7051),
    [anon_sym_BSLASHAutocite] = ACTIONS(7051),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHVolcite] = ACTIONS(7051),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHavolcite] = ACTIONS(7051),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHNotecite] = ACTIONS(7051),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHlabel] = ACTIONS(7051),
    [anon_sym_BSLASHref] = ACTIONS(7051),
    [anon_sym_BSLASHeqref] = ACTIONS(7051),
    [anon_sym_BSLASHvref] = ACTIONS(7051),
    [anon_sym_BSLASHVref] = ACTIONS(7051),
    [anon_sym_BSLASHautoref] = ACTIONS(7051),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHpageref] = ACTIONS(7051),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHautopageref] = ACTIONS(7051),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcref] = ACTIONS(7051),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCref] = ACTIONS(7051),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcpageref] = ACTIONS(7051),
    [anon_sym_BSLASHCpageref] = ACTIONS(7051),
    [anon_sym_BSLASHnamecref] = ACTIONS(7051),
    [anon_sym_BSLASHnameCref] = ACTIONS(7051),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7051),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7051),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7051),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7051),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7051),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7051),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7051),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7051),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7051),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7051),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7051),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHdef] = ACTIONS(7051),
    [anon_sym_BSLASHgdef] = ACTIONS(7051),
    [anon_sym_BSLASHedef] = ACTIONS(7051),
    [anon_sym_BSLASHxdef] = ACTIONS(7051),
    [anon_sym_BSLASHlet] = ACTIONS(7051),
    [anon_sym_BSLASHglet] = ACTIONS(7051),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7051),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7051),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7051),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7051),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7051),
    [anon_sym_BSLASHgls] = ACTIONS(7051),
    [anon_sym_BSLASHGls] = ACTIONS(7051),
    [anon_sym_BSLASHGLS] = ACTIONS(7051),
    [anon_sym_BSLASHglspl] = ACTIONS(7051),
    [anon_sym_BSLASHGlspl] = ACTIONS(7051),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7051),
    [anon_sym_BSLASHglslink] = ACTIONS(7051),
    [anon_sym_BSLASHglstext] = ACTIONS(7051),
    [anon_sym_BSLASHGlstext] = ACTIONS(7051),
    [anon_sym_BSLASHGLStext] = ACTIONS(7051),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7051),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7051),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7051),
    [anon_sym_BSLASHglsplural] = ACTIONS(7051),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7051),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7051),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHglsname] = ACTIONS(7051),
    [anon_sym_BSLASHGlsname] = ACTIONS(7051),
    [anon_sym_BSLASHGLSname] = ACTIONS(7051),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7051),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7051),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7051),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7051),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7051),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7051),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7051),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7051),
    [anon_sym_BSLASHacrshort] = ACTIONS(7051),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7051),
    [anon_sym_BSLASHACRshort] = ACTIONS(7051),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHacrlong] = ACTIONS(7051),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7051),
    [anon_sym_BSLASHACRlong] = ACTIONS(7051),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHacrfull] = ACTIONS(7051),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7051),
    [anon_sym_BSLASHACRfull] = ACTIONS(7051),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHacs] = ACTIONS(7051),
    [anon_sym_BSLASHAcs] = ACTIONS(7051),
    [anon_sym_BSLASHacsp] = ACTIONS(7051),
    [anon_sym_BSLASHAcsp] = ACTIONS(7051),
    [anon_sym_BSLASHacl] = ACTIONS(7051),
    [anon_sym_BSLASHAcl] = ACTIONS(7051),
    [anon_sym_BSLASHaclp] = ACTIONS(7051),
    [anon_sym_BSLASHAclp] = ACTIONS(7051),
    [anon_sym_BSLASHacf] = ACTIONS(7051),
    [anon_sym_BSLASHAcf] = ACTIONS(7051),
    [anon_sym_BSLASHacfp] = ACTIONS(7051),
    [anon_sym_BSLASHAcfp] = ACTIONS(7051),
    [anon_sym_BSLASHac] = ACTIONS(7051),
    [anon_sym_BSLASHAc] = ACTIONS(7051),
    [anon_sym_BSLASHacp] = ACTIONS(7051),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7051),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7051),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7051),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7051),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7051),
    [anon_sym_BSLASHcolor] = ACTIONS(7051),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7051),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7051),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7051),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7051),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7051),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7051),
    [anon_sym_BSLASHurl] = ACTIONS(7051),
    [anon_sym_BSLASHhref] = ACTIONS(7051),
  },
  [1505] = {
    [sym_command_name] = ACTIONS(7227),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7227),
    [anon_sym_LBRACK] = ACTIONS(7229),
    [anon_sym_RBRACK] = ACTIONS(7229),
    [anon_sym_COMMA] = ACTIONS(7229),
    [anon_sym_EQ] = ACTIONS(7229),
    [anon_sym_LPAREN] = ACTIONS(7229),
    [anon_sym_RPAREN] = ACTIONS(7229),
    [anon_sym_BSLASHpart] = ACTIONS(7227),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHaddpart] = ACTIONS(7227),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHchapter] = ACTIONS(7227),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHaddchap] = ACTIONS(7227),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHsection] = ACTIONS(7227),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHaddsec] = ACTIONS(7227),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHsubsection] = ACTIONS(7227),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7227),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHparagraph] = ACTIONS(7227),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7227),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHitem] = ACTIONS(7227),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7229),
    [anon_sym_LBRACE] = ACTIONS(7229),
    [sym_word] = ACTIONS(7227),
    [sym_placeholder] = ACTIONS(7229),
    [sym_delimiter] = ACTIONS(7229),
    [anon_sym_PLUS] = ACTIONS(7229),
    [anon_sym_DASH] = ACTIONS(7229),
    [anon_sym_STAR] = ACTIONS(7229),
    [anon_sym_SLASH] = ACTIONS(7229),
    [anon_sym_LT] = ACTIONS(7227),
    [anon_sym_GT] = ACTIONS(7227),
    [anon_sym_BANG] = ACTIONS(7227),
    [anon_sym_PIPE] = ACTIONS(7227),
    [anon_sym_COLON] = ACTIONS(7227),
    [anon_sym_SQUOTE] = ACTIONS(7227),
    [anon_sym__] = ACTIONS(7229),
    [anon_sym_CARET] = ACTIONS(7229),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7229),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7229),
    [anon_sym_DOLLAR] = ACTIONS(7227),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7229),
    [anon_sym_BSLASHleft] = ACTIONS(7227),
    [anon_sym_BSLASHbigl] = ACTIONS(7227),
    [anon_sym_BSLASHBigl] = ACTIONS(7227),
    [anon_sym_BSLASHbiggl] = ACTIONS(7227),
    [anon_sym_BSLASHBiggl] = ACTIONS(7227),
    [anon_sym_BSLASHtext] = ACTIONS(7227),
    [anon_sym_BSLASHintertext] = ACTIONS(7227),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7227),
    [anon_sym_BSLASHbegin] = ACTIONS(7227),
    [anon_sym_BSLASHtitle] = ACTIONS(7227),
    [anon_sym_BSLASHauthor] = ACTIONS(7227),
    [anon_sym_BSLASHusepackage] = ACTIONS(7227),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7227),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7227),
    [anon_sym_BSLASHinclude] = ACTIONS(7227),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7227),
    [anon_sym_BSLASHinput] = ACTIONS(7227),
    [anon_sym_BSLASHsubfile] = ACTIONS(7227),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7227),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7227),
    [anon_sym_BSLASHbibliography] = ACTIONS(7227),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7227),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7227),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7227),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7227),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7227),
    [anon_sym_BSLASHimport] = ACTIONS(7227),
    [anon_sym_BSLASHsubimport] = ACTIONS(7227),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7227),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7227),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7227),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7227),
    [anon_sym_BSLASHcaption] = ACTIONS(7227),
    [anon_sym_BSLASHcite] = ACTIONS(7227),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCite] = ACTIONS(7227),
    [anon_sym_BSLASHnocite] = ACTIONS(7227),
    [anon_sym_BSLASHcitet] = ACTIONS(7227),
    [anon_sym_BSLASHcitep] = ACTIONS(7227),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteA] = ACTIONS(7227),
    [anon_sym_BSLASHciteR] = ACTIONS(7227),
    [anon_sym_BSLASHciteS] = ACTIONS(7227),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7227),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7227),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7227),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7227),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteyear] = ACTIONS(7227),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitedate] = ACTIONS(7227),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteurl] = ACTIONS(7227),
    [anon_sym_BSLASHfullcite] = ACTIONS(7227),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7227),
    [anon_sym_BSLASHcitealt] = ACTIONS(7227),
    [anon_sym_BSLASHcitealp] = ACTIONS(7227),
    [anon_sym_BSLASHcitetext] = ACTIONS(7227),
    [anon_sym_BSLASHparencite] = ACTIONS(7227),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHParencite] = ACTIONS(7227),
    [anon_sym_BSLASHfootcite] = ACTIONS(7227),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7227),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7227),
    [anon_sym_BSLASHtextcite] = ACTIONS(7227),
    [anon_sym_BSLASHTextcite] = ACTIONS(7227),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7227),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7227),
    [anon_sym_BSLASHsupercite] = ACTIONS(7227),
    [anon_sym_BSLASHautocite] = ACTIONS(7227),
    [anon_sym_BSLASHAutocite] = ACTIONS(7227),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHVolcite] = ACTIONS(7227),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHavolcite] = ACTIONS(7227),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHNotecite] = ACTIONS(7227),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHlabel] = ACTIONS(7227),
    [anon_sym_BSLASHref] = ACTIONS(7227),
    [anon_sym_BSLASHeqref] = ACTIONS(7227),
    [anon_sym_BSLASHvref] = ACTIONS(7227),
    [anon_sym_BSLASHVref] = ACTIONS(7227),
    [anon_sym_BSLASHautoref] = ACTIONS(7227),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHpageref] = ACTIONS(7227),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHautopageref] = ACTIONS(7227),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcref] = ACTIONS(7227),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCref] = ACTIONS(7227),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcpageref] = ACTIONS(7227),
    [anon_sym_BSLASHCpageref] = ACTIONS(7227),
    [anon_sym_BSLASHnamecref] = ACTIONS(7227),
    [anon_sym_BSLASHnameCref] = ACTIONS(7227),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7227),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7227),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7227),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7227),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7227),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7227),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7227),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7227),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7227),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7227),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7227),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHdef] = ACTIONS(7227),
    [anon_sym_BSLASHgdef] = ACTIONS(7227),
    [anon_sym_BSLASHedef] = ACTIONS(7227),
    [anon_sym_BSLASHxdef] = ACTIONS(7227),
    [anon_sym_BSLASHlet] = ACTIONS(7227),
    [anon_sym_BSLASHglet] = ACTIONS(7227),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7227),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7227),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7227),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7227),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7227),
    [anon_sym_BSLASHgls] = ACTIONS(7227),
    [anon_sym_BSLASHGls] = ACTIONS(7227),
    [anon_sym_BSLASHGLS] = ACTIONS(7227),
    [anon_sym_BSLASHglspl] = ACTIONS(7227),
    [anon_sym_BSLASHGlspl] = ACTIONS(7227),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7227),
    [anon_sym_BSLASHglslink] = ACTIONS(7227),
    [anon_sym_BSLASHglstext] = ACTIONS(7227),
    [anon_sym_BSLASHGlstext] = ACTIONS(7227),
    [anon_sym_BSLASHGLStext] = ACTIONS(7227),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7227),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7227),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7227),
    [anon_sym_BSLASHglsplural] = ACTIONS(7227),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7227),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7227),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHglsname] = ACTIONS(7227),
    [anon_sym_BSLASHGlsname] = ACTIONS(7227),
    [anon_sym_BSLASHGLSname] = ACTIONS(7227),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7227),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7227),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7227),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7227),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7227),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7227),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7227),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7227),
    [anon_sym_BSLASHacrshort] = ACTIONS(7227),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7227),
    [anon_sym_BSLASHACRshort] = ACTIONS(7227),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHacrlong] = ACTIONS(7227),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7227),
    [anon_sym_BSLASHACRlong] = ACTIONS(7227),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHacrfull] = ACTIONS(7227),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7227),
    [anon_sym_BSLASHACRfull] = ACTIONS(7227),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHacs] = ACTIONS(7227),
    [anon_sym_BSLASHAcs] = ACTIONS(7227),
    [anon_sym_BSLASHacsp] = ACTIONS(7227),
    [anon_sym_BSLASHAcsp] = ACTIONS(7227),
    [anon_sym_BSLASHacl] = ACTIONS(7227),
    [anon_sym_BSLASHAcl] = ACTIONS(7227),
    [anon_sym_BSLASHaclp] = ACTIONS(7227),
    [anon_sym_BSLASHAclp] = ACTIONS(7227),
    [anon_sym_BSLASHacf] = ACTIONS(7227),
    [anon_sym_BSLASHAcf] = ACTIONS(7227),
    [anon_sym_BSLASHacfp] = ACTIONS(7227),
    [anon_sym_BSLASHAcfp] = ACTIONS(7227),
    [anon_sym_BSLASHac] = ACTIONS(7227),
    [anon_sym_BSLASHAc] = ACTIONS(7227),
    [anon_sym_BSLASHacp] = ACTIONS(7227),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7227),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7227),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7227),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7227),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7227),
    [anon_sym_BSLASHcolor] = ACTIONS(7227),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7227),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7227),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7227),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7227),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7227),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7227),
    [anon_sym_BSLASHurl] = ACTIONS(7227),
    [anon_sym_BSLASHhref] = ACTIONS(7227),
  },
  [1506] = {
    [sym_command_name] = ACTIONS(7231),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7231),
    [anon_sym_LBRACK] = ACTIONS(7233),
    [anon_sym_RBRACK] = ACTIONS(7233),
    [anon_sym_COMMA] = ACTIONS(7233),
    [anon_sym_EQ] = ACTIONS(7233),
    [anon_sym_LPAREN] = ACTIONS(7233),
    [anon_sym_RPAREN] = ACTIONS(7233),
    [anon_sym_BSLASHpart] = ACTIONS(7231),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHaddpart] = ACTIONS(7231),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHchapter] = ACTIONS(7231),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHaddchap] = ACTIONS(7231),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHsection] = ACTIONS(7231),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHaddsec] = ACTIONS(7231),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHsubsection] = ACTIONS(7231),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7231),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHparagraph] = ACTIONS(7231),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7231),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHitem] = ACTIONS(7231),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7233),
    [anon_sym_LBRACE] = ACTIONS(7233),
    [sym_word] = ACTIONS(7231),
    [sym_placeholder] = ACTIONS(7233),
    [sym_delimiter] = ACTIONS(7233),
    [anon_sym_PLUS] = ACTIONS(7233),
    [anon_sym_DASH] = ACTIONS(7233),
    [anon_sym_STAR] = ACTIONS(7233),
    [anon_sym_SLASH] = ACTIONS(7233),
    [anon_sym_LT] = ACTIONS(7231),
    [anon_sym_GT] = ACTIONS(7231),
    [anon_sym_BANG] = ACTIONS(7231),
    [anon_sym_PIPE] = ACTIONS(7231),
    [anon_sym_COLON] = ACTIONS(7231),
    [anon_sym_SQUOTE] = ACTIONS(7231),
    [anon_sym__] = ACTIONS(7233),
    [anon_sym_CARET] = ACTIONS(7233),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7233),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7233),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7233),
    [anon_sym_DOLLAR] = ACTIONS(7231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7233),
    [anon_sym_BSLASHleft] = ACTIONS(7231),
    [anon_sym_BSLASHbigl] = ACTIONS(7231),
    [anon_sym_BSLASHBigl] = ACTIONS(7231),
    [anon_sym_BSLASHbiggl] = ACTIONS(7231),
    [anon_sym_BSLASHBiggl] = ACTIONS(7231),
    [anon_sym_BSLASHtext] = ACTIONS(7231),
    [anon_sym_BSLASHintertext] = ACTIONS(7231),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7231),
    [anon_sym_BSLASHbegin] = ACTIONS(7231),
    [anon_sym_BSLASHtitle] = ACTIONS(7231),
    [anon_sym_BSLASHauthor] = ACTIONS(7231),
    [anon_sym_BSLASHusepackage] = ACTIONS(7231),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7231),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7231),
    [anon_sym_BSLASHinclude] = ACTIONS(7231),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7231),
    [anon_sym_BSLASHinput] = ACTIONS(7231),
    [anon_sym_BSLASHsubfile] = ACTIONS(7231),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7231),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7231),
    [anon_sym_BSLASHbibliography] = ACTIONS(7231),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7231),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7231),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7231),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7231),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7231),
    [anon_sym_BSLASHimport] = ACTIONS(7231),
    [anon_sym_BSLASHsubimport] = ACTIONS(7231),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7231),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7231),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7231),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7231),
    [anon_sym_BSLASHcaption] = ACTIONS(7231),
    [anon_sym_BSLASHcite] = ACTIONS(7231),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCite] = ACTIONS(7231),
    [anon_sym_BSLASHnocite] = ACTIONS(7231),
    [anon_sym_BSLASHcitet] = ACTIONS(7231),
    [anon_sym_BSLASHcitep] = ACTIONS(7231),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteA] = ACTIONS(7231),
    [anon_sym_BSLASHciteR] = ACTIONS(7231),
    [anon_sym_BSLASHciteS] = ACTIONS(7231),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7231),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7231),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7231),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7231),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteyear] = ACTIONS(7231),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitedate] = ACTIONS(7231),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteurl] = ACTIONS(7231),
    [anon_sym_BSLASHfullcite] = ACTIONS(7231),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7231),
    [anon_sym_BSLASHcitealt] = ACTIONS(7231),
    [anon_sym_BSLASHcitealp] = ACTIONS(7231),
    [anon_sym_BSLASHcitetext] = ACTIONS(7231),
    [anon_sym_BSLASHparencite] = ACTIONS(7231),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHParencite] = ACTIONS(7231),
    [anon_sym_BSLASHfootcite] = ACTIONS(7231),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7231),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7231),
    [anon_sym_BSLASHtextcite] = ACTIONS(7231),
    [anon_sym_BSLASHTextcite] = ACTIONS(7231),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7231),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7231),
    [anon_sym_BSLASHsupercite] = ACTIONS(7231),
    [anon_sym_BSLASHautocite] = ACTIONS(7231),
    [anon_sym_BSLASHAutocite] = ACTIONS(7231),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHVolcite] = ACTIONS(7231),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHavolcite] = ACTIONS(7231),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHNotecite] = ACTIONS(7231),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHlabel] = ACTIONS(7231),
    [anon_sym_BSLASHref] = ACTIONS(7231),
    [anon_sym_BSLASHeqref] = ACTIONS(7231),
    [anon_sym_BSLASHvref] = ACTIONS(7231),
    [anon_sym_BSLASHVref] = ACTIONS(7231),
    [anon_sym_BSLASHautoref] = ACTIONS(7231),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHpageref] = ACTIONS(7231),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHautopageref] = ACTIONS(7231),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcref] = ACTIONS(7231),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCref] = ACTIONS(7231),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcpageref] = ACTIONS(7231),
    [anon_sym_BSLASHCpageref] = ACTIONS(7231),
    [anon_sym_BSLASHnamecref] = ACTIONS(7231),
    [anon_sym_BSLASHnameCref] = ACTIONS(7231),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7231),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7231),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7231),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7231),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7231),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7231),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7231),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7231),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7231),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7231),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7231),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHdef] = ACTIONS(7231),
    [anon_sym_BSLASHgdef] = ACTIONS(7231),
    [anon_sym_BSLASHedef] = ACTIONS(7231),
    [anon_sym_BSLASHxdef] = ACTIONS(7231),
    [anon_sym_BSLASHlet] = ACTIONS(7231),
    [anon_sym_BSLASHglet] = ACTIONS(7231),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7231),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7231),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7231),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7231),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7231),
    [anon_sym_BSLASHgls] = ACTIONS(7231),
    [anon_sym_BSLASHGls] = ACTIONS(7231),
    [anon_sym_BSLASHGLS] = ACTIONS(7231),
    [anon_sym_BSLASHglspl] = ACTIONS(7231),
    [anon_sym_BSLASHGlspl] = ACTIONS(7231),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7231),
    [anon_sym_BSLASHglslink] = ACTIONS(7231),
    [anon_sym_BSLASHglstext] = ACTIONS(7231),
    [anon_sym_BSLASHGlstext] = ACTIONS(7231),
    [anon_sym_BSLASHGLStext] = ACTIONS(7231),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7231),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7231),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7231),
    [anon_sym_BSLASHglsplural] = ACTIONS(7231),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7231),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7231),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHglsname] = ACTIONS(7231),
    [anon_sym_BSLASHGlsname] = ACTIONS(7231),
    [anon_sym_BSLASHGLSname] = ACTIONS(7231),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7231),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7231),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7231),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7231),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7231),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7231),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7231),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7231),
    [anon_sym_BSLASHacrshort] = ACTIONS(7231),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7231),
    [anon_sym_BSLASHACRshort] = ACTIONS(7231),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHacrlong] = ACTIONS(7231),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7231),
    [anon_sym_BSLASHACRlong] = ACTIONS(7231),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHacrfull] = ACTIONS(7231),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7231),
    [anon_sym_BSLASHACRfull] = ACTIONS(7231),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHacs] = ACTIONS(7231),
    [anon_sym_BSLASHAcs] = ACTIONS(7231),
    [anon_sym_BSLASHacsp] = ACTIONS(7231),
    [anon_sym_BSLASHAcsp] = ACTIONS(7231),
    [anon_sym_BSLASHacl] = ACTIONS(7231),
    [anon_sym_BSLASHAcl] = ACTIONS(7231),
    [anon_sym_BSLASHaclp] = ACTIONS(7231),
    [anon_sym_BSLASHAclp] = ACTIONS(7231),
    [anon_sym_BSLASHacf] = ACTIONS(7231),
    [anon_sym_BSLASHAcf] = ACTIONS(7231),
    [anon_sym_BSLASHacfp] = ACTIONS(7231),
    [anon_sym_BSLASHAcfp] = ACTIONS(7231),
    [anon_sym_BSLASHac] = ACTIONS(7231),
    [anon_sym_BSLASHAc] = ACTIONS(7231),
    [anon_sym_BSLASHacp] = ACTIONS(7231),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7231),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7231),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7231),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7231),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7231),
    [anon_sym_BSLASHcolor] = ACTIONS(7231),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7231),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7231),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7231),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7231),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7231),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7231),
    [anon_sym_BSLASHurl] = ACTIONS(7231),
    [anon_sym_BSLASHhref] = ACTIONS(7231),
  },
  [1507] = {
    [sym_command_name] = ACTIONS(7579),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7579),
    [anon_sym_LBRACK] = ACTIONS(7581),
    [anon_sym_RBRACK] = ACTIONS(7581),
    [anon_sym_COMMA] = ACTIONS(7581),
    [anon_sym_EQ] = ACTIONS(7581),
    [anon_sym_LPAREN] = ACTIONS(7581),
    [anon_sym_RPAREN] = ACTIONS(7581),
    [anon_sym_BSLASHpart] = ACTIONS(7579),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHaddpart] = ACTIONS(7579),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHchapter] = ACTIONS(7579),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHaddchap] = ACTIONS(7579),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHsection] = ACTIONS(7579),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHaddsec] = ACTIONS(7579),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHsubsection] = ACTIONS(7579),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7579),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHparagraph] = ACTIONS(7579),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7579),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHitem] = ACTIONS(7579),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7581),
    [anon_sym_LBRACE] = ACTIONS(7581),
    [sym_word] = ACTIONS(7579),
    [sym_placeholder] = ACTIONS(7581),
    [sym_delimiter] = ACTIONS(7581),
    [anon_sym_PLUS] = ACTIONS(7581),
    [anon_sym_DASH] = ACTIONS(7581),
    [anon_sym_STAR] = ACTIONS(7581),
    [anon_sym_SLASH] = ACTIONS(7581),
    [anon_sym_LT] = ACTIONS(7579),
    [anon_sym_GT] = ACTIONS(7579),
    [anon_sym_BANG] = ACTIONS(7579),
    [anon_sym_PIPE] = ACTIONS(7579),
    [anon_sym_COLON] = ACTIONS(7579),
    [anon_sym_SQUOTE] = ACTIONS(7579),
    [anon_sym__] = ACTIONS(7581),
    [anon_sym_CARET] = ACTIONS(7581),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7581),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7581),
    [anon_sym_DOLLAR] = ACTIONS(7579),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7581),
    [anon_sym_BSLASHleft] = ACTIONS(7579),
    [anon_sym_BSLASHbigl] = ACTIONS(7579),
    [anon_sym_BSLASHBigl] = ACTIONS(7579),
    [anon_sym_BSLASHbiggl] = ACTIONS(7579),
    [anon_sym_BSLASHBiggl] = ACTIONS(7579),
    [anon_sym_BSLASHtext] = ACTIONS(7579),
    [anon_sym_BSLASHintertext] = ACTIONS(7579),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7579),
    [anon_sym_BSLASHbegin] = ACTIONS(7579),
    [anon_sym_BSLASHend] = ACTIONS(7579),
    [anon_sym_BSLASHtitle] = ACTIONS(7579),
    [anon_sym_BSLASHauthor] = ACTIONS(7579),
    [anon_sym_BSLASHusepackage] = ACTIONS(7579),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7579),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7579),
    [anon_sym_BSLASHinclude] = ACTIONS(7579),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7579),
    [anon_sym_BSLASHinput] = ACTIONS(7579),
    [anon_sym_BSLASHsubfile] = ACTIONS(7579),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7579),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7579),
    [anon_sym_BSLASHbibliography] = ACTIONS(7579),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7579),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7579),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7579),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7579),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7579),
    [anon_sym_BSLASHimport] = ACTIONS(7579),
    [anon_sym_BSLASHsubimport] = ACTIONS(7579),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7579),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7579),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7579),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7579),
    [anon_sym_BSLASHcaption] = ACTIONS(7579),
    [anon_sym_BSLASHcite] = ACTIONS(7579),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCite] = ACTIONS(7579),
    [anon_sym_BSLASHnocite] = ACTIONS(7579),
    [anon_sym_BSLASHcitet] = ACTIONS(7579),
    [anon_sym_BSLASHcitep] = ACTIONS(7579),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteA] = ACTIONS(7579),
    [anon_sym_BSLASHciteR] = ACTIONS(7579),
    [anon_sym_BSLASHciteS] = ACTIONS(7579),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7579),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7579),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7579),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7579),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteyear] = ACTIONS(7579),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitedate] = ACTIONS(7579),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteurl] = ACTIONS(7579),
    [anon_sym_BSLASHfullcite] = ACTIONS(7579),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7579),
    [anon_sym_BSLASHcitealt] = ACTIONS(7579),
    [anon_sym_BSLASHcitealp] = ACTIONS(7579),
    [anon_sym_BSLASHcitetext] = ACTIONS(7579),
    [anon_sym_BSLASHparencite] = ACTIONS(7579),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHParencite] = ACTIONS(7579),
    [anon_sym_BSLASHfootcite] = ACTIONS(7579),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7579),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7579),
    [anon_sym_BSLASHtextcite] = ACTIONS(7579),
    [anon_sym_BSLASHTextcite] = ACTIONS(7579),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7579),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7579),
    [anon_sym_BSLASHsupercite] = ACTIONS(7579),
    [anon_sym_BSLASHautocite] = ACTIONS(7579),
    [anon_sym_BSLASHAutocite] = ACTIONS(7579),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHVolcite] = ACTIONS(7579),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHavolcite] = ACTIONS(7579),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHNotecite] = ACTIONS(7579),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHlabel] = ACTIONS(7579),
    [anon_sym_BSLASHref] = ACTIONS(7579),
    [anon_sym_BSLASHeqref] = ACTIONS(7579),
    [anon_sym_BSLASHvref] = ACTIONS(7579),
    [anon_sym_BSLASHVref] = ACTIONS(7579),
    [anon_sym_BSLASHautoref] = ACTIONS(7579),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHpageref] = ACTIONS(7579),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHautopageref] = ACTIONS(7579),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcref] = ACTIONS(7579),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCref] = ACTIONS(7579),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcpageref] = ACTIONS(7579),
    [anon_sym_BSLASHCpageref] = ACTIONS(7579),
    [anon_sym_BSLASHnamecref] = ACTIONS(7579),
    [anon_sym_BSLASHnameCref] = ACTIONS(7579),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7579),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7579),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7579),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7579),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7579),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7579),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7579),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7579),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7579),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7579),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7579),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHdef] = ACTIONS(7579),
    [anon_sym_BSLASHgdef] = ACTIONS(7579),
    [anon_sym_BSLASHedef] = ACTIONS(7579),
    [anon_sym_BSLASHxdef] = ACTIONS(7579),
    [anon_sym_BSLASHlet] = ACTIONS(7579),
    [anon_sym_BSLASHglet] = ACTIONS(7579),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7579),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7579),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7579),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7579),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7579),
    [anon_sym_BSLASHgls] = ACTIONS(7579),
    [anon_sym_BSLASHGls] = ACTIONS(7579),
    [anon_sym_BSLASHGLS] = ACTIONS(7579),
    [anon_sym_BSLASHglspl] = ACTIONS(7579),
    [anon_sym_BSLASHGlspl] = ACTIONS(7579),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7579),
    [anon_sym_BSLASHglslink] = ACTIONS(7579),
    [anon_sym_BSLASHglstext] = ACTIONS(7579),
    [anon_sym_BSLASHGlstext] = ACTIONS(7579),
    [anon_sym_BSLASHGLStext] = ACTIONS(7579),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7579),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7579),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7579),
    [anon_sym_BSLASHglsplural] = ACTIONS(7579),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7579),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7579),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHglsname] = ACTIONS(7579),
    [anon_sym_BSLASHGlsname] = ACTIONS(7579),
    [anon_sym_BSLASHGLSname] = ACTIONS(7579),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7579),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7579),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7579),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7579),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7579),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7579),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7579),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7579),
    [anon_sym_BSLASHacrshort] = ACTIONS(7579),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7579),
    [anon_sym_BSLASHACRshort] = ACTIONS(7579),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHacrlong] = ACTIONS(7579),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7579),
    [anon_sym_BSLASHACRlong] = ACTIONS(7579),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHacrfull] = ACTIONS(7579),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7579),
    [anon_sym_BSLASHACRfull] = ACTIONS(7579),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHacs] = ACTIONS(7579),
    [anon_sym_BSLASHAcs] = ACTIONS(7579),
    [anon_sym_BSLASHacsp] = ACTIONS(7579),
    [anon_sym_BSLASHAcsp] = ACTIONS(7579),
    [anon_sym_BSLASHacl] = ACTIONS(7579),
    [anon_sym_BSLASHAcl] = ACTIONS(7579),
    [anon_sym_BSLASHaclp] = ACTIONS(7579),
    [anon_sym_BSLASHAclp] = ACTIONS(7579),
    [anon_sym_BSLASHacf] = ACTIONS(7579),
    [anon_sym_BSLASHAcf] = ACTIONS(7579),
    [anon_sym_BSLASHacfp] = ACTIONS(7579),
    [anon_sym_BSLASHAcfp] = ACTIONS(7579),
    [anon_sym_BSLASHac] = ACTIONS(7579),
    [anon_sym_BSLASHAc] = ACTIONS(7579),
    [anon_sym_BSLASHacp] = ACTIONS(7579),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7579),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7579),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7579),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7579),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7579),
    [anon_sym_BSLASHcolor] = ACTIONS(7579),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7579),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7579),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7579),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7579),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7579),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7579),
    [anon_sym_BSLASHurl] = ACTIONS(7579),
    [anon_sym_BSLASHhref] = ACTIONS(7579),
  },
  [1508] = {
    [sym_command_name] = ACTIONS(157),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(157),
    [anon_sym_LBRACK] = ACTIONS(159),
    [anon_sym_RBRACK] = ACTIONS(159),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_RPAREN] = ACTIONS(159),
    [anon_sym_BSLASHpart] = ACTIONS(157),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddpart] = ACTIONS(157),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(159),
    [anon_sym_BSLASHchapter] = ACTIONS(157),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddchap] = ACTIONS(157),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsection] = ACTIONS(157),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHaddsec] = ACTIONS(157),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubsection] = ACTIONS(157),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(157),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(159),
    [anon_sym_BSLASHparagraph] = ACTIONS(157),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(159),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(157),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(159),
    [anon_sym_BSLASHitem] = ACTIONS(157),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(159),
    [anon_sym_LBRACE] = ACTIONS(159),
    [sym_word] = ACTIONS(157),
    [sym_placeholder] = ACTIONS(159),
    [sym_delimiter] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_SLASH] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(157),
    [anon_sym_GT] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(157),
    [anon_sym_PIPE] = ACTIONS(157),
    [anon_sym_COLON] = ACTIONS(157),
    [anon_sym_SQUOTE] = ACTIONS(157),
    [anon_sym__] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(159),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(159),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(159),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(159),
    [anon_sym_BSLASHleft] = ACTIONS(157),
    [anon_sym_BSLASHbigl] = ACTIONS(157),
    [anon_sym_BSLASHBigl] = ACTIONS(157),
    [anon_sym_BSLASHbiggl] = ACTIONS(157),
    [anon_sym_BSLASHBiggl] = ACTIONS(157),
    [anon_sym_BSLASHtext] = ACTIONS(157),
    [anon_sym_BSLASHintertext] = ACTIONS(157),
    [anon_sym_BSLASHshortintertext] = ACTIONS(157),
    [anon_sym_BSLASHbegin] = ACTIONS(157),
    [anon_sym_BSLASHtitle] = ACTIONS(157),
    [anon_sym_BSLASHauthor] = ACTIONS(157),
    [anon_sym_BSLASHusepackage] = ACTIONS(157),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(157),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(157),
    [anon_sym_BSLASHinclude] = ACTIONS(157),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(157),
    [anon_sym_BSLASHinput] = ACTIONS(157),
    [anon_sym_BSLASHsubfile] = ACTIONS(157),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(157),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(157),
    [anon_sym_BSLASHbibliography] = ACTIONS(157),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(157),
    [anon_sym_BSLASHincludesvg] = ACTIONS(157),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(157),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(157),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(157),
    [anon_sym_BSLASHimport] = ACTIONS(157),
    [anon_sym_BSLASHsubimport] = ACTIONS(157),
    [anon_sym_BSLASHinputfrom] = ACTIONS(157),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(157),
    [anon_sym_BSLASHincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHcaption] = ACTIONS(157),
    [anon_sym_BSLASHcite] = ACTIONS(157),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCite] = ACTIONS(157),
    [anon_sym_BSLASHnocite] = ACTIONS(157),
    [anon_sym_BSLASHcitet] = ACTIONS(157),
    [anon_sym_BSLASHcitep] = ACTIONS(157),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteA] = ACTIONS(157),
    [anon_sym_BSLASHciteR] = ACTIONS(157),
    [anon_sym_BSLASHciteS] = ACTIONS(157),
    [anon_sym_BSLASHciteyearR] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(157),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitetitle] = ACTIONS(157),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteyear] = ACTIONS(157),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitedate] = ACTIONS(157),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteurl] = ACTIONS(157),
    [anon_sym_BSLASHfullcite] = ACTIONS(157),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(157),
    [anon_sym_BSLASHcitealt] = ACTIONS(157),
    [anon_sym_BSLASHcitealp] = ACTIONS(157),
    [anon_sym_BSLASHcitetext] = ACTIONS(157),
    [anon_sym_BSLASHparencite] = ACTIONS(157),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHParencite] = ACTIONS(157),
    [anon_sym_BSLASHfootcite] = ACTIONS(157),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(157),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(157),
    [anon_sym_BSLASHtextcite] = ACTIONS(157),
    [anon_sym_BSLASHTextcite] = ACTIONS(157),
    [anon_sym_BSLASHsmartcite] = ACTIONS(157),
    [anon_sym_BSLASHSmartcite] = ACTIONS(157),
    [anon_sym_BSLASHsupercite] = ACTIONS(157),
    [anon_sym_BSLASHautocite] = ACTIONS(157),
    [anon_sym_BSLASHAutocite] = ACTIONS(157),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHvolcite] = ACTIONS(157),
    [anon_sym_BSLASHVolcite] = ACTIONS(157),
    [anon_sym_BSLASHpvolcite] = ACTIONS(157),
    [anon_sym_BSLASHPvolcite] = ACTIONS(157),
    [anon_sym_BSLASHfvolcite] = ACTIONS(157),
    [anon_sym_BSLASHftvolcite] = ACTIONS(157),
    [anon_sym_BSLASHsvolcite] = ACTIONS(157),
    [anon_sym_BSLASHSvolcite] = ACTIONS(157),
    [anon_sym_BSLASHtvolcite] = ACTIONS(157),
    [anon_sym_BSLASHTvolcite] = ACTIONS(157),
    [anon_sym_BSLASHavolcite] = ACTIONS(157),
    [anon_sym_BSLASHAvolcite] = ACTIONS(157),
    [anon_sym_BSLASHnotecite] = ACTIONS(157),
    [anon_sym_BSLASHNotecite] = ACTIONS(157),
    [anon_sym_BSLASHpnotecite] = ACTIONS(157),
    [anon_sym_BSLASHPnotecite] = ACTIONS(157),
    [anon_sym_BSLASHfnotecite] = ACTIONS(157),
    [anon_sym_BSLASHlabel] = ACTIONS(157),
    [anon_sym_BSLASHref] = ACTIONS(157),
    [anon_sym_BSLASHeqref] = ACTIONS(157),
    [anon_sym_BSLASHvref] = ACTIONS(157),
    [anon_sym_BSLASHVref] = ACTIONS(157),
    [anon_sym_BSLASHautoref] = ACTIONS(157),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpageref] = ACTIONS(157),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHautopageref] = ACTIONS(157),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcref] = ACTIONS(157),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCref] = ACTIONS(157),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpageref] = ACTIONS(157),
    [anon_sym_BSLASHCpageref] = ACTIONS(157),
    [anon_sym_BSLASHnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnameCref] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcrefrange] = ACTIONS(157),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCrefrange] = ACTIONS(157),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHnewlabel] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(157),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(157),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(157),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(159),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHdef] = ACTIONS(157),
    [anon_sym_BSLASHgdef] = ACTIONS(157),
    [anon_sym_BSLASHedef] = ACTIONS(157),
    [anon_sym_BSLASHxdef] = ACTIONS(157),
    [anon_sym_BSLASHlet] = ACTIONS(157),
    [anon_sym_BSLASHglet] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(157),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(157),
    [anon_sym_BSLASHgls] = ACTIONS(157),
    [anon_sym_BSLASHGls] = ACTIONS(157),
    [anon_sym_BSLASHGLS] = ACTIONS(157),
    [anon_sym_BSLASHglspl] = ACTIONS(157),
    [anon_sym_BSLASHGlspl] = ACTIONS(157),
    [anon_sym_BSLASHGLSpl] = ACTIONS(157),
    [anon_sym_BSLASHglsdisp] = ACTIONS(157),
    [anon_sym_BSLASHglslink] = ACTIONS(157),
    [anon_sym_BSLASHglstext] = ACTIONS(157),
    [anon_sym_BSLASHGlstext] = ACTIONS(157),
    [anon_sym_BSLASHGLStext] = ACTIONS(157),
    [anon_sym_BSLASHglsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(157),
    [anon_sym_BSLASHglsplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSplural] = ACTIONS(157),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHglsname] = ACTIONS(157),
    [anon_sym_BSLASHGlsname] = ACTIONS(157),
    [anon_sym_BSLASHGLSname] = ACTIONS(157),
    [anon_sym_BSLASHglssymbol] = ACTIONS(157),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(157),
    [anon_sym_BSLASHglsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(157),
    [anon_sym_BSLASHglsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(157),
    [anon_sym_BSLASHglsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(157),
    [anon_sym_BSLASHglsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(157),
    [anon_sym_BSLASHglsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(157),
    [anon_sym_BSLASHnewacronym] = ACTIONS(157),
    [anon_sym_BSLASHacrshort] = ACTIONS(157),
    [anon_sym_BSLASHAcrshort] = ACTIONS(157),
    [anon_sym_BSLASHACRshort] = ACTIONS(157),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(157),
    [anon_sym_BSLASHacrlong] = ACTIONS(157),
    [anon_sym_BSLASHAcrlong] = ACTIONS(157),
    [anon_sym_BSLASHACRlong] = ACTIONS(157),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(157),
    [anon_sym_BSLASHacrfull] = ACTIONS(157),
    [anon_sym_BSLASHAcrfull] = ACTIONS(157),
    [anon_sym_BSLASHACRfull] = ACTIONS(157),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(157),
    [anon_sym_BSLASHacs] = ACTIONS(157),
    [anon_sym_BSLASHAcs] = ACTIONS(157),
    [anon_sym_BSLASHacsp] = ACTIONS(157),
    [anon_sym_BSLASHAcsp] = ACTIONS(157),
    [anon_sym_BSLASHacl] = ACTIONS(157),
    [anon_sym_BSLASHAcl] = ACTIONS(157),
    [anon_sym_BSLASHaclp] = ACTIONS(157),
    [anon_sym_BSLASHAclp] = ACTIONS(157),
    [anon_sym_BSLASHacf] = ACTIONS(157),
    [anon_sym_BSLASHAcf] = ACTIONS(157),
    [anon_sym_BSLASHacfp] = ACTIONS(157),
    [anon_sym_BSLASHAcfp] = ACTIONS(157),
    [anon_sym_BSLASHac] = ACTIONS(157),
    [anon_sym_BSLASHAc] = ACTIONS(157),
    [anon_sym_BSLASHacp] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(157),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(157),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(157),
    [anon_sym_BSLASHcolor] = ACTIONS(157),
    [anon_sym_BSLASHpagecolor] = ACTIONS(157),
    [anon_sym_BSLASHtextcolor] = ACTIONS(157),
    [anon_sym_BSLASHmathcolor] = ACTIONS(157),
    [anon_sym_BSLASHcolorbox] = ACTIONS(157),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(157),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(157),
    [anon_sym_BSLASHurl] = ACTIONS(157),
    [anon_sym_BSLASHhref] = ACTIONS(157),
  },
  [1509] = {
    [sym_command_name] = ACTIONS(7583),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7583),
    [anon_sym_LBRACK] = ACTIONS(7585),
    [anon_sym_RBRACK] = ACTIONS(7585),
    [anon_sym_COMMA] = ACTIONS(7585),
    [anon_sym_EQ] = ACTIONS(7585),
    [anon_sym_LPAREN] = ACTIONS(7585),
    [anon_sym_RPAREN] = ACTIONS(7585),
    [anon_sym_BSLASHpart] = ACTIONS(7583),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHaddpart] = ACTIONS(7583),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHchapter] = ACTIONS(7583),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHaddchap] = ACTIONS(7583),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHsection] = ACTIONS(7583),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHaddsec] = ACTIONS(7583),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHsubsection] = ACTIONS(7583),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7583),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHparagraph] = ACTIONS(7583),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7583),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHitem] = ACTIONS(7583),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7585),
    [anon_sym_LBRACE] = ACTIONS(7585),
    [sym_word] = ACTIONS(7583),
    [sym_placeholder] = ACTIONS(7585),
    [sym_delimiter] = ACTIONS(7585),
    [anon_sym_PLUS] = ACTIONS(7585),
    [anon_sym_DASH] = ACTIONS(7585),
    [anon_sym_STAR] = ACTIONS(7585),
    [anon_sym_SLASH] = ACTIONS(7585),
    [anon_sym_LT] = ACTIONS(7583),
    [anon_sym_GT] = ACTIONS(7583),
    [anon_sym_BANG] = ACTIONS(7583),
    [anon_sym_PIPE] = ACTIONS(7583),
    [anon_sym_COLON] = ACTIONS(7583),
    [anon_sym_SQUOTE] = ACTIONS(7583),
    [anon_sym__] = ACTIONS(7585),
    [anon_sym_CARET] = ACTIONS(7585),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7585),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7585),
    [anon_sym_DOLLAR] = ACTIONS(7583),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7585),
    [anon_sym_BSLASHleft] = ACTIONS(7583),
    [anon_sym_BSLASHbigl] = ACTIONS(7583),
    [anon_sym_BSLASHBigl] = ACTIONS(7583),
    [anon_sym_BSLASHbiggl] = ACTIONS(7583),
    [anon_sym_BSLASHBiggl] = ACTIONS(7583),
    [anon_sym_BSLASHtext] = ACTIONS(7583),
    [anon_sym_BSLASHintertext] = ACTIONS(7583),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7583),
    [anon_sym_BSLASHbegin] = ACTIONS(7583),
    [anon_sym_BSLASHend] = ACTIONS(7583),
    [anon_sym_BSLASHtitle] = ACTIONS(7583),
    [anon_sym_BSLASHauthor] = ACTIONS(7583),
    [anon_sym_BSLASHusepackage] = ACTIONS(7583),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7583),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7583),
    [anon_sym_BSLASHinclude] = ACTIONS(7583),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7583),
    [anon_sym_BSLASHinput] = ACTIONS(7583),
    [anon_sym_BSLASHsubfile] = ACTIONS(7583),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7583),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7583),
    [anon_sym_BSLASHbibliography] = ACTIONS(7583),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7583),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7583),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7583),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7583),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7583),
    [anon_sym_BSLASHimport] = ACTIONS(7583),
    [anon_sym_BSLASHsubimport] = ACTIONS(7583),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7583),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7583),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7583),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7583),
    [anon_sym_BSLASHcaption] = ACTIONS(7583),
    [anon_sym_BSLASHcite] = ACTIONS(7583),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCite] = ACTIONS(7583),
    [anon_sym_BSLASHnocite] = ACTIONS(7583),
    [anon_sym_BSLASHcitet] = ACTIONS(7583),
    [anon_sym_BSLASHcitep] = ACTIONS(7583),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteA] = ACTIONS(7583),
    [anon_sym_BSLASHciteR] = ACTIONS(7583),
    [anon_sym_BSLASHciteS] = ACTIONS(7583),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7583),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7583),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7583),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7583),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteyear] = ACTIONS(7583),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitedate] = ACTIONS(7583),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteurl] = ACTIONS(7583),
    [anon_sym_BSLASHfullcite] = ACTIONS(7583),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7583),
    [anon_sym_BSLASHcitealt] = ACTIONS(7583),
    [anon_sym_BSLASHcitealp] = ACTIONS(7583),
    [anon_sym_BSLASHcitetext] = ACTIONS(7583),
    [anon_sym_BSLASHparencite] = ACTIONS(7583),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHParencite] = ACTIONS(7583),
    [anon_sym_BSLASHfootcite] = ACTIONS(7583),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7583),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7583),
    [anon_sym_BSLASHtextcite] = ACTIONS(7583),
    [anon_sym_BSLASHTextcite] = ACTIONS(7583),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7583),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7583),
    [anon_sym_BSLASHsupercite] = ACTIONS(7583),
    [anon_sym_BSLASHautocite] = ACTIONS(7583),
    [anon_sym_BSLASHAutocite] = ACTIONS(7583),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHVolcite] = ACTIONS(7583),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHavolcite] = ACTIONS(7583),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHNotecite] = ACTIONS(7583),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHlabel] = ACTIONS(7583),
    [anon_sym_BSLASHref] = ACTIONS(7583),
    [anon_sym_BSLASHeqref] = ACTIONS(7583),
    [anon_sym_BSLASHvref] = ACTIONS(7583),
    [anon_sym_BSLASHVref] = ACTIONS(7583),
    [anon_sym_BSLASHautoref] = ACTIONS(7583),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHpageref] = ACTIONS(7583),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHautopageref] = ACTIONS(7583),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcref] = ACTIONS(7583),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCref] = ACTIONS(7583),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcpageref] = ACTIONS(7583),
    [anon_sym_BSLASHCpageref] = ACTIONS(7583),
    [anon_sym_BSLASHnamecref] = ACTIONS(7583),
    [anon_sym_BSLASHnameCref] = ACTIONS(7583),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7583),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7583),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7583),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7583),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7583),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7583),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7583),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7583),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7583),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7583),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7583),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHdef] = ACTIONS(7583),
    [anon_sym_BSLASHgdef] = ACTIONS(7583),
    [anon_sym_BSLASHedef] = ACTIONS(7583),
    [anon_sym_BSLASHxdef] = ACTIONS(7583),
    [anon_sym_BSLASHlet] = ACTIONS(7583),
    [anon_sym_BSLASHglet] = ACTIONS(7583),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7583),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7583),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7583),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7583),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7583),
    [anon_sym_BSLASHgls] = ACTIONS(7583),
    [anon_sym_BSLASHGls] = ACTIONS(7583),
    [anon_sym_BSLASHGLS] = ACTIONS(7583),
    [anon_sym_BSLASHglspl] = ACTIONS(7583),
    [anon_sym_BSLASHGlspl] = ACTIONS(7583),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7583),
    [anon_sym_BSLASHglslink] = ACTIONS(7583),
    [anon_sym_BSLASHglstext] = ACTIONS(7583),
    [anon_sym_BSLASHGlstext] = ACTIONS(7583),
    [anon_sym_BSLASHGLStext] = ACTIONS(7583),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7583),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7583),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7583),
    [anon_sym_BSLASHglsplural] = ACTIONS(7583),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7583),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7583),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHglsname] = ACTIONS(7583),
    [anon_sym_BSLASHGlsname] = ACTIONS(7583),
    [anon_sym_BSLASHGLSname] = ACTIONS(7583),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7583),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7583),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7583),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7583),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7583),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7583),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7583),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7583),
    [anon_sym_BSLASHacrshort] = ACTIONS(7583),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7583),
    [anon_sym_BSLASHACRshort] = ACTIONS(7583),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHacrlong] = ACTIONS(7583),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7583),
    [anon_sym_BSLASHACRlong] = ACTIONS(7583),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHacrfull] = ACTIONS(7583),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7583),
    [anon_sym_BSLASHACRfull] = ACTIONS(7583),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHacs] = ACTIONS(7583),
    [anon_sym_BSLASHAcs] = ACTIONS(7583),
    [anon_sym_BSLASHacsp] = ACTIONS(7583),
    [anon_sym_BSLASHAcsp] = ACTIONS(7583),
    [anon_sym_BSLASHacl] = ACTIONS(7583),
    [anon_sym_BSLASHAcl] = ACTIONS(7583),
    [anon_sym_BSLASHaclp] = ACTIONS(7583),
    [anon_sym_BSLASHAclp] = ACTIONS(7583),
    [anon_sym_BSLASHacf] = ACTIONS(7583),
    [anon_sym_BSLASHAcf] = ACTIONS(7583),
    [anon_sym_BSLASHacfp] = ACTIONS(7583),
    [anon_sym_BSLASHAcfp] = ACTIONS(7583),
    [anon_sym_BSLASHac] = ACTIONS(7583),
    [anon_sym_BSLASHAc] = ACTIONS(7583),
    [anon_sym_BSLASHacp] = ACTIONS(7583),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7583),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7583),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7583),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7583),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7583),
    [anon_sym_BSLASHcolor] = ACTIONS(7583),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7583),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7583),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7583),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7583),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7583),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7583),
    [anon_sym_BSLASHurl] = ACTIONS(7583),
    [anon_sym_BSLASHhref] = ACTIONS(7583),
  },
  [1510] = {
    [sym_command_name] = ACTIONS(163),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_RBRACK] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_RPAREN] = ACTIONS(165),
    [anon_sym_BSLASHpart] = ACTIONS(163),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddpart] = ACTIONS(163),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(165),
    [anon_sym_BSLASHchapter] = ACTIONS(163),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddchap] = ACTIONS(163),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsection] = ACTIONS(163),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHaddsec] = ACTIONS(163),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubsection] = ACTIONS(163),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(163),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(165),
    [anon_sym_BSLASHparagraph] = ACTIONS(163),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(165),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(163),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(165),
    [anon_sym_BSLASHitem] = ACTIONS(163),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(165),
    [sym_word] = ACTIONS(163),
    [sym_placeholder] = ACTIONS(165),
    [sym_delimiter] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym__] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(165),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(165),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(163),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(165),
    [anon_sym_BSLASHleft] = ACTIONS(163),
    [anon_sym_BSLASHbigl] = ACTIONS(163),
    [anon_sym_BSLASHBigl] = ACTIONS(163),
    [anon_sym_BSLASHbiggl] = ACTIONS(163),
    [anon_sym_BSLASHBiggl] = ACTIONS(163),
    [anon_sym_BSLASHtext] = ACTIONS(163),
    [anon_sym_BSLASHintertext] = ACTIONS(163),
    [anon_sym_BSLASHshortintertext] = ACTIONS(163),
    [anon_sym_BSLASHbegin] = ACTIONS(163),
    [anon_sym_BSLASHtitle] = ACTIONS(163),
    [anon_sym_BSLASHauthor] = ACTIONS(163),
    [anon_sym_BSLASHusepackage] = ACTIONS(163),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(163),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(163),
    [anon_sym_BSLASHinclude] = ACTIONS(163),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(163),
    [anon_sym_BSLASHinput] = ACTIONS(163),
    [anon_sym_BSLASHsubfile] = ACTIONS(163),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(163),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(163),
    [anon_sym_BSLASHbibliography] = ACTIONS(163),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(163),
    [anon_sym_BSLASHincludesvg] = ACTIONS(163),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(163),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(163),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(163),
    [anon_sym_BSLASHimport] = ACTIONS(163),
    [anon_sym_BSLASHsubimport] = ACTIONS(163),
    [anon_sym_BSLASHinputfrom] = ACTIONS(163),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(163),
    [anon_sym_BSLASHincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHcaption] = ACTIONS(163),
    [anon_sym_BSLASHcite] = ACTIONS(163),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCite] = ACTIONS(163),
    [anon_sym_BSLASHnocite] = ACTIONS(163),
    [anon_sym_BSLASHcitet] = ACTIONS(163),
    [anon_sym_BSLASHcitep] = ACTIONS(163),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteA] = ACTIONS(163),
    [anon_sym_BSLASHciteR] = ACTIONS(163),
    [anon_sym_BSLASHciteS] = ACTIONS(163),
    [anon_sym_BSLASHciteyearR] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(163),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitetitle] = ACTIONS(163),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteyear] = ACTIONS(163),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitedate] = ACTIONS(163),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteurl] = ACTIONS(163),
    [anon_sym_BSLASHfullcite] = ACTIONS(163),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(163),
    [anon_sym_BSLASHcitealt] = ACTIONS(163),
    [anon_sym_BSLASHcitealp] = ACTIONS(163),
    [anon_sym_BSLASHcitetext] = ACTIONS(163),
    [anon_sym_BSLASHparencite] = ACTIONS(163),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHParencite] = ACTIONS(163),
    [anon_sym_BSLASHfootcite] = ACTIONS(163),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(163),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(163),
    [anon_sym_BSLASHtextcite] = ACTIONS(163),
    [anon_sym_BSLASHTextcite] = ACTIONS(163),
    [anon_sym_BSLASHsmartcite] = ACTIONS(163),
    [anon_sym_BSLASHSmartcite] = ACTIONS(163),
    [anon_sym_BSLASHsupercite] = ACTIONS(163),
    [anon_sym_BSLASHautocite] = ACTIONS(163),
    [anon_sym_BSLASHAutocite] = ACTIONS(163),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHvolcite] = ACTIONS(163),
    [anon_sym_BSLASHVolcite] = ACTIONS(163),
    [anon_sym_BSLASHpvolcite] = ACTIONS(163),
    [anon_sym_BSLASHPvolcite] = ACTIONS(163),
    [anon_sym_BSLASHfvolcite] = ACTIONS(163),
    [anon_sym_BSLASHftvolcite] = ACTIONS(163),
    [anon_sym_BSLASHsvolcite] = ACTIONS(163),
    [anon_sym_BSLASHSvolcite] = ACTIONS(163),
    [anon_sym_BSLASHtvolcite] = ACTIONS(163),
    [anon_sym_BSLASHTvolcite] = ACTIONS(163),
    [anon_sym_BSLASHavolcite] = ACTIONS(163),
    [anon_sym_BSLASHAvolcite] = ACTIONS(163),
    [anon_sym_BSLASHnotecite] = ACTIONS(163),
    [anon_sym_BSLASHNotecite] = ACTIONS(163),
    [anon_sym_BSLASHpnotecite] = ACTIONS(163),
    [anon_sym_BSLASHPnotecite] = ACTIONS(163),
    [anon_sym_BSLASHfnotecite] = ACTIONS(163),
    [anon_sym_BSLASHlabel] = ACTIONS(163),
    [anon_sym_BSLASHref] = ACTIONS(163),
    [anon_sym_BSLASHeqref] = ACTIONS(163),
    [anon_sym_BSLASHvref] = ACTIONS(163),
    [anon_sym_BSLASHVref] = ACTIONS(163),
    [anon_sym_BSLASHautoref] = ACTIONS(163),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHpageref] = ACTIONS(163),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHautopageref] = ACTIONS(163),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcref] = ACTIONS(163),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCref] = ACTIONS(163),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpageref] = ACTIONS(163),
    [anon_sym_BSLASHCpageref] = ACTIONS(163),
    [anon_sym_BSLASHnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnameCref] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcrefrange] = ACTIONS(163),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCrefrange] = ACTIONS(163),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHnewlabel] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(163),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(163),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(163),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(165),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHdef] = ACTIONS(163),
    [anon_sym_BSLASHgdef] = ACTIONS(163),
    [anon_sym_BSLASHedef] = ACTIONS(163),
    [anon_sym_BSLASHxdef] = ACTIONS(163),
    [anon_sym_BSLASHlet] = ACTIONS(163),
    [anon_sym_BSLASHglet] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(163),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(163),
    [anon_sym_BSLASHgls] = ACTIONS(163),
    [anon_sym_BSLASHGls] = ACTIONS(163),
    [anon_sym_BSLASHGLS] = ACTIONS(163),
    [anon_sym_BSLASHglspl] = ACTIONS(163),
    [anon_sym_BSLASHGlspl] = ACTIONS(163),
    [anon_sym_BSLASHGLSpl] = ACTIONS(163),
    [anon_sym_BSLASHglsdisp] = ACTIONS(163),
    [anon_sym_BSLASHglslink] = ACTIONS(163),
    [anon_sym_BSLASHglstext] = ACTIONS(163),
    [anon_sym_BSLASHGlstext] = ACTIONS(163),
    [anon_sym_BSLASHGLStext] = ACTIONS(163),
    [anon_sym_BSLASHglsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(163),
    [anon_sym_BSLASHglsplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSplural] = ACTIONS(163),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHglsname] = ACTIONS(163),
    [anon_sym_BSLASHGlsname] = ACTIONS(163),
    [anon_sym_BSLASHGLSname] = ACTIONS(163),
    [anon_sym_BSLASHglssymbol] = ACTIONS(163),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(163),
    [anon_sym_BSLASHglsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(163),
    [anon_sym_BSLASHglsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(163),
    [anon_sym_BSLASHglsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(163),
    [anon_sym_BSLASHglsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(163),
    [anon_sym_BSLASHglsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(163),
    [anon_sym_BSLASHnewacronym] = ACTIONS(163),
    [anon_sym_BSLASHacrshort] = ACTIONS(163),
    [anon_sym_BSLASHAcrshort] = ACTIONS(163),
    [anon_sym_BSLASHACRshort] = ACTIONS(163),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(163),
    [anon_sym_BSLASHacrlong] = ACTIONS(163),
    [anon_sym_BSLASHAcrlong] = ACTIONS(163),
    [anon_sym_BSLASHACRlong] = ACTIONS(163),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(163),
    [anon_sym_BSLASHacrfull] = ACTIONS(163),
    [anon_sym_BSLASHAcrfull] = ACTIONS(163),
    [anon_sym_BSLASHACRfull] = ACTIONS(163),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(163),
    [anon_sym_BSLASHacs] = ACTIONS(163),
    [anon_sym_BSLASHAcs] = ACTIONS(163),
    [anon_sym_BSLASHacsp] = ACTIONS(163),
    [anon_sym_BSLASHAcsp] = ACTIONS(163),
    [anon_sym_BSLASHacl] = ACTIONS(163),
    [anon_sym_BSLASHAcl] = ACTIONS(163),
    [anon_sym_BSLASHaclp] = ACTIONS(163),
    [anon_sym_BSLASHAclp] = ACTIONS(163),
    [anon_sym_BSLASHacf] = ACTIONS(163),
    [anon_sym_BSLASHAcf] = ACTIONS(163),
    [anon_sym_BSLASHacfp] = ACTIONS(163),
    [anon_sym_BSLASHAcfp] = ACTIONS(163),
    [anon_sym_BSLASHac] = ACTIONS(163),
    [anon_sym_BSLASHAc] = ACTIONS(163),
    [anon_sym_BSLASHacp] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(163),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(163),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(163),
    [anon_sym_BSLASHcolor] = ACTIONS(163),
    [anon_sym_BSLASHpagecolor] = ACTIONS(163),
    [anon_sym_BSLASHtextcolor] = ACTIONS(163),
    [anon_sym_BSLASHmathcolor] = ACTIONS(163),
    [anon_sym_BSLASHcolorbox] = ACTIONS(163),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(163),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(163),
    [anon_sym_BSLASHurl] = ACTIONS(163),
    [anon_sym_BSLASHhref] = ACTIONS(163),
  },
  [1511] = {
    [sym_command_name] = ACTIONS(7055),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7055),
    [anon_sym_LBRACK] = ACTIONS(7057),
    [anon_sym_RBRACK] = ACTIONS(7057),
    [anon_sym_COMMA] = ACTIONS(7057),
    [anon_sym_EQ] = ACTIONS(7057),
    [anon_sym_LPAREN] = ACTIONS(7057),
    [anon_sym_RPAREN] = ACTIONS(7057),
    [anon_sym_BSLASHpart] = ACTIONS(7055),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHaddpart] = ACTIONS(7055),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHchapter] = ACTIONS(7055),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHaddchap] = ACTIONS(7055),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHsection] = ACTIONS(7055),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHaddsec] = ACTIONS(7055),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHsubsection] = ACTIONS(7055),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7055),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHparagraph] = ACTIONS(7055),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7055),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHitem] = ACTIONS(7055),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7057),
    [anon_sym_LBRACE] = ACTIONS(7057),
    [sym_word] = ACTIONS(7055),
    [sym_placeholder] = ACTIONS(7057),
    [sym_delimiter] = ACTIONS(7057),
    [anon_sym_PLUS] = ACTIONS(7057),
    [anon_sym_DASH] = ACTIONS(7057),
    [anon_sym_STAR] = ACTIONS(7057),
    [anon_sym_SLASH] = ACTIONS(7057),
    [anon_sym_LT] = ACTIONS(7055),
    [anon_sym_GT] = ACTIONS(7055),
    [anon_sym_BANG] = ACTIONS(7055),
    [anon_sym_PIPE] = ACTIONS(7055),
    [anon_sym_COLON] = ACTIONS(7055),
    [anon_sym_SQUOTE] = ACTIONS(7055),
    [anon_sym__] = ACTIONS(7057),
    [anon_sym_CARET] = ACTIONS(7057),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7057),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7057),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7057),
    [anon_sym_DOLLAR] = ACTIONS(7055),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7057),
    [anon_sym_BSLASHleft] = ACTIONS(7055),
    [anon_sym_BSLASHbigl] = ACTIONS(7055),
    [anon_sym_BSLASHBigl] = ACTIONS(7055),
    [anon_sym_BSLASHbiggl] = ACTIONS(7055),
    [anon_sym_BSLASHBiggl] = ACTIONS(7055),
    [anon_sym_BSLASHtext] = ACTIONS(7055),
    [anon_sym_BSLASHintertext] = ACTIONS(7055),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7055),
    [anon_sym_BSLASHbegin] = ACTIONS(7055),
    [anon_sym_BSLASHtitle] = ACTIONS(7055),
    [anon_sym_BSLASHauthor] = ACTIONS(7055),
    [anon_sym_BSLASHusepackage] = ACTIONS(7055),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7055),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7055),
    [anon_sym_BSLASHinclude] = ACTIONS(7055),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7055),
    [anon_sym_BSLASHinput] = ACTIONS(7055),
    [anon_sym_BSLASHsubfile] = ACTIONS(7055),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7055),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7055),
    [anon_sym_BSLASHbibliography] = ACTIONS(7055),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7055),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7055),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7055),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7055),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7055),
    [anon_sym_BSLASHimport] = ACTIONS(7055),
    [anon_sym_BSLASHsubimport] = ACTIONS(7055),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7055),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7055),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7055),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7055),
    [anon_sym_BSLASHcaption] = ACTIONS(7055),
    [anon_sym_BSLASHcite] = ACTIONS(7055),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCite] = ACTIONS(7055),
    [anon_sym_BSLASHnocite] = ACTIONS(7055),
    [anon_sym_BSLASHcitet] = ACTIONS(7055),
    [anon_sym_BSLASHcitep] = ACTIONS(7055),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHciteA] = ACTIONS(7055),
    [anon_sym_BSLASHciteR] = ACTIONS(7055),
    [anon_sym_BSLASHciteS] = ACTIONS(7055),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7055),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7055),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7055),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7055),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHciteyear] = ACTIONS(7055),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcitedate] = ACTIONS(7055),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHciteurl] = ACTIONS(7055),
    [anon_sym_BSLASHfullcite] = ACTIONS(7055),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7055),
    [anon_sym_BSLASHcitealt] = ACTIONS(7055),
    [anon_sym_BSLASHcitealp] = ACTIONS(7055),
    [anon_sym_BSLASHcitetext] = ACTIONS(7055),
    [anon_sym_BSLASHparencite] = ACTIONS(7055),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHParencite] = ACTIONS(7055),
    [anon_sym_BSLASHfootcite] = ACTIONS(7055),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7055),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7055),
    [anon_sym_BSLASHtextcite] = ACTIONS(7055),
    [anon_sym_BSLASHTextcite] = ACTIONS(7055),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7055),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7055),
    [anon_sym_BSLASHsupercite] = ACTIONS(7055),
    [anon_sym_BSLASHautocite] = ACTIONS(7055),
    [anon_sym_BSLASHAutocite] = ACTIONS(7055),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHVolcite] = ACTIONS(7055),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHavolcite] = ACTIONS(7055),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHNotecite] = ACTIONS(7055),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHlabel] = ACTIONS(7055),
    [anon_sym_BSLASHref] = ACTIONS(7055),
    [anon_sym_BSLASHeqref] = ACTIONS(7055),
    [anon_sym_BSLASHvref] = ACTIONS(7055),
    [anon_sym_BSLASHVref] = ACTIONS(7055),
    [anon_sym_BSLASHautoref] = ACTIONS(7055),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHpageref] = ACTIONS(7055),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHautopageref] = ACTIONS(7055),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcref] = ACTIONS(7055),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCref] = ACTIONS(7055),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcpageref] = ACTIONS(7055),
    [anon_sym_BSLASHCpageref] = ACTIONS(7055),
    [anon_sym_BSLASHnamecref] = ACTIONS(7055),
    [anon_sym_BSLASHnameCref] = ACTIONS(7055),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7055),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7055),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7055),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7055),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7055),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7055),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7055),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7055),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7055),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7055),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7055),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7055),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7055),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7055),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7055),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7055),
    [anon_sym_BSLASHdef] = ACTIONS(7055),
    [anon_sym_BSLASHgdef] = ACTIONS(7055),
    [anon_sym_BSLASHedef] = ACTIONS(7055),
    [anon_sym_BSLASHxdef] = ACTIONS(7055),
    [anon_sym_BSLASHlet] = ACTIONS(7055),
    [anon_sym_BSLASHglet] = ACTIONS(7055),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7055),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7055),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7055),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7055),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7055),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7055),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7055),
    [anon_sym_BSLASHgls] = ACTIONS(7055),
    [anon_sym_BSLASHGls] = ACTIONS(7055),
    [anon_sym_BSLASHGLS] = ACTIONS(7055),
    [anon_sym_BSLASHglspl] = ACTIONS(7055),
    [anon_sym_BSLASHGlspl] = ACTIONS(7055),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7055),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7055),
    [anon_sym_BSLASHglslink] = ACTIONS(7055),
    [anon_sym_BSLASHglstext] = ACTIONS(7055),
    [anon_sym_BSLASHGlstext] = ACTIONS(7055),
    [anon_sym_BSLASHGLStext] = ACTIONS(7055),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7055),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7055),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7055),
    [anon_sym_BSLASHglsplural] = ACTIONS(7055),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7055),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7055),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7055),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7055),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7055),
    [anon_sym_BSLASHglsname] = ACTIONS(7055),
    [anon_sym_BSLASHGlsname] = ACTIONS(7055),
    [anon_sym_BSLASHGLSname] = ACTIONS(7055),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7055),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7055),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7055),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7055),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7055),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7055),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7055),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7055),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7055),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7055),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7055),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7055),
    [anon_sym_BSLASHacrshort] = ACTIONS(7055),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7055),
    [anon_sym_BSLASHACRshort] = ACTIONS(7055),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHacrlong] = ACTIONS(7055),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7055),
    [anon_sym_BSLASHACRlong] = ACTIONS(7055),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7055),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7055),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7055),
    [anon_sym_BSLASHacrfull] = ACTIONS(7055),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7055),
    [anon_sym_BSLASHACRfull] = ACTIONS(7055),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHacs] = ACTIONS(7055),
    [anon_sym_BSLASHAcs] = ACTIONS(7055),
    [anon_sym_BSLASHacsp] = ACTIONS(7055),
    [anon_sym_BSLASHAcsp] = ACTIONS(7055),
    [anon_sym_BSLASHacl] = ACTIONS(7055),
    [anon_sym_BSLASHAcl] = ACTIONS(7055),
    [anon_sym_BSLASHaclp] = ACTIONS(7055),
    [anon_sym_BSLASHAclp] = ACTIONS(7055),
    [anon_sym_BSLASHacf] = ACTIONS(7055),
    [anon_sym_BSLASHAcf] = ACTIONS(7055),
    [anon_sym_BSLASHacfp] = ACTIONS(7055),
    [anon_sym_BSLASHAcfp] = ACTIONS(7055),
    [anon_sym_BSLASHac] = ACTIONS(7055),
    [anon_sym_BSLASHAc] = ACTIONS(7055),
    [anon_sym_BSLASHacp] = ACTIONS(7055),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7055),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7055),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7055),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7055),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7055),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7055),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7055),
    [anon_sym_BSLASHcolor] = ACTIONS(7055),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7055),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7055),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7055),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7055),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7055),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7055),
    [anon_sym_BSLASHurl] = ACTIONS(7055),
    [anon_sym_BSLASHhref] = ACTIONS(7055),
  },
  [1512] = {
    [sym_command_name] = ACTIONS(7235),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7235),
    [anon_sym_LBRACK] = ACTIONS(7237),
    [anon_sym_RBRACK] = ACTIONS(7237),
    [anon_sym_COMMA] = ACTIONS(7237),
    [anon_sym_EQ] = ACTIONS(7237),
    [anon_sym_LPAREN] = ACTIONS(7237),
    [anon_sym_RPAREN] = ACTIONS(7237),
    [anon_sym_BSLASHpart] = ACTIONS(7235),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHaddpart] = ACTIONS(7235),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHchapter] = ACTIONS(7235),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHaddchap] = ACTIONS(7235),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHsection] = ACTIONS(7235),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHaddsec] = ACTIONS(7235),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHsubsection] = ACTIONS(7235),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7235),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHparagraph] = ACTIONS(7235),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7235),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHitem] = ACTIONS(7235),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7237),
    [anon_sym_LBRACE] = ACTIONS(7237),
    [sym_word] = ACTIONS(7235),
    [sym_placeholder] = ACTIONS(7237),
    [sym_delimiter] = ACTIONS(7237),
    [anon_sym_PLUS] = ACTIONS(7237),
    [anon_sym_DASH] = ACTIONS(7237),
    [anon_sym_STAR] = ACTIONS(7237),
    [anon_sym_SLASH] = ACTIONS(7237),
    [anon_sym_LT] = ACTIONS(7235),
    [anon_sym_GT] = ACTIONS(7235),
    [anon_sym_BANG] = ACTIONS(7235),
    [anon_sym_PIPE] = ACTIONS(7235),
    [anon_sym_COLON] = ACTIONS(7235),
    [anon_sym_SQUOTE] = ACTIONS(7235),
    [anon_sym__] = ACTIONS(7237),
    [anon_sym_CARET] = ACTIONS(7237),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7237),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7237),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7237),
    [anon_sym_DOLLAR] = ACTIONS(7235),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7237),
    [anon_sym_BSLASHleft] = ACTIONS(7235),
    [anon_sym_BSLASHbigl] = ACTIONS(7235),
    [anon_sym_BSLASHBigl] = ACTIONS(7235),
    [anon_sym_BSLASHbiggl] = ACTIONS(7235),
    [anon_sym_BSLASHBiggl] = ACTIONS(7235),
    [anon_sym_BSLASHtext] = ACTIONS(7235),
    [anon_sym_BSLASHintertext] = ACTIONS(7235),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7235),
    [anon_sym_BSLASHbegin] = ACTIONS(7235),
    [anon_sym_BSLASHtitle] = ACTIONS(7235),
    [anon_sym_BSLASHauthor] = ACTIONS(7235),
    [anon_sym_BSLASHusepackage] = ACTIONS(7235),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7235),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7235),
    [anon_sym_BSLASHinclude] = ACTIONS(7235),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7235),
    [anon_sym_BSLASHinput] = ACTIONS(7235),
    [anon_sym_BSLASHsubfile] = ACTIONS(7235),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7235),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7235),
    [anon_sym_BSLASHbibliography] = ACTIONS(7235),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7235),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7235),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7235),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7235),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7235),
    [anon_sym_BSLASHimport] = ACTIONS(7235),
    [anon_sym_BSLASHsubimport] = ACTIONS(7235),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7235),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7235),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7235),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7235),
    [anon_sym_BSLASHcaption] = ACTIONS(7235),
    [anon_sym_BSLASHcite] = ACTIONS(7235),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCite] = ACTIONS(7235),
    [anon_sym_BSLASHnocite] = ACTIONS(7235),
    [anon_sym_BSLASHcitet] = ACTIONS(7235),
    [anon_sym_BSLASHcitep] = ACTIONS(7235),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteA] = ACTIONS(7235),
    [anon_sym_BSLASHciteR] = ACTIONS(7235),
    [anon_sym_BSLASHciteS] = ACTIONS(7235),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7235),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7235),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7235),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7235),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteyear] = ACTIONS(7235),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitedate] = ACTIONS(7235),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteurl] = ACTIONS(7235),
    [anon_sym_BSLASHfullcite] = ACTIONS(7235),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7235),
    [anon_sym_BSLASHcitealt] = ACTIONS(7235),
    [anon_sym_BSLASHcitealp] = ACTIONS(7235),
    [anon_sym_BSLASHcitetext] = ACTIONS(7235),
    [anon_sym_BSLASHparencite] = ACTIONS(7235),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHParencite] = ACTIONS(7235),
    [anon_sym_BSLASHfootcite] = ACTIONS(7235),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7235),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7235),
    [anon_sym_BSLASHtextcite] = ACTIONS(7235),
    [anon_sym_BSLASHTextcite] = ACTIONS(7235),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7235),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7235),
    [anon_sym_BSLASHsupercite] = ACTIONS(7235),
    [anon_sym_BSLASHautocite] = ACTIONS(7235),
    [anon_sym_BSLASHAutocite] = ACTIONS(7235),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHVolcite] = ACTIONS(7235),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHavolcite] = ACTIONS(7235),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHNotecite] = ACTIONS(7235),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHlabel] = ACTIONS(7235),
    [anon_sym_BSLASHref] = ACTIONS(7235),
    [anon_sym_BSLASHeqref] = ACTIONS(7235),
    [anon_sym_BSLASHvref] = ACTIONS(7235),
    [anon_sym_BSLASHVref] = ACTIONS(7235),
    [anon_sym_BSLASHautoref] = ACTIONS(7235),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHpageref] = ACTIONS(7235),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHautopageref] = ACTIONS(7235),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcref] = ACTIONS(7235),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCref] = ACTIONS(7235),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcpageref] = ACTIONS(7235),
    [anon_sym_BSLASHCpageref] = ACTIONS(7235),
    [anon_sym_BSLASHnamecref] = ACTIONS(7235),
    [anon_sym_BSLASHnameCref] = ACTIONS(7235),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7235),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7235),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7235),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7235),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7235),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7235),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7235),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7235),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7235),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7235),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7235),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHdef] = ACTIONS(7235),
    [anon_sym_BSLASHgdef] = ACTIONS(7235),
    [anon_sym_BSLASHedef] = ACTIONS(7235),
    [anon_sym_BSLASHxdef] = ACTIONS(7235),
    [anon_sym_BSLASHlet] = ACTIONS(7235),
    [anon_sym_BSLASHglet] = ACTIONS(7235),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7235),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7235),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7235),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7235),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7235),
    [anon_sym_BSLASHgls] = ACTIONS(7235),
    [anon_sym_BSLASHGls] = ACTIONS(7235),
    [anon_sym_BSLASHGLS] = ACTIONS(7235),
    [anon_sym_BSLASHglspl] = ACTIONS(7235),
    [anon_sym_BSLASHGlspl] = ACTIONS(7235),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7235),
    [anon_sym_BSLASHglslink] = ACTIONS(7235),
    [anon_sym_BSLASHglstext] = ACTIONS(7235),
    [anon_sym_BSLASHGlstext] = ACTIONS(7235),
    [anon_sym_BSLASHGLStext] = ACTIONS(7235),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7235),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7235),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7235),
    [anon_sym_BSLASHglsplural] = ACTIONS(7235),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7235),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7235),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHglsname] = ACTIONS(7235),
    [anon_sym_BSLASHGlsname] = ACTIONS(7235),
    [anon_sym_BSLASHGLSname] = ACTIONS(7235),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7235),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7235),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7235),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7235),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7235),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7235),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7235),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7235),
    [anon_sym_BSLASHacrshort] = ACTIONS(7235),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7235),
    [anon_sym_BSLASHACRshort] = ACTIONS(7235),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHacrlong] = ACTIONS(7235),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7235),
    [anon_sym_BSLASHACRlong] = ACTIONS(7235),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHacrfull] = ACTIONS(7235),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7235),
    [anon_sym_BSLASHACRfull] = ACTIONS(7235),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHacs] = ACTIONS(7235),
    [anon_sym_BSLASHAcs] = ACTIONS(7235),
    [anon_sym_BSLASHacsp] = ACTIONS(7235),
    [anon_sym_BSLASHAcsp] = ACTIONS(7235),
    [anon_sym_BSLASHacl] = ACTIONS(7235),
    [anon_sym_BSLASHAcl] = ACTIONS(7235),
    [anon_sym_BSLASHaclp] = ACTIONS(7235),
    [anon_sym_BSLASHAclp] = ACTIONS(7235),
    [anon_sym_BSLASHacf] = ACTIONS(7235),
    [anon_sym_BSLASHAcf] = ACTIONS(7235),
    [anon_sym_BSLASHacfp] = ACTIONS(7235),
    [anon_sym_BSLASHAcfp] = ACTIONS(7235),
    [anon_sym_BSLASHac] = ACTIONS(7235),
    [anon_sym_BSLASHAc] = ACTIONS(7235),
    [anon_sym_BSLASHacp] = ACTIONS(7235),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7235),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7235),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7235),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7235),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7235),
    [anon_sym_BSLASHcolor] = ACTIONS(7235),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7235),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7235),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7235),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7235),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7235),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7235),
    [anon_sym_BSLASHurl] = ACTIONS(7235),
    [anon_sym_BSLASHhref] = ACTIONS(7235),
  },
  [1513] = {
    [sym_command_name] = ACTIONS(7283),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7283),
    [anon_sym_LBRACK] = ACTIONS(7285),
    [anon_sym_RBRACK] = ACTIONS(7285),
    [anon_sym_COMMA] = ACTIONS(7285),
    [anon_sym_EQ] = ACTIONS(7285),
    [anon_sym_LPAREN] = ACTIONS(7285),
    [anon_sym_RPAREN] = ACTIONS(7285),
    [anon_sym_BSLASHpart] = ACTIONS(7283),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHaddpart] = ACTIONS(7283),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHchapter] = ACTIONS(7283),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHaddchap] = ACTIONS(7283),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHsection] = ACTIONS(7283),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHaddsec] = ACTIONS(7283),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHsubsection] = ACTIONS(7283),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7283),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHparagraph] = ACTIONS(7283),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7283),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHitem] = ACTIONS(7283),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7285),
    [anon_sym_LBRACE] = ACTIONS(7285),
    [sym_word] = ACTIONS(7283),
    [sym_placeholder] = ACTIONS(7285),
    [sym_delimiter] = ACTIONS(7285),
    [anon_sym_PLUS] = ACTIONS(7285),
    [anon_sym_DASH] = ACTIONS(7285),
    [anon_sym_STAR] = ACTIONS(7285),
    [anon_sym_SLASH] = ACTIONS(7285),
    [anon_sym_LT] = ACTIONS(7283),
    [anon_sym_GT] = ACTIONS(7283),
    [anon_sym_BANG] = ACTIONS(7283),
    [anon_sym_PIPE] = ACTIONS(7283),
    [anon_sym_COLON] = ACTIONS(7283),
    [anon_sym_SQUOTE] = ACTIONS(7283),
    [anon_sym__] = ACTIONS(7285),
    [anon_sym_CARET] = ACTIONS(7285),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7285),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7285),
    [anon_sym_DOLLAR] = ACTIONS(7283),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7285),
    [anon_sym_BSLASHleft] = ACTIONS(7283),
    [anon_sym_BSLASHbigl] = ACTIONS(7283),
    [anon_sym_BSLASHBigl] = ACTIONS(7283),
    [anon_sym_BSLASHbiggl] = ACTIONS(7283),
    [anon_sym_BSLASHBiggl] = ACTIONS(7283),
    [anon_sym_BSLASHtext] = ACTIONS(7283),
    [anon_sym_BSLASHintertext] = ACTIONS(7283),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7283),
    [anon_sym_BSLASHbegin] = ACTIONS(7283),
    [anon_sym_BSLASHend] = ACTIONS(7283),
    [anon_sym_BSLASHtitle] = ACTIONS(7283),
    [anon_sym_BSLASHauthor] = ACTIONS(7283),
    [anon_sym_BSLASHusepackage] = ACTIONS(7283),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7283),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7283),
    [anon_sym_BSLASHinclude] = ACTIONS(7283),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7283),
    [anon_sym_BSLASHinput] = ACTIONS(7283),
    [anon_sym_BSLASHsubfile] = ACTIONS(7283),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7283),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7283),
    [anon_sym_BSLASHbibliography] = ACTIONS(7283),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7283),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7283),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7283),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7283),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7283),
    [anon_sym_BSLASHimport] = ACTIONS(7283),
    [anon_sym_BSLASHsubimport] = ACTIONS(7283),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7283),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7283),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7283),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7283),
    [anon_sym_BSLASHcaption] = ACTIONS(7283),
    [anon_sym_BSLASHcite] = ACTIONS(7283),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCite] = ACTIONS(7283),
    [anon_sym_BSLASHnocite] = ACTIONS(7283),
    [anon_sym_BSLASHcitet] = ACTIONS(7283),
    [anon_sym_BSLASHcitep] = ACTIONS(7283),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteA] = ACTIONS(7283),
    [anon_sym_BSLASHciteR] = ACTIONS(7283),
    [anon_sym_BSLASHciteS] = ACTIONS(7283),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7283),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7283),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7283),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7283),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteyear] = ACTIONS(7283),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitedate] = ACTIONS(7283),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteurl] = ACTIONS(7283),
    [anon_sym_BSLASHfullcite] = ACTIONS(7283),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7283),
    [anon_sym_BSLASHcitealt] = ACTIONS(7283),
    [anon_sym_BSLASHcitealp] = ACTIONS(7283),
    [anon_sym_BSLASHcitetext] = ACTIONS(7283),
    [anon_sym_BSLASHparencite] = ACTIONS(7283),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHParencite] = ACTIONS(7283),
    [anon_sym_BSLASHfootcite] = ACTIONS(7283),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7283),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7283),
    [anon_sym_BSLASHtextcite] = ACTIONS(7283),
    [anon_sym_BSLASHTextcite] = ACTIONS(7283),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7283),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7283),
    [anon_sym_BSLASHsupercite] = ACTIONS(7283),
    [anon_sym_BSLASHautocite] = ACTIONS(7283),
    [anon_sym_BSLASHAutocite] = ACTIONS(7283),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHVolcite] = ACTIONS(7283),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHavolcite] = ACTIONS(7283),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHNotecite] = ACTIONS(7283),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHlabel] = ACTIONS(7283),
    [anon_sym_BSLASHref] = ACTIONS(7283),
    [anon_sym_BSLASHeqref] = ACTIONS(7283),
    [anon_sym_BSLASHvref] = ACTIONS(7283),
    [anon_sym_BSLASHVref] = ACTIONS(7283),
    [anon_sym_BSLASHautoref] = ACTIONS(7283),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHpageref] = ACTIONS(7283),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHautopageref] = ACTIONS(7283),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcref] = ACTIONS(7283),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCref] = ACTIONS(7283),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcpageref] = ACTIONS(7283),
    [anon_sym_BSLASHCpageref] = ACTIONS(7283),
    [anon_sym_BSLASHnamecref] = ACTIONS(7283),
    [anon_sym_BSLASHnameCref] = ACTIONS(7283),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7283),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7283),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7283),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7283),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7283),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7283),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7283),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7283),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7283),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7283),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHdef] = ACTIONS(7283),
    [anon_sym_BSLASHgdef] = ACTIONS(7283),
    [anon_sym_BSLASHedef] = ACTIONS(7283),
    [anon_sym_BSLASHxdef] = ACTIONS(7283),
    [anon_sym_BSLASHlet] = ACTIONS(7283),
    [anon_sym_BSLASHglet] = ACTIONS(7283),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7283),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7283),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7283),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7283),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7283),
    [anon_sym_BSLASHgls] = ACTIONS(7283),
    [anon_sym_BSLASHGls] = ACTIONS(7283),
    [anon_sym_BSLASHGLS] = ACTIONS(7283),
    [anon_sym_BSLASHglspl] = ACTIONS(7283),
    [anon_sym_BSLASHGlspl] = ACTIONS(7283),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7283),
    [anon_sym_BSLASHglslink] = ACTIONS(7283),
    [anon_sym_BSLASHglstext] = ACTIONS(7283),
    [anon_sym_BSLASHGlstext] = ACTIONS(7283),
    [anon_sym_BSLASHGLStext] = ACTIONS(7283),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7283),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7283),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7283),
    [anon_sym_BSLASHglsplural] = ACTIONS(7283),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7283),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7283),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHglsname] = ACTIONS(7283),
    [anon_sym_BSLASHGlsname] = ACTIONS(7283),
    [anon_sym_BSLASHGLSname] = ACTIONS(7283),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7283),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7283),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7283),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7283),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7283),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7283),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7283),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7283),
    [anon_sym_BSLASHacrshort] = ACTIONS(7283),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7283),
    [anon_sym_BSLASHACRshort] = ACTIONS(7283),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHacrlong] = ACTIONS(7283),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7283),
    [anon_sym_BSLASHACRlong] = ACTIONS(7283),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHacrfull] = ACTIONS(7283),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7283),
    [anon_sym_BSLASHACRfull] = ACTIONS(7283),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHacs] = ACTIONS(7283),
    [anon_sym_BSLASHAcs] = ACTIONS(7283),
    [anon_sym_BSLASHacsp] = ACTIONS(7283),
    [anon_sym_BSLASHAcsp] = ACTIONS(7283),
    [anon_sym_BSLASHacl] = ACTIONS(7283),
    [anon_sym_BSLASHAcl] = ACTIONS(7283),
    [anon_sym_BSLASHaclp] = ACTIONS(7283),
    [anon_sym_BSLASHAclp] = ACTIONS(7283),
    [anon_sym_BSLASHacf] = ACTIONS(7283),
    [anon_sym_BSLASHAcf] = ACTIONS(7283),
    [anon_sym_BSLASHacfp] = ACTIONS(7283),
    [anon_sym_BSLASHAcfp] = ACTIONS(7283),
    [anon_sym_BSLASHac] = ACTIONS(7283),
    [anon_sym_BSLASHAc] = ACTIONS(7283),
    [anon_sym_BSLASHacp] = ACTIONS(7283),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7283),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7283),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7283),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7283),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7283),
    [anon_sym_BSLASHcolor] = ACTIONS(7283),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7283),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7283),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7283),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7283),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7283),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7283),
    [anon_sym_BSLASHurl] = ACTIONS(7283),
    [anon_sym_BSLASHhref] = ACTIONS(7283),
  },
  [1514] = {
    [sym_command_name] = ACTIONS(7239),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7239),
    [anon_sym_LBRACK] = ACTIONS(7241),
    [anon_sym_RBRACK] = ACTIONS(7241),
    [anon_sym_COMMA] = ACTIONS(7241),
    [anon_sym_EQ] = ACTIONS(7241),
    [anon_sym_LPAREN] = ACTIONS(7241),
    [anon_sym_RPAREN] = ACTIONS(7241),
    [anon_sym_BSLASHpart] = ACTIONS(7239),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHaddpart] = ACTIONS(7239),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHchapter] = ACTIONS(7239),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHaddchap] = ACTIONS(7239),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHsection] = ACTIONS(7239),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHaddsec] = ACTIONS(7239),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHsubsection] = ACTIONS(7239),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7239),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHparagraph] = ACTIONS(7239),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7239),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHitem] = ACTIONS(7239),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7241),
    [anon_sym_LBRACE] = ACTIONS(7241),
    [sym_word] = ACTIONS(7239),
    [sym_placeholder] = ACTIONS(7241),
    [sym_delimiter] = ACTIONS(7241),
    [anon_sym_PLUS] = ACTIONS(7241),
    [anon_sym_DASH] = ACTIONS(7241),
    [anon_sym_STAR] = ACTIONS(7241),
    [anon_sym_SLASH] = ACTIONS(7241),
    [anon_sym_LT] = ACTIONS(7239),
    [anon_sym_GT] = ACTIONS(7239),
    [anon_sym_BANG] = ACTIONS(7239),
    [anon_sym_PIPE] = ACTIONS(7239),
    [anon_sym_COLON] = ACTIONS(7239),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym__] = ACTIONS(7241),
    [anon_sym_CARET] = ACTIONS(7241),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7241),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7241),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7241),
    [anon_sym_DOLLAR] = ACTIONS(7239),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7241),
    [anon_sym_BSLASHleft] = ACTIONS(7239),
    [anon_sym_BSLASHbigl] = ACTIONS(7239),
    [anon_sym_BSLASHBigl] = ACTIONS(7239),
    [anon_sym_BSLASHbiggl] = ACTIONS(7239),
    [anon_sym_BSLASHBiggl] = ACTIONS(7239),
    [anon_sym_BSLASHtext] = ACTIONS(7239),
    [anon_sym_BSLASHintertext] = ACTIONS(7239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7239),
    [anon_sym_BSLASHbegin] = ACTIONS(7239),
    [anon_sym_BSLASHtitle] = ACTIONS(7239),
    [anon_sym_BSLASHauthor] = ACTIONS(7239),
    [anon_sym_BSLASHusepackage] = ACTIONS(7239),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7239),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7239),
    [anon_sym_BSLASHinclude] = ACTIONS(7239),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7239),
    [anon_sym_BSLASHinput] = ACTIONS(7239),
    [anon_sym_BSLASHsubfile] = ACTIONS(7239),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7239),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7239),
    [anon_sym_BSLASHbibliography] = ACTIONS(7239),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7239),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7239),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7239),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7239),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7239),
    [anon_sym_BSLASHimport] = ACTIONS(7239),
    [anon_sym_BSLASHsubimport] = ACTIONS(7239),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7239),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7239),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7239),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7239),
    [anon_sym_BSLASHcaption] = ACTIONS(7239),
    [anon_sym_BSLASHcite] = ACTIONS(7239),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCite] = ACTIONS(7239),
    [anon_sym_BSLASHnocite] = ACTIONS(7239),
    [anon_sym_BSLASHcitet] = ACTIONS(7239),
    [anon_sym_BSLASHcitep] = ACTIONS(7239),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteA] = ACTIONS(7239),
    [anon_sym_BSLASHciteR] = ACTIONS(7239),
    [anon_sym_BSLASHciteS] = ACTIONS(7239),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7239),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7239),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7239),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7239),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteyear] = ACTIONS(7239),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitedate] = ACTIONS(7239),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteurl] = ACTIONS(7239),
    [anon_sym_BSLASHfullcite] = ACTIONS(7239),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7239),
    [anon_sym_BSLASHcitealt] = ACTIONS(7239),
    [anon_sym_BSLASHcitealp] = ACTIONS(7239),
    [anon_sym_BSLASHcitetext] = ACTIONS(7239),
    [anon_sym_BSLASHparencite] = ACTIONS(7239),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHParencite] = ACTIONS(7239),
    [anon_sym_BSLASHfootcite] = ACTIONS(7239),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7239),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7239),
    [anon_sym_BSLASHtextcite] = ACTIONS(7239),
    [anon_sym_BSLASHTextcite] = ACTIONS(7239),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7239),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7239),
    [anon_sym_BSLASHsupercite] = ACTIONS(7239),
    [anon_sym_BSLASHautocite] = ACTIONS(7239),
    [anon_sym_BSLASHAutocite] = ACTIONS(7239),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHVolcite] = ACTIONS(7239),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHavolcite] = ACTIONS(7239),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHNotecite] = ACTIONS(7239),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHlabel] = ACTIONS(7239),
    [anon_sym_BSLASHref] = ACTIONS(7239),
    [anon_sym_BSLASHeqref] = ACTIONS(7239),
    [anon_sym_BSLASHvref] = ACTIONS(7239),
    [anon_sym_BSLASHVref] = ACTIONS(7239),
    [anon_sym_BSLASHautoref] = ACTIONS(7239),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHpageref] = ACTIONS(7239),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHautopageref] = ACTIONS(7239),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcref] = ACTIONS(7239),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCref] = ACTIONS(7239),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcpageref] = ACTIONS(7239),
    [anon_sym_BSLASHCpageref] = ACTIONS(7239),
    [anon_sym_BSLASHnamecref] = ACTIONS(7239),
    [anon_sym_BSLASHnameCref] = ACTIONS(7239),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7239),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7239),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7239),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7239),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7239),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7239),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7239),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7239),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7239),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7239),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7239),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHdef] = ACTIONS(7239),
    [anon_sym_BSLASHgdef] = ACTIONS(7239),
    [anon_sym_BSLASHedef] = ACTIONS(7239),
    [anon_sym_BSLASHxdef] = ACTIONS(7239),
    [anon_sym_BSLASHlet] = ACTIONS(7239),
    [anon_sym_BSLASHglet] = ACTIONS(7239),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7239),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7239),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7239),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7239),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7239),
    [anon_sym_BSLASHgls] = ACTIONS(7239),
    [anon_sym_BSLASHGls] = ACTIONS(7239),
    [anon_sym_BSLASHGLS] = ACTIONS(7239),
    [anon_sym_BSLASHglspl] = ACTIONS(7239),
    [anon_sym_BSLASHGlspl] = ACTIONS(7239),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7239),
    [anon_sym_BSLASHglslink] = ACTIONS(7239),
    [anon_sym_BSLASHglstext] = ACTIONS(7239),
    [anon_sym_BSLASHGlstext] = ACTIONS(7239),
    [anon_sym_BSLASHGLStext] = ACTIONS(7239),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7239),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7239),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7239),
    [anon_sym_BSLASHglsplural] = ACTIONS(7239),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7239),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7239),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHglsname] = ACTIONS(7239),
    [anon_sym_BSLASHGlsname] = ACTIONS(7239),
    [anon_sym_BSLASHGLSname] = ACTIONS(7239),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7239),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7239),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7239),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7239),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7239),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7239),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7239),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7239),
    [anon_sym_BSLASHacrshort] = ACTIONS(7239),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7239),
    [anon_sym_BSLASHACRshort] = ACTIONS(7239),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHacrlong] = ACTIONS(7239),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7239),
    [anon_sym_BSLASHACRlong] = ACTIONS(7239),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHacrfull] = ACTIONS(7239),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7239),
    [anon_sym_BSLASHACRfull] = ACTIONS(7239),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHacs] = ACTIONS(7239),
    [anon_sym_BSLASHAcs] = ACTIONS(7239),
    [anon_sym_BSLASHacsp] = ACTIONS(7239),
    [anon_sym_BSLASHAcsp] = ACTIONS(7239),
    [anon_sym_BSLASHacl] = ACTIONS(7239),
    [anon_sym_BSLASHAcl] = ACTIONS(7239),
    [anon_sym_BSLASHaclp] = ACTIONS(7239),
    [anon_sym_BSLASHAclp] = ACTIONS(7239),
    [anon_sym_BSLASHacf] = ACTIONS(7239),
    [anon_sym_BSLASHAcf] = ACTIONS(7239),
    [anon_sym_BSLASHacfp] = ACTIONS(7239),
    [anon_sym_BSLASHAcfp] = ACTIONS(7239),
    [anon_sym_BSLASHac] = ACTIONS(7239),
    [anon_sym_BSLASHAc] = ACTIONS(7239),
    [anon_sym_BSLASHacp] = ACTIONS(7239),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7239),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7239),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7239),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7239),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7239),
    [anon_sym_BSLASHcolor] = ACTIONS(7239),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7239),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7239),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7239),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7239),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7239),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7239),
    [anon_sym_BSLASHurl] = ACTIONS(7239),
    [anon_sym_BSLASHhref] = ACTIONS(7239),
  },
  [1515] = {
    [sym_command_name] = ACTIONS(7243),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7243),
    [anon_sym_LBRACK] = ACTIONS(7245),
    [anon_sym_RBRACK] = ACTIONS(7245),
    [anon_sym_COMMA] = ACTIONS(7245),
    [anon_sym_EQ] = ACTIONS(7245),
    [anon_sym_LPAREN] = ACTIONS(7245),
    [anon_sym_RPAREN] = ACTIONS(7245),
    [anon_sym_BSLASHpart] = ACTIONS(7243),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHaddpart] = ACTIONS(7243),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHchapter] = ACTIONS(7243),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHaddchap] = ACTIONS(7243),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHsection] = ACTIONS(7243),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHaddsec] = ACTIONS(7243),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHsubsection] = ACTIONS(7243),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7243),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHparagraph] = ACTIONS(7243),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7243),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHitem] = ACTIONS(7243),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7245),
    [anon_sym_LBRACE] = ACTIONS(7245),
    [sym_word] = ACTIONS(7243),
    [sym_placeholder] = ACTIONS(7245),
    [sym_delimiter] = ACTIONS(7245),
    [anon_sym_PLUS] = ACTIONS(7245),
    [anon_sym_DASH] = ACTIONS(7245),
    [anon_sym_STAR] = ACTIONS(7245),
    [anon_sym_SLASH] = ACTIONS(7245),
    [anon_sym_LT] = ACTIONS(7243),
    [anon_sym_GT] = ACTIONS(7243),
    [anon_sym_BANG] = ACTIONS(7243),
    [anon_sym_PIPE] = ACTIONS(7243),
    [anon_sym_COLON] = ACTIONS(7243),
    [anon_sym_SQUOTE] = ACTIONS(7243),
    [anon_sym__] = ACTIONS(7245),
    [anon_sym_CARET] = ACTIONS(7245),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7245),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7245),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7245),
    [anon_sym_DOLLAR] = ACTIONS(7243),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7245),
    [anon_sym_BSLASHleft] = ACTIONS(7243),
    [anon_sym_BSLASHbigl] = ACTIONS(7243),
    [anon_sym_BSLASHBigl] = ACTIONS(7243),
    [anon_sym_BSLASHbiggl] = ACTIONS(7243),
    [anon_sym_BSLASHBiggl] = ACTIONS(7243),
    [anon_sym_BSLASHtext] = ACTIONS(7243),
    [anon_sym_BSLASHintertext] = ACTIONS(7243),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7243),
    [anon_sym_BSLASHbegin] = ACTIONS(7243),
    [anon_sym_BSLASHtitle] = ACTIONS(7243),
    [anon_sym_BSLASHauthor] = ACTIONS(7243),
    [anon_sym_BSLASHusepackage] = ACTIONS(7243),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7243),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7243),
    [anon_sym_BSLASHinclude] = ACTIONS(7243),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7243),
    [anon_sym_BSLASHinput] = ACTIONS(7243),
    [anon_sym_BSLASHsubfile] = ACTIONS(7243),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7243),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7243),
    [anon_sym_BSLASHbibliography] = ACTIONS(7243),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7243),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7243),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7243),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7243),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7243),
    [anon_sym_BSLASHimport] = ACTIONS(7243),
    [anon_sym_BSLASHsubimport] = ACTIONS(7243),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7243),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7243),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7243),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7243),
    [anon_sym_BSLASHcaption] = ACTIONS(7243),
    [anon_sym_BSLASHcite] = ACTIONS(7243),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCite] = ACTIONS(7243),
    [anon_sym_BSLASHnocite] = ACTIONS(7243),
    [anon_sym_BSLASHcitet] = ACTIONS(7243),
    [anon_sym_BSLASHcitep] = ACTIONS(7243),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteA] = ACTIONS(7243),
    [anon_sym_BSLASHciteR] = ACTIONS(7243),
    [anon_sym_BSLASHciteS] = ACTIONS(7243),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7243),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7243),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7243),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7243),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteyear] = ACTIONS(7243),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitedate] = ACTIONS(7243),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteurl] = ACTIONS(7243),
    [anon_sym_BSLASHfullcite] = ACTIONS(7243),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7243),
    [anon_sym_BSLASHcitealt] = ACTIONS(7243),
    [anon_sym_BSLASHcitealp] = ACTIONS(7243),
    [anon_sym_BSLASHcitetext] = ACTIONS(7243),
    [anon_sym_BSLASHparencite] = ACTIONS(7243),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHParencite] = ACTIONS(7243),
    [anon_sym_BSLASHfootcite] = ACTIONS(7243),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7243),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7243),
    [anon_sym_BSLASHtextcite] = ACTIONS(7243),
    [anon_sym_BSLASHTextcite] = ACTIONS(7243),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7243),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7243),
    [anon_sym_BSLASHsupercite] = ACTIONS(7243),
    [anon_sym_BSLASHautocite] = ACTIONS(7243),
    [anon_sym_BSLASHAutocite] = ACTIONS(7243),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHVolcite] = ACTIONS(7243),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHavolcite] = ACTIONS(7243),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHNotecite] = ACTIONS(7243),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHlabel] = ACTIONS(7243),
    [anon_sym_BSLASHref] = ACTIONS(7243),
    [anon_sym_BSLASHeqref] = ACTIONS(7243),
    [anon_sym_BSLASHvref] = ACTIONS(7243),
    [anon_sym_BSLASHVref] = ACTIONS(7243),
    [anon_sym_BSLASHautoref] = ACTIONS(7243),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHpageref] = ACTIONS(7243),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHautopageref] = ACTIONS(7243),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcref] = ACTIONS(7243),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCref] = ACTIONS(7243),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcpageref] = ACTIONS(7243),
    [anon_sym_BSLASHCpageref] = ACTIONS(7243),
    [anon_sym_BSLASHnamecref] = ACTIONS(7243),
    [anon_sym_BSLASHnameCref] = ACTIONS(7243),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7243),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7243),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7243),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7243),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7243),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7243),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7243),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7243),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7243),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7243),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7243),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHdef] = ACTIONS(7243),
    [anon_sym_BSLASHgdef] = ACTIONS(7243),
    [anon_sym_BSLASHedef] = ACTIONS(7243),
    [anon_sym_BSLASHxdef] = ACTIONS(7243),
    [anon_sym_BSLASHlet] = ACTIONS(7243),
    [anon_sym_BSLASHglet] = ACTIONS(7243),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7243),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7243),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7243),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7243),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7243),
    [anon_sym_BSLASHgls] = ACTIONS(7243),
    [anon_sym_BSLASHGls] = ACTIONS(7243),
    [anon_sym_BSLASHGLS] = ACTIONS(7243),
    [anon_sym_BSLASHglspl] = ACTIONS(7243),
    [anon_sym_BSLASHGlspl] = ACTIONS(7243),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7243),
    [anon_sym_BSLASHglslink] = ACTIONS(7243),
    [anon_sym_BSLASHglstext] = ACTIONS(7243),
    [anon_sym_BSLASHGlstext] = ACTIONS(7243),
    [anon_sym_BSLASHGLStext] = ACTIONS(7243),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7243),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7243),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7243),
    [anon_sym_BSLASHglsplural] = ACTIONS(7243),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7243),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7243),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHglsname] = ACTIONS(7243),
    [anon_sym_BSLASHGlsname] = ACTIONS(7243),
    [anon_sym_BSLASHGLSname] = ACTIONS(7243),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7243),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7243),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7243),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7243),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7243),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7243),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7243),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7243),
    [anon_sym_BSLASHacrshort] = ACTIONS(7243),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7243),
    [anon_sym_BSLASHACRshort] = ACTIONS(7243),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHacrlong] = ACTIONS(7243),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7243),
    [anon_sym_BSLASHACRlong] = ACTIONS(7243),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHacrfull] = ACTIONS(7243),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7243),
    [anon_sym_BSLASHACRfull] = ACTIONS(7243),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHacs] = ACTIONS(7243),
    [anon_sym_BSLASHAcs] = ACTIONS(7243),
    [anon_sym_BSLASHacsp] = ACTIONS(7243),
    [anon_sym_BSLASHAcsp] = ACTIONS(7243),
    [anon_sym_BSLASHacl] = ACTIONS(7243),
    [anon_sym_BSLASHAcl] = ACTIONS(7243),
    [anon_sym_BSLASHaclp] = ACTIONS(7243),
    [anon_sym_BSLASHAclp] = ACTIONS(7243),
    [anon_sym_BSLASHacf] = ACTIONS(7243),
    [anon_sym_BSLASHAcf] = ACTIONS(7243),
    [anon_sym_BSLASHacfp] = ACTIONS(7243),
    [anon_sym_BSLASHAcfp] = ACTIONS(7243),
    [anon_sym_BSLASHac] = ACTIONS(7243),
    [anon_sym_BSLASHAc] = ACTIONS(7243),
    [anon_sym_BSLASHacp] = ACTIONS(7243),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7243),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7243),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7243),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7243),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7243),
    [anon_sym_BSLASHcolor] = ACTIONS(7243),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7243),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7243),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7243),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7243),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7243),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7243),
    [anon_sym_BSLASHurl] = ACTIONS(7243),
    [anon_sym_BSLASHhref] = ACTIONS(7243),
  },
  [1516] = {
    [sym_command_name] = ACTIONS(7247),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7247),
    [anon_sym_LBRACK] = ACTIONS(7249),
    [anon_sym_RBRACK] = ACTIONS(7249),
    [anon_sym_COMMA] = ACTIONS(7249),
    [anon_sym_EQ] = ACTIONS(7249),
    [anon_sym_LPAREN] = ACTIONS(7249),
    [anon_sym_RPAREN] = ACTIONS(7249),
    [anon_sym_BSLASHpart] = ACTIONS(7247),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHaddpart] = ACTIONS(7247),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHchapter] = ACTIONS(7247),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHaddchap] = ACTIONS(7247),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHsection] = ACTIONS(7247),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHaddsec] = ACTIONS(7247),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHsubsection] = ACTIONS(7247),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7247),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHparagraph] = ACTIONS(7247),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7247),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHitem] = ACTIONS(7247),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7249),
    [anon_sym_LBRACE] = ACTIONS(7249),
    [sym_word] = ACTIONS(7247),
    [sym_placeholder] = ACTIONS(7249),
    [sym_delimiter] = ACTIONS(7249),
    [anon_sym_PLUS] = ACTIONS(7249),
    [anon_sym_DASH] = ACTIONS(7249),
    [anon_sym_STAR] = ACTIONS(7249),
    [anon_sym_SLASH] = ACTIONS(7249),
    [anon_sym_LT] = ACTIONS(7247),
    [anon_sym_GT] = ACTIONS(7247),
    [anon_sym_BANG] = ACTIONS(7247),
    [anon_sym_PIPE] = ACTIONS(7247),
    [anon_sym_COLON] = ACTIONS(7247),
    [anon_sym_SQUOTE] = ACTIONS(7247),
    [anon_sym__] = ACTIONS(7249),
    [anon_sym_CARET] = ACTIONS(7249),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7249),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7249),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7249),
    [anon_sym_DOLLAR] = ACTIONS(7247),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7249),
    [anon_sym_BSLASHleft] = ACTIONS(7247),
    [anon_sym_BSLASHbigl] = ACTIONS(7247),
    [anon_sym_BSLASHBigl] = ACTIONS(7247),
    [anon_sym_BSLASHbiggl] = ACTIONS(7247),
    [anon_sym_BSLASHBiggl] = ACTIONS(7247),
    [anon_sym_BSLASHtext] = ACTIONS(7247),
    [anon_sym_BSLASHintertext] = ACTIONS(7247),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7247),
    [anon_sym_BSLASHbegin] = ACTIONS(7247),
    [anon_sym_BSLASHtitle] = ACTIONS(7247),
    [anon_sym_BSLASHauthor] = ACTIONS(7247),
    [anon_sym_BSLASHusepackage] = ACTIONS(7247),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7247),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7247),
    [anon_sym_BSLASHinclude] = ACTIONS(7247),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7247),
    [anon_sym_BSLASHinput] = ACTIONS(7247),
    [anon_sym_BSLASHsubfile] = ACTIONS(7247),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7247),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7247),
    [anon_sym_BSLASHbibliography] = ACTIONS(7247),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7247),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7247),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7247),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7247),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7247),
    [anon_sym_BSLASHimport] = ACTIONS(7247),
    [anon_sym_BSLASHsubimport] = ACTIONS(7247),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7247),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7247),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7247),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7247),
    [anon_sym_BSLASHcaption] = ACTIONS(7247),
    [anon_sym_BSLASHcite] = ACTIONS(7247),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCite] = ACTIONS(7247),
    [anon_sym_BSLASHnocite] = ACTIONS(7247),
    [anon_sym_BSLASHcitet] = ACTIONS(7247),
    [anon_sym_BSLASHcitep] = ACTIONS(7247),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteA] = ACTIONS(7247),
    [anon_sym_BSLASHciteR] = ACTIONS(7247),
    [anon_sym_BSLASHciteS] = ACTIONS(7247),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7247),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7247),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7247),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7247),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteyear] = ACTIONS(7247),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitedate] = ACTIONS(7247),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteurl] = ACTIONS(7247),
    [anon_sym_BSLASHfullcite] = ACTIONS(7247),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7247),
    [anon_sym_BSLASHcitealt] = ACTIONS(7247),
    [anon_sym_BSLASHcitealp] = ACTIONS(7247),
    [anon_sym_BSLASHcitetext] = ACTIONS(7247),
    [anon_sym_BSLASHparencite] = ACTIONS(7247),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHParencite] = ACTIONS(7247),
    [anon_sym_BSLASHfootcite] = ACTIONS(7247),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7247),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7247),
    [anon_sym_BSLASHtextcite] = ACTIONS(7247),
    [anon_sym_BSLASHTextcite] = ACTIONS(7247),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7247),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7247),
    [anon_sym_BSLASHsupercite] = ACTIONS(7247),
    [anon_sym_BSLASHautocite] = ACTIONS(7247),
    [anon_sym_BSLASHAutocite] = ACTIONS(7247),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHVolcite] = ACTIONS(7247),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHavolcite] = ACTIONS(7247),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHNotecite] = ACTIONS(7247),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHlabel] = ACTIONS(7247),
    [anon_sym_BSLASHref] = ACTIONS(7247),
    [anon_sym_BSLASHeqref] = ACTIONS(7247),
    [anon_sym_BSLASHvref] = ACTIONS(7247),
    [anon_sym_BSLASHVref] = ACTIONS(7247),
    [anon_sym_BSLASHautoref] = ACTIONS(7247),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHpageref] = ACTIONS(7247),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHautopageref] = ACTIONS(7247),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcref] = ACTIONS(7247),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCref] = ACTIONS(7247),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcpageref] = ACTIONS(7247),
    [anon_sym_BSLASHCpageref] = ACTIONS(7247),
    [anon_sym_BSLASHnamecref] = ACTIONS(7247),
    [anon_sym_BSLASHnameCref] = ACTIONS(7247),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7247),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7247),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7247),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7247),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7247),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7247),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7247),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7247),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7247),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7247),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7247),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHdef] = ACTIONS(7247),
    [anon_sym_BSLASHgdef] = ACTIONS(7247),
    [anon_sym_BSLASHedef] = ACTIONS(7247),
    [anon_sym_BSLASHxdef] = ACTIONS(7247),
    [anon_sym_BSLASHlet] = ACTIONS(7247),
    [anon_sym_BSLASHglet] = ACTIONS(7247),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7247),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7247),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7247),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7247),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7247),
    [anon_sym_BSLASHgls] = ACTIONS(7247),
    [anon_sym_BSLASHGls] = ACTIONS(7247),
    [anon_sym_BSLASHGLS] = ACTIONS(7247),
    [anon_sym_BSLASHglspl] = ACTIONS(7247),
    [anon_sym_BSLASHGlspl] = ACTIONS(7247),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7247),
    [anon_sym_BSLASHglslink] = ACTIONS(7247),
    [anon_sym_BSLASHglstext] = ACTIONS(7247),
    [anon_sym_BSLASHGlstext] = ACTIONS(7247),
    [anon_sym_BSLASHGLStext] = ACTIONS(7247),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7247),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7247),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7247),
    [anon_sym_BSLASHglsplural] = ACTIONS(7247),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7247),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7247),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHglsname] = ACTIONS(7247),
    [anon_sym_BSLASHGlsname] = ACTIONS(7247),
    [anon_sym_BSLASHGLSname] = ACTIONS(7247),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7247),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7247),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7247),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7247),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7247),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7247),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7247),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7247),
    [anon_sym_BSLASHacrshort] = ACTIONS(7247),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7247),
    [anon_sym_BSLASHACRshort] = ACTIONS(7247),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHacrlong] = ACTIONS(7247),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7247),
    [anon_sym_BSLASHACRlong] = ACTIONS(7247),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHacrfull] = ACTIONS(7247),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7247),
    [anon_sym_BSLASHACRfull] = ACTIONS(7247),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHacs] = ACTIONS(7247),
    [anon_sym_BSLASHAcs] = ACTIONS(7247),
    [anon_sym_BSLASHacsp] = ACTIONS(7247),
    [anon_sym_BSLASHAcsp] = ACTIONS(7247),
    [anon_sym_BSLASHacl] = ACTIONS(7247),
    [anon_sym_BSLASHAcl] = ACTIONS(7247),
    [anon_sym_BSLASHaclp] = ACTIONS(7247),
    [anon_sym_BSLASHAclp] = ACTIONS(7247),
    [anon_sym_BSLASHacf] = ACTIONS(7247),
    [anon_sym_BSLASHAcf] = ACTIONS(7247),
    [anon_sym_BSLASHacfp] = ACTIONS(7247),
    [anon_sym_BSLASHAcfp] = ACTIONS(7247),
    [anon_sym_BSLASHac] = ACTIONS(7247),
    [anon_sym_BSLASHAc] = ACTIONS(7247),
    [anon_sym_BSLASHacp] = ACTIONS(7247),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7247),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7247),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7247),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7247),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7247),
    [anon_sym_BSLASHcolor] = ACTIONS(7247),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7247),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7247),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7247),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7247),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7247),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7247),
    [anon_sym_BSLASHurl] = ACTIONS(7247),
    [anon_sym_BSLASHhref] = ACTIONS(7247),
  },
  [1517] = {
    [sym_command_name] = ACTIONS(7251),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7251),
    [anon_sym_LBRACK] = ACTIONS(7253),
    [anon_sym_RBRACK] = ACTIONS(7253),
    [anon_sym_COMMA] = ACTIONS(7253),
    [anon_sym_EQ] = ACTIONS(7253),
    [anon_sym_LPAREN] = ACTIONS(7253),
    [anon_sym_RPAREN] = ACTIONS(7253),
    [anon_sym_BSLASHpart] = ACTIONS(7251),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHaddpart] = ACTIONS(7251),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHchapter] = ACTIONS(7251),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHaddchap] = ACTIONS(7251),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHsection] = ACTIONS(7251),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHaddsec] = ACTIONS(7251),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHsubsection] = ACTIONS(7251),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7251),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHparagraph] = ACTIONS(7251),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7251),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHitem] = ACTIONS(7251),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7253),
    [anon_sym_LBRACE] = ACTIONS(7253),
    [sym_word] = ACTIONS(7251),
    [sym_placeholder] = ACTIONS(7253),
    [sym_delimiter] = ACTIONS(7253),
    [anon_sym_PLUS] = ACTIONS(7253),
    [anon_sym_DASH] = ACTIONS(7253),
    [anon_sym_STAR] = ACTIONS(7253),
    [anon_sym_SLASH] = ACTIONS(7253),
    [anon_sym_LT] = ACTIONS(7251),
    [anon_sym_GT] = ACTIONS(7251),
    [anon_sym_BANG] = ACTIONS(7251),
    [anon_sym_PIPE] = ACTIONS(7251),
    [anon_sym_COLON] = ACTIONS(7251),
    [anon_sym_SQUOTE] = ACTIONS(7251),
    [anon_sym__] = ACTIONS(7253),
    [anon_sym_CARET] = ACTIONS(7253),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7253),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7253),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7253),
    [anon_sym_DOLLAR] = ACTIONS(7251),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7253),
    [anon_sym_BSLASHleft] = ACTIONS(7251),
    [anon_sym_BSLASHbigl] = ACTIONS(7251),
    [anon_sym_BSLASHBigl] = ACTIONS(7251),
    [anon_sym_BSLASHbiggl] = ACTIONS(7251),
    [anon_sym_BSLASHBiggl] = ACTIONS(7251),
    [anon_sym_BSLASHtext] = ACTIONS(7251),
    [anon_sym_BSLASHintertext] = ACTIONS(7251),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7251),
    [anon_sym_BSLASHbegin] = ACTIONS(7251),
    [anon_sym_BSLASHtitle] = ACTIONS(7251),
    [anon_sym_BSLASHauthor] = ACTIONS(7251),
    [anon_sym_BSLASHusepackage] = ACTIONS(7251),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7251),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7251),
    [anon_sym_BSLASHinclude] = ACTIONS(7251),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7251),
    [anon_sym_BSLASHinput] = ACTIONS(7251),
    [anon_sym_BSLASHsubfile] = ACTIONS(7251),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7251),
    [anon_sym_BSLASHbibliography] = ACTIONS(7251),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7251),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7251),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7251),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7251),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7251),
    [anon_sym_BSLASHimport] = ACTIONS(7251),
    [anon_sym_BSLASHsubimport] = ACTIONS(7251),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7251),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7251),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7251),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7251),
    [anon_sym_BSLASHcaption] = ACTIONS(7251),
    [anon_sym_BSLASHcite] = ACTIONS(7251),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCite] = ACTIONS(7251),
    [anon_sym_BSLASHnocite] = ACTIONS(7251),
    [anon_sym_BSLASHcitet] = ACTIONS(7251),
    [anon_sym_BSLASHcitep] = ACTIONS(7251),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteA] = ACTIONS(7251),
    [anon_sym_BSLASHciteR] = ACTIONS(7251),
    [anon_sym_BSLASHciteS] = ACTIONS(7251),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7251),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7251),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7251),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7251),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteyear] = ACTIONS(7251),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitedate] = ACTIONS(7251),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteurl] = ACTIONS(7251),
    [anon_sym_BSLASHfullcite] = ACTIONS(7251),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7251),
    [anon_sym_BSLASHcitealt] = ACTIONS(7251),
    [anon_sym_BSLASHcitealp] = ACTIONS(7251),
    [anon_sym_BSLASHcitetext] = ACTIONS(7251),
    [anon_sym_BSLASHparencite] = ACTIONS(7251),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHParencite] = ACTIONS(7251),
    [anon_sym_BSLASHfootcite] = ACTIONS(7251),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7251),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7251),
    [anon_sym_BSLASHtextcite] = ACTIONS(7251),
    [anon_sym_BSLASHTextcite] = ACTIONS(7251),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7251),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7251),
    [anon_sym_BSLASHsupercite] = ACTIONS(7251),
    [anon_sym_BSLASHautocite] = ACTIONS(7251),
    [anon_sym_BSLASHAutocite] = ACTIONS(7251),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHVolcite] = ACTIONS(7251),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHavolcite] = ACTIONS(7251),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHNotecite] = ACTIONS(7251),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHlabel] = ACTIONS(7251),
    [anon_sym_BSLASHref] = ACTIONS(7251),
    [anon_sym_BSLASHeqref] = ACTIONS(7251),
    [anon_sym_BSLASHvref] = ACTIONS(7251),
    [anon_sym_BSLASHVref] = ACTIONS(7251),
    [anon_sym_BSLASHautoref] = ACTIONS(7251),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHpageref] = ACTIONS(7251),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHautopageref] = ACTIONS(7251),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcref] = ACTIONS(7251),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCref] = ACTIONS(7251),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcpageref] = ACTIONS(7251),
    [anon_sym_BSLASHCpageref] = ACTIONS(7251),
    [anon_sym_BSLASHnamecref] = ACTIONS(7251),
    [anon_sym_BSLASHnameCref] = ACTIONS(7251),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7251),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7251),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7251),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7251),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7251),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7251),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7251),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7251),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7251),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7251),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7251),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHdef] = ACTIONS(7251),
    [anon_sym_BSLASHgdef] = ACTIONS(7251),
    [anon_sym_BSLASHedef] = ACTIONS(7251),
    [anon_sym_BSLASHxdef] = ACTIONS(7251),
    [anon_sym_BSLASHlet] = ACTIONS(7251),
    [anon_sym_BSLASHglet] = ACTIONS(7251),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7251),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7251),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7251),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7251),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7251),
    [anon_sym_BSLASHgls] = ACTIONS(7251),
    [anon_sym_BSLASHGls] = ACTIONS(7251),
    [anon_sym_BSLASHGLS] = ACTIONS(7251),
    [anon_sym_BSLASHglspl] = ACTIONS(7251),
    [anon_sym_BSLASHGlspl] = ACTIONS(7251),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7251),
    [anon_sym_BSLASHglslink] = ACTIONS(7251),
    [anon_sym_BSLASHglstext] = ACTIONS(7251),
    [anon_sym_BSLASHGlstext] = ACTIONS(7251),
    [anon_sym_BSLASHGLStext] = ACTIONS(7251),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7251),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7251),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7251),
    [anon_sym_BSLASHglsplural] = ACTIONS(7251),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7251),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7251),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHglsname] = ACTIONS(7251),
    [anon_sym_BSLASHGlsname] = ACTIONS(7251),
    [anon_sym_BSLASHGLSname] = ACTIONS(7251),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7251),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7251),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7251),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7251),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7251),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7251),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7251),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7251),
    [anon_sym_BSLASHacrshort] = ACTIONS(7251),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7251),
    [anon_sym_BSLASHACRshort] = ACTIONS(7251),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHacrlong] = ACTIONS(7251),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7251),
    [anon_sym_BSLASHACRlong] = ACTIONS(7251),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHacrfull] = ACTIONS(7251),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7251),
    [anon_sym_BSLASHACRfull] = ACTIONS(7251),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHacs] = ACTIONS(7251),
    [anon_sym_BSLASHAcs] = ACTIONS(7251),
    [anon_sym_BSLASHacsp] = ACTIONS(7251),
    [anon_sym_BSLASHAcsp] = ACTIONS(7251),
    [anon_sym_BSLASHacl] = ACTIONS(7251),
    [anon_sym_BSLASHAcl] = ACTIONS(7251),
    [anon_sym_BSLASHaclp] = ACTIONS(7251),
    [anon_sym_BSLASHAclp] = ACTIONS(7251),
    [anon_sym_BSLASHacf] = ACTIONS(7251),
    [anon_sym_BSLASHAcf] = ACTIONS(7251),
    [anon_sym_BSLASHacfp] = ACTIONS(7251),
    [anon_sym_BSLASHAcfp] = ACTIONS(7251),
    [anon_sym_BSLASHac] = ACTIONS(7251),
    [anon_sym_BSLASHAc] = ACTIONS(7251),
    [anon_sym_BSLASHacp] = ACTIONS(7251),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7251),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7251),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7251),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7251),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7251),
    [anon_sym_BSLASHcolor] = ACTIONS(7251),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7251),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7251),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7251),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7251),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7251),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7251),
    [anon_sym_BSLASHurl] = ACTIONS(7251),
    [anon_sym_BSLASHhref] = ACTIONS(7251),
  },
  [1518] = {
    [sym_command_name] = ACTIONS(7255),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7255),
    [anon_sym_LBRACK] = ACTIONS(7257),
    [anon_sym_RBRACK] = ACTIONS(7257),
    [anon_sym_COMMA] = ACTIONS(7257),
    [anon_sym_EQ] = ACTIONS(7257),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_RPAREN] = ACTIONS(7257),
    [anon_sym_BSLASHpart] = ACTIONS(7255),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHaddpart] = ACTIONS(7255),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHchapter] = ACTIONS(7255),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHaddchap] = ACTIONS(7255),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHsection] = ACTIONS(7255),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHaddsec] = ACTIONS(7255),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHsubsection] = ACTIONS(7255),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7255),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHparagraph] = ACTIONS(7255),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7255),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHitem] = ACTIONS(7255),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7257),
    [anon_sym_LBRACE] = ACTIONS(7257),
    [sym_word] = ACTIONS(7255),
    [sym_placeholder] = ACTIONS(7257),
    [sym_delimiter] = ACTIONS(7257),
    [anon_sym_PLUS] = ACTIONS(7257),
    [anon_sym_DASH] = ACTIONS(7257),
    [anon_sym_STAR] = ACTIONS(7257),
    [anon_sym_SLASH] = ACTIONS(7257),
    [anon_sym_LT] = ACTIONS(7255),
    [anon_sym_GT] = ACTIONS(7255),
    [anon_sym_BANG] = ACTIONS(7255),
    [anon_sym_PIPE] = ACTIONS(7255),
    [anon_sym_COLON] = ACTIONS(7255),
    [anon_sym_SQUOTE] = ACTIONS(7255),
    [anon_sym__] = ACTIONS(7257),
    [anon_sym_CARET] = ACTIONS(7257),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7257),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7257),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7257),
    [anon_sym_DOLLAR] = ACTIONS(7255),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7257),
    [anon_sym_BSLASHleft] = ACTIONS(7255),
    [anon_sym_BSLASHbigl] = ACTIONS(7255),
    [anon_sym_BSLASHBigl] = ACTIONS(7255),
    [anon_sym_BSLASHbiggl] = ACTIONS(7255),
    [anon_sym_BSLASHBiggl] = ACTIONS(7255),
    [anon_sym_BSLASHtext] = ACTIONS(7255),
    [anon_sym_BSLASHintertext] = ACTIONS(7255),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7255),
    [anon_sym_BSLASHbegin] = ACTIONS(7255),
    [anon_sym_BSLASHtitle] = ACTIONS(7255),
    [anon_sym_BSLASHauthor] = ACTIONS(7255),
    [anon_sym_BSLASHusepackage] = ACTIONS(7255),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7255),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7255),
    [anon_sym_BSLASHinclude] = ACTIONS(7255),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7255),
    [anon_sym_BSLASHinput] = ACTIONS(7255),
    [anon_sym_BSLASHsubfile] = ACTIONS(7255),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7255),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7255),
    [anon_sym_BSLASHbibliography] = ACTIONS(7255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7255),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7255),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7255),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7255),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7255),
    [anon_sym_BSLASHimport] = ACTIONS(7255),
    [anon_sym_BSLASHsubimport] = ACTIONS(7255),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7255),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7255),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7255),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7255),
    [anon_sym_BSLASHcaption] = ACTIONS(7255),
    [anon_sym_BSLASHcite] = ACTIONS(7255),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCite] = ACTIONS(7255),
    [anon_sym_BSLASHnocite] = ACTIONS(7255),
    [anon_sym_BSLASHcitet] = ACTIONS(7255),
    [anon_sym_BSLASHcitep] = ACTIONS(7255),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteA] = ACTIONS(7255),
    [anon_sym_BSLASHciteR] = ACTIONS(7255),
    [anon_sym_BSLASHciteS] = ACTIONS(7255),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7255),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7255),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7255),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7255),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteyear] = ACTIONS(7255),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitedate] = ACTIONS(7255),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteurl] = ACTIONS(7255),
    [anon_sym_BSLASHfullcite] = ACTIONS(7255),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7255),
    [anon_sym_BSLASHcitealt] = ACTIONS(7255),
    [anon_sym_BSLASHcitealp] = ACTIONS(7255),
    [anon_sym_BSLASHcitetext] = ACTIONS(7255),
    [anon_sym_BSLASHparencite] = ACTIONS(7255),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHParencite] = ACTIONS(7255),
    [anon_sym_BSLASHfootcite] = ACTIONS(7255),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7255),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7255),
    [anon_sym_BSLASHtextcite] = ACTIONS(7255),
    [anon_sym_BSLASHTextcite] = ACTIONS(7255),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7255),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7255),
    [anon_sym_BSLASHsupercite] = ACTIONS(7255),
    [anon_sym_BSLASHautocite] = ACTIONS(7255),
    [anon_sym_BSLASHAutocite] = ACTIONS(7255),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHVolcite] = ACTIONS(7255),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHavolcite] = ACTIONS(7255),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHNotecite] = ACTIONS(7255),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHlabel] = ACTIONS(7255),
    [anon_sym_BSLASHref] = ACTIONS(7255),
    [anon_sym_BSLASHeqref] = ACTIONS(7255),
    [anon_sym_BSLASHvref] = ACTIONS(7255),
    [anon_sym_BSLASHVref] = ACTIONS(7255),
    [anon_sym_BSLASHautoref] = ACTIONS(7255),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHpageref] = ACTIONS(7255),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHautopageref] = ACTIONS(7255),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcref] = ACTIONS(7255),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCref] = ACTIONS(7255),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcpageref] = ACTIONS(7255),
    [anon_sym_BSLASHCpageref] = ACTIONS(7255),
    [anon_sym_BSLASHnamecref] = ACTIONS(7255),
    [anon_sym_BSLASHnameCref] = ACTIONS(7255),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7255),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7255),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7255),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7255),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7255),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7255),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7255),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7255),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7255),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7255),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7255),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHdef] = ACTIONS(7255),
    [anon_sym_BSLASHgdef] = ACTIONS(7255),
    [anon_sym_BSLASHedef] = ACTIONS(7255),
    [anon_sym_BSLASHxdef] = ACTIONS(7255),
    [anon_sym_BSLASHlet] = ACTIONS(7255),
    [anon_sym_BSLASHglet] = ACTIONS(7255),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7255),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7255),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7255),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7255),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7255),
    [anon_sym_BSLASHgls] = ACTIONS(7255),
    [anon_sym_BSLASHGls] = ACTIONS(7255),
    [anon_sym_BSLASHGLS] = ACTIONS(7255),
    [anon_sym_BSLASHglspl] = ACTIONS(7255),
    [anon_sym_BSLASHGlspl] = ACTIONS(7255),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7255),
    [anon_sym_BSLASHglslink] = ACTIONS(7255),
    [anon_sym_BSLASHglstext] = ACTIONS(7255),
    [anon_sym_BSLASHGlstext] = ACTIONS(7255),
    [anon_sym_BSLASHGLStext] = ACTIONS(7255),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7255),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7255),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7255),
    [anon_sym_BSLASHglsplural] = ACTIONS(7255),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7255),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7255),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHglsname] = ACTIONS(7255),
    [anon_sym_BSLASHGlsname] = ACTIONS(7255),
    [anon_sym_BSLASHGLSname] = ACTIONS(7255),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7255),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7255),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7255),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7255),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7255),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7255),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7255),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7255),
    [anon_sym_BSLASHacrshort] = ACTIONS(7255),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7255),
    [anon_sym_BSLASHACRshort] = ACTIONS(7255),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHacrlong] = ACTIONS(7255),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7255),
    [anon_sym_BSLASHACRlong] = ACTIONS(7255),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHacrfull] = ACTIONS(7255),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7255),
    [anon_sym_BSLASHACRfull] = ACTIONS(7255),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHacs] = ACTIONS(7255),
    [anon_sym_BSLASHAcs] = ACTIONS(7255),
    [anon_sym_BSLASHacsp] = ACTIONS(7255),
    [anon_sym_BSLASHAcsp] = ACTIONS(7255),
    [anon_sym_BSLASHacl] = ACTIONS(7255),
    [anon_sym_BSLASHAcl] = ACTIONS(7255),
    [anon_sym_BSLASHaclp] = ACTIONS(7255),
    [anon_sym_BSLASHAclp] = ACTIONS(7255),
    [anon_sym_BSLASHacf] = ACTIONS(7255),
    [anon_sym_BSLASHAcf] = ACTIONS(7255),
    [anon_sym_BSLASHacfp] = ACTIONS(7255),
    [anon_sym_BSLASHAcfp] = ACTIONS(7255),
    [anon_sym_BSLASHac] = ACTIONS(7255),
    [anon_sym_BSLASHAc] = ACTIONS(7255),
    [anon_sym_BSLASHacp] = ACTIONS(7255),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7255),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7255),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7255),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7255),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7255),
    [anon_sym_BSLASHcolor] = ACTIONS(7255),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7255),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7255),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7255),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7255),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7255),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7255),
    [anon_sym_BSLASHurl] = ACTIONS(7255),
    [anon_sym_BSLASHhref] = ACTIONS(7255),
  },
  [1519] = {
    [sym_command_name] = ACTIONS(7259),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7259),
    [anon_sym_LBRACK] = ACTIONS(7261),
    [anon_sym_RBRACK] = ACTIONS(7261),
    [anon_sym_COMMA] = ACTIONS(7261),
    [anon_sym_EQ] = ACTIONS(7261),
    [anon_sym_LPAREN] = ACTIONS(7261),
    [anon_sym_RPAREN] = ACTIONS(7261),
    [anon_sym_BSLASHpart] = ACTIONS(7259),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHaddpart] = ACTIONS(7259),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHchapter] = ACTIONS(7259),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHaddchap] = ACTIONS(7259),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHsection] = ACTIONS(7259),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHaddsec] = ACTIONS(7259),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHsubsection] = ACTIONS(7259),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7259),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHparagraph] = ACTIONS(7259),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7259),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHitem] = ACTIONS(7259),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7261),
    [sym_word] = ACTIONS(7259),
    [sym_placeholder] = ACTIONS(7261),
    [sym_delimiter] = ACTIONS(7261),
    [anon_sym_PLUS] = ACTIONS(7261),
    [anon_sym_DASH] = ACTIONS(7261),
    [anon_sym_STAR] = ACTIONS(7261),
    [anon_sym_SLASH] = ACTIONS(7261),
    [anon_sym_LT] = ACTIONS(7259),
    [anon_sym_GT] = ACTIONS(7259),
    [anon_sym_BANG] = ACTIONS(7259),
    [anon_sym_PIPE] = ACTIONS(7259),
    [anon_sym_COLON] = ACTIONS(7259),
    [anon_sym_SQUOTE] = ACTIONS(7259),
    [anon_sym__] = ACTIONS(7261),
    [anon_sym_CARET] = ACTIONS(7261),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7261),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7261),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7261),
    [anon_sym_DOLLAR] = ACTIONS(7259),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7261),
    [anon_sym_BSLASHleft] = ACTIONS(7259),
    [anon_sym_BSLASHbigl] = ACTIONS(7259),
    [anon_sym_BSLASHBigl] = ACTIONS(7259),
    [anon_sym_BSLASHbiggl] = ACTIONS(7259),
    [anon_sym_BSLASHBiggl] = ACTIONS(7259),
    [anon_sym_BSLASHtext] = ACTIONS(7259),
    [anon_sym_BSLASHintertext] = ACTIONS(7259),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7259),
    [anon_sym_BSLASHbegin] = ACTIONS(7259),
    [anon_sym_BSLASHtitle] = ACTIONS(7259),
    [anon_sym_BSLASHauthor] = ACTIONS(7259),
    [anon_sym_BSLASHusepackage] = ACTIONS(7259),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7259),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7259),
    [anon_sym_BSLASHinclude] = ACTIONS(7259),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7259),
    [anon_sym_BSLASHinput] = ACTIONS(7259),
    [anon_sym_BSLASHsubfile] = ACTIONS(7259),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7259),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7259),
    [anon_sym_BSLASHbibliography] = ACTIONS(7259),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7259),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7259),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7259),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7259),
    [anon_sym_BSLASHimport] = ACTIONS(7259),
    [anon_sym_BSLASHsubimport] = ACTIONS(7259),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7259),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7259),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7259),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7259),
    [anon_sym_BSLASHcaption] = ACTIONS(7259),
    [anon_sym_BSLASHcite] = ACTIONS(7259),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCite] = ACTIONS(7259),
    [anon_sym_BSLASHnocite] = ACTIONS(7259),
    [anon_sym_BSLASHcitet] = ACTIONS(7259),
    [anon_sym_BSLASHcitep] = ACTIONS(7259),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteA] = ACTIONS(7259),
    [anon_sym_BSLASHciteR] = ACTIONS(7259),
    [anon_sym_BSLASHciteS] = ACTIONS(7259),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7259),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7259),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7259),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7259),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteyear] = ACTIONS(7259),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitedate] = ACTIONS(7259),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteurl] = ACTIONS(7259),
    [anon_sym_BSLASHfullcite] = ACTIONS(7259),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7259),
    [anon_sym_BSLASHcitealt] = ACTIONS(7259),
    [anon_sym_BSLASHcitealp] = ACTIONS(7259),
    [anon_sym_BSLASHcitetext] = ACTIONS(7259),
    [anon_sym_BSLASHparencite] = ACTIONS(7259),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHParencite] = ACTIONS(7259),
    [anon_sym_BSLASHfootcite] = ACTIONS(7259),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7259),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7259),
    [anon_sym_BSLASHtextcite] = ACTIONS(7259),
    [anon_sym_BSLASHTextcite] = ACTIONS(7259),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7259),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7259),
    [anon_sym_BSLASHsupercite] = ACTIONS(7259),
    [anon_sym_BSLASHautocite] = ACTIONS(7259),
    [anon_sym_BSLASHAutocite] = ACTIONS(7259),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHVolcite] = ACTIONS(7259),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHavolcite] = ACTIONS(7259),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHNotecite] = ACTIONS(7259),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHlabel] = ACTIONS(7259),
    [anon_sym_BSLASHref] = ACTIONS(7259),
    [anon_sym_BSLASHeqref] = ACTIONS(7259),
    [anon_sym_BSLASHvref] = ACTIONS(7259),
    [anon_sym_BSLASHVref] = ACTIONS(7259),
    [anon_sym_BSLASHautoref] = ACTIONS(7259),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHpageref] = ACTIONS(7259),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHautopageref] = ACTIONS(7259),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcref] = ACTIONS(7259),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCref] = ACTIONS(7259),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcpageref] = ACTIONS(7259),
    [anon_sym_BSLASHCpageref] = ACTIONS(7259),
    [anon_sym_BSLASHnamecref] = ACTIONS(7259),
    [anon_sym_BSLASHnameCref] = ACTIONS(7259),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7259),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7259),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7259),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7259),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7259),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7259),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7259),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7259),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7259),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7259),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7259),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHdef] = ACTIONS(7259),
    [anon_sym_BSLASHgdef] = ACTIONS(7259),
    [anon_sym_BSLASHedef] = ACTIONS(7259),
    [anon_sym_BSLASHxdef] = ACTIONS(7259),
    [anon_sym_BSLASHlet] = ACTIONS(7259),
    [anon_sym_BSLASHglet] = ACTIONS(7259),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7259),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7259),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7259),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7259),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7259),
    [anon_sym_BSLASHgls] = ACTIONS(7259),
    [anon_sym_BSLASHGls] = ACTIONS(7259),
    [anon_sym_BSLASHGLS] = ACTIONS(7259),
    [anon_sym_BSLASHglspl] = ACTIONS(7259),
    [anon_sym_BSLASHGlspl] = ACTIONS(7259),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7259),
    [anon_sym_BSLASHglslink] = ACTIONS(7259),
    [anon_sym_BSLASHglstext] = ACTIONS(7259),
    [anon_sym_BSLASHGlstext] = ACTIONS(7259),
    [anon_sym_BSLASHGLStext] = ACTIONS(7259),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7259),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7259),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7259),
    [anon_sym_BSLASHglsplural] = ACTIONS(7259),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7259),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7259),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHglsname] = ACTIONS(7259),
    [anon_sym_BSLASHGlsname] = ACTIONS(7259),
    [anon_sym_BSLASHGLSname] = ACTIONS(7259),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7259),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7259),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7259),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7259),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7259),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7259),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7259),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7259),
    [anon_sym_BSLASHacrshort] = ACTIONS(7259),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7259),
    [anon_sym_BSLASHACRshort] = ACTIONS(7259),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHacrlong] = ACTIONS(7259),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7259),
    [anon_sym_BSLASHACRlong] = ACTIONS(7259),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHacrfull] = ACTIONS(7259),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7259),
    [anon_sym_BSLASHACRfull] = ACTIONS(7259),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHacs] = ACTIONS(7259),
    [anon_sym_BSLASHAcs] = ACTIONS(7259),
    [anon_sym_BSLASHacsp] = ACTIONS(7259),
    [anon_sym_BSLASHAcsp] = ACTIONS(7259),
    [anon_sym_BSLASHacl] = ACTIONS(7259),
    [anon_sym_BSLASHAcl] = ACTIONS(7259),
    [anon_sym_BSLASHaclp] = ACTIONS(7259),
    [anon_sym_BSLASHAclp] = ACTIONS(7259),
    [anon_sym_BSLASHacf] = ACTIONS(7259),
    [anon_sym_BSLASHAcf] = ACTIONS(7259),
    [anon_sym_BSLASHacfp] = ACTIONS(7259),
    [anon_sym_BSLASHAcfp] = ACTIONS(7259),
    [anon_sym_BSLASHac] = ACTIONS(7259),
    [anon_sym_BSLASHAc] = ACTIONS(7259),
    [anon_sym_BSLASHacp] = ACTIONS(7259),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7259),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7259),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7259),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7259),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7259),
    [anon_sym_BSLASHcolor] = ACTIONS(7259),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7259),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7259),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7259),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7259),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7259),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7259),
    [anon_sym_BSLASHurl] = ACTIONS(7259),
    [anon_sym_BSLASHhref] = ACTIONS(7259),
  },
  [1520] = {
    [sym_command_name] = ACTIONS(7263),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7263),
    [anon_sym_LBRACK] = ACTIONS(7265),
    [anon_sym_RBRACK] = ACTIONS(7265),
    [anon_sym_COMMA] = ACTIONS(7265),
    [anon_sym_EQ] = ACTIONS(7265),
    [anon_sym_LPAREN] = ACTIONS(7265),
    [anon_sym_RPAREN] = ACTIONS(7265),
    [anon_sym_BSLASHpart] = ACTIONS(7263),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHaddpart] = ACTIONS(7263),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHchapter] = ACTIONS(7263),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHaddchap] = ACTIONS(7263),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHsection] = ACTIONS(7263),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHaddsec] = ACTIONS(7263),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHsubsection] = ACTIONS(7263),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7263),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHparagraph] = ACTIONS(7263),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7263),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHitem] = ACTIONS(7263),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7265),
    [anon_sym_LBRACE] = ACTIONS(7265),
    [sym_word] = ACTIONS(7263),
    [sym_placeholder] = ACTIONS(7265),
    [sym_delimiter] = ACTIONS(7265),
    [anon_sym_PLUS] = ACTIONS(7265),
    [anon_sym_DASH] = ACTIONS(7265),
    [anon_sym_STAR] = ACTIONS(7265),
    [anon_sym_SLASH] = ACTIONS(7265),
    [anon_sym_LT] = ACTIONS(7263),
    [anon_sym_GT] = ACTIONS(7263),
    [anon_sym_BANG] = ACTIONS(7263),
    [anon_sym_PIPE] = ACTIONS(7263),
    [anon_sym_COLON] = ACTIONS(7263),
    [anon_sym_SQUOTE] = ACTIONS(7263),
    [anon_sym__] = ACTIONS(7265),
    [anon_sym_CARET] = ACTIONS(7265),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7265),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7265),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7265),
    [anon_sym_DOLLAR] = ACTIONS(7263),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7265),
    [anon_sym_BSLASHleft] = ACTIONS(7263),
    [anon_sym_BSLASHbigl] = ACTIONS(7263),
    [anon_sym_BSLASHBigl] = ACTIONS(7263),
    [anon_sym_BSLASHbiggl] = ACTIONS(7263),
    [anon_sym_BSLASHBiggl] = ACTIONS(7263),
    [anon_sym_BSLASHtext] = ACTIONS(7263),
    [anon_sym_BSLASHintertext] = ACTIONS(7263),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7263),
    [anon_sym_BSLASHbegin] = ACTIONS(7263),
    [anon_sym_BSLASHtitle] = ACTIONS(7263),
    [anon_sym_BSLASHauthor] = ACTIONS(7263),
    [anon_sym_BSLASHusepackage] = ACTIONS(7263),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7263),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7263),
    [anon_sym_BSLASHinclude] = ACTIONS(7263),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7263),
    [anon_sym_BSLASHinput] = ACTIONS(7263),
    [anon_sym_BSLASHsubfile] = ACTIONS(7263),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7263),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7263),
    [anon_sym_BSLASHbibliography] = ACTIONS(7263),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7263),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7263),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7263),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7263),
    [anon_sym_BSLASHimport] = ACTIONS(7263),
    [anon_sym_BSLASHsubimport] = ACTIONS(7263),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7263),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7263),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7263),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7263),
    [anon_sym_BSLASHcaption] = ACTIONS(7263),
    [anon_sym_BSLASHcite] = ACTIONS(7263),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCite] = ACTIONS(7263),
    [anon_sym_BSLASHnocite] = ACTIONS(7263),
    [anon_sym_BSLASHcitet] = ACTIONS(7263),
    [anon_sym_BSLASHcitep] = ACTIONS(7263),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteA] = ACTIONS(7263),
    [anon_sym_BSLASHciteR] = ACTIONS(7263),
    [anon_sym_BSLASHciteS] = ACTIONS(7263),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7263),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7263),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7263),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7263),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteyear] = ACTIONS(7263),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitedate] = ACTIONS(7263),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteurl] = ACTIONS(7263),
    [anon_sym_BSLASHfullcite] = ACTIONS(7263),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7263),
    [anon_sym_BSLASHcitealt] = ACTIONS(7263),
    [anon_sym_BSLASHcitealp] = ACTIONS(7263),
    [anon_sym_BSLASHcitetext] = ACTIONS(7263),
    [anon_sym_BSLASHparencite] = ACTIONS(7263),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHParencite] = ACTIONS(7263),
    [anon_sym_BSLASHfootcite] = ACTIONS(7263),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7263),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7263),
    [anon_sym_BSLASHtextcite] = ACTIONS(7263),
    [anon_sym_BSLASHTextcite] = ACTIONS(7263),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7263),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7263),
    [anon_sym_BSLASHsupercite] = ACTIONS(7263),
    [anon_sym_BSLASHautocite] = ACTIONS(7263),
    [anon_sym_BSLASHAutocite] = ACTIONS(7263),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHVolcite] = ACTIONS(7263),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHavolcite] = ACTIONS(7263),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHNotecite] = ACTIONS(7263),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHlabel] = ACTIONS(7263),
    [anon_sym_BSLASHref] = ACTIONS(7263),
    [anon_sym_BSLASHeqref] = ACTIONS(7263),
    [anon_sym_BSLASHvref] = ACTIONS(7263),
    [anon_sym_BSLASHVref] = ACTIONS(7263),
    [anon_sym_BSLASHautoref] = ACTIONS(7263),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHpageref] = ACTIONS(7263),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHautopageref] = ACTIONS(7263),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcref] = ACTIONS(7263),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCref] = ACTIONS(7263),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcpageref] = ACTIONS(7263),
    [anon_sym_BSLASHCpageref] = ACTIONS(7263),
    [anon_sym_BSLASHnamecref] = ACTIONS(7263),
    [anon_sym_BSLASHnameCref] = ACTIONS(7263),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7263),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7263),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7263),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7263),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7263),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7263),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7263),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7263),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7263),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7263),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7263),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHdef] = ACTIONS(7263),
    [anon_sym_BSLASHgdef] = ACTIONS(7263),
    [anon_sym_BSLASHedef] = ACTIONS(7263),
    [anon_sym_BSLASHxdef] = ACTIONS(7263),
    [anon_sym_BSLASHlet] = ACTIONS(7263),
    [anon_sym_BSLASHglet] = ACTIONS(7263),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7263),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7263),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7263),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7263),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7263),
    [anon_sym_BSLASHgls] = ACTIONS(7263),
    [anon_sym_BSLASHGls] = ACTIONS(7263),
    [anon_sym_BSLASHGLS] = ACTIONS(7263),
    [anon_sym_BSLASHglspl] = ACTIONS(7263),
    [anon_sym_BSLASHGlspl] = ACTIONS(7263),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7263),
    [anon_sym_BSLASHglslink] = ACTIONS(7263),
    [anon_sym_BSLASHglstext] = ACTIONS(7263),
    [anon_sym_BSLASHGlstext] = ACTIONS(7263),
    [anon_sym_BSLASHGLStext] = ACTIONS(7263),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7263),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7263),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7263),
    [anon_sym_BSLASHglsplural] = ACTIONS(7263),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7263),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7263),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHglsname] = ACTIONS(7263),
    [anon_sym_BSLASHGlsname] = ACTIONS(7263),
    [anon_sym_BSLASHGLSname] = ACTIONS(7263),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7263),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7263),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7263),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7263),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7263),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7263),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7263),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7263),
    [anon_sym_BSLASHacrshort] = ACTIONS(7263),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7263),
    [anon_sym_BSLASHACRshort] = ACTIONS(7263),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHacrlong] = ACTIONS(7263),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7263),
    [anon_sym_BSLASHACRlong] = ACTIONS(7263),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHacrfull] = ACTIONS(7263),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7263),
    [anon_sym_BSLASHACRfull] = ACTIONS(7263),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHacs] = ACTIONS(7263),
    [anon_sym_BSLASHAcs] = ACTIONS(7263),
    [anon_sym_BSLASHacsp] = ACTIONS(7263),
    [anon_sym_BSLASHAcsp] = ACTIONS(7263),
    [anon_sym_BSLASHacl] = ACTIONS(7263),
    [anon_sym_BSLASHAcl] = ACTIONS(7263),
    [anon_sym_BSLASHaclp] = ACTIONS(7263),
    [anon_sym_BSLASHAclp] = ACTIONS(7263),
    [anon_sym_BSLASHacf] = ACTIONS(7263),
    [anon_sym_BSLASHAcf] = ACTIONS(7263),
    [anon_sym_BSLASHacfp] = ACTIONS(7263),
    [anon_sym_BSLASHAcfp] = ACTIONS(7263),
    [anon_sym_BSLASHac] = ACTIONS(7263),
    [anon_sym_BSLASHAc] = ACTIONS(7263),
    [anon_sym_BSLASHacp] = ACTIONS(7263),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7263),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7263),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7263),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7263),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7263),
    [anon_sym_BSLASHcolor] = ACTIONS(7263),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7263),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7263),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7263),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7263),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7263),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7263),
    [anon_sym_BSLASHurl] = ACTIONS(7263),
    [anon_sym_BSLASHhref] = ACTIONS(7263),
  },
  [1521] = {
    [sym_command_name] = ACTIONS(7267),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7267),
    [anon_sym_LBRACK] = ACTIONS(7269),
    [anon_sym_RBRACK] = ACTIONS(7269),
    [anon_sym_COMMA] = ACTIONS(7269),
    [anon_sym_EQ] = ACTIONS(7269),
    [anon_sym_LPAREN] = ACTIONS(7269),
    [anon_sym_RPAREN] = ACTIONS(7269),
    [anon_sym_BSLASHpart] = ACTIONS(7267),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHaddpart] = ACTIONS(7267),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHchapter] = ACTIONS(7267),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHaddchap] = ACTIONS(7267),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHsection] = ACTIONS(7267),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHaddsec] = ACTIONS(7267),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHsubsection] = ACTIONS(7267),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7267),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHparagraph] = ACTIONS(7267),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7267),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHitem] = ACTIONS(7267),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7269),
    [anon_sym_LBRACE] = ACTIONS(7269),
    [sym_word] = ACTIONS(7267),
    [sym_placeholder] = ACTIONS(7269),
    [sym_delimiter] = ACTIONS(7269),
    [anon_sym_PLUS] = ACTIONS(7269),
    [anon_sym_DASH] = ACTIONS(7269),
    [anon_sym_STAR] = ACTIONS(7269),
    [anon_sym_SLASH] = ACTIONS(7269),
    [anon_sym_LT] = ACTIONS(7267),
    [anon_sym_GT] = ACTIONS(7267),
    [anon_sym_BANG] = ACTIONS(7267),
    [anon_sym_PIPE] = ACTIONS(7267),
    [anon_sym_COLON] = ACTIONS(7267),
    [anon_sym_SQUOTE] = ACTIONS(7267),
    [anon_sym__] = ACTIONS(7269),
    [anon_sym_CARET] = ACTIONS(7269),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7269),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7269),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7269),
    [anon_sym_DOLLAR] = ACTIONS(7267),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7269),
    [anon_sym_BSLASHleft] = ACTIONS(7267),
    [anon_sym_BSLASHbigl] = ACTIONS(7267),
    [anon_sym_BSLASHBigl] = ACTIONS(7267),
    [anon_sym_BSLASHbiggl] = ACTIONS(7267),
    [anon_sym_BSLASHBiggl] = ACTIONS(7267),
    [anon_sym_BSLASHtext] = ACTIONS(7267),
    [anon_sym_BSLASHintertext] = ACTIONS(7267),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7267),
    [anon_sym_BSLASHbegin] = ACTIONS(7267),
    [anon_sym_BSLASHtitle] = ACTIONS(7267),
    [anon_sym_BSLASHauthor] = ACTIONS(7267),
    [anon_sym_BSLASHusepackage] = ACTIONS(7267),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7267),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7267),
    [anon_sym_BSLASHinclude] = ACTIONS(7267),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7267),
    [anon_sym_BSLASHinput] = ACTIONS(7267),
    [anon_sym_BSLASHsubfile] = ACTIONS(7267),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7267),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7267),
    [anon_sym_BSLASHbibliography] = ACTIONS(7267),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7267),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7267),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7267),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7267),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7267),
    [anon_sym_BSLASHimport] = ACTIONS(7267),
    [anon_sym_BSLASHsubimport] = ACTIONS(7267),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7267),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7267),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7267),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7267),
    [anon_sym_BSLASHcaption] = ACTIONS(7267),
    [anon_sym_BSLASHcite] = ACTIONS(7267),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCite] = ACTIONS(7267),
    [anon_sym_BSLASHnocite] = ACTIONS(7267),
    [anon_sym_BSLASHcitet] = ACTIONS(7267),
    [anon_sym_BSLASHcitep] = ACTIONS(7267),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteA] = ACTIONS(7267),
    [anon_sym_BSLASHciteR] = ACTIONS(7267),
    [anon_sym_BSLASHciteS] = ACTIONS(7267),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7267),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7267),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7267),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7267),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteyear] = ACTIONS(7267),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitedate] = ACTIONS(7267),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteurl] = ACTIONS(7267),
    [anon_sym_BSLASHfullcite] = ACTIONS(7267),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7267),
    [anon_sym_BSLASHcitealt] = ACTIONS(7267),
    [anon_sym_BSLASHcitealp] = ACTIONS(7267),
    [anon_sym_BSLASHcitetext] = ACTIONS(7267),
    [anon_sym_BSLASHparencite] = ACTIONS(7267),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHParencite] = ACTIONS(7267),
    [anon_sym_BSLASHfootcite] = ACTIONS(7267),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7267),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7267),
    [anon_sym_BSLASHtextcite] = ACTIONS(7267),
    [anon_sym_BSLASHTextcite] = ACTIONS(7267),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7267),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7267),
    [anon_sym_BSLASHsupercite] = ACTIONS(7267),
    [anon_sym_BSLASHautocite] = ACTIONS(7267),
    [anon_sym_BSLASHAutocite] = ACTIONS(7267),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHVolcite] = ACTIONS(7267),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHavolcite] = ACTIONS(7267),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHNotecite] = ACTIONS(7267),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHlabel] = ACTIONS(7267),
    [anon_sym_BSLASHref] = ACTIONS(7267),
    [anon_sym_BSLASHeqref] = ACTIONS(7267),
    [anon_sym_BSLASHvref] = ACTIONS(7267),
    [anon_sym_BSLASHVref] = ACTIONS(7267),
    [anon_sym_BSLASHautoref] = ACTIONS(7267),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHpageref] = ACTIONS(7267),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHautopageref] = ACTIONS(7267),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcref] = ACTIONS(7267),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCref] = ACTIONS(7267),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcpageref] = ACTIONS(7267),
    [anon_sym_BSLASHCpageref] = ACTIONS(7267),
    [anon_sym_BSLASHnamecref] = ACTIONS(7267),
    [anon_sym_BSLASHnameCref] = ACTIONS(7267),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7267),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7267),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7267),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7267),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7267),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7267),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7267),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7267),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7267),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7267),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7267),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHdef] = ACTIONS(7267),
    [anon_sym_BSLASHgdef] = ACTIONS(7267),
    [anon_sym_BSLASHedef] = ACTIONS(7267),
    [anon_sym_BSLASHxdef] = ACTIONS(7267),
    [anon_sym_BSLASHlet] = ACTIONS(7267),
    [anon_sym_BSLASHglet] = ACTIONS(7267),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7267),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7267),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7267),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7267),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7267),
    [anon_sym_BSLASHgls] = ACTIONS(7267),
    [anon_sym_BSLASHGls] = ACTIONS(7267),
    [anon_sym_BSLASHGLS] = ACTIONS(7267),
    [anon_sym_BSLASHglspl] = ACTIONS(7267),
    [anon_sym_BSLASHGlspl] = ACTIONS(7267),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7267),
    [anon_sym_BSLASHglslink] = ACTIONS(7267),
    [anon_sym_BSLASHglstext] = ACTIONS(7267),
    [anon_sym_BSLASHGlstext] = ACTIONS(7267),
    [anon_sym_BSLASHGLStext] = ACTIONS(7267),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7267),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7267),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7267),
    [anon_sym_BSLASHglsplural] = ACTIONS(7267),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7267),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7267),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHglsname] = ACTIONS(7267),
    [anon_sym_BSLASHGlsname] = ACTIONS(7267),
    [anon_sym_BSLASHGLSname] = ACTIONS(7267),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7267),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7267),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7267),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7267),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7267),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7267),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7267),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7267),
    [anon_sym_BSLASHacrshort] = ACTIONS(7267),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7267),
    [anon_sym_BSLASHACRshort] = ACTIONS(7267),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHacrlong] = ACTIONS(7267),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7267),
    [anon_sym_BSLASHACRlong] = ACTIONS(7267),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHacrfull] = ACTIONS(7267),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7267),
    [anon_sym_BSLASHACRfull] = ACTIONS(7267),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHacs] = ACTIONS(7267),
    [anon_sym_BSLASHAcs] = ACTIONS(7267),
    [anon_sym_BSLASHacsp] = ACTIONS(7267),
    [anon_sym_BSLASHAcsp] = ACTIONS(7267),
    [anon_sym_BSLASHacl] = ACTIONS(7267),
    [anon_sym_BSLASHAcl] = ACTIONS(7267),
    [anon_sym_BSLASHaclp] = ACTIONS(7267),
    [anon_sym_BSLASHAclp] = ACTIONS(7267),
    [anon_sym_BSLASHacf] = ACTIONS(7267),
    [anon_sym_BSLASHAcf] = ACTIONS(7267),
    [anon_sym_BSLASHacfp] = ACTIONS(7267),
    [anon_sym_BSLASHAcfp] = ACTIONS(7267),
    [anon_sym_BSLASHac] = ACTIONS(7267),
    [anon_sym_BSLASHAc] = ACTIONS(7267),
    [anon_sym_BSLASHacp] = ACTIONS(7267),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7267),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7267),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7267),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7267),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7267),
    [anon_sym_BSLASHcolor] = ACTIONS(7267),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7267),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7267),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7267),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7267),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7267),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7267),
    [anon_sym_BSLASHurl] = ACTIONS(7267),
    [anon_sym_BSLASHhref] = ACTIONS(7267),
  },
  [1522] = {
    [sym_command_name] = ACTIONS(7271),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7271),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_RBRACK] = ACTIONS(7273),
    [anon_sym_COMMA] = ACTIONS(7273),
    [anon_sym_EQ] = ACTIONS(7273),
    [anon_sym_LPAREN] = ACTIONS(7273),
    [anon_sym_RPAREN] = ACTIONS(7273),
    [anon_sym_BSLASHpart] = ACTIONS(7271),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHaddpart] = ACTIONS(7271),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHchapter] = ACTIONS(7271),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHaddchap] = ACTIONS(7271),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHsection] = ACTIONS(7271),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHaddsec] = ACTIONS(7271),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHsubsection] = ACTIONS(7271),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7271),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHparagraph] = ACTIONS(7271),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7271),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHitem] = ACTIONS(7271),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7273),
    [sym_word] = ACTIONS(7271),
    [sym_placeholder] = ACTIONS(7273),
    [sym_delimiter] = ACTIONS(7273),
    [anon_sym_PLUS] = ACTIONS(7273),
    [anon_sym_DASH] = ACTIONS(7273),
    [anon_sym_STAR] = ACTIONS(7273),
    [anon_sym_SLASH] = ACTIONS(7273),
    [anon_sym_LT] = ACTIONS(7271),
    [anon_sym_GT] = ACTIONS(7271),
    [anon_sym_BANG] = ACTIONS(7271),
    [anon_sym_PIPE] = ACTIONS(7271),
    [anon_sym_COLON] = ACTIONS(7271),
    [anon_sym_SQUOTE] = ACTIONS(7271),
    [anon_sym__] = ACTIONS(7273),
    [anon_sym_CARET] = ACTIONS(7273),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7273),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7273),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7273),
    [anon_sym_DOLLAR] = ACTIONS(7271),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7273),
    [anon_sym_BSLASHleft] = ACTIONS(7271),
    [anon_sym_BSLASHbigl] = ACTIONS(7271),
    [anon_sym_BSLASHBigl] = ACTIONS(7271),
    [anon_sym_BSLASHbiggl] = ACTIONS(7271),
    [anon_sym_BSLASHBiggl] = ACTIONS(7271),
    [anon_sym_BSLASHtext] = ACTIONS(7271),
    [anon_sym_BSLASHintertext] = ACTIONS(7271),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7271),
    [anon_sym_BSLASHbegin] = ACTIONS(7271),
    [anon_sym_BSLASHtitle] = ACTIONS(7271),
    [anon_sym_BSLASHauthor] = ACTIONS(7271),
    [anon_sym_BSLASHusepackage] = ACTIONS(7271),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7271),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7271),
    [anon_sym_BSLASHinclude] = ACTIONS(7271),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7271),
    [anon_sym_BSLASHinput] = ACTIONS(7271),
    [anon_sym_BSLASHsubfile] = ACTIONS(7271),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7271),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7271),
    [anon_sym_BSLASHbibliography] = ACTIONS(7271),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7271),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7271),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7271),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7271),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7271),
    [anon_sym_BSLASHimport] = ACTIONS(7271),
    [anon_sym_BSLASHsubimport] = ACTIONS(7271),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7271),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7271),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7271),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7271),
    [anon_sym_BSLASHcaption] = ACTIONS(7271),
    [anon_sym_BSLASHcite] = ACTIONS(7271),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCite] = ACTIONS(7271),
    [anon_sym_BSLASHnocite] = ACTIONS(7271),
    [anon_sym_BSLASHcitet] = ACTIONS(7271),
    [anon_sym_BSLASHcitep] = ACTIONS(7271),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteA] = ACTIONS(7271),
    [anon_sym_BSLASHciteR] = ACTIONS(7271),
    [anon_sym_BSLASHciteS] = ACTIONS(7271),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7271),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7271),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7271),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7271),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteyear] = ACTIONS(7271),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitedate] = ACTIONS(7271),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteurl] = ACTIONS(7271),
    [anon_sym_BSLASHfullcite] = ACTIONS(7271),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7271),
    [anon_sym_BSLASHcitealt] = ACTIONS(7271),
    [anon_sym_BSLASHcitealp] = ACTIONS(7271),
    [anon_sym_BSLASHcitetext] = ACTIONS(7271),
    [anon_sym_BSLASHparencite] = ACTIONS(7271),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHParencite] = ACTIONS(7271),
    [anon_sym_BSLASHfootcite] = ACTIONS(7271),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7271),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7271),
    [anon_sym_BSLASHtextcite] = ACTIONS(7271),
    [anon_sym_BSLASHTextcite] = ACTIONS(7271),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7271),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7271),
    [anon_sym_BSLASHsupercite] = ACTIONS(7271),
    [anon_sym_BSLASHautocite] = ACTIONS(7271),
    [anon_sym_BSLASHAutocite] = ACTIONS(7271),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHVolcite] = ACTIONS(7271),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHavolcite] = ACTIONS(7271),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHNotecite] = ACTIONS(7271),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHlabel] = ACTIONS(7271),
    [anon_sym_BSLASHref] = ACTIONS(7271),
    [anon_sym_BSLASHeqref] = ACTIONS(7271),
    [anon_sym_BSLASHvref] = ACTIONS(7271),
    [anon_sym_BSLASHVref] = ACTIONS(7271),
    [anon_sym_BSLASHautoref] = ACTIONS(7271),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHpageref] = ACTIONS(7271),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHautopageref] = ACTIONS(7271),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcref] = ACTIONS(7271),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCref] = ACTIONS(7271),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcpageref] = ACTIONS(7271),
    [anon_sym_BSLASHCpageref] = ACTIONS(7271),
    [anon_sym_BSLASHnamecref] = ACTIONS(7271),
    [anon_sym_BSLASHnameCref] = ACTIONS(7271),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7271),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7271),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7271),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7271),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7271),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7271),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7271),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7271),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7271),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7271),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7271),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHdef] = ACTIONS(7271),
    [anon_sym_BSLASHgdef] = ACTIONS(7271),
    [anon_sym_BSLASHedef] = ACTIONS(7271),
    [anon_sym_BSLASHxdef] = ACTIONS(7271),
    [anon_sym_BSLASHlet] = ACTIONS(7271),
    [anon_sym_BSLASHglet] = ACTIONS(7271),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7271),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7271),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7271),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7271),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7271),
    [anon_sym_BSLASHgls] = ACTIONS(7271),
    [anon_sym_BSLASHGls] = ACTIONS(7271),
    [anon_sym_BSLASHGLS] = ACTIONS(7271),
    [anon_sym_BSLASHglspl] = ACTIONS(7271),
    [anon_sym_BSLASHGlspl] = ACTIONS(7271),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7271),
    [anon_sym_BSLASHglslink] = ACTIONS(7271),
    [anon_sym_BSLASHglstext] = ACTIONS(7271),
    [anon_sym_BSLASHGlstext] = ACTIONS(7271),
    [anon_sym_BSLASHGLStext] = ACTIONS(7271),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7271),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7271),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7271),
    [anon_sym_BSLASHglsplural] = ACTIONS(7271),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7271),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7271),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHglsname] = ACTIONS(7271),
    [anon_sym_BSLASHGlsname] = ACTIONS(7271),
    [anon_sym_BSLASHGLSname] = ACTIONS(7271),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7271),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7271),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7271),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7271),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7271),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7271),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7271),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7271),
    [anon_sym_BSLASHacrshort] = ACTIONS(7271),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7271),
    [anon_sym_BSLASHACRshort] = ACTIONS(7271),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHacrlong] = ACTIONS(7271),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7271),
    [anon_sym_BSLASHACRlong] = ACTIONS(7271),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHacrfull] = ACTIONS(7271),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7271),
    [anon_sym_BSLASHACRfull] = ACTIONS(7271),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHacs] = ACTIONS(7271),
    [anon_sym_BSLASHAcs] = ACTIONS(7271),
    [anon_sym_BSLASHacsp] = ACTIONS(7271),
    [anon_sym_BSLASHAcsp] = ACTIONS(7271),
    [anon_sym_BSLASHacl] = ACTIONS(7271),
    [anon_sym_BSLASHAcl] = ACTIONS(7271),
    [anon_sym_BSLASHaclp] = ACTIONS(7271),
    [anon_sym_BSLASHAclp] = ACTIONS(7271),
    [anon_sym_BSLASHacf] = ACTIONS(7271),
    [anon_sym_BSLASHAcf] = ACTIONS(7271),
    [anon_sym_BSLASHacfp] = ACTIONS(7271),
    [anon_sym_BSLASHAcfp] = ACTIONS(7271),
    [anon_sym_BSLASHac] = ACTIONS(7271),
    [anon_sym_BSLASHAc] = ACTIONS(7271),
    [anon_sym_BSLASHacp] = ACTIONS(7271),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7271),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7271),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7271),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7271),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7271),
    [anon_sym_BSLASHcolor] = ACTIONS(7271),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7271),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7271),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7271),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7271),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7271),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7271),
    [anon_sym_BSLASHurl] = ACTIONS(7271),
    [anon_sym_BSLASHhref] = ACTIONS(7271),
  },
  [1523] = {
    [sym_command_name] = ACTIONS(7275),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7275),
    [anon_sym_LBRACK] = ACTIONS(7277),
    [anon_sym_RBRACK] = ACTIONS(7277),
    [anon_sym_COMMA] = ACTIONS(7277),
    [anon_sym_EQ] = ACTIONS(7277),
    [anon_sym_LPAREN] = ACTIONS(7277),
    [anon_sym_RPAREN] = ACTIONS(7277),
    [anon_sym_BSLASHpart] = ACTIONS(7275),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHaddpart] = ACTIONS(7275),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHchapter] = ACTIONS(7275),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHaddchap] = ACTIONS(7275),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHsection] = ACTIONS(7275),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHaddsec] = ACTIONS(7275),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHsubsection] = ACTIONS(7275),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7275),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHparagraph] = ACTIONS(7275),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7275),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHitem] = ACTIONS(7275),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7277),
    [anon_sym_LBRACE] = ACTIONS(7277),
    [sym_word] = ACTIONS(7275),
    [sym_placeholder] = ACTIONS(7277),
    [sym_delimiter] = ACTIONS(7277),
    [anon_sym_PLUS] = ACTIONS(7277),
    [anon_sym_DASH] = ACTIONS(7277),
    [anon_sym_STAR] = ACTIONS(7277),
    [anon_sym_SLASH] = ACTIONS(7277),
    [anon_sym_LT] = ACTIONS(7275),
    [anon_sym_GT] = ACTIONS(7275),
    [anon_sym_BANG] = ACTIONS(7275),
    [anon_sym_PIPE] = ACTIONS(7275),
    [anon_sym_COLON] = ACTIONS(7275),
    [anon_sym_SQUOTE] = ACTIONS(7275),
    [anon_sym__] = ACTIONS(7277),
    [anon_sym_CARET] = ACTIONS(7277),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7277),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7277),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7277),
    [anon_sym_DOLLAR] = ACTIONS(7275),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7277),
    [anon_sym_BSLASHleft] = ACTIONS(7275),
    [anon_sym_BSLASHbigl] = ACTIONS(7275),
    [anon_sym_BSLASHBigl] = ACTIONS(7275),
    [anon_sym_BSLASHbiggl] = ACTIONS(7275),
    [anon_sym_BSLASHBiggl] = ACTIONS(7275),
    [anon_sym_BSLASHtext] = ACTIONS(7275),
    [anon_sym_BSLASHintertext] = ACTIONS(7275),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7275),
    [anon_sym_BSLASHbegin] = ACTIONS(7275),
    [anon_sym_BSLASHtitle] = ACTIONS(7275),
    [anon_sym_BSLASHauthor] = ACTIONS(7275),
    [anon_sym_BSLASHusepackage] = ACTIONS(7275),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7275),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7275),
    [anon_sym_BSLASHinclude] = ACTIONS(7275),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7275),
    [anon_sym_BSLASHinput] = ACTIONS(7275),
    [anon_sym_BSLASHsubfile] = ACTIONS(7275),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7275),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7275),
    [anon_sym_BSLASHbibliography] = ACTIONS(7275),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7275),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7275),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7275),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7275),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7275),
    [anon_sym_BSLASHimport] = ACTIONS(7275),
    [anon_sym_BSLASHsubimport] = ACTIONS(7275),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7275),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7275),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7275),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7275),
    [anon_sym_BSLASHcaption] = ACTIONS(7275),
    [anon_sym_BSLASHcite] = ACTIONS(7275),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCite] = ACTIONS(7275),
    [anon_sym_BSLASHnocite] = ACTIONS(7275),
    [anon_sym_BSLASHcitet] = ACTIONS(7275),
    [anon_sym_BSLASHcitep] = ACTIONS(7275),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteA] = ACTIONS(7275),
    [anon_sym_BSLASHciteR] = ACTIONS(7275),
    [anon_sym_BSLASHciteS] = ACTIONS(7275),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7275),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7275),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7275),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7275),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteyear] = ACTIONS(7275),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitedate] = ACTIONS(7275),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteurl] = ACTIONS(7275),
    [anon_sym_BSLASHfullcite] = ACTIONS(7275),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7275),
    [anon_sym_BSLASHcitealt] = ACTIONS(7275),
    [anon_sym_BSLASHcitealp] = ACTIONS(7275),
    [anon_sym_BSLASHcitetext] = ACTIONS(7275),
    [anon_sym_BSLASHparencite] = ACTIONS(7275),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHParencite] = ACTIONS(7275),
    [anon_sym_BSLASHfootcite] = ACTIONS(7275),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7275),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7275),
    [anon_sym_BSLASHtextcite] = ACTIONS(7275),
    [anon_sym_BSLASHTextcite] = ACTIONS(7275),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7275),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7275),
    [anon_sym_BSLASHsupercite] = ACTIONS(7275),
    [anon_sym_BSLASHautocite] = ACTIONS(7275),
    [anon_sym_BSLASHAutocite] = ACTIONS(7275),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHVolcite] = ACTIONS(7275),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHavolcite] = ACTIONS(7275),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHNotecite] = ACTIONS(7275),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHlabel] = ACTIONS(7275),
    [anon_sym_BSLASHref] = ACTIONS(7275),
    [anon_sym_BSLASHeqref] = ACTIONS(7275),
    [anon_sym_BSLASHvref] = ACTIONS(7275),
    [anon_sym_BSLASHVref] = ACTIONS(7275),
    [anon_sym_BSLASHautoref] = ACTIONS(7275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHpageref] = ACTIONS(7275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHautopageref] = ACTIONS(7275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcref] = ACTIONS(7275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCref] = ACTIONS(7275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcpageref] = ACTIONS(7275),
    [anon_sym_BSLASHCpageref] = ACTIONS(7275),
    [anon_sym_BSLASHnamecref] = ACTIONS(7275),
    [anon_sym_BSLASHnameCref] = ACTIONS(7275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7275),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7275),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7275),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7275),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7275),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7275),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7275),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7275),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHdef] = ACTIONS(7275),
    [anon_sym_BSLASHgdef] = ACTIONS(7275),
    [anon_sym_BSLASHedef] = ACTIONS(7275),
    [anon_sym_BSLASHxdef] = ACTIONS(7275),
    [anon_sym_BSLASHlet] = ACTIONS(7275),
    [anon_sym_BSLASHglet] = ACTIONS(7275),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7275),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7275),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7275),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7275),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7275),
    [anon_sym_BSLASHgls] = ACTIONS(7275),
    [anon_sym_BSLASHGls] = ACTIONS(7275),
    [anon_sym_BSLASHGLS] = ACTIONS(7275),
    [anon_sym_BSLASHglspl] = ACTIONS(7275),
    [anon_sym_BSLASHGlspl] = ACTIONS(7275),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7275),
    [anon_sym_BSLASHglslink] = ACTIONS(7275),
    [anon_sym_BSLASHglstext] = ACTIONS(7275),
    [anon_sym_BSLASHGlstext] = ACTIONS(7275),
    [anon_sym_BSLASHGLStext] = ACTIONS(7275),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7275),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7275),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7275),
    [anon_sym_BSLASHglsplural] = ACTIONS(7275),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7275),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7275),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHglsname] = ACTIONS(7275),
    [anon_sym_BSLASHGlsname] = ACTIONS(7275),
    [anon_sym_BSLASHGLSname] = ACTIONS(7275),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7275),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7275),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7275),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7275),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7275),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7275),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7275),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7275),
    [anon_sym_BSLASHacrshort] = ACTIONS(7275),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7275),
    [anon_sym_BSLASHACRshort] = ACTIONS(7275),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHacrlong] = ACTIONS(7275),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7275),
    [anon_sym_BSLASHACRlong] = ACTIONS(7275),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHacrfull] = ACTIONS(7275),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7275),
    [anon_sym_BSLASHACRfull] = ACTIONS(7275),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHacs] = ACTIONS(7275),
    [anon_sym_BSLASHAcs] = ACTIONS(7275),
    [anon_sym_BSLASHacsp] = ACTIONS(7275),
    [anon_sym_BSLASHAcsp] = ACTIONS(7275),
    [anon_sym_BSLASHacl] = ACTIONS(7275),
    [anon_sym_BSLASHAcl] = ACTIONS(7275),
    [anon_sym_BSLASHaclp] = ACTIONS(7275),
    [anon_sym_BSLASHAclp] = ACTIONS(7275),
    [anon_sym_BSLASHacf] = ACTIONS(7275),
    [anon_sym_BSLASHAcf] = ACTIONS(7275),
    [anon_sym_BSLASHacfp] = ACTIONS(7275),
    [anon_sym_BSLASHAcfp] = ACTIONS(7275),
    [anon_sym_BSLASHac] = ACTIONS(7275),
    [anon_sym_BSLASHAc] = ACTIONS(7275),
    [anon_sym_BSLASHacp] = ACTIONS(7275),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7275),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7275),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7275),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7275),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7275),
    [anon_sym_BSLASHcolor] = ACTIONS(7275),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7275),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7275),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7275),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7275),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7275),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7275),
    [anon_sym_BSLASHurl] = ACTIONS(7275),
    [anon_sym_BSLASHhref] = ACTIONS(7275),
  },
  [1524] = {
    [sym_command_name] = ACTIONS(7279),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7279),
    [anon_sym_LBRACK] = ACTIONS(7281),
    [anon_sym_RBRACK] = ACTIONS(7281),
    [anon_sym_COMMA] = ACTIONS(7281),
    [anon_sym_EQ] = ACTIONS(7281),
    [anon_sym_LPAREN] = ACTIONS(7281),
    [anon_sym_RPAREN] = ACTIONS(7281),
    [anon_sym_BSLASHpart] = ACTIONS(7279),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHaddpart] = ACTIONS(7279),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHchapter] = ACTIONS(7279),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHaddchap] = ACTIONS(7279),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHsection] = ACTIONS(7279),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHaddsec] = ACTIONS(7279),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHsubsection] = ACTIONS(7279),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7279),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHparagraph] = ACTIONS(7279),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7279),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHitem] = ACTIONS(7279),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7281),
    [anon_sym_LBRACE] = ACTIONS(7281),
    [sym_word] = ACTIONS(7279),
    [sym_placeholder] = ACTIONS(7281),
    [sym_delimiter] = ACTIONS(7281),
    [anon_sym_PLUS] = ACTIONS(7281),
    [anon_sym_DASH] = ACTIONS(7281),
    [anon_sym_STAR] = ACTIONS(7281),
    [anon_sym_SLASH] = ACTIONS(7281),
    [anon_sym_LT] = ACTIONS(7279),
    [anon_sym_GT] = ACTIONS(7279),
    [anon_sym_BANG] = ACTIONS(7279),
    [anon_sym_PIPE] = ACTIONS(7279),
    [anon_sym_COLON] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7279),
    [anon_sym__] = ACTIONS(7281),
    [anon_sym_CARET] = ACTIONS(7281),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7281),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7281),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7281),
    [anon_sym_DOLLAR] = ACTIONS(7279),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7281),
    [anon_sym_BSLASHleft] = ACTIONS(7279),
    [anon_sym_BSLASHbigl] = ACTIONS(7279),
    [anon_sym_BSLASHBigl] = ACTIONS(7279),
    [anon_sym_BSLASHbiggl] = ACTIONS(7279),
    [anon_sym_BSLASHBiggl] = ACTIONS(7279),
    [anon_sym_BSLASHtext] = ACTIONS(7279),
    [anon_sym_BSLASHintertext] = ACTIONS(7279),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7279),
    [anon_sym_BSLASHbegin] = ACTIONS(7279),
    [anon_sym_BSLASHtitle] = ACTIONS(7279),
    [anon_sym_BSLASHauthor] = ACTIONS(7279),
    [anon_sym_BSLASHusepackage] = ACTIONS(7279),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7279),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7279),
    [anon_sym_BSLASHinclude] = ACTIONS(7279),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7279),
    [anon_sym_BSLASHinput] = ACTIONS(7279),
    [anon_sym_BSLASHsubfile] = ACTIONS(7279),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7279),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7279),
    [anon_sym_BSLASHbibliography] = ACTIONS(7279),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7279),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7279),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7279),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7279),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7279),
    [anon_sym_BSLASHimport] = ACTIONS(7279),
    [anon_sym_BSLASHsubimport] = ACTIONS(7279),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7279),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7279),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7279),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7279),
    [anon_sym_BSLASHcaption] = ACTIONS(7279),
    [anon_sym_BSLASHcite] = ACTIONS(7279),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCite] = ACTIONS(7279),
    [anon_sym_BSLASHnocite] = ACTIONS(7279),
    [anon_sym_BSLASHcitet] = ACTIONS(7279),
    [anon_sym_BSLASHcitep] = ACTIONS(7279),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteA] = ACTIONS(7279),
    [anon_sym_BSLASHciteR] = ACTIONS(7279),
    [anon_sym_BSLASHciteS] = ACTIONS(7279),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7279),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7279),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7279),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7279),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteyear] = ACTIONS(7279),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitedate] = ACTIONS(7279),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteurl] = ACTIONS(7279),
    [anon_sym_BSLASHfullcite] = ACTIONS(7279),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7279),
    [anon_sym_BSLASHcitealt] = ACTIONS(7279),
    [anon_sym_BSLASHcitealp] = ACTIONS(7279),
    [anon_sym_BSLASHcitetext] = ACTIONS(7279),
    [anon_sym_BSLASHparencite] = ACTIONS(7279),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHParencite] = ACTIONS(7279),
    [anon_sym_BSLASHfootcite] = ACTIONS(7279),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7279),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7279),
    [anon_sym_BSLASHtextcite] = ACTIONS(7279),
    [anon_sym_BSLASHTextcite] = ACTIONS(7279),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7279),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7279),
    [anon_sym_BSLASHsupercite] = ACTIONS(7279),
    [anon_sym_BSLASHautocite] = ACTIONS(7279),
    [anon_sym_BSLASHAutocite] = ACTIONS(7279),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHVolcite] = ACTIONS(7279),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHavolcite] = ACTIONS(7279),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHNotecite] = ACTIONS(7279),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHlabel] = ACTIONS(7279),
    [anon_sym_BSLASHref] = ACTIONS(7279),
    [anon_sym_BSLASHeqref] = ACTIONS(7279),
    [anon_sym_BSLASHvref] = ACTIONS(7279),
    [anon_sym_BSLASHVref] = ACTIONS(7279),
    [anon_sym_BSLASHautoref] = ACTIONS(7279),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHpageref] = ACTIONS(7279),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHautopageref] = ACTIONS(7279),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcref] = ACTIONS(7279),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCref] = ACTIONS(7279),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcpageref] = ACTIONS(7279),
    [anon_sym_BSLASHCpageref] = ACTIONS(7279),
    [anon_sym_BSLASHnamecref] = ACTIONS(7279),
    [anon_sym_BSLASHnameCref] = ACTIONS(7279),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7279),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7279),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7279),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7279),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7279),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7279),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7279),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHdef] = ACTIONS(7279),
    [anon_sym_BSLASHgdef] = ACTIONS(7279),
    [anon_sym_BSLASHedef] = ACTIONS(7279),
    [anon_sym_BSLASHxdef] = ACTIONS(7279),
    [anon_sym_BSLASHlet] = ACTIONS(7279),
    [anon_sym_BSLASHglet] = ACTIONS(7279),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7279),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7279),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7279),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7279),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7279),
    [anon_sym_BSLASHgls] = ACTIONS(7279),
    [anon_sym_BSLASHGls] = ACTIONS(7279),
    [anon_sym_BSLASHGLS] = ACTIONS(7279),
    [anon_sym_BSLASHglspl] = ACTIONS(7279),
    [anon_sym_BSLASHGlspl] = ACTIONS(7279),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7279),
    [anon_sym_BSLASHglslink] = ACTIONS(7279),
    [anon_sym_BSLASHglstext] = ACTIONS(7279),
    [anon_sym_BSLASHGlstext] = ACTIONS(7279),
    [anon_sym_BSLASHGLStext] = ACTIONS(7279),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7279),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7279),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7279),
    [anon_sym_BSLASHglsplural] = ACTIONS(7279),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7279),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7279),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHglsname] = ACTIONS(7279),
    [anon_sym_BSLASHGlsname] = ACTIONS(7279),
    [anon_sym_BSLASHGLSname] = ACTIONS(7279),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7279),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7279),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7279),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7279),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7279),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7279),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7279),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7279),
    [anon_sym_BSLASHacrshort] = ACTIONS(7279),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7279),
    [anon_sym_BSLASHACRshort] = ACTIONS(7279),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHacrlong] = ACTIONS(7279),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7279),
    [anon_sym_BSLASHACRlong] = ACTIONS(7279),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHacrfull] = ACTIONS(7279),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7279),
    [anon_sym_BSLASHACRfull] = ACTIONS(7279),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHacs] = ACTIONS(7279),
    [anon_sym_BSLASHAcs] = ACTIONS(7279),
    [anon_sym_BSLASHacsp] = ACTIONS(7279),
    [anon_sym_BSLASHAcsp] = ACTIONS(7279),
    [anon_sym_BSLASHacl] = ACTIONS(7279),
    [anon_sym_BSLASHAcl] = ACTIONS(7279),
    [anon_sym_BSLASHaclp] = ACTIONS(7279),
    [anon_sym_BSLASHAclp] = ACTIONS(7279),
    [anon_sym_BSLASHacf] = ACTIONS(7279),
    [anon_sym_BSLASHAcf] = ACTIONS(7279),
    [anon_sym_BSLASHacfp] = ACTIONS(7279),
    [anon_sym_BSLASHAcfp] = ACTIONS(7279),
    [anon_sym_BSLASHac] = ACTIONS(7279),
    [anon_sym_BSLASHAc] = ACTIONS(7279),
    [anon_sym_BSLASHacp] = ACTIONS(7279),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7279),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7279),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7279),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7279),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7279),
    [anon_sym_BSLASHcolor] = ACTIONS(7279),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7279),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7279),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7279),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7279),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7279),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7279),
    [anon_sym_BSLASHurl] = ACTIONS(7279),
    [anon_sym_BSLASHhref] = ACTIONS(7279),
  },
  [1525] = {
    [sym_command_name] = ACTIONS(7283),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7283),
    [anon_sym_LBRACK] = ACTIONS(7285),
    [anon_sym_RBRACK] = ACTIONS(7285),
    [anon_sym_COMMA] = ACTIONS(7285),
    [anon_sym_EQ] = ACTIONS(7285),
    [anon_sym_LPAREN] = ACTIONS(7285),
    [anon_sym_RPAREN] = ACTIONS(7285),
    [anon_sym_BSLASHpart] = ACTIONS(7283),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHaddpart] = ACTIONS(7283),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHchapter] = ACTIONS(7283),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHaddchap] = ACTIONS(7283),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHsection] = ACTIONS(7283),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHaddsec] = ACTIONS(7283),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHsubsection] = ACTIONS(7283),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7283),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHparagraph] = ACTIONS(7283),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7283),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHitem] = ACTIONS(7283),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7285),
    [anon_sym_LBRACE] = ACTIONS(7285),
    [sym_word] = ACTIONS(7283),
    [sym_placeholder] = ACTIONS(7285),
    [sym_delimiter] = ACTIONS(7285),
    [anon_sym_PLUS] = ACTIONS(7285),
    [anon_sym_DASH] = ACTIONS(7285),
    [anon_sym_STAR] = ACTIONS(7285),
    [anon_sym_SLASH] = ACTIONS(7285),
    [anon_sym_LT] = ACTIONS(7283),
    [anon_sym_GT] = ACTIONS(7283),
    [anon_sym_BANG] = ACTIONS(7283),
    [anon_sym_PIPE] = ACTIONS(7283),
    [anon_sym_COLON] = ACTIONS(7283),
    [anon_sym_SQUOTE] = ACTIONS(7283),
    [anon_sym__] = ACTIONS(7285),
    [anon_sym_CARET] = ACTIONS(7285),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7285),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7285),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7285),
    [anon_sym_DOLLAR] = ACTIONS(7283),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7285),
    [anon_sym_BSLASHleft] = ACTIONS(7283),
    [anon_sym_BSLASHbigl] = ACTIONS(7283),
    [anon_sym_BSLASHBigl] = ACTIONS(7283),
    [anon_sym_BSLASHbiggl] = ACTIONS(7283),
    [anon_sym_BSLASHBiggl] = ACTIONS(7283),
    [anon_sym_BSLASHtext] = ACTIONS(7283),
    [anon_sym_BSLASHintertext] = ACTIONS(7283),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7283),
    [anon_sym_BSLASHbegin] = ACTIONS(7283),
    [anon_sym_BSLASHtitle] = ACTIONS(7283),
    [anon_sym_BSLASHauthor] = ACTIONS(7283),
    [anon_sym_BSLASHusepackage] = ACTIONS(7283),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7283),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7283),
    [anon_sym_BSLASHinclude] = ACTIONS(7283),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7283),
    [anon_sym_BSLASHinput] = ACTIONS(7283),
    [anon_sym_BSLASHsubfile] = ACTIONS(7283),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7283),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7283),
    [anon_sym_BSLASHbibliography] = ACTIONS(7283),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7283),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7283),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7283),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7283),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7283),
    [anon_sym_BSLASHimport] = ACTIONS(7283),
    [anon_sym_BSLASHsubimport] = ACTIONS(7283),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7283),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7283),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7283),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7283),
    [anon_sym_BSLASHcaption] = ACTIONS(7283),
    [anon_sym_BSLASHcite] = ACTIONS(7283),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCite] = ACTIONS(7283),
    [anon_sym_BSLASHnocite] = ACTIONS(7283),
    [anon_sym_BSLASHcitet] = ACTIONS(7283),
    [anon_sym_BSLASHcitep] = ACTIONS(7283),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteA] = ACTIONS(7283),
    [anon_sym_BSLASHciteR] = ACTIONS(7283),
    [anon_sym_BSLASHciteS] = ACTIONS(7283),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7283),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7283),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7283),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7283),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteyear] = ACTIONS(7283),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitedate] = ACTIONS(7283),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteurl] = ACTIONS(7283),
    [anon_sym_BSLASHfullcite] = ACTIONS(7283),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7283),
    [anon_sym_BSLASHcitealt] = ACTIONS(7283),
    [anon_sym_BSLASHcitealp] = ACTIONS(7283),
    [anon_sym_BSLASHcitetext] = ACTIONS(7283),
    [anon_sym_BSLASHparencite] = ACTIONS(7283),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHParencite] = ACTIONS(7283),
    [anon_sym_BSLASHfootcite] = ACTIONS(7283),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7283),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7283),
    [anon_sym_BSLASHtextcite] = ACTIONS(7283),
    [anon_sym_BSLASHTextcite] = ACTIONS(7283),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7283),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7283),
    [anon_sym_BSLASHsupercite] = ACTIONS(7283),
    [anon_sym_BSLASHautocite] = ACTIONS(7283),
    [anon_sym_BSLASHAutocite] = ACTIONS(7283),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHVolcite] = ACTIONS(7283),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHavolcite] = ACTIONS(7283),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHNotecite] = ACTIONS(7283),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHlabel] = ACTIONS(7283),
    [anon_sym_BSLASHref] = ACTIONS(7283),
    [anon_sym_BSLASHeqref] = ACTIONS(7283),
    [anon_sym_BSLASHvref] = ACTIONS(7283),
    [anon_sym_BSLASHVref] = ACTIONS(7283),
    [anon_sym_BSLASHautoref] = ACTIONS(7283),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHpageref] = ACTIONS(7283),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHautopageref] = ACTIONS(7283),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcref] = ACTIONS(7283),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCref] = ACTIONS(7283),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcpageref] = ACTIONS(7283),
    [anon_sym_BSLASHCpageref] = ACTIONS(7283),
    [anon_sym_BSLASHnamecref] = ACTIONS(7283),
    [anon_sym_BSLASHnameCref] = ACTIONS(7283),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7283),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7283),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7283),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7283),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7283),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7283),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7283),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7283),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7283),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7283),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHdef] = ACTIONS(7283),
    [anon_sym_BSLASHgdef] = ACTIONS(7283),
    [anon_sym_BSLASHedef] = ACTIONS(7283),
    [anon_sym_BSLASHxdef] = ACTIONS(7283),
    [anon_sym_BSLASHlet] = ACTIONS(7283),
    [anon_sym_BSLASHglet] = ACTIONS(7283),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7283),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7283),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7283),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7283),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7283),
    [anon_sym_BSLASHgls] = ACTIONS(7283),
    [anon_sym_BSLASHGls] = ACTIONS(7283),
    [anon_sym_BSLASHGLS] = ACTIONS(7283),
    [anon_sym_BSLASHglspl] = ACTIONS(7283),
    [anon_sym_BSLASHGlspl] = ACTIONS(7283),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7283),
    [anon_sym_BSLASHglslink] = ACTIONS(7283),
    [anon_sym_BSLASHglstext] = ACTIONS(7283),
    [anon_sym_BSLASHGlstext] = ACTIONS(7283),
    [anon_sym_BSLASHGLStext] = ACTIONS(7283),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7283),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7283),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7283),
    [anon_sym_BSLASHglsplural] = ACTIONS(7283),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7283),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7283),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHglsname] = ACTIONS(7283),
    [anon_sym_BSLASHGlsname] = ACTIONS(7283),
    [anon_sym_BSLASHGLSname] = ACTIONS(7283),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7283),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7283),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7283),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7283),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7283),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7283),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7283),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7283),
    [anon_sym_BSLASHacrshort] = ACTIONS(7283),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7283),
    [anon_sym_BSLASHACRshort] = ACTIONS(7283),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHacrlong] = ACTIONS(7283),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7283),
    [anon_sym_BSLASHACRlong] = ACTIONS(7283),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHacrfull] = ACTIONS(7283),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7283),
    [anon_sym_BSLASHACRfull] = ACTIONS(7283),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHacs] = ACTIONS(7283),
    [anon_sym_BSLASHAcs] = ACTIONS(7283),
    [anon_sym_BSLASHacsp] = ACTIONS(7283),
    [anon_sym_BSLASHAcsp] = ACTIONS(7283),
    [anon_sym_BSLASHacl] = ACTIONS(7283),
    [anon_sym_BSLASHAcl] = ACTIONS(7283),
    [anon_sym_BSLASHaclp] = ACTIONS(7283),
    [anon_sym_BSLASHAclp] = ACTIONS(7283),
    [anon_sym_BSLASHacf] = ACTIONS(7283),
    [anon_sym_BSLASHAcf] = ACTIONS(7283),
    [anon_sym_BSLASHacfp] = ACTIONS(7283),
    [anon_sym_BSLASHAcfp] = ACTIONS(7283),
    [anon_sym_BSLASHac] = ACTIONS(7283),
    [anon_sym_BSLASHAc] = ACTIONS(7283),
    [anon_sym_BSLASHacp] = ACTIONS(7283),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7283),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7283),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7283),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7283),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7283),
    [anon_sym_BSLASHcolor] = ACTIONS(7283),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7283),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7283),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7283),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7283),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7283),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7283),
    [anon_sym_BSLASHurl] = ACTIONS(7283),
    [anon_sym_BSLASHhref] = ACTIONS(7283),
  },
  [1526] = {
    [sym_command_name] = ACTIONS(7287),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7287),
    [anon_sym_LBRACK] = ACTIONS(7289),
    [anon_sym_RBRACK] = ACTIONS(7289),
    [anon_sym_COMMA] = ACTIONS(7289),
    [anon_sym_EQ] = ACTIONS(7289),
    [anon_sym_LPAREN] = ACTIONS(7289),
    [anon_sym_RPAREN] = ACTIONS(7289),
    [anon_sym_BSLASHpart] = ACTIONS(7287),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHaddpart] = ACTIONS(7287),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHchapter] = ACTIONS(7287),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHaddchap] = ACTIONS(7287),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHsection] = ACTIONS(7287),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHaddsec] = ACTIONS(7287),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHsubsection] = ACTIONS(7287),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7287),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHparagraph] = ACTIONS(7287),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7287),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHitem] = ACTIONS(7287),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7289),
    [anon_sym_LBRACE] = ACTIONS(7289),
    [sym_word] = ACTIONS(7287),
    [sym_placeholder] = ACTIONS(7289),
    [sym_delimiter] = ACTIONS(7289),
    [anon_sym_PLUS] = ACTIONS(7289),
    [anon_sym_DASH] = ACTIONS(7289),
    [anon_sym_STAR] = ACTIONS(7289),
    [anon_sym_SLASH] = ACTIONS(7289),
    [anon_sym_LT] = ACTIONS(7287),
    [anon_sym_GT] = ACTIONS(7287),
    [anon_sym_BANG] = ACTIONS(7287),
    [anon_sym_PIPE] = ACTIONS(7287),
    [anon_sym_COLON] = ACTIONS(7287),
    [anon_sym_SQUOTE] = ACTIONS(7287),
    [anon_sym__] = ACTIONS(7289),
    [anon_sym_CARET] = ACTIONS(7289),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7289),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7289),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7289),
    [anon_sym_DOLLAR] = ACTIONS(7287),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7289),
    [anon_sym_BSLASHleft] = ACTIONS(7287),
    [anon_sym_BSLASHbigl] = ACTIONS(7287),
    [anon_sym_BSLASHBigl] = ACTIONS(7287),
    [anon_sym_BSLASHbiggl] = ACTIONS(7287),
    [anon_sym_BSLASHBiggl] = ACTIONS(7287),
    [anon_sym_BSLASHtext] = ACTIONS(7287),
    [anon_sym_BSLASHintertext] = ACTIONS(7287),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7287),
    [anon_sym_BSLASHbegin] = ACTIONS(7287),
    [anon_sym_BSLASHtitle] = ACTIONS(7287),
    [anon_sym_BSLASHauthor] = ACTIONS(7287),
    [anon_sym_BSLASHusepackage] = ACTIONS(7287),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7287),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7287),
    [anon_sym_BSLASHinclude] = ACTIONS(7287),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7287),
    [anon_sym_BSLASHinput] = ACTIONS(7287),
    [anon_sym_BSLASHsubfile] = ACTIONS(7287),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7287),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7287),
    [anon_sym_BSLASHbibliography] = ACTIONS(7287),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7287),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7287),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7287),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7287),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7287),
    [anon_sym_BSLASHimport] = ACTIONS(7287),
    [anon_sym_BSLASHsubimport] = ACTIONS(7287),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7287),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7287),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7287),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7287),
    [anon_sym_BSLASHcaption] = ACTIONS(7287),
    [anon_sym_BSLASHcite] = ACTIONS(7287),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCite] = ACTIONS(7287),
    [anon_sym_BSLASHnocite] = ACTIONS(7287),
    [anon_sym_BSLASHcitet] = ACTIONS(7287),
    [anon_sym_BSLASHcitep] = ACTIONS(7287),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteA] = ACTIONS(7287),
    [anon_sym_BSLASHciteR] = ACTIONS(7287),
    [anon_sym_BSLASHciteS] = ACTIONS(7287),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7287),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7287),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7287),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7287),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteyear] = ACTIONS(7287),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitedate] = ACTIONS(7287),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteurl] = ACTIONS(7287),
    [anon_sym_BSLASHfullcite] = ACTIONS(7287),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7287),
    [anon_sym_BSLASHcitealt] = ACTIONS(7287),
    [anon_sym_BSLASHcitealp] = ACTIONS(7287),
    [anon_sym_BSLASHcitetext] = ACTIONS(7287),
    [anon_sym_BSLASHparencite] = ACTIONS(7287),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHParencite] = ACTIONS(7287),
    [anon_sym_BSLASHfootcite] = ACTIONS(7287),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7287),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7287),
    [anon_sym_BSLASHtextcite] = ACTIONS(7287),
    [anon_sym_BSLASHTextcite] = ACTIONS(7287),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7287),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7287),
    [anon_sym_BSLASHsupercite] = ACTIONS(7287),
    [anon_sym_BSLASHautocite] = ACTIONS(7287),
    [anon_sym_BSLASHAutocite] = ACTIONS(7287),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHVolcite] = ACTIONS(7287),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHavolcite] = ACTIONS(7287),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHNotecite] = ACTIONS(7287),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHlabel] = ACTIONS(7287),
    [anon_sym_BSLASHref] = ACTIONS(7287),
    [anon_sym_BSLASHeqref] = ACTIONS(7287),
    [anon_sym_BSLASHvref] = ACTIONS(7287),
    [anon_sym_BSLASHVref] = ACTIONS(7287),
    [anon_sym_BSLASHautoref] = ACTIONS(7287),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHpageref] = ACTIONS(7287),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHautopageref] = ACTIONS(7287),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcref] = ACTIONS(7287),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCref] = ACTIONS(7287),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcpageref] = ACTIONS(7287),
    [anon_sym_BSLASHCpageref] = ACTIONS(7287),
    [anon_sym_BSLASHnamecref] = ACTIONS(7287),
    [anon_sym_BSLASHnameCref] = ACTIONS(7287),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7287),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7287),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7287),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7287),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7287),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7287),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7287),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7287),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7287),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7287),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7287),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHdef] = ACTIONS(7287),
    [anon_sym_BSLASHgdef] = ACTIONS(7287),
    [anon_sym_BSLASHedef] = ACTIONS(7287),
    [anon_sym_BSLASHxdef] = ACTIONS(7287),
    [anon_sym_BSLASHlet] = ACTIONS(7287),
    [anon_sym_BSLASHglet] = ACTIONS(7287),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7287),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7287),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7287),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7287),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7287),
    [anon_sym_BSLASHgls] = ACTIONS(7287),
    [anon_sym_BSLASHGls] = ACTIONS(7287),
    [anon_sym_BSLASHGLS] = ACTIONS(7287),
    [anon_sym_BSLASHglspl] = ACTIONS(7287),
    [anon_sym_BSLASHGlspl] = ACTIONS(7287),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7287),
    [anon_sym_BSLASHglslink] = ACTIONS(7287),
    [anon_sym_BSLASHglstext] = ACTIONS(7287),
    [anon_sym_BSLASHGlstext] = ACTIONS(7287),
    [anon_sym_BSLASHGLStext] = ACTIONS(7287),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7287),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7287),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7287),
    [anon_sym_BSLASHglsplural] = ACTIONS(7287),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7287),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7287),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHglsname] = ACTIONS(7287),
    [anon_sym_BSLASHGlsname] = ACTIONS(7287),
    [anon_sym_BSLASHGLSname] = ACTIONS(7287),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7287),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7287),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7287),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7287),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7287),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7287),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7287),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7287),
    [anon_sym_BSLASHacrshort] = ACTIONS(7287),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7287),
    [anon_sym_BSLASHACRshort] = ACTIONS(7287),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHacrlong] = ACTIONS(7287),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7287),
    [anon_sym_BSLASHACRlong] = ACTIONS(7287),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHacrfull] = ACTIONS(7287),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7287),
    [anon_sym_BSLASHACRfull] = ACTIONS(7287),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHacs] = ACTIONS(7287),
    [anon_sym_BSLASHAcs] = ACTIONS(7287),
    [anon_sym_BSLASHacsp] = ACTIONS(7287),
    [anon_sym_BSLASHAcsp] = ACTIONS(7287),
    [anon_sym_BSLASHacl] = ACTIONS(7287),
    [anon_sym_BSLASHAcl] = ACTIONS(7287),
    [anon_sym_BSLASHaclp] = ACTIONS(7287),
    [anon_sym_BSLASHAclp] = ACTIONS(7287),
    [anon_sym_BSLASHacf] = ACTIONS(7287),
    [anon_sym_BSLASHAcf] = ACTIONS(7287),
    [anon_sym_BSLASHacfp] = ACTIONS(7287),
    [anon_sym_BSLASHAcfp] = ACTIONS(7287),
    [anon_sym_BSLASHac] = ACTIONS(7287),
    [anon_sym_BSLASHAc] = ACTIONS(7287),
    [anon_sym_BSLASHacp] = ACTIONS(7287),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7287),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7287),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7287),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7287),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7287),
    [anon_sym_BSLASHcolor] = ACTIONS(7287),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7287),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7287),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7287),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7287),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7287),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7287),
    [anon_sym_BSLASHurl] = ACTIONS(7287),
    [anon_sym_BSLASHhref] = ACTIONS(7287),
  },
  [1527] = {
    [sym_command_name] = ACTIONS(7291),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7291),
    [anon_sym_LBRACK] = ACTIONS(7293),
    [anon_sym_RBRACK] = ACTIONS(7293),
    [anon_sym_COMMA] = ACTIONS(7293),
    [anon_sym_EQ] = ACTIONS(7293),
    [anon_sym_LPAREN] = ACTIONS(7293),
    [anon_sym_RPAREN] = ACTIONS(7293),
    [anon_sym_BSLASHpart] = ACTIONS(7291),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHaddpart] = ACTIONS(7291),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHchapter] = ACTIONS(7291),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHaddchap] = ACTIONS(7291),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHsection] = ACTIONS(7291),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHaddsec] = ACTIONS(7291),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHsubsection] = ACTIONS(7291),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7291),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHparagraph] = ACTIONS(7291),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7291),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHitem] = ACTIONS(7291),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7293),
    [anon_sym_LBRACE] = ACTIONS(7293),
    [sym_word] = ACTIONS(7291),
    [sym_placeholder] = ACTIONS(7293),
    [sym_delimiter] = ACTIONS(7293),
    [anon_sym_PLUS] = ACTIONS(7293),
    [anon_sym_DASH] = ACTIONS(7293),
    [anon_sym_STAR] = ACTIONS(7293),
    [anon_sym_SLASH] = ACTIONS(7293),
    [anon_sym_LT] = ACTIONS(7291),
    [anon_sym_GT] = ACTIONS(7291),
    [anon_sym_BANG] = ACTIONS(7291),
    [anon_sym_PIPE] = ACTIONS(7291),
    [anon_sym_COLON] = ACTIONS(7291),
    [anon_sym_SQUOTE] = ACTIONS(7291),
    [anon_sym__] = ACTIONS(7293),
    [anon_sym_CARET] = ACTIONS(7293),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7293),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7293),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7293),
    [anon_sym_DOLLAR] = ACTIONS(7291),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7293),
    [anon_sym_BSLASHleft] = ACTIONS(7291),
    [anon_sym_BSLASHbigl] = ACTIONS(7291),
    [anon_sym_BSLASHBigl] = ACTIONS(7291),
    [anon_sym_BSLASHbiggl] = ACTIONS(7291),
    [anon_sym_BSLASHBiggl] = ACTIONS(7291),
    [anon_sym_BSLASHtext] = ACTIONS(7291),
    [anon_sym_BSLASHintertext] = ACTIONS(7291),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7291),
    [anon_sym_BSLASHbegin] = ACTIONS(7291),
    [anon_sym_BSLASHtitle] = ACTIONS(7291),
    [anon_sym_BSLASHauthor] = ACTIONS(7291),
    [anon_sym_BSLASHusepackage] = ACTIONS(7291),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7291),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7291),
    [anon_sym_BSLASHinclude] = ACTIONS(7291),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7291),
    [anon_sym_BSLASHinput] = ACTIONS(7291),
    [anon_sym_BSLASHsubfile] = ACTIONS(7291),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7291),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7291),
    [anon_sym_BSLASHbibliography] = ACTIONS(7291),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7291),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7291),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7291),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7291),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7291),
    [anon_sym_BSLASHimport] = ACTIONS(7291),
    [anon_sym_BSLASHsubimport] = ACTIONS(7291),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7291),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7291),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7291),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7291),
    [anon_sym_BSLASHcaption] = ACTIONS(7291),
    [anon_sym_BSLASHcite] = ACTIONS(7291),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCite] = ACTIONS(7291),
    [anon_sym_BSLASHnocite] = ACTIONS(7291),
    [anon_sym_BSLASHcitet] = ACTIONS(7291),
    [anon_sym_BSLASHcitep] = ACTIONS(7291),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteA] = ACTIONS(7291),
    [anon_sym_BSLASHciteR] = ACTIONS(7291),
    [anon_sym_BSLASHciteS] = ACTIONS(7291),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7291),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7291),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7291),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7291),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteyear] = ACTIONS(7291),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitedate] = ACTIONS(7291),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteurl] = ACTIONS(7291),
    [anon_sym_BSLASHfullcite] = ACTIONS(7291),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7291),
    [anon_sym_BSLASHcitealt] = ACTIONS(7291),
    [anon_sym_BSLASHcitealp] = ACTIONS(7291),
    [anon_sym_BSLASHcitetext] = ACTIONS(7291),
    [anon_sym_BSLASHparencite] = ACTIONS(7291),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHParencite] = ACTIONS(7291),
    [anon_sym_BSLASHfootcite] = ACTIONS(7291),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7291),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7291),
    [anon_sym_BSLASHtextcite] = ACTIONS(7291),
    [anon_sym_BSLASHTextcite] = ACTIONS(7291),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7291),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7291),
    [anon_sym_BSLASHsupercite] = ACTIONS(7291),
    [anon_sym_BSLASHautocite] = ACTIONS(7291),
    [anon_sym_BSLASHAutocite] = ACTIONS(7291),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHVolcite] = ACTIONS(7291),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHavolcite] = ACTIONS(7291),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHNotecite] = ACTIONS(7291),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHlabel] = ACTIONS(7291),
    [anon_sym_BSLASHref] = ACTIONS(7291),
    [anon_sym_BSLASHeqref] = ACTIONS(7291),
    [anon_sym_BSLASHvref] = ACTIONS(7291),
    [anon_sym_BSLASHVref] = ACTIONS(7291),
    [anon_sym_BSLASHautoref] = ACTIONS(7291),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHpageref] = ACTIONS(7291),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHautopageref] = ACTIONS(7291),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcref] = ACTIONS(7291),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCref] = ACTIONS(7291),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcpageref] = ACTIONS(7291),
    [anon_sym_BSLASHCpageref] = ACTIONS(7291),
    [anon_sym_BSLASHnamecref] = ACTIONS(7291),
    [anon_sym_BSLASHnameCref] = ACTIONS(7291),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7291),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7291),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7291),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7291),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7291),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7291),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7291),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7291),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7291),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7291),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7291),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHdef] = ACTIONS(7291),
    [anon_sym_BSLASHgdef] = ACTIONS(7291),
    [anon_sym_BSLASHedef] = ACTIONS(7291),
    [anon_sym_BSLASHxdef] = ACTIONS(7291),
    [anon_sym_BSLASHlet] = ACTIONS(7291),
    [anon_sym_BSLASHglet] = ACTIONS(7291),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7291),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7291),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7291),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7291),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7291),
    [anon_sym_BSLASHgls] = ACTIONS(7291),
    [anon_sym_BSLASHGls] = ACTIONS(7291),
    [anon_sym_BSLASHGLS] = ACTIONS(7291),
    [anon_sym_BSLASHglspl] = ACTIONS(7291),
    [anon_sym_BSLASHGlspl] = ACTIONS(7291),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7291),
    [anon_sym_BSLASHglslink] = ACTIONS(7291),
    [anon_sym_BSLASHglstext] = ACTIONS(7291),
    [anon_sym_BSLASHGlstext] = ACTIONS(7291),
    [anon_sym_BSLASHGLStext] = ACTIONS(7291),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7291),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7291),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7291),
    [anon_sym_BSLASHglsplural] = ACTIONS(7291),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7291),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7291),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHglsname] = ACTIONS(7291),
    [anon_sym_BSLASHGlsname] = ACTIONS(7291),
    [anon_sym_BSLASHGLSname] = ACTIONS(7291),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7291),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7291),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7291),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7291),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7291),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7291),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7291),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7291),
    [anon_sym_BSLASHacrshort] = ACTIONS(7291),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7291),
    [anon_sym_BSLASHACRshort] = ACTIONS(7291),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHacrlong] = ACTIONS(7291),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7291),
    [anon_sym_BSLASHACRlong] = ACTIONS(7291),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHacrfull] = ACTIONS(7291),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7291),
    [anon_sym_BSLASHACRfull] = ACTIONS(7291),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHacs] = ACTIONS(7291),
    [anon_sym_BSLASHAcs] = ACTIONS(7291),
    [anon_sym_BSLASHacsp] = ACTIONS(7291),
    [anon_sym_BSLASHAcsp] = ACTIONS(7291),
    [anon_sym_BSLASHacl] = ACTIONS(7291),
    [anon_sym_BSLASHAcl] = ACTIONS(7291),
    [anon_sym_BSLASHaclp] = ACTIONS(7291),
    [anon_sym_BSLASHAclp] = ACTIONS(7291),
    [anon_sym_BSLASHacf] = ACTIONS(7291),
    [anon_sym_BSLASHAcf] = ACTIONS(7291),
    [anon_sym_BSLASHacfp] = ACTIONS(7291),
    [anon_sym_BSLASHAcfp] = ACTIONS(7291),
    [anon_sym_BSLASHac] = ACTIONS(7291),
    [anon_sym_BSLASHAc] = ACTIONS(7291),
    [anon_sym_BSLASHacp] = ACTIONS(7291),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7291),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7291),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7291),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7291),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7291),
    [anon_sym_BSLASHcolor] = ACTIONS(7291),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7291),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7291),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7291),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7291),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7291),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7291),
    [anon_sym_BSLASHurl] = ACTIONS(7291),
    [anon_sym_BSLASHhref] = ACTIONS(7291),
  },
  [1528] = {
    [sym_command_name] = ACTIONS(7295),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7295),
    [anon_sym_LBRACK] = ACTIONS(7297),
    [anon_sym_RBRACK] = ACTIONS(7297),
    [anon_sym_COMMA] = ACTIONS(7297),
    [anon_sym_EQ] = ACTIONS(7297),
    [anon_sym_LPAREN] = ACTIONS(7297),
    [anon_sym_RPAREN] = ACTIONS(7297),
    [anon_sym_BSLASHpart] = ACTIONS(7295),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHaddpart] = ACTIONS(7295),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHchapter] = ACTIONS(7295),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHaddchap] = ACTIONS(7295),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHsection] = ACTIONS(7295),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHaddsec] = ACTIONS(7295),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHsubsection] = ACTIONS(7295),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7295),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHparagraph] = ACTIONS(7295),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7295),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHitem] = ACTIONS(7295),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7297),
    [anon_sym_LBRACE] = ACTIONS(7297),
    [sym_word] = ACTIONS(7295),
    [sym_placeholder] = ACTIONS(7297),
    [sym_delimiter] = ACTIONS(7297),
    [anon_sym_PLUS] = ACTIONS(7297),
    [anon_sym_DASH] = ACTIONS(7297),
    [anon_sym_STAR] = ACTIONS(7297),
    [anon_sym_SLASH] = ACTIONS(7297),
    [anon_sym_LT] = ACTIONS(7295),
    [anon_sym_GT] = ACTIONS(7295),
    [anon_sym_BANG] = ACTIONS(7295),
    [anon_sym_PIPE] = ACTIONS(7295),
    [anon_sym_COLON] = ACTIONS(7295),
    [anon_sym_SQUOTE] = ACTIONS(7295),
    [anon_sym__] = ACTIONS(7297),
    [anon_sym_CARET] = ACTIONS(7297),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7297),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7297),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7297),
    [anon_sym_DOLLAR] = ACTIONS(7295),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7297),
    [anon_sym_BSLASHleft] = ACTIONS(7295),
    [anon_sym_BSLASHbigl] = ACTIONS(7295),
    [anon_sym_BSLASHBigl] = ACTIONS(7295),
    [anon_sym_BSLASHbiggl] = ACTIONS(7295),
    [anon_sym_BSLASHBiggl] = ACTIONS(7295),
    [anon_sym_BSLASHtext] = ACTIONS(7295),
    [anon_sym_BSLASHintertext] = ACTIONS(7295),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7295),
    [anon_sym_BSLASHbegin] = ACTIONS(7295),
    [anon_sym_BSLASHtitle] = ACTIONS(7295),
    [anon_sym_BSLASHauthor] = ACTIONS(7295),
    [anon_sym_BSLASHusepackage] = ACTIONS(7295),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7295),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7295),
    [anon_sym_BSLASHinclude] = ACTIONS(7295),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7295),
    [anon_sym_BSLASHinput] = ACTIONS(7295),
    [anon_sym_BSLASHsubfile] = ACTIONS(7295),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7295),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7295),
    [anon_sym_BSLASHbibliography] = ACTIONS(7295),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7295),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7295),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7295),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7295),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7295),
    [anon_sym_BSLASHimport] = ACTIONS(7295),
    [anon_sym_BSLASHsubimport] = ACTIONS(7295),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7295),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7295),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7295),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7295),
    [anon_sym_BSLASHcaption] = ACTIONS(7295),
    [anon_sym_BSLASHcite] = ACTIONS(7295),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCite] = ACTIONS(7295),
    [anon_sym_BSLASHnocite] = ACTIONS(7295),
    [anon_sym_BSLASHcitet] = ACTIONS(7295),
    [anon_sym_BSLASHcitep] = ACTIONS(7295),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteA] = ACTIONS(7295),
    [anon_sym_BSLASHciteR] = ACTIONS(7295),
    [anon_sym_BSLASHciteS] = ACTIONS(7295),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7295),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7295),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7295),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7295),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteyear] = ACTIONS(7295),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitedate] = ACTIONS(7295),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteurl] = ACTIONS(7295),
    [anon_sym_BSLASHfullcite] = ACTIONS(7295),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7295),
    [anon_sym_BSLASHcitealt] = ACTIONS(7295),
    [anon_sym_BSLASHcitealp] = ACTIONS(7295),
    [anon_sym_BSLASHcitetext] = ACTIONS(7295),
    [anon_sym_BSLASHparencite] = ACTIONS(7295),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHParencite] = ACTIONS(7295),
    [anon_sym_BSLASHfootcite] = ACTIONS(7295),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7295),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7295),
    [anon_sym_BSLASHtextcite] = ACTIONS(7295),
    [anon_sym_BSLASHTextcite] = ACTIONS(7295),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7295),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7295),
    [anon_sym_BSLASHsupercite] = ACTIONS(7295),
    [anon_sym_BSLASHautocite] = ACTIONS(7295),
    [anon_sym_BSLASHAutocite] = ACTIONS(7295),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHVolcite] = ACTIONS(7295),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHavolcite] = ACTIONS(7295),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHNotecite] = ACTIONS(7295),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHlabel] = ACTIONS(7295),
    [anon_sym_BSLASHref] = ACTIONS(7295),
    [anon_sym_BSLASHeqref] = ACTIONS(7295),
    [anon_sym_BSLASHvref] = ACTIONS(7295),
    [anon_sym_BSLASHVref] = ACTIONS(7295),
    [anon_sym_BSLASHautoref] = ACTIONS(7295),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHpageref] = ACTIONS(7295),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHautopageref] = ACTIONS(7295),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcref] = ACTIONS(7295),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCref] = ACTIONS(7295),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcpageref] = ACTIONS(7295),
    [anon_sym_BSLASHCpageref] = ACTIONS(7295),
    [anon_sym_BSLASHnamecref] = ACTIONS(7295),
    [anon_sym_BSLASHnameCref] = ACTIONS(7295),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7295),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7295),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7295),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7295),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7295),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7295),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7295),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7295),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7295),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7295),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7295),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHdef] = ACTIONS(7295),
    [anon_sym_BSLASHgdef] = ACTIONS(7295),
    [anon_sym_BSLASHedef] = ACTIONS(7295),
    [anon_sym_BSLASHxdef] = ACTIONS(7295),
    [anon_sym_BSLASHlet] = ACTIONS(7295),
    [anon_sym_BSLASHglet] = ACTIONS(7295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7295),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7295),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7295),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7295),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7295),
    [anon_sym_BSLASHgls] = ACTIONS(7295),
    [anon_sym_BSLASHGls] = ACTIONS(7295),
    [anon_sym_BSLASHGLS] = ACTIONS(7295),
    [anon_sym_BSLASHglspl] = ACTIONS(7295),
    [anon_sym_BSLASHGlspl] = ACTIONS(7295),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7295),
    [anon_sym_BSLASHglslink] = ACTIONS(7295),
    [anon_sym_BSLASHglstext] = ACTIONS(7295),
    [anon_sym_BSLASHGlstext] = ACTIONS(7295),
    [anon_sym_BSLASHGLStext] = ACTIONS(7295),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7295),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7295),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7295),
    [anon_sym_BSLASHglsplural] = ACTIONS(7295),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7295),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7295),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHglsname] = ACTIONS(7295),
    [anon_sym_BSLASHGlsname] = ACTIONS(7295),
    [anon_sym_BSLASHGLSname] = ACTIONS(7295),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7295),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7295),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7295),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7295),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7295),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7295),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7295),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7295),
    [anon_sym_BSLASHacrshort] = ACTIONS(7295),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7295),
    [anon_sym_BSLASHACRshort] = ACTIONS(7295),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHacrlong] = ACTIONS(7295),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7295),
    [anon_sym_BSLASHACRlong] = ACTIONS(7295),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHacrfull] = ACTIONS(7295),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7295),
    [anon_sym_BSLASHACRfull] = ACTIONS(7295),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHacs] = ACTIONS(7295),
    [anon_sym_BSLASHAcs] = ACTIONS(7295),
    [anon_sym_BSLASHacsp] = ACTIONS(7295),
    [anon_sym_BSLASHAcsp] = ACTIONS(7295),
    [anon_sym_BSLASHacl] = ACTIONS(7295),
    [anon_sym_BSLASHAcl] = ACTIONS(7295),
    [anon_sym_BSLASHaclp] = ACTIONS(7295),
    [anon_sym_BSLASHAclp] = ACTIONS(7295),
    [anon_sym_BSLASHacf] = ACTIONS(7295),
    [anon_sym_BSLASHAcf] = ACTIONS(7295),
    [anon_sym_BSLASHacfp] = ACTIONS(7295),
    [anon_sym_BSLASHAcfp] = ACTIONS(7295),
    [anon_sym_BSLASHac] = ACTIONS(7295),
    [anon_sym_BSLASHAc] = ACTIONS(7295),
    [anon_sym_BSLASHacp] = ACTIONS(7295),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7295),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7295),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7295),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7295),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7295),
    [anon_sym_BSLASHcolor] = ACTIONS(7295),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7295),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7295),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7295),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7295),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7295),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7295),
    [anon_sym_BSLASHurl] = ACTIONS(7295),
    [anon_sym_BSLASHhref] = ACTIONS(7295),
  },
  [1529] = {
    [sym_command_name] = ACTIONS(7299),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7299),
    [anon_sym_LBRACK] = ACTIONS(7301),
    [anon_sym_RBRACK] = ACTIONS(7301),
    [anon_sym_COMMA] = ACTIONS(7301),
    [anon_sym_EQ] = ACTIONS(7301),
    [anon_sym_LPAREN] = ACTIONS(7301),
    [anon_sym_RPAREN] = ACTIONS(7301),
    [anon_sym_BSLASHpart] = ACTIONS(7299),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHaddpart] = ACTIONS(7299),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHchapter] = ACTIONS(7299),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHaddchap] = ACTIONS(7299),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHsection] = ACTIONS(7299),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHaddsec] = ACTIONS(7299),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHsubsection] = ACTIONS(7299),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7299),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHparagraph] = ACTIONS(7299),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7299),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHitem] = ACTIONS(7299),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7301),
    [anon_sym_LBRACE] = ACTIONS(7301),
    [sym_word] = ACTIONS(7299),
    [sym_placeholder] = ACTIONS(7301),
    [sym_delimiter] = ACTIONS(7301),
    [anon_sym_PLUS] = ACTIONS(7301),
    [anon_sym_DASH] = ACTIONS(7301),
    [anon_sym_STAR] = ACTIONS(7301),
    [anon_sym_SLASH] = ACTIONS(7301),
    [anon_sym_LT] = ACTIONS(7299),
    [anon_sym_GT] = ACTIONS(7299),
    [anon_sym_BANG] = ACTIONS(7299),
    [anon_sym_PIPE] = ACTIONS(7299),
    [anon_sym_COLON] = ACTIONS(7299),
    [anon_sym_SQUOTE] = ACTIONS(7299),
    [anon_sym__] = ACTIONS(7301),
    [anon_sym_CARET] = ACTIONS(7301),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7301),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7301),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7301),
    [anon_sym_DOLLAR] = ACTIONS(7299),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7301),
    [anon_sym_BSLASHleft] = ACTIONS(7299),
    [anon_sym_BSLASHbigl] = ACTIONS(7299),
    [anon_sym_BSLASHBigl] = ACTIONS(7299),
    [anon_sym_BSLASHbiggl] = ACTIONS(7299),
    [anon_sym_BSLASHBiggl] = ACTIONS(7299),
    [anon_sym_BSLASHtext] = ACTIONS(7299),
    [anon_sym_BSLASHintertext] = ACTIONS(7299),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7299),
    [anon_sym_BSLASHbegin] = ACTIONS(7299),
    [anon_sym_BSLASHtitle] = ACTIONS(7299),
    [anon_sym_BSLASHauthor] = ACTIONS(7299),
    [anon_sym_BSLASHusepackage] = ACTIONS(7299),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7299),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7299),
    [anon_sym_BSLASHinclude] = ACTIONS(7299),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7299),
    [anon_sym_BSLASHinput] = ACTIONS(7299),
    [anon_sym_BSLASHsubfile] = ACTIONS(7299),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7299),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7299),
    [anon_sym_BSLASHbibliography] = ACTIONS(7299),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7299),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7299),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7299),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7299),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7299),
    [anon_sym_BSLASHimport] = ACTIONS(7299),
    [anon_sym_BSLASHsubimport] = ACTIONS(7299),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7299),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7299),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7299),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7299),
    [anon_sym_BSLASHcaption] = ACTIONS(7299),
    [anon_sym_BSLASHcite] = ACTIONS(7299),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCite] = ACTIONS(7299),
    [anon_sym_BSLASHnocite] = ACTIONS(7299),
    [anon_sym_BSLASHcitet] = ACTIONS(7299),
    [anon_sym_BSLASHcitep] = ACTIONS(7299),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteA] = ACTIONS(7299),
    [anon_sym_BSLASHciteR] = ACTIONS(7299),
    [anon_sym_BSLASHciteS] = ACTIONS(7299),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7299),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7299),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7299),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7299),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteyear] = ACTIONS(7299),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitedate] = ACTIONS(7299),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteurl] = ACTIONS(7299),
    [anon_sym_BSLASHfullcite] = ACTIONS(7299),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7299),
    [anon_sym_BSLASHcitealt] = ACTIONS(7299),
    [anon_sym_BSLASHcitealp] = ACTIONS(7299),
    [anon_sym_BSLASHcitetext] = ACTIONS(7299),
    [anon_sym_BSLASHparencite] = ACTIONS(7299),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHParencite] = ACTIONS(7299),
    [anon_sym_BSLASHfootcite] = ACTIONS(7299),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7299),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7299),
    [anon_sym_BSLASHtextcite] = ACTIONS(7299),
    [anon_sym_BSLASHTextcite] = ACTIONS(7299),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7299),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7299),
    [anon_sym_BSLASHsupercite] = ACTIONS(7299),
    [anon_sym_BSLASHautocite] = ACTIONS(7299),
    [anon_sym_BSLASHAutocite] = ACTIONS(7299),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHVolcite] = ACTIONS(7299),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHavolcite] = ACTIONS(7299),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHNotecite] = ACTIONS(7299),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHlabel] = ACTIONS(7299),
    [anon_sym_BSLASHref] = ACTIONS(7299),
    [anon_sym_BSLASHeqref] = ACTIONS(7299),
    [anon_sym_BSLASHvref] = ACTIONS(7299),
    [anon_sym_BSLASHVref] = ACTIONS(7299),
    [anon_sym_BSLASHautoref] = ACTIONS(7299),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHpageref] = ACTIONS(7299),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHautopageref] = ACTIONS(7299),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcref] = ACTIONS(7299),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCref] = ACTIONS(7299),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcpageref] = ACTIONS(7299),
    [anon_sym_BSLASHCpageref] = ACTIONS(7299),
    [anon_sym_BSLASHnamecref] = ACTIONS(7299),
    [anon_sym_BSLASHnameCref] = ACTIONS(7299),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7299),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7299),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7299),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7299),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7299),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7299),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7299),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7299),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7299),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7299),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7299),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHdef] = ACTIONS(7299),
    [anon_sym_BSLASHgdef] = ACTIONS(7299),
    [anon_sym_BSLASHedef] = ACTIONS(7299),
    [anon_sym_BSLASHxdef] = ACTIONS(7299),
    [anon_sym_BSLASHlet] = ACTIONS(7299),
    [anon_sym_BSLASHglet] = ACTIONS(7299),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7299),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7299),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7299),
    [anon_sym_BSLASHgls] = ACTIONS(7299),
    [anon_sym_BSLASHGls] = ACTIONS(7299),
    [anon_sym_BSLASHGLS] = ACTIONS(7299),
    [anon_sym_BSLASHglspl] = ACTIONS(7299),
    [anon_sym_BSLASHGlspl] = ACTIONS(7299),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7299),
    [anon_sym_BSLASHglslink] = ACTIONS(7299),
    [anon_sym_BSLASHglstext] = ACTIONS(7299),
    [anon_sym_BSLASHGlstext] = ACTIONS(7299),
    [anon_sym_BSLASHGLStext] = ACTIONS(7299),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7299),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7299),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7299),
    [anon_sym_BSLASHglsplural] = ACTIONS(7299),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7299),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7299),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHglsname] = ACTIONS(7299),
    [anon_sym_BSLASHGlsname] = ACTIONS(7299),
    [anon_sym_BSLASHGLSname] = ACTIONS(7299),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7299),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7299),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7299),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7299),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7299),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7299),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7299),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7299),
    [anon_sym_BSLASHacrshort] = ACTIONS(7299),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7299),
    [anon_sym_BSLASHACRshort] = ACTIONS(7299),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHacrlong] = ACTIONS(7299),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7299),
    [anon_sym_BSLASHACRlong] = ACTIONS(7299),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHacrfull] = ACTIONS(7299),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7299),
    [anon_sym_BSLASHACRfull] = ACTIONS(7299),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHacs] = ACTIONS(7299),
    [anon_sym_BSLASHAcs] = ACTIONS(7299),
    [anon_sym_BSLASHacsp] = ACTIONS(7299),
    [anon_sym_BSLASHAcsp] = ACTIONS(7299),
    [anon_sym_BSLASHacl] = ACTIONS(7299),
    [anon_sym_BSLASHAcl] = ACTIONS(7299),
    [anon_sym_BSLASHaclp] = ACTIONS(7299),
    [anon_sym_BSLASHAclp] = ACTIONS(7299),
    [anon_sym_BSLASHacf] = ACTIONS(7299),
    [anon_sym_BSLASHAcf] = ACTIONS(7299),
    [anon_sym_BSLASHacfp] = ACTIONS(7299),
    [anon_sym_BSLASHAcfp] = ACTIONS(7299),
    [anon_sym_BSLASHac] = ACTIONS(7299),
    [anon_sym_BSLASHAc] = ACTIONS(7299),
    [anon_sym_BSLASHacp] = ACTIONS(7299),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7299),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7299),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7299),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7299),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7299),
    [anon_sym_BSLASHcolor] = ACTIONS(7299),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7299),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7299),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7299),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7299),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7299),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7299),
    [anon_sym_BSLASHurl] = ACTIONS(7299),
    [anon_sym_BSLASHhref] = ACTIONS(7299),
  },
  [1530] = {
    [sym_command_name] = ACTIONS(7303),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7303),
    [anon_sym_LBRACK] = ACTIONS(7305),
    [anon_sym_RBRACK] = ACTIONS(7305),
    [anon_sym_COMMA] = ACTIONS(7305),
    [anon_sym_EQ] = ACTIONS(7305),
    [anon_sym_LPAREN] = ACTIONS(7305),
    [anon_sym_RPAREN] = ACTIONS(7305),
    [anon_sym_BSLASHpart] = ACTIONS(7303),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHaddpart] = ACTIONS(7303),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHchapter] = ACTIONS(7303),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHaddchap] = ACTIONS(7303),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHsection] = ACTIONS(7303),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHaddsec] = ACTIONS(7303),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHsubsection] = ACTIONS(7303),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7303),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHparagraph] = ACTIONS(7303),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7303),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHitem] = ACTIONS(7303),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7305),
    [anon_sym_LBRACE] = ACTIONS(7305),
    [sym_word] = ACTIONS(7303),
    [sym_placeholder] = ACTIONS(7305),
    [sym_delimiter] = ACTIONS(7305),
    [anon_sym_PLUS] = ACTIONS(7305),
    [anon_sym_DASH] = ACTIONS(7305),
    [anon_sym_STAR] = ACTIONS(7305),
    [anon_sym_SLASH] = ACTIONS(7305),
    [anon_sym_LT] = ACTIONS(7303),
    [anon_sym_GT] = ACTIONS(7303),
    [anon_sym_BANG] = ACTIONS(7303),
    [anon_sym_PIPE] = ACTIONS(7303),
    [anon_sym_COLON] = ACTIONS(7303),
    [anon_sym_SQUOTE] = ACTIONS(7303),
    [anon_sym__] = ACTIONS(7305),
    [anon_sym_CARET] = ACTIONS(7305),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7305),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7305),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7305),
    [anon_sym_DOLLAR] = ACTIONS(7303),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7305),
    [anon_sym_BSLASHleft] = ACTIONS(7303),
    [anon_sym_BSLASHbigl] = ACTIONS(7303),
    [anon_sym_BSLASHBigl] = ACTIONS(7303),
    [anon_sym_BSLASHbiggl] = ACTIONS(7303),
    [anon_sym_BSLASHBiggl] = ACTIONS(7303),
    [anon_sym_BSLASHtext] = ACTIONS(7303),
    [anon_sym_BSLASHintertext] = ACTIONS(7303),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7303),
    [anon_sym_BSLASHbegin] = ACTIONS(7303),
    [anon_sym_BSLASHtitle] = ACTIONS(7303),
    [anon_sym_BSLASHauthor] = ACTIONS(7303),
    [anon_sym_BSLASHusepackage] = ACTIONS(7303),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7303),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7303),
    [anon_sym_BSLASHinclude] = ACTIONS(7303),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7303),
    [anon_sym_BSLASHinput] = ACTIONS(7303),
    [anon_sym_BSLASHsubfile] = ACTIONS(7303),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7303),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7303),
    [anon_sym_BSLASHbibliography] = ACTIONS(7303),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7303),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7303),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7303),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7303),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7303),
    [anon_sym_BSLASHimport] = ACTIONS(7303),
    [anon_sym_BSLASHsubimport] = ACTIONS(7303),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7303),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7303),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7303),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7303),
    [anon_sym_BSLASHcaption] = ACTIONS(7303),
    [anon_sym_BSLASHcite] = ACTIONS(7303),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCite] = ACTIONS(7303),
    [anon_sym_BSLASHnocite] = ACTIONS(7303),
    [anon_sym_BSLASHcitet] = ACTIONS(7303),
    [anon_sym_BSLASHcitep] = ACTIONS(7303),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteA] = ACTIONS(7303),
    [anon_sym_BSLASHciteR] = ACTIONS(7303),
    [anon_sym_BSLASHciteS] = ACTIONS(7303),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7303),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7303),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7303),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7303),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteyear] = ACTIONS(7303),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitedate] = ACTIONS(7303),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteurl] = ACTIONS(7303),
    [anon_sym_BSLASHfullcite] = ACTIONS(7303),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7303),
    [anon_sym_BSLASHcitealt] = ACTIONS(7303),
    [anon_sym_BSLASHcitealp] = ACTIONS(7303),
    [anon_sym_BSLASHcitetext] = ACTIONS(7303),
    [anon_sym_BSLASHparencite] = ACTIONS(7303),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHParencite] = ACTIONS(7303),
    [anon_sym_BSLASHfootcite] = ACTIONS(7303),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7303),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7303),
    [anon_sym_BSLASHtextcite] = ACTIONS(7303),
    [anon_sym_BSLASHTextcite] = ACTIONS(7303),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7303),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7303),
    [anon_sym_BSLASHsupercite] = ACTIONS(7303),
    [anon_sym_BSLASHautocite] = ACTIONS(7303),
    [anon_sym_BSLASHAutocite] = ACTIONS(7303),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHVolcite] = ACTIONS(7303),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHavolcite] = ACTIONS(7303),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHNotecite] = ACTIONS(7303),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHlabel] = ACTIONS(7303),
    [anon_sym_BSLASHref] = ACTIONS(7303),
    [anon_sym_BSLASHeqref] = ACTIONS(7303),
    [anon_sym_BSLASHvref] = ACTIONS(7303),
    [anon_sym_BSLASHVref] = ACTIONS(7303),
    [anon_sym_BSLASHautoref] = ACTIONS(7303),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHpageref] = ACTIONS(7303),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHautopageref] = ACTIONS(7303),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcref] = ACTIONS(7303),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCref] = ACTIONS(7303),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcpageref] = ACTIONS(7303),
    [anon_sym_BSLASHCpageref] = ACTIONS(7303),
    [anon_sym_BSLASHnamecref] = ACTIONS(7303),
    [anon_sym_BSLASHnameCref] = ACTIONS(7303),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7303),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7303),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7303),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7303),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7303),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7303),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7303),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7303),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7303),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7303),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7303),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHdef] = ACTIONS(7303),
    [anon_sym_BSLASHgdef] = ACTIONS(7303),
    [anon_sym_BSLASHedef] = ACTIONS(7303),
    [anon_sym_BSLASHxdef] = ACTIONS(7303),
    [anon_sym_BSLASHlet] = ACTIONS(7303),
    [anon_sym_BSLASHglet] = ACTIONS(7303),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7303),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7303),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7303),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7303),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7303),
    [anon_sym_BSLASHgls] = ACTIONS(7303),
    [anon_sym_BSLASHGls] = ACTIONS(7303),
    [anon_sym_BSLASHGLS] = ACTIONS(7303),
    [anon_sym_BSLASHglspl] = ACTIONS(7303),
    [anon_sym_BSLASHGlspl] = ACTIONS(7303),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7303),
    [anon_sym_BSLASHglslink] = ACTIONS(7303),
    [anon_sym_BSLASHglstext] = ACTIONS(7303),
    [anon_sym_BSLASHGlstext] = ACTIONS(7303),
    [anon_sym_BSLASHGLStext] = ACTIONS(7303),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7303),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7303),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7303),
    [anon_sym_BSLASHglsplural] = ACTIONS(7303),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7303),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7303),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHglsname] = ACTIONS(7303),
    [anon_sym_BSLASHGlsname] = ACTIONS(7303),
    [anon_sym_BSLASHGLSname] = ACTIONS(7303),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7303),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7303),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7303),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7303),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7303),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7303),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7303),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7303),
    [anon_sym_BSLASHacrshort] = ACTIONS(7303),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7303),
    [anon_sym_BSLASHACRshort] = ACTIONS(7303),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHacrlong] = ACTIONS(7303),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7303),
    [anon_sym_BSLASHACRlong] = ACTIONS(7303),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHacrfull] = ACTIONS(7303),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7303),
    [anon_sym_BSLASHACRfull] = ACTIONS(7303),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHacs] = ACTIONS(7303),
    [anon_sym_BSLASHAcs] = ACTIONS(7303),
    [anon_sym_BSLASHacsp] = ACTIONS(7303),
    [anon_sym_BSLASHAcsp] = ACTIONS(7303),
    [anon_sym_BSLASHacl] = ACTIONS(7303),
    [anon_sym_BSLASHAcl] = ACTIONS(7303),
    [anon_sym_BSLASHaclp] = ACTIONS(7303),
    [anon_sym_BSLASHAclp] = ACTIONS(7303),
    [anon_sym_BSLASHacf] = ACTIONS(7303),
    [anon_sym_BSLASHAcf] = ACTIONS(7303),
    [anon_sym_BSLASHacfp] = ACTIONS(7303),
    [anon_sym_BSLASHAcfp] = ACTIONS(7303),
    [anon_sym_BSLASHac] = ACTIONS(7303),
    [anon_sym_BSLASHAc] = ACTIONS(7303),
    [anon_sym_BSLASHacp] = ACTIONS(7303),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7303),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7303),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7303),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7303),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7303),
    [anon_sym_BSLASHcolor] = ACTIONS(7303),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7303),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7303),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7303),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7303),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7303),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7303),
    [anon_sym_BSLASHurl] = ACTIONS(7303),
    [anon_sym_BSLASHhref] = ACTIONS(7303),
  },
  [1531] = {
    [sym_command_name] = ACTIONS(7307),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7307),
    [anon_sym_LBRACK] = ACTIONS(7309),
    [anon_sym_RBRACK] = ACTIONS(7309),
    [anon_sym_COMMA] = ACTIONS(7309),
    [anon_sym_EQ] = ACTIONS(7309),
    [anon_sym_LPAREN] = ACTIONS(7309),
    [anon_sym_RPAREN] = ACTIONS(7309),
    [anon_sym_BSLASHpart] = ACTIONS(7307),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHaddpart] = ACTIONS(7307),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHchapter] = ACTIONS(7307),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHaddchap] = ACTIONS(7307),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHsection] = ACTIONS(7307),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHaddsec] = ACTIONS(7307),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHsubsection] = ACTIONS(7307),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7307),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHparagraph] = ACTIONS(7307),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7307),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHitem] = ACTIONS(7307),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7309),
    [anon_sym_LBRACE] = ACTIONS(7309),
    [sym_word] = ACTIONS(7307),
    [sym_placeholder] = ACTIONS(7309),
    [sym_delimiter] = ACTIONS(7309),
    [anon_sym_PLUS] = ACTIONS(7309),
    [anon_sym_DASH] = ACTIONS(7309),
    [anon_sym_STAR] = ACTIONS(7309),
    [anon_sym_SLASH] = ACTIONS(7309),
    [anon_sym_LT] = ACTIONS(7307),
    [anon_sym_GT] = ACTIONS(7307),
    [anon_sym_BANG] = ACTIONS(7307),
    [anon_sym_PIPE] = ACTIONS(7307),
    [anon_sym_COLON] = ACTIONS(7307),
    [anon_sym_SQUOTE] = ACTIONS(7307),
    [anon_sym__] = ACTIONS(7309),
    [anon_sym_CARET] = ACTIONS(7309),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7309),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7309),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7309),
    [anon_sym_DOLLAR] = ACTIONS(7307),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7309),
    [anon_sym_BSLASHleft] = ACTIONS(7307),
    [anon_sym_BSLASHbigl] = ACTIONS(7307),
    [anon_sym_BSLASHBigl] = ACTIONS(7307),
    [anon_sym_BSLASHbiggl] = ACTIONS(7307),
    [anon_sym_BSLASHBiggl] = ACTIONS(7307),
    [anon_sym_BSLASHtext] = ACTIONS(7307),
    [anon_sym_BSLASHintertext] = ACTIONS(7307),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7307),
    [anon_sym_BSLASHbegin] = ACTIONS(7307),
    [anon_sym_BSLASHtitle] = ACTIONS(7307),
    [anon_sym_BSLASHauthor] = ACTIONS(7307),
    [anon_sym_BSLASHusepackage] = ACTIONS(7307),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7307),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7307),
    [anon_sym_BSLASHinclude] = ACTIONS(7307),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7307),
    [anon_sym_BSLASHinput] = ACTIONS(7307),
    [anon_sym_BSLASHsubfile] = ACTIONS(7307),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7307),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7307),
    [anon_sym_BSLASHbibliography] = ACTIONS(7307),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7307),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7307),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7307),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7307),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7307),
    [anon_sym_BSLASHimport] = ACTIONS(7307),
    [anon_sym_BSLASHsubimport] = ACTIONS(7307),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7307),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7307),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7307),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7307),
    [anon_sym_BSLASHcaption] = ACTIONS(7307),
    [anon_sym_BSLASHcite] = ACTIONS(7307),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCite] = ACTIONS(7307),
    [anon_sym_BSLASHnocite] = ACTIONS(7307),
    [anon_sym_BSLASHcitet] = ACTIONS(7307),
    [anon_sym_BSLASHcitep] = ACTIONS(7307),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteA] = ACTIONS(7307),
    [anon_sym_BSLASHciteR] = ACTIONS(7307),
    [anon_sym_BSLASHciteS] = ACTIONS(7307),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7307),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7307),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7307),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7307),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteyear] = ACTIONS(7307),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitedate] = ACTIONS(7307),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteurl] = ACTIONS(7307),
    [anon_sym_BSLASHfullcite] = ACTIONS(7307),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7307),
    [anon_sym_BSLASHcitealt] = ACTIONS(7307),
    [anon_sym_BSLASHcitealp] = ACTIONS(7307),
    [anon_sym_BSLASHcitetext] = ACTIONS(7307),
    [anon_sym_BSLASHparencite] = ACTIONS(7307),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHParencite] = ACTIONS(7307),
    [anon_sym_BSLASHfootcite] = ACTIONS(7307),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7307),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7307),
    [anon_sym_BSLASHtextcite] = ACTIONS(7307),
    [anon_sym_BSLASHTextcite] = ACTIONS(7307),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7307),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7307),
    [anon_sym_BSLASHsupercite] = ACTIONS(7307),
    [anon_sym_BSLASHautocite] = ACTIONS(7307),
    [anon_sym_BSLASHAutocite] = ACTIONS(7307),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHVolcite] = ACTIONS(7307),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHavolcite] = ACTIONS(7307),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHNotecite] = ACTIONS(7307),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHlabel] = ACTIONS(7307),
    [anon_sym_BSLASHref] = ACTIONS(7307),
    [anon_sym_BSLASHeqref] = ACTIONS(7307),
    [anon_sym_BSLASHvref] = ACTIONS(7307),
    [anon_sym_BSLASHVref] = ACTIONS(7307),
    [anon_sym_BSLASHautoref] = ACTIONS(7307),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHpageref] = ACTIONS(7307),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHautopageref] = ACTIONS(7307),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcref] = ACTIONS(7307),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCref] = ACTIONS(7307),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcpageref] = ACTIONS(7307),
    [anon_sym_BSLASHCpageref] = ACTIONS(7307),
    [anon_sym_BSLASHnamecref] = ACTIONS(7307),
    [anon_sym_BSLASHnameCref] = ACTIONS(7307),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7307),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7307),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7307),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7307),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7307),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7307),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7307),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7307),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7307),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7307),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7307),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHdef] = ACTIONS(7307),
    [anon_sym_BSLASHgdef] = ACTIONS(7307),
    [anon_sym_BSLASHedef] = ACTIONS(7307),
    [anon_sym_BSLASHxdef] = ACTIONS(7307),
    [anon_sym_BSLASHlet] = ACTIONS(7307),
    [anon_sym_BSLASHglet] = ACTIONS(7307),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7307),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7307),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7307),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7307),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7307),
    [anon_sym_BSLASHgls] = ACTIONS(7307),
    [anon_sym_BSLASHGls] = ACTIONS(7307),
    [anon_sym_BSLASHGLS] = ACTIONS(7307),
    [anon_sym_BSLASHglspl] = ACTIONS(7307),
    [anon_sym_BSLASHGlspl] = ACTIONS(7307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7307),
    [anon_sym_BSLASHglslink] = ACTIONS(7307),
    [anon_sym_BSLASHglstext] = ACTIONS(7307),
    [anon_sym_BSLASHGlstext] = ACTIONS(7307),
    [anon_sym_BSLASHGLStext] = ACTIONS(7307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7307),
    [anon_sym_BSLASHglsplural] = ACTIONS(7307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHglsname] = ACTIONS(7307),
    [anon_sym_BSLASHGlsname] = ACTIONS(7307),
    [anon_sym_BSLASHGLSname] = ACTIONS(7307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7307),
    [anon_sym_BSLASHacrshort] = ACTIONS(7307),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7307),
    [anon_sym_BSLASHACRshort] = ACTIONS(7307),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHacrlong] = ACTIONS(7307),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7307),
    [anon_sym_BSLASHACRlong] = ACTIONS(7307),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHacrfull] = ACTIONS(7307),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7307),
    [anon_sym_BSLASHACRfull] = ACTIONS(7307),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHacs] = ACTIONS(7307),
    [anon_sym_BSLASHAcs] = ACTIONS(7307),
    [anon_sym_BSLASHacsp] = ACTIONS(7307),
    [anon_sym_BSLASHAcsp] = ACTIONS(7307),
    [anon_sym_BSLASHacl] = ACTIONS(7307),
    [anon_sym_BSLASHAcl] = ACTIONS(7307),
    [anon_sym_BSLASHaclp] = ACTIONS(7307),
    [anon_sym_BSLASHAclp] = ACTIONS(7307),
    [anon_sym_BSLASHacf] = ACTIONS(7307),
    [anon_sym_BSLASHAcf] = ACTIONS(7307),
    [anon_sym_BSLASHacfp] = ACTIONS(7307),
    [anon_sym_BSLASHAcfp] = ACTIONS(7307),
    [anon_sym_BSLASHac] = ACTIONS(7307),
    [anon_sym_BSLASHAc] = ACTIONS(7307),
    [anon_sym_BSLASHacp] = ACTIONS(7307),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7307),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7307),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7307),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7307),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7307),
    [anon_sym_BSLASHcolor] = ACTIONS(7307),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7307),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7307),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7307),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7307),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7307),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7307),
    [anon_sym_BSLASHurl] = ACTIONS(7307),
    [anon_sym_BSLASHhref] = ACTIONS(7307),
  },
  [1532] = {
    [sym_command_name] = ACTIONS(7311),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7311),
    [anon_sym_LBRACK] = ACTIONS(7313),
    [anon_sym_RBRACK] = ACTIONS(7313),
    [anon_sym_COMMA] = ACTIONS(7313),
    [anon_sym_EQ] = ACTIONS(7313),
    [anon_sym_LPAREN] = ACTIONS(7313),
    [anon_sym_RPAREN] = ACTIONS(7313),
    [anon_sym_BSLASHpart] = ACTIONS(7311),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHaddpart] = ACTIONS(7311),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHchapter] = ACTIONS(7311),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHaddchap] = ACTIONS(7311),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHsection] = ACTIONS(7311),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHaddsec] = ACTIONS(7311),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHsubsection] = ACTIONS(7311),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7311),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHparagraph] = ACTIONS(7311),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7311),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHitem] = ACTIONS(7311),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7313),
    [anon_sym_LBRACE] = ACTIONS(7313),
    [sym_word] = ACTIONS(7311),
    [sym_placeholder] = ACTIONS(7313),
    [sym_delimiter] = ACTIONS(7313),
    [anon_sym_PLUS] = ACTIONS(7313),
    [anon_sym_DASH] = ACTIONS(7313),
    [anon_sym_STAR] = ACTIONS(7313),
    [anon_sym_SLASH] = ACTIONS(7313),
    [anon_sym_LT] = ACTIONS(7311),
    [anon_sym_GT] = ACTIONS(7311),
    [anon_sym_BANG] = ACTIONS(7311),
    [anon_sym_PIPE] = ACTIONS(7311),
    [anon_sym_COLON] = ACTIONS(7311),
    [anon_sym_SQUOTE] = ACTIONS(7311),
    [anon_sym__] = ACTIONS(7313),
    [anon_sym_CARET] = ACTIONS(7313),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7313),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7313),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7313),
    [anon_sym_DOLLAR] = ACTIONS(7311),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7313),
    [anon_sym_BSLASHleft] = ACTIONS(7311),
    [anon_sym_BSLASHbigl] = ACTIONS(7311),
    [anon_sym_BSLASHBigl] = ACTIONS(7311),
    [anon_sym_BSLASHbiggl] = ACTIONS(7311),
    [anon_sym_BSLASHBiggl] = ACTIONS(7311),
    [anon_sym_BSLASHtext] = ACTIONS(7311),
    [anon_sym_BSLASHintertext] = ACTIONS(7311),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7311),
    [anon_sym_BSLASHbegin] = ACTIONS(7311),
    [anon_sym_BSLASHtitle] = ACTIONS(7311),
    [anon_sym_BSLASHauthor] = ACTIONS(7311),
    [anon_sym_BSLASHusepackage] = ACTIONS(7311),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7311),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7311),
    [anon_sym_BSLASHinclude] = ACTIONS(7311),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7311),
    [anon_sym_BSLASHinput] = ACTIONS(7311),
    [anon_sym_BSLASHsubfile] = ACTIONS(7311),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7311),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7311),
    [anon_sym_BSLASHbibliography] = ACTIONS(7311),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7311),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7311),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7311),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7311),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7311),
    [anon_sym_BSLASHimport] = ACTIONS(7311),
    [anon_sym_BSLASHsubimport] = ACTIONS(7311),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7311),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7311),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7311),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7311),
    [anon_sym_BSLASHcaption] = ACTIONS(7311),
    [anon_sym_BSLASHcite] = ACTIONS(7311),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCite] = ACTIONS(7311),
    [anon_sym_BSLASHnocite] = ACTIONS(7311),
    [anon_sym_BSLASHcitet] = ACTIONS(7311),
    [anon_sym_BSLASHcitep] = ACTIONS(7311),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteA] = ACTIONS(7311),
    [anon_sym_BSLASHciteR] = ACTIONS(7311),
    [anon_sym_BSLASHciteS] = ACTIONS(7311),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7311),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7311),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7311),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7311),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteyear] = ACTIONS(7311),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitedate] = ACTIONS(7311),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteurl] = ACTIONS(7311),
    [anon_sym_BSLASHfullcite] = ACTIONS(7311),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7311),
    [anon_sym_BSLASHcitealt] = ACTIONS(7311),
    [anon_sym_BSLASHcitealp] = ACTIONS(7311),
    [anon_sym_BSLASHcitetext] = ACTIONS(7311),
    [anon_sym_BSLASHparencite] = ACTIONS(7311),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHParencite] = ACTIONS(7311),
    [anon_sym_BSLASHfootcite] = ACTIONS(7311),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7311),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7311),
    [anon_sym_BSLASHtextcite] = ACTIONS(7311),
    [anon_sym_BSLASHTextcite] = ACTIONS(7311),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7311),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7311),
    [anon_sym_BSLASHsupercite] = ACTIONS(7311),
    [anon_sym_BSLASHautocite] = ACTIONS(7311),
    [anon_sym_BSLASHAutocite] = ACTIONS(7311),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHVolcite] = ACTIONS(7311),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHavolcite] = ACTIONS(7311),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHNotecite] = ACTIONS(7311),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHlabel] = ACTIONS(7311),
    [anon_sym_BSLASHref] = ACTIONS(7311),
    [anon_sym_BSLASHeqref] = ACTIONS(7311),
    [anon_sym_BSLASHvref] = ACTIONS(7311),
    [anon_sym_BSLASHVref] = ACTIONS(7311),
    [anon_sym_BSLASHautoref] = ACTIONS(7311),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHpageref] = ACTIONS(7311),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHautopageref] = ACTIONS(7311),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcref] = ACTIONS(7311),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCref] = ACTIONS(7311),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcpageref] = ACTIONS(7311),
    [anon_sym_BSLASHCpageref] = ACTIONS(7311),
    [anon_sym_BSLASHnamecref] = ACTIONS(7311),
    [anon_sym_BSLASHnameCref] = ACTIONS(7311),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7311),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7311),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7311),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7311),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7311),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7311),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7311),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7311),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7311),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7311),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7311),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHdef] = ACTIONS(7311),
    [anon_sym_BSLASHgdef] = ACTIONS(7311),
    [anon_sym_BSLASHedef] = ACTIONS(7311),
    [anon_sym_BSLASHxdef] = ACTIONS(7311),
    [anon_sym_BSLASHlet] = ACTIONS(7311),
    [anon_sym_BSLASHglet] = ACTIONS(7311),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7311),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7311),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7311),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7311),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7311),
    [anon_sym_BSLASHgls] = ACTIONS(7311),
    [anon_sym_BSLASHGls] = ACTIONS(7311),
    [anon_sym_BSLASHGLS] = ACTIONS(7311),
    [anon_sym_BSLASHglspl] = ACTIONS(7311),
    [anon_sym_BSLASHGlspl] = ACTIONS(7311),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7311),
    [anon_sym_BSLASHglslink] = ACTIONS(7311),
    [anon_sym_BSLASHglstext] = ACTIONS(7311),
    [anon_sym_BSLASHGlstext] = ACTIONS(7311),
    [anon_sym_BSLASHGLStext] = ACTIONS(7311),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7311),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7311),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7311),
    [anon_sym_BSLASHglsplural] = ACTIONS(7311),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7311),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7311),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHglsname] = ACTIONS(7311),
    [anon_sym_BSLASHGlsname] = ACTIONS(7311),
    [anon_sym_BSLASHGLSname] = ACTIONS(7311),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7311),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7311),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7311),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7311),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7311),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7311),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7311),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7311),
    [anon_sym_BSLASHacrshort] = ACTIONS(7311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7311),
    [anon_sym_BSLASHACRshort] = ACTIONS(7311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHacrlong] = ACTIONS(7311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7311),
    [anon_sym_BSLASHACRlong] = ACTIONS(7311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHacrfull] = ACTIONS(7311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7311),
    [anon_sym_BSLASHACRfull] = ACTIONS(7311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHacs] = ACTIONS(7311),
    [anon_sym_BSLASHAcs] = ACTIONS(7311),
    [anon_sym_BSLASHacsp] = ACTIONS(7311),
    [anon_sym_BSLASHAcsp] = ACTIONS(7311),
    [anon_sym_BSLASHacl] = ACTIONS(7311),
    [anon_sym_BSLASHAcl] = ACTIONS(7311),
    [anon_sym_BSLASHaclp] = ACTIONS(7311),
    [anon_sym_BSLASHAclp] = ACTIONS(7311),
    [anon_sym_BSLASHacf] = ACTIONS(7311),
    [anon_sym_BSLASHAcf] = ACTIONS(7311),
    [anon_sym_BSLASHacfp] = ACTIONS(7311),
    [anon_sym_BSLASHAcfp] = ACTIONS(7311),
    [anon_sym_BSLASHac] = ACTIONS(7311),
    [anon_sym_BSLASHAc] = ACTIONS(7311),
    [anon_sym_BSLASHacp] = ACTIONS(7311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7311),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7311),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7311),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7311),
    [anon_sym_BSLASHcolor] = ACTIONS(7311),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7311),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7311),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7311),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7311),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7311),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7311),
    [anon_sym_BSLASHurl] = ACTIONS(7311),
    [anon_sym_BSLASHhref] = ACTIONS(7311),
  },
  [1533] = {
    [sym_command_name] = ACTIONS(7287),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7287),
    [anon_sym_LBRACK] = ACTIONS(7289),
    [anon_sym_RBRACK] = ACTIONS(7289),
    [anon_sym_COMMA] = ACTIONS(7289),
    [anon_sym_EQ] = ACTIONS(7289),
    [anon_sym_LPAREN] = ACTIONS(7289),
    [anon_sym_RPAREN] = ACTIONS(7289),
    [anon_sym_BSLASHpart] = ACTIONS(7287),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHaddpart] = ACTIONS(7287),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHchapter] = ACTIONS(7287),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHaddchap] = ACTIONS(7287),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHsection] = ACTIONS(7287),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHaddsec] = ACTIONS(7287),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHsubsection] = ACTIONS(7287),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7287),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHparagraph] = ACTIONS(7287),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7287),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHitem] = ACTIONS(7287),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7289),
    [anon_sym_LBRACE] = ACTIONS(7289),
    [sym_word] = ACTIONS(7287),
    [sym_placeholder] = ACTIONS(7289),
    [sym_delimiter] = ACTIONS(7289),
    [anon_sym_PLUS] = ACTIONS(7289),
    [anon_sym_DASH] = ACTIONS(7289),
    [anon_sym_STAR] = ACTIONS(7289),
    [anon_sym_SLASH] = ACTIONS(7289),
    [anon_sym_LT] = ACTIONS(7287),
    [anon_sym_GT] = ACTIONS(7287),
    [anon_sym_BANG] = ACTIONS(7287),
    [anon_sym_PIPE] = ACTIONS(7287),
    [anon_sym_COLON] = ACTIONS(7287),
    [anon_sym_SQUOTE] = ACTIONS(7287),
    [anon_sym__] = ACTIONS(7289),
    [anon_sym_CARET] = ACTIONS(7289),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7289),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7289),
    [anon_sym_DOLLAR] = ACTIONS(7287),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7289),
    [anon_sym_BSLASHleft] = ACTIONS(7287),
    [anon_sym_BSLASHbigl] = ACTIONS(7287),
    [anon_sym_BSLASHBigl] = ACTIONS(7287),
    [anon_sym_BSLASHbiggl] = ACTIONS(7287),
    [anon_sym_BSLASHBiggl] = ACTIONS(7287),
    [anon_sym_BSLASHtext] = ACTIONS(7287),
    [anon_sym_BSLASHintertext] = ACTIONS(7287),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7287),
    [anon_sym_BSLASHbegin] = ACTIONS(7287),
    [anon_sym_BSLASHend] = ACTIONS(7287),
    [anon_sym_BSLASHtitle] = ACTIONS(7287),
    [anon_sym_BSLASHauthor] = ACTIONS(7287),
    [anon_sym_BSLASHusepackage] = ACTIONS(7287),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7287),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7287),
    [anon_sym_BSLASHinclude] = ACTIONS(7287),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7287),
    [anon_sym_BSLASHinput] = ACTIONS(7287),
    [anon_sym_BSLASHsubfile] = ACTIONS(7287),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7287),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7287),
    [anon_sym_BSLASHbibliography] = ACTIONS(7287),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7287),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7287),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7287),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7287),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7287),
    [anon_sym_BSLASHimport] = ACTIONS(7287),
    [anon_sym_BSLASHsubimport] = ACTIONS(7287),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7287),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7287),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7287),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7287),
    [anon_sym_BSLASHcaption] = ACTIONS(7287),
    [anon_sym_BSLASHcite] = ACTIONS(7287),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCite] = ACTIONS(7287),
    [anon_sym_BSLASHnocite] = ACTIONS(7287),
    [anon_sym_BSLASHcitet] = ACTIONS(7287),
    [anon_sym_BSLASHcitep] = ACTIONS(7287),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteA] = ACTIONS(7287),
    [anon_sym_BSLASHciteR] = ACTIONS(7287),
    [anon_sym_BSLASHciteS] = ACTIONS(7287),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7287),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7287),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7287),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7287),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteyear] = ACTIONS(7287),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitedate] = ACTIONS(7287),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteurl] = ACTIONS(7287),
    [anon_sym_BSLASHfullcite] = ACTIONS(7287),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7287),
    [anon_sym_BSLASHcitealt] = ACTIONS(7287),
    [anon_sym_BSLASHcitealp] = ACTIONS(7287),
    [anon_sym_BSLASHcitetext] = ACTIONS(7287),
    [anon_sym_BSLASHparencite] = ACTIONS(7287),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHParencite] = ACTIONS(7287),
    [anon_sym_BSLASHfootcite] = ACTIONS(7287),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7287),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7287),
    [anon_sym_BSLASHtextcite] = ACTIONS(7287),
    [anon_sym_BSLASHTextcite] = ACTIONS(7287),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7287),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7287),
    [anon_sym_BSLASHsupercite] = ACTIONS(7287),
    [anon_sym_BSLASHautocite] = ACTIONS(7287),
    [anon_sym_BSLASHAutocite] = ACTIONS(7287),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHVolcite] = ACTIONS(7287),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHavolcite] = ACTIONS(7287),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHNotecite] = ACTIONS(7287),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHlabel] = ACTIONS(7287),
    [anon_sym_BSLASHref] = ACTIONS(7287),
    [anon_sym_BSLASHeqref] = ACTIONS(7287),
    [anon_sym_BSLASHvref] = ACTIONS(7287),
    [anon_sym_BSLASHVref] = ACTIONS(7287),
    [anon_sym_BSLASHautoref] = ACTIONS(7287),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHpageref] = ACTIONS(7287),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHautopageref] = ACTIONS(7287),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcref] = ACTIONS(7287),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCref] = ACTIONS(7287),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcpageref] = ACTIONS(7287),
    [anon_sym_BSLASHCpageref] = ACTIONS(7287),
    [anon_sym_BSLASHnamecref] = ACTIONS(7287),
    [anon_sym_BSLASHnameCref] = ACTIONS(7287),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7287),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7287),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7287),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7287),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7287),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7287),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7287),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7287),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7287),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7287),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7287),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHdef] = ACTIONS(7287),
    [anon_sym_BSLASHgdef] = ACTIONS(7287),
    [anon_sym_BSLASHedef] = ACTIONS(7287),
    [anon_sym_BSLASHxdef] = ACTIONS(7287),
    [anon_sym_BSLASHlet] = ACTIONS(7287),
    [anon_sym_BSLASHglet] = ACTIONS(7287),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7287),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7287),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7287),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7287),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7287),
    [anon_sym_BSLASHgls] = ACTIONS(7287),
    [anon_sym_BSLASHGls] = ACTIONS(7287),
    [anon_sym_BSLASHGLS] = ACTIONS(7287),
    [anon_sym_BSLASHglspl] = ACTIONS(7287),
    [anon_sym_BSLASHGlspl] = ACTIONS(7287),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7287),
    [anon_sym_BSLASHglslink] = ACTIONS(7287),
    [anon_sym_BSLASHglstext] = ACTIONS(7287),
    [anon_sym_BSLASHGlstext] = ACTIONS(7287),
    [anon_sym_BSLASHGLStext] = ACTIONS(7287),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7287),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7287),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7287),
    [anon_sym_BSLASHglsplural] = ACTIONS(7287),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7287),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7287),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHglsname] = ACTIONS(7287),
    [anon_sym_BSLASHGlsname] = ACTIONS(7287),
    [anon_sym_BSLASHGLSname] = ACTIONS(7287),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7287),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7287),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7287),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7287),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7287),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7287),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7287),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7287),
    [anon_sym_BSLASHacrshort] = ACTIONS(7287),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7287),
    [anon_sym_BSLASHACRshort] = ACTIONS(7287),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHacrlong] = ACTIONS(7287),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7287),
    [anon_sym_BSLASHACRlong] = ACTIONS(7287),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHacrfull] = ACTIONS(7287),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7287),
    [anon_sym_BSLASHACRfull] = ACTIONS(7287),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHacs] = ACTIONS(7287),
    [anon_sym_BSLASHAcs] = ACTIONS(7287),
    [anon_sym_BSLASHacsp] = ACTIONS(7287),
    [anon_sym_BSLASHAcsp] = ACTIONS(7287),
    [anon_sym_BSLASHacl] = ACTIONS(7287),
    [anon_sym_BSLASHAcl] = ACTIONS(7287),
    [anon_sym_BSLASHaclp] = ACTIONS(7287),
    [anon_sym_BSLASHAclp] = ACTIONS(7287),
    [anon_sym_BSLASHacf] = ACTIONS(7287),
    [anon_sym_BSLASHAcf] = ACTIONS(7287),
    [anon_sym_BSLASHacfp] = ACTIONS(7287),
    [anon_sym_BSLASHAcfp] = ACTIONS(7287),
    [anon_sym_BSLASHac] = ACTIONS(7287),
    [anon_sym_BSLASHAc] = ACTIONS(7287),
    [anon_sym_BSLASHacp] = ACTIONS(7287),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7287),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7287),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7287),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7287),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7287),
    [anon_sym_BSLASHcolor] = ACTIONS(7287),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7287),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7287),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7287),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7287),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7287),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7287),
    [anon_sym_BSLASHurl] = ACTIONS(7287),
    [anon_sym_BSLASHhref] = ACTIONS(7287),
  },
  [1534] = {
    [sym_command_name] = ACTIONS(7587),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7587),
    [anon_sym_LBRACK] = ACTIONS(7589),
    [anon_sym_RBRACK] = ACTIONS(7589),
    [anon_sym_COMMA] = ACTIONS(7589),
    [anon_sym_EQ] = ACTIONS(7589),
    [anon_sym_LPAREN] = ACTIONS(7589),
    [anon_sym_RPAREN] = ACTIONS(7589),
    [anon_sym_BSLASHpart] = ACTIONS(7587),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHaddpart] = ACTIONS(7587),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHchapter] = ACTIONS(7587),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHaddchap] = ACTIONS(7587),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHsection] = ACTIONS(7587),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHaddsec] = ACTIONS(7587),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHsubsection] = ACTIONS(7587),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7587),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHparagraph] = ACTIONS(7587),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7587),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHitem] = ACTIONS(7587),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7589),
    [anon_sym_LBRACE] = ACTIONS(7589),
    [sym_word] = ACTIONS(7587),
    [sym_placeholder] = ACTIONS(7589),
    [sym_delimiter] = ACTIONS(7589),
    [anon_sym_PLUS] = ACTIONS(7589),
    [anon_sym_DASH] = ACTIONS(7589),
    [anon_sym_STAR] = ACTIONS(7589),
    [anon_sym_SLASH] = ACTIONS(7589),
    [anon_sym_LT] = ACTIONS(7587),
    [anon_sym_GT] = ACTIONS(7587),
    [anon_sym_BANG] = ACTIONS(7587),
    [anon_sym_PIPE] = ACTIONS(7587),
    [anon_sym_COLON] = ACTIONS(7587),
    [anon_sym_SQUOTE] = ACTIONS(7587),
    [anon_sym__] = ACTIONS(7589),
    [anon_sym_CARET] = ACTIONS(7589),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7589),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7589),
    [anon_sym_DOLLAR] = ACTIONS(7587),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7589),
    [anon_sym_BSLASHleft] = ACTIONS(7587),
    [anon_sym_BSLASHbigl] = ACTIONS(7587),
    [anon_sym_BSLASHBigl] = ACTIONS(7587),
    [anon_sym_BSLASHbiggl] = ACTIONS(7587),
    [anon_sym_BSLASHBiggl] = ACTIONS(7587),
    [anon_sym_BSLASHtext] = ACTIONS(7587),
    [anon_sym_BSLASHintertext] = ACTIONS(7587),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7587),
    [anon_sym_BSLASHbegin] = ACTIONS(7587),
    [anon_sym_BSLASHend] = ACTIONS(7587),
    [anon_sym_BSLASHtitle] = ACTIONS(7587),
    [anon_sym_BSLASHauthor] = ACTIONS(7587),
    [anon_sym_BSLASHusepackage] = ACTIONS(7587),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7587),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7587),
    [anon_sym_BSLASHinclude] = ACTIONS(7587),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7587),
    [anon_sym_BSLASHinput] = ACTIONS(7587),
    [anon_sym_BSLASHsubfile] = ACTIONS(7587),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7587),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7587),
    [anon_sym_BSLASHbibliography] = ACTIONS(7587),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7587),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7587),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7587),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7587),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7587),
    [anon_sym_BSLASHimport] = ACTIONS(7587),
    [anon_sym_BSLASHsubimport] = ACTIONS(7587),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7587),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7587),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7587),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7587),
    [anon_sym_BSLASHcaption] = ACTIONS(7587),
    [anon_sym_BSLASHcite] = ACTIONS(7587),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCite] = ACTIONS(7587),
    [anon_sym_BSLASHnocite] = ACTIONS(7587),
    [anon_sym_BSLASHcitet] = ACTIONS(7587),
    [anon_sym_BSLASHcitep] = ACTIONS(7587),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteA] = ACTIONS(7587),
    [anon_sym_BSLASHciteR] = ACTIONS(7587),
    [anon_sym_BSLASHciteS] = ACTIONS(7587),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7587),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7587),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7587),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7587),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteyear] = ACTIONS(7587),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitedate] = ACTIONS(7587),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteurl] = ACTIONS(7587),
    [anon_sym_BSLASHfullcite] = ACTIONS(7587),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7587),
    [anon_sym_BSLASHcitealt] = ACTIONS(7587),
    [anon_sym_BSLASHcitealp] = ACTIONS(7587),
    [anon_sym_BSLASHcitetext] = ACTIONS(7587),
    [anon_sym_BSLASHparencite] = ACTIONS(7587),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHParencite] = ACTIONS(7587),
    [anon_sym_BSLASHfootcite] = ACTIONS(7587),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7587),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7587),
    [anon_sym_BSLASHtextcite] = ACTIONS(7587),
    [anon_sym_BSLASHTextcite] = ACTIONS(7587),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7587),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7587),
    [anon_sym_BSLASHsupercite] = ACTIONS(7587),
    [anon_sym_BSLASHautocite] = ACTIONS(7587),
    [anon_sym_BSLASHAutocite] = ACTIONS(7587),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHVolcite] = ACTIONS(7587),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHavolcite] = ACTIONS(7587),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHNotecite] = ACTIONS(7587),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHlabel] = ACTIONS(7587),
    [anon_sym_BSLASHref] = ACTIONS(7587),
    [anon_sym_BSLASHeqref] = ACTIONS(7587),
    [anon_sym_BSLASHvref] = ACTIONS(7587),
    [anon_sym_BSLASHVref] = ACTIONS(7587),
    [anon_sym_BSLASHautoref] = ACTIONS(7587),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHpageref] = ACTIONS(7587),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHautopageref] = ACTIONS(7587),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcref] = ACTIONS(7587),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCref] = ACTIONS(7587),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcpageref] = ACTIONS(7587),
    [anon_sym_BSLASHCpageref] = ACTIONS(7587),
    [anon_sym_BSLASHnamecref] = ACTIONS(7587),
    [anon_sym_BSLASHnameCref] = ACTIONS(7587),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7587),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7587),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7587),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7587),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7587),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7587),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7587),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7587),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7587),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7587),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7587),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHdef] = ACTIONS(7587),
    [anon_sym_BSLASHgdef] = ACTIONS(7587),
    [anon_sym_BSLASHedef] = ACTIONS(7587),
    [anon_sym_BSLASHxdef] = ACTIONS(7587),
    [anon_sym_BSLASHlet] = ACTIONS(7587),
    [anon_sym_BSLASHglet] = ACTIONS(7587),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7587),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7587),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7587),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7587),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7587),
    [anon_sym_BSLASHgls] = ACTIONS(7587),
    [anon_sym_BSLASHGls] = ACTIONS(7587),
    [anon_sym_BSLASHGLS] = ACTIONS(7587),
    [anon_sym_BSLASHglspl] = ACTIONS(7587),
    [anon_sym_BSLASHGlspl] = ACTIONS(7587),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7587),
    [anon_sym_BSLASHglslink] = ACTIONS(7587),
    [anon_sym_BSLASHglstext] = ACTIONS(7587),
    [anon_sym_BSLASHGlstext] = ACTIONS(7587),
    [anon_sym_BSLASHGLStext] = ACTIONS(7587),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7587),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7587),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7587),
    [anon_sym_BSLASHglsplural] = ACTIONS(7587),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7587),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7587),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHglsname] = ACTIONS(7587),
    [anon_sym_BSLASHGlsname] = ACTIONS(7587),
    [anon_sym_BSLASHGLSname] = ACTIONS(7587),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7587),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7587),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7587),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7587),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7587),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7587),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7587),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7587),
    [anon_sym_BSLASHacrshort] = ACTIONS(7587),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7587),
    [anon_sym_BSLASHACRshort] = ACTIONS(7587),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHacrlong] = ACTIONS(7587),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7587),
    [anon_sym_BSLASHACRlong] = ACTIONS(7587),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHacrfull] = ACTIONS(7587),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7587),
    [anon_sym_BSLASHACRfull] = ACTIONS(7587),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHacs] = ACTIONS(7587),
    [anon_sym_BSLASHAcs] = ACTIONS(7587),
    [anon_sym_BSLASHacsp] = ACTIONS(7587),
    [anon_sym_BSLASHAcsp] = ACTIONS(7587),
    [anon_sym_BSLASHacl] = ACTIONS(7587),
    [anon_sym_BSLASHAcl] = ACTIONS(7587),
    [anon_sym_BSLASHaclp] = ACTIONS(7587),
    [anon_sym_BSLASHAclp] = ACTIONS(7587),
    [anon_sym_BSLASHacf] = ACTIONS(7587),
    [anon_sym_BSLASHAcf] = ACTIONS(7587),
    [anon_sym_BSLASHacfp] = ACTIONS(7587),
    [anon_sym_BSLASHAcfp] = ACTIONS(7587),
    [anon_sym_BSLASHac] = ACTIONS(7587),
    [anon_sym_BSLASHAc] = ACTIONS(7587),
    [anon_sym_BSLASHacp] = ACTIONS(7587),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7587),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7587),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7587),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7587),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7587),
    [anon_sym_BSLASHcolor] = ACTIONS(7587),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7587),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7587),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7587),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7587),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7587),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7587),
    [anon_sym_BSLASHurl] = ACTIONS(7587),
    [anon_sym_BSLASHhref] = ACTIONS(7587),
  },
  [1535] = {
    [sym_command_name] = ACTIONS(7315),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7315),
    [anon_sym_LBRACK] = ACTIONS(7317),
    [anon_sym_RBRACK] = ACTIONS(7317),
    [anon_sym_COMMA] = ACTIONS(7317),
    [anon_sym_EQ] = ACTIONS(7317),
    [anon_sym_LPAREN] = ACTIONS(7317),
    [anon_sym_RPAREN] = ACTIONS(7317),
    [anon_sym_BSLASHpart] = ACTIONS(7315),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHaddpart] = ACTIONS(7315),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHchapter] = ACTIONS(7315),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHaddchap] = ACTIONS(7315),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHsection] = ACTIONS(7315),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHaddsec] = ACTIONS(7315),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHsubsection] = ACTIONS(7315),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7315),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHparagraph] = ACTIONS(7315),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7315),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHitem] = ACTIONS(7315),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7317),
    [anon_sym_LBRACE] = ACTIONS(7317),
    [sym_word] = ACTIONS(7315),
    [sym_placeholder] = ACTIONS(7317),
    [sym_delimiter] = ACTIONS(7317),
    [anon_sym_PLUS] = ACTIONS(7317),
    [anon_sym_DASH] = ACTIONS(7317),
    [anon_sym_STAR] = ACTIONS(7317),
    [anon_sym_SLASH] = ACTIONS(7317),
    [anon_sym_LT] = ACTIONS(7315),
    [anon_sym_GT] = ACTIONS(7315),
    [anon_sym_BANG] = ACTIONS(7315),
    [anon_sym_PIPE] = ACTIONS(7315),
    [anon_sym_COLON] = ACTIONS(7315),
    [anon_sym_SQUOTE] = ACTIONS(7315),
    [anon_sym__] = ACTIONS(7317),
    [anon_sym_CARET] = ACTIONS(7317),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7317),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7317),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7317),
    [anon_sym_DOLLAR] = ACTIONS(7315),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7317),
    [anon_sym_BSLASHleft] = ACTIONS(7315),
    [anon_sym_BSLASHbigl] = ACTIONS(7315),
    [anon_sym_BSLASHBigl] = ACTIONS(7315),
    [anon_sym_BSLASHbiggl] = ACTIONS(7315),
    [anon_sym_BSLASHBiggl] = ACTIONS(7315),
    [anon_sym_BSLASHtext] = ACTIONS(7315),
    [anon_sym_BSLASHintertext] = ACTIONS(7315),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7315),
    [anon_sym_BSLASHbegin] = ACTIONS(7315),
    [anon_sym_BSLASHtitle] = ACTIONS(7315),
    [anon_sym_BSLASHauthor] = ACTIONS(7315),
    [anon_sym_BSLASHusepackage] = ACTIONS(7315),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7315),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7315),
    [anon_sym_BSLASHinclude] = ACTIONS(7315),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7315),
    [anon_sym_BSLASHinput] = ACTIONS(7315),
    [anon_sym_BSLASHsubfile] = ACTIONS(7315),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7315),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7315),
    [anon_sym_BSLASHbibliography] = ACTIONS(7315),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7315),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7315),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7315),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7315),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7315),
    [anon_sym_BSLASHimport] = ACTIONS(7315),
    [anon_sym_BSLASHsubimport] = ACTIONS(7315),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7315),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7315),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7315),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7315),
    [anon_sym_BSLASHcaption] = ACTIONS(7315),
    [anon_sym_BSLASHcite] = ACTIONS(7315),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCite] = ACTIONS(7315),
    [anon_sym_BSLASHnocite] = ACTIONS(7315),
    [anon_sym_BSLASHcitet] = ACTIONS(7315),
    [anon_sym_BSLASHcitep] = ACTIONS(7315),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteA] = ACTIONS(7315),
    [anon_sym_BSLASHciteR] = ACTIONS(7315),
    [anon_sym_BSLASHciteS] = ACTIONS(7315),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7315),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7315),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7315),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7315),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteyear] = ACTIONS(7315),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitedate] = ACTIONS(7315),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteurl] = ACTIONS(7315),
    [anon_sym_BSLASHfullcite] = ACTIONS(7315),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7315),
    [anon_sym_BSLASHcitealt] = ACTIONS(7315),
    [anon_sym_BSLASHcitealp] = ACTIONS(7315),
    [anon_sym_BSLASHcitetext] = ACTIONS(7315),
    [anon_sym_BSLASHparencite] = ACTIONS(7315),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHParencite] = ACTIONS(7315),
    [anon_sym_BSLASHfootcite] = ACTIONS(7315),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7315),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7315),
    [anon_sym_BSLASHtextcite] = ACTIONS(7315),
    [anon_sym_BSLASHTextcite] = ACTIONS(7315),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7315),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7315),
    [anon_sym_BSLASHsupercite] = ACTIONS(7315),
    [anon_sym_BSLASHautocite] = ACTIONS(7315),
    [anon_sym_BSLASHAutocite] = ACTIONS(7315),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHVolcite] = ACTIONS(7315),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHavolcite] = ACTIONS(7315),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHNotecite] = ACTIONS(7315),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHlabel] = ACTIONS(7315),
    [anon_sym_BSLASHref] = ACTIONS(7315),
    [anon_sym_BSLASHeqref] = ACTIONS(7315),
    [anon_sym_BSLASHvref] = ACTIONS(7315),
    [anon_sym_BSLASHVref] = ACTIONS(7315),
    [anon_sym_BSLASHautoref] = ACTIONS(7315),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHpageref] = ACTIONS(7315),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHautopageref] = ACTIONS(7315),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcref] = ACTIONS(7315),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCref] = ACTIONS(7315),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcpageref] = ACTIONS(7315),
    [anon_sym_BSLASHCpageref] = ACTIONS(7315),
    [anon_sym_BSLASHnamecref] = ACTIONS(7315),
    [anon_sym_BSLASHnameCref] = ACTIONS(7315),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7315),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7315),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7315),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7315),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7315),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7315),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7315),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7315),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7315),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7315),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7315),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHdef] = ACTIONS(7315),
    [anon_sym_BSLASHgdef] = ACTIONS(7315),
    [anon_sym_BSLASHedef] = ACTIONS(7315),
    [anon_sym_BSLASHxdef] = ACTIONS(7315),
    [anon_sym_BSLASHlet] = ACTIONS(7315),
    [anon_sym_BSLASHglet] = ACTIONS(7315),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7315),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7315),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7315),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7315),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7315),
    [anon_sym_BSLASHgls] = ACTIONS(7315),
    [anon_sym_BSLASHGls] = ACTIONS(7315),
    [anon_sym_BSLASHGLS] = ACTIONS(7315),
    [anon_sym_BSLASHglspl] = ACTIONS(7315),
    [anon_sym_BSLASHGlspl] = ACTIONS(7315),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7315),
    [anon_sym_BSLASHglslink] = ACTIONS(7315),
    [anon_sym_BSLASHglstext] = ACTIONS(7315),
    [anon_sym_BSLASHGlstext] = ACTIONS(7315),
    [anon_sym_BSLASHGLStext] = ACTIONS(7315),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7315),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7315),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7315),
    [anon_sym_BSLASHglsplural] = ACTIONS(7315),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7315),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7315),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHglsname] = ACTIONS(7315),
    [anon_sym_BSLASHGlsname] = ACTIONS(7315),
    [anon_sym_BSLASHGLSname] = ACTIONS(7315),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7315),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7315),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7315),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7315),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7315),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7315),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7315),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7315),
    [anon_sym_BSLASHacrshort] = ACTIONS(7315),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7315),
    [anon_sym_BSLASHACRshort] = ACTIONS(7315),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHacrlong] = ACTIONS(7315),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7315),
    [anon_sym_BSLASHACRlong] = ACTIONS(7315),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHacrfull] = ACTIONS(7315),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7315),
    [anon_sym_BSLASHACRfull] = ACTIONS(7315),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHacs] = ACTIONS(7315),
    [anon_sym_BSLASHAcs] = ACTIONS(7315),
    [anon_sym_BSLASHacsp] = ACTIONS(7315),
    [anon_sym_BSLASHAcsp] = ACTIONS(7315),
    [anon_sym_BSLASHacl] = ACTIONS(7315),
    [anon_sym_BSLASHAcl] = ACTIONS(7315),
    [anon_sym_BSLASHaclp] = ACTIONS(7315),
    [anon_sym_BSLASHAclp] = ACTIONS(7315),
    [anon_sym_BSLASHacf] = ACTIONS(7315),
    [anon_sym_BSLASHAcf] = ACTIONS(7315),
    [anon_sym_BSLASHacfp] = ACTIONS(7315),
    [anon_sym_BSLASHAcfp] = ACTIONS(7315),
    [anon_sym_BSLASHac] = ACTIONS(7315),
    [anon_sym_BSLASHAc] = ACTIONS(7315),
    [anon_sym_BSLASHacp] = ACTIONS(7315),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7315),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7315),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7315),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7315),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7315),
    [anon_sym_BSLASHcolor] = ACTIONS(7315),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7315),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7315),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7315),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7315),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7315),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7315),
    [anon_sym_BSLASHurl] = ACTIONS(7315),
    [anon_sym_BSLASHhref] = ACTIONS(7315),
  },
  [1536] = {
    [sym_command_name] = ACTIONS(7591),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7591),
    [anon_sym_LBRACK] = ACTIONS(7593),
    [anon_sym_RBRACK] = ACTIONS(7593),
    [anon_sym_COMMA] = ACTIONS(7593),
    [anon_sym_EQ] = ACTIONS(7593),
    [anon_sym_LPAREN] = ACTIONS(7593),
    [anon_sym_RPAREN] = ACTIONS(7593),
    [anon_sym_BSLASHpart] = ACTIONS(7591),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHaddpart] = ACTIONS(7591),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHchapter] = ACTIONS(7591),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHaddchap] = ACTIONS(7591),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHsection] = ACTIONS(7591),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHaddsec] = ACTIONS(7591),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHsubsection] = ACTIONS(7591),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7591),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHparagraph] = ACTIONS(7591),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7591),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHitem] = ACTIONS(7591),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7593),
    [anon_sym_LBRACE] = ACTIONS(7593),
    [sym_word] = ACTIONS(7591),
    [sym_placeholder] = ACTIONS(7593),
    [sym_delimiter] = ACTIONS(7593),
    [anon_sym_PLUS] = ACTIONS(7593),
    [anon_sym_DASH] = ACTIONS(7593),
    [anon_sym_STAR] = ACTIONS(7593),
    [anon_sym_SLASH] = ACTIONS(7593),
    [anon_sym_LT] = ACTIONS(7591),
    [anon_sym_GT] = ACTIONS(7591),
    [anon_sym_BANG] = ACTIONS(7591),
    [anon_sym_PIPE] = ACTIONS(7591),
    [anon_sym_COLON] = ACTIONS(7591),
    [anon_sym_SQUOTE] = ACTIONS(7591),
    [anon_sym__] = ACTIONS(7593),
    [anon_sym_CARET] = ACTIONS(7593),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7593),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7593),
    [anon_sym_DOLLAR] = ACTIONS(7591),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7593),
    [anon_sym_BSLASHleft] = ACTIONS(7591),
    [anon_sym_BSLASHbigl] = ACTIONS(7591),
    [anon_sym_BSLASHBigl] = ACTIONS(7591),
    [anon_sym_BSLASHbiggl] = ACTIONS(7591),
    [anon_sym_BSLASHBiggl] = ACTIONS(7591),
    [anon_sym_BSLASHtext] = ACTIONS(7591),
    [anon_sym_BSLASHintertext] = ACTIONS(7591),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7591),
    [anon_sym_BSLASHbegin] = ACTIONS(7591),
    [anon_sym_BSLASHend] = ACTIONS(7591),
    [anon_sym_BSLASHtitle] = ACTIONS(7591),
    [anon_sym_BSLASHauthor] = ACTIONS(7591),
    [anon_sym_BSLASHusepackage] = ACTIONS(7591),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7591),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7591),
    [anon_sym_BSLASHinclude] = ACTIONS(7591),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7591),
    [anon_sym_BSLASHinput] = ACTIONS(7591),
    [anon_sym_BSLASHsubfile] = ACTIONS(7591),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7591),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7591),
    [anon_sym_BSLASHbibliography] = ACTIONS(7591),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7591),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7591),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7591),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7591),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7591),
    [anon_sym_BSLASHimport] = ACTIONS(7591),
    [anon_sym_BSLASHsubimport] = ACTIONS(7591),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7591),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7591),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7591),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7591),
    [anon_sym_BSLASHcaption] = ACTIONS(7591),
    [anon_sym_BSLASHcite] = ACTIONS(7591),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCite] = ACTIONS(7591),
    [anon_sym_BSLASHnocite] = ACTIONS(7591),
    [anon_sym_BSLASHcitet] = ACTIONS(7591),
    [anon_sym_BSLASHcitep] = ACTIONS(7591),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteA] = ACTIONS(7591),
    [anon_sym_BSLASHciteR] = ACTIONS(7591),
    [anon_sym_BSLASHciteS] = ACTIONS(7591),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7591),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7591),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7591),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7591),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteyear] = ACTIONS(7591),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitedate] = ACTIONS(7591),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteurl] = ACTIONS(7591),
    [anon_sym_BSLASHfullcite] = ACTIONS(7591),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7591),
    [anon_sym_BSLASHcitealt] = ACTIONS(7591),
    [anon_sym_BSLASHcitealp] = ACTIONS(7591),
    [anon_sym_BSLASHcitetext] = ACTIONS(7591),
    [anon_sym_BSLASHparencite] = ACTIONS(7591),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHParencite] = ACTIONS(7591),
    [anon_sym_BSLASHfootcite] = ACTIONS(7591),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7591),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7591),
    [anon_sym_BSLASHtextcite] = ACTIONS(7591),
    [anon_sym_BSLASHTextcite] = ACTIONS(7591),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7591),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7591),
    [anon_sym_BSLASHsupercite] = ACTIONS(7591),
    [anon_sym_BSLASHautocite] = ACTIONS(7591),
    [anon_sym_BSLASHAutocite] = ACTIONS(7591),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHVolcite] = ACTIONS(7591),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHavolcite] = ACTIONS(7591),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHNotecite] = ACTIONS(7591),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHlabel] = ACTIONS(7591),
    [anon_sym_BSLASHref] = ACTIONS(7591),
    [anon_sym_BSLASHeqref] = ACTIONS(7591),
    [anon_sym_BSLASHvref] = ACTIONS(7591),
    [anon_sym_BSLASHVref] = ACTIONS(7591),
    [anon_sym_BSLASHautoref] = ACTIONS(7591),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHpageref] = ACTIONS(7591),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHautopageref] = ACTIONS(7591),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcref] = ACTIONS(7591),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCref] = ACTIONS(7591),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcpageref] = ACTIONS(7591),
    [anon_sym_BSLASHCpageref] = ACTIONS(7591),
    [anon_sym_BSLASHnamecref] = ACTIONS(7591),
    [anon_sym_BSLASHnameCref] = ACTIONS(7591),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7591),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7591),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7591),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7591),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7591),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7591),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7591),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7591),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7591),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7591),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7591),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHdef] = ACTIONS(7591),
    [anon_sym_BSLASHgdef] = ACTIONS(7591),
    [anon_sym_BSLASHedef] = ACTIONS(7591),
    [anon_sym_BSLASHxdef] = ACTIONS(7591),
    [anon_sym_BSLASHlet] = ACTIONS(7591),
    [anon_sym_BSLASHglet] = ACTIONS(7591),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7591),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7591),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7591),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7591),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7591),
    [anon_sym_BSLASHgls] = ACTIONS(7591),
    [anon_sym_BSLASHGls] = ACTIONS(7591),
    [anon_sym_BSLASHGLS] = ACTIONS(7591),
    [anon_sym_BSLASHglspl] = ACTIONS(7591),
    [anon_sym_BSLASHGlspl] = ACTIONS(7591),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7591),
    [anon_sym_BSLASHglslink] = ACTIONS(7591),
    [anon_sym_BSLASHglstext] = ACTIONS(7591),
    [anon_sym_BSLASHGlstext] = ACTIONS(7591),
    [anon_sym_BSLASHGLStext] = ACTIONS(7591),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7591),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7591),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7591),
    [anon_sym_BSLASHglsplural] = ACTIONS(7591),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7591),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7591),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHglsname] = ACTIONS(7591),
    [anon_sym_BSLASHGlsname] = ACTIONS(7591),
    [anon_sym_BSLASHGLSname] = ACTIONS(7591),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7591),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7591),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7591),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7591),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7591),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7591),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7591),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7591),
    [anon_sym_BSLASHacrshort] = ACTIONS(7591),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7591),
    [anon_sym_BSLASHACRshort] = ACTIONS(7591),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHacrlong] = ACTIONS(7591),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7591),
    [anon_sym_BSLASHACRlong] = ACTIONS(7591),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHacrfull] = ACTIONS(7591),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7591),
    [anon_sym_BSLASHACRfull] = ACTIONS(7591),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHacs] = ACTIONS(7591),
    [anon_sym_BSLASHAcs] = ACTIONS(7591),
    [anon_sym_BSLASHacsp] = ACTIONS(7591),
    [anon_sym_BSLASHAcsp] = ACTIONS(7591),
    [anon_sym_BSLASHacl] = ACTIONS(7591),
    [anon_sym_BSLASHAcl] = ACTIONS(7591),
    [anon_sym_BSLASHaclp] = ACTIONS(7591),
    [anon_sym_BSLASHAclp] = ACTIONS(7591),
    [anon_sym_BSLASHacf] = ACTIONS(7591),
    [anon_sym_BSLASHAcf] = ACTIONS(7591),
    [anon_sym_BSLASHacfp] = ACTIONS(7591),
    [anon_sym_BSLASHAcfp] = ACTIONS(7591),
    [anon_sym_BSLASHac] = ACTIONS(7591),
    [anon_sym_BSLASHAc] = ACTIONS(7591),
    [anon_sym_BSLASHacp] = ACTIONS(7591),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7591),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7591),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7591),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7591),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7591),
    [anon_sym_BSLASHcolor] = ACTIONS(7591),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7591),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7591),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7591),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7591),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7591),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7591),
    [anon_sym_BSLASHurl] = ACTIONS(7591),
    [anon_sym_BSLASHhref] = ACTIONS(7591),
  },
  [1537] = {
    [sym_command_name] = ACTIONS(7291),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7291),
    [anon_sym_LBRACK] = ACTIONS(7293),
    [anon_sym_RBRACK] = ACTIONS(7293),
    [anon_sym_COMMA] = ACTIONS(7293),
    [anon_sym_EQ] = ACTIONS(7293),
    [anon_sym_LPAREN] = ACTIONS(7293),
    [anon_sym_RPAREN] = ACTIONS(7293),
    [anon_sym_BSLASHpart] = ACTIONS(7291),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHaddpart] = ACTIONS(7291),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHchapter] = ACTIONS(7291),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHaddchap] = ACTIONS(7291),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHsection] = ACTIONS(7291),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHaddsec] = ACTIONS(7291),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHsubsection] = ACTIONS(7291),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7291),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHparagraph] = ACTIONS(7291),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7291),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHitem] = ACTIONS(7291),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7293),
    [anon_sym_LBRACE] = ACTIONS(7293),
    [sym_word] = ACTIONS(7291),
    [sym_placeholder] = ACTIONS(7293),
    [sym_delimiter] = ACTIONS(7293),
    [anon_sym_PLUS] = ACTIONS(7293),
    [anon_sym_DASH] = ACTIONS(7293),
    [anon_sym_STAR] = ACTIONS(7293),
    [anon_sym_SLASH] = ACTIONS(7293),
    [anon_sym_LT] = ACTIONS(7291),
    [anon_sym_GT] = ACTIONS(7291),
    [anon_sym_BANG] = ACTIONS(7291),
    [anon_sym_PIPE] = ACTIONS(7291),
    [anon_sym_COLON] = ACTIONS(7291),
    [anon_sym_SQUOTE] = ACTIONS(7291),
    [anon_sym__] = ACTIONS(7293),
    [anon_sym_CARET] = ACTIONS(7293),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7293),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7293),
    [anon_sym_DOLLAR] = ACTIONS(7291),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7293),
    [anon_sym_BSLASHleft] = ACTIONS(7291),
    [anon_sym_BSLASHbigl] = ACTIONS(7291),
    [anon_sym_BSLASHBigl] = ACTIONS(7291),
    [anon_sym_BSLASHbiggl] = ACTIONS(7291),
    [anon_sym_BSLASHBiggl] = ACTIONS(7291),
    [anon_sym_BSLASHtext] = ACTIONS(7291),
    [anon_sym_BSLASHintertext] = ACTIONS(7291),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7291),
    [anon_sym_BSLASHbegin] = ACTIONS(7291),
    [anon_sym_BSLASHend] = ACTIONS(7291),
    [anon_sym_BSLASHtitle] = ACTIONS(7291),
    [anon_sym_BSLASHauthor] = ACTIONS(7291),
    [anon_sym_BSLASHusepackage] = ACTIONS(7291),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7291),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7291),
    [anon_sym_BSLASHinclude] = ACTIONS(7291),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7291),
    [anon_sym_BSLASHinput] = ACTIONS(7291),
    [anon_sym_BSLASHsubfile] = ACTIONS(7291),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7291),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7291),
    [anon_sym_BSLASHbibliography] = ACTIONS(7291),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7291),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7291),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7291),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7291),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7291),
    [anon_sym_BSLASHimport] = ACTIONS(7291),
    [anon_sym_BSLASHsubimport] = ACTIONS(7291),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7291),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7291),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7291),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7291),
    [anon_sym_BSLASHcaption] = ACTIONS(7291),
    [anon_sym_BSLASHcite] = ACTIONS(7291),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCite] = ACTIONS(7291),
    [anon_sym_BSLASHnocite] = ACTIONS(7291),
    [anon_sym_BSLASHcitet] = ACTIONS(7291),
    [anon_sym_BSLASHcitep] = ACTIONS(7291),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteA] = ACTIONS(7291),
    [anon_sym_BSLASHciteR] = ACTIONS(7291),
    [anon_sym_BSLASHciteS] = ACTIONS(7291),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7291),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7291),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7291),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7291),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteyear] = ACTIONS(7291),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitedate] = ACTIONS(7291),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteurl] = ACTIONS(7291),
    [anon_sym_BSLASHfullcite] = ACTIONS(7291),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7291),
    [anon_sym_BSLASHcitealt] = ACTIONS(7291),
    [anon_sym_BSLASHcitealp] = ACTIONS(7291),
    [anon_sym_BSLASHcitetext] = ACTIONS(7291),
    [anon_sym_BSLASHparencite] = ACTIONS(7291),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHParencite] = ACTIONS(7291),
    [anon_sym_BSLASHfootcite] = ACTIONS(7291),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7291),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7291),
    [anon_sym_BSLASHtextcite] = ACTIONS(7291),
    [anon_sym_BSLASHTextcite] = ACTIONS(7291),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7291),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7291),
    [anon_sym_BSLASHsupercite] = ACTIONS(7291),
    [anon_sym_BSLASHautocite] = ACTIONS(7291),
    [anon_sym_BSLASHAutocite] = ACTIONS(7291),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHVolcite] = ACTIONS(7291),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHavolcite] = ACTIONS(7291),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHNotecite] = ACTIONS(7291),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHlabel] = ACTIONS(7291),
    [anon_sym_BSLASHref] = ACTIONS(7291),
    [anon_sym_BSLASHeqref] = ACTIONS(7291),
    [anon_sym_BSLASHvref] = ACTIONS(7291),
    [anon_sym_BSLASHVref] = ACTIONS(7291),
    [anon_sym_BSLASHautoref] = ACTIONS(7291),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHpageref] = ACTIONS(7291),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHautopageref] = ACTIONS(7291),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcref] = ACTIONS(7291),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCref] = ACTIONS(7291),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcpageref] = ACTIONS(7291),
    [anon_sym_BSLASHCpageref] = ACTIONS(7291),
    [anon_sym_BSLASHnamecref] = ACTIONS(7291),
    [anon_sym_BSLASHnameCref] = ACTIONS(7291),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7291),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7291),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7291),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7291),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7291),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7291),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7291),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7291),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7291),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7291),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7291),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHdef] = ACTIONS(7291),
    [anon_sym_BSLASHgdef] = ACTIONS(7291),
    [anon_sym_BSLASHedef] = ACTIONS(7291),
    [anon_sym_BSLASHxdef] = ACTIONS(7291),
    [anon_sym_BSLASHlet] = ACTIONS(7291),
    [anon_sym_BSLASHglet] = ACTIONS(7291),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7291),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7291),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7291),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7291),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7291),
    [anon_sym_BSLASHgls] = ACTIONS(7291),
    [anon_sym_BSLASHGls] = ACTIONS(7291),
    [anon_sym_BSLASHGLS] = ACTIONS(7291),
    [anon_sym_BSLASHglspl] = ACTIONS(7291),
    [anon_sym_BSLASHGlspl] = ACTIONS(7291),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7291),
    [anon_sym_BSLASHglslink] = ACTIONS(7291),
    [anon_sym_BSLASHglstext] = ACTIONS(7291),
    [anon_sym_BSLASHGlstext] = ACTIONS(7291),
    [anon_sym_BSLASHGLStext] = ACTIONS(7291),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7291),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7291),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7291),
    [anon_sym_BSLASHglsplural] = ACTIONS(7291),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7291),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7291),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHglsname] = ACTIONS(7291),
    [anon_sym_BSLASHGlsname] = ACTIONS(7291),
    [anon_sym_BSLASHGLSname] = ACTIONS(7291),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7291),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7291),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7291),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7291),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7291),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7291),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7291),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7291),
    [anon_sym_BSLASHacrshort] = ACTIONS(7291),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7291),
    [anon_sym_BSLASHACRshort] = ACTIONS(7291),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHacrlong] = ACTIONS(7291),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7291),
    [anon_sym_BSLASHACRlong] = ACTIONS(7291),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHacrfull] = ACTIONS(7291),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7291),
    [anon_sym_BSLASHACRfull] = ACTIONS(7291),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHacs] = ACTIONS(7291),
    [anon_sym_BSLASHAcs] = ACTIONS(7291),
    [anon_sym_BSLASHacsp] = ACTIONS(7291),
    [anon_sym_BSLASHAcsp] = ACTIONS(7291),
    [anon_sym_BSLASHacl] = ACTIONS(7291),
    [anon_sym_BSLASHAcl] = ACTIONS(7291),
    [anon_sym_BSLASHaclp] = ACTIONS(7291),
    [anon_sym_BSLASHAclp] = ACTIONS(7291),
    [anon_sym_BSLASHacf] = ACTIONS(7291),
    [anon_sym_BSLASHAcf] = ACTIONS(7291),
    [anon_sym_BSLASHacfp] = ACTIONS(7291),
    [anon_sym_BSLASHAcfp] = ACTIONS(7291),
    [anon_sym_BSLASHac] = ACTIONS(7291),
    [anon_sym_BSLASHAc] = ACTIONS(7291),
    [anon_sym_BSLASHacp] = ACTIONS(7291),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7291),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7291),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7291),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7291),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7291),
    [anon_sym_BSLASHcolor] = ACTIONS(7291),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7291),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7291),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7291),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7291),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7291),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7291),
    [anon_sym_BSLASHurl] = ACTIONS(7291),
    [anon_sym_BSLASHhref] = ACTIONS(7291),
  },
  [1538] = {
    [sym_command_name] = ACTIONS(7295),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7295),
    [anon_sym_LBRACK] = ACTIONS(7297),
    [anon_sym_RBRACK] = ACTIONS(7297),
    [anon_sym_COMMA] = ACTIONS(7297),
    [anon_sym_EQ] = ACTIONS(7297),
    [anon_sym_LPAREN] = ACTIONS(7297),
    [anon_sym_RPAREN] = ACTIONS(7297),
    [anon_sym_BSLASHpart] = ACTIONS(7295),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHaddpart] = ACTIONS(7295),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHchapter] = ACTIONS(7295),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHaddchap] = ACTIONS(7295),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHsection] = ACTIONS(7295),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHaddsec] = ACTIONS(7295),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHsubsection] = ACTIONS(7295),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7295),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHparagraph] = ACTIONS(7295),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7295),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHitem] = ACTIONS(7295),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7297),
    [anon_sym_LBRACE] = ACTIONS(7297),
    [sym_word] = ACTIONS(7295),
    [sym_placeholder] = ACTIONS(7297),
    [sym_delimiter] = ACTIONS(7297),
    [anon_sym_PLUS] = ACTIONS(7297),
    [anon_sym_DASH] = ACTIONS(7297),
    [anon_sym_STAR] = ACTIONS(7297),
    [anon_sym_SLASH] = ACTIONS(7297),
    [anon_sym_LT] = ACTIONS(7295),
    [anon_sym_GT] = ACTIONS(7295),
    [anon_sym_BANG] = ACTIONS(7295),
    [anon_sym_PIPE] = ACTIONS(7295),
    [anon_sym_COLON] = ACTIONS(7295),
    [anon_sym_SQUOTE] = ACTIONS(7295),
    [anon_sym__] = ACTIONS(7297),
    [anon_sym_CARET] = ACTIONS(7297),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7297),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7297),
    [anon_sym_DOLLAR] = ACTIONS(7295),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7297),
    [anon_sym_BSLASHleft] = ACTIONS(7295),
    [anon_sym_BSLASHbigl] = ACTIONS(7295),
    [anon_sym_BSLASHBigl] = ACTIONS(7295),
    [anon_sym_BSLASHbiggl] = ACTIONS(7295),
    [anon_sym_BSLASHBiggl] = ACTIONS(7295),
    [anon_sym_BSLASHtext] = ACTIONS(7295),
    [anon_sym_BSLASHintertext] = ACTIONS(7295),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7295),
    [anon_sym_BSLASHbegin] = ACTIONS(7295),
    [anon_sym_BSLASHend] = ACTIONS(7295),
    [anon_sym_BSLASHtitle] = ACTIONS(7295),
    [anon_sym_BSLASHauthor] = ACTIONS(7295),
    [anon_sym_BSLASHusepackage] = ACTIONS(7295),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7295),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7295),
    [anon_sym_BSLASHinclude] = ACTIONS(7295),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7295),
    [anon_sym_BSLASHinput] = ACTIONS(7295),
    [anon_sym_BSLASHsubfile] = ACTIONS(7295),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7295),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7295),
    [anon_sym_BSLASHbibliography] = ACTIONS(7295),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7295),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7295),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7295),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7295),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7295),
    [anon_sym_BSLASHimport] = ACTIONS(7295),
    [anon_sym_BSLASHsubimport] = ACTIONS(7295),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7295),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7295),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7295),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7295),
    [anon_sym_BSLASHcaption] = ACTIONS(7295),
    [anon_sym_BSLASHcite] = ACTIONS(7295),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCite] = ACTIONS(7295),
    [anon_sym_BSLASHnocite] = ACTIONS(7295),
    [anon_sym_BSLASHcitet] = ACTIONS(7295),
    [anon_sym_BSLASHcitep] = ACTIONS(7295),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteA] = ACTIONS(7295),
    [anon_sym_BSLASHciteR] = ACTIONS(7295),
    [anon_sym_BSLASHciteS] = ACTIONS(7295),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7295),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7295),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7295),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7295),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteyear] = ACTIONS(7295),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitedate] = ACTIONS(7295),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteurl] = ACTIONS(7295),
    [anon_sym_BSLASHfullcite] = ACTIONS(7295),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7295),
    [anon_sym_BSLASHcitealt] = ACTIONS(7295),
    [anon_sym_BSLASHcitealp] = ACTIONS(7295),
    [anon_sym_BSLASHcitetext] = ACTIONS(7295),
    [anon_sym_BSLASHparencite] = ACTIONS(7295),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHParencite] = ACTIONS(7295),
    [anon_sym_BSLASHfootcite] = ACTIONS(7295),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7295),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7295),
    [anon_sym_BSLASHtextcite] = ACTIONS(7295),
    [anon_sym_BSLASHTextcite] = ACTIONS(7295),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7295),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7295),
    [anon_sym_BSLASHsupercite] = ACTIONS(7295),
    [anon_sym_BSLASHautocite] = ACTIONS(7295),
    [anon_sym_BSLASHAutocite] = ACTIONS(7295),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHVolcite] = ACTIONS(7295),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHavolcite] = ACTIONS(7295),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHNotecite] = ACTIONS(7295),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHlabel] = ACTIONS(7295),
    [anon_sym_BSLASHref] = ACTIONS(7295),
    [anon_sym_BSLASHeqref] = ACTIONS(7295),
    [anon_sym_BSLASHvref] = ACTIONS(7295),
    [anon_sym_BSLASHVref] = ACTIONS(7295),
    [anon_sym_BSLASHautoref] = ACTIONS(7295),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHpageref] = ACTIONS(7295),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHautopageref] = ACTIONS(7295),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcref] = ACTIONS(7295),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCref] = ACTIONS(7295),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcpageref] = ACTIONS(7295),
    [anon_sym_BSLASHCpageref] = ACTIONS(7295),
    [anon_sym_BSLASHnamecref] = ACTIONS(7295),
    [anon_sym_BSLASHnameCref] = ACTIONS(7295),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7295),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7295),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7295),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7295),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7295),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7295),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7295),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7295),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7295),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7295),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7295),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHdef] = ACTIONS(7295),
    [anon_sym_BSLASHgdef] = ACTIONS(7295),
    [anon_sym_BSLASHedef] = ACTIONS(7295),
    [anon_sym_BSLASHxdef] = ACTIONS(7295),
    [anon_sym_BSLASHlet] = ACTIONS(7295),
    [anon_sym_BSLASHglet] = ACTIONS(7295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7295),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7295),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7295),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7295),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7295),
    [anon_sym_BSLASHgls] = ACTIONS(7295),
    [anon_sym_BSLASHGls] = ACTIONS(7295),
    [anon_sym_BSLASHGLS] = ACTIONS(7295),
    [anon_sym_BSLASHglspl] = ACTIONS(7295),
    [anon_sym_BSLASHGlspl] = ACTIONS(7295),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7295),
    [anon_sym_BSLASHglslink] = ACTIONS(7295),
    [anon_sym_BSLASHglstext] = ACTIONS(7295),
    [anon_sym_BSLASHGlstext] = ACTIONS(7295),
    [anon_sym_BSLASHGLStext] = ACTIONS(7295),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7295),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7295),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7295),
    [anon_sym_BSLASHglsplural] = ACTIONS(7295),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7295),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7295),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHglsname] = ACTIONS(7295),
    [anon_sym_BSLASHGlsname] = ACTIONS(7295),
    [anon_sym_BSLASHGLSname] = ACTIONS(7295),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7295),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7295),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7295),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7295),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7295),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7295),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7295),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7295),
    [anon_sym_BSLASHacrshort] = ACTIONS(7295),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7295),
    [anon_sym_BSLASHACRshort] = ACTIONS(7295),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHacrlong] = ACTIONS(7295),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7295),
    [anon_sym_BSLASHACRlong] = ACTIONS(7295),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHacrfull] = ACTIONS(7295),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7295),
    [anon_sym_BSLASHACRfull] = ACTIONS(7295),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHacs] = ACTIONS(7295),
    [anon_sym_BSLASHAcs] = ACTIONS(7295),
    [anon_sym_BSLASHacsp] = ACTIONS(7295),
    [anon_sym_BSLASHAcsp] = ACTIONS(7295),
    [anon_sym_BSLASHacl] = ACTIONS(7295),
    [anon_sym_BSLASHAcl] = ACTIONS(7295),
    [anon_sym_BSLASHaclp] = ACTIONS(7295),
    [anon_sym_BSLASHAclp] = ACTIONS(7295),
    [anon_sym_BSLASHacf] = ACTIONS(7295),
    [anon_sym_BSLASHAcf] = ACTIONS(7295),
    [anon_sym_BSLASHacfp] = ACTIONS(7295),
    [anon_sym_BSLASHAcfp] = ACTIONS(7295),
    [anon_sym_BSLASHac] = ACTIONS(7295),
    [anon_sym_BSLASHAc] = ACTIONS(7295),
    [anon_sym_BSLASHacp] = ACTIONS(7295),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7295),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7295),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7295),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7295),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7295),
    [anon_sym_BSLASHcolor] = ACTIONS(7295),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7295),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7295),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7295),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7295),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7295),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7295),
    [anon_sym_BSLASHurl] = ACTIONS(7295),
    [anon_sym_BSLASHhref] = ACTIONS(7295),
  },
  [1539] = {
    [sym_command_name] = ACTIONS(7299),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7299),
    [anon_sym_LBRACK] = ACTIONS(7301),
    [anon_sym_RBRACK] = ACTIONS(7301),
    [anon_sym_COMMA] = ACTIONS(7301),
    [anon_sym_EQ] = ACTIONS(7301),
    [anon_sym_LPAREN] = ACTIONS(7301),
    [anon_sym_RPAREN] = ACTIONS(7301),
    [anon_sym_BSLASHpart] = ACTIONS(7299),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHaddpart] = ACTIONS(7299),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHchapter] = ACTIONS(7299),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHaddchap] = ACTIONS(7299),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHsection] = ACTIONS(7299),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHaddsec] = ACTIONS(7299),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHsubsection] = ACTIONS(7299),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7299),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHparagraph] = ACTIONS(7299),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7299),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHitem] = ACTIONS(7299),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7301),
    [anon_sym_LBRACE] = ACTIONS(7301),
    [sym_word] = ACTIONS(7299),
    [sym_placeholder] = ACTIONS(7301),
    [sym_delimiter] = ACTIONS(7301),
    [anon_sym_PLUS] = ACTIONS(7301),
    [anon_sym_DASH] = ACTIONS(7301),
    [anon_sym_STAR] = ACTIONS(7301),
    [anon_sym_SLASH] = ACTIONS(7301),
    [anon_sym_LT] = ACTIONS(7299),
    [anon_sym_GT] = ACTIONS(7299),
    [anon_sym_BANG] = ACTIONS(7299),
    [anon_sym_PIPE] = ACTIONS(7299),
    [anon_sym_COLON] = ACTIONS(7299),
    [anon_sym_SQUOTE] = ACTIONS(7299),
    [anon_sym__] = ACTIONS(7301),
    [anon_sym_CARET] = ACTIONS(7301),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7301),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7301),
    [anon_sym_DOLLAR] = ACTIONS(7299),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7301),
    [anon_sym_BSLASHleft] = ACTIONS(7299),
    [anon_sym_BSLASHbigl] = ACTIONS(7299),
    [anon_sym_BSLASHBigl] = ACTIONS(7299),
    [anon_sym_BSLASHbiggl] = ACTIONS(7299),
    [anon_sym_BSLASHBiggl] = ACTIONS(7299),
    [anon_sym_BSLASHtext] = ACTIONS(7299),
    [anon_sym_BSLASHintertext] = ACTIONS(7299),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7299),
    [anon_sym_BSLASHbegin] = ACTIONS(7299),
    [anon_sym_BSLASHend] = ACTIONS(7299),
    [anon_sym_BSLASHtitle] = ACTIONS(7299),
    [anon_sym_BSLASHauthor] = ACTIONS(7299),
    [anon_sym_BSLASHusepackage] = ACTIONS(7299),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7299),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7299),
    [anon_sym_BSLASHinclude] = ACTIONS(7299),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7299),
    [anon_sym_BSLASHinput] = ACTIONS(7299),
    [anon_sym_BSLASHsubfile] = ACTIONS(7299),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7299),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7299),
    [anon_sym_BSLASHbibliography] = ACTIONS(7299),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7299),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7299),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7299),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7299),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7299),
    [anon_sym_BSLASHimport] = ACTIONS(7299),
    [anon_sym_BSLASHsubimport] = ACTIONS(7299),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7299),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7299),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7299),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7299),
    [anon_sym_BSLASHcaption] = ACTIONS(7299),
    [anon_sym_BSLASHcite] = ACTIONS(7299),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCite] = ACTIONS(7299),
    [anon_sym_BSLASHnocite] = ACTIONS(7299),
    [anon_sym_BSLASHcitet] = ACTIONS(7299),
    [anon_sym_BSLASHcitep] = ACTIONS(7299),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteA] = ACTIONS(7299),
    [anon_sym_BSLASHciteR] = ACTIONS(7299),
    [anon_sym_BSLASHciteS] = ACTIONS(7299),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7299),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7299),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7299),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7299),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteyear] = ACTIONS(7299),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitedate] = ACTIONS(7299),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteurl] = ACTIONS(7299),
    [anon_sym_BSLASHfullcite] = ACTIONS(7299),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7299),
    [anon_sym_BSLASHcitealt] = ACTIONS(7299),
    [anon_sym_BSLASHcitealp] = ACTIONS(7299),
    [anon_sym_BSLASHcitetext] = ACTIONS(7299),
    [anon_sym_BSLASHparencite] = ACTIONS(7299),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHParencite] = ACTIONS(7299),
    [anon_sym_BSLASHfootcite] = ACTIONS(7299),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7299),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7299),
    [anon_sym_BSLASHtextcite] = ACTIONS(7299),
    [anon_sym_BSLASHTextcite] = ACTIONS(7299),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7299),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7299),
    [anon_sym_BSLASHsupercite] = ACTIONS(7299),
    [anon_sym_BSLASHautocite] = ACTIONS(7299),
    [anon_sym_BSLASHAutocite] = ACTIONS(7299),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHVolcite] = ACTIONS(7299),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHavolcite] = ACTIONS(7299),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHNotecite] = ACTIONS(7299),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHlabel] = ACTIONS(7299),
    [anon_sym_BSLASHref] = ACTIONS(7299),
    [anon_sym_BSLASHeqref] = ACTIONS(7299),
    [anon_sym_BSLASHvref] = ACTIONS(7299),
    [anon_sym_BSLASHVref] = ACTIONS(7299),
    [anon_sym_BSLASHautoref] = ACTIONS(7299),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHpageref] = ACTIONS(7299),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHautopageref] = ACTIONS(7299),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcref] = ACTIONS(7299),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCref] = ACTIONS(7299),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcpageref] = ACTIONS(7299),
    [anon_sym_BSLASHCpageref] = ACTIONS(7299),
    [anon_sym_BSLASHnamecref] = ACTIONS(7299),
    [anon_sym_BSLASHnameCref] = ACTIONS(7299),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7299),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7299),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7299),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7299),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7299),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7299),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7299),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7299),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7299),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7299),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7299),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHdef] = ACTIONS(7299),
    [anon_sym_BSLASHgdef] = ACTIONS(7299),
    [anon_sym_BSLASHedef] = ACTIONS(7299),
    [anon_sym_BSLASHxdef] = ACTIONS(7299),
    [anon_sym_BSLASHlet] = ACTIONS(7299),
    [anon_sym_BSLASHglet] = ACTIONS(7299),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7299),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7299),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7299),
    [anon_sym_BSLASHgls] = ACTIONS(7299),
    [anon_sym_BSLASHGls] = ACTIONS(7299),
    [anon_sym_BSLASHGLS] = ACTIONS(7299),
    [anon_sym_BSLASHglspl] = ACTIONS(7299),
    [anon_sym_BSLASHGlspl] = ACTIONS(7299),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7299),
    [anon_sym_BSLASHglslink] = ACTIONS(7299),
    [anon_sym_BSLASHglstext] = ACTIONS(7299),
    [anon_sym_BSLASHGlstext] = ACTIONS(7299),
    [anon_sym_BSLASHGLStext] = ACTIONS(7299),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7299),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7299),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7299),
    [anon_sym_BSLASHglsplural] = ACTIONS(7299),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7299),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7299),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHglsname] = ACTIONS(7299),
    [anon_sym_BSLASHGlsname] = ACTIONS(7299),
    [anon_sym_BSLASHGLSname] = ACTIONS(7299),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7299),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7299),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7299),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7299),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7299),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7299),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7299),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7299),
    [anon_sym_BSLASHacrshort] = ACTIONS(7299),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7299),
    [anon_sym_BSLASHACRshort] = ACTIONS(7299),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHacrlong] = ACTIONS(7299),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7299),
    [anon_sym_BSLASHACRlong] = ACTIONS(7299),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHacrfull] = ACTIONS(7299),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7299),
    [anon_sym_BSLASHACRfull] = ACTIONS(7299),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHacs] = ACTIONS(7299),
    [anon_sym_BSLASHAcs] = ACTIONS(7299),
    [anon_sym_BSLASHacsp] = ACTIONS(7299),
    [anon_sym_BSLASHAcsp] = ACTIONS(7299),
    [anon_sym_BSLASHacl] = ACTIONS(7299),
    [anon_sym_BSLASHAcl] = ACTIONS(7299),
    [anon_sym_BSLASHaclp] = ACTIONS(7299),
    [anon_sym_BSLASHAclp] = ACTIONS(7299),
    [anon_sym_BSLASHacf] = ACTIONS(7299),
    [anon_sym_BSLASHAcf] = ACTIONS(7299),
    [anon_sym_BSLASHacfp] = ACTIONS(7299),
    [anon_sym_BSLASHAcfp] = ACTIONS(7299),
    [anon_sym_BSLASHac] = ACTIONS(7299),
    [anon_sym_BSLASHAc] = ACTIONS(7299),
    [anon_sym_BSLASHacp] = ACTIONS(7299),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7299),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7299),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7299),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7299),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7299),
    [anon_sym_BSLASHcolor] = ACTIONS(7299),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7299),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7299),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7299),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7299),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7299),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7299),
    [anon_sym_BSLASHurl] = ACTIONS(7299),
    [anon_sym_BSLASHhref] = ACTIONS(7299),
  },
  [1540] = {
    [sym_command_name] = ACTIONS(7303),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7303),
    [anon_sym_LBRACK] = ACTIONS(7305),
    [anon_sym_RBRACK] = ACTIONS(7305),
    [anon_sym_COMMA] = ACTIONS(7305),
    [anon_sym_EQ] = ACTIONS(7305),
    [anon_sym_LPAREN] = ACTIONS(7305),
    [anon_sym_RPAREN] = ACTIONS(7305),
    [anon_sym_BSLASHpart] = ACTIONS(7303),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHaddpart] = ACTIONS(7303),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHchapter] = ACTIONS(7303),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHaddchap] = ACTIONS(7303),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHsection] = ACTIONS(7303),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHaddsec] = ACTIONS(7303),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHsubsection] = ACTIONS(7303),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7303),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHparagraph] = ACTIONS(7303),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7303),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHitem] = ACTIONS(7303),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7305),
    [anon_sym_LBRACE] = ACTIONS(7305),
    [sym_word] = ACTIONS(7303),
    [sym_placeholder] = ACTIONS(7305),
    [sym_delimiter] = ACTIONS(7305),
    [anon_sym_PLUS] = ACTIONS(7305),
    [anon_sym_DASH] = ACTIONS(7305),
    [anon_sym_STAR] = ACTIONS(7305),
    [anon_sym_SLASH] = ACTIONS(7305),
    [anon_sym_LT] = ACTIONS(7303),
    [anon_sym_GT] = ACTIONS(7303),
    [anon_sym_BANG] = ACTIONS(7303),
    [anon_sym_PIPE] = ACTIONS(7303),
    [anon_sym_COLON] = ACTIONS(7303),
    [anon_sym_SQUOTE] = ACTIONS(7303),
    [anon_sym__] = ACTIONS(7305),
    [anon_sym_CARET] = ACTIONS(7305),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7305),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7305),
    [anon_sym_DOLLAR] = ACTIONS(7303),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7305),
    [anon_sym_BSLASHleft] = ACTIONS(7303),
    [anon_sym_BSLASHbigl] = ACTIONS(7303),
    [anon_sym_BSLASHBigl] = ACTIONS(7303),
    [anon_sym_BSLASHbiggl] = ACTIONS(7303),
    [anon_sym_BSLASHBiggl] = ACTIONS(7303),
    [anon_sym_BSLASHtext] = ACTIONS(7303),
    [anon_sym_BSLASHintertext] = ACTIONS(7303),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7303),
    [anon_sym_BSLASHbegin] = ACTIONS(7303),
    [anon_sym_BSLASHend] = ACTIONS(7303),
    [anon_sym_BSLASHtitle] = ACTIONS(7303),
    [anon_sym_BSLASHauthor] = ACTIONS(7303),
    [anon_sym_BSLASHusepackage] = ACTIONS(7303),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7303),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7303),
    [anon_sym_BSLASHinclude] = ACTIONS(7303),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7303),
    [anon_sym_BSLASHinput] = ACTIONS(7303),
    [anon_sym_BSLASHsubfile] = ACTIONS(7303),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7303),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7303),
    [anon_sym_BSLASHbibliography] = ACTIONS(7303),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7303),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7303),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7303),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7303),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7303),
    [anon_sym_BSLASHimport] = ACTIONS(7303),
    [anon_sym_BSLASHsubimport] = ACTIONS(7303),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7303),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7303),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7303),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7303),
    [anon_sym_BSLASHcaption] = ACTIONS(7303),
    [anon_sym_BSLASHcite] = ACTIONS(7303),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCite] = ACTIONS(7303),
    [anon_sym_BSLASHnocite] = ACTIONS(7303),
    [anon_sym_BSLASHcitet] = ACTIONS(7303),
    [anon_sym_BSLASHcitep] = ACTIONS(7303),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteA] = ACTIONS(7303),
    [anon_sym_BSLASHciteR] = ACTIONS(7303),
    [anon_sym_BSLASHciteS] = ACTIONS(7303),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7303),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7303),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7303),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7303),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteyear] = ACTIONS(7303),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitedate] = ACTIONS(7303),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteurl] = ACTIONS(7303),
    [anon_sym_BSLASHfullcite] = ACTIONS(7303),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7303),
    [anon_sym_BSLASHcitealt] = ACTIONS(7303),
    [anon_sym_BSLASHcitealp] = ACTIONS(7303),
    [anon_sym_BSLASHcitetext] = ACTIONS(7303),
    [anon_sym_BSLASHparencite] = ACTIONS(7303),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHParencite] = ACTIONS(7303),
    [anon_sym_BSLASHfootcite] = ACTIONS(7303),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7303),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7303),
    [anon_sym_BSLASHtextcite] = ACTIONS(7303),
    [anon_sym_BSLASHTextcite] = ACTIONS(7303),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7303),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7303),
    [anon_sym_BSLASHsupercite] = ACTIONS(7303),
    [anon_sym_BSLASHautocite] = ACTIONS(7303),
    [anon_sym_BSLASHAutocite] = ACTIONS(7303),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHVolcite] = ACTIONS(7303),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHavolcite] = ACTIONS(7303),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHNotecite] = ACTIONS(7303),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHlabel] = ACTIONS(7303),
    [anon_sym_BSLASHref] = ACTIONS(7303),
    [anon_sym_BSLASHeqref] = ACTIONS(7303),
    [anon_sym_BSLASHvref] = ACTIONS(7303),
    [anon_sym_BSLASHVref] = ACTIONS(7303),
    [anon_sym_BSLASHautoref] = ACTIONS(7303),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHpageref] = ACTIONS(7303),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHautopageref] = ACTIONS(7303),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcref] = ACTIONS(7303),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCref] = ACTIONS(7303),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcpageref] = ACTIONS(7303),
    [anon_sym_BSLASHCpageref] = ACTIONS(7303),
    [anon_sym_BSLASHnamecref] = ACTIONS(7303),
    [anon_sym_BSLASHnameCref] = ACTIONS(7303),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7303),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7303),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7303),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7303),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7303),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7303),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7303),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7303),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7303),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7303),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7303),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHdef] = ACTIONS(7303),
    [anon_sym_BSLASHgdef] = ACTIONS(7303),
    [anon_sym_BSLASHedef] = ACTIONS(7303),
    [anon_sym_BSLASHxdef] = ACTIONS(7303),
    [anon_sym_BSLASHlet] = ACTIONS(7303),
    [anon_sym_BSLASHglet] = ACTIONS(7303),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7303),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7303),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7303),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7303),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7303),
    [anon_sym_BSLASHgls] = ACTIONS(7303),
    [anon_sym_BSLASHGls] = ACTIONS(7303),
    [anon_sym_BSLASHGLS] = ACTIONS(7303),
    [anon_sym_BSLASHglspl] = ACTIONS(7303),
    [anon_sym_BSLASHGlspl] = ACTIONS(7303),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7303),
    [anon_sym_BSLASHglslink] = ACTIONS(7303),
    [anon_sym_BSLASHglstext] = ACTIONS(7303),
    [anon_sym_BSLASHGlstext] = ACTIONS(7303),
    [anon_sym_BSLASHGLStext] = ACTIONS(7303),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7303),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7303),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7303),
    [anon_sym_BSLASHglsplural] = ACTIONS(7303),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7303),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7303),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHglsname] = ACTIONS(7303),
    [anon_sym_BSLASHGlsname] = ACTIONS(7303),
    [anon_sym_BSLASHGLSname] = ACTIONS(7303),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7303),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7303),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7303),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7303),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7303),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7303),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7303),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7303),
    [anon_sym_BSLASHacrshort] = ACTIONS(7303),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7303),
    [anon_sym_BSLASHACRshort] = ACTIONS(7303),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHacrlong] = ACTIONS(7303),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7303),
    [anon_sym_BSLASHACRlong] = ACTIONS(7303),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHacrfull] = ACTIONS(7303),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7303),
    [anon_sym_BSLASHACRfull] = ACTIONS(7303),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHacs] = ACTIONS(7303),
    [anon_sym_BSLASHAcs] = ACTIONS(7303),
    [anon_sym_BSLASHacsp] = ACTIONS(7303),
    [anon_sym_BSLASHAcsp] = ACTIONS(7303),
    [anon_sym_BSLASHacl] = ACTIONS(7303),
    [anon_sym_BSLASHAcl] = ACTIONS(7303),
    [anon_sym_BSLASHaclp] = ACTIONS(7303),
    [anon_sym_BSLASHAclp] = ACTIONS(7303),
    [anon_sym_BSLASHacf] = ACTIONS(7303),
    [anon_sym_BSLASHAcf] = ACTIONS(7303),
    [anon_sym_BSLASHacfp] = ACTIONS(7303),
    [anon_sym_BSLASHAcfp] = ACTIONS(7303),
    [anon_sym_BSLASHac] = ACTIONS(7303),
    [anon_sym_BSLASHAc] = ACTIONS(7303),
    [anon_sym_BSLASHacp] = ACTIONS(7303),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7303),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7303),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7303),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7303),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7303),
    [anon_sym_BSLASHcolor] = ACTIONS(7303),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7303),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7303),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7303),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7303),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7303),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7303),
    [anon_sym_BSLASHurl] = ACTIONS(7303),
    [anon_sym_BSLASHhref] = ACTIONS(7303),
  },
  [1541] = {
    [sym_command_name] = ACTIONS(7379),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7379),
    [anon_sym_LBRACK] = ACTIONS(7381),
    [anon_sym_RBRACK] = ACTIONS(7381),
    [anon_sym_COMMA] = ACTIONS(7381),
    [anon_sym_EQ] = ACTIONS(7381),
    [anon_sym_LPAREN] = ACTIONS(7381),
    [anon_sym_RPAREN] = ACTIONS(7381),
    [anon_sym_BSLASHpart] = ACTIONS(7379),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHaddpart] = ACTIONS(7379),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHchapter] = ACTIONS(7379),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHaddchap] = ACTIONS(7379),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHsection] = ACTIONS(7379),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHaddsec] = ACTIONS(7379),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHsubsection] = ACTIONS(7379),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7379),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHparagraph] = ACTIONS(7379),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7379),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHitem] = ACTIONS(7379),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7381),
    [anon_sym_LBRACE] = ACTIONS(7381),
    [sym_word] = ACTIONS(7379),
    [sym_placeholder] = ACTIONS(7381),
    [sym_delimiter] = ACTIONS(7381),
    [anon_sym_PLUS] = ACTIONS(7381),
    [anon_sym_DASH] = ACTIONS(7381),
    [anon_sym_STAR] = ACTIONS(7381),
    [anon_sym_SLASH] = ACTIONS(7381),
    [anon_sym_LT] = ACTIONS(7379),
    [anon_sym_GT] = ACTIONS(7379),
    [anon_sym_BANG] = ACTIONS(7379),
    [anon_sym_PIPE] = ACTIONS(7379),
    [anon_sym_COLON] = ACTIONS(7379),
    [anon_sym_SQUOTE] = ACTIONS(7379),
    [anon_sym__] = ACTIONS(7381),
    [anon_sym_CARET] = ACTIONS(7381),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7381),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7381),
    [anon_sym_DOLLAR] = ACTIONS(7379),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7381),
    [anon_sym_BSLASHleft] = ACTIONS(7379),
    [anon_sym_BSLASHbigl] = ACTIONS(7379),
    [anon_sym_BSLASHBigl] = ACTIONS(7379),
    [anon_sym_BSLASHbiggl] = ACTIONS(7379),
    [anon_sym_BSLASHBiggl] = ACTIONS(7379),
    [anon_sym_BSLASHtext] = ACTIONS(7379),
    [anon_sym_BSLASHintertext] = ACTIONS(7379),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7379),
    [anon_sym_BSLASHbegin] = ACTIONS(7379),
    [anon_sym_BSLASHend] = ACTIONS(7379),
    [anon_sym_BSLASHtitle] = ACTIONS(7379),
    [anon_sym_BSLASHauthor] = ACTIONS(7379),
    [anon_sym_BSLASHusepackage] = ACTIONS(7379),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7379),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7379),
    [anon_sym_BSLASHinclude] = ACTIONS(7379),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7379),
    [anon_sym_BSLASHinput] = ACTIONS(7379),
    [anon_sym_BSLASHsubfile] = ACTIONS(7379),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7379),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7379),
    [anon_sym_BSLASHbibliography] = ACTIONS(7379),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7379),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7379),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7379),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7379),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7379),
    [anon_sym_BSLASHimport] = ACTIONS(7379),
    [anon_sym_BSLASHsubimport] = ACTIONS(7379),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7379),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7379),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7379),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7379),
    [anon_sym_BSLASHcaption] = ACTIONS(7379),
    [anon_sym_BSLASHcite] = ACTIONS(7379),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCite] = ACTIONS(7379),
    [anon_sym_BSLASHnocite] = ACTIONS(7379),
    [anon_sym_BSLASHcitet] = ACTIONS(7379),
    [anon_sym_BSLASHcitep] = ACTIONS(7379),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteA] = ACTIONS(7379),
    [anon_sym_BSLASHciteR] = ACTIONS(7379),
    [anon_sym_BSLASHciteS] = ACTIONS(7379),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7379),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7379),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7379),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7379),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteyear] = ACTIONS(7379),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitedate] = ACTIONS(7379),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteurl] = ACTIONS(7379),
    [anon_sym_BSLASHfullcite] = ACTIONS(7379),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7379),
    [anon_sym_BSLASHcitealt] = ACTIONS(7379),
    [anon_sym_BSLASHcitealp] = ACTIONS(7379),
    [anon_sym_BSLASHcitetext] = ACTIONS(7379),
    [anon_sym_BSLASHparencite] = ACTIONS(7379),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHParencite] = ACTIONS(7379),
    [anon_sym_BSLASHfootcite] = ACTIONS(7379),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7379),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7379),
    [anon_sym_BSLASHtextcite] = ACTIONS(7379),
    [anon_sym_BSLASHTextcite] = ACTIONS(7379),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7379),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7379),
    [anon_sym_BSLASHsupercite] = ACTIONS(7379),
    [anon_sym_BSLASHautocite] = ACTIONS(7379),
    [anon_sym_BSLASHAutocite] = ACTIONS(7379),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHVolcite] = ACTIONS(7379),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHavolcite] = ACTIONS(7379),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHNotecite] = ACTIONS(7379),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHlabel] = ACTIONS(7379),
    [anon_sym_BSLASHref] = ACTIONS(7379),
    [anon_sym_BSLASHeqref] = ACTIONS(7379),
    [anon_sym_BSLASHvref] = ACTIONS(7379),
    [anon_sym_BSLASHVref] = ACTIONS(7379),
    [anon_sym_BSLASHautoref] = ACTIONS(7379),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHpageref] = ACTIONS(7379),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHautopageref] = ACTIONS(7379),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcref] = ACTIONS(7379),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCref] = ACTIONS(7379),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcpageref] = ACTIONS(7379),
    [anon_sym_BSLASHCpageref] = ACTIONS(7379),
    [anon_sym_BSLASHnamecref] = ACTIONS(7379),
    [anon_sym_BSLASHnameCref] = ACTIONS(7379),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7379),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7379),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7379),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7379),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7379),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7379),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7379),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7379),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7379),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7379),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7379),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHdef] = ACTIONS(7379),
    [anon_sym_BSLASHgdef] = ACTIONS(7379),
    [anon_sym_BSLASHedef] = ACTIONS(7379),
    [anon_sym_BSLASHxdef] = ACTIONS(7379),
    [anon_sym_BSLASHlet] = ACTIONS(7379),
    [anon_sym_BSLASHglet] = ACTIONS(7379),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7379),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7379),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7379),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7379),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7379),
    [anon_sym_BSLASHgls] = ACTIONS(7379),
    [anon_sym_BSLASHGls] = ACTIONS(7379),
    [anon_sym_BSLASHGLS] = ACTIONS(7379),
    [anon_sym_BSLASHglspl] = ACTIONS(7379),
    [anon_sym_BSLASHGlspl] = ACTIONS(7379),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7379),
    [anon_sym_BSLASHglslink] = ACTIONS(7379),
    [anon_sym_BSLASHglstext] = ACTIONS(7379),
    [anon_sym_BSLASHGlstext] = ACTIONS(7379),
    [anon_sym_BSLASHGLStext] = ACTIONS(7379),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7379),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7379),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7379),
    [anon_sym_BSLASHglsplural] = ACTIONS(7379),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7379),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7379),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHglsname] = ACTIONS(7379),
    [anon_sym_BSLASHGlsname] = ACTIONS(7379),
    [anon_sym_BSLASHGLSname] = ACTIONS(7379),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7379),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7379),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7379),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7379),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7379),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7379),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7379),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7379),
    [anon_sym_BSLASHacrshort] = ACTIONS(7379),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7379),
    [anon_sym_BSLASHACRshort] = ACTIONS(7379),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHacrlong] = ACTIONS(7379),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7379),
    [anon_sym_BSLASHACRlong] = ACTIONS(7379),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHacrfull] = ACTIONS(7379),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7379),
    [anon_sym_BSLASHACRfull] = ACTIONS(7379),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHacs] = ACTIONS(7379),
    [anon_sym_BSLASHAcs] = ACTIONS(7379),
    [anon_sym_BSLASHacsp] = ACTIONS(7379),
    [anon_sym_BSLASHAcsp] = ACTIONS(7379),
    [anon_sym_BSLASHacl] = ACTIONS(7379),
    [anon_sym_BSLASHAcl] = ACTIONS(7379),
    [anon_sym_BSLASHaclp] = ACTIONS(7379),
    [anon_sym_BSLASHAclp] = ACTIONS(7379),
    [anon_sym_BSLASHacf] = ACTIONS(7379),
    [anon_sym_BSLASHAcf] = ACTIONS(7379),
    [anon_sym_BSLASHacfp] = ACTIONS(7379),
    [anon_sym_BSLASHAcfp] = ACTIONS(7379),
    [anon_sym_BSLASHac] = ACTIONS(7379),
    [anon_sym_BSLASHAc] = ACTIONS(7379),
    [anon_sym_BSLASHacp] = ACTIONS(7379),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7379),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7379),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7379),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7379),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7379),
    [anon_sym_BSLASHcolor] = ACTIONS(7379),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7379),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7379),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7379),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7379),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7379),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7379),
    [anon_sym_BSLASHurl] = ACTIONS(7379),
    [anon_sym_BSLASHhref] = ACTIONS(7379),
  },
  [1542] = {
    [sym_command_name] = ACTIONS(7383),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7383),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_RBRACK] = ACTIONS(7385),
    [anon_sym_COMMA] = ACTIONS(7385),
    [anon_sym_EQ] = ACTIONS(7385),
    [anon_sym_LPAREN] = ACTIONS(7385),
    [anon_sym_RPAREN] = ACTIONS(7385),
    [anon_sym_BSLASHpart] = ACTIONS(7383),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHaddpart] = ACTIONS(7383),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHchapter] = ACTIONS(7383),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHaddchap] = ACTIONS(7383),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHsection] = ACTIONS(7383),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHaddsec] = ACTIONS(7383),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHsubsection] = ACTIONS(7383),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7383),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHparagraph] = ACTIONS(7383),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7383),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHitem] = ACTIONS(7383),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7385),
    [sym_word] = ACTIONS(7383),
    [sym_placeholder] = ACTIONS(7385),
    [sym_delimiter] = ACTIONS(7385),
    [anon_sym_PLUS] = ACTIONS(7385),
    [anon_sym_DASH] = ACTIONS(7385),
    [anon_sym_STAR] = ACTIONS(7385),
    [anon_sym_SLASH] = ACTIONS(7385),
    [anon_sym_LT] = ACTIONS(7383),
    [anon_sym_GT] = ACTIONS(7383),
    [anon_sym_BANG] = ACTIONS(7383),
    [anon_sym_PIPE] = ACTIONS(7383),
    [anon_sym_COLON] = ACTIONS(7383),
    [anon_sym_SQUOTE] = ACTIONS(7383),
    [anon_sym__] = ACTIONS(7385),
    [anon_sym_CARET] = ACTIONS(7385),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7385),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7385),
    [anon_sym_DOLLAR] = ACTIONS(7383),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7385),
    [anon_sym_BSLASHleft] = ACTIONS(7383),
    [anon_sym_BSLASHbigl] = ACTIONS(7383),
    [anon_sym_BSLASHBigl] = ACTIONS(7383),
    [anon_sym_BSLASHbiggl] = ACTIONS(7383),
    [anon_sym_BSLASHBiggl] = ACTIONS(7383),
    [anon_sym_BSLASHtext] = ACTIONS(7383),
    [anon_sym_BSLASHintertext] = ACTIONS(7383),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7383),
    [anon_sym_BSLASHbegin] = ACTIONS(7383),
    [anon_sym_BSLASHend] = ACTIONS(7383),
    [anon_sym_BSLASHtitle] = ACTIONS(7383),
    [anon_sym_BSLASHauthor] = ACTIONS(7383),
    [anon_sym_BSLASHusepackage] = ACTIONS(7383),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7383),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7383),
    [anon_sym_BSLASHinclude] = ACTIONS(7383),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7383),
    [anon_sym_BSLASHinput] = ACTIONS(7383),
    [anon_sym_BSLASHsubfile] = ACTIONS(7383),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7383),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7383),
    [anon_sym_BSLASHbibliography] = ACTIONS(7383),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7383),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7383),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7383),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7383),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7383),
    [anon_sym_BSLASHimport] = ACTIONS(7383),
    [anon_sym_BSLASHsubimport] = ACTIONS(7383),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7383),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7383),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7383),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7383),
    [anon_sym_BSLASHcaption] = ACTIONS(7383),
    [anon_sym_BSLASHcite] = ACTIONS(7383),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCite] = ACTIONS(7383),
    [anon_sym_BSLASHnocite] = ACTIONS(7383),
    [anon_sym_BSLASHcitet] = ACTIONS(7383),
    [anon_sym_BSLASHcitep] = ACTIONS(7383),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteA] = ACTIONS(7383),
    [anon_sym_BSLASHciteR] = ACTIONS(7383),
    [anon_sym_BSLASHciteS] = ACTIONS(7383),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7383),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7383),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7383),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7383),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteyear] = ACTIONS(7383),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitedate] = ACTIONS(7383),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteurl] = ACTIONS(7383),
    [anon_sym_BSLASHfullcite] = ACTIONS(7383),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7383),
    [anon_sym_BSLASHcitealt] = ACTIONS(7383),
    [anon_sym_BSLASHcitealp] = ACTIONS(7383),
    [anon_sym_BSLASHcitetext] = ACTIONS(7383),
    [anon_sym_BSLASHparencite] = ACTIONS(7383),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHParencite] = ACTIONS(7383),
    [anon_sym_BSLASHfootcite] = ACTIONS(7383),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7383),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7383),
    [anon_sym_BSLASHtextcite] = ACTIONS(7383),
    [anon_sym_BSLASHTextcite] = ACTIONS(7383),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7383),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7383),
    [anon_sym_BSLASHsupercite] = ACTIONS(7383),
    [anon_sym_BSLASHautocite] = ACTIONS(7383),
    [anon_sym_BSLASHAutocite] = ACTIONS(7383),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHVolcite] = ACTIONS(7383),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHavolcite] = ACTIONS(7383),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHNotecite] = ACTIONS(7383),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHlabel] = ACTIONS(7383),
    [anon_sym_BSLASHref] = ACTIONS(7383),
    [anon_sym_BSLASHeqref] = ACTIONS(7383),
    [anon_sym_BSLASHvref] = ACTIONS(7383),
    [anon_sym_BSLASHVref] = ACTIONS(7383),
    [anon_sym_BSLASHautoref] = ACTIONS(7383),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHpageref] = ACTIONS(7383),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHautopageref] = ACTIONS(7383),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcref] = ACTIONS(7383),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCref] = ACTIONS(7383),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcpageref] = ACTIONS(7383),
    [anon_sym_BSLASHCpageref] = ACTIONS(7383),
    [anon_sym_BSLASHnamecref] = ACTIONS(7383),
    [anon_sym_BSLASHnameCref] = ACTIONS(7383),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7383),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7383),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7383),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7383),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7383),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7383),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7383),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7383),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7383),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7383),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7383),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHdef] = ACTIONS(7383),
    [anon_sym_BSLASHgdef] = ACTIONS(7383),
    [anon_sym_BSLASHedef] = ACTIONS(7383),
    [anon_sym_BSLASHxdef] = ACTIONS(7383),
    [anon_sym_BSLASHlet] = ACTIONS(7383),
    [anon_sym_BSLASHglet] = ACTIONS(7383),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7383),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7383),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7383),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7383),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7383),
    [anon_sym_BSLASHgls] = ACTIONS(7383),
    [anon_sym_BSLASHGls] = ACTIONS(7383),
    [anon_sym_BSLASHGLS] = ACTIONS(7383),
    [anon_sym_BSLASHglspl] = ACTIONS(7383),
    [anon_sym_BSLASHGlspl] = ACTIONS(7383),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7383),
    [anon_sym_BSLASHglslink] = ACTIONS(7383),
    [anon_sym_BSLASHglstext] = ACTIONS(7383),
    [anon_sym_BSLASHGlstext] = ACTIONS(7383),
    [anon_sym_BSLASHGLStext] = ACTIONS(7383),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7383),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7383),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7383),
    [anon_sym_BSLASHglsplural] = ACTIONS(7383),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7383),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7383),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHglsname] = ACTIONS(7383),
    [anon_sym_BSLASHGlsname] = ACTIONS(7383),
    [anon_sym_BSLASHGLSname] = ACTIONS(7383),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7383),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7383),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7383),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7383),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7383),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7383),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7383),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7383),
    [anon_sym_BSLASHacrshort] = ACTIONS(7383),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7383),
    [anon_sym_BSLASHACRshort] = ACTIONS(7383),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHacrlong] = ACTIONS(7383),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7383),
    [anon_sym_BSLASHACRlong] = ACTIONS(7383),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHacrfull] = ACTIONS(7383),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7383),
    [anon_sym_BSLASHACRfull] = ACTIONS(7383),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHacs] = ACTIONS(7383),
    [anon_sym_BSLASHAcs] = ACTIONS(7383),
    [anon_sym_BSLASHacsp] = ACTIONS(7383),
    [anon_sym_BSLASHAcsp] = ACTIONS(7383),
    [anon_sym_BSLASHacl] = ACTIONS(7383),
    [anon_sym_BSLASHAcl] = ACTIONS(7383),
    [anon_sym_BSLASHaclp] = ACTIONS(7383),
    [anon_sym_BSLASHAclp] = ACTIONS(7383),
    [anon_sym_BSLASHacf] = ACTIONS(7383),
    [anon_sym_BSLASHAcf] = ACTIONS(7383),
    [anon_sym_BSLASHacfp] = ACTIONS(7383),
    [anon_sym_BSLASHAcfp] = ACTIONS(7383),
    [anon_sym_BSLASHac] = ACTIONS(7383),
    [anon_sym_BSLASHAc] = ACTIONS(7383),
    [anon_sym_BSLASHacp] = ACTIONS(7383),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7383),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7383),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7383),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7383),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7383),
    [anon_sym_BSLASHcolor] = ACTIONS(7383),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7383),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7383),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7383),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7383),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7383),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7383),
    [anon_sym_BSLASHurl] = ACTIONS(7383),
    [anon_sym_BSLASHhref] = ACTIONS(7383),
  },
  [1543] = {
    [sym_command_name] = ACTIONS(7307),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7307),
    [anon_sym_LBRACK] = ACTIONS(7309),
    [anon_sym_RBRACK] = ACTIONS(7309),
    [anon_sym_COMMA] = ACTIONS(7309),
    [anon_sym_EQ] = ACTIONS(7309),
    [anon_sym_LPAREN] = ACTIONS(7309),
    [anon_sym_RPAREN] = ACTIONS(7309),
    [anon_sym_BSLASHpart] = ACTIONS(7307),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHaddpart] = ACTIONS(7307),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHchapter] = ACTIONS(7307),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHaddchap] = ACTIONS(7307),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHsection] = ACTIONS(7307),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHaddsec] = ACTIONS(7307),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHsubsection] = ACTIONS(7307),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7307),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHparagraph] = ACTIONS(7307),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7307),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHitem] = ACTIONS(7307),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7309),
    [anon_sym_LBRACE] = ACTIONS(7309),
    [sym_word] = ACTIONS(7307),
    [sym_placeholder] = ACTIONS(7309),
    [sym_delimiter] = ACTIONS(7309),
    [anon_sym_PLUS] = ACTIONS(7309),
    [anon_sym_DASH] = ACTIONS(7309),
    [anon_sym_STAR] = ACTIONS(7309),
    [anon_sym_SLASH] = ACTIONS(7309),
    [anon_sym_LT] = ACTIONS(7307),
    [anon_sym_GT] = ACTIONS(7307),
    [anon_sym_BANG] = ACTIONS(7307),
    [anon_sym_PIPE] = ACTIONS(7307),
    [anon_sym_COLON] = ACTIONS(7307),
    [anon_sym_SQUOTE] = ACTIONS(7307),
    [anon_sym__] = ACTIONS(7309),
    [anon_sym_CARET] = ACTIONS(7309),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7309),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7309),
    [anon_sym_DOLLAR] = ACTIONS(7307),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7309),
    [anon_sym_BSLASHleft] = ACTIONS(7307),
    [anon_sym_BSLASHbigl] = ACTIONS(7307),
    [anon_sym_BSLASHBigl] = ACTIONS(7307),
    [anon_sym_BSLASHbiggl] = ACTIONS(7307),
    [anon_sym_BSLASHBiggl] = ACTIONS(7307),
    [anon_sym_BSLASHtext] = ACTIONS(7307),
    [anon_sym_BSLASHintertext] = ACTIONS(7307),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7307),
    [anon_sym_BSLASHbegin] = ACTIONS(7307),
    [anon_sym_BSLASHend] = ACTIONS(7307),
    [anon_sym_BSLASHtitle] = ACTIONS(7307),
    [anon_sym_BSLASHauthor] = ACTIONS(7307),
    [anon_sym_BSLASHusepackage] = ACTIONS(7307),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7307),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7307),
    [anon_sym_BSLASHinclude] = ACTIONS(7307),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7307),
    [anon_sym_BSLASHinput] = ACTIONS(7307),
    [anon_sym_BSLASHsubfile] = ACTIONS(7307),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7307),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7307),
    [anon_sym_BSLASHbibliography] = ACTIONS(7307),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7307),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7307),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7307),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7307),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7307),
    [anon_sym_BSLASHimport] = ACTIONS(7307),
    [anon_sym_BSLASHsubimport] = ACTIONS(7307),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7307),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7307),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7307),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7307),
    [anon_sym_BSLASHcaption] = ACTIONS(7307),
    [anon_sym_BSLASHcite] = ACTIONS(7307),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCite] = ACTIONS(7307),
    [anon_sym_BSLASHnocite] = ACTIONS(7307),
    [anon_sym_BSLASHcitet] = ACTIONS(7307),
    [anon_sym_BSLASHcitep] = ACTIONS(7307),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteA] = ACTIONS(7307),
    [anon_sym_BSLASHciteR] = ACTIONS(7307),
    [anon_sym_BSLASHciteS] = ACTIONS(7307),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7307),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7307),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7307),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7307),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteyear] = ACTIONS(7307),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitedate] = ACTIONS(7307),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteurl] = ACTIONS(7307),
    [anon_sym_BSLASHfullcite] = ACTIONS(7307),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7307),
    [anon_sym_BSLASHcitealt] = ACTIONS(7307),
    [anon_sym_BSLASHcitealp] = ACTIONS(7307),
    [anon_sym_BSLASHcitetext] = ACTIONS(7307),
    [anon_sym_BSLASHparencite] = ACTIONS(7307),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHParencite] = ACTIONS(7307),
    [anon_sym_BSLASHfootcite] = ACTIONS(7307),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7307),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7307),
    [anon_sym_BSLASHtextcite] = ACTIONS(7307),
    [anon_sym_BSLASHTextcite] = ACTIONS(7307),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7307),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7307),
    [anon_sym_BSLASHsupercite] = ACTIONS(7307),
    [anon_sym_BSLASHautocite] = ACTIONS(7307),
    [anon_sym_BSLASHAutocite] = ACTIONS(7307),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHVolcite] = ACTIONS(7307),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHavolcite] = ACTIONS(7307),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHNotecite] = ACTIONS(7307),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHlabel] = ACTIONS(7307),
    [anon_sym_BSLASHref] = ACTIONS(7307),
    [anon_sym_BSLASHeqref] = ACTIONS(7307),
    [anon_sym_BSLASHvref] = ACTIONS(7307),
    [anon_sym_BSLASHVref] = ACTIONS(7307),
    [anon_sym_BSLASHautoref] = ACTIONS(7307),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHpageref] = ACTIONS(7307),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHautopageref] = ACTIONS(7307),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcref] = ACTIONS(7307),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCref] = ACTIONS(7307),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcpageref] = ACTIONS(7307),
    [anon_sym_BSLASHCpageref] = ACTIONS(7307),
    [anon_sym_BSLASHnamecref] = ACTIONS(7307),
    [anon_sym_BSLASHnameCref] = ACTIONS(7307),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7307),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7307),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7307),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7307),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7307),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7307),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7307),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7307),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7307),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7307),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7307),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHdef] = ACTIONS(7307),
    [anon_sym_BSLASHgdef] = ACTIONS(7307),
    [anon_sym_BSLASHedef] = ACTIONS(7307),
    [anon_sym_BSLASHxdef] = ACTIONS(7307),
    [anon_sym_BSLASHlet] = ACTIONS(7307),
    [anon_sym_BSLASHglet] = ACTIONS(7307),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7307),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7307),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7307),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7307),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7307),
    [anon_sym_BSLASHgls] = ACTIONS(7307),
    [anon_sym_BSLASHGls] = ACTIONS(7307),
    [anon_sym_BSLASHGLS] = ACTIONS(7307),
    [anon_sym_BSLASHglspl] = ACTIONS(7307),
    [anon_sym_BSLASHGlspl] = ACTIONS(7307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7307),
    [anon_sym_BSLASHglslink] = ACTIONS(7307),
    [anon_sym_BSLASHglstext] = ACTIONS(7307),
    [anon_sym_BSLASHGlstext] = ACTIONS(7307),
    [anon_sym_BSLASHGLStext] = ACTIONS(7307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7307),
    [anon_sym_BSLASHglsplural] = ACTIONS(7307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHglsname] = ACTIONS(7307),
    [anon_sym_BSLASHGlsname] = ACTIONS(7307),
    [anon_sym_BSLASHGLSname] = ACTIONS(7307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7307),
    [anon_sym_BSLASHacrshort] = ACTIONS(7307),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7307),
    [anon_sym_BSLASHACRshort] = ACTIONS(7307),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHacrlong] = ACTIONS(7307),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7307),
    [anon_sym_BSLASHACRlong] = ACTIONS(7307),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHacrfull] = ACTIONS(7307),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7307),
    [anon_sym_BSLASHACRfull] = ACTIONS(7307),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHacs] = ACTIONS(7307),
    [anon_sym_BSLASHAcs] = ACTIONS(7307),
    [anon_sym_BSLASHacsp] = ACTIONS(7307),
    [anon_sym_BSLASHAcsp] = ACTIONS(7307),
    [anon_sym_BSLASHacl] = ACTIONS(7307),
    [anon_sym_BSLASHAcl] = ACTIONS(7307),
    [anon_sym_BSLASHaclp] = ACTIONS(7307),
    [anon_sym_BSLASHAclp] = ACTIONS(7307),
    [anon_sym_BSLASHacf] = ACTIONS(7307),
    [anon_sym_BSLASHAcf] = ACTIONS(7307),
    [anon_sym_BSLASHacfp] = ACTIONS(7307),
    [anon_sym_BSLASHAcfp] = ACTIONS(7307),
    [anon_sym_BSLASHac] = ACTIONS(7307),
    [anon_sym_BSLASHAc] = ACTIONS(7307),
    [anon_sym_BSLASHacp] = ACTIONS(7307),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7307),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7307),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7307),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7307),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7307),
    [anon_sym_BSLASHcolor] = ACTIONS(7307),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7307),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7307),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7307),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7307),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7307),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7307),
    [anon_sym_BSLASHurl] = ACTIONS(7307),
    [anon_sym_BSLASHhref] = ACTIONS(7307),
  },
  [1544] = {
    [sym_command_name] = ACTIONS(7311),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7311),
    [anon_sym_LBRACK] = ACTIONS(7313),
    [anon_sym_RBRACK] = ACTIONS(7313),
    [anon_sym_COMMA] = ACTIONS(7313),
    [anon_sym_EQ] = ACTIONS(7313),
    [anon_sym_LPAREN] = ACTIONS(7313),
    [anon_sym_RPAREN] = ACTIONS(7313),
    [anon_sym_BSLASHpart] = ACTIONS(7311),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHaddpart] = ACTIONS(7311),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHchapter] = ACTIONS(7311),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHaddchap] = ACTIONS(7311),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHsection] = ACTIONS(7311),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHaddsec] = ACTIONS(7311),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHsubsection] = ACTIONS(7311),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7311),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHparagraph] = ACTIONS(7311),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7311),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHitem] = ACTIONS(7311),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7313),
    [anon_sym_LBRACE] = ACTIONS(7313),
    [sym_word] = ACTIONS(7311),
    [sym_placeholder] = ACTIONS(7313),
    [sym_delimiter] = ACTIONS(7313),
    [anon_sym_PLUS] = ACTIONS(7313),
    [anon_sym_DASH] = ACTIONS(7313),
    [anon_sym_STAR] = ACTIONS(7313),
    [anon_sym_SLASH] = ACTIONS(7313),
    [anon_sym_LT] = ACTIONS(7311),
    [anon_sym_GT] = ACTIONS(7311),
    [anon_sym_BANG] = ACTIONS(7311),
    [anon_sym_PIPE] = ACTIONS(7311),
    [anon_sym_COLON] = ACTIONS(7311),
    [anon_sym_SQUOTE] = ACTIONS(7311),
    [anon_sym__] = ACTIONS(7313),
    [anon_sym_CARET] = ACTIONS(7313),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7313),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7313),
    [anon_sym_DOLLAR] = ACTIONS(7311),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7313),
    [anon_sym_BSLASHleft] = ACTIONS(7311),
    [anon_sym_BSLASHbigl] = ACTIONS(7311),
    [anon_sym_BSLASHBigl] = ACTIONS(7311),
    [anon_sym_BSLASHbiggl] = ACTIONS(7311),
    [anon_sym_BSLASHBiggl] = ACTIONS(7311),
    [anon_sym_BSLASHtext] = ACTIONS(7311),
    [anon_sym_BSLASHintertext] = ACTIONS(7311),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7311),
    [anon_sym_BSLASHbegin] = ACTIONS(7311),
    [anon_sym_BSLASHend] = ACTIONS(7311),
    [anon_sym_BSLASHtitle] = ACTIONS(7311),
    [anon_sym_BSLASHauthor] = ACTIONS(7311),
    [anon_sym_BSLASHusepackage] = ACTIONS(7311),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7311),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7311),
    [anon_sym_BSLASHinclude] = ACTIONS(7311),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7311),
    [anon_sym_BSLASHinput] = ACTIONS(7311),
    [anon_sym_BSLASHsubfile] = ACTIONS(7311),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7311),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7311),
    [anon_sym_BSLASHbibliography] = ACTIONS(7311),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7311),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7311),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7311),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7311),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7311),
    [anon_sym_BSLASHimport] = ACTIONS(7311),
    [anon_sym_BSLASHsubimport] = ACTIONS(7311),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7311),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7311),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7311),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7311),
    [anon_sym_BSLASHcaption] = ACTIONS(7311),
    [anon_sym_BSLASHcite] = ACTIONS(7311),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCite] = ACTIONS(7311),
    [anon_sym_BSLASHnocite] = ACTIONS(7311),
    [anon_sym_BSLASHcitet] = ACTIONS(7311),
    [anon_sym_BSLASHcitep] = ACTIONS(7311),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteA] = ACTIONS(7311),
    [anon_sym_BSLASHciteR] = ACTIONS(7311),
    [anon_sym_BSLASHciteS] = ACTIONS(7311),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7311),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7311),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7311),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7311),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteyear] = ACTIONS(7311),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitedate] = ACTIONS(7311),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteurl] = ACTIONS(7311),
    [anon_sym_BSLASHfullcite] = ACTIONS(7311),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7311),
    [anon_sym_BSLASHcitealt] = ACTIONS(7311),
    [anon_sym_BSLASHcitealp] = ACTIONS(7311),
    [anon_sym_BSLASHcitetext] = ACTIONS(7311),
    [anon_sym_BSLASHparencite] = ACTIONS(7311),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHParencite] = ACTIONS(7311),
    [anon_sym_BSLASHfootcite] = ACTIONS(7311),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7311),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7311),
    [anon_sym_BSLASHtextcite] = ACTIONS(7311),
    [anon_sym_BSLASHTextcite] = ACTIONS(7311),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7311),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7311),
    [anon_sym_BSLASHsupercite] = ACTIONS(7311),
    [anon_sym_BSLASHautocite] = ACTIONS(7311),
    [anon_sym_BSLASHAutocite] = ACTIONS(7311),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHVolcite] = ACTIONS(7311),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHavolcite] = ACTIONS(7311),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHNotecite] = ACTIONS(7311),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHlabel] = ACTIONS(7311),
    [anon_sym_BSLASHref] = ACTIONS(7311),
    [anon_sym_BSLASHeqref] = ACTIONS(7311),
    [anon_sym_BSLASHvref] = ACTIONS(7311),
    [anon_sym_BSLASHVref] = ACTIONS(7311),
    [anon_sym_BSLASHautoref] = ACTIONS(7311),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHpageref] = ACTIONS(7311),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHautopageref] = ACTIONS(7311),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcref] = ACTIONS(7311),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCref] = ACTIONS(7311),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcpageref] = ACTIONS(7311),
    [anon_sym_BSLASHCpageref] = ACTIONS(7311),
    [anon_sym_BSLASHnamecref] = ACTIONS(7311),
    [anon_sym_BSLASHnameCref] = ACTIONS(7311),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7311),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7311),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7311),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7311),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7311),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7311),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7311),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7311),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7311),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7311),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7311),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHdef] = ACTIONS(7311),
    [anon_sym_BSLASHgdef] = ACTIONS(7311),
    [anon_sym_BSLASHedef] = ACTIONS(7311),
    [anon_sym_BSLASHxdef] = ACTIONS(7311),
    [anon_sym_BSLASHlet] = ACTIONS(7311),
    [anon_sym_BSLASHglet] = ACTIONS(7311),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7311),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7311),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7311),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7311),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7311),
    [anon_sym_BSLASHgls] = ACTIONS(7311),
    [anon_sym_BSLASHGls] = ACTIONS(7311),
    [anon_sym_BSLASHGLS] = ACTIONS(7311),
    [anon_sym_BSLASHglspl] = ACTIONS(7311),
    [anon_sym_BSLASHGlspl] = ACTIONS(7311),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7311),
    [anon_sym_BSLASHglslink] = ACTIONS(7311),
    [anon_sym_BSLASHglstext] = ACTIONS(7311),
    [anon_sym_BSLASHGlstext] = ACTIONS(7311),
    [anon_sym_BSLASHGLStext] = ACTIONS(7311),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7311),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7311),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7311),
    [anon_sym_BSLASHglsplural] = ACTIONS(7311),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7311),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7311),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHglsname] = ACTIONS(7311),
    [anon_sym_BSLASHGlsname] = ACTIONS(7311),
    [anon_sym_BSLASHGLSname] = ACTIONS(7311),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7311),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7311),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7311),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7311),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7311),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7311),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7311),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7311),
    [anon_sym_BSLASHacrshort] = ACTIONS(7311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7311),
    [anon_sym_BSLASHACRshort] = ACTIONS(7311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHacrlong] = ACTIONS(7311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7311),
    [anon_sym_BSLASHACRlong] = ACTIONS(7311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHacrfull] = ACTIONS(7311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7311),
    [anon_sym_BSLASHACRfull] = ACTIONS(7311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHacs] = ACTIONS(7311),
    [anon_sym_BSLASHAcs] = ACTIONS(7311),
    [anon_sym_BSLASHacsp] = ACTIONS(7311),
    [anon_sym_BSLASHAcsp] = ACTIONS(7311),
    [anon_sym_BSLASHacl] = ACTIONS(7311),
    [anon_sym_BSLASHAcl] = ACTIONS(7311),
    [anon_sym_BSLASHaclp] = ACTIONS(7311),
    [anon_sym_BSLASHAclp] = ACTIONS(7311),
    [anon_sym_BSLASHacf] = ACTIONS(7311),
    [anon_sym_BSLASHAcf] = ACTIONS(7311),
    [anon_sym_BSLASHacfp] = ACTIONS(7311),
    [anon_sym_BSLASHAcfp] = ACTIONS(7311),
    [anon_sym_BSLASHac] = ACTIONS(7311),
    [anon_sym_BSLASHAc] = ACTIONS(7311),
    [anon_sym_BSLASHacp] = ACTIONS(7311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7311),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7311),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7311),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7311),
    [anon_sym_BSLASHcolor] = ACTIONS(7311),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7311),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7311),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7311),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7311),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7311),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7311),
    [anon_sym_BSLASHurl] = ACTIONS(7311),
    [anon_sym_BSLASHhref] = ACTIONS(7311),
  },
  [1545] = {
    [sym_command_name] = ACTIONS(7251),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7251),
    [anon_sym_LBRACK] = ACTIONS(7253),
    [anon_sym_RBRACK] = ACTIONS(7253),
    [anon_sym_COMMA] = ACTIONS(7253),
    [anon_sym_EQ] = ACTIONS(7253),
    [anon_sym_LPAREN] = ACTIONS(7253),
    [anon_sym_RPAREN] = ACTIONS(7253),
    [anon_sym_BSLASHpart] = ACTIONS(7251),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHaddpart] = ACTIONS(7251),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHchapter] = ACTIONS(7251),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHaddchap] = ACTIONS(7251),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHsection] = ACTIONS(7251),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHaddsec] = ACTIONS(7251),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHsubsection] = ACTIONS(7251),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7251),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHparagraph] = ACTIONS(7251),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7251),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHitem] = ACTIONS(7251),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7253),
    [anon_sym_LBRACE] = ACTIONS(7253),
    [sym_word] = ACTIONS(7251),
    [sym_placeholder] = ACTIONS(7253),
    [sym_delimiter] = ACTIONS(7253),
    [anon_sym_PLUS] = ACTIONS(7253),
    [anon_sym_DASH] = ACTIONS(7253),
    [anon_sym_STAR] = ACTIONS(7253),
    [anon_sym_SLASH] = ACTIONS(7253),
    [anon_sym_LT] = ACTIONS(7251),
    [anon_sym_GT] = ACTIONS(7251),
    [anon_sym_BANG] = ACTIONS(7251),
    [anon_sym_PIPE] = ACTIONS(7251),
    [anon_sym_COLON] = ACTIONS(7251),
    [anon_sym_SQUOTE] = ACTIONS(7251),
    [anon_sym__] = ACTIONS(7253),
    [anon_sym_CARET] = ACTIONS(7253),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7253),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7253),
    [anon_sym_DOLLAR] = ACTIONS(7251),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7253),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7253),
    [anon_sym_BSLASHleft] = ACTIONS(7251),
    [anon_sym_BSLASHbigl] = ACTIONS(7251),
    [anon_sym_BSLASHBigl] = ACTIONS(7251),
    [anon_sym_BSLASHbiggl] = ACTIONS(7251),
    [anon_sym_BSLASHBiggl] = ACTIONS(7251),
    [anon_sym_BSLASHtext] = ACTIONS(7251),
    [anon_sym_BSLASHintertext] = ACTIONS(7251),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7251),
    [anon_sym_BSLASHbegin] = ACTIONS(7251),
    [anon_sym_BSLASHtitle] = ACTIONS(7251),
    [anon_sym_BSLASHauthor] = ACTIONS(7251),
    [anon_sym_BSLASHusepackage] = ACTIONS(7251),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7251),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7251),
    [anon_sym_BSLASHinclude] = ACTIONS(7251),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7251),
    [anon_sym_BSLASHinput] = ACTIONS(7251),
    [anon_sym_BSLASHsubfile] = ACTIONS(7251),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7251),
    [anon_sym_BSLASHbibliography] = ACTIONS(7251),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7251),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7251),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7251),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7251),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7251),
    [anon_sym_BSLASHimport] = ACTIONS(7251),
    [anon_sym_BSLASHsubimport] = ACTIONS(7251),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7251),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7251),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7251),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7251),
    [anon_sym_BSLASHcaption] = ACTIONS(7251),
    [anon_sym_BSLASHcite] = ACTIONS(7251),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCite] = ACTIONS(7251),
    [anon_sym_BSLASHnocite] = ACTIONS(7251),
    [anon_sym_BSLASHcitet] = ACTIONS(7251),
    [anon_sym_BSLASHcitep] = ACTIONS(7251),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteA] = ACTIONS(7251),
    [anon_sym_BSLASHciteR] = ACTIONS(7251),
    [anon_sym_BSLASHciteS] = ACTIONS(7251),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7251),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7251),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7251),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7251),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteyear] = ACTIONS(7251),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitedate] = ACTIONS(7251),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteurl] = ACTIONS(7251),
    [anon_sym_BSLASHfullcite] = ACTIONS(7251),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7251),
    [anon_sym_BSLASHcitealt] = ACTIONS(7251),
    [anon_sym_BSLASHcitealp] = ACTIONS(7251),
    [anon_sym_BSLASHcitetext] = ACTIONS(7251),
    [anon_sym_BSLASHparencite] = ACTIONS(7251),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHParencite] = ACTIONS(7251),
    [anon_sym_BSLASHfootcite] = ACTIONS(7251),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7251),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7251),
    [anon_sym_BSLASHtextcite] = ACTIONS(7251),
    [anon_sym_BSLASHTextcite] = ACTIONS(7251),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7251),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7251),
    [anon_sym_BSLASHsupercite] = ACTIONS(7251),
    [anon_sym_BSLASHautocite] = ACTIONS(7251),
    [anon_sym_BSLASHAutocite] = ACTIONS(7251),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHVolcite] = ACTIONS(7251),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHavolcite] = ACTIONS(7251),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHNotecite] = ACTIONS(7251),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHlabel] = ACTIONS(7251),
    [anon_sym_BSLASHref] = ACTIONS(7251),
    [anon_sym_BSLASHeqref] = ACTIONS(7251),
    [anon_sym_BSLASHvref] = ACTIONS(7251),
    [anon_sym_BSLASHVref] = ACTIONS(7251),
    [anon_sym_BSLASHautoref] = ACTIONS(7251),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHpageref] = ACTIONS(7251),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHautopageref] = ACTIONS(7251),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcref] = ACTIONS(7251),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCref] = ACTIONS(7251),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcpageref] = ACTIONS(7251),
    [anon_sym_BSLASHCpageref] = ACTIONS(7251),
    [anon_sym_BSLASHnamecref] = ACTIONS(7251),
    [anon_sym_BSLASHnameCref] = ACTIONS(7251),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7251),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7251),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7251),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7251),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7251),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7251),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7251),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7251),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7251),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7251),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7251),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHdef] = ACTIONS(7251),
    [anon_sym_BSLASHgdef] = ACTIONS(7251),
    [anon_sym_BSLASHedef] = ACTIONS(7251),
    [anon_sym_BSLASHxdef] = ACTIONS(7251),
    [anon_sym_BSLASHlet] = ACTIONS(7251),
    [anon_sym_BSLASHglet] = ACTIONS(7251),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7251),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7251),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7251),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7251),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7251),
    [anon_sym_BSLASHgls] = ACTIONS(7251),
    [anon_sym_BSLASHGls] = ACTIONS(7251),
    [anon_sym_BSLASHGLS] = ACTIONS(7251),
    [anon_sym_BSLASHglspl] = ACTIONS(7251),
    [anon_sym_BSLASHGlspl] = ACTIONS(7251),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7251),
    [anon_sym_BSLASHglslink] = ACTIONS(7251),
    [anon_sym_BSLASHglstext] = ACTIONS(7251),
    [anon_sym_BSLASHGlstext] = ACTIONS(7251),
    [anon_sym_BSLASHGLStext] = ACTIONS(7251),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7251),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7251),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7251),
    [anon_sym_BSLASHglsplural] = ACTIONS(7251),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7251),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7251),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHglsname] = ACTIONS(7251),
    [anon_sym_BSLASHGlsname] = ACTIONS(7251),
    [anon_sym_BSLASHGLSname] = ACTIONS(7251),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7251),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7251),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7251),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7251),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7251),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7251),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7251),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7251),
    [anon_sym_BSLASHacrshort] = ACTIONS(7251),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7251),
    [anon_sym_BSLASHACRshort] = ACTIONS(7251),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHacrlong] = ACTIONS(7251),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7251),
    [anon_sym_BSLASHACRlong] = ACTIONS(7251),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHacrfull] = ACTIONS(7251),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7251),
    [anon_sym_BSLASHACRfull] = ACTIONS(7251),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHacs] = ACTIONS(7251),
    [anon_sym_BSLASHAcs] = ACTIONS(7251),
    [anon_sym_BSLASHacsp] = ACTIONS(7251),
    [anon_sym_BSLASHAcsp] = ACTIONS(7251),
    [anon_sym_BSLASHacl] = ACTIONS(7251),
    [anon_sym_BSLASHAcl] = ACTIONS(7251),
    [anon_sym_BSLASHaclp] = ACTIONS(7251),
    [anon_sym_BSLASHAclp] = ACTIONS(7251),
    [anon_sym_BSLASHacf] = ACTIONS(7251),
    [anon_sym_BSLASHAcf] = ACTIONS(7251),
    [anon_sym_BSLASHacfp] = ACTIONS(7251),
    [anon_sym_BSLASHAcfp] = ACTIONS(7251),
    [anon_sym_BSLASHac] = ACTIONS(7251),
    [anon_sym_BSLASHAc] = ACTIONS(7251),
    [anon_sym_BSLASHacp] = ACTIONS(7251),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7251),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7251),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7251),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7251),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7251),
    [anon_sym_BSLASHcolor] = ACTIONS(7251),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7251),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7251),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7251),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7251),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7251),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7251),
    [anon_sym_BSLASHurl] = ACTIONS(7251),
    [anon_sym_BSLASHhref] = ACTIONS(7251),
  },
  [1546] = {
    [sym_command_name] = ACTIONS(7387),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7387),
    [anon_sym_LBRACK] = ACTIONS(7389),
    [anon_sym_RBRACK] = ACTIONS(7389),
    [anon_sym_COMMA] = ACTIONS(7389),
    [anon_sym_EQ] = ACTIONS(7389),
    [anon_sym_LPAREN] = ACTIONS(7389),
    [anon_sym_RPAREN] = ACTIONS(7389),
    [anon_sym_BSLASHpart] = ACTIONS(7387),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHaddpart] = ACTIONS(7387),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHchapter] = ACTIONS(7387),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHaddchap] = ACTIONS(7387),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHsection] = ACTIONS(7387),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHaddsec] = ACTIONS(7387),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHsubsection] = ACTIONS(7387),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7387),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHparagraph] = ACTIONS(7387),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7387),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHitem] = ACTIONS(7387),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7389),
    [anon_sym_LBRACE] = ACTIONS(7389),
    [sym_word] = ACTIONS(7387),
    [sym_placeholder] = ACTIONS(7389),
    [sym_delimiter] = ACTIONS(7389),
    [anon_sym_PLUS] = ACTIONS(7389),
    [anon_sym_DASH] = ACTIONS(7389),
    [anon_sym_STAR] = ACTIONS(7389),
    [anon_sym_SLASH] = ACTIONS(7389),
    [anon_sym_LT] = ACTIONS(7387),
    [anon_sym_GT] = ACTIONS(7387),
    [anon_sym_BANG] = ACTIONS(7387),
    [anon_sym_PIPE] = ACTIONS(7387),
    [anon_sym_COLON] = ACTIONS(7387),
    [anon_sym_SQUOTE] = ACTIONS(7387),
    [anon_sym__] = ACTIONS(7389),
    [anon_sym_CARET] = ACTIONS(7389),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7389),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7389),
    [anon_sym_DOLLAR] = ACTIONS(7387),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7389),
    [anon_sym_BSLASHleft] = ACTIONS(7387),
    [anon_sym_BSLASHbigl] = ACTIONS(7387),
    [anon_sym_BSLASHBigl] = ACTIONS(7387),
    [anon_sym_BSLASHbiggl] = ACTIONS(7387),
    [anon_sym_BSLASHBiggl] = ACTIONS(7387),
    [anon_sym_BSLASHtext] = ACTIONS(7387),
    [anon_sym_BSLASHintertext] = ACTIONS(7387),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7387),
    [anon_sym_BSLASHbegin] = ACTIONS(7387),
    [anon_sym_BSLASHend] = ACTIONS(7387),
    [anon_sym_BSLASHtitle] = ACTIONS(7387),
    [anon_sym_BSLASHauthor] = ACTIONS(7387),
    [anon_sym_BSLASHusepackage] = ACTIONS(7387),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7387),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7387),
    [anon_sym_BSLASHinclude] = ACTIONS(7387),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7387),
    [anon_sym_BSLASHinput] = ACTIONS(7387),
    [anon_sym_BSLASHsubfile] = ACTIONS(7387),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7387),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7387),
    [anon_sym_BSLASHbibliography] = ACTIONS(7387),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7387),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7387),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7387),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7387),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7387),
    [anon_sym_BSLASHimport] = ACTIONS(7387),
    [anon_sym_BSLASHsubimport] = ACTIONS(7387),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7387),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7387),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7387),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7387),
    [anon_sym_BSLASHcaption] = ACTIONS(7387),
    [anon_sym_BSLASHcite] = ACTIONS(7387),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCite] = ACTIONS(7387),
    [anon_sym_BSLASHnocite] = ACTIONS(7387),
    [anon_sym_BSLASHcitet] = ACTIONS(7387),
    [anon_sym_BSLASHcitep] = ACTIONS(7387),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteA] = ACTIONS(7387),
    [anon_sym_BSLASHciteR] = ACTIONS(7387),
    [anon_sym_BSLASHciteS] = ACTIONS(7387),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7387),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7387),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7387),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7387),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteyear] = ACTIONS(7387),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitedate] = ACTIONS(7387),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteurl] = ACTIONS(7387),
    [anon_sym_BSLASHfullcite] = ACTIONS(7387),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7387),
    [anon_sym_BSLASHcitealt] = ACTIONS(7387),
    [anon_sym_BSLASHcitealp] = ACTIONS(7387),
    [anon_sym_BSLASHcitetext] = ACTIONS(7387),
    [anon_sym_BSLASHparencite] = ACTIONS(7387),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHParencite] = ACTIONS(7387),
    [anon_sym_BSLASHfootcite] = ACTIONS(7387),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7387),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7387),
    [anon_sym_BSLASHtextcite] = ACTIONS(7387),
    [anon_sym_BSLASHTextcite] = ACTIONS(7387),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7387),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7387),
    [anon_sym_BSLASHsupercite] = ACTIONS(7387),
    [anon_sym_BSLASHautocite] = ACTIONS(7387),
    [anon_sym_BSLASHAutocite] = ACTIONS(7387),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHVolcite] = ACTIONS(7387),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHavolcite] = ACTIONS(7387),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHNotecite] = ACTIONS(7387),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHlabel] = ACTIONS(7387),
    [anon_sym_BSLASHref] = ACTIONS(7387),
    [anon_sym_BSLASHeqref] = ACTIONS(7387),
    [anon_sym_BSLASHvref] = ACTIONS(7387),
    [anon_sym_BSLASHVref] = ACTIONS(7387),
    [anon_sym_BSLASHautoref] = ACTIONS(7387),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHpageref] = ACTIONS(7387),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHautopageref] = ACTIONS(7387),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcref] = ACTIONS(7387),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCref] = ACTIONS(7387),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcpageref] = ACTIONS(7387),
    [anon_sym_BSLASHCpageref] = ACTIONS(7387),
    [anon_sym_BSLASHnamecref] = ACTIONS(7387),
    [anon_sym_BSLASHnameCref] = ACTIONS(7387),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7387),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7387),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7387),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7387),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7387),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7387),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7387),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7387),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7387),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7387),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7387),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHdef] = ACTIONS(7387),
    [anon_sym_BSLASHgdef] = ACTIONS(7387),
    [anon_sym_BSLASHedef] = ACTIONS(7387),
    [anon_sym_BSLASHxdef] = ACTIONS(7387),
    [anon_sym_BSLASHlet] = ACTIONS(7387),
    [anon_sym_BSLASHglet] = ACTIONS(7387),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7387),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7387),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7387),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7387),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7387),
    [anon_sym_BSLASHgls] = ACTIONS(7387),
    [anon_sym_BSLASHGls] = ACTIONS(7387),
    [anon_sym_BSLASHGLS] = ACTIONS(7387),
    [anon_sym_BSLASHglspl] = ACTIONS(7387),
    [anon_sym_BSLASHGlspl] = ACTIONS(7387),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7387),
    [anon_sym_BSLASHglslink] = ACTIONS(7387),
    [anon_sym_BSLASHglstext] = ACTIONS(7387),
    [anon_sym_BSLASHGlstext] = ACTIONS(7387),
    [anon_sym_BSLASHGLStext] = ACTIONS(7387),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7387),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7387),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7387),
    [anon_sym_BSLASHglsplural] = ACTIONS(7387),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7387),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7387),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHglsname] = ACTIONS(7387),
    [anon_sym_BSLASHGlsname] = ACTIONS(7387),
    [anon_sym_BSLASHGLSname] = ACTIONS(7387),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7387),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7387),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7387),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7387),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7387),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7387),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7387),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7387),
    [anon_sym_BSLASHacrshort] = ACTIONS(7387),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7387),
    [anon_sym_BSLASHACRshort] = ACTIONS(7387),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHacrlong] = ACTIONS(7387),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7387),
    [anon_sym_BSLASHACRlong] = ACTIONS(7387),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHacrfull] = ACTIONS(7387),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7387),
    [anon_sym_BSLASHACRfull] = ACTIONS(7387),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHacs] = ACTIONS(7387),
    [anon_sym_BSLASHAcs] = ACTIONS(7387),
    [anon_sym_BSLASHacsp] = ACTIONS(7387),
    [anon_sym_BSLASHAcsp] = ACTIONS(7387),
    [anon_sym_BSLASHacl] = ACTIONS(7387),
    [anon_sym_BSLASHAcl] = ACTIONS(7387),
    [anon_sym_BSLASHaclp] = ACTIONS(7387),
    [anon_sym_BSLASHAclp] = ACTIONS(7387),
    [anon_sym_BSLASHacf] = ACTIONS(7387),
    [anon_sym_BSLASHAcf] = ACTIONS(7387),
    [anon_sym_BSLASHacfp] = ACTIONS(7387),
    [anon_sym_BSLASHAcfp] = ACTIONS(7387),
    [anon_sym_BSLASHac] = ACTIONS(7387),
    [anon_sym_BSLASHAc] = ACTIONS(7387),
    [anon_sym_BSLASHacp] = ACTIONS(7387),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7387),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7387),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7387),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7387),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7387),
    [anon_sym_BSLASHcolor] = ACTIONS(7387),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7387),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7387),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7387),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7387),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7387),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7387),
    [anon_sym_BSLASHurl] = ACTIONS(7387),
    [anon_sym_BSLASHhref] = ACTIONS(7387),
  },
  [1547] = {
    [sym_command_name] = ACTIONS(7391),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7391),
    [anon_sym_LBRACK] = ACTIONS(7393),
    [anon_sym_RBRACK] = ACTIONS(7393),
    [anon_sym_COMMA] = ACTIONS(7393),
    [anon_sym_EQ] = ACTIONS(7393),
    [anon_sym_LPAREN] = ACTIONS(7393),
    [anon_sym_RPAREN] = ACTIONS(7393),
    [anon_sym_BSLASHpart] = ACTIONS(7391),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHaddpart] = ACTIONS(7391),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHchapter] = ACTIONS(7391),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHaddchap] = ACTIONS(7391),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHsection] = ACTIONS(7391),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHaddsec] = ACTIONS(7391),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHsubsection] = ACTIONS(7391),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7391),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHparagraph] = ACTIONS(7391),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7391),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHitem] = ACTIONS(7391),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7393),
    [anon_sym_LBRACE] = ACTIONS(7393),
    [sym_word] = ACTIONS(7391),
    [sym_placeholder] = ACTIONS(7393),
    [sym_delimiter] = ACTIONS(7393),
    [anon_sym_PLUS] = ACTIONS(7393),
    [anon_sym_DASH] = ACTIONS(7393),
    [anon_sym_STAR] = ACTIONS(7393),
    [anon_sym_SLASH] = ACTIONS(7393),
    [anon_sym_LT] = ACTIONS(7391),
    [anon_sym_GT] = ACTIONS(7391),
    [anon_sym_BANG] = ACTIONS(7391),
    [anon_sym_PIPE] = ACTIONS(7391),
    [anon_sym_COLON] = ACTIONS(7391),
    [anon_sym_SQUOTE] = ACTIONS(7391),
    [anon_sym__] = ACTIONS(7393),
    [anon_sym_CARET] = ACTIONS(7393),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7393),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7393),
    [anon_sym_DOLLAR] = ACTIONS(7391),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7393),
    [anon_sym_BSLASHleft] = ACTIONS(7391),
    [anon_sym_BSLASHbigl] = ACTIONS(7391),
    [anon_sym_BSLASHBigl] = ACTIONS(7391),
    [anon_sym_BSLASHbiggl] = ACTIONS(7391),
    [anon_sym_BSLASHBiggl] = ACTIONS(7391),
    [anon_sym_BSLASHtext] = ACTIONS(7391),
    [anon_sym_BSLASHintertext] = ACTIONS(7391),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7391),
    [anon_sym_BSLASHbegin] = ACTIONS(7391),
    [anon_sym_BSLASHend] = ACTIONS(7391),
    [anon_sym_BSLASHtitle] = ACTIONS(7391),
    [anon_sym_BSLASHauthor] = ACTIONS(7391),
    [anon_sym_BSLASHusepackage] = ACTIONS(7391),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7391),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7391),
    [anon_sym_BSLASHinclude] = ACTIONS(7391),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7391),
    [anon_sym_BSLASHinput] = ACTIONS(7391),
    [anon_sym_BSLASHsubfile] = ACTIONS(7391),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7391),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7391),
    [anon_sym_BSLASHbibliography] = ACTIONS(7391),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7391),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7391),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7391),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7391),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7391),
    [anon_sym_BSLASHimport] = ACTIONS(7391),
    [anon_sym_BSLASHsubimport] = ACTIONS(7391),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7391),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7391),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7391),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7391),
    [anon_sym_BSLASHcaption] = ACTIONS(7391),
    [anon_sym_BSLASHcite] = ACTIONS(7391),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCite] = ACTIONS(7391),
    [anon_sym_BSLASHnocite] = ACTIONS(7391),
    [anon_sym_BSLASHcitet] = ACTIONS(7391),
    [anon_sym_BSLASHcitep] = ACTIONS(7391),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteA] = ACTIONS(7391),
    [anon_sym_BSLASHciteR] = ACTIONS(7391),
    [anon_sym_BSLASHciteS] = ACTIONS(7391),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7391),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7391),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7391),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7391),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteyear] = ACTIONS(7391),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitedate] = ACTIONS(7391),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteurl] = ACTIONS(7391),
    [anon_sym_BSLASHfullcite] = ACTIONS(7391),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7391),
    [anon_sym_BSLASHcitealt] = ACTIONS(7391),
    [anon_sym_BSLASHcitealp] = ACTIONS(7391),
    [anon_sym_BSLASHcitetext] = ACTIONS(7391),
    [anon_sym_BSLASHparencite] = ACTIONS(7391),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHParencite] = ACTIONS(7391),
    [anon_sym_BSLASHfootcite] = ACTIONS(7391),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7391),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7391),
    [anon_sym_BSLASHtextcite] = ACTIONS(7391),
    [anon_sym_BSLASHTextcite] = ACTIONS(7391),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7391),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7391),
    [anon_sym_BSLASHsupercite] = ACTIONS(7391),
    [anon_sym_BSLASHautocite] = ACTIONS(7391),
    [anon_sym_BSLASHAutocite] = ACTIONS(7391),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHVolcite] = ACTIONS(7391),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHavolcite] = ACTIONS(7391),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHNotecite] = ACTIONS(7391),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHlabel] = ACTIONS(7391),
    [anon_sym_BSLASHref] = ACTIONS(7391),
    [anon_sym_BSLASHeqref] = ACTIONS(7391),
    [anon_sym_BSLASHvref] = ACTIONS(7391),
    [anon_sym_BSLASHVref] = ACTIONS(7391),
    [anon_sym_BSLASHautoref] = ACTIONS(7391),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHpageref] = ACTIONS(7391),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHautopageref] = ACTIONS(7391),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcref] = ACTIONS(7391),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCref] = ACTIONS(7391),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcpageref] = ACTIONS(7391),
    [anon_sym_BSLASHCpageref] = ACTIONS(7391),
    [anon_sym_BSLASHnamecref] = ACTIONS(7391),
    [anon_sym_BSLASHnameCref] = ACTIONS(7391),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7391),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7391),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7391),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7391),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7391),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7391),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7391),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7391),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7391),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7391),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7391),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHdef] = ACTIONS(7391),
    [anon_sym_BSLASHgdef] = ACTIONS(7391),
    [anon_sym_BSLASHedef] = ACTIONS(7391),
    [anon_sym_BSLASHxdef] = ACTIONS(7391),
    [anon_sym_BSLASHlet] = ACTIONS(7391),
    [anon_sym_BSLASHglet] = ACTIONS(7391),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7391),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7391),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7391),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7391),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7391),
    [anon_sym_BSLASHgls] = ACTIONS(7391),
    [anon_sym_BSLASHGls] = ACTIONS(7391),
    [anon_sym_BSLASHGLS] = ACTIONS(7391),
    [anon_sym_BSLASHglspl] = ACTIONS(7391),
    [anon_sym_BSLASHGlspl] = ACTIONS(7391),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7391),
    [anon_sym_BSLASHglslink] = ACTIONS(7391),
    [anon_sym_BSLASHglstext] = ACTIONS(7391),
    [anon_sym_BSLASHGlstext] = ACTIONS(7391),
    [anon_sym_BSLASHGLStext] = ACTIONS(7391),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7391),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7391),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7391),
    [anon_sym_BSLASHglsplural] = ACTIONS(7391),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7391),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7391),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHglsname] = ACTIONS(7391),
    [anon_sym_BSLASHGlsname] = ACTIONS(7391),
    [anon_sym_BSLASHGLSname] = ACTIONS(7391),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7391),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7391),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7391),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7391),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7391),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7391),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7391),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7391),
    [anon_sym_BSLASHacrshort] = ACTIONS(7391),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7391),
    [anon_sym_BSLASHACRshort] = ACTIONS(7391),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHacrlong] = ACTIONS(7391),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7391),
    [anon_sym_BSLASHACRlong] = ACTIONS(7391),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHacrfull] = ACTIONS(7391),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7391),
    [anon_sym_BSLASHACRfull] = ACTIONS(7391),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHacs] = ACTIONS(7391),
    [anon_sym_BSLASHAcs] = ACTIONS(7391),
    [anon_sym_BSLASHacsp] = ACTIONS(7391),
    [anon_sym_BSLASHAcsp] = ACTIONS(7391),
    [anon_sym_BSLASHacl] = ACTIONS(7391),
    [anon_sym_BSLASHAcl] = ACTIONS(7391),
    [anon_sym_BSLASHaclp] = ACTIONS(7391),
    [anon_sym_BSLASHAclp] = ACTIONS(7391),
    [anon_sym_BSLASHacf] = ACTIONS(7391),
    [anon_sym_BSLASHAcf] = ACTIONS(7391),
    [anon_sym_BSLASHacfp] = ACTIONS(7391),
    [anon_sym_BSLASHAcfp] = ACTIONS(7391),
    [anon_sym_BSLASHac] = ACTIONS(7391),
    [anon_sym_BSLASHAc] = ACTIONS(7391),
    [anon_sym_BSLASHacp] = ACTIONS(7391),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7391),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7391),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7391),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7391),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7391),
    [anon_sym_BSLASHcolor] = ACTIONS(7391),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7391),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7391),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7391),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7391),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7391),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7391),
    [anon_sym_BSLASHurl] = ACTIONS(7391),
    [anon_sym_BSLASHhref] = ACTIONS(7391),
  },
  [1548] = {
    [sym_command_name] = ACTIONS(7395),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7395),
    [anon_sym_LBRACK] = ACTIONS(7397),
    [anon_sym_RBRACK] = ACTIONS(7397),
    [anon_sym_COMMA] = ACTIONS(7397),
    [anon_sym_EQ] = ACTIONS(7397),
    [anon_sym_LPAREN] = ACTIONS(7397),
    [anon_sym_RPAREN] = ACTIONS(7397),
    [anon_sym_BSLASHpart] = ACTIONS(7395),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHaddpart] = ACTIONS(7395),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHchapter] = ACTIONS(7395),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHaddchap] = ACTIONS(7395),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHsection] = ACTIONS(7395),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHaddsec] = ACTIONS(7395),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHsubsection] = ACTIONS(7395),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7395),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHparagraph] = ACTIONS(7395),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7395),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHitem] = ACTIONS(7395),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7397),
    [anon_sym_LBRACE] = ACTIONS(7397),
    [sym_word] = ACTIONS(7395),
    [sym_placeholder] = ACTIONS(7397),
    [sym_delimiter] = ACTIONS(7397),
    [anon_sym_PLUS] = ACTIONS(7397),
    [anon_sym_DASH] = ACTIONS(7397),
    [anon_sym_STAR] = ACTIONS(7397),
    [anon_sym_SLASH] = ACTIONS(7397),
    [anon_sym_LT] = ACTIONS(7395),
    [anon_sym_GT] = ACTIONS(7395),
    [anon_sym_BANG] = ACTIONS(7395),
    [anon_sym_PIPE] = ACTIONS(7395),
    [anon_sym_COLON] = ACTIONS(7395),
    [anon_sym_SQUOTE] = ACTIONS(7395),
    [anon_sym__] = ACTIONS(7397),
    [anon_sym_CARET] = ACTIONS(7397),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7397),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7397),
    [anon_sym_DOLLAR] = ACTIONS(7395),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7397),
    [anon_sym_BSLASHleft] = ACTIONS(7395),
    [anon_sym_BSLASHbigl] = ACTIONS(7395),
    [anon_sym_BSLASHBigl] = ACTIONS(7395),
    [anon_sym_BSLASHbiggl] = ACTIONS(7395),
    [anon_sym_BSLASHBiggl] = ACTIONS(7395),
    [anon_sym_BSLASHtext] = ACTIONS(7395),
    [anon_sym_BSLASHintertext] = ACTIONS(7395),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7395),
    [anon_sym_BSLASHbegin] = ACTIONS(7395),
    [anon_sym_BSLASHend] = ACTIONS(7395),
    [anon_sym_BSLASHtitle] = ACTIONS(7395),
    [anon_sym_BSLASHauthor] = ACTIONS(7395),
    [anon_sym_BSLASHusepackage] = ACTIONS(7395),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7395),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7395),
    [anon_sym_BSLASHinclude] = ACTIONS(7395),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7395),
    [anon_sym_BSLASHinput] = ACTIONS(7395),
    [anon_sym_BSLASHsubfile] = ACTIONS(7395),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7395),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7395),
    [anon_sym_BSLASHbibliography] = ACTIONS(7395),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7395),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7395),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7395),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7395),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7395),
    [anon_sym_BSLASHimport] = ACTIONS(7395),
    [anon_sym_BSLASHsubimport] = ACTIONS(7395),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7395),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7395),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7395),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7395),
    [anon_sym_BSLASHcaption] = ACTIONS(7395),
    [anon_sym_BSLASHcite] = ACTIONS(7395),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCite] = ACTIONS(7395),
    [anon_sym_BSLASHnocite] = ACTIONS(7395),
    [anon_sym_BSLASHcitet] = ACTIONS(7395),
    [anon_sym_BSLASHcitep] = ACTIONS(7395),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteA] = ACTIONS(7395),
    [anon_sym_BSLASHciteR] = ACTIONS(7395),
    [anon_sym_BSLASHciteS] = ACTIONS(7395),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7395),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7395),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7395),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7395),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteyear] = ACTIONS(7395),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitedate] = ACTIONS(7395),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteurl] = ACTIONS(7395),
    [anon_sym_BSLASHfullcite] = ACTIONS(7395),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7395),
    [anon_sym_BSLASHcitealt] = ACTIONS(7395),
    [anon_sym_BSLASHcitealp] = ACTIONS(7395),
    [anon_sym_BSLASHcitetext] = ACTIONS(7395),
    [anon_sym_BSLASHparencite] = ACTIONS(7395),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHParencite] = ACTIONS(7395),
    [anon_sym_BSLASHfootcite] = ACTIONS(7395),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7395),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7395),
    [anon_sym_BSLASHtextcite] = ACTIONS(7395),
    [anon_sym_BSLASHTextcite] = ACTIONS(7395),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7395),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7395),
    [anon_sym_BSLASHsupercite] = ACTIONS(7395),
    [anon_sym_BSLASHautocite] = ACTIONS(7395),
    [anon_sym_BSLASHAutocite] = ACTIONS(7395),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHVolcite] = ACTIONS(7395),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHavolcite] = ACTIONS(7395),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHNotecite] = ACTIONS(7395),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHlabel] = ACTIONS(7395),
    [anon_sym_BSLASHref] = ACTIONS(7395),
    [anon_sym_BSLASHeqref] = ACTIONS(7395),
    [anon_sym_BSLASHvref] = ACTIONS(7395),
    [anon_sym_BSLASHVref] = ACTIONS(7395),
    [anon_sym_BSLASHautoref] = ACTIONS(7395),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHpageref] = ACTIONS(7395),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHautopageref] = ACTIONS(7395),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcref] = ACTIONS(7395),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCref] = ACTIONS(7395),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcpageref] = ACTIONS(7395),
    [anon_sym_BSLASHCpageref] = ACTIONS(7395),
    [anon_sym_BSLASHnamecref] = ACTIONS(7395),
    [anon_sym_BSLASHnameCref] = ACTIONS(7395),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7395),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7395),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7395),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7395),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7395),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7395),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7395),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7395),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7395),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7395),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7395),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHdef] = ACTIONS(7395),
    [anon_sym_BSLASHgdef] = ACTIONS(7395),
    [anon_sym_BSLASHedef] = ACTIONS(7395),
    [anon_sym_BSLASHxdef] = ACTIONS(7395),
    [anon_sym_BSLASHlet] = ACTIONS(7395),
    [anon_sym_BSLASHglet] = ACTIONS(7395),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7395),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7395),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7395),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7395),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7395),
    [anon_sym_BSLASHgls] = ACTIONS(7395),
    [anon_sym_BSLASHGls] = ACTIONS(7395),
    [anon_sym_BSLASHGLS] = ACTIONS(7395),
    [anon_sym_BSLASHglspl] = ACTIONS(7395),
    [anon_sym_BSLASHGlspl] = ACTIONS(7395),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7395),
    [anon_sym_BSLASHglslink] = ACTIONS(7395),
    [anon_sym_BSLASHglstext] = ACTIONS(7395),
    [anon_sym_BSLASHGlstext] = ACTIONS(7395),
    [anon_sym_BSLASHGLStext] = ACTIONS(7395),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7395),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7395),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7395),
    [anon_sym_BSLASHglsplural] = ACTIONS(7395),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7395),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7395),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHglsname] = ACTIONS(7395),
    [anon_sym_BSLASHGlsname] = ACTIONS(7395),
    [anon_sym_BSLASHGLSname] = ACTIONS(7395),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7395),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7395),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7395),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7395),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7395),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7395),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7395),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7395),
    [anon_sym_BSLASHacrshort] = ACTIONS(7395),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7395),
    [anon_sym_BSLASHACRshort] = ACTIONS(7395),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHacrlong] = ACTIONS(7395),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7395),
    [anon_sym_BSLASHACRlong] = ACTIONS(7395),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHacrfull] = ACTIONS(7395),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7395),
    [anon_sym_BSLASHACRfull] = ACTIONS(7395),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHacs] = ACTIONS(7395),
    [anon_sym_BSLASHAcs] = ACTIONS(7395),
    [anon_sym_BSLASHacsp] = ACTIONS(7395),
    [anon_sym_BSLASHAcsp] = ACTIONS(7395),
    [anon_sym_BSLASHacl] = ACTIONS(7395),
    [anon_sym_BSLASHAcl] = ACTIONS(7395),
    [anon_sym_BSLASHaclp] = ACTIONS(7395),
    [anon_sym_BSLASHAclp] = ACTIONS(7395),
    [anon_sym_BSLASHacf] = ACTIONS(7395),
    [anon_sym_BSLASHAcf] = ACTIONS(7395),
    [anon_sym_BSLASHacfp] = ACTIONS(7395),
    [anon_sym_BSLASHAcfp] = ACTIONS(7395),
    [anon_sym_BSLASHac] = ACTIONS(7395),
    [anon_sym_BSLASHAc] = ACTIONS(7395),
    [anon_sym_BSLASHacp] = ACTIONS(7395),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7395),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7395),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7395),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7395),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7395),
    [anon_sym_BSLASHcolor] = ACTIONS(7395),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7395),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7395),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7395),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7395),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7395),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7395),
    [anon_sym_BSLASHurl] = ACTIONS(7395),
    [anon_sym_BSLASHhref] = ACTIONS(7395),
  },
  [1549] = {
    [sym_command_name] = ACTIONS(7315),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7315),
    [anon_sym_LBRACK] = ACTIONS(7317),
    [anon_sym_RBRACK] = ACTIONS(7317),
    [anon_sym_COMMA] = ACTIONS(7317),
    [anon_sym_EQ] = ACTIONS(7317),
    [anon_sym_LPAREN] = ACTIONS(7317),
    [anon_sym_RPAREN] = ACTIONS(7317),
    [anon_sym_BSLASHpart] = ACTIONS(7315),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHaddpart] = ACTIONS(7315),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHchapter] = ACTIONS(7315),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHaddchap] = ACTIONS(7315),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHsection] = ACTIONS(7315),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHaddsec] = ACTIONS(7315),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHsubsection] = ACTIONS(7315),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7315),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHparagraph] = ACTIONS(7315),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7315),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHitem] = ACTIONS(7315),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7317),
    [anon_sym_LBRACE] = ACTIONS(7317),
    [sym_word] = ACTIONS(7315),
    [sym_placeholder] = ACTIONS(7317),
    [sym_delimiter] = ACTIONS(7317),
    [anon_sym_PLUS] = ACTIONS(7317),
    [anon_sym_DASH] = ACTIONS(7317),
    [anon_sym_STAR] = ACTIONS(7317),
    [anon_sym_SLASH] = ACTIONS(7317),
    [anon_sym_LT] = ACTIONS(7315),
    [anon_sym_GT] = ACTIONS(7315),
    [anon_sym_BANG] = ACTIONS(7315),
    [anon_sym_PIPE] = ACTIONS(7315),
    [anon_sym_COLON] = ACTIONS(7315),
    [anon_sym_SQUOTE] = ACTIONS(7315),
    [anon_sym__] = ACTIONS(7317),
    [anon_sym_CARET] = ACTIONS(7317),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7317),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7317),
    [anon_sym_DOLLAR] = ACTIONS(7315),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7317),
    [anon_sym_BSLASHleft] = ACTIONS(7315),
    [anon_sym_BSLASHbigl] = ACTIONS(7315),
    [anon_sym_BSLASHBigl] = ACTIONS(7315),
    [anon_sym_BSLASHbiggl] = ACTIONS(7315),
    [anon_sym_BSLASHBiggl] = ACTIONS(7315),
    [anon_sym_BSLASHtext] = ACTIONS(7315),
    [anon_sym_BSLASHintertext] = ACTIONS(7315),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7315),
    [anon_sym_BSLASHbegin] = ACTIONS(7315),
    [anon_sym_BSLASHend] = ACTIONS(7315),
    [anon_sym_BSLASHtitle] = ACTIONS(7315),
    [anon_sym_BSLASHauthor] = ACTIONS(7315),
    [anon_sym_BSLASHusepackage] = ACTIONS(7315),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7315),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7315),
    [anon_sym_BSLASHinclude] = ACTIONS(7315),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7315),
    [anon_sym_BSLASHinput] = ACTIONS(7315),
    [anon_sym_BSLASHsubfile] = ACTIONS(7315),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7315),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7315),
    [anon_sym_BSLASHbibliography] = ACTIONS(7315),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7315),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7315),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7315),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7315),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7315),
    [anon_sym_BSLASHimport] = ACTIONS(7315),
    [anon_sym_BSLASHsubimport] = ACTIONS(7315),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7315),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7315),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7315),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7315),
    [anon_sym_BSLASHcaption] = ACTIONS(7315),
    [anon_sym_BSLASHcite] = ACTIONS(7315),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCite] = ACTIONS(7315),
    [anon_sym_BSLASHnocite] = ACTIONS(7315),
    [anon_sym_BSLASHcitet] = ACTIONS(7315),
    [anon_sym_BSLASHcitep] = ACTIONS(7315),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteA] = ACTIONS(7315),
    [anon_sym_BSLASHciteR] = ACTIONS(7315),
    [anon_sym_BSLASHciteS] = ACTIONS(7315),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7315),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7315),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7315),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7315),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteyear] = ACTIONS(7315),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitedate] = ACTIONS(7315),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteurl] = ACTIONS(7315),
    [anon_sym_BSLASHfullcite] = ACTIONS(7315),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7315),
    [anon_sym_BSLASHcitealt] = ACTIONS(7315),
    [anon_sym_BSLASHcitealp] = ACTIONS(7315),
    [anon_sym_BSLASHcitetext] = ACTIONS(7315),
    [anon_sym_BSLASHparencite] = ACTIONS(7315),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHParencite] = ACTIONS(7315),
    [anon_sym_BSLASHfootcite] = ACTIONS(7315),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7315),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7315),
    [anon_sym_BSLASHtextcite] = ACTIONS(7315),
    [anon_sym_BSLASHTextcite] = ACTIONS(7315),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7315),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7315),
    [anon_sym_BSLASHsupercite] = ACTIONS(7315),
    [anon_sym_BSLASHautocite] = ACTIONS(7315),
    [anon_sym_BSLASHAutocite] = ACTIONS(7315),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHVolcite] = ACTIONS(7315),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHavolcite] = ACTIONS(7315),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHNotecite] = ACTIONS(7315),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHlabel] = ACTIONS(7315),
    [anon_sym_BSLASHref] = ACTIONS(7315),
    [anon_sym_BSLASHeqref] = ACTIONS(7315),
    [anon_sym_BSLASHvref] = ACTIONS(7315),
    [anon_sym_BSLASHVref] = ACTIONS(7315),
    [anon_sym_BSLASHautoref] = ACTIONS(7315),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHpageref] = ACTIONS(7315),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHautopageref] = ACTIONS(7315),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcref] = ACTIONS(7315),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCref] = ACTIONS(7315),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcpageref] = ACTIONS(7315),
    [anon_sym_BSLASHCpageref] = ACTIONS(7315),
    [anon_sym_BSLASHnamecref] = ACTIONS(7315),
    [anon_sym_BSLASHnameCref] = ACTIONS(7315),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7315),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7315),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7315),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7315),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7315),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7315),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7315),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7315),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7315),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7315),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7315),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHdef] = ACTIONS(7315),
    [anon_sym_BSLASHgdef] = ACTIONS(7315),
    [anon_sym_BSLASHedef] = ACTIONS(7315),
    [anon_sym_BSLASHxdef] = ACTIONS(7315),
    [anon_sym_BSLASHlet] = ACTIONS(7315),
    [anon_sym_BSLASHglet] = ACTIONS(7315),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7315),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7315),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7315),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7315),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7315),
    [anon_sym_BSLASHgls] = ACTIONS(7315),
    [anon_sym_BSLASHGls] = ACTIONS(7315),
    [anon_sym_BSLASHGLS] = ACTIONS(7315),
    [anon_sym_BSLASHglspl] = ACTIONS(7315),
    [anon_sym_BSLASHGlspl] = ACTIONS(7315),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7315),
    [anon_sym_BSLASHglslink] = ACTIONS(7315),
    [anon_sym_BSLASHglstext] = ACTIONS(7315),
    [anon_sym_BSLASHGlstext] = ACTIONS(7315),
    [anon_sym_BSLASHGLStext] = ACTIONS(7315),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7315),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7315),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7315),
    [anon_sym_BSLASHglsplural] = ACTIONS(7315),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7315),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7315),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHglsname] = ACTIONS(7315),
    [anon_sym_BSLASHGlsname] = ACTIONS(7315),
    [anon_sym_BSLASHGLSname] = ACTIONS(7315),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7315),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7315),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7315),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7315),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7315),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7315),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7315),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7315),
    [anon_sym_BSLASHacrshort] = ACTIONS(7315),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7315),
    [anon_sym_BSLASHACRshort] = ACTIONS(7315),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHacrlong] = ACTIONS(7315),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7315),
    [anon_sym_BSLASHACRlong] = ACTIONS(7315),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHacrfull] = ACTIONS(7315),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7315),
    [anon_sym_BSLASHACRfull] = ACTIONS(7315),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHacs] = ACTIONS(7315),
    [anon_sym_BSLASHAcs] = ACTIONS(7315),
    [anon_sym_BSLASHacsp] = ACTIONS(7315),
    [anon_sym_BSLASHAcsp] = ACTIONS(7315),
    [anon_sym_BSLASHacl] = ACTIONS(7315),
    [anon_sym_BSLASHAcl] = ACTIONS(7315),
    [anon_sym_BSLASHaclp] = ACTIONS(7315),
    [anon_sym_BSLASHAclp] = ACTIONS(7315),
    [anon_sym_BSLASHacf] = ACTIONS(7315),
    [anon_sym_BSLASHAcf] = ACTIONS(7315),
    [anon_sym_BSLASHacfp] = ACTIONS(7315),
    [anon_sym_BSLASHAcfp] = ACTIONS(7315),
    [anon_sym_BSLASHac] = ACTIONS(7315),
    [anon_sym_BSLASHAc] = ACTIONS(7315),
    [anon_sym_BSLASHacp] = ACTIONS(7315),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7315),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7315),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7315),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7315),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7315),
    [anon_sym_BSLASHcolor] = ACTIONS(7315),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7315),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7315),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7315),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7315),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7315),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7315),
    [anon_sym_BSLASHurl] = ACTIONS(7315),
    [anon_sym_BSLASHhref] = ACTIONS(7315),
  },
  [1550] = {
    [sym_command_name] = ACTIONS(7399),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7399),
    [anon_sym_LBRACK] = ACTIONS(7401),
    [anon_sym_RBRACK] = ACTIONS(7401),
    [anon_sym_COMMA] = ACTIONS(7401),
    [anon_sym_EQ] = ACTIONS(7401),
    [anon_sym_LPAREN] = ACTIONS(7401),
    [anon_sym_RPAREN] = ACTIONS(7401),
    [anon_sym_BSLASHpart] = ACTIONS(7399),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHaddpart] = ACTIONS(7399),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHchapter] = ACTIONS(7399),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHaddchap] = ACTIONS(7399),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHsection] = ACTIONS(7399),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHaddsec] = ACTIONS(7399),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHsubsection] = ACTIONS(7399),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7399),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHparagraph] = ACTIONS(7399),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7399),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHitem] = ACTIONS(7399),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7401),
    [anon_sym_LBRACE] = ACTIONS(7401),
    [sym_word] = ACTIONS(7399),
    [sym_placeholder] = ACTIONS(7401),
    [sym_delimiter] = ACTIONS(7401),
    [anon_sym_PLUS] = ACTIONS(7401),
    [anon_sym_DASH] = ACTIONS(7401),
    [anon_sym_STAR] = ACTIONS(7401),
    [anon_sym_SLASH] = ACTIONS(7401),
    [anon_sym_LT] = ACTIONS(7399),
    [anon_sym_GT] = ACTIONS(7399),
    [anon_sym_BANG] = ACTIONS(7399),
    [anon_sym_PIPE] = ACTIONS(7399),
    [anon_sym_COLON] = ACTIONS(7399),
    [anon_sym_SQUOTE] = ACTIONS(7399),
    [anon_sym__] = ACTIONS(7401),
    [anon_sym_CARET] = ACTIONS(7401),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7401),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7401),
    [anon_sym_DOLLAR] = ACTIONS(7399),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7401),
    [anon_sym_BSLASHleft] = ACTIONS(7399),
    [anon_sym_BSLASHbigl] = ACTIONS(7399),
    [anon_sym_BSLASHBigl] = ACTIONS(7399),
    [anon_sym_BSLASHbiggl] = ACTIONS(7399),
    [anon_sym_BSLASHBiggl] = ACTIONS(7399),
    [anon_sym_BSLASHtext] = ACTIONS(7399),
    [anon_sym_BSLASHintertext] = ACTIONS(7399),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7399),
    [anon_sym_BSLASHbegin] = ACTIONS(7399),
    [anon_sym_BSLASHend] = ACTIONS(7399),
    [anon_sym_BSLASHtitle] = ACTIONS(7399),
    [anon_sym_BSLASHauthor] = ACTIONS(7399),
    [anon_sym_BSLASHusepackage] = ACTIONS(7399),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7399),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7399),
    [anon_sym_BSLASHinclude] = ACTIONS(7399),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7399),
    [anon_sym_BSLASHinput] = ACTIONS(7399),
    [anon_sym_BSLASHsubfile] = ACTIONS(7399),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7399),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7399),
    [anon_sym_BSLASHbibliography] = ACTIONS(7399),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7399),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7399),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7399),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7399),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7399),
    [anon_sym_BSLASHimport] = ACTIONS(7399),
    [anon_sym_BSLASHsubimport] = ACTIONS(7399),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7399),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7399),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7399),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7399),
    [anon_sym_BSLASHcaption] = ACTIONS(7399),
    [anon_sym_BSLASHcite] = ACTIONS(7399),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCite] = ACTIONS(7399),
    [anon_sym_BSLASHnocite] = ACTIONS(7399),
    [anon_sym_BSLASHcitet] = ACTIONS(7399),
    [anon_sym_BSLASHcitep] = ACTIONS(7399),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteA] = ACTIONS(7399),
    [anon_sym_BSLASHciteR] = ACTIONS(7399),
    [anon_sym_BSLASHciteS] = ACTIONS(7399),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7399),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7399),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7399),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7399),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteyear] = ACTIONS(7399),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitedate] = ACTIONS(7399),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteurl] = ACTIONS(7399),
    [anon_sym_BSLASHfullcite] = ACTIONS(7399),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7399),
    [anon_sym_BSLASHcitealt] = ACTIONS(7399),
    [anon_sym_BSLASHcitealp] = ACTIONS(7399),
    [anon_sym_BSLASHcitetext] = ACTIONS(7399),
    [anon_sym_BSLASHparencite] = ACTIONS(7399),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHParencite] = ACTIONS(7399),
    [anon_sym_BSLASHfootcite] = ACTIONS(7399),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7399),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7399),
    [anon_sym_BSLASHtextcite] = ACTIONS(7399),
    [anon_sym_BSLASHTextcite] = ACTIONS(7399),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7399),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7399),
    [anon_sym_BSLASHsupercite] = ACTIONS(7399),
    [anon_sym_BSLASHautocite] = ACTIONS(7399),
    [anon_sym_BSLASHAutocite] = ACTIONS(7399),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHVolcite] = ACTIONS(7399),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHavolcite] = ACTIONS(7399),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHNotecite] = ACTIONS(7399),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHlabel] = ACTIONS(7399),
    [anon_sym_BSLASHref] = ACTIONS(7399),
    [anon_sym_BSLASHeqref] = ACTIONS(7399),
    [anon_sym_BSLASHvref] = ACTIONS(7399),
    [anon_sym_BSLASHVref] = ACTIONS(7399),
    [anon_sym_BSLASHautoref] = ACTIONS(7399),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHpageref] = ACTIONS(7399),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHautopageref] = ACTIONS(7399),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcref] = ACTIONS(7399),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCref] = ACTIONS(7399),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcpageref] = ACTIONS(7399),
    [anon_sym_BSLASHCpageref] = ACTIONS(7399),
    [anon_sym_BSLASHnamecref] = ACTIONS(7399),
    [anon_sym_BSLASHnameCref] = ACTIONS(7399),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7399),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7399),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7399),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7399),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7399),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7399),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7399),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7399),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7399),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7399),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7399),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHdef] = ACTIONS(7399),
    [anon_sym_BSLASHgdef] = ACTIONS(7399),
    [anon_sym_BSLASHedef] = ACTIONS(7399),
    [anon_sym_BSLASHxdef] = ACTIONS(7399),
    [anon_sym_BSLASHlet] = ACTIONS(7399),
    [anon_sym_BSLASHglet] = ACTIONS(7399),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7399),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7399),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7399),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7399),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7399),
    [anon_sym_BSLASHgls] = ACTIONS(7399),
    [anon_sym_BSLASHGls] = ACTIONS(7399),
    [anon_sym_BSLASHGLS] = ACTIONS(7399),
    [anon_sym_BSLASHglspl] = ACTIONS(7399),
    [anon_sym_BSLASHGlspl] = ACTIONS(7399),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7399),
    [anon_sym_BSLASHglslink] = ACTIONS(7399),
    [anon_sym_BSLASHglstext] = ACTIONS(7399),
    [anon_sym_BSLASHGlstext] = ACTIONS(7399),
    [anon_sym_BSLASHGLStext] = ACTIONS(7399),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7399),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7399),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7399),
    [anon_sym_BSLASHglsplural] = ACTIONS(7399),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7399),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7399),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHglsname] = ACTIONS(7399),
    [anon_sym_BSLASHGlsname] = ACTIONS(7399),
    [anon_sym_BSLASHGLSname] = ACTIONS(7399),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7399),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7399),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7399),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7399),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7399),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7399),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7399),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7399),
    [anon_sym_BSLASHacrshort] = ACTIONS(7399),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7399),
    [anon_sym_BSLASHACRshort] = ACTIONS(7399),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHacrlong] = ACTIONS(7399),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7399),
    [anon_sym_BSLASHACRlong] = ACTIONS(7399),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHacrfull] = ACTIONS(7399),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7399),
    [anon_sym_BSLASHACRfull] = ACTIONS(7399),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHacs] = ACTIONS(7399),
    [anon_sym_BSLASHAcs] = ACTIONS(7399),
    [anon_sym_BSLASHacsp] = ACTIONS(7399),
    [anon_sym_BSLASHAcsp] = ACTIONS(7399),
    [anon_sym_BSLASHacl] = ACTIONS(7399),
    [anon_sym_BSLASHAcl] = ACTIONS(7399),
    [anon_sym_BSLASHaclp] = ACTIONS(7399),
    [anon_sym_BSLASHAclp] = ACTIONS(7399),
    [anon_sym_BSLASHacf] = ACTIONS(7399),
    [anon_sym_BSLASHAcf] = ACTIONS(7399),
    [anon_sym_BSLASHacfp] = ACTIONS(7399),
    [anon_sym_BSLASHAcfp] = ACTIONS(7399),
    [anon_sym_BSLASHac] = ACTIONS(7399),
    [anon_sym_BSLASHAc] = ACTIONS(7399),
    [anon_sym_BSLASHacp] = ACTIONS(7399),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7399),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7399),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7399),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7399),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7399),
    [anon_sym_BSLASHcolor] = ACTIONS(7399),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7399),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7399),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7399),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7399),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7399),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7399),
    [anon_sym_BSLASHurl] = ACTIONS(7399),
    [anon_sym_BSLASHhref] = ACTIONS(7399),
  },
  [1551] = {
    [sym_command_name] = ACTIONS(7403),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7403),
    [anon_sym_LBRACK] = ACTIONS(7405),
    [anon_sym_RBRACK] = ACTIONS(7405),
    [anon_sym_COMMA] = ACTIONS(7405),
    [anon_sym_EQ] = ACTIONS(7405),
    [anon_sym_LPAREN] = ACTIONS(7405),
    [anon_sym_RPAREN] = ACTIONS(7405),
    [anon_sym_BSLASHpart] = ACTIONS(7403),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHaddpart] = ACTIONS(7403),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHchapter] = ACTIONS(7403),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHaddchap] = ACTIONS(7403),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHsection] = ACTIONS(7403),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHaddsec] = ACTIONS(7403),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHsubsection] = ACTIONS(7403),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7403),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHparagraph] = ACTIONS(7403),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7403),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHitem] = ACTIONS(7403),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7405),
    [anon_sym_LBRACE] = ACTIONS(7405),
    [sym_word] = ACTIONS(7403),
    [sym_placeholder] = ACTIONS(7405),
    [sym_delimiter] = ACTIONS(7405),
    [anon_sym_PLUS] = ACTIONS(7405),
    [anon_sym_DASH] = ACTIONS(7405),
    [anon_sym_STAR] = ACTIONS(7405),
    [anon_sym_SLASH] = ACTIONS(7405),
    [anon_sym_LT] = ACTIONS(7403),
    [anon_sym_GT] = ACTIONS(7403),
    [anon_sym_BANG] = ACTIONS(7403),
    [anon_sym_PIPE] = ACTIONS(7403),
    [anon_sym_COLON] = ACTIONS(7403),
    [anon_sym_SQUOTE] = ACTIONS(7403),
    [anon_sym__] = ACTIONS(7405),
    [anon_sym_CARET] = ACTIONS(7405),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7405),
    [anon_sym_DOLLAR] = ACTIONS(7403),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7405),
    [anon_sym_BSLASHleft] = ACTIONS(7403),
    [anon_sym_BSLASHbigl] = ACTIONS(7403),
    [anon_sym_BSLASHBigl] = ACTIONS(7403),
    [anon_sym_BSLASHbiggl] = ACTIONS(7403),
    [anon_sym_BSLASHBiggl] = ACTIONS(7403),
    [anon_sym_BSLASHtext] = ACTIONS(7403),
    [anon_sym_BSLASHintertext] = ACTIONS(7403),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7403),
    [anon_sym_BSLASHbegin] = ACTIONS(7403),
    [anon_sym_BSLASHend] = ACTIONS(7403),
    [anon_sym_BSLASHtitle] = ACTIONS(7403),
    [anon_sym_BSLASHauthor] = ACTIONS(7403),
    [anon_sym_BSLASHusepackage] = ACTIONS(7403),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7403),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7403),
    [anon_sym_BSLASHinclude] = ACTIONS(7403),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7403),
    [anon_sym_BSLASHinput] = ACTIONS(7403),
    [anon_sym_BSLASHsubfile] = ACTIONS(7403),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7403),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7403),
    [anon_sym_BSLASHbibliography] = ACTIONS(7403),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7403),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7403),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7403),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7403),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7403),
    [anon_sym_BSLASHimport] = ACTIONS(7403),
    [anon_sym_BSLASHsubimport] = ACTIONS(7403),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7403),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7403),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7403),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7403),
    [anon_sym_BSLASHcaption] = ACTIONS(7403),
    [anon_sym_BSLASHcite] = ACTIONS(7403),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCite] = ACTIONS(7403),
    [anon_sym_BSLASHnocite] = ACTIONS(7403),
    [anon_sym_BSLASHcitet] = ACTIONS(7403),
    [anon_sym_BSLASHcitep] = ACTIONS(7403),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteA] = ACTIONS(7403),
    [anon_sym_BSLASHciteR] = ACTIONS(7403),
    [anon_sym_BSLASHciteS] = ACTIONS(7403),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7403),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7403),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7403),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7403),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteyear] = ACTIONS(7403),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitedate] = ACTIONS(7403),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteurl] = ACTIONS(7403),
    [anon_sym_BSLASHfullcite] = ACTIONS(7403),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7403),
    [anon_sym_BSLASHcitealt] = ACTIONS(7403),
    [anon_sym_BSLASHcitealp] = ACTIONS(7403),
    [anon_sym_BSLASHcitetext] = ACTIONS(7403),
    [anon_sym_BSLASHparencite] = ACTIONS(7403),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHParencite] = ACTIONS(7403),
    [anon_sym_BSLASHfootcite] = ACTIONS(7403),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7403),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7403),
    [anon_sym_BSLASHtextcite] = ACTIONS(7403),
    [anon_sym_BSLASHTextcite] = ACTIONS(7403),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7403),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7403),
    [anon_sym_BSLASHsupercite] = ACTIONS(7403),
    [anon_sym_BSLASHautocite] = ACTIONS(7403),
    [anon_sym_BSLASHAutocite] = ACTIONS(7403),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHVolcite] = ACTIONS(7403),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHavolcite] = ACTIONS(7403),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHNotecite] = ACTIONS(7403),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHlabel] = ACTIONS(7403),
    [anon_sym_BSLASHref] = ACTIONS(7403),
    [anon_sym_BSLASHeqref] = ACTIONS(7403),
    [anon_sym_BSLASHvref] = ACTIONS(7403),
    [anon_sym_BSLASHVref] = ACTIONS(7403),
    [anon_sym_BSLASHautoref] = ACTIONS(7403),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHpageref] = ACTIONS(7403),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHautopageref] = ACTIONS(7403),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcref] = ACTIONS(7403),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCref] = ACTIONS(7403),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcpageref] = ACTIONS(7403),
    [anon_sym_BSLASHCpageref] = ACTIONS(7403),
    [anon_sym_BSLASHnamecref] = ACTIONS(7403),
    [anon_sym_BSLASHnameCref] = ACTIONS(7403),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7403),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7403),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7403),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7403),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7403),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7403),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7403),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7403),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7403),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7403),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7403),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHdef] = ACTIONS(7403),
    [anon_sym_BSLASHgdef] = ACTIONS(7403),
    [anon_sym_BSLASHedef] = ACTIONS(7403),
    [anon_sym_BSLASHxdef] = ACTIONS(7403),
    [anon_sym_BSLASHlet] = ACTIONS(7403),
    [anon_sym_BSLASHglet] = ACTIONS(7403),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7403),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7403),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7403),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7403),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7403),
    [anon_sym_BSLASHgls] = ACTIONS(7403),
    [anon_sym_BSLASHGls] = ACTIONS(7403),
    [anon_sym_BSLASHGLS] = ACTIONS(7403),
    [anon_sym_BSLASHglspl] = ACTIONS(7403),
    [anon_sym_BSLASHGlspl] = ACTIONS(7403),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7403),
    [anon_sym_BSLASHglslink] = ACTIONS(7403),
    [anon_sym_BSLASHglstext] = ACTIONS(7403),
    [anon_sym_BSLASHGlstext] = ACTIONS(7403),
    [anon_sym_BSLASHGLStext] = ACTIONS(7403),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7403),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7403),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7403),
    [anon_sym_BSLASHglsplural] = ACTIONS(7403),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7403),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7403),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHglsname] = ACTIONS(7403),
    [anon_sym_BSLASHGlsname] = ACTIONS(7403),
    [anon_sym_BSLASHGLSname] = ACTIONS(7403),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7403),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7403),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7403),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7403),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7403),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7403),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7403),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7403),
    [anon_sym_BSLASHacrshort] = ACTIONS(7403),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7403),
    [anon_sym_BSLASHACRshort] = ACTIONS(7403),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHacrlong] = ACTIONS(7403),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7403),
    [anon_sym_BSLASHACRlong] = ACTIONS(7403),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHacrfull] = ACTIONS(7403),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7403),
    [anon_sym_BSLASHACRfull] = ACTIONS(7403),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHacs] = ACTIONS(7403),
    [anon_sym_BSLASHAcs] = ACTIONS(7403),
    [anon_sym_BSLASHacsp] = ACTIONS(7403),
    [anon_sym_BSLASHAcsp] = ACTIONS(7403),
    [anon_sym_BSLASHacl] = ACTIONS(7403),
    [anon_sym_BSLASHAcl] = ACTIONS(7403),
    [anon_sym_BSLASHaclp] = ACTIONS(7403),
    [anon_sym_BSLASHAclp] = ACTIONS(7403),
    [anon_sym_BSLASHacf] = ACTIONS(7403),
    [anon_sym_BSLASHAcf] = ACTIONS(7403),
    [anon_sym_BSLASHacfp] = ACTIONS(7403),
    [anon_sym_BSLASHAcfp] = ACTIONS(7403),
    [anon_sym_BSLASHac] = ACTIONS(7403),
    [anon_sym_BSLASHAc] = ACTIONS(7403),
    [anon_sym_BSLASHacp] = ACTIONS(7403),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7403),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7403),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7403),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7403),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7403),
    [anon_sym_BSLASHcolor] = ACTIONS(7403),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7403),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7403),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7403),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7403),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7403),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7403),
    [anon_sym_BSLASHurl] = ACTIONS(7403),
    [anon_sym_BSLASHhref] = ACTIONS(7403),
  },
  [1552] = {
    [sym_command_name] = ACTIONS(7407),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7407),
    [anon_sym_LBRACK] = ACTIONS(7409),
    [anon_sym_RBRACK] = ACTIONS(7409),
    [anon_sym_COMMA] = ACTIONS(7409),
    [anon_sym_EQ] = ACTIONS(7409),
    [anon_sym_LPAREN] = ACTIONS(7409),
    [anon_sym_RPAREN] = ACTIONS(7409),
    [anon_sym_BSLASHpart] = ACTIONS(7407),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHaddpart] = ACTIONS(7407),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHchapter] = ACTIONS(7407),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHaddchap] = ACTIONS(7407),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHsection] = ACTIONS(7407),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHaddsec] = ACTIONS(7407),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHsubsection] = ACTIONS(7407),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7407),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHparagraph] = ACTIONS(7407),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7407),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHitem] = ACTIONS(7407),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7409),
    [anon_sym_LBRACE] = ACTIONS(7409),
    [sym_word] = ACTIONS(7407),
    [sym_placeholder] = ACTIONS(7409),
    [sym_delimiter] = ACTIONS(7409),
    [anon_sym_PLUS] = ACTIONS(7409),
    [anon_sym_DASH] = ACTIONS(7409),
    [anon_sym_STAR] = ACTIONS(7409),
    [anon_sym_SLASH] = ACTIONS(7409),
    [anon_sym_LT] = ACTIONS(7407),
    [anon_sym_GT] = ACTIONS(7407),
    [anon_sym_BANG] = ACTIONS(7407),
    [anon_sym_PIPE] = ACTIONS(7407),
    [anon_sym_COLON] = ACTIONS(7407),
    [anon_sym_SQUOTE] = ACTIONS(7407),
    [anon_sym__] = ACTIONS(7409),
    [anon_sym_CARET] = ACTIONS(7409),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7409),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7409),
    [anon_sym_DOLLAR] = ACTIONS(7407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7409),
    [anon_sym_BSLASHleft] = ACTIONS(7407),
    [anon_sym_BSLASHbigl] = ACTIONS(7407),
    [anon_sym_BSLASHBigl] = ACTIONS(7407),
    [anon_sym_BSLASHbiggl] = ACTIONS(7407),
    [anon_sym_BSLASHBiggl] = ACTIONS(7407),
    [anon_sym_BSLASHtext] = ACTIONS(7407),
    [anon_sym_BSLASHintertext] = ACTIONS(7407),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7407),
    [anon_sym_BSLASHbegin] = ACTIONS(7407),
    [anon_sym_BSLASHend] = ACTIONS(7407),
    [anon_sym_BSLASHtitle] = ACTIONS(7407),
    [anon_sym_BSLASHauthor] = ACTIONS(7407),
    [anon_sym_BSLASHusepackage] = ACTIONS(7407),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7407),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7407),
    [anon_sym_BSLASHinclude] = ACTIONS(7407),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7407),
    [anon_sym_BSLASHinput] = ACTIONS(7407),
    [anon_sym_BSLASHsubfile] = ACTIONS(7407),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7407),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7407),
    [anon_sym_BSLASHbibliography] = ACTIONS(7407),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7407),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7407),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7407),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7407),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7407),
    [anon_sym_BSLASHimport] = ACTIONS(7407),
    [anon_sym_BSLASHsubimport] = ACTIONS(7407),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7407),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7407),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7407),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7407),
    [anon_sym_BSLASHcaption] = ACTIONS(7407),
    [anon_sym_BSLASHcite] = ACTIONS(7407),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCite] = ACTIONS(7407),
    [anon_sym_BSLASHnocite] = ACTIONS(7407),
    [anon_sym_BSLASHcitet] = ACTIONS(7407),
    [anon_sym_BSLASHcitep] = ACTIONS(7407),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteA] = ACTIONS(7407),
    [anon_sym_BSLASHciteR] = ACTIONS(7407),
    [anon_sym_BSLASHciteS] = ACTIONS(7407),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7407),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7407),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7407),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7407),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteyear] = ACTIONS(7407),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitedate] = ACTIONS(7407),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteurl] = ACTIONS(7407),
    [anon_sym_BSLASHfullcite] = ACTIONS(7407),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7407),
    [anon_sym_BSLASHcitealt] = ACTIONS(7407),
    [anon_sym_BSLASHcitealp] = ACTIONS(7407),
    [anon_sym_BSLASHcitetext] = ACTIONS(7407),
    [anon_sym_BSLASHparencite] = ACTIONS(7407),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHParencite] = ACTIONS(7407),
    [anon_sym_BSLASHfootcite] = ACTIONS(7407),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7407),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7407),
    [anon_sym_BSLASHtextcite] = ACTIONS(7407),
    [anon_sym_BSLASHTextcite] = ACTIONS(7407),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7407),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7407),
    [anon_sym_BSLASHsupercite] = ACTIONS(7407),
    [anon_sym_BSLASHautocite] = ACTIONS(7407),
    [anon_sym_BSLASHAutocite] = ACTIONS(7407),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHVolcite] = ACTIONS(7407),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHavolcite] = ACTIONS(7407),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHNotecite] = ACTIONS(7407),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHlabel] = ACTIONS(7407),
    [anon_sym_BSLASHref] = ACTIONS(7407),
    [anon_sym_BSLASHeqref] = ACTIONS(7407),
    [anon_sym_BSLASHvref] = ACTIONS(7407),
    [anon_sym_BSLASHVref] = ACTIONS(7407),
    [anon_sym_BSLASHautoref] = ACTIONS(7407),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHpageref] = ACTIONS(7407),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHautopageref] = ACTIONS(7407),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcref] = ACTIONS(7407),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCref] = ACTIONS(7407),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcpageref] = ACTIONS(7407),
    [anon_sym_BSLASHCpageref] = ACTIONS(7407),
    [anon_sym_BSLASHnamecref] = ACTIONS(7407),
    [anon_sym_BSLASHnameCref] = ACTIONS(7407),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7407),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7407),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7407),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7407),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7407),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7407),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7407),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7407),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7407),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7407),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7407),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHdef] = ACTIONS(7407),
    [anon_sym_BSLASHgdef] = ACTIONS(7407),
    [anon_sym_BSLASHedef] = ACTIONS(7407),
    [anon_sym_BSLASHxdef] = ACTIONS(7407),
    [anon_sym_BSLASHlet] = ACTIONS(7407),
    [anon_sym_BSLASHglet] = ACTIONS(7407),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7407),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7407),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7407),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7407),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7407),
    [anon_sym_BSLASHgls] = ACTIONS(7407),
    [anon_sym_BSLASHGls] = ACTIONS(7407),
    [anon_sym_BSLASHGLS] = ACTIONS(7407),
    [anon_sym_BSLASHglspl] = ACTIONS(7407),
    [anon_sym_BSLASHGlspl] = ACTIONS(7407),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7407),
    [anon_sym_BSLASHglslink] = ACTIONS(7407),
    [anon_sym_BSLASHglstext] = ACTIONS(7407),
    [anon_sym_BSLASHGlstext] = ACTIONS(7407),
    [anon_sym_BSLASHGLStext] = ACTIONS(7407),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7407),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7407),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7407),
    [anon_sym_BSLASHglsplural] = ACTIONS(7407),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7407),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7407),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHglsname] = ACTIONS(7407),
    [anon_sym_BSLASHGlsname] = ACTIONS(7407),
    [anon_sym_BSLASHGLSname] = ACTIONS(7407),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7407),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7407),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7407),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7407),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7407),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7407),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7407),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7407),
    [anon_sym_BSLASHacrshort] = ACTIONS(7407),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7407),
    [anon_sym_BSLASHACRshort] = ACTIONS(7407),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHacrlong] = ACTIONS(7407),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7407),
    [anon_sym_BSLASHACRlong] = ACTIONS(7407),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHacrfull] = ACTIONS(7407),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7407),
    [anon_sym_BSLASHACRfull] = ACTIONS(7407),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHacs] = ACTIONS(7407),
    [anon_sym_BSLASHAcs] = ACTIONS(7407),
    [anon_sym_BSLASHacsp] = ACTIONS(7407),
    [anon_sym_BSLASHAcsp] = ACTIONS(7407),
    [anon_sym_BSLASHacl] = ACTIONS(7407),
    [anon_sym_BSLASHAcl] = ACTIONS(7407),
    [anon_sym_BSLASHaclp] = ACTIONS(7407),
    [anon_sym_BSLASHAclp] = ACTIONS(7407),
    [anon_sym_BSLASHacf] = ACTIONS(7407),
    [anon_sym_BSLASHAcf] = ACTIONS(7407),
    [anon_sym_BSLASHacfp] = ACTIONS(7407),
    [anon_sym_BSLASHAcfp] = ACTIONS(7407),
    [anon_sym_BSLASHac] = ACTIONS(7407),
    [anon_sym_BSLASHAc] = ACTIONS(7407),
    [anon_sym_BSLASHacp] = ACTIONS(7407),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7407),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7407),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7407),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7407),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7407),
    [anon_sym_BSLASHcolor] = ACTIONS(7407),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7407),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7407),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7407),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7407),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7407),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7407),
    [anon_sym_BSLASHurl] = ACTIONS(7407),
    [anon_sym_BSLASHhref] = ACTIONS(7407),
  },
  [1553] = {
    [sym_command_name] = ACTIONS(2326),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2326),
    [anon_sym_LBRACK] = ACTIONS(2328),
    [anon_sym_RBRACK] = ACTIONS(2328),
    [anon_sym_COMMA] = ACTIONS(2328),
    [anon_sym_EQ] = ACTIONS(2328),
    [anon_sym_LPAREN] = ACTIONS(2328),
    [anon_sym_RPAREN] = ACTIONS(2328),
    [anon_sym_BSLASHpart] = ACTIONS(2326),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddpart] = ACTIONS(2326),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHchapter] = ACTIONS(2326),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddchap] = ACTIONS(2326),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsection] = ACTIONS(2326),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddsec] = ACTIONS(2326),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsubsection] = ACTIONS(2326),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2326),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHparagraph] = ACTIONS(2326),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2326),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHitem] = ACTIONS(2326),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2328),
    [anon_sym_LBRACE] = ACTIONS(2328),
    [sym_word] = ACTIONS(2326),
    [sym_placeholder] = ACTIONS(2328),
    [sym_delimiter] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2328),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_SLASH] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2326),
    [anon_sym_GT] = ACTIONS(2326),
    [anon_sym_BANG] = ACTIONS(2326),
    [anon_sym_PIPE] = ACTIONS(2326),
    [anon_sym_COLON] = ACTIONS(2326),
    [anon_sym_SQUOTE] = ACTIONS(2326),
    [anon_sym__] = ACTIONS(2328),
    [anon_sym_CARET] = ACTIONS(2328),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2328),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2328),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(2328),
    [anon_sym_DOLLAR] = ACTIONS(2326),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2328),
    [anon_sym_BSLASHleft] = ACTIONS(2326),
    [anon_sym_BSLASHbigl] = ACTIONS(2326),
    [anon_sym_BSLASHBigl] = ACTIONS(2326),
    [anon_sym_BSLASHbiggl] = ACTIONS(2326),
    [anon_sym_BSLASHBiggl] = ACTIONS(2326),
    [anon_sym_BSLASHtext] = ACTIONS(2326),
    [anon_sym_BSLASHintertext] = ACTIONS(2326),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2326),
    [anon_sym_BSLASHbegin] = ACTIONS(2326),
    [anon_sym_BSLASHtitle] = ACTIONS(2326),
    [anon_sym_BSLASHauthor] = ACTIONS(2326),
    [anon_sym_BSLASHusepackage] = ACTIONS(2326),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2326),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2326),
    [anon_sym_BSLASHinclude] = ACTIONS(2326),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2326),
    [anon_sym_BSLASHinput] = ACTIONS(2326),
    [anon_sym_BSLASHsubfile] = ACTIONS(2326),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2326),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2326),
    [anon_sym_BSLASHbibliography] = ACTIONS(2326),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2326),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2326),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2326),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2326),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2326),
    [anon_sym_BSLASHimport] = ACTIONS(2326),
    [anon_sym_BSLASHsubimport] = ACTIONS(2326),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2326),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2326),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2326),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2326),
    [anon_sym_BSLASHcaption] = ACTIONS(2326),
    [anon_sym_BSLASHcite] = ACTIONS(2326),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHCite] = ACTIONS(2326),
    [anon_sym_BSLASHnocite] = ACTIONS(2326),
    [anon_sym_BSLASHcitet] = ACTIONS(2326),
    [anon_sym_BSLASHcitep] = ACTIONS(2326),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHciteA] = ACTIONS(2326),
    [anon_sym_BSLASHciteR] = ACTIONS(2326),
    [anon_sym_BSLASHciteS] = ACTIONS(2326),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2326),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2326),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2326),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2326),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHciteyear] = ACTIONS(2326),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcitedate] = ACTIONS(2326),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHciteurl] = ACTIONS(2326),
    [anon_sym_BSLASHfullcite] = ACTIONS(2326),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2326),
    [anon_sym_BSLASHcitealt] = ACTIONS(2326),
    [anon_sym_BSLASHcitealp] = ACTIONS(2326),
    [anon_sym_BSLASHcitetext] = ACTIONS(2326),
    [anon_sym_BSLASHparencite] = ACTIONS(2326),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHParencite] = ACTIONS(2326),
    [anon_sym_BSLASHfootcite] = ACTIONS(2326),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2326),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2326),
    [anon_sym_BSLASHtextcite] = ACTIONS(2326),
    [anon_sym_BSLASHTextcite] = ACTIONS(2326),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2326),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2326),
    [anon_sym_BSLASHsupercite] = ACTIONS(2326),
    [anon_sym_BSLASHautocite] = ACTIONS(2326),
    [anon_sym_BSLASHAutocite] = ACTIONS(2326),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHVolcite] = ACTIONS(2326),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHavolcite] = ACTIONS(2326),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHnotecite] = ACTIONS(2326),
    [anon_sym_BSLASHNotecite] = ACTIONS(2326),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2326),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2326),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2326),
    [anon_sym_BSLASHlabel] = ACTIONS(2326),
    [anon_sym_BSLASHref] = ACTIONS(2326),
    [anon_sym_BSLASHeqref] = ACTIONS(2326),
    [anon_sym_BSLASHvref] = ACTIONS(2326),
    [anon_sym_BSLASHVref] = ACTIONS(2326),
    [anon_sym_BSLASHautoref] = ACTIONS(2326),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHpageref] = ACTIONS(2326),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHautopageref] = ACTIONS(2326),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcref] = ACTIONS(2326),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHCref] = ACTIONS(2326),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcpageref] = ACTIONS(2326),
    [anon_sym_BSLASHCpageref] = ACTIONS(2326),
    [anon_sym_BSLASHnamecref] = ACTIONS(2326),
    [anon_sym_BSLASHnameCref] = ACTIONS(2326),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2326),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2326),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2326),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2326),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2326),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2326),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2326),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2326),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2326),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2326),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2326),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2326),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2326),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2326),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2326),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2326),
    [anon_sym_BSLASHdef] = ACTIONS(2326),
    [anon_sym_BSLASHgdef] = ACTIONS(2326),
    [anon_sym_BSLASHedef] = ACTIONS(2326),
    [anon_sym_BSLASHxdef] = ACTIONS(2326),
    [anon_sym_BSLASHlet] = ACTIONS(2326),
    [anon_sym_BSLASHglet] = ACTIONS(2326),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2326),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2326),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2326),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2326),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2326),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2326),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2326),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2326),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2326),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2326),
    [anon_sym_BSLASHgls] = ACTIONS(2326),
    [anon_sym_BSLASHGls] = ACTIONS(2326),
    [anon_sym_BSLASHGLS] = ACTIONS(2326),
    [anon_sym_BSLASHglspl] = ACTIONS(2326),
    [anon_sym_BSLASHGlspl] = ACTIONS(2326),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2326),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2326),
    [anon_sym_BSLASHglslink] = ACTIONS(2326),
    [anon_sym_BSLASHglstext] = ACTIONS(2326),
    [anon_sym_BSLASHGlstext] = ACTIONS(2326),
    [anon_sym_BSLASHGLStext] = ACTIONS(2326),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2326),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2326),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2326),
    [anon_sym_BSLASHglsplural] = ACTIONS(2326),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2326),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2326),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2326),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2326),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2326),
    [anon_sym_BSLASHglsname] = ACTIONS(2326),
    [anon_sym_BSLASHGlsname] = ACTIONS(2326),
    [anon_sym_BSLASHGLSname] = ACTIONS(2326),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2326),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2326),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2326),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2326),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2326),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2326),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2326),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2326),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2326),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2326),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2326),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2326),
    [anon_sym_BSLASHacrshort] = ACTIONS(2326),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2326),
    [anon_sym_BSLASHACRshort] = ACTIONS(2326),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2326),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2326),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2326),
    [anon_sym_BSLASHacrlong] = ACTIONS(2326),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2326),
    [anon_sym_BSLASHACRlong] = ACTIONS(2326),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2326),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2326),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2326),
    [anon_sym_BSLASHacrfull] = ACTIONS(2326),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2326),
    [anon_sym_BSLASHACRfull] = ACTIONS(2326),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2326),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2326),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2326),
    [anon_sym_BSLASHacs] = ACTIONS(2326),
    [anon_sym_BSLASHAcs] = ACTIONS(2326),
    [anon_sym_BSLASHacsp] = ACTIONS(2326),
    [anon_sym_BSLASHAcsp] = ACTIONS(2326),
    [anon_sym_BSLASHacl] = ACTIONS(2326),
    [anon_sym_BSLASHAcl] = ACTIONS(2326),
    [anon_sym_BSLASHaclp] = ACTIONS(2326),
    [anon_sym_BSLASHAclp] = ACTIONS(2326),
    [anon_sym_BSLASHacf] = ACTIONS(2326),
    [anon_sym_BSLASHAcf] = ACTIONS(2326),
    [anon_sym_BSLASHacfp] = ACTIONS(2326),
    [anon_sym_BSLASHAcfp] = ACTIONS(2326),
    [anon_sym_BSLASHac] = ACTIONS(2326),
    [anon_sym_BSLASHAc] = ACTIONS(2326),
    [anon_sym_BSLASHacp] = ACTIONS(2326),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2326),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2326),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2326),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2326),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2326),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2326),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2326),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2326),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2326),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2326),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2326),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2326),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2326),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2326),
    [anon_sym_BSLASHcolor] = ACTIONS(2326),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2326),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2326),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2326),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2326),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2326),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2326),
    [anon_sym_BSLASHurl] = ACTIONS(2326),
    [anon_sym_BSLASHhref] = ACTIONS(2326),
  },
  [1554] = {
    [sym_command_name] = ACTIONS(7255),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7255),
    [anon_sym_LBRACK] = ACTIONS(7257),
    [anon_sym_RBRACK] = ACTIONS(7257),
    [anon_sym_COMMA] = ACTIONS(7257),
    [anon_sym_EQ] = ACTIONS(7257),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_RPAREN] = ACTIONS(7257),
    [anon_sym_BSLASHpart] = ACTIONS(7255),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHaddpart] = ACTIONS(7255),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHchapter] = ACTIONS(7255),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHaddchap] = ACTIONS(7255),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHsection] = ACTIONS(7255),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHaddsec] = ACTIONS(7255),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHsubsection] = ACTIONS(7255),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7255),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHparagraph] = ACTIONS(7255),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7255),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHitem] = ACTIONS(7255),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7257),
    [anon_sym_LBRACE] = ACTIONS(7257),
    [sym_word] = ACTIONS(7255),
    [sym_placeholder] = ACTIONS(7257),
    [sym_delimiter] = ACTIONS(7257),
    [anon_sym_PLUS] = ACTIONS(7257),
    [anon_sym_DASH] = ACTIONS(7257),
    [anon_sym_STAR] = ACTIONS(7257),
    [anon_sym_SLASH] = ACTIONS(7257),
    [anon_sym_LT] = ACTIONS(7255),
    [anon_sym_GT] = ACTIONS(7255),
    [anon_sym_BANG] = ACTIONS(7255),
    [anon_sym_PIPE] = ACTIONS(7255),
    [anon_sym_COLON] = ACTIONS(7255),
    [anon_sym_SQUOTE] = ACTIONS(7255),
    [anon_sym__] = ACTIONS(7257),
    [anon_sym_CARET] = ACTIONS(7257),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7257),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7257),
    [anon_sym_DOLLAR] = ACTIONS(7255),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7257),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7257),
    [anon_sym_BSLASHleft] = ACTIONS(7255),
    [anon_sym_BSLASHbigl] = ACTIONS(7255),
    [anon_sym_BSLASHBigl] = ACTIONS(7255),
    [anon_sym_BSLASHbiggl] = ACTIONS(7255),
    [anon_sym_BSLASHBiggl] = ACTIONS(7255),
    [anon_sym_BSLASHtext] = ACTIONS(7255),
    [anon_sym_BSLASHintertext] = ACTIONS(7255),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7255),
    [anon_sym_BSLASHbegin] = ACTIONS(7255),
    [anon_sym_BSLASHtitle] = ACTIONS(7255),
    [anon_sym_BSLASHauthor] = ACTIONS(7255),
    [anon_sym_BSLASHusepackage] = ACTIONS(7255),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7255),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7255),
    [anon_sym_BSLASHinclude] = ACTIONS(7255),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7255),
    [anon_sym_BSLASHinput] = ACTIONS(7255),
    [anon_sym_BSLASHsubfile] = ACTIONS(7255),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7255),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7255),
    [anon_sym_BSLASHbibliography] = ACTIONS(7255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7255),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7255),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7255),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7255),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7255),
    [anon_sym_BSLASHimport] = ACTIONS(7255),
    [anon_sym_BSLASHsubimport] = ACTIONS(7255),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7255),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7255),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7255),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7255),
    [anon_sym_BSLASHcaption] = ACTIONS(7255),
    [anon_sym_BSLASHcite] = ACTIONS(7255),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCite] = ACTIONS(7255),
    [anon_sym_BSLASHnocite] = ACTIONS(7255),
    [anon_sym_BSLASHcitet] = ACTIONS(7255),
    [anon_sym_BSLASHcitep] = ACTIONS(7255),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteA] = ACTIONS(7255),
    [anon_sym_BSLASHciteR] = ACTIONS(7255),
    [anon_sym_BSLASHciteS] = ACTIONS(7255),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7255),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7255),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7255),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7255),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteyear] = ACTIONS(7255),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitedate] = ACTIONS(7255),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteurl] = ACTIONS(7255),
    [anon_sym_BSLASHfullcite] = ACTIONS(7255),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7255),
    [anon_sym_BSLASHcitealt] = ACTIONS(7255),
    [anon_sym_BSLASHcitealp] = ACTIONS(7255),
    [anon_sym_BSLASHcitetext] = ACTIONS(7255),
    [anon_sym_BSLASHparencite] = ACTIONS(7255),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHParencite] = ACTIONS(7255),
    [anon_sym_BSLASHfootcite] = ACTIONS(7255),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7255),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7255),
    [anon_sym_BSLASHtextcite] = ACTIONS(7255),
    [anon_sym_BSLASHTextcite] = ACTIONS(7255),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7255),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7255),
    [anon_sym_BSLASHsupercite] = ACTIONS(7255),
    [anon_sym_BSLASHautocite] = ACTIONS(7255),
    [anon_sym_BSLASHAutocite] = ACTIONS(7255),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHVolcite] = ACTIONS(7255),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHavolcite] = ACTIONS(7255),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHNotecite] = ACTIONS(7255),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHlabel] = ACTIONS(7255),
    [anon_sym_BSLASHref] = ACTIONS(7255),
    [anon_sym_BSLASHeqref] = ACTIONS(7255),
    [anon_sym_BSLASHvref] = ACTIONS(7255),
    [anon_sym_BSLASHVref] = ACTIONS(7255),
    [anon_sym_BSLASHautoref] = ACTIONS(7255),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHpageref] = ACTIONS(7255),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHautopageref] = ACTIONS(7255),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcref] = ACTIONS(7255),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCref] = ACTIONS(7255),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcpageref] = ACTIONS(7255),
    [anon_sym_BSLASHCpageref] = ACTIONS(7255),
    [anon_sym_BSLASHnamecref] = ACTIONS(7255),
    [anon_sym_BSLASHnameCref] = ACTIONS(7255),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7255),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7255),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7255),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7255),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7255),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7255),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7255),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7255),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7255),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7255),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7255),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHdef] = ACTIONS(7255),
    [anon_sym_BSLASHgdef] = ACTIONS(7255),
    [anon_sym_BSLASHedef] = ACTIONS(7255),
    [anon_sym_BSLASHxdef] = ACTIONS(7255),
    [anon_sym_BSLASHlet] = ACTIONS(7255),
    [anon_sym_BSLASHglet] = ACTIONS(7255),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7255),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7255),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7255),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7255),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7255),
    [anon_sym_BSLASHgls] = ACTIONS(7255),
    [anon_sym_BSLASHGls] = ACTIONS(7255),
    [anon_sym_BSLASHGLS] = ACTIONS(7255),
    [anon_sym_BSLASHglspl] = ACTIONS(7255),
    [anon_sym_BSLASHGlspl] = ACTIONS(7255),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7255),
    [anon_sym_BSLASHglslink] = ACTIONS(7255),
    [anon_sym_BSLASHglstext] = ACTIONS(7255),
    [anon_sym_BSLASHGlstext] = ACTIONS(7255),
    [anon_sym_BSLASHGLStext] = ACTIONS(7255),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7255),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7255),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7255),
    [anon_sym_BSLASHglsplural] = ACTIONS(7255),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7255),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7255),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHglsname] = ACTIONS(7255),
    [anon_sym_BSLASHGlsname] = ACTIONS(7255),
    [anon_sym_BSLASHGLSname] = ACTIONS(7255),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7255),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7255),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7255),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7255),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7255),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7255),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7255),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7255),
    [anon_sym_BSLASHacrshort] = ACTIONS(7255),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7255),
    [anon_sym_BSLASHACRshort] = ACTIONS(7255),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHacrlong] = ACTIONS(7255),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7255),
    [anon_sym_BSLASHACRlong] = ACTIONS(7255),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHacrfull] = ACTIONS(7255),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7255),
    [anon_sym_BSLASHACRfull] = ACTIONS(7255),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHacs] = ACTIONS(7255),
    [anon_sym_BSLASHAcs] = ACTIONS(7255),
    [anon_sym_BSLASHacsp] = ACTIONS(7255),
    [anon_sym_BSLASHAcsp] = ACTIONS(7255),
    [anon_sym_BSLASHacl] = ACTIONS(7255),
    [anon_sym_BSLASHAcl] = ACTIONS(7255),
    [anon_sym_BSLASHaclp] = ACTIONS(7255),
    [anon_sym_BSLASHAclp] = ACTIONS(7255),
    [anon_sym_BSLASHacf] = ACTIONS(7255),
    [anon_sym_BSLASHAcf] = ACTIONS(7255),
    [anon_sym_BSLASHacfp] = ACTIONS(7255),
    [anon_sym_BSLASHAcfp] = ACTIONS(7255),
    [anon_sym_BSLASHac] = ACTIONS(7255),
    [anon_sym_BSLASHAc] = ACTIONS(7255),
    [anon_sym_BSLASHacp] = ACTIONS(7255),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7255),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7255),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7255),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7255),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7255),
    [anon_sym_BSLASHcolor] = ACTIONS(7255),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7255),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7255),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7255),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7255),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7255),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7255),
    [anon_sym_BSLASHurl] = ACTIONS(7255),
    [anon_sym_BSLASHhref] = ACTIONS(7255),
  },
  [1555] = {
    [sym_command_name] = ACTIONS(7259),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7259),
    [anon_sym_LBRACK] = ACTIONS(7261),
    [anon_sym_RBRACK] = ACTIONS(7261),
    [anon_sym_COMMA] = ACTIONS(7261),
    [anon_sym_EQ] = ACTIONS(7261),
    [anon_sym_LPAREN] = ACTIONS(7261),
    [anon_sym_RPAREN] = ACTIONS(7261),
    [anon_sym_BSLASHpart] = ACTIONS(7259),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHaddpart] = ACTIONS(7259),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHchapter] = ACTIONS(7259),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHaddchap] = ACTIONS(7259),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHsection] = ACTIONS(7259),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHaddsec] = ACTIONS(7259),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHsubsection] = ACTIONS(7259),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7259),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHparagraph] = ACTIONS(7259),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7259),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHitem] = ACTIONS(7259),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7261),
    [sym_word] = ACTIONS(7259),
    [sym_placeholder] = ACTIONS(7261),
    [sym_delimiter] = ACTIONS(7261),
    [anon_sym_PLUS] = ACTIONS(7261),
    [anon_sym_DASH] = ACTIONS(7261),
    [anon_sym_STAR] = ACTIONS(7261),
    [anon_sym_SLASH] = ACTIONS(7261),
    [anon_sym_LT] = ACTIONS(7259),
    [anon_sym_GT] = ACTIONS(7259),
    [anon_sym_BANG] = ACTIONS(7259),
    [anon_sym_PIPE] = ACTIONS(7259),
    [anon_sym_COLON] = ACTIONS(7259),
    [anon_sym_SQUOTE] = ACTIONS(7259),
    [anon_sym__] = ACTIONS(7261),
    [anon_sym_CARET] = ACTIONS(7261),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7261),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7261),
    [anon_sym_DOLLAR] = ACTIONS(7259),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7261),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7261),
    [anon_sym_BSLASHleft] = ACTIONS(7259),
    [anon_sym_BSLASHbigl] = ACTIONS(7259),
    [anon_sym_BSLASHBigl] = ACTIONS(7259),
    [anon_sym_BSLASHbiggl] = ACTIONS(7259),
    [anon_sym_BSLASHBiggl] = ACTIONS(7259),
    [anon_sym_BSLASHtext] = ACTIONS(7259),
    [anon_sym_BSLASHintertext] = ACTIONS(7259),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7259),
    [anon_sym_BSLASHbegin] = ACTIONS(7259),
    [anon_sym_BSLASHtitle] = ACTIONS(7259),
    [anon_sym_BSLASHauthor] = ACTIONS(7259),
    [anon_sym_BSLASHusepackage] = ACTIONS(7259),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7259),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7259),
    [anon_sym_BSLASHinclude] = ACTIONS(7259),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7259),
    [anon_sym_BSLASHinput] = ACTIONS(7259),
    [anon_sym_BSLASHsubfile] = ACTIONS(7259),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7259),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7259),
    [anon_sym_BSLASHbibliography] = ACTIONS(7259),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7259),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7259),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7259),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7259),
    [anon_sym_BSLASHimport] = ACTIONS(7259),
    [anon_sym_BSLASHsubimport] = ACTIONS(7259),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7259),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7259),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7259),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7259),
    [anon_sym_BSLASHcaption] = ACTIONS(7259),
    [anon_sym_BSLASHcite] = ACTIONS(7259),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCite] = ACTIONS(7259),
    [anon_sym_BSLASHnocite] = ACTIONS(7259),
    [anon_sym_BSLASHcitet] = ACTIONS(7259),
    [anon_sym_BSLASHcitep] = ACTIONS(7259),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteA] = ACTIONS(7259),
    [anon_sym_BSLASHciteR] = ACTIONS(7259),
    [anon_sym_BSLASHciteS] = ACTIONS(7259),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7259),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7259),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7259),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7259),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteyear] = ACTIONS(7259),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitedate] = ACTIONS(7259),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteurl] = ACTIONS(7259),
    [anon_sym_BSLASHfullcite] = ACTIONS(7259),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7259),
    [anon_sym_BSLASHcitealt] = ACTIONS(7259),
    [anon_sym_BSLASHcitealp] = ACTIONS(7259),
    [anon_sym_BSLASHcitetext] = ACTIONS(7259),
    [anon_sym_BSLASHparencite] = ACTIONS(7259),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHParencite] = ACTIONS(7259),
    [anon_sym_BSLASHfootcite] = ACTIONS(7259),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7259),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7259),
    [anon_sym_BSLASHtextcite] = ACTIONS(7259),
    [anon_sym_BSLASHTextcite] = ACTIONS(7259),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7259),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7259),
    [anon_sym_BSLASHsupercite] = ACTIONS(7259),
    [anon_sym_BSLASHautocite] = ACTIONS(7259),
    [anon_sym_BSLASHAutocite] = ACTIONS(7259),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHVolcite] = ACTIONS(7259),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHavolcite] = ACTIONS(7259),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHNotecite] = ACTIONS(7259),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHlabel] = ACTIONS(7259),
    [anon_sym_BSLASHref] = ACTIONS(7259),
    [anon_sym_BSLASHeqref] = ACTIONS(7259),
    [anon_sym_BSLASHvref] = ACTIONS(7259),
    [anon_sym_BSLASHVref] = ACTIONS(7259),
    [anon_sym_BSLASHautoref] = ACTIONS(7259),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHpageref] = ACTIONS(7259),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHautopageref] = ACTIONS(7259),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcref] = ACTIONS(7259),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCref] = ACTIONS(7259),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcpageref] = ACTIONS(7259),
    [anon_sym_BSLASHCpageref] = ACTIONS(7259),
    [anon_sym_BSLASHnamecref] = ACTIONS(7259),
    [anon_sym_BSLASHnameCref] = ACTIONS(7259),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7259),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7259),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7259),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7259),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7259),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7259),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7259),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7259),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7259),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7259),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7259),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHdef] = ACTIONS(7259),
    [anon_sym_BSLASHgdef] = ACTIONS(7259),
    [anon_sym_BSLASHedef] = ACTIONS(7259),
    [anon_sym_BSLASHxdef] = ACTIONS(7259),
    [anon_sym_BSLASHlet] = ACTIONS(7259),
    [anon_sym_BSLASHglet] = ACTIONS(7259),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7259),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7259),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7259),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7259),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7259),
    [anon_sym_BSLASHgls] = ACTIONS(7259),
    [anon_sym_BSLASHGls] = ACTIONS(7259),
    [anon_sym_BSLASHGLS] = ACTIONS(7259),
    [anon_sym_BSLASHglspl] = ACTIONS(7259),
    [anon_sym_BSLASHGlspl] = ACTIONS(7259),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7259),
    [anon_sym_BSLASHglslink] = ACTIONS(7259),
    [anon_sym_BSLASHglstext] = ACTIONS(7259),
    [anon_sym_BSLASHGlstext] = ACTIONS(7259),
    [anon_sym_BSLASHGLStext] = ACTIONS(7259),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7259),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7259),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7259),
    [anon_sym_BSLASHglsplural] = ACTIONS(7259),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7259),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7259),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHglsname] = ACTIONS(7259),
    [anon_sym_BSLASHGlsname] = ACTIONS(7259),
    [anon_sym_BSLASHGLSname] = ACTIONS(7259),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7259),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7259),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7259),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7259),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7259),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7259),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7259),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7259),
    [anon_sym_BSLASHacrshort] = ACTIONS(7259),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7259),
    [anon_sym_BSLASHACRshort] = ACTIONS(7259),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHacrlong] = ACTIONS(7259),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7259),
    [anon_sym_BSLASHACRlong] = ACTIONS(7259),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHacrfull] = ACTIONS(7259),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7259),
    [anon_sym_BSLASHACRfull] = ACTIONS(7259),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHacs] = ACTIONS(7259),
    [anon_sym_BSLASHAcs] = ACTIONS(7259),
    [anon_sym_BSLASHacsp] = ACTIONS(7259),
    [anon_sym_BSLASHAcsp] = ACTIONS(7259),
    [anon_sym_BSLASHacl] = ACTIONS(7259),
    [anon_sym_BSLASHAcl] = ACTIONS(7259),
    [anon_sym_BSLASHaclp] = ACTIONS(7259),
    [anon_sym_BSLASHAclp] = ACTIONS(7259),
    [anon_sym_BSLASHacf] = ACTIONS(7259),
    [anon_sym_BSLASHAcf] = ACTIONS(7259),
    [anon_sym_BSLASHacfp] = ACTIONS(7259),
    [anon_sym_BSLASHAcfp] = ACTIONS(7259),
    [anon_sym_BSLASHac] = ACTIONS(7259),
    [anon_sym_BSLASHAc] = ACTIONS(7259),
    [anon_sym_BSLASHacp] = ACTIONS(7259),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7259),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7259),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7259),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7259),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7259),
    [anon_sym_BSLASHcolor] = ACTIONS(7259),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7259),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7259),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7259),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7259),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7259),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7259),
    [anon_sym_BSLASHurl] = ACTIONS(7259),
    [anon_sym_BSLASHhref] = ACTIONS(7259),
  },
  [1556] = {
    [sym_command_name] = ACTIONS(7263),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7263),
    [anon_sym_LBRACK] = ACTIONS(7265),
    [anon_sym_RBRACK] = ACTIONS(7265),
    [anon_sym_COMMA] = ACTIONS(7265),
    [anon_sym_EQ] = ACTIONS(7265),
    [anon_sym_LPAREN] = ACTIONS(7265),
    [anon_sym_RPAREN] = ACTIONS(7265),
    [anon_sym_BSLASHpart] = ACTIONS(7263),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHaddpart] = ACTIONS(7263),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHchapter] = ACTIONS(7263),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHaddchap] = ACTIONS(7263),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHsection] = ACTIONS(7263),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHaddsec] = ACTIONS(7263),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHsubsection] = ACTIONS(7263),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7263),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHparagraph] = ACTIONS(7263),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7263),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHitem] = ACTIONS(7263),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7265),
    [anon_sym_LBRACE] = ACTIONS(7265),
    [sym_word] = ACTIONS(7263),
    [sym_placeholder] = ACTIONS(7265),
    [sym_delimiter] = ACTIONS(7265),
    [anon_sym_PLUS] = ACTIONS(7265),
    [anon_sym_DASH] = ACTIONS(7265),
    [anon_sym_STAR] = ACTIONS(7265),
    [anon_sym_SLASH] = ACTIONS(7265),
    [anon_sym_LT] = ACTIONS(7263),
    [anon_sym_GT] = ACTIONS(7263),
    [anon_sym_BANG] = ACTIONS(7263),
    [anon_sym_PIPE] = ACTIONS(7263),
    [anon_sym_COLON] = ACTIONS(7263),
    [anon_sym_SQUOTE] = ACTIONS(7263),
    [anon_sym__] = ACTIONS(7265),
    [anon_sym_CARET] = ACTIONS(7265),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7265),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7265),
    [anon_sym_DOLLAR] = ACTIONS(7263),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7265),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7265),
    [anon_sym_BSLASHleft] = ACTIONS(7263),
    [anon_sym_BSLASHbigl] = ACTIONS(7263),
    [anon_sym_BSLASHBigl] = ACTIONS(7263),
    [anon_sym_BSLASHbiggl] = ACTIONS(7263),
    [anon_sym_BSLASHBiggl] = ACTIONS(7263),
    [anon_sym_BSLASHtext] = ACTIONS(7263),
    [anon_sym_BSLASHintertext] = ACTIONS(7263),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7263),
    [anon_sym_BSLASHbegin] = ACTIONS(7263),
    [anon_sym_BSLASHtitle] = ACTIONS(7263),
    [anon_sym_BSLASHauthor] = ACTIONS(7263),
    [anon_sym_BSLASHusepackage] = ACTIONS(7263),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7263),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7263),
    [anon_sym_BSLASHinclude] = ACTIONS(7263),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7263),
    [anon_sym_BSLASHinput] = ACTIONS(7263),
    [anon_sym_BSLASHsubfile] = ACTIONS(7263),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7263),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7263),
    [anon_sym_BSLASHbibliography] = ACTIONS(7263),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7263),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7263),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7263),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7263),
    [anon_sym_BSLASHimport] = ACTIONS(7263),
    [anon_sym_BSLASHsubimport] = ACTIONS(7263),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7263),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7263),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7263),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7263),
    [anon_sym_BSLASHcaption] = ACTIONS(7263),
    [anon_sym_BSLASHcite] = ACTIONS(7263),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCite] = ACTIONS(7263),
    [anon_sym_BSLASHnocite] = ACTIONS(7263),
    [anon_sym_BSLASHcitet] = ACTIONS(7263),
    [anon_sym_BSLASHcitep] = ACTIONS(7263),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteA] = ACTIONS(7263),
    [anon_sym_BSLASHciteR] = ACTIONS(7263),
    [anon_sym_BSLASHciteS] = ACTIONS(7263),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7263),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7263),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7263),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7263),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteyear] = ACTIONS(7263),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitedate] = ACTIONS(7263),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteurl] = ACTIONS(7263),
    [anon_sym_BSLASHfullcite] = ACTIONS(7263),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7263),
    [anon_sym_BSLASHcitealt] = ACTIONS(7263),
    [anon_sym_BSLASHcitealp] = ACTIONS(7263),
    [anon_sym_BSLASHcitetext] = ACTIONS(7263),
    [anon_sym_BSLASHparencite] = ACTIONS(7263),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHParencite] = ACTIONS(7263),
    [anon_sym_BSLASHfootcite] = ACTIONS(7263),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7263),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7263),
    [anon_sym_BSLASHtextcite] = ACTIONS(7263),
    [anon_sym_BSLASHTextcite] = ACTIONS(7263),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7263),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7263),
    [anon_sym_BSLASHsupercite] = ACTIONS(7263),
    [anon_sym_BSLASHautocite] = ACTIONS(7263),
    [anon_sym_BSLASHAutocite] = ACTIONS(7263),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHVolcite] = ACTIONS(7263),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHavolcite] = ACTIONS(7263),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHNotecite] = ACTIONS(7263),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHlabel] = ACTIONS(7263),
    [anon_sym_BSLASHref] = ACTIONS(7263),
    [anon_sym_BSLASHeqref] = ACTIONS(7263),
    [anon_sym_BSLASHvref] = ACTIONS(7263),
    [anon_sym_BSLASHVref] = ACTIONS(7263),
    [anon_sym_BSLASHautoref] = ACTIONS(7263),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHpageref] = ACTIONS(7263),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHautopageref] = ACTIONS(7263),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcref] = ACTIONS(7263),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCref] = ACTIONS(7263),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcpageref] = ACTIONS(7263),
    [anon_sym_BSLASHCpageref] = ACTIONS(7263),
    [anon_sym_BSLASHnamecref] = ACTIONS(7263),
    [anon_sym_BSLASHnameCref] = ACTIONS(7263),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7263),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7263),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7263),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7263),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7263),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7263),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7263),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7263),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7263),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7263),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7263),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHdef] = ACTIONS(7263),
    [anon_sym_BSLASHgdef] = ACTIONS(7263),
    [anon_sym_BSLASHedef] = ACTIONS(7263),
    [anon_sym_BSLASHxdef] = ACTIONS(7263),
    [anon_sym_BSLASHlet] = ACTIONS(7263),
    [anon_sym_BSLASHglet] = ACTIONS(7263),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7263),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7263),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7263),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7263),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7263),
    [anon_sym_BSLASHgls] = ACTIONS(7263),
    [anon_sym_BSLASHGls] = ACTIONS(7263),
    [anon_sym_BSLASHGLS] = ACTIONS(7263),
    [anon_sym_BSLASHglspl] = ACTIONS(7263),
    [anon_sym_BSLASHGlspl] = ACTIONS(7263),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7263),
    [anon_sym_BSLASHglslink] = ACTIONS(7263),
    [anon_sym_BSLASHglstext] = ACTIONS(7263),
    [anon_sym_BSLASHGlstext] = ACTIONS(7263),
    [anon_sym_BSLASHGLStext] = ACTIONS(7263),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7263),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7263),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7263),
    [anon_sym_BSLASHglsplural] = ACTIONS(7263),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7263),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7263),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHglsname] = ACTIONS(7263),
    [anon_sym_BSLASHGlsname] = ACTIONS(7263),
    [anon_sym_BSLASHGLSname] = ACTIONS(7263),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7263),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7263),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7263),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7263),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7263),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7263),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7263),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7263),
    [anon_sym_BSLASHacrshort] = ACTIONS(7263),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7263),
    [anon_sym_BSLASHACRshort] = ACTIONS(7263),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHacrlong] = ACTIONS(7263),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7263),
    [anon_sym_BSLASHACRlong] = ACTIONS(7263),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHacrfull] = ACTIONS(7263),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7263),
    [anon_sym_BSLASHACRfull] = ACTIONS(7263),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHacs] = ACTIONS(7263),
    [anon_sym_BSLASHAcs] = ACTIONS(7263),
    [anon_sym_BSLASHacsp] = ACTIONS(7263),
    [anon_sym_BSLASHAcsp] = ACTIONS(7263),
    [anon_sym_BSLASHacl] = ACTIONS(7263),
    [anon_sym_BSLASHAcl] = ACTIONS(7263),
    [anon_sym_BSLASHaclp] = ACTIONS(7263),
    [anon_sym_BSLASHAclp] = ACTIONS(7263),
    [anon_sym_BSLASHacf] = ACTIONS(7263),
    [anon_sym_BSLASHAcf] = ACTIONS(7263),
    [anon_sym_BSLASHacfp] = ACTIONS(7263),
    [anon_sym_BSLASHAcfp] = ACTIONS(7263),
    [anon_sym_BSLASHac] = ACTIONS(7263),
    [anon_sym_BSLASHAc] = ACTIONS(7263),
    [anon_sym_BSLASHacp] = ACTIONS(7263),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7263),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7263),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7263),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7263),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7263),
    [anon_sym_BSLASHcolor] = ACTIONS(7263),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7263),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7263),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7263),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7263),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7263),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7263),
    [anon_sym_BSLASHurl] = ACTIONS(7263),
    [anon_sym_BSLASHhref] = ACTIONS(7263),
  },
  [1557] = {
    [sym_command_name] = ACTIONS(7411),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7411),
    [anon_sym_LBRACK] = ACTIONS(7413),
    [anon_sym_RBRACK] = ACTIONS(7413),
    [anon_sym_COMMA] = ACTIONS(7413),
    [anon_sym_EQ] = ACTIONS(7413),
    [anon_sym_LPAREN] = ACTIONS(7413),
    [anon_sym_RPAREN] = ACTIONS(7413),
    [anon_sym_BSLASHpart] = ACTIONS(7411),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHaddpart] = ACTIONS(7411),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHchapter] = ACTIONS(7411),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHaddchap] = ACTIONS(7411),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHsection] = ACTIONS(7411),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHaddsec] = ACTIONS(7411),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHsubsection] = ACTIONS(7411),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7411),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHparagraph] = ACTIONS(7411),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7411),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHitem] = ACTIONS(7411),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7413),
    [anon_sym_LBRACE] = ACTIONS(7413),
    [sym_word] = ACTIONS(7411),
    [sym_placeholder] = ACTIONS(7413),
    [sym_delimiter] = ACTIONS(7413),
    [anon_sym_PLUS] = ACTIONS(7413),
    [anon_sym_DASH] = ACTIONS(7413),
    [anon_sym_STAR] = ACTIONS(7413),
    [anon_sym_SLASH] = ACTIONS(7413),
    [anon_sym_LT] = ACTIONS(7411),
    [anon_sym_GT] = ACTIONS(7411),
    [anon_sym_BANG] = ACTIONS(7411),
    [anon_sym_PIPE] = ACTIONS(7411),
    [anon_sym_COLON] = ACTIONS(7411),
    [anon_sym_SQUOTE] = ACTIONS(7411),
    [anon_sym__] = ACTIONS(7413),
    [anon_sym_CARET] = ACTIONS(7413),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7413),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7413),
    [anon_sym_DOLLAR] = ACTIONS(7411),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7413),
    [anon_sym_BSLASHleft] = ACTIONS(7411),
    [anon_sym_BSLASHbigl] = ACTIONS(7411),
    [anon_sym_BSLASHBigl] = ACTIONS(7411),
    [anon_sym_BSLASHbiggl] = ACTIONS(7411),
    [anon_sym_BSLASHBiggl] = ACTIONS(7411),
    [anon_sym_BSLASHtext] = ACTIONS(7411),
    [anon_sym_BSLASHintertext] = ACTIONS(7411),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7411),
    [anon_sym_BSLASHbegin] = ACTIONS(7411),
    [anon_sym_BSLASHend] = ACTIONS(7411),
    [anon_sym_BSLASHtitle] = ACTIONS(7411),
    [anon_sym_BSLASHauthor] = ACTIONS(7411),
    [anon_sym_BSLASHusepackage] = ACTIONS(7411),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7411),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7411),
    [anon_sym_BSLASHinclude] = ACTIONS(7411),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7411),
    [anon_sym_BSLASHinput] = ACTIONS(7411),
    [anon_sym_BSLASHsubfile] = ACTIONS(7411),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7411),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7411),
    [anon_sym_BSLASHbibliography] = ACTIONS(7411),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7411),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7411),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7411),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7411),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7411),
    [anon_sym_BSLASHimport] = ACTIONS(7411),
    [anon_sym_BSLASHsubimport] = ACTIONS(7411),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7411),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7411),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7411),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7411),
    [anon_sym_BSLASHcaption] = ACTIONS(7411),
    [anon_sym_BSLASHcite] = ACTIONS(7411),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCite] = ACTIONS(7411),
    [anon_sym_BSLASHnocite] = ACTIONS(7411),
    [anon_sym_BSLASHcitet] = ACTIONS(7411),
    [anon_sym_BSLASHcitep] = ACTIONS(7411),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteA] = ACTIONS(7411),
    [anon_sym_BSLASHciteR] = ACTIONS(7411),
    [anon_sym_BSLASHciteS] = ACTIONS(7411),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7411),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7411),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7411),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7411),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteyear] = ACTIONS(7411),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitedate] = ACTIONS(7411),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteurl] = ACTIONS(7411),
    [anon_sym_BSLASHfullcite] = ACTIONS(7411),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7411),
    [anon_sym_BSLASHcitealt] = ACTIONS(7411),
    [anon_sym_BSLASHcitealp] = ACTIONS(7411),
    [anon_sym_BSLASHcitetext] = ACTIONS(7411),
    [anon_sym_BSLASHparencite] = ACTIONS(7411),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHParencite] = ACTIONS(7411),
    [anon_sym_BSLASHfootcite] = ACTIONS(7411),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7411),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7411),
    [anon_sym_BSLASHtextcite] = ACTIONS(7411),
    [anon_sym_BSLASHTextcite] = ACTIONS(7411),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7411),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7411),
    [anon_sym_BSLASHsupercite] = ACTIONS(7411),
    [anon_sym_BSLASHautocite] = ACTIONS(7411),
    [anon_sym_BSLASHAutocite] = ACTIONS(7411),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHVolcite] = ACTIONS(7411),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHavolcite] = ACTIONS(7411),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHNotecite] = ACTIONS(7411),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHlabel] = ACTIONS(7411),
    [anon_sym_BSLASHref] = ACTIONS(7411),
    [anon_sym_BSLASHeqref] = ACTIONS(7411),
    [anon_sym_BSLASHvref] = ACTIONS(7411),
    [anon_sym_BSLASHVref] = ACTIONS(7411),
    [anon_sym_BSLASHautoref] = ACTIONS(7411),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHpageref] = ACTIONS(7411),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHautopageref] = ACTIONS(7411),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcref] = ACTIONS(7411),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCref] = ACTIONS(7411),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcpageref] = ACTIONS(7411),
    [anon_sym_BSLASHCpageref] = ACTIONS(7411),
    [anon_sym_BSLASHnamecref] = ACTIONS(7411),
    [anon_sym_BSLASHnameCref] = ACTIONS(7411),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7411),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7411),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7411),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7411),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7411),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7411),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7411),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7411),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7411),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7411),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7411),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHdef] = ACTIONS(7411),
    [anon_sym_BSLASHgdef] = ACTIONS(7411),
    [anon_sym_BSLASHedef] = ACTIONS(7411),
    [anon_sym_BSLASHxdef] = ACTIONS(7411),
    [anon_sym_BSLASHlet] = ACTIONS(7411),
    [anon_sym_BSLASHglet] = ACTIONS(7411),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7411),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7411),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7411),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7411),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7411),
    [anon_sym_BSLASHgls] = ACTIONS(7411),
    [anon_sym_BSLASHGls] = ACTIONS(7411),
    [anon_sym_BSLASHGLS] = ACTIONS(7411),
    [anon_sym_BSLASHglspl] = ACTIONS(7411),
    [anon_sym_BSLASHGlspl] = ACTIONS(7411),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7411),
    [anon_sym_BSLASHglslink] = ACTIONS(7411),
    [anon_sym_BSLASHglstext] = ACTIONS(7411),
    [anon_sym_BSLASHGlstext] = ACTIONS(7411),
    [anon_sym_BSLASHGLStext] = ACTIONS(7411),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7411),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7411),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7411),
    [anon_sym_BSLASHglsplural] = ACTIONS(7411),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7411),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7411),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHglsname] = ACTIONS(7411),
    [anon_sym_BSLASHGlsname] = ACTIONS(7411),
    [anon_sym_BSLASHGLSname] = ACTIONS(7411),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7411),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7411),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7411),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7411),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7411),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7411),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7411),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7411),
    [anon_sym_BSLASHacrshort] = ACTIONS(7411),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7411),
    [anon_sym_BSLASHACRshort] = ACTIONS(7411),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHacrlong] = ACTIONS(7411),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7411),
    [anon_sym_BSLASHACRlong] = ACTIONS(7411),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHacrfull] = ACTIONS(7411),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7411),
    [anon_sym_BSLASHACRfull] = ACTIONS(7411),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHacs] = ACTIONS(7411),
    [anon_sym_BSLASHAcs] = ACTIONS(7411),
    [anon_sym_BSLASHacsp] = ACTIONS(7411),
    [anon_sym_BSLASHAcsp] = ACTIONS(7411),
    [anon_sym_BSLASHacl] = ACTIONS(7411),
    [anon_sym_BSLASHAcl] = ACTIONS(7411),
    [anon_sym_BSLASHaclp] = ACTIONS(7411),
    [anon_sym_BSLASHAclp] = ACTIONS(7411),
    [anon_sym_BSLASHacf] = ACTIONS(7411),
    [anon_sym_BSLASHAcf] = ACTIONS(7411),
    [anon_sym_BSLASHacfp] = ACTIONS(7411),
    [anon_sym_BSLASHAcfp] = ACTIONS(7411),
    [anon_sym_BSLASHac] = ACTIONS(7411),
    [anon_sym_BSLASHAc] = ACTIONS(7411),
    [anon_sym_BSLASHacp] = ACTIONS(7411),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7411),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7411),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7411),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7411),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7411),
    [anon_sym_BSLASHcolor] = ACTIONS(7411),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7411),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7411),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7411),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7411),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7411),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7411),
    [anon_sym_BSLASHurl] = ACTIONS(7411),
    [anon_sym_BSLASHhref] = ACTIONS(7411),
  },
  [1558] = {
    [sym_command_name] = ACTIONS(173),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(173),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_RBRACK] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_RPAREN] = ACTIONS(175),
    [anon_sym_BSLASHpart] = ACTIONS(173),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddpart] = ACTIONS(173),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(175),
    [anon_sym_BSLASHchapter] = ACTIONS(173),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddchap] = ACTIONS(173),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsection] = ACTIONS(173),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddsec] = ACTIONS(173),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubsection] = ACTIONS(173),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(173),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHparagraph] = ACTIONS(173),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(173),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(175),
    [anon_sym_BSLASHitem] = ACTIONS(173),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(175),
    [anon_sym_LBRACE] = ACTIONS(175),
    [sym_word] = ACTIONS(173),
    [sym_placeholder] = ACTIONS(175),
    [sym_delimiter] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym__] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(175),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(175),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(175),
    [anon_sym_DOLLAR] = ACTIONS(173),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(175),
    [anon_sym_BSLASHleft] = ACTIONS(173),
    [anon_sym_BSLASHbigl] = ACTIONS(173),
    [anon_sym_BSLASHBigl] = ACTIONS(173),
    [anon_sym_BSLASHbiggl] = ACTIONS(173),
    [anon_sym_BSLASHBiggl] = ACTIONS(173),
    [anon_sym_BSLASHtext] = ACTIONS(173),
    [anon_sym_BSLASHintertext] = ACTIONS(173),
    [anon_sym_BSLASHshortintertext] = ACTIONS(173),
    [anon_sym_BSLASHbegin] = ACTIONS(173),
    [anon_sym_BSLASHend] = ACTIONS(173),
    [anon_sym_BSLASHtitle] = ACTIONS(173),
    [anon_sym_BSLASHauthor] = ACTIONS(173),
    [anon_sym_BSLASHusepackage] = ACTIONS(173),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(173),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(173),
    [anon_sym_BSLASHinclude] = ACTIONS(173),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(173),
    [anon_sym_BSLASHinput] = ACTIONS(173),
    [anon_sym_BSLASHsubfile] = ACTIONS(173),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(173),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(173),
    [anon_sym_BSLASHbibliography] = ACTIONS(173),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(173),
    [anon_sym_BSLASHincludesvg] = ACTIONS(173),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(173),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(173),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(173),
    [anon_sym_BSLASHimport] = ACTIONS(173),
    [anon_sym_BSLASHsubimport] = ACTIONS(173),
    [anon_sym_BSLASHinputfrom] = ACTIONS(173),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(173),
    [anon_sym_BSLASHincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHcaption] = ACTIONS(173),
    [anon_sym_BSLASHcite] = ACTIONS(173),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCite] = ACTIONS(173),
    [anon_sym_BSLASHnocite] = ACTIONS(173),
    [anon_sym_BSLASHcitet] = ACTIONS(173),
    [anon_sym_BSLASHcitep] = ACTIONS(173),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteA] = ACTIONS(173),
    [anon_sym_BSLASHciteR] = ACTIONS(173),
    [anon_sym_BSLASHciteS] = ACTIONS(173),
    [anon_sym_BSLASHciteyearR] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(173),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitetitle] = ACTIONS(173),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteyear] = ACTIONS(173),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitedate] = ACTIONS(173),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteurl] = ACTIONS(173),
    [anon_sym_BSLASHfullcite] = ACTIONS(173),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(173),
    [anon_sym_BSLASHcitealt] = ACTIONS(173),
    [anon_sym_BSLASHcitealp] = ACTIONS(173),
    [anon_sym_BSLASHcitetext] = ACTIONS(173),
    [anon_sym_BSLASHparencite] = ACTIONS(173),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHParencite] = ACTIONS(173),
    [anon_sym_BSLASHfootcite] = ACTIONS(173),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(173),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(173),
    [anon_sym_BSLASHtextcite] = ACTIONS(173),
    [anon_sym_BSLASHTextcite] = ACTIONS(173),
    [anon_sym_BSLASHsmartcite] = ACTIONS(173),
    [anon_sym_BSLASHSmartcite] = ACTIONS(173),
    [anon_sym_BSLASHsupercite] = ACTIONS(173),
    [anon_sym_BSLASHautocite] = ACTIONS(173),
    [anon_sym_BSLASHAutocite] = ACTIONS(173),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHvolcite] = ACTIONS(173),
    [anon_sym_BSLASHVolcite] = ACTIONS(173),
    [anon_sym_BSLASHpvolcite] = ACTIONS(173),
    [anon_sym_BSLASHPvolcite] = ACTIONS(173),
    [anon_sym_BSLASHfvolcite] = ACTIONS(173),
    [anon_sym_BSLASHftvolcite] = ACTIONS(173),
    [anon_sym_BSLASHsvolcite] = ACTIONS(173),
    [anon_sym_BSLASHSvolcite] = ACTIONS(173),
    [anon_sym_BSLASHtvolcite] = ACTIONS(173),
    [anon_sym_BSLASHTvolcite] = ACTIONS(173),
    [anon_sym_BSLASHavolcite] = ACTIONS(173),
    [anon_sym_BSLASHAvolcite] = ACTIONS(173),
    [anon_sym_BSLASHnotecite] = ACTIONS(173),
    [anon_sym_BSLASHNotecite] = ACTIONS(173),
    [anon_sym_BSLASHpnotecite] = ACTIONS(173),
    [anon_sym_BSLASHPnotecite] = ACTIONS(173),
    [anon_sym_BSLASHfnotecite] = ACTIONS(173),
    [anon_sym_BSLASHlabel] = ACTIONS(173),
    [anon_sym_BSLASHref] = ACTIONS(173),
    [anon_sym_BSLASHeqref] = ACTIONS(173),
    [anon_sym_BSLASHvref] = ACTIONS(173),
    [anon_sym_BSLASHVref] = ACTIONS(173),
    [anon_sym_BSLASHautoref] = ACTIONS(173),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHpageref] = ACTIONS(173),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHautopageref] = ACTIONS(173),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcref] = ACTIONS(173),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCref] = ACTIONS(173),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpageref] = ACTIONS(173),
    [anon_sym_BSLASHCpageref] = ACTIONS(173),
    [anon_sym_BSLASHnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnameCref] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcrefrange] = ACTIONS(173),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCrefrange] = ACTIONS(173),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHnewlabel] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(173),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(173),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(173),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(175),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHdef] = ACTIONS(173),
    [anon_sym_BSLASHgdef] = ACTIONS(173),
    [anon_sym_BSLASHedef] = ACTIONS(173),
    [anon_sym_BSLASHxdef] = ACTIONS(173),
    [anon_sym_BSLASHlet] = ACTIONS(173),
    [anon_sym_BSLASHglet] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(173),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(173),
    [anon_sym_BSLASHgls] = ACTIONS(173),
    [anon_sym_BSLASHGls] = ACTIONS(173),
    [anon_sym_BSLASHGLS] = ACTIONS(173),
    [anon_sym_BSLASHglspl] = ACTIONS(173),
    [anon_sym_BSLASHGlspl] = ACTIONS(173),
    [anon_sym_BSLASHGLSpl] = ACTIONS(173),
    [anon_sym_BSLASHglsdisp] = ACTIONS(173),
    [anon_sym_BSLASHglslink] = ACTIONS(173),
    [anon_sym_BSLASHglstext] = ACTIONS(173),
    [anon_sym_BSLASHGlstext] = ACTIONS(173),
    [anon_sym_BSLASHGLStext] = ACTIONS(173),
    [anon_sym_BSLASHglsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(173),
    [anon_sym_BSLASHglsplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSplural] = ACTIONS(173),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHglsname] = ACTIONS(173),
    [anon_sym_BSLASHGlsname] = ACTIONS(173),
    [anon_sym_BSLASHGLSname] = ACTIONS(173),
    [anon_sym_BSLASHglssymbol] = ACTIONS(173),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(173),
    [anon_sym_BSLASHglsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(173),
    [anon_sym_BSLASHglsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(173),
    [anon_sym_BSLASHglsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(173),
    [anon_sym_BSLASHglsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(173),
    [anon_sym_BSLASHglsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(173),
    [anon_sym_BSLASHnewacronym] = ACTIONS(173),
    [anon_sym_BSLASHacrshort] = ACTIONS(173),
    [anon_sym_BSLASHAcrshort] = ACTIONS(173),
    [anon_sym_BSLASHACRshort] = ACTIONS(173),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(173),
    [anon_sym_BSLASHacrlong] = ACTIONS(173),
    [anon_sym_BSLASHAcrlong] = ACTIONS(173),
    [anon_sym_BSLASHACRlong] = ACTIONS(173),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(173),
    [anon_sym_BSLASHacrfull] = ACTIONS(173),
    [anon_sym_BSLASHAcrfull] = ACTIONS(173),
    [anon_sym_BSLASHACRfull] = ACTIONS(173),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(173),
    [anon_sym_BSLASHacs] = ACTIONS(173),
    [anon_sym_BSLASHAcs] = ACTIONS(173),
    [anon_sym_BSLASHacsp] = ACTIONS(173),
    [anon_sym_BSLASHAcsp] = ACTIONS(173),
    [anon_sym_BSLASHacl] = ACTIONS(173),
    [anon_sym_BSLASHAcl] = ACTIONS(173),
    [anon_sym_BSLASHaclp] = ACTIONS(173),
    [anon_sym_BSLASHAclp] = ACTIONS(173),
    [anon_sym_BSLASHacf] = ACTIONS(173),
    [anon_sym_BSLASHAcf] = ACTIONS(173),
    [anon_sym_BSLASHacfp] = ACTIONS(173),
    [anon_sym_BSLASHAcfp] = ACTIONS(173),
    [anon_sym_BSLASHac] = ACTIONS(173),
    [anon_sym_BSLASHAc] = ACTIONS(173),
    [anon_sym_BSLASHacp] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(173),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(173),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(173),
    [anon_sym_BSLASHcolor] = ACTIONS(173),
    [anon_sym_BSLASHpagecolor] = ACTIONS(173),
    [anon_sym_BSLASHtextcolor] = ACTIONS(173),
    [anon_sym_BSLASHmathcolor] = ACTIONS(173),
    [anon_sym_BSLASHcolorbox] = ACTIONS(173),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(173),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(173),
    [anon_sym_BSLASHurl] = ACTIONS(173),
    [anon_sym_BSLASHhref] = ACTIONS(173),
  },
  [1559] = {
    [sym_command_name] = ACTIONS(7059),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7059),
    [anon_sym_LBRACK] = ACTIONS(7061),
    [anon_sym_RBRACK] = ACTIONS(7061),
    [anon_sym_COMMA] = ACTIONS(7061),
    [anon_sym_EQ] = ACTIONS(7061),
    [anon_sym_LPAREN] = ACTIONS(7061),
    [anon_sym_RPAREN] = ACTIONS(7061),
    [anon_sym_BSLASHpart] = ACTIONS(7059),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHaddpart] = ACTIONS(7059),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHchapter] = ACTIONS(7059),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHaddchap] = ACTIONS(7059),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHsection] = ACTIONS(7059),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHaddsec] = ACTIONS(7059),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHsubsection] = ACTIONS(7059),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7059),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHparagraph] = ACTIONS(7059),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7059),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHitem] = ACTIONS(7059),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7061),
    [anon_sym_LBRACE] = ACTIONS(7061),
    [sym_word] = ACTIONS(7059),
    [sym_placeholder] = ACTIONS(7061),
    [sym_delimiter] = ACTIONS(7061),
    [anon_sym_PLUS] = ACTIONS(7061),
    [anon_sym_DASH] = ACTIONS(7061),
    [anon_sym_STAR] = ACTIONS(7061),
    [anon_sym_SLASH] = ACTIONS(7061),
    [anon_sym_LT] = ACTIONS(7059),
    [anon_sym_GT] = ACTIONS(7059),
    [anon_sym_BANG] = ACTIONS(7059),
    [anon_sym_PIPE] = ACTIONS(7059),
    [anon_sym_COLON] = ACTIONS(7059),
    [anon_sym_SQUOTE] = ACTIONS(7059),
    [anon_sym__] = ACTIONS(7061),
    [anon_sym_CARET] = ACTIONS(7061),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7061),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7061),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7061),
    [anon_sym_DOLLAR] = ACTIONS(7059),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7061),
    [anon_sym_BSLASHleft] = ACTIONS(7059),
    [anon_sym_BSLASHbigl] = ACTIONS(7059),
    [anon_sym_BSLASHBigl] = ACTIONS(7059),
    [anon_sym_BSLASHbiggl] = ACTIONS(7059),
    [anon_sym_BSLASHBiggl] = ACTIONS(7059),
    [anon_sym_BSLASHtext] = ACTIONS(7059),
    [anon_sym_BSLASHintertext] = ACTIONS(7059),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7059),
    [anon_sym_BSLASHbegin] = ACTIONS(7059),
    [anon_sym_BSLASHtitle] = ACTIONS(7059),
    [anon_sym_BSLASHauthor] = ACTIONS(7059),
    [anon_sym_BSLASHusepackage] = ACTIONS(7059),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7059),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7059),
    [anon_sym_BSLASHinclude] = ACTIONS(7059),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7059),
    [anon_sym_BSLASHinput] = ACTIONS(7059),
    [anon_sym_BSLASHsubfile] = ACTIONS(7059),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7059),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7059),
    [anon_sym_BSLASHbibliography] = ACTIONS(7059),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7059),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7059),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7059),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7059),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7059),
    [anon_sym_BSLASHimport] = ACTIONS(7059),
    [anon_sym_BSLASHsubimport] = ACTIONS(7059),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7059),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7059),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7059),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7059),
    [anon_sym_BSLASHcaption] = ACTIONS(7059),
    [anon_sym_BSLASHcite] = ACTIONS(7059),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHCite] = ACTIONS(7059),
    [anon_sym_BSLASHnocite] = ACTIONS(7059),
    [anon_sym_BSLASHcitet] = ACTIONS(7059),
    [anon_sym_BSLASHcitep] = ACTIONS(7059),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHciteA] = ACTIONS(7059),
    [anon_sym_BSLASHciteR] = ACTIONS(7059),
    [anon_sym_BSLASHciteS] = ACTIONS(7059),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7059),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7059),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7059),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7059),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHciteyear] = ACTIONS(7059),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcitedate] = ACTIONS(7059),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHciteurl] = ACTIONS(7059),
    [anon_sym_BSLASHfullcite] = ACTIONS(7059),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7059),
    [anon_sym_BSLASHcitealt] = ACTIONS(7059),
    [anon_sym_BSLASHcitealp] = ACTIONS(7059),
    [anon_sym_BSLASHcitetext] = ACTIONS(7059),
    [anon_sym_BSLASHparencite] = ACTIONS(7059),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHParencite] = ACTIONS(7059),
    [anon_sym_BSLASHfootcite] = ACTIONS(7059),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7059),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7059),
    [anon_sym_BSLASHtextcite] = ACTIONS(7059),
    [anon_sym_BSLASHTextcite] = ACTIONS(7059),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7059),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7059),
    [anon_sym_BSLASHsupercite] = ACTIONS(7059),
    [anon_sym_BSLASHautocite] = ACTIONS(7059),
    [anon_sym_BSLASHAutocite] = ACTIONS(7059),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHVolcite] = ACTIONS(7059),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHavolcite] = ACTIONS(7059),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHnotecite] = ACTIONS(7059),
    [anon_sym_BSLASHNotecite] = ACTIONS(7059),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7059),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7059),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7059),
    [anon_sym_BSLASHlabel] = ACTIONS(7059),
    [anon_sym_BSLASHref] = ACTIONS(7059),
    [anon_sym_BSLASHeqref] = ACTIONS(7059),
    [anon_sym_BSLASHvref] = ACTIONS(7059),
    [anon_sym_BSLASHVref] = ACTIONS(7059),
    [anon_sym_BSLASHautoref] = ACTIONS(7059),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHpageref] = ACTIONS(7059),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHautopageref] = ACTIONS(7059),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcref] = ACTIONS(7059),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHCref] = ACTIONS(7059),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcpageref] = ACTIONS(7059),
    [anon_sym_BSLASHCpageref] = ACTIONS(7059),
    [anon_sym_BSLASHnamecref] = ACTIONS(7059),
    [anon_sym_BSLASHnameCref] = ACTIONS(7059),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7059),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7059),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7059),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7059),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7059),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7059),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7059),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7059),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7059),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7059),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7059),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7059),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7059),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7059),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7059),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7059),
    [anon_sym_BSLASHdef] = ACTIONS(7059),
    [anon_sym_BSLASHgdef] = ACTIONS(7059),
    [anon_sym_BSLASHedef] = ACTIONS(7059),
    [anon_sym_BSLASHxdef] = ACTIONS(7059),
    [anon_sym_BSLASHlet] = ACTIONS(7059),
    [anon_sym_BSLASHglet] = ACTIONS(7059),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7059),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7059),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7059),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7059),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7059),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7059),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7059),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7059),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7059),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7059),
    [anon_sym_BSLASHgls] = ACTIONS(7059),
    [anon_sym_BSLASHGls] = ACTIONS(7059),
    [anon_sym_BSLASHGLS] = ACTIONS(7059),
    [anon_sym_BSLASHglspl] = ACTIONS(7059),
    [anon_sym_BSLASHGlspl] = ACTIONS(7059),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7059),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7059),
    [anon_sym_BSLASHglslink] = ACTIONS(7059),
    [anon_sym_BSLASHglstext] = ACTIONS(7059),
    [anon_sym_BSLASHGlstext] = ACTIONS(7059),
    [anon_sym_BSLASHGLStext] = ACTIONS(7059),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7059),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7059),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7059),
    [anon_sym_BSLASHglsplural] = ACTIONS(7059),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7059),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7059),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7059),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7059),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7059),
    [anon_sym_BSLASHglsname] = ACTIONS(7059),
    [anon_sym_BSLASHGlsname] = ACTIONS(7059),
    [anon_sym_BSLASHGLSname] = ACTIONS(7059),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7059),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7059),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7059),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7059),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7059),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7059),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7059),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7059),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7059),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7059),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7059),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7059),
    [anon_sym_BSLASHacrshort] = ACTIONS(7059),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7059),
    [anon_sym_BSLASHACRshort] = ACTIONS(7059),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHacrlong] = ACTIONS(7059),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7059),
    [anon_sym_BSLASHACRlong] = ACTIONS(7059),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7059),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7059),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7059),
    [anon_sym_BSLASHacrfull] = ACTIONS(7059),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7059),
    [anon_sym_BSLASHACRfull] = ACTIONS(7059),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHacs] = ACTIONS(7059),
    [anon_sym_BSLASHAcs] = ACTIONS(7059),
    [anon_sym_BSLASHacsp] = ACTIONS(7059),
    [anon_sym_BSLASHAcsp] = ACTIONS(7059),
    [anon_sym_BSLASHacl] = ACTIONS(7059),
    [anon_sym_BSLASHAcl] = ACTIONS(7059),
    [anon_sym_BSLASHaclp] = ACTIONS(7059),
    [anon_sym_BSLASHAclp] = ACTIONS(7059),
    [anon_sym_BSLASHacf] = ACTIONS(7059),
    [anon_sym_BSLASHAcf] = ACTIONS(7059),
    [anon_sym_BSLASHacfp] = ACTIONS(7059),
    [anon_sym_BSLASHAcfp] = ACTIONS(7059),
    [anon_sym_BSLASHac] = ACTIONS(7059),
    [anon_sym_BSLASHAc] = ACTIONS(7059),
    [anon_sym_BSLASHacp] = ACTIONS(7059),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7059),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7059),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7059),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7059),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7059),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7059),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7059),
    [anon_sym_BSLASHcolor] = ACTIONS(7059),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7059),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7059),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7059),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7059),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7059),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7059),
    [anon_sym_BSLASHurl] = ACTIONS(7059),
    [anon_sym_BSLASHhref] = ACTIONS(7059),
  },
  [1560] = {
    [sym_command_name] = ACTIONS(7063),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7063),
    [anon_sym_LBRACK] = ACTIONS(7065),
    [anon_sym_RBRACK] = ACTIONS(7065),
    [anon_sym_COMMA] = ACTIONS(7065),
    [anon_sym_EQ] = ACTIONS(7065),
    [anon_sym_LPAREN] = ACTIONS(7065),
    [anon_sym_RPAREN] = ACTIONS(7065),
    [anon_sym_BSLASHpart] = ACTIONS(7063),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHaddpart] = ACTIONS(7063),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHchapter] = ACTIONS(7063),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHaddchap] = ACTIONS(7063),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHsection] = ACTIONS(7063),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHaddsec] = ACTIONS(7063),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHsubsection] = ACTIONS(7063),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7063),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHparagraph] = ACTIONS(7063),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7063),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHitem] = ACTIONS(7063),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7065),
    [anon_sym_LBRACE] = ACTIONS(7065),
    [sym_word] = ACTIONS(7063),
    [sym_placeholder] = ACTIONS(7065),
    [sym_delimiter] = ACTIONS(7065),
    [anon_sym_PLUS] = ACTIONS(7065),
    [anon_sym_DASH] = ACTIONS(7065),
    [anon_sym_STAR] = ACTIONS(7065),
    [anon_sym_SLASH] = ACTIONS(7065),
    [anon_sym_LT] = ACTIONS(7063),
    [anon_sym_GT] = ACTIONS(7063),
    [anon_sym_BANG] = ACTIONS(7063),
    [anon_sym_PIPE] = ACTIONS(7063),
    [anon_sym_COLON] = ACTIONS(7063),
    [anon_sym_SQUOTE] = ACTIONS(7063),
    [anon_sym__] = ACTIONS(7065),
    [anon_sym_CARET] = ACTIONS(7065),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7065),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7065),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7065),
    [anon_sym_DOLLAR] = ACTIONS(7063),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7065),
    [anon_sym_BSLASHleft] = ACTIONS(7063),
    [anon_sym_BSLASHbigl] = ACTIONS(7063),
    [anon_sym_BSLASHBigl] = ACTIONS(7063),
    [anon_sym_BSLASHbiggl] = ACTIONS(7063),
    [anon_sym_BSLASHBiggl] = ACTIONS(7063),
    [anon_sym_BSLASHtext] = ACTIONS(7063),
    [anon_sym_BSLASHintertext] = ACTIONS(7063),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7063),
    [anon_sym_BSLASHbegin] = ACTIONS(7063),
    [anon_sym_BSLASHtitle] = ACTIONS(7063),
    [anon_sym_BSLASHauthor] = ACTIONS(7063),
    [anon_sym_BSLASHusepackage] = ACTIONS(7063),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7063),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7063),
    [anon_sym_BSLASHinclude] = ACTIONS(7063),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7063),
    [anon_sym_BSLASHinput] = ACTIONS(7063),
    [anon_sym_BSLASHsubfile] = ACTIONS(7063),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7063),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7063),
    [anon_sym_BSLASHbibliography] = ACTIONS(7063),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7063),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7063),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7063),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7063),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7063),
    [anon_sym_BSLASHimport] = ACTIONS(7063),
    [anon_sym_BSLASHsubimport] = ACTIONS(7063),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7063),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7063),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7063),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7063),
    [anon_sym_BSLASHcaption] = ACTIONS(7063),
    [anon_sym_BSLASHcite] = ACTIONS(7063),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHCite] = ACTIONS(7063),
    [anon_sym_BSLASHnocite] = ACTIONS(7063),
    [anon_sym_BSLASHcitet] = ACTIONS(7063),
    [anon_sym_BSLASHcitep] = ACTIONS(7063),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHciteA] = ACTIONS(7063),
    [anon_sym_BSLASHciteR] = ACTIONS(7063),
    [anon_sym_BSLASHciteS] = ACTIONS(7063),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7063),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7063),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7063),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7063),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHciteyear] = ACTIONS(7063),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcitedate] = ACTIONS(7063),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHciteurl] = ACTIONS(7063),
    [anon_sym_BSLASHfullcite] = ACTIONS(7063),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7063),
    [anon_sym_BSLASHcitealt] = ACTIONS(7063),
    [anon_sym_BSLASHcitealp] = ACTIONS(7063),
    [anon_sym_BSLASHcitetext] = ACTIONS(7063),
    [anon_sym_BSLASHparencite] = ACTIONS(7063),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHParencite] = ACTIONS(7063),
    [anon_sym_BSLASHfootcite] = ACTIONS(7063),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7063),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7063),
    [anon_sym_BSLASHtextcite] = ACTIONS(7063),
    [anon_sym_BSLASHTextcite] = ACTIONS(7063),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7063),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7063),
    [anon_sym_BSLASHsupercite] = ACTIONS(7063),
    [anon_sym_BSLASHautocite] = ACTIONS(7063),
    [anon_sym_BSLASHAutocite] = ACTIONS(7063),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHVolcite] = ACTIONS(7063),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHavolcite] = ACTIONS(7063),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHnotecite] = ACTIONS(7063),
    [anon_sym_BSLASHNotecite] = ACTIONS(7063),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7063),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7063),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7063),
    [anon_sym_BSLASHlabel] = ACTIONS(7063),
    [anon_sym_BSLASHref] = ACTIONS(7063),
    [anon_sym_BSLASHeqref] = ACTIONS(7063),
    [anon_sym_BSLASHvref] = ACTIONS(7063),
    [anon_sym_BSLASHVref] = ACTIONS(7063),
    [anon_sym_BSLASHautoref] = ACTIONS(7063),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHpageref] = ACTIONS(7063),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHautopageref] = ACTIONS(7063),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcref] = ACTIONS(7063),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHCref] = ACTIONS(7063),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcpageref] = ACTIONS(7063),
    [anon_sym_BSLASHCpageref] = ACTIONS(7063),
    [anon_sym_BSLASHnamecref] = ACTIONS(7063),
    [anon_sym_BSLASHnameCref] = ACTIONS(7063),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7063),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7063),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7063),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7063),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7063),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7063),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7063),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7063),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7063),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7063),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7063),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7063),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7063),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7063),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7063),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7063),
    [anon_sym_BSLASHdef] = ACTIONS(7063),
    [anon_sym_BSLASHgdef] = ACTIONS(7063),
    [anon_sym_BSLASHedef] = ACTIONS(7063),
    [anon_sym_BSLASHxdef] = ACTIONS(7063),
    [anon_sym_BSLASHlet] = ACTIONS(7063),
    [anon_sym_BSLASHglet] = ACTIONS(7063),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7063),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7063),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7063),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7063),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7063),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7063),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7063),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7063),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7063),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7063),
    [anon_sym_BSLASHgls] = ACTIONS(7063),
    [anon_sym_BSLASHGls] = ACTIONS(7063),
    [anon_sym_BSLASHGLS] = ACTIONS(7063),
    [anon_sym_BSLASHglspl] = ACTIONS(7063),
    [anon_sym_BSLASHGlspl] = ACTIONS(7063),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7063),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7063),
    [anon_sym_BSLASHglslink] = ACTIONS(7063),
    [anon_sym_BSLASHglstext] = ACTIONS(7063),
    [anon_sym_BSLASHGlstext] = ACTIONS(7063),
    [anon_sym_BSLASHGLStext] = ACTIONS(7063),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7063),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7063),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7063),
    [anon_sym_BSLASHglsplural] = ACTIONS(7063),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7063),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7063),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7063),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7063),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7063),
    [anon_sym_BSLASHglsname] = ACTIONS(7063),
    [anon_sym_BSLASHGlsname] = ACTIONS(7063),
    [anon_sym_BSLASHGLSname] = ACTIONS(7063),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7063),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7063),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7063),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7063),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7063),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7063),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7063),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7063),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7063),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7063),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7063),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7063),
    [anon_sym_BSLASHacrshort] = ACTIONS(7063),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7063),
    [anon_sym_BSLASHACRshort] = ACTIONS(7063),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHacrlong] = ACTIONS(7063),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7063),
    [anon_sym_BSLASHACRlong] = ACTIONS(7063),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7063),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7063),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7063),
    [anon_sym_BSLASHacrfull] = ACTIONS(7063),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7063),
    [anon_sym_BSLASHACRfull] = ACTIONS(7063),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHacs] = ACTIONS(7063),
    [anon_sym_BSLASHAcs] = ACTIONS(7063),
    [anon_sym_BSLASHacsp] = ACTIONS(7063),
    [anon_sym_BSLASHAcsp] = ACTIONS(7063),
    [anon_sym_BSLASHacl] = ACTIONS(7063),
    [anon_sym_BSLASHAcl] = ACTIONS(7063),
    [anon_sym_BSLASHaclp] = ACTIONS(7063),
    [anon_sym_BSLASHAclp] = ACTIONS(7063),
    [anon_sym_BSLASHacf] = ACTIONS(7063),
    [anon_sym_BSLASHAcf] = ACTIONS(7063),
    [anon_sym_BSLASHacfp] = ACTIONS(7063),
    [anon_sym_BSLASHAcfp] = ACTIONS(7063),
    [anon_sym_BSLASHac] = ACTIONS(7063),
    [anon_sym_BSLASHAc] = ACTIONS(7063),
    [anon_sym_BSLASHacp] = ACTIONS(7063),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7063),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7063),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7063),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7063),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7063),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7063),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7063),
    [anon_sym_BSLASHcolor] = ACTIONS(7063),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7063),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7063),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7063),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7063),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7063),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7063),
    [anon_sym_BSLASHurl] = ACTIONS(7063),
    [anon_sym_BSLASHhref] = ACTIONS(7063),
  },
  [1561] = {
    [sym_command_name] = ACTIONS(169),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_COMMA] = ACTIONS(171),
    [anon_sym_EQ] = ACTIONS(171),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_BSLASHpart] = ACTIONS(169),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddpart] = ACTIONS(169),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(171),
    [anon_sym_BSLASHchapter] = ACTIONS(169),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddchap] = ACTIONS(169),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsection] = ACTIONS(169),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddsec] = ACTIONS(169),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubsection] = ACTIONS(169),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(169),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHparagraph] = ACTIONS(169),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(169),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(171),
    [anon_sym_BSLASHitem] = ACTIONS(169),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(171),
    [anon_sym_LBRACE] = ACTIONS(171),
    [sym_word] = ACTIONS(169),
    [sym_placeholder] = ACTIONS(171),
    [sym_delimiter] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_STAR] = ACTIONS(171),
    [anon_sym_SLASH] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(169),
    [anon_sym_GT] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_PIPE] = ACTIONS(169),
    [anon_sym_COLON] = ACTIONS(169),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym__] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(171),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(171),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(171),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(171),
    [anon_sym_BSLASHleft] = ACTIONS(169),
    [anon_sym_BSLASHbigl] = ACTIONS(169),
    [anon_sym_BSLASHBigl] = ACTIONS(169),
    [anon_sym_BSLASHbiggl] = ACTIONS(169),
    [anon_sym_BSLASHBiggl] = ACTIONS(169),
    [anon_sym_BSLASHtext] = ACTIONS(169),
    [anon_sym_BSLASHintertext] = ACTIONS(169),
    [anon_sym_BSLASHshortintertext] = ACTIONS(169),
    [anon_sym_BSLASHbegin] = ACTIONS(169),
    [anon_sym_BSLASHend] = ACTIONS(169),
    [anon_sym_BSLASHtitle] = ACTIONS(169),
    [anon_sym_BSLASHauthor] = ACTIONS(169),
    [anon_sym_BSLASHusepackage] = ACTIONS(169),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(169),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(169),
    [anon_sym_BSLASHinclude] = ACTIONS(169),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(169),
    [anon_sym_BSLASHinput] = ACTIONS(169),
    [anon_sym_BSLASHsubfile] = ACTIONS(169),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(169),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(169),
    [anon_sym_BSLASHbibliography] = ACTIONS(169),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(169),
    [anon_sym_BSLASHincludesvg] = ACTIONS(169),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(169),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(169),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(169),
    [anon_sym_BSLASHimport] = ACTIONS(169),
    [anon_sym_BSLASHsubimport] = ACTIONS(169),
    [anon_sym_BSLASHinputfrom] = ACTIONS(169),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(169),
    [anon_sym_BSLASHincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHcaption] = ACTIONS(169),
    [anon_sym_BSLASHcite] = ACTIONS(169),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCite] = ACTIONS(169),
    [anon_sym_BSLASHnocite] = ACTIONS(169),
    [anon_sym_BSLASHcitet] = ACTIONS(169),
    [anon_sym_BSLASHcitep] = ACTIONS(169),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteA] = ACTIONS(169),
    [anon_sym_BSLASHciteR] = ACTIONS(169),
    [anon_sym_BSLASHciteS] = ACTIONS(169),
    [anon_sym_BSLASHciteyearR] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(169),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitetitle] = ACTIONS(169),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteyear] = ACTIONS(169),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitedate] = ACTIONS(169),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteurl] = ACTIONS(169),
    [anon_sym_BSLASHfullcite] = ACTIONS(169),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(169),
    [anon_sym_BSLASHcitealt] = ACTIONS(169),
    [anon_sym_BSLASHcitealp] = ACTIONS(169),
    [anon_sym_BSLASHcitetext] = ACTIONS(169),
    [anon_sym_BSLASHparencite] = ACTIONS(169),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHParencite] = ACTIONS(169),
    [anon_sym_BSLASHfootcite] = ACTIONS(169),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(169),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(169),
    [anon_sym_BSLASHtextcite] = ACTIONS(169),
    [anon_sym_BSLASHTextcite] = ACTIONS(169),
    [anon_sym_BSLASHsmartcite] = ACTIONS(169),
    [anon_sym_BSLASHSmartcite] = ACTIONS(169),
    [anon_sym_BSLASHsupercite] = ACTIONS(169),
    [anon_sym_BSLASHautocite] = ACTIONS(169),
    [anon_sym_BSLASHAutocite] = ACTIONS(169),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHvolcite] = ACTIONS(169),
    [anon_sym_BSLASHVolcite] = ACTIONS(169),
    [anon_sym_BSLASHpvolcite] = ACTIONS(169),
    [anon_sym_BSLASHPvolcite] = ACTIONS(169),
    [anon_sym_BSLASHfvolcite] = ACTIONS(169),
    [anon_sym_BSLASHftvolcite] = ACTIONS(169),
    [anon_sym_BSLASHsvolcite] = ACTIONS(169),
    [anon_sym_BSLASHSvolcite] = ACTIONS(169),
    [anon_sym_BSLASHtvolcite] = ACTIONS(169),
    [anon_sym_BSLASHTvolcite] = ACTIONS(169),
    [anon_sym_BSLASHavolcite] = ACTIONS(169),
    [anon_sym_BSLASHAvolcite] = ACTIONS(169),
    [anon_sym_BSLASHnotecite] = ACTIONS(169),
    [anon_sym_BSLASHNotecite] = ACTIONS(169),
    [anon_sym_BSLASHpnotecite] = ACTIONS(169),
    [anon_sym_BSLASHPnotecite] = ACTIONS(169),
    [anon_sym_BSLASHfnotecite] = ACTIONS(169),
    [anon_sym_BSLASHlabel] = ACTIONS(169),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHeqref] = ACTIONS(169),
    [anon_sym_BSLASHvref] = ACTIONS(169),
    [anon_sym_BSLASHVref] = ACTIONS(169),
    [anon_sym_BSLASHautoref] = ACTIONS(169),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHpageref] = ACTIONS(169),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHautopageref] = ACTIONS(169),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcref] = ACTIONS(169),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCref] = ACTIONS(169),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpageref] = ACTIONS(169),
    [anon_sym_BSLASHCpageref] = ACTIONS(169),
    [anon_sym_BSLASHnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnameCref] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcrefrange] = ACTIONS(169),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCrefrange] = ACTIONS(169),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHnewlabel] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(169),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(169),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(169),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(171),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHdef] = ACTIONS(169),
    [anon_sym_BSLASHgdef] = ACTIONS(169),
    [anon_sym_BSLASHedef] = ACTIONS(169),
    [anon_sym_BSLASHxdef] = ACTIONS(169),
    [anon_sym_BSLASHlet] = ACTIONS(169),
    [anon_sym_BSLASHglet] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(169),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(169),
    [anon_sym_BSLASHgls] = ACTIONS(169),
    [anon_sym_BSLASHGls] = ACTIONS(169),
    [anon_sym_BSLASHGLS] = ACTIONS(169),
    [anon_sym_BSLASHglspl] = ACTIONS(169),
    [anon_sym_BSLASHGlspl] = ACTIONS(169),
    [anon_sym_BSLASHGLSpl] = ACTIONS(169),
    [anon_sym_BSLASHglsdisp] = ACTIONS(169),
    [anon_sym_BSLASHglslink] = ACTIONS(169),
    [anon_sym_BSLASHglstext] = ACTIONS(169),
    [anon_sym_BSLASHGlstext] = ACTIONS(169),
    [anon_sym_BSLASHGLStext] = ACTIONS(169),
    [anon_sym_BSLASHglsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(169),
    [anon_sym_BSLASHglsplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSplural] = ACTIONS(169),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHglsname] = ACTIONS(169),
    [anon_sym_BSLASHGlsname] = ACTIONS(169),
    [anon_sym_BSLASHGLSname] = ACTIONS(169),
    [anon_sym_BSLASHglssymbol] = ACTIONS(169),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(169),
    [anon_sym_BSLASHglsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(169),
    [anon_sym_BSLASHglsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(169),
    [anon_sym_BSLASHglsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(169),
    [anon_sym_BSLASHglsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(169),
    [anon_sym_BSLASHglsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(169),
    [anon_sym_BSLASHnewacronym] = ACTIONS(169),
    [anon_sym_BSLASHacrshort] = ACTIONS(169),
    [anon_sym_BSLASHAcrshort] = ACTIONS(169),
    [anon_sym_BSLASHACRshort] = ACTIONS(169),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(169),
    [anon_sym_BSLASHacrlong] = ACTIONS(169),
    [anon_sym_BSLASHAcrlong] = ACTIONS(169),
    [anon_sym_BSLASHACRlong] = ACTIONS(169),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(169),
    [anon_sym_BSLASHacrfull] = ACTIONS(169),
    [anon_sym_BSLASHAcrfull] = ACTIONS(169),
    [anon_sym_BSLASHACRfull] = ACTIONS(169),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(169),
    [anon_sym_BSLASHacs] = ACTIONS(169),
    [anon_sym_BSLASHAcs] = ACTIONS(169),
    [anon_sym_BSLASHacsp] = ACTIONS(169),
    [anon_sym_BSLASHAcsp] = ACTIONS(169),
    [anon_sym_BSLASHacl] = ACTIONS(169),
    [anon_sym_BSLASHAcl] = ACTIONS(169),
    [anon_sym_BSLASHaclp] = ACTIONS(169),
    [anon_sym_BSLASHAclp] = ACTIONS(169),
    [anon_sym_BSLASHacf] = ACTIONS(169),
    [anon_sym_BSLASHAcf] = ACTIONS(169),
    [anon_sym_BSLASHacfp] = ACTIONS(169),
    [anon_sym_BSLASHAcfp] = ACTIONS(169),
    [anon_sym_BSLASHac] = ACTIONS(169),
    [anon_sym_BSLASHAc] = ACTIONS(169),
    [anon_sym_BSLASHacp] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(169),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(169),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(169),
    [anon_sym_BSLASHcolor] = ACTIONS(169),
    [anon_sym_BSLASHpagecolor] = ACTIONS(169),
    [anon_sym_BSLASHtextcolor] = ACTIONS(169),
    [anon_sym_BSLASHmathcolor] = ACTIONS(169),
    [anon_sym_BSLASHcolorbox] = ACTIONS(169),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(169),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(169),
    [anon_sym_BSLASHurl] = ACTIONS(169),
    [anon_sym_BSLASHhref] = ACTIONS(169),
  },
  [1562] = {
    [sym_command_name] = ACTIONS(7267),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7267),
    [anon_sym_LBRACK] = ACTIONS(7269),
    [anon_sym_RBRACK] = ACTIONS(7269),
    [anon_sym_COMMA] = ACTIONS(7269),
    [anon_sym_EQ] = ACTIONS(7269),
    [anon_sym_LPAREN] = ACTIONS(7269),
    [anon_sym_RPAREN] = ACTIONS(7269),
    [anon_sym_BSLASHpart] = ACTIONS(7267),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHaddpart] = ACTIONS(7267),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHchapter] = ACTIONS(7267),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHaddchap] = ACTIONS(7267),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHsection] = ACTIONS(7267),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHaddsec] = ACTIONS(7267),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHsubsection] = ACTIONS(7267),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7267),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHparagraph] = ACTIONS(7267),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7267),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHitem] = ACTIONS(7267),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7269),
    [anon_sym_LBRACE] = ACTIONS(7269),
    [sym_word] = ACTIONS(7267),
    [sym_placeholder] = ACTIONS(7269),
    [sym_delimiter] = ACTIONS(7269),
    [anon_sym_PLUS] = ACTIONS(7269),
    [anon_sym_DASH] = ACTIONS(7269),
    [anon_sym_STAR] = ACTIONS(7269),
    [anon_sym_SLASH] = ACTIONS(7269),
    [anon_sym_LT] = ACTIONS(7267),
    [anon_sym_GT] = ACTIONS(7267),
    [anon_sym_BANG] = ACTIONS(7267),
    [anon_sym_PIPE] = ACTIONS(7267),
    [anon_sym_COLON] = ACTIONS(7267),
    [anon_sym_SQUOTE] = ACTIONS(7267),
    [anon_sym__] = ACTIONS(7269),
    [anon_sym_CARET] = ACTIONS(7269),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7269),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7269),
    [anon_sym_DOLLAR] = ACTIONS(7267),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7269),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7269),
    [anon_sym_BSLASHleft] = ACTIONS(7267),
    [anon_sym_BSLASHbigl] = ACTIONS(7267),
    [anon_sym_BSLASHBigl] = ACTIONS(7267),
    [anon_sym_BSLASHbiggl] = ACTIONS(7267),
    [anon_sym_BSLASHBiggl] = ACTIONS(7267),
    [anon_sym_BSLASHtext] = ACTIONS(7267),
    [anon_sym_BSLASHintertext] = ACTIONS(7267),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7267),
    [anon_sym_BSLASHbegin] = ACTIONS(7267),
    [anon_sym_BSLASHtitle] = ACTIONS(7267),
    [anon_sym_BSLASHauthor] = ACTIONS(7267),
    [anon_sym_BSLASHusepackage] = ACTIONS(7267),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7267),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7267),
    [anon_sym_BSLASHinclude] = ACTIONS(7267),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7267),
    [anon_sym_BSLASHinput] = ACTIONS(7267),
    [anon_sym_BSLASHsubfile] = ACTIONS(7267),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7267),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7267),
    [anon_sym_BSLASHbibliography] = ACTIONS(7267),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7267),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7267),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7267),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7267),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7267),
    [anon_sym_BSLASHimport] = ACTIONS(7267),
    [anon_sym_BSLASHsubimport] = ACTIONS(7267),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7267),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7267),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7267),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7267),
    [anon_sym_BSLASHcaption] = ACTIONS(7267),
    [anon_sym_BSLASHcite] = ACTIONS(7267),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCite] = ACTIONS(7267),
    [anon_sym_BSLASHnocite] = ACTIONS(7267),
    [anon_sym_BSLASHcitet] = ACTIONS(7267),
    [anon_sym_BSLASHcitep] = ACTIONS(7267),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteA] = ACTIONS(7267),
    [anon_sym_BSLASHciteR] = ACTIONS(7267),
    [anon_sym_BSLASHciteS] = ACTIONS(7267),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7267),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7267),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7267),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7267),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteyear] = ACTIONS(7267),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitedate] = ACTIONS(7267),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteurl] = ACTIONS(7267),
    [anon_sym_BSLASHfullcite] = ACTIONS(7267),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7267),
    [anon_sym_BSLASHcitealt] = ACTIONS(7267),
    [anon_sym_BSLASHcitealp] = ACTIONS(7267),
    [anon_sym_BSLASHcitetext] = ACTIONS(7267),
    [anon_sym_BSLASHparencite] = ACTIONS(7267),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHParencite] = ACTIONS(7267),
    [anon_sym_BSLASHfootcite] = ACTIONS(7267),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7267),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7267),
    [anon_sym_BSLASHtextcite] = ACTIONS(7267),
    [anon_sym_BSLASHTextcite] = ACTIONS(7267),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7267),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7267),
    [anon_sym_BSLASHsupercite] = ACTIONS(7267),
    [anon_sym_BSLASHautocite] = ACTIONS(7267),
    [anon_sym_BSLASHAutocite] = ACTIONS(7267),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHVolcite] = ACTIONS(7267),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHavolcite] = ACTIONS(7267),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHNotecite] = ACTIONS(7267),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHlabel] = ACTIONS(7267),
    [anon_sym_BSLASHref] = ACTIONS(7267),
    [anon_sym_BSLASHeqref] = ACTIONS(7267),
    [anon_sym_BSLASHvref] = ACTIONS(7267),
    [anon_sym_BSLASHVref] = ACTIONS(7267),
    [anon_sym_BSLASHautoref] = ACTIONS(7267),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHpageref] = ACTIONS(7267),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHautopageref] = ACTIONS(7267),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcref] = ACTIONS(7267),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCref] = ACTIONS(7267),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcpageref] = ACTIONS(7267),
    [anon_sym_BSLASHCpageref] = ACTIONS(7267),
    [anon_sym_BSLASHnamecref] = ACTIONS(7267),
    [anon_sym_BSLASHnameCref] = ACTIONS(7267),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7267),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7267),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7267),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7267),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7267),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7267),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7267),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7267),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7267),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7267),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7267),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHdef] = ACTIONS(7267),
    [anon_sym_BSLASHgdef] = ACTIONS(7267),
    [anon_sym_BSLASHedef] = ACTIONS(7267),
    [anon_sym_BSLASHxdef] = ACTIONS(7267),
    [anon_sym_BSLASHlet] = ACTIONS(7267),
    [anon_sym_BSLASHglet] = ACTIONS(7267),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7267),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7267),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7267),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7267),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7267),
    [anon_sym_BSLASHgls] = ACTIONS(7267),
    [anon_sym_BSLASHGls] = ACTIONS(7267),
    [anon_sym_BSLASHGLS] = ACTIONS(7267),
    [anon_sym_BSLASHglspl] = ACTIONS(7267),
    [anon_sym_BSLASHGlspl] = ACTIONS(7267),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7267),
    [anon_sym_BSLASHglslink] = ACTIONS(7267),
    [anon_sym_BSLASHglstext] = ACTIONS(7267),
    [anon_sym_BSLASHGlstext] = ACTIONS(7267),
    [anon_sym_BSLASHGLStext] = ACTIONS(7267),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7267),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7267),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7267),
    [anon_sym_BSLASHglsplural] = ACTIONS(7267),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7267),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7267),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHglsname] = ACTIONS(7267),
    [anon_sym_BSLASHGlsname] = ACTIONS(7267),
    [anon_sym_BSLASHGLSname] = ACTIONS(7267),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7267),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7267),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7267),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7267),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7267),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7267),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7267),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7267),
    [anon_sym_BSLASHacrshort] = ACTIONS(7267),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7267),
    [anon_sym_BSLASHACRshort] = ACTIONS(7267),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHacrlong] = ACTIONS(7267),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7267),
    [anon_sym_BSLASHACRlong] = ACTIONS(7267),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHacrfull] = ACTIONS(7267),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7267),
    [anon_sym_BSLASHACRfull] = ACTIONS(7267),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHacs] = ACTIONS(7267),
    [anon_sym_BSLASHAcs] = ACTIONS(7267),
    [anon_sym_BSLASHacsp] = ACTIONS(7267),
    [anon_sym_BSLASHAcsp] = ACTIONS(7267),
    [anon_sym_BSLASHacl] = ACTIONS(7267),
    [anon_sym_BSLASHAcl] = ACTIONS(7267),
    [anon_sym_BSLASHaclp] = ACTIONS(7267),
    [anon_sym_BSLASHAclp] = ACTIONS(7267),
    [anon_sym_BSLASHacf] = ACTIONS(7267),
    [anon_sym_BSLASHAcf] = ACTIONS(7267),
    [anon_sym_BSLASHacfp] = ACTIONS(7267),
    [anon_sym_BSLASHAcfp] = ACTIONS(7267),
    [anon_sym_BSLASHac] = ACTIONS(7267),
    [anon_sym_BSLASHAc] = ACTIONS(7267),
    [anon_sym_BSLASHacp] = ACTIONS(7267),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7267),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7267),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7267),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7267),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7267),
    [anon_sym_BSLASHcolor] = ACTIONS(7267),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7267),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7267),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7267),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7267),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7267),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7267),
    [anon_sym_BSLASHurl] = ACTIONS(7267),
    [anon_sym_BSLASHhref] = ACTIONS(7267),
  },
  [1563] = {
    [sym_command_name] = ACTIONS(7415),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7415),
    [anon_sym_LBRACK] = ACTIONS(7417),
    [anon_sym_RBRACK] = ACTIONS(7417),
    [anon_sym_COMMA] = ACTIONS(7417),
    [anon_sym_EQ] = ACTIONS(7417),
    [anon_sym_LPAREN] = ACTIONS(7417),
    [anon_sym_RPAREN] = ACTIONS(7417),
    [anon_sym_BSLASHpart] = ACTIONS(7415),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHaddpart] = ACTIONS(7415),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHchapter] = ACTIONS(7415),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHaddchap] = ACTIONS(7415),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHsection] = ACTIONS(7415),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHaddsec] = ACTIONS(7415),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHsubsection] = ACTIONS(7415),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7415),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHparagraph] = ACTIONS(7415),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7415),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHitem] = ACTIONS(7415),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7417),
    [anon_sym_LBRACE] = ACTIONS(7417),
    [sym_word] = ACTIONS(7415),
    [sym_placeholder] = ACTIONS(7417),
    [sym_delimiter] = ACTIONS(7417),
    [anon_sym_PLUS] = ACTIONS(7417),
    [anon_sym_DASH] = ACTIONS(7417),
    [anon_sym_STAR] = ACTIONS(7417),
    [anon_sym_SLASH] = ACTIONS(7417),
    [anon_sym_LT] = ACTIONS(7415),
    [anon_sym_GT] = ACTIONS(7415),
    [anon_sym_BANG] = ACTIONS(7415),
    [anon_sym_PIPE] = ACTIONS(7415),
    [anon_sym_COLON] = ACTIONS(7415),
    [anon_sym_SQUOTE] = ACTIONS(7415),
    [anon_sym__] = ACTIONS(7417),
    [anon_sym_CARET] = ACTIONS(7417),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7417),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7417),
    [anon_sym_DOLLAR] = ACTIONS(7415),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7417),
    [anon_sym_BSLASHleft] = ACTIONS(7415),
    [anon_sym_BSLASHbigl] = ACTIONS(7415),
    [anon_sym_BSLASHBigl] = ACTIONS(7415),
    [anon_sym_BSLASHbiggl] = ACTIONS(7415),
    [anon_sym_BSLASHBiggl] = ACTIONS(7415),
    [anon_sym_BSLASHtext] = ACTIONS(7415),
    [anon_sym_BSLASHintertext] = ACTIONS(7415),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7415),
    [anon_sym_BSLASHbegin] = ACTIONS(7415),
    [anon_sym_BSLASHend] = ACTIONS(7415),
    [anon_sym_BSLASHtitle] = ACTIONS(7415),
    [anon_sym_BSLASHauthor] = ACTIONS(7415),
    [anon_sym_BSLASHusepackage] = ACTIONS(7415),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7415),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7415),
    [anon_sym_BSLASHinclude] = ACTIONS(7415),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7415),
    [anon_sym_BSLASHinput] = ACTIONS(7415),
    [anon_sym_BSLASHsubfile] = ACTIONS(7415),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7415),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7415),
    [anon_sym_BSLASHbibliography] = ACTIONS(7415),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7415),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7415),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7415),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7415),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7415),
    [anon_sym_BSLASHimport] = ACTIONS(7415),
    [anon_sym_BSLASHsubimport] = ACTIONS(7415),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7415),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7415),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7415),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7415),
    [anon_sym_BSLASHcaption] = ACTIONS(7415),
    [anon_sym_BSLASHcite] = ACTIONS(7415),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCite] = ACTIONS(7415),
    [anon_sym_BSLASHnocite] = ACTIONS(7415),
    [anon_sym_BSLASHcitet] = ACTIONS(7415),
    [anon_sym_BSLASHcitep] = ACTIONS(7415),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteA] = ACTIONS(7415),
    [anon_sym_BSLASHciteR] = ACTIONS(7415),
    [anon_sym_BSLASHciteS] = ACTIONS(7415),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7415),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7415),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7415),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7415),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteyear] = ACTIONS(7415),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitedate] = ACTIONS(7415),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteurl] = ACTIONS(7415),
    [anon_sym_BSLASHfullcite] = ACTIONS(7415),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7415),
    [anon_sym_BSLASHcitealt] = ACTIONS(7415),
    [anon_sym_BSLASHcitealp] = ACTIONS(7415),
    [anon_sym_BSLASHcitetext] = ACTIONS(7415),
    [anon_sym_BSLASHparencite] = ACTIONS(7415),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHParencite] = ACTIONS(7415),
    [anon_sym_BSLASHfootcite] = ACTIONS(7415),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7415),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7415),
    [anon_sym_BSLASHtextcite] = ACTIONS(7415),
    [anon_sym_BSLASHTextcite] = ACTIONS(7415),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7415),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7415),
    [anon_sym_BSLASHsupercite] = ACTIONS(7415),
    [anon_sym_BSLASHautocite] = ACTIONS(7415),
    [anon_sym_BSLASHAutocite] = ACTIONS(7415),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHVolcite] = ACTIONS(7415),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHavolcite] = ACTIONS(7415),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHNotecite] = ACTIONS(7415),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHlabel] = ACTIONS(7415),
    [anon_sym_BSLASHref] = ACTIONS(7415),
    [anon_sym_BSLASHeqref] = ACTIONS(7415),
    [anon_sym_BSLASHvref] = ACTIONS(7415),
    [anon_sym_BSLASHVref] = ACTIONS(7415),
    [anon_sym_BSLASHautoref] = ACTIONS(7415),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHpageref] = ACTIONS(7415),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHautopageref] = ACTIONS(7415),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcref] = ACTIONS(7415),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCref] = ACTIONS(7415),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcpageref] = ACTIONS(7415),
    [anon_sym_BSLASHCpageref] = ACTIONS(7415),
    [anon_sym_BSLASHnamecref] = ACTIONS(7415),
    [anon_sym_BSLASHnameCref] = ACTIONS(7415),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7415),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7415),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7415),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7415),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7415),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7415),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7415),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7415),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7415),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7415),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7415),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHdef] = ACTIONS(7415),
    [anon_sym_BSLASHgdef] = ACTIONS(7415),
    [anon_sym_BSLASHedef] = ACTIONS(7415),
    [anon_sym_BSLASHxdef] = ACTIONS(7415),
    [anon_sym_BSLASHlet] = ACTIONS(7415),
    [anon_sym_BSLASHglet] = ACTIONS(7415),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7415),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7415),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7415),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7415),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7415),
    [anon_sym_BSLASHgls] = ACTIONS(7415),
    [anon_sym_BSLASHGls] = ACTIONS(7415),
    [anon_sym_BSLASHGLS] = ACTIONS(7415),
    [anon_sym_BSLASHglspl] = ACTIONS(7415),
    [anon_sym_BSLASHGlspl] = ACTIONS(7415),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7415),
    [anon_sym_BSLASHglslink] = ACTIONS(7415),
    [anon_sym_BSLASHglstext] = ACTIONS(7415),
    [anon_sym_BSLASHGlstext] = ACTIONS(7415),
    [anon_sym_BSLASHGLStext] = ACTIONS(7415),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7415),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7415),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7415),
    [anon_sym_BSLASHglsplural] = ACTIONS(7415),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7415),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7415),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHglsname] = ACTIONS(7415),
    [anon_sym_BSLASHGlsname] = ACTIONS(7415),
    [anon_sym_BSLASHGLSname] = ACTIONS(7415),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7415),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7415),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7415),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7415),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7415),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7415),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7415),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7415),
    [anon_sym_BSLASHacrshort] = ACTIONS(7415),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7415),
    [anon_sym_BSLASHACRshort] = ACTIONS(7415),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHacrlong] = ACTIONS(7415),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7415),
    [anon_sym_BSLASHACRlong] = ACTIONS(7415),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHacrfull] = ACTIONS(7415),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7415),
    [anon_sym_BSLASHACRfull] = ACTIONS(7415),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHacs] = ACTIONS(7415),
    [anon_sym_BSLASHAcs] = ACTIONS(7415),
    [anon_sym_BSLASHacsp] = ACTIONS(7415),
    [anon_sym_BSLASHAcsp] = ACTIONS(7415),
    [anon_sym_BSLASHacl] = ACTIONS(7415),
    [anon_sym_BSLASHAcl] = ACTIONS(7415),
    [anon_sym_BSLASHaclp] = ACTIONS(7415),
    [anon_sym_BSLASHAclp] = ACTIONS(7415),
    [anon_sym_BSLASHacf] = ACTIONS(7415),
    [anon_sym_BSLASHAcf] = ACTIONS(7415),
    [anon_sym_BSLASHacfp] = ACTIONS(7415),
    [anon_sym_BSLASHAcfp] = ACTIONS(7415),
    [anon_sym_BSLASHac] = ACTIONS(7415),
    [anon_sym_BSLASHAc] = ACTIONS(7415),
    [anon_sym_BSLASHacp] = ACTIONS(7415),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7415),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7415),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7415),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7415),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7415),
    [anon_sym_BSLASHcolor] = ACTIONS(7415),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7415),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7415),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7415),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7415),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7415),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7415),
    [anon_sym_BSLASHurl] = ACTIONS(7415),
    [anon_sym_BSLASHhref] = ACTIONS(7415),
  },
  [1564] = {
    [sym_command_name] = ACTIONS(7323),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7323),
    [anon_sym_LBRACK] = ACTIONS(7325),
    [anon_sym_RBRACK] = ACTIONS(7325),
    [anon_sym_COMMA] = ACTIONS(7325),
    [anon_sym_EQ] = ACTIONS(7325),
    [anon_sym_LPAREN] = ACTIONS(7325),
    [anon_sym_RPAREN] = ACTIONS(7325),
    [anon_sym_BSLASHpart] = ACTIONS(7323),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHaddpart] = ACTIONS(7323),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHchapter] = ACTIONS(7323),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHaddchap] = ACTIONS(7323),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHsection] = ACTIONS(7323),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHaddsec] = ACTIONS(7323),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHsubsection] = ACTIONS(7323),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7323),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHparagraph] = ACTIONS(7323),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7323),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHitem] = ACTIONS(7323),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7325),
    [anon_sym_LBRACE] = ACTIONS(7325),
    [sym_word] = ACTIONS(7323),
    [sym_placeholder] = ACTIONS(7325),
    [sym_delimiter] = ACTIONS(7325),
    [anon_sym_PLUS] = ACTIONS(7325),
    [anon_sym_DASH] = ACTIONS(7325),
    [anon_sym_STAR] = ACTIONS(7325),
    [anon_sym_SLASH] = ACTIONS(7325),
    [anon_sym_LT] = ACTIONS(7323),
    [anon_sym_GT] = ACTIONS(7323),
    [anon_sym_BANG] = ACTIONS(7323),
    [anon_sym_PIPE] = ACTIONS(7323),
    [anon_sym_COLON] = ACTIONS(7323),
    [anon_sym_SQUOTE] = ACTIONS(7323),
    [anon_sym__] = ACTIONS(7325),
    [anon_sym_CARET] = ACTIONS(7325),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7325),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7325),
    [anon_sym_DOLLAR] = ACTIONS(7323),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7325),
    [anon_sym_BSLASHleft] = ACTIONS(7323),
    [anon_sym_BSLASHbigl] = ACTIONS(7323),
    [anon_sym_BSLASHBigl] = ACTIONS(7323),
    [anon_sym_BSLASHbiggl] = ACTIONS(7323),
    [anon_sym_BSLASHBiggl] = ACTIONS(7323),
    [anon_sym_BSLASHtext] = ACTIONS(7323),
    [anon_sym_BSLASHintertext] = ACTIONS(7323),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7323),
    [anon_sym_BSLASHbegin] = ACTIONS(7323),
    [anon_sym_BSLASHend] = ACTIONS(7323),
    [anon_sym_BSLASHtitle] = ACTIONS(7323),
    [anon_sym_BSLASHauthor] = ACTIONS(7323),
    [anon_sym_BSLASHusepackage] = ACTIONS(7323),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7323),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7323),
    [anon_sym_BSLASHinclude] = ACTIONS(7323),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7323),
    [anon_sym_BSLASHinput] = ACTIONS(7323),
    [anon_sym_BSLASHsubfile] = ACTIONS(7323),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7323),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7323),
    [anon_sym_BSLASHbibliography] = ACTIONS(7323),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7323),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7323),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7323),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7323),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7323),
    [anon_sym_BSLASHimport] = ACTIONS(7323),
    [anon_sym_BSLASHsubimport] = ACTIONS(7323),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7323),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7323),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7323),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7323),
    [anon_sym_BSLASHcaption] = ACTIONS(7323),
    [anon_sym_BSLASHcite] = ACTIONS(7323),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCite] = ACTIONS(7323),
    [anon_sym_BSLASHnocite] = ACTIONS(7323),
    [anon_sym_BSLASHcitet] = ACTIONS(7323),
    [anon_sym_BSLASHcitep] = ACTIONS(7323),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteA] = ACTIONS(7323),
    [anon_sym_BSLASHciteR] = ACTIONS(7323),
    [anon_sym_BSLASHciteS] = ACTIONS(7323),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7323),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7323),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7323),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7323),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteyear] = ACTIONS(7323),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitedate] = ACTIONS(7323),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteurl] = ACTIONS(7323),
    [anon_sym_BSLASHfullcite] = ACTIONS(7323),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7323),
    [anon_sym_BSLASHcitealt] = ACTIONS(7323),
    [anon_sym_BSLASHcitealp] = ACTIONS(7323),
    [anon_sym_BSLASHcitetext] = ACTIONS(7323),
    [anon_sym_BSLASHparencite] = ACTIONS(7323),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHParencite] = ACTIONS(7323),
    [anon_sym_BSLASHfootcite] = ACTIONS(7323),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7323),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7323),
    [anon_sym_BSLASHtextcite] = ACTIONS(7323),
    [anon_sym_BSLASHTextcite] = ACTIONS(7323),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7323),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7323),
    [anon_sym_BSLASHsupercite] = ACTIONS(7323),
    [anon_sym_BSLASHautocite] = ACTIONS(7323),
    [anon_sym_BSLASHAutocite] = ACTIONS(7323),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHVolcite] = ACTIONS(7323),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHavolcite] = ACTIONS(7323),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHNotecite] = ACTIONS(7323),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHlabel] = ACTIONS(7323),
    [anon_sym_BSLASHref] = ACTIONS(7323),
    [anon_sym_BSLASHeqref] = ACTIONS(7323),
    [anon_sym_BSLASHvref] = ACTIONS(7323),
    [anon_sym_BSLASHVref] = ACTIONS(7323),
    [anon_sym_BSLASHautoref] = ACTIONS(7323),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHpageref] = ACTIONS(7323),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHautopageref] = ACTIONS(7323),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcref] = ACTIONS(7323),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCref] = ACTIONS(7323),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcpageref] = ACTIONS(7323),
    [anon_sym_BSLASHCpageref] = ACTIONS(7323),
    [anon_sym_BSLASHnamecref] = ACTIONS(7323),
    [anon_sym_BSLASHnameCref] = ACTIONS(7323),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7323),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7323),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7323),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7323),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7323),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7323),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7323),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7323),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7323),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7323),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7323),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHdef] = ACTIONS(7323),
    [anon_sym_BSLASHgdef] = ACTIONS(7323),
    [anon_sym_BSLASHedef] = ACTIONS(7323),
    [anon_sym_BSLASHxdef] = ACTIONS(7323),
    [anon_sym_BSLASHlet] = ACTIONS(7323),
    [anon_sym_BSLASHglet] = ACTIONS(7323),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7323),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7323),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7323),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7323),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7323),
    [anon_sym_BSLASHgls] = ACTIONS(7323),
    [anon_sym_BSLASHGls] = ACTIONS(7323),
    [anon_sym_BSLASHGLS] = ACTIONS(7323),
    [anon_sym_BSLASHglspl] = ACTIONS(7323),
    [anon_sym_BSLASHGlspl] = ACTIONS(7323),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7323),
    [anon_sym_BSLASHglslink] = ACTIONS(7323),
    [anon_sym_BSLASHglstext] = ACTIONS(7323),
    [anon_sym_BSLASHGlstext] = ACTIONS(7323),
    [anon_sym_BSLASHGLStext] = ACTIONS(7323),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7323),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7323),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7323),
    [anon_sym_BSLASHglsplural] = ACTIONS(7323),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7323),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7323),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHglsname] = ACTIONS(7323),
    [anon_sym_BSLASHGlsname] = ACTIONS(7323),
    [anon_sym_BSLASHGLSname] = ACTIONS(7323),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7323),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7323),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7323),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7323),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7323),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7323),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7323),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7323),
    [anon_sym_BSLASHacrshort] = ACTIONS(7323),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7323),
    [anon_sym_BSLASHACRshort] = ACTIONS(7323),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHacrlong] = ACTIONS(7323),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7323),
    [anon_sym_BSLASHACRlong] = ACTIONS(7323),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHacrfull] = ACTIONS(7323),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7323),
    [anon_sym_BSLASHACRfull] = ACTIONS(7323),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHacs] = ACTIONS(7323),
    [anon_sym_BSLASHAcs] = ACTIONS(7323),
    [anon_sym_BSLASHacsp] = ACTIONS(7323),
    [anon_sym_BSLASHAcsp] = ACTIONS(7323),
    [anon_sym_BSLASHacl] = ACTIONS(7323),
    [anon_sym_BSLASHAcl] = ACTIONS(7323),
    [anon_sym_BSLASHaclp] = ACTIONS(7323),
    [anon_sym_BSLASHAclp] = ACTIONS(7323),
    [anon_sym_BSLASHacf] = ACTIONS(7323),
    [anon_sym_BSLASHAcf] = ACTIONS(7323),
    [anon_sym_BSLASHacfp] = ACTIONS(7323),
    [anon_sym_BSLASHAcfp] = ACTIONS(7323),
    [anon_sym_BSLASHac] = ACTIONS(7323),
    [anon_sym_BSLASHAc] = ACTIONS(7323),
    [anon_sym_BSLASHacp] = ACTIONS(7323),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7323),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7323),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7323),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7323),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7323),
    [anon_sym_BSLASHcolor] = ACTIONS(7323),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7323),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7323),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7323),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7323),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7323),
    [anon_sym_BSLASHurl] = ACTIONS(7323),
    [anon_sym_BSLASHhref] = ACTIONS(7323),
  },
  [1565] = {
    [sym_command_name] = ACTIONS(7271),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7271),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_RBRACK] = ACTIONS(7273),
    [anon_sym_COMMA] = ACTIONS(7273),
    [anon_sym_EQ] = ACTIONS(7273),
    [anon_sym_LPAREN] = ACTIONS(7273),
    [anon_sym_RPAREN] = ACTIONS(7273),
    [anon_sym_BSLASHpart] = ACTIONS(7271),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHaddpart] = ACTIONS(7271),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHchapter] = ACTIONS(7271),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHaddchap] = ACTIONS(7271),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHsection] = ACTIONS(7271),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHaddsec] = ACTIONS(7271),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHsubsection] = ACTIONS(7271),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7271),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHparagraph] = ACTIONS(7271),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7271),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHitem] = ACTIONS(7271),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7273),
    [sym_word] = ACTIONS(7271),
    [sym_placeholder] = ACTIONS(7273),
    [sym_delimiter] = ACTIONS(7273),
    [anon_sym_PLUS] = ACTIONS(7273),
    [anon_sym_DASH] = ACTIONS(7273),
    [anon_sym_STAR] = ACTIONS(7273),
    [anon_sym_SLASH] = ACTIONS(7273),
    [anon_sym_LT] = ACTIONS(7271),
    [anon_sym_GT] = ACTIONS(7271),
    [anon_sym_BANG] = ACTIONS(7271),
    [anon_sym_PIPE] = ACTIONS(7271),
    [anon_sym_COLON] = ACTIONS(7271),
    [anon_sym_SQUOTE] = ACTIONS(7271),
    [anon_sym__] = ACTIONS(7273),
    [anon_sym_CARET] = ACTIONS(7273),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7273),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7273),
    [anon_sym_DOLLAR] = ACTIONS(7271),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7273),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7273),
    [anon_sym_BSLASHleft] = ACTIONS(7271),
    [anon_sym_BSLASHbigl] = ACTIONS(7271),
    [anon_sym_BSLASHBigl] = ACTIONS(7271),
    [anon_sym_BSLASHbiggl] = ACTIONS(7271),
    [anon_sym_BSLASHBiggl] = ACTIONS(7271),
    [anon_sym_BSLASHtext] = ACTIONS(7271),
    [anon_sym_BSLASHintertext] = ACTIONS(7271),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7271),
    [anon_sym_BSLASHbegin] = ACTIONS(7271),
    [anon_sym_BSLASHtitle] = ACTIONS(7271),
    [anon_sym_BSLASHauthor] = ACTIONS(7271),
    [anon_sym_BSLASHusepackage] = ACTIONS(7271),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7271),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7271),
    [anon_sym_BSLASHinclude] = ACTIONS(7271),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7271),
    [anon_sym_BSLASHinput] = ACTIONS(7271),
    [anon_sym_BSLASHsubfile] = ACTIONS(7271),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7271),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7271),
    [anon_sym_BSLASHbibliography] = ACTIONS(7271),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7271),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7271),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7271),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7271),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7271),
    [anon_sym_BSLASHimport] = ACTIONS(7271),
    [anon_sym_BSLASHsubimport] = ACTIONS(7271),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7271),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7271),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7271),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7271),
    [anon_sym_BSLASHcaption] = ACTIONS(7271),
    [anon_sym_BSLASHcite] = ACTIONS(7271),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCite] = ACTIONS(7271),
    [anon_sym_BSLASHnocite] = ACTIONS(7271),
    [anon_sym_BSLASHcitet] = ACTIONS(7271),
    [anon_sym_BSLASHcitep] = ACTIONS(7271),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteA] = ACTIONS(7271),
    [anon_sym_BSLASHciteR] = ACTIONS(7271),
    [anon_sym_BSLASHciteS] = ACTIONS(7271),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7271),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7271),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7271),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7271),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteyear] = ACTIONS(7271),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitedate] = ACTIONS(7271),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteurl] = ACTIONS(7271),
    [anon_sym_BSLASHfullcite] = ACTIONS(7271),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7271),
    [anon_sym_BSLASHcitealt] = ACTIONS(7271),
    [anon_sym_BSLASHcitealp] = ACTIONS(7271),
    [anon_sym_BSLASHcitetext] = ACTIONS(7271),
    [anon_sym_BSLASHparencite] = ACTIONS(7271),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHParencite] = ACTIONS(7271),
    [anon_sym_BSLASHfootcite] = ACTIONS(7271),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7271),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7271),
    [anon_sym_BSLASHtextcite] = ACTIONS(7271),
    [anon_sym_BSLASHTextcite] = ACTIONS(7271),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7271),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7271),
    [anon_sym_BSLASHsupercite] = ACTIONS(7271),
    [anon_sym_BSLASHautocite] = ACTIONS(7271),
    [anon_sym_BSLASHAutocite] = ACTIONS(7271),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHVolcite] = ACTIONS(7271),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHavolcite] = ACTIONS(7271),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHNotecite] = ACTIONS(7271),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHlabel] = ACTIONS(7271),
    [anon_sym_BSLASHref] = ACTIONS(7271),
    [anon_sym_BSLASHeqref] = ACTIONS(7271),
    [anon_sym_BSLASHvref] = ACTIONS(7271),
    [anon_sym_BSLASHVref] = ACTIONS(7271),
    [anon_sym_BSLASHautoref] = ACTIONS(7271),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHpageref] = ACTIONS(7271),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHautopageref] = ACTIONS(7271),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcref] = ACTIONS(7271),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCref] = ACTIONS(7271),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcpageref] = ACTIONS(7271),
    [anon_sym_BSLASHCpageref] = ACTIONS(7271),
    [anon_sym_BSLASHnamecref] = ACTIONS(7271),
    [anon_sym_BSLASHnameCref] = ACTIONS(7271),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7271),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7271),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7271),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7271),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7271),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7271),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7271),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7271),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7271),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7271),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7271),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHdef] = ACTIONS(7271),
    [anon_sym_BSLASHgdef] = ACTIONS(7271),
    [anon_sym_BSLASHedef] = ACTIONS(7271),
    [anon_sym_BSLASHxdef] = ACTIONS(7271),
    [anon_sym_BSLASHlet] = ACTIONS(7271),
    [anon_sym_BSLASHglet] = ACTIONS(7271),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7271),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7271),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7271),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7271),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7271),
    [anon_sym_BSLASHgls] = ACTIONS(7271),
    [anon_sym_BSLASHGls] = ACTIONS(7271),
    [anon_sym_BSLASHGLS] = ACTIONS(7271),
    [anon_sym_BSLASHglspl] = ACTIONS(7271),
    [anon_sym_BSLASHGlspl] = ACTIONS(7271),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7271),
    [anon_sym_BSLASHglslink] = ACTIONS(7271),
    [anon_sym_BSLASHglstext] = ACTIONS(7271),
    [anon_sym_BSLASHGlstext] = ACTIONS(7271),
    [anon_sym_BSLASHGLStext] = ACTIONS(7271),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7271),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7271),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7271),
    [anon_sym_BSLASHglsplural] = ACTIONS(7271),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7271),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7271),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHglsname] = ACTIONS(7271),
    [anon_sym_BSLASHGlsname] = ACTIONS(7271),
    [anon_sym_BSLASHGLSname] = ACTIONS(7271),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7271),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7271),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7271),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7271),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7271),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7271),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7271),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7271),
    [anon_sym_BSLASHacrshort] = ACTIONS(7271),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7271),
    [anon_sym_BSLASHACRshort] = ACTIONS(7271),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHacrlong] = ACTIONS(7271),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7271),
    [anon_sym_BSLASHACRlong] = ACTIONS(7271),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHacrfull] = ACTIONS(7271),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7271),
    [anon_sym_BSLASHACRfull] = ACTIONS(7271),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHacs] = ACTIONS(7271),
    [anon_sym_BSLASHAcs] = ACTIONS(7271),
    [anon_sym_BSLASHacsp] = ACTIONS(7271),
    [anon_sym_BSLASHAcsp] = ACTIONS(7271),
    [anon_sym_BSLASHacl] = ACTIONS(7271),
    [anon_sym_BSLASHAcl] = ACTIONS(7271),
    [anon_sym_BSLASHaclp] = ACTIONS(7271),
    [anon_sym_BSLASHAclp] = ACTIONS(7271),
    [anon_sym_BSLASHacf] = ACTIONS(7271),
    [anon_sym_BSLASHAcf] = ACTIONS(7271),
    [anon_sym_BSLASHacfp] = ACTIONS(7271),
    [anon_sym_BSLASHAcfp] = ACTIONS(7271),
    [anon_sym_BSLASHac] = ACTIONS(7271),
    [anon_sym_BSLASHAc] = ACTIONS(7271),
    [anon_sym_BSLASHacp] = ACTIONS(7271),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7271),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7271),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7271),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7271),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7271),
    [anon_sym_BSLASHcolor] = ACTIONS(7271),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7271),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7271),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7271),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7271),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7271),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7271),
    [anon_sym_BSLASHurl] = ACTIONS(7271),
    [anon_sym_BSLASHhref] = ACTIONS(7271),
  },
  [1566] = {
    [sym_command_name] = ACTIONS(7275),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7275),
    [anon_sym_LBRACK] = ACTIONS(7277),
    [anon_sym_RBRACK] = ACTIONS(7277),
    [anon_sym_COMMA] = ACTIONS(7277),
    [anon_sym_EQ] = ACTIONS(7277),
    [anon_sym_LPAREN] = ACTIONS(7277),
    [anon_sym_RPAREN] = ACTIONS(7277),
    [anon_sym_BSLASHpart] = ACTIONS(7275),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHaddpart] = ACTIONS(7275),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHchapter] = ACTIONS(7275),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHaddchap] = ACTIONS(7275),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHsection] = ACTIONS(7275),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHaddsec] = ACTIONS(7275),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHsubsection] = ACTIONS(7275),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7275),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHparagraph] = ACTIONS(7275),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7275),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHitem] = ACTIONS(7275),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7277),
    [anon_sym_LBRACE] = ACTIONS(7277),
    [sym_word] = ACTIONS(7275),
    [sym_placeholder] = ACTIONS(7277),
    [sym_delimiter] = ACTIONS(7277),
    [anon_sym_PLUS] = ACTIONS(7277),
    [anon_sym_DASH] = ACTIONS(7277),
    [anon_sym_STAR] = ACTIONS(7277),
    [anon_sym_SLASH] = ACTIONS(7277),
    [anon_sym_LT] = ACTIONS(7275),
    [anon_sym_GT] = ACTIONS(7275),
    [anon_sym_BANG] = ACTIONS(7275),
    [anon_sym_PIPE] = ACTIONS(7275),
    [anon_sym_COLON] = ACTIONS(7275),
    [anon_sym_SQUOTE] = ACTIONS(7275),
    [anon_sym__] = ACTIONS(7277),
    [anon_sym_CARET] = ACTIONS(7277),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7277),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7277),
    [anon_sym_DOLLAR] = ACTIONS(7275),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7277),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7277),
    [anon_sym_BSLASHleft] = ACTIONS(7275),
    [anon_sym_BSLASHbigl] = ACTIONS(7275),
    [anon_sym_BSLASHBigl] = ACTIONS(7275),
    [anon_sym_BSLASHbiggl] = ACTIONS(7275),
    [anon_sym_BSLASHBiggl] = ACTIONS(7275),
    [anon_sym_BSLASHtext] = ACTIONS(7275),
    [anon_sym_BSLASHintertext] = ACTIONS(7275),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7275),
    [anon_sym_BSLASHbegin] = ACTIONS(7275),
    [anon_sym_BSLASHtitle] = ACTIONS(7275),
    [anon_sym_BSLASHauthor] = ACTIONS(7275),
    [anon_sym_BSLASHusepackage] = ACTIONS(7275),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7275),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7275),
    [anon_sym_BSLASHinclude] = ACTIONS(7275),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7275),
    [anon_sym_BSLASHinput] = ACTIONS(7275),
    [anon_sym_BSLASHsubfile] = ACTIONS(7275),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7275),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7275),
    [anon_sym_BSLASHbibliography] = ACTIONS(7275),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7275),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7275),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7275),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7275),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7275),
    [anon_sym_BSLASHimport] = ACTIONS(7275),
    [anon_sym_BSLASHsubimport] = ACTIONS(7275),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7275),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7275),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7275),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7275),
    [anon_sym_BSLASHcaption] = ACTIONS(7275),
    [anon_sym_BSLASHcite] = ACTIONS(7275),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCite] = ACTIONS(7275),
    [anon_sym_BSLASHnocite] = ACTIONS(7275),
    [anon_sym_BSLASHcitet] = ACTIONS(7275),
    [anon_sym_BSLASHcitep] = ACTIONS(7275),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteA] = ACTIONS(7275),
    [anon_sym_BSLASHciteR] = ACTIONS(7275),
    [anon_sym_BSLASHciteS] = ACTIONS(7275),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7275),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7275),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7275),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7275),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteyear] = ACTIONS(7275),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitedate] = ACTIONS(7275),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteurl] = ACTIONS(7275),
    [anon_sym_BSLASHfullcite] = ACTIONS(7275),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7275),
    [anon_sym_BSLASHcitealt] = ACTIONS(7275),
    [anon_sym_BSLASHcitealp] = ACTIONS(7275),
    [anon_sym_BSLASHcitetext] = ACTIONS(7275),
    [anon_sym_BSLASHparencite] = ACTIONS(7275),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHParencite] = ACTIONS(7275),
    [anon_sym_BSLASHfootcite] = ACTIONS(7275),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7275),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7275),
    [anon_sym_BSLASHtextcite] = ACTIONS(7275),
    [anon_sym_BSLASHTextcite] = ACTIONS(7275),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7275),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7275),
    [anon_sym_BSLASHsupercite] = ACTIONS(7275),
    [anon_sym_BSLASHautocite] = ACTIONS(7275),
    [anon_sym_BSLASHAutocite] = ACTIONS(7275),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHVolcite] = ACTIONS(7275),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHavolcite] = ACTIONS(7275),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHNotecite] = ACTIONS(7275),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHlabel] = ACTIONS(7275),
    [anon_sym_BSLASHref] = ACTIONS(7275),
    [anon_sym_BSLASHeqref] = ACTIONS(7275),
    [anon_sym_BSLASHvref] = ACTIONS(7275),
    [anon_sym_BSLASHVref] = ACTIONS(7275),
    [anon_sym_BSLASHautoref] = ACTIONS(7275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHpageref] = ACTIONS(7275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHautopageref] = ACTIONS(7275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcref] = ACTIONS(7275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCref] = ACTIONS(7275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcpageref] = ACTIONS(7275),
    [anon_sym_BSLASHCpageref] = ACTIONS(7275),
    [anon_sym_BSLASHnamecref] = ACTIONS(7275),
    [anon_sym_BSLASHnameCref] = ACTIONS(7275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7275),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7275),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7275),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7275),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7275),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7275),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7275),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7275),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHdef] = ACTIONS(7275),
    [anon_sym_BSLASHgdef] = ACTIONS(7275),
    [anon_sym_BSLASHedef] = ACTIONS(7275),
    [anon_sym_BSLASHxdef] = ACTIONS(7275),
    [anon_sym_BSLASHlet] = ACTIONS(7275),
    [anon_sym_BSLASHglet] = ACTIONS(7275),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7275),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7275),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7275),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7275),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7275),
    [anon_sym_BSLASHgls] = ACTIONS(7275),
    [anon_sym_BSLASHGls] = ACTIONS(7275),
    [anon_sym_BSLASHGLS] = ACTIONS(7275),
    [anon_sym_BSLASHglspl] = ACTIONS(7275),
    [anon_sym_BSLASHGlspl] = ACTIONS(7275),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7275),
    [anon_sym_BSLASHglslink] = ACTIONS(7275),
    [anon_sym_BSLASHglstext] = ACTIONS(7275),
    [anon_sym_BSLASHGlstext] = ACTIONS(7275),
    [anon_sym_BSLASHGLStext] = ACTIONS(7275),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7275),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7275),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7275),
    [anon_sym_BSLASHglsplural] = ACTIONS(7275),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7275),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7275),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHglsname] = ACTIONS(7275),
    [anon_sym_BSLASHGlsname] = ACTIONS(7275),
    [anon_sym_BSLASHGLSname] = ACTIONS(7275),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7275),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7275),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7275),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7275),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7275),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7275),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7275),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7275),
    [anon_sym_BSLASHacrshort] = ACTIONS(7275),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7275),
    [anon_sym_BSLASHACRshort] = ACTIONS(7275),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHacrlong] = ACTIONS(7275),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7275),
    [anon_sym_BSLASHACRlong] = ACTIONS(7275),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHacrfull] = ACTIONS(7275),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7275),
    [anon_sym_BSLASHACRfull] = ACTIONS(7275),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHacs] = ACTIONS(7275),
    [anon_sym_BSLASHAcs] = ACTIONS(7275),
    [anon_sym_BSLASHacsp] = ACTIONS(7275),
    [anon_sym_BSLASHAcsp] = ACTIONS(7275),
    [anon_sym_BSLASHacl] = ACTIONS(7275),
    [anon_sym_BSLASHAcl] = ACTIONS(7275),
    [anon_sym_BSLASHaclp] = ACTIONS(7275),
    [anon_sym_BSLASHAclp] = ACTIONS(7275),
    [anon_sym_BSLASHacf] = ACTIONS(7275),
    [anon_sym_BSLASHAcf] = ACTIONS(7275),
    [anon_sym_BSLASHacfp] = ACTIONS(7275),
    [anon_sym_BSLASHAcfp] = ACTIONS(7275),
    [anon_sym_BSLASHac] = ACTIONS(7275),
    [anon_sym_BSLASHAc] = ACTIONS(7275),
    [anon_sym_BSLASHacp] = ACTIONS(7275),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7275),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7275),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7275),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7275),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7275),
    [anon_sym_BSLASHcolor] = ACTIONS(7275),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7275),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7275),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7275),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7275),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7275),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7275),
    [anon_sym_BSLASHurl] = ACTIONS(7275),
    [anon_sym_BSLASHhref] = ACTIONS(7275),
  },
  [1567] = {
    [sym_command_name] = ACTIONS(7279),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7279),
    [anon_sym_LBRACK] = ACTIONS(7281),
    [anon_sym_RBRACK] = ACTIONS(7281),
    [anon_sym_COMMA] = ACTIONS(7281),
    [anon_sym_EQ] = ACTIONS(7281),
    [anon_sym_LPAREN] = ACTIONS(7281),
    [anon_sym_RPAREN] = ACTIONS(7281),
    [anon_sym_BSLASHpart] = ACTIONS(7279),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHaddpart] = ACTIONS(7279),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHchapter] = ACTIONS(7279),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHaddchap] = ACTIONS(7279),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHsection] = ACTIONS(7279),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHaddsec] = ACTIONS(7279),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHsubsection] = ACTIONS(7279),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7279),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHparagraph] = ACTIONS(7279),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7279),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHitem] = ACTIONS(7279),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7281),
    [anon_sym_LBRACE] = ACTIONS(7281),
    [sym_word] = ACTIONS(7279),
    [sym_placeholder] = ACTIONS(7281),
    [sym_delimiter] = ACTIONS(7281),
    [anon_sym_PLUS] = ACTIONS(7281),
    [anon_sym_DASH] = ACTIONS(7281),
    [anon_sym_STAR] = ACTIONS(7281),
    [anon_sym_SLASH] = ACTIONS(7281),
    [anon_sym_LT] = ACTIONS(7279),
    [anon_sym_GT] = ACTIONS(7279),
    [anon_sym_BANG] = ACTIONS(7279),
    [anon_sym_PIPE] = ACTIONS(7279),
    [anon_sym_COLON] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7279),
    [anon_sym__] = ACTIONS(7281),
    [anon_sym_CARET] = ACTIONS(7281),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7281),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7281),
    [anon_sym_DOLLAR] = ACTIONS(7279),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7281),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7281),
    [anon_sym_BSLASHleft] = ACTIONS(7279),
    [anon_sym_BSLASHbigl] = ACTIONS(7279),
    [anon_sym_BSLASHBigl] = ACTIONS(7279),
    [anon_sym_BSLASHbiggl] = ACTIONS(7279),
    [anon_sym_BSLASHBiggl] = ACTIONS(7279),
    [anon_sym_BSLASHtext] = ACTIONS(7279),
    [anon_sym_BSLASHintertext] = ACTIONS(7279),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7279),
    [anon_sym_BSLASHbegin] = ACTIONS(7279),
    [anon_sym_BSLASHtitle] = ACTIONS(7279),
    [anon_sym_BSLASHauthor] = ACTIONS(7279),
    [anon_sym_BSLASHusepackage] = ACTIONS(7279),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7279),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7279),
    [anon_sym_BSLASHinclude] = ACTIONS(7279),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7279),
    [anon_sym_BSLASHinput] = ACTIONS(7279),
    [anon_sym_BSLASHsubfile] = ACTIONS(7279),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7279),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7279),
    [anon_sym_BSLASHbibliography] = ACTIONS(7279),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7279),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7279),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7279),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7279),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7279),
    [anon_sym_BSLASHimport] = ACTIONS(7279),
    [anon_sym_BSLASHsubimport] = ACTIONS(7279),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7279),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7279),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7279),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7279),
    [anon_sym_BSLASHcaption] = ACTIONS(7279),
    [anon_sym_BSLASHcite] = ACTIONS(7279),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCite] = ACTIONS(7279),
    [anon_sym_BSLASHnocite] = ACTIONS(7279),
    [anon_sym_BSLASHcitet] = ACTIONS(7279),
    [anon_sym_BSLASHcitep] = ACTIONS(7279),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteA] = ACTIONS(7279),
    [anon_sym_BSLASHciteR] = ACTIONS(7279),
    [anon_sym_BSLASHciteS] = ACTIONS(7279),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7279),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7279),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7279),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7279),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteyear] = ACTIONS(7279),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitedate] = ACTIONS(7279),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteurl] = ACTIONS(7279),
    [anon_sym_BSLASHfullcite] = ACTIONS(7279),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7279),
    [anon_sym_BSLASHcitealt] = ACTIONS(7279),
    [anon_sym_BSLASHcitealp] = ACTIONS(7279),
    [anon_sym_BSLASHcitetext] = ACTIONS(7279),
    [anon_sym_BSLASHparencite] = ACTIONS(7279),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHParencite] = ACTIONS(7279),
    [anon_sym_BSLASHfootcite] = ACTIONS(7279),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7279),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7279),
    [anon_sym_BSLASHtextcite] = ACTIONS(7279),
    [anon_sym_BSLASHTextcite] = ACTIONS(7279),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7279),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7279),
    [anon_sym_BSLASHsupercite] = ACTIONS(7279),
    [anon_sym_BSLASHautocite] = ACTIONS(7279),
    [anon_sym_BSLASHAutocite] = ACTIONS(7279),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHVolcite] = ACTIONS(7279),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHavolcite] = ACTIONS(7279),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHNotecite] = ACTIONS(7279),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHlabel] = ACTIONS(7279),
    [anon_sym_BSLASHref] = ACTIONS(7279),
    [anon_sym_BSLASHeqref] = ACTIONS(7279),
    [anon_sym_BSLASHvref] = ACTIONS(7279),
    [anon_sym_BSLASHVref] = ACTIONS(7279),
    [anon_sym_BSLASHautoref] = ACTIONS(7279),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHpageref] = ACTIONS(7279),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHautopageref] = ACTIONS(7279),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcref] = ACTIONS(7279),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCref] = ACTIONS(7279),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcpageref] = ACTIONS(7279),
    [anon_sym_BSLASHCpageref] = ACTIONS(7279),
    [anon_sym_BSLASHnamecref] = ACTIONS(7279),
    [anon_sym_BSLASHnameCref] = ACTIONS(7279),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7279),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7279),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7279),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7279),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7279),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7279),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7279),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHdef] = ACTIONS(7279),
    [anon_sym_BSLASHgdef] = ACTIONS(7279),
    [anon_sym_BSLASHedef] = ACTIONS(7279),
    [anon_sym_BSLASHxdef] = ACTIONS(7279),
    [anon_sym_BSLASHlet] = ACTIONS(7279),
    [anon_sym_BSLASHglet] = ACTIONS(7279),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7279),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7279),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7279),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7279),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7279),
    [anon_sym_BSLASHgls] = ACTIONS(7279),
    [anon_sym_BSLASHGls] = ACTIONS(7279),
    [anon_sym_BSLASHGLS] = ACTIONS(7279),
    [anon_sym_BSLASHglspl] = ACTIONS(7279),
    [anon_sym_BSLASHGlspl] = ACTIONS(7279),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7279),
    [anon_sym_BSLASHglslink] = ACTIONS(7279),
    [anon_sym_BSLASHglstext] = ACTIONS(7279),
    [anon_sym_BSLASHGlstext] = ACTIONS(7279),
    [anon_sym_BSLASHGLStext] = ACTIONS(7279),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7279),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7279),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7279),
    [anon_sym_BSLASHglsplural] = ACTIONS(7279),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7279),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7279),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHglsname] = ACTIONS(7279),
    [anon_sym_BSLASHGlsname] = ACTIONS(7279),
    [anon_sym_BSLASHGLSname] = ACTIONS(7279),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7279),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7279),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7279),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7279),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7279),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7279),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7279),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7279),
    [anon_sym_BSLASHacrshort] = ACTIONS(7279),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7279),
    [anon_sym_BSLASHACRshort] = ACTIONS(7279),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHacrlong] = ACTIONS(7279),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7279),
    [anon_sym_BSLASHACRlong] = ACTIONS(7279),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHacrfull] = ACTIONS(7279),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7279),
    [anon_sym_BSLASHACRfull] = ACTIONS(7279),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHacs] = ACTIONS(7279),
    [anon_sym_BSLASHAcs] = ACTIONS(7279),
    [anon_sym_BSLASHacsp] = ACTIONS(7279),
    [anon_sym_BSLASHAcsp] = ACTIONS(7279),
    [anon_sym_BSLASHacl] = ACTIONS(7279),
    [anon_sym_BSLASHAcl] = ACTIONS(7279),
    [anon_sym_BSLASHaclp] = ACTIONS(7279),
    [anon_sym_BSLASHAclp] = ACTIONS(7279),
    [anon_sym_BSLASHacf] = ACTIONS(7279),
    [anon_sym_BSLASHAcf] = ACTIONS(7279),
    [anon_sym_BSLASHacfp] = ACTIONS(7279),
    [anon_sym_BSLASHAcfp] = ACTIONS(7279),
    [anon_sym_BSLASHac] = ACTIONS(7279),
    [anon_sym_BSLASHAc] = ACTIONS(7279),
    [anon_sym_BSLASHacp] = ACTIONS(7279),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7279),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7279),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7279),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7279),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7279),
    [anon_sym_BSLASHcolor] = ACTIONS(7279),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7279),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7279),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7279),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7279),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7279),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7279),
    [anon_sym_BSLASHurl] = ACTIONS(7279),
    [anon_sym_BSLASHhref] = ACTIONS(7279),
  },
  [1568] = {
    [sym_command_name] = ACTIONS(7419),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7419),
    [anon_sym_LBRACK] = ACTIONS(7421),
    [anon_sym_RBRACK] = ACTIONS(7421),
    [anon_sym_COMMA] = ACTIONS(7421),
    [anon_sym_EQ] = ACTIONS(7421),
    [anon_sym_LPAREN] = ACTIONS(7421),
    [anon_sym_RPAREN] = ACTIONS(7421),
    [anon_sym_BSLASHpart] = ACTIONS(7419),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHaddpart] = ACTIONS(7419),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHchapter] = ACTIONS(7419),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHaddchap] = ACTIONS(7419),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHsection] = ACTIONS(7419),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHaddsec] = ACTIONS(7419),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHsubsection] = ACTIONS(7419),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7419),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHparagraph] = ACTIONS(7419),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7419),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHitem] = ACTIONS(7419),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7421),
    [anon_sym_LBRACE] = ACTIONS(7421),
    [sym_word] = ACTIONS(7419),
    [sym_placeholder] = ACTIONS(7421),
    [sym_delimiter] = ACTIONS(7421),
    [anon_sym_PLUS] = ACTIONS(7421),
    [anon_sym_DASH] = ACTIONS(7421),
    [anon_sym_STAR] = ACTIONS(7421),
    [anon_sym_SLASH] = ACTIONS(7421),
    [anon_sym_LT] = ACTIONS(7419),
    [anon_sym_GT] = ACTIONS(7419),
    [anon_sym_BANG] = ACTIONS(7419),
    [anon_sym_PIPE] = ACTIONS(7419),
    [anon_sym_COLON] = ACTIONS(7419),
    [anon_sym_SQUOTE] = ACTIONS(7419),
    [anon_sym__] = ACTIONS(7421),
    [anon_sym_CARET] = ACTIONS(7421),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7421),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7421),
    [anon_sym_DOLLAR] = ACTIONS(7419),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7421),
    [anon_sym_BSLASHleft] = ACTIONS(7419),
    [anon_sym_BSLASHbigl] = ACTIONS(7419),
    [anon_sym_BSLASHBigl] = ACTIONS(7419),
    [anon_sym_BSLASHbiggl] = ACTIONS(7419),
    [anon_sym_BSLASHBiggl] = ACTIONS(7419),
    [anon_sym_BSLASHtext] = ACTIONS(7419),
    [anon_sym_BSLASHintertext] = ACTIONS(7419),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7419),
    [anon_sym_BSLASHbegin] = ACTIONS(7419),
    [anon_sym_BSLASHend] = ACTIONS(7419),
    [anon_sym_BSLASHtitle] = ACTIONS(7419),
    [anon_sym_BSLASHauthor] = ACTIONS(7419),
    [anon_sym_BSLASHusepackage] = ACTIONS(7419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7419),
    [anon_sym_BSLASHinclude] = ACTIONS(7419),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7419),
    [anon_sym_BSLASHinput] = ACTIONS(7419),
    [anon_sym_BSLASHsubfile] = ACTIONS(7419),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7419),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7419),
    [anon_sym_BSLASHbibliography] = ACTIONS(7419),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7419),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7419),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7419),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7419),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7419),
    [anon_sym_BSLASHimport] = ACTIONS(7419),
    [anon_sym_BSLASHsubimport] = ACTIONS(7419),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7419),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7419),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7419),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7419),
    [anon_sym_BSLASHcaption] = ACTIONS(7419),
    [anon_sym_BSLASHcite] = ACTIONS(7419),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCite] = ACTIONS(7419),
    [anon_sym_BSLASHnocite] = ACTIONS(7419),
    [anon_sym_BSLASHcitet] = ACTIONS(7419),
    [anon_sym_BSLASHcitep] = ACTIONS(7419),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteA] = ACTIONS(7419),
    [anon_sym_BSLASHciteR] = ACTIONS(7419),
    [anon_sym_BSLASHciteS] = ACTIONS(7419),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7419),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7419),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7419),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7419),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteyear] = ACTIONS(7419),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitedate] = ACTIONS(7419),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteurl] = ACTIONS(7419),
    [anon_sym_BSLASHfullcite] = ACTIONS(7419),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7419),
    [anon_sym_BSLASHcitealt] = ACTIONS(7419),
    [anon_sym_BSLASHcitealp] = ACTIONS(7419),
    [anon_sym_BSLASHcitetext] = ACTIONS(7419),
    [anon_sym_BSLASHparencite] = ACTIONS(7419),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHParencite] = ACTIONS(7419),
    [anon_sym_BSLASHfootcite] = ACTIONS(7419),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7419),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7419),
    [anon_sym_BSLASHtextcite] = ACTIONS(7419),
    [anon_sym_BSLASHTextcite] = ACTIONS(7419),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7419),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7419),
    [anon_sym_BSLASHsupercite] = ACTIONS(7419),
    [anon_sym_BSLASHautocite] = ACTIONS(7419),
    [anon_sym_BSLASHAutocite] = ACTIONS(7419),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHVolcite] = ACTIONS(7419),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHavolcite] = ACTIONS(7419),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHNotecite] = ACTIONS(7419),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHlabel] = ACTIONS(7419),
    [anon_sym_BSLASHref] = ACTIONS(7419),
    [anon_sym_BSLASHeqref] = ACTIONS(7419),
    [anon_sym_BSLASHvref] = ACTIONS(7419),
    [anon_sym_BSLASHVref] = ACTIONS(7419),
    [anon_sym_BSLASHautoref] = ACTIONS(7419),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHpageref] = ACTIONS(7419),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHautopageref] = ACTIONS(7419),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcref] = ACTIONS(7419),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCref] = ACTIONS(7419),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcpageref] = ACTIONS(7419),
    [anon_sym_BSLASHCpageref] = ACTIONS(7419),
    [anon_sym_BSLASHnamecref] = ACTIONS(7419),
    [anon_sym_BSLASHnameCref] = ACTIONS(7419),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7419),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7419),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7419),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7419),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7419),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7419),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7419),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7419),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7419),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7419),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7419),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHdef] = ACTIONS(7419),
    [anon_sym_BSLASHgdef] = ACTIONS(7419),
    [anon_sym_BSLASHedef] = ACTIONS(7419),
    [anon_sym_BSLASHxdef] = ACTIONS(7419),
    [anon_sym_BSLASHlet] = ACTIONS(7419),
    [anon_sym_BSLASHglet] = ACTIONS(7419),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7419),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7419),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7419),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7419),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7419),
    [anon_sym_BSLASHgls] = ACTIONS(7419),
    [anon_sym_BSLASHGls] = ACTIONS(7419),
    [anon_sym_BSLASHGLS] = ACTIONS(7419),
    [anon_sym_BSLASHglspl] = ACTIONS(7419),
    [anon_sym_BSLASHGlspl] = ACTIONS(7419),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7419),
    [anon_sym_BSLASHglslink] = ACTIONS(7419),
    [anon_sym_BSLASHglstext] = ACTIONS(7419),
    [anon_sym_BSLASHGlstext] = ACTIONS(7419),
    [anon_sym_BSLASHGLStext] = ACTIONS(7419),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7419),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7419),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7419),
    [anon_sym_BSLASHglsplural] = ACTIONS(7419),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7419),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7419),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHglsname] = ACTIONS(7419),
    [anon_sym_BSLASHGlsname] = ACTIONS(7419),
    [anon_sym_BSLASHGLSname] = ACTIONS(7419),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7419),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7419),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7419),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7419),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7419),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7419),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7419),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7419),
    [anon_sym_BSLASHacrshort] = ACTIONS(7419),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7419),
    [anon_sym_BSLASHACRshort] = ACTIONS(7419),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHacrlong] = ACTIONS(7419),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7419),
    [anon_sym_BSLASHACRlong] = ACTIONS(7419),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHacrfull] = ACTIONS(7419),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7419),
    [anon_sym_BSLASHACRfull] = ACTIONS(7419),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHacs] = ACTIONS(7419),
    [anon_sym_BSLASHAcs] = ACTIONS(7419),
    [anon_sym_BSLASHacsp] = ACTIONS(7419),
    [anon_sym_BSLASHAcsp] = ACTIONS(7419),
    [anon_sym_BSLASHacl] = ACTIONS(7419),
    [anon_sym_BSLASHAcl] = ACTIONS(7419),
    [anon_sym_BSLASHaclp] = ACTIONS(7419),
    [anon_sym_BSLASHAclp] = ACTIONS(7419),
    [anon_sym_BSLASHacf] = ACTIONS(7419),
    [anon_sym_BSLASHAcf] = ACTIONS(7419),
    [anon_sym_BSLASHacfp] = ACTIONS(7419),
    [anon_sym_BSLASHAcfp] = ACTIONS(7419),
    [anon_sym_BSLASHac] = ACTIONS(7419),
    [anon_sym_BSLASHAc] = ACTIONS(7419),
    [anon_sym_BSLASHacp] = ACTIONS(7419),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7419),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7419),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7419),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7419),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7419),
    [anon_sym_BSLASHcolor] = ACTIONS(7419),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7419),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7419),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7419),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7419),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7419),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7419),
    [anon_sym_BSLASHurl] = ACTIONS(7419),
    [anon_sym_BSLASHhref] = ACTIONS(7419),
  },
  [1569] = {
    [sym_command_name] = ACTIONS(7327),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7327),
    [anon_sym_LBRACK] = ACTIONS(7329),
    [anon_sym_RBRACK] = ACTIONS(7329),
    [anon_sym_COMMA] = ACTIONS(7329),
    [anon_sym_EQ] = ACTIONS(7329),
    [anon_sym_LPAREN] = ACTIONS(7329),
    [anon_sym_RPAREN] = ACTIONS(7329),
    [anon_sym_BSLASHpart] = ACTIONS(7327),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHaddpart] = ACTIONS(7327),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHchapter] = ACTIONS(7327),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHaddchap] = ACTIONS(7327),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHsection] = ACTIONS(7327),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHaddsec] = ACTIONS(7327),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHsubsection] = ACTIONS(7327),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7327),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHparagraph] = ACTIONS(7327),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7327),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHitem] = ACTIONS(7327),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7329),
    [anon_sym_LBRACE] = ACTIONS(7329),
    [sym_word] = ACTIONS(7327),
    [sym_placeholder] = ACTIONS(7329),
    [sym_delimiter] = ACTIONS(7329),
    [anon_sym_PLUS] = ACTIONS(7329),
    [anon_sym_DASH] = ACTIONS(7329),
    [anon_sym_STAR] = ACTIONS(7329),
    [anon_sym_SLASH] = ACTIONS(7329),
    [anon_sym_LT] = ACTIONS(7327),
    [anon_sym_GT] = ACTIONS(7327),
    [anon_sym_BANG] = ACTIONS(7327),
    [anon_sym_PIPE] = ACTIONS(7327),
    [anon_sym_COLON] = ACTIONS(7327),
    [anon_sym_SQUOTE] = ACTIONS(7327),
    [anon_sym__] = ACTIONS(7329),
    [anon_sym_CARET] = ACTIONS(7329),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7329),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7329),
    [anon_sym_DOLLAR] = ACTIONS(7327),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7329),
    [anon_sym_BSLASHleft] = ACTIONS(7327),
    [anon_sym_BSLASHbigl] = ACTIONS(7327),
    [anon_sym_BSLASHBigl] = ACTIONS(7327),
    [anon_sym_BSLASHbiggl] = ACTIONS(7327),
    [anon_sym_BSLASHBiggl] = ACTIONS(7327),
    [anon_sym_BSLASHtext] = ACTIONS(7327),
    [anon_sym_BSLASHintertext] = ACTIONS(7327),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7327),
    [anon_sym_BSLASHbegin] = ACTIONS(7327),
    [anon_sym_BSLASHend] = ACTIONS(7327),
    [anon_sym_BSLASHtitle] = ACTIONS(7327),
    [anon_sym_BSLASHauthor] = ACTIONS(7327),
    [anon_sym_BSLASHusepackage] = ACTIONS(7327),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7327),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7327),
    [anon_sym_BSLASHinclude] = ACTIONS(7327),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7327),
    [anon_sym_BSLASHinput] = ACTIONS(7327),
    [anon_sym_BSLASHsubfile] = ACTIONS(7327),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7327),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7327),
    [anon_sym_BSLASHbibliography] = ACTIONS(7327),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7327),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7327),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7327),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7327),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7327),
    [anon_sym_BSLASHimport] = ACTIONS(7327),
    [anon_sym_BSLASHsubimport] = ACTIONS(7327),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7327),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7327),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7327),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7327),
    [anon_sym_BSLASHcaption] = ACTIONS(7327),
    [anon_sym_BSLASHcite] = ACTIONS(7327),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCite] = ACTIONS(7327),
    [anon_sym_BSLASHnocite] = ACTIONS(7327),
    [anon_sym_BSLASHcitet] = ACTIONS(7327),
    [anon_sym_BSLASHcitep] = ACTIONS(7327),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteA] = ACTIONS(7327),
    [anon_sym_BSLASHciteR] = ACTIONS(7327),
    [anon_sym_BSLASHciteS] = ACTIONS(7327),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7327),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7327),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7327),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7327),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteyear] = ACTIONS(7327),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitedate] = ACTIONS(7327),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteurl] = ACTIONS(7327),
    [anon_sym_BSLASHfullcite] = ACTIONS(7327),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7327),
    [anon_sym_BSLASHcitealt] = ACTIONS(7327),
    [anon_sym_BSLASHcitealp] = ACTIONS(7327),
    [anon_sym_BSLASHcitetext] = ACTIONS(7327),
    [anon_sym_BSLASHparencite] = ACTIONS(7327),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHParencite] = ACTIONS(7327),
    [anon_sym_BSLASHfootcite] = ACTIONS(7327),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7327),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7327),
    [anon_sym_BSLASHtextcite] = ACTIONS(7327),
    [anon_sym_BSLASHTextcite] = ACTIONS(7327),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7327),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7327),
    [anon_sym_BSLASHsupercite] = ACTIONS(7327),
    [anon_sym_BSLASHautocite] = ACTIONS(7327),
    [anon_sym_BSLASHAutocite] = ACTIONS(7327),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHVolcite] = ACTIONS(7327),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHavolcite] = ACTIONS(7327),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHNotecite] = ACTIONS(7327),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHlabel] = ACTIONS(7327),
    [anon_sym_BSLASHref] = ACTIONS(7327),
    [anon_sym_BSLASHeqref] = ACTIONS(7327),
    [anon_sym_BSLASHvref] = ACTIONS(7327),
    [anon_sym_BSLASHVref] = ACTIONS(7327),
    [anon_sym_BSLASHautoref] = ACTIONS(7327),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHpageref] = ACTIONS(7327),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHautopageref] = ACTIONS(7327),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcref] = ACTIONS(7327),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCref] = ACTIONS(7327),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcpageref] = ACTIONS(7327),
    [anon_sym_BSLASHCpageref] = ACTIONS(7327),
    [anon_sym_BSLASHnamecref] = ACTIONS(7327),
    [anon_sym_BSLASHnameCref] = ACTIONS(7327),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7327),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7327),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7327),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7327),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7327),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7327),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7327),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7327),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7327),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7327),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7327),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHdef] = ACTIONS(7327),
    [anon_sym_BSLASHgdef] = ACTIONS(7327),
    [anon_sym_BSLASHedef] = ACTIONS(7327),
    [anon_sym_BSLASHxdef] = ACTIONS(7327),
    [anon_sym_BSLASHlet] = ACTIONS(7327),
    [anon_sym_BSLASHglet] = ACTIONS(7327),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7327),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7327),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7327),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7327),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7327),
    [anon_sym_BSLASHgls] = ACTIONS(7327),
    [anon_sym_BSLASHGls] = ACTIONS(7327),
    [anon_sym_BSLASHGLS] = ACTIONS(7327),
    [anon_sym_BSLASHglspl] = ACTIONS(7327),
    [anon_sym_BSLASHGlspl] = ACTIONS(7327),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7327),
    [anon_sym_BSLASHglslink] = ACTIONS(7327),
    [anon_sym_BSLASHglstext] = ACTIONS(7327),
    [anon_sym_BSLASHGlstext] = ACTIONS(7327),
    [anon_sym_BSLASHGLStext] = ACTIONS(7327),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7327),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7327),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7327),
    [anon_sym_BSLASHglsplural] = ACTIONS(7327),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7327),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7327),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHglsname] = ACTIONS(7327),
    [anon_sym_BSLASHGlsname] = ACTIONS(7327),
    [anon_sym_BSLASHGLSname] = ACTIONS(7327),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7327),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7327),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7327),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7327),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7327),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7327),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7327),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7327),
    [anon_sym_BSLASHacrshort] = ACTIONS(7327),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7327),
    [anon_sym_BSLASHACRshort] = ACTIONS(7327),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHacrlong] = ACTIONS(7327),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7327),
    [anon_sym_BSLASHACRlong] = ACTIONS(7327),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHacrfull] = ACTIONS(7327),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7327),
    [anon_sym_BSLASHACRfull] = ACTIONS(7327),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHacs] = ACTIONS(7327),
    [anon_sym_BSLASHAcs] = ACTIONS(7327),
    [anon_sym_BSLASHacsp] = ACTIONS(7327),
    [anon_sym_BSLASHAcsp] = ACTIONS(7327),
    [anon_sym_BSLASHacl] = ACTIONS(7327),
    [anon_sym_BSLASHAcl] = ACTIONS(7327),
    [anon_sym_BSLASHaclp] = ACTIONS(7327),
    [anon_sym_BSLASHAclp] = ACTIONS(7327),
    [anon_sym_BSLASHacf] = ACTIONS(7327),
    [anon_sym_BSLASHAcf] = ACTIONS(7327),
    [anon_sym_BSLASHacfp] = ACTIONS(7327),
    [anon_sym_BSLASHAcfp] = ACTIONS(7327),
    [anon_sym_BSLASHac] = ACTIONS(7327),
    [anon_sym_BSLASHAc] = ACTIONS(7327),
    [anon_sym_BSLASHacp] = ACTIONS(7327),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7327),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7327),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7327),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7327),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7327),
    [anon_sym_BSLASHcolor] = ACTIONS(7327),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7327),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7327),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7327),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7327),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7327),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7327),
    [anon_sym_BSLASHurl] = ACTIONS(7327),
    [anon_sym_BSLASHhref] = ACTIONS(7327),
  },
  [1570] = {
    [sym_command_name] = ACTIONS(7331),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7331),
    [anon_sym_LBRACK] = ACTIONS(7333),
    [anon_sym_RBRACK] = ACTIONS(7333),
    [anon_sym_COMMA] = ACTIONS(7333),
    [anon_sym_EQ] = ACTIONS(7333),
    [anon_sym_LPAREN] = ACTIONS(7333),
    [anon_sym_RPAREN] = ACTIONS(7333),
    [anon_sym_BSLASHpart] = ACTIONS(7331),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHaddpart] = ACTIONS(7331),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHchapter] = ACTIONS(7331),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHaddchap] = ACTIONS(7331),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHsection] = ACTIONS(7331),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHaddsec] = ACTIONS(7331),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHsubsection] = ACTIONS(7331),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7331),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHparagraph] = ACTIONS(7331),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7331),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHitem] = ACTIONS(7331),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7333),
    [anon_sym_LBRACE] = ACTIONS(7333),
    [sym_word] = ACTIONS(7331),
    [sym_placeholder] = ACTIONS(7333),
    [sym_delimiter] = ACTIONS(7333),
    [anon_sym_PLUS] = ACTIONS(7333),
    [anon_sym_DASH] = ACTIONS(7333),
    [anon_sym_STAR] = ACTIONS(7333),
    [anon_sym_SLASH] = ACTIONS(7333),
    [anon_sym_LT] = ACTIONS(7331),
    [anon_sym_GT] = ACTIONS(7331),
    [anon_sym_BANG] = ACTIONS(7331),
    [anon_sym_PIPE] = ACTIONS(7331),
    [anon_sym_COLON] = ACTIONS(7331),
    [anon_sym_SQUOTE] = ACTIONS(7331),
    [anon_sym__] = ACTIONS(7333),
    [anon_sym_CARET] = ACTIONS(7333),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7333),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7333),
    [anon_sym_DOLLAR] = ACTIONS(7331),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7333),
    [anon_sym_BSLASHleft] = ACTIONS(7331),
    [anon_sym_BSLASHbigl] = ACTIONS(7331),
    [anon_sym_BSLASHBigl] = ACTIONS(7331),
    [anon_sym_BSLASHbiggl] = ACTIONS(7331),
    [anon_sym_BSLASHBiggl] = ACTIONS(7331),
    [anon_sym_BSLASHtext] = ACTIONS(7331),
    [anon_sym_BSLASHintertext] = ACTIONS(7331),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7331),
    [anon_sym_BSLASHbegin] = ACTIONS(7331),
    [anon_sym_BSLASHend] = ACTIONS(7331),
    [anon_sym_BSLASHtitle] = ACTIONS(7331),
    [anon_sym_BSLASHauthor] = ACTIONS(7331),
    [anon_sym_BSLASHusepackage] = ACTIONS(7331),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7331),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7331),
    [anon_sym_BSLASHinclude] = ACTIONS(7331),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7331),
    [anon_sym_BSLASHinput] = ACTIONS(7331),
    [anon_sym_BSLASHsubfile] = ACTIONS(7331),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7331),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7331),
    [anon_sym_BSLASHbibliography] = ACTIONS(7331),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7331),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7331),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7331),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7331),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7331),
    [anon_sym_BSLASHimport] = ACTIONS(7331),
    [anon_sym_BSLASHsubimport] = ACTIONS(7331),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7331),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7331),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7331),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7331),
    [anon_sym_BSLASHcaption] = ACTIONS(7331),
    [anon_sym_BSLASHcite] = ACTIONS(7331),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCite] = ACTIONS(7331),
    [anon_sym_BSLASHnocite] = ACTIONS(7331),
    [anon_sym_BSLASHcitet] = ACTIONS(7331),
    [anon_sym_BSLASHcitep] = ACTIONS(7331),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteA] = ACTIONS(7331),
    [anon_sym_BSLASHciteR] = ACTIONS(7331),
    [anon_sym_BSLASHciteS] = ACTIONS(7331),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7331),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7331),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7331),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7331),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteyear] = ACTIONS(7331),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitedate] = ACTIONS(7331),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteurl] = ACTIONS(7331),
    [anon_sym_BSLASHfullcite] = ACTIONS(7331),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7331),
    [anon_sym_BSLASHcitealt] = ACTIONS(7331),
    [anon_sym_BSLASHcitealp] = ACTIONS(7331),
    [anon_sym_BSLASHcitetext] = ACTIONS(7331),
    [anon_sym_BSLASHparencite] = ACTIONS(7331),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHParencite] = ACTIONS(7331),
    [anon_sym_BSLASHfootcite] = ACTIONS(7331),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7331),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7331),
    [anon_sym_BSLASHtextcite] = ACTIONS(7331),
    [anon_sym_BSLASHTextcite] = ACTIONS(7331),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7331),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7331),
    [anon_sym_BSLASHsupercite] = ACTIONS(7331),
    [anon_sym_BSLASHautocite] = ACTIONS(7331),
    [anon_sym_BSLASHAutocite] = ACTIONS(7331),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHVolcite] = ACTIONS(7331),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHavolcite] = ACTIONS(7331),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHNotecite] = ACTIONS(7331),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHlabel] = ACTIONS(7331),
    [anon_sym_BSLASHref] = ACTIONS(7331),
    [anon_sym_BSLASHeqref] = ACTIONS(7331),
    [anon_sym_BSLASHvref] = ACTIONS(7331),
    [anon_sym_BSLASHVref] = ACTIONS(7331),
    [anon_sym_BSLASHautoref] = ACTIONS(7331),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHpageref] = ACTIONS(7331),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHautopageref] = ACTIONS(7331),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcref] = ACTIONS(7331),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCref] = ACTIONS(7331),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcpageref] = ACTIONS(7331),
    [anon_sym_BSLASHCpageref] = ACTIONS(7331),
    [anon_sym_BSLASHnamecref] = ACTIONS(7331),
    [anon_sym_BSLASHnameCref] = ACTIONS(7331),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7331),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7331),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7331),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7331),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7331),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7331),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7331),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7331),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7331),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7331),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7331),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHdef] = ACTIONS(7331),
    [anon_sym_BSLASHgdef] = ACTIONS(7331),
    [anon_sym_BSLASHedef] = ACTIONS(7331),
    [anon_sym_BSLASHxdef] = ACTIONS(7331),
    [anon_sym_BSLASHlet] = ACTIONS(7331),
    [anon_sym_BSLASHglet] = ACTIONS(7331),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7331),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7331),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7331),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7331),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7331),
    [anon_sym_BSLASHgls] = ACTIONS(7331),
    [anon_sym_BSLASHGls] = ACTIONS(7331),
    [anon_sym_BSLASHGLS] = ACTIONS(7331),
    [anon_sym_BSLASHglspl] = ACTIONS(7331),
    [anon_sym_BSLASHGlspl] = ACTIONS(7331),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7331),
    [anon_sym_BSLASHglslink] = ACTIONS(7331),
    [anon_sym_BSLASHglstext] = ACTIONS(7331),
    [anon_sym_BSLASHGlstext] = ACTIONS(7331),
    [anon_sym_BSLASHGLStext] = ACTIONS(7331),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7331),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7331),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7331),
    [anon_sym_BSLASHglsplural] = ACTIONS(7331),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7331),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7331),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHglsname] = ACTIONS(7331),
    [anon_sym_BSLASHGlsname] = ACTIONS(7331),
    [anon_sym_BSLASHGLSname] = ACTIONS(7331),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7331),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7331),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7331),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7331),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7331),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7331),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7331),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7331),
    [anon_sym_BSLASHacrshort] = ACTIONS(7331),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7331),
    [anon_sym_BSLASHACRshort] = ACTIONS(7331),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHacrlong] = ACTIONS(7331),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7331),
    [anon_sym_BSLASHACRlong] = ACTIONS(7331),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHacrfull] = ACTIONS(7331),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7331),
    [anon_sym_BSLASHACRfull] = ACTIONS(7331),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHacs] = ACTIONS(7331),
    [anon_sym_BSLASHAcs] = ACTIONS(7331),
    [anon_sym_BSLASHacsp] = ACTIONS(7331),
    [anon_sym_BSLASHAcsp] = ACTIONS(7331),
    [anon_sym_BSLASHacl] = ACTIONS(7331),
    [anon_sym_BSLASHAcl] = ACTIONS(7331),
    [anon_sym_BSLASHaclp] = ACTIONS(7331),
    [anon_sym_BSLASHAclp] = ACTIONS(7331),
    [anon_sym_BSLASHacf] = ACTIONS(7331),
    [anon_sym_BSLASHAcf] = ACTIONS(7331),
    [anon_sym_BSLASHacfp] = ACTIONS(7331),
    [anon_sym_BSLASHAcfp] = ACTIONS(7331),
    [anon_sym_BSLASHac] = ACTIONS(7331),
    [anon_sym_BSLASHAc] = ACTIONS(7331),
    [anon_sym_BSLASHacp] = ACTIONS(7331),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7331),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7331),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7331),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7331),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7331),
    [anon_sym_BSLASHcolor] = ACTIONS(7331),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7331),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7331),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7331),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7331),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7331),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7331),
    [anon_sym_BSLASHurl] = ACTIONS(7331),
    [anon_sym_BSLASHhref] = ACTIONS(7331),
  },
  [1571] = {
    [sym_command_name] = ACTIONS(7319),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7319),
    [anon_sym_LBRACK] = ACTIONS(7321),
    [anon_sym_RBRACK] = ACTIONS(7321),
    [anon_sym_COMMA] = ACTIONS(7321),
    [anon_sym_EQ] = ACTIONS(7321),
    [anon_sym_LPAREN] = ACTIONS(7321),
    [anon_sym_RPAREN] = ACTIONS(7321),
    [anon_sym_BSLASHpart] = ACTIONS(7319),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHaddpart] = ACTIONS(7319),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHchapter] = ACTIONS(7319),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHaddchap] = ACTIONS(7319),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHsection] = ACTIONS(7319),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHaddsec] = ACTIONS(7319),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHsubsection] = ACTIONS(7319),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7319),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHparagraph] = ACTIONS(7319),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7319),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHitem] = ACTIONS(7319),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7321),
    [anon_sym_LBRACE] = ACTIONS(7321),
    [sym_word] = ACTIONS(7319),
    [sym_placeholder] = ACTIONS(7321),
    [sym_delimiter] = ACTIONS(7321),
    [anon_sym_PLUS] = ACTIONS(7321),
    [anon_sym_DASH] = ACTIONS(7321),
    [anon_sym_STAR] = ACTIONS(7321),
    [anon_sym_SLASH] = ACTIONS(7321),
    [anon_sym_LT] = ACTIONS(7319),
    [anon_sym_GT] = ACTIONS(7319),
    [anon_sym_BANG] = ACTIONS(7319),
    [anon_sym_PIPE] = ACTIONS(7319),
    [anon_sym_COLON] = ACTIONS(7319),
    [anon_sym_SQUOTE] = ACTIONS(7319),
    [anon_sym__] = ACTIONS(7321),
    [anon_sym_CARET] = ACTIONS(7321),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7321),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7321),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7321),
    [anon_sym_DOLLAR] = ACTIONS(7319),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7321),
    [anon_sym_BSLASHleft] = ACTIONS(7319),
    [anon_sym_BSLASHbigl] = ACTIONS(7319),
    [anon_sym_BSLASHBigl] = ACTIONS(7319),
    [anon_sym_BSLASHbiggl] = ACTIONS(7319),
    [anon_sym_BSLASHBiggl] = ACTIONS(7319),
    [anon_sym_BSLASHtext] = ACTIONS(7319),
    [anon_sym_BSLASHintertext] = ACTIONS(7319),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7319),
    [anon_sym_BSLASHbegin] = ACTIONS(7319),
    [anon_sym_BSLASHtitle] = ACTIONS(7319),
    [anon_sym_BSLASHauthor] = ACTIONS(7319),
    [anon_sym_BSLASHusepackage] = ACTIONS(7319),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7319),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7319),
    [anon_sym_BSLASHinclude] = ACTIONS(7319),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7319),
    [anon_sym_BSLASHinput] = ACTIONS(7319),
    [anon_sym_BSLASHsubfile] = ACTIONS(7319),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7319),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7319),
    [anon_sym_BSLASHbibliography] = ACTIONS(7319),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7319),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7319),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7319),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7319),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7319),
    [anon_sym_BSLASHimport] = ACTIONS(7319),
    [anon_sym_BSLASHsubimport] = ACTIONS(7319),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7319),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7319),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7319),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7319),
    [anon_sym_BSLASHcaption] = ACTIONS(7319),
    [anon_sym_BSLASHcite] = ACTIONS(7319),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCite] = ACTIONS(7319),
    [anon_sym_BSLASHnocite] = ACTIONS(7319),
    [anon_sym_BSLASHcitet] = ACTIONS(7319),
    [anon_sym_BSLASHcitep] = ACTIONS(7319),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteA] = ACTIONS(7319),
    [anon_sym_BSLASHciteR] = ACTIONS(7319),
    [anon_sym_BSLASHciteS] = ACTIONS(7319),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7319),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7319),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7319),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7319),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteyear] = ACTIONS(7319),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitedate] = ACTIONS(7319),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteurl] = ACTIONS(7319),
    [anon_sym_BSLASHfullcite] = ACTIONS(7319),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7319),
    [anon_sym_BSLASHcitealt] = ACTIONS(7319),
    [anon_sym_BSLASHcitealp] = ACTIONS(7319),
    [anon_sym_BSLASHcitetext] = ACTIONS(7319),
    [anon_sym_BSLASHparencite] = ACTIONS(7319),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHParencite] = ACTIONS(7319),
    [anon_sym_BSLASHfootcite] = ACTIONS(7319),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7319),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7319),
    [anon_sym_BSLASHtextcite] = ACTIONS(7319),
    [anon_sym_BSLASHTextcite] = ACTIONS(7319),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7319),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7319),
    [anon_sym_BSLASHsupercite] = ACTIONS(7319),
    [anon_sym_BSLASHautocite] = ACTIONS(7319),
    [anon_sym_BSLASHAutocite] = ACTIONS(7319),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHVolcite] = ACTIONS(7319),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHavolcite] = ACTIONS(7319),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHNotecite] = ACTIONS(7319),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHlabel] = ACTIONS(7319),
    [anon_sym_BSLASHref] = ACTIONS(7319),
    [anon_sym_BSLASHeqref] = ACTIONS(7319),
    [anon_sym_BSLASHvref] = ACTIONS(7319),
    [anon_sym_BSLASHVref] = ACTIONS(7319),
    [anon_sym_BSLASHautoref] = ACTIONS(7319),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHpageref] = ACTIONS(7319),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHautopageref] = ACTIONS(7319),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcref] = ACTIONS(7319),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCref] = ACTIONS(7319),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcpageref] = ACTIONS(7319),
    [anon_sym_BSLASHCpageref] = ACTIONS(7319),
    [anon_sym_BSLASHnamecref] = ACTIONS(7319),
    [anon_sym_BSLASHnameCref] = ACTIONS(7319),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7319),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7319),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7319),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7319),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7319),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7319),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7319),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7319),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7319),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7319),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7319),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHdef] = ACTIONS(7319),
    [anon_sym_BSLASHgdef] = ACTIONS(7319),
    [anon_sym_BSLASHedef] = ACTIONS(7319),
    [anon_sym_BSLASHxdef] = ACTIONS(7319),
    [anon_sym_BSLASHlet] = ACTIONS(7319),
    [anon_sym_BSLASHglet] = ACTIONS(7319),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7319),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7319),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7319),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7319),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7319),
    [anon_sym_BSLASHgls] = ACTIONS(7319),
    [anon_sym_BSLASHGls] = ACTIONS(7319),
    [anon_sym_BSLASHGLS] = ACTIONS(7319),
    [anon_sym_BSLASHglspl] = ACTIONS(7319),
    [anon_sym_BSLASHGlspl] = ACTIONS(7319),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7319),
    [anon_sym_BSLASHglslink] = ACTIONS(7319),
    [anon_sym_BSLASHglstext] = ACTIONS(7319),
    [anon_sym_BSLASHGlstext] = ACTIONS(7319),
    [anon_sym_BSLASHGLStext] = ACTIONS(7319),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7319),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7319),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7319),
    [anon_sym_BSLASHglsplural] = ACTIONS(7319),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7319),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7319),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHglsname] = ACTIONS(7319),
    [anon_sym_BSLASHGlsname] = ACTIONS(7319),
    [anon_sym_BSLASHGLSname] = ACTIONS(7319),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7319),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7319),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7319),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7319),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7319),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7319),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7319),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7319),
    [anon_sym_BSLASHacrshort] = ACTIONS(7319),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7319),
    [anon_sym_BSLASHACRshort] = ACTIONS(7319),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHacrlong] = ACTIONS(7319),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7319),
    [anon_sym_BSLASHACRlong] = ACTIONS(7319),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHacrfull] = ACTIONS(7319),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7319),
    [anon_sym_BSLASHACRfull] = ACTIONS(7319),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHacs] = ACTIONS(7319),
    [anon_sym_BSLASHAcs] = ACTIONS(7319),
    [anon_sym_BSLASHacsp] = ACTIONS(7319),
    [anon_sym_BSLASHAcsp] = ACTIONS(7319),
    [anon_sym_BSLASHacl] = ACTIONS(7319),
    [anon_sym_BSLASHAcl] = ACTIONS(7319),
    [anon_sym_BSLASHaclp] = ACTIONS(7319),
    [anon_sym_BSLASHAclp] = ACTIONS(7319),
    [anon_sym_BSLASHacf] = ACTIONS(7319),
    [anon_sym_BSLASHAcf] = ACTIONS(7319),
    [anon_sym_BSLASHacfp] = ACTIONS(7319),
    [anon_sym_BSLASHAcfp] = ACTIONS(7319),
    [anon_sym_BSLASHac] = ACTIONS(7319),
    [anon_sym_BSLASHAc] = ACTIONS(7319),
    [anon_sym_BSLASHacp] = ACTIONS(7319),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7319),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7319),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7319),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7319),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7319),
    [anon_sym_BSLASHcolor] = ACTIONS(7319),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7319),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7319),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7319),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7319),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7319),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7319),
    [anon_sym_BSLASHurl] = ACTIONS(7319),
    [anon_sym_BSLASHhref] = ACTIONS(7319),
  },
  [1572] = {
    [sym_command_name] = ACTIONS(7803),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7803),
    [anon_sym_LBRACK] = ACTIONS(7805),
    [anon_sym_RBRACK] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LPAREN] = ACTIONS(7805),
    [anon_sym_RPAREN] = ACTIONS(7805),
    [anon_sym_BSLASHpart] = ACTIONS(7803),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHaddpart] = ACTIONS(7803),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHchapter] = ACTIONS(7803),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHaddchap] = ACTIONS(7803),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHsection] = ACTIONS(7803),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHaddsec] = ACTIONS(7803),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHsubsection] = ACTIONS(7803),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7803),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHparagraph] = ACTIONS(7803),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7803),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHitem] = ACTIONS(7803),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7805),
    [anon_sym_LBRACE] = ACTIONS(7805),
    [sym_word] = ACTIONS(7803),
    [sym_placeholder] = ACTIONS(7805),
    [sym_delimiter] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_DASH] = ACTIONS(7805),
    [anon_sym_STAR] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7803),
    [anon_sym_GT] = ACTIONS(7803),
    [anon_sym_BANG] = ACTIONS(7803),
    [anon_sym_PIPE] = ACTIONS(7803),
    [anon_sym_COLON] = ACTIONS(7803),
    [anon_sym_SQUOTE] = ACTIONS(7803),
    [anon_sym__] = ACTIONS(7805),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7805),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7805),
    [anon_sym_DOLLAR] = ACTIONS(7803),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7805),
    [anon_sym_BSLASHleft] = ACTIONS(7803),
    [anon_sym_BSLASHbigl] = ACTIONS(7803),
    [anon_sym_BSLASHBigl] = ACTIONS(7803),
    [anon_sym_BSLASHbiggl] = ACTIONS(7803),
    [anon_sym_BSLASHBiggl] = ACTIONS(7803),
    [anon_sym_BSLASHtext] = ACTIONS(7803),
    [anon_sym_BSLASHintertext] = ACTIONS(7803),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7803),
    [anon_sym_BSLASHbegin] = ACTIONS(7803),
    [anon_sym_BSLASHend] = ACTIONS(7803),
    [anon_sym_BSLASHtitle] = ACTIONS(7803),
    [anon_sym_BSLASHauthor] = ACTIONS(7803),
    [anon_sym_BSLASHusepackage] = ACTIONS(7803),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7803),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7803),
    [anon_sym_BSLASHinclude] = ACTIONS(7803),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7803),
    [anon_sym_BSLASHinput] = ACTIONS(7803),
    [anon_sym_BSLASHsubfile] = ACTIONS(7803),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7803),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7803),
    [anon_sym_BSLASHbibliography] = ACTIONS(7803),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7803),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7803),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7803),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7803),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7803),
    [anon_sym_BSLASHimport] = ACTIONS(7803),
    [anon_sym_BSLASHsubimport] = ACTIONS(7803),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7803),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7803),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7803),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7803),
    [anon_sym_BSLASHcaption] = ACTIONS(7803),
    [anon_sym_BSLASHcite] = ACTIONS(7803),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHCite] = ACTIONS(7803),
    [anon_sym_BSLASHnocite] = ACTIONS(7803),
    [anon_sym_BSLASHcitet] = ACTIONS(7803),
    [anon_sym_BSLASHcitep] = ACTIONS(7803),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHciteA] = ACTIONS(7803),
    [anon_sym_BSLASHciteR] = ACTIONS(7803),
    [anon_sym_BSLASHciteS] = ACTIONS(7803),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7803),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7803),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7803),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7803),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHciteyear] = ACTIONS(7803),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHcitedate] = ACTIONS(7803),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHciteurl] = ACTIONS(7803),
    [anon_sym_BSLASHfullcite] = ACTIONS(7803),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7803),
    [anon_sym_BSLASHcitealt] = ACTIONS(7803),
    [anon_sym_BSLASHcitealp] = ACTIONS(7803),
    [anon_sym_BSLASHcitetext] = ACTIONS(7803),
    [anon_sym_BSLASHparencite] = ACTIONS(7803),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHParencite] = ACTIONS(7803),
    [anon_sym_BSLASHfootcite] = ACTIONS(7803),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7803),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7803),
    [anon_sym_BSLASHtextcite] = ACTIONS(7803),
    [anon_sym_BSLASHTextcite] = ACTIONS(7803),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7803),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7803),
    [anon_sym_BSLASHsupercite] = ACTIONS(7803),
    [anon_sym_BSLASHautocite] = ACTIONS(7803),
    [anon_sym_BSLASHAutocite] = ACTIONS(7803),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHVolcite] = ACTIONS(7803),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHavolcite] = ACTIONS(7803),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHnotecite] = ACTIONS(7803),
    [anon_sym_BSLASHNotecite] = ACTIONS(7803),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7803),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7803),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7803),
    [anon_sym_BSLASHlabel] = ACTIONS(7803),
    [anon_sym_BSLASHref] = ACTIONS(7803),
    [anon_sym_BSLASHeqref] = ACTIONS(7803),
    [anon_sym_BSLASHvref] = ACTIONS(7803),
    [anon_sym_BSLASHVref] = ACTIONS(7803),
    [anon_sym_BSLASHautoref] = ACTIONS(7803),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHpageref] = ACTIONS(7803),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHautopageref] = ACTIONS(7803),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHcref] = ACTIONS(7803),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHCref] = ACTIONS(7803),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHcpageref] = ACTIONS(7803),
    [anon_sym_BSLASHCpageref] = ACTIONS(7803),
    [anon_sym_BSLASHnamecref] = ACTIONS(7803),
    [anon_sym_BSLASHnameCref] = ACTIONS(7803),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7803),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7803),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7803),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7803),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7803),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7803),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7803),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7803),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7803),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7803),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7803),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7803),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7803),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7803),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7803),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7803),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7803),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7803),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7803),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7803),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7803),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7803),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7803),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7803),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7803),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7803),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7803),
    [anon_sym_BSLASHdef] = ACTIONS(7803),
    [anon_sym_BSLASHgdef] = ACTIONS(7803),
    [anon_sym_BSLASHedef] = ACTIONS(7803),
    [anon_sym_BSLASHxdef] = ACTIONS(7803),
    [anon_sym_BSLASHlet] = ACTIONS(7803),
    [anon_sym_BSLASHglet] = ACTIONS(7803),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7803),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7803),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7803),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7803),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7803),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7803),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7803),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7803),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7803),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7803),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7803),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7803),
    [anon_sym_BSLASHgls] = ACTIONS(7803),
    [anon_sym_BSLASHGls] = ACTIONS(7803),
    [anon_sym_BSLASHGLS] = ACTIONS(7803),
    [anon_sym_BSLASHglspl] = ACTIONS(7803),
    [anon_sym_BSLASHGlspl] = ACTIONS(7803),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7803),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7803),
    [anon_sym_BSLASHglslink] = ACTIONS(7803),
    [anon_sym_BSLASHglstext] = ACTIONS(7803),
    [anon_sym_BSLASHGlstext] = ACTIONS(7803),
    [anon_sym_BSLASHGLStext] = ACTIONS(7803),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7803),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7803),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7803),
    [anon_sym_BSLASHglsplural] = ACTIONS(7803),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7803),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7803),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7803),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7803),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7803),
    [anon_sym_BSLASHglsname] = ACTIONS(7803),
    [anon_sym_BSLASHGlsname] = ACTIONS(7803),
    [anon_sym_BSLASHGLSname] = ACTIONS(7803),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7803),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7803),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7803),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7803),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7803),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7803),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7803),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7803),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7803),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7803),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7803),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7803),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7803),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7803),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7803),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7803),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7803),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7803),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7803),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7803),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7803),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7803),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7803),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7803),
    [anon_sym_BSLASHacrshort] = ACTIONS(7803),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7803),
    [anon_sym_BSLASHACRshort] = ACTIONS(7803),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7803),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7803),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7803),
    [anon_sym_BSLASHacrlong] = ACTIONS(7803),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7803),
    [anon_sym_BSLASHACRlong] = ACTIONS(7803),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7803),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7803),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7803),
    [anon_sym_BSLASHacrfull] = ACTIONS(7803),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7803),
    [anon_sym_BSLASHACRfull] = ACTIONS(7803),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7803),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7803),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7803),
    [anon_sym_BSLASHacs] = ACTIONS(7803),
    [anon_sym_BSLASHAcs] = ACTIONS(7803),
    [anon_sym_BSLASHacsp] = ACTIONS(7803),
    [anon_sym_BSLASHAcsp] = ACTIONS(7803),
    [anon_sym_BSLASHacl] = ACTIONS(7803),
    [anon_sym_BSLASHAcl] = ACTIONS(7803),
    [anon_sym_BSLASHaclp] = ACTIONS(7803),
    [anon_sym_BSLASHAclp] = ACTIONS(7803),
    [anon_sym_BSLASHacf] = ACTIONS(7803),
    [anon_sym_BSLASHAcf] = ACTIONS(7803),
    [anon_sym_BSLASHacfp] = ACTIONS(7803),
    [anon_sym_BSLASHAcfp] = ACTIONS(7803),
    [anon_sym_BSLASHac] = ACTIONS(7803),
    [anon_sym_BSLASHAc] = ACTIONS(7803),
    [anon_sym_BSLASHacp] = ACTIONS(7803),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7803),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7803),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7803),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7803),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7803),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7803),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7803),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7803),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7803),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7803),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7803),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7803),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7803),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7803),
    [anon_sym_BSLASHcolor] = ACTIONS(7803),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7803),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7803),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7803),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7803),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7803),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7803),
    [anon_sym_BSLASHurl] = ACTIONS(7803),
    [anon_sym_BSLASHhref] = ACTIONS(7803),
  },
  [1573] = {
    [sym_command_name] = ACTIONS(7035),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7037),
    [anon_sym_RBRACK] = ACTIONS(7037),
    [anon_sym_COMMA] = ACTIONS(7037),
    [anon_sym_EQ] = ACTIONS(7037),
    [anon_sym_LPAREN] = ACTIONS(7037),
    [anon_sym_RPAREN] = ACTIONS(7037),
    [anon_sym_BSLASHpart] = ACTIONS(7035),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHaddpart] = ACTIONS(7035),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHchapter] = ACTIONS(7035),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHaddchap] = ACTIONS(7035),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHsection] = ACTIONS(7035),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHaddsec] = ACTIONS(7035),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHsubsection] = ACTIONS(7035),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7035),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHparagraph] = ACTIONS(7035),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7035),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHitem] = ACTIONS(7035),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7037),
    [anon_sym_LBRACE] = ACTIONS(7037),
    [sym_word] = ACTIONS(7035),
    [sym_placeholder] = ACTIONS(7037),
    [sym_delimiter] = ACTIONS(7037),
    [anon_sym_PLUS] = ACTIONS(7037),
    [anon_sym_DASH] = ACTIONS(7037),
    [anon_sym_STAR] = ACTIONS(7037),
    [anon_sym_SLASH] = ACTIONS(7037),
    [anon_sym_LT] = ACTIONS(7035),
    [anon_sym_GT] = ACTIONS(7035),
    [anon_sym_BANG] = ACTIONS(7035),
    [anon_sym_PIPE] = ACTIONS(7035),
    [anon_sym_COLON] = ACTIONS(7035),
    [anon_sym_SQUOTE] = ACTIONS(7035),
    [anon_sym__] = ACTIONS(7037),
    [anon_sym_CARET] = ACTIONS(7037),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7037),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7037),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7037),
    [anon_sym_DOLLAR] = ACTIONS(7035),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7037),
    [anon_sym_BSLASHleft] = ACTIONS(7035),
    [anon_sym_BSLASHbigl] = ACTIONS(7035),
    [anon_sym_BSLASHBigl] = ACTIONS(7035),
    [anon_sym_BSLASHbiggl] = ACTIONS(7035),
    [anon_sym_BSLASHBiggl] = ACTIONS(7035),
    [anon_sym_BSLASHtext] = ACTIONS(7035),
    [anon_sym_BSLASHintertext] = ACTIONS(7035),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7035),
    [anon_sym_BSLASHbegin] = ACTIONS(7035),
    [anon_sym_BSLASHtitle] = ACTIONS(7035),
    [anon_sym_BSLASHauthor] = ACTIONS(7035),
    [anon_sym_BSLASHusepackage] = ACTIONS(7035),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7035),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7035),
    [anon_sym_BSLASHinclude] = ACTIONS(7035),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7035),
    [anon_sym_BSLASHinput] = ACTIONS(7035),
    [anon_sym_BSLASHsubfile] = ACTIONS(7035),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7035),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7035),
    [anon_sym_BSLASHbibliography] = ACTIONS(7035),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7035),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7035),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7035),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7035),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7035),
    [anon_sym_BSLASHimport] = ACTIONS(7035),
    [anon_sym_BSLASHsubimport] = ACTIONS(7035),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7035),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7035),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7035),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7035),
    [anon_sym_BSLASHcaption] = ACTIONS(7035),
    [anon_sym_BSLASHcite] = ACTIONS(7035),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHCite] = ACTIONS(7035),
    [anon_sym_BSLASHnocite] = ACTIONS(7035),
    [anon_sym_BSLASHcitet] = ACTIONS(7035),
    [anon_sym_BSLASHcitep] = ACTIONS(7035),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHciteA] = ACTIONS(7035),
    [anon_sym_BSLASHciteR] = ACTIONS(7035),
    [anon_sym_BSLASHciteS] = ACTIONS(7035),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7035),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7035),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7035),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7035),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHciteyear] = ACTIONS(7035),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcitedate] = ACTIONS(7035),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHciteurl] = ACTIONS(7035),
    [anon_sym_BSLASHfullcite] = ACTIONS(7035),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7035),
    [anon_sym_BSLASHcitealt] = ACTIONS(7035),
    [anon_sym_BSLASHcitealp] = ACTIONS(7035),
    [anon_sym_BSLASHcitetext] = ACTIONS(7035),
    [anon_sym_BSLASHparencite] = ACTIONS(7035),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHParencite] = ACTIONS(7035),
    [anon_sym_BSLASHfootcite] = ACTIONS(7035),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7035),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7035),
    [anon_sym_BSLASHtextcite] = ACTIONS(7035),
    [anon_sym_BSLASHTextcite] = ACTIONS(7035),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7035),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7035),
    [anon_sym_BSLASHsupercite] = ACTIONS(7035),
    [anon_sym_BSLASHautocite] = ACTIONS(7035),
    [anon_sym_BSLASHAutocite] = ACTIONS(7035),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHVolcite] = ACTIONS(7035),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHavolcite] = ACTIONS(7035),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHnotecite] = ACTIONS(7035),
    [anon_sym_BSLASHNotecite] = ACTIONS(7035),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7035),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7035),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7035),
    [anon_sym_BSLASHlabel] = ACTIONS(7035),
    [anon_sym_BSLASHref] = ACTIONS(7035),
    [anon_sym_BSLASHeqref] = ACTIONS(7035),
    [anon_sym_BSLASHvref] = ACTIONS(7035),
    [anon_sym_BSLASHVref] = ACTIONS(7035),
    [anon_sym_BSLASHautoref] = ACTIONS(7035),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHpageref] = ACTIONS(7035),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHautopageref] = ACTIONS(7035),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcref] = ACTIONS(7035),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHCref] = ACTIONS(7035),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcpageref] = ACTIONS(7035),
    [anon_sym_BSLASHCpageref] = ACTIONS(7035),
    [anon_sym_BSLASHnamecref] = ACTIONS(7035),
    [anon_sym_BSLASHnameCref] = ACTIONS(7035),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7035),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7035),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7035),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7035),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7035),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7035),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7035),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7035),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7035),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7035),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7035),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7035),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7035),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7035),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7035),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7035),
    [anon_sym_BSLASHdef] = ACTIONS(7035),
    [anon_sym_BSLASHgdef] = ACTIONS(7035),
    [anon_sym_BSLASHedef] = ACTIONS(7035),
    [anon_sym_BSLASHxdef] = ACTIONS(7035),
    [anon_sym_BSLASHlet] = ACTIONS(7035),
    [anon_sym_BSLASHglet] = ACTIONS(7035),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7035),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7035),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7035),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7035),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7035),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7035),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7035),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7035),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7035),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7035),
    [anon_sym_BSLASHgls] = ACTIONS(7035),
    [anon_sym_BSLASHGls] = ACTIONS(7035),
    [anon_sym_BSLASHGLS] = ACTIONS(7035),
    [anon_sym_BSLASHglspl] = ACTIONS(7035),
    [anon_sym_BSLASHGlspl] = ACTIONS(7035),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7035),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7035),
    [anon_sym_BSLASHglslink] = ACTIONS(7035),
    [anon_sym_BSLASHglstext] = ACTIONS(7035),
    [anon_sym_BSLASHGlstext] = ACTIONS(7035),
    [anon_sym_BSLASHGLStext] = ACTIONS(7035),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7035),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7035),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7035),
    [anon_sym_BSLASHglsplural] = ACTIONS(7035),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7035),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7035),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7035),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7035),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7035),
    [anon_sym_BSLASHglsname] = ACTIONS(7035),
    [anon_sym_BSLASHGlsname] = ACTIONS(7035),
    [anon_sym_BSLASHGLSname] = ACTIONS(7035),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7035),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7035),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7035),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7035),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7035),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7035),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7035),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7035),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7035),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7035),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7035),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7035),
    [anon_sym_BSLASHacrshort] = ACTIONS(7035),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7035),
    [anon_sym_BSLASHACRshort] = ACTIONS(7035),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7035),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7035),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7035),
    [anon_sym_BSLASHacrlong] = ACTIONS(7035),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7035),
    [anon_sym_BSLASHACRlong] = ACTIONS(7035),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7035),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7035),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7035),
    [anon_sym_BSLASHacrfull] = ACTIONS(7035),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7035),
    [anon_sym_BSLASHACRfull] = ACTIONS(7035),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7035),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7035),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7035),
    [anon_sym_BSLASHacs] = ACTIONS(7035),
    [anon_sym_BSLASHAcs] = ACTIONS(7035),
    [anon_sym_BSLASHacsp] = ACTIONS(7035),
    [anon_sym_BSLASHAcsp] = ACTIONS(7035),
    [anon_sym_BSLASHacl] = ACTIONS(7035),
    [anon_sym_BSLASHAcl] = ACTIONS(7035),
    [anon_sym_BSLASHaclp] = ACTIONS(7035),
    [anon_sym_BSLASHAclp] = ACTIONS(7035),
    [anon_sym_BSLASHacf] = ACTIONS(7035),
    [anon_sym_BSLASHAcf] = ACTIONS(7035),
    [anon_sym_BSLASHacfp] = ACTIONS(7035),
    [anon_sym_BSLASHAcfp] = ACTIONS(7035),
    [anon_sym_BSLASHac] = ACTIONS(7035),
    [anon_sym_BSLASHAc] = ACTIONS(7035),
    [anon_sym_BSLASHacp] = ACTIONS(7035),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7035),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7035),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7035),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7035),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7035),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7035),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7035),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7035),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7035),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7035),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7035),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7035),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7035),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7035),
    [anon_sym_BSLASHcolor] = ACTIONS(7035),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7035),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7035),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7035),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7035),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7035),
    [anon_sym_BSLASHurl] = ACTIONS(7035),
    [anon_sym_BSLASHhref] = ACTIONS(7035),
  },
  [1574] = {
    [sym_command_name] = ACTIONS(7067),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7067),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_RBRACK] = ACTIONS(7069),
    [anon_sym_COMMA] = ACTIONS(7069),
    [anon_sym_EQ] = ACTIONS(7069),
    [anon_sym_LPAREN] = ACTIONS(7069),
    [anon_sym_RPAREN] = ACTIONS(7069),
    [anon_sym_BSLASHpart] = ACTIONS(7067),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHaddpart] = ACTIONS(7067),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHchapter] = ACTIONS(7067),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHaddchap] = ACTIONS(7067),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHsection] = ACTIONS(7067),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHaddsec] = ACTIONS(7067),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHsubsection] = ACTIONS(7067),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7067),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHparagraph] = ACTIONS(7067),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7067),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHitem] = ACTIONS(7067),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7069),
    [anon_sym_LBRACE] = ACTIONS(7069),
    [sym_word] = ACTIONS(7067),
    [sym_placeholder] = ACTIONS(7069),
    [sym_delimiter] = ACTIONS(7069),
    [anon_sym_PLUS] = ACTIONS(7069),
    [anon_sym_DASH] = ACTIONS(7069),
    [anon_sym_STAR] = ACTIONS(7069),
    [anon_sym_SLASH] = ACTIONS(7069),
    [anon_sym_LT] = ACTIONS(7067),
    [anon_sym_GT] = ACTIONS(7067),
    [anon_sym_BANG] = ACTIONS(7067),
    [anon_sym_PIPE] = ACTIONS(7067),
    [anon_sym_COLON] = ACTIONS(7067),
    [anon_sym_SQUOTE] = ACTIONS(7067),
    [anon_sym__] = ACTIONS(7069),
    [anon_sym_CARET] = ACTIONS(7069),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7069),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7069),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7069),
    [anon_sym_DOLLAR] = ACTIONS(7067),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7069),
    [anon_sym_BSLASHleft] = ACTIONS(7067),
    [anon_sym_BSLASHbigl] = ACTIONS(7067),
    [anon_sym_BSLASHBigl] = ACTIONS(7067),
    [anon_sym_BSLASHbiggl] = ACTIONS(7067),
    [anon_sym_BSLASHBiggl] = ACTIONS(7067),
    [anon_sym_BSLASHtext] = ACTIONS(7067),
    [anon_sym_BSLASHintertext] = ACTIONS(7067),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7067),
    [anon_sym_BSLASHbegin] = ACTIONS(7067),
    [anon_sym_BSLASHtitle] = ACTIONS(7067),
    [anon_sym_BSLASHauthor] = ACTIONS(7067),
    [anon_sym_BSLASHusepackage] = ACTIONS(7067),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7067),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7067),
    [anon_sym_BSLASHinclude] = ACTIONS(7067),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7067),
    [anon_sym_BSLASHinput] = ACTIONS(7067),
    [anon_sym_BSLASHsubfile] = ACTIONS(7067),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7067),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7067),
    [anon_sym_BSLASHbibliography] = ACTIONS(7067),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7067),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7067),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7067),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7067),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7067),
    [anon_sym_BSLASHimport] = ACTIONS(7067),
    [anon_sym_BSLASHsubimport] = ACTIONS(7067),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7067),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7067),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7067),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7067),
    [anon_sym_BSLASHcaption] = ACTIONS(7067),
    [anon_sym_BSLASHcite] = ACTIONS(7067),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCite] = ACTIONS(7067),
    [anon_sym_BSLASHnocite] = ACTIONS(7067),
    [anon_sym_BSLASHcitet] = ACTIONS(7067),
    [anon_sym_BSLASHcitep] = ACTIONS(7067),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteA] = ACTIONS(7067),
    [anon_sym_BSLASHciteR] = ACTIONS(7067),
    [anon_sym_BSLASHciteS] = ACTIONS(7067),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7067),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7067),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7067),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7067),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteyear] = ACTIONS(7067),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitedate] = ACTIONS(7067),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteurl] = ACTIONS(7067),
    [anon_sym_BSLASHfullcite] = ACTIONS(7067),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7067),
    [anon_sym_BSLASHcitealt] = ACTIONS(7067),
    [anon_sym_BSLASHcitealp] = ACTIONS(7067),
    [anon_sym_BSLASHcitetext] = ACTIONS(7067),
    [anon_sym_BSLASHparencite] = ACTIONS(7067),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHParencite] = ACTIONS(7067),
    [anon_sym_BSLASHfootcite] = ACTIONS(7067),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7067),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7067),
    [anon_sym_BSLASHtextcite] = ACTIONS(7067),
    [anon_sym_BSLASHTextcite] = ACTIONS(7067),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7067),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7067),
    [anon_sym_BSLASHsupercite] = ACTIONS(7067),
    [anon_sym_BSLASHautocite] = ACTIONS(7067),
    [anon_sym_BSLASHAutocite] = ACTIONS(7067),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHVolcite] = ACTIONS(7067),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHavolcite] = ACTIONS(7067),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHNotecite] = ACTIONS(7067),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHlabel] = ACTIONS(7067),
    [anon_sym_BSLASHref] = ACTIONS(7067),
    [anon_sym_BSLASHeqref] = ACTIONS(7067),
    [anon_sym_BSLASHvref] = ACTIONS(7067),
    [anon_sym_BSLASHVref] = ACTIONS(7067),
    [anon_sym_BSLASHautoref] = ACTIONS(7067),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHpageref] = ACTIONS(7067),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHautopageref] = ACTIONS(7067),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcref] = ACTIONS(7067),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCref] = ACTIONS(7067),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcpageref] = ACTIONS(7067),
    [anon_sym_BSLASHCpageref] = ACTIONS(7067),
    [anon_sym_BSLASHnamecref] = ACTIONS(7067),
    [anon_sym_BSLASHnameCref] = ACTIONS(7067),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7067),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7067),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7067),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7067),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7067),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7067),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7067),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7067),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7067),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7067),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7067),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHdef] = ACTIONS(7067),
    [anon_sym_BSLASHgdef] = ACTIONS(7067),
    [anon_sym_BSLASHedef] = ACTIONS(7067),
    [anon_sym_BSLASHxdef] = ACTIONS(7067),
    [anon_sym_BSLASHlet] = ACTIONS(7067),
    [anon_sym_BSLASHglet] = ACTIONS(7067),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7067),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7067),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7067),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7067),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7067),
    [anon_sym_BSLASHgls] = ACTIONS(7067),
    [anon_sym_BSLASHGls] = ACTIONS(7067),
    [anon_sym_BSLASHGLS] = ACTIONS(7067),
    [anon_sym_BSLASHglspl] = ACTIONS(7067),
    [anon_sym_BSLASHGlspl] = ACTIONS(7067),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7067),
    [anon_sym_BSLASHglslink] = ACTIONS(7067),
    [anon_sym_BSLASHglstext] = ACTIONS(7067),
    [anon_sym_BSLASHGlstext] = ACTIONS(7067),
    [anon_sym_BSLASHGLStext] = ACTIONS(7067),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7067),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7067),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7067),
    [anon_sym_BSLASHglsplural] = ACTIONS(7067),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7067),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7067),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHglsname] = ACTIONS(7067),
    [anon_sym_BSLASHGlsname] = ACTIONS(7067),
    [anon_sym_BSLASHGLSname] = ACTIONS(7067),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7067),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7067),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7067),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7067),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7067),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7067),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7067),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7067),
    [anon_sym_BSLASHacrshort] = ACTIONS(7067),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7067),
    [anon_sym_BSLASHACRshort] = ACTIONS(7067),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHacrlong] = ACTIONS(7067),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7067),
    [anon_sym_BSLASHACRlong] = ACTIONS(7067),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHacrfull] = ACTIONS(7067),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7067),
    [anon_sym_BSLASHACRfull] = ACTIONS(7067),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHacs] = ACTIONS(7067),
    [anon_sym_BSLASHAcs] = ACTIONS(7067),
    [anon_sym_BSLASHacsp] = ACTIONS(7067),
    [anon_sym_BSLASHAcsp] = ACTIONS(7067),
    [anon_sym_BSLASHacl] = ACTIONS(7067),
    [anon_sym_BSLASHAcl] = ACTIONS(7067),
    [anon_sym_BSLASHaclp] = ACTIONS(7067),
    [anon_sym_BSLASHAclp] = ACTIONS(7067),
    [anon_sym_BSLASHacf] = ACTIONS(7067),
    [anon_sym_BSLASHAcf] = ACTIONS(7067),
    [anon_sym_BSLASHacfp] = ACTIONS(7067),
    [anon_sym_BSLASHAcfp] = ACTIONS(7067),
    [anon_sym_BSLASHac] = ACTIONS(7067),
    [anon_sym_BSLASHAc] = ACTIONS(7067),
    [anon_sym_BSLASHacp] = ACTIONS(7067),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7067),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7067),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7067),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7067),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7067),
    [anon_sym_BSLASHcolor] = ACTIONS(7067),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7067),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7067),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7067),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7067),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7067),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7067),
    [anon_sym_BSLASHurl] = ACTIONS(7067),
    [anon_sym_BSLASHhref] = ACTIONS(7067),
  },
  [1575] = {
    [sym_command_name] = ACTIONS(169),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_COMMA] = ACTIONS(171),
    [anon_sym_EQ] = ACTIONS(171),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_BSLASHpart] = ACTIONS(169),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddpart] = ACTIONS(169),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(171),
    [anon_sym_BSLASHchapter] = ACTIONS(169),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddchap] = ACTIONS(169),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsection] = ACTIONS(169),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHaddsec] = ACTIONS(169),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubsection] = ACTIONS(169),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(169),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(171),
    [anon_sym_BSLASHparagraph] = ACTIONS(169),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(171),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(169),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(171),
    [anon_sym_BSLASHitem] = ACTIONS(169),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(171),
    [anon_sym_LBRACE] = ACTIONS(171),
    [sym_word] = ACTIONS(169),
    [sym_placeholder] = ACTIONS(171),
    [sym_delimiter] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_STAR] = ACTIONS(171),
    [anon_sym_SLASH] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(169),
    [anon_sym_GT] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_PIPE] = ACTIONS(169),
    [anon_sym_COLON] = ACTIONS(169),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym__] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(171),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(171),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(171),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(171),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(171),
    [anon_sym_BSLASHleft] = ACTIONS(169),
    [anon_sym_BSLASHbigl] = ACTIONS(169),
    [anon_sym_BSLASHBigl] = ACTIONS(169),
    [anon_sym_BSLASHbiggl] = ACTIONS(169),
    [anon_sym_BSLASHBiggl] = ACTIONS(169),
    [anon_sym_BSLASHtext] = ACTIONS(169),
    [anon_sym_BSLASHintertext] = ACTIONS(169),
    [anon_sym_BSLASHshortintertext] = ACTIONS(169),
    [anon_sym_BSLASHbegin] = ACTIONS(169),
    [anon_sym_BSLASHtitle] = ACTIONS(169),
    [anon_sym_BSLASHauthor] = ACTIONS(169),
    [anon_sym_BSLASHusepackage] = ACTIONS(169),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(169),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(169),
    [anon_sym_BSLASHinclude] = ACTIONS(169),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(169),
    [anon_sym_BSLASHinput] = ACTIONS(169),
    [anon_sym_BSLASHsubfile] = ACTIONS(169),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(169),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(169),
    [anon_sym_BSLASHbibliography] = ACTIONS(169),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(169),
    [anon_sym_BSLASHincludesvg] = ACTIONS(169),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(169),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(169),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(169),
    [anon_sym_BSLASHimport] = ACTIONS(169),
    [anon_sym_BSLASHsubimport] = ACTIONS(169),
    [anon_sym_BSLASHinputfrom] = ACTIONS(169),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(169),
    [anon_sym_BSLASHincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHcaption] = ACTIONS(169),
    [anon_sym_BSLASHcite] = ACTIONS(169),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCite] = ACTIONS(169),
    [anon_sym_BSLASHnocite] = ACTIONS(169),
    [anon_sym_BSLASHcitet] = ACTIONS(169),
    [anon_sym_BSLASHcitep] = ACTIONS(169),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteA] = ACTIONS(169),
    [anon_sym_BSLASHciteR] = ACTIONS(169),
    [anon_sym_BSLASHciteS] = ACTIONS(169),
    [anon_sym_BSLASHciteyearR] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(169),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitetitle] = ACTIONS(169),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteyear] = ACTIONS(169),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitedate] = ACTIONS(169),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteurl] = ACTIONS(169),
    [anon_sym_BSLASHfullcite] = ACTIONS(169),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(169),
    [anon_sym_BSLASHcitealt] = ACTIONS(169),
    [anon_sym_BSLASHcitealp] = ACTIONS(169),
    [anon_sym_BSLASHcitetext] = ACTIONS(169),
    [anon_sym_BSLASHparencite] = ACTIONS(169),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHParencite] = ACTIONS(169),
    [anon_sym_BSLASHfootcite] = ACTIONS(169),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(169),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(169),
    [anon_sym_BSLASHtextcite] = ACTIONS(169),
    [anon_sym_BSLASHTextcite] = ACTIONS(169),
    [anon_sym_BSLASHsmartcite] = ACTIONS(169),
    [anon_sym_BSLASHSmartcite] = ACTIONS(169),
    [anon_sym_BSLASHsupercite] = ACTIONS(169),
    [anon_sym_BSLASHautocite] = ACTIONS(169),
    [anon_sym_BSLASHAutocite] = ACTIONS(169),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHvolcite] = ACTIONS(169),
    [anon_sym_BSLASHVolcite] = ACTIONS(169),
    [anon_sym_BSLASHpvolcite] = ACTIONS(169),
    [anon_sym_BSLASHPvolcite] = ACTIONS(169),
    [anon_sym_BSLASHfvolcite] = ACTIONS(169),
    [anon_sym_BSLASHftvolcite] = ACTIONS(169),
    [anon_sym_BSLASHsvolcite] = ACTIONS(169),
    [anon_sym_BSLASHSvolcite] = ACTIONS(169),
    [anon_sym_BSLASHtvolcite] = ACTIONS(169),
    [anon_sym_BSLASHTvolcite] = ACTIONS(169),
    [anon_sym_BSLASHavolcite] = ACTIONS(169),
    [anon_sym_BSLASHAvolcite] = ACTIONS(169),
    [anon_sym_BSLASHnotecite] = ACTIONS(169),
    [anon_sym_BSLASHNotecite] = ACTIONS(169),
    [anon_sym_BSLASHpnotecite] = ACTIONS(169),
    [anon_sym_BSLASHPnotecite] = ACTIONS(169),
    [anon_sym_BSLASHfnotecite] = ACTIONS(169),
    [anon_sym_BSLASHlabel] = ACTIONS(169),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHeqref] = ACTIONS(169),
    [anon_sym_BSLASHvref] = ACTIONS(169),
    [anon_sym_BSLASHVref] = ACTIONS(169),
    [anon_sym_BSLASHautoref] = ACTIONS(169),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHpageref] = ACTIONS(169),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHautopageref] = ACTIONS(169),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcref] = ACTIONS(169),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCref] = ACTIONS(169),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpageref] = ACTIONS(169),
    [anon_sym_BSLASHCpageref] = ACTIONS(169),
    [anon_sym_BSLASHnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnameCref] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcrefrange] = ACTIONS(169),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCrefrange] = ACTIONS(169),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHnewlabel] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(169),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(169),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(169),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(171),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHdef] = ACTIONS(169),
    [anon_sym_BSLASHgdef] = ACTIONS(169),
    [anon_sym_BSLASHedef] = ACTIONS(169),
    [anon_sym_BSLASHxdef] = ACTIONS(169),
    [anon_sym_BSLASHlet] = ACTIONS(169),
    [anon_sym_BSLASHglet] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(169),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(169),
    [anon_sym_BSLASHgls] = ACTIONS(169),
    [anon_sym_BSLASHGls] = ACTIONS(169),
    [anon_sym_BSLASHGLS] = ACTIONS(169),
    [anon_sym_BSLASHglspl] = ACTIONS(169),
    [anon_sym_BSLASHGlspl] = ACTIONS(169),
    [anon_sym_BSLASHGLSpl] = ACTIONS(169),
    [anon_sym_BSLASHglsdisp] = ACTIONS(169),
    [anon_sym_BSLASHglslink] = ACTIONS(169),
    [anon_sym_BSLASHglstext] = ACTIONS(169),
    [anon_sym_BSLASHGlstext] = ACTIONS(169),
    [anon_sym_BSLASHGLStext] = ACTIONS(169),
    [anon_sym_BSLASHglsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(169),
    [anon_sym_BSLASHglsplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSplural] = ACTIONS(169),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHglsname] = ACTIONS(169),
    [anon_sym_BSLASHGlsname] = ACTIONS(169),
    [anon_sym_BSLASHGLSname] = ACTIONS(169),
    [anon_sym_BSLASHglssymbol] = ACTIONS(169),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(169),
    [anon_sym_BSLASHglsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(169),
    [anon_sym_BSLASHglsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(169),
    [anon_sym_BSLASHglsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(169),
    [anon_sym_BSLASHglsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(169),
    [anon_sym_BSLASHglsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(169),
    [anon_sym_BSLASHnewacronym] = ACTIONS(169),
    [anon_sym_BSLASHacrshort] = ACTIONS(169),
    [anon_sym_BSLASHAcrshort] = ACTIONS(169),
    [anon_sym_BSLASHACRshort] = ACTIONS(169),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(169),
    [anon_sym_BSLASHacrlong] = ACTIONS(169),
    [anon_sym_BSLASHAcrlong] = ACTIONS(169),
    [anon_sym_BSLASHACRlong] = ACTIONS(169),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(169),
    [anon_sym_BSLASHacrfull] = ACTIONS(169),
    [anon_sym_BSLASHAcrfull] = ACTIONS(169),
    [anon_sym_BSLASHACRfull] = ACTIONS(169),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(169),
    [anon_sym_BSLASHacs] = ACTIONS(169),
    [anon_sym_BSLASHAcs] = ACTIONS(169),
    [anon_sym_BSLASHacsp] = ACTIONS(169),
    [anon_sym_BSLASHAcsp] = ACTIONS(169),
    [anon_sym_BSLASHacl] = ACTIONS(169),
    [anon_sym_BSLASHAcl] = ACTIONS(169),
    [anon_sym_BSLASHaclp] = ACTIONS(169),
    [anon_sym_BSLASHAclp] = ACTIONS(169),
    [anon_sym_BSLASHacf] = ACTIONS(169),
    [anon_sym_BSLASHAcf] = ACTIONS(169),
    [anon_sym_BSLASHacfp] = ACTIONS(169),
    [anon_sym_BSLASHAcfp] = ACTIONS(169),
    [anon_sym_BSLASHac] = ACTIONS(169),
    [anon_sym_BSLASHAc] = ACTIONS(169),
    [anon_sym_BSLASHacp] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(169),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(169),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(169),
    [anon_sym_BSLASHcolor] = ACTIONS(169),
    [anon_sym_BSLASHpagecolor] = ACTIONS(169),
    [anon_sym_BSLASHtextcolor] = ACTIONS(169),
    [anon_sym_BSLASHmathcolor] = ACTIONS(169),
    [anon_sym_BSLASHcolorbox] = ACTIONS(169),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(169),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(169),
    [anon_sym_BSLASHurl] = ACTIONS(169),
    [anon_sym_BSLASHhref] = ACTIONS(169),
  },
  [1576] = {
    [sym_command_name] = ACTIONS(7283),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7283),
    [anon_sym_LBRACK] = ACTIONS(7285),
    [anon_sym_RBRACK] = ACTIONS(7285),
    [anon_sym_COMMA] = ACTIONS(7285),
    [anon_sym_EQ] = ACTIONS(7285),
    [anon_sym_LPAREN] = ACTIONS(7285),
    [anon_sym_RPAREN] = ACTIONS(7285),
    [anon_sym_BSLASHpart] = ACTIONS(7283),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHaddpart] = ACTIONS(7283),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHchapter] = ACTIONS(7283),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHaddchap] = ACTIONS(7283),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHsection] = ACTIONS(7283),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHaddsec] = ACTIONS(7283),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHsubsection] = ACTIONS(7283),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7283),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHparagraph] = ACTIONS(7283),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7283),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHitem] = ACTIONS(7283),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7285),
    [anon_sym_LBRACE] = ACTIONS(7285),
    [sym_word] = ACTIONS(7283),
    [sym_placeholder] = ACTIONS(7285),
    [sym_delimiter] = ACTIONS(7285),
    [anon_sym_PLUS] = ACTIONS(7285),
    [anon_sym_DASH] = ACTIONS(7285),
    [anon_sym_STAR] = ACTIONS(7285),
    [anon_sym_SLASH] = ACTIONS(7285),
    [anon_sym_LT] = ACTIONS(7283),
    [anon_sym_GT] = ACTIONS(7283),
    [anon_sym_BANG] = ACTIONS(7283),
    [anon_sym_PIPE] = ACTIONS(7283),
    [anon_sym_COLON] = ACTIONS(7283),
    [anon_sym_SQUOTE] = ACTIONS(7283),
    [anon_sym__] = ACTIONS(7285),
    [anon_sym_CARET] = ACTIONS(7285),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7285),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7285),
    [anon_sym_DOLLAR] = ACTIONS(7283),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7285),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7285),
    [anon_sym_BSLASHleft] = ACTIONS(7283),
    [anon_sym_BSLASHbigl] = ACTIONS(7283),
    [anon_sym_BSLASHBigl] = ACTIONS(7283),
    [anon_sym_BSLASHbiggl] = ACTIONS(7283),
    [anon_sym_BSLASHBiggl] = ACTIONS(7283),
    [anon_sym_BSLASHtext] = ACTIONS(7283),
    [anon_sym_BSLASHintertext] = ACTIONS(7283),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7283),
    [anon_sym_BSLASHbegin] = ACTIONS(7283),
    [anon_sym_BSLASHtitle] = ACTIONS(7283),
    [anon_sym_BSLASHauthor] = ACTIONS(7283),
    [anon_sym_BSLASHusepackage] = ACTIONS(7283),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7283),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7283),
    [anon_sym_BSLASHinclude] = ACTIONS(7283),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7283),
    [anon_sym_BSLASHinput] = ACTIONS(7283),
    [anon_sym_BSLASHsubfile] = ACTIONS(7283),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7283),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7283),
    [anon_sym_BSLASHbibliography] = ACTIONS(7283),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7283),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7283),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7283),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7283),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7283),
    [anon_sym_BSLASHimport] = ACTIONS(7283),
    [anon_sym_BSLASHsubimport] = ACTIONS(7283),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7283),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7283),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7283),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7283),
    [anon_sym_BSLASHcaption] = ACTIONS(7283),
    [anon_sym_BSLASHcite] = ACTIONS(7283),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCite] = ACTIONS(7283),
    [anon_sym_BSLASHnocite] = ACTIONS(7283),
    [anon_sym_BSLASHcitet] = ACTIONS(7283),
    [anon_sym_BSLASHcitep] = ACTIONS(7283),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteA] = ACTIONS(7283),
    [anon_sym_BSLASHciteR] = ACTIONS(7283),
    [anon_sym_BSLASHciteS] = ACTIONS(7283),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7283),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7283),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7283),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7283),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteyear] = ACTIONS(7283),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitedate] = ACTIONS(7283),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteurl] = ACTIONS(7283),
    [anon_sym_BSLASHfullcite] = ACTIONS(7283),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7283),
    [anon_sym_BSLASHcitealt] = ACTIONS(7283),
    [anon_sym_BSLASHcitealp] = ACTIONS(7283),
    [anon_sym_BSLASHcitetext] = ACTIONS(7283),
    [anon_sym_BSLASHparencite] = ACTIONS(7283),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHParencite] = ACTIONS(7283),
    [anon_sym_BSLASHfootcite] = ACTIONS(7283),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7283),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7283),
    [anon_sym_BSLASHtextcite] = ACTIONS(7283),
    [anon_sym_BSLASHTextcite] = ACTIONS(7283),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7283),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7283),
    [anon_sym_BSLASHsupercite] = ACTIONS(7283),
    [anon_sym_BSLASHautocite] = ACTIONS(7283),
    [anon_sym_BSLASHAutocite] = ACTIONS(7283),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHVolcite] = ACTIONS(7283),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHavolcite] = ACTIONS(7283),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHNotecite] = ACTIONS(7283),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHlabel] = ACTIONS(7283),
    [anon_sym_BSLASHref] = ACTIONS(7283),
    [anon_sym_BSLASHeqref] = ACTIONS(7283),
    [anon_sym_BSLASHvref] = ACTIONS(7283),
    [anon_sym_BSLASHVref] = ACTIONS(7283),
    [anon_sym_BSLASHautoref] = ACTIONS(7283),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHpageref] = ACTIONS(7283),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHautopageref] = ACTIONS(7283),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcref] = ACTIONS(7283),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCref] = ACTIONS(7283),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcpageref] = ACTIONS(7283),
    [anon_sym_BSLASHCpageref] = ACTIONS(7283),
    [anon_sym_BSLASHnamecref] = ACTIONS(7283),
    [anon_sym_BSLASHnameCref] = ACTIONS(7283),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7283),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7283),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7283),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7283),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7283),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7283),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7283),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7283),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7283),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7283),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHdef] = ACTIONS(7283),
    [anon_sym_BSLASHgdef] = ACTIONS(7283),
    [anon_sym_BSLASHedef] = ACTIONS(7283),
    [anon_sym_BSLASHxdef] = ACTIONS(7283),
    [anon_sym_BSLASHlet] = ACTIONS(7283),
    [anon_sym_BSLASHglet] = ACTIONS(7283),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7283),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7283),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7283),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7283),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7283),
    [anon_sym_BSLASHgls] = ACTIONS(7283),
    [anon_sym_BSLASHGls] = ACTIONS(7283),
    [anon_sym_BSLASHGLS] = ACTIONS(7283),
    [anon_sym_BSLASHglspl] = ACTIONS(7283),
    [anon_sym_BSLASHGlspl] = ACTIONS(7283),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7283),
    [anon_sym_BSLASHglslink] = ACTIONS(7283),
    [anon_sym_BSLASHglstext] = ACTIONS(7283),
    [anon_sym_BSLASHGlstext] = ACTIONS(7283),
    [anon_sym_BSLASHGLStext] = ACTIONS(7283),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7283),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7283),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7283),
    [anon_sym_BSLASHglsplural] = ACTIONS(7283),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7283),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7283),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHglsname] = ACTIONS(7283),
    [anon_sym_BSLASHGlsname] = ACTIONS(7283),
    [anon_sym_BSLASHGLSname] = ACTIONS(7283),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7283),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7283),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7283),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7283),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7283),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7283),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7283),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7283),
    [anon_sym_BSLASHacrshort] = ACTIONS(7283),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7283),
    [anon_sym_BSLASHACRshort] = ACTIONS(7283),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHacrlong] = ACTIONS(7283),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7283),
    [anon_sym_BSLASHACRlong] = ACTIONS(7283),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHacrfull] = ACTIONS(7283),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7283),
    [anon_sym_BSLASHACRfull] = ACTIONS(7283),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHacs] = ACTIONS(7283),
    [anon_sym_BSLASHAcs] = ACTIONS(7283),
    [anon_sym_BSLASHacsp] = ACTIONS(7283),
    [anon_sym_BSLASHAcsp] = ACTIONS(7283),
    [anon_sym_BSLASHacl] = ACTIONS(7283),
    [anon_sym_BSLASHAcl] = ACTIONS(7283),
    [anon_sym_BSLASHaclp] = ACTIONS(7283),
    [anon_sym_BSLASHAclp] = ACTIONS(7283),
    [anon_sym_BSLASHacf] = ACTIONS(7283),
    [anon_sym_BSLASHAcf] = ACTIONS(7283),
    [anon_sym_BSLASHacfp] = ACTIONS(7283),
    [anon_sym_BSLASHAcfp] = ACTIONS(7283),
    [anon_sym_BSLASHac] = ACTIONS(7283),
    [anon_sym_BSLASHAc] = ACTIONS(7283),
    [anon_sym_BSLASHacp] = ACTIONS(7283),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7283),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7283),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7283),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7283),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7283),
    [anon_sym_BSLASHcolor] = ACTIONS(7283),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7283),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7283),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7283),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7283),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7283),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7283),
    [anon_sym_BSLASHurl] = ACTIONS(7283),
    [anon_sym_BSLASHhref] = ACTIONS(7283),
  },
  [1577] = {
    [sym_command_name] = ACTIONS(173),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(173),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_RBRACK] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_RPAREN] = ACTIONS(175),
    [anon_sym_BSLASHpart] = ACTIONS(173),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddpart] = ACTIONS(173),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(175),
    [anon_sym_BSLASHchapter] = ACTIONS(173),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddchap] = ACTIONS(173),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsection] = ACTIONS(173),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHaddsec] = ACTIONS(173),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubsection] = ACTIONS(173),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(173),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(175),
    [anon_sym_BSLASHparagraph] = ACTIONS(173),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(175),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(173),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(175),
    [anon_sym_BSLASHitem] = ACTIONS(173),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(175),
    [anon_sym_LBRACE] = ACTIONS(175),
    [sym_word] = ACTIONS(173),
    [sym_placeholder] = ACTIONS(175),
    [sym_delimiter] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym__] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(175),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(175),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(175),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(175),
    [anon_sym_DOLLAR] = ACTIONS(173),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(175),
    [anon_sym_BSLASHleft] = ACTIONS(173),
    [anon_sym_BSLASHbigl] = ACTIONS(173),
    [anon_sym_BSLASHBigl] = ACTIONS(173),
    [anon_sym_BSLASHbiggl] = ACTIONS(173),
    [anon_sym_BSLASHBiggl] = ACTIONS(173),
    [anon_sym_BSLASHtext] = ACTIONS(173),
    [anon_sym_BSLASHintertext] = ACTIONS(173),
    [anon_sym_BSLASHshortintertext] = ACTIONS(173),
    [anon_sym_BSLASHbegin] = ACTIONS(173),
    [anon_sym_BSLASHtitle] = ACTIONS(173),
    [anon_sym_BSLASHauthor] = ACTIONS(173),
    [anon_sym_BSLASHusepackage] = ACTIONS(173),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(173),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(173),
    [anon_sym_BSLASHinclude] = ACTIONS(173),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(173),
    [anon_sym_BSLASHinput] = ACTIONS(173),
    [anon_sym_BSLASHsubfile] = ACTIONS(173),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(173),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(173),
    [anon_sym_BSLASHbibliography] = ACTIONS(173),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(173),
    [anon_sym_BSLASHincludesvg] = ACTIONS(173),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(173),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(173),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(173),
    [anon_sym_BSLASHimport] = ACTIONS(173),
    [anon_sym_BSLASHsubimport] = ACTIONS(173),
    [anon_sym_BSLASHinputfrom] = ACTIONS(173),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(173),
    [anon_sym_BSLASHincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHcaption] = ACTIONS(173),
    [anon_sym_BSLASHcite] = ACTIONS(173),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCite] = ACTIONS(173),
    [anon_sym_BSLASHnocite] = ACTIONS(173),
    [anon_sym_BSLASHcitet] = ACTIONS(173),
    [anon_sym_BSLASHcitep] = ACTIONS(173),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteA] = ACTIONS(173),
    [anon_sym_BSLASHciteR] = ACTIONS(173),
    [anon_sym_BSLASHciteS] = ACTIONS(173),
    [anon_sym_BSLASHciteyearR] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(173),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitetitle] = ACTIONS(173),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteyear] = ACTIONS(173),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitedate] = ACTIONS(173),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteurl] = ACTIONS(173),
    [anon_sym_BSLASHfullcite] = ACTIONS(173),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(173),
    [anon_sym_BSLASHcitealt] = ACTIONS(173),
    [anon_sym_BSLASHcitealp] = ACTIONS(173),
    [anon_sym_BSLASHcitetext] = ACTIONS(173),
    [anon_sym_BSLASHparencite] = ACTIONS(173),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHParencite] = ACTIONS(173),
    [anon_sym_BSLASHfootcite] = ACTIONS(173),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(173),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(173),
    [anon_sym_BSLASHtextcite] = ACTIONS(173),
    [anon_sym_BSLASHTextcite] = ACTIONS(173),
    [anon_sym_BSLASHsmartcite] = ACTIONS(173),
    [anon_sym_BSLASHSmartcite] = ACTIONS(173),
    [anon_sym_BSLASHsupercite] = ACTIONS(173),
    [anon_sym_BSLASHautocite] = ACTIONS(173),
    [anon_sym_BSLASHAutocite] = ACTIONS(173),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHvolcite] = ACTIONS(173),
    [anon_sym_BSLASHVolcite] = ACTIONS(173),
    [anon_sym_BSLASHpvolcite] = ACTIONS(173),
    [anon_sym_BSLASHPvolcite] = ACTIONS(173),
    [anon_sym_BSLASHfvolcite] = ACTIONS(173),
    [anon_sym_BSLASHftvolcite] = ACTIONS(173),
    [anon_sym_BSLASHsvolcite] = ACTIONS(173),
    [anon_sym_BSLASHSvolcite] = ACTIONS(173),
    [anon_sym_BSLASHtvolcite] = ACTIONS(173),
    [anon_sym_BSLASHTvolcite] = ACTIONS(173),
    [anon_sym_BSLASHavolcite] = ACTIONS(173),
    [anon_sym_BSLASHAvolcite] = ACTIONS(173),
    [anon_sym_BSLASHnotecite] = ACTIONS(173),
    [anon_sym_BSLASHNotecite] = ACTIONS(173),
    [anon_sym_BSLASHpnotecite] = ACTIONS(173),
    [anon_sym_BSLASHPnotecite] = ACTIONS(173),
    [anon_sym_BSLASHfnotecite] = ACTIONS(173),
    [anon_sym_BSLASHlabel] = ACTIONS(173),
    [anon_sym_BSLASHref] = ACTIONS(173),
    [anon_sym_BSLASHeqref] = ACTIONS(173),
    [anon_sym_BSLASHvref] = ACTIONS(173),
    [anon_sym_BSLASHVref] = ACTIONS(173),
    [anon_sym_BSLASHautoref] = ACTIONS(173),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHpageref] = ACTIONS(173),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHautopageref] = ACTIONS(173),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcref] = ACTIONS(173),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCref] = ACTIONS(173),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpageref] = ACTIONS(173),
    [anon_sym_BSLASHCpageref] = ACTIONS(173),
    [anon_sym_BSLASHnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnameCref] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcrefrange] = ACTIONS(173),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCrefrange] = ACTIONS(173),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHnewlabel] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(173),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(173),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(173),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(175),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHdef] = ACTIONS(173),
    [anon_sym_BSLASHgdef] = ACTIONS(173),
    [anon_sym_BSLASHedef] = ACTIONS(173),
    [anon_sym_BSLASHxdef] = ACTIONS(173),
    [anon_sym_BSLASHlet] = ACTIONS(173),
    [anon_sym_BSLASHglet] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(173),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(173),
    [anon_sym_BSLASHgls] = ACTIONS(173),
    [anon_sym_BSLASHGls] = ACTIONS(173),
    [anon_sym_BSLASHGLS] = ACTIONS(173),
    [anon_sym_BSLASHglspl] = ACTIONS(173),
    [anon_sym_BSLASHGlspl] = ACTIONS(173),
    [anon_sym_BSLASHGLSpl] = ACTIONS(173),
    [anon_sym_BSLASHglsdisp] = ACTIONS(173),
    [anon_sym_BSLASHglslink] = ACTIONS(173),
    [anon_sym_BSLASHglstext] = ACTIONS(173),
    [anon_sym_BSLASHGlstext] = ACTIONS(173),
    [anon_sym_BSLASHGLStext] = ACTIONS(173),
    [anon_sym_BSLASHglsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(173),
    [anon_sym_BSLASHglsplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSplural] = ACTIONS(173),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHglsname] = ACTIONS(173),
    [anon_sym_BSLASHGlsname] = ACTIONS(173),
    [anon_sym_BSLASHGLSname] = ACTIONS(173),
    [anon_sym_BSLASHglssymbol] = ACTIONS(173),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(173),
    [anon_sym_BSLASHglsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(173),
    [anon_sym_BSLASHglsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(173),
    [anon_sym_BSLASHglsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(173),
    [anon_sym_BSLASHglsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(173),
    [anon_sym_BSLASHglsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(173),
    [anon_sym_BSLASHnewacronym] = ACTIONS(173),
    [anon_sym_BSLASHacrshort] = ACTIONS(173),
    [anon_sym_BSLASHAcrshort] = ACTIONS(173),
    [anon_sym_BSLASHACRshort] = ACTIONS(173),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(173),
    [anon_sym_BSLASHacrlong] = ACTIONS(173),
    [anon_sym_BSLASHAcrlong] = ACTIONS(173),
    [anon_sym_BSLASHACRlong] = ACTIONS(173),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(173),
    [anon_sym_BSLASHacrfull] = ACTIONS(173),
    [anon_sym_BSLASHAcrfull] = ACTIONS(173),
    [anon_sym_BSLASHACRfull] = ACTIONS(173),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(173),
    [anon_sym_BSLASHacs] = ACTIONS(173),
    [anon_sym_BSLASHAcs] = ACTIONS(173),
    [anon_sym_BSLASHacsp] = ACTIONS(173),
    [anon_sym_BSLASHAcsp] = ACTIONS(173),
    [anon_sym_BSLASHacl] = ACTIONS(173),
    [anon_sym_BSLASHAcl] = ACTIONS(173),
    [anon_sym_BSLASHaclp] = ACTIONS(173),
    [anon_sym_BSLASHAclp] = ACTIONS(173),
    [anon_sym_BSLASHacf] = ACTIONS(173),
    [anon_sym_BSLASHAcf] = ACTIONS(173),
    [anon_sym_BSLASHacfp] = ACTIONS(173),
    [anon_sym_BSLASHAcfp] = ACTIONS(173),
    [anon_sym_BSLASHac] = ACTIONS(173),
    [anon_sym_BSLASHAc] = ACTIONS(173),
    [anon_sym_BSLASHacp] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(173),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(173),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(173),
    [anon_sym_BSLASHcolor] = ACTIONS(173),
    [anon_sym_BSLASHpagecolor] = ACTIONS(173),
    [anon_sym_BSLASHtextcolor] = ACTIONS(173),
    [anon_sym_BSLASHmathcolor] = ACTIONS(173),
    [anon_sym_BSLASHcolorbox] = ACTIONS(173),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(173),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(173),
    [anon_sym_BSLASHurl] = ACTIONS(173),
    [anon_sym_BSLASHhref] = ACTIONS(173),
  },
  [1578] = {
    [sym_command_name] = ACTIONS(7287),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7287),
    [anon_sym_LBRACK] = ACTIONS(7289),
    [anon_sym_RBRACK] = ACTIONS(7289),
    [anon_sym_COMMA] = ACTIONS(7289),
    [anon_sym_EQ] = ACTIONS(7289),
    [anon_sym_LPAREN] = ACTIONS(7289),
    [anon_sym_RPAREN] = ACTIONS(7289),
    [anon_sym_BSLASHpart] = ACTIONS(7287),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHaddpart] = ACTIONS(7287),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHchapter] = ACTIONS(7287),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHaddchap] = ACTIONS(7287),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHsection] = ACTIONS(7287),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHaddsec] = ACTIONS(7287),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHsubsection] = ACTIONS(7287),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7287),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHparagraph] = ACTIONS(7287),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7287),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHitem] = ACTIONS(7287),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7289),
    [anon_sym_LBRACE] = ACTIONS(7289),
    [sym_word] = ACTIONS(7287),
    [sym_placeholder] = ACTIONS(7289),
    [sym_delimiter] = ACTIONS(7289),
    [anon_sym_PLUS] = ACTIONS(7289),
    [anon_sym_DASH] = ACTIONS(7289),
    [anon_sym_STAR] = ACTIONS(7289),
    [anon_sym_SLASH] = ACTIONS(7289),
    [anon_sym_LT] = ACTIONS(7287),
    [anon_sym_GT] = ACTIONS(7287),
    [anon_sym_BANG] = ACTIONS(7287),
    [anon_sym_PIPE] = ACTIONS(7287),
    [anon_sym_COLON] = ACTIONS(7287),
    [anon_sym_SQUOTE] = ACTIONS(7287),
    [anon_sym__] = ACTIONS(7289),
    [anon_sym_CARET] = ACTIONS(7289),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7289),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7289),
    [anon_sym_DOLLAR] = ACTIONS(7287),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7289),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7289),
    [anon_sym_BSLASHleft] = ACTIONS(7287),
    [anon_sym_BSLASHbigl] = ACTIONS(7287),
    [anon_sym_BSLASHBigl] = ACTIONS(7287),
    [anon_sym_BSLASHbiggl] = ACTIONS(7287),
    [anon_sym_BSLASHBiggl] = ACTIONS(7287),
    [anon_sym_BSLASHtext] = ACTIONS(7287),
    [anon_sym_BSLASHintertext] = ACTIONS(7287),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7287),
    [anon_sym_BSLASHbegin] = ACTIONS(7287),
    [anon_sym_BSLASHtitle] = ACTIONS(7287),
    [anon_sym_BSLASHauthor] = ACTIONS(7287),
    [anon_sym_BSLASHusepackage] = ACTIONS(7287),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7287),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7287),
    [anon_sym_BSLASHinclude] = ACTIONS(7287),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7287),
    [anon_sym_BSLASHinput] = ACTIONS(7287),
    [anon_sym_BSLASHsubfile] = ACTIONS(7287),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7287),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7287),
    [anon_sym_BSLASHbibliography] = ACTIONS(7287),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7287),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7287),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7287),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7287),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7287),
    [anon_sym_BSLASHimport] = ACTIONS(7287),
    [anon_sym_BSLASHsubimport] = ACTIONS(7287),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7287),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7287),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7287),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7287),
    [anon_sym_BSLASHcaption] = ACTIONS(7287),
    [anon_sym_BSLASHcite] = ACTIONS(7287),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCite] = ACTIONS(7287),
    [anon_sym_BSLASHnocite] = ACTIONS(7287),
    [anon_sym_BSLASHcitet] = ACTIONS(7287),
    [anon_sym_BSLASHcitep] = ACTIONS(7287),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteA] = ACTIONS(7287),
    [anon_sym_BSLASHciteR] = ACTIONS(7287),
    [anon_sym_BSLASHciteS] = ACTIONS(7287),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7287),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7287),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7287),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7287),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteyear] = ACTIONS(7287),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitedate] = ACTIONS(7287),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteurl] = ACTIONS(7287),
    [anon_sym_BSLASHfullcite] = ACTIONS(7287),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7287),
    [anon_sym_BSLASHcitealt] = ACTIONS(7287),
    [anon_sym_BSLASHcitealp] = ACTIONS(7287),
    [anon_sym_BSLASHcitetext] = ACTIONS(7287),
    [anon_sym_BSLASHparencite] = ACTIONS(7287),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHParencite] = ACTIONS(7287),
    [anon_sym_BSLASHfootcite] = ACTIONS(7287),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7287),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7287),
    [anon_sym_BSLASHtextcite] = ACTIONS(7287),
    [anon_sym_BSLASHTextcite] = ACTIONS(7287),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7287),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7287),
    [anon_sym_BSLASHsupercite] = ACTIONS(7287),
    [anon_sym_BSLASHautocite] = ACTIONS(7287),
    [anon_sym_BSLASHAutocite] = ACTIONS(7287),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHVolcite] = ACTIONS(7287),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHavolcite] = ACTIONS(7287),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHNotecite] = ACTIONS(7287),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHlabel] = ACTIONS(7287),
    [anon_sym_BSLASHref] = ACTIONS(7287),
    [anon_sym_BSLASHeqref] = ACTIONS(7287),
    [anon_sym_BSLASHvref] = ACTIONS(7287),
    [anon_sym_BSLASHVref] = ACTIONS(7287),
    [anon_sym_BSLASHautoref] = ACTIONS(7287),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHpageref] = ACTIONS(7287),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHautopageref] = ACTIONS(7287),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcref] = ACTIONS(7287),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCref] = ACTIONS(7287),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcpageref] = ACTIONS(7287),
    [anon_sym_BSLASHCpageref] = ACTIONS(7287),
    [anon_sym_BSLASHnamecref] = ACTIONS(7287),
    [anon_sym_BSLASHnameCref] = ACTIONS(7287),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7287),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7287),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7287),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7287),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7287),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7287),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7287),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7287),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7287),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7287),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7287),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHdef] = ACTIONS(7287),
    [anon_sym_BSLASHgdef] = ACTIONS(7287),
    [anon_sym_BSLASHedef] = ACTIONS(7287),
    [anon_sym_BSLASHxdef] = ACTIONS(7287),
    [anon_sym_BSLASHlet] = ACTIONS(7287),
    [anon_sym_BSLASHglet] = ACTIONS(7287),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7287),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7287),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7287),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7287),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7287),
    [anon_sym_BSLASHgls] = ACTIONS(7287),
    [anon_sym_BSLASHGls] = ACTIONS(7287),
    [anon_sym_BSLASHGLS] = ACTIONS(7287),
    [anon_sym_BSLASHglspl] = ACTIONS(7287),
    [anon_sym_BSLASHGlspl] = ACTIONS(7287),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7287),
    [anon_sym_BSLASHglslink] = ACTIONS(7287),
    [anon_sym_BSLASHglstext] = ACTIONS(7287),
    [anon_sym_BSLASHGlstext] = ACTIONS(7287),
    [anon_sym_BSLASHGLStext] = ACTIONS(7287),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7287),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7287),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7287),
    [anon_sym_BSLASHglsplural] = ACTIONS(7287),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7287),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7287),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHglsname] = ACTIONS(7287),
    [anon_sym_BSLASHGlsname] = ACTIONS(7287),
    [anon_sym_BSLASHGLSname] = ACTIONS(7287),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7287),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7287),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7287),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7287),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7287),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7287),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7287),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7287),
    [anon_sym_BSLASHacrshort] = ACTIONS(7287),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7287),
    [anon_sym_BSLASHACRshort] = ACTIONS(7287),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHacrlong] = ACTIONS(7287),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7287),
    [anon_sym_BSLASHACRlong] = ACTIONS(7287),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHacrfull] = ACTIONS(7287),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7287),
    [anon_sym_BSLASHACRfull] = ACTIONS(7287),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHacs] = ACTIONS(7287),
    [anon_sym_BSLASHAcs] = ACTIONS(7287),
    [anon_sym_BSLASHacsp] = ACTIONS(7287),
    [anon_sym_BSLASHAcsp] = ACTIONS(7287),
    [anon_sym_BSLASHacl] = ACTIONS(7287),
    [anon_sym_BSLASHAcl] = ACTIONS(7287),
    [anon_sym_BSLASHaclp] = ACTIONS(7287),
    [anon_sym_BSLASHAclp] = ACTIONS(7287),
    [anon_sym_BSLASHacf] = ACTIONS(7287),
    [anon_sym_BSLASHAcf] = ACTIONS(7287),
    [anon_sym_BSLASHacfp] = ACTIONS(7287),
    [anon_sym_BSLASHAcfp] = ACTIONS(7287),
    [anon_sym_BSLASHac] = ACTIONS(7287),
    [anon_sym_BSLASHAc] = ACTIONS(7287),
    [anon_sym_BSLASHacp] = ACTIONS(7287),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7287),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7287),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7287),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7287),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7287),
    [anon_sym_BSLASHcolor] = ACTIONS(7287),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7287),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7287),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7287),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7287),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7287),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7287),
    [anon_sym_BSLASHurl] = ACTIONS(7287),
    [anon_sym_BSLASHhref] = ACTIONS(7287),
  },
  [1579] = {
    [sym_command_name] = ACTIONS(7323),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7323),
    [anon_sym_LBRACK] = ACTIONS(7325),
    [anon_sym_RBRACK] = ACTIONS(7325),
    [anon_sym_COMMA] = ACTIONS(7325),
    [anon_sym_EQ] = ACTIONS(7325),
    [anon_sym_LPAREN] = ACTIONS(7325),
    [anon_sym_RPAREN] = ACTIONS(7325),
    [anon_sym_BSLASHpart] = ACTIONS(7323),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHaddpart] = ACTIONS(7323),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHchapter] = ACTIONS(7323),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHaddchap] = ACTIONS(7323),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHsection] = ACTIONS(7323),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHaddsec] = ACTIONS(7323),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHsubsection] = ACTIONS(7323),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7323),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHparagraph] = ACTIONS(7323),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7323),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHitem] = ACTIONS(7323),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7325),
    [anon_sym_LBRACE] = ACTIONS(7325),
    [sym_word] = ACTIONS(7323),
    [sym_placeholder] = ACTIONS(7325),
    [sym_delimiter] = ACTIONS(7325),
    [anon_sym_PLUS] = ACTIONS(7325),
    [anon_sym_DASH] = ACTIONS(7325),
    [anon_sym_STAR] = ACTIONS(7325),
    [anon_sym_SLASH] = ACTIONS(7325),
    [anon_sym_LT] = ACTIONS(7323),
    [anon_sym_GT] = ACTIONS(7323),
    [anon_sym_BANG] = ACTIONS(7323),
    [anon_sym_PIPE] = ACTIONS(7323),
    [anon_sym_COLON] = ACTIONS(7323),
    [anon_sym_SQUOTE] = ACTIONS(7323),
    [anon_sym__] = ACTIONS(7325),
    [anon_sym_CARET] = ACTIONS(7325),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7325),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7325),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7325),
    [anon_sym_DOLLAR] = ACTIONS(7323),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7325),
    [anon_sym_BSLASHleft] = ACTIONS(7323),
    [anon_sym_BSLASHbigl] = ACTIONS(7323),
    [anon_sym_BSLASHBigl] = ACTIONS(7323),
    [anon_sym_BSLASHbiggl] = ACTIONS(7323),
    [anon_sym_BSLASHBiggl] = ACTIONS(7323),
    [anon_sym_BSLASHtext] = ACTIONS(7323),
    [anon_sym_BSLASHintertext] = ACTIONS(7323),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7323),
    [anon_sym_BSLASHbegin] = ACTIONS(7323),
    [anon_sym_BSLASHtitle] = ACTIONS(7323),
    [anon_sym_BSLASHauthor] = ACTIONS(7323),
    [anon_sym_BSLASHusepackage] = ACTIONS(7323),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7323),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7323),
    [anon_sym_BSLASHinclude] = ACTIONS(7323),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7323),
    [anon_sym_BSLASHinput] = ACTIONS(7323),
    [anon_sym_BSLASHsubfile] = ACTIONS(7323),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7323),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7323),
    [anon_sym_BSLASHbibliography] = ACTIONS(7323),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7323),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7323),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7323),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7323),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7323),
    [anon_sym_BSLASHimport] = ACTIONS(7323),
    [anon_sym_BSLASHsubimport] = ACTIONS(7323),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7323),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7323),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7323),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7323),
    [anon_sym_BSLASHcaption] = ACTIONS(7323),
    [anon_sym_BSLASHcite] = ACTIONS(7323),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCite] = ACTIONS(7323),
    [anon_sym_BSLASHnocite] = ACTIONS(7323),
    [anon_sym_BSLASHcitet] = ACTIONS(7323),
    [anon_sym_BSLASHcitep] = ACTIONS(7323),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteA] = ACTIONS(7323),
    [anon_sym_BSLASHciteR] = ACTIONS(7323),
    [anon_sym_BSLASHciteS] = ACTIONS(7323),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7323),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7323),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7323),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7323),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteyear] = ACTIONS(7323),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitedate] = ACTIONS(7323),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteurl] = ACTIONS(7323),
    [anon_sym_BSLASHfullcite] = ACTIONS(7323),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7323),
    [anon_sym_BSLASHcitealt] = ACTIONS(7323),
    [anon_sym_BSLASHcitealp] = ACTIONS(7323),
    [anon_sym_BSLASHcitetext] = ACTIONS(7323),
    [anon_sym_BSLASHparencite] = ACTIONS(7323),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHParencite] = ACTIONS(7323),
    [anon_sym_BSLASHfootcite] = ACTIONS(7323),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7323),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7323),
    [anon_sym_BSLASHtextcite] = ACTIONS(7323),
    [anon_sym_BSLASHTextcite] = ACTIONS(7323),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7323),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7323),
    [anon_sym_BSLASHsupercite] = ACTIONS(7323),
    [anon_sym_BSLASHautocite] = ACTIONS(7323),
    [anon_sym_BSLASHAutocite] = ACTIONS(7323),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHVolcite] = ACTIONS(7323),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHavolcite] = ACTIONS(7323),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHNotecite] = ACTIONS(7323),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHlabel] = ACTIONS(7323),
    [anon_sym_BSLASHref] = ACTIONS(7323),
    [anon_sym_BSLASHeqref] = ACTIONS(7323),
    [anon_sym_BSLASHvref] = ACTIONS(7323),
    [anon_sym_BSLASHVref] = ACTIONS(7323),
    [anon_sym_BSLASHautoref] = ACTIONS(7323),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHpageref] = ACTIONS(7323),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHautopageref] = ACTIONS(7323),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcref] = ACTIONS(7323),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCref] = ACTIONS(7323),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcpageref] = ACTIONS(7323),
    [anon_sym_BSLASHCpageref] = ACTIONS(7323),
    [anon_sym_BSLASHnamecref] = ACTIONS(7323),
    [anon_sym_BSLASHnameCref] = ACTIONS(7323),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7323),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7323),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7323),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7323),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7323),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7323),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7323),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7323),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7323),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7323),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7323),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHdef] = ACTIONS(7323),
    [anon_sym_BSLASHgdef] = ACTIONS(7323),
    [anon_sym_BSLASHedef] = ACTIONS(7323),
    [anon_sym_BSLASHxdef] = ACTIONS(7323),
    [anon_sym_BSLASHlet] = ACTIONS(7323),
    [anon_sym_BSLASHglet] = ACTIONS(7323),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7323),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7323),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7323),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7323),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7323),
    [anon_sym_BSLASHgls] = ACTIONS(7323),
    [anon_sym_BSLASHGls] = ACTIONS(7323),
    [anon_sym_BSLASHGLS] = ACTIONS(7323),
    [anon_sym_BSLASHglspl] = ACTIONS(7323),
    [anon_sym_BSLASHGlspl] = ACTIONS(7323),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7323),
    [anon_sym_BSLASHglslink] = ACTIONS(7323),
    [anon_sym_BSLASHglstext] = ACTIONS(7323),
    [anon_sym_BSLASHGlstext] = ACTIONS(7323),
    [anon_sym_BSLASHGLStext] = ACTIONS(7323),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7323),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7323),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7323),
    [anon_sym_BSLASHglsplural] = ACTIONS(7323),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7323),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7323),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHglsname] = ACTIONS(7323),
    [anon_sym_BSLASHGlsname] = ACTIONS(7323),
    [anon_sym_BSLASHGLSname] = ACTIONS(7323),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7323),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7323),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7323),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7323),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7323),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7323),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7323),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7323),
    [anon_sym_BSLASHacrshort] = ACTIONS(7323),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7323),
    [anon_sym_BSLASHACRshort] = ACTIONS(7323),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHacrlong] = ACTIONS(7323),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7323),
    [anon_sym_BSLASHACRlong] = ACTIONS(7323),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHacrfull] = ACTIONS(7323),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7323),
    [anon_sym_BSLASHACRfull] = ACTIONS(7323),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHacs] = ACTIONS(7323),
    [anon_sym_BSLASHAcs] = ACTIONS(7323),
    [anon_sym_BSLASHacsp] = ACTIONS(7323),
    [anon_sym_BSLASHAcsp] = ACTIONS(7323),
    [anon_sym_BSLASHacl] = ACTIONS(7323),
    [anon_sym_BSLASHAcl] = ACTIONS(7323),
    [anon_sym_BSLASHaclp] = ACTIONS(7323),
    [anon_sym_BSLASHAclp] = ACTIONS(7323),
    [anon_sym_BSLASHacf] = ACTIONS(7323),
    [anon_sym_BSLASHAcf] = ACTIONS(7323),
    [anon_sym_BSLASHacfp] = ACTIONS(7323),
    [anon_sym_BSLASHAcfp] = ACTIONS(7323),
    [anon_sym_BSLASHac] = ACTIONS(7323),
    [anon_sym_BSLASHAc] = ACTIONS(7323),
    [anon_sym_BSLASHacp] = ACTIONS(7323),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7323),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7323),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7323),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7323),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7323),
    [anon_sym_BSLASHcolor] = ACTIONS(7323),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7323),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7323),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7323),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7323),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7323),
    [anon_sym_BSLASHurl] = ACTIONS(7323),
    [anon_sym_BSLASHhref] = ACTIONS(7323),
  },
  [1580] = {
    [sym_command_name] = ACTIONS(7327),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7327),
    [anon_sym_LBRACK] = ACTIONS(7329),
    [anon_sym_RBRACK] = ACTIONS(7329),
    [anon_sym_COMMA] = ACTIONS(7329),
    [anon_sym_EQ] = ACTIONS(7329),
    [anon_sym_LPAREN] = ACTIONS(7329),
    [anon_sym_RPAREN] = ACTIONS(7329),
    [anon_sym_BSLASHpart] = ACTIONS(7327),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHaddpart] = ACTIONS(7327),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHchapter] = ACTIONS(7327),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHaddchap] = ACTIONS(7327),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHsection] = ACTIONS(7327),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHaddsec] = ACTIONS(7327),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHsubsection] = ACTIONS(7327),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7327),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHparagraph] = ACTIONS(7327),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7327),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHitem] = ACTIONS(7327),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7329),
    [anon_sym_LBRACE] = ACTIONS(7329),
    [sym_word] = ACTIONS(7327),
    [sym_placeholder] = ACTIONS(7329),
    [sym_delimiter] = ACTIONS(7329),
    [anon_sym_PLUS] = ACTIONS(7329),
    [anon_sym_DASH] = ACTIONS(7329),
    [anon_sym_STAR] = ACTIONS(7329),
    [anon_sym_SLASH] = ACTIONS(7329),
    [anon_sym_LT] = ACTIONS(7327),
    [anon_sym_GT] = ACTIONS(7327),
    [anon_sym_BANG] = ACTIONS(7327),
    [anon_sym_PIPE] = ACTIONS(7327),
    [anon_sym_COLON] = ACTIONS(7327),
    [anon_sym_SQUOTE] = ACTIONS(7327),
    [anon_sym__] = ACTIONS(7329),
    [anon_sym_CARET] = ACTIONS(7329),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7329),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7329),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7329),
    [anon_sym_DOLLAR] = ACTIONS(7327),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7329),
    [anon_sym_BSLASHleft] = ACTIONS(7327),
    [anon_sym_BSLASHbigl] = ACTIONS(7327),
    [anon_sym_BSLASHBigl] = ACTIONS(7327),
    [anon_sym_BSLASHbiggl] = ACTIONS(7327),
    [anon_sym_BSLASHBiggl] = ACTIONS(7327),
    [anon_sym_BSLASHtext] = ACTIONS(7327),
    [anon_sym_BSLASHintertext] = ACTIONS(7327),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7327),
    [anon_sym_BSLASHbegin] = ACTIONS(7327),
    [anon_sym_BSLASHtitle] = ACTIONS(7327),
    [anon_sym_BSLASHauthor] = ACTIONS(7327),
    [anon_sym_BSLASHusepackage] = ACTIONS(7327),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7327),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7327),
    [anon_sym_BSLASHinclude] = ACTIONS(7327),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7327),
    [anon_sym_BSLASHinput] = ACTIONS(7327),
    [anon_sym_BSLASHsubfile] = ACTIONS(7327),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7327),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7327),
    [anon_sym_BSLASHbibliography] = ACTIONS(7327),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7327),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7327),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7327),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7327),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7327),
    [anon_sym_BSLASHimport] = ACTIONS(7327),
    [anon_sym_BSLASHsubimport] = ACTIONS(7327),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7327),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7327),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7327),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7327),
    [anon_sym_BSLASHcaption] = ACTIONS(7327),
    [anon_sym_BSLASHcite] = ACTIONS(7327),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCite] = ACTIONS(7327),
    [anon_sym_BSLASHnocite] = ACTIONS(7327),
    [anon_sym_BSLASHcitet] = ACTIONS(7327),
    [anon_sym_BSLASHcitep] = ACTIONS(7327),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteA] = ACTIONS(7327),
    [anon_sym_BSLASHciteR] = ACTIONS(7327),
    [anon_sym_BSLASHciteS] = ACTIONS(7327),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7327),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7327),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7327),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7327),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteyear] = ACTIONS(7327),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitedate] = ACTIONS(7327),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteurl] = ACTIONS(7327),
    [anon_sym_BSLASHfullcite] = ACTIONS(7327),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7327),
    [anon_sym_BSLASHcitealt] = ACTIONS(7327),
    [anon_sym_BSLASHcitealp] = ACTIONS(7327),
    [anon_sym_BSLASHcitetext] = ACTIONS(7327),
    [anon_sym_BSLASHparencite] = ACTIONS(7327),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHParencite] = ACTIONS(7327),
    [anon_sym_BSLASHfootcite] = ACTIONS(7327),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7327),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7327),
    [anon_sym_BSLASHtextcite] = ACTIONS(7327),
    [anon_sym_BSLASHTextcite] = ACTIONS(7327),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7327),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7327),
    [anon_sym_BSLASHsupercite] = ACTIONS(7327),
    [anon_sym_BSLASHautocite] = ACTIONS(7327),
    [anon_sym_BSLASHAutocite] = ACTIONS(7327),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHVolcite] = ACTIONS(7327),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHavolcite] = ACTIONS(7327),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHNotecite] = ACTIONS(7327),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHlabel] = ACTIONS(7327),
    [anon_sym_BSLASHref] = ACTIONS(7327),
    [anon_sym_BSLASHeqref] = ACTIONS(7327),
    [anon_sym_BSLASHvref] = ACTIONS(7327),
    [anon_sym_BSLASHVref] = ACTIONS(7327),
    [anon_sym_BSLASHautoref] = ACTIONS(7327),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHpageref] = ACTIONS(7327),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHautopageref] = ACTIONS(7327),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcref] = ACTIONS(7327),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCref] = ACTIONS(7327),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcpageref] = ACTIONS(7327),
    [anon_sym_BSLASHCpageref] = ACTIONS(7327),
    [anon_sym_BSLASHnamecref] = ACTIONS(7327),
    [anon_sym_BSLASHnameCref] = ACTIONS(7327),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7327),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7327),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7327),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7327),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7327),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7327),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7327),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7327),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7327),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7327),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7327),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHdef] = ACTIONS(7327),
    [anon_sym_BSLASHgdef] = ACTIONS(7327),
    [anon_sym_BSLASHedef] = ACTIONS(7327),
    [anon_sym_BSLASHxdef] = ACTIONS(7327),
    [anon_sym_BSLASHlet] = ACTIONS(7327),
    [anon_sym_BSLASHglet] = ACTIONS(7327),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7327),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7327),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7327),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7327),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7327),
    [anon_sym_BSLASHgls] = ACTIONS(7327),
    [anon_sym_BSLASHGls] = ACTIONS(7327),
    [anon_sym_BSLASHGLS] = ACTIONS(7327),
    [anon_sym_BSLASHglspl] = ACTIONS(7327),
    [anon_sym_BSLASHGlspl] = ACTIONS(7327),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7327),
    [anon_sym_BSLASHglslink] = ACTIONS(7327),
    [anon_sym_BSLASHglstext] = ACTIONS(7327),
    [anon_sym_BSLASHGlstext] = ACTIONS(7327),
    [anon_sym_BSLASHGLStext] = ACTIONS(7327),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7327),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7327),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7327),
    [anon_sym_BSLASHglsplural] = ACTIONS(7327),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7327),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7327),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHglsname] = ACTIONS(7327),
    [anon_sym_BSLASHGlsname] = ACTIONS(7327),
    [anon_sym_BSLASHGLSname] = ACTIONS(7327),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7327),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7327),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7327),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7327),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7327),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7327),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7327),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7327),
    [anon_sym_BSLASHacrshort] = ACTIONS(7327),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7327),
    [anon_sym_BSLASHACRshort] = ACTIONS(7327),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHacrlong] = ACTIONS(7327),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7327),
    [anon_sym_BSLASHACRlong] = ACTIONS(7327),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHacrfull] = ACTIONS(7327),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7327),
    [anon_sym_BSLASHACRfull] = ACTIONS(7327),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHacs] = ACTIONS(7327),
    [anon_sym_BSLASHAcs] = ACTIONS(7327),
    [anon_sym_BSLASHacsp] = ACTIONS(7327),
    [anon_sym_BSLASHAcsp] = ACTIONS(7327),
    [anon_sym_BSLASHacl] = ACTIONS(7327),
    [anon_sym_BSLASHAcl] = ACTIONS(7327),
    [anon_sym_BSLASHaclp] = ACTIONS(7327),
    [anon_sym_BSLASHAclp] = ACTIONS(7327),
    [anon_sym_BSLASHacf] = ACTIONS(7327),
    [anon_sym_BSLASHAcf] = ACTIONS(7327),
    [anon_sym_BSLASHacfp] = ACTIONS(7327),
    [anon_sym_BSLASHAcfp] = ACTIONS(7327),
    [anon_sym_BSLASHac] = ACTIONS(7327),
    [anon_sym_BSLASHAc] = ACTIONS(7327),
    [anon_sym_BSLASHacp] = ACTIONS(7327),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7327),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7327),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7327),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7327),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7327),
    [anon_sym_BSLASHcolor] = ACTIONS(7327),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7327),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7327),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7327),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7327),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7327),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7327),
    [anon_sym_BSLASHurl] = ACTIONS(7327),
    [anon_sym_BSLASHhref] = ACTIONS(7327),
  },
  [1581] = {
    [sym_command_name] = ACTIONS(7331),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7331),
    [anon_sym_LBRACK] = ACTIONS(7333),
    [anon_sym_RBRACK] = ACTIONS(7333),
    [anon_sym_COMMA] = ACTIONS(7333),
    [anon_sym_EQ] = ACTIONS(7333),
    [anon_sym_LPAREN] = ACTIONS(7333),
    [anon_sym_RPAREN] = ACTIONS(7333),
    [anon_sym_BSLASHpart] = ACTIONS(7331),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHaddpart] = ACTIONS(7331),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHchapter] = ACTIONS(7331),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHaddchap] = ACTIONS(7331),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHsection] = ACTIONS(7331),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHaddsec] = ACTIONS(7331),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHsubsection] = ACTIONS(7331),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7331),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHparagraph] = ACTIONS(7331),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7331),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHitem] = ACTIONS(7331),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7333),
    [anon_sym_LBRACE] = ACTIONS(7333),
    [sym_word] = ACTIONS(7331),
    [sym_placeholder] = ACTIONS(7333),
    [sym_delimiter] = ACTIONS(7333),
    [anon_sym_PLUS] = ACTIONS(7333),
    [anon_sym_DASH] = ACTIONS(7333),
    [anon_sym_STAR] = ACTIONS(7333),
    [anon_sym_SLASH] = ACTIONS(7333),
    [anon_sym_LT] = ACTIONS(7331),
    [anon_sym_GT] = ACTIONS(7331),
    [anon_sym_BANG] = ACTIONS(7331),
    [anon_sym_PIPE] = ACTIONS(7331),
    [anon_sym_COLON] = ACTIONS(7331),
    [anon_sym_SQUOTE] = ACTIONS(7331),
    [anon_sym__] = ACTIONS(7333),
    [anon_sym_CARET] = ACTIONS(7333),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7333),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7333),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7333),
    [anon_sym_DOLLAR] = ACTIONS(7331),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7333),
    [anon_sym_BSLASHleft] = ACTIONS(7331),
    [anon_sym_BSLASHbigl] = ACTIONS(7331),
    [anon_sym_BSLASHBigl] = ACTIONS(7331),
    [anon_sym_BSLASHbiggl] = ACTIONS(7331),
    [anon_sym_BSLASHBiggl] = ACTIONS(7331),
    [anon_sym_BSLASHtext] = ACTIONS(7331),
    [anon_sym_BSLASHintertext] = ACTIONS(7331),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7331),
    [anon_sym_BSLASHbegin] = ACTIONS(7331),
    [anon_sym_BSLASHtitle] = ACTIONS(7331),
    [anon_sym_BSLASHauthor] = ACTIONS(7331),
    [anon_sym_BSLASHusepackage] = ACTIONS(7331),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7331),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7331),
    [anon_sym_BSLASHinclude] = ACTIONS(7331),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7331),
    [anon_sym_BSLASHinput] = ACTIONS(7331),
    [anon_sym_BSLASHsubfile] = ACTIONS(7331),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7331),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7331),
    [anon_sym_BSLASHbibliography] = ACTIONS(7331),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7331),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7331),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7331),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7331),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7331),
    [anon_sym_BSLASHimport] = ACTIONS(7331),
    [anon_sym_BSLASHsubimport] = ACTIONS(7331),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7331),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7331),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7331),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7331),
    [anon_sym_BSLASHcaption] = ACTIONS(7331),
    [anon_sym_BSLASHcite] = ACTIONS(7331),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCite] = ACTIONS(7331),
    [anon_sym_BSLASHnocite] = ACTIONS(7331),
    [anon_sym_BSLASHcitet] = ACTIONS(7331),
    [anon_sym_BSLASHcitep] = ACTIONS(7331),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteA] = ACTIONS(7331),
    [anon_sym_BSLASHciteR] = ACTIONS(7331),
    [anon_sym_BSLASHciteS] = ACTIONS(7331),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7331),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7331),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7331),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7331),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteyear] = ACTIONS(7331),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitedate] = ACTIONS(7331),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteurl] = ACTIONS(7331),
    [anon_sym_BSLASHfullcite] = ACTIONS(7331),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7331),
    [anon_sym_BSLASHcitealt] = ACTIONS(7331),
    [anon_sym_BSLASHcitealp] = ACTIONS(7331),
    [anon_sym_BSLASHcitetext] = ACTIONS(7331),
    [anon_sym_BSLASHparencite] = ACTIONS(7331),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHParencite] = ACTIONS(7331),
    [anon_sym_BSLASHfootcite] = ACTIONS(7331),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7331),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7331),
    [anon_sym_BSLASHtextcite] = ACTIONS(7331),
    [anon_sym_BSLASHTextcite] = ACTIONS(7331),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7331),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7331),
    [anon_sym_BSLASHsupercite] = ACTIONS(7331),
    [anon_sym_BSLASHautocite] = ACTIONS(7331),
    [anon_sym_BSLASHAutocite] = ACTIONS(7331),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHVolcite] = ACTIONS(7331),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHavolcite] = ACTIONS(7331),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHNotecite] = ACTIONS(7331),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHlabel] = ACTIONS(7331),
    [anon_sym_BSLASHref] = ACTIONS(7331),
    [anon_sym_BSLASHeqref] = ACTIONS(7331),
    [anon_sym_BSLASHvref] = ACTIONS(7331),
    [anon_sym_BSLASHVref] = ACTIONS(7331),
    [anon_sym_BSLASHautoref] = ACTIONS(7331),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHpageref] = ACTIONS(7331),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHautopageref] = ACTIONS(7331),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcref] = ACTIONS(7331),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCref] = ACTIONS(7331),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcpageref] = ACTIONS(7331),
    [anon_sym_BSLASHCpageref] = ACTIONS(7331),
    [anon_sym_BSLASHnamecref] = ACTIONS(7331),
    [anon_sym_BSLASHnameCref] = ACTIONS(7331),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7331),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7331),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7331),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7331),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7331),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7331),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7331),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7331),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7331),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7331),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7331),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHdef] = ACTIONS(7331),
    [anon_sym_BSLASHgdef] = ACTIONS(7331),
    [anon_sym_BSLASHedef] = ACTIONS(7331),
    [anon_sym_BSLASHxdef] = ACTIONS(7331),
    [anon_sym_BSLASHlet] = ACTIONS(7331),
    [anon_sym_BSLASHglet] = ACTIONS(7331),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7331),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7331),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7331),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7331),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7331),
    [anon_sym_BSLASHgls] = ACTIONS(7331),
    [anon_sym_BSLASHGls] = ACTIONS(7331),
    [anon_sym_BSLASHGLS] = ACTIONS(7331),
    [anon_sym_BSLASHglspl] = ACTIONS(7331),
    [anon_sym_BSLASHGlspl] = ACTIONS(7331),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7331),
    [anon_sym_BSLASHglslink] = ACTIONS(7331),
    [anon_sym_BSLASHglstext] = ACTIONS(7331),
    [anon_sym_BSLASHGlstext] = ACTIONS(7331),
    [anon_sym_BSLASHGLStext] = ACTIONS(7331),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7331),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7331),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7331),
    [anon_sym_BSLASHglsplural] = ACTIONS(7331),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7331),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7331),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHglsname] = ACTIONS(7331),
    [anon_sym_BSLASHGlsname] = ACTIONS(7331),
    [anon_sym_BSLASHGLSname] = ACTIONS(7331),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7331),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7331),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7331),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7331),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7331),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7331),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7331),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7331),
    [anon_sym_BSLASHacrshort] = ACTIONS(7331),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7331),
    [anon_sym_BSLASHACRshort] = ACTIONS(7331),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHacrlong] = ACTIONS(7331),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7331),
    [anon_sym_BSLASHACRlong] = ACTIONS(7331),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHacrfull] = ACTIONS(7331),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7331),
    [anon_sym_BSLASHACRfull] = ACTIONS(7331),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHacs] = ACTIONS(7331),
    [anon_sym_BSLASHAcs] = ACTIONS(7331),
    [anon_sym_BSLASHacsp] = ACTIONS(7331),
    [anon_sym_BSLASHAcsp] = ACTIONS(7331),
    [anon_sym_BSLASHacl] = ACTIONS(7331),
    [anon_sym_BSLASHAcl] = ACTIONS(7331),
    [anon_sym_BSLASHaclp] = ACTIONS(7331),
    [anon_sym_BSLASHAclp] = ACTIONS(7331),
    [anon_sym_BSLASHacf] = ACTIONS(7331),
    [anon_sym_BSLASHAcf] = ACTIONS(7331),
    [anon_sym_BSLASHacfp] = ACTIONS(7331),
    [anon_sym_BSLASHAcfp] = ACTIONS(7331),
    [anon_sym_BSLASHac] = ACTIONS(7331),
    [anon_sym_BSLASHAc] = ACTIONS(7331),
    [anon_sym_BSLASHacp] = ACTIONS(7331),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7331),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7331),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7331),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7331),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7331),
    [anon_sym_BSLASHcolor] = ACTIONS(7331),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7331),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7331),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7331),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7331),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7331),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7331),
    [anon_sym_BSLASHurl] = ACTIONS(7331),
    [anon_sym_BSLASHhref] = ACTIONS(7331),
  },
  [1582] = {
    [sym_command_name] = ACTIONS(7335),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7335),
    [anon_sym_LBRACK] = ACTIONS(7337),
    [anon_sym_RBRACK] = ACTIONS(7337),
    [anon_sym_COMMA] = ACTIONS(7337),
    [anon_sym_EQ] = ACTIONS(7337),
    [anon_sym_LPAREN] = ACTIONS(7337),
    [anon_sym_RPAREN] = ACTIONS(7337),
    [anon_sym_BSLASHpart] = ACTIONS(7335),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHaddpart] = ACTIONS(7335),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHchapter] = ACTIONS(7335),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHaddchap] = ACTIONS(7335),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHsection] = ACTIONS(7335),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHaddsec] = ACTIONS(7335),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHsubsection] = ACTIONS(7335),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7335),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHparagraph] = ACTIONS(7335),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7335),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHitem] = ACTIONS(7335),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7337),
    [anon_sym_LBRACE] = ACTIONS(7337),
    [sym_word] = ACTIONS(7335),
    [sym_placeholder] = ACTIONS(7337),
    [sym_delimiter] = ACTIONS(7337),
    [anon_sym_PLUS] = ACTIONS(7337),
    [anon_sym_DASH] = ACTIONS(7337),
    [anon_sym_STAR] = ACTIONS(7337),
    [anon_sym_SLASH] = ACTIONS(7337),
    [anon_sym_LT] = ACTIONS(7335),
    [anon_sym_GT] = ACTIONS(7335),
    [anon_sym_BANG] = ACTIONS(7335),
    [anon_sym_PIPE] = ACTIONS(7335),
    [anon_sym_COLON] = ACTIONS(7335),
    [anon_sym_SQUOTE] = ACTIONS(7335),
    [anon_sym__] = ACTIONS(7337),
    [anon_sym_CARET] = ACTIONS(7337),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7337),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7337),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7337),
    [anon_sym_DOLLAR] = ACTIONS(7335),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7337),
    [anon_sym_BSLASHleft] = ACTIONS(7335),
    [anon_sym_BSLASHbigl] = ACTIONS(7335),
    [anon_sym_BSLASHBigl] = ACTIONS(7335),
    [anon_sym_BSLASHbiggl] = ACTIONS(7335),
    [anon_sym_BSLASHBiggl] = ACTIONS(7335),
    [anon_sym_BSLASHtext] = ACTIONS(7335),
    [anon_sym_BSLASHintertext] = ACTIONS(7335),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7335),
    [anon_sym_BSLASHbegin] = ACTIONS(7335),
    [anon_sym_BSLASHtitle] = ACTIONS(7335),
    [anon_sym_BSLASHauthor] = ACTIONS(7335),
    [anon_sym_BSLASHusepackage] = ACTIONS(7335),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7335),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7335),
    [anon_sym_BSLASHinclude] = ACTIONS(7335),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7335),
    [anon_sym_BSLASHinput] = ACTIONS(7335),
    [anon_sym_BSLASHsubfile] = ACTIONS(7335),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7335),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7335),
    [anon_sym_BSLASHbibliography] = ACTIONS(7335),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7335),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7335),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7335),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7335),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7335),
    [anon_sym_BSLASHimport] = ACTIONS(7335),
    [anon_sym_BSLASHsubimport] = ACTIONS(7335),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7335),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7335),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7335),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7335),
    [anon_sym_BSLASHcaption] = ACTIONS(7335),
    [anon_sym_BSLASHcite] = ACTIONS(7335),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCite] = ACTIONS(7335),
    [anon_sym_BSLASHnocite] = ACTIONS(7335),
    [anon_sym_BSLASHcitet] = ACTIONS(7335),
    [anon_sym_BSLASHcitep] = ACTIONS(7335),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteA] = ACTIONS(7335),
    [anon_sym_BSLASHciteR] = ACTIONS(7335),
    [anon_sym_BSLASHciteS] = ACTIONS(7335),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7335),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7335),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7335),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7335),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteyear] = ACTIONS(7335),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitedate] = ACTIONS(7335),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteurl] = ACTIONS(7335),
    [anon_sym_BSLASHfullcite] = ACTIONS(7335),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7335),
    [anon_sym_BSLASHcitealt] = ACTIONS(7335),
    [anon_sym_BSLASHcitealp] = ACTIONS(7335),
    [anon_sym_BSLASHcitetext] = ACTIONS(7335),
    [anon_sym_BSLASHparencite] = ACTIONS(7335),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHParencite] = ACTIONS(7335),
    [anon_sym_BSLASHfootcite] = ACTIONS(7335),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7335),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7335),
    [anon_sym_BSLASHtextcite] = ACTIONS(7335),
    [anon_sym_BSLASHTextcite] = ACTIONS(7335),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7335),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7335),
    [anon_sym_BSLASHsupercite] = ACTIONS(7335),
    [anon_sym_BSLASHautocite] = ACTIONS(7335),
    [anon_sym_BSLASHAutocite] = ACTIONS(7335),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHVolcite] = ACTIONS(7335),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHavolcite] = ACTIONS(7335),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHNotecite] = ACTIONS(7335),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHlabel] = ACTIONS(7335),
    [anon_sym_BSLASHref] = ACTIONS(7335),
    [anon_sym_BSLASHeqref] = ACTIONS(7335),
    [anon_sym_BSLASHvref] = ACTIONS(7335),
    [anon_sym_BSLASHVref] = ACTIONS(7335),
    [anon_sym_BSLASHautoref] = ACTIONS(7335),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHpageref] = ACTIONS(7335),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHautopageref] = ACTIONS(7335),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcref] = ACTIONS(7335),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCref] = ACTIONS(7335),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcpageref] = ACTIONS(7335),
    [anon_sym_BSLASHCpageref] = ACTIONS(7335),
    [anon_sym_BSLASHnamecref] = ACTIONS(7335),
    [anon_sym_BSLASHnameCref] = ACTIONS(7335),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7335),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7335),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7335),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7335),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7335),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7335),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7335),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7335),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7335),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7335),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7335),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHdef] = ACTIONS(7335),
    [anon_sym_BSLASHgdef] = ACTIONS(7335),
    [anon_sym_BSLASHedef] = ACTIONS(7335),
    [anon_sym_BSLASHxdef] = ACTIONS(7335),
    [anon_sym_BSLASHlet] = ACTIONS(7335),
    [anon_sym_BSLASHglet] = ACTIONS(7335),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7335),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7335),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7335),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7335),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7335),
    [anon_sym_BSLASHgls] = ACTIONS(7335),
    [anon_sym_BSLASHGls] = ACTIONS(7335),
    [anon_sym_BSLASHGLS] = ACTIONS(7335),
    [anon_sym_BSLASHglspl] = ACTIONS(7335),
    [anon_sym_BSLASHGlspl] = ACTIONS(7335),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7335),
    [anon_sym_BSLASHglslink] = ACTIONS(7335),
    [anon_sym_BSLASHglstext] = ACTIONS(7335),
    [anon_sym_BSLASHGlstext] = ACTIONS(7335),
    [anon_sym_BSLASHGLStext] = ACTIONS(7335),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7335),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7335),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7335),
    [anon_sym_BSLASHglsplural] = ACTIONS(7335),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7335),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7335),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHglsname] = ACTIONS(7335),
    [anon_sym_BSLASHGlsname] = ACTIONS(7335),
    [anon_sym_BSLASHGLSname] = ACTIONS(7335),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7335),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7335),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7335),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7335),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7335),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7335),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7335),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7335),
    [anon_sym_BSLASHacrshort] = ACTIONS(7335),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7335),
    [anon_sym_BSLASHACRshort] = ACTIONS(7335),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHacrlong] = ACTIONS(7335),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7335),
    [anon_sym_BSLASHACRlong] = ACTIONS(7335),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHacrfull] = ACTIONS(7335),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7335),
    [anon_sym_BSLASHACRfull] = ACTIONS(7335),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHacs] = ACTIONS(7335),
    [anon_sym_BSLASHAcs] = ACTIONS(7335),
    [anon_sym_BSLASHacsp] = ACTIONS(7335),
    [anon_sym_BSLASHAcsp] = ACTIONS(7335),
    [anon_sym_BSLASHacl] = ACTIONS(7335),
    [anon_sym_BSLASHAcl] = ACTIONS(7335),
    [anon_sym_BSLASHaclp] = ACTIONS(7335),
    [anon_sym_BSLASHAclp] = ACTIONS(7335),
    [anon_sym_BSLASHacf] = ACTIONS(7335),
    [anon_sym_BSLASHAcf] = ACTIONS(7335),
    [anon_sym_BSLASHacfp] = ACTIONS(7335),
    [anon_sym_BSLASHAcfp] = ACTIONS(7335),
    [anon_sym_BSLASHac] = ACTIONS(7335),
    [anon_sym_BSLASHAc] = ACTIONS(7335),
    [anon_sym_BSLASHacp] = ACTIONS(7335),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7335),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7335),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7335),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7335),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7335),
    [anon_sym_BSLASHcolor] = ACTIONS(7335),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7335),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7335),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7335),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7335),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7335),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7335),
    [anon_sym_BSLASHurl] = ACTIONS(7335),
    [anon_sym_BSLASHhref] = ACTIONS(7335),
  },
  [1583] = {
    [sym_command_name] = ACTIONS(7339),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7339),
    [anon_sym_LBRACK] = ACTIONS(7341),
    [anon_sym_RBRACK] = ACTIONS(7341),
    [anon_sym_COMMA] = ACTIONS(7341),
    [anon_sym_EQ] = ACTIONS(7341),
    [anon_sym_LPAREN] = ACTIONS(7341),
    [anon_sym_RPAREN] = ACTIONS(7341),
    [anon_sym_BSLASHpart] = ACTIONS(7339),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHaddpart] = ACTIONS(7339),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHchapter] = ACTIONS(7339),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHaddchap] = ACTIONS(7339),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHsection] = ACTIONS(7339),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHaddsec] = ACTIONS(7339),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHsubsection] = ACTIONS(7339),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7339),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHparagraph] = ACTIONS(7339),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7339),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHitem] = ACTIONS(7339),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7341),
    [anon_sym_LBRACE] = ACTIONS(7341),
    [sym_word] = ACTIONS(7339),
    [sym_placeholder] = ACTIONS(7341),
    [sym_delimiter] = ACTIONS(7341),
    [anon_sym_PLUS] = ACTIONS(7341),
    [anon_sym_DASH] = ACTIONS(7341),
    [anon_sym_STAR] = ACTIONS(7341),
    [anon_sym_SLASH] = ACTIONS(7341),
    [anon_sym_LT] = ACTIONS(7339),
    [anon_sym_GT] = ACTIONS(7339),
    [anon_sym_BANG] = ACTIONS(7339),
    [anon_sym_PIPE] = ACTIONS(7339),
    [anon_sym_COLON] = ACTIONS(7339),
    [anon_sym_SQUOTE] = ACTIONS(7339),
    [anon_sym__] = ACTIONS(7341),
    [anon_sym_CARET] = ACTIONS(7341),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7341),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7341),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7341),
    [anon_sym_DOLLAR] = ACTIONS(7339),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7341),
    [anon_sym_BSLASHleft] = ACTIONS(7339),
    [anon_sym_BSLASHbigl] = ACTIONS(7339),
    [anon_sym_BSLASHBigl] = ACTIONS(7339),
    [anon_sym_BSLASHbiggl] = ACTIONS(7339),
    [anon_sym_BSLASHBiggl] = ACTIONS(7339),
    [anon_sym_BSLASHtext] = ACTIONS(7339),
    [anon_sym_BSLASHintertext] = ACTIONS(7339),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7339),
    [anon_sym_BSLASHbegin] = ACTIONS(7339),
    [anon_sym_BSLASHtitle] = ACTIONS(7339),
    [anon_sym_BSLASHauthor] = ACTIONS(7339),
    [anon_sym_BSLASHusepackage] = ACTIONS(7339),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7339),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7339),
    [anon_sym_BSLASHinclude] = ACTIONS(7339),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7339),
    [anon_sym_BSLASHinput] = ACTIONS(7339),
    [anon_sym_BSLASHsubfile] = ACTIONS(7339),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7339),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7339),
    [anon_sym_BSLASHbibliography] = ACTIONS(7339),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7339),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7339),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7339),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7339),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7339),
    [anon_sym_BSLASHimport] = ACTIONS(7339),
    [anon_sym_BSLASHsubimport] = ACTIONS(7339),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7339),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7339),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7339),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7339),
    [anon_sym_BSLASHcaption] = ACTIONS(7339),
    [anon_sym_BSLASHcite] = ACTIONS(7339),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCite] = ACTIONS(7339),
    [anon_sym_BSLASHnocite] = ACTIONS(7339),
    [anon_sym_BSLASHcitet] = ACTIONS(7339),
    [anon_sym_BSLASHcitep] = ACTIONS(7339),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteA] = ACTIONS(7339),
    [anon_sym_BSLASHciteR] = ACTIONS(7339),
    [anon_sym_BSLASHciteS] = ACTIONS(7339),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7339),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7339),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7339),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7339),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteyear] = ACTIONS(7339),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitedate] = ACTIONS(7339),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteurl] = ACTIONS(7339),
    [anon_sym_BSLASHfullcite] = ACTIONS(7339),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7339),
    [anon_sym_BSLASHcitealt] = ACTIONS(7339),
    [anon_sym_BSLASHcitealp] = ACTIONS(7339),
    [anon_sym_BSLASHcitetext] = ACTIONS(7339),
    [anon_sym_BSLASHparencite] = ACTIONS(7339),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHParencite] = ACTIONS(7339),
    [anon_sym_BSLASHfootcite] = ACTIONS(7339),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7339),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7339),
    [anon_sym_BSLASHtextcite] = ACTIONS(7339),
    [anon_sym_BSLASHTextcite] = ACTIONS(7339),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7339),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7339),
    [anon_sym_BSLASHsupercite] = ACTIONS(7339),
    [anon_sym_BSLASHautocite] = ACTIONS(7339),
    [anon_sym_BSLASHAutocite] = ACTIONS(7339),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHVolcite] = ACTIONS(7339),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHavolcite] = ACTIONS(7339),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHNotecite] = ACTIONS(7339),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHlabel] = ACTIONS(7339),
    [anon_sym_BSLASHref] = ACTIONS(7339),
    [anon_sym_BSLASHeqref] = ACTIONS(7339),
    [anon_sym_BSLASHvref] = ACTIONS(7339),
    [anon_sym_BSLASHVref] = ACTIONS(7339),
    [anon_sym_BSLASHautoref] = ACTIONS(7339),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHpageref] = ACTIONS(7339),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHautopageref] = ACTIONS(7339),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcref] = ACTIONS(7339),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCref] = ACTIONS(7339),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcpageref] = ACTIONS(7339),
    [anon_sym_BSLASHCpageref] = ACTIONS(7339),
    [anon_sym_BSLASHnamecref] = ACTIONS(7339),
    [anon_sym_BSLASHnameCref] = ACTIONS(7339),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7339),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7339),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7339),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7339),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7339),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7339),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7339),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7339),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7339),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7339),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7339),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHdef] = ACTIONS(7339),
    [anon_sym_BSLASHgdef] = ACTIONS(7339),
    [anon_sym_BSLASHedef] = ACTIONS(7339),
    [anon_sym_BSLASHxdef] = ACTIONS(7339),
    [anon_sym_BSLASHlet] = ACTIONS(7339),
    [anon_sym_BSLASHglet] = ACTIONS(7339),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7339),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7339),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7339),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7339),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7339),
    [anon_sym_BSLASHgls] = ACTIONS(7339),
    [anon_sym_BSLASHGls] = ACTIONS(7339),
    [anon_sym_BSLASHGLS] = ACTIONS(7339),
    [anon_sym_BSLASHglspl] = ACTIONS(7339),
    [anon_sym_BSLASHGlspl] = ACTIONS(7339),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7339),
    [anon_sym_BSLASHglslink] = ACTIONS(7339),
    [anon_sym_BSLASHglstext] = ACTIONS(7339),
    [anon_sym_BSLASHGlstext] = ACTIONS(7339),
    [anon_sym_BSLASHGLStext] = ACTIONS(7339),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7339),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7339),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7339),
    [anon_sym_BSLASHglsplural] = ACTIONS(7339),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7339),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7339),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHglsname] = ACTIONS(7339),
    [anon_sym_BSLASHGlsname] = ACTIONS(7339),
    [anon_sym_BSLASHGLSname] = ACTIONS(7339),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7339),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7339),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7339),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7339),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7339),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7339),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7339),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7339),
    [anon_sym_BSLASHacrshort] = ACTIONS(7339),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7339),
    [anon_sym_BSLASHACRshort] = ACTIONS(7339),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHacrlong] = ACTIONS(7339),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7339),
    [anon_sym_BSLASHACRlong] = ACTIONS(7339),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHacrfull] = ACTIONS(7339),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7339),
    [anon_sym_BSLASHACRfull] = ACTIONS(7339),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHacs] = ACTIONS(7339),
    [anon_sym_BSLASHAcs] = ACTIONS(7339),
    [anon_sym_BSLASHacsp] = ACTIONS(7339),
    [anon_sym_BSLASHAcsp] = ACTIONS(7339),
    [anon_sym_BSLASHacl] = ACTIONS(7339),
    [anon_sym_BSLASHAcl] = ACTIONS(7339),
    [anon_sym_BSLASHaclp] = ACTIONS(7339),
    [anon_sym_BSLASHAclp] = ACTIONS(7339),
    [anon_sym_BSLASHacf] = ACTIONS(7339),
    [anon_sym_BSLASHAcf] = ACTIONS(7339),
    [anon_sym_BSLASHacfp] = ACTIONS(7339),
    [anon_sym_BSLASHAcfp] = ACTIONS(7339),
    [anon_sym_BSLASHac] = ACTIONS(7339),
    [anon_sym_BSLASHAc] = ACTIONS(7339),
    [anon_sym_BSLASHacp] = ACTIONS(7339),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7339),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7339),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7339),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7339),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7339),
    [anon_sym_BSLASHcolor] = ACTIONS(7339),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7339),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7339),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7339),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7339),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7339),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7339),
    [anon_sym_BSLASHurl] = ACTIONS(7339),
    [anon_sym_BSLASHhref] = ACTIONS(7339),
  },
  [1584] = {
    [sym_command_name] = ACTIONS(7343),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7343),
    [anon_sym_LBRACK] = ACTIONS(7345),
    [anon_sym_RBRACK] = ACTIONS(7345),
    [anon_sym_COMMA] = ACTIONS(7345),
    [anon_sym_EQ] = ACTIONS(7345),
    [anon_sym_LPAREN] = ACTIONS(7345),
    [anon_sym_RPAREN] = ACTIONS(7345),
    [anon_sym_BSLASHpart] = ACTIONS(7343),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHaddpart] = ACTIONS(7343),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHchapter] = ACTIONS(7343),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHaddchap] = ACTIONS(7343),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHsection] = ACTIONS(7343),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHaddsec] = ACTIONS(7343),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHsubsection] = ACTIONS(7343),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7343),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHparagraph] = ACTIONS(7343),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7343),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHitem] = ACTIONS(7343),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7345),
    [anon_sym_LBRACE] = ACTIONS(7345),
    [sym_word] = ACTIONS(7343),
    [sym_placeholder] = ACTIONS(7345),
    [sym_delimiter] = ACTIONS(7345),
    [anon_sym_PLUS] = ACTIONS(7345),
    [anon_sym_DASH] = ACTIONS(7345),
    [anon_sym_STAR] = ACTIONS(7345),
    [anon_sym_SLASH] = ACTIONS(7345),
    [anon_sym_LT] = ACTIONS(7343),
    [anon_sym_GT] = ACTIONS(7343),
    [anon_sym_BANG] = ACTIONS(7343),
    [anon_sym_PIPE] = ACTIONS(7343),
    [anon_sym_COLON] = ACTIONS(7343),
    [anon_sym_SQUOTE] = ACTIONS(7343),
    [anon_sym__] = ACTIONS(7345),
    [anon_sym_CARET] = ACTIONS(7345),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7345),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7345),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7345),
    [anon_sym_DOLLAR] = ACTIONS(7343),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7345),
    [anon_sym_BSLASHleft] = ACTIONS(7343),
    [anon_sym_BSLASHbigl] = ACTIONS(7343),
    [anon_sym_BSLASHBigl] = ACTIONS(7343),
    [anon_sym_BSLASHbiggl] = ACTIONS(7343),
    [anon_sym_BSLASHBiggl] = ACTIONS(7343),
    [anon_sym_BSLASHtext] = ACTIONS(7343),
    [anon_sym_BSLASHintertext] = ACTIONS(7343),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7343),
    [anon_sym_BSLASHbegin] = ACTIONS(7343),
    [anon_sym_BSLASHtitle] = ACTIONS(7343),
    [anon_sym_BSLASHauthor] = ACTIONS(7343),
    [anon_sym_BSLASHusepackage] = ACTIONS(7343),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7343),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7343),
    [anon_sym_BSLASHinclude] = ACTIONS(7343),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7343),
    [anon_sym_BSLASHinput] = ACTIONS(7343),
    [anon_sym_BSLASHsubfile] = ACTIONS(7343),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7343),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7343),
    [anon_sym_BSLASHbibliography] = ACTIONS(7343),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7343),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7343),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7343),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7343),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7343),
    [anon_sym_BSLASHimport] = ACTIONS(7343),
    [anon_sym_BSLASHsubimport] = ACTIONS(7343),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7343),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7343),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7343),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7343),
    [anon_sym_BSLASHcaption] = ACTIONS(7343),
    [anon_sym_BSLASHcite] = ACTIONS(7343),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCite] = ACTIONS(7343),
    [anon_sym_BSLASHnocite] = ACTIONS(7343),
    [anon_sym_BSLASHcitet] = ACTIONS(7343),
    [anon_sym_BSLASHcitep] = ACTIONS(7343),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteA] = ACTIONS(7343),
    [anon_sym_BSLASHciteR] = ACTIONS(7343),
    [anon_sym_BSLASHciteS] = ACTIONS(7343),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7343),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7343),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7343),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7343),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteyear] = ACTIONS(7343),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitedate] = ACTIONS(7343),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteurl] = ACTIONS(7343),
    [anon_sym_BSLASHfullcite] = ACTIONS(7343),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7343),
    [anon_sym_BSLASHcitealt] = ACTIONS(7343),
    [anon_sym_BSLASHcitealp] = ACTIONS(7343),
    [anon_sym_BSLASHcitetext] = ACTIONS(7343),
    [anon_sym_BSLASHparencite] = ACTIONS(7343),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHParencite] = ACTIONS(7343),
    [anon_sym_BSLASHfootcite] = ACTIONS(7343),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7343),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7343),
    [anon_sym_BSLASHtextcite] = ACTIONS(7343),
    [anon_sym_BSLASHTextcite] = ACTIONS(7343),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7343),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7343),
    [anon_sym_BSLASHsupercite] = ACTIONS(7343),
    [anon_sym_BSLASHautocite] = ACTIONS(7343),
    [anon_sym_BSLASHAutocite] = ACTIONS(7343),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHVolcite] = ACTIONS(7343),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHavolcite] = ACTIONS(7343),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHNotecite] = ACTIONS(7343),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHlabel] = ACTIONS(7343),
    [anon_sym_BSLASHref] = ACTIONS(7343),
    [anon_sym_BSLASHeqref] = ACTIONS(7343),
    [anon_sym_BSLASHvref] = ACTIONS(7343),
    [anon_sym_BSLASHVref] = ACTIONS(7343),
    [anon_sym_BSLASHautoref] = ACTIONS(7343),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHpageref] = ACTIONS(7343),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHautopageref] = ACTIONS(7343),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcref] = ACTIONS(7343),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCref] = ACTIONS(7343),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcpageref] = ACTIONS(7343),
    [anon_sym_BSLASHCpageref] = ACTIONS(7343),
    [anon_sym_BSLASHnamecref] = ACTIONS(7343),
    [anon_sym_BSLASHnameCref] = ACTIONS(7343),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7343),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7343),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7343),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7343),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7343),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7343),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7343),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7343),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7343),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7343),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7343),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHdef] = ACTIONS(7343),
    [anon_sym_BSLASHgdef] = ACTIONS(7343),
    [anon_sym_BSLASHedef] = ACTIONS(7343),
    [anon_sym_BSLASHxdef] = ACTIONS(7343),
    [anon_sym_BSLASHlet] = ACTIONS(7343),
    [anon_sym_BSLASHglet] = ACTIONS(7343),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7343),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7343),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7343),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7343),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7343),
    [anon_sym_BSLASHgls] = ACTIONS(7343),
    [anon_sym_BSLASHGls] = ACTIONS(7343),
    [anon_sym_BSLASHGLS] = ACTIONS(7343),
    [anon_sym_BSLASHglspl] = ACTIONS(7343),
    [anon_sym_BSLASHGlspl] = ACTIONS(7343),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7343),
    [anon_sym_BSLASHglslink] = ACTIONS(7343),
    [anon_sym_BSLASHglstext] = ACTIONS(7343),
    [anon_sym_BSLASHGlstext] = ACTIONS(7343),
    [anon_sym_BSLASHGLStext] = ACTIONS(7343),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7343),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7343),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7343),
    [anon_sym_BSLASHglsplural] = ACTIONS(7343),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7343),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7343),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHglsname] = ACTIONS(7343),
    [anon_sym_BSLASHGlsname] = ACTIONS(7343),
    [anon_sym_BSLASHGLSname] = ACTIONS(7343),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7343),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7343),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7343),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7343),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7343),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7343),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7343),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7343),
    [anon_sym_BSLASHacrshort] = ACTIONS(7343),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7343),
    [anon_sym_BSLASHACRshort] = ACTIONS(7343),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHacrlong] = ACTIONS(7343),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7343),
    [anon_sym_BSLASHACRlong] = ACTIONS(7343),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHacrfull] = ACTIONS(7343),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7343),
    [anon_sym_BSLASHACRfull] = ACTIONS(7343),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHacs] = ACTIONS(7343),
    [anon_sym_BSLASHAcs] = ACTIONS(7343),
    [anon_sym_BSLASHacsp] = ACTIONS(7343),
    [anon_sym_BSLASHAcsp] = ACTIONS(7343),
    [anon_sym_BSLASHacl] = ACTIONS(7343),
    [anon_sym_BSLASHAcl] = ACTIONS(7343),
    [anon_sym_BSLASHaclp] = ACTIONS(7343),
    [anon_sym_BSLASHAclp] = ACTIONS(7343),
    [anon_sym_BSLASHacf] = ACTIONS(7343),
    [anon_sym_BSLASHAcf] = ACTIONS(7343),
    [anon_sym_BSLASHacfp] = ACTIONS(7343),
    [anon_sym_BSLASHAcfp] = ACTIONS(7343),
    [anon_sym_BSLASHac] = ACTIONS(7343),
    [anon_sym_BSLASHAc] = ACTIONS(7343),
    [anon_sym_BSLASHacp] = ACTIONS(7343),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7343),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7343),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7343),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7343),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7343),
    [anon_sym_BSLASHcolor] = ACTIONS(7343),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7343),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7343),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7343),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7343),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7343),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7343),
    [anon_sym_BSLASHurl] = ACTIONS(7343),
    [anon_sym_BSLASHhref] = ACTIONS(7343),
  },
  [1585] = {
    [sym_command_name] = ACTIONS(7347),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7347),
    [anon_sym_LBRACK] = ACTIONS(7349),
    [anon_sym_RBRACK] = ACTIONS(7349),
    [anon_sym_COMMA] = ACTIONS(7349),
    [anon_sym_EQ] = ACTIONS(7349),
    [anon_sym_LPAREN] = ACTIONS(7349),
    [anon_sym_RPAREN] = ACTIONS(7349),
    [anon_sym_BSLASHpart] = ACTIONS(7347),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHaddpart] = ACTIONS(7347),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHchapter] = ACTIONS(7347),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHaddchap] = ACTIONS(7347),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHsection] = ACTIONS(7347),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHaddsec] = ACTIONS(7347),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHsubsection] = ACTIONS(7347),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7347),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHparagraph] = ACTIONS(7347),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7347),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHitem] = ACTIONS(7347),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7349),
    [anon_sym_LBRACE] = ACTIONS(7349),
    [sym_word] = ACTIONS(7347),
    [sym_placeholder] = ACTIONS(7349),
    [sym_delimiter] = ACTIONS(7349),
    [anon_sym_PLUS] = ACTIONS(7349),
    [anon_sym_DASH] = ACTIONS(7349),
    [anon_sym_STAR] = ACTIONS(7349),
    [anon_sym_SLASH] = ACTIONS(7349),
    [anon_sym_LT] = ACTIONS(7347),
    [anon_sym_GT] = ACTIONS(7347),
    [anon_sym_BANG] = ACTIONS(7347),
    [anon_sym_PIPE] = ACTIONS(7347),
    [anon_sym_COLON] = ACTIONS(7347),
    [anon_sym_SQUOTE] = ACTIONS(7347),
    [anon_sym__] = ACTIONS(7349),
    [anon_sym_CARET] = ACTIONS(7349),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7349),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7349),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7349),
    [anon_sym_DOLLAR] = ACTIONS(7347),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7349),
    [anon_sym_BSLASHleft] = ACTIONS(7347),
    [anon_sym_BSLASHbigl] = ACTIONS(7347),
    [anon_sym_BSLASHBigl] = ACTIONS(7347),
    [anon_sym_BSLASHbiggl] = ACTIONS(7347),
    [anon_sym_BSLASHBiggl] = ACTIONS(7347),
    [anon_sym_BSLASHtext] = ACTIONS(7347),
    [anon_sym_BSLASHintertext] = ACTIONS(7347),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7347),
    [anon_sym_BSLASHbegin] = ACTIONS(7347),
    [anon_sym_BSLASHtitle] = ACTIONS(7347),
    [anon_sym_BSLASHauthor] = ACTIONS(7347),
    [anon_sym_BSLASHusepackage] = ACTIONS(7347),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7347),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7347),
    [anon_sym_BSLASHinclude] = ACTIONS(7347),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7347),
    [anon_sym_BSLASHinput] = ACTIONS(7347),
    [anon_sym_BSLASHsubfile] = ACTIONS(7347),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7347),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7347),
    [anon_sym_BSLASHbibliography] = ACTIONS(7347),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7347),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7347),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7347),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7347),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7347),
    [anon_sym_BSLASHimport] = ACTIONS(7347),
    [anon_sym_BSLASHsubimport] = ACTIONS(7347),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7347),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7347),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7347),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7347),
    [anon_sym_BSLASHcaption] = ACTIONS(7347),
    [anon_sym_BSLASHcite] = ACTIONS(7347),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCite] = ACTIONS(7347),
    [anon_sym_BSLASHnocite] = ACTIONS(7347),
    [anon_sym_BSLASHcitet] = ACTIONS(7347),
    [anon_sym_BSLASHcitep] = ACTIONS(7347),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteA] = ACTIONS(7347),
    [anon_sym_BSLASHciteR] = ACTIONS(7347),
    [anon_sym_BSLASHciteS] = ACTIONS(7347),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7347),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7347),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7347),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7347),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteyear] = ACTIONS(7347),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitedate] = ACTIONS(7347),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteurl] = ACTIONS(7347),
    [anon_sym_BSLASHfullcite] = ACTIONS(7347),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7347),
    [anon_sym_BSLASHcitealt] = ACTIONS(7347),
    [anon_sym_BSLASHcitealp] = ACTIONS(7347),
    [anon_sym_BSLASHcitetext] = ACTIONS(7347),
    [anon_sym_BSLASHparencite] = ACTIONS(7347),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHParencite] = ACTIONS(7347),
    [anon_sym_BSLASHfootcite] = ACTIONS(7347),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7347),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7347),
    [anon_sym_BSLASHtextcite] = ACTIONS(7347),
    [anon_sym_BSLASHTextcite] = ACTIONS(7347),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7347),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7347),
    [anon_sym_BSLASHsupercite] = ACTIONS(7347),
    [anon_sym_BSLASHautocite] = ACTIONS(7347),
    [anon_sym_BSLASHAutocite] = ACTIONS(7347),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHVolcite] = ACTIONS(7347),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHavolcite] = ACTIONS(7347),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHNotecite] = ACTIONS(7347),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHlabel] = ACTIONS(7347),
    [anon_sym_BSLASHref] = ACTIONS(7347),
    [anon_sym_BSLASHeqref] = ACTIONS(7347),
    [anon_sym_BSLASHvref] = ACTIONS(7347),
    [anon_sym_BSLASHVref] = ACTIONS(7347),
    [anon_sym_BSLASHautoref] = ACTIONS(7347),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHpageref] = ACTIONS(7347),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHautopageref] = ACTIONS(7347),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcref] = ACTIONS(7347),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCref] = ACTIONS(7347),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcpageref] = ACTIONS(7347),
    [anon_sym_BSLASHCpageref] = ACTIONS(7347),
    [anon_sym_BSLASHnamecref] = ACTIONS(7347),
    [anon_sym_BSLASHnameCref] = ACTIONS(7347),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7347),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7347),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7347),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7347),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7347),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7347),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7347),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7347),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7347),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7347),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7347),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHdef] = ACTIONS(7347),
    [anon_sym_BSLASHgdef] = ACTIONS(7347),
    [anon_sym_BSLASHedef] = ACTIONS(7347),
    [anon_sym_BSLASHxdef] = ACTIONS(7347),
    [anon_sym_BSLASHlet] = ACTIONS(7347),
    [anon_sym_BSLASHglet] = ACTIONS(7347),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7347),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7347),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7347),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7347),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7347),
    [anon_sym_BSLASHgls] = ACTIONS(7347),
    [anon_sym_BSLASHGls] = ACTIONS(7347),
    [anon_sym_BSLASHGLS] = ACTIONS(7347),
    [anon_sym_BSLASHglspl] = ACTIONS(7347),
    [anon_sym_BSLASHGlspl] = ACTIONS(7347),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7347),
    [anon_sym_BSLASHglslink] = ACTIONS(7347),
    [anon_sym_BSLASHglstext] = ACTIONS(7347),
    [anon_sym_BSLASHGlstext] = ACTIONS(7347),
    [anon_sym_BSLASHGLStext] = ACTIONS(7347),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7347),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7347),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7347),
    [anon_sym_BSLASHglsplural] = ACTIONS(7347),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7347),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7347),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHglsname] = ACTIONS(7347),
    [anon_sym_BSLASHGlsname] = ACTIONS(7347),
    [anon_sym_BSLASHGLSname] = ACTIONS(7347),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7347),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7347),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7347),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7347),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7347),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7347),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7347),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7347),
    [anon_sym_BSLASHacrshort] = ACTIONS(7347),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7347),
    [anon_sym_BSLASHACRshort] = ACTIONS(7347),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHacrlong] = ACTIONS(7347),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7347),
    [anon_sym_BSLASHACRlong] = ACTIONS(7347),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHacrfull] = ACTIONS(7347),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7347),
    [anon_sym_BSLASHACRfull] = ACTIONS(7347),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHacs] = ACTIONS(7347),
    [anon_sym_BSLASHAcs] = ACTIONS(7347),
    [anon_sym_BSLASHacsp] = ACTIONS(7347),
    [anon_sym_BSLASHAcsp] = ACTIONS(7347),
    [anon_sym_BSLASHacl] = ACTIONS(7347),
    [anon_sym_BSLASHAcl] = ACTIONS(7347),
    [anon_sym_BSLASHaclp] = ACTIONS(7347),
    [anon_sym_BSLASHAclp] = ACTIONS(7347),
    [anon_sym_BSLASHacf] = ACTIONS(7347),
    [anon_sym_BSLASHAcf] = ACTIONS(7347),
    [anon_sym_BSLASHacfp] = ACTIONS(7347),
    [anon_sym_BSLASHAcfp] = ACTIONS(7347),
    [anon_sym_BSLASHac] = ACTIONS(7347),
    [anon_sym_BSLASHAc] = ACTIONS(7347),
    [anon_sym_BSLASHacp] = ACTIONS(7347),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7347),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7347),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7347),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7347),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7347),
    [anon_sym_BSLASHcolor] = ACTIONS(7347),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7347),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7347),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7347),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7347),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7347),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7347),
    [anon_sym_BSLASHurl] = ACTIONS(7347),
    [anon_sym_BSLASHhref] = ACTIONS(7347),
  },
  [1586] = {
    [sym_command_name] = ACTIONS(7351),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7351),
    [anon_sym_LBRACK] = ACTIONS(7353),
    [anon_sym_RBRACK] = ACTIONS(7353),
    [anon_sym_COMMA] = ACTIONS(7353),
    [anon_sym_EQ] = ACTIONS(7353),
    [anon_sym_LPAREN] = ACTIONS(7353),
    [anon_sym_RPAREN] = ACTIONS(7353),
    [anon_sym_BSLASHpart] = ACTIONS(7351),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHaddpart] = ACTIONS(7351),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHchapter] = ACTIONS(7351),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHaddchap] = ACTIONS(7351),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHsection] = ACTIONS(7351),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHaddsec] = ACTIONS(7351),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHsubsection] = ACTIONS(7351),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7351),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHparagraph] = ACTIONS(7351),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7351),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHitem] = ACTIONS(7351),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7353),
    [anon_sym_LBRACE] = ACTIONS(7353),
    [sym_word] = ACTIONS(7351),
    [sym_placeholder] = ACTIONS(7353),
    [sym_delimiter] = ACTIONS(7353),
    [anon_sym_PLUS] = ACTIONS(7353),
    [anon_sym_DASH] = ACTIONS(7353),
    [anon_sym_STAR] = ACTIONS(7353),
    [anon_sym_SLASH] = ACTIONS(7353),
    [anon_sym_LT] = ACTIONS(7351),
    [anon_sym_GT] = ACTIONS(7351),
    [anon_sym_BANG] = ACTIONS(7351),
    [anon_sym_PIPE] = ACTIONS(7351),
    [anon_sym_COLON] = ACTIONS(7351),
    [anon_sym_SQUOTE] = ACTIONS(7351),
    [anon_sym__] = ACTIONS(7353),
    [anon_sym_CARET] = ACTIONS(7353),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7353),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7353),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7353),
    [anon_sym_DOLLAR] = ACTIONS(7351),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7353),
    [anon_sym_BSLASHleft] = ACTIONS(7351),
    [anon_sym_BSLASHbigl] = ACTIONS(7351),
    [anon_sym_BSLASHBigl] = ACTIONS(7351),
    [anon_sym_BSLASHbiggl] = ACTIONS(7351),
    [anon_sym_BSLASHBiggl] = ACTIONS(7351),
    [anon_sym_BSLASHtext] = ACTIONS(7351),
    [anon_sym_BSLASHintertext] = ACTIONS(7351),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7351),
    [anon_sym_BSLASHbegin] = ACTIONS(7351),
    [anon_sym_BSLASHtitle] = ACTIONS(7351),
    [anon_sym_BSLASHauthor] = ACTIONS(7351),
    [anon_sym_BSLASHusepackage] = ACTIONS(7351),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7351),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7351),
    [anon_sym_BSLASHinclude] = ACTIONS(7351),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7351),
    [anon_sym_BSLASHinput] = ACTIONS(7351),
    [anon_sym_BSLASHsubfile] = ACTIONS(7351),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7351),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7351),
    [anon_sym_BSLASHbibliography] = ACTIONS(7351),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7351),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7351),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7351),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7351),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7351),
    [anon_sym_BSLASHimport] = ACTIONS(7351),
    [anon_sym_BSLASHsubimport] = ACTIONS(7351),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7351),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7351),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7351),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7351),
    [anon_sym_BSLASHcaption] = ACTIONS(7351),
    [anon_sym_BSLASHcite] = ACTIONS(7351),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCite] = ACTIONS(7351),
    [anon_sym_BSLASHnocite] = ACTIONS(7351),
    [anon_sym_BSLASHcitet] = ACTIONS(7351),
    [anon_sym_BSLASHcitep] = ACTIONS(7351),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteA] = ACTIONS(7351),
    [anon_sym_BSLASHciteR] = ACTIONS(7351),
    [anon_sym_BSLASHciteS] = ACTIONS(7351),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7351),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7351),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7351),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7351),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteyear] = ACTIONS(7351),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitedate] = ACTIONS(7351),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteurl] = ACTIONS(7351),
    [anon_sym_BSLASHfullcite] = ACTIONS(7351),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7351),
    [anon_sym_BSLASHcitealt] = ACTIONS(7351),
    [anon_sym_BSLASHcitealp] = ACTIONS(7351),
    [anon_sym_BSLASHcitetext] = ACTIONS(7351),
    [anon_sym_BSLASHparencite] = ACTIONS(7351),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHParencite] = ACTIONS(7351),
    [anon_sym_BSLASHfootcite] = ACTIONS(7351),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7351),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7351),
    [anon_sym_BSLASHtextcite] = ACTIONS(7351),
    [anon_sym_BSLASHTextcite] = ACTIONS(7351),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7351),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7351),
    [anon_sym_BSLASHsupercite] = ACTIONS(7351),
    [anon_sym_BSLASHautocite] = ACTIONS(7351),
    [anon_sym_BSLASHAutocite] = ACTIONS(7351),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHVolcite] = ACTIONS(7351),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHavolcite] = ACTIONS(7351),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHNotecite] = ACTIONS(7351),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHlabel] = ACTIONS(7351),
    [anon_sym_BSLASHref] = ACTIONS(7351),
    [anon_sym_BSLASHeqref] = ACTIONS(7351),
    [anon_sym_BSLASHvref] = ACTIONS(7351),
    [anon_sym_BSLASHVref] = ACTIONS(7351),
    [anon_sym_BSLASHautoref] = ACTIONS(7351),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHpageref] = ACTIONS(7351),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHautopageref] = ACTIONS(7351),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcref] = ACTIONS(7351),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCref] = ACTIONS(7351),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcpageref] = ACTIONS(7351),
    [anon_sym_BSLASHCpageref] = ACTIONS(7351),
    [anon_sym_BSLASHnamecref] = ACTIONS(7351),
    [anon_sym_BSLASHnameCref] = ACTIONS(7351),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7351),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7351),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7351),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7351),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7351),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7351),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7351),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7351),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7351),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7351),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7351),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHdef] = ACTIONS(7351),
    [anon_sym_BSLASHgdef] = ACTIONS(7351),
    [anon_sym_BSLASHedef] = ACTIONS(7351),
    [anon_sym_BSLASHxdef] = ACTIONS(7351),
    [anon_sym_BSLASHlet] = ACTIONS(7351),
    [anon_sym_BSLASHglet] = ACTIONS(7351),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7351),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7351),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7351),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7351),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7351),
    [anon_sym_BSLASHgls] = ACTIONS(7351),
    [anon_sym_BSLASHGls] = ACTIONS(7351),
    [anon_sym_BSLASHGLS] = ACTIONS(7351),
    [anon_sym_BSLASHglspl] = ACTIONS(7351),
    [anon_sym_BSLASHGlspl] = ACTIONS(7351),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7351),
    [anon_sym_BSLASHglslink] = ACTIONS(7351),
    [anon_sym_BSLASHglstext] = ACTIONS(7351),
    [anon_sym_BSLASHGlstext] = ACTIONS(7351),
    [anon_sym_BSLASHGLStext] = ACTIONS(7351),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7351),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7351),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7351),
    [anon_sym_BSLASHglsplural] = ACTIONS(7351),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7351),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7351),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHglsname] = ACTIONS(7351),
    [anon_sym_BSLASHGlsname] = ACTIONS(7351),
    [anon_sym_BSLASHGLSname] = ACTIONS(7351),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7351),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7351),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7351),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7351),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7351),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7351),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7351),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7351),
    [anon_sym_BSLASHacrshort] = ACTIONS(7351),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7351),
    [anon_sym_BSLASHACRshort] = ACTIONS(7351),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHacrlong] = ACTIONS(7351),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7351),
    [anon_sym_BSLASHACRlong] = ACTIONS(7351),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHacrfull] = ACTIONS(7351),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7351),
    [anon_sym_BSLASHACRfull] = ACTIONS(7351),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHacs] = ACTIONS(7351),
    [anon_sym_BSLASHAcs] = ACTIONS(7351),
    [anon_sym_BSLASHacsp] = ACTIONS(7351),
    [anon_sym_BSLASHAcsp] = ACTIONS(7351),
    [anon_sym_BSLASHacl] = ACTIONS(7351),
    [anon_sym_BSLASHAcl] = ACTIONS(7351),
    [anon_sym_BSLASHaclp] = ACTIONS(7351),
    [anon_sym_BSLASHAclp] = ACTIONS(7351),
    [anon_sym_BSLASHacf] = ACTIONS(7351),
    [anon_sym_BSLASHAcf] = ACTIONS(7351),
    [anon_sym_BSLASHacfp] = ACTIONS(7351),
    [anon_sym_BSLASHAcfp] = ACTIONS(7351),
    [anon_sym_BSLASHac] = ACTIONS(7351),
    [anon_sym_BSLASHAc] = ACTIONS(7351),
    [anon_sym_BSLASHacp] = ACTIONS(7351),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7351),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7351),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7351),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7351),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7351),
    [anon_sym_BSLASHcolor] = ACTIONS(7351),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7351),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7351),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7351),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7351),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7351),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7351),
    [anon_sym_BSLASHurl] = ACTIONS(7351),
    [anon_sym_BSLASHhref] = ACTIONS(7351),
  },
  [1587] = {
    [sym_command_name] = ACTIONS(7355),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7357),
    [anon_sym_RBRACK] = ACTIONS(7357),
    [anon_sym_COMMA] = ACTIONS(7357),
    [anon_sym_EQ] = ACTIONS(7357),
    [anon_sym_LPAREN] = ACTIONS(7357),
    [anon_sym_RPAREN] = ACTIONS(7357),
    [anon_sym_BSLASHpart] = ACTIONS(7355),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHaddpart] = ACTIONS(7355),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHchapter] = ACTIONS(7355),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHaddchap] = ACTIONS(7355),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHsection] = ACTIONS(7355),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHaddsec] = ACTIONS(7355),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHsubsection] = ACTIONS(7355),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7355),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHparagraph] = ACTIONS(7355),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7355),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHitem] = ACTIONS(7355),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7357),
    [anon_sym_LBRACE] = ACTIONS(7357),
    [sym_word] = ACTIONS(7355),
    [sym_placeholder] = ACTIONS(7357),
    [sym_delimiter] = ACTIONS(7357),
    [anon_sym_PLUS] = ACTIONS(7357),
    [anon_sym_DASH] = ACTIONS(7357),
    [anon_sym_STAR] = ACTIONS(7357),
    [anon_sym_SLASH] = ACTIONS(7357),
    [anon_sym_LT] = ACTIONS(7355),
    [anon_sym_GT] = ACTIONS(7355),
    [anon_sym_BANG] = ACTIONS(7355),
    [anon_sym_PIPE] = ACTIONS(7355),
    [anon_sym_COLON] = ACTIONS(7355),
    [anon_sym_SQUOTE] = ACTIONS(7355),
    [anon_sym__] = ACTIONS(7357),
    [anon_sym_CARET] = ACTIONS(7357),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7357),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7357),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7357),
    [anon_sym_DOLLAR] = ACTIONS(7355),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7357),
    [anon_sym_BSLASHleft] = ACTIONS(7355),
    [anon_sym_BSLASHbigl] = ACTIONS(7355),
    [anon_sym_BSLASHBigl] = ACTIONS(7355),
    [anon_sym_BSLASHbiggl] = ACTIONS(7355),
    [anon_sym_BSLASHBiggl] = ACTIONS(7355),
    [anon_sym_BSLASHtext] = ACTIONS(7355),
    [anon_sym_BSLASHintertext] = ACTIONS(7355),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7355),
    [anon_sym_BSLASHbegin] = ACTIONS(7355),
    [anon_sym_BSLASHtitle] = ACTIONS(7355),
    [anon_sym_BSLASHauthor] = ACTIONS(7355),
    [anon_sym_BSLASHusepackage] = ACTIONS(7355),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7355),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7355),
    [anon_sym_BSLASHinclude] = ACTIONS(7355),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7355),
    [anon_sym_BSLASHinput] = ACTIONS(7355),
    [anon_sym_BSLASHsubfile] = ACTIONS(7355),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7355),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7355),
    [anon_sym_BSLASHbibliography] = ACTIONS(7355),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7355),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7355),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7355),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7355),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7355),
    [anon_sym_BSLASHimport] = ACTIONS(7355),
    [anon_sym_BSLASHsubimport] = ACTIONS(7355),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7355),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7355),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7355),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7355),
    [anon_sym_BSLASHcaption] = ACTIONS(7355),
    [anon_sym_BSLASHcite] = ACTIONS(7355),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCite] = ACTIONS(7355),
    [anon_sym_BSLASHnocite] = ACTIONS(7355),
    [anon_sym_BSLASHcitet] = ACTIONS(7355),
    [anon_sym_BSLASHcitep] = ACTIONS(7355),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteA] = ACTIONS(7355),
    [anon_sym_BSLASHciteR] = ACTIONS(7355),
    [anon_sym_BSLASHciteS] = ACTIONS(7355),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7355),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7355),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7355),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7355),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteyear] = ACTIONS(7355),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitedate] = ACTIONS(7355),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteurl] = ACTIONS(7355),
    [anon_sym_BSLASHfullcite] = ACTIONS(7355),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7355),
    [anon_sym_BSLASHcitealt] = ACTIONS(7355),
    [anon_sym_BSLASHcitealp] = ACTIONS(7355),
    [anon_sym_BSLASHcitetext] = ACTIONS(7355),
    [anon_sym_BSLASHparencite] = ACTIONS(7355),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHParencite] = ACTIONS(7355),
    [anon_sym_BSLASHfootcite] = ACTIONS(7355),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7355),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7355),
    [anon_sym_BSLASHtextcite] = ACTIONS(7355),
    [anon_sym_BSLASHTextcite] = ACTIONS(7355),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7355),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7355),
    [anon_sym_BSLASHsupercite] = ACTIONS(7355),
    [anon_sym_BSLASHautocite] = ACTIONS(7355),
    [anon_sym_BSLASHAutocite] = ACTIONS(7355),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHVolcite] = ACTIONS(7355),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHavolcite] = ACTIONS(7355),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHNotecite] = ACTIONS(7355),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHlabel] = ACTIONS(7355),
    [anon_sym_BSLASHref] = ACTIONS(7355),
    [anon_sym_BSLASHeqref] = ACTIONS(7355),
    [anon_sym_BSLASHvref] = ACTIONS(7355),
    [anon_sym_BSLASHVref] = ACTIONS(7355),
    [anon_sym_BSLASHautoref] = ACTIONS(7355),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHpageref] = ACTIONS(7355),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHautopageref] = ACTIONS(7355),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcref] = ACTIONS(7355),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCref] = ACTIONS(7355),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcpageref] = ACTIONS(7355),
    [anon_sym_BSLASHCpageref] = ACTIONS(7355),
    [anon_sym_BSLASHnamecref] = ACTIONS(7355),
    [anon_sym_BSLASHnameCref] = ACTIONS(7355),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7355),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7355),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7355),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7355),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7355),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7355),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7355),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7355),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7355),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7355),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7355),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHdef] = ACTIONS(7355),
    [anon_sym_BSLASHgdef] = ACTIONS(7355),
    [anon_sym_BSLASHedef] = ACTIONS(7355),
    [anon_sym_BSLASHxdef] = ACTIONS(7355),
    [anon_sym_BSLASHlet] = ACTIONS(7355),
    [anon_sym_BSLASHglet] = ACTIONS(7355),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7355),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7355),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7355),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7355),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7355),
    [anon_sym_BSLASHgls] = ACTIONS(7355),
    [anon_sym_BSLASHGls] = ACTIONS(7355),
    [anon_sym_BSLASHGLS] = ACTIONS(7355),
    [anon_sym_BSLASHglspl] = ACTIONS(7355),
    [anon_sym_BSLASHGlspl] = ACTIONS(7355),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7355),
    [anon_sym_BSLASHglslink] = ACTIONS(7355),
    [anon_sym_BSLASHglstext] = ACTIONS(7355),
    [anon_sym_BSLASHGlstext] = ACTIONS(7355),
    [anon_sym_BSLASHGLStext] = ACTIONS(7355),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7355),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7355),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7355),
    [anon_sym_BSLASHglsplural] = ACTIONS(7355),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7355),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7355),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHglsname] = ACTIONS(7355),
    [anon_sym_BSLASHGlsname] = ACTIONS(7355),
    [anon_sym_BSLASHGLSname] = ACTIONS(7355),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7355),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7355),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7355),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7355),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7355),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7355),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7355),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7355),
    [anon_sym_BSLASHacrshort] = ACTIONS(7355),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7355),
    [anon_sym_BSLASHACRshort] = ACTIONS(7355),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHacrlong] = ACTIONS(7355),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7355),
    [anon_sym_BSLASHACRlong] = ACTIONS(7355),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHacrfull] = ACTIONS(7355),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7355),
    [anon_sym_BSLASHACRfull] = ACTIONS(7355),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHacs] = ACTIONS(7355),
    [anon_sym_BSLASHAcs] = ACTIONS(7355),
    [anon_sym_BSLASHacsp] = ACTIONS(7355),
    [anon_sym_BSLASHAcsp] = ACTIONS(7355),
    [anon_sym_BSLASHacl] = ACTIONS(7355),
    [anon_sym_BSLASHAcl] = ACTIONS(7355),
    [anon_sym_BSLASHaclp] = ACTIONS(7355),
    [anon_sym_BSLASHAclp] = ACTIONS(7355),
    [anon_sym_BSLASHacf] = ACTIONS(7355),
    [anon_sym_BSLASHAcf] = ACTIONS(7355),
    [anon_sym_BSLASHacfp] = ACTIONS(7355),
    [anon_sym_BSLASHAcfp] = ACTIONS(7355),
    [anon_sym_BSLASHac] = ACTIONS(7355),
    [anon_sym_BSLASHAc] = ACTIONS(7355),
    [anon_sym_BSLASHacp] = ACTIONS(7355),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7355),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7355),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7355),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7355),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7355),
    [anon_sym_BSLASHcolor] = ACTIONS(7355),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7355),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7355),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7355),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7355),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7355),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7355),
    [anon_sym_BSLASHurl] = ACTIONS(7355),
    [anon_sym_BSLASHhref] = ACTIONS(7355),
  },
  [1588] = {
    [sym_command_name] = ACTIONS(7359),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7359),
    [anon_sym_LBRACK] = ACTIONS(7361),
    [anon_sym_RBRACK] = ACTIONS(7361),
    [anon_sym_COMMA] = ACTIONS(7361),
    [anon_sym_EQ] = ACTIONS(7361),
    [anon_sym_LPAREN] = ACTIONS(7361),
    [anon_sym_RPAREN] = ACTIONS(7361),
    [anon_sym_BSLASHpart] = ACTIONS(7359),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHaddpart] = ACTIONS(7359),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHchapter] = ACTIONS(7359),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHaddchap] = ACTIONS(7359),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHsection] = ACTIONS(7359),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHaddsec] = ACTIONS(7359),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHsubsection] = ACTIONS(7359),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7359),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHparagraph] = ACTIONS(7359),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7359),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHitem] = ACTIONS(7359),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7361),
    [anon_sym_LBRACE] = ACTIONS(7361),
    [sym_word] = ACTIONS(7359),
    [sym_placeholder] = ACTIONS(7361),
    [sym_delimiter] = ACTIONS(7361),
    [anon_sym_PLUS] = ACTIONS(7361),
    [anon_sym_DASH] = ACTIONS(7361),
    [anon_sym_STAR] = ACTIONS(7361),
    [anon_sym_SLASH] = ACTIONS(7361),
    [anon_sym_LT] = ACTIONS(7359),
    [anon_sym_GT] = ACTIONS(7359),
    [anon_sym_BANG] = ACTIONS(7359),
    [anon_sym_PIPE] = ACTIONS(7359),
    [anon_sym_COLON] = ACTIONS(7359),
    [anon_sym_SQUOTE] = ACTIONS(7359),
    [anon_sym__] = ACTIONS(7361),
    [anon_sym_CARET] = ACTIONS(7361),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7361),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7361),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7361),
    [anon_sym_DOLLAR] = ACTIONS(7359),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7361),
    [anon_sym_BSLASHleft] = ACTIONS(7359),
    [anon_sym_BSLASHbigl] = ACTIONS(7359),
    [anon_sym_BSLASHBigl] = ACTIONS(7359),
    [anon_sym_BSLASHbiggl] = ACTIONS(7359),
    [anon_sym_BSLASHBiggl] = ACTIONS(7359),
    [anon_sym_BSLASHtext] = ACTIONS(7359),
    [anon_sym_BSLASHintertext] = ACTIONS(7359),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7359),
    [anon_sym_BSLASHbegin] = ACTIONS(7359),
    [anon_sym_BSLASHtitle] = ACTIONS(7359),
    [anon_sym_BSLASHauthor] = ACTIONS(7359),
    [anon_sym_BSLASHusepackage] = ACTIONS(7359),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7359),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7359),
    [anon_sym_BSLASHinclude] = ACTIONS(7359),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7359),
    [anon_sym_BSLASHinput] = ACTIONS(7359),
    [anon_sym_BSLASHsubfile] = ACTIONS(7359),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7359),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7359),
    [anon_sym_BSLASHbibliography] = ACTIONS(7359),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7359),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7359),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7359),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7359),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7359),
    [anon_sym_BSLASHimport] = ACTIONS(7359),
    [anon_sym_BSLASHsubimport] = ACTIONS(7359),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7359),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7359),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7359),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7359),
    [anon_sym_BSLASHcaption] = ACTIONS(7359),
    [anon_sym_BSLASHcite] = ACTIONS(7359),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCite] = ACTIONS(7359),
    [anon_sym_BSLASHnocite] = ACTIONS(7359),
    [anon_sym_BSLASHcitet] = ACTIONS(7359),
    [anon_sym_BSLASHcitep] = ACTIONS(7359),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteA] = ACTIONS(7359),
    [anon_sym_BSLASHciteR] = ACTIONS(7359),
    [anon_sym_BSLASHciteS] = ACTIONS(7359),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7359),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7359),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7359),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7359),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteyear] = ACTIONS(7359),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitedate] = ACTIONS(7359),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteurl] = ACTIONS(7359),
    [anon_sym_BSLASHfullcite] = ACTIONS(7359),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7359),
    [anon_sym_BSLASHcitealt] = ACTIONS(7359),
    [anon_sym_BSLASHcitealp] = ACTIONS(7359),
    [anon_sym_BSLASHcitetext] = ACTIONS(7359),
    [anon_sym_BSLASHparencite] = ACTIONS(7359),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHParencite] = ACTIONS(7359),
    [anon_sym_BSLASHfootcite] = ACTIONS(7359),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7359),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7359),
    [anon_sym_BSLASHtextcite] = ACTIONS(7359),
    [anon_sym_BSLASHTextcite] = ACTIONS(7359),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7359),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7359),
    [anon_sym_BSLASHsupercite] = ACTIONS(7359),
    [anon_sym_BSLASHautocite] = ACTIONS(7359),
    [anon_sym_BSLASHAutocite] = ACTIONS(7359),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHVolcite] = ACTIONS(7359),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHavolcite] = ACTIONS(7359),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHNotecite] = ACTIONS(7359),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHlabel] = ACTIONS(7359),
    [anon_sym_BSLASHref] = ACTIONS(7359),
    [anon_sym_BSLASHeqref] = ACTIONS(7359),
    [anon_sym_BSLASHvref] = ACTIONS(7359),
    [anon_sym_BSLASHVref] = ACTIONS(7359),
    [anon_sym_BSLASHautoref] = ACTIONS(7359),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHpageref] = ACTIONS(7359),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHautopageref] = ACTIONS(7359),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcref] = ACTIONS(7359),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCref] = ACTIONS(7359),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcpageref] = ACTIONS(7359),
    [anon_sym_BSLASHCpageref] = ACTIONS(7359),
    [anon_sym_BSLASHnamecref] = ACTIONS(7359),
    [anon_sym_BSLASHnameCref] = ACTIONS(7359),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7359),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7359),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7359),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7359),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7359),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7359),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7359),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7359),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7359),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7359),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7359),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHdef] = ACTIONS(7359),
    [anon_sym_BSLASHgdef] = ACTIONS(7359),
    [anon_sym_BSLASHedef] = ACTIONS(7359),
    [anon_sym_BSLASHxdef] = ACTIONS(7359),
    [anon_sym_BSLASHlet] = ACTIONS(7359),
    [anon_sym_BSLASHglet] = ACTIONS(7359),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7359),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7359),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7359),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7359),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7359),
    [anon_sym_BSLASHgls] = ACTIONS(7359),
    [anon_sym_BSLASHGls] = ACTIONS(7359),
    [anon_sym_BSLASHGLS] = ACTIONS(7359),
    [anon_sym_BSLASHglspl] = ACTIONS(7359),
    [anon_sym_BSLASHGlspl] = ACTIONS(7359),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7359),
    [anon_sym_BSLASHglslink] = ACTIONS(7359),
    [anon_sym_BSLASHglstext] = ACTIONS(7359),
    [anon_sym_BSLASHGlstext] = ACTIONS(7359),
    [anon_sym_BSLASHGLStext] = ACTIONS(7359),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7359),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7359),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7359),
    [anon_sym_BSLASHglsplural] = ACTIONS(7359),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7359),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7359),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHglsname] = ACTIONS(7359),
    [anon_sym_BSLASHGlsname] = ACTIONS(7359),
    [anon_sym_BSLASHGLSname] = ACTIONS(7359),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7359),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7359),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7359),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7359),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7359),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7359),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7359),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7359),
    [anon_sym_BSLASHacrshort] = ACTIONS(7359),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7359),
    [anon_sym_BSLASHACRshort] = ACTIONS(7359),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHacrlong] = ACTIONS(7359),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7359),
    [anon_sym_BSLASHACRlong] = ACTIONS(7359),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHacrfull] = ACTIONS(7359),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7359),
    [anon_sym_BSLASHACRfull] = ACTIONS(7359),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHacs] = ACTIONS(7359),
    [anon_sym_BSLASHAcs] = ACTIONS(7359),
    [anon_sym_BSLASHacsp] = ACTIONS(7359),
    [anon_sym_BSLASHAcsp] = ACTIONS(7359),
    [anon_sym_BSLASHacl] = ACTIONS(7359),
    [anon_sym_BSLASHAcl] = ACTIONS(7359),
    [anon_sym_BSLASHaclp] = ACTIONS(7359),
    [anon_sym_BSLASHAclp] = ACTIONS(7359),
    [anon_sym_BSLASHacf] = ACTIONS(7359),
    [anon_sym_BSLASHAcf] = ACTIONS(7359),
    [anon_sym_BSLASHacfp] = ACTIONS(7359),
    [anon_sym_BSLASHAcfp] = ACTIONS(7359),
    [anon_sym_BSLASHac] = ACTIONS(7359),
    [anon_sym_BSLASHAc] = ACTIONS(7359),
    [anon_sym_BSLASHacp] = ACTIONS(7359),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7359),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7359),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7359),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7359),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7359),
    [anon_sym_BSLASHcolor] = ACTIONS(7359),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7359),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7359),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7359),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7359),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7359),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7359),
    [anon_sym_BSLASHurl] = ACTIONS(7359),
    [anon_sym_BSLASHhref] = ACTIONS(7359),
  },
  [1589] = {
    [sym_command_name] = ACTIONS(7363),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7363),
    [anon_sym_LBRACK] = ACTIONS(7365),
    [anon_sym_RBRACK] = ACTIONS(7365),
    [anon_sym_COMMA] = ACTIONS(7365),
    [anon_sym_EQ] = ACTIONS(7365),
    [anon_sym_LPAREN] = ACTIONS(7365),
    [anon_sym_RPAREN] = ACTIONS(7365),
    [anon_sym_BSLASHpart] = ACTIONS(7363),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHaddpart] = ACTIONS(7363),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHchapter] = ACTIONS(7363),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHaddchap] = ACTIONS(7363),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHsection] = ACTIONS(7363),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHaddsec] = ACTIONS(7363),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHsubsection] = ACTIONS(7363),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7363),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHparagraph] = ACTIONS(7363),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7363),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHitem] = ACTIONS(7363),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7365),
    [anon_sym_LBRACE] = ACTIONS(7365),
    [sym_word] = ACTIONS(7363),
    [sym_placeholder] = ACTIONS(7365),
    [sym_delimiter] = ACTIONS(7365),
    [anon_sym_PLUS] = ACTIONS(7365),
    [anon_sym_DASH] = ACTIONS(7365),
    [anon_sym_STAR] = ACTIONS(7365),
    [anon_sym_SLASH] = ACTIONS(7365),
    [anon_sym_LT] = ACTIONS(7363),
    [anon_sym_GT] = ACTIONS(7363),
    [anon_sym_BANG] = ACTIONS(7363),
    [anon_sym_PIPE] = ACTIONS(7363),
    [anon_sym_COLON] = ACTIONS(7363),
    [anon_sym_SQUOTE] = ACTIONS(7363),
    [anon_sym__] = ACTIONS(7365),
    [anon_sym_CARET] = ACTIONS(7365),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7365),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7365),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7365),
    [anon_sym_DOLLAR] = ACTIONS(7363),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7365),
    [anon_sym_BSLASHleft] = ACTIONS(7363),
    [anon_sym_BSLASHbigl] = ACTIONS(7363),
    [anon_sym_BSLASHBigl] = ACTIONS(7363),
    [anon_sym_BSLASHbiggl] = ACTIONS(7363),
    [anon_sym_BSLASHBiggl] = ACTIONS(7363),
    [anon_sym_BSLASHtext] = ACTIONS(7363),
    [anon_sym_BSLASHintertext] = ACTIONS(7363),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7363),
    [anon_sym_BSLASHbegin] = ACTIONS(7363),
    [anon_sym_BSLASHtitle] = ACTIONS(7363),
    [anon_sym_BSLASHauthor] = ACTIONS(7363),
    [anon_sym_BSLASHusepackage] = ACTIONS(7363),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7363),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7363),
    [anon_sym_BSLASHinclude] = ACTIONS(7363),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7363),
    [anon_sym_BSLASHinput] = ACTIONS(7363),
    [anon_sym_BSLASHsubfile] = ACTIONS(7363),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7363),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7363),
    [anon_sym_BSLASHbibliography] = ACTIONS(7363),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7363),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7363),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7363),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7363),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7363),
    [anon_sym_BSLASHimport] = ACTIONS(7363),
    [anon_sym_BSLASHsubimport] = ACTIONS(7363),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7363),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7363),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7363),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7363),
    [anon_sym_BSLASHcaption] = ACTIONS(7363),
    [anon_sym_BSLASHcite] = ACTIONS(7363),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCite] = ACTIONS(7363),
    [anon_sym_BSLASHnocite] = ACTIONS(7363),
    [anon_sym_BSLASHcitet] = ACTIONS(7363),
    [anon_sym_BSLASHcitep] = ACTIONS(7363),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteA] = ACTIONS(7363),
    [anon_sym_BSLASHciteR] = ACTIONS(7363),
    [anon_sym_BSLASHciteS] = ACTIONS(7363),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7363),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7363),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7363),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7363),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteyear] = ACTIONS(7363),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitedate] = ACTIONS(7363),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteurl] = ACTIONS(7363),
    [anon_sym_BSLASHfullcite] = ACTIONS(7363),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7363),
    [anon_sym_BSLASHcitealt] = ACTIONS(7363),
    [anon_sym_BSLASHcitealp] = ACTIONS(7363),
    [anon_sym_BSLASHcitetext] = ACTIONS(7363),
    [anon_sym_BSLASHparencite] = ACTIONS(7363),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHParencite] = ACTIONS(7363),
    [anon_sym_BSLASHfootcite] = ACTIONS(7363),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7363),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7363),
    [anon_sym_BSLASHtextcite] = ACTIONS(7363),
    [anon_sym_BSLASHTextcite] = ACTIONS(7363),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7363),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7363),
    [anon_sym_BSLASHsupercite] = ACTIONS(7363),
    [anon_sym_BSLASHautocite] = ACTIONS(7363),
    [anon_sym_BSLASHAutocite] = ACTIONS(7363),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHVolcite] = ACTIONS(7363),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHavolcite] = ACTIONS(7363),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHNotecite] = ACTIONS(7363),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHlabel] = ACTIONS(7363),
    [anon_sym_BSLASHref] = ACTIONS(7363),
    [anon_sym_BSLASHeqref] = ACTIONS(7363),
    [anon_sym_BSLASHvref] = ACTIONS(7363),
    [anon_sym_BSLASHVref] = ACTIONS(7363),
    [anon_sym_BSLASHautoref] = ACTIONS(7363),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHpageref] = ACTIONS(7363),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHautopageref] = ACTIONS(7363),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcref] = ACTIONS(7363),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCref] = ACTIONS(7363),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcpageref] = ACTIONS(7363),
    [anon_sym_BSLASHCpageref] = ACTIONS(7363),
    [anon_sym_BSLASHnamecref] = ACTIONS(7363),
    [anon_sym_BSLASHnameCref] = ACTIONS(7363),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7363),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7363),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7363),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7363),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7363),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7363),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7363),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7363),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7363),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7363),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7363),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHdef] = ACTIONS(7363),
    [anon_sym_BSLASHgdef] = ACTIONS(7363),
    [anon_sym_BSLASHedef] = ACTIONS(7363),
    [anon_sym_BSLASHxdef] = ACTIONS(7363),
    [anon_sym_BSLASHlet] = ACTIONS(7363),
    [anon_sym_BSLASHglet] = ACTIONS(7363),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7363),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7363),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7363),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7363),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7363),
    [anon_sym_BSLASHgls] = ACTIONS(7363),
    [anon_sym_BSLASHGls] = ACTIONS(7363),
    [anon_sym_BSLASHGLS] = ACTIONS(7363),
    [anon_sym_BSLASHglspl] = ACTIONS(7363),
    [anon_sym_BSLASHGlspl] = ACTIONS(7363),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7363),
    [anon_sym_BSLASHglslink] = ACTIONS(7363),
    [anon_sym_BSLASHglstext] = ACTIONS(7363),
    [anon_sym_BSLASHGlstext] = ACTIONS(7363),
    [anon_sym_BSLASHGLStext] = ACTIONS(7363),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7363),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7363),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7363),
    [anon_sym_BSLASHglsplural] = ACTIONS(7363),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7363),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7363),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHglsname] = ACTIONS(7363),
    [anon_sym_BSLASHGlsname] = ACTIONS(7363),
    [anon_sym_BSLASHGLSname] = ACTIONS(7363),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7363),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7363),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7363),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7363),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7363),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7363),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7363),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7363),
    [anon_sym_BSLASHacrshort] = ACTIONS(7363),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7363),
    [anon_sym_BSLASHACRshort] = ACTIONS(7363),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHacrlong] = ACTIONS(7363),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7363),
    [anon_sym_BSLASHACRlong] = ACTIONS(7363),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHacrfull] = ACTIONS(7363),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7363),
    [anon_sym_BSLASHACRfull] = ACTIONS(7363),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHacs] = ACTIONS(7363),
    [anon_sym_BSLASHAcs] = ACTIONS(7363),
    [anon_sym_BSLASHacsp] = ACTIONS(7363),
    [anon_sym_BSLASHAcsp] = ACTIONS(7363),
    [anon_sym_BSLASHacl] = ACTIONS(7363),
    [anon_sym_BSLASHAcl] = ACTIONS(7363),
    [anon_sym_BSLASHaclp] = ACTIONS(7363),
    [anon_sym_BSLASHAclp] = ACTIONS(7363),
    [anon_sym_BSLASHacf] = ACTIONS(7363),
    [anon_sym_BSLASHAcf] = ACTIONS(7363),
    [anon_sym_BSLASHacfp] = ACTIONS(7363),
    [anon_sym_BSLASHAcfp] = ACTIONS(7363),
    [anon_sym_BSLASHac] = ACTIONS(7363),
    [anon_sym_BSLASHAc] = ACTIONS(7363),
    [anon_sym_BSLASHacp] = ACTIONS(7363),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7363),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7363),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7363),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7363),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7363),
    [anon_sym_BSLASHcolor] = ACTIONS(7363),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7363),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7363),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7363),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7363),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7363),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7363),
    [anon_sym_BSLASHurl] = ACTIONS(7363),
    [anon_sym_BSLASHhref] = ACTIONS(7363),
  },
  [1590] = {
    [sym_command_name] = ACTIONS(7367),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7367),
    [anon_sym_LBRACK] = ACTIONS(7369),
    [anon_sym_RBRACK] = ACTIONS(7369),
    [anon_sym_COMMA] = ACTIONS(7369),
    [anon_sym_EQ] = ACTIONS(7369),
    [anon_sym_LPAREN] = ACTIONS(7369),
    [anon_sym_RPAREN] = ACTIONS(7369),
    [anon_sym_BSLASHpart] = ACTIONS(7367),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHaddpart] = ACTIONS(7367),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHchapter] = ACTIONS(7367),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHaddchap] = ACTIONS(7367),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHsection] = ACTIONS(7367),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHaddsec] = ACTIONS(7367),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHsubsection] = ACTIONS(7367),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7367),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHparagraph] = ACTIONS(7367),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7367),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHitem] = ACTIONS(7367),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7369),
    [anon_sym_LBRACE] = ACTIONS(7369),
    [sym_word] = ACTIONS(7367),
    [sym_placeholder] = ACTIONS(7369),
    [sym_delimiter] = ACTIONS(7369),
    [anon_sym_PLUS] = ACTIONS(7369),
    [anon_sym_DASH] = ACTIONS(7369),
    [anon_sym_STAR] = ACTIONS(7369),
    [anon_sym_SLASH] = ACTIONS(7369),
    [anon_sym_LT] = ACTIONS(7367),
    [anon_sym_GT] = ACTIONS(7367),
    [anon_sym_BANG] = ACTIONS(7367),
    [anon_sym_PIPE] = ACTIONS(7367),
    [anon_sym_COLON] = ACTIONS(7367),
    [anon_sym_SQUOTE] = ACTIONS(7367),
    [anon_sym__] = ACTIONS(7369),
    [anon_sym_CARET] = ACTIONS(7369),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7369),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7369),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7369),
    [anon_sym_DOLLAR] = ACTIONS(7367),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7369),
    [anon_sym_BSLASHleft] = ACTIONS(7367),
    [anon_sym_BSLASHbigl] = ACTIONS(7367),
    [anon_sym_BSLASHBigl] = ACTIONS(7367),
    [anon_sym_BSLASHbiggl] = ACTIONS(7367),
    [anon_sym_BSLASHBiggl] = ACTIONS(7367),
    [anon_sym_BSLASHtext] = ACTIONS(7367),
    [anon_sym_BSLASHintertext] = ACTIONS(7367),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7367),
    [anon_sym_BSLASHbegin] = ACTIONS(7367),
    [anon_sym_BSLASHtitle] = ACTIONS(7367),
    [anon_sym_BSLASHauthor] = ACTIONS(7367),
    [anon_sym_BSLASHusepackage] = ACTIONS(7367),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7367),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7367),
    [anon_sym_BSLASHinclude] = ACTIONS(7367),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7367),
    [anon_sym_BSLASHinput] = ACTIONS(7367),
    [anon_sym_BSLASHsubfile] = ACTIONS(7367),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7367),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7367),
    [anon_sym_BSLASHbibliography] = ACTIONS(7367),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7367),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7367),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7367),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7367),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7367),
    [anon_sym_BSLASHimport] = ACTIONS(7367),
    [anon_sym_BSLASHsubimport] = ACTIONS(7367),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7367),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7367),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7367),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7367),
    [anon_sym_BSLASHcaption] = ACTIONS(7367),
    [anon_sym_BSLASHcite] = ACTIONS(7367),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCite] = ACTIONS(7367),
    [anon_sym_BSLASHnocite] = ACTIONS(7367),
    [anon_sym_BSLASHcitet] = ACTIONS(7367),
    [anon_sym_BSLASHcitep] = ACTIONS(7367),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteA] = ACTIONS(7367),
    [anon_sym_BSLASHciteR] = ACTIONS(7367),
    [anon_sym_BSLASHciteS] = ACTIONS(7367),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7367),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7367),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7367),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7367),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteyear] = ACTIONS(7367),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitedate] = ACTIONS(7367),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteurl] = ACTIONS(7367),
    [anon_sym_BSLASHfullcite] = ACTIONS(7367),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7367),
    [anon_sym_BSLASHcitealt] = ACTIONS(7367),
    [anon_sym_BSLASHcitealp] = ACTIONS(7367),
    [anon_sym_BSLASHcitetext] = ACTIONS(7367),
    [anon_sym_BSLASHparencite] = ACTIONS(7367),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHParencite] = ACTIONS(7367),
    [anon_sym_BSLASHfootcite] = ACTIONS(7367),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7367),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7367),
    [anon_sym_BSLASHtextcite] = ACTIONS(7367),
    [anon_sym_BSLASHTextcite] = ACTIONS(7367),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7367),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7367),
    [anon_sym_BSLASHsupercite] = ACTIONS(7367),
    [anon_sym_BSLASHautocite] = ACTIONS(7367),
    [anon_sym_BSLASHAutocite] = ACTIONS(7367),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHVolcite] = ACTIONS(7367),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHavolcite] = ACTIONS(7367),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHNotecite] = ACTIONS(7367),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHlabel] = ACTIONS(7367),
    [anon_sym_BSLASHref] = ACTIONS(7367),
    [anon_sym_BSLASHeqref] = ACTIONS(7367),
    [anon_sym_BSLASHvref] = ACTIONS(7367),
    [anon_sym_BSLASHVref] = ACTIONS(7367),
    [anon_sym_BSLASHautoref] = ACTIONS(7367),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHpageref] = ACTIONS(7367),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHautopageref] = ACTIONS(7367),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcref] = ACTIONS(7367),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCref] = ACTIONS(7367),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcpageref] = ACTIONS(7367),
    [anon_sym_BSLASHCpageref] = ACTIONS(7367),
    [anon_sym_BSLASHnamecref] = ACTIONS(7367),
    [anon_sym_BSLASHnameCref] = ACTIONS(7367),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7367),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7367),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7367),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7367),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7367),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7367),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7367),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7367),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7367),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7367),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7367),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHdef] = ACTIONS(7367),
    [anon_sym_BSLASHgdef] = ACTIONS(7367),
    [anon_sym_BSLASHedef] = ACTIONS(7367),
    [anon_sym_BSLASHxdef] = ACTIONS(7367),
    [anon_sym_BSLASHlet] = ACTIONS(7367),
    [anon_sym_BSLASHglet] = ACTIONS(7367),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7367),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7367),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7367),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7367),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7367),
    [anon_sym_BSLASHgls] = ACTIONS(7367),
    [anon_sym_BSLASHGls] = ACTIONS(7367),
    [anon_sym_BSLASHGLS] = ACTIONS(7367),
    [anon_sym_BSLASHglspl] = ACTIONS(7367),
    [anon_sym_BSLASHGlspl] = ACTIONS(7367),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7367),
    [anon_sym_BSLASHglslink] = ACTIONS(7367),
    [anon_sym_BSLASHglstext] = ACTIONS(7367),
    [anon_sym_BSLASHGlstext] = ACTIONS(7367),
    [anon_sym_BSLASHGLStext] = ACTIONS(7367),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7367),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7367),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7367),
    [anon_sym_BSLASHglsplural] = ACTIONS(7367),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7367),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7367),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHglsname] = ACTIONS(7367),
    [anon_sym_BSLASHGlsname] = ACTIONS(7367),
    [anon_sym_BSLASHGLSname] = ACTIONS(7367),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7367),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7367),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7367),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7367),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7367),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7367),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7367),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7367),
    [anon_sym_BSLASHacrshort] = ACTIONS(7367),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7367),
    [anon_sym_BSLASHACRshort] = ACTIONS(7367),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHacrlong] = ACTIONS(7367),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7367),
    [anon_sym_BSLASHACRlong] = ACTIONS(7367),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHacrfull] = ACTIONS(7367),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7367),
    [anon_sym_BSLASHACRfull] = ACTIONS(7367),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHacs] = ACTIONS(7367),
    [anon_sym_BSLASHAcs] = ACTIONS(7367),
    [anon_sym_BSLASHacsp] = ACTIONS(7367),
    [anon_sym_BSLASHAcsp] = ACTIONS(7367),
    [anon_sym_BSLASHacl] = ACTIONS(7367),
    [anon_sym_BSLASHAcl] = ACTIONS(7367),
    [anon_sym_BSLASHaclp] = ACTIONS(7367),
    [anon_sym_BSLASHAclp] = ACTIONS(7367),
    [anon_sym_BSLASHacf] = ACTIONS(7367),
    [anon_sym_BSLASHAcf] = ACTIONS(7367),
    [anon_sym_BSLASHacfp] = ACTIONS(7367),
    [anon_sym_BSLASHAcfp] = ACTIONS(7367),
    [anon_sym_BSLASHac] = ACTIONS(7367),
    [anon_sym_BSLASHAc] = ACTIONS(7367),
    [anon_sym_BSLASHacp] = ACTIONS(7367),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7367),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7367),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7367),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7367),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7367),
    [anon_sym_BSLASHcolor] = ACTIONS(7367),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7367),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7367),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7367),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7367),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7367),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7367),
    [anon_sym_BSLASHurl] = ACTIONS(7367),
    [anon_sym_BSLASHhref] = ACTIONS(7367),
  },
  [1591] = {
    [sym_command_name] = ACTIONS(7371),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7371),
    [anon_sym_LBRACK] = ACTIONS(7373),
    [anon_sym_RBRACK] = ACTIONS(7373),
    [anon_sym_COMMA] = ACTIONS(7373),
    [anon_sym_EQ] = ACTIONS(7373),
    [anon_sym_LPAREN] = ACTIONS(7373),
    [anon_sym_RPAREN] = ACTIONS(7373),
    [anon_sym_BSLASHpart] = ACTIONS(7371),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHaddpart] = ACTIONS(7371),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHchapter] = ACTIONS(7371),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHaddchap] = ACTIONS(7371),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHsection] = ACTIONS(7371),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHaddsec] = ACTIONS(7371),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHsubsection] = ACTIONS(7371),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7371),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHparagraph] = ACTIONS(7371),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7371),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHitem] = ACTIONS(7371),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7373),
    [anon_sym_LBRACE] = ACTIONS(7373),
    [sym_word] = ACTIONS(7371),
    [sym_placeholder] = ACTIONS(7373),
    [sym_delimiter] = ACTIONS(7373),
    [anon_sym_PLUS] = ACTIONS(7373),
    [anon_sym_DASH] = ACTIONS(7373),
    [anon_sym_STAR] = ACTIONS(7373),
    [anon_sym_SLASH] = ACTIONS(7373),
    [anon_sym_LT] = ACTIONS(7371),
    [anon_sym_GT] = ACTIONS(7371),
    [anon_sym_BANG] = ACTIONS(7371),
    [anon_sym_PIPE] = ACTIONS(7371),
    [anon_sym_COLON] = ACTIONS(7371),
    [anon_sym_SQUOTE] = ACTIONS(7371),
    [anon_sym__] = ACTIONS(7373),
    [anon_sym_CARET] = ACTIONS(7373),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7373),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7373),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7373),
    [anon_sym_DOLLAR] = ACTIONS(7371),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7373),
    [anon_sym_BSLASHleft] = ACTIONS(7371),
    [anon_sym_BSLASHbigl] = ACTIONS(7371),
    [anon_sym_BSLASHBigl] = ACTIONS(7371),
    [anon_sym_BSLASHbiggl] = ACTIONS(7371),
    [anon_sym_BSLASHBiggl] = ACTIONS(7371),
    [anon_sym_BSLASHtext] = ACTIONS(7371),
    [anon_sym_BSLASHintertext] = ACTIONS(7371),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7371),
    [anon_sym_BSLASHbegin] = ACTIONS(7371),
    [anon_sym_BSLASHtitle] = ACTIONS(7371),
    [anon_sym_BSLASHauthor] = ACTIONS(7371),
    [anon_sym_BSLASHusepackage] = ACTIONS(7371),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7371),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7371),
    [anon_sym_BSLASHinclude] = ACTIONS(7371),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7371),
    [anon_sym_BSLASHinput] = ACTIONS(7371),
    [anon_sym_BSLASHsubfile] = ACTIONS(7371),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7371),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7371),
    [anon_sym_BSLASHbibliography] = ACTIONS(7371),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7371),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7371),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7371),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7371),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7371),
    [anon_sym_BSLASHimport] = ACTIONS(7371),
    [anon_sym_BSLASHsubimport] = ACTIONS(7371),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7371),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7371),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7371),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7371),
    [anon_sym_BSLASHcaption] = ACTIONS(7371),
    [anon_sym_BSLASHcite] = ACTIONS(7371),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCite] = ACTIONS(7371),
    [anon_sym_BSLASHnocite] = ACTIONS(7371),
    [anon_sym_BSLASHcitet] = ACTIONS(7371),
    [anon_sym_BSLASHcitep] = ACTIONS(7371),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteA] = ACTIONS(7371),
    [anon_sym_BSLASHciteR] = ACTIONS(7371),
    [anon_sym_BSLASHciteS] = ACTIONS(7371),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7371),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7371),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7371),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7371),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteyear] = ACTIONS(7371),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitedate] = ACTIONS(7371),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteurl] = ACTIONS(7371),
    [anon_sym_BSLASHfullcite] = ACTIONS(7371),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7371),
    [anon_sym_BSLASHcitealt] = ACTIONS(7371),
    [anon_sym_BSLASHcitealp] = ACTIONS(7371),
    [anon_sym_BSLASHcitetext] = ACTIONS(7371),
    [anon_sym_BSLASHparencite] = ACTIONS(7371),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHParencite] = ACTIONS(7371),
    [anon_sym_BSLASHfootcite] = ACTIONS(7371),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7371),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7371),
    [anon_sym_BSLASHtextcite] = ACTIONS(7371),
    [anon_sym_BSLASHTextcite] = ACTIONS(7371),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7371),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7371),
    [anon_sym_BSLASHsupercite] = ACTIONS(7371),
    [anon_sym_BSLASHautocite] = ACTIONS(7371),
    [anon_sym_BSLASHAutocite] = ACTIONS(7371),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHVolcite] = ACTIONS(7371),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHavolcite] = ACTIONS(7371),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHNotecite] = ACTIONS(7371),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHlabel] = ACTIONS(7371),
    [anon_sym_BSLASHref] = ACTIONS(7371),
    [anon_sym_BSLASHeqref] = ACTIONS(7371),
    [anon_sym_BSLASHvref] = ACTIONS(7371),
    [anon_sym_BSLASHVref] = ACTIONS(7371),
    [anon_sym_BSLASHautoref] = ACTIONS(7371),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHpageref] = ACTIONS(7371),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHautopageref] = ACTIONS(7371),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcref] = ACTIONS(7371),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCref] = ACTIONS(7371),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcpageref] = ACTIONS(7371),
    [anon_sym_BSLASHCpageref] = ACTIONS(7371),
    [anon_sym_BSLASHnamecref] = ACTIONS(7371),
    [anon_sym_BSLASHnameCref] = ACTIONS(7371),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7371),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7371),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7371),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7371),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7371),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7371),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7371),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7371),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7371),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7371),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7371),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHdef] = ACTIONS(7371),
    [anon_sym_BSLASHgdef] = ACTIONS(7371),
    [anon_sym_BSLASHedef] = ACTIONS(7371),
    [anon_sym_BSLASHxdef] = ACTIONS(7371),
    [anon_sym_BSLASHlet] = ACTIONS(7371),
    [anon_sym_BSLASHglet] = ACTIONS(7371),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7371),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7371),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7371),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7371),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7371),
    [anon_sym_BSLASHgls] = ACTIONS(7371),
    [anon_sym_BSLASHGls] = ACTIONS(7371),
    [anon_sym_BSLASHGLS] = ACTIONS(7371),
    [anon_sym_BSLASHglspl] = ACTIONS(7371),
    [anon_sym_BSLASHGlspl] = ACTIONS(7371),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7371),
    [anon_sym_BSLASHglslink] = ACTIONS(7371),
    [anon_sym_BSLASHglstext] = ACTIONS(7371),
    [anon_sym_BSLASHGlstext] = ACTIONS(7371),
    [anon_sym_BSLASHGLStext] = ACTIONS(7371),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7371),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7371),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7371),
    [anon_sym_BSLASHglsplural] = ACTIONS(7371),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7371),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7371),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHglsname] = ACTIONS(7371),
    [anon_sym_BSLASHGlsname] = ACTIONS(7371),
    [anon_sym_BSLASHGLSname] = ACTIONS(7371),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7371),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7371),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7371),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7371),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7371),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7371),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7371),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7371),
    [anon_sym_BSLASHacrshort] = ACTIONS(7371),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7371),
    [anon_sym_BSLASHACRshort] = ACTIONS(7371),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHacrlong] = ACTIONS(7371),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7371),
    [anon_sym_BSLASHACRlong] = ACTIONS(7371),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHacrfull] = ACTIONS(7371),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7371),
    [anon_sym_BSLASHACRfull] = ACTIONS(7371),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHacs] = ACTIONS(7371),
    [anon_sym_BSLASHAcs] = ACTIONS(7371),
    [anon_sym_BSLASHacsp] = ACTIONS(7371),
    [anon_sym_BSLASHAcsp] = ACTIONS(7371),
    [anon_sym_BSLASHacl] = ACTIONS(7371),
    [anon_sym_BSLASHAcl] = ACTIONS(7371),
    [anon_sym_BSLASHaclp] = ACTIONS(7371),
    [anon_sym_BSLASHAclp] = ACTIONS(7371),
    [anon_sym_BSLASHacf] = ACTIONS(7371),
    [anon_sym_BSLASHAcf] = ACTIONS(7371),
    [anon_sym_BSLASHacfp] = ACTIONS(7371),
    [anon_sym_BSLASHAcfp] = ACTIONS(7371),
    [anon_sym_BSLASHac] = ACTIONS(7371),
    [anon_sym_BSLASHAc] = ACTIONS(7371),
    [anon_sym_BSLASHacp] = ACTIONS(7371),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7371),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7371),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7371),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7371),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7371),
    [anon_sym_BSLASHcolor] = ACTIONS(7371),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7371),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7371),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7371),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7371),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7371),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7371),
    [anon_sym_BSLASHurl] = ACTIONS(7371),
    [anon_sym_BSLASHhref] = ACTIONS(7371),
  },
  [1592] = {
    [sym_command_name] = ACTIONS(7375),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7375),
    [anon_sym_LBRACK] = ACTIONS(7377),
    [anon_sym_RBRACK] = ACTIONS(7377),
    [anon_sym_COMMA] = ACTIONS(7377),
    [anon_sym_EQ] = ACTIONS(7377),
    [anon_sym_LPAREN] = ACTIONS(7377),
    [anon_sym_RPAREN] = ACTIONS(7377),
    [anon_sym_BSLASHpart] = ACTIONS(7375),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHaddpart] = ACTIONS(7375),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHchapter] = ACTIONS(7375),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHaddchap] = ACTIONS(7375),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHsection] = ACTIONS(7375),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHaddsec] = ACTIONS(7375),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHsubsection] = ACTIONS(7375),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7375),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHparagraph] = ACTIONS(7375),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7375),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHitem] = ACTIONS(7375),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7377),
    [anon_sym_LBRACE] = ACTIONS(7377),
    [sym_word] = ACTIONS(7375),
    [sym_placeholder] = ACTIONS(7377),
    [sym_delimiter] = ACTIONS(7377),
    [anon_sym_PLUS] = ACTIONS(7377),
    [anon_sym_DASH] = ACTIONS(7377),
    [anon_sym_STAR] = ACTIONS(7377),
    [anon_sym_SLASH] = ACTIONS(7377),
    [anon_sym_LT] = ACTIONS(7375),
    [anon_sym_GT] = ACTIONS(7375),
    [anon_sym_BANG] = ACTIONS(7375),
    [anon_sym_PIPE] = ACTIONS(7375),
    [anon_sym_COLON] = ACTIONS(7375),
    [anon_sym_SQUOTE] = ACTIONS(7375),
    [anon_sym__] = ACTIONS(7377),
    [anon_sym_CARET] = ACTIONS(7377),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7377),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7377),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7377),
    [anon_sym_DOLLAR] = ACTIONS(7375),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7377),
    [anon_sym_BSLASHleft] = ACTIONS(7375),
    [anon_sym_BSLASHbigl] = ACTIONS(7375),
    [anon_sym_BSLASHBigl] = ACTIONS(7375),
    [anon_sym_BSLASHbiggl] = ACTIONS(7375),
    [anon_sym_BSLASHBiggl] = ACTIONS(7375),
    [anon_sym_BSLASHtext] = ACTIONS(7375),
    [anon_sym_BSLASHintertext] = ACTIONS(7375),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7375),
    [anon_sym_BSLASHbegin] = ACTIONS(7375),
    [anon_sym_BSLASHtitle] = ACTIONS(7375),
    [anon_sym_BSLASHauthor] = ACTIONS(7375),
    [anon_sym_BSLASHusepackage] = ACTIONS(7375),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7375),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7375),
    [anon_sym_BSLASHinclude] = ACTIONS(7375),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7375),
    [anon_sym_BSLASHinput] = ACTIONS(7375),
    [anon_sym_BSLASHsubfile] = ACTIONS(7375),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7375),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7375),
    [anon_sym_BSLASHbibliography] = ACTIONS(7375),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7375),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7375),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7375),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7375),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7375),
    [anon_sym_BSLASHimport] = ACTIONS(7375),
    [anon_sym_BSLASHsubimport] = ACTIONS(7375),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7375),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7375),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7375),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7375),
    [anon_sym_BSLASHcaption] = ACTIONS(7375),
    [anon_sym_BSLASHcite] = ACTIONS(7375),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCite] = ACTIONS(7375),
    [anon_sym_BSLASHnocite] = ACTIONS(7375),
    [anon_sym_BSLASHcitet] = ACTIONS(7375),
    [anon_sym_BSLASHcitep] = ACTIONS(7375),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteA] = ACTIONS(7375),
    [anon_sym_BSLASHciteR] = ACTIONS(7375),
    [anon_sym_BSLASHciteS] = ACTIONS(7375),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7375),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7375),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7375),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7375),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteyear] = ACTIONS(7375),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitedate] = ACTIONS(7375),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteurl] = ACTIONS(7375),
    [anon_sym_BSLASHfullcite] = ACTIONS(7375),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7375),
    [anon_sym_BSLASHcitealt] = ACTIONS(7375),
    [anon_sym_BSLASHcitealp] = ACTIONS(7375),
    [anon_sym_BSLASHcitetext] = ACTIONS(7375),
    [anon_sym_BSLASHparencite] = ACTIONS(7375),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHParencite] = ACTIONS(7375),
    [anon_sym_BSLASHfootcite] = ACTIONS(7375),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7375),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7375),
    [anon_sym_BSLASHtextcite] = ACTIONS(7375),
    [anon_sym_BSLASHTextcite] = ACTIONS(7375),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7375),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7375),
    [anon_sym_BSLASHsupercite] = ACTIONS(7375),
    [anon_sym_BSLASHautocite] = ACTIONS(7375),
    [anon_sym_BSLASHAutocite] = ACTIONS(7375),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHVolcite] = ACTIONS(7375),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHavolcite] = ACTIONS(7375),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHNotecite] = ACTIONS(7375),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHlabel] = ACTIONS(7375),
    [anon_sym_BSLASHref] = ACTIONS(7375),
    [anon_sym_BSLASHeqref] = ACTIONS(7375),
    [anon_sym_BSLASHvref] = ACTIONS(7375),
    [anon_sym_BSLASHVref] = ACTIONS(7375),
    [anon_sym_BSLASHautoref] = ACTIONS(7375),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHpageref] = ACTIONS(7375),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHautopageref] = ACTIONS(7375),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcref] = ACTIONS(7375),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCref] = ACTIONS(7375),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcpageref] = ACTIONS(7375),
    [anon_sym_BSLASHCpageref] = ACTIONS(7375),
    [anon_sym_BSLASHnamecref] = ACTIONS(7375),
    [anon_sym_BSLASHnameCref] = ACTIONS(7375),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7375),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7375),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7375),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7375),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7375),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7375),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7375),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7375),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7375),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7375),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7375),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHdef] = ACTIONS(7375),
    [anon_sym_BSLASHgdef] = ACTIONS(7375),
    [anon_sym_BSLASHedef] = ACTIONS(7375),
    [anon_sym_BSLASHxdef] = ACTIONS(7375),
    [anon_sym_BSLASHlet] = ACTIONS(7375),
    [anon_sym_BSLASHglet] = ACTIONS(7375),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7375),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7375),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7375),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7375),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7375),
    [anon_sym_BSLASHgls] = ACTIONS(7375),
    [anon_sym_BSLASHGls] = ACTIONS(7375),
    [anon_sym_BSLASHGLS] = ACTIONS(7375),
    [anon_sym_BSLASHglspl] = ACTIONS(7375),
    [anon_sym_BSLASHGlspl] = ACTIONS(7375),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7375),
    [anon_sym_BSLASHglslink] = ACTIONS(7375),
    [anon_sym_BSLASHglstext] = ACTIONS(7375),
    [anon_sym_BSLASHGlstext] = ACTIONS(7375),
    [anon_sym_BSLASHGLStext] = ACTIONS(7375),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7375),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7375),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7375),
    [anon_sym_BSLASHglsplural] = ACTIONS(7375),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7375),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7375),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHglsname] = ACTIONS(7375),
    [anon_sym_BSLASHGlsname] = ACTIONS(7375),
    [anon_sym_BSLASHGLSname] = ACTIONS(7375),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7375),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7375),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7375),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7375),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7375),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7375),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7375),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7375),
    [anon_sym_BSLASHacrshort] = ACTIONS(7375),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7375),
    [anon_sym_BSLASHACRshort] = ACTIONS(7375),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHacrlong] = ACTIONS(7375),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7375),
    [anon_sym_BSLASHACRlong] = ACTIONS(7375),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHacrfull] = ACTIONS(7375),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7375),
    [anon_sym_BSLASHACRfull] = ACTIONS(7375),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHacs] = ACTIONS(7375),
    [anon_sym_BSLASHAcs] = ACTIONS(7375),
    [anon_sym_BSLASHacsp] = ACTIONS(7375),
    [anon_sym_BSLASHAcsp] = ACTIONS(7375),
    [anon_sym_BSLASHacl] = ACTIONS(7375),
    [anon_sym_BSLASHAcl] = ACTIONS(7375),
    [anon_sym_BSLASHaclp] = ACTIONS(7375),
    [anon_sym_BSLASHAclp] = ACTIONS(7375),
    [anon_sym_BSLASHacf] = ACTIONS(7375),
    [anon_sym_BSLASHAcf] = ACTIONS(7375),
    [anon_sym_BSLASHacfp] = ACTIONS(7375),
    [anon_sym_BSLASHAcfp] = ACTIONS(7375),
    [anon_sym_BSLASHac] = ACTIONS(7375),
    [anon_sym_BSLASHAc] = ACTIONS(7375),
    [anon_sym_BSLASHacp] = ACTIONS(7375),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7375),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7375),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7375),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7375),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7375),
    [anon_sym_BSLASHcolor] = ACTIONS(7375),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7375),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7375),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7375),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7375),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7375),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7375),
    [anon_sym_BSLASHurl] = ACTIONS(7375),
    [anon_sym_BSLASHhref] = ACTIONS(7375),
  },
  [1593] = {
    [sym_command_name] = ACTIONS(7379),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7379),
    [anon_sym_LBRACK] = ACTIONS(7381),
    [anon_sym_RBRACK] = ACTIONS(7381),
    [anon_sym_COMMA] = ACTIONS(7381),
    [anon_sym_EQ] = ACTIONS(7381),
    [anon_sym_LPAREN] = ACTIONS(7381),
    [anon_sym_RPAREN] = ACTIONS(7381),
    [anon_sym_BSLASHpart] = ACTIONS(7379),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHaddpart] = ACTIONS(7379),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHchapter] = ACTIONS(7379),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHaddchap] = ACTIONS(7379),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHsection] = ACTIONS(7379),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHaddsec] = ACTIONS(7379),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHsubsection] = ACTIONS(7379),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7379),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHparagraph] = ACTIONS(7379),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7379),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHitem] = ACTIONS(7379),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7381),
    [anon_sym_LBRACE] = ACTIONS(7381),
    [sym_word] = ACTIONS(7379),
    [sym_placeholder] = ACTIONS(7381),
    [sym_delimiter] = ACTIONS(7381),
    [anon_sym_PLUS] = ACTIONS(7381),
    [anon_sym_DASH] = ACTIONS(7381),
    [anon_sym_STAR] = ACTIONS(7381),
    [anon_sym_SLASH] = ACTIONS(7381),
    [anon_sym_LT] = ACTIONS(7379),
    [anon_sym_GT] = ACTIONS(7379),
    [anon_sym_BANG] = ACTIONS(7379),
    [anon_sym_PIPE] = ACTIONS(7379),
    [anon_sym_COLON] = ACTIONS(7379),
    [anon_sym_SQUOTE] = ACTIONS(7379),
    [anon_sym__] = ACTIONS(7381),
    [anon_sym_CARET] = ACTIONS(7381),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7381),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7381),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7381),
    [anon_sym_DOLLAR] = ACTIONS(7379),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7381),
    [anon_sym_BSLASHleft] = ACTIONS(7379),
    [anon_sym_BSLASHbigl] = ACTIONS(7379),
    [anon_sym_BSLASHBigl] = ACTIONS(7379),
    [anon_sym_BSLASHbiggl] = ACTIONS(7379),
    [anon_sym_BSLASHBiggl] = ACTIONS(7379),
    [anon_sym_BSLASHtext] = ACTIONS(7379),
    [anon_sym_BSLASHintertext] = ACTIONS(7379),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7379),
    [anon_sym_BSLASHbegin] = ACTIONS(7379),
    [anon_sym_BSLASHtitle] = ACTIONS(7379),
    [anon_sym_BSLASHauthor] = ACTIONS(7379),
    [anon_sym_BSLASHusepackage] = ACTIONS(7379),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7379),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7379),
    [anon_sym_BSLASHinclude] = ACTIONS(7379),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7379),
    [anon_sym_BSLASHinput] = ACTIONS(7379),
    [anon_sym_BSLASHsubfile] = ACTIONS(7379),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7379),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7379),
    [anon_sym_BSLASHbibliography] = ACTIONS(7379),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7379),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7379),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7379),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7379),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7379),
    [anon_sym_BSLASHimport] = ACTIONS(7379),
    [anon_sym_BSLASHsubimport] = ACTIONS(7379),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7379),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7379),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7379),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7379),
    [anon_sym_BSLASHcaption] = ACTIONS(7379),
    [anon_sym_BSLASHcite] = ACTIONS(7379),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCite] = ACTIONS(7379),
    [anon_sym_BSLASHnocite] = ACTIONS(7379),
    [anon_sym_BSLASHcitet] = ACTIONS(7379),
    [anon_sym_BSLASHcitep] = ACTIONS(7379),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteA] = ACTIONS(7379),
    [anon_sym_BSLASHciteR] = ACTIONS(7379),
    [anon_sym_BSLASHciteS] = ACTIONS(7379),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7379),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7379),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7379),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7379),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteyear] = ACTIONS(7379),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitedate] = ACTIONS(7379),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteurl] = ACTIONS(7379),
    [anon_sym_BSLASHfullcite] = ACTIONS(7379),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7379),
    [anon_sym_BSLASHcitealt] = ACTIONS(7379),
    [anon_sym_BSLASHcitealp] = ACTIONS(7379),
    [anon_sym_BSLASHcitetext] = ACTIONS(7379),
    [anon_sym_BSLASHparencite] = ACTIONS(7379),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHParencite] = ACTIONS(7379),
    [anon_sym_BSLASHfootcite] = ACTIONS(7379),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7379),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7379),
    [anon_sym_BSLASHtextcite] = ACTIONS(7379),
    [anon_sym_BSLASHTextcite] = ACTIONS(7379),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7379),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7379),
    [anon_sym_BSLASHsupercite] = ACTIONS(7379),
    [anon_sym_BSLASHautocite] = ACTIONS(7379),
    [anon_sym_BSLASHAutocite] = ACTIONS(7379),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHVolcite] = ACTIONS(7379),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHavolcite] = ACTIONS(7379),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHNotecite] = ACTIONS(7379),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHlabel] = ACTIONS(7379),
    [anon_sym_BSLASHref] = ACTIONS(7379),
    [anon_sym_BSLASHeqref] = ACTIONS(7379),
    [anon_sym_BSLASHvref] = ACTIONS(7379),
    [anon_sym_BSLASHVref] = ACTIONS(7379),
    [anon_sym_BSLASHautoref] = ACTIONS(7379),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHpageref] = ACTIONS(7379),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHautopageref] = ACTIONS(7379),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcref] = ACTIONS(7379),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCref] = ACTIONS(7379),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcpageref] = ACTIONS(7379),
    [anon_sym_BSLASHCpageref] = ACTIONS(7379),
    [anon_sym_BSLASHnamecref] = ACTIONS(7379),
    [anon_sym_BSLASHnameCref] = ACTIONS(7379),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7379),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7379),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7379),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7379),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7379),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7379),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7379),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7379),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7379),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7379),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7379),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHdef] = ACTIONS(7379),
    [anon_sym_BSLASHgdef] = ACTIONS(7379),
    [anon_sym_BSLASHedef] = ACTIONS(7379),
    [anon_sym_BSLASHxdef] = ACTIONS(7379),
    [anon_sym_BSLASHlet] = ACTIONS(7379),
    [anon_sym_BSLASHglet] = ACTIONS(7379),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7379),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7379),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7379),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7379),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7379),
    [anon_sym_BSLASHgls] = ACTIONS(7379),
    [anon_sym_BSLASHGls] = ACTIONS(7379),
    [anon_sym_BSLASHGLS] = ACTIONS(7379),
    [anon_sym_BSLASHglspl] = ACTIONS(7379),
    [anon_sym_BSLASHGlspl] = ACTIONS(7379),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7379),
    [anon_sym_BSLASHglslink] = ACTIONS(7379),
    [anon_sym_BSLASHglstext] = ACTIONS(7379),
    [anon_sym_BSLASHGlstext] = ACTIONS(7379),
    [anon_sym_BSLASHGLStext] = ACTIONS(7379),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7379),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7379),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7379),
    [anon_sym_BSLASHglsplural] = ACTIONS(7379),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7379),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7379),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHglsname] = ACTIONS(7379),
    [anon_sym_BSLASHGlsname] = ACTIONS(7379),
    [anon_sym_BSLASHGLSname] = ACTIONS(7379),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7379),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7379),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7379),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7379),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7379),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7379),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7379),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7379),
    [anon_sym_BSLASHacrshort] = ACTIONS(7379),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7379),
    [anon_sym_BSLASHACRshort] = ACTIONS(7379),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHacrlong] = ACTIONS(7379),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7379),
    [anon_sym_BSLASHACRlong] = ACTIONS(7379),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHacrfull] = ACTIONS(7379),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7379),
    [anon_sym_BSLASHACRfull] = ACTIONS(7379),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHacs] = ACTIONS(7379),
    [anon_sym_BSLASHAcs] = ACTIONS(7379),
    [anon_sym_BSLASHacsp] = ACTIONS(7379),
    [anon_sym_BSLASHAcsp] = ACTIONS(7379),
    [anon_sym_BSLASHacl] = ACTIONS(7379),
    [anon_sym_BSLASHAcl] = ACTIONS(7379),
    [anon_sym_BSLASHaclp] = ACTIONS(7379),
    [anon_sym_BSLASHAclp] = ACTIONS(7379),
    [anon_sym_BSLASHacf] = ACTIONS(7379),
    [anon_sym_BSLASHAcf] = ACTIONS(7379),
    [anon_sym_BSLASHacfp] = ACTIONS(7379),
    [anon_sym_BSLASHAcfp] = ACTIONS(7379),
    [anon_sym_BSLASHac] = ACTIONS(7379),
    [anon_sym_BSLASHAc] = ACTIONS(7379),
    [anon_sym_BSLASHacp] = ACTIONS(7379),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7379),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7379),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7379),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7379),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7379),
    [anon_sym_BSLASHcolor] = ACTIONS(7379),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7379),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7379),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7379),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7379),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7379),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7379),
    [anon_sym_BSLASHurl] = ACTIONS(7379),
    [anon_sym_BSLASHhref] = ACTIONS(7379),
  },
  [1594] = {
    [sym_command_name] = ACTIONS(7383),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7383),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_RBRACK] = ACTIONS(7385),
    [anon_sym_COMMA] = ACTIONS(7385),
    [anon_sym_EQ] = ACTIONS(7385),
    [anon_sym_LPAREN] = ACTIONS(7385),
    [anon_sym_RPAREN] = ACTIONS(7385),
    [anon_sym_BSLASHpart] = ACTIONS(7383),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHaddpart] = ACTIONS(7383),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHchapter] = ACTIONS(7383),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHaddchap] = ACTIONS(7383),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHsection] = ACTIONS(7383),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHaddsec] = ACTIONS(7383),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHsubsection] = ACTIONS(7383),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7383),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHparagraph] = ACTIONS(7383),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7383),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHitem] = ACTIONS(7383),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7385),
    [sym_word] = ACTIONS(7383),
    [sym_placeholder] = ACTIONS(7385),
    [sym_delimiter] = ACTIONS(7385),
    [anon_sym_PLUS] = ACTIONS(7385),
    [anon_sym_DASH] = ACTIONS(7385),
    [anon_sym_STAR] = ACTIONS(7385),
    [anon_sym_SLASH] = ACTIONS(7385),
    [anon_sym_LT] = ACTIONS(7383),
    [anon_sym_GT] = ACTIONS(7383),
    [anon_sym_BANG] = ACTIONS(7383),
    [anon_sym_PIPE] = ACTIONS(7383),
    [anon_sym_COLON] = ACTIONS(7383),
    [anon_sym_SQUOTE] = ACTIONS(7383),
    [anon_sym__] = ACTIONS(7385),
    [anon_sym_CARET] = ACTIONS(7385),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7385),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7385),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7385),
    [anon_sym_DOLLAR] = ACTIONS(7383),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7385),
    [anon_sym_BSLASHleft] = ACTIONS(7383),
    [anon_sym_BSLASHbigl] = ACTIONS(7383),
    [anon_sym_BSLASHBigl] = ACTIONS(7383),
    [anon_sym_BSLASHbiggl] = ACTIONS(7383),
    [anon_sym_BSLASHBiggl] = ACTIONS(7383),
    [anon_sym_BSLASHtext] = ACTIONS(7383),
    [anon_sym_BSLASHintertext] = ACTIONS(7383),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7383),
    [anon_sym_BSLASHbegin] = ACTIONS(7383),
    [anon_sym_BSLASHtitle] = ACTIONS(7383),
    [anon_sym_BSLASHauthor] = ACTIONS(7383),
    [anon_sym_BSLASHusepackage] = ACTIONS(7383),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7383),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7383),
    [anon_sym_BSLASHinclude] = ACTIONS(7383),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7383),
    [anon_sym_BSLASHinput] = ACTIONS(7383),
    [anon_sym_BSLASHsubfile] = ACTIONS(7383),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7383),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7383),
    [anon_sym_BSLASHbibliography] = ACTIONS(7383),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7383),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7383),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7383),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7383),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7383),
    [anon_sym_BSLASHimport] = ACTIONS(7383),
    [anon_sym_BSLASHsubimport] = ACTIONS(7383),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7383),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7383),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7383),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7383),
    [anon_sym_BSLASHcaption] = ACTIONS(7383),
    [anon_sym_BSLASHcite] = ACTIONS(7383),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCite] = ACTIONS(7383),
    [anon_sym_BSLASHnocite] = ACTIONS(7383),
    [anon_sym_BSLASHcitet] = ACTIONS(7383),
    [anon_sym_BSLASHcitep] = ACTIONS(7383),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteA] = ACTIONS(7383),
    [anon_sym_BSLASHciteR] = ACTIONS(7383),
    [anon_sym_BSLASHciteS] = ACTIONS(7383),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7383),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7383),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7383),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7383),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteyear] = ACTIONS(7383),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitedate] = ACTIONS(7383),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteurl] = ACTIONS(7383),
    [anon_sym_BSLASHfullcite] = ACTIONS(7383),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7383),
    [anon_sym_BSLASHcitealt] = ACTIONS(7383),
    [anon_sym_BSLASHcitealp] = ACTIONS(7383),
    [anon_sym_BSLASHcitetext] = ACTIONS(7383),
    [anon_sym_BSLASHparencite] = ACTIONS(7383),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHParencite] = ACTIONS(7383),
    [anon_sym_BSLASHfootcite] = ACTIONS(7383),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7383),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7383),
    [anon_sym_BSLASHtextcite] = ACTIONS(7383),
    [anon_sym_BSLASHTextcite] = ACTIONS(7383),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7383),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7383),
    [anon_sym_BSLASHsupercite] = ACTIONS(7383),
    [anon_sym_BSLASHautocite] = ACTIONS(7383),
    [anon_sym_BSLASHAutocite] = ACTIONS(7383),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHVolcite] = ACTIONS(7383),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHavolcite] = ACTIONS(7383),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHNotecite] = ACTIONS(7383),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHlabel] = ACTIONS(7383),
    [anon_sym_BSLASHref] = ACTIONS(7383),
    [anon_sym_BSLASHeqref] = ACTIONS(7383),
    [anon_sym_BSLASHvref] = ACTIONS(7383),
    [anon_sym_BSLASHVref] = ACTIONS(7383),
    [anon_sym_BSLASHautoref] = ACTIONS(7383),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHpageref] = ACTIONS(7383),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHautopageref] = ACTIONS(7383),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcref] = ACTIONS(7383),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCref] = ACTIONS(7383),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcpageref] = ACTIONS(7383),
    [anon_sym_BSLASHCpageref] = ACTIONS(7383),
    [anon_sym_BSLASHnamecref] = ACTIONS(7383),
    [anon_sym_BSLASHnameCref] = ACTIONS(7383),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7383),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7383),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7383),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7383),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7383),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7383),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7383),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7383),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7383),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7383),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7383),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHdef] = ACTIONS(7383),
    [anon_sym_BSLASHgdef] = ACTIONS(7383),
    [anon_sym_BSLASHedef] = ACTIONS(7383),
    [anon_sym_BSLASHxdef] = ACTIONS(7383),
    [anon_sym_BSLASHlet] = ACTIONS(7383),
    [anon_sym_BSLASHglet] = ACTIONS(7383),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7383),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7383),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7383),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7383),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7383),
    [anon_sym_BSLASHgls] = ACTIONS(7383),
    [anon_sym_BSLASHGls] = ACTIONS(7383),
    [anon_sym_BSLASHGLS] = ACTIONS(7383),
    [anon_sym_BSLASHglspl] = ACTIONS(7383),
    [anon_sym_BSLASHGlspl] = ACTIONS(7383),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7383),
    [anon_sym_BSLASHglslink] = ACTIONS(7383),
    [anon_sym_BSLASHglstext] = ACTIONS(7383),
    [anon_sym_BSLASHGlstext] = ACTIONS(7383),
    [anon_sym_BSLASHGLStext] = ACTIONS(7383),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7383),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7383),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7383),
    [anon_sym_BSLASHglsplural] = ACTIONS(7383),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7383),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7383),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHglsname] = ACTIONS(7383),
    [anon_sym_BSLASHGlsname] = ACTIONS(7383),
    [anon_sym_BSLASHGLSname] = ACTIONS(7383),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7383),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7383),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7383),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7383),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7383),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7383),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7383),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7383),
    [anon_sym_BSLASHacrshort] = ACTIONS(7383),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7383),
    [anon_sym_BSLASHACRshort] = ACTIONS(7383),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHacrlong] = ACTIONS(7383),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7383),
    [anon_sym_BSLASHACRlong] = ACTIONS(7383),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHacrfull] = ACTIONS(7383),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7383),
    [anon_sym_BSLASHACRfull] = ACTIONS(7383),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHacs] = ACTIONS(7383),
    [anon_sym_BSLASHAcs] = ACTIONS(7383),
    [anon_sym_BSLASHacsp] = ACTIONS(7383),
    [anon_sym_BSLASHAcsp] = ACTIONS(7383),
    [anon_sym_BSLASHacl] = ACTIONS(7383),
    [anon_sym_BSLASHAcl] = ACTIONS(7383),
    [anon_sym_BSLASHaclp] = ACTIONS(7383),
    [anon_sym_BSLASHAclp] = ACTIONS(7383),
    [anon_sym_BSLASHacf] = ACTIONS(7383),
    [anon_sym_BSLASHAcf] = ACTIONS(7383),
    [anon_sym_BSLASHacfp] = ACTIONS(7383),
    [anon_sym_BSLASHAcfp] = ACTIONS(7383),
    [anon_sym_BSLASHac] = ACTIONS(7383),
    [anon_sym_BSLASHAc] = ACTIONS(7383),
    [anon_sym_BSLASHacp] = ACTIONS(7383),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7383),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7383),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7383),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7383),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7383),
    [anon_sym_BSLASHcolor] = ACTIONS(7383),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7383),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7383),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7383),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7383),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7383),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7383),
    [anon_sym_BSLASHurl] = ACTIONS(7383),
    [anon_sym_BSLASHhref] = ACTIONS(7383),
  },
  [1595] = {
    [sym_command_name] = ACTIONS(7387),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7387),
    [anon_sym_LBRACK] = ACTIONS(7389),
    [anon_sym_RBRACK] = ACTIONS(7389),
    [anon_sym_COMMA] = ACTIONS(7389),
    [anon_sym_EQ] = ACTIONS(7389),
    [anon_sym_LPAREN] = ACTIONS(7389),
    [anon_sym_RPAREN] = ACTIONS(7389),
    [anon_sym_BSLASHpart] = ACTIONS(7387),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHaddpart] = ACTIONS(7387),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHchapter] = ACTIONS(7387),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHaddchap] = ACTIONS(7387),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHsection] = ACTIONS(7387),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHaddsec] = ACTIONS(7387),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHsubsection] = ACTIONS(7387),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7387),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHparagraph] = ACTIONS(7387),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7387),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHitem] = ACTIONS(7387),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7389),
    [anon_sym_LBRACE] = ACTIONS(7389),
    [sym_word] = ACTIONS(7387),
    [sym_placeholder] = ACTIONS(7389),
    [sym_delimiter] = ACTIONS(7389),
    [anon_sym_PLUS] = ACTIONS(7389),
    [anon_sym_DASH] = ACTIONS(7389),
    [anon_sym_STAR] = ACTIONS(7389),
    [anon_sym_SLASH] = ACTIONS(7389),
    [anon_sym_LT] = ACTIONS(7387),
    [anon_sym_GT] = ACTIONS(7387),
    [anon_sym_BANG] = ACTIONS(7387),
    [anon_sym_PIPE] = ACTIONS(7387),
    [anon_sym_COLON] = ACTIONS(7387),
    [anon_sym_SQUOTE] = ACTIONS(7387),
    [anon_sym__] = ACTIONS(7389),
    [anon_sym_CARET] = ACTIONS(7389),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7389),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7389),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7389),
    [anon_sym_DOLLAR] = ACTIONS(7387),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7389),
    [anon_sym_BSLASHleft] = ACTIONS(7387),
    [anon_sym_BSLASHbigl] = ACTIONS(7387),
    [anon_sym_BSLASHBigl] = ACTIONS(7387),
    [anon_sym_BSLASHbiggl] = ACTIONS(7387),
    [anon_sym_BSLASHBiggl] = ACTIONS(7387),
    [anon_sym_BSLASHtext] = ACTIONS(7387),
    [anon_sym_BSLASHintertext] = ACTIONS(7387),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7387),
    [anon_sym_BSLASHbegin] = ACTIONS(7387),
    [anon_sym_BSLASHtitle] = ACTIONS(7387),
    [anon_sym_BSLASHauthor] = ACTIONS(7387),
    [anon_sym_BSLASHusepackage] = ACTIONS(7387),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7387),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7387),
    [anon_sym_BSLASHinclude] = ACTIONS(7387),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7387),
    [anon_sym_BSLASHinput] = ACTIONS(7387),
    [anon_sym_BSLASHsubfile] = ACTIONS(7387),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7387),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7387),
    [anon_sym_BSLASHbibliography] = ACTIONS(7387),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7387),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7387),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7387),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7387),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7387),
    [anon_sym_BSLASHimport] = ACTIONS(7387),
    [anon_sym_BSLASHsubimport] = ACTIONS(7387),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7387),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7387),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7387),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7387),
    [anon_sym_BSLASHcaption] = ACTIONS(7387),
    [anon_sym_BSLASHcite] = ACTIONS(7387),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCite] = ACTIONS(7387),
    [anon_sym_BSLASHnocite] = ACTIONS(7387),
    [anon_sym_BSLASHcitet] = ACTIONS(7387),
    [anon_sym_BSLASHcitep] = ACTIONS(7387),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteA] = ACTIONS(7387),
    [anon_sym_BSLASHciteR] = ACTIONS(7387),
    [anon_sym_BSLASHciteS] = ACTIONS(7387),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7387),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7387),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7387),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7387),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteyear] = ACTIONS(7387),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitedate] = ACTIONS(7387),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteurl] = ACTIONS(7387),
    [anon_sym_BSLASHfullcite] = ACTIONS(7387),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7387),
    [anon_sym_BSLASHcitealt] = ACTIONS(7387),
    [anon_sym_BSLASHcitealp] = ACTIONS(7387),
    [anon_sym_BSLASHcitetext] = ACTIONS(7387),
    [anon_sym_BSLASHparencite] = ACTIONS(7387),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHParencite] = ACTIONS(7387),
    [anon_sym_BSLASHfootcite] = ACTIONS(7387),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7387),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7387),
    [anon_sym_BSLASHtextcite] = ACTIONS(7387),
    [anon_sym_BSLASHTextcite] = ACTIONS(7387),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7387),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7387),
    [anon_sym_BSLASHsupercite] = ACTIONS(7387),
    [anon_sym_BSLASHautocite] = ACTIONS(7387),
    [anon_sym_BSLASHAutocite] = ACTIONS(7387),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHVolcite] = ACTIONS(7387),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHavolcite] = ACTIONS(7387),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHNotecite] = ACTIONS(7387),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHlabel] = ACTIONS(7387),
    [anon_sym_BSLASHref] = ACTIONS(7387),
    [anon_sym_BSLASHeqref] = ACTIONS(7387),
    [anon_sym_BSLASHvref] = ACTIONS(7387),
    [anon_sym_BSLASHVref] = ACTIONS(7387),
    [anon_sym_BSLASHautoref] = ACTIONS(7387),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHpageref] = ACTIONS(7387),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHautopageref] = ACTIONS(7387),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcref] = ACTIONS(7387),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCref] = ACTIONS(7387),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcpageref] = ACTIONS(7387),
    [anon_sym_BSLASHCpageref] = ACTIONS(7387),
    [anon_sym_BSLASHnamecref] = ACTIONS(7387),
    [anon_sym_BSLASHnameCref] = ACTIONS(7387),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7387),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7387),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7387),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7387),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7387),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7387),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7387),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7387),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7387),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7387),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7387),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHdef] = ACTIONS(7387),
    [anon_sym_BSLASHgdef] = ACTIONS(7387),
    [anon_sym_BSLASHedef] = ACTIONS(7387),
    [anon_sym_BSLASHxdef] = ACTIONS(7387),
    [anon_sym_BSLASHlet] = ACTIONS(7387),
    [anon_sym_BSLASHglet] = ACTIONS(7387),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7387),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7387),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7387),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7387),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7387),
    [anon_sym_BSLASHgls] = ACTIONS(7387),
    [anon_sym_BSLASHGls] = ACTIONS(7387),
    [anon_sym_BSLASHGLS] = ACTIONS(7387),
    [anon_sym_BSLASHglspl] = ACTIONS(7387),
    [anon_sym_BSLASHGlspl] = ACTIONS(7387),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7387),
    [anon_sym_BSLASHglslink] = ACTIONS(7387),
    [anon_sym_BSLASHglstext] = ACTIONS(7387),
    [anon_sym_BSLASHGlstext] = ACTIONS(7387),
    [anon_sym_BSLASHGLStext] = ACTIONS(7387),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7387),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7387),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7387),
    [anon_sym_BSLASHglsplural] = ACTIONS(7387),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7387),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7387),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHglsname] = ACTIONS(7387),
    [anon_sym_BSLASHGlsname] = ACTIONS(7387),
    [anon_sym_BSLASHGLSname] = ACTIONS(7387),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7387),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7387),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7387),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7387),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7387),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7387),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7387),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7387),
    [anon_sym_BSLASHacrshort] = ACTIONS(7387),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7387),
    [anon_sym_BSLASHACRshort] = ACTIONS(7387),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHacrlong] = ACTIONS(7387),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7387),
    [anon_sym_BSLASHACRlong] = ACTIONS(7387),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHacrfull] = ACTIONS(7387),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7387),
    [anon_sym_BSLASHACRfull] = ACTIONS(7387),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHacs] = ACTIONS(7387),
    [anon_sym_BSLASHAcs] = ACTIONS(7387),
    [anon_sym_BSLASHacsp] = ACTIONS(7387),
    [anon_sym_BSLASHAcsp] = ACTIONS(7387),
    [anon_sym_BSLASHacl] = ACTIONS(7387),
    [anon_sym_BSLASHAcl] = ACTIONS(7387),
    [anon_sym_BSLASHaclp] = ACTIONS(7387),
    [anon_sym_BSLASHAclp] = ACTIONS(7387),
    [anon_sym_BSLASHacf] = ACTIONS(7387),
    [anon_sym_BSLASHAcf] = ACTIONS(7387),
    [anon_sym_BSLASHacfp] = ACTIONS(7387),
    [anon_sym_BSLASHAcfp] = ACTIONS(7387),
    [anon_sym_BSLASHac] = ACTIONS(7387),
    [anon_sym_BSLASHAc] = ACTIONS(7387),
    [anon_sym_BSLASHacp] = ACTIONS(7387),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7387),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7387),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7387),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7387),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7387),
    [anon_sym_BSLASHcolor] = ACTIONS(7387),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7387),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7387),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7387),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7387),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7387),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7387),
    [anon_sym_BSLASHurl] = ACTIONS(7387),
    [anon_sym_BSLASHhref] = ACTIONS(7387),
  },
  [1596] = {
    [sym_command_name] = ACTIONS(7391),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7391),
    [anon_sym_LBRACK] = ACTIONS(7393),
    [anon_sym_RBRACK] = ACTIONS(7393),
    [anon_sym_COMMA] = ACTIONS(7393),
    [anon_sym_EQ] = ACTIONS(7393),
    [anon_sym_LPAREN] = ACTIONS(7393),
    [anon_sym_RPAREN] = ACTIONS(7393),
    [anon_sym_BSLASHpart] = ACTIONS(7391),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHaddpart] = ACTIONS(7391),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHchapter] = ACTIONS(7391),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHaddchap] = ACTIONS(7391),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHsection] = ACTIONS(7391),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHaddsec] = ACTIONS(7391),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHsubsection] = ACTIONS(7391),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7391),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHparagraph] = ACTIONS(7391),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7391),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHitem] = ACTIONS(7391),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7393),
    [anon_sym_LBRACE] = ACTIONS(7393),
    [sym_word] = ACTIONS(7391),
    [sym_placeholder] = ACTIONS(7393),
    [sym_delimiter] = ACTIONS(7393),
    [anon_sym_PLUS] = ACTIONS(7393),
    [anon_sym_DASH] = ACTIONS(7393),
    [anon_sym_STAR] = ACTIONS(7393),
    [anon_sym_SLASH] = ACTIONS(7393),
    [anon_sym_LT] = ACTIONS(7391),
    [anon_sym_GT] = ACTIONS(7391),
    [anon_sym_BANG] = ACTIONS(7391),
    [anon_sym_PIPE] = ACTIONS(7391),
    [anon_sym_COLON] = ACTIONS(7391),
    [anon_sym_SQUOTE] = ACTIONS(7391),
    [anon_sym__] = ACTIONS(7393),
    [anon_sym_CARET] = ACTIONS(7393),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7393),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7393),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7393),
    [anon_sym_DOLLAR] = ACTIONS(7391),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7393),
    [anon_sym_BSLASHleft] = ACTIONS(7391),
    [anon_sym_BSLASHbigl] = ACTIONS(7391),
    [anon_sym_BSLASHBigl] = ACTIONS(7391),
    [anon_sym_BSLASHbiggl] = ACTIONS(7391),
    [anon_sym_BSLASHBiggl] = ACTIONS(7391),
    [anon_sym_BSLASHtext] = ACTIONS(7391),
    [anon_sym_BSLASHintertext] = ACTIONS(7391),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7391),
    [anon_sym_BSLASHbegin] = ACTIONS(7391),
    [anon_sym_BSLASHtitle] = ACTIONS(7391),
    [anon_sym_BSLASHauthor] = ACTIONS(7391),
    [anon_sym_BSLASHusepackage] = ACTIONS(7391),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7391),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7391),
    [anon_sym_BSLASHinclude] = ACTIONS(7391),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7391),
    [anon_sym_BSLASHinput] = ACTIONS(7391),
    [anon_sym_BSLASHsubfile] = ACTIONS(7391),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7391),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7391),
    [anon_sym_BSLASHbibliography] = ACTIONS(7391),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7391),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7391),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7391),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7391),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7391),
    [anon_sym_BSLASHimport] = ACTIONS(7391),
    [anon_sym_BSLASHsubimport] = ACTIONS(7391),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7391),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7391),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7391),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7391),
    [anon_sym_BSLASHcaption] = ACTIONS(7391),
    [anon_sym_BSLASHcite] = ACTIONS(7391),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCite] = ACTIONS(7391),
    [anon_sym_BSLASHnocite] = ACTIONS(7391),
    [anon_sym_BSLASHcitet] = ACTIONS(7391),
    [anon_sym_BSLASHcitep] = ACTIONS(7391),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteA] = ACTIONS(7391),
    [anon_sym_BSLASHciteR] = ACTIONS(7391),
    [anon_sym_BSLASHciteS] = ACTIONS(7391),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7391),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7391),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7391),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7391),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteyear] = ACTIONS(7391),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitedate] = ACTIONS(7391),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteurl] = ACTIONS(7391),
    [anon_sym_BSLASHfullcite] = ACTIONS(7391),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7391),
    [anon_sym_BSLASHcitealt] = ACTIONS(7391),
    [anon_sym_BSLASHcitealp] = ACTIONS(7391),
    [anon_sym_BSLASHcitetext] = ACTIONS(7391),
    [anon_sym_BSLASHparencite] = ACTIONS(7391),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHParencite] = ACTIONS(7391),
    [anon_sym_BSLASHfootcite] = ACTIONS(7391),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7391),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7391),
    [anon_sym_BSLASHtextcite] = ACTIONS(7391),
    [anon_sym_BSLASHTextcite] = ACTIONS(7391),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7391),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7391),
    [anon_sym_BSLASHsupercite] = ACTIONS(7391),
    [anon_sym_BSLASHautocite] = ACTIONS(7391),
    [anon_sym_BSLASHAutocite] = ACTIONS(7391),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHVolcite] = ACTIONS(7391),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHavolcite] = ACTIONS(7391),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHNotecite] = ACTIONS(7391),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHlabel] = ACTIONS(7391),
    [anon_sym_BSLASHref] = ACTIONS(7391),
    [anon_sym_BSLASHeqref] = ACTIONS(7391),
    [anon_sym_BSLASHvref] = ACTIONS(7391),
    [anon_sym_BSLASHVref] = ACTIONS(7391),
    [anon_sym_BSLASHautoref] = ACTIONS(7391),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHpageref] = ACTIONS(7391),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHautopageref] = ACTIONS(7391),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcref] = ACTIONS(7391),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCref] = ACTIONS(7391),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcpageref] = ACTIONS(7391),
    [anon_sym_BSLASHCpageref] = ACTIONS(7391),
    [anon_sym_BSLASHnamecref] = ACTIONS(7391),
    [anon_sym_BSLASHnameCref] = ACTIONS(7391),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7391),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7391),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7391),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7391),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7391),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7391),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7391),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7391),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7391),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7391),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7391),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHdef] = ACTIONS(7391),
    [anon_sym_BSLASHgdef] = ACTIONS(7391),
    [anon_sym_BSLASHedef] = ACTIONS(7391),
    [anon_sym_BSLASHxdef] = ACTIONS(7391),
    [anon_sym_BSLASHlet] = ACTIONS(7391),
    [anon_sym_BSLASHglet] = ACTIONS(7391),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7391),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7391),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7391),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7391),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7391),
    [anon_sym_BSLASHgls] = ACTIONS(7391),
    [anon_sym_BSLASHGls] = ACTIONS(7391),
    [anon_sym_BSLASHGLS] = ACTIONS(7391),
    [anon_sym_BSLASHglspl] = ACTIONS(7391),
    [anon_sym_BSLASHGlspl] = ACTIONS(7391),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7391),
    [anon_sym_BSLASHglslink] = ACTIONS(7391),
    [anon_sym_BSLASHglstext] = ACTIONS(7391),
    [anon_sym_BSLASHGlstext] = ACTIONS(7391),
    [anon_sym_BSLASHGLStext] = ACTIONS(7391),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7391),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7391),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7391),
    [anon_sym_BSLASHglsplural] = ACTIONS(7391),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7391),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7391),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHglsname] = ACTIONS(7391),
    [anon_sym_BSLASHGlsname] = ACTIONS(7391),
    [anon_sym_BSLASHGLSname] = ACTIONS(7391),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7391),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7391),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7391),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7391),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7391),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7391),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7391),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7391),
    [anon_sym_BSLASHacrshort] = ACTIONS(7391),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7391),
    [anon_sym_BSLASHACRshort] = ACTIONS(7391),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHacrlong] = ACTIONS(7391),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7391),
    [anon_sym_BSLASHACRlong] = ACTIONS(7391),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHacrfull] = ACTIONS(7391),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7391),
    [anon_sym_BSLASHACRfull] = ACTIONS(7391),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHacs] = ACTIONS(7391),
    [anon_sym_BSLASHAcs] = ACTIONS(7391),
    [anon_sym_BSLASHacsp] = ACTIONS(7391),
    [anon_sym_BSLASHAcsp] = ACTIONS(7391),
    [anon_sym_BSLASHacl] = ACTIONS(7391),
    [anon_sym_BSLASHAcl] = ACTIONS(7391),
    [anon_sym_BSLASHaclp] = ACTIONS(7391),
    [anon_sym_BSLASHAclp] = ACTIONS(7391),
    [anon_sym_BSLASHacf] = ACTIONS(7391),
    [anon_sym_BSLASHAcf] = ACTIONS(7391),
    [anon_sym_BSLASHacfp] = ACTIONS(7391),
    [anon_sym_BSLASHAcfp] = ACTIONS(7391),
    [anon_sym_BSLASHac] = ACTIONS(7391),
    [anon_sym_BSLASHAc] = ACTIONS(7391),
    [anon_sym_BSLASHacp] = ACTIONS(7391),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7391),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7391),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7391),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7391),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7391),
    [anon_sym_BSLASHcolor] = ACTIONS(7391),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7391),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7391),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7391),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7391),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7391),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7391),
    [anon_sym_BSLASHurl] = ACTIONS(7391),
    [anon_sym_BSLASHhref] = ACTIONS(7391),
  },
  [1597] = {
    [sym_command_name] = ACTIONS(7395),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7395),
    [anon_sym_LBRACK] = ACTIONS(7397),
    [anon_sym_RBRACK] = ACTIONS(7397),
    [anon_sym_COMMA] = ACTIONS(7397),
    [anon_sym_EQ] = ACTIONS(7397),
    [anon_sym_LPAREN] = ACTIONS(7397),
    [anon_sym_RPAREN] = ACTIONS(7397),
    [anon_sym_BSLASHpart] = ACTIONS(7395),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHaddpart] = ACTIONS(7395),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHchapter] = ACTIONS(7395),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHaddchap] = ACTIONS(7395),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHsection] = ACTIONS(7395),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHaddsec] = ACTIONS(7395),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHsubsection] = ACTIONS(7395),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7395),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHparagraph] = ACTIONS(7395),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7395),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHitem] = ACTIONS(7395),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7397),
    [anon_sym_LBRACE] = ACTIONS(7397),
    [sym_word] = ACTIONS(7395),
    [sym_placeholder] = ACTIONS(7397),
    [sym_delimiter] = ACTIONS(7397),
    [anon_sym_PLUS] = ACTIONS(7397),
    [anon_sym_DASH] = ACTIONS(7397),
    [anon_sym_STAR] = ACTIONS(7397),
    [anon_sym_SLASH] = ACTIONS(7397),
    [anon_sym_LT] = ACTIONS(7395),
    [anon_sym_GT] = ACTIONS(7395),
    [anon_sym_BANG] = ACTIONS(7395),
    [anon_sym_PIPE] = ACTIONS(7395),
    [anon_sym_COLON] = ACTIONS(7395),
    [anon_sym_SQUOTE] = ACTIONS(7395),
    [anon_sym__] = ACTIONS(7397),
    [anon_sym_CARET] = ACTIONS(7397),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7397),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7397),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7397),
    [anon_sym_DOLLAR] = ACTIONS(7395),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7397),
    [anon_sym_BSLASHleft] = ACTIONS(7395),
    [anon_sym_BSLASHbigl] = ACTIONS(7395),
    [anon_sym_BSLASHBigl] = ACTIONS(7395),
    [anon_sym_BSLASHbiggl] = ACTIONS(7395),
    [anon_sym_BSLASHBiggl] = ACTIONS(7395),
    [anon_sym_BSLASHtext] = ACTIONS(7395),
    [anon_sym_BSLASHintertext] = ACTIONS(7395),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7395),
    [anon_sym_BSLASHbegin] = ACTIONS(7395),
    [anon_sym_BSLASHtitle] = ACTIONS(7395),
    [anon_sym_BSLASHauthor] = ACTIONS(7395),
    [anon_sym_BSLASHusepackage] = ACTIONS(7395),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7395),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7395),
    [anon_sym_BSLASHinclude] = ACTIONS(7395),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7395),
    [anon_sym_BSLASHinput] = ACTIONS(7395),
    [anon_sym_BSLASHsubfile] = ACTIONS(7395),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7395),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7395),
    [anon_sym_BSLASHbibliography] = ACTIONS(7395),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7395),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7395),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7395),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7395),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7395),
    [anon_sym_BSLASHimport] = ACTIONS(7395),
    [anon_sym_BSLASHsubimport] = ACTIONS(7395),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7395),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7395),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7395),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7395),
    [anon_sym_BSLASHcaption] = ACTIONS(7395),
    [anon_sym_BSLASHcite] = ACTIONS(7395),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCite] = ACTIONS(7395),
    [anon_sym_BSLASHnocite] = ACTIONS(7395),
    [anon_sym_BSLASHcitet] = ACTIONS(7395),
    [anon_sym_BSLASHcitep] = ACTIONS(7395),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteA] = ACTIONS(7395),
    [anon_sym_BSLASHciteR] = ACTIONS(7395),
    [anon_sym_BSLASHciteS] = ACTIONS(7395),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7395),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7395),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7395),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7395),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteyear] = ACTIONS(7395),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitedate] = ACTIONS(7395),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteurl] = ACTIONS(7395),
    [anon_sym_BSLASHfullcite] = ACTIONS(7395),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7395),
    [anon_sym_BSLASHcitealt] = ACTIONS(7395),
    [anon_sym_BSLASHcitealp] = ACTIONS(7395),
    [anon_sym_BSLASHcitetext] = ACTIONS(7395),
    [anon_sym_BSLASHparencite] = ACTIONS(7395),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHParencite] = ACTIONS(7395),
    [anon_sym_BSLASHfootcite] = ACTIONS(7395),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7395),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7395),
    [anon_sym_BSLASHtextcite] = ACTIONS(7395),
    [anon_sym_BSLASHTextcite] = ACTIONS(7395),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7395),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7395),
    [anon_sym_BSLASHsupercite] = ACTIONS(7395),
    [anon_sym_BSLASHautocite] = ACTIONS(7395),
    [anon_sym_BSLASHAutocite] = ACTIONS(7395),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHVolcite] = ACTIONS(7395),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHavolcite] = ACTIONS(7395),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHNotecite] = ACTIONS(7395),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHlabel] = ACTIONS(7395),
    [anon_sym_BSLASHref] = ACTIONS(7395),
    [anon_sym_BSLASHeqref] = ACTIONS(7395),
    [anon_sym_BSLASHvref] = ACTIONS(7395),
    [anon_sym_BSLASHVref] = ACTIONS(7395),
    [anon_sym_BSLASHautoref] = ACTIONS(7395),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHpageref] = ACTIONS(7395),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHautopageref] = ACTIONS(7395),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcref] = ACTIONS(7395),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCref] = ACTIONS(7395),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcpageref] = ACTIONS(7395),
    [anon_sym_BSLASHCpageref] = ACTIONS(7395),
    [anon_sym_BSLASHnamecref] = ACTIONS(7395),
    [anon_sym_BSLASHnameCref] = ACTIONS(7395),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7395),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7395),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7395),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7395),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7395),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7395),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7395),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7395),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7395),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7395),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7395),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHdef] = ACTIONS(7395),
    [anon_sym_BSLASHgdef] = ACTIONS(7395),
    [anon_sym_BSLASHedef] = ACTIONS(7395),
    [anon_sym_BSLASHxdef] = ACTIONS(7395),
    [anon_sym_BSLASHlet] = ACTIONS(7395),
    [anon_sym_BSLASHglet] = ACTIONS(7395),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7395),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7395),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7395),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7395),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7395),
    [anon_sym_BSLASHgls] = ACTIONS(7395),
    [anon_sym_BSLASHGls] = ACTIONS(7395),
    [anon_sym_BSLASHGLS] = ACTIONS(7395),
    [anon_sym_BSLASHglspl] = ACTIONS(7395),
    [anon_sym_BSLASHGlspl] = ACTIONS(7395),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7395),
    [anon_sym_BSLASHglslink] = ACTIONS(7395),
    [anon_sym_BSLASHglstext] = ACTIONS(7395),
    [anon_sym_BSLASHGlstext] = ACTIONS(7395),
    [anon_sym_BSLASHGLStext] = ACTIONS(7395),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7395),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7395),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7395),
    [anon_sym_BSLASHglsplural] = ACTIONS(7395),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7395),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7395),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHglsname] = ACTIONS(7395),
    [anon_sym_BSLASHGlsname] = ACTIONS(7395),
    [anon_sym_BSLASHGLSname] = ACTIONS(7395),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7395),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7395),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7395),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7395),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7395),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7395),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7395),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7395),
    [anon_sym_BSLASHacrshort] = ACTIONS(7395),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7395),
    [anon_sym_BSLASHACRshort] = ACTIONS(7395),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHacrlong] = ACTIONS(7395),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7395),
    [anon_sym_BSLASHACRlong] = ACTIONS(7395),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHacrfull] = ACTIONS(7395),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7395),
    [anon_sym_BSLASHACRfull] = ACTIONS(7395),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHacs] = ACTIONS(7395),
    [anon_sym_BSLASHAcs] = ACTIONS(7395),
    [anon_sym_BSLASHacsp] = ACTIONS(7395),
    [anon_sym_BSLASHAcsp] = ACTIONS(7395),
    [anon_sym_BSLASHacl] = ACTIONS(7395),
    [anon_sym_BSLASHAcl] = ACTIONS(7395),
    [anon_sym_BSLASHaclp] = ACTIONS(7395),
    [anon_sym_BSLASHAclp] = ACTIONS(7395),
    [anon_sym_BSLASHacf] = ACTIONS(7395),
    [anon_sym_BSLASHAcf] = ACTIONS(7395),
    [anon_sym_BSLASHacfp] = ACTIONS(7395),
    [anon_sym_BSLASHAcfp] = ACTIONS(7395),
    [anon_sym_BSLASHac] = ACTIONS(7395),
    [anon_sym_BSLASHAc] = ACTIONS(7395),
    [anon_sym_BSLASHacp] = ACTIONS(7395),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7395),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7395),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7395),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7395),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7395),
    [anon_sym_BSLASHcolor] = ACTIONS(7395),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7395),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7395),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7395),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7395),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7395),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7395),
    [anon_sym_BSLASHurl] = ACTIONS(7395),
    [anon_sym_BSLASHhref] = ACTIONS(7395),
  },
  [1598] = {
    [sym_command_name] = ACTIONS(7399),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7399),
    [anon_sym_LBRACK] = ACTIONS(7401),
    [anon_sym_RBRACK] = ACTIONS(7401),
    [anon_sym_COMMA] = ACTIONS(7401),
    [anon_sym_EQ] = ACTIONS(7401),
    [anon_sym_LPAREN] = ACTIONS(7401),
    [anon_sym_RPAREN] = ACTIONS(7401),
    [anon_sym_BSLASHpart] = ACTIONS(7399),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHaddpart] = ACTIONS(7399),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHchapter] = ACTIONS(7399),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHaddchap] = ACTIONS(7399),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHsection] = ACTIONS(7399),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHaddsec] = ACTIONS(7399),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHsubsection] = ACTIONS(7399),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7399),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHparagraph] = ACTIONS(7399),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7399),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHitem] = ACTIONS(7399),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7401),
    [anon_sym_LBRACE] = ACTIONS(7401),
    [sym_word] = ACTIONS(7399),
    [sym_placeholder] = ACTIONS(7401),
    [sym_delimiter] = ACTIONS(7401),
    [anon_sym_PLUS] = ACTIONS(7401),
    [anon_sym_DASH] = ACTIONS(7401),
    [anon_sym_STAR] = ACTIONS(7401),
    [anon_sym_SLASH] = ACTIONS(7401),
    [anon_sym_LT] = ACTIONS(7399),
    [anon_sym_GT] = ACTIONS(7399),
    [anon_sym_BANG] = ACTIONS(7399),
    [anon_sym_PIPE] = ACTIONS(7399),
    [anon_sym_COLON] = ACTIONS(7399),
    [anon_sym_SQUOTE] = ACTIONS(7399),
    [anon_sym__] = ACTIONS(7401),
    [anon_sym_CARET] = ACTIONS(7401),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7401),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7401),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7401),
    [anon_sym_DOLLAR] = ACTIONS(7399),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7401),
    [anon_sym_BSLASHleft] = ACTIONS(7399),
    [anon_sym_BSLASHbigl] = ACTIONS(7399),
    [anon_sym_BSLASHBigl] = ACTIONS(7399),
    [anon_sym_BSLASHbiggl] = ACTIONS(7399),
    [anon_sym_BSLASHBiggl] = ACTIONS(7399),
    [anon_sym_BSLASHtext] = ACTIONS(7399),
    [anon_sym_BSLASHintertext] = ACTIONS(7399),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7399),
    [anon_sym_BSLASHbegin] = ACTIONS(7399),
    [anon_sym_BSLASHtitle] = ACTIONS(7399),
    [anon_sym_BSLASHauthor] = ACTIONS(7399),
    [anon_sym_BSLASHusepackage] = ACTIONS(7399),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7399),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7399),
    [anon_sym_BSLASHinclude] = ACTIONS(7399),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7399),
    [anon_sym_BSLASHinput] = ACTIONS(7399),
    [anon_sym_BSLASHsubfile] = ACTIONS(7399),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7399),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7399),
    [anon_sym_BSLASHbibliography] = ACTIONS(7399),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7399),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7399),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7399),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7399),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7399),
    [anon_sym_BSLASHimport] = ACTIONS(7399),
    [anon_sym_BSLASHsubimport] = ACTIONS(7399),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7399),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7399),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7399),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7399),
    [anon_sym_BSLASHcaption] = ACTIONS(7399),
    [anon_sym_BSLASHcite] = ACTIONS(7399),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCite] = ACTIONS(7399),
    [anon_sym_BSLASHnocite] = ACTIONS(7399),
    [anon_sym_BSLASHcitet] = ACTIONS(7399),
    [anon_sym_BSLASHcitep] = ACTIONS(7399),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteA] = ACTIONS(7399),
    [anon_sym_BSLASHciteR] = ACTIONS(7399),
    [anon_sym_BSLASHciteS] = ACTIONS(7399),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7399),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7399),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7399),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7399),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteyear] = ACTIONS(7399),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitedate] = ACTIONS(7399),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteurl] = ACTIONS(7399),
    [anon_sym_BSLASHfullcite] = ACTIONS(7399),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7399),
    [anon_sym_BSLASHcitealt] = ACTIONS(7399),
    [anon_sym_BSLASHcitealp] = ACTIONS(7399),
    [anon_sym_BSLASHcitetext] = ACTIONS(7399),
    [anon_sym_BSLASHparencite] = ACTIONS(7399),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHParencite] = ACTIONS(7399),
    [anon_sym_BSLASHfootcite] = ACTIONS(7399),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7399),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7399),
    [anon_sym_BSLASHtextcite] = ACTIONS(7399),
    [anon_sym_BSLASHTextcite] = ACTIONS(7399),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7399),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7399),
    [anon_sym_BSLASHsupercite] = ACTIONS(7399),
    [anon_sym_BSLASHautocite] = ACTIONS(7399),
    [anon_sym_BSLASHAutocite] = ACTIONS(7399),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHVolcite] = ACTIONS(7399),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHavolcite] = ACTIONS(7399),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHNotecite] = ACTIONS(7399),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHlabel] = ACTIONS(7399),
    [anon_sym_BSLASHref] = ACTIONS(7399),
    [anon_sym_BSLASHeqref] = ACTIONS(7399),
    [anon_sym_BSLASHvref] = ACTIONS(7399),
    [anon_sym_BSLASHVref] = ACTIONS(7399),
    [anon_sym_BSLASHautoref] = ACTIONS(7399),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHpageref] = ACTIONS(7399),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHautopageref] = ACTIONS(7399),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcref] = ACTIONS(7399),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCref] = ACTIONS(7399),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcpageref] = ACTIONS(7399),
    [anon_sym_BSLASHCpageref] = ACTIONS(7399),
    [anon_sym_BSLASHnamecref] = ACTIONS(7399),
    [anon_sym_BSLASHnameCref] = ACTIONS(7399),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7399),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7399),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7399),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7399),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7399),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7399),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7399),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7399),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7399),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7399),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7399),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHdef] = ACTIONS(7399),
    [anon_sym_BSLASHgdef] = ACTIONS(7399),
    [anon_sym_BSLASHedef] = ACTIONS(7399),
    [anon_sym_BSLASHxdef] = ACTIONS(7399),
    [anon_sym_BSLASHlet] = ACTIONS(7399),
    [anon_sym_BSLASHglet] = ACTIONS(7399),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7399),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7399),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7399),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7399),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7399),
    [anon_sym_BSLASHgls] = ACTIONS(7399),
    [anon_sym_BSLASHGls] = ACTIONS(7399),
    [anon_sym_BSLASHGLS] = ACTIONS(7399),
    [anon_sym_BSLASHglspl] = ACTIONS(7399),
    [anon_sym_BSLASHGlspl] = ACTIONS(7399),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7399),
    [anon_sym_BSLASHglslink] = ACTIONS(7399),
    [anon_sym_BSLASHglstext] = ACTIONS(7399),
    [anon_sym_BSLASHGlstext] = ACTIONS(7399),
    [anon_sym_BSLASHGLStext] = ACTIONS(7399),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7399),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7399),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7399),
    [anon_sym_BSLASHglsplural] = ACTIONS(7399),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7399),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7399),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHglsname] = ACTIONS(7399),
    [anon_sym_BSLASHGlsname] = ACTIONS(7399),
    [anon_sym_BSLASHGLSname] = ACTIONS(7399),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7399),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7399),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7399),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7399),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7399),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7399),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7399),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7399),
    [anon_sym_BSLASHacrshort] = ACTIONS(7399),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7399),
    [anon_sym_BSLASHACRshort] = ACTIONS(7399),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHacrlong] = ACTIONS(7399),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7399),
    [anon_sym_BSLASHACRlong] = ACTIONS(7399),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHacrfull] = ACTIONS(7399),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7399),
    [anon_sym_BSLASHACRfull] = ACTIONS(7399),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHacs] = ACTIONS(7399),
    [anon_sym_BSLASHAcs] = ACTIONS(7399),
    [anon_sym_BSLASHacsp] = ACTIONS(7399),
    [anon_sym_BSLASHAcsp] = ACTIONS(7399),
    [anon_sym_BSLASHacl] = ACTIONS(7399),
    [anon_sym_BSLASHAcl] = ACTIONS(7399),
    [anon_sym_BSLASHaclp] = ACTIONS(7399),
    [anon_sym_BSLASHAclp] = ACTIONS(7399),
    [anon_sym_BSLASHacf] = ACTIONS(7399),
    [anon_sym_BSLASHAcf] = ACTIONS(7399),
    [anon_sym_BSLASHacfp] = ACTIONS(7399),
    [anon_sym_BSLASHAcfp] = ACTIONS(7399),
    [anon_sym_BSLASHac] = ACTIONS(7399),
    [anon_sym_BSLASHAc] = ACTIONS(7399),
    [anon_sym_BSLASHacp] = ACTIONS(7399),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7399),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7399),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7399),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7399),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7399),
    [anon_sym_BSLASHcolor] = ACTIONS(7399),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7399),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7399),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7399),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7399),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7399),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7399),
    [anon_sym_BSLASHurl] = ACTIONS(7399),
    [anon_sym_BSLASHhref] = ACTIONS(7399),
  },
  [1599] = {
    [sym_command_name] = ACTIONS(7403),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7403),
    [anon_sym_LBRACK] = ACTIONS(7405),
    [anon_sym_RBRACK] = ACTIONS(7405),
    [anon_sym_COMMA] = ACTIONS(7405),
    [anon_sym_EQ] = ACTIONS(7405),
    [anon_sym_LPAREN] = ACTIONS(7405),
    [anon_sym_RPAREN] = ACTIONS(7405),
    [anon_sym_BSLASHpart] = ACTIONS(7403),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHaddpart] = ACTIONS(7403),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHchapter] = ACTIONS(7403),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHaddchap] = ACTIONS(7403),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHsection] = ACTIONS(7403),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHaddsec] = ACTIONS(7403),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHsubsection] = ACTIONS(7403),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7403),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHparagraph] = ACTIONS(7403),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7403),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHitem] = ACTIONS(7403),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7405),
    [anon_sym_LBRACE] = ACTIONS(7405),
    [sym_word] = ACTIONS(7403),
    [sym_placeholder] = ACTIONS(7405),
    [sym_delimiter] = ACTIONS(7405),
    [anon_sym_PLUS] = ACTIONS(7405),
    [anon_sym_DASH] = ACTIONS(7405),
    [anon_sym_STAR] = ACTIONS(7405),
    [anon_sym_SLASH] = ACTIONS(7405),
    [anon_sym_LT] = ACTIONS(7403),
    [anon_sym_GT] = ACTIONS(7403),
    [anon_sym_BANG] = ACTIONS(7403),
    [anon_sym_PIPE] = ACTIONS(7403),
    [anon_sym_COLON] = ACTIONS(7403),
    [anon_sym_SQUOTE] = ACTIONS(7403),
    [anon_sym__] = ACTIONS(7405),
    [anon_sym_CARET] = ACTIONS(7405),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7405),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7405),
    [anon_sym_DOLLAR] = ACTIONS(7403),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7405),
    [anon_sym_BSLASHleft] = ACTIONS(7403),
    [anon_sym_BSLASHbigl] = ACTIONS(7403),
    [anon_sym_BSLASHBigl] = ACTIONS(7403),
    [anon_sym_BSLASHbiggl] = ACTIONS(7403),
    [anon_sym_BSLASHBiggl] = ACTIONS(7403),
    [anon_sym_BSLASHtext] = ACTIONS(7403),
    [anon_sym_BSLASHintertext] = ACTIONS(7403),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7403),
    [anon_sym_BSLASHbegin] = ACTIONS(7403),
    [anon_sym_BSLASHtitle] = ACTIONS(7403),
    [anon_sym_BSLASHauthor] = ACTIONS(7403),
    [anon_sym_BSLASHusepackage] = ACTIONS(7403),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7403),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7403),
    [anon_sym_BSLASHinclude] = ACTIONS(7403),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7403),
    [anon_sym_BSLASHinput] = ACTIONS(7403),
    [anon_sym_BSLASHsubfile] = ACTIONS(7403),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7403),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7403),
    [anon_sym_BSLASHbibliography] = ACTIONS(7403),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7403),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7403),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7403),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7403),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7403),
    [anon_sym_BSLASHimport] = ACTIONS(7403),
    [anon_sym_BSLASHsubimport] = ACTIONS(7403),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7403),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7403),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7403),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7403),
    [anon_sym_BSLASHcaption] = ACTIONS(7403),
    [anon_sym_BSLASHcite] = ACTIONS(7403),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCite] = ACTIONS(7403),
    [anon_sym_BSLASHnocite] = ACTIONS(7403),
    [anon_sym_BSLASHcitet] = ACTIONS(7403),
    [anon_sym_BSLASHcitep] = ACTIONS(7403),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteA] = ACTIONS(7403),
    [anon_sym_BSLASHciteR] = ACTIONS(7403),
    [anon_sym_BSLASHciteS] = ACTIONS(7403),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7403),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7403),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7403),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7403),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteyear] = ACTIONS(7403),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitedate] = ACTIONS(7403),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteurl] = ACTIONS(7403),
    [anon_sym_BSLASHfullcite] = ACTIONS(7403),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7403),
    [anon_sym_BSLASHcitealt] = ACTIONS(7403),
    [anon_sym_BSLASHcitealp] = ACTIONS(7403),
    [anon_sym_BSLASHcitetext] = ACTIONS(7403),
    [anon_sym_BSLASHparencite] = ACTIONS(7403),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHParencite] = ACTIONS(7403),
    [anon_sym_BSLASHfootcite] = ACTIONS(7403),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7403),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7403),
    [anon_sym_BSLASHtextcite] = ACTIONS(7403),
    [anon_sym_BSLASHTextcite] = ACTIONS(7403),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7403),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7403),
    [anon_sym_BSLASHsupercite] = ACTIONS(7403),
    [anon_sym_BSLASHautocite] = ACTIONS(7403),
    [anon_sym_BSLASHAutocite] = ACTIONS(7403),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHVolcite] = ACTIONS(7403),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHavolcite] = ACTIONS(7403),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHNotecite] = ACTIONS(7403),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHlabel] = ACTIONS(7403),
    [anon_sym_BSLASHref] = ACTIONS(7403),
    [anon_sym_BSLASHeqref] = ACTIONS(7403),
    [anon_sym_BSLASHvref] = ACTIONS(7403),
    [anon_sym_BSLASHVref] = ACTIONS(7403),
    [anon_sym_BSLASHautoref] = ACTIONS(7403),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHpageref] = ACTIONS(7403),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHautopageref] = ACTIONS(7403),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcref] = ACTIONS(7403),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCref] = ACTIONS(7403),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcpageref] = ACTIONS(7403),
    [anon_sym_BSLASHCpageref] = ACTIONS(7403),
    [anon_sym_BSLASHnamecref] = ACTIONS(7403),
    [anon_sym_BSLASHnameCref] = ACTIONS(7403),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7403),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7403),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7403),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7403),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7403),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7403),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7403),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7403),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7403),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7403),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7403),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHdef] = ACTIONS(7403),
    [anon_sym_BSLASHgdef] = ACTIONS(7403),
    [anon_sym_BSLASHedef] = ACTIONS(7403),
    [anon_sym_BSLASHxdef] = ACTIONS(7403),
    [anon_sym_BSLASHlet] = ACTIONS(7403),
    [anon_sym_BSLASHglet] = ACTIONS(7403),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7403),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7403),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7403),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7403),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7403),
    [anon_sym_BSLASHgls] = ACTIONS(7403),
    [anon_sym_BSLASHGls] = ACTIONS(7403),
    [anon_sym_BSLASHGLS] = ACTIONS(7403),
    [anon_sym_BSLASHglspl] = ACTIONS(7403),
    [anon_sym_BSLASHGlspl] = ACTIONS(7403),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7403),
    [anon_sym_BSLASHglslink] = ACTIONS(7403),
    [anon_sym_BSLASHglstext] = ACTIONS(7403),
    [anon_sym_BSLASHGlstext] = ACTIONS(7403),
    [anon_sym_BSLASHGLStext] = ACTIONS(7403),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7403),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7403),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7403),
    [anon_sym_BSLASHglsplural] = ACTIONS(7403),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7403),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7403),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHglsname] = ACTIONS(7403),
    [anon_sym_BSLASHGlsname] = ACTIONS(7403),
    [anon_sym_BSLASHGLSname] = ACTIONS(7403),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7403),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7403),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7403),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7403),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7403),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7403),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7403),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7403),
    [anon_sym_BSLASHacrshort] = ACTIONS(7403),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7403),
    [anon_sym_BSLASHACRshort] = ACTIONS(7403),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHacrlong] = ACTIONS(7403),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7403),
    [anon_sym_BSLASHACRlong] = ACTIONS(7403),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHacrfull] = ACTIONS(7403),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7403),
    [anon_sym_BSLASHACRfull] = ACTIONS(7403),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHacs] = ACTIONS(7403),
    [anon_sym_BSLASHAcs] = ACTIONS(7403),
    [anon_sym_BSLASHacsp] = ACTIONS(7403),
    [anon_sym_BSLASHAcsp] = ACTIONS(7403),
    [anon_sym_BSLASHacl] = ACTIONS(7403),
    [anon_sym_BSLASHAcl] = ACTIONS(7403),
    [anon_sym_BSLASHaclp] = ACTIONS(7403),
    [anon_sym_BSLASHAclp] = ACTIONS(7403),
    [anon_sym_BSLASHacf] = ACTIONS(7403),
    [anon_sym_BSLASHAcf] = ACTIONS(7403),
    [anon_sym_BSLASHacfp] = ACTIONS(7403),
    [anon_sym_BSLASHAcfp] = ACTIONS(7403),
    [anon_sym_BSLASHac] = ACTIONS(7403),
    [anon_sym_BSLASHAc] = ACTIONS(7403),
    [anon_sym_BSLASHacp] = ACTIONS(7403),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7403),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7403),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7403),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7403),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7403),
    [anon_sym_BSLASHcolor] = ACTIONS(7403),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7403),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7403),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7403),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7403),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7403),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7403),
    [anon_sym_BSLASHurl] = ACTIONS(7403),
    [anon_sym_BSLASHhref] = ACTIONS(7403),
  },
  [1600] = {
    [sym_command_name] = ACTIONS(7407),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7407),
    [anon_sym_LBRACK] = ACTIONS(7409),
    [anon_sym_RBRACK] = ACTIONS(7409),
    [anon_sym_COMMA] = ACTIONS(7409),
    [anon_sym_EQ] = ACTIONS(7409),
    [anon_sym_LPAREN] = ACTIONS(7409),
    [anon_sym_RPAREN] = ACTIONS(7409),
    [anon_sym_BSLASHpart] = ACTIONS(7407),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHaddpart] = ACTIONS(7407),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHchapter] = ACTIONS(7407),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHaddchap] = ACTIONS(7407),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHsection] = ACTIONS(7407),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHaddsec] = ACTIONS(7407),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHsubsection] = ACTIONS(7407),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7407),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHparagraph] = ACTIONS(7407),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7407),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHitem] = ACTIONS(7407),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7409),
    [anon_sym_LBRACE] = ACTIONS(7409),
    [sym_word] = ACTIONS(7407),
    [sym_placeholder] = ACTIONS(7409),
    [sym_delimiter] = ACTIONS(7409),
    [anon_sym_PLUS] = ACTIONS(7409),
    [anon_sym_DASH] = ACTIONS(7409),
    [anon_sym_STAR] = ACTIONS(7409),
    [anon_sym_SLASH] = ACTIONS(7409),
    [anon_sym_LT] = ACTIONS(7407),
    [anon_sym_GT] = ACTIONS(7407),
    [anon_sym_BANG] = ACTIONS(7407),
    [anon_sym_PIPE] = ACTIONS(7407),
    [anon_sym_COLON] = ACTIONS(7407),
    [anon_sym_SQUOTE] = ACTIONS(7407),
    [anon_sym__] = ACTIONS(7409),
    [anon_sym_CARET] = ACTIONS(7409),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7409),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7409),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7409),
    [anon_sym_DOLLAR] = ACTIONS(7407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7409),
    [anon_sym_BSLASHleft] = ACTIONS(7407),
    [anon_sym_BSLASHbigl] = ACTIONS(7407),
    [anon_sym_BSLASHBigl] = ACTIONS(7407),
    [anon_sym_BSLASHbiggl] = ACTIONS(7407),
    [anon_sym_BSLASHBiggl] = ACTIONS(7407),
    [anon_sym_BSLASHtext] = ACTIONS(7407),
    [anon_sym_BSLASHintertext] = ACTIONS(7407),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7407),
    [anon_sym_BSLASHbegin] = ACTIONS(7407),
    [anon_sym_BSLASHtitle] = ACTIONS(7407),
    [anon_sym_BSLASHauthor] = ACTIONS(7407),
    [anon_sym_BSLASHusepackage] = ACTIONS(7407),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7407),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7407),
    [anon_sym_BSLASHinclude] = ACTIONS(7407),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7407),
    [anon_sym_BSLASHinput] = ACTIONS(7407),
    [anon_sym_BSLASHsubfile] = ACTIONS(7407),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7407),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7407),
    [anon_sym_BSLASHbibliography] = ACTIONS(7407),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7407),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7407),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7407),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7407),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7407),
    [anon_sym_BSLASHimport] = ACTIONS(7407),
    [anon_sym_BSLASHsubimport] = ACTIONS(7407),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7407),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7407),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7407),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7407),
    [anon_sym_BSLASHcaption] = ACTIONS(7407),
    [anon_sym_BSLASHcite] = ACTIONS(7407),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCite] = ACTIONS(7407),
    [anon_sym_BSLASHnocite] = ACTIONS(7407),
    [anon_sym_BSLASHcitet] = ACTIONS(7407),
    [anon_sym_BSLASHcitep] = ACTIONS(7407),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteA] = ACTIONS(7407),
    [anon_sym_BSLASHciteR] = ACTIONS(7407),
    [anon_sym_BSLASHciteS] = ACTIONS(7407),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7407),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7407),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7407),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7407),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteyear] = ACTIONS(7407),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitedate] = ACTIONS(7407),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteurl] = ACTIONS(7407),
    [anon_sym_BSLASHfullcite] = ACTIONS(7407),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7407),
    [anon_sym_BSLASHcitealt] = ACTIONS(7407),
    [anon_sym_BSLASHcitealp] = ACTIONS(7407),
    [anon_sym_BSLASHcitetext] = ACTIONS(7407),
    [anon_sym_BSLASHparencite] = ACTIONS(7407),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHParencite] = ACTIONS(7407),
    [anon_sym_BSLASHfootcite] = ACTIONS(7407),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7407),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7407),
    [anon_sym_BSLASHtextcite] = ACTIONS(7407),
    [anon_sym_BSLASHTextcite] = ACTIONS(7407),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7407),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7407),
    [anon_sym_BSLASHsupercite] = ACTIONS(7407),
    [anon_sym_BSLASHautocite] = ACTIONS(7407),
    [anon_sym_BSLASHAutocite] = ACTIONS(7407),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHVolcite] = ACTIONS(7407),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHavolcite] = ACTIONS(7407),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHNotecite] = ACTIONS(7407),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHlabel] = ACTIONS(7407),
    [anon_sym_BSLASHref] = ACTIONS(7407),
    [anon_sym_BSLASHeqref] = ACTIONS(7407),
    [anon_sym_BSLASHvref] = ACTIONS(7407),
    [anon_sym_BSLASHVref] = ACTIONS(7407),
    [anon_sym_BSLASHautoref] = ACTIONS(7407),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHpageref] = ACTIONS(7407),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHautopageref] = ACTIONS(7407),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcref] = ACTIONS(7407),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCref] = ACTIONS(7407),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcpageref] = ACTIONS(7407),
    [anon_sym_BSLASHCpageref] = ACTIONS(7407),
    [anon_sym_BSLASHnamecref] = ACTIONS(7407),
    [anon_sym_BSLASHnameCref] = ACTIONS(7407),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7407),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7407),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7407),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7407),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7407),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7407),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7407),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7407),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7407),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7407),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7407),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHdef] = ACTIONS(7407),
    [anon_sym_BSLASHgdef] = ACTIONS(7407),
    [anon_sym_BSLASHedef] = ACTIONS(7407),
    [anon_sym_BSLASHxdef] = ACTIONS(7407),
    [anon_sym_BSLASHlet] = ACTIONS(7407),
    [anon_sym_BSLASHglet] = ACTIONS(7407),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7407),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7407),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7407),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7407),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7407),
    [anon_sym_BSLASHgls] = ACTIONS(7407),
    [anon_sym_BSLASHGls] = ACTIONS(7407),
    [anon_sym_BSLASHGLS] = ACTIONS(7407),
    [anon_sym_BSLASHglspl] = ACTIONS(7407),
    [anon_sym_BSLASHGlspl] = ACTIONS(7407),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7407),
    [anon_sym_BSLASHglslink] = ACTIONS(7407),
    [anon_sym_BSLASHglstext] = ACTIONS(7407),
    [anon_sym_BSLASHGlstext] = ACTIONS(7407),
    [anon_sym_BSLASHGLStext] = ACTIONS(7407),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7407),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7407),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7407),
    [anon_sym_BSLASHglsplural] = ACTIONS(7407),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7407),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7407),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHglsname] = ACTIONS(7407),
    [anon_sym_BSLASHGlsname] = ACTIONS(7407),
    [anon_sym_BSLASHGLSname] = ACTIONS(7407),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7407),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7407),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7407),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7407),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7407),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7407),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7407),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7407),
    [anon_sym_BSLASHacrshort] = ACTIONS(7407),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7407),
    [anon_sym_BSLASHACRshort] = ACTIONS(7407),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHacrlong] = ACTIONS(7407),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7407),
    [anon_sym_BSLASHACRlong] = ACTIONS(7407),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHacrfull] = ACTIONS(7407),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7407),
    [anon_sym_BSLASHACRfull] = ACTIONS(7407),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHacs] = ACTIONS(7407),
    [anon_sym_BSLASHAcs] = ACTIONS(7407),
    [anon_sym_BSLASHacsp] = ACTIONS(7407),
    [anon_sym_BSLASHAcsp] = ACTIONS(7407),
    [anon_sym_BSLASHacl] = ACTIONS(7407),
    [anon_sym_BSLASHAcl] = ACTIONS(7407),
    [anon_sym_BSLASHaclp] = ACTIONS(7407),
    [anon_sym_BSLASHAclp] = ACTIONS(7407),
    [anon_sym_BSLASHacf] = ACTIONS(7407),
    [anon_sym_BSLASHAcf] = ACTIONS(7407),
    [anon_sym_BSLASHacfp] = ACTIONS(7407),
    [anon_sym_BSLASHAcfp] = ACTIONS(7407),
    [anon_sym_BSLASHac] = ACTIONS(7407),
    [anon_sym_BSLASHAc] = ACTIONS(7407),
    [anon_sym_BSLASHacp] = ACTIONS(7407),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7407),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7407),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7407),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7407),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7407),
    [anon_sym_BSLASHcolor] = ACTIONS(7407),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7407),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7407),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7407),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7407),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7407),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7407),
    [anon_sym_BSLASHurl] = ACTIONS(7407),
    [anon_sym_BSLASHhref] = ACTIONS(7407),
  },
  [1601] = {
    [sym_command_name] = ACTIONS(7411),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7411),
    [anon_sym_LBRACK] = ACTIONS(7413),
    [anon_sym_RBRACK] = ACTIONS(7413),
    [anon_sym_COMMA] = ACTIONS(7413),
    [anon_sym_EQ] = ACTIONS(7413),
    [anon_sym_LPAREN] = ACTIONS(7413),
    [anon_sym_RPAREN] = ACTIONS(7413),
    [anon_sym_BSLASHpart] = ACTIONS(7411),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHaddpart] = ACTIONS(7411),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHchapter] = ACTIONS(7411),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHaddchap] = ACTIONS(7411),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHsection] = ACTIONS(7411),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHaddsec] = ACTIONS(7411),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHsubsection] = ACTIONS(7411),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7411),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHparagraph] = ACTIONS(7411),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7411),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHitem] = ACTIONS(7411),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7413),
    [anon_sym_LBRACE] = ACTIONS(7413),
    [sym_word] = ACTIONS(7411),
    [sym_placeholder] = ACTIONS(7413),
    [sym_delimiter] = ACTIONS(7413),
    [anon_sym_PLUS] = ACTIONS(7413),
    [anon_sym_DASH] = ACTIONS(7413),
    [anon_sym_STAR] = ACTIONS(7413),
    [anon_sym_SLASH] = ACTIONS(7413),
    [anon_sym_LT] = ACTIONS(7411),
    [anon_sym_GT] = ACTIONS(7411),
    [anon_sym_BANG] = ACTIONS(7411),
    [anon_sym_PIPE] = ACTIONS(7411),
    [anon_sym_COLON] = ACTIONS(7411),
    [anon_sym_SQUOTE] = ACTIONS(7411),
    [anon_sym__] = ACTIONS(7413),
    [anon_sym_CARET] = ACTIONS(7413),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7413),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7413),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7413),
    [anon_sym_DOLLAR] = ACTIONS(7411),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7413),
    [anon_sym_BSLASHleft] = ACTIONS(7411),
    [anon_sym_BSLASHbigl] = ACTIONS(7411),
    [anon_sym_BSLASHBigl] = ACTIONS(7411),
    [anon_sym_BSLASHbiggl] = ACTIONS(7411),
    [anon_sym_BSLASHBiggl] = ACTIONS(7411),
    [anon_sym_BSLASHtext] = ACTIONS(7411),
    [anon_sym_BSLASHintertext] = ACTIONS(7411),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7411),
    [anon_sym_BSLASHbegin] = ACTIONS(7411),
    [anon_sym_BSLASHtitle] = ACTIONS(7411),
    [anon_sym_BSLASHauthor] = ACTIONS(7411),
    [anon_sym_BSLASHusepackage] = ACTIONS(7411),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7411),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7411),
    [anon_sym_BSLASHinclude] = ACTIONS(7411),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7411),
    [anon_sym_BSLASHinput] = ACTIONS(7411),
    [anon_sym_BSLASHsubfile] = ACTIONS(7411),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7411),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7411),
    [anon_sym_BSLASHbibliography] = ACTIONS(7411),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7411),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7411),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7411),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7411),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7411),
    [anon_sym_BSLASHimport] = ACTIONS(7411),
    [anon_sym_BSLASHsubimport] = ACTIONS(7411),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7411),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7411),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7411),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7411),
    [anon_sym_BSLASHcaption] = ACTIONS(7411),
    [anon_sym_BSLASHcite] = ACTIONS(7411),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCite] = ACTIONS(7411),
    [anon_sym_BSLASHnocite] = ACTIONS(7411),
    [anon_sym_BSLASHcitet] = ACTIONS(7411),
    [anon_sym_BSLASHcitep] = ACTIONS(7411),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteA] = ACTIONS(7411),
    [anon_sym_BSLASHciteR] = ACTIONS(7411),
    [anon_sym_BSLASHciteS] = ACTIONS(7411),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7411),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7411),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7411),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7411),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteyear] = ACTIONS(7411),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitedate] = ACTIONS(7411),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteurl] = ACTIONS(7411),
    [anon_sym_BSLASHfullcite] = ACTIONS(7411),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7411),
    [anon_sym_BSLASHcitealt] = ACTIONS(7411),
    [anon_sym_BSLASHcitealp] = ACTIONS(7411),
    [anon_sym_BSLASHcitetext] = ACTIONS(7411),
    [anon_sym_BSLASHparencite] = ACTIONS(7411),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHParencite] = ACTIONS(7411),
    [anon_sym_BSLASHfootcite] = ACTIONS(7411),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7411),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7411),
    [anon_sym_BSLASHtextcite] = ACTIONS(7411),
    [anon_sym_BSLASHTextcite] = ACTIONS(7411),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7411),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7411),
    [anon_sym_BSLASHsupercite] = ACTIONS(7411),
    [anon_sym_BSLASHautocite] = ACTIONS(7411),
    [anon_sym_BSLASHAutocite] = ACTIONS(7411),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHVolcite] = ACTIONS(7411),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHavolcite] = ACTIONS(7411),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHNotecite] = ACTIONS(7411),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHlabel] = ACTIONS(7411),
    [anon_sym_BSLASHref] = ACTIONS(7411),
    [anon_sym_BSLASHeqref] = ACTIONS(7411),
    [anon_sym_BSLASHvref] = ACTIONS(7411),
    [anon_sym_BSLASHVref] = ACTIONS(7411),
    [anon_sym_BSLASHautoref] = ACTIONS(7411),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHpageref] = ACTIONS(7411),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHautopageref] = ACTIONS(7411),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcref] = ACTIONS(7411),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCref] = ACTIONS(7411),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcpageref] = ACTIONS(7411),
    [anon_sym_BSLASHCpageref] = ACTIONS(7411),
    [anon_sym_BSLASHnamecref] = ACTIONS(7411),
    [anon_sym_BSLASHnameCref] = ACTIONS(7411),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7411),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7411),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7411),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7411),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7411),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7411),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7411),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7411),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7411),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7411),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7411),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHdef] = ACTIONS(7411),
    [anon_sym_BSLASHgdef] = ACTIONS(7411),
    [anon_sym_BSLASHedef] = ACTIONS(7411),
    [anon_sym_BSLASHxdef] = ACTIONS(7411),
    [anon_sym_BSLASHlet] = ACTIONS(7411),
    [anon_sym_BSLASHglet] = ACTIONS(7411),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7411),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7411),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7411),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7411),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7411),
    [anon_sym_BSLASHgls] = ACTIONS(7411),
    [anon_sym_BSLASHGls] = ACTIONS(7411),
    [anon_sym_BSLASHGLS] = ACTIONS(7411),
    [anon_sym_BSLASHglspl] = ACTIONS(7411),
    [anon_sym_BSLASHGlspl] = ACTIONS(7411),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7411),
    [anon_sym_BSLASHglslink] = ACTIONS(7411),
    [anon_sym_BSLASHglstext] = ACTIONS(7411),
    [anon_sym_BSLASHGlstext] = ACTIONS(7411),
    [anon_sym_BSLASHGLStext] = ACTIONS(7411),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7411),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7411),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7411),
    [anon_sym_BSLASHglsplural] = ACTIONS(7411),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7411),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7411),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHglsname] = ACTIONS(7411),
    [anon_sym_BSLASHGlsname] = ACTIONS(7411),
    [anon_sym_BSLASHGLSname] = ACTIONS(7411),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7411),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7411),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7411),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7411),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7411),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7411),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7411),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7411),
    [anon_sym_BSLASHacrshort] = ACTIONS(7411),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7411),
    [anon_sym_BSLASHACRshort] = ACTIONS(7411),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHacrlong] = ACTIONS(7411),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7411),
    [anon_sym_BSLASHACRlong] = ACTIONS(7411),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHacrfull] = ACTIONS(7411),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7411),
    [anon_sym_BSLASHACRfull] = ACTIONS(7411),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHacs] = ACTIONS(7411),
    [anon_sym_BSLASHAcs] = ACTIONS(7411),
    [anon_sym_BSLASHacsp] = ACTIONS(7411),
    [anon_sym_BSLASHAcsp] = ACTIONS(7411),
    [anon_sym_BSLASHacl] = ACTIONS(7411),
    [anon_sym_BSLASHAcl] = ACTIONS(7411),
    [anon_sym_BSLASHaclp] = ACTIONS(7411),
    [anon_sym_BSLASHAclp] = ACTIONS(7411),
    [anon_sym_BSLASHacf] = ACTIONS(7411),
    [anon_sym_BSLASHAcf] = ACTIONS(7411),
    [anon_sym_BSLASHacfp] = ACTIONS(7411),
    [anon_sym_BSLASHAcfp] = ACTIONS(7411),
    [anon_sym_BSLASHac] = ACTIONS(7411),
    [anon_sym_BSLASHAc] = ACTIONS(7411),
    [anon_sym_BSLASHacp] = ACTIONS(7411),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7411),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7411),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7411),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7411),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7411),
    [anon_sym_BSLASHcolor] = ACTIONS(7411),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7411),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7411),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7411),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7411),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7411),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7411),
    [anon_sym_BSLASHurl] = ACTIONS(7411),
    [anon_sym_BSLASHhref] = ACTIONS(7411),
  },
  [1602] = {
    [sym_command_name] = ACTIONS(7415),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7415),
    [anon_sym_LBRACK] = ACTIONS(7417),
    [anon_sym_RBRACK] = ACTIONS(7417),
    [anon_sym_COMMA] = ACTIONS(7417),
    [anon_sym_EQ] = ACTIONS(7417),
    [anon_sym_LPAREN] = ACTIONS(7417),
    [anon_sym_RPAREN] = ACTIONS(7417),
    [anon_sym_BSLASHpart] = ACTIONS(7415),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHaddpart] = ACTIONS(7415),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHchapter] = ACTIONS(7415),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHaddchap] = ACTIONS(7415),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHsection] = ACTIONS(7415),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHaddsec] = ACTIONS(7415),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHsubsection] = ACTIONS(7415),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7415),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHparagraph] = ACTIONS(7415),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7415),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHitem] = ACTIONS(7415),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7417),
    [anon_sym_LBRACE] = ACTIONS(7417),
    [sym_word] = ACTIONS(7415),
    [sym_placeholder] = ACTIONS(7417),
    [sym_delimiter] = ACTIONS(7417),
    [anon_sym_PLUS] = ACTIONS(7417),
    [anon_sym_DASH] = ACTIONS(7417),
    [anon_sym_STAR] = ACTIONS(7417),
    [anon_sym_SLASH] = ACTIONS(7417),
    [anon_sym_LT] = ACTIONS(7415),
    [anon_sym_GT] = ACTIONS(7415),
    [anon_sym_BANG] = ACTIONS(7415),
    [anon_sym_PIPE] = ACTIONS(7415),
    [anon_sym_COLON] = ACTIONS(7415),
    [anon_sym_SQUOTE] = ACTIONS(7415),
    [anon_sym__] = ACTIONS(7417),
    [anon_sym_CARET] = ACTIONS(7417),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7417),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7417),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7417),
    [anon_sym_DOLLAR] = ACTIONS(7415),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7417),
    [anon_sym_BSLASHleft] = ACTIONS(7415),
    [anon_sym_BSLASHbigl] = ACTIONS(7415),
    [anon_sym_BSLASHBigl] = ACTIONS(7415),
    [anon_sym_BSLASHbiggl] = ACTIONS(7415),
    [anon_sym_BSLASHBiggl] = ACTIONS(7415),
    [anon_sym_BSLASHtext] = ACTIONS(7415),
    [anon_sym_BSLASHintertext] = ACTIONS(7415),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7415),
    [anon_sym_BSLASHbegin] = ACTIONS(7415),
    [anon_sym_BSLASHtitle] = ACTIONS(7415),
    [anon_sym_BSLASHauthor] = ACTIONS(7415),
    [anon_sym_BSLASHusepackage] = ACTIONS(7415),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7415),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7415),
    [anon_sym_BSLASHinclude] = ACTIONS(7415),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7415),
    [anon_sym_BSLASHinput] = ACTIONS(7415),
    [anon_sym_BSLASHsubfile] = ACTIONS(7415),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7415),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7415),
    [anon_sym_BSLASHbibliography] = ACTIONS(7415),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7415),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7415),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7415),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7415),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7415),
    [anon_sym_BSLASHimport] = ACTIONS(7415),
    [anon_sym_BSLASHsubimport] = ACTIONS(7415),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7415),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7415),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7415),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7415),
    [anon_sym_BSLASHcaption] = ACTIONS(7415),
    [anon_sym_BSLASHcite] = ACTIONS(7415),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCite] = ACTIONS(7415),
    [anon_sym_BSLASHnocite] = ACTIONS(7415),
    [anon_sym_BSLASHcitet] = ACTIONS(7415),
    [anon_sym_BSLASHcitep] = ACTIONS(7415),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteA] = ACTIONS(7415),
    [anon_sym_BSLASHciteR] = ACTIONS(7415),
    [anon_sym_BSLASHciteS] = ACTIONS(7415),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7415),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7415),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7415),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7415),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteyear] = ACTIONS(7415),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitedate] = ACTIONS(7415),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteurl] = ACTIONS(7415),
    [anon_sym_BSLASHfullcite] = ACTIONS(7415),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7415),
    [anon_sym_BSLASHcitealt] = ACTIONS(7415),
    [anon_sym_BSLASHcitealp] = ACTIONS(7415),
    [anon_sym_BSLASHcitetext] = ACTIONS(7415),
    [anon_sym_BSLASHparencite] = ACTIONS(7415),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHParencite] = ACTIONS(7415),
    [anon_sym_BSLASHfootcite] = ACTIONS(7415),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7415),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7415),
    [anon_sym_BSLASHtextcite] = ACTIONS(7415),
    [anon_sym_BSLASHTextcite] = ACTIONS(7415),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7415),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7415),
    [anon_sym_BSLASHsupercite] = ACTIONS(7415),
    [anon_sym_BSLASHautocite] = ACTIONS(7415),
    [anon_sym_BSLASHAutocite] = ACTIONS(7415),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHVolcite] = ACTIONS(7415),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHavolcite] = ACTIONS(7415),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHNotecite] = ACTIONS(7415),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHlabel] = ACTIONS(7415),
    [anon_sym_BSLASHref] = ACTIONS(7415),
    [anon_sym_BSLASHeqref] = ACTIONS(7415),
    [anon_sym_BSLASHvref] = ACTIONS(7415),
    [anon_sym_BSLASHVref] = ACTIONS(7415),
    [anon_sym_BSLASHautoref] = ACTIONS(7415),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHpageref] = ACTIONS(7415),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHautopageref] = ACTIONS(7415),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcref] = ACTIONS(7415),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCref] = ACTIONS(7415),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcpageref] = ACTIONS(7415),
    [anon_sym_BSLASHCpageref] = ACTIONS(7415),
    [anon_sym_BSLASHnamecref] = ACTIONS(7415),
    [anon_sym_BSLASHnameCref] = ACTIONS(7415),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7415),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7415),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7415),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7415),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7415),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7415),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7415),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7415),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7415),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7415),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7415),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHdef] = ACTIONS(7415),
    [anon_sym_BSLASHgdef] = ACTIONS(7415),
    [anon_sym_BSLASHedef] = ACTIONS(7415),
    [anon_sym_BSLASHxdef] = ACTIONS(7415),
    [anon_sym_BSLASHlet] = ACTIONS(7415),
    [anon_sym_BSLASHglet] = ACTIONS(7415),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7415),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7415),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7415),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7415),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7415),
    [anon_sym_BSLASHgls] = ACTIONS(7415),
    [anon_sym_BSLASHGls] = ACTIONS(7415),
    [anon_sym_BSLASHGLS] = ACTIONS(7415),
    [anon_sym_BSLASHglspl] = ACTIONS(7415),
    [anon_sym_BSLASHGlspl] = ACTIONS(7415),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7415),
    [anon_sym_BSLASHglslink] = ACTIONS(7415),
    [anon_sym_BSLASHglstext] = ACTIONS(7415),
    [anon_sym_BSLASHGlstext] = ACTIONS(7415),
    [anon_sym_BSLASHGLStext] = ACTIONS(7415),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7415),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7415),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7415),
    [anon_sym_BSLASHglsplural] = ACTIONS(7415),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7415),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7415),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHglsname] = ACTIONS(7415),
    [anon_sym_BSLASHGlsname] = ACTIONS(7415),
    [anon_sym_BSLASHGLSname] = ACTIONS(7415),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7415),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7415),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7415),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7415),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7415),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7415),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7415),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7415),
    [anon_sym_BSLASHacrshort] = ACTIONS(7415),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7415),
    [anon_sym_BSLASHACRshort] = ACTIONS(7415),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHacrlong] = ACTIONS(7415),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7415),
    [anon_sym_BSLASHACRlong] = ACTIONS(7415),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHacrfull] = ACTIONS(7415),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7415),
    [anon_sym_BSLASHACRfull] = ACTIONS(7415),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHacs] = ACTIONS(7415),
    [anon_sym_BSLASHAcs] = ACTIONS(7415),
    [anon_sym_BSLASHacsp] = ACTIONS(7415),
    [anon_sym_BSLASHAcsp] = ACTIONS(7415),
    [anon_sym_BSLASHacl] = ACTIONS(7415),
    [anon_sym_BSLASHAcl] = ACTIONS(7415),
    [anon_sym_BSLASHaclp] = ACTIONS(7415),
    [anon_sym_BSLASHAclp] = ACTIONS(7415),
    [anon_sym_BSLASHacf] = ACTIONS(7415),
    [anon_sym_BSLASHAcf] = ACTIONS(7415),
    [anon_sym_BSLASHacfp] = ACTIONS(7415),
    [anon_sym_BSLASHAcfp] = ACTIONS(7415),
    [anon_sym_BSLASHac] = ACTIONS(7415),
    [anon_sym_BSLASHAc] = ACTIONS(7415),
    [anon_sym_BSLASHacp] = ACTIONS(7415),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7415),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7415),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7415),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7415),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7415),
    [anon_sym_BSLASHcolor] = ACTIONS(7415),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7415),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7415),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7415),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7415),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7415),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7415),
    [anon_sym_BSLASHurl] = ACTIONS(7415),
    [anon_sym_BSLASHhref] = ACTIONS(7415),
  },
  [1603] = {
    [sym_command_name] = ACTIONS(7419),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7419),
    [anon_sym_LBRACK] = ACTIONS(7421),
    [anon_sym_RBRACK] = ACTIONS(7421),
    [anon_sym_COMMA] = ACTIONS(7421),
    [anon_sym_EQ] = ACTIONS(7421),
    [anon_sym_LPAREN] = ACTIONS(7421),
    [anon_sym_RPAREN] = ACTIONS(7421),
    [anon_sym_BSLASHpart] = ACTIONS(7419),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHaddpart] = ACTIONS(7419),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHchapter] = ACTIONS(7419),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHaddchap] = ACTIONS(7419),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHsection] = ACTIONS(7419),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHaddsec] = ACTIONS(7419),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHsubsection] = ACTIONS(7419),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7419),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHparagraph] = ACTIONS(7419),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7419),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHitem] = ACTIONS(7419),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7421),
    [anon_sym_LBRACE] = ACTIONS(7421),
    [sym_word] = ACTIONS(7419),
    [sym_placeholder] = ACTIONS(7421),
    [sym_delimiter] = ACTIONS(7421),
    [anon_sym_PLUS] = ACTIONS(7421),
    [anon_sym_DASH] = ACTIONS(7421),
    [anon_sym_STAR] = ACTIONS(7421),
    [anon_sym_SLASH] = ACTIONS(7421),
    [anon_sym_LT] = ACTIONS(7419),
    [anon_sym_GT] = ACTIONS(7419),
    [anon_sym_BANG] = ACTIONS(7419),
    [anon_sym_PIPE] = ACTIONS(7419),
    [anon_sym_COLON] = ACTIONS(7419),
    [anon_sym_SQUOTE] = ACTIONS(7419),
    [anon_sym__] = ACTIONS(7421),
    [anon_sym_CARET] = ACTIONS(7421),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7421),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7421),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7421),
    [anon_sym_DOLLAR] = ACTIONS(7419),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7421),
    [anon_sym_BSLASHleft] = ACTIONS(7419),
    [anon_sym_BSLASHbigl] = ACTIONS(7419),
    [anon_sym_BSLASHBigl] = ACTIONS(7419),
    [anon_sym_BSLASHbiggl] = ACTIONS(7419),
    [anon_sym_BSLASHBiggl] = ACTIONS(7419),
    [anon_sym_BSLASHtext] = ACTIONS(7419),
    [anon_sym_BSLASHintertext] = ACTIONS(7419),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7419),
    [anon_sym_BSLASHbegin] = ACTIONS(7419),
    [anon_sym_BSLASHtitle] = ACTIONS(7419),
    [anon_sym_BSLASHauthor] = ACTIONS(7419),
    [anon_sym_BSLASHusepackage] = ACTIONS(7419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7419),
    [anon_sym_BSLASHinclude] = ACTIONS(7419),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7419),
    [anon_sym_BSLASHinput] = ACTIONS(7419),
    [anon_sym_BSLASHsubfile] = ACTIONS(7419),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7419),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7419),
    [anon_sym_BSLASHbibliography] = ACTIONS(7419),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7419),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7419),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7419),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7419),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7419),
    [anon_sym_BSLASHimport] = ACTIONS(7419),
    [anon_sym_BSLASHsubimport] = ACTIONS(7419),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7419),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7419),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7419),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7419),
    [anon_sym_BSLASHcaption] = ACTIONS(7419),
    [anon_sym_BSLASHcite] = ACTIONS(7419),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCite] = ACTIONS(7419),
    [anon_sym_BSLASHnocite] = ACTIONS(7419),
    [anon_sym_BSLASHcitet] = ACTIONS(7419),
    [anon_sym_BSLASHcitep] = ACTIONS(7419),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteA] = ACTIONS(7419),
    [anon_sym_BSLASHciteR] = ACTIONS(7419),
    [anon_sym_BSLASHciteS] = ACTIONS(7419),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7419),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7419),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7419),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7419),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteyear] = ACTIONS(7419),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitedate] = ACTIONS(7419),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteurl] = ACTIONS(7419),
    [anon_sym_BSLASHfullcite] = ACTIONS(7419),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7419),
    [anon_sym_BSLASHcitealt] = ACTIONS(7419),
    [anon_sym_BSLASHcitealp] = ACTIONS(7419),
    [anon_sym_BSLASHcitetext] = ACTIONS(7419),
    [anon_sym_BSLASHparencite] = ACTIONS(7419),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHParencite] = ACTIONS(7419),
    [anon_sym_BSLASHfootcite] = ACTIONS(7419),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7419),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7419),
    [anon_sym_BSLASHtextcite] = ACTIONS(7419),
    [anon_sym_BSLASHTextcite] = ACTIONS(7419),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7419),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7419),
    [anon_sym_BSLASHsupercite] = ACTIONS(7419),
    [anon_sym_BSLASHautocite] = ACTIONS(7419),
    [anon_sym_BSLASHAutocite] = ACTIONS(7419),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHVolcite] = ACTIONS(7419),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHavolcite] = ACTIONS(7419),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHNotecite] = ACTIONS(7419),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHlabel] = ACTIONS(7419),
    [anon_sym_BSLASHref] = ACTIONS(7419),
    [anon_sym_BSLASHeqref] = ACTIONS(7419),
    [anon_sym_BSLASHvref] = ACTIONS(7419),
    [anon_sym_BSLASHVref] = ACTIONS(7419),
    [anon_sym_BSLASHautoref] = ACTIONS(7419),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHpageref] = ACTIONS(7419),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHautopageref] = ACTIONS(7419),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcref] = ACTIONS(7419),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCref] = ACTIONS(7419),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcpageref] = ACTIONS(7419),
    [anon_sym_BSLASHCpageref] = ACTIONS(7419),
    [anon_sym_BSLASHnamecref] = ACTIONS(7419),
    [anon_sym_BSLASHnameCref] = ACTIONS(7419),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7419),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7419),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7419),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7419),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7419),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7419),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7419),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7419),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7419),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7419),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7419),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHdef] = ACTIONS(7419),
    [anon_sym_BSLASHgdef] = ACTIONS(7419),
    [anon_sym_BSLASHedef] = ACTIONS(7419),
    [anon_sym_BSLASHxdef] = ACTIONS(7419),
    [anon_sym_BSLASHlet] = ACTIONS(7419),
    [anon_sym_BSLASHglet] = ACTIONS(7419),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7419),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7419),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7419),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7419),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7419),
    [anon_sym_BSLASHgls] = ACTIONS(7419),
    [anon_sym_BSLASHGls] = ACTIONS(7419),
    [anon_sym_BSLASHGLS] = ACTIONS(7419),
    [anon_sym_BSLASHglspl] = ACTIONS(7419),
    [anon_sym_BSLASHGlspl] = ACTIONS(7419),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7419),
    [anon_sym_BSLASHglslink] = ACTIONS(7419),
    [anon_sym_BSLASHglstext] = ACTIONS(7419),
    [anon_sym_BSLASHGlstext] = ACTIONS(7419),
    [anon_sym_BSLASHGLStext] = ACTIONS(7419),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7419),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7419),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7419),
    [anon_sym_BSLASHglsplural] = ACTIONS(7419),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7419),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7419),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHglsname] = ACTIONS(7419),
    [anon_sym_BSLASHGlsname] = ACTIONS(7419),
    [anon_sym_BSLASHGLSname] = ACTIONS(7419),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7419),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7419),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7419),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7419),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7419),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7419),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7419),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7419),
    [anon_sym_BSLASHacrshort] = ACTIONS(7419),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7419),
    [anon_sym_BSLASHACRshort] = ACTIONS(7419),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHacrlong] = ACTIONS(7419),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7419),
    [anon_sym_BSLASHACRlong] = ACTIONS(7419),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHacrfull] = ACTIONS(7419),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7419),
    [anon_sym_BSLASHACRfull] = ACTIONS(7419),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHacs] = ACTIONS(7419),
    [anon_sym_BSLASHAcs] = ACTIONS(7419),
    [anon_sym_BSLASHacsp] = ACTIONS(7419),
    [anon_sym_BSLASHAcsp] = ACTIONS(7419),
    [anon_sym_BSLASHacl] = ACTIONS(7419),
    [anon_sym_BSLASHAcl] = ACTIONS(7419),
    [anon_sym_BSLASHaclp] = ACTIONS(7419),
    [anon_sym_BSLASHAclp] = ACTIONS(7419),
    [anon_sym_BSLASHacf] = ACTIONS(7419),
    [anon_sym_BSLASHAcf] = ACTIONS(7419),
    [anon_sym_BSLASHacfp] = ACTIONS(7419),
    [anon_sym_BSLASHAcfp] = ACTIONS(7419),
    [anon_sym_BSLASHac] = ACTIONS(7419),
    [anon_sym_BSLASHAc] = ACTIONS(7419),
    [anon_sym_BSLASHacp] = ACTIONS(7419),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7419),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7419),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7419),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7419),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7419),
    [anon_sym_BSLASHcolor] = ACTIONS(7419),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7419),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7419),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7419),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7419),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7419),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7419),
    [anon_sym_BSLASHurl] = ACTIONS(7419),
    [anon_sym_BSLASHhref] = ACTIONS(7419),
  },
  [1604] = {
    [sym_command_name] = ACTIONS(7291),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7291),
    [anon_sym_LBRACK] = ACTIONS(7293),
    [anon_sym_RBRACK] = ACTIONS(7293),
    [anon_sym_COMMA] = ACTIONS(7293),
    [anon_sym_EQ] = ACTIONS(7293),
    [anon_sym_LPAREN] = ACTIONS(7293),
    [anon_sym_RPAREN] = ACTIONS(7293),
    [anon_sym_BSLASHpart] = ACTIONS(7291),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHaddpart] = ACTIONS(7291),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHchapter] = ACTIONS(7291),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHaddchap] = ACTIONS(7291),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHsection] = ACTIONS(7291),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHaddsec] = ACTIONS(7291),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHsubsection] = ACTIONS(7291),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7291),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHparagraph] = ACTIONS(7291),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7291),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHitem] = ACTIONS(7291),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7293),
    [anon_sym_LBRACE] = ACTIONS(7293),
    [sym_word] = ACTIONS(7291),
    [sym_placeholder] = ACTIONS(7293),
    [sym_delimiter] = ACTIONS(7293),
    [anon_sym_PLUS] = ACTIONS(7293),
    [anon_sym_DASH] = ACTIONS(7293),
    [anon_sym_STAR] = ACTIONS(7293),
    [anon_sym_SLASH] = ACTIONS(7293),
    [anon_sym_LT] = ACTIONS(7291),
    [anon_sym_GT] = ACTIONS(7291),
    [anon_sym_BANG] = ACTIONS(7291),
    [anon_sym_PIPE] = ACTIONS(7291),
    [anon_sym_COLON] = ACTIONS(7291),
    [anon_sym_SQUOTE] = ACTIONS(7291),
    [anon_sym__] = ACTIONS(7293),
    [anon_sym_CARET] = ACTIONS(7293),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7293),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7293),
    [anon_sym_DOLLAR] = ACTIONS(7291),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7293),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7293),
    [anon_sym_BSLASHleft] = ACTIONS(7291),
    [anon_sym_BSLASHbigl] = ACTIONS(7291),
    [anon_sym_BSLASHBigl] = ACTIONS(7291),
    [anon_sym_BSLASHbiggl] = ACTIONS(7291),
    [anon_sym_BSLASHBiggl] = ACTIONS(7291),
    [anon_sym_BSLASHtext] = ACTIONS(7291),
    [anon_sym_BSLASHintertext] = ACTIONS(7291),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7291),
    [anon_sym_BSLASHbegin] = ACTIONS(7291),
    [anon_sym_BSLASHtitle] = ACTIONS(7291),
    [anon_sym_BSLASHauthor] = ACTIONS(7291),
    [anon_sym_BSLASHusepackage] = ACTIONS(7291),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7291),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7291),
    [anon_sym_BSLASHinclude] = ACTIONS(7291),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7291),
    [anon_sym_BSLASHinput] = ACTIONS(7291),
    [anon_sym_BSLASHsubfile] = ACTIONS(7291),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7291),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7291),
    [anon_sym_BSLASHbibliography] = ACTIONS(7291),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7291),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7291),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7291),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7291),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7291),
    [anon_sym_BSLASHimport] = ACTIONS(7291),
    [anon_sym_BSLASHsubimport] = ACTIONS(7291),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7291),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7291),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7291),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7291),
    [anon_sym_BSLASHcaption] = ACTIONS(7291),
    [anon_sym_BSLASHcite] = ACTIONS(7291),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCite] = ACTIONS(7291),
    [anon_sym_BSLASHnocite] = ACTIONS(7291),
    [anon_sym_BSLASHcitet] = ACTIONS(7291),
    [anon_sym_BSLASHcitep] = ACTIONS(7291),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteA] = ACTIONS(7291),
    [anon_sym_BSLASHciteR] = ACTIONS(7291),
    [anon_sym_BSLASHciteS] = ACTIONS(7291),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7291),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7291),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7291),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7291),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteyear] = ACTIONS(7291),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitedate] = ACTIONS(7291),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteurl] = ACTIONS(7291),
    [anon_sym_BSLASHfullcite] = ACTIONS(7291),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7291),
    [anon_sym_BSLASHcitealt] = ACTIONS(7291),
    [anon_sym_BSLASHcitealp] = ACTIONS(7291),
    [anon_sym_BSLASHcitetext] = ACTIONS(7291),
    [anon_sym_BSLASHparencite] = ACTIONS(7291),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHParencite] = ACTIONS(7291),
    [anon_sym_BSLASHfootcite] = ACTIONS(7291),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7291),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7291),
    [anon_sym_BSLASHtextcite] = ACTIONS(7291),
    [anon_sym_BSLASHTextcite] = ACTIONS(7291),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7291),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7291),
    [anon_sym_BSLASHsupercite] = ACTIONS(7291),
    [anon_sym_BSLASHautocite] = ACTIONS(7291),
    [anon_sym_BSLASHAutocite] = ACTIONS(7291),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHVolcite] = ACTIONS(7291),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHavolcite] = ACTIONS(7291),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHNotecite] = ACTIONS(7291),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHlabel] = ACTIONS(7291),
    [anon_sym_BSLASHref] = ACTIONS(7291),
    [anon_sym_BSLASHeqref] = ACTIONS(7291),
    [anon_sym_BSLASHvref] = ACTIONS(7291),
    [anon_sym_BSLASHVref] = ACTIONS(7291),
    [anon_sym_BSLASHautoref] = ACTIONS(7291),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHpageref] = ACTIONS(7291),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHautopageref] = ACTIONS(7291),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcref] = ACTIONS(7291),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCref] = ACTIONS(7291),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcpageref] = ACTIONS(7291),
    [anon_sym_BSLASHCpageref] = ACTIONS(7291),
    [anon_sym_BSLASHnamecref] = ACTIONS(7291),
    [anon_sym_BSLASHnameCref] = ACTIONS(7291),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7291),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7291),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7291),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7291),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7291),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7291),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7291),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7291),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7291),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7291),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7291),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHdef] = ACTIONS(7291),
    [anon_sym_BSLASHgdef] = ACTIONS(7291),
    [anon_sym_BSLASHedef] = ACTIONS(7291),
    [anon_sym_BSLASHxdef] = ACTIONS(7291),
    [anon_sym_BSLASHlet] = ACTIONS(7291),
    [anon_sym_BSLASHglet] = ACTIONS(7291),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7291),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7291),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7291),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7291),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7291),
    [anon_sym_BSLASHgls] = ACTIONS(7291),
    [anon_sym_BSLASHGls] = ACTIONS(7291),
    [anon_sym_BSLASHGLS] = ACTIONS(7291),
    [anon_sym_BSLASHglspl] = ACTIONS(7291),
    [anon_sym_BSLASHGlspl] = ACTIONS(7291),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7291),
    [anon_sym_BSLASHglslink] = ACTIONS(7291),
    [anon_sym_BSLASHglstext] = ACTIONS(7291),
    [anon_sym_BSLASHGlstext] = ACTIONS(7291),
    [anon_sym_BSLASHGLStext] = ACTIONS(7291),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7291),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7291),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7291),
    [anon_sym_BSLASHglsplural] = ACTIONS(7291),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7291),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7291),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHglsname] = ACTIONS(7291),
    [anon_sym_BSLASHGlsname] = ACTIONS(7291),
    [anon_sym_BSLASHGLSname] = ACTIONS(7291),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7291),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7291),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7291),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7291),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7291),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7291),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7291),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7291),
    [anon_sym_BSLASHacrshort] = ACTIONS(7291),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7291),
    [anon_sym_BSLASHACRshort] = ACTIONS(7291),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHacrlong] = ACTIONS(7291),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7291),
    [anon_sym_BSLASHACRlong] = ACTIONS(7291),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHacrfull] = ACTIONS(7291),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7291),
    [anon_sym_BSLASHACRfull] = ACTIONS(7291),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHacs] = ACTIONS(7291),
    [anon_sym_BSLASHAcs] = ACTIONS(7291),
    [anon_sym_BSLASHacsp] = ACTIONS(7291),
    [anon_sym_BSLASHAcsp] = ACTIONS(7291),
    [anon_sym_BSLASHacl] = ACTIONS(7291),
    [anon_sym_BSLASHAcl] = ACTIONS(7291),
    [anon_sym_BSLASHaclp] = ACTIONS(7291),
    [anon_sym_BSLASHAclp] = ACTIONS(7291),
    [anon_sym_BSLASHacf] = ACTIONS(7291),
    [anon_sym_BSLASHAcf] = ACTIONS(7291),
    [anon_sym_BSLASHacfp] = ACTIONS(7291),
    [anon_sym_BSLASHAcfp] = ACTIONS(7291),
    [anon_sym_BSLASHac] = ACTIONS(7291),
    [anon_sym_BSLASHAc] = ACTIONS(7291),
    [anon_sym_BSLASHacp] = ACTIONS(7291),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7291),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7291),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7291),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7291),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7291),
    [anon_sym_BSLASHcolor] = ACTIONS(7291),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7291),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7291),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7291),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7291),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7291),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7291),
    [anon_sym_BSLASHurl] = ACTIONS(7291),
    [anon_sym_BSLASHhref] = ACTIONS(7291),
  },
  [1605] = {
    [sym_command_name] = ACTIONS(7295),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7295),
    [anon_sym_LBRACK] = ACTIONS(7297),
    [anon_sym_RBRACK] = ACTIONS(7297),
    [anon_sym_COMMA] = ACTIONS(7297),
    [anon_sym_EQ] = ACTIONS(7297),
    [anon_sym_LPAREN] = ACTIONS(7297),
    [anon_sym_RPAREN] = ACTIONS(7297),
    [anon_sym_BSLASHpart] = ACTIONS(7295),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHaddpart] = ACTIONS(7295),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHchapter] = ACTIONS(7295),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHaddchap] = ACTIONS(7295),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHsection] = ACTIONS(7295),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHaddsec] = ACTIONS(7295),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHsubsection] = ACTIONS(7295),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7295),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHparagraph] = ACTIONS(7295),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7295),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHitem] = ACTIONS(7295),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7297),
    [anon_sym_LBRACE] = ACTIONS(7297),
    [sym_word] = ACTIONS(7295),
    [sym_placeholder] = ACTIONS(7297),
    [sym_delimiter] = ACTIONS(7297),
    [anon_sym_PLUS] = ACTIONS(7297),
    [anon_sym_DASH] = ACTIONS(7297),
    [anon_sym_STAR] = ACTIONS(7297),
    [anon_sym_SLASH] = ACTIONS(7297),
    [anon_sym_LT] = ACTIONS(7295),
    [anon_sym_GT] = ACTIONS(7295),
    [anon_sym_BANG] = ACTIONS(7295),
    [anon_sym_PIPE] = ACTIONS(7295),
    [anon_sym_COLON] = ACTIONS(7295),
    [anon_sym_SQUOTE] = ACTIONS(7295),
    [anon_sym__] = ACTIONS(7297),
    [anon_sym_CARET] = ACTIONS(7297),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7297),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7297),
    [anon_sym_DOLLAR] = ACTIONS(7295),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7297),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7297),
    [anon_sym_BSLASHleft] = ACTIONS(7295),
    [anon_sym_BSLASHbigl] = ACTIONS(7295),
    [anon_sym_BSLASHBigl] = ACTIONS(7295),
    [anon_sym_BSLASHbiggl] = ACTIONS(7295),
    [anon_sym_BSLASHBiggl] = ACTIONS(7295),
    [anon_sym_BSLASHtext] = ACTIONS(7295),
    [anon_sym_BSLASHintertext] = ACTIONS(7295),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7295),
    [anon_sym_BSLASHbegin] = ACTIONS(7295),
    [anon_sym_BSLASHtitle] = ACTIONS(7295),
    [anon_sym_BSLASHauthor] = ACTIONS(7295),
    [anon_sym_BSLASHusepackage] = ACTIONS(7295),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7295),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7295),
    [anon_sym_BSLASHinclude] = ACTIONS(7295),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7295),
    [anon_sym_BSLASHinput] = ACTIONS(7295),
    [anon_sym_BSLASHsubfile] = ACTIONS(7295),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7295),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7295),
    [anon_sym_BSLASHbibliography] = ACTIONS(7295),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7295),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7295),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7295),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7295),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7295),
    [anon_sym_BSLASHimport] = ACTIONS(7295),
    [anon_sym_BSLASHsubimport] = ACTIONS(7295),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7295),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7295),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7295),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7295),
    [anon_sym_BSLASHcaption] = ACTIONS(7295),
    [anon_sym_BSLASHcite] = ACTIONS(7295),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCite] = ACTIONS(7295),
    [anon_sym_BSLASHnocite] = ACTIONS(7295),
    [anon_sym_BSLASHcitet] = ACTIONS(7295),
    [anon_sym_BSLASHcitep] = ACTIONS(7295),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteA] = ACTIONS(7295),
    [anon_sym_BSLASHciteR] = ACTIONS(7295),
    [anon_sym_BSLASHciteS] = ACTIONS(7295),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7295),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7295),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7295),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7295),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteyear] = ACTIONS(7295),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitedate] = ACTIONS(7295),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteurl] = ACTIONS(7295),
    [anon_sym_BSLASHfullcite] = ACTIONS(7295),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7295),
    [anon_sym_BSLASHcitealt] = ACTIONS(7295),
    [anon_sym_BSLASHcitealp] = ACTIONS(7295),
    [anon_sym_BSLASHcitetext] = ACTIONS(7295),
    [anon_sym_BSLASHparencite] = ACTIONS(7295),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHParencite] = ACTIONS(7295),
    [anon_sym_BSLASHfootcite] = ACTIONS(7295),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7295),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7295),
    [anon_sym_BSLASHtextcite] = ACTIONS(7295),
    [anon_sym_BSLASHTextcite] = ACTIONS(7295),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7295),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7295),
    [anon_sym_BSLASHsupercite] = ACTIONS(7295),
    [anon_sym_BSLASHautocite] = ACTIONS(7295),
    [anon_sym_BSLASHAutocite] = ACTIONS(7295),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHVolcite] = ACTIONS(7295),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHavolcite] = ACTIONS(7295),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHNotecite] = ACTIONS(7295),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHlabel] = ACTIONS(7295),
    [anon_sym_BSLASHref] = ACTIONS(7295),
    [anon_sym_BSLASHeqref] = ACTIONS(7295),
    [anon_sym_BSLASHvref] = ACTIONS(7295),
    [anon_sym_BSLASHVref] = ACTIONS(7295),
    [anon_sym_BSLASHautoref] = ACTIONS(7295),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHpageref] = ACTIONS(7295),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHautopageref] = ACTIONS(7295),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcref] = ACTIONS(7295),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCref] = ACTIONS(7295),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcpageref] = ACTIONS(7295),
    [anon_sym_BSLASHCpageref] = ACTIONS(7295),
    [anon_sym_BSLASHnamecref] = ACTIONS(7295),
    [anon_sym_BSLASHnameCref] = ACTIONS(7295),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7295),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7295),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7295),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7295),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7295),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7295),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7295),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7295),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7295),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7295),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7295),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHdef] = ACTIONS(7295),
    [anon_sym_BSLASHgdef] = ACTIONS(7295),
    [anon_sym_BSLASHedef] = ACTIONS(7295),
    [anon_sym_BSLASHxdef] = ACTIONS(7295),
    [anon_sym_BSLASHlet] = ACTIONS(7295),
    [anon_sym_BSLASHglet] = ACTIONS(7295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7295),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7295),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7295),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7295),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7295),
    [anon_sym_BSLASHgls] = ACTIONS(7295),
    [anon_sym_BSLASHGls] = ACTIONS(7295),
    [anon_sym_BSLASHGLS] = ACTIONS(7295),
    [anon_sym_BSLASHglspl] = ACTIONS(7295),
    [anon_sym_BSLASHGlspl] = ACTIONS(7295),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7295),
    [anon_sym_BSLASHglslink] = ACTIONS(7295),
    [anon_sym_BSLASHglstext] = ACTIONS(7295),
    [anon_sym_BSLASHGlstext] = ACTIONS(7295),
    [anon_sym_BSLASHGLStext] = ACTIONS(7295),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7295),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7295),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7295),
    [anon_sym_BSLASHglsplural] = ACTIONS(7295),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7295),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7295),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHglsname] = ACTIONS(7295),
    [anon_sym_BSLASHGlsname] = ACTIONS(7295),
    [anon_sym_BSLASHGLSname] = ACTIONS(7295),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7295),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7295),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7295),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7295),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7295),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7295),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7295),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7295),
    [anon_sym_BSLASHacrshort] = ACTIONS(7295),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7295),
    [anon_sym_BSLASHACRshort] = ACTIONS(7295),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHacrlong] = ACTIONS(7295),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7295),
    [anon_sym_BSLASHACRlong] = ACTIONS(7295),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHacrfull] = ACTIONS(7295),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7295),
    [anon_sym_BSLASHACRfull] = ACTIONS(7295),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHacs] = ACTIONS(7295),
    [anon_sym_BSLASHAcs] = ACTIONS(7295),
    [anon_sym_BSLASHacsp] = ACTIONS(7295),
    [anon_sym_BSLASHAcsp] = ACTIONS(7295),
    [anon_sym_BSLASHacl] = ACTIONS(7295),
    [anon_sym_BSLASHAcl] = ACTIONS(7295),
    [anon_sym_BSLASHaclp] = ACTIONS(7295),
    [anon_sym_BSLASHAclp] = ACTIONS(7295),
    [anon_sym_BSLASHacf] = ACTIONS(7295),
    [anon_sym_BSLASHAcf] = ACTIONS(7295),
    [anon_sym_BSLASHacfp] = ACTIONS(7295),
    [anon_sym_BSLASHAcfp] = ACTIONS(7295),
    [anon_sym_BSLASHac] = ACTIONS(7295),
    [anon_sym_BSLASHAc] = ACTIONS(7295),
    [anon_sym_BSLASHacp] = ACTIONS(7295),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7295),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7295),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7295),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7295),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7295),
    [anon_sym_BSLASHcolor] = ACTIONS(7295),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7295),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7295),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7295),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7295),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7295),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7295),
    [anon_sym_BSLASHurl] = ACTIONS(7295),
    [anon_sym_BSLASHhref] = ACTIONS(7295),
  },
  [1606] = {
    [sym_command_name] = ACTIONS(2326),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(2326),
    [anon_sym_LBRACK] = ACTIONS(2328),
    [anon_sym_RBRACK] = ACTIONS(2328),
    [anon_sym_COMMA] = ACTIONS(2328),
    [anon_sym_EQ] = ACTIONS(2328),
    [anon_sym_LPAREN] = ACTIONS(2328),
    [anon_sym_RPAREN] = ACTIONS(2328),
    [anon_sym_BSLASHpart] = ACTIONS(2326),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddpart] = ACTIONS(2326),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHchapter] = ACTIONS(2326),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddchap] = ACTIONS(2326),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsection] = ACTIONS(2326),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHaddsec] = ACTIONS(2326),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsubsection] = ACTIONS(2326),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(2326),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHparagraph] = ACTIONS(2326),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(2326),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHitem] = ACTIONS(2326),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(2328),
    [anon_sym_LBRACE] = ACTIONS(2328),
    [sym_word] = ACTIONS(2326),
    [sym_placeholder] = ACTIONS(2328),
    [sym_delimiter] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2328),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_SLASH] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2326),
    [anon_sym_GT] = ACTIONS(2326),
    [anon_sym_BANG] = ACTIONS(2326),
    [anon_sym_PIPE] = ACTIONS(2326),
    [anon_sym_COLON] = ACTIONS(2326),
    [anon_sym_SQUOTE] = ACTIONS(2326),
    [anon_sym__] = ACTIONS(2328),
    [anon_sym_CARET] = ACTIONS(2328),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(2328),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(2328),
    [anon_sym_DOLLAR] = ACTIONS(2326),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(2328),
    [anon_sym_BSLASHleft] = ACTIONS(2326),
    [anon_sym_BSLASHbigl] = ACTIONS(2326),
    [anon_sym_BSLASHBigl] = ACTIONS(2326),
    [anon_sym_BSLASHbiggl] = ACTIONS(2326),
    [anon_sym_BSLASHBiggl] = ACTIONS(2326),
    [anon_sym_BSLASHtext] = ACTIONS(2326),
    [anon_sym_BSLASHintertext] = ACTIONS(2326),
    [anon_sym_BSLASHshortintertext] = ACTIONS(2326),
    [anon_sym_BSLASHbegin] = ACTIONS(2326),
    [anon_sym_BSLASHend] = ACTIONS(2326),
    [anon_sym_BSLASHtitle] = ACTIONS(2326),
    [anon_sym_BSLASHauthor] = ACTIONS(2326),
    [anon_sym_BSLASHusepackage] = ACTIONS(2326),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(2326),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(2326),
    [anon_sym_BSLASHinclude] = ACTIONS(2326),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(2326),
    [anon_sym_BSLASHinput] = ACTIONS(2326),
    [anon_sym_BSLASHsubfile] = ACTIONS(2326),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(2326),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(2326),
    [anon_sym_BSLASHbibliography] = ACTIONS(2326),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(2326),
    [anon_sym_BSLASHincludesvg] = ACTIONS(2326),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(2326),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(2326),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(2326),
    [anon_sym_BSLASHimport] = ACTIONS(2326),
    [anon_sym_BSLASHsubimport] = ACTIONS(2326),
    [anon_sym_BSLASHinputfrom] = ACTIONS(2326),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(2326),
    [anon_sym_BSLASHincludefrom] = ACTIONS(2326),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(2326),
    [anon_sym_BSLASHcaption] = ACTIONS(2326),
    [anon_sym_BSLASHcite] = ACTIONS(2326),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHCite] = ACTIONS(2326),
    [anon_sym_BSLASHnocite] = ACTIONS(2326),
    [anon_sym_BSLASHcitet] = ACTIONS(2326),
    [anon_sym_BSLASHcitep] = ACTIONS(2326),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHciteA] = ACTIONS(2326),
    [anon_sym_BSLASHciteR] = ACTIONS(2326),
    [anon_sym_BSLASHciteS] = ACTIONS(2326),
    [anon_sym_BSLASHciteyearR] = ACTIONS(2326),
    [anon_sym_BSLASHciteauthor] = ACTIONS(2326),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(2326),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcitetitle] = ACTIONS(2326),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHciteyear] = ACTIONS(2326),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcitedate] = ACTIONS(2326),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHciteurl] = ACTIONS(2326),
    [anon_sym_BSLASHfullcite] = ACTIONS(2326),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(2326),
    [anon_sym_BSLASHcitealt] = ACTIONS(2326),
    [anon_sym_BSLASHcitealp] = ACTIONS(2326),
    [anon_sym_BSLASHcitetext] = ACTIONS(2326),
    [anon_sym_BSLASHparencite] = ACTIONS(2326),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHParencite] = ACTIONS(2326),
    [anon_sym_BSLASHfootcite] = ACTIONS(2326),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(2326),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(2326),
    [anon_sym_BSLASHtextcite] = ACTIONS(2326),
    [anon_sym_BSLASHTextcite] = ACTIONS(2326),
    [anon_sym_BSLASHsmartcite] = ACTIONS(2326),
    [anon_sym_BSLASHSmartcite] = ACTIONS(2326),
    [anon_sym_BSLASHsupercite] = ACTIONS(2326),
    [anon_sym_BSLASHautocite] = ACTIONS(2326),
    [anon_sym_BSLASHAutocite] = ACTIONS(2326),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHVolcite] = ACTIONS(2326),
    [anon_sym_BSLASHpvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHPvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHfvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHftvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHsvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHSvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHtvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHTvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHavolcite] = ACTIONS(2326),
    [anon_sym_BSLASHAvolcite] = ACTIONS(2326),
    [anon_sym_BSLASHnotecite] = ACTIONS(2326),
    [anon_sym_BSLASHNotecite] = ACTIONS(2326),
    [anon_sym_BSLASHpnotecite] = ACTIONS(2326),
    [anon_sym_BSLASHPnotecite] = ACTIONS(2326),
    [anon_sym_BSLASHfnotecite] = ACTIONS(2326),
    [anon_sym_BSLASHlabel] = ACTIONS(2326),
    [anon_sym_BSLASHref] = ACTIONS(2326),
    [anon_sym_BSLASHeqref] = ACTIONS(2326),
    [anon_sym_BSLASHvref] = ACTIONS(2326),
    [anon_sym_BSLASHVref] = ACTIONS(2326),
    [anon_sym_BSLASHautoref] = ACTIONS(2326),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHpageref] = ACTIONS(2326),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHautopageref] = ACTIONS(2326),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcref] = ACTIONS(2326),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHCref] = ACTIONS(2326),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcpageref] = ACTIONS(2326),
    [anon_sym_BSLASHCpageref] = ACTIONS(2326),
    [anon_sym_BSLASHnamecref] = ACTIONS(2326),
    [anon_sym_BSLASHnameCref] = ACTIONS(2326),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(2326),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(2326),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(2326),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(2326),
    [anon_sym_BSLASHlabelcref] = ACTIONS(2326),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(2326),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcrefrange] = ACTIONS(2326),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHCrefrange] = ACTIONS(2326),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(2326),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(2326),
    [anon_sym_BSLASHnewlabel] = ACTIONS(2326),
    [anon_sym_BSLASHnewcommand] = ACTIONS(2326),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(2326),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(2326),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(2326),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(2326),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(2326),
    [anon_sym_BSLASHdef] = ACTIONS(2326),
    [anon_sym_BSLASHgdef] = ACTIONS(2326),
    [anon_sym_BSLASHedef] = ACTIONS(2326),
    [anon_sym_BSLASHxdef] = ACTIONS(2326),
    [anon_sym_BSLASHlet] = ACTIONS(2326),
    [anon_sym_BSLASHglet] = ACTIONS(2326),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(2326),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(2326),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(2326),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(2326),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(2326),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(2326),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(2326),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(2326),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(2326),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(2326),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(2326),
    [anon_sym_BSLASHgls] = ACTIONS(2326),
    [anon_sym_BSLASHGls] = ACTIONS(2326),
    [anon_sym_BSLASHGLS] = ACTIONS(2326),
    [anon_sym_BSLASHglspl] = ACTIONS(2326),
    [anon_sym_BSLASHGlspl] = ACTIONS(2326),
    [anon_sym_BSLASHGLSpl] = ACTIONS(2326),
    [anon_sym_BSLASHglsdisp] = ACTIONS(2326),
    [anon_sym_BSLASHglslink] = ACTIONS(2326),
    [anon_sym_BSLASHglstext] = ACTIONS(2326),
    [anon_sym_BSLASHGlstext] = ACTIONS(2326),
    [anon_sym_BSLASHGLStext] = ACTIONS(2326),
    [anon_sym_BSLASHglsfirst] = ACTIONS(2326),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(2326),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(2326),
    [anon_sym_BSLASHglsplural] = ACTIONS(2326),
    [anon_sym_BSLASHGlsplural] = ACTIONS(2326),
    [anon_sym_BSLASHGLSplural] = ACTIONS(2326),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(2326),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(2326),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(2326),
    [anon_sym_BSLASHglsname] = ACTIONS(2326),
    [anon_sym_BSLASHGlsname] = ACTIONS(2326),
    [anon_sym_BSLASHGLSname] = ACTIONS(2326),
    [anon_sym_BSLASHglssymbol] = ACTIONS(2326),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(2326),
    [anon_sym_BSLASHglsdesc] = ACTIONS(2326),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(2326),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(2326),
    [anon_sym_BSLASHglsuseri] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(2326),
    [anon_sym_BSLASHglsuserii] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(2326),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(2326),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(2326),
    [anon_sym_BSLASHglsuserv] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(2326),
    [anon_sym_BSLASHglsuservi] = ACTIONS(2326),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(2326),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(2326),
    [anon_sym_BSLASHnewacronym] = ACTIONS(2326),
    [anon_sym_BSLASHacrshort] = ACTIONS(2326),
    [anon_sym_BSLASHAcrshort] = ACTIONS(2326),
    [anon_sym_BSLASHACRshort] = ACTIONS(2326),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(2326),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(2326),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(2326),
    [anon_sym_BSLASHacrlong] = ACTIONS(2326),
    [anon_sym_BSLASHAcrlong] = ACTIONS(2326),
    [anon_sym_BSLASHACRlong] = ACTIONS(2326),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(2326),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(2326),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(2326),
    [anon_sym_BSLASHacrfull] = ACTIONS(2326),
    [anon_sym_BSLASHAcrfull] = ACTIONS(2326),
    [anon_sym_BSLASHACRfull] = ACTIONS(2326),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(2326),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(2326),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(2326),
    [anon_sym_BSLASHacs] = ACTIONS(2326),
    [anon_sym_BSLASHAcs] = ACTIONS(2326),
    [anon_sym_BSLASHacsp] = ACTIONS(2326),
    [anon_sym_BSLASHAcsp] = ACTIONS(2326),
    [anon_sym_BSLASHacl] = ACTIONS(2326),
    [anon_sym_BSLASHAcl] = ACTIONS(2326),
    [anon_sym_BSLASHaclp] = ACTIONS(2326),
    [anon_sym_BSLASHAclp] = ACTIONS(2326),
    [anon_sym_BSLASHacf] = ACTIONS(2326),
    [anon_sym_BSLASHAcf] = ACTIONS(2326),
    [anon_sym_BSLASHacfp] = ACTIONS(2326),
    [anon_sym_BSLASHAcfp] = ACTIONS(2326),
    [anon_sym_BSLASHac] = ACTIONS(2326),
    [anon_sym_BSLASHAc] = ACTIONS(2326),
    [anon_sym_BSLASHacp] = ACTIONS(2326),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(2326),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(2326),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(2326),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(2326),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(2326),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(2326),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(2326),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(2326),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(2326),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(2326),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(2326),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(2326),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(2328),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(2326),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(2326),
    [anon_sym_BSLASHcolor] = ACTIONS(2326),
    [anon_sym_BSLASHpagecolor] = ACTIONS(2326),
    [anon_sym_BSLASHtextcolor] = ACTIONS(2326),
    [anon_sym_BSLASHmathcolor] = ACTIONS(2326),
    [anon_sym_BSLASHcolorbox] = ACTIONS(2326),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(2326),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(2326),
    [anon_sym_BSLASHurl] = ACTIONS(2326),
    [anon_sym_BSLASHhref] = ACTIONS(2326),
  },
  [1607] = {
    [sym_command_name] = ACTIONS(7299),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7299),
    [anon_sym_LBRACK] = ACTIONS(7301),
    [anon_sym_RBRACK] = ACTIONS(7301),
    [anon_sym_COMMA] = ACTIONS(7301),
    [anon_sym_EQ] = ACTIONS(7301),
    [anon_sym_LPAREN] = ACTIONS(7301),
    [anon_sym_RPAREN] = ACTIONS(7301),
    [anon_sym_BSLASHpart] = ACTIONS(7299),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHaddpart] = ACTIONS(7299),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHchapter] = ACTIONS(7299),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHaddchap] = ACTIONS(7299),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHsection] = ACTIONS(7299),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHaddsec] = ACTIONS(7299),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHsubsection] = ACTIONS(7299),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7299),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHparagraph] = ACTIONS(7299),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7299),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHitem] = ACTIONS(7299),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7301),
    [anon_sym_LBRACE] = ACTIONS(7301),
    [sym_word] = ACTIONS(7299),
    [sym_placeholder] = ACTIONS(7301),
    [sym_delimiter] = ACTIONS(7301),
    [anon_sym_PLUS] = ACTIONS(7301),
    [anon_sym_DASH] = ACTIONS(7301),
    [anon_sym_STAR] = ACTIONS(7301),
    [anon_sym_SLASH] = ACTIONS(7301),
    [anon_sym_LT] = ACTIONS(7299),
    [anon_sym_GT] = ACTIONS(7299),
    [anon_sym_BANG] = ACTIONS(7299),
    [anon_sym_PIPE] = ACTIONS(7299),
    [anon_sym_COLON] = ACTIONS(7299),
    [anon_sym_SQUOTE] = ACTIONS(7299),
    [anon_sym__] = ACTIONS(7301),
    [anon_sym_CARET] = ACTIONS(7301),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7301),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7301),
    [anon_sym_DOLLAR] = ACTIONS(7299),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7301),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7301),
    [anon_sym_BSLASHleft] = ACTIONS(7299),
    [anon_sym_BSLASHbigl] = ACTIONS(7299),
    [anon_sym_BSLASHBigl] = ACTIONS(7299),
    [anon_sym_BSLASHbiggl] = ACTIONS(7299),
    [anon_sym_BSLASHBiggl] = ACTIONS(7299),
    [anon_sym_BSLASHtext] = ACTIONS(7299),
    [anon_sym_BSLASHintertext] = ACTIONS(7299),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7299),
    [anon_sym_BSLASHbegin] = ACTIONS(7299),
    [anon_sym_BSLASHtitle] = ACTIONS(7299),
    [anon_sym_BSLASHauthor] = ACTIONS(7299),
    [anon_sym_BSLASHusepackage] = ACTIONS(7299),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7299),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7299),
    [anon_sym_BSLASHinclude] = ACTIONS(7299),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7299),
    [anon_sym_BSLASHinput] = ACTIONS(7299),
    [anon_sym_BSLASHsubfile] = ACTIONS(7299),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7299),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7299),
    [anon_sym_BSLASHbibliography] = ACTIONS(7299),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7299),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7299),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7299),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7299),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7299),
    [anon_sym_BSLASHimport] = ACTIONS(7299),
    [anon_sym_BSLASHsubimport] = ACTIONS(7299),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7299),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7299),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7299),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7299),
    [anon_sym_BSLASHcaption] = ACTIONS(7299),
    [anon_sym_BSLASHcite] = ACTIONS(7299),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCite] = ACTIONS(7299),
    [anon_sym_BSLASHnocite] = ACTIONS(7299),
    [anon_sym_BSLASHcitet] = ACTIONS(7299),
    [anon_sym_BSLASHcitep] = ACTIONS(7299),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteA] = ACTIONS(7299),
    [anon_sym_BSLASHciteR] = ACTIONS(7299),
    [anon_sym_BSLASHciteS] = ACTIONS(7299),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7299),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7299),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7299),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7299),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteyear] = ACTIONS(7299),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitedate] = ACTIONS(7299),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteurl] = ACTIONS(7299),
    [anon_sym_BSLASHfullcite] = ACTIONS(7299),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7299),
    [anon_sym_BSLASHcitealt] = ACTIONS(7299),
    [anon_sym_BSLASHcitealp] = ACTIONS(7299),
    [anon_sym_BSLASHcitetext] = ACTIONS(7299),
    [anon_sym_BSLASHparencite] = ACTIONS(7299),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHParencite] = ACTIONS(7299),
    [anon_sym_BSLASHfootcite] = ACTIONS(7299),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7299),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7299),
    [anon_sym_BSLASHtextcite] = ACTIONS(7299),
    [anon_sym_BSLASHTextcite] = ACTIONS(7299),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7299),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7299),
    [anon_sym_BSLASHsupercite] = ACTIONS(7299),
    [anon_sym_BSLASHautocite] = ACTIONS(7299),
    [anon_sym_BSLASHAutocite] = ACTIONS(7299),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHVolcite] = ACTIONS(7299),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHavolcite] = ACTIONS(7299),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHNotecite] = ACTIONS(7299),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHlabel] = ACTIONS(7299),
    [anon_sym_BSLASHref] = ACTIONS(7299),
    [anon_sym_BSLASHeqref] = ACTIONS(7299),
    [anon_sym_BSLASHvref] = ACTIONS(7299),
    [anon_sym_BSLASHVref] = ACTIONS(7299),
    [anon_sym_BSLASHautoref] = ACTIONS(7299),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHpageref] = ACTIONS(7299),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHautopageref] = ACTIONS(7299),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcref] = ACTIONS(7299),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCref] = ACTIONS(7299),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcpageref] = ACTIONS(7299),
    [anon_sym_BSLASHCpageref] = ACTIONS(7299),
    [anon_sym_BSLASHnamecref] = ACTIONS(7299),
    [anon_sym_BSLASHnameCref] = ACTIONS(7299),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7299),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7299),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7299),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7299),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7299),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7299),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7299),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7299),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7299),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7299),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7299),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHdef] = ACTIONS(7299),
    [anon_sym_BSLASHgdef] = ACTIONS(7299),
    [anon_sym_BSLASHedef] = ACTIONS(7299),
    [anon_sym_BSLASHxdef] = ACTIONS(7299),
    [anon_sym_BSLASHlet] = ACTIONS(7299),
    [anon_sym_BSLASHglet] = ACTIONS(7299),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7299),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7299),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7299),
    [anon_sym_BSLASHgls] = ACTIONS(7299),
    [anon_sym_BSLASHGls] = ACTIONS(7299),
    [anon_sym_BSLASHGLS] = ACTIONS(7299),
    [anon_sym_BSLASHglspl] = ACTIONS(7299),
    [anon_sym_BSLASHGlspl] = ACTIONS(7299),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7299),
    [anon_sym_BSLASHglslink] = ACTIONS(7299),
    [anon_sym_BSLASHglstext] = ACTIONS(7299),
    [anon_sym_BSLASHGlstext] = ACTIONS(7299),
    [anon_sym_BSLASHGLStext] = ACTIONS(7299),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7299),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7299),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7299),
    [anon_sym_BSLASHglsplural] = ACTIONS(7299),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7299),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7299),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHglsname] = ACTIONS(7299),
    [anon_sym_BSLASHGlsname] = ACTIONS(7299),
    [anon_sym_BSLASHGLSname] = ACTIONS(7299),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7299),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7299),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7299),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7299),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7299),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7299),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7299),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7299),
    [anon_sym_BSLASHacrshort] = ACTIONS(7299),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7299),
    [anon_sym_BSLASHACRshort] = ACTIONS(7299),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHacrlong] = ACTIONS(7299),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7299),
    [anon_sym_BSLASHACRlong] = ACTIONS(7299),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHacrfull] = ACTIONS(7299),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7299),
    [anon_sym_BSLASHACRfull] = ACTIONS(7299),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHacs] = ACTIONS(7299),
    [anon_sym_BSLASHAcs] = ACTIONS(7299),
    [anon_sym_BSLASHacsp] = ACTIONS(7299),
    [anon_sym_BSLASHAcsp] = ACTIONS(7299),
    [anon_sym_BSLASHacl] = ACTIONS(7299),
    [anon_sym_BSLASHAcl] = ACTIONS(7299),
    [anon_sym_BSLASHaclp] = ACTIONS(7299),
    [anon_sym_BSLASHAclp] = ACTIONS(7299),
    [anon_sym_BSLASHacf] = ACTIONS(7299),
    [anon_sym_BSLASHAcf] = ACTIONS(7299),
    [anon_sym_BSLASHacfp] = ACTIONS(7299),
    [anon_sym_BSLASHAcfp] = ACTIONS(7299),
    [anon_sym_BSLASHac] = ACTIONS(7299),
    [anon_sym_BSLASHAc] = ACTIONS(7299),
    [anon_sym_BSLASHacp] = ACTIONS(7299),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7299),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7299),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7299),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7299),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7299),
    [anon_sym_BSLASHcolor] = ACTIONS(7299),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7299),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7299),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7299),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7299),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7299),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7299),
    [anon_sym_BSLASHurl] = ACTIONS(7299),
    [anon_sym_BSLASHhref] = ACTIONS(7299),
  },
  [1608] = {
    [sym_command_name] = ACTIONS(7303),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7303),
    [anon_sym_LBRACK] = ACTIONS(7305),
    [anon_sym_RBRACK] = ACTIONS(7305),
    [anon_sym_COMMA] = ACTIONS(7305),
    [anon_sym_EQ] = ACTIONS(7305),
    [anon_sym_LPAREN] = ACTIONS(7305),
    [anon_sym_RPAREN] = ACTIONS(7305),
    [anon_sym_BSLASHpart] = ACTIONS(7303),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHaddpart] = ACTIONS(7303),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHchapter] = ACTIONS(7303),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHaddchap] = ACTIONS(7303),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHsection] = ACTIONS(7303),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHaddsec] = ACTIONS(7303),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHsubsection] = ACTIONS(7303),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7303),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHparagraph] = ACTIONS(7303),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7303),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHitem] = ACTIONS(7303),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7305),
    [anon_sym_LBRACE] = ACTIONS(7305),
    [sym_word] = ACTIONS(7303),
    [sym_placeholder] = ACTIONS(7305),
    [sym_delimiter] = ACTIONS(7305),
    [anon_sym_PLUS] = ACTIONS(7305),
    [anon_sym_DASH] = ACTIONS(7305),
    [anon_sym_STAR] = ACTIONS(7305),
    [anon_sym_SLASH] = ACTIONS(7305),
    [anon_sym_LT] = ACTIONS(7303),
    [anon_sym_GT] = ACTIONS(7303),
    [anon_sym_BANG] = ACTIONS(7303),
    [anon_sym_PIPE] = ACTIONS(7303),
    [anon_sym_COLON] = ACTIONS(7303),
    [anon_sym_SQUOTE] = ACTIONS(7303),
    [anon_sym__] = ACTIONS(7305),
    [anon_sym_CARET] = ACTIONS(7305),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7305),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7305),
    [anon_sym_DOLLAR] = ACTIONS(7303),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7305),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7305),
    [anon_sym_BSLASHleft] = ACTIONS(7303),
    [anon_sym_BSLASHbigl] = ACTIONS(7303),
    [anon_sym_BSLASHBigl] = ACTIONS(7303),
    [anon_sym_BSLASHbiggl] = ACTIONS(7303),
    [anon_sym_BSLASHBiggl] = ACTIONS(7303),
    [anon_sym_BSLASHtext] = ACTIONS(7303),
    [anon_sym_BSLASHintertext] = ACTIONS(7303),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7303),
    [anon_sym_BSLASHbegin] = ACTIONS(7303),
    [anon_sym_BSLASHtitle] = ACTIONS(7303),
    [anon_sym_BSLASHauthor] = ACTIONS(7303),
    [anon_sym_BSLASHusepackage] = ACTIONS(7303),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7303),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7303),
    [anon_sym_BSLASHinclude] = ACTIONS(7303),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7303),
    [anon_sym_BSLASHinput] = ACTIONS(7303),
    [anon_sym_BSLASHsubfile] = ACTIONS(7303),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7303),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7303),
    [anon_sym_BSLASHbibliography] = ACTIONS(7303),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7303),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7303),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7303),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7303),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7303),
    [anon_sym_BSLASHimport] = ACTIONS(7303),
    [anon_sym_BSLASHsubimport] = ACTIONS(7303),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7303),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7303),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7303),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7303),
    [anon_sym_BSLASHcaption] = ACTIONS(7303),
    [anon_sym_BSLASHcite] = ACTIONS(7303),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCite] = ACTIONS(7303),
    [anon_sym_BSLASHnocite] = ACTIONS(7303),
    [anon_sym_BSLASHcitet] = ACTIONS(7303),
    [anon_sym_BSLASHcitep] = ACTIONS(7303),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteA] = ACTIONS(7303),
    [anon_sym_BSLASHciteR] = ACTIONS(7303),
    [anon_sym_BSLASHciteS] = ACTIONS(7303),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7303),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7303),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7303),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7303),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteyear] = ACTIONS(7303),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitedate] = ACTIONS(7303),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteurl] = ACTIONS(7303),
    [anon_sym_BSLASHfullcite] = ACTIONS(7303),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7303),
    [anon_sym_BSLASHcitealt] = ACTIONS(7303),
    [anon_sym_BSLASHcitealp] = ACTIONS(7303),
    [anon_sym_BSLASHcitetext] = ACTIONS(7303),
    [anon_sym_BSLASHparencite] = ACTIONS(7303),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHParencite] = ACTIONS(7303),
    [anon_sym_BSLASHfootcite] = ACTIONS(7303),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7303),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7303),
    [anon_sym_BSLASHtextcite] = ACTIONS(7303),
    [anon_sym_BSLASHTextcite] = ACTIONS(7303),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7303),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7303),
    [anon_sym_BSLASHsupercite] = ACTIONS(7303),
    [anon_sym_BSLASHautocite] = ACTIONS(7303),
    [anon_sym_BSLASHAutocite] = ACTIONS(7303),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHVolcite] = ACTIONS(7303),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHavolcite] = ACTIONS(7303),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHNotecite] = ACTIONS(7303),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHlabel] = ACTIONS(7303),
    [anon_sym_BSLASHref] = ACTIONS(7303),
    [anon_sym_BSLASHeqref] = ACTIONS(7303),
    [anon_sym_BSLASHvref] = ACTIONS(7303),
    [anon_sym_BSLASHVref] = ACTIONS(7303),
    [anon_sym_BSLASHautoref] = ACTIONS(7303),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHpageref] = ACTIONS(7303),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHautopageref] = ACTIONS(7303),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcref] = ACTIONS(7303),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCref] = ACTIONS(7303),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcpageref] = ACTIONS(7303),
    [anon_sym_BSLASHCpageref] = ACTIONS(7303),
    [anon_sym_BSLASHnamecref] = ACTIONS(7303),
    [anon_sym_BSLASHnameCref] = ACTIONS(7303),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7303),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7303),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7303),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7303),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7303),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7303),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7303),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7303),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7303),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7303),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7303),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHdef] = ACTIONS(7303),
    [anon_sym_BSLASHgdef] = ACTIONS(7303),
    [anon_sym_BSLASHedef] = ACTIONS(7303),
    [anon_sym_BSLASHxdef] = ACTIONS(7303),
    [anon_sym_BSLASHlet] = ACTIONS(7303),
    [anon_sym_BSLASHglet] = ACTIONS(7303),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7303),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7303),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7303),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7303),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7303),
    [anon_sym_BSLASHgls] = ACTIONS(7303),
    [anon_sym_BSLASHGls] = ACTIONS(7303),
    [anon_sym_BSLASHGLS] = ACTIONS(7303),
    [anon_sym_BSLASHglspl] = ACTIONS(7303),
    [anon_sym_BSLASHGlspl] = ACTIONS(7303),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7303),
    [anon_sym_BSLASHglslink] = ACTIONS(7303),
    [anon_sym_BSLASHglstext] = ACTIONS(7303),
    [anon_sym_BSLASHGlstext] = ACTIONS(7303),
    [anon_sym_BSLASHGLStext] = ACTIONS(7303),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7303),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7303),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7303),
    [anon_sym_BSLASHglsplural] = ACTIONS(7303),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7303),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7303),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHglsname] = ACTIONS(7303),
    [anon_sym_BSLASHGlsname] = ACTIONS(7303),
    [anon_sym_BSLASHGLSname] = ACTIONS(7303),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7303),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7303),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7303),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7303),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7303),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7303),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7303),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7303),
    [anon_sym_BSLASHacrshort] = ACTIONS(7303),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7303),
    [anon_sym_BSLASHACRshort] = ACTIONS(7303),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHacrlong] = ACTIONS(7303),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7303),
    [anon_sym_BSLASHACRlong] = ACTIONS(7303),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHacrfull] = ACTIONS(7303),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7303),
    [anon_sym_BSLASHACRfull] = ACTIONS(7303),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHacs] = ACTIONS(7303),
    [anon_sym_BSLASHAcs] = ACTIONS(7303),
    [anon_sym_BSLASHacsp] = ACTIONS(7303),
    [anon_sym_BSLASHAcsp] = ACTIONS(7303),
    [anon_sym_BSLASHacl] = ACTIONS(7303),
    [anon_sym_BSLASHAcl] = ACTIONS(7303),
    [anon_sym_BSLASHaclp] = ACTIONS(7303),
    [anon_sym_BSLASHAclp] = ACTIONS(7303),
    [anon_sym_BSLASHacf] = ACTIONS(7303),
    [anon_sym_BSLASHAcf] = ACTIONS(7303),
    [anon_sym_BSLASHacfp] = ACTIONS(7303),
    [anon_sym_BSLASHAcfp] = ACTIONS(7303),
    [anon_sym_BSLASHac] = ACTIONS(7303),
    [anon_sym_BSLASHAc] = ACTIONS(7303),
    [anon_sym_BSLASHacp] = ACTIONS(7303),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7303),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7303),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7303),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7303),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7303),
    [anon_sym_BSLASHcolor] = ACTIONS(7303),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7303),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7303),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7303),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7303),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7303),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7303),
    [anon_sym_BSLASHurl] = ACTIONS(7303),
    [anon_sym_BSLASHhref] = ACTIONS(7303),
  },
  [1609] = {
    [sym_command_name] = ACTIONS(7807),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7807),
    [anon_sym_LBRACK] = ACTIONS(7809),
    [anon_sym_RBRACK] = ACTIONS(7809),
    [anon_sym_COMMA] = ACTIONS(7809),
    [anon_sym_EQ] = ACTIONS(7809),
    [anon_sym_LPAREN] = ACTIONS(7809),
    [anon_sym_RPAREN] = ACTIONS(7809),
    [anon_sym_BSLASHpart] = ACTIONS(7807),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHaddpart] = ACTIONS(7807),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHchapter] = ACTIONS(7807),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHaddchap] = ACTIONS(7807),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHsection] = ACTIONS(7807),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHaddsec] = ACTIONS(7807),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHsubsection] = ACTIONS(7807),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7807),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHparagraph] = ACTIONS(7807),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7807),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHitem] = ACTIONS(7807),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7809),
    [anon_sym_LBRACE] = ACTIONS(7809),
    [sym_word] = ACTIONS(7807),
    [sym_placeholder] = ACTIONS(7809),
    [sym_delimiter] = ACTIONS(7809),
    [anon_sym_PLUS] = ACTIONS(7809),
    [anon_sym_DASH] = ACTIONS(7809),
    [anon_sym_STAR] = ACTIONS(7809),
    [anon_sym_SLASH] = ACTIONS(7809),
    [anon_sym_LT] = ACTIONS(7807),
    [anon_sym_GT] = ACTIONS(7807),
    [anon_sym_BANG] = ACTIONS(7807),
    [anon_sym_PIPE] = ACTIONS(7807),
    [anon_sym_COLON] = ACTIONS(7807),
    [anon_sym_SQUOTE] = ACTIONS(7807),
    [anon_sym__] = ACTIONS(7809),
    [anon_sym_CARET] = ACTIONS(7809),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7809),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7809),
    [anon_sym_DOLLAR] = ACTIONS(7807),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7809),
    [anon_sym_BSLASHleft] = ACTIONS(7807),
    [anon_sym_BSLASHbigl] = ACTIONS(7807),
    [anon_sym_BSLASHBigl] = ACTIONS(7807),
    [anon_sym_BSLASHbiggl] = ACTIONS(7807),
    [anon_sym_BSLASHBiggl] = ACTIONS(7807),
    [anon_sym_BSLASHtext] = ACTIONS(7807),
    [anon_sym_BSLASHintertext] = ACTIONS(7807),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7807),
    [anon_sym_BSLASHbegin] = ACTIONS(7807),
    [anon_sym_BSLASHend] = ACTIONS(7807),
    [anon_sym_BSLASHtitle] = ACTIONS(7807),
    [anon_sym_BSLASHauthor] = ACTIONS(7807),
    [anon_sym_BSLASHusepackage] = ACTIONS(7807),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7807),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7807),
    [anon_sym_BSLASHinclude] = ACTIONS(7807),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7807),
    [anon_sym_BSLASHinput] = ACTIONS(7807),
    [anon_sym_BSLASHsubfile] = ACTIONS(7807),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7807),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7807),
    [anon_sym_BSLASHbibliography] = ACTIONS(7807),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7807),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7807),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7807),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7807),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7807),
    [anon_sym_BSLASHimport] = ACTIONS(7807),
    [anon_sym_BSLASHsubimport] = ACTIONS(7807),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7807),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7807),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7807),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7807),
    [anon_sym_BSLASHcaption] = ACTIONS(7807),
    [anon_sym_BSLASHcite] = ACTIONS(7807),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHCite] = ACTIONS(7807),
    [anon_sym_BSLASHnocite] = ACTIONS(7807),
    [anon_sym_BSLASHcitet] = ACTIONS(7807),
    [anon_sym_BSLASHcitep] = ACTIONS(7807),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHciteA] = ACTIONS(7807),
    [anon_sym_BSLASHciteR] = ACTIONS(7807),
    [anon_sym_BSLASHciteS] = ACTIONS(7807),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7807),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7807),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7807),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7807),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHciteyear] = ACTIONS(7807),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHcitedate] = ACTIONS(7807),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHciteurl] = ACTIONS(7807),
    [anon_sym_BSLASHfullcite] = ACTIONS(7807),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7807),
    [anon_sym_BSLASHcitealt] = ACTIONS(7807),
    [anon_sym_BSLASHcitealp] = ACTIONS(7807),
    [anon_sym_BSLASHcitetext] = ACTIONS(7807),
    [anon_sym_BSLASHparencite] = ACTIONS(7807),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHParencite] = ACTIONS(7807),
    [anon_sym_BSLASHfootcite] = ACTIONS(7807),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7807),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7807),
    [anon_sym_BSLASHtextcite] = ACTIONS(7807),
    [anon_sym_BSLASHTextcite] = ACTIONS(7807),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7807),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7807),
    [anon_sym_BSLASHsupercite] = ACTIONS(7807),
    [anon_sym_BSLASHautocite] = ACTIONS(7807),
    [anon_sym_BSLASHAutocite] = ACTIONS(7807),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHvolcite] = ACTIONS(7807),
    [anon_sym_BSLASHVolcite] = ACTIONS(7807),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7807),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7807),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7807),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7807),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7807),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7807),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7807),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7807),
    [anon_sym_BSLASHavolcite] = ACTIONS(7807),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7807),
    [anon_sym_BSLASHnotecite] = ACTIONS(7807),
    [anon_sym_BSLASHNotecite] = ACTIONS(7807),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7807),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7807),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7807),
    [anon_sym_BSLASHlabel] = ACTIONS(7807),
    [anon_sym_BSLASHref] = ACTIONS(7807),
    [anon_sym_BSLASHeqref] = ACTIONS(7807),
    [anon_sym_BSLASHvref] = ACTIONS(7807),
    [anon_sym_BSLASHVref] = ACTIONS(7807),
    [anon_sym_BSLASHautoref] = ACTIONS(7807),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHpageref] = ACTIONS(7807),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHautopageref] = ACTIONS(7807),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHcref] = ACTIONS(7807),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHCref] = ACTIONS(7807),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHcpageref] = ACTIONS(7807),
    [anon_sym_BSLASHCpageref] = ACTIONS(7807),
    [anon_sym_BSLASHnamecref] = ACTIONS(7807),
    [anon_sym_BSLASHnameCref] = ACTIONS(7807),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7807),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7807),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7807),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7807),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7807),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7807),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7807),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7807),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7807),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7807),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7807),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7807),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7807),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7807),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7807),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7807),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7807),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7807),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7807),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7807),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7807),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7807),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7807),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7807),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7807),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7807),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7807),
    [anon_sym_BSLASHdef] = ACTIONS(7807),
    [anon_sym_BSLASHgdef] = ACTIONS(7807),
    [anon_sym_BSLASHedef] = ACTIONS(7807),
    [anon_sym_BSLASHxdef] = ACTIONS(7807),
    [anon_sym_BSLASHlet] = ACTIONS(7807),
    [anon_sym_BSLASHglet] = ACTIONS(7807),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7807),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7807),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7807),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7807),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7807),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7807),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7807),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7807),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7807),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7807),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7807),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7807),
    [anon_sym_BSLASHgls] = ACTIONS(7807),
    [anon_sym_BSLASHGls] = ACTIONS(7807),
    [anon_sym_BSLASHGLS] = ACTIONS(7807),
    [anon_sym_BSLASHglspl] = ACTIONS(7807),
    [anon_sym_BSLASHGlspl] = ACTIONS(7807),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7807),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7807),
    [anon_sym_BSLASHglslink] = ACTIONS(7807),
    [anon_sym_BSLASHglstext] = ACTIONS(7807),
    [anon_sym_BSLASHGlstext] = ACTIONS(7807),
    [anon_sym_BSLASHGLStext] = ACTIONS(7807),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7807),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7807),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7807),
    [anon_sym_BSLASHglsplural] = ACTIONS(7807),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7807),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7807),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7807),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7807),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7807),
    [anon_sym_BSLASHglsname] = ACTIONS(7807),
    [anon_sym_BSLASHGlsname] = ACTIONS(7807),
    [anon_sym_BSLASHGLSname] = ACTIONS(7807),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7807),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7807),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7807),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7807),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7807),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7807),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7807),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7807),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7807),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7807),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7807),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7807),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7807),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7807),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7807),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7807),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7807),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7807),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7807),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7807),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7807),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7807),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7807),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7807),
    [anon_sym_BSLASHacrshort] = ACTIONS(7807),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7807),
    [anon_sym_BSLASHACRshort] = ACTIONS(7807),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7807),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7807),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7807),
    [anon_sym_BSLASHacrlong] = ACTIONS(7807),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7807),
    [anon_sym_BSLASHACRlong] = ACTIONS(7807),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7807),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7807),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7807),
    [anon_sym_BSLASHacrfull] = ACTIONS(7807),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7807),
    [anon_sym_BSLASHACRfull] = ACTIONS(7807),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7807),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7807),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7807),
    [anon_sym_BSLASHacs] = ACTIONS(7807),
    [anon_sym_BSLASHAcs] = ACTIONS(7807),
    [anon_sym_BSLASHacsp] = ACTIONS(7807),
    [anon_sym_BSLASHAcsp] = ACTIONS(7807),
    [anon_sym_BSLASHacl] = ACTIONS(7807),
    [anon_sym_BSLASHAcl] = ACTIONS(7807),
    [anon_sym_BSLASHaclp] = ACTIONS(7807),
    [anon_sym_BSLASHAclp] = ACTIONS(7807),
    [anon_sym_BSLASHacf] = ACTIONS(7807),
    [anon_sym_BSLASHAcf] = ACTIONS(7807),
    [anon_sym_BSLASHacfp] = ACTIONS(7807),
    [anon_sym_BSLASHAcfp] = ACTIONS(7807),
    [anon_sym_BSLASHac] = ACTIONS(7807),
    [anon_sym_BSLASHAc] = ACTIONS(7807),
    [anon_sym_BSLASHacp] = ACTIONS(7807),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7807),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7807),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7807),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7807),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7807),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7807),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7807),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7807),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7807),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7807),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7807),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7807),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7809),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7807),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7807),
    [anon_sym_BSLASHcolor] = ACTIONS(7807),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7807),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7807),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7807),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7807),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7807),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7807),
    [anon_sym_BSLASHurl] = ACTIONS(7807),
    [anon_sym_BSLASHhref] = ACTIONS(7807),
  },
  [1610] = {
    [sym_command_name] = ACTIONS(7307),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7307),
    [anon_sym_LBRACK] = ACTIONS(7309),
    [anon_sym_RBRACK] = ACTIONS(7309),
    [anon_sym_COMMA] = ACTIONS(7309),
    [anon_sym_EQ] = ACTIONS(7309),
    [anon_sym_LPAREN] = ACTIONS(7309),
    [anon_sym_RPAREN] = ACTIONS(7309),
    [anon_sym_BSLASHpart] = ACTIONS(7307),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHaddpart] = ACTIONS(7307),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHchapter] = ACTIONS(7307),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHaddchap] = ACTIONS(7307),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHsection] = ACTIONS(7307),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHaddsec] = ACTIONS(7307),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHsubsection] = ACTIONS(7307),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7307),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHparagraph] = ACTIONS(7307),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7307),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHitem] = ACTIONS(7307),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7309),
    [anon_sym_LBRACE] = ACTIONS(7309),
    [sym_word] = ACTIONS(7307),
    [sym_placeholder] = ACTIONS(7309),
    [sym_delimiter] = ACTIONS(7309),
    [anon_sym_PLUS] = ACTIONS(7309),
    [anon_sym_DASH] = ACTIONS(7309),
    [anon_sym_STAR] = ACTIONS(7309),
    [anon_sym_SLASH] = ACTIONS(7309),
    [anon_sym_LT] = ACTIONS(7307),
    [anon_sym_GT] = ACTIONS(7307),
    [anon_sym_BANG] = ACTIONS(7307),
    [anon_sym_PIPE] = ACTIONS(7307),
    [anon_sym_COLON] = ACTIONS(7307),
    [anon_sym_SQUOTE] = ACTIONS(7307),
    [anon_sym__] = ACTIONS(7309),
    [anon_sym_CARET] = ACTIONS(7309),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7309),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7309),
    [anon_sym_DOLLAR] = ACTIONS(7307),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7309),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7309),
    [anon_sym_BSLASHleft] = ACTIONS(7307),
    [anon_sym_BSLASHbigl] = ACTIONS(7307),
    [anon_sym_BSLASHBigl] = ACTIONS(7307),
    [anon_sym_BSLASHbiggl] = ACTIONS(7307),
    [anon_sym_BSLASHBiggl] = ACTIONS(7307),
    [anon_sym_BSLASHtext] = ACTIONS(7307),
    [anon_sym_BSLASHintertext] = ACTIONS(7307),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7307),
    [anon_sym_BSLASHbegin] = ACTIONS(7307),
    [anon_sym_BSLASHtitle] = ACTIONS(7307),
    [anon_sym_BSLASHauthor] = ACTIONS(7307),
    [anon_sym_BSLASHusepackage] = ACTIONS(7307),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7307),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7307),
    [anon_sym_BSLASHinclude] = ACTIONS(7307),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7307),
    [anon_sym_BSLASHinput] = ACTIONS(7307),
    [anon_sym_BSLASHsubfile] = ACTIONS(7307),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7307),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7307),
    [anon_sym_BSLASHbibliography] = ACTIONS(7307),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7307),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7307),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7307),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7307),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7307),
    [anon_sym_BSLASHimport] = ACTIONS(7307),
    [anon_sym_BSLASHsubimport] = ACTIONS(7307),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7307),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7307),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7307),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7307),
    [anon_sym_BSLASHcaption] = ACTIONS(7307),
    [anon_sym_BSLASHcite] = ACTIONS(7307),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCite] = ACTIONS(7307),
    [anon_sym_BSLASHnocite] = ACTIONS(7307),
    [anon_sym_BSLASHcitet] = ACTIONS(7307),
    [anon_sym_BSLASHcitep] = ACTIONS(7307),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteA] = ACTIONS(7307),
    [anon_sym_BSLASHciteR] = ACTIONS(7307),
    [anon_sym_BSLASHciteS] = ACTIONS(7307),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7307),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7307),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7307),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7307),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteyear] = ACTIONS(7307),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitedate] = ACTIONS(7307),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteurl] = ACTIONS(7307),
    [anon_sym_BSLASHfullcite] = ACTIONS(7307),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7307),
    [anon_sym_BSLASHcitealt] = ACTIONS(7307),
    [anon_sym_BSLASHcitealp] = ACTIONS(7307),
    [anon_sym_BSLASHcitetext] = ACTIONS(7307),
    [anon_sym_BSLASHparencite] = ACTIONS(7307),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHParencite] = ACTIONS(7307),
    [anon_sym_BSLASHfootcite] = ACTIONS(7307),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7307),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7307),
    [anon_sym_BSLASHtextcite] = ACTIONS(7307),
    [anon_sym_BSLASHTextcite] = ACTIONS(7307),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7307),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7307),
    [anon_sym_BSLASHsupercite] = ACTIONS(7307),
    [anon_sym_BSLASHautocite] = ACTIONS(7307),
    [anon_sym_BSLASHAutocite] = ACTIONS(7307),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHVolcite] = ACTIONS(7307),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHavolcite] = ACTIONS(7307),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHNotecite] = ACTIONS(7307),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHlabel] = ACTIONS(7307),
    [anon_sym_BSLASHref] = ACTIONS(7307),
    [anon_sym_BSLASHeqref] = ACTIONS(7307),
    [anon_sym_BSLASHvref] = ACTIONS(7307),
    [anon_sym_BSLASHVref] = ACTIONS(7307),
    [anon_sym_BSLASHautoref] = ACTIONS(7307),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHpageref] = ACTIONS(7307),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHautopageref] = ACTIONS(7307),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcref] = ACTIONS(7307),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCref] = ACTIONS(7307),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcpageref] = ACTIONS(7307),
    [anon_sym_BSLASHCpageref] = ACTIONS(7307),
    [anon_sym_BSLASHnamecref] = ACTIONS(7307),
    [anon_sym_BSLASHnameCref] = ACTIONS(7307),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7307),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7307),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7307),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7307),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7307),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7307),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7307),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7307),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7307),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7307),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7307),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHdef] = ACTIONS(7307),
    [anon_sym_BSLASHgdef] = ACTIONS(7307),
    [anon_sym_BSLASHedef] = ACTIONS(7307),
    [anon_sym_BSLASHxdef] = ACTIONS(7307),
    [anon_sym_BSLASHlet] = ACTIONS(7307),
    [anon_sym_BSLASHglet] = ACTIONS(7307),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7307),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7307),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7307),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7307),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7307),
    [anon_sym_BSLASHgls] = ACTIONS(7307),
    [anon_sym_BSLASHGls] = ACTIONS(7307),
    [anon_sym_BSLASHGLS] = ACTIONS(7307),
    [anon_sym_BSLASHglspl] = ACTIONS(7307),
    [anon_sym_BSLASHGlspl] = ACTIONS(7307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7307),
    [anon_sym_BSLASHglslink] = ACTIONS(7307),
    [anon_sym_BSLASHglstext] = ACTIONS(7307),
    [anon_sym_BSLASHGlstext] = ACTIONS(7307),
    [anon_sym_BSLASHGLStext] = ACTIONS(7307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7307),
    [anon_sym_BSLASHglsplural] = ACTIONS(7307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHglsname] = ACTIONS(7307),
    [anon_sym_BSLASHGlsname] = ACTIONS(7307),
    [anon_sym_BSLASHGLSname] = ACTIONS(7307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7307),
    [anon_sym_BSLASHacrshort] = ACTIONS(7307),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7307),
    [anon_sym_BSLASHACRshort] = ACTIONS(7307),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHacrlong] = ACTIONS(7307),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7307),
    [anon_sym_BSLASHACRlong] = ACTIONS(7307),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHacrfull] = ACTIONS(7307),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7307),
    [anon_sym_BSLASHACRfull] = ACTIONS(7307),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHacs] = ACTIONS(7307),
    [anon_sym_BSLASHAcs] = ACTIONS(7307),
    [anon_sym_BSLASHacsp] = ACTIONS(7307),
    [anon_sym_BSLASHAcsp] = ACTIONS(7307),
    [anon_sym_BSLASHacl] = ACTIONS(7307),
    [anon_sym_BSLASHAcl] = ACTIONS(7307),
    [anon_sym_BSLASHaclp] = ACTIONS(7307),
    [anon_sym_BSLASHAclp] = ACTIONS(7307),
    [anon_sym_BSLASHacf] = ACTIONS(7307),
    [anon_sym_BSLASHAcf] = ACTIONS(7307),
    [anon_sym_BSLASHacfp] = ACTIONS(7307),
    [anon_sym_BSLASHAcfp] = ACTIONS(7307),
    [anon_sym_BSLASHac] = ACTIONS(7307),
    [anon_sym_BSLASHAc] = ACTIONS(7307),
    [anon_sym_BSLASHacp] = ACTIONS(7307),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7307),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7307),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7307),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7307),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7307),
    [anon_sym_BSLASHcolor] = ACTIONS(7307),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7307),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7307),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7307),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7307),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7307),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7307),
    [anon_sym_BSLASHurl] = ACTIONS(7307),
    [anon_sym_BSLASHhref] = ACTIONS(7307),
  },
  [1611] = {
    [sym_command_name] = ACTIONS(7311),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7311),
    [anon_sym_LBRACK] = ACTIONS(7313),
    [anon_sym_RBRACK] = ACTIONS(7313),
    [anon_sym_COMMA] = ACTIONS(7313),
    [anon_sym_EQ] = ACTIONS(7313),
    [anon_sym_LPAREN] = ACTIONS(7313),
    [anon_sym_RPAREN] = ACTIONS(7313),
    [anon_sym_BSLASHpart] = ACTIONS(7311),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHaddpart] = ACTIONS(7311),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHchapter] = ACTIONS(7311),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHaddchap] = ACTIONS(7311),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHsection] = ACTIONS(7311),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHaddsec] = ACTIONS(7311),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHsubsection] = ACTIONS(7311),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7311),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHparagraph] = ACTIONS(7311),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7311),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHitem] = ACTIONS(7311),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7313),
    [anon_sym_LBRACE] = ACTIONS(7313),
    [sym_word] = ACTIONS(7311),
    [sym_placeholder] = ACTIONS(7313),
    [sym_delimiter] = ACTIONS(7313),
    [anon_sym_PLUS] = ACTIONS(7313),
    [anon_sym_DASH] = ACTIONS(7313),
    [anon_sym_STAR] = ACTIONS(7313),
    [anon_sym_SLASH] = ACTIONS(7313),
    [anon_sym_LT] = ACTIONS(7311),
    [anon_sym_GT] = ACTIONS(7311),
    [anon_sym_BANG] = ACTIONS(7311),
    [anon_sym_PIPE] = ACTIONS(7311),
    [anon_sym_COLON] = ACTIONS(7311),
    [anon_sym_SQUOTE] = ACTIONS(7311),
    [anon_sym__] = ACTIONS(7313),
    [anon_sym_CARET] = ACTIONS(7313),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7313),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7313),
    [anon_sym_DOLLAR] = ACTIONS(7311),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7313),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7313),
    [anon_sym_BSLASHleft] = ACTIONS(7311),
    [anon_sym_BSLASHbigl] = ACTIONS(7311),
    [anon_sym_BSLASHBigl] = ACTIONS(7311),
    [anon_sym_BSLASHbiggl] = ACTIONS(7311),
    [anon_sym_BSLASHBiggl] = ACTIONS(7311),
    [anon_sym_BSLASHtext] = ACTIONS(7311),
    [anon_sym_BSLASHintertext] = ACTIONS(7311),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7311),
    [anon_sym_BSLASHbegin] = ACTIONS(7311),
    [anon_sym_BSLASHtitle] = ACTIONS(7311),
    [anon_sym_BSLASHauthor] = ACTIONS(7311),
    [anon_sym_BSLASHusepackage] = ACTIONS(7311),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7311),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7311),
    [anon_sym_BSLASHinclude] = ACTIONS(7311),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7311),
    [anon_sym_BSLASHinput] = ACTIONS(7311),
    [anon_sym_BSLASHsubfile] = ACTIONS(7311),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7311),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7311),
    [anon_sym_BSLASHbibliography] = ACTIONS(7311),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7311),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7311),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7311),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7311),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7311),
    [anon_sym_BSLASHimport] = ACTIONS(7311),
    [anon_sym_BSLASHsubimport] = ACTIONS(7311),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7311),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7311),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7311),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7311),
    [anon_sym_BSLASHcaption] = ACTIONS(7311),
    [anon_sym_BSLASHcite] = ACTIONS(7311),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCite] = ACTIONS(7311),
    [anon_sym_BSLASHnocite] = ACTIONS(7311),
    [anon_sym_BSLASHcitet] = ACTIONS(7311),
    [anon_sym_BSLASHcitep] = ACTIONS(7311),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteA] = ACTIONS(7311),
    [anon_sym_BSLASHciteR] = ACTIONS(7311),
    [anon_sym_BSLASHciteS] = ACTIONS(7311),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7311),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7311),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7311),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7311),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteyear] = ACTIONS(7311),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitedate] = ACTIONS(7311),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteurl] = ACTIONS(7311),
    [anon_sym_BSLASHfullcite] = ACTIONS(7311),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7311),
    [anon_sym_BSLASHcitealt] = ACTIONS(7311),
    [anon_sym_BSLASHcitealp] = ACTIONS(7311),
    [anon_sym_BSLASHcitetext] = ACTIONS(7311),
    [anon_sym_BSLASHparencite] = ACTIONS(7311),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHParencite] = ACTIONS(7311),
    [anon_sym_BSLASHfootcite] = ACTIONS(7311),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7311),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7311),
    [anon_sym_BSLASHtextcite] = ACTIONS(7311),
    [anon_sym_BSLASHTextcite] = ACTIONS(7311),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7311),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7311),
    [anon_sym_BSLASHsupercite] = ACTIONS(7311),
    [anon_sym_BSLASHautocite] = ACTIONS(7311),
    [anon_sym_BSLASHAutocite] = ACTIONS(7311),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHVolcite] = ACTIONS(7311),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHavolcite] = ACTIONS(7311),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHNotecite] = ACTIONS(7311),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHlabel] = ACTIONS(7311),
    [anon_sym_BSLASHref] = ACTIONS(7311),
    [anon_sym_BSLASHeqref] = ACTIONS(7311),
    [anon_sym_BSLASHvref] = ACTIONS(7311),
    [anon_sym_BSLASHVref] = ACTIONS(7311),
    [anon_sym_BSLASHautoref] = ACTIONS(7311),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHpageref] = ACTIONS(7311),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHautopageref] = ACTIONS(7311),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcref] = ACTIONS(7311),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCref] = ACTIONS(7311),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcpageref] = ACTIONS(7311),
    [anon_sym_BSLASHCpageref] = ACTIONS(7311),
    [anon_sym_BSLASHnamecref] = ACTIONS(7311),
    [anon_sym_BSLASHnameCref] = ACTIONS(7311),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7311),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7311),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7311),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7311),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7311),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7311),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7311),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7311),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7311),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7311),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7311),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHdef] = ACTIONS(7311),
    [anon_sym_BSLASHgdef] = ACTIONS(7311),
    [anon_sym_BSLASHedef] = ACTIONS(7311),
    [anon_sym_BSLASHxdef] = ACTIONS(7311),
    [anon_sym_BSLASHlet] = ACTIONS(7311),
    [anon_sym_BSLASHglet] = ACTIONS(7311),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7311),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7311),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7311),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7311),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7311),
    [anon_sym_BSLASHgls] = ACTIONS(7311),
    [anon_sym_BSLASHGls] = ACTIONS(7311),
    [anon_sym_BSLASHGLS] = ACTIONS(7311),
    [anon_sym_BSLASHglspl] = ACTIONS(7311),
    [anon_sym_BSLASHGlspl] = ACTIONS(7311),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7311),
    [anon_sym_BSLASHglslink] = ACTIONS(7311),
    [anon_sym_BSLASHglstext] = ACTIONS(7311),
    [anon_sym_BSLASHGlstext] = ACTIONS(7311),
    [anon_sym_BSLASHGLStext] = ACTIONS(7311),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7311),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7311),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7311),
    [anon_sym_BSLASHglsplural] = ACTIONS(7311),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7311),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7311),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHglsname] = ACTIONS(7311),
    [anon_sym_BSLASHGlsname] = ACTIONS(7311),
    [anon_sym_BSLASHGLSname] = ACTIONS(7311),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7311),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7311),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7311),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7311),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7311),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7311),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7311),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7311),
    [anon_sym_BSLASHacrshort] = ACTIONS(7311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7311),
    [anon_sym_BSLASHACRshort] = ACTIONS(7311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHacrlong] = ACTIONS(7311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7311),
    [anon_sym_BSLASHACRlong] = ACTIONS(7311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHacrfull] = ACTIONS(7311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7311),
    [anon_sym_BSLASHACRfull] = ACTIONS(7311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHacs] = ACTIONS(7311),
    [anon_sym_BSLASHAcs] = ACTIONS(7311),
    [anon_sym_BSLASHacsp] = ACTIONS(7311),
    [anon_sym_BSLASHAcsp] = ACTIONS(7311),
    [anon_sym_BSLASHacl] = ACTIONS(7311),
    [anon_sym_BSLASHAcl] = ACTIONS(7311),
    [anon_sym_BSLASHaclp] = ACTIONS(7311),
    [anon_sym_BSLASHAclp] = ACTIONS(7311),
    [anon_sym_BSLASHacf] = ACTIONS(7311),
    [anon_sym_BSLASHAcf] = ACTIONS(7311),
    [anon_sym_BSLASHacfp] = ACTIONS(7311),
    [anon_sym_BSLASHAcfp] = ACTIONS(7311),
    [anon_sym_BSLASHac] = ACTIONS(7311),
    [anon_sym_BSLASHAc] = ACTIONS(7311),
    [anon_sym_BSLASHacp] = ACTIONS(7311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7311),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7311),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7311),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7311),
    [anon_sym_BSLASHcolor] = ACTIONS(7311),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7311),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7311),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7311),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7311),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7311),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7311),
    [anon_sym_BSLASHurl] = ACTIONS(7311),
    [anon_sym_BSLASHhref] = ACTIONS(7311),
  },
  [1612] = {
    [sym_command_name] = ACTIONS(7059),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7059),
    [anon_sym_LBRACK] = ACTIONS(7061),
    [anon_sym_RBRACK] = ACTIONS(7061),
    [anon_sym_COMMA] = ACTIONS(7061),
    [anon_sym_EQ] = ACTIONS(7061),
    [anon_sym_LPAREN] = ACTIONS(7061),
    [anon_sym_RPAREN] = ACTIONS(7061),
    [anon_sym_BSLASHpart] = ACTIONS(7059),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHaddpart] = ACTIONS(7059),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHchapter] = ACTIONS(7059),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHaddchap] = ACTIONS(7059),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHsection] = ACTIONS(7059),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHaddsec] = ACTIONS(7059),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHsubsection] = ACTIONS(7059),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7059),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHparagraph] = ACTIONS(7059),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7059),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHitem] = ACTIONS(7059),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7061),
    [anon_sym_LBRACE] = ACTIONS(7061),
    [sym_word] = ACTIONS(7059),
    [sym_placeholder] = ACTIONS(7061),
    [sym_delimiter] = ACTIONS(7061),
    [anon_sym_PLUS] = ACTIONS(7061),
    [anon_sym_DASH] = ACTIONS(7061),
    [anon_sym_STAR] = ACTIONS(7061),
    [anon_sym_SLASH] = ACTIONS(7061),
    [anon_sym_LT] = ACTIONS(7059),
    [anon_sym_GT] = ACTIONS(7059),
    [anon_sym_BANG] = ACTIONS(7059),
    [anon_sym_PIPE] = ACTIONS(7059),
    [anon_sym_COLON] = ACTIONS(7059),
    [anon_sym_SQUOTE] = ACTIONS(7059),
    [anon_sym__] = ACTIONS(7061),
    [anon_sym_CARET] = ACTIONS(7061),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7061),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7061),
    [anon_sym_DOLLAR] = ACTIONS(7059),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7061),
    [anon_sym_BSLASHleft] = ACTIONS(7059),
    [anon_sym_BSLASHbigl] = ACTIONS(7059),
    [anon_sym_BSLASHBigl] = ACTIONS(7059),
    [anon_sym_BSLASHbiggl] = ACTIONS(7059),
    [anon_sym_BSLASHBiggl] = ACTIONS(7059),
    [anon_sym_BSLASHtext] = ACTIONS(7059),
    [anon_sym_BSLASHintertext] = ACTIONS(7059),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7059),
    [anon_sym_BSLASHbegin] = ACTIONS(7059),
    [anon_sym_BSLASHend] = ACTIONS(7059),
    [anon_sym_BSLASHtitle] = ACTIONS(7059),
    [anon_sym_BSLASHauthor] = ACTIONS(7059),
    [anon_sym_BSLASHusepackage] = ACTIONS(7059),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7059),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7059),
    [anon_sym_BSLASHinclude] = ACTIONS(7059),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7059),
    [anon_sym_BSLASHinput] = ACTIONS(7059),
    [anon_sym_BSLASHsubfile] = ACTIONS(7059),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7059),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7059),
    [anon_sym_BSLASHbibliography] = ACTIONS(7059),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7059),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7059),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7059),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7059),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7059),
    [anon_sym_BSLASHimport] = ACTIONS(7059),
    [anon_sym_BSLASHsubimport] = ACTIONS(7059),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7059),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7059),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7059),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7059),
    [anon_sym_BSLASHcaption] = ACTIONS(7059),
    [anon_sym_BSLASHcite] = ACTIONS(7059),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHCite] = ACTIONS(7059),
    [anon_sym_BSLASHnocite] = ACTIONS(7059),
    [anon_sym_BSLASHcitet] = ACTIONS(7059),
    [anon_sym_BSLASHcitep] = ACTIONS(7059),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHciteA] = ACTIONS(7059),
    [anon_sym_BSLASHciteR] = ACTIONS(7059),
    [anon_sym_BSLASHciteS] = ACTIONS(7059),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7059),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7059),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7059),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7059),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHciteyear] = ACTIONS(7059),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcitedate] = ACTIONS(7059),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHciteurl] = ACTIONS(7059),
    [anon_sym_BSLASHfullcite] = ACTIONS(7059),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7059),
    [anon_sym_BSLASHcitealt] = ACTIONS(7059),
    [anon_sym_BSLASHcitealp] = ACTIONS(7059),
    [anon_sym_BSLASHcitetext] = ACTIONS(7059),
    [anon_sym_BSLASHparencite] = ACTIONS(7059),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHParencite] = ACTIONS(7059),
    [anon_sym_BSLASHfootcite] = ACTIONS(7059),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7059),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7059),
    [anon_sym_BSLASHtextcite] = ACTIONS(7059),
    [anon_sym_BSLASHTextcite] = ACTIONS(7059),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7059),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7059),
    [anon_sym_BSLASHsupercite] = ACTIONS(7059),
    [anon_sym_BSLASHautocite] = ACTIONS(7059),
    [anon_sym_BSLASHAutocite] = ACTIONS(7059),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHVolcite] = ACTIONS(7059),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHavolcite] = ACTIONS(7059),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHnotecite] = ACTIONS(7059),
    [anon_sym_BSLASHNotecite] = ACTIONS(7059),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7059),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7059),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7059),
    [anon_sym_BSLASHlabel] = ACTIONS(7059),
    [anon_sym_BSLASHref] = ACTIONS(7059),
    [anon_sym_BSLASHeqref] = ACTIONS(7059),
    [anon_sym_BSLASHvref] = ACTIONS(7059),
    [anon_sym_BSLASHVref] = ACTIONS(7059),
    [anon_sym_BSLASHautoref] = ACTIONS(7059),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHpageref] = ACTIONS(7059),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHautopageref] = ACTIONS(7059),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcref] = ACTIONS(7059),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHCref] = ACTIONS(7059),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcpageref] = ACTIONS(7059),
    [anon_sym_BSLASHCpageref] = ACTIONS(7059),
    [anon_sym_BSLASHnamecref] = ACTIONS(7059),
    [anon_sym_BSLASHnameCref] = ACTIONS(7059),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7059),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7059),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7059),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7059),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7059),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7059),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7059),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7059),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7059),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7059),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7059),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7059),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7059),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7059),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7059),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7059),
    [anon_sym_BSLASHdef] = ACTIONS(7059),
    [anon_sym_BSLASHgdef] = ACTIONS(7059),
    [anon_sym_BSLASHedef] = ACTIONS(7059),
    [anon_sym_BSLASHxdef] = ACTIONS(7059),
    [anon_sym_BSLASHlet] = ACTIONS(7059),
    [anon_sym_BSLASHglet] = ACTIONS(7059),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7059),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7059),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7059),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7059),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7059),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7059),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7059),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7059),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7059),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7059),
    [anon_sym_BSLASHgls] = ACTIONS(7059),
    [anon_sym_BSLASHGls] = ACTIONS(7059),
    [anon_sym_BSLASHGLS] = ACTIONS(7059),
    [anon_sym_BSLASHglspl] = ACTIONS(7059),
    [anon_sym_BSLASHGlspl] = ACTIONS(7059),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7059),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7059),
    [anon_sym_BSLASHglslink] = ACTIONS(7059),
    [anon_sym_BSLASHglstext] = ACTIONS(7059),
    [anon_sym_BSLASHGlstext] = ACTIONS(7059),
    [anon_sym_BSLASHGLStext] = ACTIONS(7059),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7059),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7059),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7059),
    [anon_sym_BSLASHglsplural] = ACTIONS(7059),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7059),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7059),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7059),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7059),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7059),
    [anon_sym_BSLASHglsname] = ACTIONS(7059),
    [anon_sym_BSLASHGlsname] = ACTIONS(7059),
    [anon_sym_BSLASHGLSname] = ACTIONS(7059),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7059),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7059),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7059),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7059),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7059),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7059),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7059),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7059),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7059),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7059),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7059),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7059),
    [anon_sym_BSLASHacrshort] = ACTIONS(7059),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7059),
    [anon_sym_BSLASHACRshort] = ACTIONS(7059),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHacrlong] = ACTIONS(7059),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7059),
    [anon_sym_BSLASHACRlong] = ACTIONS(7059),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7059),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7059),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7059),
    [anon_sym_BSLASHacrfull] = ACTIONS(7059),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7059),
    [anon_sym_BSLASHACRfull] = ACTIONS(7059),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHacs] = ACTIONS(7059),
    [anon_sym_BSLASHAcs] = ACTIONS(7059),
    [anon_sym_BSLASHacsp] = ACTIONS(7059),
    [anon_sym_BSLASHAcsp] = ACTIONS(7059),
    [anon_sym_BSLASHacl] = ACTIONS(7059),
    [anon_sym_BSLASHAcl] = ACTIONS(7059),
    [anon_sym_BSLASHaclp] = ACTIONS(7059),
    [anon_sym_BSLASHAclp] = ACTIONS(7059),
    [anon_sym_BSLASHacf] = ACTIONS(7059),
    [anon_sym_BSLASHAcf] = ACTIONS(7059),
    [anon_sym_BSLASHacfp] = ACTIONS(7059),
    [anon_sym_BSLASHAcfp] = ACTIONS(7059),
    [anon_sym_BSLASHac] = ACTIONS(7059),
    [anon_sym_BSLASHAc] = ACTIONS(7059),
    [anon_sym_BSLASHacp] = ACTIONS(7059),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7059),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7059),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7059),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7059),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7059),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7059),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7059),
    [anon_sym_BSLASHcolor] = ACTIONS(7059),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7059),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7059),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7059),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7059),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7059),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7059),
    [anon_sym_BSLASHurl] = ACTIONS(7059),
    [anon_sym_BSLASHhref] = ACTIONS(7059),
  },
  [1613] = {
    [sym_command_name] = ACTIONS(7063),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7063),
    [anon_sym_LBRACK] = ACTIONS(7065),
    [anon_sym_RBRACK] = ACTIONS(7065),
    [anon_sym_COMMA] = ACTIONS(7065),
    [anon_sym_EQ] = ACTIONS(7065),
    [anon_sym_LPAREN] = ACTIONS(7065),
    [anon_sym_RPAREN] = ACTIONS(7065),
    [anon_sym_BSLASHpart] = ACTIONS(7063),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHaddpart] = ACTIONS(7063),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHchapter] = ACTIONS(7063),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHaddchap] = ACTIONS(7063),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHsection] = ACTIONS(7063),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHaddsec] = ACTIONS(7063),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHsubsection] = ACTIONS(7063),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7063),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHparagraph] = ACTIONS(7063),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7063),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHitem] = ACTIONS(7063),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7065),
    [anon_sym_LBRACE] = ACTIONS(7065),
    [sym_word] = ACTIONS(7063),
    [sym_placeholder] = ACTIONS(7065),
    [sym_delimiter] = ACTIONS(7065),
    [anon_sym_PLUS] = ACTIONS(7065),
    [anon_sym_DASH] = ACTIONS(7065),
    [anon_sym_STAR] = ACTIONS(7065),
    [anon_sym_SLASH] = ACTIONS(7065),
    [anon_sym_LT] = ACTIONS(7063),
    [anon_sym_GT] = ACTIONS(7063),
    [anon_sym_BANG] = ACTIONS(7063),
    [anon_sym_PIPE] = ACTIONS(7063),
    [anon_sym_COLON] = ACTIONS(7063),
    [anon_sym_SQUOTE] = ACTIONS(7063),
    [anon_sym__] = ACTIONS(7065),
    [anon_sym_CARET] = ACTIONS(7065),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7065),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7065),
    [anon_sym_DOLLAR] = ACTIONS(7063),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7065),
    [anon_sym_BSLASHleft] = ACTIONS(7063),
    [anon_sym_BSLASHbigl] = ACTIONS(7063),
    [anon_sym_BSLASHBigl] = ACTIONS(7063),
    [anon_sym_BSLASHbiggl] = ACTIONS(7063),
    [anon_sym_BSLASHBiggl] = ACTIONS(7063),
    [anon_sym_BSLASHtext] = ACTIONS(7063),
    [anon_sym_BSLASHintertext] = ACTIONS(7063),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7063),
    [anon_sym_BSLASHbegin] = ACTIONS(7063),
    [anon_sym_BSLASHend] = ACTIONS(7063),
    [anon_sym_BSLASHtitle] = ACTIONS(7063),
    [anon_sym_BSLASHauthor] = ACTIONS(7063),
    [anon_sym_BSLASHusepackage] = ACTIONS(7063),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7063),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7063),
    [anon_sym_BSLASHinclude] = ACTIONS(7063),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7063),
    [anon_sym_BSLASHinput] = ACTIONS(7063),
    [anon_sym_BSLASHsubfile] = ACTIONS(7063),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7063),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7063),
    [anon_sym_BSLASHbibliography] = ACTIONS(7063),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7063),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7063),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7063),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7063),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7063),
    [anon_sym_BSLASHimport] = ACTIONS(7063),
    [anon_sym_BSLASHsubimport] = ACTIONS(7063),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7063),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7063),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7063),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7063),
    [anon_sym_BSLASHcaption] = ACTIONS(7063),
    [anon_sym_BSLASHcite] = ACTIONS(7063),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHCite] = ACTIONS(7063),
    [anon_sym_BSLASHnocite] = ACTIONS(7063),
    [anon_sym_BSLASHcitet] = ACTIONS(7063),
    [anon_sym_BSLASHcitep] = ACTIONS(7063),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHciteA] = ACTIONS(7063),
    [anon_sym_BSLASHciteR] = ACTIONS(7063),
    [anon_sym_BSLASHciteS] = ACTIONS(7063),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7063),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7063),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7063),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7063),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHciteyear] = ACTIONS(7063),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcitedate] = ACTIONS(7063),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHciteurl] = ACTIONS(7063),
    [anon_sym_BSLASHfullcite] = ACTIONS(7063),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7063),
    [anon_sym_BSLASHcitealt] = ACTIONS(7063),
    [anon_sym_BSLASHcitealp] = ACTIONS(7063),
    [anon_sym_BSLASHcitetext] = ACTIONS(7063),
    [anon_sym_BSLASHparencite] = ACTIONS(7063),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHParencite] = ACTIONS(7063),
    [anon_sym_BSLASHfootcite] = ACTIONS(7063),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7063),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7063),
    [anon_sym_BSLASHtextcite] = ACTIONS(7063),
    [anon_sym_BSLASHTextcite] = ACTIONS(7063),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7063),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7063),
    [anon_sym_BSLASHsupercite] = ACTIONS(7063),
    [anon_sym_BSLASHautocite] = ACTIONS(7063),
    [anon_sym_BSLASHAutocite] = ACTIONS(7063),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHVolcite] = ACTIONS(7063),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHavolcite] = ACTIONS(7063),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHnotecite] = ACTIONS(7063),
    [anon_sym_BSLASHNotecite] = ACTIONS(7063),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7063),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7063),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7063),
    [anon_sym_BSLASHlabel] = ACTIONS(7063),
    [anon_sym_BSLASHref] = ACTIONS(7063),
    [anon_sym_BSLASHeqref] = ACTIONS(7063),
    [anon_sym_BSLASHvref] = ACTIONS(7063),
    [anon_sym_BSLASHVref] = ACTIONS(7063),
    [anon_sym_BSLASHautoref] = ACTIONS(7063),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHpageref] = ACTIONS(7063),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHautopageref] = ACTIONS(7063),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcref] = ACTIONS(7063),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHCref] = ACTIONS(7063),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcpageref] = ACTIONS(7063),
    [anon_sym_BSLASHCpageref] = ACTIONS(7063),
    [anon_sym_BSLASHnamecref] = ACTIONS(7063),
    [anon_sym_BSLASHnameCref] = ACTIONS(7063),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7063),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7063),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7063),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7063),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7063),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7063),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7063),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7063),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7063),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7063),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7063),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7063),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7063),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7063),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7063),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7063),
    [anon_sym_BSLASHdef] = ACTIONS(7063),
    [anon_sym_BSLASHgdef] = ACTIONS(7063),
    [anon_sym_BSLASHedef] = ACTIONS(7063),
    [anon_sym_BSLASHxdef] = ACTIONS(7063),
    [anon_sym_BSLASHlet] = ACTIONS(7063),
    [anon_sym_BSLASHglet] = ACTIONS(7063),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7063),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7063),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7063),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7063),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7063),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7063),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7063),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7063),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7063),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7063),
    [anon_sym_BSLASHgls] = ACTIONS(7063),
    [anon_sym_BSLASHGls] = ACTIONS(7063),
    [anon_sym_BSLASHGLS] = ACTIONS(7063),
    [anon_sym_BSLASHglspl] = ACTIONS(7063),
    [anon_sym_BSLASHGlspl] = ACTIONS(7063),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7063),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7063),
    [anon_sym_BSLASHglslink] = ACTIONS(7063),
    [anon_sym_BSLASHglstext] = ACTIONS(7063),
    [anon_sym_BSLASHGlstext] = ACTIONS(7063),
    [anon_sym_BSLASHGLStext] = ACTIONS(7063),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7063),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7063),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7063),
    [anon_sym_BSLASHglsplural] = ACTIONS(7063),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7063),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7063),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7063),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7063),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7063),
    [anon_sym_BSLASHglsname] = ACTIONS(7063),
    [anon_sym_BSLASHGlsname] = ACTIONS(7063),
    [anon_sym_BSLASHGLSname] = ACTIONS(7063),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7063),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7063),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7063),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7063),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7063),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7063),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7063),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7063),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7063),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7063),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7063),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7063),
    [anon_sym_BSLASHacrshort] = ACTIONS(7063),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7063),
    [anon_sym_BSLASHACRshort] = ACTIONS(7063),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHacrlong] = ACTIONS(7063),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7063),
    [anon_sym_BSLASHACRlong] = ACTIONS(7063),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7063),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7063),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7063),
    [anon_sym_BSLASHacrfull] = ACTIONS(7063),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7063),
    [anon_sym_BSLASHACRfull] = ACTIONS(7063),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHacs] = ACTIONS(7063),
    [anon_sym_BSLASHAcs] = ACTIONS(7063),
    [anon_sym_BSLASHacsp] = ACTIONS(7063),
    [anon_sym_BSLASHAcsp] = ACTIONS(7063),
    [anon_sym_BSLASHacl] = ACTIONS(7063),
    [anon_sym_BSLASHAcl] = ACTIONS(7063),
    [anon_sym_BSLASHaclp] = ACTIONS(7063),
    [anon_sym_BSLASHAclp] = ACTIONS(7063),
    [anon_sym_BSLASHacf] = ACTIONS(7063),
    [anon_sym_BSLASHAcf] = ACTIONS(7063),
    [anon_sym_BSLASHacfp] = ACTIONS(7063),
    [anon_sym_BSLASHAcfp] = ACTIONS(7063),
    [anon_sym_BSLASHac] = ACTIONS(7063),
    [anon_sym_BSLASHAc] = ACTIONS(7063),
    [anon_sym_BSLASHacp] = ACTIONS(7063),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7063),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7063),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7063),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7063),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7063),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7063),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7063),
    [anon_sym_BSLASHcolor] = ACTIONS(7063),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7063),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7063),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7063),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7063),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7063),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7063),
    [anon_sym_BSLASHurl] = ACTIONS(7063),
    [anon_sym_BSLASHhref] = ACTIONS(7063),
  },
  [1614] = {
    [sym_command_name] = ACTIONS(7135),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7135),
    [anon_sym_LBRACK] = ACTIONS(7137),
    [anon_sym_RBRACK] = ACTIONS(7137),
    [anon_sym_COMMA] = ACTIONS(7137),
    [anon_sym_EQ] = ACTIONS(7137),
    [anon_sym_LPAREN] = ACTIONS(7137),
    [anon_sym_RPAREN] = ACTIONS(7137),
    [anon_sym_BSLASHpart] = ACTIONS(7135),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHaddpart] = ACTIONS(7135),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHchapter] = ACTIONS(7135),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHaddchap] = ACTIONS(7135),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHsection] = ACTIONS(7135),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHaddsec] = ACTIONS(7135),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHsubsection] = ACTIONS(7135),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7135),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHparagraph] = ACTIONS(7135),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7135),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHitem] = ACTIONS(7135),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7137),
    [anon_sym_LBRACE] = ACTIONS(7137),
    [sym_word] = ACTIONS(7135),
    [sym_placeholder] = ACTIONS(7137),
    [sym_delimiter] = ACTIONS(7137),
    [anon_sym_PLUS] = ACTIONS(7137),
    [anon_sym_DASH] = ACTIONS(7137),
    [anon_sym_STAR] = ACTIONS(7137),
    [anon_sym_SLASH] = ACTIONS(7137),
    [anon_sym_LT] = ACTIONS(7135),
    [anon_sym_GT] = ACTIONS(7135),
    [anon_sym_BANG] = ACTIONS(7135),
    [anon_sym_PIPE] = ACTIONS(7135),
    [anon_sym_COLON] = ACTIONS(7135),
    [anon_sym_SQUOTE] = ACTIONS(7135),
    [anon_sym__] = ACTIONS(7137),
    [anon_sym_CARET] = ACTIONS(7137),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7137),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7137),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7137),
    [anon_sym_DOLLAR] = ACTIONS(7135),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7137),
    [anon_sym_BSLASHleft] = ACTIONS(7135),
    [anon_sym_BSLASHbigl] = ACTIONS(7135),
    [anon_sym_BSLASHBigl] = ACTIONS(7135),
    [anon_sym_BSLASHbiggl] = ACTIONS(7135),
    [anon_sym_BSLASHBiggl] = ACTIONS(7135),
    [anon_sym_BSLASHtext] = ACTIONS(7135),
    [anon_sym_BSLASHintertext] = ACTIONS(7135),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7135),
    [anon_sym_BSLASHbegin] = ACTIONS(7135),
    [anon_sym_BSLASHtitle] = ACTIONS(7135),
    [anon_sym_BSLASHauthor] = ACTIONS(7135),
    [anon_sym_BSLASHusepackage] = ACTIONS(7135),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7135),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7135),
    [anon_sym_BSLASHinclude] = ACTIONS(7135),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7135),
    [anon_sym_BSLASHinput] = ACTIONS(7135),
    [anon_sym_BSLASHsubfile] = ACTIONS(7135),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7135),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7135),
    [anon_sym_BSLASHbibliography] = ACTIONS(7135),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7135),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7135),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7135),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7135),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7135),
    [anon_sym_BSLASHimport] = ACTIONS(7135),
    [anon_sym_BSLASHsubimport] = ACTIONS(7135),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7135),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7135),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7135),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7135),
    [anon_sym_BSLASHcaption] = ACTIONS(7135),
    [anon_sym_BSLASHcite] = ACTIONS(7135),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHCite] = ACTIONS(7135),
    [anon_sym_BSLASHnocite] = ACTIONS(7135),
    [anon_sym_BSLASHcitet] = ACTIONS(7135),
    [anon_sym_BSLASHcitep] = ACTIONS(7135),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHciteA] = ACTIONS(7135),
    [anon_sym_BSLASHciteR] = ACTIONS(7135),
    [anon_sym_BSLASHciteS] = ACTIONS(7135),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7135),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7135),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7135),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7135),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHciteyear] = ACTIONS(7135),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcitedate] = ACTIONS(7135),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHciteurl] = ACTIONS(7135),
    [anon_sym_BSLASHfullcite] = ACTIONS(7135),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7135),
    [anon_sym_BSLASHcitealt] = ACTIONS(7135),
    [anon_sym_BSLASHcitealp] = ACTIONS(7135),
    [anon_sym_BSLASHcitetext] = ACTIONS(7135),
    [anon_sym_BSLASHparencite] = ACTIONS(7135),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHParencite] = ACTIONS(7135),
    [anon_sym_BSLASHfootcite] = ACTIONS(7135),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7135),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7135),
    [anon_sym_BSLASHtextcite] = ACTIONS(7135),
    [anon_sym_BSLASHTextcite] = ACTIONS(7135),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7135),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7135),
    [anon_sym_BSLASHsupercite] = ACTIONS(7135),
    [anon_sym_BSLASHautocite] = ACTIONS(7135),
    [anon_sym_BSLASHAutocite] = ACTIONS(7135),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHVolcite] = ACTIONS(7135),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHavolcite] = ACTIONS(7135),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHnotecite] = ACTIONS(7135),
    [anon_sym_BSLASHNotecite] = ACTIONS(7135),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7135),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7135),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7135),
    [anon_sym_BSLASHlabel] = ACTIONS(7135),
    [anon_sym_BSLASHref] = ACTIONS(7135),
    [anon_sym_BSLASHeqref] = ACTIONS(7135),
    [anon_sym_BSLASHvref] = ACTIONS(7135),
    [anon_sym_BSLASHVref] = ACTIONS(7135),
    [anon_sym_BSLASHautoref] = ACTIONS(7135),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHpageref] = ACTIONS(7135),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHautopageref] = ACTIONS(7135),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcref] = ACTIONS(7135),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHCref] = ACTIONS(7135),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcpageref] = ACTIONS(7135),
    [anon_sym_BSLASHCpageref] = ACTIONS(7135),
    [anon_sym_BSLASHnamecref] = ACTIONS(7135),
    [anon_sym_BSLASHnameCref] = ACTIONS(7135),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7135),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7135),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7135),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7135),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7135),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7135),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7135),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7135),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7135),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7135),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7135),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7135),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7135),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7135),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7135),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7135),
    [anon_sym_BSLASHdef] = ACTIONS(7135),
    [anon_sym_BSLASHgdef] = ACTIONS(7135),
    [anon_sym_BSLASHedef] = ACTIONS(7135),
    [anon_sym_BSLASHxdef] = ACTIONS(7135),
    [anon_sym_BSLASHlet] = ACTIONS(7135),
    [anon_sym_BSLASHglet] = ACTIONS(7135),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7135),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7135),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7135),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7135),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7135),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7135),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7135),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7135),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7135),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7135),
    [anon_sym_BSLASHgls] = ACTIONS(7135),
    [anon_sym_BSLASHGls] = ACTIONS(7135),
    [anon_sym_BSLASHGLS] = ACTIONS(7135),
    [anon_sym_BSLASHglspl] = ACTIONS(7135),
    [anon_sym_BSLASHGlspl] = ACTIONS(7135),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7135),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7135),
    [anon_sym_BSLASHglslink] = ACTIONS(7135),
    [anon_sym_BSLASHglstext] = ACTIONS(7135),
    [anon_sym_BSLASHGlstext] = ACTIONS(7135),
    [anon_sym_BSLASHGLStext] = ACTIONS(7135),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7135),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7135),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7135),
    [anon_sym_BSLASHglsplural] = ACTIONS(7135),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7135),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7135),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7135),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7135),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7135),
    [anon_sym_BSLASHglsname] = ACTIONS(7135),
    [anon_sym_BSLASHGlsname] = ACTIONS(7135),
    [anon_sym_BSLASHGLSname] = ACTIONS(7135),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7135),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7135),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7135),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7135),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7135),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7135),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7135),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7135),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7135),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7135),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7135),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7135),
    [anon_sym_BSLASHacrshort] = ACTIONS(7135),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7135),
    [anon_sym_BSLASHACRshort] = ACTIONS(7135),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHacrlong] = ACTIONS(7135),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7135),
    [anon_sym_BSLASHACRlong] = ACTIONS(7135),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7135),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7135),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7135),
    [anon_sym_BSLASHacrfull] = ACTIONS(7135),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7135),
    [anon_sym_BSLASHACRfull] = ACTIONS(7135),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHacs] = ACTIONS(7135),
    [anon_sym_BSLASHAcs] = ACTIONS(7135),
    [anon_sym_BSLASHacsp] = ACTIONS(7135),
    [anon_sym_BSLASHAcsp] = ACTIONS(7135),
    [anon_sym_BSLASHacl] = ACTIONS(7135),
    [anon_sym_BSLASHAcl] = ACTIONS(7135),
    [anon_sym_BSLASHaclp] = ACTIONS(7135),
    [anon_sym_BSLASHAclp] = ACTIONS(7135),
    [anon_sym_BSLASHacf] = ACTIONS(7135),
    [anon_sym_BSLASHAcf] = ACTIONS(7135),
    [anon_sym_BSLASHacfp] = ACTIONS(7135),
    [anon_sym_BSLASHAcfp] = ACTIONS(7135),
    [anon_sym_BSLASHac] = ACTIONS(7135),
    [anon_sym_BSLASHAc] = ACTIONS(7135),
    [anon_sym_BSLASHacp] = ACTIONS(7135),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7135),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7135),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7135),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7135),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7135),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7135),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7135),
    [anon_sym_BSLASHcolor] = ACTIONS(7135),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7135),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7135),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7135),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7135),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7135),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7135),
    [anon_sym_BSLASHurl] = ACTIONS(7135),
    [anon_sym_BSLASHhref] = ACTIONS(7135),
  },
  [1615] = {
    [sym_command_name] = ACTIONS(7527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7527),
    [anon_sym_LBRACK] = ACTIONS(7529),
    [anon_sym_RBRACK] = ACTIONS(7529),
    [anon_sym_COMMA] = ACTIONS(7529),
    [anon_sym_EQ] = ACTIONS(7529),
    [anon_sym_LPAREN] = ACTIONS(7529),
    [anon_sym_RPAREN] = ACTIONS(7529),
    [anon_sym_BSLASHpart] = ACTIONS(7527),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHaddpart] = ACTIONS(7527),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHchapter] = ACTIONS(7527),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHaddchap] = ACTIONS(7527),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHsection] = ACTIONS(7527),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHaddsec] = ACTIONS(7527),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHsubsection] = ACTIONS(7527),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7527),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHparagraph] = ACTIONS(7527),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7527),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHitem] = ACTIONS(7527),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7529),
    [anon_sym_LBRACE] = ACTIONS(7529),
    [sym_word] = ACTIONS(7527),
    [sym_placeholder] = ACTIONS(7529),
    [sym_delimiter] = ACTIONS(7529),
    [anon_sym_PLUS] = ACTIONS(7529),
    [anon_sym_DASH] = ACTIONS(7529),
    [anon_sym_STAR] = ACTIONS(7529),
    [anon_sym_SLASH] = ACTIONS(7529),
    [anon_sym_LT] = ACTIONS(7527),
    [anon_sym_GT] = ACTIONS(7527),
    [anon_sym_BANG] = ACTIONS(7527),
    [anon_sym_PIPE] = ACTIONS(7527),
    [anon_sym_COLON] = ACTIONS(7527),
    [anon_sym_SQUOTE] = ACTIONS(7527),
    [anon_sym__] = ACTIONS(7529),
    [anon_sym_CARET] = ACTIONS(7529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7529),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7529),
    [anon_sym_DOLLAR] = ACTIONS(7527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7529),
    [anon_sym_BSLASHleft] = ACTIONS(7527),
    [anon_sym_BSLASHbigl] = ACTIONS(7527),
    [anon_sym_BSLASHBigl] = ACTIONS(7527),
    [anon_sym_BSLASHbiggl] = ACTIONS(7527),
    [anon_sym_BSLASHBiggl] = ACTIONS(7527),
    [anon_sym_BSLASHtext] = ACTIONS(7527),
    [anon_sym_BSLASHintertext] = ACTIONS(7527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7527),
    [anon_sym_BSLASHbegin] = ACTIONS(7527),
    [anon_sym_BSLASHtitle] = ACTIONS(7527),
    [anon_sym_BSLASHauthor] = ACTIONS(7527),
    [anon_sym_BSLASHusepackage] = ACTIONS(7527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7527),
    [anon_sym_BSLASHinclude] = ACTIONS(7527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7527),
    [anon_sym_BSLASHinput] = ACTIONS(7527),
    [anon_sym_BSLASHsubfile] = ACTIONS(7527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7527),
    [anon_sym_BSLASHbibliography] = ACTIONS(7527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7527),
    [anon_sym_BSLASHimport] = ACTIONS(7527),
    [anon_sym_BSLASHsubimport] = ACTIONS(7527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7527),
    [anon_sym_BSLASHcaption] = ACTIONS(7527),
    [anon_sym_BSLASHcite] = ACTIONS(7527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCite] = ACTIONS(7527),
    [anon_sym_BSLASHnocite] = ACTIONS(7527),
    [anon_sym_BSLASHcitet] = ACTIONS(7527),
    [anon_sym_BSLASHcitep] = ACTIONS(7527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteA] = ACTIONS(7527),
    [anon_sym_BSLASHciteR] = ACTIONS(7527),
    [anon_sym_BSLASHciteS] = ACTIONS(7527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteyear] = ACTIONS(7527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitedate] = ACTIONS(7527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteurl] = ACTIONS(7527),
    [anon_sym_BSLASHfullcite] = ACTIONS(7527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7527),
    [anon_sym_BSLASHcitealt] = ACTIONS(7527),
    [anon_sym_BSLASHcitealp] = ACTIONS(7527),
    [anon_sym_BSLASHcitetext] = ACTIONS(7527),
    [anon_sym_BSLASHparencite] = ACTIONS(7527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHParencite] = ACTIONS(7527),
    [anon_sym_BSLASHfootcite] = ACTIONS(7527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7527),
    [anon_sym_BSLASHtextcite] = ACTIONS(7527),
    [anon_sym_BSLASHTextcite] = ACTIONS(7527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7527),
    [anon_sym_BSLASHsupercite] = ACTIONS(7527),
    [anon_sym_BSLASHautocite] = ACTIONS(7527),
    [anon_sym_BSLASHAutocite] = ACTIONS(7527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHVolcite] = ACTIONS(7527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHavolcite] = ACTIONS(7527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHNotecite] = ACTIONS(7527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHlabel] = ACTIONS(7527),
    [anon_sym_BSLASHref] = ACTIONS(7527),
    [anon_sym_BSLASHeqref] = ACTIONS(7527),
    [anon_sym_BSLASHvref] = ACTIONS(7527),
    [anon_sym_BSLASHVref] = ACTIONS(7527),
    [anon_sym_BSLASHautoref] = ACTIONS(7527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHpageref] = ACTIONS(7527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHautopageref] = ACTIONS(7527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcref] = ACTIONS(7527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCref] = ACTIONS(7527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcpageref] = ACTIONS(7527),
    [anon_sym_BSLASHCpageref] = ACTIONS(7527),
    [anon_sym_BSLASHnamecref] = ACTIONS(7527),
    [anon_sym_BSLASHnameCref] = ACTIONS(7527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHdef] = ACTIONS(7527),
    [anon_sym_BSLASHgdef] = ACTIONS(7527),
    [anon_sym_BSLASHedef] = ACTIONS(7527),
    [anon_sym_BSLASHxdef] = ACTIONS(7527),
    [anon_sym_BSLASHlet] = ACTIONS(7527),
    [anon_sym_BSLASHglet] = ACTIONS(7527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7527),
    [anon_sym_BSLASHgls] = ACTIONS(7527),
    [anon_sym_BSLASHGls] = ACTIONS(7527),
    [anon_sym_BSLASHGLS] = ACTIONS(7527),
    [anon_sym_BSLASHglspl] = ACTIONS(7527),
    [anon_sym_BSLASHGlspl] = ACTIONS(7527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7527),
    [anon_sym_BSLASHglslink] = ACTIONS(7527),
    [anon_sym_BSLASHglstext] = ACTIONS(7527),
    [anon_sym_BSLASHGlstext] = ACTIONS(7527),
    [anon_sym_BSLASHGLStext] = ACTIONS(7527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7527),
    [anon_sym_BSLASHglsplural] = ACTIONS(7527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHglsname] = ACTIONS(7527),
    [anon_sym_BSLASHGlsname] = ACTIONS(7527),
    [anon_sym_BSLASHGLSname] = ACTIONS(7527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7527),
    [anon_sym_BSLASHacrshort] = ACTIONS(7527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7527),
    [anon_sym_BSLASHACRshort] = ACTIONS(7527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHacrlong] = ACTIONS(7527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7527),
    [anon_sym_BSLASHACRlong] = ACTIONS(7527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHacrfull] = ACTIONS(7527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7527),
    [anon_sym_BSLASHACRfull] = ACTIONS(7527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHacs] = ACTIONS(7527),
    [anon_sym_BSLASHAcs] = ACTIONS(7527),
    [anon_sym_BSLASHacsp] = ACTIONS(7527),
    [anon_sym_BSLASHAcsp] = ACTIONS(7527),
    [anon_sym_BSLASHacl] = ACTIONS(7527),
    [anon_sym_BSLASHAcl] = ACTIONS(7527),
    [anon_sym_BSLASHaclp] = ACTIONS(7527),
    [anon_sym_BSLASHAclp] = ACTIONS(7527),
    [anon_sym_BSLASHacf] = ACTIONS(7527),
    [anon_sym_BSLASHAcf] = ACTIONS(7527),
    [anon_sym_BSLASHacfp] = ACTIONS(7527),
    [anon_sym_BSLASHAcfp] = ACTIONS(7527),
    [anon_sym_BSLASHac] = ACTIONS(7527),
    [anon_sym_BSLASHAc] = ACTIONS(7527),
    [anon_sym_BSLASHacp] = ACTIONS(7527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7527),
    [anon_sym_BSLASHcolor] = ACTIONS(7527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7527),
    [anon_sym_BSLASHurl] = ACTIONS(7527),
    [anon_sym_BSLASHhref] = ACTIONS(7527),
  },
  [1616] = {
    [sym_command_name] = ACTIONS(7335),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7335),
    [anon_sym_LBRACK] = ACTIONS(7337),
    [anon_sym_RBRACK] = ACTIONS(7337),
    [anon_sym_COMMA] = ACTIONS(7337),
    [anon_sym_EQ] = ACTIONS(7337),
    [anon_sym_LPAREN] = ACTIONS(7337),
    [anon_sym_RPAREN] = ACTIONS(7337),
    [anon_sym_BSLASHpart] = ACTIONS(7335),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHaddpart] = ACTIONS(7335),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHchapter] = ACTIONS(7335),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHaddchap] = ACTIONS(7335),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHsection] = ACTIONS(7335),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHaddsec] = ACTIONS(7335),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHsubsection] = ACTIONS(7335),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7335),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHparagraph] = ACTIONS(7335),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7335),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHitem] = ACTIONS(7335),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7337),
    [anon_sym_LBRACE] = ACTIONS(7337),
    [sym_word] = ACTIONS(7335),
    [sym_placeholder] = ACTIONS(7337),
    [sym_delimiter] = ACTIONS(7337),
    [anon_sym_PLUS] = ACTIONS(7337),
    [anon_sym_DASH] = ACTIONS(7337),
    [anon_sym_STAR] = ACTIONS(7337),
    [anon_sym_SLASH] = ACTIONS(7337),
    [anon_sym_LT] = ACTIONS(7335),
    [anon_sym_GT] = ACTIONS(7335),
    [anon_sym_BANG] = ACTIONS(7335),
    [anon_sym_PIPE] = ACTIONS(7335),
    [anon_sym_COLON] = ACTIONS(7335),
    [anon_sym_SQUOTE] = ACTIONS(7335),
    [anon_sym__] = ACTIONS(7337),
    [anon_sym_CARET] = ACTIONS(7337),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7337),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7337),
    [anon_sym_DOLLAR] = ACTIONS(7335),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7337),
    [anon_sym_BSLASHleft] = ACTIONS(7335),
    [anon_sym_BSLASHbigl] = ACTIONS(7335),
    [anon_sym_BSLASHBigl] = ACTIONS(7335),
    [anon_sym_BSLASHbiggl] = ACTIONS(7335),
    [anon_sym_BSLASHBiggl] = ACTIONS(7335),
    [anon_sym_BSLASHtext] = ACTIONS(7335),
    [anon_sym_BSLASHintertext] = ACTIONS(7335),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7335),
    [anon_sym_BSLASHbegin] = ACTIONS(7335),
    [anon_sym_BSLASHend] = ACTIONS(7335),
    [anon_sym_BSLASHtitle] = ACTIONS(7335),
    [anon_sym_BSLASHauthor] = ACTIONS(7335),
    [anon_sym_BSLASHusepackage] = ACTIONS(7335),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7335),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7335),
    [anon_sym_BSLASHinclude] = ACTIONS(7335),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7335),
    [anon_sym_BSLASHinput] = ACTIONS(7335),
    [anon_sym_BSLASHsubfile] = ACTIONS(7335),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7335),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7335),
    [anon_sym_BSLASHbibliography] = ACTIONS(7335),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7335),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7335),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7335),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7335),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7335),
    [anon_sym_BSLASHimport] = ACTIONS(7335),
    [anon_sym_BSLASHsubimport] = ACTIONS(7335),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7335),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7335),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7335),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7335),
    [anon_sym_BSLASHcaption] = ACTIONS(7335),
    [anon_sym_BSLASHcite] = ACTIONS(7335),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCite] = ACTIONS(7335),
    [anon_sym_BSLASHnocite] = ACTIONS(7335),
    [anon_sym_BSLASHcitet] = ACTIONS(7335),
    [anon_sym_BSLASHcitep] = ACTIONS(7335),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteA] = ACTIONS(7335),
    [anon_sym_BSLASHciteR] = ACTIONS(7335),
    [anon_sym_BSLASHciteS] = ACTIONS(7335),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7335),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7335),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7335),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7335),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteyear] = ACTIONS(7335),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitedate] = ACTIONS(7335),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteurl] = ACTIONS(7335),
    [anon_sym_BSLASHfullcite] = ACTIONS(7335),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7335),
    [anon_sym_BSLASHcitealt] = ACTIONS(7335),
    [anon_sym_BSLASHcitealp] = ACTIONS(7335),
    [anon_sym_BSLASHcitetext] = ACTIONS(7335),
    [anon_sym_BSLASHparencite] = ACTIONS(7335),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHParencite] = ACTIONS(7335),
    [anon_sym_BSLASHfootcite] = ACTIONS(7335),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7335),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7335),
    [anon_sym_BSLASHtextcite] = ACTIONS(7335),
    [anon_sym_BSLASHTextcite] = ACTIONS(7335),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7335),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7335),
    [anon_sym_BSLASHsupercite] = ACTIONS(7335),
    [anon_sym_BSLASHautocite] = ACTIONS(7335),
    [anon_sym_BSLASHAutocite] = ACTIONS(7335),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHVolcite] = ACTIONS(7335),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHavolcite] = ACTIONS(7335),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHNotecite] = ACTIONS(7335),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHlabel] = ACTIONS(7335),
    [anon_sym_BSLASHref] = ACTIONS(7335),
    [anon_sym_BSLASHeqref] = ACTIONS(7335),
    [anon_sym_BSLASHvref] = ACTIONS(7335),
    [anon_sym_BSLASHVref] = ACTIONS(7335),
    [anon_sym_BSLASHautoref] = ACTIONS(7335),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHpageref] = ACTIONS(7335),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHautopageref] = ACTIONS(7335),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcref] = ACTIONS(7335),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCref] = ACTIONS(7335),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcpageref] = ACTIONS(7335),
    [anon_sym_BSLASHCpageref] = ACTIONS(7335),
    [anon_sym_BSLASHnamecref] = ACTIONS(7335),
    [anon_sym_BSLASHnameCref] = ACTIONS(7335),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7335),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7335),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7335),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7335),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7335),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7335),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7335),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7335),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7335),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7335),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7335),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHdef] = ACTIONS(7335),
    [anon_sym_BSLASHgdef] = ACTIONS(7335),
    [anon_sym_BSLASHedef] = ACTIONS(7335),
    [anon_sym_BSLASHxdef] = ACTIONS(7335),
    [anon_sym_BSLASHlet] = ACTIONS(7335),
    [anon_sym_BSLASHglet] = ACTIONS(7335),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7335),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7335),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7335),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7335),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7335),
    [anon_sym_BSLASHgls] = ACTIONS(7335),
    [anon_sym_BSLASHGls] = ACTIONS(7335),
    [anon_sym_BSLASHGLS] = ACTIONS(7335),
    [anon_sym_BSLASHglspl] = ACTIONS(7335),
    [anon_sym_BSLASHGlspl] = ACTIONS(7335),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7335),
    [anon_sym_BSLASHglslink] = ACTIONS(7335),
    [anon_sym_BSLASHglstext] = ACTIONS(7335),
    [anon_sym_BSLASHGlstext] = ACTIONS(7335),
    [anon_sym_BSLASHGLStext] = ACTIONS(7335),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7335),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7335),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7335),
    [anon_sym_BSLASHglsplural] = ACTIONS(7335),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7335),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7335),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHglsname] = ACTIONS(7335),
    [anon_sym_BSLASHGlsname] = ACTIONS(7335),
    [anon_sym_BSLASHGLSname] = ACTIONS(7335),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7335),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7335),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7335),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7335),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7335),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7335),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7335),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7335),
    [anon_sym_BSLASHacrshort] = ACTIONS(7335),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7335),
    [anon_sym_BSLASHACRshort] = ACTIONS(7335),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHacrlong] = ACTIONS(7335),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7335),
    [anon_sym_BSLASHACRlong] = ACTIONS(7335),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHacrfull] = ACTIONS(7335),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7335),
    [anon_sym_BSLASHACRfull] = ACTIONS(7335),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHacs] = ACTIONS(7335),
    [anon_sym_BSLASHAcs] = ACTIONS(7335),
    [anon_sym_BSLASHacsp] = ACTIONS(7335),
    [anon_sym_BSLASHAcsp] = ACTIONS(7335),
    [anon_sym_BSLASHacl] = ACTIONS(7335),
    [anon_sym_BSLASHAcl] = ACTIONS(7335),
    [anon_sym_BSLASHaclp] = ACTIONS(7335),
    [anon_sym_BSLASHAclp] = ACTIONS(7335),
    [anon_sym_BSLASHacf] = ACTIONS(7335),
    [anon_sym_BSLASHAcf] = ACTIONS(7335),
    [anon_sym_BSLASHacfp] = ACTIONS(7335),
    [anon_sym_BSLASHAcfp] = ACTIONS(7335),
    [anon_sym_BSLASHac] = ACTIONS(7335),
    [anon_sym_BSLASHAc] = ACTIONS(7335),
    [anon_sym_BSLASHacp] = ACTIONS(7335),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7335),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7335),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7335),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7335),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7335),
    [anon_sym_BSLASHcolor] = ACTIONS(7335),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7335),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7335),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7335),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7335),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7335),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7335),
    [anon_sym_BSLASHurl] = ACTIONS(7335),
    [anon_sym_BSLASHhref] = ACTIONS(7335),
  },
  [1617] = {
    [sym_command_name] = ACTIONS(7315),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7315),
    [anon_sym_LBRACK] = ACTIONS(7317),
    [anon_sym_RBRACK] = ACTIONS(7317),
    [anon_sym_COMMA] = ACTIONS(7317),
    [anon_sym_EQ] = ACTIONS(7317),
    [anon_sym_LPAREN] = ACTIONS(7317),
    [anon_sym_RPAREN] = ACTIONS(7317),
    [anon_sym_BSLASHpart] = ACTIONS(7315),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHaddpart] = ACTIONS(7315),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHchapter] = ACTIONS(7315),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHaddchap] = ACTIONS(7315),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHsection] = ACTIONS(7315),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHaddsec] = ACTIONS(7315),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHsubsection] = ACTIONS(7315),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7315),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHparagraph] = ACTIONS(7315),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7315),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHitem] = ACTIONS(7315),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7317),
    [anon_sym_LBRACE] = ACTIONS(7317),
    [sym_word] = ACTIONS(7315),
    [sym_placeholder] = ACTIONS(7317),
    [sym_delimiter] = ACTIONS(7317),
    [anon_sym_PLUS] = ACTIONS(7317),
    [anon_sym_DASH] = ACTIONS(7317),
    [anon_sym_STAR] = ACTIONS(7317),
    [anon_sym_SLASH] = ACTIONS(7317),
    [anon_sym_LT] = ACTIONS(7315),
    [anon_sym_GT] = ACTIONS(7315),
    [anon_sym_BANG] = ACTIONS(7315),
    [anon_sym_PIPE] = ACTIONS(7315),
    [anon_sym_COLON] = ACTIONS(7315),
    [anon_sym_SQUOTE] = ACTIONS(7315),
    [anon_sym__] = ACTIONS(7317),
    [anon_sym_CARET] = ACTIONS(7317),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7317),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7317),
    [anon_sym_DOLLAR] = ACTIONS(7315),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7317),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7317),
    [anon_sym_BSLASHleft] = ACTIONS(7315),
    [anon_sym_BSLASHbigl] = ACTIONS(7315),
    [anon_sym_BSLASHBigl] = ACTIONS(7315),
    [anon_sym_BSLASHbiggl] = ACTIONS(7315),
    [anon_sym_BSLASHBiggl] = ACTIONS(7315),
    [anon_sym_BSLASHtext] = ACTIONS(7315),
    [anon_sym_BSLASHintertext] = ACTIONS(7315),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7315),
    [anon_sym_BSLASHbegin] = ACTIONS(7315),
    [anon_sym_BSLASHtitle] = ACTIONS(7315),
    [anon_sym_BSLASHauthor] = ACTIONS(7315),
    [anon_sym_BSLASHusepackage] = ACTIONS(7315),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7315),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7315),
    [anon_sym_BSLASHinclude] = ACTIONS(7315),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7315),
    [anon_sym_BSLASHinput] = ACTIONS(7315),
    [anon_sym_BSLASHsubfile] = ACTIONS(7315),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7315),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7315),
    [anon_sym_BSLASHbibliography] = ACTIONS(7315),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7315),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7315),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7315),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7315),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7315),
    [anon_sym_BSLASHimport] = ACTIONS(7315),
    [anon_sym_BSLASHsubimport] = ACTIONS(7315),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7315),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7315),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7315),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7315),
    [anon_sym_BSLASHcaption] = ACTIONS(7315),
    [anon_sym_BSLASHcite] = ACTIONS(7315),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCite] = ACTIONS(7315),
    [anon_sym_BSLASHnocite] = ACTIONS(7315),
    [anon_sym_BSLASHcitet] = ACTIONS(7315),
    [anon_sym_BSLASHcitep] = ACTIONS(7315),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteA] = ACTIONS(7315),
    [anon_sym_BSLASHciteR] = ACTIONS(7315),
    [anon_sym_BSLASHciteS] = ACTIONS(7315),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7315),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7315),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7315),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7315),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteyear] = ACTIONS(7315),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitedate] = ACTIONS(7315),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteurl] = ACTIONS(7315),
    [anon_sym_BSLASHfullcite] = ACTIONS(7315),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7315),
    [anon_sym_BSLASHcitealt] = ACTIONS(7315),
    [anon_sym_BSLASHcitealp] = ACTIONS(7315),
    [anon_sym_BSLASHcitetext] = ACTIONS(7315),
    [anon_sym_BSLASHparencite] = ACTIONS(7315),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHParencite] = ACTIONS(7315),
    [anon_sym_BSLASHfootcite] = ACTIONS(7315),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7315),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7315),
    [anon_sym_BSLASHtextcite] = ACTIONS(7315),
    [anon_sym_BSLASHTextcite] = ACTIONS(7315),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7315),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7315),
    [anon_sym_BSLASHsupercite] = ACTIONS(7315),
    [anon_sym_BSLASHautocite] = ACTIONS(7315),
    [anon_sym_BSLASHAutocite] = ACTIONS(7315),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHVolcite] = ACTIONS(7315),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHavolcite] = ACTIONS(7315),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHNotecite] = ACTIONS(7315),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHlabel] = ACTIONS(7315),
    [anon_sym_BSLASHref] = ACTIONS(7315),
    [anon_sym_BSLASHeqref] = ACTIONS(7315),
    [anon_sym_BSLASHvref] = ACTIONS(7315),
    [anon_sym_BSLASHVref] = ACTIONS(7315),
    [anon_sym_BSLASHautoref] = ACTIONS(7315),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHpageref] = ACTIONS(7315),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHautopageref] = ACTIONS(7315),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcref] = ACTIONS(7315),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCref] = ACTIONS(7315),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcpageref] = ACTIONS(7315),
    [anon_sym_BSLASHCpageref] = ACTIONS(7315),
    [anon_sym_BSLASHnamecref] = ACTIONS(7315),
    [anon_sym_BSLASHnameCref] = ACTIONS(7315),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7315),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7315),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7315),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7315),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7315),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7315),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7315),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7315),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7315),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7315),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7315),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHdef] = ACTIONS(7315),
    [anon_sym_BSLASHgdef] = ACTIONS(7315),
    [anon_sym_BSLASHedef] = ACTIONS(7315),
    [anon_sym_BSLASHxdef] = ACTIONS(7315),
    [anon_sym_BSLASHlet] = ACTIONS(7315),
    [anon_sym_BSLASHglet] = ACTIONS(7315),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7315),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7315),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7315),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7315),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7315),
    [anon_sym_BSLASHgls] = ACTIONS(7315),
    [anon_sym_BSLASHGls] = ACTIONS(7315),
    [anon_sym_BSLASHGLS] = ACTIONS(7315),
    [anon_sym_BSLASHglspl] = ACTIONS(7315),
    [anon_sym_BSLASHGlspl] = ACTIONS(7315),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7315),
    [anon_sym_BSLASHglslink] = ACTIONS(7315),
    [anon_sym_BSLASHglstext] = ACTIONS(7315),
    [anon_sym_BSLASHGlstext] = ACTIONS(7315),
    [anon_sym_BSLASHGLStext] = ACTIONS(7315),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7315),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7315),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7315),
    [anon_sym_BSLASHglsplural] = ACTIONS(7315),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7315),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7315),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHglsname] = ACTIONS(7315),
    [anon_sym_BSLASHGlsname] = ACTIONS(7315),
    [anon_sym_BSLASHGLSname] = ACTIONS(7315),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7315),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7315),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7315),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7315),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7315),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7315),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7315),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7315),
    [anon_sym_BSLASHacrshort] = ACTIONS(7315),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7315),
    [anon_sym_BSLASHACRshort] = ACTIONS(7315),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHacrlong] = ACTIONS(7315),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7315),
    [anon_sym_BSLASHACRlong] = ACTIONS(7315),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHacrfull] = ACTIONS(7315),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7315),
    [anon_sym_BSLASHACRfull] = ACTIONS(7315),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHacs] = ACTIONS(7315),
    [anon_sym_BSLASHAcs] = ACTIONS(7315),
    [anon_sym_BSLASHacsp] = ACTIONS(7315),
    [anon_sym_BSLASHAcsp] = ACTIONS(7315),
    [anon_sym_BSLASHacl] = ACTIONS(7315),
    [anon_sym_BSLASHAcl] = ACTIONS(7315),
    [anon_sym_BSLASHaclp] = ACTIONS(7315),
    [anon_sym_BSLASHAclp] = ACTIONS(7315),
    [anon_sym_BSLASHacf] = ACTIONS(7315),
    [anon_sym_BSLASHAcf] = ACTIONS(7315),
    [anon_sym_BSLASHacfp] = ACTIONS(7315),
    [anon_sym_BSLASHAcfp] = ACTIONS(7315),
    [anon_sym_BSLASHac] = ACTIONS(7315),
    [anon_sym_BSLASHAc] = ACTIONS(7315),
    [anon_sym_BSLASHacp] = ACTIONS(7315),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7315),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7315),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7315),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7315),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7315),
    [anon_sym_BSLASHcolor] = ACTIONS(7315),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7315),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7315),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7315),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7315),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7315),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7315),
    [anon_sym_BSLASHurl] = ACTIONS(7315),
    [anon_sym_BSLASHhref] = ACTIONS(7315),
  },
  [1618] = {
    [sym_command_name] = ACTIONS(7067),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7067),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_RBRACK] = ACTIONS(7069),
    [anon_sym_COMMA] = ACTIONS(7069),
    [anon_sym_EQ] = ACTIONS(7069),
    [anon_sym_LPAREN] = ACTIONS(7069),
    [anon_sym_RPAREN] = ACTIONS(7069),
    [anon_sym_BSLASHpart] = ACTIONS(7067),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHaddpart] = ACTIONS(7067),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHchapter] = ACTIONS(7067),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHaddchap] = ACTIONS(7067),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHsection] = ACTIONS(7067),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHaddsec] = ACTIONS(7067),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHsubsection] = ACTIONS(7067),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7067),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHparagraph] = ACTIONS(7067),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7067),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHitem] = ACTIONS(7067),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7069),
    [anon_sym_LBRACE] = ACTIONS(7069),
    [sym_word] = ACTIONS(7067),
    [sym_placeholder] = ACTIONS(7069),
    [sym_delimiter] = ACTIONS(7069),
    [anon_sym_PLUS] = ACTIONS(7069),
    [anon_sym_DASH] = ACTIONS(7069),
    [anon_sym_STAR] = ACTIONS(7069),
    [anon_sym_SLASH] = ACTIONS(7069),
    [anon_sym_LT] = ACTIONS(7067),
    [anon_sym_GT] = ACTIONS(7067),
    [anon_sym_BANG] = ACTIONS(7067),
    [anon_sym_PIPE] = ACTIONS(7067),
    [anon_sym_COLON] = ACTIONS(7067),
    [anon_sym_SQUOTE] = ACTIONS(7067),
    [anon_sym__] = ACTIONS(7069),
    [anon_sym_CARET] = ACTIONS(7069),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7069),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7069),
    [anon_sym_DOLLAR] = ACTIONS(7067),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7069),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7069),
    [anon_sym_BSLASHleft] = ACTIONS(7067),
    [anon_sym_BSLASHbigl] = ACTIONS(7067),
    [anon_sym_BSLASHBigl] = ACTIONS(7067),
    [anon_sym_BSLASHbiggl] = ACTIONS(7067),
    [anon_sym_BSLASHBiggl] = ACTIONS(7067),
    [anon_sym_BSLASHtext] = ACTIONS(7067),
    [anon_sym_BSLASHintertext] = ACTIONS(7067),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7067),
    [anon_sym_BSLASHbegin] = ACTIONS(7067),
    [anon_sym_BSLASHtitle] = ACTIONS(7067),
    [anon_sym_BSLASHauthor] = ACTIONS(7067),
    [anon_sym_BSLASHusepackage] = ACTIONS(7067),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7067),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7067),
    [anon_sym_BSLASHinclude] = ACTIONS(7067),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7067),
    [anon_sym_BSLASHinput] = ACTIONS(7067),
    [anon_sym_BSLASHsubfile] = ACTIONS(7067),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7067),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7067),
    [anon_sym_BSLASHbibliography] = ACTIONS(7067),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7067),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7067),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7067),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7067),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7067),
    [anon_sym_BSLASHimport] = ACTIONS(7067),
    [anon_sym_BSLASHsubimport] = ACTIONS(7067),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7067),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7067),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7067),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7067),
    [anon_sym_BSLASHcaption] = ACTIONS(7067),
    [anon_sym_BSLASHcite] = ACTIONS(7067),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCite] = ACTIONS(7067),
    [anon_sym_BSLASHnocite] = ACTIONS(7067),
    [anon_sym_BSLASHcitet] = ACTIONS(7067),
    [anon_sym_BSLASHcitep] = ACTIONS(7067),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteA] = ACTIONS(7067),
    [anon_sym_BSLASHciteR] = ACTIONS(7067),
    [anon_sym_BSLASHciteS] = ACTIONS(7067),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7067),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7067),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7067),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7067),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteyear] = ACTIONS(7067),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitedate] = ACTIONS(7067),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteurl] = ACTIONS(7067),
    [anon_sym_BSLASHfullcite] = ACTIONS(7067),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7067),
    [anon_sym_BSLASHcitealt] = ACTIONS(7067),
    [anon_sym_BSLASHcitealp] = ACTIONS(7067),
    [anon_sym_BSLASHcitetext] = ACTIONS(7067),
    [anon_sym_BSLASHparencite] = ACTIONS(7067),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHParencite] = ACTIONS(7067),
    [anon_sym_BSLASHfootcite] = ACTIONS(7067),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7067),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7067),
    [anon_sym_BSLASHtextcite] = ACTIONS(7067),
    [anon_sym_BSLASHTextcite] = ACTIONS(7067),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7067),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7067),
    [anon_sym_BSLASHsupercite] = ACTIONS(7067),
    [anon_sym_BSLASHautocite] = ACTIONS(7067),
    [anon_sym_BSLASHAutocite] = ACTIONS(7067),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHVolcite] = ACTIONS(7067),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHavolcite] = ACTIONS(7067),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHNotecite] = ACTIONS(7067),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHlabel] = ACTIONS(7067),
    [anon_sym_BSLASHref] = ACTIONS(7067),
    [anon_sym_BSLASHeqref] = ACTIONS(7067),
    [anon_sym_BSLASHvref] = ACTIONS(7067),
    [anon_sym_BSLASHVref] = ACTIONS(7067),
    [anon_sym_BSLASHautoref] = ACTIONS(7067),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHpageref] = ACTIONS(7067),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHautopageref] = ACTIONS(7067),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcref] = ACTIONS(7067),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCref] = ACTIONS(7067),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcpageref] = ACTIONS(7067),
    [anon_sym_BSLASHCpageref] = ACTIONS(7067),
    [anon_sym_BSLASHnamecref] = ACTIONS(7067),
    [anon_sym_BSLASHnameCref] = ACTIONS(7067),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7067),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7067),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7067),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7067),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7067),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7067),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7067),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7067),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7067),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7067),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7067),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHdef] = ACTIONS(7067),
    [anon_sym_BSLASHgdef] = ACTIONS(7067),
    [anon_sym_BSLASHedef] = ACTIONS(7067),
    [anon_sym_BSLASHxdef] = ACTIONS(7067),
    [anon_sym_BSLASHlet] = ACTIONS(7067),
    [anon_sym_BSLASHglet] = ACTIONS(7067),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7067),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7067),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7067),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7067),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7067),
    [anon_sym_BSLASHgls] = ACTIONS(7067),
    [anon_sym_BSLASHGls] = ACTIONS(7067),
    [anon_sym_BSLASHGLS] = ACTIONS(7067),
    [anon_sym_BSLASHglspl] = ACTIONS(7067),
    [anon_sym_BSLASHGlspl] = ACTIONS(7067),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7067),
    [anon_sym_BSLASHglslink] = ACTIONS(7067),
    [anon_sym_BSLASHglstext] = ACTIONS(7067),
    [anon_sym_BSLASHGlstext] = ACTIONS(7067),
    [anon_sym_BSLASHGLStext] = ACTIONS(7067),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7067),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7067),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7067),
    [anon_sym_BSLASHglsplural] = ACTIONS(7067),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7067),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7067),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHglsname] = ACTIONS(7067),
    [anon_sym_BSLASHGlsname] = ACTIONS(7067),
    [anon_sym_BSLASHGLSname] = ACTIONS(7067),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7067),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7067),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7067),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7067),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7067),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7067),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7067),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7067),
    [anon_sym_BSLASHacrshort] = ACTIONS(7067),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7067),
    [anon_sym_BSLASHACRshort] = ACTIONS(7067),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHacrlong] = ACTIONS(7067),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7067),
    [anon_sym_BSLASHACRlong] = ACTIONS(7067),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHacrfull] = ACTIONS(7067),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7067),
    [anon_sym_BSLASHACRfull] = ACTIONS(7067),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHacs] = ACTIONS(7067),
    [anon_sym_BSLASHAcs] = ACTIONS(7067),
    [anon_sym_BSLASHacsp] = ACTIONS(7067),
    [anon_sym_BSLASHAcsp] = ACTIONS(7067),
    [anon_sym_BSLASHacl] = ACTIONS(7067),
    [anon_sym_BSLASHAcl] = ACTIONS(7067),
    [anon_sym_BSLASHaclp] = ACTIONS(7067),
    [anon_sym_BSLASHAclp] = ACTIONS(7067),
    [anon_sym_BSLASHacf] = ACTIONS(7067),
    [anon_sym_BSLASHAcf] = ACTIONS(7067),
    [anon_sym_BSLASHacfp] = ACTIONS(7067),
    [anon_sym_BSLASHAcfp] = ACTIONS(7067),
    [anon_sym_BSLASHac] = ACTIONS(7067),
    [anon_sym_BSLASHAc] = ACTIONS(7067),
    [anon_sym_BSLASHacp] = ACTIONS(7067),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7067),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7067),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7067),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7067),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7067),
    [anon_sym_BSLASHcolor] = ACTIONS(7067),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7067),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7067),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7067),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7067),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7067),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7067),
    [anon_sym_BSLASHurl] = ACTIONS(7067),
    [anon_sym_BSLASHhref] = ACTIONS(7067),
  },
  [1619] = {
    [sym_command_name] = ACTIONS(7571),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7571),
    [anon_sym_LBRACK] = ACTIONS(7573),
    [anon_sym_RBRACK] = ACTIONS(7573),
    [anon_sym_COMMA] = ACTIONS(7573),
    [anon_sym_EQ] = ACTIONS(7573),
    [anon_sym_LPAREN] = ACTIONS(7573),
    [anon_sym_RPAREN] = ACTIONS(7573),
    [anon_sym_BSLASHpart] = ACTIONS(7571),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHaddpart] = ACTIONS(7571),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHchapter] = ACTIONS(7571),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHaddchap] = ACTIONS(7571),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHsection] = ACTIONS(7571),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHaddsec] = ACTIONS(7571),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHsubsection] = ACTIONS(7571),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7571),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHparagraph] = ACTIONS(7571),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7571),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHitem] = ACTIONS(7571),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7573),
    [anon_sym_LBRACE] = ACTIONS(7573),
    [sym_word] = ACTIONS(7571),
    [sym_placeholder] = ACTIONS(7573),
    [sym_delimiter] = ACTIONS(7573),
    [anon_sym_PLUS] = ACTIONS(7573),
    [anon_sym_DASH] = ACTIONS(7573),
    [anon_sym_STAR] = ACTIONS(7573),
    [anon_sym_SLASH] = ACTIONS(7573),
    [anon_sym_LT] = ACTIONS(7571),
    [anon_sym_GT] = ACTIONS(7571),
    [anon_sym_BANG] = ACTIONS(7571),
    [anon_sym_PIPE] = ACTIONS(7571),
    [anon_sym_COLON] = ACTIONS(7571),
    [anon_sym_SQUOTE] = ACTIONS(7571),
    [anon_sym__] = ACTIONS(7573),
    [anon_sym_CARET] = ACTIONS(7573),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7573),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7573),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7573),
    [anon_sym_DOLLAR] = ACTIONS(7571),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7573),
    [anon_sym_BSLASHleft] = ACTIONS(7571),
    [anon_sym_BSLASHbigl] = ACTIONS(7571),
    [anon_sym_BSLASHBigl] = ACTIONS(7571),
    [anon_sym_BSLASHbiggl] = ACTIONS(7571),
    [anon_sym_BSLASHBiggl] = ACTIONS(7571),
    [anon_sym_BSLASHtext] = ACTIONS(7571),
    [anon_sym_BSLASHintertext] = ACTIONS(7571),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7571),
    [anon_sym_BSLASHbegin] = ACTIONS(7571),
    [anon_sym_BSLASHtitle] = ACTIONS(7571),
    [anon_sym_BSLASHauthor] = ACTIONS(7571),
    [anon_sym_BSLASHusepackage] = ACTIONS(7571),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7571),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7571),
    [anon_sym_BSLASHinclude] = ACTIONS(7571),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7571),
    [anon_sym_BSLASHinput] = ACTIONS(7571),
    [anon_sym_BSLASHsubfile] = ACTIONS(7571),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7571),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7571),
    [anon_sym_BSLASHbibliography] = ACTIONS(7571),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7571),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7571),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7571),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7571),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7571),
    [anon_sym_BSLASHimport] = ACTIONS(7571),
    [anon_sym_BSLASHsubimport] = ACTIONS(7571),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7571),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7571),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7571),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7571),
    [anon_sym_BSLASHcaption] = ACTIONS(7571),
    [anon_sym_BSLASHcite] = ACTIONS(7571),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCite] = ACTIONS(7571),
    [anon_sym_BSLASHnocite] = ACTIONS(7571),
    [anon_sym_BSLASHcitet] = ACTIONS(7571),
    [anon_sym_BSLASHcitep] = ACTIONS(7571),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteA] = ACTIONS(7571),
    [anon_sym_BSLASHciteR] = ACTIONS(7571),
    [anon_sym_BSLASHciteS] = ACTIONS(7571),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7571),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7571),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7571),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7571),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteyear] = ACTIONS(7571),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitedate] = ACTIONS(7571),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteurl] = ACTIONS(7571),
    [anon_sym_BSLASHfullcite] = ACTIONS(7571),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7571),
    [anon_sym_BSLASHcitealt] = ACTIONS(7571),
    [anon_sym_BSLASHcitealp] = ACTIONS(7571),
    [anon_sym_BSLASHcitetext] = ACTIONS(7571),
    [anon_sym_BSLASHparencite] = ACTIONS(7571),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHParencite] = ACTIONS(7571),
    [anon_sym_BSLASHfootcite] = ACTIONS(7571),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7571),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7571),
    [anon_sym_BSLASHtextcite] = ACTIONS(7571),
    [anon_sym_BSLASHTextcite] = ACTIONS(7571),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7571),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7571),
    [anon_sym_BSLASHsupercite] = ACTIONS(7571),
    [anon_sym_BSLASHautocite] = ACTIONS(7571),
    [anon_sym_BSLASHAutocite] = ACTIONS(7571),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHVolcite] = ACTIONS(7571),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHavolcite] = ACTIONS(7571),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHNotecite] = ACTIONS(7571),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHlabel] = ACTIONS(7571),
    [anon_sym_BSLASHref] = ACTIONS(7571),
    [anon_sym_BSLASHeqref] = ACTIONS(7571),
    [anon_sym_BSLASHvref] = ACTIONS(7571),
    [anon_sym_BSLASHVref] = ACTIONS(7571),
    [anon_sym_BSLASHautoref] = ACTIONS(7571),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHpageref] = ACTIONS(7571),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHautopageref] = ACTIONS(7571),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcref] = ACTIONS(7571),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCref] = ACTIONS(7571),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcpageref] = ACTIONS(7571),
    [anon_sym_BSLASHCpageref] = ACTIONS(7571),
    [anon_sym_BSLASHnamecref] = ACTIONS(7571),
    [anon_sym_BSLASHnameCref] = ACTIONS(7571),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7571),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7571),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7571),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7571),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7571),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7571),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7571),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7571),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7571),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7571),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7571),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHdef] = ACTIONS(7571),
    [anon_sym_BSLASHgdef] = ACTIONS(7571),
    [anon_sym_BSLASHedef] = ACTIONS(7571),
    [anon_sym_BSLASHxdef] = ACTIONS(7571),
    [anon_sym_BSLASHlet] = ACTIONS(7571),
    [anon_sym_BSLASHglet] = ACTIONS(7571),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7571),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7571),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7571),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7571),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7571),
    [anon_sym_BSLASHgls] = ACTIONS(7571),
    [anon_sym_BSLASHGls] = ACTIONS(7571),
    [anon_sym_BSLASHGLS] = ACTIONS(7571),
    [anon_sym_BSLASHglspl] = ACTIONS(7571),
    [anon_sym_BSLASHGlspl] = ACTIONS(7571),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7571),
    [anon_sym_BSLASHglslink] = ACTIONS(7571),
    [anon_sym_BSLASHglstext] = ACTIONS(7571),
    [anon_sym_BSLASHGlstext] = ACTIONS(7571),
    [anon_sym_BSLASHGLStext] = ACTIONS(7571),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7571),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7571),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7571),
    [anon_sym_BSLASHglsplural] = ACTIONS(7571),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7571),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7571),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHglsname] = ACTIONS(7571),
    [anon_sym_BSLASHGlsname] = ACTIONS(7571),
    [anon_sym_BSLASHGLSname] = ACTIONS(7571),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7571),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7571),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7571),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7571),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7571),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7571),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7571),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7571),
    [anon_sym_BSLASHacrshort] = ACTIONS(7571),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7571),
    [anon_sym_BSLASHACRshort] = ACTIONS(7571),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHacrlong] = ACTIONS(7571),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7571),
    [anon_sym_BSLASHACRlong] = ACTIONS(7571),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHacrfull] = ACTIONS(7571),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7571),
    [anon_sym_BSLASHACRfull] = ACTIONS(7571),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHacs] = ACTIONS(7571),
    [anon_sym_BSLASHAcs] = ACTIONS(7571),
    [anon_sym_BSLASHacsp] = ACTIONS(7571),
    [anon_sym_BSLASHAcsp] = ACTIONS(7571),
    [anon_sym_BSLASHacl] = ACTIONS(7571),
    [anon_sym_BSLASHAcl] = ACTIONS(7571),
    [anon_sym_BSLASHaclp] = ACTIONS(7571),
    [anon_sym_BSLASHAclp] = ACTIONS(7571),
    [anon_sym_BSLASHacf] = ACTIONS(7571),
    [anon_sym_BSLASHAcf] = ACTIONS(7571),
    [anon_sym_BSLASHacfp] = ACTIONS(7571),
    [anon_sym_BSLASHAcfp] = ACTIONS(7571),
    [anon_sym_BSLASHac] = ACTIONS(7571),
    [anon_sym_BSLASHAc] = ACTIONS(7571),
    [anon_sym_BSLASHacp] = ACTIONS(7571),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7571),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7571),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7571),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7571),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7571),
    [anon_sym_BSLASHcolor] = ACTIONS(7571),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7571),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7571),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7571),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7571),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7571),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7571),
    [anon_sym_BSLASHurl] = ACTIONS(7571),
    [anon_sym_BSLASHhref] = ACTIONS(7571),
  },
  [1620] = {
    [sym_command_name] = ACTIONS(7127),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7127),
    [anon_sym_LBRACK] = ACTIONS(7129),
    [anon_sym_RBRACK] = ACTIONS(7129),
    [anon_sym_COMMA] = ACTIONS(7129),
    [anon_sym_EQ] = ACTIONS(7129),
    [anon_sym_LPAREN] = ACTIONS(7129),
    [anon_sym_RPAREN] = ACTIONS(7129),
    [anon_sym_BSLASHpart] = ACTIONS(7127),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHaddpart] = ACTIONS(7127),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHchapter] = ACTIONS(7127),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHaddchap] = ACTIONS(7127),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHsection] = ACTIONS(7127),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHaddsec] = ACTIONS(7127),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHsubsection] = ACTIONS(7127),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7127),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHparagraph] = ACTIONS(7127),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7127),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHitem] = ACTIONS(7127),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7129),
    [anon_sym_LBRACE] = ACTIONS(7129),
    [sym_word] = ACTIONS(7127),
    [sym_placeholder] = ACTIONS(7129),
    [sym_delimiter] = ACTIONS(7129),
    [anon_sym_PLUS] = ACTIONS(7129),
    [anon_sym_DASH] = ACTIONS(7129),
    [anon_sym_STAR] = ACTIONS(7129),
    [anon_sym_SLASH] = ACTIONS(7129),
    [anon_sym_LT] = ACTIONS(7127),
    [anon_sym_GT] = ACTIONS(7127),
    [anon_sym_BANG] = ACTIONS(7127),
    [anon_sym_PIPE] = ACTIONS(7127),
    [anon_sym_COLON] = ACTIONS(7127),
    [anon_sym_SQUOTE] = ACTIONS(7127),
    [anon_sym__] = ACTIONS(7129),
    [anon_sym_CARET] = ACTIONS(7129),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7129),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7129),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7129),
    [anon_sym_DOLLAR] = ACTIONS(7127),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7129),
    [anon_sym_BSLASHleft] = ACTIONS(7127),
    [anon_sym_BSLASHbigl] = ACTIONS(7127),
    [anon_sym_BSLASHBigl] = ACTIONS(7127),
    [anon_sym_BSLASHbiggl] = ACTIONS(7127),
    [anon_sym_BSLASHBiggl] = ACTIONS(7127),
    [anon_sym_BSLASHtext] = ACTIONS(7127),
    [anon_sym_BSLASHintertext] = ACTIONS(7127),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7127),
    [anon_sym_BSLASHbegin] = ACTIONS(7127),
    [anon_sym_BSLASHtitle] = ACTIONS(7127),
    [anon_sym_BSLASHauthor] = ACTIONS(7127),
    [anon_sym_BSLASHusepackage] = ACTIONS(7127),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7127),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7127),
    [anon_sym_BSLASHinclude] = ACTIONS(7127),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7127),
    [anon_sym_BSLASHinput] = ACTIONS(7127),
    [anon_sym_BSLASHsubfile] = ACTIONS(7127),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7127),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7127),
    [anon_sym_BSLASHbibliography] = ACTIONS(7127),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7127),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7127),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7127),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7127),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7127),
    [anon_sym_BSLASHimport] = ACTIONS(7127),
    [anon_sym_BSLASHsubimport] = ACTIONS(7127),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7127),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7127),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7127),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7127),
    [anon_sym_BSLASHcaption] = ACTIONS(7127),
    [anon_sym_BSLASHcite] = ACTIONS(7127),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHCite] = ACTIONS(7127),
    [anon_sym_BSLASHnocite] = ACTIONS(7127),
    [anon_sym_BSLASHcitet] = ACTIONS(7127),
    [anon_sym_BSLASHcitep] = ACTIONS(7127),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHciteA] = ACTIONS(7127),
    [anon_sym_BSLASHciteR] = ACTIONS(7127),
    [anon_sym_BSLASHciteS] = ACTIONS(7127),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7127),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7127),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7127),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7127),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHciteyear] = ACTIONS(7127),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcitedate] = ACTIONS(7127),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHciteurl] = ACTIONS(7127),
    [anon_sym_BSLASHfullcite] = ACTIONS(7127),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7127),
    [anon_sym_BSLASHcitealt] = ACTIONS(7127),
    [anon_sym_BSLASHcitealp] = ACTIONS(7127),
    [anon_sym_BSLASHcitetext] = ACTIONS(7127),
    [anon_sym_BSLASHparencite] = ACTIONS(7127),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHParencite] = ACTIONS(7127),
    [anon_sym_BSLASHfootcite] = ACTIONS(7127),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7127),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7127),
    [anon_sym_BSLASHtextcite] = ACTIONS(7127),
    [anon_sym_BSLASHTextcite] = ACTIONS(7127),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7127),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7127),
    [anon_sym_BSLASHsupercite] = ACTIONS(7127),
    [anon_sym_BSLASHautocite] = ACTIONS(7127),
    [anon_sym_BSLASHAutocite] = ACTIONS(7127),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHVolcite] = ACTIONS(7127),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHavolcite] = ACTIONS(7127),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHnotecite] = ACTIONS(7127),
    [anon_sym_BSLASHNotecite] = ACTIONS(7127),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7127),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7127),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7127),
    [anon_sym_BSLASHlabel] = ACTIONS(7127),
    [anon_sym_BSLASHref] = ACTIONS(7127),
    [anon_sym_BSLASHeqref] = ACTIONS(7127),
    [anon_sym_BSLASHvref] = ACTIONS(7127),
    [anon_sym_BSLASHVref] = ACTIONS(7127),
    [anon_sym_BSLASHautoref] = ACTIONS(7127),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHpageref] = ACTIONS(7127),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHautopageref] = ACTIONS(7127),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcref] = ACTIONS(7127),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHCref] = ACTIONS(7127),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcpageref] = ACTIONS(7127),
    [anon_sym_BSLASHCpageref] = ACTIONS(7127),
    [anon_sym_BSLASHnamecref] = ACTIONS(7127),
    [anon_sym_BSLASHnameCref] = ACTIONS(7127),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7127),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7127),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7127),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7127),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7127),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7127),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7127),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7127),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7127),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7127),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7127),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7127),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7127),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7127),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7127),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7127),
    [anon_sym_BSLASHdef] = ACTIONS(7127),
    [anon_sym_BSLASHgdef] = ACTIONS(7127),
    [anon_sym_BSLASHedef] = ACTIONS(7127),
    [anon_sym_BSLASHxdef] = ACTIONS(7127),
    [anon_sym_BSLASHlet] = ACTIONS(7127),
    [anon_sym_BSLASHglet] = ACTIONS(7127),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7127),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7127),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7127),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7127),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7127),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7127),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7127),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7127),
    [anon_sym_BSLASHgls] = ACTIONS(7127),
    [anon_sym_BSLASHGls] = ACTIONS(7127),
    [anon_sym_BSLASHGLS] = ACTIONS(7127),
    [anon_sym_BSLASHglspl] = ACTIONS(7127),
    [anon_sym_BSLASHGlspl] = ACTIONS(7127),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7127),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7127),
    [anon_sym_BSLASHglslink] = ACTIONS(7127),
    [anon_sym_BSLASHglstext] = ACTIONS(7127),
    [anon_sym_BSLASHGlstext] = ACTIONS(7127),
    [anon_sym_BSLASHGLStext] = ACTIONS(7127),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7127),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7127),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7127),
    [anon_sym_BSLASHglsplural] = ACTIONS(7127),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7127),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7127),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7127),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7127),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7127),
    [anon_sym_BSLASHglsname] = ACTIONS(7127),
    [anon_sym_BSLASHGlsname] = ACTIONS(7127),
    [anon_sym_BSLASHGLSname] = ACTIONS(7127),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7127),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7127),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7127),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7127),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7127),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7127),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7127),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7127),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7127),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7127),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7127),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7127),
    [anon_sym_BSLASHacrshort] = ACTIONS(7127),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7127),
    [anon_sym_BSLASHACRshort] = ACTIONS(7127),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHacrlong] = ACTIONS(7127),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7127),
    [anon_sym_BSLASHACRlong] = ACTIONS(7127),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7127),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7127),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7127),
    [anon_sym_BSLASHacrfull] = ACTIONS(7127),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7127),
    [anon_sym_BSLASHACRfull] = ACTIONS(7127),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHacs] = ACTIONS(7127),
    [anon_sym_BSLASHAcs] = ACTIONS(7127),
    [anon_sym_BSLASHacsp] = ACTIONS(7127),
    [anon_sym_BSLASHAcsp] = ACTIONS(7127),
    [anon_sym_BSLASHacl] = ACTIONS(7127),
    [anon_sym_BSLASHAcl] = ACTIONS(7127),
    [anon_sym_BSLASHaclp] = ACTIONS(7127),
    [anon_sym_BSLASHAclp] = ACTIONS(7127),
    [anon_sym_BSLASHacf] = ACTIONS(7127),
    [anon_sym_BSLASHAcf] = ACTIONS(7127),
    [anon_sym_BSLASHacfp] = ACTIONS(7127),
    [anon_sym_BSLASHAcfp] = ACTIONS(7127),
    [anon_sym_BSLASHac] = ACTIONS(7127),
    [anon_sym_BSLASHAc] = ACTIONS(7127),
    [anon_sym_BSLASHacp] = ACTIONS(7127),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7127),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7127),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7127),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7127),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7127),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7127),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7127),
    [anon_sym_BSLASHcolor] = ACTIONS(7127),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7127),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7127),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7127),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7127),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7127),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7127),
    [anon_sym_BSLASHurl] = ACTIONS(7127),
    [anon_sym_BSLASHhref] = ACTIONS(7127),
  },
  [1621] = {
    [sym_command_name] = ACTIONS(7811),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7811),
    [anon_sym_LBRACK] = ACTIONS(7813),
    [anon_sym_RBRACK] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LPAREN] = ACTIONS(7813),
    [anon_sym_RPAREN] = ACTIONS(7813),
    [anon_sym_BSLASHpart] = ACTIONS(7811),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHaddpart] = ACTIONS(7811),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHchapter] = ACTIONS(7811),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHaddchap] = ACTIONS(7811),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHsection] = ACTIONS(7811),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHaddsec] = ACTIONS(7811),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHsubsection] = ACTIONS(7811),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7811),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHparagraph] = ACTIONS(7811),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7811),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHitem] = ACTIONS(7811),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7813),
    [anon_sym_LBRACE] = ACTIONS(7813),
    [sym_word] = ACTIONS(7811),
    [sym_placeholder] = ACTIONS(7813),
    [sym_delimiter] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_DASH] = ACTIONS(7813),
    [anon_sym_STAR] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7811),
    [anon_sym_GT] = ACTIONS(7811),
    [anon_sym_BANG] = ACTIONS(7811),
    [anon_sym_PIPE] = ACTIONS(7811),
    [anon_sym_COLON] = ACTIONS(7811),
    [anon_sym_SQUOTE] = ACTIONS(7811),
    [anon_sym__] = ACTIONS(7813),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7813),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7813),
    [anon_sym_DOLLAR] = ACTIONS(7811),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7813),
    [anon_sym_BSLASHleft] = ACTIONS(7811),
    [anon_sym_BSLASHbigl] = ACTIONS(7811),
    [anon_sym_BSLASHBigl] = ACTIONS(7811),
    [anon_sym_BSLASHbiggl] = ACTIONS(7811),
    [anon_sym_BSLASHBiggl] = ACTIONS(7811),
    [anon_sym_BSLASHtext] = ACTIONS(7811),
    [anon_sym_BSLASHintertext] = ACTIONS(7811),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7811),
    [anon_sym_BSLASHbegin] = ACTIONS(7811),
    [anon_sym_BSLASHend] = ACTIONS(7811),
    [anon_sym_BSLASHtitle] = ACTIONS(7811),
    [anon_sym_BSLASHauthor] = ACTIONS(7811),
    [anon_sym_BSLASHusepackage] = ACTIONS(7811),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7811),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7811),
    [anon_sym_BSLASHinclude] = ACTIONS(7811),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7811),
    [anon_sym_BSLASHinput] = ACTIONS(7811),
    [anon_sym_BSLASHsubfile] = ACTIONS(7811),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7811),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7811),
    [anon_sym_BSLASHbibliography] = ACTIONS(7811),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7811),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7811),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7811),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7811),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7811),
    [anon_sym_BSLASHimport] = ACTIONS(7811),
    [anon_sym_BSLASHsubimport] = ACTIONS(7811),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7811),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7811),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7811),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7811),
    [anon_sym_BSLASHcaption] = ACTIONS(7811),
    [anon_sym_BSLASHcite] = ACTIONS(7811),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHCite] = ACTIONS(7811),
    [anon_sym_BSLASHnocite] = ACTIONS(7811),
    [anon_sym_BSLASHcitet] = ACTIONS(7811),
    [anon_sym_BSLASHcitep] = ACTIONS(7811),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHciteA] = ACTIONS(7811),
    [anon_sym_BSLASHciteR] = ACTIONS(7811),
    [anon_sym_BSLASHciteS] = ACTIONS(7811),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7811),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7811),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7811),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7811),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHciteyear] = ACTIONS(7811),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHcitedate] = ACTIONS(7811),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHciteurl] = ACTIONS(7811),
    [anon_sym_BSLASHfullcite] = ACTIONS(7811),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7811),
    [anon_sym_BSLASHcitealt] = ACTIONS(7811),
    [anon_sym_BSLASHcitealp] = ACTIONS(7811),
    [anon_sym_BSLASHcitetext] = ACTIONS(7811),
    [anon_sym_BSLASHparencite] = ACTIONS(7811),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHParencite] = ACTIONS(7811),
    [anon_sym_BSLASHfootcite] = ACTIONS(7811),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7811),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7811),
    [anon_sym_BSLASHtextcite] = ACTIONS(7811),
    [anon_sym_BSLASHTextcite] = ACTIONS(7811),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7811),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7811),
    [anon_sym_BSLASHsupercite] = ACTIONS(7811),
    [anon_sym_BSLASHautocite] = ACTIONS(7811),
    [anon_sym_BSLASHAutocite] = ACTIONS(7811),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHVolcite] = ACTIONS(7811),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHavolcite] = ACTIONS(7811),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHnotecite] = ACTIONS(7811),
    [anon_sym_BSLASHNotecite] = ACTIONS(7811),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7811),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7811),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7811),
    [anon_sym_BSLASHlabel] = ACTIONS(7811),
    [anon_sym_BSLASHref] = ACTIONS(7811),
    [anon_sym_BSLASHeqref] = ACTIONS(7811),
    [anon_sym_BSLASHvref] = ACTIONS(7811),
    [anon_sym_BSLASHVref] = ACTIONS(7811),
    [anon_sym_BSLASHautoref] = ACTIONS(7811),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHpageref] = ACTIONS(7811),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHautopageref] = ACTIONS(7811),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHcref] = ACTIONS(7811),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHCref] = ACTIONS(7811),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHcpageref] = ACTIONS(7811),
    [anon_sym_BSLASHCpageref] = ACTIONS(7811),
    [anon_sym_BSLASHnamecref] = ACTIONS(7811),
    [anon_sym_BSLASHnameCref] = ACTIONS(7811),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7811),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7811),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7811),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7811),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7811),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7811),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7811),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7811),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7811),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7811),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7811),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7811),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7811),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7811),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7811),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7811),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7811),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7811),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7811),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7811),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7811),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7811),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7811),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7811),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7811),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7811),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7811),
    [anon_sym_BSLASHdef] = ACTIONS(7811),
    [anon_sym_BSLASHgdef] = ACTIONS(7811),
    [anon_sym_BSLASHedef] = ACTIONS(7811),
    [anon_sym_BSLASHxdef] = ACTIONS(7811),
    [anon_sym_BSLASHlet] = ACTIONS(7811),
    [anon_sym_BSLASHglet] = ACTIONS(7811),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7811),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7811),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7811),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7811),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7811),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7811),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7811),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7811),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7811),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7811),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7811),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7811),
    [anon_sym_BSLASHgls] = ACTIONS(7811),
    [anon_sym_BSLASHGls] = ACTIONS(7811),
    [anon_sym_BSLASHGLS] = ACTIONS(7811),
    [anon_sym_BSLASHglspl] = ACTIONS(7811),
    [anon_sym_BSLASHGlspl] = ACTIONS(7811),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7811),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7811),
    [anon_sym_BSLASHglslink] = ACTIONS(7811),
    [anon_sym_BSLASHglstext] = ACTIONS(7811),
    [anon_sym_BSLASHGlstext] = ACTIONS(7811),
    [anon_sym_BSLASHGLStext] = ACTIONS(7811),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7811),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7811),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7811),
    [anon_sym_BSLASHglsplural] = ACTIONS(7811),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7811),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7811),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7811),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7811),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7811),
    [anon_sym_BSLASHglsname] = ACTIONS(7811),
    [anon_sym_BSLASHGlsname] = ACTIONS(7811),
    [anon_sym_BSLASHGLSname] = ACTIONS(7811),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7811),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7811),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7811),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7811),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7811),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7811),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7811),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7811),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7811),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7811),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7811),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7811),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7811),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7811),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7811),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7811),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7811),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7811),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7811),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7811),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7811),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7811),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7811),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7811),
    [anon_sym_BSLASHacrshort] = ACTIONS(7811),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7811),
    [anon_sym_BSLASHACRshort] = ACTIONS(7811),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7811),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7811),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7811),
    [anon_sym_BSLASHacrlong] = ACTIONS(7811),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7811),
    [anon_sym_BSLASHACRlong] = ACTIONS(7811),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7811),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7811),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7811),
    [anon_sym_BSLASHacrfull] = ACTIONS(7811),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7811),
    [anon_sym_BSLASHACRfull] = ACTIONS(7811),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7811),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7811),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7811),
    [anon_sym_BSLASHacs] = ACTIONS(7811),
    [anon_sym_BSLASHAcs] = ACTIONS(7811),
    [anon_sym_BSLASHacsp] = ACTIONS(7811),
    [anon_sym_BSLASHAcsp] = ACTIONS(7811),
    [anon_sym_BSLASHacl] = ACTIONS(7811),
    [anon_sym_BSLASHAcl] = ACTIONS(7811),
    [anon_sym_BSLASHaclp] = ACTIONS(7811),
    [anon_sym_BSLASHAclp] = ACTIONS(7811),
    [anon_sym_BSLASHacf] = ACTIONS(7811),
    [anon_sym_BSLASHAcf] = ACTIONS(7811),
    [anon_sym_BSLASHacfp] = ACTIONS(7811),
    [anon_sym_BSLASHAcfp] = ACTIONS(7811),
    [anon_sym_BSLASHac] = ACTIONS(7811),
    [anon_sym_BSLASHAc] = ACTIONS(7811),
    [anon_sym_BSLASHacp] = ACTIONS(7811),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7811),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7811),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7811),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7811),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7811),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7811),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7811),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7811),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7811),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7811),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7811),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7811),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7811),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7811),
    [anon_sym_BSLASHcolor] = ACTIONS(7811),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7811),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7811),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7811),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7811),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7811),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7811),
    [anon_sym_BSLASHurl] = ACTIONS(7811),
    [anon_sym_BSLASHhref] = ACTIONS(7811),
  },
  [1622] = {
    [sym_command_name] = ACTIONS(7043),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7043),
    [anon_sym_LBRACK] = ACTIONS(7045),
    [anon_sym_RBRACK] = ACTIONS(7045),
    [anon_sym_COMMA] = ACTIONS(7045),
    [anon_sym_EQ] = ACTIONS(7045),
    [anon_sym_LPAREN] = ACTIONS(7045),
    [anon_sym_RPAREN] = ACTIONS(7045),
    [anon_sym_BSLASHpart] = ACTIONS(7043),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHaddpart] = ACTIONS(7043),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHchapter] = ACTIONS(7043),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHaddchap] = ACTIONS(7043),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHsection] = ACTIONS(7043),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHaddsec] = ACTIONS(7043),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHsubsection] = ACTIONS(7043),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7043),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHparagraph] = ACTIONS(7043),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7043),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHitem] = ACTIONS(7043),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7045),
    [anon_sym_LBRACE] = ACTIONS(7045),
    [sym_word] = ACTIONS(7043),
    [sym_placeholder] = ACTIONS(7045),
    [sym_delimiter] = ACTIONS(7045),
    [anon_sym_PLUS] = ACTIONS(7045),
    [anon_sym_DASH] = ACTIONS(7045),
    [anon_sym_STAR] = ACTIONS(7045),
    [anon_sym_SLASH] = ACTIONS(7045),
    [anon_sym_LT] = ACTIONS(7043),
    [anon_sym_GT] = ACTIONS(7043),
    [anon_sym_BANG] = ACTIONS(7043),
    [anon_sym_PIPE] = ACTIONS(7043),
    [anon_sym_COLON] = ACTIONS(7043),
    [anon_sym_SQUOTE] = ACTIONS(7043),
    [anon_sym__] = ACTIONS(7045),
    [anon_sym_CARET] = ACTIONS(7045),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7045),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7045),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7045),
    [anon_sym_DOLLAR] = ACTIONS(7043),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7045),
    [anon_sym_BSLASHleft] = ACTIONS(7043),
    [anon_sym_BSLASHbigl] = ACTIONS(7043),
    [anon_sym_BSLASHBigl] = ACTIONS(7043),
    [anon_sym_BSLASHbiggl] = ACTIONS(7043),
    [anon_sym_BSLASHBiggl] = ACTIONS(7043),
    [anon_sym_BSLASHtext] = ACTIONS(7043),
    [anon_sym_BSLASHintertext] = ACTIONS(7043),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7043),
    [anon_sym_BSLASHbegin] = ACTIONS(7043),
    [anon_sym_BSLASHtitle] = ACTIONS(7043),
    [anon_sym_BSLASHauthor] = ACTIONS(7043),
    [anon_sym_BSLASHusepackage] = ACTIONS(7043),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7043),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7043),
    [anon_sym_BSLASHinclude] = ACTIONS(7043),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7043),
    [anon_sym_BSLASHinput] = ACTIONS(7043),
    [anon_sym_BSLASHsubfile] = ACTIONS(7043),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7043),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7043),
    [anon_sym_BSLASHbibliography] = ACTIONS(7043),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7043),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7043),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7043),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7043),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7043),
    [anon_sym_BSLASHimport] = ACTIONS(7043),
    [anon_sym_BSLASHsubimport] = ACTIONS(7043),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7043),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7043),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7043),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7043),
    [anon_sym_BSLASHcaption] = ACTIONS(7043),
    [anon_sym_BSLASHcite] = ACTIONS(7043),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCite] = ACTIONS(7043),
    [anon_sym_BSLASHnocite] = ACTIONS(7043),
    [anon_sym_BSLASHcitet] = ACTIONS(7043),
    [anon_sym_BSLASHcitep] = ACTIONS(7043),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteA] = ACTIONS(7043),
    [anon_sym_BSLASHciteR] = ACTIONS(7043),
    [anon_sym_BSLASHciteS] = ACTIONS(7043),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7043),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7043),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7043),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7043),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteyear] = ACTIONS(7043),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitedate] = ACTIONS(7043),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteurl] = ACTIONS(7043),
    [anon_sym_BSLASHfullcite] = ACTIONS(7043),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7043),
    [anon_sym_BSLASHcitealt] = ACTIONS(7043),
    [anon_sym_BSLASHcitealp] = ACTIONS(7043),
    [anon_sym_BSLASHcitetext] = ACTIONS(7043),
    [anon_sym_BSLASHparencite] = ACTIONS(7043),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHParencite] = ACTIONS(7043),
    [anon_sym_BSLASHfootcite] = ACTIONS(7043),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7043),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7043),
    [anon_sym_BSLASHtextcite] = ACTIONS(7043),
    [anon_sym_BSLASHTextcite] = ACTIONS(7043),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7043),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7043),
    [anon_sym_BSLASHsupercite] = ACTIONS(7043),
    [anon_sym_BSLASHautocite] = ACTIONS(7043),
    [anon_sym_BSLASHAutocite] = ACTIONS(7043),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHVolcite] = ACTIONS(7043),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHavolcite] = ACTIONS(7043),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHNotecite] = ACTIONS(7043),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHlabel] = ACTIONS(7043),
    [anon_sym_BSLASHref] = ACTIONS(7043),
    [anon_sym_BSLASHeqref] = ACTIONS(7043),
    [anon_sym_BSLASHvref] = ACTIONS(7043),
    [anon_sym_BSLASHVref] = ACTIONS(7043),
    [anon_sym_BSLASHautoref] = ACTIONS(7043),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHpageref] = ACTIONS(7043),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHautopageref] = ACTIONS(7043),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcref] = ACTIONS(7043),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCref] = ACTIONS(7043),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcpageref] = ACTIONS(7043),
    [anon_sym_BSLASHCpageref] = ACTIONS(7043),
    [anon_sym_BSLASHnamecref] = ACTIONS(7043),
    [anon_sym_BSLASHnameCref] = ACTIONS(7043),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7043),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7043),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7043),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7043),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7043),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7043),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7043),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7043),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7043),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7043),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7043),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHdef] = ACTIONS(7043),
    [anon_sym_BSLASHgdef] = ACTIONS(7043),
    [anon_sym_BSLASHedef] = ACTIONS(7043),
    [anon_sym_BSLASHxdef] = ACTIONS(7043),
    [anon_sym_BSLASHlet] = ACTIONS(7043),
    [anon_sym_BSLASHglet] = ACTIONS(7043),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7043),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7043),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7043),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7043),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7043),
    [anon_sym_BSLASHgls] = ACTIONS(7043),
    [anon_sym_BSLASHGls] = ACTIONS(7043),
    [anon_sym_BSLASHGLS] = ACTIONS(7043),
    [anon_sym_BSLASHglspl] = ACTIONS(7043),
    [anon_sym_BSLASHGlspl] = ACTIONS(7043),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7043),
    [anon_sym_BSLASHglslink] = ACTIONS(7043),
    [anon_sym_BSLASHglstext] = ACTIONS(7043),
    [anon_sym_BSLASHGlstext] = ACTIONS(7043),
    [anon_sym_BSLASHGLStext] = ACTIONS(7043),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7043),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7043),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7043),
    [anon_sym_BSLASHglsplural] = ACTIONS(7043),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7043),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7043),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHglsname] = ACTIONS(7043),
    [anon_sym_BSLASHGlsname] = ACTIONS(7043),
    [anon_sym_BSLASHGLSname] = ACTIONS(7043),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7043),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7043),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7043),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7043),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7043),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7043),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7043),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7043),
    [anon_sym_BSLASHacrshort] = ACTIONS(7043),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7043),
    [anon_sym_BSLASHACRshort] = ACTIONS(7043),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHacrlong] = ACTIONS(7043),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7043),
    [anon_sym_BSLASHACRlong] = ACTIONS(7043),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHacrfull] = ACTIONS(7043),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7043),
    [anon_sym_BSLASHACRfull] = ACTIONS(7043),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHacs] = ACTIONS(7043),
    [anon_sym_BSLASHAcs] = ACTIONS(7043),
    [anon_sym_BSLASHacsp] = ACTIONS(7043),
    [anon_sym_BSLASHAcsp] = ACTIONS(7043),
    [anon_sym_BSLASHacl] = ACTIONS(7043),
    [anon_sym_BSLASHAcl] = ACTIONS(7043),
    [anon_sym_BSLASHaclp] = ACTIONS(7043),
    [anon_sym_BSLASHAclp] = ACTIONS(7043),
    [anon_sym_BSLASHacf] = ACTIONS(7043),
    [anon_sym_BSLASHAcf] = ACTIONS(7043),
    [anon_sym_BSLASHacfp] = ACTIONS(7043),
    [anon_sym_BSLASHAcfp] = ACTIONS(7043),
    [anon_sym_BSLASHac] = ACTIONS(7043),
    [anon_sym_BSLASHAc] = ACTIONS(7043),
    [anon_sym_BSLASHacp] = ACTIONS(7043),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7043),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7043),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7043),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7043),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7043),
    [anon_sym_BSLASHcolor] = ACTIONS(7043),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7043),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7043),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7043),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7043),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7043),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7043),
    [anon_sym_BSLASHurl] = ACTIONS(7043),
    [anon_sym_BSLASHhref] = ACTIONS(7043),
  },
  [1623] = {
    [sym_command_name] = ACTIONS(7131),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7131),
    [anon_sym_LBRACK] = ACTIONS(7133),
    [anon_sym_RBRACK] = ACTIONS(7133),
    [anon_sym_COMMA] = ACTIONS(7133),
    [anon_sym_EQ] = ACTIONS(7133),
    [anon_sym_LPAREN] = ACTIONS(7133),
    [anon_sym_RPAREN] = ACTIONS(7133),
    [anon_sym_BSLASHpart] = ACTIONS(7131),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHaddpart] = ACTIONS(7131),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHchapter] = ACTIONS(7131),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHaddchap] = ACTIONS(7131),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHsection] = ACTIONS(7131),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHaddsec] = ACTIONS(7131),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHsubsection] = ACTIONS(7131),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7131),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHparagraph] = ACTIONS(7131),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7131),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHitem] = ACTIONS(7131),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7133),
    [anon_sym_LBRACE] = ACTIONS(7133),
    [sym_word] = ACTIONS(7131),
    [sym_placeholder] = ACTIONS(7133),
    [sym_delimiter] = ACTIONS(7133),
    [anon_sym_PLUS] = ACTIONS(7133),
    [anon_sym_DASH] = ACTIONS(7133),
    [anon_sym_STAR] = ACTIONS(7133),
    [anon_sym_SLASH] = ACTIONS(7133),
    [anon_sym_LT] = ACTIONS(7131),
    [anon_sym_GT] = ACTIONS(7131),
    [anon_sym_BANG] = ACTIONS(7131),
    [anon_sym_PIPE] = ACTIONS(7131),
    [anon_sym_COLON] = ACTIONS(7131),
    [anon_sym_SQUOTE] = ACTIONS(7131),
    [anon_sym__] = ACTIONS(7133),
    [anon_sym_CARET] = ACTIONS(7133),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7133),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7133),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7133),
    [anon_sym_DOLLAR] = ACTIONS(7131),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7133),
    [anon_sym_BSLASHleft] = ACTIONS(7131),
    [anon_sym_BSLASHbigl] = ACTIONS(7131),
    [anon_sym_BSLASHBigl] = ACTIONS(7131),
    [anon_sym_BSLASHbiggl] = ACTIONS(7131),
    [anon_sym_BSLASHBiggl] = ACTIONS(7131),
    [anon_sym_BSLASHtext] = ACTIONS(7131),
    [anon_sym_BSLASHintertext] = ACTIONS(7131),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7131),
    [anon_sym_BSLASHbegin] = ACTIONS(7131),
    [anon_sym_BSLASHtitle] = ACTIONS(7131),
    [anon_sym_BSLASHauthor] = ACTIONS(7131),
    [anon_sym_BSLASHusepackage] = ACTIONS(7131),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7131),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7131),
    [anon_sym_BSLASHinclude] = ACTIONS(7131),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7131),
    [anon_sym_BSLASHinput] = ACTIONS(7131),
    [anon_sym_BSLASHsubfile] = ACTIONS(7131),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7131),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7131),
    [anon_sym_BSLASHbibliography] = ACTIONS(7131),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7131),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7131),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7131),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7131),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7131),
    [anon_sym_BSLASHimport] = ACTIONS(7131),
    [anon_sym_BSLASHsubimport] = ACTIONS(7131),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7131),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7131),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7131),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7131),
    [anon_sym_BSLASHcaption] = ACTIONS(7131),
    [anon_sym_BSLASHcite] = ACTIONS(7131),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCite] = ACTIONS(7131),
    [anon_sym_BSLASHnocite] = ACTIONS(7131),
    [anon_sym_BSLASHcitet] = ACTIONS(7131),
    [anon_sym_BSLASHcitep] = ACTIONS(7131),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHciteA] = ACTIONS(7131),
    [anon_sym_BSLASHciteR] = ACTIONS(7131),
    [anon_sym_BSLASHciteS] = ACTIONS(7131),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7131),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7131),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7131),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7131),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHciteyear] = ACTIONS(7131),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcitedate] = ACTIONS(7131),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHciteurl] = ACTIONS(7131),
    [anon_sym_BSLASHfullcite] = ACTIONS(7131),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7131),
    [anon_sym_BSLASHcitealt] = ACTIONS(7131),
    [anon_sym_BSLASHcitealp] = ACTIONS(7131),
    [anon_sym_BSLASHcitetext] = ACTIONS(7131),
    [anon_sym_BSLASHparencite] = ACTIONS(7131),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHParencite] = ACTIONS(7131),
    [anon_sym_BSLASHfootcite] = ACTIONS(7131),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7131),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7131),
    [anon_sym_BSLASHtextcite] = ACTIONS(7131),
    [anon_sym_BSLASHTextcite] = ACTIONS(7131),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7131),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7131),
    [anon_sym_BSLASHsupercite] = ACTIONS(7131),
    [anon_sym_BSLASHautocite] = ACTIONS(7131),
    [anon_sym_BSLASHAutocite] = ACTIONS(7131),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHVolcite] = ACTIONS(7131),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHavolcite] = ACTIONS(7131),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHNotecite] = ACTIONS(7131),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHlabel] = ACTIONS(7131),
    [anon_sym_BSLASHref] = ACTIONS(7131),
    [anon_sym_BSLASHeqref] = ACTIONS(7131),
    [anon_sym_BSLASHvref] = ACTIONS(7131),
    [anon_sym_BSLASHVref] = ACTIONS(7131),
    [anon_sym_BSLASHautoref] = ACTIONS(7131),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHpageref] = ACTIONS(7131),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHautopageref] = ACTIONS(7131),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcref] = ACTIONS(7131),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCref] = ACTIONS(7131),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcpageref] = ACTIONS(7131),
    [anon_sym_BSLASHCpageref] = ACTIONS(7131),
    [anon_sym_BSLASHnamecref] = ACTIONS(7131),
    [anon_sym_BSLASHnameCref] = ACTIONS(7131),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7131),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7131),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7131),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7131),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7131),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7131),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7131),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7131),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7131),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7131),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7131),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7131),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7131),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7131),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7131),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7131),
    [anon_sym_BSLASHdef] = ACTIONS(7131),
    [anon_sym_BSLASHgdef] = ACTIONS(7131),
    [anon_sym_BSLASHedef] = ACTIONS(7131),
    [anon_sym_BSLASHxdef] = ACTIONS(7131),
    [anon_sym_BSLASHlet] = ACTIONS(7131),
    [anon_sym_BSLASHglet] = ACTIONS(7131),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7131),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7131),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7131),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7131),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7131),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7131),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7131),
    [anon_sym_BSLASHgls] = ACTIONS(7131),
    [anon_sym_BSLASHGls] = ACTIONS(7131),
    [anon_sym_BSLASHGLS] = ACTIONS(7131),
    [anon_sym_BSLASHglspl] = ACTIONS(7131),
    [anon_sym_BSLASHGlspl] = ACTIONS(7131),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7131),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7131),
    [anon_sym_BSLASHglslink] = ACTIONS(7131),
    [anon_sym_BSLASHglstext] = ACTIONS(7131),
    [anon_sym_BSLASHGlstext] = ACTIONS(7131),
    [anon_sym_BSLASHGLStext] = ACTIONS(7131),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7131),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7131),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7131),
    [anon_sym_BSLASHglsplural] = ACTIONS(7131),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7131),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7131),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7131),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7131),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7131),
    [anon_sym_BSLASHglsname] = ACTIONS(7131),
    [anon_sym_BSLASHGlsname] = ACTIONS(7131),
    [anon_sym_BSLASHGLSname] = ACTIONS(7131),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7131),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7131),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7131),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7131),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7131),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7131),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7131),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7131),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7131),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7131),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7131),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7131),
    [anon_sym_BSLASHacrshort] = ACTIONS(7131),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7131),
    [anon_sym_BSLASHACRshort] = ACTIONS(7131),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHacrlong] = ACTIONS(7131),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7131),
    [anon_sym_BSLASHACRlong] = ACTIONS(7131),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7131),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7131),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7131),
    [anon_sym_BSLASHacrfull] = ACTIONS(7131),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7131),
    [anon_sym_BSLASHACRfull] = ACTIONS(7131),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHacs] = ACTIONS(7131),
    [anon_sym_BSLASHAcs] = ACTIONS(7131),
    [anon_sym_BSLASHacsp] = ACTIONS(7131),
    [anon_sym_BSLASHAcsp] = ACTIONS(7131),
    [anon_sym_BSLASHacl] = ACTIONS(7131),
    [anon_sym_BSLASHAcl] = ACTIONS(7131),
    [anon_sym_BSLASHaclp] = ACTIONS(7131),
    [anon_sym_BSLASHAclp] = ACTIONS(7131),
    [anon_sym_BSLASHacf] = ACTIONS(7131),
    [anon_sym_BSLASHAcf] = ACTIONS(7131),
    [anon_sym_BSLASHacfp] = ACTIONS(7131),
    [anon_sym_BSLASHAcfp] = ACTIONS(7131),
    [anon_sym_BSLASHac] = ACTIONS(7131),
    [anon_sym_BSLASHAc] = ACTIONS(7131),
    [anon_sym_BSLASHacp] = ACTIONS(7131),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7131),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7131),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7131),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7131),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7131),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7131),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7131),
    [anon_sym_BSLASHcolor] = ACTIONS(7131),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7131),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7131),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7131),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7131),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7131),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7131),
    [anon_sym_BSLASHurl] = ACTIONS(7131),
    [anon_sym_BSLASHhref] = ACTIONS(7131),
  },
  [1624] = {
    [sym_command_name] = ACTIONS(7339),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7339),
    [anon_sym_LBRACK] = ACTIONS(7341),
    [anon_sym_RBRACK] = ACTIONS(7341),
    [anon_sym_COMMA] = ACTIONS(7341),
    [anon_sym_EQ] = ACTIONS(7341),
    [anon_sym_LPAREN] = ACTIONS(7341),
    [anon_sym_RPAREN] = ACTIONS(7341),
    [anon_sym_BSLASHpart] = ACTIONS(7339),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHaddpart] = ACTIONS(7339),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHchapter] = ACTIONS(7339),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHaddchap] = ACTIONS(7339),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHsection] = ACTIONS(7339),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHaddsec] = ACTIONS(7339),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHsubsection] = ACTIONS(7339),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7339),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHparagraph] = ACTIONS(7339),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7339),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHitem] = ACTIONS(7339),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7341),
    [anon_sym_LBRACE] = ACTIONS(7341),
    [sym_word] = ACTIONS(7339),
    [sym_placeholder] = ACTIONS(7341),
    [sym_delimiter] = ACTIONS(7341),
    [anon_sym_PLUS] = ACTIONS(7341),
    [anon_sym_DASH] = ACTIONS(7341),
    [anon_sym_STAR] = ACTIONS(7341),
    [anon_sym_SLASH] = ACTIONS(7341),
    [anon_sym_LT] = ACTIONS(7339),
    [anon_sym_GT] = ACTIONS(7339),
    [anon_sym_BANG] = ACTIONS(7339),
    [anon_sym_PIPE] = ACTIONS(7339),
    [anon_sym_COLON] = ACTIONS(7339),
    [anon_sym_SQUOTE] = ACTIONS(7339),
    [anon_sym__] = ACTIONS(7341),
    [anon_sym_CARET] = ACTIONS(7341),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7341),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7341),
    [anon_sym_DOLLAR] = ACTIONS(7339),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7341),
    [anon_sym_BSLASHleft] = ACTIONS(7339),
    [anon_sym_BSLASHbigl] = ACTIONS(7339),
    [anon_sym_BSLASHBigl] = ACTIONS(7339),
    [anon_sym_BSLASHbiggl] = ACTIONS(7339),
    [anon_sym_BSLASHBiggl] = ACTIONS(7339),
    [anon_sym_BSLASHtext] = ACTIONS(7339),
    [anon_sym_BSLASHintertext] = ACTIONS(7339),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7339),
    [anon_sym_BSLASHbegin] = ACTIONS(7339),
    [anon_sym_BSLASHend] = ACTIONS(7339),
    [anon_sym_BSLASHtitle] = ACTIONS(7339),
    [anon_sym_BSLASHauthor] = ACTIONS(7339),
    [anon_sym_BSLASHusepackage] = ACTIONS(7339),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7339),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7339),
    [anon_sym_BSLASHinclude] = ACTIONS(7339),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7339),
    [anon_sym_BSLASHinput] = ACTIONS(7339),
    [anon_sym_BSLASHsubfile] = ACTIONS(7339),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7339),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7339),
    [anon_sym_BSLASHbibliography] = ACTIONS(7339),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7339),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7339),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7339),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7339),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7339),
    [anon_sym_BSLASHimport] = ACTIONS(7339),
    [anon_sym_BSLASHsubimport] = ACTIONS(7339),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7339),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7339),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7339),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7339),
    [anon_sym_BSLASHcaption] = ACTIONS(7339),
    [anon_sym_BSLASHcite] = ACTIONS(7339),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCite] = ACTIONS(7339),
    [anon_sym_BSLASHnocite] = ACTIONS(7339),
    [anon_sym_BSLASHcitet] = ACTIONS(7339),
    [anon_sym_BSLASHcitep] = ACTIONS(7339),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteA] = ACTIONS(7339),
    [anon_sym_BSLASHciteR] = ACTIONS(7339),
    [anon_sym_BSLASHciteS] = ACTIONS(7339),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7339),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7339),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7339),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7339),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteyear] = ACTIONS(7339),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitedate] = ACTIONS(7339),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteurl] = ACTIONS(7339),
    [anon_sym_BSLASHfullcite] = ACTIONS(7339),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7339),
    [anon_sym_BSLASHcitealt] = ACTIONS(7339),
    [anon_sym_BSLASHcitealp] = ACTIONS(7339),
    [anon_sym_BSLASHcitetext] = ACTIONS(7339),
    [anon_sym_BSLASHparencite] = ACTIONS(7339),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHParencite] = ACTIONS(7339),
    [anon_sym_BSLASHfootcite] = ACTIONS(7339),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7339),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7339),
    [anon_sym_BSLASHtextcite] = ACTIONS(7339),
    [anon_sym_BSLASHTextcite] = ACTIONS(7339),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7339),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7339),
    [anon_sym_BSLASHsupercite] = ACTIONS(7339),
    [anon_sym_BSLASHautocite] = ACTIONS(7339),
    [anon_sym_BSLASHAutocite] = ACTIONS(7339),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHVolcite] = ACTIONS(7339),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHavolcite] = ACTIONS(7339),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHNotecite] = ACTIONS(7339),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHlabel] = ACTIONS(7339),
    [anon_sym_BSLASHref] = ACTIONS(7339),
    [anon_sym_BSLASHeqref] = ACTIONS(7339),
    [anon_sym_BSLASHvref] = ACTIONS(7339),
    [anon_sym_BSLASHVref] = ACTIONS(7339),
    [anon_sym_BSLASHautoref] = ACTIONS(7339),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHpageref] = ACTIONS(7339),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHautopageref] = ACTIONS(7339),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcref] = ACTIONS(7339),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCref] = ACTIONS(7339),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcpageref] = ACTIONS(7339),
    [anon_sym_BSLASHCpageref] = ACTIONS(7339),
    [anon_sym_BSLASHnamecref] = ACTIONS(7339),
    [anon_sym_BSLASHnameCref] = ACTIONS(7339),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7339),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7339),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7339),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7339),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7339),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7339),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7339),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7339),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7339),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7339),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7339),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHdef] = ACTIONS(7339),
    [anon_sym_BSLASHgdef] = ACTIONS(7339),
    [anon_sym_BSLASHedef] = ACTIONS(7339),
    [anon_sym_BSLASHxdef] = ACTIONS(7339),
    [anon_sym_BSLASHlet] = ACTIONS(7339),
    [anon_sym_BSLASHglet] = ACTIONS(7339),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7339),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7339),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7339),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7339),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7339),
    [anon_sym_BSLASHgls] = ACTIONS(7339),
    [anon_sym_BSLASHGls] = ACTIONS(7339),
    [anon_sym_BSLASHGLS] = ACTIONS(7339),
    [anon_sym_BSLASHglspl] = ACTIONS(7339),
    [anon_sym_BSLASHGlspl] = ACTIONS(7339),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7339),
    [anon_sym_BSLASHglslink] = ACTIONS(7339),
    [anon_sym_BSLASHglstext] = ACTIONS(7339),
    [anon_sym_BSLASHGlstext] = ACTIONS(7339),
    [anon_sym_BSLASHGLStext] = ACTIONS(7339),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7339),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7339),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7339),
    [anon_sym_BSLASHglsplural] = ACTIONS(7339),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7339),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7339),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHglsname] = ACTIONS(7339),
    [anon_sym_BSLASHGlsname] = ACTIONS(7339),
    [anon_sym_BSLASHGLSname] = ACTIONS(7339),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7339),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7339),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7339),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7339),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7339),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7339),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7339),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7339),
    [anon_sym_BSLASHacrshort] = ACTIONS(7339),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7339),
    [anon_sym_BSLASHACRshort] = ACTIONS(7339),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHacrlong] = ACTIONS(7339),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7339),
    [anon_sym_BSLASHACRlong] = ACTIONS(7339),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHacrfull] = ACTIONS(7339),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7339),
    [anon_sym_BSLASHACRfull] = ACTIONS(7339),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHacs] = ACTIONS(7339),
    [anon_sym_BSLASHAcs] = ACTIONS(7339),
    [anon_sym_BSLASHacsp] = ACTIONS(7339),
    [anon_sym_BSLASHAcsp] = ACTIONS(7339),
    [anon_sym_BSLASHacl] = ACTIONS(7339),
    [anon_sym_BSLASHAcl] = ACTIONS(7339),
    [anon_sym_BSLASHaclp] = ACTIONS(7339),
    [anon_sym_BSLASHAclp] = ACTIONS(7339),
    [anon_sym_BSLASHacf] = ACTIONS(7339),
    [anon_sym_BSLASHAcf] = ACTIONS(7339),
    [anon_sym_BSLASHacfp] = ACTIONS(7339),
    [anon_sym_BSLASHAcfp] = ACTIONS(7339),
    [anon_sym_BSLASHac] = ACTIONS(7339),
    [anon_sym_BSLASHAc] = ACTIONS(7339),
    [anon_sym_BSLASHacp] = ACTIONS(7339),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7339),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7339),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7339),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7339),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7339),
    [anon_sym_BSLASHcolor] = ACTIONS(7339),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7339),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7339),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7339),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7339),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7339),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7339),
    [anon_sym_BSLASHurl] = ACTIONS(7339),
    [anon_sym_BSLASHhref] = ACTIONS(7339),
  },
  [1625] = {
    [sym_command_name] = ACTIONS(7039),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7039),
    [anon_sym_LBRACK] = ACTIONS(7041),
    [anon_sym_RBRACK] = ACTIONS(7041),
    [anon_sym_COMMA] = ACTIONS(7041),
    [anon_sym_EQ] = ACTIONS(7041),
    [anon_sym_LPAREN] = ACTIONS(7041),
    [anon_sym_RPAREN] = ACTIONS(7041),
    [anon_sym_BSLASHpart] = ACTIONS(7039),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHaddpart] = ACTIONS(7039),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHchapter] = ACTIONS(7039),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHaddchap] = ACTIONS(7039),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHsection] = ACTIONS(7039),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHaddsec] = ACTIONS(7039),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHsubsection] = ACTIONS(7039),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7039),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHparagraph] = ACTIONS(7039),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7039),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHitem] = ACTIONS(7039),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7041),
    [anon_sym_LBRACE] = ACTIONS(7041),
    [sym_word] = ACTIONS(7039),
    [sym_placeholder] = ACTIONS(7041),
    [sym_delimiter] = ACTIONS(7041),
    [anon_sym_PLUS] = ACTIONS(7041),
    [anon_sym_DASH] = ACTIONS(7041),
    [anon_sym_STAR] = ACTIONS(7041),
    [anon_sym_SLASH] = ACTIONS(7041),
    [anon_sym_LT] = ACTIONS(7039),
    [anon_sym_GT] = ACTIONS(7039),
    [anon_sym_BANG] = ACTIONS(7039),
    [anon_sym_PIPE] = ACTIONS(7039),
    [anon_sym_COLON] = ACTIONS(7039),
    [anon_sym_SQUOTE] = ACTIONS(7039),
    [anon_sym__] = ACTIONS(7041),
    [anon_sym_CARET] = ACTIONS(7041),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7041),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7041),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7041),
    [anon_sym_DOLLAR] = ACTIONS(7039),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7041),
    [anon_sym_BSLASHleft] = ACTIONS(7039),
    [anon_sym_BSLASHbigl] = ACTIONS(7039),
    [anon_sym_BSLASHBigl] = ACTIONS(7039),
    [anon_sym_BSLASHbiggl] = ACTIONS(7039),
    [anon_sym_BSLASHBiggl] = ACTIONS(7039),
    [anon_sym_BSLASHtext] = ACTIONS(7039),
    [anon_sym_BSLASHintertext] = ACTIONS(7039),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7039),
    [anon_sym_BSLASHbegin] = ACTIONS(7039),
    [anon_sym_BSLASHtitle] = ACTIONS(7039),
    [anon_sym_BSLASHauthor] = ACTIONS(7039),
    [anon_sym_BSLASHusepackage] = ACTIONS(7039),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7039),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7039),
    [anon_sym_BSLASHinclude] = ACTIONS(7039),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7039),
    [anon_sym_BSLASHinput] = ACTIONS(7039),
    [anon_sym_BSLASHsubfile] = ACTIONS(7039),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7039),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7039),
    [anon_sym_BSLASHbibliography] = ACTIONS(7039),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7039),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7039),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7039),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7039),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7039),
    [anon_sym_BSLASHimport] = ACTIONS(7039),
    [anon_sym_BSLASHsubimport] = ACTIONS(7039),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7039),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7039),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7039),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7039),
    [anon_sym_BSLASHcaption] = ACTIONS(7039),
    [anon_sym_BSLASHcite] = ACTIONS(7039),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHCite] = ACTIONS(7039),
    [anon_sym_BSLASHnocite] = ACTIONS(7039),
    [anon_sym_BSLASHcitet] = ACTIONS(7039),
    [anon_sym_BSLASHcitep] = ACTIONS(7039),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHciteA] = ACTIONS(7039),
    [anon_sym_BSLASHciteR] = ACTIONS(7039),
    [anon_sym_BSLASHciteS] = ACTIONS(7039),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7039),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7039),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7039),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7039),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHciteyear] = ACTIONS(7039),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcitedate] = ACTIONS(7039),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHciteurl] = ACTIONS(7039),
    [anon_sym_BSLASHfullcite] = ACTIONS(7039),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7039),
    [anon_sym_BSLASHcitealt] = ACTIONS(7039),
    [anon_sym_BSLASHcitealp] = ACTIONS(7039),
    [anon_sym_BSLASHcitetext] = ACTIONS(7039),
    [anon_sym_BSLASHparencite] = ACTIONS(7039),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHParencite] = ACTIONS(7039),
    [anon_sym_BSLASHfootcite] = ACTIONS(7039),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7039),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7039),
    [anon_sym_BSLASHtextcite] = ACTIONS(7039),
    [anon_sym_BSLASHTextcite] = ACTIONS(7039),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7039),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7039),
    [anon_sym_BSLASHsupercite] = ACTIONS(7039),
    [anon_sym_BSLASHautocite] = ACTIONS(7039),
    [anon_sym_BSLASHAutocite] = ACTIONS(7039),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHVolcite] = ACTIONS(7039),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHavolcite] = ACTIONS(7039),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7039),
    [anon_sym_BSLASHnotecite] = ACTIONS(7039),
    [anon_sym_BSLASHNotecite] = ACTIONS(7039),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7039),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7039),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7039),
    [anon_sym_BSLASHlabel] = ACTIONS(7039),
    [anon_sym_BSLASHref] = ACTIONS(7039),
    [anon_sym_BSLASHeqref] = ACTIONS(7039),
    [anon_sym_BSLASHvref] = ACTIONS(7039),
    [anon_sym_BSLASHVref] = ACTIONS(7039),
    [anon_sym_BSLASHautoref] = ACTIONS(7039),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHpageref] = ACTIONS(7039),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHautopageref] = ACTIONS(7039),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcref] = ACTIONS(7039),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHCref] = ACTIONS(7039),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcpageref] = ACTIONS(7039),
    [anon_sym_BSLASHCpageref] = ACTIONS(7039),
    [anon_sym_BSLASHnamecref] = ACTIONS(7039),
    [anon_sym_BSLASHnameCref] = ACTIONS(7039),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7039),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7039),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7039),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7039),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7039),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7039),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7039),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7039),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7039),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7039),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7039),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7039),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7039),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7039),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7039),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7039),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7039),
    [anon_sym_BSLASHdef] = ACTIONS(7039),
    [anon_sym_BSLASHgdef] = ACTIONS(7039),
    [anon_sym_BSLASHedef] = ACTIONS(7039),
    [anon_sym_BSLASHxdef] = ACTIONS(7039),
    [anon_sym_BSLASHlet] = ACTIONS(7039),
    [anon_sym_BSLASHglet] = ACTIONS(7039),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7039),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7039),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7039),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7039),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7039),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7039),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7039),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7039),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7039),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7039),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7039),
    [anon_sym_BSLASHgls] = ACTIONS(7039),
    [anon_sym_BSLASHGls] = ACTIONS(7039),
    [anon_sym_BSLASHGLS] = ACTIONS(7039),
    [anon_sym_BSLASHglspl] = ACTIONS(7039),
    [anon_sym_BSLASHGlspl] = ACTIONS(7039),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7039),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7039),
    [anon_sym_BSLASHglslink] = ACTIONS(7039),
    [anon_sym_BSLASHglstext] = ACTIONS(7039),
    [anon_sym_BSLASHGlstext] = ACTIONS(7039),
    [anon_sym_BSLASHGLStext] = ACTIONS(7039),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7039),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7039),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7039),
    [anon_sym_BSLASHglsplural] = ACTIONS(7039),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7039),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7039),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7039),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7039),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7039),
    [anon_sym_BSLASHglsname] = ACTIONS(7039),
    [anon_sym_BSLASHGlsname] = ACTIONS(7039),
    [anon_sym_BSLASHGLSname] = ACTIONS(7039),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7039),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7039),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7039),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7039),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7039),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7039),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7039),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7039),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7039),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7039),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7039),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7039),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7039),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7039),
    [anon_sym_BSLASHacrshort] = ACTIONS(7039),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7039),
    [anon_sym_BSLASHACRshort] = ACTIONS(7039),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7039),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7039),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7039),
    [anon_sym_BSLASHacrlong] = ACTIONS(7039),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7039),
    [anon_sym_BSLASHACRlong] = ACTIONS(7039),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7039),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7039),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7039),
    [anon_sym_BSLASHacrfull] = ACTIONS(7039),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7039),
    [anon_sym_BSLASHACRfull] = ACTIONS(7039),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7039),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7039),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7039),
    [anon_sym_BSLASHacs] = ACTIONS(7039),
    [anon_sym_BSLASHAcs] = ACTIONS(7039),
    [anon_sym_BSLASHacsp] = ACTIONS(7039),
    [anon_sym_BSLASHAcsp] = ACTIONS(7039),
    [anon_sym_BSLASHacl] = ACTIONS(7039),
    [anon_sym_BSLASHAcl] = ACTIONS(7039),
    [anon_sym_BSLASHaclp] = ACTIONS(7039),
    [anon_sym_BSLASHAclp] = ACTIONS(7039),
    [anon_sym_BSLASHacf] = ACTIONS(7039),
    [anon_sym_BSLASHAcf] = ACTIONS(7039),
    [anon_sym_BSLASHacfp] = ACTIONS(7039),
    [anon_sym_BSLASHAcfp] = ACTIONS(7039),
    [anon_sym_BSLASHac] = ACTIONS(7039),
    [anon_sym_BSLASHAc] = ACTIONS(7039),
    [anon_sym_BSLASHacp] = ACTIONS(7039),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7039),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7039),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7039),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7039),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7039),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7039),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7039),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7039),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7039),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7039),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7039),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7039),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7041),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7039),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7039),
    [anon_sym_BSLASHcolor] = ACTIONS(7039),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7039),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7039),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7039),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7039),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7039),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7039),
    [anon_sym_BSLASHurl] = ACTIONS(7039),
    [anon_sym_BSLASHhref] = ACTIONS(7039),
  },
  [1626] = {
    [sym_command_name] = ACTIONS(7319),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7319),
    [anon_sym_LBRACK] = ACTIONS(7321),
    [anon_sym_RBRACK] = ACTIONS(7321),
    [anon_sym_COMMA] = ACTIONS(7321),
    [anon_sym_EQ] = ACTIONS(7321),
    [anon_sym_LPAREN] = ACTIONS(7321),
    [anon_sym_RPAREN] = ACTIONS(7321),
    [anon_sym_BSLASHpart] = ACTIONS(7319),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHaddpart] = ACTIONS(7319),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHchapter] = ACTIONS(7319),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHaddchap] = ACTIONS(7319),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHsection] = ACTIONS(7319),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHaddsec] = ACTIONS(7319),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHsubsection] = ACTIONS(7319),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7319),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHparagraph] = ACTIONS(7319),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7319),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHitem] = ACTIONS(7319),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7321),
    [anon_sym_LBRACE] = ACTIONS(7321),
    [sym_word] = ACTIONS(7319),
    [sym_placeholder] = ACTIONS(7321),
    [sym_delimiter] = ACTIONS(7321),
    [anon_sym_PLUS] = ACTIONS(7321),
    [anon_sym_DASH] = ACTIONS(7321),
    [anon_sym_STAR] = ACTIONS(7321),
    [anon_sym_SLASH] = ACTIONS(7321),
    [anon_sym_LT] = ACTIONS(7319),
    [anon_sym_GT] = ACTIONS(7319),
    [anon_sym_BANG] = ACTIONS(7319),
    [anon_sym_PIPE] = ACTIONS(7319),
    [anon_sym_COLON] = ACTIONS(7319),
    [anon_sym_SQUOTE] = ACTIONS(7319),
    [anon_sym__] = ACTIONS(7321),
    [anon_sym_CARET] = ACTIONS(7321),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7321),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7321),
    [anon_sym_DOLLAR] = ACTIONS(7319),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7321),
    [anon_sym_BSLASHleft] = ACTIONS(7319),
    [anon_sym_BSLASHbigl] = ACTIONS(7319),
    [anon_sym_BSLASHBigl] = ACTIONS(7319),
    [anon_sym_BSLASHbiggl] = ACTIONS(7319),
    [anon_sym_BSLASHBiggl] = ACTIONS(7319),
    [anon_sym_BSLASHtext] = ACTIONS(7319),
    [anon_sym_BSLASHintertext] = ACTIONS(7319),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7319),
    [anon_sym_BSLASHbegin] = ACTIONS(7319),
    [anon_sym_BSLASHend] = ACTIONS(7319),
    [anon_sym_BSLASHtitle] = ACTIONS(7319),
    [anon_sym_BSLASHauthor] = ACTIONS(7319),
    [anon_sym_BSLASHusepackage] = ACTIONS(7319),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7319),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7319),
    [anon_sym_BSLASHinclude] = ACTIONS(7319),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7319),
    [anon_sym_BSLASHinput] = ACTIONS(7319),
    [anon_sym_BSLASHsubfile] = ACTIONS(7319),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7319),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7319),
    [anon_sym_BSLASHbibliography] = ACTIONS(7319),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7319),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7319),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7319),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7319),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7319),
    [anon_sym_BSLASHimport] = ACTIONS(7319),
    [anon_sym_BSLASHsubimport] = ACTIONS(7319),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7319),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7319),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7319),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7319),
    [anon_sym_BSLASHcaption] = ACTIONS(7319),
    [anon_sym_BSLASHcite] = ACTIONS(7319),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCite] = ACTIONS(7319),
    [anon_sym_BSLASHnocite] = ACTIONS(7319),
    [anon_sym_BSLASHcitet] = ACTIONS(7319),
    [anon_sym_BSLASHcitep] = ACTIONS(7319),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteA] = ACTIONS(7319),
    [anon_sym_BSLASHciteR] = ACTIONS(7319),
    [anon_sym_BSLASHciteS] = ACTIONS(7319),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7319),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7319),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7319),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7319),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteyear] = ACTIONS(7319),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitedate] = ACTIONS(7319),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteurl] = ACTIONS(7319),
    [anon_sym_BSLASHfullcite] = ACTIONS(7319),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7319),
    [anon_sym_BSLASHcitealt] = ACTIONS(7319),
    [anon_sym_BSLASHcitealp] = ACTIONS(7319),
    [anon_sym_BSLASHcitetext] = ACTIONS(7319),
    [anon_sym_BSLASHparencite] = ACTIONS(7319),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHParencite] = ACTIONS(7319),
    [anon_sym_BSLASHfootcite] = ACTIONS(7319),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7319),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7319),
    [anon_sym_BSLASHtextcite] = ACTIONS(7319),
    [anon_sym_BSLASHTextcite] = ACTIONS(7319),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7319),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7319),
    [anon_sym_BSLASHsupercite] = ACTIONS(7319),
    [anon_sym_BSLASHautocite] = ACTIONS(7319),
    [anon_sym_BSLASHAutocite] = ACTIONS(7319),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHVolcite] = ACTIONS(7319),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHavolcite] = ACTIONS(7319),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHNotecite] = ACTIONS(7319),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHlabel] = ACTIONS(7319),
    [anon_sym_BSLASHref] = ACTIONS(7319),
    [anon_sym_BSLASHeqref] = ACTIONS(7319),
    [anon_sym_BSLASHvref] = ACTIONS(7319),
    [anon_sym_BSLASHVref] = ACTIONS(7319),
    [anon_sym_BSLASHautoref] = ACTIONS(7319),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHpageref] = ACTIONS(7319),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHautopageref] = ACTIONS(7319),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcref] = ACTIONS(7319),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCref] = ACTIONS(7319),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcpageref] = ACTIONS(7319),
    [anon_sym_BSLASHCpageref] = ACTIONS(7319),
    [anon_sym_BSLASHnamecref] = ACTIONS(7319),
    [anon_sym_BSLASHnameCref] = ACTIONS(7319),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7319),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7319),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7319),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7319),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7319),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7319),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7319),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7319),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7319),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7319),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7319),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHdef] = ACTIONS(7319),
    [anon_sym_BSLASHgdef] = ACTIONS(7319),
    [anon_sym_BSLASHedef] = ACTIONS(7319),
    [anon_sym_BSLASHxdef] = ACTIONS(7319),
    [anon_sym_BSLASHlet] = ACTIONS(7319),
    [anon_sym_BSLASHglet] = ACTIONS(7319),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7319),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7319),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7319),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7319),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7319),
    [anon_sym_BSLASHgls] = ACTIONS(7319),
    [anon_sym_BSLASHGls] = ACTIONS(7319),
    [anon_sym_BSLASHGLS] = ACTIONS(7319),
    [anon_sym_BSLASHglspl] = ACTIONS(7319),
    [anon_sym_BSLASHGlspl] = ACTIONS(7319),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7319),
    [anon_sym_BSLASHglslink] = ACTIONS(7319),
    [anon_sym_BSLASHglstext] = ACTIONS(7319),
    [anon_sym_BSLASHGlstext] = ACTIONS(7319),
    [anon_sym_BSLASHGLStext] = ACTIONS(7319),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7319),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7319),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7319),
    [anon_sym_BSLASHglsplural] = ACTIONS(7319),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7319),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7319),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHglsname] = ACTIONS(7319),
    [anon_sym_BSLASHGlsname] = ACTIONS(7319),
    [anon_sym_BSLASHGLSname] = ACTIONS(7319),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7319),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7319),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7319),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7319),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7319),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7319),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7319),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7319),
    [anon_sym_BSLASHacrshort] = ACTIONS(7319),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7319),
    [anon_sym_BSLASHACRshort] = ACTIONS(7319),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHacrlong] = ACTIONS(7319),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7319),
    [anon_sym_BSLASHACRlong] = ACTIONS(7319),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHacrfull] = ACTIONS(7319),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7319),
    [anon_sym_BSLASHACRfull] = ACTIONS(7319),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHacs] = ACTIONS(7319),
    [anon_sym_BSLASHAcs] = ACTIONS(7319),
    [anon_sym_BSLASHacsp] = ACTIONS(7319),
    [anon_sym_BSLASHAcsp] = ACTIONS(7319),
    [anon_sym_BSLASHacl] = ACTIONS(7319),
    [anon_sym_BSLASHAcl] = ACTIONS(7319),
    [anon_sym_BSLASHaclp] = ACTIONS(7319),
    [anon_sym_BSLASHAclp] = ACTIONS(7319),
    [anon_sym_BSLASHacf] = ACTIONS(7319),
    [anon_sym_BSLASHAcf] = ACTIONS(7319),
    [anon_sym_BSLASHacfp] = ACTIONS(7319),
    [anon_sym_BSLASHAcfp] = ACTIONS(7319),
    [anon_sym_BSLASHac] = ACTIONS(7319),
    [anon_sym_BSLASHAc] = ACTIONS(7319),
    [anon_sym_BSLASHacp] = ACTIONS(7319),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7319),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7319),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7319),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7319),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7319),
    [anon_sym_BSLASHcolor] = ACTIONS(7319),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7319),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7319),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7319),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7319),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7319),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7319),
    [anon_sym_BSLASHurl] = ACTIONS(7319),
    [anon_sym_BSLASHhref] = ACTIONS(7319),
  },
  [1627] = {
    [sym_command_name] = ACTIONS(7035),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7035),
    [anon_sym_LBRACK] = ACTIONS(7037),
    [anon_sym_RBRACK] = ACTIONS(7037),
    [anon_sym_COMMA] = ACTIONS(7037),
    [anon_sym_EQ] = ACTIONS(7037),
    [anon_sym_LPAREN] = ACTIONS(7037),
    [anon_sym_RPAREN] = ACTIONS(7037),
    [anon_sym_BSLASHpart] = ACTIONS(7035),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHaddpart] = ACTIONS(7035),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHchapter] = ACTIONS(7035),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHaddchap] = ACTIONS(7035),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHsection] = ACTIONS(7035),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHaddsec] = ACTIONS(7035),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHsubsection] = ACTIONS(7035),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7035),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHparagraph] = ACTIONS(7035),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7035),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHitem] = ACTIONS(7035),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7037),
    [anon_sym_LBRACE] = ACTIONS(7037),
    [sym_word] = ACTIONS(7035),
    [sym_placeholder] = ACTIONS(7037),
    [sym_delimiter] = ACTIONS(7037),
    [anon_sym_PLUS] = ACTIONS(7037),
    [anon_sym_DASH] = ACTIONS(7037),
    [anon_sym_STAR] = ACTIONS(7037),
    [anon_sym_SLASH] = ACTIONS(7037),
    [anon_sym_LT] = ACTIONS(7035),
    [anon_sym_GT] = ACTIONS(7035),
    [anon_sym_BANG] = ACTIONS(7035),
    [anon_sym_PIPE] = ACTIONS(7035),
    [anon_sym_COLON] = ACTIONS(7035),
    [anon_sym_SQUOTE] = ACTIONS(7035),
    [anon_sym__] = ACTIONS(7037),
    [anon_sym_CARET] = ACTIONS(7037),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7037),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7037),
    [anon_sym_DOLLAR] = ACTIONS(7035),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7037),
    [anon_sym_BSLASHleft] = ACTIONS(7035),
    [anon_sym_BSLASHbigl] = ACTIONS(7035),
    [anon_sym_BSLASHBigl] = ACTIONS(7035),
    [anon_sym_BSLASHbiggl] = ACTIONS(7035),
    [anon_sym_BSLASHBiggl] = ACTIONS(7035),
    [anon_sym_BSLASHtext] = ACTIONS(7035),
    [anon_sym_BSLASHintertext] = ACTIONS(7035),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7035),
    [anon_sym_BSLASHbegin] = ACTIONS(7035),
    [anon_sym_BSLASHend] = ACTIONS(7035),
    [anon_sym_BSLASHtitle] = ACTIONS(7035),
    [anon_sym_BSLASHauthor] = ACTIONS(7035),
    [anon_sym_BSLASHusepackage] = ACTIONS(7035),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7035),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7035),
    [anon_sym_BSLASHinclude] = ACTIONS(7035),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7035),
    [anon_sym_BSLASHinput] = ACTIONS(7035),
    [anon_sym_BSLASHsubfile] = ACTIONS(7035),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7035),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7035),
    [anon_sym_BSLASHbibliography] = ACTIONS(7035),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7035),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7035),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7035),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7035),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7035),
    [anon_sym_BSLASHimport] = ACTIONS(7035),
    [anon_sym_BSLASHsubimport] = ACTIONS(7035),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7035),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7035),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7035),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7035),
    [anon_sym_BSLASHcaption] = ACTIONS(7035),
    [anon_sym_BSLASHcite] = ACTIONS(7035),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHCite] = ACTIONS(7035),
    [anon_sym_BSLASHnocite] = ACTIONS(7035),
    [anon_sym_BSLASHcitet] = ACTIONS(7035),
    [anon_sym_BSLASHcitep] = ACTIONS(7035),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHciteA] = ACTIONS(7035),
    [anon_sym_BSLASHciteR] = ACTIONS(7035),
    [anon_sym_BSLASHciteS] = ACTIONS(7035),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7035),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7035),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7035),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7035),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHciteyear] = ACTIONS(7035),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcitedate] = ACTIONS(7035),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHciteurl] = ACTIONS(7035),
    [anon_sym_BSLASHfullcite] = ACTIONS(7035),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7035),
    [anon_sym_BSLASHcitealt] = ACTIONS(7035),
    [anon_sym_BSLASHcitealp] = ACTIONS(7035),
    [anon_sym_BSLASHcitetext] = ACTIONS(7035),
    [anon_sym_BSLASHparencite] = ACTIONS(7035),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHParencite] = ACTIONS(7035),
    [anon_sym_BSLASHfootcite] = ACTIONS(7035),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7035),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7035),
    [anon_sym_BSLASHtextcite] = ACTIONS(7035),
    [anon_sym_BSLASHTextcite] = ACTIONS(7035),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7035),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7035),
    [anon_sym_BSLASHsupercite] = ACTIONS(7035),
    [anon_sym_BSLASHautocite] = ACTIONS(7035),
    [anon_sym_BSLASHAutocite] = ACTIONS(7035),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHVolcite] = ACTIONS(7035),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHavolcite] = ACTIONS(7035),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7035),
    [anon_sym_BSLASHnotecite] = ACTIONS(7035),
    [anon_sym_BSLASHNotecite] = ACTIONS(7035),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7035),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7035),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7035),
    [anon_sym_BSLASHlabel] = ACTIONS(7035),
    [anon_sym_BSLASHref] = ACTIONS(7035),
    [anon_sym_BSLASHeqref] = ACTIONS(7035),
    [anon_sym_BSLASHvref] = ACTIONS(7035),
    [anon_sym_BSLASHVref] = ACTIONS(7035),
    [anon_sym_BSLASHautoref] = ACTIONS(7035),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHpageref] = ACTIONS(7035),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHautopageref] = ACTIONS(7035),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcref] = ACTIONS(7035),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHCref] = ACTIONS(7035),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcpageref] = ACTIONS(7035),
    [anon_sym_BSLASHCpageref] = ACTIONS(7035),
    [anon_sym_BSLASHnamecref] = ACTIONS(7035),
    [anon_sym_BSLASHnameCref] = ACTIONS(7035),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7035),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7035),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7035),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7035),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7035),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7035),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7035),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7035),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7035),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7035),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7035),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7035),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7035),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7035),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7035),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7035),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7035),
    [anon_sym_BSLASHdef] = ACTIONS(7035),
    [anon_sym_BSLASHgdef] = ACTIONS(7035),
    [anon_sym_BSLASHedef] = ACTIONS(7035),
    [anon_sym_BSLASHxdef] = ACTIONS(7035),
    [anon_sym_BSLASHlet] = ACTIONS(7035),
    [anon_sym_BSLASHglet] = ACTIONS(7035),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7035),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7035),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7035),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7035),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7035),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7035),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7035),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7035),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7035),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7035),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7035),
    [anon_sym_BSLASHgls] = ACTIONS(7035),
    [anon_sym_BSLASHGls] = ACTIONS(7035),
    [anon_sym_BSLASHGLS] = ACTIONS(7035),
    [anon_sym_BSLASHglspl] = ACTIONS(7035),
    [anon_sym_BSLASHGlspl] = ACTIONS(7035),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7035),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7035),
    [anon_sym_BSLASHglslink] = ACTIONS(7035),
    [anon_sym_BSLASHglstext] = ACTIONS(7035),
    [anon_sym_BSLASHGlstext] = ACTIONS(7035),
    [anon_sym_BSLASHGLStext] = ACTIONS(7035),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7035),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7035),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7035),
    [anon_sym_BSLASHglsplural] = ACTIONS(7035),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7035),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7035),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7035),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7035),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7035),
    [anon_sym_BSLASHglsname] = ACTIONS(7035),
    [anon_sym_BSLASHGlsname] = ACTIONS(7035),
    [anon_sym_BSLASHGLSname] = ACTIONS(7035),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7035),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7035),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7035),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7035),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7035),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7035),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7035),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7035),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7035),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7035),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7035),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7035),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7035),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7035),
    [anon_sym_BSLASHacrshort] = ACTIONS(7035),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7035),
    [anon_sym_BSLASHACRshort] = ACTIONS(7035),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7035),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7035),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7035),
    [anon_sym_BSLASHacrlong] = ACTIONS(7035),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7035),
    [anon_sym_BSLASHACRlong] = ACTIONS(7035),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7035),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7035),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7035),
    [anon_sym_BSLASHacrfull] = ACTIONS(7035),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7035),
    [anon_sym_BSLASHACRfull] = ACTIONS(7035),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7035),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7035),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7035),
    [anon_sym_BSLASHacs] = ACTIONS(7035),
    [anon_sym_BSLASHAcs] = ACTIONS(7035),
    [anon_sym_BSLASHacsp] = ACTIONS(7035),
    [anon_sym_BSLASHAcsp] = ACTIONS(7035),
    [anon_sym_BSLASHacl] = ACTIONS(7035),
    [anon_sym_BSLASHAcl] = ACTIONS(7035),
    [anon_sym_BSLASHaclp] = ACTIONS(7035),
    [anon_sym_BSLASHAclp] = ACTIONS(7035),
    [anon_sym_BSLASHacf] = ACTIONS(7035),
    [anon_sym_BSLASHAcf] = ACTIONS(7035),
    [anon_sym_BSLASHacfp] = ACTIONS(7035),
    [anon_sym_BSLASHAcfp] = ACTIONS(7035),
    [anon_sym_BSLASHac] = ACTIONS(7035),
    [anon_sym_BSLASHAc] = ACTIONS(7035),
    [anon_sym_BSLASHacp] = ACTIONS(7035),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7035),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7035),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7035),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7035),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7035),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7035),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7035),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7035),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7035),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7035),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7035),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7035),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7037),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7035),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7035),
    [anon_sym_BSLASHcolor] = ACTIONS(7035),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7035),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7035),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7035),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7035),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7035),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7035),
    [anon_sym_BSLASHurl] = ACTIONS(7035),
    [anon_sym_BSLASHhref] = ACTIONS(7035),
  },
  [1628] = {
    [sym_command_name] = ACTIONS(7067),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7067),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_RBRACK] = ACTIONS(7069),
    [anon_sym_COMMA] = ACTIONS(7069),
    [anon_sym_EQ] = ACTIONS(7069),
    [anon_sym_LPAREN] = ACTIONS(7069),
    [anon_sym_RPAREN] = ACTIONS(7069),
    [anon_sym_BSLASHpart] = ACTIONS(7067),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHaddpart] = ACTIONS(7067),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHchapter] = ACTIONS(7067),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHaddchap] = ACTIONS(7067),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHsection] = ACTIONS(7067),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHaddsec] = ACTIONS(7067),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHsubsection] = ACTIONS(7067),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7067),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHparagraph] = ACTIONS(7067),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7067),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHitem] = ACTIONS(7067),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7069),
    [anon_sym_LBRACE] = ACTIONS(7069),
    [sym_word] = ACTIONS(7067),
    [sym_placeholder] = ACTIONS(7069),
    [sym_delimiter] = ACTIONS(7069),
    [anon_sym_PLUS] = ACTIONS(7069),
    [anon_sym_DASH] = ACTIONS(7069),
    [anon_sym_STAR] = ACTIONS(7069),
    [anon_sym_SLASH] = ACTIONS(7069),
    [anon_sym_LT] = ACTIONS(7067),
    [anon_sym_GT] = ACTIONS(7067),
    [anon_sym_BANG] = ACTIONS(7067),
    [anon_sym_PIPE] = ACTIONS(7067),
    [anon_sym_COLON] = ACTIONS(7067),
    [anon_sym_SQUOTE] = ACTIONS(7067),
    [anon_sym__] = ACTIONS(7069),
    [anon_sym_CARET] = ACTIONS(7069),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7069),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7069),
    [anon_sym_DOLLAR] = ACTIONS(7067),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7069),
    [anon_sym_BSLASHleft] = ACTIONS(7067),
    [anon_sym_BSLASHbigl] = ACTIONS(7067),
    [anon_sym_BSLASHBigl] = ACTIONS(7067),
    [anon_sym_BSLASHbiggl] = ACTIONS(7067),
    [anon_sym_BSLASHBiggl] = ACTIONS(7067),
    [anon_sym_BSLASHtext] = ACTIONS(7067),
    [anon_sym_BSLASHintertext] = ACTIONS(7067),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7067),
    [anon_sym_BSLASHbegin] = ACTIONS(7067),
    [anon_sym_BSLASHend] = ACTIONS(7067),
    [anon_sym_BSLASHtitle] = ACTIONS(7067),
    [anon_sym_BSLASHauthor] = ACTIONS(7067),
    [anon_sym_BSLASHusepackage] = ACTIONS(7067),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7067),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7067),
    [anon_sym_BSLASHinclude] = ACTIONS(7067),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7067),
    [anon_sym_BSLASHinput] = ACTIONS(7067),
    [anon_sym_BSLASHsubfile] = ACTIONS(7067),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7067),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7067),
    [anon_sym_BSLASHbibliography] = ACTIONS(7067),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7067),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7067),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7067),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7067),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7067),
    [anon_sym_BSLASHimport] = ACTIONS(7067),
    [anon_sym_BSLASHsubimport] = ACTIONS(7067),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7067),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7067),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7067),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7067),
    [anon_sym_BSLASHcaption] = ACTIONS(7067),
    [anon_sym_BSLASHcite] = ACTIONS(7067),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCite] = ACTIONS(7067),
    [anon_sym_BSLASHnocite] = ACTIONS(7067),
    [anon_sym_BSLASHcitet] = ACTIONS(7067),
    [anon_sym_BSLASHcitep] = ACTIONS(7067),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteA] = ACTIONS(7067),
    [anon_sym_BSLASHciteR] = ACTIONS(7067),
    [anon_sym_BSLASHciteS] = ACTIONS(7067),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7067),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7067),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7067),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7067),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteyear] = ACTIONS(7067),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitedate] = ACTIONS(7067),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteurl] = ACTIONS(7067),
    [anon_sym_BSLASHfullcite] = ACTIONS(7067),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7067),
    [anon_sym_BSLASHcitealt] = ACTIONS(7067),
    [anon_sym_BSLASHcitealp] = ACTIONS(7067),
    [anon_sym_BSLASHcitetext] = ACTIONS(7067),
    [anon_sym_BSLASHparencite] = ACTIONS(7067),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHParencite] = ACTIONS(7067),
    [anon_sym_BSLASHfootcite] = ACTIONS(7067),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7067),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7067),
    [anon_sym_BSLASHtextcite] = ACTIONS(7067),
    [anon_sym_BSLASHTextcite] = ACTIONS(7067),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7067),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7067),
    [anon_sym_BSLASHsupercite] = ACTIONS(7067),
    [anon_sym_BSLASHautocite] = ACTIONS(7067),
    [anon_sym_BSLASHAutocite] = ACTIONS(7067),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHVolcite] = ACTIONS(7067),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHavolcite] = ACTIONS(7067),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHNotecite] = ACTIONS(7067),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHlabel] = ACTIONS(7067),
    [anon_sym_BSLASHref] = ACTIONS(7067),
    [anon_sym_BSLASHeqref] = ACTIONS(7067),
    [anon_sym_BSLASHvref] = ACTIONS(7067),
    [anon_sym_BSLASHVref] = ACTIONS(7067),
    [anon_sym_BSLASHautoref] = ACTIONS(7067),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHpageref] = ACTIONS(7067),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHautopageref] = ACTIONS(7067),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcref] = ACTIONS(7067),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCref] = ACTIONS(7067),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcpageref] = ACTIONS(7067),
    [anon_sym_BSLASHCpageref] = ACTIONS(7067),
    [anon_sym_BSLASHnamecref] = ACTIONS(7067),
    [anon_sym_BSLASHnameCref] = ACTIONS(7067),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7067),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7067),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7067),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7067),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7067),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7067),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7067),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7067),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7067),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7067),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7067),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHdef] = ACTIONS(7067),
    [anon_sym_BSLASHgdef] = ACTIONS(7067),
    [anon_sym_BSLASHedef] = ACTIONS(7067),
    [anon_sym_BSLASHxdef] = ACTIONS(7067),
    [anon_sym_BSLASHlet] = ACTIONS(7067),
    [anon_sym_BSLASHglet] = ACTIONS(7067),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7067),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7067),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7067),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7067),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7067),
    [anon_sym_BSLASHgls] = ACTIONS(7067),
    [anon_sym_BSLASHGls] = ACTIONS(7067),
    [anon_sym_BSLASHGLS] = ACTIONS(7067),
    [anon_sym_BSLASHglspl] = ACTIONS(7067),
    [anon_sym_BSLASHGlspl] = ACTIONS(7067),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7067),
    [anon_sym_BSLASHglslink] = ACTIONS(7067),
    [anon_sym_BSLASHglstext] = ACTIONS(7067),
    [anon_sym_BSLASHGlstext] = ACTIONS(7067),
    [anon_sym_BSLASHGLStext] = ACTIONS(7067),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7067),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7067),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7067),
    [anon_sym_BSLASHglsplural] = ACTIONS(7067),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7067),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7067),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHglsname] = ACTIONS(7067),
    [anon_sym_BSLASHGlsname] = ACTIONS(7067),
    [anon_sym_BSLASHGLSname] = ACTIONS(7067),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7067),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7067),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7067),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7067),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7067),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7067),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7067),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7067),
    [anon_sym_BSLASHacrshort] = ACTIONS(7067),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7067),
    [anon_sym_BSLASHACRshort] = ACTIONS(7067),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHacrlong] = ACTIONS(7067),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7067),
    [anon_sym_BSLASHACRlong] = ACTIONS(7067),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHacrfull] = ACTIONS(7067),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7067),
    [anon_sym_BSLASHACRfull] = ACTIONS(7067),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHacs] = ACTIONS(7067),
    [anon_sym_BSLASHAcs] = ACTIONS(7067),
    [anon_sym_BSLASHacsp] = ACTIONS(7067),
    [anon_sym_BSLASHAcsp] = ACTIONS(7067),
    [anon_sym_BSLASHacl] = ACTIONS(7067),
    [anon_sym_BSLASHAcl] = ACTIONS(7067),
    [anon_sym_BSLASHaclp] = ACTIONS(7067),
    [anon_sym_BSLASHAclp] = ACTIONS(7067),
    [anon_sym_BSLASHacf] = ACTIONS(7067),
    [anon_sym_BSLASHAcf] = ACTIONS(7067),
    [anon_sym_BSLASHacfp] = ACTIONS(7067),
    [anon_sym_BSLASHAcfp] = ACTIONS(7067),
    [anon_sym_BSLASHac] = ACTIONS(7067),
    [anon_sym_BSLASHAc] = ACTIONS(7067),
    [anon_sym_BSLASHacp] = ACTIONS(7067),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7067),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7067),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7067),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7067),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7067),
    [anon_sym_BSLASHcolor] = ACTIONS(7067),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7067),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7067),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7067),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7067),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7067),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7067),
    [anon_sym_BSLASHurl] = ACTIONS(7067),
    [anon_sym_BSLASHhref] = ACTIONS(7067),
  },
  [1629] = {
    [sym_command_name] = ACTIONS(7071),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7071),
    [anon_sym_LBRACK] = ACTIONS(7073),
    [anon_sym_RBRACK] = ACTIONS(7073),
    [anon_sym_COMMA] = ACTIONS(7073),
    [anon_sym_EQ] = ACTIONS(7073),
    [anon_sym_LPAREN] = ACTIONS(7073),
    [anon_sym_RPAREN] = ACTIONS(7073),
    [anon_sym_BSLASHpart] = ACTIONS(7071),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHaddpart] = ACTIONS(7071),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHchapter] = ACTIONS(7071),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHaddchap] = ACTIONS(7071),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHsection] = ACTIONS(7071),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHaddsec] = ACTIONS(7071),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHsubsection] = ACTIONS(7071),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7071),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHparagraph] = ACTIONS(7071),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7071),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHitem] = ACTIONS(7071),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7073),
    [anon_sym_LBRACE] = ACTIONS(7073),
    [sym_word] = ACTIONS(7071),
    [sym_placeholder] = ACTIONS(7073),
    [sym_delimiter] = ACTIONS(7073),
    [anon_sym_PLUS] = ACTIONS(7073),
    [anon_sym_DASH] = ACTIONS(7073),
    [anon_sym_STAR] = ACTIONS(7073),
    [anon_sym_SLASH] = ACTIONS(7073),
    [anon_sym_LT] = ACTIONS(7071),
    [anon_sym_GT] = ACTIONS(7071),
    [anon_sym_BANG] = ACTIONS(7071),
    [anon_sym_PIPE] = ACTIONS(7071),
    [anon_sym_COLON] = ACTIONS(7071),
    [anon_sym_SQUOTE] = ACTIONS(7071),
    [anon_sym__] = ACTIONS(7073),
    [anon_sym_CARET] = ACTIONS(7073),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7073),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7073),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7073),
    [anon_sym_DOLLAR] = ACTIONS(7071),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7073),
    [anon_sym_BSLASHleft] = ACTIONS(7071),
    [anon_sym_BSLASHbigl] = ACTIONS(7071),
    [anon_sym_BSLASHBigl] = ACTIONS(7071),
    [anon_sym_BSLASHbiggl] = ACTIONS(7071),
    [anon_sym_BSLASHBiggl] = ACTIONS(7071),
    [anon_sym_BSLASHtext] = ACTIONS(7071),
    [anon_sym_BSLASHintertext] = ACTIONS(7071),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7071),
    [anon_sym_BSLASHbegin] = ACTIONS(7071),
    [anon_sym_BSLASHtitle] = ACTIONS(7071),
    [anon_sym_BSLASHauthor] = ACTIONS(7071),
    [anon_sym_BSLASHusepackage] = ACTIONS(7071),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7071),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7071),
    [anon_sym_BSLASHinclude] = ACTIONS(7071),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7071),
    [anon_sym_BSLASHinput] = ACTIONS(7071),
    [anon_sym_BSLASHsubfile] = ACTIONS(7071),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7071),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7071),
    [anon_sym_BSLASHbibliography] = ACTIONS(7071),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7071),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7071),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7071),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7071),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7071),
    [anon_sym_BSLASHimport] = ACTIONS(7071),
    [anon_sym_BSLASHsubimport] = ACTIONS(7071),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7071),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7071),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7071),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7071),
    [anon_sym_BSLASHcaption] = ACTIONS(7071),
    [anon_sym_BSLASHcite] = ACTIONS(7071),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHCite] = ACTIONS(7071),
    [anon_sym_BSLASHnocite] = ACTIONS(7071),
    [anon_sym_BSLASHcitet] = ACTIONS(7071),
    [anon_sym_BSLASHcitep] = ACTIONS(7071),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHciteA] = ACTIONS(7071),
    [anon_sym_BSLASHciteR] = ACTIONS(7071),
    [anon_sym_BSLASHciteS] = ACTIONS(7071),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7071),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7071),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7071),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7071),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHciteyear] = ACTIONS(7071),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcitedate] = ACTIONS(7071),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHciteurl] = ACTIONS(7071),
    [anon_sym_BSLASHfullcite] = ACTIONS(7071),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7071),
    [anon_sym_BSLASHcitealt] = ACTIONS(7071),
    [anon_sym_BSLASHcitealp] = ACTIONS(7071),
    [anon_sym_BSLASHcitetext] = ACTIONS(7071),
    [anon_sym_BSLASHparencite] = ACTIONS(7071),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHParencite] = ACTIONS(7071),
    [anon_sym_BSLASHfootcite] = ACTIONS(7071),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7071),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7071),
    [anon_sym_BSLASHtextcite] = ACTIONS(7071),
    [anon_sym_BSLASHTextcite] = ACTIONS(7071),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7071),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7071),
    [anon_sym_BSLASHsupercite] = ACTIONS(7071),
    [anon_sym_BSLASHautocite] = ACTIONS(7071),
    [anon_sym_BSLASHAutocite] = ACTIONS(7071),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHVolcite] = ACTIONS(7071),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHavolcite] = ACTIONS(7071),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHnotecite] = ACTIONS(7071),
    [anon_sym_BSLASHNotecite] = ACTIONS(7071),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7071),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7071),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7071),
    [anon_sym_BSLASHlabel] = ACTIONS(7071),
    [anon_sym_BSLASHref] = ACTIONS(7071),
    [anon_sym_BSLASHeqref] = ACTIONS(7071),
    [anon_sym_BSLASHvref] = ACTIONS(7071),
    [anon_sym_BSLASHVref] = ACTIONS(7071),
    [anon_sym_BSLASHautoref] = ACTIONS(7071),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHpageref] = ACTIONS(7071),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHautopageref] = ACTIONS(7071),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcref] = ACTIONS(7071),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHCref] = ACTIONS(7071),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcpageref] = ACTIONS(7071),
    [anon_sym_BSLASHCpageref] = ACTIONS(7071),
    [anon_sym_BSLASHnamecref] = ACTIONS(7071),
    [anon_sym_BSLASHnameCref] = ACTIONS(7071),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7071),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7071),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7071),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7071),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7071),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7071),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7071),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7071),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7071),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7071),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7071),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7071),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7071),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7071),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7071),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7071),
    [anon_sym_BSLASHdef] = ACTIONS(7071),
    [anon_sym_BSLASHgdef] = ACTIONS(7071),
    [anon_sym_BSLASHedef] = ACTIONS(7071),
    [anon_sym_BSLASHxdef] = ACTIONS(7071),
    [anon_sym_BSLASHlet] = ACTIONS(7071),
    [anon_sym_BSLASHglet] = ACTIONS(7071),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7071),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7071),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7071),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7071),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7071),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7071),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7071),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7071),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7071),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7071),
    [anon_sym_BSLASHgls] = ACTIONS(7071),
    [anon_sym_BSLASHGls] = ACTIONS(7071),
    [anon_sym_BSLASHGLS] = ACTIONS(7071),
    [anon_sym_BSLASHglspl] = ACTIONS(7071),
    [anon_sym_BSLASHGlspl] = ACTIONS(7071),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7071),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7071),
    [anon_sym_BSLASHglslink] = ACTIONS(7071),
    [anon_sym_BSLASHglstext] = ACTIONS(7071),
    [anon_sym_BSLASHGlstext] = ACTIONS(7071),
    [anon_sym_BSLASHGLStext] = ACTIONS(7071),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7071),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7071),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7071),
    [anon_sym_BSLASHglsplural] = ACTIONS(7071),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7071),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7071),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7071),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7071),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7071),
    [anon_sym_BSLASHglsname] = ACTIONS(7071),
    [anon_sym_BSLASHGlsname] = ACTIONS(7071),
    [anon_sym_BSLASHGLSname] = ACTIONS(7071),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7071),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7071),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7071),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7071),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7071),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7071),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7071),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7071),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7071),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7071),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7071),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7071),
    [anon_sym_BSLASHacrshort] = ACTIONS(7071),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7071),
    [anon_sym_BSLASHACRshort] = ACTIONS(7071),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHacrlong] = ACTIONS(7071),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7071),
    [anon_sym_BSLASHACRlong] = ACTIONS(7071),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7071),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7071),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7071),
    [anon_sym_BSLASHacrfull] = ACTIONS(7071),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7071),
    [anon_sym_BSLASHACRfull] = ACTIONS(7071),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHacs] = ACTIONS(7071),
    [anon_sym_BSLASHAcs] = ACTIONS(7071),
    [anon_sym_BSLASHacsp] = ACTIONS(7071),
    [anon_sym_BSLASHAcsp] = ACTIONS(7071),
    [anon_sym_BSLASHacl] = ACTIONS(7071),
    [anon_sym_BSLASHAcl] = ACTIONS(7071),
    [anon_sym_BSLASHaclp] = ACTIONS(7071),
    [anon_sym_BSLASHAclp] = ACTIONS(7071),
    [anon_sym_BSLASHacf] = ACTIONS(7071),
    [anon_sym_BSLASHAcf] = ACTIONS(7071),
    [anon_sym_BSLASHacfp] = ACTIONS(7071),
    [anon_sym_BSLASHAcfp] = ACTIONS(7071),
    [anon_sym_BSLASHac] = ACTIONS(7071),
    [anon_sym_BSLASHAc] = ACTIONS(7071),
    [anon_sym_BSLASHacp] = ACTIONS(7071),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7071),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7071),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7071),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7071),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7071),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7071),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7071),
    [anon_sym_BSLASHcolor] = ACTIONS(7071),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7071),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7071),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7071),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7071),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7071),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7071),
    [anon_sym_BSLASHurl] = ACTIONS(7071),
    [anon_sym_BSLASHhref] = ACTIONS(7071),
  },
  [1630] = {
    [sym_command_name] = ACTIONS(7075),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7075),
    [anon_sym_LBRACK] = ACTIONS(7077),
    [anon_sym_RBRACK] = ACTIONS(7077),
    [anon_sym_COMMA] = ACTIONS(7077),
    [anon_sym_EQ] = ACTIONS(7077),
    [anon_sym_LPAREN] = ACTIONS(7077),
    [anon_sym_RPAREN] = ACTIONS(7077),
    [anon_sym_BSLASHpart] = ACTIONS(7075),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHaddpart] = ACTIONS(7075),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHchapter] = ACTIONS(7075),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHaddchap] = ACTIONS(7075),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHsection] = ACTIONS(7075),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHaddsec] = ACTIONS(7075),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHsubsection] = ACTIONS(7075),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7075),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHparagraph] = ACTIONS(7075),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7075),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHitem] = ACTIONS(7075),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7077),
    [anon_sym_LBRACE] = ACTIONS(7077),
    [sym_word] = ACTIONS(7075),
    [sym_placeholder] = ACTIONS(7077),
    [sym_delimiter] = ACTIONS(7077),
    [anon_sym_PLUS] = ACTIONS(7077),
    [anon_sym_DASH] = ACTIONS(7077),
    [anon_sym_STAR] = ACTIONS(7077),
    [anon_sym_SLASH] = ACTIONS(7077),
    [anon_sym_LT] = ACTIONS(7075),
    [anon_sym_GT] = ACTIONS(7075),
    [anon_sym_BANG] = ACTIONS(7075),
    [anon_sym_PIPE] = ACTIONS(7075),
    [anon_sym_COLON] = ACTIONS(7075),
    [anon_sym_SQUOTE] = ACTIONS(7075),
    [anon_sym__] = ACTIONS(7077),
    [anon_sym_CARET] = ACTIONS(7077),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7077),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7077),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7077),
    [anon_sym_DOLLAR] = ACTIONS(7075),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7077),
    [anon_sym_BSLASHleft] = ACTIONS(7075),
    [anon_sym_BSLASHbigl] = ACTIONS(7075),
    [anon_sym_BSLASHBigl] = ACTIONS(7075),
    [anon_sym_BSLASHbiggl] = ACTIONS(7075),
    [anon_sym_BSLASHBiggl] = ACTIONS(7075),
    [anon_sym_BSLASHtext] = ACTIONS(7075),
    [anon_sym_BSLASHintertext] = ACTIONS(7075),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7075),
    [anon_sym_BSLASHbegin] = ACTIONS(7075),
    [anon_sym_BSLASHtitle] = ACTIONS(7075),
    [anon_sym_BSLASHauthor] = ACTIONS(7075),
    [anon_sym_BSLASHusepackage] = ACTIONS(7075),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7075),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7075),
    [anon_sym_BSLASHinclude] = ACTIONS(7075),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7075),
    [anon_sym_BSLASHinput] = ACTIONS(7075),
    [anon_sym_BSLASHsubfile] = ACTIONS(7075),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7075),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7075),
    [anon_sym_BSLASHbibliography] = ACTIONS(7075),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7075),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7075),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7075),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7075),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7075),
    [anon_sym_BSLASHimport] = ACTIONS(7075),
    [anon_sym_BSLASHsubimport] = ACTIONS(7075),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7075),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7075),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7075),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7075),
    [anon_sym_BSLASHcaption] = ACTIONS(7075),
    [anon_sym_BSLASHcite] = ACTIONS(7075),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHCite] = ACTIONS(7075),
    [anon_sym_BSLASHnocite] = ACTIONS(7075),
    [anon_sym_BSLASHcitet] = ACTIONS(7075),
    [anon_sym_BSLASHcitep] = ACTIONS(7075),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHciteA] = ACTIONS(7075),
    [anon_sym_BSLASHciteR] = ACTIONS(7075),
    [anon_sym_BSLASHciteS] = ACTIONS(7075),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7075),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7075),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7075),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7075),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHciteyear] = ACTIONS(7075),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcitedate] = ACTIONS(7075),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHciteurl] = ACTIONS(7075),
    [anon_sym_BSLASHfullcite] = ACTIONS(7075),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7075),
    [anon_sym_BSLASHcitealt] = ACTIONS(7075),
    [anon_sym_BSLASHcitealp] = ACTIONS(7075),
    [anon_sym_BSLASHcitetext] = ACTIONS(7075),
    [anon_sym_BSLASHparencite] = ACTIONS(7075),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHParencite] = ACTIONS(7075),
    [anon_sym_BSLASHfootcite] = ACTIONS(7075),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7075),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7075),
    [anon_sym_BSLASHtextcite] = ACTIONS(7075),
    [anon_sym_BSLASHTextcite] = ACTIONS(7075),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7075),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7075),
    [anon_sym_BSLASHsupercite] = ACTIONS(7075),
    [anon_sym_BSLASHautocite] = ACTIONS(7075),
    [anon_sym_BSLASHAutocite] = ACTIONS(7075),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHVolcite] = ACTIONS(7075),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHavolcite] = ACTIONS(7075),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHnotecite] = ACTIONS(7075),
    [anon_sym_BSLASHNotecite] = ACTIONS(7075),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7075),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7075),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7075),
    [anon_sym_BSLASHlabel] = ACTIONS(7075),
    [anon_sym_BSLASHref] = ACTIONS(7075),
    [anon_sym_BSLASHeqref] = ACTIONS(7075),
    [anon_sym_BSLASHvref] = ACTIONS(7075),
    [anon_sym_BSLASHVref] = ACTIONS(7075),
    [anon_sym_BSLASHautoref] = ACTIONS(7075),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHpageref] = ACTIONS(7075),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHautopageref] = ACTIONS(7075),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcref] = ACTIONS(7075),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHCref] = ACTIONS(7075),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcpageref] = ACTIONS(7075),
    [anon_sym_BSLASHCpageref] = ACTIONS(7075),
    [anon_sym_BSLASHnamecref] = ACTIONS(7075),
    [anon_sym_BSLASHnameCref] = ACTIONS(7075),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7075),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7075),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7075),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7075),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7075),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7075),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7075),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7075),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7075),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7075),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7075),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7075),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7075),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7075),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7075),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7075),
    [anon_sym_BSLASHdef] = ACTIONS(7075),
    [anon_sym_BSLASHgdef] = ACTIONS(7075),
    [anon_sym_BSLASHedef] = ACTIONS(7075),
    [anon_sym_BSLASHxdef] = ACTIONS(7075),
    [anon_sym_BSLASHlet] = ACTIONS(7075),
    [anon_sym_BSLASHglet] = ACTIONS(7075),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7075),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7075),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7075),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7075),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7075),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7075),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7075),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7075),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7075),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7075),
    [anon_sym_BSLASHgls] = ACTIONS(7075),
    [anon_sym_BSLASHGls] = ACTIONS(7075),
    [anon_sym_BSLASHGLS] = ACTIONS(7075),
    [anon_sym_BSLASHglspl] = ACTIONS(7075),
    [anon_sym_BSLASHGlspl] = ACTIONS(7075),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7075),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7075),
    [anon_sym_BSLASHglslink] = ACTIONS(7075),
    [anon_sym_BSLASHglstext] = ACTIONS(7075),
    [anon_sym_BSLASHGlstext] = ACTIONS(7075),
    [anon_sym_BSLASHGLStext] = ACTIONS(7075),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7075),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7075),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7075),
    [anon_sym_BSLASHglsplural] = ACTIONS(7075),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7075),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7075),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7075),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7075),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7075),
    [anon_sym_BSLASHglsname] = ACTIONS(7075),
    [anon_sym_BSLASHGlsname] = ACTIONS(7075),
    [anon_sym_BSLASHGLSname] = ACTIONS(7075),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7075),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7075),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7075),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7075),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7075),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7075),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7075),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7075),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7075),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7075),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7075),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7075),
    [anon_sym_BSLASHacrshort] = ACTIONS(7075),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7075),
    [anon_sym_BSLASHACRshort] = ACTIONS(7075),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHacrlong] = ACTIONS(7075),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7075),
    [anon_sym_BSLASHACRlong] = ACTIONS(7075),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7075),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7075),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7075),
    [anon_sym_BSLASHacrfull] = ACTIONS(7075),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7075),
    [anon_sym_BSLASHACRfull] = ACTIONS(7075),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHacs] = ACTIONS(7075),
    [anon_sym_BSLASHAcs] = ACTIONS(7075),
    [anon_sym_BSLASHacsp] = ACTIONS(7075),
    [anon_sym_BSLASHAcsp] = ACTIONS(7075),
    [anon_sym_BSLASHacl] = ACTIONS(7075),
    [anon_sym_BSLASHAcl] = ACTIONS(7075),
    [anon_sym_BSLASHaclp] = ACTIONS(7075),
    [anon_sym_BSLASHAclp] = ACTIONS(7075),
    [anon_sym_BSLASHacf] = ACTIONS(7075),
    [anon_sym_BSLASHAcf] = ACTIONS(7075),
    [anon_sym_BSLASHacfp] = ACTIONS(7075),
    [anon_sym_BSLASHAcfp] = ACTIONS(7075),
    [anon_sym_BSLASHac] = ACTIONS(7075),
    [anon_sym_BSLASHAc] = ACTIONS(7075),
    [anon_sym_BSLASHacp] = ACTIONS(7075),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7075),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7075),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7075),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7075),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7075),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7075),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7075),
    [anon_sym_BSLASHcolor] = ACTIONS(7075),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7075),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7075),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7075),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7075),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7075),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7075),
    [anon_sym_BSLASHurl] = ACTIONS(7075),
    [anon_sym_BSLASHhref] = ACTIONS(7075),
  },
  [1631] = {
    [sym_command_name] = ACTIONS(7079),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7079),
    [anon_sym_LBRACK] = ACTIONS(7081),
    [anon_sym_RBRACK] = ACTIONS(7081),
    [anon_sym_COMMA] = ACTIONS(7081),
    [anon_sym_EQ] = ACTIONS(7081),
    [anon_sym_LPAREN] = ACTIONS(7081),
    [anon_sym_RPAREN] = ACTIONS(7081),
    [anon_sym_BSLASHpart] = ACTIONS(7079),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHaddpart] = ACTIONS(7079),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHchapter] = ACTIONS(7079),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHaddchap] = ACTIONS(7079),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHsection] = ACTIONS(7079),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHaddsec] = ACTIONS(7079),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHsubsection] = ACTIONS(7079),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7079),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHparagraph] = ACTIONS(7079),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7079),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHitem] = ACTIONS(7079),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7081),
    [anon_sym_LBRACE] = ACTIONS(7081),
    [sym_word] = ACTIONS(7079),
    [sym_placeholder] = ACTIONS(7081),
    [sym_delimiter] = ACTIONS(7081),
    [anon_sym_PLUS] = ACTIONS(7081),
    [anon_sym_DASH] = ACTIONS(7081),
    [anon_sym_STAR] = ACTIONS(7081),
    [anon_sym_SLASH] = ACTIONS(7081),
    [anon_sym_LT] = ACTIONS(7079),
    [anon_sym_GT] = ACTIONS(7079),
    [anon_sym_BANG] = ACTIONS(7079),
    [anon_sym_PIPE] = ACTIONS(7079),
    [anon_sym_COLON] = ACTIONS(7079),
    [anon_sym_SQUOTE] = ACTIONS(7079),
    [anon_sym__] = ACTIONS(7081),
    [anon_sym_CARET] = ACTIONS(7081),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7081),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7081),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7081),
    [anon_sym_DOLLAR] = ACTIONS(7079),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7081),
    [anon_sym_BSLASHleft] = ACTIONS(7079),
    [anon_sym_BSLASHbigl] = ACTIONS(7079),
    [anon_sym_BSLASHBigl] = ACTIONS(7079),
    [anon_sym_BSLASHbiggl] = ACTIONS(7079),
    [anon_sym_BSLASHBiggl] = ACTIONS(7079),
    [anon_sym_BSLASHtext] = ACTIONS(7079),
    [anon_sym_BSLASHintertext] = ACTIONS(7079),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7079),
    [anon_sym_BSLASHbegin] = ACTIONS(7079),
    [anon_sym_BSLASHtitle] = ACTIONS(7079),
    [anon_sym_BSLASHauthor] = ACTIONS(7079),
    [anon_sym_BSLASHusepackage] = ACTIONS(7079),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7079),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7079),
    [anon_sym_BSLASHinclude] = ACTIONS(7079),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7079),
    [anon_sym_BSLASHinput] = ACTIONS(7079),
    [anon_sym_BSLASHsubfile] = ACTIONS(7079),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7079),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7079),
    [anon_sym_BSLASHbibliography] = ACTIONS(7079),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7079),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7079),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7079),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7079),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7079),
    [anon_sym_BSLASHimport] = ACTIONS(7079),
    [anon_sym_BSLASHsubimport] = ACTIONS(7079),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7079),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7079),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7079),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7079),
    [anon_sym_BSLASHcaption] = ACTIONS(7079),
    [anon_sym_BSLASHcite] = ACTIONS(7079),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHCite] = ACTIONS(7079),
    [anon_sym_BSLASHnocite] = ACTIONS(7079),
    [anon_sym_BSLASHcitet] = ACTIONS(7079),
    [anon_sym_BSLASHcitep] = ACTIONS(7079),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHciteA] = ACTIONS(7079),
    [anon_sym_BSLASHciteR] = ACTIONS(7079),
    [anon_sym_BSLASHciteS] = ACTIONS(7079),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7079),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7079),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7079),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7079),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHciteyear] = ACTIONS(7079),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcitedate] = ACTIONS(7079),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHciteurl] = ACTIONS(7079),
    [anon_sym_BSLASHfullcite] = ACTIONS(7079),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7079),
    [anon_sym_BSLASHcitealt] = ACTIONS(7079),
    [anon_sym_BSLASHcitealp] = ACTIONS(7079),
    [anon_sym_BSLASHcitetext] = ACTIONS(7079),
    [anon_sym_BSLASHparencite] = ACTIONS(7079),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHParencite] = ACTIONS(7079),
    [anon_sym_BSLASHfootcite] = ACTIONS(7079),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7079),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7079),
    [anon_sym_BSLASHtextcite] = ACTIONS(7079),
    [anon_sym_BSLASHTextcite] = ACTIONS(7079),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7079),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7079),
    [anon_sym_BSLASHsupercite] = ACTIONS(7079),
    [anon_sym_BSLASHautocite] = ACTIONS(7079),
    [anon_sym_BSLASHAutocite] = ACTIONS(7079),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHVolcite] = ACTIONS(7079),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHavolcite] = ACTIONS(7079),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHnotecite] = ACTIONS(7079),
    [anon_sym_BSLASHNotecite] = ACTIONS(7079),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7079),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7079),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7079),
    [anon_sym_BSLASHlabel] = ACTIONS(7079),
    [anon_sym_BSLASHref] = ACTIONS(7079),
    [anon_sym_BSLASHeqref] = ACTIONS(7079),
    [anon_sym_BSLASHvref] = ACTIONS(7079),
    [anon_sym_BSLASHVref] = ACTIONS(7079),
    [anon_sym_BSLASHautoref] = ACTIONS(7079),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHpageref] = ACTIONS(7079),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHautopageref] = ACTIONS(7079),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcref] = ACTIONS(7079),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHCref] = ACTIONS(7079),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcpageref] = ACTIONS(7079),
    [anon_sym_BSLASHCpageref] = ACTIONS(7079),
    [anon_sym_BSLASHnamecref] = ACTIONS(7079),
    [anon_sym_BSLASHnameCref] = ACTIONS(7079),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7079),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7079),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7079),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7079),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7079),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7079),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7079),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7079),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7079),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7079),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7079),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7079),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7079),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7079),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7079),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7079),
    [anon_sym_BSLASHdef] = ACTIONS(7079),
    [anon_sym_BSLASHgdef] = ACTIONS(7079),
    [anon_sym_BSLASHedef] = ACTIONS(7079),
    [anon_sym_BSLASHxdef] = ACTIONS(7079),
    [anon_sym_BSLASHlet] = ACTIONS(7079),
    [anon_sym_BSLASHglet] = ACTIONS(7079),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7079),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7079),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7079),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7079),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7079),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7079),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7079),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7079),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7079),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7079),
    [anon_sym_BSLASHgls] = ACTIONS(7079),
    [anon_sym_BSLASHGls] = ACTIONS(7079),
    [anon_sym_BSLASHGLS] = ACTIONS(7079),
    [anon_sym_BSLASHglspl] = ACTIONS(7079),
    [anon_sym_BSLASHGlspl] = ACTIONS(7079),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7079),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7079),
    [anon_sym_BSLASHglslink] = ACTIONS(7079),
    [anon_sym_BSLASHglstext] = ACTIONS(7079),
    [anon_sym_BSLASHGlstext] = ACTIONS(7079),
    [anon_sym_BSLASHGLStext] = ACTIONS(7079),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7079),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7079),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7079),
    [anon_sym_BSLASHglsplural] = ACTIONS(7079),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7079),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7079),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7079),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7079),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7079),
    [anon_sym_BSLASHglsname] = ACTIONS(7079),
    [anon_sym_BSLASHGlsname] = ACTIONS(7079),
    [anon_sym_BSLASHGLSname] = ACTIONS(7079),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7079),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7079),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7079),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7079),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7079),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7079),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7079),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7079),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7079),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7079),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7079),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7079),
    [anon_sym_BSLASHacrshort] = ACTIONS(7079),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7079),
    [anon_sym_BSLASHACRshort] = ACTIONS(7079),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHacrlong] = ACTIONS(7079),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7079),
    [anon_sym_BSLASHACRlong] = ACTIONS(7079),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7079),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7079),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7079),
    [anon_sym_BSLASHacrfull] = ACTIONS(7079),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7079),
    [anon_sym_BSLASHACRfull] = ACTIONS(7079),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHacs] = ACTIONS(7079),
    [anon_sym_BSLASHAcs] = ACTIONS(7079),
    [anon_sym_BSLASHacsp] = ACTIONS(7079),
    [anon_sym_BSLASHAcsp] = ACTIONS(7079),
    [anon_sym_BSLASHacl] = ACTIONS(7079),
    [anon_sym_BSLASHAcl] = ACTIONS(7079),
    [anon_sym_BSLASHaclp] = ACTIONS(7079),
    [anon_sym_BSLASHAclp] = ACTIONS(7079),
    [anon_sym_BSLASHacf] = ACTIONS(7079),
    [anon_sym_BSLASHAcf] = ACTIONS(7079),
    [anon_sym_BSLASHacfp] = ACTIONS(7079),
    [anon_sym_BSLASHAcfp] = ACTIONS(7079),
    [anon_sym_BSLASHac] = ACTIONS(7079),
    [anon_sym_BSLASHAc] = ACTIONS(7079),
    [anon_sym_BSLASHacp] = ACTIONS(7079),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7079),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7079),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7079),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7079),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7079),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7079),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7079),
    [anon_sym_BSLASHcolor] = ACTIONS(7079),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7079),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7079),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7079),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7079),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7079),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7079),
    [anon_sym_BSLASHurl] = ACTIONS(7079),
    [anon_sym_BSLASHhref] = ACTIONS(7079),
  },
  [1632] = {
    [sym_command_name] = ACTIONS(7083),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7083),
    [anon_sym_LBRACK] = ACTIONS(7085),
    [anon_sym_RBRACK] = ACTIONS(7085),
    [anon_sym_COMMA] = ACTIONS(7085),
    [anon_sym_EQ] = ACTIONS(7085),
    [anon_sym_LPAREN] = ACTIONS(7085),
    [anon_sym_RPAREN] = ACTIONS(7085),
    [anon_sym_BSLASHpart] = ACTIONS(7083),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHaddpart] = ACTIONS(7083),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHchapter] = ACTIONS(7083),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHaddchap] = ACTIONS(7083),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHsection] = ACTIONS(7083),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHaddsec] = ACTIONS(7083),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHsubsection] = ACTIONS(7083),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7083),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHparagraph] = ACTIONS(7083),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7083),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHitem] = ACTIONS(7083),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7085),
    [anon_sym_LBRACE] = ACTIONS(7085),
    [sym_word] = ACTIONS(7083),
    [sym_placeholder] = ACTIONS(7085),
    [sym_delimiter] = ACTIONS(7085),
    [anon_sym_PLUS] = ACTIONS(7085),
    [anon_sym_DASH] = ACTIONS(7085),
    [anon_sym_STAR] = ACTIONS(7085),
    [anon_sym_SLASH] = ACTIONS(7085),
    [anon_sym_LT] = ACTIONS(7083),
    [anon_sym_GT] = ACTIONS(7083),
    [anon_sym_BANG] = ACTIONS(7083),
    [anon_sym_PIPE] = ACTIONS(7083),
    [anon_sym_COLON] = ACTIONS(7083),
    [anon_sym_SQUOTE] = ACTIONS(7083),
    [anon_sym__] = ACTIONS(7085),
    [anon_sym_CARET] = ACTIONS(7085),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7085),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7085),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7085),
    [anon_sym_DOLLAR] = ACTIONS(7083),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7085),
    [anon_sym_BSLASHleft] = ACTIONS(7083),
    [anon_sym_BSLASHbigl] = ACTIONS(7083),
    [anon_sym_BSLASHBigl] = ACTIONS(7083),
    [anon_sym_BSLASHbiggl] = ACTIONS(7083),
    [anon_sym_BSLASHBiggl] = ACTIONS(7083),
    [anon_sym_BSLASHtext] = ACTIONS(7083),
    [anon_sym_BSLASHintertext] = ACTIONS(7083),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7083),
    [anon_sym_BSLASHbegin] = ACTIONS(7083),
    [anon_sym_BSLASHtitle] = ACTIONS(7083),
    [anon_sym_BSLASHauthor] = ACTIONS(7083),
    [anon_sym_BSLASHusepackage] = ACTIONS(7083),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7083),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7083),
    [anon_sym_BSLASHinclude] = ACTIONS(7083),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7083),
    [anon_sym_BSLASHinput] = ACTIONS(7083),
    [anon_sym_BSLASHsubfile] = ACTIONS(7083),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7083),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7083),
    [anon_sym_BSLASHbibliography] = ACTIONS(7083),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7083),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7083),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7083),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7083),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7083),
    [anon_sym_BSLASHimport] = ACTIONS(7083),
    [anon_sym_BSLASHsubimport] = ACTIONS(7083),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7083),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7083),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7083),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7083),
    [anon_sym_BSLASHcaption] = ACTIONS(7083),
    [anon_sym_BSLASHcite] = ACTIONS(7083),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHCite] = ACTIONS(7083),
    [anon_sym_BSLASHnocite] = ACTIONS(7083),
    [anon_sym_BSLASHcitet] = ACTIONS(7083),
    [anon_sym_BSLASHcitep] = ACTIONS(7083),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHciteA] = ACTIONS(7083),
    [anon_sym_BSLASHciteR] = ACTIONS(7083),
    [anon_sym_BSLASHciteS] = ACTIONS(7083),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7083),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7083),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7083),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7083),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHciteyear] = ACTIONS(7083),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcitedate] = ACTIONS(7083),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHciteurl] = ACTIONS(7083),
    [anon_sym_BSLASHfullcite] = ACTIONS(7083),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7083),
    [anon_sym_BSLASHcitealt] = ACTIONS(7083),
    [anon_sym_BSLASHcitealp] = ACTIONS(7083),
    [anon_sym_BSLASHcitetext] = ACTIONS(7083),
    [anon_sym_BSLASHparencite] = ACTIONS(7083),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHParencite] = ACTIONS(7083),
    [anon_sym_BSLASHfootcite] = ACTIONS(7083),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7083),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7083),
    [anon_sym_BSLASHtextcite] = ACTIONS(7083),
    [anon_sym_BSLASHTextcite] = ACTIONS(7083),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7083),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7083),
    [anon_sym_BSLASHsupercite] = ACTIONS(7083),
    [anon_sym_BSLASHautocite] = ACTIONS(7083),
    [anon_sym_BSLASHAutocite] = ACTIONS(7083),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHVolcite] = ACTIONS(7083),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHavolcite] = ACTIONS(7083),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHnotecite] = ACTIONS(7083),
    [anon_sym_BSLASHNotecite] = ACTIONS(7083),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7083),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7083),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7083),
    [anon_sym_BSLASHlabel] = ACTIONS(7083),
    [anon_sym_BSLASHref] = ACTIONS(7083),
    [anon_sym_BSLASHeqref] = ACTIONS(7083),
    [anon_sym_BSLASHvref] = ACTIONS(7083),
    [anon_sym_BSLASHVref] = ACTIONS(7083),
    [anon_sym_BSLASHautoref] = ACTIONS(7083),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHpageref] = ACTIONS(7083),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHautopageref] = ACTIONS(7083),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcref] = ACTIONS(7083),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHCref] = ACTIONS(7083),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcpageref] = ACTIONS(7083),
    [anon_sym_BSLASHCpageref] = ACTIONS(7083),
    [anon_sym_BSLASHnamecref] = ACTIONS(7083),
    [anon_sym_BSLASHnameCref] = ACTIONS(7083),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7083),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7083),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7083),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7083),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7083),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7083),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7083),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7083),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7083),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7083),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7083),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7083),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7083),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7083),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7083),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7083),
    [anon_sym_BSLASHdef] = ACTIONS(7083),
    [anon_sym_BSLASHgdef] = ACTIONS(7083),
    [anon_sym_BSLASHedef] = ACTIONS(7083),
    [anon_sym_BSLASHxdef] = ACTIONS(7083),
    [anon_sym_BSLASHlet] = ACTIONS(7083),
    [anon_sym_BSLASHglet] = ACTIONS(7083),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7083),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7083),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7083),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7083),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7083),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7083),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7083),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7083),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7083),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7083),
    [anon_sym_BSLASHgls] = ACTIONS(7083),
    [anon_sym_BSLASHGls] = ACTIONS(7083),
    [anon_sym_BSLASHGLS] = ACTIONS(7083),
    [anon_sym_BSLASHglspl] = ACTIONS(7083),
    [anon_sym_BSLASHGlspl] = ACTIONS(7083),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7083),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7083),
    [anon_sym_BSLASHglslink] = ACTIONS(7083),
    [anon_sym_BSLASHglstext] = ACTIONS(7083),
    [anon_sym_BSLASHGlstext] = ACTIONS(7083),
    [anon_sym_BSLASHGLStext] = ACTIONS(7083),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7083),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7083),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7083),
    [anon_sym_BSLASHglsplural] = ACTIONS(7083),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7083),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7083),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7083),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7083),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7083),
    [anon_sym_BSLASHglsname] = ACTIONS(7083),
    [anon_sym_BSLASHGlsname] = ACTIONS(7083),
    [anon_sym_BSLASHGLSname] = ACTIONS(7083),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7083),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7083),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7083),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7083),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7083),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7083),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7083),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7083),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7083),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7083),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7083),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7083),
    [anon_sym_BSLASHacrshort] = ACTIONS(7083),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7083),
    [anon_sym_BSLASHACRshort] = ACTIONS(7083),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHacrlong] = ACTIONS(7083),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7083),
    [anon_sym_BSLASHACRlong] = ACTIONS(7083),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7083),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7083),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7083),
    [anon_sym_BSLASHacrfull] = ACTIONS(7083),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7083),
    [anon_sym_BSLASHACRfull] = ACTIONS(7083),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHacs] = ACTIONS(7083),
    [anon_sym_BSLASHAcs] = ACTIONS(7083),
    [anon_sym_BSLASHacsp] = ACTIONS(7083),
    [anon_sym_BSLASHAcsp] = ACTIONS(7083),
    [anon_sym_BSLASHacl] = ACTIONS(7083),
    [anon_sym_BSLASHAcl] = ACTIONS(7083),
    [anon_sym_BSLASHaclp] = ACTIONS(7083),
    [anon_sym_BSLASHAclp] = ACTIONS(7083),
    [anon_sym_BSLASHacf] = ACTIONS(7083),
    [anon_sym_BSLASHAcf] = ACTIONS(7083),
    [anon_sym_BSLASHacfp] = ACTIONS(7083),
    [anon_sym_BSLASHAcfp] = ACTIONS(7083),
    [anon_sym_BSLASHac] = ACTIONS(7083),
    [anon_sym_BSLASHAc] = ACTIONS(7083),
    [anon_sym_BSLASHacp] = ACTIONS(7083),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7083),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7083),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7083),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7083),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7083),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7083),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7083),
    [anon_sym_BSLASHcolor] = ACTIONS(7083),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7083),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7083),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7083),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7083),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7083),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7083),
    [anon_sym_BSLASHurl] = ACTIONS(7083),
    [anon_sym_BSLASHhref] = ACTIONS(7083),
  },
  [1633] = {
    [sym_command_name] = ACTIONS(7087),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7087),
    [anon_sym_LBRACK] = ACTIONS(7089),
    [anon_sym_RBRACK] = ACTIONS(7089),
    [anon_sym_COMMA] = ACTIONS(7089),
    [anon_sym_EQ] = ACTIONS(7089),
    [anon_sym_LPAREN] = ACTIONS(7089),
    [anon_sym_RPAREN] = ACTIONS(7089),
    [anon_sym_BSLASHpart] = ACTIONS(7087),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHaddpart] = ACTIONS(7087),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHchapter] = ACTIONS(7087),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHaddchap] = ACTIONS(7087),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHsection] = ACTIONS(7087),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHaddsec] = ACTIONS(7087),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHsubsection] = ACTIONS(7087),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7087),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHparagraph] = ACTIONS(7087),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7087),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHitem] = ACTIONS(7087),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7089),
    [anon_sym_LBRACE] = ACTIONS(7089),
    [sym_word] = ACTIONS(7087),
    [sym_placeholder] = ACTIONS(7089),
    [sym_delimiter] = ACTIONS(7089),
    [anon_sym_PLUS] = ACTIONS(7089),
    [anon_sym_DASH] = ACTIONS(7089),
    [anon_sym_STAR] = ACTIONS(7089),
    [anon_sym_SLASH] = ACTIONS(7089),
    [anon_sym_LT] = ACTIONS(7087),
    [anon_sym_GT] = ACTIONS(7087),
    [anon_sym_BANG] = ACTIONS(7087),
    [anon_sym_PIPE] = ACTIONS(7087),
    [anon_sym_COLON] = ACTIONS(7087),
    [anon_sym_SQUOTE] = ACTIONS(7087),
    [anon_sym__] = ACTIONS(7089),
    [anon_sym_CARET] = ACTIONS(7089),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7089),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7089),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7089),
    [anon_sym_DOLLAR] = ACTIONS(7087),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7089),
    [anon_sym_BSLASHleft] = ACTIONS(7087),
    [anon_sym_BSLASHbigl] = ACTIONS(7087),
    [anon_sym_BSLASHBigl] = ACTIONS(7087),
    [anon_sym_BSLASHbiggl] = ACTIONS(7087),
    [anon_sym_BSLASHBiggl] = ACTIONS(7087),
    [anon_sym_BSLASHtext] = ACTIONS(7087),
    [anon_sym_BSLASHintertext] = ACTIONS(7087),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7087),
    [anon_sym_BSLASHbegin] = ACTIONS(7087),
    [anon_sym_BSLASHtitle] = ACTIONS(7087),
    [anon_sym_BSLASHauthor] = ACTIONS(7087),
    [anon_sym_BSLASHusepackage] = ACTIONS(7087),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7087),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7087),
    [anon_sym_BSLASHinclude] = ACTIONS(7087),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7087),
    [anon_sym_BSLASHinput] = ACTIONS(7087),
    [anon_sym_BSLASHsubfile] = ACTIONS(7087),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7087),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7087),
    [anon_sym_BSLASHbibliography] = ACTIONS(7087),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7087),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7087),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7087),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7087),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7087),
    [anon_sym_BSLASHimport] = ACTIONS(7087),
    [anon_sym_BSLASHsubimport] = ACTIONS(7087),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7087),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7087),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7087),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7087),
    [anon_sym_BSLASHcaption] = ACTIONS(7087),
    [anon_sym_BSLASHcite] = ACTIONS(7087),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHCite] = ACTIONS(7087),
    [anon_sym_BSLASHnocite] = ACTIONS(7087),
    [anon_sym_BSLASHcitet] = ACTIONS(7087),
    [anon_sym_BSLASHcitep] = ACTIONS(7087),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHciteA] = ACTIONS(7087),
    [anon_sym_BSLASHciteR] = ACTIONS(7087),
    [anon_sym_BSLASHciteS] = ACTIONS(7087),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7087),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7087),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7087),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7087),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHciteyear] = ACTIONS(7087),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcitedate] = ACTIONS(7087),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHciteurl] = ACTIONS(7087),
    [anon_sym_BSLASHfullcite] = ACTIONS(7087),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7087),
    [anon_sym_BSLASHcitealt] = ACTIONS(7087),
    [anon_sym_BSLASHcitealp] = ACTIONS(7087),
    [anon_sym_BSLASHcitetext] = ACTIONS(7087),
    [anon_sym_BSLASHparencite] = ACTIONS(7087),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHParencite] = ACTIONS(7087),
    [anon_sym_BSLASHfootcite] = ACTIONS(7087),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7087),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7087),
    [anon_sym_BSLASHtextcite] = ACTIONS(7087),
    [anon_sym_BSLASHTextcite] = ACTIONS(7087),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7087),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7087),
    [anon_sym_BSLASHsupercite] = ACTIONS(7087),
    [anon_sym_BSLASHautocite] = ACTIONS(7087),
    [anon_sym_BSLASHAutocite] = ACTIONS(7087),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHVolcite] = ACTIONS(7087),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHavolcite] = ACTIONS(7087),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHnotecite] = ACTIONS(7087),
    [anon_sym_BSLASHNotecite] = ACTIONS(7087),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7087),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7087),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7087),
    [anon_sym_BSLASHlabel] = ACTIONS(7087),
    [anon_sym_BSLASHref] = ACTIONS(7087),
    [anon_sym_BSLASHeqref] = ACTIONS(7087),
    [anon_sym_BSLASHvref] = ACTIONS(7087),
    [anon_sym_BSLASHVref] = ACTIONS(7087),
    [anon_sym_BSLASHautoref] = ACTIONS(7087),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHpageref] = ACTIONS(7087),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHautopageref] = ACTIONS(7087),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcref] = ACTIONS(7087),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHCref] = ACTIONS(7087),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcpageref] = ACTIONS(7087),
    [anon_sym_BSLASHCpageref] = ACTIONS(7087),
    [anon_sym_BSLASHnamecref] = ACTIONS(7087),
    [anon_sym_BSLASHnameCref] = ACTIONS(7087),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7087),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7087),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7087),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7087),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7087),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7087),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7087),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7087),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7087),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7087),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7087),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7087),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7087),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7087),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7087),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7087),
    [anon_sym_BSLASHdef] = ACTIONS(7087),
    [anon_sym_BSLASHgdef] = ACTIONS(7087),
    [anon_sym_BSLASHedef] = ACTIONS(7087),
    [anon_sym_BSLASHxdef] = ACTIONS(7087),
    [anon_sym_BSLASHlet] = ACTIONS(7087),
    [anon_sym_BSLASHglet] = ACTIONS(7087),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7087),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7087),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7087),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7087),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7087),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7087),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7087),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7087),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7087),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7087),
    [anon_sym_BSLASHgls] = ACTIONS(7087),
    [anon_sym_BSLASHGls] = ACTIONS(7087),
    [anon_sym_BSLASHGLS] = ACTIONS(7087),
    [anon_sym_BSLASHglspl] = ACTIONS(7087),
    [anon_sym_BSLASHGlspl] = ACTIONS(7087),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7087),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7087),
    [anon_sym_BSLASHglslink] = ACTIONS(7087),
    [anon_sym_BSLASHglstext] = ACTIONS(7087),
    [anon_sym_BSLASHGlstext] = ACTIONS(7087),
    [anon_sym_BSLASHGLStext] = ACTIONS(7087),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7087),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7087),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7087),
    [anon_sym_BSLASHglsplural] = ACTIONS(7087),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7087),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7087),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7087),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7087),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7087),
    [anon_sym_BSLASHglsname] = ACTIONS(7087),
    [anon_sym_BSLASHGlsname] = ACTIONS(7087),
    [anon_sym_BSLASHGLSname] = ACTIONS(7087),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7087),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7087),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7087),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7087),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7087),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7087),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7087),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7087),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7087),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7087),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7087),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7087),
    [anon_sym_BSLASHacrshort] = ACTIONS(7087),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7087),
    [anon_sym_BSLASHACRshort] = ACTIONS(7087),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHacrlong] = ACTIONS(7087),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7087),
    [anon_sym_BSLASHACRlong] = ACTIONS(7087),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7087),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7087),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7087),
    [anon_sym_BSLASHacrfull] = ACTIONS(7087),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7087),
    [anon_sym_BSLASHACRfull] = ACTIONS(7087),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHacs] = ACTIONS(7087),
    [anon_sym_BSLASHAcs] = ACTIONS(7087),
    [anon_sym_BSLASHacsp] = ACTIONS(7087),
    [anon_sym_BSLASHAcsp] = ACTIONS(7087),
    [anon_sym_BSLASHacl] = ACTIONS(7087),
    [anon_sym_BSLASHAcl] = ACTIONS(7087),
    [anon_sym_BSLASHaclp] = ACTIONS(7087),
    [anon_sym_BSLASHAclp] = ACTIONS(7087),
    [anon_sym_BSLASHacf] = ACTIONS(7087),
    [anon_sym_BSLASHAcf] = ACTIONS(7087),
    [anon_sym_BSLASHacfp] = ACTIONS(7087),
    [anon_sym_BSLASHAcfp] = ACTIONS(7087),
    [anon_sym_BSLASHac] = ACTIONS(7087),
    [anon_sym_BSLASHAc] = ACTIONS(7087),
    [anon_sym_BSLASHacp] = ACTIONS(7087),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7087),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7087),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7087),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7087),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7087),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7087),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7087),
    [anon_sym_BSLASHcolor] = ACTIONS(7087),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7087),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7087),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7087),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7087),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7087),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7087),
    [anon_sym_BSLASHurl] = ACTIONS(7087),
    [anon_sym_BSLASHhref] = ACTIONS(7087),
  },
  [1634] = {
    [sym_command_name] = ACTIONS(7091),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7091),
    [anon_sym_LBRACK] = ACTIONS(7093),
    [anon_sym_RBRACK] = ACTIONS(7093),
    [anon_sym_COMMA] = ACTIONS(7093),
    [anon_sym_EQ] = ACTIONS(7093),
    [anon_sym_LPAREN] = ACTIONS(7093),
    [anon_sym_RPAREN] = ACTIONS(7093),
    [anon_sym_BSLASHpart] = ACTIONS(7091),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHaddpart] = ACTIONS(7091),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHchapter] = ACTIONS(7091),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHaddchap] = ACTIONS(7091),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHsection] = ACTIONS(7091),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHaddsec] = ACTIONS(7091),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHsubsection] = ACTIONS(7091),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7091),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHparagraph] = ACTIONS(7091),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7091),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHitem] = ACTIONS(7091),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7093),
    [anon_sym_LBRACE] = ACTIONS(7093),
    [sym_word] = ACTIONS(7091),
    [sym_placeholder] = ACTIONS(7093),
    [sym_delimiter] = ACTIONS(7093),
    [anon_sym_PLUS] = ACTIONS(7093),
    [anon_sym_DASH] = ACTIONS(7093),
    [anon_sym_STAR] = ACTIONS(7093),
    [anon_sym_SLASH] = ACTIONS(7093),
    [anon_sym_LT] = ACTIONS(7091),
    [anon_sym_GT] = ACTIONS(7091),
    [anon_sym_BANG] = ACTIONS(7091),
    [anon_sym_PIPE] = ACTIONS(7091),
    [anon_sym_COLON] = ACTIONS(7091),
    [anon_sym_SQUOTE] = ACTIONS(7091),
    [anon_sym__] = ACTIONS(7093),
    [anon_sym_CARET] = ACTIONS(7093),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7093),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7093),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7093),
    [anon_sym_DOLLAR] = ACTIONS(7091),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7093),
    [anon_sym_BSLASHleft] = ACTIONS(7091),
    [anon_sym_BSLASHbigl] = ACTIONS(7091),
    [anon_sym_BSLASHBigl] = ACTIONS(7091),
    [anon_sym_BSLASHbiggl] = ACTIONS(7091),
    [anon_sym_BSLASHBiggl] = ACTIONS(7091),
    [anon_sym_BSLASHtext] = ACTIONS(7091),
    [anon_sym_BSLASHintertext] = ACTIONS(7091),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7091),
    [anon_sym_BSLASHbegin] = ACTIONS(7091),
    [anon_sym_BSLASHtitle] = ACTIONS(7091),
    [anon_sym_BSLASHauthor] = ACTIONS(7091),
    [anon_sym_BSLASHusepackage] = ACTIONS(7091),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7091),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7091),
    [anon_sym_BSLASHinclude] = ACTIONS(7091),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7091),
    [anon_sym_BSLASHinput] = ACTIONS(7091),
    [anon_sym_BSLASHsubfile] = ACTIONS(7091),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7091),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7091),
    [anon_sym_BSLASHbibliography] = ACTIONS(7091),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7091),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7091),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7091),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7091),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7091),
    [anon_sym_BSLASHimport] = ACTIONS(7091),
    [anon_sym_BSLASHsubimport] = ACTIONS(7091),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7091),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7091),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7091),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7091),
    [anon_sym_BSLASHcaption] = ACTIONS(7091),
    [anon_sym_BSLASHcite] = ACTIONS(7091),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHCite] = ACTIONS(7091),
    [anon_sym_BSLASHnocite] = ACTIONS(7091),
    [anon_sym_BSLASHcitet] = ACTIONS(7091),
    [anon_sym_BSLASHcitep] = ACTIONS(7091),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHciteA] = ACTIONS(7091),
    [anon_sym_BSLASHciteR] = ACTIONS(7091),
    [anon_sym_BSLASHciteS] = ACTIONS(7091),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7091),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7091),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7091),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7091),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHciteyear] = ACTIONS(7091),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcitedate] = ACTIONS(7091),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHciteurl] = ACTIONS(7091),
    [anon_sym_BSLASHfullcite] = ACTIONS(7091),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7091),
    [anon_sym_BSLASHcitealt] = ACTIONS(7091),
    [anon_sym_BSLASHcitealp] = ACTIONS(7091),
    [anon_sym_BSLASHcitetext] = ACTIONS(7091),
    [anon_sym_BSLASHparencite] = ACTIONS(7091),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHParencite] = ACTIONS(7091),
    [anon_sym_BSLASHfootcite] = ACTIONS(7091),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7091),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7091),
    [anon_sym_BSLASHtextcite] = ACTIONS(7091),
    [anon_sym_BSLASHTextcite] = ACTIONS(7091),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7091),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7091),
    [anon_sym_BSLASHsupercite] = ACTIONS(7091),
    [anon_sym_BSLASHautocite] = ACTIONS(7091),
    [anon_sym_BSLASHAutocite] = ACTIONS(7091),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHVolcite] = ACTIONS(7091),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHavolcite] = ACTIONS(7091),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHnotecite] = ACTIONS(7091),
    [anon_sym_BSLASHNotecite] = ACTIONS(7091),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7091),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7091),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7091),
    [anon_sym_BSLASHlabel] = ACTIONS(7091),
    [anon_sym_BSLASHref] = ACTIONS(7091),
    [anon_sym_BSLASHeqref] = ACTIONS(7091),
    [anon_sym_BSLASHvref] = ACTIONS(7091),
    [anon_sym_BSLASHVref] = ACTIONS(7091),
    [anon_sym_BSLASHautoref] = ACTIONS(7091),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHpageref] = ACTIONS(7091),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHautopageref] = ACTIONS(7091),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcref] = ACTIONS(7091),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHCref] = ACTIONS(7091),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcpageref] = ACTIONS(7091),
    [anon_sym_BSLASHCpageref] = ACTIONS(7091),
    [anon_sym_BSLASHnamecref] = ACTIONS(7091),
    [anon_sym_BSLASHnameCref] = ACTIONS(7091),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7091),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7091),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7091),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7091),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7091),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7091),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7091),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7091),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7091),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7091),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7091),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7091),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7091),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7091),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7091),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7091),
    [anon_sym_BSLASHdef] = ACTIONS(7091),
    [anon_sym_BSLASHgdef] = ACTIONS(7091),
    [anon_sym_BSLASHedef] = ACTIONS(7091),
    [anon_sym_BSLASHxdef] = ACTIONS(7091),
    [anon_sym_BSLASHlet] = ACTIONS(7091),
    [anon_sym_BSLASHglet] = ACTIONS(7091),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7091),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7091),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7091),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7091),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7091),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7091),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7091),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7091),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7091),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7091),
    [anon_sym_BSLASHgls] = ACTIONS(7091),
    [anon_sym_BSLASHGls] = ACTIONS(7091),
    [anon_sym_BSLASHGLS] = ACTIONS(7091),
    [anon_sym_BSLASHglspl] = ACTIONS(7091),
    [anon_sym_BSLASHGlspl] = ACTIONS(7091),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7091),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7091),
    [anon_sym_BSLASHglslink] = ACTIONS(7091),
    [anon_sym_BSLASHglstext] = ACTIONS(7091),
    [anon_sym_BSLASHGlstext] = ACTIONS(7091),
    [anon_sym_BSLASHGLStext] = ACTIONS(7091),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7091),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7091),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7091),
    [anon_sym_BSLASHglsplural] = ACTIONS(7091),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7091),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7091),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7091),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7091),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7091),
    [anon_sym_BSLASHglsname] = ACTIONS(7091),
    [anon_sym_BSLASHGlsname] = ACTIONS(7091),
    [anon_sym_BSLASHGLSname] = ACTIONS(7091),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7091),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7091),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7091),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7091),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7091),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7091),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7091),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7091),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7091),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7091),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7091),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7091),
    [anon_sym_BSLASHacrshort] = ACTIONS(7091),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7091),
    [anon_sym_BSLASHACRshort] = ACTIONS(7091),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHacrlong] = ACTIONS(7091),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7091),
    [anon_sym_BSLASHACRlong] = ACTIONS(7091),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7091),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7091),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7091),
    [anon_sym_BSLASHacrfull] = ACTIONS(7091),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7091),
    [anon_sym_BSLASHACRfull] = ACTIONS(7091),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHacs] = ACTIONS(7091),
    [anon_sym_BSLASHAcs] = ACTIONS(7091),
    [anon_sym_BSLASHacsp] = ACTIONS(7091),
    [anon_sym_BSLASHAcsp] = ACTIONS(7091),
    [anon_sym_BSLASHacl] = ACTIONS(7091),
    [anon_sym_BSLASHAcl] = ACTIONS(7091),
    [anon_sym_BSLASHaclp] = ACTIONS(7091),
    [anon_sym_BSLASHAclp] = ACTIONS(7091),
    [anon_sym_BSLASHacf] = ACTIONS(7091),
    [anon_sym_BSLASHAcf] = ACTIONS(7091),
    [anon_sym_BSLASHacfp] = ACTIONS(7091),
    [anon_sym_BSLASHAcfp] = ACTIONS(7091),
    [anon_sym_BSLASHac] = ACTIONS(7091),
    [anon_sym_BSLASHAc] = ACTIONS(7091),
    [anon_sym_BSLASHacp] = ACTIONS(7091),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7091),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7091),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7091),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7091),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7091),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7091),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7091),
    [anon_sym_BSLASHcolor] = ACTIONS(7091),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7091),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7091),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7091),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7091),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7091),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7091),
    [anon_sym_BSLASHurl] = ACTIONS(7091),
    [anon_sym_BSLASHhref] = ACTIONS(7091),
  },
  [1635] = {
    [sym_command_name] = ACTIONS(7095),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7095),
    [anon_sym_LBRACK] = ACTIONS(7097),
    [anon_sym_RBRACK] = ACTIONS(7097),
    [anon_sym_COMMA] = ACTIONS(7097),
    [anon_sym_EQ] = ACTIONS(7097),
    [anon_sym_LPAREN] = ACTIONS(7097),
    [anon_sym_RPAREN] = ACTIONS(7097),
    [anon_sym_BSLASHpart] = ACTIONS(7095),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHaddpart] = ACTIONS(7095),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHchapter] = ACTIONS(7095),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHaddchap] = ACTIONS(7095),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHsection] = ACTIONS(7095),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHaddsec] = ACTIONS(7095),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHsubsection] = ACTIONS(7095),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7095),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHparagraph] = ACTIONS(7095),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7095),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHitem] = ACTIONS(7095),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7097),
    [anon_sym_LBRACE] = ACTIONS(7097),
    [sym_word] = ACTIONS(7095),
    [sym_placeholder] = ACTIONS(7097),
    [sym_delimiter] = ACTIONS(7097),
    [anon_sym_PLUS] = ACTIONS(7097),
    [anon_sym_DASH] = ACTIONS(7097),
    [anon_sym_STAR] = ACTIONS(7097),
    [anon_sym_SLASH] = ACTIONS(7097),
    [anon_sym_LT] = ACTIONS(7095),
    [anon_sym_GT] = ACTIONS(7095),
    [anon_sym_BANG] = ACTIONS(7095),
    [anon_sym_PIPE] = ACTIONS(7095),
    [anon_sym_COLON] = ACTIONS(7095),
    [anon_sym_SQUOTE] = ACTIONS(7095),
    [anon_sym__] = ACTIONS(7097),
    [anon_sym_CARET] = ACTIONS(7097),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7097),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7097),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7097),
    [anon_sym_DOLLAR] = ACTIONS(7095),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7097),
    [anon_sym_BSLASHleft] = ACTIONS(7095),
    [anon_sym_BSLASHbigl] = ACTIONS(7095),
    [anon_sym_BSLASHBigl] = ACTIONS(7095),
    [anon_sym_BSLASHbiggl] = ACTIONS(7095),
    [anon_sym_BSLASHBiggl] = ACTIONS(7095),
    [anon_sym_BSLASHtext] = ACTIONS(7095),
    [anon_sym_BSLASHintertext] = ACTIONS(7095),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7095),
    [anon_sym_BSLASHbegin] = ACTIONS(7095),
    [anon_sym_BSLASHtitle] = ACTIONS(7095),
    [anon_sym_BSLASHauthor] = ACTIONS(7095),
    [anon_sym_BSLASHusepackage] = ACTIONS(7095),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7095),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7095),
    [anon_sym_BSLASHinclude] = ACTIONS(7095),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7095),
    [anon_sym_BSLASHinput] = ACTIONS(7095),
    [anon_sym_BSLASHsubfile] = ACTIONS(7095),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7095),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7095),
    [anon_sym_BSLASHbibliography] = ACTIONS(7095),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7095),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7095),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7095),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7095),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7095),
    [anon_sym_BSLASHimport] = ACTIONS(7095),
    [anon_sym_BSLASHsubimport] = ACTIONS(7095),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7095),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7095),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7095),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7095),
    [anon_sym_BSLASHcaption] = ACTIONS(7095),
    [anon_sym_BSLASHcite] = ACTIONS(7095),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHCite] = ACTIONS(7095),
    [anon_sym_BSLASHnocite] = ACTIONS(7095),
    [anon_sym_BSLASHcitet] = ACTIONS(7095),
    [anon_sym_BSLASHcitep] = ACTIONS(7095),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHciteA] = ACTIONS(7095),
    [anon_sym_BSLASHciteR] = ACTIONS(7095),
    [anon_sym_BSLASHciteS] = ACTIONS(7095),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7095),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7095),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7095),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7095),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHciteyear] = ACTIONS(7095),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcitedate] = ACTIONS(7095),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHciteurl] = ACTIONS(7095),
    [anon_sym_BSLASHfullcite] = ACTIONS(7095),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7095),
    [anon_sym_BSLASHcitealt] = ACTIONS(7095),
    [anon_sym_BSLASHcitealp] = ACTIONS(7095),
    [anon_sym_BSLASHcitetext] = ACTIONS(7095),
    [anon_sym_BSLASHparencite] = ACTIONS(7095),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHParencite] = ACTIONS(7095),
    [anon_sym_BSLASHfootcite] = ACTIONS(7095),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7095),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7095),
    [anon_sym_BSLASHtextcite] = ACTIONS(7095),
    [anon_sym_BSLASHTextcite] = ACTIONS(7095),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7095),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7095),
    [anon_sym_BSLASHsupercite] = ACTIONS(7095),
    [anon_sym_BSLASHautocite] = ACTIONS(7095),
    [anon_sym_BSLASHAutocite] = ACTIONS(7095),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHVolcite] = ACTIONS(7095),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHavolcite] = ACTIONS(7095),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHnotecite] = ACTIONS(7095),
    [anon_sym_BSLASHNotecite] = ACTIONS(7095),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7095),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7095),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7095),
    [anon_sym_BSLASHlabel] = ACTIONS(7095),
    [anon_sym_BSLASHref] = ACTIONS(7095),
    [anon_sym_BSLASHeqref] = ACTIONS(7095),
    [anon_sym_BSLASHvref] = ACTIONS(7095),
    [anon_sym_BSLASHVref] = ACTIONS(7095),
    [anon_sym_BSLASHautoref] = ACTIONS(7095),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHpageref] = ACTIONS(7095),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHautopageref] = ACTIONS(7095),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcref] = ACTIONS(7095),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHCref] = ACTIONS(7095),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcpageref] = ACTIONS(7095),
    [anon_sym_BSLASHCpageref] = ACTIONS(7095),
    [anon_sym_BSLASHnamecref] = ACTIONS(7095),
    [anon_sym_BSLASHnameCref] = ACTIONS(7095),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7095),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7095),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7095),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7095),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7095),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7095),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7095),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7095),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7095),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7095),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7095),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7095),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7095),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7095),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7095),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7095),
    [anon_sym_BSLASHdef] = ACTIONS(7095),
    [anon_sym_BSLASHgdef] = ACTIONS(7095),
    [anon_sym_BSLASHedef] = ACTIONS(7095),
    [anon_sym_BSLASHxdef] = ACTIONS(7095),
    [anon_sym_BSLASHlet] = ACTIONS(7095),
    [anon_sym_BSLASHglet] = ACTIONS(7095),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7095),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7095),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7095),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7095),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7095),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7095),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7095),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7095),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7095),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7095),
    [anon_sym_BSLASHgls] = ACTIONS(7095),
    [anon_sym_BSLASHGls] = ACTIONS(7095),
    [anon_sym_BSLASHGLS] = ACTIONS(7095),
    [anon_sym_BSLASHglspl] = ACTIONS(7095),
    [anon_sym_BSLASHGlspl] = ACTIONS(7095),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7095),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7095),
    [anon_sym_BSLASHglslink] = ACTIONS(7095),
    [anon_sym_BSLASHglstext] = ACTIONS(7095),
    [anon_sym_BSLASHGlstext] = ACTIONS(7095),
    [anon_sym_BSLASHGLStext] = ACTIONS(7095),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7095),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7095),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7095),
    [anon_sym_BSLASHglsplural] = ACTIONS(7095),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7095),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7095),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7095),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7095),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7095),
    [anon_sym_BSLASHglsname] = ACTIONS(7095),
    [anon_sym_BSLASHGlsname] = ACTIONS(7095),
    [anon_sym_BSLASHGLSname] = ACTIONS(7095),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7095),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7095),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7095),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7095),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7095),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7095),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7095),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7095),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7095),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7095),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7095),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7095),
    [anon_sym_BSLASHacrshort] = ACTIONS(7095),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7095),
    [anon_sym_BSLASHACRshort] = ACTIONS(7095),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHacrlong] = ACTIONS(7095),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7095),
    [anon_sym_BSLASHACRlong] = ACTIONS(7095),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7095),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7095),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7095),
    [anon_sym_BSLASHacrfull] = ACTIONS(7095),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7095),
    [anon_sym_BSLASHACRfull] = ACTIONS(7095),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHacs] = ACTIONS(7095),
    [anon_sym_BSLASHAcs] = ACTIONS(7095),
    [anon_sym_BSLASHacsp] = ACTIONS(7095),
    [anon_sym_BSLASHAcsp] = ACTIONS(7095),
    [anon_sym_BSLASHacl] = ACTIONS(7095),
    [anon_sym_BSLASHAcl] = ACTIONS(7095),
    [anon_sym_BSLASHaclp] = ACTIONS(7095),
    [anon_sym_BSLASHAclp] = ACTIONS(7095),
    [anon_sym_BSLASHacf] = ACTIONS(7095),
    [anon_sym_BSLASHAcf] = ACTIONS(7095),
    [anon_sym_BSLASHacfp] = ACTIONS(7095),
    [anon_sym_BSLASHAcfp] = ACTIONS(7095),
    [anon_sym_BSLASHac] = ACTIONS(7095),
    [anon_sym_BSLASHAc] = ACTIONS(7095),
    [anon_sym_BSLASHacp] = ACTIONS(7095),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7095),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7095),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7095),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7095),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7095),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7095),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7095),
    [anon_sym_BSLASHcolor] = ACTIONS(7095),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7095),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7095),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7095),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7095),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7095),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7095),
    [anon_sym_BSLASHurl] = ACTIONS(7095),
    [anon_sym_BSLASHhref] = ACTIONS(7095),
  },
  [1636] = {
    [sym_command_name] = ACTIONS(7099),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7099),
    [anon_sym_LBRACK] = ACTIONS(7101),
    [anon_sym_RBRACK] = ACTIONS(7101),
    [anon_sym_COMMA] = ACTIONS(7101),
    [anon_sym_EQ] = ACTIONS(7101),
    [anon_sym_LPAREN] = ACTIONS(7101),
    [anon_sym_RPAREN] = ACTIONS(7101),
    [anon_sym_BSLASHpart] = ACTIONS(7099),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHaddpart] = ACTIONS(7099),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHchapter] = ACTIONS(7099),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHaddchap] = ACTIONS(7099),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHsection] = ACTIONS(7099),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHaddsec] = ACTIONS(7099),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHsubsection] = ACTIONS(7099),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7099),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHparagraph] = ACTIONS(7099),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7099),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHitem] = ACTIONS(7099),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7101),
    [anon_sym_LBRACE] = ACTIONS(7101),
    [sym_word] = ACTIONS(7099),
    [sym_placeholder] = ACTIONS(7101),
    [sym_delimiter] = ACTIONS(7101),
    [anon_sym_PLUS] = ACTIONS(7101),
    [anon_sym_DASH] = ACTIONS(7101),
    [anon_sym_STAR] = ACTIONS(7101),
    [anon_sym_SLASH] = ACTIONS(7101),
    [anon_sym_LT] = ACTIONS(7099),
    [anon_sym_GT] = ACTIONS(7099),
    [anon_sym_BANG] = ACTIONS(7099),
    [anon_sym_PIPE] = ACTIONS(7099),
    [anon_sym_COLON] = ACTIONS(7099),
    [anon_sym_SQUOTE] = ACTIONS(7099),
    [anon_sym__] = ACTIONS(7101),
    [anon_sym_CARET] = ACTIONS(7101),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7101),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7101),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7101),
    [anon_sym_DOLLAR] = ACTIONS(7099),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7101),
    [anon_sym_BSLASHleft] = ACTIONS(7099),
    [anon_sym_BSLASHbigl] = ACTIONS(7099),
    [anon_sym_BSLASHBigl] = ACTIONS(7099),
    [anon_sym_BSLASHbiggl] = ACTIONS(7099),
    [anon_sym_BSLASHBiggl] = ACTIONS(7099),
    [anon_sym_BSLASHtext] = ACTIONS(7099),
    [anon_sym_BSLASHintertext] = ACTIONS(7099),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7099),
    [anon_sym_BSLASHbegin] = ACTIONS(7099),
    [anon_sym_BSLASHtitle] = ACTIONS(7099),
    [anon_sym_BSLASHauthor] = ACTIONS(7099),
    [anon_sym_BSLASHusepackage] = ACTIONS(7099),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7099),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7099),
    [anon_sym_BSLASHinclude] = ACTIONS(7099),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7099),
    [anon_sym_BSLASHinput] = ACTIONS(7099),
    [anon_sym_BSLASHsubfile] = ACTIONS(7099),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7099),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7099),
    [anon_sym_BSLASHbibliography] = ACTIONS(7099),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7099),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7099),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7099),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7099),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7099),
    [anon_sym_BSLASHimport] = ACTIONS(7099),
    [anon_sym_BSLASHsubimport] = ACTIONS(7099),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7099),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7099),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7099),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7099),
    [anon_sym_BSLASHcaption] = ACTIONS(7099),
    [anon_sym_BSLASHcite] = ACTIONS(7099),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHCite] = ACTIONS(7099),
    [anon_sym_BSLASHnocite] = ACTIONS(7099),
    [anon_sym_BSLASHcitet] = ACTIONS(7099),
    [anon_sym_BSLASHcitep] = ACTIONS(7099),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHciteA] = ACTIONS(7099),
    [anon_sym_BSLASHciteR] = ACTIONS(7099),
    [anon_sym_BSLASHciteS] = ACTIONS(7099),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7099),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7099),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7099),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7099),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHciteyear] = ACTIONS(7099),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcitedate] = ACTIONS(7099),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHciteurl] = ACTIONS(7099),
    [anon_sym_BSLASHfullcite] = ACTIONS(7099),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7099),
    [anon_sym_BSLASHcitealt] = ACTIONS(7099),
    [anon_sym_BSLASHcitealp] = ACTIONS(7099),
    [anon_sym_BSLASHcitetext] = ACTIONS(7099),
    [anon_sym_BSLASHparencite] = ACTIONS(7099),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHParencite] = ACTIONS(7099),
    [anon_sym_BSLASHfootcite] = ACTIONS(7099),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7099),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7099),
    [anon_sym_BSLASHtextcite] = ACTIONS(7099),
    [anon_sym_BSLASHTextcite] = ACTIONS(7099),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7099),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7099),
    [anon_sym_BSLASHsupercite] = ACTIONS(7099),
    [anon_sym_BSLASHautocite] = ACTIONS(7099),
    [anon_sym_BSLASHAutocite] = ACTIONS(7099),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHVolcite] = ACTIONS(7099),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHavolcite] = ACTIONS(7099),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHnotecite] = ACTIONS(7099),
    [anon_sym_BSLASHNotecite] = ACTIONS(7099),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7099),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7099),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7099),
    [anon_sym_BSLASHlabel] = ACTIONS(7099),
    [anon_sym_BSLASHref] = ACTIONS(7099),
    [anon_sym_BSLASHeqref] = ACTIONS(7099),
    [anon_sym_BSLASHvref] = ACTIONS(7099),
    [anon_sym_BSLASHVref] = ACTIONS(7099),
    [anon_sym_BSLASHautoref] = ACTIONS(7099),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHpageref] = ACTIONS(7099),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHautopageref] = ACTIONS(7099),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcref] = ACTIONS(7099),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHCref] = ACTIONS(7099),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcpageref] = ACTIONS(7099),
    [anon_sym_BSLASHCpageref] = ACTIONS(7099),
    [anon_sym_BSLASHnamecref] = ACTIONS(7099),
    [anon_sym_BSLASHnameCref] = ACTIONS(7099),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7099),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7099),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7099),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7099),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7099),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7099),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7099),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7099),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7099),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7099),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7099),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7099),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7099),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7099),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7099),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7099),
    [anon_sym_BSLASHdef] = ACTIONS(7099),
    [anon_sym_BSLASHgdef] = ACTIONS(7099),
    [anon_sym_BSLASHedef] = ACTIONS(7099),
    [anon_sym_BSLASHxdef] = ACTIONS(7099),
    [anon_sym_BSLASHlet] = ACTIONS(7099),
    [anon_sym_BSLASHglet] = ACTIONS(7099),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7099),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7099),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7099),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7099),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7099),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7099),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7099),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7099),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7099),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7099),
    [anon_sym_BSLASHgls] = ACTIONS(7099),
    [anon_sym_BSLASHGls] = ACTIONS(7099),
    [anon_sym_BSLASHGLS] = ACTIONS(7099),
    [anon_sym_BSLASHglspl] = ACTIONS(7099),
    [anon_sym_BSLASHGlspl] = ACTIONS(7099),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7099),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7099),
    [anon_sym_BSLASHglslink] = ACTIONS(7099),
    [anon_sym_BSLASHglstext] = ACTIONS(7099),
    [anon_sym_BSLASHGlstext] = ACTIONS(7099),
    [anon_sym_BSLASHGLStext] = ACTIONS(7099),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7099),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7099),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7099),
    [anon_sym_BSLASHglsplural] = ACTIONS(7099),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7099),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7099),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7099),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7099),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7099),
    [anon_sym_BSLASHglsname] = ACTIONS(7099),
    [anon_sym_BSLASHGlsname] = ACTIONS(7099),
    [anon_sym_BSLASHGLSname] = ACTIONS(7099),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7099),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7099),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7099),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7099),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7099),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7099),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7099),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7099),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7099),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7099),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7099),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7099),
    [anon_sym_BSLASHacrshort] = ACTIONS(7099),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7099),
    [anon_sym_BSLASHACRshort] = ACTIONS(7099),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHacrlong] = ACTIONS(7099),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7099),
    [anon_sym_BSLASHACRlong] = ACTIONS(7099),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7099),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7099),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7099),
    [anon_sym_BSLASHacrfull] = ACTIONS(7099),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7099),
    [anon_sym_BSLASHACRfull] = ACTIONS(7099),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHacs] = ACTIONS(7099),
    [anon_sym_BSLASHAcs] = ACTIONS(7099),
    [anon_sym_BSLASHacsp] = ACTIONS(7099),
    [anon_sym_BSLASHAcsp] = ACTIONS(7099),
    [anon_sym_BSLASHacl] = ACTIONS(7099),
    [anon_sym_BSLASHAcl] = ACTIONS(7099),
    [anon_sym_BSLASHaclp] = ACTIONS(7099),
    [anon_sym_BSLASHAclp] = ACTIONS(7099),
    [anon_sym_BSLASHacf] = ACTIONS(7099),
    [anon_sym_BSLASHAcf] = ACTIONS(7099),
    [anon_sym_BSLASHacfp] = ACTIONS(7099),
    [anon_sym_BSLASHAcfp] = ACTIONS(7099),
    [anon_sym_BSLASHac] = ACTIONS(7099),
    [anon_sym_BSLASHAc] = ACTIONS(7099),
    [anon_sym_BSLASHacp] = ACTIONS(7099),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7099),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7099),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7099),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7099),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7099),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7099),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7099),
    [anon_sym_BSLASHcolor] = ACTIONS(7099),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7099),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7099),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7099),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7099),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7099),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7099),
    [anon_sym_BSLASHurl] = ACTIONS(7099),
    [anon_sym_BSLASHhref] = ACTIONS(7099),
  },
  [1637] = {
    [sym_command_name] = ACTIONS(7103),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7103),
    [anon_sym_LBRACK] = ACTIONS(7105),
    [anon_sym_RBRACK] = ACTIONS(7105),
    [anon_sym_COMMA] = ACTIONS(7105),
    [anon_sym_EQ] = ACTIONS(7105),
    [anon_sym_LPAREN] = ACTIONS(7105),
    [anon_sym_RPAREN] = ACTIONS(7105),
    [anon_sym_BSLASHpart] = ACTIONS(7103),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHaddpart] = ACTIONS(7103),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHchapter] = ACTIONS(7103),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHaddchap] = ACTIONS(7103),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHsection] = ACTIONS(7103),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHaddsec] = ACTIONS(7103),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHsubsection] = ACTIONS(7103),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7103),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHparagraph] = ACTIONS(7103),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7103),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHitem] = ACTIONS(7103),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7105),
    [anon_sym_LBRACE] = ACTIONS(7105),
    [sym_word] = ACTIONS(7103),
    [sym_placeholder] = ACTIONS(7105),
    [sym_delimiter] = ACTIONS(7105),
    [anon_sym_PLUS] = ACTIONS(7105),
    [anon_sym_DASH] = ACTIONS(7105),
    [anon_sym_STAR] = ACTIONS(7105),
    [anon_sym_SLASH] = ACTIONS(7105),
    [anon_sym_LT] = ACTIONS(7103),
    [anon_sym_GT] = ACTIONS(7103),
    [anon_sym_BANG] = ACTIONS(7103),
    [anon_sym_PIPE] = ACTIONS(7103),
    [anon_sym_COLON] = ACTIONS(7103),
    [anon_sym_SQUOTE] = ACTIONS(7103),
    [anon_sym__] = ACTIONS(7105),
    [anon_sym_CARET] = ACTIONS(7105),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7105),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7105),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7105),
    [anon_sym_DOLLAR] = ACTIONS(7103),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7105),
    [anon_sym_BSLASHleft] = ACTIONS(7103),
    [anon_sym_BSLASHbigl] = ACTIONS(7103),
    [anon_sym_BSLASHBigl] = ACTIONS(7103),
    [anon_sym_BSLASHbiggl] = ACTIONS(7103),
    [anon_sym_BSLASHBiggl] = ACTIONS(7103),
    [anon_sym_BSLASHtext] = ACTIONS(7103),
    [anon_sym_BSLASHintertext] = ACTIONS(7103),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7103),
    [anon_sym_BSLASHbegin] = ACTIONS(7103),
    [anon_sym_BSLASHtitle] = ACTIONS(7103),
    [anon_sym_BSLASHauthor] = ACTIONS(7103),
    [anon_sym_BSLASHusepackage] = ACTIONS(7103),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7103),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7103),
    [anon_sym_BSLASHinclude] = ACTIONS(7103),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7103),
    [anon_sym_BSLASHinput] = ACTIONS(7103),
    [anon_sym_BSLASHsubfile] = ACTIONS(7103),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7103),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7103),
    [anon_sym_BSLASHbibliography] = ACTIONS(7103),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7103),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7103),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7103),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7103),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7103),
    [anon_sym_BSLASHimport] = ACTIONS(7103),
    [anon_sym_BSLASHsubimport] = ACTIONS(7103),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7103),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7103),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7103),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7103),
    [anon_sym_BSLASHcaption] = ACTIONS(7103),
    [anon_sym_BSLASHcite] = ACTIONS(7103),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHCite] = ACTIONS(7103),
    [anon_sym_BSLASHnocite] = ACTIONS(7103),
    [anon_sym_BSLASHcitet] = ACTIONS(7103),
    [anon_sym_BSLASHcitep] = ACTIONS(7103),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHciteA] = ACTIONS(7103),
    [anon_sym_BSLASHciteR] = ACTIONS(7103),
    [anon_sym_BSLASHciteS] = ACTIONS(7103),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7103),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7103),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7103),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7103),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHciteyear] = ACTIONS(7103),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcitedate] = ACTIONS(7103),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHciteurl] = ACTIONS(7103),
    [anon_sym_BSLASHfullcite] = ACTIONS(7103),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7103),
    [anon_sym_BSLASHcitealt] = ACTIONS(7103),
    [anon_sym_BSLASHcitealp] = ACTIONS(7103),
    [anon_sym_BSLASHcitetext] = ACTIONS(7103),
    [anon_sym_BSLASHparencite] = ACTIONS(7103),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHParencite] = ACTIONS(7103),
    [anon_sym_BSLASHfootcite] = ACTIONS(7103),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7103),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7103),
    [anon_sym_BSLASHtextcite] = ACTIONS(7103),
    [anon_sym_BSLASHTextcite] = ACTIONS(7103),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7103),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7103),
    [anon_sym_BSLASHsupercite] = ACTIONS(7103),
    [anon_sym_BSLASHautocite] = ACTIONS(7103),
    [anon_sym_BSLASHAutocite] = ACTIONS(7103),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHVolcite] = ACTIONS(7103),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHavolcite] = ACTIONS(7103),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHnotecite] = ACTIONS(7103),
    [anon_sym_BSLASHNotecite] = ACTIONS(7103),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7103),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7103),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7103),
    [anon_sym_BSLASHlabel] = ACTIONS(7103),
    [anon_sym_BSLASHref] = ACTIONS(7103),
    [anon_sym_BSLASHeqref] = ACTIONS(7103),
    [anon_sym_BSLASHvref] = ACTIONS(7103),
    [anon_sym_BSLASHVref] = ACTIONS(7103),
    [anon_sym_BSLASHautoref] = ACTIONS(7103),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHpageref] = ACTIONS(7103),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHautopageref] = ACTIONS(7103),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcref] = ACTIONS(7103),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHCref] = ACTIONS(7103),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcpageref] = ACTIONS(7103),
    [anon_sym_BSLASHCpageref] = ACTIONS(7103),
    [anon_sym_BSLASHnamecref] = ACTIONS(7103),
    [anon_sym_BSLASHnameCref] = ACTIONS(7103),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7103),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7103),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7103),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7103),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7103),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7103),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7103),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7103),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7103),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7103),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7103),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7103),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7103),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7103),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7103),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7103),
    [anon_sym_BSLASHdef] = ACTIONS(7103),
    [anon_sym_BSLASHgdef] = ACTIONS(7103),
    [anon_sym_BSLASHedef] = ACTIONS(7103),
    [anon_sym_BSLASHxdef] = ACTIONS(7103),
    [anon_sym_BSLASHlet] = ACTIONS(7103),
    [anon_sym_BSLASHglet] = ACTIONS(7103),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7103),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7103),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7103),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7103),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7103),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7103),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7103),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7103),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7103),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7103),
    [anon_sym_BSLASHgls] = ACTIONS(7103),
    [anon_sym_BSLASHGls] = ACTIONS(7103),
    [anon_sym_BSLASHGLS] = ACTIONS(7103),
    [anon_sym_BSLASHglspl] = ACTIONS(7103),
    [anon_sym_BSLASHGlspl] = ACTIONS(7103),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7103),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7103),
    [anon_sym_BSLASHglslink] = ACTIONS(7103),
    [anon_sym_BSLASHglstext] = ACTIONS(7103),
    [anon_sym_BSLASHGlstext] = ACTIONS(7103),
    [anon_sym_BSLASHGLStext] = ACTIONS(7103),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7103),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7103),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7103),
    [anon_sym_BSLASHglsplural] = ACTIONS(7103),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7103),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7103),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7103),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7103),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7103),
    [anon_sym_BSLASHglsname] = ACTIONS(7103),
    [anon_sym_BSLASHGlsname] = ACTIONS(7103),
    [anon_sym_BSLASHGLSname] = ACTIONS(7103),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7103),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7103),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7103),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7103),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7103),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7103),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7103),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7103),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7103),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7103),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7103),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7103),
    [anon_sym_BSLASHacrshort] = ACTIONS(7103),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7103),
    [anon_sym_BSLASHACRshort] = ACTIONS(7103),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHacrlong] = ACTIONS(7103),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7103),
    [anon_sym_BSLASHACRlong] = ACTIONS(7103),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7103),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7103),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7103),
    [anon_sym_BSLASHacrfull] = ACTIONS(7103),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7103),
    [anon_sym_BSLASHACRfull] = ACTIONS(7103),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHacs] = ACTIONS(7103),
    [anon_sym_BSLASHAcs] = ACTIONS(7103),
    [anon_sym_BSLASHacsp] = ACTIONS(7103),
    [anon_sym_BSLASHAcsp] = ACTIONS(7103),
    [anon_sym_BSLASHacl] = ACTIONS(7103),
    [anon_sym_BSLASHAcl] = ACTIONS(7103),
    [anon_sym_BSLASHaclp] = ACTIONS(7103),
    [anon_sym_BSLASHAclp] = ACTIONS(7103),
    [anon_sym_BSLASHacf] = ACTIONS(7103),
    [anon_sym_BSLASHAcf] = ACTIONS(7103),
    [anon_sym_BSLASHacfp] = ACTIONS(7103),
    [anon_sym_BSLASHAcfp] = ACTIONS(7103),
    [anon_sym_BSLASHac] = ACTIONS(7103),
    [anon_sym_BSLASHAc] = ACTIONS(7103),
    [anon_sym_BSLASHacp] = ACTIONS(7103),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7103),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7103),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7103),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7103),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7103),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7103),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7103),
    [anon_sym_BSLASHcolor] = ACTIONS(7103),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7103),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7103),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7103),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7103),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7103),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7103),
    [anon_sym_BSLASHurl] = ACTIONS(7103),
    [anon_sym_BSLASHhref] = ACTIONS(7103),
  },
  [1638] = {
    [sym_command_name] = ACTIONS(7107),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7107),
    [anon_sym_LBRACK] = ACTIONS(7109),
    [anon_sym_RBRACK] = ACTIONS(7109),
    [anon_sym_COMMA] = ACTIONS(7109),
    [anon_sym_EQ] = ACTIONS(7109),
    [anon_sym_LPAREN] = ACTIONS(7109),
    [anon_sym_RPAREN] = ACTIONS(7109),
    [anon_sym_BSLASHpart] = ACTIONS(7107),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHaddpart] = ACTIONS(7107),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHchapter] = ACTIONS(7107),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHaddchap] = ACTIONS(7107),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHsection] = ACTIONS(7107),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHaddsec] = ACTIONS(7107),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHsubsection] = ACTIONS(7107),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7107),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHparagraph] = ACTIONS(7107),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7107),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHitem] = ACTIONS(7107),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7109),
    [anon_sym_LBRACE] = ACTIONS(7109),
    [sym_word] = ACTIONS(7107),
    [sym_placeholder] = ACTIONS(7109),
    [sym_delimiter] = ACTIONS(7109),
    [anon_sym_PLUS] = ACTIONS(7109),
    [anon_sym_DASH] = ACTIONS(7109),
    [anon_sym_STAR] = ACTIONS(7109),
    [anon_sym_SLASH] = ACTIONS(7109),
    [anon_sym_LT] = ACTIONS(7107),
    [anon_sym_GT] = ACTIONS(7107),
    [anon_sym_BANG] = ACTIONS(7107),
    [anon_sym_PIPE] = ACTIONS(7107),
    [anon_sym_COLON] = ACTIONS(7107),
    [anon_sym_SQUOTE] = ACTIONS(7107),
    [anon_sym__] = ACTIONS(7109),
    [anon_sym_CARET] = ACTIONS(7109),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7109),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7109),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7109),
    [anon_sym_DOLLAR] = ACTIONS(7107),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7109),
    [anon_sym_BSLASHleft] = ACTIONS(7107),
    [anon_sym_BSLASHbigl] = ACTIONS(7107),
    [anon_sym_BSLASHBigl] = ACTIONS(7107),
    [anon_sym_BSLASHbiggl] = ACTIONS(7107),
    [anon_sym_BSLASHBiggl] = ACTIONS(7107),
    [anon_sym_BSLASHtext] = ACTIONS(7107),
    [anon_sym_BSLASHintertext] = ACTIONS(7107),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7107),
    [anon_sym_BSLASHbegin] = ACTIONS(7107),
    [anon_sym_BSLASHtitle] = ACTIONS(7107),
    [anon_sym_BSLASHauthor] = ACTIONS(7107),
    [anon_sym_BSLASHusepackage] = ACTIONS(7107),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7107),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7107),
    [anon_sym_BSLASHinclude] = ACTIONS(7107),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7107),
    [anon_sym_BSLASHinput] = ACTIONS(7107),
    [anon_sym_BSLASHsubfile] = ACTIONS(7107),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7107),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7107),
    [anon_sym_BSLASHbibliography] = ACTIONS(7107),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7107),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7107),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7107),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7107),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7107),
    [anon_sym_BSLASHimport] = ACTIONS(7107),
    [anon_sym_BSLASHsubimport] = ACTIONS(7107),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7107),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7107),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7107),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7107),
    [anon_sym_BSLASHcaption] = ACTIONS(7107),
    [anon_sym_BSLASHcite] = ACTIONS(7107),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHCite] = ACTIONS(7107),
    [anon_sym_BSLASHnocite] = ACTIONS(7107),
    [anon_sym_BSLASHcitet] = ACTIONS(7107),
    [anon_sym_BSLASHcitep] = ACTIONS(7107),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHciteA] = ACTIONS(7107),
    [anon_sym_BSLASHciteR] = ACTIONS(7107),
    [anon_sym_BSLASHciteS] = ACTIONS(7107),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7107),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7107),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7107),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7107),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHciteyear] = ACTIONS(7107),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcitedate] = ACTIONS(7107),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHciteurl] = ACTIONS(7107),
    [anon_sym_BSLASHfullcite] = ACTIONS(7107),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7107),
    [anon_sym_BSLASHcitealt] = ACTIONS(7107),
    [anon_sym_BSLASHcitealp] = ACTIONS(7107),
    [anon_sym_BSLASHcitetext] = ACTIONS(7107),
    [anon_sym_BSLASHparencite] = ACTIONS(7107),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHParencite] = ACTIONS(7107),
    [anon_sym_BSLASHfootcite] = ACTIONS(7107),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7107),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7107),
    [anon_sym_BSLASHtextcite] = ACTIONS(7107),
    [anon_sym_BSLASHTextcite] = ACTIONS(7107),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7107),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7107),
    [anon_sym_BSLASHsupercite] = ACTIONS(7107),
    [anon_sym_BSLASHautocite] = ACTIONS(7107),
    [anon_sym_BSLASHAutocite] = ACTIONS(7107),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHVolcite] = ACTIONS(7107),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHavolcite] = ACTIONS(7107),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHnotecite] = ACTIONS(7107),
    [anon_sym_BSLASHNotecite] = ACTIONS(7107),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7107),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7107),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7107),
    [anon_sym_BSLASHlabel] = ACTIONS(7107),
    [anon_sym_BSLASHref] = ACTIONS(7107),
    [anon_sym_BSLASHeqref] = ACTIONS(7107),
    [anon_sym_BSLASHvref] = ACTIONS(7107),
    [anon_sym_BSLASHVref] = ACTIONS(7107),
    [anon_sym_BSLASHautoref] = ACTIONS(7107),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHpageref] = ACTIONS(7107),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHautopageref] = ACTIONS(7107),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcref] = ACTIONS(7107),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHCref] = ACTIONS(7107),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcpageref] = ACTIONS(7107),
    [anon_sym_BSLASHCpageref] = ACTIONS(7107),
    [anon_sym_BSLASHnamecref] = ACTIONS(7107),
    [anon_sym_BSLASHnameCref] = ACTIONS(7107),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7107),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7107),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7107),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7107),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7107),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7107),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7107),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7107),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7107),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7107),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7107),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7107),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7107),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7107),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7107),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7107),
    [anon_sym_BSLASHdef] = ACTIONS(7107),
    [anon_sym_BSLASHgdef] = ACTIONS(7107),
    [anon_sym_BSLASHedef] = ACTIONS(7107),
    [anon_sym_BSLASHxdef] = ACTIONS(7107),
    [anon_sym_BSLASHlet] = ACTIONS(7107),
    [anon_sym_BSLASHglet] = ACTIONS(7107),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7107),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7107),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7107),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7107),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7107),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7107),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7107),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7107),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7107),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7107),
    [anon_sym_BSLASHgls] = ACTIONS(7107),
    [anon_sym_BSLASHGls] = ACTIONS(7107),
    [anon_sym_BSLASHGLS] = ACTIONS(7107),
    [anon_sym_BSLASHglspl] = ACTIONS(7107),
    [anon_sym_BSLASHGlspl] = ACTIONS(7107),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7107),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7107),
    [anon_sym_BSLASHglslink] = ACTIONS(7107),
    [anon_sym_BSLASHglstext] = ACTIONS(7107),
    [anon_sym_BSLASHGlstext] = ACTIONS(7107),
    [anon_sym_BSLASHGLStext] = ACTIONS(7107),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7107),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7107),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7107),
    [anon_sym_BSLASHglsplural] = ACTIONS(7107),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7107),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7107),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7107),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7107),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7107),
    [anon_sym_BSLASHglsname] = ACTIONS(7107),
    [anon_sym_BSLASHGlsname] = ACTIONS(7107),
    [anon_sym_BSLASHGLSname] = ACTIONS(7107),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7107),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7107),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7107),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7107),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7107),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7107),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7107),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7107),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7107),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7107),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7107),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7107),
    [anon_sym_BSLASHacrshort] = ACTIONS(7107),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7107),
    [anon_sym_BSLASHACRshort] = ACTIONS(7107),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHacrlong] = ACTIONS(7107),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7107),
    [anon_sym_BSLASHACRlong] = ACTIONS(7107),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7107),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7107),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7107),
    [anon_sym_BSLASHacrfull] = ACTIONS(7107),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7107),
    [anon_sym_BSLASHACRfull] = ACTIONS(7107),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHacs] = ACTIONS(7107),
    [anon_sym_BSLASHAcs] = ACTIONS(7107),
    [anon_sym_BSLASHacsp] = ACTIONS(7107),
    [anon_sym_BSLASHAcsp] = ACTIONS(7107),
    [anon_sym_BSLASHacl] = ACTIONS(7107),
    [anon_sym_BSLASHAcl] = ACTIONS(7107),
    [anon_sym_BSLASHaclp] = ACTIONS(7107),
    [anon_sym_BSLASHAclp] = ACTIONS(7107),
    [anon_sym_BSLASHacf] = ACTIONS(7107),
    [anon_sym_BSLASHAcf] = ACTIONS(7107),
    [anon_sym_BSLASHacfp] = ACTIONS(7107),
    [anon_sym_BSLASHAcfp] = ACTIONS(7107),
    [anon_sym_BSLASHac] = ACTIONS(7107),
    [anon_sym_BSLASHAc] = ACTIONS(7107),
    [anon_sym_BSLASHacp] = ACTIONS(7107),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7107),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7107),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7107),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7107),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7107),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7107),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7107),
    [anon_sym_BSLASHcolor] = ACTIONS(7107),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7107),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7107),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7107),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7107),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7107),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7107),
    [anon_sym_BSLASHurl] = ACTIONS(7107),
    [anon_sym_BSLASHhref] = ACTIONS(7107),
  },
  [1639] = {
    [sym_command_name] = ACTIONS(7111),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7111),
    [anon_sym_LBRACK] = ACTIONS(7113),
    [anon_sym_RBRACK] = ACTIONS(7113),
    [anon_sym_COMMA] = ACTIONS(7113),
    [anon_sym_EQ] = ACTIONS(7113),
    [anon_sym_LPAREN] = ACTIONS(7113),
    [anon_sym_RPAREN] = ACTIONS(7113),
    [anon_sym_BSLASHpart] = ACTIONS(7111),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHaddpart] = ACTIONS(7111),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHchapter] = ACTIONS(7111),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHaddchap] = ACTIONS(7111),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHsection] = ACTIONS(7111),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHaddsec] = ACTIONS(7111),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHsubsection] = ACTIONS(7111),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7111),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHparagraph] = ACTIONS(7111),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7111),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHitem] = ACTIONS(7111),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7113),
    [anon_sym_LBRACE] = ACTIONS(7113),
    [sym_word] = ACTIONS(7111),
    [sym_placeholder] = ACTIONS(7113),
    [sym_delimiter] = ACTIONS(7113),
    [anon_sym_PLUS] = ACTIONS(7113),
    [anon_sym_DASH] = ACTIONS(7113),
    [anon_sym_STAR] = ACTIONS(7113),
    [anon_sym_SLASH] = ACTIONS(7113),
    [anon_sym_LT] = ACTIONS(7111),
    [anon_sym_GT] = ACTIONS(7111),
    [anon_sym_BANG] = ACTIONS(7111),
    [anon_sym_PIPE] = ACTIONS(7111),
    [anon_sym_COLON] = ACTIONS(7111),
    [anon_sym_SQUOTE] = ACTIONS(7111),
    [anon_sym__] = ACTIONS(7113),
    [anon_sym_CARET] = ACTIONS(7113),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7113),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7113),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7113),
    [anon_sym_DOLLAR] = ACTIONS(7111),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7113),
    [anon_sym_BSLASHleft] = ACTIONS(7111),
    [anon_sym_BSLASHbigl] = ACTIONS(7111),
    [anon_sym_BSLASHBigl] = ACTIONS(7111),
    [anon_sym_BSLASHbiggl] = ACTIONS(7111),
    [anon_sym_BSLASHBiggl] = ACTIONS(7111),
    [anon_sym_BSLASHtext] = ACTIONS(7111),
    [anon_sym_BSLASHintertext] = ACTIONS(7111),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7111),
    [anon_sym_BSLASHbegin] = ACTIONS(7111),
    [anon_sym_BSLASHtitle] = ACTIONS(7111),
    [anon_sym_BSLASHauthor] = ACTIONS(7111),
    [anon_sym_BSLASHusepackage] = ACTIONS(7111),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7111),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7111),
    [anon_sym_BSLASHinclude] = ACTIONS(7111),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7111),
    [anon_sym_BSLASHinput] = ACTIONS(7111),
    [anon_sym_BSLASHsubfile] = ACTIONS(7111),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7111),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7111),
    [anon_sym_BSLASHbibliography] = ACTIONS(7111),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7111),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7111),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7111),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7111),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7111),
    [anon_sym_BSLASHimport] = ACTIONS(7111),
    [anon_sym_BSLASHsubimport] = ACTIONS(7111),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7111),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7111),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7111),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7111),
    [anon_sym_BSLASHcaption] = ACTIONS(7111),
    [anon_sym_BSLASHcite] = ACTIONS(7111),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHCite] = ACTIONS(7111),
    [anon_sym_BSLASHnocite] = ACTIONS(7111),
    [anon_sym_BSLASHcitet] = ACTIONS(7111),
    [anon_sym_BSLASHcitep] = ACTIONS(7111),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHciteA] = ACTIONS(7111),
    [anon_sym_BSLASHciteR] = ACTIONS(7111),
    [anon_sym_BSLASHciteS] = ACTIONS(7111),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7111),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7111),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7111),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7111),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHciteyear] = ACTIONS(7111),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcitedate] = ACTIONS(7111),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHciteurl] = ACTIONS(7111),
    [anon_sym_BSLASHfullcite] = ACTIONS(7111),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7111),
    [anon_sym_BSLASHcitealt] = ACTIONS(7111),
    [anon_sym_BSLASHcitealp] = ACTIONS(7111),
    [anon_sym_BSLASHcitetext] = ACTIONS(7111),
    [anon_sym_BSLASHparencite] = ACTIONS(7111),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHParencite] = ACTIONS(7111),
    [anon_sym_BSLASHfootcite] = ACTIONS(7111),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7111),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7111),
    [anon_sym_BSLASHtextcite] = ACTIONS(7111),
    [anon_sym_BSLASHTextcite] = ACTIONS(7111),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7111),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7111),
    [anon_sym_BSLASHsupercite] = ACTIONS(7111),
    [anon_sym_BSLASHautocite] = ACTIONS(7111),
    [anon_sym_BSLASHAutocite] = ACTIONS(7111),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHVolcite] = ACTIONS(7111),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHavolcite] = ACTIONS(7111),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHnotecite] = ACTIONS(7111),
    [anon_sym_BSLASHNotecite] = ACTIONS(7111),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7111),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7111),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7111),
    [anon_sym_BSLASHlabel] = ACTIONS(7111),
    [anon_sym_BSLASHref] = ACTIONS(7111),
    [anon_sym_BSLASHeqref] = ACTIONS(7111),
    [anon_sym_BSLASHvref] = ACTIONS(7111),
    [anon_sym_BSLASHVref] = ACTIONS(7111),
    [anon_sym_BSLASHautoref] = ACTIONS(7111),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHpageref] = ACTIONS(7111),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHautopageref] = ACTIONS(7111),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcref] = ACTIONS(7111),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHCref] = ACTIONS(7111),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcpageref] = ACTIONS(7111),
    [anon_sym_BSLASHCpageref] = ACTIONS(7111),
    [anon_sym_BSLASHnamecref] = ACTIONS(7111),
    [anon_sym_BSLASHnameCref] = ACTIONS(7111),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7111),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7111),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7111),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7111),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7111),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7111),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7111),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7111),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7111),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7111),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7111),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7111),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7111),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7111),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7111),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7111),
    [anon_sym_BSLASHdef] = ACTIONS(7111),
    [anon_sym_BSLASHgdef] = ACTIONS(7111),
    [anon_sym_BSLASHedef] = ACTIONS(7111),
    [anon_sym_BSLASHxdef] = ACTIONS(7111),
    [anon_sym_BSLASHlet] = ACTIONS(7111),
    [anon_sym_BSLASHglet] = ACTIONS(7111),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7111),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7111),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7111),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7111),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7111),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7111),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7111),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7111),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7111),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7111),
    [anon_sym_BSLASHgls] = ACTIONS(7111),
    [anon_sym_BSLASHGls] = ACTIONS(7111),
    [anon_sym_BSLASHGLS] = ACTIONS(7111),
    [anon_sym_BSLASHglspl] = ACTIONS(7111),
    [anon_sym_BSLASHGlspl] = ACTIONS(7111),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7111),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7111),
    [anon_sym_BSLASHglslink] = ACTIONS(7111),
    [anon_sym_BSLASHglstext] = ACTIONS(7111),
    [anon_sym_BSLASHGlstext] = ACTIONS(7111),
    [anon_sym_BSLASHGLStext] = ACTIONS(7111),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7111),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7111),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7111),
    [anon_sym_BSLASHglsplural] = ACTIONS(7111),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7111),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7111),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7111),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7111),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7111),
    [anon_sym_BSLASHglsname] = ACTIONS(7111),
    [anon_sym_BSLASHGlsname] = ACTIONS(7111),
    [anon_sym_BSLASHGLSname] = ACTIONS(7111),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7111),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7111),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7111),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7111),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7111),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7111),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7111),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7111),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7111),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7111),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7111),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7111),
    [anon_sym_BSLASHacrshort] = ACTIONS(7111),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7111),
    [anon_sym_BSLASHACRshort] = ACTIONS(7111),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHacrlong] = ACTIONS(7111),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7111),
    [anon_sym_BSLASHACRlong] = ACTIONS(7111),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7111),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7111),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7111),
    [anon_sym_BSLASHacrfull] = ACTIONS(7111),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7111),
    [anon_sym_BSLASHACRfull] = ACTIONS(7111),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHacs] = ACTIONS(7111),
    [anon_sym_BSLASHAcs] = ACTIONS(7111),
    [anon_sym_BSLASHacsp] = ACTIONS(7111),
    [anon_sym_BSLASHAcsp] = ACTIONS(7111),
    [anon_sym_BSLASHacl] = ACTIONS(7111),
    [anon_sym_BSLASHAcl] = ACTIONS(7111),
    [anon_sym_BSLASHaclp] = ACTIONS(7111),
    [anon_sym_BSLASHAclp] = ACTIONS(7111),
    [anon_sym_BSLASHacf] = ACTIONS(7111),
    [anon_sym_BSLASHAcf] = ACTIONS(7111),
    [anon_sym_BSLASHacfp] = ACTIONS(7111),
    [anon_sym_BSLASHAcfp] = ACTIONS(7111),
    [anon_sym_BSLASHac] = ACTIONS(7111),
    [anon_sym_BSLASHAc] = ACTIONS(7111),
    [anon_sym_BSLASHacp] = ACTIONS(7111),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7111),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7111),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7111),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7111),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7111),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7111),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7111),
    [anon_sym_BSLASHcolor] = ACTIONS(7111),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7111),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7111),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7111),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7111),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7111),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7111),
    [anon_sym_BSLASHurl] = ACTIONS(7111),
    [anon_sym_BSLASHhref] = ACTIONS(7111),
  },
  [1640] = {
    [sym_command_name] = ACTIONS(7115),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7115),
    [anon_sym_LBRACK] = ACTIONS(7117),
    [anon_sym_RBRACK] = ACTIONS(7117),
    [anon_sym_COMMA] = ACTIONS(7117),
    [anon_sym_EQ] = ACTIONS(7117),
    [anon_sym_LPAREN] = ACTIONS(7117),
    [anon_sym_RPAREN] = ACTIONS(7117),
    [anon_sym_BSLASHpart] = ACTIONS(7115),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHaddpart] = ACTIONS(7115),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHchapter] = ACTIONS(7115),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHaddchap] = ACTIONS(7115),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHsection] = ACTIONS(7115),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHaddsec] = ACTIONS(7115),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHsubsection] = ACTIONS(7115),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7115),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHparagraph] = ACTIONS(7115),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7115),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHitem] = ACTIONS(7115),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7117),
    [anon_sym_LBRACE] = ACTIONS(7117),
    [sym_word] = ACTIONS(7115),
    [sym_placeholder] = ACTIONS(7117),
    [sym_delimiter] = ACTIONS(7117),
    [anon_sym_PLUS] = ACTIONS(7117),
    [anon_sym_DASH] = ACTIONS(7117),
    [anon_sym_STAR] = ACTIONS(7117),
    [anon_sym_SLASH] = ACTIONS(7117),
    [anon_sym_LT] = ACTIONS(7115),
    [anon_sym_GT] = ACTIONS(7115),
    [anon_sym_BANG] = ACTIONS(7115),
    [anon_sym_PIPE] = ACTIONS(7115),
    [anon_sym_COLON] = ACTIONS(7115),
    [anon_sym_SQUOTE] = ACTIONS(7115),
    [anon_sym__] = ACTIONS(7117),
    [anon_sym_CARET] = ACTIONS(7117),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7117),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7117),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7117),
    [anon_sym_DOLLAR] = ACTIONS(7115),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7117),
    [anon_sym_BSLASHleft] = ACTIONS(7115),
    [anon_sym_BSLASHbigl] = ACTIONS(7115),
    [anon_sym_BSLASHBigl] = ACTIONS(7115),
    [anon_sym_BSLASHbiggl] = ACTIONS(7115),
    [anon_sym_BSLASHBiggl] = ACTIONS(7115),
    [anon_sym_BSLASHtext] = ACTIONS(7115),
    [anon_sym_BSLASHintertext] = ACTIONS(7115),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7115),
    [anon_sym_BSLASHbegin] = ACTIONS(7115),
    [anon_sym_BSLASHtitle] = ACTIONS(7115),
    [anon_sym_BSLASHauthor] = ACTIONS(7115),
    [anon_sym_BSLASHusepackage] = ACTIONS(7115),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7115),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7115),
    [anon_sym_BSLASHinclude] = ACTIONS(7115),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7115),
    [anon_sym_BSLASHinput] = ACTIONS(7115),
    [anon_sym_BSLASHsubfile] = ACTIONS(7115),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7115),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7115),
    [anon_sym_BSLASHbibliography] = ACTIONS(7115),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7115),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7115),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7115),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7115),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7115),
    [anon_sym_BSLASHimport] = ACTIONS(7115),
    [anon_sym_BSLASHsubimport] = ACTIONS(7115),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7115),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7115),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7115),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7115),
    [anon_sym_BSLASHcaption] = ACTIONS(7115),
    [anon_sym_BSLASHcite] = ACTIONS(7115),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHCite] = ACTIONS(7115),
    [anon_sym_BSLASHnocite] = ACTIONS(7115),
    [anon_sym_BSLASHcitet] = ACTIONS(7115),
    [anon_sym_BSLASHcitep] = ACTIONS(7115),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHciteA] = ACTIONS(7115),
    [anon_sym_BSLASHciteR] = ACTIONS(7115),
    [anon_sym_BSLASHciteS] = ACTIONS(7115),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7115),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7115),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7115),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7115),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHciteyear] = ACTIONS(7115),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcitedate] = ACTIONS(7115),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHciteurl] = ACTIONS(7115),
    [anon_sym_BSLASHfullcite] = ACTIONS(7115),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7115),
    [anon_sym_BSLASHcitealt] = ACTIONS(7115),
    [anon_sym_BSLASHcitealp] = ACTIONS(7115),
    [anon_sym_BSLASHcitetext] = ACTIONS(7115),
    [anon_sym_BSLASHparencite] = ACTIONS(7115),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHParencite] = ACTIONS(7115),
    [anon_sym_BSLASHfootcite] = ACTIONS(7115),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7115),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7115),
    [anon_sym_BSLASHtextcite] = ACTIONS(7115),
    [anon_sym_BSLASHTextcite] = ACTIONS(7115),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7115),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7115),
    [anon_sym_BSLASHsupercite] = ACTIONS(7115),
    [anon_sym_BSLASHautocite] = ACTIONS(7115),
    [anon_sym_BSLASHAutocite] = ACTIONS(7115),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHVolcite] = ACTIONS(7115),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHavolcite] = ACTIONS(7115),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHnotecite] = ACTIONS(7115),
    [anon_sym_BSLASHNotecite] = ACTIONS(7115),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7115),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7115),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7115),
    [anon_sym_BSLASHlabel] = ACTIONS(7115),
    [anon_sym_BSLASHref] = ACTIONS(7115),
    [anon_sym_BSLASHeqref] = ACTIONS(7115),
    [anon_sym_BSLASHvref] = ACTIONS(7115),
    [anon_sym_BSLASHVref] = ACTIONS(7115),
    [anon_sym_BSLASHautoref] = ACTIONS(7115),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHpageref] = ACTIONS(7115),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHautopageref] = ACTIONS(7115),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcref] = ACTIONS(7115),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHCref] = ACTIONS(7115),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcpageref] = ACTIONS(7115),
    [anon_sym_BSLASHCpageref] = ACTIONS(7115),
    [anon_sym_BSLASHnamecref] = ACTIONS(7115),
    [anon_sym_BSLASHnameCref] = ACTIONS(7115),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7115),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7115),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7115),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7115),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7115),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7115),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7115),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7115),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7115),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7115),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7115),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7115),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7115),
    [anon_sym_BSLASHdef] = ACTIONS(7115),
    [anon_sym_BSLASHgdef] = ACTIONS(7115),
    [anon_sym_BSLASHedef] = ACTIONS(7115),
    [anon_sym_BSLASHxdef] = ACTIONS(7115),
    [anon_sym_BSLASHlet] = ACTIONS(7115),
    [anon_sym_BSLASHglet] = ACTIONS(7115),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7115),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7115),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7115),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7115),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7115),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7115),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7115),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7115),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7115),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7115),
    [anon_sym_BSLASHgls] = ACTIONS(7115),
    [anon_sym_BSLASHGls] = ACTIONS(7115),
    [anon_sym_BSLASHGLS] = ACTIONS(7115),
    [anon_sym_BSLASHglspl] = ACTIONS(7115),
    [anon_sym_BSLASHGlspl] = ACTIONS(7115),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7115),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7115),
    [anon_sym_BSLASHglslink] = ACTIONS(7115),
    [anon_sym_BSLASHglstext] = ACTIONS(7115),
    [anon_sym_BSLASHGlstext] = ACTIONS(7115),
    [anon_sym_BSLASHGLStext] = ACTIONS(7115),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7115),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7115),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7115),
    [anon_sym_BSLASHglsplural] = ACTIONS(7115),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7115),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7115),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7115),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7115),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7115),
    [anon_sym_BSLASHglsname] = ACTIONS(7115),
    [anon_sym_BSLASHGlsname] = ACTIONS(7115),
    [anon_sym_BSLASHGLSname] = ACTIONS(7115),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7115),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7115),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7115),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7115),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7115),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7115),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7115),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7115),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7115),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7115),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7115),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7115),
    [anon_sym_BSLASHacrshort] = ACTIONS(7115),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7115),
    [anon_sym_BSLASHACRshort] = ACTIONS(7115),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHacrlong] = ACTIONS(7115),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7115),
    [anon_sym_BSLASHACRlong] = ACTIONS(7115),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7115),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7115),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7115),
    [anon_sym_BSLASHacrfull] = ACTIONS(7115),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7115),
    [anon_sym_BSLASHACRfull] = ACTIONS(7115),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHacs] = ACTIONS(7115),
    [anon_sym_BSLASHAcs] = ACTIONS(7115),
    [anon_sym_BSLASHacsp] = ACTIONS(7115),
    [anon_sym_BSLASHAcsp] = ACTIONS(7115),
    [anon_sym_BSLASHacl] = ACTIONS(7115),
    [anon_sym_BSLASHAcl] = ACTIONS(7115),
    [anon_sym_BSLASHaclp] = ACTIONS(7115),
    [anon_sym_BSLASHAclp] = ACTIONS(7115),
    [anon_sym_BSLASHacf] = ACTIONS(7115),
    [anon_sym_BSLASHAcf] = ACTIONS(7115),
    [anon_sym_BSLASHacfp] = ACTIONS(7115),
    [anon_sym_BSLASHAcfp] = ACTIONS(7115),
    [anon_sym_BSLASHac] = ACTIONS(7115),
    [anon_sym_BSLASHAc] = ACTIONS(7115),
    [anon_sym_BSLASHacp] = ACTIONS(7115),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7115),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7115),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7115),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7115),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7115),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7115),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7115),
    [anon_sym_BSLASHcolor] = ACTIONS(7115),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7115),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7115),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7115),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7115),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7115),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7115),
    [anon_sym_BSLASHurl] = ACTIONS(7115),
    [anon_sym_BSLASHhref] = ACTIONS(7115),
  },
  [1641] = {
    [sym_command_name] = ACTIONS(7119),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7119),
    [anon_sym_LBRACK] = ACTIONS(7121),
    [anon_sym_RBRACK] = ACTIONS(7121),
    [anon_sym_COMMA] = ACTIONS(7121),
    [anon_sym_EQ] = ACTIONS(7121),
    [anon_sym_LPAREN] = ACTIONS(7121),
    [anon_sym_RPAREN] = ACTIONS(7121),
    [anon_sym_BSLASHpart] = ACTIONS(7119),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHaddpart] = ACTIONS(7119),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHchapter] = ACTIONS(7119),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHaddchap] = ACTIONS(7119),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHsection] = ACTIONS(7119),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHaddsec] = ACTIONS(7119),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHsubsection] = ACTIONS(7119),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7119),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHparagraph] = ACTIONS(7119),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7119),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHitem] = ACTIONS(7119),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7121),
    [anon_sym_LBRACE] = ACTIONS(7121),
    [sym_word] = ACTIONS(7119),
    [sym_placeholder] = ACTIONS(7121),
    [sym_delimiter] = ACTIONS(7121),
    [anon_sym_PLUS] = ACTIONS(7121),
    [anon_sym_DASH] = ACTIONS(7121),
    [anon_sym_STAR] = ACTIONS(7121),
    [anon_sym_SLASH] = ACTIONS(7121),
    [anon_sym_LT] = ACTIONS(7119),
    [anon_sym_GT] = ACTIONS(7119),
    [anon_sym_BANG] = ACTIONS(7119),
    [anon_sym_PIPE] = ACTIONS(7119),
    [anon_sym_COLON] = ACTIONS(7119),
    [anon_sym_SQUOTE] = ACTIONS(7119),
    [anon_sym__] = ACTIONS(7121),
    [anon_sym_CARET] = ACTIONS(7121),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7121),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7121),
    [anon_sym_BSLASH_RBRACK] = ACTIONS(7121),
    [anon_sym_DOLLAR] = ACTIONS(7119),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7121),
    [anon_sym_BSLASHleft] = ACTIONS(7119),
    [anon_sym_BSLASHbigl] = ACTIONS(7119),
    [anon_sym_BSLASHBigl] = ACTIONS(7119),
    [anon_sym_BSLASHbiggl] = ACTIONS(7119),
    [anon_sym_BSLASHBiggl] = ACTIONS(7119),
    [anon_sym_BSLASHtext] = ACTIONS(7119),
    [anon_sym_BSLASHintertext] = ACTIONS(7119),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7119),
    [anon_sym_BSLASHbegin] = ACTIONS(7119),
    [anon_sym_BSLASHtitle] = ACTIONS(7119),
    [anon_sym_BSLASHauthor] = ACTIONS(7119),
    [anon_sym_BSLASHusepackage] = ACTIONS(7119),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7119),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7119),
    [anon_sym_BSLASHinclude] = ACTIONS(7119),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7119),
    [anon_sym_BSLASHinput] = ACTIONS(7119),
    [anon_sym_BSLASHsubfile] = ACTIONS(7119),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7119),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7119),
    [anon_sym_BSLASHbibliography] = ACTIONS(7119),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7119),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7119),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7119),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7119),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7119),
    [anon_sym_BSLASHimport] = ACTIONS(7119),
    [anon_sym_BSLASHsubimport] = ACTIONS(7119),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7119),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7119),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7119),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7119),
    [anon_sym_BSLASHcaption] = ACTIONS(7119),
    [anon_sym_BSLASHcite] = ACTIONS(7119),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHCite] = ACTIONS(7119),
    [anon_sym_BSLASHnocite] = ACTIONS(7119),
    [anon_sym_BSLASHcitet] = ACTIONS(7119),
    [anon_sym_BSLASHcitep] = ACTIONS(7119),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHciteA] = ACTIONS(7119),
    [anon_sym_BSLASHciteR] = ACTIONS(7119),
    [anon_sym_BSLASHciteS] = ACTIONS(7119),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7119),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7119),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7119),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7119),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHciteyear] = ACTIONS(7119),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcitedate] = ACTIONS(7119),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHciteurl] = ACTIONS(7119),
    [anon_sym_BSLASHfullcite] = ACTIONS(7119),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7119),
    [anon_sym_BSLASHcitealt] = ACTIONS(7119),
    [anon_sym_BSLASHcitealp] = ACTIONS(7119),
    [anon_sym_BSLASHcitetext] = ACTIONS(7119),
    [anon_sym_BSLASHparencite] = ACTIONS(7119),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHParencite] = ACTIONS(7119),
    [anon_sym_BSLASHfootcite] = ACTIONS(7119),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7119),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7119),
    [anon_sym_BSLASHtextcite] = ACTIONS(7119),
    [anon_sym_BSLASHTextcite] = ACTIONS(7119),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7119),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7119),
    [anon_sym_BSLASHsupercite] = ACTIONS(7119),
    [anon_sym_BSLASHautocite] = ACTIONS(7119),
    [anon_sym_BSLASHAutocite] = ACTIONS(7119),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHVolcite] = ACTIONS(7119),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHavolcite] = ACTIONS(7119),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHnotecite] = ACTIONS(7119),
    [anon_sym_BSLASHNotecite] = ACTIONS(7119),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7119),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7119),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7119),
    [anon_sym_BSLASHlabel] = ACTIONS(7119),
    [anon_sym_BSLASHref] = ACTIONS(7119),
    [anon_sym_BSLASHeqref] = ACTIONS(7119),
    [anon_sym_BSLASHvref] = ACTIONS(7119),
    [anon_sym_BSLASHVref] = ACTIONS(7119),
    [anon_sym_BSLASHautoref] = ACTIONS(7119),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHpageref] = ACTIONS(7119),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHautopageref] = ACTIONS(7119),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcref] = ACTIONS(7119),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHCref] = ACTIONS(7119),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcpageref] = ACTIONS(7119),
    [anon_sym_BSLASHCpageref] = ACTIONS(7119),
    [anon_sym_BSLASHnamecref] = ACTIONS(7119),
    [anon_sym_BSLASHnameCref] = ACTIONS(7119),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7119),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7119),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7119),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7119),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7119),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7119),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7119),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7119),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7119),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7119),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7119),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7119),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7119),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7119),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7119),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7119),
    [anon_sym_BSLASHdef] = ACTIONS(7119),
    [anon_sym_BSLASHgdef] = ACTIONS(7119),
    [anon_sym_BSLASHedef] = ACTIONS(7119),
    [anon_sym_BSLASHxdef] = ACTIONS(7119),
    [anon_sym_BSLASHlet] = ACTIONS(7119),
    [anon_sym_BSLASHglet] = ACTIONS(7119),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7119),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7119),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7119),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7119),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7119),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7119),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7119),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7119),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7119),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7119),
    [anon_sym_BSLASHgls] = ACTIONS(7119),
    [anon_sym_BSLASHGls] = ACTIONS(7119),
    [anon_sym_BSLASHGLS] = ACTIONS(7119),
    [anon_sym_BSLASHglspl] = ACTIONS(7119),
    [anon_sym_BSLASHGlspl] = ACTIONS(7119),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7119),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7119),
    [anon_sym_BSLASHglslink] = ACTIONS(7119),
    [anon_sym_BSLASHglstext] = ACTIONS(7119),
    [anon_sym_BSLASHGlstext] = ACTIONS(7119),
    [anon_sym_BSLASHGLStext] = ACTIONS(7119),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7119),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7119),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7119),
    [anon_sym_BSLASHglsplural] = ACTIONS(7119),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7119),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7119),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7119),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7119),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7119),
    [anon_sym_BSLASHglsname] = ACTIONS(7119),
    [anon_sym_BSLASHGlsname] = ACTIONS(7119),
    [anon_sym_BSLASHGLSname] = ACTIONS(7119),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7119),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7119),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7119),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7119),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7119),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7119),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7119),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7119),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7119),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7119),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7119),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7119),
    [anon_sym_BSLASHacrshort] = ACTIONS(7119),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7119),
    [anon_sym_BSLASHACRshort] = ACTIONS(7119),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHacrlong] = ACTIONS(7119),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7119),
    [anon_sym_BSLASHACRlong] = ACTIONS(7119),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7119),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7119),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7119),
    [anon_sym_BSLASHacrfull] = ACTIONS(7119),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7119),
    [anon_sym_BSLASHACRfull] = ACTIONS(7119),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHacs] = ACTIONS(7119),
    [anon_sym_BSLASHAcs] = ACTIONS(7119),
    [anon_sym_BSLASHacsp] = ACTIONS(7119),
    [anon_sym_BSLASHAcsp] = ACTIONS(7119),
    [anon_sym_BSLASHacl] = ACTIONS(7119),
    [anon_sym_BSLASHAcl] = ACTIONS(7119),
    [anon_sym_BSLASHaclp] = ACTIONS(7119),
    [anon_sym_BSLASHAclp] = ACTIONS(7119),
    [anon_sym_BSLASHacf] = ACTIONS(7119),
    [anon_sym_BSLASHAcf] = ACTIONS(7119),
    [anon_sym_BSLASHacfp] = ACTIONS(7119),
    [anon_sym_BSLASHAcfp] = ACTIONS(7119),
    [anon_sym_BSLASHac] = ACTIONS(7119),
    [anon_sym_BSLASHAc] = ACTIONS(7119),
    [anon_sym_BSLASHacp] = ACTIONS(7119),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7119),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7119),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7119),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7119),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7119),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7119),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7119),
    [anon_sym_BSLASHcolor] = ACTIONS(7119),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7119),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7119),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7119),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7119),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7119),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7119),
    [anon_sym_BSLASHurl] = ACTIONS(7119),
    [anon_sym_BSLASHhref] = ACTIONS(7119),
  },
  [1642] = {
    [sym_command_name] = ACTIONS(7531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(7533),
    [anon_sym_RBRACK] = ACTIONS(7533),
    [anon_sym_COMMA] = ACTIONS(7533),
    [anon_sym_EQ] = ACTIONS(7533),
    [anon_sym_LPAREN] = ACTIONS(7533),
    [anon_sym_RPAREN] = ACTIONS(7533),
    [anon_sym_BSLASHpart] = ACTIONS(7531),
    [anon_sym_BSLASHpart_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHaddpart] = ACTIONS(7531),
    [anon_sym_BSLASHaddpart_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHchapter] = ACTIONS(7531),
    [anon_sym_BSLASHchapter_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHaddchap] = ACTIONS(7531),
    [anon_sym_BSLASHaddchap_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHsection] = ACTIONS(7531),
    [anon_sym_BSLASHsection_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHaddsec] = ACTIONS(7531),
    [anon_sym_BSLASHaddsec_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHsubsection] = ACTIONS(7531),
    [anon_sym_BSLASHsubsection_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHsubsubsection] = ACTIONS(7531),
    [anon_sym_BSLASHsubsubsection_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHparagraph] = ACTIONS(7531),
    [anon_sym_BSLASHparagraph_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHsubparagraph] = ACTIONS(7531),
    [anon_sym_BSLASHsubparagraph_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHitem] = ACTIONS(7531),
    [anon_sym_BSLASHitem_STAR] = ACTIONS(7533),
    [anon_sym_LBRACE] = ACTIONS(7533),
    [sym_word] = ACTIONS(7531),
    [sym_placeholder] = ACTIONS(7533),
    [sym_delimiter] = ACTIONS(7533),
    [anon_sym_PLUS] = ACTIONS(7533),
    [anon_sym_DASH] = ACTIONS(7533),
    [anon_sym_STAR] = ACTIONS(7533),
    [anon_sym_SLASH] = ACTIONS(7533),
    [anon_sym_LT] = ACTIONS(7531),
    [anon_sym_GT] = ACTIONS(7531),
    [anon_sym_BANG] = ACTIONS(7531),
    [anon_sym_PIPE] = ACTIONS(7531),
    [anon_sym_COLON] = ACTIONS(7531),
    [anon_sym_SQUOTE] = ACTIONS(7531),
    [anon_sym__] = ACTIONS(7533),
    [anon_sym_CARET] = ACTIONS(7533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7533),
    [anon_sym_DOLLAR] = ACTIONS(7531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7533),
    [anon_sym_BSLASH_RPAREN] = ACTIONS(7533),
    [anon_sym_BSLASHleft] = ACTIONS(7531),
    [anon_sym_BSLASHbigl] = ACTIONS(7531),
    [anon_sym_BSLASHBigl] = ACTIONS(7531),
    [anon_sym_BSLASHbiggl] = ACTIONS(7531),
    [anon_sym_BSLASHBiggl] = ACTIONS(7531),
    [anon_sym_BSLASHtext] = ACTIONS(7531),
    [anon_sym_BSLASHintertext] = ACTIONS(7531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7531),
    [anon_sym_BSLASHbegin] = ACTIONS(7531),
    [anon_sym_BSLASHtitle] = ACTIONS(7531),
    [anon_sym_BSLASHauthor] = ACTIONS(7531),
    [anon_sym_BSLASHusepackage] = ACTIONS(7531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7531),
    [anon_sym_BSLASHinclude] = ACTIONS(7531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7531),
    [anon_sym_BSLASHinput] = ACTIONS(7531),
    [anon_sym_BSLASHsubfile] = ACTIONS(7531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7531),
    [anon_sym_BSLASHbibliography] = ACTIONS(7531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7531),
    [anon_sym_BSLASHimport] = ACTIONS(7531),
    [anon_sym_BSLASHsubimport] = ACTIONS(7531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7531),
    [anon_sym_BSLASHcaption] = ACTIONS(7531),
    [anon_sym_BSLASHcite] = ACTIONS(7531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCite] = ACTIONS(7531),
    [anon_sym_BSLASHnocite] = ACTIONS(7531),
    [anon_sym_BSLASHcitet] = ACTIONS(7531),
    [anon_sym_BSLASHcitep] = ACTIONS(7531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteA] = ACTIONS(7531),
    [anon_sym_BSLASHciteR] = ACTIONS(7531),
    [anon_sym_BSLASHciteS] = ACTIONS(7531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteyear] = ACTIONS(7531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitedate] = ACTIONS(7531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteurl] = ACTIONS(7531),
    [anon_sym_BSLASHfullcite] = ACTIONS(7531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7531),
    [anon_sym_BSLASHcitealt] = ACTIONS(7531),
    [anon_sym_BSLASHcitealp] = ACTIONS(7531),
    [anon_sym_BSLASHcitetext] = ACTIONS(7531),
    [anon_sym_BSLASHparencite] = ACTIONS(7531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHParencite] = ACTIONS(7531),
    [anon_sym_BSLASHfootcite] = ACTIONS(7531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7531),
    [anon_sym_BSLASHtextcite] = ACTIONS(7531),
    [anon_sym_BSLASHTextcite] = ACTIONS(7531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7531),
    [anon_sym_BSLASHsupercite] = ACTIONS(7531),
    [anon_sym_BSLASHautocite] = ACTIONS(7531),
    [anon_sym_BSLASHAutocite] = ACTIONS(7531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHVolcite] = ACTIONS(7531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHavolcite] = ACTIONS(7531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHNotecite] = ACTIONS(7531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHlabel] = ACTIONS(7531),
    [anon_sym_BSLASHref] = ACTIONS(7531),
    [anon_sym_BSLASHeqref] = ACTIONS(7531),
    [anon_sym_BSLASHvref] = ACTIONS(7531),
    [anon_sym_BSLASHVref] = ACTIONS(7531),
    [anon_sym_BSLASHautoref] = ACTIONS(7531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHpageref] = ACTIONS(7531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHautopageref] = ACTIONS(7531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcref] = ACTIONS(7531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCref] = ACTIONS(7531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcpageref] = ACTIONS(7531),
    [anon_sym_BSLASHCpageref] = ACTIONS(7531),
    [anon_sym_BSLASHnamecref] = ACTIONS(7531),
    [anon_sym_BSLASHnameCref] = ACTIONS(7531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHdef] = ACTIONS(7531),
    [anon_sym_BSLASHgdef] = ACTIONS(7531),
    [anon_sym_BSLASHedef] = ACTIONS(7531),
    [anon_sym_BSLASHxdef] = ACTIONS(7531),
    [anon_sym_BSLASHlet] = ACTIONS(7531),
    [anon_sym_BSLASHglet] = ACTIONS(7531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7531),
    [anon_sym_BSLASHgls] = ACTIONS(7531),
    [anon_sym_BSLASHGls] = ACTIONS(7531),
    [anon_sym_BSLASHGLS] = ACTIONS(7531),
    [anon_sym_BSLASHglspl] = ACTIONS(7531),
    [anon_sym_BSLASHGlspl] = ACTIONS(7531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7531),
    [anon_sym_BSLASHglslink] = ACTIONS(7531),
    [anon_sym_BSLASHglstext] = ACTIONS(7531),
    [anon_sym_BSLASHGlstext] = ACTIONS(7531),
    [anon_sym_BSLASHGLStext] = ACTIONS(7531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7531),
    [anon_sym_BSLASHglsplural] = ACTIONS(7531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHglsname] = ACTIONS(7531),
    [anon_sym_BSLASHGlsname] = ACTIONS(7531),
    [anon_sym_BSLASHGLSname] = ACTIONS(7531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7531),
    [anon_sym_BSLASHacrshort] = ACTIONS(7531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7531),
    [anon_sym_BSLASHACRshort] = ACTIONS(7531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHacrlong] = ACTIONS(7531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7531),
    [anon_sym_BSLASHACRlong] = ACTIONS(7531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHacrfull] = ACTIONS(7531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7531),
    [anon_sym_BSLASHACRfull] = ACTIONS(7531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHacs] = ACTIONS(7531),
    [anon_sym_BSLASHAcs] = ACTIONS(7531),
    [anon_sym_BSLASHacsp] = ACTIONS(7531),
    [anon_sym_BSLASHAcsp] = ACTIONS(7531),
    [anon_sym_BSLASHacl] = ACTIONS(7531),
    [anon_sym_BSLASHAcl] = ACTIONS(7531),
    [anon_sym_BSLASHaclp] = ACTIONS(7531),
    [anon_sym_BSLASHAclp] = ACTIONS(7531),
    [anon_sym_BSLASHacf] = ACTIONS(7531),
    [anon_sym_BSLASHAcf] = ACTIONS(7531),
    [anon_sym_BSLASHacfp] = ACTIONS(7531),
    [anon_sym_BSLASHAcfp] = ACTIONS(7531),
    [anon_sym_BSLASHac] = ACTIONS(7531),
    [anon_sym_BSLASHAc] = ACTIONS(7531),
    [anon_sym_BSLASHacp] = ACTIONS(7531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7531),
    [anon_sym_BSLASHcolor] = ACTIONS(7531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7531),
    [anon_sym_BSLASHurl] = ACTIONS(7531),
    [anon_sym_BSLASHhref] = ACTIONS(7531),
  },
  [1643] = {
    [sym_curly_group] = STATE(1804),
    [aux_sym_generic_command_repeat1] = STATE(1643),
    [sym_command_name] = ACTIONS(6864),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6864),
    [anon_sym_LBRACK] = ACTIONS(6866),
    [anon_sym_RBRACK] = ACTIONS(6866),
    [anon_sym_COMMA] = ACTIONS(6866),
    [anon_sym_EQ] = ACTIONS(6866),
    [anon_sym_LPAREN] = ACTIONS(6866),
    [anon_sym_RPAREN] = ACTIONS(6866),
    [anon_sym_LBRACE] = ACTIONS(7815),
    [sym_word] = ACTIONS(6864),
    [sym_placeholder] = ACTIONS(6866),
    [sym_delimiter] = ACTIONS(6866),
    [anon_sym_PLUS] = ACTIONS(6866),
    [anon_sym_DASH] = ACTIONS(6866),
    [anon_sym_STAR] = ACTIONS(6866),
    [anon_sym_SLASH] = ACTIONS(6866),
    [anon_sym_LT] = ACTIONS(6864),
    [anon_sym_GT] = ACTIONS(6864),
    [anon_sym_BANG] = ACTIONS(6864),
    [anon_sym_PIPE] = ACTIONS(6864),
    [anon_sym_COLON] = ACTIONS(6864),
    [anon_sym_SQUOTE] = ACTIONS(6864),
    [anon_sym__] = ACTIONS(6866),
    [anon_sym_CARET] = ACTIONS(6866),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6866),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6866),
    [anon_sym_DOLLAR] = ACTIONS(6864),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6866),
    [anon_sym_BSLASHleft] = ACTIONS(6864),
    [anon_sym_BSLASHbigl] = ACTIONS(6864),
    [anon_sym_BSLASHBigl] = ACTIONS(6864),
    [anon_sym_BSLASHbiggl] = ACTIONS(6864),
    [anon_sym_BSLASHBiggl] = ACTIONS(6864),
    [anon_sym_BSLASHtext] = ACTIONS(6864),
    [anon_sym_BSLASHintertext] = ACTIONS(6864),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6864),
    [anon_sym_BSLASHbegin] = ACTIONS(6864),
    [anon_sym_BSLASHend] = ACTIONS(6864),
    [anon_sym_BSLASHtitle] = ACTIONS(6864),
    [anon_sym_BSLASHauthor] = ACTIONS(6864),
    [anon_sym_BSLASHusepackage] = ACTIONS(6864),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6864),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6864),
    [anon_sym_BSLASHinclude] = ACTIONS(6864),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6864),
    [anon_sym_BSLASHinput] = ACTIONS(6864),
    [anon_sym_BSLASHsubfile] = ACTIONS(6864),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6864),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6864),
    [anon_sym_BSLASHbibliography] = ACTIONS(6864),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6864),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6864),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6864),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6864),
    [anon_sym_BSLASHimport] = ACTIONS(6864),
    [anon_sym_BSLASHsubimport] = ACTIONS(6864),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6864),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6864),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6864),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6864),
    [anon_sym_BSLASHcaption] = ACTIONS(6864),
    [anon_sym_BSLASHcite] = ACTIONS(6864),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCite] = ACTIONS(6864),
    [anon_sym_BSLASHnocite] = ACTIONS(6864),
    [anon_sym_BSLASHcitet] = ACTIONS(6864),
    [anon_sym_BSLASHcitep] = ACTIONS(6864),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteA] = ACTIONS(6864),
    [anon_sym_BSLASHciteR] = ACTIONS(6864),
    [anon_sym_BSLASHciteS] = ACTIONS(6864),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6864),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6864),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6864),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6864),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteyear] = ACTIONS(6864),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitedate] = ACTIONS(6864),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteurl] = ACTIONS(6864),
    [anon_sym_BSLASHfullcite] = ACTIONS(6864),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6864),
    [anon_sym_BSLASHcitealt] = ACTIONS(6864),
    [anon_sym_BSLASHcitealp] = ACTIONS(6864),
    [anon_sym_BSLASHcitetext] = ACTIONS(6864),
    [anon_sym_BSLASHparencite] = ACTIONS(6864),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHParencite] = ACTIONS(6864),
    [anon_sym_BSLASHfootcite] = ACTIONS(6864),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6864),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6864),
    [anon_sym_BSLASHtextcite] = ACTIONS(6864),
    [anon_sym_BSLASHTextcite] = ACTIONS(6864),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6864),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6864),
    [anon_sym_BSLASHsupercite] = ACTIONS(6864),
    [anon_sym_BSLASHautocite] = ACTIONS(6864),
    [anon_sym_BSLASHAutocite] = ACTIONS(6864),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHVolcite] = ACTIONS(6864),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHavolcite] = ACTIONS(6864),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHNotecite] = ACTIONS(6864),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHlabel] = ACTIONS(6864),
    [anon_sym_BSLASHref] = ACTIONS(6864),
    [anon_sym_BSLASHeqref] = ACTIONS(6864),
    [anon_sym_BSLASHvref] = ACTIONS(6864),
    [anon_sym_BSLASHVref] = ACTIONS(6864),
    [anon_sym_BSLASHautoref] = ACTIONS(6864),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHpageref] = ACTIONS(6864),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHautopageref] = ACTIONS(6864),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcref] = ACTIONS(6864),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCref] = ACTIONS(6864),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcpageref] = ACTIONS(6864),
    [anon_sym_BSLASHCpageref] = ACTIONS(6864),
    [anon_sym_BSLASHnamecref] = ACTIONS(6864),
    [anon_sym_BSLASHnameCref] = ACTIONS(6864),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6864),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6864),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6864),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6864),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6864),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6864),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6864),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6864),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6864),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6864),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6864),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHdef] = ACTIONS(6864),
    [anon_sym_BSLASHgdef] = ACTIONS(6864),
    [anon_sym_BSLASHedef] = ACTIONS(6864),
    [anon_sym_BSLASHxdef] = ACTIONS(6864),
    [anon_sym_BSLASHlet] = ACTIONS(6864),
    [anon_sym_BSLASHglet] = ACTIONS(6864),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6864),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6864),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6864),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6864),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6864),
    [anon_sym_BSLASHgls] = ACTIONS(6864),
    [anon_sym_BSLASHGls] = ACTIONS(6864),
    [anon_sym_BSLASHGLS] = ACTIONS(6864),
    [anon_sym_BSLASHglspl] = ACTIONS(6864),
    [anon_sym_BSLASHGlspl] = ACTIONS(6864),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6864),
    [anon_sym_BSLASHglslink] = ACTIONS(6864),
    [anon_sym_BSLASHglstext] = ACTIONS(6864),
    [anon_sym_BSLASHGlstext] = ACTIONS(6864),
    [anon_sym_BSLASHGLStext] = ACTIONS(6864),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6864),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6864),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6864),
    [anon_sym_BSLASHglsplural] = ACTIONS(6864),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6864),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6864),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHglsname] = ACTIONS(6864),
    [anon_sym_BSLASHGlsname] = ACTIONS(6864),
    [anon_sym_BSLASHGLSname] = ACTIONS(6864),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6864),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6864),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6864),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6864),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6864),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6864),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6864),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6864),
    [anon_sym_BSLASHacrshort] = ACTIONS(6864),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6864),
    [anon_sym_BSLASHACRshort] = ACTIONS(6864),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHacrlong] = ACTIONS(6864),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6864),
    [anon_sym_BSLASHACRlong] = ACTIONS(6864),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHacrfull] = ACTIONS(6864),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6864),
    [anon_sym_BSLASHACRfull] = ACTIONS(6864),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHacs] = ACTIONS(6864),
    [anon_sym_BSLASHAcs] = ACTIONS(6864),
    [anon_sym_BSLASHacsp] = ACTIONS(6864),
    [anon_sym_BSLASHAcsp] = ACTIONS(6864),
    [anon_sym_BSLASHacl] = ACTIONS(6864),
    [anon_sym_BSLASHAcl] = ACTIONS(6864),
    [anon_sym_BSLASHaclp] = ACTIONS(6864),
    [anon_sym_BSLASHAclp] = ACTIONS(6864),
    [anon_sym_BSLASHacf] = ACTIONS(6864),
    [anon_sym_BSLASHAcf] = ACTIONS(6864),
    [anon_sym_BSLASHacfp] = ACTIONS(6864),
    [anon_sym_BSLASHAcfp] = ACTIONS(6864),
    [anon_sym_BSLASHac] = ACTIONS(6864),
    [anon_sym_BSLASHAc] = ACTIONS(6864),
    [anon_sym_BSLASHacp] = ACTIONS(6864),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6864),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6864),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6864),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6864),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6864),
    [anon_sym_BSLASHcolor] = ACTIONS(6864),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6864),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6864),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6864),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6864),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6864),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6864),
    [anon_sym_BSLASHurl] = ACTIONS(6864),
    [anon_sym_BSLASHhref] = ACTIONS(6864),
  },
  [1644] = {
    [sym_curly_group] = STATE(1660),
    [sym_brack_group_text] = STATE(2863),
    [sym_command_name] = ACTIONS(6905),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6905),
    [anon_sym_LBRACK] = ACTIONS(6883),
    [anon_sym_RBRACK] = ACTIONS(6907),
    [anon_sym_COMMA] = ACTIONS(6907),
    [anon_sym_EQ] = ACTIONS(6907),
    [anon_sym_LPAREN] = ACTIONS(6907),
    [anon_sym_RPAREN] = ACTIONS(6907),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [sym_word] = ACTIONS(6905),
    [sym_placeholder] = ACTIONS(6907),
    [sym_delimiter] = ACTIONS(6907),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_STAR] = ACTIONS(6907),
    [anon_sym_SLASH] = ACTIONS(6907),
    [anon_sym_LT] = ACTIONS(6905),
    [anon_sym_GT] = ACTIONS(6905),
    [anon_sym_BANG] = ACTIONS(6905),
    [anon_sym_PIPE] = ACTIONS(6905),
    [anon_sym_COLON] = ACTIONS(6905),
    [anon_sym_SQUOTE] = ACTIONS(6905),
    [anon_sym__] = ACTIONS(6907),
    [anon_sym_CARET] = ACTIONS(6907),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6907),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6907),
    [anon_sym_DOLLAR] = ACTIONS(6905),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6907),
    [anon_sym_BSLASHleft] = ACTIONS(6905),
    [anon_sym_BSLASHbigl] = ACTIONS(6905),
    [anon_sym_BSLASHBigl] = ACTIONS(6905),
    [anon_sym_BSLASHbiggl] = ACTIONS(6905),
    [anon_sym_BSLASHBiggl] = ACTIONS(6905),
    [anon_sym_BSLASHtext] = ACTIONS(6905),
    [anon_sym_BSLASHintertext] = ACTIONS(6905),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6905),
    [anon_sym_BSLASHbegin] = ACTIONS(6905),
    [anon_sym_BSLASHend] = ACTIONS(6905),
    [anon_sym_BSLASHtitle] = ACTIONS(6905),
    [anon_sym_BSLASHauthor] = ACTIONS(6905),
    [anon_sym_BSLASHusepackage] = ACTIONS(6905),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6905),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6905),
    [anon_sym_BSLASHinclude] = ACTIONS(6905),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6905),
    [anon_sym_BSLASHinput] = ACTIONS(6905),
    [anon_sym_BSLASHsubfile] = ACTIONS(6905),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6905),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6905),
    [anon_sym_BSLASHbibliography] = ACTIONS(6905),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6905),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6905),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6905),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6905),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6905),
    [anon_sym_BSLASHimport] = ACTIONS(6905),
    [anon_sym_BSLASHsubimport] = ACTIONS(6905),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6905),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6905),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6905),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6905),
    [anon_sym_BSLASHcaption] = ACTIONS(6905),
    [anon_sym_BSLASHcite] = ACTIONS(6905),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCite] = ACTIONS(6905),
    [anon_sym_BSLASHnocite] = ACTIONS(6905),
    [anon_sym_BSLASHcitet] = ACTIONS(6905),
    [anon_sym_BSLASHcitep] = ACTIONS(6905),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteA] = ACTIONS(6905),
    [anon_sym_BSLASHciteR] = ACTIONS(6905),
    [anon_sym_BSLASHciteS] = ACTIONS(6905),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6905),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6905),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6905),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6905),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteyear] = ACTIONS(6905),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitedate] = ACTIONS(6905),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteurl] = ACTIONS(6905),
    [anon_sym_BSLASHfullcite] = ACTIONS(6905),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6905),
    [anon_sym_BSLASHcitealt] = ACTIONS(6905),
    [anon_sym_BSLASHcitealp] = ACTIONS(6905),
    [anon_sym_BSLASHcitetext] = ACTIONS(6905),
    [anon_sym_BSLASHparencite] = ACTIONS(6905),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHParencite] = ACTIONS(6905),
    [anon_sym_BSLASHfootcite] = ACTIONS(6905),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6905),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6905),
    [anon_sym_BSLASHtextcite] = ACTIONS(6905),
    [anon_sym_BSLASHTextcite] = ACTIONS(6905),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6905),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6905),
    [anon_sym_BSLASHsupercite] = ACTIONS(6905),
    [anon_sym_BSLASHautocite] = ACTIONS(6905),
    [anon_sym_BSLASHAutocite] = ACTIONS(6905),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHVolcite] = ACTIONS(6905),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHavolcite] = ACTIONS(6905),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHNotecite] = ACTIONS(6905),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHlabel] = ACTIONS(6905),
    [anon_sym_BSLASHref] = ACTIONS(6905),
    [anon_sym_BSLASHeqref] = ACTIONS(6905),
    [anon_sym_BSLASHvref] = ACTIONS(6905),
    [anon_sym_BSLASHVref] = ACTIONS(6905),
    [anon_sym_BSLASHautoref] = ACTIONS(6905),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHpageref] = ACTIONS(6905),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHautopageref] = ACTIONS(6905),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcref] = ACTIONS(6905),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCref] = ACTIONS(6905),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcpageref] = ACTIONS(6905),
    [anon_sym_BSLASHCpageref] = ACTIONS(6905),
    [anon_sym_BSLASHnamecref] = ACTIONS(6905),
    [anon_sym_BSLASHnameCref] = ACTIONS(6905),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6905),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6905),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6905),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6905),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6905),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6905),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6905),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6905),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6905),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6905),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6905),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHdef] = ACTIONS(6905),
    [anon_sym_BSLASHgdef] = ACTIONS(6905),
    [anon_sym_BSLASHedef] = ACTIONS(6905),
    [anon_sym_BSLASHxdef] = ACTIONS(6905),
    [anon_sym_BSLASHlet] = ACTIONS(6905),
    [anon_sym_BSLASHglet] = ACTIONS(6905),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6905),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6905),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6905),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6905),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6905),
    [anon_sym_BSLASHgls] = ACTIONS(6905),
    [anon_sym_BSLASHGls] = ACTIONS(6905),
    [anon_sym_BSLASHGLS] = ACTIONS(6905),
    [anon_sym_BSLASHglspl] = ACTIONS(6905),
    [anon_sym_BSLASHGlspl] = ACTIONS(6905),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6905),
    [anon_sym_BSLASHglslink] = ACTIONS(6905),
    [anon_sym_BSLASHglstext] = ACTIONS(6905),
    [anon_sym_BSLASHGlstext] = ACTIONS(6905),
    [anon_sym_BSLASHGLStext] = ACTIONS(6905),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6905),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6905),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6905),
    [anon_sym_BSLASHglsplural] = ACTIONS(6905),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6905),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6905),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHglsname] = ACTIONS(6905),
    [anon_sym_BSLASHGlsname] = ACTIONS(6905),
    [anon_sym_BSLASHGLSname] = ACTIONS(6905),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6905),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6905),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6905),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6905),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6905),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6905),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6905),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6905),
    [anon_sym_BSLASHacrshort] = ACTIONS(6905),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6905),
    [anon_sym_BSLASHACRshort] = ACTIONS(6905),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHacrlong] = ACTIONS(6905),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6905),
    [anon_sym_BSLASHACRlong] = ACTIONS(6905),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHacrfull] = ACTIONS(6905),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6905),
    [anon_sym_BSLASHACRfull] = ACTIONS(6905),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHacs] = ACTIONS(6905),
    [anon_sym_BSLASHAcs] = ACTIONS(6905),
    [anon_sym_BSLASHacsp] = ACTIONS(6905),
    [anon_sym_BSLASHAcsp] = ACTIONS(6905),
    [anon_sym_BSLASHacl] = ACTIONS(6905),
    [anon_sym_BSLASHAcl] = ACTIONS(6905),
    [anon_sym_BSLASHaclp] = ACTIONS(6905),
    [anon_sym_BSLASHAclp] = ACTIONS(6905),
    [anon_sym_BSLASHacf] = ACTIONS(6905),
    [anon_sym_BSLASHAcf] = ACTIONS(6905),
    [anon_sym_BSLASHacfp] = ACTIONS(6905),
    [anon_sym_BSLASHAcfp] = ACTIONS(6905),
    [anon_sym_BSLASHac] = ACTIONS(6905),
    [anon_sym_BSLASHAc] = ACTIONS(6905),
    [anon_sym_BSLASHacp] = ACTIONS(6905),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6905),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6905),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6905),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6905),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6905),
    [anon_sym_BSLASHcolor] = ACTIONS(6905),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6905),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6905),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6905),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6905),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6905),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6905),
    [anon_sym_BSLASHurl] = ACTIONS(6905),
    [anon_sym_BSLASHhref] = ACTIONS(6905),
  },
  [1645] = {
    [sym_curly_group] = STATE(1804),
    [aux_sym_generic_command_repeat1] = STATE(1648),
    [sym_command_name] = ACTIONS(6889),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6889),
    [anon_sym_LBRACK] = ACTIONS(6891),
    [anon_sym_RBRACK] = ACTIONS(6891),
    [anon_sym_COMMA] = ACTIONS(6891),
    [anon_sym_EQ] = ACTIONS(6891),
    [anon_sym_LPAREN] = ACTIONS(6891),
    [anon_sym_RPAREN] = ACTIONS(6891),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [sym_word] = ACTIONS(6889),
    [sym_placeholder] = ACTIONS(6891),
    [sym_delimiter] = ACTIONS(6891),
    [anon_sym_PLUS] = ACTIONS(6891),
    [anon_sym_DASH] = ACTIONS(6891),
    [anon_sym_STAR] = ACTIONS(6891),
    [anon_sym_SLASH] = ACTIONS(6891),
    [anon_sym_LT] = ACTIONS(6889),
    [anon_sym_GT] = ACTIONS(6889),
    [anon_sym_BANG] = ACTIONS(6889),
    [anon_sym_PIPE] = ACTIONS(6889),
    [anon_sym_COLON] = ACTIONS(6889),
    [anon_sym_SQUOTE] = ACTIONS(6889),
    [anon_sym__] = ACTIONS(6891),
    [anon_sym_CARET] = ACTIONS(6891),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6891),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6891),
    [anon_sym_DOLLAR] = ACTIONS(6889),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6891),
    [anon_sym_BSLASHleft] = ACTIONS(6889),
    [anon_sym_BSLASHbigl] = ACTIONS(6889),
    [anon_sym_BSLASHBigl] = ACTIONS(6889),
    [anon_sym_BSLASHbiggl] = ACTIONS(6889),
    [anon_sym_BSLASHBiggl] = ACTIONS(6889),
    [anon_sym_BSLASHtext] = ACTIONS(6889),
    [anon_sym_BSLASHintertext] = ACTIONS(6889),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6889),
    [anon_sym_BSLASHbegin] = ACTIONS(6889),
    [anon_sym_BSLASHend] = ACTIONS(6889),
    [anon_sym_BSLASHtitle] = ACTIONS(6889),
    [anon_sym_BSLASHauthor] = ACTIONS(6889),
    [anon_sym_BSLASHusepackage] = ACTIONS(6889),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6889),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6889),
    [anon_sym_BSLASHinclude] = ACTIONS(6889),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6889),
    [anon_sym_BSLASHinput] = ACTIONS(6889),
    [anon_sym_BSLASHsubfile] = ACTIONS(6889),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6889),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6889),
    [anon_sym_BSLASHbibliography] = ACTIONS(6889),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6889),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6889),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6889),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6889),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6889),
    [anon_sym_BSLASHimport] = ACTIONS(6889),
    [anon_sym_BSLASHsubimport] = ACTIONS(6889),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6889),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6889),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6889),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6889),
    [anon_sym_BSLASHcaption] = ACTIONS(6889),
    [anon_sym_BSLASHcite] = ACTIONS(6889),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCite] = ACTIONS(6889),
    [anon_sym_BSLASHnocite] = ACTIONS(6889),
    [anon_sym_BSLASHcitet] = ACTIONS(6889),
    [anon_sym_BSLASHcitep] = ACTIONS(6889),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteA] = ACTIONS(6889),
    [anon_sym_BSLASHciteR] = ACTIONS(6889),
    [anon_sym_BSLASHciteS] = ACTIONS(6889),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6889),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6889),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6889),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6889),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteyear] = ACTIONS(6889),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitedate] = ACTIONS(6889),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteurl] = ACTIONS(6889),
    [anon_sym_BSLASHfullcite] = ACTIONS(6889),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6889),
    [anon_sym_BSLASHcitealt] = ACTIONS(6889),
    [anon_sym_BSLASHcitealp] = ACTIONS(6889),
    [anon_sym_BSLASHcitetext] = ACTIONS(6889),
    [anon_sym_BSLASHparencite] = ACTIONS(6889),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHParencite] = ACTIONS(6889),
    [anon_sym_BSLASHfootcite] = ACTIONS(6889),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6889),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6889),
    [anon_sym_BSLASHtextcite] = ACTIONS(6889),
    [anon_sym_BSLASHTextcite] = ACTIONS(6889),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6889),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6889),
    [anon_sym_BSLASHsupercite] = ACTIONS(6889),
    [anon_sym_BSLASHautocite] = ACTIONS(6889),
    [anon_sym_BSLASHAutocite] = ACTIONS(6889),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHVolcite] = ACTIONS(6889),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHavolcite] = ACTIONS(6889),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHNotecite] = ACTIONS(6889),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHlabel] = ACTIONS(6889),
    [anon_sym_BSLASHref] = ACTIONS(6889),
    [anon_sym_BSLASHeqref] = ACTIONS(6889),
    [anon_sym_BSLASHvref] = ACTIONS(6889),
    [anon_sym_BSLASHVref] = ACTIONS(6889),
    [anon_sym_BSLASHautoref] = ACTIONS(6889),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHpageref] = ACTIONS(6889),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHautopageref] = ACTIONS(6889),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcref] = ACTIONS(6889),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCref] = ACTIONS(6889),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcpageref] = ACTIONS(6889),
    [anon_sym_BSLASHCpageref] = ACTIONS(6889),
    [anon_sym_BSLASHnamecref] = ACTIONS(6889),
    [anon_sym_BSLASHnameCref] = ACTIONS(6889),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6889),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6889),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6889),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6889),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6889),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6889),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6889),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6889),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6889),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6889),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6889),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHdef] = ACTIONS(6889),
    [anon_sym_BSLASHgdef] = ACTIONS(6889),
    [anon_sym_BSLASHedef] = ACTIONS(6889),
    [anon_sym_BSLASHxdef] = ACTIONS(6889),
    [anon_sym_BSLASHlet] = ACTIONS(6889),
    [anon_sym_BSLASHglet] = ACTIONS(6889),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6889),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6889),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6889),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6889),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6889),
    [anon_sym_BSLASHgls] = ACTIONS(6889),
    [anon_sym_BSLASHGls] = ACTIONS(6889),
    [anon_sym_BSLASHGLS] = ACTIONS(6889),
    [anon_sym_BSLASHglspl] = ACTIONS(6889),
    [anon_sym_BSLASHGlspl] = ACTIONS(6889),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6889),
    [anon_sym_BSLASHglslink] = ACTIONS(6889),
    [anon_sym_BSLASHglstext] = ACTIONS(6889),
    [anon_sym_BSLASHGlstext] = ACTIONS(6889),
    [anon_sym_BSLASHGLStext] = ACTIONS(6889),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6889),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6889),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6889),
    [anon_sym_BSLASHglsplural] = ACTIONS(6889),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6889),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6889),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHglsname] = ACTIONS(6889),
    [anon_sym_BSLASHGlsname] = ACTIONS(6889),
    [anon_sym_BSLASHGLSname] = ACTIONS(6889),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6889),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6889),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6889),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6889),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6889),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6889),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6889),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6889),
    [anon_sym_BSLASHacrshort] = ACTIONS(6889),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6889),
    [anon_sym_BSLASHACRshort] = ACTIONS(6889),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHacrlong] = ACTIONS(6889),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6889),
    [anon_sym_BSLASHACRlong] = ACTIONS(6889),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHacrfull] = ACTIONS(6889),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6889),
    [anon_sym_BSLASHACRfull] = ACTIONS(6889),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHacs] = ACTIONS(6889),
    [anon_sym_BSLASHAcs] = ACTIONS(6889),
    [anon_sym_BSLASHacsp] = ACTIONS(6889),
    [anon_sym_BSLASHAcsp] = ACTIONS(6889),
    [anon_sym_BSLASHacl] = ACTIONS(6889),
    [anon_sym_BSLASHAcl] = ACTIONS(6889),
    [anon_sym_BSLASHaclp] = ACTIONS(6889),
    [anon_sym_BSLASHAclp] = ACTIONS(6889),
    [anon_sym_BSLASHacf] = ACTIONS(6889),
    [anon_sym_BSLASHAcf] = ACTIONS(6889),
    [anon_sym_BSLASHacfp] = ACTIONS(6889),
    [anon_sym_BSLASHAcfp] = ACTIONS(6889),
    [anon_sym_BSLASHac] = ACTIONS(6889),
    [anon_sym_BSLASHAc] = ACTIONS(6889),
    [anon_sym_BSLASHacp] = ACTIONS(6889),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6889),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6889),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6889),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6889),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6889),
    [anon_sym_BSLASHcolor] = ACTIONS(6889),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6889),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6889),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6889),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6889),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6889),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6889),
    [anon_sym_BSLASHurl] = ACTIONS(6889),
    [anon_sym_BSLASHhref] = ACTIONS(6889),
  },
  [1646] = {
    [sym_command_name] = ACTIONS(6871),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6871),
    [anon_sym_BSLASHfi] = ACTIONS(7818),
    [anon_sym_LBRACK] = ACTIONS(6875),
    [anon_sym_RBRACK] = ACTIONS(6875),
    [anon_sym_COMMA] = ACTIONS(6875),
    [anon_sym_EQ] = ACTIONS(6875),
    [anon_sym_LPAREN] = ACTIONS(6875),
    [anon_sym_RPAREN] = ACTIONS(6875),
    [anon_sym_LBRACE] = ACTIONS(6875),
    [sym_word] = ACTIONS(6871),
    [sym_placeholder] = ACTIONS(6875),
    [sym_delimiter] = ACTIONS(6875),
    [anon_sym_PLUS] = ACTIONS(6875),
    [anon_sym_DASH] = ACTIONS(6875),
    [anon_sym_STAR] = ACTIONS(6875),
    [anon_sym_SLASH] = ACTIONS(6875),
    [anon_sym_LT] = ACTIONS(6871),
    [anon_sym_GT] = ACTIONS(6871),
    [anon_sym_BANG] = ACTIONS(6871),
    [anon_sym_PIPE] = ACTIONS(6871),
    [anon_sym_COLON] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6871),
    [anon_sym__] = ACTIONS(6875),
    [anon_sym_CARET] = ACTIONS(6875),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6875),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6875),
    [anon_sym_DOLLAR] = ACTIONS(6871),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6875),
    [anon_sym_BSLASHleft] = ACTIONS(6871),
    [anon_sym_BSLASHbigl] = ACTIONS(6871),
    [anon_sym_BSLASHBigl] = ACTIONS(6871),
    [anon_sym_BSLASHbiggl] = ACTIONS(6871),
    [anon_sym_BSLASHBiggl] = ACTIONS(6871),
    [anon_sym_BSLASHtext] = ACTIONS(6871),
    [anon_sym_BSLASHintertext] = ACTIONS(6871),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6871),
    [anon_sym_BSLASHbegin] = ACTIONS(6871),
    [anon_sym_BSLASHend] = ACTIONS(6871),
    [anon_sym_BSLASHtitle] = ACTIONS(6871),
    [anon_sym_BSLASHauthor] = ACTIONS(6871),
    [anon_sym_BSLASHusepackage] = ACTIONS(6871),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6871),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6871),
    [anon_sym_BSLASHinclude] = ACTIONS(6871),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6871),
    [anon_sym_BSLASHinput] = ACTIONS(6871),
    [anon_sym_BSLASHsubfile] = ACTIONS(6871),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6871),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6871),
    [anon_sym_BSLASHbibliography] = ACTIONS(6871),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6871),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6871),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6871),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6871),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6871),
    [anon_sym_BSLASHimport] = ACTIONS(6871),
    [anon_sym_BSLASHsubimport] = ACTIONS(6871),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6871),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6871),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6871),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6871),
    [anon_sym_BSLASHcaption] = ACTIONS(6871),
    [anon_sym_BSLASHcite] = ACTIONS(6871),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCite] = ACTIONS(6871),
    [anon_sym_BSLASHnocite] = ACTIONS(6871),
    [anon_sym_BSLASHcitet] = ACTIONS(6871),
    [anon_sym_BSLASHcitep] = ACTIONS(6871),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteA] = ACTIONS(6871),
    [anon_sym_BSLASHciteR] = ACTIONS(6871),
    [anon_sym_BSLASHciteS] = ACTIONS(6871),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6871),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6871),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6871),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6871),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteyear] = ACTIONS(6871),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitedate] = ACTIONS(6871),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteurl] = ACTIONS(6871),
    [anon_sym_BSLASHfullcite] = ACTIONS(6871),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6871),
    [anon_sym_BSLASHcitealt] = ACTIONS(6871),
    [anon_sym_BSLASHcitealp] = ACTIONS(6871),
    [anon_sym_BSLASHcitetext] = ACTIONS(6871),
    [anon_sym_BSLASHparencite] = ACTIONS(6871),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHParencite] = ACTIONS(6871),
    [anon_sym_BSLASHfootcite] = ACTIONS(6871),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6871),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6871),
    [anon_sym_BSLASHtextcite] = ACTIONS(6871),
    [anon_sym_BSLASHTextcite] = ACTIONS(6871),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6871),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6871),
    [anon_sym_BSLASHsupercite] = ACTIONS(6871),
    [anon_sym_BSLASHautocite] = ACTIONS(6871),
    [anon_sym_BSLASHAutocite] = ACTIONS(6871),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHVolcite] = ACTIONS(6871),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHavolcite] = ACTIONS(6871),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHNotecite] = ACTIONS(6871),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHlabel] = ACTIONS(6871),
    [anon_sym_BSLASHref] = ACTIONS(6871),
    [anon_sym_BSLASHeqref] = ACTIONS(6871),
    [anon_sym_BSLASHvref] = ACTIONS(6871),
    [anon_sym_BSLASHVref] = ACTIONS(6871),
    [anon_sym_BSLASHautoref] = ACTIONS(6871),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHpageref] = ACTIONS(6871),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHautopageref] = ACTIONS(6871),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcref] = ACTIONS(6871),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCref] = ACTIONS(6871),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcpageref] = ACTIONS(6871),
    [anon_sym_BSLASHCpageref] = ACTIONS(6871),
    [anon_sym_BSLASHnamecref] = ACTIONS(6871),
    [anon_sym_BSLASHnameCref] = ACTIONS(6871),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6871),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6871),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6871),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6871),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6871),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6871),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6871),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6871),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6871),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6871),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6871),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHdef] = ACTIONS(6871),
    [anon_sym_BSLASHgdef] = ACTIONS(6871),
    [anon_sym_BSLASHedef] = ACTIONS(6871),
    [anon_sym_BSLASHxdef] = ACTIONS(6871),
    [anon_sym_BSLASHlet] = ACTIONS(6871),
    [anon_sym_BSLASHglet] = ACTIONS(6871),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6871),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6871),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6871),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6871),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6871),
    [anon_sym_BSLASHgls] = ACTIONS(6871),
    [anon_sym_BSLASHGls] = ACTIONS(6871),
    [anon_sym_BSLASHGLS] = ACTIONS(6871),
    [anon_sym_BSLASHglspl] = ACTIONS(6871),
    [anon_sym_BSLASHGlspl] = ACTIONS(6871),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6871),
    [anon_sym_BSLASHglslink] = ACTIONS(6871),
    [anon_sym_BSLASHglstext] = ACTIONS(6871),
    [anon_sym_BSLASHGlstext] = ACTIONS(6871),
    [anon_sym_BSLASHGLStext] = ACTIONS(6871),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6871),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6871),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6871),
    [anon_sym_BSLASHglsplural] = ACTIONS(6871),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6871),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6871),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHglsname] = ACTIONS(6871),
    [anon_sym_BSLASHGlsname] = ACTIONS(6871),
    [anon_sym_BSLASHGLSname] = ACTIONS(6871),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6871),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6871),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6871),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6871),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6871),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6871),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6871),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6871),
    [anon_sym_BSLASHacrshort] = ACTIONS(6871),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6871),
    [anon_sym_BSLASHACRshort] = ACTIONS(6871),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHacrlong] = ACTIONS(6871),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6871),
    [anon_sym_BSLASHACRlong] = ACTIONS(6871),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHacrfull] = ACTIONS(6871),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6871),
    [anon_sym_BSLASHACRfull] = ACTIONS(6871),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHacs] = ACTIONS(6871),
    [anon_sym_BSLASHAcs] = ACTIONS(6871),
    [anon_sym_BSLASHacsp] = ACTIONS(6871),
    [anon_sym_BSLASHAcsp] = ACTIONS(6871),
    [anon_sym_BSLASHacl] = ACTIONS(6871),
    [anon_sym_BSLASHAcl] = ACTIONS(6871),
    [anon_sym_BSLASHaclp] = ACTIONS(6871),
    [anon_sym_BSLASHAclp] = ACTIONS(6871),
    [anon_sym_BSLASHacf] = ACTIONS(6871),
    [anon_sym_BSLASHAcf] = ACTIONS(6871),
    [anon_sym_BSLASHacfp] = ACTIONS(6871),
    [anon_sym_BSLASHAcfp] = ACTIONS(6871),
    [anon_sym_BSLASHac] = ACTIONS(6871),
    [anon_sym_BSLASHAc] = ACTIONS(6871),
    [anon_sym_BSLASHacp] = ACTIONS(6871),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6871),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6871),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6871),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6871),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6871),
    [anon_sym_BSLASHcolor] = ACTIONS(6871),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6871),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6871),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6871),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6871),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6871),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6871),
    [anon_sym_BSLASHurl] = ACTIONS(6871),
    [anon_sym_BSLASHhref] = ACTIONS(6871),
    [sym__trivia_raw_fi] = ACTIONS(7820),
  },
  [1647] = {
    [sym_curly_group] = STATE(1653),
    [sym_brack_group_text] = STATE(2887),
    [sym_command_name] = ACTIONS(6881),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6881),
    [anon_sym_LBRACK] = ACTIONS(6883),
    [anon_sym_RBRACK] = ACTIONS(6885),
    [anon_sym_COMMA] = ACTIONS(6885),
    [anon_sym_EQ] = ACTIONS(6885),
    [anon_sym_LPAREN] = ACTIONS(6885),
    [anon_sym_RPAREN] = ACTIONS(6885),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [sym_word] = ACTIONS(6881),
    [sym_placeholder] = ACTIONS(6885),
    [sym_delimiter] = ACTIONS(6885),
    [anon_sym_PLUS] = ACTIONS(6885),
    [anon_sym_DASH] = ACTIONS(6885),
    [anon_sym_STAR] = ACTIONS(6885),
    [anon_sym_SLASH] = ACTIONS(6885),
    [anon_sym_LT] = ACTIONS(6881),
    [anon_sym_GT] = ACTIONS(6881),
    [anon_sym_BANG] = ACTIONS(6881),
    [anon_sym_PIPE] = ACTIONS(6881),
    [anon_sym_COLON] = ACTIONS(6881),
    [anon_sym_SQUOTE] = ACTIONS(6881),
    [anon_sym__] = ACTIONS(6885),
    [anon_sym_CARET] = ACTIONS(6885),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6885),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6885),
    [anon_sym_DOLLAR] = ACTIONS(6881),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6885),
    [anon_sym_BSLASHleft] = ACTIONS(6881),
    [anon_sym_BSLASHbigl] = ACTIONS(6881),
    [anon_sym_BSLASHBigl] = ACTIONS(6881),
    [anon_sym_BSLASHbiggl] = ACTIONS(6881),
    [anon_sym_BSLASHBiggl] = ACTIONS(6881),
    [anon_sym_BSLASHtext] = ACTIONS(6881),
    [anon_sym_BSLASHintertext] = ACTIONS(6881),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6881),
    [anon_sym_BSLASHbegin] = ACTIONS(6881),
    [anon_sym_BSLASHend] = ACTIONS(6881),
    [anon_sym_BSLASHtitle] = ACTIONS(6881),
    [anon_sym_BSLASHauthor] = ACTIONS(6881),
    [anon_sym_BSLASHusepackage] = ACTIONS(6881),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6881),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6881),
    [anon_sym_BSLASHinclude] = ACTIONS(6881),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6881),
    [anon_sym_BSLASHinput] = ACTIONS(6881),
    [anon_sym_BSLASHsubfile] = ACTIONS(6881),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6881),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6881),
    [anon_sym_BSLASHbibliography] = ACTIONS(6881),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6881),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6881),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6881),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6881),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6881),
    [anon_sym_BSLASHimport] = ACTIONS(6881),
    [anon_sym_BSLASHsubimport] = ACTIONS(6881),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6881),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6881),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6881),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6881),
    [anon_sym_BSLASHcaption] = ACTIONS(6881),
    [anon_sym_BSLASHcite] = ACTIONS(6881),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCite] = ACTIONS(6881),
    [anon_sym_BSLASHnocite] = ACTIONS(6881),
    [anon_sym_BSLASHcitet] = ACTIONS(6881),
    [anon_sym_BSLASHcitep] = ACTIONS(6881),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteA] = ACTIONS(6881),
    [anon_sym_BSLASHciteR] = ACTIONS(6881),
    [anon_sym_BSLASHciteS] = ACTIONS(6881),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6881),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6881),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6881),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6881),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteyear] = ACTIONS(6881),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitedate] = ACTIONS(6881),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteurl] = ACTIONS(6881),
    [anon_sym_BSLASHfullcite] = ACTIONS(6881),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6881),
    [anon_sym_BSLASHcitealt] = ACTIONS(6881),
    [anon_sym_BSLASHcitealp] = ACTIONS(6881),
    [anon_sym_BSLASHcitetext] = ACTIONS(6881),
    [anon_sym_BSLASHparencite] = ACTIONS(6881),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHParencite] = ACTIONS(6881),
    [anon_sym_BSLASHfootcite] = ACTIONS(6881),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6881),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6881),
    [anon_sym_BSLASHtextcite] = ACTIONS(6881),
    [anon_sym_BSLASHTextcite] = ACTIONS(6881),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6881),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6881),
    [anon_sym_BSLASHsupercite] = ACTIONS(6881),
    [anon_sym_BSLASHautocite] = ACTIONS(6881),
    [anon_sym_BSLASHAutocite] = ACTIONS(6881),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHVolcite] = ACTIONS(6881),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHavolcite] = ACTIONS(6881),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHNotecite] = ACTIONS(6881),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHlabel] = ACTIONS(6881),
    [anon_sym_BSLASHref] = ACTIONS(6881),
    [anon_sym_BSLASHeqref] = ACTIONS(6881),
    [anon_sym_BSLASHvref] = ACTIONS(6881),
    [anon_sym_BSLASHVref] = ACTIONS(6881),
    [anon_sym_BSLASHautoref] = ACTIONS(6881),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHpageref] = ACTIONS(6881),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHautopageref] = ACTIONS(6881),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcref] = ACTIONS(6881),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCref] = ACTIONS(6881),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcpageref] = ACTIONS(6881),
    [anon_sym_BSLASHCpageref] = ACTIONS(6881),
    [anon_sym_BSLASHnamecref] = ACTIONS(6881),
    [anon_sym_BSLASHnameCref] = ACTIONS(6881),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6881),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6881),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6881),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6881),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6881),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6881),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6881),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6881),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6881),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6881),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6881),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHdef] = ACTIONS(6881),
    [anon_sym_BSLASHgdef] = ACTIONS(6881),
    [anon_sym_BSLASHedef] = ACTIONS(6881),
    [anon_sym_BSLASHxdef] = ACTIONS(6881),
    [anon_sym_BSLASHlet] = ACTIONS(6881),
    [anon_sym_BSLASHglet] = ACTIONS(6881),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6881),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6881),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6881),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6881),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6881),
    [anon_sym_BSLASHgls] = ACTIONS(6881),
    [anon_sym_BSLASHGls] = ACTIONS(6881),
    [anon_sym_BSLASHGLS] = ACTIONS(6881),
    [anon_sym_BSLASHglspl] = ACTIONS(6881),
    [anon_sym_BSLASHGlspl] = ACTIONS(6881),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6881),
    [anon_sym_BSLASHglslink] = ACTIONS(6881),
    [anon_sym_BSLASHglstext] = ACTIONS(6881),
    [anon_sym_BSLASHGlstext] = ACTIONS(6881),
    [anon_sym_BSLASHGLStext] = ACTIONS(6881),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6881),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6881),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6881),
    [anon_sym_BSLASHglsplural] = ACTIONS(6881),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6881),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6881),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHglsname] = ACTIONS(6881),
    [anon_sym_BSLASHGlsname] = ACTIONS(6881),
    [anon_sym_BSLASHGLSname] = ACTIONS(6881),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6881),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6881),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6881),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6881),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6881),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6881),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6881),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6881),
    [anon_sym_BSLASHacrshort] = ACTIONS(6881),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6881),
    [anon_sym_BSLASHACRshort] = ACTIONS(6881),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHacrlong] = ACTIONS(6881),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6881),
    [anon_sym_BSLASHACRlong] = ACTIONS(6881),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHacrfull] = ACTIONS(6881),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6881),
    [anon_sym_BSLASHACRfull] = ACTIONS(6881),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHacs] = ACTIONS(6881),
    [anon_sym_BSLASHAcs] = ACTIONS(6881),
    [anon_sym_BSLASHacsp] = ACTIONS(6881),
    [anon_sym_BSLASHAcsp] = ACTIONS(6881),
    [anon_sym_BSLASHacl] = ACTIONS(6881),
    [anon_sym_BSLASHAcl] = ACTIONS(6881),
    [anon_sym_BSLASHaclp] = ACTIONS(6881),
    [anon_sym_BSLASHAclp] = ACTIONS(6881),
    [anon_sym_BSLASHacf] = ACTIONS(6881),
    [anon_sym_BSLASHAcf] = ACTIONS(6881),
    [anon_sym_BSLASHacfp] = ACTIONS(6881),
    [anon_sym_BSLASHAcfp] = ACTIONS(6881),
    [anon_sym_BSLASHac] = ACTIONS(6881),
    [anon_sym_BSLASHAc] = ACTIONS(6881),
    [anon_sym_BSLASHacp] = ACTIONS(6881),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6881),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6881),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6881),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6881),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6881),
    [anon_sym_BSLASHcolor] = ACTIONS(6881),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6881),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6881),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6881),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6881),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6881),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6881),
    [anon_sym_BSLASHurl] = ACTIONS(6881),
    [anon_sym_BSLASHhref] = ACTIONS(6881),
  },
  [1648] = {
    [sym_curly_group] = STATE(1804),
    [aux_sym_generic_command_repeat1] = STATE(1643),
    [sym_command_name] = ACTIONS(6901),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6901),
    [anon_sym_LBRACK] = ACTIONS(6903),
    [anon_sym_RBRACK] = ACTIONS(6903),
    [anon_sym_COMMA] = ACTIONS(6903),
    [anon_sym_EQ] = ACTIONS(6903),
    [anon_sym_LPAREN] = ACTIONS(6903),
    [anon_sym_RPAREN] = ACTIONS(6903),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [sym_word] = ACTIONS(6901),
    [sym_placeholder] = ACTIONS(6903),
    [sym_delimiter] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6903),
    [anon_sym_DASH] = ACTIONS(6903),
    [anon_sym_STAR] = ACTIONS(6903),
    [anon_sym_SLASH] = ACTIONS(6903),
    [anon_sym_LT] = ACTIONS(6901),
    [anon_sym_GT] = ACTIONS(6901),
    [anon_sym_BANG] = ACTIONS(6901),
    [anon_sym_PIPE] = ACTIONS(6901),
    [anon_sym_COLON] = ACTIONS(6901),
    [anon_sym_SQUOTE] = ACTIONS(6901),
    [anon_sym__] = ACTIONS(6903),
    [anon_sym_CARET] = ACTIONS(6903),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6903),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6903),
    [anon_sym_DOLLAR] = ACTIONS(6901),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6903),
    [anon_sym_BSLASHleft] = ACTIONS(6901),
    [anon_sym_BSLASHbigl] = ACTIONS(6901),
    [anon_sym_BSLASHBigl] = ACTIONS(6901),
    [anon_sym_BSLASHbiggl] = ACTIONS(6901),
    [anon_sym_BSLASHBiggl] = ACTIONS(6901),
    [anon_sym_BSLASHtext] = ACTIONS(6901),
    [anon_sym_BSLASHintertext] = ACTIONS(6901),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6901),
    [anon_sym_BSLASHbegin] = ACTIONS(6901),
    [anon_sym_BSLASHend] = ACTIONS(6901),
    [anon_sym_BSLASHtitle] = ACTIONS(6901),
    [anon_sym_BSLASHauthor] = ACTIONS(6901),
    [anon_sym_BSLASHusepackage] = ACTIONS(6901),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6901),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6901),
    [anon_sym_BSLASHinclude] = ACTIONS(6901),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6901),
    [anon_sym_BSLASHinput] = ACTIONS(6901),
    [anon_sym_BSLASHsubfile] = ACTIONS(6901),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6901),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6901),
    [anon_sym_BSLASHbibliography] = ACTIONS(6901),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6901),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6901),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6901),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6901),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6901),
    [anon_sym_BSLASHimport] = ACTIONS(6901),
    [anon_sym_BSLASHsubimport] = ACTIONS(6901),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6901),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6901),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6901),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6901),
    [anon_sym_BSLASHcaption] = ACTIONS(6901),
    [anon_sym_BSLASHcite] = ACTIONS(6901),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCite] = ACTIONS(6901),
    [anon_sym_BSLASHnocite] = ACTIONS(6901),
    [anon_sym_BSLASHcitet] = ACTIONS(6901),
    [anon_sym_BSLASHcitep] = ACTIONS(6901),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteA] = ACTIONS(6901),
    [anon_sym_BSLASHciteR] = ACTIONS(6901),
    [anon_sym_BSLASHciteS] = ACTIONS(6901),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6901),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6901),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6901),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6901),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteyear] = ACTIONS(6901),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitedate] = ACTIONS(6901),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteurl] = ACTIONS(6901),
    [anon_sym_BSLASHfullcite] = ACTIONS(6901),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6901),
    [anon_sym_BSLASHcitealt] = ACTIONS(6901),
    [anon_sym_BSLASHcitealp] = ACTIONS(6901),
    [anon_sym_BSLASHcitetext] = ACTIONS(6901),
    [anon_sym_BSLASHparencite] = ACTIONS(6901),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHParencite] = ACTIONS(6901),
    [anon_sym_BSLASHfootcite] = ACTIONS(6901),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6901),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6901),
    [anon_sym_BSLASHtextcite] = ACTIONS(6901),
    [anon_sym_BSLASHTextcite] = ACTIONS(6901),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6901),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6901),
    [anon_sym_BSLASHsupercite] = ACTIONS(6901),
    [anon_sym_BSLASHautocite] = ACTIONS(6901),
    [anon_sym_BSLASHAutocite] = ACTIONS(6901),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHVolcite] = ACTIONS(6901),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHavolcite] = ACTIONS(6901),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHNotecite] = ACTIONS(6901),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHlabel] = ACTIONS(6901),
    [anon_sym_BSLASHref] = ACTIONS(6901),
    [anon_sym_BSLASHeqref] = ACTIONS(6901),
    [anon_sym_BSLASHvref] = ACTIONS(6901),
    [anon_sym_BSLASHVref] = ACTIONS(6901),
    [anon_sym_BSLASHautoref] = ACTIONS(6901),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHpageref] = ACTIONS(6901),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHautopageref] = ACTIONS(6901),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcref] = ACTIONS(6901),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCref] = ACTIONS(6901),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcpageref] = ACTIONS(6901),
    [anon_sym_BSLASHCpageref] = ACTIONS(6901),
    [anon_sym_BSLASHnamecref] = ACTIONS(6901),
    [anon_sym_BSLASHnameCref] = ACTIONS(6901),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6901),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6901),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6901),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6901),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6901),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6901),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6901),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6901),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6901),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6901),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6901),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHdef] = ACTIONS(6901),
    [anon_sym_BSLASHgdef] = ACTIONS(6901),
    [anon_sym_BSLASHedef] = ACTIONS(6901),
    [anon_sym_BSLASHxdef] = ACTIONS(6901),
    [anon_sym_BSLASHlet] = ACTIONS(6901),
    [anon_sym_BSLASHglet] = ACTIONS(6901),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6901),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6901),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6901),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6901),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6901),
    [anon_sym_BSLASHgls] = ACTIONS(6901),
    [anon_sym_BSLASHGls] = ACTIONS(6901),
    [anon_sym_BSLASHGLS] = ACTIONS(6901),
    [anon_sym_BSLASHglspl] = ACTIONS(6901),
    [anon_sym_BSLASHGlspl] = ACTIONS(6901),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6901),
    [anon_sym_BSLASHglslink] = ACTIONS(6901),
    [anon_sym_BSLASHglstext] = ACTIONS(6901),
    [anon_sym_BSLASHGlstext] = ACTIONS(6901),
    [anon_sym_BSLASHGLStext] = ACTIONS(6901),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6901),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6901),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6901),
    [anon_sym_BSLASHglsplural] = ACTIONS(6901),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6901),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6901),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHglsname] = ACTIONS(6901),
    [anon_sym_BSLASHGlsname] = ACTIONS(6901),
    [anon_sym_BSLASHGLSname] = ACTIONS(6901),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6901),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6901),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6901),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6901),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6901),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6901),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6901),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6901),
    [anon_sym_BSLASHacrshort] = ACTIONS(6901),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6901),
    [anon_sym_BSLASHACRshort] = ACTIONS(6901),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHacrlong] = ACTIONS(6901),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6901),
    [anon_sym_BSLASHACRlong] = ACTIONS(6901),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHacrfull] = ACTIONS(6901),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6901),
    [anon_sym_BSLASHACRfull] = ACTIONS(6901),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHacs] = ACTIONS(6901),
    [anon_sym_BSLASHAcs] = ACTIONS(6901),
    [anon_sym_BSLASHacsp] = ACTIONS(6901),
    [anon_sym_BSLASHAcsp] = ACTIONS(6901),
    [anon_sym_BSLASHacl] = ACTIONS(6901),
    [anon_sym_BSLASHAcl] = ACTIONS(6901),
    [anon_sym_BSLASHaclp] = ACTIONS(6901),
    [anon_sym_BSLASHAclp] = ACTIONS(6901),
    [anon_sym_BSLASHacf] = ACTIONS(6901),
    [anon_sym_BSLASHAcf] = ACTIONS(6901),
    [anon_sym_BSLASHacfp] = ACTIONS(6901),
    [anon_sym_BSLASHAcfp] = ACTIONS(6901),
    [anon_sym_BSLASHac] = ACTIONS(6901),
    [anon_sym_BSLASHAc] = ACTIONS(6901),
    [anon_sym_BSLASHacp] = ACTIONS(6901),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6901),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6901),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6901),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6901),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6901),
    [anon_sym_BSLASHcolor] = ACTIONS(6901),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6901),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6901),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6901),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6901),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6901),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6901),
    [anon_sym_BSLASHurl] = ACTIONS(6901),
    [anon_sym_BSLASHhref] = ACTIONS(6901),
  },
  [1649] = {
    [sym_curly_group] = STATE(1796),
    [sym_command_name] = ACTIONS(6947),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6949),
    [anon_sym_RBRACK] = ACTIONS(6949),
    [anon_sym_COMMA] = ACTIONS(6949),
    [anon_sym_EQ] = ACTIONS(6949),
    [anon_sym_LPAREN] = ACTIONS(6949),
    [anon_sym_RPAREN] = ACTIONS(6949),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [sym_word] = ACTIONS(6947),
    [sym_placeholder] = ACTIONS(6949),
    [sym_delimiter] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6949),
    [anon_sym_DASH] = ACTIONS(6949),
    [anon_sym_STAR] = ACTIONS(6949),
    [anon_sym_SLASH] = ACTIONS(6949),
    [anon_sym_LT] = ACTIONS(6947),
    [anon_sym_GT] = ACTIONS(6947),
    [anon_sym_BANG] = ACTIONS(6947),
    [anon_sym_PIPE] = ACTIONS(6947),
    [anon_sym_COLON] = ACTIONS(6947),
    [anon_sym_SQUOTE] = ACTIONS(6947),
    [anon_sym__] = ACTIONS(6949),
    [anon_sym_CARET] = ACTIONS(6949),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6949),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6949),
    [anon_sym_DOLLAR] = ACTIONS(6947),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6949),
    [anon_sym_BSLASHleft] = ACTIONS(6947),
    [anon_sym_BSLASHbigl] = ACTIONS(6947),
    [anon_sym_BSLASHBigl] = ACTIONS(6947),
    [anon_sym_BSLASHbiggl] = ACTIONS(6947),
    [anon_sym_BSLASHBiggl] = ACTIONS(6947),
    [anon_sym_BSLASHtext] = ACTIONS(6947),
    [anon_sym_BSLASHintertext] = ACTIONS(6947),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6947),
    [anon_sym_BSLASHbegin] = ACTIONS(6947),
    [anon_sym_BSLASHend] = ACTIONS(6947),
    [anon_sym_BSLASHtitle] = ACTIONS(6947),
    [anon_sym_BSLASHauthor] = ACTIONS(6947),
    [anon_sym_BSLASHusepackage] = ACTIONS(6947),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6947),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6947),
    [anon_sym_BSLASHinclude] = ACTIONS(6947),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6947),
    [anon_sym_BSLASHinput] = ACTIONS(6947),
    [anon_sym_BSLASHsubfile] = ACTIONS(6947),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6947),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6947),
    [anon_sym_BSLASHbibliography] = ACTIONS(6947),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6947),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6947),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6947),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6947),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6947),
    [anon_sym_BSLASHimport] = ACTIONS(6947),
    [anon_sym_BSLASHsubimport] = ACTIONS(6947),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6947),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6947),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6947),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6947),
    [anon_sym_BSLASHcaption] = ACTIONS(6947),
    [anon_sym_BSLASHcite] = ACTIONS(6947),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCite] = ACTIONS(6947),
    [anon_sym_BSLASHnocite] = ACTIONS(6947),
    [anon_sym_BSLASHcitet] = ACTIONS(6947),
    [anon_sym_BSLASHcitep] = ACTIONS(6947),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteA] = ACTIONS(6947),
    [anon_sym_BSLASHciteR] = ACTIONS(6947),
    [anon_sym_BSLASHciteS] = ACTIONS(6947),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6947),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6947),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6947),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6947),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteyear] = ACTIONS(6947),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitedate] = ACTIONS(6947),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteurl] = ACTIONS(6947),
    [anon_sym_BSLASHfullcite] = ACTIONS(6947),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6947),
    [anon_sym_BSLASHcitealt] = ACTIONS(6947),
    [anon_sym_BSLASHcitealp] = ACTIONS(6947),
    [anon_sym_BSLASHcitetext] = ACTIONS(6947),
    [anon_sym_BSLASHparencite] = ACTIONS(6947),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHParencite] = ACTIONS(6947),
    [anon_sym_BSLASHfootcite] = ACTIONS(6947),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6947),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6947),
    [anon_sym_BSLASHtextcite] = ACTIONS(6947),
    [anon_sym_BSLASHTextcite] = ACTIONS(6947),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6947),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6947),
    [anon_sym_BSLASHsupercite] = ACTIONS(6947),
    [anon_sym_BSLASHautocite] = ACTIONS(6947),
    [anon_sym_BSLASHAutocite] = ACTIONS(6947),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHVolcite] = ACTIONS(6947),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHavolcite] = ACTIONS(6947),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHNotecite] = ACTIONS(6947),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHlabel] = ACTIONS(6947),
    [anon_sym_BSLASHref] = ACTIONS(6947),
    [anon_sym_BSLASHeqref] = ACTIONS(6947),
    [anon_sym_BSLASHvref] = ACTIONS(6947),
    [anon_sym_BSLASHVref] = ACTIONS(6947),
    [anon_sym_BSLASHautoref] = ACTIONS(6947),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHpageref] = ACTIONS(6947),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHautopageref] = ACTIONS(6947),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcref] = ACTIONS(6947),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCref] = ACTIONS(6947),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcpageref] = ACTIONS(6947),
    [anon_sym_BSLASHCpageref] = ACTIONS(6947),
    [anon_sym_BSLASHnamecref] = ACTIONS(6947),
    [anon_sym_BSLASHnameCref] = ACTIONS(6947),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6947),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6947),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6947),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6947),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6947),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6947),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6947),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6947),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6947),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6947),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6947),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHdef] = ACTIONS(6947),
    [anon_sym_BSLASHgdef] = ACTIONS(6947),
    [anon_sym_BSLASHedef] = ACTIONS(6947),
    [anon_sym_BSLASHxdef] = ACTIONS(6947),
    [anon_sym_BSLASHlet] = ACTIONS(6947),
    [anon_sym_BSLASHglet] = ACTIONS(6947),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6947),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6947),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6947),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6947),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6947),
    [anon_sym_BSLASHgls] = ACTIONS(6947),
    [anon_sym_BSLASHGls] = ACTIONS(6947),
    [anon_sym_BSLASHGLS] = ACTIONS(6947),
    [anon_sym_BSLASHglspl] = ACTIONS(6947),
    [anon_sym_BSLASHGlspl] = ACTIONS(6947),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6947),
    [anon_sym_BSLASHglslink] = ACTIONS(6947),
    [anon_sym_BSLASHglstext] = ACTIONS(6947),
    [anon_sym_BSLASHGlstext] = ACTIONS(6947),
    [anon_sym_BSLASHGLStext] = ACTIONS(6947),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6947),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6947),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6947),
    [anon_sym_BSLASHglsplural] = ACTIONS(6947),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6947),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6947),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHglsname] = ACTIONS(6947),
    [anon_sym_BSLASHGlsname] = ACTIONS(6947),
    [anon_sym_BSLASHGLSname] = ACTIONS(6947),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6947),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6947),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6947),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6947),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6947),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6947),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6947),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6947),
    [anon_sym_BSLASHacrshort] = ACTIONS(6947),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6947),
    [anon_sym_BSLASHACRshort] = ACTIONS(6947),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHacrlong] = ACTIONS(6947),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6947),
    [anon_sym_BSLASHACRlong] = ACTIONS(6947),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHacrfull] = ACTIONS(6947),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6947),
    [anon_sym_BSLASHACRfull] = ACTIONS(6947),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHacs] = ACTIONS(6947),
    [anon_sym_BSLASHAcs] = ACTIONS(6947),
    [anon_sym_BSLASHacsp] = ACTIONS(6947),
    [anon_sym_BSLASHAcsp] = ACTIONS(6947),
    [anon_sym_BSLASHacl] = ACTIONS(6947),
    [anon_sym_BSLASHAcl] = ACTIONS(6947),
    [anon_sym_BSLASHaclp] = ACTIONS(6947),
    [anon_sym_BSLASHAclp] = ACTIONS(6947),
    [anon_sym_BSLASHacf] = ACTIONS(6947),
    [anon_sym_BSLASHAcf] = ACTIONS(6947),
    [anon_sym_BSLASHacfp] = ACTIONS(6947),
    [anon_sym_BSLASHAcfp] = ACTIONS(6947),
    [anon_sym_BSLASHac] = ACTIONS(6947),
    [anon_sym_BSLASHAc] = ACTIONS(6947),
    [anon_sym_BSLASHacp] = ACTIONS(6947),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6947),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6947),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6947),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6947),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6947),
    [anon_sym_BSLASHcolor] = ACTIONS(6947),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6947),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6947),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6947),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6947),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6947),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6947),
    [anon_sym_BSLASHurl] = ACTIONS(6947),
    [anon_sym_BSLASHhref] = ACTIONS(6947),
  },
  [1650] = {
    [sym_curly_group] = STATE(1826),
    [sym_brack_group_text] = STATE(3330),
    [sym_command_name] = ACTIONS(6881),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6881),
    [anon_sym_LBRACK] = ACTIONS(6883),
    [anon_sym_RBRACK] = ACTIONS(6885),
    [anon_sym_COMMA] = ACTIONS(6885),
    [anon_sym_EQ] = ACTIONS(6885),
    [anon_sym_LPAREN] = ACTIONS(6885),
    [anon_sym_RPAREN] = ACTIONS(6885),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(6885),
    [sym_word] = ACTIONS(6881),
    [sym_placeholder] = ACTIONS(6885),
    [sym_delimiter] = ACTIONS(6885),
    [anon_sym_PLUS] = ACTIONS(6885),
    [anon_sym_DASH] = ACTIONS(6885),
    [anon_sym_STAR] = ACTIONS(6885),
    [anon_sym_SLASH] = ACTIONS(6885),
    [anon_sym_LT] = ACTIONS(6881),
    [anon_sym_GT] = ACTIONS(6881),
    [anon_sym_BANG] = ACTIONS(6881),
    [anon_sym_PIPE] = ACTIONS(6881),
    [anon_sym_COLON] = ACTIONS(6881),
    [anon_sym_SQUOTE] = ACTIONS(6881),
    [anon_sym__] = ACTIONS(6885),
    [anon_sym_CARET] = ACTIONS(6885),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6885),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6885),
    [anon_sym_DOLLAR] = ACTIONS(6881),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6885),
    [anon_sym_BSLASHleft] = ACTIONS(6881),
    [anon_sym_BSLASHbigl] = ACTIONS(6881),
    [anon_sym_BSLASHBigl] = ACTIONS(6881),
    [anon_sym_BSLASHbiggl] = ACTIONS(6881),
    [anon_sym_BSLASHBiggl] = ACTIONS(6881),
    [anon_sym_BSLASHtext] = ACTIONS(6881),
    [anon_sym_BSLASHintertext] = ACTIONS(6881),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6881),
    [anon_sym_BSLASHtitle] = ACTIONS(6881),
    [anon_sym_BSLASHauthor] = ACTIONS(6881),
    [anon_sym_BSLASHusepackage] = ACTIONS(6881),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6881),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6881),
    [anon_sym_BSLASHinclude] = ACTIONS(6881),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6881),
    [anon_sym_BSLASHinput] = ACTIONS(6881),
    [anon_sym_BSLASHsubfile] = ACTIONS(6881),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6881),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6881),
    [anon_sym_BSLASHbibliography] = ACTIONS(6881),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6881),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6881),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6881),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6881),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6881),
    [anon_sym_BSLASHimport] = ACTIONS(6881),
    [anon_sym_BSLASHsubimport] = ACTIONS(6881),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6881),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6881),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6881),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6881),
    [anon_sym_BSLASHcaption] = ACTIONS(6881),
    [anon_sym_BSLASHcite] = ACTIONS(6881),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCite] = ACTIONS(6881),
    [anon_sym_BSLASHnocite] = ACTIONS(6881),
    [anon_sym_BSLASHcitet] = ACTIONS(6881),
    [anon_sym_BSLASHcitep] = ACTIONS(6881),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteA] = ACTIONS(6881),
    [anon_sym_BSLASHciteR] = ACTIONS(6881),
    [anon_sym_BSLASHciteS] = ACTIONS(6881),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6881),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6881),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6881),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6881),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteyear] = ACTIONS(6881),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitedate] = ACTIONS(6881),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteurl] = ACTIONS(6881),
    [anon_sym_BSLASHfullcite] = ACTIONS(6881),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6881),
    [anon_sym_BSLASHcitealt] = ACTIONS(6881),
    [anon_sym_BSLASHcitealp] = ACTIONS(6881),
    [anon_sym_BSLASHcitetext] = ACTIONS(6881),
    [anon_sym_BSLASHparencite] = ACTIONS(6881),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHParencite] = ACTIONS(6881),
    [anon_sym_BSLASHfootcite] = ACTIONS(6881),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6881),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6881),
    [anon_sym_BSLASHtextcite] = ACTIONS(6881),
    [anon_sym_BSLASHTextcite] = ACTIONS(6881),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6881),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6881),
    [anon_sym_BSLASHsupercite] = ACTIONS(6881),
    [anon_sym_BSLASHautocite] = ACTIONS(6881),
    [anon_sym_BSLASHAutocite] = ACTIONS(6881),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHVolcite] = ACTIONS(6881),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHavolcite] = ACTIONS(6881),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHNotecite] = ACTIONS(6881),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHlabel] = ACTIONS(6881),
    [anon_sym_BSLASHref] = ACTIONS(6881),
    [anon_sym_BSLASHeqref] = ACTIONS(6881),
    [anon_sym_BSLASHvref] = ACTIONS(6881),
    [anon_sym_BSLASHVref] = ACTIONS(6881),
    [anon_sym_BSLASHautoref] = ACTIONS(6881),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHpageref] = ACTIONS(6881),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHautopageref] = ACTIONS(6881),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcref] = ACTIONS(6881),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCref] = ACTIONS(6881),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcpageref] = ACTIONS(6881),
    [anon_sym_BSLASHCpageref] = ACTIONS(6881),
    [anon_sym_BSLASHnamecref] = ACTIONS(6881),
    [anon_sym_BSLASHnameCref] = ACTIONS(6881),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6881),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6881),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6881),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6881),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6881),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6881),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6881),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6881),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6881),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6881),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6881),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHdef] = ACTIONS(6881),
    [anon_sym_BSLASHgdef] = ACTIONS(6881),
    [anon_sym_BSLASHedef] = ACTIONS(6881),
    [anon_sym_BSLASHxdef] = ACTIONS(6881),
    [anon_sym_BSLASHlet] = ACTIONS(6881),
    [anon_sym_BSLASHglet] = ACTIONS(6881),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6881),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6881),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6881),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6881),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6881),
    [anon_sym_BSLASHgls] = ACTIONS(6881),
    [anon_sym_BSLASHGls] = ACTIONS(6881),
    [anon_sym_BSLASHGLS] = ACTIONS(6881),
    [anon_sym_BSLASHglspl] = ACTIONS(6881),
    [anon_sym_BSLASHGlspl] = ACTIONS(6881),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6881),
    [anon_sym_BSLASHglslink] = ACTIONS(6881),
    [anon_sym_BSLASHglstext] = ACTIONS(6881),
    [anon_sym_BSLASHGlstext] = ACTIONS(6881),
    [anon_sym_BSLASHGLStext] = ACTIONS(6881),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6881),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6881),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6881),
    [anon_sym_BSLASHglsplural] = ACTIONS(6881),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6881),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6881),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHglsname] = ACTIONS(6881),
    [anon_sym_BSLASHGlsname] = ACTIONS(6881),
    [anon_sym_BSLASHGLSname] = ACTIONS(6881),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6881),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6881),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6881),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6881),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6881),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6881),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6881),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6881),
    [anon_sym_BSLASHacrshort] = ACTIONS(6881),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6881),
    [anon_sym_BSLASHACRshort] = ACTIONS(6881),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHacrlong] = ACTIONS(6881),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6881),
    [anon_sym_BSLASHACRlong] = ACTIONS(6881),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHacrfull] = ACTIONS(6881),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6881),
    [anon_sym_BSLASHACRfull] = ACTIONS(6881),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHacs] = ACTIONS(6881),
    [anon_sym_BSLASHAcs] = ACTIONS(6881),
    [anon_sym_BSLASHacsp] = ACTIONS(6881),
    [anon_sym_BSLASHAcsp] = ACTIONS(6881),
    [anon_sym_BSLASHacl] = ACTIONS(6881),
    [anon_sym_BSLASHAcl] = ACTIONS(6881),
    [anon_sym_BSLASHaclp] = ACTIONS(6881),
    [anon_sym_BSLASHAclp] = ACTIONS(6881),
    [anon_sym_BSLASHacf] = ACTIONS(6881),
    [anon_sym_BSLASHAcf] = ACTIONS(6881),
    [anon_sym_BSLASHacfp] = ACTIONS(6881),
    [anon_sym_BSLASHAcfp] = ACTIONS(6881),
    [anon_sym_BSLASHac] = ACTIONS(6881),
    [anon_sym_BSLASHAc] = ACTIONS(6881),
    [anon_sym_BSLASHacp] = ACTIONS(6881),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6881),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6881),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6881),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6881),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6881),
    [anon_sym_BSLASHcolor] = ACTIONS(6881),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6881),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6881),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6881),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6881),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6881),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6881),
    [anon_sym_BSLASHurl] = ACTIONS(6881),
    [anon_sym_BSLASHhref] = ACTIONS(6881),
  },
  [1651] = {
    [sym_curly_group] = STATE(1798),
    [sym_command_name] = ACTIONS(6943),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6943),
    [anon_sym_LBRACK] = ACTIONS(6945),
    [anon_sym_RBRACK] = ACTIONS(6945),
    [anon_sym_COMMA] = ACTIONS(6945),
    [anon_sym_EQ] = ACTIONS(6945),
    [anon_sym_LPAREN] = ACTIONS(6945),
    [anon_sym_RPAREN] = ACTIONS(6945),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [sym_word] = ACTIONS(6943),
    [sym_placeholder] = ACTIONS(6945),
    [sym_delimiter] = ACTIONS(6945),
    [anon_sym_PLUS] = ACTIONS(6945),
    [anon_sym_DASH] = ACTIONS(6945),
    [anon_sym_STAR] = ACTIONS(6945),
    [anon_sym_SLASH] = ACTIONS(6945),
    [anon_sym_LT] = ACTIONS(6943),
    [anon_sym_GT] = ACTIONS(6943),
    [anon_sym_BANG] = ACTIONS(6943),
    [anon_sym_PIPE] = ACTIONS(6943),
    [anon_sym_COLON] = ACTIONS(6943),
    [anon_sym_SQUOTE] = ACTIONS(6943),
    [anon_sym__] = ACTIONS(6945),
    [anon_sym_CARET] = ACTIONS(6945),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6945),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6945),
    [anon_sym_DOLLAR] = ACTIONS(6943),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6945),
    [anon_sym_BSLASHleft] = ACTIONS(6943),
    [anon_sym_BSLASHbigl] = ACTIONS(6943),
    [anon_sym_BSLASHBigl] = ACTIONS(6943),
    [anon_sym_BSLASHbiggl] = ACTIONS(6943),
    [anon_sym_BSLASHBiggl] = ACTIONS(6943),
    [anon_sym_BSLASHtext] = ACTIONS(6943),
    [anon_sym_BSLASHintertext] = ACTIONS(6943),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6943),
    [anon_sym_BSLASHbegin] = ACTIONS(6943),
    [anon_sym_BSLASHend] = ACTIONS(6943),
    [anon_sym_BSLASHtitle] = ACTIONS(6943),
    [anon_sym_BSLASHauthor] = ACTIONS(6943),
    [anon_sym_BSLASHusepackage] = ACTIONS(6943),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6943),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6943),
    [anon_sym_BSLASHinclude] = ACTIONS(6943),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6943),
    [anon_sym_BSLASHinput] = ACTIONS(6943),
    [anon_sym_BSLASHsubfile] = ACTIONS(6943),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6943),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6943),
    [anon_sym_BSLASHbibliography] = ACTIONS(6943),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6943),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6943),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6943),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6943),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6943),
    [anon_sym_BSLASHimport] = ACTIONS(6943),
    [anon_sym_BSLASHsubimport] = ACTIONS(6943),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6943),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6943),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6943),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6943),
    [anon_sym_BSLASHcaption] = ACTIONS(6943),
    [anon_sym_BSLASHcite] = ACTIONS(6943),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCite] = ACTIONS(6943),
    [anon_sym_BSLASHnocite] = ACTIONS(6943),
    [anon_sym_BSLASHcitet] = ACTIONS(6943),
    [anon_sym_BSLASHcitep] = ACTIONS(6943),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteA] = ACTIONS(6943),
    [anon_sym_BSLASHciteR] = ACTIONS(6943),
    [anon_sym_BSLASHciteS] = ACTIONS(6943),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6943),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6943),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6943),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6943),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteyear] = ACTIONS(6943),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitedate] = ACTIONS(6943),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteurl] = ACTIONS(6943),
    [anon_sym_BSLASHfullcite] = ACTIONS(6943),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6943),
    [anon_sym_BSLASHcitealt] = ACTIONS(6943),
    [anon_sym_BSLASHcitealp] = ACTIONS(6943),
    [anon_sym_BSLASHcitetext] = ACTIONS(6943),
    [anon_sym_BSLASHparencite] = ACTIONS(6943),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHParencite] = ACTIONS(6943),
    [anon_sym_BSLASHfootcite] = ACTIONS(6943),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6943),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6943),
    [anon_sym_BSLASHtextcite] = ACTIONS(6943),
    [anon_sym_BSLASHTextcite] = ACTIONS(6943),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6943),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6943),
    [anon_sym_BSLASHsupercite] = ACTIONS(6943),
    [anon_sym_BSLASHautocite] = ACTIONS(6943),
    [anon_sym_BSLASHAutocite] = ACTIONS(6943),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHVolcite] = ACTIONS(6943),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHavolcite] = ACTIONS(6943),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHNotecite] = ACTIONS(6943),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHlabel] = ACTIONS(6943),
    [anon_sym_BSLASHref] = ACTIONS(6943),
    [anon_sym_BSLASHeqref] = ACTIONS(6943),
    [anon_sym_BSLASHvref] = ACTIONS(6943),
    [anon_sym_BSLASHVref] = ACTIONS(6943),
    [anon_sym_BSLASHautoref] = ACTIONS(6943),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHpageref] = ACTIONS(6943),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHautopageref] = ACTIONS(6943),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcref] = ACTIONS(6943),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCref] = ACTIONS(6943),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcpageref] = ACTIONS(6943),
    [anon_sym_BSLASHCpageref] = ACTIONS(6943),
    [anon_sym_BSLASHnamecref] = ACTIONS(6943),
    [anon_sym_BSLASHnameCref] = ACTIONS(6943),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6943),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6943),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6943),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6943),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6943),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6943),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6943),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6943),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6943),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6943),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6943),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHdef] = ACTIONS(6943),
    [anon_sym_BSLASHgdef] = ACTIONS(6943),
    [anon_sym_BSLASHedef] = ACTIONS(6943),
    [anon_sym_BSLASHxdef] = ACTIONS(6943),
    [anon_sym_BSLASHlet] = ACTIONS(6943),
    [anon_sym_BSLASHglet] = ACTIONS(6943),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6943),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6943),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6943),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6943),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6943),
    [anon_sym_BSLASHgls] = ACTIONS(6943),
    [anon_sym_BSLASHGls] = ACTIONS(6943),
    [anon_sym_BSLASHGLS] = ACTIONS(6943),
    [anon_sym_BSLASHglspl] = ACTIONS(6943),
    [anon_sym_BSLASHGlspl] = ACTIONS(6943),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6943),
    [anon_sym_BSLASHglslink] = ACTIONS(6943),
    [anon_sym_BSLASHglstext] = ACTIONS(6943),
    [anon_sym_BSLASHGlstext] = ACTIONS(6943),
    [anon_sym_BSLASHGLStext] = ACTIONS(6943),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6943),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6943),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6943),
    [anon_sym_BSLASHglsplural] = ACTIONS(6943),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6943),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6943),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHglsname] = ACTIONS(6943),
    [anon_sym_BSLASHGlsname] = ACTIONS(6943),
    [anon_sym_BSLASHGLSname] = ACTIONS(6943),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6943),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6943),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6943),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6943),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6943),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6943),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6943),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6943),
    [anon_sym_BSLASHacrshort] = ACTIONS(6943),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6943),
    [anon_sym_BSLASHACRshort] = ACTIONS(6943),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHacrlong] = ACTIONS(6943),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6943),
    [anon_sym_BSLASHACRlong] = ACTIONS(6943),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHacrfull] = ACTIONS(6943),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6943),
    [anon_sym_BSLASHACRfull] = ACTIONS(6943),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHacs] = ACTIONS(6943),
    [anon_sym_BSLASHAcs] = ACTIONS(6943),
    [anon_sym_BSLASHacsp] = ACTIONS(6943),
    [anon_sym_BSLASHAcsp] = ACTIONS(6943),
    [anon_sym_BSLASHacl] = ACTIONS(6943),
    [anon_sym_BSLASHAcl] = ACTIONS(6943),
    [anon_sym_BSLASHaclp] = ACTIONS(6943),
    [anon_sym_BSLASHAclp] = ACTIONS(6943),
    [anon_sym_BSLASHacf] = ACTIONS(6943),
    [anon_sym_BSLASHAcf] = ACTIONS(6943),
    [anon_sym_BSLASHacfp] = ACTIONS(6943),
    [anon_sym_BSLASHAcfp] = ACTIONS(6943),
    [anon_sym_BSLASHac] = ACTIONS(6943),
    [anon_sym_BSLASHAc] = ACTIONS(6943),
    [anon_sym_BSLASHacp] = ACTIONS(6943),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6943),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6943),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6943),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6943),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6943),
    [anon_sym_BSLASHcolor] = ACTIONS(6943),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6943),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6943),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6943),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6943),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6943),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6943),
    [anon_sym_BSLASHurl] = ACTIONS(6943),
    [anon_sym_BSLASHhref] = ACTIONS(6943),
  },
  [1652] = {
    [sym_command_name] = ACTIONS(6911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6911),
    [anon_sym_BSLASHfi] = ACTIONS(7822),
    [anon_sym_LBRACK] = ACTIONS(6915),
    [anon_sym_RBRACK] = ACTIONS(6915),
    [anon_sym_COMMA] = ACTIONS(6915),
    [anon_sym_EQ] = ACTIONS(6915),
    [anon_sym_LPAREN] = ACTIONS(6915),
    [anon_sym_RPAREN] = ACTIONS(6915),
    [anon_sym_LBRACE] = ACTIONS(6915),
    [sym_word] = ACTIONS(6911),
    [sym_placeholder] = ACTIONS(6915),
    [sym_delimiter] = ACTIONS(6915),
    [anon_sym_PLUS] = ACTIONS(6915),
    [anon_sym_DASH] = ACTIONS(6915),
    [anon_sym_STAR] = ACTIONS(6915),
    [anon_sym_SLASH] = ACTIONS(6915),
    [anon_sym_LT] = ACTIONS(6911),
    [anon_sym_GT] = ACTIONS(6911),
    [anon_sym_BANG] = ACTIONS(6911),
    [anon_sym_PIPE] = ACTIONS(6911),
    [anon_sym_COLON] = ACTIONS(6911),
    [anon_sym_SQUOTE] = ACTIONS(6911),
    [anon_sym__] = ACTIONS(6915),
    [anon_sym_CARET] = ACTIONS(6915),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6915),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6915),
    [anon_sym_DOLLAR] = ACTIONS(6911),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6915),
    [anon_sym_BSLASHleft] = ACTIONS(6911),
    [anon_sym_BSLASHbigl] = ACTIONS(6911),
    [anon_sym_BSLASHBigl] = ACTIONS(6911),
    [anon_sym_BSLASHbiggl] = ACTIONS(6911),
    [anon_sym_BSLASHBiggl] = ACTIONS(6911),
    [anon_sym_BSLASHtext] = ACTIONS(6911),
    [anon_sym_BSLASHintertext] = ACTIONS(6911),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6911),
    [anon_sym_BSLASHbegin] = ACTIONS(6911),
    [anon_sym_BSLASHend] = ACTIONS(6911),
    [anon_sym_BSLASHtitle] = ACTIONS(6911),
    [anon_sym_BSLASHauthor] = ACTIONS(6911),
    [anon_sym_BSLASHusepackage] = ACTIONS(6911),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6911),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6911),
    [anon_sym_BSLASHinclude] = ACTIONS(6911),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6911),
    [anon_sym_BSLASHinput] = ACTIONS(6911),
    [anon_sym_BSLASHsubfile] = ACTIONS(6911),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6911),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6911),
    [anon_sym_BSLASHbibliography] = ACTIONS(6911),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6911),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6911),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6911),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6911),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6911),
    [anon_sym_BSLASHimport] = ACTIONS(6911),
    [anon_sym_BSLASHsubimport] = ACTIONS(6911),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6911),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6911),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6911),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6911),
    [anon_sym_BSLASHcaption] = ACTIONS(6911),
    [anon_sym_BSLASHcite] = ACTIONS(6911),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCite] = ACTIONS(6911),
    [anon_sym_BSLASHnocite] = ACTIONS(6911),
    [anon_sym_BSLASHcitet] = ACTIONS(6911),
    [anon_sym_BSLASHcitep] = ACTIONS(6911),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteA] = ACTIONS(6911),
    [anon_sym_BSLASHciteR] = ACTIONS(6911),
    [anon_sym_BSLASHciteS] = ACTIONS(6911),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6911),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6911),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6911),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6911),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteyear] = ACTIONS(6911),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitedate] = ACTIONS(6911),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteurl] = ACTIONS(6911),
    [anon_sym_BSLASHfullcite] = ACTIONS(6911),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6911),
    [anon_sym_BSLASHcitealt] = ACTIONS(6911),
    [anon_sym_BSLASHcitealp] = ACTIONS(6911),
    [anon_sym_BSLASHcitetext] = ACTIONS(6911),
    [anon_sym_BSLASHparencite] = ACTIONS(6911),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHParencite] = ACTIONS(6911),
    [anon_sym_BSLASHfootcite] = ACTIONS(6911),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6911),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6911),
    [anon_sym_BSLASHtextcite] = ACTIONS(6911),
    [anon_sym_BSLASHTextcite] = ACTIONS(6911),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6911),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6911),
    [anon_sym_BSLASHsupercite] = ACTIONS(6911),
    [anon_sym_BSLASHautocite] = ACTIONS(6911),
    [anon_sym_BSLASHAutocite] = ACTIONS(6911),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHVolcite] = ACTIONS(6911),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHavolcite] = ACTIONS(6911),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHNotecite] = ACTIONS(6911),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHlabel] = ACTIONS(6911),
    [anon_sym_BSLASHref] = ACTIONS(6911),
    [anon_sym_BSLASHeqref] = ACTIONS(6911),
    [anon_sym_BSLASHvref] = ACTIONS(6911),
    [anon_sym_BSLASHVref] = ACTIONS(6911),
    [anon_sym_BSLASHautoref] = ACTIONS(6911),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHpageref] = ACTIONS(6911),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHautopageref] = ACTIONS(6911),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcref] = ACTIONS(6911),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCref] = ACTIONS(6911),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcpageref] = ACTIONS(6911),
    [anon_sym_BSLASHCpageref] = ACTIONS(6911),
    [anon_sym_BSLASHnamecref] = ACTIONS(6911),
    [anon_sym_BSLASHnameCref] = ACTIONS(6911),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6911),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6911),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6911),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6911),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6911),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6911),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6911),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6911),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6911),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6911),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6911),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHdef] = ACTIONS(6911),
    [anon_sym_BSLASHgdef] = ACTIONS(6911),
    [anon_sym_BSLASHedef] = ACTIONS(6911),
    [anon_sym_BSLASHxdef] = ACTIONS(6911),
    [anon_sym_BSLASHlet] = ACTIONS(6911),
    [anon_sym_BSLASHglet] = ACTIONS(6911),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6911),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6911),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6911),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6911),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6911),
    [anon_sym_BSLASHgls] = ACTIONS(6911),
    [anon_sym_BSLASHGls] = ACTIONS(6911),
    [anon_sym_BSLASHGLS] = ACTIONS(6911),
    [anon_sym_BSLASHglspl] = ACTIONS(6911),
    [anon_sym_BSLASHGlspl] = ACTIONS(6911),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6911),
    [anon_sym_BSLASHglslink] = ACTIONS(6911),
    [anon_sym_BSLASHglstext] = ACTIONS(6911),
    [anon_sym_BSLASHGlstext] = ACTIONS(6911),
    [anon_sym_BSLASHGLStext] = ACTIONS(6911),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6911),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6911),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6911),
    [anon_sym_BSLASHglsplural] = ACTIONS(6911),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6911),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6911),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHglsname] = ACTIONS(6911),
    [anon_sym_BSLASHGlsname] = ACTIONS(6911),
    [anon_sym_BSLASHGLSname] = ACTIONS(6911),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6911),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6911),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6911),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6911),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6911),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6911),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6911),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6911),
    [anon_sym_BSLASHacrshort] = ACTIONS(6911),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6911),
    [anon_sym_BSLASHACRshort] = ACTIONS(6911),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHacrlong] = ACTIONS(6911),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6911),
    [anon_sym_BSLASHACRlong] = ACTIONS(6911),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHacrfull] = ACTIONS(6911),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6911),
    [anon_sym_BSLASHACRfull] = ACTIONS(6911),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHacs] = ACTIONS(6911),
    [anon_sym_BSLASHAcs] = ACTIONS(6911),
    [anon_sym_BSLASHacsp] = ACTIONS(6911),
    [anon_sym_BSLASHAcsp] = ACTIONS(6911),
    [anon_sym_BSLASHacl] = ACTIONS(6911),
    [anon_sym_BSLASHAcl] = ACTIONS(6911),
    [anon_sym_BSLASHaclp] = ACTIONS(6911),
    [anon_sym_BSLASHAclp] = ACTIONS(6911),
    [anon_sym_BSLASHacf] = ACTIONS(6911),
    [anon_sym_BSLASHAcf] = ACTIONS(6911),
    [anon_sym_BSLASHacfp] = ACTIONS(6911),
    [anon_sym_BSLASHAcfp] = ACTIONS(6911),
    [anon_sym_BSLASHac] = ACTIONS(6911),
    [anon_sym_BSLASHAc] = ACTIONS(6911),
    [anon_sym_BSLASHacp] = ACTIONS(6911),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6911),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6911),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6911),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6911),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6911),
    [anon_sym_BSLASHcolor] = ACTIONS(6911),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6911),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6911),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6911),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6911),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6911),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6911),
    [anon_sym_BSLASHurl] = ACTIONS(6911),
    [anon_sym_BSLASHhref] = ACTIONS(6911),
  },
  [1653] = {
    [sym_brack_group_text] = STATE(1669),
    [sym_command_name] = ACTIONS(6931),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6931),
    [anon_sym_LBRACK] = ACTIONS(7824),
    [anon_sym_RBRACK] = ACTIONS(6933),
    [anon_sym_COMMA] = ACTIONS(6933),
    [anon_sym_EQ] = ACTIONS(6933),
    [anon_sym_LPAREN] = ACTIONS(6933),
    [anon_sym_RPAREN] = ACTIONS(6933),
    [anon_sym_LBRACE] = ACTIONS(6933),
    [sym_word] = ACTIONS(6931),
    [sym_placeholder] = ACTIONS(6933),
    [sym_delimiter] = ACTIONS(6933),
    [anon_sym_PLUS] = ACTIONS(6933),
    [anon_sym_DASH] = ACTIONS(6933),
    [anon_sym_STAR] = ACTIONS(6933),
    [anon_sym_SLASH] = ACTIONS(6933),
    [anon_sym_LT] = ACTIONS(6931),
    [anon_sym_GT] = ACTIONS(6931),
    [anon_sym_BANG] = ACTIONS(6931),
    [anon_sym_PIPE] = ACTIONS(6931),
    [anon_sym_COLON] = ACTIONS(6931),
    [anon_sym_SQUOTE] = ACTIONS(6931),
    [anon_sym__] = ACTIONS(6933),
    [anon_sym_CARET] = ACTIONS(6933),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6933),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6933),
    [anon_sym_DOLLAR] = ACTIONS(6931),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6933),
    [anon_sym_BSLASHleft] = ACTIONS(6931),
    [anon_sym_BSLASHbigl] = ACTIONS(6931),
    [anon_sym_BSLASHBigl] = ACTIONS(6931),
    [anon_sym_BSLASHbiggl] = ACTIONS(6931),
    [anon_sym_BSLASHBiggl] = ACTIONS(6931),
    [anon_sym_BSLASHtext] = ACTIONS(6931),
    [anon_sym_BSLASHintertext] = ACTIONS(6931),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6931),
    [anon_sym_BSLASHbegin] = ACTIONS(6931),
    [anon_sym_BSLASHend] = ACTIONS(6931),
    [anon_sym_BSLASHtitle] = ACTIONS(6931),
    [anon_sym_BSLASHauthor] = ACTIONS(6931),
    [anon_sym_BSLASHusepackage] = ACTIONS(6931),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6931),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6931),
    [anon_sym_BSLASHinclude] = ACTIONS(6931),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6931),
    [anon_sym_BSLASHinput] = ACTIONS(6931),
    [anon_sym_BSLASHsubfile] = ACTIONS(6931),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6931),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6931),
    [anon_sym_BSLASHbibliography] = ACTIONS(6931),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6931),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6931),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6931),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6931),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6931),
    [anon_sym_BSLASHimport] = ACTIONS(6931),
    [anon_sym_BSLASHsubimport] = ACTIONS(6931),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6931),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6931),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6931),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6931),
    [anon_sym_BSLASHcaption] = ACTIONS(6931),
    [anon_sym_BSLASHcite] = ACTIONS(6931),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCite] = ACTIONS(6931),
    [anon_sym_BSLASHnocite] = ACTIONS(6931),
    [anon_sym_BSLASHcitet] = ACTIONS(6931),
    [anon_sym_BSLASHcitep] = ACTIONS(6931),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteA] = ACTIONS(6931),
    [anon_sym_BSLASHciteR] = ACTIONS(6931),
    [anon_sym_BSLASHciteS] = ACTIONS(6931),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6931),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6931),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6931),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6931),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteyear] = ACTIONS(6931),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitedate] = ACTIONS(6931),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteurl] = ACTIONS(6931),
    [anon_sym_BSLASHfullcite] = ACTIONS(6931),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6931),
    [anon_sym_BSLASHcitealt] = ACTIONS(6931),
    [anon_sym_BSLASHcitealp] = ACTIONS(6931),
    [anon_sym_BSLASHcitetext] = ACTIONS(6931),
    [anon_sym_BSLASHparencite] = ACTIONS(6931),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHParencite] = ACTIONS(6931),
    [anon_sym_BSLASHfootcite] = ACTIONS(6931),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6931),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6931),
    [anon_sym_BSLASHtextcite] = ACTIONS(6931),
    [anon_sym_BSLASHTextcite] = ACTIONS(6931),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6931),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6931),
    [anon_sym_BSLASHsupercite] = ACTIONS(6931),
    [anon_sym_BSLASHautocite] = ACTIONS(6931),
    [anon_sym_BSLASHAutocite] = ACTIONS(6931),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHVolcite] = ACTIONS(6931),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHavolcite] = ACTIONS(6931),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHNotecite] = ACTIONS(6931),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHlabel] = ACTIONS(6931),
    [anon_sym_BSLASHref] = ACTIONS(6931),
    [anon_sym_BSLASHeqref] = ACTIONS(6931),
    [anon_sym_BSLASHvref] = ACTIONS(6931),
    [anon_sym_BSLASHVref] = ACTIONS(6931),
    [anon_sym_BSLASHautoref] = ACTIONS(6931),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHpageref] = ACTIONS(6931),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHautopageref] = ACTIONS(6931),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcref] = ACTIONS(6931),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCref] = ACTIONS(6931),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcpageref] = ACTIONS(6931),
    [anon_sym_BSLASHCpageref] = ACTIONS(6931),
    [anon_sym_BSLASHnamecref] = ACTIONS(6931),
    [anon_sym_BSLASHnameCref] = ACTIONS(6931),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6931),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6931),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6931),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6931),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6931),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6931),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6931),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6931),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6931),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6931),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6931),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHdef] = ACTIONS(6931),
    [anon_sym_BSLASHgdef] = ACTIONS(6931),
    [anon_sym_BSLASHedef] = ACTIONS(6931),
    [anon_sym_BSLASHxdef] = ACTIONS(6931),
    [anon_sym_BSLASHlet] = ACTIONS(6931),
    [anon_sym_BSLASHglet] = ACTIONS(6931),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6931),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6931),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6931),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6931),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6931),
    [anon_sym_BSLASHgls] = ACTIONS(6931),
    [anon_sym_BSLASHGls] = ACTIONS(6931),
    [anon_sym_BSLASHGLS] = ACTIONS(6931),
    [anon_sym_BSLASHglspl] = ACTIONS(6931),
    [anon_sym_BSLASHGlspl] = ACTIONS(6931),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6931),
    [anon_sym_BSLASHglslink] = ACTIONS(6931),
    [anon_sym_BSLASHglstext] = ACTIONS(6931),
    [anon_sym_BSLASHGlstext] = ACTIONS(6931),
    [anon_sym_BSLASHGLStext] = ACTIONS(6931),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6931),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6931),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6931),
    [anon_sym_BSLASHglsplural] = ACTIONS(6931),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6931),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6931),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHglsname] = ACTIONS(6931),
    [anon_sym_BSLASHGlsname] = ACTIONS(6931),
    [anon_sym_BSLASHGLSname] = ACTIONS(6931),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6931),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6931),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6931),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6931),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6931),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6931),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6931),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6931),
    [anon_sym_BSLASHacrshort] = ACTIONS(6931),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6931),
    [anon_sym_BSLASHACRshort] = ACTIONS(6931),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHacrlong] = ACTIONS(6931),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6931),
    [anon_sym_BSLASHACRlong] = ACTIONS(6931),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHacrfull] = ACTIONS(6931),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6931),
    [anon_sym_BSLASHACRfull] = ACTIONS(6931),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHacs] = ACTIONS(6931),
    [anon_sym_BSLASHAcs] = ACTIONS(6931),
    [anon_sym_BSLASHacsp] = ACTIONS(6931),
    [anon_sym_BSLASHAcsp] = ACTIONS(6931),
    [anon_sym_BSLASHacl] = ACTIONS(6931),
    [anon_sym_BSLASHAcl] = ACTIONS(6931),
    [anon_sym_BSLASHaclp] = ACTIONS(6931),
    [anon_sym_BSLASHAclp] = ACTIONS(6931),
    [anon_sym_BSLASHacf] = ACTIONS(6931),
    [anon_sym_BSLASHAcf] = ACTIONS(6931),
    [anon_sym_BSLASHacfp] = ACTIONS(6931),
    [anon_sym_BSLASHAcfp] = ACTIONS(6931),
    [anon_sym_BSLASHac] = ACTIONS(6931),
    [anon_sym_BSLASHAc] = ACTIONS(6931),
    [anon_sym_BSLASHacp] = ACTIONS(6931),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6931),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6931),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6931),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6931),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6931),
    [anon_sym_BSLASHcolor] = ACTIONS(6931),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6931),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6931),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6931),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6931),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6931),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6931),
    [anon_sym_BSLASHurl] = ACTIONS(6931),
    [anon_sym_BSLASHhref] = ACTIONS(6931),
  },
  [1654] = {
    [sym_curly_group] = STATE(1746),
    [sym_command_name] = ACTIONS(6935),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6937),
    [anon_sym_RBRACK] = ACTIONS(6937),
    [anon_sym_COMMA] = ACTIONS(6937),
    [anon_sym_EQ] = ACTIONS(6937),
    [anon_sym_LPAREN] = ACTIONS(6937),
    [anon_sym_RPAREN] = ACTIONS(6937),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [sym_word] = ACTIONS(6935),
    [sym_placeholder] = ACTIONS(6937),
    [sym_delimiter] = ACTIONS(6937),
    [anon_sym_PLUS] = ACTIONS(6937),
    [anon_sym_DASH] = ACTIONS(6937),
    [anon_sym_STAR] = ACTIONS(6937),
    [anon_sym_SLASH] = ACTIONS(6937),
    [anon_sym_LT] = ACTIONS(6935),
    [anon_sym_GT] = ACTIONS(6935),
    [anon_sym_BANG] = ACTIONS(6935),
    [anon_sym_PIPE] = ACTIONS(6935),
    [anon_sym_COLON] = ACTIONS(6935),
    [anon_sym_SQUOTE] = ACTIONS(6935),
    [anon_sym__] = ACTIONS(6937),
    [anon_sym_CARET] = ACTIONS(6937),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6937),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6937),
    [anon_sym_DOLLAR] = ACTIONS(6935),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6937),
    [anon_sym_BSLASHleft] = ACTIONS(6935),
    [anon_sym_BSLASHbigl] = ACTIONS(6935),
    [anon_sym_BSLASHBigl] = ACTIONS(6935),
    [anon_sym_BSLASHbiggl] = ACTIONS(6935),
    [anon_sym_BSLASHBiggl] = ACTIONS(6935),
    [anon_sym_BSLASHtext] = ACTIONS(6935),
    [anon_sym_BSLASHintertext] = ACTIONS(6935),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6935),
    [anon_sym_BSLASHbegin] = ACTIONS(6935),
    [anon_sym_BSLASHend] = ACTIONS(6935),
    [anon_sym_BSLASHtitle] = ACTIONS(6935),
    [anon_sym_BSLASHauthor] = ACTIONS(6935),
    [anon_sym_BSLASHusepackage] = ACTIONS(6935),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6935),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6935),
    [anon_sym_BSLASHinclude] = ACTIONS(6935),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6935),
    [anon_sym_BSLASHinput] = ACTIONS(6935),
    [anon_sym_BSLASHsubfile] = ACTIONS(6935),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6935),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6935),
    [anon_sym_BSLASHbibliography] = ACTIONS(6935),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6935),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6935),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6935),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6935),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6935),
    [anon_sym_BSLASHimport] = ACTIONS(6935),
    [anon_sym_BSLASHsubimport] = ACTIONS(6935),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6935),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6935),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6935),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6935),
    [anon_sym_BSLASHcaption] = ACTIONS(6935),
    [anon_sym_BSLASHcite] = ACTIONS(6935),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCite] = ACTIONS(6935),
    [anon_sym_BSLASHnocite] = ACTIONS(6935),
    [anon_sym_BSLASHcitet] = ACTIONS(6935),
    [anon_sym_BSLASHcitep] = ACTIONS(6935),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteA] = ACTIONS(6935),
    [anon_sym_BSLASHciteR] = ACTIONS(6935),
    [anon_sym_BSLASHciteS] = ACTIONS(6935),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6935),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6935),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6935),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6935),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteyear] = ACTIONS(6935),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitedate] = ACTIONS(6935),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteurl] = ACTIONS(6935),
    [anon_sym_BSLASHfullcite] = ACTIONS(6935),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6935),
    [anon_sym_BSLASHcitealt] = ACTIONS(6935),
    [anon_sym_BSLASHcitealp] = ACTIONS(6935),
    [anon_sym_BSLASHcitetext] = ACTIONS(6935),
    [anon_sym_BSLASHparencite] = ACTIONS(6935),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHParencite] = ACTIONS(6935),
    [anon_sym_BSLASHfootcite] = ACTIONS(6935),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6935),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6935),
    [anon_sym_BSLASHtextcite] = ACTIONS(6935),
    [anon_sym_BSLASHTextcite] = ACTIONS(6935),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6935),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6935),
    [anon_sym_BSLASHsupercite] = ACTIONS(6935),
    [anon_sym_BSLASHautocite] = ACTIONS(6935),
    [anon_sym_BSLASHAutocite] = ACTIONS(6935),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHVolcite] = ACTIONS(6935),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHavolcite] = ACTIONS(6935),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHNotecite] = ACTIONS(6935),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHlabel] = ACTIONS(6935),
    [anon_sym_BSLASHref] = ACTIONS(6935),
    [anon_sym_BSLASHeqref] = ACTIONS(6935),
    [anon_sym_BSLASHvref] = ACTIONS(6935),
    [anon_sym_BSLASHVref] = ACTIONS(6935),
    [anon_sym_BSLASHautoref] = ACTIONS(6935),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHpageref] = ACTIONS(6935),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHautopageref] = ACTIONS(6935),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcref] = ACTIONS(6935),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCref] = ACTIONS(6935),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcpageref] = ACTIONS(6935),
    [anon_sym_BSLASHCpageref] = ACTIONS(6935),
    [anon_sym_BSLASHnamecref] = ACTIONS(6935),
    [anon_sym_BSLASHnameCref] = ACTIONS(6935),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6935),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6935),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6935),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6935),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6935),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6935),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6935),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6935),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6935),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6935),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6935),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHdef] = ACTIONS(6935),
    [anon_sym_BSLASHgdef] = ACTIONS(6935),
    [anon_sym_BSLASHedef] = ACTIONS(6935),
    [anon_sym_BSLASHxdef] = ACTIONS(6935),
    [anon_sym_BSLASHlet] = ACTIONS(6935),
    [anon_sym_BSLASHglet] = ACTIONS(6935),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6935),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6935),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6935),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6935),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6935),
    [anon_sym_BSLASHgls] = ACTIONS(6935),
    [anon_sym_BSLASHGls] = ACTIONS(6935),
    [anon_sym_BSLASHGLS] = ACTIONS(6935),
    [anon_sym_BSLASHglspl] = ACTIONS(6935),
    [anon_sym_BSLASHGlspl] = ACTIONS(6935),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6935),
    [anon_sym_BSLASHglslink] = ACTIONS(6935),
    [anon_sym_BSLASHglstext] = ACTIONS(6935),
    [anon_sym_BSLASHGlstext] = ACTIONS(6935),
    [anon_sym_BSLASHGLStext] = ACTIONS(6935),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6935),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6935),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6935),
    [anon_sym_BSLASHglsplural] = ACTIONS(6935),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6935),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6935),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHglsname] = ACTIONS(6935),
    [anon_sym_BSLASHGlsname] = ACTIONS(6935),
    [anon_sym_BSLASHGLSname] = ACTIONS(6935),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6935),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6935),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6935),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6935),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6935),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6935),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6935),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6935),
    [anon_sym_BSLASHacrshort] = ACTIONS(6935),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6935),
    [anon_sym_BSLASHACRshort] = ACTIONS(6935),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHacrlong] = ACTIONS(6935),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6935),
    [anon_sym_BSLASHACRlong] = ACTIONS(6935),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHacrfull] = ACTIONS(6935),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6935),
    [anon_sym_BSLASHACRfull] = ACTIONS(6935),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHacs] = ACTIONS(6935),
    [anon_sym_BSLASHAcs] = ACTIONS(6935),
    [anon_sym_BSLASHacsp] = ACTIONS(6935),
    [anon_sym_BSLASHAcsp] = ACTIONS(6935),
    [anon_sym_BSLASHacl] = ACTIONS(6935),
    [anon_sym_BSLASHAcl] = ACTIONS(6935),
    [anon_sym_BSLASHaclp] = ACTIONS(6935),
    [anon_sym_BSLASHAclp] = ACTIONS(6935),
    [anon_sym_BSLASHacf] = ACTIONS(6935),
    [anon_sym_BSLASHAcf] = ACTIONS(6935),
    [anon_sym_BSLASHacfp] = ACTIONS(6935),
    [anon_sym_BSLASHAcfp] = ACTIONS(6935),
    [anon_sym_BSLASHac] = ACTIONS(6935),
    [anon_sym_BSLASHAc] = ACTIONS(6935),
    [anon_sym_BSLASHacp] = ACTIONS(6935),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6935),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6935),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6935),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6935),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6935),
    [anon_sym_BSLASHcolor] = ACTIONS(6935),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6935),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6935),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6935),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6935),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6935),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6935),
    [anon_sym_BSLASHurl] = ACTIONS(6935),
    [anon_sym_BSLASHhref] = ACTIONS(6935),
  },
  [1655] = {
    [sym_curly_group] = STATE(1735),
    [sym_command_name] = ACTIONS(6923),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6923),
    [anon_sym_LBRACK] = ACTIONS(6925),
    [anon_sym_RBRACK] = ACTIONS(6925),
    [anon_sym_COMMA] = ACTIONS(6925),
    [anon_sym_EQ] = ACTIONS(6925),
    [anon_sym_LPAREN] = ACTIONS(6925),
    [anon_sym_RPAREN] = ACTIONS(6925),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [sym_word] = ACTIONS(6923),
    [sym_placeholder] = ACTIONS(6925),
    [sym_delimiter] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6925),
    [anon_sym_DASH] = ACTIONS(6925),
    [anon_sym_STAR] = ACTIONS(6925),
    [anon_sym_SLASH] = ACTIONS(6925),
    [anon_sym_LT] = ACTIONS(6923),
    [anon_sym_GT] = ACTIONS(6923),
    [anon_sym_BANG] = ACTIONS(6923),
    [anon_sym_PIPE] = ACTIONS(6923),
    [anon_sym_COLON] = ACTIONS(6923),
    [anon_sym_SQUOTE] = ACTIONS(6923),
    [anon_sym__] = ACTIONS(6925),
    [anon_sym_CARET] = ACTIONS(6925),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6925),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6925),
    [anon_sym_DOLLAR] = ACTIONS(6923),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6925),
    [anon_sym_BSLASHleft] = ACTIONS(6923),
    [anon_sym_BSLASHbigl] = ACTIONS(6923),
    [anon_sym_BSLASHBigl] = ACTIONS(6923),
    [anon_sym_BSLASHbiggl] = ACTIONS(6923),
    [anon_sym_BSLASHBiggl] = ACTIONS(6923),
    [anon_sym_BSLASHtext] = ACTIONS(6923),
    [anon_sym_BSLASHintertext] = ACTIONS(6923),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6923),
    [anon_sym_BSLASHbegin] = ACTIONS(6923),
    [anon_sym_BSLASHend] = ACTIONS(6923),
    [anon_sym_BSLASHtitle] = ACTIONS(6923),
    [anon_sym_BSLASHauthor] = ACTIONS(6923),
    [anon_sym_BSLASHusepackage] = ACTIONS(6923),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6923),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6923),
    [anon_sym_BSLASHinclude] = ACTIONS(6923),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6923),
    [anon_sym_BSLASHinput] = ACTIONS(6923),
    [anon_sym_BSLASHsubfile] = ACTIONS(6923),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6923),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6923),
    [anon_sym_BSLASHbibliography] = ACTIONS(6923),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6923),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6923),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6923),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6923),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6923),
    [anon_sym_BSLASHimport] = ACTIONS(6923),
    [anon_sym_BSLASHsubimport] = ACTIONS(6923),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6923),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6923),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6923),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6923),
    [anon_sym_BSLASHcaption] = ACTIONS(6923),
    [anon_sym_BSLASHcite] = ACTIONS(6923),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCite] = ACTIONS(6923),
    [anon_sym_BSLASHnocite] = ACTIONS(6923),
    [anon_sym_BSLASHcitet] = ACTIONS(6923),
    [anon_sym_BSLASHcitep] = ACTIONS(6923),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteA] = ACTIONS(6923),
    [anon_sym_BSLASHciteR] = ACTIONS(6923),
    [anon_sym_BSLASHciteS] = ACTIONS(6923),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6923),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6923),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6923),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6923),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteyear] = ACTIONS(6923),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitedate] = ACTIONS(6923),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteurl] = ACTIONS(6923),
    [anon_sym_BSLASHfullcite] = ACTIONS(6923),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6923),
    [anon_sym_BSLASHcitealt] = ACTIONS(6923),
    [anon_sym_BSLASHcitealp] = ACTIONS(6923),
    [anon_sym_BSLASHcitetext] = ACTIONS(6923),
    [anon_sym_BSLASHparencite] = ACTIONS(6923),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHParencite] = ACTIONS(6923),
    [anon_sym_BSLASHfootcite] = ACTIONS(6923),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6923),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6923),
    [anon_sym_BSLASHtextcite] = ACTIONS(6923),
    [anon_sym_BSLASHTextcite] = ACTIONS(6923),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6923),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6923),
    [anon_sym_BSLASHsupercite] = ACTIONS(6923),
    [anon_sym_BSLASHautocite] = ACTIONS(6923),
    [anon_sym_BSLASHAutocite] = ACTIONS(6923),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHVolcite] = ACTIONS(6923),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHavolcite] = ACTIONS(6923),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHNotecite] = ACTIONS(6923),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHlabel] = ACTIONS(6923),
    [anon_sym_BSLASHref] = ACTIONS(6923),
    [anon_sym_BSLASHeqref] = ACTIONS(6923),
    [anon_sym_BSLASHvref] = ACTIONS(6923),
    [anon_sym_BSLASHVref] = ACTIONS(6923),
    [anon_sym_BSLASHautoref] = ACTIONS(6923),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHpageref] = ACTIONS(6923),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHautopageref] = ACTIONS(6923),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcref] = ACTIONS(6923),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCref] = ACTIONS(6923),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcpageref] = ACTIONS(6923),
    [anon_sym_BSLASHCpageref] = ACTIONS(6923),
    [anon_sym_BSLASHnamecref] = ACTIONS(6923),
    [anon_sym_BSLASHnameCref] = ACTIONS(6923),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6923),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6923),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6923),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6923),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6923),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6923),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6923),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6923),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6923),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6923),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6923),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHdef] = ACTIONS(6923),
    [anon_sym_BSLASHgdef] = ACTIONS(6923),
    [anon_sym_BSLASHedef] = ACTIONS(6923),
    [anon_sym_BSLASHxdef] = ACTIONS(6923),
    [anon_sym_BSLASHlet] = ACTIONS(6923),
    [anon_sym_BSLASHglet] = ACTIONS(6923),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6923),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6923),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6923),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6923),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6923),
    [anon_sym_BSLASHgls] = ACTIONS(6923),
    [anon_sym_BSLASHGls] = ACTIONS(6923),
    [anon_sym_BSLASHGLS] = ACTIONS(6923),
    [anon_sym_BSLASHglspl] = ACTIONS(6923),
    [anon_sym_BSLASHGlspl] = ACTIONS(6923),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6923),
    [anon_sym_BSLASHglslink] = ACTIONS(6923),
    [anon_sym_BSLASHglstext] = ACTIONS(6923),
    [anon_sym_BSLASHGlstext] = ACTIONS(6923),
    [anon_sym_BSLASHGLStext] = ACTIONS(6923),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6923),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6923),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6923),
    [anon_sym_BSLASHglsplural] = ACTIONS(6923),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6923),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6923),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHglsname] = ACTIONS(6923),
    [anon_sym_BSLASHGlsname] = ACTIONS(6923),
    [anon_sym_BSLASHGLSname] = ACTIONS(6923),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6923),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6923),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6923),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6923),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6923),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6923),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6923),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6923),
    [anon_sym_BSLASHacrshort] = ACTIONS(6923),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6923),
    [anon_sym_BSLASHACRshort] = ACTIONS(6923),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHacrlong] = ACTIONS(6923),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6923),
    [anon_sym_BSLASHACRlong] = ACTIONS(6923),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHacrfull] = ACTIONS(6923),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6923),
    [anon_sym_BSLASHACRfull] = ACTIONS(6923),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHacs] = ACTIONS(6923),
    [anon_sym_BSLASHAcs] = ACTIONS(6923),
    [anon_sym_BSLASHacsp] = ACTIONS(6923),
    [anon_sym_BSLASHAcsp] = ACTIONS(6923),
    [anon_sym_BSLASHacl] = ACTIONS(6923),
    [anon_sym_BSLASHAcl] = ACTIONS(6923),
    [anon_sym_BSLASHaclp] = ACTIONS(6923),
    [anon_sym_BSLASHAclp] = ACTIONS(6923),
    [anon_sym_BSLASHacf] = ACTIONS(6923),
    [anon_sym_BSLASHAcf] = ACTIONS(6923),
    [anon_sym_BSLASHacfp] = ACTIONS(6923),
    [anon_sym_BSLASHAcfp] = ACTIONS(6923),
    [anon_sym_BSLASHac] = ACTIONS(6923),
    [anon_sym_BSLASHAc] = ACTIONS(6923),
    [anon_sym_BSLASHacp] = ACTIONS(6923),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6923),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6923),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6923),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6923),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6923),
    [anon_sym_BSLASHcolor] = ACTIONS(6923),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6923),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6923),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6923),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6923),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6923),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6923),
    [anon_sym_BSLASHurl] = ACTIONS(6923),
    [anon_sym_BSLASHhref] = ACTIONS(6923),
  },
  [1656] = {
    [sym_command_name] = ACTIONS(6871),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6871),
    [anon_sym_BSLASHfi] = ACTIONS(7826),
    [anon_sym_LBRACK] = ACTIONS(6875),
    [anon_sym_RBRACK] = ACTIONS(6875),
    [anon_sym_COMMA] = ACTIONS(6875),
    [anon_sym_EQ] = ACTIONS(6875),
    [anon_sym_LPAREN] = ACTIONS(6875),
    [anon_sym_RPAREN] = ACTIONS(6875),
    [anon_sym_LBRACE] = ACTIONS(6875),
    [sym_word] = ACTIONS(6871),
    [sym_placeholder] = ACTIONS(6875),
    [sym_delimiter] = ACTIONS(6875),
    [anon_sym_PLUS] = ACTIONS(6875),
    [anon_sym_DASH] = ACTIONS(6875),
    [anon_sym_STAR] = ACTIONS(6875),
    [anon_sym_SLASH] = ACTIONS(6875),
    [anon_sym_LT] = ACTIONS(6871),
    [anon_sym_GT] = ACTIONS(6871),
    [anon_sym_BANG] = ACTIONS(6871),
    [anon_sym_PIPE] = ACTIONS(6871),
    [anon_sym_COLON] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6871),
    [anon_sym__] = ACTIONS(6875),
    [anon_sym_CARET] = ACTIONS(6875),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6875),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6875),
    [anon_sym_DOLLAR] = ACTIONS(6871),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6875),
    [anon_sym_BSLASHleft] = ACTIONS(6871),
    [anon_sym_BSLASHbigl] = ACTIONS(6871),
    [anon_sym_BSLASHBigl] = ACTIONS(6871),
    [anon_sym_BSLASHbiggl] = ACTIONS(6871),
    [anon_sym_BSLASHBiggl] = ACTIONS(6871),
    [anon_sym_BSLASHtext] = ACTIONS(6871),
    [anon_sym_BSLASHintertext] = ACTIONS(6871),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6871),
    [anon_sym_BSLASHbegin] = ACTIONS(6871),
    [anon_sym_BSLASHtitle] = ACTIONS(6871),
    [anon_sym_BSLASHauthor] = ACTIONS(6871),
    [anon_sym_BSLASHusepackage] = ACTIONS(6871),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6871),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6871),
    [anon_sym_BSLASHinclude] = ACTIONS(6871),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6871),
    [anon_sym_BSLASHinput] = ACTIONS(6871),
    [anon_sym_BSLASHsubfile] = ACTIONS(6871),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6871),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6871),
    [anon_sym_BSLASHbibliography] = ACTIONS(6871),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6871),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6871),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6871),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6871),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6871),
    [anon_sym_BSLASHimport] = ACTIONS(6871),
    [anon_sym_BSLASHsubimport] = ACTIONS(6871),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6871),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6871),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6871),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6871),
    [anon_sym_BSLASHcaption] = ACTIONS(6871),
    [anon_sym_BSLASHcite] = ACTIONS(6871),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCite] = ACTIONS(6871),
    [anon_sym_BSLASHnocite] = ACTIONS(6871),
    [anon_sym_BSLASHcitet] = ACTIONS(6871),
    [anon_sym_BSLASHcitep] = ACTIONS(6871),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteA] = ACTIONS(6871),
    [anon_sym_BSLASHciteR] = ACTIONS(6871),
    [anon_sym_BSLASHciteS] = ACTIONS(6871),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6871),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6871),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6871),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6871),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteyear] = ACTIONS(6871),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitedate] = ACTIONS(6871),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteurl] = ACTIONS(6871),
    [anon_sym_BSLASHfullcite] = ACTIONS(6871),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6871),
    [anon_sym_BSLASHcitealt] = ACTIONS(6871),
    [anon_sym_BSLASHcitealp] = ACTIONS(6871),
    [anon_sym_BSLASHcitetext] = ACTIONS(6871),
    [anon_sym_BSLASHparencite] = ACTIONS(6871),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHParencite] = ACTIONS(6871),
    [anon_sym_BSLASHfootcite] = ACTIONS(6871),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6871),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6871),
    [anon_sym_BSLASHtextcite] = ACTIONS(6871),
    [anon_sym_BSLASHTextcite] = ACTIONS(6871),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6871),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6871),
    [anon_sym_BSLASHsupercite] = ACTIONS(6871),
    [anon_sym_BSLASHautocite] = ACTIONS(6871),
    [anon_sym_BSLASHAutocite] = ACTIONS(6871),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHVolcite] = ACTIONS(6871),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHavolcite] = ACTIONS(6871),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHNotecite] = ACTIONS(6871),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHlabel] = ACTIONS(6871),
    [anon_sym_BSLASHref] = ACTIONS(6871),
    [anon_sym_BSLASHeqref] = ACTIONS(6871),
    [anon_sym_BSLASHvref] = ACTIONS(6871),
    [anon_sym_BSLASHVref] = ACTIONS(6871),
    [anon_sym_BSLASHautoref] = ACTIONS(6871),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHpageref] = ACTIONS(6871),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHautopageref] = ACTIONS(6871),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcref] = ACTIONS(6871),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCref] = ACTIONS(6871),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcpageref] = ACTIONS(6871),
    [anon_sym_BSLASHCpageref] = ACTIONS(6871),
    [anon_sym_BSLASHnamecref] = ACTIONS(6871),
    [anon_sym_BSLASHnameCref] = ACTIONS(6871),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6871),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6871),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6871),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6871),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6871),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6871),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6871),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6871),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6871),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6871),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6871),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHdef] = ACTIONS(6871),
    [anon_sym_BSLASHgdef] = ACTIONS(6871),
    [anon_sym_BSLASHedef] = ACTIONS(6871),
    [anon_sym_BSLASHxdef] = ACTIONS(6871),
    [anon_sym_BSLASHlet] = ACTIONS(6871),
    [anon_sym_BSLASHglet] = ACTIONS(6871),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6871),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6871),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6871),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6871),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6871),
    [anon_sym_BSLASHgls] = ACTIONS(6871),
    [anon_sym_BSLASHGls] = ACTIONS(6871),
    [anon_sym_BSLASHGLS] = ACTIONS(6871),
    [anon_sym_BSLASHglspl] = ACTIONS(6871),
    [anon_sym_BSLASHGlspl] = ACTIONS(6871),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6871),
    [anon_sym_BSLASHglslink] = ACTIONS(6871),
    [anon_sym_BSLASHglstext] = ACTIONS(6871),
    [anon_sym_BSLASHGlstext] = ACTIONS(6871),
    [anon_sym_BSLASHGLStext] = ACTIONS(6871),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6871),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6871),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6871),
    [anon_sym_BSLASHglsplural] = ACTIONS(6871),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6871),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6871),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHglsname] = ACTIONS(6871),
    [anon_sym_BSLASHGlsname] = ACTIONS(6871),
    [anon_sym_BSLASHGLSname] = ACTIONS(6871),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6871),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6871),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6871),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6871),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6871),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6871),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6871),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6871),
    [anon_sym_BSLASHacrshort] = ACTIONS(6871),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6871),
    [anon_sym_BSLASHACRshort] = ACTIONS(6871),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHacrlong] = ACTIONS(6871),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6871),
    [anon_sym_BSLASHACRlong] = ACTIONS(6871),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHacrfull] = ACTIONS(6871),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6871),
    [anon_sym_BSLASHACRfull] = ACTIONS(6871),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHacs] = ACTIONS(6871),
    [anon_sym_BSLASHAcs] = ACTIONS(6871),
    [anon_sym_BSLASHacsp] = ACTIONS(6871),
    [anon_sym_BSLASHAcsp] = ACTIONS(6871),
    [anon_sym_BSLASHacl] = ACTIONS(6871),
    [anon_sym_BSLASHAcl] = ACTIONS(6871),
    [anon_sym_BSLASHaclp] = ACTIONS(6871),
    [anon_sym_BSLASHAclp] = ACTIONS(6871),
    [anon_sym_BSLASHacf] = ACTIONS(6871),
    [anon_sym_BSLASHAcf] = ACTIONS(6871),
    [anon_sym_BSLASHacfp] = ACTIONS(6871),
    [anon_sym_BSLASHAcfp] = ACTIONS(6871),
    [anon_sym_BSLASHac] = ACTIONS(6871),
    [anon_sym_BSLASHAc] = ACTIONS(6871),
    [anon_sym_BSLASHacp] = ACTIONS(6871),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6871),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6871),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6871),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6871),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6871),
    [anon_sym_BSLASHcolor] = ACTIONS(6871),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6871),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6871),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6871),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6871),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6871),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6871),
    [anon_sym_BSLASHurl] = ACTIONS(6871),
    [anon_sym_BSLASHhref] = ACTIONS(6871),
    [sym__trivia_raw_fi] = ACTIONS(7828),
  },
  [1657] = {
    [sym_curly_group] = STATE(2074),
    [aux_sym_generic_command_repeat1] = STATE(1661),
    [sym_command_name] = ACTIONS(6889),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6889),
    [anon_sym_LBRACK] = ACTIONS(6891),
    [anon_sym_RBRACK] = ACTIONS(6891),
    [anon_sym_COMMA] = ACTIONS(6891),
    [anon_sym_EQ] = ACTIONS(6891),
    [anon_sym_LPAREN] = ACTIONS(6891),
    [anon_sym_RPAREN] = ACTIONS(6891),
    [anon_sym_LBRACE] = ACTIONS(3603),
    [sym_word] = ACTIONS(6889),
    [sym_placeholder] = ACTIONS(6891),
    [sym_delimiter] = ACTIONS(6891),
    [anon_sym_PLUS] = ACTIONS(6891),
    [anon_sym_DASH] = ACTIONS(6891),
    [anon_sym_STAR] = ACTIONS(6891),
    [anon_sym_SLASH] = ACTIONS(6891),
    [anon_sym_LT] = ACTIONS(6889),
    [anon_sym_GT] = ACTIONS(6889),
    [anon_sym_BANG] = ACTIONS(6889),
    [anon_sym_PIPE] = ACTIONS(6889),
    [anon_sym_COLON] = ACTIONS(6889),
    [anon_sym_SQUOTE] = ACTIONS(6889),
    [anon_sym__] = ACTIONS(6891),
    [anon_sym_CARET] = ACTIONS(6891),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6891),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6891),
    [anon_sym_DOLLAR] = ACTIONS(6889),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6891),
    [anon_sym_BSLASHleft] = ACTIONS(6889),
    [anon_sym_BSLASHbigl] = ACTIONS(6889),
    [anon_sym_BSLASHBigl] = ACTIONS(6889),
    [anon_sym_BSLASHbiggl] = ACTIONS(6889),
    [anon_sym_BSLASHBiggl] = ACTIONS(6889),
    [anon_sym_BSLASHtext] = ACTIONS(6889),
    [anon_sym_BSLASHintertext] = ACTIONS(6889),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6889),
    [anon_sym_BSLASHbegin] = ACTIONS(6889),
    [anon_sym_BSLASHtitle] = ACTIONS(6889),
    [anon_sym_BSLASHauthor] = ACTIONS(6889),
    [anon_sym_BSLASHusepackage] = ACTIONS(6889),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6889),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6889),
    [anon_sym_BSLASHinclude] = ACTIONS(6889),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6889),
    [anon_sym_BSLASHinput] = ACTIONS(6889),
    [anon_sym_BSLASHsubfile] = ACTIONS(6889),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6889),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6889),
    [anon_sym_BSLASHbibliography] = ACTIONS(6889),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6889),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6889),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6889),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6889),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6889),
    [anon_sym_BSLASHimport] = ACTIONS(6889),
    [anon_sym_BSLASHsubimport] = ACTIONS(6889),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6889),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6889),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6889),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6889),
    [anon_sym_BSLASHcaption] = ACTIONS(6889),
    [anon_sym_BSLASHcite] = ACTIONS(6889),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCite] = ACTIONS(6889),
    [anon_sym_BSLASHnocite] = ACTIONS(6889),
    [anon_sym_BSLASHcitet] = ACTIONS(6889),
    [anon_sym_BSLASHcitep] = ACTIONS(6889),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteA] = ACTIONS(6889),
    [anon_sym_BSLASHciteR] = ACTIONS(6889),
    [anon_sym_BSLASHciteS] = ACTIONS(6889),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6889),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6889),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6889),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6889),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteyear] = ACTIONS(6889),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitedate] = ACTIONS(6889),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteurl] = ACTIONS(6889),
    [anon_sym_BSLASHfullcite] = ACTIONS(6889),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6889),
    [anon_sym_BSLASHcitealt] = ACTIONS(6889),
    [anon_sym_BSLASHcitealp] = ACTIONS(6889),
    [anon_sym_BSLASHcitetext] = ACTIONS(6889),
    [anon_sym_BSLASHparencite] = ACTIONS(6889),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHParencite] = ACTIONS(6889),
    [anon_sym_BSLASHfootcite] = ACTIONS(6889),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6889),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6889),
    [anon_sym_BSLASHtextcite] = ACTIONS(6889),
    [anon_sym_BSLASHTextcite] = ACTIONS(6889),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6889),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6889),
    [anon_sym_BSLASHsupercite] = ACTIONS(6889),
    [anon_sym_BSLASHautocite] = ACTIONS(6889),
    [anon_sym_BSLASHAutocite] = ACTIONS(6889),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHVolcite] = ACTIONS(6889),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHavolcite] = ACTIONS(6889),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHNotecite] = ACTIONS(6889),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHlabel] = ACTIONS(6889),
    [anon_sym_BSLASHref] = ACTIONS(6889),
    [anon_sym_BSLASHeqref] = ACTIONS(6889),
    [anon_sym_BSLASHvref] = ACTIONS(6889),
    [anon_sym_BSLASHVref] = ACTIONS(6889),
    [anon_sym_BSLASHautoref] = ACTIONS(6889),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHpageref] = ACTIONS(6889),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHautopageref] = ACTIONS(6889),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcref] = ACTIONS(6889),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCref] = ACTIONS(6889),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcpageref] = ACTIONS(6889),
    [anon_sym_BSLASHCpageref] = ACTIONS(6889),
    [anon_sym_BSLASHnamecref] = ACTIONS(6889),
    [anon_sym_BSLASHnameCref] = ACTIONS(6889),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6889),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6889),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6889),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6889),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6889),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6889),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6889),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6889),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6889),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6889),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6889),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHdef] = ACTIONS(6889),
    [anon_sym_BSLASHgdef] = ACTIONS(6889),
    [anon_sym_BSLASHedef] = ACTIONS(6889),
    [anon_sym_BSLASHxdef] = ACTIONS(6889),
    [anon_sym_BSLASHlet] = ACTIONS(6889),
    [anon_sym_BSLASHglet] = ACTIONS(6889),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6889),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6889),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6889),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6889),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6889),
    [anon_sym_BSLASHgls] = ACTIONS(6889),
    [anon_sym_BSLASHGls] = ACTIONS(6889),
    [anon_sym_BSLASHGLS] = ACTIONS(6889),
    [anon_sym_BSLASHglspl] = ACTIONS(6889),
    [anon_sym_BSLASHGlspl] = ACTIONS(6889),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6889),
    [anon_sym_BSLASHglslink] = ACTIONS(6889),
    [anon_sym_BSLASHglstext] = ACTIONS(6889),
    [anon_sym_BSLASHGlstext] = ACTIONS(6889),
    [anon_sym_BSLASHGLStext] = ACTIONS(6889),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6889),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6889),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6889),
    [anon_sym_BSLASHglsplural] = ACTIONS(6889),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6889),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6889),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHglsname] = ACTIONS(6889),
    [anon_sym_BSLASHGlsname] = ACTIONS(6889),
    [anon_sym_BSLASHGLSname] = ACTIONS(6889),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6889),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6889),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6889),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6889),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6889),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6889),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6889),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6889),
    [anon_sym_BSLASHacrshort] = ACTIONS(6889),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6889),
    [anon_sym_BSLASHACRshort] = ACTIONS(6889),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHacrlong] = ACTIONS(6889),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6889),
    [anon_sym_BSLASHACRlong] = ACTIONS(6889),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHacrfull] = ACTIONS(6889),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6889),
    [anon_sym_BSLASHACRfull] = ACTIONS(6889),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHacs] = ACTIONS(6889),
    [anon_sym_BSLASHAcs] = ACTIONS(6889),
    [anon_sym_BSLASHacsp] = ACTIONS(6889),
    [anon_sym_BSLASHAcsp] = ACTIONS(6889),
    [anon_sym_BSLASHacl] = ACTIONS(6889),
    [anon_sym_BSLASHAcl] = ACTIONS(6889),
    [anon_sym_BSLASHaclp] = ACTIONS(6889),
    [anon_sym_BSLASHAclp] = ACTIONS(6889),
    [anon_sym_BSLASHacf] = ACTIONS(6889),
    [anon_sym_BSLASHAcf] = ACTIONS(6889),
    [anon_sym_BSLASHacfp] = ACTIONS(6889),
    [anon_sym_BSLASHAcfp] = ACTIONS(6889),
    [anon_sym_BSLASHac] = ACTIONS(6889),
    [anon_sym_BSLASHAc] = ACTIONS(6889),
    [anon_sym_BSLASHacp] = ACTIONS(6889),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6889),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6889),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6889),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6889),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6889),
    [anon_sym_BSLASHcolor] = ACTIONS(6889),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6889),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6889),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6889),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6889),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6889),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6889),
    [anon_sym_BSLASHurl] = ACTIONS(6889),
    [anon_sym_BSLASHhref] = ACTIONS(6889),
  },
  [1658] = {
    [sym_curly_group] = STATE(1764),
    [sym_brack_group_text] = STATE(2968),
    [sym_command_name] = ACTIONS(6905),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6905),
    [anon_sym_LBRACK] = ACTIONS(6883),
    [anon_sym_RBRACK] = ACTIONS(6907),
    [anon_sym_COMMA] = ACTIONS(6907),
    [anon_sym_EQ] = ACTIONS(6907),
    [anon_sym_LPAREN] = ACTIONS(6907),
    [anon_sym_RPAREN] = ACTIONS(6907),
    [anon_sym_LBRACE] = ACTIONS(3603),
    [sym_word] = ACTIONS(6905),
    [sym_placeholder] = ACTIONS(6907),
    [sym_delimiter] = ACTIONS(6907),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_STAR] = ACTIONS(6907),
    [anon_sym_SLASH] = ACTIONS(6907),
    [anon_sym_LT] = ACTIONS(6905),
    [anon_sym_GT] = ACTIONS(6905),
    [anon_sym_BANG] = ACTIONS(6905),
    [anon_sym_PIPE] = ACTIONS(6905),
    [anon_sym_COLON] = ACTIONS(6905),
    [anon_sym_SQUOTE] = ACTIONS(6905),
    [anon_sym__] = ACTIONS(6907),
    [anon_sym_CARET] = ACTIONS(6907),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6907),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6907),
    [anon_sym_DOLLAR] = ACTIONS(6905),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6907),
    [anon_sym_BSLASHleft] = ACTIONS(6905),
    [anon_sym_BSLASHbigl] = ACTIONS(6905),
    [anon_sym_BSLASHBigl] = ACTIONS(6905),
    [anon_sym_BSLASHbiggl] = ACTIONS(6905),
    [anon_sym_BSLASHBiggl] = ACTIONS(6905),
    [anon_sym_BSLASHtext] = ACTIONS(6905),
    [anon_sym_BSLASHintertext] = ACTIONS(6905),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6905),
    [anon_sym_BSLASHbegin] = ACTIONS(6905),
    [anon_sym_BSLASHtitle] = ACTIONS(6905),
    [anon_sym_BSLASHauthor] = ACTIONS(6905),
    [anon_sym_BSLASHusepackage] = ACTIONS(6905),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6905),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6905),
    [anon_sym_BSLASHinclude] = ACTIONS(6905),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6905),
    [anon_sym_BSLASHinput] = ACTIONS(6905),
    [anon_sym_BSLASHsubfile] = ACTIONS(6905),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6905),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6905),
    [anon_sym_BSLASHbibliography] = ACTIONS(6905),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6905),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6905),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6905),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6905),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6905),
    [anon_sym_BSLASHimport] = ACTIONS(6905),
    [anon_sym_BSLASHsubimport] = ACTIONS(6905),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6905),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6905),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6905),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6905),
    [anon_sym_BSLASHcaption] = ACTIONS(6905),
    [anon_sym_BSLASHcite] = ACTIONS(6905),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCite] = ACTIONS(6905),
    [anon_sym_BSLASHnocite] = ACTIONS(6905),
    [anon_sym_BSLASHcitet] = ACTIONS(6905),
    [anon_sym_BSLASHcitep] = ACTIONS(6905),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteA] = ACTIONS(6905),
    [anon_sym_BSLASHciteR] = ACTIONS(6905),
    [anon_sym_BSLASHciteS] = ACTIONS(6905),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6905),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6905),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6905),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6905),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteyear] = ACTIONS(6905),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitedate] = ACTIONS(6905),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteurl] = ACTIONS(6905),
    [anon_sym_BSLASHfullcite] = ACTIONS(6905),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6905),
    [anon_sym_BSLASHcitealt] = ACTIONS(6905),
    [anon_sym_BSLASHcitealp] = ACTIONS(6905),
    [anon_sym_BSLASHcitetext] = ACTIONS(6905),
    [anon_sym_BSLASHparencite] = ACTIONS(6905),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHParencite] = ACTIONS(6905),
    [anon_sym_BSLASHfootcite] = ACTIONS(6905),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6905),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6905),
    [anon_sym_BSLASHtextcite] = ACTIONS(6905),
    [anon_sym_BSLASHTextcite] = ACTIONS(6905),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6905),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6905),
    [anon_sym_BSLASHsupercite] = ACTIONS(6905),
    [anon_sym_BSLASHautocite] = ACTIONS(6905),
    [anon_sym_BSLASHAutocite] = ACTIONS(6905),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHVolcite] = ACTIONS(6905),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHavolcite] = ACTIONS(6905),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHNotecite] = ACTIONS(6905),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHlabel] = ACTIONS(6905),
    [anon_sym_BSLASHref] = ACTIONS(6905),
    [anon_sym_BSLASHeqref] = ACTIONS(6905),
    [anon_sym_BSLASHvref] = ACTIONS(6905),
    [anon_sym_BSLASHVref] = ACTIONS(6905),
    [anon_sym_BSLASHautoref] = ACTIONS(6905),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHpageref] = ACTIONS(6905),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHautopageref] = ACTIONS(6905),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcref] = ACTIONS(6905),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCref] = ACTIONS(6905),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcpageref] = ACTIONS(6905),
    [anon_sym_BSLASHCpageref] = ACTIONS(6905),
    [anon_sym_BSLASHnamecref] = ACTIONS(6905),
    [anon_sym_BSLASHnameCref] = ACTIONS(6905),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6905),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6905),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6905),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6905),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6905),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6905),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6905),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6905),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6905),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6905),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6905),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHdef] = ACTIONS(6905),
    [anon_sym_BSLASHgdef] = ACTIONS(6905),
    [anon_sym_BSLASHedef] = ACTIONS(6905),
    [anon_sym_BSLASHxdef] = ACTIONS(6905),
    [anon_sym_BSLASHlet] = ACTIONS(6905),
    [anon_sym_BSLASHglet] = ACTIONS(6905),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6905),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6905),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6905),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6905),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6905),
    [anon_sym_BSLASHgls] = ACTIONS(6905),
    [anon_sym_BSLASHGls] = ACTIONS(6905),
    [anon_sym_BSLASHGLS] = ACTIONS(6905),
    [anon_sym_BSLASHglspl] = ACTIONS(6905),
    [anon_sym_BSLASHGlspl] = ACTIONS(6905),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6905),
    [anon_sym_BSLASHglslink] = ACTIONS(6905),
    [anon_sym_BSLASHglstext] = ACTIONS(6905),
    [anon_sym_BSLASHGlstext] = ACTIONS(6905),
    [anon_sym_BSLASHGLStext] = ACTIONS(6905),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6905),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6905),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6905),
    [anon_sym_BSLASHglsplural] = ACTIONS(6905),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6905),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6905),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHglsname] = ACTIONS(6905),
    [anon_sym_BSLASHGlsname] = ACTIONS(6905),
    [anon_sym_BSLASHGLSname] = ACTIONS(6905),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6905),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6905),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6905),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6905),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6905),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6905),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6905),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6905),
    [anon_sym_BSLASHacrshort] = ACTIONS(6905),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6905),
    [anon_sym_BSLASHACRshort] = ACTIONS(6905),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHacrlong] = ACTIONS(6905),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6905),
    [anon_sym_BSLASHACRlong] = ACTIONS(6905),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHacrfull] = ACTIONS(6905),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6905),
    [anon_sym_BSLASHACRfull] = ACTIONS(6905),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHacs] = ACTIONS(6905),
    [anon_sym_BSLASHAcs] = ACTIONS(6905),
    [anon_sym_BSLASHacsp] = ACTIONS(6905),
    [anon_sym_BSLASHAcsp] = ACTIONS(6905),
    [anon_sym_BSLASHacl] = ACTIONS(6905),
    [anon_sym_BSLASHAcl] = ACTIONS(6905),
    [anon_sym_BSLASHaclp] = ACTIONS(6905),
    [anon_sym_BSLASHAclp] = ACTIONS(6905),
    [anon_sym_BSLASHacf] = ACTIONS(6905),
    [anon_sym_BSLASHAcf] = ACTIONS(6905),
    [anon_sym_BSLASHacfp] = ACTIONS(6905),
    [anon_sym_BSLASHAcfp] = ACTIONS(6905),
    [anon_sym_BSLASHac] = ACTIONS(6905),
    [anon_sym_BSLASHAc] = ACTIONS(6905),
    [anon_sym_BSLASHacp] = ACTIONS(6905),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6905),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6905),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6905),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6905),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6905),
    [anon_sym_BSLASHcolor] = ACTIONS(6905),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6905),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6905),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6905),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6905),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6905),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6905),
    [anon_sym_BSLASHurl] = ACTIONS(6905),
    [anon_sym_BSLASHhref] = ACTIONS(6905),
  },
  [1659] = {
    [sym_curly_group] = STATE(2074),
    [aux_sym_generic_command_repeat1] = STATE(1659),
    [sym_command_name] = ACTIONS(6864),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6864),
    [anon_sym_LBRACK] = ACTIONS(6866),
    [anon_sym_RBRACK] = ACTIONS(6866),
    [anon_sym_COMMA] = ACTIONS(6866),
    [anon_sym_EQ] = ACTIONS(6866),
    [anon_sym_LPAREN] = ACTIONS(6866),
    [anon_sym_RPAREN] = ACTIONS(6866),
    [anon_sym_LBRACE] = ACTIONS(7830),
    [sym_word] = ACTIONS(6864),
    [sym_placeholder] = ACTIONS(6866),
    [sym_delimiter] = ACTIONS(6866),
    [anon_sym_PLUS] = ACTIONS(6866),
    [anon_sym_DASH] = ACTIONS(6866),
    [anon_sym_STAR] = ACTIONS(6866),
    [anon_sym_SLASH] = ACTIONS(6866),
    [anon_sym_LT] = ACTIONS(6864),
    [anon_sym_GT] = ACTIONS(6864),
    [anon_sym_BANG] = ACTIONS(6864),
    [anon_sym_PIPE] = ACTIONS(6864),
    [anon_sym_COLON] = ACTIONS(6864),
    [anon_sym_SQUOTE] = ACTIONS(6864),
    [anon_sym__] = ACTIONS(6866),
    [anon_sym_CARET] = ACTIONS(6866),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6866),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6866),
    [anon_sym_DOLLAR] = ACTIONS(6864),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6866),
    [anon_sym_BSLASHleft] = ACTIONS(6864),
    [anon_sym_BSLASHbigl] = ACTIONS(6864),
    [anon_sym_BSLASHBigl] = ACTIONS(6864),
    [anon_sym_BSLASHbiggl] = ACTIONS(6864),
    [anon_sym_BSLASHBiggl] = ACTIONS(6864),
    [anon_sym_BSLASHtext] = ACTIONS(6864),
    [anon_sym_BSLASHintertext] = ACTIONS(6864),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6864),
    [anon_sym_BSLASHbegin] = ACTIONS(6864),
    [anon_sym_BSLASHtitle] = ACTIONS(6864),
    [anon_sym_BSLASHauthor] = ACTIONS(6864),
    [anon_sym_BSLASHusepackage] = ACTIONS(6864),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6864),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6864),
    [anon_sym_BSLASHinclude] = ACTIONS(6864),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6864),
    [anon_sym_BSLASHinput] = ACTIONS(6864),
    [anon_sym_BSLASHsubfile] = ACTIONS(6864),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6864),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6864),
    [anon_sym_BSLASHbibliography] = ACTIONS(6864),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6864),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6864),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6864),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6864),
    [anon_sym_BSLASHimport] = ACTIONS(6864),
    [anon_sym_BSLASHsubimport] = ACTIONS(6864),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6864),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6864),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6864),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6864),
    [anon_sym_BSLASHcaption] = ACTIONS(6864),
    [anon_sym_BSLASHcite] = ACTIONS(6864),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCite] = ACTIONS(6864),
    [anon_sym_BSLASHnocite] = ACTIONS(6864),
    [anon_sym_BSLASHcitet] = ACTIONS(6864),
    [anon_sym_BSLASHcitep] = ACTIONS(6864),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteA] = ACTIONS(6864),
    [anon_sym_BSLASHciteR] = ACTIONS(6864),
    [anon_sym_BSLASHciteS] = ACTIONS(6864),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6864),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6864),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6864),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6864),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteyear] = ACTIONS(6864),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitedate] = ACTIONS(6864),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteurl] = ACTIONS(6864),
    [anon_sym_BSLASHfullcite] = ACTIONS(6864),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6864),
    [anon_sym_BSLASHcitealt] = ACTIONS(6864),
    [anon_sym_BSLASHcitealp] = ACTIONS(6864),
    [anon_sym_BSLASHcitetext] = ACTIONS(6864),
    [anon_sym_BSLASHparencite] = ACTIONS(6864),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHParencite] = ACTIONS(6864),
    [anon_sym_BSLASHfootcite] = ACTIONS(6864),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6864),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6864),
    [anon_sym_BSLASHtextcite] = ACTIONS(6864),
    [anon_sym_BSLASHTextcite] = ACTIONS(6864),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6864),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6864),
    [anon_sym_BSLASHsupercite] = ACTIONS(6864),
    [anon_sym_BSLASHautocite] = ACTIONS(6864),
    [anon_sym_BSLASHAutocite] = ACTIONS(6864),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHVolcite] = ACTIONS(6864),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHavolcite] = ACTIONS(6864),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHNotecite] = ACTIONS(6864),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHlabel] = ACTIONS(6864),
    [anon_sym_BSLASHref] = ACTIONS(6864),
    [anon_sym_BSLASHeqref] = ACTIONS(6864),
    [anon_sym_BSLASHvref] = ACTIONS(6864),
    [anon_sym_BSLASHVref] = ACTIONS(6864),
    [anon_sym_BSLASHautoref] = ACTIONS(6864),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHpageref] = ACTIONS(6864),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHautopageref] = ACTIONS(6864),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcref] = ACTIONS(6864),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCref] = ACTIONS(6864),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcpageref] = ACTIONS(6864),
    [anon_sym_BSLASHCpageref] = ACTIONS(6864),
    [anon_sym_BSLASHnamecref] = ACTIONS(6864),
    [anon_sym_BSLASHnameCref] = ACTIONS(6864),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6864),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6864),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6864),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6864),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6864),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6864),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6864),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6864),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6864),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6864),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6864),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHdef] = ACTIONS(6864),
    [anon_sym_BSLASHgdef] = ACTIONS(6864),
    [anon_sym_BSLASHedef] = ACTIONS(6864),
    [anon_sym_BSLASHxdef] = ACTIONS(6864),
    [anon_sym_BSLASHlet] = ACTIONS(6864),
    [anon_sym_BSLASHglet] = ACTIONS(6864),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6864),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6864),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6864),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6864),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6864),
    [anon_sym_BSLASHgls] = ACTIONS(6864),
    [anon_sym_BSLASHGls] = ACTIONS(6864),
    [anon_sym_BSLASHGLS] = ACTIONS(6864),
    [anon_sym_BSLASHglspl] = ACTIONS(6864),
    [anon_sym_BSLASHGlspl] = ACTIONS(6864),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6864),
    [anon_sym_BSLASHglslink] = ACTIONS(6864),
    [anon_sym_BSLASHglstext] = ACTIONS(6864),
    [anon_sym_BSLASHGlstext] = ACTIONS(6864),
    [anon_sym_BSLASHGLStext] = ACTIONS(6864),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6864),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6864),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6864),
    [anon_sym_BSLASHglsplural] = ACTIONS(6864),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6864),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6864),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHglsname] = ACTIONS(6864),
    [anon_sym_BSLASHGlsname] = ACTIONS(6864),
    [anon_sym_BSLASHGLSname] = ACTIONS(6864),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6864),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6864),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6864),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6864),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6864),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6864),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6864),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6864),
    [anon_sym_BSLASHacrshort] = ACTIONS(6864),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6864),
    [anon_sym_BSLASHACRshort] = ACTIONS(6864),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHacrlong] = ACTIONS(6864),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6864),
    [anon_sym_BSLASHACRlong] = ACTIONS(6864),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHacrfull] = ACTIONS(6864),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6864),
    [anon_sym_BSLASHACRfull] = ACTIONS(6864),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHacs] = ACTIONS(6864),
    [anon_sym_BSLASHAcs] = ACTIONS(6864),
    [anon_sym_BSLASHacsp] = ACTIONS(6864),
    [anon_sym_BSLASHAcsp] = ACTIONS(6864),
    [anon_sym_BSLASHacl] = ACTIONS(6864),
    [anon_sym_BSLASHAcl] = ACTIONS(6864),
    [anon_sym_BSLASHaclp] = ACTIONS(6864),
    [anon_sym_BSLASHAclp] = ACTIONS(6864),
    [anon_sym_BSLASHacf] = ACTIONS(6864),
    [anon_sym_BSLASHAcf] = ACTIONS(6864),
    [anon_sym_BSLASHacfp] = ACTIONS(6864),
    [anon_sym_BSLASHAcfp] = ACTIONS(6864),
    [anon_sym_BSLASHac] = ACTIONS(6864),
    [anon_sym_BSLASHAc] = ACTIONS(6864),
    [anon_sym_BSLASHacp] = ACTIONS(6864),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6864),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6864),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6864),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6864),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6864),
    [anon_sym_BSLASHcolor] = ACTIONS(6864),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6864),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6864),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6864),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6864),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6864),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6864),
    [anon_sym_BSLASHurl] = ACTIONS(6864),
    [anon_sym_BSLASHhref] = ACTIONS(6864),
  },
  [1660] = {
    [sym_brack_group_text] = STATE(1699),
    [sym_command_name] = ACTIONS(6917),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6917),
    [anon_sym_LBRACK] = ACTIONS(7824),
    [anon_sym_RBRACK] = ACTIONS(6921),
    [anon_sym_COMMA] = ACTIONS(6921),
    [anon_sym_EQ] = ACTIONS(6921),
    [anon_sym_LPAREN] = ACTIONS(6921),
    [anon_sym_RPAREN] = ACTIONS(6921),
    [anon_sym_LBRACE] = ACTIONS(6921),
    [sym_word] = ACTIONS(6917),
    [sym_placeholder] = ACTIONS(6921),
    [sym_delimiter] = ACTIONS(6921),
    [anon_sym_PLUS] = ACTIONS(6921),
    [anon_sym_DASH] = ACTIONS(6921),
    [anon_sym_STAR] = ACTIONS(6921),
    [anon_sym_SLASH] = ACTIONS(6921),
    [anon_sym_LT] = ACTIONS(6917),
    [anon_sym_GT] = ACTIONS(6917),
    [anon_sym_BANG] = ACTIONS(6917),
    [anon_sym_PIPE] = ACTIONS(6917),
    [anon_sym_COLON] = ACTIONS(6917),
    [anon_sym_SQUOTE] = ACTIONS(6917),
    [anon_sym__] = ACTIONS(6921),
    [anon_sym_CARET] = ACTIONS(6921),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6921),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6921),
    [anon_sym_DOLLAR] = ACTIONS(6917),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6921),
    [anon_sym_BSLASHleft] = ACTIONS(6917),
    [anon_sym_BSLASHbigl] = ACTIONS(6917),
    [anon_sym_BSLASHBigl] = ACTIONS(6917),
    [anon_sym_BSLASHbiggl] = ACTIONS(6917),
    [anon_sym_BSLASHBiggl] = ACTIONS(6917),
    [anon_sym_BSLASHtext] = ACTIONS(6917),
    [anon_sym_BSLASHintertext] = ACTIONS(6917),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6917),
    [anon_sym_BSLASHbegin] = ACTIONS(6917),
    [anon_sym_BSLASHend] = ACTIONS(6917),
    [anon_sym_BSLASHtitle] = ACTIONS(6917),
    [anon_sym_BSLASHauthor] = ACTIONS(6917),
    [anon_sym_BSLASHusepackage] = ACTIONS(6917),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6917),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6917),
    [anon_sym_BSLASHinclude] = ACTIONS(6917),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6917),
    [anon_sym_BSLASHinput] = ACTIONS(6917),
    [anon_sym_BSLASHsubfile] = ACTIONS(6917),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6917),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6917),
    [anon_sym_BSLASHbibliography] = ACTIONS(6917),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6917),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6917),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6917),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6917),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6917),
    [anon_sym_BSLASHimport] = ACTIONS(6917),
    [anon_sym_BSLASHsubimport] = ACTIONS(6917),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6917),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6917),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6917),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6917),
    [anon_sym_BSLASHcaption] = ACTIONS(6917),
    [anon_sym_BSLASHcite] = ACTIONS(6917),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCite] = ACTIONS(6917),
    [anon_sym_BSLASHnocite] = ACTIONS(6917),
    [anon_sym_BSLASHcitet] = ACTIONS(6917),
    [anon_sym_BSLASHcitep] = ACTIONS(6917),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteA] = ACTIONS(6917),
    [anon_sym_BSLASHciteR] = ACTIONS(6917),
    [anon_sym_BSLASHciteS] = ACTIONS(6917),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6917),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6917),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6917),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6917),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteyear] = ACTIONS(6917),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitedate] = ACTIONS(6917),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteurl] = ACTIONS(6917),
    [anon_sym_BSLASHfullcite] = ACTIONS(6917),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6917),
    [anon_sym_BSLASHcitealt] = ACTIONS(6917),
    [anon_sym_BSLASHcitealp] = ACTIONS(6917),
    [anon_sym_BSLASHcitetext] = ACTIONS(6917),
    [anon_sym_BSLASHparencite] = ACTIONS(6917),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHParencite] = ACTIONS(6917),
    [anon_sym_BSLASHfootcite] = ACTIONS(6917),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6917),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6917),
    [anon_sym_BSLASHtextcite] = ACTIONS(6917),
    [anon_sym_BSLASHTextcite] = ACTIONS(6917),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6917),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6917),
    [anon_sym_BSLASHsupercite] = ACTIONS(6917),
    [anon_sym_BSLASHautocite] = ACTIONS(6917),
    [anon_sym_BSLASHAutocite] = ACTIONS(6917),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHVolcite] = ACTIONS(6917),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHavolcite] = ACTIONS(6917),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHNotecite] = ACTIONS(6917),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHlabel] = ACTIONS(6917),
    [anon_sym_BSLASHref] = ACTIONS(6917),
    [anon_sym_BSLASHeqref] = ACTIONS(6917),
    [anon_sym_BSLASHvref] = ACTIONS(6917),
    [anon_sym_BSLASHVref] = ACTIONS(6917),
    [anon_sym_BSLASHautoref] = ACTIONS(6917),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHpageref] = ACTIONS(6917),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHautopageref] = ACTIONS(6917),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcref] = ACTIONS(6917),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCref] = ACTIONS(6917),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcpageref] = ACTIONS(6917),
    [anon_sym_BSLASHCpageref] = ACTIONS(6917),
    [anon_sym_BSLASHnamecref] = ACTIONS(6917),
    [anon_sym_BSLASHnameCref] = ACTIONS(6917),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6917),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6917),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6917),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6917),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6917),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6917),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6917),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6917),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6917),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6917),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6917),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHdef] = ACTIONS(6917),
    [anon_sym_BSLASHgdef] = ACTIONS(6917),
    [anon_sym_BSLASHedef] = ACTIONS(6917),
    [anon_sym_BSLASHxdef] = ACTIONS(6917),
    [anon_sym_BSLASHlet] = ACTIONS(6917),
    [anon_sym_BSLASHglet] = ACTIONS(6917),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6917),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6917),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6917),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6917),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6917),
    [anon_sym_BSLASHgls] = ACTIONS(6917),
    [anon_sym_BSLASHGls] = ACTIONS(6917),
    [anon_sym_BSLASHGLS] = ACTIONS(6917),
    [anon_sym_BSLASHglspl] = ACTIONS(6917),
    [anon_sym_BSLASHGlspl] = ACTIONS(6917),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6917),
    [anon_sym_BSLASHglslink] = ACTIONS(6917),
    [anon_sym_BSLASHglstext] = ACTIONS(6917),
    [anon_sym_BSLASHGlstext] = ACTIONS(6917),
    [anon_sym_BSLASHGLStext] = ACTIONS(6917),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6917),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6917),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6917),
    [anon_sym_BSLASHglsplural] = ACTIONS(6917),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6917),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6917),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHglsname] = ACTIONS(6917),
    [anon_sym_BSLASHGlsname] = ACTIONS(6917),
    [anon_sym_BSLASHGLSname] = ACTIONS(6917),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6917),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6917),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6917),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6917),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6917),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6917),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6917),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6917),
    [anon_sym_BSLASHacrshort] = ACTIONS(6917),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6917),
    [anon_sym_BSLASHACRshort] = ACTIONS(6917),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHacrlong] = ACTIONS(6917),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6917),
    [anon_sym_BSLASHACRlong] = ACTIONS(6917),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHacrfull] = ACTIONS(6917),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6917),
    [anon_sym_BSLASHACRfull] = ACTIONS(6917),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHacs] = ACTIONS(6917),
    [anon_sym_BSLASHAcs] = ACTIONS(6917),
    [anon_sym_BSLASHacsp] = ACTIONS(6917),
    [anon_sym_BSLASHAcsp] = ACTIONS(6917),
    [anon_sym_BSLASHacl] = ACTIONS(6917),
    [anon_sym_BSLASHAcl] = ACTIONS(6917),
    [anon_sym_BSLASHaclp] = ACTIONS(6917),
    [anon_sym_BSLASHAclp] = ACTIONS(6917),
    [anon_sym_BSLASHacf] = ACTIONS(6917),
    [anon_sym_BSLASHAcf] = ACTIONS(6917),
    [anon_sym_BSLASHacfp] = ACTIONS(6917),
    [anon_sym_BSLASHAcfp] = ACTIONS(6917),
    [anon_sym_BSLASHac] = ACTIONS(6917),
    [anon_sym_BSLASHAc] = ACTIONS(6917),
    [anon_sym_BSLASHacp] = ACTIONS(6917),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6917),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6917),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6917),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6917),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6917),
    [anon_sym_BSLASHcolor] = ACTIONS(6917),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6917),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6917),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6917),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6917),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6917),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6917),
    [anon_sym_BSLASHurl] = ACTIONS(6917),
    [anon_sym_BSLASHhref] = ACTIONS(6917),
  },
  [1661] = {
    [sym_curly_group] = STATE(2074),
    [aux_sym_generic_command_repeat1] = STATE(1659),
    [sym_command_name] = ACTIONS(6901),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6901),
    [anon_sym_LBRACK] = ACTIONS(6903),
    [anon_sym_RBRACK] = ACTIONS(6903),
    [anon_sym_COMMA] = ACTIONS(6903),
    [anon_sym_EQ] = ACTIONS(6903),
    [anon_sym_LPAREN] = ACTIONS(6903),
    [anon_sym_RPAREN] = ACTIONS(6903),
    [anon_sym_LBRACE] = ACTIONS(3603),
    [sym_word] = ACTIONS(6901),
    [sym_placeholder] = ACTIONS(6903),
    [sym_delimiter] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6903),
    [anon_sym_DASH] = ACTIONS(6903),
    [anon_sym_STAR] = ACTIONS(6903),
    [anon_sym_SLASH] = ACTIONS(6903),
    [anon_sym_LT] = ACTIONS(6901),
    [anon_sym_GT] = ACTIONS(6901),
    [anon_sym_BANG] = ACTIONS(6901),
    [anon_sym_PIPE] = ACTIONS(6901),
    [anon_sym_COLON] = ACTIONS(6901),
    [anon_sym_SQUOTE] = ACTIONS(6901),
    [anon_sym__] = ACTIONS(6903),
    [anon_sym_CARET] = ACTIONS(6903),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6903),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6903),
    [anon_sym_DOLLAR] = ACTIONS(6901),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6903),
    [anon_sym_BSLASHleft] = ACTIONS(6901),
    [anon_sym_BSLASHbigl] = ACTIONS(6901),
    [anon_sym_BSLASHBigl] = ACTIONS(6901),
    [anon_sym_BSLASHbiggl] = ACTIONS(6901),
    [anon_sym_BSLASHBiggl] = ACTIONS(6901),
    [anon_sym_BSLASHtext] = ACTIONS(6901),
    [anon_sym_BSLASHintertext] = ACTIONS(6901),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6901),
    [anon_sym_BSLASHbegin] = ACTIONS(6901),
    [anon_sym_BSLASHtitle] = ACTIONS(6901),
    [anon_sym_BSLASHauthor] = ACTIONS(6901),
    [anon_sym_BSLASHusepackage] = ACTIONS(6901),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6901),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6901),
    [anon_sym_BSLASHinclude] = ACTIONS(6901),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6901),
    [anon_sym_BSLASHinput] = ACTIONS(6901),
    [anon_sym_BSLASHsubfile] = ACTIONS(6901),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6901),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6901),
    [anon_sym_BSLASHbibliography] = ACTIONS(6901),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6901),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6901),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6901),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6901),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6901),
    [anon_sym_BSLASHimport] = ACTIONS(6901),
    [anon_sym_BSLASHsubimport] = ACTIONS(6901),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6901),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6901),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6901),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6901),
    [anon_sym_BSLASHcaption] = ACTIONS(6901),
    [anon_sym_BSLASHcite] = ACTIONS(6901),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCite] = ACTIONS(6901),
    [anon_sym_BSLASHnocite] = ACTIONS(6901),
    [anon_sym_BSLASHcitet] = ACTIONS(6901),
    [anon_sym_BSLASHcitep] = ACTIONS(6901),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteA] = ACTIONS(6901),
    [anon_sym_BSLASHciteR] = ACTIONS(6901),
    [anon_sym_BSLASHciteS] = ACTIONS(6901),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6901),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6901),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6901),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6901),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteyear] = ACTIONS(6901),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitedate] = ACTIONS(6901),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteurl] = ACTIONS(6901),
    [anon_sym_BSLASHfullcite] = ACTIONS(6901),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6901),
    [anon_sym_BSLASHcitealt] = ACTIONS(6901),
    [anon_sym_BSLASHcitealp] = ACTIONS(6901),
    [anon_sym_BSLASHcitetext] = ACTIONS(6901),
    [anon_sym_BSLASHparencite] = ACTIONS(6901),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHParencite] = ACTIONS(6901),
    [anon_sym_BSLASHfootcite] = ACTIONS(6901),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6901),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6901),
    [anon_sym_BSLASHtextcite] = ACTIONS(6901),
    [anon_sym_BSLASHTextcite] = ACTIONS(6901),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6901),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6901),
    [anon_sym_BSLASHsupercite] = ACTIONS(6901),
    [anon_sym_BSLASHautocite] = ACTIONS(6901),
    [anon_sym_BSLASHAutocite] = ACTIONS(6901),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHVolcite] = ACTIONS(6901),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHavolcite] = ACTIONS(6901),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHNotecite] = ACTIONS(6901),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHlabel] = ACTIONS(6901),
    [anon_sym_BSLASHref] = ACTIONS(6901),
    [anon_sym_BSLASHeqref] = ACTIONS(6901),
    [anon_sym_BSLASHvref] = ACTIONS(6901),
    [anon_sym_BSLASHVref] = ACTIONS(6901),
    [anon_sym_BSLASHautoref] = ACTIONS(6901),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHpageref] = ACTIONS(6901),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHautopageref] = ACTIONS(6901),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcref] = ACTIONS(6901),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCref] = ACTIONS(6901),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcpageref] = ACTIONS(6901),
    [anon_sym_BSLASHCpageref] = ACTIONS(6901),
    [anon_sym_BSLASHnamecref] = ACTIONS(6901),
    [anon_sym_BSLASHnameCref] = ACTIONS(6901),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6901),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6901),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6901),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6901),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6901),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6901),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6901),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6901),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6901),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6901),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6901),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHdef] = ACTIONS(6901),
    [anon_sym_BSLASHgdef] = ACTIONS(6901),
    [anon_sym_BSLASHedef] = ACTIONS(6901),
    [anon_sym_BSLASHxdef] = ACTIONS(6901),
    [anon_sym_BSLASHlet] = ACTIONS(6901),
    [anon_sym_BSLASHglet] = ACTIONS(6901),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6901),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6901),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6901),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6901),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6901),
    [anon_sym_BSLASHgls] = ACTIONS(6901),
    [anon_sym_BSLASHGls] = ACTIONS(6901),
    [anon_sym_BSLASHGLS] = ACTIONS(6901),
    [anon_sym_BSLASHglspl] = ACTIONS(6901),
    [anon_sym_BSLASHGlspl] = ACTIONS(6901),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6901),
    [anon_sym_BSLASHglslink] = ACTIONS(6901),
    [anon_sym_BSLASHglstext] = ACTIONS(6901),
    [anon_sym_BSLASHGlstext] = ACTIONS(6901),
    [anon_sym_BSLASHGLStext] = ACTIONS(6901),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6901),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6901),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6901),
    [anon_sym_BSLASHglsplural] = ACTIONS(6901),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6901),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6901),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHglsname] = ACTIONS(6901),
    [anon_sym_BSLASHGlsname] = ACTIONS(6901),
    [anon_sym_BSLASHGLSname] = ACTIONS(6901),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6901),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6901),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6901),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6901),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6901),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6901),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6901),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6901),
    [anon_sym_BSLASHacrshort] = ACTIONS(6901),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6901),
    [anon_sym_BSLASHACRshort] = ACTIONS(6901),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHacrlong] = ACTIONS(6901),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6901),
    [anon_sym_BSLASHACRlong] = ACTIONS(6901),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHacrfull] = ACTIONS(6901),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6901),
    [anon_sym_BSLASHACRfull] = ACTIONS(6901),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHacs] = ACTIONS(6901),
    [anon_sym_BSLASHAcs] = ACTIONS(6901),
    [anon_sym_BSLASHacsp] = ACTIONS(6901),
    [anon_sym_BSLASHAcsp] = ACTIONS(6901),
    [anon_sym_BSLASHacl] = ACTIONS(6901),
    [anon_sym_BSLASHAcl] = ACTIONS(6901),
    [anon_sym_BSLASHaclp] = ACTIONS(6901),
    [anon_sym_BSLASHAclp] = ACTIONS(6901),
    [anon_sym_BSLASHacf] = ACTIONS(6901),
    [anon_sym_BSLASHAcf] = ACTIONS(6901),
    [anon_sym_BSLASHacfp] = ACTIONS(6901),
    [anon_sym_BSLASHAcfp] = ACTIONS(6901),
    [anon_sym_BSLASHac] = ACTIONS(6901),
    [anon_sym_BSLASHAc] = ACTIONS(6901),
    [anon_sym_BSLASHacp] = ACTIONS(6901),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6901),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6901),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6901),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6901),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6901),
    [anon_sym_BSLASHcolor] = ACTIONS(6901),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6901),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6901),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6901),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6901),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6901),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6901),
    [anon_sym_BSLASHurl] = ACTIONS(6901),
    [anon_sym_BSLASHhref] = ACTIONS(6901),
  },
  [1662] = {
    [sym_curly_group] = STATE(1703),
    [sym_command_name] = ACTIONS(6939),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6939),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [anon_sym_RBRACK] = ACTIONS(6941),
    [anon_sym_COMMA] = ACTIONS(6941),
    [anon_sym_EQ] = ACTIONS(6941),
    [anon_sym_LPAREN] = ACTIONS(6941),
    [anon_sym_RPAREN] = ACTIONS(6941),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [sym_word] = ACTIONS(6939),
    [sym_placeholder] = ACTIONS(6941),
    [sym_delimiter] = ACTIONS(6941),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_STAR] = ACTIONS(6941),
    [anon_sym_SLASH] = ACTIONS(6941),
    [anon_sym_LT] = ACTIONS(6939),
    [anon_sym_GT] = ACTIONS(6939),
    [anon_sym_BANG] = ACTIONS(6939),
    [anon_sym_PIPE] = ACTIONS(6939),
    [anon_sym_COLON] = ACTIONS(6939),
    [anon_sym_SQUOTE] = ACTIONS(6939),
    [anon_sym__] = ACTIONS(6941),
    [anon_sym_CARET] = ACTIONS(6941),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6941),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6941),
    [anon_sym_DOLLAR] = ACTIONS(6939),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6941),
    [anon_sym_BSLASHleft] = ACTIONS(6939),
    [anon_sym_BSLASHbigl] = ACTIONS(6939),
    [anon_sym_BSLASHBigl] = ACTIONS(6939),
    [anon_sym_BSLASHbiggl] = ACTIONS(6939),
    [anon_sym_BSLASHBiggl] = ACTIONS(6939),
    [anon_sym_BSLASHtext] = ACTIONS(6939),
    [anon_sym_BSLASHintertext] = ACTIONS(6939),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6939),
    [anon_sym_BSLASHbegin] = ACTIONS(6939),
    [anon_sym_BSLASHend] = ACTIONS(6939),
    [anon_sym_BSLASHtitle] = ACTIONS(6939),
    [anon_sym_BSLASHauthor] = ACTIONS(6939),
    [anon_sym_BSLASHusepackage] = ACTIONS(6939),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6939),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6939),
    [anon_sym_BSLASHinclude] = ACTIONS(6939),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6939),
    [anon_sym_BSLASHinput] = ACTIONS(6939),
    [anon_sym_BSLASHsubfile] = ACTIONS(6939),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6939),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6939),
    [anon_sym_BSLASHbibliography] = ACTIONS(6939),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6939),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6939),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6939),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6939),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6939),
    [anon_sym_BSLASHimport] = ACTIONS(6939),
    [anon_sym_BSLASHsubimport] = ACTIONS(6939),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6939),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6939),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6939),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6939),
    [anon_sym_BSLASHcaption] = ACTIONS(6939),
    [anon_sym_BSLASHcite] = ACTIONS(6939),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCite] = ACTIONS(6939),
    [anon_sym_BSLASHnocite] = ACTIONS(6939),
    [anon_sym_BSLASHcitet] = ACTIONS(6939),
    [anon_sym_BSLASHcitep] = ACTIONS(6939),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteA] = ACTIONS(6939),
    [anon_sym_BSLASHciteR] = ACTIONS(6939),
    [anon_sym_BSLASHciteS] = ACTIONS(6939),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6939),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6939),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6939),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6939),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteyear] = ACTIONS(6939),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitedate] = ACTIONS(6939),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteurl] = ACTIONS(6939),
    [anon_sym_BSLASHfullcite] = ACTIONS(6939),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6939),
    [anon_sym_BSLASHcitealt] = ACTIONS(6939),
    [anon_sym_BSLASHcitealp] = ACTIONS(6939),
    [anon_sym_BSLASHcitetext] = ACTIONS(6939),
    [anon_sym_BSLASHparencite] = ACTIONS(6939),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHParencite] = ACTIONS(6939),
    [anon_sym_BSLASHfootcite] = ACTIONS(6939),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6939),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6939),
    [anon_sym_BSLASHtextcite] = ACTIONS(6939),
    [anon_sym_BSLASHTextcite] = ACTIONS(6939),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6939),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6939),
    [anon_sym_BSLASHsupercite] = ACTIONS(6939),
    [anon_sym_BSLASHautocite] = ACTIONS(6939),
    [anon_sym_BSLASHAutocite] = ACTIONS(6939),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHVolcite] = ACTIONS(6939),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHavolcite] = ACTIONS(6939),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHNotecite] = ACTIONS(6939),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHlabel] = ACTIONS(6939),
    [anon_sym_BSLASHref] = ACTIONS(6939),
    [anon_sym_BSLASHeqref] = ACTIONS(6939),
    [anon_sym_BSLASHvref] = ACTIONS(6939),
    [anon_sym_BSLASHVref] = ACTIONS(6939),
    [anon_sym_BSLASHautoref] = ACTIONS(6939),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHpageref] = ACTIONS(6939),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHautopageref] = ACTIONS(6939),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcref] = ACTIONS(6939),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCref] = ACTIONS(6939),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcpageref] = ACTIONS(6939),
    [anon_sym_BSLASHCpageref] = ACTIONS(6939),
    [anon_sym_BSLASHnamecref] = ACTIONS(6939),
    [anon_sym_BSLASHnameCref] = ACTIONS(6939),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6939),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6939),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6939),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6939),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6939),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6939),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6939),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6939),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6939),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6939),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6939),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHdef] = ACTIONS(6939),
    [anon_sym_BSLASHgdef] = ACTIONS(6939),
    [anon_sym_BSLASHedef] = ACTIONS(6939),
    [anon_sym_BSLASHxdef] = ACTIONS(6939),
    [anon_sym_BSLASHlet] = ACTIONS(6939),
    [anon_sym_BSLASHglet] = ACTIONS(6939),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6939),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6939),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6939),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6939),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6939),
    [anon_sym_BSLASHgls] = ACTIONS(6939),
    [anon_sym_BSLASHGls] = ACTIONS(6939),
    [anon_sym_BSLASHGLS] = ACTIONS(6939),
    [anon_sym_BSLASHglspl] = ACTIONS(6939),
    [anon_sym_BSLASHGlspl] = ACTIONS(6939),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6939),
    [anon_sym_BSLASHglslink] = ACTIONS(6939),
    [anon_sym_BSLASHglstext] = ACTIONS(6939),
    [anon_sym_BSLASHGlstext] = ACTIONS(6939),
    [anon_sym_BSLASHGLStext] = ACTIONS(6939),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6939),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6939),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6939),
    [anon_sym_BSLASHglsplural] = ACTIONS(6939),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6939),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6939),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHglsname] = ACTIONS(6939),
    [anon_sym_BSLASHGlsname] = ACTIONS(6939),
    [anon_sym_BSLASHGLSname] = ACTIONS(6939),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6939),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6939),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6939),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6939),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6939),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6939),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6939),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6939),
    [anon_sym_BSLASHacrshort] = ACTIONS(6939),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6939),
    [anon_sym_BSLASHACRshort] = ACTIONS(6939),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHacrlong] = ACTIONS(6939),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6939),
    [anon_sym_BSLASHACRlong] = ACTIONS(6939),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHacrfull] = ACTIONS(6939),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6939),
    [anon_sym_BSLASHACRfull] = ACTIONS(6939),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHacs] = ACTIONS(6939),
    [anon_sym_BSLASHAcs] = ACTIONS(6939),
    [anon_sym_BSLASHacsp] = ACTIONS(6939),
    [anon_sym_BSLASHAcsp] = ACTIONS(6939),
    [anon_sym_BSLASHacl] = ACTIONS(6939),
    [anon_sym_BSLASHAcl] = ACTIONS(6939),
    [anon_sym_BSLASHaclp] = ACTIONS(6939),
    [anon_sym_BSLASHAclp] = ACTIONS(6939),
    [anon_sym_BSLASHacf] = ACTIONS(6939),
    [anon_sym_BSLASHAcf] = ACTIONS(6939),
    [anon_sym_BSLASHacfp] = ACTIONS(6939),
    [anon_sym_BSLASHAcfp] = ACTIONS(6939),
    [anon_sym_BSLASHac] = ACTIONS(6939),
    [anon_sym_BSLASHAc] = ACTIONS(6939),
    [anon_sym_BSLASHacp] = ACTIONS(6939),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6939),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6939),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6939),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6939),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6939),
    [anon_sym_BSLASHcolor] = ACTIONS(6939),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6939),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6939),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6939),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6939),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6939),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6939),
    [anon_sym_BSLASHurl] = ACTIONS(6939),
    [anon_sym_BSLASHhref] = ACTIONS(6939),
  },
  [1663] = {
    [sym_curly_group] = STATE(1783),
    [sym_brack_group_text] = STATE(2992),
    [sym_command_name] = ACTIONS(6881),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6881),
    [anon_sym_LBRACK] = ACTIONS(6883),
    [anon_sym_RBRACK] = ACTIONS(6885),
    [anon_sym_COMMA] = ACTIONS(6885),
    [anon_sym_EQ] = ACTIONS(6885),
    [anon_sym_LPAREN] = ACTIONS(6885),
    [anon_sym_RPAREN] = ACTIONS(6885),
    [anon_sym_LBRACE] = ACTIONS(3603),
    [sym_word] = ACTIONS(6881),
    [sym_placeholder] = ACTIONS(6885),
    [sym_delimiter] = ACTIONS(6885),
    [anon_sym_PLUS] = ACTIONS(6885),
    [anon_sym_DASH] = ACTIONS(6885),
    [anon_sym_STAR] = ACTIONS(6885),
    [anon_sym_SLASH] = ACTIONS(6885),
    [anon_sym_LT] = ACTIONS(6881),
    [anon_sym_GT] = ACTIONS(6881),
    [anon_sym_BANG] = ACTIONS(6881),
    [anon_sym_PIPE] = ACTIONS(6881),
    [anon_sym_COLON] = ACTIONS(6881),
    [anon_sym_SQUOTE] = ACTIONS(6881),
    [anon_sym__] = ACTIONS(6885),
    [anon_sym_CARET] = ACTIONS(6885),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6885),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6885),
    [anon_sym_DOLLAR] = ACTIONS(6881),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6885),
    [anon_sym_BSLASHleft] = ACTIONS(6881),
    [anon_sym_BSLASHbigl] = ACTIONS(6881),
    [anon_sym_BSLASHBigl] = ACTIONS(6881),
    [anon_sym_BSLASHbiggl] = ACTIONS(6881),
    [anon_sym_BSLASHBiggl] = ACTIONS(6881),
    [anon_sym_BSLASHtext] = ACTIONS(6881),
    [anon_sym_BSLASHintertext] = ACTIONS(6881),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6881),
    [anon_sym_BSLASHbegin] = ACTIONS(6881),
    [anon_sym_BSLASHtitle] = ACTIONS(6881),
    [anon_sym_BSLASHauthor] = ACTIONS(6881),
    [anon_sym_BSLASHusepackage] = ACTIONS(6881),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6881),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6881),
    [anon_sym_BSLASHinclude] = ACTIONS(6881),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6881),
    [anon_sym_BSLASHinput] = ACTIONS(6881),
    [anon_sym_BSLASHsubfile] = ACTIONS(6881),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6881),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6881),
    [anon_sym_BSLASHbibliography] = ACTIONS(6881),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6881),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6881),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6881),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6881),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6881),
    [anon_sym_BSLASHimport] = ACTIONS(6881),
    [anon_sym_BSLASHsubimport] = ACTIONS(6881),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6881),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6881),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6881),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6881),
    [anon_sym_BSLASHcaption] = ACTIONS(6881),
    [anon_sym_BSLASHcite] = ACTIONS(6881),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCite] = ACTIONS(6881),
    [anon_sym_BSLASHnocite] = ACTIONS(6881),
    [anon_sym_BSLASHcitet] = ACTIONS(6881),
    [anon_sym_BSLASHcitep] = ACTIONS(6881),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteA] = ACTIONS(6881),
    [anon_sym_BSLASHciteR] = ACTIONS(6881),
    [anon_sym_BSLASHciteS] = ACTIONS(6881),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6881),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6881),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6881),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6881),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteyear] = ACTIONS(6881),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitedate] = ACTIONS(6881),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteurl] = ACTIONS(6881),
    [anon_sym_BSLASHfullcite] = ACTIONS(6881),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6881),
    [anon_sym_BSLASHcitealt] = ACTIONS(6881),
    [anon_sym_BSLASHcitealp] = ACTIONS(6881),
    [anon_sym_BSLASHcitetext] = ACTIONS(6881),
    [anon_sym_BSLASHparencite] = ACTIONS(6881),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHParencite] = ACTIONS(6881),
    [anon_sym_BSLASHfootcite] = ACTIONS(6881),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6881),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6881),
    [anon_sym_BSLASHtextcite] = ACTIONS(6881),
    [anon_sym_BSLASHTextcite] = ACTIONS(6881),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6881),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6881),
    [anon_sym_BSLASHsupercite] = ACTIONS(6881),
    [anon_sym_BSLASHautocite] = ACTIONS(6881),
    [anon_sym_BSLASHAutocite] = ACTIONS(6881),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHVolcite] = ACTIONS(6881),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHavolcite] = ACTIONS(6881),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHNotecite] = ACTIONS(6881),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHlabel] = ACTIONS(6881),
    [anon_sym_BSLASHref] = ACTIONS(6881),
    [anon_sym_BSLASHeqref] = ACTIONS(6881),
    [anon_sym_BSLASHvref] = ACTIONS(6881),
    [anon_sym_BSLASHVref] = ACTIONS(6881),
    [anon_sym_BSLASHautoref] = ACTIONS(6881),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHpageref] = ACTIONS(6881),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHautopageref] = ACTIONS(6881),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcref] = ACTIONS(6881),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCref] = ACTIONS(6881),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcpageref] = ACTIONS(6881),
    [anon_sym_BSLASHCpageref] = ACTIONS(6881),
    [anon_sym_BSLASHnamecref] = ACTIONS(6881),
    [anon_sym_BSLASHnameCref] = ACTIONS(6881),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6881),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6881),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6881),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6881),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6881),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6881),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6881),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6881),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6881),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6881),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6881),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHdef] = ACTIONS(6881),
    [anon_sym_BSLASHgdef] = ACTIONS(6881),
    [anon_sym_BSLASHedef] = ACTIONS(6881),
    [anon_sym_BSLASHxdef] = ACTIONS(6881),
    [anon_sym_BSLASHlet] = ACTIONS(6881),
    [anon_sym_BSLASHglet] = ACTIONS(6881),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6881),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6881),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6881),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6881),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6881),
    [anon_sym_BSLASHgls] = ACTIONS(6881),
    [anon_sym_BSLASHGls] = ACTIONS(6881),
    [anon_sym_BSLASHGLS] = ACTIONS(6881),
    [anon_sym_BSLASHglspl] = ACTIONS(6881),
    [anon_sym_BSLASHGlspl] = ACTIONS(6881),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6881),
    [anon_sym_BSLASHglslink] = ACTIONS(6881),
    [anon_sym_BSLASHglstext] = ACTIONS(6881),
    [anon_sym_BSLASHGlstext] = ACTIONS(6881),
    [anon_sym_BSLASHGLStext] = ACTIONS(6881),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6881),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6881),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6881),
    [anon_sym_BSLASHglsplural] = ACTIONS(6881),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6881),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6881),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHglsname] = ACTIONS(6881),
    [anon_sym_BSLASHGlsname] = ACTIONS(6881),
    [anon_sym_BSLASHGLSname] = ACTIONS(6881),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6881),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6881),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6881),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6881),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6881),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6881),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6881),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6881),
    [anon_sym_BSLASHacrshort] = ACTIONS(6881),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6881),
    [anon_sym_BSLASHACRshort] = ACTIONS(6881),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHacrlong] = ACTIONS(6881),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6881),
    [anon_sym_BSLASHACRlong] = ACTIONS(6881),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHacrfull] = ACTIONS(6881),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6881),
    [anon_sym_BSLASHACRfull] = ACTIONS(6881),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHacs] = ACTIONS(6881),
    [anon_sym_BSLASHAcs] = ACTIONS(6881),
    [anon_sym_BSLASHacsp] = ACTIONS(6881),
    [anon_sym_BSLASHAcsp] = ACTIONS(6881),
    [anon_sym_BSLASHacl] = ACTIONS(6881),
    [anon_sym_BSLASHAcl] = ACTIONS(6881),
    [anon_sym_BSLASHaclp] = ACTIONS(6881),
    [anon_sym_BSLASHAclp] = ACTIONS(6881),
    [anon_sym_BSLASHacf] = ACTIONS(6881),
    [anon_sym_BSLASHAcf] = ACTIONS(6881),
    [anon_sym_BSLASHacfp] = ACTIONS(6881),
    [anon_sym_BSLASHAcfp] = ACTIONS(6881),
    [anon_sym_BSLASHac] = ACTIONS(6881),
    [anon_sym_BSLASHAc] = ACTIONS(6881),
    [anon_sym_BSLASHacp] = ACTIONS(6881),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6881),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6881),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6881),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6881),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6881),
    [anon_sym_BSLASHcolor] = ACTIONS(6881),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6881),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6881),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6881),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6881),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6881),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6881),
    [anon_sym_BSLASHurl] = ACTIONS(6881),
    [anon_sym_BSLASHhref] = ACTIONS(6881),
  },
  [1664] = {
    [sym_command_name] = ACTIONS(6871),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6871),
    [anon_sym_BSLASHfi] = ACTIONS(7833),
    [anon_sym_LBRACK] = ACTIONS(6875),
    [anon_sym_RBRACK] = ACTIONS(6875),
    [anon_sym_COMMA] = ACTIONS(6875),
    [anon_sym_EQ] = ACTIONS(6875),
    [anon_sym_LPAREN] = ACTIONS(6875),
    [anon_sym_RPAREN] = ACTIONS(6875),
    [anon_sym_LBRACE] = ACTIONS(6875),
    [anon_sym_RBRACE] = ACTIONS(6875),
    [sym_word] = ACTIONS(6871),
    [sym_placeholder] = ACTIONS(6875),
    [sym_delimiter] = ACTIONS(6875),
    [anon_sym_PLUS] = ACTIONS(6875),
    [anon_sym_DASH] = ACTIONS(6875),
    [anon_sym_STAR] = ACTIONS(6875),
    [anon_sym_SLASH] = ACTIONS(6875),
    [anon_sym_LT] = ACTIONS(6871),
    [anon_sym_GT] = ACTIONS(6871),
    [anon_sym_BANG] = ACTIONS(6871),
    [anon_sym_PIPE] = ACTIONS(6871),
    [anon_sym_COLON] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6871),
    [anon_sym__] = ACTIONS(6875),
    [anon_sym_CARET] = ACTIONS(6875),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6875),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6875),
    [anon_sym_DOLLAR] = ACTIONS(6871),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6875),
    [anon_sym_BSLASHleft] = ACTIONS(6871),
    [anon_sym_BSLASHbigl] = ACTIONS(6871),
    [anon_sym_BSLASHBigl] = ACTIONS(6871),
    [anon_sym_BSLASHbiggl] = ACTIONS(6871),
    [anon_sym_BSLASHBiggl] = ACTIONS(6871),
    [anon_sym_BSLASHtext] = ACTIONS(6871),
    [anon_sym_BSLASHintertext] = ACTIONS(6871),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6871),
    [anon_sym_BSLASHtitle] = ACTIONS(6871),
    [anon_sym_BSLASHauthor] = ACTIONS(6871),
    [anon_sym_BSLASHusepackage] = ACTIONS(6871),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6871),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6871),
    [anon_sym_BSLASHinclude] = ACTIONS(6871),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6871),
    [anon_sym_BSLASHinput] = ACTIONS(6871),
    [anon_sym_BSLASHsubfile] = ACTIONS(6871),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6871),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6871),
    [anon_sym_BSLASHbibliography] = ACTIONS(6871),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6871),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6871),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6871),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6871),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6871),
    [anon_sym_BSLASHimport] = ACTIONS(6871),
    [anon_sym_BSLASHsubimport] = ACTIONS(6871),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6871),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6871),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6871),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6871),
    [anon_sym_BSLASHcaption] = ACTIONS(6871),
    [anon_sym_BSLASHcite] = ACTIONS(6871),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCite] = ACTIONS(6871),
    [anon_sym_BSLASHnocite] = ACTIONS(6871),
    [anon_sym_BSLASHcitet] = ACTIONS(6871),
    [anon_sym_BSLASHcitep] = ACTIONS(6871),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteA] = ACTIONS(6871),
    [anon_sym_BSLASHciteR] = ACTIONS(6871),
    [anon_sym_BSLASHciteS] = ACTIONS(6871),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6871),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6871),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6871),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6871),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteyear] = ACTIONS(6871),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitedate] = ACTIONS(6871),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteurl] = ACTIONS(6871),
    [anon_sym_BSLASHfullcite] = ACTIONS(6871),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6871),
    [anon_sym_BSLASHcitealt] = ACTIONS(6871),
    [anon_sym_BSLASHcitealp] = ACTIONS(6871),
    [anon_sym_BSLASHcitetext] = ACTIONS(6871),
    [anon_sym_BSLASHparencite] = ACTIONS(6871),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHParencite] = ACTIONS(6871),
    [anon_sym_BSLASHfootcite] = ACTIONS(6871),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6871),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6871),
    [anon_sym_BSLASHtextcite] = ACTIONS(6871),
    [anon_sym_BSLASHTextcite] = ACTIONS(6871),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6871),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6871),
    [anon_sym_BSLASHsupercite] = ACTIONS(6871),
    [anon_sym_BSLASHautocite] = ACTIONS(6871),
    [anon_sym_BSLASHAutocite] = ACTIONS(6871),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHVolcite] = ACTIONS(6871),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHavolcite] = ACTIONS(6871),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHNotecite] = ACTIONS(6871),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHlabel] = ACTIONS(6871),
    [anon_sym_BSLASHref] = ACTIONS(6871),
    [anon_sym_BSLASHeqref] = ACTIONS(6871),
    [anon_sym_BSLASHvref] = ACTIONS(6871),
    [anon_sym_BSLASHVref] = ACTIONS(6871),
    [anon_sym_BSLASHautoref] = ACTIONS(6871),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHpageref] = ACTIONS(6871),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHautopageref] = ACTIONS(6871),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcref] = ACTIONS(6871),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCref] = ACTIONS(6871),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcpageref] = ACTIONS(6871),
    [anon_sym_BSLASHCpageref] = ACTIONS(6871),
    [anon_sym_BSLASHnamecref] = ACTIONS(6871),
    [anon_sym_BSLASHnameCref] = ACTIONS(6871),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6871),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6871),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6871),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6871),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6871),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6871),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6871),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6871),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6871),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6871),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6871),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHdef] = ACTIONS(6871),
    [anon_sym_BSLASHgdef] = ACTIONS(6871),
    [anon_sym_BSLASHedef] = ACTIONS(6871),
    [anon_sym_BSLASHxdef] = ACTIONS(6871),
    [anon_sym_BSLASHlet] = ACTIONS(6871),
    [anon_sym_BSLASHglet] = ACTIONS(6871),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6871),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6871),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6871),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6871),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6871),
    [anon_sym_BSLASHgls] = ACTIONS(6871),
    [anon_sym_BSLASHGls] = ACTIONS(6871),
    [anon_sym_BSLASHGLS] = ACTIONS(6871),
    [anon_sym_BSLASHglspl] = ACTIONS(6871),
    [anon_sym_BSLASHGlspl] = ACTIONS(6871),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6871),
    [anon_sym_BSLASHglslink] = ACTIONS(6871),
    [anon_sym_BSLASHglstext] = ACTIONS(6871),
    [anon_sym_BSLASHGlstext] = ACTIONS(6871),
    [anon_sym_BSLASHGLStext] = ACTIONS(6871),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6871),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6871),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6871),
    [anon_sym_BSLASHglsplural] = ACTIONS(6871),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6871),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6871),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHglsname] = ACTIONS(6871),
    [anon_sym_BSLASHGlsname] = ACTIONS(6871),
    [anon_sym_BSLASHGLSname] = ACTIONS(6871),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6871),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6871),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6871),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6871),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6871),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6871),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6871),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6871),
    [anon_sym_BSLASHacrshort] = ACTIONS(6871),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6871),
    [anon_sym_BSLASHACRshort] = ACTIONS(6871),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHacrlong] = ACTIONS(6871),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6871),
    [anon_sym_BSLASHACRlong] = ACTIONS(6871),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHacrfull] = ACTIONS(6871),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6871),
    [anon_sym_BSLASHACRfull] = ACTIONS(6871),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHacs] = ACTIONS(6871),
    [anon_sym_BSLASHAcs] = ACTIONS(6871),
    [anon_sym_BSLASHacsp] = ACTIONS(6871),
    [anon_sym_BSLASHAcsp] = ACTIONS(6871),
    [anon_sym_BSLASHacl] = ACTIONS(6871),
    [anon_sym_BSLASHAcl] = ACTIONS(6871),
    [anon_sym_BSLASHaclp] = ACTIONS(6871),
    [anon_sym_BSLASHAclp] = ACTIONS(6871),
    [anon_sym_BSLASHacf] = ACTIONS(6871),
    [anon_sym_BSLASHAcf] = ACTIONS(6871),
    [anon_sym_BSLASHacfp] = ACTIONS(6871),
    [anon_sym_BSLASHAcfp] = ACTIONS(6871),
    [anon_sym_BSLASHac] = ACTIONS(6871),
    [anon_sym_BSLASHAc] = ACTIONS(6871),
    [anon_sym_BSLASHacp] = ACTIONS(6871),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6871),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6871),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6871),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6871),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6871),
    [anon_sym_BSLASHcolor] = ACTIONS(6871),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6871),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6871),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6871),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6871),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6871),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6871),
    [anon_sym_BSLASHurl] = ACTIONS(6871),
    [anon_sym_BSLASHhref] = ACTIONS(6871),
    [sym__trivia_raw_fi] = ACTIONS(7835),
  },
  [1665] = {
    [sym_curly_group] = STATE(1941),
    [aux_sym_generic_command_repeat1] = STATE(1666),
    [sym_command_name] = ACTIONS(6889),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6889),
    [anon_sym_LBRACK] = ACTIONS(6891),
    [anon_sym_RBRACK] = ACTIONS(6891),
    [anon_sym_COMMA] = ACTIONS(6891),
    [anon_sym_EQ] = ACTIONS(6891),
    [anon_sym_LPAREN] = ACTIONS(6891),
    [anon_sym_RPAREN] = ACTIONS(6891),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(6891),
    [sym_word] = ACTIONS(6889),
    [sym_placeholder] = ACTIONS(6891),
    [sym_delimiter] = ACTIONS(6891),
    [anon_sym_PLUS] = ACTIONS(6891),
    [anon_sym_DASH] = ACTIONS(6891),
    [anon_sym_STAR] = ACTIONS(6891),
    [anon_sym_SLASH] = ACTIONS(6891),
    [anon_sym_LT] = ACTIONS(6889),
    [anon_sym_GT] = ACTIONS(6889),
    [anon_sym_BANG] = ACTIONS(6889),
    [anon_sym_PIPE] = ACTIONS(6889),
    [anon_sym_COLON] = ACTIONS(6889),
    [anon_sym_SQUOTE] = ACTIONS(6889),
    [anon_sym__] = ACTIONS(6891),
    [anon_sym_CARET] = ACTIONS(6891),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6891),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6891),
    [anon_sym_DOLLAR] = ACTIONS(6889),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6891),
    [anon_sym_BSLASHleft] = ACTIONS(6889),
    [anon_sym_BSLASHbigl] = ACTIONS(6889),
    [anon_sym_BSLASHBigl] = ACTIONS(6889),
    [anon_sym_BSLASHbiggl] = ACTIONS(6889),
    [anon_sym_BSLASHBiggl] = ACTIONS(6889),
    [anon_sym_BSLASHtext] = ACTIONS(6889),
    [anon_sym_BSLASHintertext] = ACTIONS(6889),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6889),
    [anon_sym_BSLASHtitle] = ACTIONS(6889),
    [anon_sym_BSLASHauthor] = ACTIONS(6889),
    [anon_sym_BSLASHusepackage] = ACTIONS(6889),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6889),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6889),
    [anon_sym_BSLASHinclude] = ACTIONS(6889),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6889),
    [anon_sym_BSLASHinput] = ACTIONS(6889),
    [anon_sym_BSLASHsubfile] = ACTIONS(6889),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6889),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6889),
    [anon_sym_BSLASHbibliography] = ACTIONS(6889),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6889),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6889),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6889),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6889),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6889),
    [anon_sym_BSLASHimport] = ACTIONS(6889),
    [anon_sym_BSLASHsubimport] = ACTIONS(6889),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6889),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6889),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6889),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6889),
    [anon_sym_BSLASHcaption] = ACTIONS(6889),
    [anon_sym_BSLASHcite] = ACTIONS(6889),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCite] = ACTIONS(6889),
    [anon_sym_BSLASHnocite] = ACTIONS(6889),
    [anon_sym_BSLASHcitet] = ACTIONS(6889),
    [anon_sym_BSLASHcitep] = ACTIONS(6889),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteA] = ACTIONS(6889),
    [anon_sym_BSLASHciteR] = ACTIONS(6889),
    [anon_sym_BSLASHciteS] = ACTIONS(6889),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6889),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6889),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6889),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6889),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteyear] = ACTIONS(6889),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitedate] = ACTIONS(6889),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteurl] = ACTIONS(6889),
    [anon_sym_BSLASHfullcite] = ACTIONS(6889),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6889),
    [anon_sym_BSLASHcitealt] = ACTIONS(6889),
    [anon_sym_BSLASHcitealp] = ACTIONS(6889),
    [anon_sym_BSLASHcitetext] = ACTIONS(6889),
    [anon_sym_BSLASHparencite] = ACTIONS(6889),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHParencite] = ACTIONS(6889),
    [anon_sym_BSLASHfootcite] = ACTIONS(6889),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6889),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6889),
    [anon_sym_BSLASHtextcite] = ACTIONS(6889),
    [anon_sym_BSLASHTextcite] = ACTIONS(6889),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6889),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6889),
    [anon_sym_BSLASHsupercite] = ACTIONS(6889),
    [anon_sym_BSLASHautocite] = ACTIONS(6889),
    [anon_sym_BSLASHAutocite] = ACTIONS(6889),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHVolcite] = ACTIONS(6889),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHavolcite] = ACTIONS(6889),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHNotecite] = ACTIONS(6889),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHlabel] = ACTIONS(6889),
    [anon_sym_BSLASHref] = ACTIONS(6889),
    [anon_sym_BSLASHeqref] = ACTIONS(6889),
    [anon_sym_BSLASHvref] = ACTIONS(6889),
    [anon_sym_BSLASHVref] = ACTIONS(6889),
    [anon_sym_BSLASHautoref] = ACTIONS(6889),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHpageref] = ACTIONS(6889),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHautopageref] = ACTIONS(6889),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcref] = ACTIONS(6889),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCref] = ACTIONS(6889),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcpageref] = ACTIONS(6889),
    [anon_sym_BSLASHCpageref] = ACTIONS(6889),
    [anon_sym_BSLASHnamecref] = ACTIONS(6889),
    [anon_sym_BSLASHnameCref] = ACTIONS(6889),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6889),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6889),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6889),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6889),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6889),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6889),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6889),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6889),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6889),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6889),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6889),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHdef] = ACTIONS(6889),
    [anon_sym_BSLASHgdef] = ACTIONS(6889),
    [anon_sym_BSLASHedef] = ACTIONS(6889),
    [anon_sym_BSLASHxdef] = ACTIONS(6889),
    [anon_sym_BSLASHlet] = ACTIONS(6889),
    [anon_sym_BSLASHglet] = ACTIONS(6889),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6889),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6889),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6889),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6889),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6889),
    [anon_sym_BSLASHgls] = ACTIONS(6889),
    [anon_sym_BSLASHGls] = ACTIONS(6889),
    [anon_sym_BSLASHGLS] = ACTIONS(6889),
    [anon_sym_BSLASHglspl] = ACTIONS(6889),
    [anon_sym_BSLASHGlspl] = ACTIONS(6889),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6889),
    [anon_sym_BSLASHglslink] = ACTIONS(6889),
    [anon_sym_BSLASHglstext] = ACTIONS(6889),
    [anon_sym_BSLASHGlstext] = ACTIONS(6889),
    [anon_sym_BSLASHGLStext] = ACTIONS(6889),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6889),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6889),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6889),
    [anon_sym_BSLASHglsplural] = ACTIONS(6889),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6889),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6889),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHglsname] = ACTIONS(6889),
    [anon_sym_BSLASHGlsname] = ACTIONS(6889),
    [anon_sym_BSLASHGLSname] = ACTIONS(6889),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6889),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6889),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6889),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6889),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6889),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6889),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6889),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6889),
    [anon_sym_BSLASHacrshort] = ACTIONS(6889),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6889),
    [anon_sym_BSLASHACRshort] = ACTIONS(6889),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHacrlong] = ACTIONS(6889),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6889),
    [anon_sym_BSLASHACRlong] = ACTIONS(6889),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHacrfull] = ACTIONS(6889),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6889),
    [anon_sym_BSLASHACRfull] = ACTIONS(6889),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHacs] = ACTIONS(6889),
    [anon_sym_BSLASHAcs] = ACTIONS(6889),
    [anon_sym_BSLASHacsp] = ACTIONS(6889),
    [anon_sym_BSLASHAcsp] = ACTIONS(6889),
    [anon_sym_BSLASHacl] = ACTIONS(6889),
    [anon_sym_BSLASHAcl] = ACTIONS(6889),
    [anon_sym_BSLASHaclp] = ACTIONS(6889),
    [anon_sym_BSLASHAclp] = ACTIONS(6889),
    [anon_sym_BSLASHacf] = ACTIONS(6889),
    [anon_sym_BSLASHAcf] = ACTIONS(6889),
    [anon_sym_BSLASHacfp] = ACTIONS(6889),
    [anon_sym_BSLASHAcfp] = ACTIONS(6889),
    [anon_sym_BSLASHac] = ACTIONS(6889),
    [anon_sym_BSLASHAc] = ACTIONS(6889),
    [anon_sym_BSLASHacp] = ACTIONS(6889),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6889),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6889),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6889),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6889),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6889),
    [anon_sym_BSLASHcolor] = ACTIONS(6889),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6889),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6889),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6889),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6889),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6889),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6889),
    [anon_sym_BSLASHurl] = ACTIONS(6889),
    [anon_sym_BSLASHhref] = ACTIONS(6889),
  },
  [1666] = {
    [sym_curly_group] = STATE(1941),
    [aux_sym_generic_command_repeat1] = STATE(1668),
    [sym_command_name] = ACTIONS(6901),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6901),
    [anon_sym_LBRACK] = ACTIONS(6903),
    [anon_sym_RBRACK] = ACTIONS(6903),
    [anon_sym_COMMA] = ACTIONS(6903),
    [anon_sym_EQ] = ACTIONS(6903),
    [anon_sym_LPAREN] = ACTIONS(6903),
    [anon_sym_RPAREN] = ACTIONS(6903),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(6903),
    [sym_word] = ACTIONS(6901),
    [sym_placeholder] = ACTIONS(6903),
    [sym_delimiter] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6903),
    [anon_sym_DASH] = ACTIONS(6903),
    [anon_sym_STAR] = ACTIONS(6903),
    [anon_sym_SLASH] = ACTIONS(6903),
    [anon_sym_LT] = ACTIONS(6901),
    [anon_sym_GT] = ACTIONS(6901),
    [anon_sym_BANG] = ACTIONS(6901),
    [anon_sym_PIPE] = ACTIONS(6901),
    [anon_sym_COLON] = ACTIONS(6901),
    [anon_sym_SQUOTE] = ACTIONS(6901),
    [anon_sym__] = ACTIONS(6903),
    [anon_sym_CARET] = ACTIONS(6903),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6903),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6903),
    [anon_sym_DOLLAR] = ACTIONS(6901),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6903),
    [anon_sym_BSLASHleft] = ACTIONS(6901),
    [anon_sym_BSLASHbigl] = ACTIONS(6901),
    [anon_sym_BSLASHBigl] = ACTIONS(6901),
    [anon_sym_BSLASHbiggl] = ACTIONS(6901),
    [anon_sym_BSLASHBiggl] = ACTIONS(6901),
    [anon_sym_BSLASHtext] = ACTIONS(6901),
    [anon_sym_BSLASHintertext] = ACTIONS(6901),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6901),
    [anon_sym_BSLASHtitle] = ACTIONS(6901),
    [anon_sym_BSLASHauthor] = ACTIONS(6901),
    [anon_sym_BSLASHusepackage] = ACTIONS(6901),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6901),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6901),
    [anon_sym_BSLASHinclude] = ACTIONS(6901),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6901),
    [anon_sym_BSLASHinput] = ACTIONS(6901),
    [anon_sym_BSLASHsubfile] = ACTIONS(6901),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6901),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6901),
    [anon_sym_BSLASHbibliography] = ACTIONS(6901),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6901),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6901),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6901),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6901),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6901),
    [anon_sym_BSLASHimport] = ACTIONS(6901),
    [anon_sym_BSLASHsubimport] = ACTIONS(6901),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6901),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6901),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6901),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6901),
    [anon_sym_BSLASHcaption] = ACTIONS(6901),
    [anon_sym_BSLASHcite] = ACTIONS(6901),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCite] = ACTIONS(6901),
    [anon_sym_BSLASHnocite] = ACTIONS(6901),
    [anon_sym_BSLASHcitet] = ACTIONS(6901),
    [anon_sym_BSLASHcitep] = ACTIONS(6901),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteA] = ACTIONS(6901),
    [anon_sym_BSLASHciteR] = ACTIONS(6901),
    [anon_sym_BSLASHciteS] = ACTIONS(6901),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6901),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6901),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6901),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6901),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteyear] = ACTIONS(6901),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitedate] = ACTIONS(6901),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteurl] = ACTIONS(6901),
    [anon_sym_BSLASHfullcite] = ACTIONS(6901),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6901),
    [anon_sym_BSLASHcitealt] = ACTIONS(6901),
    [anon_sym_BSLASHcitealp] = ACTIONS(6901),
    [anon_sym_BSLASHcitetext] = ACTIONS(6901),
    [anon_sym_BSLASHparencite] = ACTIONS(6901),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHParencite] = ACTIONS(6901),
    [anon_sym_BSLASHfootcite] = ACTIONS(6901),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6901),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6901),
    [anon_sym_BSLASHtextcite] = ACTIONS(6901),
    [anon_sym_BSLASHTextcite] = ACTIONS(6901),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6901),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6901),
    [anon_sym_BSLASHsupercite] = ACTIONS(6901),
    [anon_sym_BSLASHautocite] = ACTIONS(6901),
    [anon_sym_BSLASHAutocite] = ACTIONS(6901),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHVolcite] = ACTIONS(6901),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHavolcite] = ACTIONS(6901),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHNotecite] = ACTIONS(6901),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHlabel] = ACTIONS(6901),
    [anon_sym_BSLASHref] = ACTIONS(6901),
    [anon_sym_BSLASHeqref] = ACTIONS(6901),
    [anon_sym_BSLASHvref] = ACTIONS(6901),
    [anon_sym_BSLASHVref] = ACTIONS(6901),
    [anon_sym_BSLASHautoref] = ACTIONS(6901),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHpageref] = ACTIONS(6901),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHautopageref] = ACTIONS(6901),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcref] = ACTIONS(6901),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCref] = ACTIONS(6901),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcpageref] = ACTIONS(6901),
    [anon_sym_BSLASHCpageref] = ACTIONS(6901),
    [anon_sym_BSLASHnamecref] = ACTIONS(6901),
    [anon_sym_BSLASHnameCref] = ACTIONS(6901),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6901),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6901),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6901),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6901),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6901),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6901),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6901),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6901),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6901),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6901),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6901),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHdef] = ACTIONS(6901),
    [anon_sym_BSLASHgdef] = ACTIONS(6901),
    [anon_sym_BSLASHedef] = ACTIONS(6901),
    [anon_sym_BSLASHxdef] = ACTIONS(6901),
    [anon_sym_BSLASHlet] = ACTIONS(6901),
    [anon_sym_BSLASHglet] = ACTIONS(6901),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6901),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6901),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6901),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6901),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6901),
    [anon_sym_BSLASHgls] = ACTIONS(6901),
    [anon_sym_BSLASHGls] = ACTIONS(6901),
    [anon_sym_BSLASHGLS] = ACTIONS(6901),
    [anon_sym_BSLASHglspl] = ACTIONS(6901),
    [anon_sym_BSLASHGlspl] = ACTIONS(6901),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6901),
    [anon_sym_BSLASHglslink] = ACTIONS(6901),
    [anon_sym_BSLASHglstext] = ACTIONS(6901),
    [anon_sym_BSLASHGlstext] = ACTIONS(6901),
    [anon_sym_BSLASHGLStext] = ACTIONS(6901),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6901),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6901),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6901),
    [anon_sym_BSLASHglsplural] = ACTIONS(6901),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6901),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6901),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHglsname] = ACTIONS(6901),
    [anon_sym_BSLASHGlsname] = ACTIONS(6901),
    [anon_sym_BSLASHGLSname] = ACTIONS(6901),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6901),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6901),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6901),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6901),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6901),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6901),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6901),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6901),
    [anon_sym_BSLASHacrshort] = ACTIONS(6901),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6901),
    [anon_sym_BSLASHACRshort] = ACTIONS(6901),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHacrlong] = ACTIONS(6901),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6901),
    [anon_sym_BSLASHACRlong] = ACTIONS(6901),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHacrfull] = ACTIONS(6901),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6901),
    [anon_sym_BSLASHACRfull] = ACTIONS(6901),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHacs] = ACTIONS(6901),
    [anon_sym_BSLASHAcs] = ACTIONS(6901),
    [anon_sym_BSLASHacsp] = ACTIONS(6901),
    [anon_sym_BSLASHAcsp] = ACTIONS(6901),
    [anon_sym_BSLASHacl] = ACTIONS(6901),
    [anon_sym_BSLASHAcl] = ACTIONS(6901),
    [anon_sym_BSLASHaclp] = ACTIONS(6901),
    [anon_sym_BSLASHAclp] = ACTIONS(6901),
    [anon_sym_BSLASHacf] = ACTIONS(6901),
    [anon_sym_BSLASHAcf] = ACTIONS(6901),
    [anon_sym_BSLASHacfp] = ACTIONS(6901),
    [anon_sym_BSLASHAcfp] = ACTIONS(6901),
    [anon_sym_BSLASHac] = ACTIONS(6901),
    [anon_sym_BSLASHAc] = ACTIONS(6901),
    [anon_sym_BSLASHacp] = ACTIONS(6901),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6901),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6901),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6901),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6901),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6901),
    [anon_sym_BSLASHcolor] = ACTIONS(6901),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6901),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6901),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6901),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6901),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6901),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6901),
    [anon_sym_BSLASHurl] = ACTIONS(6901),
    [anon_sym_BSLASHhref] = ACTIONS(6901),
  },
  [1667] = {
    [sym_curly_group] = STATE(1822),
    [sym_brack_group_text] = STATE(3319),
    [sym_command_name] = ACTIONS(6905),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6905),
    [anon_sym_LBRACK] = ACTIONS(6883),
    [anon_sym_RBRACK] = ACTIONS(6907),
    [anon_sym_COMMA] = ACTIONS(6907),
    [anon_sym_EQ] = ACTIONS(6907),
    [anon_sym_LPAREN] = ACTIONS(6907),
    [anon_sym_RPAREN] = ACTIONS(6907),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(6907),
    [sym_word] = ACTIONS(6905),
    [sym_placeholder] = ACTIONS(6907),
    [sym_delimiter] = ACTIONS(6907),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_STAR] = ACTIONS(6907),
    [anon_sym_SLASH] = ACTIONS(6907),
    [anon_sym_LT] = ACTIONS(6905),
    [anon_sym_GT] = ACTIONS(6905),
    [anon_sym_BANG] = ACTIONS(6905),
    [anon_sym_PIPE] = ACTIONS(6905),
    [anon_sym_COLON] = ACTIONS(6905),
    [anon_sym_SQUOTE] = ACTIONS(6905),
    [anon_sym__] = ACTIONS(6907),
    [anon_sym_CARET] = ACTIONS(6907),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6907),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6907),
    [anon_sym_DOLLAR] = ACTIONS(6905),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6907),
    [anon_sym_BSLASHleft] = ACTIONS(6905),
    [anon_sym_BSLASHbigl] = ACTIONS(6905),
    [anon_sym_BSLASHBigl] = ACTIONS(6905),
    [anon_sym_BSLASHbiggl] = ACTIONS(6905),
    [anon_sym_BSLASHBiggl] = ACTIONS(6905),
    [anon_sym_BSLASHtext] = ACTIONS(6905),
    [anon_sym_BSLASHintertext] = ACTIONS(6905),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6905),
    [anon_sym_BSLASHtitle] = ACTIONS(6905),
    [anon_sym_BSLASHauthor] = ACTIONS(6905),
    [anon_sym_BSLASHusepackage] = ACTIONS(6905),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6905),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6905),
    [anon_sym_BSLASHinclude] = ACTIONS(6905),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6905),
    [anon_sym_BSLASHinput] = ACTIONS(6905),
    [anon_sym_BSLASHsubfile] = ACTIONS(6905),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6905),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6905),
    [anon_sym_BSLASHbibliography] = ACTIONS(6905),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6905),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6905),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6905),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6905),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6905),
    [anon_sym_BSLASHimport] = ACTIONS(6905),
    [anon_sym_BSLASHsubimport] = ACTIONS(6905),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6905),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6905),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6905),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6905),
    [anon_sym_BSLASHcaption] = ACTIONS(6905),
    [anon_sym_BSLASHcite] = ACTIONS(6905),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCite] = ACTIONS(6905),
    [anon_sym_BSLASHnocite] = ACTIONS(6905),
    [anon_sym_BSLASHcitet] = ACTIONS(6905),
    [anon_sym_BSLASHcitep] = ACTIONS(6905),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteA] = ACTIONS(6905),
    [anon_sym_BSLASHciteR] = ACTIONS(6905),
    [anon_sym_BSLASHciteS] = ACTIONS(6905),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6905),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6905),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6905),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6905),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteyear] = ACTIONS(6905),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitedate] = ACTIONS(6905),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteurl] = ACTIONS(6905),
    [anon_sym_BSLASHfullcite] = ACTIONS(6905),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6905),
    [anon_sym_BSLASHcitealt] = ACTIONS(6905),
    [anon_sym_BSLASHcitealp] = ACTIONS(6905),
    [anon_sym_BSLASHcitetext] = ACTIONS(6905),
    [anon_sym_BSLASHparencite] = ACTIONS(6905),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHParencite] = ACTIONS(6905),
    [anon_sym_BSLASHfootcite] = ACTIONS(6905),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6905),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6905),
    [anon_sym_BSLASHtextcite] = ACTIONS(6905),
    [anon_sym_BSLASHTextcite] = ACTIONS(6905),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6905),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6905),
    [anon_sym_BSLASHsupercite] = ACTIONS(6905),
    [anon_sym_BSLASHautocite] = ACTIONS(6905),
    [anon_sym_BSLASHAutocite] = ACTIONS(6905),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHVolcite] = ACTIONS(6905),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHavolcite] = ACTIONS(6905),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHNotecite] = ACTIONS(6905),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHlabel] = ACTIONS(6905),
    [anon_sym_BSLASHref] = ACTIONS(6905),
    [anon_sym_BSLASHeqref] = ACTIONS(6905),
    [anon_sym_BSLASHvref] = ACTIONS(6905),
    [anon_sym_BSLASHVref] = ACTIONS(6905),
    [anon_sym_BSLASHautoref] = ACTIONS(6905),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHpageref] = ACTIONS(6905),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHautopageref] = ACTIONS(6905),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcref] = ACTIONS(6905),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCref] = ACTIONS(6905),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcpageref] = ACTIONS(6905),
    [anon_sym_BSLASHCpageref] = ACTIONS(6905),
    [anon_sym_BSLASHnamecref] = ACTIONS(6905),
    [anon_sym_BSLASHnameCref] = ACTIONS(6905),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6905),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6905),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6905),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6905),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6905),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6905),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6905),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6905),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6905),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6905),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6905),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHdef] = ACTIONS(6905),
    [anon_sym_BSLASHgdef] = ACTIONS(6905),
    [anon_sym_BSLASHedef] = ACTIONS(6905),
    [anon_sym_BSLASHxdef] = ACTIONS(6905),
    [anon_sym_BSLASHlet] = ACTIONS(6905),
    [anon_sym_BSLASHglet] = ACTIONS(6905),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6905),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6905),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6905),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6905),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6905),
    [anon_sym_BSLASHgls] = ACTIONS(6905),
    [anon_sym_BSLASHGls] = ACTIONS(6905),
    [anon_sym_BSLASHGLS] = ACTIONS(6905),
    [anon_sym_BSLASHglspl] = ACTIONS(6905),
    [anon_sym_BSLASHGlspl] = ACTIONS(6905),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6905),
    [anon_sym_BSLASHglslink] = ACTIONS(6905),
    [anon_sym_BSLASHglstext] = ACTIONS(6905),
    [anon_sym_BSLASHGlstext] = ACTIONS(6905),
    [anon_sym_BSLASHGLStext] = ACTIONS(6905),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6905),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6905),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6905),
    [anon_sym_BSLASHglsplural] = ACTIONS(6905),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6905),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6905),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHglsname] = ACTIONS(6905),
    [anon_sym_BSLASHGlsname] = ACTIONS(6905),
    [anon_sym_BSLASHGLSname] = ACTIONS(6905),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6905),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6905),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6905),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6905),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6905),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6905),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6905),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6905),
    [anon_sym_BSLASHacrshort] = ACTIONS(6905),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6905),
    [anon_sym_BSLASHACRshort] = ACTIONS(6905),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHacrlong] = ACTIONS(6905),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6905),
    [anon_sym_BSLASHACRlong] = ACTIONS(6905),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHacrfull] = ACTIONS(6905),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6905),
    [anon_sym_BSLASHACRfull] = ACTIONS(6905),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHacs] = ACTIONS(6905),
    [anon_sym_BSLASHAcs] = ACTIONS(6905),
    [anon_sym_BSLASHacsp] = ACTIONS(6905),
    [anon_sym_BSLASHAcsp] = ACTIONS(6905),
    [anon_sym_BSLASHacl] = ACTIONS(6905),
    [anon_sym_BSLASHAcl] = ACTIONS(6905),
    [anon_sym_BSLASHaclp] = ACTIONS(6905),
    [anon_sym_BSLASHAclp] = ACTIONS(6905),
    [anon_sym_BSLASHacf] = ACTIONS(6905),
    [anon_sym_BSLASHAcf] = ACTIONS(6905),
    [anon_sym_BSLASHacfp] = ACTIONS(6905),
    [anon_sym_BSLASHAcfp] = ACTIONS(6905),
    [anon_sym_BSLASHac] = ACTIONS(6905),
    [anon_sym_BSLASHAc] = ACTIONS(6905),
    [anon_sym_BSLASHacp] = ACTIONS(6905),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6905),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6905),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6905),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6905),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6905),
    [anon_sym_BSLASHcolor] = ACTIONS(6905),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6905),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6905),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6905),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6905),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6905),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6905),
    [anon_sym_BSLASHurl] = ACTIONS(6905),
    [anon_sym_BSLASHhref] = ACTIONS(6905),
  },
  [1668] = {
    [sym_curly_group] = STATE(1941),
    [aux_sym_generic_command_repeat1] = STATE(1668),
    [sym_command_name] = ACTIONS(6864),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6864),
    [anon_sym_LBRACK] = ACTIONS(6866),
    [anon_sym_RBRACK] = ACTIONS(6866),
    [anon_sym_COMMA] = ACTIONS(6866),
    [anon_sym_EQ] = ACTIONS(6866),
    [anon_sym_LPAREN] = ACTIONS(6866),
    [anon_sym_RPAREN] = ACTIONS(6866),
    [anon_sym_LBRACE] = ACTIONS(7837),
    [anon_sym_RBRACE] = ACTIONS(6866),
    [sym_word] = ACTIONS(6864),
    [sym_placeholder] = ACTIONS(6866),
    [sym_delimiter] = ACTIONS(6866),
    [anon_sym_PLUS] = ACTIONS(6866),
    [anon_sym_DASH] = ACTIONS(6866),
    [anon_sym_STAR] = ACTIONS(6866),
    [anon_sym_SLASH] = ACTIONS(6866),
    [anon_sym_LT] = ACTIONS(6864),
    [anon_sym_GT] = ACTIONS(6864),
    [anon_sym_BANG] = ACTIONS(6864),
    [anon_sym_PIPE] = ACTIONS(6864),
    [anon_sym_COLON] = ACTIONS(6864),
    [anon_sym_SQUOTE] = ACTIONS(6864),
    [anon_sym__] = ACTIONS(6866),
    [anon_sym_CARET] = ACTIONS(6866),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6866),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6866),
    [anon_sym_DOLLAR] = ACTIONS(6864),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6866),
    [anon_sym_BSLASHleft] = ACTIONS(6864),
    [anon_sym_BSLASHbigl] = ACTIONS(6864),
    [anon_sym_BSLASHBigl] = ACTIONS(6864),
    [anon_sym_BSLASHbiggl] = ACTIONS(6864),
    [anon_sym_BSLASHBiggl] = ACTIONS(6864),
    [anon_sym_BSLASHtext] = ACTIONS(6864),
    [anon_sym_BSLASHintertext] = ACTIONS(6864),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6864),
    [anon_sym_BSLASHtitle] = ACTIONS(6864),
    [anon_sym_BSLASHauthor] = ACTIONS(6864),
    [anon_sym_BSLASHusepackage] = ACTIONS(6864),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6864),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6864),
    [anon_sym_BSLASHinclude] = ACTIONS(6864),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6864),
    [anon_sym_BSLASHinput] = ACTIONS(6864),
    [anon_sym_BSLASHsubfile] = ACTIONS(6864),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6864),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6864),
    [anon_sym_BSLASHbibliography] = ACTIONS(6864),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6864),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6864),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6864),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6864),
    [anon_sym_BSLASHimport] = ACTIONS(6864),
    [anon_sym_BSLASHsubimport] = ACTIONS(6864),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6864),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6864),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6864),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6864),
    [anon_sym_BSLASHcaption] = ACTIONS(6864),
    [anon_sym_BSLASHcite] = ACTIONS(6864),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCite] = ACTIONS(6864),
    [anon_sym_BSLASHnocite] = ACTIONS(6864),
    [anon_sym_BSLASHcitet] = ACTIONS(6864),
    [anon_sym_BSLASHcitep] = ACTIONS(6864),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteA] = ACTIONS(6864),
    [anon_sym_BSLASHciteR] = ACTIONS(6864),
    [anon_sym_BSLASHciteS] = ACTIONS(6864),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6864),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6864),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6864),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6864),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteyear] = ACTIONS(6864),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitedate] = ACTIONS(6864),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteurl] = ACTIONS(6864),
    [anon_sym_BSLASHfullcite] = ACTIONS(6864),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6864),
    [anon_sym_BSLASHcitealt] = ACTIONS(6864),
    [anon_sym_BSLASHcitealp] = ACTIONS(6864),
    [anon_sym_BSLASHcitetext] = ACTIONS(6864),
    [anon_sym_BSLASHparencite] = ACTIONS(6864),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHParencite] = ACTIONS(6864),
    [anon_sym_BSLASHfootcite] = ACTIONS(6864),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6864),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6864),
    [anon_sym_BSLASHtextcite] = ACTIONS(6864),
    [anon_sym_BSLASHTextcite] = ACTIONS(6864),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6864),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6864),
    [anon_sym_BSLASHsupercite] = ACTIONS(6864),
    [anon_sym_BSLASHautocite] = ACTIONS(6864),
    [anon_sym_BSLASHAutocite] = ACTIONS(6864),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHVolcite] = ACTIONS(6864),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHavolcite] = ACTIONS(6864),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHNotecite] = ACTIONS(6864),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHlabel] = ACTIONS(6864),
    [anon_sym_BSLASHref] = ACTIONS(6864),
    [anon_sym_BSLASHeqref] = ACTIONS(6864),
    [anon_sym_BSLASHvref] = ACTIONS(6864),
    [anon_sym_BSLASHVref] = ACTIONS(6864),
    [anon_sym_BSLASHautoref] = ACTIONS(6864),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHpageref] = ACTIONS(6864),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHautopageref] = ACTIONS(6864),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcref] = ACTIONS(6864),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCref] = ACTIONS(6864),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcpageref] = ACTIONS(6864),
    [anon_sym_BSLASHCpageref] = ACTIONS(6864),
    [anon_sym_BSLASHnamecref] = ACTIONS(6864),
    [anon_sym_BSLASHnameCref] = ACTIONS(6864),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6864),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6864),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6864),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6864),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6864),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6864),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6864),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6864),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6864),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6864),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6864),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHdef] = ACTIONS(6864),
    [anon_sym_BSLASHgdef] = ACTIONS(6864),
    [anon_sym_BSLASHedef] = ACTIONS(6864),
    [anon_sym_BSLASHxdef] = ACTIONS(6864),
    [anon_sym_BSLASHlet] = ACTIONS(6864),
    [anon_sym_BSLASHglet] = ACTIONS(6864),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6864),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6864),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6864),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6864),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6864),
    [anon_sym_BSLASHgls] = ACTIONS(6864),
    [anon_sym_BSLASHGls] = ACTIONS(6864),
    [anon_sym_BSLASHGLS] = ACTIONS(6864),
    [anon_sym_BSLASHglspl] = ACTIONS(6864),
    [anon_sym_BSLASHGlspl] = ACTIONS(6864),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6864),
    [anon_sym_BSLASHglslink] = ACTIONS(6864),
    [anon_sym_BSLASHglstext] = ACTIONS(6864),
    [anon_sym_BSLASHGlstext] = ACTIONS(6864),
    [anon_sym_BSLASHGLStext] = ACTIONS(6864),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6864),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6864),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6864),
    [anon_sym_BSLASHglsplural] = ACTIONS(6864),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6864),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6864),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHglsname] = ACTIONS(6864),
    [anon_sym_BSLASHGlsname] = ACTIONS(6864),
    [anon_sym_BSLASHGLSname] = ACTIONS(6864),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6864),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6864),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6864),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6864),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6864),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6864),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6864),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6864),
    [anon_sym_BSLASHacrshort] = ACTIONS(6864),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6864),
    [anon_sym_BSLASHACRshort] = ACTIONS(6864),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHacrlong] = ACTIONS(6864),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6864),
    [anon_sym_BSLASHACRlong] = ACTIONS(6864),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHacrfull] = ACTIONS(6864),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6864),
    [anon_sym_BSLASHACRfull] = ACTIONS(6864),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHacs] = ACTIONS(6864),
    [anon_sym_BSLASHAcs] = ACTIONS(6864),
    [anon_sym_BSLASHacsp] = ACTIONS(6864),
    [anon_sym_BSLASHAcsp] = ACTIONS(6864),
    [anon_sym_BSLASHacl] = ACTIONS(6864),
    [anon_sym_BSLASHAcl] = ACTIONS(6864),
    [anon_sym_BSLASHaclp] = ACTIONS(6864),
    [anon_sym_BSLASHAclp] = ACTIONS(6864),
    [anon_sym_BSLASHacf] = ACTIONS(6864),
    [anon_sym_BSLASHAcf] = ACTIONS(6864),
    [anon_sym_BSLASHacfp] = ACTIONS(6864),
    [anon_sym_BSLASHAcfp] = ACTIONS(6864),
    [anon_sym_BSLASHac] = ACTIONS(6864),
    [anon_sym_BSLASHAc] = ACTIONS(6864),
    [anon_sym_BSLASHacp] = ACTIONS(6864),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6864),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6864),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6864),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6864),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6864),
    [anon_sym_BSLASHcolor] = ACTIONS(6864),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6864),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6864),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6864),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6864),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6864),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6864),
    [anon_sym_BSLASHurl] = ACTIONS(6864),
    [anon_sym_BSLASHhref] = ACTIONS(6864),
  },
  [1669] = {
    [sym_command_name] = ACTIONS(7567),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7567),
    [anon_sym_LBRACK] = ACTIONS(7569),
    [anon_sym_RBRACK] = ACTIONS(7569),
    [anon_sym_COMMA] = ACTIONS(7569),
    [anon_sym_EQ] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7569),
    [anon_sym_RPAREN] = ACTIONS(7569),
    [anon_sym_LBRACE] = ACTIONS(7569),
    [sym_word] = ACTIONS(7567),
    [sym_placeholder] = ACTIONS(7569),
    [sym_delimiter] = ACTIONS(7569),
    [anon_sym_PLUS] = ACTIONS(7569),
    [anon_sym_DASH] = ACTIONS(7569),
    [anon_sym_STAR] = ACTIONS(7569),
    [anon_sym_SLASH] = ACTIONS(7569),
    [anon_sym_LT] = ACTIONS(7567),
    [anon_sym_GT] = ACTIONS(7567),
    [anon_sym_BANG] = ACTIONS(7567),
    [anon_sym_PIPE] = ACTIONS(7567),
    [anon_sym_COLON] = ACTIONS(7567),
    [anon_sym_SQUOTE] = ACTIONS(7567),
    [anon_sym__] = ACTIONS(7569),
    [anon_sym_CARET] = ACTIONS(7569),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7569),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7569),
    [anon_sym_DOLLAR] = ACTIONS(7567),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7569),
    [anon_sym_BSLASHleft] = ACTIONS(7567),
    [anon_sym_BSLASHbigl] = ACTIONS(7567),
    [anon_sym_BSLASHBigl] = ACTIONS(7567),
    [anon_sym_BSLASHbiggl] = ACTIONS(7567),
    [anon_sym_BSLASHBiggl] = ACTIONS(7567),
    [anon_sym_BSLASHtext] = ACTIONS(7567),
    [anon_sym_BSLASHintertext] = ACTIONS(7567),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7567),
    [anon_sym_BSLASHbegin] = ACTIONS(7567),
    [anon_sym_BSLASHend] = ACTIONS(7567),
    [anon_sym_BSLASHtitle] = ACTIONS(7567),
    [anon_sym_BSLASHauthor] = ACTIONS(7567),
    [anon_sym_BSLASHusepackage] = ACTIONS(7567),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7567),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7567),
    [anon_sym_BSLASHinclude] = ACTIONS(7567),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7567),
    [anon_sym_BSLASHinput] = ACTIONS(7567),
    [anon_sym_BSLASHsubfile] = ACTIONS(7567),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7567),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7567),
    [anon_sym_BSLASHbibliography] = ACTIONS(7567),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7567),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7567),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7567),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7567),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7567),
    [anon_sym_BSLASHimport] = ACTIONS(7567),
    [anon_sym_BSLASHsubimport] = ACTIONS(7567),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7567),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7567),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7567),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7567),
    [anon_sym_BSLASHcaption] = ACTIONS(7567),
    [anon_sym_BSLASHcite] = ACTIONS(7567),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCite] = ACTIONS(7567),
    [anon_sym_BSLASHnocite] = ACTIONS(7567),
    [anon_sym_BSLASHcitet] = ACTIONS(7567),
    [anon_sym_BSLASHcitep] = ACTIONS(7567),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteA] = ACTIONS(7567),
    [anon_sym_BSLASHciteR] = ACTIONS(7567),
    [anon_sym_BSLASHciteS] = ACTIONS(7567),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7567),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7567),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7567),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7567),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteyear] = ACTIONS(7567),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitedate] = ACTIONS(7567),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteurl] = ACTIONS(7567),
    [anon_sym_BSLASHfullcite] = ACTIONS(7567),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7567),
    [anon_sym_BSLASHcitealt] = ACTIONS(7567),
    [anon_sym_BSLASHcitealp] = ACTIONS(7567),
    [anon_sym_BSLASHcitetext] = ACTIONS(7567),
    [anon_sym_BSLASHparencite] = ACTIONS(7567),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHParencite] = ACTIONS(7567),
    [anon_sym_BSLASHfootcite] = ACTIONS(7567),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7567),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7567),
    [anon_sym_BSLASHtextcite] = ACTIONS(7567),
    [anon_sym_BSLASHTextcite] = ACTIONS(7567),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7567),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7567),
    [anon_sym_BSLASHsupercite] = ACTIONS(7567),
    [anon_sym_BSLASHautocite] = ACTIONS(7567),
    [anon_sym_BSLASHAutocite] = ACTIONS(7567),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHVolcite] = ACTIONS(7567),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHavolcite] = ACTIONS(7567),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHNotecite] = ACTIONS(7567),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHlabel] = ACTIONS(7567),
    [anon_sym_BSLASHref] = ACTIONS(7567),
    [anon_sym_BSLASHeqref] = ACTIONS(7567),
    [anon_sym_BSLASHvref] = ACTIONS(7567),
    [anon_sym_BSLASHVref] = ACTIONS(7567),
    [anon_sym_BSLASHautoref] = ACTIONS(7567),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHpageref] = ACTIONS(7567),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHautopageref] = ACTIONS(7567),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcref] = ACTIONS(7567),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCref] = ACTIONS(7567),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcpageref] = ACTIONS(7567),
    [anon_sym_BSLASHCpageref] = ACTIONS(7567),
    [anon_sym_BSLASHnamecref] = ACTIONS(7567),
    [anon_sym_BSLASHnameCref] = ACTIONS(7567),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7567),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7567),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7567),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7567),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7567),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7567),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7567),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7567),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7567),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7567),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7567),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHdef] = ACTIONS(7567),
    [anon_sym_BSLASHgdef] = ACTIONS(7567),
    [anon_sym_BSLASHedef] = ACTIONS(7567),
    [anon_sym_BSLASHxdef] = ACTIONS(7567),
    [anon_sym_BSLASHlet] = ACTIONS(7567),
    [anon_sym_BSLASHglet] = ACTIONS(7567),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7567),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7567),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7567),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7567),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7567),
    [anon_sym_BSLASHgls] = ACTIONS(7567),
    [anon_sym_BSLASHGls] = ACTIONS(7567),
    [anon_sym_BSLASHGLS] = ACTIONS(7567),
    [anon_sym_BSLASHglspl] = ACTIONS(7567),
    [anon_sym_BSLASHGlspl] = ACTIONS(7567),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7567),
    [anon_sym_BSLASHglslink] = ACTIONS(7567),
    [anon_sym_BSLASHglstext] = ACTIONS(7567),
    [anon_sym_BSLASHGlstext] = ACTIONS(7567),
    [anon_sym_BSLASHGLStext] = ACTIONS(7567),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7567),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7567),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7567),
    [anon_sym_BSLASHglsplural] = ACTIONS(7567),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7567),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7567),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHglsname] = ACTIONS(7567),
    [anon_sym_BSLASHGlsname] = ACTIONS(7567),
    [anon_sym_BSLASHGLSname] = ACTIONS(7567),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7567),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7567),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7567),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7567),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7567),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7567),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7567),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7567),
    [anon_sym_BSLASHacrshort] = ACTIONS(7567),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7567),
    [anon_sym_BSLASHACRshort] = ACTIONS(7567),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHacrlong] = ACTIONS(7567),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7567),
    [anon_sym_BSLASHACRlong] = ACTIONS(7567),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHacrfull] = ACTIONS(7567),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7567),
    [anon_sym_BSLASHACRfull] = ACTIONS(7567),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHacs] = ACTIONS(7567),
    [anon_sym_BSLASHAcs] = ACTIONS(7567),
    [anon_sym_BSLASHacsp] = ACTIONS(7567),
    [anon_sym_BSLASHAcsp] = ACTIONS(7567),
    [anon_sym_BSLASHacl] = ACTIONS(7567),
    [anon_sym_BSLASHAcl] = ACTIONS(7567),
    [anon_sym_BSLASHaclp] = ACTIONS(7567),
    [anon_sym_BSLASHAclp] = ACTIONS(7567),
    [anon_sym_BSLASHacf] = ACTIONS(7567),
    [anon_sym_BSLASHAcf] = ACTIONS(7567),
    [anon_sym_BSLASHacfp] = ACTIONS(7567),
    [anon_sym_BSLASHAcfp] = ACTIONS(7567),
    [anon_sym_BSLASHac] = ACTIONS(7567),
    [anon_sym_BSLASHAc] = ACTIONS(7567),
    [anon_sym_BSLASHacp] = ACTIONS(7567),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7567),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7567),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7567),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7567),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7567),
    [anon_sym_BSLASHcolor] = ACTIONS(7567),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7567),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7567),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7567),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7567),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7567),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7567),
    [anon_sym_BSLASHurl] = ACTIONS(7567),
    [anon_sym_BSLASHhref] = ACTIONS(7567),
  },
  [1670] = {
    [sym_command_name] = ACTIONS(7299),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7299),
    [anon_sym_LBRACK] = ACTIONS(7301),
    [anon_sym_RBRACK] = ACTIONS(7301),
    [anon_sym_COMMA] = ACTIONS(7301),
    [anon_sym_EQ] = ACTIONS(7301),
    [anon_sym_LPAREN] = ACTIONS(7301),
    [anon_sym_RPAREN] = ACTIONS(7301),
    [anon_sym_LBRACE] = ACTIONS(7301),
    [sym_word] = ACTIONS(7299),
    [sym_placeholder] = ACTIONS(7301),
    [sym_delimiter] = ACTIONS(7301),
    [anon_sym_PLUS] = ACTIONS(7301),
    [anon_sym_DASH] = ACTIONS(7301),
    [anon_sym_STAR] = ACTIONS(7301),
    [anon_sym_SLASH] = ACTIONS(7301),
    [anon_sym_LT] = ACTIONS(7299),
    [anon_sym_GT] = ACTIONS(7299),
    [anon_sym_BANG] = ACTIONS(7299),
    [anon_sym_PIPE] = ACTIONS(7299),
    [anon_sym_COLON] = ACTIONS(7299),
    [anon_sym_SQUOTE] = ACTIONS(7299),
    [anon_sym__] = ACTIONS(7301),
    [anon_sym_CARET] = ACTIONS(7301),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7301),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7301),
    [anon_sym_DOLLAR] = ACTIONS(7299),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7301),
    [anon_sym_BSLASHleft] = ACTIONS(7299),
    [anon_sym_BSLASHbigl] = ACTIONS(7299),
    [anon_sym_BSLASHBigl] = ACTIONS(7299),
    [anon_sym_BSLASHbiggl] = ACTIONS(7299),
    [anon_sym_BSLASHBiggl] = ACTIONS(7299),
    [anon_sym_BSLASHtext] = ACTIONS(7299),
    [anon_sym_BSLASHintertext] = ACTIONS(7299),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7299),
    [anon_sym_BSLASHbegin] = ACTIONS(7299),
    [anon_sym_BSLASHend] = ACTIONS(7299),
    [anon_sym_BSLASHtitle] = ACTIONS(7299),
    [anon_sym_BSLASHauthor] = ACTIONS(7299),
    [anon_sym_BSLASHusepackage] = ACTIONS(7299),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7299),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7299),
    [anon_sym_BSLASHinclude] = ACTIONS(7299),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7299),
    [anon_sym_BSLASHinput] = ACTIONS(7299),
    [anon_sym_BSLASHsubfile] = ACTIONS(7299),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7299),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7299),
    [anon_sym_BSLASHbibliography] = ACTIONS(7299),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7299),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7299),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7299),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7299),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7299),
    [anon_sym_BSLASHimport] = ACTIONS(7299),
    [anon_sym_BSLASHsubimport] = ACTIONS(7299),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7299),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7299),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7299),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7299),
    [anon_sym_BSLASHcaption] = ACTIONS(7299),
    [anon_sym_BSLASHcite] = ACTIONS(7299),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCite] = ACTIONS(7299),
    [anon_sym_BSLASHnocite] = ACTIONS(7299),
    [anon_sym_BSLASHcitet] = ACTIONS(7299),
    [anon_sym_BSLASHcitep] = ACTIONS(7299),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteA] = ACTIONS(7299),
    [anon_sym_BSLASHciteR] = ACTIONS(7299),
    [anon_sym_BSLASHciteS] = ACTIONS(7299),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7299),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7299),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7299),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7299),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteyear] = ACTIONS(7299),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitedate] = ACTIONS(7299),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteurl] = ACTIONS(7299),
    [anon_sym_BSLASHfullcite] = ACTIONS(7299),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7299),
    [anon_sym_BSLASHcitealt] = ACTIONS(7299),
    [anon_sym_BSLASHcitealp] = ACTIONS(7299),
    [anon_sym_BSLASHcitetext] = ACTIONS(7299),
    [anon_sym_BSLASHparencite] = ACTIONS(7299),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHParencite] = ACTIONS(7299),
    [anon_sym_BSLASHfootcite] = ACTIONS(7299),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7299),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7299),
    [anon_sym_BSLASHtextcite] = ACTIONS(7299),
    [anon_sym_BSLASHTextcite] = ACTIONS(7299),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7299),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7299),
    [anon_sym_BSLASHsupercite] = ACTIONS(7299),
    [anon_sym_BSLASHautocite] = ACTIONS(7299),
    [anon_sym_BSLASHAutocite] = ACTIONS(7299),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHVolcite] = ACTIONS(7299),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHavolcite] = ACTIONS(7299),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHNotecite] = ACTIONS(7299),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHlabel] = ACTIONS(7299),
    [anon_sym_BSLASHref] = ACTIONS(7299),
    [anon_sym_BSLASHeqref] = ACTIONS(7299),
    [anon_sym_BSLASHvref] = ACTIONS(7299),
    [anon_sym_BSLASHVref] = ACTIONS(7299),
    [anon_sym_BSLASHautoref] = ACTIONS(7299),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHpageref] = ACTIONS(7299),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHautopageref] = ACTIONS(7299),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcref] = ACTIONS(7299),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCref] = ACTIONS(7299),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcpageref] = ACTIONS(7299),
    [anon_sym_BSLASHCpageref] = ACTIONS(7299),
    [anon_sym_BSLASHnamecref] = ACTIONS(7299),
    [anon_sym_BSLASHnameCref] = ACTIONS(7299),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7299),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7299),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7299),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7299),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7299),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7299),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7299),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7299),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7299),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7299),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7299),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHdef] = ACTIONS(7299),
    [anon_sym_BSLASHgdef] = ACTIONS(7299),
    [anon_sym_BSLASHedef] = ACTIONS(7299),
    [anon_sym_BSLASHxdef] = ACTIONS(7299),
    [anon_sym_BSLASHlet] = ACTIONS(7299),
    [anon_sym_BSLASHglet] = ACTIONS(7299),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7299),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7299),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7299),
    [anon_sym_BSLASHgls] = ACTIONS(7299),
    [anon_sym_BSLASHGls] = ACTIONS(7299),
    [anon_sym_BSLASHGLS] = ACTIONS(7299),
    [anon_sym_BSLASHglspl] = ACTIONS(7299),
    [anon_sym_BSLASHGlspl] = ACTIONS(7299),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7299),
    [anon_sym_BSLASHglslink] = ACTIONS(7299),
    [anon_sym_BSLASHglstext] = ACTIONS(7299),
    [anon_sym_BSLASHGlstext] = ACTIONS(7299),
    [anon_sym_BSLASHGLStext] = ACTIONS(7299),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7299),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7299),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7299),
    [anon_sym_BSLASHglsplural] = ACTIONS(7299),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7299),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7299),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHglsname] = ACTIONS(7299),
    [anon_sym_BSLASHGlsname] = ACTIONS(7299),
    [anon_sym_BSLASHGLSname] = ACTIONS(7299),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7299),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7299),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7299),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7299),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7299),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7299),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7299),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7299),
    [anon_sym_BSLASHacrshort] = ACTIONS(7299),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7299),
    [anon_sym_BSLASHACRshort] = ACTIONS(7299),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHacrlong] = ACTIONS(7299),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7299),
    [anon_sym_BSLASHACRlong] = ACTIONS(7299),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHacrfull] = ACTIONS(7299),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7299),
    [anon_sym_BSLASHACRfull] = ACTIONS(7299),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHacs] = ACTIONS(7299),
    [anon_sym_BSLASHAcs] = ACTIONS(7299),
    [anon_sym_BSLASHacsp] = ACTIONS(7299),
    [anon_sym_BSLASHAcsp] = ACTIONS(7299),
    [anon_sym_BSLASHacl] = ACTIONS(7299),
    [anon_sym_BSLASHAcl] = ACTIONS(7299),
    [anon_sym_BSLASHaclp] = ACTIONS(7299),
    [anon_sym_BSLASHAclp] = ACTIONS(7299),
    [anon_sym_BSLASHacf] = ACTIONS(7299),
    [anon_sym_BSLASHAcf] = ACTIONS(7299),
    [anon_sym_BSLASHacfp] = ACTIONS(7299),
    [anon_sym_BSLASHAcfp] = ACTIONS(7299),
    [anon_sym_BSLASHac] = ACTIONS(7299),
    [anon_sym_BSLASHAc] = ACTIONS(7299),
    [anon_sym_BSLASHacp] = ACTIONS(7299),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7299),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7299),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7299),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7299),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7299),
    [anon_sym_BSLASHcolor] = ACTIONS(7299),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7299),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7299),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7299),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7299),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7299),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7299),
    [anon_sym_BSLASHurl] = ACTIONS(7299),
    [anon_sym_BSLASHhref] = ACTIONS(7299),
  },
  [1671] = {
    [sym_command_name] = ACTIONS(7131),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7131),
    [anon_sym_LBRACK] = ACTIONS(7133),
    [anon_sym_RBRACK] = ACTIONS(7133),
    [anon_sym_COMMA] = ACTIONS(7133),
    [anon_sym_EQ] = ACTIONS(7133),
    [anon_sym_LPAREN] = ACTIONS(7133),
    [anon_sym_RPAREN] = ACTIONS(7133),
    [anon_sym_LBRACE] = ACTIONS(7133),
    [sym_word] = ACTIONS(7131),
    [sym_placeholder] = ACTIONS(7133),
    [sym_delimiter] = ACTIONS(7133),
    [anon_sym_PLUS] = ACTIONS(7133),
    [anon_sym_DASH] = ACTIONS(7133),
    [anon_sym_STAR] = ACTIONS(7133),
    [anon_sym_SLASH] = ACTIONS(7133),
    [anon_sym_LT] = ACTIONS(7131),
    [anon_sym_GT] = ACTIONS(7131),
    [anon_sym_BANG] = ACTIONS(7131),
    [anon_sym_PIPE] = ACTIONS(7131),
    [anon_sym_COLON] = ACTIONS(7131),
    [anon_sym_SQUOTE] = ACTIONS(7131),
    [anon_sym__] = ACTIONS(7133),
    [anon_sym_CARET] = ACTIONS(7133),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7133),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7133),
    [anon_sym_DOLLAR] = ACTIONS(7131),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7133),
    [anon_sym_BSLASHleft] = ACTIONS(7131),
    [anon_sym_BSLASHbigl] = ACTIONS(7131),
    [anon_sym_BSLASHBigl] = ACTIONS(7131),
    [anon_sym_BSLASHbiggl] = ACTIONS(7131),
    [anon_sym_BSLASHBiggl] = ACTIONS(7131),
    [anon_sym_BSLASHtext] = ACTIONS(7131),
    [anon_sym_BSLASHintertext] = ACTIONS(7131),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7131),
    [anon_sym_BSLASHbegin] = ACTIONS(7131),
    [anon_sym_BSLASHend] = ACTIONS(7131),
    [anon_sym_BSLASHtitle] = ACTIONS(7131),
    [anon_sym_BSLASHauthor] = ACTIONS(7131),
    [anon_sym_BSLASHusepackage] = ACTIONS(7131),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7131),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7131),
    [anon_sym_BSLASHinclude] = ACTIONS(7131),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7131),
    [anon_sym_BSLASHinput] = ACTIONS(7131),
    [anon_sym_BSLASHsubfile] = ACTIONS(7131),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7131),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7131),
    [anon_sym_BSLASHbibliography] = ACTIONS(7131),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7131),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7131),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7131),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7131),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7131),
    [anon_sym_BSLASHimport] = ACTIONS(7131),
    [anon_sym_BSLASHsubimport] = ACTIONS(7131),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7131),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7131),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7131),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7131),
    [anon_sym_BSLASHcaption] = ACTIONS(7131),
    [anon_sym_BSLASHcite] = ACTIONS(7131),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCite] = ACTIONS(7131),
    [anon_sym_BSLASHnocite] = ACTIONS(7131),
    [anon_sym_BSLASHcitet] = ACTIONS(7131),
    [anon_sym_BSLASHcitep] = ACTIONS(7131),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHciteA] = ACTIONS(7131),
    [anon_sym_BSLASHciteR] = ACTIONS(7131),
    [anon_sym_BSLASHciteS] = ACTIONS(7131),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7131),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7131),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7131),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7131),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHciteyear] = ACTIONS(7131),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcitedate] = ACTIONS(7131),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHciteurl] = ACTIONS(7131),
    [anon_sym_BSLASHfullcite] = ACTIONS(7131),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7131),
    [anon_sym_BSLASHcitealt] = ACTIONS(7131),
    [anon_sym_BSLASHcitealp] = ACTIONS(7131),
    [anon_sym_BSLASHcitetext] = ACTIONS(7131),
    [anon_sym_BSLASHparencite] = ACTIONS(7131),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHParencite] = ACTIONS(7131),
    [anon_sym_BSLASHfootcite] = ACTIONS(7131),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7131),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7131),
    [anon_sym_BSLASHtextcite] = ACTIONS(7131),
    [anon_sym_BSLASHTextcite] = ACTIONS(7131),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7131),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7131),
    [anon_sym_BSLASHsupercite] = ACTIONS(7131),
    [anon_sym_BSLASHautocite] = ACTIONS(7131),
    [anon_sym_BSLASHAutocite] = ACTIONS(7131),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHVolcite] = ACTIONS(7131),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHavolcite] = ACTIONS(7131),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHNotecite] = ACTIONS(7131),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHlabel] = ACTIONS(7131),
    [anon_sym_BSLASHref] = ACTIONS(7131),
    [anon_sym_BSLASHeqref] = ACTIONS(7131),
    [anon_sym_BSLASHvref] = ACTIONS(7131),
    [anon_sym_BSLASHVref] = ACTIONS(7131),
    [anon_sym_BSLASHautoref] = ACTIONS(7131),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHpageref] = ACTIONS(7131),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHautopageref] = ACTIONS(7131),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcref] = ACTIONS(7131),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCref] = ACTIONS(7131),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcpageref] = ACTIONS(7131),
    [anon_sym_BSLASHCpageref] = ACTIONS(7131),
    [anon_sym_BSLASHnamecref] = ACTIONS(7131),
    [anon_sym_BSLASHnameCref] = ACTIONS(7131),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7131),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7131),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7131),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7131),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7131),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7131),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7131),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7131),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7131),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7131),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7131),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7131),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7131),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7131),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7131),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7131),
    [anon_sym_BSLASHdef] = ACTIONS(7131),
    [anon_sym_BSLASHgdef] = ACTIONS(7131),
    [anon_sym_BSLASHedef] = ACTIONS(7131),
    [anon_sym_BSLASHxdef] = ACTIONS(7131),
    [anon_sym_BSLASHlet] = ACTIONS(7131),
    [anon_sym_BSLASHglet] = ACTIONS(7131),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7131),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7131),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7131),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7131),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7131),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7131),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7131),
    [anon_sym_BSLASHgls] = ACTIONS(7131),
    [anon_sym_BSLASHGls] = ACTIONS(7131),
    [anon_sym_BSLASHGLS] = ACTIONS(7131),
    [anon_sym_BSLASHglspl] = ACTIONS(7131),
    [anon_sym_BSLASHGlspl] = ACTIONS(7131),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7131),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7131),
    [anon_sym_BSLASHglslink] = ACTIONS(7131),
    [anon_sym_BSLASHglstext] = ACTIONS(7131),
    [anon_sym_BSLASHGlstext] = ACTIONS(7131),
    [anon_sym_BSLASHGLStext] = ACTIONS(7131),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7131),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7131),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7131),
    [anon_sym_BSLASHglsplural] = ACTIONS(7131),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7131),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7131),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7131),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7131),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7131),
    [anon_sym_BSLASHglsname] = ACTIONS(7131),
    [anon_sym_BSLASHGlsname] = ACTIONS(7131),
    [anon_sym_BSLASHGLSname] = ACTIONS(7131),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7131),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7131),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7131),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7131),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7131),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7131),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7131),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7131),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7131),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7131),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7131),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7131),
    [anon_sym_BSLASHacrshort] = ACTIONS(7131),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7131),
    [anon_sym_BSLASHACRshort] = ACTIONS(7131),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHacrlong] = ACTIONS(7131),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7131),
    [anon_sym_BSLASHACRlong] = ACTIONS(7131),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7131),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7131),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7131),
    [anon_sym_BSLASHacrfull] = ACTIONS(7131),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7131),
    [anon_sym_BSLASHACRfull] = ACTIONS(7131),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHacs] = ACTIONS(7131),
    [anon_sym_BSLASHAcs] = ACTIONS(7131),
    [anon_sym_BSLASHacsp] = ACTIONS(7131),
    [anon_sym_BSLASHAcsp] = ACTIONS(7131),
    [anon_sym_BSLASHacl] = ACTIONS(7131),
    [anon_sym_BSLASHAcl] = ACTIONS(7131),
    [anon_sym_BSLASHaclp] = ACTIONS(7131),
    [anon_sym_BSLASHAclp] = ACTIONS(7131),
    [anon_sym_BSLASHacf] = ACTIONS(7131),
    [anon_sym_BSLASHAcf] = ACTIONS(7131),
    [anon_sym_BSLASHacfp] = ACTIONS(7131),
    [anon_sym_BSLASHAcfp] = ACTIONS(7131),
    [anon_sym_BSLASHac] = ACTIONS(7131),
    [anon_sym_BSLASHAc] = ACTIONS(7131),
    [anon_sym_BSLASHacp] = ACTIONS(7131),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7131),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7131),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7131),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7131),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7131),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7131),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7131),
    [anon_sym_BSLASHcolor] = ACTIONS(7131),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7131),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7131),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7131),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7131),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7131),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7131),
    [anon_sym_BSLASHurl] = ACTIONS(7131),
    [anon_sym_BSLASHhref] = ACTIONS(7131),
  },
  [1672] = {
    [sym_command_name] = ACTIONS(7051),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7051),
    [anon_sym_LBRACK] = ACTIONS(7053),
    [anon_sym_RBRACK] = ACTIONS(7053),
    [anon_sym_COMMA] = ACTIONS(7053),
    [anon_sym_EQ] = ACTIONS(7053),
    [anon_sym_LPAREN] = ACTIONS(7053),
    [anon_sym_RPAREN] = ACTIONS(7053),
    [anon_sym_LBRACE] = ACTIONS(7053),
    [sym_word] = ACTIONS(7051),
    [sym_placeholder] = ACTIONS(7053),
    [sym_delimiter] = ACTIONS(7053),
    [anon_sym_PLUS] = ACTIONS(7053),
    [anon_sym_DASH] = ACTIONS(7053),
    [anon_sym_STAR] = ACTIONS(7053),
    [anon_sym_SLASH] = ACTIONS(7053),
    [anon_sym_LT] = ACTIONS(7051),
    [anon_sym_GT] = ACTIONS(7051),
    [anon_sym_BANG] = ACTIONS(7051),
    [anon_sym_PIPE] = ACTIONS(7051),
    [anon_sym_COLON] = ACTIONS(7051),
    [anon_sym_SQUOTE] = ACTIONS(7051),
    [anon_sym__] = ACTIONS(7053),
    [anon_sym_CARET] = ACTIONS(7053),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7053),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7053),
    [anon_sym_DOLLAR] = ACTIONS(7051),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7053),
    [anon_sym_BSLASHleft] = ACTIONS(7051),
    [anon_sym_BSLASHbigl] = ACTIONS(7051),
    [anon_sym_BSLASHBigl] = ACTIONS(7051),
    [anon_sym_BSLASHbiggl] = ACTIONS(7051),
    [anon_sym_BSLASHBiggl] = ACTIONS(7051),
    [anon_sym_BSLASHtext] = ACTIONS(7051),
    [anon_sym_BSLASHintertext] = ACTIONS(7051),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7051),
    [anon_sym_BSLASHbegin] = ACTIONS(7051),
    [anon_sym_BSLASHend] = ACTIONS(7051),
    [anon_sym_BSLASHtitle] = ACTIONS(7051),
    [anon_sym_BSLASHauthor] = ACTIONS(7051),
    [anon_sym_BSLASHusepackage] = ACTIONS(7051),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7051),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7051),
    [anon_sym_BSLASHinclude] = ACTIONS(7051),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7051),
    [anon_sym_BSLASHinput] = ACTIONS(7051),
    [anon_sym_BSLASHsubfile] = ACTIONS(7051),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7051),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7051),
    [anon_sym_BSLASHbibliography] = ACTIONS(7051),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7051),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7051),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7051),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7051),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7051),
    [anon_sym_BSLASHimport] = ACTIONS(7051),
    [anon_sym_BSLASHsubimport] = ACTIONS(7051),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7051),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7051),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7051),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7051),
    [anon_sym_BSLASHcaption] = ACTIONS(7051),
    [anon_sym_BSLASHcite] = ACTIONS(7051),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCite] = ACTIONS(7051),
    [anon_sym_BSLASHnocite] = ACTIONS(7051),
    [anon_sym_BSLASHcitet] = ACTIONS(7051),
    [anon_sym_BSLASHcitep] = ACTIONS(7051),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteA] = ACTIONS(7051),
    [anon_sym_BSLASHciteR] = ACTIONS(7051),
    [anon_sym_BSLASHciteS] = ACTIONS(7051),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7051),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7051),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7051),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7051),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteyear] = ACTIONS(7051),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitedate] = ACTIONS(7051),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteurl] = ACTIONS(7051),
    [anon_sym_BSLASHfullcite] = ACTIONS(7051),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7051),
    [anon_sym_BSLASHcitealt] = ACTIONS(7051),
    [anon_sym_BSLASHcitealp] = ACTIONS(7051),
    [anon_sym_BSLASHcitetext] = ACTIONS(7051),
    [anon_sym_BSLASHparencite] = ACTIONS(7051),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHParencite] = ACTIONS(7051),
    [anon_sym_BSLASHfootcite] = ACTIONS(7051),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7051),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7051),
    [anon_sym_BSLASHtextcite] = ACTIONS(7051),
    [anon_sym_BSLASHTextcite] = ACTIONS(7051),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7051),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7051),
    [anon_sym_BSLASHsupercite] = ACTIONS(7051),
    [anon_sym_BSLASHautocite] = ACTIONS(7051),
    [anon_sym_BSLASHAutocite] = ACTIONS(7051),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHVolcite] = ACTIONS(7051),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHavolcite] = ACTIONS(7051),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHNotecite] = ACTIONS(7051),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHlabel] = ACTIONS(7051),
    [anon_sym_BSLASHref] = ACTIONS(7051),
    [anon_sym_BSLASHeqref] = ACTIONS(7051),
    [anon_sym_BSLASHvref] = ACTIONS(7051),
    [anon_sym_BSLASHVref] = ACTIONS(7051),
    [anon_sym_BSLASHautoref] = ACTIONS(7051),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHpageref] = ACTIONS(7051),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHautopageref] = ACTIONS(7051),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcref] = ACTIONS(7051),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCref] = ACTIONS(7051),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcpageref] = ACTIONS(7051),
    [anon_sym_BSLASHCpageref] = ACTIONS(7051),
    [anon_sym_BSLASHnamecref] = ACTIONS(7051),
    [anon_sym_BSLASHnameCref] = ACTIONS(7051),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7051),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7051),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7051),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7051),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7051),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7051),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7051),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7051),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7051),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7051),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7051),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHdef] = ACTIONS(7051),
    [anon_sym_BSLASHgdef] = ACTIONS(7051),
    [anon_sym_BSLASHedef] = ACTIONS(7051),
    [anon_sym_BSLASHxdef] = ACTIONS(7051),
    [anon_sym_BSLASHlet] = ACTIONS(7051),
    [anon_sym_BSLASHglet] = ACTIONS(7051),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7051),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7051),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7051),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7051),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7051),
    [anon_sym_BSLASHgls] = ACTIONS(7051),
    [anon_sym_BSLASHGls] = ACTIONS(7051),
    [anon_sym_BSLASHGLS] = ACTIONS(7051),
    [anon_sym_BSLASHglspl] = ACTIONS(7051),
    [anon_sym_BSLASHGlspl] = ACTIONS(7051),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7051),
    [anon_sym_BSLASHglslink] = ACTIONS(7051),
    [anon_sym_BSLASHglstext] = ACTIONS(7051),
    [anon_sym_BSLASHGlstext] = ACTIONS(7051),
    [anon_sym_BSLASHGLStext] = ACTIONS(7051),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7051),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7051),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7051),
    [anon_sym_BSLASHglsplural] = ACTIONS(7051),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7051),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7051),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHglsname] = ACTIONS(7051),
    [anon_sym_BSLASHGlsname] = ACTIONS(7051),
    [anon_sym_BSLASHGLSname] = ACTIONS(7051),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7051),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7051),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7051),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7051),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7051),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7051),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7051),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7051),
    [anon_sym_BSLASHacrshort] = ACTIONS(7051),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7051),
    [anon_sym_BSLASHACRshort] = ACTIONS(7051),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHacrlong] = ACTIONS(7051),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7051),
    [anon_sym_BSLASHACRlong] = ACTIONS(7051),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHacrfull] = ACTIONS(7051),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7051),
    [anon_sym_BSLASHACRfull] = ACTIONS(7051),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHacs] = ACTIONS(7051),
    [anon_sym_BSLASHAcs] = ACTIONS(7051),
    [anon_sym_BSLASHacsp] = ACTIONS(7051),
    [anon_sym_BSLASHAcsp] = ACTIONS(7051),
    [anon_sym_BSLASHacl] = ACTIONS(7051),
    [anon_sym_BSLASHAcl] = ACTIONS(7051),
    [anon_sym_BSLASHaclp] = ACTIONS(7051),
    [anon_sym_BSLASHAclp] = ACTIONS(7051),
    [anon_sym_BSLASHacf] = ACTIONS(7051),
    [anon_sym_BSLASHAcf] = ACTIONS(7051),
    [anon_sym_BSLASHacfp] = ACTIONS(7051),
    [anon_sym_BSLASHAcfp] = ACTIONS(7051),
    [anon_sym_BSLASHac] = ACTIONS(7051),
    [anon_sym_BSLASHAc] = ACTIONS(7051),
    [anon_sym_BSLASHacp] = ACTIONS(7051),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7051),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7051),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7051),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7051),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7051),
    [anon_sym_BSLASHcolor] = ACTIONS(7051),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7051),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7051),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7051),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7051),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7051),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7051),
    [anon_sym_BSLASHurl] = ACTIONS(7051),
    [anon_sym_BSLASHhref] = ACTIONS(7051),
  },
  [1673] = {
    [sym_command_name] = ACTIONS(7227),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7227),
    [anon_sym_LBRACK] = ACTIONS(7229),
    [anon_sym_RBRACK] = ACTIONS(7229),
    [anon_sym_COMMA] = ACTIONS(7229),
    [anon_sym_EQ] = ACTIONS(7229),
    [anon_sym_LPAREN] = ACTIONS(7229),
    [anon_sym_RPAREN] = ACTIONS(7229),
    [anon_sym_LBRACE] = ACTIONS(7229),
    [sym_word] = ACTIONS(7227),
    [sym_placeholder] = ACTIONS(7229),
    [sym_delimiter] = ACTIONS(7229),
    [anon_sym_PLUS] = ACTIONS(7229),
    [anon_sym_DASH] = ACTIONS(7229),
    [anon_sym_STAR] = ACTIONS(7229),
    [anon_sym_SLASH] = ACTIONS(7229),
    [anon_sym_LT] = ACTIONS(7227),
    [anon_sym_GT] = ACTIONS(7227),
    [anon_sym_BANG] = ACTIONS(7227),
    [anon_sym_PIPE] = ACTIONS(7227),
    [anon_sym_COLON] = ACTIONS(7227),
    [anon_sym_SQUOTE] = ACTIONS(7227),
    [anon_sym__] = ACTIONS(7229),
    [anon_sym_CARET] = ACTIONS(7229),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7229),
    [anon_sym_DOLLAR] = ACTIONS(7227),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7229),
    [anon_sym_BSLASHleft] = ACTIONS(7227),
    [anon_sym_BSLASHbigl] = ACTIONS(7227),
    [anon_sym_BSLASHBigl] = ACTIONS(7227),
    [anon_sym_BSLASHbiggl] = ACTIONS(7227),
    [anon_sym_BSLASHBiggl] = ACTIONS(7227),
    [anon_sym_BSLASHtext] = ACTIONS(7227),
    [anon_sym_BSLASHintertext] = ACTIONS(7227),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7227),
    [anon_sym_BSLASHbegin] = ACTIONS(7227),
    [anon_sym_BSLASHend] = ACTIONS(7227),
    [anon_sym_BSLASHtitle] = ACTIONS(7227),
    [anon_sym_BSLASHauthor] = ACTIONS(7227),
    [anon_sym_BSLASHusepackage] = ACTIONS(7227),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7227),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7227),
    [anon_sym_BSLASHinclude] = ACTIONS(7227),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7227),
    [anon_sym_BSLASHinput] = ACTIONS(7227),
    [anon_sym_BSLASHsubfile] = ACTIONS(7227),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7227),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7227),
    [anon_sym_BSLASHbibliography] = ACTIONS(7227),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7227),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7227),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7227),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7227),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7227),
    [anon_sym_BSLASHimport] = ACTIONS(7227),
    [anon_sym_BSLASHsubimport] = ACTIONS(7227),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7227),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7227),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7227),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7227),
    [anon_sym_BSLASHcaption] = ACTIONS(7227),
    [anon_sym_BSLASHcite] = ACTIONS(7227),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCite] = ACTIONS(7227),
    [anon_sym_BSLASHnocite] = ACTIONS(7227),
    [anon_sym_BSLASHcitet] = ACTIONS(7227),
    [anon_sym_BSLASHcitep] = ACTIONS(7227),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteA] = ACTIONS(7227),
    [anon_sym_BSLASHciteR] = ACTIONS(7227),
    [anon_sym_BSLASHciteS] = ACTIONS(7227),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7227),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7227),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7227),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7227),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteyear] = ACTIONS(7227),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitedate] = ACTIONS(7227),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteurl] = ACTIONS(7227),
    [anon_sym_BSLASHfullcite] = ACTIONS(7227),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7227),
    [anon_sym_BSLASHcitealt] = ACTIONS(7227),
    [anon_sym_BSLASHcitealp] = ACTIONS(7227),
    [anon_sym_BSLASHcitetext] = ACTIONS(7227),
    [anon_sym_BSLASHparencite] = ACTIONS(7227),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHParencite] = ACTIONS(7227),
    [anon_sym_BSLASHfootcite] = ACTIONS(7227),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7227),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7227),
    [anon_sym_BSLASHtextcite] = ACTIONS(7227),
    [anon_sym_BSLASHTextcite] = ACTIONS(7227),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7227),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7227),
    [anon_sym_BSLASHsupercite] = ACTIONS(7227),
    [anon_sym_BSLASHautocite] = ACTIONS(7227),
    [anon_sym_BSLASHAutocite] = ACTIONS(7227),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHVolcite] = ACTIONS(7227),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHavolcite] = ACTIONS(7227),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHNotecite] = ACTIONS(7227),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHlabel] = ACTIONS(7227),
    [anon_sym_BSLASHref] = ACTIONS(7227),
    [anon_sym_BSLASHeqref] = ACTIONS(7227),
    [anon_sym_BSLASHvref] = ACTIONS(7227),
    [anon_sym_BSLASHVref] = ACTIONS(7227),
    [anon_sym_BSLASHautoref] = ACTIONS(7227),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHpageref] = ACTIONS(7227),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHautopageref] = ACTIONS(7227),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcref] = ACTIONS(7227),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCref] = ACTIONS(7227),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcpageref] = ACTIONS(7227),
    [anon_sym_BSLASHCpageref] = ACTIONS(7227),
    [anon_sym_BSLASHnamecref] = ACTIONS(7227),
    [anon_sym_BSLASHnameCref] = ACTIONS(7227),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7227),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7227),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7227),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7227),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7227),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7227),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7227),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7227),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7227),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7227),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7227),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHdef] = ACTIONS(7227),
    [anon_sym_BSLASHgdef] = ACTIONS(7227),
    [anon_sym_BSLASHedef] = ACTIONS(7227),
    [anon_sym_BSLASHxdef] = ACTIONS(7227),
    [anon_sym_BSLASHlet] = ACTIONS(7227),
    [anon_sym_BSLASHglet] = ACTIONS(7227),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7227),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7227),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7227),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7227),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7227),
    [anon_sym_BSLASHgls] = ACTIONS(7227),
    [anon_sym_BSLASHGls] = ACTIONS(7227),
    [anon_sym_BSLASHGLS] = ACTIONS(7227),
    [anon_sym_BSLASHglspl] = ACTIONS(7227),
    [anon_sym_BSLASHGlspl] = ACTIONS(7227),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7227),
    [anon_sym_BSLASHglslink] = ACTIONS(7227),
    [anon_sym_BSLASHglstext] = ACTIONS(7227),
    [anon_sym_BSLASHGlstext] = ACTIONS(7227),
    [anon_sym_BSLASHGLStext] = ACTIONS(7227),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7227),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7227),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7227),
    [anon_sym_BSLASHglsplural] = ACTIONS(7227),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7227),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7227),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHglsname] = ACTIONS(7227),
    [anon_sym_BSLASHGlsname] = ACTIONS(7227),
    [anon_sym_BSLASHGLSname] = ACTIONS(7227),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7227),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7227),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7227),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7227),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7227),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7227),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7227),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7227),
    [anon_sym_BSLASHacrshort] = ACTIONS(7227),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7227),
    [anon_sym_BSLASHACRshort] = ACTIONS(7227),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHacrlong] = ACTIONS(7227),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7227),
    [anon_sym_BSLASHACRlong] = ACTIONS(7227),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHacrfull] = ACTIONS(7227),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7227),
    [anon_sym_BSLASHACRfull] = ACTIONS(7227),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHacs] = ACTIONS(7227),
    [anon_sym_BSLASHAcs] = ACTIONS(7227),
    [anon_sym_BSLASHacsp] = ACTIONS(7227),
    [anon_sym_BSLASHAcsp] = ACTIONS(7227),
    [anon_sym_BSLASHacl] = ACTIONS(7227),
    [anon_sym_BSLASHAcl] = ACTIONS(7227),
    [anon_sym_BSLASHaclp] = ACTIONS(7227),
    [anon_sym_BSLASHAclp] = ACTIONS(7227),
    [anon_sym_BSLASHacf] = ACTIONS(7227),
    [anon_sym_BSLASHAcf] = ACTIONS(7227),
    [anon_sym_BSLASHacfp] = ACTIONS(7227),
    [anon_sym_BSLASHAcfp] = ACTIONS(7227),
    [anon_sym_BSLASHac] = ACTIONS(7227),
    [anon_sym_BSLASHAc] = ACTIONS(7227),
    [anon_sym_BSLASHacp] = ACTIONS(7227),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7227),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7227),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7227),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7227),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7227),
    [anon_sym_BSLASHcolor] = ACTIONS(7227),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7227),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7227),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7227),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7227),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7227),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7227),
    [anon_sym_BSLASHurl] = ACTIONS(7227),
    [anon_sym_BSLASHhref] = ACTIONS(7227),
  },
  [1674] = {
    [sym_command_name] = ACTIONS(7231),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7231),
    [anon_sym_LBRACK] = ACTIONS(7233),
    [anon_sym_RBRACK] = ACTIONS(7233),
    [anon_sym_COMMA] = ACTIONS(7233),
    [anon_sym_EQ] = ACTIONS(7233),
    [anon_sym_LPAREN] = ACTIONS(7233),
    [anon_sym_RPAREN] = ACTIONS(7233),
    [anon_sym_LBRACE] = ACTIONS(7233),
    [sym_word] = ACTIONS(7231),
    [sym_placeholder] = ACTIONS(7233),
    [sym_delimiter] = ACTIONS(7233),
    [anon_sym_PLUS] = ACTIONS(7233),
    [anon_sym_DASH] = ACTIONS(7233),
    [anon_sym_STAR] = ACTIONS(7233),
    [anon_sym_SLASH] = ACTIONS(7233),
    [anon_sym_LT] = ACTIONS(7231),
    [anon_sym_GT] = ACTIONS(7231),
    [anon_sym_BANG] = ACTIONS(7231),
    [anon_sym_PIPE] = ACTIONS(7231),
    [anon_sym_COLON] = ACTIONS(7231),
    [anon_sym_SQUOTE] = ACTIONS(7231),
    [anon_sym__] = ACTIONS(7233),
    [anon_sym_CARET] = ACTIONS(7233),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7233),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7233),
    [anon_sym_DOLLAR] = ACTIONS(7231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7233),
    [anon_sym_BSLASHleft] = ACTIONS(7231),
    [anon_sym_BSLASHbigl] = ACTIONS(7231),
    [anon_sym_BSLASHBigl] = ACTIONS(7231),
    [anon_sym_BSLASHbiggl] = ACTIONS(7231),
    [anon_sym_BSLASHBiggl] = ACTIONS(7231),
    [anon_sym_BSLASHtext] = ACTIONS(7231),
    [anon_sym_BSLASHintertext] = ACTIONS(7231),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7231),
    [anon_sym_BSLASHbegin] = ACTIONS(7231),
    [anon_sym_BSLASHend] = ACTIONS(7231),
    [anon_sym_BSLASHtitle] = ACTIONS(7231),
    [anon_sym_BSLASHauthor] = ACTIONS(7231),
    [anon_sym_BSLASHusepackage] = ACTIONS(7231),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7231),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7231),
    [anon_sym_BSLASHinclude] = ACTIONS(7231),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7231),
    [anon_sym_BSLASHinput] = ACTIONS(7231),
    [anon_sym_BSLASHsubfile] = ACTIONS(7231),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7231),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7231),
    [anon_sym_BSLASHbibliography] = ACTIONS(7231),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7231),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7231),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7231),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7231),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7231),
    [anon_sym_BSLASHimport] = ACTIONS(7231),
    [anon_sym_BSLASHsubimport] = ACTIONS(7231),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7231),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7231),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7231),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7231),
    [anon_sym_BSLASHcaption] = ACTIONS(7231),
    [anon_sym_BSLASHcite] = ACTIONS(7231),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCite] = ACTIONS(7231),
    [anon_sym_BSLASHnocite] = ACTIONS(7231),
    [anon_sym_BSLASHcitet] = ACTIONS(7231),
    [anon_sym_BSLASHcitep] = ACTIONS(7231),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteA] = ACTIONS(7231),
    [anon_sym_BSLASHciteR] = ACTIONS(7231),
    [anon_sym_BSLASHciteS] = ACTIONS(7231),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7231),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7231),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7231),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7231),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteyear] = ACTIONS(7231),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitedate] = ACTIONS(7231),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteurl] = ACTIONS(7231),
    [anon_sym_BSLASHfullcite] = ACTIONS(7231),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7231),
    [anon_sym_BSLASHcitealt] = ACTIONS(7231),
    [anon_sym_BSLASHcitealp] = ACTIONS(7231),
    [anon_sym_BSLASHcitetext] = ACTIONS(7231),
    [anon_sym_BSLASHparencite] = ACTIONS(7231),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHParencite] = ACTIONS(7231),
    [anon_sym_BSLASHfootcite] = ACTIONS(7231),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7231),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7231),
    [anon_sym_BSLASHtextcite] = ACTIONS(7231),
    [anon_sym_BSLASHTextcite] = ACTIONS(7231),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7231),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7231),
    [anon_sym_BSLASHsupercite] = ACTIONS(7231),
    [anon_sym_BSLASHautocite] = ACTIONS(7231),
    [anon_sym_BSLASHAutocite] = ACTIONS(7231),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHVolcite] = ACTIONS(7231),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHavolcite] = ACTIONS(7231),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHNotecite] = ACTIONS(7231),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHlabel] = ACTIONS(7231),
    [anon_sym_BSLASHref] = ACTIONS(7231),
    [anon_sym_BSLASHeqref] = ACTIONS(7231),
    [anon_sym_BSLASHvref] = ACTIONS(7231),
    [anon_sym_BSLASHVref] = ACTIONS(7231),
    [anon_sym_BSLASHautoref] = ACTIONS(7231),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHpageref] = ACTIONS(7231),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHautopageref] = ACTIONS(7231),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcref] = ACTIONS(7231),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCref] = ACTIONS(7231),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcpageref] = ACTIONS(7231),
    [anon_sym_BSLASHCpageref] = ACTIONS(7231),
    [anon_sym_BSLASHnamecref] = ACTIONS(7231),
    [anon_sym_BSLASHnameCref] = ACTIONS(7231),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7231),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7231),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7231),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7231),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7231),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7231),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7231),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7231),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7231),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7231),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7231),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHdef] = ACTIONS(7231),
    [anon_sym_BSLASHgdef] = ACTIONS(7231),
    [anon_sym_BSLASHedef] = ACTIONS(7231),
    [anon_sym_BSLASHxdef] = ACTIONS(7231),
    [anon_sym_BSLASHlet] = ACTIONS(7231),
    [anon_sym_BSLASHglet] = ACTIONS(7231),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7231),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7231),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7231),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7231),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7231),
    [anon_sym_BSLASHgls] = ACTIONS(7231),
    [anon_sym_BSLASHGls] = ACTIONS(7231),
    [anon_sym_BSLASHGLS] = ACTIONS(7231),
    [anon_sym_BSLASHglspl] = ACTIONS(7231),
    [anon_sym_BSLASHGlspl] = ACTIONS(7231),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7231),
    [anon_sym_BSLASHglslink] = ACTIONS(7231),
    [anon_sym_BSLASHglstext] = ACTIONS(7231),
    [anon_sym_BSLASHGlstext] = ACTIONS(7231),
    [anon_sym_BSLASHGLStext] = ACTIONS(7231),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7231),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7231),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7231),
    [anon_sym_BSLASHglsplural] = ACTIONS(7231),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7231),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7231),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHglsname] = ACTIONS(7231),
    [anon_sym_BSLASHGlsname] = ACTIONS(7231),
    [anon_sym_BSLASHGLSname] = ACTIONS(7231),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7231),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7231),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7231),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7231),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7231),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7231),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7231),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7231),
    [anon_sym_BSLASHacrshort] = ACTIONS(7231),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7231),
    [anon_sym_BSLASHACRshort] = ACTIONS(7231),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHacrlong] = ACTIONS(7231),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7231),
    [anon_sym_BSLASHACRlong] = ACTIONS(7231),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHacrfull] = ACTIONS(7231),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7231),
    [anon_sym_BSLASHACRfull] = ACTIONS(7231),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHacs] = ACTIONS(7231),
    [anon_sym_BSLASHAcs] = ACTIONS(7231),
    [anon_sym_BSLASHacsp] = ACTIONS(7231),
    [anon_sym_BSLASHAcsp] = ACTIONS(7231),
    [anon_sym_BSLASHacl] = ACTIONS(7231),
    [anon_sym_BSLASHAcl] = ACTIONS(7231),
    [anon_sym_BSLASHaclp] = ACTIONS(7231),
    [anon_sym_BSLASHAclp] = ACTIONS(7231),
    [anon_sym_BSLASHacf] = ACTIONS(7231),
    [anon_sym_BSLASHAcf] = ACTIONS(7231),
    [anon_sym_BSLASHacfp] = ACTIONS(7231),
    [anon_sym_BSLASHAcfp] = ACTIONS(7231),
    [anon_sym_BSLASHac] = ACTIONS(7231),
    [anon_sym_BSLASHAc] = ACTIONS(7231),
    [anon_sym_BSLASHacp] = ACTIONS(7231),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7231),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7231),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7231),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7231),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7231),
    [anon_sym_BSLASHcolor] = ACTIONS(7231),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7231),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7231),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7231),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7231),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7231),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7231),
    [anon_sym_BSLASHurl] = ACTIONS(7231),
    [anon_sym_BSLASHhref] = ACTIONS(7231),
  },
  [1675] = {
    [sym_command_name] = ACTIONS(7135),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7135),
    [anon_sym_LBRACK] = ACTIONS(7137),
    [anon_sym_RBRACK] = ACTIONS(7137),
    [anon_sym_COMMA] = ACTIONS(7137),
    [anon_sym_EQ] = ACTIONS(7137),
    [anon_sym_LPAREN] = ACTIONS(7137),
    [anon_sym_RPAREN] = ACTIONS(7137),
    [anon_sym_LBRACE] = ACTIONS(7137),
    [sym_word] = ACTIONS(7135),
    [sym_placeholder] = ACTIONS(7137),
    [sym_delimiter] = ACTIONS(7137),
    [anon_sym_PLUS] = ACTIONS(7137),
    [anon_sym_DASH] = ACTIONS(7137),
    [anon_sym_STAR] = ACTIONS(7137),
    [anon_sym_SLASH] = ACTIONS(7137),
    [anon_sym_LT] = ACTIONS(7135),
    [anon_sym_GT] = ACTIONS(7135),
    [anon_sym_BANG] = ACTIONS(7135),
    [anon_sym_PIPE] = ACTIONS(7135),
    [anon_sym_COLON] = ACTIONS(7135),
    [anon_sym_SQUOTE] = ACTIONS(7135),
    [anon_sym__] = ACTIONS(7137),
    [anon_sym_CARET] = ACTIONS(7137),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7137),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7137),
    [anon_sym_DOLLAR] = ACTIONS(7135),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7137),
    [anon_sym_BSLASHleft] = ACTIONS(7135),
    [anon_sym_BSLASHbigl] = ACTIONS(7135),
    [anon_sym_BSLASHBigl] = ACTIONS(7135),
    [anon_sym_BSLASHbiggl] = ACTIONS(7135),
    [anon_sym_BSLASHBiggl] = ACTIONS(7135),
    [anon_sym_BSLASHtext] = ACTIONS(7135),
    [anon_sym_BSLASHintertext] = ACTIONS(7135),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7135),
    [anon_sym_BSLASHbegin] = ACTIONS(7135),
    [anon_sym_BSLASHend] = ACTIONS(7135),
    [anon_sym_BSLASHtitle] = ACTIONS(7135),
    [anon_sym_BSLASHauthor] = ACTIONS(7135),
    [anon_sym_BSLASHusepackage] = ACTIONS(7135),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7135),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7135),
    [anon_sym_BSLASHinclude] = ACTIONS(7135),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7135),
    [anon_sym_BSLASHinput] = ACTIONS(7135),
    [anon_sym_BSLASHsubfile] = ACTIONS(7135),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7135),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7135),
    [anon_sym_BSLASHbibliography] = ACTIONS(7135),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7135),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7135),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7135),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7135),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7135),
    [anon_sym_BSLASHimport] = ACTIONS(7135),
    [anon_sym_BSLASHsubimport] = ACTIONS(7135),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7135),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7135),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7135),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7135),
    [anon_sym_BSLASHcaption] = ACTIONS(7135),
    [anon_sym_BSLASHcite] = ACTIONS(7135),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHCite] = ACTIONS(7135),
    [anon_sym_BSLASHnocite] = ACTIONS(7135),
    [anon_sym_BSLASHcitet] = ACTIONS(7135),
    [anon_sym_BSLASHcitep] = ACTIONS(7135),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHciteA] = ACTIONS(7135),
    [anon_sym_BSLASHciteR] = ACTIONS(7135),
    [anon_sym_BSLASHciteS] = ACTIONS(7135),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7135),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7135),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7135),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7135),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHciteyear] = ACTIONS(7135),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcitedate] = ACTIONS(7135),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHciteurl] = ACTIONS(7135),
    [anon_sym_BSLASHfullcite] = ACTIONS(7135),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7135),
    [anon_sym_BSLASHcitealt] = ACTIONS(7135),
    [anon_sym_BSLASHcitealp] = ACTIONS(7135),
    [anon_sym_BSLASHcitetext] = ACTIONS(7135),
    [anon_sym_BSLASHparencite] = ACTIONS(7135),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHParencite] = ACTIONS(7135),
    [anon_sym_BSLASHfootcite] = ACTIONS(7135),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7135),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7135),
    [anon_sym_BSLASHtextcite] = ACTIONS(7135),
    [anon_sym_BSLASHTextcite] = ACTIONS(7135),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7135),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7135),
    [anon_sym_BSLASHsupercite] = ACTIONS(7135),
    [anon_sym_BSLASHautocite] = ACTIONS(7135),
    [anon_sym_BSLASHAutocite] = ACTIONS(7135),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHVolcite] = ACTIONS(7135),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHavolcite] = ACTIONS(7135),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHnotecite] = ACTIONS(7135),
    [anon_sym_BSLASHNotecite] = ACTIONS(7135),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7135),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7135),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7135),
    [anon_sym_BSLASHlabel] = ACTIONS(7135),
    [anon_sym_BSLASHref] = ACTIONS(7135),
    [anon_sym_BSLASHeqref] = ACTIONS(7135),
    [anon_sym_BSLASHvref] = ACTIONS(7135),
    [anon_sym_BSLASHVref] = ACTIONS(7135),
    [anon_sym_BSLASHautoref] = ACTIONS(7135),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHpageref] = ACTIONS(7135),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHautopageref] = ACTIONS(7135),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcref] = ACTIONS(7135),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHCref] = ACTIONS(7135),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcpageref] = ACTIONS(7135),
    [anon_sym_BSLASHCpageref] = ACTIONS(7135),
    [anon_sym_BSLASHnamecref] = ACTIONS(7135),
    [anon_sym_BSLASHnameCref] = ACTIONS(7135),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7135),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7135),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7135),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7135),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7135),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7135),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7135),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7135),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7135),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7135),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7135),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7135),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7135),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7135),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7135),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7135),
    [anon_sym_BSLASHdef] = ACTIONS(7135),
    [anon_sym_BSLASHgdef] = ACTIONS(7135),
    [anon_sym_BSLASHedef] = ACTIONS(7135),
    [anon_sym_BSLASHxdef] = ACTIONS(7135),
    [anon_sym_BSLASHlet] = ACTIONS(7135),
    [anon_sym_BSLASHglet] = ACTIONS(7135),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7135),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7135),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7135),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7135),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7135),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7135),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7135),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7135),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7135),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7135),
    [anon_sym_BSLASHgls] = ACTIONS(7135),
    [anon_sym_BSLASHGls] = ACTIONS(7135),
    [anon_sym_BSLASHGLS] = ACTIONS(7135),
    [anon_sym_BSLASHglspl] = ACTIONS(7135),
    [anon_sym_BSLASHGlspl] = ACTIONS(7135),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7135),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7135),
    [anon_sym_BSLASHglslink] = ACTIONS(7135),
    [anon_sym_BSLASHglstext] = ACTIONS(7135),
    [anon_sym_BSLASHGlstext] = ACTIONS(7135),
    [anon_sym_BSLASHGLStext] = ACTIONS(7135),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7135),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7135),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7135),
    [anon_sym_BSLASHglsplural] = ACTIONS(7135),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7135),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7135),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7135),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7135),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7135),
    [anon_sym_BSLASHglsname] = ACTIONS(7135),
    [anon_sym_BSLASHGlsname] = ACTIONS(7135),
    [anon_sym_BSLASHGLSname] = ACTIONS(7135),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7135),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7135),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7135),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7135),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7135),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7135),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7135),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7135),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7135),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7135),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7135),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7135),
    [anon_sym_BSLASHacrshort] = ACTIONS(7135),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7135),
    [anon_sym_BSLASHACRshort] = ACTIONS(7135),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHacrlong] = ACTIONS(7135),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7135),
    [anon_sym_BSLASHACRlong] = ACTIONS(7135),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7135),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7135),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7135),
    [anon_sym_BSLASHacrfull] = ACTIONS(7135),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7135),
    [anon_sym_BSLASHACRfull] = ACTIONS(7135),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHacs] = ACTIONS(7135),
    [anon_sym_BSLASHAcs] = ACTIONS(7135),
    [anon_sym_BSLASHacsp] = ACTIONS(7135),
    [anon_sym_BSLASHAcsp] = ACTIONS(7135),
    [anon_sym_BSLASHacl] = ACTIONS(7135),
    [anon_sym_BSLASHAcl] = ACTIONS(7135),
    [anon_sym_BSLASHaclp] = ACTIONS(7135),
    [anon_sym_BSLASHAclp] = ACTIONS(7135),
    [anon_sym_BSLASHacf] = ACTIONS(7135),
    [anon_sym_BSLASHAcf] = ACTIONS(7135),
    [anon_sym_BSLASHacfp] = ACTIONS(7135),
    [anon_sym_BSLASHAcfp] = ACTIONS(7135),
    [anon_sym_BSLASHac] = ACTIONS(7135),
    [anon_sym_BSLASHAc] = ACTIONS(7135),
    [anon_sym_BSLASHacp] = ACTIONS(7135),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7135),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7135),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7135),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7135),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7135),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7135),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7135),
    [anon_sym_BSLASHcolor] = ACTIONS(7135),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7135),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7135),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7135),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7135),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7135),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7135),
    [anon_sym_BSLASHurl] = ACTIONS(7135),
    [anon_sym_BSLASHhref] = ACTIONS(7135),
  },
  [1676] = {
    [sym_command_name] = ACTIONS(7319),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7319),
    [anon_sym_LBRACK] = ACTIONS(7321),
    [anon_sym_RBRACK] = ACTIONS(7321),
    [anon_sym_COMMA] = ACTIONS(7321),
    [anon_sym_EQ] = ACTIONS(7321),
    [anon_sym_LPAREN] = ACTIONS(7321),
    [anon_sym_RPAREN] = ACTIONS(7321),
    [anon_sym_LBRACE] = ACTIONS(7321),
    [sym_word] = ACTIONS(7319),
    [sym_placeholder] = ACTIONS(7321),
    [sym_delimiter] = ACTIONS(7321),
    [anon_sym_PLUS] = ACTIONS(7321),
    [anon_sym_DASH] = ACTIONS(7321),
    [anon_sym_STAR] = ACTIONS(7321),
    [anon_sym_SLASH] = ACTIONS(7321),
    [anon_sym_LT] = ACTIONS(7319),
    [anon_sym_GT] = ACTIONS(7319),
    [anon_sym_BANG] = ACTIONS(7319),
    [anon_sym_PIPE] = ACTIONS(7319),
    [anon_sym_COLON] = ACTIONS(7319),
    [anon_sym_SQUOTE] = ACTIONS(7319),
    [anon_sym__] = ACTIONS(7321),
    [anon_sym_CARET] = ACTIONS(7321),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7321),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7321),
    [anon_sym_DOLLAR] = ACTIONS(7319),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7321),
    [anon_sym_BSLASHleft] = ACTIONS(7319),
    [anon_sym_BSLASHbigl] = ACTIONS(7319),
    [anon_sym_BSLASHBigl] = ACTIONS(7319),
    [anon_sym_BSLASHbiggl] = ACTIONS(7319),
    [anon_sym_BSLASHBiggl] = ACTIONS(7319),
    [anon_sym_BSLASHtext] = ACTIONS(7319),
    [anon_sym_BSLASHintertext] = ACTIONS(7319),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7319),
    [anon_sym_BSLASHbegin] = ACTIONS(7319),
    [anon_sym_BSLASHend] = ACTIONS(7319),
    [anon_sym_BSLASHtitle] = ACTIONS(7319),
    [anon_sym_BSLASHauthor] = ACTIONS(7319),
    [anon_sym_BSLASHusepackage] = ACTIONS(7319),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7319),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7319),
    [anon_sym_BSLASHinclude] = ACTIONS(7319),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7319),
    [anon_sym_BSLASHinput] = ACTIONS(7319),
    [anon_sym_BSLASHsubfile] = ACTIONS(7319),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7319),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7319),
    [anon_sym_BSLASHbibliography] = ACTIONS(7319),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7319),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7319),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7319),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7319),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7319),
    [anon_sym_BSLASHimport] = ACTIONS(7319),
    [anon_sym_BSLASHsubimport] = ACTIONS(7319),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7319),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7319),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7319),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7319),
    [anon_sym_BSLASHcaption] = ACTIONS(7319),
    [anon_sym_BSLASHcite] = ACTIONS(7319),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCite] = ACTIONS(7319),
    [anon_sym_BSLASHnocite] = ACTIONS(7319),
    [anon_sym_BSLASHcitet] = ACTIONS(7319),
    [anon_sym_BSLASHcitep] = ACTIONS(7319),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteA] = ACTIONS(7319),
    [anon_sym_BSLASHciteR] = ACTIONS(7319),
    [anon_sym_BSLASHciteS] = ACTIONS(7319),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7319),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7319),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7319),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7319),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteyear] = ACTIONS(7319),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitedate] = ACTIONS(7319),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteurl] = ACTIONS(7319),
    [anon_sym_BSLASHfullcite] = ACTIONS(7319),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7319),
    [anon_sym_BSLASHcitealt] = ACTIONS(7319),
    [anon_sym_BSLASHcitealp] = ACTIONS(7319),
    [anon_sym_BSLASHcitetext] = ACTIONS(7319),
    [anon_sym_BSLASHparencite] = ACTIONS(7319),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHParencite] = ACTIONS(7319),
    [anon_sym_BSLASHfootcite] = ACTIONS(7319),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7319),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7319),
    [anon_sym_BSLASHtextcite] = ACTIONS(7319),
    [anon_sym_BSLASHTextcite] = ACTIONS(7319),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7319),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7319),
    [anon_sym_BSLASHsupercite] = ACTIONS(7319),
    [anon_sym_BSLASHautocite] = ACTIONS(7319),
    [anon_sym_BSLASHAutocite] = ACTIONS(7319),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHVolcite] = ACTIONS(7319),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHavolcite] = ACTIONS(7319),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHNotecite] = ACTIONS(7319),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHlabel] = ACTIONS(7319),
    [anon_sym_BSLASHref] = ACTIONS(7319),
    [anon_sym_BSLASHeqref] = ACTIONS(7319),
    [anon_sym_BSLASHvref] = ACTIONS(7319),
    [anon_sym_BSLASHVref] = ACTIONS(7319),
    [anon_sym_BSLASHautoref] = ACTIONS(7319),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHpageref] = ACTIONS(7319),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHautopageref] = ACTIONS(7319),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcref] = ACTIONS(7319),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCref] = ACTIONS(7319),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcpageref] = ACTIONS(7319),
    [anon_sym_BSLASHCpageref] = ACTIONS(7319),
    [anon_sym_BSLASHnamecref] = ACTIONS(7319),
    [anon_sym_BSLASHnameCref] = ACTIONS(7319),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7319),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7319),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7319),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7319),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7319),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7319),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7319),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7319),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7319),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7319),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7319),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHdef] = ACTIONS(7319),
    [anon_sym_BSLASHgdef] = ACTIONS(7319),
    [anon_sym_BSLASHedef] = ACTIONS(7319),
    [anon_sym_BSLASHxdef] = ACTIONS(7319),
    [anon_sym_BSLASHlet] = ACTIONS(7319),
    [anon_sym_BSLASHglet] = ACTIONS(7319),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7319),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7319),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7319),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7319),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7319),
    [anon_sym_BSLASHgls] = ACTIONS(7319),
    [anon_sym_BSLASHGls] = ACTIONS(7319),
    [anon_sym_BSLASHGLS] = ACTIONS(7319),
    [anon_sym_BSLASHglspl] = ACTIONS(7319),
    [anon_sym_BSLASHGlspl] = ACTIONS(7319),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7319),
    [anon_sym_BSLASHglslink] = ACTIONS(7319),
    [anon_sym_BSLASHglstext] = ACTIONS(7319),
    [anon_sym_BSLASHGlstext] = ACTIONS(7319),
    [anon_sym_BSLASHGLStext] = ACTIONS(7319),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7319),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7319),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7319),
    [anon_sym_BSLASHglsplural] = ACTIONS(7319),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7319),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7319),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHglsname] = ACTIONS(7319),
    [anon_sym_BSLASHGlsname] = ACTIONS(7319),
    [anon_sym_BSLASHGLSname] = ACTIONS(7319),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7319),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7319),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7319),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7319),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7319),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7319),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7319),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7319),
    [anon_sym_BSLASHacrshort] = ACTIONS(7319),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7319),
    [anon_sym_BSLASHACRshort] = ACTIONS(7319),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHacrlong] = ACTIONS(7319),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7319),
    [anon_sym_BSLASHACRlong] = ACTIONS(7319),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHacrfull] = ACTIONS(7319),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7319),
    [anon_sym_BSLASHACRfull] = ACTIONS(7319),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHacs] = ACTIONS(7319),
    [anon_sym_BSLASHAcs] = ACTIONS(7319),
    [anon_sym_BSLASHacsp] = ACTIONS(7319),
    [anon_sym_BSLASHAcsp] = ACTIONS(7319),
    [anon_sym_BSLASHacl] = ACTIONS(7319),
    [anon_sym_BSLASHAcl] = ACTIONS(7319),
    [anon_sym_BSLASHaclp] = ACTIONS(7319),
    [anon_sym_BSLASHAclp] = ACTIONS(7319),
    [anon_sym_BSLASHacf] = ACTIONS(7319),
    [anon_sym_BSLASHAcf] = ACTIONS(7319),
    [anon_sym_BSLASHacfp] = ACTIONS(7319),
    [anon_sym_BSLASHAcfp] = ACTIONS(7319),
    [anon_sym_BSLASHac] = ACTIONS(7319),
    [anon_sym_BSLASHAc] = ACTIONS(7319),
    [anon_sym_BSLASHacp] = ACTIONS(7319),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7319),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7319),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7319),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7319),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7319),
    [anon_sym_BSLASHcolor] = ACTIONS(7319),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7319),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7319),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7319),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7319),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7319),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7319),
    [anon_sym_BSLASHurl] = ACTIONS(7319),
    [anon_sym_BSLASHhref] = ACTIONS(7319),
  },
  [1677] = {
    [sym_command_name] = ACTIONS(7223),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7223),
    [anon_sym_LBRACK] = ACTIONS(7225),
    [anon_sym_RBRACK] = ACTIONS(7225),
    [anon_sym_COMMA] = ACTIONS(7225),
    [anon_sym_EQ] = ACTIONS(7225),
    [anon_sym_LPAREN] = ACTIONS(7225),
    [anon_sym_RPAREN] = ACTIONS(7225),
    [anon_sym_LBRACE] = ACTIONS(7225),
    [sym_word] = ACTIONS(7223),
    [sym_placeholder] = ACTIONS(7225),
    [sym_delimiter] = ACTIONS(7225),
    [anon_sym_PLUS] = ACTIONS(7225),
    [anon_sym_DASH] = ACTIONS(7225),
    [anon_sym_STAR] = ACTIONS(7225),
    [anon_sym_SLASH] = ACTIONS(7225),
    [anon_sym_LT] = ACTIONS(7223),
    [anon_sym_GT] = ACTIONS(7223),
    [anon_sym_BANG] = ACTIONS(7223),
    [anon_sym_PIPE] = ACTIONS(7223),
    [anon_sym_COLON] = ACTIONS(7223),
    [anon_sym_SQUOTE] = ACTIONS(7223),
    [anon_sym__] = ACTIONS(7225),
    [anon_sym_CARET] = ACTIONS(7225),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7225),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7225),
    [anon_sym_DOLLAR] = ACTIONS(7223),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7225),
    [anon_sym_BSLASHleft] = ACTIONS(7223),
    [anon_sym_BSLASHbigl] = ACTIONS(7223),
    [anon_sym_BSLASHBigl] = ACTIONS(7223),
    [anon_sym_BSLASHbiggl] = ACTIONS(7223),
    [anon_sym_BSLASHBiggl] = ACTIONS(7223),
    [anon_sym_BSLASHtext] = ACTIONS(7223),
    [anon_sym_BSLASHintertext] = ACTIONS(7223),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7223),
    [anon_sym_BSLASHbegin] = ACTIONS(7223),
    [anon_sym_BSLASHend] = ACTIONS(7223),
    [anon_sym_BSLASHtitle] = ACTIONS(7223),
    [anon_sym_BSLASHauthor] = ACTIONS(7223),
    [anon_sym_BSLASHusepackage] = ACTIONS(7223),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7223),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7223),
    [anon_sym_BSLASHinclude] = ACTIONS(7223),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7223),
    [anon_sym_BSLASHinput] = ACTIONS(7223),
    [anon_sym_BSLASHsubfile] = ACTIONS(7223),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7223),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7223),
    [anon_sym_BSLASHbibliography] = ACTIONS(7223),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7223),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7223),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7223),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7223),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7223),
    [anon_sym_BSLASHimport] = ACTIONS(7223),
    [anon_sym_BSLASHsubimport] = ACTIONS(7223),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7223),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7223),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7223),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7223),
    [anon_sym_BSLASHcaption] = ACTIONS(7223),
    [anon_sym_BSLASHcite] = ACTIONS(7223),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCite] = ACTIONS(7223),
    [anon_sym_BSLASHnocite] = ACTIONS(7223),
    [anon_sym_BSLASHcitet] = ACTIONS(7223),
    [anon_sym_BSLASHcitep] = ACTIONS(7223),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteA] = ACTIONS(7223),
    [anon_sym_BSLASHciteR] = ACTIONS(7223),
    [anon_sym_BSLASHciteS] = ACTIONS(7223),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7223),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7223),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7223),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7223),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteyear] = ACTIONS(7223),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitedate] = ACTIONS(7223),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteurl] = ACTIONS(7223),
    [anon_sym_BSLASHfullcite] = ACTIONS(7223),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7223),
    [anon_sym_BSLASHcitealt] = ACTIONS(7223),
    [anon_sym_BSLASHcitealp] = ACTIONS(7223),
    [anon_sym_BSLASHcitetext] = ACTIONS(7223),
    [anon_sym_BSLASHparencite] = ACTIONS(7223),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHParencite] = ACTIONS(7223),
    [anon_sym_BSLASHfootcite] = ACTIONS(7223),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7223),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7223),
    [anon_sym_BSLASHtextcite] = ACTIONS(7223),
    [anon_sym_BSLASHTextcite] = ACTIONS(7223),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7223),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7223),
    [anon_sym_BSLASHsupercite] = ACTIONS(7223),
    [anon_sym_BSLASHautocite] = ACTIONS(7223),
    [anon_sym_BSLASHAutocite] = ACTIONS(7223),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHVolcite] = ACTIONS(7223),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHavolcite] = ACTIONS(7223),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHNotecite] = ACTIONS(7223),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHlabel] = ACTIONS(7223),
    [anon_sym_BSLASHref] = ACTIONS(7223),
    [anon_sym_BSLASHeqref] = ACTIONS(7223),
    [anon_sym_BSLASHvref] = ACTIONS(7223),
    [anon_sym_BSLASHVref] = ACTIONS(7223),
    [anon_sym_BSLASHautoref] = ACTIONS(7223),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHpageref] = ACTIONS(7223),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHautopageref] = ACTIONS(7223),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcref] = ACTIONS(7223),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCref] = ACTIONS(7223),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcpageref] = ACTIONS(7223),
    [anon_sym_BSLASHCpageref] = ACTIONS(7223),
    [anon_sym_BSLASHnamecref] = ACTIONS(7223),
    [anon_sym_BSLASHnameCref] = ACTIONS(7223),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7223),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7223),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7223),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7223),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7223),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7223),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7223),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7223),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7223),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7223),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7223),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHdef] = ACTIONS(7223),
    [anon_sym_BSLASHgdef] = ACTIONS(7223),
    [anon_sym_BSLASHedef] = ACTIONS(7223),
    [anon_sym_BSLASHxdef] = ACTIONS(7223),
    [anon_sym_BSLASHlet] = ACTIONS(7223),
    [anon_sym_BSLASHglet] = ACTIONS(7223),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7223),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7223),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7223),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7223),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7223),
    [anon_sym_BSLASHgls] = ACTIONS(7223),
    [anon_sym_BSLASHGls] = ACTIONS(7223),
    [anon_sym_BSLASHGLS] = ACTIONS(7223),
    [anon_sym_BSLASHglspl] = ACTIONS(7223),
    [anon_sym_BSLASHGlspl] = ACTIONS(7223),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7223),
    [anon_sym_BSLASHglslink] = ACTIONS(7223),
    [anon_sym_BSLASHglstext] = ACTIONS(7223),
    [anon_sym_BSLASHGlstext] = ACTIONS(7223),
    [anon_sym_BSLASHGLStext] = ACTIONS(7223),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7223),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7223),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7223),
    [anon_sym_BSLASHglsplural] = ACTIONS(7223),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7223),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7223),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHglsname] = ACTIONS(7223),
    [anon_sym_BSLASHGlsname] = ACTIONS(7223),
    [anon_sym_BSLASHGLSname] = ACTIONS(7223),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7223),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7223),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7223),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7223),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7223),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7223),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7223),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7223),
    [anon_sym_BSLASHacrshort] = ACTIONS(7223),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7223),
    [anon_sym_BSLASHACRshort] = ACTIONS(7223),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHacrlong] = ACTIONS(7223),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7223),
    [anon_sym_BSLASHACRlong] = ACTIONS(7223),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHacrfull] = ACTIONS(7223),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7223),
    [anon_sym_BSLASHACRfull] = ACTIONS(7223),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHacs] = ACTIONS(7223),
    [anon_sym_BSLASHAcs] = ACTIONS(7223),
    [anon_sym_BSLASHacsp] = ACTIONS(7223),
    [anon_sym_BSLASHAcsp] = ACTIONS(7223),
    [anon_sym_BSLASHacl] = ACTIONS(7223),
    [anon_sym_BSLASHAcl] = ACTIONS(7223),
    [anon_sym_BSLASHaclp] = ACTIONS(7223),
    [anon_sym_BSLASHAclp] = ACTIONS(7223),
    [anon_sym_BSLASHacf] = ACTIONS(7223),
    [anon_sym_BSLASHAcf] = ACTIONS(7223),
    [anon_sym_BSLASHacfp] = ACTIONS(7223),
    [anon_sym_BSLASHAcfp] = ACTIONS(7223),
    [anon_sym_BSLASHac] = ACTIONS(7223),
    [anon_sym_BSLASHAc] = ACTIONS(7223),
    [anon_sym_BSLASHacp] = ACTIONS(7223),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7223),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7223),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7223),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7223),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7223),
    [anon_sym_BSLASHcolor] = ACTIONS(7223),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7223),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7223),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7223),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7223),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7223),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7223),
    [anon_sym_BSLASHurl] = ACTIONS(7223),
    [anon_sym_BSLASHhref] = ACTIONS(7223),
  },
  [1678] = {
    [sym_command_name] = ACTIONS(7067),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7067),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_RBRACK] = ACTIONS(7069),
    [anon_sym_COMMA] = ACTIONS(7069),
    [anon_sym_EQ] = ACTIONS(7069),
    [anon_sym_LPAREN] = ACTIONS(7069),
    [anon_sym_RPAREN] = ACTIONS(7069),
    [anon_sym_LBRACE] = ACTIONS(7069),
    [sym_word] = ACTIONS(7067),
    [sym_placeholder] = ACTIONS(7069),
    [sym_delimiter] = ACTIONS(7069),
    [anon_sym_PLUS] = ACTIONS(7069),
    [anon_sym_DASH] = ACTIONS(7069),
    [anon_sym_STAR] = ACTIONS(7069),
    [anon_sym_SLASH] = ACTIONS(7069),
    [anon_sym_LT] = ACTIONS(7067),
    [anon_sym_GT] = ACTIONS(7067),
    [anon_sym_BANG] = ACTIONS(7067),
    [anon_sym_PIPE] = ACTIONS(7067),
    [anon_sym_COLON] = ACTIONS(7067),
    [anon_sym_SQUOTE] = ACTIONS(7067),
    [anon_sym__] = ACTIONS(7069),
    [anon_sym_CARET] = ACTIONS(7069),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7069),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7069),
    [anon_sym_DOLLAR] = ACTIONS(7067),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7069),
    [anon_sym_BSLASHleft] = ACTIONS(7067),
    [anon_sym_BSLASHbigl] = ACTIONS(7067),
    [anon_sym_BSLASHBigl] = ACTIONS(7067),
    [anon_sym_BSLASHbiggl] = ACTIONS(7067),
    [anon_sym_BSLASHBiggl] = ACTIONS(7067),
    [anon_sym_BSLASHtext] = ACTIONS(7067),
    [anon_sym_BSLASHintertext] = ACTIONS(7067),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7067),
    [anon_sym_BSLASHbegin] = ACTIONS(7067),
    [anon_sym_BSLASHend] = ACTIONS(7067),
    [anon_sym_BSLASHtitle] = ACTIONS(7067),
    [anon_sym_BSLASHauthor] = ACTIONS(7067),
    [anon_sym_BSLASHusepackage] = ACTIONS(7067),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7067),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7067),
    [anon_sym_BSLASHinclude] = ACTIONS(7067),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7067),
    [anon_sym_BSLASHinput] = ACTIONS(7067),
    [anon_sym_BSLASHsubfile] = ACTIONS(7067),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7067),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7067),
    [anon_sym_BSLASHbibliography] = ACTIONS(7067),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7067),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7067),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7067),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7067),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7067),
    [anon_sym_BSLASHimport] = ACTIONS(7067),
    [anon_sym_BSLASHsubimport] = ACTIONS(7067),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7067),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7067),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7067),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7067),
    [anon_sym_BSLASHcaption] = ACTIONS(7067),
    [anon_sym_BSLASHcite] = ACTIONS(7067),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCite] = ACTIONS(7067),
    [anon_sym_BSLASHnocite] = ACTIONS(7067),
    [anon_sym_BSLASHcitet] = ACTIONS(7067),
    [anon_sym_BSLASHcitep] = ACTIONS(7067),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteA] = ACTIONS(7067),
    [anon_sym_BSLASHciteR] = ACTIONS(7067),
    [anon_sym_BSLASHciteS] = ACTIONS(7067),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7067),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7067),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7067),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7067),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteyear] = ACTIONS(7067),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitedate] = ACTIONS(7067),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteurl] = ACTIONS(7067),
    [anon_sym_BSLASHfullcite] = ACTIONS(7067),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7067),
    [anon_sym_BSLASHcitealt] = ACTIONS(7067),
    [anon_sym_BSLASHcitealp] = ACTIONS(7067),
    [anon_sym_BSLASHcitetext] = ACTIONS(7067),
    [anon_sym_BSLASHparencite] = ACTIONS(7067),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHParencite] = ACTIONS(7067),
    [anon_sym_BSLASHfootcite] = ACTIONS(7067),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7067),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7067),
    [anon_sym_BSLASHtextcite] = ACTIONS(7067),
    [anon_sym_BSLASHTextcite] = ACTIONS(7067),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7067),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7067),
    [anon_sym_BSLASHsupercite] = ACTIONS(7067),
    [anon_sym_BSLASHautocite] = ACTIONS(7067),
    [anon_sym_BSLASHAutocite] = ACTIONS(7067),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHVolcite] = ACTIONS(7067),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHavolcite] = ACTIONS(7067),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHNotecite] = ACTIONS(7067),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHlabel] = ACTIONS(7067),
    [anon_sym_BSLASHref] = ACTIONS(7067),
    [anon_sym_BSLASHeqref] = ACTIONS(7067),
    [anon_sym_BSLASHvref] = ACTIONS(7067),
    [anon_sym_BSLASHVref] = ACTIONS(7067),
    [anon_sym_BSLASHautoref] = ACTIONS(7067),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHpageref] = ACTIONS(7067),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHautopageref] = ACTIONS(7067),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcref] = ACTIONS(7067),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCref] = ACTIONS(7067),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcpageref] = ACTIONS(7067),
    [anon_sym_BSLASHCpageref] = ACTIONS(7067),
    [anon_sym_BSLASHnamecref] = ACTIONS(7067),
    [anon_sym_BSLASHnameCref] = ACTIONS(7067),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7067),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7067),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7067),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7067),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7067),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7067),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7067),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7067),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7067),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7067),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7067),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHdef] = ACTIONS(7067),
    [anon_sym_BSLASHgdef] = ACTIONS(7067),
    [anon_sym_BSLASHedef] = ACTIONS(7067),
    [anon_sym_BSLASHxdef] = ACTIONS(7067),
    [anon_sym_BSLASHlet] = ACTIONS(7067),
    [anon_sym_BSLASHglet] = ACTIONS(7067),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7067),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7067),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7067),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7067),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7067),
    [anon_sym_BSLASHgls] = ACTIONS(7067),
    [anon_sym_BSLASHGls] = ACTIONS(7067),
    [anon_sym_BSLASHGLS] = ACTIONS(7067),
    [anon_sym_BSLASHglspl] = ACTIONS(7067),
    [anon_sym_BSLASHGlspl] = ACTIONS(7067),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7067),
    [anon_sym_BSLASHglslink] = ACTIONS(7067),
    [anon_sym_BSLASHglstext] = ACTIONS(7067),
    [anon_sym_BSLASHGlstext] = ACTIONS(7067),
    [anon_sym_BSLASHGLStext] = ACTIONS(7067),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7067),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7067),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7067),
    [anon_sym_BSLASHglsplural] = ACTIONS(7067),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7067),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7067),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHglsname] = ACTIONS(7067),
    [anon_sym_BSLASHGlsname] = ACTIONS(7067),
    [anon_sym_BSLASHGLSname] = ACTIONS(7067),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7067),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7067),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7067),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7067),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7067),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7067),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7067),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7067),
    [anon_sym_BSLASHacrshort] = ACTIONS(7067),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7067),
    [anon_sym_BSLASHACRshort] = ACTIONS(7067),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHacrlong] = ACTIONS(7067),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7067),
    [anon_sym_BSLASHACRlong] = ACTIONS(7067),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHacrfull] = ACTIONS(7067),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7067),
    [anon_sym_BSLASHACRfull] = ACTIONS(7067),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHacs] = ACTIONS(7067),
    [anon_sym_BSLASHAcs] = ACTIONS(7067),
    [anon_sym_BSLASHacsp] = ACTIONS(7067),
    [anon_sym_BSLASHAcsp] = ACTIONS(7067),
    [anon_sym_BSLASHacl] = ACTIONS(7067),
    [anon_sym_BSLASHAcl] = ACTIONS(7067),
    [anon_sym_BSLASHaclp] = ACTIONS(7067),
    [anon_sym_BSLASHAclp] = ACTIONS(7067),
    [anon_sym_BSLASHacf] = ACTIONS(7067),
    [anon_sym_BSLASHAcf] = ACTIONS(7067),
    [anon_sym_BSLASHacfp] = ACTIONS(7067),
    [anon_sym_BSLASHAcfp] = ACTIONS(7067),
    [anon_sym_BSLASHac] = ACTIONS(7067),
    [anon_sym_BSLASHAc] = ACTIONS(7067),
    [anon_sym_BSLASHacp] = ACTIONS(7067),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7067),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7067),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7067),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7067),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7067),
    [anon_sym_BSLASHcolor] = ACTIONS(7067),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7067),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7067),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7067),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7067),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7067),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7067),
    [anon_sym_BSLASHurl] = ACTIONS(7067),
    [anon_sym_BSLASHhref] = ACTIONS(7067),
  },
  [1679] = {
    [sym_command_name] = ACTIONS(157),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(157),
    [anon_sym_LBRACK] = ACTIONS(159),
    [anon_sym_RBRACK] = ACTIONS(159),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_RPAREN] = ACTIONS(159),
    [anon_sym_LBRACE] = ACTIONS(159),
    [sym_word] = ACTIONS(157),
    [sym_placeholder] = ACTIONS(159),
    [sym_delimiter] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_SLASH] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(157),
    [anon_sym_GT] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(157),
    [anon_sym_PIPE] = ACTIONS(157),
    [anon_sym_COLON] = ACTIONS(157),
    [anon_sym_SQUOTE] = ACTIONS(157),
    [anon_sym__] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(159),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(159),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(159),
    [anon_sym_BSLASHleft] = ACTIONS(157),
    [anon_sym_BSLASHbigl] = ACTIONS(157),
    [anon_sym_BSLASHBigl] = ACTIONS(157),
    [anon_sym_BSLASHbiggl] = ACTIONS(157),
    [anon_sym_BSLASHBiggl] = ACTIONS(157),
    [anon_sym_BSLASHtext] = ACTIONS(157),
    [anon_sym_BSLASHintertext] = ACTIONS(157),
    [anon_sym_BSLASHshortintertext] = ACTIONS(157),
    [anon_sym_BSLASHbegin] = ACTIONS(157),
    [anon_sym_BSLASHend] = ACTIONS(157),
    [anon_sym_BSLASHtitle] = ACTIONS(157),
    [anon_sym_BSLASHauthor] = ACTIONS(157),
    [anon_sym_BSLASHusepackage] = ACTIONS(157),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(157),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(157),
    [anon_sym_BSLASHinclude] = ACTIONS(157),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(157),
    [anon_sym_BSLASHinput] = ACTIONS(157),
    [anon_sym_BSLASHsubfile] = ACTIONS(157),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(157),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(157),
    [anon_sym_BSLASHbibliography] = ACTIONS(157),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(157),
    [anon_sym_BSLASHincludesvg] = ACTIONS(157),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(157),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(157),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(157),
    [anon_sym_BSLASHimport] = ACTIONS(157),
    [anon_sym_BSLASHsubimport] = ACTIONS(157),
    [anon_sym_BSLASHinputfrom] = ACTIONS(157),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(157),
    [anon_sym_BSLASHincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHcaption] = ACTIONS(157),
    [anon_sym_BSLASHcite] = ACTIONS(157),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCite] = ACTIONS(157),
    [anon_sym_BSLASHnocite] = ACTIONS(157),
    [anon_sym_BSLASHcitet] = ACTIONS(157),
    [anon_sym_BSLASHcitep] = ACTIONS(157),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteA] = ACTIONS(157),
    [anon_sym_BSLASHciteR] = ACTIONS(157),
    [anon_sym_BSLASHciteS] = ACTIONS(157),
    [anon_sym_BSLASHciteyearR] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(157),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitetitle] = ACTIONS(157),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteyear] = ACTIONS(157),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitedate] = ACTIONS(157),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteurl] = ACTIONS(157),
    [anon_sym_BSLASHfullcite] = ACTIONS(157),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(157),
    [anon_sym_BSLASHcitealt] = ACTIONS(157),
    [anon_sym_BSLASHcitealp] = ACTIONS(157),
    [anon_sym_BSLASHcitetext] = ACTIONS(157),
    [anon_sym_BSLASHparencite] = ACTIONS(157),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHParencite] = ACTIONS(157),
    [anon_sym_BSLASHfootcite] = ACTIONS(157),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(157),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(157),
    [anon_sym_BSLASHtextcite] = ACTIONS(157),
    [anon_sym_BSLASHTextcite] = ACTIONS(157),
    [anon_sym_BSLASHsmartcite] = ACTIONS(157),
    [anon_sym_BSLASHSmartcite] = ACTIONS(157),
    [anon_sym_BSLASHsupercite] = ACTIONS(157),
    [anon_sym_BSLASHautocite] = ACTIONS(157),
    [anon_sym_BSLASHAutocite] = ACTIONS(157),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHvolcite] = ACTIONS(157),
    [anon_sym_BSLASHVolcite] = ACTIONS(157),
    [anon_sym_BSLASHpvolcite] = ACTIONS(157),
    [anon_sym_BSLASHPvolcite] = ACTIONS(157),
    [anon_sym_BSLASHfvolcite] = ACTIONS(157),
    [anon_sym_BSLASHftvolcite] = ACTIONS(157),
    [anon_sym_BSLASHsvolcite] = ACTIONS(157),
    [anon_sym_BSLASHSvolcite] = ACTIONS(157),
    [anon_sym_BSLASHtvolcite] = ACTIONS(157),
    [anon_sym_BSLASHTvolcite] = ACTIONS(157),
    [anon_sym_BSLASHavolcite] = ACTIONS(157),
    [anon_sym_BSLASHAvolcite] = ACTIONS(157),
    [anon_sym_BSLASHnotecite] = ACTIONS(157),
    [anon_sym_BSLASHNotecite] = ACTIONS(157),
    [anon_sym_BSLASHpnotecite] = ACTIONS(157),
    [anon_sym_BSLASHPnotecite] = ACTIONS(157),
    [anon_sym_BSLASHfnotecite] = ACTIONS(157),
    [anon_sym_BSLASHlabel] = ACTIONS(157),
    [anon_sym_BSLASHref] = ACTIONS(157),
    [anon_sym_BSLASHeqref] = ACTIONS(157),
    [anon_sym_BSLASHvref] = ACTIONS(157),
    [anon_sym_BSLASHVref] = ACTIONS(157),
    [anon_sym_BSLASHautoref] = ACTIONS(157),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpageref] = ACTIONS(157),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHautopageref] = ACTIONS(157),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcref] = ACTIONS(157),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCref] = ACTIONS(157),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpageref] = ACTIONS(157),
    [anon_sym_BSLASHCpageref] = ACTIONS(157),
    [anon_sym_BSLASHnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnameCref] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcrefrange] = ACTIONS(157),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCrefrange] = ACTIONS(157),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHnewlabel] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(157),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(157),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(157),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(159),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHdef] = ACTIONS(157),
    [anon_sym_BSLASHgdef] = ACTIONS(157),
    [anon_sym_BSLASHedef] = ACTIONS(157),
    [anon_sym_BSLASHxdef] = ACTIONS(157),
    [anon_sym_BSLASHlet] = ACTIONS(157),
    [anon_sym_BSLASHglet] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(157),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(157),
    [anon_sym_BSLASHgls] = ACTIONS(157),
    [anon_sym_BSLASHGls] = ACTIONS(157),
    [anon_sym_BSLASHGLS] = ACTIONS(157),
    [anon_sym_BSLASHglspl] = ACTIONS(157),
    [anon_sym_BSLASHGlspl] = ACTIONS(157),
    [anon_sym_BSLASHGLSpl] = ACTIONS(157),
    [anon_sym_BSLASHglsdisp] = ACTIONS(157),
    [anon_sym_BSLASHglslink] = ACTIONS(157),
    [anon_sym_BSLASHglstext] = ACTIONS(157),
    [anon_sym_BSLASHGlstext] = ACTIONS(157),
    [anon_sym_BSLASHGLStext] = ACTIONS(157),
    [anon_sym_BSLASHglsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(157),
    [anon_sym_BSLASHglsplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSplural] = ACTIONS(157),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHglsname] = ACTIONS(157),
    [anon_sym_BSLASHGlsname] = ACTIONS(157),
    [anon_sym_BSLASHGLSname] = ACTIONS(157),
    [anon_sym_BSLASHglssymbol] = ACTIONS(157),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(157),
    [anon_sym_BSLASHglsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(157),
    [anon_sym_BSLASHglsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(157),
    [anon_sym_BSLASHglsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(157),
    [anon_sym_BSLASHglsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(157),
    [anon_sym_BSLASHglsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(157),
    [anon_sym_BSLASHnewacronym] = ACTIONS(157),
    [anon_sym_BSLASHacrshort] = ACTIONS(157),
    [anon_sym_BSLASHAcrshort] = ACTIONS(157),
    [anon_sym_BSLASHACRshort] = ACTIONS(157),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(157),
    [anon_sym_BSLASHacrlong] = ACTIONS(157),
    [anon_sym_BSLASHAcrlong] = ACTIONS(157),
    [anon_sym_BSLASHACRlong] = ACTIONS(157),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(157),
    [anon_sym_BSLASHacrfull] = ACTIONS(157),
    [anon_sym_BSLASHAcrfull] = ACTIONS(157),
    [anon_sym_BSLASHACRfull] = ACTIONS(157),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(157),
    [anon_sym_BSLASHacs] = ACTIONS(157),
    [anon_sym_BSLASHAcs] = ACTIONS(157),
    [anon_sym_BSLASHacsp] = ACTIONS(157),
    [anon_sym_BSLASHAcsp] = ACTIONS(157),
    [anon_sym_BSLASHacl] = ACTIONS(157),
    [anon_sym_BSLASHAcl] = ACTIONS(157),
    [anon_sym_BSLASHaclp] = ACTIONS(157),
    [anon_sym_BSLASHAclp] = ACTIONS(157),
    [anon_sym_BSLASHacf] = ACTIONS(157),
    [anon_sym_BSLASHAcf] = ACTIONS(157),
    [anon_sym_BSLASHacfp] = ACTIONS(157),
    [anon_sym_BSLASHAcfp] = ACTIONS(157),
    [anon_sym_BSLASHac] = ACTIONS(157),
    [anon_sym_BSLASHAc] = ACTIONS(157),
    [anon_sym_BSLASHacp] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(157),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(157),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(157),
    [anon_sym_BSLASHcolor] = ACTIONS(157),
    [anon_sym_BSLASHpagecolor] = ACTIONS(157),
    [anon_sym_BSLASHtextcolor] = ACTIONS(157),
    [anon_sym_BSLASHmathcolor] = ACTIONS(157),
    [anon_sym_BSLASHcolorbox] = ACTIONS(157),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(157),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(157),
    [anon_sym_BSLASHurl] = ACTIONS(157),
    [anon_sym_BSLASHhref] = ACTIONS(157),
  },
  [1680] = {
    [sym_command_name] = ACTIONS(169),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_COMMA] = ACTIONS(171),
    [anon_sym_EQ] = ACTIONS(171),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_LBRACE] = ACTIONS(171),
    [sym_word] = ACTIONS(169),
    [sym_placeholder] = ACTIONS(171),
    [sym_delimiter] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_STAR] = ACTIONS(171),
    [anon_sym_SLASH] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(169),
    [anon_sym_GT] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_PIPE] = ACTIONS(169),
    [anon_sym_COLON] = ACTIONS(169),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym__] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(171),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(171),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(171),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(171),
    [anon_sym_BSLASHleft] = ACTIONS(169),
    [anon_sym_BSLASHbigl] = ACTIONS(169),
    [anon_sym_BSLASHBigl] = ACTIONS(169),
    [anon_sym_BSLASHbiggl] = ACTIONS(169),
    [anon_sym_BSLASHBiggl] = ACTIONS(169),
    [anon_sym_BSLASHtext] = ACTIONS(169),
    [anon_sym_BSLASHintertext] = ACTIONS(169),
    [anon_sym_BSLASHshortintertext] = ACTIONS(169),
    [anon_sym_BSLASHbegin] = ACTIONS(169),
    [anon_sym_BSLASHend] = ACTIONS(169),
    [anon_sym_BSLASHtitle] = ACTIONS(169),
    [anon_sym_BSLASHauthor] = ACTIONS(169),
    [anon_sym_BSLASHusepackage] = ACTIONS(169),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(169),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(169),
    [anon_sym_BSLASHinclude] = ACTIONS(169),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(169),
    [anon_sym_BSLASHinput] = ACTIONS(169),
    [anon_sym_BSLASHsubfile] = ACTIONS(169),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(169),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(169),
    [anon_sym_BSLASHbibliography] = ACTIONS(169),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(169),
    [anon_sym_BSLASHincludesvg] = ACTIONS(169),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(169),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(169),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(169),
    [anon_sym_BSLASHimport] = ACTIONS(169),
    [anon_sym_BSLASHsubimport] = ACTIONS(169),
    [anon_sym_BSLASHinputfrom] = ACTIONS(169),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(169),
    [anon_sym_BSLASHincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHcaption] = ACTIONS(169),
    [anon_sym_BSLASHcite] = ACTIONS(169),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCite] = ACTIONS(169),
    [anon_sym_BSLASHnocite] = ACTIONS(169),
    [anon_sym_BSLASHcitet] = ACTIONS(169),
    [anon_sym_BSLASHcitep] = ACTIONS(169),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteA] = ACTIONS(169),
    [anon_sym_BSLASHciteR] = ACTIONS(169),
    [anon_sym_BSLASHciteS] = ACTIONS(169),
    [anon_sym_BSLASHciteyearR] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(169),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitetitle] = ACTIONS(169),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteyear] = ACTIONS(169),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitedate] = ACTIONS(169),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteurl] = ACTIONS(169),
    [anon_sym_BSLASHfullcite] = ACTIONS(169),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(169),
    [anon_sym_BSLASHcitealt] = ACTIONS(169),
    [anon_sym_BSLASHcitealp] = ACTIONS(169),
    [anon_sym_BSLASHcitetext] = ACTIONS(169),
    [anon_sym_BSLASHparencite] = ACTIONS(169),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHParencite] = ACTIONS(169),
    [anon_sym_BSLASHfootcite] = ACTIONS(169),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(169),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(169),
    [anon_sym_BSLASHtextcite] = ACTIONS(169),
    [anon_sym_BSLASHTextcite] = ACTIONS(169),
    [anon_sym_BSLASHsmartcite] = ACTIONS(169),
    [anon_sym_BSLASHSmartcite] = ACTIONS(169),
    [anon_sym_BSLASHsupercite] = ACTIONS(169),
    [anon_sym_BSLASHautocite] = ACTIONS(169),
    [anon_sym_BSLASHAutocite] = ACTIONS(169),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHvolcite] = ACTIONS(169),
    [anon_sym_BSLASHVolcite] = ACTIONS(169),
    [anon_sym_BSLASHpvolcite] = ACTIONS(169),
    [anon_sym_BSLASHPvolcite] = ACTIONS(169),
    [anon_sym_BSLASHfvolcite] = ACTIONS(169),
    [anon_sym_BSLASHftvolcite] = ACTIONS(169),
    [anon_sym_BSLASHsvolcite] = ACTIONS(169),
    [anon_sym_BSLASHSvolcite] = ACTIONS(169),
    [anon_sym_BSLASHtvolcite] = ACTIONS(169),
    [anon_sym_BSLASHTvolcite] = ACTIONS(169),
    [anon_sym_BSLASHavolcite] = ACTIONS(169),
    [anon_sym_BSLASHAvolcite] = ACTIONS(169),
    [anon_sym_BSLASHnotecite] = ACTIONS(169),
    [anon_sym_BSLASHNotecite] = ACTIONS(169),
    [anon_sym_BSLASHpnotecite] = ACTIONS(169),
    [anon_sym_BSLASHPnotecite] = ACTIONS(169),
    [anon_sym_BSLASHfnotecite] = ACTIONS(169),
    [anon_sym_BSLASHlabel] = ACTIONS(169),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHeqref] = ACTIONS(169),
    [anon_sym_BSLASHvref] = ACTIONS(169),
    [anon_sym_BSLASHVref] = ACTIONS(169),
    [anon_sym_BSLASHautoref] = ACTIONS(169),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHpageref] = ACTIONS(169),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHautopageref] = ACTIONS(169),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcref] = ACTIONS(169),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCref] = ACTIONS(169),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpageref] = ACTIONS(169),
    [anon_sym_BSLASHCpageref] = ACTIONS(169),
    [anon_sym_BSLASHnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnameCref] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcrefrange] = ACTIONS(169),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCrefrange] = ACTIONS(169),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHnewlabel] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(169),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(169),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(169),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(171),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHdef] = ACTIONS(169),
    [anon_sym_BSLASHgdef] = ACTIONS(169),
    [anon_sym_BSLASHedef] = ACTIONS(169),
    [anon_sym_BSLASHxdef] = ACTIONS(169),
    [anon_sym_BSLASHlet] = ACTIONS(169),
    [anon_sym_BSLASHglet] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(169),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(169),
    [anon_sym_BSLASHgls] = ACTIONS(169),
    [anon_sym_BSLASHGls] = ACTIONS(169),
    [anon_sym_BSLASHGLS] = ACTIONS(169),
    [anon_sym_BSLASHglspl] = ACTIONS(169),
    [anon_sym_BSLASHGlspl] = ACTIONS(169),
    [anon_sym_BSLASHGLSpl] = ACTIONS(169),
    [anon_sym_BSLASHglsdisp] = ACTIONS(169),
    [anon_sym_BSLASHglslink] = ACTIONS(169),
    [anon_sym_BSLASHglstext] = ACTIONS(169),
    [anon_sym_BSLASHGlstext] = ACTIONS(169),
    [anon_sym_BSLASHGLStext] = ACTIONS(169),
    [anon_sym_BSLASHglsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(169),
    [anon_sym_BSLASHglsplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSplural] = ACTIONS(169),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHglsname] = ACTIONS(169),
    [anon_sym_BSLASHGlsname] = ACTIONS(169),
    [anon_sym_BSLASHGLSname] = ACTIONS(169),
    [anon_sym_BSLASHglssymbol] = ACTIONS(169),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(169),
    [anon_sym_BSLASHglsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(169),
    [anon_sym_BSLASHglsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(169),
    [anon_sym_BSLASHglsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(169),
    [anon_sym_BSLASHglsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(169),
    [anon_sym_BSLASHglsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(169),
    [anon_sym_BSLASHnewacronym] = ACTIONS(169),
    [anon_sym_BSLASHacrshort] = ACTIONS(169),
    [anon_sym_BSLASHAcrshort] = ACTIONS(169),
    [anon_sym_BSLASHACRshort] = ACTIONS(169),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(169),
    [anon_sym_BSLASHacrlong] = ACTIONS(169),
    [anon_sym_BSLASHAcrlong] = ACTIONS(169),
    [anon_sym_BSLASHACRlong] = ACTIONS(169),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(169),
    [anon_sym_BSLASHacrfull] = ACTIONS(169),
    [anon_sym_BSLASHAcrfull] = ACTIONS(169),
    [anon_sym_BSLASHACRfull] = ACTIONS(169),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(169),
    [anon_sym_BSLASHacs] = ACTIONS(169),
    [anon_sym_BSLASHAcs] = ACTIONS(169),
    [anon_sym_BSLASHacsp] = ACTIONS(169),
    [anon_sym_BSLASHAcsp] = ACTIONS(169),
    [anon_sym_BSLASHacl] = ACTIONS(169),
    [anon_sym_BSLASHAcl] = ACTIONS(169),
    [anon_sym_BSLASHaclp] = ACTIONS(169),
    [anon_sym_BSLASHAclp] = ACTIONS(169),
    [anon_sym_BSLASHacf] = ACTIONS(169),
    [anon_sym_BSLASHAcf] = ACTIONS(169),
    [anon_sym_BSLASHacfp] = ACTIONS(169),
    [anon_sym_BSLASHAcfp] = ACTIONS(169),
    [anon_sym_BSLASHac] = ACTIONS(169),
    [anon_sym_BSLASHAc] = ACTIONS(169),
    [anon_sym_BSLASHacp] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(169),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(169),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(169),
    [anon_sym_BSLASHcolor] = ACTIONS(169),
    [anon_sym_BSLASHpagecolor] = ACTIONS(169),
    [anon_sym_BSLASHtextcolor] = ACTIONS(169),
    [anon_sym_BSLASHmathcolor] = ACTIONS(169),
    [anon_sym_BSLASHcolorbox] = ACTIONS(169),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(169),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(169),
    [anon_sym_BSLASHurl] = ACTIONS(169),
    [anon_sym_BSLASHhref] = ACTIONS(169),
  },
  [1681] = {
    [sym_command_name] = ACTIONS(7059),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7059),
    [anon_sym_LBRACK] = ACTIONS(7061),
    [anon_sym_RBRACK] = ACTIONS(7061),
    [anon_sym_COMMA] = ACTIONS(7061),
    [anon_sym_EQ] = ACTIONS(7061),
    [anon_sym_LPAREN] = ACTIONS(7061),
    [anon_sym_RPAREN] = ACTIONS(7061),
    [anon_sym_LBRACE] = ACTIONS(7061),
    [sym_word] = ACTIONS(7059),
    [sym_placeholder] = ACTIONS(7061),
    [sym_delimiter] = ACTIONS(7061),
    [anon_sym_PLUS] = ACTIONS(7061),
    [anon_sym_DASH] = ACTIONS(7061),
    [anon_sym_STAR] = ACTIONS(7061),
    [anon_sym_SLASH] = ACTIONS(7061),
    [anon_sym_LT] = ACTIONS(7059),
    [anon_sym_GT] = ACTIONS(7059),
    [anon_sym_BANG] = ACTIONS(7059),
    [anon_sym_PIPE] = ACTIONS(7059),
    [anon_sym_COLON] = ACTIONS(7059),
    [anon_sym_SQUOTE] = ACTIONS(7059),
    [anon_sym__] = ACTIONS(7061),
    [anon_sym_CARET] = ACTIONS(7061),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7061),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7061),
    [anon_sym_DOLLAR] = ACTIONS(7059),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7061),
    [anon_sym_BSLASHleft] = ACTIONS(7059),
    [anon_sym_BSLASHbigl] = ACTIONS(7059),
    [anon_sym_BSLASHBigl] = ACTIONS(7059),
    [anon_sym_BSLASHbiggl] = ACTIONS(7059),
    [anon_sym_BSLASHBiggl] = ACTIONS(7059),
    [anon_sym_BSLASHtext] = ACTIONS(7059),
    [anon_sym_BSLASHintertext] = ACTIONS(7059),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7059),
    [anon_sym_BSLASHbegin] = ACTIONS(7059),
    [anon_sym_BSLASHend] = ACTIONS(7059),
    [anon_sym_BSLASHtitle] = ACTIONS(7059),
    [anon_sym_BSLASHauthor] = ACTIONS(7059),
    [anon_sym_BSLASHusepackage] = ACTIONS(7059),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7059),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7059),
    [anon_sym_BSLASHinclude] = ACTIONS(7059),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7059),
    [anon_sym_BSLASHinput] = ACTIONS(7059),
    [anon_sym_BSLASHsubfile] = ACTIONS(7059),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7059),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7059),
    [anon_sym_BSLASHbibliography] = ACTIONS(7059),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7059),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7059),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7059),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7059),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7059),
    [anon_sym_BSLASHimport] = ACTIONS(7059),
    [anon_sym_BSLASHsubimport] = ACTIONS(7059),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7059),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7059),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7059),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7059),
    [anon_sym_BSLASHcaption] = ACTIONS(7059),
    [anon_sym_BSLASHcite] = ACTIONS(7059),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHCite] = ACTIONS(7059),
    [anon_sym_BSLASHnocite] = ACTIONS(7059),
    [anon_sym_BSLASHcitet] = ACTIONS(7059),
    [anon_sym_BSLASHcitep] = ACTIONS(7059),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHciteA] = ACTIONS(7059),
    [anon_sym_BSLASHciteR] = ACTIONS(7059),
    [anon_sym_BSLASHciteS] = ACTIONS(7059),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7059),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7059),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7059),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7059),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHciteyear] = ACTIONS(7059),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcitedate] = ACTIONS(7059),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHciteurl] = ACTIONS(7059),
    [anon_sym_BSLASHfullcite] = ACTIONS(7059),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7059),
    [anon_sym_BSLASHcitealt] = ACTIONS(7059),
    [anon_sym_BSLASHcitealp] = ACTIONS(7059),
    [anon_sym_BSLASHcitetext] = ACTIONS(7059),
    [anon_sym_BSLASHparencite] = ACTIONS(7059),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHParencite] = ACTIONS(7059),
    [anon_sym_BSLASHfootcite] = ACTIONS(7059),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7059),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7059),
    [anon_sym_BSLASHtextcite] = ACTIONS(7059),
    [anon_sym_BSLASHTextcite] = ACTIONS(7059),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7059),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7059),
    [anon_sym_BSLASHsupercite] = ACTIONS(7059),
    [anon_sym_BSLASHautocite] = ACTIONS(7059),
    [anon_sym_BSLASHAutocite] = ACTIONS(7059),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHVolcite] = ACTIONS(7059),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHavolcite] = ACTIONS(7059),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHnotecite] = ACTIONS(7059),
    [anon_sym_BSLASHNotecite] = ACTIONS(7059),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7059),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7059),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7059),
    [anon_sym_BSLASHlabel] = ACTIONS(7059),
    [anon_sym_BSLASHref] = ACTIONS(7059),
    [anon_sym_BSLASHeqref] = ACTIONS(7059),
    [anon_sym_BSLASHvref] = ACTIONS(7059),
    [anon_sym_BSLASHVref] = ACTIONS(7059),
    [anon_sym_BSLASHautoref] = ACTIONS(7059),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHpageref] = ACTIONS(7059),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHautopageref] = ACTIONS(7059),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcref] = ACTIONS(7059),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHCref] = ACTIONS(7059),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcpageref] = ACTIONS(7059),
    [anon_sym_BSLASHCpageref] = ACTIONS(7059),
    [anon_sym_BSLASHnamecref] = ACTIONS(7059),
    [anon_sym_BSLASHnameCref] = ACTIONS(7059),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7059),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7059),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7059),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7059),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7059),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7059),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7059),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7059),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7059),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7059),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7059),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7059),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7059),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7059),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7059),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7059),
    [anon_sym_BSLASHdef] = ACTIONS(7059),
    [anon_sym_BSLASHgdef] = ACTIONS(7059),
    [anon_sym_BSLASHedef] = ACTIONS(7059),
    [anon_sym_BSLASHxdef] = ACTIONS(7059),
    [anon_sym_BSLASHlet] = ACTIONS(7059),
    [anon_sym_BSLASHglet] = ACTIONS(7059),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7059),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7059),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7059),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7059),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7059),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7059),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7059),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7059),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7059),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7059),
    [anon_sym_BSLASHgls] = ACTIONS(7059),
    [anon_sym_BSLASHGls] = ACTIONS(7059),
    [anon_sym_BSLASHGLS] = ACTIONS(7059),
    [anon_sym_BSLASHglspl] = ACTIONS(7059),
    [anon_sym_BSLASHGlspl] = ACTIONS(7059),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7059),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7059),
    [anon_sym_BSLASHglslink] = ACTIONS(7059),
    [anon_sym_BSLASHglstext] = ACTIONS(7059),
    [anon_sym_BSLASHGlstext] = ACTIONS(7059),
    [anon_sym_BSLASHGLStext] = ACTIONS(7059),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7059),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7059),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7059),
    [anon_sym_BSLASHglsplural] = ACTIONS(7059),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7059),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7059),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7059),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7059),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7059),
    [anon_sym_BSLASHglsname] = ACTIONS(7059),
    [anon_sym_BSLASHGlsname] = ACTIONS(7059),
    [anon_sym_BSLASHGLSname] = ACTIONS(7059),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7059),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7059),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7059),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7059),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7059),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7059),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7059),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7059),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7059),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7059),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7059),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7059),
    [anon_sym_BSLASHacrshort] = ACTIONS(7059),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7059),
    [anon_sym_BSLASHACRshort] = ACTIONS(7059),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHacrlong] = ACTIONS(7059),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7059),
    [anon_sym_BSLASHACRlong] = ACTIONS(7059),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7059),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7059),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7059),
    [anon_sym_BSLASHacrfull] = ACTIONS(7059),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7059),
    [anon_sym_BSLASHACRfull] = ACTIONS(7059),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHacs] = ACTIONS(7059),
    [anon_sym_BSLASHAcs] = ACTIONS(7059),
    [anon_sym_BSLASHacsp] = ACTIONS(7059),
    [anon_sym_BSLASHAcsp] = ACTIONS(7059),
    [anon_sym_BSLASHacl] = ACTIONS(7059),
    [anon_sym_BSLASHAcl] = ACTIONS(7059),
    [anon_sym_BSLASHaclp] = ACTIONS(7059),
    [anon_sym_BSLASHAclp] = ACTIONS(7059),
    [anon_sym_BSLASHacf] = ACTIONS(7059),
    [anon_sym_BSLASHAcf] = ACTIONS(7059),
    [anon_sym_BSLASHacfp] = ACTIONS(7059),
    [anon_sym_BSLASHAcfp] = ACTIONS(7059),
    [anon_sym_BSLASHac] = ACTIONS(7059),
    [anon_sym_BSLASHAc] = ACTIONS(7059),
    [anon_sym_BSLASHacp] = ACTIONS(7059),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7059),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7059),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7059),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7059),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7059),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7059),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7059),
    [anon_sym_BSLASHcolor] = ACTIONS(7059),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7059),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7059),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7059),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7059),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7059),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7059),
    [anon_sym_BSLASHurl] = ACTIONS(7059),
    [anon_sym_BSLASHhref] = ACTIONS(7059),
  },
  [1682] = {
    [sym_command_name] = ACTIONS(173),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(173),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_RBRACK] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_RPAREN] = ACTIONS(175),
    [anon_sym_LBRACE] = ACTIONS(175),
    [sym_word] = ACTIONS(173),
    [sym_placeholder] = ACTIONS(175),
    [sym_delimiter] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym__] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(175),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(175),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(175),
    [anon_sym_DOLLAR] = ACTIONS(173),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(175),
    [anon_sym_BSLASHleft] = ACTIONS(173),
    [anon_sym_BSLASHbigl] = ACTIONS(173),
    [anon_sym_BSLASHBigl] = ACTIONS(173),
    [anon_sym_BSLASHbiggl] = ACTIONS(173),
    [anon_sym_BSLASHBiggl] = ACTIONS(173),
    [anon_sym_BSLASHtext] = ACTIONS(173),
    [anon_sym_BSLASHintertext] = ACTIONS(173),
    [anon_sym_BSLASHshortintertext] = ACTIONS(173),
    [anon_sym_BSLASHbegin] = ACTIONS(173),
    [anon_sym_BSLASHend] = ACTIONS(173),
    [anon_sym_BSLASHtitle] = ACTIONS(173),
    [anon_sym_BSLASHauthor] = ACTIONS(173),
    [anon_sym_BSLASHusepackage] = ACTIONS(173),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(173),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(173),
    [anon_sym_BSLASHinclude] = ACTIONS(173),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(173),
    [anon_sym_BSLASHinput] = ACTIONS(173),
    [anon_sym_BSLASHsubfile] = ACTIONS(173),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(173),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(173),
    [anon_sym_BSLASHbibliography] = ACTIONS(173),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(173),
    [anon_sym_BSLASHincludesvg] = ACTIONS(173),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(173),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(173),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(173),
    [anon_sym_BSLASHimport] = ACTIONS(173),
    [anon_sym_BSLASHsubimport] = ACTIONS(173),
    [anon_sym_BSLASHinputfrom] = ACTIONS(173),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(173),
    [anon_sym_BSLASHincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHcaption] = ACTIONS(173),
    [anon_sym_BSLASHcite] = ACTIONS(173),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCite] = ACTIONS(173),
    [anon_sym_BSLASHnocite] = ACTIONS(173),
    [anon_sym_BSLASHcitet] = ACTIONS(173),
    [anon_sym_BSLASHcitep] = ACTIONS(173),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteA] = ACTIONS(173),
    [anon_sym_BSLASHciteR] = ACTIONS(173),
    [anon_sym_BSLASHciteS] = ACTIONS(173),
    [anon_sym_BSLASHciteyearR] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(173),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitetitle] = ACTIONS(173),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteyear] = ACTIONS(173),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitedate] = ACTIONS(173),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteurl] = ACTIONS(173),
    [anon_sym_BSLASHfullcite] = ACTIONS(173),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(173),
    [anon_sym_BSLASHcitealt] = ACTIONS(173),
    [anon_sym_BSLASHcitealp] = ACTIONS(173),
    [anon_sym_BSLASHcitetext] = ACTIONS(173),
    [anon_sym_BSLASHparencite] = ACTIONS(173),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHParencite] = ACTIONS(173),
    [anon_sym_BSLASHfootcite] = ACTIONS(173),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(173),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(173),
    [anon_sym_BSLASHtextcite] = ACTIONS(173),
    [anon_sym_BSLASHTextcite] = ACTIONS(173),
    [anon_sym_BSLASHsmartcite] = ACTIONS(173),
    [anon_sym_BSLASHSmartcite] = ACTIONS(173),
    [anon_sym_BSLASHsupercite] = ACTIONS(173),
    [anon_sym_BSLASHautocite] = ACTIONS(173),
    [anon_sym_BSLASHAutocite] = ACTIONS(173),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHvolcite] = ACTIONS(173),
    [anon_sym_BSLASHVolcite] = ACTIONS(173),
    [anon_sym_BSLASHpvolcite] = ACTIONS(173),
    [anon_sym_BSLASHPvolcite] = ACTIONS(173),
    [anon_sym_BSLASHfvolcite] = ACTIONS(173),
    [anon_sym_BSLASHftvolcite] = ACTIONS(173),
    [anon_sym_BSLASHsvolcite] = ACTIONS(173),
    [anon_sym_BSLASHSvolcite] = ACTIONS(173),
    [anon_sym_BSLASHtvolcite] = ACTIONS(173),
    [anon_sym_BSLASHTvolcite] = ACTIONS(173),
    [anon_sym_BSLASHavolcite] = ACTIONS(173),
    [anon_sym_BSLASHAvolcite] = ACTIONS(173),
    [anon_sym_BSLASHnotecite] = ACTIONS(173),
    [anon_sym_BSLASHNotecite] = ACTIONS(173),
    [anon_sym_BSLASHpnotecite] = ACTIONS(173),
    [anon_sym_BSLASHPnotecite] = ACTIONS(173),
    [anon_sym_BSLASHfnotecite] = ACTIONS(173),
    [anon_sym_BSLASHlabel] = ACTIONS(173),
    [anon_sym_BSLASHref] = ACTIONS(173),
    [anon_sym_BSLASHeqref] = ACTIONS(173),
    [anon_sym_BSLASHvref] = ACTIONS(173),
    [anon_sym_BSLASHVref] = ACTIONS(173),
    [anon_sym_BSLASHautoref] = ACTIONS(173),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHpageref] = ACTIONS(173),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHautopageref] = ACTIONS(173),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcref] = ACTIONS(173),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCref] = ACTIONS(173),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpageref] = ACTIONS(173),
    [anon_sym_BSLASHCpageref] = ACTIONS(173),
    [anon_sym_BSLASHnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnameCref] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcrefrange] = ACTIONS(173),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCrefrange] = ACTIONS(173),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHnewlabel] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(173),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(173),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(173),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(175),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHdef] = ACTIONS(173),
    [anon_sym_BSLASHgdef] = ACTIONS(173),
    [anon_sym_BSLASHedef] = ACTIONS(173),
    [anon_sym_BSLASHxdef] = ACTIONS(173),
    [anon_sym_BSLASHlet] = ACTIONS(173),
    [anon_sym_BSLASHglet] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(173),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(173),
    [anon_sym_BSLASHgls] = ACTIONS(173),
    [anon_sym_BSLASHGls] = ACTIONS(173),
    [anon_sym_BSLASHGLS] = ACTIONS(173),
    [anon_sym_BSLASHglspl] = ACTIONS(173),
    [anon_sym_BSLASHGlspl] = ACTIONS(173),
    [anon_sym_BSLASHGLSpl] = ACTIONS(173),
    [anon_sym_BSLASHglsdisp] = ACTIONS(173),
    [anon_sym_BSLASHglslink] = ACTIONS(173),
    [anon_sym_BSLASHglstext] = ACTIONS(173),
    [anon_sym_BSLASHGlstext] = ACTIONS(173),
    [anon_sym_BSLASHGLStext] = ACTIONS(173),
    [anon_sym_BSLASHglsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(173),
    [anon_sym_BSLASHglsplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSplural] = ACTIONS(173),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHglsname] = ACTIONS(173),
    [anon_sym_BSLASHGlsname] = ACTIONS(173),
    [anon_sym_BSLASHGLSname] = ACTIONS(173),
    [anon_sym_BSLASHglssymbol] = ACTIONS(173),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(173),
    [anon_sym_BSLASHglsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(173),
    [anon_sym_BSLASHglsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(173),
    [anon_sym_BSLASHglsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(173),
    [anon_sym_BSLASHglsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(173),
    [anon_sym_BSLASHglsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(173),
    [anon_sym_BSLASHnewacronym] = ACTIONS(173),
    [anon_sym_BSLASHacrshort] = ACTIONS(173),
    [anon_sym_BSLASHAcrshort] = ACTIONS(173),
    [anon_sym_BSLASHACRshort] = ACTIONS(173),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(173),
    [anon_sym_BSLASHacrlong] = ACTIONS(173),
    [anon_sym_BSLASHAcrlong] = ACTIONS(173),
    [anon_sym_BSLASHACRlong] = ACTIONS(173),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(173),
    [anon_sym_BSLASHacrfull] = ACTIONS(173),
    [anon_sym_BSLASHAcrfull] = ACTIONS(173),
    [anon_sym_BSLASHACRfull] = ACTIONS(173),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(173),
    [anon_sym_BSLASHacs] = ACTIONS(173),
    [anon_sym_BSLASHAcs] = ACTIONS(173),
    [anon_sym_BSLASHacsp] = ACTIONS(173),
    [anon_sym_BSLASHAcsp] = ACTIONS(173),
    [anon_sym_BSLASHacl] = ACTIONS(173),
    [anon_sym_BSLASHAcl] = ACTIONS(173),
    [anon_sym_BSLASHaclp] = ACTIONS(173),
    [anon_sym_BSLASHAclp] = ACTIONS(173),
    [anon_sym_BSLASHacf] = ACTIONS(173),
    [anon_sym_BSLASHAcf] = ACTIONS(173),
    [anon_sym_BSLASHacfp] = ACTIONS(173),
    [anon_sym_BSLASHAcfp] = ACTIONS(173),
    [anon_sym_BSLASHac] = ACTIONS(173),
    [anon_sym_BSLASHAc] = ACTIONS(173),
    [anon_sym_BSLASHacp] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(173),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(173),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(173),
    [anon_sym_BSLASHcolor] = ACTIONS(173),
    [anon_sym_BSLASHpagecolor] = ACTIONS(173),
    [anon_sym_BSLASHtextcolor] = ACTIONS(173),
    [anon_sym_BSLASHmathcolor] = ACTIONS(173),
    [anon_sym_BSLASHcolorbox] = ACTIONS(173),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(173),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(173),
    [anon_sym_BSLASHurl] = ACTIONS(173),
    [anon_sym_BSLASHhref] = ACTIONS(173),
  },
  [1683] = {
    [sym_command_name] = ACTIONS(7063),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7063),
    [anon_sym_LBRACK] = ACTIONS(7065),
    [anon_sym_RBRACK] = ACTIONS(7065),
    [anon_sym_COMMA] = ACTIONS(7065),
    [anon_sym_EQ] = ACTIONS(7065),
    [anon_sym_LPAREN] = ACTIONS(7065),
    [anon_sym_RPAREN] = ACTIONS(7065),
    [anon_sym_LBRACE] = ACTIONS(7065),
    [sym_word] = ACTIONS(7063),
    [sym_placeholder] = ACTIONS(7065),
    [sym_delimiter] = ACTIONS(7065),
    [anon_sym_PLUS] = ACTIONS(7065),
    [anon_sym_DASH] = ACTIONS(7065),
    [anon_sym_STAR] = ACTIONS(7065),
    [anon_sym_SLASH] = ACTIONS(7065),
    [anon_sym_LT] = ACTIONS(7063),
    [anon_sym_GT] = ACTIONS(7063),
    [anon_sym_BANG] = ACTIONS(7063),
    [anon_sym_PIPE] = ACTIONS(7063),
    [anon_sym_COLON] = ACTIONS(7063),
    [anon_sym_SQUOTE] = ACTIONS(7063),
    [anon_sym__] = ACTIONS(7065),
    [anon_sym_CARET] = ACTIONS(7065),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7065),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7065),
    [anon_sym_DOLLAR] = ACTIONS(7063),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7065),
    [anon_sym_BSLASHleft] = ACTIONS(7063),
    [anon_sym_BSLASHbigl] = ACTIONS(7063),
    [anon_sym_BSLASHBigl] = ACTIONS(7063),
    [anon_sym_BSLASHbiggl] = ACTIONS(7063),
    [anon_sym_BSLASHBiggl] = ACTIONS(7063),
    [anon_sym_BSLASHtext] = ACTIONS(7063),
    [anon_sym_BSLASHintertext] = ACTIONS(7063),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7063),
    [anon_sym_BSLASHbegin] = ACTIONS(7063),
    [anon_sym_BSLASHend] = ACTIONS(7063),
    [anon_sym_BSLASHtitle] = ACTIONS(7063),
    [anon_sym_BSLASHauthor] = ACTIONS(7063),
    [anon_sym_BSLASHusepackage] = ACTIONS(7063),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7063),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7063),
    [anon_sym_BSLASHinclude] = ACTIONS(7063),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7063),
    [anon_sym_BSLASHinput] = ACTIONS(7063),
    [anon_sym_BSLASHsubfile] = ACTIONS(7063),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7063),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7063),
    [anon_sym_BSLASHbibliography] = ACTIONS(7063),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7063),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7063),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7063),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7063),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7063),
    [anon_sym_BSLASHimport] = ACTIONS(7063),
    [anon_sym_BSLASHsubimport] = ACTIONS(7063),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7063),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7063),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7063),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7063),
    [anon_sym_BSLASHcaption] = ACTIONS(7063),
    [anon_sym_BSLASHcite] = ACTIONS(7063),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHCite] = ACTIONS(7063),
    [anon_sym_BSLASHnocite] = ACTIONS(7063),
    [anon_sym_BSLASHcitet] = ACTIONS(7063),
    [anon_sym_BSLASHcitep] = ACTIONS(7063),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHciteA] = ACTIONS(7063),
    [anon_sym_BSLASHciteR] = ACTIONS(7063),
    [anon_sym_BSLASHciteS] = ACTIONS(7063),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7063),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7063),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7063),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7063),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHciteyear] = ACTIONS(7063),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcitedate] = ACTIONS(7063),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHciteurl] = ACTIONS(7063),
    [anon_sym_BSLASHfullcite] = ACTIONS(7063),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7063),
    [anon_sym_BSLASHcitealt] = ACTIONS(7063),
    [anon_sym_BSLASHcitealp] = ACTIONS(7063),
    [anon_sym_BSLASHcitetext] = ACTIONS(7063),
    [anon_sym_BSLASHparencite] = ACTIONS(7063),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHParencite] = ACTIONS(7063),
    [anon_sym_BSLASHfootcite] = ACTIONS(7063),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7063),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7063),
    [anon_sym_BSLASHtextcite] = ACTIONS(7063),
    [anon_sym_BSLASHTextcite] = ACTIONS(7063),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7063),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7063),
    [anon_sym_BSLASHsupercite] = ACTIONS(7063),
    [anon_sym_BSLASHautocite] = ACTIONS(7063),
    [anon_sym_BSLASHAutocite] = ACTIONS(7063),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHVolcite] = ACTIONS(7063),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHavolcite] = ACTIONS(7063),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHnotecite] = ACTIONS(7063),
    [anon_sym_BSLASHNotecite] = ACTIONS(7063),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7063),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7063),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7063),
    [anon_sym_BSLASHlabel] = ACTIONS(7063),
    [anon_sym_BSLASHref] = ACTIONS(7063),
    [anon_sym_BSLASHeqref] = ACTIONS(7063),
    [anon_sym_BSLASHvref] = ACTIONS(7063),
    [anon_sym_BSLASHVref] = ACTIONS(7063),
    [anon_sym_BSLASHautoref] = ACTIONS(7063),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHpageref] = ACTIONS(7063),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHautopageref] = ACTIONS(7063),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcref] = ACTIONS(7063),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHCref] = ACTIONS(7063),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcpageref] = ACTIONS(7063),
    [anon_sym_BSLASHCpageref] = ACTIONS(7063),
    [anon_sym_BSLASHnamecref] = ACTIONS(7063),
    [anon_sym_BSLASHnameCref] = ACTIONS(7063),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7063),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7063),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7063),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7063),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7063),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7063),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7063),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7063),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7063),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7063),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7063),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7063),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7063),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7063),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7063),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7063),
    [anon_sym_BSLASHdef] = ACTIONS(7063),
    [anon_sym_BSLASHgdef] = ACTIONS(7063),
    [anon_sym_BSLASHedef] = ACTIONS(7063),
    [anon_sym_BSLASHxdef] = ACTIONS(7063),
    [anon_sym_BSLASHlet] = ACTIONS(7063),
    [anon_sym_BSLASHglet] = ACTIONS(7063),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7063),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7063),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7063),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7063),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7063),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7063),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7063),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7063),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7063),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7063),
    [anon_sym_BSLASHgls] = ACTIONS(7063),
    [anon_sym_BSLASHGls] = ACTIONS(7063),
    [anon_sym_BSLASHGLS] = ACTIONS(7063),
    [anon_sym_BSLASHglspl] = ACTIONS(7063),
    [anon_sym_BSLASHGlspl] = ACTIONS(7063),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7063),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7063),
    [anon_sym_BSLASHglslink] = ACTIONS(7063),
    [anon_sym_BSLASHglstext] = ACTIONS(7063),
    [anon_sym_BSLASHGlstext] = ACTIONS(7063),
    [anon_sym_BSLASHGLStext] = ACTIONS(7063),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7063),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7063),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7063),
    [anon_sym_BSLASHglsplural] = ACTIONS(7063),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7063),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7063),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7063),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7063),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7063),
    [anon_sym_BSLASHglsname] = ACTIONS(7063),
    [anon_sym_BSLASHGlsname] = ACTIONS(7063),
    [anon_sym_BSLASHGLSname] = ACTIONS(7063),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7063),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7063),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7063),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7063),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7063),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7063),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7063),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7063),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7063),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7063),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7063),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7063),
    [anon_sym_BSLASHacrshort] = ACTIONS(7063),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7063),
    [anon_sym_BSLASHACRshort] = ACTIONS(7063),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHacrlong] = ACTIONS(7063),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7063),
    [anon_sym_BSLASHACRlong] = ACTIONS(7063),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7063),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7063),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7063),
    [anon_sym_BSLASHacrfull] = ACTIONS(7063),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7063),
    [anon_sym_BSLASHACRfull] = ACTIONS(7063),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHacs] = ACTIONS(7063),
    [anon_sym_BSLASHAcs] = ACTIONS(7063),
    [anon_sym_BSLASHacsp] = ACTIONS(7063),
    [anon_sym_BSLASHAcsp] = ACTIONS(7063),
    [anon_sym_BSLASHacl] = ACTIONS(7063),
    [anon_sym_BSLASHAcl] = ACTIONS(7063),
    [anon_sym_BSLASHaclp] = ACTIONS(7063),
    [anon_sym_BSLASHAclp] = ACTIONS(7063),
    [anon_sym_BSLASHacf] = ACTIONS(7063),
    [anon_sym_BSLASHAcf] = ACTIONS(7063),
    [anon_sym_BSLASHacfp] = ACTIONS(7063),
    [anon_sym_BSLASHAcfp] = ACTIONS(7063),
    [anon_sym_BSLASHac] = ACTIONS(7063),
    [anon_sym_BSLASHAc] = ACTIONS(7063),
    [anon_sym_BSLASHacp] = ACTIONS(7063),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7063),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7063),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7063),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7063),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7063),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7063),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7063),
    [anon_sym_BSLASHcolor] = ACTIONS(7063),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7063),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7063),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7063),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7063),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7063),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7063),
    [anon_sym_BSLASHurl] = ACTIONS(7063),
    [anon_sym_BSLASHhref] = ACTIONS(7063),
  },
  [1684] = {
    [sym_command_name] = ACTIONS(7463),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7463),
    [anon_sym_LBRACK] = ACTIONS(7465),
    [anon_sym_RBRACK] = ACTIONS(7465),
    [anon_sym_COMMA] = ACTIONS(7465),
    [anon_sym_EQ] = ACTIONS(7465),
    [anon_sym_LPAREN] = ACTIONS(7465),
    [anon_sym_RPAREN] = ACTIONS(7465),
    [anon_sym_LBRACE] = ACTIONS(7465),
    [sym_word] = ACTIONS(7463),
    [sym_placeholder] = ACTIONS(7465),
    [sym_delimiter] = ACTIONS(7465),
    [anon_sym_PLUS] = ACTIONS(7465),
    [anon_sym_DASH] = ACTIONS(7465),
    [anon_sym_STAR] = ACTIONS(7465),
    [anon_sym_SLASH] = ACTIONS(7465),
    [anon_sym_LT] = ACTIONS(7463),
    [anon_sym_GT] = ACTIONS(7463),
    [anon_sym_BANG] = ACTIONS(7463),
    [anon_sym_PIPE] = ACTIONS(7463),
    [anon_sym_COLON] = ACTIONS(7463),
    [anon_sym_SQUOTE] = ACTIONS(7463),
    [anon_sym__] = ACTIONS(7465),
    [anon_sym_CARET] = ACTIONS(7465),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7465),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7465),
    [anon_sym_DOLLAR] = ACTIONS(7463),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7465),
    [anon_sym_BSLASHleft] = ACTIONS(7463),
    [anon_sym_BSLASHbigl] = ACTIONS(7463),
    [anon_sym_BSLASHBigl] = ACTIONS(7463),
    [anon_sym_BSLASHbiggl] = ACTIONS(7463),
    [anon_sym_BSLASHBiggl] = ACTIONS(7463),
    [anon_sym_BSLASHtext] = ACTIONS(7463),
    [anon_sym_BSLASHintertext] = ACTIONS(7463),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7463),
    [anon_sym_BSLASHbegin] = ACTIONS(7463),
    [anon_sym_BSLASHend] = ACTIONS(7463),
    [anon_sym_BSLASHtitle] = ACTIONS(7463),
    [anon_sym_BSLASHauthor] = ACTIONS(7463),
    [anon_sym_BSLASHusepackage] = ACTIONS(7463),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7463),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7463),
    [anon_sym_BSLASHinclude] = ACTIONS(7463),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7463),
    [anon_sym_BSLASHinput] = ACTIONS(7463),
    [anon_sym_BSLASHsubfile] = ACTIONS(7463),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7463),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7463),
    [anon_sym_BSLASHbibliography] = ACTIONS(7463),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7463),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7463),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7463),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7463),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7463),
    [anon_sym_BSLASHimport] = ACTIONS(7463),
    [anon_sym_BSLASHsubimport] = ACTIONS(7463),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7463),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7463),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7463),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7463),
    [anon_sym_BSLASHcaption] = ACTIONS(7463),
    [anon_sym_BSLASHcite] = ACTIONS(7463),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCite] = ACTIONS(7463),
    [anon_sym_BSLASHnocite] = ACTIONS(7463),
    [anon_sym_BSLASHcitet] = ACTIONS(7463),
    [anon_sym_BSLASHcitep] = ACTIONS(7463),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteA] = ACTIONS(7463),
    [anon_sym_BSLASHciteR] = ACTIONS(7463),
    [anon_sym_BSLASHciteS] = ACTIONS(7463),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7463),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7463),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7463),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7463),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteyear] = ACTIONS(7463),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitedate] = ACTIONS(7463),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteurl] = ACTIONS(7463),
    [anon_sym_BSLASHfullcite] = ACTIONS(7463),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7463),
    [anon_sym_BSLASHcitealt] = ACTIONS(7463),
    [anon_sym_BSLASHcitealp] = ACTIONS(7463),
    [anon_sym_BSLASHcitetext] = ACTIONS(7463),
    [anon_sym_BSLASHparencite] = ACTIONS(7463),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHParencite] = ACTIONS(7463),
    [anon_sym_BSLASHfootcite] = ACTIONS(7463),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7463),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7463),
    [anon_sym_BSLASHtextcite] = ACTIONS(7463),
    [anon_sym_BSLASHTextcite] = ACTIONS(7463),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7463),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7463),
    [anon_sym_BSLASHsupercite] = ACTIONS(7463),
    [anon_sym_BSLASHautocite] = ACTIONS(7463),
    [anon_sym_BSLASHAutocite] = ACTIONS(7463),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHVolcite] = ACTIONS(7463),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHavolcite] = ACTIONS(7463),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHNotecite] = ACTIONS(7463),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHlabel] = ACTIONS(7463),
    [anon_sym_BSLASHref] = ACTIONS(7463),
    [anon_sym_BSLASHeqref] = ACTIONS(7463),
    [anon_sym_BSLASHvref] = ACTIONS(7463),
    [anon_sym_BSLASHVref] = ACTIONS(7463),
    [anon_sym_BSLASHautoref] = ACTIONS(7463),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHpageref] = ACTIONS(7463),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHautopageref] = ACTIONS(7463),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcref] = ACTIONS(7463),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCref] = ACTIONS(7463),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcpageref] = ACTIONS(7463),
    [anon_sym_BSLASHCpageref] = ACTIONS(7463),
    [anon_sym_BSLASHnamecref] = ACTIONS(7463),
    [anon_sym_BSLASHnameCref] = ACTIONS(7463),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7463),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7463),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7463),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7463),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7463),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7463),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7463),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7463),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7463),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7463),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7463),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHdef] = ACTIONS(7463),
    [anon_sym_BSLASHgdef] = ACTIONS(7463),
    [anon_sym_BSLASHedef] = ACTIONS(7463),
    [anon_sym_BSLASHxdef] = ACTIONS(7463),
    [anon_sym_BSLASHlet] = ACTIONS(7463),
    [anon_sym_BSLASHglet] = ACTIONS(7463),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7463),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7463),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7463),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7463),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7463),
    [anon_sym_BSLASHgls] = ACTIONS(7463),
    [anon_sym_BSLASHGls] = ACTIONS(7463),
    [anon_sym_BSLASHGLS] = ACTIONS(7463),
    [anon_sym_BSLASHglspl] = ACTIONS(7463),
    [anon_sym_BSLASHGlspl] = ACTIONS(7463),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7463),
    [anon_sym_BSLASHglslink] = ACTIONS(7463),
    [anon_sym_BSLASHglstext] = ACTIONS(7463),
    [anon_sym_BSLASHGlstext] = ACTIONS(7463),
    [anon_sym_BSLASHGLStext] = ACTIONS(7463),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7463),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7463),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7463),
    [anon_sym_BSLASHglsplural] = ACTIONS(7463),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7463),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7463),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHglsname] = ACTIONS(7463),
    [anon_sym_BSLASHGlsname] = ACTIONS(7463),
    [anon_sym_BSLASHGLSname] = ACTIONS(7463),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7463),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7463),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7463),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7463),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7463),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7463),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7463),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7463),
    [anon_sym_BSLASHacrshort] = ACTIONS(7463),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7463),
    [anon_sym_BSLASHACRshort] = ACTIONS(7463),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHacrlong] = ACTIONS(7463),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7463),
    [anon_sym_BSLASHACRlong] = ACTIONS(7463),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHacrfull] = ACTIONS(7463),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7463),
    [anon_sym_BSLASHACRfull] = ACTIONS(7463),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHacs] = ACTIONS(7463),
    [anon_sym_BSLASHAcs] = ACTIONS(7463),
    [anon_sym_BSLASHacsp] = ACTIONS(7463),
    [anon_sym_BSLASHAcsp] = ACTIONS(7463),
    [anon_sym_BSLASHacl] = ACTIONS(7463),
    [anon_sym_BSLASHAcl] = ACTIONS(7463),
    [anon_sym_BSLASHaclp] = ACTIONS(7463),
    [anon_sym_BSLASHAclp] = ACTIONS(7463),
    [anon_sym_BSLASHacf] = ACTIONS(7463),
    [anon_sym_BSLASHAcf] = ACTIONS(7463),
    [anon_sym_BSLASHacfp] = ACTIONS(7463),
    [anon_sym_BSLASHAcfp] = ACTIONS(7463),
    [anon_sym_BSLASHac] = ACTIONS(7463),
    [anon_sym_BSLASHAc] = ACTIONS(7463),
    [anon_sym_BSLASHacp] = ACTIONS(7463),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7463),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7463),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7463),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7463),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7463),
    [anon_sym_BSLASHcolor] = ACTIONS(7463),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7463),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7463),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7463),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7463),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7463),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7463),
    [anon_sym_BSLASHurl] = ACTIONS(7463),
    [anon_sym_BSLASHhref] = ACTIONS(7463),
  },
  [1685] = {
    [sym_command_name] = ACTIONS(7467),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7467),
    [anon_sym_LBRACK] = ACTIONS(7469),
    [anon_sym_RBRACK] = ACTIONS(7469),
    [anon_sym_COMMA] = ACTIONS(7469),
    [anon_sym_EQ] = ACTIONS(7469),
    [anon_sym_LPAREN] = ACTIONS(7469),
    [anon_sym_RPAREN] = ACTIONS(7469),
    [anon_sym_LBRACE] = ACTIONS(7469),
    [sym_word] = ACTIONS(7467),
    [sym_placeholder] = ACTIONS(7469),
    [sym_delimiter] = ACTIONS(7469),
    [anon_sym_PLUS] = ACTIONS(7469),
    [anon_sym_DASH] = ACTIONS(7469),
    [anon_sym_STAR] = ACTIONS(7469),
    [anon_sym_SLASH] = ACTIONS(7469),
    [anon_sym_LT] = ACTIONS(7467),
    [anon_sym_GT] = ACTIONS(7467),
    [anon_sym_BANG] = ACTIONS(7467),
    [anon_sym_PIPE] = ACTIONS(7467),
    [anon_sym_COLON] = ACTIONS(7467),
    [anon_sym_SQUOTE] = ACTIONS(7467),
    [anon_sym__] = ACTIONS(7469),
    [anon_sym_CARET] = ACTIONS(7469),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7469),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7469),
    [anon_sym_DOLLAR] = ACTIONS(7467),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7469),
    [anon_sym_BSLASHleft] = ACTIONS(7467),
    [anon_sym_BSLASHbigl] = ACTIONS(7467),
    [anon_sym_BSLASHBigl] = ACTIONS(7467),
    [anon_sym_BSLASHbiggl] = ACTIONS(7467),
    [anon_sym_BSLASHBiggl] = ACTIONS(7467),
    [anon_sym_BSLASHtext] = ACTIONS(7467),
    [anon_sym_BSLASHintertext] = ACTIONS(7467),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7467),
    [anon_sym_BSLASHbegin] = ACTIONS(7467),
    [anon_sym_BSLASHend] = ACTIONS(7467),
    [anon_sym_BSLASHtitle] = ACTIONS(7467),
    [anon_sym_BSLASHauthor] = ACTIONS(7467),
    [anon_sym_BSLASHusepackage] = ACTIONS(7467),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7467),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7467),
    [anon_sym_BSLASHinclude] = ACTIONS(7467),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7467),
    [anon_sym_BSLASHinput] = ACTIONS(7467),
    [anon_sym_BSLASHsubfile] = ACTIONS(7467),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7467),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7467),
    [anon_sym_BSLASHbibliography] = ACTIONS(7467),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7467),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7467),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7467),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7467),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7467),
    [anon_sym_BSLASHimport] = ACTIONS(7467),
    [anon_sym_BSLASHsubimport] = ACTIONS(7467),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7467),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7467),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7467),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7467),
    [anon_sym_BSLASHcaption] = ACTIONS(7467),
    [anon_sym_BSLASHcite] = ACTIONS(7467),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCite] = ACTIONS(7467),
    [anon_sym_BSLASHnocite] = ACTIONS(7467),
    [anon_sym_BSLASHcitet] = ACTIONS(7467),
    [anon_sym_BSLASHcitep] = ACTIONS(7467),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteA] = ACTIONS(7467),
    [anon_sym_BSLASHciteR] = ACTIONS(7467),
    [anon_sym_BSLASHciteS] = ACTIONS(7467),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7467),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7467),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7467),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7467),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteyear] = ACTIONS(7467),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitedate] = ACTIONS(7467),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteurl] = ACTIONS(7467),
    [anon_sym_BSLASHfullcite] = ACTIONS(7467),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7467),
    [anon_sym_BSLASHcitealt] = ACTIONS(7467),
    [anon_sym_BSLASHcitealp] = ACTIONS(7467),
    [anon_sym_BSLASHcitetext] = ACTIONS(7467),
    [anon_sym_BSLASHparencite] = ACTIONS(7467),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHParencite] = ACTIONS(7467),
    [anon_sym_BSLASHfootcite] = ACTIONS(7467),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7467),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7467),
    [anon_sym_BSLASHtextcite] = ACTIONS(7467),
    [anon_sym_BSLASHTextcite] = ACTIONS(7467),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7467),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7467),
    [anon_sym_BSLASHsupercite] = ACTIONS(7467),
    [anon_sym_BSLASHautocite] = ACTIONS(7467),
    [anon_sym_BSLASHAutocite] = ACTIONS(7467),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHVolcite] = ACTIONS(7467),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHavolcite] = ACTIONS(7467),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHNotecite] = ACTIONS(7467),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHlabel] = ACTIONS(7467),
    [anon_sym_BSLASHref] = ACTIONS(7467),
    [anon_sym_BSLASHeqref] = ACTIONS(7467),
    [anon_sym_BSLASHvref] = ACTIONS(7467),
    [anon_sym_BSLASHVref] = ACTIONS(7467),
    [anon_sym_BSLASHautoref] = ACTIONS(7467),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHpageref] = ACTIONS(7467),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHautopageref] = ACTIONS(7467),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcref] = ACTIONS(7467),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCref] = ACTIONS(7467),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcpageref] = ACTIONS(7467),
    [anon_sym_BSLASHCpageref] = ACTIONS(7467),
    [anon_sym_BSLASHnamecref] = ACTIONS(7467),
    [anon_sym_BSLASHnameCref] = ACTIONS(7467),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7467),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7467),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7467),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7467),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7467),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7467),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7467),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7467),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7467),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7467),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7467),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHdef] = ACTIONS(7467),
    [anon_sym_BSLASHgdef] = ACTIONS(7467),
    [anon_sym_BSLASHedef] = ACTIONS(7467),
    [anon_sym_BSLASHxdef] = ACTIONS(7467),
    [anon_sym_BSLASHlet] = ACTIONS(7467),
    [anon_sym_BSLASHglet] = ACTIONS(7467),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7467),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7467),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7467),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7467),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7467),
    [anon_sym_BSLASHgls] = ACTIONS(7467),
    [anon_sym_BSLASHGls] = ACTIONS(7467),
    [anon_sym_BSLASHGLS] = ACTIONS(7467),
    [anon_sym_BSLASHglspl] = ACTIONS(7467),
    [anon_sym_BSLASHGlspl] = ACTIONS(7467),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7467),
    [anon_sym_BSLASHglslink] = ACTIONS(7467),
    [anon_sym_BSLASHglstext] = ACTIONS(7467),
    [anon_sym_BSLASHGlstext] = ACTIONS(7467),
    [anon_sym_BSLASHGLStext] = ACTIONS(7467),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7467),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7467),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7467),
    [anon_sym_BSLASHglsplural] = ACTIONS(7467),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7467),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7467),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHglsname] = ACTIONS(7467),
    [anon_sym_BSLASHGlsname] = ACTIONS(7467),
    [anon_sym_BSLASHGLSname] = ACTIONS(7467),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7467),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7467),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7467),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7467),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7467),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7467),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7467),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7467),
    [anon_sym_BSLASHacrshort] = ACTIONS(7467),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7467),
    [anon_sym_BSLASHACRshort] = ACTIONS(7467),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHacrlong] = ACTIONS(7467),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7467),
    [anon_sym_BSLASHACRlong] = ACTIONS(7467),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHacrfull] = ACTIONS(7467),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7467),
    [anon_sym_BSLASHACRfull] = ACTIONS(7467),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHacs] = ACTIONS(7467),
    [anon_sym_BSLASHAcs] = ACTIONS(7467),
    [anon_sym_BSLASHacsp] = ACTIONS(7467),
    [anon_sym_BSLASHAcsp] = ACTIONS(7467),
    [anon_sym_BSLASHacl] = ACTIONS(7467),
    [anon_sym_BSLASHAcl] = ACTIONS(7467),
    [anon_sym_BSLASHaclp] = ACTIONS(7467),
    [anon_sym_BSLASHAclp] = ACTIONS(7467),
    [anon_sym_BSLASHacf] = ACTIONS(7467),
    [anon_sym_BSLASHAcf] = ACTIONS(7467),
    [anon_sym_BSLASHacfp] = ACTIONS(7467),
    [anon_sym_BSLASHAcfp] = ACTIONS(7467),
    [anon_sym_BSLASHac] = ACTIONS(7467),
    [anon_sym_BSLASHAc] = ACTIONS(7467),
    [anon_sym_BSLASHacp] = ACTIONS(7467),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7467),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7467),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7467),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7467),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7467),
    [anon_sym_BSLASHcolor] = ACTIONS(7467),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7467),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7467),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7467),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7467),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7467),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7467),
    [anon_sym_BSLASHurl] = ACTIONS(7467),
    [anon_sym_BSLASHhref] = ACTIONS(7467),
  },
  [1686] = {
    [sym_command_name] = ACTIONS(7471),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7471),
    [anon_sym_LBRACK] = ACTIONS(7473),
    [anon_sym_RBRACK] = ACTIONS(7473),
    [anon_sym_COMMA] = ACTIONS(7473),
    [anon_sym_EQ] = ACTIONS(7473),
    [anon_sym_LPAREN] = ACTIONS(7473),
    [anon_sym_RPAREN] = ACTIONS(7473),
    [anon_sym_LBRACE] = ACTIONS(7473),
    [sym_word] = ACTIONS(7471),
    [sym_placeholder] = ACTIONS(7473),
    [sym_delimiter] = ACTIONS(7473),
    [anon_sym_PLUS] = ACTIONS(7473),
    [anon_sym_DASH] = ACTIONS(7473),
    [anon_sym_STAR] = ACTIONS(7473),
    [anon_sym_SLASH] = ACTIONS(7473),
    [anon_sym_LT] = ACTIONS(7471),
    [anon_sym_GT] = ACTIONS(7471),
    [anon_sym_BANG] = ACTIONS(7471),
    [anon_sym_PIPE] = ACTIONS(7471),
    [anon_sym_COLON] = ACTIONS(7471),
    [anon_sym_SQUOTE] = ACTIONS(7471),
    [anon_sym__] = ACTIONS(7473),
    [anon_sym_CARET] = ACTIONS(7473),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7473),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7473),
    [anon_sym_DOLLAR] = ACTIONS(7471),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7473),
    [anon_sym_BSLASHleft] = ACTIONS(7471),
    [anon_sym_BSLASHbigl] = ACTIONS(7471),
    [anon_sym_BSLASHBigl] = ACTIONS(7471),
    [anon_sym_BSLASHbiggl] = ACTIONS(7471),
    [anon_sym_BSLASHBiggl] = ACTIONS(7471),
    [anon_sym_BSLASHtext] = ACTIONS(7471),
    [anon_sym_BSLASHintertext] = ACTIONS(7471),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7471),
    [anon_sym_BSLASHbegin] = ACTIONS(7471),
    [anon_sym_BSLASHend] = ACTIONS(7471),
    [anon_sym_BSLASHtitle] = ACTIONS(7471),
    [anon_sym_BSLASHauthor] = ACTIONS(7471),
    [anon_sym_BSLASHusepackage] = ACTIONS(7471),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7471),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7471),
    [anon_sym_BSLASHinclude] = ACTIONS(7471),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7471),
    [anon_sym_BSLASHinput] = ACTIONS(7471),
    [anon_sym_BSLASHsubfile] = ACTIONS(7471),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7471),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7471),
    [anon_sym_BSLASHbibliography] = ACTIONS(7471),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7471),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7471),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7471),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7471),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7471),
    [anon_sym_BSLASHimport] = ACTIONS(7471),
    [anon_sym_BSLASHsubimport] = ACTIONS(7471),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7471),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7471),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7471),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7471),
    [anon_sym_BSLASHcaption] = ACTIONS(7471),
    [anon_sym_BSLASHcite] = ACTIONS(7471),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCite] = ACTIONS(7471),
    [anon_sym_BSLASHnocite] = ACTIONS(7471),
    [anon_sym_BSLASHcitet] = ACTIONS(7471),
    [anon_sym_BSLASHcitep] = ACTIONS(7471),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteA] = ACTIONS(7471),
    [anon_sym_BSLASHciteR] = ACTIONS(7471),
    [anon_sym_BSLASHciteS] = ACTIONS(7471),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7471),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7471),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7471),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7471),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteyear] = ACTIONS(7471),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitedate] = ACTIONS(7471),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteurl] = ACTIONS(7471),
    [anon_sym_BSLASHfullcite] = ACTIONS(7471),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7471),
    [anon_sym_BSLASHcitealt] = ACTIONS(7471),
    [anon_sym_BSLASHcitealp] = ACTIONS(7471),
    [anon_sym_BSLASHcitetext] = ACTIONS(7471),
    [anon_sym_BSLASHparencite] = ACTIONS(7471),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHParencite] = ACTIONS(7471),
    [anon_sym_BSLASHfootcite] = ACTIONS(7471),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7471),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7471),
    [anon_sym_BSLASHtextcite] = ACTIONS(7471),
    [anon_sym_BSLASHTextcite] = ACTIONS(7471),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7471),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7471),
    [anon_sym_BSLASHsupercite] = ACTIONS(7471),
    [anon_sym_BSLASHautocite] = ACTIONS(7471),
    [anon_sym_BSLASHAutocite] = ACTIONS(7471),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHVolcite] = ACTIONS(7471),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHavolcite] = ACTIONS(7471),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHNotecite] = ACTIONS(7471),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHlabel] = ACTIONS(7471),
    [anon_sym_BSLASHref] = ACTIONS(7471),
    [anon_sym_BSLASHeqref] = ACTIONS(7471),
    [anon_sym_BSLASHvref] = ACTIONS(7471),
    [anon_sym_BSLASHVref] = ACTIONS(7471),
    [anon_sym_BSLASHautoref] = ACTIONS(7471),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHpageref] = ACTIONS(7471),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHautopageref] = ACTIONS(7471),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcref] = ACTIONS(7471),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCref] = ACTIONS(7471),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcpageref] = ACTIONS(7471),
    [anon_sym_BSLASHCpageref] = ACTIONS(7471),
    [anon_sym_BSLASHnamecref] = ACTIONS(7471),
    [anon_sym_BSLASHnameCref] = ACTIONS(7471),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7471),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7471),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7471),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7471),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7471),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7471),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7471),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7471),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7471),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7471),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7471),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHdef] = ACTIONS(7471),
    [anon_sym_BSLASHgdef] = ACTIONS(7471),
    [anon_sym_BSLASHedef] = ACTIONS(7471),
    [anon_sym_BSLASHxdef] = ACTIONS(7471),
    [anon_sym_BSLASHlet] = ACTIONS(7471),
    [anon_sym_BSLASHglet] = ACTIONS(7471),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7471),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7471),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7471),
    [anon_sym_BSLASHgls] = ACTIONS(7471),
    [anon_sym_BSLASHGls] = ACTIONS(7471),
    [anon_sym_BSLASHGLS] = ACTIONS(7471),
    [anon_sym_BSLASHglspl] = ACTIONS(7471),
    [anon_sym_BSLASHGlspl] = ACTIONS(7471),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7471),
    [anon_sym_BSLASHglslink] = ACTIONS(7471),
    [anon_sym_BSLASHglstext] = ACTIONS(7471),
    [anon_sym_BSLASHGlstext] = ACTIONS(7471),
    [anon_sym_BSLASHGLStext] = ACTIONS(7471),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7471),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7471),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7471),
    [anon_sym_BSLASHglsplural] = ACTIONS(7471),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7471),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7471),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHglsname] = ACTIONS(7471),
    [anon_sym_BSLASHGlsname] = ACTIONS(7471),
    [anon_sym_BSLASHGLSname] = ACTIONS(7471),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7471),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7471),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7471),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7471),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7471),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7471),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7471),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7471),
    [anon_sym_BSLASHacrshort] = ACTIONS(7471),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7471),
    [anon_sym_BSLASHACRshort] = ACTIONS(7471),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHacrlong] = ACTIONS(7471),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7471),
    [anon_sym_BSLASHACRlong] = ACTIONS(7471),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHacrfull] = ACTIONS(7471),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7471),
    [anon_sym_BSLASHACRfull] = ACTIONS(7471),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHacs] = ACTIONS(7471),
    [anon_sym_BSLASHAcs] = ACTIONS(7471),
    [anon_sym_BSLASHacsp] = ACTIONS(7471),
    [anon_sym_BSLASHAcsp] = ACTIONS(7471),
    [anon_sym_BSLASHacl] = ACTIONS(7471),
    [anon_sym_BSLASHAcl] = ACTIONS(7471),
    [anon_sym_BSLASHaclp] = ACTIONS(7471),
    [anon_sym_BSLASHAclp] = ACTIONS(7471),
    [anon_sym_BSLASHacf] = ACTIONS(7471),
    [anon_sym_BSLASHAcf] = ACTIONS(7471),
    [anon_sym_BSLASHacfp] = ACTIONS(7471),
    [anon_sym_BSLASHAcfp] = ACTIONS(7471),
    [anon_sym_BSLASHac] = ACTIONS(7471),
    [anon_sym_BSLASHAc] = ACTIONS(7471),
    [anon_sym_BSLASHacp] = ACTIONS(7471),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7471),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7471),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7471),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7471),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7471),
    [anon_sym_BSLASHcolor] = ACTIONS(7471),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7471),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7471),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7471),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7471),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7471),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7471),
    [anon_sym_BSLASHurl] = ACTIONS(7471),
    [anon_sym_BSLASHhref] = ACTIONS(7471),
  },
  [1687] = {
    [sym_command_name] = ACTIONS(7475),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7475),
    [anon_sym_LBRACK] = ACTIONS(7477),
    [anon_sym_RBRACK] = ACTIONS(7477),
    [anon_sym_COMMA] = ACTIONS(7477),
    [anon_sym_EQ] = ACTIONS(7477),
    [anon_sym_LPAREN] = ACTIONS(7477),
    [anon_sym_RPAREN] = ACTIONS(7477),
    [anon_sym_LBRACE] = ACTIONS(7477),
    [sym_word] = ACTIONS(7475),
    [sym_placeholder] = ACTIONS(7477),
    [sym_delimiter] = ACTIONS(7477),
    [anon_sym_PLUS] = ACTIONS(7477),
    [anon_sym_DASH] = ACTIONS(7477),
    [anon_sym_STAR] = ACTIONS(7477),
    [anon_sym_SLASH] = ACTIONS(7477),
    [anon_sym_LT] = ACTIONS(7475),
    [anon_sym_GT] = ACTIONS(7475),
    [anon_sym_BANG] = ACTIONS(7475),
    [anon_sym_PIPE] = ACTIONS(7475),
    [anon_sym_COLON] = ACTIONS(7475),
    [anon_sym_SQUOTE] = ACTIONS(7475),
    [anon_sym__] = ACTIONS(7477),
    [anon_sym_CARET] = ACTIONS(7477),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7477),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7477),
    [anon_sym_DOLLAR] = ACTIONS(7475),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7477),
    [anon_sym_BSLASHleft] = ACTIONS(7475),
    [anon_sym_BSLASHbigl] = ACTIONS(7475),
    [anon_sym_BSLASHBigl] = ACTIONS(7475),
    [anon_sym_BSLASHbiggl] = ACTIONS(7475),
    [anon_sym_BSLASHBiggl] = ACTIONS(7475),
    [anon_sym_BSLASHtext] = ACTIONS(7475),
    [anon_sym_BSLASHintertext] = ACTIONS(7475),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7475),
    [anon_sym_BSLASHbegin] = ACTIONS(7475),
    [anon_sym_BSLASHend] = ACTIONS(7475),
    [anon_sym_BSLASHtitle] = ACTIONS(7475),
    [anon_sym_BSLASHauthor] = ACTIONS(7475),
    [anon_sym_BSLASHusepackage] = ACTIONS(7475),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7475),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7475),
    [anon_sym_BSLASHinclude] = ACTIONS(7475),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7475),
    [anon_sym_BSLASHinput] = ACTIONS(7475),
    [anon_sym_BSLASHsubfile] = ACTIONS(7475),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7475),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7475),
    [anon_sym_BSLASHbibliography] = ACTIONS(7475),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7475),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7475),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7475),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7475),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7475),
    [anon_sym_BSLASHimport] = ACTIONS(7475),
    [anon_sym_BSLASHsubimport] = ACTIONS(7475),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7475),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7475),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7475),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7475),
    [anon_sym_BSLASHcaption] = ACTIONS(7475),
    [anon_sym_BSLASHcite] = ACTIONS(7475),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCite] = ACTIONS(7475),
    [anon_sym_BSLASHnocite] = ACTIONS(7475),
    [anon_sym_BSLASHcitet] = ACTIONS(7475),
    [anon_sym_BSLASHcitep] = ACTIONS(7475),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteA] = ACTIONS(7475),
    [anon_sym_BSLASHciteR] = ACTIONS(7475),
    [anon_sym_BSLASHciteS] = ACTIONS(7475),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7475),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7475),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7475),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7475),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteyear] = ACTIONS(7475),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitedate] = ACTIONS(7475),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteurl] = ACTIONS(7475),
    [anon_sym_BSLASHfullcite] = ACTIONS(7475),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7475),
    [anon_sym_BSLASHcitealt] = ACTIONS(7475),
    [anon_sym_BSLASHcitealp] = ACTIONS(7475),
    [anon_sym_BSLASHcitetext] = ACTIONS(7475),
    [anon_sym_BSLASHparencite] = ACTIONS(7475),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHParencite] = ACTIONS(7475),
    [anon_sym_BSLASHfootcite] = ACTIONS(7475),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7475),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7475),
    [anon_sym_BSLASHtextcite] = ACTIONS(7475),
    [anon_sym_BSLASHTextcite] = ACTIONS(7475),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7475),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7475),
    [anon_sym_BSLASHsupercite] = ACTIONS(7475),
    [anon_sym_BSLASHautocite] = ACTIONS(7475),
    [anon_sym_BSLASHAutocite] = ACTIONS(7475),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHVolcite] = ACTIONS(7475),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHavolcite] = ACTIONS(7475),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHNotecite] = ACTIONS(7475),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHlabel] = ACTIONS(7475),
    [anon_sym_BSLASHref] = ACTIONS(7475),
    [anon_sym_BSLASHeqref] = ACTIONS(7475),
    [anon_sym_BSLASHvref] = ACTIONS(7475),
    [anon_sym_BSLASHVref] = ACTIONS(7475),
    [anon_sym_BSLASHautoref] = ACTIONS(7475),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHpageref] = ACTIONS(7475),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHautopageref] = ACTIONS(7475),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcref] = ACTIONS(7475),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCref] = ACTIONS(7475),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcpageref] = ACTIONS(7475),
    [anon_sym_BSLASHCpageref] = ACTIONS(7475),
    [anon_sym_BSLASHnamecref] = ACTIONS(7475),
    [anon_sym_BSLASHnameCref] = ACTIONS(7475),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7475),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7475),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7475),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7475),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7475),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7475),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7475),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7475),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7475),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7475),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7475),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHdef] = ACTIONS(7475),
    [anon_sym_BSLASHgdef] = ACTIONS(7475),
    [anon_sym_BSLASHedef] = ACTIONS(7475),
    [anon_sym_BSLASHxdef] = ACTIONS(7475),
    [anon_sym_BSLASHlet] = ACTIONS(7475),
    [anon_sym_BSLASHglet] = ACTIONS(7475),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7475),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7475),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7475),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7475),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7475),
    [anon_sym_BSLASHgls] = ACTIONS(7475),
    [anon_sym_BSLASHGls] = ACTIONS(7475),
    [anon_sym_BSLASHGLS] = ACTIONS(7475),
    [anon_sym_BSLASHglspl] = ACTIONS(7475),
    [anon_sym_BSLASHGlspl] = ACTIONS(7475),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7475),
    [anon_sym_BSLASHglslink] = ACTIONS(7475),
    [anon_sym_BSLASHglstext] = ACTIONS(7475),
    [anon_sym_BSLASHGlstext] = ACTIONS(7475),
    [anon_sym_BSLASHGLStext] = ACTIONS(7475),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7475),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7475),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7475),
    [anon_sym_BSLASHglsplural] = ACTIONS(7475),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7475),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7475),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHglsname] = ACTIONS(7475),
    [anon_sym_BSLASHGlsname] = ACTIONS(7475),
    [anon_sym_BSLASHGLSname] = ACTIONS(7475),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7475),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7475),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7475),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7475),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7475),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7475),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7475),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7475),
    [anon_sym_BSLASHacrshort] = ACTIONS(7475),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7475),
    [anon_sym_BSLASHACRshort] = ACTIONS(7475),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHacrlong] = ACTIONS(7475),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7475),
    [anon_sym_BSLASHACRlong] = ACTIONS(7475),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHacrfull] = ACTIONS(7475),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7475),
    [anon_sym_BSLASHACRfull] = ACTIONS(7475),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHacs] = ACTIONS(7475),
    [anon_sym_BSLASHAcs] = ACTIONS(7475),
    [anon_sym_BSLASHacsp] = ACTIONS(7475),
    [anon_sym_BSLASHAcsp] = ACTIONS(7475),
    [anon_sym_BSLASHacl] = ACTIONS(7475),
    [anon_sym_BSLASHAcl] = ACTIONS(7475),
    [anon_sym_BSLASHaclp] = ACTIONS(7475),
    [anon_sym_BSLASHAclp] = ACTIONS(7475),
    [anon_sym_BSLASHacf] = ACTIONS(7475),
    [anon_sym_BSLASHAcf] = ACTIONS(7475),
    [anon_sym_BSLASHacfp] = ACTIONS(7475),
    [anon_sym_BSLASHAcfp] = ACTIONS(7475),
    [anon_sym_BSLASHac] = ACTIONS(7475),
    [anon_sym_BSLASHAc] = ACTIONS(7475),
    [anon_sym_BSLASHacp] = ACTIONS(7475),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7475),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7475),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7475),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7475),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7475),
    [anon_sym_BSLASHcolor] = ACTIONS(7475),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7475),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7475),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7475),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7475),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7475),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7475),
    [anon_sym_BSLASHurl] = ACTIONS(7475),
    [anon_sym_BSLASHhref] = ACTIONS(7475),
  },
  [1688] = {
    [sym_command_name] = ACTIONS(7479),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(7481),
    [anon_sym_RBRACK] = ACTIONS(7481),
    [anon_sym_COMMA] = ACTIONS(7481),
    [anon_sym_EQ] = ACTIONS(7481),
    [anon_sym_LPAREN] = ACTIONS(7481),
    [anon_sym_RPAREN] = ACTIONS(7481),
    [anon_sym_LBRACE] = ACTIONS(7481),
    [sym_word] = ACTIONS(7479),
    [sym_placeholder] = ACTIONS(7481),
    [sym_delimiter] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7481),
    [anon_sym_DASH] = ACTIONS(7481),
    [anon_sym_STAR] = ACTIONS(7481),
    [anon_sym_SLASH] = ACTIONS(7481),
    [anon_sym_LT] = ACTIONS(7479),
    [anon_sym_GT] = ACTIONS(7479),
    [anon_sym_BANG] = ACTIONS(7479),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_COLON] = ACTIONS(7479),
    [anon_sym_SQUOTE] = ACTIONS(7479),
    [anon_sym__] = ACTIONS(7481),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7481),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7481),
    [anon_sym_DOLLAR] = ACTIONS(7479),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7481),
    [anon_sym_BSLASHleft] = ACTIONS(7479),
    [anon_sym_BSLASHbigl] = ACTIONS(7479),
    [anon_sym_BSLASHBigl] = ACTIONS(7479),
    [anon_sym_BSLASHbiggl] = ACTIONS(7479),
    [anon_sym_BSLASHBiggl] = ACTIONS(7479),
    [anon_sym_BSLASHtext] = ACTIONS(7479),
    [anon_sym_BSLASHintertext] = ACTIONS(7479),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7479),
    [anon_sym_BSLASHbegin] = ACTIONS(7479),
    [anon_sym_BSLASHend] = ACTIONS(7479),
    [anon_sym_BSLASHtitle] = ACTIONS(7479),
    [anon_sym_BSLASHauthor] = ACTIONS(7479),
    [anon_sym_BSLASHusepackage] = ACTIONS(7479),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7479),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7479),
    [anon_sym_BSLASHinclude] = ACTIONS(7479),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7479),
    [anon_sym_BSLASHinput] = ACTIONS(7479),
    [anon_sym_BSLASHsubfile] = ACTIONS(7479),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7479),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7479),
    [anon_sym_BSLASHbibliography] = ACTIONS(7479),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7479),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7479),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7479),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7479),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7479),
    [anon_sym_BSLASHimport] = ACTIONS(7479),
    [anon_sym_BSLASHsubimport] = ACTIONS(7479),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7479),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7479),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7479),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7479),
    [anon_sym_BSLASHcaption] = ACTIONS(7479),
    [anon_sym_BSLASHcite] = ACTIONS(7479),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCite] = ACTIONS(7479),
    [anon_sym_BSLASHnocite] = ACTIONS(7479),
    [anon_sym_BSLASHcitet] = ACTIONS(7479),
    [anon_sym_BSLASHcitep] = ACTIONS(7479),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteA] = ACTIONS(7479),
    [anon_sym_BSLASHciteR] = ACTIONS(7479),
    [anon_sym_BSLASHciteS] = ACTIONS(7479),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7479),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7479),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7479),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7479),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteyear] = ACTIONS(7479),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitedate] = ACTIONS(7479),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteurl] = ACTIONS(7479),
    [anon_sym_BSLASHfullcite] = ACTIONS(7479),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7479),
    [anon_sym_BSLASHcitealt] = ACTIONS(7479),
    [anon_sym_BSLASHcitealp] = ACTIONS(7479),
    [anon_sym_BSLASHcitetext] = ACTIONS(7479),
    [anon_sym_BSLASHparencite] = ACTIONS(7479),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHParencite] = ACTIONS(7479),
    [anon_sym_BSLASHfootcite] = ACTIONS(7479),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7479),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7479),
    [anon_sym_BSLASHtextcite] = ACTIONS(7479),
    [anon_sym_BSLASHTextcite] = ACTIONS(7479),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7479),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7479),
    [anon_sym_BSLASHsupercite] = ACTIONS(7479),
    [anon_sym_BSLASHautocite] = ACTIONS(7479),
    [anon_sym_BSLASHAutocite] = ACTIONS(7479),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHVolcite] = ACTIONS(7479),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHavolcite] = ACTIONS(7479),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHNotecite] = ACTIONS(7479),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHlabel] = ACTIONS(7479),
    [anon_sym_BSLASHref] = ACTIONS(7479),
    [anon_sym_BSLASHeqref] = ACTIONS(7479),
    [anon_sym_BSLASHvref] = ACTIONS(7479),
    [anon_sym_BSLASHVref] = ACTIONS(7479),
    [anon_sym_BSLASHautoref] = ACTIONS(7479),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHpageref] = ACTIONS(7479),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHautopageref] = ACTIONS(7479),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcref] = ACTIONS(7479),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCref] = ACTIONS(7479),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcpageref] = ACTIONS(7479),
    [anon_sym_BSLASHCpageref] = ACTIONS(7479),
    [anon_sym_BSLASHnamecref] = ACTIONS(7479),
    [anon_sym_BSLASHnameCref] = ACTIONS(7479),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7479),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7479),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7479),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7479),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7479),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7479),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7479),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7479),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7479),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7479),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7479),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHdef] = ACTIONS(7479),
    [anon_sym_BSLASHgdef] = ACTIONS(7479),
    [anon_sym_BSLASHedef] = ACTIONS(7479),
    [anon_sym_BSLASHxdef] = ACTIONS(7479),
    [anon_sym_BSLASHlet] = ACTIONS(7479),
    [anon_sym_BSLASHglet] = ACTIONS(7479),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7479),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7479),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7479),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7479),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7479),
    [anon_sym_BSLASHgls] = ACTIONS(7479),
    [anon_sym_BSLASHGls] = ACTIONS(7479),
    [anon_sym_BSLASHGLS] = ACTIONS(7479),
    [anon_sym_BSLASHglspl] = ACTIONS(7479),
    [anon_sym_BSLASHGlspl] = ACTIONS(7479),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7479),
    [anon_sym_BSLASHglslink] = ACTIONS(7479),
    [anon_sym_BSLASHglstext] = ACTIONS(7479),
    [anon_sym_BSLASHGlstext] = ACTIONS(7479),
    [anon_sym_BSLASHGLStext] = ACTIONS(7479),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7479),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7479),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7479),
    [anon_sym_BSLASHglsplural] = ACTIONS(7479),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7479),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7479),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHglsname] = ACTIONS(7479),
    [anon_sym_BSLASHGlsname] = ACTIONS(7479),
    [anon_sym_BSLASHGLSname] = ACTIONS(7479),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7479),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7479),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7479),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7479),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7479),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7479),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7479),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7479),
    [anon_sym_BSLASHacrshort] = ACTIONS(7479),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7479),
    [anon_sym_BSLASHACRshort] = ACTIONS(7479),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHacrlong] = ACTIONS(7479),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7479),
    [anon_sym_BSLASHACRlong] = ACTIONS(7479),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHacrfull] = ACTIONS(7479),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7479),
    [anon_sym_BSLASHACRfull] = ACTIONS(7479),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHacs] = ACTIONS(7479),
    [anon_sym_BSLASHAcs] = ACTIONS(7479),
    [anon_sym_BSLASHacsp] = ACTIONS(7479),
    [anon_sym_BSLASHAcsp] = ACTIONS(7479),
    [anon_sym_BSLASHacl] = ACTIONS(7479),
    [anon_sym_BSLASHAcl] = ACTIONS(7479),
    [anon_sym_BSLASHaclp] = ACTIONS(7479),
    [anon_sym_BSLASHAclp] = ACTIONS(7479),
    [anon_sym_BSLASHacf] = ACTIONS(7479),
    [anon_sym_BSLASHAcf] = ACTIONS(7479),
    [anon_sym_BSLASHacfp] = ACTIONS(7479),
    [anon_sym_BSLASHAcfp] = ACTIONS(7479),
    [anon_sym_BSLASHac] = ACTIONS(7479),
    [anon_sym_BSLASHAc] = ACTIONS(7479),
    [anon_sym_BSLASHacp] = ACTIONS(7479),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7479),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7479),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7479),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7479),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7479),
    [anon_sym_BSLASHcolor] = ACTIONS(7479),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7479),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7479),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7479),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7479),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7479),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7479),
    [anon_sym_BSLASHurl] = ACTIONS(7479),
    [anon_sym_BSLASHhref] = ACTIONS(7479),
  },
  [1689] = {
    [sym_command_name] = ACTIONS(7483),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(7485),
    [anon_sym_RBRACK] = ACTIONS(7485),
    [anon_sym_COMMA] = ACTIONS(7485),
    [anon_sym_EQ] = ACTIONS(7485),
    [anon_sym_LPAREN] = ACTIONS(7485),
    [anon_sym_RPAREN] = ACTIONS(7485),
    [anon_sym_LBRACE] = ACTIONS(7485),
    [sym_word] = ACTIONS(7483),
    [sym_placeholder] = ACTIONS(7485),
    [sym_delimiter] = ACTIONS(7485),
    [anon_sym_PLUS] = ACTIONS(7485),
    [anon_sym_DASH] = ACTIONS(7485),
    [anon_sym_STAR] = ACTIONS(7485),
    [anon_sym_SLASH] = ACTIONS(7485),
    [anon_sym_LT] = ACTIONS(7483),
    [anon_sym_GT] = ACTIONS(7483),
    [anon_sym_BANG] = ACTIONS(7483),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_COLON] = ACTIONS(7483),
    [anon_sym_SQUOTE] = ACTIONS(7483),
    [anon_sym__] = ACTIONS(7485),
    [anon_sym_CARET] = ACTIONS(7485),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7485),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7485),
    [anon_sym_DOLLAR] = ACTIONS(7483),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7485),
    [anon_sym_BSLASHleft] = ACTIONS(7483),
    [anon_sym_BSLASHbigl] = ACTIONS(7483),
    [anon_sym_BSLASHBigl] = ACTIONS(7483),
    [anon_sym_BSLASHbiggl] = ACTIONS(7483),
    [anon_sym_BSLASHBiggl] = ACTIONS(7483),
    [anon_sym_BSLASHtext] = ACTIONS(7483),
    [anon_sym_BSLASHintertext] = ACTIONS(7483),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7483),
    [anon_sym_BSLASHbegin] = ACTIONS(7483),
    [anon_sym_BSLASHend] = ACTIONS(7483),
    [anon_sym_BSLASHtitle] = ACTIONS(7483),
    [anon_sym_BSLASHauthor] = ACTIONS(7483),
    [anon_sym_BSLASHusepackage] = ACTIONS(7483),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7483),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7483),
    [anon_sym_BSLASHinclude] = ACTIONS(7483),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7483),
    [anon_sym_BSLASHinput] = ACTIONS(7483),
    [anon_sym_BSLASHsubfile] = ACTIONS(7483),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7483),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7483),
    [anon_sym_BSLASHbibliography] = ACTIONS(7483),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7483),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7483),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7483),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7483),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7483),
    [anon_sym_BSLASHimport] = ACTIONS(7483),
    [anon_sym_BSLASHsubimport] = ACTIONS(7483),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7483),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7483),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7483),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7483),
    [anon_sym_BSLASHcaption] = ACTIONS(7483),
    [anon_sym_BSLASHcite] = ACTIONS(7483),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCite] = ACTIONS(7483),
    [anon_sym_BSLASHnocite] = ACTIONS(7483),
    [anon_sym_BSLASHcitet] = ACTIONS(7483),
    [anon_sym_BSLASHcitep] = ACTIONS(7483),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteA] = ACTIONS(7483),
    [anon_sym_BSLASHciteR] = ACTIONS(7483),
    [anon_sym_BSLASHciteS] = ACTIONS(7483),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7483),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7483),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7483),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7483),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteyear] = ACTIONS(7483),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitedate] = ACTIONS(7483),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteurl] = ACTIONS(7483),
    [anon_sym_BSLASHfullcite] = ACTIONS(7483),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7483),
    [anon_sym_BSLASHcitealt] = ACTIONS(7483),
    [anon_sym_BSLASHcitealp] = ACTIONS(7483),
    [anon_sym_BSLASHcitetext] = ACTIONS(7483),
    [anon_sym_BSLASHparencite] = ACTIONS(7483),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHParencite] = ACTIONS(7483),
    [anon_sym_BSLASHfootcite] = ACTIONS(7483),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7483),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7483),
    [anon_sym_BSLASHtextcite] = ACTIONS(7483),
    [anon_sym_BSLASHTextcite] = ACTIONS(7483),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7483),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7483),
    [anon_sym_BSLASHsupercite] = ACTIONS(7483),
    [anon_sym_BSLASHautocite] = ACTIONS(7483),
    [anon_sym_BSLASHAutocite] = ACTIONS(7483),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHVolcite] = ACTIONS(7483),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHavolcite] = ACTIONS(7483),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHNotecite] = ACTIONS(7483),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHlabel] = ACTIONS(7483),
    [anon_sym_BSLASHref] = ACTIONS(7483),
    [anon_sym_BSLASHeqref] = ACTIONS(7483),
    [anon_sym_BSLASHvref] = ACTIONS(7483),
    [anon_sym_BSLASHVref] = ACTIONS(7483),
    [anon_sym_BSLASHautoref] = ACTIONS(7483),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHpageref] = ACTIONS(7483),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHautopageref] = ACTIONS(7483),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcref] = ACTIONS(7483),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCref] = ACTIONS(7483),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcpageref] = ACTIONS(7483),
    [anon_sym_BSLASHCpageref] = ACTIONS(7483),
    [anon_sym_BSLASHnamecref] = ACTIONS(7483),
    [anon_sym_BSLASHnameCref] = ACTIONS(7483),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7483),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7483),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7483),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7483),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7483),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7483),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7483),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7483),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7483),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7483),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7483),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHdef] = ACTIONS(7483),
    [anon_sym_BSLASHgdef] = ACTIONS(7483),
    [anon_sym_BSLASHedef] = ACTIONS(7483),
    [anon_sym_BSLASHxdef] = ACTIONS(7483),
    [anon_sym_BSLASHlet] = ACTIONS(7483),
    [anon_sym_BSLASHglet] = ACTIONS(7483),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7483),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7483),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7483),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7483),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7483),
    [anon_sym_BSLASHgls] = ACTIONS(7483),
    [anon_sym_BSLASHGls] = ACTIONS(7483),
    [anon_sym_BSLASHGLS] = ACTIONS(7483),
    [anon_sym_BSLASHglspl] = ACTIONS(7483),
    [anon_sym_BSLASHGlspl] = ACTIONS(7483),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7483),
    [anon_sym_BSLASHglslink] = ACTIONS(7483),
    [anon_sym_BSLASHglstext] = ACTIONS(7483),
    [anon_sym_BSLASHGlstext] = ACTIONS(7483),
    [anon_sym_BSLASHGLStext] = ACTIONS(7483),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7483),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7483),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7483),
    [anon_sym_BSLASHglsplural] = ACTIONS(7483),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7483),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7483),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHglsname] = ACTIONS(7483),
    [anon_sym_BSLASHGlsname] = ACTIONS(7483),
    [anon_sym_BSLASHGLSname] = ACTIONS(7483),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7483),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7483),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7483),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7483),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7483),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7483),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7483),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7483),
    [anon_sym_BSLASHacrshort] = ACTIONS(7483),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7483),
    [anon_sym_BSLASHACRshort] = ACTIONS(7483),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHacrlong] = ACTIONS(7483),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7483),
    [anon_sym_BSLASHACRlong] = ACTIONS(7483),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHacrfull] = ACTIONS(7483),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7483),
    [anon_sym_BSLASHACRfull] = ACTIONS(7483),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHacs] = ACTIONS(7483),
    [anon_sym_BSLASHAcs] = ACTIONS(7483),
    [anon_sym_BSLASHacsp] = ACTIONS(7483),
    [anon_sym_BSLASHAcsp] = ACTIONS(7483),
    [anon_sym_BSLASHacl] = ACTIONS(7483),
    [anon_sym_BSLASHAcl] = ACTIONS(7483),
    [anon_sym_BSLASHaclp] = ACTIONS(7483),
    [anon_sym_BSLASHAclp] = ACTIONS(7483),
    [anon_sym_BSLASHacf] = ACTIONS(7483),
    [anon_sym_BSLASHAcf] = ACTIONS(7483),
    [anon_sym_BSLASHacfp] = ACTIONS(7483),
    [anon_sym_BSLASHAcfp] = ACTIONS(7483),
    [anon_sym_BSLASHac] = ACTIONS(7483),
    [anon_sym_BSLASHAc] = ACTIONS(7483),
    [anon_sym_BSLASHacp] = ACTIONS(7483),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7483),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7483),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7483),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7483),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7483),
    [anon_sym_BSLASHcolor] = ACTIONS(7483),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7483),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7483),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7483),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7483),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7483),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7483),
    [anon_sym_BSLASHurl] = ACTIONS(7483),
    [anon_sym_BSLASHhref] = ACTIONS(7483),
  },
  [1690] = {
    [sym_command_name] = ACTIONS(7323),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7323),
    [anon_sym_LBRACK] = ACTIONS(7325),
    [anon_sym_RBRACK] = ACTIONS(7325),
    [anon_sym_COMMA] = ACTIONS(7325),
    [anon_sym_EQ] = ACTIONS(7325),
    [anon_sym_LPAREN] = ACTIONS(7325),
    [anon_sym_RPAREN] = ACTIONS(7325),
    [anon_sym_LBRACE] = ACTIONS(7325),
    [sym_word] = ACTIONS(7323),
    [sym_placeholder] = ACTIONS(7325),
    [sym_delimiter] = ACTIONS(7325),
    [anon_sym_PLUS] = ACTIONS(7325),
    [anon_sym_DASH] = ACTIONS(7325),
    [anon_sym_STAR] = ACTIONS(7325),
    [anon_sym_SLASH] = ACTIONS(7325),
    [anon_sym_LT] = ACTIONS(7323),
    [anon_sym_GT] = ACTIONS(7323),
    [anon_sym_BANG] = ACTIONS(7323),
    [anon_sym_PIPE] = ACTIONS(7323),
    [anon_sym_COLON] = ACTIONS(7323),
    [anon_sym_SQUOTE] = ACTIONS(7323),
    [anon_sym__] = ACTIONS(7325),
    [anon_sym_CARET] = ACTIONS(7325),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7325),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7325),
    [anon_sym_DOLLAR] = ACTIONS(7323),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7325),
    [anon_sym_BSLASHleft] = ACTIONS(7323),
    [anon_sym_BSLASHbigl] = ACTIONS(7323),
    [anon_sym_BSLASHBigl] = ACTIONS(7323),
    [anon_sym_BSLASHbiggl] = ACTIONS(7323),
    [anon_sym_BSLASHBiggl] = ACTIONS(7323),
    [anon_sym_BSLASHtext] = ACTIONS(7323),
    [anon_sym_BSLASHintertext] = ACTIONS(7323),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7323),
    [anon_sym_BSLASHbegin] = ACTIONS(7323),
    [anon_sym_BSLASHend] = ACTIONS(7323),
    [anon_sym_BSLASHtitle] = ACTIONS(7323),
    [anon_sym_BSLASHauthor] = ACTIONS(7323),
    [anon_sym_BSLASHusepackage] = ACTIONS(7323),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7323),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7323),
    [anon_sym_BSLASHinclude] = ACTIONS(7323),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7323),
    [anon_sym_BSLASHinput] = ACTIONS(7323),
    [anon_sym_BSLASHsubfile] = ACTIONS(7323),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7323),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7323),
    [anon_sym_BSLASHbibliography] = ACTIONS(7323),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7323),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7323),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7323),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7323),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7323),
    [anon_sym_BSLASHimport] = ACTIONS(7323),
    [anon_sym_BSLASHsubimport] = ACTIONS(7323),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7323),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7323),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7323),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7323),
    [anon_sym_BSLASHcaption] = ACTIONS(7323),
    [anon_sym_BSLASHcite] = ACTIONS(7323),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCite] = ACTIONS(7323),
    [anon_sym_BSLASHnocite] = ACTIONS(7323),
    [anon_sym_BSLASHcitet] = ACTIONS(7323),
    [anon_sym_BSLASHcitep] = ACTIONS(7323),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteA] = ACTIONS(7323),
    [anon_sym_BSLASHciteR] = ACTIONS(7323),
    [anon_sym_BSLASHciteS] = ACTIONS(7323),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7323),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7323),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7323),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7323),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteyear] = ACTIONS(7323),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitedate] = ACTIONS(7323),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteurl] = ACTIONS(7323),
    [anon_sym_BSLASHfullcite] = ACTIONS(7323),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7323),
    [anon_sym_BSLASHcitealt] = ACTIONS(7323),
    [anon_sym_BSLASHcitealp] = ACTIONS(7323),
    [anon_sym_BSLASHcitetext] = ACTIONS(7323),
    [anon_sym_BSLASHparencite] = ACTIONS(7323),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHParencite] = ACTIONS(7323),
    [anon_sym_BSLASHfootcite] = ACTIONS(7323),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7323),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7323),
    [anon_sym_BSLASHtextcite] = ACTIONS(7323),
    [anon_sym_BSLASHTextcite] = ACTIONS(7323),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7323),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7323),
    [anon_sym_BSLASHsupercite] = ACTIONS(7323),
    [anon_sym_BSLASHautocite] = ACTIONS(7323),
    [anon_sym_BSLASHAutocite] = ACTIONS(7323),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHVolcite] = ACTIONS(7323),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHavolcite] = ACTIONS(7323),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHNotecite] = ACTIONS(7323),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHlabel] = ACTIONS(7323),
    [anon_sym_BSLASHref] = ACTIONS(7323),
    [anon_sym_BSLASHeqref] = ACTIONS(7323),
    [anon_sym_BSLASHvref] = ACTIONS(7323),
    [anon_sym_BSLASHVref] = ACTIONS(7323),
    [anon_sym_BSLASHautoref] = ACTIONS(7323),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHpageref] = ACTIONS(7323),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHautopageref] = ACTIONS(7323),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcref] = ACTIONS(7323),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCref] = ACTIONS(7323),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcpageref] = ACTIONS(7323),
    [anon_sym_BSLASHCpageref] = ACTIONS(7323),
    [anon_sym_BSLASHnamecref] = ACTIONS(7323),
    [anon_sym_BSLASHnameCref] = ACTIONS(7323),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7323),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7323),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7323),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7323),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7323),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7323),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7323),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7323),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7323),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7323),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7323),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHdef] = ACTIONS(7323),
    [anon_sym_BSLASHgdef] = ACTIONS(7323),
    [anon_sym_BSLASHedef] = ACTIONS(7323),
    [anon_sym_BSLASHxdef] = ACTIONS(7323),
    [anon_sym_BSLASHlet] = ACTIONS(7323),
    [anon_sym_BSLASHglet] = ACTIONS(7323),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7323),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7323),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7323),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7323),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7323),
    [anon_sym_BSLASHgls] = ACTIONS(7323),
    [anon_sym_BSLASHGls] = ACTIONS(7323),
    [anon_sym_BSLASHGLS] = ACTIONS(7323),
    [anon_sym_BSLASHglspl] = ACTIONS(7323),
    [anon_sym_BSLASHGlspl] = ACTIONS(7323),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7323),
    [anon_sym_BSLASHglslink] = ACTIONS(7323),
    [anon_sym_BSLASHglstext] = ACTIONS(7323),
    [anon_sym_BSLASHGlstext] = ACTIONS(7323),
    [anon_sym_BSLASHGLStext] = ACTIONS(7323),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7323),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7323),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7323),
    [anon_sym_BSLASHglsplural] = ACTIONS(7323),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7323),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7323),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHglsname] = ACTIONS(7323),
    [anon_sym_BSLASHGlsname] = ACTIONS(7323),
    [anon_sym_BSLASHGLSname] = ACTIONS(7323),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7323),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7323),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7323),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7323),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7323),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7323),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7323),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7323),
    [anon_sym_BSLASHacrshort] = ACTIONS(7323),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7323),
    [anon_sym_BSLASHACRshort] = ACTIONS(7323),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHacrlong] = ACTIONS(7323),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7323),
    [anon_sym_BSLASHACRlong] = ACTIONS(7323),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHacrfull] = ACTIONS(7323),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7323),
    [anon_sym_BSLASHACRfull] = ACTIONS(7323),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHacs] = ACTIONS(7323),
    [anon_sym_BSLASHAcs] = ACTIONS(7323),
    [anon_sym_BSLASHacsp] = ACTIONS(7323),
    [anon_sym_BSLASHAcsp] = ACTIONS(7323),
    [anon_sym_BSLASHacl] = ACTIONS(7323),
    [anon_sym_BSLASHAcl] = ACTIONS(7323),
    [anon_sym_BSLASHaclp] = ACTIONS(7323),
    [anon_sym_BSLASHAclp] = ACTIONS(7323),
    [anon_sym_BSLASHacf] = ACTIONS(7323),
    [anon_sym_BSLASHAcf] = ACTIONS(7323),
    [anon_sym_BSLASHacfp] = ACTIONS(7323),
    [anon_sym_BSLASHAcfp] = ACTIONS(7323),
    [anon_sym_BSLASHac] = ACTIONS(7323),
    [anon_sym_BSLASHAc] = ACTIONS(7323),
    [anon_sym_BSLASHacp] = ACTIONS(7323),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7323),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7323),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7323),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7323),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7323),
    [anon_sym_BSLASHcolor] = ACTIONS(7323),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7323),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7323),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7323),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7323),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7323),
    [anon_sym_BSLASHurl] = ACTIONS(7323),
    [anon_sym_BSLASHhref] = ACTIONS(7323),
  },
  [1691] = {
    [sym_command_name] = ACTIONS(7487),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7487),
    [anon_sym_LBRACK] = ACTIONS(7489),
    [anon_sym_RBRACK] = ACTIONS(7489),
    [anon_sym_COMMA] = ACTIONS(7489),
    [anon_sym_EQ] = ACTIONS(7489),
    [anon_sym_LPAREN] = ACTIONS(7489),
    [anon_sym_RPAREN] = ACTIONS(7489),
    [anon_sym_LBRACE] = ACTIONS(7489),
    [sym_word] = ACTIONS(7487),
    [sym_placeholder] = ACTIONS(7489),
    [sym_delimiter] = ACTIONS(7489),
    [anon_sym_PLUS] = ACTIONS(7489),
    [anon_sym_DASH] = ACTIONS(7489),
    [anon_sym_STAR] = ACTIONS(7489),
    [anon_sym_SLASH] = ACTIONS(7489),
    [anon_sym_LT] = ACTIONS(7487),
    [anon_sym_GT] = ACTIONS(7487),
    [anon_sym_BANG] = ACTIONS(7487),
    [anon_sym_PIPE] = ACTIONS(7487),
    [anon_sym_COLON] = ACTIONS(7487),
    [anon_sym_SQUOTE] = ACTIONS(7487),
    [anon_sym__] = ACTIONS(7489),
    [anon_sym_CARET] = ACTIONS(7489),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7489),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7489),
    [anon_sym_DOLLAR] = ACTIONS(7487),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7489),
    [anon_sym_BSLASHleft] = ACTIONS(7487),
    [anon_sym_BSLASHbigl] = ACTIONS(7487),
    [anon_sym_BSLASHBigl] = ACTIONS(7487),
    [anon_sym_BSLASHbiggl] = ACTIONS(7487),
    [anon_sym_BSLASHBiggl] = ACTIONS(7487),
    [anon_sym_BSLASHtext] = ACTIONS(7487),
    [anon_sym_BSLASHintertext] = ACTIONS(7487),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7487),
    [anon_sym_BSLASHbegin] = ACTIONS(7487),
    [anon_sym_BSLASHend] = ACTIONS(7487),
    [anon_sym_BSLASHtitle] = ACTIONS(7487),
    [anon_sym_BSLASHauthor] = ACTIONS(7487),
    [anon_sym_BSLASHusepackage] = ACTIONS(7487),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7487),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7487),
    [anon_sym_BSLASHinclude] = ACTIONS(7487),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7487),
    [anon_sym_BSLASHinput] = ACTIONS(7487),
    [anon_sym_BSLASHsubfile] = ACTIONS(7487),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7487),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7487),
    [anon_sym_BSLASHbibliography] = ACTIONS(7487),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7487),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7487),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7487),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7487),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7487),
    [anon_sym_BSLASHimport] = ACTIONS(7487),
    [anon_sym_BSLASHsubimport] = ACTIONS(7487),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7487),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7487),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7487),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7487),
    [anon_sym_BSLASHcaption] = ACTIONS(7487),
    [anon_sym_BSLASHcite] = ACTIONS(7487),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCite] = ACTIONS(7487),
    [anon_sym_BSLASHnocite] = ACTIONS(7487),
    [anon_sym_BSLASHcitet] = ACTIONS(7487),
    [anon_sym_BSLASHcitep] = ACTIONS(7487),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteA] = ACTIONS(7487),
    [anon_sym_BSLASHciteR] = ACTIONS(7487),
    [anon_sym_BSLASHciteS] = ACTIONS(7487),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7487),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7487),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7487),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7487),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteyear] = ACTIONS(7487),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitedate] = ACTIONS(7487),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteurl] = ACTIONS(7487),
    [anon_sym_BSLASHfullcite] = ACTIONS(7487),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7487),
    [anon_sym_BSLASHcitealt] = ACTIONS(7487),
    [anon_sym_BSLASHcitealp] = ACTIONS(7487),
    [anon_sym_BSLASHcitetext] = ACTIONS(7487),
    [anon_sym_BSLASHparencite] = ACTIONS(7487),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHParencite] = ACTIONS(7487),
    [anon_sym_BSLASHfootcite] = ACTIONS(7487),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7487),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7487),
    [anon_sym_BSLASHtextcite] = ACTIONS(7487),
    [anon_sym_BSLASHTextcite] = ACTIONS(7487),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7487),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7487),
    [anon_sym_BSLASHsupercite] = ACTIONS(7487),
    [anon_sym_BSLASHautocite] = ACTIONS(7487),
    [anon_sym_BSLASHAutocite] = ACTIONS(7487),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHVolcite] = ACTIONS(7487),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHavolcite] = ACTIONS(7487),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHNotecite] = ACTIONS(7487),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHlabel] = ACTIONS(7487),
    [anon_sym_BSLASHref] = ACTIONS(7487),
    [anon_sym_BSLASHeqref] = ACTIONS(7487),
    [anon_sym_BSLASHvref] = ACTIONS(7487),
    [anon_sym_BSLASHVref] = ACTIONS(7487),
    [anon_sym_BSLASHautoref] = ACTIONS(7487),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHpageref] = ACTIONS(7487),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHautopageref] = ACTIONS(7487),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcref] = ACTIONS(7487),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCref] = ACTIONS(7487),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcpageref] = ACTIONS(7487),
    [anon_sym_BSLASHCpageref] = ACTIONS(7487),
    [anon_sym_BSLASHnamecref] = ACTIONS(7487),
    [anon_sym_BSLASHnameCref] = ACTIONS(7487),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7487),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7487),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7487),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7487),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7487),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7487),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7487),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7487),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7487),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7487),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7487),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHdef] = ACTIONS(7487),
    [anon_sym_BSLASHgdef] = ACTIONS(7487),
    [anon_sym_BSLASHedef] = ACTIONS(7487),
    [anon_sym_BSLASHxdef] = ACTIONS(7487),
    [anon_sym_BSLASHlet] = ACTIONS(7487),
    [anon_sym_BSLASHglet] = ACTIONS(7487),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7487),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7487),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7487),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7487),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7487),
    [anon_sym_BSLASHgls] = ACTIONS(7487),
    [anon_sym_BSLASHGls] = ACTIONS(7487),
    [anon_sym_BSLASHGLS] = ACTIONS(7487),
    [anon_sym_BSLASHglspl] = ACTIONS(7487),
    [anon_sym_BSLASHGlspl] = ACTIONS(7487),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7487),
    [anon_sym_BSLASHglslink] = ACTIONS(7487),
    [anon_sym_BSLASHglstext] = ACTIONS(7487),
    [anon_sym_BSLASHGlstext] = ACTIONS(7487),
    [anon_sym_BSLASHGLStext] = ACTIONS(7487),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7487),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7487),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7487),
    [anon_sym_BSLASHglsplural] = ACTIONS(7487),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7487),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7487),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHglsname] = ACTIONS(7487),
    [anon_sym_BSLASHGlsname] = ACTIONS(7487),
    [anon_sym_BSLASHGLSname] = ACTIONS(7487),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7487),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7487),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7487),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7487),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7487),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7487),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7487),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7487),
    [anon_sym_BSLASHacrshort] = ACTIONS(7487),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7487),
    [anon_sym_BSLASHACRshort] = ACTIONS(7487),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHacrlong] = ACTIONS(7487),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7487),
    [anon_sym_BSLASHACRlong] = ACTIONS(7487),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHacrfull] = ACTIONS(7487),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7487),
    [anon_sym_BSLASHACRfull] = ACTIONS(7487),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHacs] = ACTIONS(7487),
    [anon_sym_BSLASHAcs] = ACTIONS(7487),
    [anon_sym_BSLASHacsp] = ACTIONS(7487),
    [anon_sym_BSLASHAcsp] = ACTIONS(7487),
    [anon_sym_BSLASHacl] = ACTIONS(7487),
    [anon_sym_BSLASHAcl] = ACTIONS(7487),
    [anon_sym_BSLASHaclp] = ACTIONS(7487),
    [anon_sym_BSLASHAclp] = ACTIONS(7487),
    [anon_sym_BSLASHacf] = ACTIONS(7487),
    [anon_sym_BSLASHAcf] = ACTIONS(7487),
    [anon_sym_BSLASHacfp] = ACTIONS(7487),
    [anon_sym_BSLASHAcfp] = ACTIONS(7487),
    [anon_sym_BSLASHac] = ACTIONS(7487),
    [anon_sym_BSLASHAc] = ACTIONS(7487),
    [anon_sym_BSLASHacp] = ACTIONS(7487),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7487),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7487),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7487),
    [anon_sym_BSLASHcolor] = ACTIONS(7487),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7487),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7487),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7487),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7487),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7487),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7487),
    [anon_sym_BSLASHurl] = ACTIONS(7487),
    [anon_sym_BSLASHhref] = ACTIONS(7487),
  },
  [1692] = {
    [sym_command_name] = ACTIONS(7491),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(7493),
    [anon_sym_RBRACK] = ACTIONS(7493),
    [anon_sym_COMMA] = ACTIONS(7493),
    [anon_sym_EQ] = ACTIONS(7493),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_RPAREN] = ACTIONS(7493),
    [anon_sym_LBRACE] = ACTIONS(7493),
    [sym_word] = ACTIONS(7491),
    [sym_placeholder] = ACTIONS(7493),
    [sym_delimiter] = ACTIONS(7493),
    [anon_sym_PLUS] = ACTIONS(7493),
    [anon_sym_DASH] = ACTIONS(7493),
    [anon_sym_STAR] = ACTIONS(7493),
    [anon_sym_SLASH] = ACTIONS(7493),
    [anon_sym_LT] = ACTIONS(7491),
    [anon_sym_GT] = ACTIONS(7491),
    [anon_sym_BANG] = ACTIONS(7491),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_COLON] = ACTIONS(7491),
    [anon_sym_SQUOTE] = ACTIONS(7491),
    [anon_sym__] = ACTIONS(7493),
    [anon_sym_CARET] = ACTIONS(7493),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7493),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7493),
    [anon_sym_DOLLAR] = ACTIONS(7491),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7493),
    [anon_sym_BSLASHleft] = ACTIONS(7491),
    [anon_sym_BSLASHbigl] = ACTIONS(7491),
    [anon_sym_BSLASHBigl] = ACTIONS(7491),
    [anon_sym_BSLASHbiggl] = ACTIONS(7491),
    [anon_sym_BSLASHBiggl] = ACTIONS(7491),
    [anon_sym_BSLASHtext] = ACTIONS(7491),
    [anon_sym_BSLASHintertext] = ACTIONS(7491),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7491),
    [anon_sym_BSLASHbegin] = ACTIONS(7491),
    [anon_sym_BSLASHend] = ACTIONS(7491),
    [anon_sym_BSLASHtitle] = ACTIONS(7491),
    [anon_sym_BSLASHauthor] = ACTIONS(7491),
    [anon_sym_BSLASHusepackage] = ACTIONS(7491),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7491),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7491),
    [anon_sym_BSLASHinclude] = ACTIONS(7491),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7491),
    [anon_sym_BSLASHinput] = ACTIONS(7491),
    [anon_sym_BSLASHsubfile] = ACTIONS(7491),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7491),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7491),
    [anon_sym_BSLASHbibliography] = ACTIONS(7491),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7491),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7491),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7491),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7491),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7491),
    [anon_sym_BSLASHimport] = ACTIONS(7491),
    [anon_sym_BSLASHsubimport] = ACTIONS(7491),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7491),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7491),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7491),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7491),
    [anon_sym_BSLASHcaption] = ACTIONS(7491),
    [anon_sym_BSLASHcite] = ACTIONS(7491),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCite] = ACTIONS(7491),
    [anon_sym_BSLASHnocite] = ACTIONS(7491),
    [anon_sym_BSLASHcitet] = ACTIONS(7491),
    [anon_sym_BSLASHcitep] = ACTIONS(7491),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteA] = ACTIONS(7491),
    [anon_sym_BSLASHciteR] = ACTIONS(7491),
    [anon_sym_BSLASHciteS] = ACTIONS(7491),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7491),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7491),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7491),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7491),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteyear] = ACTIONS(7491),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitedate] = ACTIONS(7491),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteurl] = ACTIONS(7491),
    [anon_sym_BSLASHfullcite] = ACTIONS(7491),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7491),
    [anon_sym_BSLASHcitealt] = ACTIONS(7491),
    [anon_sym_BSLASHcitealp] = ACTIONS(7491),
    [anon_sym_BSLASHcitetext] = ACTIONS(7491),
    [anon_sym_BSLASHparencite] = ACTIONS(7491),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHParencite] = ACTIONS(7491),
    [anon_sym_BSLASHfootcite] = ACTIONS(7491),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7491),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7491),
    [anon_sym_BSLASHtextcite] = ACTIONS(7491),
    [anon_sym_BSLASHTextcite] = ACTIONS(7491),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7491),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7491),
    [anon_sym_BSLASHsupercite] = ACTIONS(7491),
    [anon_sym_BSLASHautocite] = ACTIONS(7491),
    [anon_sym_BSLASHAutocite] = ACTIONS(7491),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHVolcite] = ACTIONS(7491),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHavolcite] = ACTIONS(7491),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHNotecite] = ACTIONS(7491),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHlabel] = ACTIONS(7491),
    [anon_sym_BSLASHref] = ACTIONS(7491),
    [anon_sym_BSLASHeqref] = ACTIONS(7491),
    [anon_sym_BSLASHvref] = ACTIONS(7491),
    [anon_sym_BSLASHVref] = ACTIONS(7491),
    [anon_sym_BSLASHautoref] = ACTIONS(7491),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHpageref] = ACTIONS(7491),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHautopageref] = ACTIONS(7491),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcref] = ACTIONS(7491),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCref] = ACTIONS(7491),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcpageref] = ACTIONS(7491),
    [anon_sym_BSLASHCpageref] = ACTIONS(7491),
    [anon_sym_BSLASHnamecref] = ACTIONS(7491),
    [anon_sym_BSLASHnameCref] = ACTIONS(7491),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7491),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7491),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7491),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7491),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7491),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7491),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7491),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7491),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7491),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7491),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7491),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHdef] = ACTIONS(7491),
    [anon_sym_BSLASHgdef] = ACTIONS(7491),
    [anon_sym_BSLASHedef] = ACTIONS(7491),
    [anon_sym_BSLASHxdef] = ACTIONS(7491),
    [anon_sym_BSLASHlet] = ACTIONS(7491),
    [anon_sym_BSLASHglet] = ACTIONS(7491),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7491),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7491),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7491),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7491),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7491),
    [anon_sym_BSLASHgls] = ACTIONS(7491),
    [anon_sym_BSLASHGls] = ACTIONS(7491),
    [anon_sym_BSLASHGLS] = ACTIONS(7491),
    [anon_sym_BSLASHglspl] = ACTIONS(7491),
    [anon_sym_BSLASHGlspl] = ACTIONS(7491),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7491),
    [anon_sym_BSLASHglslink] = ACTIONS(7491),
    [anon_sym_BSLASHglstext] = ACTIONS(7491),
    [anon_sym_BSLASHGlstext] = ACTIONS(7491),
    [anon_sym_BSLASHGLStext] = ACTIONS(7491),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7491),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7491),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7491),
    [anon_sym_BSLASHglsplural] = ACTIONS(7491),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7491),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7491),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHglsname] = ACTIONS(7491),
    [anon_sym_BSLASHGlsname] = ACTIONS(7491),
    [anon_sym_BSLASHGLSname] = ACTIONS(7491),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7491),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7491),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7491),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7491),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7491),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7491),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7491),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7491),
    [anon_sym_BSLASHacrshort] = ACTIONS(7491),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7491),
    [anon_sym_BSLASHACRshort] = ACTIONS(7491),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHacrlong] = ACTIONS(7491),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7491),
    [anon_sym_BSLASHACRlong] = ACTIONS(7491),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHacrfull] = ACTIONS(7491),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7491),
    [anon_sym_BSLASHACRfull] = ACTIONS(7491),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHacs] = ACTIONS(7491),
    [anon_sym_BSLASHAcs] = ACTIONS(7491),
    [anon_sym_BSLASHacsp] = ACTIONS(7491),
    [anon_sym_BSLASHAcsp] = ACTIONS(7491),
    [anon_sym_BSLASHacl] = ACTIONS(7491),
    [anon_sym_BSLASHAcl] = ACTIONS(7491),
    [anon_sym_BSLASHaclp] = ACTIONS(7491),
    [anon_sym_BSLASHAclp] = ACTIONS(7491),
    [anon_sym_BSLASHacf] = ACTIONS(7491),
    [anon_sym_BSLASHAcf] = ACTIONS(7491),
    [anon_sym_BSLASHacfp] = ACTIONS(7491),
    [anon_sym_BSLASHAcfp] = ACTIONS(7491),
    [anon_sym_BSLASHac] = ACTIONS(7491),
    [anon_sym_BSLASHAc] = ACTIONS(7491),
    [anon_sym_BSLASHacp] = ACTIONS(7491),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7491),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7491),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7491),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7491),
    [anon_sym_BSLASHcolor] = ACTIONS(7491),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7491),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7491),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7491),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7491),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7491),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7491),
    [anon_sym_BSLASHurl] = ACTIONS(7491),
    [anon_sym_BSLASHhref] = ACTIONS(7491),
  },
  [1693] = {
    [sym_command_name] = ACTIONS(7495),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7495),
    [anon_sym_LBRACK] = ACTIONS(7497),
    [anon_sym_RBRACK] = ACTIONS(7497),
    [anon_sym_COMMA] = ACTIONS(7497),
    [anon_sym_EQ] = ACTIONS(7497),
    [anon_sym_LPAREN] = ACTIONS(7497),
    [anon_sym_RPAREN] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7497),
    [sym_word] = ACTIONS(7495),
    [sym_placeholder] = ACTIONS(7497),
    [sym_delimiter] = ACTIONS(7497),
    [anon_sym_PLUS] = ACTIONS(7497),
    [anon_sym_DASH] = ACTIONS(7497),
    [anon_sym_STAR] = ACTIONS(7497),
    [anon_sym_SLASH] = ACTIONS(7497),
    [anon_sym_LT] = ACTIONS(7495),
    [anon_sym_GT] = ACTIONS(7495),
    [anon_sym_BANG] = ACTIONS(7495),
    [anon_sym_PIPE] = ACTIONS(7495),
    [anon_sym_COLON] = ACTIONS(7495),
    [anon_sym_SQUOTE] = ACTIONS(7495),
    [anon_sym__] = ACTIONS(7497),
    [anon_sym_CARET] = ACTIONS(7497),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7497),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7497),
    [anon_sym_DOLLAR] = ACTIONS(7495),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7497),
    [anon_sym_BSLASHleft] = ACTIONS(7495),
    [anon_sym_BSLASHbigl] = ACTIONS(7495),
    [anon_sym_BSLASHBigl] = ACTIONS(7495),
    [anon_sym_BSLASHbiggl] = ACTIONS(7495),
    [anon_sym_BSLASHBiggl] = ACTIONS(7495),
    [anon_sym_BSLASHtext] = ACTIONS(7495),
    [anon_sym_BSLASHintertext] = ACTIONS(7495),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7495),
    [anon_sym_BSLASHbegin] = ACTIONS(7495),
    [anon_sym_BSLASHend] = ACTIONS(7495),
    [anon_sym_BSLASHtitle] = ACTIONS(7495),
    [anon_sym_BSLASHauthor] = ACTIONS(7495),
    [anon_sym_BSLASHusepackage] = ACTIONS(7495),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7495),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7495),
    [anon_sym_BSLASHinclude] = ACTIONS(7495),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7495),
    [anon_sym_BSLASHinput] = ACTIONS(7495),
    [anon_sym_BSLASHsubfile] = ACTIONS(7495),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7495),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7495),
    [anon_sym_BSLASHbibliography] = ACTIONS(7495),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7495),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7495),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7495),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7495),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7495),
    [anon_sym_BSLASHimport] = ACTIONS(7495),
    [anon_sym_BSLASHsubimport] = ACTIONS(7495),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7495),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7495),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7495),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7495),
    [anon_sym_BSLASHcaption] = ACTIONS(7495),
    [anon_sym_BSLASHcite] = ACTIONS(7495),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCite] = ACTIONS(7495),
    [anon_sym_BSLASHnocite] = ACTIONS(7495),
    [anon_sym_BSLASHcitet] = ACTIONS(7495),
    [anon_sym_BSLASHcitep] = ACTIONS(7495),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteA] = ACTIONS(7495),
    [anon_sym_BSLASHciteR] = ACTIONS(7495),
    [anon_sym_BSLASHciteS] = ACTIONS(7495),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7495),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7495),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7495),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7495),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteyear] = ACTIONS(7495),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitedate] = ACTIONS(7495),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteurl] = ACTIONS(7495),
    [anon_sym_BSLASHfullcite] = ACTIONS(7495),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7495),
    [anon_sym_BSLASHcitealt] = ACTIONS(7495),
    [anon_sym_BSLASHcitealp] = ACTIONS(7495),
    [anon_sym_BSLASHcitetext] = ACTIONS(7495),
    [anon_sym_BSLASHparencite] = ACTIONS(7495),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHParencite] = ACTIONS(7495),
    [anon_sym_BSLASHfootcite] = ACTIONS(7495),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7495),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7495),
    [anon_sym_BSLASHtextcite] = ACTIONS(7495),
    [anon_sym_BSLASHTextcite] = ACTIONS(7495),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7495),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7495),
    [anon_sym_BSLASHsupercite] = ACTIONS(7495),
    [anon_sym_BSLASHautocite] = ACTIONS(7495),
    [anon_sym_BSLASHAutocite] = ACTIONS(7495),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHVolcite] = ACTIONS(7495),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHavolcite] = ACTIONS(7495),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHNotecite] = ACTIONS(7495),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHlabel] = ACTIONS(7495),
    [anon_sym_BSLASHref] = ACTIONS(7495),
    [anon_sym_BSLASHeqref] = ACTIONS(7495),
    [anon_sym_BSLASHvref] = ACTIONS(7495),
    [anon_sym_BSLASHVref] = ACTIONS(7495),
    [anon_sym_BSLASHautoref] = ACTIONS(7495),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHpageref] = ACTIONS(7495),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHautopageref] = ACTIONS(7495),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcref] = ACTIONS(7495),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCref] = ACTIONS(7495),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcpageref] = ACTIONS(7495),
    [anon_sym_BSLASHCpageref] = ACTIONS(7495),
    [anon_sym_BSLASHnamecref] = ACTIONS(7495),
    [anon_sym_BSLASHnameCref] = ACTIONS(7495),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7495),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7495),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7495),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7495),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7495),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7495),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7495),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7495),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7495),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7495),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7495),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHdef] = ACTIONS(7495),
    [anon_sym_BSLASHgdef] = ACTIONS(7495),
    [anon_sym_BSLASHedef] = ACTIONS(7495),
    [anon_sym_BSLASHxdef] = ACTIONS(7495),
    [anon_sym_BSLASHlet] = ACTIONS(7495),
    [anon_sym_BSLASHglet] = ACTIONS(7495),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7495),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7495),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7495),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7495),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7495),
    [anon_sym_BSLASHgls] = ACTIONS(7495),
    [anon_sym_BSLASHGls] = ACTIONS(7495),
    [anon_sym_BSLASHGLS] = ACTIONS(7495),
    [anon_sym_BSLASHglspl] = ACTIONS(7495),
    [anon_sym_BSLASHGlspl] = ACTIONS(7495),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7495),
    [anon_sym_BSLASHglslink] = ACTIONS(7495),
    [anon_sym_BSLASHglstext] = ACTIONS(7495),
    [anon_sym_BSLASHGlstext] = ACTIONS(7495),
    [anon_sym_BSLASHGLStext] = ACTIONS(7495),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7495),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7495),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7495),
    [anon_sym_BSLASHglsplural] = ACTIONS(7495),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7495),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7495),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHglsname] = ACTIONS(7495),
    [anon_sym_BSLASHGlsname] = ACTIONS(7495),
    [anon_sym_BSLASHGLSname] = ACTIONS(7495),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7495),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7495),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7495),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7495),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7495),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7495),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7495),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7495),
    [anon_sym_BSLASHacrshort] = ACTIONS(7495),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7495),
    [anon_sym_BSLASHACRshort] = ACTIONS(7495),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHacrlong] = ACTIONS(7495),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7495),
    [anon_sym_BSLASHACRlong] = ACTIONS(7495),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHacrfull] = ACTIONS(7495),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7495),
    [anon_sym_BSLASHACRfull] = ACTIONS(7495),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHacs] = ACTIONS(7495),
    [anon_sym_BSLASHAcs] = ACTIONS(7495),
    [anon_sym_BSLASHacsp] = ACTIONS(7495),
    [anon_sym_BSLASHAcsp] = ACTIONS(7495),
    [anon_sym_BSLASHacl] = ACTIONS(7495),
    [anon_sym_BSLASHAcl] = ACTIONS(7495),
    [anon_sym_BSLASHaclp] = ACTIONS(7495),
    [anon_sym_BSLASHAclp] = ACTIONS(7495),
    [anon_sym_BSLASHacf] = ACTIONS(7495),
    [anon_sym_BSLASHAcf] = ACTIONS(7495),
    [anon_sym_BSLASHacfp] = ACTIONS(7495),
    [anon_sym_BSLASHAcfp] = ACTIONS(7495),
    [anon_sym_BSLASHac] = ACTIONS(7495),
    [anon_sym_BSLASHAc] = ACTIONS(7495),
    [anon_sym_BSLASHacp] = ACTIONS(7495),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7495),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7495),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7495),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7495),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7495),
    [anon_sym_BSLASHcolor] = ACTIONS(7495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7495),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7495),
    [anon_sym_BSLASHurl] = ACTIONS(7495),
    [anon_sym_BSLASHhref] = ACTIONS(7495),
  },
  [1694] = {
    [sym_command_name] = ACTIONS(7327),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7327),
    [anon_sym_LBRACK] = ACTIONS(7329),
    [anon_sym_RBRACK] = ACTIONS(7329),
    [anon_sym_COMMA] = ACTIONS(7329),
    [anon_sym_EQ] = ACTIONS(7329),
    [anon_sym_LPAREN] = ACTIONS(7329),
    [anon_sym_RPAREN] = ACTIONS(7329),
    [anon_sym_LBRACE] = ACTIONS(7329),
    [sym_word] = ACTIONS(7327),
    [sym_placeholder] = ACTIONS(7329),
    [sym_delimiter] = ACTIONS(7329),
    [anon_sym_PLUS] = ACTIONS(7329),
    [anon_sym_DASH] = ACTIONS(7329),
    [anon_sym_STAR] = ACTIONS(7329),
    [anon_sym_SLASH] = ACTIONS(7329),
    [anon_sym_LT] = ACTIONS(7327),
    [anon_sym_GT] = ACTIONS(7327),
    [anon_sym_BANG] = ACTIONS(7327),
    [anon_sym_PIPE] = ACTIONS(7327),
    [anon_sym_COLON] = ACTIONS(7327),
    [anon_sym_SQUOTE] = ACTIONS(7327),
    [anon_sym__] = ACTIONS(7329),
    [anon_sym_CARET] = ACTIONS(7329),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7329),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7329),
    [anon_sym_DOLLAR] = ACTIONS(7327),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7329),
    [anon_sym_BSLASHleft] = ACTIONS(7327),
    [anon_sym_BSLASHbigl] = ACTIONS(7327),
    [anon_sym_BSLASHBigl] = ACTIONS(7327),
    [anon_sym_BSLASHbiggl] = ACTIONS(7327),
    [anon_sym_BSLASHBiggl] = ACTIONS(7327),
    [anon_sym_BSLASHtext] = ACTIONS(7327),
    [anon_sym_BSLASHintertext] = ACTIONS(7327),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7327),
    [anon_sym_BSLASHbegin] = ACTIONS(7327),
    [anon_sym_BSLASHend] = ACTIONS(7327),
    [anon_sym_BSLASHtitle] = ACTIONS(7327),
    [anon_sym_BSLASHauthor] = ACTIONS(7327),
    [anon_sym_BSLASHusepackage] = ACTIONS(7327),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7327),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7327),
    [anon_sym_BSLASHinclude] = ACTIONS(7327),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7327),
    [anon_sym_BSLASHinput] = ACTIONS(7327),
    [anon_sym_BSLASHsubfile] = ACTIONS(7327),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7327),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7327),
    [anon_sym_BSLASHbibliography] = ACTIONS(7327),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7327),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7327),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7327),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7327),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7327),
    [anon_sym_BSLASHimport] = ACTIONS(7327),
    [anon_sym_BSLASHsubimport] = ACTIONS(7327),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7327),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7327),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7327),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7327),
    [anon_sym_BSLASHcaption] = ACTIONS(7327),
    [anon_sym_BSLASHcite] = ACTIONS(7327),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCite] = ACTIONS(7327),
    [anon_sym_BSLASHnocite] = ACTIONS(7327),
    [anon_sym_BSLASHcitet] = ACTIONS(7327),
    [anon_sym_BSLASHcitep] = ACTIONS(7327),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteA] = ACTIONS(7327),
    [anon_sym_BSLASHciteR] = ACTIONS(7327),
    [anon_sym_BSLASHciteS] = ACTIONS(7327),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7327),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7327),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7327),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7327),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteyear] = ACTIONS(7327),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitedate] = ACTIONS(7327),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteurl] = ACTIONS(7327),
    [anon_sym_BSLASHfullcite] = ACTIONS(7327),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7327),
    [anon_sym_BSLASHcitealt] = ACTIONS(7327),
    [anon_sym_BSLASHcitealp] = ACTIONS(7327),
    [anon_sym_BSLASHcitetext] = ACTIONS(7327),
    [anon_sym_BSLASHparencite] = ACTIONS(7327),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHParencite] = ACTIONS(7327),
    [anon_sym_BSLASHfootcite] = ACTIONS(7327),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7327),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7327),
    [anon_sym_BSLASHtextcite] = ACTIONS(7327),
    [anon_sym_BSLASHTextcite] = ACTIONS(7327),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7327),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7327),
    [anon_sym_BSLASHsupercite] = ACTIONS(7327),
    [anon_sym_BSLASHautocite] = ACTIONS(7327),
    [anon_sym_BSLASHAutocite] = ACTIONS(7327),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHVolcite] = ACTIONS(7327),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHavolcite] = ACTIONS(7327),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHNotecite] = ACTIONS(7327),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHlabel] = ACTIONS(7327),
    [anon_sym_BSLASHref] = ACTIONS(7327),
    [anon_sym_BSLASHeqref] = ACTIONS(7327),
    [anon_sym_BSLASHvref] = ACTIONS(7327),
    [anon_sym_BSLASHVref] = ACTIONS(7327),
    [anon_sym_BSLASHautoref] = ACTIONS(7327),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHpageref] = ACTIONS(7327),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHautopageref] = ACTIONS(7327),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcref] = ACTIONS(7327),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCref] = ACTIONS(7327),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcpageref] = ACTIONS(7327),
    [anon_sym_BSLASHCpageref] = ACTIONS(7327),
    [anon_sym_BSLASHnamecref] = ACTIONS(7327),
    [anon_sym_BSLASHnameCref] = ACTIONS(7327),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7327),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7327),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7327),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7327),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7327),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7327),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7327),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7327),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7327),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7327),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7327),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHdef] = ACTIONS(7327),
    [anon_sym_BSLASHgdef] = ACTIONS(7327),
    [anon_sym_BSLASHedef] = ACTIONS(7327),
    [anon_sym_BSLASHxdef] = ACTIONS(7327),
    [anon_sym_BSLASHlet] = ACTIONS(7327),
    [anon_sym_BSLASHglet] = ACTIONS(7327),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7327),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7327),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7327),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7327),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7327),
    [anon_sym_BSLASHgls] = ACTIONS(7327),
    [anon_sym_BSLASHGls] = ACTIONS(7327),
    [anon_sym_BSLASHGLS] = ACTIONS(7327),
    [anon_sym_BSLASHglspl] = ACTIONS(7327),
    [anon_sym_BSLASHGlspl] = ACTIONS(7327),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7327),
    [anon_sym_BSLASHglslink] = ACTIONS(7327),
    [anon_sym_BSLASHglstext] = ACTIONS(7327),
    [anon_sym_BSLASHGlstext] = ACTIONS(7327),
    [anon_sym_BSLASHGLStext] = ACTIONS(7327),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7327),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7327),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7327),
    [anon_sym_BSLASHglsplural] = ACTIONS(7327),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7327),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7327),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHglsname] = ACTIONS(7327),
    [anon_sym_BSLASHGlsname] = ACTIONS(7327),
    [anon_sym_BSLASHGLSname] = ACTIONS(7327),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7327),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7327),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7327),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7327),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7327),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7327),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7327),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7327),
    [anon_sym_BSLASHacrshort] = ACTIONS(7327),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7327),
    [anon_sym_BSLASHACRshort] = ACTIONS(7327),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHacrlong] = ACTIONS(7327),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7327),
    [anon_sym_BSLASHACRlong] = ACTIONS(7327),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHacrfull] = ACTIONS(7327),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7327),
    [anon_sym_BSLASHACRfull] = ACTIONS(7327),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHacs] = ACTIONS(7327),
    [anon_sym_BSLASHAcs] = ACTIONS(7327),
    [anon_sym_BSLASHacsp] = ACTIONS(7327),
    [anon_sym_BSLASHAcsp] = ACTIONS(7327),
    [anon_sym_BSLASHacl] = ACTIONS(7327),
    [anon_sym_BSLASHAcl] = ACTIONS(7327),
    [anon_sym_BSLASHaclp] = ACTIONS(7327),
    [anon_sym_BSLASHAclp] = ACTIONS(7327),
    [anon_sym_BSLASHacf] = ACTIONS(7327),
    [anon_sym_BSLASHAcf] = ACTIONS(7327),
    [anon_sym_BSLASHacfp] = ACTIONS(7327),
    [anon_sym_BSLASHAcfp] = ACTIONS(7327),
    [anon_sym_BSLASHac] = ACTIONS(7327),
    [anon_sym_BSLASHAc] = ACTIONS(7327),
    [anon_sym_BSLASHacp] = ACTIONS(7327),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7327),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7327),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7327),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7327),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7327),
    [anon_sym_BSLASHcolor] = ACTIONS(7327),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7327),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7327),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7327),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7327),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7327),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7327),
    [anon_sym_BSLASHurl] = ACTIONS(7327),
    [anon_sym_BSLASHhref] = ACTIONS(7327),
  },
  [1695] = {
    [sym_command_name] = ACTIONS(7303),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7303),
    [anon_sym_LBRACK] = ACTIONS(7305),
    [anon_sym_RBRACK] = ACTIONS(7305),
    [anon_sym_COMMA] = ACTIONS(7305),
    [anon_sym_EQ] = ACTIONS(7305),
    [anon_sym_LPAREN] = ACTIONS(7305),
    [anon_sym_RPAREN] = ACTIONS(7305),
    [anon_sym_LBRACE] = ACTIONS(7305),
    [sym_word] = ACTIONS(7303),
    [sym_placeholder] = ACTIONS(7305),
    [sym_delimiter] = ACTIONS(7305),
    [anon_sym_PLUS] = ACTIONS(7305),
    [anon_sym_DASH] = ACTIONS(7305),
    [anon_sym_STAR] = ACTIONS(7305),
    [anon_sym_SLASH] = ACTIONS(7305),
    [anon_sym_LT] = ACTIONS(7303),
    [anon_sym_GT] = ACTIONS(7303),
    [anon_sym_BANG] = ACTIONS(7303),
    [anon_sym_PIPE] = ACTIONS(7303),
    [anon_sym_COLON] = ACTIONS(7303),
    [anon_sym_SQUOTE] = ACTIONS(7303),
    [anon_sym__] = ACTIONS(7305),
    [anon_sym_CARET] = ACTIONS(7305),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7305),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7305),
    [anon_sym_DOLLAR] = ACTIONS(7303),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7305),
    [anon_sym_BSLASHleft] = ACTIONS(7303),
    [anon_sym_BSLASHbigl] = ACTIONS(7303),
    [anon_sym_BSLASHBigl] = ACTIONS(7303),
    [anon_sym_BSLASHbiggl] = ACTIONS(7303),
    [anon_sym_BSLASHBiggl] = ACTIONS(7303),
    [anon_sym_BSLASHtext] = ACTIONS(7303),
    [anon_sym_BSLASHintertext] = ACTIONS(7303),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7303),
    [anon_sym_BSLASHbegin] = ACTIONS(7303),
    [anon_sym_BSLASHend] = ACTIONS(7303),
    [anon_sym_BSLASHtitle] = ACTIONS(7303),
    [anon_sym_BSLASHauthor] = ACTIONS(7303),
    [anon_sym_BSLASHusepackage] = ACTIONS(7303),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7303),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7303),
    [anon_sym_BSLASHinclude] = ACTIONS(7303),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7303),
    [anon_sym_BSLASHinput] = ACTIONS(7303),
    [anon_sym_BSLASHsubfile] = ACTIONS(7303),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7303),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7303),
    [anon_sym_BSLASHbibliography] = ACTIONS(7303),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7303),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7303),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7303),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7303),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7303),
    [anon_sym_BSLASHimport] = ACTIONS(7303),
    [anon_sym_BSLASHsubimport] = ACTIONS(7303),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7303),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7303),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7303),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7303),
    [anon_sym_BSLASHcaption] = ACTIONS(7303),
    [anon_sym_BSLASHcite] = ACTIONS(7303),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCite] = ACTIONS(7303),
    [anon_sym_BSLASHnocite] = ACTIONS(7303),
    [anon_sym_BSLASHcitet] = ACTIONS(7303),
    [anon_sym_BSLASHcitep] = ACTIONS(7303),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteA] = ACTIONS(7303),
    [anon_sym_BSLASHciteR] = ACTIONS(7303),
    [anon_sym_BSLASHciteS] = ACTIONS(7303),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7303),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7303),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7303),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7303),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteyear] = ACTIONS(7303),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitedate] = ACTIONS(7303),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteurl] = ACTIONS(7303),
    [anon_sym_BSLASHfullcite] = ACTIONS(7303),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7303),
    [anon_sym_BSLASHcitealt] = ACTIONS(7303),
    [anon_sym_BSLASHcitealp] = ACTIONS(7303),
    [anon_sym_BSLASHcitetext] = ACTIONS(7303),
    [anon_sym_BSLASHparencite] = ACTIONS(7303),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHParencite] = ACTIONS(7303),
    [anon_sym_BSLASHfootcite] = ACTIONS(7303),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7303),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7303),
    [anon_sym_BSLASHtextcite] = ACTIONS(7303),
    [anon_sym_BSLASHTextcite] = ACTIONS(7303),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7303),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7303),
    [anon_sym_BSLASHsupercite] = ACTIONS(7303),
    [anon_sym_BSLASHautocite] = ACTIONS(7303),
    [anon_sym_BSLASHAutocite] = ACTIONS(7303),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHVolcite] = ACTIONS(7303),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHavolcite] = ACTIONS(7303),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHNotecite] = ACTIONS(7303),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHlabel] = ACTIONS(7303),
    [anon_sym_BSLASHref] = ACTIONS(7303),
    [anon_sym_BSLASHeqref] = ACTIONS(7303),
    [anon_sym_BSLASHvref] = ACTIONS(7303),
    [anon_sym_BSLASHVref] = ACTIONS(7303),
    [anon_sym_BSLASHautoref] = ACTIONS(7303),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHpageref] = ACTIONS(7303),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHautopageref] = ACTIONS(7303),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcref] = ACTIONS(7303),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCref] = ACTIONS(7303),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcpageref] = ACTIONS(7303),
    [anon_sym_BSLASHCpageref] = ACTIONS(7303),
    [anon_sym_BSLASHnamecref] = ACTIONS(7303),
    [anon_sym_BSLASHnameCref] = ACTIONS(7303),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7303),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7303),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7303),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7303),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7303),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7303),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7303),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7303),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7303),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7303),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7303),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHdef] = ACTIONS(7303),
    [anon_sym_BSLASHgdef] = ACTIONS(7303),
    [anon_sym_BSLASHedef] = ACTIONS(7303),
    [anon_sym_BSLASHxdef] = ACTIONS(7303),
    [anon_sym_BSLASHlet] = ACTIONS(7303),
    [anon_sym_BSLASHglet] = ACTIONS(7303),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7303),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7303),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7303),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7303),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7303),
    [anon_sym_BSLASHgls] = ACTIONS(7303),
    [anon_sym_BSLASHGls] = ACTIONS(7303),
    [anon_sym_BSLASHGLS] = ACTIONS(7303),
    [anon_sym_BSLASHglspl] = ACTIONS(7303),
    [anon_sym_BSLASHGlspl] = ACTIONS(7303),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7303),
    [anon_sym_BSLASHglslink] = ACTIONS(7303),
    [anon_sym_BSLASHglstext] = ACTIONS(7303),
    [anon_sym_BSLASHGlstext] = ACTIONS(7303),
    [anon_sym_BSLASHGLStext] = ACTIONS(7303),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7303),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7303),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7303),
    [anon_sym_BSLASHglsplural] = ACTIONS(7303),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7303),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7303),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHglsname] = ACTIONS(7303),
    [anon_sym_BSLASHGlsname] = ACTIONS(7303),
    [anon_sym_BSLASHGLSname] = ACTIONS(7303),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7303),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7303),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7303),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7303),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7303),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7303),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7303),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7303),
    [anon_sym_BSLASHacrshort] = ACTIONS(7303),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7303),
    [anon_sym_BSLASHACRshort] = ACTIONS(7303),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHacrlong] = ACTIONS(7303),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7303),
    [anon_sym_BSLASHACRlong] = ACTIONS(7303),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHacrfull] = ACTIONS(7303),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7303),
    [anon_sym_BSLASHACRfull] = ACTIONS(7303),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHacs] = ACTIONS(7303),
    [anon_sym_BSLASHAcs] = ACTIONS(7303),
    [anon_sym_BSLASHacsp] = ACTIONS(7303),
    [anon_sym_BSLASHAcsp] = ACTIONS(7303),
    [anon_sym_BSLASHacl] = ACTIONS(7303),
    [anon_sym_BSLASHAcl] = ACTIONS(7303),
    [anon_sym_BSLASHaclp] = ACTIONS(7303),
    [anon_sym_BSLASHAclp] = ACTIONS(7303),
    [anon_sym_BSLASHacf] = ACTIONS(7303),
    [anon_sym_BSLASHAcf] = ACTIONS(7303),
    [anon_sym_BSLASHacfp] = ACTIONS(7303),
    [anon_sym_BSLASHAcfp] = ACTIONS(7303),
    [anon_sym_BSLASHac] = ACTIONS(7303),
    [anon_sym_BSLASHAc] = ACTIONS(7303),
    [anon_sym_BSLASHacp] = ACTIONS(7303),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7303),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7303),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7303),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7303),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7303),
    [anon_sym_BSLASHcolor] = ACTIONS(7303),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7303),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7303),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7303),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7303),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7303),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7303),
    [anon_sym_BSLASHurl] = ACTIONS(7303),
    [anon_sym_BSLASHhref] = ACTIONS(7303),
  },
  [1696] = {
    [sym_command_name] = ACTIONS(7499),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7499),
    [anon_sym_LBRACK] = ACTIONS(7501),
    [anon_sym_RBRACK] = ACTIONS(7501),
    [anon_sym_COMMA] = ACTIONS(7501),
    [anon_sym_EQ] = ACTIONS(7501),
    [anon_sym_LPAREN] = ACTIONS(7501),
    [anon_sym_RPAREN] = ACTIONS(7501),
    [anon_sym_LBRACE] = ACTIONS(7501),
    [sym_word] = ACTIONS(7499),
    [sym_placeholder] = ACTIONS(7501),
    [sym_delimiter] = ACTIONS(7501),
    [anon_sym_PLUS] = ACTIONS(7501),
    [anon_sym_DASH] = ACTIONS(7501),
    [anon_sym_STAR] = ACTIONS(7501),
    [anon_sym_SLASH] = ACTIONS(7501),
    [anon_sym_LT] = ACTIONS(7499),
    [anon_sym_GT] = ACTIONS(7499),
    [anon_sym_BANG] = ACTIONS(7499),
    [anon_sym_PIPE] = ACTIONS(7499),
    [anon_sym_COLON] = ACTIONS(7499),
    [anon_sym_SQUOTE] = ACTIONS(7499),
    [anon_sym__] = ACTIONS(7501),
    [anon_sym_CARET] = ACTIONS(7501),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7501),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7501),
    [anon_sym_DOLLAR] = ACTIONS(7499),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7501),
    [anon_sym_BSLASHleft] = ACTIONS(7499),
    [anon_sym_BSLASHbigl] = ACTIONS(7499),
    [anon_sym_BSLASHBigl] = ACTIONS(7499),
    [anon_sym_BSLASHbiggl] = ACTIONS(7499),
    [anon_sym_BSLASHBiggl] = ACTIONS(7499),
    [anon_sym_BSLASHtext] = ACTIONS(7499),
    [anon_sym_BSLASHintertext] = ACTIONS(7499),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7499),
    [anon_sym_BSLASHbegin] = ACTIONS(7499),
    [anon_sym_BSLASHend] = ACTIONS(7499),
    [anon_sym_BSLASHtitle] = ACTIONS(7499),
    [anon_sym_BSLASHauthor] = ACTIONS(7499),
    [anon_sym_BSLASHusepackage] = ACTIONS(7499),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7499),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7499),
    [anon_sym_BSLASHinclude] = ACTIONS(7499),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7499),
    [anon_sym_BSLASHinput] = ACTIONS(7499),
    [anon_sym_BSLASHsubfile] = ACTIONS(7499),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7499),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7499),
    [anon_sym_BSLASHbibliography] = ACTIONS(7499),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7499),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7499),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7499),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7499),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7499),
    [anon_sym_BSLASHimport] = ACTIONS(7499),
    [anon_sym_BSLASHsubimport] = ACTIONS(7499),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7499),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7499),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7499),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7499),
    [anon_sym_BSLASHcaption] = ACTIONS(7499),
    [anon_sym_BSLASHcite] = ACTIONS(7499),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCite] = ACTIONS(7499),
    [anon_sym_BSLASHnocite] = ACTIONS(7499),
    [anon_sym_BSLASHcitet] = ACTIONS(7499),
    [anon_sym_BSLASHcitep] = ACTIONS(7499),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteA] = ACTIONS(7499),
    [anon_sym_BSLASHciteR] = ACTIONS(7499),
    [anon_sym_BSLASHciteS] = ACTIONS(7499),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7499),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7499),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7499),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7499),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteyear] = ACTIONS(7499),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitedate] = ACTIONS(7499),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteurl] = ACTIONS(7499),
    [anon_sym_BSLASHfullcite] = ACTIONS(7499),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7499),
    [anon_sym_BSLASHcitealt] = ACTIONS(7499),
    [anon_sym_BSLASHcitealp] = ACTIONS(7499),
    [anon_sym_BSLASHcitetext] = ACTIONS(7499),
    [anon_sym_BSLASHparencite] = ACTIONS(7499),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHParencite] = ACTIONS(7499),
    [anon_sym_BSLASHfootcite] = ACTIONS(7499),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7499),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7499),
    [anon_sym_BSLASHtextcite] = ACTIONS(7499),
    [anon_sym_BSLASHTextcite] = ACTIONS(7499),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7499),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7499),
    [anon_sym_BSLASHsupercite] = ACTIONS(7499),
    [anon_sym_BSLASHautocite] = ACTIONS(7499),
    [anon_sym_BSLASHAutocite] = ACTIONS(7499),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHVolcite] = ACTIONS(7499),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHavolcite] = ACTIONS(7499),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHNotecite] = ACTIONS(7499),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHlabel] = ACTIONS(7499),
    [anon_sym_BSLASHref] = ACTIONS(7499),
    [anon_sym_BSLASHeqref] = ACTIONS(7499),
    [anon_sym_BSLASHvref] = ACTIONS(7499),
    [anon_sym_BSLASHVref] = ACTIONS(7499),
    [anon_sym_BSLASHautoref] = ACTIONS(7499),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHpageref] = ACTIONS(7499),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHautopageref] = ACTIONS(7499),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcref] = ACTIONS(7499),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCref] = ACTIONS(7499),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcpageref] = ACTIONS(7499),
    [anon_sym_BSLASHCpageref] = ACTIONS(7499),
    [anon_sym_BSLASHnamecref] = ACTIONS(7499),
    [anon_sym_BSLASHnameCref] = ACTIONS(7499),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7499),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7499),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7499),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7499),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7499),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7499),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7499),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7499),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7499),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7499),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7499),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHdef] = ACTIONS(7499),
    [anon_sym_BSLASHgdef] = ACTIONS(7499),
    [anon_sym_BSLASHedef] = ACTIONS(7499),
    [anon_sym_BSLASHxdef] = ACTIONS(7499),
    [anon_sym_BSLASHlet] = ACTIONS(7499),
    [anon_sym_BSLASHglet] = ACTIONS(7499),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7499),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7499),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7499),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7499),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7499),
    [anon_sym_BSLASHgls] = ACTIONS(7499),
    [anon_sym_BSLASHGls] = ACTIONS(7499),
    [anon_sym_BSLASHGLS] = ACTIONS(7499),
    [anon_sym_BSLASHglspl] = ACTIONS(7499),
    [anon_sym_BSLASHGlspl] = ACTIONS(7499),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7499),
    [anon_sym_BSLASHglslink] = ACTIONS(7499),
    [anon_sym_BSLASHglstext] = ACTIONS(7499),
    [anon_sym_BSLASHGlstext] = ACTIONS(7499),
    [anon_sym_BSLASHGLStext] = ACTIONS(7499),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7499),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7499),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7499),
    [anon_sym_BSLASHglsplural] = ACTIONS(7499),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7499),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7499),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHglsname] = ACTIONS(7499),
    [anon_sym_BSLASHGlsname] = ACTIONS(7499),
    [anon_sym_BSLASHGLSname] = ACTIONS(7499),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7499),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7499),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7499),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7499),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7499),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7499),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7499),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7499),
    [anon_sym_BSLASHacrshort] = ACTIONS(7499),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7499),
    [anon_sym_BSLASHACRshort] = ACTIONS(7499),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHacrlong] = ACTIONS(7499),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7499),
    [anon_sym_BSLASHACRlong] = ACTIONS(7499),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHacrfull] = ACTIONS(7499),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7499),
    [anon_sym_BSLASHACRfull] = ACTIONS(7499),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHacs] = ACTIONS(7499),
    [anon_sym_BSLASHAcs] = ACTIONS(7499),
    [anon_sym_BSLASHacsp] = ACTIONS(7499),
    [anon_sym_BSLASHAcsp] = ACTIONS(7499),
    [anon_sym_BSLASHacl] = ACTIONS(7499),
    [anon_sym_BSLASHAcl] = ACTIONS(7499),
    [anon_sym_BSLASHaclp] = ACTIONS(7499),
    [anon_sym_BSLASHAclp] = ACTIONS(7499),
    [anon_sym_BSLASHacf] = ACTIONS(7499),
    [anon_sym_BSLASHAcf] = ACTIONS(7499),
    [anon_sym_BSLASHacfp] = ACTIONS(7499),
    [anon_sym_BSLASHAcfp] = ACTIONS(7499),
    [anon_sym_BSLASHac] = ACTIONS(7499),
    [anon_sym_BSLASHAc] = ACTIONS(7499),
    [anon_sym_BSLASHacp] = ACTIONS(7499),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7499),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7499),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7499),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7499),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7499),
    [anon_sym_BSLASHcolor] = ACTIONS(7499),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7499),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7499),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7499),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7499),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7499),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7499),
    [anon_sym_BSLASHurl] = ACTIONS(7499),
    [anon_sym_BSLASHhref] = ACTIONS(7499),
  },
  [1697] = {
    [sym_command_name] = ACTIONS(7503),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7503),
    [anon_sym_LBRACK] = ACTIONS(7505),
    [anon_sym_RBRACK] = ACTIONS(7505),
    [anon_sym_COMMA] = ACTIONS(7505),
    [anon_sym_EQ] = ACTIONS(7505),
    [anon_sym_LPAREN] = ACTIONS(7505),
    [anon_sym_RPAREN] = ACTIONS(7505),
    [anon_sym_LBRACE] = ACTIONS(7505),
    [sym_word] = ACTIONS(7503),
    [sym_placeholder] = ACTIONS(7505),
    [sym_delimiter] = ACTIONS(7505),
    [anon_sym_PLUS] = ACTIONS(7505),
    [anon_sym_DASH] = ACTIONS(7505),
    [anon_sym_STAR] = ACTIONS(7505),
    [anon_sym_SLASH] = ACTIONS(7505),
    [anon_sym_LT] = ACTIONS(7503),
    [anon_sym_GT] = ACTIONS(7503),
    [anon_sym_BANG] = ACTIONS(7503),
    [anon_sym_PIPE] = ACTIONS(7503),
    [anon_sym_COLON] = ACTIONS(7503),
    [anon_sym_SQUOTE] = ACTIONS(7503),
    [anon_sym__] = ACTIONS(7505),
    [anon_sym_CARET] = ACTIONS(7505),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7505),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7505),
    [anon_sym_DOLLAR] = ACTIONS(7503),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7505),
    [anon_sym_BSLASHleft] = ACTIONS(7503),
    [anon_sym_BSLASHbigl] = ACTIONS(7503),
    [anon_sym_BSLASHBigl] = ACTIONS(7503),
    [anon_sym_BSLASHbiggl] = ACTIONS(7503),
    [anon_sym_BSLASHBiggl] = ACTIONS(7503),
    [anon_sym_BSLASHtext] = ACTIONS(7503),
    [anon_sym_BSLASHintertext] = ACTIONS(7503),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7503),
    [anon_sym_BSLASHbegin] = ACTIONS(7503),
    [anon_sym_BSLASHend] = ACTIONS(7503),
    [anon_sym_BSLASHtitle] = ACTIONS(7503),
    [anon_sym_BSLASHauthor] = ACTIONS(7503),
    [anon_sym_BSLASHusepackage] = ACTIONS(7503),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7503),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7503),
    [anon_sym_BSLASHinclude] = ACTIONS(7503),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7503),
    [anon_sym_BSLASHinput] = ACTIONS(7503),
    [anon_sym_BSLASHsubfile] = ACTIONS(7503),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7503),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7503),
    [anon_sym_BSLASHbibliography] = ACTIONS(7503),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7503),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7503),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7503),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7503),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7503),
    [anon_sym_BSLASHimport] = ACTIONS(7503),
    [anon_sym_BSLASHsubimport] = ACTIONS(7503),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7503),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7503),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7503),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7503),
    [anon_sym_BSLASHcaption] = ACTIONS(7503),
    [anon_sym_BSLASHcite] = ACTIONS(7503),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCite] = ACTIONS(7503),
    [anon_sym_BSLASHnocite] = ACTIONS(7503),
    [anon_sym_BSLASHcitet] = ACTIONS(7503),
    [anon_sym_BSLASHcitep] = ACTIONS(7503),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteA] = ACTIONS(7503),
    [anon_sym_BSLASHciteR] = ACTIONS(7503),
    [anon_sym_BSLASHciteS] = ACTIONS(7503),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7503),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7503),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7503),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7503),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteyear] = ACTIONS(7503),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitedate] = ACTIONS(7503),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteurl] = ACTIONS(7503),
    [anon_sym_BSLASHfullcite] = ACTIONS(7503),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7503),
    [anon_sym_BSLASHcitealt] = ACTIONS(7503),
    [anon_sym_BSLASHcitealp] = ACTIONS(7503),
    [anon_sym_BSLASHcitetext] = ACTIONS(7503),
    [anon_sym_BSLASHparencite] = ACTIONS(7503),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHParencite] = ACTIONS(7503),
    [anon_sym_BSLASHfootcite] = ACTIONS(7503),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7503),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7503),
    [anon_sym_BSLASHtextcite] = ACTIONS(7503),
    [anon_sym_BSLASHTextcite] = ACTIONS(7503),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7503),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7503),
    [anon_sym_BSLASHsupercite] = ACTIONS(7503),
    [anon_sym_BSLASHautocite] = ACTIONS(7503),
    [anon_sym_BSLASHAutocite] = ACTIONS(7503),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHVolcite] = ACTIONS(7503),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHavolcite] = ACTIONS(7503),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHNotecite] = ACTIONS(7503),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHlabel] = ACTIONS(7503),
    [anon_sym_BSLASHref] = ACTIONS(7503),
    [anon_sym_BSLASHeqref] = ACTIONS(7503),
    [anon_sym_BSLASHvref] = ACTIONS(7503),
    [anon_sym_BSLASHVref] = ACTIONS(7503),
    [anon_sym_BSLASHautoref] = ACTIONS(7503),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHpageref] = ACTIONS(7503),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHautopageref] = ACTIONS(7503),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcref] = ACTIONS(7503),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCref] = ACTIONS(7503),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcpageref] = ACTIONS(7503),
    [anon_sym_BSLASHCpageref] = ACTIONS(7503),
    [anon_sym_BSLASHnamecref] = ACTIONS(7503),
    [anon_sym_BSLASHnameCref] = ACTIONS(7503),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7503),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7503),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7503),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7503),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7503),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7503),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7503),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7503),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7503),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7503),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7503),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHdef] = ACTIONS(7503),
    [anon_sym_BSLASHgdef] = ACTIONS(7503),
    [anon_sym_BSLASHedef] = ACTIONS(7503),
    [anon_sym_BSLASHxdef] = ACTIONS(7503),
    [anon_sym_BSLASHlet] = ACTIONS(7503),
    [anon_sym_BSLASHglet] = ACTIONS(7503),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7503),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7503),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7503),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7503),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7503),
    [anon_sym_BSLASHgls] = ACTIONS(7503),
    [anon_sym_BSLASHGls] = ACTIONS(7503),
    [anon_sym_BSLASHGLS] = ACTIONS(7503),
    [anon_sym_BSLASHglspl] = ACTIONS(7503),
    [anon_sym_BSLASHGlspl] = ACTIONS(7503),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7503),
    [anon_sym_BSLASHglslink] = ACTIONS(7503),
    [anon_sym_BSLASHglstext] = ACTIONS(7503),
    [anon_sym_BSLASHGlstext] = ACTIONS(7503),
    [anon_sym_BSLASHGLStext] = ACTIONS(7503),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7503),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7503),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7503),
    [anon_sym_BSLASHglsplural] = ACTIONS(7503),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7503),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7503),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHglsname] = ACTIONS(7503),
    [anon_sym_BSLASHGlsname] = ACTIONS(7503),
    [anon_sym_BSLASHGLSname] = ACTIONS(7503),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7503),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7503),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7503),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7503),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7503),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7503),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7503),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7503),
    [anon_sym_BSLASHacrshort] = ACTIONS(7503),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7503),
    [anon_sym_BSLASHACRshort] = ACTIONS(7503),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHacrlong] = ACTIONS(7503),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7503),
    [anon_sym_BSLASHACRlong] = ACTIONS(7503),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHacrfull] = ACTIONS(7503),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7503),
    [anon_sym_BSLASHACRfull] = ACTIONS(7503),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHacs] = ACTIONS(7503),
    [anon_sym_BSLASHAcs] = ACTIONS(7503),
    [anon_sym_BSLASHacsp] = ACTIONS(7503),
    [anon_sym_BSLASHAcsp] = ACTIONS(7503),
    [anon_sym_BSLASHacl] = ACTIONS(7503),
    [anon_sym_BSLASHAcl] = ACTIONS(7503),
    [anon_sym_BSLASHaclp] = ACTIONS(7503),
    [anon_sym_BSLASHAclp] = ACTIONS(7503),
    [anon_sym_BSLASHacf] = ACTIONS(7503),
    [anon_sym_BSLASHAcf] = ACTIONS(7503),
    [anon_sym_BSLASHacfp] = ACTIONS(7503),
    [anon_sym_BSLASHAcfp] = ACTIONS(7503),
    [anon_sym_BSLASHac] = ACTIONS(7503),
    [anon_sym_BSLASHAc] = ACTIONS(7503),
    [anon_sym_BSLASHacp] = ACTIONS(7503),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7503),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7503),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7503),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7503),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7503),
    [anon_sym_BSLASHcolor] = ACTIONS(7503),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7503),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7503),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7503),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7503),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7503),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7503),
    [anon_sym_BSLASHurl] = ACTIONS(7503),
    [anon_sym_BSLASHhref] = ACTIONS(7503),
  },
  [1698] = {
    [sym_command_name] = ACTIONS(7507),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7507),
    [anon_sym_LBRACK] = ACTIONS(7509),
    [anon_sym_RBRACK] = ACTIONS(7509),
    [anon_sym_COMMA] = ACTIONS(7509),
    [anon_sym_EQ] = ACTIONS(7509),
    [anon_sym_LPAREN] = ACTIONS(7509),
    [anon_sym_RPAREN] = ACTIONS(7509),
    [anon_sym_LBRACE] = ACTIONS(7509),
    [sym_word] = ACTIONS(7507),
    [sym_placeholder] = ACTIONS(7509),
    [sym_delimiter] = ACTIONS(7509),
    [anon_sym_PLUS] = ACTIONS(7509),
    [anon_sym_DASH] = ACTIONS(7509),
    [anon_sym_STAR] = ACTIONS(7509),
    [anon_sym_SLASH] = ACTIONS(7509),
    [anon_sym_LT] = ACTIONS(7507),
    [anon_sym_GT] = ACTIONS(7507),
    [anon_sym_BANG] = ACTIONS(7507),
    [anon_sym_PIPE] = ACTIONS(7507),
    [anon_sym_COLON] = ACTIONS(7507),
    [anon_sym_SQUOTE] = ACTIONS(7507),
    [anon_sym__] = ACTIONS(7509),
    [anon_sym_CARET] = ACTIONS(7509),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7509),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7509),
    [anon_sym_DOLLAR] = ACTIONS(7507),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7509),
    [anon_sym_BSLASHleft] = ACTIONS(7507),
    [anon_sym_BSLASHbigl] = ACTIONS(7507),
    [anon_sym_BSLASHBigl] = ACTIONS(7507),
    [anon_sym_BSLASHbiggl] = ACTIONS(7507),
    [anon_sym_BSLASHBiggl] = ACTIONS(7507),
    [anon_sym_BSLASHtext] = ACTIONS(7507),
    [anon_sym_BSLASHintertext] = ACTIONS(7507),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7507),
    [anon_sym_BSLASHbegin] = ACTIONS(7507),
    [anon_sym_BSLASHend] = ACTIONS(7507),
    [anon_sym_BSLASHtitle] = ACTIONS(7507),
    [anon_sym_BSLASHauthor] = ACTIONS(7507),
    [anon_sym_BSLASHusepackage] = ACTIONS(7507),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7507),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7507),
    [anon_sym_BSLASHinclude] = ACTIONS(7507),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7507),
    [anon_sym_BSLASHinput] = ACTIONS(7507),
    [anon_sym_BSLASHsubfile] = ACTIONS(7507),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7507),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7507),
    [anon_sym_BSLASHbibliography] = ACTIONS(7507),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7507),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7507),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7507),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7507),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7507),
    [anon_sym_BSLASHimport] = ACTIONS(7507),
    [anon_sym_BSLASHsubimport] = ACTIONS(7507),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7507),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7507),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7507),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7507),
    [anon_sym_BSLASHcaption] = ACTIONS(7507),
    [anon_sym_BSLASHcite] = ACTIONS(7507),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCite] = ACTIONS(7507),
    [anon_sym_BSLASHnocite] = ACTIONS(7507),
    [anon_sym_BSLASHcitet] = ACTIONS(7507),
    [anon_sym_BSLASHcitep] = ACTIONS(7507),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteA] = ACTIONS(7507),
    [anon_sym_BSLASHciteR] = ACTIONS(7507),
    [anon_sym_BSLASHciteS] = ACTIONS(7507),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7507),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7507),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7507),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7507),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteyear] = ACTIONS(7507),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitedate] = ACTIONS(7507),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteurl] = ACTIONS(7507),
    [anon_sym_BSLASHfullcite] = ACTIONS(7507),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7507),
    [anon_sym_BSLASHcitealt] = ACTIONS(7507),
    [anon_sym_BSLASHcitealp] = ACTIONS(7507),
    [anon_sym_BSLASHcitetext] = ACTIONS(7507),
    [anon_sym_BSLASHparencite] = ACTIONS(7507),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHParencite] = ACTIONS(7507),
    [anon_sym_BSLASHfootcite] = ACTIONS(7507),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7507),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7507),
    [anon_sym_BSLASHtextcite] = ACTIONS(7507),
    [anon_sym_BSLASHTextcite] = ACTIONS(7507),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7507),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7507),
    [anon_sym_BSLASHsupercite] = ACTIONS(7507),
    [anon_sym_BSLASHautocite] = ACTIONS(7507),
    [anon_sym_BSLASHAutocite] = ACTIONS(7507),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHVolcite] = ACTIONS(7507),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHavolcite] = ACTIONS(7507),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHNotecite] = ACTIONS(7507),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHlabel] = ACTIONS(7507),
    [anon_sym_BSLASHref] = ACTIONS(7507),
    [anon_sym_BSLASHeqref] = ACTIONS(7507),
    [anon_sym_BSLASHvref] = ACTIONS(7507),
    [anon_sym_BSLASHVref] = ACTIONS(7507),
    [anon_sym_BSLASHautoref] = ACTIONS(7507),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHpageref] = ACTIONS(7507),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHautopageref] = ACTIONS(7507),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcref] = ACTIONS(7507),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCref] = ACTIONS(7507),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcpageref] = ACTIONS(7507),
    [anon_sym_BSLASHCpageref] = ACTIONS(7507),
    [anon_sym_BSLASHnamecref] = ACTIONS(7507),
    [anon_sym_BSLASHnameCref] = ACTIONS(7507),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7507),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7507),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7507),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7507),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7507),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7507),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7507),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7507),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7507),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7507),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7507),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHdef] = ACTIONS(7507),
    [anon_sym_BSLASHgdef] = ACTIONS(7507),
    [anon_sym_BSLASHedef] = ACTIONS(7507),
    [anon_sym_BSLASHxdef] = ACTIONS(7507),
    [anon_sym_BSLASHlet] = ACTIONS(7507),
    [anon_sym_BSLASHglet] = ACTIONS(7507),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7507),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7507),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7507),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7507),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7507),
    [anon_sym_BSLASHgls] = ACTIONS(7507),
    [anon_sym_BSLASHGls] = ACTIONS(7507),
    [anon_sym_BSLASHGLS] = ACTIONS(7507),
    [anon_sym_BSLASHglspl] = ACTIONS(7507),
    [anon_sym_BSLASHGlspl] = ACTIONS(7507),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7507),
    [anon_sym_BSLASHglslink] = ACTIONS(7507),
    [anon_sym_BSLASHglstext] = ACTIONS(7507),
    [anon_sym_BSLASHGlstext] = ACTIONS(7507),
    [anon_sym_BSLASHGLStext] = ACTIONS(7507),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7507),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7507),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7507),
    [anon_sym_BSLASHglsplural] = ACTIONS(7507),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7507),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7507),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHglsname] = ACTIONS(7507),
    [anon_sym_BSLASHGlsname] = ACTIONS(7507),
    [anon_sym_BSLASHGLSname] = ACTIONS(7507),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7507),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7507),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7507),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7507),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7507),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7507),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7507),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7507),
    [anon_sym_BSLASHacrshort] = ACTIONS(7507),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7507),
    [anon_sym_BSLASHACRshort] = ACTIONS(7507),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHacrlong] = ACTIONS(7507),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7507),
    [anon_sym_BSLASHACRlong] = ACTIONS(7507),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHacrfull] = ACTIONS(7507),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7507),
    [anon_sym_BSLASHACRfull] = ACTIONS(7507),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHacs] = ACTIONS(7507),
    [anon_sym_BSLASHAcs] = ACTIONS(7507),
    [anon_sym_BSLASHacsp] = ACTIONS(7507),
    [anon_sym_BSLASHAcsp] = ACTIONS(7507),
    [anon_sym_BSLASHacl] = ACTIONS(7507),
    [anon_sym_BSLASHAcl] = ACTIONS(7507),
    [anon_sym_BSLASHaclp] = ACTIONS(7507),
    [anon_sym_BSLASHAclp] = ACTIONS(7507),
    [anon_sym_BSLASHacf] = ACTIONS(7507),
    [anon_sym_BSLASHAcf] = ACTIONS(7507),
    [anon_sym_BSLASHacfp] = ACTIONS(7507),
    [anon_sym_BSLASHAcfp] = ACTIONS(7507),
    [anon_sym_BSLASHac] = ACTIONS(7507),
    [anon_sym_BSLASHAc] = ACTIONS(7507),
    [anon_sym_BSLASHacp] = ACTIONS(7507),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7507),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7507),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7507),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7507),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7507),
    [anon_sym_BSLASHcolor] = ACTIONS(7507),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7507),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7507),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7507),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7507),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7507),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7507),
    [anon_sym_BSLASHurl] = ACTIONS(7507),
    [anon_sym_BSLASHhref] = ACTIONS(7507),
  },
  [1699] = {
    [sym_command_name] = ACTIONS(7511),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(7513),
    [anon_sym_RBRACK] = ACTIONS(7513),
    [anon_sym_COMMA] = ACTIONS(7513),
    [anon_sym_EQ] = ACTIONS(7513),
    [anon_sym_LPAREN] = ACTIONS(7513),
    [anon_sym_RPAREN] = ACTIONS(7513),
    [anon_sym_LBRACE] = ACTIONS(7513),
    [sym_word] = ACTIONS(7511),
    [sym_placeholder] = ACTIONS(7513),
    [sym_delimiter] = ACTIONS(7513),
    [anon_sym_PLUS] = ACTIONS(7513),
    [anon_sym_DASH] = ACTIONS(7513),
    [anon_sym_STAR] = ACTIONS(7513),
    [anon_sym_SLASH] = ACTIONS(7513),
    [anon_sym_LT] = ACTIONS(7511),
    [anon_sym_GT] = ACTIONS(7511),
    [anon_sym_BANG] = ACTIONS(7511),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_COLON] = ACTIONS(7511),
    [anon_sym_SQUOTE] = ACTIONS(7511),
    [anon_sym__] = ACTIONS(7513),
    [anon_sym_CARET] = ACTIONS(7513),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7513),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7513),
    [anon_sym_DOLLAR] = ACTIONS(7511),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7513),
    [anon_sym_BSLASHleft] = ACTIONS(7511),
    [anon_sym_BSLASHbigl] = ACTIONS(7511),
    [anon_sym_BSLASHBigl] = ACTIONS(7511),
    [anon_sym_BSLASHbiggl] = ACTIONS(7511),
    [anon_sym_BSLASHBiggl] = ACTIONS(7511),
    [anon_sym_BSLASHtext] = ACTIONS(7511),
    [anon_sym_BSLASHintertext] = ACTIONS(7511),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7511),
    [anon_sym_BSLASHbegin] = ACTIONS(7511),
    [anon_sym_BSLASHend] = ACTIONS(7511),
    [anon_sym_BSLASHtitle] = ACTIONS(7511),
    [anon_sym_BSLASHauthor] = ACTIONS(7511),
    [anon_sym_BSLASHusepackage] = ACTIONS(7511),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7511),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7511),
    [anon_sym_BSLASHinclude] = ACTIONS(7511),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7511),
    [anon_sym_BSLASHinput] = ACTIONS(7511),
    [anon_sym_BSLASHsubfile] = ACTIONS(7511),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7511),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7511),
    [anon_sym_BSLASHbibliography] = ACTIONS(7511),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7511),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7511),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7511),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7511),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7511),
    [anon_sym_BSLASHimport] = ACTIONS(7511),
    [anon_sym_BSLASHsubimport] = ACTIONS(7511),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7511),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7511),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7511),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7511),
    [anon_sym_BSLASHcaption] = ACTIONS(7511),
    [anon_sym_BSLASHcite] = ACTIONS(7511),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCite] = ACTIONS(7511),
    [anon_sym_BSLASHnocite] = ACTIONS(7511),
    [anon_sym_BSLASHcitet] = ACTIONS(7511),
    [anon_sym_BSLASHcitep] = ACTIONS(7511),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteA] = ACTIONS(7511),
    [anon_sym_BSLASHciteR] = ACTIONS(7511),
    [anon_sym_BSLASHciteS] = ACTIONS(7511),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7511),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7511),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7511),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7511),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteyear] = ACTIONS(7511),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitedate] = ACTIONS(7511),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteurl] = ACTIONS(7511),
    [anon_sym_BSLASHfullcite] = ACTIONS(7511),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7511),
    [anon_sym_BSLASHcitealt] = ACTIONS(7511),
    [anon_sym_BSLASHcitealp] = ACTIONS(7511),
    [anon_sym_BSLASHcitetext] = ACTIONS(7511),
    [anon_sym_BSLASHparencite] = ACTIONS(7511),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHParencite] = ACTIONS(7511),
    [anon_sym_BSLASHfootcite] = ACTIONS(7511),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7511),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7511),
    [anon_sym_BSLASHtextcite] = ACTIONS(7511),
    [anon_sym_BSLASHTextcite] = ACTIONS(7511),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7511),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7511),
    [anon_sym_BSLASHsupercite] = ACTIONS(7511),
    [anon_sym_BSLASHautocite] = ACTIONS(7511),
    [anon_sym_BSLASHAutocite] = ACTIONS(7511),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHVolcite] = ACTIONS(7511),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHavolcite] = ACTIONS(7511),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHNotecite] = ACTIONS(7511),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHlabel] = ACTIONS(7511),
    [anon_sym_BSLASHref] = ACTIONS(7511),
    [anon_sym_BSLASHeqref] = ACTIONS(7511),
    [anon_sym_BSLASHvref] = ACTIONS(7511),
    [anon_sym_BSLASHVref] = ACTIONS(7511),
    [anon_sym_BSLASHautoref] = ACTIONS(7511),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHpageref] = ACTIONS(7511),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHautopageref] = ACTIONS(7511),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcref] = ACTIONS(7511),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCref] = ACTIONS(7511),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcpageref] = ACTIONS(7511),
    [anon_sym_BSLASHCpageref] = ACTIONS(7511),
    [anon_sym_BSLASHnamecref] = ACTIONS(7511),
    [anon_sym_BSLASHnameCref] = ACTIONS(7511),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7511),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7511),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7511),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7511),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7511),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7511),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7511),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7511),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7511),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7511),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7511),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHdef] = ACTIONS(7511),
    [anon_sym_BSLASHgdef] = ACTIONS(7511),
    [anon_sym_BSLASHedef] = ACTIONS(7511),
    [anon_sym_BSLASHxdef] = ACTIONS(7511),
    [anon_sym_BSLASHlet] = ACTIONS(7511),
    [anon_sym_BSLASHglet] = ACTIONS(7511),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7511),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7511),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7511),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7511),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7511),
    [anon_sym_BSLASHgls] = ACTIONS(7511),
    [anon_sym_BSLASHGls] = ACTIONS(7511),
    [anon_sym_BSLASHGLS] = ACTIONS(7511),
    [anon_sym_BSLASHglspl] = ACTIONS(7511),
    [anon_sym_BSLASHGlspl] = ACTIONS(7511),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7511),
    [anon_sym_BSLASHglslink] = ACTIONS(7511),
    [anon_sym_BSLASHglstext] = ACTIONS(7511),
    [anon_sym_BSLASHGlstext] = ACTIONS(7511),
    [anon_sym_BSLASHGLStext] = ACTIONS(7511),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7511),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7511),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7511),
    [anon_sym_BSLASHglsplural] = ACTIONS(7511),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7511),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7511),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHglsname] = ACTIONS(7511),
    [anon_sym_BSLASHGlsname] = ACTIONS(7511),
    [anon_sym_BSLASHGLSname] = ACTIONS(7511),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7511),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7511),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7511),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7511),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7511),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7511),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7511),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7511),
    [anon_sym_BSLASHacrshort] = ACTIONS(7511),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7511),
    [anon_sym_BSLASHACRshort] = ACTIONS(7511),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHacrlong] = ACTIONS(7511),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7511),
    [anon_sym_BSLASHACRlong] = ACTIONS(7511),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHacrfull] = ACTIONS(7511),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7511),
    [anon_sym_BSLASHACRfull] = ACTIONS(7511),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHacs] = ACTIONS(7511),
    [anon_sym_BSLASHAcs] = ACTIONS(7511),
    [anon_sym_BSLASHacsp] = ACTIONS(7511),
    [anon_sym_BSLASHAcsp] = ACTIONS(7511),
    [anon_sym_BSLASHacl] = ACTIONS(7511),
    [anon_sym_BSLASHAcl] = ACTIONS(7511),
    [anon_sym_BSLASHaclp] = ACTIONS(7511),
    [anon_sym_BSLASHAclp] = ACTIONS(7511),
    [anon_sym_BSLASHacf] = ACTIONS(7511),
    [anon_sym_BSLASHAcf] = ACTIONS(7511),
    [anon_sym_BSLASHacfp] = ACTIONS(7511),
    [anon_sym_BSLASHAcfp] = ACTIONS(7511),
    [anon_sym_BSLASHac] = ACTIONS(7511),
    [anon_sym_BSLASHAc] = ACTIONS(7511),
    [anon_sym_BSLASHacp] = ACTIONS(7511),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7511),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7511),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7511),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7511),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7511),
    [anon_sym_BSLASHcolor] = ACTIONS(7511),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7511),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7511),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7511),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7511),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7511),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7511),
    [anon_sym_BSLASHurl] = ACTIONS(7511),
    [anon_sym_BSLASHhref] = ACTIONS(7511),
  },
  [1700] = {
    [sym_command_name] = ACTIONS(7515),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7515),
    [anon_sym_LBRACK] = ACTIONS(7517),
    [anon_sym_RBRACK] = ACTIONS(7517),
    [anon_sym_COMMA] = ACTIONS(7517),
    [anon_sym_EQ] = ACTIONS(7517),
    [anon_sym_LPAREN] = ACTIONS(7517),
    [anon_sym_RPAREN] = ACTIONS(7517),
    [anon_sym_LBRACE] = ACTIONS(7517),
    [sym_word] = ACTIONS(7515),
    [sym_placeholder] = ACTIONS(7517),
    [sym_delimiter] = ACTIONS(7517),
    [anon_sym_PLUS] = ACTIONS(7517),
    [anon_sym_DASH] = ACTIONS(7517),
    [anon_sym_STAR] = ACTIONS(7517),
    [anon_sym_SLASH] = ACTIONS(7517),
    [anon_sym_LT] = ACTIONS(7515),
    [anon_sym_GT] = ACTIONS(7515),
    [anon_sym_BANG] = ACTIONS(7515),
    [anon_sym_PIPE] = ACTIONS(7515),
    [anon_sym_COLON] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7515),
    [anon_sym__] = ACTIONS(7517),
    [anon_sym_CARET] = ACTIONS(7517),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7517),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7517),
    [anon_sym_DOLLAR] = ACTIONS(7515),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7517),
    [anon_sym_BSLASHleft] = ACTIONS(7515),
    [anon_sym_BSLASHbigl] = ACTIONS(7515),
    [anon_sym_BSLASHBigl] = ACTIONS(7515),
    [anon_sym_BSLASHbiggl] = ACTIONS(7515),
    [anon_sym_BSLASHBiggl] = ACTIONS(7515),
    [anon_sym_BSLASHtext] = ACTIONS(7515),
    [anon_sym_BSLASHintertext] = ACTIONS(7515),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7515),
    [anon_sym_BSLASHbegin] = ACTIONS(7515),
    [anon_sym_BSLASHend] = ACTIONS(7515),
    [anon_sym_BSLASHtitle] = ACTIONS(7515),
    [anon_sym_BSLASHauthor] = ACTIONS(7515),
    [anon_sym_BSLASHusepackage] = ACTIONS(7515),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7515),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7515),
    [anon_sym_BSLASHinclude] = ACTIONS(7515),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7515),
    [anon_sym_BSLASHinput] = ACTIONS(7515),
    [anon_sym_BSLASHsubfile] = ACTIONS(7515),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7515),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7515),
    [anon_sym_BSLASHbibliography] = ACTIONS(7515),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7515),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7515),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7515),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7515),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7515),
    [anon_sym_BSLASHimport] = ACTIONS(7515),
    [anon_sym_BSLASHsubimport] = ACTIONS(7515),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7515),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7515),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7515),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7515),
    [anon_sym_BSLASHcaption] = ACTIONS(7515),
    [anon_sym_BSLASHcite] = ACTIONS(7515),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCite] = ACTIONS(7515),
    [anon_sym_BSLASHnocite] = ACTIONS(7515),
    [anon_sym_BSLASHcitet] = ACTIONS(7515),
    [anon_sym_BSLASHcitep] = ACTIONS(7515),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteA] = ACTIONS(7515),
    [anon_sym_BSLASHciteR] = ACTIONS(7515),
    [anon_sym_BSLASHciteS] = ACTIONS(7515),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7515),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7515),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7515),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7515),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteyear] = ACTIONS(7515),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitedate] = ACTIONS(7515),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteurl] = ACTIONS(7515),
    [anon_sym_BSLASHfullcite] = ACTIONS(7515),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7515),
    [anon_sym_BSLASHcitealt] = ACTIONS(7515),
    [anon_sym_BSLASHcitealp] = ACTIONS(7515),
    [anon_sym_BSLASHcitetext] = ACTIONS(7515),
    [anon_sym_BSLASHparencite] = ACTIONS(7515),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHParencite] = ACTIONS(7515),
    [anon_sym_BSLASHfootcite] = ACTIONS(7515),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7515),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7515),
    [anon_sym_BSLASHtextcite] = ACTIONS(7515),
    [anon_sym_BSLASHTextcite] = ACTIONS(7515),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7515),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7515),
    [anon_sym_BSLASHsupercite] = ACTIONS(7515),
    [anon_sym_BSLASHautocite] = ACTIONS(7515),
    [anon_sym_BSLASHAutocite] = ACTIONS(7515),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHVolcite] = ACTIONS(7515),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHavolcite] = ACTIONS(7515),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHNotecite] = ACTIONS(7515),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHlabel] = ACTIONS(7515),
    [anon_sym_BSLASHref] = ACTIONS(7515),
    [anon_sym_BSLASHeqref] = ACTIONS(7515),
    [anon_sym_BSLASHvref] = ACTIONS(7515),
    [anon_sym_BSLASHVref] = ACTIONS(7515),
    [anon_sym_BSLASHautoref] = ACTIONS(7515),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHpageref] = ACTIONS(7515),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHautopageref] = ACTIONS(7515),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcref] = ACTIONS(7515),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCref] = ACTIONS(7515),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcpageref] = ACTIONS(7515),
    [anon_sym_BSLASHCpageref] = ACTIONS(7515),
    [anon_sym_BSLASHnamecref] = ACTIONS(7515),
    [anon_sym_BSLASHnameCref] = ACTIONS(7515),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7515),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7515),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7515),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7515),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7515),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7515),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7515),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7515),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7515),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7515),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7515),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHdef] = ACTIONS(7515),
    [anon_sym_BSLASHgdef] = ACTIONS(7515),
    [anon_sym_BSLASHedef] = ACTIONS(7515),
    [anon_sym_BSLASHxdef] = ACTIONS(7515),
    [anon_sym_BSLASHlet] = ACTIONS(7515),
    [anon_sym_BSLASHglet] = ACTIONS(7515),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7515),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7515),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7515),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7515),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7515),
    [anon_sym_BSLASHgls] = ACTIONS(7515),
    [anon_sym_BSLASHGls] = ACTIONS(7515),
    [anon_sym_BSLASHGLS] = ACTIONS(7515),
    [anon_sym_BSLASHglspl] = ACTIONS(7515),
    [anon_sym_BSLASHGlspl] = ACTIONS(7515),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7515),
    [anon_sym_BSLASHglslink] = ACTIONS(7515),
    [anon_sym_BSLASHglstext] = ACTIONS(7515),
    [anon_sym_BSLASHGlstext] = ACTIONS(7515),
    [anon_sym_BSLASHGLStext] = ACTIONS(7515),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7515),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7515),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7515),
    [anon_sym_BSLASHglsplural] = ACTIONS(7515),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7515),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7515),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHglsname] = ACTIONS(7515),
    [anon_sym_BSLASHGlsname] = ACTIONS(7515),
    [anon_sym_BSLASHGLSname] = ACTIONS(7515),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7515),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7515),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7515),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7515),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7515),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7515),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7515),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7515),
    [anon_sym_BSLASHacrshort] = ACTIONS(7515),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7515),
    [anon_sym_BSLASHACRshort] = ACTIONS(7515),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHacrlong] = ACTIONS(7515),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7515),
    [anon_sym_BSLASHACRlong] = ACTIONS(7515),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHacrfull] = ACTIONS(7515),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7515),
    [anon_sym_BSLASHACRfull] = ACTIONS(7515),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHacs] = ACTIONS(7515),
    [anon_sym_BSLASHAcs] = ACTIONS(7515),
    [anon_sym_BSLASHacsp] = ACTIONS(7515),
    [anon_sym_BSLASHAcsp] = ACTIONS(7515),
    [anon_sym_BSLASHacl] = ACTIONS(7515),
    [anon_sym_BSLASHAcl] = ACTIONS(7515),
    [anon_sym_BSLASHaclp] = ACTIONS(7515),
    [anon_sym_BSLASHAclp] = ACTIONS(7515),
    [anon_sym_BSLASHacf] = ACTIONS(7515),
    [anon_sym_BSLASHAcf] = ACTIONS(7515),
    [anon_sym_BSLASHacfp] = ACTIONS(7515),
    [anon_sym_BSLASHAcfp] = ACTIONS(7515),
    [anon_sym_BSLASHac] = ACTIONS(7515),
    [anon_sym_BSLASHAc] = ACTIONS(7515),
    [anon_sym_BSLASHacp] = ACTIONS(7515),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7515),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7515),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7515),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7515),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7515),
    [anon_sym_BSLASHcolor] = ACTIONS(7515),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7515),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7515),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7515),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7515),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7515),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7515),
    [anon_sym_BSLASHurl] = ACTIONS(7515),
    [anon_sym_BSLASHhref] = ACTIONS(7515),
  },
  [1701] = {
    [sym_command_name] = ACTIONS(7307),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7307),
    [anon_sym_LBRACK] = ACTIONS(7309),
    [anon_sym_RBRACK] = ACTIONS(7309),
    [anon_sym_COMMA] = ACTIONS(7309),
    [anon_sym_EQ] = ACTIONS(7309),
    [anon_sym_LPAREN] = ACTIONS(7309),
    [anon_sym_RPAREN] = ACTIONS(7309),
    [anon_sym_LBRACE] = ACTIONS(7309),
    [sym_word] = ACTIONS(7307),
    [sym_placeholder] = ACTIONS(7309),
    [sym_delimiter] = ACTIONS(7309),
    [anon_sym_PLUS] = ACTIONS(7309),
    [anon_sym_DASH] = ACTIONS(7309),
    [anon_sym_STAR] = ACTIONS(7309),
    [anon_sym_SLASH] = ACTIONS(7309),
    [anon_sym_LT] = ACTIONS(7307),
    [anon_sym_GT] = ACTIONS(7307),
    [anon_sym_BANG] = ACTIONS(7307),
    [anon_sym_PIPE] = ACTIONS(7307),
    [anon_sym_COLON] = ACTIONS(7307),
    [anon_sym_SQUOTE] = ACTIONS(7307),
    [anon_sym__] = ACTIONS(7309),
    [anon_sym_CARET] = ACTIONS(7309),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7309),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7309),
    [anon_sym_DOLLAR] = ACTIONS(7307),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7309),
    [anon_sym_BSLASHleft] = ACTIONS(7307),
    [anon_sym_BSLASHbigl] = ACTIONS(7307),
    [anon_sym_BSLASHBigl] = ACTIONS(7307),
    [anon_sym_BSLASHbiggl] = ACTIONS(7307),
    [anon_sym_BSLASHBiggl] = ACTIONS(7307),
    [anon_sym_BSLASHtext] = ACTIONS(7307),
    [anon_sym_BSLASHintertext] = ACTIONS(7307),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7307),
    [anon_sym_BSLASHbegin] = ACTIONS(7307),
    [anon_sym_BSLASHend] = ACTIONS(7307),
    [anon_sym_BSLASHtitle] = ACTIONS(7307),
    [anon_sym_BSLASHauthor] = ACTIONS(7307),
    [anon_sym_BSLASHusepackage] = ACTIONS(7307),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7307),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7307),
    [anon_sym_BSLASHinclude] = ACTIONS(7307),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7307),
    [anon_sym_BSLASHinput] = ACTIONS(7307),
    [anon_sym_BSLASHsubfile] = ACTIONS(7307),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7307),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7307),
    [anon_sym_BSLASHbibliography] = ACTIONS(7307),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7307),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7307),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7307),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7307),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7307),
    [anon_sym_BSLASHimport] = ACTIONS(7307),
    [anon_sym_BSLASHsubimport] = ACTIONS(7307),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7307),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7307),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7307),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7307),
    [anon_sym_BSLASHcaption] = ACTIONS(7307),
    [anon_sym_BSLASHcite] = ACTIONS(7307),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCite] = ACTIONS(7307),
    [anon_sym_BSLASHnocite] = ACTIONS(7307),
    [anon_sym_BSLASHcitet] = ACTIONS(7307),
    [anon_sym_BSLASHcitep] = ACTIONS(7307),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteA] = ACTIONS(7307),
    [anon_sym_BSLASHciteR] = ACTIONS(7307),
    [anon_sym_BSLASHciteS] = ACTIONS(7307),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7307),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7307),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7307),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7307),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteyear] = ACTIONS(7307),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitedate] = ACTIONS(7307),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteurl] = ACTIONS(7307),
    [anon_sym_BSLASHfullcite] = ACTIONS(7307),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7307),
    [anon_sym_BSLASHcitealt] = ACTIONS(7307),
    [anon_sym_BSLASHcitealp] = ACTIONS(7307),
    [anon_sym_BSLASHcitetext] = ACTIONS(7307),
    [anon_sym_BSLASHparencite] = ACTIONS(7307),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHParencite] = ACTIONS(7307),
    [anon_sym_BSLASHfootcite] = ACTIONS(7307),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7307),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7307),
    [anon_sym_BSLASHtextcite] = ACTIONS(7307),
    [anon_sym_BSLASHTextcite] = ACTIONS(7307),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7307),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7307),
    [anon_sym_BSLASHsupercite] = ACTIONS(7307),
    [anon_sym_BSLASHautocite] = ACTIONS(7307),
    [anon_sym_BSLASHAutocite] = ACTIONS(7307),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHVolcite] = ACTIONS(7307),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHavolcite] = ACTIONS(7307),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHNotecite] = ACTIONS(7307),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHlabel] = ACTIONS(7307),
    [anon_sym_BSLASHref] = ACTIONS(7307),
    [anon_sym_BSLASHeqref] = ACTIONS(7307),
    [anon_sym_BSLASHvref] = ACTIONS(7307),
    [anon_sym_BSLASHVref] = ACTIONS(7307),
    [anon_sym_BSLASHautoref] = ACTIONS(7307),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHpageref] = ACTIONS(7307),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHautopageref] = ACTIONS(7307),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcref] = ACTIONS(7307),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCref] = ACTIONS(7307),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcpageref] = ACTIONS(7307),
    [anon_sym_BSLASHCpageref] = ACTIONS(7307),
    [anon_sym_BSLASHnamecref] = ACTIONS(7307),
    [anon_sym_BSLASHnameCref] = ACTIONS(7307),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7307),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7307),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7307),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7307),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7307),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7307),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7307),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7307),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7307),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7307),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7307),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHdef] = ACTIONS(7307),
    [anon_sym_BSLASHgdef] = ACTIONS(7307),
    [anon_sym_BSLASHedef] = ACTIONS(7307),
    [anon_sym_BSLASHxdef] = ACTIONS(7307),
    [anon_sym_BSLASHlet] = ACTIONS(7307),
    [anon_sym_BSLASHglet] = ACTIONS(7307),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7307),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7307),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7307),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7307),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7307),
    [anon_sym_BSLASHgls] = ACTIONS(7307),
    [anon_sym_BSLASHGls] = ACTIONS(7307),
    [anon_sym_BSLASHGLS] = ACTIONS(7307),
    [anon_sym_BSLASHglspl] = ACTIONS(7307),
    [anon_sym_BSLASHGlspl] = ACTIONS(7307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7307),
    [anon_sym_BSLASHglslink] = ACTIONS(7307),
    [anon_sym_BSLASHglstext] = ACTIONS(7307),
    [anon_sym_BSLASHGlstext] = ACTIONS(7307),
    [anon_sym_BSLASHGLStext] = ACTIONS(7307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7307),
    [anon_sym_BSLASHglsplural] = ACTIONS(7307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHglsname] = ACTIONS(7307),
    [anon_sym_BSLASHGlsname] = ACTIONS(7307),
    [anon_sym_BSLASHGLSname] = ACTIONS(7307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7307),
    [anon_sym_BSLASHacrshort] = ACTIONS(7307),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7307),
    [anon_sym_BSLASHACRshort] = ACTIONS(7307),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHacrlong] = ACTIONS(7307),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7307),
    [anon_sym_BSLASHACRlong] = ACTIONS(7307),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHacrfull] = ACTIONS(7307),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7307),
    [anon_sym_BSLASHACRfull] = ACTIONS(7307),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHacs] = ACTIONS(7307),
    [anon_sym_BSLASHAcs] = ACTIONS(7307),
    [anon_sym_BSLASHacsp] = ACTIONS(7307),
    [anon_sym_BSLASHAcsp] = ACTIONS(7307),
    [anon_sym_BSLASHacl] = ACTIONS(7307),
    [anon_sym_BSLASHAcl] = ACTIONS(7307),
    [anon_sym_BSLASHaclp] = ACTIONS(7307),
    [anon_sym_BSLASHAclp] = ACTIONS(7307),
    [anon_sym_BSLASHacf] = ACTIONS(7307),
    [anon_sym_BSLASHAcf] = ACTIONS(7307),
    [anon_sym_BSLASHacfp] = ACTIONS(7307),
    [anon_sym_BSLASHAcfp] = ACTIONS(7307),
    [anon_sym_BSLASHac] = ACTIONS(7307),
    [anon_sym_BSLASHAc] = ACTIONS(7307),
    [anon_sym_BSLASHacp] = ACTIONS(7307),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7307),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7307),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7307),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7307),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7307),
    [anon_sym_BSLASHcolor] = ACTIONS(7307),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7307),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7307),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7307),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7307),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7307),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7307),
    [anon_sym_BSLASHurl] = ACTIONS(7307),
    [anon_sym_BSLASHhref] = ACTIONS(7307),
  },
  [1702] = {
    [sym_command_name] = ACTIONS(7519),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7519),
    [anon_sym_LBRACK] = ACTIONS(7521),
    [anon_sym_RBRACK] = ACTIONS(7521),
    [anon_sym_COMMA] = ACTIONS(7521),
    [anon_sym_EQ] = ACTIONS(7521),
    [anon_sym_LPAREN] = ACTIONS(7521),
    [anon_sym_RPAREN] = ACTIONS(7521),
    [anon_sym_LBRACE] = ACTIONS(7521),
    [sym_word] = ACTIONS(7519),
    [sym_placeholder] = ACTIONS(7521),
    [sym_delimiter] = ACTIONS(7521),
    [anon_sym_PLUS] = ACTIONS(7521),
    [anon_sym_DASH] = ACTIONS(7521),
    [anon_sym_STAR] = ACTIONS(7521),
    [anon_sym_SLASH] = ACTIONS(7521),
    [anon_sym_LT] = ACTIONS(7519),
    [anon_sym_GT] = ACTIONS(7519),
    [anon_sym_BANG] = ACTIONS(7519),
    [anon_sym_PIPE] = ACTIONS(7519),
    [anon_sym_COLON] = ACTIONS(7519),
    [anon_sym_SQUOTE] = ACTIONS(7519),
    [anon_sym__] = ACTIONS(7521),
    [anon_sym_CARET] = ACTIONS(7521),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7521),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7521),
    [anon_sym_DOLLAR] = ACTIONS(7519),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7521),
    [anon_sym_BSLASHleft] = ACTIONS(7519),
    [anon_sym_BSLASHbigl] = ACTIONS(7519),
    [anon_sym_BSLASHBigl] = ACTIONS(7519),
    [anon_sym_BSLASHbiggl] = ACTIONS(7519),
    [anon_sym_BSLASHBiggl] = ACTIONS(7519),
    [anon_sym_BSLASHtext] = ACTIONS(7519),
    [anon_sym_BSLASHintertext] = ACTIONS(7519),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7519),
    [anon_sym_BSLASHbegin] = ACTIONS(7519),
    [anon_sym_BSLASHend] = ACTIONS(7519),
    [anon_sym_BSLASHtitle] = ACTIONS(7519),
    [anon_sym_BSLASHauthor] = ACTIONS(7519),
    [anon_sym_BSLASHusepackage] = ACTIONS(7519),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7519),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7519),
    [anon_sym_BSLASHinclude] = ACTIONS(7519),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7519),
    [anon_sym_BSLASHinput] = ACTIONS(7519),
    [anon_sym_BSLASHsubfile] = ACTIONS(7519),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7519),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7519),
    [anon_sym_BSLASHbibliography] = ACTIONS(7519),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7519),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7519),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7519),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7519),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7519),
    [anon_sym_BSLASHimport] = ACTIONS(7519),
    [anon_sym_BSLASHsubimport] = ACTIONS(7519),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7519),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7519),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7519),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7519),
    [anon_sym_BSLASHcaption] = ACTIONS(7519),
    [anon_sym_BSLASHcite] = ACTIONS(7519),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCite] = ACTIONS(7519),
    [anon_sym_BSLASHnocite] = ACTIONS(7519),
    [anon_sym_BSLASHcitet] = ACTIONS(7519),
    [anon_sym_BSLASHcitep] = ACTIONS(7519),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteA] = ACTIONS(7519),
    [anon_sym_BSLASHciteR] = ACTIONS(7519),
    [anon_sym_BSLASHciteS] = ACTIONS(7519),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7519),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7519),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7519),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7519),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteyear] = ACTIONS(7519),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitedate] = ACTIONS(7519),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteurl] = ACTIONS(7519),
    [anon_sym_BSLASHfullcite] = ACTIONS(7519),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7519),
    [anon_sym_BSLASHcitealt] = ACTIONS(7519),
    [anon_sym_BSLASHcitealp] = ACTIONS(7519),
    [anon_sym_BSLASHcitetext] = ACTIONS(7519),
    [anon_sym_BSLASHparencite] = ACTIONS(7519),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHParencite] = ACTIONS(7519),
    [anon_sym_BSLASHfootcite] = ACTIONS(7519),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7519),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7519),
    [anon_sym_BSLASHtextcite] = ACTIONS(7519),
    [anon_sym_BSLASHTextcite] = ACTIONS(7519),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7519),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7519),
    [anon_sym_BSLASHsupercite] = ACTIONS(7519),
    [anon_sym_BSLASHautocite] = ACTIONS(7519),
    [anon_sym_BSLASHAutocite] = ACTIONS(7519),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHVolcite] = ACTIONS(7519),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHavolcite] = ACTIONS(7519),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHNotecite] = ACTIONS(7519),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHlabel] = ACTIONS(7519),
    [anon_sym_BSLASHref] = ACTIONS(7519),
    [anon_sym_BSLASHeqref] = ACTIONS(7519),
    [anon_sym_BSLASHvref] = ACTIONS(7519),
    [anon_sym_BSLASHVref] = ACTIONS(7519),
    [anon_sym_BSLASHautoref] = ACTIONS(7519),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHpageref] = ACTIONS(7519),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHautopageref] = ACTIONS(7519),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcref] = ACTIONS(7519),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCref] = ACTIONS(7519),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcpageref] = ACTIONS(7519),
    [anon_sym_BSLASHCpageref] = ACTIONS(7519),
    [anon_sym_BSLASHnamecref] = ACTIONS(7519),
    [anon_sym_BSLASHnameCref] = ACTIONS(7519),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7519),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7519),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7519),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7519),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7519),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7519),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7519),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7519),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7519),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7519),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7519),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHdef] = ACTIONS(7519),
    [anon_sym_BSLASHgdef] = ACTIONS(7519),
    [anon_sym_BSLASHedef] = ACTIONS(7519),
    [anon_sym_BSLASHxdef] = ACTIONS(7519),
    [anon_sym_BSLASHlet] = ACTIONS(7519),
    [anon_sym_BSLASHglet] = ACTIONS(7519),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7519),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7519),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7519),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7519),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7519),
    [anon_sym_BSLASHgls] = ACTIONS(7519),
    [anon_sym_BSLASHGls] = ACTIONS(7519),
    [anon_sym_BSLASHGLS] = ACTIONS(7519),
    [anon_sym_BSLASHglspl] = ACTIONS(7519),
    [anon_sym_BSLASHGlspl] = ACTIONS(7519),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7519),
    [anon_sym_BSLASHglslink] = ACTIONS(7519),
    [anon_sym_BSLASHglstext] = ACTIONS(7519),
    [anon_sym_BSLASHGlstext] = ACTIONS(7519),
    [anon_sym_BSLASHGLStext] = ACTIONS(7519),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7519),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7519),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7519),
    [anon_sym_BSLASHglsplural] = ACTIONS(7519),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7519),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7519),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHglsname] = ACTIONS(7519),
    [anon_sym_BSLASHGlsname] = ACTIONS(7519),
    [anon_sym_BSLASHGLSname] = ACTIONS(7519),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7519),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7519),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7519),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7519),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7519),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7519),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7519),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7519),
    [anon_sym_BSLASHacrshort] = ACTIONS(7519),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7519),
    [anon_sym_BSLASHACRshort] = ACTIONS(7519),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHacrlong] = ACTIONS(7519),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7519),
    [anon_sym_BSLASHACRlong] = ACTIONS(7519),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHacrfull] = ACTIONS(7519),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7519),
    [anon_sym_BSLASHACRfull] = ACTIONS(7519),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHacs] = ACTIONS(7519),
    [anon_sym_BSLASHAcs] = ACTIONS(7519),
    [anon_sym_BSLASHacsp] = ACTIONS(7519),
    [anon_sym_BSLASHAcsp] = ACTIONS(7519),
    [anon_sym_BSLASHacl] = ACTIONS(7519),
    [anon_sym_BSLASHAcl] = ACTIONS(7519),
    [anon_sym_BSLASHaclp] = ACTIONS(7519),
    [anon_sym_BSLASHAclp] = ACTIONS(7519),
    [anon_sym_BSLASHacf] = ACTIONS(7519),
    [anon_sym_BSLASHAcf] = ACTIONS(7519),
    [anon_sym_BSLASHacfp] = ACTIONS(7519),
    [anon_sym_BSLASHAcfp] = ACTIONS(7519),
    [anon_sym_BSLASHac] = ACTIONS(7519),
    [anon_sym_BSLASHAc] = ACTIONS(7519),
    [anon_sym_BSLASHacp] = ACTIONS(7519),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7519),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7519),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7519),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7519),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7519),
    [anon_sym_BSLASHcolor] = ACTIONS(7519),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7519),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7519),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7519),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7519),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7519),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7519),
    [anon_sym_BSLASHurl] = ACTIONS(7519),
    [anon_sym_BSLASHhref] = ACTIONS(7519),
  },
  [1703] = {
    [sym_command_name] = ACTIONS(7523),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7523),
    [anon_sym_LBRACK] = ACTIONS(7525),
    [anon_sym_RBRACK] = ACTIONS(7525),
    [anon_sym_COMMA] = ACTIONS(7525),
    [anon_sym_EQ] = ACTIONS(7525),
    [anon_sym_LPAREN] = ACTIONS(7525),
    [anon_sym_RPAREN] = ACTIONS(7525),
    [anon_sym_LBRACE] = ACTIONS(7525),
    [sym_word] = ACTIONS(7523),
    [sym_placeholder] = ACTIONS(7525),
    [sym_delimiter] = ACTIONS(7525),
    [anon_sym_PLUS] = ACTIONS(7525),
    [anon_sym_DASH] = ACTIONS(7525),
    [anon_sym_STAR] = ACTIONS(7525),
    [anon_sym_SLASH] = ACTIONS(7525),
    [anon_sym_LT] = ACTIONS(7523),
    [anon_sym_GT] = ACTIONS(7523),
    [anon_sym_BANG] = ACTIONS(7523),
    [anon_sym_PIPE] = ACTIONS(7523),
    [anon_sym_COLON] = ACTIONS(7523),
    [anon_sym_SQUOTE] = ACTIONS(7523),
    [anon_sym__] = ACTIONS(7525),
    [anon_sym_CARET] = ACTIONS(7525),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7525),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7525),
    [anon_sym_DOLLAR] = ACTIONS(7523),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7525),
    [anon_sym_BSLASHleft] = ACTIONS(7523),
    [anon_sym_BSLASHbigl] = ACTIONS(7523),
    [anon_sym_BSLASHBigl] = ACTIONS(7523),
    [anon_sym_BSLASHbiggl] = ACTIONS(7523),
    [anon_sym_BSLASHBiggl] = ACTIONS(7523),
    [anon_sym_BSLASHtext] = ACTIONS(7523),
    [anon_sym_BSLASHintertext] = ACTIONS(7523),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7523),
    [anon_sym_BSLASHbegin] = ACTIONS(7523),
    [anon_sym_BSLASHend] = ACTIONS(7523),
    [anon_sym_BSLASHtitle] = ACTIONS(7523),
    [anon_sym_BSLASHauthor] = ACTIONS(7523),
    [anon_sym_BSLASHusepackage] = ACTIONS(7523),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7523),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7523),
    [anon_sym_BSLASHinclude] = ACTIONS(7523),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7523),
    [anon_sym_BSLASHinput] = ACTIONS(7523),
    [anon_sym_BSLASHsubfile] = ACTIONS(7523),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7523),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7523),
    [anon_sym_BSLASHbibliography] = ACTIONS(7523),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7523),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7523),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7523),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7523),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7523),
    [anon_sym_BSLASHimport] = ACTIONS(7523),
    [anon_sym_BSLASHsubimport] = ACTIONS(7523),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7523),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7523),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7523),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7523),
    [anon_sym_BSLASHcaption] = ACTIONS(7523),
    [anon_sym_BSLASHcite] = ACTIONS(7523),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCite] = ACTIONS(7523),
    [anon_sym_BSLASHnocite] = ACTIONS(7523),
    [anon_sym_BSLASHcitet] = ACTIONS(7523),
    [anon_sym_BSLASHcitep] = ACTIONS(7523),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteA] = ACTIONS(7523),
    [anon_sym_BSLASHciteR] = ACTIONS(7523),
    [anon_sym_BSLASHciteS] = ACTIONS(7523),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7523),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7523),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7523),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7523),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteyear] = ACTIONS(7523),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitedate] = ACTIONS(7523),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteurl] = ACTIONS(7523),
    [anon_sym_BSLASHfullcite] = ACTIONS(7523),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7523),
    [anon_sym_BSLASHcitealt] = ACTIONS(7523),
    [anon_sym_BSLASHcitealp] = ACTIONS(7523),
    [anon_sym_BSLASHcitetext] = ACTIONS(7523),
    [anon_sym_BSLASHparencite] = ACTIONS(7523),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHParencite] = ACTIONS(7523),
    [anon_sym_BSLASHfootcite] = ACTIONS(7523),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7523),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7523),
    [anon_sym_BSLASHtextcite] = ACTIONS(7523),
    [anon_sym_BSLASHTextcite] = ACTIONS(7523),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7523),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7523),
    [anon_sym_BSLASHsupercite] = ACTIONS(7523),
    [anon_sym_BSLASHautocite] = ACTIONS(7523),
    [anon_sym_BSLASHAutocite] = ACTIONS(7523),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHVolcite] = ACTIONS(7523),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHavolcite] = ACTIONS(7523),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHNotecite] = ACTIONS(7523),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHlabel] = ACTIONS(7523),
    [anon_sym_BSLASHref] = ACTIONS(7523),
    [anon_sym_BSLASHeqref] = ACTIONS(7523),
    [anon_sym_BSLASHvref] = ACTIONS(7523),
    [anon_sym_BSLASHVref] = ACTIONS(7523),
    [anon_sym_BSLASHautoref] = ACTIONS(7523),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHpageref] = ACTIONS(7523),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHautopageref] = ACTIONS(7523),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcref] = ACTIONS(7523),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCref] = ACTIONS(7523),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcpageref] = ACTIONS(7523),
    [anon_sym_BSLASHCpageref] = ACTIONS(7523),
    [anon_sym_BSLASHnamecref] = ACTIONS(7523),
    [anon_sym_BSLASHnameCref] = ACTIONS(7523),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7523),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7523),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7523),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7523),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7523),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7523),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7523),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7523),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7523),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7523),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7523),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHdef] = ACTIONS(7523),
    [anon_sym_BSLASHgdef] = ACTIONS(7523),
    [anon_sym_BSLASHedef] = ACTIONS(7523),
    [anon_sym_BSLASHxdef] = ACTIONS(7523),
    [anon_sym_BSLASHlet] = ACTIONS(7523),
    [anon_sym_BSLASHglet] = ACTIONS(7523),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7523),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7523),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7523),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7523),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7523),
    [anon_sym_BSLASHgls] = ACTIONS(7523),
    [anon_sym_BSLASHGls] = ACTIONS(7523),
    [anon_sym_BSLASHGLS] = ACTIONS(7523),
    [anon_sym_BSLASHglspl] = ACTIONS(7523),
    [anon_sym_BSLASHGlspl] = ACTIONS(7523),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7523),
    [anon_sym_BSLASHglslink] = ACTIONS(7523),
    [anon_sym_BSLASHglstext] = ACTIONS(7523),
    [anon_sym_BSLASHGlstext] = ACTIONS(7523),
    [anon_sym_BSLASHGLStext] = ACTIONS(7523),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7523),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7523),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7523),
    [anon_sym_BSLASHglsplural] = ACTIONS(7523),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7523),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7523),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHglsname] = ACTIONS(7523),
    [anon_sym_BSLASHGlsname] = ACTIONS(7523),
    [anon_sym_BSLASHGLSname] = ACTIONS(7523),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7523),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7523),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7523),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7523),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7523),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7523),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7523),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7523),
    [anon_sym_BSLASHacrshort] = ACTIONS(7523),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7523),
    [anon_sym_BSLASHACRshort] = ACTIONS(7523),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHacrlong] = ACTIONS(7523),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7523),
    [anon_sym_BSLASHACRlong] = ACTIONS(7523),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHacrfull] = ACTIONS(7523),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7523),
    [anon_sym_BSLASHACRfull] = ACTIONS(7523),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHacs] = ACTIONS(7523),
    [anon_sym_BSLASHAcs] = ACTIONS(7523),
    [anon_sym_BSLASHacsp] = ACTIONS(7523),
    [anon_sym_BSLASHAcsp] = ACTIONS(7523),
    [anon_sym_BSLASHacl] = ACTIONS(7523),
    [anon_sym_BSLASHAcl] = ACTIONS(7523),
    [anon_sym_BSLASHaclp] = ACTIONS(7523),
    [anon_sym_BSLASHAclp] = ACTIONS(7523),
    [anon_sym_BSLASHacf] = ACTIONS(7523),
    [anon_sym_BSLASHAcf] = ACTIONS(7523),
    [anon_sym_BSLASHacfp] = ACTIONS(7523),
    [anon_sym_BSLASHAcfp] = ACTIONS(7523),
    [anon_sym_BSLASHac] = ACTIONS(7523),
    [anon_sym_BSLASHAc] = ACTIONS(7523),
    [anon_sym_BSLASHacp] = ACTIONS(7523),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7523),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7523),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7523),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7523),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7523),
    [anon_sym_BSLASHcolor] = ACTIONS(7523),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7523),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7523),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7523),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7523),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7523),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7523),
    [anon_sym_BSLASHurl] = ACTIONS(7523),
    [anon_sym_BSLASHhref] = ACTIONS(7523),
  },
  [1704] = {
    [sym_command_name] = ACTIONS(7527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7527),
    [anon_sym_LBRACK] = ACTIONS(7529),
    [anon_sym_RBRACK] = ACTIONS(7529),
    [anon_sym_COMMA] = ACTIONS(7529),
    [anon_sym_EQ] = ACTIONS(7529),
    [anon_sym_LPAREN] = ACTIONS(7529),
    [anon_sym_RPAREN] = ACTIONS(7529),
    [anon_sym_LBRACE] = ACTIONS(7529),
    [sym_word] = ACTIONS(7527),
    [sym_placeholder] = ACTIONS(7529),
    [sym_delimiter] = ACTIONS(7529),
    [anon_sym_PLUS] = ACTIONS(7529),
    [anon_sym_DASH] = ACTIONS(7529),
    [anon_sym_STAR] = ACTIONS(7529),
    [anon_sym_SLASH] = ACTIONS(7529),
    [anon_sym_LT] = ACTIONS(7527),
    [anon_sym_GT] = ACTIONS(7527),
    [anon_sym_BANG] = ACTIONS(7527),
    [anon_sym_PIPE] = ACTIONS(7527),
    [anon_sym_COLON] = ACTIONS(7527),
    [anon_sym_SQUOTE] = ACTIONS(7527),
    [anon_sym__] = ACTIONS(7529),
    [anon_sym_CARET] = ACTIONS(7529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7529),
    [anon_sym_DOLLAR] = ACTIONS(7527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7529),
    [anon_sym_BSLASHleft] = ACTIONS(7527),
    [anon_sym_BSLASHbigl] = ACTIONS(7527),
    [anon_sym_BSLASHBigl] = ACTIONS(7527),
    [anon_sym_BSLASHbiggl] = ACTIONS(7527),
    [anon_sym_BSLASHBiggl] = ACTIONS(7527),
    [anon_sym_BSLASHtext] = ACTIONS(7527),
    [anon_sym_BSLASHintertext] = ACTIONS(7527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7527),
    [anon_sym_BSLASHbegin] = ACTIONS(7527),
    [anon_sym_BSLASHend] = ACTIONS(7527),
    [anon_sym_BSLASHtitle] = ACTIONS(7527),
    [anon_sym_BSLASHauthor] = ACTIONS(7527),
    [anon_sym_BSLASHusepackage] = ACTIONS(7527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7527),
    [anon_sym_BSLASHinclude] = ACTIONS(7527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7527),
    [anon_sym_BSLASHinput] = ACTIONS(7527),
    [anon_sym_BSLASHsubfile] = ACTIONS(7527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7527),
    [anon_sym_BSLASHbibliography] = ACTIONS(7527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7527),
    [anon_sym_BSLASHimport] = ACTIONS(7527),
    [anon_sym_BSLASHsubimport] = ACTIONS(7527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7527),
    [anon_sym_BSLASHcaption] = ACTIONS(7527),
    [anon_sym_BSLASHcite] = ACTIONS(7527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCite] = ACTIONS(7527),
    [anon_sym_BSLASHnocite] = ACTIONS(7527),
    [anon_sym_BSLASHcitet] = ACTIONS(7527),
    [anon_sym_BSLASHcitep] = ACTIONS(7527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteA] = ACTIONS(7527),
    [anon_sym_BSLASHciteR] = ACTIONS(7527),
    [anon_sym_BSLASHciteS] = ACTIONS(7527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteyear] = ACTIONS(7527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitedate] = ACTIONS(7527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteurl] = ACTIONS(7527),
    [anon_sym_BSLASHfullcite] = ACTIONS(7527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7527),
    [anon_sym_BSLASHcitealt] = ACTIONS(7527),
    [anon_sym_BSLASHcitealp] = ACTIONS(7527),
    [anon_sym_BSLASHcitetext] = ACTIONS(7527),
    [anon_sym_BSLASHparencite] = ACTIONS(7527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHParencite] = ACTIONS(7527),
    [anon_sym_BSLASHfootcite] = ACTIONS(7527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7527),
    [anon_sym_BSLASHtextcite] = ACTIONS(7527),
    [anon_sym_BSLASHTextcite] = ACTIONS(7527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7527),
    [anon_sym_BSLASHsupercite] = ACTIONS(7527),
    [anon_sym_BSLASHautocite] = ACTIONS(7527),
    [anon_sym_BSLASHAutocite] = ACTIONS(7527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHVolcite] = ACTIONS(7527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHavolcite] = ACTIONS(7527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHNotecite] = ACTIONS(7527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHlabel] = ACTIONS(7527),
    [anon_sym_BSLASHref] = ACTIONS(7527),
    [anon_sym_BSLASHeqref] = ACTIONS(7527),
    [anon_sym_BSLASHvref] = ACTIONS(7527),
    [anon_sym_BSLASHVref] = ACTIONS(7527),
    [anon_sym_BSLASHautoref] = ACTIONS(7527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHpageref] = ACTIONS(7527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHautopageref] = ACTIONS(7527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcref] = ACTIONS(7527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCref] = ACTIONS(7527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcpageref] = ACTIONS(7527),
    [anon_sym_BSLASHCpageref] = ACTIONS(7527),
    [anon_sym_BSLASHnamecref] = ACTIONS(7527),
    [anon_sym_BSLASHnameCref] = ACTIONS(7527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHdef] = ACTIONS(7527),
    [anon_sym_BSLASHgdef] = ACTIONS(7527),
    [anon_sym_BSLASHedef] = ACTIONS(7527),
    [anon_sym_BSLASHxdef] = ACTIONS(7527),
    [anon_sym_BSLASHlet] = ACTIONS(7527),
    [anon_sym_BSLASHglet] = ACTIONS(7527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7527),
    [anon_sym_BSLASHgls] = ACTIONS(7527),
    [anon_sym_BSLASHGls] = ACTIONS(7527),
    [anon_sym_BSLASHGLS] = ACTIONS(7527),
    [anon_sym_BSLASHglspl] = ACTIONS(7527),
    [anon_sym_BSLASHGlspl] = ACTIONS(7527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7527),
    [anon_sym_BSLASHglslink] = ACTIONS(7527),
    [anon_sym_BSLASHglstext] = ACTIONS(7527),
    [anon_sym_BSLASHGlstext] = ACTIONS(7527),
    [anon_sym_BSLASHGLStext] = ACTIONS(7527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7527),
    [anon_sym_BSLASHglsplural] = ACTIONS(7527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHglsname] = ACTIONS(7527),
    [anon_sym_BSLASHGlsname] = ACTIONS(7527),
    [anon_sym_BSLASHGLSname] = ACTIONS(7527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7527),
    [anon_sym_BSLASHacrshort] = ACTIONS(7527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7527),
    [anon_sym_BSLASHACRshort] = ACTIONS(7527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHacrlong] = ACTIONS(7527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7527),
    [anon_sym_BSLASHACRlong] = ACTIONS(7527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHacrfull] = ACTIONS(7527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7527),
    [anon_sym_BSLASHACRfull] = ACTIONS(7527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHacs] = ACTIONS(7527),
    [anon_sym_BSLASHAcs] = ACTIONS(7527),
    [anon_sym_BSLASHacsp] = ACTIONS(7527),
    [anon_sym_BSLASHAcsp] = ACTIONS(7527),
    [anon_sym_BSLASHacl] = ACTIONS(7527),
    [anon_sym_BSLASHAcl] = ACTIONS(7527),
    [anon_sym_BSLASHaclp] = ACTIONS(7527),
    [anon_sym_BSLASHAclp] = ACTIONS(7527),
    [anon_sym_BSLASHacf] = ACTIONS(7527),
    [anon_sym_BSLASHAcf] = ACTIONS(7527),
    [anon_sym_BSLASHacfp] = ACTIONS(7527),
    [anon_sym_BSLASHAcfp] = ACTIONS(7527),
    [anon_sym_BSLASHac] = ACTIONS(7527),
    [anon_sym_BSLASHAc] = ACTIONS(7527),
    [anon_sym_BSLASHacp] = ACTIONS(7527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7527),
    [anon_sym_BSLASHcolor] = ACTIONS(7527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7527),
    [anon_sym_BSLASHurl] = ACTIONS(7527),
    [anon_sym_BSLASHhref] = ACTIONS(7527),
  },
  [1705] = {
    [sym_command_name] = ACTIONS(7331),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7331),
    [anon_sym_LBRACK] = ACTIONS(7333),
    [anon_sym_RBRACK] = ACTIONS(7333),
    [anon_sym_COMMA] = ACTIONS(7333),
    [anon_sym_EQ] = ACTIONS(7333),
    [anon_sym_LPAREN] = ACTIONS(7333),
    [anon_sym_RPAREN] = ACTIONS(7333),
    [anon_sym_LBRACE] = ACTIONS(7333),
    [sym_word] = ACTIONS(7331),
    [sym_placeholder] = ACTIONS(7333),
    [sym_delimiter] = ACTIONS(7333),
    [anon_sym_PLUS] = ACTIONS(7333),
    [anon_sym_DASH] = ACTIONS(7333),
    [anon_sym_STAR] = ACTIONS(7333),
    [anon_sym_SLASH] = ACTIONS(7333),
    [anon_sym_LT] = ACTIONS(7331),
    [anon_sym_GT] = ACTIONS(7331),
    [anon_sym_BANG] = ACTIONS(7331),
    [anon_sym_PIPE] = ACTIONS(7331),
    [anon_sym_COLON] = ACTIONS(7331),
    [anon_sym_SQUOTE] = ACTIONS(7331),
    [anon_sym__] = ACTIONS(7333),
    [anon_sym_CARET] = ACTIONS(7333),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7333),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7333),
    [anon_sym_DOLLAR] = ACTIONS(7331),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7333),
    [anon_sym_BSLASHleft] = ACTIONS(7331),
    [anon_sym_BSLASHbigl] = ACTIONS(7331),
    [anon_sym_BSLASHBigl] = ACTIONS(7331),
    [anon_sym_BSLASHbiggl] = ACTIONS(7331),
    [anon_sym_BSLASHBiggl] = ACTIONS(7331),
    [anon_sym_BSLASHtext] = ACTIONS(7331),
    [anon_sym_BSLASHintertext] = ACTIONS(7331),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7331),
    [anon_sym_BSLASHbegin] = ACTIONS(7331),
    [anon_sym_BSLASHend] = ACTIONS(7331),
    [anon_sym_BSLASHtitle] = ACTIONS(7331),
    [anon_sym_BSLASHauthor] = ACTIONS(7331),
    [anon_sym_BSLASHusepackage] = ACTIONS(7331),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7331),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7331),
    [anon_sym_BSLASHinclude] = ACTIONS(7331),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7331),
    [anon_sym_BSLASHinput] = ACTIONS(7331),
    [anon_sym_BSLASHsubfile] = ACTIONS(7331),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7331),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7331),
    [anon_sym_BSLASHbibliography] = ACTIONS(7331),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7331),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7331),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7331),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7331),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7331),
    [anon_sym_BSLASHimport] = ACTIONS(7331),
    [anon_sym_BSLASHsubimport] = ACTIONS(7331),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7331),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7331),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7331),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7331),
    [anon_sym_BSLASHcaption] = ACTIONS(7331),
    [anon_sym_BSLASHcite] = ACTIONS(7331),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCite] = ACTIONS(7331),
    [anon_sym_BSLASHnocite] = ACTIONS(7331),
    [anon_sym_BSLASHcitet] = ACTIONS(7331),
    [anon_sym_BSLASHcitep] = ACTIONS(7331),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteA] = ACTIONS(7331),
    [anon_sym_BSLASHciteR] = ACTIONS(7331),
    [anon_sym_BSLASHciteS] = ACTIONS(7331),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7331),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7331),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7331),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7331),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteyear] = ACTIONS(7331),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitedate] = ACTIONS(7331),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteurl] = ACTIONS(7331),
    [anon_sym_BSLASHfullcite] = ACTIONS(7331),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7331),
    [anon_sym_BSLASHcitealt] = ACTIONS(7331),
    [anon_sym_BSLASHcitealp] = ACTIONS(7331),
    [anon_sym_BSLASHcitetext] = ACTIONS(7331),
    [anon_sym_BSLASHparencite] = ACTIONS(7331),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHParencite] = ACTIONS(7331),
    [anon_sym_BSLASHfootcite] = ACTIONS(7331),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7331),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7331),
    [anon_sym_BSLASHtextcite] = ACTIONS(7331),
    [anon_sym_BSLASHTextcite] = ACTIONS(7331),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7331),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7331),
    [anon_sym_BSLASHsupercite] = ACTIONS(7331),
    [anon_sym_BSLASHautocite] = ACTIONS(7331),
    [anon_sym_BSLASHAutocite] = ACTIONS(7331),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHVolcite] = ACTIONS(7331),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHavolcite] = ACTIONS(7331),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHNotecite] = ACTIONS(7331),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHlabel] = ACTIONS(7331),
    [anon_sym_BSLASHref] = ACTIONS(7331),
    [anon_sym_BSLASHeqref] = ACTIONS(7331),
    [anon_sym_BSLASHvref] = ACTIONS(7331),
    [anon_sym_BSLASHVref] = ACTIONS(7331),
    [anon_sym_BSLASHautoref] = ACTIONS(7331),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHpageref] = ACTIONS(7331),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHautopageref] = ACTIONS(7331),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcref] = ACTIONS(7331),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCref] = ACTIONS(7331),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcpageref] = ACTIONS(7331),
    [anon_sym_BSLASHCpageref] = ACTIONS(7331),
    [anon_sym_BSLASHnamecref] = ACTIONS(7331),
    [anon_sym_BSLASHnameCref] = ACTIONS(7331),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7331),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7331),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7331),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7331),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7331),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7331),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7331),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7331),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7331),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7331),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7331),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHdef] = ACTIONS(7331),
    [anon_sym_BSLASHgdef] = ACTIONS(7331),
    [anon_sym_BSLASHedef] = ACTIONS(7331),
    [anon_sym_BSLASHxdef] = ACTIONS(7331),
    [anon_sym_BSLASHlet] = ACTIONS(7331),
    [anon_sym_BSLASHglet] = ACTIONS(7331),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7331),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7331),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7331),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7331),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7331),
    [anon_sym_BSLASHgls] = ACTIONS(7331),
    [anon_sym_BSLASHGls] = ACTIONS(7331),
    [anon_sym_BSLASHGLS] = ACTIONS(7331),
    [anon_sym_BSLASHglspl] = ACTIONS(7331),
    [anon_sym_BSLASHGlspl] = ACTIONS(7331),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7331),
    [anon_sym_BSLASHglslink] = ACTIONS(7331),
    [anon_sym_BSLASHglstext] = ACTIONS(7331),
    [anon_sym_BSLASHGlstext] = ACTIONS(7331),
    [anon_sym_BSLASHGLStext] = ACTIONS(7331),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7331),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7331),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7331),
    [anon_sym_BSLASHglsplural] = ACTIONS(7331),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7331),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7331),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHglsname] = ACTIONS(7331),
    [anon_sym_BSLASHGlsname] = ACTIONS(7331),
    [anon_sym_BSLASHGLSname] = ACTIONS(7331),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7331),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7331),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7331),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7331),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7331),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7331),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7331),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7331),
    [anon_sym_BSLASHacrshort] = ACTIONS(7331),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7331),
    [anon_sym_BSLASHACRshort] = ACTIONS(7331),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHacrlong] = ACTIONS(7331),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7331),
    [anon_sym_BSLASHACRlong] = ACTIONS(7331),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHacrfull] = ACTIONS(7331),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7331),
    [anon_sym_BSLASHACRfull] = ACTIONS(7331),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHacs] = ACTIONS(7331),
    [anon_sym_BSLASHAcs] = ACTIONS(7331),
    [anon_sym_BSLASHacsp] = ACTIONS(7331),
    [anon_sym_BSLASHAcsp] = ACTIONS(7331),
    [anon_sym_BSLASHacl] = ACTIONS(7331),
    [anon_sym_BSLASHAcl] = ACTIONS(7331),
    [anon_sym_BSLASHaclp] = ACTIONS(7331),
    [anon_sym_BSLASHAclp] = ACTIONS(7331),
    [anon_sym_BSLASHacf] = ACTIONS(7331),
    [anon_sym_BSLASHAcf] = ACTIONS(7331),
    [anon_sym_BSLASHacfp] = ACTIONS(7331),
    [anon_sym_BSLASHAcfp] = ACTIONS(7331),
    [anon_sym_BSLASHac] = ACTIONS(7331),
    [anon_sym_BSLASHAc] = ACTIONS(7331),
    [anon_sym_BSLASHacp] = ACTIONS(7331),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7331),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7331),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7331),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7331),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7331),
    [anon_sym_BSLASHcolor] = ACTIONS(7331),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7331),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7331),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7331),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7331),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7331),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7331),
    [anon_sym_BSLASHurl] = ACTIONS(7331),
    [anon_sym_BSLASHhref] = ACTIONS(7331),
  },
  [1706] = {
    [sym_command_name] = ACTIONS(7335),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7335),
    [anon_sym_LBRACK] = ACTIONS(7337),
    [anon_sym_RBRACK] = ACTIONS(7337),
    [anon_sym_COMMA] = ACTIONS(7337),
    [anon_sym_EQ] = ACTIONS(7337),
    [anon_sym_LPAREN] = ACTIONS(7337),
    [anon_sym_RPAREN] = ACTIONS(7337),
    [anon_sym_LBRACE] = ACTIONS(7337),
    [sym_word] = ACTIONS(7335),
    [sym_placeholder] = ACTIONS(7337),
    [sym_delimiter] = ACTIONS(7337),
    [anon_sym_PLUS] = ACTIONS(7337),
    [anon_sym_DASH] = ACTIONS(7337),
    [anon_sym_STAR] = ACTIONS(7337),
    [anon_sym_SLASH] = ACTIONS(7337),
    [anon_sym_LT] = ACTIONS(7335),
    [anon_sym_GT] = ACTIONS(7335),
    [anon_sym_BANG] = ACTIONS(7335),
    [anon_sym_PIPE] = ACTIONS(7335),
    [anon_sym_COLON] = ACTIONS(7335),
    [anon_sym_SQUOTE] = ACTIONS(7335),
    [anon_sym__] = ACTIONS(7337),
    [anon_sym_CARET] = ACTIONS(7337),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7337),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7337),
    [anon_sym_DOLLAR] = ACTIONS(7335),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7337),
    [anon_sym_BSLASHleft] = ACTIONS(7335),
    [anon_sym_BSLASHbigl] = ACTIONS(7335),
    [anon_sym_BSLASHBigl] = ACTIONS(7335),
    [anon_sym_BSLASHbiggl] = ACTIONS(7335),
    [anon_sym_BSLASHBiggl] = ACTIONS(7335),
    [anon_sym_BSLASHtext] = ACTIONS(7335),
    [anon_sym_BSLASHintertext] = ACTIONS(7335),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7335),
    [anon_sym_BSLASHbegin] = ACTIONS(7335),
    [anon_sym_BSLASHend] = ACTIONS(7335),
    [anon_sym_BSLASHtitle] = ACTIONS(7335),
    [anon_sym_BSLASHauthor] = ACTIONS(7335),
    [anon_sym_BSLASHusepackage] = ACTIONS(7335),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7335),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7335),
    [anon_sym_BSLASHinclude] = ACTIONS(7335),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7335),
    [anon_sym_BSLASHinput] = ACTIONS(7335),
    [anon_sym_BSLASHsubfile] = ACTIONS(7335),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7335),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7335),
    [anon_sym_BSLASHbibliography] = ACTIONS(7335),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7335),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7335),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7335),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7335),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7335),
    [anon_sym_BSLASHimport] = ACTIONS(7335),
    [anon_sym_BSLASHsubimport] = ACTIONS(7335),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7335),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7335),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7335),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7335),
    [anon_sym_BSLASHcaption] = ACTIONS(7335),
    [anon_sym_BSLASHcite] = ACTIONS(7335),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCite] = ACTIONS(7335),
    [anon_sym_BSLASHnocite] = ACTIONS(7335),
    [anon_sym_BSLASHcitet] = ACTIONS(7335),
    [anon_sym_BSLASHcitep] = ACTIONS(7335),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteA] = ACTIONS(7335),
    [anon_sym_BSLASHciteR] = ACTIONS(7335),
    [anon_sym_BSLASHciteS] = ACTIONS(7335),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7335),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7335),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7335),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7335),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteyear] = ACTIONS(7335),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitedate] = ACTIONS(7335),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteurl] = ACTIONS(7335),
    [anon_sym_BSLASHfullcite] = ACTIONS(7335),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7335),
    [anon_sym_BSLASHcitealt] = ACTIONS(7335),
    [anon_sym_BSLASHcitealp] = ACTIONS(7335),
    [anon_sym_BSLASHcitetext] = ACTIONS(7335),
    [anon_sym_BSLASHparencite] = ACTIONS(7335),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHParencite] = ACTIONS(7335),
    [anon_sym_BSLASHfootcite] = ACTIONS(7335),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7335),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7335),
    [anon_sym_BSLASHtextcite] = ACTIONS(7335),
    [anon_sym_BSLASHTextcite] = ACTIONS(7335),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7335),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7335),
    [anon_sym_BSLASHsupercite] = ACTIONS(7335),
    [anon_sym_BSLASHautocite] = ACTIONS(7335),
    [anon_sym_BSLASHAutocite] = ACTIONS(7335),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHVolcite] = ACTIONS(7335),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHavolcite] = ACTIONS(7335),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHNotecite] = ACTIONS(7335),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHlabel] = ACTIONS(7335),
    [anon_sym_BSLASHref] = ACTIONS(7335),
    [anon_sym_BSLASHeqref] = ACTIONS(7335),
    [anon_sym_BSLASHvref] = ACTIONS(7335),
    [anon_sym_BSLASHVref] = ACTIONS(7335),
    [anon_sym_BSLASHautoref] = ACTIONS(7335),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHpageref] = ACTIONS(7335),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHautopageref] = ACTIONS(7335),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcref] = ACTIONS(7335),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCref] = ACTIONS(7335),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcpageref] = ACTIONS(7335),
    [anon_sym_BSLASHCpageref] = ACTIONS(7335),
    [anon_sym_BSLASHnamecref] = ACTIONS(7335),
    [anon_sym_BSLASHnameCref] = ACTIONS(7335),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7335),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7335),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7335),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7335),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7335),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7335),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7335),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7335),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7335),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7335),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7335),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHdef] = ACTIONS(7335),
    [anon_sym_BSLASHgdef] = ACTIONS(7335),
    [anon_sym_BSLASHedef] = ACTIONS(7335),
    [anon_sym_BSLASHxdef] = ACTIONS(7335),
    [anon_sym_BSLASHlet] = ACTIONS(7335),
    [anon_sym_BSLASHglet] = ACTIONS(7335),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7335),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7335),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7335),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7335),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7335),
    [anon_sym_BSLASHgls] = ACTIONS(7335),
    [anon_sym_BSLASHGls] = ACTIONS(7335),
    [anon_sym_BSLASHGLS] = ACTIONS(7335),
    [anon_sym_BSLASHglspl] = ACTIONS(7335),
    [anon_sym_BSLASHGlspl] = ACTIONS(7335),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7335),
    [anon_sym_BSLASHglslink] = ACTIONS(7335),
    [anon_sym_BSLASHglstext] = ACTIONS(7335),
    [anon_sym_BSLASHGlstext] = ACTIONS(7335),
    [anon_sym_BSLASHGLStext] = ACTIONS(7335),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7335),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7335),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7335),
    [anon_sym_BSLASHglsplural] = ACTIONS(7335),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7335),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7335),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHglsname] = ACTIONS(7335),
    [anon_sym_BSLASHGlsname] = ACTIONS(7335),
    [anon_sym_BSLASHGLSname] = ACTIONS(7335),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7335),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7335),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7335),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7335),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7335),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7335),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7335),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7335),
    [anon_sym_BSLASHacrshort] = ACTIONS(7335),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7335),
    [anon_sym_BSLASHACRshort] = ACTIONS(7335),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHacrlong] = ACTIONS(7335),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7335),
    [anon_sym_BSLASHACRlong] = ACTIONS(7335),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHacrfull] = ACTIONS(7335),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7335),
    [anon_sym_BSLASHACRfull] = ACTIONS(7335),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHacs] = ACTIONS(7335),
    [anon_sym_BSLASHAcs] = ACTIONS(7335),
    [anon_sym_BSLASHacsp] = ACTIONS(7335),
    [anon_sym_BSLASHAcsp] = ACTIONS(7335),
    [anon_sym_BSLASHacl] = ACTIONS(7335),
    [anon_sym_BSLASHAcl] = ACTIONS(7335),
    [anon_sym_BSLASHaclp] = ACTIONS(7335),
    [anon_sym_BSLASHAclp] = ACTIONS(7335),
    [anon_sym_BSLASHacf] = ACTIONS(7335),
    [anon_sym_BSLASHAcf] = ACTIONS(7335),
    [anon_sym_BSLASHacfp] = ACTIONS(7335),
    [anon_sym_BSLASHAcfp] = ACTIONS(7335),
    [anon_sym_BSLASHac] = ACTIONS(7335),
    [anon_sym_BSLASHAc] = ACTIONS(7335),
    [anon_sym_BSLASHacp] = ACTIONS(7335),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7335),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7335),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7335),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7335),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7335),
    [anon_sym_BSLASHcolor] = ACTIONS(7335),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7335),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7335),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7335),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7335),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7335),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7335),
    [anon_sym_BSLASHurl] = ACTIONS(7335),
    [anon_sym_BSLASHhref] = ACTIONS(7335),
  },
  [1707] = {
    [sym_command_name] = ACTIONS(7339),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7339),
    [anon_sym_LBRACK] = ACTIONS(7341),
    [anon_sym_RBRACK] = ACTIONS(7341),
    [anon_sym_COMMA] = ACTIONS(7341),
    [anon_sym_EQ] = ACTIONS(7341),
    [anon_sym_LPAREN] = ACTIONS(7341),
    [anon_sym_RPAREN] = ACTIONS(7341),
    [anon_sym_LBRACE] = ACTIONS(7341),
    [sym_word] = ACTIONS(7339),
    [sym_placeholder] = ACTIONS(7341),
    [sym_delimiter] = ACTIONS(7341),
    [anon_sym_PLUS] = ACTIONS(7341),
    [anon_sym_DASH] = ACTIONS(7341),
    [anon_sym_STAR] = ACTIONS(7341),
    [anon_sym_SLASH] = ACTIONS(7341),
    [anon_sym_LT] = ACTIONS(7339),
    [anon_sym_GT] = ACTIONS(7339),
    [anon_sym_BANG] = ACTIONS(7339),
    [anon_sym_PIPE] = ACTIONS(7339),
    [anon_sym_COLON] = ACTIONS(7339),
    [anon_sym_SQUOTE] = ACTIONS(7339),
    [anon_sym__] = ACTIONS(7341),
    [anon_sym_CARET] = ACTIONS(7341),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7341),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7341),
    [anon_sym_DOLLAR] = ACTIONS(7339),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7341),
    [anon_sym_BSLASHleft] = ACTIONS(7339),
    [anon_sym_BSLASHbigl] = ACTIONS(7339),
    [anon_sym_BSLASHBigl] = ACTIONS(7339),
    [anon_sym_BSLASHbiggl] = ACTIONS(7339),
    [anon_sym_BSLASHBiggl] = ACTIONS(7339),
    [anon_sym_BSLASHtext] = ACTIONS(7339),
    [anon_sym_BSLASHintertext] = ACTIONS(7339),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7339),
    [anon_sym_BSLASHbegin] = ACTIONS(7339),
    [anon_sym_BSLASHend] = ACTIONS(7339),
    [anon_sym_BSLASHtitle] = ACTIONS(7339),
    [anon_sym_BSLASHauthor] = ACTIONS(7339),
    [anon_sym_BSLASHusepackage] = ACTIONS(7339),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7339),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7339),
    [anon_sym_BSLASHinclude] = ACTIONS(7339),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7339),
    [anon_sym_BSLASHinput] = ACTIONS(7339),
    [anon_sym_BSLASHsubfile] = ACTIONS(7339),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7339),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7339),
    [anon_sym_BSLASHbibliography] = ACTIONS(7339),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7339),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7339),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7339),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7339),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7339),
    [anon_sym_BSLASHimport] = ACTIONS(7339),
    [anon_sym_BSLASHsubimport] = ACTIONS(7339),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7339),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7339),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7339),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7339),
    [anon_sym_BSLASHcaption] = ACTIONS(7339),
    [anon_sym_BSLASHcite] = ACTIONS(7339),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCite] = ACTIONS(7339),
    [anon_sym_BSLASHnocite] = ACTIONS(7339),
    [anon_sym_BSLASHcitet] = ACTIONS(7339),
    [anon_sym_BSLASHcitep] = ACTIONS(7339),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteA] = ACTIONS(7339),
    [anon_sym_BSLASHciteR] = ACTIONS(7339),
    [anon_sym_BSLASHciteS] = ACTIONS(7339),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7339),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7339),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7339),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7339),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteyear] = ACTIONS(7339),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitedate] = ACTIONS(7339),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteurl] = ACTIONS(7339),
    [anon_sym_BSLASHfullcite] = ACTIONS(7339),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7339),
    [anon_sym_BSLASHcitealt] = ACTIONS(7339),
    [anon_sym_BSLASHcitealp] = ACTIONS(7339),
    [anon_sym_BSLASHcitetext] = ACTIONS(7339),
    [anon_sym_BSLASHparencite] = ACTIONS(7339),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHParencite] = ACTIONS(7339),
    [anon_sym_BSLASHfootcite] = ACTIONS(7339),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7339),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7339),
    [anon_sym_BSLASHtextcite] = ACTIONS(7339),
    [anon_sym_BSLASHTextcite] = ACTIONS(7339),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7339),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7339),
    [anon_sym_BSLASHsupercite] = ACTIONS(7339),
    [anon_sym_BSLASHautocite] = ACTIONS(7339),
    [anon_sym_BSLASHAutocite] = ACTIONS(7339),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHVolcite] = ACTIONS(7339),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHavolcite] = ACTIONS(7339),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHNotecite] = ACTIONS(7339),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHlabel] = ACTIONS(7339),
    [anon_sym_BSLASHref] = ACTIONS(7339),
    [anon_sym_BSLASHeqref] = ACTIONS(7339),
    [anon_sym_BSLASHvref] = ACTIONS(7339),
    [anon_sym_BSLASHVref] = ACTIONS(7339),
    [anon_sym_BSLASHautoref] = ACTIONS(7339),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHpageref] = ACTIONS(7339),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHautopageref] = ACTIONS(7339),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcref] = ACTIONS(7339),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCref] = ACTIONS(7339),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcpageref] = ACTIONS(7339),
    [anon_sym_BSLASHCpageref] = ACTIONS(7339),
    [anon_sym_BSLASHnamecref] = ACTIONS(7339),
    [anon_sym_BSLASHnameCref] = ACTIONS(7339),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7339),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7339),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7339),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7339),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7339),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7339),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7339),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7339),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7339),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7339),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7339),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHdef] = ACTIONS(7339),
    [anon_sym_BSLASHgdef] = ACTIONS(7339),
    [anon_sym_BSLASHedef] = ACTIONS(7339),
    [anon_sym_BSLASHxdef] = ACTIONS(7339),
    [anon_sym_BSLASHlet] = ACTIONS(7339),
    [anon_sym_BSLASHglet] = ACTIONS(7339),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7339),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7339),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7339),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7339),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7339),
    [anon_sym_BSLASHgls] = ACTIONS(7339),
    [anon_sym_BSLASHGls] = ACTIONS(7339),
    [anon_sym_BSLASHGLS] = ACTIONS(7339),
    [anon_sym_BSLASHglspl] = ACTIONS(7339),
    [anon_sym_BSLASHGlspl] = ACTIONS(7339),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7339),
    [anon_sym_BSLASHglslink] = ACTIONS(7339),
    [anon_sym_BSLASHglstext] = ACTIONS(7339),
    [anon_sym_BSLASHGlstext] = ACTIONS(7339),
    [anon_sym_BSLASHGLStext] = ACTIONS(7339),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7339),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7339),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7339),
    [anon_sym_BSLASHglsplural] = ACTIONS(7339),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7339),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7339),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHglsname] = ACTIONS(7339),
    [anon_sym_BSLASHGlsname] = ACTIONS(7339),
    [anon_sym_BSLASHGLSname] = ACTIONS(7339),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7339),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7339),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7339),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7339),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7339),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7339),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7339),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7339),
    [anon_sym_BSLASHacrshort] = ACTIONS(7339),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7339),
    [anon_sym_BSLASHACRshort] = ACTIONS(7339),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHacrlong] = ACTIONS(7339),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7339),
    [anon_sym_BSLASHACRlong] = ACTIONS(7339),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHacrfull] = ACTIONS(7339),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7339),
    [anon_sym_BSLASHACRfull] = ACTIONS(7339),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHacs] = ACTIONS(7339),
    [anon_sym_BSLASHAcs] = ACTIONS(7339),
    [anon_sym_BSLASHacsp] = ACTIONS(7339),
    [anon_sym_BSLASHAcsp] = ACTIONS(7339),
    [anon_sym_BSLASHacl] = ACTIONS(7339),
    [anon_sym_BSLASHAcl] = ACTIONS(7339),
    [anon_sym_BSLASHaclp] = ACTIONS(7339),
    [anon_sym_BSLASHAclp] = ACTIONS(7339),
    [anon_sym_BSLASHacf] = ACTIONS(7339),
    [anon_sym_BSLASHAcf] = ACTIONS(7339),
    [anon_sym_BSLASHacfp] = ACTIONS(7339),
    [anon_sym_BSLASHAcfp] = ACTIONS(7339),
    [anon_sym_BSLASHac] = ACTIONS(7339),
    [anon_sym_BSLASHAc] = ACTIONS(7339),
    [anon_sym_BSLASHacp] = ACTIONS(7339),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7339),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7339),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7339),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7339),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7339),
    [anon_sym_BSLASHcolor] = ACTIONS(7339),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7339),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7339),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7339),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7339),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7339),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7339),
    [anon_sym_BSLASHurl] = ACTIONS(7339),
    [anon_sym_BSLASHhref] = ACTIONS(7339),
  },
  [1708] = {
    [sym_command_name] = ACTIONS(7343),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7343),
    [anon_sym_LBRACK] = ACTIONS(7345),
    [anon_sym_RBRACK] = ACTIONS(7345),
    [anon_sym_COMMA] = ACTIONS(7345),
    [anon_sym_EQ] = ACTIONS(7345),
    [anon_sym_LPAREN] = ACTIONS(7345),
    [anon_sym_RPAREN] = ACTIONS(7345),
    [anon_sym_LBRACE] = ACTIONS(7345),
    [sym_word] = ACTIONS(7343),
    [sym_placeholder] = ACTIONS(7345),
    [sym_delimiter] = ACTIONS(7345),
    [anon_sym_PLUS] = ACTIONS(7345),
    [anon_sym_DASH] = ACTIONS(7345),
    [anon_sym_STAR] = ACTIONS(7345),
    [anon_sym_SLASH] = ACTIONS(7345),
    [anon_sym_LT] = ACTIONS(7343),
    [anon_sym_GT] = ACTIONS(7343),
    [anon_sym_BANG] = ACTIONS(7343),
    [anon_sym_PIPE] = ACTIONS(7343),
    [anon_sym_COLON] = ACTIONS(7343),
    [anon_sym_SQUOTE] = ACTIONS(7343),
    [anon_sym__] = ACTIONS(7345),
    [anon_sym_CARET] = ACTIONS(7345),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7345),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7345),
    [anon_sym_DOLLAR] = ACTIONS(7343),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7345),
    [anon_sym_BSLASHleft] = ACTIONS(7343),
    [anon_sym_BSLASHbigl] = ACTIONS(7343),
    [anon_sym_BSLASHBigl] = ACTIONS(7343),
    [anon_sym_BSLASHbiggl] = ACTIONS(7343),
    [anon_sym_BSLASHBiggl] = ACTIONS(7343),
    [anon_sym_BSLASHtext] = ACTIONS(7343),
    [anon_sym_BSLASHintertext] = ACTIONS(7343),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7343),
    [anon_sym_BSLASHbegin] = ACTIONS(7343),
    [anon_sym_BSLASHend] = ACTIONS(7343),
    [anon_sym_BSLASHtitle] = ACTIONS(7343),
    [anon_sym_BSLASHauthor] = ACTIONS(7343),
    [anon_sym_BSLASHusepackage] = ACTIONS(7343),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7343),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7343),
    [anon_sym_BSLASHinclude] = ACTIONS(7343),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7343),
    [anon_sym_BSLASHinput] = ACTIONS(7343),
    [anon_sym_BSLASHsubfile] = ACTIONS(7343),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7343),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7343),
    [anon_sym_BSLASHbibliography] = ACTIONS(7343),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7343),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7343),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7343),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7343),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7343),
    [anon_sym_BSLASHimport] = ACTIONS(7343),
    [anon_sym_BSLASHsubimport] = ACTIONS(7343),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7343),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7343),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7343),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7343),
    [anon_sym_BSLASHcaption] = ACTIONS(7343),
    [anon_sym_BSLASHcite] = ACTIONS(7343),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCite] = ACTIONS(7343),
    [anon_sym_BSLASHnocite] = ACTIONS(7343),
    [anon_sym_BSLASHcitet] = ACTIONS(7343),
    [anon_sym_BSLASHcitep] = ACTIONS(7343),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteA] = ACTIONS(7343),
    [anon_sym_BSLASHciteR] = ACTIONS(7343),
    [anon_sym_BSLASHciteS] = ACTIONS(7343),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7343),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7343),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7343),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7343),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteyear] = ACTIONS(7343),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitedate] = ACTIONS(7343),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteurl] = ACTIONS(7343),
    [anon_sym_BSLASHfullcite] = ACTIONS(7343),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7343),
    [anon_sym_BSLASHcitealt] = ACTIONS(7343),
    [anon_sym_BSLASHcitealp] = ACTIONS(7343),
    [anon_sym_BSLASHcitetext] = ACTIONS(7343),
    [anon_sym_BSLASHparencite] = ACTIONS(7343),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHParencite] = ACTIONS(7343),
    [anon_sym_BSLASHfootcite] = ACTIONS(7343),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7343),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7343),
    [anon_sym_BSLASHtextcite] = ACTIONS(7343),
    [anon_sym_BSLASHTextcite] = ACTIONS(7343),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7343),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7343),
    [anon_sym_BSLASHsupercite] = ACTIONS(7343),
    [anon_sym_BSLASHautocite] = ACTIONS(7343),
    [anon_sym_BSLASHAutocite] = ACTIONS(7343),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHVolcite] = ACTIONS(7343),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHavolcite] = ACTIONS(7343),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHNotecite] = ACTIONS(7343),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHlabel] = ACTIONS(7343),
    [anon_sym_BSLASHref] = ACTIONS(7343),
    [anon_sym_BSLASHeqref] = ACTIONS(7343),
    [anon_sym_BSLASHvref] = ACTIONS(7343),
    [anon_sym_BSLASHVref] = ACTIONS(7343),
    [anon_sym_BSLASHautoref] = ACTIONS(7343),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHpageref] = ACTIONS(7343),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHautopageref] = ACTIONS(7343),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcref] = ACTIONS(7343),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCref] = ACTIONS(7343),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcpageref] = ACTIONS(7343),
    [anon_sym_BSLASHCpageref] = ACTIONS(7343),
    [anon_sym_BSLASHnamecref] = ACTIONS(7343),
    [anon_sym_BSLASHnameCref] = ACTIONS(7343),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7343),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7343),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7343),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7343),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7343),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7343),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7343),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7343),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7343),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7343),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7343),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHdef] = ACTIONS(7343),
    [anon_sym_BSLASHgdef] = ACTIONS(7343),
    [anon_sym_BSLASHedef] = ACTIONS(7343),
    [anon_sym_BSLASHxdef] = ACTIONS(7343),
    [anon_sym_BSLASHlet] = ACTIONS(7343),
    [anon_sym_BSLASHglet] = ACTIONS(7343),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7343),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7343),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7343),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7343),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7343),
    [anon_sym_BSLASHgls] = ACTIONS(7343),
    [anon_sym_BSLASHGls] = ACTIONS(7343),
    [anon_sym_BSLASHGLS] = ACTIONS(7343),
    [anon_sym_BSLASHglspl] = ACTIONS(7343),
    [anon_sym_BSLASHGlspl] = ACTIONS(7343),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7343),
    [anon_sym_BSLASHglslink] = ACTIONS(7343),
    [anon_sym_BSLASHglstext] = ACTIONS(7343),
    [anon_sym_BSLASHGlstext] = ACTIONS(7343),
    [anon_sym_BSLASHGLStext] = ACTIONS(7343),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7343),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7343),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7343),
    [anon_sym_BSLASHglsplural] = ACTIONS(7343),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7343),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7343),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHglsname] = ACTIONS(7343),
    [anon_sym_BSLASHGlsname] = ACTIONS(7343),
    [anon_sym_BSLASHGLSname] = ACTIONS(7343),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7343),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7343),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7343),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7343),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7343),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7343),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7343),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7343),
    [anon_sym_BSLASHacrshort] = ACTIONS(7343),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7343),
    [anon_sym_BSLASHACRshort] = ACTIONS(7343),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHacrlong] = ACTIONS(7343),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7343),
    [anon_sym_BSLASHACRlong] = ACTIONS(7343),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHacrfull] = ACTIONS(7343),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7343),
    [anon_sym_BSLASHACRfull] = ACTIONS(7343),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHacs] = ACTIONS(7343),
    [anon_sym_BSLASHAcs] = ACTIONS(7343),
    [anon_sym_BSLASHacsp] = ACTIONS(7343),
    [anon_sym_BSLASHAcsp] = ACTIONS(7343),
    [anon_sym_BSLASHacl] = ACTIONS(7343),
    [anon_sym_BSLASHAcl] = ACTIONS(7343),
    [anon_sym_BSLASHaclp] = ACTIONS(7343),
    [anon_sym_BSLASHAclp] = ACTIONS(7343),
    [anon_sym_BSLASHacf] = ACTIONS(7343),
    [anon_sym_BSLASHAcf] = ACTIONS(7343),
    [anon_sym_BSLASHacfp] = ACTIONS(7343),
    [anon_sym_BSLASHAcfp] = ACTIONS(7343),
    [anon_sym_BSLASHac] = ACTIONS(7343),
    [anon_sym_BSLASHAc] = ACTIONS(7343),
    [anon_sym_BSLASHacp] = ACTIONS(7343),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7343),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7343),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7343),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7343),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7343),
    [anon_sym_BSLASHcolor] = ACTIONS(7343),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7343),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7343),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7343),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7343),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7343),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7343),
    [anon_sym_BSLASHurl] = ACTIONS(7343),
    [anon_sym_BSLASHhref] = ACTIONS(7343),
  },
  [1709] = {
    [sym_command_name] = ACTIONS(7347),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7347),
    [anon_sym_LBRACK] = ACTIONS(7349),
    [anon_sym_RBRACK] = ACTIONS(7349),
    [anon_sym_COMMA] = ACTIONS(7349),
    [anon_sym_EQ] = ACTIONS(7349),
    [anon_sym_LPAREN] = ACTIONS(7349),
    [anon_sym_RPAREN] = ACTIONS(7349),
    [anon_sym_LBRACE] = ACTIONS(7349),
    [sym_word] = ACTIONS(7347),
    [sym_placeholder] = ACTIONS(7349),
    [sym_delimiter] = ACTIONS(7349),
    [anon_sym_PLUS] = ACTIONS(7349),
    [anon_sym_DASH] = ACTIONS(7349),
    [anon_sym_STAR] = ACTIONS(7349),
    [anon_sym_SLASH] = ACTIONS(7349),
    [anon_sym_LT] = ACTIONS(7347),
    [anon_sym_GT] = ACTIONS(7347),
    [anon_sym_BANG] = ACTIONS(7347),
    [anon_sym_PIPE] = ACTIONS(7347),
    [anon_sym_COLON] = ACTIONS(7347),
    [anon_sym_SQUOTE] = ACTIONS(7347),
    [anon_sym__] = ACTIONS(7349),
    [anon_sym_CARET] = ACTIONS(7349),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7349),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7349),
    [anon_sym_DOLLAR] = ACTIONS(7347),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7349),
    [anon_sym_BSLASHleft] = ACTIONS(7347),
    [anon_sym_BSLASHbigl] = ACTIONS(7347),
    [anon_sym_BSLASHBigl] = ACTIONS(7347),
    [anon_sym_BSLASHbiggl] = ACTIONS(7347),
    [anon_sym_BSLASHBiggl] = ACTIONS(7347),
    [anon_sym_BSLASHtext] = ACTIONS(7347),
    [anon_sym_BSLASHintertext] = ACTIONS(7347),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7347),
    [anon_sym_BSLASHbegin] = ACTIONS(7347),
    [anon_sym_BSLASHend] = ACTIONS(7347),
    [anon_sym_BSLASHtitle] = ACTIONS(7347),
    [anon_sym_BSLASHauthor] = ACTIONS(7347),
    [anon_sym_BSLASHusepackage] = ACTIONS(7347),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7347),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7347),
    [anon_sym_BSLASHinclude] = ACTIONS(7347),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7347),
    [anon_sym_BSLASHinput] = ACTIONS(7347),
    [anon_sym_BSLASHsubfile] = ACTIONS(7347),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7347),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7347),
    [anon_sym_BSLASHbibliography] = ACTIONS(7347),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7347),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7347),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7347),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7347),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7347),
    [anon_sym_BSLASHimport] = ACTIONS(7347),
    [anon_sym_BSLASHsubimport] = ACTIONS(7347),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7347),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7347),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7347),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7347),
    [anon_sym_BSLASHcaption] = ACTIONS(7347),
    [anon_sym_BSLASHcite] = ACTIONS(7347),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCite] = ACTIONS(7347),
    [anon_sym_BSLASHnocite] = ACTIONS(7347),
    [anon_sym_BSLASHcitet] = ACTIONS(7347),
    [anon_sym_BSLASHcitep] = ACTIONS(7347),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteA] = ACTIONS(7347),
    [anon_sym_BSLASHciteR] = ACTIONS(7347),
    [anon_sym_BSLASHciteS] = ACTIONS(7347),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7347),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7347),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7347),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7347),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteyear] = ACTIONS(7347),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitedate] = ACTIONS(7347),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteurl] = ACTIONS(7347),
    [anon_sym_BSLASHfullcite] = ACTIONS(7347),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7347),
    [anon_sym_BSLASHcitealt] = ACTIONS(7347),
    [anon_sym_BSLASHcitealp] = ACTIONS(7347),
    [anon_sym_BSLASHcitetext] = ACTIONS(7347),
    [anon_sym_BSLASHparencite] = ACTIONS(7347),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHParencite] = ACTIONS(7347),
    [anon_sym_BSLASHfootcite] = ACTIONS(7347),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7347),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7347),
    [anon_sym_BSLASHtextcite] = ACTIONS(7347),
    [anon_sym_BSLASHTextcite] = ACTIONS(7347),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7347),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7347),
    [anon_sym_BSLASHsupercite] = ACTIONS(7347),
    [anon_sym_BSLASHautocite] = ACTIONS(7347),
    [anon_sym_BSLASHAutocite] = ACTIONS(7347),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHVolcite] = ACTIONS(7347),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHavolcite] = ACTIONS(7347),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHNotecite] = ACTIONS(7347),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHlabel] = ACTIONS(7347),
    [anon_sym_BSLASHref] = ACTIONS(7347),
    [anon_sym_BSLASHeqref] = ACTIONS(7347),
    [anon_sym_BSLASHvref] = ACTIONS(7347),
    [anon_sym_BSLASHVref] = ACTIONS(7347),
    [anon_sym_BSLASHautoref] = ACTIONS(7347),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHpageref] = ACTIONS(7347),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHautopageref] = ACTIONS(7347),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcref] = ACTIONS(7347),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCref] = ACTIONS(7347),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcpageref] = ACTIONS(7347),
    [anon_sym_BSLASHCpageref] = ACTIONS(7347),
    [anon_sym_BSLASHnamecref] = ACTIONS(7347),
    [anon_sym_BSLASHnameCref] = ACTIONS(7347),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7347),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7347),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7347),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7347),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7347),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7347),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7347),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7347),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7347),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7347),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7347),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHdef] = ACTIONS(7347),
    [anon_sym_BSLASHgdef] = ACTIONS(7347),
    [anon_sym_BSLASHedef] = ACTIONS(7347),
    [anon_sym_BSLASHxdef] = ACTIONS(7347),
    [anon_sym_BSLASHlet] = ACTIONS(7347),
    [anon_sym_BSLASHglet] = ACTIONS(7347),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7347),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7347),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7347),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7347),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7347),
    [anon_sym_BSLASHgls] = ACTIONS(7347),
    [anon_sym_BSLASHGls] = ACTIONS(7347),
    [anon_sym_BSLASHGLS] = ACTIONS(7347),
    [anon_sym_BSLASHglspl] = ACTIONS(7347),
    [anon_sym_BSLASHGlspl] = ACTIONS(7347),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7347),
    [anon_sym_BSLASHglslink] = ACTIONS(7347),
    [anon_sym_BSLASHglstext] = ACTIONS(7347),
    [anon_sym_BSLASHGlstext] = ACTIONS(7347),
    [anon_sym_BSLASHGLStext] = ACTIONS(7347),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7347),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7347),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7347),
    [anon_sym_BSLASHglsplural] = ACTIONS(7347),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7347),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7347),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHglsname] = ACTIONS(7347),
    [anon_sym_BSLASHGlsname] = ACTIONS(7347),
    [anon_sym_BSLASHGLSname] = ACTIONS(7347),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7347),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7347),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7347),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7347),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7347),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7347),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7347),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7347),
    [anon_sym_BSLASHacrshort] = ACTIONS(7347),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7347),
    [anon_sym_BSLASHACRshort] = ACTIONS(7347),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHacrlong] = ACTIONS(7347),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7347),
    [anon_sym_BSLASHACRlong] = ACTIONS(7347),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHacrfull] = ACTIONS(7347),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7347),
    [anon_sym_BSLASHACRfull] = ACTIONS(7347),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHacs] = ACTIONS(7347),
    [anon_sym_BSLASHAcs] = ACTIONS(7347),
    [anon_sym_BSLASHacsp] = ACTIONS(7347),
    [anon_sym_BSLASHAcsp] = ACTIONS(7347),
    [anon_sym_BSLASHacl] = ACTIONS(7347),
    [anon_sym_BSLASHAcl] = ACTIONS(7347),
    [anon_sym_BSLASHaclp] = ACTIONS(7347),
    [anon_sym_BSLASHAclp] = ACTIONS(7347),
    [anon_sym_BSLASHacf] = ACTIONS(7347),
    [anon_sym_BSLASHAcf] = ACTIONS(7347),
    [anon_sym_BSLASHacfp] = ACTIONS(7347),
    [anon_sym_BSLASHAcfp] = ACTIONS(7347),
    [anon_sym_BSLASHac] = ACTIONS(7347),
    [anon_sym_BSLASHAc] = ACTIONS(7347),
    [anon_sym_BSLASHacp] = ACTIONS(7347),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7347),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7347),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7347),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7347),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7347),
    [anon_sym_BSLASHcolor] = ACTIONS(7347),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7347),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7347),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7347),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7347),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7347),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7347),
    [anon_sym_BSLASHurl] = ACTIONS(7347),
    [anon_sym_BSLASHhref] = ACTIONS(7347),
  },
  [1710] = {
    [sym_command_name] = ACTIONS(7351),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7351),
    [anon_sym_LBRACK] = ACTIONS(7353),
    [anon_sym_RBRACK] = ACTIONS(7353),
    [anon_sym_COMMA] = ACTIONS(7353),
    [anon_sym_EQ] = ACTIONS(7353),
    [anon_sym_LPAREN] = ACTIONS(7353),
    [anon_sym_RPAREN] = ACTIONS(7353),
    [anon_sym_LBRACE] = ACTIONS(7353),
    [sym_word] = ACTIONS(7351),
    [sym_placeholder] = ACTIONS(7353),
    [sym_delimiter] = ACTIONS(7353),
    [anon_sym_PLUS] = ACTIONS(7353),
    [anon_sym_DASH] = ACTIONS(7353),
    [anon_sym_STAR] = ACTIONS(7353),
    [anon_sym_SLASH] = ACTIONS(7353),
    [anon_sym_LT] = ACTIONS(7351),
    [anon_sym_GT] = ACTIONS(7351),
    [anon_sym_BANG] = ACTIONS(7351),
    [anon_sym_PIPE] = ACTIONS(7351),
    [anon_sym_COLON] = ACTIONS(7351),
    [anon_sym_SQUOTE] = ACTIONS(7351),
    [anon_sym__] = ACTIONS(7353),
    [anon_sym_CARET] = ACTIONS(7353),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7353),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7353),
    [anon_sym_DOLLAR] = ACTIONS(7351),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7353),
    [anon_sym_BSLASHleft] = ACTIONS(7351),
    [anon_sym_BSLASHbigl] = ACTIONS(7351),
    [anon_sym_BSLASHBigl] = ACTIONS(7351),
    [anon_sym_BSLASHbiggl] = ACTIONS(7351),
    [anon_sym_BSLASHBiggl] = ACTIONS(7351),
    [anon_sym_BSLASHtext] = ACTIONS(7351),
    [anon_sym_BSLASHintertext] = ACTIONS(7351),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7351),
    [anon_sym_BSLASHbegin] = ACTIONS(7351),
    [anon_sym_BSLASHend] = ACTIONS(7351),
    [anon_sym_BSLASHtitle] = ACTIONS(7351),
    [anon_sym_BSLASHauthor] = ACTIONS(7351),
    [anon_sym_BSLASHusepackage] = ACTIONS(7351),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7351),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7351),
    [anon_sym_BSLASHinclude] = ACTIONS(7351),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7351),
    [anon_sym_BSLASHinput] = ACTIONS(7351),
    [anon_sym_BSLASHsubfile] = ACTIONS(7351),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7351),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7351),
    [anon_sym_BSLASHbibliography] = ACTIONS(7351),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7351),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7351),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7351),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7351),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7351),
    [anon_sym_BSLASHimport] = ACTIONS(7351),
    [anon_sym_BSLASHsubimport] = ACTIONS(7351),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7351),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7351),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7351),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7351),
    [anon_sym_BSLASHcaption] = ACTIONS(7351),
    [anon_sym_BSLASHcite] = ACTIONS(7351),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCite] = ACTIONS(7351),
    [anon_sym_BSLASHnocite] = ACTIONS(7351),
    [anon_sym_BSLASHcitet] = ACTIONS(7351),
    [anon_sym_BSLASHcitep] = ACTIONS(7351),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteA] = ACTIONS(7351),
    [anon_sym_BSLASHciteR] = ACTIONS(7351),
    [anon_sym_BSLASHciteS] = ACTIONS(7351),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7351),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7351),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7351),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7351),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteyear] = ACTIONS(7351),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitedate] = ACTIONS(7351),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteurl] = ACTIONS(7351),
    [anon_sym_BSLASHfullcite] = ACTIONS(7351),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7351),
    [anon_sym_BSLASHcitealt] = ACTIONS(7351),
    [anon_sym_BSLASHcitealp] = ACTIONS(7351),
    [anon_sym_BSLASHcitetext] = ACTIONS(7351),
    [anon_sym_BSLASHparencite] = ACTIONS(7351),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHParencite] = ACTIONS(7351),
    [anon_sym_BSLASHfootcite] = ACTIONS(7351),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7351),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7351),
    [anon_sym_BSLASHtextcite] = ACTIONS(7351),
    [anon_sym_BSLASHTextcite] = ACTIONS(7351),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7351),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7351),
    [anon_sym_BSLASHsupercite] = ACTIONS(7351),
    [anon_sym_BSLASHautocite] = ACTIONS(7351),
    [anon_sym_BSLASHAutocite] = ACTIONS(7351),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHVolcite] = ACTIONS(7351),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHavolcite] = ACTIONS(7351),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHNotecite] = ACTIONS(7351),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHlabel] = ACTIONS(7351),
    [anon_sym_BSLASHref] = ACTIONS(7351),
    [anon_sym_BSLASHeqref] = ACTIONS(7351),
    [anon_sym_BSLASHvref] = ACTIONS(7351),
    [anon_sym_BSLASHVref] = ACTIONS(7351),
    [anon_sym_BSLASHautoref] = ACTIONS(7351),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHpageref] = ACTIONS(7351),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHautopageref] = ACTIONS(7351),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcref] = ACTIONS(7351),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCref] = ACTIONS(7351),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcpageref] = ACTIONS(7351),
    [anon_sym_BSLASHCpageref] = ACTIONS(7351),
    [anon_sym_BSLASHnamecref] = ACTIONS(7351),
    [anon_sym_BSLASHnameCref] = ACTIONS(7351),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7351),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7351),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7351),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7351),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7351),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7351),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7351),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7351),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7351),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7351),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7351),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHdef] = ACTIONS(7351),
    [anon_sym_BSLASHgdef] = ACTIONS(7351),
    [anon_sym_BSLASHedef] = ACTIONS(7351),
    [anon_sym_BSLASHxdef] = ACTIONS(7351),
    [anon_sym_BSLASHlet] = ACTIONS(7351),
    [anon_sym_BSLASHglet] = ACTIONS(7351),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7351),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7351),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7351),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7351),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7351),
    [anon_sym_BSLASHgls] = ACTIONS(7351),
    [anon_sym_BSLASHGls] = ACTIONS(7351),
    [anon_sym_BSLASHGLS] = ACTIONS(7351),
    [anon_sym_BSLASHglspl] = ACTIONS(7351),
    [anon_sym_BSLASHGlspl] = ACTIONS(7351),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7351),
    [anon_sym_BSLASHglslink] = ACTIONS(7351),
    [anon_sym_BSLASHglstext] = ACTIONS(7351),
    [anon_sym_BSLASHGlstext] = ACTIONS(7351),
    [anon_sym_BSLASHGLStext] = ACTIONS(7351),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7351),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7351),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7351),
    [anon_sym_BSLASHglsplural] = ACTIONS(7351),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7351),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7351),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHglsname] = ACTIONS(7351),
    [anon_sym_BSLASHGlsname] = ACTIONS(7351),
    [anon_sym_BSLASHGLSname] = ACTIONS(7351),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7351),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7351),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7351),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7351),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7351),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7351),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7351),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7351),
    [anon_sym_BSLASHacrshort] = ACTIONS(7351),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7351),
    [anon_sym_BSLASHACRshort] = ACTIONS(7351),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHacrlong] = ACTIONS(7351),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7351),
    [anon_sym_BSLASHACRlong] = ACTIONS(7351),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHacrfull] = ACTIONS(7351),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7351),
    [anon_sym_BSLASHACRfull] = ACTIONS(7351),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHacs] = ACTIONS(7351),
    [anon_sym_BSLASHAcs] = ACTIONS(7351),
    [anon_sym_BSLASHacsp] = ACTIONS(7351),
    [anon_sym_BSLASHAcsp] = ACTIONS(7351),
    [anon_sym_BSLASHacl] = ACTIONS(7351),
    [anon_sym_BSLASHAcl] = ACTIONS(7351),
    [anon_sym_BSLASHaclp] = ACTIONS(7351),
    [anon_sym_BSLASHAclp] = ACTIONS(7351),
    [anon_sym_BSLASHacf] = ACTIONS(7351),
    [anon_sym_BSLASHAcf] = ACTIONS(7351),
    [anon_sym_BSLASHacfp] = ACTIONS(7351),
    [anon_sym_BSLASHAcfp] = ACTIONS(7351),
    [anon_sym_BSLASHac] = ACTIONS(7351),
    [anon_sym_BSLASHAc] = ACTIONS(7351),
    [anon_sym_BSLASHacp] = ACTIONS(7351),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7351),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7351),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7351),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7351),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7351),
    [anon_sym_BSLASHcolor] = ACTIONS(7351),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7351),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7351),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7351),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7351),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7351),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7351),
    [anon_sym_BSLASHurl] = ACTIONS(7351),
    [anon_sym_BSLASHhref] = ACTIONS(7351),
  },
  [1711] = {
    [sym_command_name] = ACTIONS(7355),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7357),
    [anon_sym_RBRACK] = ACTIONS(7357),
    [anon_sym_COMMA] = ACTIONS(7357),
    [anon_sym_EQ] = ACTIONS(7357),
    [anon_sym_LPAREN] = ACTIONS(7357),
    [anon_sym_RPAREN] = ACTIONS(7357),
    [anon_sym_LBRACE] = ACTIONS(7357),
    [sym_word] = ACTIONS(7355),
    [sym_placeholder] = ACTIONS(7357),
    [sym_delimiter] = ACTIONS(7357),
    [anon_sym_PLUS] = ACTIONS(7357),
    [anon_sym_DASH] = ACTIONS(7357),
    [anon_sym_STAR] = ACTIONS(7357),
    [anon_sym_SLASH] = ACTIONS(7357),
    [anon_sym_LT] = ACTIONS(7355),
    [anon_sym_GT] = ACTIONS(7355),
    [anon_sym_BANG] = ACTIONS(7355),
    [anon_sym_PIPE] = ACTIONS(7355),
    [anon_sym_COLON] = ACTIONS(7355),
    [anon_sym_SQUOTE] = ACTIONS(7355),
    [anon_sym__] = ACTIONS(7357),
    [anon_sym_CARET] = ACTIONS(7357),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7357),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7357),
    [anon_sym_DOLLAR] = ACTIONS(7355),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7357),
    [anon_sym_BSLASHleft] = ACTIONS(7355),
    [anon_sym_BSLASHbigl] = ACTIONS(7355),
    [anon_sym_BSLASHBigl] = ACTIONS(7355),
    [anon_sym_BSLASHbiggl] = ACTIONS(7355),
    [anon_sym_BSLASHBiggl] = ACTIONS(7355),
    [anon_sym_BSLASHtext] = ACTIONS(7355),
    [anon_sym_BSLASHintertext] = ACTIONS(7355),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7355),
    [anon_sym_BSLASHbegin] = ACTIONS(7355),
    [anon_sym_BSLASHend] = ACTIONS(7355),
    [anon_sym_BSLASHtitle] = ACTIONS(7355),
    [anon_sym_BSLASHauthor] = ACTIONS(7355),
    [anon_sym_BSLASHusepackage] = ACTIONS(7355),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7355),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7355),
    [anon_sym_BSLASHinclude] = ACTIONS(7355),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7355),
    [anon_sym_BSLASHinput] = ACTIONS(7355),
    [anon_sym_BSLASHsubfile] = ACTIONS(7355),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7355),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7355),
    [anon_sym_BSLASHbibliography] = ACTIONS(7355),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7355),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7355),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7355),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7355),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7355),
    [anon_sym_BSLASHimport] = ACTIONS(7355),
    [anon_sym_BSLASHsubimport] = ACTIONS(7355),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7355),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7355),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7355),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7355),
    [anon_sym_BSLASHcaption] = ACTIONS(7355),
    [anon_sym_BSLASHcite] = ACTIONS(7355),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCite] = ACTIONS(7355),
    [anon_sym_BSLASHnocite] = ACTIONS(7355),
    [anon_sym_BSLASHcitet] = ACTIONS(7355),
    [anon_sym_BSLASHcitep] = ACTIONS(7355),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteA] = ACTIONS(7355),
    [anon_sym_BSLASHciteR] = ACTIONS(7355),
    [anon_sym_BSLASHciteS] = ACTIONS(7355),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7355),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7355),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7355),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7355),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteyear] = ACTIONS(7355),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitedate] = ACTIONS(7355),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteurl] = ACTIONS(7355),
    [anon_sym_BSLASHfullcite] = ACTIONS(7355),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7355),
    [anon_sym_BSLASHcitealt] = ACTIONS(7355),
    [anon_sym_BSLASHcitealp] = ACTIONS(7355),
    [anon_sym_BSLASHcitetext] = ACTIONS(7355),
    [anon_sym_BSLASHparencite] = ACTIONS(7355),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHParencite] = ACTIONS(7355),
    [anon_sym_BSLASHfootcite] = ACTIONS(7355),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7355),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7355),
    [anon_sym_BSLASHtextcite] = ACTIONS(7355),
    [anon_sym_BSLASHTextcite] = ACTIONS(7355),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7355),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7355),
    [anon_sym_BSLASHsupercite] = ACTIONS(7355),
    [anon_sym_BSLASHautocite] = ACTIONS(7355),
    [anon_sym_BSLASHAutocite] = ACTIONS(7355),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHVolcite] = ACTIONS(7355),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHavolcite] = ACTIONS(7355),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHNotecite] = ACTIONS(7355),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHlabel] = ACTIONS(7355),
    [anon_sym_BSLASHref] = ACTIONS(7355),
    [anon_sym_BSLASHeqref] = ACTIONS(7355),
    [anon_sym_BSLASHvref] = ACTIONS(7355),
    [anon_sym_BSLASHVref] = ACTIONS(7355),
    [anon_sym_BSLASHautoref] = ACTIONS(7355),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHpageref] = ACTIONS(7355),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHautopageref] = ACTIONS(7355),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcref] = ACTIONS(7355),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCref] = ACTIONS(7355),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcpageref] = ACTIONS(7355),
    [anon_sym_BSLASHCpageref] = ACTIONS(7355),
    [anon_sym_BSLASHnamecref] = ACTIONS(7355),
    [anon_sym_BSLASHnameCref] = ACTIONS(7355),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7355),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7355),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7355),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7355),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7355),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7355),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7355),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7355),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7355),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7355),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7355),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHdef] = ACTIONS(7355),
    [anon_sym_BSLASHgdef] = ACTIONS(7355),
    [anon_sym_BSLASHedef] = ACTIONS(7355),
    [anon_sym_BSLASHxdef] = ACTIONS(7355),
    [anon_sym_BSLASHlet] = ACTIONS(7355),
    [anon_sym_BSLASHglet] = ACTIONS(7355),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7355),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7355),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7355),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7355),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7355),
    [anon_sym_BSLASHgls] = ACTIONS(7355),
    [anon_sym_BSLASHGls] = ACTIONS(7355),
    [anon_sym_BSLASHGLS] = ACTIONS(7355),
    [anon_sym_BSLASHglspl] = ACTIONS(7355),
    [anon_sym_BSLASHGlspl] = ACTIONS(7355),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7355),
    [anon_sym_BSLASHglslink] = ACTIONS(7355),
    [anon_sym_BSLASHglstext] = ACTIONS(7355),
    [anon_sym_BSLASHGlstext] = ACTIONS(7355),
    [anon_sym_BSLASHGLStext] = ACTIONS(7355),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7355),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7355),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7355),
    [anon_sym_BSLASHglsplural] = ACTIONS(7355),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7355),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7355),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHglsname] = ACTIONS(7355),
    [anon_sym_BSLASHGlsname] = ACTIONS(7355),
    [anon_sym_BSLASHGLSname] = ACTIONS(7355),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7355),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7355),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7355),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7355),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7355),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7355),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7355),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7355),
    [anon_sym_BSLASHacrshort] = ACTIONS(7355),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7355),
    [anon_sym_BSLASHACRshort] = ACTIONS(7355),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHacrlong] = ACTIONS(7355),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7355),
    [anon_sym_BSLASHACRlong] = ACTIONS(7355),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHacrfull] = ACTIONS(7355),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7355),
    [anon_sym_BSLASHACRfull] = ACTIONS(7355),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHacs] = ACTIONS(7355),
    [anon_sym_BSLASHAcs] = ACTIONS(7355),
    [anon_sym_BSLASHacsp] = ACTIONS(7355),
    [anon_sym_BSLASHAcsp] = ACTIONS(7355),
    [anon_sym_BSLASHacl] = ACTIONS(7355),
    [anon_sym_BSLASHAcl] = ACTIONS(7355),
    [anon_sym_BSLASHaclp] = ACTIONS(7355),
    [anon_sym_BSLASHAclp] = ACTIONS(7355),
    [anon_sym_BSLASHacf] = ACTIONS(7355),
    [anon_sym_BSLASHAcf] = ACTIONS(7355),
    [anon_sym_BSLASHacfp] = ACTIONS(7355),
    [anon_sym_BSLASHAcfp] = ACTIONS(7355),
    [anon_sym_BSLASHac] = ACTIONS(7355),
    [anon_sym_BSLASHAc] = ACTIONS(7355),
    [anon_sym_BSLASHacp] = ACTIONS(7355),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7355),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7355),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7355),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7355),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7355),
    [anon_sym_BSLASHcolor] = ACTIONS(7355),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7355),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7355),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7355),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7355),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7355),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7355),
    [anon_sym_BSLASHurl] = ACTIONS(7355),
    [anon_sym_BSLASHhref] = ACTIONS(7355),
  },
  [1712] = {
    [sym_command_name] = ACTIONS(7359),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7359),
    [anon_sym_LBRACK] = ACTIONS(7361),
    [anon_sym_RBRACK] = ACTIONS(7361),
    [anon_sym_COMMA] = ACTIONS(7361),
    [anon_sym_EQ] = ACTIONS(7361),
    [anon_sym_LPAREN] = ACTIONS(7361),
    [anon_sym_RPAREN] = ACTIONS(7361),
    [anon_sym_LBRACE] = ACTIONS(7361),
    [sym_word] = ACTIONS(7359),
    [sym_placeholder] = ACTIONS(7361),
    [sym_delimiter] = ACTIONS(7361),
    [anon_sym_PLUS] = ACTIONS(7361),
    [anon_sym_DASH] = ACTIONS(7361),
    [anon_sym_STAR] = ACTIONS(7361),
    [anon_sym_SLASH] = ACTIONS(7361),
    [anon_sym_LT] = ACTIONS(7359),
    [anon_sym_GT] = ACTIONS(7359),
    [anon_sym_BANG] = ACTIONS(7359),
    [anon_sym_PIPE] = ACTIONS(7359),
    [anon_sym_COLON] = ACTIONS(7359),
    [anon_sym_SQUOTE] = ACTIONS(7359),
    [anon_sym__] = ACTIONS(7361),
    [anon_sym_CARET] = ACTIONS(7361),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7361),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7361),
    [anon_sym_DOLLAR] = ACTIONS(7359),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7361),
    [anon_sym_BSLASHleft] = ACTIONS(7359),
    [anon_sym_BSLASHbigl] = ACTIONS(7359),
    [anon_sym_BSLASHBigl] = ACTIONS(7359),
    [anon_sym_BSLASHbiggl] = ACTIONS(7359),
    [anon_sym_BSLASHBiggl] = ACTIONS(7359),
    [anon_sym_BSLASHtext] = ACTIONS(7359),
    [anon_sym_BSLASHintertext] = ACTIONS(7359),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7359),
    [anon_sym_BSLASHbegin] = ACTIONS(7359),
    [anon_sym_BSLASHend] = ACTIONS(7359),
    [anon_sym_BSLASHtitle] = ACTIONS(7359),
    [anon_sym_BSLASHauthor] = ACTIONS(7359),
    [anon_sym_BSLASHusepackage] = ACTIONS(7359),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7359),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7359),
    [anon_sym_BSLASHinclude] = ACTIONS(7359),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7359),
    [anon_sym_BSLASHinput] = ACTIONS(7359),
    [anon_sym_BSLASHsubfile] = ACTIONS(7359),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7359),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7359),
    [anon_sym_BSLASHbibliography] = ACTIONS(7359),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7359),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7359),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7359),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7359),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7359),
    [anon_sym_BSLASHimport] = ACTIONS(7359),
    [anon_sym_BSLASHsubimport] = ACTIONS(7359),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7359),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7359),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7359),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7359),
    [anon_sym_BSLASHcaption] = ACTIONS(7359),
    [anon_sym_BSLASHcite] = ACTIONS(7359),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCite] = ACTIONS(7359),
    [anon_sym_BSLASHnocite] = ACTIONS(7359),
    [anon_sym_BSLASHcitet] = ACTIONS(7359),
    [anon_sym_BSLASHcitep] = ACTIONS(7359),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteA] = ACTIONS(7359),
    [anon_sym_BSLASHciteR] = ACTIONS(7359),
    [anon_sym_BSLASHciteS] = ACTIONS(7359),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7359),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7359),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7359),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7359),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteyear] = ACTIONS(7359),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitedate] = ACTIONS(7359),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteurl] = ACTIONS(7359),
    [anon_sym_BSLASHfullcite] = ACTIONS(7359),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7359),
    [anon_sym_BSLASHcitealt] = ACTIONS(7359),
    [anon_sym_BSLASHcitealp] = ACTIONS(7359),
    [anon_sym_BSLASHcitetext] = ACTIONS(7359),
    [anon_sym_BSLASHparencite] = ACTIONS(7359),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHParencite] = ACTIONS(7359),
    [anon_sym_BSLASHfootcite] = ACTIONS(7359),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7359),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7359),
    [anon_sym_BSLASHtextcite] = ACTIONS(7359),
    [anon_sym_BSLASHTextcite] = ACTIONS(7359),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7359),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7359),
    [anon_sym_BSLASHsupercite] = ACTIONS(7359),
    [anon_sym_BSLASHautocite] = ACTIONS(7359),
    [anon_sym_BSLASHAutocite] = ACTIONS(7359),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHVolcite] = ACTIONS(7359),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHavolcite] = ACTIONS(7359),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHNotecite] = ACTIONS(7359),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHlabel] = ACTIONS(7359),
    [anon_sym_BSLASHref] = ACTIONS(7359),
    [anon_sym_BSLASHeqref] = ACTIONS(7359),
    [anon_sym_BSLASHvref] = ACTIONS(7359),
    [anon_sym_BSLASHVref] = ACTIONS(7359),
    [anon_sym_BSLASHautoref] = ACTIONS(7359),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHpageref] = ACTIONS(7359),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHautopageref] = ACTIONS(7359),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcref] = ACTIONS(7359),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCref] = ACTIONS(7359),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcpageref] = ACTIONS(7359),
    [anon_sym_BSLASHCpageref] = ACTIONS(7359),
    [anon_sym_BSLASHnamecref] = ACTIONS(7359),
    [anon_sym_BSLASHnameCref] = ACTIONS(7359),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7359),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7359),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7359),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7359),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7359),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7359),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7359),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7359),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7359),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7359),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7359),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHdef] = ACTIONS(7359),
    [anon_sym_BSLASHgdef] = ACTIONS(7359),
    [anon_sym_BSLASHedef] = ACTIONS(7359),
    [anon_sym_BSLASHxdef] = ACTIONS(7359),
    [anon_sym_BSLASHlet] = ACTIONS(7359),
    [anon_sym_BSLASHglet] = ACTIONS(7359),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7359),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7359),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7359),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7359),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7359),
    [anon_sym_BSLASHgls] = ACTIONS(7359),
    [anon_sym_BSLASHGls] = ACTIONS(7359),
    [anon_sym_BSLASHGLS] = ACTIONS(7359),
    [anon_sym_BSLASHglspl] = ACTIONS(7359),
    [anon_sym_BSLASHGlspl] = ACTIONS(7359),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7359),
    [anon_sym_BSLASHglslink] = ACTIONS(7359),
    [anon_sym_BSLASHglstext] = ACTIONS(7359),
    [anon_sym_BSLASHGlstext] = ACTIONS(7359),
    [anon_sym_BSLASHGLStext] = ACTIONS(7359),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7359),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7359),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7359),
    [anon_sym_BSLASHglsplural] = ACTIONS(7359),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7359),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7359),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHglsname] = ACTIONS(7359),
    [anon_sym_BSLASHGlsname] = ACTIONS(7359),
    [anon_sym_BSLASHGLSname] = ACTIONS(7359),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7359),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7359),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7359),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7359),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7359),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7359),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7359),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7359),
    [anon_sym_BSLASHacrshort] = ACTIONS(7359),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7359),
    [anon_sym_BSLASHACRshort] = ACTIONS(7359),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHacrlong] = ACTIONS(7359),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7359),
    [anon_sym_BSLASHACRlong] = ACTIONS(7359),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHacrfull] = ACTIONS(7359),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7359),
    [anon_sym_BSLASHACRfull] = ACTIONS(7359),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHacs] = ACTIONS(7359),
    [anon_sym_BSLASHAcs] = ACTIONS(7359),
    [anon_sym_BSLASHacsp] = ACTIONS(7359),
    [anon_sym_BSLASHAcsp] = ACTIONS(7359),
    [anon_sym_BSLASHacl] = ACTIONS(7359),
    [anon_sym_BSLASHAcl] = ACTIONS(7359),
    [anon_sym_BSLASHaclp] = ACTIONS(7359),
    [anon_sym_BSLASHAclp] = ACTIONS(7359),
    [anon_sym_BSLASHacf] = ACTIONS(7359),
    [anon_sym_BSLASHAcf] = ACTIONS(7359),
    [anon_sym_BSLASHacfp] = ACTIONS(7359),
    [anon_sym_BSLASHAcfp] = ACTIONS(7359),
    [anon_sym_BSLASHac] = ACTIONS(7359),
    [anon_sym_BSLASHAc] = ACTIONS(7359),
    [anon_sym_BSLASHacp] = ACTIONS(7359),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7359),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7359),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7359),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7359),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7359),
    [anon_sym_BSLASHcolor] = ACTIONS(7359),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7359),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7359),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7359),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7359),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7359),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7359),
    [anon_sym_BSLASHurl] = ACTIONS(7359),
    [anon_sym_BSLASHhref] = ACTIONS(7359),
  },
  [1713] = {
    [sym_command_name] = ACTIONS(7363),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7363),
    [anon_sym_LBRACK] = ACTIONS(7365),
    [anon_sym_RBRACK] = ACTIONS(7365),
    [anon_sym_COMMA] = ACTIONS(7365),
    [anon_sym_EQ] = ACTIONS(7365),
    [anon_sym_LPAREN] = ACTIONS(7365),
    [anon_sym_RPAREN] = ACTIONS(7365),
    [anon_sym_LBRACE] = ACTIONS(7365),
    [sym_word] = ACTIONS(7363),
    [sym_placeholder] = ACTIONS(7365),
    [sym_delimiter] = ACTIONS(7365),
    [anon_sym_PLUS] = ACTIONS(7365),
    [anon_sym_DASH] = ACTIONS(7365),
    [anon_sym_STAR] = ACTIONS(7365),
    [anon_sym_SLASH] = ACTIONS(7365),
    [anon_sym_LT] = ACTIONS(7363),
    [anon_sym_GT] = ACTIONS(7363),
    [anon_sym_BANG] = ACTIONS(7363),
    [anon_sym_PIPE] = ACTIONS(7363),
    [anon_sym_COLON] = ACTIONS(7363),
    [anon_sym_SQUOTE] = ACTIONS(7363),
    [anon_sym__] = ACTIONS(7365),
    [anon_sym_CARET] = ACTIONS(7365),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7365),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7365),
    [anon_sym_DOLLAR] = ACTIONS(7363),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7365),
    [anon_sym_BSLASHleft] = ACTIONS(7363),
    [anon_sym_BSLASHbigl] = ACTIONS(7363),
    [anon_sym_BSLASHBigl] = ACTIONS(7363),
    [anon_sym_BSLASHbiggl] = ACTIONS(7363),
    [anon_sym_BSLASHBiggl] = ACTIONS(7363),
    [anon_sym_BSLASHtext] = ACTIONS(7363),
    [anon_sym_BSLASHintertext] = ACTIONS(7363),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7363),
    [anon_sym_BSLASHbegin] = ACTIONS(7363),
    [anon_sym_BSLASHend] = ACTIONS(7363),
    [anon_sym_BSLASHtitle] = ACTIONS(7363),
    [anon_sym_BSLASHauthor] = ACTIONS(7363),
    [anon_sym_BSLASHusepackage] = ACTIONS(7363),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7363),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7363),
    [anon_sym_BSLASHinclude] = ACTIONS(7363),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7363),
    [anon_sym_BSLASHinput] = ACTIONS(7363),
    [anon_sym_BSLASHsubfile] = ACTIONS(7363),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7363),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7363),
    [anon_sym_BSLASHbibliography] = ACTIONS(7363),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7363),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7363),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7363),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7363),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7363),
    [anon_sym_BSLASHimport] = ACTIONS(7363),
    [anon_sym_BSLASHsubimport] = ACTIONS(7363),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7363),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7363),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7363),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7363),
    [anon_sym_BSLASHcaption] = ACTIONS(7363),
    [anon_sym_BSLASHcite] = ACTIONS(7363),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCite] = ACTIONS(7363),
    [anon_sym_BSLASHnocite] = ACTIONS(7363),
    [anon_sym_BSLASHcitet] = ACTIONS(7363),
    [anon_sym_BSLASHcitep] = ACTIONS(7363),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteA] = ACTIONS(7363),
    [anon_sym_BSLASHciteR] = ACTIONS(7363),
    [anon_sym_BSLASHciteS] = ACTIONS(7363),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7363),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7363),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7363),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7363),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteyear] = ACTIONS(7363),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitedate] = ACTIONS(7363),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteurl] = ACTIONS(7363),
    [anon_sym_BSLASHfullcite] = ACTIONS(7363),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7363),
    [anon_sym_BSLASHcitealt] = ACTIONS(7363),
    [anon_sym_BSLASHcitealp] = ACTIONS(7363),
    [anon_sym_BSLASHcitetext] = ACTIONS(7363),
    [anon_sym_BSLASHparencite] = ACTIONS(7363),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHParencite] = ACTIONS(7363),
    [anon_sym_BSLASHfootcite] = ACTIONS(7363),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7363),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7363),
    [anon_sym_BSLASHtextcite] = ACTIONS(7363),
    [anon_sym_BSLASHTextcite] = ACTIONS(7363),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7363),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7363),
    [anon_sym_BSLASHsupercite] = ACTIONS(7363),
    [anon_sym_BSLASHautocite] = ACTIONS(7363),
    [anon_sym_BSLASHAutocite] = ACTIONS(7363),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHVolcite] = ACTIONS(7363),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHavolcite] = ACTIONS(7363),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHNotecite] = ACTIONS(7363),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHlabel] = ACTIONS(7363),
    [anon_sym_BSLASHref] = ACTIONS(7363),
    [anon_sym_BSLASHeqref] = ACTIONS(7363),
    [anon_sym_BSLASHvref] = ACTIONS(7363),
    [anon_sym_BSLASHVref] = ACTIONS(7363),
    [anon_sym_BSLASHautoref] = ACTIONS(7363),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHpageref] = ACTIONS(7363),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHautopageref] = ACTIONS(7363),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcref] = ACTIONS(7363),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCref] = ACTIONS(7363),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcpageref] = ACTIONS(7363),
    [anon_sym_BSLASHCpageref] = ACTIONS(7363),
    [anon_sym_BSLASHnamecref] = ACTIONS(7363),
    [anon_sym_BSLASHnameCref] = ACTIONS(7363),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7363),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7363),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7363),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7363),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7363),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7363),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7363),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7363),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7363),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7363),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7363),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHdef] = ACTIONS(7363),
    [anon_sym_BSLASHgdef] = ACTIONS(7363),
    [anon_sym_BSLASHedef] = ACTIONS(7363),
    [anon_sym_BSLASHxdef] = ACTIONS(7363),
    [anon_sym_BSLASHlet] = ACTIONS(7363),
    [anon_sym_BSLASHglet] = ACTIONS(7363),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7363),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7363),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7363),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7363),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7363),
    [anon_sym_BSLASHgls] = ACTIONS(7363),
    [anon_sym_BSLASHGls] = ACTIONS(7363),
    [anon_sym_BSLASHGLS] = ACTIONS(7363),
    [anon_sym_BSLASHglspl] = ACTIONS(7363),
    [anon_sym_BSLASHGlspl] = ACTIONS(7363),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7363),
    [anon_sym_BSLASHglslink] = ACTIONS(7363),
    [anon_sym_BSLASHglstext] = ACTIONS(7363),
    [anon_sym_BSLASHGlstext] = ACTIONS(7363),
    [anon_sym_BSLASHGLStext] = ACTIONS(7363),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7363),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7363),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7363),
    [anon_sym_BSLASHglsplural] = ACTIONS(7363),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7363),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7363),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHglsname] = ACTIONS(7363),
    [anon_sym_BSLASHGlsname] = ACTIONS(7363),
    [anon_sym_BSLASHGLSname] = ACTIONS(7363),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7363),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7363),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7363),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7363),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7363),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7363),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7363),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7363),
    [anon_sym_BSLASHacrshort] = ACTIONS(7363),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7363),
    [anon_sym_BSLASHACRshort] = ACTIONS(7363),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHacrlong] = ACTIONS(7363),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7363),
    [anon_sym_BSLASHACRlong] = ACTIONS(7363),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHacrfull] = ACTIONS(7363),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7363),
    [anon_sym_BSLASHACRfull] = ACTIONS(7363),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHacs] = ACTIONS(7363),
    [anon_sym_BSLASHAcs] = ACTIONS(7363),
    [anon_sym_BSLASHacsp] = ACTIONS(7363),
    [anon_sym_BSLASHAcsp] = ACTIONS(7363),
    [anon_sym_BSLASHacl] = ACTIONS(7363),
    [anon_sym_BSLASHAcl] = ACTIONS(7363),
    [anon_sym_BSLASHaclp] = ACTIONS(7363),
    [anon_sym_BSLASHAclp] = ACTIONS(7363),
    [anon_sym_BSLASHacf] = ACTIONS(7363),
    [anon_sym_BSLASHAcf] = ACTIONS(7363),
    [anon_sym_BSLASHacfp] = ACTIONS(7363),
    [anon_sym_BSLASHAcfp] = ACTIONS(7363),
    [anon_sym_BSLASHac] = ACTIONS(7363),
    [anon_sym_BSLASHAc] = ACTIONS(7363),
    [anon_sym_BSLASHacp] = ACTIONS(7363),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7363),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7363),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7363),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7363),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7363),
    [anon_sym_BSLASHcolor] = ACTIONS(7363),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7363),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7363),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7363),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7363),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7363),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7363),
    [anon_sym_BSLASHurl] = ACTIONS(7363),
    [anon_sym_BSLASHhref] = ACTIONS(7363),
  },
  [1714] = {
    [sym_command_name] = ACTIONS(7367),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7367),
    [anon_sym_LBRACK] = ACTIONS(7369),
    [anon_sym_RBRACK] = ACTIONS(7369),
    [anon_sym_COMMA] = ACTIONS(7369),
    [anon_sym_EQ] = ACTIONS(7369),
    [anon_sym_LPAREN] = ACTIONS(7369),
    [anon_sym_RPAREN] = ACTIONS(7369),
    [anon_sym_LBRACE] = ACTIONS(7369),
    [sym_word] = ACTIONS(7367),
    [sym_placeholder] = ACTIONS(7369),
    [sym_delimiter] = ACTIONS(7369),
    [anon_sym_PLUS] = ACTIONS(7369),
    [anon_sym_DASH] = ACTIONS(7369),
    [anon_sym_STAR] = ACTIONS(7369),
    [anon_sym_SLASH] = ACTIONS(7369),
    [anon_sym_LT] = ACTIONS(7367),
    [anon_sym_GT] = ACTIONS(7367),
    [anon_sym_BANG] = ACTIONS(7367),
    [anon_sym_PIPE] = ACTIONS(7367),
    [anon_sym_COLON] = ACTIONS(7367),
    [anon_sym_SQUOTE] = ACTIONS(7367),
    [anon_sym__] = ACTIONS(7369),
    [anon_sym_CARET] = ACTIONS(7369),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7369),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7369),
    [anon_sym_DOLLAR] = ACTIONS(7367),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7369),
    [anon_sym_BSLASHleft] = ACTIONS(7367),
    [anon_sym_BSLASHbigl] = ACTIONS(7367),
    [anon_sym_BSLASHBigl] = ACTIONS(7367),
    [anon_sym_BSLASHbiggl] = ACTIONS(7367),
    [anon_sym_BSLASHBiggl] = ACTIONS(7367),
    [anon_sym_BSLASHtext] = ACTIONS(7367),
    [anon_sym_BSLASHintertext] = ACTIONS(7367),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7367),
    [anon_sym_BSLASHbegin] = ACTIONS(7367),
    [anon_sym_BSLASHend] = ACTIONS(7367),
    [anon_sym_BSLASHtitle] = ACTIONS(7367),
    [anon_sym_BSLASHauthor] = ACTIONS(7367),
    [anon_sym_BSLASHusepackage] = ACTIONS(7367),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7367),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7367),
    [anon_sym_BSLASHinclude] = ACTIONS(7367),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7367),
    [anon_sym_BSLASHinput] = ACTIONS(7367),
    [anon_sym_BSLASHsubfile] = ACTIONS(7367),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7367),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7367),
    [anon_sym_BSLASHbibliography] = ACTIONS(7367),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7367),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7367),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7367),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7367),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7367),
    [anon_sym_BSLASHimport] = ACTIONS(7367),
    [anon_sym_BSLASHsubimport] = ACTIONS(7367),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7367),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7367),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7367),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7367),
    [anon_sym_BSLASHcaption] = ACTIONS(7367),
    [anon_sym_BSLASHcite] = ACTIONS(7367),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCite] = ACTIONS(7367),
    [anon_sym_BSLASHnocite] = ACTIONS(7367),
    [anon_sym_BSLASHcitet] = ACTIONS(7367),
    [anon_sym_BSLASHcitep] = ACTIONS(7367),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteA] = ACTIONS(7367),
    [anon_sym_BSLASHciteR] = ACTIONS(7367),
    [anon_sym_BSLASHciteS] = ACTIONS(7367),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7367),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7367),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7367),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7367),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteyear] = ACTIONS(7367),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitedate] = ACTIONS(7367),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteurl] = ACTIONS(7367),
    [anon_sym_BSLASHfullcite] = ACTIONS(7367),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7367),
    [anon_sym_BSLASHcitealt] = ACTIONS(7367),
    [anon_sym_BSLASHcitealp] = ACTIONS(7367),
    [anon_sym_BSLASHcitetext] = ACTIONS(7367),
    [anon_sym_BSLASHparencite] = ACTIONS(7367),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHParencite] = ACTIONS(7367),
    [anon_sym_BSLASHfootcite] = ACTIONS(7367),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7367),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7367),
    [anon_sym_BSLASHtextcite] = ACTIONS(7367),
    [anon_sym_BSLASHTextcite] = ACTIONS(7367),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7367),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7367),
    [anon_sym_BSLASHsupercite] = ACTIONS(7367),
    [anon_sym_BSLASHautocite] = ACTIONS(7367),
    [anon_sym_BSLASHAutocite] = ACTIONS(7367),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHVolcite] = ACTIONS(7367),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHavolcite] = ACTIONS(7367),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHNotecite] = ACTIONS(7367),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHlabel] = ACTIONS(7367),
    [anon_sym_BSLASHref] = ACTIONS(7367),
    [anon_sym_BSLASHeqref] = ACTIONS(7367),
    [anon_sym_BSLASHvref] = ACTIONS(7367),
    [anon_sym_BSLASHVref] = ACTIONS(7367),
    [anon_sym_BSLASHautoref] = ACTIONS(7367),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHpageref] = ACTIONS(7367),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHautopageref] = ACTIONS(7367),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcref] = ACTIONS(7367),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCref] = ACTIONS(7367),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcpageref] = ACTIONS(7367),
    [anon_sym_BSLASHCpageref] = ACTIONS(7367),
    [anon_sym_BSLASHnamecref] = ACTIONS(7367),
    [anon_sym_BSLASHnameCref] = ACTIONS(7367),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7367),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7367),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7367),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7367),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7367),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7367),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7367),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7367),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7367),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7367),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7367),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHdef] = ACTIONS(7367),
    [anon_sym_BSLASHgdef] = ACTIONS(7367),
    [anon_sym_BSLASHedef] = ACTIONS(7367),
    [anon_sym_BSLASHxdef] = ACTIONS(7367),
    [anon_sym_BSLASHlet] = ACTIONS(7367),
    [anon_sym_BSLASHglet] = ACTIONS(7367),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7367),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7367),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7367),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7367),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7367),
    [anon_sym_BSLASHgls] = ACTIONS(7367),
    [anon_sym_BSLASHGls] = ACTIONS(7367),
    [anon_sym_BSLASHGLS] = ACTIONS(7367),
    [anon_sym_BSLASHglspl] = ACTIONS(7367),
    [anon_sym_BSLASHGlspl] = ACTIONS(7367),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7367),
    [anon_sym_BSLASHglslink] = ACTIONS(7367),
    [anon_sym_BSLASHglstext] = ACTIONS(7367),
    [anon_sym_BSLASHGlstext] = ACTIONS(7367),
    [anon_sym_BSLASHGLStext] = ACTIONS(7367),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7367),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7367),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7367),
    [anon_sym_BSLASHglsplural] = ACTIONS(7367),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7367),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7367),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHglsname] = ACTIONS(7367),
    [anon_sym_BSLASHGlsname] = ACTIONS(7367),
    [anon_sym_BSLASHGLSname] = ACTIONS(7367),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7367),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7367),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7367),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7367),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7367),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7367),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7367),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7367),
    [anon_sym_BSLASHacrshort] = ACTIONS(7367),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7367),
    [anon_sym_BSLASHACRshort] = ACTIONS(7367),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHacrlong] = ACTIONS(7367),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7367),
    [anon_sym_BSLASHACRlong] = ACTIONS(7367),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHacrfull] = ACTIONS(7367),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7367),
    [anon_sym_BSLASHACRfull] = ACTIONS(7367),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHacs] = ACTIONS(7367),
    [anon_sym_BSLASHAcs] = ACTIONS(7367),
    [anon_sym_BSLASHacsp] = ACTIONS(7367),
    [anon_sym_BSLASHAcsp] = ACTIONS(7367),
    [anon_sym_BSLASHacl] = ACTIONS(7367),
    [anon_sym_BSLASHAcl] = ACTIONS(7367),
    [anon_sym_BSLASHaclp] = ACTIONS(7367),
    [anon_sym_BSLASHAclp] = ACTIONS(7367),
    [anon_sym_BSLASHacf] = ACTIONS(7367),
    [anon_sym_BSLASHAcf] = ACTIONS(7367),
    [anon_sym_BSLASHacfp] = ACTIONS(7367),
    [anon_sym_BSLASHAcfp] = ACTIONS(7367),
    [anon_sym_BSLASHac] = ACTIONS(7367),
    [anon_sym_BSLASHAc] = ACTIONS(7367),
    [anon_sym_BSLASHacp] = ACTIONS(7367),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7367),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7367),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7367),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7367),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7367),
    [anon_sym_BSLASHcolor] = ACTIONS(7367),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7367),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7367),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7367),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7367),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7367),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7367),
    [anon_sym_BSLASHurl] = ACTIONS(7367),
    [anon_sym_BSLASHhref] = ACTIONS(7367),
  },
  [1715] = {
    [sym_command_name] = ACTIONS(7311),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7311),
    [anon_sym_LBRACK] = ACTIONS(7313),
    [anon_sym_RBRACK] = ACTIONS(7313),
    [anon_sym_COMMA] = ACTIONS(7313),
    [anon_sym_EQ] = ACTIONS(7313),
    [anon_sym_LPAREN] = ACTIONS(7313),
    [anon_sym_RPAREN] = ACTIONS(7313),
    [anon_sym_LBRACE] = ACTIONS(7313),
    [sym_word] = ACTIONS(7311),
    [sym_placeholder] = ACTIONS(7313),
    [sym_delimiter] = ACTIONS(7313),
    [anon_sym_PLUS] = ACTIONS(7313),
    [anon_sym_DASH] = ACTIONS(7313),
    [anon_sym_STAR] = ACTIONS(7313),
    [anon_sym_SLASH] = ACTIONS(7313),
    [anon_sym_LT] = ACTIONS(7311),
    [anon_sym_GT] = ACTIONS(7311),
    [anon_sym_BANG] = ACTIONS(7311),
    [anon_sym_PIPE] = ACTIONS(7311),
    [anon_sym_COLON] = ACTIONS(7311),
    [anon_sym_SQUOTE] = ACTIONS(7311),
    [anon_sym__] = ACTIONS(7313),
    [anon_sym_CARET] = ACTIONS(7313),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7313),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7313),
    [anon_sym_DOLLAR] = ACTIONS(7311),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7313),
    [anon_sym_BSLASHleft] = ACTIONS(7311),
    [anon_sym_BSLASHbigl] = ACTIONS(7311),
    [anon_sym_BSLASHBigl] = ACTIONS(7311),
    [anon_sym_BSLASHbiggl] = ACTIONS(7311),
    [anon_sym_BSLASHBiggl] = ACTIONS(7311),
    [anon_sym_BSLASHtext] = ACTIONS(7311),
    [anon_sym_BSLASHintertext] = ACTIONS(7311),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7311),
    [anon_sym_BSLASHbegin] = ACTIONS(7311),
    [anon_sym_BSLASHend] = ACTIONS(7311),
    [anon_sym_BSLASHtitle] = ACTIONS(7311),
    [anon_sym_BSLASHauthor] = ACTIONS(7311),
    [anon_sym_BSLASHusepackage] = ACTIONS(7311),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7311),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7311),
    [anon_sym_BSLASHinclude] = ACTIONS(7311),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7311),
    [anon_sym_BSLASHinput] = ACTIONS(7311),
    [anon_sym_BSLASHsubfile] = ACTIONS(7311),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7311),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7311),
    [anon_sym_BSLASHbibliography] = ACTIONS(7311),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7311),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7311),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7311),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7311),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7311),
    [anon_sym_BSLASHimport] = ACTIONS(7311),
    [anon_sym_BSLASHsubimport] = ACTIONS(7311),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7311),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7311),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7311),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7311),
    [anon_sym_BSLASHcaption] = ACTIONS(7311),
    [anon_sym_BSLASHcite] = ACTIONS(7311),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCite] = ACTIONS(7311),
    [anon_sym_BSLASHnocite] = ACTIONS(7311),
    [anon_sym_BSLASHcitet] = ACTIONS(7311),
    [anon_sym_BSLASHcitep] = ACTIONS(7311),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteA] = ACTIONS(7311),
    [anon_sym_BSLASHciteR] = ACTIONS(7311),
    [anon_sym_BSLASHciteS] = ACTIONS(7311),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7311),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7311),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7311),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7311),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteyear] = ACTIONS(7311),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitedate] = ACTIONS(7311),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteurl] = ACTIONS(7311),
    [anon_sym_BSLASHfullcite] = ACTIONS(7311),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7311),
    [anon_sym_BSLASHcitealt] = ACTIONS(7311),
    [anon_sym_BSLASHcitealp] = ACTIONS(7311),
    [anon_sym_BSLASHcitetext] = ACTIONS(7311),
    [anon_sym_BSLASHparencite] = ACTIONS(7311),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHParencite] = ACTIONS(7311),
    [anon_sym_BSLASHfootcite] = ACTIONS(7311),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7311),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7311),
    [anon_sym_BSLASHtextcite] = ACTIONS(7311),
    [anon_sym_BSLASHTextcite] = ACTIONS(7311),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7311),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7311),
    [anon_sym_BSLASHsupercite] = ACTIONS(7311),
    [anon_sym_BSLASHautocite] = ACTIONS(7311),
    [anon_sym_BSLASHAutocite] = ACTIONS(7311),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHVolcite] = ACTIONS(7311),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHavolcite] = ACTIONS(7311),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHNotecite] = ACTIONS(7311),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHlabel] = ACTIONS(7311),
    [anon_sym_BSLASHref] = ACTIONS(7311),
    [anon_sym_BSLASHeqref] = ACTIONS(7311),
    [anon_sym_BSLASHvref] = ACTIONS(7311),
    [anon_sym_BSLASHVref] = ACTIONS(7311),
    [anon_sym_BSLASHautoref] = ACTIONS(7311),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHpageref] = ACTIONS(7311),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHautopageref] = ACTIONS(7311),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcref] = ACTIONS(7311),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCref] = ACTIONS(7311),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcpageref] = ACTIONS(7311),
    [anon_sym_BSLASHCpageref] = ACTIONS(7311),
    [anon_sym_BSLASHnamecref] = ACTIONS(7311),
    [anon_sym_BSLASHnameCref] = ACTIONS(7311),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7311),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7311),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7311),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7311),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7311),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7311),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7311),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7311),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7311),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7311),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7311),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHdef] = ACTIONS(7311),
    [anon_sym_BSLASHgdef] = ACTIONS(7311),
    [anon_sym_BSLASHedef] = ACTIONS(7311),
    [anon_sym_BSLASHxdef] = ACTIONS(7311),
    [anon_sym_BSLASHlet] = ACTIONS(7311),
    [anon_sym_BSLASHglet] = ACTIONS(7311),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7311),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7311),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7311),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7311),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7311),
    [anon_sym_BSLASHgls] = ACTIONS(7311),
    [anon_sym_BSLASHGls] = ACTIONS(7311),
    [anon_sym_BSLASHGLS] = ACTIONS(7311),
    [anon_sym_BSLASHglspl] = ACTIONS(7311),
    [anon_sym_BSLASHGlspl] = ACTIONS(7311),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7311),
    [anon_sym_BSLASHglslink] = ACTIONS(7311),
    [anon_sym_BSLASHglstext] = ACTIONS(7311),
    [anon_sym_BSLASHGlstext] = ACTIONS(7311),
    [anon_sym_BSLASHGLStext] = ACTIONS(7311),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7311),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7311),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7311),
    [anon_sym_BSLASHglsplural] = ACTIONS(7311),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7311),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7311),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHglsname] = ACTIONS(7311),
    [anon_sym_BSLASHGlsname] = ACTIONS(7311),
    [anon_sym_BSLASHGLSname] = ACTIONS(7311),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7311),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7311),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7311),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7311),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7311),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7311),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7311),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7311),
    [anon_sym_BSLASHacrshort] = ACTIONS(7311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7311),
    [anon_sym_BSLASHACRshort] = ACTIONS(7311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHacrlong] = ACTIONS(7311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7311),
    [anon_sym_BSLASHACRlong] = ACTIONS(7311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHacrfull] = ACTIONS(7311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7311),
    [anon_sym_BSLASHACRfull] = ACTIONS(7311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHacs] = ACTIONS(7311),
    [anon_sym_BSLASHAcs] = ACTIONS(7311),
    [anon_sym_BSLASHacsp] = ACTIONS(7311),
    [anon_sym_BSLASHAcsp] = ACTIONS(7311),
    [anon_sym_BSLASHacl] = ACTIONS(7311),
    [anon_sym_BSLASHAcl] = ACTIONS(7311),
    [anon_sym_BSLASHaclp] = ACTIONS(7311),
    [anon_sym_BSLASHAclp] = ACTIONS(7311),
    [anon_sym_BSLASHacf] = ACTIONS(7311),
    [anon_sym_BSLASHAcf] = ACTIONS(7311),
    [anon_sym_BSLASHacfp] = ACTIONS(7311),
    [anon_sym_BSLASHAcfp] = ACTIONS(7311),
    [anon_sym_BSLASHac] = ACTIONS(7311),
    [anon_sym_BSLASHAc] = ACTIONS(7311),
    [anon_sym_BSLASHacp] = ACTIONS(7311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7311),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7311),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7311),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7311),
    [anon_sym_BSLASHcolor] = ACTIONS(7311),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7311),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7311),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7311),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7311),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7311),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7311),
    [anon_sym_BSLASHurl] = ACTIONS(7311),
    [anon_sym_BSLASHhref] = ACTIONS(7311),
  },
  [1716] = {
    [sym_command_name] = ACTIONS(7143),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7143),
    [anon_sym_LBRACK] = ACTIONS(7145),
    [anon_sym_RBRACK] = ACTIONS(7145),
    [anon_sym_COMMA] = ACTIONS(7145),
    [anon_sym_EQ] = ACTIONS(7145),
    [anon_sym_LPAREN] = ACTIONS(7145),
    [anon_sym_RPAREN] = ACTIONS(7145),
    [anon_sym_LBRACE] = ACTIONS(7145),
    [sym_word] = ACTIONS(7143),
    [sym_placeholder] = ACTIONS(7145),
    [sym_delimiter] = ACTIONS(7145),
    [anon_sym_PLUS] = ACTIONS(7145),
    [anon_sym_DASH] = ACTIONS(7145),
    [anon_sym_STAR] = ACTIONS(7145),
    [anon_sym_SLASH] = ACTIONS(7145),
    [anon_sym_LT] = ACTIONS(7143),
    [anon_sym_GT] = ACTIONS(7143),
    [anon_sym_BANG] = ACTIONS(7143),
    [anon_sym_PIPE] = ACTIONS(7143),
    [anon_sym_COLON] = ACTIONS(7143),
    [anon_sym_SQUOTE] = ACTIONS(7143),
    [anon_sym__] = ACTIONS(7145),
    [anon_sym_CARET] = ACTIONS(7145),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7145),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7145),
    [anon_sym_DOLLAR] = ACTIONS(7143),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7145),
    [anon_sym_BSLASHleft] = ACTIONS(7143),
    [anon_sym_BSLASHbigl] = ACTIONS(7143),
    [anon_sym_BSLASHBigl] = ACTIONS(7143),
    [anon_sym_BSLASHbiggl] = ACTIONS(7143),
    [anon_sym_BSLASHBiggl] = ACTIONS(7143),
    [anon_sym_BSLASHtext] = ACTIONS(7143),
    [anon_sym_BSLASHintertext] = ACTIONS(7143),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7143),
    [anon_sym_BSLASHbegin] = ACTIONS(7143),
    [anon_sym_BSLASHend] = ACTIONS(7143),
    [anon_sym_BSLASHtitle] = ACTIONS(7143),
    [anon_sym_BSLASHauthor] = ACTIONS(7143),
    [anon_sym_BSLASHusepackage] = ACTIONS(7143),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7143),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7143),
    [anon_sym_BSLASHinclude] = ACTIONS(7143),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7143),
    [anon_sym_BSLASHinput] = ACTIONS(7143),
    [anon_sym_BSLASHsubfile] = ACTIONS(7143),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7143),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7143),
    [anon_sym_BSLASHbibliography] = ACTIONS(7143),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7143),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7143),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7143),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7143),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7143),
    [anon_sym_BSLASHimport] = ACTIONS(7143),
    [anon_sym_BSLASHsubimport] = ACTIONS(7143),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7143),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7143),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7143),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7143),
    [anon_sym_BSLASHcaption] = ACTIONS(7143),
    [anon_sym_BSLASHcite] = ACTIONS(7143),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHCite] = ACTIONS(7143),
    [anon_sym_BSLASHnocite] = ACTIONS(7143),
    [anon_sym_BSLASHcitet] = ACTIONS(7143),
    [anon_sym_BSLASHcitep] = ACTIONS(7143),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHciteA] = ACTIONS(7143),
    [anon_sym_BSLASHciteR] = ACTIONS(7143),
    [anon_sym_BSLASHciteS] = ACTIONS(7143),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7143),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7143),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7143),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7143),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHciteyear] = ACTIONS(7143),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcitedate] = ACTIONS(7143),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHciteurl] = ACTIONS(7143),
    [anon_sym_BSLASHfullcite] = ACTIONS(7143),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7143),
    [anon_sym_BSLASHcitealt] = ACTIONS(7143),
    [anon_sym_BSLASHcitealp] = ACTIONS(7143),
    [anon_sym_BSLASHcitetext] = ACTIONS(7143),
    [anon_sym_BSLASHparencite] = ACTIONS(7143),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHParencite] = ACTIONS(7143),
    [anon_sym_BSLASHfootcite] = ACTIONS(7143),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7143),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7143),
    [anon_sym_BSLASHtextcite] = ACTIONS(7143),
    [anon_sym_BSLASHTextcite] = ACTIONS(7143),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7143),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7143),
    [anon_sym_BSLASHsupercite] = ACTIONS(7143),
    [anon_sym_BSLASHautocite] = ACTIONS(7143),
    [anon_sym_BSLASHAutocite] = ACTIONS(7143),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHVolcite] = ACTIONS(7143),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHavolcite] = ACTIONS(7143),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHnotecite] = ACTIONS(7143),
    [anon_sym_BSLASHNotecite] = ACTIONS(7143),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7143),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7143),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7143),
    [anon_sym_BSLASHlabel] = ACTIONS(7143),
    [anon_sym_BSLASHref] = ACTIONS(7143),
    [anon_sym_BSLASHeqref] = ACTIONS(7143),
    [anon_sym_BSLASHvref] = ACTIONS(7143),
    [anon_sym_BSLASHVref] = ACTIONS(7143),
    [anon_sym_BSLASHautoref] = ACTIONS(7143),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHpageref] = ACTIONS(7143),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHautopageref] = ACTIONS(7143),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcref] = ACTIONS(7143),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHCref] = ACTIONS(7143),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcpageref] = ACTIONS(7143),
    [anon_sym_BSLASHCpageref] = ACTIONS(7143),
    [anon_sym_BSLASHnamecref] = ACTIONS(7143),
    [anon_sym_BSLASHnameCref] = ACTIONS(7143),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7143),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7143),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7143),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7143),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7143),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7143),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7143),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7143),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7143),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7143),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7143),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7143),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7143),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7143),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7143),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7143),
    [anon_sym_BSLASHdef] = ACTIONS(7143),
    [anon_sym_BSLASHgdef] = ACTIONS(7143),
    [anon_sym_BSLASHedef] = ACTIONS(7143),
    [anon_sym_BSLASHxdef] = ACTIONS(7143),
    [anon_sym_BSLASHlet] = ACTIONS(7143),
    [anon_sym_BSLASHglet] = ACTIONS(7143),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7143),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7143),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7143),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7143),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7143),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7143),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7143),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7143),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7143),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7143),
    [anon_sym_BSLASHgls] = ACTIONS(7143),
    [anon_sym_BSLASHGls] = ACTIONS(7143),
    [anon_sym_BSLASHGLS] = ACTIONS(7143),
    [anon_sym_BSLASHglspl] = ACTIONS(7143),
    [anon_sym_BSLASHGlspl] = ACTIONS(7143),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7143),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7143),
    [anon_sym_BSLASHglslink] = ACTIONS(7143),
    [anon_sym_BSLASHglstext] = ACTIONS(7143),
    [anon_sym_BSLASHGlstext] = ACTIONS(7143),
    [anon_sym_BSLASHGLStext] = ACTIONS(7143),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7143),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7143),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7143),
    [anon_sym_BSLASHglsplural] = ACTIONS(7143),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7143),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7143),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7143),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7143),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7143),
    [anon_sym_BSLASHglsname] = ACTIONS(7143),
    [anon_sym_BSLASHGlsname] = ACTIONS(7143),
    [anon_sym_BSLASHGLSname] = ACTIONS(7143),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7143),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7143),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7143),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7143),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7143),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7143),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7143),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7143),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7143),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7143),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7143),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7143),
    [anon_sym_BSLASHacrshort] = ACTIONS(7143),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7143),
    [anon_sym_BSLASHACRshort] = ACTIONS(7143),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHacrlong] = ACTIONS(7143),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7143),
    [anon_sym_BSLASHACRlong] = ACTIONS(7143),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7143),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7143),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7143),
    [anon_sym_BSLASHacrfull] = ACTIONS(7143),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7143),
    [anon_sym_BSLASHACRfull] = ACTIONS(7143),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHacs] = ACTIONS(7143),
    [anon_sym_BSLASHAcs] = ACTIONS(7143),
    [anon_sym_BSLASHacsp] = ACTIONS(7143),
    [anon_sym_BSLASHAcsp] = ACTIONS(7143),
    [anon_sym_BSLASHacl] = ACTIONS(7143),
    [anon_sym_BSLASHAcl] = ACTIONS(7143),
    [anon_sym_BSLASHaclp] = ACTIONS(7143),
    [anon_sym_BSLASHAclp] = ACTIONS(7143),
    [anon_sym_BSLASHacf] = ACTIONS(7143),
    [anon_sym_BSLASHAcf] = ACTIONS(7143),
    [anon_sym_BSLASHacfp] = ACTIONS(7143),
    [anon_sym_BSLASHAcfp] = ACTIONS(7143),
    [anon_sym_BSLASHac] = ACTIONS(7143),
    [anon_sym_BSLASHAc] = ACTIONS(7143),
    [anon_sym_BSLASHacp] = ACTIONS(7143),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7143),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7143),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7143),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7143),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7143),
    [anon_sym_BSLASHcolor] = ACTIONS(7143),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7143),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7143),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7143),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7143),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7143),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7143),
    [anon_sym_BSLASHurl] = ACTIONS(7143),
    [anon_sym_BSLASHhref] = ACTIONS(7143),
  },
  [1717] = {
    [sym_command_name] = ACTIONS(7147),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7147),
    [anon_sym_LBRACK] = ACTIONS(7149),
    [anon_sym_RBRACK] = ACTIONS(7149),
    [anon_sym_COMMA] = ACTIONS(7149),
    [anon_sym_EQ] = ACTIONS(7149),
    [anon_sym_LPAREN] = ACTIONS(7149),
    [anon_sym_RPAREN] = ACTIONS(7149),
    [anon_sym_LBRACE] = ACTIONS(7149),
    [sym_word] = ACTIONS(7147),
    [sym_placeholder] = ACTIONS(7149),
    [sym_delimiter] = ACTIONS(7149),
    [anon_sym_PLUS] = ACTIONS(7149),
    [anon_sym_DASH] = ACTIONS(7149),
    [anon_sym_STAR] = ACTIONS(7149),
    [anon_sym_SLASH] = ACTIONS(7149),
    [anon_sym_LT] = ACTIONS(7147),
    [anon_sym_GT] = ACTIONS(7147),
    [anon_sym_BANG] = ACTIONS(7147),
    [anon_sym_PIPE] = ACTIONS(7147),
    [anon_sym_COLON] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(7147),
    [anon_sym__] = ACTIONS(7149),
    [anon_sym_CARET] = ACTIONS(7149),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7149),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7149),
    [anon_sym_DOLLAR] = ACTIONS(7147),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7149),
    [anon_sym_BSLASHleft] = ACTIONS(7147),
    [anon_sym_BSLASHbigl] = ACTIONS(7147),
    [anon_sym_BSLASHBigl] = ACTIONS(7147),
    [anon_sym_BSLASHbiggl] = ACTIONS(7147),
    [anon_sym_BSLASHBiggl] = ACTIONS(7147),
    [anon_sym_BSLASHtext] = ACTIONS(7147),
    [anon_sym_BSLASHintertext] = ACTIONS(7147),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7147),
    [anon_sym_BSLASHbegin] = ACTIONS(7147),
    [anon_sym_BSLASHend] = ACTIONS(7147),
    [anon_sym_BSLASHtitle] = ACTIONS(7147),
    [anon_sym_BSLASHauthor] = ACTIONS(7147),
    [anon_sym_BSLASHusepackage] = ACTIONS(7147),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7147),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7147),
    [anon_sym_BSLASHinclude] = ACTIONS(7147),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7147),
    [anon_sym_BSLASHinput] = ACTIONS(7147),
    [anon_sym_BSLASHsubfile] = ACTIONS(7147),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7147),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7147),
    [anon_sym_BSLASHbibliography] = ACTIONS(7147),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7147),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7147),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7147),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7147),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7147),
    [anon_sym_BSLASHimport] = ACTIONS(7147),
    [anon_sym_BSLASHsubimport] = ACTIONS(7147),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7147),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7147),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7147),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7147),
    [anon_sym_BSLASHcaption] = ACTIONS(7147),
    [anon_sym_BSLASHcite] = ACTIONS(7147),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHCite] = ACTIONS(7147),
    [anon_sym_BSLASHnocite] = ACTIONS(7147),
    [anon_sym_BSLASHcitet] = ACTIONS(7147),
    [anon_sym_BSLASHcitep] = ACTIONS(7147),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHciteA] = ACTIONS(7147),
    [anon_sym_BSLASHciteR] = ACTIONS(7147),
    [anon_sym_BSLASHciteS] = ACTIONS(7147),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7147),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7147),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7147),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7147),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHciteyear] = ACTIONS(7147),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcitedate] = ACTIONS(7147),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHciteurl] = ACTIONS(7147),
    [anon_sym_BSLASHfullcite] = ACTIONS(7147),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7147),
    [anon_sym_BSLASHcitealt] = ACTIONS(7147),
    [anon_sym_BSLASHcitealp] = ACTIONS(7147),
    [anon_sym_BSLASHcitetext] = ACTIONS(7147),
    [anon_sym_BSLASHparencite] = ACTIONS(7147),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHParencite] = ACTIONS(7147),
    [anon_sym_BSLASHfootcite] = ACTIONS(7147),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7147),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7147),
    [anon_sym_BSLASHtextcite] = ACTIONS(7147),
    [anon_sym_BSLASHTextcite] = ACTIONS(7147),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7147),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7147),
    [anon_sym_BSLASHsupercite] = ACTIONS(7147),
    [anon_sym_BSLASHautocite] = ACTIONS(7147),
    [anon_sym_BSLASHAutocite] = ACTIONS(7147),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHVolcite] = ACTIONS(7147),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHavolcite] = ACTIONS(7147),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHnotecite] = ACTIONS(7147),
    [anon_sym_BSLASHNotecite] = ACTIONS(7147),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7147),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7147),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7147),
    [anon_sym_BSLASHlabel] = ACTIONS(7147),
    [anon_sym_BSLASHref] = ACTIONS(7147),
    [anon_sym_BSLASHeqref] = ACTIONS(7147),
    [anon_sym_BSLASHvref] = ACTIONS(7147),
    [anon_sym_BSLASHVref] = ACTIONS(7147),
    [anon_sym_BSLASHautoref] = ACTIONS(7147),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHpageref] = ACTIONS(7147),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHautopageref] = ACTIONS(7147),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcref] = ACTIONS(7147),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHCref] = ACTIONS(7147),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcpageref] = ACTIONS(7147),
    [anon_sym_BSLASHCpageref] = ACTIONS(7147),
    [anon_sym_BSLASHnamecref] = ACTIONS(7147),
    [anon_sym_BSLASHnameCref] = ACTIONS(7147),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7147),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7147),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7147),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7147),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7147),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7147),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7147),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7147),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7147),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7147),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7147),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7147),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7147),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7147),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7147),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7147),
    [anon_sym_BSLASHdef] = ACTIONS(7147),
    [anon_sym_BSLASHgdef] = ACTIONS(7147),
    [anon_sym_BSLASHedef] = ACTIONS(7147),
    [anon_sym_BSLASHxdef] = ACTIONS(7147),
    [anon_sym_BSLASHlet] = ACTIONS(7147),
    [anon_sym_BSLASHglet] = ACTIONS(7147),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7147),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7147),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7147),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7147),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7147),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7147),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7147),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7147),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7147),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7147),
    [anon_sym_BSLASHgls] = ACTIONS(7147),
    [anon_sym_BSLASHGls] = ACTIONS(7147),
    [anon_sym_BSLASHGLS] = ACTIONS(7147),
    [anon_sym_BSLASHglspl] = ACTIONS(7147),
    [anon_sym_BSLASHGlspl] = ACTIONS(7147),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7147),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7147),
    [anon_sym_BSLASHglslink] = ACTIONS(7147),
    [anon_sym_BSLASHglstext] = ACTIONS(7147),
    [anon_sym_BSLASHGlstext] = ACTIONS(7147),
    [anon_sym_BSLASHGLStext] = ACTIONS(7147),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7147),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7147),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7147),
    [anon_sym_BSLASHglsplural] = ACTIONS(7147),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7147),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7147),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7147),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7147),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7147),
    [anon_sym_BSLASHglsname] = ACTIONS(7147),
    [anon_sym_BSLASHGlsname] = ACTIONS(7147),
    [anon_sym_BSLASHGLSname] = ACTIONS(7147),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7147),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7147),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7147),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7147),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7147),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7147),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7147),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7147),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7147),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7147),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7147),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7147),
    [anon_sym_BSLASHacrshort] = ACTIONS(7147),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7147),
    [anon_sym_BSLASHACRshort] = ACTIONS(7147),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHacrlong] = ACTIONS(7147),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7147),
    [anon_sym_BSLASHACRlong] = ACTIONS(7147),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7147),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7147),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7147),
    [anon_sym_BSLASHacrfull] = ACTIONS(7147),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7147),
    [anon_sym_BSLASHACRfull] = ACTIONS(7147),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHacs] = ACTIONS(7147),
    [anon_sym_BSLASHAcs] = ACTIONS(7147),
    [anon_sym_BSLASHacsp] = ACTIONS(7147),
    [anon_sym_BSLASHAcsp] = ACTIONS(7147),
    [anon_sym_BSLASHacl] = ACTIONS(7147),
    [anon_sym_BSLASHAcl] = ACTIONS(7147),
    [anon_sym_BSLASHaclp] = ACTIONS(7147),
    [anon_sym_BSLASHAclp] = ACTIONS(7147),
    [anon_sym_BSLASHacf] = ACTIONS(7147),
    [anon_sym_BSLASHAcf] = ACTIONS(7147),
    [anon_sym_BSLASHacfp] = ACTIONS(7147),
    [anon_sym_BSLASHAcfp] = ACTIONS(7147),
    [anon_sym_BSLASHac] = ACTIONS(7147),
    [anon_sym_BSLASHAc] = ACTIONS(7147),
    [anon_sym_BSLASHacp] = ACTIONS(7147),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7147),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7147),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7147),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7147),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7147),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7147),
    [anon_sym_BSLASHcolor] = ACTIONS(7147),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7147),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7147),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7147),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7147),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7147),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7147),
    [anon_sym_BSLASHurl] = ACTIONS(7147),
    [anon_sym_BSLASHhref] = ACTIONS(7147),
  },
  [1718] = {
    [sym_command_name] = ACTIONS(7151),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7151),
    [anon_sym_LBRACK] = ACTIONS(7153),
    [anon_sym_RBRACK] = ACTIONS(7153),
    [anon_sym_COMMA] = ACTIONS(7153),
    [anon_sym_EQ] = ACTIONS(7153),
    [anon_sym_LPAREN] = ACTIONS(7153),
    [anon_sym_RPAREN] = ACTIONS(7153),
    [anon_sym_LBRACE] = ACTIONS(7153),
    [sym_word] = ACTIONS(7151),
    [sym_placeholder] = ACTIONS(7153),
    [sym_delimiter] = ACTIONS(7153),
    [anon_sym_PLUS] = ACTIONS(7153),
    [anon_sym_DASH] = ACTIONS(7153),
    [anon_sym_STAR] = ACTIONS(7153),
    [anon_sym_SLASH] = ACTIONS(7153),
    [anon_sym_LT] = ACTIONS(7151),
    [anon_sym_GT] = ACTIONS(7151),
    [anon_sym_BANG] = ACTIONS(7151),
    [anon_sym_PIPE] = ACTIONS(7151),
    [anon_sym_COLON] = ACTIONS(7151),
    [anon_sym_SQUOTE] = ACTIONS(7151),
    [anon_sym__] = ACTIONS(7153),
    [anon_sym_CARET] = ACTIONS(7153),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7153),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7153),
    [anon_sym_DOLLAR] = ACTIONS(7151),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7153),
    [anon_sym_BSLASHleft] = ACTIONS(7151),
    [anon_sym_BSLASHbigl] = ACTIONS(7151),
    [anon_sym_BSLASHBigl] = ACTIONS(7151),
    [anon_sym_BSLASHbiggl] = ACTIONS(7151),
    [anon_sym_BSLASHBiggl] = ACTIONS(7151),
    [anon_sym_BSLASHtext] = ACTIONS(7151),
    [anon_sym_BSLASHintertext] = ACTIONS(7151),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7151),
    [anon_sym_BSLASHbegin] = ACTIONS(7151),
    [anon_sym_BSLASHend] = ACTIONS(7151),
    [anon_sym_BSLASHtitle] = ACTIONS(7151),
    [anon_sym_BSLASHauthor] = ACTIONS(7151),
    [anon_sym_BSLASHusepackage] = ACTIONS(7151),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7151),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7151),
    [anon_sym_BSLASHinclude] = ACTIONS(7151),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7151),
    [anon_sym_BSLASHinput] = ACTIONS(7151),
    [anon_sym_BSLASHsubfile] = ACTIONS(7151),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7151),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7151),
    [anon_sym_BSLASHbibliography] = ACTIONS(7151),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7151),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7151),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7151),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7151),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7151),
    [anon_sym_BSLASHimport] = ACTIONS(7151),
    [anon_sym_BSLASHsubimport] = ACTIONS(7151),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7151),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7151),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7151),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7151),
    [anon_sym_BSLASHcaption] = ACTIONS(7151),
    [anon_sym_BSLASHcite] = ACTIONS(7151),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHCite] = ACTIONS(7151),
    [anon_sym_BSLASHnocite] = ACTIONS(7151),
    [anon_sym_BSLASHcitet] = ACTIONS(7151),
    [anon_sym_BSLASHcitep] = ACTIONS(7151),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHciteA] = ACTIONS(7151),
    [anon_sym_BSLASHciteR] = ACTIONS(7151),
    [anon_sym_BSLASHciteS] = ACTIONS(7151),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7151),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7151),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7151),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7151),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHciteyear] = ACTIONS(7151),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcitedate] = ACTIONS(7151),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHciteurl] = ACTIONS(7151),
    [anon_sym_BSLASHfullcite] = ACTIONS(7151),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7151),
    [anon_sym_BSLASHcitealt] = ACTIONS(7151),
    [anon_sym_BSLASHcitealp] = ACTIONS(7151),
    [anon_sym_BSLASHcitetext] = ACTIONS(7151),
    [anon_sym_BSLASHparencite] = ACTIONS(7151),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHParencite] = ACTIONS(7151),
    [anon_sym_BSLASHfootcite] = ACTIONS(7151),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7151),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7151),
    [anon_sym_BSLASHtextcite] = ACTIONS(7151),
    [anon_sym_BSLASHTextcite] = ACTIONS(7151),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7151),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7151),
    [anon_sym_BSLASHsupercite] = ACTIONS(7151),
    [anon_sym_BSLASHautocite] = ACTIONS(7151),
    [anon_sym_BSLASHAutocite] = ACTIONS(7151),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHVolcite] = ACTIONS(7151),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHavolcite] = ACTIONS(7151),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHnotecite] = ACTIONS(7151),
    [anon_sym_BSLASHNotecite] = ACTIONS(7151),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7151),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7151),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7151),
    [anon_sym_BSLASHlabel] = ACTIONS(7151),
    [anon_sym_BSLASHref] = ACTIONS(7151),
    [anon_sym_BSLASHeqref] = ACTIONS(7151),
    [anon_sym_BSLASHvref] = ACTIONS(7151),
    [anon_sym_BSLASHVref] = ACTIONS(7151),
    [anon_sym_BSLASHautoref] = ACTIONS(7151),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHpageref] = ACTIONS(7151),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHautopageref] = ACTIONS(7151),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcref] = ACTIONS(7151),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHCref] = ACTIONS(7151),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcpageref] = ACTIONS(7151),
    [anon_sym_BSLASHCpageref] = ACTIONS(7151),
    [anon_sym_BSLASHnamecref] = ACTIONS(7151),
    [anon_sym_BSLASHnameCref] = ACTIONS(7151),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7151),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7151),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7151),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7151),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7151),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7151),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7151),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7151),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7151),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7151),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7151),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7151),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7151),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7151),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7151),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7151),
    [anon_sym_BSLASHdef] = ACTIONS(7151),
    [anon_sym_BSLASHgdef] = ACTIONS(7151),
    [anon_sym_BSLASHedef] = ACTIONS(7151),
    [anon_sym_BSLASHxdef] = ACTIONS(7151),
    [anon_sym_BSLASHlet] = ACTIONS(7151),
    [anon_sym_BSLASHglet] = ACTIONS(7151),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7151),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7151),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7151),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7151),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7151),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7151),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7151),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7151),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7151),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7151),
    [anon_sym_BSLASHgls] = ACTIONS(7151),
    [anon_sym_BSLASHGls] = ACTIONS(7151),
    [anon_sym_BSLASHGLS] = ACTIONS(7151),
    [anon_sym_BSLASHglspl] = ACTIONS(7151),
    [anon_sym_BSLASHGlspl] = ACTIONS(7151),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7151),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7151),
    [anon_sym_BSLASHglslink] = ACTIONS(7151),
    [anon_sym_BSLASHglstext] = ACTIONS(7151),
    [anon_sym_BSLASHGlstext] = ACTIONS(7151),
    [anon_sym_BSLASHGLStext] = ACTIONS(7151),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7151),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7151),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7151),
    [anon_sym_BSLASHglsplural] = ACTIONS(7151),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7151),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7151),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7151),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7151),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7151),
    [anon_sym_BSLASHglsname] = ACTIONS(7151),
    [anon_sym_BSLASHGlsname] = ACTIONS(7151),
    [anon_sym_BSLASHGLSname] = ACTIONS(7151),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7151),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7151),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7151),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7151),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7151),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7151),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7151),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7151),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7151),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7151),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7151),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7151),
    [anon_sym_BSLASHacrshort] = ACTIONS(7151),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7151),
    [anon_sym_BSLASHACRshort] = ACTIONS(7151),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHacrlong] = ACTIONS(7151),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7151),
    [anon_sym_BSLASHACRlong] = ACTIONS(7151),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7151),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7151),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7151),
    [anon_sym_BSLASHacrfull] = ACTIONS(7151),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7151),
    [anon_sym_BSLASHACRfull] = ACTIONS(7151),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHacs] = ACTIONS(7151),
    [anon_sym_BSLASHAcs] = ACTIONS(7151),
    [anon_sym_BSLASHacsp] = ACTIONS(7151),
    [anon_sym_BSLASHAcsp] = ACTIONS(7151),
    [anon_sym_BSLASHacl] = ACTIONS(7151),
    [anon_sym_BSLASHAcl] = ACTIONS(7151),
    [anon_sym_BSLASHaclp] = ACTIONS(7151),
    [anon_sym_BSLASHAclp] = ACTIONS(7151),
    [anon_sym_BSLASHacf] = ACTIONS(7151),
    [anon_sym_BSLASHAcf] = ACTIONS(7151),
    [anon_sym_BSLASHacfp] = ACTIONS(7151),
    [anon_sym_BSLASHAcfp] = ACTIONS(7151),
    [anon_sym_BSLASHac] = ACTIONS(7151),
    [anon_sym_BSLASHAc] = ACTIONS(7151),
    [anon_sym_BSLASHacp] = ACTIONS(7151),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7151),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7151),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7151),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7151),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7151),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7151),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7151),
    [anon_sym_BSLASHcolor] = ACTIONS(7151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7151),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7151),
    [anon_sym_BSLASHurl] = ACTIONS(7151),
    [anon_sym_BSLASHhref] = ACTIONS(7151),
  },
  [1719] = {
    [sym_command_name] = ACTIONS(7155),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7155),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_RBRACK] = ACTIONS(7157),
    [anon_sym_COMMA] = ACTIONS(7157),
    [anon_sym_EQ] = ACTIONS(7157),
    [anon_sym_LPAREN] = ACTIONS(7157),
    [anon_sym_RPAREN] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7157),
    [sym_word] = ACTIONS(7155),
    [sym_placeholder] = ACTIONS(7157),
    [sym_delimiter] = ACTIONS(7157),
    [anon_sym_PLUS] = ACTIONS(7157),
    [anon_sym_DASH] = ACTIONS(7157),
    [anon_sym_STAR] = ACTIONS(7157),
    [anon_sym_SLASH] = ACTIONS(7157),
    [anon_sym_LT] = ACTIONS(7155),
    [anon_sym_GT] = ACTIONS(7155),
    [anon_sym_BANG] = ACTIONS(7155),
    [anon_sym_PIPE] = ACTIONS(7155),
    [anon_sym_COLON] = ACTIONS(7155),
    [anon_sym_SQUOTE] = ACTIONS(7155),
    [anon_sym__] = ACTIONS(7157),
    [anon_sym_CARET] = ACTIONS(7157),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7157),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7157),
    [anon_sym_DOLLAR] = ACTIONS(7155),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7157),
    [anon_sym_BSLASHleft] = ACTIONS(7155),
    [anon_sym_BSLASHbigl] = ACTIONS(7155),
    [anon_sym_BSLASHBigl] = ACTIONS(7155),
    [anon_sym_BSLASHbiggl] = ACTIONS(7155),
    [anon_sym_BSLASHBiggl] = ACTIONS(7155),
    [anon_sym_BSLASHtext] = ACTIONS(7155),
    [anon_sym_BSLASHintertext] = ACTIONS(7155),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7155),
    [anon_sym_BSLASHbegin] = ACTIONS(7155),
    [anon_sym_BSLASHend] = ACTIONS(7155),
    [anon_sym_BSLASHtitle] = ACTIONS(7155),
    [anon_sym_BSLASHauthor] = ACTIONS(7155),
    [anon_sym_BSLASHusepackage] = ACTIONS(7155),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7155),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7155),
    [anon_sym_BSLASHinclude] = ACTIONS(7155),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7155),
    [anon_sym_BSLASHinput] = ACTIONS(7155),
    [anon_sym_BSLASHsubfile] = ACTIONS(7155),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7155),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7155),
    [anon_sym_BSLASHbibliography] = ACTIONS(7155),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7155),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7155),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7155),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7155),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7155),
    [anon_sym_BSLASHimport] = ACTIONS(7155),
    [anon_sym_BSLASHsubimport] = ACTIONS(7155),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7155),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7155),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7155),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7155),
    [anon_sym_BSLASHcaption] = ACTIONS(7155),
    [anon_sym_BSLASHcite] = ACTIONS(7155),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHCite] = ACTIONS(7155),
    [anon_sym_BSLASHnocite] = ACTIONS(7155),
    [anon_sym_BSLASHcitet] = ACTIONS(7155),
    [anon_sym_BSLASHcitep] = ACTIONS(7155),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHciteA] = ACTIONS(7155),
    [anon_sym_BSLASHciteR] = ACTIONS(7155),
    [anon_sym_BSLASHciteS] = ACTIONS(7155),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7155),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7155),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7155),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7155),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHciteyear] = ACTIONS(7155),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcitedate] = ACTIONS(7155),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHciteurl] = ACTIONS(7155),
    [anon_sym_BSLASHfullcite] = ACTIONS(7155),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7155),
    [anon_sym_BSLASHcitealt] = ACTIONS(7155),
    [anon_sym_BSLASHcitealp] = ACTIONS(7155),
    [anon_sym_BSLASHcitetext] = ACTIONS(7155),
    [anon_sym_BSLASHparencite] = ACTIONS(7155),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHParencite] = ACTIONS(7155),
    [anon_sym_BSLASHfootcite] = ACTIONS(7155),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7155),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7155),
    [anon_sym_BSLASHtextcite] = ACTIONS(7155),
    [anon_sym_BSLASHTextcite] = ACTIONS(7155),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7155),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7155),
    [anon_sym_BSLASHsupercite] = ACTIONS(7155),
    [anon_sym_BSLASHautocite] = ACTIONS(7155),
    [anon_sym_BSLASHAutocite] = ACTIONS(7155),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHVolcite] = ACTIONS(7155),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHavolcite] = ACTIONS(7155),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHnotecite] = ACTIONS(7155),
    [anon_sym_BSLASHNotecite] = ACTIONS(7155),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7155),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7155),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7155),
    [anon_sym_BSLASHlabel] = ACTIONS(7155),
    [anon_sym_BSLASHref] = ACTIONS(7155),
    [anon_sym_BSLASHeqref] = ACTIONS(7155),
    [anon_sym_BSLASHvref] = ACTIONS(7155),
    [anon_sym_BSLASHVref] = ACTIONS(7155),
    [anon_sym_BSLASHautoref] = ACTIONS(7155),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHpageref] = ACTIONS(7155),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHautopageref] = ACTIONS(7155),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcref] = ACTIONS(7155),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHCref] = ACTIONS(7155),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcpageref] = ACTIONS(7155),
    [anon_sym_BSLASHCpageref] = ACTIONS(7155),
    [anon_sym_BSLASHnamecref] = ACTIONS(7155),
    [anon_sym_BSLASHnameCref] = ACTIONS(7155),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7155),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7155),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7155),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7155),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7155),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7155),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7155),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7155),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7155),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7155),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7155),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7155),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7155),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7155),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7155),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7155),
    [anon_sym_BSLASHdef] = ACTIONS(7155),
    [anon_sym_BSLASHgdef] = ACTIONS(7155),
    [anon_sym_BSLASHedef] = ACTIONS(7155),
    [anon_sym_BSLASHxdef] = ACTIONS(7155),
    [anon_sym_BSLASHlet] = ACTIONS(7155),
    [anon_sym_BSLASHglet] = ACTIONS(7155),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7155),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7155),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7155),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7155),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7155),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7155),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7155),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7155),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7155),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7155),
    [anon_sym_BSLASHgls] = ACTIONS(7155),
    [anon_sym_BSLASHGls] = ACTIONS(7155),
    [anon_sym_BSLASHGLS] = ACTIONS(7155),
    [anon_sym_BSLASHglspl] = ACTIONS(7155),
    [anon_sym_BSLASHGlspl] = ACTIONS(7155),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7155),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7155),
    [anon_sym_BSLASHglslink] = ACTIONS(7155),
    [anon_sym_BSLASHglstext] = ACTIONS(7155),
    [anon_sym_BSLASHGlstext] = ACTIONS(7155),
    [anon_sym_BSLASHGLStext] = ACTIONS(7155),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7155),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7155),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7155),
    [anon_sym_BSLASHglsplural] = ACTIONS(7155),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7155),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7155),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7155),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7155),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7155),
    [anon_sym_BSLASHglsname] = ACTIONS(7155),
    [anon_sym_BSLASHGlsname] = ACTIONS(7155),
    [anon_sym_BSLASHGLSname] = ACTIONS(7155),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7155),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7155),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7155),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7155),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7155),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7155),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7155),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7155),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7155),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7155),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7155),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7155),
    [anon_sym_BSLASHacrshort] = ACTIONS(7155),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7155),
    [anon_sym_BSLASHACRshort] = ACTIONS(7155),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHacrlong] = ACTIONS(7155),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7155),
    [anon_sym_BSLASHACRlong] = ACTIONS(7155),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7155),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7155),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7155),
    [anon_sym_BSLASHacrfull] = ACTIONS(7155),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7155),
    [anon_sym_BSLASHACRfull] = ACTIONS(7155),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHacs] = ACTIONS(7155),
    [anon_sym_BSLASHAcs] = ACTIONS(7155),
    [anon_sym_BSLASHacsp] = ACTIONS(7155),
    [anon_sym_BSLASHAcsp] = ACTIONS(7155),
    [anon_sym_BSLASHacl] = ACTIONS(7155),
    [anon_sym_BSLASHAcl] = ACTIONS(7155),
    [anon_sym_BSLASHaclp] = ACTIONS(7155),
    [anon_sym_BSLASHAclp] = ACTIONS(7155),
    [anon_sym_BSLASHacf] = ACTIONS(7155),
    [anon_sym_BSLASHAcf] = ACTIONS(7155),
    [anon_sym_BSLASHacfp] = ACTIONS(7155),
    [anon_sym_BSLASHAcfp] = ACTIONS(7155),
    [anon_sym_BSLASHac] = ACTIONS(7155),
    [anon_sym_BSLASHAc] = ACTIONS(7155),
    [anon_sym_BSLASHacp] = ACTIONS(7155),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7155),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7155),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7155),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7155),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7155),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7155),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7155),
    [anon_sym_BSLASHcolor] = ACTIONS(7155),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7155),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7155),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7155),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7155),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7155),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7155),
    [anon_sym_BSLASHurl] = ACTIONS(7155),
    [anon_sym_BSLASHhref] = ACTIONS(7155),
  },
  [1720] = {
    [sym_command_name] = ACTIONS(7159),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7159),
    [anon_sym_LBRACK] = ACTIONS(7161),
    [anon_sym_RBRACK] = ACTIONS(7161),
    [anon_sym_COMMA] = ACTIONS(7161),
    [anon_sym_EQ] = ACTIONS(7161),
    [anon_sym_LPAREN] = ACTIONS(7161),
    [anon_sym_RPAREN] = ACTIONS(7161),
    [anon_sym_LBRACE] = ACTIONS(7161),
    [sym_word] = ACTIONS(7159),
    [sym_placeholder] = ACTIONS(7161),
    [sym_delimiter] = ACTIONS(7161),
    [anon_sym_PLUS] = ACTIONS(7161),
    [anon_sym_DASH] = ACTIONS(7161),
    [anon_sym_STAR] = ACTIONS(7161),
    [anon_sym_SLASH] = ACTIONS(7161),
    [anon_sym_LT] = ACTIONS(7159),
    [anon_sym_GT] = ACTIONS(7159),
    [anon_sym_BANG] = ACTIONS(7159),
    [anon_sym_PIPE] = ACTIONS(7159),
    [anon_sym_COLON] = ACTIONS(7159),
    [anon_sym_SQUOTE] = ACTIONS(7159),
    [anon_sym__] = ACTIONS(7161),
    [anon_sym_CARET] = ACTIONS(7161),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7161),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7161),
    [anon_sym_DOLLAR] = ACTIONS(7159),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7161),
    [anon_sym_BSLASHleft] = ACTIONS(7159),
    [anon_sym_BSLASHbigl] = ACTIONS(7159),
    [anon_sym_BSLASHBigl] = ACTIONS(7159),
    [anon_sym_BSLASHbiggl] = ACTIONS(7159),
    [anon_sym_BSLASHBiggl] = ACTIONS(7159),
    [anon_sym_BSLASHtext] = ACTIONS(7159),
    [anon_sym_BSLASHintertext] = ACTIONS(7159),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7159),
    [anon_sym_BSLASHbegin] = ACTIONS(7159),
    [anon_sym_BSLASHend] = ACTIONS(7159),
    [anon_sym_BSLASHtitle] = ACTIONS(7159),
    [anon_sym_BSLASHauthor] = ACTIONS(7159),
    [anon_sym_BSLASHusepackage] = ACTIONS(7159),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7159),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7159),
    [anon_sym_BSLASHinclude] = ACTIONS(7159),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7159),
    [anon_sym_BSLASHinput] = ACTIONS(7159),
    [anon_sym_BSLASHsubfile] = ACTIONS(7159),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7159),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7159),
    [anon_sym_BSLASHbibliography] = ACTIONS(7159),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7159),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7159),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7159),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7159),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7159),
    [anon_sym_BSLASHimport] = ACTIONS(7159),
    [anon_sym_BSLASHsubimport] = ACTIONS(7159),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7159),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7159),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7159),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7159),
    [anon_sym_BSLASHcaption] = ACTIONS(7159),
    [anon_sym_BSLASHcite] = ACTIONS(7159),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHCite] = ACTIONS(7159),
    [anon_sym_BSLASHnocite] = ACTIONS(7159),
    [anon_sym_BSLASHcitet] = ACTIONS(7159),
    [anon_sym_BSLASHcitep] = ACTIONS(7159),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHciteA] = ACTIONS(7159),
    [anon_sym_BSLASHciteR] = ACTIONS(7159),
    [anon_sym_BSLASHciteS] = ACTIONS(7159),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7159),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7159),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7159),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7159),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHciteyear] = ACTIONS(7159),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcitedate] = ACTIONS(7159),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHciteurl] = ACTIONS(7159),
    [anon_sym_BSLASHfullcite] = ACTIONS(7159),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7159),
    [anon_sym_BSLASHcitealt] = ACTIONS(7159),
    [anon_sym_BSLASHcitealp] = ACTIONS(7159),
    [anon_sym_BSLASHcitetext] = ACTIONS(7159),
    [anon_sym_BSLASHparencite] = ACTIONS(7159),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHParencite] = ACTIONS(7159),
    [anon_sym_BSLASHfootcite] = ACTIONS(7159),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7159),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7159),
    [anon_sym_BSLASHtextcite] = ACTIONS(7159),
    [anon_sym_BSLASHTextcite] = ACTIONS(7159),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7159),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7159),
    [anon_sym_BSLASHsupercite] = ACTIONS(7159),
    [anon_sym_BSLASHautocite] = ACTIONS(7159),
    [anon_sym_BSLASHAutocite] = ACTIONS(7159),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHVolcite] = ACTIONS(7159),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHavolcite] = ACTIONS(7159),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHnotecite] = ACTIONS(7159),
    [anon_sym_BSLASHNotecite] = ACTIONS(7159),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7159),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7159),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7159),
    [anon_sym_BSLASHlabel] = ACTIONS(7159),
    [anon_sym_BSLASHref] = ACTIONS(7159),
    [anon_sym_BSLASHeqref] = ACTIONS(7159),
    [anon_sym_BSLASHvref] = ACTIONS(7159),
    [anon_sym_BSLASHVref] = ACTIONS(7159),
    [anon_sym_BSLASHautoref] = ACTIONS(7159),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHpageref] = ACTIONS(7159),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHautopageref] = ACTIONS(7159),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcref] = ACTIONS(7159),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHCref] = ACTIONS(7159),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcpageref] = ACTIONS(7159),
    [anon_sym_BSLASHCpageref] = ACTIONS(7159),
    [anon_sym_BSLASHnamecref] = ACTIONS(7159),
    [anon_sym_BSLASHnameCref] = ACTIONS(7159),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7159),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7159),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7159),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7159),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7159),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7159),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7159),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7159),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7159),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7159),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7159),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7159),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7159),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7159),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7159),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7159),
    [anon_sym_BSLASHdef] = ACTIONS(7159),
    [anon_sym_BSLASHgdef] = ACTIONS(7159),
    [anon_sym_BSLASHedef] = ACTIONS(7159),
    [anon_sym_BSLASHxdef] = ACTIONS(7159),
    [anon_sym_BSLASHlet] = ACTIONS(7159),
    [anon_sym_BSLASHglet] = ACTIONS(7159),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7159),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7159),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7159),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7159),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7159),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7159),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7159),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7159),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7159),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7159),
    [anon_sym_BSLASHgls] = ACTIONS(7159),
    [anon_sym_BSLASHGls] = ACTIONS(7159),
    [anon_sym_BSLASHGLS] = ACTIONS(7159),
    [anon_sym_BSLASHglspl] = ACTIONS(7159),
    [anon_sym_BSLASHGlspl] = ACTIONS(7159),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7159),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7159),
    [anon_sym_BSLASHglslink] = ACTIONS(7159),
    [anon_sym_BSLASHglstext] = ACTIONS(7159),
    [anon_sym_BSLASHGlstext] = ACTIONS(7159),
    [anon_sym_BSLASHGLStext] = ACTIONS(7159),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7159),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7159),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7159),
    [anon_sym_BSLASHglsplural] = ACTIONS(7159),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7159),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7159),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7159),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7159),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7159),
    [anon_sym_BSLASHglsname] = ACTIONS(7159),
    [anon_sym_BSLASHGlsname] = ACTIONS(7159),
    [anon_sym_BSLASHGLSname] = ACTIONS(7159),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7159),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7159),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7159),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7159),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7159),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7159),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7159),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7159),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7159),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7159),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7159),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7159),
    [anon_sym_BSLASHacrshort] = ACTIONS(7159),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7159),
    [anon_sym_BSLASHACRshort] = ACTIONS(7159),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHacrlong] = ACTIONS(7159),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7159),
    [anon_sym_BSLASHACRlong] = ACTIONS(7159),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7159),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7159),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7159),
    [anon_sym_BSLASHacrfull] = ACTIONS(7159),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7159),
    [anon_sym_BSLASHACRfull] = ACTIONS(7159),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHacs] = ACTIONS(7159),
    [anon_sym_BSLASHAcs] = ACTIONS(7159),
    [anon_sym_BSLASHacsp] = ACTIONS(7159),
    [anon_sym_BSLASHAcsp] = ACTIONS(7159),
    [anon_sym_BSLASHacl] = ACTIONS(7159),
    [anon_sym_BSLASHAcl] = ACTIONS(7159),
    [anon_sym_BSLASHaclp] = ACTIONS(7159),
    [anon_sym_BSLASHAclp] = ACTIONS(7159),
    [anon_sym_BSLASHacf] = ACTIONS(7159),
    [anon_sym_BSLASHAcf] = ACTIONS(7159),
    [anon_sym_BSLASHacfp] = ACTIONS(7159),
    [anon_sym_BSLASHAcfp] = ACTIONS(7159),
    [anon_sym_BSLASHac] = ACTIONS(7159),
    [anon_sym_BSLASHAc] = ACTIONS(7159),
    [anon_sym_BSLASHacp] = ACTIONS(7159),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7159),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7159),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7159),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7159),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7159),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7159),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7159),
    [anon_sym_BSLASHcolor] = ACTIONS(7159),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7159),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7159),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7159),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7159),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7159),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7159),
    [anon_sym_BSLASHurl] = ACTIONS(7159),
    [anon_sym_BSLASHhref] = ACTIONS(7159),
  },
  [1721] = {
    [sym_command_name] = ACTIONS(7163),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7163),
    [anon_sym_LBRACK] = ACTIONS(7165),
    [anon_sym_RBRACK] = ACTIONS(7165),
    [anon_sym_COMMA] = ACTIONS(7165),
    [anon_sym_EQ] = ACTIONS(7165),
    [anon_sym_LPAREN] = ACTIONS(7165),
    [anon_sym_RPAREN] = ACTIONS(7165),
    [anon_sym_LBRACE] = ACTIONS(7165),
    [sym_word] = ACTIONS(7163),
    [sym_placeholder] = ACTIONS(7165),
    [sym_delimiter] = ACTIONS(7165),
    [anon_sym_PLUS] = ACTIONS(7165),
    [anon_sym_DASH] = ACTIONS(7165),
    [anon_sym_STAR] = ACTIONS(7165),
    [anon_sym_SLASH] = ACTIONS(7165),
    [anon_sym_LT] = ACTIONS(7163),
    [anon_sym_GT] = ACTIONS(7163),
    [anon_sym_BANG] = ACTIONS(7163),
    [anon_sym_PIPE] = ACTIONS(7163),
    [anon_sym_COLON] = ACTIONS(7163),
    [anon_sym_SQUOTE] = ACTIONS(7163),
    [anon_sym__] = ACTIONS(7165),
    [anon_sym_CARET] = ACTIONS(7165),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7165),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7165),
    [anon_sym_DOLLAR] = ACTIONS(7163),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7165),
    [anon_sym_BSLASHleft] = ACTIONS(7163),
    [anon_sym_BSLASHbigl] = ACTIONS(7163),
    [anon_sym_BSLASHBigl] = ACTIONS(7163),
    [anon_sym_BSLASHbiggl] = ACTIONS(7163),
    [anon_sym_BSLASHBiggl] = ACTIONS(7163),
    [anon_sym_BSLASHtext] = ACTIONS(7163),
    [anon_sym_BSLASHintertext] = ACTIONS(7163),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7163),
    [anon_sym_BSLASHbegin] = ACTIONS(7163),
    [anon_sym_BSLASHend] = ACTIONS(7163),
    [anon_sym_BSLASHtitle] = ACTIONS(7163),
    [anon_sym_BSLASHauthor] = ACTIONS(7163),
    [anon_sym_BSLASHusepackage] = ACTIONS(7163),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7163),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7163),
    [anon_sym_BSLASHinclude] = ACTIONS(7163),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7163),
    [anon_sym_BSLASHinput] = ACTIONS(7163),
    [anon_sym_BSLASHsubfile] = ACTIONS(7163),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7163),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7163),
    [anon_sym_BSLASHbibliography] = ACTIONS(7163),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7163),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7163),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7163),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7163),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7163),
    [anon_sym_BSLASHimport] = ACTIONS(7163),
    [anon_sym_BSLASHsubimport] = ACTIONS(7163),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7163),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7163),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7163),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7163),
    [anon_sym_BSLASHcaption] = ACTIONS(7163),
    [anon_sym_BSLASHcite] = ACTIONS(7163),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHCite] = ACTIONS(7163),
    [anon_sym_BSLASHnocite] = ACTIONS(7163),
    [anon_sym_BSLASHcitet] = ACTIONS(7163),
    [anon_sym_BSLASHcitep] = ACTIONS(7163),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHciteA] = ACTIONS(7163),
    [anon_sym_BSLASHciteR] = ACTIONS(7163),
    [anon_sym_BSLASHciteS] = ACTIONS(7163),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7163),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7163),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7163),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7163),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHciteyear] = ACTIONS(7163),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcitedate] = ACTIONS(7163),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHciteurl] = ACTIONS(7163),
    [anon_sym_BSLASHfullcite] = ACTIONS(7163),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7163),
    [anon_sym_BSLASHcitealt] = ACTIONS(7163),
    [anon_sym_BSLASHcitealp] = ACTIONS(7163),
    [anon_sym_BSLASHcitetext] = ACTIONS(7163),
    [anon_sym_BSLASHparencite] = ACTIONS(7163),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHParencite] = ACTIONS(7163),
    [anon_sym_BSLASHfootcite] = ACTIONS(7163),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7163),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7163),
    [anon_sym_BSLASHtextcite] = ACTIONS(7163),
    [anon_sym_BSLASHTextcite] = ACTIONS(7163),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7163),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7163),
    [anon_sym_BSLASHsupercite] = ACTIONS(7163),
    [anon_sym_BSLASHautocite] = ACTIONS(7163),
    [anon_sym_BSLASHAutocite] = ACTIONS(7163),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHVolcite] = ACTIONS(7163),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHavolcite] = ACTIONS(7163),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHnotecite] = ACTIONS(7163),
    [anon_sym_BSLASHNotecite] = ACTIONS(7163),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7163),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7163),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7163),
    [anon_sym_BSLASHlabel] = ACTIONS(7163),
    [anon_sym_BSLASHref] = ACTIONS(7163),
    [anon_sym_BSLASHeqref] = ACTIONS(7163),
    [anon_sym_BSLASHvref] = ACTIONS(7163),
    [anon_sym_BSLASHVref] = ACTIONS(7163),
    [anon_sym_BSLASHautoref] = ACTIONS(7163),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHpageref] = ACTIONS(7163),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHautopageref] = ACTIONS(7163),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcref] = ACTIONS(7163),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHCref] = ACTIONS(7163),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcpageref] = ACTIONS(7163),
    [anon_sym_BSLASHCpageref] = ACTIONS(7163),
    [anon_sym_BSLASHnamecref] = ACTIONS(7163),
    [anon_sym_BSLASHnameCref] = ACTIONS(7163),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7163),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7163),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7163),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7163),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7163),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7163),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7163),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7163),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7163),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7163),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7163),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7163),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7163),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7163),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7163),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7163),
    [anon_sym_BSLASHdef] = ACTIONS(7163),
    [anon_sym_BSLASHgdef] = ACTIONS(7163),
    [anon_sym_BSLASHedef] = ACTIONS(7163),
    [anon_sym_BSLASHxdef] = ACTIONS(7163),
    [anon_sym_BSLASHlet] = ACTIONS(7163),
    [anon_sym_BSLASHglet] = ACTIONS(7163),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7163),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7163),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7163),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7163),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7163),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7163),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7163),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7163),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7163),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7163),
    [anon_sym_BSLASHgls] = ACTIONS(7163),
    [anon_sym_BSLASHGls] = ACTIONS(7163),
    [anon_sym_BSLASHGLS] = ACTIONS(7163),
    [anon_sym_BSLASHglspl] = ACTIONS(7163),
    [anon_sym_BSLASHGlspl] = ACTIONS(7163),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7163),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7163),
    [anon_sym_BSLASHglslink] = ACTIONS(7163),
    [anon_sym_BSLASHglstext] = ACTIONS(7163),
    [anon_sym_BSLASHGlstext] = ACTIONS(7163),
    [anon_sym_BSLASHGLStext] = ACTIONS(7163),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7163),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7163),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7163),
    [anon_sym_BSLASHglsplural] = ACTIONS(7163),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7163),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7163),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7163),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7163),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7163),
    [anon_sym_BSLASHglsname] = ACTIONS(7163),
    [anon_sym_BSLASHGlsname] = ACTIONS(7163),
    [anon_sym_BSLASHGLSname] = ACTIONS(7163),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7163),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7163),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7163),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7163),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7163),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7163),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7163),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7163),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7163),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7163),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7163),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7163),
    [anon_sym_BSLASHacrshort] = ACTIONS(7163),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7163),
    [anon_sym_BSLASHACRshort] = ACTIONS(7163),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHacrlong] = ACTIONS(7163),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7163),
    [anon_sym_BSLASHACRlong] = ACTIONS(7163),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7163),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7163),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7163),
    [anon_sym_BSLASHacrfull] = ACTIONS(7163),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7163),
    [anon_sym_BSLASHACRfull] = ACTIONS(7163),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHacs] = ACTIONS(7163),
    [anon_sym_BSLASHAcs] = ACTIONS(7163),
    [anon_sym_BSLASHacsp] = ACTIONS(7163),
    [anon_sym_BSLASHAcsp] = ACTIONS(7163),
    [anon_sym_BSLASHacl] = ACTIONS(7163),
    [anon_sym_BSLASHAcl] = ACTIONS(7163),
    [anon_sym_BSLASHaclp] = ACTIONS(7163),
    [anon_sym_BSLASHAclp] = ACTIONS(7163),
    [anon_sym_BSLASHacf] = ACTIONS(7163),
    [anon_sym_BSLASHAcf] = ACTIONS(7163),
    [anon_sym_BSLASHacfp] = ACTIONS(7163),
    [anon_sym_BSLASHAcfp] = ACTIONS(7163),
    [anon_sym_BSLASHac] = ACTIONS(7163),
    [anon_sym_BSLASHAc] = ACTIONS(7163),
    [anon_sym_BSLASHacp] = ACTIONS(7163),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7163),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7163),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7163),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7163),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7163),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7163),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7163),
    [anon_sym_BSLASHcolor] = ACTIONS(7163),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7163),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7163),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7163),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7163),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7163),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7163),
    [anon_sym_BSLASHurl] = ACTIONS(7163),
    [anon_sym_BSLASHhref] = ACTIONS(7163),
  },
  [1722] = {
    [sym_command_name] = ACTIONS(7167),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7167),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_RBRACK] = ACTIONS(7169),
    [anon_sym_COMMA] = ACTIONS(7169),
    [anon_sym_EQ] = ACTIONS(7169),
    [anon_sym_LPAREN] = ACTIONS(7169),
    [anon_sym_RPAREN] = ACTIONS(7169),
    [anon_sym_LBRACE] = ACTIONS(7169),
    [sym_word] = ACTIONS(7167),
    [sym_placeholder] = ACTIONS(7169),
    [sym_delimiter] = ACTIONS(7169),
    [anon_sym_PLUS] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7169),
    [anon_sym_STAR] = ACTIONS(7169),
    [anon_sym_SLASH] = ACTIONS(7169),
    [anon_sym_LT] = ACTIONS(7167),
    [anon_sym_GT] = ACTIONS(7167),
    [anon_sym_BANG] = ACTIONS(7167),
    [anon_sym_PIPE] = ACTIONS(7167),
    [anon_sym_COLON] = ACTIONS(7167),
    [anon_sym_SQUOTE] = ACTIONS(7167),
    [anon_sym__] = ACTIONS(7169),
    [anon_sym_CARET] = ACTIONS(7169),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7169),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7169),
    [anon_sym_DOLLAR] = ACTIONS(7167),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7169),
    [anon_sym_BSLASHleft] = ACTIONS(7167),
    [anon_sym_BSLASHbigl] = ACTIONS(7167),
    [anon_sym_BSLASHBigl] = ACTIONS(7167),
    [anon_sym_BSLASHbiggl] = ACTIONS(7167),
    [anon_sym_BSLASHBiggl] = ACTIONS(7167),
    [anon_sym_BSLASHtext] = ACTIONS(7167),
    [anon_sym_BSLASHintertext] = ACTIONS(7167),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7167),
    [anon_sym_BSLASHbegin] = ACTIONS(7167),
    [anon_sym_BSLASHend] = ACTIONS(7167),
    [anon_sym_BSLASHtitle] = ACTIONS(7167),
    [anon_sym_BSLASHauthor] = ACTIONS(7167),
    [anon_sym_BSLASHusepackage] = ACTIONS(7167),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7167),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7167),
    [anon_sym_BSLASHinclude] = ACTIONS(7167),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7167),
    [anon_sym_BSLASHinput] = ACTIONS(7167),
    [anon_sym_BSLASHsubfile] = ACTIONS(7167),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7167),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7167),
    [anon_sym_BSLASHbibliography] = ACTIONS(7167),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7167),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7167),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7167),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7167),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7167),
    [anon_sym_BSLASHimport] = ACTIONS(7167),
    [anon_sym_BSLASHsubimport] = ACTIONS(7167),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7167),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7167),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7167),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7167),
    [anon_sym_BSLASHcaption] = ACTIONS(7167),
    [anon_sym_BSLASHcite] = ACTIONS(7167),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHCite] = ACTIONS(7167),
    [anon_sym_BSLASHnocite] = ACTIONS(7167),
    [anon_sym_BSLASHcitet] = ACTIONS(7167),
    [anon_sym_BSLASHcitep] = ACTIONS(7167),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHciteA] = ACTIONS(7167),
    [anon_sym_BSLASHciteR] = ACTIONS(7167),
    [anon_sym_BSLASHciteS] = ACTIONS(7167),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7167),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7167),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7167),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7167),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHciteyear] = ACTIONS(7167),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcitedate] = ACTIONS(7167),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHciteurl] = ACTIONS(7167),
    [anon_sym_BSLASHfullcite] = ACTIONS(7167),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7167),
    [anon_sym_BSLASHcitealt] = ACTIONS(7167),
    [anon_sym_BSLASHcitealp] = ACTIONS(7167),
    [anon_sym_BSLASHcitetext] = ACTIONS(7167),
    [anon_sym_BSLASHparencite] = ACTIONS(7167),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHParencite] = ACTIONS(7167),
    [anon_sym_BSLASHfootcite] = ACTIONS(7167),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7167),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7167),
    [anon_sym_BSLASHtextcite] = ACTIONS(7167),
    [anon_sym_BSLASHTextcite] = ACTIONS(7167),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7167),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7167),
    [anon_sym_BSLASHsupercite] = ACTIONS(7167),
    [anon_sym_BSLASHautocite] = ACTIONS(7167),
    [anon_sym_BSLASHAutocite] = ACTIONS(7167),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHVolcite] = ACTIONS(7167),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHavolcite] = ACTIONS(7167),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHnotecite] = ACTIONS(7167),
    [anon_sym_BSLASHNotecite] = ACTIONS(7167),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7167),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7167),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7167),
    [anon_sym_BSLASHlabel] = ACTIONS(7167),
    [anon_sym_BSLASHref] = ACTIONS(7167),
    [anon_sym_BSLASHeqref] = ACTIONS(7167),
    [anon_sym_BSLASHvref] = ACTIONS(7167),
    [anon_sym_BSLASHVref] = ACTIONS(7167),
    [anon_sym_BSLASHautoref] = ACTIONS(7167),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHpageref] = ACTIONS(7167),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHautopageref] = ACTIONS(7167),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcref] = ACTIONS(7167),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHCref] = ACTIONS(7167),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcpageref] = ACTIONS(7167),
    [anon_sym_BSLASHCpageref] = ACTIONS(7167),
    [anon_sym_BSLASHnamecref] = ACTIONS(7167),
    [anon_sym_BSLASHnameCref] = ACTIONS(7167),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7167),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7167),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7167),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7167),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7167),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7167),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7167),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7167),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7167),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7167),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7167),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7167),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7167),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7167),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7167),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7167),
    [anon_sym_BSLASHdef] = ACTIONS(7167),
    [anon_sym_BSLASHgdef] = ACTIONS(7167),
    [anon_sym_BSLASHedef] = ACTIONS(7167),
    [anon_sym_BSLASHxdef] = ACTIONS(7167),
    [anon_sym_BSLASHlet] = ACTIONS(7167),
    [anon_sym_BSLASHglet] = ACTIONS(7167),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7167),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7167),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7167),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7167),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7167),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7167),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7167),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7167),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7167),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7167),
    [anon_sym_BSLASHgls] = ACTIONS(7167),
    [anon_sym_BSLASHGls] = ACTIONS(7167),
    [anon_sym_BSLASHGLS] = ACTIONS(7167),
    [anon_sym_BSLASHglspl] = ACTIONS(7167),
    [anon_sym_BSLASHGlspl] = ACTIONS(7167),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7167),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7167),
    [anon_sym_BSLASHglslink] = ACTIONS(7167),
    [anon_sym_BSLASHglstext] = ACTIONS(7167),
    [anon_sym_BSLASHGlstext] = ACTIONS(7167),
    [anon_sym_BSLASHGLStext] = ACTIONS(7167),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7167),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7167),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7167),
    [anon_sym_BSLASHglsplural] = ACTIONS(7167),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7167),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7167),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7167),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7167),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7167),
    [anon_sym_BSLASHglsname] = ACTIONS(7167),
    [anon_sym_BSLASHGlsname] = ACTIONS(7167),
    [anon_sym_BSLASHGLSname] = ACTIONS(7167),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7167),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7167),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7167),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7167),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7167),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7167),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7167),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7167),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7167),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7167),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7167),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7167),
    [anon_sym_BSLASHacrshort] = ACTIONS(7167),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7167),
    [anon_sym_BSLASHACRshort] = ACTIONS(7167),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHacrlong] = ACTIONS(7167),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7167),
    [anon_sym_BSLASHACRlong] = ACTIONS(7167),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7167),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7167),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7167),
    [anon_sym_BSLASHacrfull] = ACTIONS(7167),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7167),
    [anon_sym_BSLASHACRfull] = ACTIONS(7167),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHacs] = ACTIONS(7167),
    [anon_sym_BSLASHAcs] = ACTIONS(7167),
    [anon_sym_BSLASHacsp] = ACTIONS(7167),
    [anon_sym_BSLASHAcsp] = ACTIONS(7167),
    [anon_sym_BSLASHacl] = ACTIONS(7167),
    [anon_sym_BSLASHAcl] = ACTIONS(7167),
    [anon_sym_BSLASHaclp] = ACTIONS(7167),
    [anon_sym_BSLASHAclp] = ACTIONS(7167),
    [anon_sym_BSLASHacf] = ACTIONS(7167),
    [anon_sym_BSLASHAcf] = ACTIONS(7167),
    [anon_sym_BSLASHacfp] = ACTIONS(7167),
    [anon_sym_BSLASHAcfp] = ACTIONS(7167),
    [anon_sym_BSLASHac] = ACTIONS(7167),
    [anon_sym_BSLASHAc] = ACTIONS(7167),
    [anon_sym_BSLASHacp] = ACTIONS(7167),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7167),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7167),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7167),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7167),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7167),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7167),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7167),
    [anon_sym_BSLASHcolor] = ACTIONS(7167),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7167),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7167),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7167),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7167),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7167),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7167),
    [anon_sym_BSLASHurl] = ACTIONS(7167),
    [anon_sym_BSLASHhref] = ACTIONS(7167),
  },
  [1723] = {
    [sym_command_name] = ACTIONS(7171),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(7173),
    [anon_sym_RBRACK] = ACTIONS(7173),
    [anon_sym_COMMA] = ACTIONS(7173),
    [anon_sym_EQ] = ACTIONS(7173),
    [anon_sym_LPAREN] = ACTIONS(7173),
    [anon_sym_RPAREN] = ACTIONS(7173),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [sym_word] = ACTIONS(7171),
    [sym_placeholder] = ACTIONS(7173),
    [sym_delimiter] = ACTIONS(7173),
    [anon_sym_PLUS] = ACTIONS(7173),
    [anon_sym_DASH] = ACTIONS(7173),
    [anon_sym_STAR] = ACTIONS(7173),
    [anon_sym_SLASH] = ACTIONS(7173),
    [anon_sym_LT] = ACTIONS(7171),
    [anon_sym_GT] = ACTIONS(7171),
    [anon_sym_BANG] = ACTIONS(7171),
    [anon_sym_PIPE] = ACTIONS(7171),
    [anon_sym_COLON] = ACTIONS(7171),
    [anon_sym_SQUOTE] = ACTIONS(7171),
    [anon_sym__] = ACTIONS(7173),
    [anon_sym_CARET] = ACTIONS(7173),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7173),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7173),
    [anon_sym_DOLLAR] = ACTIONS(7171),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7173),
    [anon_sym_BSLASHleft] = ACTIONS(7171),
    [anon_sym_BSLASHbigl] = ACTIONS(7171),
    [anon_sym_BSLASHBigl] = ACTIONS(7171),
    [anon_sym_BSLASHbiggl] = ACTIONS(7171),
    [anon_sym_BSLASHBiggl] = ACTIONS(7171),
    [anon_sym_BSLASHtext] = ACTIONS(7171),
    [anon_sym_BSLASHintertext] = ACTIONS(7171),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7171),
    [anon_sym_BSLASHbegin] = ACTIONS(7171),
    [anon_sym_BSLASHend] = ACTIONS(7171),
    [anon_sym_BSLASHtitle] = ACTIONS(7171),
    [anon_sym_BSLASHauthor] = ACTIONS(7171),
    [anon_sym_BSLASHusepackage] = ACTIONS(7171),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7171),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7171),
    [anon_sym_BSLASHinclude] = ACTIONS(7171),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7171),
    [anon_sym_BSLASHinput] = ACTIONS(7171),
    [anon_sym_BSLASHsubfile] = ACTIONS(7171),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7171),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7171),
    [anon_sym_BSLASHbibliography] = ACTIONS(7171),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7171),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7171),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7171),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7171),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7171),
    [anon_sym_BSLASHimport] = ACTIONS(7171),
    [anon_sym_BSLASHsubimport] = ACTIONS(7171),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7171),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7171),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7171),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7171),
    [anon_sym_BSLASHcaption] = ACTIONS(7171),
    [anon_sym_BSLASHcite] = ACTIONS(7171),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHCite] = ACTIONS(7171),
    [anon_sym_BSLASHnocite] = ACTIONS(7171),
    [anon_sym_BSLASHcitet] = ACTIONS(7171),
    [anon_sym_BSLASHcitep] = ACTIONS(7171),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHciteA] = ACTIONS(7171),
    [anon_sym_BSLASHciteR] = ACTIONS(7171),
    [anon_sym_BSLASHciteS] = ACTIONS(7171),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7171),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7171),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7171),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7171),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHciteyear] = ACTIONS(7171),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcitedate] = ACTIONS(7171),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHciteurl] = ACTIONS(7171),
    [anon_sym_BSLASHfullcite] = ACTIONS(7171),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7171),
    [anon_sym_BSLASHcitealt] = ACTIONS(7171),
    [anon_sym_BSLASHcitealp] = ACTIONS(7171),
    [anon_sym_BSLASHcitetext] = ACTIONS(7171),
    [anon_sym_BSLASHparencite] = ACTIONS(7171),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHParencite] = ACTIONS(7171),
    [anon_sym_BSLASHfootcite] = ACTIONS(7171),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7171),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7171),
    [anon_sym_BSLASHtextcite] = ACTIONS(7171),
    [anon_sym_BSLASHTextcite] = ACTIONS(7171),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7171),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7171),
    [anon_sym_BSLASHsupercite] = ACTIONS(7171),
    [anon_sym_BSLASHautocite] = ACTIONS(7171),
    [anon_sym_BSLASHAutocite] = ACTIONS(7171),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHVolcite] = ACTIONS(7171),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHavolcite] = ACTIONS(7171),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHnotecite] = ACTIONS(7171),
    [anon_sym_BSLASHNotecite] = ACTIONS(7171),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7171),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7171),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7171),
    [anon_sym_BSLASHlabel] = ACTIONS(7171),
    [anon_sym_BSLASHref] = ACTIONS(7171),
    [anon_sym_BSLASHeqref] = ACTIONS(7171),
    [anon_sym_BSLASHvref] = ACTIONS(7171),
    [anon_sym_BSLASHVref] = ACTIONS(7171),
    [anon_sym_BSLASHautoref] = ACTIONS(7171),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHpageref] = ACTIONS(7171),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHautopageref] = ACTIONS(7171),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcref] = ACTIONS(7171),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHCref] = ACTIONS(7171),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcpageref] = ACTIONS(7171),
    [anon_sym_BSLASHCpageref] = ACTIONS(7171),
    [anon_sym_BSLASHnamecref] = ACTIONS(7171),
    [anon_sym_BSLASHnameCref] = ACTIONS(7171),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7171),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7171),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7171),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7171),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7171),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7171),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7171),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7171),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7171),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7171),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7171),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7171),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7171),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7171),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7171),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7171),
    [anon_sym_BSLASHdef] = ACTIONS(7171),
    [anon_sym_BSLASHgdef] = ACTIONS(7171),
    [anon_sym_BSLASHedef] = ACTIONS(7171),
    [anon_sym_BSLASHxdef] = ACTIONS(7171),
    [anon_sym_BSLASHlet] = ACTIONS(7171),
    [anon_sym_BSLASHglet] = ACTIONS(7171),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7171),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7171),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7171),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7171),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7171),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7171),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7171),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7171),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7171),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7171),
    [anon_sym_BSLASHgls] = ACTIONS(7171),
    [anon_sym_BSLASHGls] = ACTIONS(7171),
    [anon_sym_BSLASHGLS] = ACTIONS(7171),
    [anon_sym_BSLASHglspl] = ACTIONS(7171),
    [anon_sym_BSLASHGlspl] = ACTIONS(7171),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7171),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7171),
    [anon_sym_BSLASHglslink] = ACTIONS(7171),
    [anon_sym_BSLASHglstext] = ACTIONS(7171),
    [anon_sym_BSLASHGlstext] = ACTIONS(7171),
    [anon_sym_BSLASHGLStext] = ACTIONS(7171),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7171),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7171),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7171),
    [anon_sym_BSLASHglsplural] = ACTIONS(7171),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7171),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7171),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7171),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7171),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7171),
    [anon_sym_BSLASHglsname] = ACTIONS(7171),
    [anon_sym_BSLASHGlsname] = ACTIONS(7171),
    [anon_sym_BSLASHGLSname] = ACTIONS(7171),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7171),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7171),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7171),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7171),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7171),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7171),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7171),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7171),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7171),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7171),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7171),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7171),
    [anon_sym_BSLASHacrshort] = ACTIONS(7171),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7171),
    [anon_sym_BSLASHACRshort] = ACTIONS(7171),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHacrlong] = ACTIONS(7171),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7171),
    [anon_sym_BSLASHACRlong] = ACTIONS(7171),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7171),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7171),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7171),
    [anon_sym_BSLASHacrfull] = ACTIONS(7171),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7171),
    [anon_sym_BSLASHACRfull] = ACTIONS(7171),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHacs] = ACTIONS(7171),
    [anon_sym_BSLASHAcs] = ACTIONS(7171),
    [anon_sym_BSLASHacsp] = ACTIONS(7171),
    [anon_sym_BSLASHAcsp] = ACTIONS(7171),
    [anon_sym_BSLASHacl] = ACTIONS(7171),
    [anon_sym_BSLASHAcl] = ACTIONS(7171),
    [anon_sym_BSLASHaclp] = ACTIONS(7171),
    [anon_sym_BSLASHAclp] = ACTIONS(7171),
    [anon_sym_BSLASHacf] = ACTIONS(7171),
    [anon_sym_BSLASHAcf] = ACTIONS(7171),
    [anon_sym_BSLASHacfp] = ACTIONS(7171),
    [anon_sym_BSLASHAcfp] = ACTIONS(7171),
    [anon_sym_BSLASHac] = ACTIONS(7171),
    [anon_sym_BSLASHAc] = ACTIONS(7171),
    [anon_sym_BSLASHacp] = ACTIONS(7171),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7171),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7171),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7171),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7171),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7171),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7171),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7171),
    [anon_sym_BSLASHcolor] = ACTIONS(7171),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7171),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7171),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7171),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7171),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7171),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7171),
    [anon_sym_BSLASHurl] = ACTIONS(7171),
    [anon_sym_BSLASHhref] = ACTIONS(7171),
  },
  [1724] = {
    [sym_command_name] = ACTIONS(7175),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7175),
    [anon_sym_LBRACK] = ACTIONS(7177),
    [anon_sym_RBRACK] = ACTIONS(7177),
    [anon_sym_COMMA] = ACTIONS(7177),
    [anon_sym_EQ] = ACTIONS(7177),
    [anon_sym_LPAREN] = ACTIONS(7177),
    [anon_sym_RPAREN] = ACTIONS(7177),
    [anon_sym_LBRACE] = ACTIONS(7177),
    [sym_word] = ACTIONS(7175),
    [sym_placeholder] = ACTIONS(7177),
    [sym_delimiter] = ACTIONS(7177),
    [anon_sym_PLUS] = ACTIONS(7177),
    [anon_sym_DASH] = ACTIONS(7177),
    [anon_sym_STAR] = ACTIONS(7177),
    [anon_sym_SLASH] = ACTIONS(7177),
    [anon_sym_LT] = ACTIONS(7175),
    [anon_sym_GT] = ACTIONS(7175),
    [anon_sym_BANG] = ACTIONS(7175),
    [anon_sym_PIPE] = ACTIONS(7175),
    [anon_sym_COLON] = ACTIONS(7175),
    [anon_sym_SQUOTE] = ACTIONS(7175),
    [anon_sym__] = ACTIONS(7177),
    [anon_sym_CARET] = ACTIONS(7177),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7177),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7177),
    [anon_sym_DOLLAR] = ACTIONS(7175),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7177),
    [anon_sym_BSLASHleft] = ACTIONS(7175),
    [anon_sym_BSLASHbigl] = ACTIONS(7175),
    [anon_sym_BSLASHBigl] = ACTIONS(7175),
    [anon_sym_BSLASHbiggl] = ACTIONS(7175),
    [anon_sym_BSLASHBiggl] = ACTIONS(7175),
    [anon_sym_BSLASHtext] = ACTIONS(7175),
    [anon_sym_BSLASHintertext] = ACTIONS(7175),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7175),
    [anon_sym_BSLASHbegin] = ACTIONS(7175),
    [anon_sym_BSLASHend] = ACTIONS(7175),
    [anon_sym_BSLASHtitle] = ACTIONS(7175),
    [anon_sym_BSLASHauthor] = ACTIONS(7175),
    [anon_sym_BSLASHusepackage] = ACTIONS(7175),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7175),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7175),
    [anon_sym_BSLASHinclude] = ACTIONS(7175),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7175),
    [anon_sym_BSLASHinput] = ACTIONS(7175),
    [anon_sym_BSLASHsubfile] = ACTIONS(7175),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7175),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7175),
    [anon_sym_BSLASHbibliography] = ACTIONS(7175),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7175),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7175),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7175),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7175),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7175),
    [anon_sym_BSLASHimport] = ACTIONS(7175),
    [anon_sym_BSLASHsubimport] = ACTIONS(7175),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7175),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7175),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7175),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7175),
    [anon_sym_BSLASHcaption] = ACTIONS(7175),
    [anon_sym_BSLASHcite] = ACTIONS(7175),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHCite] = ACTIONS(7175),
    [anon_sym_BSLASHnocite] = ACTIONS(7175),
    [anon_sym_BSLASHcitet] = ACTIONS(7175),
    [anon_sym_BSLASHcitep] = ACTIONS(7175),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHciteA] = ACTIONS(7175),
    [anon_sym_BSLASHciteR] = ACTIONS(7175),
    [anon_sym_BSLASHciteS] = ACTIONS(7175),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7175),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7175),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7175),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7175),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHciteyear] = ACTIONS(7175),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcitedate] = ACTIONS(7175),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHciteurl] = ACTIONS(7175),
    [anon_sym_BSLASHfullcite] = ACTIONS(7175),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7175),
    [anon_sym_BSLASHcitealt] = ACTIONS(7175),
    [anon_sym_BSLASHcitealp] = ACTIONS(7175),
    [anon_sym_BSLASHcitetext] = ACTIONS(7175),
    [anon_sym_BSLASHparencite] = ACTIONS(7175),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHParencite] = ACTIONS(7175),
    [anon_sym_BSLASHfootcite] = ACTIONS(7175),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7175),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7175),
    [anon_sym_BSLASHtextcite] = ACTIONS(7175),
    [anon_sym_BSLASHTextcite] = ACTIONS(7175),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7175),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7175),
    [anon_sym_BSLASHsupercite] = ACTIONS(7175),
    [anon_sym_BSLASHautocite] = ACTIONS(7175),
    [anon_sym_BSLASHAutocite] = ACTIONS(7175),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHVolcite] = ACTIONS(7175),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHavolcite] = ACTIONS(7175),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHnotecite] = ACTIONS(7175),
    [anon_sym_BSLASHNotecite] = ACTIONS(7175),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7175),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7175),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7175),
    [anon_sym_BSLASHlabel] = ACTIONS(7175),
    [anon_sym_BSLASHref] = ACTIONS(7175),
    [anon_sym_BSLASHeqref] = ACTIONS(7175),
    [anon_sym_BSLASHvref] = ACTIONS(7175),
    [anon_sym_BSLASHVref] = ACTIONS(7175),
    [anon_sym_BSLASHautoref] = ACTIONS(7175),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHpageref] = ACTIONS(7175),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHautopageref] = ACTIONS(7175),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcref] = ACTIONS(7175),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHCref] = ACTIONS(7175),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcpageref] = ACTIONS(7175),
    [anon_sym_BSLASHCpageref] = ACTIONS(7175),
    [anon_sym_BSLASHnamecref] = ACTIONS(7175),
    [anon_sym_BSLASHnameCref] = ACTIONS(7175),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7175),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7175),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7175),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7175),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7175),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7175),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7175),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7175),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7175),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7175),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7175),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7175),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7175),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7175),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7175),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7175),
    [anon_sym_BSLASHdef] = ACTIONS(7175),
    [anon_sym_BSLASHgdef] = ACTIONS(7175),
    [anon_sym_BSLASHedef] = ACTIONS(7175),
    [anon_sym_BSLASHxdef] = ACTIONS(7175),
    [anon_sym_BSLASHlet] = ACTIONS(7175),
    [anon_sym_BSLASHglet] = ACTIONS(7175),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7175),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7175),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7175),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7175),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7175),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7175),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7175),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7175),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7175),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7175),
    [anon_sym_BSLASHgls] = ACTIONS(7175),
    [anon_sym_BSLASHGls] = ACTIONS(7175),
    [anon_sym_BSLASHGLS] = ACTIONS(7175),
    [anon_sym_BSLASHglspl] = ACTIONS(7175),
    [anon_sym_BSLASHGlspl] = ACTIONS(7175),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7175),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7175),
    [anon_sym_BSLASHglslink] = ACTIONS(7175),
    [anon_sym_BSLASHglstext] = ACTIONS(7175),
    [anon_sym_BSLASHGlstext] = ACTIONS(7175),
    [anon_sym_BSLASHGLStext] = ACTIONS(7175),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7175),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7175),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7175),
    [anon_sym_BSLASHglsplural] = ACTIONS(7175),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7175),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7175),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7175),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7175),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7175),
    [anon_sym_BSLASHglsname] = ACTIONS(7175),
    [anon_sym_BSLASHGlsname] = ACTIONS(7175),
    [anon_sym_BSLASHGLSname] = ACTIONS(7175),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7175),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7175),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7175),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7175),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7175),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7175),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7175),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7175),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7175),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7175),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7175),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7175),
    [anon_sym_BSLASHacrshort] = ACTIONS(7175),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7175),
    [anon_sym_BSLASHACRshort] = ACTIONS(7175),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHacrlong] = ACTIONS(7175),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7175),
    [anon_sym_BSLASHACRlong] = ACTIONS(7175),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7175),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7175),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7175),
    [anon_sym_BSLASHacrfull] = ACTIONS(7175),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7175),
    [anon_sym_BSLASHACRfull] = ACTIONS(7175),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHacs] = ACTIONS(7175),
    [anon_sym_BSLASHAcs] = ACTIONS(7175),
    [anon_sym_BSLASHacsp] = ACTIONS(7175),
    [anon_sym_BSLASHAcsp] = ACTIONS(7175),
    [anon_sym_BSLASHacl] = ACTIONS(7175),
    [anon_sym_BSLASHAcl] = ACTIONS(7175),
    [anon_sym_BSLASHaclp] = ACTIONS(7175),
    [anon_sym_BSLASHAclp] = ACTIONS(7175),
    [anon_sym_BSLASHacf] = ACTIONS(7175),
    [anon_sym_BSLASHAcf] = ACTIONS(7175),
    [anon_sym_BSLASHacfp] = ACTIONS(7175),
    [anon_sym_BSLASHAcfp] = ACTIONS(7175),
    [anon_sym_BSLASHac] = ACTIONS(7175),
    [anon_sym_BSLASHAc] = ACTIONS(7175),
    [anon_sym_BSLASHacp] = ACTIONS(7175),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7175),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7175),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7175),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7175),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7175),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7175),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7175),
    [anon_sym_BSLASHcolor] = ACTIONS(7175),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7175),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7175),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7175),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7175),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7175),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7175),
    [anon_sym_BSLASHurl] = ACTIONS(7175),
    [anon_sym_BSLASHhref] = ACTIONS(7175),
  },
  [1725] = {
    [sym_command_name] = ACTIONS(7179),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7179),
    [anon_sym_LBRACK] = ACTIONS(7181),
    [anon_sym_RBRACK] = ACTIONS(7181),
    [anon_sym_COMMA] = ACTIONS(7181),
    [anon_sym_EQ] = ACTIONS(7181),
    [anon_sym_LPAREN] = ACTIONS(7181),
    [anon_sym_RPAREN] = ACTIONS(7181),
    [anon_sym_LBRACE] = ACTIONS(7181),
    [sym_word] = ACTIONS(7179),
    [sym_placeholder] = ACTIONS(7181),
    [sym_delimiter] = ACTIONS(7181),
    [anon_sym_PLUS] = ACTIONS(7181),
    [anon_sym_DASH] = ACTIONS(7181),
    [anon_sym_STAR] = ACTIONS(7181),
    [anon_sym_SLASH] = ACTIONS(7181),
    [anon_sym_LT] = ACTIONS(7179),
    [anon_sym_GT] = ACTIONS(7179),
    [anon_sym_BANG] = ACTIONS(7179),
    [anon_sym_PIPE] = ACTIONS(7179),
    [anon_sym_COLON] = ACTIONS(7179),
    [anon_sym_SQUOTE] = ACTIONS(7179),
    [anon_sym__] = ACTIONS(7181),
    [anon_sym_CARET] = ACTIONS(7181),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7181),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7181),
    [anon_sym_DOLLAR] = ACTIONS(7179),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7181),
    [anon_sym_BSLASHleft] = ACTIONS(7179),
    [anon_sym_BSLASHbigl] = ACTIONS(7179),
    [anon_sym_BSLASHBigl] = ACTIONS(7179),
    [anon_sym_BSLASHbiggl] = ACTIONS(7179),
    [anon_sym_BSLASHBiggl] = ACTIONS(7179),
    [anon_sym_BSLASHtext] = ACTIONS(7179),
    [anon_sym_BSLASHintertext] = ACTIONS(7179),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7179),
    [anon_sym_BSLASHbegin] = ACTIONS(7179),
    [anon_sym_BSLASHend] = ACTIONS(7179),
    [anon_sym_BSLASHtitle] = ACTIONS(7179),
    [anon_sym_BSLASHauthor] = ACTIONS(7179),
    [anon_sym_BSLASHusepackage] = ACTIONS(7179),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7179),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7179),
    [anon_sym_BSLASHinclude] = ACTIONS(7179),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7179),
    [anon_sym_BSLASHinput] = ACTIONS(7179),
    [anon_sym_BSLASHsubfile] = ACTIONS(7179),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7179),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7179),
    [anon_sym_BSLASHbibliography] = ACTIONS(7179),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7179),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7179),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7179),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7179),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7179),
    [anon_sym_BSLASHimport] = ACTIONS(7179),
    [anon_sym_BSLASHsubimport] = ACTIONS(7179),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7179),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7179),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7179),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7179),
    [anon_sym_BSLASHcaption] = ACTIONS(7179),
    [anon_sym_BSLASHcite] = ACTIONS(7179),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHCite] = ACTIONS(7179),
    [anon_sym_BSLASHnocite] = ACTIONS(7179),
    [anon_sym_BSLASHcitet] = ACTIONS(7179),
    [anon_sym_BSLASHcitep] = ACTIONS(7179),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHciteA] = ACTIONS(7179),
    [anon_sym_BSLASHciteR] = ACTIONS(7179),
    [anon_sym_BSLASHciteS] = ACTIONS(7179),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7179),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7179),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7179),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7179),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHciteyear] = ACTIONS(7179),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcitedate] = ACTIONS(7179),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHciteurl] = ACTIONS(7179),
    [anon_sym_BSLASHfullcite] = ACTIONS(7179),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7179),
    [anon_sym_BSLASHcitealt] = ACTIONS(7179),
    [anon_sym_BSLASHcitealp] = ACTIONS(7179),
    [anon_sym_BSLASHcitetext] = ACTIONS(7179),
    [anon_sym_BSLASHparencite] = ACTIONS(7179),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHParencite] = ACTIONS(7179),
    [anon_sym_BSLASHfootcite] = ACTIONS(7179),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7179),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7179),
    [anon_sym_BSLASHtextcite] = ACTIONS(7179),
    [anon_sym_BSLASHTextcite] = ACTIONS(7179),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7179),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7179),
    [anon_sym_BSLASHsupercite] = ACTIONS(7179),
    [anon_sym_BSLASHautocite] = ACTIONS(7179),
    [anon_sym_BSLASHAutocite] = ACTIONS(7179),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHVolcite] = ACTIONS(7179),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHavolcite] = ACTIONS(7179),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHnotecite] = ACTIONS(7179),
    [anon_sym_BSLASHNotecite] = ACTIONS(7179),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7179),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7179),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7179),
    [anon_sym_BSLASHlabel] = ACTIONS(7179),
    [anon_sym_BSLASHref] = ACTIONS(7179),
    [anon_sym_BSLASHeqref] = ACTIONS(7179),
    [anon_sym_BSLASHvref] = ACTIONS(7179),
    [anon_sym_BSLASHVref] = ACTIONS(7179),
    [anon_sym_BSLASHautoref] = ACTIONS(7179),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHpageref] = ACTIONS(7179),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHautopageref] = ACTIONS(7179),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcref] = ACTIONS(7179),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHCref] = ACTIONS(7179),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcpageref] = ACTIONS(7179),
    [anon_sym_BSLASHCpageref] = ACTIONS(7179),
    [anon_sym_BSLASHnamecref] = ACTIONS(7179),
    [anon_sym_BSLASHnameCref] = ACTIONS(7179),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7179),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7179),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7179),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7179),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7179),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7179),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7179),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7179),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7179),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7179),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7179),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7179),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7179),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7179),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7179),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7179),
    [anon_sym_BSLASHdef] = ACTIONS(7179),
    [anon_sym_BSLASHgdef] = ACTIONS(7179),
    [anon_sym_BSLASHedef] = ACTIONS(7179),
    [anon_sym_BSLASHxdef] = ACTIONS(7179),
    [anon_sym_BSLASHlet] = ACTIONS(7179),
    [anon_sym_BSLASHglet] = ACTIONS(7179),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7179),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7179),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7179),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7179),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7179),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7179),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7179),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7179),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7179),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7179),
    [anon_sym_BSLASHgls] = ACTIONS(7179),
    [anon_sym_BSLASHGls] = ACTIONS(7179),
    [anon_sym_BSLASHGLS] = ACTIONS(7179),
    [anon_sym_BSLASHglspl] = ACTIONS(7179),
    [anon_sym_BSLASHGlspl] = ACTIONS(7179),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7179),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7179),
    [anon_sym_BSLASHglslink] = ACTIONS(7179),
    [anon_sym_BSLASHglstext] = ACTIONS(7179),
    [anon_sym_BSLASHGlstext] = ACTIONS(7179),
    [anon_sym_BSLASHGLStext] = ACTIONS(7179),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7179),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7179),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7179),
    [anon_sym_BSLASHglsplural] = ACTIONS(7179),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7179),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7179),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7179),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7179),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7179),
    [anon_sym_BSLASHglsname] = ACTIONS(7179),
    [anon_sym_BSLASHGlsname] = ACTIONS(7179),
    [anon_sym_BSLASHGLSname] = ACTIONS(7179),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7179),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7179),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7179),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7179),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7179),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7179),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7179),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7179),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7179),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7179),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7179),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7179),
    [anon_sym_BSLASHacrshort] = ACTIONS(7179),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7179),
    [anon_sym_BSLASHACRshort] = ACTIONS(7179),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHacrlong] = ACTIONS(7179),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7179),
    [anon_sym_BSLASHACRlong] = ACTIONS(7179),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7179),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7179),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7179),
    [anon_sym_BSLASHacrfull] = ACTIONS(7179),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7179),
    [anon_sym_BSLASHACRfull] = ACTIONS(7179),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHacs] = ACTIONS(7179),
    [anon_sym_BSLASHAcs] = ACTIONS(7179),
    [anon_sym_BSLASHacsp] = ACTIONS(7179),
    [anon_sym_BSLASHAcsp] = ACTIONS(7179),
    [anon_sym_BSLASHacl] = ACTIONS(7179),
    [anon_sym_BSLASHAcl] = ACTIONS(7179),
    [anon_sym_BSLASHaclp] = ACTIONS(7179),
    [anon_sym_BSLASHAclp] = ACTIONS(7179),
    [anon_sym_BSLASHacf] = ACTIONS(7179),
    [anon_sym_BSLASHAcf] = ACTIONS(7179),
    [anon_sym_BSLASHacfp] = ACTIONS(7179),
    [anon_sym_BSLASHAcfp] = ACTIONS(7179),
    [anon_sym_BSLASHac] = ACTIONS(7179),
    [anon_sym_BSLASHAc] = ACTIONS(7179),
    [anon_sym_BSLASHacp] = ACTIONS(7179),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7179),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7179),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7179),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7179),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7179),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7179),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7179),
    [anon_sym_BSLASHcolor] = ACTIONS(7179),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7179),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7179),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7179),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7179),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7179),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7179),
    [anon_sym_BSLASHurl] = ACTIONS(7179),
    [anon_sym_BSLASHhref] = ACTIONS(7179),
  },
  [1726] = {
    [sym_command_name] = ACTIONS(7183),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7183),
    [anon_sym_LBRACK] = ACTIONS(7185),
    [anon_sym_RBRACK] = ACTIONS(7185),
    [anon_sym_COMMA] = ACTIONS(7185),
    [anon_sym_EQ] = ACTIONS(7185),
    [anon_sym_LPAREN] = ACTIONS(7185),
    [anon_sym_RPAREN] = ACTIONS(7185),
    [anon_sym_LBRACE] = ACTIONS(7185),
    [sym_word] = ACTIONS(7183),
    [sym_placeholder] = ACTIONS(7185),
    [sym_delimiter] = ACTIONS(7185),
    [anon_sym_PLUS] = ACTIONS(7185),
    [anon_sym_DASH] = ACTIONS(7185),
    [anon_sym_STAR] = ACTIONS(7185),
    [anon_sym_SLASH] = ACTIONS(7185),
    [anon_sym_LT] = ACTIONS(7183),
    [anon_sym_GT] = ACTIONS(7183),
    [anon_sym_BANG] = ACTIONS(7183),
    [anon_sym_PIPE] = ACTIONS(7183),
    [anon_sym_COLON] = ACTIONS(7183),
    [anon_sym_SQUOTE] = ACTIONS(7183),
    [anon_sym__] = ACTIONS(7185),
    [anon_sym_CARET] = ACTIONS(7185),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7185),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7185),
    [anon_sym_DOLLAR] = ACTIONS(7183),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7185),
    [anon_sym_BSLASHleft] = ACTIONS(7183),
    [anon_sym_BSLASHbigl] = ACTIONS(7183),
    [anon_sym_BSLASHBigl] = ACTIONS(7183),
    [anon_sym_BSLASHbiggl] = ACTIONS(7183),
    [anon_sym_BSLASHBiggl] = ACTIONS(7183),
    [anon_sym_BSLASHtext] = ACTIONS(7183),
    [anon_sym_BSLASHintertext] = ACTIONS(7183),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7183),
    [anon_sym_BSLASHbegin] = ACTIONS(7183),
    [anon_sym_BSLASHend] = ACTIONS(7183),
    [anon_sym_BSLASHtitle] = ACTIONS(7183),
    [anon_sym_BSLASHauthor] = ACTIONS(7183),
    [anon_sym_BSLASHusepackage] = ACTIONS(7183),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7183),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7183),
    [anon_sym_BSLASHinclude] = ACTIONS(7183),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7183),
    [anon_sym_BSLASHinput] = ACTIONS(7183),
    [anon_sym_BSLASHsubfile] = ACTIONS(7183),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7183),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7183),
    [anon_sym_BSLASHbibliography] = ACTIONS(7183),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7183),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7183),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7183),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7183),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7183),
    [anon_sym_BSLASHimport] = ACTIONS(7183),
    [anon_sym_BSLASHsubimport] = ACTIONS(7183),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7183),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7183),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7183),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7183),
    [anon_sym_BSLASHcaption] = ACTIONS(7183),
    [anon_sym_BSLASHcite] = ACTIONS(7183),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHCite] = ACTIONS(7183),
    [anon_sym_BSLASHnocite] = ACTIONS(7183),
    [anon_sym_BSLASHcitet] = ACTIONS(7183),
    [anon_sym_BSLASHcitep] = ACTIONS(7183),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHciteA] = ACTIONS(7183),
    [anon_sym_BSLASHciteR] = ACTIONS(7183),
    [anon_sym_BSLASHciteS] = ACTIONS(7183),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7183),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7183),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7183),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7183),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHciteyear] = ACTIONS(7183),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcitedate] = ACTIONS(7183),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHciteurl] = ACTIONS(7183),
    [anon_sym_BSLASHfullcite] = ACTIONS(7183),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7183),
    [anon_sym_BSLASHcitealt] = ACTIONS(7183),
    [anon_sym_BSLASHcitealp] = ACTIONS(7183),
    [anon_sym_BSLASHcitetext] = ACTIONS(7183),
    [anon_sym_BSLASHparencite] = ACTIONS(7183),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHParencite] = ACTIONS(7183),
    [anon_sym_BSLASHfootcite] = ACTIONS(7183),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7183),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7183),
    [anon_sym_BSLASHtextcite] = ACTIONS(7183),
    [anon_sym_BSLASHTextcite] = ACTIONS(7183),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7183),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7183),
    [anon_sym_BSLASHsupercite] = ACTIONS(7183),
    [anon_sym_BSLASHautocite] = ACTIONS(7183),
    [anon_sym_BSLASHAutocite] = ACTIONS(7183),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHVolcite] = ACTIONS(7183),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHavolcite] = ACTIONS(7183),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHnotecite] = ACTIONS(7183),
    [anon_sym_BSLASHNotecite] = ACTIONS(7183),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7183),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7183),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7183),
    [anon_sym_BSLASHlabel] = ACTIONS(7183),
    [anon_sym_BSLASHref] = ACTIONS(7183),
    [anon_sym_BSLASHeqref] = ACTIONS(7183),
    [anon_sym_BSLASHvref] = ACTIONS(7183),
    [anon_sym_BSLASHVref] = ACTIONS(7183),
    [anon_sym_BSLASHautoref] = ACTIONS(7183),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHpageref] = ACTIONS(7183),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHautopageref] = ACTIONS(7183),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcref] = ACTIONS(7183),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHCref] = ACTIONS(7183),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcpageref] = ACTIONS(7183),
    [anon_sym_BSLASHCpageref] = ACTIONS(7183),
    [anon_sym_BSLASHnamecref] = ACTIONS(7183),
    [anon_sym_BSLASHnameCref] = ACTIONS(7183),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7183),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7183),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7183),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7183),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7183),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7183),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7183),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7183),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7183),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7183),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7183),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7183),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7183),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7183),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7183),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7183),
    [anon_sym_BSLASHdef] = ACTIONS(7183),
    [anon_sym_BSLASHgdef] = ACTIONS(7183),
    [anon_sym_BSLASHedef] = ACTIONS(7183),
    [anon_sym_BSLASHxdef] = ACTIONS(7183),
    [anon_sym_BSLASHlet] = ACTIONS(7183),
    [anon_sym_BSLASHglet] = ACTIONS(7183),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7183),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7183),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7183),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7183),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7183),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7183),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7183),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7183),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7183),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7183),
    [anon_sym_BSLASHgls] = ACTIONS(7183),
    [anon_sym_BSLASHGls] = ACTIONS(7183),
    [anon_sym_BSLASHGLS] = ACTIONS(7183),
    [anon_sym_BSLASHglspl] = ACTIONS(7183),
    [anon_sym_BSLASHGlspl] = ACTIONS(7183),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7183),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7183),
    [anon_sym_BSLASHglslink] = ACTIONS(7183),
    [anon_sym_BSLASHglstext] = ACTIONS(7183),
    [anon_sym_BSLASHGlstext] = ACTIONS(7183),
    [anon_sym_BSLASHGLStext] = ACTIONS(7183),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7183),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7183),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7183),
    [anon_sym_BSLASHglsplural] = ACTIONS(7183),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7183),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7183),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7183),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7183),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7183),
    [anon_sym_BSLASHglsname] = ACTIONS(7183),
    [anon_sym_BSLASHGlsname] = ACTIONS(7183),
    [anon_sym_BSLASHGLSname] = ACTIONS(7183),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7183),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7183),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7183),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7183),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7183),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7183),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7183),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7183),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7183),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7183),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7183),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7183),
    [anon_sym_BSLASHacrshort] = ACTIONS(7183),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7183),
    [anon_sym_BSLASHACRshort] = ACTIONS(7183),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHacrlong] = ACTIONS(7183),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7183),
    [anon_sym_BSLASHACRlong] = ACTIONS(7183),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7183),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7183),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7183),
    [anon_sym_BSLASHacrfull] = ACTIONS(7183),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7183),
    [anon_sym_BSLASHACRfull] = ACTIONS(7183),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHacs] = ACTIONS(7183),
    [anon_sym_BSLASHAcs] = ACTIONS(7183),
    [anon_sym_BSLASHacsp] = ACTIONS(7183),
    [anon_sym_BSLASHAcsp] = ACTIONS(7183),
    [anon_sym_BSLASHacl] = ACTIONS(7183),
    [anon_sym_BSLASHAcl] = ACTIONS(7183),
    [anon_sym_BSLASHaclp] = ACTIONS(7183),
    [anon_sym_BSLASHAclp] = ACTIONS(7183),
    [anon_sym_BSLASHacf] = ACTIONS(7183),
    [anon_sym_BSLASHAcf] = ACTIONS(7183),
    [anon_sym_BSLASHacfp] = ACTIONS(7183),
    [anon_sym_BSLASHAcfp] = ACTIONS(7183),
    [anon_sym_BSLASHac] = ACTIONS(7183),
    [anon_sym_BSLASHAc] = ACTIONS(7183),
    [anon_sym_BSLASHacp] = ACTIONS(7183),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7183),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7183),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7183),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7183),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7183),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7183),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7183),
    [anon_sym_BSLASHcolor] = ACTIONS(7183),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7183),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7183),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7183),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7183),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7183),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7183),
    [anon_sym_BSLASHurl] = ACTIONS(7183),
    [anon_sym_BSLASHhref] = ACTIONS(7183),
  },
  [1727] = {
    [sym_command_name] = ACTIONS(7607),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7607),
    [anon_sym_LBRACK] = ACTIONS(7609),
    [anon_sym_RBRACK] = ACTIONS(7609),
    [anon_sym_COMMA] = ACTIONS(7609),
    [anon_sym_EQ] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7609),
    [anon_sym_RPAREN] = ACTIONS(7609),
    [anon_sym_LBRACE] = ACTIONS(7609),
    [sym_word] = ACTIONS(7607),
    [sym_placeholder] = ACTIONS(7609),
    [sym_delimiter] = ACTIONS(7609),
    [anon_sym_PLUS] = ACTIONS(7609),
    [anon_sym_DASH] = ACTIONS(7609),
    [anon_sym_STAR] = ACTIONS(7609),
    [anon_sym_SLASH] = ACTIONS(7609),
    [anon_sym_LT] = ACTIONS(7607),
    [anon_sym_GT] = ACTIONS(7607),
    [anon_sym_BANG] = ACTIONS(7607),
    [anon_sym_PIPE] = ACTIONS(7607),
    [anon_sym_COLON] = ACTIONS(7607),
    [anon_sym_SQUOTE] = ACTIONS(7607),
    [anon_sym__] = ACTIONS(7609),
    [anon_sym_CARET] = ACTIONS(7609),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7609),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7609),
    [anon_sym_DOLLAR] = ACTIONS(7607),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7609),
    [anon_sym_BSLASHleft] = ACTIONS(7607),
    [anon_sym_BSLASHbigl] = ACTIONS(7607),
    [anon_sym_BSLASHBigl] = ACTIONS(7607),
    [anon_sym_BSLASHbiggl] = ACTIONS(7607),
    [anon_sym_BSLASHBiggl] = ACTIONS(7607),
    [anon_sym_BSLASHtext] = ACTIONS(7607),
    [anon_sym_BSLASHintertext] = ACTIONS(7607),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7607),
    [anon_sym_BSLASHbegin] = ACTIONS(7607),
    [anon_sym_BSLASHend] = ACTIONS(7607),
    [anon_sym_BSLASHtitle] = ACTIONS(7607),
    [anon_sym_BSLASHauthor] = ACTIONS(7607),
    [anon_sym_BSLASHusepackage] = ACTIONS(7607),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7607),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7607),
    [anon_sym_BSLASHinclude] = ACTIONS(7607),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7607),
    [anon_sym_BSLASHinput] = ACTIONS(7607),
    [anon_sym_BSLASHsubfile] = ACTIONS(7607),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7607),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7607),
    [anon_sym_BSLASHbibliography] = ACTIONS(7607),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7607),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7607),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7607),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7607),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7607),
    [anon_sym_BSLASHimport] = ACTIONS(7607),
    [anon_sym_BSLASHsubimport] = ACTIONS(7607),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7607),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7607),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7607),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7607),
    [anon_sym_BSLASHcaption] = ACTIONS(7607),
    [anon_sym_BSLASHcite] = ACTIONS(7607),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCite] = ACTIONS(7607),
    [anon_sym_BSLASHnocite] = ACTIONS(7607),
    [anon_sym_BSLASHcitet] = ACTIONS(7607),
    [anon_sym_BSLASHcitep] = ACTIONS(7607),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHciteA] = ACTIONS(7607),
    [anon_sym_BSLASHciteR] = ACTIONS(7607),
    [anon_sym_BSLASHciteS] = ACTIONS(7607),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7607),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7607),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7607),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7607),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHciteyear] = ACTIONS(7607),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcitedate] = ACTIONS(7607),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHciteurl] = ACTIONS(7607),
    [anon_sym_BSLASHfullcite] = ACTIONS(7607),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7607),
    [anon_sym_BSLASHcitealt] = ACTIONS(7607),
    [anon_sym_BSLASHcitealp] = ACTIONS(7607),
    [anon_sym_BSLASHcitetext] = ACTIONS(7607),
    [anon_sym_BSLASHparencite] = ACTIONS(7607),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHParencite] = ACTIONS(7607),
    [anon_sym_BSLASHfootcite] = ACTIONS(7607),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7607),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7607),
    [anon_sym_BSLASHtextcite] = ACTIONS(7607),
    [anon_sym_BSLASHTextcite] = ACTIONS(7607),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7607),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7607),
    [anon_sym_BSLASHsupercite] = ACTIONS(7607),
    [anon_sym_BSLASHautocite] = ACTIONS(7607),
    [anon_sym_BSLASHAutocite] = ACTIONS(7607),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHVolcite] = ACTIONS(7607),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHavolcite] = ACTIONS(7607),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHNotecite] = ACTIONS(7607),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHlabel] = ACTIONS(7607),
    [anon_sym_BSLASHref] = ACTIONS(7607),
    [anon_sym_BSLASHeqref] = ACTIONS(7607),
    [anon_sym_BSLASHvref] = ACTIONS(7607),
    [anon_sym_BSLASHVref] = ACTIONS(7607),
    [anon_sym_BSLASHautoref] = ACTIONS(7607),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHpageref] = ACTIONS(7607),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHautopageref] = ACTIONS(7607),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcref] = ACTIONS(7607),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCref] = ACTIONS(7607),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcpageref] = ACTIONS(7607),
    [anon_sym_BSLASHCpageref] = ACTIONS(7607),
    [anon_sym_BSLASHnamecref] = ACTIONS(7607),
    [anon_sym_BSLASHnameCref] = ACTIONS(7607),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7607),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7607),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7607),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7607),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7607),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7607),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7607),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7607),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7607),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7607),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7607),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7607),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7607),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7607),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7607),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7607),
    [anon_sym_BSLASHdef] = ACTIONS(7607),
    [anon_sym_BSLASHgdef] = ACTIONS(7607),
    [anon_sym_BSLASHedef] = ACTIONS(7607),
    [anon_sym_BSLASHxdef] = ACTIONS(7607),
    [anon_sym_BSLASHlet] = ACTIONS(7607),
    [anon_sym_BSLASHglet] = ACTIONS(7607),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7607),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7607),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7607),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7607),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7607),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7607),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7607),
    [anon_sym_BSLASHgls] = ACTIONS(7607),
    [anon_sym_BSLASHGls] = ACTIONS(7607),
    [anon_sym_BSLASHGLS] = ACTIONS(7607),
    [anon_sym_BSLASHglspl] = ACTIONS(7607),
    [anon_sym_BSLASHGlspl] = ACTIONS(7607),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7607),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7607),
    [anon_sym_BSLASHglslink] = ACTIONS(7607),
    [anon_sym_BSLASHglstext] = ACTIONS(7607),
    [anon_sym_BSLASHGlstext] = ACTIONS(7607),
    [anon_sym_BSLASHGLStext] = ACTIONS(7607),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7607),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7607),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7607),
    [anon_sym_BSLASHglsplural] = ACTIONS(7607),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7607),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7607),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7607),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7607),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7607),
    [anon_sym_BSLASHglsname] = ACTIONS(7607),
    [anon_sym_BSLASHGlsname] = ACTIONS(7607),
    [anon_sym_BSLASHGLSname] = ACTIONS(7607),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7607),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7607),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7607),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7607),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7607),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7607),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7607),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7607),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7607),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7607),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7607),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7607),
    [anon_sym_BSLASHacrshort] = ACTIONS(7607),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7607),
    [anon_sym_BSLASHACRshort] = ACTIONS(7607),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHacrlong] = ACTIONS(7607),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7607),
    [anon_sym_BSLASHACRlong] = ACTIONS(7607),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7607),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7607),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7607),
    [anon_sym_BSLASHacrfull] = ACTIONS(7607),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7607),
    [anon_sym_BSLASHACRfull] = ACTIONS(7607),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHacs] = ACTIONS(7607),
    [anon_sym_BSLASHAcs] = ACTIONS(7607),
    [anon_sym_BSLASHacsp] = ACTIONS(7607),
    [anon_sym_BSLASHAcsp] = ACTIONS(7607),
    [anon_sym_BSLASHacl] = ACTIONS(7607),
    [anon_sym_BSLASHAcl] = ACTIONS(7607),
    [anon_sym_BSLASHaclp] = ACTIONS(7607),
    [anon_sym_BSLASHAclp] = ACTIONS(7607),
    [anon_sym_BSLASHacf] = ACTIONS(7607),
    [anon_sym_BSLASHAcf] = ACTIONS(7607),
    [anon_sym_BSLASHacfp] = ACTIONS(7607),
    [anon_sym_BSLASHAcfp] = ACTIONS(7607),
    [anon_sym_BSLASHac] = ACTIONS(7607),
    [anon_sym_BSLASHAc] = ACTIONS(7607),
    [anon_sym_BSLASHacp] = ACTIONS(7607),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7607),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7607),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7607),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7607),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7607),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7607),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7607),
    [anon_sym_BSLASHcolor] = ACTIONS(7607),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7607),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7607),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7607),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7607),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7607),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7607),
    [anon_sym_BSLASHurl] = ACTIONS(7607),
    [anon_sym_BSLASHhref] = ACTIONS(7607),
  },
  [1728] = {
    [sym_command_name] = ACTIONS(7531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(7533),
    [anon_sym_RBRACK] = ACTIONS(7533),
    [anon_sym_COMMA] = ACTIONS(7533),
    [anon_sym_EQ] = ACTIONS(7533),
    [anon_sym_LPAREN] = ACTIONS(7533),
    [anon_sym_RPAREN] = ACTIONS(7533),
    [anon_sym_LBRACE] = ACTIONS(7533),
    [sym_word] = ACTIONS(7531),
    [sym_placeholder] = ACTIONS(7533),
    [sym_delimiter] = ACTIONS(7533),
    [anon_sym_PLUS] = ACTIONS(7533),
    [anon_sym_DASH] = ACTIONS(7533),
    [anon_sym_STAR] = ACTIONS(7533),
    [anon_sym_SLASH] = ACTIONS(7533),
    [anon_sym_LT] = ACTIONS(7531),
    [anon_sym_GT] = ACTIONS(7531),
    [anon_sym_BANG] = ACTIONS(7531),
    [anon_sym_PIPE] = ACTIONS(7531),
    [anon_sym_COLON] = ACTIONS(7531),
    [anon_sym_SQUOTE] = ACTIONS(7531),
    [anon_sym__] = ACTIONS(7533),
    [anon_sym_CARET] = ACTIONS(7533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7533),
    [anon_sym_DOLLAR] = ACTIONS(7531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7533),
    [anon_sym_BSLASHleft] = ACTIONS(7531),
    [anon_sym_BSLASHbigl] = ACTIONS(7531),
    [anon_sym_BSLASHBigl] = ACTIONS(7531),
    [anon_sym_BSLASHbiggl] = ACTIONS(7531),
    [anon_sym_BSLASHBiggl] = ACTIONS(7531),
    [anon_sym_BSLASHtext] = ACTIONS(7531),
    [anon_sym_BSLASHintertext] = ACTIONS(7531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7531),
    [anon_sym_BSLASHbegin] = ACTIONS(7531),
    [anon_sym_BSLASHend] = ACTIONS(7531),
    [anon_sym_BSLASHtitle] = ACTIONS(7531),
    [anon_sym_BSLASHauthor] = ACTIONS(7531),
    [anon_sym_BSLASHusepackage] = ACTIONS(7531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7531),
    [anon_sym_BSLASHinclude] = ACTIONS(7531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7531),
    [anon_sym_BSLASHinput] = ACTIONS(7531),
    [anon_sym_BSLASHsubfile] = ACTIONS(7531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7531),
    [anon_sym_BSLASHbibliography] = ACTIONS(7531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7531),
    [anon_sym_BSLASHimport] = ACTIONS(7531),
    [anon_sym_BSLASHsubimport] = ACTIONS(7531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7531),
    [anon_sym_BSLASHcaption] = ACTIONS(7531),
    [anon_sym_BSLASHcite] = ACTIONS(7531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCite] = ACTIONS(7531),
    [anon_sym_BSLASHnocite] = ACTIONS(7531),
    [anon_sym_BSLASHcitet] = ACTIONS(7531),
    [anon_sym_BSLASHcitep] = ACTIONS(7531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteA] = ACTIONS(7531),
    [anon_sym_BSLASHciteR] = ACTIONS(7531),
    [anon_sym_BSLASHciteS] = ACTIONS(7531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteyear] = ACTIONS(7531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitedate] = ACTIONS(7531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteurl] = ACTIONS(7531),
    [anon_sym_BSLASHfullcite] = ACTIONS(7531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7531),
    [anon_sym_BSLASHcitealt] = ACTIONS(7531),
    [anon_sym_BSLASHcitealp] = ACTIONS(7531),
    [anon_sym_BSLASHcitetext] = ACTIONS(7531),
    [anon_sym_BSLASHparencite] = ACTIONS(7531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHParencite] = ACTIONS(7531),
    [anon_sym_BSLASHfootcite] = ACTIONS(7531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7531),
    [anon_sym_BSLASHtextcite] = ACTIONS(7531),
    [anon_sym_BSLASHTextcite] = ACTIONS(7531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7531),
    [anon_sym_BSLASHsupercite] = ACTIONS(7531),
    [anon_sym_BSLASHautocite] = ACTIONS(7531),
    [anon_sym_BSLASHAutocite] = ACTIONS(7531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHVolcite] = ACTIONS(7531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHavolcite] = ACTIONS(7531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHNotecite] = ACTIONS(7531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHlabel] = ACTIONS(7531),
    [anon_sym_BSLASHref] = ACTIONS(7531),
    [anon_sym_BSLASHeqref] = ACTIONS(7531),
    [anon_sym_BSLASHvref] = ACTIONS(7531),
    [anon_sym_BSLASHVref] = ACTIONS(7531),
    [anon_sym_BSLASHautoref] = ACTIONS(7531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHpageref] = ACTIONS(7531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHautopageref] = ACTIONS(7531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcref] = ACTIONS(7531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCref] = ACTIONS(7531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcpageref] = ACTIONS(7531),
    [anon_sym_BSLASHCpageref] = ACTIONS(7531),
    [anon_sym_BSLASHnamecref] = ACTIONS(7531),
    [anon_sym_BSLASHnameCref] = ACTIONS(7531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHdef] = ACTIONS(7531),
    [anon_sym_BSLASHgdef] = ACTIONS(7531),
    [anon_sym_BSLASHedef] = ACTIONS(7531),
    [anon_sym_BSLASHxdef] = ACTIONS(7531),
    [anon_sym_BSLASHlet] = ACTIONS(7531),
    [anon_sym_BSLASHglet] = ACTIONS(7531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7531),
    [anon_sym_BSLASHgls] = ACTIONS(7531),
    [anon_sym_BSLASHGls] = ACTIONS(7531),
    [anon_sym_BSLASHGLS] = ACTIONS(7531),
    [anon_sym_BSLASHglspl] = ACTIONS(7531),
    [anon_sym_BSLASHGlspl] = ACTIONS(7531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7531),
    [anon_sym_BSLASHglslink] = ACTIONS(7531),
    [anon_sym_BSLASHglstext] = ACTIONS(7531),
    [anon_sym_BSLASHGlstext] = ACTIONS(7531),
    [anon_sym_BSLASHGLStext] = ACTIONS(7531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7531),
    [anon_sym_BSLASHglsplural] = ACTIONS(7531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHglsname] = ACTIONS(7531),
    [anon_sym_BSLASHGlsname] = ACTIONS(7531),
    [anon_sym_BSLASHGLSname] = ACTIONS(7531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7531),
    [anon_sym_BSLASHacrshort] = ACTIONS(7531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7531),
    [anon_sym_BSLASHACRshort] = ACTIONS(7531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHacrlong] = ACTIONS(7531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7531),
    [anon_sym_BSLASHACRlong] = ACTIONS(7531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHacrfull] = ACTIONS(7531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7531),
    [anon_sym_BSLASHACRfull] = ACTIONS(7531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHacs] = ACTIONS(7531),
    [anon_sym_BSLASHAcs] = ACTIONS(7531),
    [anon_sym_BSLASHacsp] = ACTIONS(7531),
    [anon_sym_BSLASHAcsp] = ACTIONS(7531),
    [anon_sym_BSLASHacl] = ACTIONS(7531),
    [anon_sym_BSLASHAcl] = ACTIONS(7531),
    [anon_sym_BSLASHaclp] = ACTIONS(7531),
    [anon_sym_BSLASHAclp] = ACTIONS(7531),
    [anon_sym_BSLASHacf] = ACTIONS(7531),
    [anon_sym_BSLASHAcf] = ACTIONS(7531),
    [anon_sym_BSLASHacfp] = ACTIONS(7531),
    [anon_sym_BSLASHAcfp] = ACTIONS(7531),
    [anon_sym_BSLASHac] = ACTIONS(7531),
    [anon_sym_BSLASHAc] = ACTIONS(7531),
    [anon_sym_BSLASHacp] = ACTIONS(7531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7531),
    [anon_sym_BSLASHcolor] = ACTIONS(7531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7531),
    [anon_sym_BSLASHurl] = ACTIONS(7531),
    [anon_sym_BSLASHhref] = ACTIONS(7531),
  },
  [1729] = {
    [sym_command_name] = ACTIONS(7535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(7537),
    [anon_sym_RBRACK] = ACTIONS(7537),
    [anon_sym_COMMA] = ACTIONS(7537),
    [anon_sym_EQ] = ACTIONS(7537),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_RPAREN] = ACTIONS(7537),
    [anon_sym_LBRACE] = ACTIONS(7537),
    [sym_word] = ACTIONS(7535),
    [sym_placeholder] = ACTIONS(7537),
    [sym_delimiter] = ACTIONS(7537),
    [anon_sym_PLUS] = ACTIONS(7537),
    [anon_sym_DASH] = ACTIONS(7537),
    [anon_sym_STAR] = ACTIONS(7537),
    [anon_sym_SLASH] = ACTIONS(7537),
    [anon_sym_LT] = ACTIONS(7535),
    [anon_sym_GT] = ACTIONS(7535),
    [anon_sym_BANG] = ACTIONS(7535),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_COLON] = ACTIONS(7535),
    [anon_sym_SQUOTE] = ACTIONS(7535),
    [anon_sym__] = ACTIONS(7537),
    [anon_sym_CARET] = ACTIONS(7537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7537),
    [anon_sym_DOLLAR] = ACTIONS(7535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7537),
    [anon_sym_BSLASHleft] = ACTIONS(7535),
    [anon_sym_BSLASHbigl] = ACTIONS(7535),
    [anon_sym_BSLASHBigl] = ACTIONS(7535),
    [anon_sym_BSLASHbiggl] = ACTIONS(7535),
    [anon_sym_BSLASHBiggl] = ACTIONS(7535),
    [anon_sym_BSLASHtext] = ACTIONS(7535),
    [anon_sym_BSLASHintertext] = ACTIONS(7535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7535),
    [anon_sym_BSLASHbegin] = ACTIONS(7535),
    [anon_sym_BSLASHend] = ACTIONS(7535),
    [anon_sym_BSLASHtitle] = ACTIONS(7535),
    [anon_sym_BSLASHauthor] = ACTIONS(7535),
    [anon_sym_BSLASHusepackage] = ACTIONS(7535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7535),
    [anon_sym_BSLASHinclude] = ACTIONS(7535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7535),
    [anon_sym_BSLASHinput] = ACTIONS(7535),
    [anon_sym_BSLASHsubfile] = ACTIONS(7535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7535),
    [anon_sym_BSLASHbibliography] = ACTIONS(7535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7535),
    [anon_sym_BSLASHimport] = ACTIONS(7535),
    [anon_sym_BSLASHsubimport] = ACTIONS(7535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7535),
    [anon_sym_BSLASHcaption] = ACTIONS(7535),
    [anon_sym_BSLASHcite] = ACTIONS(7535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCite] = ACTIONS(7535),
    [anon_sym_BSLASHnocite] = ACTIONS(7535),
    [anon_sym_BSLASHcitet] = ACTIONS(7535),
    [anon_sym_BSLASHcitep] = ACTIONS(7535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteA] = ACTIONS(7535),
    [anon_sym_BSLASHciteR] = ACTIONS(7535),
    [anon_sym_BSLASHciteS] = ACTIONS(7535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteyear] = ACTIONS(7535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitedate] = ACTIONS(7535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteurl] = ACTIONS(7535),
    [anon_sym_BSLASHfullcite] = ACTIONS(7535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7535),
    [anon_sym_BSLASHcitealt] = ACTIONS(7535),
    [anon_sym_BSLASHcitealp] = ACTIONS(7535),
    [anon_sym_BSLASHcitetext] = ACTIONS(7535),
    [anon_sym_BSLASHparencite] = ACTIONS(7535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHParencite] = ACTIONS(7535),
    [anon_sym_BSLASHfootcite] = ACTIONS(7535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7535),
    [anon_sym_BSLASHtextcite] = ACTIONS(7535),
    [anon_sym_BSLASHTextcite] = ACTIONS(7535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7535),
    [anon_sym_BSLASHsupercite] = ACTIONS(7535),
    [anon_sym_BSLASHautocite] = ACTIONS(7535),
    [anon_sym_BSLASHAutocite] = ACTIONS(7535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHVolcite] = ACTIONS(7535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHavolcite] = ACTIONS(7535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHNotecite] = ACTIONS(7535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHlabel] = ACTIONS(7535),
    [anon_sym_BSLASHref] = ACTIONS(7535),
    [anon_sym_BSLASHeqref] = ACTIONS(7535),
    [anon_sym_BSLASHvref] = ACTIONS(7535),
    [anon_sym_BSLASHVref] = ACTIONS(7535),
    [anon_sym_BSLASHautoref] = ACTIONS(7535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHpageref] = ACTIONS(7535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHautopageref] = ACTIONS(7535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcref] = ACTIONS(7535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCref] = ACTIONS(7535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcpageref] = ACTIONS(7535),
    [anon_sym_BSLASHCpageref] = ACTIONS(7535),
    [anon_sym_BSLASHnamecref] = ACTIONS(7535),
    [anon_sym_BSLASHnameCref] = ACTIONS(7535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHdef] = ACTIONS(7535),
    [anon_sym_BSLASHgdef] = ACTIONS(7535),
    [anon_sym_BSLASHedef] = ACTIONS(7535),
    [anon_sym_BSLASHxdef] = ACTIONS(7535),
    [anon_sym_BSLASHlet] = ACTIONS(7535),
    [anon_sym_BSLASHglet] = ACTIONS(7535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7535),
    [anon_sym_BSLASHgls] = ACTIONS(7535),
    [anon_sym_BSLASHGls] = ACTIONS(7535),
    [anon_sym_BSLASHGLS] = ACTIONS(7535),
    [anon_sym_BSLASHglspl] = ACTIONS(7535),
    [anon_sym_BSLASHGlspl] = ACTIONS(7535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7535),
    [anon_sym_BSLASHglslink] = ACTIONS(7535),
    [anon_sym_BSLASHglstext] = ACTIONS(7535),
    [anon_sym_BSLASHGlstext] = ACTIONS(7535),
    [anon_sym_BSLASHGLStext] = ACTIONS(7535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7535),
    [anon_sym_BSLASHglsplural] = ACTIONS(7535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHglsname] = ACTIONS(7535),
    [anon_sym_BSLASHGlsname] = ACTIONS(7535),
    [anon_sym_BSLASHGLSname] = ACTIONS(7535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7535),
    [anon_sym_BSLASHacrshort] = ACTIONS(7535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7535),
    [anon_sym_BSLASHACRshort] = ACTIONS(7535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHacrlong] = ACTIONS(7535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7535),
    [anon_sym_BSLASHACRlong] = ACTIONS(7535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHacrfull] = ACTIONS(7535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7535),
    [anon_sym_BSLASHACRfull] = ACTIONS(7535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHacs] = ACTIONS(7535),
    [anon_sym_BSLASHAcs] = ACTIONS(7535),
    [anon_sym_BSLASHacsp] = ACTIONS(7535),
    [anon_sym_BSLASHAcsp] = ACTIONS(7535),
    [anon_sym_BSLASHacl] = ACTIONS(7535),
    [anon_sym_BSLASHAcl] = ACTIONS(7535),
    [anon_sym_BSLASHaclp] = ACTIONS(7535),
    [anon_sym_BSLASHAclp] = ACTIONS(7535),
    [anon_sym_BSLASHacf] = ACTIONS(7535),
    [anon_sym_BSLASHAcf] = ACTIONS(7535),
    [anon_sym_BSLASHacfp] = ACTIONS(7535),
    [anon_sym_BSLASHAcfp] = ACTIONS(7535),
    [anon_sym_BSLASHac] = ACTIONS(7535),
    [anon_sym_BSLASHAc] = ACTIONS(7535),
    [anon_sym_BSLASHacp] = ACTIONS(7535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7535),
    [anon_sym_BSLASHcolor] = ACTIONS(7535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7535),
    [anon_sym_BSLASHurl] = ACTIONS(7535),
    [anon_sym_BSLASHhref] = ACTIONS(7535),
  },
  [1730] = {
    [sym_command_name] = ACTIONS(7539),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(7541),
    [anon_sym_RBRACK] = ACTIONS(7541),
    [anon_sym_COMMA] = ACTIONS(7541),
    [anon_sym_EQ] = ACTIONS(7541),
    [anon_sym_LPAREN] = ACTIONS(7541),
    [anon_sym_RPAREN] = ACTIONS(7541),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [sym_word] = ACTIONS(7539),
    [sym_placeholder] = ACTIONS(7541),
    [sym_delimiter] = ACTIONS(7541),
    [anon_sym_PLUS] = ACTIONS(7541),
    [anon_sym_DASH] = ACTIONS(7541),
    [anon_sym_STAR] = ACTIONS(7541),
    [anon_sym_SLASH] = ACTIONS(7541),
    [anon_sym_LT] = ACTIONS(7539),
    [anon_sym_GT] = ACTIONS(7539),
    [anon_sym_BANG] = ACTIONS(7539),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_COLON] = ACTIONS(7539),
    [anon_sym_SQUOTE] = ACTIONS(7539),
    [anon_sym__] = ACTIONS(7541),
    [anon_sym_CARET] = ACTIONS(7541),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7541),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7539),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7541),
    [anon_sym_BSLASHleft] = ACTIONS(7539),
    [anon_sym_BSLASHbigl] = ACTIONS(7539),
    [anon_sym_BSLASHBigl] = ACTIONS(7539),
    [anon_sym_BSLASHbiggl] = ACTIONS(7539),
    [anon_sym_BSLASHBiggl] = ACTIONS(7539),
    [anon_sym_BSLASHtext] = ACTIONS(7539),
    [anon_sym_BSLASHintertext] = ACTIONS(7539),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7539),
    [anon_sym_BSLASHbegin] = ACTIONS(7539),
    [anon_sym_BSLASHend] = ACTIONS(7539),
    [anon_sym_BSLASHtitle] = ACTIONS(7539),
    [anon_sym_BSLASHauthor] = ACTIONS(7539),
    [anon_sym_BSLASHusepackage] = ACTIONS(7539),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7539),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7539),
    [anon_sym_BSLASHinclude] = ACTIONS(7539),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7539),
    [anon_sym_BSLASHinput] = ACTIONS(7539),
    [anon_sym_BSLASHsubfile] = ACTIONS(7539),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7539),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7539),
    [anon_sym_BSLASHbibliography] = ACTIONS(7539),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7539),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7539),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7539),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7539),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7539),
    [anon_sym_BSLASHimport] = ACTIONS(7539),
    [anon_sym_BSLASHsubimport] = ACTIONS(7539),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7539),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7539),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7539),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7539),
    [anon_sym_BSLASHcaption] = ACTIONS(7539),
    [anon_sym_BSLASHcite] = ACTIONS(7539),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCite] = ACTIONS(7539),
    [anon_sym_BSLASHnocite] = ACTIONS(7539),
    [anon_sym_BSLASHcitet] = ACTIONS(7539),
    [anon_sym_BSLASHcitep] = ACTIONS(7539),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteA] = ACTIONS(7539),
    [anon_sym_BSLASHciteR] = ACTIONS(7539),
    [anon_sym_BSLASHciteS] = ACTIONS(7539),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7539),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7539),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7539),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7539),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteyear] = ACTIONS(7539),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitedate] = ACTIONS(7539),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteurl] = ACTIONS(7539),
    [anon_sym_BSLASHfullcite] = ACTIONS(7539),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7539),
    [anon_sym_BSLASHcitealt] = ACTIONS(7539),
    [anon_sym_BSLASHcitealp] = ACTIONS(7539),
    [anon_sym_BSLASHcitetext] = ACTIONS(7539),
    [anon_sym_BSLASHparencite] = ACTIONS(7539),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHParencite] = ACTIONS(7539),
    [anon_sym_BSLASHfootcite] = ACTIONS(7539),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7539),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7539),
    [anon_sym_BSLASHtextcite] = ACTIONS(7539),
    [anon_sym_BSLASHTextcite] = ACTIONS(7539),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7539),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7539),
    [anon_sym_BSLASHsupercite] = ACTIONS(7539),
    [anon_sym_BSLASHautocite] = ACTIONS(7539),
    [anon_sym_BSLASHAutocite] = ACTIONS(7539),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHVolcite] = ACTIONS(7539),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHavolcite] = ACTIONS(7539),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHNotecite] = ACTIONS(7539),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHlabel] = ACTIONS(7539),
    [anon_sym_BSLASHref] = ACTIONS(7539),
    [anon_sym_BSLASHeqref] = ACTIONS(7539),
    [anon_sym_BSLASHvref] = ACTIONS(7539),
    [anon_sym_BSLASHVref] = ACTIONS(7539),
    [anon_sym_BSLASHautoref] = ACTIONS(7539),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHpageref] = ACTIONS(7539),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHautopageref] = ACTIONS(7539),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcref] = ACTIONS(7539),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCref] = ACTIONS(7539),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcpageref] = ACTIONS(7539),
    [anon_sym_BSLASHCpageref] = ACTIONS(7539),
    [anon_sym_BSLASHnamecref] = ACTIONS(7539),
    [anon_sym_BSLASHnameCref] = ACTIONS(7539),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7539),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7539),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7539),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7539),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7539),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7539),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7539),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7539),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7539),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7539),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7539),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHdef] = ACTIONS(7539),
    [anon_sym_BSLASHgdef] = ACTIONS(7539),
    [anon_sym_BSLASHedef] = ACTIONS(7539),
    [anon_sym_BSLASHxdef] = ACTIONS(7539),
    [anon_sym_BSLASHlet] = ACTIONS(7539),
    [anon_sym_BSLASHglet] = ACTIONS(7539),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7539),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7539),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7539),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7539),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7539),
    [anon_sym_BSLASHgls] = ACTIONS(7539),
    [anon_sym_BSLASHGls] = ACTIONS(7539),
    [anon_sym_BSLASHGLS] = ACTIONS(7539),
    [anon_sym_BSLASHglspl] = ACTIONS(7539),
    [anon_sym_BSLASHGlspl] = ACTIONS(7539),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7539),
    [anon_sym_BSLASHglslink] = ACTIONS(7539),
    [anon_sym_BSLASHglstext] = ACTIONS(7539),
    [anon_sym_BSLASHGlstext] = ACTIONS(7539),
    [anon_sym_BSLASHGLStext] = ACTIONS(7539),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7539),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7539),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7539),
    [anon_sym_BSLASHglsplural] = ACTIONS(7539),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7539),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7539),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHglsname] = ACTIONS(7539),
    [anon_sym_BSLASHGlsname] = ACTIONS(7539),
    [anon_sym_BSLASHGLSname] = ACTIONS(7539),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7539),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7539),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7539),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7539),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7539),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7539),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7539),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7539),
    [anon_sym_BSLASHacrshort] = ACTIONS(7539),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7539),
    [anon_sym_BSLASHACRshort] = ACTIONS(7539),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHacrlong] = ACTIONS(7539),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7539),
    [anon_sym_BSLASHACRlong] = ACTIONS(7539),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHacrfull] = ACTIONS(7539),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7539),
    [anon_sym_BSLASHACRfull] = ACTIONS(7539),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHacs] = ACTIONS(7539),
    [anon_sym_BSLASHAcs] = ACTIONS(7539),
    [anon_sym_BSLASHacsp] = ACTIONS(7539),
    [anon_sym_BSLASHAcsp] = ACTIONS(7539),
    [anon_sym_BSLASHacl] = ACTIONS(7539),
    [anon_sym_BSLASHAcl] = ACTIONS(7539),
    [anon_sym_BSLASHaclp] = ACTIONS(7539),
    [anon_sym_BSLASHAclp] = ACTIONS(7539),
    [anon_sym_BSLASHacf] = ACTIONS(7539),
    [anon_sym_BSLASHAcf] = ACTIONS(7539),
    [anon_sym_BSLASHacfp] = ACTIONS(7539),
    [anon_sym_BSLASHAcfp] = ACTIONS(7539),
    [anon_sym_BSLASHac] = ACTIONS(7539),
    [anon_sym_BSLASHAc] = ACTIONS(7539),
    [anon_sym_BSLASHacp] = ACTIONS(7539),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7539),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7539),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7539),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7539),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7539),
    [anon_sym_BSLASHcolor] = ACTIONS(7539),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7539),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7539),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7539),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7539),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7539),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7539),
    [anon_sym_BSLASHurl] = ACTIONS(7539),
    [anon_sym_BSLASHhref] = ACTIONS(7539),
  },
  [1731] = {
    [sym_command_name] = ACTIONS(7543),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(7545),
    [anon_sym_RBRACK] = ACTIONS(7545),
    [anon_sym_COMMA] = ACTIONS(7545),
    [anon_sym_EQ] = ACTIONS(7545),
    [anon_sym_LPAREN] = ACTIONS(7545),
    [anon_sym_RPAREN] = ACTIONS(7545),
    [anon_sym_LBRACE] = ACTIONS(7545),
    [sym_word] = ACTIONS(7543),
    [sym_placeholder] = ACTIONS(7545),
    [sym_delimiter] = ACTIONS(7545),
    [anon_sym_PLUS] = ACTIONS(7545),
    [anon_sym_DASH] = ACTIONS(7545),
    [anon_sym_STAR] = ACTIONS(7545),
    [anon_sym_SLASH] = ACTIONS(7545),
    [anon_sym_LT] = ACTIONS(7543),
    [anon_sym_GT] = ACTIONS(7543),
    [anon_sym_BANG] = ACTIONS(7543),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_COLON] = ACTIONS(7543),
    [anon_sym_SQUOTE] = ACTIONS(7543),
    [anon_sym__] = ACTIONS(7545),
    [anon_sym_CARET] = ACTIONS(7545),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7545),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7545),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7545),
    [anon_sym_BSLASHleft] = ACTIONS(7543),
    [anon_sym_BSLASHbigl] = ACTIONS(7543),
    [anon_sym_BSLASHBigl] = ACTIONS(7543),
    [anon_sym_BSLASHbiggl] = ACTIONS(7543),
    [anon_sym_BSLASHBiggl] = ACTIONS(7543),
    [anon_sym_BSLASHtext] = ACTIONS(7543),
    [anon_sym_BSLASHintertext] = ACTIONS(7543),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7543),
    [anon_sym_BSLASHbegin] = ACTIONS(7543),
    [anon_sym_BSLASHend] = ACTIONS(7543),
    [anon_sym_BSLASHtitle] = ACTIONS(7543),
    [anon_sym_BSLASHauthor] = ACTIONS(7543),
    [anon_sym_BSLASHusepackage] = ACTIONS(7543),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7543),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7543),
    [anon_sym_BSLASHinclude] = ACTIONS(7543),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7543),
    [anon_sym_BSLASHinput] = ACTIONS(7543),
    [anon_sym_BSLASHsubfile] = ACTIONS(7543),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7543),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7543),
    [anon_sym_BSLASHbibliography] = ACTIONS(7543),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7543),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7543),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7543),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7543),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7543),
    [anon_sym_BSLASHimport] = ACTIONS(7543),
    [anon_sym_BSLASHsubimport] = ACTIONS(7543),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7543),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7543),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7543),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7543),
    [anon_sym_BSLASHcaption] = ACTIONS(7543),
    [anon_sym_BSLASHcite] = ACTIONS(7543),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCite] = ACTIONS(7543),
    [anon_sym_BSLASHnocite] = ACTIONS(7543),
    [anon_sym_BSLASHcitet] = ACTIONS(7543),
    [anon_sym_BSLASHcitep] = ACTIONS(7543),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteA] = ACTIONS(7543),
    [anon_sym_BSLASHciteR] = ACTIONS(7543),
    [anon_sym_BSLASHciteS] = ACTIONS(7543),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7543),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7543),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7543),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7543),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteyear] = ACTIONS(7543),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitedate] = ACTIONS(7543),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteurl] = ACTIONS(7543),
    [anon_sym_BSLASHfullcite] = ACTIONS(7543),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7543),
    [anon_sym_BSLASHcitealt] = ACTIONS(7543),
    [anon_sym_BSLASHcitealp] = ACTIONS(7543),
    [anon_sym_BSLASHcitetext] = ACTIONS(7543),
    [anon_sym_BSLASHparencite] = ACTIONS(7543),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHParencite] = ACTIONS(7543),
    [anon_sym_BSLASHfootcite] = ACTIONS(7543),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7543),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7543),
    [anon_sym_BSLASHtextcite] = ACTIONS(7543),
    [anon_sym_BSLASHTextcite] = ACTIONS(7543),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7543),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7543),
    [anon_sym_BSLASHsupercite] = ACTIONS(7543),
    [anon_sym_BSLASHautocite] = ACTIONS(7543),
    [anon_sym_BSLASHAutocite] = ACTIONS(7543),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHVolcite] = ACTIONS(7543),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHavolcite] = ACTIONS(7543),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHNotecite] = ACTIONS(7543),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHlabel] = ACTIONS(7543),
    [anon_sym_BSLASHref] = ACTIONS(7543),
    [anon_sym_BSLASHeqref] = ACTIONS(7543),
    [anon_sym_BSLASHvref] = ACTIONS(7543),
    [anon_sym_BSLASHVref] = ACTIONS(7543),
    [anon_sym_BSLASHautoref] = ACTIONS(7543),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHpageref] = ACTIONS(7543),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHautopageref] = ACTIONS(7543),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcref] = ACTIONS(7543),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCref] = ACTIONS(7543),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcpageref] = ACTIONS(7543),
    [anon_sym_BSLASHCpageref] = ACTIONS(7543),
    [anon_sym_BSLASHnamecref] = ACTIONS(7543),
    [anon_sym_BSLASHnameCref] = ACTIONS(7543),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7543),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7543),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7543),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7543),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7543),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7543),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7543),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7543),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7543),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7543),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7543),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHdef] = ACTIONS(7543),
    [anon_sym_BSLASHgdef] = ACTIONS(7543),
    [anon_sym_BSLASHedef] = ACTIONS(7543),
    [anon_sym_BSLASHxdef] = ACTIONS(7543),
    [anon_sym_BSLASHlet] = ACTIONS(7543),
    [anon_sym_BSLASHglet] = ACTIONS(7543),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7543),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7543),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7543),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7543),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7543),
    [anon_sym_BSLASHgls] = ACTIONS(7543),
    [anon_sym_BSLASHGls] = ACTIONS(7543),
    [anon_sym_BSLASHGLS] = ACTIONS(7543),
    [anon_sym_BSLASHglspl] = ACTIONS(7543),
    [anon_sym_BSLASHGlspl] = ACTIONS(7543),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7543),
    [anon_sym_BSLASHglslink] = ACTIONS(7543),
    [anon_sym_BSLASHglstext] = ACTIONS(7543),
    [anon_sym_BSLASHGlstext] = ACTIONS(7543),
    [anon_sym_BSLASHGLStext] = ACTIONS(7543),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7543),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7543),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7543),
    [anon_sym_BSLASHglsplural] = ACTIONS(7543),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7543),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7543),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHglsname] = ACTIONS(7543),
    [anon_sym_BSLASHGlsname] = ACTIONS(7543),
    [anon_sym_BSLASHGLSname] = ACTIONS(7543),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7543),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7543),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7543),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7543),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7543),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7543),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7543),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7543),
    [anon_sym_BSLASHacrshort] = ACTIONS(7543),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7543),
    [anon_sym_BSLASHACRshort] = ACTIONS(7543),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHacrlong] = ACTIONS(7543),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7543),
    [anon_sym_BSLASHACRlong] = ACTIONS(7543),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHacrfull] = ACTIONS(7543),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7543),
    [anon_sym_BSLASHACRfull] = ACTIONS(7543),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHacs] = ACTIONS(7543),
    [anon_sym_BSLASHAcs] = ACTIONS(7543),
    [anon_sym_BSLASHacsp] = ACTIONS(7543),
    [anon_sym_BSLASHAcsp] = ACTIONS(7543),
    [anon_sym_BSLASHacl] = ACTIONS(7543),
    [anon_sym_BSLASHAcl] = ACTIONS(7543),
    [anon_sym_BSLASHaclp] = ACTIONS(7543),
    [anon_sym_BSLASHAclp] = ACTIONS(7543),
    [anon_sym_BSLASHacf] = ACTIONS(7543),
    [anon_sym_BSLASHAcf] = ACTIONS(7543),
    [anon_sym_BSLASHacfp] = ACTIONS(7543),
    [anon_sym_BSLASHAcfp] = ACTIONS(7543),
    [anon_sym_BSLASHac] = ACTIONS(7543),
    [anon_sym_BSLASHAc] = ACTIONS(7543),
    [anon_sym_BSLASHacp] = ACTIONS(7543),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7543),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7543),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7543),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7543),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7543),
    [anon_sym_BSLASHcolor] = ACTIONS(7543),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7543),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7543),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7543),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7543),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7543),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7543),
    [anon_sym_BSLASHurl] = ACTIONS(7543),
    [anon_sym_BSLASHhref] = ACTIONS(7543),
  },
  [1732] = {
    [sym_command_name] = ACTIONS(7191),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7191),
    [anon_sym_LBRACK] = ACTIONS(7193),
    [anon_sym_RBRACK] = ACTIONS(7193),
    [anon_sym_COMMA] = ACTIONS(7193),
    [anon_sym_EQ] = ACTIONS(7193),
    [anon_sym_LPAREN] = ACTIONS(7193),
    [anon_sym_RPAREN] = ACTIONS(7193),
    [anon_sym_LBRACE] = ACTIONS(7193),
    [sym_word] = ACTIONS(7191),
    [sym_placeholder] = ACTIONS(7193),
    [sym_delimiter] = ACTIONS(7193),
    [anon_sym_PLUS] = ACTIONS(7193),
    [anon_sym_DASH] = ACTIONS(7193),
    [anon_sym_STAR] = ACTIONS(7193),
    [anon_sym_SLASH] = ACTIONS(7193),
    [anon_sym_LT] = ACTIONS(7191),
    [anon_sym_GT] = ACTIONS(7191),
    [anon_sym_BANG] = ACTIONS(7191),
    [anon_sym_PIPE] = ACTIONS(7191),
    [anon_sym_COLON] = ACTIONS(7191),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym__] = ACTIONS(7193),
    [anon_sym_CARET] = ACTIONS(7193),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7193),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7193),
    [anon_sym_DOLLAR] = ACTIONS(7191),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7193),
    [anon_sym_BSLASHleft] = ACTIONS(7191),
    [anon_sym_BSLASHbigl] = ACTIONS(7191),
    [anon_sym_BSLASHBigl] = ACTIONS(7191),
    [anon_sym_BSLASHbiggl] = ACTIONS(7191),
    [anon_sym_BSLASHBiggl] = ACTIONS(7191),
    [anon_sym_BSLASHtext] = ACTIONS(7191),
    [anon_sym_BSLASHintertext] = ACTIONS(7191),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7191),
    [anon_sym_BSLASHbegin] = ACTIONS(7191),
    [anon_sym_BSLASHend] = ACTIONS(7191),
    [anon_sym_BSLASHtitle] = ACTIONS(7191),
    [anon_sym_BSLASHauthor] = ACTIONS(7191),
    [anon_sym_BSLASHusepackage] = ACTIONS(7191),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7191),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7191),
    [anon_sym_BSLASHinclude] = ACTIONS(7191),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7191),
    [anon_sym_BSLASHinput] = ACTIONS(7191),
    [anon_sym_BSLASHsubfile] = ACTIONS(7191),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7191),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7191),
    [anon_sym_BSLASHbibliography] = ACTIONS(7191),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7191),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7191),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7191),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7191),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7191),
    [anon_sym_BSLASHimport] = ACTIONS(7191),
    [anon_sym_BSLASHsubimport] = ACTIONS(7191),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7191),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7191),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7191),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7191),
    [anon_sym_BSLASHcaption] = ACTIONS(7191),
    [anon_sym_BSLASHcite] = ACTIONS(7191),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCite] = ACTIONS(7191),
    [anon_sym_BSLASHnocite] = ACTIONS(7191),
    [anon_sym_BSLASHcitet] = ACTIONS(7191),
    [anon_sym_BSLASHcitep] = ACTIONS(7191),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteA] = ACTIONS(7191),
    [anon_sym_BSLASHciteR] = ACTIONS(7191),
    [anon_sym_BSLASHciteS] = ACTIONS(7191),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7191),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7191),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7191),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7191),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteyear] = ACTIONS(7191),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitedate] = ACTIONS(7191),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteurl] = ACTIONS(7191),
    [anon_sym_BSLASHfullcite] = ACTIONS(7191),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7191),
    [anon_sym_BSLASHcitealt] = ACTIONS(7191),
    [anon_sym_BSLASHcitealp] = ACTIONS(7191),
    [anon_sym_BSLASHcitetext] = ACTIONS(7191),
    [anon_sym_BSLASHparencite] = ACTIONS(7191),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHParencite] = ACTIONS(7191),
    [anon_sym_BSLASHfootcite] = ACTIONS(7191),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7191),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7191),
    [anon_sym_BSLASHtextcite] = ACTIONS(7191),
    [anon_sym_BSLASHTextcite] = ACTIONS(7191),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7191),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7191),
    [anon_sym_BSLASHsupercite] = ACTIONS(7191),
    [anon_sym_BSLASHautocite] = ACTIONS(7191),
    [anon_sym_BSLASHAutocite] = ACTIONS(7191),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHVolcite] = ACTIONS(7191),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHavolcite] = ACTIONS(7191),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHNotecite] = ACTIONS(7191),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHlabel] = ACTIONS(7191),
    [anon_sym_BSLASHref] = ACTIONS(7191),
    [anon_sym_BSLASHeqref] = ACTIONS(7191),
    [anon_sym_BSLASHvref] = ACTIONS(7191),
    [anon_sym_BSLASHVref] = ACTIONS(7191),
    [anon_sym_BSLASHautoref] = ACTIONS(7191),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHpageref] = ACTIONS(7191),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHautopageref] = ACTIONS(7191),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcref] = ACTIONS(7191),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCref] = ACTIONS(7191),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcpageref] = ACTIONS(7191),
    [anon_sym_BSLASHCpageref] = ACTIONS(7191),
    [anon_sym_BSLASHnamecref] = ACTIONS(7191),
    [anon_sym_BSLASHnameCref] = ACTIONS(7191),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7191),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7191),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7191),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7191),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7191),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7191),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7191),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7191),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7191),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7191),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7191),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHdef] = ACTIONS(7191),
    [anon_sym_BSLASHgdef] = ACTIONS(7191),
    [anon_sym_BSLASHedef] = ACTIONS(7191),
    [anon_sym_BSLASHxdef] = ACTIONS(7191),
    [anon_sym_BSLASHlet] = ACTIONS(7191),
    [anon_sym_BSLASHglet] = ACTIONS(7191),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7191),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7191),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7191),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7191),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7191),
    [anon_sym_BSLASHgls] = ACTIONS(7191),
    [anon_sym_BSLASHGls] = ACTIONS(7191),
    [anon_sym_BSLASHGLS] = ACTIONS(7191),
    [anon_sym_BSLASHglspl] = ACTIONS(7191),
    [anon_sym_BSLASHGlspl] = ACTIONS(7191),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7191),
    [anon_sym_BSLASHglslink] = ACTIONS(7191),
    [anon_sym_BSLASHglstext] = ACTIONS(7191),
    [anon_sym_BSLASHGlstext] = ACTIONS(7191),
    [anon_sym_BSLASHGLStext] = ACTIONS(7191),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7191),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7191),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7191),
    [anon_sym_BSLASHglsplural] = ACTIONS(7191),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7191),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7191),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHglsname] = ACTIONS(7191),
    [anon_sym_BSLASHGlsname] = ACTIONS(7191),
    [anon_sym_BSLASHGLSname] = ACTIONS(7191),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7191),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7191),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7191),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7191),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7191),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7191),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7191),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7191),
    [anon_sym_BSLASHacrshort] = ACTIONS(7191),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7191),
    [anon_sym_BSLASHACRshort] = ACTIONS(7191),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHacrlong] = ACTIONS(7191),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7191),
    [anon_sym_BSLASHACRlong] = ACTIONS(7191),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHacrfull] = ACTIONS(7191),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7191),
    [anon_sym_BSLASHACRfull] = ACTIONS(7191),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHacs] = ACTIONS(7191),
    [anon_sym_BSLASHAcs] = ACTIONS(7191),
    [anon_sym_BSLASHacsp] = ACTIONS(7191),
    [anon_sym_BSLASHAcsp] = ACTIONS(7191),
    [anon_sym_BSLASHacl] = ACTIONS(7191),
    [anon_sym_BSLASHAcl] = ACTIONS(7191),
    [anon_sym_BSLASHaclp] = ACTIONS(7191),
    [anon_sym_BSLASHAclp] = ACTIONS(7191),
    [anon_sym_BSLASHacf] = ACTIONS(7191),
    [anon_sym_BSLASHAcf] = ACTIONS(7191),
    [anon_sym_BSLASHacfp] = ACTIONS(7191),
    [anon_sym_BSLASHAcfp] = ACTIONS(7191),
    [anon_sym_BSLASHac] = ACTIONS(7191),
    [anon_sym_BSLASHAc] = ACTIONS(7191),
    [anon_sym_BSLASHacp] = ACTIONS(7191),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7191),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7191),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7191),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7191),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7191),
    [anon_sym_BSLASHcolor] = ACTIONS(7191),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7191),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7191),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7191),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7191),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7191),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7191),
    [anon_sym_BSLASHurl] = ACTIONS(7191),
    [anon_sym_BSLASHhref] = ACTIONS(7191),
  },
  [1733] = {
    [sym_command_name] = ACTIONS(7371),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7371),
    [anon_sym_LBRACK] = ACTIONS(7373),
    [anon_sym_RBRACK] = ACTIONS(7373),
    [anon_sym_COMMA] = ACTIONS(7373),
    [anon_sym_EQ] = ACTIONS(7373),
    [anon_sym_LPAREN] = ACTIONS(7373),
    [anon_sym_RPAREN] = ACTIONS(7373),
    [anon_sym_LBRACE] = ACTIONS(7373),
    [sym_word] = ACTIONS(7371),
    [sym_placeholder] = ACTIONS(7373),
    [sym_delimiter] = ACTIONS(7373),
    [anon_sym_PLUS] = ACTIONS(7373),
    [anon_sym_DASH] = ACTIONS(7373),
    [anon_sym_STAR] = ACTIONS(7373),
    [anon_sym_SLASH] = ACTIONS(7373),
    [anon_sym_LT] = ACTIONS(7371),
    [anon_sym_GT] = ACTIONS(7371),
    [anon_sym_BANG] = ACTIONS(7371),
    [anon_sym_PIPE] = ACTIONS(7371),
    [anon_sym_COLON] = ACTIONS(7371),
    [anon_sym_SQUOTE] = ACTIONS(7371),
    [anon_sym__] = ACTIONS(7373),
    [anon_sym_CARET] = ACTIONS(7373),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7373),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7373),
    [anon_sym_DOLLAR] = ACTIONS(7371),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7373),
    [anon_sym_BSLASHleft] = ACTIONS(7371),
    [anon_sym_BSLASHbigl] = ACTIONS(7371),
    [anon_sym_BSLASHBigl] = ACTIONS(7371),
    [anon_sym_BSLASHbiggl] = ACTIONS(7371),
    [anon_sym_BSLASHBiggl] = ACTIONS(7371),
    [anon_sym_BSLASHtext] = ACTIONS(7371),
    [anon_sym_BSLASHintertext] = ACTIONS(7371),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7371),
    [anon_sym_BSLASHbegin] = ACTIONS(7371),
    [anon_sym_BSLASHend] = ACTIONS(7371),
    [anon_sym_BSLASHtitle] = ACTIONS(7371),
    [anon_sym_BSLASHauthor] = ACTIONS(7371),
    [anon_sym_BSLASHusepackage] = ACTIONS(7371),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7371),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7371),
    [anon_sym_BSLASHinclude] = ACTIONS(7371),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7371),
    [anon_sym_BSLASHinput] = ACTIONS(7371),
    [anon_sym_BSLASHsubfile] = ACTIONS(7371),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7371),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7371),
    [anon_sym_BSLASHbibliography] = ACTIONS(7371),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7371),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7371),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7371),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7371),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7371),
    [anon_sym_BSLASHimport] = ACTIONS(7371),
    [anon_sym_BSLASHsubimport] = ACTIONS(7371),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7371),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7371),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7371),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7371),
    [anon_sym_BSLASHcaption] = ACTIONS(7371),
    [anon_sym_BSLASHcite] = ACTIONS(7371),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCite] = ACTIONS(7371),
    [anon_sym_BSLASHnocite] = ACTIONS(7371),
    [anon_sym_BSLASHcitet] = ACTIONS(7371),
    [anon_sym_BSLASHcitep] = ACTIONS(7371),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteA] = ACTIONS(7371),
    [anon_sym_BSLASHciteR] = ACTIONS(7371),
    [anon_sym_BSLASHciteS] = ACTIONS(7371),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7371),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7371),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7371),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7371),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteyear] = ACTIONS(7371),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitedate] = ACTIONS(7371),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteurl] = ACTIONS(7371),
    [anon_sym_BSLASHfullcite] = ACTIONS(7371),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7371),
    [anon_sym_BSLASHcitealt] = ACTIONS(7371),
    [anon_sym_BSLASHcitealp] = ACTIONS(7371),
    [anon_sym_BSLASHcitetext] = ACTIONS(7371),
    [anon_sym_BSLASHparencite] = ACTIONS(7371),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHParencite] = ACTIONS(7371),
    [anon_sym_BSLASHfootcite] = ACTIONS(7371),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7371),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7371),
    [anon_sym_BSLASHtextcite] = ACTIONS(7371),
    [anon_sym_BSLASHTextcite] = ACTIONS(7371),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7371),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7371),
    [anon_sym_BSLASHsupercite] = ACTIONS(7371),
    [anon_sym_BSLASHautocite] = ACTIONS(7371),
    [anon_sym_BSLASHAutocite] = ACTIONS(7371),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHVolcite] = ACTIONS(7371),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHavolcite] = ACTIONS(7371),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHNotecite] = ACTIONS(7371),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHlabel] = ACTIONS(7371),
    [anon_sym_BSLASHref] = ACTIONS(7371),
    [anon_sym_BSLASHeqref] = ACTIONS(7371),
    [anon_sym_BSLASHvref] = ACTIONS(7371),
    [anon_sym_BSLASHVref] = ACTIONS(7371),
    [anon_sym_BSLASHautoref] = ACTIONS(7371),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHpageref] = ACTIONS(7371),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHautopageref] = ACTIONS(7371),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcref] = ACTIONS(7371),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCref] = ACTIONS(7371),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcpageref] = ACTIONS(7371),
    [anon_sym_BSLASHCpageref] = ACTIONS(7371),
    [anon_sym_BSLASHnamecref] = ACTIONS(7371),
    [anon_sym_BSLASHnameCref] = ACTIONS(7371),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7371),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7371),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7371),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7371),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7371),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7371),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7371),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7371),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7371),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7371),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7371),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHdef] = ACTIONS(7371),
    [anon_sym_BSLASHgdef] = ACTIONS(7371),
    [anon_sym_BSLASHedef] = ACTIONS(7371),
    [anon_sym_BSLASHxdef] = ACTIONS(7371),
    [anon_sym_BSLASHlet] = ACTIONS(7371),
    [anon_sym_BSLASHglet] = ACTIONS(7371),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7371),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7371),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7371),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7371),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7371),
    [anon_sym_BSLASHgls] = ACTIONS(7371),
    [anon_sym_BSLASHGls] = ACTIONS(7371),
    [anon_sym_BSLASHGLS] = ACTIONS(7371),
    [anon_sym_BSLASHglspl] = ACTIONS(7371),
    [anon_sym_BSLASHGlspl] = ACTIONS(7371),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7371),
    [anon_sym_BSLASHglslink] = ACTIONS(7371),
    [anon_sym_BSLASHglstext] = ACTIONS(7371),
    [anon_sym_BSLASHGlstext] = ACTIONS(7371),
    [anon_sym_BSLASHGLStext] = ACTIONS(7371),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7371),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7371),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7371),
    [anon_sym_BSLASHglsplural] = ACTIONS(7371),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7371),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7371),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHglsname] = ACTIONS(7371),
    [anon_sym_BSLASHGlsname] = ACTIONS(7371),
    [anon_sym_BSLASHGLSname] = ACTIONS(7371),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7371),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7371),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7371),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7371),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7371),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7371),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7371),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7371),
    [anon_sym_BSLASHacrshort] = ACTIONS(7371),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7371),
    [anon_sym_BSLASHACRshort] = ACTIONS(7371),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHacrlong] = ACTIONS(7371),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7371),
    [anon_sym_BSLASHACRlong] = ACTIONS(7371),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHacrfull] = ACTIONS(7371),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7371),
    [anon_sym_BSLASHACRfull] = ACTIONS(7371),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHacs] = ACTIONS(7371),
    [anon_sym_BSLASHAcs] = ACTIONS(7371),
    [anon_sym_BSLASHacsp] = ACTIONS(7371),
    [anon_sym_BSLASHAcsp] = ACTIONS(7371),
    [anon_sym_BSLASHacl] = ACTIONS(7371),
    [anon_sym_BSLASHAcl] = ACTIONS(7371),
    [anon_sym_BSLASHaclp] = ACTIONS(7371),
    [anon_sym_BSLASHAclp] = ACTIONS(7371),
    [anon_sym_BSLASHacf] = ACTIONS(7371),
    [anon_sym_BSLASHAcf] = ACTIONS(7371),
    [anon_sym_BSLASHacfp] = ACTIONS(7371),
    [anon_sym_BSLASHAcfp] = ACTIONS(7371),
    [anon_sym_BSLASHac] = ACTIONS(7371),
    [anon_sym_BSLASHAc] = ACTIONS(7371),
    [anon_sym_BSLASHacp] = ACTIONS(7371),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7371),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7371),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7371),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7371),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7371),
    [anon_sym_BSLASHcolor] = ACTIONS(7371),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7371),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7371),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7371),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7371),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7371),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7371),
    [anon_sym_BSLASHurl] = ACTIONS(7371),
    [anon_sym_BSLASHhref] = ACTIONS(7371),
  },
  [1734] = {
    [sym_command_name] = ACTIONS(7195),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7195),
    [anon_sym_LBRACK] = ACTIONS(7197),
    [anon_sym_RBRACK] = ACTIONS(7197),
    [anon_sym_COMMA] = ACTIONS(7197),
    [anon_sym_EQ] = ACTIONS(7197),
    [anon_sym_LPAREN] = ACTIONS(7197),
    [anon_sym_RPAREN] = ACTIONS(7197),
    [anon_sym_LBRACE] = ACTIONS(7197),
    [sym_word] = ACTIONS(7195),
    [sym_placeholder] = ACTIONS(7197),
    [sym_delimiter] = ACTIONS(7197),
    [anon_sym_PLUS] = ACTIONS(7197),
    [anon_sym_DASH] = ACTIONS(7197),
    [anon_sym_STAR] = ACTIONS(7197),
    [anon_sym_SLASH] = ACTIONS(7197),
    [anon_sym_LT] = ACTIONS(7195),
    [anon_sym_GT] = ACTIONS(7195),
    [anon_sym_BANG] = ACTIONS(7195),
    [anon_sym_PIPE] = ACTIONS(7195),
    [anon_sym_COLON] = ACTIONS(7195),
    [anon_sym_SQUOTE] = ACTIONS(7195),
    [anon_sym__] = ACTIONS(7197),
    [anon_sym_CARET] = ACTIONS(7197),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7197),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7197),
    [anon_sym_DOLLAR] = ACTIONS(7195),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7197),
    [anon_sym_BSLASHleft] = ACTIONS(7195),
    [anon_sym_BSLASHbigl] = ACTIONS(7195),
    [anon_sym_BSLASHBigl] = ACTIONS(7195),
    [anon_sym_BSLASHbiggl] = ACTIONS(7195),
    [anon_sym_BSLASHBiggl] = ACTIONS(7195),
    [anon_sym_BSLASHtext] = ACTIONS(7195),
    [anon_sym_BSLASHintertext] = ACTIONS(7195),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7195),
    [anon_sym_BSLASHbegin] = ACTIONS(7195),
    [anon_sym_BSLASHend] = ACTIONS(7195),
    [anon_sym_BSLASHtitle] = ACTIONS(7195),
    [anon_sym_BSLASHauthor] = ACTIONS(7195),
    [anon_sym_BSLASHusepackage] = ACTIONS(7195),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7195),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7195),
    [anon_sym_BSLASHinclude] = ACTIONS(7195),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7195),
    [anon_sym_BSLASHinput] = ACTIONS(7195),
    [anon_sym_BSLASHsubfile] = ACTIONS(7195),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7195),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7195),
    [anon_sym_BSLASHbibliography] = ACTIONS(7195),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7195),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7195),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7195),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7195),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7195),
    [anon_sym_BSLASHimport] = ACTIONS(7195),
    [anon_sym_BSLASHsubimport] = ACTIONS(7195),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7195),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7195),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7195),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7195),
    [anon_sym_BSLASHcaption] = ACTIONS(7195),
    [anon_sym_BSLASHcite] = ACTIONS(7195),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCite] = ACTIONS(7195),
    [anon_sym_BSLASHnocite] = ACTIONS(7195),
    [anon_sym_BSLASHcitet] = ACTIONS(7195),
    [anon_sym_BSLASHcitep] = ACTIONS(7195),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteA] = ACTIONS(7195),
    [anon_sym_BSLASHciteR] = ACTIONS(7195),
    [anon_sym_BSLASHciteS] = ACTIONS(7195),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7195),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7195),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7195),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7195),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteyear] = ACTIONS(7195),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitedate] = ACTIONS(7195),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteurl] = ACTIONS(7195),
    [anon_sym_BSLASHfullcite] = ACTIONS(7195),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7195),
    [anon_sym_BSLASHcitealt] = ACTIONS(7195),
    [anon_sym_BSLASHcitealp] = ACTIONS(7195),
    [anon_sym_BSLASHcitetext] = ACTIONS(7195),
    [anon_sym_BSLASHparencite] = ACTIONS(7195),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHParencite] = ACTIONS(7195),
    [anon_sym_BSLASHfootcite] = ACTIONS(7195),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7195),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7195),
    [anon_sym_BSLASHtextcite] = ACTIONS(7195),
    [anon_sym_BSLASHTextcite] = ACTIONS(7195),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7195),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7195),
    [anon_sym_BSLASHsupercite] = ACTIONS(7195),
    [anon_sym_BSLASHautocite] = ACTIONS(7195),
    [anon_sym_BSLASHAutocite] = ACTIONS(7195),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHVolcite] = ACTIONS(7195),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHavolcite] = ACTIONS(7195),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHNotecite] = ACTIONS(7195),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHlabel] = ACTIONS(7195),
    [anon_sym_BSLASHref] = ACTIONS(7195),
    [anon_sym_BSLASHeqref] = ACTIONS(7195),
    [anon_sym_BSLASHvref] = ACTIONS(7195),
    [anon_sym_BSLASHVref] = ACTIONS(7195),
    [anon_sym_BSLASHautoref] = ACTIONS(7195),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHpageref] = ACTIONS(7195),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHautopageref] = ACTIONS(7195),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcref] = ACTIONS(7195),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCref] = ACTIONS(7195),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcpageref] = ACTIONS(7195),
    [anon_sym_BSLASHCpageref] = ACTIONS(7195),
    [anon_sym_BSLASHnamecref] = ACTIONS(7195),
    [anon_sym_BSLASHnameCref] = ACTIONS(7195),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7195),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7195),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7195),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7195),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7195),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7195),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7195),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7195),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7195),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7195),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7195),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHdef] = ACTIONS(7195),
    [anon_sym_BSLASHgdef] = ACTIONS(7195),
    [anon_sym_BSLASHedef] = ACTIONS(7195),
    [anon_sym_BSLASHxdef] = ACTIONS(7195),
    [anon_sym_BSLASHlet] = ACTIONS(7195),
    [anon_sym_BSLASHglet] = ACTIONS(7195),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7195),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7195),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7195),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7195),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7195),
    [anon_sym_BSLASHgls] = ACTIONS(7195),
    [anon_sym_BSLASHGls] = ACTIONS(7195),
    [anon_sym_BSLASHGLS] = ACTIONS(7195),
    [anon_sym_BSLASHglspl] = ACTIONS(7195),
    [anon_sym_BSLASHGlspl] = ACTIONS(7195),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7195),
    [anon_sym_BSLASHglslink] = ACTIONS(7195),
    [anon_sym_BSLASHglstext] = ACTIONS(7195),
    [anon_sym_BSLASHGlstext] = ACTIONS(7195),
    [anon_sym_BSLASHGLStext] = ACTIONS(7195),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7195),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7195),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7195),
    [anon_sym_BSLASHglsplural] = ACTIONS(7195),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7195),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7195),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHglsname] = ACTIONS(7195),
    [anon_sym_BSLASHGlsname] = ACTIONS(7195),
    [anon_sym_BSLASHGLSname] = ACTIONS(7195),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7195),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7195),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7195),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7195),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7195),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7195),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7195),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7195),
    [anon_sym_BSLASHacrshort] = ACTIONS(7195),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7195),
    [anon_sym_BSLASHACRshort] = ACTIONS(7195),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHacrlong] = ACTIONS(7195),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7195),
    [anon_sym_BSLASHACRlong] = ACTIONS(7195),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHacrfull] = ACTIONS(7195),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7195),
    [anon_sym_BSLASHACRfull] = ACTIONS(7195),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHacs] = ACTIONS(7195),
    [anon_sym_BSLASHAcs] = ACTIONS(7195),
    [anon_sym_BSLASHacsp] = ACTIONS(7195),
    [anon_sym_BSLASHAcsp] = ACTIONS(7195),
    [anon_sym_BSLASHacl] = ACTIONS(7195),
    [anon_sym_BSLASHAcl] = ACTIONS(7195),
    [anon_sym_BSLASHaclp] = ACTIONS(7195),
    [anon_sym_BSLASHAclp] = ACTIONS(7195),
    [anon_sym_BSLASHacf] = ACTIONS(7195),
    [anon_sym_BSLASHAcf] = ACTIONS(7195),
    [anon_sym_BSLASHacfp] = ACTIONS(7195),
    [anon_sym_BSLASHAcfp] = ACTIONS(7195),
    [anon_sym_BSLASHac] = ACTIONS(7195),
    [anon_sym_BSLASHAc] = ACTIONS(7195),
    [anon_sym_BSLASHacp] = ACTIONS(7195),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7195),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7195),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7195),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7195),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7195),
    [anon_sym_BSLASHcolor] = ACTIONS(7195),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7195),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7195),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7195),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7195),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7195),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7195),
    [anon_sym_BSLASHurl] = ACTIONS(7195),
    [anon_sym_BSLASHhref] = ACTIONS(7195),
  },
  [1735] = {
    [sym_command_name] = ACTIONS(7547),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7547),
    [anon_sym_LBRACK] = ACTIONS(7549),
    [anon_sym_RBRACK] = ACTIONS(7549),
    [anon_sym_COMMA] = ACTIONS(7549),
    [anon_sym_EQ] = ACTIONS(7549),
    [anon_sym_LPAREN] = ACTIONS(7549),
    [anon_sym_RPAREN] = ACTIONS(7549),
    [anon_sym_LBRACE] = ACTIONS(7549),
    [sym_word] = ACTIONS(7547),
    [sym_placeholder] = ACTIONS(7549),
    [sym_delimiter] = ACTIONS(7549),
    [anon_sym_PLUS] = ACTIONS(7549),
    [anon_sym_DASH] = ACTIONS(7549),
    [anon_sym_STAR] = ACTIONS(7549),
    [anon_sym_SLASH] = ACTIONS(7549),
    [anon_sym_LT] = ACTIONS(7547),
    [anon_sym_GT] = ACTIONS(7547),
    [anon_sym_BANG] = ACTIONS(7547),
    [anon_sym_PIPE] = ACTIONS(7547),
    [anon_sym_COLON] = ACTIONS(7547),
    [anon_sym_SQUOTE] = ACTIONS(7547),
    [anon_sym__] = ACTIONS(7549),
    [anon_sym_CARET] = ACTIONS(7549),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7549),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7549),
    [anon_sym_DOLLAR] = ACTIONS(7547),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7549),
    [anon_sym_BSLASHleft] = ACTIONS(7547),
    [anon_sym_BSLASHbigl] = ACTIONS(7547),
    [anon_sym_BSLASHBigl] = ACTIONS(7547),
    [anon_sym_BSLASHbiggl] = ACTIONS(7547),
    [anon_sym_BSLASHBiggl] = ACTIONS(7547),
    [anon_sym_BSLASHtext] = ACTIONS(7547),
    [anon_sym_BSLASHintertext] = ACTIONS(7547),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7547),
    [anon_sym_BSLASHbegin] = ACTIONS(7547),
    [anon_sym_BSLASHend] = ACTIONS(7547),
    [anon_sym_BSLASHtitle] = ACTIONS(7547),
    [anon_sym_BSLASHauthor] = ACTIONS(7547),
    [anon_sym_BSLASHusepackage] = ACTIONS(7547),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7547),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7547),
    [anon_sym_BSLASHinclude] = ACTIONS(7547),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7547),
    [anon_sym_BSLASHinput] = ACTIONS(7547),
    [anon_sym_BSLASHsubfile] = ACTIONS(7547),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7547),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7547),
    [anon_sym_BSLASHbibliography] = ACTIONS(7547),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7547),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7547),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7547),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7547),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7547),
    [anon_sym_BSLASHimport] = ACTIONS(7547),
    [anon_sym_BSLASHsubimport] = ACTIONS(7547),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7547),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7547),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7547),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7547),
    [anon_sym_BSLASHcaption] = ACTIONS(7547),
    [anon_sym_BSLASHcite] = ACTIONS(7547),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCite] = ACTIONS(7547),
    [anon_sym_BSLASHnocite] = ACTIONS(7547),
    [anon_sym_BSLASHcitet] = ACTIONS(7547),
    [anon_sym_BSLASHcitep] = ACTIONS(7547),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteA] = ACTIONS(7547),
    [anon_sym_BSLASHciteR] = ACTIONS(7547),
    [anon_sym_BSLASHciteS] = ACTIONS(7547),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7547),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7547),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7547),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7547),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteyear] = ACTIONS(7547),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitedate] = ACTIONS(7547),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteurl] = ACTIONS(7547),
    [anon_sym_BSLASHfullcite] = ACTIONS(7547),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7547),
    [anon_sym_BSLASHcitealt] = ACTIONS(7547),
    [anon_sym_BSLASHcitealp] = ACTIONS(7547),
    [anon_sym_BSLASHcitetext] = ACTIONS(7547),
    [anon_sym_BSLASHparencite] = ACTIONS(7547),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHParencite] = ACTIONS(7547),
    [anon_sym_BSLASHfootcite] = ACTIONS(7547),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7547),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7547),
    [anon_sym_BSLASHtextcite] = ACTIONS(7547),
    [anon_sym_BSLASHTextcite] = ACTIONS(7547),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7547),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7547),
    [anon_sym_BSLASHsupercite] = ACTIONS(7547),
    [anon_sym_BSLASHautocite] = ACTIONS(7547),
    [anon_sym_BSLASHAutocite] = ACTIONS(7547),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHVolcite] = ACTIONS(7547),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHavolcite] = ACTIONS(7547),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHNotecite] = ACTIONS(7547),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHlabel] = ACTIONS(7547),
    [anon_sym_BSLASHref] = ACTIONS(7547),
    [anon_sym_BSLASHeqref] = ACTIONS(7547),
    [anon_sym_BSLASHvref] = ACTIONS(7547),
    [anon_sym_BSLASHVref] = ACTIONS(7547),
    [anon_sym_BSLASHautoref] = ACTIONS(7547),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHpageref] = ACTIONS(7547),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHautopageref] = ACTIONS(7547),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcref] = ACTIONS(7547),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCref] = ACTIONS(7547),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcpageref] = ACTIONS(7547),
    [anon_sym_BSLASHCpageref] = ACTIONS(7547),
    [anon_sym_BSLASHnamecref] = ACTIONS(7547),
    [anon_sym_BSLASHnameCref] = ACTIONS(7547),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7547),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7547),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7547),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7547),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7547),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7547),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7547),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7547),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7547),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7547),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7547),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHdef] = ACTIONS(7547),
    [anon_sym_BSLASHgdef] = ACTIONS(7547),
    [anon_sym_BSLASHedef] = ACTIONS(7547),
    [anon_sym_BSLASHxdef] = ACTIONS(7547),
    [anon_sym_BSLASHlet] = ACTIONS(7547),
    [anon_sym_BSLASHglet] = ACTIONS(7547),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7547),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7547),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7547),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7547),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7547),
    [anon_sym_BSLASHgls] = ACTIONS(7547),
    [anon_sym_BSLASHGls] = ACTIONS(7547),
    [anon_sym_BSLASHGLS] = ACTIONS(7547),
    [anon_sym_BSLASHglspl] = ACTIONS(7547),
    [anon_sym_BSLASHGlspl] = ACTIONS(7547),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7547),
    [anon_sym_BSLASHglslink] = ACTIONS(7547),
    [anon_sym_BSLASHglstext] = ACTIONS(7547),
    [anon_sym_BSLASHGlstext] = ACTIONS(7547),
    [anon_sym_BSLASHGLStext] = ACTIONS(7547),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7547),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7547),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7547),
    [anon_sym_BSLASHglsplural] = ACTIONS(7547),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7547),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7547),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHglsname] = ACTIONS(7547),
    [anon_sym_BSLASHGlsname] = ACTIONS(7547),
    [anon_sym_BSLASHGLSname] = ACTIONS(7547),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7547),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7547),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7547),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7547),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7547),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7547),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7547),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7547),
    [anon_sym_BSLASHacrshort] = ACTIONS(7547),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7547),
    [anon_sym_BSLASHACRshort] = ACTIONS(7547),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHacrlong] = ACTIONS(7547),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7547),
    [anon_sym_BSLASHACRlong] = ACTIONS(7547),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHacrfull] = ACTIONS(7547),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7547),
    [anon_sym_BSLASHACRfull] = ACTIONS(7547),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHacs] = ACTIONS(7547),
    [anon_sym_BSLASHAcs] = ACTIONS(7547),
    [anon_sym_BSLASHacsp] = ACTIONS(7547),
    [anon_sym_BSLASHAcsp] = ACTIONS(7547),
    [anon_sym_BSLASHacl] = ACTIONS(7547),
    [anon_sym_BSLASHAcl] = ACTIONS(7547),
    [anon_sym_BSLASHaclp] = ACTIONS(7547),
    [anon_sym_BSLASHAclp] = ACTIONS(7547),
    [anon_sym_BSLASHacf] = ACTIONS(7547),
    [anon_sym_BSLASHAcf] = ACTIONS(7547),
    [anon_sym_BSLASHacfp] = ACTIONS(7547),
    [anon_sym_BSLASHAcfp] = ACTIONS(7547),
    [anon_sym_BSLASHac] = ACTIONS(7547),
    [anon_sym_BSLASHAc] = ACTIONS(7547),
    [anon_sym_BSLASHacp] = ACTIONS(7547),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7547),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7547),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7547),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7547),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7547),
    [anon_sym_BSLASHcolor] = ACTIONS(7547),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7547),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7547),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7547),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7547),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7547),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7547),
    [anon_sym_BSLASHurl] = ACTIONS(7547),
    [anon_sym_BSLASHhref] = ACTIONS(7547),
  },
  [1736] = {
    [sym_command_name] = ACTIONS(7291),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7291),
    [anon_sym_LBRACK] = ACTIONS(7293),
    [anon_sym_RBRACK] = ACTIONS(7293),
    [anon_sym_COMMA] = ACTIONS(7293),
    [anon_sym_EQ] = ACTIONS(7293),
    [anon_sym_LPAREN] = ACTIONS(7293),
    [anon_sym_RPAREN] = ACTIONS(7293),
    [anon_sym_LBRACE] = ACTIONS(7293),
    [sym_word] = ACTIONS(7291),
    [sym_placeholder] = ACTIONS(7293),
    [sym_delimiter] = ACTIONS(7293),
    [anon_sym_PLUS] = ACTIONS(7293),
    [anon_sym_DASH] = ACTIONS(7293),
    [anon_sym_STAR] = ACTIONS(7293),
    [anon_sym_SLASH] = ACTIONS(7293),
    [anon_sym_LT] = ACTIONS(7291),
    [anon_sym_GT] = ACTIONS(7291),
    [anon_sym_BANG] = ACTIONS(7291),
    [anon_sym_PIPE] = ACTIONS(7291),
    [anon_sym_COLON] = ACTIONS(7291),
    [anon_sym_SQUOTE] = ACTIONS(7291),
    [anon_sym__] = ACTIONS(7293),
    [anon_sym_CARET] = ACTIONS(7293),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7293),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7293),
    [anon_sym_DOLLAR] = ACTIONS(7291),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7293),
    [anon_sym_BSLASHleft] = ACTIONS(7291),
    [anon_sym_BSLASHbigl] = ACTIONS(7291),
    [anon_sym_BSLASHBigl] = ACTIONS(7291),
    [anon_sym_BSLASHbiggl] = ACTIONS(7291),
    [anon_sym_BSLASHBiggl] = ACTIONS(7291),
    [anon_sym_BSLASHtext] = ACTIONS(7291),
    [anon_sym_BSLASHintertext] = ACTIONS(7291),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7291),
    [anon_sym_BSLASHbegin] = ACTIONS(7291),
    [anon_sym_BSLASHend] = ACTIONS(7291),
    [anon_sym_BSLASHtitle] = ACTIONS(7291),
    [anon_sym_BSLASHauthor] = ACTIONS(7291),
    [anon_sym_BSLASHusepackage] = ACTIONS(7291),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7291),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7291),
    [anon_sym_BSLASHinclude] = ACTIONS(7291),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7291),
    [anon_sym_BSLASHinput] = ACTIONS(7291),
    [anon_sym_BSLASHsubfile] = ACTIONS(7291),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7291),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7291),
    [anon_sym_BSLASHbibliography] = ACTIONS(7291),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7291),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7291),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7291),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7291),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7291),
    [anon_sym_BSLASHimport] = ACTIONS(7291),
    [anon_sym_BSLASHsubimport] = ACTIONS(7291),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7291),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7291),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7291),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7291),
    [anon_sym_BSLASHcaption] = ACTIONS(7291),
    [anon_sym_BSLASHcite] = ACTIONS(7291),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCite] = ACTIONS(7291),
    [anon_sym_BSLASHnocite] = ACTIONS(7291),
    [anon_sym_BSLASHcitet] = ACTIONS(7291),
    [anon_sym_BSLASHcitep] = ACTIONS(7291),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteA] = ACTIONS(7291),
    [anon_sym_BSLASHciteR] = ACTIONS(7291),
    [anon_sym_BSLASHciteS] = ACTIONS(7291),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7291),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7291),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7291),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7291),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteyear] = ACTIONS(7291),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitedate] = ACTIONS(7291),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteurl] = ACTIONS(7291),
    [anon_sym_BSLASHfullcite] = ACTIONS(7291),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7291),
    [anon_sym_BSLASHcitealt] = ACTIONS(7291),
    [anon_sym_BSLASHcitealp] = ACTIONS(7291),
    [anon_sym_BSLASHcitetext] = ACTIONS(7291),
    [anon_sym_BSLASHparencite] = ACTIONS(7291),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHParencite] = ACTIONS(7291),
    [anon_sym_BSLASHfootcite] = ACTIONS(7291),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7291),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7291),
    [anon_sym_BSLASHtextcite] = ACTIONS(7291),
    [anon_sym_BSLASHTextcite] = ACTIONS(7291),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7291),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7291),
    [anon_sym_BSLASHsupercite] = ACTIONS(7291),
    [anon_sym_BSLASHautocite] = ACTIONS(7291),
    [anon_sym_BSLASHAutocite] = ACTIONS(7291),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHVolcite] = ACTIONS(7291),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHavolcite] = ACTIONS(7291),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHNotecite] = ACTIONS(7291),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHlabel] = ACTIONS(7291),
    [anon_sym_BSLASHref] = ACTIONS(7291),
    [anon_sym_BSLASHeqref] = ACTIONS(7291),
    [anon_sym_BSLASHvref] = ACTIONS(7291),
    [anon_sym_BSLASHVref] = ACTIONS(7291),
    [anon_sym_BSLASHautoref] = ACTIONS(7291),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHpageref] = ACTIONS(7291),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHautopageref] = ACTIONS(7291),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcref] = ACTIONS(7291),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCref] = ACTIONS(7291),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcpageref] = ACTIONS(7291),
    [anon_sym_BSLASHCpageref] = ACTIONS(7291),
    [anon_sym_BSLASHnamecref] = ACTIONS(7291),
    [anon_sym_BSLASHnameCref] = ACTIONS(7291),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7291),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7291),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7291),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7291),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7291),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7291),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7291),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7291),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7291),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7291),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7291),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHdef] = ACTIONS(7291),
    [anon_sym_BSLASHgdef] = ACTIONS(7291),
    [anon_sym_BSLASHedef] = ACTIONS(7291),
    [anon_sym_BSLASHxdef] = ACTIONS(7291),
    [anon_sym_BSLASHlet] = ACTIONS(7291),
    [anon_sym_BSLASHglet] = ACTIONS(7291),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7291),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7291),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7291),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7291),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7291),
    [anon_sym_BSLASHgls] = ACTIONS(7291),
    [anon_sym_BSLASHGls] = ACTIONS(7291),
    [anon_sym_BSLASHGLS] = ACTIONS(7291),
    [anon_sym_BSLASHglspl] = ACTIONS(7291),
    [anon_sym_BSLASHGlspl] = ACTIONS(7291),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7291),
    [anon_sym_BSLASHglslink] = ACTIONS(7291),
    [anon_sym_BSLASHglstext] = ACTIONS(7291),
    [anon_sym_BSLASHGlstext] = ACTIONS(7291),
    [anon_sym_BSLASHGLStext] = ACTIONS(7291),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7291),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7291),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7291),
    [anon_sym_BSLASHglsplural] = ACTIONS(7291),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7291),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7291),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHglsname] = ACTIONS(7291),
    [anon_sym_BSLASHGlsname] = ACTIONS(7291),
    [anon_sym_BSLASHGLSname] = ACTIONS(7291),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7291),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7291),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7291),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7291),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7291),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7291),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7291),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7291),
    [anon_sym_BSLASHacrshort] = ACTIONS(7291),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7291),
    [anon_sym_BSLASHACRshort] = ACTIONS(7291),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHacrlong] = ACTIONS(7291),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7291),
    [anon_sym_BSLASHACRlong] = ACTIONS(7291),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHacrfull] = ACTIONS(7291),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7291),
    [anon_sym_BSLASHACRfull] = ACTIONS(7291),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHacs] = ACTIONS(7291),
    [anon_sym_BSLASHAcs] = ACTIONS(7291),
    [anon_sym_BSLASHacsp] = ACTIONS(7291),
    [anon_sym_BSLASHAcsp] = ACTIONS(7291),
    [anon_sym_BSLASHacl] = ACTIONS(7291),
    [anon_sym_BSLASHAcl] = ACTIONS(7291),
    [anon_sym_BSLASHaclp] = ACTIONS(7291),
    [anon_sym_BSLASHAclp] = ACTIONS(7291),
    [anon_sym_BSLASHacf] = ACTIONS(7291),
    [anon_sym_BSLASHAcf] = ACTIONS(7291),
    [anon_sym_BSLASHacfp] = ACTIONS(7291),
    [anon_sym_BSLASHAcfp] = ACTIONS(7291),
    [anon_sym_BSLASHac] = ACTIONS(7291),
    [anon_sym_BSLASHAc] = ACTIONS(7291),
    [anon_sym_BSLASHacp] = ACTIONS(7291),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7291),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7291),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7291),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7291),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7291),
    [anon_sym_BSLASHcolor] = ACTIONS(7291),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7291),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7291),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7291),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7291),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7291),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7291),
    [anon_sym_BSLASHurl] = ACTIONS(7291),
    [anon_sym_BSLASHhref] = ACTIONS(7291),
  },
  [1737] = {
    [sym_command_name] = ACTIONS(7295),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7295),
    [anon_sym_LBRACK] = ACTIONS(7297),
    [anon_sym_RBRACK] = ACTIONS(7297),
    [anon_sym_COMMA] = ACTIONS(7297),
    [anon_sym_EQ] = ACTIONS(7297),
    [anon_sym_LPAREN] = ACTIONS(7297),
    [anon_sym_RPAREN] = ACTIONS(7297),
    [anon_sym_LBRACE] = ACTIONS(7297),
    [sym_word] = ACTIONS(7295),
    [sym_placeholder] = ACTIONS(7297),
    [sym_delimiter] = ACTIONS(7297),
    [anon_sym_PLUS] = ACTIONS(7297),
    [anon_sym_DASH] = ACTIONS(7297),
    [anon_sym_STAR] = ACTIONS(7297),
    [anon_sym_SLASH] = ACTIONS(7297),
    [anon_sym_LT] = ACTIONS(7295),
    [anon_sym_GT] = ACTIONS(7295),
    [anon_sym_BANG] = ACTIONS(7295),
    [anon_sym_PIPE] = ACTIONS(7295),
    [anon_sym_COLON] = ACTIONS(7295),
    [anon_sym_SQUOTE] = ACTIONS(7295),
    [anon_sym__] = ACTIONS(7297),
    [anon_sym_CARET] = ACTIONS(7297),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7297),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7297),
    [anon_sym_DOLLAR] = ACTIONS(7295),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7297),
    [anon_sym_BSLASHleft] = ACTIONS(7295),
    [anon_sym_BSLASHbigl] = ACTIONS(7295),
    [anon_sym_BSLASHBigl] = ACTIONS(7295),
    [anon_sym_BSLASHbiggl] = ACTIONS(7295),
    [anon_sym_BSLASHBiggl] = ACTIONS(7295),
    [anon_sym_BSLASHtext] = ACTIONS(7295),
    [anon_sym_BSLASHintertext] = ACTIONS(7295),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7295),
    [anon_sym_BSLASHbegin] = ACTIONS(7295),
    [anon_sym_BSLASHend] = ACTIONS(7295),
    [anon_sym_BSLASHtitle] = ACTIONS(7295),
    [anon_sym_BSLASHauthor] = ACTIONS(7295),
    [anon_sym_BSLASHusepackage] = ACTIONS(7295),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7295),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7295),
    [anon_sym_BSLASHinclude] = ACTIONS(7295),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7295),
    [anon_sym_BSLASHinput] = ACTIONS(7295),
    [anon_sym_BSLASHsubfile] = ACTIONS(7295),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7295),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7295),
    [anon_sym_BSLASHbibliography] = ACTIONS(7295),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7295),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7295),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7295),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7295),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7295),
    [anon_sym_BSLASHimport] = ACTIONS(7295),
    [anon_sym_BSLASHsubimport] = ACTIONS(7295),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7295),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7295),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7295),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7295),
    [anon_sym_BSLASHcaption] = ACTIONS(7295),
    [anon_sym_BSLASHcite] = ACTIONS(7295),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCite] = ACTIONS(7295),
    [anon_sym_BSLASHnocite] = ACTIONS(7295),
    [anon_sym_BSLASHcitet] = ACTIONS(7295),
    [anon_sym_BSLASHcitep] = ACTIONS(7295),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteA] = ACTIONS(7295),
    [anon_sym_BSLASHciteR] = ACTIONS(7295),
    [anon_sym_BSLASHciteS] = ACTIONS(7295),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7295),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7295),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7295),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7295),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteyear] = ACTIONS(7295),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitedate] = ACTIONS(7295),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteurl] = ACTIONS(7295),
    [anon_sym_BSLASHfullcite] = ACTIONS(7295),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7295),
    [anon_sym_BSLASHcitealt] = ACTIONS(7295),
    [anon_sym_BSLASHcitealp] = ACTIONS(7295),
    [anon_sym_BSLASHcitetext] = ACTIONS(7295),
    [anon_sym_BSLASHparencite] = ACTIONS(7295),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHParencite] = ACTIONS(7295),
    [anon_sym_BSLASHfootcite] = ACTIONS(7295),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7295),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7295),
    [anon_sym_BSLASHtextcite] = ACTIONS(7295),
    [anon_sym_BSLASHTextcite] = ACTIONS(7295),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7295),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7295),
    [anon_sym_BSLASHsupercite] = ACTIONS(7295),
    [anon_sym_BSLASHautocite] = ACTIONS(7295),
    [anon_sym_BSLASHAutocite] = ACTIONS(7295),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHVolcite] = ACTIONS(7295),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHavolcite] = ACTIONS(7295),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHNotecite] = ACTIONS(7295),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHlabel] = ACTIONS(7295),
    [anon_sym_BSLASHref] = ACTIONS(7295),
    [anon_sym_BSLASHeqref] = ACTIONS(7295),
    [anon_sym_BSLASHvref] = ACTIONS(7295),
    [anon_sym_BSLASHVref] = ACTIONS(7295),
    [anon_sym_BSLASHautoref] = ACTIONS(7295),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHpageref] = ACTIONS(7295),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHautopageref] = ACTIONS(7295),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcref] = ACTIONS(7295),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCref] = ACTIONS(7295),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcpageref] = ACTIONS(7295),
    [anon_sym_BSLASHCpageref] = ACTIONS(7295),
    [anon_sym_BSLASHnamecref] = ACTIONS(7295),
    [anon_sym_BSLASHnameCref] = ACTIONS(7295),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7295),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7295),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7295),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7295),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7295),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7295),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7295),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7295),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7295),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7295),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7295),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHdef] = ACTIONS(7295),
    [anon_sym_BSLASHgdef] = ACTIONS(7295),
    [anon_sym_BSLASHedef] = ACTIONS(7295),
    [anon_sym_BSLASHxdef] = ACTIONS(7295),
    [anon_sym_BSLASHlet] = ACTIONS(7295),
    [anon_sym_BSLASHglet] = ACTIONS(7295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7295),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7295),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7295),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7295),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7295),
    [anon_sym_BSLASHgls] = ACTIONS(7295),
    [anon_sym_BSLASHGls] = ACTIONS(7295),
    [anon_sym_BSLASHGLS] = ACTIONS(7295),
    [anon_sym_BSLASHglspl] = ACTIONS(7295),
    [anon_sym_BSLASHGlspl] = ACTIONS(7295),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7295),
    [anon_sym_BSLASHglslink] = ACTIONS(7295),
    [anon_sym_BSLASHglstext] = ACTIONS(7295),
    [anon_sym_BSLASHGlstext] = ACTIONS(7295),
    [anon_sym_BSLASHGLStext] = ACTIONS(7295),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7295),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7295),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7295),
    [anon_sym_BSLASHglsplural] = ACTIONS(7295),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7295),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7295),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHglsname] = ACTIONS(7295),
    [anon_sym_BSLASHGlsname] = ACTIONS(7295),
    [anon_sym_BSLASHGLSname] = ACTIONS(7295),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7295),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7295),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7295),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7295),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7295),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7295),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7295),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7295),
    [anon_sym_BSLASHacrshort] = ACTIONS(7295),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7295),
    [anon_sym_BSLASHACRshort] = ACTIONS(7295),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHacrlong] = ACTIONS(7295),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7295),
    [anon_sym_BSLASHACRlong] = ACTIONS(7295),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHacrfull] = ACTIONS(7295),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7295),
    [anon_sym_BSLASHACRfull] = ACTIONS(7295),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHacs] = ACTIONS(7295),
    [anon_sym_BSLASHAcs] = ACTIONS(7295),
    [anon_sym_BSLASHacsp] = ACTIONS(7295),
    [anon_sym_BSLASHAcsp] = ACTIONS(7295),
    [anon_sym_BSLASHacl] = ACTIONS(7295),
    [anon_sym_BSLASHAcl] = ACTIONS(7295),
    [anon_sym_BSLASHaclp] = ACTIONS(7295),
    [anon_sym_BSLASHAclp] = ACTIONS(7295),
    [anon_sym_BSLASHacf] = ACTIONS(7295),
    [anon_sym_BSLASHAcf] = ACTIONS(7295),
    [anon_sym_BSLASHacfp] = ACTIONS(7295),
    [anon_sym_BSLASHAcfp] = ACTIONS(7295),
    [anon_sym_BSLASHac] = ACTIONS(7295),
    [anon_sym_BSLASHAc] = ACTIONS(7295),
    [anon_sym_BSLASHacp] = ACTIONS(7295),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7295),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7295),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7295),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7295),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7295),
    [anon_sym_BSLASHcolor] = ACTIONS(7295),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7295),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7295),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7295),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7295),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7295),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7295),
    [anon_sym_BSLASHurl] = ACTIONS(7295),
    [anon_sym_BSLASHhref] = ACTIONS(7295),
  },
  [1738] = {
    [sym_command_name] = ACTIONS(7551),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7551),
    [anon_sym_LBRACK] = ACTIONS(7553),
    [anon_sym_RBRACK] = ACTIONS(7553),
    [anon_sym_COMMA] = ACTIONS(7553),
    [anon_sym_EQ] = ACTIONS(7553),
    [anon_sym_LPAREN] = ACTIONS(7553),
    [anon_sym_RPAREN] = ACTIONS(7553),
    [anon_sym_LBRACE] = ACTIONS(7553),
    [sym_word] = ACTIONS(7551),
    [sym_placeholder] = ACTIONS(7553),
    [sym_delimiter] = ACTIONS(7553),
    [anon_sym_PLUS] = ACTIONS(7553),
    [anon_sym_DASH] = ACTIONS(7553),
    [anon_sym_STAR] = ACTIONS(7553),
    [anon_sym_SLASH] = ACTIONS(7553),
    [anon_sym_LT] = ACTIONS(7551),
    [anon_sym_GT] = ACTIONS(7551),
    [anon_sym_BANG] = ACTIONS(7551),
    [anon_sym_PIPE] = ACTIONS(7551),
    [anon_sym_COLON] = ACTIONS(7551),
    [anon_sym_SQUOTE] = ACTIONS(7551),
    [anon_sym__] = ACTIONS(7553),
    [anon_sym_CARET] = ACTIONS(7553),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7553),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7553),
    [anon_sym_DOLLAR] = ACTIONS(7551),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7553),
    [anon_sym_BSLASHleft] = ACTIONS(7551),
    [anon_sym_BSLASHbigl] = ACTIONS(7551),
    [anon_sym_BSLASHBigl] = ACTIONS(7551),
    [anon_sym_BSLASHbiggl] = ACTIONS(7551),
    [anon_sym_BSLASHBiggl] = ACTIONS(7551),
    [anon_sym_BSLASHtext] = ACTIONS(7551),
    [anon_sym_BSLASHintertext] = ACTIONS(7551),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7551),
    [anon_sym_BSLASHbegin] = ACTIONS(7551),
    [anon_sym_BSLASHend] = ACTIONS(7551),
    [anon_sym_BSLASHtitle] = ACTIONS(7551),
    [anon_sym_BSLASHauthor] = ACTIONS(7551),
    [anon_sym_BSLASHusepackage] = ACTIONS(7551),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7551),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7551),
    [anon_sym_BSLASHinclude] = ACTIONS(7551),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7551),
    [anon_sym_BSLASHinput] = ACTIONS(7551),
    [anon_sym_BSLASHsubfile] = ACTIONS(7551),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7551),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7551),
    [anon_sym_BSLASHbibliography] = ACTIONS(7551),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7551),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7551),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7551),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7551),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7551),
    [anon_sym_BSLASHimport] = ACTIONS(7551),
    [anon_sym_BSLASHsubimport] = ACTIONS(7551),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7551),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7551),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7551),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7551),
    [anon_sym_BSLASHcaption] = ACTIONS(7551),
    [anon_sym_BSLASHcite] = ACTIONS(7551),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCite] = ACTIONS(7551),
    [anon_sym_BSLASHnocite] = ACTIONS(7551),
    [anon_sym_BSLASHcitet] = ACTIONS(7551),
    [anon_sym_BSLASHcitep] = ACTIONS(7551),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteA] = ACTIONS(7551),
    [anon_sym_BSLASHciteR] = ACTIONS(7551),
    [anon_sym_BSLASHciteS] = ACTIONS(7551),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7551),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7551),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7551),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7551),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteyear] = ACTIONS(7551),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitedate] = ACTIONS(7551),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteurl] = ACTIONS(7551),
    [anon_sym_BSLASHfullcite] = ACTIONS(7551),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7551),
    [anon_sym_BSLASHcitealt] = ACTIONS(7551),
    [anon_sym_BSLASHcitealp] = ACTIONS(7551),
    [anon_sym_BSLASHcitetext] = ACTIONS(7551),
    [anon_sym_BSLASHparencite] = ACTIONS(7551),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHParencite] = ACTIONS(7551),
    [anon_sym_BSLASHfootcite] = ACTIONS(7551),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7551),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7551),
    [anon_sym_BSLASHtextcite] = ACTIONS(7551),
    [anon_sym_BSLASHTextcite] = ACTIONS(7551),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7551),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7551),
    [anon_sym_BSLASHsupercite] = ACTIONS(7551),
    [anon_sym_BSLASHautocite] = ACTIONS(7551),
    [anon_sym_BSLASHAutocite] = ACTIONS(7551),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHVolcite] = ACTIONS(7551),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHavolcite] = ACTIONS(7551),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHNotecite] = ACTIONS(7551),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHlabel] = ACTIONS(7551),
    [anon_sym_BSLASHref] = ACTIONS(7551),
    [anon_sym_BSLASHeqref] = ACTIONS(7551),
    [anon_sym_BSLASHvref] = ACTIONS(7551),
    [anon_sym_BSLASHVref] = ACTIONS(7551),
    [anon_sym_BSLASHautoref] = ACTIONS(7551),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHpageref] = ACTIONS(7551),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHautopageref] = ACTIONS(7551),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcref] = ACTIONS(7551),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCref] = ACTIONS(7551),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcpageref] = ACTIONS(7551),
    [anon_sym_BSLASHCpageref] = ACTIONS(7551),
    [anon_sym_BSLASHnamecref] = ACTIONS(7551),
    [anon_sym_BSLASHnameCref] = ACTIONS(7551),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7551),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7551),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7551),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7551),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7551),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7551),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7551),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7551),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7551),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7551),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7551),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHdef] = ACTIONS(7551),
    [anon_sym_BSLASHgdef] = ACTIONS(7551),
    [anon_sym_BSLASHedef] = ACTIONS(7551),
    [anon_sym_BSLASHxdef] = ACTIONS(7551),
    [anon_sym_BSLASHlet] = ACTIONS(7551),
    [anon_sym_BSLASHglet] = ACTIONS(7551),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7551),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7551),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7551),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7551),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7551),
    [anon_sym_BSLASHgls] = ACTIONS(7551),
    [anon_sym_BSLASHGls] = ACTIONS(7551),
    [anon_sym_BSLASHGLS] = ACTIONS(7551),
    [anon_sym_BSLASHglspl] = ACTIONS(7551),
    [anon_sym_BSLASHGlspl] = ACTIONS(7551),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7551),
    [anon_sym_BSLASHglslink] = ACTIONS(7551),
    [anon_sym_BSLASHglstext] = ACTIONS(7551),
    [anon_sym_BSLASHGlstext] = ACTIONS(7551),
    [anon_sym_BSLASHGLStext] = ACTIONS(7551),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7551),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7551),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7551),
    [anon_sym_BSLASHglsplural] = ACTIONS(7551),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7551),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7551),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHglsname] = ACTIONS(7551),
    [anon_sym_BSLASHGlsname] = ACTIONS(7551),
    [anon_sym_BSLASHGLSname] = ACTIONS(7551),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7551),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7551),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7551),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7551),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7551),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7551),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7551),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7551),
    [anon_sym_BSLASHacrshort] = ACTIONS(7551),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7551),
    [anon_sym_BSLASHACRshort] = ACTIONS(7551),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHacrlong] = ACTIONS(7551),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7551),
    [anon_sym_BSLASHACRlong] = ACTIONS(7551),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHacrfull] = ACTIONS(7551),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7551),
    [anon_sym_BSLASHACRfull] = ACTIONS(7551),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHacs] = ACTIONS(7551),
    [anon_sym_BSLASHAcs] = ACTIONS(7551),
    [anon_sym_BSLASHacsp] = ACTIONS(7551),
    [anon_sym_BSLASHAcsp] = ACTIONS(7551),
    [anon_sym_BSLASHacl] = ACTIONS(7551),
    [anon_sym_BSLASHAcl] = ACTIONS(7551),
    [anon_sym_BSLASHaclp] = ACTIONS(7551),
    [anon_sym_BSLASHAclp] = ACTIONS(7551),
    [anon_sym_BSLASHacf] = ACTIONS(7551),
    [anon_sym_BSLASHAcf] = ACTIONS(7551),
    [anon_sym_BSLASHacfp] = ACTIONS(7551),
    [anon_sym_BSLASHAcfp] = ACTIONS(7551),
    [anon_sym_BSLASHac] = ACTIONS(7551),
    [anon_sym_BSLASHAc] = ACTIONS(7551),
    [anon_sym_BSLASHacp] = ACTIONS(7551),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7551),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7551),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7551),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7551),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7551),
    [anon_sym_BSLASHcolor] = ACTIONS(7551),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7551),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7551),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7551),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7551),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7551),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7551),
    [anon_sym_BSLASHurl] = ACTIONS(7551),
    [anon_sym_BSLASHhref] = ACTIONS(7551),
  },
  [1739] = {
    [sym_command_name] = ACTIONS(7555),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7555),
    [anon_sym_LBRACK] = ACTIONS(7557),
    [anon_sym_RBRACK] = ACTIONS(7557),
    [anon_sym_COMMA] = ACTIONS(7557),
    [anon_sym_EQ] = ACTIONS(7557),
    [anon_sym_LPAREN] = ACTIONS(7557),
    [anon_sym_RPAREN] = ACTIONS(7557),
    [anon_sym_LBRACE] = ACTIONS(7557),
    [sym_word] = ACTIONS(7555),
    [sym_placeholder] = ACTIONS(7557),
    [sym_delimiter] = ACTIONS(7557),
    [anon_sym_PLUS] = ACTIONS(7557),
    [anon_sym_DASH] = ACTIONS(7557),
    [anon_sym_STAR] = ACTIONS(7557),
    [anon_sym_SLASH] = ACTIONS(7557),
    [anon_sym_LT] = ACTIONS(7555),
    [anon_sym_GT] = ACTIONS(7555),
    [anon_sym_BANG] = ACTIONS(7555),
    [anon_sym_PIPE] = ACTIONS(7555),
    [anon_sym_COLON] = ACTIONS(7555),
    [anon_sym_SQUOTE] = ACTIONS(7555),
    [anon_sym__] = ACTIONS(7557),
    [anon_sym_CARET] = ACTIONS(7557),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7557),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7557),
    [anon_sym_DOLLAR] = ACTIONS(7555),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7557),
    [anon_sym_BSLASHleft] = ACTIONS(7555),
    [anon_sym_BSLASHbigl] = ACTIONS(7555),
    [anon_sym_BSLASHBigl] = ACTIONS(7555),
    [anon_sym_BSLASHbiggl] = ACTIONS(7555),
    [anon_sym_BSLASHBiggl] = ACTIONS(7555),
    [anon_sym_BSLASHtext] = ACTIONS(7555),
    [anon_sym_BSLASHintertext] = ACTIONS(7555),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7555),
    [anon_sym_BSLASHbegin] = ACTIONS(7555),
    [anon_sym_BSLASHend] = ACTIONS(7555),
    [anon_sym_BSLASHtitle] = ACTIONS(7555),
    [anon_sym_BSLASHauthor] = ACTIONS(7555),
    [anon_sym_BSLASHusepackage] = ACTIONS(7555),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7555),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7555),
    [anon_sym_BSLASHinclude] = ACTIONS(7555),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7555),
    [anon_sym_BSLASHinput] = ACTIONS(7555),
    [anon_sym_BSLASHsubfile] = ACTIONS(7555),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7555),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7555),
    [anon_sym_BSLASHbibliography] = ACTIONS(7555),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7555),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7555),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7555),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7555),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7555),
    [anon_sym_BSLASHimport] = ACTIONS(7555),
    [anon_sym_BSLASHsubimport] = ACTIONS(7555),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7555),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7555),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7555),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7555),
    [anon_sym_BSLASHcaption] = ACTIONS(7555),
    [anon_sym_BSLASHcite] = ACTIONS(7555),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCite] = ACTIONS(7555),
    [anon_sym_BSLASHnocite] = ACTIONS(7555),
    [anon_sym_BSLASHcitet] = ACTIONS(7555),
    [anon_sym_BSLASHcitep] = ACTIONS(7555),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteA] = ACTIONS(7555),
    [anon_sym_BSLASHciteR] = ACTIONS(7555),
    [anon_sym_BSLASHciteS] = ACTIONS(7555),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7555),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7555),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7555),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7555),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteyear] = ACTIONS(7555),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitedate] = ACTIONS(7555),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteurl] = ACTIONS(7555),
    [anon_sym_BSLASHfullcite] = ACTIONS(7555),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7555),
    [anon_sym_BSLASHcitealt] = ACTIONS(7555),
    [anon_sym_BSLASHcitealp] = ACTIONS(7555),
    [anon_sym_BSLASHcitetext] = ACTIONS(7555),
    [anon_sym_BSLASHparencite] = ACTIONS(7555),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHParencite] = ACTIONS(7555),
    [anon_sym_BSLASHfootcite] = ACTIONS(7555),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7555),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7555),
    [anon_sym_BSLASHtextcite] = ACTIONS(7555),
    [anon_sym_BSLASHTextcite] = ACTIONS(7555),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7555),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7555),
    [anon_sym_BSLASHsupercite] = ACTIONS(7555),
    [anon_sym_BSLASHautocite] = ACTIONS(7555),
    [anon_sym_BSLASHAutocite] = ACTIONS(7555),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHVolcite] = ACTIONS(7555),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHavolcite] = ACTIONS(7555),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHNotecite] = ACTIONS(7555),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHlabel] = ACTIONS(7555),
    [anon_sym_BSLASHref] = ACTIONS(7555),
    [anon_sym_BSLASHeqref] = ACTIONS(7555),
    [anon_sym_BSLASHvref] = ACTIONS(7555),
    [anon_sym_BSLASHVref] = ACTIONS(7555),
    [anon_sym_BSLASHautoref] = ACTIONS(7555),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHpageref] = ACTIONS(7555),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHautopageref] = ACTIONS(7555),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcref] = ACTIONS(7555),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCref] = ACTIONS(7555),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcpageref] = ACTIONS(7555),
    [anon_sym_BSLASHCpageref] = ACTIONS(7555),
    [anon_sym_BSLASHnamecref] = ACTIONS(7555),
    [anon_sym_BSLASHnameCref] = ACTIONS(7555),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7555),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7555),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7555),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7555),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7555),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7555),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7555),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7555),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7555),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7555),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7555),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHdef] = ACTIONS(7555),
    [anon_sym_BSLASHgdef] = ACTIONS(7555),
    [anon_sym_BSLASHedef] = ACTIONS(7555),
    [anon_sym_BSLASHxdef] = ACTIONS(7555),
    [anon_sym_BSLASHlet] = ACTIONS(7555),
    [anon_sym_BSLASHglet] = ACTIONS(7555),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7555),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7555),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7555),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7555),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7555),
    [anon_sym_BSLASHgls] = ACTIONS(7555),
    [anon_sym_BSLASHGls] = ACTIONS(7555),
    [anon_sym_BSLASHGLS] = ACTIONS(7555),
    [anon_sym_BSLASHglspl] = ACTIONS(7555),
    [anon_sym_BSLASHGlspl] = ACTIONS(7555),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7555),
    [anon_sym_BSLASHglslink] = ACTIONS(7555),
    [anon_sym_BSLASHglstext] = ACTIONS(7555),
    [anon_sym_BSLASHGlstext] = ACTIONS(7555),
    [anon_sym_BSLASHGLStext] = ACTIONS(7555),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7555),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7555),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7555),
    [anon_sym_BSLASHglsplural] = ACTIONS(7555),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7555),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7555),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHglsname] = ACTIONS(7555),
    [anon_sym_BSLASHGlsname] = ACTIONS(7555),
    [anon_sym_BSLASHGLSname] = ACTIONS(7555),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7555),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7555),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7555),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7555),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7555),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7555),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7555),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7555),
    [anon_sym_BSLASHacrshort] = ACTIONS(7555),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7555),
    [anon_sym_BSLASHACRshort] = ACTIONS(7555),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHacrlong] = ACTIONS(7555),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7555),
    [anon_sym_BSLASHACRlong] = ACTIONS(7555),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHacrfull] = ACTIONS(7555),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7555),
    [anon_sym_BSLASHACRfull] = ACTIONS(7555),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHacs] = ACTIONS(7555),
    [anon_sym_BSLASHAcs] = ACTIONS(7555),
    [anon_sym_BSLASHacsp] = ACTIONS(7555),
    [anon_sym_BSLASHAcsp] = ACTIONS(7555),
    [anon_sym_BSLASHacl] = ACTIONS(7555),
    [anon_sym_BSLASHAcl] = ACTIONS(7555),
    [anon_sym_BSLASHaclp] = ACTIONS(7555),
    [anon_sym_BSLASHAclp] = ACTIONS(7555),
    [anon_sym_BSLASHacf] = ACTIONS(7555),
    [anon_sym_BSLASHAcf] = ACTIONS(7555),
    [anon_sym_BSLASHacfp] = ACTIONS(7555),
    [anon_sym_BSLASHAcfp] = ACTIONS(7555),
    [anon_sym_BSLASHac] = ACTIONS(7555),
    [anon_sym_BSLASHAc] = ACTIONS(7555),
    [anon_sym_BSLASHacp] = ACTIONS(7555),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7555),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7555),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7555),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7555),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7555),
    [anon_sym_BSLASHcolor] = ACTIONS(7555),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7555),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7555),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7555),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7555),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7555),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7555),
    [anon_sym_BSLASHurl] = ACTIONS(7555),
    [anon_sym_BSLASHhref] = ACTIONS(7555),
  },
  [1740] = {
    [sym_command_name] = ACTIONS(7559),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7559),
    [anon_sym_LBRACK] = ACTIONS(7561),
    [anon_sym_RBRACK] = ACTIONS(7561),
    [anon_sym_COMMA] = ACTIONS(7561),
    [anon_sym_EQ] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7561),
    [anon_sym_RPAREN] = ACTIONS(7561),
    [anon_sym_LBRACE] = ACTIONS(7561),
    [sym_word] = ACTIONS(7559),
    [sym_placeholder] = ACTIONS(7561),
    [sym_delimiter] = ACTIONS(7561),
    [anon_sym_PLUS] = ACTIONS(7561),
    [anon_sym_DASH] = ACTIONS(7561),
    [anon_sym_STAR] = ACTIONS(7561),
    [anon_sym_SLASH] = ACTIONS(7561),
    [anon_sym_LT] = ACTIONS(7559),
    [anon_sym_GT] = ACTIONS(7559),
    [anon_sym_BANG] = ACTIONS(7559),
    [anon_sym_PIPE] = ACTIONS(7559),
    [anon_sym_COLON] = ACTIONS(7559),
    [anon_sym_SQUOTE] = ACTIONS(7559),
    [anon_sym__] = ACTIONS(7561),
    [anon_sym_CARET] = ACTIONS(7561),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7561),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7561),
    [anon_sym_DOLLAR] = ACTIONS(7559),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7561),
    [anon_sym_BSLASHleft] = ACTIONS(7559),
    [anon_sym_BSLASHbigl] = ACTIONS(7559),
    [anon_sym_BSLASHBigl] = ACTIONS(7559),
    [anon_sym_BSLASHbiggl] = ACTIONS(7559),
    [anon_sym_BSLASHBiggl] = ACTIONS(7559),
    [anon_sym_BSLASHtext] = ACTIONS(7559),
    [anon_sym_BSLASHintertext] = ACTIONS(7559),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7559),
    [anon_sym_BSLASHbegin] = ACTIONS(7559),
    [anon_sym_BSLASHend] = ACTIONS(7559),
    [anon_sym_BSLASHtitle] = ACTIONS(7559),
    [anon_sym_BSLASHauthor] = ACTIONS(7559),
    [anon_sym_BSLASHusepackage] = ACTIONS(7559),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7559),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7559),
    [anon_sym_BSLASHinclude] = ACTIONS(7559),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7559),
    [anon_sym_BSLASHinput] = ACTIONS(7559),
    [anon_sym_BSLASHsubfile] = ACTIONS(7559),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7559),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7559),
    [anon_sym_BSLASHbibliography] = ACTIONS(7559),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7559),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7559),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7559),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7559),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7559),
    [anon_sym_BSLASHimport] = ACTIONS(7559),
    [anon_sym_BSLASHsubimport] = ACTIONS(7559),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7559),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7559),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7559),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7559),
    [anon_sym_BSLASHcaption] = ACTIONS(7559),
    [anon_sym_BSLASHcite] = ACTIONS(7559),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCite] = ACTIONS(7559),
    [anon_sym_BSLASHnocite] = ACTIONS(7559),
    [anon_sym_BSLASHcitet] = ACTIONS(7559),
    [anon_sym_BSLASHcitep] = ACTIONS(7559),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteA] = ACTIONS(7559),
    [anon_sym_BSLASHciteR] = ACTIONS(7559),
    [anon_sym_BSLASHciteS] = ACTIONS(7559),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7559),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7559),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7559),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7559),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteyear] = ACTIONS(7559),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitedate] = ACTIONS(7559),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteurl] = ACTIONS(7559),
    [anon_sym_BSLASHfullcite] = ACTIONS(7559),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7559),
    [anon_sym_BSLASHcitealt] = ACTIONS(7559),
    [anon_sym_BSLASHcitealp] = ACTIONS(7559),
    [anon_sym_BSLASHcitetext] = ACTIONS(7559),
    [anon_sym_BSLASHparencite] = ACTIONS(7559),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHParencite] = ACTIONS(7559),
    [anon_sym_BSLASHfootcite] = ACTIONS(7559),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7559),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7559),
    [anon_sym_BSLASHtextcite] = ACTIONS(7559),
    [anon_sym_BSLASHTextcite] = ACTIONS(7559),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7559),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7559),
    [anon_sym_BSLASHsupercite] = ACTIONS(7559),
    [anon_sym_BSLASHautocite] = ACTIONS(7559),
    [anon_sym_BSLASHAutocite] = ACTIONS(7559),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHVolcite] = ACTIONS(7559),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHavolcite] = ACTIONS(7559),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHNotecite] = ACTIONS(7559),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHlabel] = ACTIONS(7559),
    [anon_sym_BSLASHref] = ACTIONS(7559),
    [anon_sym_BSLASHeqref] = ACTIONS(7559),
    [anon_sym_BSLASHvref] = ACTIONS(7559),
    [anon_sym_BSLASHVref] = ACTIONS(7559),
    [anon_sym_BSLASHautoref] = ACTIONS(7559),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHpageref] = ACTIONS(7559),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHautopageref] = ACTIONS(7559),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcref] = ACTIONS(7559),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCref] = ACTIONS(7559),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcpageref] = ACTIONS(7559),
    [anon_sym_BSLASHCpageref] = ACTIONS(7559),
    [anon_sym_BSLASHnamecref] = ACTIONS(7559),
    [anon_sym_BSLASHnameCref] = ACTIONS(7559),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7559),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7559),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7559),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7559),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7559),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7559),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7559),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7559),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7559),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7559),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7559),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHdef] = ACTIONS(7559),
    [anon_sym_BSLASHgdef] = ACTIONS(7559),
    [anon_sym_BSLASHedef] = ACTIONS(7559),
    [anon_sym_BSLASHxdef] = ACTIONS(7559),
    [anon_sym_BSLASHlet] = ACTIONS(7559),
    [anon_sym_BSLASHglet] = ACTIONS(7559),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7559),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7559),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7559),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7559),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7559),
    [anon_sym_BSLASHgls] = ACTIONS(7559),
    [anon_sym_BSLASHGls] = ACTIONS(7559),
    [anon_sym_BSLASHGLS] = ACTIONS(7559),
    [anon_sym_BSLASHglspl] = ACTIONS(7559),
    [anon_sym_BSLASHGlspl] = ACTIONS(7559),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7559),
    [anon_sym_BSLASHglslink] = ACTIONS(7559),
    [anon_sym_BSLASHglstext] = ACTIONS(7559),
    [anon_sym_BSLASHGlstext] = ACTIONS(7559),
    [anon_sym_BSLASHGLStext] = ACTIONS(7559),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7559),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7559),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7559),
    [anon_sym_BSLASHglsplural] = ACTIONS(7559),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7559),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7559),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHglsname] = ACTIONS(7559),
    [anon_sym_BSLASHGlsname] = ACTIONS(7559),
    [anon_sym_BSLASHGLSname] = ACTIONS(7559),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7559),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7559),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7559),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7559),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7559),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7559),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7559),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7559),
    [anon_sym_BSLASHacrshort] = ACTIONS(7559),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7559),
    [anon_sym_BSLASHACRshort] = ACTIONS(7559),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHacrlong] = ACTIONS(7559),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7559),
    [anon_sym_BSLASHACRlong] = ACTIONS(7559),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHacrfull] = ACTIONS(7559),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7559),
    [anon_sym_BSLASHACRfull] = ACTIONS(7559),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHacs] = ACTIONS(7559),
    [anon_sym_BSLASHAcs] = ACTIONS(7559),
    [anon_sym_BSLASHacsp] = ACTIONS(7559),
    [anon_sym_BSLASHAcsp] = ACTIONS(7559),
    [anon_sym_BSLASHacl] = ACTIONS(7559),
    [anon_sym_BSLASHAcl] = ACTIONS(7559),
    [anon_sym_BSLASHaclp] = ACTIONS(7559),
    [anon_sym_BSLASHAclp] = ACTIONS(7559),
    [anon_sym_BSLASHacf] = ACTIONS(7559),
    [anon_sym_BSLASHAcf] = ACTIONS(7559),
    [anon_sym_BSLASHacfp] = ACTIONS(7559),
    [anon_sym_BSLASHAcfp] = ACTIONS(7559),
    [anon_sym_BSLASHac] = ACTIONS(7559),
    [anon_sym_BSLASHAc] = ACTIONS(7559),
    [anon_sym_BSLASHacp] = ACTIONS(7559),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7559),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7559),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7559),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7559),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7559),
    [anon_sym_BSLASHcolor] = ACTIONS(7559),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7559),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7559),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7559),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7559),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7559),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7559),
    [anon_sym_BSLASHurl] = ACTIONS(7559),
    [anon_sym_BSLASHhref] = ACTIONS(7559),
  },
  [1741] = {
    [sym_command_name] = ACTIONS(7563),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7563),
    [anon_sym_LBRACK] = ACTIONS(7565),
    [anon_sym_RBRACK] = ACTIONS(7565),
    [anon_sym_COMMA] = ACTIONS(7565),
    [anon_sym_EQ] = ACTIONS(7565),
    [anon_sym_LPAREN] = ACTIONS(7565),
    [anon_sym_RPAREN] = ACTIONS(7565),
    [anon_sym_LBRACE] = ACTIONS(7565),
    [sym_word] = ACTIONS(7563),
    [sym_placeholder] = ACTIONS(7565),
    [sym_delimiter] = ACTIONS(7565),
    [anon_sym_PLUS] = ACTIONS(7565),
    [anon_sym_DASH] = ACTIONS(7565),
    [anon_sym_STAR] = ACTIONS(7565),
    [anon_sym_SLASH] = ACTIONS(7565),
    [anon_sym_LT] = ACTIONS(7563),
    [anon_sym_GT] = ACTIONS(7563),
    [anon_sym_BANG] = ACTIONS(7563),
    [anon_sym_PIPE] = ACTIONS(7563),
    [anon_sym_COLON] = ACTIONS(7563),
    [anon_sym_SQUOTE] = ACTIONS(7563),
    [anon_sym__] = ACTIONS(7565),
    [anon_sym_CARET] = ACTIONS(7565),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7565),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7565),
    [anon_sym_DOLLAR] = ACTIONS(7563),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7565),
    [anon_sym_BSLASHleft] = ACTIONS(7563),
    [anon_sym_BSLASHbigl] = ACTIONS(7563),
    [anon_sym_BSLASHBigl] = ACTIONS(7563),
    [anon_sym_BSLASHbiggl] = ACTIONS(7563),
    [anon_sym_BSLASHBiggl] = ACTIONS(7563),
    [anon_sym_BSLASHtext] = ACTIONS(7563),
    [anon_sym_BSLASHintertext] = ACTIONS(7563),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7563),
    [anon_sym_BSLASHbegin] = ACTIONS(7563),
    [anon_sym_BSLASHend] = ACTIONS(7563),
    [anon_sym_BSLASHtitle] = ACTIONS(7563),
    [anon_sym_BSLASHauthor] = ACTIONS(7563),
    [anon_sym_BSLASHusepackage] = ACTIONS(7563),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7563),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7563),
    [anon_sym_BSLASHinclude] = ACTIONS(7563),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7563),
    [anon_sym_BSLASHinput] = ACTIONS(7563),
    [anon_sym_BSLASHsubfile] = ACTIONS(7563),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7563),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7563),
    [anon_sym_BSLASHbibliography] = ACTIONS(7563),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7563),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7563),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7563),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7563),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7563),
    [anon_sym_BSLASHimport] = ACTIONS(7563),
    [anon_sym_BSLASHsubimport] = ACTIONS(7563),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7563),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7563),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7563),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7563),
    [anon_sym_BSLASHcaption] = ACTIONS(7563),
    [anon_sym_BSLASHcite] = ACTIONS(7563),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCite] = ACTIONS(7563),
    [anon_sym_BSLASHnocite] = ACTIONS(7563),
    [anon_sym_BSLASHcitet] = ACTIONS(7563),
    [anon_sym_BSLASHcitep] = ACTIONS(7563),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteA] = ACTIONS(7563),
    [anon_sym_BSLASHciteR] = ACTIONS(7563),
    [anon_sym_BSLASHciteS] = ACTIONS(7563),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7563),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7563),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7563),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7563),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteyear] = ACTIONS(7563),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitedate] = ACTIONS(7563),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteurl] = ACTIONS(7563),
    [anon_sym_BSLASHfullcite] = ACTIONS(7563),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7563),
    [anon_sym_BSLASHcitealt] = ACTIONS(7563),
    [anon_sym_BSLASHcitealp] = ACTIONS(7563),
    [anon_sym_BSLASHcitetext] = ACTIONS(7563),
    [anon_sym_BSLASHparencite] = ACTIONS(7563),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHParencite] = ACTIONS(7563),
    [anon_sym_BSLASHfootcite] = ACTIONS(7563),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7563),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7563),
    [anon_sym_BSLASHtextcite] = ACTIONS(7563),
    [anon_sym_BSLASHTextcite] = ACTIONS(7563),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7563),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7563),
    [anon_sym_BSLASHsupercite] = ACTIONS(7563),
    [anon_sym_BSLASHautocite] = ACTIONS(7563),
    [anon_sym_BSLASHAutocite] = ACTIONS(7563),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHVolcite] = ACTIONS(7563),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHavolcite] = ACTIONS(7563),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHNotecite] = ACTIONS(7563),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHlabel] = ACTIONS(7563),
    [anon_sym_BSLASHref] = ACTIONS(7563),
    [anon_sym_BSLASHeqref] = ACTIONS(7563),
    [anon_sym_BSLASHvref] = ACTIONS(7563),
    [anon_sym_BSLASHVref] = ACTIONS(7563),
    [anon_sym_BSLASHautoref] = ACTIONS(7563),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHpageref] = ACTIONS(7563),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHautopageref] = ACTIONS(7563),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcref] = ACTIONS(7563),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCref] = ACTIONS(7563),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcpageref] = ACTIONS(7563),
    [anon_sym_BSLASHCpageref] = ACTIONS(7563),
    [anon_sym_BSLASHnamecref] = ACTIONS(7563),
    [anon_sym_BSLASHnameCref] = ACTIONS(7563),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7563),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7563),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7563),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7563),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7563),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7563),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7563),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7563),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7563),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7563),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7563),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHdef] = ACTIONS(7563),
    [anon_sym_BSLASHgdef] = ACTIONS(7563),
    [anon_sym_BSLASHedef] = ACTIONS(7563),
    [anon_sym_BSLASHxdef] = ACTIONS(7563),
    [anon_sym_BSLASHlet] = ACTIONS(7563),
    [anon_sym_BSLASHglet] = ACTIONS(7563),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7563),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7563),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7563),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7563),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7563),
    [anon_sym_BSLASHgls] = ACTIONS(7563),
    [anon_sym_BSLASHGls] = ACTIONS(7563),
    [anon_sym_BSLASHGLS] = ACTIONS(7563),
    [anon_sym_BSLASHglspl] = ACTIONS(7563),
    [anon_sym_BSLASHGlspl] = ACTIONS(7563),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7563),
    [anon_sym_BSLASHglslink] = ACTIONS(7563),
    [anon_sym_BSLASHglstext] = ACTIONS(7563),
    [anon_sym_BSLASHGlstext] = ACTIONS(7563),
    [anon_sym_BSLASHGLStext] = ACTIONS(7563),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7563),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7563),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7563),
    [anon_sym_BSLASHglsplural] = ACTIONS(7563),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7563),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7563),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHglsname] = ACTIONS(7563),
    [anon_sym_BSLASHGlsname] = ACTIONS(7563),
    [anon_sym_BSLASHGLSname] = ACTIONS(7563),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7563),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7563),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7563),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7563),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7563),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7563),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7563),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7563),
    [anon_sym_BSLASHacrshort] = ACTIONS(7563),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7563),
    [anon_sym_BSLASHACRshort] = ACTIONS(7563),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHacrlong] = ACTIONS(7563),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7563),
    [anon_sym_BSLASHACRlong] = ACTIONS(7563),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHacrfull] = ACTIONS(7563),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7563),
    [anon_sym_BSLASHACRfull] = ACTIONS(7563),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHacs] = ACTIONS(7563),
    [anon_sym_BSLASHAcs] = ACTIONS(7563),
    [anon_sym_BSLASHacsp] = ACTIONS(7563),
    [anon_sym_BSLASHAcsp] = ACTIONS(7563),
    [anon_sym_BSLASHacl] = ACTIONS(7563),
    [anon_sym_BSLASHAcl] = ACTIONS(7563),
    [anon_sym_BSLASHaclp] = ACTIONS(7563),
    [anon_sym_BSLASHAclp] = ACTIONS(7563),
    [anon_sym_BSLASHacf] = ACTIONS(7563),
    [anon_sym_BSLASHAcf] = ACTIONS(7563),
    [anon_sym_BSLASHacfp] = ACTIONS(7563),
    [anon_sym_BSLASHAcfp] = ACTIONS(7563),
    [anon_sym_BSLASHac] = ACTIONS(7563),
    [anon_sym_BSLASHAc] = ACTIONS(7563),
    [anon_sym_BSLASHacp] = ACTIONS(7563),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7563),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7563),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7563),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7563),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7563),
    [anon_sym_BSLASHcolor] = ACTIONS(7563),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7563),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7563),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7563),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7563),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7563),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7563),
    [anon_sym_BSLASHurl] = ACTIONS(7563),
    [anon_sym_BSLASHhref] = ACTIONS(7563),
  },
  [1742] = {
    [sym_command_name] = ACTIONS(7283),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7283),
    [anon_sym_LBRACK] = ACTIONS(7285),
    [anon_sym_RBRACK] = ACTIONS(7285),
    [anon_sym_COMMA] = ACTIONS(7285),
    [anon_sym_EQ] = ACTIONS(7285),
    [anon_sym_LPAREN] = ACTIONS(7285),
    [anon_sym_RPAREN] = ACTIONS(7285),
    [anon_sym_LBRACE] = ACTIONS(7285),
    [sym_word] = ACTIONS(7283),
    [sym_placeholder] = ACTIONS(7285),
    [sym_delimiter] = ACTIONS(7285),
    [anon_sym_PLUS] = ACTIONS(7285),
    [anon_sym_DASH] = ACTIONS(7285),
    [anon_sym_STAR] = ACTIONS(7285),
    [anon_sym_SLASH] = ACTIONS(7285),
    [anon_sym_LT] = ACTIONS(7283),
    [anon_sym_GT] = ACTIONS(7283),
    [anon_sym_BANG] = ACTIONS(7283),
    [anon_sym_PIPE] = ACTIONS(7283),
    [anon_sym_COLON] = ACTIONS(7283),
    [anon_sym_SQUOTE] = ACTIONS(7283),
    [anon_sym__] = ACTIONS(7285),
    [anon_sym_CARET] = ACTIONS(7285),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7285),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7285),
    [anon_sym_DOLLAR] = ACTIONS(7283),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7285),
    [anon_sym_BSLASHleft] = ACTIONS(7283),
    [anon_sym_BSLASHbigl] = ACTIONS(7283),
    [anon_sym_BSLASHBigl] = ACTIONS(7283),
    [anon_sym_BSLASHbiggl] = ACTIONS(7283),
    [anon_sym_BSLASHBiggl] = ACTIONS(7283),
    [anon_sym_BSLASHtext] = ACTIONS(7283),
    [anon_sym_BSLASHintertext] = ACTIONS(7283),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7283),
    [anon_sym_BSLASHbegin] = ACTIONS(7283),
    [anon_sym_BSLASHend] = ACTIONS(7283),
    [anon_sym_BSLASHtitle] = ACTIONS(7283),
    [anon_sym_BSLASHauthor] = ACTIONS(7283),
    [anon_sym_BSLASHusepackage] = ACTIONS(7283),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7283),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7283),
    [anon_sym_BSLASHinclude] = ACTIONS(7283),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7283),
    [anon_sym_BSLASHinput] = ACTIONS(7283),
    [anon_sym_BSLASHsubfile] = ACTIONS(7283),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7283),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7283),
    [anon_sym_BSLASHbibliography] = ACTIONS(7283),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7283),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7283),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7283),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7283),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7283),
    [anon_sym_BSLASHimport] = ACTIONS(7283),
    [anon_sym_BSLASHsubimport] = ACTIONS(7283),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7283),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7283),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7283),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7283),
    [anon_sym_BSLASHcaption] = ACTIONS(7283),
    [anon_sym_BSLASHcite] = ACTIONS(7283),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCite] = ACTIONS(7283),
    [anon_sym_BSLASHnocite] = ACTIONS(7283),
    [anon_sym_BSLASHcitet] = ACTIONS(7283),
    [anon_sym_BSLASHcitep] = ACTIONS(7283),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteA] = ACTIONS(7283),
    [anon_sym_BSLASHciteR] = ACTIONS(7283),
    [anon_sym_BSLASHciteS] = ACTIONS(7283),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7283),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7283),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7283),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7283),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteyear] = ACTIONS(7283),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitedate] = ACTIONS(7283),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteurl] = ACTIONS(7283),
    [anon_sym_BSLASHfullcite] = ACTIONS(7283),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7283),
    [anon_sym_BSLASHcitealt] = ACTIONS(7283),
    [anon_sym_BSLASHcitealp] = ACTIONS(7283),
    [anon_sym_BSLASHcitetext] = ACTIONS(7283),
    [anon_sym_BSLASHparencite] = ACTIONS(7283),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHParencite] = ACTIONS(7283),
    [anon_sym_BSLASHfootcite] = ACTIONS(7283),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7283),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7283),
    [anon_sym_BSLASHtextcite] = ACTIONS(7283),
    [anon_sym_BSLASHTextcite] = ACTIONS(7283),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7283),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7283),
    [anon_sym_BSLASHsupercite] = ACTIONS(7283),
    [anon_sym_BSLASHautocite] = ACTIONS(7283),
    [anon_sym_BSLASHAutocite] = ACTIONS(7283),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHVolcite] = ACTIONS(7283),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHavolcite] = ACTIONS(7283),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHNotecite] = ACTIONS(7283),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHlabel] = ACTIONS(7283),
    [anon_sym_BSLASHref] = ACTIONS(7283),
    [anon_sym_BSLASHeqref] = ACTIONS(7283),
    [anon_sym_BSLASHvref] = ACTIONS(7283),
    [anon_sym_BSLASHVref] = ACTIONS(7283),
    [anon_sym_BSLASHautoref] = ACTIONS(7283),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHpageref] = ACTIONS(7283),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHautopageref] = ACTIONS(7283),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcref] = ACTIONS(7283),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCref] = ACTIONS(7283),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcpageref] = ACTIONS(7283),
    [anon_sym_BSLASHCpageref] = ACTIONS(7283),
    [anon_sym_BSLASHnamecref] = ACTIONS(7283),
    [anon_sym_BSLASHnameCref] = ACTIONS(7283),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7283),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7283),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7283),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7283),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7283),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7283),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7283),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7283),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7283),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7283),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHdef] = ACTIONS(7283),
    [anon_sym_BSLASHgdef] = ACTIONS(7283),
    [anon_sym_BSLASHedef] = ACTIONS(7283),
    [anon_sym_BSLASHxdef] = ACTIONS(7283),
    [anon_sym_BSLASHlet] = ACTIONS(7283),
    [anon_sym_BSLASHglet] = ACTIONS(7283),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7283),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7283),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7283),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7283),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7283),
    [anon_sym_BSLASHgls] = ACTIONS(7283),
    [anon_sym_BSLASHGls] = ACTIONS(7283),
    [anon_sym_BSLASHGLS] = ACTIONS(7283),
    [anon_sym_BSLASHglspl] = ACTIONS(7283),
    [anon_sym_BSLASHGlspl] = ACTIONS(7283),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7283),
    [anon_sym_BSLASHglslink] = ACTIONS(7283),
    [anon_sym_BSLASHglstext] = ACTIONS(7283),
    [anon_sym_BSLASHGlstext] = ACTIONS(7283),
    [anon_sym_BSLASHGLStext] = ACTIONS(7283),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7283),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7283),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7283),
    [anon_sym_BSLASHglsplural] = ACTIONS(7283),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7283),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7283),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHglsname] = ACTIONS(7283),
    [anon_sym_BSLASHGlsname] = ACTIONS(7283),
    [anon_sym_BSLASHGLSname] = ACTIONS(7283),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7283),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7283),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7283),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7283),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7283),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7283),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7283),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7283),
    [anon_sym_BSLASHacrshort] = ACTIONS(7283),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7283),
    [anon_sym_BSLASHACRshort] = ACTIONS(7283),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHacrlong] = ACTIONS(7283),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7283),
    [anon_sym_BSLASHACRlong] = ACTIONS(7283),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHacrfull] = ACTIONS(7283),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7283),
    [anon_sym_BSLASHACRfull] = ACTIONS(7283),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHacs] = ACTIONS(7283),
    [anon_sym_BSLASHAcs] = ACTIONS(7283),
    [anon_sym_BSLASHacsp] = ACTIONS(7283),
    [anon_sym_BSLASHAcsp] = ACTIONS(7283),
    [anon_sym_BSLASHacl] = ACTIONS(7283),
    [anon_sym_BSLASHAcl] = ACTIONS(7283),
    [anon_sym_BSLASHaclp] = ACTIONS(7283),
    [anon_sym_BSLASHAclp] = ACTIONS(7283),
    [anon_sym_BSLASHacf] = ACTIONS(7283),
    [anon_sym_BSLASHAcf] = ACTIONS(7283),
    [anon_sym_BSLASHacfp] = ACTIONS(7283),
    [anon_sym_BSLASHAcfp] = ACTIONS(7283),
    [anon_sym_BSLASHac] = ACTIONS(7283),
    [anon_sym_BSLASHAc] = ACTIONS(7283),
    [anon_sym_BSLASHacp] = ACTIONS(7283),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7283),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7283),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7283),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7283),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7283),
    [anon_sym_BSLASHcolor] = ACTIONS(7283),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7283),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7283),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7283),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7283),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7283),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7283),
    [anon_sym_BSLASHurl] = ACTIONS(7283),
    [anon_sym_BSLASHhref] = ACTIONS(7283),
  },
  [1743] = {
    [sym_command_name] = ACTIONS(7571),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7571),
    [anon_sym_LBRACK] = ACTIONS(7573),
    [anon_sym_RBRACK] = ACTIONS(7573),
    [anon_sym_COMMA] = ACTIONS(7573),
    [anon_sym_EQ] = ACTIONS(7573),
    [anon_sym_LPAREN] = ACTIONS(7573),
    [anon_sym_RPAREN] = ACTIONS(7573),
    [anon_sym_LBRACE] = ACTIONS(7573),
    [sym_word] = ACTIONS(7571),
    [sym_placeholder] = ACTIONS(7573),
    [sym_delimiter] = ACTIONS(7573),
    [anon_sym_PLUS] = ACTIONS(7573),
    [anon_sym_DASH] = ACTIONS(7573),
    [anon_sym_STAR] = ACTIONS(7573),
    [anon_sym_SLASH] = ACTIONS(7573),
    [anon_sym_LT] = ACTIONS(7571),
    [anon_sym_GT] = ACTIONS(7571),
    [anon_sym_BANG] = ACTIONS(7571),
    [anon_sym_PIPE] = ACTIONS(7571),
    [anon_sym_COLON] = ACTIONS(7571),
    [anon_sym_SQUOTE] = ACTIONS(7571),
    [anon_sym__] = ACTIONS(7573),
    [anon_sym_CARET] = ACTIONS(7573),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7573),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7573),
    [anon_sym_DOLLAR] = ACTIONS(7571),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7573),
    [anon_sym_BSLASHleft] = ACTIONS(7571),
    [anon_sym_BSLASHbigl] = ACTIONS(7571),
    [anon_sym_BSLASHBigl] = ACTIONS(7571),
    [anon_sym_BSLASHbiggl] = ACTIONS(7571),
    [anon_sym_BSLASHBiggl] = ACTIONS(7571),
    [anon_sym_BSLASHtext] = ACTIONS(7571),
    [anon_sym_BSLASHintertext] = ACTIONS(7571),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7571),
    [anon_sym_BSLASHbegin] = ACTIONS(7571),
    [anon_sym_BSLASHend] = ACTIONS(7571),
    [anon_sym_BSLASHtitle] = ACTIONS(7571),
    [anon_sym_BSLASHauthor] = ACTIONS(7571),
    [anon_sym_BSLASHusepackage] = ACTIONS(7571),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7571),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7571),
    [anon_sym_BSLASHinclude] = ACTIONS(7571),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7571),
    [anon_sym_BSLASHinput] = ACTIONS(7571),
    [anon_sym_BSLASHsubfile] = ACTIONS(7571),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7571),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7571),
    [anon_sym_BSLASHbibliography] = ACTIONS(7571),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7571),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7571),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7571),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7571),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7571),
    [anon_sym_BSLASHimport] = ACTIONS(7571),
    [anon_sym_BSLASHsubimport] = ACTIONS(7571),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7571),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7571),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7571),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7571),
    [anon_sym_BSLASHcaption] = ACTIONS(7571),
    [anon_sym_BSLASHcite] = ACTIONS(7571),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCite] = ACTIONS(7571),
    [anon_sym_BSLASHnocite] = ACTIONS(7571),
    [anon_sym_BSLASHcitet] = ACTIONS(7571),
    [anon_sym_BSLASHcitep] = ACTIONS(7571),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteA] = ACTIONS(7571),
    [anon_sym_BSLASHciteR] = ACTIONS(7571),
    [anon_sym_BSLASHciteS] = ACTIONS(7571),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7571),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7571),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7571),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7571),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteyear] = ACTIONS(7571),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitedate] = ACTIONS(7571),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteurl] = ACTIONS(7571),
    [anon_sym_BSLASHfullcite] = ACTIONS(7571),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7571),
    [anon_sym_BSLASHcitealt] = ACTIONS(7571),
    [anon_sym_BSLASHcitealp] = ACTIONS(7571),
    [anon_sym_BSLASHcitetext] = ACTIONS(7571),
    [anon_sym_BSLASHparencite] = ACTIONS(7571),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHParencite] = ACTIONS(7571),
    [anon_sym_BSLASHfootcite] = ACTIONS(7571),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7571),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7571),
    [anon_sym_BSLASHtextcite] = ACTIONS(7571),
    [anon_sym_BSLASHTextcite] = ACTIONS(7571),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7571),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7571),
    [anon_sym_BSLASHsupercite] = ACTIONS(7571),
    [anon_sym_BSLASHautocite] = ACTIONS(7571),
    [anon_sym_BSLASHAutocite] = ACTIONS(7571),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHVolcite] = ACTIONS(7571),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHavolcite] = ACTIONS(7571),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHNotecite] = ACTIONS(7571),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHlabel] = ACTIONS(7571),
    [anon_sym_BSLASHref] = ACTIONS(7571),
    [anon_sym_BSLASHeqref] = ACTIONS(7571),
    [anon_sym_BSLASHvref] = ACTIONS(7571),
    [anon_sym_BSLASHVref] = ACTIONS(7571),
    [anon_sym_BSLASHautoref] = ACTIONS(7571),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHpageref] = ACTIONS(7571),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHautopageref] = ACTIONS(7571),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcref] = ACTIONS(7571),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCref] = ACTIONS(7571),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcpageref] = ACTIONS(7571),
    [anon_sym_BSLASHCpageref] = ACTIONS(7571),
    [anon_sym_BSLASHnamecref] = ACTIONS(7571),
    [anon_sym_BSLASHnameCref] = ACTIONS(7571),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7571),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7571),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7571),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7571),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7571),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7571),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7571),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7571),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7571),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7571),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7571),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHdef] = ACTIONS(7571),
    [anon_sym_BSLASHgdef] = ACTIONS(7571),
    [anon_sym_BSLASHedef] = ACTIONS(7571),
    [anon_sym_BSLASHxdef] = ACTIONS(7571),
    [anon_sym_BSLASHlet] = ACTIONS(7571),
    [anon_sym_BSLASHglet] = ACTIONS(7571),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7571),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7571),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7571),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7571),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7571),
    [anon_sym_BSLASHgls] = ACTIONS(7571),
    [anon_sym_BSLASHGls] = ACTIONS(7571),
    [anon_sym_BSLASHGLS] = ACTIONS(7571),
    [anon_sym_BSLASHglspl] = ACTIONS(7571),
    [anon_sym_BSLASHGlspl] = ACTIONS(7571),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7571),
    [anon_sym_BSLASHglslink] = ACTIONS(7571),
    [anon_sym_BSLASHglstext] = ACTIONS(7571),
    [anon_sym_BSLASHGlstext] = ACTIONS(7571),
    [anon_sym_BSLASHGLStext] = ACTIONS(7571),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7571),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7571),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7571),
    [anon_sym_BSLASHglsplural] = ACTIONS(7571),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7571),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7571),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHglsname] = ACTIONS(7571),
    [anon_sym_BSLASHGlsname] = ACTIONS(7571),
    [anon_sym_BSLASHGLSname] = ACTIONS(7571),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7571),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7571),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7571),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7571),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7571),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7571),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7571),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7571),
    [anon_sym_BSLASHacrshort] = ACTIONS(7571),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7571),
    [anon_sym_BSLASHACRshort] = ACTIONS(7571),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHacrlong] = ACTIONS(7571),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7571),
    [anon_sym_BSLASHACRlong] = ACTIONS(7571),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHacrfull] = ACTIONS(7571),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7571),
    [anon_sym_BSLASHACRfull] = ACTIONS(7571),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHacs] = ACTIONS(7571),
    [anon_sym_BSLASHAcs] = ACTIONS(7571),
    [anon_sym_BSLASHacsp] = ACTIONS(7571),
    [anon_sym_BSLASHAcsp] = ACTIONS(7571),
    [anon_sym_BSLASHacl] = ACTIONS(7571),
    [anon_sym_BSLASHAcl] = ACTIONS(7571),
    [anon_sym_BSLASHaclp] = ACTIONS(7571),
    [anon_sym_BSLASHAclp] = ACTIONS(7571),
    [anon_sym_BSLASHacf] = ACTIONS(7571),
    [anon_sym_BSLASHAcf] = ACTIONS(7571),
    [anon_sym_BSLASHacfp] = ACTIONS(7571),
    [anon_sym_BSLASHAcfp] = ACTIONS(7571),
    [anon_sym_BSLASHac] = ACTIONS(7571),
    [anon_sym_BSLASHAc] = ACTIONS(7571),
    [anon_sym_BSLASHacp] = ACTIONS(7571),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7571),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7571),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7571),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7571),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7571),
    [anon_sym_BSLASHcolor] = ACTIONS(7571),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7571),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7571),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7571),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7571),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7571),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7571),
    [anon_sym_BSLASHurl] = ACTIONS(7571),
    [anon_sym_BSLASHhref] = ACTIONS(7571),
  },
  [1744] = {
    [sym_command_name] = ACTIONS(7575),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7575),
    [anon_sym_LBRACK] = ACTIONS(7577),
    [anon_sym_RBRACK] = ACTIONS(7577),
    [anon_sym_COMMA] = ACTIONS(7577),
    [anon_sym_EQ] = ACTIONS(7577),
    [anon_sym_LPAREN] = ACTIONS(7577),
    [anon_sym_RPAREN] = ACTIONS(7577),
    [anon_sym_LBRACE] = ACTIONS(7577),
    [sym_word] = ACTIONS(7575),
    [sym_placeholder] = ACTIONS(7577),
    [sym_delimiter] = ACTIONS(7577),
    [anon_sym_PLUS] = ACTIONS(7577),
    [anon_sym_DASH] = ACTIONS(7577),
    [anon_sym_STAR] = ACTIONS(7577),
    [anon_sym_SLASH] = ACTIONS(7577),
    [anon_sym_LT] = ACTIONS(7575),
    [anon_sym_GT] = ACTIONS(7575),
    [anon_sym_BANG] = ACTIONS(7575),
    [anon_sym_PIPE] = ACTIONS(7575),
    [anon_sym_COLON] = ACTIONS(7575),
    [anon_sym_SQUOTE] = ACTIONS(7575),
    [anon_sym__] = ACTIONS(7577),
    [anon_sym_CARET] = ACTIONS(7577),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7577),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7577),
    [anon_sym_DOLLAR] = ACTIONS(7575),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7577),
    [anon_sym_BSLASHleft] = ACTIONS(7575),
    [anon_sym_BSLASHbigl] = ACTIONS(7575),
    [anon_sym_BSLASHBigl] = ACTIONS(7575),
    [anon_sym_BSLASHbiggl] = ACTIONS(7575),
    [anon_sym_BSLASHBiggl] = ACTIONS(7575),
    [anon_sym_BSLASHtext] = ACTIONS(7575),
    [anon_sym_BSLASHintertext] = ACTIONS(7575),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7575),
    [anon_sym_BSLASHbegin] = ACTIONS(7575),
    [anon_sym_BSLASHend] = ACTIONS(7575),
    [anon_sym_BSLASHtitle] = ACTIONS(7575),
    [anon_sym_BSLASHauthor] = ACTIONS(7575),
    [anon_sym_BSLASHusepackage] = ACTIONS(7575),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7575),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7575),
    [anon_sym_BSLASHinclude] = ACTIONS(7575),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7575),
    [anon_sym_BSLASHinput] = ACTIONS(7575),
    [anon_sym_BSLASHsubfile] = ACTIONS(7575),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7575),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7575),
    [anon_sym_BSLASHbibliography] = ACTIONS(7575),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7575),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7575),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7575),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7575),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7575),
    [anon_sym_BSLASHimport] = ACTIONS(7575),
    [anon_sym_BSLASHsubimport] = ACTIONS(7575),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7575),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7575),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7575),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7575),
    [anon_sym_BSLASHcaption] = ACTIONS(7575),
    [anon_sym_BSLASHcite] = ACTIONS(7575),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCite] = ACTIONS(7575),
    [anon_sym_BSLASHnocite] = ACTIONS(7575),
    [anon_sym_BSLASHcitet] = ACTIONS(7575),
    [anon_sym_BSLASHcitep] = ACTIONS(7575),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteA] = ACTIONS(7575),
    [anon_sym_BSLASHciteR] = ACTIONS(7575),
    [anon_sym_BSLASHciteS] = ACTIONS(7575),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7575),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7575),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7575),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7575),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteyear] = ACTIONS(7575),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitedate] = ACTIONS(7575),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteurl] = ACTIONS(7575),
    [anon_sym_BSLASHfullcite] = ACTIONS(7575),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7575),
    [anon_sym_BSLASHcitealt] = ACTIONS(7575),
    [anon_sym_BSLASHcitealp] = ACTIONS(7575),
    [anon_sym_BSLASHcitetext] = ACTIONS(7575),
    [anon_sym_BSLASHparencite] = ACTIONS(7575),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHParencite] = ACTIONS(7575),
    [anon_sym_BSLASHfootcite] = ACTIONS(7575),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7575),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7575),
    [anon_sym_BSLASHtextcite] = ACTIONS(7575),
    [anon_sym_BSLASHTextcite] = ACTIONS(7575),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7575),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7575),
    [anon_sym_BSLASHsupercite] = ACTIONS(7575),
    [anon_sym_BSLASHautocite] = ACTIONS(7575),
    [anon_sym_BSLASHAutocite] = ACTIONS(7575),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHVolcite] = ACTIONS(7575),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHavolcite] = ACTIONS(7575),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHNotecite] = ACTIONS(7575),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHlabel] = ACTIONS(7575),
    [anon_sym_BSLASHref] = ACTIONS(7575),
    [anon_sym_BSLASHeqref] = ACTIONS(7575),
    [anon_sym_BSLASHvref] = ACTIONS(7575),
    [anon_sym_BSLASHVref] = ACTIONS(7575),
    [anon_sym_BSLASHautoref] = ACTIONS(7575),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHpageref] = ACTIONS(7575),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHautopageref] = ACTIONS(7575),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcref] = ACTIONS(7575),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCref] = ACTIONS(7575),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcpageref] = ACTIONS(7575),
    [anon_sym_BSLASHCpageref] = ACTIONS(7575),
    [anon_sym_BSLASHnamecref] = ACTIONS(7575),
    [anon_sym_BSLASHnameCref] = ACTIONS(7575),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7575),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7575),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7575),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7575),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7575),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7575),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7575),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7575),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7575),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7575),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7575),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHdef] = ACTIONS(7575),
    [anon_sym_BSLASHgdef] = ACTIONS(7575),
    [anon_sym_BSLASHedef] = ACTIONS(7575),
    [anon_sym_BSLASHxdef] = ACTIONS(7575),
    [anon_sym_BSLASHlet] = ACTIONS(7575),
    [anon_sym_BSLASHglet] = ACTIONS(7575),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7575),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7575),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7575),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7575),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7575),
    [anon_sym_BSLASHgls] = ACTIONS(7575),
    [anon_sym_BSLASHGls] = ACTIONS(7575),
    [anon_sym_BSLASHGLS] = ACTIONS(7575),
    [anon_sym_BSLASHglspl] = ACTIONS(7575),
    [anon_sym_BSLASHGlspl] = ACTIONS(7575),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7575),
    [anon_sym_BSLASHglslink] = ACTIONS(7575),
    [anon_sym_BSLASHglstext] = ACTIONS(7575),
    [anon_sym_BSLASHGlstext] = ACTIONS(7575),
    [anon_sym_BSLASHGLStext] = ACTIONS(7575),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7575),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7575),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7575),
    [anon_sym_BSLASHglsplural] = ACTIONS(7575),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7575),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7575),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHglsname] = ACTIONS(7575),
    [anon_sym_BSLASHGlsname] = ACTIONS(7575),
    [anon_sym_BSLASHGLSname] = ACTIONS(7575),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7575),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7575),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7575),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7575),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7575),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7575),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7575),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7575),
    [anon_sym_BSLASHacrshort] = ACTIONS(7575),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7575),
    [anon_sym_BSLASHACRshort] = ACTIONS(7575),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHacrlong] = ACTIONS(7575),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7575),
    [anon_sym_BSLASHACRlong] = ACTIONS(7575),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHacrfull] = ACTIONS(7575),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7575),
    [anon_sym_BSLASHACRfull] = ACTIONS(7575),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHacs] = ACTIONS(7575),
    [anon_sym_BSLASHAcs] = ACTIONS(7575),
    [anon_sym_BSLASHacsp] = ACTIONS(7575),
    [anon_sym_BSLASHAcsp] = ACTIONS(7575),
    [anon_sym_BSLASHacl] = ACTIONS(7575),
    [anon_sym_BSLASHAcl] = ACTIONS(7575),
    [anon_sym_BSLASHaclp] = ACTIONS(7575),
    [anon_sym_BSLASHAclp] = ACTIONS(7575),
    [anon_sym_BSLASHacf] = ACTIONS(7575),
    [anon_sym_BSLASHAcf] = ACTIONS(7575),
    [anon_sym_BSLASHacfp] = ACTIONS(7575),
    [anon_sym_BSLASHAcfp] = ACTIONS(7575),
    [anon_sym_BSLASHac] = ACTIONS(7575),
    [anon_sym_BSLASHAc] = ACTIONS(7575),
    [anon_sym_BSLASHacp] = ACTIONS(7575),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7575),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7575),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7575),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7575),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7575),
    [anon_sym_BSLASHcolor] = ACTIONS(7575),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7575),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7575),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7575),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7575),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7575),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7575),
    [anon_sym_BSLASHurl] = ACTIONS(7575),
    [anon_sym_BSLASHhref] = ACTIONS(7575),
  },
  [1745] = {
    [sym_command_name] = ACTIONS(7579),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7579),
    [anon_sym_LBRACK] = ACTIONS(7581),
    [anon_sym_RBRACK] = ACTIONS(7581),
    [anon_sym_COMMA] = ACTIONS(7581),
    [anon_sym_EQ] = ACTIONS(7581),
    [anon_sym_LPAREN] = ACTIONS(7581),
    [anon_sym_RPAREN] = ACTIONS(7581),
    [anon_sym_LBRACE] = ACTIONS(7581),
    [sym_word] = ACTIONS(7579),
    [sym_placeholder] = ACTIONS(7581),
    [sym_delimiter] = ACTIONS(7581),
    [anon_sym_PLUS] = ACTIONS(7581),
    [anon_sym_DASH] = ACTIONS(7581),
    [anon_sym_STAR] = ACTIONS(7581),
    [anon_sym_SLASH] = ACTIONS(7581),
    [anon_sym_LT] = ACTIONS(7579),
    [anon_sym_GT] = ACTIONS(7579),
    [anon_sym_BANG] = ACTIONS(7579),
    [anon_sym_PIPE] = ACTIONS(7579),
    [anon_sym_COLON] = ACTIONS(7579),
    [anon_sym_SQUOTE] = ACTIONS(7579),
    [anon_sym__] = ACTIONS(7581),
    [anon_sym_CARET] = ACTIONS(7581),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7581),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7581),
    [anon_sym_DOLLAR] = ACTIONS(7579),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7581),
    [anon_sym_BSLASHleft] = ACTIONS(7579),
    [anon_sym_BSLASHbigl] = ACTIONS(7579),
    [anon_sym_BSLASHBigl] = ACTIONS(7579),
    [anon_sym_BSLASHbiggl] = ACTIONS(7579),
    [anon_sym_BSLASHBiggl] = ACTIONS(7579),
    [anon_sym_BSLASHtext] = ACTIONS(7579),
    [anon_sym_BSLASHintertext] = ACTIONS(7579),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7579),
    [anon_sym_BSLASHbegin] = ACTIONS(7579),
    [anon_sym_BSLASHend] = ACTIONS(7579),
    [anon_sym_BSLASHtitle] = ACTIONS(7579),
    [anon_sym_BSLASHauthor] = ACTIONS(7579),
    [anon_sym_BSLASHusepackage] = ACTIONS(7579),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7579),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7579),
    [anon_sym_BSLASHinclude] = ACTIONS(7579),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7579),
    [anon_sym_BSLASHinput] = ACTIONS(7579),
    [anon_sym_BSLASHsubfile] = ACTIONS(7579),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7579),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7579),
    [anon_sym_BSLASHbibliography] = ACTIONS(7579),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7579),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7579),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7579),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7579),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7579),
    [anon_sym_BSLASHimport] = ACTIONS(7579),
    [anon_sym_BSLASHsubimport] = ACTIONS(7579),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7579),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7579),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7579),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7579),
    [anon_sym_BSLASHcaption] = ACTIONS(7579),
    [anon_sym_BSLASHcite] = ACTIONS(7579),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCite] = ACTIONS(7579),
    [anon_sym_BSLASHnocite] = ACTIONS(7579),
    [anon_sym_BSLASHcitet] = ACTIONS(7579),
    [anon_sym_BSLASHcitep] = ACTIONS(7579),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteA] = ACTIONS(7579),
    [anon_sym_BSLASHciteR] = ACTIONS(7579),
    [anon_sym_BSLASHciteS] = ACTIONS(7579),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7579),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7579),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7579),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7579),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteyear] = ACTIONS(7579),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitedate] = ACTIONS(7579),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteurl] = ACTIONS(7579),
    [anon_sym_BSLASHfullcite] = ACTIONS(7579),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7579),
    [anon_sym_BSLASHcitealt] = ACTIONS(7579),
    [anon_sym_BSLASHcitealp] = ACTIONS(7579),
    [anon_sym_BSLASHcitetext] = ACTIONS(7579),
    [anon_sym_BSLASHparencite] = ACTIONS(7579),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHParencite] = ACTIONS(7579),
    [anon_sym_BSLASHfootcite] = ACTIONS(7579),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7579),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7579),
    [anon_sym_BSLASHtextcite] = ACTIONS(7579),
    [anon_sym_BSLASHTextcite] = ACTIONS(7579),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7579),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7579),
    [anon_sym_BSLASHsupercite] = ACTIONS(7579),
    [anon_sym_BSLASHautocite] = ACTIONS(7579),
    [anon_sym_BSLASHAutocite] = ACTIONS(7579),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHVolcite] = ACTIONS(7579),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHavolcite] = ACTIONS(7579),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHNotecite] = ACTIONS(7579),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHlabel] = ACTIONS(7579),
    [anon_sym_BSLASHref] = ACTIONS(7579),
    [anon_sym_BSLASHeqref] = ACTIONS(7579),
    [anon_sym_BSLASHvref] = ACTIONS(7579),
    [anon_sym_BSLASHVref] = ACTIONS(7579),
    [anon_sym_BSLASHautoref] = ACTIONS(7579),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHpageref] = ACTIONS(7579),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHautopageref] = ACTIONS(7579),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcref] = ACTIONS(7579),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCref] = ACTIONS(7579),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcpageref] = ACTIONS(7579),
    [anon_sym_BSLASHCpageref] = ACTIONS(7579),
    [anon_sym_BSLASHnamecref] = ACTIONS(7579),
    [anon_sym_BSLASHnameCref] = ACTIONS(7579),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7579),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7579),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7579),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7579),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7579),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7579),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7579),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7579),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7579),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7579),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7579),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHdef] = ACTIONS(7579),
    [anon_sym_BSLASHgdef] = ACTIONS(7579),
    [anon_sym_BSLASHedef] = ACTIONS(7579),
    [anon_sym_BSLASHxdef] = ACTIONS(7579),
    [anon_sym_BSLASHlet] = ACTIONS(7579),
    [anon_sym_BSLASHglet] = ACTIONS(7579),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7579),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7579),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7579),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7579),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7579),
    [anon_sym_BSLASHgls] = ACTIONS(7579),
    [anon_sym_BSLASHGls] = ACTIONS(7579),
    [anon_sym_BSLASHGLS] = ACTIONS(7579),
    [anon_sym_BSLASHglspl] = ACTIONS(7579),
    [anon_sym_BSLASHGlspl] = ACTIONS(7579),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7579),
    [anon_sym_BSLASHglslink] = ACTIONS(7579),
    [anon_sym_BSLASHglstext] = ACTIONS(7579),
    [anon_sym_BSLASHGlstext] = ACTIONS(7579),
    [anon_sym_BSLASHGLStext] = ACTIONS(7579),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7579),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7579),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7579),
    [anon_sym_BSLASHglsplural] = ACTIONS(7579),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7579),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7579),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHglsname] = ACTIONS(7579),
    [anon_sym_BSLASHGlsname] = ACTIONS(7579),
    [anon_sym_BSLASHGLSname] = ACTIONS(7579),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7579),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7579),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7579),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7579),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7579),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7579),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7579),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7579),
    [anon_sym_BSLASHacrshort] = ACTIONS(7579),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7579),
    [anon_sym_BSLASHACRshort] = ACTIONS(7579),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHacrlong] = ACTIONS(7579),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7579),
    [anon_sym_BSLASHACRlong] = ACTIONS(7579),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHacrfull] = ACTIONS(7579),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7579),
    [anon_sym_BSLASHACRfull] = ACTIONS(7579),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHacs] = ACTIONS(7579),
    [anon_sym_BSLASHAcs] = ACTIONS(7579),
    [anon_sym_BSLASHacsp] = ACTIONS(7579),
    [anon_sym_BSLASHAcsp] = ACTIONS(7579),
    [anon_sym_BSLASHacl] = ACTIONS(7579),
    [anon_sym_BSLASHAcl] = ACTIONS(7579),
    [anon_sym_BSLASHaclp] = ACTIONS(7579),
    [anon_sym_BSLASHAclp] = ACTIONS(7579),
    [anon_sym_BSLASHacf] = ACTIONS(7579),
    [anon_sym_BSLASHAcf] = ACTIONS(7579),
    [anon_sym_BSLASHacfp] = ACTIONS(7579),
    [anon_sym_BSLASHAcfp] = ACTIONS(7579),
    [anon_sym_BSLASHac] = ACTIONS(7579),
    [anon_sym_BSLASHAc] = ACTIONS(7579),
    [anon_sym_BSLASHacp] = ACTIONS(7579),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7579),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7579),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7579),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7579),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7579),
    [anon_sym_BSLASHcolor] = ACTIONS(7579),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7579),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7579),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7579),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7579),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7579),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7579),
    [anon_sym_BSLASHurl] = ACTIONS(7579),
    [anon_sym_BSLASHhref] = ACTIONS(7579),
  },
  [1746] = {
    [sym_command_name] = ACTIONS(7583),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7583),
    [anon_sym_LBRACK] = ACTIONS(7585),
    [anon_sym_RBRACK] = ACTIONS(7585),
    [anon_sym_COMMA] = ACTIONS(7585),
    [anon_sym_EQ] = ACTIONS(7585),
    [anon_sym_LPAREN] = ACTIONS(7585),
    [anon_sym_RPAREN] = ACTIONS(7585),
    [anon_sym_LBRACE] = ACTIONS(7585),
    [sym_word] = ACTIONS(7583),
    [sym_placeholder] = ACTIONS(7585),
    [sym_delimiter] = ACTIONS(7585),
    [anon_sym_PLUS] = ACTIONS(7585),
    [anon_sym_DASH] = ACTIONS(7585),
    [anon_sym_STAR] = ACTIONS(7585),
    [anon_sym_SLASH] = ACTIONS(7585),
    [anon_sym_LT] = ACTIONS(7583),
    [anon_sym_GT] = ACTIONS(7583),
    [anon_sym_BANG] = ACTIONS(7583),
    [anon_sym_PIPE] = ACTIONS(7583),
    [anon_sym_COLON] = ACTIONS(7583),
    [anon_sym_SQUOTE] = ACTIONS(7583),
    [anon_sym__] = ACTIONS(7585),
    [anon_sym_CARET] = ACTIONS(7585),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7585),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7585),
    [anon_sym_DOLLAR] = ACTIONS(7583),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7585),
    [anon_sym_BSLASHleft] = ACTIONS(7583),
    [anon_sym_BSLASHbigl] = ACTIONS(7583),
    [anon_sym_BSLASHBigl] = ACTIONS(7583),
    [anon_sym_BSLASHbiggl] = ACTIONS(7583),
    [anon_sym_BSLASHBiggl] = ACTIONS(7583),
    [anon_sym_BSLASHtext] = ACTIONS(7583),
    [anon_sym_BSLASHintertext] = ACTIONS(7583),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7583),
    [anon_sym_BSLASHbegin] = ACTIONS(7583),
    [anon_sym_BSLASHend] = ACTIONS(7583),
    [anon_sym_BSLASHtitle] = ACTIONS(7583),
    [anon_sym_BSLASHauthor] = ACTIONS(7583),
    [anon_sym_BSLASHusepackage] = ACTIONS(7583),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7583),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7583),
    [anon_sym_BSLASHinclude] = ACTIONS(7583),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7583),
    [anon_sym_BSLASHinput] = ACTIONS(7583),
    [anon_sym_BSLASHsubfile] = ACTIONS(7583),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7583),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7583),
    [anon_sym_BSLASHbibliography] = ACTIONS(7583),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7583),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7583),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7583),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7583),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7583),
    [anon_sym_BSLASHimport] = ACTIONS(7583),
    [anon_sym_BSLASHsubimport] = ACTIONS(7583),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7583),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7583),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7583),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7583),
    [anon_sym_BSLASHcaption] = ACTIONS(7583),
    [anon_sym_BSLASHcite] = ACTIONS(7583),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCite] = ACTIONS(7583),
    [anon_sym_BSLASHnocite] = ACTIONS(7583),
    [anon_sym_BSLASHcitet] = ACTIONS(7583),
    [anon_sym_BSLASHcitep] = ACTIONS(7583),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteA] = ACTIONS(7583),
    [anon_sym_BSLASHciteR] = ACTIONS(7583),
    [anon_sym_BSLASHciteS] = ACTIONS(7583),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7583),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7583),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7583),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7583),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteyear] = ACTIONS(7583),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitedate] = ACTIONS(7583),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteurl] = ACTIONS(7583),
    [anon_sym_BSLASHfullcite] = ACTIONS(7583),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7583),
    [anon_sym_BSLASHcitealt] = ACTIONS(7583),
    [anon_sym_BSLASHcitealp] = ACTIONS(7583),
    [anon_sym_BSLASHcitetext] = ACTIONS(7583),
    [anon_sym_BSLASHparencite] = ACTIONS(7583),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHParencite] = ACTIONS(7583),
    [anon_sym_BSLASHfootcite] = ACTIONS(7583),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7583),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7583),
    [anon_sym_BSLASHtextcite] = ACTIONS(7583),
    [anon_sym_BSLASHTextcite] = ACTIONS(7583),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7583),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7583),
    [anon_sym_BSLASHsupercite] = ACTIONS(7583),
    [anon_sym_BSLASHautocite] = ACTIONS(7583),
    [anon_sym_BSLASHAutocite] = ACTIONS(7583),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHVolcite] = ACTIONS(7583),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHavolcite] = ACTIONS(7583),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHNotecite] = ACTIONS(7583),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHlabel] = ACTIONS(7583),
    [anon_sym_BSLASHref] = ACTIONS(7583),
    [anon_sym_BSLASHeqref] = ACTIONS(7583),
    [anon_sym_BSLASHvref] = ACTIONS(7583),
    [anon_sym_BSLASHVref] = ACTIONS(7583),
    [anon_sym_BSLASHautoref] = ACTIONS(7583),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHpageref] = ACTIONS(7583),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHautopageref] = ACTIONS(7583),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcref] = ACTIONS(7583),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCref] = ACTIONS(7583),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcpageref] = ACTIONS(7583),
    [anon_sym_BSLASHCpageref] = ACTIONS(7583),
    [anon_sym_BSLASHnamecref] = ACTIONS(7583),
    [anon_sym_BSLASHnameCref] = ACTIONS(7583),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7583),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7583),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7583),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7583),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7583),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7583),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7583),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7583),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7583),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7583),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7583),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHdef] = ACTIONS(7583),
    [anon_sym_BSLASHgdef] = ACTIONS(7583),
    [anon_sym_BSLASHedef] = ACTIONS(7583),
    [anon_sym_BSLASHxdef] = ACTIONS(7583),
    [anon_sym_BSLASHlet] = ACTIONS(7583),
    [anon_sym_BSLASHglet] = ACTIONS(7583),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7583),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7583),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7583),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7583),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7583),
    [anon_sym_BSLASHgls] = ACTIONS(7583),
    [anon_sym_BSLASHGls] = ACTIONS(7583),
    [anon_sym_BSLASHGLS] = ACTIONS(7583),
    [anon_sym_BSLASHglspl] = ACTIONS(7583),
    [anon_sym_BSLASHGlspl] = ACTIONS(7583),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7583),
    [anon_sym_BSLASHglslink] = ACTIONS(7583),
    [anon_sym_BSLASHglstext] = ACTIONS(7583),
    [anon_sym_BSLASHGlstext] = ACTIONS(7583),
    [anon_sym_BSLASHGLStext] = ACTIONS(7583),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7583),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7583),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7583),
    [anon_sym_BSLASHglsplural] = ACTIONS(7583),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7583),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7583),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHglsname] = ACTIONS(7583),
    [anon_sym_BSLASHGlsname] = ACTIONS(7583),
    [anon_sym_BSLASHGLSname] = ACTIONS(7583),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7583),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7583),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7583),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7583),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7583),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7583),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7583),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7583),
    [anon_sym_BSLASHacrshort] = ACTIONS(7583),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7583),
    [anon_sym_BSLASHACRshort] = ACTIONS(7583),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHacrlong] = ACTIONS(7583),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7583),
    [anon_sym_BSLASHACRlong] = ACTIONS(7583),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHacrfull] = ACTIONS(7583),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7583),
    [anon_sym_BSLASHACRfull] = ACTIONS(7583),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHacs] = ACTIONS(7583),
    [anon_sym_BSLASHAcs] = ACTIONS(7583),
    [anon_sym_BSLASHacsp] = ACTIONS(7583),
    [anon_sym_BSLASHAcsp] = ACTIONS(7583),
    [anon_sym_BSLASHacl] = ACTIONS(7583),
    [anon_sym_BSLASHAcl] = ACTIONS(7583),
    [anon_sym_BSLASHaclp] = ACTIONS(7583),
    [anon_sym_BSLASHAclp] = ACTIONS(7583),
    [anon_sym_BSLASHacf] = ACTIONS(7583),
    [anon_sym_BSLASHAcf] = ACTIONS(7583),
    [anon_sym_BSLASHacfp] = ACTIONS(7583),
    [anon_sym_BSLASHAcfp] = ACTIONS(7583),
    [anon_sym_BSLASHac] = ACTIONS(7583),
    [anon_sym_BSLASHAc] = ACTIONS(7583),
    [anon_sym_BSLASHacp] = ACTIONS(7583),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7583),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7583),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7583),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7583),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7583),
    [anon_sym_BSLASHcolor] = ACTIONS(7583),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7583),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7583),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7583),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7583),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7583),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7583),
    [anon_sym_BSLASHurl] = ACTIONS(7583),
    [anon_sym_BSLASHhref] = ACTIONS(7583),
  },
  [1747] = {
    [sym_command_name] = ACTIONS(7587),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7587),
    [anon_sym_LBRACK] = ACTIONS(7589),
    [anon_sym_RBRACK] = ACTIONS(7589),
    [anon_sym_COMMA] = ACTIONS(7589),
    [anon_sym_EQ] = ACTIONS(7589),
    [anon_sym_LPAREN] = ACTIONS(7589),
    [anon_sym_RPAREN] = ACTIONS(7589),
    [anon_sym_LBRACE] = ACTIONS(7589),
    [sym_word] = ACTIONS(7587),
    [sym_placeholder] = ACTIONS(7589),
    [sym_delimiter] = ACTIONS(7589),
    [anon_sym_PLUS] = ACTIONS(7589),
    [anon_sym_DASH] = ACTIONS(7589),
    [anon_sym_STAR] = ACTIONS(7589),
    [anon_sym_SLASH] = ACTIONS(7589),
    [anon_sym_LT] = ACTIONS(7587),
    [anon_sym_GT] = ACTIONS(7587),
    [anon_sym_BANG] = ACTIONS(7587),
    [anon_sym_PIPE] = ACTIONS(7587),
    [anon_sym_COLON] = ACTIONS(7587),
    [anon_sym_SQUOTE] = ACTIONS(7587),
    [anon_sym__] = ACTIONS(7589),
    [anon_sym_CARET] = ACTIONS(7589),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7589),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7589),
    [anon_sym_DOLLAR] = ACTIONS(7587),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7589),
    [anon_sym_BSLASHleft] = ACTIONS(7587),
    [anon_sym_BSLASHbigl] = ACTIONS(7587),
    [anon_sym_BSLASHBigl] = ACTIONS(7587),
    [anon_sym_BSLASHbiggl] = ACTIONS(7587),
    [anon_sym_BSLASHBiggl] = ACTIONS(7587),
    [anon_sym_BSLASHtext] = ACTIONS(7587),
    [anon_sym_BSLASHintertext] = ACTIONS(7587),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7587),
    [anon_sym_BSLASHbegin] = ACTIONS(7587),
    [anon_sym_BSLASHend] = ACTIONS(7587),
    [anon_sym_BSLASHtitle] = ACTIONS(7587),
    [anon_sym_BSLASHauthor] = ACTIONS(7587),
    [anon_sym_BSLASHusepackage] = ACTIONS(7587),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7587),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7587),
    [anon_sym_BSLASHinclude] = ACTIONS(7587),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7587),
    [anon_sym_BSLASHinput] = ACTIONS(7587),
    [anon_sym_BSLASHsubfile] = ACTIONS(7587),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7587),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7587),
    [anon_sym_BSLASHbibliography] = ACTIONS(7587),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7587),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7587),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7587),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7587),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7587),
    [anon_sym_BSLASHimport] = ACTIONS(7587),
    [anon_sym_BSLASHsubimport] = ACTIONS(7587),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7587),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7587),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7587),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7587),
    [anon_sym_BSLASHcaption] = ACTIONS(7587),
    [anon_sym_BSLASHcite] = ACTIONS(7587),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCite] = ACTIONS(7587),
    [anon_sym_BSLASHnocite] = ACTIONS(7587),
    [anon_sym_BSLASHcitet] = ACTIONS(7587),
    [anon_sym_BSLASHcitep] = ACTIONS(7587),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteA] = ACTIONS(7587),
    [anon_sym_BSLASHciteR] = ACTIONS(7587),
    [anon_sym_BSLASHciteS] = ACTIONS(7587),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7587),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7587),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7587),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7587),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteyear] = ACTIONS(7587),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitedate] = ACTIONS(7587),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteurl] = ACTIONS(7587),
    [anon_sym_BSLASHfullcite] = ACTIONS(7587),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7587),
    [anon_sym_BSLASHcitealt] = ACTIONS(7587),
    [anon_sym_BSLASHcitealp] = ACTIONS(7587),
    [anon_sym_BSLASHcitetext] = ACTIONS(7587),
    [anon_sym_BSLASHparencite] = ACTIONS(7587),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHParencite] = ACTIONS(7587),
    [anon_sym_BSLASHfootcite] = ACTIONS(7587),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7587),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7587),
    [anon_sym_BSLASHtextcite] = ACTIONS(7587),
    [anon_sym_BSLASHTextcite] = ACTIONS(7587),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7587),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7587),
    [anon_sym_BSLASHsupercite] = ACTIONS(7587),
    [anon_sym_BSLASHautocite] = ACTIONS(7587),
    [anon_sym_BSLASHAutocite] = ACTIONS(7587),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHVolcite] = ACTIONS(7587),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHavolcite] = ACTIONS(7587),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHNotecite] = ACTIONS(7587),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHlabel] = ACTIONS(7587),
    [anon_sym_BSLASHref] = ACTIONS(7587),
    [anon_sym_BSLASHeqref] = ACTIONS(7587),
    [anon_sym_BSLASHvref] = ACTIONS(7587),
    [anon_sym_BSLASHVref] = ACTIONS(7587),
    [anon_sym_BSLASHautoref] = ACTIONS(7587),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHpageref] = ACTIONS(7587),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHautopageref] = ACTIONS(7587),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcref] = ACTIONS(7587),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCref] = ACTIONS(7587),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcpageref] = ACTIONS(7587),
    [anon_sym_BSLASHCpageref] = ACTIONS(7587),
    [anon_sym_BSLASHnamecref] = ACTIONS(7587),
    [anon_sym_BSLASHnameCref] = ACTIONS(7587),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7587),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7587),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7587),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7587),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7587),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7587),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7587),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7587),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7587),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7587),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7587),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHdef] = ACTIONS(7587),
    [anon_sym_BSLASHgdef] = ACTIONS(7587),
    [anon_sym_BSLASHedef] = ACTIONS(7587),
    [anon_sym_BSLASHxdef] = ACTIONS(7587),
    [anon_sym_BSLASHlet] = ACTIONS(7587),
    [anon_sym_BSLASHglet] = ACTIONS(7587),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7587),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7587),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7587),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7587),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7587),
    [anon_sym_BSLASHgls] = ACTIONS(7587),
    [anon_sym_BSLASHGls] = ACTIONS(7587),
    [anon_sym_BSLASHGLS] = ACTIONS(7587),
    [anon_sym_BSLASHglspl] = ACTIONS(7587),
    [anon_sym_BSLASHGlspl] = ACTIONS(7587),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7587),
    [anon_sym_BSLASHglslink] = ACTIONS(7587),
    [anon_sym_BSLASHglstext] = ACTIONS(7587),
    [anon_sym_BSLASHGlstext] = ACTIONS(7587),
    [anon_sym_BSLASHGLStext] = ACTIONS(7587),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7587),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7587),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7587),
    [anon_sym_BSLASHglsplural] = ACTIONS(7587),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7587),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7587),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHglsname] = ACTIONS(7587),
    [anon_sym_BSLASHGlsname] = ACTIONS(7587),
    [anon_sym_BSLASHGLSname] = ACTIONS(7587),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7587),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7587),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7587),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7587),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7587),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7587),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7587),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7587),
    [anon_sym_BSLASHacrshort] = ACTIONS(7587),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7587),
    [anon_sym_BSLASHACRshort] = ACTIONS(7587),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHacrlong] = ACTIONS(7587),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7587),
    [anon_sym_BSLASHACRlong] = ACTIONS(7587),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHacrfull] = ACTIONS(7587),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7587),
    [anon_sym_BSLASHACRfull] = ACTIONS(7587),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHacs] = ACTIONS(7587),
    [anon_sym_BSLASHAcs] = ACTIONS(7587),
    [anon_sym_BSLASHacsp] = ACTIONS(7587),
    [anon_sym_BSLASHAcsp] = ACTIONS(7587),
    [anon_sym_BSLASHacl] = ACTIONS(7587),
    [anon_sym_BSLASHAcl] = ACTIONS(7587),
    [anon_sym_BSLASHaclp] = ACTIONS(7587),
    [anon_sym_BSLASHAclp] = ACTIONS(7587),
    [anon_sym_BSLASHacf] = ACTIONS(7587),
    [anon_sym_BSLASHAcf] = ACTIONS(7587),
    [anon_sym_BSLASHacfp] = ACTIONS(7587),
    [anon_sym_BSLASHAcfp] = ACTIONS(7587),
    [anon_sym_BSLASHac] = ACTIONS(7587),
    [anon_sym_BSLASHAc] = ACTIONS(7587),
    [anon_sym_BSLASHacp] = ACTIONS(7587),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7587),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7587),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7587),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7587),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7587),
    [anon_sym_BSLASHcolor] = ACTIONS(7587),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7587),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7587),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7587),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7587),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7587),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7587),
    [anon_sym_BSLASHurl] = ACTIONS(7587),
    [anon_sym_BSLASHhref] = ACTIONS(7587),
  },
  [1748] = {
    [sym_command_name] = ACTIONS(7591),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7591),
    [anon_sym_LBRACK] = ACTIONS(7593),
    [anon_sym_RBRACK] = ACTIONS(7593),
    [anon_sym_COMMA] = ACTIONS(7593),
    [anon_sym_EQ] = ACTIONS(7593),
    [anon_sym_LPAREN] = ACTIONS(7593),
    [anon_sym_RPAREN] = ACTIONS(7593),
    [anon_sym_LBRACE] = ACTIONS(7593),
    [sym_word] = ACTIONS(7591),
    [sym_placeholder] = ACTIONS(7593),
    [sym_delimiter] = ACTIONS(7593),
    [anon_sym_PLUS] = ACTIONS(7593),
    [anon_sym_DASH] = ACTIONS(7593),
    [anon_sym_STAR] = ACTIONS(7593),
    [anon_sym_SLASH] = ACTIONS(7593),
    [anon_sym_LT] = ACTIONS(7591),
    [anon_sym_GT] = ACTIONS(7591),
    [anon_sym_BANG] = ACTIONS(7591),
    [anon_sym_PIPE] = ACTIONS(7591),
    [anon_sym_COLON] = ACTIONS(7591),
    [anon_sym_SQUOTE] = ACTIONS(7591),
    [anon_sym__] = ACTIONS(7593),
    [anon_sym_CARET] = ACTIONS(7593),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7593),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7593),
    [anon_sym_DOLLAR] = ACTIONS(7591),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7593),
    [anon_sym_BSLASHleft] = ACTIONS(7591),
    [anon_sym_BSLASHbigl] = ACTIONS(7591),
    [anon_sym_BSLASHBigl] = ACTIONS(7591),
    [anon_sym_BSLASHbiggl] = ACTIONS(7591),
    [anon_sym_BSLASHBiggl] = ACTIONS(7591),
    [anon_sym_BSLASHtext] = ACTIONS(7591),
    [anon_sym_BSLASHintertext] = ACTIONS(7591),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7591),
    [anon_sym_BSLASHbegin] = ACTIONS(7591),
    [anon_sym_BSLASHend] = ACTIONS(7591),
    [anon_sym_BSLASHtitle] = ACTIONS(7591),
    [anon_sym_BSLASHauthor] = ACTIONS(7591),
    [anon_sym_BSLASHusepackage] = ACTIONS(7591),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7591),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7591),
    [anon_sym_BSLASHinclude] = ACTIONS(7591),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7591),
    [anon_sym_BSLASHinput] = ACTIONS(7591),
    [anon_sym_BSLASHsubfile] = ACTIONS(7591),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7591),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7591),
    [anon_sym_BSLASHbibliography] = ACTIONS(7591),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7591),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7591),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7591),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7591),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7591),
    [anon_sym_BSLASHimport] = ACTIONS(7591),
    [anon_sym_BSLASHsubimport] = ACTIONS(7591),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7591),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7591),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7591),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7591),
    [anon_sym_BSLASHcaption] = ACTIONS(7591),
    [anon_sym_BSLASHcite] = ACTIONS(7591),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCite] = ACTIONS(7591),
    [anon_sym_BSLASHnocite] = ACTIONS(7591),
    [anon_sym_BSLASHcitet] = ACTIONS(7591),
    [anon_sym_BSLASHcitep] = ACTIONS(7591),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteA] = ACTIONS(7591),
    [anon_sym_BSLASHciteR] = ACTIONS(7591),
    [anon_sym_BSLASHciteS] = ACTIONS(7591),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7591),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7591),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7591),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7591),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteyear] = ACTIONS(7591),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitedate] = ACTIONS(7591),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteurl] = ACTIONS(7591),
    [anon_sym_BSLASHfullcite] = ACTIONS(7591),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7591),
    [anon_sym_BSLASHcitealt] = ACTIONS(7591),
    [anon_sym_BSLASHcitealp] = ACTIONS(7591),
    [anon_sym_BSLASHcitetext] = ACTIONS(7591),
    [anon_sym_BSLASHparencite] = ACTIONS(7591),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHParencite] = ACTIONS(7591),
    [anon_sym_BSLASHfootcite] = ACTIONS(7591),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7591),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7591),
    [anon_sym_BSLASHtextcite] = ACTIONS(7591),
    [anon_sym_BSLASHTextcite] = ACTIONS(7591),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7591),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7591),
    [anon_sym_BSLASHsupercite] = ACTIONS(7591),
    [anon_sym_BSLASHautocite] = ACTIONS(7591),
    [anon_sym_BSLASHAutocite] = ACTIONS(7591),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHVolcite] = ACTIONS(7591),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHavolcite] = ACTIONS(7591),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHNotecite] = ACTIONS(7591),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHlabel] = ACTIONS(7591),
    [anon_sym_BSLASHref] = ACTIONS(7591),
    [anon_sym_BSLASHeqref] = ACTIONS(7591),
    [anon_sym_BSLASHvref] = ACTIONS(7591),
    [anon_sym_BSLASHVref] = ACTIONS(7591),
    [anon_sym_BSLASHautoref] = ACTIONS(7591),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHpageref] = ACTIONS(7591),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHautopageref] = ACTIONS(7591),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcref] = ACTIONS(7591),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCref] = ACTIONS(7591),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcpageref] = ACTIONS(7591),
    [anon_sym_BSLASHCpageref] = ACTIONS(7591),
    [anon_sym_BSLASHnamecref] = ACTIONS(7591),
    [anon_sym_BSLASHnameCref] = ACTIONS(7591),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7591),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7591),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7591),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7591),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7591),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7591),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7591),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7591),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7591),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7591),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7591),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHdef] = ACTIONS(7591),
    [anon_sym_BSLASHgdef] = ACTIONS(7591),
    [anon_sym_BSLASHedef] = ACTIONS(7591),
    [anon_sym_BSLASHxdef] = ACTIONS(7591),
    [anon_sym_BSLASHlet] = ACTIONS(7591),
    [anon_sym_BSLASHglet] = ACTIONS(7591),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7591),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7591),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7591),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7591),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7591),
    [anon_sym_BSLASHgls] = ACTIONS(7591),
    [anon_sym_BSLASHGls] = ACTIONS(7591),
    [anon_sym_BSLASHGLS] = ACTIONS(7591),
    [anon_sym_BSLASHglspl] = ACTIONS(7591),
    [anon_sym_BSLASHGlspl] = ACTIONS(7591),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7591),
    [anon_sym_BSLASHglslink] = ACTIONS(7591),
    [anon_sym_BSLASHglstext] = ACTIONS(7591),
    [anon_sym_BSLASHGlstext] = ACTIONS(7591),
    [anon_sym_BSLASHGLStext] = ACTIONS(7591),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7591),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7591),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7591),
    [anon_sym_BSLASHglsplural] = ACTIONS(7591),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7591),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7591),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHglsname] = ACTIONS(7591),
    [anon_sym_BSLASHGlsname] = ACTIONS(7591),
    [anon_sym_BSLASHGLSname] = ACTIONS(7591),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7591),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7591),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7591),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7591),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7591),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7591),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7591),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7591),
    [anon_sym_BSLASHacrshort] = ACTIONS(7591),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7591),
    [anon_sym_BSLASHACRshort] = ACTIONS(7591),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHacrlong] = ACTIONS(7591),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7591),
    [anon_sym_BSLASHACRlong] = ACTIONS(7591),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHacrfull] = ACTIONS(7591),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7591),
    [anon_sym_BSLASHACRfull] = ACTIONS(7591),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHacs] = ACTIONS(7591),
    [anon_sym_BSLASHAcs] = ACTIONS(7591),
    [anon_sym_BSLASHacsp] = ACTIONS(7591),
    [anon_sym_BSLASHAcsp] = ACTIONS(7591),
    [anon_sym_BSLASHacl] = ACTIONS(7591),
    [anon_sym_BSLASHAcl] = ACTIONS(7591),
    [anon_sym_BSLASHaclp] = ACTIONS(7591),
    [anon_sym_BSLASHAclp] = ACTIONS(7591),
    [anon_sym_BSLASHacf] = ACTIONS(7591),
    [anon_sym_BSLASHAcf] = ACTIONS(7591),
    [anon_sym_BSLASHacfp] = ACTIONS(7591),
    [anon_sym_BSLASHAcfp] = ACTIONS(7591),
    [anon_sym_BSLASHac] = ACTIONS(7591),
    [anon_sym_BSLASHAc] = ACTIONS(7591),
    [anon_sym_BSLASHacp] = ACTIONS(7591),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7591),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7591),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7591),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7591),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7591),
    [anon_sym_BSLASHcolor] = ACTIONS(7591),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7591),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7591),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7591),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7591),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7591),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7591),
    [anon_sym_BSLASHurl] = ACTIONS(7591),
    [anon_sym_BSLASHhref] = ACTIONS(7591),
  },
  [1749] = {
    [sym_command_name] = ACTIONS(7315),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7315),
    [anon_sym_LBRACK] = ACTIONS(7317),
    [anon_sym_RBRACK] = ACTIONS(7317),
    [anon_sym_COMMA] = ACTIONS(7317),
    [anon_sym_EQ] = ACTIONS(7317),
    [anon_sym_LPAREN] = ACTIONS(7317),
    [anon_sym_RPAREN] = ACTIONS(7317),
    [anon_sym_LBRACE] = ACTIONS(7317),
    [sym_word] = ACTIONS(7315),
    [sym_placeholder] = ACTIONS(7317),
    [sym_delimiter] = ACTIONS(7317),
    [anon_sym_PLUS] = ACTIONS(7317),
    [anon_sym_DASH] = ACTIONS(7317),
    [anon_sym_STAR] = ACTIONS(7317),
    [anon_sym_SLASH] = ACTIONS(7317),
    [anon_sym_LT] = ACTIONS(7315),
    [anon_sym_GT] = ACTIONS(7315),
    [anon_sym_BANG] = ACTIONS(7315),
    [anon_sym_PIPE] = ACTIONS(7315),
    [anon_sym_COLON] = ACTIONS(7315),
    [anon_sym_SQUOTE] = ACTIONS(7315),
    [anon_sym__] = ACTIONS(7317),
    [anon_sym_CARET] = ACTIONS(7317),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7317),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7317),
    [anon_sym_DOLLAR] = ACTIONS(7315),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7317),
    [anon_sym_BSLASHleft] = ACTIONS(7315),
    [anon_sym_BSLASHbigl] = ACTIONS(7315),
    [anon_sym_BSLASHBigl] = ACTIONS(7315),
    [anon_sym_BSLASHbiggl] = ACTIONS(7315),
    [anon_sym_BSLASHBiggl] = ACTIONS(7315),
    [anon_sym_BSLASHtext] = ACTIONS(7315),
    [anon_sym_BSLASHintertext] = ACTIONS(7315),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7315),
    [anon_sym_BSLASHbegin] = ACTIONS(7315),
    [anon_sym_BSLASHend] = ACTIONS(7315),
    [anon_sym_BSLASHtitle] = ACTIONS(7315),
    [anon_sym_BSLASHauthor] = ACTIONS(7315),
    [anon_sym_BSLASHusepackage] = ACTIONS(7315),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7315),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7315),
    [anon_sym_BSLASHinclude] = ACTIONS(7315),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7315),
    [anon_sym_BSLASHinput] = ACTIONS(7315),
    [anon_sym_BSLASHsubfile] = ACTIONS(7315),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7315),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7315),
    [anon_sym_BSLASHbibliography] = ACTIONS(7315),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7315),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7315),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7315),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7315),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7315),
    [anon_sym_BSLASHimport] = ACTIONS(7315),
    [anon_sym_BSLASHsubimport] = ACTIONS(7315),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7315),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7315),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7315),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7315),
    [anon_sym_BSLASHcaption] = ACTIONS(7315),
    [anon_sym_BSLASHcite] = ACTIONS(7315),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCite] = ACTIONS(7315),
    [anon_sym_BSLASHnocite] = ACTIONS(7315),
    [anon_sym_BSLASHcitet] = ACTIONS(7315),
    [anon_sym_BSLASHcitep] = ACTIONS(7315),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteA] = ACTIONS(7315),
    [anon_sym_BSLASHciteR] = ACTIONS(7315),
    [anon_sym_BSLASHciteS] = ACTIONS(7315),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7315),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7315),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7315),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7315),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteyear] = ACTIONS(7315),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitedate] = ACTIONS(7315),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteurl] = ACTIONS(7315),
    [anon_sym_BSLASHfullcite] = ACTIONS(7315),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7315),
    [anon_sym_BSLASHcitealt] = ACTIONS(7315),
    [anon_sym_BSLASHcitealp] = ACTIONS(7315),
    [anon_sym_BSLASHcitetext] = ACTIONS(7315),
    [anon_sym_BSLASHparencite] = ACTIONS(7315),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHParencite] = ACTIONS(7315),
    [anon_sym_BSLASHfootcite] = ACTIONS(7315),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7315),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7315),
    [anon_sym_BSLASHtextcite] = ACTIONS(7315),
    [anon_sym_BSLASHTextcite] = ACTIONS(7315),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7315),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7315),
    [anon_sym_BSLASHsupercite] = ACTIONS(7315),
    [anon_sym_BSLASHautocite] = ACTIONS(7315),
    [anon_sym_BSLASHAutocite] = ACTIONS(7315),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHVolcite] = ACTIONS(7315),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHavolcite] = ACTIONS(7315),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHNotecite] = ACTIONS(7315),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHlabel] = ACTIONS(7315),
    [anon_sym_BSLASHref] = ACTIONS(7315),
    [anon_sym_BSLASHeqref] = ACTIONS(7315),
    [anon_sym_BSLASHvref] = ACTIONS(7315),
    [anon_sym_BSLASHVref] = ACTIONS(7315),
    [anon_sym_BSLASHautoref] = ACTIONS(7315),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHpageref] = ACTIONS(7315),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHautopageref] = ACTIONS(7315),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcref] = ACTIONS(7315),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCref] = ACTIONS(7315),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcpageref] = ACTIONS(7315),
    [anon_sym_BSLASHCpageref] = ACTIONS(7315),
    [anon_sym_BSLASHnamecref] = ACTIONS(7315),
    [anon_sym_BSLASHnameCref] = ACTIONS(7315),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7315),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7315),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7315),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7315),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7315),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7315),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7315),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7315),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7315),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7315),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7315),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHdef] = ACTIONS(7315),
    [anon_sym_BSLASHgdef] = ACTIONS(7315),
    [anon_sym_BSLASHedef] = ACTIONS(7315),
    [anon_sym_BSLASHxdef] = ACTIONS(7315),
    [anon_sym_BSLASHlet] = ACTIONS(7315),
    [anon_sym_BSLASHglet] = ACTIONS(7315),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7315),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7315),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7315),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7315),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7315),
    [anon_sym_BSLASHgls] = ACTIONS(7315),
    [anon_sym_BSLASHGls] = ACTIONS(7315),
    [anon_sym_BSLASHGLS] = ACTIONS(7315),
    [anon_sym_BSLASHglspl] = ACTIONS(7315),
    [anon_sym_BSLASHGlspl] = ACTIONS(7315),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7315),
    [anon_sym_BSLASHglslink] = ACTIONS(7315),
    [anon_sym_BSLASHglstext] = ACTIONS(7315),
    [anon_sym_BSLASHGlstext] = ACTIONS(7315),
    [anon_sym_BSLASHGLStext] = ACTIONS(7315),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7315),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7315),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7315),
    [anon_sym_BSLASHglsplural] = ACTIONS(7315),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7315),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7315),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHglsname] = ACTIONS(7315),
    [anon_sym_BSLASHGlsname] = ACTIONS(7315),
    [anon_sym_BSLASHGLSname] = ACTIONS(7315),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7315),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7315),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7315),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7315),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7315),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7315),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7315),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7315),
    [anon_sym_BSLASHacrshort] = ACTIONS(7315),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7315),
    [anon_sym_BSLASHACRshort] = ACTIONS(7315),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHacrlong] = ACTIONS(7315),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7315),
    [anon_sym_BSLASHACRlong] = ACTIONS(7315),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHacrfull] = ACTIONS(7315),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7315),
    [anon_sym_BSLASHACRfull] = ACTIONS(7315),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHacs] = ACTIONS(7315),
    [anon_sym_BSLASHAcs] = ACTIONS(7315),
    [anon_sym_BSLASHacsp] = ACTIONS(7315),
    [anon_sym_BSLASHAcsp] = ACTIONS(7315),
    [anon_sym_BSLASHacl] = ACTIONS(7315),
    [anon_sym_BSLASHAcl] = ACTIONS(7315),
    [anon_sym_BSLASHaclp] = ACTIONS(7315),
    [anon_sym_BSLASHAclp] = ACTIONS(7315),
    [anon_sym_BSLASHacf] = ACTIONS(7315),
    [anon_sym_BSLASHAcf] = ACTIONS(7315),
    [anon_sym_BSLASHacfp] = ACTIONS(7315),
    [anon_sym_BSLASHAcfp] = ACTIONS(7315),
    [anon_sym_BSLASHac] = ACTIONS(7315),
    [anon_sym_BSLASHAc] = ACTIONS(7315),
    [anon_sym_BSLASHacp] = ACTIONS(7315),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7315),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7315),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7315),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7315),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7315),
    [anon_sym_BSLASHcolor] = ACTIONS(7315),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7315),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7315),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7315),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7315),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7315),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7315),
    [anon_sym_BSLASHurl] = ACTIONS(7315),
    [anon_sym_BSLASHhref] = ACTIONS(7315),
  },
  [1750] = {
    [sym_command_name] = ACTIONS(7071),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7071),
    [anon_sym_LBRACK] = ACTIONS(7073),
    [anon_sym_RBRACK] = ACTIONS(7073),
    [anon_sym_COMMA] = ACTIONS(7073),
    [anon_sym_EQ] = ACTIONS(7073),
    [anon_sym_LPAREN] = ACTIONS(7073),
    [anon_sym_RPAREN] = ACTIONS(7073),
    [anon_sym_LBRACE] = ACTIONS(7073),
    [sym_word] = ACTIONS(7071),
    [sym_placeholder] = ACTIONS(7073),
    [sym_delimiter] = ACTIONS(7073),
    [anon_sym_PLUS] = ACTIONS(7073),
    [anon_sym_DASH] = ACTIONS(7073),
    [anon_sym_STAR] = ACTIONS(7073),
    [anon_sym_SLASH] = ACTIONS(7073),
    [anon_sym_LT] = ACTIONS(7071),
    [anon_sym_GT] = ACTIONS(7071),
    [anon_sym_BANG] = ACTIONS(7071),
    [anon_sym_PIPE] = ACTIONS(7071),
    [anon_sym_COLON] = ACTIONS(7071),
    [anon_sym_SQUOTE] = ACTIONS(7071),
    [anon_sym__] = ACTIONS(7073),
    [anon_sym_CARET] = ACTIONS(7073),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7073),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7073),
    [anon_sym_DOLLAR] = ACTIONS(7071),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7073),
    [anon_sym_BSLASHleft] = ACTIONS(7071),
    [anon_sym_BSLASHbigl] = ACTIONS(7071),
    [anon_sym_BSLASHBigl] = ACTIONS(7071),
    [anon_sym_BSLASHbiggl] = ACTIONS(7071),
    [anon_sym_BSLASHBiggl] = ACTIONS(7071),
    [anon_sym_BSLASHtext] = ACTIONS(7071),
    [anon_sym_BSLASHintertext] = ACTIONS(7071),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7071),
    [anon_sym_BSLASHbegin] = ACTIONS(7071),
    [anon_sym_BSLASHend] = ACTIONS(7071),
    [anon_sym_BSLASHtitle] = ACTIONS(7071),
    [anon_sym_BSLASHauthor] = ACTIONS(7071),
    [anon_sym_BSLASHusepackage] = ACTIONS(7071),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7071),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7071),
    [anon_sym_BSLASHinclude] = ACTIONS(7071),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7071),
    [anon_sym_BSLASHinput] = ACTIONS(7071),
    [anon_sym_BSLASHsubfile] = ACTIONS(7071),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7071),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7071),
    [anon_sym_BSLASHbibliography] = ACTIONS(7071),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7071),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7071),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7071),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7071),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7071),
    [anon_sym_BSLASHimport] = ACTIONS(7071),
    [anon_sym_BSLASHsubimport] = ACTIONS(7071),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7071),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7071),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7071),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7071),
    [anon_sym_BSLASHcaption] = ACTIONS(7071),
    [anon_sym_BSLASHcite] = ACTIONS(7071),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHCite] = ACTIONS(7071),
    [anon_sym_BSLASHnocite] = ACTIONS(7071),
    [anon_sym_BSLASHcitet] = ACTIONS(7071),
    [anon_sym_BSLASHcitep] = ACTIONS(7071),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHciteA] = ACTIONS(7071),
    [anon_sym_BSLASHciteR] = ACTIONS(7071),
    [anon_sym_BSLASHciteS] = ACTIONS(7071),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7071),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7071),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7071),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7071),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHciteyear] = ACTIONS(7071),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcitedate] = ACTIONS(7071),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHciteurl] = ACTIONS(7071),
    [anon_sym_BSLASHfullcite] = ACTIONS(7071),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7071),
    [anon_sym_BSLASHcitealt] = ACTIONS(7071),
    [anon_sym_BSLASHcitealp] = ACTIONS(7071),
    [anon_sym_BSLASHcitetext] = ACTIONS(7071),
    [anon_sym_BSLASHparencite] = ACTIONS(7071),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHParencite] = ACTIONS(7071),
    [anon_sym_BSLASHfootcite] = ACTIONS(7071),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7071),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7071),
    [anon_sym_BSLASHtextcite] = ACTIONS(7071),
    [anon_sym_BSLASHTextcite] = ACTIONS(7071),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7071),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7071),
    [anon_sym_BSLASHsupercite] = ACTIONS(7071),
    [anon_sym_BSLASHautocite] = ACTIONS(7071),
    [anon_sym_BSLASHAutocite] = ACTIONS(7071),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHVolcite] = ACTIONS(7071),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHavolcite] = ACTIONS(7071),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHnotecite] = ACTIONS(7071),
    [anon_sym_BSLASHNotecite] = ACTIONS(7071),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7071),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7071),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7071),
    [anon_sym_BSLASHlabel] = ACTIONS(7071),
    [anon_sym_BSLASHref] = ACTIONS(7071),
    [anon_sym_BSLASHeqref] = ACTIONS(7071),
    [anon_sym_BSLASHvref] = ACTIONS(7071),
    [anon_sym_BSLASHVref] = ACTIONS(7071),
    [anon_sym_BSLASHautoref] = ACTIONS(7071),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHpageref] = ACTIONS(7071),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHautopageref] = ACTIONS(7071),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcref] = ACTIONS(7071),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHCref] = ACTIONS(7071),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcpageref] = ACTIONS(7071),
    [anon_sym_BSLASHCpageref] = ACTIONS(7071),
    [anon_sym_BSLASHnamecref] = ACTIONS(7071),
    [anon_sym_BSLASHnameCref] = ACTIONS(7071),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7071),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7071),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7071),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7071),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7071),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7071),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7071),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7071),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7071),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7071),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7071),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7071),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7071),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7071),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7071),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7071),
    [anon_sym_BSLASHdef] = ACTIONS(7071),
    [anon_sym_BSLASHgdef] = ACTIONS(7071),
    [anon_sym_BSLASHedef] = ACTIONS(7071),
    [anon_sym_BSLASHxdef] = ACTIONS(7071),
    [anon_sym_BSLASHlet] = ACTIONS(7071),
    [anon_sym_BSLASHglet] = ACTIONS(7071),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7071),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7071),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7071),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7071),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7071),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7071),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7071),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7071),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7071),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7071),
    [anon_sym_BSLASHgls] = ACTIONS(7071),
    [anon_sym_BSLASHGls] = ACTIONS(7071),
    [anon_sym_BSLASHGLS] = ACTIONS(7071),
    [anon_sym_BSLASHglspl] = ACTIONS(7071),
    [anon_sym_BSLASHGlspl] = ACTIONS(7071),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7071),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7071),
    [anon_sym_BSLASHglslink] = ACTIONS(7071),
    [anon_sym_BSLASHglstext] = ACTIONS(7071),
    [anon_sym_BSLASHGlstext] = ACTIONS(7071),
    [anon_sym_BSLASHGLStext] = ACTIONS(7071),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7071),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7071),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7071),
    [anon_sym_BSLASHglsplural] = ACTIONS(7071),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7071),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7071),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7071),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7071),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7071),
    [anon_sym_BSLASHglsname] = ACTIONS(7071),
    [anon_sym_BSLASHGlsname] = ACTIONS(7071),
    [anon_sym_BSLASHGLSname] = ACTIONS(7071),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7071),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7071),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7071),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7071),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7071),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7071),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7071),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7071),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7071),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7071),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7071),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7071),
    [anon_sym_BSLASHacrshort] = ACTIONS(7071),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7071),
    [anon_sym_BSLASHACRshort] = ACTIONS(7071),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHacrlong] = ACTIONS(7071),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7071),
    [anon_sym_BSLASHACRlong] = ACTIONS(7071),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7071),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7071),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7071),
    [anon_sym_BSLASHacrfull] = ACTIONS(7071),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7071),
    [anon_sym_BSLASHACRfull] = ACTIONS(7071),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHacs] = ACTIONS(7071),
    [anon_sym_BSLASHAcs] = ACTIONS(7071),
    [anon_sym_BSLASHacsp] = ACTIONS(7071),
    [anon_sym_BSLASHAcsp] = ACTIONS(7071),
    [anon_sym_BSLASHacl] = ACTIONS(7071),
    [anon_sym_BSLASHAcl] = ACTIONS(7071),
    [anon_sym_BSLASHaclp] = ACTIONS(7071),
    [anon_sym_BSLASHAclp] = ACTIONS(7071),
    [anon_sym_BSLASHacf] = ACTIONS(7071),
    [anon_sym_BSLASHAcf] = ACTIONS(7071),
    [anon_sym_BSLASHacfp] = ACTIONS(7071),
    [anon_sym_BSLASHAcfp] = ACTIONS(7071),
    [anon_sym_BSLASHac] = ACTIONS(7071),
    [anon_sym_BSLASHAc] = ACTIONS(7071),
    [anon_sym_BSLASHacp] = ACTIONS(7071),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7071),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7071),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7071),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7071),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7071),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7071),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7071),
    [anon_sym_BSLASHcolor] = ACTIONS(7071),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7071),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7071),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7071),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7071),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7071),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7071),
    [anon_sym_BSLASHurl] = ACTIONS(7071),
    [anon_sym_BSLASHhref] = ACTIONS(7071),
  },
  [1751] = {
    [sym_command_name] = ACTIONS(7375),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7375),
    [anon_sym_LBRACK] = ACTIONS(7377),
    [anon_sym_RBRACK] = ACTIONS(7377),
    [anon_sym_COMMA] = ACTIONS(7377),
    [anon_sym_EQ] = ACTIONS(7377),
    [anon_sym_LPAREN] = ACTIONS(7377),
    [anon_sym_RPAREN] = ACTIONS(7377),
    [anon_sym_LBRACE] = ACTIONS(7377),
    [sym_word] = ACTIONS(7375),
    [sym_placeholder] = ACTIONS(7377),
    [sym_delimiter] = ACTIONS(7377),
    [anon_sym_PLUS] = ACTIONS(7377),
    [anon_sym_DASH] = ACTIONS(7377),
    [anon_sym_STAR] = ACTIONS(7377),
    [anon_sym_SLASH] = ACTIONS(7377),
    [anon_sym_LT] = ACTIONS(7375),
    [anon_sym_GT] = ACTIONS(7375),
    [anon_sym_BANG] = ACTIONS(7375),
    [anon_sym_PIPE] = ACTIONS(7375),
    [anon_sym_COLON] = ACTIONS(7375),
    [anon_sym_SQUOTE] = ACTIONS(7375),
    [anon_sym__] = ACTIONS(7377),
    [anon_sym_CARET] = ACTIONS(7377),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7377),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7377),
    [anon_sym_DOLLAR] = ACTIONS(7375),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7377),
    [anon_sym_BSLASHleft] = ACTIONS(7375),
    [anon_sym_BSLASHbigl] = ACTIONS(7375),
    [anon_sym_BSLASHBigl] = ACTIONS(7375),
    [anon_sym_BSLASHbiggl] = ACTIONS(7375),
    [anon_sym_BSLASHBiggl] = ACTIONS(7375),
    [anon_sym_BSLASHtext] = ACTIONS(7375),
    [anon_sym_BSLASHintertext] = ACTIONS(7375),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7375),
    [anon_sym_BSLASHbegin] = ACTIONS(7375),
    [anon_sym_BSLASHend] = ACTIONS(7375),
    [anon_sym_BSLASHtitle] = ACTIONS(7375),
    [anon_sym_BSLASHauthor] = ACTIONS(7375),
    [anon_sym_BSLASHusepackage] = ACTIONS(7375),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7375),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7375),
    [anon_sym_BSLASHinclude] = ACTIONS(7375),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7375),
    [anon_sym_BSLASHinput] = ACTIONS(7375),
    [anon_sym_BSLASHsubfile] = ACTIONS(7375),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7375),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7375),
    [anon_sym_BSLASHbibliography] = ACTIONS(7375),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7375),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7375),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7375),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7375),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7375),
    [anon_sym_BSLASHimport] = ACTIONS(7375),
    [anon_sym_BSLASHsubimport] = ACTIONS(7375),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7375),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7375),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7375),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7375),
    [anon_sym_BSLASHcaption] = ACTIONS(7375),
    [anon_sym_BSLASHcite] = ACTIONS(7375),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCite] = ACTIONS(7375),
    [anon_sym_BSLASHnocite] = ACTIONS(7375),
    [anon_sym_BSLASHcitet] = ACTIONS(7375),
    [anon_sym_BSLASHcitep] = ACTIONS(7375),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteA] = ACTIONS(7375),
    [anon_sym_BSLASHciteR] = ACTIONS(7375),
    [anon_sym_BSLASHciteS] = ACTIONS(7375),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7375),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7375),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7375),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7375),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteyear] = ACTIONS(7375),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitedate] = ACTIONS(7375),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteurl] = ACTIONS(7375),
    [anon_sym_BSLASHfullcite] = ACTIONS(7375),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7375),
    [anon_sym_BSLASHcitealt] = ACTIONS(7375),
    [anon_sym_BSLASHcitealp] = ACTIONS(7375),
    [anon_sym_BSLASHcitetext] = ACTIONS(7375),
    [anon_sym_BSLASHparencite] = ACTIONS(7375),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHParencite] = ACTIONS(7375),
    [anon_sym_BSLASHfootcite] = ACTIONS(7375),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7375),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7375),
    [anon_sym_BSLASHtextcite] = ACTIONS(7375),
    [anon_sym_BSLASHTextcite] = ACTIONS(7375),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7375),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7375),
    [anon_sym_BSLASHsupercite] = ACTIONS(7375),
    [anon_sym_BSLASHautocite] = ACTIONS(7375),
    [anon_sym_BSLASHAutocite] = ACTIONS(7375),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHVolcite] = ACTIONS(7375),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHavolcite] = ACTIONS(7375),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHNotecite] = ACTIONS(7375),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHlabel] = ACTIONS(7375),
    [anon_sym_BSLASHref] = ACTIONS(7375),
    [anon_sym_BSLASHeqref] = ACTIONS(7375),
    [anon_sym_BSLASHvref] = ACTIONS(7375),
    [anon_sym_BSLASHVref] = ACTIONS(7375),
    [anon_sym_BSLASHautoref] = ACTIONS(7375),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHpageref] = ACTIONS(7375),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHautopageref] = ACTIONS(7375),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcref] = ACTIONS(7375),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCref] = ACTIONS(7375),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcpageref] = ACTIONS(7375),
    [anon_sym_BSLASHCpageref] = ACTIONS(7375),
    [anon_sym_BSLASHnamecref] = ACTIONS(7375),
    [anon_sym_BSLASHnameCref] = ACTIONS(7375),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7375),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7375),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7375),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7375),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7375),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7375),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7375),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7375),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7375),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7375),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7375),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHdef] = ACTIONS(7375),
    [anon_sym_BSLASHgdef] = ACTIONS(7375),
    [anon_sym_BSLASHedef] = ACTIONS(7375),
    [anon_sym_BSLASHxdef] = ACTIONS(7375),
    [anon_sym_BSLASHlet] = ACTIONS(7375),
    [anon_sym_BSLASHglet] = ACTIONS(7375),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7375),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7375),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7375),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7375),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7375),
    [anon_sym_BSLASHgls] = ACTIONS(7375),
    [anon_sym_BSLASHGls] = ACTIONS(7375),
    [anon_sym_BSLASHGLS] = ACTIONS(7375),
    [anon_sym_BSLASHglspl] = ACTIONS(7375),
    [anon_sym_BSLASHGlspl] = ACTIONS(7375),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7375),
    [anon_sym_BSLASHglslink] = ACTIONS(7375),
    [anon_sym_BSLASHglstext] = ACTIONS(7375),
    [anon_sym_BSLASHGlstext] = ACTIONS(7375),
    [anon_sym_BSLASHGLStext] = ACTIONS(7375),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7375),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7375),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7375),
    [anon_sym_BSLASHglsplural] = ACTIONS(7375),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7375),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7375),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHglsname] = ACTIONS(7375),
    [anon_sym_BSLASHGlsname] = ACTIONS(7375),
    [anon_sym_BSLASHGLSname] = ACTIONS(7375),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7375),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7375),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7375),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7375),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7375),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7375),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7375),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7375),
    [anon_sym_BSLASHacrshort] = ACTIONS(7375),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7375),
    [anon_sym_BSLASHACRshort] = ACTIONS(7375),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHacrlong] = ACTIONS(7375),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7375),
    [anon_sym_BSLASHACRlong] = ACTIONS(7375),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHacrfull] = ACTIONS(7375),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7375),
    [anon_sym_BSLASHACRfull] = ACTIONS(7375),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHacs] = ACTIONS(7375),
    [anon_sym_BSLASHAcs] = ACTIONS(7375),
    [anon_sym_BSLASHacsp] = ACTIONS(7375),
    [anon_sym_BSLASHAcsp] = ACTIONS(7375),
    [anon_sym_BSLASHacl] = ACTIONS(7375),
    [anon_sym_BSLASHAcl] = ACTIONS(7375),
    [anon_sym_BSLASHaclp] = ACTIONS(7375),
    [anon_sym_BSLASHAclp] = ACTIONS(7375),
    [anon_sym_BSLASHacf] = ACTIONS(7375),
    [anon_sym_BSLASHAcf] = ACTIONS(7375),
    [anon_sym_BSLASHacfp] = ACTIONS(7375),
    [anon_sym_BSLASHAcfp] = ACTIONS(7375),
    [anon_sym_BSLASHac] = ACTIONS(7375),
    [anon_sym_BSLASHAc] = ACTIONS(7375),
    [anon_sym_BSLASHacp] = ACTIONS(7375),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7375),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7375),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7375),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7375),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7375),
    [anon_sym_BSLASHcolor] = ACTIONS(7375),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7375),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7375),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7375),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7375),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7375),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7375),
    [anon_sym_BSLASHurl] = ACTIONS(7375),
    [anon_sym_BSLASHhref] = ACTIONS(7375),
  },
  [1752] = {
    [sym_command_name] = ACTIONS(6911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6911),
    [anon_sym_BSLASHfi] = ACTIONS(7840),
    [anon_sym_LBRACK] = ACTIONS(6915),
    [anon_sym_RBRACK] = ACTIONS(6915),
    [anon_sym_COMMA] = ACTIONS(6915),
    [anon_sym_EQ] = ACTIONS(6915),
    [anon_sym_LPAREN] = ACTIONS(6915),
    [anon_sym_RPAREN] = ACTIONS(6915),
    [anon_sym_LBRACE] = ACTIONS(6915),
    [sym_word] = ACTIONS(6911),
    [sym_placeholder] = ACTIONS(6915),
    [sym_delimiter] = ACTIONS(6915),
    [anon_sym_PLUS] = ACTIONS(6915),
    [anon_sym_DASH] = ACTIONS(6915),
    [anon_sym_STAR] = ACTIONS(6915),
    [anon_sym_SLASH] = ACTIONS(6915),
    [anon_sym_LT] = ACTIONS(6911),
    [anon_sym_GT] = ACTIONS(6911),
    [anon_sym_BANG] = ACTIONS(6911),
    [anon_sym_PIPE] = ACTIONS(6911),
    [anon_sym_COLON] = ACTIONS(6911),
    [anon_sym_SQUOTE] = ACTIONS(6911),
    [anon_sym__] = ACTIONS(6915),
    [anon_sym_CARET] = ACTIONS(6915),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6915),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6915),
    [anon_sym_DOLLAR] = ACTIONS(6911),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6915),
    [anon_sym_BSLASHleft] = ACTIONS(6911),
    [anon_sym_BSLASHbigl] = ACTIONS(6911),
    [anon_sym_BSLASHBigl] = ACTIONS(6911),
    [anon_sym_BSLASHbiggl] = ACTIONS(6911),
    [anon_sym_BSLASHBiggl] = ACTIONS(6911),
    [anon_sym_BSLASHtext] = ACTIONS(6911),
    [anon_sym_BSLASHintertext] = ACTIONS(6911),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6911),
    [anon_sym_BSLASHbegin] = ACTIONS(6911),
    [anon_sym_BSLASHtitle] = ACTIONS(6911),
    [anon_sym_BSLASHauthor] = ACTIONS(6911),
    [anon_sym_BSLASHusepackage] = ACTIONS(6911),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6911),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6911),
    [anon_sym_BSLASHinclude] = ACTIONS(6911),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6911),
    [anon_sym_BSLASHinput] = ACTIONS(6911),
    [anon_sym_BSLASHsubfile] = ACTIONS(6911),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6911),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6911),
    [anon_sym_BSLASHbibliography] = ACTIONS(6911),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6911),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6911),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6911),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6911),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6911),
    [anon_sym_BSLASHimport] = ACTIONS(6911),
    [anon_sym_BSLASHsubimport] = ACTIONS(6911),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6911),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6911),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6911),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6911),
    [anon_sym_BSLASHcaption] = ACTIONS(6911),
    [anon_sym_BSLASHcite] = ACTIONS(6911),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCite] = ACTIONS(6911),
    [anon_sym_BSLASHnocite] = ACTIONS(6911),
    [anon_sym_BSLASHcitet] = ACTIONS(6911),
    [anon_sym_BSLASHcitep] = ACTIONS(6911),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteA] = ACTIONS(6911),
    [anon_sym_BSLASHciteR] = ACTIONS(6911),
    [anon_sym_BSLASHciteS] = ACTIONS(6911),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6911),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6911),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6911),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6911),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteyear] = ACTIONS(6911),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitedate] = ACTIONS(6911),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteurl] = ACTIONS(6911),
    [anon_sym_BSLASHfullcite] = ACTIONS(6911),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6911),
    [anon_sym_BSLASHcitealt] = ACTIONS(6911),
    [anon_sym_BSLASHcitealp] = ACTIONS(6911),
    [anon_sym_BSLASHcitetext] = ACTIONS(6911),
    [anon_sym_BSLASHparencite] = ACTIONS(6911),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHParencite] = ACTIONS(6911),
    [anon_sym_BSLASHfootcite] = ACTIONS(6911),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6911),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6911),
    [anon_sym_BSLASHtextcite] = ACTIONS(6911),
    [anon_sym_BSLASHTextcite] = ACTIONS(6911),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6911),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6911),
    [anon_sym_BSLASHsupercite] = ACTIONS(6911),
    [anon_sym_BSLASHautocite] = ACTIONS(6911),
    [anon_sym_BSLASHAutocite] = ACTIONS(6911),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHVolcite] = ACTIONS(6911),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHavolcite] = ACTIONS(6911),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHNotecite] = ACTIONS(6911),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHlabel] = ACTIONS(6911),
    [anon_sym_BSLASHref] = ACTIONS(6911),
    [anon_sym_BSLASHeqref] = ACTIONS(6911),
    [anon_sym_BSLASHvref] = ACTIONS(6911),
    [anon_sym_BSLASHVref] = ACTIONS(6911),
    [anon_sym_BSLASHautoref] = ACTIONS(6911),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHpageref] = ACTIONS(6911),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHautopageref] = ACTIONS(6911),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcref] = ACTIONS(6911),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCref] = ACTIONS(6911),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcpageref] = ACTIONS(6911),
    [anon_sym_BSLASHCpageref] = ACTIONS(6911),
    [anon_sym_BSLASHnamecref] = ACTIONS(6911),
    [anon_sym_BSLASHnameCref] = ACTIONS(6911),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6911),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6911),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6911),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6911),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6911),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6911),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6911),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6911),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6911),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6911),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6911),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHdef] = ACTIONS(6911),
    [anon_sym_BSLASHgdef] = ACTIONS(6911),
    [anon_sym_BSLASHedef] = ACTIONS(6911),
    [anon_sym_BSLASHxdef] = ACTIONS(6911),
    [anon_sym_BSLASHlet] = ACTIONS(6911),
    [anon_sym_BSLASHglet] = ACTIONS(6911),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6911),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6911),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6911),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6911),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6911),
    [anon_sym_BSLASHgls] = ACTIONS(6911),
    [anon_sym_BSLASHGls] = ACTIONS(6911),
    [anon_sym_BSLASHGLS] = ACTIONS(6911),
    [anon_sym_BSLASHglspl] = ACTIONS(6911),
    [anon_sym_BSLASHGlspl] = ACTIONS(6911),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6911),
    [anon_sym_BSLASHglslink] = ACTIONS(6911),
    [anon_sym_BSLASHglstext] = ACTIONS(6911),
    [anon_sym_BSLASHGlstext] = ACTIONS(6911),
    [anon_sym_BSLASHGLStext] = ACTIONS(6911),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6911),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6911),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6911),
    [anon_sym_BSLASHglsplural] = ACTIONS(6911),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6911),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6911),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHglsname] = ACTIONS(6911),
    [anon_sym_BSLASHGlsname] = ACTIONS(6911),
    [anon_sym_BSLASHGLSname] = ACTIONS(6911),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6911),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6911),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6911),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6911),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6911),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6911),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6911),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6911),
    [anon_sym_BSLASHacrshort] = ACTIONS(6911),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6911),
    [anon_sym_BSLASHACRshort] = ACTIONS(6911),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHacrlong] = ACTIONS(6911),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6911),
    [anon_sym_BSLASHACRlong] = ACTIONS(6911),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHacrfull] = ACTIONS(6911),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6911),
    [anon_sym_BSLASHACRfull] = ACTIONS(6911),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHacs] = ACTIONS(6911),
    [anon_sym_BSLASHAcs] = ACTIONS(6911),
    [anon_sym_BSLASHacsp] = ACTIONS(6911),
    [anon_sym_BSLASHAcsp] = ACTIONS(6911),
    [anon_sym_BSLASHacl] = ACTIONS(6911),
    [anon_sym_BSLASHAcl] = ACTIONS(6911),
    [anon_sym_BSLASHaclp] = ACTIONS(6911),
    [anon_sym_BSLASHAclp] = ACTIONS(6911),
    [anon_sym_BSLASHacf] = ACTIONS(6911),
    [anon_sym_BSLASHAcf] = ACTIONS(6911),
    [anon_sym_BSLASHacfp] = ACTIONS(6911),
    [anon_sym_BSLASHAcfp] = ACTIONS(6911),
    [anon_sym_BSLASHac] = ACTIONS(6911),
    [anon_sym_BSLASHAc] = ACTIONS(6911),
    [anon_sym_BSLASHacp] = ACTIONS(6911),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6911),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6911),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6911),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6911),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6911),
    [anon_sym_BSLASHcolor] = ACTIONS(6911),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6911),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6911),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6911),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6911),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6911),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6911),
    [anon_sym_BSLASHurl] = ACTIONS(6911),
    [anon_sym_BSLASHhref] = ACTIONS(6911),
  },
  [1753] = {
    [sym_command_name] = ACTIONS(7379),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7379),
    [anon_sym_LBRACK] = ACTIONS(7381),
    [anon_sym_RBRACK] = ACTIONS(7381),
    [anon_sym_COMMA] = ACTIONS(7381),
    [anon_sym_EQ] = ACTIONS(7381),
    [anon_sym_LPAREN] = ACTIONS(7381),
    [anon_sym_RPAREN] = ACTIONS(7381),
    [anon_sym_LBRACE] = ACTIONS(7381),
    [sym_word] = ACTIONS(7379),
    [sym_placeholder] = ACTIONS(7381),
    [sym_delimiter] = ACTIONS(7381),
    [anon_sym_PLUS] = ACTIONS(7381),
    [anon_sym_DASH] = ACTIONS(7381),
    [anon_sym_STAR] = ACTIONS(7381),
    [anon_sym_SLASH] = ACTIONS(7381),
    [anon_sym_LT] = ACTIONS(7379),
    [anon_sym_GT] = ACTIONS(7379),
    [anon_sym_BANG] = ACTIONS(7379),
    [anon_sym_PIPE] = ACTIONS(7379),
    [anon_sym_COLON] = ACTIONS(7379),
    [anon_sym_SQUOTE] = ACTIONS(7379),
    [anon_sym__] = ACTIONS(7381),
    [anon_sym_CARET] = ACTIONS(7381),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7381),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7381),
    [anon_sym_DOLLAR] = ACTIONS(7379),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7381),
    [anon_sym_BSLASHleft] = ACTIONS(7379),
    [anon_sym_BSLASHbigl] = ACTIONS(7379),
    [anon_sym_BSLASHBigl] = ACTIONS(7379),
    [anon_sym_BSLASHbiggl] = ACTIONS(7379),
    [anon_sym_BSLASHBiggl] = ACTIONS(7379),
    [anon_sym_BSLASHtext] = ACTIONS(7379),
    [anon_sym_BSLASHintertext] = ACTIONS(7379),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7379),
    [anon_sym_BSLASHbegin] = ACTIONS(7379),
    [anon_sym_BSLASHend] = ACTIONS(7379),
    [anon_sym_BSLASHtitle] = ACTIONS(7379),
    [anon_sym_BSLASHauthor] = ACTIONS(7379),
    [anon_sym_BSLASHusepackage] = ACTIONS(7379),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7379),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7379),
    [anon_sym_BSLASHinclude] = ACTIONS(7379),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7379),
    [anon_sym_BSLASHinput] = ACTIONS(7379),
    [anon_sym_BSLASHsubfile] = ACTIONS(7379),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7379),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7379),
    [anon_sym_BSLASHbibliography] = ACTIONS(7379),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7379),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7379),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7379),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7379),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7379),
    [anon_sym_BSLASHimport] = ACTIONS(7379),
    [anon_sym_BSLASHsubimport] = ACTIONS(7379),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7379),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7379),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7379),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7379),
    [anon_sym_BSLASHcaption] = ACTIONS(7379),
    [anon_sym_BSLASHcite] = ACTIONS(7379),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCite] = ACTIONS(7379),
    [anon_sym_BSLASHnocite] = ACTIONS(7379),
    [anon_sym_BSLASHcitet] = ACTIONS(7379),
    [anon_sym_BSLASHcitep] = ACTIONS(7379),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteA] = ACTIONS(7379),
    [anon_sym_BSLASHciteR] = ACTIONS(7379),
    [anon_sym_BSLASHciteS] = ACTIONS(7379),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7379),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7379),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7379),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7379),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteyear] = ACTIONS(7379),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitedate] = ACTIONS(7379),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteurl] = ACTIONS(7379),
    [anon_sym_BSLASHfullcite] = ACTIONS(7379),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7379),
    [anon_sym_BSLASHcitealt] = ACTIONS(7379),
    [anon_sym_BSLASHcitealp] = ACTIONS(7379),
    [anon_sym_BSLASHcitetext] = ACTIONS(7379),
    [anon_sym_BSLASHparencite] = ACTIONS(7379),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHParencite] = ACTIONS(7379),
    [anon_sym_BSLASHfootcite] = ACTIONS(7379),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7379),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7379),
    [anon_sym_BSLASHtextcite] = ACTIONS(7379),
    [anon_sym_BSLASHTextcite] = ACTIONS(7379),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7379),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7379),
    [anon_sym_BSLASHsupercite] = ACTIONS(7379),
    [anon_sym_BSLASHautocite] = ACTIONS(7379),
    [anon_sym_BSLASHAutocite] = ACTIONS(7379),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHVolcite] = ACTIONS(7379),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHavolcite] = ACTIONS(7379),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHNotecite] = ACTIONS(7379),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHlabel] = ACTIONS(7379),
    [anon_sym_BSLASHref] = ACTIONS(7379),
    [anon_sym_BSLASHeqref] = ACTIONS(7379),
    [anon_sym_BSLASHvref] = ACTIONS(7379),
    [anon_sym_BSLASHVref] = ACTIONS(7379),
    [anon_sym_BSLASHautoref] = ACTIONS(7379),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHpageref] = ACTIONS(7379),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHautopageref] = ACTIONS(7379),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcref] = ACTIONS(7379),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCref] = ACTIONS(7379),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcpageref] = ACTIONS(7379),
    [anon_sym_BSLASHCpageref] = ACTIONS(7379),
    [anon_sym_BSLASHnamecref] = ACTIONS(7379),
    [anon_sym_BSLASHnameCref] = ACTIONS(7379),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7379),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7379),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7379),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7379),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7379),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7379),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7379),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7379),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7379),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7379),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7379),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHdef] = ACTIONS(7379),
    [anon_sym_BSLASHgdef] = ACTIONS(7379),
    [anon_sym_BSLASHedef] = ACTIONS(7379),
    [anon_sym_BSLASHxdef] = ACTIONS(7379),
    [anon_sym_BSLASHlet] = ACTIONS(7379),
    [anon_sym_BSLASHglet] = ACTIONS(7379),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7379),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7379),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7379),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7379),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7379),
    [anon_sym_BSLASHgls] = ACTIONS(7379),
    [anon_sym_BSLASHGls] = ACTIONS(7379),
    [anon_sym_BSLASHGLS] = ACTIONS(7379),
    [anon_sym_BSLASHglspl] = ACTIONS(7379),
    [anon_sym_BSLASHGlspl] = ACTIONS(7379),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7379),
    [anon_sym_BSLASHglslink] = ACTIONS(7379),
    [anon_sym_BSLASHglstext] = ACTIONS(7379),
    [anon_sym_BSLASHGlstext] = ACTIONS(7379),
    [anon_sym_BSLASHGLStext] = ACTIONS(7379),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7379),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7379),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7379),
    [anon_sym_BSLASHglsplural] = ACTIONS(7379),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7379),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7379),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHglsname] = ACTIONS(7379),
    [anon_sym_BSLASHGlsname] = ACTIONS(7379),
    [anon_sym_BSLASHGLSname] = ACTIONS(7379),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7379),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7379),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7379),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7379),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7379),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7379),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7379),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7379),
    [anon_sym_BSLASHacrshort] = ACTIONS(7379),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7379),
    [anon_sym_BSLASHACRshort] = ACTIONS(7379),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHacrlong] = ACTIONS(7379),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7379),
    [anon_sym_BSLASHACRlong] = ACTIONS(7379),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHacrfull] = ACTIONS(7379),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7379),
    [anon_sym_BSLASHACRfull] = ACTIONS(7379),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHacs] = ACTIONS(7379),
    [anon_sym_BSLASHAcs] = ACTIONS(7379),
    [anon_sym_BSLASHacsp] = ACTIONS(7379),
    [anon_sym_BSLASHAcsp] = ACTIONS(7379),
    [anon_sym_BSLASHacl] = ACTIONS(7379),
    [anon_sym_BSLASHAcl] = ACTIONS(7379),
    [anon_sym_BSLASHaclp] = ACTIONS(7379),
    [anon_sym_BSLASHAclp] = ACTIONS(7379),
    [anon_sym_BSLASHacf] = ACTIONS(7379),
    [anon_sym_BSLASHAcf] = ACTIONS(7379),
    [anon_sym_BSLASHacfp] = ACTIONS(7379),
    [anon_sym_BSLASHAcfp] = ACTIONS(7379),
    [anon_sym_BSLASHac] = ACTIONS(7379),
    [anon_sym_BSLASHAc] = ACTIONS(7379),
    [anon_sym_BSLASHacp] = ACTIONS(7379),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7379),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7379),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7379),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7379),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7379),
    [anon_sym_BSLASHcolor] = ACTIONS(7379),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7379),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7379),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7379),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7379),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7379),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7379),
    [anon_sym_BSLASHurl] = ACTIONS(7379),
    [anon_sym_BSLASHhref] = ACTIONS(7379),
  },
  [1754] = {
    [sym_command_name] = ACTIONS(7383),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7383),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_RBRACK] = ACTIONS(7385),
    [anon_sym_COMMA] = ACTIONS(7385),
    [anon_sym_EQ] = ACTIONS(7385),
    [anon_sym_LPAREN] = ACTIONS(7385),
    [anon_sym_RPAREN] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7385),
    [sym_word] = ACTIONS(7383),
    [sym_placeholder] = ACTIONS(7385),
    [sym_delimiter] = ACTIONS(7385),
    [anon_sym_PLUS] = ACTIONS(7385),
    [anon_sym_DASH] = ACTIONS(7385),
    [anon_sym_STAR] = ACTIONS(7385),
    [anon_sym_SLASH] = ACTIONS(7385),
    [anon_sym_LT] = ACTIONS(7383),
    [anon_sym_GT] = ACTIONS(7383),
    [anon_sym_BANG] = ACTIONS(7383),
    [anon_sym_PIPE] = ACTIONS(7383),
    [anon_sym_COLON] = ACTIONS(7383),
    [anon_sym_SQUOTE] = ACTIONS(7383),
    [anon_sym__] = ACTIONS(7385),
    [anon_sym_CARET] = ACTIONS(7385),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7385),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7385),
    [anon_sym_DOLLAR] = ACTIONS(7383),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7385),
    [anon_sym_BSLASHleft] = ACTIONS(7383),
    [anon_sym_BSLASHbigl] = ACTIONS(7383),
    [anon_sym_BSLASHBigl] = ACTIONS(7383),
    [anon_sym_BSLASHbiggl] = ACTIONS(7383),
    [anon_sym_BSLASHBiggl] = ACTIONS(7383),
    [anon_sym_BSLASHtext] = ACTIONS(7383),
    [anon_sym_BSLASHintertext] = ACTIONS(7383),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7383),
    [anon_sym_BSLASHbegin] = ACTIONS(7383),
    [anon_sym_BSLASHend] = ACTIONS(7383),
    [anon_sym_BSLASHtitle] = ACTIONS(7383),
    [anon_sym_BSLASHauthor] = ACTIONS(7383),
    [anon_sym_BSLASHusepackage] = ACTIONS(7383),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7383),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7383),
    [anon_sym_BSLASHinclude] = ACTIONS(7383),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7383),
    [anon_sym_BSLASHinput] = ACTIONS(7383),
    [anon_sym_BSLASHsubfile] = ACTIONS(7383),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7383),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7383),
    [anon_sym_BSLASHbibliography] = ACTIONS(7383),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7383),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7383),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7383),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7383),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7383),
    [anon_sym_BSLASHimport] = ACTIONS(7383),
    [anon_sym_BSLASHsubimport] = ACTIONS(7383),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7383),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7383),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7383),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7383),
    [anon_sym_BSLASHcaption] = ACTIONS(7383),
    [anon_sym_BSLASHcite] = ACTIONS(7383),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCite] = ACTIONS(7383),
    [anon_sym_BSLASHnocite] = ACTIONS(7383),
    [anon_sym_BSLASHcitet] = ACTIONS(7383),
    [anon_sym_BSLASHcitep] = ACTIONS(7383),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteA] = ACTIONS(7383),
    [anon_sym_BSLASHciteR] = ACTIONS(7383),
    [anon_sym_BSLASHciteS] = ACTIONS(7383),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7383),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7383),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7383),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7383),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteyear] = ACTIONS(7383),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitedate] = ACTIONS(7383),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteurl] = ACTIONS(7383),
    [anon_sym_BSLASHfullcite] = ACTIONS(7383),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7383),
    [anon_sym_BSLASHcitealt] = ACTIONS(7383),
    [anon_sym_BSLASHcitealp] = ACTIONS(7383),
    [anon_sym_BSLASHcitetext] = ACTIONS(7383),
    [anon_sym_BSLASHparencite] = ACTIONS(7383),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHParencite] = ACTIONS(7383),
    [anon_sym_BSLASHfootcite] = ACTIONS(7383),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7383),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7383),
    [anon_sym_BSLASHtextcite] = ACTIONS(7383),
    [anon_sym_BSLASHTextcite] = ACTIONS(7383),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7383),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7383),
    [anon_sym_BSLASHsupercite] = ACTIONS(7383),
    [anon_sym_BSLASHautocite] = ACTIONS(7383),
    [anon_sym_BSLASHAutocite] = ACTIONS(7383),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHVolcite] = ACTIONS(7383),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHavolcite] = ACTIONS(7383),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHNotecite] = ACTIONS(7383),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHlabel] = ACTIONS(7383),
    [anon_sym_BSLASHref] = ACTIONS(7383),
    [anon_sym_BSLASHeqref] = ACTIONS(7383),
    [anon_sym_BSLASHvref] = ACTIONS(7383),
    [anon_sym_BSLASHVref] = ACTIONS(7383),
    [anon_sym_BSLASHautoref] = ACTIONS(7383),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHpageref] = ACTIONS(7383),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHautopageref] = ACTIONS(7383),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcref] = ACTIONS(7383),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCref] = ACTIONS(7383),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcpageref] = ACTIONS(7383),
    [anon_sym_BSLASHCpageref] = ACTIONS(7383),
    [anon_sym_BSLASHnamecref] = ACTIONS(7383),
    [anon_sym_BSLASHnameCref] = ACTIONS(7383),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7383),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7383),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7383),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7383),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7383),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7383),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7383),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7383),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7383),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7383),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7383),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHdef] = ACTIONS(7383),
    [anon_sym_BSLASHgdef] = ACTIONS(7383),
    [anon_sym_BSLASHedef] = ACTIONS(7383),
    [anon_sym_BSLASHxdef] = ACTIONS(7383),
    [anon_sym_BSLASHlet] = ACTIONS(7383),
    [anon_sym_BSLASHglet] = ACTIONS(7383),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7383),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7383),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7383),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7383),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7383),
    [anon_sym_BSLASHgls] = ACTIONS(7383),
    [anon_sym_BSLASHGls] = ACTIONS(7383),
    [anon_sym_BSLASHGLS] = ACTIONS(7383),
    [anon_sym_BSLASHglspl] = ACTIONS(7383),
    [anon_sym_BSLASHGlspl] = ACTIONS(7383),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7383),
    [anon_sym_BSLASHglslink] = ACTIONS(7383),
    [anon_sym_BSLASHglstext] = ACTIONS(7383),
    [anon_sym_BSLASHGlstext] = ACTIONS(7383),
    [anon_sym_BSLASHGLStext] = ACTIONS(7383),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7383),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7383),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7383),
    [anon_sym_BSLASHglsplural] = ACTIONS(7383),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7383),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7383),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHglsname] = ACTIONS(7383),
    [anon_sym_BSLASHGlsname] = ACTIONS(7383),
    [anon_sym_BSLASHGLSname] = ACTIONS(7383),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7383),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7383),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7383),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7383),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7383),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7383),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7383),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7383),
    [anon_sym_BSLASHacrshort] = ACTIONS(7383),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7383),
    [anon_sym_BSLASHACRshort] = ACTIONS(7383),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHacrlong] = ACTIONS(7383),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7383),
    [anon_sym_BSLASHACRlong] = ACTIONS(7383),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHacrfull] = ACTIONS(7383),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7383),
    [anon_sym_BSLASHACRfull] = ACTIONS(7383),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHacs] = ACTIONS(7383),
    [anon_sym_BSLASHAcs] = ACTIONS(7383),
    [anon_sym_BSLASHacsp] = ACTIONS(7383),
    [anon_sym_BSLASHAcsp] = ACTIONS(7383),
    [anon_sym_BSLASHacl] = ACTIONS(7383),
    [anon_sym_BSLASHAcl] = ACTIONS(7383),
    [anon_sym_BSLASHaclp] = ACTIONS(7383),
    [anon_sym_BSLASHAclp] = ACTIONS(7383),
    [anon_sym_BSLASHacf] = ACTIONS(7383),
    [anon_sym_BSLASHAcf] = ACTIONS(7383),
    [anon_sym_BSLASHacfp] = ACTIONS(7383),
    [anon_sym_BSLASHAcfp] = ACTIONS(7383),
    [anon_sym_BSLASHac] = ACTIONS(7383),
    [anon_sym_BSLASHAc] = ACTIONS(7383),
    [anon_sym_BSLASHacp] = ACTIONS(7383),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7383),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7383),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7383),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7383),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7383),
    [anon_sym_BSLASHcolor] = ACTIONS(7383),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7383),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7383),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7383),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7383),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7383),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7383),
    [anon_sym_BSLASHurl] = ACTIONS(7383),
    [anon_sym_BSLASHhref] = ACTIONS(7383),
  },
  [1755] = {
    [sym_command_name] = ACTIONS(7075),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7075),
    [anon_sym_LBRACK] = ACTIONS(7077),
    [anon_sym_RBRACK] = ACTIONS(7077),
    [anon_sym_COMMA] = ACTIONS(7077),
    [anon_sym_EQ] = ACTIONS(7077),
    [anon_sym_LPAREN] = ACTIONS(7077),
    [anon_sym_RPAREN] = ACTIONS(7077),
    [anon_sym_LBRACE] = ACTIONS(7077),
    [sym_word] = ACTIONS(7075),
    [sym_placeholder] = ACTIONS(7077),
    [sym_delimiter] = ACTIONS(7077),
    [anon_sym_PLUS] = ACTIONS(7077),
    [anon_sym_DASH] = ACTIONS(7077),
    [anon_sym_STAR] = ACTIONS(7077),
    [anon_sym_SLASH] = ACTIONS(7077),
    [anon_sym_LT] = ACTIONS(7075),
    [anon_sym_GT] = ACTIONS(7075),
    [anon_sym_BANG] = ACTIONS(7075),
    [anon_sym_PIPE] = ACTIONS(7075),
    [anon_sym_COLON] = ACTIONS(7075),
    [anon_sym_SQUOTE] = ACTIONS(7075),
    [anon_sym__] = ACTIONS(7077),
    [anon_sym_CARET] = ACTIONS(7077),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7077),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7077),
    [anon_sym_DOLLAR] = ACTIONS(7075),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7077),
    [anon_sym_BSLASHleft] = ACTIONS(7075),
    [anon_sym_BSLASHbigl] = ACTIONS(7075),
    [anon_sym_BSLASHBigl] = ACTIONS(7075),
    [anon_sym_BSLASHbiggl] = ACTIONS(7075),
    [anon_sym_BSLASHBiggl] = ACTIONS(7075),
    [anon_sym_BSLASHtext] = ACTIONS(7075),
    [anon_sym_BSLASHintertext] = ACTIONS(7075),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7075),
    [anon_sym_BSLASHbegin] = ACTIONS(7075),
    [anon_sym_BSLASHend] = ACTIONS(7075),
    [anon_sym_BSLASHtitle] = ACTIONS(7075),
    [anon_sym_BSLASHauthor] = ACTIONS(7075),
    [anon_sym_BSLASHusepackage] = ACTIONS(7075),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7075),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7075),
    [anon_sym_BSLASHinclude] = ACTIONS(7075),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7075),
    [anon_sym_BSLASHinput] = ACTIONS(7075),
    [anon_sym_BSLASHsubfile] = ACTIONS(7075),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7075),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7075),
    [anon_sym_BSLASHbibliography] = ACTIONS(7075),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7075),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7075),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7075),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7075),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7075),
    [anon_sym_BSLASHimport] = ACTIONS(7075),
    [anon_sym_BSLASHsubimport] = ACTIONS(7075),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7075),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7075),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7075),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7075),
    [anon_sym_BSLASHcaption] = ACTIONS(7075),
    [anon_sym_BSLASHcite] = ACTIONS(7075),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHCite] = ACTIONS(7075),
    [anon_sym_BSLASHnocite] = ACTIONS(7075),
    [anon_sym_BSLASHcitet] = ACTIONS(7075),
    [anon_sym_BSLASHcitep] = ACTIONS(7075),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHciteA] = ACTIONS(7075),
    [anon_sym_BSLASHciteR] = ACTIONS(7075),
    [anon_sym_BSLASHciteS] = ACTIONS(7075),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7075),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7075),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7075),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7075),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHciteyear] = ACTIONS(7075),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcitedate] = ACTIONS(7075),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHciteurl] = ACTIONS(7075),
    [anon_sym_BSLASHfullcite] = ACTIONS(7075),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7075),
    [anon_sym_BSLASHcitealt] = ACTIONS(7075),
    [anon_sym_BSLASHcitealp] = ACTIONS(7075),
    [anon_sym_BSLASHcitetext] = ACTIONS(7075),
    [anon_sym_BSLASHparencite] = ACTIONS(7075),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHParencite] = ACTIONS(7075),
    [anon_sym_BSLASHfootcite] = ACTIONS(7075),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7075),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7075),
    [anon_sym_BSLASHtextcite] = ACTIONS(7075),
    [anon_sym_BSLASHTextcite] = ACTIONS(7075),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7075),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7075),
    [anon_sym_BSLASHsupercite] = ACTIONS(7075),
    [anon_sym_BSLASHautocite] = ACTIONS(7075),
    [anon_sym_BSLASHAutocite] = ACTIONS(7075),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHVolcite] = ACTIONS(7075),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHavolcite] = ACTIONS(7075),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHnotecite] = ACTIONS(7075),
    [anon_sym_BSLASHNotecite] = ACTIONS(7075),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7075),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7075),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7075),
    [anon_sym_BSLASHlabel] = ACTIONS(7075),
    [anon_sym_BSLASHref] = ACTIONS(7075),
    [anon_sym_BSLASHeqref] = ACTIONS(7075),
    [anon_sym_BSLASHvref] = ACTIONS(7075),
    [anon_sym_BSLASHVref] = ACTIONS(7075),
    [anon_sym_BSLASHautoref] = ACTIONS(7075),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHpageref] = ACTIONS(7075),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHautopageref] = ACTIONS(7075),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcref] = ACTIONS(7075),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHCref] = ACTIONS(7075),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcpageref] = ACTIONS(7075),
    [anon_sym_BSLASHCpageref] = ACTIONS(7075),
    [anon_sym_BSLASHnamecref] = ACTIONS(7075),
    [anon_sym_BSLASHnameCref] = ACTIONS(7075),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7075),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7075),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7075),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7075),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7075),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7075),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7075),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7075),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7075),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7075),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7075),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7075),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7075),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7075),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7075),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7075),
    [anon_sym_BSLASHdef] = ACTIONS(7075),
    [anon_sym_BSLASHgdef] = ACTIONS(7075),
    [anon_sym_BSLASHedef] = ACTIONS(7075),
    [anon_sym_BSLASHxdef] = ACTIONS(7075),
    [anon_sym_BSLASHlet] = ACTIONS(7075),
    [anon_sym_BSLASHglet] = ACTIONS(7075),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7075),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7075),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7075),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7075),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7075),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7075),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7075),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7075),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7075),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7075),
    [anon_sym_BSLASHgls] = ACTIONS(7075),
    [anon_sym_BSLASHGls] = ACTIONS(7075),
    [anon_sym_BSLASHGLS] = ACTIONS(7075),
    [anon_sym_BSLASHglspl] = ACTIONS(7075),
    [anon_sym_BSLASHGlspl] = ACTIONS(7075),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7075),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7075),
    [anon_sym_BSLASHglslink] = ACTIONS(7075),
    [anon_sym_BSLASHglstext] = ACTIONS(7075),
    [anon_sym_BSLASHGlstext] = ACTIONS(7075),
    [anon_sym_BSLASHGLStext] = ACTIONS(7075),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7075),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7075),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7075),
    [anon_sym_BSLASHglsplural] = ACTIONS(7075),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7075),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7075),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7075),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7075),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7075),
    [anon_sym_BSLASHglsname] = ACTIONS(7075),
    [anon_sym_BSLASHGlsname] = ACTIONS(7075),
    [anon_sym_BSLASHGLSname] = ACTIONS(7075),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7075),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7075),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7075),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7075),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7075),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7075),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7075),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7075),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7075),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7075),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7075),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7075),
    [anon_sym_BSLASHacrshort] = ACTIONS(7075),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7075),
    [anon_sym_BSLASHACRshort] = ACTIONS(7075),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHacrlong] = ACTIONS(7075),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7075),
    [anon_sym_BSLASHACRlong] = ACTIONS(7075),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7075),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7075),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7075),
    [anon_sym_BSLASHacrfull] = ACTIONS(7075),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7075),
    [anon_sym_BSLASHACRfull] = ACTIONS(7075),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHacs] = ACTIONS(7075),
    [anon_sym_BSLASHAcs] = ACTIONS(7075),
    [anon_sym_BSLASHacsp] = ACTIONS(7075),
    [anon_sym_BSLASHAcsp] = ACTIONS(7075),
    [anon_sym_BSLASHacl] = ACTIONS(7075),
    [anon_sym_BSLASHAcl] = ACTIONS(7075),
    [anon_sym_BSLASHaclp] = ACTIONS(7075),
    [anon_sym_BSLASHAclp] = ACTIONS(7075),
    [anon_sym_BSLASHacf] = ACTIONS(7075),
    [anon_sym_BSLASHAcf] = ACTIONS(7075),
    [anon_sym_BSLASHacfp] = ACTIONS(7075),
    [anon_sym_BSLASHAcfp] = ACTIONS(7075),
    [anon_sym_BSLASHac] = ACTIONS(7075),
    [anon_sym_BSLASHAc] = ACTIONS(7075),
    [anon_sym_BSLASHacp] = ACTIONS(7075),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7075),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7075),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7075),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7075),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7075),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7075),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7075),
    [anon_sym_BSLASHcolor] = ACTIONS(7075),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7075),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7075),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7075),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7075),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7075),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7075),
    [anon_sym_BSLASHurl] = ACTIONS(7075),
    [anon_sym_BSLASHhref] = ACTIONS(7075),
  },
  [1756] = {
    [sym_command_name] = ACTIONS(7079),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7079),
    [anon_sym_LBRACK] = ACTIONS(7081),
    [anon_sym_RBRACK] = ACTIONS(7081),
    [anon_sym_COMMA] = ACTIONS(7081),
    [anon_sym_EQ] = ACTIONS(7081),
    [anon_sym_LPAREN] = ACTIONS(7081),
    [anon_sym_RPAREN] = ACTIONS(7081),
    [anon_sym_LBRACE] = ACTIONS(7081),
    [sym_word] = ACTIONS(7079),
    [sym_placeholder] = ACTIONS(7081),
    [sym_delimiter] = ACTIONS(7081),
    [anon_sym_PLUS] = ACTIONS(7081),
    [anon_sym_DASH] = ACTIONS(7081),
    [anon_sym_STAR] = ACTIONS(7081),
    [anon_sym_SLASH] = ACTIONS(7081),
    [anon_sym_LT] = ACTIONS(7079),
    [anon_sym_GT] = ACTIONS(7079),
    [anon_sym_BANG] = ACTIONS(7079),
    [anon_sym_PIPE] = ACTIONS(7079),
    [anon_sym_COLON] = ACTIONS(7079),
    [anon_sym_SQUOTE] = ACTIONS(7079),
    [anon_sym__] = ACTIONS(7081),
    [anon_sym_CARET] = ACTIONS(7081),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7081),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7081),
    [anon_sym_DOLLAR] = ACTIONS(7079),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7081),
    [anon_sym_BSLASHleft] = ACTIONS(7079),
    [anon_sym_BSLASHbigl] = ACTIONS(7079),
    [anon_sym_BSLASHBigl] = ACTIONS(7079),
    [anon_sym_BSLASHbiggl] = ACTIONS(7079),
    [anon_sym_BSLASHBiggl] = ACTIONS(7079),
    [anon_sym_BSLASHtext] = ACTIONS(7079),
    [anon_sym_BSLASHintertext] = ACTIONS(7079),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7079),
    [anon_sym_BSLASHbegin] = ACTIONS(7079),
    [anon_sym_BSLASHend] = ACTIONS(7079),
    [anon_sym_BSLASHtitle] = ACTIONS(7079),
    [anon_sym_BSLASHauthor] = ACTIONS(7079),
    [anon_sym_BSLASHusepackage] = ACTIONS(7079),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7079),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7079),
    [anon_sym_BSLASHinclude] = ACTIONS(7079),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7079),
    [anon_sym_BSLASHinput] = ACTIONS(7079),
    [anon_sym_BSLASHsubfile] = ACTIONS(7079),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7079),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7079),
    [anon_sym_BSLASHbibliography] = ACTIONS(7079),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7079),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7079),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7079),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7079),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7079),
    [anon_sym_BSLASHimport] = ACTIONS(7079),
    [anon_sym_BSLASHsubimport] = ACTIONS(7079),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7079),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7079),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7079),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7079),
    [anon_sym_BSLASHcaption] = ACTIONS(7079),
    [anon_sym_BSLASHcite] = ACTIONS(7079),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHCite] = ACTIONS(7079),
    [anon_sym_BSLASHnocite] = ACTIONS(7079),
    [anon_sym_BSLASHcitet] = ACTIONS(7079),
    [anon_sym_BSLASHcitep] = ACTIONS(7079),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHciteA] = ACTIONS(7079),
    [anon_sym_BSLASHciteR] = ACTIONS(7079),
    [anon_sym_BSLASHciteS] = ACTIONS(7079),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7079),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7079),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7079),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7079),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHciteyear] = ACTIONS(7079),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcitedate] = ACTIONS(7079),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHciteurl] = ACTIONS(7079),
    [anon_sym_BSLASHfullcite] = ACTIONS(7079),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7079),
    [anon_sym_BSLASHcitealt] = ACTIONS(7079),
    [anon_sym_BSLASHcitealp] = ACTIONS(7079),
    [anon_sym_BSLASHcitetext] = ACTIONS(7079),
    [anon_sym_BSLASHparencite] = ACTIONS(7079),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHParencite] = ACTIONS(7079),
    [anon_sym_BSLASHfootcite] = ACTIONS(7079),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7079),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7079),
    [anon_sym_BSLASHtextcite] = ACTIONS(7079),
    [anon_sym_BSLASHTextcite] = ACTIONS(7079),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7079),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7079),
    [anon_sym_BSLASHsupercite] = ACTIONS(7079),
    [anon_sym_BSLASHautocite] = ACTIONS(7079),
    [anon_sym_BSLASHAutocite] = ACTIONS(7079),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHVolcite] = ACTIONS(7079),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHavolcite] = ACTIONS(7079),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHnotecite] = ACTIONS(7079),
    [anon_sym_BSLASHNotecite] = ACTIONS(7079),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7079),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7079),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7079),
    [anon_sym_BSLASHlabel] = ACTIONS(7079),
    [anon_sym_BSLASHref] = ACTIONS(7079),
    [anon_sym_BSLASHeqref] = ACTIONS(7079),
    [anon_sym_BSLASHvref] = ACTIONS(7079),
    [anon_sym_BSLASHVref] = ACTIONS(7079),
    [anon_sym_BSLASHautoref] = ACTIONS(7079),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHpageref] = ACTIONS(7079),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHautopageref] = ACTIONS(7079),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcref] = ACTIONS(7079),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHCref] = ACTIONS(7079),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcpageref] = ACTIONS(7079),
    [anon_sym_BSLASHCpageref] = ACTIONS(7079),
    [anon_sym_BSLASHnamecref] = ACTIONS(7079),
    [anon_sym_BSLASHnameCref] = ACTIONS(7079),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7079),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7079),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7079),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7079),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7079),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7079),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7079),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7079),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7079),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7079),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7079),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7079),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7079),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7079),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7079),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7079),
    [anon_sym_BSLASHdef] = ACTIONS(7079),
    [anon_sym_BSLASHgdef] = ACTIONS(7079),
    [anon_sym_BSLASHedef] = ACTIONS(7079),
    [anon_sym_BSLASHxdef] = ACTIONS(7079),
    [anon_sym_BSLASHlet] = ACTIONS(7079),
    [anon_sym_BSLASHglet] = ACTIONS(7079),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7079),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7079),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7079),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7079),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7079),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7079),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7079),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7079),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7079),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7079),
    [anon_sym_BSLASHgls] = ACTIONS(7079),
    [anon_sym_BSLASHGls] = ACTIONS(7079),
    [anon_sym_BSLASHGLS] = ACTIONS(7079),
    [anon_sym_BSLASHglspl] = ACTIONS(7079),
    [anon_sym_BSLASHGlspl] = ACTIONS(7079),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7079),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7079),
    [anon_sym_BSLASHglslink] = ACTIONS(7079),
    [anon_sym_BSLASHglstext] = ACTIONS(7079),
    [anon_sym_BSLASHGlstext] = ACTIONS(7079),
    [anon_sym_BSLASHGLStext] = ACTIONS(7079),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7079),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7079),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7079),
    [anon_sym_BSLASHglsplural] = ACTIONS(7079),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7079),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7079),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7079),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7079),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7079),
    [anon_sym_BSLASHglsname] = ACTIONS(7079),
    [anon_sym_BSLASHGlsname] = ACTIONS(7079),
    [anon_sym_BSLASHGLSname] = ACTIONS(7079),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7079),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7079),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7079),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7079),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7079),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7079),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7079),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7079),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7079),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7079),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7079),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7079),
    [anon_sym_BSLASHacrshort] = ACTIONS(7079),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7079),
    [anon_sym_BSLASHACRshort] = ACTIONS(7079),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHacrlong] = ACTIONS(7079),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7079),
    [anon_sym_BSLASHACRlong] = ACTIONS(7079),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7079),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7079),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7079),
    [anon_sym_BSLASHacrfull] = ACTIONS(7079),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7079),
    [anon_sym_BSLASHACRfull] = ACTIONS(7079),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHacs] = ACTIONS(7079),
    [anon_sym_BSLASHAcs] = ACTIONS(7079),
    [anon_sym_BSLASHacsp] = ACTIONS(7079),
    [anon_sym_BSLASHAcsp] = ACTIONS(7079),
    [anon_sym_BSLASHacl] = ACTIONS(7079),
    [anon_sym_BSLASHAcl] = ACTIONS(7079),
    [anon_sym_BSLASHaclp] = ACTIONS(7079),
    [anon_sym_BSLASHAclp] = ACTIONS(7079),
    [anon_sym_BSLASHacf] = ACTIONS(7079),
    [anon_sym_BSLASHAcf] = ACTIONS(7079),
    [anon_sym_BSLASHacfp] = ACTIONS(7079),
    [anon_sym_BSLASHAcfp] = ACTIONS(7079),
    [anon_sym_BSLASHac] = ACTIONS(7079),
    [anon_sym_BSLASHAc] = ACTIONS(7079),
    [anon_sym_BSLASHacp] = ACTIONS(7079),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7079),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7079),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7079),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7079),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7079),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7079),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7079),
    [anon_sym_BSLASHcolor] = ACTIONS(7079),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7079),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7079),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7079),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7079),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7079),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7079),
    [anon_sym_BSLASHurl] = ACTIONS(7079),
    [anon_sym_BSLASHhref] = ACTIONS(7079),
  },
  [1757] = {
    [sym_command_name] = ACTIONS(7287),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7287),
    [anon_sym_LBRACK] = ACTIONS(7289),
    [anon_sym_RBRACK] = ACTIONS(7289),
    [anon_sym_COMMA] = ACTIONS(7289),
    [anon_sym_EQ] = ACTIONS(7289),
    [anon_sym_LPAREN] = ACTIONS(7289),
    [anon_sym_RPAREN] = ACTIONS(7289),
    [anon_sym_LBRACE] = ACTIONS(7289),
    [sym_word] = ACTIONS(7287),
    [sym_placeholder] = ACTIONS(7289),
    [sym_delimiter] = ACTIONS(7289),
    [anon_sym_PLUS] = ACTIONS(7289),
    [anon_sym_DASH] = ACTIONS(7289),
    [anon_sym_STAR] = ACTIONS(7289),
    [anon_sym_SLASH] = ACTIONS(7289),
    [anon_sym_LT] = ACTIONS(7287),
    [anon_sym_GT] = ACTIONS(7287),
    [anon_sym_BANG] = ACTIONS(7287),
    [anon_sym_PIPE] = ACTIONS(7287),
    [anon_sym_COLON] = ACTIONS(7287),
    [anon_sym_SQUOTE] = ACTIONS(7287),
    [anon_sym__] = ACTIONS(7289),
    [anon_sym_CARET] = ACTIONS(7289),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7289),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7289),
    [anon_sym_DOLLAR] = ACTIONS(7287),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7289),
    [anon_sym_BSLASHleft] = ACTIONS(7287),
    [anon_sym_BSLASHbigl] = ACTIONS(7287),
    [anon_sym_BSLASHBigl] = ACTIONS(7287),
    [anon_sym_BSLASHbiggl] = ACTIONS(7287),
    [anon_sym_BSLASHBiggl] = ACTIONS(7287),
    [anon_sym_BSLASHtext] = ACTIONS(7287),
    [anon_sym_BSLASHintertext] = ACTIONS(7287),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7287),
    [anon_sym_BSLASHbegin] = ACTIONS(7287),
    [anon_sym_BSLASHend] = ACTIONS(7287),
    [anon_sym_BSLASHtitle] = ACTIONS(7287),
    [anon_sym_BSLASHauthor] = ACTIONS(7287),
    [anon_sym_BSLASHusepackage] = ACTIONS(7287),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7287),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7287),
    [anon_sym_BSLASHinclude] = ACTIONS(7287),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7287),
    [anon_sym_BSLASHinput] = ACTIONS(7287),
    [anon_sym_BSLASHsubfile] = ACTIONS(7287),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7287),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7287),
    [anon_sym_BSLASHbibliography] = ACTIONS(7287),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7287),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7287),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7287),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7287),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7287),
    [anon_sym_BSLASHimport] = ACTIONS(7287),
    [anon_sym_BSLASHsubimport] = ACTIONS(7287),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7287),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7287),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7287),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7287),
    [anon_sym_BSLASHcaption] = ACTIONS(7287),
    [anon_sym_BSLASHcite] = ACTIONS(7287),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCite] = ACTIONS(7287),
    [anon_sym_BSLASHnocite] = ACTIONS(7287),
    [anon_sym_BSLASHcitet] = ACTIONS(7287),
    [anon_sym_BSLASHcitep] = ACTIONS(7287),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteA] = ACTIONS(7287),
    [anon_sym_BSLASHciteR] = ACTIONS(7287),
    [anon_sym_BSLASHciteS] = ACTIONS(7287),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7287),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7287),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7287),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7287),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteyear] = ACTIONS(7287),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitedate] = ACTIONS(7287),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteurl] = ACTIONS(7287),
    [anon_sym_BSLASHfullcite] = ACTIONS(7287),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7287),
    [anon_sym_BSLASHcitealt] = ACTIONS(7287),
    [anon_sym_BSLASHcitealp] = ACTIONS(7287),
    [anon_sym_BSLASHcitetext] = ACTIONS(7287),
    [anon_sym_BSLASHparencite] = ACTIONS(7287),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHParencite] = ACTIONS(7287),
    [anon_sym_BSLASHfootcite] = ACTIONS(7287),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7287),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7287),
    [anon_sym_BSLASHtextcite] = ACTIONS(7287),
    [anon_sym_BSLASHTextcite] = ACTIONS(7287),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7287),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7287),
    [anon_sym_BSLASHsupercite] = ACTIONS(7287),
    [anon_sym_BSLASHautocite] = ACTIONS(7287),
    [anon_sym_BSLASHAutocite] = ACTIONS(7287),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHVolcite] = ACTIONS(7287),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHavolcite] = ACTIONS(7287),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHNotecite] = ACTIONS(7287),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHlabel] = ACTIONS(7287),
    [anon_sym_BSLASHref] = ACTIONS(7287),
    [anon_sym_BSLASHeqref] = ACTIONS(7287),
    [anon_sym_BSLASHvref] = ACTIONS(7287),
    [anon_sym_BSLASHVref] = ACTIONS(7287),
    [anon_sym_BSLASHautoref] = ACTIONS(7287),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHpageref] = ACTIONS(7287),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHautopageref] = ACTIONS(7287),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcref] = ACTIONS(7287),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCref] = ACTIONS(7287),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcpageref] = ACTIONS(7287),
    [anon_sym_BSLASHCpageref] = ACTIONS(7287),
    [anon_sym_BSLASHnamecref] = ACTIONS(7287),
    [anon_sym_BSLASHnameCref] = ACTIONS(7287),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7287),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7287),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7287),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7287),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7287),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7287),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7287),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7287),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7287),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7287),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7287),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHdef] = ACTIONS(7287),
    [anon_sym_BSLASHgdef] = ACTIONS(7287),
    [anon_sym_BSLASHedef] = ACTIONS(7287),
    [anon_sym_BSLASHxdef] = ACTIONS(7287),
    [anon_sym_BSLASHlet] = ACTIONS(7287),
    [anon_sym_BSLASHglet] = ACTIONS(7287),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7287),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7287),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7287),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7287),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7287),
    [anon_sym_BSLASHgls] = ACTIONS(7287),
    [anon_sym_BSLASHGls] = ACTIONS(7287),
    [anon_sym_BSLASHGLS] = ACTIONS(7287),
    [anon_sym_BSLASHglspl] = ACTIONS(7287),
    [anon_sym_BSLASHGlspl] = ACTIONS(7287),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7287),
    [anon_sym_BSLASHglslink] = ACTIONS(7287),
    [anon_sym_BSLASHglstext] = ACTIONS(7287),
    [anon_sym_BSLASHGlstext] = ACTIONS(7287),
    [anon_sym_BSLASHGLStext] = ACTIONS(7287),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7287),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7287),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7287),
    [anon_sym_BSLASHglsplural] = ACTIONS(7287),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7287),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7287),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHglsname] = ACTIONS(7287),
    [anon_sym_BSLASHGlsname] = ACTIONS(7287),
    [anon_sym_BSLASHGLSname] = ACTIONS(7287),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7287),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7287),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7287),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7287),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7287),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7287),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7287),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7287),
    [anon_sym_BSLASHacrshort] = ACTIONS(7287),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7287),
    [anon_sym_BSLASHACRshort] = ACTIONS(7287),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHacrlong] = ACTIONS(7287),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7287),
    [anon_sym_BSLASHACRlong] = ACTIONS(7287),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHacrfull] = ACTIONS(7287),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7287),
    [anon_sym_BSLASHACRfull] = ACTIONS(7287),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHacs] = ACTIONS(7287),
    [anon_sym_BSLASHAcs] = ACTIONS(7287),
    [anon_sym_BSLASHacsp] = ACTIONS(7287),
    [anon_sym_BSLASHAcsp] = ACTIONS(7287),
    [anon_sym_BSLASHacl] = ACTIONS(7287),
    [anon_sym_BSLASHAcl] = ACTIONS(7287),
    [anon_sym_BSLASHaclp] = ACTIONS(7287),
    [anon_sym_BSLASHAclp] = ACTIONS(7287),
    [anon_sym_BSLASHacf] = ACTIONS(7287),
    [anon_sym_BSLASHAcf] = ACTIONS(7287),
    [anon_sym_BSLASHacfp] = ACTIONS(7287),
    [anon_sym_BSLASHAcfp] = ACTIONS(7287),
    [anon_sym_BSLASHac] = ACTIONS(7287),
    [anon_sym_BSLASHAc] = ACTIONS(7287),
    [anon_sym_BSLASHacp] = ACTIONS(7287),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7287),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7287),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7287),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7287),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7287),
    [anon_sym_BSLASHcolor] = ACTIONS(7287),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7287),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7287),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7287),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7287),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7287),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7287),
    [anon_sym_BSLASHurl] = ACTIONS(7287),
    [anon_sym_BSLASHhref] = ACTIONS(7287),
  },
  [1758] = {
    [sym_curly_group] = STATE(1868),
    [sym_command_name] = ACTIONS(6947),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6949),
    [anon_sym_RBRACK] = ACTIONS(6949),
    [anon_sym_COMMA] = ACTIONS(6949),
    [anon_sym_EQ] = ACTIONS(6949),
    [anon_sym_LPAREN] = ACTIONS(6949),
    [anon_sym_RPAREN] = ACTIONS(6949),
    [anon_sym_LBRACE] = ACTIONS(3603),
    [sym_word] = ACTIONS(6947),
    [sym_placeholder] = ACTIONS(6949),
    [sym_delimiter] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6949),
    [anon_sym_DASH] = ACTIONS(6949),
    [anon_sym_STAR] = ACTIONS(6949),
    [anon_sym_SLASH] = ACTIONS(6949),
    [anon_sym_LT] = ACTIONS(6947),
    [anon_sym_GT] = ACTIONS(6947),
    [anon_sym_BANG] = ACTIONS(6947),
    [anon_sym_PIPE] = ACTIONS(6947),
    [anon_sym_COLON] = ACTIONS(6947),
    [anon_sym_SQUOTE] = ACTIONS(6947),
    [anon_sym__] = ACTIONS(6949),
    [anon_sym_CARET] = ACTIONS(6949),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6949),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6949),
    [anon_sym_DOLLAR] = ACTIONS(6947),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6949),
    [anon_sym_BSLASHleft] = ACTIONS(6947),
    [anon_sym_BSLASHbigl] = ACTIONS(6947),
    [anon_sym_BSLASHBigl] = ACTIONS(6947),
    [anon_sym_BSLASHbiggl] = ACTIONS(6947),
    [anon_sym_BSLASHBiggl] = ACTIONS(6947),
    [anon_sym_BSLASHtext] = ACTIONS(6947),
    [anon_sym_BSLASHintertext] = ACTIONS(6947),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6947),
    [anon_sym_BSLASHbegin] = ACTIONS(6947),
    [anon_sym_BSLASHtitle] = ACTIONS(6947),
    [anon_sym_BSLASHauthor] = ACTIONS(6947),
    [anon_sym_BSLASHusepackage] = ACTIONS(6947),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6947),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6947),
    [anon_sym_BSLASHinclude] = ACTIONS(6947),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6947),
    [anon_sym_BSLASHinput] = ACTIONS(6947),
    [anon_sym_BSLASHsubfile] = ACTIONS(6947),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6947),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6947),
    [anon_sym_BSLASHbibliography] = ACTIONS(6947),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6947),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6947),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6947),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6947),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6947),
    [anon_sym_BSLASHimport] = ACTIONS(6947),
    [anon_sym_BSLASHsubimport] = ACTIONS(6947),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6947),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6947),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6947),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6947),
    [anon_sym_BSLASHcaption] = ACTIONS(6947),
    [anon_sym_BSLASHcite] = ACTIONS(6947),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCite] = ACTIONS(6947),
    [anon_sym_BSLASHnocite] = ACTIONS(6947),
    [anon_sym_BSLASHcitet] = ACTIONS(6947),
    [anon_sym_BSLASHcitep] = ACTIONS(6947),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteA] = ACTIONS(6947),
    [anon_sym_BSLASHciteR] = ACTIONS(6947),
    [anon_sym_BSLASHciteS] = ACTIONS(6947),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6947),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6947),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6947),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6947),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteyear] = ACTIONS(6947),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitedate] = ACTIONS(6947),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteurl] = ACTIONS(6947),
    [anon_sym_BSLASHfullcite] = ACTIONS(6947),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6947),
    [anon_sym_BSLASHcitealt] = ACTIONS(6947),
    [anon_sym_BSLASHcitealp] = ACTIONS(6947),
    [anon_sym_BSLASHcitetext] = ACTIONS(6947),
    [anon_sym_BSLASHparencite] = ACTIONS(6947),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHParencite] = ACTIONS(6947),
    [anon_sym_BSLASHfootcite] = ACTIONS(6947),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6947),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6947),
    [anon_sym_BSLASHtextcite] = ACTIONS(6947),
    [anon_sym_BSLASHTextcite] = ACTIONS(6947),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6947),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6947),
    [anon_sym_BSLASHsupercite] = ACTIONS(6947),
    [anon_sym_BSLASHautocite] = ACTIONS(6947),
    [anon_sym_BSLASHAutocite] = ACTIONS(6947),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHVolcite] = ACTIONS(6947),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHavolcite] = ACTIONS(6947),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHNotecite] = ACTIONS(6947),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHlabel] = ACTIONS(6947),
    [anon_sym_BSLASHref] = ACTIONS(6947),
    [anon_sym_BSLASHeqref] = ACTIONS(6947),
    [anon_sym_BSLASHvref] = ACTIONS(6947),
    [anon_sym_BSLASHVref] = ACTIONS(6947),
    [anon_sym_BSLASHautoref] = ACTIONS(6947),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHpageref] = ACTIONS(6947),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHautopageref] = ACTIONS(6947),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcref] = ACTIONS(6947),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCref] = ACTIONS(6947),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcpageref] = ACTIONS(6947),
    [anon_sym_BSLASHCpageref] = ACTIONS(6947),
    [anon_sym_BSLASHnamecref] = ACTIONS(6947),
    [anon_sym_BSLASHnameCref] = ACTIONS(6947),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6947),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6947),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6947),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6947),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6947),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6947),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6947),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6947),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6947),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6947),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6947),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHdef] = ACTIONS(6947),
    [anon_sym_BSLASHgdef] = ACTIONS(6947),
    [anon_sym_BSLASHedef] = ACTIONS(6947),
    [anon_sym_BSLASHxdef] = ACTIONS(6947),
    [anon_sym_BSLASHlet] = ACTIONS(6947),
    [anon_sym_BSLASHglet] = ACTIONS(6947),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6947),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6947),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6947),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6947),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6947),
    [anon_sym_BSLASHgls] = ACTIONS(6947),
    [anon_sym_BSLASHGls] = ACTIONS(6947),
    [anon_sym_BSLASHGLS] = ACTIONS(6947),
    [anon_sym_BSLASHglspl] = ACTIONS(6947),
    [anon_sym_BSLASHGlspl] = ACTIONS(6947),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6947),
    [anon_sym_BSLASHglslink] = ACTIONS(6947),
    [anon_sym_BSLASHglstext] = ACTIONS(6947),
    [anon_sym_BSLASHGlstext] = ACTIONS(6947),
    [anon_sym_BSLASHGLStext] = ACTIONS(6947),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6947),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6947),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6947),
    [anon_sym_BSLASHglsplural] = ACTIONS(6947),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6947),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6947),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHglsname] = ACTIONS(6947),
    [anon_sym_BSLASHGlsname] = ACTIONS(6947),
    [anon_sym_BSLASHGLSname] = ACTIONS(6947),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6947),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6947),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6947),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6947),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6947),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6947),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6947),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6947),
    [anon_sym_BSLASHacrshort] = ACTIONS(6947),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6947),
    [anon_sym_BSLASHACRshort] = ACTIONS(6947),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHacrlong] = ACTIONS(6947),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6947),
    [anon_sym_BSLASHACRlong] = ACTIONS(6947),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHacrfull] = ACTIONS(6947),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6947),
    [anon_sym_BSLASHACRfull] = ACTIONS(6947),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHacs] = ACTIONS(6947),
    [anon_sym_BSLASHAcs] = ACTIONS(6947),
    [anon_sym_BSLASHacsp] = ACTIONS(6947),
    [anon_sym_BSLASHAcsp] = ACTIONS(6947),
    [anon_sym_BSLASHacl] = ACTIONS(6947),
    [anon_sym_BSLASHAcl] = ACTIONS(6947),
    [anon_sym_BSLASHaclp] = ACTIONS(6947),
    [anon_sym_BSLASHAclp] = ACTIONS(6947),
    [anon_sym_BSLASHacf] = ACTIONS(6947),
    [anon_sym_BSLASHAcf] = ACTIONS(6947),
    [anon_sym_BSLASHacfp] = ACTIONS(6947),
    [anon_sym_BSLASHAcfp] = ACTIONS(6947),
    [anon_sym_BSLASHac] = ACTIONS(6947),
    [anon_sym_BSLASHAc] = ACTIONS(6947),
    [anon_sym_BSLASHacp] = ACTIONS(6947),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6947),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6947),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6947),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6947),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6947),
    [anon_sym_BSLASHcolor] = ACTIONS(6947),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6947),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6947),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6947),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6947),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6947),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6947),
    [anon_sym_BSLASHurl] = ACTIONS(6947),
    [anon_sym_BSLASHhref] = ACTIONS(6947),
  },
  [1759] = {
    [sym_curly_group] = STATE(1869),
    [sym_command_name] = ACTIONS(6943),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6943),
    [anon_sym_LBRACK] = ACTIONS(6945),
    [anon_sym_RBRACK] = ACTIONS(6945),
    [anon_sym_COMMA] = ACTIONS(6945),
    [anon_sym_EQ] = ACTIONS(6945),
    [anon_sym_LPAREN] = ACTIONS(6945),
    [anon_sym_RPAREN] = ACTIONS(6945),
    [anon_sym_LBRACE] = ACTIONS(3603),
    [sym_word] = ACTIONS(6943),
    [sym_placeholder] = ACTIONS(6945),
    [sym_delimiter] = ACTIONS(6945),
    [anon_sym_PLUS] = ACTIONS(6945),
    [anon_sym_DASH] = ACTIONS(6945),
    [anon_sym_STAR] = ACTIONS(6945),
    [anon_sym_SLASH] = ACTIONS(6945),
    [anon_sym_LT] = ACTIONS(6943),
    [anon_sym_GT] = ACTIONS(6943),
    [anon_sym_BANG] = ACTIONS(6943),
    [anon_sym_PIPE] = ACTIONS(6943),
    [anon_sym_COLON] = ACTIONS(6943),
    [anon_sym_SQUOTE] = ACTIONS(6943),
    [anon_sym__] = ACTIONS(6945),
    [anon_sym_CARET] = ACTIONS(6945),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6945),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6945),
    [anon_sym_DOLLAR] = ACTIONS(6943),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6945),
    [anon_sym_BSLASHleft] = ACTIONS(6943),
    [anon_sym_BSLASHbigl] = ACTIONS(6943),
    [anon_sym_BSLASHBigl] = ACTIONS(6943),
    [anon_sym_BSLASHbiggl] = ACTIONS(6943),
    [anon_sym_BSLASHBiggl] = ACTIONS(6943),
    [anon_sym_BSLASHtext] = ACTIONS(6943),
    [anon_sym_BSLASHintertext] = ACTIONS(6943),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6943),
    [anon_sym_BSLASHbegin] = ACTIONS(6943),
    [anon_sym_BSLASHtitle] = ACTIONS(6943),
    [anon_sym_BSLASHauthor] = ACTIONS(6943),
    [anon_sym_BSLASHusepackage] = ACTIONS(6943),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6943),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6943),
    [anon_sym_BSLASHinclude] = ACTIONS(6943),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6943),
    [anon_sym_BSLASHinput] = ACTIONS(6943),
    [anon_sym_BSLASHsubfile] = ACTIONS(6943),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6943),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6943),
    [anon_sym_BSLASHbibliography] = ACTIONS(6943),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6943),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6943),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6943),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6943),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6943),
    [anon_sym_BSLASHimport] = ACTIONS(6943),
    [anon_sym_BSLASHsubimport] = ACTIONS(6943),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6943),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6943),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6943),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6943),
    [anon_sym_BSLASHcaption] = ACTIONS(6943),
    [anon_sym_BSLASHcite] = ACTIONS(6943),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCite] = ACTIONS(6943),
    [anon_sym_BSLASHnocite] = ACTIONS(6943),
    [anon_sym_BSLASHcitet] = ACTIONS(6943),
    [anon_sym_BSLASHcitep] = ACTIONS(6943),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteA] = ACTIONS(6943),
    [anon_sym_BSLASHciteR] = ACTIONS(6943),
    [anon_sym_BSLASHciteS] = ACTIONS(6943),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6943),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6943),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6943),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6943),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteyear] = ACTIONS(6943),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitedate] = ACTIONS(6943),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteurl] = ACTIONS(6943),
    [anon_sym_BSLASHfullcite] = ACTIONS(6943),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6943),
    [anon_sym_BSLASHcitealt] = ACTIONS(6943),
    [anon_sym_BSLASHcitealp] = ACTIONS(6943),
    [anon_sym_BSLASHcitetext] = ACTIONS(6943),
    [anon_sym_BSLASHparencite] = ACTIONS(6943),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHParencite] = ACTIONS(6943),
    [anon_sym_BSLASHfootcite] = ACTIONS(6943),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6943),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6943),
    [anon_sym_BSLASHtextcite] = ACTIONS(6943),
    [anon_sym_BSLASHTextcite] = ACTIONS(6943),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6943),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6943),
    [anon_sym_BSLASHsupercite] = ACTIONS(6943),
    [anon_sym_BSLASHautocite] = ACTIONS(6943),
    [anon_sym_BSLASHAutocite] = ACTIONS(6943),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHVolcite] = ACTIONS(6943),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHavolcite] = ACTIONS(6943),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHNotecite] = ACTIONS(6943),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHlabel] = ACTIONS(6943),
    [anon_sym_BSLASHref] = ACTIONS(6943),
    [anon_sym_BSLASHeqref] = ACTIONS(6943),
    [anon_sym_BSLASHvref] = ACTIONS(6943),
    [anon_sym_BSLASHVref] = ACTIONS(6943),
    [anon_sym_BSLASHautoref] = ACTIONS(6943),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHpageref] = ACTIONS(6943),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHautopageref] = ACTIONS(6943),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcref] = ACTIONS(6943),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCref] = ACTIONS(6943),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcpageref] = ACTIONS(6943),
    [anon_sym_BSLASHCpageref] = ACTIONS(6943),
    [anon_sym_BSLASHnamecref] = ACTIONS(6943),
    [anon_sym_BSLASHnameCref] = ACTIONS(6943),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6943),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6943),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6943),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6943),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6943),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6943),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6943),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6943),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6943),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6943),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6943),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHdef] = ACTIONS(6943),
    [anon_sym_BSLASHgdef] = ACTIONS(6943),
    [anon_sym_BSLASHedef] = ACTIONS(6943),
    [anon_sym_BSLASHxdef] = ACTIONS(6943),
    [anon_sym_BSLASHlet] = ACTIONS(6943),
    [anon_sym_BSLASHglet] = ACTIONS(6943),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6943),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6943),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6943),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6943),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6943),
    [anon_sym_BSLASHgls] = ACTIONS(6943),
    [anon_sym_BSLASHGls] = ACTIONS(6943),
    [anon_sym_BSLASHGLS] = ACTIONS(6943),
    [anon_sym_BSLASHglspl] = ACTIONS(6943),
    [anon_sym_BSLASHGlspl] = ACTIONS(6943),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6943),
    [anon_sym_BSLASHglslink] = ACTIONS(6943),
    [anon_sym_BSLASHglstext] = ACTIONS(6943),
    [anon_sym_BSLASHGlstext] = ACTIONS(6943),
    [anon_sym_BSLASHGLStext] = ACTIONS(6943),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6943),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6943),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6943),
    [anon_sym_BSLASHglsplural] = ACTIONS(6943),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6943),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6943),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHglsname] = ACTIONS(6943),
    [anon_sym_BSLASHGlsname] = ACTIONS(6943),
    [anon_sym_BSLASHGLSname] = ACTIONS(6943),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6943),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6943),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6943),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6943),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6943),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6943),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6943),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6943),
    [anon_sym_BSLASHacrshort] = ACTIONS(6943),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6943),
    [anon_sym_BSLASHACRshort] = ACTIONS(6943),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHacrlong] = ACTIONS(6943),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6943),
    [anon_sym_BSLASHACRlong] = ACTIONS(6943),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHacrfull] = ACTIONS(6943),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6943),
    [anon_sym_BSLASHACRfull] = ACTIONS(6943),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHacs] = ACTIONS(6943),
    [anon_sym_BSLASHAcs] = ACTIONS(6943),
    [anon_sym_BSLASHacsp] = ACTIONS(6943),
    [anon_sym_BSLASHAcsp] = ACTIONS(6943),
    [anon_sym_BSLASHacl] = ACTIONS(6943),
    [anon_sym_BSLASHAcl] = ACTIONS(6943),
    [anon_sym_BSLASHaclp] = ACTIONS(6943),
    [anon_sym_BSLASHAclp] = ACTIONS(6943),
    [anon_sym_BSLASHacf] = ACTIONS(6943),
    [anon_sym_BSLASHAcf] = ACTIONS(6943),
    [anon_sym_BSLASHacfp] = ACTIONS(6943),
    [anon_sym_BSLASHAcfp] = ACTIONS(6943),
    [anon_sym_BSLASHac] = ACTIONS(6943),
    [anon_sym_BSLASHAc] = ACTIONS(6943),
    [anon_sym_BSLASHacp] = ACTIONS(6943),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6943),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6943),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6943),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6943),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6943),
    [anon_sym_BSLASHcolor] = ACTIONS(6943),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6943),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6943),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6943),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6943),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6943),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6943),
    [anon_sym_BSLASHurl] = ACTIONS(6943),
    [anon_sym_BSLASHhref] = ACTIONS(6943),
  },
  [1760] = {
    [sym_command_name] = ACTIONS(7387),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7387),
    [anon_sym_LBRACK] = ACTIONS(7389),
    [anon_sym_RBRACK] = ACTIONS(7389),
    [anon_sym_COMMA] = ACTIONS(7389),
    [anon_sym_EQ] = ACTIONS(7389),
    [anon_sym_LPAREN] = ACTIONS(7389),
    [anon_sym_RPAREN] = ACTIONS(7389),
    [anon_sym_LBRACE] = ACTIONS(7389),
    [sym_word] = ACTIONS(7387),
    [sym_placeholder] = ACTIONS(7389),
    [sym_delimiter] = ACTIONS(7389),
    [anon_sym_PLUS] = ACTIONS(7389),
    [anon_sym_DASH] = ACTIONS(7389),
    [anon_sym_STAR] = ACTIONS(7389),
    [anon_sym_SLASH] = ACTIONS(7389),
    [anon_sym_LT] = ACTIONS(7387),
    [anon_sym_GT] = ACTIONS(7387),
    [anon_sym_BANG] = ACTIONS(7387),
    [anon_sym_PIPE] = ACTIONS(7387),
    [anon_sym_COLON] = ACTIONS(7387),
    [anon_sym_SQUOTE] = ACTIONS(7387),
    [anon_sym__] = ACTIONS(7389),
    [anon_sym_CARET] = ACTIONS(7389),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7389),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7389),
    [anon_sym_DOLLAR] = ACTIONS(7387),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7389),
    [anon_sym_BSLASHleft] = ACTIONS(7387),
    [anon_sym_BSLASHbigl] = ACTIONS(7387),
    [anon_sym_BSLASHBigl] = ACTIONS(7387),
    [anon_sym_BSLASHbiggl] = ACTIONS(7387),
    [anon_sym_BSLASHBiggl] = ACTIONS(7387),
    [anon_sym_BSLASHtext] = ACTIONS(7387),
    [anon_sym_BSLASHintertext] = ACTIONS(7387),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7387),
    [anon_sym_BSLASHbegin] = ACTIONS(7387),
    [anon_sym_BSLASHend] = ACTIONS(7387),
    [anon_sym_BSLASHtitle] = ACTIONS(7387),
    [anon_sym_BSLASHauthor] = ACTIONS(7387),
    [anon_sym_BSLASHusepackage] = ACTIONS(7387),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7387),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7387),
    [anon_sym_BSLASHinclude] = ACTIONS(7387),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7387),
    [anon_sym_BSLASHinput] = ACTIONS(7387),
    [anon_sym_BSLASHsubfile] = ACTIONS(7387),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7387),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7387),
    [anon_sym_BSLASHbibliography] = ACTIONS(7387),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7387),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7387),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7387),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7387),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7387),
    [anon_sym_BSLASHimport] = ACTIONS(7387),
    [anon_sym_BSLASHsubimport] = ACTIONS(7387),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7387),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7387),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7387),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7387),
    [anon_sym_BSLASHcaption] = ACTIONS(7387),
    [anon_sym_BSLASHcite] = ACTIONS(7387),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCite] = ACTIONS(7387),
    [anon_sym_BSLASHnocite] = ACTIONS(7387),
    [anon_sym_BSLASHcitet] = ACTIONS(7387),
    [anon_sym_BSLASHcitep] = ACTIONS(7387),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteA] = ACTIONS(7387),
    [anon_sym_BSLASHciteR] = ACTIONS(7387),
    [anon_sym_BSLASHciteS] = ACTIONS(7387),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7387),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7387),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7387),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7387),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteyear] = ACTIONS(7387),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitedate] = ACTIONS(7387),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteurl] = ACTIONS(7387),
    [anon_sym_BSLASHfullcite] = ACTIONS(7387),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7387),
    [anon_sym_BSLASHcitealt] = ACTIONS(7387),
    [anon_sym_BSLASHcitealp] = ACTIONS(7387),
    [anon_sym_BSLASHcitetext] = ACTIONS(7387),
    [anon_sym_BSLASHparencite] = ACTIONS(7387),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHParencite] = ACTIONS(7387),
    [anon_sym_BSLASHfootcite] = ACTIONS(7387),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7387),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7387),
    [anon_sym_BSLASHtextcite] = ACTIONS(7387),
    [anon_sym_BSLASHTextcite] = ACTIONS(7387),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7387),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7387),
    [anon_sym_BSLASHsupercite] = ACTIONS(7387),
    [anon_sym_BSLASHautocite] = ACTIONS(7387),
    [anon_sym_BSLASHAutocite] = ACTIONS(7387),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHVolcite] = ACTIONS(7387),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHavolcite] = ACTIONS(7387),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHNotecite] = ACTIONS(7387),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHlabel] = ACTIONS(7387),
    [anon_sym_BSLASHref] = ACTIONS(7387),
    [anon_sym_BSLASHeqref] = ACTIONS(7387),
    [anon_sym_BSLASHvref] = ACTIONS(7387),
    [anon_sym_BSLASHVref] = ACTIONS(7387),
    [anon_sym_BSLASHautoref] = ACTIONS(7387),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHpageref] = ACTIONS(7387),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHautopageref] = ACTIONS(7387),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcref] = ACTIONS(7387),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCref] = ACTIONS(7387),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcpageref] = ACTIONS(7387),
    [anon_sym_BSLASHCpageref] = ACTIONS(7387),
    [anon_sym_BSLASHnamecref] = ACTIONS(7387),
    [anon_sym_BSLASHnameCref] = ACTIONS(7387),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7387),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7387),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7387),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7387),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7387),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7387),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7387),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7387),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7387),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7387),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7387),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHdef] = ACTIONS(7387),
    [anon_sym_BSLASHgdef] = ACTIONS(7387),
    [anon_sym_BSLASHedef] = ACTIONS(7387),
    [anon_sym_BSLASHxdef] = ACTIONS(7387),
    [anon_sym_BSLASHlet] = ACTIONS(7387),
    [anon_sym_BSLASHglet] = ACTIONS(7387),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7387),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7387),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7387),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7387),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7387),
    [anon_sym_BSLASHgls] = ACTIONS(7387),
    [anon_sym_BSLASHGls] = ACTIONS(7387),
    [anon_sym_BSLASHGLS] = ACTIONS(7387),
    [anon_sym_BSLASHglspl] = ACTIONS(7387),
    [anon_sym_BSLASHGlspl] = ACTIONS(7387),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7387),
    [anon_sym_BSLASHglslink] = ACTIONS(7387),
    [anon_sym_BSLASHglstext] = ACTIONS(7387),
    [anon_sym_BSLASHGlstext] = ACTIONS(7387),
    [anon_sym_BSLASHGLStext] = ACTIONS(7387),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7387),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7387),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7387),
    [anon_sym_BSLASHglsplural] = ACTIONS(7387),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7387),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7387),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHglsname] = ACTIONS(7387),
    [anon_sym_BSLASHGlsname] = ACTIONS(7387),
    [anon_sym_BSLASHGLSname] = ACTIONS(7387),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7387),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7387),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7387),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7387),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7387),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7387),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7387),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7387),
    [anon_sym_BSLASHacrshort] = ACTIONS(7387),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7387),
    [anon_sym_BSLASHACRshort] = ACTIONS(7387),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHacrlong] = ACTIONS(7387),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7387),
    [anon_sym_BSLASHACRlong] = ACTIONS(7387),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHacrfull] = ACTIONS(7387),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7387),
    [anon_sym_BSLASHACRfull] = ACTIONS(7387),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHacs] = ACTIONS(7387),
    [anon_sym_BSLASHAcs] = ACTIONS(7387),
    [anon_sym_BSLASHacsp] = ACTIONS(7387),
    [anon_sym_BSLASHAcsp] = ACTIONS(7387),
    [anon_sym_BSLASHacl] = ACTIONS(7387),
    [anon_sym_BSLASHAcl] = ACTIONS(7387),
    [anon_sym_BSLASHaclp] = ACTIONS(7387),
    [anon_sym_BSLASHAclp] = ACTIONS(7387),
    [anon_sym_BSLASHacf] = ACTIONS(7387),
    [anon_sym_BSLASHAcf] = ACTIONS(7387),
    [anon_sym_BSLASHacfp] = ACTIONS(7387),
    [anon_sym_BSLASHAcfp] = ACTIONS(7387),
    [anon_sym_BSLASHac] = ACTIONS(7387),
    [anon_sym_BSLASHAc] = ACTIONS(7387),
    [anon_sym_BSLASHacp] = ACTIONS(7387),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7387),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7387),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7387),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7387),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7387),
    [anon_sym_BSLASHcolor] = ACTIONS(7387),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7387),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7387),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7387),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7387),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7387),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7387),
    [anon_sym_BSLASHurl] = ACTIONS(7387),
    [anon_sym_BSLASHhref] = ACTIONS(7387),
  },
  [1761] = {
    [sym_command_name] = ACTIONS(7391),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7391),
    [anon_sym_LBRACK] = ACTIONS(7393),
    [anon_sym_RBRACK] = ACTIONS(7393),
    [anon_sym_COMMA] = ACTIONS(7393),
    [anon_sym_EQ] = ACTIONS(7393),
    [anon_sym_LPAREN] = ACTIONS(7393),
    [anon_sym_RPAREN] = ACTIONS(7393),
    [anon_sym_LBRACE] = ACTIONS(7393),
    [sym_word] = ACTIONS(7391),
    [sym_placeholder] = ACTIONS(7393),
    [sym_delimiter] = ACTIONS(7393),
    [anon_sym_PLUS] = ACTIONS(7393),
    [anon_sym_DASH] = ACTIONS(7393),
    [anon_sym_STAR] = ACTIONS(7393),
    [anon_sym_SLASH] = ACTIONS(7393),
    [anon_sym_LT] = ACTIONS(7391),
    [anon_sym_GT] = ACTIONS(7391),
    [anon_sym_BANG] = ACTIONS(7391),
    [anon_sym_PIPE] = ACTIONS(7391),
    [anon_sym_COLON] = ACTIONS(7391),
    [anon_sym_SQUOTE] = ACTIONS(7391),
    [anon_sym__] = ACTIONS(7393),
    [anon_sym_CARET] = ACTIONS(7393),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7393),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7393),
    [anon_sym_DOLLAR] = ACTIONS(7391),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7393),
    [anon_sym_BSLASHleft] = ACTIONS(7391),
    [anon_sym_BSLASHbigl] = ACTIONS(7391),
    [anon_sym_BSLASHBigl] = ACTIONS(7391),
    [anon_sym_BSLASHbiggl] = ACTIONS(7391),
    [anon_sym_BSLASHBiggl] = ACTIONS(7391),
    [anon_sym_BSLASHtext] = ACTIONS(7391),
    [anon_sym_BSLASHintertext] = ACTIONS(7391),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7391),
    [anon_sym_BSLASHbegin] = ACTIONS(7391),
    [anon_sym_BSLASHend] = ACTIONS(7391),
    [anon_sym_BSLASHtitle] = ACTIONS(7391),
    [anon_sym_BSLASHauthor] = ACTIONS(7391),
    [anon_sym_BSLASHusepackage] = ACTIONS(7391),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7391),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7391),
    [anon_sym_BSLASHinclude] = ACTIONS(7391),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7391),
    [anon_sym_BSLASHinput] = ACTIONS(7391),
    [anon_sym_BSLASHsubfile] = ACTIONS(7391),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7391),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7391),
    [anon_sym_BSLASHbibliography] = ACTIONS(7391),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7391),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7391),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7391),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7391),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7391),
    [anon_sym_BSLASHimport] = ACTIONS(7391),
    [anon_sym_BSLASHsubimport] = ACTIONS(7391),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7391),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7391),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7391),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7391),
    [anon_sym_BSLASHcaption] = ACTIONS(7391),
    [anon_sym_BSLASHcite] = ACTIONS(7391),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCite] = ACTIONS(7391),
    [anon_sym_BSLASHnocite] = ACTIONS(7391),
    [anon_sym_BSLASHcitet] = ACTIONS(7391),
    [anon_sym_BSLASHcitep] = ACTIONS(7391),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteA] = ACTIONS(7391),
    [anon_sym_BSLASHciteR] = ACTIONS(7391),
    [anon_sym_BSLASHciteS] = ACTIONS(7391),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7391),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7391),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7391),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7391),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteyear] = ACTIONS(7391),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitedate] = ACTIONS(7391),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteurl] = ACTIONS(7391),
    [anon_sym_BSLASHfullcite] = ACTIONS(7391),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7391),
    [anon_sym_BSLASHcitealt] = ACTIONS(7391),
    [anon_sym_BSLASHcitealp] = ACTIONS(7391),
    [anon_sym_BSLASHcitetext] = ACTIONS(7391),
    [anon_sym_BSLASHparencite] = ACTIONS(7391),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHParencite] = ACTIONS(7391),
    [anon_sym_BSLASHfootcite] = ACTIONS(7391),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7391),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7391),
    [anon_sym_BSLASHtextcite] = ACTIONS(7391),
    [anon_sym_BSLASHTextcite] = ACTIONS(7391),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7391),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7391),
    [anon_sym_BSLASHsupercite] = ACTIONS(7391),
    [anon_sym_BSLASHautocite] = ACTIONS(7391),
    [anon_sym_BSLASHAutocite] = ACTIONS(7391),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHVolcite] = ACTIONS(7391),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHavolcite] = ACTIONS(7391),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHNotecite] = ACTIONS(7391),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHlabel] = ACTIONS(7391),
    [anon_sym_BSLASHref] = ACTIONS(7391),
    [anon_sym_BSLASHeqref] = ACTIONS(7391),
    [anon_sym_BSLASHvref] = ACTIONS(7391),
    [anon_sym_BSLASHVref] = ACTIONS(7391),
    [anon_sym_BSLASHautoref] = ACTIONS(7391),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHpageref] = ACTIONS(7391),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHautopageref] = ACTIONS(7391),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcref] = ACTIONS(7391),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCref] = ACTIONS(7391),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcpageref] = ACTIONS(7391),
    [anon_sym_BSLASHCpageref] = ACTIONS(7391),
    [anon_sym_BSLASHnamecref] = ACTIONS(7391),
    [anon_sym_BSLASHnameCref] = ACTIONS(7391),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7391),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7391),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7391),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7391),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7391),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7391),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7391),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7391),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7391),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7391),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7391),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHdef] = ACTIONS(7391),
    [anon_sym_BSLASHgdef] = ACTIONS(7391),
    [anon_sym_BSLASHedef] = ACTIONS(7391),
    [anon_sym_BSLASHxdef] = ACTIONS(7391),
    [anon_sym_BSLASHlet] = ACTIONS(7391),
    [anon_sym_BSLASHglet] = ACTIONS(7391),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7391),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7391),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7391),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7391),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7391),
    [anon_sym_BSLASHgls] = ACTIONS(7391),
    [anon_sym_BSLASHGls] = ACTIONS(7391),
    [anon_sym_BSLASHGLS] = ACTIONS(7391),
    [anon_sym_BSLASHglspl] = ACTIONS(7391),
    [anon_sym_BSLASHGlspl] = ACTIONS(7391),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7391),
    [anon_sym_BSLASHglslink] = ACTIONS(7391),
    [anon_sym_BSLASHglstext] = ACTIONS(7391),
    [anon_sym_BSLASHGlstext] = ACTIONS(7391),
    [anon_sym_BSLASHGLStext] = ACTIONS(7391),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7391),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7391),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7391),
    [anon_sym_BSLASHglsplural] = ACTIONS(7391),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7391),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7391),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHglsname] = ACTIONS(7391),
    [anon_sym_BSLASHGlsname] = ACTIONS(7391),
    [anon_sym_BSLASHGLSname] = ACTIONS(7391),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7391),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7391),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7391),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7391),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7391),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7391),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7391),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7391),
    [anon_sym_BSLASHacrshort] = ACTIONS(7391),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7391),
    [anon_sym_BSLASHACRshort] = ACTIONS(7391),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHacrlong] = ACTIONS(7391),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7391),
    [anon_sym_BSLASHACRlong] = ACTIONS(7391),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHacrfull] = ACTIONS(7391),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7391),
    [anon_sym_BSLASHACRfull] = ACTIONS(7391),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHacs] = ACTIONS(7391),
    [anon_sym_BSLASHAcs] = ACTIONS(7391),
    [anon_sym_BSLASHacsp] = ACTIONS(7391),
    [anon_sym_BSLASHAcsp] = ACTIONS(7391),
    [anon_sym_BSLASHacl] = ACTIONS(7391),
    [anon_sym_BSLASHAcl] = ACTIONS(7391),
    [anon_sym_BSLASHaclp] = ACTIONS(7391),
    [anon_sym_BSLASHAclp] = ACTIONS(7391),
    [anon_sym_BSLASHacf] = ACTIONS(7391),
    [anon_sym_BSLASHAcf] = ACTIONS(7391),
    [anon_sym_BSLASHacfp] = ACTIONS(7391),
    [anon_sym_BSLASHAcfp] = ACTIONS(7391),
    [anon_sym_BSLASHac] = ACTIONS(7391),
    [anon_sym_BSLASHAc] = ACTIONS(7391),
    [anon_sym_BSLASHacp] = ACTIONS(7391),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7391),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7391),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7391),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7391),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7391),
    [anon_sym_BSLASHcolor] = ACTIONS(7391),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7391),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7391),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7391),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7391),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7391),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7391),
    [anon_sym_BSLASHurl] = ACTIONS(7391),
    [anon_sym_BSLASHhref] = ACTIONS(7391),
  },
  [1762] = {
    [sym_command_name] = ACTIONS(7395),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7395),
    [anon_sym_LBRACK] = ACTIONS(7397),
    [anon_sym_RBRACK] = ACTIONS(7397),
    [anon_sym_COMMA] = ACTIONS(7397),
    [anon_sym_EQ] = ACTIONS(7397),
    [anon_sym_LPAREN] = ACTIONS(7397),
    [anon_sym_RPAREN] = ACTIONS(7397),
    [anon_sym_LBRACE] = ACTIONS(7397),
    [sym_word] = ACTIONS(7395),
    [sym_placeholder] = ACTIONS(7397),
    [sym_delimiter] = ACTIONS(7397),
    [anon_sym_PLUS] = ACTIONS(7397),
    [anon_sym_DASH] = ACTIONS(7397),
    [anon_sym_STAR] = ACTIONS(7397),
    [anon_sym_SLASH] = ACTIONS(7397),
    [anon_sym_LT] = ACTIONS(7395),
    [anon_sym_GT] = ACTIONS(7395),
    [anon_sym_BANG] = ACTIONS(7395),
    [anon_sym_PIPE] = ACTIONS(7395),
    [anon_sym_COLON] = ACTIONS(7395),
    [anon_sym_SQUOTE] = ACTIONS(7395),
    [anon_sym__] = ACTIONS(7397),
    [anon_sym_CARET] = ACTIONS(7397),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7397),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7397),
    [anon_sym_DOLLAR] = ACTIONS(7395),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7397),
    [anon_sym_BSLASHleft] = ACTIONS(7395),
    [anon_sym_BSLASHbigl] = ACTIONS(7395),
    [anon_sym_BSLASHBigl] = ACTIONS(7395),
    [anon_sym_BSLASHbiggl] = ACTIONS(7395),
    [anon_sym_BSLASHBiggl] = ACTIONS(7395),
    [anon_sym_BSLASHtext] = ACTIONS(7395),
    [anon_sym_BSLASHintertext] = ACTIONS(7395),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7395),
    [anon_sym_BSLASHbegin] = ACTIONS(7395),
    [anon_sym_BSLASHend] = ACTIONS(7395),
    [anon_sym_BSLASHtitle] = ACTIONS(7395),
    [anon_sym_BSLASHauthor] = ACTIONS(7395),
    [anon_sym_BSLASHusepackage] = ACTIONS(7395),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7395),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7395),
    [anon_sym_BSLASHinclude] = ACTIONS(7395),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7395),
    [anon_sym_BSLASHinput] = ACTIONS(7395),
    [anon_sym_BSLASHsubfile] = ACTIONS(7395),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7395),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7395),
    [anon_sym_BSLASHbibliography] = ACTIONS(7395),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7395),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7395),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7395),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7395),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7395),
    [anon_sym_BSLASHimport] = ACTIONS(7395),
    [anon_sym_BSLASHsubimport] = ACTIONS(7395),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7395),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7395),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7395),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7395),
    [anon_sym_BSLASHcaption] = ACTIONS(7395),
    [anon_sym_BSLASHcite] = ACTIONS(7395),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCite] = ACTIONS(7395),
    [anon_sym_BSLASHnocite] = ACTIONS(7395),
    [anon_sym_BSLASHcitet] = ACTIONS(7395),
    [anon_sym_BSLASHcitep] = ACTIONS(7395),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteA] = ACTIONS(7395),
    [anon_sym_BSLASHciteR] = ACTIONS(7395),
    [anon_sym_BSLASHciteS] = ACTIONS(7395),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7395),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7395),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7395),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7395),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteyear] = ACTIONS(7395),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitedate] = ACTIONS(7395),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteurl] = ACTIONS(7395),
    [anon_sym_BSLASHfullcite] = ACTIONS(7395),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7395),
    [anon_sym_BSLASHcitealt] = ACTIONS(7395),
    [anon_sym_BSLASHcitealp] = ACTIONS(7395),
    [anon_sym_BSLASHcitetext] = ACTIONS(7395),
    [anon_sym_BSLASHparencite] = ACTIONS(7395),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHParencite] = ACTIONS(7395),
    [anon_sym_BSLASHfootcite] = ACTIONS(7395),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7395),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7395),
    [anon_sym_BSLASHtextcite] = ACTIONS(7395),
    [anon_sym_BSLASHTextcite] = ACTIONS(7395),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7395),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7395),
    [anon_sym_BSLASHsupercite] = ACTIONS(7395),
    [anon_sym_BSLASHautocite] = ACTIONS(7395),
    [anon_sym_BSLASHAutocite] = ACTIONS(7395),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHVolcite] = ACTIONS(7395),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHavolcite] = ACTIONS(7395),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHNotecite] = ACTIONS(7395),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHlabel] = ACTIONS(7395),
    [anon_sym_BSLASHref] = ACTIONS(7395),
    [anon_sym_BSLASHeqref] = ACTIONS(7395),
    [anon_sym_BSLASHvref] = ACTIONS(7395),
    [anon_sym_BSLASHVref] = ACTIONS(7395),
    [anon_sym_BSLASHautoref] = ACTIONS(7395),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHpageref] = ACTIONS(7395),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHautopageref] = ACTIONS(7395),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcref] = ACTIONS(7395),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCref] = ACTIONS(7395),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcpageref] = ACTIONS(7395),
    [anon_sym_BSLASHCpageref] = ACTIONS(7395),
    [anon_sym_BSLASHnamecref] = ACTIONS(7395),
    [anon_sym_BSLASHnameCref] = ACTIONS(7395),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7395),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7395),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7395),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7395),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7395),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7395),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7395),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7395),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7395),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7395),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7395),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHdef] = ACTIONS(7395),
    [anon_sym_BSLASHgdef] = ACTIONS(7395),
    [anon_sym_BSLASHedef] = ACTIONS(7395),
    [anon_sym_BSLASHxdef] = ACTIONS(7395),
    [anon_sym_BSLASHlet] = ACTIONS(7395),
    [anon_sym_BSLASHglet] = ACTIONS(7395),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7395),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7395),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7395),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7395),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7395),
    [anon_sym_BSLASHgls] = ACTIONS(7395),
    [anon_sym_BSLASHGls] = ACTIONS(7395),
    [anon_sym_BSLASHGLS] = ACTIONS(7395),
    [anon_sym_BSLASHglspl] = ACTIONS(7395),
    [anon_sym_BSLASHGlspl] = ACTIONS(7395),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7395),
    [anon_sym_BSLASHglslink] = ACTIONS(7395),
    [anon_sym_BSLASHglstext] = ACTIONS(7395),
    [anon_sym_BSLASHGlstext] = ACTIONS(7395),
    [anon_sym_BSLASHGLStext] = ACTIONS(7395),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7395),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7395),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7395),
    [anon_sym_BSLASHglsplural] = ACTIONS(7395),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7395),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7395),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHglsname] = ACTIONS(7395),
    [anon_sym_BSLASHGlsname] = ACTIONS(7395),
    [anon_sym_BSLASHGLSname] = ACTIONS(7395),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7395),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7395),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7395),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7395),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7395),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7395),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7395),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7395),
    [anon_sym_BSLASHacrshort] = ACTIONS(7395),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7395),
    [anon_sym_BSLASHACRshort] = ACTIONS(7395),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHacrlong] = ACTIONS(7395),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7395),
    [anon_sym_BSLASHACRlong] = ACTIONS(7395),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHacrfull] = ACTIONS(7395),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7395),
    [anon_sym_BSLASHACRfull] = ACTIONS(7395),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHacs] = ACTIONS(7395),
    [anon_sym_BSLASHAcs] = ACTIONS(7395),
    [anon_sym_BSLASHacsp] = ACTIONS(7395),
    [anon_sym_BSLASHAcsp] = ACTIONS(7395),
    [anon_sym_BSLASHacl] = ACTIONS(7395),
    [anon_sym_BSLASHAcl] = ACTIONS(7395),
    [anon_sym_BSLASHaclp] = ACTIONS(7395),
    [anon_sym_BSLASHAclp] = ACTIONS(7395),
    [anon_sym_BSLASHacf] = ACTIONS(7395),
    [anon_sym_BSLASHAcf] = ACTIONS(7395),
    [anon_sym_BSLASHacfp] = ACTIONS(7395),
    [anon_sym_BSLASHAcfp] = ACTIONS(7395),
    [anon_sym_BSLASHac] = ACTIONS(7395),
    [anon_sym_BSLASHAc] = ACTIONS(7395),
    [anon_sym_BSLASHacp] = ACTIONS(7395),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7395),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7395),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7395),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7395),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7395),
    [anon_sym_BSLASHcolor] = ACTIONS(7395),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7395),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7395),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7395),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7395),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7395),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7395),
    [anon_sym_BSLASHurl] = ACTIONS(7395),
    [anon_sym_BSLASHhref] = ACTIONS(7395),
  },
  [1763] = {
    [sym_command_name] = ACTIONS(7083),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7083),
    [anon_sym_LBRACK] = ACTIONS(7085),
    [anon_sym_RBRACK] = ACTIONS(7085),
    [anon_sym_COMMA] = ACTIONS(7085),
    [anon_sym_EQ] = ACTIONS(7085),
    [anon_sym_LPAREN] = ACTIONS(7085),
    [anon_sym_RPAREN] = ACTIONS(7085),
    [anon_sym_LBRACE] = ACTIONS(7085),
    [sym_word] = ACTIONS(7083),
    [sym_placeholder] = ACTIONS(7085),
    [sym_delimiter] = ACTIONS(7085),
    [anon_sym_PLUS] = ACTIONS(7085),
    [anon_sym_DASH] = ACTIONS(7085),
    [anon_sym_STAR] = ACTIONS(7085),
    [anon_sym_SLASH] = ACTIONS(7085),
    [anon_sym_LT] = ACTIONS(7083),
    [anon_sym_GT] = ACTIONS(7083),
    [anon_sym_BANG] = ACTIONS(7083),
    [anon_sym_PIPE] = ACTIONS(7083),
    [anon_sym_COLON] = ACTIONS(7083),
    [anon_sym_SQUOTE] = ACTIONS(7083),
    [anon_sym__] = ACTIONS(7085),
    [anon_sym_CARET] = ACTIONS(7085),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7085),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7085),
    [anon_sym_DOLLAR] = ACTIONS(7083),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7085),
    [anon_sym_BSLASHleft] = ACTIONS(7083),
    [anon_sym_BSLASHbigl] = ACTIONS(7083),
    [anon_sym_BSLASHBigl] = ACTIONS(7083),
    [anon_sym_BSLASHbiggl] = ACTIONS(7083),
    [anon_sym_BSLASHBiggl] = ACTIONS(7083),
    [anon_sym_BSLASHtext] = ACTIONS(7083),
    [anon_sym_BSLASHintertext] = ACTIONS(7083),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7083),
    [anon_sym_BSLASHbegin] = ACTIONS(7083),
    [anon_sym_BSLASHend] = ACTIONS(7083),
    [anon_sym_BSLASHtitle] = ACTIONS(7083),
    [anon_sym_BSLASHauthor] = ACTIONS(7083),
    [anon_sym_BSLASHusepackage] = ACTIONS(7083),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7083),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7083),
    [anon_sym_BSLASHinclude] = ACTIONS(7083),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7083),
    [anon_sym_BSLASHinput] = ACTIONS(7083),
    [anon_sym_BSLASHsubfile] = ACTIONS(7083),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7083),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7083),
    [anon_sym_BSLASHbibliography] = ACTIONS(7083),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7083),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7083),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7083),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7083),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7083),
    [anon_sym_BSLASHimport] = ACTIONS(7083),
    [anon_sym_BSLASHsubimport] = ACTIONS(7083),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7083),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7083),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7083),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7083),
    [anon_sym_BSLASHcaption] = ACTIONS(7083),
    [anon_sym_BSLASHcite] = ACTIONS(7083),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHCite] = ACTIONS(7083),
    [anon_sym_BSLASHnocite] = ACTIONS(7083),
    [anon_sym_BSLASHcitet] = ACTIONS(7083),
    [anon_sym_BSLASHcitep] = ACTIONS(7083),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHciteA] = ACTIONS(7083),
    [anon_sym_BSLASHciteR] = ACTIONS(7083),
    [anon_sym_BSLASHciteS] = ACTIONS(7083),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7083),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7083),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7083),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7083),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHciteyear] = ACTIONS(7083),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcitedate] = ACTIONS(7083),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHciteurl] = ACTIONS(7083),
    [anon_sym_BSLASHfullcite] = ACTIONS(7083),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7083),
    [anon_sym_BSLASHcitealt] = ACTIONS(7083),
    [anon_sym_BSLASHcitealp] = ACTIONS(7083),
    [anon_sym_BSLASHcitetext] = ACTIONS(7083),
    [anon_sym_BSLASHparencite] = ACTIONS(7083),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHParencite] = ACTIONS(7083),
    [anon_sym_BSLASHfootcite] = ACTIONS(7083),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7083),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7083),
    [anon_sym_BSLASHtextcite] = ACTIONS(7083),
    [anon_sym_BSLASHTextcite] = ACTIONS(7083),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7083),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7083),
    [anon_sym_BSLASHsupercite] = ACTIONS(7083),
    [anon_sym_BSLASHautocite] = ACTIONS(7083),
    [anon_sym_BSLASHAutocite] = ACTIONS(7083),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHVolcite] = ACTIONS(7083),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHavolcite] = ACTIONS(7083),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHnotecite] = ACTIONS(7083),
    [anon_sym_BSLASHNotecite] = ACTIONS(7083),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7083),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7083),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7083),
    [anon_sym_BSLASHlabel] = ACTIONS(7083),
    [anon_sym_BSLASHref] = ACTIONS(7083),
    [anon_sym_BSLASHeqref] = ACTIONS(7083),
    [anon_sym_BSLASHvref] = ACTIONS(7083),
    [anon_sym_BSLASHVref] = ACTIONS(7083),
    [anon_sym_BSLASHautoref] = ACTIONS(7083),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHpageref] = ACTIONS(7083),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHautopageref] = ACTIONS(7083),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcref] = ACTIONS(7083),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHCref] = ACTIONS(7083),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcpageref] = ACTIONS(7083),
    [anon_sym_BSLASHCpageref] = ACTIONS(7083),
    [anon_sym_BSLASHnamecref] = ACTIONS(7083),
    [anon_sym_BSLASHnameCref] = ACTIONS(7083),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7083),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7083),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7083),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7083),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7083),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7083),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7083),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7083),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7083),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7083),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7083),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7083),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7083),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7083),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7083),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7083),
    [anon_sym_BSLASHdef] = ACTIONS(7083),
    [anon_sym_BSLASHgdef] = ACTIONS(7083),
    [anon_sym_BSLASHedef] = ACTIONS(7083),
    [anon_sym_BSLASHxdef] = ACTIONS(7083),
    [anon_sym_BSLASHlet] = ACTIONS(7083),
    [anon_sym_BSLASHglet] = ACTIONS(7083),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7083),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7083),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7083),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7083),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7083),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7083),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7083),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7083),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7083),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7083),
    [anon_sym_BSLASHgls] = ACTIONS(7083),
    [anon_sym_BSLASHGls] = ACTIONS(7083),
    [anon_sym_BSLASHGLS] = ACTIONS(7083),
    [anon_sym_BSLASHglspl] = ACTIONS(7083),
    [anon_sym_BSLASHGlspl] = ACTIONS(7083),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7083),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7083),
    [anon_sym_BSLASHglslink] = ACTIONS(7083),
    [anon_sym_BSLASHglstext] = ACTIONS(7083),
    [anon_sym_BSLASHGlstext] = ACTIONS(7083),
    [anon_sym_BSLASHGLStext] = ACTIONS(7083),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7083),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7083),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7083),
    [anon_sym_BSLASHglsplural] = ACTIONS(7083),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7083),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7083),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7083),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7083),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7083),
    [anon_sym_BSLASHglsname] = ACTIONS(7083),
    [anon_sym_BSLASHGlsname] = ACTIONS(7083),
    [anon_sym_BSLASHGLSname] = ACTIONS(7083),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7083),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7083),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7083),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7083),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7083),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7083),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7083),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7083),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7083),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7083),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7083),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7083),
    [anon_sym_BSLASHacrshort] = ACTIONS(7083),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7083),
    [anon_sym_BSLASHACRshort] = ACTIONS(7083),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHacrlong] = ACTIONS(7083),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7083),
    [anon_sym_BSLASHACRlong] = ACTIONS(7083),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7083),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7083),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7083),
    [anon_sym_BSLASHacrfull] = ACTIONS(7083),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7083),
    [anon_sym_BSLASHACRfull] = ACTIONS(7083),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHacs] = ACTIONS(7083),
    [anon_sym_BSLASHAcs] = ACTIONS(7083),
    [anon_sym_BSLASHacsp] = ACTIONS(7083),
    [anon_sym_BSLASHAcsp] = ACTIONS(7083),
    [anon_sym_BSLASHacl] = ACTIONS(7083),
    [anon_sym_BSLASHAcl] = ACTIONS(7083),
    [anon_sym_BSLASHaclp] = ACTIONS(7083),
    [anon_sym_BSLASHAclp] = ACTIONS(7083),
    [anon_sym_BSLASHacf] = ACTIONS(7083),
    [anon_sym_BSLASHAcf] = ACTIONS(7083),
    [anon_sym_BSLASHacfp] = ACTIONS(7083),
    [anon_sym_BSLASHAcfp] = ACTIONS(7083),
    [anon_sym_BSLASHac] = ACTIONS(7083),
    [anon_sym_BSLASHAc] = ACTIONS(7083),
    [anon_sym_BSLASHacp] = ACTIONS(7083),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7083),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7083),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7083),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7083),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7083),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7083),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7083),
    [anon_sym_BSLASHcolor] = ACTIONS(7083),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7083),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7083),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7083),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7083),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7083),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7083),
    [anon_sym_BSLASHurl] = ACTIONS(7083),
    [anon_sym_BSLASHhref] = ACTIONS(7083),
  },
  [1764] = {
    [sym_brack_group_text] = STATE(1900),
    [sym_command_name] = ACTIONS(6917),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6917),
    [anon_sym_LBRACK] = ACTIONS(7842),
    [anon_sym_RBRACK] = ACTIONS(6921),
    [anon_sym_COMMA] = ACTIONS(6921),
    [anon_sym_EQ] = ACTIONS(6921),
    [anon_sym_LPAREN] = ACTIONS(6921),
    [anon_sym_RPAREN] = ACTIONS(6921),
    [anon_sym_LBRACE] = ACTIONS(6921),
    [sym_word] = ACTIONS(6917),
    [sym_placeholder] = ACTIONS(6921),
    [sym_delimiter] = ACTIONS(6921),
    [anon_sym_PLUS] = ACTIONS(6921),
    [anon_sym_DASH] = ACTIONS(6921),
    [anon_sym_STAR] = ACTIONS(6921),
    [anon_sym_SLASH] = ACTIONS(6921),
    [anon_sym_LT] = ACTIONS(6917),
    [anon_sym_GT] = ACTIONS(6917),
    [anon_sym_BANG] = ACTIONS(6917),
    [anon_sym_PIPE] = ACTIONS(6917),
    [anon_sym_COLON] = ACTIONS(6917),
    [anon_sym_SQUOTE] = ACTIONS(6917),
    [anon_sym__] = ACTIONS(6921),
    [anon_sym_CARET] = ACTIONS(6921),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6921),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6921),
    [anon_sym_DOLLAR] = ACTIONS(6917),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6921),
    [anon_sym_BSLASHleft] = ACTIONS(6917),
    [anon_sym_BSLASHbigl] = ACTIONS(6917),
    [anon_sym_BSLASHBigl] = ACTIONS(6917),
    [anon_sym_BSLASHbiggl] = ACTIONS(6917),
    [anon_sym_BSLASHBiggl] = ACTIONS(6917),
    [anon_sym_BSLASHtext] = ACTIONS(6917),
    [anon_sym_BSLASHintertext] = ACTIONS(6917),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6917),
    [anon_sym_BSLASHbegin] = ACTIONS(6917),
    [anon_sym_BSLASHtitle] = ACTIONS(6917),
    [anon_sym_BSLASHauthor] = ACTIONS(6917),
    [anon_sym_BSLASHusepackage] = ACTIONS(6917),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6917),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6917),
    [anon_sym_BSLASHinclude] = ACTIONS(6917),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6917),
    [anon_sym_BSLASHinput] = ACTIONS(6917),
    [anon_sym_BSLASHsubfile] = ACTIONS(6917),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6917),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6917),
    [anon_sym_BSLASHbibliography] = ACTIONS(6917),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6917),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6917),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6917),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6917),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6917),
    [anon_sym_BSLASHimport] = ACTIONS(6917),
    [anon_sym_BSLASHsubimport] = ACTIONS(6917),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6917),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6917),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6917),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6917),
    [anon_sym_BSLASHcaption] = ACTIONS(6917),
    [anon_sym_BSLASHcite] = ACTIONS(6917),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCite] = ACTIONS(6917),
    [anon_sym_BSLASHnocite] = ACTIONS(6917),
    [anon_sym_BSLASHcitet] = ACTIONS(6917),
    [anon_sym_BSLASHcitep] = ACTIONS(6917),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteA] = ACTIONS(6917),
    [anon_sym_BSLASHciteR] = ACTIONS(6917),
    [anon_sym_BSLASHciteS] = ACTIONS(6917),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6917),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6917),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6917),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6917),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteyear] = ACTIONS(6917),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitedate] = ACTIONS(6917),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteurl] = ACTIONS(6917),
    [anon_sym_BSLASHfullcite] = ACTIONS(6917),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6917),
    [anon_sym_BSLASHcitealt] = ACTIONS(6917),
    [anon_sym_BSLASHcitealp] = ACTIONS(6917),
    [anon_sym_BSLASHcitetext] = ACTIONS(6917),
    [anon_sym_BSLASHparencite] = ACTIONS(6917),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHParencite] = ACTIONS(6917),
    [anon_sym_BSLASHfootcite] = ACTIONS(6917),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6917),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6917),
    [anon_sym_BSLASHtextcite] = ACTIONS(6917),
    [anon_sym_BSLASHTextcite] = ACTIONS(6917),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6917),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6917),
    [anon_sym_BSLASHsupercite] = ACTIONS(6917),
    [anon_sym_BSLASHautocite] = ACTIONS(6917),
    [anon_sym_BSLASHAutocite] = ACTIONS(6917),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHVolcite] = ACTIONS(6917),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHavolcite] = ACTIONS(6917),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHNotecite] = ACTIONS(6917),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHlabel] = ACTIONS(6917),
    [anon_sym_BSLASHref] = ACTIONS(6917),
    [anon_sym_BSLASHeqref] = ACTIONS(6917),
    [anon_sym_BSLASHvref] = ACTIONS(6917),
    [anon_sym_BSLASHVref] = ACTIONS(6917),
    [anon_sym_BSLASHautoref] = ACTIONS(6917),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHpageref] = ACTIONS(6917),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHautopageref] = ACTIONS(6917),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcref] = ACTIONS(6917),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCref] = ACTIONS(6917),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcpageref] = ACTIONS(6917),
    [anon_sym_BSLASHCpageref] = ACTIONS(6917),
    [anon_sym_BSLASHnamecref] = ACTIONS(6917),
    [anon_sym_BSLASHnameCref] = ACTIONS(6917),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6917),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6917),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6917),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6917),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6917),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6917),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6917),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6917),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6917),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6917),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6917),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHdef] = ACTIONS(6917),
    [anon_sym_BSLASHgdef] = ACTIONS(6917),
    [anon_sym_BSLASHedef] = ACTIONS(6917),
    [anon_sym_BSLASHxdef] = ACTIONS(6917),
    [anon_sym_BSLASHlet] = ACTIONS(6917),
    [anon_sym_BSLASHglet] = ACTIONS(6917),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6917),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6917),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6917),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6917),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6917),
    [anon_sym_BSLASHgls] = ACTIONS(6917),
    [anon_sym_BSLASHGls] = ACTIONS(6917),
    [anon_sym_BSLASHGLS] = ACTIONS(6917),
    [anon_sym_BSLASHglspl] = ACTIONS(6917),
    [anon_sym_BSLASHGlspl] = ACTIONS(6917),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6917),
    [anon_sym_BSLASHglslink] = ACTIONS(6917),
    [anon_sym_BSLASHglstext] = ACTIONS(6917),
    [anon_sym_BSLASHGlstext] = ACTIONS(6917),
    [anon_sym_BSLASHGLStext] = ACTIONS(6917),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6917),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6917),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6917),
    [anon_sym_BSLASHglsplural] = ACTIONS(6917),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6917),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6917),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHglsname] = ACTIONS(6917),
    [anon_sym_BSLASHGlsname] = ACTIONS(6917),
    [anon_sym_BSLASHGLSname] = ACTIONS(6917),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6917),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6917),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6917),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6917),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6917),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6917),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6917),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6917),
    [anon_sym_BSLASHacrshort] = ACTIONS(6917),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6917),
    [anon_sym_BSLASHACRshort] = ACTIONS(6917),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHacrlong] = ACTIONS(6917),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6917),
    [anon_sym_BSLASHACRlong] = ACTIONS(6917),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHacrfull] = ACTIONS(6917),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6917),
    [anon_sym_BSLASHACRfull] = ACTIONS(6917),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHacs] = ACTIONS(6917),
    [anon_sym_BSLASHAcs] = ACTIONS(6917),
    [anon_sym_BSLASHacsp] = ACTIONS(6917),
    [anon_sym_BSLASHAcsp] = ACTIONS(6917),
    [anon_sym_BSLASHacl] = ACTIONS(6917),
    [anon_sym_BSLASHAcl] = ACTIONS(6917),
    [anon_sym_BSLASHaclp] = ACTIONS(6917),
    [anon_sym_BSLASHAclp] = ACTIONS(6917),
    [anon_sym_BSLASHacf] = ACTIONS(6917),
    [anon_sym_BSLASHAcf] = ACTIONS(6917),
    [anon_sym_BSLASHacfp] = ACTIONS(6917),
    [anon_sym_BSLASHAcfp] = ACTIONS(6917),
    [anon_sym_BSLASHac] = ACTIONS(6917),
    [anon_sym_BSLASHAc] = ACTIONS(6917),
    [anon_sym_BSLASHacp] = ACTIONS(6917),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6917),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6917),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6917),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6917),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6917),
    [anon_sym_BSLASHcolor] = ACTIONS(6917),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6917),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6917),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6917),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6917),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6917),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6917),
    [anon_sym_BSLASHurl] = ACTIONS(6917),
    [anon_sym_BSLASHhref] = ACTIONS(6917),
  },
  [1765] = {
    [sym_command_name] = ACTIONS(7087),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7087),
    [anon_sym_LBRACK] = ACTIONS(7089),
    [anon_sym_RBRACK] = ACTIONS(7089),
    [anon_sym_COMMA] = ACTIONS(7089),
    [anon_sym_EQ] = ACTIONS(7089),
    [anon_sym_LPAREN] = ACTIONS(7089),
    [anon_sym_RPAREN] = ACTIONS(7089),
    [anon_sym_LBRACE] = ACTIONS(7089),
    [sym_word] = ACTIONS(7087),
    [sym_placeholder] = ACTIONS(7089),
    [sym_delimiter] = ACTIONS(7089),
    [anon_sym_PLUS] = ACTIONS(7089),
    [anon_sym_DASH] = ACTIONS(7089),
    [anon_sym_STAR] = ACTIONS(7089),
    [anon_sym_SLASH] = ACTIONS(7089),
    [anon_sym_LT] = ACTIONS(7087),
    [anon_sym_GT] = ACTIONS(7087),
    [anon_sym_BANG] = ACTIONS(7087),
    [anon_sym_PIPE] = ACTIONS(7087),
    [anon_sym_COLON] = ACTIONS(7087),
    [anon_sym_SQUOTE] = ACTIONS(7087),
    [anon_sym__] = ACTIONS(7089),
    [anon_sym_CARET] = ACTIONS(7089),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7089),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7089),
    [anon_sym_DOLLAR] = ACTIONS(7087),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7089),
    [anon_sym_BSLASHleft] = ACTIONS(7087),
    [anon_sym_BSLASHbigl] = ACTIONS(7087),
    [anon_sym_BSLASHBigl] = ACTIONS(7087),
    [anon_sym_BSLASHbiggl] = ACTIONS(7087),
    [anon_sym_BSLASHBiggl] = ACTIONS(7087),
    [anon_sym_BSLASHtext] = ACTIONS(7087),
    [anon_sym_BSLASHintertext] = ACTIONS(7087),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7087),
    [anon_sym_BSLASHbegin] = ACTIONS(7087),
    [anon_sym_BSLASHend] = ACTIONS(7087),
    [anon_sym_BSLASHtitle] = ACTIONS(7087),
    [anon_sym_BSLASHauthor] = ACTIONS(7087),
    [anon_sym_BSLASHusepackage] = ACTIONS(7087),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7087),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7087),
    [anon_sym_BSLASHinclude] = ACTIONS(7087),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7087),
    [anon_sym_BSLASHinput] = ACTIONS(7087),
    [anon_sym_BSLASHsubfile] = ACTIONS(7087),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7087),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7087),
    [anon_sym_BSLASHbibliography] = ACTIONS(7087),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7087),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7087),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7087),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7087),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7087),
    [anon_sym_BSLASHimport] = ACTIONS(7087),
    [anon_sym_BSLASHsubimport] = ACTIONS(7087),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7087),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7087),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7087),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7087),
    [anon_sym_BSLASHcaption] = ACTIONS(7087),
    [anon_sym_BSLASHcite] = ACTIONS(7087),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHCite] = ACTIONS(7087),
    [anon_sym_BSLASHnocite] = ACTIONS(7087),
    [anon_sym_BSLASHcitet] = ACTIONS(7087),
    [anon_sym_BSLASHcitep] = ACTIONS(7087),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHciteA] = ACTIONS(7087),
    [anon_sym_BSLASHciteR] = ACTIONS(7087),
    [anon_sym_BSLASHciteS] = ACTIONS(7087),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7087),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7087),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7087),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7087),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHciteyear] = ACTIONS(7087),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcitedate] = ACTIONS(7087),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHciteurl] = ACTIONS(7087),
    [anon_sym_BSLASHfullcite] = ACTIONS(7087),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7087),
    [anon_sym_BSLASHcitealt] = ACTIONS(7087),
    [anon_sym_BSLASHcitealp] = ACTIONS(7087),
    [anon_sym_BSLASHcitetext] = ACTIONS(7087),
    [anon_sym_BSLASHparencite] = ACTIONS(7087),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHParencite] = ACTIONS(7087),
    [anon_sym_BSLASHfootcite] = ACTIONS(7087),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7087),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7087),
    [anon_sym_BSLASHtextcite] = ACTIONS(7087),
    [anon_sym_BSLASHTextcite] = ACTIONS(7087),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7087),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7087),
    [anon_sym_BSLASHsupercite] = ACTIONS(7087),
    [anon_sym_BSLASHautocite] = ACTIONS(7087),
    [anon_sym_BSLASHAutocite] = ACTIONS(7087),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHVolcite] = ACTIONS(7087),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHavolcite] = ACTIONS(7087),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHnotecite] = ACTIONS(7087),
    [anon_sym_BSLASHNotecite] = ACTIONS(7087),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7087),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7087),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7087),
    [anon_sym_BSLASHlabel] = ACTIONS(7087),
    [anon_sym_BSLASHref] = ACTIONS(7087),
    [anon_sym_BSLASHeqref] = ACTIONS(7087),
    [anon_sym_BSLASHvref] = ACTIONS(7087),
    [anon_sym_BSLASHVref] = ACTIONS(7087),
    [anon_sym_BSLASHautoref] = ACTIONS(7087),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHpageref] = ACTIONS(7087),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHautopageref] = ACTIONS(7087),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcref] = ACTIONS(7087),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHCref] = ACTIONS(7087),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcpageref] = ACTIONS(7087),
    [anon_sym_BSLASHCpageref] = ACTIONS(7087),
    [anon_sym_BSLASHnamecref] = ACTIONS(7087),
    [anon_sym_BSLASHnameCref] = ACTIONS(7087),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7087),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7087),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7087),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7087),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7087),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7087),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7087),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7087),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7087),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7087),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7087),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7087),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7087),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7087),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7087),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7087),
    [anon_sym_BSLASHdef] = ACTIONS(7087),
    [anon_sym_BSLASHgdef] = ACTIONS(7087),
    [anon_sym_BSLASHedef] = ACTIONS(7087),
    [anon_sym_BSLASHxdef] = ACTIONS(7087),
    [anon_sym_BSLASHlet] = ACTIONS(7087),
    [anon_sym_BSLASHglet] = ACTIONS(7087),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7087),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7087),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7087),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7087),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7087),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7087),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7087),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7087),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7087),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7087),
    [anon_sym_BSLASHgls] = ACTIONS(7087),
    [anon_sym_BSLASHGls] = ACTIONS(7087),
    [anon_sym_BSLASHGLS] = ACTIONS(7087),
    [anon_sym_BSLASHglspl] = ACTIONS(7087),
    [anon_sym_BSLASHGlspl] = ACTIONS(7087),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7087),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7087),
    [anon_sym_BSLASHglslink] = ACTIONS(7087),
    [anon_sym_BSLASHglstext] = ACTIONS(7087),
    [anon_sym_BSLASHGlstext] = ACTIONS(7087),
    [anon_sym_BSLASHGLStext] = ACTIONS(7087),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7087),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7087),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7087),
    [anon_sym_BSLASHglsplural] = ACTIONS(7087),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7087),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7087),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7087),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7087),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7087),
    [anon_sym_BSLASHglsname] = ACTIONS(7087),
    [anon_sym_BSLASHGlsname] = ACTIONS(7087),
    [anon_sym_BSLASHGLSname] = ACTIONS(7087),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7087),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7087),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7087),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7087),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7087),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7087),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7087),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7087),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7087),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7087),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7087),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7087),
    [anon_sym_BSLASHacrshort] = ACTIONS(7087),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7087),
    [anon_sym_BSLASHACRshort] = ACTIONS(7087),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHacrlong] = ACTIONS(7087),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7087),
    [anon_sym_BSLASHACRlong] = ACTIONS(7087),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7087),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7087),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7087),
    [anon_sym_BSLASHacrfull] = ACTIONS(7087),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7087),
    [anon_sym_BSLASHACRfull] = ACTIONS(7087),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHacs] = ACTIONS(7087),
    [anon_sym_BSLASHAcs] = ACTIONS(7087),
    [anon_sym_BSLASHacsp] = ACTIONS(7087),
    [anon_sym_BSLASHAcsp] = ACTIONS(7087),
    [anon_sym_BSLASHacl] = ACTIONS(7087),
    [anon_sym_BSLASHAcl] = ACTIONS(7087),
    [anon_sym_BSLASHaclp] = ACTIONS(7087),
    [anon_sym_BSLASHAclp] = ACTIONS(7087),
    [anon_sym_BSLASHacf] = ACTIONS(7087),
    [anon_sym_BSLASHAcf] = ACTIONS(7087),
    [anon_sym_BSLASHacfp] = ACTIONS(7087),
    [anon_sym_BSLASHAcfp] = ACTIONS(7087),
    [anon_sym_BSLASHac] = ACTIONS(7087),
    [anon_sym_BSLASHAc] = ACTIONS(7087),
    [anon_sym_BSLASHacp] = ACTIONS(7087),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7087),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7087),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7087),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7087),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7087),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7087),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7087),
    [anon_sym_BSLASHcolor] = ACTIONS(7087),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7087),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7087),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7087),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7087),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7087),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7087),
    [anon_sym_BSLASHurl] = ACTIONS(7087),
    [anon_sym_BSLASHhref] = ACTIONS(7087),
  },
  [1766] = {
    [sym_curly_group] = STATE(1903),
    [sym_command_name] = ACTIONS(6939),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6939),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [anon_sym_RBRACK] = ACTIONS(6941),
    [anon_sym_COMMA] = ACTIONS(6941),
    [anon_sym_EQ] = ACTIONS(6941),
    [anon_sym_LPAREN] = ACTIONS(6941),
    [anon_sym_RPAREN] = ACTIONS(6941),
    [anon_sym_LBRACE] = ACTIONS(3603),
    [sym_word] = ACTIONS(6939),
    [sym_placeholder] = ACTIONS(6941),
    [sym_delimiter] = ACTIONS(6941),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_STAR] = ACTIONS(6941),
    [anon_sym_SLASH] = ACTIONS(6941),
    [anon_sym_LT] = ACTIONS(6939),
    [anon_sym_GT] = ACTIONS(6939),
    [anon_sym_BANG] = ACTIONS(6939),
    [anon_sym_PIPE] = ACTIONS(6939),
    [anon_sym_COLON] = ACTIONS(6939),
    [anon_sym_SQUOTE] = ACTIONS(6939),
    [anon_sym__] = ACTIONS(6941),
    [anon_sym_CARET] = ACTIONS(6941),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6941),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6941),
    [anon_sym_DOLLAR] = ACTIONS(6939),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6941),
    [anon_sym_BSLASHleft] = ACTIONS(6939),
    [anon_sym_BSLASHbigl] = ACTIONS(6939),
    [anon_sym_BSLASHBigl] = ACTIONS(6939),
    [anon_sym_BSLASHbiggl] = ACTIONS(6939),
    [anon_sym_BSLASHBiggl] = ACTIONS(6939),
    [anon_sym_BSLASHtext] = ACTIONS(6939),
    [anon_sym_BSLASHintertext] = ACTIONS(6939),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6939),
    [anon_sym_BSLASHbegin] = ACTIONS(6939),
    [anon_sym_BSLASHtitle] = ACTIONS(6939),
    [anon_sym_BSLASHauthor] = ACTIONS(6939),
    [anon_sym_BSLASHusepackage] = ACTIONS(6939),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6939),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6939),
    [anon_sym_BSLASHinclude] = ACTIONS(6939),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6939),
    [anon_sym_BSLASHinput] = ACTIONS(6939),
    [anon_sym_BSLASHsubfile] = ACTIONS(6939),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6939),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6939),
    [anon_sym_BSLASHbibliography] = ACTIONS(6939),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6939),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6939),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6939),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6939),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6939),
    [anon_sym_BSLASHimport] = ACTIONS(6939),
    [anon_sym_BSLASHsubimport] = ACTIONS(6939),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6939),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6939),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6939),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6939),
    [anon_sym_BSLASHcaption] = ACTIONS(6939),
    [anon_sym_BSLASHcite] = ACTIONS(6939),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCite] = ACTIONS(6939),
    [anon_sym_BSLASHnocite] = ACTIONS(6939),
    [anon_sym_BSLASHcitet] = ACTIONS(6939),
    [anon_sym_BSLASHcitep] = ACTIONS(6939),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteA] = ACTIONS(6939),
    [anon_sym_BSLASHciteR] = ACTIONS(6939),
    [anon_sym_BSLASHciteS] = ACTIONS(6939),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6939),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6939),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6939),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6939),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteyear] = ACTIONS(6939),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitedate] = ACTIONS(6939),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteurl] = ACTIONS(6939),
    [anon_sym_BSLASHfullcite] = ACTIONS(6939),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6939),
    [anon_sym_BSLASHcitealt] = ACTIONS(6939),
    [anon_sym_BSLASHcitealp] = ACTIONS(6939),
    [anon_sym_BSLASHcitetext] = ACTIONS(6939),
    [anon_sym_BSLASHparencite] = ACTIONS(6939),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHParencite] = ACTIONS(6939),
    [anon_sym_BSLASHfootcite] = ACTIONS(6939),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6939),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6939),
    [anon_sym_BSLASHtextcite] = ACTIONS(6939),
    [anon_sym_BSLASHTextcite] = ACTIONS(6939),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6939),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6939),
    [anon_sym_BSLASHsupercite] = ACTIONS(6939),
    [anon_sym_BSLASHautocite] = ACTIONS(6939),
    [anon_sym_BSLASHAutocite] = ACTIONS(6939),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHVolcite] = ACTIONS(6939),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHavolcite] = ACTIONS(6939),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHNotecite] = ACTIONS(6939),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHlabel] = ACTIONS(6939),
    [anon_sym_BSLASHref] = ACTIONS(6939),
    [anon_sym_BSLASHeqref] = ACTIONS(6939),
    [anon_sym_BSLASHvref] = ACTIONS(6939),
    [anon_sym_BSLASHVref] = ACTIONS(6939),
    [anon_sym_BSLASHautoref] = ACTIONS(6939),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHpageref] = ACTIONS(6939),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHautopageref] = ACTIONS(6939),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcref] = ACTIONS(6939),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCref] = ACTIONS(6939),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcpageref] = ACTIONS(6939),
    [anon_sym_BSLASHCpageref] = ACTIONS(6939),
    [anon_sym_BSLASHnamecref] = ACTIONS(6939),
    [anon_sym_BSLASHnameCref] = ACTIONS(6939),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6939),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6939),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6939),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6939),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6939),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6939),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6939),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6939),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6939),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6939),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6939),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHdef] = ACTIONS(6939),
    [anon_sym_BSLASHgdef] = ACTIONS(6939),
    [anon_sym_BSLASHedef] = ACTIONS(6939),
    [anon_sym_BSLASHxdef] = ACTIONS(6939),
    [anon_sym_BSLASHlet] = ACTIONS(6939),
    [anon_sym_BSLASHglet] = ACTIONS(6939),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6939),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6939),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6939),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6939),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6939),
    [anon_sym_BSLASHgls] = ACTIONS(6939),
    [anon_sym_BSLASHGls] = ACTIONS(6939),
    [anon_sym_BSLASHGLS] = ACTIONS(6939),
    [anon_sym_BSLASHglspl] = ACTIONS(6939),
    [anon_sym_BSLASHGlspl] = ACTIONS(6939),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6939),
    [anon_sym_BSLASHglslink] = ACTIONS(6939),
    [anon_sym_BSLASHglstext] = ACTIONS(6939),
    [anon_sym_BSLASHGlstext] = ACTIONS(6939),
    [anon_sym_BSLASHGLStext] = ACTIONS(6939),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6939),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6939),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6939),
    [anon_sym_BSLASHglsplural] = ACTIONS(6939),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6939),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6939),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHglsname] = ACTIONS(6939),
    [anon_sym_BSLASHGlsname] = ACTIONS(6939),
    [anon_sym_BSLASHGLSname] = ACTIONS(6939),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6939),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6939),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6939),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6939),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6939),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6939),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6939),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6939),
    [anon_sym_BSLASHacrshort] = ACTIONS(6939),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6939),
    [anon_sym_BSLASHACRshort] = ACTIONS(6939),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHacrlong] = ACTIONS(6939),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6939),
    [anon_sym_BSLASHACRlong] = ACTIONS(6939),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHacrfull] = ACTIONS(6939),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6939),
    [anon_sym_BSLASHACRfull] = ACTIONS(6939),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHacs] = ACTIONS(6939),
    [anon_sym_BSLASHAcs] = ACTIONS(6939),
    [anon_sym_BSLASHacsp] = ACTIONS(6939),
    [anon_sym_BSLASHAcsp] = ACTIONS(6939),
    [anon_sym_BSLASHacl] = ACTIONS(6939),
    [anon_sym_BSLASHAcl] = ACTIONS(6939),
    [anon_sym_BSLASHaclp] = ACTIONS(6939),
    [anon_sym_BSLASHAclp] = ACTIONS(6939),
    [anon_sym_BSLASHacf] = ACTIONS(6939),
    [anon_sym_BSLASHAcf] = ACTIONS(6939),
    [anon_sym_BSLASHacfp] = ACTIONS(6939),
    [anon_sym_BSLASHAcfp] = ACTIONS(6939),
    [anon_sym_BSLASHac] = ACTIONS(6939),
    [anon_sym_BSLASHAc] = ACTIONS(6939),
    [anon_sym_BSLASHacp] = ACTIONS(6939),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6939),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6939),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6939),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6939),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6939),
    [anon_sym_BSLASHcolor] = ACTIONS(6939),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6939),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6939),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6939),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6939),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6939),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6939),
    [anon_sym_BSLASHurl] = ACTIONS(6939),
    [anon_sym_BSLASHhref] = ACTIONS(6939),
  },
  [1767] = {
    [sym_command_name] = ACTIONS(7399),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7399),
    [anon_sym_LBRACK] = ACTIONS(7401),
    [anon_sym_RBRACK] = ACTIONS(7401),
    [anon_sym_COMMA] = ACTIONS(7401),
    [anon_sym_EQ] = ACTIONS(7401),
    [anon_sym_LPAREN] = ACTIONS(7401),
    [anon_sym_RPAREN] = ACTIONS(7401),
    [anon_sym_LBRACE] = ACTIONS(7401),
    [sym_word] = ACTIONS(7399),
    [sym_placeholder] = ACTIONS(7401),
    [sym_delimiter] = ACTIONS(7401),
    [anon_sym_PLUS] = ACTIONS(7401),
    [anon_sym_DASH] = ACTIONS(7401),
    [anon_sym_STAR] = ACTIONS(7401),
    [anon_sym_SLASH] = ACTIONS(7401),
    [anon_sym_LT] = ACTIONS(7399),
    [anon_sym_GT] = ACTIONS(7399),
    [anon_sym_BANG] = ACTIONS(7399),
    [anon_sym_PIPE] = ACTIONS(7399),
    [anon_sym_COLON] = ACTIONS(7399),
    [anon_sym_SQUOTE] = ACTIONS(7399),
    [anon_sym__] = ACTIONS(7401),
    [anon_sym_CARET] = ACTIONS(7401),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7401),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7401),
    [anon_sym_DOLLAR] = ACTIONS(7399),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7401),
    [anon_sym_BSLASHleft] = ACTIONS(7399),
    [anon_sym_BSLASHbigl] = ACTIONS(7399),
    [anon_sym_BSLASHBigl] = ACTIONS(7399),
    [anon_sym_BSLASHbiggl] = ACTIONS(7399),
    [anon_sym_BSLASHBiggl] = ACTIONS(7399),
    [anon_sym_BSLASHtext] = ACTIONS(7399),
    [anon_sym_BSLASHintertext] = ACTIONS(7399),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7399),
    [anon_sym_BSLASHbegin] = ACTIONS(7399),
    [anon_sym_BSLASHend] = ACTIONS(7399),
    [anon_sym_BSLASHtitle] = ACTIONS(7399),
    [anon_sym_BSLASHauthor] = ACTIONS(7399),
    [anon_sym_BSLASHusepackage] = ACTIONS(7399),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7399),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7399),
    [anon_sym_BSLASHinclude] = ACTIONS(7399),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7399),
    [anon_sym_BSLASHinput] = ACTIONS(7399),
    [anon_sym_BSLASHsubfile] = ACTIONS(7399),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7399),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7399),
    [anon_sym_BSLASHbibliography] = ACTIONS(7399),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7399),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7399),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7399),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7399),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7399),
    [anon_sym_BSLASHimport] = ACTIONS(7399),
    [anon_sym_BSLASHsubimport] = ACTIONS(7399),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7399),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7399),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7399),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7399),
    [anon_sym_BSLASHcaption] = ACTIONS(7399),
    [anon_sym_BSLASHcite] = ACTIONS(7399),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCite] = ACTIONS(7399),
    [anon_sym_BSLASHnocite] = ACTIONS(7399),
    [anon_sym_BSLASHcitet] = ACTIONS(7399),
    [anon_sym_BSLASHcitep] = ACTIONS(7399),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteA] = ACTIONS(7399),
    [anon_sym_BSLASHciteR] = ACTIONS(7399),
    [anon_sym_BSLASHciteS] = ACTIONS(7399),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7399),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7399),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7399),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7399),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteyear] = ACTIONS(7399),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitedate] = ACTIONS(7399),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteurl] = ACTIONS(7399),
    [anon_sym_BSLASHfullcite] = ACTIONS(7399),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7399),
    [anon_sym_BSLASHcitealt] = ACTIONS(7399),
    [anon_sym_BSLASHcitealp] = ACTIONS(7399),
    [anon_sym_BSLASHcitetext] = ACTIONS(7399),
    [anon_sym_BSLASHparencite] = ACTIONS(7399),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHParencite] = ACTIONS(7399),
    [anon_sym_BSLASHfootcite] = ACTIONS(7399),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7399),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7399),
    [anon_sym_BSLASHtextcite] = ACTIONS(7399),
    [anon_sym_BSLASHTextcite] = ACTIONS(7399),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7399),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7399),
    [anon_sym_BSLASHsupercite] = ACTIONS(7399),
    [anon_sym_BSLASHautocite] = ACTIONS(7399),
    [anon_sym_BSLASHAutocite] = ACTIONS(7399),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHVolcite] = ACTIONS(7399),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHavolcite] = ACTIONS(7399),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHNotecite] = ACTIONS(7399),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHlabel] = ACTIONS(7399),
    [anon_sym_BSLASHref] = ACTIONS(7399),
    [anon_sym_BSLASHeqref] = ACTIONS(7399),
    [anon_sym_BSLASHvref] = ACTIONS(7399),
    [anon_sym_BSLASHVref] = ACTIONS(7399),
    [anon_sym_BSLASHautoref] = ACTIONS(7399),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHpageref] = ACTIONS(7399),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHautopageref] = ACTIONS(7399),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcref] = ACTIONS(7399),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCref] = ACTIONS(7399),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcpageref] = ACTIONS(7399),
    [anon_sym_BSLASHCpageref] = ACTIONS(7399),
    [anon_sym_BSLASHnamecref] = ACTIONS(7399),
    [anon_sym_BSLASHnameCref] = ACTIONS(7399),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7399),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7399),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7399),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7399),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7399),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7399),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7399),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7399),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7399),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7399),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7399),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHdef] = ACTIONS(7399),
    [anon_sym_BSLASHgdef] = ACTIONS(7399),
    [anon_sym_BSLASHedef] = ACTIONS(7399),
    [anon_sym_BSLASHxdef] = ACTIONS(7399),
    [anon_sym_BSLASHlet] = ACTIONS(7399),
    [anon_sym_BSLASHglet] = ACTIONS(7399),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7399),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7399),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7399),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7399),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7399),
    [anon_sym_BSLASHgls] = ACTIONS(7399),
    [anon_sym_BSLASHGls] = ACTIONS(7399),
    [anon_sym_BSLASHGLS] = ACTIONS(7399),
    [anon_sym_BSLASHglspl] = ACTIONS(7399),
    [anon_sym_BSLASHGlspl] = ACTIONS(7399),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7399),
    [anon_sym_BSLASHglslink] = ACTIONS(7399),
    [anon_sym_BSLASHglstext] = ACTIONS(7399),
    [anon_sym_BSLASHGlstext] = ACTIONS(7399),
    [anon_sym_BSLASHGLStext] = ACTIONS(7399),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7399),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7399),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7399),
    [anon_sym_BSLASHglsplural] = ACTIONS(7399),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7399),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7399),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHglsname] = ACTIONS(7399),
    [anon_sym_BSLASHGlsname] = ACTIONS(7399),
    [anon_sym_BSLASHGLSname] = ACTIONS(7399),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7399),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7399),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7399),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7399),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7399),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7399),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7399),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7399),
    [anon_sym_BSLASHacrshort] = ACTIONS(7399),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7399),
    [anon_sym_BSLASHACRshort] = ACTIONS(7399),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHacrlong] = ACTIONS(7399),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7399),
    [anon_sym_BSLASHACRlong] = ACTIONS(7399),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHacrfull] = ACTIONS(7399),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7399),
    [anon_sym_BSLASHACRfull] = ACTIONS(7399),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHacs] = ACTIONS(7399),
    [anon_sym_BSLASHAcs] = ACTIONS(7399),
    [anon_sym_BSLASHacsp] = ACTIONS(7399),
    [anon_sym_BSLASHAcsp] = ACTIONS(7399),
    [anon_sym_BSLASHacl] = ACTIONS(7399),
    [anon_sym_BSLASHAcl] = ACTIONS(7399),
    [anon_sym_BSLASHaclp] = ACTIONS(7399),
    [anon_sym_BSLASHAclp] = ACTIONS(7399),
    [anon_sym_BSLASHacf] = ACTIONS(7399),
    [anon_sym_BSLASHAcf] = ACTIONS(7399),
    [anon_sym_BSLASHacfp] = ACTIONS(7399),
    [anon_sym_BSLASHAcfp] = ACTIONS(7399),
    [anon_sym_BSLASHac] = ACTIONS(7399),
    [anon_sym_BSLASHAc] = ACTIONS(7399),
    [anon_sym_BSLASHacp] = ACTIONS(7399),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7399),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7399),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7399),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7399),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7399),
    [anon_sym_BSLASHcolor] = ACTIONS(7399),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7399),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7399),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7399),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7399),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7399),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7399),
    [anon_sym_BSLASHurl] = ACTIONS(7399),
    [anon_sym_BSLASHhref] = ACTIONS(7399),
  },
  [1768] = {
    [sym_command_name] = ACTIONS(7043),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7043),
    [anon_sym_LBRACK] = ACTIONS(7045),
    [anon_sym_RBRACK] = ACTIONS(7045),
    [anon_sym_COMMA] = ACTIONS(7045),
    [anon_sym_EQ] = ACTIONS(7045),
    [anon_sym_LPAREN] = ACTIONS(7045),
    [anon_sym_RPAREN] = ACTIONS(7045),
    [anon_sym_LBRACE] = ACTIONS(7045),
    [sym_word] = ACTIONS(7043),
    [sym_placeholder] = ACTIONS(7045),
    [sym_delimiter] = ACTIONS(7045),
    [anon_sym_PLUS] = ACTIONS(7045),
    [anon_sym_DASH] = ACTIONS(7045),
    [anon_sym_STAR] = ACTIONS(7045),
    [anon_sym_SLASH] = ACTIONS(7045),
    [anon_sym_LT] = ACTIONS(7043),
    [anon_sym_GT] = ACTIONS(7043),
    [anon_sym_BANG] = ACTIONS(7043),
    [anon_sym_PIPE] = ACTIONS(7043),
    [anon_sym_COLON] = ACTIONS(7043),
    [anon_sym_SQUOTE] = ACTIONS(7043),
    [anon_sym__] = ACTIONS(7045),
    [anon_sym_CARET] = ACTIONS(7045),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7045),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7045),
    [anon_sym_DOLLAR] = ACTIONS(7043),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7045),
    [anon_sym_BSLASHleft] = ACTIONS(7043),
    [anon_sym_BSLASHbigl] = ACTIONS(7043),
    [anon_sym_BSLASHBigl] = ACTIONS(7043),
    [anon_sym_BSLASHbiggl] = ACTIONS(7043),
    [anon_sym_BSLASHBiggl] = ACTIONS(7043),
    [anon_sym_BSLASHtext] = ACTIONS(7043),
    [anon_sym_BSLASHintertext] = ACTIONS(7043),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7043),
    [anon_sym_BSLASHbegin] = ACTIONS(7043),
    [anon_sym_BSLASHend] = ACTIONS(7043),
    [anon_sym_BSLASHtitle] = ACTIONS(7043),
    [anon_sym_BSLASHauthor] = ACTIONS(7043),
    [anon_sym_BSLASHusepackage] = ACTIONS(7043),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7043),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7043),
    [anon_sym_BSLASHinclude] = ACTIONS(7043),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7043),
    [anon_sym_BSLASHinput] = ACTIONS(7043),
    [anon_sym_BSLASHsubfile] = ACTIONS(7043),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7043),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7043),
    [anon_sym_BSLASHbibliography] = ACTIONS(7043),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7043),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7043),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7043),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7043),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7043),
    [anon_sym_BSLASHimport] = ACTIONS(7043),
    [anon_sym_BSLASHsubimport] = ACTIONS(7043),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7043),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7043),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7043),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7043),
    [anon_sym_BSLASHcaption] = ACTIONS(7043),
    [anon_sym_BSLASHcite] = ACTIONS(7043),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCite] = ACTIONS(7043),
    [anon_sym_BSLASHnocite] = ACTIONS(7043),
    [anon_sym_BSLASHcitet] = ACTIONS(7043),
    [anon_sym_BSLASHcitep] = ACTIONS(7043),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteA] = ACTIONS(7043),
    [anon_sym_BSLASHciteR] = ACTIONS(7043),
    [anon_sym_BSLASHciteS] = ACTIONS(7043),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7043),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7043),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7043),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7043),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteyear] = ACTIONS(7043),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitedate] = ACTIONS(7043),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteurl] = ACTIONS(7043),
    [anon_sym_BSLASHfullcite] = ACTIONS(7043),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7043),
    [anon_sym_BSLASHcitealt] = ACTIONS(7043),
    [anon_sym_BSLASHcitealp] = ACTIONS(7043),
    [anon_sym_BSLASHcitetext] = ACTIONS(7043),
    [anon_sym_BSLASHparencite] = ACTIONS(7043),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHParencite] = ACTIONS(7043),
    [anon_sym_BSLASHfootcite] = ACTIONS(7043),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7043),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7043),
    [anon_sym_BSLASHtextcite] = ACTIONS(7043),
    [anon_sym_BSLASHTextcite] = ACTIONS(7043),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7043),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7043),
    [anon_sym_BSLASHsupercite] = ACTIONS(7043),
    [anon_sym_BSLASHautocite] = ACTIONS(7043),
    [anon_sym_BSLASHAutocite] = ACTIONS(7043),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHVolcite] = ACTIONS(7043),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHavolcite] = ACTIONS(7043),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHNotecite] = ACTIONS(7043),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHlabel] = ACTIONS(7043),
    [anon_sym_BSLASHref] = ACTIONS(7043),
    [anon_sym_BSLASHeqref] = ACTIONS(7043),
    [anon_sym_BSLASHvref] = ACTIONS(7043),
    [anon_sym_BSLASHVref] = ACTIONS(7043),
    [anon_sym_BSLASHautoref] = ACTIONS(7043),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHpageref] = ACTIONS(7043),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHautopageref] = ACTIONS(7043),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcref] = ACTIONS(7043),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCref] = ACTIONS(7043),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcpageref] = ACTIONS(7043),
    [anon_sym_BSLASHCpageref] = ACTIONS(7043),
    [anon_sym_BSLASHnamecref] = ACTIONS(7043),
    [anon_sym_BSLASHnameCref] = ACTIONS(7043),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7043),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7043),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7043),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7043),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7043),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7043),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7043),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7043),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7043),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7043),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7043),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHdef] = ACTIONS(7043),
    [anon_sym_BSLASHgdef] = ACTIONS(7043),
    [anon_sym_BSLASHedef] = ACTIONS(7043),
    [anon_sym_BSLASHxdef] = ACTIONS(7043),
    [anon_sym_BSLASHlet] = ACTIONS(7043),
    [anon_sym_BSLASHglet] = ACTIONS(7043),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7043),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7043),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7043),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7043),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7043),
    [anon_sym_BSLASHgls] = ACTIONS(7043),
    [anon_sym_BSLASHGls] = ACTIONS(7043),
    [anon_sym_BSLASHGLS] = ACTIONS(7043),
    [anon_sym_BSLASHglspl] = ACTIONS(7043),
    [anon_sym_BSLASHGlspl] = ACTIONS(7043),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7043),
    [anon_sym_BSLASHglslink] = ACTIONS(7043),
    [anon_sym_BSLASHglstext] = ACTIONS(7043),
    [anon_sym_BSLASHGlstext] = ACTIONS(7043),
    [anon_sym_BSLASHGLStext] = ACTIONS(7043),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7043),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7043),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7043),
    [anon_sym_BSLASHglsplural] = ACTIONS(7043),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7043),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7043),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHglsname] = ACTIONS(7043),
    [anon_sym_BSLASHGlsname] = ACTIONS(7043),
    [anon_sym_BSLASHGLSname] = ACTIONS(7043),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7043),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7043),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7043),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7043),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7043),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7043),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7043),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7043),
    [anon_sym_BSLASHacrshort] = ACTIONS(7043),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7043),
    [anon_sym_BSLASHACRshort] = ACTIONS(7043),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHacrlong] = ACTIONS(7043),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7043),
    [anon_sym_BSLASHACRlong] = ACTIONS(7043),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHacrfull] = ACTIONS(7043),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7043),
    [anon_sym_BSLASHACRfull] = ACTIONS(7043),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHacs] = ACTIONS(7043),
    [anon_sym_BSLASHAcs] = ACTIONS(7043),
    [anon_sym_BSLASHacsp] = ACTIONS(7043),
    [anon_sym_BSLASHAcsp] = ACTIONS(7043),
    [anon_sym_BSLASHacl] = ACTIONS(7043),
    [anon_sym_BSLASHAcl] = ACTIONS(7043),
    [anon_sym_BSLASHaclp] = ACTIONS(7043),
    [anon_sym_BSLASHAclp] = ACTIONS(7043),
    [anon_sym_BSLASHacf] = ACTIONS(7043),
    [anon_sym_BSLASHAcf] = ACTIONS(7043),
    [anon_sym_BSLASHacfp] = ACTIONS(7043),
    [anon_sym_BSLASHAcfp] = ACTIONS(7043),
    [anon_sym_BSLASHac] = ACTIONS(7043),
    [anon_sym_BSLASHAc] = ACTIONS(7043),
    [anon_sym_BSLASHacp] = ACTIONS(7043),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7043),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7043),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7043),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7043),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7043),
    [anon_sym_BSLASHcolor] = ACTIONS(7043),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7043),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7043),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7043),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7043),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7043),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7043),
    [anon_sym_BSLASHurl] = ACTIONS(7043),
    [anon_sym_BSLASHhref] = ACTIONS(7043),
  },
  [1769] = {
    [sym_command_name] = ACTIONS(7595),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7595),
    [anon_sym_LBRACK] = ACTIONS(7597),
    [anon_sym_RBRACK] = ACTIONS(7597),
    [anon_sym_COMMA] = ACTIONS(7597),
    [anon_sym_EQ] = ACTIONS(7597),
    [anon_sym_LPAREN] = ACTIONS(7597),
    [anon_sym_RPAREN] = ACTIONS(7597),
    [anon_sym_LBRACE] = ACTIONS(7597),
    [sym_word] = ACTIONS(7595),
    [sym_placeholder] = ACTIONS(7597),
    [sym_delimiter] = ACTIONS(7597),
    [anon_sym_PLUS] = ACTIONS(7597),
    [anon_sym_DASH] = ACTIONS(7597),
    [anon_sym_STAR] = ACTIONS(7597),
    [anon_sym_SLASH] = ACTIONS(7597),
    [anon_sym_LT] = ACTIONS(7595),
    [anon_sym_GT] = ACTIONS(7595),
    [anon_sym_BANG] = ACTIONS(7595),
    [anon_sym_PIPE] = ACTIONS(7595),
    [anon_sym_COLON] = ACTIONS(7595),
    [anon_sym_SQUOTE] = ACTIONS(7595),
    [anon_sym__] = ACTIONS(7597),
    [anon_sym_CARET] = ACTIONS(7597),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7597),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7597),
    [anon_sym_DOLLAR] = ACTIONS(7595),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7597),
    [anon_sym_BSLASHleft] = ACTIONS(7595),
    [anon_sym_BSLASHbigl] = ACTIONS(7595),
    [anon_sym_BSLASHBigl] = ACTIONS(7595),
    [anon_sym_BSLASHbiggl] = ACTIONS(7595),
    [anon_sym_BSLASHBiggl] = ACTIONS(7595),
    [anon_sym_BSLASHtext] = ACTIONS(7595),
    [anon_sym_BSLASHintertext] = ACTIONS(7595),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7595),
    [anon_sym_BSLASHbegin] = ACTIONS(7595),
    [anon_sym_BSLASHend] = ACTIONS(7595),
    [anon_sym_BSLASHtitle] = ACTIONS(7595),
    [anon_sym_BSLASHauthor] = ACTIONS(7595),
    [anon_sym_BSLASHusepackage] = ACTIONS(7595),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7595),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7595),
    [anon_sym_BSLASHinclude] = ACTIONS(7595),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7595),
    [anon_sym_BSLASHinput] = ACTIONS(7595),
    [anon_sym_BSLASHsubfile] = ACTIONS(7595),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7595),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7595),
    [anon_sym_BSLASHbibliography] = ACTIONS(7595),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7595),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7595),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7595),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7595),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7595),
    [anon_sym_BSLASHimport] = ACTIONS(7595),
    [anon_sym_BSLASHsubimport] = ACTIONS(7595),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7595),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7595),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7595),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7595),
    [anon_sym_BSLASHcaption] = ACTIONS(7595),
    [anon_sym_BSLASHcite] = ACTIONS(7595),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCite] = ACTIONS(7595),
    [anon_sym_BSLASHnocite] = ACTIONS(7595),
    [anon_sym_BSLASHcitet] = ACTIONS(7595),
    [anon_sym_BSLASHcitep] = ACTIONS(7595),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteA] = ACTIONS(7595),
    [anon_sym_BSLASHciteR] = ACTIONS(7595),
    [anon_sym_BSLASHciteS] = ACTIONS(7595),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7595),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7595),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7595),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7595),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteyear] = ACTIONS(7595),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitedate] = ACTIONS(7595),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteurl] = ACTIONS(7595),
    [anon_sym_BSLASHfullcite] = ACTIONS(7595),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7595),
    [anon_sym_BSLASHcitealt] = ACTIONS(7595),
    [anon_sym_BSLASHcitealp] = ACTIONS(7595),
    [anon_sym_BSLASHcitetext] = ACTIONS(7595),
    [anon_sym_BSLASHparencite] = ACTIONS(7595),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHParencite] = ACTIONS(7595),
    [anon_sym_BSLASHfootcite] = ACTIONS(7595),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7595),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7595),
    [anon_sym_BSLASHtextcite] = ACTIONS(7595),
    [anon_sym_BSLASHTextcite] = ACTIONS(7595),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7595),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7595),
    [anon_sym_BSLASHsupercite] = ACTIONS(7595),
    [anon_sym_BSLASHautocite] = ACTIONS(7595),
    [anon_sym_BSLASHAutocite] = ACTIONS(7595),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHVolcite] = ACTIONS(7595),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHavolcite] = ACTIONS(7595),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHNotecite] = ACTIONS(7595),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHlabel] = ACTIONS(7595),
    [anon_sym_BSLASHref] = ACTIONS(7595),
    [anon_sym_BSLASHeqref] = ACTIONS(7595),
    [anon_sym_BSLASHvref] = ACTIONS(7595),
    [anon_sym_BSLASHVref] = ACTIONS(7595),
    [anon_sym_BSLASHautoref] = ACTIONS(7595),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHpageref] = ACTIONS(7595),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHautopageref] = ACTIONS(7595),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcref] = ACTIONS(7595),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCref] = ACTIONS(7595),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcpageref] = ACTIONS(7595),
    [anon_sym_BSLASHCpageref] = ACTIONS(7595),
    [anon_sym_BSLASHnamecref] = ACTIONS(7595),
    [anon_sym_BSLASHnameCref] = ACTIONS(7595),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7595),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7595),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7595),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7595),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7595),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7595),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7595),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7595),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7595),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7595),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7595),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHdef] = ACTIONS(7595),
    [anon_sym_BSLASHgdef] = ACTIONS(7595),
    [anon_sym_BSLASHedef] = ACTIONS(7595),
    [anon_sym_BSLASHxdef] = ACTIONS(7595),
    [anon_sym_BSLASHlet] = ACTIONS(7595),
    [anon_sym_BSLASHglet] = ACTIONS(7595),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7595),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7595),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7595),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7595),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7595),
    [anon_sym_BSLASHgls] = ACTIONS(7595),
    [anon_sym_BSLASHGls] = ACTIONS(7595),
    [anon_sym_BSLASHGLS] = ACTIONS(7595),
    [anon_sym_BSLASHglspl] = ACTIONS(7595),
    [anon_sym_BSLASHGlspl] = ACTIONS(7595),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7595),
    [anon_sym_BSLASHglslink] = ACTIONS(7595),
    [anon_sym_BSLASHglstext] = ACTIONS(7595),
    [anon_sym_BSLASHGlstext] = ACTIONS(7595),
    [anon_sym_BSLASHGLStext] = ACTIONS(7595),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7595),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7595),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7595),
    [anon_sym_BSLASHglsplural] = ACTIONS(7595),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7595),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7595),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHglsname] = ACTIONS(7595),
    [anon_sym_BSLASHGlsname] = ACTIONS(7595),
    [anon_sym_BSLASHGLSname] = ACTIONS(7595),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7595),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7595),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7595),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7595),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7595),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7595),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7595),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7595),
    [anon_sym_BSLASHacrshort] = ACTIONS(7595),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7595),
    [anon_sym_BSLASHACRshort] = ACTIONS(7595),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHacrlong] = ACTIONS(7595),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7595),
    [anon_sym_BSLASHACRlong] = ACTIONS(7595),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHacrfull] = ACTIONS(7595),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7595),
    [anon_sym_BSLASHACRfull] = ACTIONS(7595),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHacs] = ACTIONS(7595),
    [anon_sym_BSLASHAcs] = ACTIONS(7595),
    [anon_sym_BSLASHacsp] = ACTIONS(7595),
    [anon_sym_BSLASHAcsp] = ACTIONS(7595),
    [anon_sym_BSLASHacl] = ACTIONS(7595),
    [anon_sym_BSLASHAcl] = ACTIONS(7595),
    [anon_sym_BSLASHaclp] = ACTIONS(7595),
    [anon_sym_BSLASHAclp] = ACTIONS(7595),
    [anon_sym_BSLASHacf] = ACTIONS(7595),
    [anon_sym_BSLASHAcf] = ACTIONS(7595),
    [anon_sym_BSLASHacfp] = ACTIONS(7595),
    [anon_sym_BSLASHAcfp] = ACTIONS(7595),
    [anon_sym_BSLASHac] = ACTIONS(7595),
    [anon_sym_BSLASHAc] = ACTIONS(7595),
    [anon_sym_BSLASHacp] = ACTIONS(7595),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7595),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7595),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7595),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7595),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7595),
    [anon_sym_BSLASHcolor] = ACTIONS(7595),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7595),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7595),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7595),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7595),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7595),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7595),
    [anon_sym_BSLASHurl] = ACTIONS(7595),
    [anon_sym_BSLASHhref] = ACTIONS(7595),
  },
  [1770] = {
    [sym_command_name] = ACTIONS(7423),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7423),
    [anon_sym_LBRACK] = ACTIONS(7425),
    [anon_sym_RBRACK] = ACTIONS(7425),
    [anon_sym_COMMA] = ACTIONS(7425),
    [anon_sym_EQ] = ACTIONS(7425),
    [anon_sym_LPAREN] = ACTIONS(7425),
    [anon_sym_RPAREN] = ACTIONS(7425),
    [anon_sym_LBRACE] = ACTIONS(7425),
    [sym_word] = ACTIONS(7423),
    [sym_placeholder] = ACTIONS(7425),
    [sym_delimiter] = ACTIONS(7425),
    [anon_sym_PLUS] = ACTIONS(7425),
    [anon_sym_DASH] = ACTIONS(7425),
    [anon_sym_STAR] = ACTIONS(7425),
    [anon_sym_SLASH] = ACTIONS(7425),
    [anon_sym_LT] = ACTIONS(7423),
    [anon_sym_GT] = ACTIONS(7423),
    [anon_sym_BANG] = ACTIONS(7423),
    [anon_sym_PIPE] = ACTIONS(7423),
    [anon_sym_COLON] = ACTIONS(7423),
    [anon_sym_SQUOTE] = ACTIONS(7423),
    [anon_sym__] = ACTIONS(7425),
    [anon_sym_CARET] = ACTIONS(7425),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7425),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7425),
    [anon_sym_DOLLAR] = ACTIONS(7423),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7425),
    [anon_sym_BSLASHleft] = ACTIONS(7423),
    [anon_sym_BSLASHbigl] = ACTIONS(7423),
    [anon_sym_BSLASHBigl] = ACTIONS(7423),
    [anon_sym_BSLASHbiggl] = ACTIONS(7423),
    [anon_sym_BSLASHBiggl] = ACTIONS(7423),
    [anon_sym_BSLASHtext] = ACTIONS(7423),
    [anon_sym_BSLASHintertext] = ACTIONS(7423),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7423),
    [anon_sym_BSLASHbegin] = ACTIONS(7423),
    [anon_sym_BSLASHend] = ACTIONS(7423),
    [anon_sym_BSLASHtitle] = ACTIONS(7423),
    [anon_sym_BSLASHauthor] = ACTIONS(7423),
    [anon_sym_BSLASHusepackage] = ACTIONS(7423),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7423),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7423),
    [anon_sym_BSLASHinclude] = ACTIONS(7423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7423),
    [anon_sym_BSLASHinput] = ACTIONS(7423),
    [anon_sym_BSLASHsubfile] = ACTIONS(7423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7423),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7423),
    [anon_sym_BSLASHbibliography] = ACTIONS(7423),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7423),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7423),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7423),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7423),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7423),
    [anon_sym_BSLASHimport] = ACTIONS(7423),
    [anon_sym_BSLASHsubimport] = ACTIONS(7423),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7423),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7423),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7423),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7423),
    [anon_sym_BSLASHcaption] = ACTIONS(7423),
    [anon_sym_BSLASHcite] = ACTIONS(7423),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHCite] = ACTIONS(7423),
    [anon_sym_BSLASHnocite] = ACTIONS(7423),
    [anon_sym_BSLASHcitet] = ACTIONS(7423),
    [anon_sym_BSLASHcitep] = ACTIONS(7423),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHciteA] = ACTIONS(7423),
    [anon_sym_BSLASHciteR] = ACTIONS(7423),
    [anon_sym_BSLASHciteS] = ACTIONS(7423),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7423),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7423),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7423),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7423),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHciteyear] = ACTIONS(7423),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcitedate] = ACTIONS(7423),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHciteurl] = ACTIONS(7423),
    [anon_sym_BSLASHfullcite] = ACTIONS(7423),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7423),
    [anon_sym_BSLASHcitealt] = ACTIONS(7423),
    [anon_sym_BSLASHcitealp] = ACTIONS(7423),
    [anon_sym_BSLASHcitetext] = ACTIONS(7423),
    [anon_sym_BSLASHparencite] = ACTIONS(7423),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHParencite] = ACTIONS(7423),
    [anon_sym_BSLASHfootcite] = ACTIONS(7423),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7423),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7423),
    [anon_sym_BSLASHtextcite] = ACTIONS(7423),
    [anon_sym_BSLASHTextcite] = ACTIONS(7423),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7423),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7423),
    [anon_sym_BSLASHsupercite] = ACTIONS(7423),
    [anon_sym_BSLASHautocite] = ACTIONS(7423),
    [anon_sym_BSLASHAutocite] = ACTIONS(7423),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHVolcite] = ACTIONS(7423),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHavolcite] = ACTIONS(7423),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHnotecite] = ACTIONS(7423),
    [anon_sym_BSLASHNotecite] = ACTIONS(7423),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7423),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7423),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7423),
    [anon_sym_BSLASHlabel] = ACTIONS(7423),
    [anon_sym_BSLASHref] = ACTIONS(7423),
    [anon_sym_BSLASHeqref] = ACTIONS(7423),
    [anon_sym_BSLASHvref] = ACTIONS(7423),
    [anon_sym_BSLASHVref] = ACTIONS(7423),
    [anon_sym_BSLASHautoref] = ACTIONS(7423),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHpageref] = ACTIONS(7423),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHautopageref] = ACTIONS(7423),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcref] = ACTIONS(7423),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHCref] = ACTIONS(7423),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcpageref] = ACTIONS(7423),
    [anon_sym_BSLASHCpageref] = ACTIONS(7423),
    [anon_sym_BSLASHnamecref] = ACTIONS(7423),
    [anon_sym_BSLASHnameCref] = ACTIONS(7423),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7423),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7423),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7423),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7423),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7423),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7423),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7423),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7423),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7423),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7423),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7423),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7423),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7423),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7423),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7423),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7423),
    [anon_sym_BSLASHdef] = ACTIONS(7423),
    [anon_sym_BSLASHgdef] = ACTIONS(7423),
    [anon_sym_BSLASHedef] = ACTIONS(7423),
    [anon_sym_BSLASHxdef] = ACTIONS(7423),
    [anon_sym_BSLASHlet] = ACTIONS(7423),
    [anon_sym_BSLASHglet] = ACTIONS(7423),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7423),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7423),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7423),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7423),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7423),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7423),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7423),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7423),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7423),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7423),
    [anon_sym_BSLASHgls] = ACTIONS(7423),
    [anon_sym_BSLASHGls] = ACTIONS(7423),
    [anon_sym_BSLASHGLS] = ACTIONS(7423),
    [anon_sym_BSLASHglspl] = ACTIONS(7423),
    [anon_sym_BSLASHGlspl] = ACTIONS(7423),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7423),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7423),
    [anon_sym_BSLASHglslink] = ACTIONS(7423),
    [anon_sym_BSLASHglstext] = ACTIONS(7423),
    [anon_sym_BSLASHGlstext] = ACTIONS(7423),
    [anon_sym_BSLASHGLStext] = ACTIONS(7423),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7423),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7423),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7423),
    [anon_sym_BSLASHglsplural] = ACTIONS(7423),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7423),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7423),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7423),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7423),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7423),
    [anon_sym_BSLASHglsname] = ACTIONS(7423),
    [anon_sym_BSLASHGlsname] = ACTIONS(7423),
    [anon_sym_BSLASHGLSname] = ACTIONS(7423),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7423),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7423),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7423),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7423),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7423),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7423),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7423),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7423),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7423),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7423),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7423),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7423),
    [anon_sym_BSLASHacrshort] = ACTIONS(7423),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7423),
    [anon_sym_BSLASHACRshort] = ACTIONS(7423),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHacrlong] = ACTIONS(7423),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7423),
    [anon_sym_BSLASHACRlong] = ACTIONS(7423),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7423),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7423),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7423),
    [anon_sym_BSLASHacrfull] = ACTIONS(7423),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7423),
    [anon_sym_BSLASHACRfull] = ACTIONS(7423),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHacs] = ACTIONS(7423),
    [anon_sym_BSLASHAcs] = ACTIONS(7423),
    [anon_sym_BSLASHacsp] = ACTIONS(7423),
    [anon_sym_BSLASHAcsp] = ACTIONS(7423),
    [anon_sym_BSLASHacl] = ACTIONS(7423),
    [anon_sym_BSLASHAcl] = ACTIONS(7423),
    [anon_sym_BSLASHaclp] = ACTIONS(7423),
    [anon_sym_BSLASHAclp] = ACTIONS(7423),
    [anon_sym_BSLASHacf] = ACTIONS(7423),
    [anon_sym_BSLASHAcf] = ACTIONS(7423),
    [anon_sym_BSLASHacfp] = ACTIONS(7423),
    [anon_sym_BSLASHAcfp] = ACTIONS(7423),
    [anon_sym_BSLASHac] = ACTIONS(7423),
    [anon_sym_BSLASHAc] = ACTIONS(7423),
    [anon_sym_BSLASHacp] = ACTIONS(7423),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7423),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7423),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7423),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7423),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7423),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7423),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7423),
    [anon_sym_BSLASHcolor] = ACTIONS(7423),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7423),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7423),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7423),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7423),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7423),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7423),
    [anon_sym_BSLASHurl] = ACTIONS(7423),
    [anon_sym_BSLASHhref] = ACTIONS(7423),
  },
  [1771] = {
    [sym_command_name] = ACTIONS(7427),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7427),
    [anon_sym_LBRACK] = ACTIONS(7429),
    [anon_sym_RBRACK] = ACTIONS(7429),
    [anon_sym_COMMA] = ACTIONS(7429),
    [anon_sym_EQ] = ACTIONS(7429),
    [anon_sym_LPAREN] = ACTIONS(7429),
    [anon_sym_RPAREN] = ACTIONS(7429),
    [anon_sym_LBRACE] = ACTIONS(7429),
    [sym_word] = ACTIONS(7427),
    [sym_placeholder] = ACTIONS(7429),
    [sym_delimiter] = ACTIONS(7429),
    [anon_sym_PLUS] = ACTIONS(7429),
    [anon_sym_DASH] = ACTIONS(7429),
    [anon_sym_STAR] = ACTIONS(7429),
    [anon_sym_SLASH] = ACTIONS(7429),
    [anon_sym_LT] = ACTIONS(7427),
    [anon_sym_GT] = ACTIONS(7427),
    [anon_sym_BANG] = ACTIONS(7427),
    [anon_sym_PIPE] = ACTIONS(7427),
    [anon_sym_COLON] = ACTIONS(7427),
    [anon_sym_SQUOTE] = ACTIONS(7427),
    [anon_sym__] = ACTIONS(7429),
    [anon_sym_CARET] = ACTIONS(7429),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7429),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7429),
    [anon_sym_DOLLAR] = ACTIONS(7427),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7429),
    [anon_sym_BSLASHleft] = ACTIONS(7427),
    [anon_sym_BSLASHbigl] = ACTIONS(7427),
    [anon_sym_BSLASHBigl] = ACTIONS(7427),
    [anon_sym_BSLASHbiggl] = ACTIONS(7427),
    [anon_sym_BSLASHBiggl] = ACTIONS(7427),
    [anon_sym_BSLASHtext] = ACTIONS(7427),
    [anon_sym_BSLASHintertext] = ACTIONS(7427),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7427),
    [anon_sym_BSLASHbegin] = ACTIONS(7427),
    [anon_sym_BSLASHend] = ACTIONS(7427),
    [anon_sym_BSLASHtitle] = ACTIONS(7427),
    [anon_sym_BSLASHauthor] = ACTIONS(7427),
    [anon_sym_BSLASHusepackage] = ACTIONS(7427),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7427),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7427),
    [anon_sym_BSLASHinclude] = ACTIONS(7427),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7427),
    [anon_sym_BSLASHinput] = ACTIONS(7427),
    [anon_sym_BSLASHsubfile] = ACTIONS(7427),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7427),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7427),
    [anon_sym_BSLASHbibliography] = ACTIONS(7427),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7427),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7427),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7427),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7427),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7427),
    [anon_sym_BSLASHimport] = ACTIONS(7427),
    [anon_sym_BSLASHsubimport] = ACTIONS(7427),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7427),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7427),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7427),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7427),
    [anon_sym_BSLASHcaption] = ACTIONS(7427),
    [anon_sym_BSLASHcite] = ACTIONS(7427),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHCite] = ACTIONS(7427),
    [anon_sym_BSLASHnocite] = ACTIONS(7427),
    [anon_sym_BSLASHcitet] = ACTIONS(7427),
    [anon_sym_BSLASHcitep] = ACTIONS(7427),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHciteA] = ACTIONS(7427),
    [anon_sym_BSLASHciteR] = ACTIONS(7427),
    [anon_sym_BSLASHciteS] = ACTIONS(7427),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7427),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7427),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7427),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7427),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHciteyear] = ACTIONS(7427),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcitedate] = ACTIONS(7427),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHciteurl] = ACTIONS(7427),
    [anon_sym_BSLASHfullcite] = ACTIONS(7427),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7427),
    [anon_sym_BSLASHcitealt] = ACTIONS(7427),
    [anon_sym_BSLASHcitealp] = ACTIONS(7427),
    [anon_sym_BSLASHcitetext] = ACTIONS(7427),
    [anon_sym_BSLASHparencite] = ACTIONS(7427),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHParencite] = ACTIONS(7427),
    [anon_sym_BSLASHfootcite] = ACTIONS(7427),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7427),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7427),
    [anon_sym_BSLASHtextcite] = ACTIONS(7427),
    [anon_sym_BSLASHTextcite] = ACTIONS(7427),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7427),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7427),
    [anon_sym_BSLASHsupercite] = ACTIONS(7427),
    [anon_sym_BSLASHautocite] = ACTIONS(7427),
    [anon_sym_BSLASHAutocite] = ACTIONS(7427),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHVolcite] = ACTIONS(7427),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHavolcite] = ACTIONS(7427),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHnotecite] = ACTIONS(7427),
    [anon_sym_BSLASHNotecite] = ACTIONS(7427),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7427),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7427),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7427),
    [anon_sym_BSLASHlabel] = ACTIONS(7427),
    [anon_sym_BSLASHref] = ACTIONS(7427),
    [anon_sym_BSLASHeqref] = ACTIONS(7427),
    [anon_sym_BSLASHvref] = ACTIONS(7427),
    [anon_sym_BSLASHVref] = ACTIONS(7427),
    [anon_sym_BSLASHautoref] = ACTIONS(7427),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHpageref] = ACTIONS(7427),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHautopageref] = ACTIONS(7427),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcref] = ACTIONS(7427),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHCref] = ACTIONS(7427),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcpageref] = ACTIONS(7427),
    [anon_sym_BSLASHCpageref] = ACTIONS(7427),
    [anon_sym_BSLASHnamecref] = ACTIONS(7427),
    [anon_sym_BSLASHnameCref] = ACTIONS(7427),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7427),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7427),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7427),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7427),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7427),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7427),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7427),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7427),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7427),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7427),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7427),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7427),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7427),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7427),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7427),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7427),
    [anon_sym_BSLASHdef] = ACTIONS(7427),
    [anon_sym_BSLASHgdef] = ACTIONS(7427),
    [anon_sym_BSLASHedef] = ACTIONS(7427),
    [anon_sym_BSLASHxdef] = ACTIONS(7427),
    [anon_sym_BSLASHlet] = ACTIONS(7427),
    [anon_sym_BSLASHglet] = ACTIONS(7427),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7427),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7427),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7427),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7427),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7427),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7427),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7427),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7427),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7427),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7427),
    [anon_sym_BSLASHgls] = ACTIONS(7427),
    [anon_sym_BSLASHGls] = ACTIONS(7427),
    [anon_sym_BSLASHGLS] = ACTIONS(7427),
    [anon_sym_BSLASHglspl] = ACTIONS(7427),
    [anon_sym_BSLASHGlspl] = ACTIONS(7427),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7427),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7427),
    [anon_sym_BSLASHglslink] = ACTIONS(7427),
    [anon_sym_BSLASHglstext] = ACTIONS(7427),
    [anon_sym_BSLASHGlstext] = ACTIONS(7427),
    [anon_sym_BSLASHGLStext] = ACTIONS(7427),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7427),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7427),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7427),
    [anon_sym_BSLASHglsplural] = ACTIONS(7427),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7427),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7427),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7427),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7427),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7427),
    [anon_sym_BSLASHglsname] = ACTIONS(7427),
    [anon_sym_BSLASHGlsname] = ACTIONS(7427),
    [anon_sym_BSLASHGLSname] = ACTIONS(7427),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7427),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7427),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7427),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7427),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7427),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7427),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7427),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7427),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7427),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7427),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7427),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7427),
    [anon_sym_BSLASHacrshort] = ACTIONS(7427),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7427),
    [anon_sym_BSLASHACRshort] = ACTIONS(7427),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHacrlong] = ACTIONS(7427),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7427),
    [anon_sym_BSLASHACRlong] = ACTIONS(7427),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7427),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7427),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7427),
    [anon_sym_BSLASHacrfull] = ACTIONS(7427),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7427),
    [anon_sym_BSLASHACRfull] = ACTIONS(7427),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHacs] = ACTIONS(7427),
    [anon_sym_BSLASHAcs] = ACTIONS(7427),
    [anon_sym_BSLASHacsp] = ACTIONS(7427),
    [anon_sym_BSLASHAcsp] = ACTIONS(7427),
    [anon_sym_BSLASHacl] = ACTIONS(7427),
    [anon_sym_BSLASHAcl] = ACTIONS(7427),
    [anon_sym_BSLASHaclp] = ACTIONS(7427),
    [anon_sym_BSLASHAclp] = ACTIONS(7427),
    [anon_sym_BSLASHacf] = ACTIONS(7427),
    [anon_sym_BSLASHAcf] = ACTIONS(7427),
    [anon_sym_BSLASHacfp] = ACTIONS(7427),
    [anon_sym_BSLASHAcfp] = ACTIONS(7427),
    [anon_sym_BSLASHac] = ACTIONS(7427),
    [anon_sym_BSLASHAc] = ACTIONS(7427),
    [anon_sym_BSLASHacp] = ACTIONS(7427),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7427),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7427),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7427),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7427),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7427),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7427),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7427),
    [anon_sym_BSLASHcolor] = ACTIONS(7427),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7427),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7427),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7427),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7427),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7427),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7427),
    [anon_sym_BSLASHurl] = ACTIONS(7427),
    [anon_sym_BSLASHhref] = ACTIONS(7427),
  },
  [1772] = {
    [sym_command_name] = ACTIONS(7431),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7431),
    [anon_sym_LBRACK] = ACTIONS(7433),
    [anon_sym_RBRACK] = ACTIONS(7433),
    [anon_sym_COMMA] = ACTIONS(7433),
    [anon_sym_EQ] = ACTIONS(7433),
    [anon_sym_LPAREN] = ACTIONS(7433),
    [anon_sym_RPAREN] = ACTIONS(7433),
    [anon_sym_LBRACE] = ACTIONS(7433),
    [sym_word] = ACTIONS(7431),
    [sym_placeholder] = ACTIONS(7433),
    [sym_delimiter] = ACTIONS(7433),
    [anon_sym_PLUS] = ACTIONS(7433),
    [anon_sym_DASH] = ACTIONS(7433),
    [anon_sym_STAR] = ACTIONS(7433),
    [anon_sym_SLASH] = ACTIONS(7433),
    [anon_sym_LT] = ACTIONS(7431),
    [anon_sym_GT] = ACTIONS(7431),
    [anon_sym_BANG] = ACTIONS(7431),
    [anon_sym_PIPE] = ACTIONS(7431),
    [anon_sym_COLON] = ACTIONS(7431),
    [anon_sym_SQUOTE] = ACTIONS(7431),
    [anon_sym__] = ACTIONS(7433),
    [anon_sym_CARET] = ACTIONS(7433),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7433),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7433),
    [anon_sym_DOLLAR] = ACTIONS(7431),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7433),
    [anon_sym_BSLASHleft] = ACTIONS(7431),
    [anon_sym_BSLASHbigl] = ACTIONS(7431),
    [anon_sym_BSLASHBigl] = ACTIONS(7431),
    [anon_sym_BSLASHbiggl] = ACTIONS(7431),
    [anon_sym_BSLASHBiggl] = ACTIONS(7431),
    [anon_sym_BSLASHtext] = ACTIONS(7431),
    [anon_sym_BSLASHintertext] = ACTIONS(7431),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7431),
    [anon_sym_BSLASHbegin] = ACTIONS(7431),
    [anon_sym_BSLASHend] = ACTIONS(7431),
    [anon_sym_BSLASHtitle] = ACTIONS(7431),
    [anon_sym_BSLASHauthor] = ACTIONS(7431),
    [anon_sym_BSLASHusepackage] = ACTIONS(7431),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7431),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7431),
    [anon_sym_BSLASHinclude] = ACTIONS(7431),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7431),
    [anon_sym_BSLASHinput] = ACTIONS(7431),
    [anon_sym_BSLASHsubfile] = ACTIONS(7431),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7431),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7431),
    [anon_sym_BSLASHbibliography] = ACTIONS(7431),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7431),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7431),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7431),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7431),
    [anon_sym_BSLASHimport] = ACTIONS(7431),
    [anon_sym_BSLASHsubimport] = ACTIONS(7431),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7431),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7431),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7431),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7431),
    [anon_sym_BSLASHcaption] = ACTIONS(7431),
    [anon_sym_BSLASHcite] = ACTIONS(7431),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHCite] = ACTIONS(7431),
    [anon_sym_BSLASHnocite] = ACTIONS(7431),
    [anon_sym_BSLASHcitet] = ACTIONS(7431),
    [anon_sym_BSLASHcitep] = ACTIONS(7431),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHciteA] = ACTIONS(7431),
    [anon_sym_BSLASHciteR] = ACTIONS(7431),
    [anon_sym_BSLASHciteS] = ACTIONS(7431),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7431),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7431),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7431),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7431),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHciteyear] = ACTIONS(7431),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcitedate] = ACTIONS(7431),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHciteurl] = ACTIONS(7431),
    [anon_sym_BSLASHfullcite] = ACTIONS(7431),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7431),
    [anon_sym_BSLASHcitealt] = ACTIONS(7431),
    [anon_sym_BSLASHcitealp] = ACTIONS(7431),
    [anon_sym_BSLASHcitetext] = ACTIONS(7431),
    [anon_sym_BSLASHparencite] = ACTIONS(7431),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHParencite] = ACTIONS(7431),
    [anon_sym_BSLASHfootcite] = ACTIONS(7431),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7431),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7431),
    [anon_sym_BSLASHtextcite] = ACTIONS(7431),
    [anon_sym_BSLASHTextcite] = ACTIONS(7431),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7431),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7431),
    [anon_sym_BSLASHsupercite] = ACTIONS(7431),
    [anon_sym_BSLASHautocite] = ACTIONS(7431),
    [anon_sym_BSLASHAutocite] = ACTIONS(7431),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHVolcite] = ACTIONS(7431),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHavolcite] = ACTIONS(7431),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHnotecite] = ACTIONS(7431),
    [anon_sym_BSLASHNotecite] = ACTIONS(7431),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7431),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7431),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7431),
    [anon_sym_BSLASHlabel] = ACTIONS(7431),
    [anon_sym_BSLASHref] = ACTIONS(7431),
    [anon_sym_BSLASHeqref] = ACTIONS(7431),
    [anon_sym_BSLASHvref] = ACTIONS(7431),
    [anon_sym_BSLASHVref] = ACTIONS(7431),
    [anon_sym_BSLASHautoref] = ACTIONS(7431),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHpageref] = ACTIONS(7431),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHautopageref] = ACTIONS(7431),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcref] = ACTIONS(7431),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHCref] = ACTIONS(7431),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcpageref] = ACTIONS(7431),
    [anon_sym_BSLASHCpageref] = ACTIONS(7431),
    [anon_sym_BSLASHnamecref] = ACTIONS(7431),
    [anon_sym_BSLASHnameCref] = ACTIONS(7431),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7431),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7431),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7431),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7431),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7431),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7431),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7431),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7431),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7431),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7431),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7431),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7431),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7431),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7431),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7431),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7431),
    [anon_sym_BSLASHdef] = ACTIONS(7431),
    [anon_sym_BSLASHgdef] = ACTIONS(7431),
    [anon_sym_BSLASHedef] = ACTIONS(7431),
    [anon_sym_BSLASHxdef] = ACTIONS(7431),
    [anon_sym_BSLASHlet] = ACTIONS(7431),
    [anon_sym_BSLASHglet] = ACTIONS(7431),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7431),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7431),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7431),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7431),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7431),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7431),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7431),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7431),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7431),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7431),
    [anon_sym_BSLASHgls] = ACTIONS(7431),
    [anon_sym_BSLASHGls] = ACTIONS(7431),
    [anon_sym_BSLASHGLS] = ACTIONS(7431),
    [anon_sym_BSLASHglspl] = ACTIONS(7431),
    [anon_sym_BSLASHGlspl] = ACTIONS(7431),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7431),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7431),
    [anon_sym_BSLASHglslink] = ACTIONS(7431),
    [anon_sym_BSLASHglstext] = ACTIONS(7431),
    [anon_sym_BSLASHGlstext] = ACTIONS(7431),
    [anon_sym_BSLASHGLStext] = ACTIONS(7431),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7431),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7431),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7431),
    [anon_sym_BSLASHglsplural] = ACTIONS(7431),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7431),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7431),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7431),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7431),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7431),
    [anon_sym_BSLASHglsname] = ACTIONS(7431),
    [anon_sym_BSLASHGlsname] = ACTIONS(7431),
    [anon_sym_BSLASHGLSname] = ACTIONS(7431),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7431),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7431),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7431),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7431),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7431),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7431),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7431),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7431),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7431),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7431),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7431),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7431),
    [anon_sym_BSLASHacrshort] = ACTIONS(7431),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7431),
    [anon_sym_BSLASHACRshort] = ACTIONS(7431),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHacrlong] = ACTIONS(7431),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7431),
    [anon_sym_BSLASHACRlong] = ACTIONS(7431),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7431),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7431),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7431),
    [anon_sym_BSLASHacrfull] = ACTIONS(7431),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7431),
    [anon_sym_BSLASHACRfull] = ACTIONS(7431),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHacs] = ACTIONS(7431),
    [anon_sym_BSLASHAcs] = ACTIONS(7431),
    [anon_sym_BSLASHacsp] = ACTIONS(7431),
    [anon_sym_BSLASHAcsp] = ACTIONS(7431),
    [anon_sym_BSLASHacl] = ACTIONS(7431),
    [anon_sym_BSLASHAcl] = ACTIONS(7431),
    [anon_sym_BSLASHaclp] = ACTIONS(7431),
    [anon_sym_BSLASHAclp] = ACTIONS(7431),
    [anon_sym_BSLASHacf] = ACTIONS(7431),
    [anon_sym_BSLASHAcf] = ACTIONS(7431),
    [anon_sym_BSLASHacfp] = ACTIONS(7431),
    [anon_sym_BSLASHAcfp] = ACTIONS(7431),
    [anon_sym_BSLASHac] = ACTIONS(7431),
    [anon_sym_BSLASHAc] = ACTIONS(7431),
    [anon_sym_BSLASHacp] = ACTIONS(7431),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7431),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7431),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7431),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7431),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7431),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7431),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7431),
    [anon_sym_BSLASHcolor] = ACTIONS(7431),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7431),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7431),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7431),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7431),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7431),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7431),
    [anon_sym_BSLASHurl] = ACTIONS(7431),
    [anon_sym_BSLASHhref] = ACTIONS(7431),
  },
  [1773] = {
    [sym_command_name] = ACTIONS(7435),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7435),
    [anon_sym_LBRACK] = ACTIONS(7437),
    [anon_sym_RBRACK] = ACTIONS(7437),
    [anon_sym_COMMA] = ACTIONS(7437),
    [anon_sym_EQ] = ACTIONS(7437),
    [anon_sym_LPAREN] = ACTIONS(7437),
    [anon_sym_RPAREN] = ACTIONS(7437),
    [anon_sym_LBRACE] = ACTIONS(7437),
    [sym_word] = ACTIONS(7435),
    [sym_placeholder] = ACTIONS(7437),
    [sym_delimiter] = ACTIONS(7437),
    [anon_sym_PLUS] = ACTIONS(7437),
    [anon_sym_DASH] = ACTIONS(7437),
    [anon_sym_STAR] = ACTIONS(7437),
    [anon_sym_SLASH] = ACTIONS(7437),
    [anon_sym_LT] = ACTIONS(7435),
    [anon_sym_GT] = ACTIONS(7435),
    [anon_sym_BANG] = ACTIONS(7435),
    [anon_sym_PIPE] = ACTIONS(7435),
    [anon_sym_COLON] = ACTIONS(7435),
    [anon_sym_SQUOTE] = ACTIONS(7435),
    [anon_sym__] = ACTIONS(7437),
    [anon_sym_CARET] = ACTIONS(7437),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7437),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7437),
    [anon_sym_DOLLAR] = ACTIONS(7435),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7437),
    [anon_sym_BSLASHleft] = ACTIONS(7435),
    [anon_sym_BSLASHbigl] = ACTIONS(7435),
    [anon_sym_BSLASHBigl] = ACTIONS(7435),
    [anon_sym_BSLASHbiggl] = ACTIONS(7435),
    [anon_sym_BSLASHBiggl] = ACTIONS(7435),
    [anon_sym_BSLASHtext] = ACTIONS(7435),
    [anon_sym_BSLASHintertext] = ACTIONS(7435),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7435),
    [anon_sym_BSLASHbegin] = ACTIONS(7435),
    [anon_sym_BSLASHend] = ACTIONS(7435),
    [anon_sym_BSLASHtitle] = ACTIONS(7435),
    [anon_sym_BSLASHauthor] = ACTIONS(7435),
    [anon_sym_BSLASHusepackage] = ACTIONS(7435),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7435),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7435),
    [anon_sym_BSLASHinclude] = ACTIONS(7435),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7435),
    [anon_sym_BSLASHinput] = ACTIONS(7435),
    [anon_sym_BSLASHsubfile] = ACTIONS(7435),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7435),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7435),
    [anon_sym_BSLASHbibliography] = ACTIONS(7435),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7435),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7435),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7435),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7435),
    [anon_sym_BSLASHimport] = ACTIONS(7435),
    [anon_sym_BSLASHsubimport] = ACTIONS(7435),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7435),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7435),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7435),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7435),
    [anon_sym_BSLASHcaption] = ACTIONS(7435),
    [anon_sym_BSLASHcite] = ACTIONS(7435),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHCite] = ACTIONS(7435),
    [anon_sym_BSLASHnocite] = ACTIONS(7435),
    [anon_sym_BSLASHcitet] = ACTIONS(7435),
    [anon_sym_BSLASHcitep] = ACTIONS(7435),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHciteA] = ACTIONS(7435),
    [anon_sym_BSLASHciteR] = ACTIONS(7435),
    [anon_sym_BSLASHciteS] = ACTIONS(7435),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7435),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7435),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7435),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7435),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHciteyear] = ACTIONS(7435),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcitedate] = ACTIONS(7435),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHciteurl] = ACTIONS(7435),
    [anon_sym_BSLASHfullcite] = ACTIONS(7435),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7435),
    [anon_sym_BSLASHcitealt] = ACTIONS(7435),
    [anon_sym_BSLASHcitealp] = ACTIONS(7435),
    [anon_sym_BSLASHcitetext] = ACTIONS(7435),
    [anon_sym_BSLASHparencite] = ACTIONS(7435),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHParencite] = ACTIONS(7435),
    [anon_sym_BSLASHfootcite] = ACTIONS(7435),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7435),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7435),
    [anon_sym_BSLASHtextcite] = ACTIONS(7435),
    [anon_sym_BSLASHTextcite] = ACTIONS(7435),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7435),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7435),
    [anon_sym_BSLASHsupercite] = ACTIONS(7435),
    [anon_sym_BSLASHautocite] = ACTIONS(7435),
    [anon_sym_BSLASHAutocite] = ACTIONS(7435),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHVolcite] = ACTIONS(7435),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHavolcite] = ACTIONS(7435),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHnotecite] = ACTIONS(7435),
    [anon_sym_BSLASHNotecite] = ACTIONS(7435),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7435),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7435),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7435),
    [anon_sym_BSLASHlabel] = ACTIONS(7435),
    [anon_sym_BSLASHref] = ACTIONS(7435),
    [anon_sym_BSLASHeqref] = ACTIONS(7435),
    [anon_sym_BSLASHvref] = ACTIONS(7435),
    [anon_sym_BSLASHVref] = ACTIONS(7435),
    [anon_sym_BSLASHautoref] = ACTIONS(7435),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHpageref] = ACTIONS(7435),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHautopageref] = ACTIONS(7435),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcref] = ACTIONS(7435),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHCref] = ACTIONS(7435),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcpageref] = ACTIONS(7435),
    [anon_sym_BSLASHCpageref] = ACTIONS(7435),
    [anon_sym_BSLASHnamecref] = ACTIONS(7435),
    [anon_sym_BSLASHnameCref] = ACTIONS(7435),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7435),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7435),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7435),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7435),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7435),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7435),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7435),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7435),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7435),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7435),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7435),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7435),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7435),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7435),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7435),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7435),
    [anon_sym_BSLASHdef] = ACTIONS(7435),
    [anon_sym_BSLASHgdef] = ACTIONS(7435),
    [anon_sym_BSLASHedef] = ACTIONS(7435),
    [anon_sym_BSLASHxdef] = ACTIONS(7435),
    [anon_sym_BSLASHlet] = ACTIONS(7435),
    [anon_sym_BSLASHglet] = ACTIONS(7435),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7435),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7435),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7435),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7435),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7435),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7435),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7435),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7435),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7435),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7435),
    [anon_sym_BSLASHgls] = ACTIONS(7435),
    [anon_sym_BSLASHGls] = ACTIONS(7435),
    [anon_sym_BSLASHGLS] = ACTIONS(7435),
    [anon_sym_BSLASHglspl] = ACTIONS(7435),
    [anon_sym_BSLASHGlspl] = ACTIONS(7435),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7435),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7435),
    [anon_sym_BSLASHglslink] = ACTIONS(7435),
    [anon_sym_BSLASHglstext] = ACTIONS(7435),
    [anon_sym_BSLASHGlstext] = ACTIONS(7435),
    [anon_sym_BSLASHGLStext] = ACTIONS(7435),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7435),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7435),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7435),
    [anon_sym_BSLASHglsplural] = ACTIONS(7435),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7435),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7435),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7435),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7435),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7435),
    [anon_sym_BSLASHglsname] = ACTIONS(7435),
    [anon_sym_BSLASHGlsname] = ACTIONS(7435),
    [anon_sym_BSLASHGLSname] = ACTIONS(7435),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7435),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7435),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7435),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7435),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7435),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7435),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7435),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7435),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7435),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7435),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7435),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7435),
    [anon_sym_BSLASHacrshort] = ACTIONS(7435),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7435),
    [anon_sym_BSLASHACRshort] = ACTIONS(7435),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHacrlong] = ACTIONS(7435),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7435),
    [anon_sym_BSLASHACRlong] = ACTIONS(7435),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7435),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7435),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7435),
    [anon_sym_BSLASHacrfull] = ACTIONS(7435),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7435),
    [anon_sym_BSLASHACRfull] = ACTIONS(7435),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHacs] = ACTIONS(7435),
    [anon_sym_BSLASHAcs] = ACTIONS(7435),
    [anon_sym_BSLASHacsp] = ACTIONS(7435),
    [anon_sym_BSLASHAcsp] = ACTIONS(7435),
    [anon_sym_BSLASHacl] = ACTIONS(7435),
    [anon_sym_BSLASHAcl] = ACTIONS(7435),
    [anon_sym_BSLASHaclp] = ACTIONS(7435),
    [anon_sym_BSLASHAclp] = ACTIONS(7435),
    [anon_sym_BSLASHacf] = ACTIONS(7435),
    [anon_sym_BSLASHAcf] = ACTIONS(7435),
    [anon_sym_BSLASHacfp] = ACTIONS(7435),
    [anon_sym_BSLASHAcfp] = ACTIONS(7435),
    [anon_sym_BSLASHac] = ACTIONS(7435),
    [anon_sym_BSLASHAc] = ACTIONS(7435),
    [anon_sym_BSLASHacp] = ACTIONS(7435),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7435),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7435),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7435),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7435),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7435),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7435),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7435),
    [anon_sym_BSLASHcolor] = ACTIONS(7435),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7435),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7435),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7435),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7435),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7435),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7435),
    [anon_sym_BSLASHurl] = ACTIONS(7435),
    [anon_sym_BSLASHhref] = ACTIONS(7435),
  },
  [1774] = {
    [sym_command_name] = ACTIONS(7439),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7439),
    [anon_sym_LBRACK] = ACTIONS(7441),
    [anon_sym_RBRACK] = ACTIONS(7441),
    [anon_sym_COMMA] = ACTIONS(7441),
    [anon_sym_EQ] = ACTIONS(7441),
    [anon_sym_LPAREN] = ACTIONS(7441),
    [anon_sym_RPAREN] = ACTIONS(7441),
    [anon_sym_LBRACE] = ACTIONS(7441),
    [sym_word] = ACTIONS(7439),
    [sym_placeholder] = ACTIONS(7441),
    [sym_delimiter] = ACTIONS(7441),
    [anon_sym_PLUS] = ACTIONS(7441),
    [anon_sym_DASH] = ACTIONS(7441),
    [anon_sym_STAR] = ACTIONS(7441),
    [anon_sym_SLASH] = ACTIONS(7441),
    [anon_sym_LT] = ACTIONS(7439),
    [anon_sym_GT] = ACTIONS(7439),
    [anon_sym_BANG] = ACTIONS(7439),
    [anon_sym_PIPE] = ACTIONS(7439),
    [anon_sym_COLON] = ACTIONS(7439),
    [anon_sym_SQUOTE] = ACTIONS(7439),
    [anon_sym__] = ACTIONS(7441),
    [anon_sym_CARET] = ACTIONS(7441),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7441),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7441),
    [anon_sym_DOLLAR] = ACTIONS(7439),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7441),
    [anon_sym_BSLASHleft] = ACTIONS(7439),
    [anon_sym_BSLASHbigl] = ACTIONS(7439),
    [anon_sym_BSLASHBigl] = ACTIONS(7439),
    [anon_sym_BSLASHbiggl] = ACTIONS(7439),
    [anon_sym_BSLASHBiggl] = ACTIONS(7439),
    [anon_sym_BSLASHtext] = ACTIONS(7439),
    [anon_sym_BSLASHintertext] = ACTIONS(7439),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7439),
    [anon_sym_BSLASHbegin] = ACTIONS(7439),
    [anon_sym_BSLASHend] = ACTIONS(7439),
    [anon_sym_BSLASHtitle] = ACTIONS(7439),
    [anon_sym_BSLASHauthor] = ACTIONS(7439),
    [anon_sym_BSLASHusepackage] = ACTIONS(7439),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7439),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7439),
    [anon_sym_BSLASHinclude] = ACTIONS(7439),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7439),
    [anon_sym_BSLASHinput] = ACTIONS(7439),
    [anon_sym_BSLASHsubfile] = ACTIONS(7439),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7439),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7439),
    [anon_sym_BSLASHbibliography] = ACTIONS(7439),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7439),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7439),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7439),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7439),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7439),
    [anon_sym_BSLASHimport] = ACTIONS(7439),
    [anon_sym_BSLASHsubimport] = ACTIONS(7439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7439),
    [anon_sym_BSLASHcaption] = ACTIONS(7439),
    [anon_sym_BSLASHcite] = ACTIONS(7439),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHCite] = ACTIONS(7439),
    [anon_sym_BSLASHnocite] = ACTIONS(7439),
    [anon_sym_BSLASHcitet] = ACTIONS(7439),
    [anon_sym_BSLASHcitep] = ACTIONS(7439),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHciteA] = ACTIONS(7439),
    [anon_sym_BSLASHciteR] = ACTIONS(7439),
    [anon_sym_BSLASHciteS] = ACTIONS(7439),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7439),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7439),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7439),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7439),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHciteyear] = ACTIONS(7439),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcitedate] = ACTIONS(7439),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHciteurl] = ACTIONS(7439),
    [anon_sym_BSLASHfullcite] = ACTIONS(7439),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7439),
    [anon_sym_BSLASHcitealt] = ACTIONS(7439),
    [anon_sym_BSLASHcitealp] = ACTIONS(7439),
    [anon_sym_BSLASHcitetext] = ACTIONS(7439),
    [anon_sym_BSLASHparencite] = ACTIONS(7439),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHParencite] = ACTIONS(7439),
    [anon_sym_BSLASHfootcite] = ACTIONS(7439),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7439),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7439),
    [anon_sym_BSLASHtextcite] = ACTIONS(7439),
    [anon_sym_BSLASHTextcite] = ACTIONS(7439),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7439),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7439),
    [anon_sym_BSLASHsupercite] = ACTIONS(7439),
    [anon_sym_BSLASHautocite] = ACTIONS(7439),
    [anon_sym_BSLASHAutocite] = ACTIONS(7439),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHVolcite] = ACTIONS(7439),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHavolcite] = ACTIONS(7439),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHnotecite] = ACTIONS(7439),
    [anon_sym_BSLASHNotecite] = ACTIONS(7439),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7439),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7439),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7439),
    [anon_sym_BSLASHlabel] = ACTIONS(7439),
    [anon_sym_BSLASHref] = ACTIONS(7439),
    [anon_sym_BSLASHeqref] = ACTIONS(7439),
    [anon_sym_BSLASHvref] = ACTIONS(7439),
    [anon_sym_BSLASHVref] = ACTIONS(7439),
    [anon_sym_BSLASHautoref] = ACTIONS(7439),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHpageref] = ACTIONS(7439),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHautopageref] = ACTIONS(7439),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcref] = ACTIONS(7439),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHCref] = ACTIONS(7439),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcpageref] = ACTIONS(7439),
    [anon_sym_BSLASHCpageref] = ACTIONS(7439),
    [anon_sym_BSLASHnamecref] = ACTIONS(7439),
    [anon_sym_BSLASHnameCref] = ACTIONS(7439),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7439),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7439),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7439),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7439),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7439),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7439),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7439),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7439),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7439),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7439),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7439),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7439),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7439),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7439),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7439),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7439),
    [anon_sym_BSLASHdef] = ACTIONS(7439),
    [anon_sym_BSLASHgdef] = ACTIONS(7439),
    [anon_sym_BSLASHedef] = ACTIONS(7439),
    [anon_sym_BSLASHxdef] = ACTIONS(7439),
    [anon_sym_BSLASHlet] = ACTIONS(7439),
    [anon_sym_BSLASHglet] = ACTIONS(7439),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7439),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7439),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7439),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7439),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7439),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7439),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7439),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7439),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7439),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7439),
    [anon_sym_BSLASHgls] = ACTIONS(7439),
    [anon_sym_BSLASHGls] = ACTIONS(7439),
    [anon_sym_BSLASHGLS] = ACTIONS(7439),
    [anon_sym_BSLASHglspl] = ACTIONS(7439),
    [anon_sym_BSLASHGlspl] = ACTIONS(7439),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7439),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7439),
    [anon_sym_BSLASHglslink] = ACTIONS(7439),
    [anon_sym_BSLASHglstext] = ACTIONS(7439),
    [anon_sym_BSLASHGlstext] = ACTIONS(7439),
    [anon_sym_BSLASHGLStext] = ACTIONS(7439),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7439),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7439),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7439),
    [anon_sym_BSLASHglsplural] = ACTIONS(7439),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7439),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7439),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7439),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7439),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7439),
    [anon_sym_BSLASHglsname] = ACTIONS(7439),
    [anon_sym_BSLASHGlsname] = ACTIONS(7439),
    [anon_sym_BSLASHGLSname] = ACTIONS(7439),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7439),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7439),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7439),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7439),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7439),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7439),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7439),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7439),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7439),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7439),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7439),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7439),
    [anon_sym_BSLASHacrshort] = ACTIONS(7439),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7439),
    [anon_sym_BSLASHACRshort] = ACTIONS(7439),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHacrlong] = ACTIONS(7439),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7439),
    [anon_sym_BSLASHACRlong] = ACTIONS(7439),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7439),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7439),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7439),
    [anon_sym_BSLASHacrfull] = ACTIONS(7439),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7439),
    [anon_sym_BSLASHACRfull] = ACTIONS(7439),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHacs] = ACTIONS(7439),
    [anon_sym_BSLASHAcs] = ACTIONS(7439),
    [anon_sym_BSLASHacsp] = ACTIONS(7439),
    [anon_sym_BSLASHAcsp] = ACTIONS(7439),
    [anon_sym_BSLASHacl] = ACTIONS(7439),
    [anon_sym_BSLASHAcl] = ACTIONS(7439),
    [anon_sym_BSLASHaclp] = ACTIONS(7439),
    [anon_sym_BSLASHAclp] = ACTIONS(7439),
    [anon_sym_BSLASHacf] = ACTIONS(7439),
    [anon_sym_BSLASHAcf] = ACTIONS(7439),
    [anon_sym_BSLASHacfp] = ACTIONS(7439),
    [anon_sym_BSLASHAcfp] = ACTIONS(7439),
    [anon_sym_BSLASHac] = ACTIONS(7439),
    [anon_sym_BSLASHAc] = ACTIONS(7439),
    [anon_sym_BSLASHacp] = ACTIONS(7439),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7439),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7439),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7439),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7439),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7439),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7439),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7439),
    [anon_sym_BSLASHcolor] = ACTIONS(7439),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7439),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7439),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7439),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7439),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7439),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7439),
    [anon_sym_BSLASHurl] = ACTIONS(7439),
    [anon_sym_BSLASHhref] = ACTIONS(7439),
  },
  [1775] = {
    [sym_command_name] = ACTIONS(7443),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7443),
    [anon_sym_LBRACK] = ACTIONS(7445),
    [anon_sym_RBRACK] = ACTIONS(7445),
    [anon_sym_COMMA] = ACTIONS(7445),
    [anon_sym_EQ] = ACTIONS(7445),
    [anon_sym_LPAREN] = ACTIONS(7445),
    [anon_sym_RPAREN] = ACTIONS(7445),
    [anon_sym_LBRACE] = ACTIONS(7445),
    [sym_word] = ACTIONS(7443),
    [sym_placeholder] = ACTIONS(7445),
    [sym_delimiter] = ACTIONS(7445),
    [anon_sym_PLUS] = ACTIONS(7445),
    [anon_sym_DASH] = ACTIONS(7445),
    [anon_sym_STAR] = ACTIONS(7445),
    [anon_sym_SLASH] = ACTIONS(7445),
    [anon_sym_LT] = ACTIONS(7443),
    [anon_sym_GT] = ACTIONS(7443),
    [anon_sym_BANG] = ACTIONS(7443),
    [anon_sym_PIPE] = ACTIONS(7443),
    [anon_sym_COLON] = ACTIONS(7443),
    [anon_sym_SQUOTE] = ACTIONS(7443),
    [anon_sym__] = ACTIONS(7445),
    [anon_sym_CARET] = ACTIONS(7445),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7445),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7445),
    [anon_sym_DOLLAR] = ACTIONS(7443),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7445),
    [anon_sym_BSLASHleft] = ACTIONS(7443),
    [anon_sym_BSLASHbigl] = ACTIONS(7443),
    [anon_sym_BSLASHBigl] = ACTIONS(7443),
    [anon_sym_BSLASHbiggl] = ACTIONS(7443),
    [anon_sym_BSLASHBiggl] = ACTIONS(7443),
    [anon_sym_BSLASHtext] = ACTIONS(7443),
    [anon_sym_BSLASHintertext] = ACTIONS(7443),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7443),
    [anon_sym_BSLASHbegin] = ACTIONS(7443),
    [anon_sym_BSLASHend] = ACTIONS(7443),
    [anon_sym_BSLASHtitle] = ACTIONS(7443),
    [anon_sym_BSLASHauthor] = ACTIONS(7443),
    [anon_sym_BSLASHusepackage] = ACTIONS(7443),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7443),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7443),
    [anon_sym_BSLASHinclude] = ACTIONS(7443),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7443),
    [anon_sym_BSLASHinput] = ACTIONS(7443),
    [anon_sym_BSLASHsubfile] = ACTIONS(7443),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7443),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7443),
    [anon_sym_BSLASHbibliography] = ACTIONS(7443),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7443),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7443),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7443),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7443),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7443),
    [anon_sym_BSLASHimport] = ACTIONS(7443),
    [anon_sym_BSLASHsubimport] = ACTIONS(7443),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7443),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7443),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7443),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7443),
    [anon_sym_BSLASHcaption] = ACTIONS(7443),
    [anon_sym_BSLASHcite] = ACTIONS(7443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHCite] = ACTIONS(7443),
    [anon_sym_BSLASHnocite] = ACTIONS(7443),
    [anon_sym_BSLASHcitet] = ACTIONS(7443),
    [anon_sym_BSLASHcitep] = ACTIONS(7443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHciteA] = ACTIONS(7443),
    [anon_sym_BSLASHciteR] = ACTIONS(7443),
    [anon_sym_BSLASHciteS] = ACTIONS(7443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHciteyear] = ACTIONS(7443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcitedate] = ACTIONS(7443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHciteurl] = ACTIONS(7443),
    [anon_sym_BSLASHfullcite] = ACTIONS(7443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7443),
    [anon_sym_BSLASHcitealt] = ACTIONS(7443),
    [anon_sym_BSLASHcitealp] = ACTIONS(7443),
    [anon_sym_BSLASHcitetext] = ACTIONS(7443),
    [anon_sym_BSLASHparencite] = ACTIONS(7443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHParencite] = ACTIONS(7443),
    [anon_sym_BSLASHfootcite] = ACTIONS(7443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7443),
    [anon_sym_BSLASHtextcite] = ACTIONS(7443),
    [anon_sym_BSLASHTextcite] = ACTIONS(7443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7443),
    [anon_sym_BSLASHsupercite] = ACTIONS(7443),
    [anon_sym_BSLASHautocite] = ACTIONS(7443),
    [anon_sym_BSLASHAutocite] = ACTIONS(7443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHVolcite] = ACTIONS(7443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHavolcite] = ACTIONS(7443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHnotecite] = ACTIONS(7443),
    [anon_sym_BSLASHNotecite] = ACTIONS(7443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7443),
    [anon_sym_BSLASHlabel] = ACTIONS(7443),
    [anon_sym_BSLASHref] = ACTIONS(7443),
    [anon_sym_BSLASHeqref] = ACTIONS(7443),
    [anon_sym_BSLASHvref] = ACTIONS(7443),
    [anon_sym_BSLASHVref] = ACTIONS(7443),
    [anon_sym_BSLASHautoref] = ACTIONS(7443),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHpageref] = ACTIONS(7443),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHautopageref] = ACTIONS(7443),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcref] = ACTIONS(7443),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHCref] = ACTIONS(7443),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcpageref] = ACTIONS(7443),
    [anon_sym_BSLASHCpageref] = ACTIONS(7443),
    [anon_sym_BSLASHnamecref] = ACTIONS(7443),
    [anon_sym_BSLASHnameCref] = ACTIONS(7443),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7443),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7443),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7443),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7443),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7443),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7443),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7443),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7443),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7443),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7443),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7443),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7443),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7443),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7443),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7443),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7443),
    [anon_sym_BSLASHdef] = ACTIONS(7443),
    [anon_sym_BSLASHgdef] = ACTIONS(7443),
    [anon_sym_BSLASHedef] = ACTIONS(7443),
    [anon_sym_BSLASHxdef] = ACTIONS(7443),
    [anon_sym_BSLASHlet] = ACTIONS(7443),
    [anon_sym_BSLASHglet] = ACTIONS(7443),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7443),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7443),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7443),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7443),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7443),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7443),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7443),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7443),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7443),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7443),
    [anon_sym_BSLASHgls] = ACTIONS(7443),
    [anon_sym_BSLASHGls] = ACTIONS(7443),
    [anon_sym_BSLASHGLS] = ACTIONS(7443),
    [anon_sym_BSLASHglspl] = ACTIONS(7443),
    [anon_sym_BSLASHGlspl] = ACTIONS(7443),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7443),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7443),
    [anon_sym_BSLASHglslink] = ACTIONS(7443),
    [anon_sym_BSLASHglstext] = ACTIONS(7443),
    [anon_sym_BSLASHGlstext] = ACTIONS(7443),
    [anon_sym_BSLASHGLStext] = ACTIONS(7443),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7443),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7443),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7443),
    [anon_sym_BSLASHglsplural] = ACTIONS(7443),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7443),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7443),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7443),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7443),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7443),
    [anon_sym_BSLASHglsname] = ACTIONS(7443),
    [anon_sym_BSLASHGlsname] = ACTIONS(7443),
    [anon_sym_BSLASHGLSname] = ACTIONS(7443),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7443),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7443),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7443),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7443),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7443),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7443),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7443),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7443),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7443),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7443),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7443),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7443),
    [anon_sym_BSLASHacrshort] = ACTIONS(7443),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7443),
    [anon_sym_BSLASHACRshort] = ACTIONS(7443),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHacrlong] = ACTIONS(7443),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7443),
    [anon_sym_BSLASHACRlong] = ACTIONS(7443),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7443),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7443),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7443),
    [anon_sym_BSLASHacrfull] = ACTIONS(7443),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7443),
    [anon_sym_BSLASHACRfull] = ACTIONS(7443),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHacs] = ACTIONS(7443),
    [anon_sym_BSLASHAcs] = ACTIONS(7443),
    [anon_sym_BSLASHacsp] = ACTIONS(7443),
    [anon_sym_BSLASHAcsp] = ACTIONS(7443),
    [anon_sym_BSLASHacl] = ACTIONS(7443),
    [anon_sym_BSLASHAcl] = ACTIONS(7443),
    [anon_sym_BSLASHaclp] = ACTIONS(7443),
    [anon_sym_BSLASHAclp] = ACTIONS(7443),
    [anon_sym_BSLASHacf] = ACTIONS(7443),
    [anon_sym_BSLASHAcf] = ACTIONS(7443),
    [anon_sym_BSLASHacfp] = ACTIONS(7443),
    [anon_sym_BSLASHAcfp] = ACTIONS(7443),
    [anon_sym_BSLASHac] = ACTIONS(7443),
    [anon_sym_BSLASHAc] = ACTIONS(7443),
    [anon_sym_BSLASHacp] = ACTIONS(7443),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7443),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7443),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7443),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7443),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7443),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7443),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7443),
    [anon_sym_BSLASHcolor] = ACTIONS(7443),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7443),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7443),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7443),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7443),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7443),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7443),
    [anon_sym_BSLASHurl] = ACTIONS(7443),
    [anon_sym_BSLASHhref] = ACTIONS(7443),
  },
  [1776] = {
    [sym_command_name] = ACTIONS(7447),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7447),
    [anon_sym_LBRACK] = ACTIONS(7449),
    [anon_sym_RBRACK] = ACTIONS(7449),
    [anon_sym_COMMA] = ACTIONS(7449),
    [anon_sym_EQ] = ACTIONS(7449),
    [anon_sym_LPAREN] = ACTIONS(7449),
    [anon_sym_RPAREN] = ACTIONS(7449),
    [anon_sym_LBRACE] = ACTIONS(7449),
    [sym_word] = ACTIONS(7447),
    [sym_placeholder] = ACTIONS(7449),
    [sym_delimiter] = ACTIONS(7449),
    [anon_sym_PLUS] = ACTIONS(7449),
    [anon_sym_DASH] = ACTIONS(7449),
    [anon_sym_STAR] = ACTIONS(7449),
    [anon_sym_SLASH] = ACTIONS(7449),
    [anon_sym_LT] = ACTIONS(7447),
    [anon_sym_GT] = ACTIONS(7447),
    [anon_sym_BANG] = ACTIONS(7447),
    [anon_sym_PIPE] = ACTIONS(7447),
    [anon_sym_COLON] = ACTIONS(7447),
    [anon_sym_SQUOTE] = ACTIONS(7447),
    [anon_sym__] = ACTIONS(7449),
    [anon_sym_CARET] = ACTIONS(7449),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7449),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7449),
    [anon_sym_DOLLAR] = ACTIONS(7447),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7449),
    [anon_sym_BSLASHleft] = ACTIONS(7447),
    [anon_sym_BSLASHbigl] = ACTIONS(7447),
    [anon_sym_BSLASHBigl] = ACTIONS(7447),
    [anon_sym_BSLASHbiggl] = ACTIONS(7447),
    [anon_sym_BSLASHBiggl] = ACTIONS(7447),
    [anon_sym_BSLASHtext] = ACTIONS(7447),
    [anon_sym_BSLASHintertext] = ACTIONS(7447),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7447),
    [anon_sym_BSLASHbegin] = ACTIONS(7447),
    [anon_sym_BSLASHend] = ACTIONS(7447),
    [anon_sym_BSLASHtitle] = ACTIONS(7447),
    [anon_sym_BSLASHauthor] = ACTIONS(7447),
    [anon_sym_BSLASHusepackage] = ACTIONS(7447),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7447),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7447),
    [anon_sym_BSLASHinclude] = ACTIONS(7447),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7447),
    [anon_sym_BSLASHinput] = ACTIONS(7447),
    [anon_sym_BSLASHsubfile] = ACTIONS(7447),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7447),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7447),
    [anon_sym_BSLASHbibliography] = ACTIONS(7447),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7447),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7447),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7447),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7447),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7447),
    [anon_sym_BSLASHimport] = ACTIONS(7447),
    [anon_sym_BSLASHsubimport] = ACTIONS(7447),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7447),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7447),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7447),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7447),
    [anon_sym_BSLASHcaption] = ACTIONS(7447),
    [anon_sym_BSLASHcite] = ACTIONS(7447),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHCite] = ACTIONS(7447),
    [anon_sym_BSLASHnocite] = ACTIONS(7447),
    [anon_sym_BSLASHcitet] = ACTIONS(7447),
    [anon_sym_BSLASHcitep] = ACTIONS(7447),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHciteA] = ACTIONS(7447),
    [anon_sym_BSLASHciteR] = ACTIONS(7447),
    [anon_sym_BSLASHciteS] = ACTIONS(7447),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7447),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7447),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7447),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7447),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHciteyear] = ACTIONS(7447),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcitedate] = ACTIONS(7447),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHciteurl] = ACTIONS(7447),
    [anon_sym_BSLASHfullcite] = ACTIONS(7447),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7447),
    [anon_sym_BSLASHcitealt] = ACTIONS(7447),
    [anon_sym_BSLASHcitealp] = ACTIONS(7447),
    [anon_sym_BSLASHcitetext] = ACTIONS(7447),
    [anon_sym_BSLASHparencite] = ACTIONS(7447),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHParencite] = ACTIONS(7447),
    [anon_sym_BSLASHfootcite] = ACTIONS(7447),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7447),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7447),
    [anon_sym_BSLASHtextcite] = ACTIONS(7447),
    [anon_sym_BSLASHTextcite] = ACTIONS(7447),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7447),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7447),
    [anon_sym_BSLASHsupercite] = ACTIONS(7447),
    [anon_sym_BSLASHautocite] = ACTIONS(7447),
    [anon_sym_BSLASHAutocite] = ACTIONS(7447),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHVolcite] = ACTIONS(7447),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHavolcite] = ACTIONS(7447),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHnotecite] = ACTIONS(7447),
    [anon_sym_BSLASHNotecite] = ACTIONS(7447),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7447),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7447),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7447),
    [anon_sym_BSLASHlabel] = ACTIONS(7447),
    [anon_sym_BSLASHref] = ACTIONS(7447),
    [anon_sym_BSLASHeqref] = ACTIONS(7447),
    [anon_sym_BSLASHvref] = ACTIONS(7447),
    [anon_sym_BSLASHVref] = ACTIONS(7447),
    [anon_sym_BSLASHautoref] = ACTIONS(7447),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHpageref] = ACTIONS(7447),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHautopageref] = ACTIONS(7447),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcref] = ACTIONS(7447),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHCref] = ACTIONS(7447),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcpageref] = ACTIONS(7447),
    [anon_sym_BSLASHCpageref] = ACTIONS(7447),
    [anon_sym_BSLASHnamecref] = ACTIONS(7447),
    [anon_sym_BSLASHnameCref] = ACTIONS(7447),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7447),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7447),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7447),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7447),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7447),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7447),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7447),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7447),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7447),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7447),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7447),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7447),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7447),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7447),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7447),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7447),
    [anon_sym_BSLASHdef] = ACTIONS(7447),
    [anon_sym_BSLASHgdef] = ACTIONS(7447),
    [anon_sym_BSLASHedef] = ACTIONS(7447),
    [anon_sym_BSLASHxdef] = ACTIONS(7447),
    [anon_sym_BSLASHlet] = ACTIONS(7447),
    [anon_sym_BSLASHglet] = ACTIONS(7447),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7447),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7447),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7447),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7447),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7447),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7447),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7447),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7447),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7447),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7447),
    [anon_sym_BSLASHgls] = ACTIONS(7447),
    [anon_sym_BSLASHGls] = ACTIONS(7447),
    [anon_sym_BSLASHGLS] = ACTIONS(7447),
    [anon_sym_BSLASHglspl] = ACTIONS(7447),
    [anon_sym_BSLASHGlspl] = ACTIONS(7447),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7447),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7447),
    [anon_sym_BSLASHglslink] = ACTIONS(7447),
    [anon_sym_BSLASHglstext] = ACTIONS(7447),
    [anon_sym_BSLASHGlstext] = ACTIONS(7447),
    [anon_sym_BSLASHGLStext] = ACTIONS(7447),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7447),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7447),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7447),
    [anon_sym_BSLASHglsplural] = ACTIONS(7447),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7447),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7447),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7447),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7447),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7447),
    [anon_sym_BSLASHglsname] = ACTIONS(7447),
    [anon_sym_BSLASHGlsname] = ACTIONS(7447),
    [anon_sym_BSLASHGLSname] = ACTIONS(7447),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7447),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7447),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7447),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7447),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7447),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7447),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7447),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7447),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7447),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7447),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7447),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7447),
    [anon_sym_BSLASHacrshort] = ACTIONS(7447),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7447),
    [anon_sym_BSLASHACRshort] = ACTIONS(7447),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHacrlong] = ACTIONS(7447),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7447),
    [anon_sym_BSLASHACRlong] = ACTIONS(7447),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7447),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7447),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7447),
    [anon_sym_BSLASHacrfull] = ACTIONS(7447),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7447),
    [anon_sym_BSLASHACRfull] = ACTIONS(7447),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHacs] = ACTIONS(7447),
    [anon_sym_BSLASHAcs] = ACTIONS(7447),
    [anon_sym_BSLASHacsp] = ACTIONS(7447),
    [anon_sym_BSLASHAcsp] = ACTIONS(7447),
    [anon_sym_BSLASHacl] = ACTIONS(7447),
    [anon_sym_BSLASHAcl] = ACTIONS(7447),
    [anon_sym_BSLASHaclp] = ACTIONS(7447),
    [anon_sym_BSLASHAclp] = ACTIONS(7447),
    [anon_sym_BSLASHacf] = ACTIONS(7447),
    [anon_sym_BSLASHAcf] = ACTIONS(7447),
    [anon_sym_BSLASHacfp] = ACTIONS(7447),
    [anon_sym_BSLASHAcfp] = ACTIONS(7447),
    [anon_sym_BSLASHac] = ACTIONS(7447),
    [anon_sym_BSLASHAc] = ACTIONS(7447),
    [anon_sym_BSLASHacp] = ACTIONS(7447),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7447),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7447),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7447),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7447),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7447),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7447),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7447),
    [anon_sym_BSLASHcolor] = ACTIONS(7447),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7447),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7447),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7447),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7447),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7447),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7447),
    [anon_sym_BSLASHurl] = ACTIONS(7447),
    [anon_sym_BSLASHhref] = ACTIONS(7447),
  },
  [1777] = {
    [sym_command_name] = ACTIONS(7451),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7451),
    [anon_sym_LBRACK] = ACTIONS(7453),
    [anon_sym_RBRACK] = ACTIONS(7453),
    [anon_sym_COMMA] = ACTIONS(7453),
    [anon_sym_EQ] = ACTIONS(7453),
    [anon_sym_LPAREN] = ACTIONS(7453),
    [anon_sym_RPAREN] = ACTIONS(7453),
    [anon_sym_LBRACE] = ACTIONS(7453),
    [sym_word] = ACTIONS(7451),
    [sym_placeholder] = ACTIONS(7453),
    [sym_delimiter] = ACTIONS(7453),
    [anon_sym_PLUS] = ACTIONS(7453),
    [anon_sym_DASH] = ACTIONS(7453),
    [anon_sym_STAR] = ACTIONS(7453),
    [anon_sym_SLASH] = ACTIONS(7453),
    [anon_sym_LT] = ACTIONS(7451),
    [anon_sym_GT] = ACTIONS(7451),
    [anon_sym_BANG] = ACTIONS(7451),
    [anon_sym_PIPE] = ACTIONS(7451),
    [anon_sym_COLON] = ACTIONS(7451),
    [anon_sym_SQUOTE] = ACTIONS(7451),
    [anon_sym__] = ACTIONS(7453),
    [anon_sym_CARET] = ACTIONS(7453),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7453),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7453),
    [anon_sym_DOLLAR] = ACTIONS(7451),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7453),
    [anon_sym_BSLASHleft] = ACTIONS(7451),
    [anon_sym_BSLASHbigl] = ACTIONS(7451),
    [anon_sym_BSLASHBigl] = ACTIONS(7451),
    [anon_sym_BSLASHbiggl] = ACTIONS(7451),
    [anon_sym_BSLASHBiggl] = ACTIONS(7451),
    [anon_sym_BSLASHtext] = ACTIONS(7451),
    [anon_sym_BSLASHintertext] = ACTIONS(7451),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7451),
    [anon_sym_BSLASHbegin] = ACTIONS(7451),
    [anon_sym_BSLASHend] = ACTIONS(7451),
    [anon_sym_BSLASHtitle] = ACTIONS(7451),
    [anon_sym_BSLASHauthor] = ACTIONS(7451),
    [anon_sym_BSLASHusepackage] = ACTIONS(7451),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7451),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7451),
    [anon_sym_BSLASHinclude] = ACTIONS(7451),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7451),
    [anon_sym_BSLASHinput] = ACTIONS(7451),
    [anon_sym_BSLASHsubfile] = ACTIONS(7451),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7451),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7451),
    [anon_sym_BSLASHbibliography] = ACTIONS(7451),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7451),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7451),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7451),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7451),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7451),
    [anon_sym_BSLASHimport] = ACTIONS(7451),
    [anon_sym_BSLASHsubimport] = ACTIONS(7451),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7451),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7451),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7451),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7451),
    [anon_sym_BSLASHcaption] = ACTIONS(7451),
    [anon_sym_BSLASHcite] = ACTIONS(7451),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHCite] = ACTIONS(7451),
    [anon_sym_BSLASHnocite] = ACTIONS(7451),
    [anon_sym_BSLASHcitet] = ACTIONS(7451),
    [anon_sym_BSLASHcitep] = ACTIONS(7451),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHciteA] = ACTIONS(7451),
    [anon_sym_BSLASHciteR] = ACTIONS(7451),
    [anon_sym_BSLASHciteS] = ACTIONS(7451),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7451),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7451),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7451),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7451),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHciteyear] = ACTIONS(7451),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcitedate] = ACTIONS(7451),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHciteurl] = ACTIONS(7451),
    [anon_sym_BSLASHfullcite] = ACTIONS(7451),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7451),
    [anon_sym_BSLASHcitealt] = ACTIONS(7451),
    [anon_sym_BSLASHcitealp] = ACTIONS(7451),
    [anon_sym_BSLASHcitetext] = ACTIONS(7451),
    [anon_sym_BSLASHparencite] = ACTIONS(7451),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHParencite] = ACTIONS(7451),
    [anon_sym_BSLASHfootcite] = ACTIONS(7451),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7451),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7451),
    [anon_sym_BSLASHtextcite] = ACTIONS(7451),
    [anon_sym_BSLASHTextcite] = ACTIONS(7451),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7451),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7451),
    [anon_sym_BSLASHsupercite] = ACTIONS(7451),
    [anon_sym_BSLASHautocite] = ACTIONS(7451),
    [anon_sym_BSLASHAutocite] = ACTIONS(7451),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHVolcite] = ACTIONS(7451),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHavolcite] = ACTIONS(7451),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHnotecite] = ACTIONS(7451),
    [anon_sym_BSLASHNotecite] = ACTIONS(7451),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7451),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7451),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7451),
    [anon_sym_BSLASHlabel] = ACTIONS(7451),
    [anon_sym_BSLASHref] = ACTIONS(7451),
    [anon_sym_BSLASHeqref] = ACTIONS(7451),
    [anon_sym_BSLASHvref] = ACTIONS(7451),
    [anon_sym_BSLASHVref] = ACTIONS(7451),
    [anon_sym_BSLASHautoref] = ACTIONS(7451),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHpageref] = ACTIONS(7451),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHautopageref] = ACTIONS(7451),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcref] = ACTIONS(7451),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHCref] = ACTIONS(7451),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcpageref] = ACTIONS(7451),
    [anon_sym_BSLASHCpageref] = ACTIONS(7451),
    [anon_sym_BSLASHnamecref] = ACTIONS(7451),
    [anon_sym_BSLASHnameCref] = ACTIONS(7451),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7451),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7451),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7451),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7451),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7451),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7451),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7451),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7451),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7451),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7451),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7451),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7451),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7451),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7451),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7451),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7451),
    [anon_sym_BSLASHdef] = ACTIONS(7451),
    [anon_sym_BSLASHgdef] = ACTIONS(7451),
    [anon_sym_BSLASHedef] = ACTIONS(7451),
    [anon_sym_BSLASHxdef] = ACTIONS(7451),
    [anon_sym_BSLASHlet] = ACTIONS(7451),
    [anon_sym_BSLASHglet] = ACTIONS(7451),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7451),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7451),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7451),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7451),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7451),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7451),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7451),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7451),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7451),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7451),
    [anon_sym_BSLASHgls] = ACTIONS(7451),
    [anon_sym_BSLASHGls] = ACTIONS(7451),
    [anon_sym_BSLASHGLS] = ACTIONS(7451),
    [anon_sym_BSLASHglspl] = ACTIONS(7451),
    [anon_sym_BSLASHGlspl] = ACTIONS(7451),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7451),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7451),
    [anon_sym_BSLASHglslink] = ACTIONS(7451),
    [anon_sym_BSLASHglstext] = ACTIONS(7451),
    [anon_sym_BSLASHGlstext] = ACTIONS(7451),
    [anon_sym_BSLASHGLStext] = ACTIONS(7451),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7451),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7451),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7451),
    [anon_sym_BSLASHglsplural] = ACTIONS(7451),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7451),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7451),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7451),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7451),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7451),
    [anon_sym_BSLASHglsname] = ACTIONS(7451),
    [anon_sym_BSLASHGlsname] = ACTIONS(7451),
    [anon_sym_BSLASHGLSname] = ACTIONS(7451),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7451),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7451),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7451),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7451),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7451),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7451),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7451),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7451),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7451),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7451),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7451),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7451),
    [anon_sym_BSLASHacrshort] = ACTIONS(7451),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7451),
    [anon_sym_BSLASHACRshort] = ACTIONS(7451),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHacrlong] = ACTIONS(7451),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7451),
    [anon_sym_BSLASHACRlong] = ACTIONS(7451),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7451),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7451),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7451),
    [anon_sym_BSLASHacrfull] = ACTIONS(7451),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7451),
    [anon_sym_BSLASHACRfull] = ACTIONS(7451),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHacs] = ACTIONS(7451),
    [anon_sym_BSLASHAcs] = ACTIONS(7451),
    [anon_sym_BSLASHacsp] = ACTIONS(7451),
    [anon_sym_BSLASHAcsp] = ACTIONS(7451),
    [anon_sym_BSLASHacl] = ACTIONS(7451),
    [anon_sym_BSLASHAcl] = ACTIONS(7451),
    [anon_sym_BSLASHaclp] = ACTIONS(7451),
    [anon_sym_BSLASHAclp] = ACTIONS(7451),
    [anon_sym_BSLASHacf] = ACTIONS(7451),
    [anon_sym_BSLASHAcf] = ACTIONS(7451),
    [anon_sym_BSLASHacfp] = ACTIONS(7451),
    [anon_sym_BSLASHAcfp] = ACTIONS(7451),
    [anon_sym_BSLASHac] = ACTIONS(7451),
    [anon_sym_BSLASHAc] = ACTIONS(7451),
    [anon_sym_BSLASHacp] = ACTIONS(7451),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7451),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7451),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7451),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7451),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7451),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7451),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7451),
    [anon_sym_BSLASHcolor] = ACTIONS(7451),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7451),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7451),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7451),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7451),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7451),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7451),
    [anon_sym_BSLASHurl] = ACTIONS(7451),
    [anon_sym_BSLASHhref] = ACTIONS(7451),
  },
  [1778] = {
    [sym_command_name] = ACTIONS(7455),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7455),
    [anon_sym_LBRACK] = ACTIONS(7457),
    [anon_sym_RBRACK] = ACTIONS(7457),
    [anon_sym_COMMA] = ACTIONS(7457),
    [anon_sym_EQ] = ACTIONS(7457),
    [anon_sym_LPAREN] = ACTIONS(7457),
    [anon_sym_RPAREN] = ACTIONS(7457),
    [anon_sym_LBRACE] = ACTIONS(7457),
    [sym_word] = ACTIONS(7455),
    [sym_placeholder] = ACTIONS(7457),
    [sym_delimiter] = ACTIONS(7457),
    [anon_sym_PLUS] = ACTIONS(7457),
    [anon_sym_DASH] = ACTIONS(7457),
    [anon_sym_STAR] = ACTIONS(7457),
    [anon_sym_SLASH] = ACTIONS(7457),
    [anon_sym_LT] = ACTIONS(7455),
    [anon_sym_GT] = ACTIONS(7455),
    [anon_sym_BANG] = ACTIONS(7455),
    [anon_sym_PIPE] = ACTIONS(7455),
    [anon_sym_COLON] = ACTIONS(7455),
    [anon_sym_SQUOTE] = ACTIONS(7455),
    [anon_sym__] = ACTIONS(7457),
    [anon_sym_CARET] = ACTIONS(7457),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7457),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7457),
    [anon_sym_DOLLAR] = ACTIONS(7455),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7457),
    [anon_sym_BSLASHleft] = ACTIONS(7455),
    [anon_sym_BSLASHbigl] = ACTIONS(7455),
    [anon_sym_BSLASHBigl] = ACTIONS(7455),
    [anon_sym_BSLASHbiggl] = ACTIONS(7455),
    [anon_sym_BSLASHBiggl] = ACTIONS(7455),
    [anon_sym_BSLASHtext] = ACTIONS(7455),
    [anon_sym_BSLASHintertext] = ACTIONS(7455),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7455),
    [anon_sym_BSLASHbegin] = ACTIONS(7455),
    [anon_sym_BSLASHend] = ACTIONS(7455),
    [anon_sym_BSLASHtitle] = ACTIONS(7455),
    [anon_sym_BSLASHauthor] = ACTIONS(7455),
    [anon_sym_BSLASHusepackage] = ACTIONS(7455),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7455),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7455),
    [anon_sym_BSLASHinclude] = ACTIONS(7455),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7455),
    [anon_sym_BSLASHinput] = ACTIONS(7455),
    [anon_sym_BSLASHsubfile] = ACTIONS(7455),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7455),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7455),
    [anon_sym_BSLASHbibliography] = ACTIONS(7455),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7455),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7455),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7455),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7455),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7455),
    [anon_sym_BSLASHimport] = ACTIONS(7455),
    [anon_sym_BSLASHsubimport] = ACTIONS(7455),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7455),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7455),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7455),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7455),
    [anon_sym_BSLASHcaption] = ACTIONS(7455),
    [anon_sym_BSLASHcite] = ACTIONS(7455),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHCite] = ACTIONS(7455),
    [anon_sym_BSLASHnocite] = ACTIONS(7455),
    [anon_sym_BSLASHcitet] = ACTIONS(7455),
    [anon_sym_BSLASHcitep] = ACTIONS(7455),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHciteA] = ACTIONS(7455),
    [anon_sym_BSLASHciteR] = ACTIONS(7455),
    [anon_sym_BSLASHciteS] = ACTIONS(7455),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7455),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7455),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7455),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7455),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHciteyear] = ACTIONS(7455),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcitedate] = ACTIONS(7455),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHciteurl] = ACTIONS(7455),
    [anon_sym_BSLASHfullcite] = ACTIONS(7455),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7455),
    [anon_sym_BSLASHcitealt] = ACTIONS(7455),
    [anon_sym_BSLASHcitealp] = ACTIONS(7455),
    [anon_sym_BSLASHcitetext] = ACTIONS(7455),
    [anon_sym_BSLASHparencite] = ACTIONS(7455),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHParencite] = ACTIONS(7455),
    [anon_sym_BSLASHfootcite] = ACTIONS(7455),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7455),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7455),
    [anon_sym_BSLASHtextcite] = ACTIONS(7455),
    [anon_sym_BSLASHTextcite] = ACTIONS(7455),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7455),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7455),
    [anon_sym_BSLASHsupercite] = ACTIONS(7455),
    [anon_sym_BSLASHautocite] = ACTIONS(7455),
    [anon_sym_BSLASHAutocite] = ACTIONS(7455),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHVolcite] = ACTIONS(7455),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHavolcite] = ACTIONS(7455),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHnotecite] = ACTIONS(7455),
    [anon_sym_BSLASHNotecite] = ACTIONS(7455),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7455),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7455),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7455),
    [anon_sym_BSLASHlabel] = ACTIONS(7455),
    [anon_sym_BSLASHref] = ACTIONS(7455),
    [anon_sym_BSLASHeqref] = ACTIONS(7455),
    [anon_sym_BSLASHvref] = ACTIONS(7455),
    [anon_sym_BSLASHVref] = ACTIONS(7455),
    [anon_sym_BSLASHautoref] = ACTIONS(7455),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHpageref] = ACTIONS(7455),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHautopageref] = ACTIONS(7455),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcref] = ACTIONS(7455),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHCref] = ACTIONS(7455),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcpageref] = ACTIONS(7455),
    [anon_sym_BSLASHCpageref] = ACTIONS(7455),
    [anon_sym_BSLASHnamecref] = ACTIONS(7455),
    [anon_sym_BSLASHnameCref] = ACTIONS(7455),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7455),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7455),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7455),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7455),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7455),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7455),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7455),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7455),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7455),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7455),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7455),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7455),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7455),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7455),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7455),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7455),
    [anon_sym_BSLASHdef] = ACTIONS(7455),
    [anon_sym_BSLASHgdef] = ACTIONS(7455),
    [anon_sym_BSLASHedef] = ACTIONS(7455),
    [anon_sym_BSLASHxdef] = ACTIONS(7455),
    [anon_sym_BSLASHlet] = ACTIONS(7455),
    [anon_sym_BSLASHglet] = ACTIONS(7455),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7455),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7455),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7455),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7455),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7455),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7455),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7455),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7455),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7455),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7455),
    [anon_sym_BSLASHgls] = ACTIONS(7455),
    [anon_sym_BSLASHGls] = ACTIONS(7455),
    [anon_sym_BSLASHGLS] = ACTIONS(7455),
    [anon_sym_BSLASHglspl] = ACTIONS(7455),
    [anon_sym_BSLASHGlspl] = ACTIONS(7455),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7455),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7455),
    [anon_sym_BSLASHglslink] = ACTIONS(7455),
    [anon_sym_BSLASHglstext] = ACTIONS(7455),
    [anon_sym_BSLASHGlstext] = ACTIONS(7455),
    [anon_sym_BSLASHGLStext] = ACTIONS(7455),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7455),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7455),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7455),
    [anon_sym_BSLASHglsplural] = ACTIONS(7455),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7455),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7455),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7455),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7455),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7455),
    [anon_sym_BSLASHglsname] = ACTIONS(7455),
    [anon_sym_BSLASHGlsname] = ACTIONS(7455),
    [anon_sym_BSLASHGLSname] = ACTIONS(7455),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7455),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7455),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7455),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7455),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7455),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7455),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7455),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7455),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7455),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7455),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7455),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7455),
    [anon_sym_BSLASHacrshort] = ACTIONS(7455),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7455),
    [anon_sym_BSLASHACRshort] = ACTIONS(7455),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHacrlong] = ACTIONS(7455),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7455),
    [anon_sym_BSLASHACRlong] = ACTIONS(7455),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7455),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7455),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7455),
    [anon_sym_BSLASHacrfull] = ACTIONS(7455),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7455),
    [anon_sym_BSLASHACRfull] = ACTIONS(7455),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHacs] = ACTIONS(7455),
    [anon_sym_BSLASHAcs] = ACTIONS(7455),
    [anon_sym_BSLASHacsp] = ACTIONS(7455),
    [anon_sym_BSLASHAcsp] = ACTIONS(7455),
    [anon_sym_BSLASHacl] = ACTIONS(7455),
    [anon_sym_BSLASHAcl] = ACTIONS(7455),
    [anon_sym_BSLASHaclp] = ACTIONS(7455),
    [anon_sym_BSLASHAclp] = ACTIONS(7455),
    [anon_sym_BSLASHacf] = ACTIONS(7455),
    [anon_sym_BSLASHAcf] = ACTIONS(7455),
    [anon_sym_BSLASHacfp] = ACTIONS(7455),
    [anon_sym_BSLASHAcfp] = ACTIONS(7455),
    [anon_sym_BSLASHac] = ACTIONS(7455),
    [anon_sym_BSLASHAc] = ACTIONS(7455),
    [anon_sym_BSLASHacp] = ACTIONS(7455),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7455),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7455),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7455),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7455),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7455),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7455),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7455),
    [anon_sym_BSLASHcolor] = ACTIONS(7455),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7455),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7455),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7455),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7455),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7455),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7455),
    [anon_sym_BSLASHurl] = ACTIONS(7455),
    [anon_sym_BSLASHhref] = ACTIONS(7455),
  },
  [1779] = {
    [sym_command_name] = ACTIONS(7459),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7459),
    [anon_sym_LBRACK] = ACTIONS(7461),
    [anon_sym_RBRACK] = ACTIONS(7461),
    [anon_sym_COMMA] = ACTIONS(7461),
    [anon_sym_EQ] = ACTIONS(7461),
    [anon_sym_LPAREN] = ACTIONS(7461),
    [anon_sym_RPAREN] = ACTIONS(7461),
    [anon_sym_LBRACE] = ACTIONS(7461),
    [sym_word] = ACTIONS(7459),
    [sym_placeholder] = ACTIONS(7461),
    [sym_delimiter] = ACTIONS(7461),
    [anon_sym_PLUS] = ACTIONS(7461),
    [anon_sym_DASH] = ACTIONS(7461),
    [anon_sym_STAR] = ACTIONS(7461),
    [anon_sym_SLASH] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(7459),
    [anon_sym_GT] = ACTIONS(7459),
    [anon_sym_BANG] = ACTIONS(7459),
    [anon_sym_PIPE] = ACTIONS(7459),
    [anon_sym_COLON] = ACTIONS(7459),
    [anon_sym_SQUOTE] = ACTIONS(7459),
    [anon_sym__] = ACTIONS(7461),
    [anon_sym_CARET] = ACTIONS(7461),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7461),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7461),
    [anon_sym_DOLLAR] = ACTIONS(7459),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7461),
    [anon_sym_BSLASHleft] = ACTIONS(7459),
    [anon_sym_BSLASHbigl] = ACTIONS(7459),
    [anon_sym_BSLASHBigl] = ACTIONS(7459),
    [anon_sym_BSLASHbiggl] = ACTIONS(7459),
    [anon_sym_BSLASHBiggl] = ACTIONS(7459),
    [anon_sym_BSLASHtext] = ACTIONS(7459),
    [anon_sym_BSLASHintertext] = ACTIONS(7459),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7459),
    [anon_sym_BSLASHbegin] = ACTIONS(7459),
    [anon_sym_BSLASHend] = ACTIONS(7459),
    [anon_sym_BSLASHtitle] = ACTIONS(7459),
    [anon_sym_BSLASHauthor] = ACTIONS(7459),
    [anon_sym_BSLASHusepackage] = ACTIONS(7459),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7459),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7459),
    [anon_sym_BSLASHinclude] = ACTIONS(7459),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7459),
    [anon_sym_BSLASHinput] = ACTIONS(7459),
    [anon_sym_BSLASHsubfile] = ACTIONS(7459),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7459),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7459),
    [anon_sym_BSLASHbibliography] = ACTIONS(7459),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7459),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7459),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7459),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7459),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7459),
    [anon_sym_BSLASHimport] = ACTIONS(7459),
    [anon_sym_BSLASHsubimport] = ACTIONS(7459),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7459),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7459),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7459),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7459),
    [anon_sym_BSLASHcaption] = ACTIONS(7459),
    [anon_sym_BSLASHcite] = ACTIONS(7459),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHCite] = ACTIONS(7459),
    [anon_sym_BSLASHnocite] = ACTIONS(7459),
    [anon_sym_BSLASHcitet] = ACTIONS(7459),
    [anon_sym_BSLASHcitep] = ACTIONS(7459),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHciteA] = ACTIONS(7459),
    [anon_sym_BSLASHciteR] = ACTIONS(7459),
    [anon_sym_BSLASHciteS] = ACTIONS(7459),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7459),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7459),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7459),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7459),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHciteyear] = ACTIONS(7459),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcitedate] = ACTIONS(7459),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHciteurl] = ACTIONS(7459),
    [anon_sym_BSLASHfullcite] = ACTIONS(7459),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7459),
    [anon_sym_BSLASHcitealt] = ACTIONS(7459),
    [anon_sym_BSLASHcitealp] = ACTIONS(7459),
    [anon_sym_BSLASHcitetext] = ACTIONS(7459),
    [anon_sym_BSLASHparencite] = ACTIONS(7459),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHParencite] = ACTIONS(7459),
    [anon_sym_BSLASHfootcite] = ACTIONS(7459),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7459),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7459),
    [anon_sym_BSLASHtextcite] = ACTIONS(7459),
    [anon_sym_BSLASHTextcite] = ACTIONS(7459),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7459),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7459),
    [anon_sym_BSLASHsupercite] = ACTIONS(7459),
    [anon_sym_BSLASHautocite] = ACTIONS(7459),
    [anon_sym_BSLASHAutocite] = ACTIONS(7459),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHVolcite] = ACTIONS(7459),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHavolcite] = ACTIONS(7459),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHnotecite] = ACTIONS(7459),
    [anon_sym_BSLASHNotecite] = ACTIONS(7459),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7459),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7459),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7459),
    [anon_sym_BSLASHlabel] = ACTIONS(7459),
    [anon_sym_BSLASHref] = ACTIONS(7459),
    [anon_sym_BSLASHeqref] = ACTIONS(7459),
    [anon_sym_BSLASHvref] = ACTIONS(7459),
    [anon_sym_BSLASHVref] = ACTIONS(7459),
    [anon_sym_BSLASHautoref] = ACTIONS(7459),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHpageref] = ACTIONS(7459),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHautopageref] = ACTIONS(7459),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcref] = ACTIONS(7459),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHCref] = ACTIONS(7459),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcpageref] = ACTIONS(7459),
    [anon_sym_BSLASHCpageref] = ACTIONS(7459),
    [anon_sym_BSLASHnamecref] = ACTIONS(7459),
    [anon_sym_BSLASHnameCref] = ACTIONS(7459),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7459),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7459),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7459),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7459),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7459),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7459),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7459),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7459),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7459),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7459),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7459),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7459),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7459),
    [anon_sym_BSLASHdef] = ACTIONS(7459),
    [anon_sym_BSLASHgdef] = ACTIONS(7459),
    [anon_sym_BSLASHedef] = ACTIONS(7459),
    [anon_sym_BSLASHxdef] = ACTIONS(7459),
    [anon_sym_BSLASHlet] = ACTIONS(7459),
    [anon_sym_BSLASHglet] = ACTIONS(7459),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7459),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7459),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7459),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7459),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7459),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7459),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7459),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7459),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7459),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7459),
    [anon_sym_BSLASHgls] = ACTIONS(7459),
    [anon_sym_BSLASHGls] = ACTIONS(7459),
    [anon_sym_BSLASHGLS] = ACTIONS(7459),
    [anon_sym_BSLASHglspl] = ACTIONS(7459),
    [anon_sym_BSLASHGlspl] = ACTIONS(7459),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7459),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7459),
    [anon_sym_BSLASHglslink] = ACTIONS(7459),
    [anon_sym_BSLASHglstext] = ACTIONS(7459),
    [anon_sym_BSLASHGlstext] = ACTIONS(7459),
    [anon_sym_BSLASHGLStext] = ACTIONS(7459),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7459),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7459),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7459),
    [anon_sym_BSLASHglsplural] = ACTIONS(7459),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7459),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7459),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7459),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7459),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7459),
    [anon_sym_BSLASHglsname] = ACTIONS(7459),
    [anon_sym_BSLASHGlsname] = ACTIONS(7459),
    [anon_sym_BSLASHGLSname] = ACTIONS(7459),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7459),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7459),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7459),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7459),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7459),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7459),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7459),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7459),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7459),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7459),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7459),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7459),
    [anon_sym_BSLASHacrshort] = ACTIONS(7459),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7459),
    [anon_sym_BSLASHACRshort] = ACTIONS(7459),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHacrlong] = ACTIONS(7459),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7459),
    [anon_sym_BSLASHACRlong] = ACTIONS(7459),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7459),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7459),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7459),
    [anon_sym_BSLASHacrfull] = ACTIONS(7459),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7459),
    [anon_sym_BSLASHACRfull] = ACTIONS(7459),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHacs] = ACTIONS(7459),
    [anon_sym_BSLASHAcs] = ACTIONS(7459),
    [anon_sym_BSLASHacsp] = ACTIONS(7459),
    [anon_sym_BSLASHAcsp] = ACTIONS(7459),
    [anon_sym_BSLASHacl] = ACTIONS(7459),
    [anon_sym_BSLASHAcl] = ACTIONS(7459),
    [anon_sym_BSLASHaclp] = ACTIONS(7459),
    [anon_sym_BSLASHAclp] = ACTIONS(7459),
    [anon_sym_BSLASHacf] = ACTIONS(7459),
    [anon_sym_BSLASHAcf] = ACTIONS(7459),
    [anon_sym_BSLASHacfp] = ACTIONS(7459),
    [anon_sym_BSLASHAcfp] = ACTIONS(7459),
    [anon_sym_BSLASHac] = ACTIONS(7459),
    [anon_sym_BSLASHAc] = ACTIONS(7459),
    [anon_sym_BSLASHacp] = ACTIONS(7459),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7459),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7459),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7459),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7459),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7459),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7459),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7459),
    [anon_sym_BSLASHcolor] = ACTIONS(7459),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7459),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7459),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7459),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7459),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7459),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7459),
    [anon_sym_BSLASHurl] = ACTIONS(7459),
    [anon_sym_BSLASHhref] = ACTIONS(7459),
  },
  [1780] = {
    [sym_command_name] = ACTIONS(7599),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7599),
    [anon_sym_LBRACK] = ACTIONS(7601),
    [anon_sym_RBRACK] = ACTIONS(7601),
    [anon_sym_COMMA] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(7601),
    [anon_sym_LPAREN] = ACTIONS(7601),
    [anon_sym_RPAREN] = ACTIONS(7601),
    [anon_sym_LBRACE] = ACTIONS(7601),
    [sym_word] = ACTIONS(7599),
    [sym_placeholder] = ACTIONS(7601),
    [sym_delimiter] = ACTIONS(7601),
    [anon_sym_PLUS] = ACTIONS(7601),
    [anon_sym_DASH] = ACTIONS(7601),
    [anon_sym_STAR] = ACTIONS(7601),
    [anon_sym_SLASH] = ACTIONS(7601),
    [anon_sym_LT] = ACTIONS(7599),
    [anon_sym_GT] = ACTIONS(7599),
    [anon_sym_BANG] = ACTIONS(7599),
    [anon_sym_PIPE] = ACTIONS(7599),
    [anon_sym_COLON] = ACTIONS(7599),
    [anon_sym_SQUOTE] = ACTIONS(7599),
    [anon_sym__] = ACTIONS(7601),
    [anon_sym_CARET] = ACTIONS(7601),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7601),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7601),
    [anon_sym_DOLLAR] = ACTIONS(7599),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7601),
    [anon_sym_BSLASHleft] = ACTIONS(7599),
    [anon_sym_BSLASHbigl] = ACTIONS(7599),
    [anon_sym_BSLASHBigl] = ACTIONS(7599),
    [anon_sym_BSLASHbiggl] = ACTIONS(7599),
    [anon_sym_BSLASHBiggl] = ACTIONS(7599),
    [anon_sym_BSLASHtext] = ACTIONS(7599),
    [anon_sym_BSLASHintertext] = ACTIONS(7599),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7599),
    [anon_sym_BSLASHbegin] = ACTIONS(7599),
    [anon_sym_BSLASHend] = ACTIONS(7599),
    [anon_sym_BSLASHtitle] = ACTIONS(7599),
    [anon_sym_BSLASHauthor] = ACTIONS(7599),
    [anon_sym_BSLASHusepackage] = ACTIONS(7599),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7599),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7599),
    [anon_sym_BSLASHinclude] = ACTIONS(7599),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7599),
    [anon_sym_BSLASHinput] = ACTIONS(7599),
    [anon_sym_BSLASHsubfile] = ACTIONS(7599),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7599),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7599),
    [anon_sym_BSLASHbibliography] = ACTIONS(7599),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7599),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7599),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7599),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7599),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7599),
    [anon_sym_BSLASHimport] = ACTIONS(7599),
    [anon_sym_BSLASHsubimport] = ACTIONS(7599),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7599),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7599),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7599),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7599),
    [anon_sym_BSLASHcaption] = ACTIONS(7599),
    [anon_sym_BSLASHcite] = ACTIONS(7599),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCite] = ACTIONS(7599),
    [anon_sym_BSLASHnocite] = ACTIONS(7599),
    [anon_sym_BSLASHcitet] = ACTIONS(7599),
    [anon_sym_BSLASHcitep] = ACTIONS(7599),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteA] = ACTIONS(7599),
    [anon_sym_BSLASHciteR] = ACTIONS(7599),
    [anon_sym_BSLASHciteS] = ACTIONS(7599),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7599),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7599),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7599),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7599),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteyear] = ACTIONS(7599),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitedate] = ACTIONS(7599),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteurl] = ACTIONS(7599),
    [anon_sym_BSLASHfullcite] = ACTIONS(7599),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7599),
    [anon_sym_BSLASHcitealt] = ACTIONS(7599),
    [anon_sym_BSLASHcitealp] = ACTIONS(7599),
    [anon_sym_BSLASHcitetext] = ACTIONS(7599),
    [anon_sym_BSLASHparencite] = ACTIONS(7599),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHParencite] = ACTIONS(7599),
    [anon_sym_BSLASHfootcite] = ACTIONS(7599),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7599),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7599),
    [anon_sym_BSLASHtextcite] = ACTIONS(7599),
    [anon_sym_BSLASHTextcite] = ACTIONS(7599),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7599),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7599),
    [anon_sym_BSLASHsupercite] = ACTIONS(7599),
    [anon_sym_BSLASHautocite] = ACTIONS(7599),
    [anon_sym_BSLASHAutocite] = ACTIONS(7599),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHVolcite] = ACTIONS(7599),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHavolcite] = ACTIONS(7599),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHNotecite] = ACTIONS(7599),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHlabel] = ACTIONS(7599),
    [anon_sym_BSLASHref] = ACTIONS(7599),
    [anon_sym_BSLASHeqref] = ACTIONS(7599),
    [anon_sym_BSLASHvref] = ACTIONS(7599),
    [anon_sym_BSLASHVref] = ACTIONS(7599),
    [anon_sym_BSLASHautoref] = ACTIONS(7599),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHpageref] = ACTIONS(7599),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHautopageref] = ACTIONS(7599),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcref] = ACTIONS(7599),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCref] = ACTIONS(7599),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcpageref] = ACTIONS(7599),
    [anon_sym_BSLASHCpageref] = ACTIONS(7599),
    [anon_sym_BSLASHnamecref] = ACTIONS(7599),
    [anon_sym_BSLASHnameCref] = ACTIONS(7599),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7599),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7599),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7599),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7599),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7599),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7599),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7599),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7599),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7599),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7599),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7599),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHdef] = ACTIONS(7599),
    [anon_sym_BSLASHgdef] = ACTIONS(7599),
    [anon_sym_BSLASHedef] = ACTIONS(7599),
    [anon_sym_BSLASHxdef] = ACTIONS(7599),
    [anon_sym_BSLASHlet] = ACTIONS(7599),
    [anon_sym_BSLASHglet] = ACTIONS(7599),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7599),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7599),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7599),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7599),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7599),
    [anon_sym_BSLASHgls] = ACTIONS(7599),
    [anon_sym_BSLASHGls] = ACTIONS(7599),
    [anon_sym_BSLASHGLS] = ACTIONS(7599),
    [anon_sym_BSLASHglspl] = ACTIONS(7599),
    [anon_sym_BSLASHGlspl] = ACTIONS(7599),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7599),
    [anon_sym_BSLASHglslink] = ACTIONS(7599),
    [anon_sym_BSLASHglstext] = ACTIONS(7599),
    [anon_sym_BSLASHGlstext] = ACTIONS(7599),
    [anon_sym_BSLASHGLStext] = ACTIONS(7599),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7599),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7599),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7599),
    [anon_sym_BSLASHglsplural] = ACTIONS(7599),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7599),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7599),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHglsname] = ACTIONS(7599),
    [anon_sym_BSLASHGlsname] = ACTIONS(7599),
    [anon_sym_BSLASHGLSname] = ACTIONS(7599),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7599),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7599),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7599),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7599),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7599),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7599),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7599),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7599),
    [anon_sym_BSLASHacrshort] = ACTIONS(7599),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7599),
    [anon_sym_BSLASHACRshort] = ACTIONS(7599),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHacrlong] = ACTIONS(7599),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7599),
    [anon_sym_BSLASHACRlong] = ACTIONS(7599),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHacrfull] = ACTIONS(7599),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7599),
    [anon_sym_BSLASHACRfull] = ACTIONS(7599),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHacs] = ACTIONS(7599),
    [anon_sym_BSLASHAcs] = ACTIONS(7599),
    [anon_sym_BSLASHacsp] = ACTIONS(7599),
    [anon_sym_BSLASHAcsp] = ACTIONS(7599),
    [anon_sym_BSLASHacl] = ACTIONS(7599),
    [anon_sym_BSLASHAcl] = ACTIONS(7599),
    [anon_sym_BSLASHaclp] = ACTIONS(7599),
    [anon_sym_BSLASHAclp] = ACTIONS(7599),
    [anon_sym_BSLASHacf] = ACTIONS(7599),
    [anon_sym_BSLASHAcf] = ACTIONS(7599),
    [anon_sym_BSLASHacfp] = ACTIONS(7599),
    [anon_sym_BSLASHAcfp] = ACTIONS(7599),
    [anon_sym_BSLASHac] = ACTIONS(7599),
    [anon_sym_BSLASHAc] = ACTIONS(7599),
    [anon_sym_BSLASHacp] = ACTIONS(7599),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7599),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7599),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7599),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7599),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7599),
    [anon_sym_BSLASHcolor] = ACTIONS(7599),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7599),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7599),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7599),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7599),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7599),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7599),
    [anon_sym_BSLASHurl] = ACTIONS(7599),
    [anon_sym_BSLASHhref] = ACTIONS(7599),
  },
  [1781] = {
    [sym_command_name] = ACTIONS(7603),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7603),
    [anon_sym_LBRACK] = ACTIONS(7605),
    [anon_sym_RBRACK] = ACTIONS(7605),
    [anon_sym_COMMA] = ACTIONS(7605),
    [anon_sym_EQ] = ACTIONS(7605),
    [anon_sym_LPAREN] = ACTIONS(7605),
    [anon_sym_RPAREN] = ACTIONS(7605),
    [anon_sym_LBRACE] = ACTIONS(7605),
    [sym_word] = ACTIONS(7603),
    [sym_placeholder] = ACTIONS(7605),
    [sym_delimiter] = ACTIONS(7605),
    [anon_sym_PLUS] = ACTIONS(7605),
    [anon_sym_DASH] = ACTIONS(7605),
    [anon_sym_STAR] = ACTIONS(7605),
    [anon_sym_SLASH] = ACTIONS(7605),
    [anon_sym_LT] = ACTIONS(7603),
    [anon_sym_GT] = ACTIONS(7603),
    [anon_sym_BANG] = ACTIONS(7603),
    [anon_sym_PIPE] = ACTIONS(7603),
    [anon_sym_COLON] = ACTIONS(7603),
    [anon_sym_SQUOTE] = ACTIONS(7603),
    [anon_sym__] = ACTIONS(7605),
    [anon_sym_CARET] = ACTIONS(7605),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7605),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7605),
    [anon_sym_DOLLAR] = ACTIONS(7603),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7605),
    [anon_sym_BSLASHleft] = ACTIONS(7603),
    [anon_sym_BSLASHbigl] = ACTIONS(7603),
    [anon_sym_BSLASHBigl] = ACTIONS(7603),
    [anon_sym_BSLASHbiggl] = ACTIONS(7603),
    [anon_sym_BSLASHBiggl] = ACTIONS(7603),
    [anon_sym_BSLASHtext] = ACTIONS(7603),
    [anon_sym_BSLASHintertext] = ACTIONS(7603),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7603),
    [anon_sym_BSLASHbegin] = ACTIONS(7603),
    [anon_sym_BSLASHend] = ACTIONS(7603),
    [anon_sym_BSLASHtitle] = ACTIONS(7603),
    [anon_sym_BSLASHauthor] = ACTIONS(7603),
    [anon_sym_BSLASHusepackage] = ACTIONS(7603),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7603),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7603),
    [anon_sym_BSLASHinclude] = ACTIONS(7603),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7603),
    [anon_sym_BSLASHinput] = ACTIONS(7603),
    [anon_sym_BSLASHsubfile] = ACTIONS(7603),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7603),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7603),
    [anon_sym_BSLASHbibliography] = ACTIONS(7603),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7603),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7603),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7603),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7603),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7603),
    [anon_sym_BSLASHimport] = ACTIONS(7603),
    [anon_sym_BSLASHsubimport] = ACTIONS(7603),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7603),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7603),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7603),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7603),
    [anon_sym_BSLASHcaption] = ACTIONS(7603),
    [anon_sym_BSLASHcite] = ACTIONS(7603),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCite] = ACTIONS(7603),
    [anon_sym_BSLASHnocite] = ACTIONS(7603),
    [anon_sym_BSLASHcitet] = ACTIONS(7603),
    [anon_sym_BSLASHcitep] = ACTIONS(7603),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteA] = ACTIONS(7603),
    [anon_sym_BSLASHciteR] = ACTIONS(7603),
    [anon_sym_BSLASHciteS] = ACTIONS(7603),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7603),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7603),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7603),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7603),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteyear] = ACTIONS(7603),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitedate] = ACTIONS(7603),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteurl] = ACTIONS(7603),
    [anon_sym_BSLASHfullcite] = ACTIONS(7603),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7603),
    [anon_sym_BSLASHcitealt] = ACTIONS(7603),
    [anon_sym_BSLASHcitealp] = ACTIONS(7603),
    [anon_sym_BSLASHcitetext] = ACTIONS(7603),
    [anon_sym_BSLASHparencite] = ACTIONS(7603),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHParencite] = ACTIONS(7603),
    [anon_sym_BSLASHfootcite] = ACTIONS(7603),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7603),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7603),
    [anon_sym_BSLASHtextcite] = ACTIONS(7603),
    [anon_sym_BSLASHTextcite] = ACTIONS(7603),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7603),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7603),
    [anon_sym_BSLASHsupercite] = ACTIONS(7603),
    [anon_sym_BSLASHautocite] = ACTIONS(7603),
    [anon_sym_BSLASHAutocite] = ACTIONS(7603),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHVolcite] = ACTIONS(7603),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHavolcite] = ACTIONS(7603),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHNotecite] = ACTIONS(7603),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHlabel] = ACTIONS(7603),
    [anon_sym_BSLASHref] = ACTIONS(7603),
    [anon_sym_BSLASHeqref] = ACTIONS(7603),
    [anon_sym_BSLASHvref] = ACTIONS(7603),
    [anon_sym_BSLASHVref] = ACTIONS(7603),
    [anon_sym_BSLASHautoref] = ACTIONS(7603),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHpageref] = ACTIONS(7603),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHautopageref] = ACTIONS(7603),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcref] = ACTIONS(7603),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCref] = ACTIONS(7603),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcpageref] = ACTIONS(7603),
    [anon_sym_BSLASHCpageref] = ACTIONS(7603),
    [anon_sym_BSLASHnamecref] = ACTIONS(7603),
    [anon_sym_BSLASHnameCref] = ACTIONS(7603),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7603),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7603),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7603),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7603),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7603),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7603),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7603),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7603),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7603),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7603),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7603),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHdef] = ACTIONS(7603),
    [anon_sym_BSLASHgdef] = ACTIONS(7603),
    [anon_sym_BSLASHedef] = ACTIONS(7603),
    [anon_sym_BSLASHxdef] = ACTIONS(7603),
    [anon_sym_BSLASHlet] = ACTIONS(7603),
    [anon_sym_BSLASHglet] = ACTIONS(7603),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7603),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7603),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7603),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7603),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7603),
    [anon_sym_BSLASHgls] = ACTIONS(7603),
    [anon_sym_BSLASHGls] = ACTIONS(7603),
    [anon_sym_BSLASHGLS] = ACTIONS(7603),
    [anon_sym_BSLASHglspl] = ACTIONS(7603),
    [anon_sym_BSLASHGlspl] = ACTIONS(7603),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7603),
    [anon_sym_BSLASHglslink] = ACTIONS(7603),
    [anon_sym_BSLASHglstext] = ACTIONS(7603),
    [anon_sym_BSLASHGlstext] = ACTIONS(7603),
    [anon_sym_BSLASHGLStext] = ACTIONS(7603),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7603),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7603),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7603),
    [anon_sym_BSLASHglsplural] = ACTIONS(7603),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7603),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7603),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHglsname] = ACTIONS(7603),
    [anon_sym_BSLASHGlsname] = ACTIONS(7603),
    [anon_sym_BSLASHGLSname] = ACTIONS(7603),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7603),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7603),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7603),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7603),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7603),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7603),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7603),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7603),
    [anon_sym_BSLASHacrshort] = ACTIONS(7603),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7603),
    [anon_sym_BSLASHACRshort] = ACTIONS(7603),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHacrlong] = ACTIONS(7603),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7603),
    [anon_sym_BSLASHACRlong] = ACTIONS(7603),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHacrfull] = ACTIONS(7603),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7603),
    [anon_sym_BSLASHACRfull] = ACTIONS(7603),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHacs] = ACTIONS(7603),
    [anon_sym_BSLASHAcs] = ACTIONS(7603),
    [anon_sym_BSLASHacsp] = ACTIONS(7603),
    [anon_sym_BSLASHAcsp] = ACTIONS(7603),
    [anon_sym_BSLASHacl] = ACTIONS(7603),
    [anon_sym_BSLASHAcl] = ACTIONS(7603),
    [anon_sym_BSLASHaclp] = ACTIONS(7603),
    [anon_sym_BSLASHAclp] = ACTIONS(7603),
    [anon_sym_BSLASHacf] = ACTIONS(7603),
    [anon_sym_BSLASHAcf] = ACTIONS(7603),
    [anon_sym_BSLASHacfp] = ACTIONS(7603),
    [anon_sym_BSLASHAcfp] = ACTIONS(7603),
    [anon_sym_BSLASHac] = ACTIONS(7603),
    [anon_sym_BSLASHAc] = ACTIONS(7603),
    [anon_sym_BSLASHacp] = ACTIONS(7603),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7603),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7603),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7603),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7603),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7603),
    [anon_sym_BSLASHcolor] = ACTIONS(7603),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7603),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7603),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7603),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7603),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7603),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7603),
    [anon_sym_BSLASHurl] = ACTIONS(7603),
    [anon_sym_BSLASHhref] = ACTIONS(7603),
  },
  [1782] = {
    [sym_curly_group] = STATE(1962),
    [sym_command_name] = ACTIONS(6923),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6923),
    [anon_sym_LBRACK] = ACTIONS(6925),
    [anon_sym_RBRACK] = ACTIONS(6925),
    [anon_sym_COMMA] = ACTIONS(6925),
    [anon_sym_EQ] = ACTIONS(6925),
    [anon_sym_LPAREN] = ACTIONS(6925),
    [anon_sym_RPAREN] = ACTIONS(6925),
    [anon_sym_LBRACE] = ACTIONS(3603),
    [sym_word] = ACTIONS(6923),
    [sym_placeholder] = ACTIONS(6925),
    [sym_delimiter] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6925),
    [anon_sym_DASH] = ACTIONS(6925),
    [anon_sym_STAR] = ACTIONS(6925),
    [anon_sym_SLASH] = ACTIONS(6925),
    [anon_sym_LT] = ACTIONS(6923),
    [anon_sym_GT] = ACTIONS(6923),
    [anon_sym_BANG] = ACTIONS(6923),
    [anon_sym_PIPE] = ACTIONS(6923),
    [anon_sym_COLON] = ACTIONS(6923),
    [anon_sym_SQUOTE] = ACTIONS(6923),
    [anon_sym__] = ACTIONS(6925),
    [anon_sym_CARET] = ACTIONS(6925),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6925),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6925),
    [anon_sym_DOLLAR] = ACTIONS(6923),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6925),
    [anon_sym_BSLASHleft] = ACTIONS(6923),
    [anon_sym_BSLASHbigl] = ACTIONS(6923),
    [anon_sym_BSLASHBigl] = ACTIONS(6923),
    [anon_sym_BSLASHbiggl] = ACTIONS(6923),
    [anon_sym_BSLASHBiggl] = ACTIONS(6923),
    [anon_sym_BSLASHtext] = ACTIONS(6923),
    [anon_sym_BSLASHintertext] = ACTIONS(6923),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6923),
    [anon_sym_BSLASHbegin] = ACTIONS(6923),
    [anon_sym_BSLASHtitle] = ACTIONS(6923),
    [anon_sym_BSLASHauthor] = ACTIONS(6923),
    [anon_sym_BSLASHusepackage] = ACTIONS(6923),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6923),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6923),
    [anon_sym_BSLASHinclude] = ACTIONS(6923),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6923),
    [anon_sym_BSLASHinput] = ACTIONS(6923),
    [anon_sym_BSLASHsubfile] = ACTIONS(6923),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6923),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6923),
    [anon_sym_BSLASHbibliography] = ACTIONS(6923),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6923),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6923),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6923),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6923),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6923),
    [anon_sym_BSLASHimport] = ACTIONS(6923),
    [anon_sym_BSLASHsubimport] = ACTIONS(6923),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6923),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6923),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6923),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6923),
    [anon_sym_BSLASHcaption] = ACTIONS(6923),
    [anon_sym_BSLASHcite] = ACTIONS(6923),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCite] = ACTIONS(6923),
    [anon_sym_BSLASHnocite] = ACTIONS(6923),
    [anon_sym_BSLASHcitet] = ACTIONS(6923),
    [anon_sym_BSLASHcitep] = ACTIONS(6923),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteA] = ACTIONS(6923),
    [anon_sym_BSLASHciteR] = ACTIONS(6923),
    [anon_sym_BSLASHciteS] = ACTIONS(6923),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6923),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6923),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6923),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6923),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteyear] = ACTIONS(6923),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitedate] = ACTIONS(6923),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteurl] = ACTIONS(6923),
    [anon_sym_BSLASHfullcite] = ACTIONS(6923),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6923),
    [anon_sym_BSLASHcitealt] = ACTIONS(6923),
    [anon_sym_BSLASHcitealp] = ACTIONS(6923),
    [anon_sym_BSLASHcitetext] = ACTIONS(6923),
    [anon_sym_BSLASHparencite] = ACTIONS(6923),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHParencite] = ACTIONS(6923),
    [anon_sym_BSLASHfootcite] = ACTIONS(6923),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6923),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6923),
    [anon_sym_BSLASHtextcite] = ACTIONS(6923),
    [anon_sym_BSLASHTextcite] = ACTIONS(6923),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6923),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6923),
    [anon_sym_BSLASHsupercite] = ACTIONS(6923),
    [anon_sym_BSLASHautocite] = ACTIONS(6923),
    [anon_sym_BSLASHAutocite] = ACTIONS(6923),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHVolcite] = ACTIONS(6923),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHavolcite] = ACTIONS(6923),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHNotecite] = ACTIONS(6923),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHlabel] = ACTIONS(6923),
    [anon_sym_BSLASHref] = ACTIONS(6923),
    [anon_sym_BSLASHeqref] = ACTIONS(6923),
    [anon_sym_BSLASHvref] = ACTIONS(6923),
    [anon_sym_BSLASHVref] = ACTIONS(6923),
    [anon_sym_BSLASHautoref] = ACTIONS(6923),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHpageref] = ACTIONS(6923),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHautopageref] = ACTIONS(6923),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcref] = ACTIONS(6923),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCref] = ACTIONS(6923),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcpageref] = ACTIONS(6923),
    [anon_sym_BSLASHCpageref] = ACTIONS(6923),
    [anon_sym_BSLASHnamecref] = ACTIONS(6923),
    [anon_sym_BSLASHnameCref] = ACTIONS(6923),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6923),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6923),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6923),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6923),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6923),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6923),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6923),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6923),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6923),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6923),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6923),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHdef] = ACTIONS(6923),
    [anon_sym_BSLASHgdef] = ACTIONS(6923),
    [anon_sym_BSLASHedef] = ACTIONS(6923),
    [anon_sym_BSLASHxdef] = ACTIONS(6923),
    [anon_sym_BSLASHlet] = ACTIONS(6923),
    [anon_sym_BSLASHglet] = ACTIONS(6923),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6923),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6923),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6923),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6923),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6923),
    [anon_sym_BSLASHgls] = ACTIONS(6923),
    [anon_sym_BSLASHGls] = ACTIONS(6923),
    [anon_sym_BSLASHGLS] = ACTIONS(6923),
    [anon_sym_BSLASHglspl] = ACTIONS(6923),
    [anon_sym_BSLASHGlspl] = ACTIONS(6923),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6923),
    [anon_sym_BSLASHglslink] = ACTIONS(6923),
    [anon_sym_BSLASHglstext] = ACTIONS(6923),
    [anon_sym_BSLASHGlstext] = ACTIONS(6923),
    [anon_sym_BSLASHGLStext] = ACTIONS(6923),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6923),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6923),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6923),
    [anon_sym_BSLASHglsplural] = ACTIONS(6923),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6923),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6923),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHglsname] = ACTIONS(6923),
    [anon_sym_BSLASHGlsname] = ACTIONS(6923),
    [anon_sym_BSLASHGLSname] = ACTIONS(6923),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6923),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6923),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6923),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6923),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6923),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6923),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6923),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6923),
    [anon_sym_BSLASHacrshort] = ACTIONS(6923),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6923),
    [anon_sym_BSLASHACRshort] = ACTIONS(6923),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHacrlong] = ACTIONS(6923),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6923),
    [anon_sym_BSLASHACRlong] = ACTIONS(6923),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHacrfull] = ACTIONS(6923),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6923),
    [anon_sym_BSLASHACRfull] = ACTIONS(6923),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHacs] = ACTIONS(6923),
    [anon_sym_BSLASHAcs] = ACTIONS(6923),
    [anon_sym_BSLASHacsp] = ACTIONS(6923),
    [anon_sym_BSLASHAcsp] = ACTIONS(6923),
    [anon_sym_BSLASHacl] = ACTIONS(6923),
    [anon_sym_BSLASHAcl] = ACTIONS(6923),
    [anon_sym_BSLASHaclp] = ACTIONS(6923),
    [anon_sym_BSLASHAclp] = ACTIONS(6923),
    [anon_sym_BSLASHacf] = ACTIONS(6923),
    [anon_sym_BSLASHAcf] = ACTIONS(6923),
    [anon_sym_BSLASHacfp] = ACTIONS(6923),
    [anon_sym_BSLASHAcfp] = ACTIONS(6923),
    [anon_sym_BSLASHac] = ACTIONS(6923),
    [anon_sym_BSLASHAc] = ACTIONS(6923),
    [anon_sym_BSLASHacp] = ACTIONS(6923),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6923),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6923),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6923),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6923),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6923),
    [anon_sym_BSLASHcolor] = ACTIONS(6923),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6923),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6923),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6923),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6923),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6923),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6923),
    [anon_sym_BSLASHurl] = ACTIONS(6923),
    [anon_sym_BSLASHhref] = ACTIONS(6923),
  },
  [1783] = {
    [sym_brack_group_text] = STATE(1993),
    [sym_command_name] = ACTIONS(6931),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6931),
    [anon_sym_LBRACK] = ACTIONS(7842),
    [anon_sym_RBRACK] = ACTIONS(6933),
    [anon_sym_COMMA] = ACTIONS(6933),
    [anon_sym_EQ] = ACTIONS(6933),
    [anon_sym_LPAREN] = ACTIONS(6933),
    [anon_sym_RPAREN] = ACTIONS(6933),
    [anon_sym_LBRACE] = ACTIONS(6933),
    [sym_word] = ACTIONS(6931),
    [sym_placeholder] = ACTIONS(6933),
    [sym_delimiter] = ACTIONS(6933),
    [anon_sym_PLUS] = ACTIONS(6933),
    [anon_sym_DASH] = ACTIONS(6933),
    [anon_sym_STAR] = ACTIONS(6933),
    [anon_sym_SLASH] = ACTIONS(6933),
    [anon_sym_LT] = ACTIONS(6931),
    [anon_sym_GT] = ACTIONS(6931),
    [anon_sym_BANG] = ACTIONS(6931),
    [anon_sym_PIPE] = ACTIONS(6931),
    [anon_sym_COLON] = ACTIONS(6931),
    [anon_sym_SQUOTE] = ACTIONS(6931),
    [anon_sym__] = ACTIONS(6933),
    [anon_sym_CARET] = ACTIONS(6933),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6933),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6933),
    [anon_sym_DOLLAR] = ACTIONS(6931),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6933),
    [anon_sym_BSLASHleft] = ACTIONS(6931),
    [anon_sym_BSLASHbigl] = ACTIONS(6931),
    [anon_sym_BSLASHBigl] = ACTIONS(6931),
    [anon_sym_BSLASHbiggl] = ACTIONS(6931),
    [anon_sym_BSLASHBiggl] = ACTIONS(6931),
    [anon_sym_BSLASHtext] = ACTIONS(6931),
    [anon_sym_BSLASHintertext] = ACTIONS(6931),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6931),
    [anon_sym_BSLASHbegin] = ACTIONS(6931),
    [anon_sym_BSLASHtitle] = ACTIONS(6931),
    [anon_sym_BSLASHauthor] = ACTIONS(6931),
    [anon_sym_BSLASHusepackage] = ACTIONS(6931),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6931),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6931),
    [anon_sym_BSLASHinclude] = ACTIONS(6931),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6931),
    [anon_sym_BSLASHinput] = ACTIONS(6931),
    [anon_sym_BSLASHsubfile] = ACTIONS(6931),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6931),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6931),
    [anon_sym_BSLASHbibliography] = ACTIONS(6931),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6931),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6931),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6931),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6931),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6931),
    [anon_sym_BSLASHimport] = ACTIONS(6931),
    [anon_sym_BSLASHsubimport] = ACTIONS(6931),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6931),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6931),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6931),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6931),
    [anon_sym_BSLASHcaption] = ACTIONS(6931),
    [anon_sym_BSLASHcite] = ACTIONS(6931),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCite] = ACTIONS(6931),
    [anon_sym_BSLASHnocite] = ACTIONS(6931),
    [anon_sym_BSLASHcitet] = ACTIONS(6931),
    [anon_sym_BSLASHcitep] = ACTIONS(6931),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteA] = ACTIONS(6931),
    [anon_sym_BSLASHciteR] = ACTIONS(6931),
    [anon_sym_BSLASHciteS] = ACTIONS(6931),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6931),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6931),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6931),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6931),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteyear] = ACTIONS(6931),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitedate] = ACTIONS(6931),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteurl] = ACTIONS(6931),
    [anon_sym_BSLASHfullcite] = ACTIONS(6931),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6931),
    [anon_sym_BSLASHcitealt] = ACTIONS(6931),
    [anon_sym_BSLASHcitealp] = ACTIONS(6931),
    [anon_sym_BSLASHcitetext] = ACTIONS(6931),
    [anon_sym_BSLASHparencite] = ACTIONS(6931),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHParencite] = ACTIONS(6931),
    [anon_sym_BSLASHfootcite] = ACTIONS(6931),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6931),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6931),
    [anon_sym_BSLASHtextcite] = ACTIONS(6931),
    [anon_sym_BSLASHTextcite] = ACTIONS(6931),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6931),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6931),
    [anon_sym_BSLASHsupercite] = ACTIONS(6931),
    [anon_sym_BSLASHautocite] = ACTIONS(6931),
    [anon_sym_BSLASHAutocite] = ACTIONS(6931),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHVolcite] = ACTIONS(6931),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHavolcite] = ACTIONS(6931),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHNotecite] = ACTIONS(6931),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHlabel] = ACTIONS(6931),
    [anon_sym_BSLASHref] = ACTIONS(6931),
    [anon_sym_BSLASHeqref] = ACTIONS(6931),
    [anon_sym_BSLASHvref] = ACTIONS(6931),
    [anon_sym_BSLASHVref] = ACTIONS(6931),
    [anon_sym_BSLASHautoref] = ACTIONS(6931),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHpageref] = ACTIONS(6931),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHautopageref] = ACTIONS(6931),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcref] = ACTIONS(6931),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCref] = ACTIONS(6931),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcpageref] = ACTIONS(6931),
    [anon_sym_BSLASHCpageref] = ACTIONS(6931),
    [anon_sym_BSLASHnamecref] = ACTIONS(6931),
    [anon_sym_BSLASHnameCref] = ACTIONS(6931),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6931),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6931),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6931),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6931),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6931),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6931),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6931),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6931),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6931),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6931),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6931),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHdef] = ACTIONS(6931),
    [anon_sym_BSLASHgdef] = ACTIONS(6931),
    [anon_sym_BSLASHedef] = ACTIONS(6931),
    [anon_sym_BSLASHxdef] = ACTIONS(6931),
    [anon_sym_BSLASHlet] = ACTIONS(6931),
    [anon_sym_BSLASHglet] = ACTIONS(6931),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6931),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6931),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6931),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6931),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6931),
    [anon_sym_BSLASHgls] = ACTIONS(6931),
    [anon_sym_BSLASHGls] = ACTIONS(6931),
    [anon_sym_BSLASHGLS] = ACTIONS(6931),
    [anon_sym_BSLASHglspl] = ACTIONS(6931),
    [anon_sym_BSLASHGlspl] = ACTIONS(6931),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6931),
    [anon_sym_BSLASHglslink] = ACTIONS(6931),
    [anon_sym_BSLASHglstext] = ACTIONS(6931),
    [anon_sym_BSLASHGlstext] = ACTIONS(6931),
    [anon_sym_BSLASHGLStext] = ACTIONS(6931),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6931),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6931),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6931),
    [anon_sym_BSLASHglsplural] = ACTIONS(6931),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6931),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6931),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHglsname] = ACTIONS(6931),
    [anon_sym_BSLASHGlsname] = ACTIONS(6931),
    [anon_sym_BSLASHGLSname] = ACTIONS(6931),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6931),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6931),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6931),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6931),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6931),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6931),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6931),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6931),
    [anon_sym_BSLASHacrshort] = ACTIONS(6931),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6931),
    [anon_sym_BSLASHACRshort] = ACTIONS(6931),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHacrlong] = ACTIONS(6931),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6931),
    [anon_sym_BSLASHACRlong] = ACTIONS(6931),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHacrfull] = ACTIONS(6931),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6931),
    [anon_sym_BSLASHACRfull] = ACTIONS(6931),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHacs] = ACTIONS(6931),
    [anon_sym_BSLASHAcs] = ACTIONS(6931),
    [anon_sym_BSLASHacsp] = ACTIONS(6931),
    [anon_sym_BSLASHAcsp] = ACTIONS(6931),
    [anon_sym_BSLASHacl] = ACTIONS(6931),
    [anon_sym_BSLASHAcl] = ACTIONS(6931),
    [anon_sym_BSLASHaclp] = ACTIONS(6931),
    [anon_sym_BSLASHAclp] = ACTIONS(6931),
    [anon_sym_BSLASHacf] = ACTIONS(6931),
    [anon_sym_BSLASHAcf] = ACTIONS(6931),
    [anon_sym_BSLASHacfp] = ACTIONS(6931),
    [anon_sym_BSLASHAcfp] = ACTIONS(6931),
    [anon_sym_BSLASHac] = ACTIONS(6931),
    [anon_sym_BSLASHAc] = ACTIONS(6931),
    [anon_sym_BSLASHacp] = ACTIONS(6931),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6931),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6931),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6931),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6931),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6931),
    [anon_sym_BSLASHcolor] = ACTIONS(6931),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6931),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6931),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6931),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6931),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6931),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6931),
    [anon_sym_BSLASHurl] = ACTIONS(6931),
    [anon_sym_BSLASHhref] = ACTIONS(6931),
  },
  [1784] = {
    [sym_command_name] = ACTIONS(7187),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7187),
    [anon_sym_LBRACK] = ACTIONS(7189),
    [anon_sym_RBRACK] = ACTIONS(7189),
    [anon_sym_COMMA] = ACTIONS(7189),
    [anon_sym_EQ] = ACTIONS(7189),
    [anon_sym_LPAREN] = ACTIONS(7189),
    [anon_sym_RPAREN] = ACTIONS(7189),
    [anon_sym_LBRACE] = ACTIONS(7189),
    [sym_word] = ACTIONS(7187),
    [sym_placeholder] = ACTIONS(7189),
    [sym_delimiter] = ACTIONS(7189),
    [anon_sym_PLUS] = ACTIONS(7189),
    [anon_sym_DASH] = ACTIONS(7189),
    [anon_sym_STAR] = ACTIONS(7189),
    [anon_sym_SLASH] = ACTIONS(7189),
    [anon_sym_LT] = ACTIONS(7187),
    [anon_sym_GT] = ACTIONS(7187),
    [anon_sym_BANG] = ACTIONS(7187),
    [anon_sym_PIPE] = ACTIONS(7187),
    [anon_sym_COLON] = ACTIONS(7187),
    [anon_sym_SQUOTE] = ACTIONS(7187),
    [anon_sym__] = ACTIONS(7189),
    [anon_sym_CARET] = ACTIONS(7189),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7189),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7189),
    [anon_sym_DOLLAR] = ACTIONS(7187),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7189),
    [anon_sym_BSLASHleft] = ACTIONS(7187),
    [anon_sym_BSLASHbigl] = ACTIONS(7187),
    [anon_sym_BSLASHBigl] = ACTIONS(7187),
    [anon_sym_BSLASHbiggl] = ACTIONS(7187),
    [anon_sym_BSLASHBiggl] = ACTIONS(7187),
    [anon_sym_BSLASHtext] = ACTIONS(7187),
    [anon_sym_BSLASHintertext] = ACTIONS(7187),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7187),
    [anon_sym_BSLASHbegin] = ACTIONS(7187),
    [anon_sym_BSLASHend] = ACTIONS(7187),
    [anon_sym_BSLASHtitle] = ACTIONS(7187),
    [anon_sym_BSLASHauthor] = ACTIONS(7187),
    [anon_sym_BSLASHusepackage] = ACTIONS(7187),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7187),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7187),
    [anon_sym_BSLASHinclude] = ACTIONS(7187),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7187),
    [anon_sym_BSLASHinput] = ACTIONS(7187),
    [anon_sym_BSLASHsubfile] = ACTIONS(7187),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7187),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7187),
    [anon_sym_BSLASHbibliography] = ACTIONS(7187),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7187),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7187),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7187),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7187),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7187),
    [anon_sym_BSLASHimport] = ACTIONS(7187),
    [anon_sym_BSLASHsubimport] = ACTIONS(7187),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7187),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7187),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7187),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7187),
    [anon_sym_BSLASHcaption] = ACTIONS(7187),
    [anon_sym_BSLASHcite] = ACTIONS(7187),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCite] = ACTIONS(7187),
    [anon_sym_BSLASHnocite] = ACTIONS(7187),
    [anon_sym_BSLASHcitet] = ACTIONS(7187),
    [anon_sym_BSLASHcitep] = ACTIONS(7187),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteA] = ACTIONS(7187),
    [anon_sym_BSLASHciteR] = ACTIONS(7187),
    [anon_sym_BSLASHciteS] = ACTIONS(7187),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7187),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7187),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7187),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7187),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteyear] = ACTIONS(7187),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitedate] = ACTIONS(7187),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteurl] = ACTIONS(7187),
    [anon_sym_BSLASHfullcite] = ACTIONS(7187),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7187),
    [anon_sym_BSLASHcitealt] = ACTIONS(7187),
    [anon_sym_BSLASHcitealp] = ACTIONS(7187),
    [anon_sym_BSLASHcitetext] = ACTIONS(7187),
    [anon_sym_BSLASHparencite] = ACTIONS(7187),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHParencite] = ACTIONS(7187),
    [anon_sym_BSLASHfootcite] = ACTIONS(7187),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7187),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7187),
    [anon_sym_BSLASHtextcite] = ACTIONS(7187),
    [anon_sym_BSLASHTextcite] = ACTIONS(7187),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7187),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7187),
    [anon_sym_BSLASHsupercite] = ACTIONS(7187),
    [anon_sym_BSLASHautocite] = ACTIONS(7187),
    [anon_sym_BSLASHAutocite] = ACTIONS(7187),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHVolcite] = ACTIONS(7187),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHavolcite] = ACTIONS(7187),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHNotecite] = ACTIONS(7187),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHlabel] = ACTIONS(7187),
    [anon_sym_BSLASHref] = ACTIONS(7187),
    [anon_sym_BSLASHeqref] = ACTIONS(7187),
    [anon_sym_BSLASHvref] = ACTIONS(7187),
    [anon_sym_BSLASHVref] = ACTIONS(7187),
    [anon_sym_BSLASHautoref] = ACTIONS(7187),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHpageref] = ACTIONS(7187),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHautopageref] = ACTIONS(7187),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcref] = ACTIONS(7187),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCref] = ACTIONS(7187),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcpageref] = ACTIONS(7187),
    [anon_sym_BSLASHCpageref] = ACTIONS(7187),
    [anon_sym_BSLASHnamecref] = ACTIONS(7187),
    [anon_sym_BSLASHnameCref] = ACTIONS(7187),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7187),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7187),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7187),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7187),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7187),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7187),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7187),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7187),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7187),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7187),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7187),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHdef] = ACTIONS(7187),
    [anon_sym_BSLASHgdef] = ACTIONS(7187),
    [anon_sym_BSLASHedef] = ACTIONS(7187),
    [anon_sym_BSLASHxdef] = ACTIONS(7187),
    [anon_sym_BSLASHlet] = ACTIONS(7187),
    [anon_sym_BSLASHglet] = ACTIONS(7187),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7187),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7187),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7187),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7187),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7187),
    [anon_sym_BSLASHgls] = ACTIONS(7187),
    [anon_sym_BSLASHGls] = ACTIONS(7187),
    [anon_sym_BSLASHGLS] = ACTIONS(7187),
    [anon_sym_BSLASHglspl] = ACTIONS(7187),
    [anon_sym_BSLASHGlspl] = ACTIONS(7187),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7187),
    [anon_sym_BSLASHglslink] = ACTIONS(7187),
    [anon_sym_BSLASHglstext] = ACTIONS(7187),
    [anon_sym_BSLASHGlstext] = ACTIONS(7187),
    [anon_sym_BSLASHGLStext] = ACTIONS(7187),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7187),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7187),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7187),
    [anon_sym_BSLASHglsplural] = ACTIONS(7187),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7187),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7187),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHglsname] = ACTIONS(7187),
    [anon_sym_BSLASHGlsname] = ACTIONS(7187),
    [anon_sym_BSLASHGLSname] = ACTIONS(7187),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7187),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7187),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7187),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7187),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7187),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7187),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7187),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7187),
    [anon_sym_BSLASHacrshort] = ACTIONS(7187),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7187),
    [anon_sym_BSLASHACRshort] = ACTIONS(7187),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHacrlong] = ACTIONS(7187),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7187),
    [anon_sym_BSLASHACRlong] = ACTIONS(7187),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHacrfull] = ACTIONS(7187),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7187),
    [anon_sym_BSLASHACRfull] = ACTIONS(7187),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHacs] = ACTIONS(7187),
    [anon_sym_BSLASHAcs] = ACTIONS(7187),
    [anon_sym_BSLASHacsp] = ACTIONS(7187),
    [anon_sym_BSLASHAcsp] = ACTIONS(7187),
    [anon_sym_BSLASHacl] = ACTIONS(7187),
    [anon_sym_BSLASHAcl] = ACTIONS(7187),
    [anon_sym_BSLASHaclp] = ACTIONS(7187),
    [anon_sym_BSLASHAclp] = ACTIONS(7187),
    [anon_sym_BSLASHacf] = ACTIONS(7187),
    [anon_sym_BSLASHAcf] = ACTIONS(7187),
    [anon_sym_BSLASHacfp] = ACTIONS(7187),
    [anon_sym_BSLASHAcfp] = ACTIONS(7187),
    [anon_sym_BSLASHac] = ACTIONS(7187),
    [anon_sym_BSLASHAc] = ACTIONS(7187),
    [anon_sym_BSLASHacp] = ACTIONS(7187),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7187),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7187),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7187),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7187),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7187),
    [anon_sym_BSLASHcolor] = ACTIONS(7187),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7187),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7187),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7187),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7187),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7187),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7187),
    [anon_sym_BSLASHurl] = ACTIONS(7187),
    [anon_sym_BSLASHhref] = ACTIONS(7187),
  },
  [1785] = {
    [sym_command_name] = ACTIONS(7047),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7047),
    [anon_sym_LBRACK] = ACTIONS(7049),
    [anon_sym_RBRACK] = ACTIONS(7049),
    [anon_sym_COMMA] = ACTIONS(7049),
    [anon_sym_EQ] = ACTIONS(7049),
    [anon_sym_LPAREN] = ACTIONS(7049),
    [anon_sym_RPAREN] = ACTIONS(7049),
    [anon_sym_LBRACE] = ACTIONS(7049),
    [sym_word] = ACTIONS(7047),
    [sym_placeholder] = ACTIONS(7049),
    [sym_delimiter] = ACTIONS(7049),
    [anon_sym_PLUS] = ACTIONS(7049),
    [anon_sym_DASH] = ACTIONS(7049),
    [anon_sym_STAR] = ACTIONS(7049),
    [anon_sym_SLASH] = ACTIONS(7049),
    [anon_sym_LT] = ACTIONS(7047),
    [anon_sym_GT] = ACTIONS(7047),
    [anon_sym_BANG] = ACTIONS(7047),
    [anon_sym_PIPE] = ACTIONS(7047),
    [anon_sym_COLON] = ACTIONS(7047),
    [anon_sym_SQUOTE] = ACTIONS(7047),
    [anon_sym__] = ACTIONS(7049),
    [anon_sym_CARET] = ACTIONS(7049),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7049),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7049),
    [anon_sym_DOLLAR] = ACTIONS(7047),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7049),
    [anon_sym_BSLASHleft] = ACTIONS(7047),
    [anon_sym_BSLASHbigl] = ACTIONS(7047),
    [anon_sym_BSLASHBigl] = ACTIONS(7047),
    [anon_sym_BSLASHbiggl] = ACTIONS(7047),
    [anon_sym_BSLASHBiggl] = ACTIONS(7047),
    [anon_sym_BSLASHtext] = ACTIONS(7047),
    [anon_sym_BSLASHintertext] = ACTIONS(7047),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7047),
    [anon_sym_BSLASHbegin] = ACTIONS(7047),
    [anon_sym_BSLASHend] = ACTIONS(7047),
    [anon_sym_BSLASHtitle] = ACTIONS(7047),
    [anon_sym_BSLASHauthor] = ACTIONS(7047),
    [anon_sym_BSLASHusepackage] = ACTIONS(7047),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7047),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7047),
    [anon_sym_BSLASHinclude] = ACTIONS(7047),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7047),
    [anon_sym_BSLASHinput] = ACTIONS(7047),
    [anon_sym_BSLASHsubfile] = ACTIONS(7047),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7047),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7047),
    [anon_sym_BSLASHbibliography] = ACTIONS(7047),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7047),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7047),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7047),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7047),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7047),
    [anon_sym_BSLASHimport] = ACTIONS(7047),
    [anon_sym_BSLASHsubimport] = ACTIONS(7047),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7047),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7047),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7047),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7047),
    [anon_sym_BSLASHcaption] = ACTIONS(7047),
    [anon_sym_BSLASHcite] = ACTIONS(7047),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCite] = ACTIONS(7047),
    [anon_sym_BSLASHnocite] = ACTIONS(7047),
    [anon_sym_BSLASHcitet] = ACTIONS(7047),
    [anon_sym_BSLASHcitep] = ACTIONS(7047),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteA] = ACTIONS(7047),
    [anon_sym_BSLASHciteR] = ACTIONS(7047),
    [anon_sym_BSLASHciteS] = ACTIONS(7047),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7047),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7047),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7047),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7047),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteyear] = ACTIONS(7047),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitedate] = ACTIONS(7047),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteurl] = ACTIONS(7047),
    [anon_sym_BSLASHfullcite] = ACTIONS(7047),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7047),
    [anon_sym_BSLASHcitealt] = ACTIONS(7047),
    [anon_sym_BSLASHcitealp] = ACTIONS(7047),
    [anon_sym_BSLASHcitetext] = ACTIONS(7047),
    [anon_sym_BSLASHparencite] = ACTIONS(7047),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHParencite] = ACTIONS(7047),
    [anon_sym_BSLASHfootcite] = ACTIONS(7047),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7047),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7047),
    [anon_sym_BSLASHtextcite] = ACTIONS(7047),
    [anon_sym_BSLASHTextcite] = ACTIONS(7047),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7047),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7047),
    [anon_sym_BSLASHsupercite] = ACTIONS(7047),
    [anon_sym_BSLASHautocite] = ACTIONS(7047),
    [anon_sym_BSLASHAutocite] = ACTIONS(7047),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHVolcite] = ACTIONS(7047),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHavolcite] = ACTIONS(7047),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHNotecite] = ACTIONS(7047),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHlabel] = ACTIONS(7047),
    [anon_sym_BSLASHref] = ACTIONS(7047),
    [anon_sym_BSLASHeqref] = ACTIONS(7047),
    [anon_sym_BSLASHvref] = ACTIONS(7047),
    [anon_sym_BSLASHVref] = ACTIONS(7047),
    [anon_sym_BSLASHautoref] = ACTIONS(7047),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHpageref] = ACTIONS(7047),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHautopageref] = ACTIONS(7047),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcref] = ACTIONS(7047),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCref] = ACTIONS(7047),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcpageref] = ACTIONS(7047),
    [anon_sym_BSLASHCpageref] = ACTIONS(7047),
    [anon_sym_BSLASHnamecref] = ACTIONS(7047),
    [anon_sym_BSLASHnameCref] = ACTIONS(7047),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7047),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7047),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7047),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7047),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7047),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7047),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7047),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7047),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7047),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7047),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7047),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHdef] = ACTIONS(7047),
    [anon_sym_BSLASHgdef] = ACTIONS(7047),
    [anon_sym_BSLASHedef] = ACTIONS(7047),
    [anon_sym_BSLASHxdef] = ACTIONS(7047),
    [anon_sym_BSLASHlet] = ACTIONS(7047),
    [anon_sym_BSLASHglet] = ACTIONS(7047),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7047),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7047),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7047),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7047),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7047),
    [anon_sym_BSLASHgls] = ACTIONS(7047),
    [anon_sym_BSLASHGls] = ACTIONS(7047),
    [anon_sym_BSLASHGLS] = ACTIONS(7047),
    [anon_sym_BSLASHglspl] = ACTIONS(7047),
    [anon_sym_BSLASHGlspl] = ACTIONS(7047),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7047),
    [anon_sym_BSLASHglslink] = ACTIONS(7047),
    [anon_sym_BSLASHglstext] = ACTIONS(7047),
    [anon_sym_BSLASHGlstext] = ACTIONS(7047),
    [anon_sym_BSLASHGLStext] = ACTIONS(7047),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7047),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7047),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7047),
    [anon_sym_BSLASHglsplural] = ACTIONS(7047),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7047),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7047),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHglsname] = ACTIONS(7047),
    [anon_sym_BSLASHGlsname] = ACTIONS(7047),
    [anon_sym_BSLASHGLSname] = ACTIONS(7047),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7047),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7047),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7047),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7047),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7047),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7047),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7047),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7047),
    [anon_sym_BSLASHacrshort] = ACTIONS(7047),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7047),
    [anon_sym_BSLASHACRshort] = ACTIONS(7047),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHacrlong] = ACTIONS(7047),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7047),
    [anon_sym_BSLASHACRlong] = ACTIONS(7047),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHacrfull] = ACTIONS(7047),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7047),
    [anon_sym_BSLASHACRfull] = ACTIONS(7047),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHacs] = ACTIONS(7047),
    [anon_sym_BSLASHAcs] = ACTIONS(7047),
    [anon_sym_BSLASHacsp] = ACTIONS(7047),
    [anon_sym_BSLASHAcsp] = ACTIONS(7047),
    [anon_sym_BSLASHacl] = ACTIONS(7047),
    [anon_sym_BSLASHAcl] = ACTIONS(7047),
    [anon_sym_BSLASHaclp] = ACTIONS(7047),
    [anon_sym_BSLASHAclp] = ACTIONS(7047),
    [anon_sym_BSLASHacf] = ACTIONS(7047),
    [anon_sym_BSLASHAcf] = ACTIONS(7047),
    [anon_sym_BSLASHacfp] = ACTIONS(7047),
    [anon_sym_BSLASHAcfp] = ACTIONS(7047),
    [anon_sym_BSLASHac] = ACTIONS(7047),
    [anon_sym_BSLASHAc] = ACTIONS(7047),
    [anon_sym_BSLASHacp] = ACTIONS(7047),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7047),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7047),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7047),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7047),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7047),
    [anon_sym_BSLASHcolor] = ACTIONS(7047),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7047),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7047),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7047),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7047),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7047),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7047),
    [anon_sym_BSLASHurl] = ACTIONS(7047),
    [anon_sym_BSLASHhref] = ACTIONS(7047),
  },
  [1786] = {
    [sym_command_name] = ACTIONS(7199),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7199),
    [anon_sym_LBRACK] = ACTIONS(7201),
    [anon_sym_RBRACK] = ACTIONS(7201),
    [anon_sym_COMMA] = ACTIONS(7201),
    [anon_sym_EQ] = ACTIONS(7201),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_RPAREN] = ACTIONS(7201),
    [anon_sym_LBRACE] = ACTIONS(7201),
    [sym_word] = ACTIONS(7199),
    [sym_placeholder] = ACTIONS(7201),
    [sym_delimiter] = ACTIONS(7201),
    [anon_sym_PLUS] = ACTIONS(7201),
    [anon_sym_DASH] = ACTIONS(7201),
    [anon_sym_STAR] = ACTIONS(7201),
    [anon_sym_SLASH] = ACTIONS(7201),
    [anon_sym_LT] = ACTIONS(7199),
    [anon_sym_GT] = ACTIONS(7199),
    [anon_sym_BANG] = ACTIONS(7199),
    [anon_sym_PIPE] = ACTIONS(7199),
    [anon_sym_COLON] = ACTIONS(7199),
    [anon_sym_SQUOTE] = ACTIONS(7199),
    [anon_sym__] = ACTIONS(7201),
    [anon_sym_CARET] = ACTIONS(7201),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7201),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7201),
    [anon_sym_DOLLAR] = ACTIONS(7199),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7201),
    [anon_sym_BSLASHleft] = ACTIONS(7199),
    [anon_sym_BSLASHbigl] = ACTIONS(7199),
    [anon_sym_BSLASHBigl] = ACTIONS(7199),
    [anon_sym_BSLASHbiggl] = ACTIONS(7199),
    [anon_sym_BSLASHBiggl] = ACTIONS(7199),
    [anon_sym_BSLASHtext] = ACTIONS(7199),
    [anon_sym_BSLASHintertext] = ACTIONS(7199),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7199),
    [anon_sym_BSLASHbegin] = ACTIONS(7199),
    [anon_sym_BSLASHend] = ACTIONS(7199),
    [anon_sym_BSLASHtitle] = ACTIONS(7199),
    [anon_sym_BSLASHauthor] = ACTIONS(7199),
    [anon_sym_BSLASHusepackage] = ACTIONS(7199),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7199),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7199),
    [anon_sym_BSLASHinclude] = ACTIONS(7199),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7199),
    [anon_sym_BSLASHinput] = ACTIONS(7199),
    [anon_sym_BSLASHsubfile] = ACTIONS(7199),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7199),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7199),
    [anon_sym_BSLASHbibliography] = ACTIONS(7199),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7199),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7199),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7199),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7199),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7199),
    [anon_sym_BSLASHimport] = ACTIONS(7199),
    [anon_sym_BSLASHsubimport] = ACTIONS(7199),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7199),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7199),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7199),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7199),
    [anon_sym_BSLASHcaption] = ACTIONS(7199),
    [anon_sym_BSLASHcite] = ACTIONS(7199),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCite] = ACTIONS(7199),
    [anon_sym_BSLASHnocite] = ACTIONS(7199),
    [anon_sym_BSLASHcitet] = ACTIONS(7199),
    [anon_sym_BSLASHcitep] = ACTIONS(7199),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteA] = ACTIONS(7199),
    [anon_sym_BSLASHciteR] = ACTIONS(7199),
    [anon_sym_BSLASHciteS] = ACTIONS(7199),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7199),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7199),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7199),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7199),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteyear] = ACTIONS(7199),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitedate] = ACTIONS(7199),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteurl] = ACTIONS(7199),
    [anon_sym_BSLASHfullcite] = ACTIONS(7199),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7199),
    [anon_sym_BSLASHcitealt] = ACTIONS(7199),
    [anon_sym_BSLASHcitealp] = ACTIONS(7199),
    [anon_sym_BSLASHcitetext] = ACTIONS(7199),
    [anon_sym_BSLASHparencite] = ACTIONS(7199),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHParencite] = ACTIONS(7199),
    [anon_sym_BSLASHfootcite] = ACTIONS(7199),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7199),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7199),
    [anon_sym_BSLASHtextcite] = ACTIONS(7199),
    [anon_sym_BSLASHTextcite] = ACTIONS(7199),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7199),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7199),
    [anon_sym_BSLASHsupercite] = ACTIONS(7199),
    [anon_sym_BSLASHautocite] = ACTIONS(7199),
    [anon_sym_BSLASHAutocite] = ACTIONS(7199),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHVolcite] = ACTIONS(7199),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHavolcite] = ACTIONS(7199),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHNotecite] = ACTIONS(7199),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHlabel] = ACTIONS(7199),
    [anon_sym_BSLASHref] = ACTIONS(7199),
    [anon_sym_BSLASHeqref] = ACTIONS(7199),
    [anon_sym_BSLASHvref] = ACTIONS(7199),
    [anon_sym_BSLASHVref] = ACTIONS(7199),
    [anon_sym_BSLASHautoref] = ACTIONS(7199),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHpageref] = ACTIONS(7199),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHautopageref] = ACTIONS(7199),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcref] = ACTIONS(7199),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCref] = ACTIONS(7199),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcpageref] = ACTIONS(7199),
    [anon_sym_BSLASHCpageref] = ACTIONS(7199),
    [anon_sym_BSLASHnamecref] = ACTIONS(7199),
    [anon_sym_BSLASHnameCref] = ACTIONS(7199),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7199),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7199),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7199),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7199),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7199),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7199),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7199),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7199),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7199),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7199),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7199),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHdef] = ACTIONS(7199),
    [anon_sym_BSLASHgdef] = ACTIONS(7199),
    [anon_sym_BSLASHedef] = ACTIONS(7199),
    [anon_sym_BSLASHxdef] = ACTIONS(7199),
    [anon_sym_BSLASHlet] = ACTIONS(7199),
    [anon_sym_BSLASHglet] = ACTIONS(7199),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7199),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7199),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7199),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7199),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7199),
    [anon_sym_BSLASHgls] = ACTIONS(7199),
    [anon_sym_BSLASHGls] = ACTIONS(7199),
    [anon_sym_BSLASHGLS] = ACTIONS(7199),
    [anon_sym_BSLASHglspl] = ACTIONS(7199),
    [anon_sym_BSLASHGlspl] = ACTIONS(7199),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7199),
    [anon_sym_BSLASHglslink] = ACTIONS(7199),
    [anon_sym_BSLASHglstext] = ACTIONS(7199),
    [anon_sym_BSLASHGlstext] = ACTIONS(7199),
    [anon_sym_BSLASHGLStext] = ACTIONS(7199),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7199),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7199),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7199),
    [anon_sym_BSLASHglsplural] = ACTIONS(7199),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7199),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7199),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHglsname] = ACTIONS(7199),
    [anon_sym_BSLASHGlsname] = ACTIONS(7199),
    [anon_sym_BSLASHGLSname] = ACTIONS(7199),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7199),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7199),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7199),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7199),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7199),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7199),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7199),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7199),
    [anon_sym_BSLASHacrshort] = ACTIONS(7199),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7199),
    [anon_sym_BSLASHACRshort] = ACTIONS(7199),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHacrlong] = ACTIONS(7199),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7199),
    [anon_sym_BSLASHACRlong] = ACTIONS(7199),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHacrfull] = ACTIONS(7199),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7199),
    [anon_sym_BSLASHACRfull] = ACTIONS(7199),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHacs] = ACTIONS(7199),
    [anon_sym_BSLASHAcs] = ACTIONS(7199),
    [anon_sym_BSLASHacsp] = ACTIONS(7199),
    [anon_sym_BSLASHAcsp] = ACTIONS(7199),
    [anon_sym_BSLASHacl] = ACTIONS(7199),
    [anon_sym_BSLASHAcl] = ACTIONS(7199),
    [anon_sym_BSLASHaclp] = ACTIONS(7199),
    [anon_sym_BSLASHAclp] = ACTIONS(7199),
    [anon_sym_BSLASHacf] = ACTIONS(7199),
    [anon_sym_BSLASHAcf] = ACTIONS(7199),
    [anon_sym_BSLASHacfp] = ACTIONS(7199),
    [anon_sym_BSLASHAcfp] = ACTIONS(7199),
    [anon_sym_BSLASHac] = ACTIONS(7199),
    [anon_sym_BSLASHAc] = ACTIONS(7199),
    [anon_sym_BSLASHacp] = ACTIONS(7199),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7199),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7199),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7199),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7199),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7199),
    [anon_sym_BSLASHcolor] = ACTIONS(7199),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7199),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7199),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7199),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7199),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7199),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7199),
    [anon_sym_BSLASHurl] = ACTIONS(7199),
    [anon_sym_BSLASHhref] = ACTIONS(7199),
  },
  [1787] = {
    [sym_curly_group] = STATE(2014),
    [sym_command_name] = ACTIONS(6935),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6937),
    [anon_sym_RBRACK] = ACTIONS(6937),
    [anon_sym_COMMA] = ACTIONS(6937),
    [anon_sym_EQ] = ACTIONS(6937),
    [anon_sym_LPAREN] = ACTIONS(6937),
    [anon_sym_RPAREN] = ACTIONS(6937),
    [anon_sym_LBRACE] = ACTIONS(3603),
    [sym_word] = ACTIONS(6935),
    [sym_placeholder] = ACTIONS(6937),
    [sym_delimiter] = ACTIONS(6937),
    [anon_sym_PLUS] = ACTIONS(6937),
    [anon_sym_DASH] = ACTIONS(6937),
    [anon_sym_STAR] = ACTIONS(6937),
    [anon_sym_SLASH] = ACTIONS(6937),
    [anon_sym_LT] = ACTIONS(6935),
    [anon_sym_GT] = ACTIONS(6935),
    [anon_sym_BANG] = ACTIONS(6935),
    [anon_sym_PIPE] = ACTIONS(6935),
    [anon_sym_COLON] = ACTIONS(6935),
    [anon_sym_SQUOTE] = ACTIONS(6935),
    [anon_sym__] = ACTIONS(6937),
    [anon_sym_CARET] = ACTIONS(6937),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6937),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6937),
    [anon_sym_DOLLAR] = ACTIONS(6935),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6937),
    [anon_sym_BSLASHleft] = ACTIONS(6935),
    [anon_sym_BSLASHbigl] = ACTIONS(6935),
    [anon_sym_BSLASHBigl] = ACTIONS(6935),
    [anon_sym_BSLASHbiggl] = ACTIONS(6935),
    [anon_sym_BSLASHBiggl] = ACTIONS(6935),
    [anon_sym_BSLASHtext] = ACTIONS(6935),
    [anon_sym_BSLASHintertext] = ACTIONS(6935),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6935),
    [anon_sym_BSLASHbegin] = ACTIONS(6935),
    [anon_sym_BSLASHtitle] = ACTIONS(6935),
    [anon_sym_BSLASHauthor] = ACTIONS(6935),
    [anon_sym_BSLASHusepackage] = ACTIONS(6935),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6935),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6935),
    [anon_sym_BSLASHinclude] = ACTIONS(6935),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6935),
    [anon_sym_BSLASHinput] = ACTIONS(6935),
    [anon_sym_BSLASHsubfile] = ACTIONS(6935),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6935),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6935),
    [anon_sym_BSLASHbibliography] = ACTIONS(6935),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6935),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6935),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6935),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6935),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6935),
    [anon_sym_BSLASHimport] = ACTIONS(6935),
    [anon_sym_BSLASHsubimport] = ACTIONS(6935),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6935),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6935),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6935),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6935),
    [anon_sym_BSLASHcaption] = ACTIONS(6935),
    [anon_sym_BSLASHcite] = ACTIONS(6935),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCite] = ACTIONS(6935),
    [anon_sym_BSLASHnocite] = ACTIONS(6935),
    [anon_sym_BSLASHcitet] = ACTIONS(6935),
    [anon_sym_BSLASHcitep] = ACTIONS(6935),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteA] = ACTIONS(6935),
    [anon_sym_BSLASHciteR] = ACTIONS(6935),
    [anon_sym_BSLASHciteS] = ACTIONS(6935),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6935),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6935),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6935),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6935),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteyear] = ACTIONS(6935),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitedate] = ACTIONS(6935),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteurl] = ACTIONS(6935),
    [anon_sym_BSLASHfullcite] = ACTIONS(6935),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6935),
    [anon_sym_BSLASHcitealt] = ACTIONS(6935),
    [anon_sym_BSLASHcitealp] = ACTIONS(6935),
    [anon_sym_BSLASHcitetext] = ACTIONS(6935),
    [anon_sym_BSLASHparencite] = ACTIONS(6935),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHParencite] = ACTIONS(6935),
    [anon_sym_BSLASHfootcite] = ACTIONS(6935),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6935),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6935),
    [anon_sym_BSLASHtextcite] = ACTIONS(6935),
    [anon_sym_BSLASHTextcite] = ACTIONS(6935),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6935),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6935),
    [anon_sym_BSLASHsupercite] = ACTIONS(6935),
    [anon_sym_BSLASHautocite] = ACTIONS(6935),
    [anon_sym_BSLASHAutocite] = ACTIONS(6935),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHVolcite] = ACTIONS(6935),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHavolcite] = ACTIONS(6935),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHNotecite] = ACTIONS(6935),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHlabel] = ACTIONS(6935),
    [anon_sym_BSLASHref] = ACTIONS(6935),
    [anon_sym_BSLASHeqref] = ACTIONS(6935),
    [anon_sym_BSLASHvref] = ACTIONS(6935),
    [anon_sym_BSLASHVref] = ACTIONS(6935),
    [anon_sym_BSLASHautoref] = ACTIONS(6935),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHpageref] = ACTIONS(6935),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHautopageref] = ACTIONS(6935),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcref] = ACTIONS(6935),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCref] = ACTIONS(6935),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcpageref] = ACTIONS(6935),
    [anon_sym_BSLASHCpageref] = ACTIONS(6935),
    [anon_sym_BSLASHnamecref] = ACTIONS(6935),
    [anon_sym_BSLASHnameCref] = ACTIONS(6935),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6935),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6935),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6935),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6935),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6935),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6935),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6935),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6935),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6935),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6935),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6935),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHdef] = ACTIONS(6935),
    [anon_sym_BSLASHgdef] = ACTIONS(6935),
    [anon_sym_BSLASHedef] = ACTIONS(6935),
    [anon_sym_BSLASHxdef] = ACTIONS(6935),
    [anon_sym_BSLASHlet] = ACTIONS(6935),
    [anon_sym_BSLASHglet] = ACTIONS(6935),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6935),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6935),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6935),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6935),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6935),
    [anon_sym_BSLASHgls] = ACTIONS(6935),
    [anon_sym_BSLASHGls] = ACTIONS(6935),
    [anon_sym_BSLASHGLS] = ACTIONS(6935),
    [anon_sym_BSLASHglspl] = ACTIONS(6935),
    [anon_sym_BSLASHGlspl] = ACTIONS(6935),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6935),
    [anon_sym_BSLASHglslink] = ACTIONS(6935),
    [anon_sym_BSLASHglstext] = ACTIONS(6935),
    [anon_sym_BSLASHGlstext] = ACTIONS(6935),
    [anon_sym_BSLASHGLStext] = ACTIONS(6935),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6935),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6935),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6935),
    [anon_sym_BSLASHglsplural] = ACTIONS(6935),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6935),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6935),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHglsname] = ACTIONS(6935),
    [anon_sym_BSLASHGlsname] = ACTIONS(6935),
    [anon_sym_BSLASHGLSname] = ACTIONS(6935),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6935),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6935),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6935),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6935),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6935),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6935),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6935),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6935),
    [anon_sym_BSLASHacrshort] = ACTIONS(6935),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6935),
    [anon_sym_BSLASHACRshort] = ACTIONS(6935),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHacrlong] = ACTIONS(6935),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6935),
    [anon_sym_BSLASHACRlong] = ACTIONS(6935),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHacrfull] = ACTIONS(6935),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6935),
    [anon_sym_BSLASHACRfull] = ACTIONS(6935),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHacs] = ACTIONS(6935),
    [anon_sym_BSLASHAcs] = ACTIONS(6935),
    [anon_sym_BSLASHacsp] = ACTIONS(6935),
    [anon_sym_BSLASHAcsp] = ACTIONS(6935),
    [anon_sym_BSLASHacl] = ACTIONS(6935),
    [anon_sym_BSLASHAcl] = ACTIONS(6935),
    [anon_sym_BSLASHaclp] = ACTIONS(6935),
    [anon_sym_BSLASHAclp] = ACTIONS(6935),
    [anon_sym_BSLASHacf] = ACTIONS(6935),
    [anon_sym_BSLASHAcf] = ACTIONS(6935),
    [anon_sym_BSLASHacfp] = ACTIONS(6935),
    [anon_sym_BSLASHAcfp] = ACTIONS(6935),
    [anon_sym_BSLASHac] = ACTIONS(6935),
    [anon_sym_BSLASHAc] = ACTIONS(6935),
    [anon_sym_BSLASHacp] = ACTIONS(6935),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6935),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6935),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6935),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6935),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6935),
    [anon_sym_BSLASHcolor] = ACTIONS(6935),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6935),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6935),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6935),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6935),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6935),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6935),
    [anon_sym_BSLASHurl] = ACTIONS(6935),
    [anon_sym_BSLASHhref] = ACTIONS(6935),
  },
  [1788] = {
    [sym_command_name] = ACTIONS(7203),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7203),
    [anon_sym_LBRACK] = ACTIONS(7205),
    [anon_sym_RBRACK] = ACTIONS(7205),
    [anon_sym_COMMA] = ACTIONS(7205),
    [anon_sym_EQ] = ACTIONS(7205),
    [anon_sym_LPAREN] = ACTIONS(7205),
    [anon_sym_RPAREN] = ACTIONS(7205),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [sym_word] = ACTIONS(7203),
    [sym_placeholder] = ACTIONS(7205),
    [sym_delimiter] = ACTIONS(7205),
    [anon_sym_PLUS] = ACTIONS(7205),
    [anon_sym_DASH] = ACTIONS(7205),
    [anon_sym_STAR] = ACTIONS(7205),
    [anon_sym_SLASH] = ACTIONS(7205),
    [anon_sym_LT] = ACTIONS(7203),
    [anon_sym_GT] = ACTIONS(7203),
    [anon_sym_BANG] = ACTIONS(7203),
    [anon_sym_PIPE] = ACTIONS(7203),
    [anon_sym_COLON] = ACTIONS(7203),
    [anon_sym_SQUOTE] = ACTIONS(7203),
    [anon_sym__] = ACTIONS(7205),
    [anon_sym_CARET] = ACTIONS(7205),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7205),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7203),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7205),
    [anon_sym_BSLASHleft] = ACTIONS(7203),
    [anon_sym_BSLASHbigl] = ACTIONS(7203),
    [anon_sym_BSLASHBigl] = ACTIONS(7203),
    [anon_sym_BSLASHbiggl] = ACTIONS(7203),
    [anon_sym_BSLASHBiggl] = ACTIONS(7203),
    [anon_sym_BSLASHtext] = ACTIONS(7203),
    [anon_sym_BSLASHintertext] = ACTIONS(7203),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7203),
    [anon_sym_BSLASHbegin] = ACTIONS(7203),
    [anon_sym_BSLASHend] = ACTIONS(7203),
    [anon_sym_BSLASHtitle] = ACTIONS(7203),
    [anon_sym_BSLASHauthor] = ACTIONS(7203),
    [anon_sym_BSLASHusepackage] = ACTIONS(7203),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7203),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7203),
    [anon_sym_BSLASHinclude] = ACTIONS(7203),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7203),
    [anon_sym_BSLASHinput] = ACTIONS(7203),
    [anon_sym_BSLASHsubfile] = ACTIONS(7203),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7203),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7203),
    [anon_sym_BSLASHbibliography] = ACTIONS(7203),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7203),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7203),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7203),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7203),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7203),
    [anon_sym_BSLASHimport] = ACTIONS(7203),
    [anon_sym_BSLASHsubimport] = ACTIONS(7203),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7203),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7203),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7203),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7203),
    [anon_sym_BSLASHcaption] = ACTIONS(7203),
    [anon_sym_BSLASHcite] = ACTIONS(7203),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCite] = ACTIONS(7203),
    [anon_sym_BSLASHnocite] = ACTIONS(7203),
    [anon_sym_BSLASHcitet] = ACTIONS(7203),
    [anon_sym_BSLASHcitep] = ACTIONS(7203),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteA] = ACTIONS(7203),
    [anon_sym_BSLASHciteR] = ACTIONS(7203),
    [anon_sym_BSLASHciteS] = ACTIONS(7203),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7203),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7203),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7203),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7203),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteyear] = ACTIONS(7203),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitedate] = ACTIONS(7203),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteurl] = ACTIONS(7203),
    [anon_sym_BSLASHfullcite] = ACTIONS(7203),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7203),
    [anon_sym_BSLASHcitealt] = ACTIONS(7203),
    [anon_sym_BSLASHcitealp] = ACTIONS(7203),
    [anon_sym_BSLASHcitetext] = ACTIONS(7203),
    [anon_sym_BSLASHparencite] = ACTIONS(7203),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHParencite] = ACTIONS(7203),
    [anon_sym_BSLASHfootcite] = ACTIONS(7203),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7203),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7203),
    [anon_sym_BSLASHtextcite] = ACTIONS(7203),
    [anon_sym_BSLASHTextcite] = ACTIONS(7203),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7203),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7203),
    [anon_sym_BSLASHsupercite] = ACTIONS(7203),
    [anon_sym_BSLASHautocite] = ACTIONS(7203),
    [anon_sym_BSLASHAutocite] = ACTIONS(7203),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHVolcite] = ACTIONS(7203),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHavolcite] = ACTIONS(7203),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHNotecite] = ACTIONS(7203),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHlabel] = ACTIONS(7203),
    [anon_sym_BSLASHref] = ACTIONS(7203),
    [anon_sym_BSLASHeqref] = ACTIONS(7203),
    [anon_sym_BSLASHvref] = ACTIONS(7203),
    [anon_sym_BSLASHVref] = ACTIONS(7203),
    [anon_sym_BSLASHautoref] = ACTIONS(7203),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHpageref] = ACTIONS(7203),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHautopageref] = ACTIONS(7203),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcref] = ACTIONS(7203),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCref] = ACTIONS(7203),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcpageref] = ACTIONS(7203),
    [anon_sym_BSLASHCpageref] = ACTIONS(7203),
    [anon_sym_BSLASHnamecref] = ACTIONS(7203),
    [anon_sym_BSLASHnameCref] = ACTIONS(7203),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7203),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7203),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7203),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7203),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7203),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7203),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7203),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7203),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7203),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7203),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7203),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHdef] = ACTIONS(7203),
    [anon_sym_BSLASHgdef] = ACTIONS(7203),
    [anon_sym_BSLASHedef] = ACTIONS(7203),
    [anon_sym_BSLASHxdef] = ACTIONS(7203),
    [anon_sym_BSLASHlet] = ACTIONS(7203),
    [anon_sym_BSLASHglet] = ACTIONS(7203),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7203),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7203),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7203),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7203),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7203),
    [anon_sym_BSLASHgls] = ACTIONS(7203),
    [anon_sym_BSLASHGls] = ACTIONS(7203),
    [anon_sym_BSLASHGLS] = ACTIONS(7203),
    [anon_sym_BSLASHglspl] = ACTIONS(7203),
    [anon_sym_BSLASHGlspl] = ACTIONS(7203),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7203),
    [anon_sym_BSLASHglslink] = ACTIONS(7203),
    [anon_sym_BSLASHglstext] = ACTIONS(7203),
    [anon_sym_BSLASHGlstext] = ACTIONS(7203),
    [anon_sym_BSLASHGLStext] = ACTIONS(7203),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7203),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7203),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7203),
    [anon_sym_BSLASHglsplural] = ACTIONS(7203),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7203),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7203),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHglsname] = ACTIONS(7203),
    [anon_sym_BSLASHGlsname] = ACTIONS(7203),
    [anon_sym_BSLASHGLSname] = ACTIONS(7203),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7203),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7203),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7203),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7203),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7203),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7203),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7203),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7203),
    [anon_sym_BSLASHacrshort] = ACTIONS(7203),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7203),
    [anon_sym_BSLASHACRshort] = ACTIONS(7203),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHacrlong] = ACTIONS(7203),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7203),
    [anon_sym_BSLASHACRlong] = ACTIONS(7203),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHacrfull] = ACTIONS(7203),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7203),
    [anon_sym_BSLASHACRfull] = ACTIONS(7203),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHacs] = ACTIONS(7203),
    [anon_sym_BSLASHAcs] = ACTIONS(7203),
    [anon_sym_BSLASHacsp] = ACTIONS(7203),
    [anon_sym_BSLASHAcsp] = ACTIONS(7203),
    [anon_sym_BSLASHacl] = ACTIONS(7203),
    [anon_sym_BSLASHAcl] = ACTIONS(7203),
    [anon_sym_BSLASHaclp] = ACTIONS(7203),
    [anon_sym_BSLASHAclp] = ACTIONS(7203),
    [anon_sym_BSLASHacf] = ACTIONS(7203),
    [anon_sym_BSLASHAcf] = ACTIONS(7203),
    [anon_sym_BSLASHacfp] = ACTIONS(7203),
    [anon_sym_BSLASHAcfp] = ACTIONS(7203),
    [anon_sym_BSLASHac] = ACTIONS(7203),
    [anon_sym_BSLASHAc] = ACTIONS(7203),
    [anon_sym_BSLASHacp] = ACTIONS(7203),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7203),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7203),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7203),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7203),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7203),
    [anon_sym_BSLASHcolor] = ACTIONS(7203),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7203),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7203),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7203),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7203),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7203),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7203),
    [anon_sym_BSLASHurl] = ACTIONS(7203),
    [anon_sym_BSLASHhref] = ACTIONS(7203),
  },
  [1789] = {
    [sym_command_name] = ACTIONS(7403),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7403),
    [anon_sym_LBRACK] = ACTIONS(7405),
    [anon_sym_RBRACK] = ACTIONS(7405),
    [anon_sym_COMMA] = ACTIONS(7405),
    [anon_sym_EQ] = ACTIONS(7405),
    [anon_sym_LPAREN] = ACTIONS(7405),
    [anon_sym_RPAREN] = ACTIONS(7405),
    [anon_sym_LBRACE] = ACTIONS(7405),
    [sym_word] = ACTIONS(7403),
    [sym_placeholder] = ACTIONS(7405),
    [sym_delimiter] = ACTIONS(7405),
    [anon_sym_PLUS] = ACTIONS(7405),
    [anon_sym_DASH] = ACTIONS(7405),
    [anon_sym_STAR] = ACTIONS(7405),
    [anon_sym_SLASH] = ACTIONS(7405),
    [anon_sym_LT] = ACTIONS(7403),
    [anon_sym_GT] = ACTIONS(7403),
    [anon_sym_BANG] = ACTIONS(7403),
    [anon_sym_PIPE] = ACTIONS(7403),
    [anon_sym_COLON] = ACTIONS(7403),
    [anon_sym_SQUOTE] = ACTIONS(7403),
    [anon_sym__] = ACTIONS(7405),
    [anon_sym_CARET] = ACTIONS(7405),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7405),
    [anon_sym_DOLLAR] = ACTIONS(7403),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7405),
    [anon_sym_BSLASHleft] = ACTIONS(7403),
    [anon_sym_BSLASHbigl] = ACTIONS(7403),
    [anon_sym_BSLASHBigl] = ACTIONS(7403),
    [anon_sym_BSLASHbiggl] = ACTIONS(7403),
    [anon_sym_BSLASHBiggl] = ACTIONS(7403),
    [anon_sym_BSLASHtext] = ACTIONS(7403),
    [anon_sym_BSLASHintertext] = ACTIONS(7403),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7403),
    [anon_sym_BSLASHbegin] = ACTIONS(7403),
    [anon_sym_BSLASHend] = ACTIONS(7403),
    [anon_sym_BSLASHtitle] = ACTIONS(7403),
    [anon_sym_BSLASHauthor] = ACTIONS(7403),
    [anon_sym_BSLASHusepackage] = ACTIONS(7403),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7403),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7403),
    [anon_sym_BSLASHinclude] = ACTIONS(7403),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7403),
    [anon_sym_BSLASHinput] = ACTIONS(7403),
    [anon_sym_BSLASHsubfile] = ACTIONS(7403),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7403),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7403),
    [anon_sym_BSLASHbibliography] = ACTIONS(7403),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7403),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7403),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7403),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7403),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7403),
    [anon_sym_BSLASHimport] = ACTIONS(7403),
    [anon_sym_BSLASHsubimport] = ACTIONS(7403),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7403),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7403),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7403),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7403),
    [anon_sym_BSLASHcaption] = ACTIONS(7403),
    [anon_sym_BSLASHcite] = ACTIONS(7403),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCite] = ACTIONS(7403),
    [anon_sym_BSLASHnocite] = ACTIONS(7403),
    [anon_sym_BSLASHcitet] = ACTIONS(7403),
    [anon_sym_BSLASHcitep] = ACTIONS(7403),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteA] = ACTIONS(7403),
    [anon_sym_BSLASHciteR] = ACTIONS(7403),
    [anon_sym_BSLASHciteS] = ACTIONS(7403),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7403),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7403),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7403),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7403),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteyear] = ACTIONS(7403),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitedate] = ACTIONS(7403),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteurl] = ACTIONS(7403),
    [anon_sym_BSLASHfullcite] = ACTIONS(7403),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7403),
    [anon_sym_BSLASHcitealt] = ACTIONS(7403),
    [anon_sym_BSLASHcitealp] = ACTIONS(7403),
    [anon_sym_BSLASHcitetext] = ACTIONS(7403),
    [anon_sym_BSLASHparencite] = ACTIONS(7403),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHParencite] = ACTIONS(7403),
    [anon_sym_BSLASHfootcite] = ACTIONS(7403),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7403),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7403),
    [anon_sym_BSLASHtextcite] = ACTIONS(7403),
    [anon_sym_BSLASHTextcite] = ACTIONS(7403),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7403),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7403),
    [anon_sym_BSLASHsupercite] = ACTIONS(7403),
    [anon_sym_BSLASHautocite] = ACTIONS(7403),
    [anon_sym_BSLASHAutocite] = ACTIONS(7403),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHVolcite] = ACTIONS(7403),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHavolcite] = ACTIONS(7403),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHNotecite] = ACTIONS(7403),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHlabel] = ACTIONS(7403),
    [anon_sym_BSLASHref] = ACTIONS(7403),
    [anon_sym_BSLASHeqref] = ACTIONS(7403),
    [anon_sym_BSLASHvref] = ACTIONS(7403),
    [anon_sym_BSLASHVref] = ACTIONS(7403),
    [anon_sym_BSLASHautoref] = ACTIONS(7403),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHpageref] = ACTIONS(7403),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHautopageref] = ACTIONS(7403),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcref] = ACTIONS(7403),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCref] = ACTIONS(7403),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcpageref] = ACTIONS(7403),
    [anon_sym_BSLASHCpageref] = ACTIONS(7403),
    [anon_sym_BSLASHnamecref] = ACTIONS(7403),
    [anon_sym_BSLASHnameCref] = ACTIONS(7403),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7403),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7403),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7403),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7403),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7403),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7403),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7403),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7403),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7403),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7403),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7403),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHdef] = ACTIONS(7403),
    [anon_sym_BSLASHgdef] = ACTIONS(7403),
    [anon_sym_BSLASHedef] = ACTIONS(7403),
    [anon_sym_BSLASHxdef] = ACTIONS(7403),
    [anon_sym_BSLASHlet] = ACTIONS(7403),
    [anon_sym_BSLASHglet] = ACTIONS(7403),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7403),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7403),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7403),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7403),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7403),
    [anon_sym_BSLASHgls] = ACTIONS(7403),
    [anon_sym_BSLASHGls] = ACTIONS(7403),
    [anon_sym_BSLASHGLS] = ACTIONS(7403),
    [anon_sym_BSLASHglspl] = ACTIONS(7403),
    [anon_sym_BSLASHGlspl] = ACTIONS(7403),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7403),
    [anon_sym_BSLASHglslink] = ACTIONS(7403),
    [anon_sym_BSLASHglstext] = ACTIONS(7403),
    [anon_sym_BSLASHGlstext] = ACTIONS(7403),
    [anon_sym_BSLASHGLStext] = ACTIONS(7403),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7403),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7403),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7403),
    [anon_sym_BSLASHglsplural] = ACTIONS(7403),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7403),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7403),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHglsname] = ACTIONS(7403),
    [anon_sym_BSLASHGlsname] = ACTIONS(7403),
    [anon_sym_BSLASHGLSname] = ACTIONS(7403),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7403),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7403),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7403),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7403),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7403),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7403),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7403),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7403),
    [anon_sym_BSLASHacrshort] = ACTIONS(7403),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7403),
    [anon_sym_BSLASHACRshort] = ACTIONS(7403),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHacrlong] = ACTIONS(7403),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7403),
    [anon_sym_BSLASHACRlong] = ACTIONS(7403),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHacrfull] = ACTIONS(7403),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7403),
    [anon_sym_BSLASHACRfull] = ACTIONS(7403),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHacs] = ACTIONS(7403),
    [anon_sym_BSLASHAcs] = ACTIONS(7403),
    [anon_sym_BSLASHacsp] = ACTIONS(7403),
    [anon_sym_BSLASHAcsp] = ACTIONS(7403),
    [anon_sym_BSLASHacl] = ACTIONS(7403),
    [anon_sym_BSLASHAcl] = ACTIONS(7403),
    [anon_sym_BSLASHaclp] = ACTIONS(7403),
    [anon_sym_BSLASHAclp] = ACTIONS(7403),
    [anon_sym_BSLASHacf] = ACTIONS(7403),
    [anon_sym_BSLASHAcf] = ACTIONS(7403),
    [anon_sym_BSLASHacfp] = ACTIONS(7403),
    [anon_sym_BSLASHAcfp] = ACTIONS(7403),
    [anon_sym_BSLASHac] = ACTIONS(7403),
    [anon_sym_BSLASHAc] = ACTIONS(7403),
    [anon_sym_BSLASHacp] = ACTIONS(7403),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7403),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7403),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7403),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7403),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7403),
    [anon_sym_BSLASHcolor] = ACTIONS(7403),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7403),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7403),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7403),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7403),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7403),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7403),
    [anon_sym_BSLASHurl] = ACTIONS(7403),
    [anon_sym_BSLASHhref] = ACTIONS(7403),
  },
  [1790] = {
    [sym_command_name] = ACTIONS(7407),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7407),
    [anon_sym_LBRACK] = ACTIONS(7409),
    [anon_sym_RBRACK] = ACTIONS(7409),
    [anon_sym_COMMA] = ACTIONS(7409),
    [anon_sym_EQ] = ACTIONS(7409),
    [anon_sym_LPAREN] = ACTIONS(7409),
    [anon_sym_RPAREN] = ACTIONS(7409),
    [anon_sym_LBRACE] = ACTIONS(7409),
    [sym_word] = ACTIONS(7407),
    [sym_placeholder] = ACTIONS(7409),
    [sym_delimiter] = ACTIONS(7409),
    [anon_sym_PLUS] = ACTIONS(7409),
    [anon_sym_DASH] = ACTIONS(7409),
    [anon_sym_STAR] = ACTIONS(7409),
    [anon_sym_SLASH] = ACTIONS(7409),
    [anon_sym_LT] = ACTIONS(7407),
    [anon_sym_GT] = ACTIONS(7407),
    [anon_sym_BANG] = ACTIONS(7407),
    [anon_sym_PIPE] = ACTIONS(7407),
    [anon_sym_COLON] = ACTIONS(7407),
    [anon_sym_SQUOTE] = ACTIONS(7407),
    [anon_sym__] = ACTIONS(7409),
    [anon_sym_CARET] = ACTIONS(7409),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7409),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7409),
    [anon_sym_DOLLAR] = ACTIONS(7407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7409),
    [anon_sym_BSLASHleft] = ACTIONS(7407),
    [anon_sym_BSLASHbigl] = ACTIONS(7407),
    [anon_sym_BSLASHBigl] = ACTIONS(7407),
    [anon_sym_BSLASHbiggl] = ACTIONS(7407),
    [anon_sym_BSLASHBiggl] = ACTIONS(7407),
    [anon_sym_BSLASHtext] = ACTIONS(7407),
    [anon_sym_BSLASHintertext] = ACTIONS(7407),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7407),
    [anon_sym_BSLASHbegin] = ACTIONS(7407),
    [anon_sym_BSLASHend] = ACTIONS(7407),
    [anon_sym_BSLASHtitle] = ACTIONS(7407),
    [anon_sym_BSLASHauthor] = ACTIONS(7407),
    [anon_sym_BSLASHusepackage] = ACTIONS(7407),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7407),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7407),
    [anon_sym_BSLASHinclude] = ACTIONS(7407),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7407),
    [anon_sym_BSLASHinput] = ACTIONS(7407),
    [anon_sym_BSLASHsubfile] = ACTIONS(7407),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7407),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7407),
    [anon_sym_BSLASHbibliography] = ACTIONS(7407),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7407),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7407),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7407),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7407),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7407),
    [anon_sym_BSLASHimport] = ACTIONS(7407),
    [anon_sym_BSLASHsubimport] = ACTIONS(7407),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7407),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7407),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7407),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7407),
    [anon_sym_BSLASHcaption] = ACTIONS(7407),
    [anon_sym_BSLASHcite] = ACTIONS(7407),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCite] = ACTIONS(7407),
    [anon_sym_BSLASHnocite] = ACTIONS(7407),
    [anon_sym_BSLASHcitet] = ACTIONS(7407),
    [anon_sym_BSLASHcitep] = ACTIONS(7407),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteA] = ACTIONS(7407),
    [anon_sym_BSLASHciteR] = ACTIONS(7407),
    [anon_sym_BSLASHciteS] = ACTIONS(7407),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7407),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7407),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7407),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7407),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteyear] = ACTIONS(7407),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitedate] = ACTIONS(7407),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteurl] = ACTIONS(7407),
    [anon_sym_BSLASHfullcite] = ACTIONS(7407),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7407),
    [anon_sym_BSLASHcitealt] = ACTIONS(7407),
    [anon_sym_BSLASHcitealp] = ACTIONS(7407),
    [anon_sym_BSLASHcitetext] = ACTIONS(7407),
    [anon_sym_BSLASHparencite] = ACTIONS(7407),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHParencite] = ACTIONS(7407),
    [anon_sym_BSLASHfootcite] = ACTIONS(7407),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7407),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7407),
    [anon_sym_BSLASHtextcite] = ACTIONS(7407),
    [anon_sym_BSLASHTextcite] = ACTIONS(7407),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7407),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7407),
    [anon_sym_BSLASHsupercite] = ACTIONS(7407),
    [anon_sym_BSLASHautocite] = ACTIONS(7407),
    [anon_sym_BSLASHAutocite] = ACTIONS(7407),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHVolcite] = ACTIONS(7407),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHavolcite] = ACTIONS(7407),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHNotecite] = ACTIONS(7407),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHlabel] = ACTIONS(7407),
    [anon_sym_BSLASHref] = ACTIONS(7407),
    [anon_sym_BSLASHeqref] = ACTIONS(7407),
    [anon_sym_BSLASHvref] = ACTIONS(7407),
    [anon_sym_BSLASHVref] = ACTIONS(7407),
    [anon_sym_BSLASHautoref] = ACTIONS(7407),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHpageref] = ACTIONS(7407),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHautopageref] = ACTIONS(7407),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcref] = ACTIONS(7407),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCref] = ACTIONS(7407),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcpageref] = ACTIONS(7407),
    [anon_sym_BSLASHCpageref] = ACTIONS(7407),
    [anon_sym_BSLASHnamecref] = ACTIONS(7407),
    [anon_sym_BSLASHnameCref] = ACTIONS(7407),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7407),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7407),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7407),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7407),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7407),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7407),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7407),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7407),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7407),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7407),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7407),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHdef] = ACTIONS(7407),
    [anon_sym_BSLASHgdef] = ACTIONS(7407),
    [anon_sym_BSLASHedef] = ACTIONS(7407),
    [anon_sym_BSLASHxdef] = ACTIONS(7407),
    [anon_sym_BSLASHlet] = ACTIONS(7407),
    [anon_sym_BSLASHglet] = ACTIONS(7407),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7407),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7407),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7407),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7407),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7407),
    [anon_sym_BSLASHgls] = ACTIONS(7407),
    [anon_sym_BSLASHGls] = ACTIONS(7407),
    [anon_sym_BSLASHGLS] = ACTIONS(7407),
    [anon_sym_BSLASHglspl] = ACTIONS(7407),
    [anon_sym_BSLASHGlspl] = ACTIONS(7407),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7407),
    [anon_sym_BSLASHglslink] = ACTIONS(7407),
    [anon_sym_BSLASHglstext] = ACTIONS(7407),
    [anon_sym_BSLASHGlstext] = ACTIONS(7407),
    [anon_sym_BSLASHGLStext] = ACTIONS(7407),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7407),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7407),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7407),
    [anon_sym_BSLASHglsplural] = ACTIONS(7407),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7407),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7407),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHglsname] = ACTIONS(7407),
    [anon_sym_BSLASHGlsname] = ACTIONS(7407),
    [anon_sym_BSLASHGLSname] = ACTIONS(7407),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7407),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7407),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7407),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7407),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7407),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7407),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7407),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7407),
    [anon_sym_BSLASHacrshort] = ACTIONS(7407),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7407),
    [anon_sym_BSLASHACRshort] = ACTIONS(7407),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHacrlong] = ACTIONS(7407),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7407),
    [anon_sym_BSLASHACRlong] = ACTIONS(7407),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHacrfull] = ACTIONS(7407),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7407),
    [anon_sym_BSLASHACRfull] = ACTIONS(7407),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHacs] = ACTIONS(7407),
    [anon_sym_BSLASHAcs] = ACTIONS(7407),
    [anon_sym_BSLASHacsp] = ACTIONS(7407),
    [anon_sym_BSLASHAcsp] = ACTIONS(7407),
    [anon_sym_BSLASHacl] = ACTIONS(7407),
    [anon_sym_BSLASHAcl] = ACTIONS(7407),
    [anon_sym_BSLASHaclp] = ACTIONS(7407),
    [anon_sym_BSLASHAclp] = ACTIONS(7407),
    [anon_sym_BSLASHacf] = ACTIONS(7407),
    [anon_sym_BSLASHAcf] = ACTIONS(7407),
    [anon_sym_BSLASHacfp] = ACTIONS(7407),
    [anon_sym_BSLASHAcfp] = ACTIONS(7407),
    [anon_sym_BSLASHac] = ACTIONS(7407),
    [anon_sym_BSLASHAc] = ACTIONS(7407),
    [anon_sym_BSLASHacp] = ACTIONS(7407),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7407),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7407),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7407),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7407),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7407),
    [anon_sym_BSLASHcolor] = ACTIONS(7407),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7407),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7407),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7407),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7407),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7407),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7407),
    [anon_sym_BSLASHurl] = ACTIONS(7407),
    [anon_sym_BSLASHhref] = ACTIONS(7407),
  },
  [1791] = {
    [sym_command_name] = ACTIONS(7411),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7411),
    [anon_sym_LBRACK] = ACTIONS(7413),
    [anon_sym_RBRACK] = ACTIONS(7413),
    [anon_sym_COMMA] = ACTIONS(7413),
    [anon_sym_EQ] = ACTIONS(7413),
    [anon_sym_LPAREN] = ACTIONS(7413),
    [anon_sym_RPAREN] = ACTIONS(7413),
    [anon_sym_LBRACE] = ACTIONS(7413),
    [sym_word] = ACTIONS(7411),
    [sym_placeholder] = ACTIONS(7413),
    [sym_delimiter] = ACTIONS(7413),
    [anon_sym_PLUS] = ACTIONS(7413),
    [anon_sym_DASH] = ACTIONS(7413),
    [anon_sym_STAR] = ACTIONS(7413),
    [anon_sym_SLASH] = ACTIONS(7413),
    [anon_sym_LT] = ACTIONS(7411),
    [anon_sym_GT] = ACTIONS(7411),
    [anon_sym_BANG] = ACTIONS(7411),
    [anon_sym_PIPE] = ACTIONS(7411),
    [anon_sym_COLON] = ACTIONS(7411),
    [anon_sym_SQUOTE] = ACTIONS(7411),
    [anon_sym__] = ACTIONS(7413),
    [anon_sym_CARET] = ACTIONS(7413),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7413),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7413),
    [anon_sym_DOLLAR] = ACTIONS(7411),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7413),
    [anon_sym_BSLASHleft] = ACTIONS(7411),
    [anon_sym_BSLASHbigl] = ACTIONS(7411),
    [anon_sym_BSLASHBigl] = ACTIONS(7411),
    [anon_sym_BSLASHbiggl] = ACTIONS(7411),
    [anon_sym_BSLASHBiggl] = ACTIONS(7411),
    [anon_sym_BSLASHtext] = ACTIONS(7411),
    [anon_sym_BSLASHintertext] = ACTIONS(7411),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7411),
    [anon_sym_BSLASHbegin] = ACTIONS(7411),
    [anon_sym_BSLASHend] = ACTIONS(7411),
    [anon_sym_BSLASHtitle] = ACTIONS(7411),
    [anon_sym_BSLASHauthor] = ACTIONS(7411),
    [anon_sym_BSLASHusepackage] = ACTIONS(7411),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7411),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7411),
    [anon_sym_BSLASHinclude] = ACTIONS(7411),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7411),
    [anon_sym_BSLASHinput] = ACTIONS(7411),
    [anon_sym_BSLASHsubfile] = ACTIONS(7411),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7411),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7411),
    [anon_sym_BSLASHbibliography] = ACTIONS(7411),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7411),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7411),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7411),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7411),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7411),
    [anon_sym_BSLASHimport] = ACTIONS(7411),
    [anon_sym_BSLASHsubimport] = ACTIONS(7411),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7411),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7411),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7411),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7411),
    [anon_sym_BSLASHcaption] = ACTIONS(7411),
    [anon_sym_BSLASHcite] = ACTIONS(7411),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCite] = ACTIONS(7411),
    [anon_sym_BSLASHnocite] = ACTIONS(7411),
    [anon_sym_BSLASHcitet] = ACTIONS(7411),
    [anon_sym_BSLASHcitep] = ACTIONS(7411),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteA] = ACTIONS(7411),
    [anon_sym_BSLASHciteR] = ACTIONS(7411),
    [anon_sym_BSLASHciteS] = ACTIONS(7411),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7411),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7411),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7411),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7411),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteyear] = ACTIONS(7411),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitedate] = ACTIONS(7411),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteurl] = ACTIONS(7411),
    [anon_sym_BSLASHfullcite] = ACTIONS(7411),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7411),
    [anon_sym_BSLASHcitealt] = ACTIONS(7411),
    [anon_sym_BSLASHcitealp] = ACTIONS(7411),
    [anon_sym_BSLASHcitetext] = ACTIONS(7411),
    [anon_sym_BSLASHparencite] = ACTIONS(7411),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHParencite] = ACTIONS(7411),
    [anon_sym_BSLASHfootcite] = ACTIONS(7411),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7411),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7411),
    [anon_sym_BSLASHtextcite] = ACTIONS(7411),
    [anon_sym_BSLASHTextcite] = ACTIONS(7411),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7411),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7411),
    [anon_sym_BSLASHsupercite] = ACTIONS(7411),
    [anon_sym_BSLASHautocite] = ACTIONS(7411),
    [anon_sym_BSLASHAutocite] = ACTIONS(7411),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHVolcite] = ACTIONS(7411),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHavolcite] = ACTIONS(7411),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHNotecite] = ACTIONS(7411),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHlabel] = ACTIONS(7411),
    [anon_sym_BSLASHref] = ACTIONS(7411),
    [anon_sym_BSLASHeqref] = ACTIONS(7411),
    [anon_sym_BSLASHvref] = ACTIONS(7411),
    [anon_sym_BSLASHVref] = ACTIONS(7411),
    [anon_sym_BSLASHautoref] = ACTIONS(7411),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHpageref] = ACTIONS(7411),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHautopageref] = ACTIONS(7411),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcref] = ACTIONS(7411),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCref] = ACTIONS(7411),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcpageref] = ACTIONS(7411),
    [anon_sym_BSLASHCpageref] = ACTIONS(7411),
    [anon_sym_BSLASHnamecref] = ACTIONS(7411),
    [anon_sym_BSLASHnameCref] = ACTIONS(7411),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7411),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7411),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7411),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7411),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7411),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7411),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7411),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7411),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7411),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7411),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7411),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHdef] = ACTIONS(7411),
    [anon_sym_BSLASHgdef] = ACTIONS(7411),
    [anon_sym_BSLASHedef] = ACTIONS(7411),
    [anon_sym_BSLASHxdef] = ACTIONS(7411),
    [anon_sym_BSLASHlet] = ACTIONS(7411),
    [anon_sym_BSLASHglet] = ACTIONS(7411),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7411),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7411),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7411),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7411),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7411),
    [anon_sym_BSLASHgls] = ACTIONS(7411),
    [anon_sym_BSLASHGls] = ACTIONS(7411),
    [anon_sym_BSLASHGLS] = ACTIONS(7411),
    [anon_sym_BSLASHglspl] = ACTIONS(7411),
    [anon_sym_BSLASHGlspl] = ACTIONS(7411),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7411),
    [anon_sym_BSLASHglslink] = ACTIONS(7411),
    [anon_sym_BSLASHglstext] = ACTIONS(7411),
    [anon_sym_BSLASHGlstext] = ACTIONS(7411),
    [anon_sym_BSLASHGLStext] = ACTIONS(7411),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7411),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7411),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7411),
    [anon_sym_BSLASHglsplural] = ACTIONS(7411),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7411),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7411),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHglsname] = ACTIONS(7411),
    [anon_sym_BSLASHGlsname] = ACTIONS(7411),
    [anon_sym_BSLASHGLSname] = ACTIONS(7411),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7411),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7411),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7411),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7411),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7411),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7411),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7411),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7411),
    [anon_sym_BSLASHacrshort] = ACTIONS(7411),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7411),
    [anon_sym_BSLASHACRshort] = ACTIONS(7411),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHacrlong] = ACTIONS(7411),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7411),
    [anon_sym_BSLASHACRlong] = ACTIONS(7411),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHacrfull] = ACTIONS(7411),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7411),
    [anon_sym_BSLASHACRfull] = ACTIONS(7411),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHacs] = ACTIONS(7411),
    [anon_sym_BSLASHAcs] = ACTIONS(7411),
    [anon_sym_BSLASHacsp] = ACTIONS(7411),
    [anon_sym_BSLASHAcsp] = ACTIONS(7411),
    [anon_sym_BSLASHacl] = ACTIONS(7411),
    [anon_sym_BSLASHAcl] = ACTIONS(7411),
    [anon_sym_BSLASHaclp] = ACTIONS(7411),
    [anon_sym_BSLASHAclp] = ACTIONS(7411),
    [anon_sym_BSLASHacf] = ACTIONS(7411),
    [anon_sym_BSLASHAcf] = ACTIONS(7411),
    [anon_sym_BSLASHacfp] = ACTIONS(7411),
    [anon_sym_BSLASHAcfp] = ACTIONS(7411),
    [anon_sym_BSLASHac] = ACTIONS(7411),
    [anon_sym_BSLASHAc] = ACTIONS(7411),
    [anon_sym_BSLASHacp] = ACTIONS(7411),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7411),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7411),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7411),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7411),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7411),
    [anon_sym_BSLASHcolor] = ACTIONS(7411),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7411),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7411),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7411),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7411),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7411),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7411),
    [anon_sym_BSLASHurl] = ACTIONS(7411),
    [anon_sym_BSLASHhref] = ACTIONS(7411),
  },
  [1792] = {
    [sym_command_name] = ACTIONS(7207),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7207),
    [anon_sym_LBRACK] = ACTIONS(7209),
    [anon_sym_RBRACK] = ACTIONS(7209),
    [anon_sym_COMMA] = ACTIONS(7209),
    [anon_sym_EQ] = ACTIONS(7209),
    [anon_sym_LPAREN] = ACTIONS(7209),
    [anon_sym_RPAREN] = ACTIONS(7209),
    [anon_sym_LBRACE] = ACTIONS(7209),
    [sym_word] = ACTIONS(7207),
    [sym_placeholder] = ACTIONS(7209),
    [sym_delimiter] = ACTIONS(7209),
    [anon_sym_PLUS] = ACTIONS(7209),
    [anon_sym_DASH] = ACTIONS(7209),
    [anon_sym_STAR] = ACTIONS(7209),
    [anon_sym_SLASH] = ACTIONS(7209),
    [anon_sym_LT] = ACTIONS(7207),
    [anon_sym_GT] = ACTIONS(7207),
    [anon_sym_BANG] = ACTIONS(7207),
    [anon_sym_PIPE] = ACTIONS(7207),
    [anon_sym_COLON] = ACTIONS(7207),
    [anon_sym_SQUOTE] = ACTIONS(7207),
    [anon_sym__] = ACTIONS(7209),
    [anon_sym_CARET] = ACTIONS(7209),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7209),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7209),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7209),
    [anon_sym_BSLASHleft] = ACTIONS(7207),
    [anon_sym_BSLASHbigl] = ACTIONS(7207),
    [anon_sym_BSLASHBigl] = ACTIONS(7207),
    [anon_sym_BSLASHbiggl] = ACTIONS(7207),
    [anon_sym_BSLASHBiggl] = ACTIONS(7207),
    [anon_sym_BSLASHtext] = ACTIONS(7207),
    [anon_sym_BSLASHintertext] = ACTIONS(7207),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7207),
    [anon_sym_BSLASHbegin] = ACTIONS(7207),
    [anon_sym_BSLASHend] = ACTIONS(7207),
    [anon_sym_BSLASHtitle] = ACTIONS(7207),
    [anon_sym_BSLASHauthor] = ACTIONS(7207),
    [anon_sym_BSLASHusepackage] = ACTIONS(7207),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7207),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7207),
    [anon_sym_BSLASHinclude] = ACTIONS(7207),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7207),
    [anon_sym_BSLASHinput] = ACTIONS(7207),
    [anon_sym_BSLASHsubfile] = ACTIONS(7207),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7207),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7207),
    [anon_sym_BSLASHbibliography] = ACTIONS(7207),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7207),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7207),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7207),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7207),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7207),
    [anon_sym_BSLASHimport] = ACTIONS(7207),
    [anon_sym_BSLASHsubimport] = ACTIONS(7207),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7207),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7207),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7207),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7207),
    [anon_sym_BSLASHcaption] = ACTIONS(7207),
    [anon_sym_BSLASHcite] = ACTIONS(7207),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCite] = ACTIONS(7207),
    [anon_sym_BSLASHnocite] = ACTIONS(7207),
    [anon_sym_BSLASHcitet] = ACTIONS(7207),
    [anon_sym_BSLASHcitep] = ACTIONS(7207),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteA] = ACTIONS(7207),
    [anon_sym_BSLASHciteR] = ACTIONS(7207),
    [anon_sym_BSLASHciteS] = ACTIONS(7207),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7207),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7207),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7207),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7207),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteyear] = ACTIONS(7207),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitedate] = ACTIONS(7207),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteurl] = ACTIONS(7207),
    [anon_sym_BSLASHfullcite] = ACTIONS(7207),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7207),
    [anon_sym_BSLASHcitealt] = ACTIONS(7207),
    [anon_sym_BSLASHcitealp] = ACTIONS(7207),
    [anon_sym_BSLASHcitetext] = ACTIONS(7207),
    [anon_sym_BSLASHparencite] = ACTIONS(7207),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHParencite] = ACTIONS(7207),
    [anon_sym_BSLASHfootcite] = ACTIONS(7207),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7207),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7207),
    [anon_sym_BSLASHtextcite] = ACTIONS(7207),
    [anon_sym_BSLASHTextcite] = ACTIONS(7207),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7207),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7207),
    [anon_sym_BSLASHsupercite] = ACTIONS(7207),
    [anon_sym_BSLASHautocite] = ACTIONS(7207),
    [anon_sym_BSLASHAutocite] = ACTIONS(7207),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHVolcite] = ACTIONS(7207),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHavolcite] = ACTIONS(7207),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHNotecite] = ACTIONS(7207),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHlabel] = ACTIONS(7207),
    [anon_sym_BSLASHref] = ACTIONS(7207),
    [anon_sym_BSLASHeqref] = ACTIONS(7207),
    [anon_sym_BSLASHvref] = ACTIONS(7207),
    [anon_sym_BSLASHVref] = ACTIONS(7207),
    [anon_sym_BSLASHautoref] = ACTIONS(7207),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHpageref] = ACTIONS(7207),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHautopageref] = ACTIONS(7207),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcref] = ACTIONS(7207),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCref] = ACTIONS(7207),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcpageref] = ACTIONS(7207),
    [anon_sym_BSLASHCpageref] = ACTIONS(7207),
    [anon_sym_BSLASHnamecref] = ACTIONS(7207),
    [anon_sym_BSLASHnameCref] = ACTIONS(7207),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7207),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7207),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7207),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7207),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7207),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7207),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7207),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7207),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7207),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7207),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7207),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHdef] = ACTIONS(7207),
    [anon_sym_BSLASHgdef] = ACTIONS(7207),
    [anon_sym_BSLASHedef] = ACTIONS(7207),
    [anon_sym_BSLASHxdef] = ACTIONS(7207),
    [anon_sym_BSLASHlet] = ACTIONS(7207),
    [anon_sym_BSLASHglet] = ACTIONS(7207),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7207),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7207),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7207),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7207),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7207),
    [anon_sym_BSLASHgls] = ACTIONS(7207),
    [anon_sym_BSLASHGls] = ACTIONS(7207),
    [anon_sym_BSLASHGLS] = ACTIONS(7207),
    [anon_sym_BSLASHglspl] = ACTIONS(7207),
    [anon_sym_BSLASHGlspl] = ACTIONS(7207),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7207),
    [anon_sym_BSLASHglslink] = ACTIONS(7207),
    [anon_sym_BSLASHglstext] = ACTIONS(7207),
    [anon_sym_BSLASHGlstext] = ACTIONS(7207),
    [anon_sym_BSLASHGLStext] = ACTIONS(7207),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7207),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7207),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7207),
    [anon_sym_BSLASHglsplural] = ACTIONS(7207),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7207),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7207),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHglsname] = ACTIONS(7207),
    [anon_sym_BSLASHGlsname] = ACTIONS(7207),
    [anon_sym_BSLASHGLSname] = ACTIONS(7207),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7207),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7207),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7207),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7207),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7207),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7207),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7207),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7207),
    [anon_sym_BSLASHacrshort] = ACTIONS(7207),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7207),
    [anon_sym_BSLASHACRshort] = ACTIONS(7207),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHacrlong] = ACTIONS(7207),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7207),
    [anon_sym_BSLASHACRlong] = ACTIONS(7207),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHacrfull] = ACTIONS(7207),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7207),
    [anon_sym_BSLASHACRfull] = ACTIONS(7207),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHacs] = ACTIONS(7207),
    [anon_sym_BSLASHAcs] = ACTIONS(7207),
    [anon_sym_BSLASHacsp] = ACTIONS(7207),
    [anon_sym_BSLASHAcsp] = ACTIONS(7207),
    [anon_sym_BSLASHacl] = ACTIONS(7207),
    [anon_sym_BSLASHAcl] = ACTIONS(7207),
    [anon_sym_BSLASHaclp] = ACTIONS(7207),
    [anon_sym_BSLASHAclp] = ACTIONS(7207),
    [anon_sym_BSLASHacf] = ACTIONS(7207),
    [anon_sym_BSLASHAcf] = ACTIONS(7207),
    [anon_sym_BSLASHacfp] = ACTIONS(7207),
    [anon_sym_BSLASHAcfp] = ACTIONS(7207),
    [anon_sym_BSLASHac] = ACTIONS(7207),
    [anon_sym_BSLASHAc] = ACTIONS(7207),
    [anon_sym_BSLASHacp] = ACTIONS(7207),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7207),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7207),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7207),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7207),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7207),
    [anon_sym_BSLASHcolor] = ACTIONS(7207),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7207),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7207),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7207),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7207),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7207),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7207),
    [anon_sym_BSLASHurl] = ACTIONS(7207),
    [anon_sym_BSLASHhref] = ACTIONS(7207),
  },
  [1793] = {
    [sym_command_name] = ACTIONS(7091),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7091),
    [anon_sym_LBRACK] = ACTIONS(7093),
    [anon_sym_RBRACK] = ACTIONS(7093),
    [anon_sym_COMMA] = ACTIONS(7093),
    [anon_sym_EQ] = ACTIONS(7093),
    [anon_sym_LPAREN] = ACTIONS(7093),
    [anon_sym_RPAREN] = ACTIONS(7093),
    [anon_sym_LBRACE] = ACTIONS(7093),
    [sym_word] = ACTIONS(7091),
    [sym_placeholder] = ACTIONS(7093),
    [sym_delimiter] = ACTIONS(7093),
    [anon_sym_PLUS] = ACTIONS(7093),
    [anon_sym_DASH] = ACTIONS(7093),
    [anon_sym_STAR] = ACTIONS(7093),
    [anon_sym_SLASH] = ACTIONS(7093),
    [anon_sym_LT] = ACTIONS(7091),
    [anon_sym_GT] = ACTIONS(7091),
    [anon_sym_BANG] = ACTIONS(7091),
    [anon_sym_PIPE] = ACTIONS(7091),
    [anon_sym_COLON] = ACTIONS(7091),
    [anon_sym_SQUOTE] = ACTIONS(7091),
    [anon_sym__] = ACTIONS(7093),
    [anon_sym_CARET] = ACTIONS(7093),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7093),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7093),
    [anon_sym_DOLLAR] = ACTIONS(7091),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7093),
    [anon_sym_BSLASHleft] = ACTIONS(7091),
    [anon_sym_BSLASHbigl] = ACTIONS(7091),
    [anon_sym_BSLASHBigl] = ACTIONS(7091),
    [anon_sym_BSLASHbiggl] = ACTIONS(7091),
    [anon_sym_BSLASHBiggl] = ACTIONS(7091),
    [anon_sym_BSLASHtext] = ACTIONS(7091),
    [anon_sym_BSLASHintertext] = ACTIONS(7091),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7091),
    [anon_sym_BSLASHbegin] = ACTIONS(7091),
    [anon_sym_BSLASHend] = ACTIONS(7091),
    [anon_sym_BSLASHtitle] = ACTIONS(7091),
    [anon_sym_BSLASHauthor] = ACTIONS(7091),
    [anon_sym_BSLASHusepackage] = ACTIONS(7091),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7091),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7091),
    [anon_sym_BSLASHinclude] = ACTIONS(7091),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7091),
    [anon_sym_BSLASHinput] = ACTIONS(7091),
    [anon_sym_BSLASHsubfile] = ACTIONS(7091),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7091),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7091),
    [anon_sym_BSLASHbibliography] = ACTIONS(7091),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7091),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7091),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7091),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7091),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7091),
    [anon_sym_BSLASHimport] = ACTIONS(7091),
    [anon_sym_BSLASHsubimport] = ACTIONS(7091),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7091),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7091),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7091),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7091),
    [anon_sym_BSLASHcaption] = ACTIONS(7091),
    [anon_sym_BSLASHcite] = ACTIONS(7091),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHCite] = ACTIONS(7091),
    [anon_sym_BSLASHnocite] = ACTIONS(7091),
    [anon_sym_BSLASHcitet] = ACTIONS(7091),
    [anon_sym_BSLASHcitep] = ACTIONS(7091),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHciteA] = ACTIONS(7091),
    [anon_sym_BSLASHciteR] = ACTIONS(7091),
    [anon_sym_BSLASHciteS] = ACTIONS(7091),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7091),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7091),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7091),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7091),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHciteyear] = ACTIONS(7091),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcitedate] = ACTIONS(7091),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHciteurl] = ACTIONS(7091),
    [anon_sym_BSLASHfullcite] = ACTIONS(7091),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7091),
    [anon_sym_BSLASHcitealt] = ACTIONS(7091),
    [anon_sym_BSLASHcitealp] = ACTIONS(7091),
    [anon_sym_BSLASHcitetext] = ACTIONS(7091),
    [anon_sym_BSLASHparencite] = ACTIONS(7091),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHParencite] = ACTIONS(7091),
    [anon_sym_BSLASHfootcite] = ACTIONS(7091),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7091),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7091),
    [anon_sym_BSLASHtextcite] = ACTIONS(7091),
    [anon_sym_BSLASHTextcite] = ACTIONS(7091),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7091),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7091),
    [anon_sym_BSLASHsupercite] = ACTIONS(7091),
    [anon_sym_BSLASHautocite] = ACTIONS(7091),
    [anon_sym_BSLASHAutocite] = ACTIONS(7091),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHVolcite] = ACTIONS(7091),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHavolcite] = ACTIONS(7091),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHnotecite] = ACTIONS(7091),
    [anon_sym_BSLASHNotecite] = ACTIONS(7091),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7091),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7091),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7091),
    [anon_sym_BSLASHlabel] = ACTIONS(7091),
    [anon_sym_BSLASHref] = ACTIONS(7091),
    [anon_sym_BSLASHeqref] = ACTIONS(7091),
    [anon_sym_BSLASHvref] = ACTIONS(7091),
    [anon_sym_BSLASHVref] = ACTIONS(7091),
    [anon_sym_BSLASHautoref] = ACTIONS(7091),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHpageref] = ACTIONS(7091),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHautopageref] = ACTIONS(7091),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcref] = ACTIONS(7091),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHCref] = ACTIONS(7091),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcpageref] = ACTIONS(7091),
    [anon_sym_BSLASHCpageref] = ACTIONS(7091),
    [anon_sym_BSLASHnamecref] = ACTIONS(7091),
    [anon_sym_BSLASHnameCref] = ACTIONS(7091),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7091),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7091),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7091),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7091),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7091),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7091),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7091),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7091),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7091),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7091),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7091),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7091),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7091),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7091),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7091),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7091),
    [anon_sym_BSLASHdef] = ACTIONS(7091),
    [anon_sym_BSLASHgdef] = ACTIONS(7091),
    [anon_sym_BSLASHedef] = ACTIONS(7091),
    [anon_sym_BSLASHxdef] = ACTIONS(7091),
    [anon_sym_BSLASHlet] = ACTIONS(7091),
    [anon_sym_BSLASHglet] = ACTIONS(7091),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7091),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7091),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7091),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7091),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7091),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7091),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7091),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7091),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7091),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7091),
    [anon_sym_BSLASHgls] = ACTIONS(7091),
    [anon_sym_BSLASHGls] = ACTIONS(7091),
    [anon_sym_BSLASHGLS] = ACTIONS(7091),
    [anon_sym_BSLASHglspl] = ACTIONS(7091),
    [anon_sym_BSLASHGlspl] = ACTIONS(7091),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7091),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7091),
    [anon_sym_BSLASHglslink] = ACTIONS(7091),
    [anon_sym_BSLASHglstext] = ACTIONS(7091),
    [anon_sym_BSLASHGlstext] = ACTIONS(7091),
    [anon_sym_BSLASHGLStext] = ACTIONS(7091),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7091),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7091),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7091),
    [anon_sym_BSLASHglsplural] = ACTIONS(7091),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7091),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7091),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7091),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7091),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7091),
    [anon_sym_BSLASHglsname] = ACTIONS(7091),
    [anon_sym_BSLASHGlsname] = ACTIONS(7091),
    [anon_sym_BSLASHGLSname] = ACTIONS(7091),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7091),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7091),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7091),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7091),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7091),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7091),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7091),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7091),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7091),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7091),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7091),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7091),
    [anon_sym_BSLASHacrshort] = ACTIONS(7091),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7091),
    [anon_sym_BSLASHACRshort] = ACTIONS(7091),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHacrlong] = ACTIONS(7091),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7091),
    [anon_sym_BSLASHACRlong] = ACTIONS(7091),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7091),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7091),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7091),
    [anon_sym_BSLASHacrfull] = ACTIONS(7091),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7091),
    [anon_sym_BSLASHACRfull] = ACTIONS(7091),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHacs] = ACTIONS(7091),
    [anon_sym_BSLASHAcs] = ACTIONS(7091),
    [anon_sym_BSLASHacsp] = ACTIONS(7091),
    [anon_sym_BSLASHAcsp] = ACTIONS(7091),
    [anon_sym_BSLASHacl] = ACTIONS(7091),
    [anon_sym_BSLASHAcl] = ACTIONS(7091),
    [anon_sym_BSLASHaclp] = ACTIONS(7091),
    [anon_sym_BSLASHAclp] = ACTIONS(7091),
    [anon_sym_BSLASHacf] = ACTIONS(7091),
    [anon_sym_BSLASHAcf] = ACTIONS(7091),
    [anon_sym_BSLASHacfp] = ACTIONS(7091),
    [anon_sym_BSLASHAcfp] = ACTIONS(7091),
    [anon_sym_BSLASHac] = ACTIONS(7091),
    [anon_sym_BSLASHAc] = ACTIONS(7091),
    [anon_sym_BSLASHacp] = ACTIONS(7091),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7091),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7091),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7091),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7091),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7091),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7091),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7091),
    [anon_sym_BSLASHcolor] = ACTIONS(7091),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7091),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7091),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7091),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7091),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7091),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7091),
    [anon_sym_BSLASHurl] = ACTIONS(7091),
    [anon_sym_BSLASHhref] = ACTIONS(7091),
  },
  [1794] = {
    [sym_command_name] = ACTIONS(7211),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7211),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_RBRACK] = ACTIONS(7213),
    [anon_sym_COMMA] = ACTIONS(7213),
    [anon_sym_EQ] = ACTIONS(7213),
    [anon_sym_LPAREN] = ACTIONS(7213),
    [anon_sym_RPAREN] = ACTIONS(7213),
    [anon_sym_LBRACE] = ACTIONS(7213),
    [sym_word] = ACTIONS(7211),
    [sym_placeholder] = ACTIONS(7213),
    [sym_delimiter] = ACTIONS(7213),
    [anon_sym_PLUS] = ACTIONS(7213),
    [anon_sym_DASH] = ACTIONS(7213),
    [anon_sym_STAR] = ACTIONS(7213),
    [anon_sym_SLASH] = ACTIONS(7213),
    [anon_sym_LT] = ACTIONS(7211),
    [anon_sym_GT] = ACTIONS(7211),
    [anon_sym_BANG] = ACTIONS(7211),
    [anon_sym_PIPE] = ACTIONS(7211),
    [anon_sym_COLON] = ACTIONS(7211),
    [anon_sym_SQUOTE] = ACTIONS(7211),
    [anon_sym__] = ACTIONS(7213),
    [anon_sym_CARET] = ACTIONS(7213),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7213),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7213),
    [anon_sym_DOLLAR] = ACTIONS(7211),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7213),
    [anon_sym_BSLASHleft] = ACTIONS(7211),
    [anon_sym_BSLASHbigl] = ACTIONS(7211),
    [anon_sym_BSLASHBigl] = ACTIONS(7211),
    [anon_sym_BSLASHbiggl] = ACTIONS(7211),
    [anon_sym_BSLASHBiggl] = ACTIONS(7211),
    [anon_sym_BSLASHtext] = ACTIONS(7211),
    [anon_sym_BSLASHintertext] = ACTIONS(7211),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7211),
    [anon_sym_BSLASHbegin] = ACTIONS(7211),
    [anon_sym_BSLASHend] = ACTIONS(7211),
    [anon_sym_BSLASHtitle] = ACTIONS(7211),
    [anon_sym_BSLASHauthor] = ACTIONS(7211),
    [anon_sym_BSLASHusepackage] = ACTIONS(7211),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7211),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7211),
    [anon_sym_BSLASHinclude] = ACTIONS(7211),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7211),
    [anon_sym_BSLASHinput] = ACTIONS(7211),
    [anon_sym_BSLASHsubfile] = ACTIONS(7211),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7211),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7211),
    [anon_sym_BSLASHbibliography] = ACTIONS(7211),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7211),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7211),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7211),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7211),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7211),
    [anon_sym_BSLASHimport] = ACTIONS(7211),
    [anon_sym_BSLASHsubimport] = ACTIONS(7211),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7211),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7211),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7211),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7211),
    [anon_sym_BSLASHcaption] = ACTIONS(7211),
    [anon_sym_BSLASHcite] = ACTIONS(7211),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCite] = ACTIONS(7211),
    [anon_sym_BSLASHnocite] = ACTIONS(7211),
    [anon_sym_BSLASHcitet] = ACTIONS(7211),
    [anon_sym_BSLASHcitep] = ACTIONS(7211),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteA] = ACTIONS(7211),
    [anon_sym_BSLASHciteR] = ACTIONS(7211),
    [anon_sym_BSLASHciteS] = ACTIONS(7211),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7211),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7211),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7211),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7211),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteyear] = ACTIONS(7211),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitedate] = ACTIONS(7211),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteurl] = ACTIONS(7211),
    [anon_sym_BSLASHfullcite] = ACTIONS(7211),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7211),
    [anon_sym_BSLASHcitealt] = ACTIONS(7211),
    [anon_sym_BSLASHcitealp] = ACTIONS(7211),
    [anon_sym_BSLASHcitetext] = ACTIONS(7211),
    [anon_sym_BSLASHparencite] = ACTIONS(7211),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHParencite] = ACTIONS(7211),
    [anon_sym_BSLASHfootcite] = ACTIONS(7211),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7211),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7211),
    [anon_sym_BSLASHtextcite] = ACTIONS(7211),
    [anon_sym_BSLASHTextcite] = ACTIONS(7211),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7211),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7211),
    [anon_sym_BSLASHsupercite] = ACTIONS(7211),
    [anon_sym_BSLASHautocite] = ACTIONS(7211),
    [anon_sym_BSLASHAutocite] = ACTIONS(7211),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHVolcite] = ACTIONS(7211),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHavolcite] = ACTIONS(7211),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHNotecite] = ACTIONS(7211),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHlabel] = ACTIONS(7211),
    [anon_sym_BSLASHref] = ACTIONS(7211),
    [anon_sym_BSLASHeqref] = ACTIONS(7211),
    [anon_sym_BSLASHvref] = ACTIONS(7211),
    [anon_sym_BSLASHVref] = ACTIONS(7211),
    [anon_sym_BSLASHautoref] = ACTIONS(7211),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHpageref] = ACTIONS(7211),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHautopageref] = ACTIONS(7211),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcref] = ACTIONS(7211),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCref] = ACTIONS(7211),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcpageref] = ACTIONS(7211),
    [anon_sym_BSLASHCpageref] = ACTIONS(7211),
    [anon_sym_BSLASHnamecref] = ACTIONS(7211),
    [anon_sym_BSLASHnameCref] = ACTIONS(7211),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7211),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7211),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7211),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7211),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7211),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7211),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7211),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7211),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7211),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7211),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7211),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHdef] = ACTIONS(7211),
    [anon_sym_BSLASHgdef] = ACTIONS(7211),
    [anon_sym_BSLASHedef] = ACTIONS(7211),
    [anon_sym_BSLASHxdef] = ACTIONS(7211),
    [anon_sym_BSLASHlet] = ACTIONS(7211),
    [anon_sym_BSLASHglet] = ACTIONS(7211),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7211),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7211),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7211),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7211),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7211),
    [anon_sym_BSLASHgls] = ACTIONS(7211),
    [anon_sym_BSLASHGls] = ACTIONS(7211),
    [anon_sym_BSLASHGLS] = ACTIONS(7211),
    [anon_sym_BSLASHglspl] = ACTIONS(7211),
    [anon_sym_BSLASHGlspl] = ACTIONS(7211),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7211),
    [anon_sym_BSLASHglslink] = ACTIONS(7211),
    [anon_sym_BSLASHglstext] = ACTIONS(7211),
    [anon_sym_BSLASHGlstext] = ACTIONS(7211),
    [anon_sym_BSLASHGLStext] = ACTIONS(7211),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7211),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7211),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7211),
    [anon_sym_BSLASHglsplural] = ACTIONS(7211),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7211),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7211),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHglsname] = ACTIONS(7211),
    [anon_sym_BSLASHGlsname] = ACTIONS(7211),
    [anon_sym_BSLASHGLSname] = ACTIONS(7211),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7211),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7211),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7211),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7211),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7211),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7211),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7211),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7211),
    [anon_sym_BSLASHacrshort] = ACTIONS(7211),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7211),
    [anon_sym_BSLASHACRshort] = ACTIONS(7211),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHacrlong] = ACTIONS(7211),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7211),
    [anon_sym_BSLASHACRlong] = ACTIONS(7211),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHacrfull] = ACTIONS(7211),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7211),
    [anon_sym_BSLASHACRfull] = ACTIONS(7211),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHacs] = ACTIONS(7211),
    [anon_sym_BSLASHAcs] = ACTIONS(7211),
    [anon_sym_BSLASHacsp] = ACTIONS(7211),
    [anon_sym_BSLASHAcsp] = ACTIONS(7211),
    [anon_sym_BSLASHacl] = ACTIONS(7211),
    [anon_sym_BSLASHAcl] = ACTIONS(7211),
    [anon_sym_BSLASHaclp] = ACTIONS(7211),
    [anon_sym_BSLASHAclp] = ACTIONS(7211),
    [anon_sym_BSLASHacf] = ACTIONS(7211),
    [anon_sym_BSLASHAcf] = ACTIONS(7211),
    [anon_sym_BSLASHacfp] = ACTIONS(7211),
    [anon_sym_BSLASHAcfp] = ACTIONS(7211),
    [anon_sym_BSLASHac] = ACTIONS(7211),
    [anon_sym_BSLASHAc] = ACTIONS(7211),
    [anon_sym_BSLASHacp] = ACTIONS(7211),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7211),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7211),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7211),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7211),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7211),
    [anon_sym_BSLASHcolor] = ACTIONS(7211),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7211),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7211),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7211),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7211),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7211),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7211),
    [anon_sym_BSLASHurl] = ACTIONS(7211),
    [anon_sym_BSLASHhref] = ACTIONS(7211),
  },
  [1795] = {
    [sym_command_name] = ACTIONS(7095),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7095),
    [anon_sym_LBRACK] = ACTIONS(7097),
    [anon_sym_RBRACK] = ACTIONS(7097),
    [anon_sym_COMMA] = ACTIONS(7097),
    [anon_sym_EQ] = ACTIONS(7097),
    [anon_sym_LPAREN] = ACTIONS(7097),
    [anon_sym_RPAREN] = ACTIONS(7097),
    [anon_sym_LBRACE] = ACTIONS(7097),
    [sym_word] = ACTIONS(7095),
    [sym_placeholder] = ACTIONS(7097),
    [sym_delimiter] = ACTIONS(7097),
    [anon_sym_PLUS] = ACTIONS(7097),
    [anon_sym_DASH] = ACTIONS(7097),
    [anon_sym_STAR] = ACTIONS(7097),
    [anon_sym_SLASH] = ACTIONS(7097),
    [anon_sym_LT] = ACTIONS(7095),
    [anon_sym_GT] = ACTIONS(7095),
    [anon_sym_BANG] = ACTIONS(7095),
    [anon_sym_PIPE] = ACTIONS(7095),
    [anon_sym_COLON] = ACTIONS(7095),
    [anon_sym_SQUOTE] = ACTIONS(7095),
    [anon_sym__] = ACTIONS(7097),
    [anon_sym_CARET] = ACTIONS(7097),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7097),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7097),
    [anon_sym_DOLLAR] = ACTIONS(7095),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7097),
    [anon_sym_BSLASHleft] = ACTIONS(7095),
    [anon_sym_BSLASHbigl] = ACTIONS(7095),
    [anon_sym_BSLASHBigl] = ACTIONS(7095),
    [anon_sym_BSLASHbiggl] = ACTIONS(7095),
    [anon_sym_BSLASHBiggl] = ACTIONS(7095),
    [anon_sym_BSLASHtext] = ACTIONS(7095),
    [anon_sym_BSLASHintertext] = ACTIONS(7095),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7095),
    [anon_sym_BSLASHbegin] = ACTIONS(7095),
    [anon_sym_BSLASHend] = ACTIONS(7095),
    [anon_sym_BSLASHtitle] = ACTIONS(7095),
    [anon_sym_BSLASHauthor] = ACTIONS(7095),
    [anon_sym_BSLASHusepackage] = ACTIONS(7095),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7095),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7095),
    [anon_sym_BSLASHinclude] = ACTIONS(7095),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7095),
    [anon_sym_BSLASHinput] = ACTIONS(7095),
    [anon_sym_BSLASHsubfile] = ACTIONS(7095),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7095),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7095),
    [anon_sym_BSLASHbibliography] = ACTIONS(7095),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7095),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7095),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7095),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7095),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7095),
    [anon_sym_BSLASHimport] = ACTIONS(7095),
    [anon_sym_BSLASHsubimport] = ACTIONS(7095),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7095),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7095),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7095),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7095),
    [anon_sym_BSLASHcaption] = ACTIONS(7095),
    [anon_sym_BSLASHcite] = ACTIONS(7095),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHCite] = ACTIONS(7095),
    [anon_sym_BSLASHnocite] = ACTIONS(7095),
    [anon_sym_BSLASHcitet] = ACTIONS(7095),
    [anon_sym_BSLASHcitep] = ACTIONS(7095),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHciteA] = ACTIONS(7095),
    [anon_sym_BSLASHciteR] = ACTIONS(7095),
    [anon_sym_BSLASHciteS] = ACTIONS(7095),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7095),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7095),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7095),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7095),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHciteyear] = ACTIONS(7095),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcitedate] = ACTIONS(7095),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHciteurl] = ACTIONS(7095),
    [anon_sym_BSLASHfullcite] = ACTIONS(7095),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7095),
    [anon_sym_BSLASHcitealt] = ACTIONS(7095),
    [anon_sym_BSLASHcitealp] = ACTIONS(7095),
    [anon_sym_BSLASHcitetext] = ACTIONS(7095),
    [anon_sym_BSLASHparencite] = ACTIONS(7095),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHParencite] = ACTIONS(7095),
    [anon_sym_BSLASHfootcite] = ACTIONS(7095),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7095),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7095),
    [anon_sym_BSLASHtextcite] = ACTIONS(7095),
    [anon_sym_BSLASHTextcite] = ACTIONS(7095),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7095),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7095),
    [anon_sym_BSLASHsupercite] = ACTIONS(7095),
    [anon_sym_BSLASHautocite] = ACTIONS(7095),
    [anon_sym_BSLASHAutocite] = ACTIONS(7095),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHVolcite] = ACTIONS(7095),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHavolcite] = ACTIONS(7095),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHnotecite] = ACTIONS(7095),
    [anon_sym_BSLASHNotecite] = ACTIONS(7095),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7095),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7095),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7095),
    [anon_sym_BSLASHlabel] = ACTIONS(7095),
    [anon_sym_BSLASHref] = ACTIONS(7095),
    [anon_sym_BSLASHeqref] = ACTIONS(7095),
    [anon_sym_BSLASHvref] = ACTIONS(7095),
    [anon_sym_BSLASHVref] = ACTIONS(7095),
    [anon_sym_BSLASHautoref] = ACTIONS(7095),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHpageref] = ACTIONS(7095),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHautopageref] = ACTIONS(7095),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcref] = ACTIONS(7095),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHCref] = ACTIONS(7095),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcpageref] = ACTIONS(7095),
    [anon_sym_BSLASHCpageref] = ACTIONS(7095),
    [anon_sym_BSLASHnamecref] = ACTIONS(7095),
    [anon_sym_BSLASHnameCref] = ACTIONS(7095),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7095),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7095),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7095),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7095),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7095),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7095),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7095),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7095),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7095),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7095),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7095),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7095),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7095),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7095),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7095),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7095),
    [anon_sym_BSLASHdef] = ACTIONS(7095),
    [anon_sym_BSLASHgdef] = ACTIONS(7095),
    [anon_sym_BSLASHedef] = ACTIONS(7095),
    [anon_sym_BSLASHxdef] = ACTIONS(7095),
    [anon_sym_BSLASHlet] = ACTIONS(7095),
    [anon_sym_BSLASHglet] = ACTIONS(7095),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7095),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7095),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7095),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7095),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7095),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7095),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7095),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7095),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7095),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7095),
    [anon_sym_BSLASHgls] = ACTIONS(7095),
    [anon_sym_BSLASHGls] = ACTIONS(7095),
    [anon_sym_BSLASHGLS] = ACTIONS(7095),
    [anon_sym_BSLASHglspl] = ACTIONS(7095),
    [anon_sym_BSLASHGlspl] = ACTIONS(7095),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7095),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7095),
    [anon_sym_BSLASHglslink] = ACTIONS(7095),
    [anon_sym_BSLASHglstext] = ACTIONS(7095),
    [anon_sym_BSLASHGlstext] = ACTIONS(7095),
    [anon_sym_BSLASHGLStext] = ACTIONS(7095),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7095),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7095),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7095),
    [anon_sym_BSLASHglsplural] = ACTIONS(7095),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7095),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7095),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7095),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7095),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7095),
    [anon_sym_BSLASHglsname] = ACTIONS(7095),
    [anon_sym_BSLASHGlsname] = ACTIONS(7095),
    [anon_sym_BSLASHGLSname] = ACTIONS(7095),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7095),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7095),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7095),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7095),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7095),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7095),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7095),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7095),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7095),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7095),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7095),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7095),
    [anon_sym_BSLASHacrshort] = ACTIONS(7095),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7095),
    [anon_sym_BSLASHACRshort] = ACTIONS(7095),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHacrlong] = ACTIONS(7095),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7095),
    [anon_sym_BSLASHACRlong] = ACTIONS(7095),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7095),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7095),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7095),
    [anon_sym_BSLASHacrfull] = ACTIONS(7095),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7095),
    [anon_sym_BSLASHACRfull] = ACTIONS(7095),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHacs] = ACTIONS(7095),
    [anon_sym_BSLASHAcs] = ACTIONS(7095),
    [anon_sym_BSLASHacsp] = ACTIONS(7095),
    [anon_sym_BSLASHAcsp] = ACTIONS(7095),
    [anon_sym_BSLASHacl] = ACTIONS(7095),
    [anon_sym_BSLASHAcl] = ACTIONS(7095),
    [anon_sym_BSLASHaclp] = ACTIONS(7095),
    [anon_sym_BSLASHAclp] = ACTIONS(7095),
    [anon_sym_BSLASHacf] = ACTIONS(7095),
    [anon_sym_BSLASHAcf] = ACTIONS(7095),
    [anon_sym_BSLASHacfp] = ACTIONS(7095),
    [anon_sym_BSLASHAcfp] = ACTIONS(7095),
    [anon_sym_BSLASHac] = ACTIONS(7095),
    [anon_sym_BSLASHAc] = ACTIONS(7095),
    [anon_sym_BSLASHacp] = ACTIONS(7095),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7095),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7095),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7095),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7095),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7095),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7095),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7095),
    [anon_sym_BSLASHcolor] = ACTIONS(7095),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7095),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7095),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7095),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7095),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7095),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7095),
    [anon_sym_BSLASHurl] = ACTIONS(7095),
    [anon_sym_BSLASHhref] = ACTIONS(7095),
  },
  [1796] = {
    [sym_command_name] = ACTIONS(7415),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7415),
    [anon_sym_LBRACK] = ACTIONS(7417),
    [anon_sym_RBRACK] = ACTIONS(7417),
    [anon_sym_COMMA] = ACTIONS(7417),
    [anon_sym_EQ] = ACTIONS(7417),
    [anon_sym_LPAREN] = ACTIONS(7417),
    [anon_sym_RPAREN] = ACTIONS(7417),
    [anon_sym_LBRACE] = ACTIONS(7417),
    [sym_word] = ACTIONS(7415),
    [sym_placeholder] = ACTIONS(7417),
    [sym_delimiter] = ACTIONS(7417),
    [anon_sym_PLUS] = ACTIONS(7417),
    [anon_sym_DASH] = ACTIONS(7417),
    [anon_sym_STAR] = ACTIONS(7417),
    [anon_sym_SLASH] = ACTIONS(7417),
    [anon_sym_LT] = ACTIONS(7415),
    [anon_sym_GT] = ACTIONS(7415),
    [anon_sym_BANG] = ACTIONS(7415),
    [anon_sym_PIPE] = ACTIONS(7415),
    [anon_sym_COLON] = ACTIONS(7415),
    [anon_sym_SQUOTE] = ACTIONS(7415),
    [anon_sym__] = ACTIONS(7417),
    [anon_sym_CARET] = ACTIONS(7417),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7417),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7417),
    [anon_sym_DOLLAR] = ACTIONS(7415),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7417),
    [anon_sym_BSLASHleft] = ACTIONS(7415),
    [anon_sym_BSLASHbigl] = ACTIONS(7415),
    [anon_sym_BSLASHBigl] = ACTIONS(7415),
    [anon_sym_BSLASHbiggl] = ACTIONS(7415),
    [anon_sym_BSLASHBiggl] = ACTIONS(7415),
    [anon_sym_BSLASHtext] = ACTIONS(7415),
    [anon_sym_BSLASHintertext] = ACTIONS(7415),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7415),
    [anon_sym_BSLASHbegin] = ACTIONS(7415),
    [anon_sym_BSLASHend] = ACTIONS(7415),
    [anon_sym_BSLASHtitle] = ACTIONS(7415),
    [anon_sym_BSLASHauthor] = ACTIONS(7415),
    [anon_sym_BSLASHusepackage] = ACTIONS(7415),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7415),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7415),
    [anon_sym_BSLASHinclude] = ACTIONS(7415),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7415),
    [anon_sym_BSLASHinput] = ACTIONS(7415),
    [anon_sym_BSLASHsubfile] = ACTIONS(7415),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7415),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7415),
    [anon_sym_BSLASHbibliography] = ACTIONS(7415),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7415),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7415),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7415),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7415),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7415),
    [anon_sym_BSLASHimport] = ACTIONS(7415),
    [anon_sym_BSLASHsubimport] = ACTIONS(7415),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7415),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7415),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7415),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7415),
    [anon_sym_BSLASHcaption] = ACTIONS(7415),
    [anon_sym_BSLASHcite] = ACTIONS(7415),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCite] = ACTIONS(7415),
    [anon_sym_BSLASHnocite] = ACTIONS(7415),
    [anon_sym_BSLASHcitet] = ACTIONS(7415),
    [anon_sym_BSLASHcitep] = ACTIONS(7415),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteA] = ACTIONS(7415),
    [anon_sym_BSLASHciteR] = ACTIONS(7415),
    [anon_sym_BSLASHciteS] = ACTIONS(7415),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7415),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7415),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7415),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7415),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteyear] = ACTIONS(7415),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitedate] = ACTIONS(7415),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteurl] = ACTIONS(7415),
    [anon_sym_BSLASHfullcite] = ACTIONS(7415),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7415),
    [anon_sym_BSLASHcitealt] = ACTIONS(7415),
    [anon_sym_BSLASHcitealp] = ACTIONS(7415),
    [anon_sym_BSLASHcitetext] = ACTIONS(7415),
    [anon_sym_BSLASHparencite] = ACTIONS(7415),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHParencite] = ACTIONS(7415),
    [anon_sym_BSLASHfootcite] = ACTIONS(7415),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7415),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7415),
    [anon_sym_BSLASHtextcite] = ACTIONS(7415),
    [anon_sym_BSLASHTextcite] = ACTIONS(7415),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7415),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7415),
    [anon_sym_BSLASHsupercite] = ACTIONS(7415),
    [anon_sym_BSLASHautocite] = ACTIONS(7415),
    [anon_sym_BSLASHAutocite] = ACTIONS(7415),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHVolcite] = ACTIONS(7415),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHavolcite] = ACTIONS(7415),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHNotecite] = ACTIONS(7415),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHlabel] = ACTIONS(7415),
    [anon_sym_BSLASHref] = ACTIONS(7415),
    [anon_sym_BSLASHeqref] = ACTIONS(7415),
    [anon_sym_BSLASHvref] = ACTIONS(7415),
    [anon_sym_BSLASHVref] = ACTIONS(7415),
    [anon_sym_BSLASHautoref] = ACTIONS(7415),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHpageref] = ACTIONS(7415),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHautopageref] = ACTIONS(7415),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcref] = ACTIONS(7415),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCref] = ACTIONS(7415),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcpageref] = ACTIONS(7415),
    [anon_sym_BSLASHCpageref] = ACTIONS(7415),
    [anon_sym_BSLASHnamecref] = ACTIONS(7415),
    [anon_sym_BSLASHnameCref] = ACTIONS(7415),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7415),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7415),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7415),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7415),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7415),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7415),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7415),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7415),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7415),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7415),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7415),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHdef] = ACTIONS(7415),
    [anon_sym_BSLASHgdef] = ACTIONS(7415),
    [anon_sym_BSLASHedef] = ACTIONS(7415),
    [anon_sym_BSLASHxdef] = ACTIONS(7415),
    [anon_sym_BSLASHlet] = ACTIONS(7415),
    [anon_sym_BSLASHglet] = ACTIONS(7415),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7415),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7415),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7415),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7415),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7415),
    [anon_sym_BSLASHgls] = ACTIONS(7415),
    [anon_sym_BSLASHGls] = ACTIONS(7415),
    [anon_sym_BSLASHGLS] = ACTIONS(7415),
    [anon_sym_BSLASHglspl] = ACTIONS(7415),
    [anon_sym_BSLASHGlspl] = ACTIONS(7415),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7415),
    [anon_sym_BSLASHglslink] = ACTIONS(7415),
    [anon_sym_BSLASHglstext] = ACTIONS(7415),
    [anon_sym_BSLASHGlstext] = ACTIONS(7415),
    [anon_sym_BSLASHGLStext] = ACTIONS(7415),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7415),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7415),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7415),
    [anon_sym_BSLASHglsplural] = ACTIONS(7415),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7415),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7415),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHglsname] = ACTIONS(7415),
    [anon_sym_BSLASHGlsname] = ACTIONS(7415),
    [anon_sym_BSLASHGLSname] = ACTIONS(7415),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7415),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7415),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7415),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7415),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7415),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7415),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7415),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7415),
    [anon_sym_BSLASHacrshort] = ACTIONS(7415),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7415),
    [anon_sym_BSLASHACRshort] = ACTIONS(7415),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHacrlong] = ACTIONS(7415),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7415),
    [anon_sym_BSLASHACRlong] = ACTIONS(7415),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHacrfull] = ACTIONS(7415),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7415),
    [anon_sym_BSLASHACRfull] = ACTIONS(7415),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHacs] = ACTIONS(7415),
    [anon_sym_BSLASHAcs] = ACTIONS(7415),
    [anon_sym_BSLASHacsp] = ACTIONS(7415),
    [anon_sym_BSLASHAcsp] = ACTIONS(7415),
    [anon_sym_BSLASHacl] = ACTIONS(7415),
    [anon_sym_BSLASHAcl] = ACTIONS(7415),
    [anon_sym_BSLASHaclp] = ACTIONS(7415),
    [anon_sym_BSLASHAclp] = ACTIONS(7415),
    [anon_sym_BSLASHacf] = ACTIONS(7415),
    [anon_sym_BSLASHAcf] = ACTIONS(7415),
    [anon_sym_BSLASHacfp] = ACTIONS(7415),
    [anon_sym_BSLASHAcfp] = ACTIONS(7415),
    [anon_sym_BSLASHac] = ACTIONS(7415),
    [anon_sym_BSLASHAc] = ACTIONS(7415),
    [anon_sym_BSLASHacp] = ACTIONS(7415),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7415),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7415),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7415),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7415),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7415),
    [anon_sym_BSLASHcolor] = ACTIONS(7415),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7415),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7415),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7415),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7415),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7415),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7415),
    [anon_sym_BSLASHurl] = ACTIONS(7415),
    [anon_sym_BSLASHhref] = ACTIONS(7415),
  },
  [1797] = {
    [sym_command_name] = ACTIONS(7099),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7099),
    [anon_sym_LBRACK] = ACTIONS(7101),
    [anon_sym_RBRACK] = ACTIONS(7101),
    [anon_sym_COMMA] = ACTIONS(7101),
    [anon_sym_EQ] = ACTIONS(7101),
    [anon_sym_LPAREN] = ACTIONS(7101),
    [anon_sym_RPAREN] = ACTIONS(7101),
    [anon_sym_LBRACE] = ACTIONS(7101),
    [sym_word] = ACTIONS(7099),
    [sym_placeholder] = ACTIONS(7101),
    [sym_delimiter] = ACTIONS(7101),
    [anon_sym_PLUS] = ACTIONS(7101),
    [anon_sym_DASH] = ACTIONS(7101),
    [anon_sym_STAR] = ACTIONS(7101),
    [anon_sym_SLASH] = ACTIONS(7101),
    [anon_sym_LT] = ACTIONS(7099),
    [anon_sym_GT] = ACTIONS(7099),
    [anon_sym_BANG] = ACTIONS(7099),
    [anon_sym_PIPE] = ACTIONS(7099),
    [anon_sym_COLON] = ACTIONS(7099),
    [anon_sym_SQUOTE] = ACTIONS(7099),
    [anon_sym__] = ACTIONS(7101),
    [anon_sym_CARET] = ACTIONS(7101),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7101),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7101),
    [anon_sym_DOLLAR] = ACTIONS(7099),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7101),
    [anon_sym_BSLASHleft] = ACTIONS(7099),
    [anon_sym_BSLASHbigl] = ACTIONS(7099),
    [anon_sym_BSLASHBigl] = ACTIONS(7099),
    [anon_sym_BSLASHbiggl] = ACTIONS(7099),
    [anon_sym_BSLASHBiggl] = ACTIONS(7099),
    [anon_sym_BSLASHtext] = ACTIONS(7099),
    [anon_sym_BSLASHintertext] = ACTIONS(7099),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7099),
    [anon_sym_BSLASHbegin] = ACTIONS(7099),
    [anon_sym_BSLASHend] = ACTIONS(7099),
    [anon_sym_BSLASHtitle] = ACTIONS(7099),
    [anon_sym_BSLASHauthor] = ACTIONS(7099),
    [anon_sym_BSLASHusepackage] = ACTIONS(7099),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7099),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7099),
    [anon_sym_BSLASHinclude] = ACTIONS(7099),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7099),
    [anon_sym_BSLASHinput] = ACTIONS(7099),
    [anon_sym_BSLASHsubfile] = ACTIONS(7099),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7099),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7099),
    [anon_sym_BSLASHbibliography] = ACTIONS(7099),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7099),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7099),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7099),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7099),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7099),
    [anon_sym_BSLASHimport] = ACTIONS(7099),
    [anon_sym_BSLASHsubimport] = ACTIONS(7099),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7099),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7099),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7099),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7099),
    [anon_sym_BSLASHcaption] = ACTIONS(7099),
    [anon_sym_BSLASHcite] = ACTIONS(7099),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHCite] = ACTIONS(7099),
    [anon_sym_BSLASHnocite] = ACTIONS(7099),
    [anon_sym_BSLASHcitet] = ACTIONS(7099),
    [anon_sym_BSLASHcitep] = ACTIONS(7099),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHciteA] = ACTIONS(7099),
    [anon_sym_BSLASHciteR] = ACTIONS(7099),
    [anon_sym_BSLASHciteS] = ACTIONS(7099),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7099),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7099),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7099),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7099),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHciteyear] = ACTIONS(7099),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcitedate] = ACTIONS(7099),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHciteurl] = ACTIONS(7099),
    [anon_sym_BSLASHfullcite] = ACTIONS(7099),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7099),
    [anon_sym_BSLASHcitealt] = ACTIONS(7099),
    [anon_sym_BSLASHcitealp] = ACTIONS(7099),
    [anon_sym_BSLASHcitetext] = ACTIONS(7099),
    [anon_sym_BSLASHparencite] = ACTIONS(7099),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHParencite] = ACTIONS(7099),
    [anon_sym_BSLASHfootcite] = ACTIONS(7099),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7099),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7099),
    [anon_sym_BSLASHtextcite] = ACTIONS(7099),
    [anon_sym_BSLASHTextcite] = ACTIONS(7099),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7099),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7099),
    [anon_sym_BSLASHsupercite] = ACTIONS(7099),
    [anon_sym_BSLASHautocite] = ACTIONS(7099),
    [anon_sym_BSLASHAutocite] = ACTIONS(7099),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHVolcite] = ACTIONS(7099),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHavolcite] = ACTIONS(7099),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHnotecite] = ACTIONS(7099),
    [anon_sym_BSLASHNotecite] = ACTIONS(7099),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7099),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7099),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7099),
    [anon_sym_BSLASHlabel] = ACTIONS(7099),
    [anon_sym_BSLASHref] = ACTIONS(7099),
    [anon_sym_BSLASHeqref] = ACTIONS(7099),
    [anon_sym_BSLASHvref] = ACTIONS(7099),
    [anon_sym_BSLASHVref] = ACTIONS(7099),
    [anon_sym_BSLASHautoref] = ACTIONS(7099),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHpageref] = ACTIONS(7099),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHautopageref] = ACTIONS(7099),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcref] = ACTIONS(7099),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHCref] = ACTIONS(7099),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcpageref] = ACTIONS(7099),
    [anon_sym_BSLASHCpageref] = ACTIONS(7099),
    [anon_sym_BSLASHnamecref] = ACTIONS(7099),
    [anon_sym_BSLASHnameCref] = ACTIONS(7099),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7099),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7099),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7099),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7099),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7099),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7099),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7099),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7099),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7099),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7099),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7099),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7099),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7099),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7099),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7099),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7099),
    [anon_sym_BSLASHdef] = ACTIONS(7099),
    [anon_sym_BSLASHgdef] = ACTIONS(7099),
    [anon_sym_BSLASHedef] = ACTIONS(7099),
    [anon_sym_BSLASHxdef] = ACTIONS(7099),
    [anon_sym_BSLASHlet] = ACTIONS(7099),
    [anon_sym_BSLASHglet] = ACTIONS(7099),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7099),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7099),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7099),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7099),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7099),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7099),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7099),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7099),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7099),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7099),
    [anon_sym_BSLASHgls] = ACTIONS(7099),
    [anon_sym_BSLASHGls] = ACTIONS(7099),
    [anon_sym_BSLASHGLS] = ACTIONS(7099),
    [anon_sym_BSLASHglspl] = ACTIONS(7099),
    [anon_sym_BSLASHGlspl] = ACTIONS(7099),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7099),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7099),
    [anon_sym_BSLASHglslink] = ACTIONS(7099),
    [anon_sym_BSLASHglstext] = ACTIONS(7099),
    [anon_sym_BSLASHGlstext] = ACTIONS(7099),
    [anon_sym_BSLASHGLStext] = ACTIONS(7099),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7099),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7099),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7099),
    [anon_sym_BSLASHglsplural] = ACTIONS(7099),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7099),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7099),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7099),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7099),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7099),
    [anon_sym_BSLASHglsname] = ACTIONS(7099),
    [anon_sym_BSLASHGlsname] = ACTIONS(7099),
    [anon_sym_BSLASHGLSname] = ACTIONS(7099),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7099),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7099),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7099),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7099),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7099),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7099),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7099),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7099),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7099),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7099),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7099),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7099),
    [anon_sym_BSLASHacrshort] = ACTIONS(7099),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7099),
    [anon_sym_BSLASHACRshort] = ACTIONS(7099),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHacrlong] = ACTIONS(7099),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7099),
    [anon_sym_BSLASHACRlong] = ACTIONS(7099),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7099),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7099),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7099),
    [anon_sym_BSLASHacrfull] = ACTIONS(7099),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7099),
    [anon_sym_BSLASHACRfull] = ACTIONS(7099),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHacs] = ACTIONS(7099),
    [anon_sym_BSLASHAcs] = ACTIONS(7099),
    [anon_sym_BSLASHacsp] = ACTIONS(7099),
    [anon_sym_BSLASHAcsp] = ACTIONS(7099),
    [anon_sym_BSLASHacl] = ACTIONS(7099),
    [anon_sym_BSLASHAcl] = ACTIONS(7099),
    [anon_sym_BSLASHaclp] = ACTIONS(7099),
    [anon_sym_BSLASHAclp] = ACTIONS(7099),
    [anon_sym_BSLASHacf] = ACTIONS(7099),
    [anon_sym_BSLASHAcf] = ACTIONS(7099),
    [anon_sym_BSLASHacfp] = ACTIONS(7099),
    [anon_sym_BSLASHAcfp] = ACTIONS(7099),
    [anon_sym_BSLASHac] = ACTIONS(7099),
    [anon_sym_BSLASHAc] = ACTIONS(7099),
    [anon_sym_BSLASHacp] = ACTIONS(7099),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7099),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7099),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7099),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7099),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7099),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7099),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7099),
    [anon_sym_BSLASHcolor] = ACTIONS(7099),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7099),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7099),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7099),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7099),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7099),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7099),
    [anon_sym_BSLASHurl] = ACTIONS(7099),
    [anon_sym_BSLASHhref] = ACTIONS(7099),
  },
  [1798] = {
    [sym_command_name] = ACTIONS(7419),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7419),
    [anon_sym_LBRACK] = ACTIONS(7421),
    [anon_sym_RBRACK] = ACTIONS(7421),
    [anon_sym_COMMA] = ACTIONS(7421),
    [anon_sym_EQ] = ACTIONS(7421),
    [anon_sym_LPAREN] = ACTIONS(7421),
    [anon_sym_RPAREN] = ACTIONS(7421),
    [anon_sym_LBRACE] = ACTIONS(7421),
    [sym_word] = ACTIONS(7419),
    [sym_placeholder] = ACTIONS(7421),
    [sym_delimiter] = ACTIONS(7421),
    [anon_sym_PLUS] = ACTIONS(7421),
    [anon_sym_DASH] = ACTIONS(7421),
    [anon_sym_STAR] = ACTIONS(7421),
    [anon_sym_SLASH] = ACTIONS(7421),
    [anon_sym_LT] = ACTIONS(7419),
    [anon_sym_GT] = ACTIONS(7419),
    [anon_sym_BANG] = ACTIONS(7419),
    [anon_sym_PIPE] = ACTIONS(7419),
    [anon_sym_COLON] = ACTIONS(7419),
    [anon_sym_SQUOTE] = ACTIONS(7419),
    [anon_sym__] = ACTIONS(7421),
    [anon_sym_CARET] = ACTIONS(7421),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7421),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7421),
    [anon_sym_DOLLAR] = ACTIONS(7419),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7421),
    [anon_sym_BSLASHleft] = ACTIONS(7419),
    [anon_sym_BSLASHbigl] = ACTIONS(7419),
    [anon_sym_BSLASHBigl] = ACTIONS(7419),
    [anon_sym_BSLASHbiggl] = ACTIONS(7419),
    [anon_sym_BSLASHBiggl] = ACTIONS(7419),
    [anon_sym_BSLASHtext] = ACTIONS(7419),
    [anon_sym_BSLASHintertext] = ACTIONS(7419),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7419),
    [anon_sym_BSLASHbegin] = ACTIONS(7419),
    [anon_sym_BSLASHend] = ACTIONS(7419),
    [anon_sym_BSLASHtitle] = ACTIONS(7419),
    [anon_sym_BSLASHauthor] = ACTIONS(7419),
    [anon_sym_BSLASHusepackage] = ACTIONS(7419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7419),
    [anon_sym_BSLASHinclude] = ACTIONS(7419),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7419),
    [anon_sym_BSLASHinput] = ACTIONS(7419),
    [anon_sym_BSLASHsubfile] = ACTIONS(7419),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7419),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7419),
    [anon_sym_BSLASHbibliography] = ACTIONS(7419),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7419),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7419),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7419),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7419),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7419),
    [anon_sym_BSLASHimport] = ACTIONS(7419),
    [anon_sym_BSLASHsubimport] = ACTIONS(7419),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7419),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7419),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7419),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7419),
    [anon_sym_BSLASHcaption] = ACTIONS(7419),
    [anon_sym_BSLASHcite] = ACTIONS(7419),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCite] = ACTIONS(7419),
    [anon_sym_BSLASHnocite] = ACTIONS(7419),
    [anon_sym_BSLASHcitet] = ACTIONS(7419),
    [anon_sym_BSLASHcitep] = ACTIONS(7419),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteA] = ACTIONS(7419),
    [anon_sym_BSLASHciteR] = ACTIONS(7419),
    [anon_sym_BSLASHciteS] = ACTIONS(7419),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7419),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7419),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7419),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7419),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteyear] = ACTIONS(7419),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitedate] = ACTIONS(7419),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteurl] = ACTIONS(7419),
    [anon_sym_BSLASHfullcite] = ACTIONS(7419),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7419),
    [anon_sym_BSLASHcitealt] = ACTIONS(7419),
    [anon_sym_BSLASHcitealp] = ACTIONS(7419),
    [anon_sym_BSLASHcitetext] = ACTIONS(7419),
    [anon_sym_BSLASHparencite] = ACTIONS(7419),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHParencite] = ACTIONS(7419),
    [anon_sym_BSLASHfootcite] = ACTIONS(7419),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7419),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7419),
    [anon_sym_BSLASHtextcite] = ACTIONS(7419),
    [anon_sym_BSLASHTextcite] = ACTIONS(7419),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7419),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7419),
    [anon_sym_BSLASHsupercite] = ACTIONS(7419),
    [anon_sym_BSLASHautocite] = ACTIONS(7419),
    [anon_sym_BSLASHAutocite] = ACTIONS(7419),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHVolcite] = ACTIONS(7419),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHavolcite] = ACTIONS(7419),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHNotecite] = ACTIONS(7419),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHlabel] = ACTIONS(7419),
    [anon_sym_BSLASHref] = ACTIONS(7419),
    [anon_sym_BSLASHeqref] = ACTIONS(7419),
    [anon_sym_BSLASHvref] = ACTIONS(7419),
    [anon_sym_BSLASHVref] = ACTIONS(7419),
    [anon_sym_BSLASHautoref] = ACTIONS(7419),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHpageref] = ACTIONS(7419),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHautopageref] = ACTIONS(7419),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcref] = ACTIONS(7419),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCref] = ACTIONS(7419),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcpageref] = ACTIONS(7419),
    [anon_sym_BSLASHCpageref] = ACTIONS(7419),
    [anon_sym_BSLASHnamecref] = ACTIONS(7419),
    [anon_sym_BSLASHnameCref] = ACTIONS(7419),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7419),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7419),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7419),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7419),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7419),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7419),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7419),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7419),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7419),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7419),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7419),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHdef] = ACTIONS(7419),
    [anon_sym_BSLASHgdef] = ACTIONS(7419),
    [anon_sym_BSLASHedef] = ACTIONS(7419),
    [anon_sym_BSLASHxdef] = ACTIONS(7419),
    [anon_sym_BSLASHlet] = ACTIONS(7419),
    [anon_sym_BSLASHglet] = ACTIONS(7419),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7419),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7419),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7419),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7419),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7419),
    [anon_sym_BSLASHgls] = ACTIONS(7419),
    [anon_sym_BSLASHGls] = ACTIONS(7419),
    [anon_sym_BSLASHGLS] = ACTIONS(7419),
    [anon_sym_BSLASHglspl] = ACTIONS(7419),
    [anon_sym_BSLASHGlspl] = ACTIONS(7419),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7419),
    [anon_sym_BSLASHglslink] = ACTIONS(7419),
    [anon_sym_BSLASHglstext] = ACTIONS(7419),
    [anon_sym_BSLASHGlstext] = ACTIONS(7419),
    [anon_sym_BSLASHGLStext] = ACTIONS(7419),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7419),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7419),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7419),
    [anon_sym_BSLASHglsplural] = ACTIONS(7419),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7419),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7419),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHglsname] = ACTIONS(7419),
    [anon_sym_BSLASHGlsname] = ACTIONS(7419),
    [anon_sym_BSLASHGLSname] = ACTIONS(7419),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7419),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7419),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7419),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7419),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7419),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7419),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7419),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7419),
    [anon_sym_BSLASHacrshort] = ACTIONS(7419),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7419),
    [anon_sym_BSLASHACRshort] = ACTIONS(7419),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHacrlong] = ACTIONS(7419),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7419),
    [anon_sym_BSLASHACRlong] = ACTIONS(7419),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHacrfull] = ACTIONS(7419),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7419),
    [anon_sym_BSLASHACRfull] = ACTIONS(7419),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHacs] = ACTIONS(7419),
    [anon_sym_BSLASHAcs] = ACTIONS(7419),
    [anon_sym_BSLASHacsp] = ACTIONS(7419),
    [anon_sym_BSLASHAcsp] = ACTIONS(7419),
    [anon_sym_BSLASHacl] = ACTIONS(7419),
    [anon_sym_BSLASHAcl] = ACTIONS(7419),
    [anon_sym_BSLASHaclp] = ACTIONS(7419),
    [anon_sym_BSLASHAclp] = ACTIONS(7419),
    [anon_sym_BSLASHacf] = ACTIONS(7419),
    [anon_sym_BSLASHAcf] = ACTIONS(7419),
    [anon_sym_BSLASHacfp] = ACTIONS(7419),
    [anon_sym_BSLASHAcfp] = ACTIONS(7419),
    [anon_sym_BSLASHac] = ACTIONS(7419),
    [anon_sym_BSLASHAc] = ACTIONS(7419),
    [anon_sym_BSLASHacp] = ACTIONS(7419),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7419),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7419),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7419),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7419),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7419),
    [anon_sym_BSLASHcolor] = ACTIONS(7419),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7419),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7419),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7419),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7419),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7419),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7419),
    [anon_sym_BSLASHurl] = ACTIONS(7419),
    [anon_sym_BSLASHhref] = ACTIONS(7419),
  },
  [1799] = {
    [sym_command_name] = ACTIONS(7215),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7215),
    [anon_sym_LBRACK] = ACTIONS(7217),
    [anon_sym_RBRACK] = ACTIONS(7217),
    [anon_sym_COMMA] = ACTIONS(7217),
    [anon_sym_EQ] = ACTIONS(7217),
    [anon_sym_LPAREN] = ACTIONS(7217),
    [anon_sym_RPAREN] = ACTIONS(7217),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [sym_word] = ACTIONS(7215),
    [sym_placeholder] = ACTIONS(7217),
    [sym_delimiter] = ACTIONS(7217),
    [anon_sym_PLUS] = ACTIONS(7217),
    [anon_sym_DASH] = ACTIONS(7217),
    [anon_sym_STAR] = ACTIONS(7217),
    [anon_sym_SLASH] = ACTIONS(7217),
    [anon_sym_LT] = ACTIONS(7215),
    [anon_sym_GT] = ACTIONS(7215),
    [anon_sym_BANG] = ACTIONS(7215),
    [anon_sym_PIPE] = ACTIONS(7215),
    [anon_sym_COLON] = ACTIONS(7215),
    [anon_sym_SQUOTE] = ACTIONS(7215),
    [anon_sym__] = ACTIONS(7217),
    [anon_sym_CARET] = ACTIONS(7217),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7217),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7217),
    [anon_sym_DOLLAR] = ACTIONS(7215),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7217),
    [anon_sym_BSLASHleft] = ACTIONS(7215),
    [anon_sym_BSLASHbigl] = ACTIONS(7215),
    [anon_sym_BSLASHBigl] = ACTIONS(7215),
    [anon_sym_BSLASHbiggl] = ACTIONS(7215),
    [anon_sym_BSLASHBiggl] = ACTIONS(7215),
    [anon_sym_BSLASHtext] = ACTIONS(7215),
    [anon_sym_BSLASHintertext] = ACTIONS(7215),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7215),
    [anon_sym_BSLASHbegin] = ACTIONS(7215),
    [anon_sym_BSLASHend] = ACTIONS(7215),
    [anon_sym_BSLASHtitle] = ACTIONS(7215),
    [anon_sym_BSLASHauthor] = ACTIONS(7215),
    [anon_sym_BSLASHusepackage] = ACTIONS(7215),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7215),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7215),
    [anon_sym_BSLASHinclude] = ACTIONS(7215),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7215),
    [anon_sym_BSLASHinput] = ACTIONS(7215),
    [anon_sym_BSLASHsubfile] = ACTIONS(7215),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7215),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7215),
    [anon_sym_BSLASHbibliography] = ACTIONS(7215),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7215),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7215),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7215),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7215),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7215),
    [anon_sym_BSLASHimport] = ACTIONS(7215),
    [anon_sym_BSLASHsubimport] = ACTIONS(7215),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7215),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7215),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7215),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7215),
    [anon_sym_BSLASHcaption] = ACTIONS(7215),
    [anon_sym_BSLASHcite] = ACTIONS(7215),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCite] = ACTIONS(7215),
    [anon_sym_BSLASHnocite] = ACTIONS(7215),
    [anon_sym_BSLASHcitet] = ACTIONS(7215),
    [anon_sym_BSLASHcitep] = ACTIONS(7215),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteA] = ACTIONS(7215),
    [anon_sym_BSLASHciteR] = ACTIONS(7215),
    [anon_sym_BSLASHciteS] = ACTIONS(7215),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7215),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7215),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7215),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7215),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteyear] = ACTIONS(7215),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitedate] = ACTIONS(7215),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteurl] = ACTIONS(7215),
    [anon_sym_BSLASHfullcite] = ACTIONS(7215),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7215),
    [anon_sym_BSLASHcitealt] = ACTIONS(7215),
    [anon_sym_BSLASHcitealp] = ACTIONS(7215),
    [anon_sym_BSLASHcitetext] = ACTIONS(7215),
    [anon_sym_BSLASHparencite] = ACTIONS(7215),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHParencite] = ACTIONS(7215),
    [anon_sym_BSLASHfootcite] = ACTIONS(7215),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7215),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7215),
    [anon_sym_BSLASHtextcite] = ACTIONS(7215),
    [anon_sym_BSLASHTextcite] = ACTIONS(7215),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7215),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7215),
    [anon_sym_BSLASHsupercite] = ACTIONS(7215),
    [anon_sym_BSLASHautocite] = ACTIONS(7215),
    [anon_sym_BSLASHAutocite] = ACTIONS(7215),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHVolcite] = ACTIONS(7215),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHavolcite] = ACTIONS(7215),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHNotecite] = ACTIONS(7215),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHlabel] = ACTIONS(7215),
    [anon_sym_BSLASHref] = ACTIONS(7215),
    [anon_sym_BSLASHeqref] = ACTIONS(7215),
    [anon_sym_BSLASHvref] = ACTIONS(7215),
    [anon_sym_BSLASHVref] = ACTIONS(7215),
    [anon_sym_BSLASHautoref] = ACTIONS(7215),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHpageref] = ACTIONS(7215),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHautopageref] = ACTIONS(7215),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcref] = ACTIONS(7215),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCref] = ACTIONS(7215),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcpageref] = ACTIONS(7215),
    [anon_sym_BSLASHCpageref] = ACTIONS(7215),
    [anon_sym_BSLASHnamecref] = ACTIONS(7215),
    [anon_sym_BSLASHnameCref] = ACTIONS(7215),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7215),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7215),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7215),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7215),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7215),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7215),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7215),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7215),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7215),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7215),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7215),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHdef] = ACTIONS(7215),
    [anon_sym_BSLASHgdef] = ACTIONS(7215),
    [anon_sym_BSLASHedef] = ACTIONS(7215),
    [anon_sym_BSLASHxdef] = ACTIONS(7215),
    [anon_sym_BSLASHlet] = ACTIONS(7215),
    [anon_sym_BSLASHglet] = ACTIONS(7215),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7215),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7215),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7215),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7215),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7215),
    [anon_sym_BSLASHgls] = ACTIONS(7215),
    [anon_sym_BSLASHGls] = ACTIONS(7215),
    [anon_sym_BSLASHGLS] = ACTIONS(7215),
    [anon_sym_BSLASHglspl] = ACTIONS(7215),
    [anon_sym_BSLASHGlspl] = ACTIONS(7215),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7215),
    [anon_sym_BSLASHglslink] = ACTIONS(7215),
    [anon_sym_BSLASHglstext] = ACTIONS(7215),
    [anon_sym_BSLASHGlstext] = ACTIONS(7215),
    [anon_sym_BSLASHGLStext] = ACTIONS(7215),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7215),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7215),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7215),
    [anon_sym_BSLASHglsplural] = ACTIONS(7215),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7215),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7215),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHglsname] = ACTIONS(7215),
    [anon_sym_BSLASHGlsname] = ACTIONS(7215),
    [anon_sym_BSLASHGLSname] = ACTIONS(7215),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7215),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7215),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7215),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7215),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7215),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7215),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7215),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7215),
    [anon_sym_BSLASHacrshort] = ACTIONS(7215),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7215),
    [anon_sym_BSLASHACRshort] = ACTIONS(7215),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHacrlong] = ACTIONS(7215),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7215),
    [anon_sym_BSLASHACRlong] = ACTIONS(7215),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHacrfull] = ACTIONS(7215),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7215),
    [anon_sym_BSLASHACRfull] = ACTIONS(7215),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHacs] = ACTIONS(7215),
    [anon_sym_BSLASHAcs] = ACTIONS(7215),
    [anon_sym_BSLASHacsp] = ACTIONS(7215),
    [anon_sym_BSLASHAcsp] = ACTIONS(7215),
    [anon_sym_BSLASHacl] = ACTIONS(7215),
    [anon_sym_BSLASHAcl] = ACTIONS(7215),
    [anon_sym_BSLASHaclp] = ACTIONS(7215),
    [anon_sym_BSLASHAclp] = ACTIONS(7215),
    [anon_sym_BSLASHacf] = ACTIONS(7215),
    [anon_sym_BSLASHAcf] = ACTIONS(7215),
    [anon_sym_BSLASHacfp] = ACTIONS(7215),
    [anon_sym_BSLASHAcfp] = ACTIONS(7215),
    [anon_sym_BSLASHac] = ACTIONS(7215),
    [anon_sym_BSLASHAc] = ACTIONS(7215),
    [anon_sym_BSLASHacp] = ACTIONS(7215),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7215),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7215),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7215),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7215),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7215),
    [anon_sym_BSLASHcolor] = ACTIONS(7215),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7215),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7215),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7215),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7215),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7215),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7215),
    [anon_sym_BSLASHurl] = ACTIONS(7215),
    [anon_sym_BSLASHhref] = ACTIONS(7215),
  },
  [1800] = {
    [sym_command_name] = ACTIONS(163),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_RBRACK] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_RPAREN] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(165),
    [sym_word] = ACTIONS(163),
    [sym_placeholder] = ACTIONS(165),
    [sym_delimiter] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym__] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(165),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(163),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(165),
    [anon_sym_BSLASHleft] = ACTIONS(163),
    [anon_sym_BSLASHbigl] = ACTIONS(163),
    [anon_sym_BSLASHBigl] = ACTIONS(163),
    [anon_sym_BSLASHbiggl] = ACTIONS(163),
    [anon_sym_BSLASHBiggl] = ACTIONS(163),
    [anon_sym_BSLASHtext] = ACTIONS(163),
    [anon_sym_BSLASHintertext] = ACTIONS(163),
    [anon_sym_BSLASHshortintertext] = ACTIONS(163),
    [anon_sym_BSLASHbegin] = ACTIONS(163),
    [anon_sym_BSLASHend] = ACTIONS(163),
    [anon_sym_BSLASHtitle] = ACTIONS(163),
    [anon_sym_BSLASHauthor] = ACTIONS(163),
    [anon_sym_BSLASHusepackage] = ACTIONS(163),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(163),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(163),
    [anon_sym_BSLASHinclude] = ACTIONS(163),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(163),
    [anon_sym_BSLASHinput] = ACTIONS(163),
    [anon_sym_BSLASHsubfile] = ACTIONS(163),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(163),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(163),
    [anon_sym_BSLASHbibliography] = ACTIONS(163),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(163),
    [anon_sym_BSLASHincludesvg] = ACTIONS(163),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(163),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(163),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(163),
    [anon_sym_BSLASHimport] = ACTIONS(163),
    [anon_sym_BSLASHsubimport] = ACTIONS(163),
    [anon_sym_BSLASHinputfrom] = ACTIONS(163),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(163),
    [anon_sym_BSLASHincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHcaption] = ACTIONS(163),
    [anon_sym_BSLASHcite] = ACTIONS(163),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCite] = ACTIONS(163),
    [anon_sym_BSLASHnocite] = ACTIONS(163),
    [anon_sym_BSLASHcitet] = ACTIONS(163),
    [anon_sym_BSLASHcitep] = ACTIONS(163),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteA] = ACTIONS(163),
    [anon_sym_BSLASHciteR] = ACTIONS(163),
    [anon_sym_BSLASHciteS] = ACTIONS(163),
    [anon_sym_BSLASHciteyearR] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(163),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitetitle] = ACTIONS(163),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteyear] = ACTIONS(163),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitedate] = ACTIONS(163),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteurl] = ACTIONS(163),
    [anon_sym_BSLASHfullcite] = ACTIONS(163),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(163),
    [anon_sym_BSLASHcitealt] = ACTIONS(163),
    [anon_sym_BSLASHcitealp] = ACTIONS(163),
    [anon_sym_BSLASHcitetext] = ACTIONS(163),
    [anon_sym_BSLASHparencite] = ACTIONS(163),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHParencite] = ACTIONS(163),
    [anon_sym_BSLASHfootcite] = ACTIONS(163),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(163),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(163),
    [anon_sym_BSLASHtextcite] = ACTIONS(163),
    [anon_sym_BSLASHTextcite] = ACTIONS(163),
    [anon_sym_BSLASHsmartcite] = ACTIONS(163),
    [anon_sym_BSLASHSmartcite] = ACTIONS(163),
    [anon_sym_BSLASHsupercite] = ACTIONS(163),
    [anon_sym_BSLASHautocite] = ACTIONS(163),
    [anon_sym_BSLASHAutocite] = ACTIONS(163),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHvolcite] = ACTIONS(163),
    [anon_sym_BSLASHVolcite] = ACTIONS(163),
    [anon_sym_BSLASHpvolcite] = ACTIONS(163),
    [anon_sym_BSLASHPvolcite] = ACTIONS(163),
    [anon_sym_BSLASHfvolcite] = ACTIONS(163),
    [anon_sym_BSLASHftvolcite] = ACTIONS(163),
    [anon_sym_BSLASHsvolcite] = ACTIONS(163),
    [anon_sym_BSLASHSvolcite] = ACTIONS(163),
    [anon_sym_BSLASHtvolcite] = ACTIONS(163),
    [anon_sym_BSLASHTvolcite] = ACTIONS(163),
    [anon_sym_BSLASHavolcite] = ACTIONS(163),
    [anon_sym_BSLASHAvolcite] = ACTIONS(163),
    [anon_sym_BSLASHnotecite] = ACTIONS(163),
    [anon_sym_BSLASHNotecite] = ACTIONS(163),
    [anon_sym_BSLASHpnotecite] = ACTIONS(163),
    [anon_sym_BSLASHPnotecite] = ACTIONS(163),
    [anon_sym_BSLASHfnotecite] = ACTIONS(163),
    [anon_sym_BSLASHlabel] = ACTIONS(163),
    [anon_sym_BSLASHref] = ACTIONS(163),
    [anon_sym_BSLASHeqref] = ACTIONS(163),
    [anon_sym_BSLASHvref] = ACTIONS(163),
    [anon_sym_BSLASHVref] = ACTIONS(163),
    [anon_sym_BSLASHautoref] = ACTIONS(163),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHpageref] = ACTIONS(163),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHautopageref] = ACTIONS(163),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcref] = ACTIONS(163),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCref] = ACTIONS(163),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpageref] = ACTIONS(163),
    [anon_sym_BSLASHCpageref] = ACTIONS(163),
    [anon_sym_BSLASHnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnameCref] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcrefrange] = ACTIONS(163),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCrefrange] = ACTIONS(163),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHnewlabel] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(163),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(163),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(163),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(165),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHdef] = ACTIONS(163),
    [anon_sym_BSLASHgdef] = ACTIONS(163),
    [anon_sym_BSLASHedef] = ACTIONS(163),
    [anon_sym_BSLASHxdef] = ACTIONS(163),
    [anon_sym_BSLASHlet] = ACTIONS(163),
    [anon_sym_BSLASHglet] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(163),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(163),
    [anon_sym_BSLASHgls] = ACTIONS(163),
    [anon_sym_BSLASHGls] = ACTIONS(163),
    [anon_sym_BSLASHGLS] = ACTIONS(163),
    [anon_sym_BSLASHglspl] = ACTIONS(163),
    [anon_sym_BSLASHGlspl] = ACTIONS(163),
    [anon_sym_BSLASHGLSpl] = ACTIONS(163),
    [anon_sym_BSLASHglsdisp] = ACTIONS(163),
    [anon_sym_BSLASHglslink] = ACTIONS(163),
    [anon_sym_BSLASHglstext] = ACTIONS(163),
    [anon_sym_BSLASHGlstext] = ACTIONS(163),
    [anon_sym_BSLASHGLStext] = ACTIONS(163),
    [anon_sym_BSLASHglsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(163),
    [anon_sym_BSLASHglsplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSplural] = ACTIONS(163),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHglsname] = ACTIONS(163),
    [anon_sym_BSLASHGlsname] = ACTIONS(163),
    [anon_sym_BSLASHGLSname] = ACTIONS(163),
    [anon_sym_BSLASHglssymbol] = ACTIONS(163),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(163),
    [anon_sym_BSLASHglsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(163),
    [anon_sym_BSLASHglsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(163),
    [anon_sym_BSLASHglsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(163),
    [anon_sym_BSLASHglsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(163),
    [anon_sym_BSLASHglsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(163),
    [anon_sym_BSLASHnewacronym] = ACTIONS(163),
    [anon_sym_BSLASHacrshort] = ACTIONS(163),
    [anon_sym_BSLASHAcrshort] = ACTIONS(163),
    [anon_sym_BSLASHACRshort] = ACTIONS(163),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(163),
    [anon_sym_BSLASHacrlong] = ACTIONS(163),
    [anon_sym_BSLASHAcrlong] = ACTIONS(163),
    [anon_sym_BSLASHACRlong] = ACTIONS(163),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(163),
    [anon_sym_BSLASHacrfull] = ACTIONS(163),
    [anon_sym_BSLASHAcrfull] = ACTIONS(163),
    [anon_sym_BSLASHACRfull] = ACTIONS(163),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(163),
    [anon_sym_BSLASHacs] = ACTIONS(163),
    [anon_sym_BSLASHAcs] = ACTIONS(163),
    [anon_sym_BSLASHacsp] = ACTIONS(163),
    [anon_sym_BSLASHAcsp] = ACTIONS(163),
    [anon_sym_BSLASHacl] = ACTIONS(163),
    [anon_sym_BSLASHAcl] = ACTIONS(163),
    [anon_sym_BSLASHaclp] = ACTIONS(163),
    [anon_sym_BSLASHAclp] = ACTIONS(163),
    [anon_sym_BSLASHacf] = ACTIONS(163),
    [anon_sym_BSLASHAcf] = ACTIONS(163),
    [anon_sym_BSLASHacfp] = ACTIONS(163),
    [anon_sym_BSLASHAcfp] = ACTIONS(163),
    [anon_sym_BSLASHac] = ACTIONS(163),
    [anon_sym_BSLASHAc] = ACTIONS(163),
    [anon_sym_BSLASHacp] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(163),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(163),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(163),
    [anon_sym_BSLASHcolor] = ACTIONS(163),
    [anon_sym_BSLASHpagecolor] = ACTIONS(163),
    [anon_sym_BSLASHtextcolor] = ACTIONS(163),
    [anon_sym_BSLASHmathcolor] = ACTIONS(163),
    [anon_sym_BSLASHcolorbox] = ACTIONS(163),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(163),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(163),
    [anon_sym_BSLASHurl] = ACTIONS(163),
    [anon_sym_BSLASHhref] = ACTIONS(163),
  },
  [1801] = {
    [sym_command_name] = ACTIONS(7219),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7219),
    [anon_sym_LBRACK] = ACTIONS(7221),
    [anon_sym_RBRACK] = ACTIONS(7221),
    [anon_sym_COMMA] = ACTIONS(7221),
    [anon_sym_EQ] = ACTIONS(7221),
    [anon_sym_LPAREN] = ACTIONS(7221),
    [anon_sym_RPAREN] = ACTIONS(7221),
    [anon_sym_LBRACE] = ACTIONS(7221),
    [sym_word] = ACTIONS(7219),
    [sym_placeholder] = ACTIONS(7221),
    [sym_delimiter] = ACTIONS(7221),
    [anon_sym_PLUS] = ACTIONS(7221),
    [anon_sym_DASH] = ACTIONS(7221),
    [anon_sym_STAR] = ACTIONS(7221),
    [anon_sym_SLASH] = ACTIONS(7221),
    [anon_sym_LT] = ACTIONS(7219),
    [anon_sym_GT] = ACTIONS(7219),
    [anon_sym_BANG] = ACTIONS(7219),
    [anon_sym_PIPE] = ACTIONS(7219),
    [anon_sym_COLON] = ACTIONS(7219),
    [anon_sym_SQUOTE] = ACTIONS(7219),
    [anon_sym__] = ACTIONS(7221),
    [anon_sym_CARET] = ACTIONS(7221),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7221),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7221),
    [anon_sym_DOLLAR] = ACTIONS(7219),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7221),
    [anon_sym_BSLASHleft] = ACTIONS(7219),
    [anon_sym_BSLASHbigl] = ACTIONS(7219),
    [anon_sym_BSLASHBigl] = ACTIONS(7219),
    [anon_sym_BSLASHbiggl] = ACTIONS(7219),
    [anon_sym_BSLASHBiggl] = ACTIONS(7219),
    [anon_sym_BSLASHtext] = ACTIONS(7219),
    [anon_sym_BSLASHintertext] = ACTIONS(7219),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7219),
    [anon_sym_BSLASHbegin] = ACTIONS(7219),
    [anon_sym_BSLASHend] = ACTIONS(7219),
    [anon_sym_BSLASHtitle] = ACTIONS(7219),
    [anon_sym_BSLASHauthor] = ACTIONS(7219),
    [anon_sym_BSLASHusepackage] = ACTIONS(7219),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7219),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7219),
    [anon_sym_BSLASHinclude] = ACTIONS(7219),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7219),
    [anon_sym_BSLASHinput] = ACTIONS(7219),
    [anon_sym_BSLASHsubfile] = ACTIONS(7219),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7219),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7219),
    [anon_sym_BSLASHbibliography] = ACTIONS(7219),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7219),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7219),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7219),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7219),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7219),
    [anon_sym_BSLASHimport] = ACTIONS(7219),
    [anon_sym_BSLASHsubimport] = ACTIONS(7219),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7219),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7219),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7219),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7219),
    [anon_sym_BSLASHcaption] = ACTIONS(7219),
    [anon_sym_BSLASHcite] = ACTIONS(7219),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCite] = ACTIONS(7219),
    [anon_sym_BSLASHnocite] = ACTIONS(7219),
    [anon_sym_BSLASHcitet] = ACTIONS(7219),
    [anon_sym_BSLASHcitep] = ACTIONS(7219),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteA] = ACTIONS(7219),
    [anon_sym_BSLASHciteR] = ACTIONS(7219),
    [anon_sym_BSLASHciteS] = ACTIONS(7219),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7219),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7219),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7219),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7219),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteyear] = ACTIONS(7219),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitedate] = ACTIONS(7219),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteurl] = ACTIONS(7219),
    [anon_sym_BSLASHfullcite] = ACTIONS(7219),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7219),
    [anon_sym_BSLASHcitealt] = ACTIONS(7219),
    [anon_sym_BSLASHcitealp] = ACTIONS(7219),
    [anon_sym_BSLASHcitetext] = ACTIONS(7219),
    [anon_sym_BSLASHparencite] = ACTIONS(7219),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHParencite] = ACTIONS(7219),
    [anon_sym_BSLASHfootcite] = ACTIONS(7219),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7219),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7219),
    [anon_sym_BSLASHtextcite] = ACTIONS(7219),
    [anon_sym_BSLASHTextcite] = ACTIONS(7219),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7219),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7219),
    [anon_sym_BSLASHsupercite] = ACTIONS(7219),
    [anon_sym_BSLASHautocite] = ACTIONS(7219),
    [anon_sym_BSLASHAutocite] = ACTIONS(7219),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHVolcite] = ACTIONS(7219),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHavolcite] = ACTIONS(7219),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHNotecite] = ACTIONS(7219),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHlabel] = ACTIONS(7219),
    [anon_sym_BSLASHref] = ACTIONS(7219),
    [anon_sym_BSLASHeqref] = ACTIONS(7219),
    [anon_sym_BSLASHvref] = ACTIONS(7219),
    [anon_sym_BSLASHVref] = ACTIONS(7219),
    [anon_sym_BSLASHautoref] = ACTIONS(7219),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHpageref] = ACTIONS(7219),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHautopageref] = ACTIONS(7219),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcref] = ACTIONS(7219),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCref] = ACTIONS(7219),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcpageref] = ACTIONS(7219),
    [anon_sym_BSLASHCpageref] = ACTIONS(7219),
    [anon_sym_BSLASHnamecref] = ACTIONS(7219),
    [anon_sym_BSLASHnameCref] = ACTIONS(7219),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7219),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7219),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7219),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7219),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7219),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7219),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7219),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7219),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7219),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7219),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7219),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHdef] = ACTIONS(7219),
    [anon_sym_BSLASHgdef] = ACTIONS(7219),
    [anon_sym_BSLASHedef] = ACTIONS(7219),
    [anon_sym_BSLASHxdef] = ACTIONS(7219),
    [anon_sym_BSLASHlet] = ACTIONS(7219),
    [anon_sym_BSLASHglet] = ACTIONS(7219),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7219),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7219),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7219),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7219),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7219),
    [anon_sym_BSLASHgls] = ACTIONS(7219),
    [anon_sym_BSLASHGls] = ACTIONS(7219),
    [anon_sym_BSLASHGLS] = ACTIONS(7219),
    [anon_sym_BSLASHglspl] = ACTIONS(7219),
    [anon_sym_BSLASHGlspl] = ACTIONS(7219),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7219),
    [anon_sym_BSLASHglslink] = ACTIONS(7219),
    [anon_sym_BSLASHglstext] = ACTIONS(7219),
    [anon_sym_BSLASHGlstext] = ACTIONS(7219),
    [anon_sym_BSLASHGLStext] = ACTIONS(7219),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7219),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7219),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7219),
    [anon_sym_BSLASHglsplural] = ACTIONS(7219),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7219),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7219),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHglsname] = ACTIONS(7219),
    [anon_sym_BSLASHGlsname] = ACTIONS(7219),
    [anon_sym_BSLASHGLSname] = ACTIONS(7219),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7219),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7219),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7219),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7219),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7219),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7219),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7219),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7219),
    [anon_sym_BSLASHacrshort] = ACTIONS(7219),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7219),
    [anon_sym_BSLASHACRshort] = ACTIONS(7219),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHacrlong] = ACTIONS(7219),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7219),
    [anon_sym_BSLASHACRlong] = ACTIONS(7219),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHacrfull] = ACTIONS(7219),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7219),
    [anon_sym_BSLASHACRfull] = ACTIONS(7219),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHacs] = ACTIONS(7219),
    [anon_sym_BSLASHAcs] = ACTIONS(7219),
    [anon_sym_BSLASHacsp] = ACTIONS(7219),
    [anon_sym_BSLASHAcsp] = ACTIONS(7219),
    [anon_sym_BSLASHacl] = ACTIONS(7219),
    [anon_sym_BSLASHAcl] = ACTIONS(7219),
    [anon_sym_BSLASHaclp] = ACTIONS(7219),
    [anon_sym_BSLASHAclp] = ACTIONS(7219),
    [anon_sym_BSLASHacf] = ACTIONS(7219),
    [anon_sym_BSLASHAcf] = ACTIONS(7219),
    [anon_sym_BSLASHacfp] = ACTIONS(7219),
    [anon_sym_BSLASHAcfp] = ACTIONS(7219),
    [anon_sym_BSLASHac] = ACTIONS(7219),
    [anon_sym_BSLASHAc] = ACTIONS(7219),
    [anon_sym_BSLASHacp] = ACTIONS(7219),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7219),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7219),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7219),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7219),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7219),
    [anon_sym_BSLASHcolor] = ACTIONS(7219),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7219),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7219),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7219),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7219),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7219),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7219),
    [anon_sym_BSLASHurl] = ACTIONS(7219),
    [anon_sym_BSLASHhref] = ACTIONS(7219),
  },
  [1802] = {
    [sym_command_name] = ACTIONS(7844),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7844),
    [anon_sym_LBRACK] = ACTIONS(7846),
    [anon_sym_RBRACK] = ACTIONS(7846),
    [anon_sym_COMMA] = ACTIONS(7846),
    [anon_sym_EQ] = ACTIONS(7846),
    [anon_sym_LPAREN] = ACTIONS(7846),
    [anon_sym_RPAREN] = ACTIONS(7846),
    [anon_sym_LBRACE] = ACTIONS(7846),
    [sym_word] = ACTIONS(7844),
    [sym_placeholder] = ACTIONS(7846),
    [sym_delimiter] = ACTIONS(7846),
    [anon_sym_PLUS] = ACTIONS(7846),
    [anon_sym_DASH] = ACTIONS(7846),
    [anon_sym_STAR] = ACTIONS(7846),
    [anon_sym_SLASH] = ACTIONS(7846),
    [anon_sym_LT] = ACTIONS(7844),
    [anon_sym_GT] = ACTIONS(7844),
    [anon_sym_BANG] = ACTIONS(7844),
    [anon_sym_PIPE] = ACTIONS(7844),
    [anon_sym_COLON] = ACTIONS(7844),
    [anon_sym_SQUOTE] = ACTIONS(7844),
    [anon_sym__] = ACTIONS(7846),
    [anon_sym_CARET] = ACTIONS(7846),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7846),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7846),
    [anon_sym_DOLLAR] = ACTIONS(7844),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7846),
    [anon_sym_BSLASHleft] = ACTIONS(7844),
    [anon_sym_BSLASHbigl] = ACTIONS(7844),
    [anon_sym_BSLASHBigl] = ACTIONS(7844),
    [anon_sym_BSLASHbiggl] = ACTIONS(7844),
    [anon_sym_BSLASHBiggl] = ACTIONS(7844),
    [anon_sym_BSLASHtext] = ACTIONS(7844),
    [anon_sym_BSLASHintertext] = ACTIONS(7844),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7844),
    [anon_sym_BSLASHbegin] = ACTIONS(7844),
    [anon_sym_BSLASHend] = ACTIONS(7844),
    [anon_sym_BSLASHtitle] = ACTIONS(7844),
    [anon_sym_BSLASHauthor] = ACTIONS(7844),
    [anon_sym_BSLASHusepackage] = ACTIONS(7844),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7844),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7844),
    [anon_sym_BSLASHinclude] = ACTIONS(7844),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7844),
    [anon_sym_BSLASHinput] = ACTIONS(7844),
    [anon_sym_BSLASHsubfile] = ACTIONS(7844),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7844),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7844),
    [anon_sym_BSLASHbibliography] = ACTIONS(7844),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7844),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7844),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7844),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7844),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7844),
    [anon_sym_BSLASHimport] = ACTIONS(7844),
    [anon_sym_BSLASHsubimport] = ACTIONS(7844),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7844),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7844),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7844),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7844),
    [anon_sym_BSLASHcaption] = ACTIONS(7844),
    [anon_sym_BSLASHcite] = ACTIONS(7844),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7846),
    [anon_sym_BSLASHCite] = ACTIONS(7844),
    [anon_sym_BSLASHnocite] = ACTIONS(7844),
    [anon_sym_BSLASHcitet] = ACTIONS(7844),
    [anon_sym_BSLASHcitep] = ACTIONS(7844),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7846),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7846),
    [anon_sym_BSLASHciteA] = ACTIONS(7844),
    [anon_sym_BSLASHciteR] = ACTIONS(7844),
    [anon_sym_BSLASHciteS] = ACTIONS(7844),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7844),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7844),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7846),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7844),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7846),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7844),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7846),
    [anon_sym_BSLASHciteyear] = ACTIONS(7844),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7846),
    [anon_sym_BSLASHcitedate] = ACTIONS(7844),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7846),
    [anon_sym_BSLASHciteurl] = ACTIONS(7844),
    [anon_sym_BSLASHfullcite] = ACTIONS(7844),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7844),
    [anon_sym_BSLASHcitealt] = ACTIONS(7844),
    [anon_sym_BSLASHcitealp] = ACTIONS(7844),
    [anon_sym_BSLASHcitetext] = ACTIONS(7844),
    [anon_sym_BSLASHparencite] = ACTIONS(7844),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7846),
    [anon_sym_BSLASHParencite] = ACTIONS(7844),
    [anon_sym_BSLASHfootcite] = ACTIONS(7844),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7844),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7844),
    [anon_sym_BSLASHtextcite] = ACTIONS(7844),
    [anon_sym_BSLASHTextcite] = ACTIONS(7844),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7844),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7844),
    [anon_sym_BSLASHsupercite] = ACTIONS(7844),
    [anon_sym_BSLASHautocite] = ACTIONS(7844),
    [anon_sym_BSLASHAutocite] = ACTIONS(7844),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7846),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7846),
    [anon_sym_BSLASHvolcite] = ACTIONS(7844),
    [anon_sym_BSLASHVolcite] = ACTIONS(7844),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7844),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7844),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7844),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7844),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7844),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7844),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7844),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7844),
    [anon_sym_BSLASHavolcite] = ACTIONS(7844),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7844),
    [anon_sym_BSLASHnotecite] = ACTIONS(7844),
    [anon_sym_BSLASHNotecite] = ACTIONS(7844),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7844),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7844),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7844),
    [anon_sym_BSLASHlabel] = ACTIONS(7844),
    [anon_sym_BSLASHref] = ACTIONS(7844),
    [anon_sym_BSLASHeqref] = ACTIONS(7844),
    [anon_sym_BSLASHvref] = ACTIONS(7844),
    [anon_sym_BSLASHVref] = ACTIONS(7844),
    [anon_sym_BSLASHautoref] = ACTIONS(7844),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7846),
    [anon_sym_BSLASHpageref] = ACTIONS(7844),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7846),
    [anon_sym_BSLASHautopageref] = ACTIONS(7844),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7846),
    [anon_sym_BSLASHcref] = ACTIONS(7844),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7846),
    [anon_sym_BSLASHCref] = ACTIONS(7844),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7846),
    [anon_sym_BSLASHcpageref] = ACTIONS(7844),
    [anon_sym_BSLASHCpageref] = ACTIONS(7844),
    [anon_sym_BSLASHnamecref] = ACTIONS(7844),
    [anon_sym_BSLASHnameCref] = ACTIONS(7844),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7844),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7844),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7844),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7844),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7844),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7846),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7844),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7846),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7844),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7846),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7844),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7846),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7844),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7844),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7844),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7844),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7846),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7844),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7846),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7844),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7846),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7844),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7846),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7844),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7846),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7844),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7844),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7844),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7844),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7844),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7844),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7844),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7844),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7844),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7844),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7844),
    [anon_sym_BSLASHdef] = ACTIONS(7844),
    [anon_sym_BSLASHgdef] = ACTIONS(7844),
    [anon_sym_BSLASHedef] = ACTIONS(7844),
    [anon_sym_BSLASHxdef] = ACTIONS(7844),
    [anon_sym_BSLASHlet] = ACTIONS(7844),
    [anon_sym_BSLASHglet] = ACTIONS(7844),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7844),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7844),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7844),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7844),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7844),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7844),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7844),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7844),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7844),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7844),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7844),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7844),
    [anon_sym_BSLASHgls] = ACTIONS(7844),
    [anon_sym_BSLASHGls] = ACTIONS(7844),
    [anon_sym_BSLASHGLS] = ACTIONS(7844),
    [anon_sym_BSLASHglspl] = ACTIONS(7844),
    [anon_sym_BSLASHGlspl] = ACTIONS(7844),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7844),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7844),
    [anon_sym_BSLASHglslink] = ACTIONS(7844),
    [anon_sym_BSLASHglstext] = ACTIONS(7844),
    [anon_sym_BSLASHGlstext] = ACTIONS(7844),
    [anon_sym_BSLASHGLStext] = ACTIONS(7844),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7844),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7844),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7844),
    [anon_sym_BSLASHglsplural] = ACTIONS(7844),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7844),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7844),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7844),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7844),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7844),
    [anon_sym_BSLASHglsname] = ACTIONS(7844),
    [anon_sym_BSLASHGlsname] = ACTIONS(7844),
    [anon_sym_BSLASHGLSname] = ACTIONS(7844),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7844),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7844),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7844),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7844),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7844),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7844),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7844),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7844),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7844),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7844),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7844),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7844),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7844),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7844),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7844),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7844),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7844),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7844),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7844),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7844),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7844),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7844),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7844),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7844),
    [anon_sym_BSLASHacrshort] = ACTIONS(7844),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7844),
    [anon_sym_BSLASHACRshort] = ACTIONS(7844),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7844),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7844),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7844),
    [anon_sym_BSLASHacrlong] = ACTIONS(7844),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7844),
    [anon_sym_BSLASHACRlong] = ACTIONS(7844),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7844),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7844),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7844),
    [anon_sym_BSLASHacrfull] = ACTIONS(7844),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7844),
    [anon_sym_BSLASHACRfull] = ACTIONS(7844),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7844),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7844),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7844),
    [anon_sym_BSLASHacs] = ACTIONS(7844),
    [anon_sym_BSLASHAcs] = ACTIONS(7844),
    [anon_sym_BSLASHacsp] = ACTIONS(7844),
    [anon_sym_BSLASHAcsp] = ACTIONS(7844),
    [anon_sym_BSLASHacl] = ACTIONS(7844),
    [anon_sym_BSLASHAcl] = ACTIONS(7844),
    [anon_sym_BSLASHaclp] = ACTIONS(7844),
    [anon_sym_BSLASHAclp] = ACTIONS(7844),
    [anon_sym_BSLASHacf] = ACTIONS(7844),
    [anon_sym_BSLASHAcf] = ACTIONS(7844),
    [anon_sym_BSLASHacfp] = ACTIONS(7844),
    [anon_sym_BSLASHAcfp] = ACTIONS(7844),
    [anon_sym_BSLASHac] = ACTIONS(7844),
    [anon_sym_BSLASHAc] = ACTIONS(7844),
    [anon_sym_BSLASHacp] = ACTIONS(7844),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7844),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7844),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7844),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7844),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7844),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7844),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7844),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7844),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7844),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7844),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7844),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7846),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7844),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7846),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7844),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7844),
    [anon_sym_BSLASHcolor] = ACTIONS(7844),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7844),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7844),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7844),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7844),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7844),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7844),
    [anon_sym_BSLASHurl] = ACTIONS(7844),
    [anon_sym_BSLASHhref] = ACTIONS(7844),
  },
  [1803] = {
    [sym_command_name] = ACTIONS(7055),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7055),
    [anon_sym_LBRACK] = ACTIONS(7057),
    [anon_sym_RBRACK] = ACTIONS(7057),
    [anon_sym_COMMA] = ACTIONS(7057),
    [anon_sym_EQ] = ACTIONS(7057),
    [anon_sym_LPAREN] = ACTIONS(7057),
    [anon_sym_RPAREN] = ACTIONS(7057),
    [anon_sym_LBRACE] = ACTIONS(7057),
    [sym_word] = ACTIONS(7055),
    [sym_placeholder] = ACTIONS(7057),
    [sym_delimiter] = ACTIONS(7057),
    [anon_sym_PLUS] = ACTIONS(7057),
    [anon_sym_DASH] = ACTIONS(7057),
    [anon_sym_STAR] = ACTIONS(7057),
    [anon_sym_SLASH] = ACTIONS(7057),
    [anon_sym_LT] = ACTIONS(7055),
    [anon_sym_GT] = ACTIONS(7055),
    [anon_sym_BANG] = ACTIONS(7055),
    [anon_sym_PIPE] = ACTIONS(7055),
    [anon_sym_COLON] = ACTIONS(7055),
    [anon_sym_SQUOTE] = ACTIONS(7055),
    [anon_sym__] = ACTIONS(7057),
    [anon_sym_CARET] = ACTIONS(7057),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7057),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7057),
    [anon_sym_DOLLAR] = ACTIONS(7055),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7057),
    [anon_sym_BSLASHleft] = ACTIONS(7055),
    [anon_sym_BSLASHbigl] = ACTIONS(7055),
    [anon_sym_BSLASHBigl] = ACTIONS(7055),
    [anon_sym_BSLASHbiggl] = ACTIONS(7055),
    [anon_sym_BSLASHBiggl] = ACTIONS(7055),
    [anon_sym_BSLASHtext] = ACTIONS(7055),
    [anon_sym_BSLASHintertext] = ACTIONS(7055),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7055),
    [anon_sym_BSLASHbegin] = ACTIONS(7055),
    [anon_sym_BSLASHend] = ACTIONS(7055),
    [anon_sym_BSLASHtitle] = ACTIONS(7055),
    [anon_sym_BSLASHauthor] = ACTIONS(7055),
    [anon_sym_BSLASHusepackage] = ACTIONS(7055),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7055),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7055),
    [anon_sym_BSLASHinclude] = ACTIONS(7055),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7055),
    [anon_sym_BSLASHinput] = ACTIONS(7055),
    [anon_sym_BSLASHsubfile] = ACTIONS(7055),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7055),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7055),
    [anon_sym_BSLASHbibliography] = ACTIONS(7055),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7055),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7055),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7055),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7055),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7055),
    [anon_sym_BSLASHimport] = ACTIONS(7055),
    [anon_sym_BSLASHsubimport] = ACTIONS(7055),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7055),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7055),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7055),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7055),
    [anon_sym_BSLASHcaption] = ACTIONS(7055),
    [anon_sym_BSLASHcite] = ACTIONS(7055),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCite] = ACTIONS(7055),
    [anon_sym_BSLASHnocite] = ACTIONS(7055),
    [anon_sym_BSLASHcitet] = ACTIONS(7055),
    [anon_sym_BSLASHcitep] = ACTIONS(7055),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHciteA] = ACTIONS(7055),
    [anon_sym_BSLASHciteR] = ACTIONS(7055),
    [anon_sym_BSLASHciteS] = ACTIONS(7055),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7055),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7055),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7055),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7055),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHciteyear] = ACTIONS(7055),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcitedate] = ACTIONS(7055),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHciteurl] = ACTIONS(7055),
    [anon_sym_BSLASHfullcite] = ACTIONS(7055),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7055),
    [anon_sym_BSLASHcitealt] = ACTIONS(7055),
    [anon_sym_BSLASHcitealp] = ACTIONS(7055),
    [anon_sym_BSLASHcitetext] = ACTIONS(7055),
    [anon_sym_BSLASHparencite] = ACTIONS(7055),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHParencite] = ACTIONS(7055),
    [anon_sym_BSLASHfootcite] = ACTIONS(7055),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7055),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7055),
    [anon_sym_BSLASHtextcite] = ACTIONS(7055),
    [anon_sym_BSLASHTextcite] = ACTIONS(7055),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7055),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7055),
    [anon_sym_BSLASHsupercite] = ACTIONS(7055),
    [anon_sym_BSLASHautocite] = ACTIONS(7055),
    [anon_sym_BSLASHAutocite] = ACTIONS(7055),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHVolcite] = ACTIONS(7055),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHavolcite] = ACTIONS(7055),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHNotecite] = ACTIONS(7055),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHlabel] = ACTIONS(7055),
    [anon_sym_BSLASHref] = ACTIONS(7055),
    [anon_sym_BSLASHeqref] = ACTIONS(7055),
    [anon_sym_BSLASHvref] = ACTIONS(7055),
    [anon_sym_BSLASHVref] = ACTIONS(7055),
    [anon_sym_BSLASHautoref] = ACTIONS(7055),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHpageref] = ACTIONS(7055),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHautopageref] = ACTIONS(7055),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcref] = ACTIONS(7055),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCref] = ACTIONS(7055),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcpageref] = ACTIONS(7055),
    [anon_sym_BSLASHCpageref] = ACTIONS(7055),
    [anon_sym_BSLASHnamecref] = ACTIONS(7055),
    [anon_sym_BSLASHnameCref] = ACTIONS(7055),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7055),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7055),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7055),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7055),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7055),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7055),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7055),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7055),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7055),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7055),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7055),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7055),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7055),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7055),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7055),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7055),
    [anon_sym_BSLASHdef] = ACTIONS(7055),
    [anon_sym_BSLASHgdef] = ACTIONS(7055),
    [anon_sym_BSLASHedef] = ACTIONS(7055),
    [anon_sym_BSLASHxdef] = ACTIONS(7055),
    [anon_sym_BSLASHlet] = ACTIONS(7055),
    [anon_sym_BSLASHglet] = ACTIONS(7055),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7055),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7055),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7055),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7055),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7055),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7055),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7055),
    [anon_sym_BSLASHgls] = ACTIONS(7055),
    [anon_sym_BSLASHGls] = ACTIONS(7055),
    [anon_sym_BSLASHGLS] = ACTIONS(7055),
    [anon_sym_BSLASHglspl] = ACTIONS(7055),
    [anon_sym_BSLASHGlspl] = ACTIONS(7055),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7055),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7055),
    [anon_sym_BSLASHglslink] = ACTIONS(7055),
    [anon_sym_BSLASHglstext] = ACTIONS(7055),
    [anon_sym_BSLASHGlstext] = ACTIONS(7055),
    [anon_sym_BSLASHGLStext] = ACTIONS(7055),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7055),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7055),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7055),
    [anon_sym_BSLASHglsplural] = ACTIONS(7055),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7055),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7055),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7055),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7055),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7055),
    [anon_sym_BSLASHglsname] = ACTIONS(7055),
    [anon_sym_BSLASHGlsname] = ACTIONS(7055),
    [anon_sym_BSLASHGLSname] = ACTIONS(7055),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7055),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7055),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7055),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7055),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7055),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7055),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7055),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7055),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7055),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7055),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7055),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7055),
    [anon_sym_BSLASHacrshort] = ACTIONS(7055),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7055),
    [anon_sym_BSLASHACRshort] = ACTIONS(7055),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHacrlong] = ACTIONS(7055),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7055),
    [anon_sym_BSLASHACRlong] = ACTIONS(7055),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7055),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7055),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7055),
    [anon_sym_BSLASHacrfull] = ACTIONS(7055),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7055),
    [anon_sym_BSLASHACRfull] = ACTIONS(7055),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHacs] = ACTIONS(7055),
    [anon_sym_BSLASHAcs] = ACTIONS(7055),
    [anon_sym_BSLASHacsp] = ACTIONS(7055),
    [anon_sym_BSLASHAcsp] = ACTIONS(7055),
    [anon_sym_BSLASHacl] = ACTIONS(7055),
    [anon_sym_BSLASHAcl] = ACTIONS(7055),
    [anon_sym_BSLASHaclp] = ACTIONS(7055),
    [anon_sym_BSLASHAclp] = ACTIONS(7055),
    [anon_sym_BSLASHacf] = ACTIONS(7055),
    [anon_sym_BSLASHAcf] = ACTIONS(7055),
    [anon_sym_BSLASHacfp] = ACTIONS(7055),
    [anon_sym_BSLASHAcfp] = ACTIONS(7055),
    [anon_sym_BSLASHac] = ACTIONS(7055),
    [anon_sym_BSLASHAc] = ACTIONS(7055),
    [anon_sym_BSLASHacp] = ACTIONS(7055),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7055),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7055),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7055),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7055),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7055),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7055),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7055),
    [anon_sym_BSLASHcolor] = ACTIONS(7055),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7055),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7055),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7055),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7055),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7055),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7055),
    [anon_sym_BSLASHurl] = ACTIONS(7055),
    [anon_sym_BSLASHhref] = ACTIONS(7055),
  },
  [1804] = {
    [sym_command_name] = ACTIONS(7235),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7235),
    [anon_sym_LBRACK] = ACTIONS(7237),
    [anon_sym_RBRACK] = ACTIONS(7237),
    [anon_sym_COMMA] = ACTIONS(7237),
    [anon_sym_EQ] = ACTIONS(7237),
    [anon_sym_LPAREN] = ACTIONS(7237),
    [anon_sym_RPAREN] = ACTIONS(7237),
    [anon_sym_LBRACE] = ACTIONS(7237),
    [sym_word] = ACTIONS(7235),
    [sym_placeholder] = ACTIONS(7237),
    [sym_delimiter] = ACTIONS(7237),
    [anon_sym_PLUS] = ACTIONS(7237),
    [anon_sym_DASH] = ACTIONS(7237),
    [anon_sym_STAR] = ACTIONS(7237),
    [anon_sym_SLASH] = ACTIONS(7237),
    [anon_sym_LT] = ACTIONS(7235),
    [anon_sym_GT] = ACTIONS(7235),
    [anon_sym_BANG] = ACTIONS(7235),
    [anon_sym_PIPE] = ACTIONS(7235),
    [anon_sym_COLON] = ACTIONS(7235),
    [anon_sym_SQUOTE] = ACTIONS(7235),
    [anon_sym__] = ACTIONS(7237),
    [anon_sym_CARET] = ACTIONS(7237),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7237),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7237),
    [anon_sym_DOLLAR] = ACTIONS(7235),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7237),
    [anon_sym_BSLASHleft] = ACTIONS(7235),
    [anon_sym_BSLASHbigl] = ACTIONS(7235),
    [anon_sym_BSLASHBigl] = ACTIONS(7235),
    [anon_sym_BSLASHbiggl] = ACTIONS(7235),
    [anon_sym_BSLASHBiggl] = ACTIONS(7235),
    [anon_sym_BSLASHtext] = ACTIONS(7235),
    [anon_sym_BSLASHintertext] = ACTIONS(7235),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7235),
    [anon_sym_BSLASHbegin] = ACTIONS(7235),
    [anon_sym_BSLASHend] = ACTIONS(7235),
    [anon_sym_BSLASHtitle] = ACTIONS(7235),
    [anon_sym_BSLASHauthor] = ACTIONS(7235),
    [anon_sym_BSLASHusepackage] = ACTIONS(7235),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7235),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7235),
    [anon_sym_BSLASHinclude] = ACTIONS(7235),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7235),
    [anon_sym_BSLASHinput] = ACTIONS(7235),
    [anon_sym_BSLASHsubfile] = ACTIONS(7235),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7235),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7235),
    [anon_sym_BSLASHbibliography] = ACTIONS(7235),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7235),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7235),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7235),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7235),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7235),
    [anon_sym_BSLASHimport] = ACTIONS(7235),
    [anon_sym_BSLASHsubimport] = ACTIONS(7235),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7235),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7235),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7235),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7235),
    [anon_sym_BSLASHcaption] = ACTIONS(7235),
    [anon_sym_BSLASHcite] = ACTIONS(7235),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCite] = ACTIONS(7235),
    [anon_sym_BSLASHnocite] = ACTIONS(7235),
    [anon_sym_BSLASHcitet] = ACTIONS(7235),
    [anon_sym_BSLASHcitep] = ACTIONS(7235),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteA] = ACTIONS(7235),
    [anon_sym_BSLASHciteR] = ACTIONS(7235),
    [anon_sym_BSLASHciteS] = ACTIONS(7235),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7235),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7235),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7235),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7235),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteyear] = ACTIONS(7235),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitedate] = ACTIONS(7235),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteurl] = ACTIONS(7235),
    [anon_sym_BSLASHfullcite] = ACTIONS(7235),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7235),
    [anon_sym_BSLASHcitealt] = ACTIONS(7235),
    [anon_sym_BSLASHcitealp] = ACTIONS(7235),
    [anon_sym_BSLASHcitetext] = ACTIONS(7235),
    [anon_sym_BSLASHparencite] = ACTIONS(7235),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHParencite] = ACTIONS(7235),
    [anon_sym_BSLASHfootcite] = ACTIONS(7235),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7235),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7235),
    [anon_sym_BSLASHtextcite] = ACTIONS(7235),
    [anon_sym_BSLASHTextcite] = ACTIONS(7235),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7235),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7235),
    [anon_sym_BSLASHsupercite] = ACTIONS(7235),
    [anon_sym_BSLASHautocite] = ACTIONS(7235),
    [anon_sym_BSLASHAutocite] = ACTIONS(7235),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHVolcite] = ACTIONS(7235),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHavolcite] = ACTIONS(7235),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHNotecite] = ACTIONS(7235),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHlabel] = ACTIONS(7235),
    [anon_sym_BSLASHref] = ACTIONS(7235),
    [anon_sym_BSLASHeqref] = ACTIONS(7235),
    [anon_sym_BSLASHvref] = ACTIONS(7235),
    [anon_sym_BSLASHVref] = ACTIONS(7235),
    [anon_sym_BSLASHautoref] = ACTIONS(7235),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHpageref] = ACTIONS(7235),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHautopageref] = ACTIONS(7235),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcref] = ACTIONS(7235),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCref] = ACTIONS(7235),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcpageref] = ACTIONS(7235),
    [anon_sym_BSLASHCpageref] = ACTIONS(7235),
    [anon_sym_BSLASHnamecref] = ACTIONS(7235),
    [anon_sym_BSLASHnameCref] = ACTIONS(7235),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7235),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7235),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7235),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7235),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7235),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7235),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7235),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7235),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7235),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7235),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7235),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHdef] = ACTIONS(7235),
    [anon_sym_BSLASHgdef] = ACTIONS(7235),
    [anon_sym_BSLASHedef] = ACTIONS(7235),
    [anon_sym_BSLASHxdef] = ACTIONS(7235),
    [anon_sym_BSLASHlet] = ACTIONS(7235),
    [anon_sym_BSLASHglet] = ACTIONS(7235),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7235),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7235),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7235),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7235),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7235),
    [anon_sym_BSLASHgls] = ACTIONS(7235),
    [anon_sym_BSLASHGls] = ACTIONS(7235),
    [anon_sym_BSLASHGLS] = ACTIONS(7235),
    [anon_sym_BSLASHglspl] = ACTIONS(7235),
    [anon_sym_BSLASHGlspl] = ACTIONS(7235),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7235),
    [anon_sym_BSLASHglslink] = ACTIONS(7235),
    [anon_sym_BSLASHglstext] = ACTIONS(7235),
    [anon_sym_BSLASHGlstext] = ACTIONS(7235),
    [anon_sym_BSLASHGLStext] = ACTIONS(7235),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7235),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7235),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7235),
    [anon_sym_BSLASHglsplural] = ACTIONS(7235),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7235),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7235),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHglsname] = ACTIONS(7235),
    [anon_sym_BSLASHGlsname] = ACTIONS(7235),
    [anon_sym_BSLASHGLSname] = ACTIONS(7235),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7235),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7235),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7235),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7235),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7235),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7235),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7235),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7235),
    [anon_sym_BSLASHacrshort] = ACTIONS(7235),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7235),
    [anon_sym_BSLASHACRshort] = ACTIONS(7235),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHacrlong] = ACTIONS(7235),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7235),
    [anon_sym_BSLASHACRlong] = ACTIONS(7235),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHacrfull] = ACTIONS(7235),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7235),
    [anon_sym_BSLASHACRfull] = ACTIONS(7235),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHacs] = ACTIONS(7235),
    [anon_sym_BSLASHAcs] = ACTIONS(7235),
    [anon_sym_BSLASHacsp] = ACTIONS(7235),
    [anon_sym_BSLASHAcsp] = ACTIONS(7235),
    [anon_sym_BSLASHacl] = ACTIONS(7235),
    [anon_sym_BSLASHAcl] = ACTIONS(7235),
    [anon_sym_BSLASHaclp] = ACTIONS(7235),
    [anon_sym_BSLASHAclp] = ACTIONS(7235),
    [anon_sym_BSLASHacf] = ACTIONS(7235),
    [anon_sym_BSLASHAcf] = ACTIONS(7235),
    [anon_sym_BSLASHacfp] = ACTIONS(7235),
    [anon_sym_BSLASHAcfp] = ACTIONS(7235),
    [anon_sym_BSLASHac] = ACTIONS(7235),
    [anon_sym_BSLASHAc] = ACTIONS(7235),
    [anon_sym_BSLASHacp] = ACTIONS(7235),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7235),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7235),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7235),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7235),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7235),
    [anon_sym_BSLASHcolor] = ACTIONS(7235),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7235),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7235),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7235),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7235),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7235),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7235),
    [anon_sym_BSLASHurl] = ACTIONS(7235),
    [anon_sym_BSLASHhref] = ACTIONS(7235),
  },
  [1805] = {
    [sym_command_name] = ACTIONS(7103),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7103),
    [anon_sym_LBRACK] = ACTIONS(7105),
    [anon_sym_RBRACK] = ACTIONS(7105),
    [anon_sym_COMMA] = ACTIONS(7105),
    [anon_sym_EQ] = ACTIONS(7105),
    [anon_sym_LPAREN] = ACTIONS(7105),
    [anon_sym_RPAREN] = ACTIONS(7105),
    [anon_sym_LBRACE] = ACTIONS(7105),
    [sym_word] = ACTIONS(7103),
    [sym_placeholder] = ACTIONS(7105),
    [sym_delimiter] = ACTIONS(7105),
    [anon_sym_PLUS] = ACTIONS(7105),
    [anon_sym_DASH] = ACTIONS(7105),
    [anon_sym_STAR] = ACTIONS(7105),
    [anon_sym_SLASH] = ACTIONS(7105),
    [anon_sym_LT] = ACTIONS(7103),
    [anon_sym_GT] = ACTIONS(7103),
    [anon_sym_BANG] = ACTIONS(7103),
    [anon_sym_PIPE] = ACTIONS(7103),
    [anon_sym_COLON] = ACTIONS(7103),
    [anon_sym_SQUOTE] = ACTIONS(7103),
    [anon_sym__] = ACTIONS(7105),
    [anon_sym_CARET] = ACTIONS(7105),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7105),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7105),
    [anon_sym_DOLLAR] = ACTIONS(7103),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7105),
    [anon_sym_BSLASHleft] = ACTIONS(7103),
    [anon_sym_BSLASHbigl] = ACTIONS(7103),
    [anon_sym_BSLASHBigl] = ACTIONS(7103),
    [anon_sym_BSLASHbiggl] = ACTIONS(7103),
    [anon_sym_BSLASHBiggl] = ACTIONS(7103),
    [anon_sym_BSLASHtext] = ACTIONS(7103),
    [anon_sym_BSLASHintertext] = ACTIONS(7103),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7103),
    [anon_sym_BSLASHbegin] = ACTIONS(7103),
    [anon_sym_BSLASHend] = ACTIONS(7103),
    [anon_sym_BSLASHtitle] = ACTIONS(7103),
    [anon_sym_BSLASHauthor] = ACTIONS(7103),
    [anon_sym_BSLASHusepackage] = ACTIONS(7103),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7103),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7103),
    [anon_sym_BSLASHinclude] = ACTIONS(7103),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7103),
    [anon_sym_BSLASHinput] = ACTIONS(7103),
    [anon_sym_BSLASHsubfile] = ACTIONS(7103),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7103),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7103),
    [anon_sym_BSLASHbibliography] = ACTIONS(7103),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7103),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7103),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7103),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7103),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7103),
    [anon_sym_BSLASHimport] = ACTIONS(7103),
    [anon_sym_BSLASHsubimport] = ACTIONS(7103),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7103),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7103),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7103),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7103),
    [anon_sym_BSLASHcaption] = ACTIONS(7103),
    [anon_sym_BSLASHcite] = ACTIONS(7103),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHCite] = ACTIONS(7103),
    [anon_sym_BSLASHnocite] = ACTIONS(7103),
    [anon_sym_BSLASHcitet] = ACTIONS(7103),
    [anon_sym_BSLASHcitep] = ACTIONS(7103),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHciteA] = ACTIONS(7103),
    [anon_sym_BSLASHciteR] = ACTIONS(7103),
    [anon_sym_BSLASHciteS] = ACTIONS(7103),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7103),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7103),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7103),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7103),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHciteyear] = ACTIONS(7103),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcitedate] = ACTIONS(7103),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHciteurl] = ACTIONS(7103),
    [anon_sym_BSLASHfullcite] = ACTIONS(7103),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7103),
    [anon_sym_BSLASHcitealt] = ACTIONS(7103),
    [anon_sym_BSLASHcitealp] = ACTIONS(7103),
    [anon_sym_BSLASHcitetext] = ACTIONS(7103),
    [anon_sym_BSLASHparencite] = ACTIONS(7103),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHParencite] = ACTIONS(7103),
    [anon_sym_BSLASHfootcite] = ACTIONS(7103),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7103),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7103),
    [anon_sym_BSLASHtextcite] = ACTIONS(7103),
    [anon_sym_BSLASHTextcite] = ACTIONS(7103),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7103),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7103),
    [anon_sym_BSLASHsupercite] = ACTIONS(7103),
    [anon_sym_BSLASHautocite] = ACTIONS(7103),
    [anon_sym_BSLASHAutocite] = ACTIONS(7103),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHVolcite] = ACTIONS(7103),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHavolcite] = ACTIONS(7103),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHnotecite] = ACTIONS(7103),
    [anon_sym_BSLASHNotecite] = ACTIONS(7103),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7103),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7103),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7103),
    [anon_sym_BSLASHlabel] = ACTIONS(7103),
    [anon_sym_BSLASHref] = ACTIONS(7103),
    [anon_sym_BSLASHeqref] = ACTIONS(7103),
    [anon_sym_BSLASHvref] = ACTIONS(7103),
    [anon_sym_BSLASHVref] = ACTIONS(7103),
    [anon_sym_BSLASHautoref] = ACTIONS(7103),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHpageref] = ACTIONS(7103),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHautopageref] = ACTIONS(7103),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcref] = ACTIONS(7103),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHCref] = ACTIONS(7103),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcpageref] = ACTIONS(7103),
    [anon_sym_BSLASHCpageref] = ACTIONS(7103),
    [anon_sym_BSLASHnamecref] = ACTIONS(7103),
    [anon_sym_BSLASHnameCref] = ACTIONS(7103),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7103),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7103),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7103),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7103),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7103),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7103),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7103),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7103),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7103),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7103),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7103),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7103),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7103),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7103),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7103),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7103),
    [anon_sym_BSLASHdef] = ACTIONS(7103),
    [anon_sym_BSLASHgdef] = ACTIONS(7103),
    [anon_sym_BSLASHedef] = ACTIONS(7103),
    [anon_sym_BSLASHxdef] = ACTIONS(7103),
    [anon_sym_BSLASHlet] = ACTIONS(7103),
    [anon_sym_BSLASHglet] = ACTIONS(7103),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7103),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7103),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7103),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7103),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7103),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7103),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7103),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7103),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7103),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7103),
    [anon_sym_BSLASHgls] = ACTIONS(7103),
    [anon_sym_BSLASHGls] = ACTIONS(7103),
    [anon_sym_BSLASHGLS] = ACTIONS(7103),
    [anon_sym_BSLASHglspl] = ACTIONS(7103),
    [anon_sym_BSLASHGlspl] = ACTIONS(7103),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7103),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7103),
    [anon_sym_BSLASHglslink] = ACTIONS(7103),
    [anon_sym_BSLASHglstext] = ACTIONS(7103),
    [anon_sym_BSLASHGlstext] = ACTIONS(7103),
    [anon_sym_BSLASHGLStext] = ACTIONS(7103),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7103),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7103),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7103),
    [anon_sym_BSLASHglsplural] = ACTIONS(7103),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7103),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7103),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7103),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7103),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7103),
    [anon_sym_BSLASHglsname] = ACTIONS(7103),
    [anon_sym_BSLASHGlsname] = ACTIONS(7103),
    [anon_sym_BSLASHGLSname] = ACTIONS(7103),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7103),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7103),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7103),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7103),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7103),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7103),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7103),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7103),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7103),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7103),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7103),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7103),
    [anon_sym_BSLASHacrshort] = ACTIONS(7103),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7103),
    [anon_sym_BSLASHACRshort] = ACTIONS(7103),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHacrlong] = ACTIONS(7103),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7103),
    [anon_sym_BSLASHACRlong] = ACTIONS(7103),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7103),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7103),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7103),
    [anon_sym_BSLASHacrfull] = ACTIONS(7103),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7103),
    [anon_sym_BSLASHACRfull] = ACTIONS(7103),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHacs] = ACTIONS(7103),
    [anon_sym_BSLASHAcs] = ACTIONS(7103),
    [anon_sym_BSLASHacsp] = ACTIONS(7103),
    [anon_sym_BSLASHAcsp] = ACTIONS(7103),
    [anon_sym_BSLASHacl] = ACTIONS(7103),
    [anon_sym_BSLASHAcl] = ACTIONS(7103),
    [anon_sym_BSLASHaclp] = ACTIONS(7103),
    [anon_sym_BSLASHAclp] = ACTIONS(7103),
    [anon_sym_BSLASHacf] = ACTIONS(7103),
    [anon_sym_BSLASHAcf] = ACTIONS(7103),
    [anon_sym_BSLASHacfp] = ACTIONS(7103),
    [anon_sym_BSLASHAcfp] = ACTIONS(7103),
    [anon_sym_BSLASHac] = ACTIONS(7103),
    [anon_sym_BSLASHAc] = ACTIONS(7103),
    [anon_sym_BSLASHacp] = ACTIONS(7103),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7103),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7103),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7103),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7103),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7103),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7103),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7103),
    [anon_sym_BSLASHcolor] = ACTIONS(7103),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7103),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7103),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7103),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7103),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7103),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7103),
    [anon_sym_BSLASHurl] = ACTIONS(7103),
    [anon_sym_BSLASHhref] = ACTIONS(7103),
  },
  [1806] = {
    [sym_command_name] = ACTIONS(7239),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7239),
    [anon_sym_LBRACK] = ACTIONS(7241),
    [anon_sym_RBRACK] = ACTIONS(7241),
    [anon_sym_COMMA] = ACTIONS(7241),
    [anon_sym_EQ] = ACTIONS(7241),
    [anon_sym_LPAREN] = ACTIONS(7241),
    [anon_sym_RPAREN] = ACTIONS(7241),
    [anon_sym_LBRACE] = ACTIONS(7241),
    [sym_word] = ACTIONS(7239),
    [sym_placeholder] = ACTIONS(7241),
    [sym_delimiter] = ACTIONS(7241),
    [anon_sym_PLUS] = ACTIONS(7241),
    [anon_sym_DASH] = ACTIONS(7241),
    [anon_sym_STAR] = ACTIONS(7241),
    [anon_sym_SLASH] = ACTIONS(7241),
    [anon_sym_LT] = ACTIONS(7239),
    [anon_sym_GT] = ACTIONS(7239),
    [anon_sym_BANG] = ACTIONS(7239),
    [anon_sym_PIPE] = ACTIONS(7239),
    [anon_sym_COLON] = ACTIONS(7239),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym__] = ACTIONS(7241),
    [anon_sym_CARET] = ACTIONS(7241),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7241),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7241),
    [anon_sym_DOLLAR] = ACTIONS(7239),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7241),
    [anon_sym_BSLASHleft] = ACTIONS(7239),
    [anon_sym_BSLASHbigl] = ACTIONS(7239),
    [anon_sym_BSLASHBigl] = ACTIONS(7239),
    [anon_sym_BSLASHbiggl] = ACTIONS(7239),
    [anon_sym_BSLASHBiggl] = ACTIONS(7239),
    [anon_sym_BSLASHtext] = ACTIONS(7239),
    [anon_sym_BSLASHintertext] = ACTIONS(7239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7239),
    [anon_sym_BSLASHbegin] = ACTIONS(7239),
    [anon_sym_BSLASHend] = ACTIONS(7239),
    [anon_sym_BSLASHtitle] = ACTIONS(7239),
    [anon_sym_BSLASHauthor] = ACTIONS(7239),
    [anon_sym_BSLASHusepackage] = ACTIONS(7239),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7239),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7239),
    [anon_sym_BSLASHinclude] = ACTIONS(7239),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7239),
    [anon_sym_BSLASHinput] = ACTIONS(7239),
    [anon_sym_BSLASHsubfile] = ACTIONS(7239),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7239),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7239),
    [anon_sym_BSLASHbibliography] = ACTIONS(7239),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7239),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7239),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7239),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7239),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7239),
    [anon_sym_BSLASHimport] = ACTIONS(7239),
    [anon_sym_BSLASHsubimport] = ACTIONS(7239),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7239),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7239),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7239),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7239),
    [anon_sym_BSLASHcaption] = ACTIONS(7239),
    [anon_sym_BSLASHcite] = ACTIONS(7239),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCite] = ACTIONS(7239),
    [anon_sym_BSLASHnocite] = ACTIONS(7239),
    [anon_sym_BSLASHcitet] = ACTIONS(7239),
    [anon_sym_BSLASHcitep] = ACTIONS(7239),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteA] = ACTIONS(7239),
    [anon_sym_BSLASHciteR] = ACTIONS(7239),
    [anon_sym_BSLASHciteS] = ACTIONS(7239),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7239),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7239),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7239),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7239),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteyear] = ACTIONS(7239),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitedate] = ACTIONS(7239),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteurl] = ACTIONS(7239),
    [anon_sym_BSLASHfullcite] = ACTIONS(7239),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7239),
    [anon_sym_BSLASHcitealt] = ACTIONS(7239),
    [anon_sym_BSLASHcitealp] = ACTIONS(7239),
    [anon_sym_BSLASHcitetext] = ACTIONS(7239),
    [anon_sym_BSLASHparencite] = ACTIONS(7239),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHParencite] = ACTIONS(7239),
    [anon_sym_BSLASHfootcite] = ACTIONS(7239),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7239),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7239),
    [anon_sym_BSLASHtextcite] = ACTIONS(7239),
    [anon_sym_BSLASHTextcite] = ACTIONS(7239),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7239),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7239),
    [anon_sym_BSLASHsupercite] = ACTIONS(7239),
    [anon_sym_BSLASHautocite] = ACTIONS(7239),
    [anon_sym_BSLASHAutocite] = ACTIONS(7239),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHVolcite] = ACTIONS(7239),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHavolcite] = ACTIONS(7239),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHNotecite] = ACTIONS(7239),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHlabel] = ACTIONS(7239),
    [anon_sym_BSLASHref] = ACTIONS(7239),
    [anon_sym_BSLASHeqref] = ACTIONS(7239),
    [anon_sym_BSLASHvref] = ACTIONS(7239),
    [anon_sym_BSLASHVref] = ACTIONS(7239),
    [anon_sym_BSLASHautoref] = ACTIONS(7239),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHpageref] = ACTIONS(7239),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHautopageref] = ACTIONS(7239),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcref] = ACTIONS(7239),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCref] = ACTIONS(7239),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcpageref] = ACTIONS(7239),
    [anon_sym_BSLASHCpageref] = ACTIONS(7239),
    [anon_sym_BSLASHnamecref] = ACTIONS(7239),
    [anon_sym_BSLASHnameCref] = ACTIONS(7239),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7239),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7239),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7239),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7239),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7239),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7239),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7239),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7239),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7239),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7239),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7239),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHdef] = ACTIONS(7239),
    [anon_sym_BSLASHgdef] = ACTIONS(7239),
    [anon_sym_BSLASHedef] = ACTIONS(7239),
    [anon_sym_BSLASHxdef] = ACTIONS(7239),
    [anon_sym_BSLASHlet] = ACTIONS(7239),
    [anon_sym_BSLASHglet] = ACTIONS(7239),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7239),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7239),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7239),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7239),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7239),
    [anon_sym_BSLASHgls] = ACTIONS(7239),
    [anon_sym_BSLASHGls] = ACTIONS(7239),
    [anon_sym_BSLASHGLS] = ACTIONS(7239),
    [anon_sym_BSLASHglspl] = ACTIONS(7239),
    [anon_sym_BSLASHGlspl] = ACTIONS(7239),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7239),
    [anon_sym_BSLASHglslink] = ACTIONS(7239),
    [anon_sym_BSLASHglstext] = ACTIONS(7239),
    [anon_sym_BSLASHGlstext] = ACTIONS(7239),
    [anon_sym_BSLASHGLStext] = ACTIONS(7239),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7239),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7239),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7239),
    [anon_sym_BSLASHglsplural] = ACTIONS(7239),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7239),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7239),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHglsname] = ACTIONS(7239),
    [anon_sym_BSLASHGlsname] = ACTIONS(7239),
    [anon_sym_BSLASHGLSname] = ACTIONS(7239),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7239),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7239),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7239),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7239),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7239),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7239),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7239),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7239),
    [anon_sym_BSLASHacrshort] = ACTIONS(7239),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7239),
    [anon_sym_BSLASHACRshort] = ACTIONS(7239),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHacrlong] = ACTIONS(7239),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7239),
    [anon_sym_BSLASHACRlong] = ACTIONS(7239),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHacrfull] = ACTIONS(7239),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7239),
    [anon_sym_BSLASHACRfull] = ACTIONS(7239),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHacs] = ACTIONS(7239),
    [anon_sym_BSLASHAcs] = ACTIONS(7239),
    [anon_sym_BSLASHacsp] = ACTIONS(7239),
    [anon_sym_BSLASHAcsp] = ACTIONS(7239),
    [anon_sym_BSLASHacl] = ACTIONS(7239),
    [anon_sym_BSLASHAcl] = ACTIONS(7239),
    [anon_sym_BSLASHaclp] = ACTIONS(7239),
    [anon_sym_BSLASHAclp] = ACTIONS(7239),
    [anon_sym_BSLASHacf] = ACTIONS(7239),
    [anon_sym_BSLASHAcf] = ACTIONS(7239),
    [anon_sym_BSLASHacfp] = ACTIONS(7239),
    [anon_sym_BSLASHAcfp] = ACTIONS(7239),
    [anon_sym_BSLASHac] = ACTIONS(7239),
    [anon_sym_BSLASHAc] = ACTIONS(7239),
    [anon_sym_BSLASHacp] = ACTIONS(7239),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7239),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7239),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7239),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7239),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7239),
    [anon_sym_BSLASHcolor] = ACTIONS(7239),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7239),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7239),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7239),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7239),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7239),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7239),
    [anon_sym_BSLASHurl] = ACTIONS(7239),
    [anon_sym_BSLASHhref] = ACTIONS(7239),
  },
  [1807] = {
    [sym_command_name] = ACTIONS(7243),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7243),
    [anon_sym_LBRACK] = ACTIONS(7245),
    [anon_sym_RBRACK] = ACTIONS(7245),
    [anon_sym_COMMA] = ACTIONS(7245),
    [anon_sym_EQ] = ACTIONS(7245),
    [anon_sym_LPAREN] = ACTIONS(7245),
    [anon_sym_RPAREN] = ACTIONS(7245),
    [anon_sym_LBRACE] = ACTIONS(7245),
    [sym_word] = ACTIONS(7243),
    [sym_placeholder] = ACTIONS(7245),
    [sym_delimiter] = ACTIONS(7245),
    [anon_sym_PLUS] = ACTIONS(7245),
    [anon_sym_DASH] = ACTIONS(7245),
    [anon_sym_STAR] = ACTIONS(7245),
    [anon_sym_SLASH] = ACTIONS(7245),
    [anon_sym_LT] = ACTIONS(7243),
    [anon_sym_GT] = ACTIONS(7243),
    [anon_sym_BANG] = ACTIONS(7243),
    [anon_sym_PIPE] = ACTIONS(7243),
    [anon_sym_COLON] = ACTIONS(7243),
    [anon_sym_SQUOTE] = ACTIONS(7243),
    [anon_sym__] = ACTIONS(7245),
    [anon_sym_CARET] = ACTIONS(7245),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7245),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7245),
    [anon_sym_DOLLAR] = ACTIONS(7243),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7245),
    [anon_sym_BSLASHleft] = ACTIONS(7243),
    [anon_sym_BSLASHbigl] = ACTIONS(7243),
    [anon_sym_BSLASHBigl] = ACTIONS(7243),
    [anon_sym_BSLASHbiggl] = ACTIONS(7243),
    [anon_sym_BSLASHBiggl] = ACTIONS(7243),
    [anon_sym_BSLASHtext] = ACTIONS(7243),
    [anon_sym_BSLASHintertext] = ACTIONS(7243),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7243),
    [anon_sym_BSLASHbegin] = ACTIONS(7243),
    [anon_sym_BSLASHend] = ACTIONS(7243),
    [anon_sym_BSLASHtitle] = ACTIONS(7243),
    [anon_sym_BSLASHauthor] = ACTIONS(7243),
    [anon_sym_BSLASHusepackage] = ACTIONS(7243),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7243),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7243),
    [anon_sym_BSLASHinclude] = ACTIONS(7243),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7243),
    [anon_sym_BSLASHinput] = ACTIONS(7243),
    [anon_sym_BSLASHsubfile] = ACTIONS(7243),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7243),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7243),
    [anon_sym_BSLASHbibliography] = ACTIONS(7243),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7243),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7243),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7243),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7243),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7243),
    [anon_sym_BSLASHimport] = ACTIONS(7243),
    [anon_sym_BSLASHsubimport] = ACTIONS(7243),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7243),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7243),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7243),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7243),
    [anon_sym_BSLASHcaption] = ACTIONS(7243),
    [anon_sym_BSLASHcite] = ACTIONS(7243),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCite] = ACTIONS(7243),
    [anon_sym_BSLASHnocite] = ACTIONS(7243),
    [anon_sym_BSLASHcitet] = ACTIONS(7243),
    [anon_sym_BSLASHcitep] = ACTIONS(7243),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteA] = ACTIONS(7243),
    [anon_sym_BSLASHciteR] = ACTIONS(7243),
    [anon_sym_BSLASHciteS] = ACTIONS(7243),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7243),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7243),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7243),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7243),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteyear] = ACTIONS(7243),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitedate] = ACTIONS(7243),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteurl] = ACTIONS(7243),
    [anon_sym_BSLASHfullcite] = ACTIONS(7243),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7243),
    [anon_sym_BSLASHcitealt] = ACTIONS(7243),
    [anon_sym_BSLASHcitealp] = ACTIONS(7243),
    [anon_sym_BSLASHcitetext] = ACTIONS(7243),
    [anon_sym_BSLASHparencite] = ACTIONS(7243),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHParencite] = ACTIONS(7243),
    [anon_sym_BSLASHfootcite] = ACTIONS(7243),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7243),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7243),
    [anon_sym_BSLASHtextcite] = ACTIONS(7243),
    [anon_sym_BSLASHTextcite] = ACTIONS(7243),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7243),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7243),
    [anon_sym_BSLASHsupercite] = ACTIONS(7243),
    [anon_sym_BSLASHautocite] = ACTIONS(7243),
    [anon_sym_BSLASHAutocite] = ACTIONS(7243),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHVolcite] = ACTIONS(7243),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHavolcite] = ACTIONS(7243),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHNotecite] = ACTIONS(7243),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHlabel] = ACTIONS(7243),
    [anon_sym_BSLASHref] = ACTIONS(7243),
    [anon_sym_BSLASHeqref] = ACTIONS(7243),
    [anon_sym_BSLASHvref] = ACTIONS(7243),
    [anon_sym_BSLASHVref] = ACTIONS(7243),
    [anon_sym_BSLASHautoref] = ACTIONS(7243),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHpageref] = ACTIONS(7243),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHautopageref] = ACTIONS(7243),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcref] = ACTIONS(7243),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCref] = ACTIONS(7243),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcpageref] = ACTIONS(7243),
    [anon_sym_BSLASHCpageref] = ACTIONS(7243),
    [anon_sym_BSLASHnamecref] = ACTIONS(7243),
    [anon_sym_BSLASHnameCref] = ACTIONS(7243),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7243),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7243),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7243),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7243),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7243),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7243),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7243),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7243),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7243),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7243),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7243),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHdef] = ACTIONS(7243),
    [anon_sym_BSLASHgdef] = ACTIONS(7243),
    [anon_sym_BSLASHedef] = ACTIONS(7243),
    [anon_sym_BSLASHxdef] = ACTIONS(7243),
    [anon_sym_BSLASHlet] = ACTIONS(7243),
    [anon_sym_BSLASHglet] = ACTIONS(7243),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7243),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7243),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7243),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7243),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7243),
    [anon_sym_BSLASHgls] = ACTIONS(7243),
    [anon_sym_BSLASHGls] = ACTIONS(7243),
    [anon_sym_BSLASHGLS] = ACTIONS(7243),
    [anon_sym_BSLASHglspl] = ACTIONS(7243),
    [anon_sym_BSLASHGlspl] = ACTIONS(7243),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7243),
    [anon_sym_BSLASHglslink] = ACTIONS(7243),
    [anon_sym_BSLASHglstext] = ACTIONS(7243),
    [anon_sym_BSLASHGlstext] = ACTIONS(7243),
    [anon_sym_BSLASHGLStext] = ACTIONS(7243),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7243),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7243),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7243),
    [anon_sym_BSLASHglsplural] = ACTIONS(7243),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7243),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7243),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHglsname] = ACTIONS(7243),
    [anon_sym_BSLASHGlsname] = ACTIONS(7243),
    [anon_sym_BSLASHGLSname] = ACTIONS(7243),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7243),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7243),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7243),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7243),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7243),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7243),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7243),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7243),
    [anon_sym_BSLASHacrshort] = ACTIONS(7243),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7243),
    [anon_sym_BSLASHACRshort] = ACTIONS(7243),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHacrlong] = ACTIONS(7243),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7243),
    [anon_sym_BSLASHACRlong] = ACTIONS(7243),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHacrfull] = ACTIONS(7243),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7243),
    [anon_sym_BSLASHACRfull] = ACTIONS(7243),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHacs] = ACTIONS(7243),
    [anon_sym_BSLASHAcs] = ACTIONS(7243),
    [anon_sym_BSLASHacsp] = ACTIONS(7243),
    [anon_sym_BSLASHAcsp] = ACTIONS(7243),
    [anon_sym_BSLASHacl] = ACTIONS(7243),
    [anon_sym_BSLASHAcl] = ACTIONS(7243),
    [anon_sym_BSLASHaclp] = ACTIONS(7243),
    [anon_sym_BSLASHAclp] = ACTIONS(7243),
    [anon_sym_BSLASHacf] = ACTIONS(7243),
    [anon_sym_BSLASHAcf] = ACTIONS(7243),
    [anon_sym_BSLASHacfp] = ACTIONS(7243),
    [anon_sym_BSLASHAcfp] = ACTIONS(7243),
    [anon_sym_BSLASHac] = ACTIONS(7243),
    [anon_sym_BSLASHAc] = ACTIONS(7243),
    [anon_sym_BSLASHacp] = ACTIONS(7243),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7243),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7243),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7243),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7243),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7243),
    [anon_sym_BSLASHcolor] = ACTIONS(7243),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7243),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7243),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7243),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7243),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7243),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7243),
    [anon_sym_BSLASHurl] = ACTIONS(7243),
    [anon_sym_BSLASHhref] = ACTIONS(7243),
  },
  [1808] = {
    [sym_command_name] = ACTIONS(7107),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7107),
    [anon_sym_LBRACK] = ACTIONS(7109),
    [anon_sym_RBRACK] = ACTIONS(7109),
    [anon_sym_COMMA] = ACTIONS(7109),
    [anon_sym_EQ] = ACTIONS(7109),
    [anon_sym_LPAREN] = ACTIONS(7109),
    [anon_sym_RPAREN] = ACTIONS(7109),
    [anon_sym_LBRACE] = ACTIONS(7109),
    [sym_word] = ACTIONS(7107),
    [sym_placeholder] = ACTIONS(7109),
    [sym_delimiter] = ACTIONS(7109),
    [anon_sym_PLUS] = ACTIONS(7109),
    [anon_sym_DASH] = ACTIONS(7109),
    [anon_sym_STAR] = ACTIONS(7109),
    [anon_sym_SLASH] = ACTIONS(7109),
    [anon_sym_LT] = ACTIONS(7107),
    [anon_sym_GT] = ACTIONS(7107),
    [anon_sym_BANG] = ACTIONS(7107),
    [anon_sym_PIPE] = ACTIONS(7107),
    [anon_sym_COLON] = ACTIONS(7107),
    [anon_sym_SQUOTE] = ACTIONS(7107),
    [anon_sym__] = ACTIONS(7109),
    [anon_sym_CARET] = ACTIONS(7109),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7109),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7109),
    [anon_sym_DOLLAR] = ACTIONS(7107),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7109),
    [anon_sym_BSLASHleft] = ACTIONS(7107),
    [anon_sym_BSLASHbigl] = ACTIONS(7107),
    [anon_sym_BSLASHBigl] = ACTIONS(7107),
    [anon_sym_BSLASHbiggl] = ACTIONS(7107),
    [anon_sym_BSLASHBiggl] = ACTIONS(7107),
    [anon_sym_BSLASHtext] = ACTIONS(7107),
    [anon_sym_BSLASHintertext] = ACTIONS(7107),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7107),
    [anon_sym_BSLASHbegin] = ACTIONS(7107),
    [anon_sym_BSLASHend] = ACTIONS(7107),
    [anon_sym_BSLASHtitle] = ACTIONS(7107),
    [anon_sym_BSLASHauthor] = ACTIONS(7107),
    [anon_sym_BSLASHusepackage] = ACTIONS(7107),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7107),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7107),
    [anon_sym_BSLASHinclude] = ACTIONS(7107),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7107),
    [anon_sym_BSLASHinput] = ACTIONS(7107),
    [anon_sym_BSLASHsubfile] = ACTIONS(7107),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7107),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7107),
    [anon_sym_BSLASHbibliography] = ACTIONS(7107),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7107),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7107),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7107),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7107),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7107),
    [anon_sym_BSLASHimport] = ACTIONS(7107),
    [anon_sym_BSLASHsubimport] = ACTIONS(7107),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7107),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7107),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7107),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7107),
    [anon_sym_BSLASHcaption] = ACTIONS(7107),
    [anon_sym_BSLASHcite] = ACTIONS(7107),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHCite] = ACTIONS(7107),
    [anon_sym_BSLASHnocite] = ACTIONS(7107),
    [anon_sym_BSLASHcitet] = ACTIONS(7107),
    [anon_sym_BSLASHcitep] = ACTIONS(7107),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHciteA] = ACTIONS(7107),
    [anon_sym_BSLASHciteR] = ACTIONS(7107),
    [anon_sym_BSLASHciteS] = ACTIONS(7107),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7107),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7107),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7107),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7107),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHciteyear] = ACTIONS(7107),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcitedate] = ACTIONS(7107),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHciteurl] = ACTIONS(7107),
    [anon_sym_BSLASHfullcite] = ACTIONS(7107),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7107),
    [anon_sym_BSLASHcitealt] = ACTIONS(7107),
    [anon_sym_BSLASHcitealp] = ACTIONS(7107),
    [anon_sym_BSLASHcitetext] = ACTIONS(7107),
    [anon_sym_BSLASHparencite] = ACTIONS(7107),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHParencite] = ACTIONS(7107),
    [anon_sym_BSLASHfootcite] = ACTIONS(7107),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7107),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7107),
    [anon_sym_BSLASHtextcite] = ACTIONS(7107),
    [anon_sym_BSLASHTextcite] = ACTIONS(7107),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7107),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7107),
    [anon_sym_BSLASHsupercite] = ACTIONS(7107),
    [anon_sym_BSLASHautocite] = ACTIONS(7107),
    [anon_sym_BSLASHAutocite] = ACTIONS(7107),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHVolcite] = ACTIONS(7107),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHavolcite] = ACTIONS(7107),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHnotecite] = ACTIONS(7107),
    [anon_sym_BSLASHNotecite] = ACTIONS(7107),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7107),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7107),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7107),
    [anon_sym_BSLASHlabel] = ACTIONS(7107),
    [anon_sym_BSLASHref] = ACTIONS(7107),
    [anon_sym_BSLASHeqref] = ACTIONS(7107),
    [anon_sym_BSLASHvref] = ACTIONS(7107),
    [anon_sym_BSLASHVref] = ACTIONS(7107),
    [anon_sym_BSLASHautoref] = ACTIONS(7107),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHpageref] = ACTIONS(7107),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHautopageref] = ACTIONS(7107),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcref] = ACTIONS(7107),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHCref] = ACTIONS(7107),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcpageref] = ACTIONS(7107),
    [anon_sym_BSLASHCpageref] = ACTIONS(7107),
    [anon_sym_BSLASHnamecref] = ACTIONS(7107),
    [anon_sym_BSLASHnameCref] = ACTIONS(7107),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7107),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7107),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7107),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7107),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7107),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7107),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7107),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7107),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7107),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7107),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7107),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7107),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7107),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7107),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7107),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7107),
    [anon_sym_BSLASHdef] = ACTIONS(7107),
    [anon_sym_BSLASHgdef] = ACTIONS(7107),
    [anon_sym_BSLASHedef] = ACTIONS(7107),
    [anon_sym_BSLASHxdef] = ACTIONS(7107),
    [anon_sym_BSLASHlet] = ACTIONS(7107),
    [anon_sym_BSLASHglet] = ACTIONS(7107),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7107),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7107),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7107),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7107),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7107),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7107),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7107),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7107),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7107),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7107),
    [anon_sym_BSLASHgls] = ACTIONS(7107),
    [anon_sym_BSLASHGls] = ACTIONS(7107),
    [anon_sym_BSLASHGLS] = ACTIONS(7107),
    [anon_sym_BSLASHglspl] = ACTIONS(7107),
    [anon_sym_BSLASHGlspl] = ACTIONS(7107),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7107),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7107),
    [anon_sym_BSLASHglslink] = ACTIONS(7107),
    [anon_sym_BSLASHglstext] = ACTIONS(7107),
    [anon_sym_BSLASHGlstext] = ACTIONS(7107),
    [anon_sym_BSLASHGLStext] = ACTIONS(7107),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7107),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7107),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7107),
    [anon_sym_BSLASHglsplural] = ACTIONS(7107),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7107),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7107),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7107),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7107),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7107),
    [anon_sym_BSLASHglsname] = ACTIONS(7107),
    [anon_sym_BSLASHGlsname] = ACTIONS(7107),
    [anon_sym_BSLASHGLSname] = ACTIONS(7107),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7107),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7107),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7107),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7107),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7107),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7107),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7107),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7107),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7107),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7107),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7107),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7107),
    [anon_sym_BSLASHacrshort] = ACTIONS(7107),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7107),
    [anon_sym_BSLASHACRshort] = ACTIONS(7107),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHacrlong] = ACTIONS(7107),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7107),
    [anon_sym_BSLASHACRlong] = ACTIONS(7107),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7107),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7107),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7107),
    [anon_sym_BSLASHacrfull] = ACTIONS(7107),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7107),
    [anon_sym_BSLASHACRfull] = ACTIONS(7107),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHacs] = ACTIONS(7107),
    [anon_sym_BSLASHAcs] = ACTIONS(7107),
    [anon_sym_BSLASHacsp] = ACTIONS(7107),
    [anon_sym_BSLASHAcsp] = ACTIONS(7107),
    [anon_sym_BSLASHacl] = ACTIONS(7107),
    [anon_sym_BSLASHAcl] = ACTIONS(7107),
    [anon_sym_BSLASHaclp] = ACTIONS(7107),
    [anon_sym_BSLASHAclp] = ACTIONS(7107),
    [anon_sym_BSLASHacf] = ACTIONS(7107),
    [anon_sym_BSLASHAcf] = ACTIONS(7107),
    [anon_sym_BSLASHacfp] = ACTIONS(7107),
    [anon_sym_BSLASHAcfp] = ACTIONS(7107),
    [anon_sym_BSLASHac] = ACTIONS(7107),
    [anon_sym_BSLASHAc] = ACTIONS(7107),
    [anon_sym_BSLASHacp] = ACTIONS(7107),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7107),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7107),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7107),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7107),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7107),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7107),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7107),
    [anon_sym_BSLASHcolor] = ACTIONS(7107),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7107),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7107),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7107),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7107),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7107),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7107),
    [anon_sym_BSLASHurl] = ACTIONS(7107),
    [anon_sym_BSLASHhref] = ACTIONS(7107),
  },
  [1809] = {
    [sym_command_name] = ACTIONS(7111),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7111),
    [anon_sym_LBRACK] = ACTIONS(7113),
    [anon_sym_RBRACK] = ACTIONS(7113),
    [anon_sym_COMMA] = ACTIONS(7113),
    [anon_sym_EQ] = ACTIONS(7113),
    [anon_sym_LPAREN] = ACTIONS(7113),
    [anon_sym_RPAREN] = ACTIONS(7113),
    [anon_sym_LBRACE] = ACTIONS(7113),
    [sym_word] = ACTIONS(7111),
    [sym_placeholder] = ACTIONS(7113),
    [sym_delimiter] = ACTIONS(7113),
    [anon_sym_PLUS] = ACTIONS(7113),
    [anon_sym_DASH] = ACTIONS(7113),
    [anon_sym_STAR] = ACTIONS(7113),
    [anon_sym_SLASH] = ACTIONS(7113),
    [anon_sym_LT] = ACTIONS(7111),
    [anon_sym_GT] = ACTIONS(7111),
    [anon_sym_BANG] = ACTIONS(7111),
    [anon_sym_PIPE] = ACTIONS(7111),
    [anon_sym_COLON] = ACTIONS(7111),
    [anon_sym_SQUOTE] = ACTIONS(7111),
    [anon_sym__] = ACTIONS(7113),
    [anon_sym_CARET] = ACTIONS(7113),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7113),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7113),
    [anon_sym_DOLLAR] = ACTIONS(7111),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7113),
    [anon_sym_BSLASHleft] = ACTIONS(7111),
    [anon_sym_BSLASHbigl] = ACTIONS(7111),
    [anon_sym_BSLASHBigl] = ACTIONS(7111),
    [anon_sym_BSLASHbiggl] = ACTIONS(7111),
    [anon_sym_BSLASHBiggl] = ACTIONS(7111),
    [anon_sym_BSLASHtext] = ACTIONS(7111),
    [anon_sym_BSLASHintertext] = ACTIONS(7111),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7111),
    [anon_sym_BSLASHbegin] = ACTIONS(7111),
    [anon_sym_BSLASHend] = ACTIONS(7111),
    [anon_sym_BSLASHtitle] = ACTIONS(7111),
    [anon_sym_BSLASHauthor] = ACTIONS(7111),
    [anon_sym_BSLASHusepackage] = ACTIONS(7111),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7111),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7111),
    [anon_sym_BSLASHinclude] = ACTIONS(7111),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7111),
    [anon_sym_BSLASHinput] = ACTIONS(7111),
    [anon_sym_BSLASHsubfile] = ACTIONS(7111),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7111),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7111),
    [anon_sym_BSLASHbibliography] = ACTIONS(7111),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7111),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7111),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7111),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7111),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7111),
    [anon_sym_BSLASHimport] = ACTIONS(7111),
    [anon_sym_BSLASHsubimport] = ACTIONS(7111),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7111),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7111),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7111),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7111),
    [anon_sym_BSLASHcaption] = ACTIONS(7111),
    [anon_sym_BSLASHcite] = ACTIONS(7111),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHCite] = ACTIONS(7111),
    [anon_sym_BSLASHnocite] = ACTIONS(7111),
    [anon_sym_BSLASHcitet] = ACTIONS(7111),
    [anon_sym_BSLASHcitep] = ACTIONS(7111),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHciteA] = ACTIONS(7111),
    [anon_sym_BSLASHciteR] = ACTIONS(7111),
    [anon_sym_BSLASHciteS] = ACTIONS(7111),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7111),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7111),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7111),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7111),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHciteyear] = ACTIONS(7111),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcitedate] = ACTIONS(7111),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHciteurl] = ACTIONS(7111),
    [anon_sym_BSLASHfullcite] = ACTIONS(7111),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7111),
    [anon_sym_BSLASHcitealt] = ACTIONS(7111),
    [anon_sym_BSLASHcitealp] = ACTIONS(7111),
    [anon_sym_BSLASHcitetext] = ACTIONS(7111),
    [anon_sym_BSLASHparencite] = ACTIONS(7111),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHParencite] = ACTIONS(7111),
    [anon_sym_BSLASHfootcite] = ACTIONS(7111),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7111),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7111),
    [anon_sym_BSLASHtextcite] = ACTIONS(7111),
    [anon_sym_BSLASHTextcite] = ACTIONS(7111),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7111),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7111),
    [anon_sym_BSLASHsupercite] = ACTIONS(7111),
    [anon_sym_BSLASHautocite] = ACTIONS(7111),
    [anon_sym_BSLASHAutocite] = ACTIONS(7111),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHVolcite] = ACTIONS(7111),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHavolcite] = ACTIONS(7111),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHnotecite] = ACTIONS(7111),
    [anon_sym_BSLASHNotecite] = ACTIONS(7111),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7111),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7111),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7111),
    [anon_sym_BSLASHlabel] = ACTIONS(7111),
    [anon_sym_BSLASHref] = ACTIONS(7111),
    [anon_sym_BSLASHeqref] = ACTIONS(7111),
    [anon_sym_BSLASHvref] = ACTIONS(7111),
    [anon_sym_BSLASHVref] = ACTIONS(7111),
    [anon_sym_BSLASHautoref] = ACTIONS(7111),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHpageref] = ACTIONS(7111),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHautopageref] = ACTIONS(7111),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcref] = ACTIONS(7111),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHCref] = ACTIONS(7111),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcpageref] = ACTIONS(7111),
    [anon_sym_BSLASHCpageref] = ACTIONS(7111),
    [anon_sym_BSLASHnamecref] = ACTIONS(7111),
    [anon_sym_BSLASHnameCref] = ACTIONS(7111),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7111),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7111),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7111),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7111),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7111),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7111),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7111),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7111),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7111),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7111),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7111),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7111),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7111),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7111),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7111),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7111),
    [anon_sym_BSLASHdef] = ACTIONS(7111),
    [anon_sym_BSLASHgdef] = ACTIONS(7111),
    [anon_sym_BSLASHedef] = ACTIONS(7111),
    [anon_sym_BSLASHxdef] = ACTIONS(7111),
    [anon_sym_BSLASHlet] = ACTIONS(7111),
    [anon_sym_BSLASHglet] = ACTIONS(7111),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7111),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7111),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7111),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7111),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7111),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7111),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7111),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7111),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7111),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7111),
    [anon_sym_BSLASHgls] = ACTIONS(7111),
    [anon_sym_BSLASHGls] = ACTIONS(7111),
    [anon_sym_BSLASHGLS] = ACTIONS(7111),
    [anon_sym_BSLASHglspl] = ACTIONS(7111),
    [anon_sym_BSLASHGlspl] = ACTIONS(7111),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7111),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7111),
    [anon_sym_BSLASHglslink] = ACTIONS(7111),
    [anon_sym_BSLASHglstext] = ACTIONS(7111),
    [anon_sym_BSLASHGlstext] = ACTIONS(7111),
    [anon_sym_BSLASHGLStext] = ACTIONS(7111),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7111),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7111),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7111),
    [anon_sym_BSLASHglsplural] = ACTIONS(7111),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7111),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7111),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7111),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7111),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7111),
    [anon_sym_BSLASHglsname] = ACTIONS(7111),
    [anon_sym_BSLASHGlsname] = ACTIONS(7111),
    [anon_sym_BSLASHGLSname] = ACTIONS(7111),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7111),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7111),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7111),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7111),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7111),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7111),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7111),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7111),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7111),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7111),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7111),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7111),
    [anon_sym_BSLASHacrshort] = ACTIONS(7111),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7111),
    [anon_sym_BSLASHACRshort] = ACTIONS(7111),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHacrlong] = ACTIONS(7111),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7111),
    [anon_sym_BSLASHACRlong] = ACTIONS(7111),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7111),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7111),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7111),
    [anon_sym_BSLASHacrfull] = ACTIONS(7111),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7111),
    [anon_sym_BSLASHACRfull] = ACTIONS(7111),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHacs] = ACTIONS(7111),
    [anon_sym_BSLASHAcs] = ACTIONS(7111),
    [anon_sym_BSLASHacsp] = ACTIONS(7111),
    [anon_sym_BSLASHAcsp] = ACTIONS(7111),
    [anon_sym_BSLASHacl] = ACTIONS(7111),
    [anon_sym_BSLASHAcl] = ACTIONS(7111),
    [anon_sym_BSLASHaclp] = ACTIONS(7111),
    [anon_sym_BSLASHAclp] = ACTIONS(7111),
    [anon_sym_BSLASHacf] = ACTIONS(7111),
    [anon_sym_BSLASHAcf] = ACTIONS(7111),
    [anon_sym_BSLASHacfp] = ACTIONS(7111),
    [anon_sym_BSLASHAcfp] = ACTIONS(7111),
    [anon_sym_BSLASHac] = ACTIONS(7111),
    [anon_sym_BSLASHAc] = ACTIONS(7111),
    [anon_sym_BSLASHacp] = ACTIONS(7111),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7111),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7111),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7111),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7111),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7111),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7111),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7111),
    [anon_sym_BSLASHcolor] = ACTIONS(7111),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7111),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7111),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7111),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7111),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7111),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7111),
    [anon_sym_BSLASHurl] = ACTIONS(7111),
    [anon_sym_BSLASHhref] = ACTIONS(7111),
  },
  [1810] = {
    [sym_command_name] = ACTIONS(7247),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7247),
    [anon_sym_LBRACK] = ACTIONS(7249),
    [anon_sym_RBRACK] = ACTIONS(7249),
    [anon_sym_COMMA] = ACTIONS(7249),
    [anon_sym_EQ] = ACTIONS(7249),
    [anon_sym_LPAREN] = ACTIONS(7249),
    [anon_sym_RPAREN] = ACTIONS(7249),
    [anon_sym_LBRACE] = ACTIONS(7249),
    [sym_word] = ACTIONS(7247),
    [sym_placeholder] = ACTIONS(7249),
    [sym_delimiter] = ACTIONS(7249),
    [anon_sym_PLUS] = ACTIONS(7249),
    [anon_sym_DASH] = ACTIONS(7249),
    [anon_sym_STAR] = ACTIONS(7249),
    [anon_sym_SLASH] = ACTIONS(7249),
    [anon_sym_LT] = ACTIONS(7247),
    [anon_sym_GT] = ACTIONS(7247),
    [anon_sym_BANG] = ACTIONS(7247),
    [anon_sym_PIPE] = ACTIONS(7247),
    [anon_sym_COLON] = ACTIONS(7247),
    [anon_sym_SQUOTE] = ACTIONS(7247),
    [anon_sym__] = ACTIONS(7249),
    [anon_sym_CARET] = ACTIONS(7249),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7249),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7249),
    [anon_sym_DOLLAR] = ACTIONS(7247),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7249),
    [anon_sym_BSLASHleft] = ACTIONS(7247),
    [anon_sym_BSLASHbigl] = ACTIONS(7247),
    [anon_sym_BSLASHBigl] = ACTIONS(7247),
    [anon_sym_BSLASHbiggl] = ACTIONS(7247),
    [anon_sym_BSLASHBiggl] = ACTIONS(7247),
    [anon_sym_BSLASHtext] = ACTIONS(7247),
    [anon_sym_BSLASHintertext] = ACTIONS(7247),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7247),
    [anon_sym_BSLASHbegin] = ACTIONS(7247),
    [anon_sym_BSLASHend] = ACTIONS(7247),
    [anon_sym_BSLASHtitle] = ACTIONS(7247),
    [anon_sym_BSLASHauthor] = ACTIONS(7247),
    [anon_sym_BSLASHusepackage] = ACTIONS(7247),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7247),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7247),
    [anon_sym_BSLASHinclude] = ACTIONS(7247),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7247),
    [anon_sym_BSLASHinput] = ACTIONS(7247),
    [anon_sym_BSLASHsubfile] = ACTIONS(7247),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7247),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7247),
    [anon_sym_BSLASHbibliography] = ACTIONS(7247),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7247),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7247),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7247),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7247),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7247),
    [anon_sym_BSLASHimport] = ACTIONS(7247),
    [anon_sym_BSLASHsubimport] = ACTIONS(7247),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7247),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7247),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7247),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7247),
    [anon_sym_BSLASHcaption] = ACTIONS(7247),
    [anon_sym_BSLASHcite] = ACTIONS(7247),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCite] = ACTIONS(7247),
    [anon_sym_BSLASHnocite] = ACTIONS(7247),
    [anon_sym_BSLASHcitet] = ACTIONS(7247),
    [anon_sym_BSLASHcitep] = ACTIONS(7247),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteA] = ACTIONS(7247),
    [anon_sym_BSLASHciteR] = ACTIONS(7247),
    [anon_sym_BSLASHciteS] = ACTIONS(7247),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7247),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7247),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7247),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7247),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteyear] = ACTIONS(7247),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitedate] = ACTIONS(7247),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteurl] = ACTIONS(7247),
    [anon_sym_BSLASHfullcite] = ACTIONS(7247),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7247),
    [anon_sym_BSLASHcitealt] = ACTIONS(7247),
    [anon_sym_BSLASHcitealp] = ACTIONS(7247),
    [anon_sym_BSLASHcitetext] = ACTIONS(7247),
    [anon_sym_BSLASHparencite] = ACTIONS(7247),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHParencite] = ACTIONS(7247),
    [anon_sym_BSLASHfootcite] = ACTIONS(7247),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7247),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7247),
    [anon_sym_BSLASHtextcite] = ACTIONS(7247),
    [anon_sym_BSLASHTextcite] = ACTIONS(7247),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7247),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7247),
    [anon_sym_BSLASHsupercite] = ACTIONS(7247),
    [anon_sym_BSLASHautocite] = ACTIONS(7247),
    [anon_sym_BSLASHAutocite] = ACTIONS(7247),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHVolcite] = ACTIONS(7247),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHavolcite] = ACTIONS(7247),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHNotecite] = ACTIONS(7247),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHlabel] = ACTIONS(7247),
    [anon_sym_BSLASHref] = ACTIONS(7247),
    [anon_sym_BSLASHeqref] = ACTIONS(7247),
    [anon_sym_BSLASHvref] = ACTIONS(7247),
    [anon_sym_BSLASHVref] = ACTIONS(7247),
    [anon_sym_BSLASHautoref] = ACTIONS(7247),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHpageref] = ACTIONS(7247),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHautopageref] = ACTIONS(7247),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcref] = ACTIONS(7247),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCref] = ACTIONS(7247),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcpageref] = ACTIONS(7247),
    [anon_sym_BSLASHCpageref] = ACTIONS(7247),
    [anon_sym_BSLASHnamecref] = ACTIONS(7247),
    [anon_sym_BSLASHnameCref] = ACTIONS(7247),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7247),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7247),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7247),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7247),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7247),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7247),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7247),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7247),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7247),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7247),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7247),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHdef] = ACTIONS(7247),
    [anon_sym_BSLASHgdef] = ACTIONS(7247),
    [anon_sym_BSLASHedef] = ACTIONS(7247),
    [anon_sym_BSLASHxdef] = ACTIONS(7247),
    [anon_sym_BSLASHlet] = ACTIONS(7247),
    [anon_sym_BSLASHglet] = ACTIONS(7247),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7247),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7247),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7247),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7247),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7247),
    [anon_sym_BSLASHgls] = ACTIONS(7247),
    [anon_sym_BSLASHGls] = ACTIONS(7247),
    [anon_sym_BSLASHGLS] = ACTIONS(7247),
    [anon_sym_BSLASHglspl] = ACTIONS(7247),
    [anon_sym_BSLASHGlspl] = ACTIONS(7247),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7247),
    [anon_sym_BSLASHglslink] = ACTIONS(7247),
    [anon_sym_BSLASHglstext] = ACTIONS(7247),
    [anon_sym_BSLASHGlstext] = ACTIONS(7247),
    [anon_sym_BSLASHGLStext] = ACTIONS(7247),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7247),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7247),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7247),
    [anon_sym_BSLASHglsplural] = ACTIONS(7247),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7247),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7247),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHglsname] = ACTIONS(7247),
    [anon_sym_BSLASHGlsname] = ACTIONS(7247),
    [anon_sym_BSLASHGLSname] = ACTIONS(7247),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7247),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7247),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7247),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7247),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7247),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7247),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7247),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7247),
    [anon_sym_BSLASHacrshort] = ACTIONS(7247),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7247),
    [anon_sym_BSLASHACRshort] = ACTIONS(7247),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHacrlong] = ACTIONS(7247),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7247),
    [anon_sym_BSLASHACRlong] = ACTIONS(7247),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHacrfull] = ACTIONS(7247),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7247),
    [anon_sym_BSLASHACRfull] = ACTIONS(7247),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHacs] = ACTIONS(7247),
    [anon_sym_BSLASHAcs] = ACTIONS(7247),
    [anon_sym_BSLASHacsp] = ACTIONS(7247),
    [anon_sym_BSLASHAcsp] = ACTIONS(7247),
    [anon_sym_BSLASHacl] = ACTIONS(7247),
    [anon_sym_BSLASHAcl] = ACTIONS(7247),
    [anon_sym_BSLASHaclp] = ACTIONS(7247),
    [anon_sym_BSLASHAclp] = ACTIONS(7247),
    [anon_sym_BSLASHacf] = ACTIONS(7247),
    [anon_sym_BSLASHAcf] = ACTIONS(7247),
    [anon_sym_BSLASHacfp] = ACTIONS(7247),
    [anon_sym_BSLASHAcfp] = ACTIONS(7247),
    [anon_sym_BSLASHac] = ACTIONS(7247),
    [anon_sym_BSLASHAc] = ACTIONS(7247),
    [anon_sym_BSLASHacp] = ACTIONS(7247),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7247),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7247),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7247),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7247),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7247),
    [anon_sym_BSLASHcolor] = ACTIONS(7247),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7247),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7247),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7247),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7247),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7247),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7247),
    [anon_sym_BSLASHurl] = ACTIONS(7247),
    [anon_sym_BSLASHhref] = ACTIONS(7247),
  },
  [1811] = {
    [sym_command_name] = ACTIONS(6911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6911),
    [anon_sym_BSLASHfi] = ACTIONS(7848),
    [anon_sym_LBRACK] = ACTIONS(6915),
    [anon_sym_RBRACK] = ACTIONS(6915),
    [anon_sym_COMMA] = ACTIONS(6915),
    [anon_sym_EQ] = ACTIONS(6915),
    [anon_sym_LPAREN] = ACTIONS(6915),
    [anon_sym_RPAREN] = ACTIONS(6915),
    [anon_sym_LBRACE] = ACTIONS(6915),
    [anon_sym_RBRACE] = ACTIONS(6915),
    [sym_word] = ACTIONS(6911),
    [sym_placeholder] = ACTIONS(6915),
    [sym_delimiter] = ACTIONS(6915),
    [anon_sym_PLUS] = ACTIONS(6915),
    [anon_sym_DASH] = ACTIONS(6915),
    [anon_sym_STAR] = ACTIONS(6915),
    [anon_sym_SLASH] = ACTIONS(6915),
    [anon_sym_LT] = ACTIONS(6911),
    [anon_sym_GT] = ACTIONS(6911),
    [anon_sym_BANG] = ACTIONS(6911),
    [anon_sym_PIPE] = ACTIONS(6911),
    [anon_sym_COLON] = ACTIONS(6911),
    [anon_sym_SQUOTE] = ACTIONS(6911),
    [anon_sym__] = ACTIONS(6915),
    [anon_sym_CARET] = ACTIONS(6915),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6915),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6915),
    [anon_sym_DOLLAR] = ACTIONS(6911),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6915),
    [anon_sym_BSLASHleft] = ACTIONS(6911),
    [anon_sym_BSLASHbigl] = ACTIONS(6911),
    [anon_sym_BSLASHBigl] = ACTIONS(6911),
    [anon_sym_BSLASHbiggl] = ACTIONS(6911),
    [anon_sym_BSLASHBiggl] = ACTIONS(6911),
    [anon_sym_BSLASHtext] = ACTIONS(6911),
    [anon_sym_BSLASHintertext] = ACTIONS(6911),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6911),
    [anon_sym_BSLASHtitle] = ACTIONS(6911),
    [anon_sym_BSLASHauthor] = ACTIONS(6911),
    [anon_sym_BSLASHusepackage] = ACTIONS(6911),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6911),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6911),
    [anon_sym_BSLASHinclude] = ACTIONS(6911),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6911),
    [anon_sym_BSLASHinput] = ACTIONS(6911),
    [anon_sym_BSLASHsubfile] = ACTIONS(6911),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6911),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6911),
    [anon_sym_BSLASHbibliography] = ACTIONS(6911),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6911),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6911),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6911),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6911),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6911),
    [anon_sym_BSLASHimport] = ACTIONS(6911),
    [anon_sym_BSLASHsubimport] = ACTIONS(6911),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6911),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6911),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6911),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6911),
    [anon_sym_BSLASHcaption] = ACTIONS(6911),
    [anon_sym_BSLASHcite] = ACTIONS(6911),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCite] = ACTIONS(6911),
    [anon_sym_BSLASHnocite] = ACTIONS(6911),
    [anon_sym_BSLASHcitet] = ACTIONS(6911),
    [anon_sym_BSLASHcitep] = ACTIONS(6911),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteA] = ACTIONS(6911),
    [anon_sym_BSLASHciteR] = ACTIONS(6911),
    [anon_sym_BSLASHciteS] = ACTIONS(6911),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6911),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6911),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6911),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6911),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteyear] = ACTIONS(6911),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitedate] = ACTIONS(6911),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteurl] = ACTIONS(6911),
    [anon_sym_BSLASHfullcite] = ACTIONS(6911),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6911),
    [anon_sym_BSLASHcitealt] = ACTIONS(6911),
    [anon_sym_BSLASHcitealp] = ACTIONS(6911),
    [anon_sym_BSLASHcitetext] = ACTIONS(6911),
    [anon_sym_BSLASHparencite] = ACTIONS(6911),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHParencite] = ACTIONS(6911),
    [anon_sym_BSLASHfootcite] = ACTIONS(6911),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6911),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6911),
    [anon_sym_BSLASHtextcite] = ACTIONS(6911),
    [anon_sym_BSLASHTextcite] = ACTIONS(6911),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6911),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6911),
    [anon_sym_BSLASHsupercite] = ACTIONS(6911),
    [anon_sym_BSLASHautocite] = ACTIONS(6911),
    [anon_sym_BSLASHAutocite] = ACTIONS(6911),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHVolcite] = ACTIONS(6911),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHavolcite] = ACTIONS(6911),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHNotecite] = ACTIONS(6911),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHlabel] = ACTIONS(6911),
    [anon_sym_BSLASHref] = ACTIONS(6911),
    [anon_sym_BSLASHeqref] = ACTIONS(6911),
    [anon_sym_BSLASHvref] = ACTIONS(6911),
    [anon_sym_BSLASHVref] = ACTIONS(6911),
    [anon_sym_BSLASHautoref] = ACTIONS(6911),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHpageref] = ACTIONS(6911),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHautopageref] = ACTIONS(6911),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcref] = ACTIONS(6911),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCref] = ACTIONS(6911),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcpageref] = ACTIONS(6911),
    [anon_sym_BSLASHCpageref] = ACTIONS(6911),
    [anon_sym_BSLASHnamecref] = ACTIONS(6911),
    [anon_sym_BSLASHnameCref] = ACTIONS(6911),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6911),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6911),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6911),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6911),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6911),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6911),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6911),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6911),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6911),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6911),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6911),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHdef] = ACTIONS(6911),
    [anon_sym_BSLASHgdef] = ACTIONS(6911),
    [anon_sym_BSLASHedef] = ACTIONS(6911),
    [anon_sym_BSLASHxdef] = ACTIONS(6911),
    [anon_sym_BSLASHlet] = ACTIONS(6911),
    [anon_sym_BSLASHglet] = ACTIONS(6911),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6911),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6911),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6911),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6911),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6911),
    [anon_sym_BSLASHgls] = ACTIONS(6911),
    [anon_sym_BSLASHGls] = ACTIONS(6911),
    [anon_sym_BSLASHGLS] = ACTIONS(6911),
    [anon_sym_BSLASHglspl] = ACTIONS(6911),
    [anon_sym_BSLASHGlspl] = ACTIONS(6911),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6911),
    [anon_sym_BSLASHglslink] = ACTIONS(6911),
    [anon_sym_BSLASHglstext] = ACTIONS(6911),
    [anon_sym_BSLASHGlstext] = ACTIONS(6911),
    [anon_sym_BSLASHGLStext] = ACTIONS(6911),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6911),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6911),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6911),
    [anon_sym_BSLASHglsplural] = ACTIONS(6911),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6911),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6911),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHglsname] = ACTIONS(6911),
    [anon_sym_BSLASHGlsname] = ACTIONS(6911),
    [anon_sym_BSLASHGLSname] = ACTIONS(6911),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6911),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6911),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6911),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6911),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6911),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6911),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6911),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6911),
    [anon_sym_BSLASHacrshort] = ACTIONS(6911),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6911),
    [anon_sym_BSLASHACRshort] = ACTIONS(6911),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHacrlong] = ACTIONS(6911),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6911),
    [anon_sym_BSLASHACRlong] = ACTIONS(6911),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHacrfull] = ACTIONS(6911),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6911),
    [anon_sym_BSLASHACRfull] = ACTIONS(6911),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHacs] = ACTIONS(6911),
    [anon_sym_BSLASHAcs] = ACTIONS(6911),
    [anon_sym_BSLASHacsp] = ACTIONS(6911),
    [anon_sym_BSLASHAcsp] = ACTIONS(6911),
    [anon_sym_BSLASHacl] = ACTIONS(6911),
    [anon_sym_BSLASHAcl] = ACTIONS(6911),
    [anon_sym_BSLASHaclp] = ACTIONS(6911),
    [anon_sym_BSLASHAclp] = ACTIONS(6911),
    [anon_sym_BSLASHacf] = ACTIONS(6911),
    [anon_sym_BSLASHAcf] = ACTIONS(6911),
    [anon_sym_BSLASHacfp] = ACTIONS(6911),
    [anon_sym_BSLASHAcfp] = ACTIONS(6911),
    [anon_sym_BSLASHac] = ACTIONS(6911),
    [anon_sym_BSLASHAc] = ACTIONS(6911),
    [anon_sym_BSLASHacp] = ACTIONS(6911),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6911),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6911),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6911),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6911),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6911),
    [anon_sym_BSLASHcolor] = ACTIONS(6911),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6911),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6911),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6911),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6911),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6911),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6911),
    [anon_sym_BSLASHurl] = ACTIONS(6911),
    [anon_sym_BSLASHhref] = ACTIONS(6911),
  },
  [1812] = {
    [sym_command_name] = ACTIONS(7251),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7251),
    [anon_sym_LBRACK] = ACTIONS(7253),
    [anon_sym_RBRACK] = ACTIONS(7253),
    [anon_sym_COMMA] = ACTIONS(7253),
    [anon_sym_EQ] = ACTIONS(7253),
    [anon_sym_LPAREN] = ACTIONS(7253),
    [anon_sym_RPAREN] = ACTIONS(7253),
    [anon_sym_LBRACE] = ACTIONS(7253),
    [sym_word] = ACTIONS(7251),
    [sym_placeholder] = ACTIONS(7253),
    [sym_delimiter] = ACTIONS(7253),
    [anon_sym_PLUS] = ACTIONS(7253),
    [anon_sym_DASH] = ACTIONS(7253),
    [anon_sym_STAR] = ACTIONS(7253),
    [anon_sym_SLASH] = ACTIONS(7253),
    [anon_sym_LT] = ACTIONS(7251),
    [anon_sym_GT] = ACTIONS(7251),
    [anon_sym_BANG] = ACTIONS(7251),
    [anon_sym_PIPE] = ACTIONS(7251),
    [anon_sym_COLON] = ACTIONS(7251),
    [anon_sym_SQUOTE] = ACTIONS(7251),
    [anon_sym__] = ACTIONS(7253),
    [anon_sym_CARET] = ACTIONS(7253),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7253),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7253),
    [anon_sym_DOLLAR] = ACTIONS(7251),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7253),
    [anon_sym_BSLASHleft] = ACTIONS(7251),
    [anon_sym_BSLASHbigl] = ACTIONS(7251),
    [anon_sym_BSLASHBigl] = ACTIONS(7251),
    [anon_sym_BSLASHbiggl] = ACTIONS(7251),
    [anon_sym_BSLASHBiggl] = ACTIONS(7251),
    [anon_sym_BSLASHtext] = ACTIONS(7251),
    [anon_sym_BSLASHintertext] = ACTIONS(7251),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7251),
    [anon_sym_BSLASHbegin] = ACTIONS(7251),
    [anon_sym_BSLASHend] = ACTIONS(7251),
    [anon_sym_BSLASHtitle] = ACTIONS(7251),
    [anon_sym_BSLASHauthor] = ACTIONS(7251),
    [anon_sym_BSLASHusepackage] = ACTIONS(7251),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7251),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7251),
    [anon_sym_BSLASHinclude] = ACTIONS(7251),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7251),
    [anon_sym_BSLASHinput] = ACTIONS(7251),
    [anon_sym_BSLASHsubfile] = ACTIONS(7251),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7251),
    [anon_sym_BSLASHbibliography] = ACTIONS(7251),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7251),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7251),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7251),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7251),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7251),
    [anon_sym_BSLASHimport] = ACTIONS(7251),
    [anon_sym_BSLASHsubimport] = ACTIONS(7251),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7251),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7251),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7251),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7251),
    [anon_sym_BSLASHcaption] = ACTIONS(7251),
    [anon_sym_BSLASHcite] = ACTIONS(7251),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCite] = ACTIONS(7251),
    [anon_sym_BSLASHnocite] = ACTIONS(7251),
    [anon_sym_BSLASHcitet] = ACTIONS(7251),
    [anon_sym_BSLASHcitep] = ACTIONS(7251),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteA] = ACTIONS(7251),
    [anon_sym_BSLASHciteR] = ACTIONS(7251),
    [anon_sym_BSLASHciteS] = ACTIONS(7251),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7251),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7251),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7251),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7251),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteyear] = ACTIONS(7251),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitedate] = ACTIONS(7251),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteurl] = ACTIONS(7251),
    [anon_sym_BSLASHfullcite] = ACTIONS(7251),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7251),
    [anon_sym_BSLASHcitealt] = ACTIONS(7251),
    [anon_sym_BSLASHcitealp] = ACTIONS(7251),
    [anon_sym_BSLASHcitetext] = ACTIONS(7251),
    [anon_sym_BSLASHparencite] = ACTIONS(7251),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHParencite] = ACTIONS(7251),
    [anon_sym_BSLASHfootcite] = ACTIONS(7251),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7251),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7251),
    [anon_sym_BSLASHtextcite] = ACTIONS(7251),
    [anon_sym_BSLASHTextcite] = ACTIONS(7251),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7251),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7251),
    [anon_sym_BSLASHsupercite] = ACTIONS(7251),
    [anon_sym_BSLASHautocite] = ACTIONS(7251),
    [anon_sym_BSLASHAutocite] = ACTIONS(7251),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHVolcite] = ACTIONS(7251),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHavolcite] = ACTIONS(7251),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHNotecite] = ACTIONS(7251),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHlabel] = ACTIONS(7251),
    [anon_sym_BSLASHref] = ACTIONS(7251),
    [anon_sym_BSLASHeqref] = ACTIONS(7251),
    [anon_sym_BSLASHvref] = ACTIONS(7251),
    [anon_sym_BSLASHVref] = ACTIONS(7251),
    [anon_sym_BSLASHautoref] = ACTIONS(7251),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHpageref] = ACTIONS(7251),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHautopageref] = ACTIONS(7251),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcref] = ACTIONS(7251),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCref] = ACTIONS(7251),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcpageref] = ACTIONS(7251),
    [anon_sym_BSLASHCpageref] = ACTIONS(7251),
    [anon_sym_BSLASHnamecref] = ACTIONS(7251),
    [anon_sym_BSLASHnameCref] = ACTIONS(7251),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7251),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7251),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7251),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7251),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7251),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7251),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7251),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7251),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7251),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7251),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7251),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHdef] = ACTIONS(7251),
    [anon_sym_BSLASHgdef] = ACTIONS(7251),
    [anon_sym_BSLASHedef] = ACTIONS(7251),
    [anon_sym_BSLASHxdef] = ACTIONS(7251),
    [anon_sym_BSLASHlet] = ACTIONS(7251),
    [anon_sym_BSLASHglet] = ACTIONS(7251),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7251),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7251),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7251),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7251),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7251),
    [anon_sym_BSLASHgls] = ACTIONS(7251),
    [anon_sym_BSLASHGls] = ACTIONS(7251),
    [anon_sym_BSLASHGLS] = ACTIONS(7251),
    [anon_sym_BSLASHglspl] = ACTIONS(7251),
    [anon_sym_BSLASHGlspl] = ACTIONS(7251),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7251),
    [anon_sym_BSLASHglslink] = ACTIONS(7251),
    [anon_sym_BSLASHglstext] = ACTIONS(7251),
    [anon_sym_BSLASHGlstext] = ACTIONS(7251),
    [anon_sym_BSLASHGLStext] = ACTIONS(7251),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7251),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7251),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7251),
    [anon_sym_BSLASHglsplural] = ACTIONS(7251),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7251),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7251),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHglsname] = ACTIONS(7251),
    [anon_sym_BSLASHGlsname] = ACTIONS(7251),
    [anon_sym_BSLASHGLSname] = ACTIONS(7251),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7251),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7251),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7251),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7251),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7251),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7251),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7251),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7251),
    [anon_sym_BSLASHacrshort] = ACTIONS(7251),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7251),
    [anon_sym_BSLASHACRshort] = ACTIONS(7251),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHacrlong] = ACTIONS(7251),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7251),
    [anon_sym_BSLASHACRlong] = ACTIONS(7251),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHacrfull] = ACTIONS(7251),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7251),
    [anon_sym_BSLASHACRfull] = ACTIONS(7251),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHacs] = ACTIONS(7251),
    [anon_sym_BSLASHAcs] = ACTIONS(7251),
    [anon_sym_BSLASHacsp] = ACTIONS(7251),
    [anon_sym_BSLASHAcsp] = ACTIONS(7251),
    [anon_sym_BSLASHacl] = ACTIONS(7251),
    [anon_sym_BSLASHAcl] = ACTIONS(7251),
    [anon_sym_BSLASHaclp] = ACTIONS(7251),
    [anon_sym_BSLASHAclp] = ACTIONS(7251),
    [anon_sym_BSLASHacf] = ACTIONS(7251),
    [anon_sym_BSLASHAcf] = ACTIONS(7251),
    [anon_sym_BSLASHacfp] = ACTIONS(7251),
    [anon_sym_BSLASHAcfp] = ACTIONS(7251),
    [anon_sym_BSLASHac] = ACTIONS(7251),
    [anon_sym_BSLASHAc] = ACTIONS(7251),
    [anon_sym_BSLASHacp] = ACTIONS(7251),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7251),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7251),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7251),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7251),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7251),
    [anon_sym_BSLASHcolor] = ACTIONS(7251),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7251),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7251),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7251),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7251),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7251),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7251),
    [anon_sym_BSLASHurl] = ACTIONS(7251),
    [anon_sym_BSLASHhref] = ACTIONS(7251),
  },
  [1813] = {
    [sym_command_name] = ACTIONS(7139),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7139),
    [anon_sym_LBRACK] = ACTIONS(7141),
    [anon_sym_RBRACK] = ACTIONS(7141),
    [anon_sym_COMMA] = ACTIONS(7141),
    [anon_sym_EQ] = ACTIONS(7141),
    [anon_sym_LPAREN] = ACTIONS(7141),
    [anon_sym_RPAREN] = ACTIONS(7141),
    [anon_sym_LBRACE] = ACTIONS(7141),
    [sym_word] = ACTIONS(7139),
    [sym_placeholder] = ACTIONS(7141),
    [sym_delimiter] = ACTIONS(7141),
    [anon_sym_PLUS] = ACTIONS(7141),
    [anon_sym_DASH] = ACTIONS(7141),
    [anon_sym_STAR] = ACTIONS(7141),
    [anon_sym_SLASH] = ACTIONS(7141),
    [anon_sym_LT] = ACTIONS(7139),
    [anon_sym_GT] = ACTIONS(7139),
    [anon_sym_BANG] = ACTIONS(7139),
    [anon_sym_PIPE] = ACTIONS(7139),
    [anon_sym_COLON] = ACTIONS(7139),
    [anon_sym_SQUOTE] = ACTIONS(7139),
    [anon_sym__] = ACTIONS(7141),
    [anon_sym_CARET] = ACTIONS(7141),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7141),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7141),
    [anon_sym_DOLLAR] = ACTIONS(7139),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7141),
    [anon_sym_BSLASHleft] = ACTIONS(7139),
    [anon_sym_BSLASHbigl] = ACTIONS(7139),
    [anon_sym_BSLASHBigl] = ACTIONS(7139),
    [anon_sym_BSLASHbiggl] = ACTIONS(7139),
    [anon_sym_BSLASHBiggl] = ACTIONS(7139),
    [anon_sym_BSLASHtext] = ACTIONS(7139),
    [anon_sym_BSLASHintertext] = ACTIONS(7139),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7139),
    [anon_sym_BSLASHbegin] = ACTIONS(7139),
    [anon_sym_BSLASHend] = ACTIONS(7139),
    [anon_sym_BSLASHtitle] = ACTIONS(7139),
    [anon_sym_BSLASHauthor] = ACTIONS(7139),
    [anon_sym_BSLASHusepackage] = ACTIONS(7139),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7139),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7139),
    [anon_sym_BSLASHinclude] = ACTIONS(7139),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7139),
    [anon_sym_BSLASHinput] = ACTIONS(7139),
    [anon_sym_BSLASHsubfile] = ACTIONS(7139),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7139),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7139),
    [anon_sym_BSLASHbibliography] = ACTIONS(7139),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7139),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7139),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7139),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7139),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7139),
    [anon_sym_BSLASHimport] = ACTIONS(7139),
    [anon_sym_BSLASHsubimport] = ACTIONS(7139),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7139),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7139),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7139),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7139),
    [anon_sym_BSLASHcaption] = ACTIONS(7139),
    [anon_sym_BSLASHcite] = ACTIONS(7139),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHCite] = ACTIONS(7139),
    [anon_sym_BSLASHnocite] = ACTIONS(7139),
    [anon_sym_BSLASHcitet] = ACTIONS(7139),
    [anon_sym_BSLASHcitep] = ACTIONS(7139),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHciteA] = ACTIONS(7139),
    [anon_sym_BSLASHciteR] = ACTIONS(7139),
    [anon_sym_BSLASHciteS] = ACTIONS(7139),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7139),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7139),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7139),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7139),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHciteyear] = ACTIONS(7139),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcitedate] = ACTIONS(7139),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHciteurl] = ACTIONS(7139),
    [anon_sym_BSLASHfullcite] = ACTIONS(7139),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7139),
    [anon_sym_BSLASHcitealt] = ACTIONS(7139),
    [anon_sym_BSLASHcitealp] = ACTIONS(7139),
    [anon_sym_BSLASHcitetext] = ACTIONS(7139),
    [anon_sym_BSLASHparencite] = ACTIONS(7139),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHParencite] = ACTIONS(7139),
    [anon_sym_BSLASHfootcite] = ACTIONS(7139),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7139),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7139),
    [anon_sym_BSLASHtextcite] = ACTIONS(7139),
    [anon_sym_BSLASHTextcite] = ACTIONS(7139),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7139),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7139),
    [anon_sym_BSLASHsupercite] = ACTIONS(7139),
    [anon_sym_BSLASHautocite] = ACTIONS(7139),
    [anon_sym_BSLASHAutocite] = ACTIONS(7139),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHVolcite] = ACTIONS(7139),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHavolcite] = ACTIONS(7139),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHnotecite] = ACTIONS(7139),
    [anon_sym_BSLASHNotecite] = ACTIONS(7139),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7139),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7139),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7139),
    [anon_sym_BSLASHlabel] = ACTIONS(7139),
    [anon_sym_BSLASHref] = ACTIONS(7139),
    [anon_sym_BSLASHeqref] = ACTIONS(7139),
    [anon_sym_BSLASHvref] = ACTIONS(7139),
    [anon_sym_BSLASHVref] = ACTIONS(7139),
    [anon_sym_BSLASHautoref] = ACTIONS(7139),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHpageref] = ACTIONS(7139),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHautopageref] = ACTIONS(7139),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcref] = ACTIONS(7139),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHCref] = ACTIONS(7139),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcpageref] = ACTIONS(7139),
    [anon_sym_BSLASHCpageref] = ACTIONS(7139),
    [anon_sym_BSLASHnamecref] = ACTIONS(7139),
    [anon_sym_BSLASHnameCref] = ACTIONS(7139),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7139),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7139),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7139),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7139),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7139),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7139),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7139),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7139),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7139),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7139),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7139),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7139),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7139),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7139),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7139),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7139),
    [anon_sym_BSLASHdef] = ACTIONS(7139),
    [anon_sym_BSLASHgdef] = ACTIONS(7139),
    [anon_sym_BSLASHedef] = ACTIONS(7139),
    [anon_sym_BSLASHxdef] = ACTIONS(7139),
    [anon_sym_BSLASHlet] = ACTIONS(7139),
    [anon_sym_BSLASHglet] = ACTIONS(7139),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7139),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7139),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7139),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7139),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7139),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7139),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7139),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7139),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7139),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7139),
    [anon_sym_BSLASHgls] = ACTIONS(7139),
    [anon_sym_BSLASHGls] = ACTIONS(7139),
    [anon_sym_BSLASHGLS] = ACTIONS(7139),
    [anon_sym_BSLASHglspl] = ACTIONS(7139),
    [anon_sym_BSLASHGlspl] = ACTIONS(7139),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7139),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7139),
    [anon_sym_BSLASHglslink] = ACTIONS(7139),
    [anon_sym_BSLASHglstext] = ACTIONS(7139),
    [anon_sym_BSLASHGlstext] = ACTIONS(7139),
    [anon_sym_BSLASHGLStext] = ACTIONS(7139),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7139),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7139),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7139),
    [anon_sym_BSLASHglsplural] = ACTIONS(7139),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7139),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7139),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7139),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7139),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7139),
    [anon_sym_BSLASHglsname] = ACTIONS(7139),
    [anon_sym_BSLASHGlsname] = ACTIONS(7139),
    [anon_sym_BSLASHGLSname] = ACTIONS(7139),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7139),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7139),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7139),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7139),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7139),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7139),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7139),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7139),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7139),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7139),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7139),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7139),
    [anon_sym_BSLASHacrshort] = ACTIONS(7139),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7139),
    [anon_sym_BSLASHACRshort] = ACTIONS(7139),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHacrlong] = ACTIONS(7139),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7139),
    [anon_sym_BSLASHACRlong] = ACTIONS(7139),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7139),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7139),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7139),
    [anon_sym_BSLASHacrfull] = ACTIONS(7139),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7139),
    [anon_sym_BSLASHACRfull] = ACTIONS(7139),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHacs] = ACTIONS(7139),
    [anon_sym_BSLASHAcs] = ACTIONS(7139),
    [anon_sym_BSLASHacsp] = ACTIONS(7139),
    [anon_sym_BSLASHAcsp] = ACTIONS(7139),
    [anon_sym_BSLASHacl] = ACTIONS(7139),
    [anon_sym_BSLASHAcl] = ACTIONS(7139),
    [anon_sym_BSLASHaclp] = ACTIONS(7139),
    [anon_sym_BSLASHAclp] = ACTIONS(7139),
    [anon_sym_BSLASHacf] = ACTIONS(7139),
    [anon_sym_BSLASHAcf] = ACTIONS(7139),
    [anon_sym_BSLASHacfp] = ACTIONS(7139),
    [anon_sym_BSLASHAcfp] = ACTIONS(7139),
    [anon_sym_BSLASHac] = ACTIONS(7139),
    [anon_sym_BSLASHAc] = ACTIONS(7139),
    [anon_sym_BSLASHacp] = ACTIONS(7139),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7139),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7139),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7139),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7139),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7139),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7139),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7139),
    [anon_sym_BSLASHcolor] = ACTIONS(7139),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7139),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7139),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7139),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7139),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7139),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7139),
    [anon_sym_BSLASHurl] = ACTIONS(7139),
    [anon_sym_BSLASHhref] = ACTIONS(7139),
  },
  [1814] = {
    [sym_command_name] = ACTIONS(7115),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7115),
    [anon_sym_LBRACK] = ACTIONS(7117),
    [anon_sym_RBRACK] = ACTIONS(7117),
    [anon_sym_COMMA] = ACTIONS(7117),
    [anon_sym_EQ] = ACTIONS(7117),
    [anon_sym_LPAREN] = ACTIONS(7117),
    [anon_sym_RPAREN] = ACTIONS(7117),
    [anon_sym_LBRACE] = ACTIONS(7117),
    [sym_word] = ACTIONS(7115),
    [sym_placeholder] = ACTIONS(7117),
    [sym_delimiter] = ACTIONS(7117),
    [anon_sym_PLUS] = ACTIONS(7117),
    [anon_sym_DASH] = ACTIONS(7117),
    [anon_sym_STAR] = ACTIONS(7117),
    [anon_sym_SLASH] = ACTIONS(7117),
    [anon_sym_LT] = ACTIONS(7115),
    [anon_sym_GT] = ACTIONS(7115),
    [anon_sym_BANG] = ACTIONS(7115),
    [anon_sym_PIPE] = ACTIONS(7115),
    [anon_sym_COLON] = ACTIONS(7115),
    [anon_sym_SQUOTE] = ACTIONS(7115),
    [anon_sym__] = ACTIONS(7117),
    [anon_sym_CARET] = ACTIONS(7117),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7117),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7117),
    [anon_sym_DOLLAR] = ACTIONS(7115),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7117),
    [anon_sym_BSLASHleft] = ACTIONS(7115),
    [anon_sym_BSLASHbigl] = ACTIONS(7115),
    [anon_sym_BSLASHBigl] = ACTIONS(7115),
    [anon_sym_BSLASHbiggl] = ACTIONS(7115),
    [anon_sym_BSLASHBiggl] = ACTIONS(7115),
    [anon_sym_BSLASHtext] = ACTIONS(7115),
    [anon_sym_BSLASHintertext] = ACTIONS(7115),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7115),
    [anon_sym_BSLASHbegin] = ACTIONS(7115),
    [anon_sym_BSLASHend] = ACTIONS(7115),
    [anon_sym_BSLASHtitle] = ACTIONS(7115),
    [anon_sym_BSLASHauthor] = ACTIONS(7115),
    [anon_sym_BSLASHusepackage] = ACTIONS(7115),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7115),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7115),
    [anon_sym_BSLASHinclude] = ACTIONS(7115),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7115),
    [anon_sym_BSLASHinput] = ACTIONS(7115),
    [anon_sym_BSLASHsubfile] = ACTIONS(7115),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7115),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7115),
    [anon_sym_BSLASHbibliography] = ACTIONS(7115),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7115),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7115),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7115),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7115),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7115),
    [anon_sym_BSLASHimport] = ACTIONS(7115),
    [anon_sym_BSLASHsubimport] = ACTIONS(7115),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7115),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7115),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7115),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7115),
    [anon_sym_BSLASHcaption] = ACTIONS(7115),
    [anon_sym_BSLASHcite] = ACTIONS(7115),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHCite] = ACTIONS(7115),
    [anon_sym_BSLASHnocite] = ACTIONS(7115),
    [anon_sym_BSLASHcitet] = ACTIONS(7115),
    [anon_sym_BSLASHcitep] = ACTIONS(7115),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHciteA] = ACTIONS(7115),
    [anon_sym_BSLASHciteR] = ACTIONS(7115),
    [anon_sym_BSLASHciteS] = ACTIONS(7115),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7115),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7115),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7115),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7115),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHciteyear] = ACTIONS(7115),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcitedate] = ACTIONS(7115),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHciteurl] = ACTIONS(7115),
    [anon_sym_BSLASHfullcite] = ACTIONS(7115),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7115),
    [anon_sym_BSLASHcitealt] = ACTIONS(7115),
    [anon_sym_BSLASHcitealp] = ACTIONS(7115),
    [anon_sym_BSLASHcitetext] = ACTIONS(7115),
    [anon_sym_BSLASHparencite] = ACTIONS(7115),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHParencite] = ACTIONS(7115),
    [anon_sym_BSLASHfootcite] = ACTIONS(7115),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7115),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7115),
    [anon_sym_BSLASHtextcite] = ACTIONS(7115),
    [anon_sym_BSLASHTextcite] = ACTIONS(7115),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7115),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7115),
    [anon_sym_BSLASHsupercite] = ACTIONS(7115),
    [anon_sym_BSLASHautocite] = ACTIONS(7115),
    [anon_sym_BSLASHAutocite] = ACTIONS(7115),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHVolcite] = ACTIONS(7115),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHavolcite] = ACTIONS(7115),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHnotecite] = ACTIONS(7115),
    [anon_sym_BSLASHNotecite] = ACTIONS(7115),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7115),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7115),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7115),
    [anon_sym_BSLASHlabel] = ACTIONS(7115),
    [anon_sym_BSLASHref] = ACTIONS(7115),
    [anon_sym_BSLASHeqref] = ACTIONS(7115),
    [anon_sym_BSLASHvref] = ACTIONS(7115),
    [anon_sym_BSLASHVref] = ACTIONS(7115),
    [anon_sym_BSLASHautoref] = ACTIONS(7115),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHpageref] = ACTIONS(7115),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHautopageref] = ACTIONS(7115),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcref] = ACTIONS(7115),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHCref] = ACTIONS(7115),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcpageref] = ACTIONS(7115),
    [anon_sym_BSLASHCpageref] = ACTIONS(7115),
    [anon_sym_BSLASHnamecref] = ACTIONS(7115),
    [anon_sym_BSLASHnameCref] = ACTIONS(7115),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7115),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7115),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7115),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7115),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7115),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7115),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7115),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7115),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7115),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7115),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7115),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7115),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7115),
    [anon_sym_BSLASHdef] = ACTIONS(7115),
    [anon_sym_BSLASHgdef] = ACTIONS(7115),
    [anon_sym_BSLASHedef] = ACTIONS(7115),
    [anon_sym_BSLASHxdef] = ACTIONS(7115),
    [anon_sym_BSLASHlet] = ACTIONS(7115),
    [anon_sym_BSLASHglet] = ACTIONS(7115),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7115),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7115),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7115),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7115),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7115),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7115),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7115),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7115),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7115),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7115),
    [anon_sym_BSLASHgls] = ACTIONS(7115),
    [anon_sym_BSLASHGls] = ACTIONS(7115),
    [anon_sym_BSLASHGLS] = ACTIONS(7115),
    [anon_sym_BSLASHglspl] = ACTIONS(7115),
    [anon_sym_BSLASHGlspl] = ACTIONS(7115),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7115),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7115),
    [anon_sym_BSLASHglslink] = ACTIONS(7115),
    [anon_sym_BSLASHglstext] = ACTIONS(7115),
    [anon_sym_BSLASHGlstext] = ACTIONS(7115),
    [anon_sym_BSLASHGLStext] = ACTIONS(7115),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7115),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7115),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7115),
    [anon_sym_BSLASHglsplural] = ACTIONS(7115),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7115),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7115),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7115),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7115),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7115),
    [anon_sym_BSLASHglsname] = ACTIONS(7115),
    [anon_sym_BSLASHGlsname] = ACTIONS(7115),
    [anon_sym_BSLASHGLSname] = ACTIONS(7115),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7115),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7115),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7115),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7115),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7115),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7115),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7115),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7115),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7115),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7115),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7115),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7115),
    [anon_sym_BSLASHacrshort] = ACTIONS(7115),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7115),
    [anon_sym_BSLASHACRshort] = ACTIONS(7115),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHacrlong] = ACTIONS(7115),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7115),
    [anon_sym_BSLASHACRlong] = ACTIONS(7115),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7115),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7115),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7115),
    [anon_sym_BSLASHacrfull] = ACTIONS(7115),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7115),
    [anon_sym_BSLASHACRfull] = ACTIONS(7115),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHacs] = ACTIONS(7115),
    [anon_sym_BSLASHAcs] = ACTIONS(7115),
    [anon_sym_BSLASHacsp] = ACTIONS(7115),
    [anon_sym_BSLASHAcsp] = ACTIONS(7115),
    [anon_sym_BSLASHacl] = ACTIONS(7115),
    [anon_sym_BSLASHAcl] = ACTIONS(7115),
    [anon_sym_BSLASHaclp] = ACTIONS(7115),
    [anon_sym_BSLASHAclp] = ACTIONS(7115),
    [anon_sym_BSLASHacf] = ACTIONS(7115),
    [anon_sym_BSLASHAcf] = ACTIONS(7115),
    [anon_sym_BSLASHacfp] = ACTIONS(7115),
    [anon_sym_BSLASHAcfp] = ACTIONS(7115),
    [anon_sym_BSLASHac] = ACTIONS(7115),
    [anon_sym_BSLASHAc] = ACTIONS(7115),
    [anon_sym_BSLASHacp] = ACTIONS(7115),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7115),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7115),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7115),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7115),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7115),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7115),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7115),
    [anon_sym_BSLASHcolor] = ACTIONS(7115),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7115),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7115),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7115),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7115),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7115),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7115),
    [anon_sym_BSLASHurl] = ACTIONS(7115),
    [anon_sym_BSLASHhref] = ACTIONS(7115),
  },
  [1815] = {
    [sym_command_name] = ACTIONS(7119),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7119),
    [anon_sym_LBRACK] = ACTIONS(7121),
    [anon_sym_RBRACK] = ACTIONS(7121),
    [anon_sym_COMMA] = ACTIONS(7121),
    [anon_sym_EQ] = ACTIONS(7121),
    [anon_sym_LPAREN] = ACTIONS(7121),
    [anon_sym_RPAREN] = ACTIONS(7121),
    [anon_sym_LBRACE] = ACTIONS(7121),
    [sym_word] = ACTIONS(7119),
    [sym_placeholder] = ACTIONS(7121),
    [sym_delimiter] = ACTIONS(7121),
    [anon_sym_PLUS] = ACTIONS(7121),
    [anon_sym_DASH] = ACTIONS(7121),
    [anon_sym_STAR] = ACTIONS(7121),
    [anon_sym_SLASH] = ACTIONS(7121),
    [anon_sym_LT] = ACTIONS(7119),
    [anon_sym_GT] = ACTIONS(7119),
    [anon_sym_BANG] = ACTIONS(7119),
    [anon_sym_PIPE] = ACTIONS(7119),
    [anon_sym_COLON] = ACTIONS(7119),
    [anon_sym_SQUOTE] = ACTIONS(7119),
    [anon_sym__] = ACTIONS(7121),
    [anon_sym_CARET] = ACTIONS(7121),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7121),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7121),
    [anon_sym_DOLLAR] = ACTIONS(7119),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7121),
    [anon_sym_BSLASHleft] = ACTIONS(7119),
    [anon_sym_BSLASHbigl] = ACTIONS(7119),
    [anon_sym_BSLASHBigl] = ACTIONS(7119),
    [anon_sym_BSLASHbiggl] = ACTIONS(7119),
    [anon_sym_BSLASHBiggl] = ACTIONS(7119),
    [anon_sym_BSLASHtext] = ACTIONS(7119),
    [anon_sym_BSLASHintertext] = ACTIONS(7119),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7119),
    [anon_sym_BSLASHbegin] = ACTIONS(7119),
    [anon_sym_BSLASHend] = ACTIONS(7119),
    [anon_sym_BSLASHtitle] = ACTIONS(7119),
    [anon_sym_BSLASHauthor] = ACTIONS(7119),
    [anon_sym_BSLASHusepackage] = ACTIONS(7119),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7119),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7119),
    [anon_sym_BSLASHinclude] = ACTIONS(7119),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7119),
    [anon_sym_BSLASHinput] = ACTIONS(7119),
    [anon_sym_BSLASHsubfile] = ACTIONS(7119),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7119),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7119),
    [anon_sym_BSLASHbibliography] = ACTIONS(7119),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7119),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7119),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7119),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7119),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7119),
    [anon_sym_BSLASHimport] = ACTIONS(7119),
    [anon_sym_BSLASHsubimport] = ACTIONS(7119),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7119),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7119),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7119),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7119),
    [anon_sym_BSLASHcaption] = ACTIONS(7119),
    [anon_sym_BSLASHcite] = ACTIONS(7119),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHCite] = ACTIONS(7119),
    [anon_sym_BSLASHnocite] = ACTIONS(7119),
    [anon_sym_BSLASHcitet] = ACTIONS(7119),
    [anon_sym_BSLASHcitep] = ACTIONS(7119),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHciteA] = ACTIONS(7119),
    [anon_sym_BSLASHciteR] = ACTIONS(7119),
    [anon_sym_BSLASHciteS] = ACTIONS(7119),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7119),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7119),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7119),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7119),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHciteyear] = ACTIONS(7119),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcitedate] = ACTIONS(7119),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHciteurl] = ACTIONS(7119),
    [anon_sym_BSLASHfullcite] = ACTIONS(7119),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7119),
    [anon_sym_BSLASHcitealt] = ACTIONS(7119),
    [anon_sym_BSLASHcitealp] = ACTIONS(7119),
    [anon_sym_BSLASHcitetext] = ACTIONS(7119),
    [anon_sym_BSLASHparencite] = ACTIONS(7119),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHParencite] = ACTIONS(7119),
    [anon_sym_BSLASHfootcite] = ACTIONS(7119),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7119),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7119),
    [anon_sym_BSLASHtextcite] = ACTIONS(7119),
    [anon_sym_BSLASHTextcite] = ACTIONS(7119),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7119),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7119),
    [anon_sym_BSLASHsupercite] = ACTIONS(7119),
    [anon_sym_BSLASHautocite] = ACTIONS(7119),
    [anon_sym_BSLASHAutocite] = ACTIONS(7119),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHVolcite] = ACTIONS(7119),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHavolcite] = ACTIONS(7119),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHnotecite] = ACTIONS(7119),
    [anon_sym_BSLASHNotecite] = ACTIONS(7119),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7119),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7119),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7119),
    [anon_sym_BSLASHlabel] = ACTIONS(7119),
    [anon_sym_BSLASHref] = ACTIONS(7119),
    [anon_sym_BSLASHeqref] = ACTIONS(7119),
    [anon_sym_BSLASHvref] = ACTIONS(7119),
    [anon_sym_BSLASHVref] = ACTIONS(7119),
    [anon_sym_BSLASHautoref] = ACTIONS(7119),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHpageref] = ACTIONS(7119),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHautopageref] = ACTIONS(7119),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcref] = ACTIONS(7119),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHCref] = ACTIONS(7119),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcpageref] = ACTIONS(7119),
    [anon_sym_BSLASHCpageref] = ACTIONS(7119),
    [anon_sym_BSLASHnamecref] = ACTIONS(7119),
    [anon_sym_BSLASHnameCref] = ACTIONS(7119),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7119),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7119),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7119),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7119),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7119),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7119),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7119),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7119),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7119),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7119),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7119),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7119),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7119),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7119),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7119),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7119),
    [anon_sym_BSLASHdef] = ACTIONS(7119),
    [anon_sym_BSLASHgdef] = ACTIONS(7119),
    [anon_sym_BSLASHedef] = ACTIONS(7119),
    [anon_sym_BSLASHxdef] = ACTIONS(7119),
    [anon_sym_BSLASHlet] = ACTIONS(7119),
    [anon_sym_BSLASHglet] = ACTIONS(7119),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7119),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7119),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7119),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7119),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7119),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7119),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7119),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7119),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7119),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7119),
    [anon_sym_BSLASHgls] = ACTIONS(7119),
    [anon_sym_BSLASHGls] = ACTIONS(7119),
    [anon_sym_BSLASHGLS] = ACTIONS(7119),
    [anon_sym_BSLASHglspl] = ACTIONS(7119),
    [anon_sym_BSLASHGlspl] = ACTIONS(7119),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7119),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7119),
    [anon_sym_BSLASHglslink] = ACTIONS(7119),
    [anon_sym_BSLASHglstext] = ACTIONS(7119),
    [anon_sym_BSLASHGlstext] = ACTIONS(7119),
    [anon_sym_BSLASHGLStext] = ACTIONS(7119),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7119),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7119),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7119),
    [anon_sym_BSLASHglsplural] = ACTIONS(7119),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7119),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7119),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7119),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7119),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7119),
    [anon_sym_BSLASHglsname] = ACTIONS(7119),
    [anon_sym_BSLASHGlsname] = ACTIONS(7119),
    [anon_sym_BSLASHGLSname] = ACTIONS(7119),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7119),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7119),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7119),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7119),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7119),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7119),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7119),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7119),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7119),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7119),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7119),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7119),
    [anon_sym_BSLASHacrshort] = ACTIONS(7119),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7119),
    [anon_sym_BSLASHACRshort] = ACTIONS(7119),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHacrlong] = ACTIONS(7119),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7119),
    [anon_sym_BSLASHACRlong] = ACTIONS(7119),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7119),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7119),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7119),
    [anon_sym_BSLASHacrfull] = ACTIONS(7119),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7119),
    [anon_sym_BSLASHACRfull] = ACTIONS(7119),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHacs] = ACTIONS(7119),
    [anon_sym_BSLASHAcs] = ACTIONS(7119),
    [anon_sym_BSLASHacsp] = ACTIONS(7119),
    [anon_sym_BSLASHAcsp] = ACTIONS(7119),
    [anon_sym_BSLASHacl] = ACTIONS(7119),
    [anon_sym_BSLASHAcl] = ACTIONS(7119),
    [anon_sym_BSLASHaclp] = ACTIONS(7119),
    [anon_sym_BSLASHAclp] = ACTIONS(7119),
    [anon_sym_BSLASHacf] = ACTIONS(7119),
    [anon_sym_BSLASHAcf] = ACTIONS(7119),
    [anon_sym_BSLASHacfp] = ACTIONS(7119),
    [anon_sym_BSLASHAcfp] = ACTIONS(7119),
    [anon_sym_BSLASHac] = ACTIONS(7119),
    [anon_sym_BSLASHAc] = ACTIONS(7119),
    [anon_sym_BSLASHacp] = ACTIONS(7119),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7119),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7119),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7119),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7119),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7119),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7119),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7119),
    [anon_sym_BSLASHcolor] = ACTIONS(7119),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7119),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7119),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7119),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7119),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7119),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7119),
    [anon_sym_BSLASHurl] = ACTIONS(7119),
    [anon_sym_BSLASHhref] = ACTIONS(7119),
  },
  [1816] = {
    [sym_curly_group] = STATE(1995),
    [sym_command_name] = ACTIONS(6947),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6947),
    [anon_sym_LBRACK] = ACTIONS(6949),
    [anon_sym_RBRACK] = ACTIONS(6949),
    [anon_sym_COMMA] = ACTIONS(6949),
    [anon_sym_EQ] = ACTIONS(6949),
    [anon_sym_LPAREN] = ACTIONS(6949),
    [anon_sym_RPAREN] = ACTIONS(6949),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(6949),
    [sym_word] = ACTIONS(6947),
    [sym_placeholder] = ACTIONS(6949),
    [sym_delimiter] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6949),
    [anon_sym_DASH] = ACTIONS(6949),
    [anon_sym_STAR] = ACTIONS(6949),
    [anon_sym_SLASH] = ACTIONS(6949),
    [anon_sym_LT] = ACTIONS(6947),
    [anon_sym_GT] = ACTIONS(6947),
    [anon_sym_BANG] = ACTIONS(6947),
    [anon_sym_PIPE] = ACTIONS(6947),
    [anon_sym_COLON] = ACTIONS(6947),
    [anon_sym_SQUOTE] = ACTIONS(6947),
    [anon_sym__] = ACTIONS(6949),
    [anon_sym_CARET] = ACTIONS(6949),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6949),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6949),
    [anon_sym_DOLLAR] = ACTIONS(6947),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6949),
    [anon_sym_BSLASHleft] = ACTIONS(6947),
    [anon_sym_BSLASHbigl] = ACTIONS(6947),
    [anon_sym_BSLASHBigl] = ACTIONS(6947),
    [anon_sym_BSLASHbiggl] = ACTIONS(6947),
    [anon_sym_BSLASHBiggl] = ACTIONS(6947),
    [anon_sym_BSLASHtext] = ACTIONS(6947),
    [anon_sym_BSLASHintertext] = ACTIONS(6947),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6947),
    [anon_sym_BSLASHtitle] = ACTIONS(6947),
    [anon_sym_BSLASHauthor] = ACTIONS(6947),
    [anon_sym_BSLASHusepackage] = ACTIONS(6947),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6947),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6947),
    [anon_sym_BSLASHinclude] = ACTIONS(6947),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6947),
    [anon_sym_BSLASHinput] = ACTIONS(6947),
    [anon_sym_BSLASHsubfile] = ACTIONS(6947),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6947),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6947),
    [anon_sym_BSLASHbibliography] = ACTIONS(6947),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6947),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6947),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6947),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6947),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6947),
    [anon_sym_BSLASHimport] = ACTIONS(6947),
    [anon_sym_BSLASHsubimport] = ACTIONS(6947),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6947),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6947),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6947),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6947),
    [anon_sym_BSLASHcaption] = ACTIONS(6947),
    [anon_sym_BSLASHcite] = ACTIONS(6947),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCite] = ACTIONS(6947),
    [anon_sym_BSLASHnocite] = ACTIONS(6947),
    [anon_sym_BSLASHcitet] = ACTIONS(6947),
    [anon_sym_BSLASHcitep] = ACTIONS(6947),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteA] = ACTIONS(6947),
    [anon_sym_BSLASHciteR] = ACTIONS(6947),
    [anon_sym_BSLASHciteS] = ACTIONS(6947),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6947),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6947),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6947),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6947),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteyear] = ACTIONS(6947),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitedate] = ACTIONS(6947),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteurl] = ACTIONS(6947),
    [anon_sym_BSLASHfullcite] = ACTIONS(6947),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6947),
    [anon_sym_BSLASHcitealt] = ACTIONS(6947),
    [anon_sym_BSLASHcitealp] = ACTIONS(6947),
    [anon_sym_BSLASHcitetext] = ACTIONS(6947),
    [anon_sym_BSLASHparencite] = ACTIONS(6947),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHParencite] = ACTIONS(6947),
    [anon_sym_BSLASHfootcite] = ACTIONS(6947),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6947),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6947),
    [anon_sym_BSLASHtextcite] = ACTIONS(6947),
    [anon_sym_BSLASHTextcite] = ACTIONS(6947),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6947),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6947),
    [anon_sym_BSLASHsupercite] = ACTIONS(6947),
    [anon_sym_BSLASHautocite] = ACTIONS(6947),
    [anon_sym_BSLASHAutocite] = ACTIONS(6947),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHVolcite] = ACTIONS(6947),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHavolcite] = ACTIONS(6947),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHNotecite] = ACTIONS(6947),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHlabel] = ACTIONS(6947),
    [anon_sym_BSLASHref] = ACTIONS(6947),
    [anon_sym_BSLASHeqref] = ACTIONS(6947),
    [anon_sym_BSLASHvref] = ACTIONS(6947),
    [anon_sym_BSLASHVref] = ACTIONS(6947),
    [anon_sym_BSLASHautoref] = ACTIONS(6947),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHpageref] = ACTIONS(6947),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHautopageref] = ACTIONS(6947),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcref] = ACTIONS(6947),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCref] = ACTIONS(6947),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcpageref] = ACTIONS(6947),
    [anon_sym_BSLASHCpageref] = ACTIONS(6947),
    [anon_sym_BSLASHnamecref] = ACTIONS(6947),
    [anon_sym_BSLASHnameCref] = ACTIONS(6947),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6947),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6947),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6947),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6947),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6947),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6947),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6947),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6947),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6947),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6947),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6947),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHdef] = ACTIONS(6947),
    [anon_sym_BSLASHgdef] = ACTIONS(6947),
    [anon_sym_BSLASHedef] = ACTIONS(6947),
    [anon_sym_BSLASHxdef] = ACTIONS(6947),
    [anon_sym_BSLASHlet] = ACTIONS(6947),
    [anon_sym_BSLASHglet] = ACTIONS(6947),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6947),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6947),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6947),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6947),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6947),
    [anon_sym_BSLASHgls] = ACTIONS(6947),
    [anon_sym_BSLASHGls] = ACTIONS(6947),
    [anon_sym_BSLASHGLS] = ACTIONS(6947),
    [anon_sym_BSLASHglspl] = ACTIONS(6947),
    [anon_sym_BSLASHGlspl] = ACTIONS(6947),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6947),
    [anon_sym_BSLASHglslink] = ACTIONS(6947),
    [anon_sym_BSLASHglstext] = ACTIONS(6947),
    [anon_sym_BSLASHGlstext] = ACTIONS(6947),
    [anon_sym_BSLASHGLStext] = ACTIONS(6947),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6947),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6947),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6947),
    [anon_sym_BSLASHglsplural] = ACTIONS(6947),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6947),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6947),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHglsname] = ACTIONS(6947),
    [anon_sym_BSLASHGlsname] = ACTIONS(6947),
    [anon_sym_BSLASHGLSname] = ACTIONS(6947),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6947),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6947),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6947),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6947),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6947),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6947),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6947),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6947),
    [anon_sym_BSLASHacrshort] = ACTIONS(6947),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6947),
    [anon_sym_BSLASHACRshort] = ACTIONS(6947),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHacrlong] = ACTIONS(6947),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6947),
    [anon_sym_BSLASHACRlong] = ACTIONS(6947),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHacrfull] = ACTIONS(6947),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6947),
    [anon_sym_BSLASHACRfull] = ACTIONS(6947),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHacs] = ACTIONS(6947),
    [anon_sym_BSLASHAcs] = ACTIONS(6947),
    [anon_sym_BSLASHacsp] = ACTIONS(6947),
    [anon_sym_BSLASHAcsp] = ACTIONS(6947),
    [anon_sym_BSLASHacl] = ACTIONS(6947),
    [anon_sym_BSLASHAcl] = ACTIONS(6947),
    [anon_sym_BSLASHaclp] = ACTIONS(6947),
    [anon_sym_BSLASHAclp] = ACTIONS(6947),
    [anon_sym_BSLASHacf] = ACTIONS(6947),
    [anon_sym_BSLASHAcf] = ACTIONS(6947),
    [anon_sym_BSLASHacfp] = ACTIONS(6947),
    [anon_sym_BSLASHAcfp] = ACTIONS(6947),
    [anon_sym_BSLASHac] = ACTIONS(6947),
    [anon_sym_BSLASHAc] = ACTIONS(6947),
    [anon_sym_BSLASHacp] = ACTIONS(6947),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6947),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6947),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6947),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6947),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6947),
    [anon_sym_BSLASHcolor] = ACTIONS(6947),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6947),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6947),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6947),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6947),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6947),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6947),
    [anon_sym_BSLASHurl] = ACTIONS(6947),
    [anon_sym_BSLASHhref] = ACTIONS(6947),
  },
  [1817] = {
    [sym_curly_group] = STATE(1997),
    [sym_command_name] = ACTIONS(6943),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6943),
    [anon_sym_LBRACK] = ACTIONS(6945),
    [anon_sym_RBRACK] = ACTIONS(6945),
    [anon_sym_COMMA] = ACTIONS(6945),
    [anon_sym_EQ] = ACTIONS(6945),
    [anon_sym_LPAREN] = ACTIONS(6945),
    [anon_sym_RPAREN] = ACTIONS(6945),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(6945),
    [sym_word] = ACTIONS(6943),
    [sym_placeholder] = ACTIONS(6945),
    [sym_delimiter] = ACTIONS(6945),
    [anon_sym_PLUS] = ACTIONS(6945),
    [anon_sym_DASH] = ACTIONS(6945),
    [anon_sym_STAR] = ACTIONS(6945),
    [anon_sym_SLASH] = ACTIONS(6945),
    [anon_sym_LT] = ACTIONS(6943),
    [anon_sym_GT] = ACTIONS(6943),
    [anon_sym_BANG] = ACTIONS(6943),
    [anon_sym_PIPE] = ACTIONS(6943),
    [anon_sym_COLON] = ACTIONS(6943),
    [anon_sym_SQUOTE] = ACTIONS(6943),
    [anon_sym__] = ACTIONS(6945),
    [anon_sym_CARET] = ACTIONS(6945),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6945),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6945),
    [anon_sym_DOLLAR] = ACTIONS(6943),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6945),
    [anon_sym_BSLASHleft] = ACTIONS(6943),
    [anon_sym_BSLASHbigl] = ACTIONS(6943),
    [anon_sym_BSLASHBigl] = ACTIONS(6943),
    [anon_sym_BSLASHbiggl] = ACTIONS(6943),
    [anon_sym_BSLASHBiggl] = ACTIONS(6943),
    [anon_sym_BSLASHtext] = ACTIONS(6943),
    [anon_sym_BSLASHintertext] = ACTIONS(6943),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6943),
    [anon_sym_BSLASHtitle] = ACTIONS(6943),
    [anon_sym_BSLASHauthor] = ACTIONS(6943),
    [anon_sym_BSLASHusepackage] = ACTIONS(6943),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6943),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6943),
    [anon_sym_BSLASHinclude] = ACTIONS(6943),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6943),
    [anon_sym_BSLASHinput] = ACTIONS(6943),
    [anon_sym_BSLASHsubfile] = ACTIONS(6943),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6943),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6943),
    [anon_sym_BSLASHbibliography] = ACTIONS(6943),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6943),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6943),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6943),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6943),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6943),
    [anon_sym_BSLASHimport] = ACTIONS(6943),
    [anon_sym_BSLASHsubimport] = ACTIONS(6943),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6943),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6943),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6943),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6943),
    [anon_sym_BSLASHcaption] = ACTIONS(6943),
    [anon_sym_BSLASHcite] = ACTIONS(6943),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCite] = ACTIONS(6943),
    [anon_sym_BSLASHnocite] = ACTIONS(6943),
    [anon_sym_BSLASHcitet] = ACTIONS(6943),
    [anon_sym_BSLASHcitep] = ACTIONS(6943),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteA] = ACTIONS(6943),
    [anon_sym_BSLASHciteR] = ACTIONS(6943),
    [anon_sym_BSLASHciteS] = ACTIONS(6943),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6943),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6943),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6943),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6943),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteyear] = ACTIONS(6943),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitedate] = ACTIONS(6943),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteurl] = ACTIONS(6943),
    [anon_sym_BSLASHfullcite] = ACTIONS(6943),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6943),
    [anon_sym_BSLASHcitealt] = ACTIONS(6943),
    [anon_sym_BSLASHcitealp] = ACTIONS(6943),
    [anon_sym_BSLASHcitetext] = ACTIONS(6943),
    [anon_sym_BSLASHparencite] = ACTIONS(6943),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHParencite] = ACTIONS(6943),
    [anon_sym_BSLASHfootcite] = ACTIONS(6943),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6943),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6943),
    [anon_sym_BSLASHtextcite] = ACTIONS(6943),
    [anon_sym_BSLASHTextcite] = ACTIONS(6943),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6943),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6943),
    [anon_sym_BSLASHsupercite] = ACTIONS(6943),
    [anon_sym_BSLASHautocite] = ACTIONS(6943),
    [anon_sym_BSLASHAutocite] = ACTIONS(6943),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHVolcite] = ACTIONS(6943),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHavolcite] = ACTIONS(6943),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHNotecite] = ACTIONS(6943),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHlabel] = ACTIONS(6943),
    [anon_sym_BSLASHref] = ACTIONS(6943),
    [anon_sym_BSLASHeqref] = ACTIONS(6943),
    [anon_sym_BSLASHvref] = ACTIONS(6943),
    [anon_sym_BSLASHVref] = ACTIONS(6943),
    [anon_sym_BSLASHautoref] = ACTIONS(6943),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHpageref] = ACTIONS(6943),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHautopageref] = ACTIONS(6943),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcref] = ACTIONS(6943),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCref] = ACTIONS(6943),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcpageref] = ACTIONS(6943),
    [anon_sym_BSLASHCpageref] = ACTIONS(6943),
    [anon_sym_BSLASHnamecref] = ACTIONS(6943),
    [anon_sym_BSLASHnameCref] = ACTIONS(6943),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6943),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6943),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6943),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6943),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6943),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6943),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6943),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6943),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6943),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6943),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6943),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHdef] = ACTIONS(6943),
    [anon_sym_BSLASHgdef] = ACTIONS(6943),
    [anon_sym_BSLASHedef] = ACTIONS(6943),
    [anon_sym_BSLASHxdef] = ACTIONS(6943),
    [anon_sym_BSLASHlet] = ACTIONS(6943),
    [anon_sym_BSLASHglet] = ACTIONS(6943),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6943),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6943),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6943),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6943),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6943),
    [anon_sym_BSLASHgls] = ACTIONS(6943),
    [anon_sym_BSLASHGls] = ACTIONS(6943),
    [anon_sym_BSLASHGLS] = ACTIONS(6943),
    [anon_sym_BSLASHglspl] = ACTIONS(6943),
    [anon_sym_BSLASHGlspl] = ACTIONS(6943),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6943),
    [anon_sym_BSLASHglslink] = ACTIONS(6943),
    [anon_sym_BSLASHglstext] = ACTIONS(6943),
    [anon_sym_BSLASHGlstext] = ACTIONS(6943),
    [anon_sym_BSLASHGLStext] = ACTIONS(6943),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6943),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6943),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6943),
    [anon_sym_BSLASHglsplural] = ACTIONS(6943),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6943),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6943),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHglsname] = ACTIONS(6943),
    [anon_sym_BSLASHGlsname] = ACTIONS(6943),
    [anon_sym_BSLASHGLSname] = ACTIONS(6943),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6943),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6943),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6943),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6943),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6943),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6943),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6943),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6943),
    [anon_sym_BSLASHacrshort] = ACTIONS(6943),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6943),
    [anon_sym_BSLASHACRshort] = ACTIONS(6943),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHacrlong] = ACTIONS(6943),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6943),
    [anon_sym_BSLASHACRlong] = ACTIONS(6943),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHacrfull] = ACTIONS(6943),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6943),
    [anon_sym_BSLASHACRfull] = ACTIONS(6943),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHacs] = ACTIONS(6943),
    [anon_sym_BSLASHAcs] = ACTIONS(6943),
    [anon_sym_BSLASHacsp] = ACTIONS(6943),
    [anon_sym_BSLASHAcsp] = ACTIONS(6943),
    [anon_sym_BSLASHacl] = ACTIONS(6943),
    [anon_sym_BSLASHAcl] = ACTIONS(6943),
    [anon_sym_BSLASHaclp] = ACTIONS(6943),
    [anon_sym_BSLASHAclp] = ACTIONS(6943),
    [anon_sym_BSLASHacf] = ACTIONS(6943),
    [anon_sym_BSLASHAcf] = ACTIONS(6943),
    [anon_sym_BSLASHacfp] = ACTIONS(6943),
    [anon_sym_BSLASHAcfp] = ACTIONS(6943),
    [anon_sym_BSLASHac] = ACTIONS(6943),
    [anon_sym_BSLASHAc] = ACTIONS(6943),
    [anon_sym_BSLASHacp] = ACTIONS(6943),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6943),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6943),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6943),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6943),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6943),
    [anon_sym_BSLASHcolor] = ACTIONS(6943),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6943),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6943),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6943),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6943),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6943),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6943),
    [anon_sym_BSLASHurl] = ACTIONS(6943),
    [anon_sym_BSLASHhref] = ACTIONS(6943),
  },
  [1818] = {
    [sym_command_name] = ACTIONS(7255),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7255),
    [anon_sym_LBRACK] = ACTIONS(7257),
    [anon_sym_RBRACK] = ACTIONS(7257),
    [anon_sym_COMMA] = ACTIONS(7257),
    [anon_sym_EQ] = ACTIONS(7257),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_RPAREN] = ACTIONS(7257),
    [anon_sym_LBRACE] = ACTIONS(7257),
    [sym_word] = ACTIONS(7255),
    [sym_placeholder] = ACTIONS(7257),
    [sym_delimiter] = ACTIONS(7257),
    [anon_sym_PLUS] = ACTIONS(7257),
    [anon_sym_DASH] = ACTIONS(7257),
    [anon_sym_STAR] = ACTIONS(7257),
    [anon_sym_SLASH] = ACTIONS(7257),
    [anon_sym_LT] = ACTIONS(7255),
    [anon_sym_GT] = ACTIONS(7255),
    [anon_sym_BANG] = ACTIONS(7255),
    [anon_sym_PIPE] = ACTIONS(7255),
    [anon_sym_COLON] = ACTIONS(7255),
    [anon_sym_SQUOTE] = ACTIONS(7255),
    [anon_sym__] = ACTIONS(7257),
    [anon_sym_CARET] = ACTIONS(7257),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7257),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7257),
    [anon_sym_DOLLAR] = ACTIONS(7255),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7257),
    [anon_sym_BSLASHleft] = ACTIONS(7255),
    [anon_sym_BSLASHbigl] = ACTIONS(7255),
    [anon_sym_BSLASHBigl] = ACTIONS(7255),
    [anon_sym_BSLASHbiggl] = ACTIONS(7255),
    [anon_sym_BSLASHBiggl] = ACTIONS(7255),
    [anon_sym_BSLASHtext] = ACTIONS(7255),
    [anon_sym_BSLASHintertext] = ACTIONS(7255),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7255),
    [anon_sym_BSLASHbegin] = ACTIONS(7255),
    [anon_sym_BSLASHend] = ACTIONS(7255),
    [anon_sym_BSLASHtitle] = ACTIONS(7255),
    [anon_sym_BSLASHauthor] = ACTIONS(7255),
    [anon_sym_BSLASHusepackage] = ACTIONS(7255),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7255),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7255),
    [anon_sym_BSLASHinclude] = ACTIONS(7255),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7255),
    [anon_sym_BSLASHinput] = ACTIONS(7255),
    [anon_sym_BSLASHsubfile] = ACTIONS(7255),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7255),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7255),
    [anon_sym_BSLASHbibliography] = ACTIONS(7255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7255),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7255),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7255),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7255),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7255),
    [anon_sym_BSLASHimport] = ACTIONS(7255),
    [anon_sym_BSLASHsubimport] = ACTIONS(7255),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7255),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7255),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7255),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7255),
    [anon_sym_BSLASHcaption] = ACTIONS(7255),
    [anon_sym_BSLASHcite] = ACTIONS(7255),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCite] = ACTIONS(7255),
    [anon_sym_BSLASHnocite] = ACTIONS(7255),
    [anon_sym_BSLASHcitet] = ACTIONS(7255),
    [anon_sym_BSLASHcitep] = ACTIONS(7255),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteA] = ACTIONS(7255),
    [anon_sym_BSLASHciteR] = ACTIONS(7255),
    [anon_sym_BSLASHciteS] = ACTIONS(7255),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7255),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7255),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7255),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7255),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteyear] = ACTIONS(7255),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitedate] = ACTIONS(7255),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteurl] = ACTIONS(7255),
    [anon_sym_BSLASHfullcite] = ACTIONS(7255),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7255),
    [anon_sym_BSLASHcitealt] = ACTIONS(7255),
    [anon_sym_BSLASHcitealp] = ACTIONS(7255),
    [anon_sym_BSLASHcitetext] = ACTIONS(7255),
    [anon_sym_BSLASHparencite] = ACTIONS(7255),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHParencite] = ACTIONS(7255),
    [anon_sym_BSLASHfootcite] = ACTIONS(7255),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7255),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7255),
    [anon_sym_BSLASHtextcite] = ACTIONS(7255),
    [anon_sym_BSLASHTextcite] = ACTIONS(7255),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7255),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7255),
    [anon_sym_BSLASHsupercite] = ACTIONS(7255),
    [anon_sym_BSLASHautocite] = ACTIONS(7255),
    [anon_sym_BSLASHAutocite] = ACTIONS(7255),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHVolcite] = ACTIONS(7255),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHavolcite] = ACTIONS(7255),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHNotecite] = ACTIONS(7255),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHlabel] = ACTIONS(7255),
    [anon_sym_BSLASHref] = ACTIONS(7255),
    [anon_sym_BSLASHeqref] = ACTIONS(7255),
    [anon_sym_BSLASHvref] = ACTIONS(7255),
    [anon_sym_BSLASHVref] = ACTIONS(7255),
    [anon_sym_BSLASHautoref] = ACTIONS(7255),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHpageref] = ACTIONS(7255),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHautopageref] = ACTIONS(7255),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcref] = ACTIONS(7255),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCref] = ACTIONS(7255),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcpageref] = ACTIONS(7255),
    [anon_sym_BSLASHCpageref] = ACTIONS(7255),
    [anon_sym_BSLASHnamecref] = ACTIONS(7255),
    [anon_sym_BSLASHnameCref] = ACTIONS(7255),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7255),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7255),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7255),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7255),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7255),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7255),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7255),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7255),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7255),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7255),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7255),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHdef] = ACTIONS(7255),
    [anon_sym_BSLASHgdef] = ACTIONS(7255),
    [anon_sym_BSLASHedef] = ACTIONS(7255),
    [anon_sym_BSLASHxdef] = ACTIONS(7255),
    [anon_sym_BSLASHlet] = ACTIONS(7255),
    [anon_sym_BSLASHglet] = ACTIONS(7255),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7255),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7255),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7255),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7255),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7255),
    [anon_sym_BSLASHgls] = ACTIONS(7255),
    [anon_sym_BSLASHGls] = ACTIONS(7255),
    [anon_sym_BSLASHGLS] = ACTIONS(7255),
    [anon_sym_BSLASHglspl] = ACTIONS(7255),
    [anon_sym_BSLASHGlspl] = ACTIONS(7255),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7255),
    [anon_sym_BSLASHglslink] = ACTIONS(7255),
    [anon_sym_BSLASHglstext] = ACTIONS(7255),
    [anon_sym_BSLASHGlstext] = ACTIONS(7255),
    [anon_sym_BSLASHGLStext] = ACTIONS(7255),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7255),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7255),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7255),
    [anon_sym_BSLASHglsplural] = ACTIONS(7255),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7255),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7255),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHglsname] = ACTIONS(7255),
    [anon_sym_BSLASHGlsname] = ACTIONS(7255),
    [anon_sym_BSLASHGLSname] = ACTIONS(7255),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7255),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7255),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7255),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7255),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7255),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7255),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7255),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7255),
    [anon_sym_BSLASHacrshort] = ACTIONS(7255),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7255),
    [anon_sym_BSLASHACRshort] = ACTIONS(7255),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHacrlong] = ACTIONS(7255),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7255),
    [anon_sym_BSLASHACRlong] = ACTIONS(7255),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHacrfull] = ACTIONS(7255),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7255),
    [anon_sym_BSLASHACRfull] = ACTIONS(7255),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHacs] = ACTIONS(7255),
    [anon_sym_BSLASHAcs] = ACTIONS(7255),
    [anon_sym_BSLASHacsp] = ACTIONS(7255),
    [anon_sym_BSLASHAcsp] = ACTIONS(7255),
    [anon_sym_BSLASHacl] = ACTIONS(7255),
    [anon_sym_BSLASHAcl] = ACTIONS(7255),
    [anon_sym_BSLASHaclp] = ACTIONS(7255),
    [anon_sym_BSLASHAclp] = ACTIONS(7255),
    [anon_sym_BSLASHacf] = ACTIONS(7255),
    [anon_sym_BSLASHAcf] = ACTIONS(7255),
    [anon_sym_BSLASHacfp] = ACTIONS(7255),
    [anon_sym_BSLASHAcfp] = ACTIONS(7255),
    [anon_sym_BSLASHac] = ACTIONS(7255),
    [anon_sym_BSLASHAc] = ACTIONS(7255),
    [anon_sym_BSLASHacp] = ACTIONS(7255),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7255),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7255),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7255),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7255),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7255),
    [anon_sym_BSLASHcolor] = ACTIONS(7255),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7255),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7255),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7255),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7255),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7255),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7255),
    [anon_sym_BSLASHurl] = ACTIONS(7255),
    [anon_sym_BSLASHhref] = ACTIONS(7255),
  },
  [1819] = {
    [sym_command_name] = ACTIONS(7259),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7259),
    [anon_sym_LBRACK] = ACTIONS(7261),
    [anon_sym_RBRACK] = ACTIONS(7261),
    [anon_sym_COMMA] = ACTIONS(7261),
    [anon_sym_EQ] = ACTIONS(7261),
    [anon_sym_LPAREN] = ACTIONS(7261),
    [anon_sym_RPAREN] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7261),
    [sym_word] = ACTIONS(7259),
    [sym_placeholder] = ACTIONS(7261),
    [sym_delimiter] = ACTIONS(7261),
    [anon_sym_PLUS] = ACTIONS(7261),
    [anon_sym_DASH] = ACTIONS(7261),
    [anon_sym_STAR] = ACTIONS(7261),
    [anon_sym_SLASH] = ACTIONS(7261),
    [anon_sym_LT] = ACTIONS(7259),
    [anon_sym_GT] = ACTIONS(7259),
    [anon_sym_BANG] = ACTIONS(7259),
    [anon_sym_PIPE] = ACTIONS(7259),
    [anon_sym_COLON] = ACTIONS(7259),
    [anon_sym_SQUOTE] = ACTIONS(7259),
    [anon_sym__] = ACTIONS(7261),
    [anon_sym_CARET] = ACTIONS(7261),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7261),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7261),
    [anon_sym_DOLLAR] = ACTIONS(7259),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7261),
    [anon_sym_BSLASHleft] = ACTIONS(7259),
    [anon_sym_BSLASHbigl] = ACTIONS(7259),
    [anon_sym_BSLASHBigl] = ACTIONS(7259),
    [anon_sym_BSLASHbiggl] = ACTIONS(7259),
    [anon_sym_BSLASHBiggl] = ACTIONS(7259),
    [anon_sym_BSLASHtext] = ACTIONS(7259),
    [anon_sym_BSLASHintertext] = ACTIONS(7259),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7259),
    [anon_sym_BSLASHbegin] = ACTIONS(7259),
    [anon_sym_BSLASHend] = ACTIONS(7259),
    [anon_sym_BSLASHtitle] = ACTIONS(7259),
    [anon_sym_BSLASHauthor] = ACTIONS(7259),
    [anon_sym_BSLASHusepackage] = ACTIONS(7259),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7259),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7259),
    [anon_sym_BSLASHinclude] = ACTIONS(7259),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7259),
    [anon_sym_BSLASHinput] = ACTIONS(7259),
    [anon_sym_BSLASHsubfile] = ACTIONS(7259),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7259),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7259),
    [anon_sym_BSLASHbibliography] = ACTIONS(7259),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7259),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7259),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7259),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7259),
    [anon_sym_BSLASHimport] = ACTIONS(7259),
    [anon_sym_BSLASHsubimport] = ACTIONS(7259),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7259),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7259),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7259),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7259),
    [anon_sym_BSLASHcaption] = ACTIONS(7259),
    [anon_sym_BSLASHcite] = ACTIONS(7259),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCite] = ACTIONS(7259),
    [anon_sym_BSLASHnocite] = ACTIONS(7259),
    [anon_sym_BSLASHcitet] = ACTIONS(7259),
    [anon_sym_BSLASHcitep] = ACTIONS(7259),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteA] = ACTIONS(7259),
    [anon_sym_BSLASHciteR] = ACTIONS(7259),
    [anon_sym_BSLASHciteS] = ACTIONS(7259),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7259),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7259),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7259),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7259),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteyear] = ACTIONS(7259),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitedate] = ACTIONS(7259),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteurl] = ACTIONS(7259),
    [anon_sym_BSLASHfullcite] = ACTIONS(7259),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7259),
    [anon_sym_BSLASHcitealt] = ACTIONS(7259),
    [anon_sym_BSLASHcitealp] = ACTIONS(7259),
    [anon_sym_BSLASHcitetext] = ACTIONS(7259),
    [anon_sym_BSLASHparencite] = ACTIONS(7259),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHParencite] = ACTIONS(7259),
    [anon_sym_BSLASHfootcite] = ACTIONS(7259),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7259),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7259),
    [anon_sym_BSLASHtextcite] = ACTIONS(7259),
    [anon_sym_BSLASHTextcite] = ACTIONS(7259),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7259),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7259),
    [anon_sym_BSLASHsupercite] = ACTIONS(7259),
    [anon_sym_BSLASHautocite] = ACTIONS(7259),
    [anon_sym_BSLASHAutocite] = ACTIONS(7259),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHVolcite] = ACTIONS(7259),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHavolcite] = ACTIONS(7259),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHNotecite] = ACTIONS(7259),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHlabel] = ACTIONS(7259),
    [anon_sym_BSLASHref] = ACTIONS(7259),
    [anon_sym_BSLASHeqref] = ACTIONS(7259),
    [anon_sym_BSLASHvref] = ACTIONS(7259),
    [anon_sym_BSLASHVref] = ACTIONS(7259),
    [anon_sym_BSLASHautoref] = ACTIONS(7259),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHpageref] = ACTIONS(7259),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHautopageref] = ACTIONS(7259),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcref] = ACTIONS(7259),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCref] = ACTIONS(7259),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcpageref] = ACTIONS(7259),
    [anon_sym_BSLASHCpageref] = ACTIONS(7259),
    [anon_sym_BSLASHnamecref] = ACTIONS(7259),
    [anon_sym_BSLASHnameCref] = ACTIONS(7259),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7259),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7259),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7259),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7259),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7259),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7259),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7259),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7259),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7259),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7259),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7259),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHdef] = ACTIONS(7259),
    [anon_sym_BSLASHgdef] = ACTIONS(7259),
    [anon_sym_BSLASHedef] = ACTIONS(7259),
    [anon_sym_BSLASHxdef] = ACTIONS(7259),
    [anon_sym_BSLASHlet] = ACTIONS(7259),
    [anon_sym_BSLASHglet] = ACTIONS(7259),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7259),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7259),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7259),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7259),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7259),
    [anon_sym_BSLASHgls] = ACTIONS(7259),
    [anon_sym_BSLASHGls] = ACTIONS(7259),
    [anon_sym_BSLASHGLS] = ACTIONS(7259),
    [anon_sym_BSLASHglspl] = ACTIONS(7259),
    [anon_sym_BSLASHGlspl] = ACTIONS(7259),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7259),
    [anon_sym_BSLASHglslink] = ACTIONS(7259),
    [anon_sym_BSLASHglstext] = ACTIONS(7259),
    [anon_sym_BSLASHGlstext] = ACTIONS(7259),
    [anon_sym_BSLASHGLStext] = ACTIONS(7259),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7259),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7259),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7259),
    [anon_sym_BSLASHglsplural] = ACTIONS(7259),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7259),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7259),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHglsname] = ACTIONS(7259),
    [anon_sym_BSLASHGlsname] = ACTIONS(7259),
    [anon_sym_BSLASHGLSname] = ACTIONS(7259),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7259),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7259),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7259),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7259),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7259),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7259),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7259),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7259),
    [anon_sym_BSLASHacrshort] = ACTIONS(7259),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7259),
    [anon_sym_BSLASHACRshort] = ACTIONS(7259),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHacrlong] = ACTIONS(7259),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7259),
    [anon_sym_BSLASHACRlong] = ACTIONS(7259),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHacrfull] = ACTIONS(7259),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7259),
    [anon_sym_BSLASHACRfull] = ACTIONS(7259),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHacs] = ACTIONS(7259),
    [anon_sym_BSLASHAcs] = ACTIONS(7259),
    [anon_sym_BSLASHacsp] = ACTIONS(7259),
    [anon_sym_BSLASHAcsp] = ACTIONS(7259),
    [anon_sym_BSLASHacl] = ACTIONS(7259),
    [anon_sym_BSLASHAcl] = ACTIONS(7259),
    [anon_sym_BSLASHaclp] = ACTIONS(7259),
    [anon_sym_BSLASHAclp] = ACTIONS(7259),
    [anon_sym_BSLASHacf] = ACTIONS(7259),
    [anon_sym_BSLASHAcf] = ACTIONS(7259),
    [anon_sym_BSLASHacfp] = ACTIONS(7259),
    [anon_sym_BSLASHAcfp] = ACTIONS(7259),
    [anon_sym_BSLASHac] = ACTIONS(7259),
    [anon_sym_BSLASHAc] = ACTIONS(7259),
    [anon_sym_BSLASHacp] = ACTIONS(7259),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7259),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7259),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7259),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7259),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7259),
    [anon_sym_BSLASHcolor] = ACTIONS(7259),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7259),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7259),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7259),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7259),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7259),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7259),
    [anon_sym_BSLASHurl] = ACTIONS(7259),
    [anon_sym_BSLASHhref] = ACTIONS(7259),
  },
  [1820] = {
    [sym_command_name] = ACTIONS(7263),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7263),
    [anon_sym_LBRACK] = ACTIONS(7265),
    [anon_sym_RBRACK] = ACTIONS(7265),
    [anon_sym_COMMA] = ACTIONS(7265),
    [anon_sym_EQ] = ACTIONS(7265),
    [anon_sym_LPAREN] = ACTIONS(7265),
    [anon_sym_RPAREN] = ACTIONS(7265),
    [anon_sym_LBRACE] = ACTIONS(7265),
    [sym_word] = ACTIONS(7263),
    [sym_placeholder] = ACTIONS(7265),
    [sym_delimiter] = ACTIONS(7265),
    [anon_sym_PLUS] = ACTIONS(7265),
    [anon_sym_DASH] = ACTIONS(7265),
    [anon_sym_STAR] = ACTIONS(7265),
    [anon_sym_SLASH] = ACTIONS(7265),
    [anon_sym_LT] = ACTIONS(7263),
    [anon_sym_GT] = ACTIONS(7263),
    [anon_sym_BANG] = ACTIONS(7263),
    [anon_sym_PIPE] = ACTIONS(7263),
    [anon_sym_COLON] = ACTIONS(7263),
    [anon_sym_SQUOTE] = ACTIONS(7263),
    [anon_sym__] = ACTIONS(7265),
    [anon_sym_CARET] = ACTIONS(7265),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7265),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7265),
    [anon_sym_DOLLAR] = ACTIONS(7263),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7265),
    [anon_sym_BSLASHleft] = ACTIONS(7263),
    [anon_sym_BSLASHbigl] = ACTIONS(7263),
    [anon_sym_BSLASHBigl] = ACTIONS(7263),
    [anon_sym_BSLASHbiggl] = ACTIONS(7263),
    [anon_sym_BSLASHBiggl] = ACTIONS(7263),
    [anon_sym_BSLASHtext] = ACTIONS(7263),
    [anon_sym_BSLASHintertext] = ACTIONS(7263),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7263),
    [anon_sym_BSLASHbegin] = ACTIONS(7263),
    [anon_sym_BSLASHend] = ACTIONS(7263),
    [anon_sym_BSLASHtitle] = ACTIONS(7263),
    [anon_sym_BSLASHauthor] = ACTIONS(7263),
    [anon_sym_BSLASHusepackage] = ACTIONS(7263),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7263),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7263),
    [anon_sym_BSLASHinclude] = ACTIONS(7263),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7263),
    [anon_sym_BSLASHinput] = ACTIONS(7263),
    [anon_sym_BSLASHsubfile] = ACTIONS(7263),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7263),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7263),
    [anon_sym_BSLASHbibliography] = ACTIONS(7263),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7263),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7263),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7263),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7263),
    [anon_sym_BSLASHimport] = ACTIONS(7263),
    [anon_sym_BSLASHsubimport] = ACTIONS(7263),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7263),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7263),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7263),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7263),
    [anon_sym_BSLASHcaption] = ACTIONS(7263),
    [anon_sym_BSLASHcite] = ACTIONS(7263),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCite] = ACTIONS(7263),
    [anon_sym_BSLASHnocite] = ACTIONS(7263),
    [anon_sym_BSLASHcitet] = ACTIONS(7263),
    [anon_sym_BSLASHcitep] = ACTIONS(7263),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteA] = ACTIONS(7263),
    [anon_sym_BSLASHciteR] = ACTIONS(7263),
    [anon_sym_BSLASHciteS] = ACTIONS(7263),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7263),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7263),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7263),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7263),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteyear] = ACTIONS(7263),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitedate] = ACTIONS(7263),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteurl] = ACTIONS(7263),
    [anon_sym_BSLASHfullcite] = ACTIONS(7263),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7263),
    [anon_sym_BSLASHcitealt] = ACTIONS(7263),
    [anon_sym_BSLASHcitealp] = ACTIONS(7263),
    [anon_sym_BSLASHcitetext] = ACTIONS(7263),
    [anon_sym_BSLASHparencite] = ACTIONS(7263),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHParencite] = ACTIONS(7263),
    [anon_sym_BSLASHfootcite] = ACTIONS(7263),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7263),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7263),
    [anon_sym_BSLASHtextcite] = ACTIONS(7263),
    [anon_sym_BSLASHTextcite] = ACTIONS(7263),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7263),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7263),
    [anon_sym_BSLASHsupercite] = ACTIONS(7263),
    [anon_sym_BSLASHautocite] = ACTIONS(7263),
    [anon_sym_BSLASHAutocite] = ACTIONS(7263),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHVolcite] = ACTIONS(7263),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHavolcite] = ACTIONS(7263),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHNotecite] = ACTIONS(7263),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHlabel] = ACTIONS(7263),
    [anon_sym_BSLASHref] = ACTIONS(7263),
    [anon_sym_BSLASHeqref] = ACTIONS(7263),
    [anon_sym_BSLASHvref] = ACTIONS(7263),
    [anon_sym_BSLASHVref] = ACTIONS(7263),
    [anon_sym_BSLASHautoref] = ACTIONS(7263),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHpageref] = ACTIONS(7263),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHautopageref] = ACTIONS(7263),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcref] = ACTIONS(7263),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCref] = ACTIONS(7263),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcpageref] = ACTIONS(7263),
    [anon_sym_BSLASHCpageref] = ACTIONS(7263),
    [anon_sym_BSLASHnamecref] = ACTIONS(7263),
    [anon_sym_BSLASHnameCref] = ACTIONS(7263),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7263),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7263),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7263),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7263),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7263),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7263),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7263),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7263),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7263),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7263),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7263),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHdef] = ACTIONS(7263),
    [anon_sym_BSLASHgdef] = ACTIONS(7263),
    [anon_sym_BSLASHedef] = ACTIONS(7263),
    [anon_sym_BSLASHxdef] = ACTIONS(7263),
    [anon_sym_BSLASHlet] = ACTIONS(7263),
    [anon_sym_BSLASHglet] = ACTIONS(7263),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7263),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7263),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7263),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7263),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7263),
    [anon_sym_BSLASHgls] = ACTIONS(7263),
    [anon_sym_BSLASHGls] = ACTIONS(7263),
    [anon_sym_BSLASHGLS] = ACTIONS(7263),
    [anon_sym_BSLASHglspl] = ACTIONS(7263),
    [anon_sym_BSLASHGlspl] = ACTIONS(7263),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7263),
    [anon_sym_BSLASHglslink] = ACTIONS(7263),
    [anon_sym_BSLASHglstext] = ACTIONS(7263),
    [anon_sym_BSLASHGlstext] = ACTIONS(7263),
    [anon_sym_BSLASHGLStext] = ACTIONS(7263),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7263),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7263),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7263),
    [anon_sym_BSLASHglsplural] = ACTIONS(7263),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7263),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7263),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHglsname] = ACTIONS(7263),
    [anon_sym_BSLASHGlsname] = ACTIONS(7263),
    [anon_sym_BSLASHGLSname] = ACTIONS(7263),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7263),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7263),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7263),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7263),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7263),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7263),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7263),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7263),
    [anon_sym_BSLASHacrshort] = ACTIONS(7263),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7263),
    [anon_sym_BSLASHACRshort] = ACTIONS(7263),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHacrlong] = ACTIONS(7263),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7263),
    [anon_sym_BSLASHACRlong] = ACTIONS(7263),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHacrfull] = ACTIONS(7263),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7263),
    [anon_sym_BSLASHACRfull] = ACTIONS(7263),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHacs] = ACTIONS(7263),
    [anon_sym_BSLASHAcs] = ACTIONS(7263),
    [anon_sym_BSLASHacsp] = ACTIONS(7263),
    [anon_sym_BSLASHAcsp] = ACTIONS(7263),
    [anon_sym_BSLASHacl] = ACTIONS(7263),
    [anon_sym_BSLASHAcl] = ACTIONS(7263),
    [anon_sym_BSLASHaclp] = ACTIONS(7263),
    [anon_sym_BSLASHAclp] = ACTIONS(7263),
    [anon_sym_BSLASHacf] = ACTIONS(7263),
    [anon_sym_BSLASHAcf] = ACTIONS(7263),
    [anon_sym_BSLASHacfp] = ACTIONS(7263),
    [anon_sym_BSLASHAcfp] = ACTIONS(7263),
    [anon_sym_BSLASHac] = ACTIONS(7263),
    [anon_sym_BSLASHAc] = ACTIONS(7263),
    [anon_sym_BSLASHacp] = ACTIONS(7263),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7263),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7263),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7263),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7263),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7263),
    [anon_sym_BSLASHcolor] = ACTIONS(7263),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7263),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7263),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7263),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7263),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7263),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7263),
    [anon_sym_BSLASHurl] = ACTIONS(7263),
    [anon_sym_BSLASHhref] = ACTIONS(7263),
  },
  [1821] = {
    [sym_command_name] = ACTIONS(7123),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7123),
    [anon_sym_LBRACK] = ACTIONS(7125),
    [anon_sym_RBRACK] = ACTIONS(7125),
    [anon_sym_COMMA] = ACTIONS(7125),
    [anon_sym_EQ] = ACTIONS(7125),
    [anon_sym_LPAREN] = ACTIONS(7125),
    [anon_sym_RPAREN] = ACTIONS(7125),
    [anon_sym_LBRACE] = ACTIONS(7125),
    [sym_word] = ACTIONS(7123),
    [sym_placeholder] = ACTIONS(7125),
    [sym_delimiter] = ACTIONS(7125),
    [anon_sym_PLUS] = ACTIONS(7125),
    [anon_sym_DASH] = ACTIONS(7125),
    [anon_sym_STAR] = ACTIONS(7125),
    [anon_sym_SLASH] = ACTIONS(7125),
    [anon_sym_LT] = ACTIONS(7123),
    [anon_sym_GT] = ACTIONS(7123),
    [anon_sym_BANG] = ACTIONS(7123),
    [anon_sym_PIPE] = ACTIONS(7123),
    [anon_sym_COLON] = ACTIONS(7123),
    [anon_sym_SQUOTE] = ACTIONS(7123),
    [anon_sym__] = ACTIONS(7125),
    [anon_sym_CARET] = ACTIONS(7125),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7125),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7125),
    [anon_sym_DOLLAR] = ACTIONS(7123),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7125),
    [anon_sym_BSLASHleft] = ACTIONS(7123),
    [anon_sym_BSLASHbigl] = ACTIONS(7123),
    [anon_sym_BSLASHBigl] = ACTIONS(7123),
    [anon_sym_BSLASHbiggl] = ACTIONS(7123),
    [anon_sym_BSLASHBiggl] = ACTIONS(7123),
    [anon_sym_BSLASHtext] = ACTIONS(7123),
    [anon_sym_BSLASHintertext] = ACTIONS(7123),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7123),
    [anon_sym_BSLASHbegin] = ACTIONS(7123),
    [anon_sym_BSLASHend] = ACTIONS(7123),
    [anon_sym_BSLASHtitle] = ACTIONS(7123),
    [anon_sym_BSLASHauthor] = ACTIONS(7123),
    [anon_sym_BSLASHusepackage] = ACTIONS(7123),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7123),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7123),
    [anon_sym_BSLASHinclude] = ACTIONS(7123),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7123),
    [anon_sym_BSLASHinput] = ACTIONS(7123),
    [anon_sym_BSLASHsubfile] = ACTIONS(7123),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7123),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7123),
    [anon_sym_BSLASHbibliography] = ACTIONS(7123),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7123),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7123),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7123),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7123),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7123),
    [anon_sym_BSLASHimport] = ACTIONS(7123),
    [anon_sym_BSLASHsubimport] = ACTIONS(7123),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7123),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7123),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7123),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7123),
    [anon_sym_BSLASHcaption] = ACTIONS(7123),
    [anon_sym_BSLASHcite] = ACTIONS(7123),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHCite] = ACTIONS(7123),
    [anon_sym_BSLASHnocite] = ACTIONS(7123),
    [anon_sym_BSLASHcitet] = ACTIONS(7123),
    [anon_sym_BSLASHcitep] = ACTIONS(7123),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHciteA] = ACTIONS(7123),
    [anon_sym_BSLASHciteR] = ACTIONS(7123),
    [anon_sym_BSLASHciteS] = ACTIONS(7123),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7123),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7123),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7123),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7123),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHciteyear] = ACTIONS(7123),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcitedate] = ACTIONS(7123),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHciteurl] = ACTIONS(7123),
    [anon_sym_BSLASHfullcite] = ACTIONS(7123),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7123),
    [anon_sym_BSLASHcitealt] = ACTIONS(7123),
    [anon_sym_BSLASHcitealp] = ACTIONS(7123),
    [anon_sym_BSLASHcitetext] = ACTIONS(7123),
    [anon_sym_BSLASHparencite] = ACTIONS(7123),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHParencite] = ACTIONS(7123),
    [anon_sym_BSLASHfootcite] = ACTIONS(7123),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7123),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7123),
    [anon_sym_BSLASHtextcite] = ACTIONS(7123),
    [anon_sym_BSLASHTextcite] = ACTIONS(7123),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7123),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7123),
    [anon_sym_BSLASHsupercite] = ACTIONS(7123),
    [anon_sym_BSLASHautocite] = ACTIONS(7123),
    [anon_sym_BSLASHAutocite] = ACTIONS(7123),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHVolcite] = ACTIONS(7123),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHavolcite] = ACTIONS(7123),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHnotecite] = ACTIONS(7123),
    [anon_sym_BSLASHNotecite] = ACTIONS(7123),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7123),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7123),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7123),
    [anon_sym_BSLASHlabel] = ACTIONS(7123),
    [anon_sym_BSLASHref] = ACTIONS(7123),
    [anon_sym_BSLASHeqref] = ACTIONS(7123),
    [anon_sym_BSLASHvref] = ACTIONS(7123),
    [anon_sym_BSLASHVref] = ACTIONS(7123),
    [anon_sym_BSLASHautoref] = ACTIONS(7123),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHpageref] = ACTIONS(7123),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHautopageref] = ACTIONS(7123),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcref] = ACTIONS(7123),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHCref] = ACTIONS(7123),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcpageref] = ACTIONS(7123),
    [anon_sym_BSLASHCpageref] = ACTIONS(7123),
    [anon_sym_BSLASHnamecref] = ACTIONS(7123),
    [anon_sym_BSLASHnameCref] = ACTIONS(7123),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7123),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7123),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7123),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7123),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7123),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7123),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7123),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7123),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7123),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7123),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7123),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7123),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7123),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7123),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7123),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7123),
    [anon_sym_BSLASHdef] = ACTIONS(7123),
    [anon_sym_BSLASHgdef] = ACTIONS(7123),
    [anon_sym_BSLASHedef] = ACTIONS(7123),
    [anon_sym_BSLASHxdef] = ACTIONS(7123),
    [anon_sym_BSLASHlet] = ACTIONS(7123),
    [anon_sym_BSLASHglet] = ACTIONS(7123),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7123),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7123),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7123),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7123),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7123),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7123),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7123),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7123),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7123),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7123),
    [anon_sym_BSLASHgls] = ACTIONS(7123),
    [anon_sym_BSLASHGls] = ACTIONS(7123),
    [anon_sym_BSLASHGLS] = ACTIONS(7123),
    [anon_sym_BSLASHglspl] = ACTIONS(7123),
    [anon_sym_BSLASHGlspl] = ACTIONS(7123),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7123),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7123),
    [anon_sym_BSLASHglslink] = ACTIONS(7123),
    [anon_sym_BSLASHglstext] = ACTIONS(7123),
    [anon_sym_BSLASHGlstext] = ACTIONS(7123),
    [anon_sym_BSLASHGLStext] = ACTIONS(7123),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7123),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7123),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7123),
    [anon_sym_BSLASHglsplural] = ACTIONS(7123),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7123),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7123),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7123),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7123),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7123),
    [anon_sym_BSLASHglsname] = ACTIONS(7123),
    [anon_sym_BSLASHGlsname] = ACTIONS(7123),
    [anon_sym_BSLASHGLSname] = ACTIONS(7123),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7123),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7123),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7123),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7123),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7123),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7123),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7123),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7123),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7123),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7123),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7123),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7123),
    [anon_sym_BSLASHacrshort] = ACTIONS(7123),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7123),
    [anon_sym_BSLASHACRshort] = ACTIONS(7123),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHacrlong] = ACTIONS(7123),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7123),
    [anon_sym_BSLASHACRlong] = ACTIONS(7123),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7123),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7123),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7123),
    [anon_sym_BSLASHacrfull] = ACTIONS(7123),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7123),
    [anon_sym_BSLASHACRfull] = ACTIONS(7123),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHacs] = ACTIONS(7123),
    [anon_sym_BSLASHAcs] = ACTIONS(7123),
    [anon_sym_BSLASHacsp] = ACTIONS(7123),
    [anon_sym_BSLASHAcsp] = ACTIONS(7123),
    [anon_sym_BSLASHacl] = ACTIONS(7123),
    [anon_sym_BSLASHAcl] = ACTIONS(7123),
    [anon_sym_BSLASHaclp] = ACTIONS(7123),
    [anon_sym_BSLASHAclp] = ACTIONS(7123),
    [anon_sym_BSLASHacf] = ACTIONS(7123),
    [anon_sym_BSLASHAcf] = ACTIONS(7123),
    [anon_sym_BSLASHacfp] = ACTIONS(7123),
    [anon_sym_BSLASHAcfp] = ACTIONS(7123),
    [anon_sym_BSLASHac] = ACTIONS(7123),
    [anon_sym_BSLASHAc] = ACTIONS(7123),
    [anon_sym_BSLASHacp] = ACTIONS(7123),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7123),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7123),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7123),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7123),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7123),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7123),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7123),
    [anon_sym_BSLASHcolor] = ACTIONS(7123),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7123),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7123),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7123),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7123),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7123),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7123),
    [anon_sym_BSLASHurl] = ACTIONS(7123),
    [anon_sym_BSLASHhref] = ACTIONS(7123),
  },
  [1822] = {
    [sym_brack_group_text] = STATE(2012),
    [sym_command_name] = ACTIONS(6917),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6917),
    [anon_sym_LBRACK] = ACTIONS(7850),
    [anon_sym_RBRACK] = ACTIONS(6921),
    [anon_sym_COMMA] = ACTIONS(6921),
    [anon_sym_EQ] = ACTIONS(6921),
    [anon_sym_LPAREN] = ACTIONS(6921),
    [anon_sym_RPAREN] = ACTIONS(6921),
    [anon_sym_LBRACE] = ACTIONS(6921),
    [anon_sym_RBRACE] = ACTIONS(6921),
    [sym_word] = ACTIONS(6917),
    [sym_placeholder] = ACTIONS(6921),
    [sym_delimiter] = ACTIONS(6921),
    [anon_sym_PLUS] = ACTIONS(6921),
    [anon_sym_DASH] = ACTIONS(6921),
    [anon_sym_STAR] = ACTIONS(6921),
    [anon_sym_SLASH] = ACTIONS(6921),
    [anon_sym_LT] = ACTIONS(6917),
    [anon_sym_GT] = ACTIONS(6917),
    [anon_sym_BANG] = ACTIONS(6917),
    [anon_sym_PIPE] = ACTIONS(6917),
    [anon_sym_COLON] = ACTIONS(6917),
    [anon_sym_SQUOTE] = ACTIONS(6917),
    [anon_sym__] = ACTIONS(6921),
    [anon_sym_CARET] = ACTIONS(6921),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6921),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6921),
    [anon_sym_DOLLAR] = ACTIONS(6917),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6921),
    [anon_sym_BSLASHleft] = ACTIONS(6917),
    [anon_sym_BSLASHbigl] = ACTIONS(6917),
    [anon_sym_BSLASHBigl] = ACTIONS(6917),
    [anon_sym_BSLASHbiggl] = ACTIONS(6917),
    [anon_sym_BSLASHBiggl] = ACTIONS(6917),
    [anon_sym_BSLASHtext] = ACTIONS(6917),
    [anon_sym_BSLASHintertext] = ACTIONS(6917),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6917),
    [anon_sym_BSLASHtitle] = ACTIONS(6917),
    [anon_sym_BSLASHauthor] = ACTIONS(6917),
    [anon_sym_BSLASHusepackage] = ACTIONS(6917),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6917),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6917),
    [anon_sym_BSLASHinclude] = ACTIONS(6917),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6917),
    [anon_sym_BSLASHinput] = ACTIONS(6917),
    [anon_sym_BSLASHsubfile] = ACTIONS(6917),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6917),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6917),
    [anon_sym_BSLASHbibliography] = ACTIONS(6917),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6917),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6917),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6917),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6917),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6917),
    [anon_sym_BSLASHimport] = ACTIONS(6917),
    [anon_sym_BSLASHsubimport] = ACTIONS(6917),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6917),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6917),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6917),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6917),
    [anon_sym_BSLASHcaption] = ACTIONS(6917),
    [anon_sym_BSLASHcite] = ACTIONS(6917),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCite] = ACTIONS(6917),
    [anon_sym_BSLASHnocite] = ACTIONS(6917),
    [anon_sym_BSLASHcitet] = ACTIONS(6917),
    [anon_sym_BSLASHcitep] = ACTIONS(6917),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteA] = ACTIONS(6917),
    [anon_sym_BSLASHciteR] = ACTIONS(6917),
    [anon_sym_BSLASHciteS] = ACTIONS(6917),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6917),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6917),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6917),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6917),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteyear] = ACTIONS(6917),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitedate] = ACTIONS(6917),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteurl] = ACTIONS(6917),
    [anon_sym_BSLASHfullcite] = ACTIONS(6917),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6917),
    [anon_sym_BSLASHcitealt] = ACTIONS(6917),
    [anon_sym_BSLASHcitealp] = ACTIONS(6917),
    [anon_sym_BSLASHcitetext] = ACTIONS(6917),
    [anon_sym_BSLASHparencite] = ACTIONS(6917),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHParencite] = ACTIONS(6917),
    [anon_sym_BSLASHfootcite] = ACTIONS(6917),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6917),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6917),
    [anon_sym_BSLASHtextcite] = ACTIONS(6917),
    [anon_sym_BSLASHTextcite] = ACTIONS(6917),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6917),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6917),
    [anon_sym_BSLASHsupercite] = ACTIONS(6917),
    [anon_sym_BSLASHautocite] = ACTIONS(6917),
    [anon_sym_BSLASHAutocite] = ACTIONS(6917),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHVolcite] = ACTIONS(6917),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHavolcite] = ACTIONS(6917),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHNotecite] = ACTIONS(6917),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHlabel] = ACTIONS(6917),
    [anon_sym_BSLASHref] = ACTIONS(6917),
    [anon_sym_BSLASHeqref] = ACTIONS(6917),
    [anon_sym_BSLASHvref] = ACTIONS(6917),
    [anon_sym_BSLASHVref] = ACTIONS(6917),
    [anon_sym_BSLASHautoref] = ACTIONS(6917),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHpageref] = ACTIONS(6917),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHautopageref] = ACTIONS(6917),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcref] = ACTIONS(6917),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCref] = ACTIONS(6917),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcpageref] = ACTIONS(6917),
    [anon_sym_BSLASHCpageref] = ACTIONS(6917),
    [anon_sym_BSLASHnamecref] = ACTIONS(6917),
    [anon_sym_BSLASHnameCref] = ACTIONS(6917),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6917),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6917),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6917),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6917),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6917),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6917),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6917),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6917),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6917),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6917),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6917),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHdef] = ACTIONS(6917),
    [anon_sym_BSLASHgdef] = ACTIONS(6917),
    [anon_sym_BSLASHedef] = ACTIONS(6917),
    [anon_sym_BSLASHxdef] = ACTIONS(6917),
    [anon_sym_BSLASHlet] = ACTIONS(6917),
    [anon_sym_BSLASHglet] = ACTIONS(6917),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6917),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6917),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6917),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6917),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6917),
    [anon_sym_BSLASHgls] = ACTIONS(6917),
    [anon_sym_BSLASHGls] = ACTIONS(6917),
    [anon_sym_BSLASHGLS] = ACTIONS(6917),
    [anon_sym_BSLASHglspl] = ACTIONS(6917),
    [anon_sym_BSLASHGlspl] = ACTIONS(6917),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6917),
    [anon_sym_BSLASHglslink] = ACTIONS(6917),
    [anon_sym_BSLASHglstext] = ACTIONS(6917),
    [anon_sym_BSLASHGlstext] = ACTIONS(6917),
    [anon_sym_BSLASHGLStext] = ACTIONS(6917),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6917),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6917),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6917),
    [anon_sym_BSLASHglsplural] = ACTIONS(6917),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6917),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6917),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHglsname] = ACTIONS(6917),
    [anon_sym_BSLASHGlsname] = ACTIONS(6917),
    [anon_sym_BSLASHGLSname] = ACTIONS(6917),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6917),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6917),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6917),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6917),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6917),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6917),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6917),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6917),
    [anon_sym_BSLASHacrshort] = ACTIONS(6917),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6917),
    [anon_sym_BSLASHACRshort] = ACTIONS(6917),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHacrlong] = ACTIONS(6917),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6917),
    [anon_sym_BSLASHACRlong] = ACTIONS(6917),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHacrfull] = ACTIONS(6917),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6917),
    [anon_sym_BSLASHACRfull] = ACTIONS(6917),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHacs] = ACTIONS(6917),
    [anon_sym_BSLASHAcs] = ACTIONS(6917),
    [anon_sym_BSLASHacsp] = ACTIONS(6917),
    [anon_sym_BSLASHAcsp] = ACTIONS(6917),
    [anon_sym_BSLASHacl] = ACTIONS(6917),
    [anon_sym_BSLASHAcl] = ACTIONS(6917),
    [anon_sym_BSLASHaclp] = ACTIONS(6917),
    [anon_sym_BSLASHAclp] = ACTIONS(6917),
    [anon_sym_BSLASHacf] = ACTIONS(6917),
    [anon_sym_BSLASHAcf] = ACTIONS(6917),
    [anon_sym_BSLASHacfp] = ACTIONS(6917),
    [anon_sym_BSLASHAcfp] = ACTIONS(6917),
    [anon_sym_BSLASHac] = ACTIONS(6917),
    [anon_sym_BSLASHAc] = ACTIONS(6917),
    [anon_sym_BSLASHacp] = ACTIONS(6917),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6917),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6917),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6917),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6917),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6917),
    [anon_sym_BSLASHcolor] = ACTIONS(6917),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6917),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6917),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6917),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6917),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6917),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6917),
    [anon_sym_BSLASHurl] = ACTIONS(6917),
    [anon_sym_BSLASHhref] = ACTIONS(6917),
  },
  [1823] = {
    [sym_command_name] = ACTIONS(7127),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7127),
    [anon_sym_LBRACK] = ACTIONS(7129),
    [anon_sym_RBRACK] = ACTIONS(7129),
    [anon_sym_COMMA] = ACTIONS(7129),
    [anon_sym_EQ] = ACTIONS(7129),
    [anon_sym_LPAREN] = ACTIONS(7129),
    [anon_sym_RPAREN] = ACTIONS(7129),
    [anon_sym_LBRACE] = ACTIONS(7129),
    [sym_word] = ACTIONS(7127),
    [sym_placeholder] = ACTIONS(7129),
    [sym_delimiter] = ACTIONS(7129),
    [anon_sym_PLUS] = ACTIONS(7129),
    [anon_sym_DASH] = ACTIONS(7129),
    [anon_sym_STAR] = ACTIONS(7129),
    [anon_sym_SLASH] = ACTIONS(7129),
    [anon_sym_LT] = ACTIONS(7127),
    [anon_sym_GT] = ACTIONS(7127),
    [anon_sym_BANG] = ACTIONS(7127),
    [anon_sym_PIPE] = ACTIONS(7127),
    [anon_sym_COLON] = ACTIONS(7127),
    [anon_sym_SQUOTE] = ACTIONS(7127),
    [anon_sym__] = ACTIONS(7129),
    [anon_sym_CARET] = ACTIONS(7129),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7129),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7129),
    [anon_sym_DOLLAR] = ACTIONS(7127),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7129),
    [anon_sym_BSLASHleft] = ACTIONS(7127),
    [anon_sym_BSLASHbigl] = ACTIONS(7127),
    [anon_sym_BSLASHBigl] = ACTIONS(7127),
    [anon_sym_BSLASHbiggl] = ACTIONS(7127),
    [anon_sym_BSLASHBiggl] = ACTIONS(7127),
    [anon_sym_BSLASHtext] = ACTIONS(7127),
    [anon_sym_BSLASHintertext] = ACTIONS(7127),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7127),
    [anon_sym_BSLASHbegin] = ACTIONS(7127),
    [anon_sym_BSLASHend] = ACTIONS(7127),
    [anon_sym_BSLASHtitle] = ACTIONS(7127),
    [anon_sym_BSLASHauthor] = ACTIONS(7127),
    [anon_sym_BSLASHusepackage] = ACTIONS(7127),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7127),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7127),
    [anon_sym_BSLASHinclude] = ACTIONS(7127),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7127),
    [anon_sym_BSLASHinput] = ACTIONS(7127),
    [anon_sym_BSLASHsubfile] = ACTIONS(7127),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7127),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7127),
    [anon_sym_BSLASHbibliography] = ACTIONS(7127),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7127),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7127),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7127),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7127),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7127),
    [anon_sym_BSLASHimport] = ACTIONS(7127),
    [anon_sym_BSLASHsubimport] = ACTIONS(7127),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7127),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7127),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7127),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7127),
    [anon_sym_BSLASHcaption] = ACTIONS(7127),
    [anon_sym_BSLASHcite] = ACTIONS(7127),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHCite] = ACTIONS(7127),
    [anon_sym_BSLASHnocite] = ACTIONS(7127),
    [anon_sym_BSLASHcitet] = ACTIONS(7127),
    [anon_sym_BSLASHcitep] = ACTIONS(7127),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHciteA] = ACTIONS(7127),
    [anon_sym_BSLASHciteR] = ACTIONS(7127),
    [anon_sym_BSLASHciteS] = ACTIONS(7127),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7127),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7127),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7127),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7127),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHciteyear] = ACTIONS(7127),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcitedate] = ACTIONS(7127),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHciteurl] = ACTIONS(7127),
    [anon_sym_BSLASHfullcite] = ACTIONS(7127),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7127),
    [anon_sym_BSLASHcitealt] = ACTIONS(7127),
    [anon_sym_BSLASHcitealp] = ACTIONS(7127),
    [anon_sym_BSLASHcitetext] = ACTIONS(7127),
    [anon_sym_BSLASHparencite] = ACTIONS(7127),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHParencite] = ACTIONS(7127),
    [anon_sym_BSLASHfootcite] = ACTIONS(7127),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7127),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7127),
    [anon_sym_BSLASHtextcite] = ACTIONS(7127),
    [anon_sym_BSLASHTextcite] = ACTIONS(7127),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7127),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7127),
    [anon_sym_BSLASHsupercite] = ACTIONS(7127),
    [anon_sym_BSLASHautocite] = ACTIONS(7127),
    [anon_sym_BSLASHAutocite] = ACTIONS(7127),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHVolcite] = ACTIONS(7127),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHavolcite] = ACTIONS(7127),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHnotecite] = ACTIONS(7127),
    [anon_sym_BSLASHNotecite] = ACTIONS(7127),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7127),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7127),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7127),
    [anon_sym_BSLASHlabel] = ACTIONS(7127),
    [anon_sym_BSLASHref] = ACTIONS(7127),
    [anon_sym_BSLASHeqref] = ACTIONS(7127),
    [anon_sym_BSLASHvref] = ACTIONS(7127),
    [anon_sym_BSLASHVref] = ACTIONS(7127),
    [anon_sym_BSLASHautoref] = ACTIONS(7127),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHpageref] = ACTIONS(7127),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHautopageref] = ACTIONS(7127),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcref] = ACTIONS(7127),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHCref] = ACTIONS(7127),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcpageref] = ACTIONS(7127),
    [anon_sym_BSLASHCpageref] = ACTIONS(7127),
    [anon_sym_BSLASHnamecref] = ACTIONS(7127),
    [anon_sym_BSLASHnameCref] = ACTIONS(7127),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7127),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7127),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7127),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7127),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7127),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7127),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7127),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7127),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7127),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7127),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7127),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7127),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7127),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7127),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7127),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7127),
    [anon_sym_BSLASHdef] = ACTIONS(7127),
    [anon_sym_BSLASHgdef] = ACTIONS(7127),
    [anon_sym_BSLASHedef] = ACTIONS(7127),
    [anon_sym_BSLASHxdef] = ACTIONS(7127),
    [anon_sym_BSLASHlet] = ACTIONS(7127),
    [anon_sym_BSLASHglet] = ACTIONS(7127),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7127),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7127),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7127),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7127),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7127),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7127),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7127),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7127),
    [anon_sym_BSLASHgls] = ACTIONS(7127),
    [anon_sym_BSLASHGls] = ACTIONS(7127),
    [anon_sym_BSLASHGLS] = ACTIONS(7127),
    [anon_sym_BSLASHglspl] = ACTIONS(7127),
    [anon_sym_BSLASHGlspl] = ACTIONS(7127),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7127),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7127),
    [anon_sym_BSLASHglslink] = ACTIONS(7127),
    [anon_sym_BSLASHglstext] = ACTIONS(7127),
    [anon_sym_BSLASHGlstext] = ACTIONS(7127),
    [anon_sym_BSLASHGLStext] = ACTIONS(7127),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7127),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7127),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7127),
    [anon_sym_BSLASHglsplural] = ACTIONS(7127),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7127),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7127),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7127),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7127),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7127),
    [anon_sym_BSLASHglsname] = ACTIONS(7127),
    [anon_sym_BSLASHGlsname] = ACTIONS(7127),
    [anon_sym_BSLASHGLSname] = ACTIONS(7127),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7127),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7127),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7127),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7127),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7127),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7127),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7127),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7127),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7127),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7127),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7127),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7127),
    [anon_sym_BSLASHacrshort] = ACTIONS(7127),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7127),
    [anon_sym_BSLASHACRshort] = ACTIONS(7127),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHacrlong] = ACTIONS(7127),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7127),
    [anon_sym_BSLASHACRlong] = ACTIONS(7127),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7127),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7127),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7127),
    [anon_sym_BSLASHacrfull] = ACTIONS(7127),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7127),
    [anon_sym_BSLASHACRfull] = ACTIONS(7127),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHacs] = ACTIONS(7127),
    [anon_sym_BSLASHAcs] = ACTIONS(7127),
    [anon_sym_BSLASHacsp] = ACTIONS(7127),
    [anon_sym_BSLASHAcsp] = ACTIONS(7127),
    [anon_sym_BSLASHacl] = ACTIONS(7127),
    [anon_sym_BSLASHAcl] = ACTIONS(7127),
    [anon_sym_BSLASHaclp] = ACTIONS(7127),
    [anon_sym_BSLASHAclp] = ACTIONS(7127),
    [anon_sym_BSLASHacf] = ACTIONS(7127),
    [anon_sym_BSLASHAcf] = ACTIONS(7127),
    [anon_sym_BSLASHacfp] = ACTIONS(7127),
    [anon_sym_BSLASHAcfp] = ACTIONS(7127),
    [anon_sym_BSLASHac] = ACTIONS(7127),
    [anon_sym_BSLASHAc] = ACTIONS(7127),
    [anon_sym_BSLASHacp] = ACTIONS(7127),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7127),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7127),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7127),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7127),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7127),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7127),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7127),
    [anon_sym_BSLASHcolor] = ACTIONS(7127),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7127),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7127),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7127),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7127),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7127),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7127),
    [anon_sym_BSLASHurl] = ACTIONS(7127),
    [anon_sym_BSLASHhref] = ACTIONS(7127),
  },
  [1824] = {
    [sym_curly_group] = STATE(2016),
    [sym_command_name] = ACTIONS(6939),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6939),
    [anon_sym_LBRACK] = ACTIONS(6941),
    [anon_sym_RBRACK] = ACTIONS(6941),
    [anon_sym_COMMA] = ACTIONS(6941),
    [anon_sym_EQ] = ACTIONS(6941),
    [anon_sym_LPAREN] = ACTIONS(6941),
    [anon_sym_RPAREN] = ACTIONS(6941),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(6941),
    [sym_word] = ACTIONS(6939),
    [sym_placeholder] = ACTIONS(6941),
    [sym_delimiter] = ACTIONS(6941),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_STAR] = ACTIONS(6941),
    [anon_sym_SLASH] = ACTIONS(6941),
    [anon_sym_LT] = ACTIONS(6939),
    [anon_sym_GT] = ACTIONS(6939),
    [anon_sym_BANG] = ACTIONS(6939),
    [anon_sym_PIPE] = ACTIONS(6939),
    [anon_sym_COLON] = ACTIONS(6939),
    [anon_sym_SQUOTE] = ACTIONS(6939),
    [anon_sym__] = ACTIONS(6941),
    [anon_sym_CARET] = ACTIONS(6941),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6941),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6941),
    [anon_sym_DOLLAR] = ACTIONS(6939),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6941),
    [anon_sym_BSLASHleft] = ACTIONS(6939),
    [anon_sym_BSLASHbigl] = ACTIONS(6939),
    [anon_sym_BSLASHBigl] = ACTIONS(6939),
    [anon_sym_BSLASHbiggl] = ACTIONS(6939),
    [anon_sym_BSLASHBiggl] = ACTIONS(6939),
    [anon_sym_BSLASHtext] = ACTIONS(6939),
    [anon_sym_BSLASHintertext] = ACTIONS(6939),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6939),
    [anon_sym_BSLASHtitle] = ACTIONS(6939),
    [anon_sym_BSLASHauthor] = ACTIONS(6939),
    [anon_sym_BSLASHusepackage] = ACTIONS(6939),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6939),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6939),
    [anon_sym_BSLASHinclude] = ACTIONS(6939),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6939),
    [anon_sym_BSLASHinput] = ACTIONS(6939),
    [anon_sym_BSLASHsubfile] = ACTIONS(6939),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6939),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6939),
    [anon_sym_BSLASHbibliography] = ACTIONS(6939),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6939),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6939),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6939),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6939),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6939),
    [anon_sym_BSLASHimport] = ACTIONS(6939),
    [anon_sym_BSLASHsubimport] = ACTIONS(6939),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6939),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6939),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6939),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6939),
    [anon_sym_BSLASHcaption] = ACTIONS(6939),
    [anon_sym_BSLASHcite] = ACTIONS(6939),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCite] = ACTIONS(6939),
    [anon_sym_BSLASHnocite] = ACTIONS(6939),
    [anon_sym_BSLASHcitet] = ACTIONS(6939),
    [anon_sym_BSLASHcitep] = ACTIONS(6939),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteA] = ACTIONS(6939),
    [anon_sym_BSLASHciteR] = ACTIONS(6939),
    [anon_sym_BSLASHciteS] = ACTIONS(6939),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6939),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6939),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6939),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6939),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteyear] = ACTIONS(6939),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitedate] = ACTIONS(6939),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteurl] = ACTIONS(6939),
    [anon_sym_BSLASHfullcite] = ACTIONS(6939),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6939),
    [anon_sym_BSLASHcitealt] = ACTIONS(6939),
    [anon_sym_BSLASHcitealp] = ACTIONS(6939),
    [anon_sym_BSLASHcitetext] = ACTIONS(6939),
    [anon_sym_BSLASHparencite] = ACTIONS(6939),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHParencite] = ACTIONS(6939),
    [anon_sym_BSLASHfootcite] = ACTIONS(6939),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6939),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6939),
    [anon_sym_BSLASHtextcite] = ACTIONS(6939),
    [anon_sym_BSLASHTextcite] = ACTIONS(6939),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6939),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6939),
    [anon_sym_BSLASHsupercite] = ACTIONS(6939),
    [anon_sym_BSLASHautocite] = ACTIONS(6939),
    [anon_sym_BSLASHAutocite] = ACTIONS(6939),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHVolcite] = ACTIONS(6939),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHavolcite] = ACTIONS(6939),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHNotecite] = ACTIONS(6939),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHlabel] = ACTIONS(6939),
    [anon_sym_BSLASHref] = ACTIONS(6939),
    [anon_sym_BSLASHeqref] = ACTIONS(6939),
    [anon_sym_BSLASHvref] = ACTIONS(6939),
    [anon_sym_BSLASHVref] = ACTIONS(6939),
    [anon_sym_BSLASHautoref] = ACTIONS(6939),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHpageref] = ACTIONS(6939),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHautopageref] = ACTIONS(6939),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcref] = ACTIONS(6939),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCref] = ACTIONS(6939),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcpageref] = ACTIONS(6939),
    [anon_sym_BSLASHCpageref] = ACTIONS(6939),
    [anon_sym_BSLASHnamecref] = ACTIONS(6939),
    [anon_sym_BSLASHnameCref] = ACTIONS(6939),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6939),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6939),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6939),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6939),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6939),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6939),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6939),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6939),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6939),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6939),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6939),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHdef] = ACTIONS(6939),
    [anon_sym_BSLASHgdef] = ACTIONS(6939),
    [anon_sym_BSLASHedef] = ACTIONS(6939),
    [anon_sym_BSLASHxdef] = ACTIONS(6939),
    [anon_sym_BSLASHlet] = ACTIONS(6939),
    [anon_sym_BSLASHglet] = ACTIONS(6939),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6939),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6939),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6939),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6939),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6939),
    [anon_sym_BSLASHgls] = ACTIONS(6939),
    [anon_sym_BSLASHGls] = ACTIONS(6939),
    [anon_sym_BSLASHGLS] = ACTIONS(6939),
    [anon_sym_BSLASHglspl] = ACTIONS(6939),
    [anon_sym_BSLASHGlspl] = ACTIONS(6939),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6939),
    [anon_sym_BSLASHglslink] = ACTIONS(6939),
    [anon_sym_BSLASHglstext] = ACTIONS(6939),
    [anon_sym_BSLASHGlstext] = ACTIONS(6939),
    [anon_sym_BSLASHGLStext] = ACTIONS(6939),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6939),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6939),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6939),
    [anon_sym_BSLASHglsplural] = ACTIONS(6939),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6939),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6939),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHglsname] = ACTIONS(6939),
    [anon_sym_BSLASHGlsname] = ACTIONS(6939),
    [anon_sym_BSLASHGLSname] = ACTIONS(6939),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6939),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6939),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6939),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6939),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6939),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6939),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6939),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6939),
    [anon_sym_BSLASHacrshort] = ACTIONS(6939),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6939),
    [anon_sym_BSLASHACRshort] = ACTIONS(6939),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHacrlong] = ACTIONS(6939),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6939),
    [anon_sym_BSLASHACRlong] = ACTIONS(6939),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHacrfull] = ACTIONS(6939),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6939),
    [anon_sym_BSLASHACRfull] = ACTIONS(6939),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHacs] = ACTIONS(6939),
    [anon_sym_BSLASHAcs] = ACTIONS(6939),
    [anon_sym_BSLASHacsp] = ACTIONS(6939),
    [anon_sym_BSLASHAcsp] = ACTIONS(6939),
    [anon_sym_BSLASHacl] = ACTIONS(6939),
    [anon_sym_BSLASHAcl] = ACTIONS(6939),
    [anon_sym_BSLASHaclp] = ACTIONS(6939),
    [anon_sym_BSLASHAclp] = ACTIONS(6939),
    [anon_sym_BSLASHacf] = ACTIONS(6939),
    [anon_sym_BSLASHAcf] = ACTIONS(6939),
    [anon_sym_BSLASHacfp] = ACTIONS(6939),
    [anon_sym_BSLASHAcfp] = ACTIONS(6939),
    [anon_sym_BSLASHac] = ACTIONS(6939),
    [anon_sym_BSLASHAc] = ACTIONS(6939),
    [anon_sym_BSLASHacp] = ACTIONS(6939),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6939),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6939),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6939),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6939),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6939),
    [anon_sym_BSLASHcolor] = ACTIONS(6939),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6939),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6939),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6939),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6939),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6939),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6939),
    [anon_sym_BSLASHurl] = ACTIONS(6939),
    [anon_sym_BSLASHhref] = ACTIONS(6939),
  },
  [1825] = {
    [sym_curly_group] = STATE(2022),
    [sym_command_name] = ACTIONS(6923),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6923),
    [anon_sym_LBRACK] = ACTIONS(6925),
    [anon_sym_RBRACK] = ACTIONS(6925),
    [anon_sym_COMMA] = ACTIONS(6925),
    [anon_sym_EQ] = ACTIONS(6925),
    [anon_sym_LPAREN] = ACTIONS(6925),
    [anon_sym_RPAREN] = ACTIONS(6925),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(6925),
    [sym_word] = ACTIONS(6923),
    [sym_placeholder] = ACTIONS(6925),
    [sym_delimiter] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6925),
    [anon_sym_DASH] = ACTIONS(6925),
    [anon_sym_STAR] = ACTIONS(6925),
    [anon_sym_SLASH] = ACTIONS(6925),
    [anon_sym_LT] = ACTIONS(6923),
    [anon_sym_GT] = ACTIONS(6923),
    [anon_sym_BANG] = ACTIONS(6923),
    [anon_sym_PIPE] = ACTIONS(6923),
    [anon_sym_COLON] = ACTIONS(6923),
    [anon_sym_SQUOTE] = ACTIONS(6923),
    [anon_sym__] = ACTIONS(6925),
    [anon_sym_CARET] = ACTIONS(6925),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6925),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6925),
    [anon_sym_DOLLAR] = ACTIONS(6923),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6925),
    [anon_sym_BSLASHleft] = ACTIONS(6923),
    [anon_sym_BSLASHbigl] = ACTIONS(6923),
    [anon_sym_BSLASHBigl] = ACTIONS(6923),
    [anon_sym_BSLASHbiggl] = ACTIONS(6923),
    [anon_sym_BSLASHBiggl] = ACTIONS(6923),
    [anon_sym_BSLASHtext] = ACTIONS(6923),
    [anon_sym_BSLASHintertext] = ACTIONS(6923),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6923),
    [anon_sym_BSLASHtitle] = ACTIONS(6923),
    [anon_sym_BSLASHauthor] = ACTIONS(6923),
    [anon_sym_BSLASHusepackage] = ACTIONS(6923),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6923),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6923),
    [anon_sym_BSLASHinclude] = ACTIONS(6923),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6923),
    [anon_sym_BSLASHinput] = ACTIONS(6923),
    [anon_sym_BSLASHsubfile] = ACTIONS(6923),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6923),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6923),
    [anon_sym_BSLASHbibliography] = ACTIONS(6923),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6923),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6923),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6923),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6923),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6923),
    [anon_sym_BSLASHimport] = ACTIONS(6923),
    [anon_sym_BSLASHsubimport] = ACTIONS(6923),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6923),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6923),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6923),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6923),
    [anon_sym_BSLASHcaption] = ACTIONS(6923),
    [anon_sym_BSLASHcite] = ACTIONS(6923),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCite] = ACTIONS(6923),
    [anon_sym_BSLASHnocite] = ACTIONS(6923),
    [anon_sym_BSLASHcitet] = ACTIONS(6923),
    [anon_sym_BSLASHcitep] = ACTIONS(6923),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteA] = ACTIONS(6923),
    [anon_sym_BSLASHciteR] = ACTIONS(6923),
    [anon_sym_BSLASHciteS] = ACTIONS(6923),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6923),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6923),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6923),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6923),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteyear] = ACTIONS(6923),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitedate] = ACTIONS(6923),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteurl] = ACTIONS(6923),
    [anon_sym_BSLASHfullcite] = ACTIONS(6923),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6923),
    [anon_sym_BSLASHcitealt] = ACTIONS(6923),
    [anon_sym_BSLASHcitealp] = ACTIONS(6923),
    [anon_sym_BSLASHcitetext] = ACTIONS(6923),
    [anon_sym_BSLASHparencite] = ACTIONS(6923),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHParencite] = ACTIONS(6923),
    [anon_sym_BSLASHfootcite] = ACTIONS(6923),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6923),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6923),
    [anon_sym_BSLASHtextcite] = ACTIONS(6923),
    [anon_sym_BSLASHTextcite] = ACTIONS(6923),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6923),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6923),
    [anon_sym_BSLASHsupercite] = ACTIONS(6923),
    [anon_sym_BSLASHautocite] = ACTIONS(6923),
    [anon_sym_BSLASHAutocite] = ACTIONS(6923),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHVolcite] = ACTIONS(6923),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHavolcite] = ACTIONS(6923),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHNotecite] = ACTIONS(6923),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHlabel] = ACTIONS(6923),
    [anon_sym_BSLASHref] = ACTIONS(6923),
    [anon_sym_BSLASHeqref] = ACTIONS(6923),
    [anon_sym_BSLASHvref] = ACTIONS(6923),
    [anon_sym_BSLASHVref] = ACTIONS(6923),
    [anon_sym_BSLASHautoref] = ACTIONS(6923),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHpageref] = ACTIONS(6923),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHautopageref] = ACTIONS(6923),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcref] = ACTIONS(6923),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCref] = ACTIONS(6923),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcpageref] = ACTIONS(6923),
    [anon_sym_BSLASHCpageref] = ACTIONS(6923),
    [anon_sym_BSLASHnamecref] = ACTIONS(6923),
    [anon_sym_BSLASHnameCref] = ACTIONS(6923),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6923),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6923),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6923),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6923),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6923),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6923),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6923),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6923),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6923),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6923),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6923),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHdef] = ACTIONS(6923),
    [anon_sym_BSLASHgdef] = ACTIONS(6923),
    [anon_sym_BSLASHedef] = ACTIONS(6923),
    [anon_sym_BSLASHxdef] = ACTIONS(6923),
    [anon_sym_BSLASHlet] = ACTIONS(6923),
    [anon_sym_BSLASHglet] = ACTIONS(6923),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6923),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6923),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6923),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6923),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6923),
    [anon_sym_BSLASHgls] = ACTIONS(6923),
    [anon_sym_BSLASHGls] = ACTIONS(6923),
    [anon_sym_BSLASHGLS] = ACTIONS(6923),
    [anon_sym_BSLASHglspl] = ACTIONS(6923),
    [anon_sym_BSLASHGlspl] = ACTIONS(6923),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6923),
    [anon_sym_BSLASHglslink] = ACTIONS(6923),
    [anon_sym_BSLASHglstext] = ACTIONS(6923),
    [anon_sym_BSLASHGlstext] = ACTIONS(6923),
    [anon_sym_BSLASHGLStext] = ACTIONS(6923),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6923),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6923),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6923),
    [anon_sym_BSLASHglsplural] = ACTIONS(6923),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6923),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6923),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHglsname] = ACTIONS(6923),
    [anon_sym_BSLASHGlsname] = ACTIONS(6923),
    [anon_sym_BSLASHGLSname] = ACTIONS(6923),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6923),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6923),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6923),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6923),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6923),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6923),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6923),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6923),
    [anon_sym_BSLASHacrshort] = ACTIONS(6923),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6923),
    [anon_sym_BSLASHACRshort] = ACTIONS(6923),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHacrlong] = ACTIONS(6923),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6923),
    [anon_sym_BSLASHACRlong] = ACTIONS(6923),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHacrfull] = ACTIONS(6923),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6923),
    [anon_sym_BSLASHACRfull] = ACTIONS(6923),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHacs] = ACTIONS(6923),
    [anon_sym_BSLASHAcs] = ACTIONS(6923),
    [anon_sym_BSLASHacsp] = ACTIONS(6923),
    [anon_sym_BSLASHAcsp] = ACTIONS(6923),
    [anon_sym_BSLASHacl] = ACTIONS(6923),
    [anon_sym_BSLASHAcl] = ACTIONS(6923),
    [anon_sym_BSLASHaclp] = ACTIONS(6923),
    [anon_sym_BSLASHAclp] = ACTIONS(6923),
    [anon_sym_BSLASHacf] = ACTIONS(6923),
    [anon_sym_BSLASHAcf] = ACTIONS(6923),
    [anon_sym_BSLASHacfp] = ACTIONS(6923),
    [anon_sym_BSLASHAcfp] = ACTIONS(6923),
    [anon_sym_BSLASHac] = ACTIONS(6923),
    [anon_sym_BSLASHAc] = ACTIONS(6923),
    [anon_sym_BSLASHacp] = ACTIONS(6923),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6923),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6923),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6923),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6923),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6923),
    [anon_sym_BSLASHcolor] = ACTIONS(6923),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6923),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6923),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6923),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6923),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6923),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6923),
    [anon_sym_BSLASHurl] = ACTIONS(6923),
    [anon_sym_BSLASHhref] = ACTIONS(6923),
  },
  [1826] = {
    [sym_brack_group_text] = STATE(2028),
    [sym_command_name] = ACTIONS(6931),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6931),
    [anon_sym_LBRACK] = ACTIONS(7850),
    [anon_sym_RBRACK] = ACTIONS(6933),
    [anon_sym_COMMA] = ACTIONS(6933),
    [anon_sym_EQ] = ACTIONS(6933),
    [anon_sym_LPAREN] = ACTIONS(6933),
    [anon_sym_RPAREN] = ACTIONS(6933),
    [anon_sym_LBRACE] = ACTIONS(6933),
    [anon_sym_RBRACE] = ACTIONS(6933),
    [sym_word] = ACTIONS(6931),
    [sym_placeholder] = ACTIONS(6933),
    [sym_delimiter] = ACTIONS(6933),
    [anon_sym_PLUS] = ACTIONS(6933),
    [anon_sym_DASH] = ACTIONS(6933),
    [anon_sym_STAR] = ACTIONS(6933),
    [anon_sym_SLASH] = ACTIONS(6933),
    [anon_sym_LT] = ACTIONS(6931),
    [anon_sym_GT] = ACTIONS(6931),
    [anon_sym_BANG] = ACTIONS(6931),
    [anon_sym_PIPE] = ACTIONS(6931),
    [anon_sym_COLON] = ACTIONS(6931),
    [anon_sym_SQUOTE] = ACTIONS(6931),
    [anon_sym__] = ACTIONS(6933),
    [anon_sym_CARET] = ACTIONS(6933),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6933),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6933),
    [anon_sym_DOLLAR] = ACTIONS(6931),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6933),
    [anon_sym_BSLASHleft] = ACTIONS(6931),
    [anon_sym_BSLASHbigl] = ACTIONS(6931),
    [anon_sym_BSLASHBigl] = ACTIONS(6931),
    [anon_sym_BSLASHbiggl] = ACTIONS(6931),
    [anon_sym_BSLASHBiggl] = ACTIONS(6931),
    [anon_sym_BSLASHtext] = ACTIONS(6931),
    [anon_sym_BSLASHintertext] = ACTIONS(6931),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6931),
    [anon_sym_BSLASHtitle] = ACTIONS(6931),
    [anon_sym_BSLASHauthor] = ACTIONS(6931),
    [anon_sym_BSLASHusepackage] = ACTIONS(6931),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6931),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6931),
    [anon_sym_BSLASHinclude] = ACTIONS(6931),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6931),
    [anon_sym_BSLASHinput] = ACTIONS(6931),
    [anon_sym_BSLASHsubfile] = ACTIONS(6931),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6931),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6931),
    [anon_sym_BSLASHbibliography] = ACTIONS(6931),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6931),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6931),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6931),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6931),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6931),
    [anon_sym_BSLASHimport] = ACTIONS(6931),
    [anon_sym_BSLASHsubimport] = ACTIONS(6931),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6931),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6931),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6931),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6931),
    [anon_sym_BSLASHcaption] = ACTIONS(6931),
    [anon_sym_BSLASHcite] = ACTIONS(6931),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCite] = ACTIONS(6931),
    [anon_sym_BSLASHnocite] = ACTIONS(6931),
    [anon_sym_BSLASHcitet] = ACTIONS(6931),
    [anon_sym_BSLASHcitep] = ACTIONS(6931),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteA] = ACTIONS(6931),
    [anon_sym_BSLASHciteR] = ACTIONS(6931),
    [anon_sym_BSLASHciteS] = ACTIONS(6931),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6931),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6931),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6931),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6931),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteyear] = ACTIONS(6931),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitedate] = ACTIONS(6931),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteurl] = ACTIONS(6931),
    [anon_sym_BSLASHfullcite] = ACTIONS(6931),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6931),
    [anon_sym_BSLASHcitealt] = ACTIONS(6931),
    [anon_sym_BSLASHcitealp] = ACTIONS(6931),
    [anon_sym_BSLASHcitetext] = ACTIONS(6931),
    [anon_sym_BSLASHparencite] = ACTIONS(6931),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHParencite] = ACTIONS(6931),
    [anon_sym_BSLASHfootcite] = ACTIONS(6931),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6931),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6931),
    [anon_sym_BSLASHtextcite] = ACTIONS(6931),
    [anon_sym_BSLASHTextcite] = ACTIONS(6931),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6931),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6931),
    [anon_sym_BSLASHsupercite] = ACTIONS(6931),
    [anon_sym_BSLASHautocite] = ACTIONS(6931),
    [anon_sym_BSLASHAutocite] = ACTIONS(6931),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHVolcite] = ACTIONS(6931),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHavolcite] = ACTIONS(6931),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHNotecite] = ACTIONS(6931),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHlabel] = ACTIONS(6931),
    [anon_sym_BSLASHref] = ACTIONS(6931),
    [anon_sym_BSLASHeqref] = ACTIONS(6931),
    [anon_sym_BSLASHvref] = ACTIONS(6931),
    [anon_sym_BSLASHVref] = ACTIONS(6931),
    [anon_sym_BSLASHautoref] = ACTIONS(6931),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHpageref] = ACTIONS(6931),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHautopageref] = ACTIONS(6931),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcref] = ACTIONS(6931),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCref] = ACTIONS(6931),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcpageref] = ACTIONS(6931),
    [anon_sym_BSLASHCpageref] = ACTIONS(6931),
    [anon_sym_BSLASHnamecref] = ACTIONS(6931),
    [anon_sym_BSLASHnameCref] = ACTIONS(6931),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6931),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6931),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6931),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6931),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6931),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6931),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6931),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6931),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6931),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6931),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6931),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHdef] = ACTIONS(6931),
    [anon_sym_BSLASHgdef] = ACTIONS(6931),
    [anon_sym_BSLASHedef] = ACTIONS(6931),
    [anon_sym_BSLASHxdef] = ACTIONS(6931),
    [anon_sym_BSLASHlet] = ACTIONS(6931),
    [anon_sym_BSLASHglet] = ACTIONS(6931),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6931),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6931),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6931),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6931),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6931),
    [anon_sym_BSLASHgls] = ACTIONS(6931),
    [anon_sym_BSLASHGls] = ACTIONS(6931),
    [anon_sym_BSLASHGLS] = ACTIONS(6931),
    [anon_sym_BSLASHglspl] = ACTIONS(6931),
    [anon_sym_BSLASHGlspl] = ACTIONS(6931),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6931),
    [anon_sym_BSLASHglslink] = ACTIONS(6931),
    [anon_sym_BSLASHglstext] = ACTIONS(6931),
    [anon_sym_BSLASHGlstext] = ACTIONS(6931),
    [anon_sym_BSLASHGLStext] = ACTIONS(6931),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6931),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6931),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6931),
    [anon_sym_BSLASHglsplural] = ACTIONS(6931),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6931),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6931),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHglsname] = ACTIONS(6931),
    [anon_sym_BSLASHGlsname] = ACTIONS(6931),
    [anon_sym_BSLASHGLSname] = ACTIONS(6931),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6931),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6931),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6931),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6931),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6931),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6931),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6931),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6931),
    [anon_sym_BSLASHacrshort] = ACTIONS(6931),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6931),
    [anon_sym_BSLASHACRshort] = ACTIONS(6931),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHacrlong] = ACTIONS(6931),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6931),
    [anon_sym_BSLASHACRlong] = ACTIONS(6931),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHacrfull] = ACTIONS(6931),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6931),
    [anon_sym_BSLASHACRfull] = ACTIONS(6931),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHacs] = ACTIONS(6931),
    [anon_sym_BSLASHAcs] = ACTIONS(6931),
    [anon_sym_BSLASHacsp] = ACTIONS(6931),
    [anon_sym_BSLASHAcsp] = ACTIONS(6931),
    [anon_sym_BSLASHacl] = ACTIONS(6931),
    [anon_sym_BSLASHAcl] = ACTIONS(6931),
    [anon_sym_BSLASHaclp] = ACTIONS(6931),
    [anon_sym_BSLASHAclp] = ACTIONS(6931),
    [anon_sym_BSLASHacf] = ACTIONS(6931),
    [anon_sym_BSLASHAcf] = ACTIONS(6931),
    [anon_sym_BSLASHacfp] = ACTIONS(6931),
    [anon_sym_BSLASHAcfp] = ACTIONS(6931),
    [anon_sym_BSLASHac] = ACTIONS(6931),
    [anon_sym_BSLASHAc] = ACTIONS(6931),
    [anon_sym_BSLASHacp] = ACTIONS(6931),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6931),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6931),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6931),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6931),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6931),
    [anon_sym_BSLASHcolor] = ACTIONS(6931),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6931),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6931),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6931),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6931),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6931),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6931),
    [anon_sym_BSLASHurl] = ACTIONS(6931),
    [anon_sym_BSLASHhref] = ACTIONS(6931),
  },
  [1827] = {
    [sym_curly_group] = STATE(2032),
    [sym_command_name] = ACTIONS(6935),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6935),
    [anon_sym_LBRACK] = ACTIONS(6937),
    [anon_sym_RBRACK] = ACTIONS(6937),
    [anon_sym_COMMA] = ACTIONS(6937),
    [anon_sym_EQ] = ACTIONS(6937),
    [anon_sym_LPAREN] = ACTIONS(6937),
    [anon_sym_RPAREN] = ACTIONS(6937),
    [anon_sym_LBRACE] = ACTIONS(4818),
    [anon_sym_RBRACE] = ACTIONS(6937),
    [sym_word] = ACTIONS(6935),
    [sym_placeholder] = ACTIONS(6937),
    [sym_delimiter] = ACTIONS(6937),
    [anon_sym_PLUS] = ACTIONS(6937),
    [anon_sym_DASH] = ACTIONS(6937),
    [anon_sym_STAR] = ACTIONS(6937),
    [anon_sym_SLASH] = ACTIONS(6937),
    [anon_sym_LT] = ACTIONS(6935),
    [anon_sym_GT] = ACTIONS(6935),
    [anon_sym_BANG] = ACTIONS(6935),
    [anon_sym_PIPE] = ACTIONS(6935),
    [anon_sym_COLON] = ACTIONS(6935),
    [anon_sym_SQUOTE] = ACTIONS(6935),
    [anon_sym__] = ACTIONS(6937),
    [anon_sym_CARET] = ACTIONS(6937),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6937),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6937),
    [anon_sym_DOLLAR] = ACTIONS(6935),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6937),
    [anon_sym_BSLASHleft] = ACTIONS(6935),
    [anon_sym_BSLASHbigl] = ACTIONS(6935),
    [anon_sym_BSLASHBigl] = ACTIONS(6935),
    [anon_sym_BSLASHbiggl] = ACTIONS(6935),
    [anon_sym_BSLASHBiggl] = ACTIONS(6935),
    [anon_sym_BSLASHtext] = ACTIONS(6935),
    [anon_sym_BSLASHintertext] = ACTIONS(6935),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6935),
    [anon_sym_BSLASHtitle] = ACTIONS(6935),
    [anon_sym_BSLASHauthor] = ACTIONS(6935),
    [anon_sym_BSLASHusepackage] = ACTIONS(6935),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6935),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6935),
    [anon_sym_BSLASHinclude] = ACTIONS(6935),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6935),
    [anon_sym_BSLASHinput] = ACTIONS(6935),
    [anon_sym_BSLASHsubfile] = ACTIONS(6935),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6935),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6935),
    [anon_sym_BSLASHbibliography] = ACTIONS(6935),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6935),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6935),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6935),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6935),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6935),
    [anon_sym_BSLASHimport] = ACTIONS(6935),
    [anon_sym_BSLASHsubimport] = ACTIONS(6935),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6935),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6935),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6935),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6935),
    [anon_sym_BSLASHcaption] = ACTIONS(6935),
    [anon_sym_BSLASHcite] = ACTIONS(6935),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCite] = ACTIONS(6935),
    [anon_sym_BSLASHnocite] = ACTIONS(6935),
    [anon_sym_BSLASHcitet] = ACTIONS(6935),
    [anon_sym_BSLASHcitep] = ACTIONS(6935),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteA] = ACTIONS(6935),
    [anon_sym_BSLASHciteR] = ACTIONS(6935),
    [anon_sym_BSLASHciteS] = ACTIONS(6935),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6935),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6935),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6935),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6935),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteyear] = ACTIONS(6935),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitedate] = ACTIONS(6935),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteurl] = ACTIONS(6935),
    [anon_sym_BSLASHfullcite] = ACTIONS(6935),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6935),
    [anon_sym_BSLASHcitealt] = ACTIONS(6935),
    [anon_sym_BSLASHcitealp] = ACTIONS(6935),
    [anon_sym_BSLASHcitetext] = ACTIONS(6935),
    [anon_sym_BSLASHparencite] = ACTIONS(6935),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHParencite] = ACTIONS(6935),
    [anon_sym_BSLASHfootcite] = ACTIONS(6935),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6935),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6935),
    [anon_sym_BSLASHtextcite] = ACTIONS(6935),
    [anon_sym_BSLASHTextcite] = ACTIONS(6935),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6935),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6935),
    [anon_sym_BSLASHsupercite] = ACTIONS(6935),
    [anon_sym_BSLASHautocite] = ACTIONS(6935),
    [anon_sym_BSLASHAutocite] = ACTIONS(6935),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHVolcite] = ACTIONS(6935),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHavolcite] = ACTIONS(6935),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHNotecite] = ACTIONS(6935),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHlabel] = ACTIONS(6935),
    [anon_sym_BSLASHref] = ACTIONS(6935),
    [anon_sym_BSLASHeqref] = ACTIONS(6935),
    [anon_sym_BSLASHvref] = ACTIONS(6935),
    [anon_sym_BSLASHVref] = ACTIONS(6935),
    [anon_sym_BSLASHautoref] = ACTIONS(6935),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHpageref] = ACTIONS(6935),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHautopageref] = ACTIONS(6935),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcref] = ACTIONS(6935),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCref] = ACTIONS(6935),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcpageref] = ACTIONS(6935),
    [anon_sym_BSLASHCpageref] = ACTIONS(6935),
    [anon_sym_BSLASHnamecref] = ACTIONS(6935),
    [anon_sym_BSLASHnameCref] = ACTIONS(6935),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6935),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6935),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6935),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6935),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6935),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6935),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6935),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6935),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6935),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6935),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6935),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHdef] = ACTIONS(6935),
    [anon_sym_BSLASHgdef] = ACTIONS(6935),
    [anon_sym_BSLASHedef] = ACTIONS(6935),
    [anon_sym_BSLASHxdef] = ACTIONS(6935),
    [anon_sym_BSLASHlet] = ACTIONS(6935),
    [anon_sym_BSLASHglet] = ACTIONS(6935),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6935),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6935),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6935),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6935),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6935),
    [anon_sym_BSLASHgls] = ACTIONS(6935),
    [anon_sym_BSLASHGls] = ACTIONS(6935),
    [anon_sym_BSLASHGLS] = ACTIONS(6935),
    [anon_sym_BSLASHglspl] = ACTIONS(6935),
    [anon_sym_BSLASHGlspl] = ACTIONS(6935),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6935),
    [anon_sym_BSLASHglslink] = ACTIONS(6935),
    [anon_sym_BSLASHglstext] = ACTIONS(6935),
    [anon_sym_BSLASHGlstext] = ACTIONS(6935),
    [anon_sym_BSLASHGLStext] = ACTIONS(6935),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6935),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6935),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6935),
    [anon_sym_BSLASHglsplural] = ACTIONS(6935),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6935),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6935),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHglsname] = ACTIONS(6935),
    [anon_sym_BSLASHGlsname] = ACTIONS(6935),
    [anon_sym_BSLASHGLSname] = ACTIONS(6935),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6935),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6935),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6935),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6935),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6935),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6935),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6935),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6935),
    [anon_sym_BSLASHacrshort] = ACTIONS(6935),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6935),
    [anon_sym_BSLASHACRshort] = ACTIONS(6935),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHacrlong] = ACTIONS(6935),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6935),
    [anon_sym_BSLASHACRlong] = ACTIONS(6935),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHacrfull] = ACTIONS(6935),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6935),
    [anon_sym_BSLASHACRfull] = ACTIONS(6935),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHacs] = ACTIONS(6935),
    [anon_sym_BSLASHAcs] = ACTIONS(6935),
    [anon_sym_BSLASHacsp] = ACTIONS(6935),
    [anon_sym_BSLASHAcsp] = ACTIONS(6935),
    [anon_sym_BSLASHacl] = ACTIONS(6935),
    [anon_sym_BSLASHAcl] = ACTIONS(6935),
    [anon_sym_BSLASHaclp] = ACTIONS(6935),
    [anon_sym_BSLASHAclp] = ACTIONS(6935),
    [anon_sym_BSLASHacf] = ACTIONS(6935),
    [anon_sym_BSLASHAcf] = ACTIONS(6935),
    [anon_sym_BSLASHacfp] = ACTIONS(6935),
    [anon_sym_BSLASHAcfp] = ACTIONS(6935),
    [anon_sym_BSLASHac] = ACTIONS(6935),
    [anon_sym_BSLASHAc] = ACTIONS(6935),
    [anon_sym_BSLASHacp] = ACTIONS(6935),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6935),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6935),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6935),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6935),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6935),
    [anon_sym_BSLASHcolor] = ACTIONS(6935),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6935),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6935),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6935),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6935),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6935),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6935),
    [anon_sym_BSLASHurl] = ACTIONS(6935),
    [anon_sym_BSLASHhref] = ACTIONS(6935),
  },
  [1828] = {
    [sym_command_name] = ACTIONS(7267),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7267),
    [anon_sym_LBRACK] = ACTIONS(7269),
    [anon_sym_RBRACK] = ACTIONS(7269),
    [anon_sym_COMMA] = ACTIONS(7269),
    [anon_sym_EQ] = ACTIONS(7269),
    [anon_sym_LPAREN] = ACTIONS(7269),
    [anon_sym_RPAREN] = ACTIONS(7269),
    [anon_sym_LBRACE] = ACTIONS(7269),
    [sym_word] = ACTIONS(7267),
    [sym_placeholder] = ACTIONS(7269),
    [sym_delimiter] = ACTIONS(7269),
    [anon_sym_PLUS] = ACTIONS(7269),
    [anon_sym_DASH] = ACTIONS(7269),
    [anon_sym_STAR] = ACTIONS(7269),
    [anon_sym_SLASH] = ACTIONS(7269),
    [anon_sym_LT] = ACTIONS(7267),
    [anon_sym_GT] = ACTIONS(7267),
    [anon_sym_BANG] = ACTIONS(7267),
    [anon_sym_PIPE] = ACTIONS(7267),
    [anon_sym_COLON] = ACTIONS(7267),
    [anon_sym_SQUOTE] = ACTIONS(7267),
    [anon_sym__] = ACTIONS(7269),
    [anon_sym_CARET] = ACTIONS(7269),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7269),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7269),
    [anon_sym_DOLLAR] = ACTIONS(7267),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7269),
    [anon_sym_BSLASHleft] = ACTIONS(7267),
    [anon_sym_BSLASHbigl] = ACTIONS(7267),
    [anon_sym_BSLASHBigl] = ACTIONS(7267),
    [anon_sym_BSLASHbiggl] = ACTIONS(7267),
    [anon_sym_BSLASHBiggl] = ACTIONS(7267),
    [anon_sym_BSLASHtext] = ACTIONS(7267),
    [anon_sym_BSLASHintertext] = ACTIONS(7267),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7267),
    [anon_sym_BSLASHbegin] = ACTIONS(7267),
    [anon_sym_BSLASHend] = ACTIONS(7267),
    [anon_sym_BSLASHtitle] = ACTIONS(7267),
    [anon_sym_BSLASHauthor] = ACTIONS(7267),
    [anon_sym_BSLASHusepackage] = ACTIONS(7267),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7267),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7267),
    [anon_sym_BSLASHinclude] = ACTIONS(7267),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7267),
    [anon_sym_BSLASHinput] = ACTIONS(7267),
    [anon_sym_BSLASHsubfile] = ACTIONS(7267),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7267),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7267),
    [anon_sym_BSLASHbibliography] = ACTIONS(7267),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7267),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7267),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7267),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7267),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7267),
    [anon_sym_BSLASHimport] = ACTIONS(7267),
    [anon_sym_BSLASHsubimport] = ACTIONS(7267),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7267),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7267),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7267),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7267),
    [anon_sym_BSLASHcaption] = ACTIONS(7267),
    [anon_sym_BSLASHcite] = ACTIONS(7267),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCite] = ACTIONS(7267),
    [anon_sym_BSLASHnocite] = ACTIONS(7267),
    [anon_sym_BSLASHcitet] = ACTIONS(7267),
    [anon_sym_BSLASHcitep] = ACTIONS(7267),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteA] = ACTIONS(7267),
    [anon_sym_BSLASHciteR] = ACTIONS(7267),
    [anon_sym_BSLASHciteS] = ACTIONS(7267),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7267),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7267),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7267),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7267),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteyear] = ACTIONS(7267),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitedate] = ACTIONS(7267),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteurl] = ACTIONS(7267),
    [anon_sym_BSLASHfullcite] = ACTIONS(7267),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7267),
    [anon_sym_BSLASHcitealt] = ACTIONS(7267),
    [anon_sym_BSLASHcitealp] = ACTIONS(7267),
    [anon_sym_BSLASHcitetext] = ACTIONS(7267),
    [anon_sym_BSLASHparencite] = ACTIONS(7267),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHParencite] = ACTIONS(7267),
    [anon_sym_BSLASHfootcite] = ACTIONS(7267),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7267),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7267),
    [anon_sym_BSLASHtextcite] = ACTIONS(7267),
    [anon_sym_BSLASHTextcite] = ACTIONS(7267),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7267),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7267),
    [anon_sym_BSLASHsupercite] = ACTIONS(7267),
    [anon_sym_BSLASHautocite] = ACTIONS(7267),
    [anon_sym_BSLASHAutocite] = ACTIONS(7267),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHVolcite] = ACTIONS(7267),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHavolcite] = ACTIONS(7267),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHNotecite] = ACTIONS(7267),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHlabel] = ACTIONS(7267),
    [anon_sym_BSLASHref] = ACTIONS(7267),
    [anon_sym_BSLASHeqref] = ACTIONS(7267),
    [anon_sym_BSLASHvref] = ACTIONS(7267),
    [anon_sym_BSLASHVref] = ACTIONS(7267),
    [anon_sym_BSLASHautoref] = ACTIONS(7267),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHpageref] = ACTIONS(7267),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHautopageref] = ACTIONS(7267),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcref] = ACTIONS(7267),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCref] = ACTIONS(7267),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcpageref] = ACTIONS(7267),
    [anon_sym_BSLASHCpageref] = ACTIONS(7267),
    [anon_sym_BSLASHnamecref] = ACTIONS(7267),
    [anon_sym_BSLASHnameCref] = ACTIONS(7267),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7267),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7267),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7267),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7267),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7267),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7267),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7267),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7267),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7267),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7267),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7267),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHdef] = ACTIONS(7267),
    [anon_sym_BSLASHgdef] = ACTIONS(7267),
    [anon_sym_BSLASHedef] = ACTIONS(7267),
    [anon_sym_BSLASHxdef] = ACTIONS(7267),
    [anon_sym_BSLASHlet] = ACTIONS(7267),
    [anon_sym_BSLASHglet] = ACTIONS(7267),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7267),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7267),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7267),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7267),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7267),
    [anon_sym_BSLASHgls] = ACTIONS(7267),
    [anon_sym_BSLASHGls] = ACTIONS(7267),
    [anon_sym_BSLASHGLS] = ACTIONS(7267),
    [anon_sym_BSLASHglspl] = ACTIONS(7267),
    [anon_sym_BSLASHGlspl] = ACTIONS(7267),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7267),
    [anon_sym_BSLASHglslink] = ACTIONS(7267),
    [anon_sym_BSLASHglstext] = ACTIONS(7267),
    [anon_sym_BSLASHGlstext] = ACTIONS(7267),
    [anon_sym_BSLASHGLStext] = ACTIONS(7267),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7267),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7267),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7267),
    [anon_sym_BSLASHglsplural] = ACTIONS(7267),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7267),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7267),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHglsname] = ACTIONS(7267),
    [anon_sym_BSLASHGlsname] = ACTIONS(7267),
    [anon_sym_BSLASHGLSname] = ACTIONS(7267),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7267),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7267),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7267),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7267),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7267),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7267),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7267),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7267),
    [anon_sym_BSLASHacrshort] = ACTIONS(7267),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7267),
    [anon_sym_BSLASHACRshort] = ACTIONS(7267),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHacrlong] = ACTIONS(7267),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7267),
    [anon_sym_BSLASHACRlong] = ACTIONS(7267),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHacrfull] = ACTIONS(7267),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7267),
    [anon_sym_BSLASHACRfull] = ACTIONS(7267),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHacs] = ACTIONS(7267),
    [anon_sym_BSLASHAcs] = ACTIONS(7267),
    [anon_sym_BSLASHacsp] = ACTIONS(7267),
    [anon_sym_BSLASHAcsp] = ACTIONS(7267),
    [anon_sym_BSLASHacl] = ACTIONS(7267),
    [anon_sym_BSLASHAcl] = ACTIONS(7267),
    [anon_sym_BSLASHaclp] = ACTIONS(7267),
    [anon_sym_BSLASHAclp] = ACTIONS(7267),
    [anon_sym_BSLASHacf] = ACTIONS(7267),
    [anon_sym_BSLASHAcf] = ACTIONS(7267),
    [anon_sym_BSLASHacfp] = ACTIONS(7267),
    [anon_sym_BSLASHAcfp] = ACTIONS(7267),
    [anon_sym_BSLASHac] = ACTIONS(7267),
    [anon_sym_BSLASHAc] = ACTIONS(7267),
    [anon_sym_BSLASHacp] = ACTIONS(7267),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7267),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7267),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7267),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7267),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7267),
    [anon_sym_BSLASHcolor] = ACTIONS(7267),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7267),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7267),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7267),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7267),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7267),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7267),
    [anon_sym_BSLASHurl] = ACTIONS(7267),
    [anon_sym_BSLASHhref] = ACTIONS(7267),
  },
  [1829] = {
    [sym_command_name] = ACTIONS(7271),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7271),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_RBRACK] = ACTIONS(7273),
    [anon_sym_COMMA] = ACTIONS(7273),
    [anon_sym_EQ] = ACTIONS(7273),
    [anon_sym_LPAREN] = ACTIONS(7273),
    [anon_sym_RPAREN] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7273),
    [sym_word] = ACTIONS(7271),
    [sym_placeholder] = ACTIONS(7273),
    [sym_delimiter] = ACTIONS(7273),
    [anon_sym_PLUS] = ACTIONS(7273),
    [anon_sym_DASH] = ACTIONS(7273),
    [anon_sym_STAR] = ACTIONS(7273),
    [anon_sym_SLASH] = ACTIONS(7273),
    [anon_sym_LT] = ACTIONS(7271),
    [anon_sym_GT] = ACTIONS(7271),
    [anon_sym_BANG] = ACTIONS(7271),
    [anon_sym_PIPE] = ACTIONS(7271),
    [anon_sym_COLON] = ACTIONS(7271),
    [anon_sym_SQUOTE] = ACTIONS(7271),
    [anon_sym__] = ACTIONS(7273),
    [anon_sym_CARET] = ACTIONS(7273),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7273),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7273),
    [anon_sym_DOLLAR] = ACTIONS(7271),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7273),
    [anon_sym_BSLASHleft] = ACTIONS(7271),
    [anon_sym_BSLASHbigl] = ACTIONS(7271),
    [anon_sym_BSLASHBigl] = ACTIONS(7271),
    [anon_sym_BSLASHbiggl] = ACTIONS(7271),
    [anon_sym_BSLASHBiggl] = ACTIONS(7271),
    [anon_sym_BSLASHtext] = ACTIONS(7271),
    [anon_sym_BSLASHintertext] = ACTIONS(7271),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7271),
    [anon_sym_BSLASHbegin] = ACTIONS(7271),
    [anon_sym_BSLASHend] = ACTIONS(7271),
    [anon_sym_BSLASHtitle] = ACTIONS(7271),
    [anon_sym_BSLASHauthor] = ACTIONS(7271),
    [anon_sym_BSLASHusepackage] = ACTIONS(7271),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7271),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7271),
    [anon_sym_BSLASHinclude] = ACTIONS(7271),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7271),
    [anon_sym_BSLASHinput] = ACTIONS(7271),
    [anon_sym_BSLASHsubfile] = ACTIONS(7271),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7271),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7271),
    [anon_sym_BSLASHbibliography] = ACTIONS(7271),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7271),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7271),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7271),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7271),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7271),
    [anon_sym_BSLASHimport] = ACTIONS(7271),
    [anon_sym_BSLASHsubimport] = ACTIONS(7271),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7271),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7271),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7271),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7271),
    [anon_sym_BSLASHcaption] = ACTIONS(7271),
    [anon_sym_BSLASHcite] = ACTIONS(7271),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCite] = ACTIONS(7271),
    [anon_sym_BSLASHnocite] = ACTIONS(7271),
    [anon_sym_BSLASHcitet] = ACTIONS(7271),
    [anon_sym_BSLASHcitep] = ACTIONS(7271),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteA] = ACTIONS(7271),
    [anon_sym_BSLASHciteR] = ACTIONS(7271),
    [anon_sym_BSLASHciteS] = ACTIONS(7271),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7271),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7271),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7271),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7271),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteyear] = ACTIONS(7271),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitedate] = ACTIONS(7271),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteurl] = ACTIONS(7271),
    [anon_sym_BSLASHfullcite] = ACTIONS(7271),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7271),
    [anon_sym_BSLASHcitealt] = ACTIONS(7271),
    [anon_sym_BSLASHcitealp] = ACTIONS(7271),
    [anon_sym_BSLASHcitetext] = ACTIONS(7271),
    [anon_sym_BSLASHparencite] = ACTIONS(7271),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHParencite] = ACTIONS(7271),
    [anon_sym_BSLASHfootcite] = ACTIONS(7271),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7271),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7271),
    [anon_sym_BSLASHtextcite] = ACTIONS(7271),
    [anon_sym_BSLASHTextcite] = ACTIONS(7271),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7271),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7271),
    [anon_sym_BSLASHsupercite] = ACTIONS(7271),
    [anon_sym_BSLASHautocite] = ACTIONS(7271),
    [anon_sym_BSLASHAutocite] = ACTIONS(7271),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHVolcite] = ACTIONS(7271),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHavolcite] = ACTIONS(7271),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHNotecite] = ACTIONS(7271),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHlabel] = ACTIONS(7271),
    [anon_sym_BSLASHref] = ACTIONS(7271),
    [anon_sym_BSLASHeqref] = ACTIONS(7271),
    [anon_sym_BSLASHvref] = ACTIONS(7271),
    [anon_sym_BSLASHVref] = ACTIONS(7271),
    [anon_sym_BSLASHautoref] = ACTIONS(7271),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHpageref] = ACTIONS(7271),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHautopageref] = ACTIONS(7271),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcref] = ACTIONS(7271),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCref] = ACTIONS(7271),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcpageref] = ACTIONS(7271),
    [anon_sym_BSLASHCpageref] = ACTIONS(7271),
    [anon_sym_BSLASHnamecref] = ACTIONS(7271),
    [anon_sym_BSLASHnameCref] = ACTIONS(7271),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7271),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7271),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7271),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7271),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7271),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7271),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7271),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7271),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7271),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7271),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7271),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHdef] = ACTIONS(7271),
    [anon_sym_BSLASHgdef] = ACTIONS(7271),
    [anon_sym_BSLASHedef] = ACTIONS(7271),
    [anon_sym_BSLASHxdef] = ACTIONS(7271),
    [anon_sym_BSLASHlet] = ACTIONS(7271),
    [anon_sym_BSLASHglet] = ACTIONS(7271),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7271),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7271),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7271),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7271),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7271),
    [anon_sym_BSLASHgls] = ACTIONS(7271),
    [anon_sym_BSLASHGls] = ACTIONS(7271),
    [anon_sym_BSLASHGLS] = ACTIONS(7271),
    [anon_sym_BSLASHglspl] = ACTIONS(7271),
    [anon_sym_BSLASHGlspl] = ACTIONS(7271),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7271),
    [anon_sym_BSLASHglslink] = ACTIONS(7271),
    [anon_sym_BSLASHglstext] = ACTIONS(7271),
    [anon_sym_BSLASHGlstext] = ACTIONS(7271),
    [anon_sym_BSLASHGLStext] = ACTIONS(7271),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7271),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7271),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7271),
    [anon_sym_BSLASHglsplural] = ACTIONS(7271),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7271),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7271),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHglsname] = ACTIONS(7271),
    [anon_sym_BSLASHGlsname] = ACTIONS(7271),
    [anon_sym_BSLASHGLSname] = ACTIONS(7271),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7271),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7271),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7271),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7271),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7271),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7271),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7271),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7271),
    [anon_sym_BSLASHacrshort] = ACTIONS(7271),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7271),
    [anon_sym_BSLASHACRshort] = ACTIONS(7271),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHacrlong] = ACTIONS(7271),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7271),
    [anon_sym_BSLASHACRlong] = ACTIONS(7271),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHacrfull] = ACTIONS(7271),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7271),
    [anon_sym_BSLASHACRfull] = ACTIONS(7271),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHacs] = ACTIONS(7271),
    [anon_sym_BSLASHAcs] = ACTIONS(7271),
    [anon_sym_BSLASHacsp] = ACTIONS(7271),
    [anon_sym_BSLASHAcsp] = ACTIONS(7271),
    [anon_sym_BSLASHacl] = ACTIONS(7271),
    [anon_sym_BSLASHAcl] = ACTIONS(7271),
    [anon_sym_BSLASHaclp] = ACTIONS(7271),
    [anon_sym_BSLASHAclp] = ACTIONS(7271),
    [anon_sym_BSLASHacf] = ACTIONS(7271),
    [anon_sym_BSLASHAcf] = ACTIONS(7271),
    [anon_sym_BSLASHacfp] = ACTIONS(7271),
    [anon_sym_BSLASHAcfp] = ACTIONS(7271),
    [anon_sym_BSLASHac] = ACTIONS(7271),
    [anon_sym_BSLASHAc] = ACTIONS(7271),
    [anon_sym_BSLASHacp] = ACTIONS(7271),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7271),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7271),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7271),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7271),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7271),
    [anon_sym_BSLASHcolor] = ACTIONS(7271),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7271),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7271),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7271),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7271),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7271),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7271),
    [anon_sym_BSLASHurl] = ACTIONS(7271),
    [anon_sym_BSLASHhref] = ACTIONS(7271),
  },
  [1830] = {
    [sym_command_name] = ACTIONS(7275),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7275),
    [anon_sym_LBRACK] = ACTIONS(7277),
    [anon_sym_RBRACK] = ACTIONS(7277),
    [anon_sym_COMMA] = ACTIONS(7277),
    [anon_sym_EQ] = ACTIONS(7277),
    [anon_sym_LPAREN] = ACTIONS(7277),
    [anon_sym_RPAREN] = ACTIONS(7277),
    [anon_sym_LBRACE] = ACTIONS(7277),
    [sym_word] = ACTIONS(7275),
    [sym_placeholder] = ACTIONS(7277),
    [sym_delimiter] = ACTIONS(7277),
    [anon_sym_PLUS] = ACTIONS(7277),
    [anon_sym_DASH] = ACTIONS(7277),
    [anon_sym_STAR] = ACTIONS(7277),
    [anon_sym_SLASH] = ACTIONS(7277),
    [anon_sym_LT] = ACTIONS(7275),
    [anon_sym_GT] = ACTIONS(7275),
    [anon_sym_BANG] = ACTIONS(7275),
    [anon_sym_PIPE] = ACTIONS(7275),
    [anon_sym_COLON] = ACTIONS(7275),
    [anon_sym_SQUOTE] = ACTIONS(7275),
    [anon_sym__] = ACTIONS(7277),
    [anon_sym_CARET] = ACTIONS(7277),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7277),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7277),
    [anon_sym_DOLLAR] = ACTIONS(7275),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7277),
    [anon_sym_BSLASHleft] = ACTIONS(7275),
    [anon_sym_BSLASHbigl] = ACTIONS(7275),
    [anon_sym_BSLASHBigl] = ACTIONS(7275),
    [anon_sym_BSLASHbiggl] = ACTIONS(7275),
    [anon_sym_BSLASHBiggl] = ACTIONS(7275),
    [anon_sym_BSLASHtext] = ACTIONS(7275),
    [anon_sym_BSLASHintertext] = ACTIONS(7275),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7275),
    [anon_sym_BSLASHbegin] = ACTIONS(7275),
    [anon_sym_BSLASHend] = ACTIONS(7275),
    [anon_sym_BSLASHtitle] = ACTIONS(7275),
    [anon_sym_BSLASHauthor] = ACTIONS(7275),
    [anon_sym_BSLASHusepackage] = ACTIONS(7275),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7275),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7275),
    [anon_sym_BSLASHinclude] = ACTIONS(7275),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7275),
    [anon_sym_BSLASHinput] = ACTIONS(7275),
    [anon_sym_BSLASHsubfile] = ACTIONS(7275),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7275),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7275),
    [anon_sym_BSLASHbibliography] = ACTIONS(7275),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7275),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7275),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7275),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7275),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7275),
    [anon_sym_BSLASHimport] = ACTIONS(7275),
    [anon_sym_BSLASHsubimport] = ACTIONS(7275),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7275),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7275),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7275),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7275),
    [anon_sym_BSLASHcaption] = ACTIONS(7275),
    [anon_sym_BSLASHcite] = ACTIONS(7275),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCite] = ACTIONS(7275),
    [anon_sym_BSLASHnocite] = ACTIONS(7275),
    [anon_sym_BSLASHcitet] = ACTIONS(7275),
    [anon_sym_BSLASHcitep] = ACTIONS(7275),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteA] = ACTIONS(7275),
    [anon_sym_BSLASHciteR] = ACTIONS(7275),
    [anon_sym_BSLASHciteS] = ACTIONS(7275),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7275),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7275),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7275),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7275),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteyear] = ACTIONS(7275),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitedate] = ACTIONS(7275),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteurl] = ACTIONS(7275),
    [anon_sym_BSLASHfullcite] = ACTIONS(7275),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7275),
    [anon_sym_BSLASHcitealt] = ACTIONS(7275),
    [anon_sym_BSLASHcitealp] = ACTIONS(7275),
    [anon_sym_BSLASHcitetext] = ACTIONS(7275),
    [anon_sym_BSLASHparencite] = ACTIONS(7275),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHParencite] = ACTIONS(7275),
    [anon_sym_BSLASHfootcite] = ACTIONS(7275),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7275),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7275),
    [anon_sym_BSLASHtextcite] = ACTIONS(7275),
    [anon_sym_BSLASHTextcite] = ACTIONS(7275),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7275),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7275),
    [anon_sym_BSLASHsupercite] = ACTIONS(7275),
    [anon_sym_BSLASHautocite] = ACTIONS(7275),
    [anon_sym_BSLASHAutocite] = ACTIONS(7275),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHVolcite] = ACTIONS(7275),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHavolcite] = ACTIONS(7275),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHNotecite] = ACTIONS(7275),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHlabel] = ACTIONS(7275),
    [anon_sym_BSLASHref] = ACTIONS(7275),
    [anon_sym_BSLASHeqref] = ACTIONS(7275),
    [anon_sym_BSLASHvref] = ACTIONS(7275),
    [anon_sym_BSLASHVref] = ACTIONS(7275),
    [anon_sym_BSLASHautoref] = ACTIONS(7275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHpageref] = ACTIONS(7275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHautopageref] = ACTIONS(7275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcref] = ACTIONS(7275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCref] = ACTIONS(7275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcpageref] = ACTIONS(7275),
    [anon_sym_BSLASHCpageref] = ACTIONS(7275),
    [anon_sym_BSLASHnamecref] = ACTIONS(7275),
    [anon_sym_BSLASHnameCref] = ACTIONS(7275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7275),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7275),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7275),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7275),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7275),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7275),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7275),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7275),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHdef] = ACTIONS(7275),
    [anon_sym_BSLASHgdef] = ACTIONS(7275),
    [anon_sym_BSLASHedef] = ACTIONS(7275),
    [anon_sym_BSLASHxdef] = ACTIONS(7275),
    [anon_sym_BSLASHlet] = ACTIONS(7275),
    [anon_sym_BSLASHglet] = ACTIONS(7275),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7275),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7275),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7275),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7275),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7275),
    [anon_sym_BSLASHgls] = ACTIONS(7275),
    [anon_sym_BSLASHGls] = ACTIONS(7275),
    [anon_sym_BSLASHGLS] = ACTIONS(7275),
    [anon_sym_BSLASHglspl] = ACTIONS(7275),
    [anon_sym_BSLASHGlspl] = ACTIONS(7275),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7275),
    [anon_sym_BSLASHglslink] = ACTIONS(7275),
    [anon_sym_BSLASHglstext] = ACTIONS(7275),
    [anon_sym_BSLASHGlstext] = ACTIONS(7275),
    [anon_sym_BSLASHGLStext] = ACTIONS(7275),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7275),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7275),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7275),
    [anon_sym_BSLASHglsplural] = ACTIONS(7275),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7275),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7275),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHglsname] = ACTIONS(7275),
    [anon_sym_BSLASHGlsname] = ACTIONS(7275),
    [anon_sym_BSLASHGLSname] = ACTIONS(7275),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7275),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7275),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7275),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7275),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7275),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7275),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7275),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7275),
    [anon_sym_BSLASHacrshort] = ACTIONS(7275),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7275),
    [anon_sym_BSLASHACRshort] = ACTIONS(7275),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHacrlong] = ACTIONS(7275),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7275),
    [anon_sym_BSLASHACRlong] = ACTIONS(7275),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHacrfull] = ACTIONS(7275),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7275),
    [anon_sym_BSLASHACRfull] = ACTIONS(7275),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHacs] = ACTIONS(7275),
    [anon_sym_BSLASHAcs] = ACTIONS(7275),
    [anon_sym_BSLASHacsp] = ACTIONS(7275),
    [anon_sym_BSLASHAcsp] = ACTIONS(7275),
    [anon_sym_BSLASHacl] = ACTIONS(7275),
    [anon_sym_BSLASHAcl] = ACTIONS(7275),
    [anon_sym_BSLASHaclp] = ACTIONS(7275),
    [anon_sym_BSLASHAclp] = ACTIONS(7275),
    [anon_sym_BSLASHacf] = ACTIONS(7275),
    [anon_sym_BSLASHAcf] = ACTIONS(7275),
    [anon_sym_BSLASHacfp] = ACTIONS(7275),
    [anon_sym_BSLASHAcfp] = ACTIONS(7275),
    [anon_sym_BSLASHac] = ACTIONS(7275),
    [anon_sym_BSLASHAc] = ACTIONS(7275),
    [anon_sym_BSLASHacp] = ACTIONS(7275),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7275),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7275),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7275),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7275),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7275),
    [anon_sym_BSLASHcolor] = ACTIONS(7275),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7275),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7275),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7275),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7275),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7275),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7275),
    [anon_sym_BSLASHurl] = ACTIONS(7275),
    [anon_sym_BSLASHhref] = ACTIONS(7275),
  },
  [1831] = {
    [sym_command_name] = ACTIONS(7279),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7279),
    [anon_sym_LBRACK] = ACTIONS(7281),
    [anon_sym_RBRACK] = ACTIONS(7281),
    [anon_sym_COMMA] = ACTIONS(7281),
    [anon_sym_EQ] = ACTIONS(7281),
    [anon_sym_LPAREN] = ACTIONS(7281),
    [anon_sym_RPAREN] = ACTIONS(7281),
    [anon_sym_LBRACE] = ACTIONS(7281),
    [sym_word] = ACTIONS(7279),
    [sym_placeholder] = ACTIONS(7281),
    [sym_delimiter] = ACTIONS(7281),
    [anon_sym_PLUS] = ACTIONS(7281),
    [anon_sym_DASH] = ACTIONS(7281),
    [anon_sym_STAR] = ACTIONS(7281),
    [anon_sym_SLASH] = ACTIONS(7281),
    [anon_sym_LT] = ACTIONS(7279),
    [anon_sym_GT] = ACTIONS(7279),
    [anon_sym_BANG] = ACTIONS(7279),
    [anon_sym_PIPE] = ACTIONS(7279),
    [anon_sym_COLON] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7279),
    [anon_sym__] = ACTIONS(7281),
    [anon_sym_CARET] = ACTIONS(7281),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7281),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7281),
    [anon_sym_DOLLAR] = ACTIONS(7279),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7281),
    [anon_sym_BSLASHleft] = ACTIONS(7279),
    [anon_sym_BSLASHbigl] = ACTIONS(7279),
    [anon_sym_BSLASHBigl] = ACTIONS(7279),
    [anon_sym_BSLASHbiggl] = ACTIONS(7279),
    [anon_sym_BSLASHBiggl] = ACTIONS(7279),
    [anon_sym_BSLASHtext] = ACTIONS(7279),
    [anon_sym_BSLASHintertext] = ACTIONS(7279),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7279),
    [anon_sym_BSLASHbegin] = ACTIONS(7279),
    [anon_sym_BSLASHend] = ACTIONS(7279),
    [anon_sym_BSLASHtitle] = ACTIONS(7279),
    [anon_sym_BSLASHauthor] = ACTIONS(7279),
    [anon_sym_BSLASHusepackage] = ACTIONS(7279),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7279),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7279),
    [anon_sym_BSLASHinclude] = ACTIONS(7279),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7279),
    [anon_sym_BSLASHinput] = ACTIONS(7279),
    [anon_sym_BSLASHsubfile] = ACTIONS(7279),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7279),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7279),
    [anon_sym_BSLASHbibliography] = ACTIONS(7279),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7279),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7279),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7279),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7279),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7279),
    [anon_sym_BSLASHimport] = ACTIONS(7279),
    [anon_sym_BSLASHsubimport] = ACTIONS(7279),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7279),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7279),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7279),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7279),
    [anon_sym_BSLASHcaption] = ACTIONS(7279),
    [anon_sym_BSLASHcite] = ACTIONS(7279),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCite] = ACTIONS(7279),
    [anon_sym_BSLASHnocite] = ACTIONS(7279),
    [anon_sym_BSLASHcitet] = ACTIONS(7279),
    [anon_sym_BSLASHcitep] = ACTIONS(7279),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteA] = ACTIONS(7279),
    [anon_sym_BSLASHciteR] = ACTIONS(7279),
    [anon_sym_BSLASHciteS] = ACTIONS(7279),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7279),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7279),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7279),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7279),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteyear] = ACTIONS(7279),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitedate] = ACTIONS(7279),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteurl] = ACTIONS(7279),
    [anon_sym_BSLASHfullcite] = ACTIONS(7279),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7279),
    [anon_sym_BSLASHcitealt] = ACTIONS(7279),
    [anon_sym_BSLASHcitealp] = ACTIONS(7279),
    [anon_sym_BSLASHcitetext] = ACTIONS(7279),
    [anon_sym_BSLASHparencite] = ACTIONS(7279),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHParencite] = ACTIONS(7279),
    [anon_sym_BSLASHfootcite] = ACTIONS(7279),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7279),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7279),
    [anon_sym_BSLASHtextcite] = ACTIONS(7279),
    [anon_sym_BSLASHTextcite] = ACTIONS(7279),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7279),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7279),
    [anon_sym_BSLASHsupercite] = ACTIONS(7279),
    [anon_sym_BSLASHautocite] = ACTIONS(7279),
    [anon_sym_BSLASHAutocite] = ACTIONS(7279),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHVolcite] = ACTIONS(7279),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHavolcite] = ACTIONS(7279),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHNotecite] = ACTIONS(7279),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHlabel] = ACTIONS(7279),
    [anon_sym_BSLASHref] = ACTIONS(7279),
    [anon_sym_BSLASHeqref] = ACTIONS(7279),
    [anon_sym_BSLASHvref] = ACTIONS(7279),
    [anon_sym_BSLASHVref] = ACTIONS(7279),
    [anon_sym_BSLASHautoref] = ACTIONS(7279),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHpageref] = ACTIONS(7279),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHautopageref] = ACTIONS(7279),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcref] = ACTIONS(7279),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCref] = ACTIONS(7279),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcpageref] = ACTIONS(7279),
    [anon_sym_BSLASHCpageref] = ACTIONS(7279),
    [anon_sym_BSLASHnamecref] = ACTIONS(7279),
    [anon_sym_BSLASHnameCref] = ACTIONS(7279),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7279),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7279),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7279),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7279),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7279),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7279),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7279),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHdef] = ACTIONS(7279),
    [anon_sym_BSLASHgdef] = ACTIONS(7279),
    [anon_sym_BSLASHedef] = ACTIONS(7279),
    [anon_sym_BSLASHxdef] = ACTIONS(7279),
    [anon_sym_BSLASHlet] = ACTIONS(7279),
    [anon_sym_BSLASHglet] = ACTIONS(7279),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7279),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7279),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7279),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7279),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7279),
    [anon_sym_BSLASHgls] = ACTIONS(7279),
    [anon_sym_BSLASHGls] = ACTIONS(7279),
    [anon_sym_BSLASHGLS] = ACTIONS(7279),
    [anon_sym_BSLASHglspl] = ACTIONS(7279),
    [anon_sym_BSLASHGlspl] = ACTIONS(7279),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7279),
    [anon_sym_BSLASHglslink] = ACTIONS(7279),
    [anon_sym_BSLASHglstext] = ACTIONS(7279),
    [anon_sym_BSLASHGlstext] = ACTIONS(7279),
    [anon_sym_BSLASHGLStext] = ACTIONS(7279),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7279),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7279),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7279),
    [anon_sym_BSLASHglsplural] = ACTIONS(7279),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7279),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7279),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHglsname] = ACTIONS(7279),
    [anon_sym_BSLASHGlsname] = ACTIONS(7279),
    [anon_sym_BSLASHGLSname] = ACTIONS(7279),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7279),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7279),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7279),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7279),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7279),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7279),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7279),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7279),
    [anon_sym_BSLASHacrshort] = ACTIONS(7279),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7279),
    [anon_sym_BSLASHACRshort] = ACTIONS(7279),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHacrlong] = ACTIONS(7279),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7279),
    [anon_sym_BSLASHACRlong] = ACTIONS(7279),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHacrfull] = ACTIONS(7279),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7279),
    [anon_sym_BSLASHACRfull] = ACTIONS(7279),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHacs] = ACTIONS(7279),
    [anon_sym_BSLASHAcs] = ACTIONS(7279),
    [anon_sym_BSLASHacsp] = ACTIONS(7279),
    [anon_sym_BSLASHAcsp] = ACTIONS(7279),
    [anon_sym_BSLASHacl] = ACTIONS(7279),
    [anon_sym_BSLASHAcl] = ACTIONS(7279),
    [anon_sym_BSLASHaclp] = ACTIONS(7279),
    [anon_sym_BSLASHAclp] = ACTIONS(7279),
    [anon_sym_BSLASHacf] = ACTIONS(7279),
    [anon_sym_BSLASHAcf] = ACTIONS(7279),
    [anon_sym_BSLASHacfp] = ACTIONS(7279),
    [anon_sym_BSLASHAcfp] = ACTIONS(7279),
    [anon_sym_BSLASHac] = ACTIONS(7279),
    [anon_sym_BSLASHAc] = ACTIONS(7279),
    [anon_sym_BSLASHacp] = ACTIONS(7279),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7279),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7279),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7279),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7279),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7279),
    [anon_sym_BSLASHcolor] = ACTIONS(7279),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7279),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7279),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7279),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7279),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7279),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7279),
    [anon_sym_BSLASHurl] = ACTIONS(7279),
    [anon_sym_BSLASHhref] = ACTIONS(7279),
  },
  [1832] = {
    [sym_command_name] = ACTIONS(7047),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7047),
    [anon_sym_LBRACK] = ACTIONS(7049),
    [anon_sym_RBRACK] = ACTIONS(7049),
    [anon_sym_COMMA] = ACTIONS(7049),
    [anon_sym_EQ] = ACTIONS(7049),
    [anon_sym_LPAREN] = ACTIONS(7049),
    [anon_sym_RPAREN] = ACTIONS(7049),
    [anon_sym_LBRACE] = ACTIONS(7049),
    [sym_word] = ACTIONS(7047),
    [sym_placeholder] = ACTIONS(7049),
    [sym_delimiter] = ACTIONS(7049),
    [anon_sym_PLUS] = ACTIONS(7049),
    [anon_sym_DASH] = ACTIONS(7049),
    [anon_sym_STAR] = ACTIONS(7049),
    [anon_sym_SLASH] = ACTIONS(7049),
    [anon_sym_LT] = ACTIONS(7047),
    [anon_sym_GT] = ACTIONS(7047),
    [anon_sym_BANG] = ACTIONS(7047),
    [anon_sym_PIPE] = ACTIONS(7047),
    [anon_sym_COLON] = ACTIONS(7047),
    [anon_sym_SQUOTE] = ACTIONS(7047),
    [anon_sym__] = ACTIONS(7049),
    [anon_sym_CARET] = ACTIONS(7049),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7049),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7049),
    [anon_sym_DOLLAR] = ACTIONS(7047),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7049),
    [anon_sym_BSLASHleft] = ACTIONS(7047),
    [anon_sym_BSLASHbigl] = ACTIONS(7047),
    [anon_sym_BSLASHBigl] = ACTIONS(7047),
    [anon_sym_BSLASHbiggl] = ACTIONS(7047),
    [anon_sym_BSLASHBiggl] = ACTIONS(7047),
    [anon_sym_BSLASHtext] = ACTIONS(7047),
    [anon_sym_BSLASHintertext] = ACTIONS(7047),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7047),
    [anon_sym_BSLASHbegin] = ACTIONS(7047),
    [anon_sym_BSLASHend] = ACTIONS(7047),
    [anon_sym_BSLASHtitle] = ACTIONS(7047),
    [anon_sym_BSLASHauthor] = ACTIONS(7047),
    [anon_sym_BSLASHusepackage] = ACTIONS(7047),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7047),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7047),
    [anon_sym_BSLASHinclude] = ACTIONS(7047),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7047),
    [anon_sym_BSLASHinput] = ACTIONS(7047),
    [anon_sym_BSLASHsubfile] = ACTIONS(7047),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7047),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7047),
    [anon_sym_BSLASHbibliography] = ACTIONS(7047),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7047),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7047),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7047),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7047),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7047),
    [anon_sym_BSLASHimport] = ACTIONS(7047),
    [anon_sym_BSLASHsubimport] = ACTIONS(7047),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7047),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7047),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7047),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7047),
    [anon_sym_BSLASHcaption] = ACTIONS(7047),
    [anon_sym_BSLASHcite] = ACTIONS(7047),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCite] = ACTIONS(7047),
    [anon_sym_BSLASHnocite] = ACTIONS(7047),
    [anon_sym_BSLASHcitet] = ACTIONS(7047),
    [anon_sym_BSLASHcitep] = ACTIONS(7047),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteA] = ACTIONS(7047),
    [anon_sym_BSLASHciteR] = ACTIONS(7047),
    [anon_sym_BSLASHciteS] = ACTIONS(7047),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7047),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7047),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7047),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7047),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteyear] = ACTIONS(7047),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitedate] = ACTIONS(7047),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteurl] = ACTIONS(7047),
    [anon_sym_BSLASHfullcite] = ACTIONS(7047),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7047),
    [anon_sym_BSLASHcitealt] = ACTIONS(7047),
    [anon_sym_BSLASHcitealp] = ACTIONS(7047),
    [anon_sym_BSLASHcitetext] = ACTIONS(7047),
    [anon_sym_BSLASHparencite] = ACTIONS(7047),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHParencite] = ACTIONS(7047),
    [anon_sym_BSLASHfootcite] = ACTIONS(7047),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7047),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7047),
    [anon_sym_BSLASHtextcite] = ACTIONS(7047),
    [anon_sym_BSLASHTextcite] = ACTIONS(7047),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7047),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7047),
    [anon_sym_BSLASHsupercite] = ACTIONS(7047),
    [anon_sym_BSLASHautocite] = ACTIONS(7047),
    [anon_sym_BSLASHAutocite] = ACTIONS(7047),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHVolcite] = ACTIONS(7047),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHavolcite] = ACTIONS(7047),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHNotecite] = ACTIONS(7047),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHlabel] = ACTIONS(7047),
    [anon_sym_BSLASHref] = ACTIONS(7047),
    [anon_sym_BSLASHeqref] = ACTIONS(7047),
    [anon_sym_BSLASHvref] = ACTIONS(7047),
    [anon_sym_BSLASHVref] = ACTIONS(7047),
    [anon_sym_BSLASHautoref] = ACTIONS(7047),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHpageref] = ACTIONS(7047),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHautopageref] = ACTIONS(7047),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcref] = ACTIONS(7047),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCref] = ACTIONS(7047),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcpageref] = ACTIONS(7047),
    [anon_sym_BSLASHCpageref] = ACTIONS(7047),
    [anon_sym_BSLASHnamecref] = ACTIONS(7047),
    [anon_sym_BSLASHnameCref] = ACTIONS(7047),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7047),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7047),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7047),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7047),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7047),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7047),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7047),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7047),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7047),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7047),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7047),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHdef] = ACTIONS(7047),
    [anon_sym_BSLASHgdef] = ACTIONS(7047),
    [anon_sym_BSLASHedef] = ACTIONS(7047),
    [anon_sym_BSLASHxdef] = ACTIONS(7047),
    [anon_sym_BSLASHlet] = ACTIONS(7047),
    [anon_sym_BSLASHglet] = ACTIONS(7047),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7047),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7047),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7047),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7047),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7047),
    [anon_sym_BSLASHgls] = ACTIONS(7047),
    [anon_sym_BSLASHGls] = ACTIONS(7047),
    [anon_sym_BSLASHGLS] = ACTIONS(7047),
    [anon_sym_BSLASHglspl] = ACTIONS(7047),
    [anon_sym_BSLASHGlspl] = ACTIONS(7047),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7047),
    [anon_sym_BSLASHglslink] = ACTIONS(7047),
    [anon_sym_BSLASHglstext] = ACTIONS(7047),
    [anon_sym_BSLASHGlstext] = ACTIONS(7047),
    [anon_sym_BSLASHGLStext] = ACTIONS(7047),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7047),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7047),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7047),
    [anon_sym_BSLASHglsplural] = ACTIONS(7047),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7047),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7047),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHglsname] = ACTIONS(7047),
    [anon_sym_BSLASHGlsname] = ACTIONS(7047),
    [anon_sym_BSLASHGLSname] = ACTIONS(7047),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7047),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7047),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7047),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7047),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7047),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7047),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7047),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7047),
    [anon_sym_BSLASHacrshort] = ACTIONS(7047),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7047),
    [anon_sym_BSLASHACRshort] = ACTIONS(7047),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHacrlong] = ACTIONS(7047),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7047),
    [anon_sym_BSLASHACRlong] = ACTIONS(7047),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHacrfull] = ACTIONS(7047),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7047),
    [anon_sym_BSLASHACRfull] = ACTIONS(7047),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHacs] = ACTIONS(7047),
    [anon_sym_BSLASHAcs] = ACTIONS(7047),
    [anon_sym_BSLASHacsp] = ACTIONS(7047),
    [anon_sym_BSLASHAcsp] = ACTIONS(7047),
    [anon_sym_BSLASHacl] = ACTIONS(7047),
    [anon_sym_BSLASHAcl] = ACTIONS(7047),
    [anon_sym_BSLASHaclp] = ACTIONS(7047),
    [anon_sym_BSLASHAclp] = ACTIONS(7047),
    [anon_sym_BSLASHacf] = ACTIONS(7047),
    [anon_sym_BSLASHAcf] = ACTIONS(7047),
    [anon_sym_BSLASHacfp] = ACTIONS(7047),
    [anon_sym_BSLASHAcfp] = ACTIONS(7047),
    [anon_sym_BSLASHac] = ACTIONS(7047),
    [anon_sym_BSLASHAc] = ACTIONS(7047),
    [anon_sym_BSLASHacp] = ACTIONS(7047),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7047),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7047),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7047),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7047),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7047),
    [anon_sym_BSLASHcolor] = ACTIONS(7047),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7047),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7047),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7047),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7047),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7047),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7047),
    [anon_sym_BSLASHurl] = ACTIONS(7047),
    [anon_sym_BSLASHhref] = ACTIONS(7047),
  },
  [1833] = {
    [sym_command_name] = ACTIONS(7803),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7803),
    [anon_sym_LBRACK] = ACTIONS(7805),
    [anon_sym_RBRACK] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7805),
    [anon_sym_EQ] = ACTIONS(7805),
    [anon_sym_LPAREN] = ACTIONS(7805),
    [anon_sym_RPAREN] = ACTIONS(7805),
    [anon_sym_LBRACE] = ACTIONS(7805),
    [sym_word] = ACTIONS(7803),
    [sym_placeholder] = ACTIONS(7805),
    [sym_delimiter] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_DASH] = ACTIONS(7805),
    [anon_sym_STAR] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7803),
    [anon_sym_GT] = ACTIONS(7803),
    [anon_sym_BANG] = ACTIONS(7803),
    [anon_sym_PIPE] = ACTIONS(7803),
    [anon_sym_COLON] = ACTIONS(7803),
    [anon_sym_SQUOTE] = ACTIONS(7803),
    [anon_sym__] = ACTIONS(7805),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7805),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7805),
    [anon_sym_DOLLAR] = ACTIONS(7803),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7805),
    [anon_sym_BSLASHleft] = ACTIONS(7803),
    [anon_sym_BSLASHbigl] = ACTIONS(7803),
    [anon_sym_BSLASHBigl] = ACTIONS(7803),
    [anon_sym_BSLASHbiggl] = ACTIONS(7803),
    [anon_sym_BSLASHBiggl] = ACTIONS(7803),
    [anon_sym_BSLASHtext] = ACTIONS(7803),
    [anon_sym_BSLASHintertext] = ACTIONS(7803),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7803),
    [anon_sym_BSLASHbegin] = ACTIONS(7803),
    [anon_sym_BSLASHtitle] = ACTIONS(7803),
    [anon_sym_BSLASHauthor] = ACTIONS(7803),
    [anon_sym_BSLASHusepackage] = ACTIONS(7803),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7803),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7803),
    [anon_sym_BSLASHinclude] = ACTIONS(7803),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7803),
    [anon_sym_BSLASHinput] = ACTIONS(7803),
    [anon_sym_BSLASHsubfile] = ACTIONS(7803),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7803),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7803),
    [anon_sym_BSLASHbibliography] = ACTIONS(7803),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7803),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7803),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7803),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7803),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7803),
    [anon_sym_BSLASHimport] = ACTIONS(7803),
    [anon_sym_BSLASHsubimport] = ACTIONS(7803),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7803),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7803),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7803),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7803),
    [anon_sym_BSLASHcaption] = ACTIONS(7803),
    [anon_sym_BSLASHcite] = ACTIONS(7803),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHCite] = ACTIONS(7803),
    [anon_sym_BSLASHnocite] = ACTIONS(7803),
    [anon_sym_BSLASHcitet] = ACTIONS(7803),
    [anon_sym_BSLASHcitep] = ACTIONS(7803),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHciteA] = ACTIONS(7803),
    [anon_sym_BSLASHciteR] = ACTIONS(7803),
    [anon_sym_BSLASHciteS] = ACTIONS(7803),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7803),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7803),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7803),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7803),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHciteyear] = ACTIONS(7803),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHcitedate] = ACTIONS(7803),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHciteurl] = ACTIONS(7803),
    [anon_sym_BSLASHfullcite] = ACTIONS(7803),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7803),
    [anon_sym_BSLASHcitealt] = ACTIONS(7803),
    [anon_sym_BSLASHcitealp] = ACTIONS(7803),
    [anon_sym_BSLASHcitetext] = ACTIONS(7803),
    [anon_sym_BSLASHparencite] = ACTIONS(7803),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHParencite] = ACTIONS(7803),
    [anon_sym_BSLASHfootcite] = ACTIONS(7803),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7803),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7803),
    [anon_sym_BSLASHtextcite] = ACTIONS(7803),
    [anon_sym_BSLASHTextcite] = ACTIONS(7803),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7803),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7803),
    [anon_sym_BSLASHsupercite] = ACTIONS(7803),
    [anon_sym_BSLASHautocite] = ACTIONS(7803),
    [anon_sym_BSLASHAutocite] = ACTIONS(7803),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHVolcite] = ACTIONS(7803),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHavolcite] = ACTIONS(7803),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHnotecite] = ACTIONS(7803),
    [anon_sym_BSLASHNotecite] = ACTIONS(7803),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7803),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7803),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7803),
    [anon_sym_BSLASHlabel] = ACTIONS(7803),
    [anon_sym_BSLASHref] = ACTIONS(7803),
    [anon_sym_BSLASHeqref] = ACTIONS(7803),
    [anon_sym_BSLASHvref] = ACTIONS(7803),
    [anon_sym_BSLASHVref] = ACTIONS(7803),
    [anon_sym_BSLASHautoref] = ACTIONS(7803),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHpageref] = ACTIONS(7803),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHautopageref] = ACTIONS(7803),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHcref] = ACTIONS(7803),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHCref] = ACTIONS(7803),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHcpageref] = ACTIONS(7803),
    [anon_sym_BSLASHCpageref] = ACTIONS(7803),
    [anon_sym_BSLASHnamecref] = ACTIONS(7803),
    [anon_sym_BSLASHnameCref] = ACTIONS(7803),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7803),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7803),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7803),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7803),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7803),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7803),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7803),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7803),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7803),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7803),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7803),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7803),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7803),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7803),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7803),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7803),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7803),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7803),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7803),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7803),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7803),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7803),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7803),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7803),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7803),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7803),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7803),
    [anon_sym_BSLASHdef] = ACTIONS(7803),
    [anon_sym_BSLASHgdef] = ACTIONS(7803),
    [anon_sym_BSLASHedef] = ACTIONS(7803),
    [anon_sym_BSLASHxdef] = ACTIONS(7803),
    [anon_sym_BSLASHlet] = ACTIONS(7803),
    [anon_sym_BSLASHglet] = ACTIONS(7803),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7803),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7803),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7803),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7803),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7803),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7803),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7803),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7803),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7803),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7803),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7803),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7803),
    [anon_sym_BSLASHgls] = ACTIONS(7803),
    [anon_sym_BSLASHGls] = ACTIONS(7803),
    [anon_sym_BSLASHGLS] = ACTIONS(7803),
    [anon_sym_BSLASHglspl] = ACTIONS(7803),
    [anon_sym_BSLASHGlspl] = ACTIONS(7803),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7803),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7803),
    [anon_sym_BSLASHglslink] = ACTIONS(7803),
    [anon_sym_BSLASHglstext] = ACTIONS(7803),
    [anon_sym_BSLASHGlstext] = ACTIONS(7803),
    [anon_sym_BSLASHGLStext] = ACTIONS(7803),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7803),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7803),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7803),
    [anon_sym_BSLASHglsplural] = ACTIONS(7803),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7803),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7803),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7803),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7803),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7803),
    [anon_sym_BSLASHglsname] = ACTIONS(7803),
    [anon_sym_BSLASHGlsname] = ACTIONS(7803),
    [anon_sym_BSLASHGLSname] = ACTIONS(7803),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7803),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7803),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7803),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7803),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7803),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7803),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7803),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7803),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7803),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7803),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7803),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7803),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7803),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7803),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7803),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7803),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7803),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7803),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7803),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7803),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7803),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7803),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7803),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7803),
    [anon_sym_BSLASHacrshort] = ACTIONS(7803),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7803),
    [anon_sym_BSLASHACRshort] = ACTIONS(7803),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7803),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7803),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7803),
    [anon_sym_BSLASHacrlong] = ACTIONS(7803),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7803),
    [anon_sym_BSLASHACRlong] = ACTIONS(7803),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7803),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7803),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7803),
    [anon_sym_BSLASHacrfull] = ACTIONS(7803),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7803),
    [anon_sym_BSLASHACRfull] = ACTIONS(7803),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7803),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7803),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7803),
    [anon_sym_BSLASHacs] = ACTIONS(7803),
    [anon_sym_BSLASHAcs] = ACTIONS(7803),
    [anon_sym_BSLASHacsp] = ACTIONS(7803),
    [anon_sym_BSLASHAcsp] = ACTIONS(7803),
    [anon_sym_BSLASHacl] = ACTIONS(7803),
    [anon_sym_BSLASHAcl] = ACTIONS(7803),
    [anon_sym_BSLASHaclp] = ACTIONS(7803),
    [anon_sym_BSLASHAclp] = ACTIONS(7803),
    [anon_sym_BSLASHacf] = ACTIONS(7803),
    [anon_sym_BSLASHAcf] = ACTIONS(7803),
    [anon_sym_BSLASHacfp] = ACTIONS(7803),
    [anon_sym_BSLASHAcfp] = ACTIONS(7803),
    [anon_sym_BSLASHac] = ACTIONS(7803),
    [anon_sym_BSLASHAc] = ACTIONS(7803),
    [anon_sym_BSLASHacp] = ACTIONS(7803),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7803),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7803),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7803),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7803),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7803),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7803),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7803),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7803),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7803),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7803),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7803),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7803),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7803),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7803),
    [anon_sym_BSLASHcolor] = ACTIONS(7803),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7803),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7803),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7803),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7803),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7803),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7803),
    [anon_sym_BSLASHurl] = ACTIONS(7803),
    [anon_sym_BSLASHhref] = ACTIONS(7803),
  },
  [1834] = {
    [sym_command_name] = ACTIONS(7299),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7299),
    [anon_sym_LBRACK] = ACTIONS(7301),
    [anon_sym_RBRACK] = ACTIONS(7301),
    [anon_sym_COMMA] = ACTIONS(7301),
    [anon_sym_EQ] = ACTIONS(7301),
    [anon_sym_LPAREN] = ACTIONS(7301),
    [anon_sym_RPAREN] = ACTIONS(7301),
    [anon_sym_LBRACE] = ACTIONS(7301),
    [sym_word] = ACTIONS(7299),
    [sym_placeholder] = ACTIONS(7301),
    [sym_delimiter] = ACTIONS(7301),
    [anon_sym_PLUS] = ACTIONS(7301),
    [anon_sym_DASH] = ACTIONS(7301),
    [anon_sym_STAR] = ACTIONS(7301),
    [anon_sym_SLASH] = ACTIONS(7301),
    [anon_sym_LT] = ACTIONS(7299),
    [anon_sym_GT] = ACTIONS(7299),
    [anon_sym_BANG] = ACTIONS(7299),
    [anon_sym_PIPE] = ACTIONS(7299),
    [anon_sym_COLON] = ACTIONS(7299),
    [anon_sym_SQUOTE] = ACTIONS(7299),
    [anon_sym__] = ACTIONS(7301),
    [anon_sym_CARET] = ACTIONS(7301),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7301),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7301),
    [anon_sym_DOLLAR] = ACTIONS(7299),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7301),
    [anon_sym_BSLASHleft] = ACTIONS(7299),
    [anon_sym_BSLASHbigl] = ACTIONS(7299),
    [anon_sym_BSLASHBigl] = ACTIONS(7299),
    [anon_sym_BSLASHbiggl] = ACTIONS(7299),
    [anon_sym_BSLASHBiggl] = ACTIONS(7299),
    [anon_sym_BSLASHtext] = ACTIONS(7299),
    [anon_sym_BSLASHintertext] = ACTIONS(7299),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7299),
    [anon_sym_BSLASHbegin] = ACTIONS(7299),
    [anon_sym_BSLASHtitle] = ACTIONS(7299),
    [anon_sym_BSLASHauthor] = ACTIONS(7299),
    [anon_sym_BSLASHusepackage] = ACTIONS(7299),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7299),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7299),
    [anon_sym_BSLASHinclude] = ACTIONS(7299),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7299),
    [anon_sym_BSLASHinput] = ACTIONS(7299),
    [anon_sym_BSLASHsubfile] = ACTIONS(7299),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7299),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7299),
    [anon_sym_BSLASHbibliography] = ACTIONS(7299),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7299),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7299),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7299),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7299),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7299),
    [anon_sym_BSLASHimport] = ACTIONS(7299),
    [anon_sym_BSLASHsubimport] = ACTIONS(7299),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7299),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7299),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7299),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7299),
    [anon_sym_BSLASHcaption] = ACTIONS(7299),
    [anon_sym_BSLASHcite] = ACTIONS(7299),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCite] = ACTIONS(7299),
    [anon_sym_BSLASHnocite] = ACTIONS(7299),
    [anon_sym_BSLASHcitet] = ACTIONS(7299),
    [anon_sym_BSLASHcitep] = ACTIONS(7299),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteA] = ACTIONS(7299),
    [anon_sym_BSLASHciteR] = ACTIONS(7299),
    [anon_sym_BSLASHciteS] = ACTIONS(7299),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7299),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7299),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7299),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7299),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteyear] = ACTIONS(7299),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitedate] = ACTIONS(7299),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteurl] = ACTIONS(7299),
    [anon_sym_BSLASHfullcite] = ACTIONS(7299),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7299),
    [anon_sym_BSLASHcitealt] = ACTIONS(7299),
    [anon_sym_BSLASHcitealp] = ACTIONS(7299),
    [anon_sym_BSLASHcitetext] = ACTIONS(7299),
    [anon_sym_BSLASHparencite] = ACTIONS(7299),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHParencite] = ACTIONS(7299),
    [anon_sym_BSLASHfootcite] = ACTIONS(7299),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7299),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7299),
    [anon_sym_BSLASHtextcite] = ACTIONS(7299),
    [anon_sym_BSLASHTextcite] = ACTIONS(7299),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7299),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7299),
    [anon_sym_BSLASHsupercite] = ACTIONS(7299),
    [anon_sym_BSLASHautocite] = ACTIONS(7299),
    [anon_sym_BSLASHAutocite] = ACTIONS(7299),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHVolcite] = ACTIONS(7299),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHavolcite] = ACTIONS(7299),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHNotecite] = ACTIONS(7299),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHlabel] = ACTIONS(7299),
    [anon_sym_BSLASHref] = ACTIONS(7299),
    [anon_sym_BSLASHeqref] = ACTIONS(7299),
    [anon_sym_BSLASHvref] = ACTIONS(7299),
    [anon_sym_BSLASHVref] = ACTIONS(7299),
    [anon_sym_BSLASHautoref] = ACTIONS(7299),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHpageref] = ACTIONS(7299),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHautopageref] = ACTIONS(7299),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcref] = ACTIONS(7299),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCref] = ACTIONS(7299),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcpageref] = ACTIONS(7299),
    [anon_sym_BSLASHCpageref] = ACTIONS(7299),
    [anon_sym_BSLASHnamecref] = ACTIONS(7299),
    [anon_sym_BSLASHnameCref] = ACTIONS(7299),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7299),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7299),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7299),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7299),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7299),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7299),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7299),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7299),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7299),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7299),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7299),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHdef] = ACTIONS(7299),
    [anon_sym_BSLASHgdef] = ACTIONS(7299),
    [anon_sym_BSLASHedef] = ACTIONS(7299),
    [anon_sym_BSLASHxdef] = ACTIONS(7299),
    [anon_sym_BSLASHlet] = ACTIONS(7299),
    [anon_sym_BSLASHglet] = ACTIONS(7299),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7299),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7299),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7299),
    [anon_sym_BSLASHgls] = ACTIONS(7299),
    [anon_sym_BSLASHGls] = ACTIONS(7299),
    [anon_sym_BSLASHGLS] = ACTIONS(7299),
    [anon_sym_BSLASHglspl] = ACTIONS(7299),
    [anon_sym_BSLASHGlspl] = ACTIONS(7299),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7299),
    [anon_sym_BSLASHglslink] = ACTIONS(7299),
    [anon_sym_BSLASHglstext] = ACTIONS(7299),
    [anon_sym_BSLASHGlstext] = ACTIONS(7299),
    [anon_sym_BSLASHGLStext] = ACTIONS(7299),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7299),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7299),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7299),
    [anon_sym_BSLASHglsplural] = ACTIONS(7299),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7299),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7299),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHglsname] = ACTIONS(7299),
    [anon_sym_BSLASHGlsname] = ACTIONS(7299),
    [anon_sym_BSLASHGLSname] = ACTIONS(7299),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7299),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7299),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7299),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7299),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7299),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7299),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7299),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7299),
    [anon_sym_BSLASHacrshort] = ACTIONS(7299),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7299),
    [anon_sym_BSLASHACRshort] = ACTIONS(7299),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHacrlong] = ACTIONS(7299),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7299),
    [anon_sym_BSLASHACRlong] = ACTIONS(7299),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHacrfull] = ACTIONS(7299),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7299),
    [anon_sym_BSLASHACRfull] = ACTIONS(7299),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHacs] = ACTIONS(7299),
    [anon_sym_BSLASHAcs] = ACTIONS(7299),
    [anon_sym_BSLASHacsp] = ACTIONS(7299),
    [anon_sym_BSLASHAcsp] = ACTIONS(7299),
    [anon_sym_BSLASHacl] = ACTIONS(7299),
    [anon_sym_BSLASHAcl] = ACTIONS(7299),
    [anon_sym_BSLASHaclp] = ACTIONS(7299),
    [anon_sym_BSLASHAclp] = ACTIONS(7299),
    [anon_sym_BSLASHacf] = ACTIONS(7299),
    [anon_sym_BSLASHAcf] = ACTIONS(7299),
    [anon_sym_BSLASHacfp] = ACTIONS(7299),
    [anon_sym_BSLASHAcfp] = ACTIONS(7299),
    [anon_sym_BSLASHac] = ACTIONS(7299),
    [anon_sym_BSLASHAc] = ACTIONS(7299),
    [anon_sym_BSLASHacp] = ACTIONS(7299),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7299),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7299),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7299),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7299),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7299),
    [anon_sym_BSLASHcolor] = ACTIONS(7299),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7299),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7299),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7299),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7299),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7299),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7299),
    [anon_sym_BSLASHurl] = ACTIONS(7299),
    [anon_sym_BSLASHhref] = ACTIONS(7299),
  },
  [1835] = {
    [sym_command_name] = ACTIONS(7303),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7303),
    [anon_sym_LBRACK] = ACTIONS(7305),
    [anon_sym_RBRACK] = ACTIONS(7305),
    [anon_sym_COMMA] = ACTIONS(7305),
    [anon_sym_EQ] = ACTIONS(7305),
    [anon_sym_LPAREN] = ACTIONS(7305),
    [anon_sym_RPAREN] = ACTIONS(7305),
    [anon_sym_LBRACE] = ACTIONS(7305),
    [sym_word] = ACTIONS(7303),
    [sym_placeholder] = ACTIONS(7305),
    [sym_delimiter] = ACTIONS(7305),
    [anon_sym_PLUS] = ACTIONS(7305),
    [anon_sym_DASH] = ACTIONS(7305),
    [anon_sym_STAR] = ACTIONS(7305),
    [anon_sym_SLASH] = ACTIONS(7305),
    [anon_sym_LT] = ACTIONS(7303),
    [anon_sym_GT] = ACTIONS(7303),
    [anon_sym_BANG] = ACTIONS(7303),
    [anon_sym_PIPE] = ACTIONS(7303),
    [anon_sym_COLON] = ACTIONS(7303),
    [anon_sym_SQUOTE] = ACTIONS(7303),
    [anon_sym__] = ACTIONS(7305),
    [anon_sym_CARET] = ACTIONS(7305),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7305),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7305),
    [anon_sym_DOLLAR] = ACTIONS(7303),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7305),
    [anon_sym_BSLASHleft] = ACTIONS(7303),
    [anon_sym_BSLASHbigl] = ACTIONS(7303),
    [anon_sym_BSLASHBigl] = ACTIONS(7303),
    [anon_sym_BSLASHbiggl] = ACTIONS(7303),
    [anon_sym_BSLASHBiggl] = ACTIONS(7303),
    [anon_sym_BSLASHtext] = ACTIONS(7303),
    [anon_sym_BSLASHintertext] = ACTIONS(7303),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7303),
    [anon_sym_BSLASHbegin] = ACTIONS(7303),
    [anon_sym_BSLASHtitle] = ACTIONS(7303),
    [anon_sym_BSLASHauthor] = ACTIONS(7303),
    [anon_sym_BSLASHusepackage] = ACTIONS(7303),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7303),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7303),
    [anon_sym_BSLASHinclude] = ACTIONS(7303),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7303),
    [anon_sym_BSLASHinput] = ACTIONS(7303),
    [anon_sym_BSLASHsubfile] = ACTIONS(7303),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7303),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7303),
    [anon_sym_BSLASHbibliography] = ACTIONS(7303),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7303),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7303),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7303),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7303),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7303),
    [anon_sym_BSLASHimport] = ACTIONS(7303),
    [anon_sym_BSLASHsubimport] = ACTIONS(7303),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7303),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7303),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7303),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7303),
    [anon_sym_BSLASHcaption] = ACTIONS(7303),
    [anon_sym_BSLASHcite] = ACTIONS(7303),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCite] = ACTIONS(7303),
    [anon_sym_BSLASHnocite] = ACTIONS(7303),
    [anon_sym_BSLASHcitet] = ACTIONS(7303),
    [anon_sym_BSLASHcitep] = ACTIONS(7303),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteA] = ACTIONS(7303),
    [anon_sym_BSLASHciteR] = ACTIONS(7303),
    [anon_sym_BSLASHciteS] = ACTIONS(7303),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7303),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7303),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7303),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7303),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteyear] = ACTIONS(7303),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitedate] = ACTIONS(7303),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteurl] = ACTIONS(7303),
    [anon_sym_BSLASHfullcite] = ACTIONS(7303),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7303),
    [anon_sym_BSLASHcitealt] = ACTIONS(7303),
    [anon_sym_BSLASHcitealp] = ACTIONS(7303),
    [anon_sym_BSLASHcitetext] = ACTIONS(7303),
    [anon_sym_BSLASHparencite] = ACTIONS(7303),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHParencite] = ACTIONS(7303),
    [anon_sym_BSLASHfootcite] = ACTIONS(7303),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7303),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7303),
    [anon_sym_BSLASHtextcite] = ACTIONS(7303),
    [anon_sym_BSLASHTextcite] = ACTIONS(7303),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7303),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7303),
    [anon_sym_BSLASHsupercite] = ACTIONS(7303),
    [anon_sym_BSLASHautocite] = ACTIONS(7303),
    [anon_sym_BSLASHAutocite] = ACTIONS(7303),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHVolcite] = ACTIONS(7303),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHavolcite] = ACTIONS(7303),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHNotecite] = ACTIONS(7303),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHlabel] = ACTIONS(7303),
    [anon_sym_BSLASHref] = ACTIONS(7303),
    [anon_sym_BSLASHeqref] = ACTIONS(7303),
    [anon_sym_BSLASHvref] = ACTIONS(7303),
    [anon_sym_BSLASHVref] = ACTIONS(7303),
    [anon_sym_BSLASHautoref] = ACTIONS(7303),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHpageref] = ACTIONS(7303),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHautopageref] = ACTIONS(7303),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcref] = ACTIONS(7303),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCref] = ACTIONS(7303),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcpageref] = ACTIONS(7303),
    [anon_sym_BSLASHCpageref] = ACTIONS(7303),
    [anon_sym_BSLASHnamecref] = ACTIONS(7303),
    [anon_sym_BSLASHnameCref] = ACTIONS(7303),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7303),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7303),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7303),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7303),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7303),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7303),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7303),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7303),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7303),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7303),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7303),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHdef] = ACTIONS(7303),
    [anon_sym_BSLASHgdef] = ACTIONS(7303),
    [anon_sym_BSLASHedef] = ACTIONS(7303),
    [anon_sym_BSLASHxdef] = ACTIONS(7303),
    [anon_sym_BSLASHlet] = ACTIONS(7303),
    [anon_sym_BSLASHglet] = ACTIONS(7303),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7303),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7303),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7303),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7303),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7303),
    [anon_sym_BSLASHgls] = ACTIONS(7303),
    [anon_sym_BSLASHGls] = ACTIONS(7303),
    [anon_sym_BSLASHGLS] = ACTIONS(7303),
    [anon_sym_BSLASHglspl] = ACTIONS(7303),
    [anon_sym_BSLASHGlspl] = ACTIONS(7303),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7303),
    [anon_sym_BSLASHglslink] = ACTIONS(7303),
    [anon_sym_BSLASHglstext] = ACTIONS(7303),
    [anon_sym_BSLASHGlstext] = ACTIONS(7303),
    [anon_sym_BSLASHGLStext] = ACTIONS(7303),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7303),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7303),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7303),
    [anon_sym_BSLASHglsplural] = ACTIONS(7303),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7303),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7303),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHglsname] = ACTIONS(7303),
    [anon_sym_BSLASHGlsname] = ACTIONS(7303),
    [anon_sym_BSLASHGLSname] = ACTIONS(7303),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7303),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7303),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7303),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7303),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7303),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7303),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7303),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7303),
    [anon_sym_BSLASHacrshort] = ACTIONS(7303),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7303),
    [anon_sym_BSLASHACRshort] = ACTIONS(7303),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHacrlong] = ACTIONS(7303),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7303),
    [anon_sym_BSLASHACRlong] = ACTIONS(7303),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHacrfull] = ACTIONS(7303),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7303),
    [anon_sym_BSLASHACRfull] = ACTIONS(7303),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHacs] = ACTIONS(7303),
    [anon_sym_BSLASHAcs] = ACTIONS(7303),
    [anon_sym_BSLASHacsp] = ACTIONS(7303),
    [anon_sym_BSLASHAcsp] = ACTIONS(7303),
    [anon_sym_BSLASHacl] = ACTIONS(7303),
    [anon_sym_BSLASHAcl] = ACTIONS(7303),
    [anon_sym_BSLASHaclp] = ACTIONS(7303),
    [anon_sym_BSLASHAclp] = ACTIONS(7303),
    [anon_sym_BSLASHacf] = ACTIONS(7303),
    [anon_sym_BSLASHAcf] = ACTIONS(7303),
    [anon_sym_BSLASHacfp] = ACTIONS(7303),
    [anon_sym_BSLASHAcfp] = ACTIONS(7303),
    [anon_sym_BSLASHac] = ACTIONS(7303),
    [anon_sym_BSLASHAc] = ACTIONS(7303),
    [anon_sym_BSLASHacp] = ACTIONS(7303),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7303),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7303),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7303),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7303),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7303),
    [anon_sym_BSLASHcolor] = ACTIONS(7303),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7303),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7303),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7303),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7303),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7303),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7303),
    [anon_sym_BSLASHurl] = ACTIONS(7303),
    [anon_sym_BSLASHhref] = ACTIONS(7303),
  },
  [1836] = {
    [sym_command_name] = ACTIONS(7307),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7307),
    [anon_sym_LBRACK] = ACTIONS(7309),
    [anon_sym_RBRACK] = ACTIONS(7309),
    [anon_sym_COMMA] = ACTIONS(7309),
    [anon_sym_EQ] = ACTIONS(7309),
    [anon_sym_LPAREN] = ACTIONS(7309),
    [anon_sym_RPAREN] = ACTIONS(7309),
    [anon_sym_LBRACE] = ACTIONS(7309),
    [sym_word] = ACTIONS(7307),
    [sym_placeholder] = ACTIONS(7309),
    [sym_delimiter] = ACTIONS(7309),
    [anon_sym_PLUS] = ACTIONS(7309),
    [anon_sym_DASH] = ACTIONS(7309),
    [anon_sym_STAR] = ACTIONS(7309),
    [anon_sym_SLASH] = ACTIONS(7309),
    [anon_sym_LT] = ACTIONS(7307),
    [anon_sym_GT] = ACTIONS(7307),
    [anon_sym_BANG] = ACTIONS(7307),
    [anon_sym_PIPE] = ACTIONS(7307),
    [anon_sym_COLON] = ACTIONS(7307),
    [anon_sym_SQUOTE] = ACTIONS(7307),
    [anon_sym__] = ACTIONS(7309),
    [anon_sym_CARET] = ACTIONS(7309),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7309),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7309),
    [anon_sym_DOLLAR] = ACTIONS(7307),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7309),
    [anon_sym_BSLASHleft] = ACTIONS(7307),
    [anon_sym_BSLASHbigl] = ACTIONS(7307),
    [anon_sym_BSLASHBigl] = ACTIONS(7307),
    [anon_sym_BSLASHbiggl] = ACTIONS(7307),
    [anon_sym_BSLASHBiggl] = ACTIONS(7307),
    [anon_sym_BSLASHtext] = ACTIONS(7307),
    [anon_sym_BSLASHintertext] = ACTIONS(7307),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7307),
    [anon_sym_BSLASHbegin] = ACTIONS(7307),
    [anon_sym_BSLASHtitle] = ACTIONS(7307),
    [anon_sym_BSLASHauthor] = ACTIONS(7307),
    [anon_sym_BSLASHusepackage] = ACTIONS(7307),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7307),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7307),
    [anon_sym_BSLASHinclude] = ACTIONS(7307),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7307),
    [anon_sym_BSLASHinput] = ACTIONS(7307),
    [anon_sym_BSLASHsubfile] = ACTIONS(7307),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7307),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7307),
    [anon_sym_BSLASHbibliography] = ACTIONS(7307),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7307),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7307),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7307),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7307),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7307),
    [anon_sym_BSLASHimport] = ACTIONS(7307),
    [anon_sym_BSLASHsubimport] = ACTIONS(7307),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7307),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7307),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7307),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7307),
    [anon_sym_BSLASHcaption] = ACTIONS(7307),
    [anon_sym_BSLASHcite] = ACTIONS(7307),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCite] = ACTIONS(7307),
    [anon_sym_BSLASHnocite] = ACTIONS(7307),
    [anon_sym_BSLASHcitet] = ACTIONS(7307),
    [anon_sym_BSLASHcitep] = ACTIONS(7307),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteA] = ACTIONS(7307),
    [anon_sym_BSLASHciteR] = ACTIONS(7307),
    [anon_sym_BSLASHciteS] = ACTIONS(7307),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7307),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7307),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7307),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7307),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteyear] = ACTIONS(7307),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitedate] = ACTIONS(7307),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteurl] = ACTIONS(7307),
    [anon_sym_BSLASHfullcite] = ACTIONS(7307),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7307),
    [anon_sym_BSLASHcitealt] = ACTIONS(7307),
    [anon_sym_BSLASHcitealp] = ACTIONS(7307),
    [anon_sym_BSLASHcitetext] = ACTIONS(7307),
    [anon_sym_BSLASHparencite] = ACTIONS(7307),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHParencite] = ACTIONS(7307),
    [anon_sym_BSLASHfootcite] = ACTIONS(7307),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7307),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7307),
    [anon_sym_BSLASHtextcite] = ACTIONS(7307),
    [anon_sym_BSLASHTextcite] = ACTIONS(7307),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7307),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7307),
    [anon_sym_BSLASHsupercite] = ACTIONS(7307),
    [anon_sym_BSLASHautocite] = ACTIONS(7307),
    [anon_sym_BSLASHAutocite] = ACTIONS(7307),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHVolcite] = ACTIONS(7307),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHavolcite] = ACTIONS(7307),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHNotecite] = ACTIONS(7307),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHlabel] = ACTIONS(7307),
    [anon_sym_BSLASHref] = ACTIONS(7307),
    [anon_sym_BSLASHeqref] = ACTIONS(7307),
    [anon_sym_BSLASHvref] = ACTIONS(7307),
    [anon_sym_BSLASHVref] = ACTIONS(7307),
    [anon_sym_BSLASHautoref] = ACTIONS(7307),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHpageref] = ACTIONS(7307),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHautopageref] = ACTIONS(7307),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcref] = ACTIONS(7307),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCref] = ACTIONS(7307),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcpageref] = ACTIONS(7307),
    [anon_sym_BSLASHCpageref] = ACTIONS(7307),
    [anon_sym_BSLASHnamecref] = ACTIONS(7307),
    [anon_sym_BSLASHnameCref] = ACTIONS(7307),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7307),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7307),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7307),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7307),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7307),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7307),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7307),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7307),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7307),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7307),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7307),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHdef] = ACTIONS(7307),
    [anon_sym_BSLASHgdef] = ACTIONS(7307),
    [anon_sym_BSLASHedef] = ACTIONS(7307),
    [anon_sym_BSLASHxdef] = ACTIONS(7307),
    [anon_sym_BSLASHlet] = ACTIONS(7307),
    [anon_sym_BSLASHglet] = ACTIONS(7307),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7307),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7307),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7307),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7307),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7307),
    [anon_sym_BSLASHgls] = ACTIONS(7307),
    [anon_sym_BSLASHGls] = ACTIONS(7307),
    [anon_sym_BSLASHGLS] = ACTIONS(7307),
    [anon_sym_BSLASHglspl] = ACTIONS(7307),
    [anon_sym_BSLASHGlspl] = ACTIONS(7307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7307),
    [anon_sym_BSLASHglslink] = ACTIONS(7307),
    [anon_sym_BSLASHglstext] = ACTIONS(7307),
    [anon_sym_BSLASHGlstext] = ACTIONS(7307),
    [anon_sym_BSLASHGLStext] = ACTIONS(7307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7307),
    [anon_sym_BSLASHglsplural] = ACTIONS(7307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHglsname] = ACTIONS(7307),
    [anon_sym_BSLASHGlsname] = ACTIONS(7307),
    [anon_sym_BSLASHGLSname] = ACTIONS(7307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7307),
    [anon_sym_BSLASHacrshort] = ACTIONS(7307),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7307),
    [anon_sym_BSLASHACRshort] = ACTIONS(7307),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHacrlong] = ACTIONS(7307),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7307),
    [anon_sym_BSLASHACRlong] = ACTIONS(7307),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHacrfull] = ACTIONS(7307),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7307),
    [anon_sym_BSLASHACRfull] = ACTIONS(7307),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHacs] = ACTIONS(7307),
    [anon_sym_BSLASHAcs] = ACTIONS(7307),
    [anon_sym_BSLASHacsp] = ACTIONS(7307),
    [anon_sym_BSLASHAcsp] = ACTIONS(7307),
    [anon_sym_BSLASHacl] = ACTIONS(7307),
    [anon_sym_BSLASHAcl] = ACTIONS(7307),
    [anon_sym_BSLASHaclp] = ACTIONS(7307),
    [anon_sym_BSLASHAclp] = ACTIONS(7307),
    [anon_sym_BSLASHacf] = ACTIONS(7307),
    [anon_sym_BSLASHAcf] = ACTIONS(7307),
    [anon_sym_BSLASHacfp] = ACTIONS(7307),
    [anon_sym_BSLASHAcfp] = ACTIONS(7307),
    [anon_sym_BSLASHac] = ACTIONS(7307),
    [anon_sym_BSLASHAc] = ACTIONS(7307),
    [anon_sym_BSLASHacp] = ACTIONS(7307),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7307),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7307),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7307),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7307),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7307),
    [anon_sym_BSLASHcolor] = ACTIONS(7307),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7307),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7307),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7307),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7307),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7307),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7307),
    [anon_sym_BSLASHurl] = ACTIONS(7307),
    [anon_sym_BSLASHhref] = ACTIONS(7307),
  },
  [1837] = {
    [sym_command_name] = ACTIONS(7295),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7295),
    [anon_sym_LBRACK] = ACTIONS(7297),
    [anon_sym_RBRACK] = ACTIONS(7297),
    [anon_sym_COMMA] = ACTIONS(7297),
    [anon_sym_EQ] = ACTIONS(7297),
    [anon_sym_LPAREN] = ACTIONS(7297),
    [anon_sym_RPAREN] = ACTIONS(7297),
    [anon_sym_LBRACE] = ACTIONS(7297),
    [sym_word] = ACTIONS(7295),
    [sym_placeholder] = ACTIONS(7297),
    [sym_delimiter] = ACTIONS(7297),
    [anon_sym_PLUS] = ACTIONS(7297),
    [anon_sym_DASH] = ACTIONS(7297),
    [anon_sym_STAR] = ACTIONS(7297),
    [anon_sym_SLASH] = ACTIONS(7297),
    [anon_sym_LT] = ACTIONS(7295),
    [anon_sym_GT] = ACTIONS(7295),
    [anon_sym_BANG] = ACTIONS(7295),
    [anon_sym_PIPE] = ACTIONS(7295),
    [anon_sym_COLON] = ACTIONS(7295),
    [anon_sym_SQUOTE] = ACTIONS(7295),
    [anon_sym__] = ACTIONS(7297),
    [anon_sym_CARET] = ACTIONS(7297),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7297),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7297),
    [anon_sym_DOLLAR] = ACTIONS(7295),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7297),
    [anon_sym_BSLASHleft] = ACTIONS(7295),
    [anon_sym_BSLASHbigl] = ACTIONS(7295),
    [anon_sym_BSLASHBigl] = ACTIONS(7295),
    [anon_sym_BSLASHbiggl] = ACTIONS(7295),
    [anon_sym_BSLASHBiggl] = ACTIONS(7295),
    [anon_sym_BSLASHtext] = ACTIONS(7295),
    [anon_sym_BSLASHintertext] = ACTIONS(7295),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7295),
    [anon_sym_BSLASHbegin] = ACTIONS(7295),
    [anon_sym_BSLASHtitle] = ACTIONS(7295),
    [anon_sym_BSLASHauthor] = ACTIONS(7295),
    [anon_sym_BSLASHusepackage] = ACTIONS(7295),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7295),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7295),
    [anon_sym_BSLASHinclude] = ACTIONS(7295),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7295),
    [anon_sym_BSLASHinput] = ACTIONS(7295),
    [anon_sym_BSLASHsubfile] = ACTIONS(7295),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7295),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7295),
    [anon_sym_BSLASHbibliography] = ACTIONS(7295),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7295),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7295),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7295),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7295),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7295),
    [anon_sym_BSLASHimport] = ACTIONS(7295),
    [anon_sym_BSLASHsubimport] = ACTIONS(7295),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7295),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7295),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7295),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7295),
    [anon_sym_BSLASHcaption] = ACTIONS(7295),
    [anon_sym_BSLASHcite] = ACTIONS(7295),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCite] = ACTIONS(7295),
    [anon_sym_BSLASHnocite] = ACTIONS(7295),
    [anon_sym_BSLASHcitet] = ACTIONS(7295),
    [anon_sym_BSLASHcitep] = ACTIONS(7295),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteA] = ACTIONS(7295),
    [anon_sym_BSLASHciteR] = ACTIONS(7295),
    [anon_sym_BSLASHciteS] = ACTIONS(7295),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7295),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7295),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7295),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7295),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteyear] = ACTIONS(7295),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitedate] = ACTIONS(7295),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteurl] = ACTIONS(7295),
    [anon_sym_BSLASHfullcite] = ACTIONS(7295),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7295),
    [anon_sym_BSLASHcitealt] = ACTIONS(7295),
    [anon_sym_BSLASHcitealp] = ACTIONS(7295),
    [anon_sym_BSLASHcitetext] = ACTIONS(7295),
    [anon_sym_BSLASHparencite] = ACTIONS(7295),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHParencite] = ACTIONS(7295),
    [anon_sym_BSLASHfootcite] = ACTIONS(7295),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7295),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7295),
    [anon_sym_BSLASHtextcite] = ACTIONS(7295),
    [anon_sym_BSLASHTextcite] = ACTIONS(7295),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7295),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7295),
    [anon_sym_BSLASHsupercite] = ACTIONS(7295),
    [anon_sym_BSLASHautocite] = ACTIONS(7295),
    [anon_sym_BSLASHAutocite] = ACTIONS(7295),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHVolcite] = ACTIONS(7295),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHavolcite] = ACTIONS(7295),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHNotecite] = ACTIONS(7295),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHlabel] = ACTIONS(7295),
    [anon_sym_BSLASHref] = ACTIONS(7295),
    [anon_sym_BSLASHeqref] = ACTIONS(7295),
    [anon_sym_BSLASHvref] = ACTIONS(7295),
    [anon_sym_BSLASHVref] = ACTIONS(7295),
    [anon_sym_BSLASHautoref] = ACTIONS(7295),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHpageref] = ACTIONS(7295),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHautopageref] = ACTIONS(7295),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcref] = ACTIONS(7295),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCref] = ACTIONS(7295),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcpageref] = ACTIONS(7295),
    [anon_sym_BSLASHCpageref] = ACTIONS(7295),
    [anon_sym_BSLASHnamecref] = ACTIONS(7295),
    [anon_sym_BSLASHnameCref] = ACTIONS(7295),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7295),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7295),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7295),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7295),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7295),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7295),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7295),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7295),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7295),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7295),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7295),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHdef] = ACTIONS(7295),
    [anon_sym_BSLASHgdef] = ACTIONS(7295),
    [anon_sym_BSLASHedef] = ACTIONS(7295),
    [anon_sym_BSLASHxdef] = ACTIONS(7295),
    [anon_sym_BSLASHlet] = ACTIONS(7295),
    [anon_sym_BSLASHglet] = ACTIONS(7295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7295),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7295),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7295),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7295),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7295),
    [anon_sym_BSLASHgls] = ACTIONS(7295),
    [anon_sym_BSLASHGls] = ACTIONS(7295),
    [anon_sym_BSLASHGLS] = ACTIONS(7295),
    [anon_sym_BSLASHglspl] = ACTIONS(7295),
    [anon_sym_BSLASHGlspl] = ACTIONS(7295),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7295),
    [anon_sym_BSLASHglslink] = ACTIONS(7295),
    [anon_sym_BSLASHglstext] = ACTIONS(7295),
    [anon_sym_BSLASHGlstext] = ACTIONS(7295),
    [anon_sym_BSLASHGLStext] = ACTIONS(7295),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7295),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7295),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7295),
    [anon_sym_BSLASHglsplural] = ACTIONS(7295),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7295),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7295),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHglsname] = ACTIONS(7295),
    [anon_sym_BSLASHGlsname] = ACTIONS(7295),
    [anon_sym_BSLASHGLSname] = ACTIONS(7295),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7295),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7295),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7295),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7295),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7295),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7295),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7295),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7295),
    [anon_sym_BSLASHacrshort] = ACTIONS(7295),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7295),
    [anon_sym_BSLASHACRshort] = ACTIONS(7295),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHacrlong] = ACTIONS(7295),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7295),
    [anon_sym_BSLASHACRlong] = ACTIONS(7295),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHacrfull] = ACTIONS(7295),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7295),
    [anon_sym_BSLASHACRfull] = ACTIONS(7295),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHacs] = ACTIONS(7295),
    [anon_sym_BSLASHAcs] = ACTIONS(7295),
    [anon_sym_BSLASHacsp] = ACTIONS(7295),
    [anon_sym_BSLASHAcsp] = ACTIONS(7295),
    [anon_sym_BSLASHacl] = ACTIONS(7295),
    [anon_sym_BSLASHAcl] = ACTIONS(7295),
    [anon_sym_BSLASHaclp] = ACTIONS(7295),
    [anon_sym_BSLASHAclp] = ACTIONS(7295),
    [anon_sym_BSLASHacf] = ACTIONS(7295),
    [anon_sym_BSLASHAcf] = ACTIONS(7295),
    [anon_sym_BSLASHacfp] = ACTIONS(7295),
    [anon_sym_BSLASHAcfp] = ACTIONS(7295),
    [anon_sym_BSLASHac] = ACTIONS(7295),
    [anon_sym_BSLASHAc] = ACTIONS(7295),
    [anon_sym_BSLASHacp] = ACTIONS(7295),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7295),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7295),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7295),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7295),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7295),
    [anon_sym_BSLASHcolor] = ACTIONS(7295),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7295),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7295),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7295),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7295),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7295),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7295),
    [anon_sym_BSLASHurl] = ACTIONS(7295),
    [anon_sym_BSLASHhref] = ACTIONS(7295),
  },
  [1838] = {
    [sym_command_name] = ACTIONS(7315),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7315),
    [anon_sym_LBRACK] = ACTIONS(7317),
    [anon_sym_RBRACK] = ACTIONS(7317),
    [anon_sym_COMMA] = ACTIONS(7317),
    [anon_sym_EQ] = ACTIONS(7317),
    [anon_sym_LPAREN] = ACTIONS(7317),
    [anon_sym_RPAREN] = ACTIONS(7317),
    [anon_sym_LBRACE] = ACTIONS(7317),
    [sym_word] = ACTIONS(7315),
    [sym_placeholder] = ACTIONS(7317),
    [sym_delimiter] = ACTIONS(7317),
    [anon_sym_PLUS] = ACTIONS(7317),
    [anon_sym_DASH] = ACTIONS(7317),
    [anon_sym_STAR] = ACTIONS(7317),
    [anon_sym_SLASH] = ACTIONS(7317),
    [anon_sym_LT] = ACTIONS(7315),
    [anon_sym_GT] = ACTIONS(7315),
    [anon_sym_BANG] = ACTIONS(7315),
    [anon_sym_PIPE] = ACTIONS(7315),
    [anon_sym_COLON] = ACTIONS(7315),
    [anon_sym_SQUOTE] = ACTIONS(7315),
    [anon_sym__] = ACTIONS(7317),
    [anon_sym_CARET] = ACTIONS(7317),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7317),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7317),
    [anon_sym_DOLLAR] = ACTIONS(7315),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7317),
    [anon_sym_BSLASHleft] = ACTIONS(7315),
    [anon_sym_BSLASHbigl] = ACTIONS(7315),
    [anon_sym_BSLASHBigl] = ACTIONS(7315),
    [anon_sym_BSLASHbiggl] = ACTIONS(7315),
    [anon_sym_BSLASHBiggl] = ACTIONS(7315),
    [anon_sym_BSLASHtext] = ACTIONS(7315),
    [anon_sym_BSLASHintertext] = ACTIONS(7315),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7315),
    [anon_sym_BSLASHbegin] = ACTIONS(7315),
    [anon_sym_BSLASHtitle] = ACTIONS(7315),
    [anon_sym_BSLASHauthor] = ACTIONS(7315),
    [anon_sym_BSLASHusepackage] = ACTIONS(7315),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7315),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7315),
    [anon_sym_BSLASHinclude] = ACTIONS(7315),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7315),
    [anon_sym_BSLASHinput] = ACTIONS(7315),
    [anon_sym_BSLASHsubfile] = ACTIONS(7315),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7315),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7315),
    [anon_sym_BSLASHbibliography] = ACTIONS(7315),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7315),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7315),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7315),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7315),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7315),
    [anon_sym_BSLASHimport] = ACTIONS(7315),
    [anon_sym_BSLASHsubimport] = ACTIONS(7315),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7315),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7315),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7315),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7315),
    [anon_sym_BSLASHcaption] = ACTIONS(7315),
    [anon_sym_BSLASHcite] = ACTIONS(7315),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCite] = ACTIONS(7315),
    [anon_sym_BSLASHnocite] = ACTIONS(7315),
    [anon_sym_BSLASHcitet] = ACTIONS(7315),
    [anon_sym_BSLASHcitep] = ACTIONS(7315),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteA] = ACTIONS(7315),
    [anon_sym_BSLASHciteR] = ACTIONS(7315),
    [anon_sym_BSLASHciteS] = ACTIONS(7315),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7315),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7315),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7315),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7315),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteyear] = ACTIONS(7315),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitedate] = ACTIONS(7315),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteurl] = ACTIONS(7315),
    [anon_sym_BSLASHfullcite] = ACTIONS(7315),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7315),
    [anon_sym_BSLASHcitealt] = ACTIONS(7315),
    [anon_sym_BSLASHcitealp] = ACTIONS(7315),
    [anon_sym_BSLASHcitetext] = ACTIONS(7315),
    [anon_sym_BSLASHparencite] = ACTIONS(7315),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHParencite] = ACTIONS(7315),
    [anon_sym_BSLASHfootcite] = ACTIONS(7315),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7315),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7315),
    [anon_sym_BSLASHtextcite] = ACTIONS(7315),
    [anon_sym_BSLASHTextcite] = ACTIONS(7315),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7315),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7315),
    [anon_sym_BSLASHsupercite] = ACTIONS(7315),
    [anon_sym_BSLASHautocite] = ACTIONS(7315),
    [anon_sym_BSLASHAutocite] = ACTIONS(7315),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHVolcite] = ACTIONS(7315),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHavolcite] = ACTIONS(7315),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHNotecite] = ACTIONS(7315),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHlabel] = ACTIONS(7315),
    [anon_sym_BSLASHref] = ACTIONS(7315),
    [anon_sym_BSLASHeqref] = ACTIONS(7315),
    [anon_sym_BSLASHvref] = ACTIONS(7315),
    [anon_sym_BSLASHVref] = ACTIONS(7315),
    [anon_sym_BSLASHautoref] = ACTIONS(7315),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHpageref] = ACTIONS(7315),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHautopageref] = ACTIONS(7315),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcref] = ACTIONS(7315),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCref] = ACTIONS(7315),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcpageref] = ACTIONS(7315),
    [anon_sym_BSLASHCpageref] = ACTIONS(7315),
    [anon_sym_BSLASHnamecref] = ACTIONS(7315),
    [anon_sym_BSLASHnameCref] = ACTIONS(7315),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7315),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7315),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7315),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7315),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7315),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7315),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7315),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7315),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7315),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7315),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7315),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHdef] = ACTIONS(7315),
    [anon_sym_BSLASHgdef] = ACTIONS(7315),
    [anon_sym_BSLASHedef] = ACTIONS(7315),
    [anon_sym_BSLASHxdef] = ACTIONS(7315),
    [anon_sym_BSLASHlet] = ACTIONS(7315),
    [anon_sym_BSLASHglet] = ACTIONS(7315),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7315),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7315),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7315),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7315),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7315),
    [anon_sym_BSLASHgls] = ACTIONS(7315),
    [anon_sym_BSLASHGls] = ACTIONS(7315),
    [anon_sym_BSLASHGLS] = ACTIONS(7315),
    [anon_sym_BSLASHglspl] = ACTIONS(7315),
    [anon_sym_BSLASHGlspl] = ACTIONS(7315),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7315),
    [anon_sym_BSLASHglslink] = ACTIONS(7315),
    [anon_sym_BSLASHglstext] = ACTIONS(7315),
    [anon_sym_BSLASHGlstext] = ACTIONS(7315),
    [anon_sym_BSLASHGLStext] = ACTIONS(7315),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7315),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7315),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7315),
    [anon_sym_BSLASHglsplural] = ACTIONS(7315),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7315),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7315),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHglsname] = ACTIONS(7315),
    [anon_sym_BSLASHGlsname] = ACTIONS(7315),
    [anon_sym_BSLASHGLSname] = ACTIONS(7315),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7315),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7315),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7315),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7315),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7315),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7315),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7315),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7315),
    [anon_sym_BSLASHacrshort] = ACTIONS(7315),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7315),
    [anon_sym_BSLASHACRshort] = ACTIONS(7315),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHacrlong] = ACTIONS(7315),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7315),
    [anon_sym_BSLASHACRlong] = ACTIONS(7315),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHacrfull] = ACTIONS(7315),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7315),
    [anon_sym_BSLASHACRfull] = ACTIONS(7315),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHacs] = ACTIONS(7315),
    [anon_sym_BSLASHAcs] = ACTIONS(7315),
    [anon_sym_BSLASHacsp] = ACTIONS(7315),
    [anon_sym_BSLASHAcsp] = ACTIONS(7315),
    [anon_sym_BSLASHacl] = ACTIONS(7315),
    [anon_sym_BSLASHAcl] = ACTIONS(7315),
    [anon_sym_BSLASHaclp] = ACTIONS(7315),
    [anon_sym_BSLASHAclp] = ACTIONS(7315),
    [anon_sym_BSLASHacf] = ACTIONS(7315),
    [anon_sym_BSLASHAcf] = ACTIONS(7315),
    [anon_sym_BSLASHacfp] = ACTIONS(7315),
    [anon_sym_BSLASHAcfp] = ACTIONS(7315),
    [anon_sym_BSLASHac] = ACTIONS(7315),
    [anon_sym_BSLASHAc] = ACTIONS(7315),
    [anon_sym_BSLASHacp] = ACTIONS(7315),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7315),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7315),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7315),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7315),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7315),
    [anon_sym_BSLASHcolor] = ACTIONS(7315),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7315),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7315),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7315),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7315),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7315),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7315),
    [anon_sym_BSLASHurl] = ACTIONS(7315),
    [anon_sym_BSLASHhref] = ACTIONS(7315),
  },
  [1839] = {
    [sym_command_name] = ACTIONS(7059),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7059),
    [anon_sym_LBRACK] = ACTIONS(7061),
    [anon_sym_RBRACK] = ACTIONS(7061),
    [anon_sym_COMMA] = ACTIONS(7061),
    [anon_sym_EQ] = ACTIONS(7061),
    [anon_sym_LPAREN] = ACTIONS(7061),
    [anon_sym_RPAREN] = ACTIONS(7061),
    [anon_sym_LBRACE] = ACTIONS(7061),
    [sym_word] = ACTIONS(7059),
    [sym_placeholder] = ACTIONS(7061),
    [sym_delimiter] = ACTIONS(7061),
    [anon_sym_PLUS] = ACTIONS(7061),
    [anon_sym_DASH] = ACTIONS(7061),
    [anon_sym_STAR] = ACTIONS(7061),
    [anon_sym_SLASH] = ACTIONS(7061),
    [anon_sym_LT] = ACTIONS(7059),
    [anon_sym_GT] = ACTIONS(7059),
    [anon_sym_BANG] = ACTIONS(7059),
    [anon_sym_PIPE] = ACTIONS(7059),
    [anon_sym_COLON] = ACTIONS(7059),
    [anon_sym_SQUOTE] = ACTIONS(7059),
    [anon_sym__] = ACTIONS(7061),
    [anon_sym_CARET] = ACTIONS(7061),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7061),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7061),
    [anon_sym_DOLLAR] = ACTIONS(7059),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7061),
    [anon_sym_BSLASHleft] = ACTIONS(7059),
    [anon_sym_BSLASHbigl] = ACTIONS(7059),
    [anon_sym_BSLASHBigl] = ACTIONS(7059),
    [anon_sym_BSLASHbiggl] = ACTIONS(7059),
    [anon_sym_BSLASHBiggl] = ACTIONS(7059),
    [anon_sym_BSLASHtext] = ACTIONS(7059),
    [anon_sym_BSLASHintertext] = ACTIONS(7059),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7059),
    [anon_sym_BSLASHbegin] = ACTIONS(7059),
    [anon_sym_BSLASHtitle] = ACTIONS(7059),
    [anon_sym_BSLASHauthor] = ACTIONS(7059),
    [anon_sym_BSLASHusepackage] = ACTIONS(7059),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7059),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7059),
    [anon_sym_BSLASHinclude] = ACTIONS(7059),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7059),
    [anon_sym_BSLASHinput] = ACTIONS(7059),
    [anon_sym_BSLASHsubfile] = ACTIONS(7059),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7059),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7059),
    [anon_sym_BSLASHbibliography] = ACTIONS(7059),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7059),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7059),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7059),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7059),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7059),
    [anon_sym_BSLASHimport] = ACTIONS(7059),
    [anon_sym_BSLASHsubimport] = ACTIONS(7059),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7059),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7059),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7059),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7059),
    [anon_sym_BSLASHcaption] = ACTIONS(7059),
    [anon_sym_BSLASHcite] = ACTIONS(7059),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHCite] = ACTIONS(7059),
    [anon_sym_BSLASHnocite] = ACTIONS(7059),
    [anon_sym_BSLASHcitet] = ACTIONS(7059),
    [anon_sym_BSLASHcitep] = ACTIONS(7059),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHciteA] = ACTIONS(7059),
    [anon_sym_BSLASHciteR] = ACTIONS(7059),
    [anon_sym_BSLASHciteS] = ACTIONS(7059),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7059),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7059),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7059),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7059),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHciteyear] = ACTIONS(7059),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcitedate] = ACTIONS(7059),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHciteurl] = ACTIONS(7059),
    [anon_sym_BSLASHfullcite] = ACTIONS(7059),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7059),
    [anon_sym_BSLASHcitealt] = ACTIONS(7059),
    [anon_sym_BSLASHcitealp] = ACTIONS(7059),
    [anon_sym_BSLASHcitetext] = ACTIONS(7059),
    [anon_sym_BSLASHparencite] = ACTIONS(7059),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHParencite] = ACTIONS(7059),
    [anon_sym_BSLASHfootcite] = ACTIONS(7059),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7059),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7059),
    [anon_sym_BSLASHtextcite] = ACTIONS(7059),
    [anon_sym_BSLASHTextcite] = ACTIONS(7059),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7059),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7059),
    [anon_sym_BSLASHsupercite] = ACTIONS(7059),
    [anon_sym_BSLASHautocite] = ACTIONS(7059),
    [anon_sym_BSLASHAutocite] = ACTIONS(7059),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHVolcite] = ACTIONS(7059),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHavolcite] = ACTIONS(7059),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7059),
    [anon_sym_BSLASHnotecite] = ACTIONS(7059),
    [anon_sym_BSLASHNotecite] = ACTIONS(7059),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7059),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7059),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7059),
    [anon_sym_BSLASHlabel] = ACTIONS(7059),
    [anon_sym_BSLASHref] = ACTIONS(7059),
    [anon_sym_BSLASHeqref] = ACTIONS(7059),
    [anon_sym_BSLASHvref] = ACTIONS(7059),
    [anon_sym_BSLASHVref] = ACTIONS(7059),
    [anon_sym_BSLASHautoref] = ACTIONS(7059),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHpageref] = ACTIONS(7059),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHautopageref] = ACTIONS(7059),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcref] = ACTIONS(7059),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHCref] = ACTIONS(7059),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcpageref] = ACTIONS(7059),
    [anon_sym_BSLASHCpageref] = ACTIONS(7059),
    [anon_sym_BSLASHnamecref] = ACTIONS(7059),
    [anon_sym_BSLASHnameCref] = ACTIONS(7059),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7059),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7059),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7059),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7059),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7059),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7059),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7059),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7059),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7059),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7059),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7059),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7059),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7059),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7059),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7059),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7059),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7059),
    [anon_sym_BSLASHdef] = ACTIONS(7059),
    [anon_sym_BSLASHgdef] = ACTIONS(7059),
    [anon_sym_BSLASHedef] = ACTIONS(7059),
    [anon_sym_BSLASHxdef] = ACTIONS(7059),
    [anon_sym_BSLASHlet] = ACTIONS(7059),
    [anon_sym_BSLASHglet] = ACTIONS(7059),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7059),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7059),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7059),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7059),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7059),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7059),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7059),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7059),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7059),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7059),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7059),
    [anon_sym_BSLASHgls] = ACTIONS(7059),
    [anon_sym_BSLASHGls] = ACTIONS(7059),
    [anon_sym_BSLASHGLS] = ACTIONS(7059),
    [anon_sym_BSLASHglspl] = ACTIONS(7059),
    [anon_sym_BSLASHGlspl] = ACTIONS(7059),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7059),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7059),
    [anon_sym_BSLASHglslink] = ACTIONS(7059),
    [anon_sym_BSLASHglstext] = ACTIONS(7059),
    [anon_sym_BSLASHGlstext] = ACTIONS(7059),
    [anon_sym_BSLASHGLStext] = ACTIONS(7059),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7059),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7059),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7059),
    [anon_sym_BSLASHglsplural] = ACTIONS(7059),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7059),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7059),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7059),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7059),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7059),
    [anon_sym_BSLASHglsname] = ACTIONS(7059),
    [anon_sym_BSLASHGlsname] = ACTIONS(7059),
    [anon_sym_BSLASHGLSname] = ACTIONS(7059),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7059),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7059),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7059),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7059),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7059),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7059),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7059),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7059),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7059),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7059),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7059),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7059),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7059),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7059),
    [anon_sym_BSLASHacrshort] = ACTIONS(7059),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7059),
    [anon_sym_BSLASHACRshort] = ACTIONS(7059),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHacrlong] = ACTIONS(7059),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7059),
    [anon_sym_BSLASHACRlong] = ACTIONS(7059),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7059),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7059),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7059),
    [anon_sym_BSLASHacrfull] = ACTIONS(7059),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7059),
    [anon_sym_BSLASHACRfull] = ACTIONS(7059),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHacs] = ACTIONS(7059),
    [anon_sym_BSLASHAcs] = ACTIONS(7059),
    [anon_sym_BSLASHacsp] = ACTIONS(7059),
    [anon_sym_BSLASHAcsp] = ACTIONS(7059),
    [anon_sym_BSLASHacl] = ACTIONS(7059),
    [anon_sym_BSLASHAcl] = ACTIONS(7059),
    [anon_sym_BSLASHaclp] = ACTIONS(7059),
    [anon_sym_BSLASHAclp] = ACTIONS(7059),
    [anon_sym_BSLASHacf] = ACTIONS(7059),
    [anon_sym_BSLASHAcf] = ACTIONS(7059),
    [anon_sym_BSLASHacfp] = ACTIONS(7059),
    [anon_sym_BSLASHAcfp] = ACTIONS(7059),
    [anon_sym_BSLASHac] = ACTIONS(7059),
    [anon_sym_BSLASHAc] = ACTIONS(7059),
    [anon_sym_BSLASHacp] = ACTIONS(7059),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7059),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7059),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7059),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7059),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7059),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7059),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7059),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7061),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7059),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7059),
    [anon_sym_BSLASHcolor] = ACTIONS(7059),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7059),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7059),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7059),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7059),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7059),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7059),
    [anon_sym_BSLASHurl] = ACTIONS(7059),
    [anon_sym_BSLASHhref] = ACTIONS(7059),
  },
  [1840] = {
    [sym_command_name] = ACTIONS(7063),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7063),
    [anon_sym_LBRACK] = ACTIONS(7065),
    [anon_sym_RBRACK] = ACTIONS(7065),
    [anon_sym_COMMA] = ACTIONS(7065),
    [anon_sym_EQ] = ACTIONS(7065),
    [anon_sym_LPAREN] = ACTIONS(7065),
    [anon_sym_RPAREN] = ACTIONS(7065),
    [anon_sym_LBRACE] = ACTIONS(7065),
    [sym_word] = ACTIONS(7063),
    [sym_placeholder] = ACTIONS(7065),
    [sym_delimiter] = ACTIONS(7065),
    [anon_sym_PLUS] = ACTIONS(7065),
    [anon_sym_DASH] = ACTIONS(7065),
    [anon_sym_STAR] = ACTIONS(7065),
    [anon_sym_SLASH] = ACTIONS(7065),
    [anon_sym_LT] = ACTIONS(7063),
    [anon_sym_GT] = ACTIONS(7063),
    [anon_sym_BANG] = ACTIONS(7063),
    [anon_sym_PIPE] = ACTIONS(7063),
    [anon_sym_COLON] = ACTIONS(7063),
    [anon_sym_SQUOTE] = ACTIONS(7063),
    [anon_sym__] = ACTIONS(7065),
    [anon_sym_CARET] = ACTIONS(7065),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7065),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7065),
    [anon_sym_DOLLAR] = ACTIONS(7063),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7065),
    [anon_sym_BSLASHleft] = ACTIONS(7063),
    [anon_sym_BSLASHbigl] = ACTIONS(7063),
    [anon_sym_BSLASHBigl] = ACTIONS(7063),
    [anon_sym_BSLASHbiggl] = ACTIONS(7063),
    [anon_sym_BSLASHBiggl] = ACTIONS(7063),
    [anon_sym_BSLASHtext] = ACTIONS(7063),
    [anon_sym_BSLASHintertext] = ACTIONS(7063),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7063),
    [anon_sym_BSLASHbegin] = ACTIONS(7063),
    [anon_sym_BSLASHtitle] = ACTIONS(7063),
    [anon_sym_BSLASHauthor] = ACTIONS(7063),
    [anon_sym_BSLASHusepackage] = ACTIONS(7063),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7063),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7063),
    [anon_sym_BSLASHinclude] = ACTIONS(7063),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7063),
    [anon_sym_BSLASHinput] = ACTIONS(7063),
    [anon_sym_BSLASHsubfile] = ACTIONS(7063),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7063),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7063),
    [anon_sym_BSLASHbibliography] = ACTIONS(7063),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7063),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7063),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7063),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7063),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7063),
    [anon_sym_BSLASHimport] = ACTIONS(7063),
    [anon_sym_BSLASHsubimport] = ACTIONS(7063),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7063),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7063),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7063),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7063),
    [anon_sym_BSLASHcaption] = ACTIONS(7063),
    [anon_sym_BSLASHcite] = ACTIONS(7063),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHCite] = ACTIONS(7063),
    [anon_sym_BSLASHnocite] = ACTIONS(7063),
    [anon_sym_BSLASHcitet] = ACTIONS(7063),
    [anon_sym_BSLASHcitep] = ACTIONS(7063),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHciteA] = ACTIONS(7063),
    [anon_sym_BSLASHciteR] = ACTIONS(7063),
    [anon_sym_BSLASHciteS] = ACTIONS(7063),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7063),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7063),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7063),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7063),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHciteyear] = ACTIONS(7063),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcitedate] = ACTIONS(7063),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHciteurl] = ACTIONS(7063),
    [anon_sym_BSLASHfullcite] = ACTIONS(7063),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7063),
    [anon_sym_BSLASHcitealt] = ACTIONS(7063),
    [anon_sym_BSLASHcitealp] = ACTIONS(7063),
    [anon_sym_BSLASHcitetext] = ACTIONS(7063),
    [anon_sym_BSLASHparencite] = ACTIONS(7063),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHParencite] = ACTIONS(7063),
    [anon_sym_BSLASHfootcite] = ACTIONS(7063),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7063),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7063),
    [anon_sym_BSLASHtextcite] = ACTIONS(7063),
    [anon_sym_BSLASHTextcite] = ACTIONS(7063),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7063),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7063),
    [anon_sym_BSLASHsupercite] = ACTIONS(7063),
    [anon_sym_BSLASHautocite] = ACTIONS(7063),
    [anon_sym_BSLASHAutocite] = ACTIONS(7063),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHVolcite] = ACTIONS(7063),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHavolcite] = ACTIONS(7063),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7063),
    [anon_sym_BSLASHnotecite] = ACTIONS(7063),
    [anon_sym_BSLASHNotecite] = ACTIONS(7063),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7063),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7063),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7063),
    [anon_sym_BSLASHlabel] = ACTIONS(7063),
    [anon_sym_BSLASHref] = ACTIONS(7063),
    [anon_sym_BSLASHeqref] = ACTIONS(7063),
    [anon_sym_BSLASHvref] = ACTIONS(7063),
    [anon_sym_BSLASHVref] = ACTIONS(7063),
    [anon_sym_BSLASHautoref] = ACTIONS(7063),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHpageref] = ACTIONS(7063),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHautopageref] = ACTIONS(7063),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcref] = ACTIONS(7063),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHCref] = ACTIONS(7063),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcpageref] = ACTIONS(7063),
    [anon_sym_BSLASHCpageref] = ACTIONS(7063),
    [anon_sym_BSLASHnamecref] = ACTIONS(7063),
    [anon_sym_BSLASHnameCref] = ACTIONS(7063),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7063),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7063),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7063),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7063),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7063),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7063),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7063),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7063),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7063),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7063),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7063),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7063),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7063),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7063),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7063),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7063),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7063),
    [anon_sym_BSLASHdef] = ACTIONS(7063),
    [anon_sym_BSLASHgdef] = ACTIONS(7063),
    [anon_sym_BSLASHedef] = ACTIONS(7063),
    [anon_sym_BSLASHxdef] = ACTIONS(7063),
    [anon_sym_BSLASHlet] = ACTIONS(7063),
    [anon_sym_BSLASHglet] = ACTIONS(7063),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7063),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7063),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7063),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7063),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7063),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7063),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7063),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7063),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7063),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7063),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7063),
    [anon_sym_BSLASHgls] = ACTIONS(7063),
    [anon_sym_BSLASHGls] = ACTIONS(7063),
    [anon_sym_BSLASHGLS] = ACTIONS(7063),
    [anon_sym_BSLASHglspl] = ACTIONS(7063),
    [anon_sym_BSLASHGlspl] = ACTIONS(7063),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7063),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7063),
    [anon_sym_BSLASHglslink] = ACTIONS(7063),
    [anon_sym_BSLASHglstext] = ACTIONS(7063),
    [anon_sym_BSLASHGlstext] = ACTIONS(7063),
    [anon_sym_BSLASHGLStext] = ACTIONS(7063),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7063),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7063),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7063),
    [anon_sym_BSLASHglsplural] = ACTIONS(7063),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7063),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7063),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7063),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7063),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7063),
    [anon_sym_BSLASHglsname] = ACTIONS(7063),
    [anon_sym_BSLASHGlsname] = ACTIONS(7063),
    [anon_sym_BSLASHGLSname] = ACTIONS(7063),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7063),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7063),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7063),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7063),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7063),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7063),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7063),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7063),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7063),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7063),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7063),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7063),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7063),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7063),
    [anon_sym_BSLASHacrshort] = ACTIONS(7063),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7063),
    [anon_sym_BSLASHACRshort] = ACTIONS(7063),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHacrlong] = ACTIONS(7063),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7063),
    [anon_sym_BSLASHACRlong] = ACTIONS(7063),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7063),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7063),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7063),
    [anon_sym_BSLASHacrfull] = ACTIONS(7063),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7063),
    [anon_sym_BSLASHACRfull] = ACTIONS(7063),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHacs] = ACTIONS(7063),
    [anon_sym_BSLASHAcs] = ACTIONS(7063),
    [anon_sym_BSLASHacsp] = ACTIONS(7063),
    [anon_sym_BSLASHAcsp] = ACTIONS(7063),
    [anon_sym_BSLASHacl] = ACTIONS(7063),
    [anon_sym_BSLASHAcl] = ACTIONS(7063),
    [anon_sym_BSLASHaclp] = ACTIONS(7063),
    [anon_sym_BSLASHAclp] = ACTIONS(7063),
    [anon_sym_BSLASHacf] = ACTIONS(7063),
    [anon_sym_BSLASHAcf] = ACTIONS(7063),
    [anon_sym_BSLASHacfp] = ACTIONS(7063),
    [anon_sym_BSLASHAcfp] = ACTIONS(7063),
    [anon_sym_BSLASHac] = ACTIONS(7063),
    [anon_sym_BSLASHAc] = ACTIONS(7063),
    [anon_sym_BSLASHacp] = ACTIONS(7063),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7063),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7063),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7063),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7063),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7063),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7063),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7063),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7065),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7063),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7063),
    [anon_sym_BSLASHcolor] = ACTIONS(7063),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7063),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7063),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7063),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7063),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7063),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7063),
    [anon_sym_BSLASHurl] = ACTIONS(7063),
    [anon_sym_BSLASHhref] = ACTIONS(7063),
  },
  [1841] = {
    [sym_command_name] = ACTIONS(7319),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7319),
    [anon_sym_LBRACK] = ACTIONS(7321),
    [anon_sym_RBRACK] = ACTIONS(7321),
    [anon_sym_COMMA] = ACTIONS(7321),
    [anon_sym_EQ] = ACTIONS(7321),
    [anon_sym_LPAREN] = ACTIONS(7321),
    [anon_sym_RPAREN] = ACTIONS(7321),
    [anon_sym_LBRACE] = ACTIONS(7321),
    [sym_word] = ACTIONS(7319),
    [sym_placeholder] = ACTIONS(7321),
    [sym_delimiter] = ACTIONS(7321),
    [anon_sym_PLUS] = ACTIONS(7321),
    [anon_sym_DASH] = ACTIONS(7321),
    [anon_sym_STAR] = ACTIONS(7321),
    [anon_sym_SLASH] = ACTIONS(7321),
    [anon_sym_LT] = ACTIONS(7319),
    [anon_sym_GT] = ACTIONS(7319),
    [anon_sym_BANG] = ACTIONS(7319),
    [anon_sym_PIPE] = ACTIONS(7319),
    [anon_sym_COLON] = ACTIONS(7319),
    [anon_sym_SQUOTE] = ACTIONS(7319),
    [anon_sym__] = ACTIONS(7321),
    [anon_sym_CARET] = ACTIONS(7321),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7321),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7321),
    [anon_sym_DOLLAR] = ACTIONS(7319),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7321),
    [anon_sym_BSLASHleft] = ACTIONS(7319),
    [anon_sym_BSLASHbigl] = ACTIONS(7319),
    [anon_sym_BSLASHBigl] = ACTIONS(7319),
    [anon_sym_BSLASHbiggl] = ACTIONS(7319),
    [anon_sym_BSLASHBiggl] = ACTIONS(7319),
    [anon_sym_BSLASHtext] = ACTIONS(7319),
    [anon_sym_BSLASHintertext] = ACTIONS(7319),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7319),
    [anon_sym_BSLASHbegin] = ACTIONS(7319),
    [anon_sym_BSLASHtitle] = ACTIONS(7319),
    [anon_sym_BSLASHauthor] = ACTIONS(7319),
    [anon_sym_BSLASHusepackage] = ACTIONS(7319),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7319),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7319),
    [anon_sym_BSLASHinclude] = ACTIONS(7319),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7319),
    [anon_sym_BSLASHinput] = ACTIONS(7319),
    [anon_sym_BSLASHsubfile] = ACTIONS(7319),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7319),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7319),
    [anon_sym_BSLASHbibliography] = ACTIONS(7319),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7319),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7319),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7319),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7319),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7319),
    [anon_sym_BSLASHimport] = ACTIONS(7319),
    [anon_sym_BSLASHsubimport] = ACTIONS(7319),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7319),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7319),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7319),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7319),
    [anon_sym_BSLASHcaption] = ACTIONS(7319),
    [anon_sym_BSLASHcite] = ACTIONS(7319),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCite] = ACTIONS(7319),
    [anon_sym_BSLASHnocite] = ACTIONS(7319),
    [anon_sym_BSLASHcitet] = ACTIONS(7319),
    [anon_sym_BSLASHcitep] = ACTIONS(7319),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteA] = ACTIONS(7319),
    [anon_sym_BSLASHciteR] = ACTIONS(7319),
    [anon_sym_BSLASHciteS] = ACTIONS(7319),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7319),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7319),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7319),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7319),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteyear] = ACTIONS(7319),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitedate] = ACTIONS(7319),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteurl] = ACTIONS(7319),
    [anon_sym_BSLASHfullcite] = ACTIONS(7319),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7319),
    [anon_sym_BSLASHcitealt] = ACTIONS(7319),
    [anon_sym_BSLASHcitealp] = ACTIONS(7319),
    [anon_sym_BSLASHcitetext] = ACTIONS(7319),
    [anon_sym_BSLASHparencite] = ACTIONS(7319),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHParencite] = ACTIONS(7319),
    [anon_sym_BSLASHfootcite] = ACTIONS(7319),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7319),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7319),
    [anon_sym_BSLASHtextcite] = ACTIONS(7319),
    [anon_sym_BSLASHTextcite] = ACTIONS(7319),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7319),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7319),
    [anon_sym_BSLASHsupercite] = ACTIONS(7319),
    [anon_sym_BSLASHautocite] = ACTIONS(7319),
    [anon_sym_BSLASHAutocite] = ACTIONS(7319),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHVolcite] = ACTIONS(7319),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHavolcite] = ACTIONS(7319),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHNotecite] = ACTIONS(7319),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHlabel] = ACTIONS(7319),
    [anon_sym_BSLASHref] = ACTIONS(7319),
    [anon_sym_BSLASHeqref] = ACTIONS(7319),
    [anon_sym_BSLASHvref] = ACTIONS(7319),
    [anon_sym_BSLASHVref] = ACTIONS(7319),
    [anon_sym_BSLASHautoref] = ACTIONS(7319),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHpageref] = ACTIONS(7319),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHautopageref] = ACTIONS(7319),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcref] = ACTIONS(7319),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCref] = ACTIONS(7319),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcpageref] = ACTIONS(7319),
    [anon_sym_BSLASHCpageref] = ACTIONS(7319),
    [anon_sym_BSLASHnamecref] = ACTIONS(7319),
    [anon_sym_BSLASHnameCref] = ACTIONS(7319),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7319),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7319),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7319),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7319),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7319),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7319),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7319),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7319),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7319),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7319),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7319),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHdef] = ACTIONS(7319),
    [anon_sym_BSLASHgdef] = ACTIONS(7319),
    [anon_sym_BSLASHedef] = ACTIONS(7319),
    [anon_sym_BSLASHxdef] = ACTIONS(7319),
    [anon_sym_BSLASHlet] = ACTIONS(7319),
    [anon_sym_BSLASHglet] = ACTIONS(7319),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7319),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7319),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7319),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7319),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7319),
    [anon_sym_BSLASHgls] = ACTIONS(7319),
    [anon_sym_BSLASHGls] = ACTIONS(7319),
    [anon_sym_BSLASHGLS] = ACTIONS(7319),
    [anon_sym_BSLASHglspl] = ACTIONS(7319),
    [anon_sym_BSLASHGlspl] = ACTIONS(7319),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7319),
    [anon_sym_BSLASHglslink] = ACTIONS(7319),
    [anon_sym_BSLASHglstext] = ACTIONS(7319),
    [anon_sym_BSLASHGlstext] = ACTIONS(7319),
    [anon_sym_BSLASHGLStext] = ACTIONS(7319),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7319),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7319),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7319),
    [anon_sym_BSLASHglsplural] = ACTIONS(7319),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7319),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7319),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHglsname] = ACTIONS(7319),
    [anon_sym_BSLASHGlsname] = ACTIONS(7319),
    [anon_sym_BSLASHGLSname] = ACTIONS(7319),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7319),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7319),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7319),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7319),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7319),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7319),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7319),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7319),
    [anon_sym_BSLASHacrshort] = ACTIONS(7319),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7319),
    [anon_sym_BSLASHACRshort] = ACTIONS(7319),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHacrlong] = ACTIONS(7319),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7319),
    [anon_sym_BSLASHACRlong] = ACTIONS(7319),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHacrfull] = ACTIONS(7319),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7319),
    [anon_sym_BSLASHACRfull] = ACTIONS(7319),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHacs] = ACTIONS(7319),
    [anon_sym_BSLASHAcs] = ACTIONS(7319),
    [anon_sym_BSLASHacsp] = ACTIONS(7319),
    [anon_sym_BSLASHAcsp] = ACTIONS(7319),
    [anon_sym_BSLASHacl] = ACTIONS(7319),
    [anon_sym_BSLASHAcl] = ACTIONS(7319),
    [anon_sym_BSLASHaclp] = ACTIONS(7319),
    [anon_sym_BSLASHAclp] = ACTIONS(7319),
    [anon_sym_BSLASHacf] = ACTIONS(7319),
    [anon_sym_BSLASHAcf] = ACTIONS(7319),
    [anon_sym_BSLASHacfp] = ACTIONS(7319),
    [anon_sym_BSLASHAcfp] = ACTIONS(7319),
    [anon_sym_BSLASHac] = ACTIONS(7319),
    [anon_sym_BSLASHAc] = ACTIONS(7319),
    [anon_sym_BSLASHacp] = ACTIONS(7319),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7319),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7319),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7319),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7319),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7319),
    [anon_sym_BSLASHcolor] = ACTIONS(7319),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7319),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7319),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7319),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7319),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7319),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7319),
    [anon_sym_BSLASHurl] = ACTIONS(7319),
    [anon_sym_BSLASHhref] = ACTIONS(7319),
  },
  [1842] = {
    [sym_command_name] = ACTIONS(7067),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7067),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_RBRACK] = ACTIONS(7069),
    [anon_sym_COMMA] = ACTIONS(7069),
    [anon_sym_EQ] = ACTIONS(7069),
    [anon_sym_LPAREN] = ACTIONS(7069),
    [anon_sym_RPAREN] = ACTIONS(7069),
    [anon_sym_LBRACE] = ACTIONS(7069),
    [sym_word] = ACTIONS(7067),
    [sym_placeholder] = ACTIONS(7069),
    [sym_delimiter] = ACTIONS(7069),
    [anon_sym_PLUS] = ACTIONS(7069),
    [anon_sym_DASH] = ACTIONS(7069),
    [anon_sym_STAR] = ACTIONS(7069),
    [anon_sym_SLASH] = ACTIONS(7069),
    [anon_sym_LT] = ACTIONS(7067),
    [anon_sym_GT] = ACTIONS(7067),
    [anon_sym_BANG] = ACTIONS(7067),
    [anon_sym_PIPE] = ACTIONS(7067),
    [anon_sym_COLON] = ACTIONS(7067),
    [anon_sym_SQUOTE] = ACTIONS(7067),
    [anon_sym__] = ACTIONS(7069),
    [anon_sym_CARET] = ACTIONS(7069),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7069),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7069),
    [anon_sym_DOLLAR] = ACTIONS(7067),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7069),
    [anon_sym_BSLASHleft] = ACTIONS(7067),
    [anon_sym_BSLASHbigl] = ACTIONS(7067),
    [anon_sym_BSLASHBigl] = ACTIONS(7067),
    [anon_sym_BSLASHbiggl] = ACTIONS(7067),
    [anon_sym_BSLASHBiggl] = ACTIONS(7067),
    [anon_sym_BSLASHtext] = ACTIONS(7067),
    [anon_sym_BSLASHintertext] = ACTIONS(7067),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7067),
    [anon_sym_BSLASHbegin] = ACTIONS(7067),
    [anon_sym_BSLASHtitle] = ACTIONS(7067),
    [anon_sym_BSLASHauthor] = ACTIONS(7067),
    [anon_sym_BSLASHusepackage] = ACTIONS(7067),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7067),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7067),
    [anon_sym_BSLASHinclude] = ACTIONS(7067),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7067),
    [anon_sym_BSLASHinput] = ACTIONS(7067),
    [anon_sym_BSLASHsubfile] = ACTIONS(7067),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7067),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7067),
    [anon_sym_BSLASHbibliography] = ACTIONS(7067),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7067),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7067),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7067),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7067),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7067),
    [anon_sym_BSLASHimport] = ACTIONS(7067),
    [anon_sym_BSLASHsubimport] = ACTIONS(7067),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7067),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7067),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7067),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7067),
    [anon_sym_BSLASHcaption] = ACTIONS(7067),
    [anon_sym_BSLASHcite] = ACTIONS(7067),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCite] = ACTIONS(7067),
    [anon_sym_BSLASHnocite] = ACTIONS(7067),
    [anon_sym_BSLASHcitet] = ACTIONS(7067),
    [anon_sym_BSLASHcitep] = ACTIONS(7067),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteA] = ACTIONS(7067),
    [anon_sym_BSLASHciteR] = ACTIONS(7067),
    [anon_sym_BSLASHciteS] = ACTIONS(7067),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7067),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7067),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7067),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7067),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteyear] = ACTIONS(7067),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitedate] = ACTIONS(7067),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteurl] = ACTIONS(7067),
    [anon_sym_BSLASHfullcite] = ACTIONS(7067),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7067),
    [anon_sym_BSLASHcitealt] = ACTIONS(7067),
    [anon_sym_BSLASHcitealp] = ACTIONS(7067),
    [anon_sym_BSLASHcitetext] = ACTIONS(7067),
    [anon_sym_BSLASHparencite] = ACTIONS(7067),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHParencite] = ACTIONS(7067),
    [anon_sym_BSLASHfootcite] = ACTIONS(7067),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7067),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7067),
    [anon_sym_BSLASHtextcite] = ACTIONS(7067),
    [anon_sym_BSLASHTextcite] = ACTIONS(7067),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7067),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7067),
    [anon_sym_BSLASHsupercite] = ACTIONS(7067),
    [anon_sym_BSLASHautocite] = ACTIONS(7067),
    [anon_sym_BSLASHAutocite] = ACTIONS(7067),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHVolcite] = ACTIONS(7067),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHavolcite] = ACTIONS(7067),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHNotecite] = ACTIONS(7067),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHlabel] = ACTIONS(7067),
    [anon_sym_BSLASHref] = ACTIONS(7067),
    [anon_sym_BSLASHeqref] = ACTIONS(7067),
    [anon_sym_BSLASHvref] = ACTIONS(7067),
    [anon_sym_BSLASHVref] = ACTIONS(7067),
    [anon_sym_BSLASHautoref] = ACTIONS(7067),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHpageref] = ACTIONS(7067),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHautopageref] = ACTIONS(7067),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcref] = ACTIONS(7067),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCref] = ACTIONS(7067),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcpageref] = ACTIONS(7067),
    [anon_sym_BSLASHCpageref] = ACTIONS(7067),
    [anon_sym_BSLASHnamecref] = ACTIONS(7067),
    [anon_sym_BSLASHnameCref] = ACTIONS(7067),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7067),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7067),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7067),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7067),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7067),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7067),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7067),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7067),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7067),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7067),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7067),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHdef] = ACTIONS(7067),
    [anon_sym_BSLASHgdef] = ACTIONS(7067),
    [anon_sym_BSLASHedef] = ACTIONS(7067),
    [anon_sym_BSLASHxdef] = ACTIONS(7067),
    [anon_sym_BSLASHlet] = ACTIONS(7067),
    [anon_sym_BSLASHglet] = ACTIONS(7067),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7067),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7067),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7067),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7067),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7067),
    [anon_sym_BSLASHgls] = ACTIONS(7067),
    [anon_sym_BSLASHGls] = ACTIONS(7067),
    [anon_sym_BSLASHGLS] = ACTIONS(7067),
    [anon_sym_BSLASHglspl] = ACTIONS(7067),
    [anon_sym_BSLASHGlspl] = ACTIONS(7067),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7067),
    [anon_sym_BSLASHglslink] = ACTIONS(7067),
    [anon_sym_BSLASHglstext] = ACTIONS(7067),
    [anon_sym_BSLASHGlstext] = ACTIONS(7067),
    [anon_sym_BSLASHGLStext] = ACTIONS(7067),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7067),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7067),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7067),
    [anon_sym_BSLASHglsplural] = ACTIONS(7067),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7067),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7067),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHglsname] = ACTIONS(7067),
    [anon_sym_BSLASHGlsname] = ACTIONS(7067),
    [anon_sym_BSLASHGLSname] = ACTIONS(7067),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7067),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7067),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7067),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7067),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7067),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7067),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7067),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7067),
    [anon_sym_BSLASHacrshort] = ACTIONS(7067),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7067),
    [anon_sym_BSLASHACRshort] = ACTIONS(7067),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHacrlong] = ACTIONS(7067),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7067),
    [anon_sym_BSLASHACRlong] = ACTIONS(7067),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHacrfull] = ACTIONS(7067),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7067),
    [anon_sym_BSLASHACRfull] = ACTIONS(7067),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHacs] = ACTIONS(7067),
    [anon_sym_BSLASHAcs] = ACTIONS(7067),
    [anon_sym_BSLASHacsp] = ACTIONS(7067),
    [anon_sym_BSLASHAcsp] = ACTIONS(7067),
    [anon_sym_BSLASHacl] = ACTIONS(7067),
    [anon_sym_BSLASHAcl] = ACTIONS(7067),
    [anon_sym_BSLASHaclp] = ACTIONS(7067),
    [anon_sym_BSLASHAclp] = ACTIONS(7067),
    [anon_sym_BSLASHacf] = ACTIONS(7067),
    [anon_sym_BSLASHAcf] = ACTIONS(7067),
    [anon_sym_BSLASHacfp] = ACTIONS(7067),
    [anon_sym_BSLASHAcfp] = ACTIONS(7067),
    [anon_sym_BSLASHac] = ACTIONS(7067),
    [anon_sym_BSLASHAc] = ACTIONS(7067),
    [anon_sym_BSLASHacp] = ACTIONS(7067),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7067),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7067),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7067),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7067),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7067),
    [anon_sym_BSLASHcolor] = ACTIONS(7067),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7067),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7067),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7067),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7067),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7067),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7067),
    [anon_sym_BSLASHurl] = ACTIONS(7067),
    [anon_sym_BSLASHhref] = ACTIONS(7067),
  },
  [1843] = {
    [sym_command_name] = ACTIONS(169),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_COMMA] = ACTIONS(171),
    [anon_sym_EQ] = ACTIONS(171),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_LBRACE] = ACTIONS(171),
    [sym_word] = ACTIONS(169),
    [sym_placeholder] = ACTIONS(171),
    [sym_delimiter] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_STAR] = ACTIONS(171),
    [anon_sym_SLASH] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(169),
    [anon_sym_GT] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_PIPE] = ACTIONS(169),
    [anon_sym_COLON] = ACTIONS(169),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym__] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(171),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(171),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(171),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(171),
    [anon_sym_BSLASHleft] = ACTIONS(169),
    [anon_sym_BSLASHbigl] = ACTIONS(169),
    [anon_sym_BSLASHBigl] = ACTIONS(169),
    [anon_sym_BSLASHbiggl] = ACTIONS(169),
    [anon_sym_BSLASHBiggl] = ACTIONS(169),
    [anon_sym_BSLASHtext] = ACTIONS(169),
    [anon_sym_BSLASHintertext] = ACTIONS(169),
    [anon_sym_BSLASHshortintertext] = ACTIONS(169),
    [anon_sym_BSLASHbegin] = ACTIONS(169),
    [anon_sym_BSLASHtitle] = ACTIONS(169),
    [anon_sym_BSLASHauthor] = ACTIONS(169),
    [anon_sym_BSLASHusepackage] = ACTIONS(169),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(169),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(169),
    [anon_sym_BSLASHinclude] = ACTIONS(169),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(169),
    [anon_sym_BSLASHinput] = ACTIONS(169),
    [anon_sym_BSLASHsubfile] = ACTIONS(169),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(169),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(169),
    [anon_sym_BSLASHbibliography] = ACTIONS(169),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(169),
    [anon_sym_BSLASHincludesvg] = ACTIONS(169),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(169),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(169),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(169),
    [anon_sym_BSLASHimport] = ACTIONS(169),
    [anon_sym_BSLASHsubimport] = ACTIONS(169),
    [anon_sym_BSLASHinputfrom] = ACTIONS(169),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(169),
    [anon_sym_BSLASHincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHcaption] = ACTIONS(169),
    [anon_sym_BSLASHcite] = ACTIONS(169),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCite] = ACTIONS(169),
    [anon_sym_BSLASHnocite] = ACTIONS(169),
    [anon_sym_BSLASHcitet] = ACTIONS(169),
    [anon_sym_BSLASHcitep] = ACTIONS(169),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteA] = ACTIONS(169),
    [anon_sym_BSLASHciteR] = ACTIONS(169),
    [anon_sym_BSLASHciteS] = ACTIONS(169),
    [anon_sym_BSLASHciteyearR] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(169),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitetitle] = ACTIONS(169),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteyear] = ACTIONS(169),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitedate] = ACTIONS(169),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteurl] = ACTIONS(169),
    [anon_sym_BSLASHfullcite] = ACTIONS(169),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(169),
    [anon_sym_BSLASHcitealt] = ACTIONS(169),
    [anon_sym_BSLASHcitealp] = ACTIONS(169),
    [anon_sym_BSLASHcitetext] = ACTIONS(169),
    [anon_sym_BSLASHparencite] = ACTIONS(169),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHParencite] = ACTIONS(169),
    [anon_sym_BSLASHfootcite] = ACTIONS(169),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(169),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(169),
    [anon_sym_BSLASHtextcite] = ACTIONS(169),
    [anon_sym_BSLASHTextcite] = ACTIONS(169),
    [anon_sym_BSLASHsmartcite] = ACTIONS(169),
    [anon_sym_BSLASHSmartcite] = ACTIONS(169),
    [anon_sym_BSLASHsupercite] = ACTIONS(169),
    [anon_sym_BSLASHautocite] = ACTIONS(169),
    [anon_sym_BSLASHAutocite] = ACTIONS(169),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHvolcite] = ACTIONS(169),
    [anon_sym_BSLASHVolcite] = ACTIONS(169),
    [anon_sym_BSLASHpvolcite] = ACTIONS(169),
    [anon_sym_BSLASHPvolcite] = ACTIONS(169),
    [anon_sym_BSLASHfvolcite] = ACTIONS(169),
    [anon_sym_BSLASHftvolcite] = ACTIONS(169),
    [anon_sym_BSLASHsvolcite] = ACTIONS(169),
    [anon_sym_BSLASHSvolcite] = ACTIONS(169),
    [anon_sym_BSLASHtvolcite] = ACTIONS(169),
    [anon_sym_BSLASHTvolcite] = ACTIONS(169),
    [anon_sym_BSLASHavolcite] = ACTIONS(169),
    [anon_sym_BSLASHAvolcite] = ACTIONS(169),
    [anon_sym_BSLASHnotecite] = ACTIONS(169),
    [anon_sym_BSLASHNotecite] = ACTIONS(169),
    [anon_sym_BSLASHpnotecite] = ACTIONS(169),
    [anon_sym_BSLASHPnotecite] = ACTIONS(169),
    [anon_sym_BSLASHfnotecite] = ACTIONS(169),
    [anon_sym_BSLASHlabel] = ACTIONS(169),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHeqref] = ACTIONS(169),
    [anon_sym_BSLASHvref] = ACTIONS(169),
    [anon_sym_BSLASHVref] = ACTIONS(169),
    [anon_sym_BSLASHautoref] = ACTIONS(169),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHpageref] = ACTIONS(169),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHautopageref] = ACTIONS(169),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcref] = ACTIONS(169),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCref] = ACTIONS(169),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpageref] = ACTIONS(169),
    [anon_sym_BSLASHCpageref] = ACTIONS(169),
    [anon_sym_BSLASHnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnameCref] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcrefrange] = ACTIONS(169),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCrefrange] = ACTIONS(169),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHnewlabel] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(169),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(169),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(169),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(171),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHdef] = ACTIONS(169),
    [anon_sym_BSLASHgdef] = ACTIONS(169),
    [anon_sym_BSLASHedef] = ACTIONS(169),
    [anon_sym_BSLASHxdef] = ACTIONS(169),
    [anon_sym_BSLASHlet] = ACTIONS(169),
    [anon_sym_BSLASHglet] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(169),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(169),
    [anon_sym_BSLASHgls] = ACTIONS(169),
    [anon_sym_BSLASHGls] = ACTIONS(169),
    [anon_sym_BSLASHGLS] = ACTIONS(169),
    [anon_sym_BSLASHglspl] = ACTIONS(169),
    [anon_sym_BSLASHGlspl] = ACTIONS(169),
    [anon_sym_BSLASHGLSpl] = ACTIONS(169),
    [anon_sym_BSLASHglsdisp] = ACTIONS(169),
    [anon_sym_BSLASHglslink] = ACTIONS(169),
    [anon_sym_BSLASHglstext] = ACTIONS(169),
    [anon_sym_BSLASHGlstext] = ACTIONS(169),
    [anon_sym_BSLASHGLStext] = ACTIONS(169),
    [anon_sym_BSLASHglsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(169),
    [anon_sym_BSLASHglsplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSplural] = ACTIONS(169),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHglsname] = ACTIONS(169),
    [anon_sym_BSLASHGlsname] = ACTIONS(169),
    [anon_sym_BSLASHGLSname] = ACTIONS(169),
    [anon_sym_BSLASHglssymbol] = ACTIONS(169),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(169),
    [anon_sym_BSLASHglsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(169),
    [anon_sym_BSLASHglsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(169),
    [anon_sym_BSLASHglsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(169),
    [anon_sym_BSLASHglsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(169),
    [anon_sym_BSLASHglsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(169),
    [anon_sym_BSLASHnewacronym] = ACTIONS(169),
    [anon_sym_BSLASHacrshort] = ACTIONS(169),
    [anon_sym_BSLASHAcrshort] = ACTIONS(169),
    [anon_sym_BSLASHACRshort] = ACTIONS(169),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(169),
    [anon_sym_BSLASHacrlong] = ACTIONS(169),
    [anon_sym_BSLASHAcrlong] = ACTIONS(169),
    [anon_sym_BSLASHACRlong] = ACTIONS(169),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(169),
    [anon_sym_BSLASHacrfull] = ACTIONS(169),
    [anon_sym_BSLASHAcrfull] = ACTIONS(169),
    [anon_sym_BSLASHACRfull] = ACTIONS(169),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(169),
    [anon_sym_BSLASHacs] = ACTIONS(169),
    [anon_sym_BSLASHAcs] = ACTIONS(169),
    [anon_sym_BSLASHacsp] = ACTIONS(169),
    [anon_sym_BSLASHAcsp] = ACTIONS(169),
    [anon_sym_BSLASHacl] = ACTIONS(169),
    [anon_sym_BSLASHAcl] = ACTIONS(169),
    [anon_sym_BSLASHaclp] = ACTIONS(169),
    [anon_sym_BSLASHAclp] = ACTIONS(169),
    [anon_sym_BSLASHacf] = ACTIONS(169),
    [anon_sym_BSLASHAcf] = ACTIONS(169),
    [anon_sym_BSLASHacfp] = ACTIONS(169),
    [anon_sym_BSLASHAcfp] = ACTIONS(169),
    [anon_sym_BSLASHac] = ACTIONS(169),
    [anon_sym_BSLASHAc] = ACTIONS(169),
    [anon_sym_BSLASHacp] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(169),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(169),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(169),
    [anon_sym_BSLASHcolor] = ACTIONS(169),
    [anon_sym_BSLASHpagecolor] = ACTIONS(169),
    [anon_sym_BSLASHtextcolor] = ACTIONS(169),
    [anon_sym_BSLASHmathcolor] = ACTIONS(169),
    [anon_sym_BSLASHcolorbox] = ACTIONS(169),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(169),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(169),
    [anon_sym_BSLASHurl] = ACTIONS(169),
    [anon_sym_BSLASHhref] = ACTIONS(169),
  },
  [1844] = {
    [sym_command_name] = ACTIONS(173),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(173),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_RBRACK] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_RPAREN] = ACTIONS(175),
    [anon_sym_LBRACE] = ACTIONS(175),
    [sym_word] = ACTIONS(173),
    [sym_placeholder] = ACTIONS(175),
    [sym_delimiter] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym__] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(175),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(175),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(175),
    [anon_sym_DOLLAR] = ACTIONS(173),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(175),
    [anon_sym_BSLASHleft] = ACTIONS(173),
    [anon_sym_BSLASHbigl] = ACTIONS(173),
    [anon_sym_BSLASHBigl] = ACTIONS(173),
    [anon_sym_BSLASHbiggl] = ACTIONS(173),
    [anon_sym_BSLASHBiggl] = ACTIONS(173),
    [anon_sym_BSLASHtext] = ACTIONS(173),
    [anon_sym_BSLASHintertext] = ACTIONS(173),
    [anon_sym_BSLASHshortintertext] = ACTIONS(173),
    [anon_sym_BSLASHbegin] = ACTIONS(173),
    [anon_sym_BSLASHtitle] = ACTIONS(173),
    [anon_sym_BSLASHauthor] = ACTIONS(173),
    [anon_sym_BSLASHusepackage] = ACTIONS(173),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(173),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(173),
    [anon_sym_BSLASHinclude] = ACTIONS(173),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(173),
    [anon_sym_BSLASHinput] = ACTIONS(173),
    [anon_sym_BSLASHsubfile] = ACTIONS(173),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(173),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(173),
    [anon_sym_BSLASHbibliography] = ACTIONS(173),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(173),
    [anon_sym_BSLASHincludesvg] = ACTIONS(173),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(173),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(173),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(173),
    [anon_sym_BSLASHimport] = ACTIONS(173),
    [anon_sym_BSLASHsubimport] = ACTIONS(173),
    [anon_sym_BSLASHinputfrom] = ACTIONS(173),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(173),
    [anon_sym_BSLASHincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHcaption] = ACTIONS(173),
    [anon_sym_BSLASHcite] = ACTIONS(173),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCite] = ACTIONS(173),
    [anon_sym_BSLASHnocite] = ACTIONS(173),
    [anon_sym_BSLASHcitet] = ACTIONS(173),
    [anon_sym_BSLASHcitep] = ACTIONS(173),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteA] = ACTIONS(173),
    [anon_sym_BSLASHciteR] = ACTIONS(173),
    [anon_sym_BSLASHciteS] = ACTIONS(173),
    [anon_sym_BSLASHciteyearR] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(173),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitetitle] = ACTIONS(173),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteyear] = ACTIONS(173),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitedate] = ACTIONS(173),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteurl] = ACTIONS(173),
    [anon_sym_BSLASHfullcite] = ACTIONS(173),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(173),
    [anon_sym_BSLASHcitealt] = ACTIONS(173),
    [anon_sym_BSLASHcitealp] = ACTIONS(173),
    [anon_sym_BSLASHcitetext] = ACTIONS(173),
    [anon_sym_BSLASHparencite] = ACTIONS(173),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHParencite] = ACTIONS(173),
    [anon_sym_BSLASHfootcite] = ACTIONS(173),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(173),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(173),
    [anon_sym_BSLASHtextcite] = ACTIONS(173),
    [anon_sym_BSLASHTextcite] = ACTIONS(173),
    [anon_sym_BSLASHsmartcite] = ACTIONS(173),
    [anon_sym_BSLASHSmartcite] = ACTIONS(173),
    [anon_sym_BSLASHsupercite] = ACTIONS(173),
    [anon_sym_BSLASHautocite] = ACTIONS(173),
    [anon_sym_BSLASHAutocite] = ACTIONS(173),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHvolcite] = ACTIONS(173),
    [anon_sym_BSLASHVolcite] = ACTIONS(173),
    [anon_sym_BSLASHpvolcite] = ACTIONS(173),
    [anon_sym_BSLASHPvolcite] = ACTIONS(173),
    [anon_sym_BSLASHfvolcite] = ACTIONS(173),
    [anon_sym_BSLASHftvolcite] = ACTIONS(173),
    [anon_sym_BSLASHsvolcite] = ACTIONS(173),
    [anon_sym_BSLASHSvolcite] = ACTIONS(173),
    [anon_sym_BSLASHtvolcite] = ACTIONS(173),
    [anon_sym_BSLASHTvolcite] = ACTIONS(173),
    [anon_sym_BSLASHavolcite] = ACTIONS(173),
    [anon_sym_BSLASHAvolcite] = ACTIONS(173),
    [anon_sym_BSLASHnotecite] = ACTIONS(173),
    [anon_sym_BSLASHNotecite] = ACTIONS(173),
    [anon_sym_BSLASHpnotecite] = ACTIONS(173),
    [anon_sym_BSLASHPnotecite] = ACTIONS(173),
    [anon_sym_BSLASHfnotecite] = ACTIONS(173),
    [anon_sym_BSLASHlabel] = ACTIONS(173),
    [anon_sym_BSLASHref] = ACTIONS(173),
    [anon_sym_BSLASHeqref] = ACTIONS(173),
    [anon_sym_BSLASHvref] = ACTIONS(173),
    [anon_sym_BSLASHVref] = ACTIONS(173),
    [anon_sym_BSLASHautoref] = ACTIONS(173),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHpageref] = ACTIONS(173),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHautopageref] = ACTIONS(173),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcref] = ACTIONS(173),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCref] = ACTIONS(173),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpageref] = ACTIONS(173),
    [anon_sym_BSLASHCpageref] = ACTIONS(173),
    [anon_sym_BSLASHnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnameCref] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcrefrange] = ACTIONS(173),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCrefrange] = ACTIONS(173),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHnewlabel] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(173),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(173),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(173),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(175),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHdef] = ACTIONS(173),
    [anon_sym_BSLASHgdef] = ACTIONS(173),
    [anon_sym_BSLASHedef] = ACTIONS(173),
    [anon_sym_BSLASHxdef] = ACTIONS(173),
    [anon_sym_BSLASHlet] = ACTIONS(173),
    [anon_sym_BSLASHglet] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(173),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(173),
    [anon_sym_BSLASHgls] = ACTIONS(173),
    [anon_sym_BSLASHGls] = ACTIONS(173),
    [anon_sym_BSLASHGLS] = ACTIONS(173),
    [anon_sym_BSLASHglspl] = ACTIONS(173),
    [anon_sym_BSLASHGlspl] = ACTIONS(173),
    [anon_sym_BSLASHGLSpl] = ACTIONS(173),
    [anon_sym_BSLASHglsdisp] = ACTIONS(173),
    [anon_sym_BSLASHglslink] = ACTIONS(173),
    [anon_sym_BSLASHglstext] = ACTIONS(173),
    [anon_sym_BSLASHGlstext] = ACTIONS(173),
    [anon_sym_BSLASHGLStext] = ACTIONS(173),
    [anon_sym_BSLASHglsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(173),
    [anon_sym_BSLASHglsplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSplural] = ACTIONS(173),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHglsname] = ACTIONS(173),
    [anon_sym_BSLASHGlsname] = ACTIONS(173),
    [anon_sym_BSLASHGLSname] = ACTIONS(173),
    [anon_sym_BSLASHglssymbol] = ACTIONS(173),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(173),
    [anon_sym_BSLASHglsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(173),
    [anon_sym_BSLASHglsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(173),
    [anon_sym_BSLASHglsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(173),
    [anon_sym_BSLASHglsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(173),
    [anon_sym_BSLASHglsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(173),
    [anon_sym_BSLASHnewacronym] = ACTIONS(173),
    [anon_sym_BSLASHacrshort] = ACTIONS(173),
    [anon_sym_BSLASHAcrshort] = ACTIONS(173),
    [anon_sym_BSLASHACRshort] = ACTIONS(173),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(173),
    [anon_sym_BSLASHacrlong] = ACTIONS(173),
    [anon_sym_BSLASHAcrlong] = ACTIONS(173),
    [anon_sym_BSLASHACRlong] = ACTIONS(173),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(173),
    [anon_sym_BSLASHacrfull] = ACTIONS(173),
    [anon_sym_BSLASHAcrfull] = ACTIONS(173),
    [anon_sym_BSLASHACRfull] = ACTIONS(173),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(173),
    [anon_sym_BSLASHacs] = ACTIONS(173),
    [anon_sym_BSLASHAcs] = ACTIONS(173),
    [anon_sym_BSLASHacsp] = ACTIONS(173),
    [anon_sym_BSLASHAcsp] = ACTIONS(173),
    [anon_sym_BSLASHacl] = ACTIONS(173),
    [anon_sym_BSLASHAcl] = ACTIONS(173),
    [anon_sym_BSLASHaclp] = ACTIONS(173),
    [anon_sym_BSLASHAclp] = ACTIONS(173),
    [anon_sym_BSLASHacf] = ACTIONS(173),
    [anon_sym_BSLASHAcf] = ACTIONS(173),
    [anon_sym_BSLASHacfp] = ACTIONS(173),
    [anon_sym_BSLASHAcfp] = ACTIONS(173),
    [anon_sym_BSLASHac] = ACTIONS(173),
    [anon_sym_BSLASHAc] = ACTIONS(173),
    [anon_sym_BSLASHacp] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(173),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(173),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(173),
    [anon_sym_BSLASHcolor] = ACTIONS(173),
    [anon_sym_BSLASHpagecolor] = ACTIONS(173),
    [anon_sym_BSLASHtextcolor] = ACTIONS(173),
    [anon_sym_BSLASHmathcolor] = ACTIONS(173),
    [anon_sym_BSLASHcolorbox] = ACTIONS(173),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(173),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(173),
    [anon_sym_BSLASHurl] = ACTIONS(173),
    [anon_sym_BSLASHhref] = ACTIONS(173),
  },
  [1845] = {
    [sym_command_name] = ACTIONS(7323),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7323),
    [anon_sym_LBRACK] = ACTIONS(7325),
    [anon_sym_RBRACK] = ACTIONS(7325),
    [anon_sym_COMMA] = ACTIONS(7325),
    [anon_sym_EQ] = ACTIONS(7325),
    [anon_sym_LPAREN] = ACTIONS(7325),
    [anon_sym_RPAREN] = ACTIONS(7325),
    [anon_sym_LBRACE] = ACTIONS(7325),
    [sym_word] = ACTIONS(7323),
    [sym_placeholder] = ACTIONS(7325),
    [sym_delimiter] = ACTIONS(7325),
    [anon_sym_PLUS] = ACTIONS(7325),
    [anon_sym_DASH] = ACTIONS(7325),
    [anon_sym_STAR] = ACTIONS(7325),
    [anon_sym_SLASH] = ACTIONS(7325),
    [anon_sym_LT] = ACTIONS(7323),
    [anon_sym_GT] = ACTIONS(7323),
    [anon_sym_BANG] = ACTIONS(7323),
    [anon_sym_PIPE] = ACTIONS(7323),
    [anon_sym_COLON] = ACTIONS(7323),
    [anon_sym_SQUOTE] = ACTIONS(7323),
    [anon_sym__] = ACTIONS(7325),
    [anon_sym_CARET] = ACTIONS(7325),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7325),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7325),
    [anon_sym_DOLLAR] = ACTIONS(7323),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7325),
    [anon_sym_BSLASHleft] = ACTIONS(7323),
    [anon_sym_BSLASHbigl] = ACTIONS(7323),
    [anon_sym_BSLASHBigl] = ACTIONS(7323),
    [anon_sym_BSLASHbiggl] = ACTIONS(7323),
    [anon_sym_BSLASHBiggl] = ACTIONS(7323),
    [anon_sym_BSLASHtext] = ACTIONS(7323),
    [anon_sym_BSLASHintertext] = ACTIONS(7323),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7323),
    [anon_sym_BSLASHbegin] = ACTIONS(7323),
    [anon_sym_BSLASHtitle] = ACTIONS(7323),
    [anon_sym_BSLASHauthor] = ACTIONS(7323),
    [anon_sym_BSLASHusepackage] = ACTIONS(7323),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7323),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7323),
    [anon_sym_BSLASHinclude] = ACTIONS(7323),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7323),
    [anon_sym_BSLASHinput] = ACTIONS(7323),
    [anon_sym_BSLASHsubfile] = ACTIONS(7323),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7323),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7323),
    [anon_sym_BSLASHbibliography] = ACTIONS(7323),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7323),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7323),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7323),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7323),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7323),
    [anon_sym_BSLASHimport] = ACTIONS(7323),
    [anon_sym_BSLASHsubimport] = ACTIONS(7323),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7323),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7323),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7323),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7323),
    [anon_sym_BSLASHcaption] = ACTIONS(7323),
    [anon_sym_BSLASHcite] = ACTIONS(7323),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCite] = ACTIONS(7323),
    [anon_sym_BSLASHnocite] = ACTIONS(7323),
    [anon_sym_BSLASHcitet] = ACTIONS(7323),
    [anon_sym_BSLASHcitep] = ACTIONS(7323),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteA] = ACTIONS(7323),
    [anon_sym_BSLASHciteR] = ACTIONS(7323),
    [anon_sym_BSLASHciteS] = ACTIONS(7323),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7323),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7323),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7323),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7323),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteyear] = ACTIONS(7323),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitedate] = ACTIONS(7323),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteurl] = ACTIONS(7323),
    [anon_sym_BSLASHfullcite] = ACTIONS(7323),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7323),
    [anon_sym_BSLASHcitealt] = ACTIONS(7323),
    [anon_sym_BSLASHcitealp] = ACTIONS(7323),
    [anon_sym_BSLASHcitetext] = ACTIONS(7323),
    [anon_sym_BSLASHparencite] = ACTIONS(7323),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHParencite] = ACTIONS(7323),
    [anon_sym_BSLASHfootcite] = ACTIONS(7323),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7323),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7323),
    [anon_sym_BSLASHtextcite] = ACTIONS(7323),
    [anon_sym_BSLASHTextcite] = ACTIONS(7323),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7323),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7323),
    [anon_sym_BSLASHsupercite] = ACTIONS(7323),
    [anon_sym_BSLASHautocite] = ACTIONS(7323),
    [anon_sym_BSLASHAutocite] = ACTIONS(7323),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHVolcite] = ACTIONS(7323),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHavolcite] = ACTIONS(7323),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHNotecite] = ACTIONS(7323),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHlabel] = ACTIONS(7323),
    [anon_sym_BSLASHref] = ACTIONS(7323),
    [anon_sym_BSLASHeqref] = ACTIONS(7323),
    [anon_sym_BSLASHvref] = ACTIONS(7323),
    [anon_sym_BSLASHVref] = ACTIONS(7323),
    [anon_sym_BSLASHautoref] = ACTIONS(7323),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHpageref] = ACTIONS(7323),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHautopageref] = ACTIONS(7323),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcref] = ACTIONS(7323),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCref] = ACTIONS(7323),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcpageref] = ACTIONS(7323),
    [anon_sym_BSLASHCpageref] = ACTIONS(7323),
    [anon_sym_BSLASHnamecref] = ACTIONS(7323),
    [anon_sym_BSLASHnameCref] = ACTIONS(7323),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7323),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7323),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7323),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7323),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7323),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7323),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7323),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7323),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7323),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7323),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7323),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHdef] = ACTIONS(7323),
    [anon_sym_BSLASHgdef] = ACTIONS(7323),
    [anon_sym_BSLASHedef] = ACTIONS(7323),
    [anon_sym_BSLASHxdef] = ACTIONS(7323),
    [anon_sym_BSLASHlet] = ACTIONS(7323),
    [anon_sym_BSLASHglet] = ACTIONS(7323),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7323),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7323),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7323),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7323),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7323),
    [anon_sym_BSLASHgls] = ACTIONS(7323),
    [anon_sym_BSLASHGls] = ACTIONS(7323),
    [anon_sym_BSLASHGLS] = ACTIONS(7323),
    [anon_sym_BSLASHglspl] = ACTIONS(7323),
    [anon_sym_BSLASHGlspl] = ACTIONS(7323),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7323),
    [anon_sym_BSLASHglslink] = ACTIONS(7323),
    [anon_sym_BSLASHglstext] = ACTIONS(7323),
    [anon_sym_BSLASHGlstext] = ACTIONS(7323),
    [anon_sym_BSLASHGLStext] = ACTIONS(7323),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7323),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7323),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7323),
    [anon_sym_BSLASHglsplural] = ACTIONS(7323),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7323),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7323),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHglsname] = ACTIONS(7323),
    [anon_sym_BSLASHGlsname] = ACTIONS(7323),
    [anon_sym_BSLASHGLSname] = ACTIONS(7323),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7323),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7323),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7323),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7323),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7323),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7323),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7323),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7323),
    [anon_sym_BSLASHacrshort] = ACTIONS(7323),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7323),
    [anon_sym_BSLASHACRshort] = ACTIONS(7323),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHacrlong] = ACTIONS(7323),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7323),
    [anon_sym_BSLASHACRlong] = ACTIONS(7323),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHacrfull] = ACTIONS(7323),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7323),
    [anon_sym_BSLASHACRfull] = ACTIONS(7323),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHacs] = ACTIONS(7323),
    [anon_sym_BSLASHAcs] = ACTIONS(7323),
    [anon_sym_BSLASHacsp] = ACTIONS(7323),
    [anon_sym_BSLASHAcsp] = ACTIONS(7323),
    [anon_sym_BSLASHacl] = ACTIONS(7323),
    [anon_sym_BSLASHAcl] = ACTIONS(7323),
    [anon_sym_BSLASHaclp] = ACTIONS(7323),
    [anon_sym_BSLASHAclp] = ACTIONS(7323),
    [anon_sym_BSLASHacf] = ACTIONS(7323),
    [anon_sym_BSLASHAcf] = ACTIONS(7323),
    [anon_sym_BSLASHacfp] = ACTIONS(7323),
    [anon_sym_BSLASHAcfp] = ACTIONS(7323),
    [anon_sym_BSLASHac] = ACTIONS(7323),
    [anon_sym_BSLASHAc] = ACTIONS(7323),
    [anon_sym_BSLASHacp] = ACTIONS(7323),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7323),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7323),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7323),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7323),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7323),
    [anon_sym_BSLASHcolor] = ACTIONS(7323),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7323),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7323),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7323),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7323),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7323),
    [anon_sym_BSLASHurl] = ACTIONS(7323),
    [anon_sym_BSLASHhref] = ACTIONS(7323),
  },
  [1846] = {
    [sym_command_name] = ACTIONS(7327),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7327),
    [anon_sym_LBRACK] = ACTIONS(7329),
    [anon_sym_RBRACK] = ACTIONS(7329),
    [anon_sym_COMMA] = ACTIONS(7329),
    [anon_sym_EQ] = ACTIONS(7329),
    [anon_sym_LPAREN] = ACTIONS(7329),
    [anon_sym_RPAREN] = ACTIONS(7329),
    [anon_sym_LBRACE] = ACTIONS(7329),
    [sym_word] = ACTIONS(7327),
    [sym_placeholder] = ACTIONS(7329),
    [sym_delimiter] = ACTIONS(7329),
    [anon_sym_PLUS] = ACTIONS(7329),
    [anon_sym_DASH] = ACTIONS(7329),
    [anon_sym_STAR] = ACTIONS(7329),
    [anon_sym_SLASH] = ACTIONS(7329),
    [anon_sym_LT] = ACTIONS(7327),
    [anon_sym_GT] = ACTIONS(7327),
    [anon_sym_BANG] = ACTIONS(7327),
    [anon_sym_PIPE] = ACTIONS(7327),
    [anon_sym_COLON] = ACTIONS(7327),
    [anon_sym_SQUOTE] = ACTIONS(7327),
    [anon_sym__] = ACTIONS(7329),
    [anon_sym_CARET] = ACTIONS(7329),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7329),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7329),
    [anon_sym_DOLLAR] = ACTIONS(7327),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7329),
    [anon_sym_BSLASHleft] = ACTIONS(7327),
    [anon_sym_BSLASHbigl] = ACTIONS(7327),
    [anon_sym_BSLASHBigl] = ACTIONS(7327),
    [anon_sym_BSLASHbiggl] = ACTIONS(7327),
    [anon_sym_BSLASHBiggl] = ACTIONS(7327),
    [anon_sym_BSLASHtext] = ACTIONS(7327),
    [anon_sym_BSLASHintertext] = ACTIONS(7327),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7327),
    [anon_sym_BSLASHbegin] = ACTIONS(7327),
    [anon_sym_BSLASHtitle] = ACTIONS(7327),
    [anon_sym_BSLASHauthor] = ACTIONS(7327),
    [anon_sym_BSLASHusepackage] = ACTIONS(7327),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7327),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7327),
    [anon_sym_BSLASHinclude] = ACTIONS(7327),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7327),
    [anon_sym_BSLASHinput] = ACTIONS(7327),
    [anon_sym_BSLASHsubfile] = ACTIONS(7327),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7327),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7327),
    [anon_sym_BSLASHbibliography] = ACTIONS(7327),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7327),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7327),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7327),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7327),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7327),
    [anon_sym_BSLASHimport] = ACTIONS(7327),
    [anon_sym_BSLASHsubimport] = ACTIONS(7327),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7327),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7327),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7327),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7327),
    [anon_sym_BSLASHcaption] = ACTIONS(7327),
    [anon_sym_BSLASHcite] = ACTIONS(7327),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCite] = ACTIONS(7327),
    [anon_sym_BSLASHnocite] = ACTIONS(7327),
    [anon_sym_BSLASHcitet] = ACTIONS(7327),
    [anon_sym_BSLASHcitep] = ACTIONS(7327),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteA] = ACTIONS(7327),
    [anon_sym_BSLASHciteR] = ACTIONS(7327),
    [anon_sym_BSLASHciteS] = ACTIONS(7327),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7327),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7327),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7327),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7327),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteyear] = ACTIONS(7327),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitedate] = ACTIONS(7327),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteurl] = ACTIONS(7327),
    [anon_sym_BSLASHfullcite] = ACTIONS(7327),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7327),
    [anon_sym_BSLASHcitealt] = ACTIONS(7327),
    [anon_sym_BSLASHcitealp] = ACTIONS(7327),
    [anon_sym_BSLASHcitetext] = ACTIONS(7327),
    [anon_sym_BSLASHparencite] = ACTIONS(7327),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHParencite] = ACTIONS(7327),
    [anon_sym_BSLASHfootcite] = ACTIONS(7327),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7327),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7327),
    [anon_sym_BSLASHtextcite] = ACTIONS(7327),
    [anon_sym_BSLASHTextcite] = ACTIONS(7327),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7327),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7327),
    [anon_sym_BSLASHsupercite] = ACTIONS(7327),
    [anon_sym_BSLASHautocite] = ACTIONS(7327),
    [anon_sym_BSLASHAutocite] = ACTIONS(7327),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHVolcite] = ACTIONS(7327),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHavolcite] = ACTIONS(7327),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHNotecite] = ACTIONS(7327),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHlabel] = ACTIONS(7327),
    [anon_sym_BSLASHref] = ACTIONS(7327),
    [anon_sym_BSLASHeqref] = ACTIONS(7327),
    [anon_sym_BSLASHvref] = ACTIONS(7327),
    [anon_sym_BSLASHVref] = ACTIONS(7327),
    [anon_sym_BSLASHautoref] = ACTIONS(7327),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHpageref] = ACTIONS(7327),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHautopageref] = ACTIONS(7327),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcref] = ACTIONS(7327),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCref] = ACTIONS(7327),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcpageref] = ACTIONS(7327),
    [anon_sym_BSLASHCpageref] = ACTIONS(7327),
    [anon_sym_BSLASHnamecref] = ACTIONS(7327),
    [anon_sym_BSLASHnameCref] = ACTIONS(7327),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7327),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7327),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7327),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7327),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7327),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7327),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7327),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7327),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7327),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7327),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7327),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHdef] = ACTIONS(7327),
    [anon_sym_BSLASHgdef] = ACTIONS(7327),
    [anon_sym_BSLASHedef] = ACTIONS(7327),
    [anon_sym_BSLASHxdef] = ACTIONS(7327),
    [anon_sym_BSLASHlet] = ACTIONS(7327),
    [anon_sym_BSLASHglet] = ACTIONS(7327),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7327),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7327),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7327),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7327),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7327),
    [anon_sym_BSLASHgls] = ACTIONS(7327),
    [anon_sym_BSLASHGls] = ACTIONS(7327),
    [anon_sym_BSLASHGLS] = ACTIONS(7327),
    [anon_sym_BSLASHglspl] = ACTIONS(7327),
    [anon_sym_BSLASHGlspl] = ACTIONS(7327),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7327),
    [anon_sym_BSLASHglslink] = ACTIONS(7327),
    [anon_sym_BSLASHglstext] = ACTIONS(7327),
    [anon_sym_BSLASHGlstext] = ACTIONS(7327),
    [anon_sym_BSLASHGLStext] = ACTIONS(7327),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7327),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7327),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7327),
    [anon_sym_BSLASHglsplural] = ACTIONS(7327),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7327),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7327),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHglsname] = ACTIONS(7327),
    [anon_sym_BSLASHGlsname] = ACTIONS(7327),
    [anon_sym_BSLASHGLSname] = ACTIONS(7327),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7327),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7327),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7327),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7327),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7327),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7327),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7327),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7327),
    [anon_sym_BSLASHacrshort] = ACTIONS(7327),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7327),
    [anon_sym_BSLASHACRshort] = ACTIONS(7327),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHacrlong] = ACTIONS(7327),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7327),
    [anon_sym_BSLASHACRlong] = ACTIONS(7327),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHacrfull] = ACTIONS(7327),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7327),
    [anon_sym_BSLASHACRfull] = ACTIONS(7327),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHacs] = ACTIONS(7327),
    [anon_sym_BSLASHAcs] = ACTIONS(7327),
    [anon_sym_BSLASHacsp] = ACTIONS(7327),
    [anon_sym_BSLASHAcsp] = ACTIONS(7327),
    [anon_sym_BSLASHacl] = ACTIONS(7327),
    [anon_sym_BSLASHAcl] = ACTIONS(7327),
    [anon_sym_BSLASHaclp] = ACTIONS(7327),
    [anon_sym_BSLASHAclp] = ACTIONS(7327),
    [anon_sym_BSLASHacf] = ACTIONS(7327),
    [anon_sym_BSLASHAcf] = ACTIONS(7327),
    [anon_sym_BSLASHacfp] = ACTIONS(7327),
    [anon_sym_BSLASHAcfp] = ACTIONS(7327),
    [anon_sym_BSLASHac] = ACTIONS(7327),
    [anon_sym_BSLASHAc] = ACTIONS(7327),
    [anon_sym_BSLASHacp] = ACTIONS(7327),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7327),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7327),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7327),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7327),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7327),
    [anon_sym_BSLASHcolor] = ACTIONS(7327),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7327),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7327),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7327),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7327),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7327),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7327),
    [anon_sym_BSLASHurl] = ACTIONS(7327),
    [anon_sym_BSLASHhref] = ACTIONS(7327),
  },
  [1847] = {
    [sym_command_name] = ACTIONS(7331),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7331),
    [anon_sym_LBRACK] = ACTIONS(7333),
    [anon_sym_RBRACK] = ACTIONS(7333),
    [anon_sym_COMMA] = ACTIONS(7333),
    [anon_sym_EQ] = ACTIONS(7333),
    [anon_sym_LPAREN] = ACTIONS(7333),
    [anon_sym_RPAREN] = ACTIONS(7333),
    [anon_sym_LBRACE] = ACTIONS(7333),
    [sym_word] = ACTIONS(7331),
    [sym_placeholder] = ACTIONS(7333),
    [sym_delimiter] = ACTIONS(7333),
    [anon_sym_PLUS] = ACTIONS(7333),
    [anon_sym_DASH] = ACTIONS(7333),
    [anon_sym_STAR] = ACTIONS(7333),
    [anon_sym_SLASH] = ACTIONS(7333),
    [anon_sym_LT] = ACTIONS(7331),
    [anon_sym_GT] = ACTIONS(7331),
    [anon_sym_BANG] = ACTIONS(7331),
    [anon_sym_PIPE] = ACTIONS(7331),
    [anon_sym_COLON] = ACTIONS(7331),
    [anon_sym_SQUOTE] = ACTIONS(7331),
    [anon_sym__] = ACTIONS(7333),
    [anon_sym_CARET] = ACTIONS(7333),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7333),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7333),
    [anon_sym_DOLLAR] = ACTIONS(7331),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7333),
    [anon_sym_BSLASHleft] = ACTIONS(7331),
    [anon_sym_BSLASHbigl] = ACTIONS(7331),
    [anon_sym_BSLASHBigl] = ACTIONS(7331),
    [anon_sym_BSLASHbiggl] = ACTIONS(7331),
    [anon_sym_BSLASHBiggl] = ACTIONS(7331),
    [anon_sym_BSLASHtext] = ACTIONS(7331),
    [anon_sym_BSLASHintertext] = ACTIONS(7331),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7331),
    [anon_sym_BSLASHbegin] = ACTIONS(7331),
    [anon_sym_BSLASHtitle] = ACTIONS(7331),
    [anon_sym_BSLASHauthor] = ACTIONS(7331),
    [anon_sym_BSLASHusepackage] = ACTIONS(7331),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7331),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7331),
    [anon_sym_BSLASHinclude] = ACTIONS(7331),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7331),
    [anon_sym_BSLASHinput] = ACTIONS(7331),
    [anon_sym_BSLASHsubfile] = ACTIONS(7331),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7331),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7331),
    [anon_sym_BSLASHbibliography] = ACTIONS(7331),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7331),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7331),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7331),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7331),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7331),
    [anon_sym_BSLASHimport] = ACTIONS(7331),
    [anon_sym_BSLASHsubimport] = ACTIONS(7331),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7331),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7331),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7331),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7331),
    [anon_sym_BSLASHcaption] = ACTIONS(7331),
    [anon_sym_BSLASHcite] = ACTIONS(7331),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCite] = ACTIONS(7331),
    [anon_sym_BSLASHnocite] = ACTIONS(7331),
    [anon_sym_BSLASHcitet] = ACTIONS(7331),
    [anon_sym_BSLASHcitep] = ACTIONS(7331),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteA] = ACTIONS(7331),
    [anon_sym_BSLASHciteR] = ACTIONS(7331),
    [anon_sym_BSLASHciteS] = ACTIONS(7331),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7331),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7331),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7331),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7331),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteyear] = ACTIONS(7331),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitedate] = ACTIONS(7331),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteurl] = ACTIONS(7331),
    [anon_sym_BSLASHfullcite] = ACTIONS(7331),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7331),
    [anon_sym_BSLASHcitealt] = ACTIONS(7331),
    [anon_sym_BSLASHcitealp] = ACTIONS(7331),
    [anon_sym_BSLASHcitetext] = ACTIONS(7331),
    [anon_sym_BSLASHparencite] = ACTIONS(7331),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHParencite] = ACTIONS(7331),
    [anon_sym_BSLASHfootcite] = ACTIONS(7331),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7331),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7331),
    [anon_sym_BSLASHtextcite] = ACTIONS(7331),
    [anon_sym_BSLASHTextcite] = ACTIONS(7331),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7331),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7331),
    [anon_sym_BSLASHsupercite] = ACTIONS(7331),
    [anon_sym_BSLASHautocite] = ACTIONS(7331),
    [anon_sym_BSLASHAutocite] = ACTIONS(7331),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHVolcite] = ACTIONS(7331),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHavolcite] = ACTIONS(7331),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHNotecite] = ACTIONS(7331),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHlabel] = ACTIONS(7331),
    [anon_sym_BSLASHref] = ACTIONS(7331),
    [anon_sym_BSLASHeqref] = ACTIONS(7331),
    [anon_sym_BSLASHvref] = ACTIONS(7331),
    [anon_sym_BSLASHVref] = ACTIONS(7331),
    [anon_sym_BSLASHautoref] = ACTIONS(7331),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHpageref] = ACTIONS(7331),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHautopageref] = ACTIONS(7331),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcref] = ACTIONS(7331),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCref] = ACTIONS(7331),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcpageref] = ACTIONS(7331),
    [anon_sym_BSLASHCpageref] = ACTIONS(7331),
    [anon_sym_BSLASHnamecref] = ACTIONS(7331),
    [anon_sym_BSLASHnameCref] = ACTIONS(7331),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7331),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7331),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7331),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7331),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7331),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7331),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7331),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7331),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7331),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7331),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7331),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHdef] = ACTIONS(7331),
    [anon_sym_BSLASHgdef] = ACTIONS(7331),
    [anon_sym_BSLASHedef] = ACTIONS(7331),
    [anon_sym_BSLASHxdef] = ACTIONS(7331),
    [anon_sym_BSLASHlet] = ACTIONS(7331),
    [anon_sym_BSLASHglet] = ACTIONS(7331),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7331),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7331),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7331),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7331),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7331),
    [anon_sym_BSLASHgls] = ACTIONS(7331),
    [anon_sym_BSLASHGls] = ACTIONS(7331),
    [anon_sym_BSLASHGLS] = ACTIONS(7331),
    [anon_sym_BSLASHglspl] = ACTIONS(7331),
    [anon_sym_BSLASHGlspl] = ACTIONS(7331),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7331),
    [anon_sym_BSLASHglslink] = ACTIONS(7331),
    [anon_sym_BSLASHglstext] = ACTIONS(7331),
    [anon_sym_BSLASHGlstext] = ACTIONS(7331),
    [anon_sym_BSLASHGLStext] = ACTIONS(7331),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7331),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7331),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7331),
    [anon_sym_BSLASHglsplural] = ACTIONS(7331),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7331),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7331),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHglsname] = ACTIONS(7331),
    [anon_sym_BSLASHGlsname] = ACTIONS(7331),
    [anon_sym_BSLASHGLSname] = ACTIONS(7331),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7331),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7331),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7331),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7331),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7331),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7331),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7331),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7331),
    [anon_sym_BSLASHacrshort] = ACTIONS(7331),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7331),
    [anon_sym_BSLASHACRshort] = ACTIONS(7331),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHacrlong] = ACTIONS(7331),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7331),
    [anon_sym_BSLASHACRlong] = ACTIONS(7331),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHacrfull] = ACTIONS(7331),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7331),
    [anon_sym_BSLASHACRfull] = ACTIONS(7331),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHacs] = ACTIONS(7331),
    [anon_sym_BSLASHAcs] = ACTIONS(7331),
    [anon_sym_BSLASHacsp] = ACTIONS(7331),
    [anon_sym_BSLASHAcsp] = ACTIONS(7331),
    [anon_sym_BSLASHacl] = ACTIONS(7331),
    [anon_sym_BSLASHAcl] = ACTIONS(7331),
    [anon_sym_BSLASHaclp] = ACTIONS(7331),
    [anon_sym_BSLASHAclp] = ACTIONS(7331),
    [anon_sym_BSLASHacf] = ACTIONS(7331),
    [anon_sym_BSLASHAcf] = ACTIONS(7331),
    [anon_sym_BSLASHacfp] = ACTIONS(7331),
    [anon_sym_BSLASHAcfp] = ACTIONS(7331),
    [anon_sym_BSLASHac] = ACTIONS(7331),
    [anon_sym_BSLASHAc] = ACTIONS(7331),
    [anon_sym_BSLASHacp] = ACTIONS(7331),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7331),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7331),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7331),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7331),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7331),
    [anon_sym_BSLASHcolor] = ACTIONS(7331),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7331),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7331),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7331),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7331),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7331),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7331),
    [anon_sym_BSLASHurl] = ACTIONS(7331),
    [anon_sym_BSLASHhref] = ACTIONS(7331),
  },
  [1848] = {
    [sym_command_name] = ACTIONS(7335),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7335),
    [anon_sym_LBRACK] = ACTIONS(7337),
    [anon_sym_RBRACK] = ACTIONS(7337),
    [anon_sym_COMMA] = ACTIONS(7337),
    [anon_sym_EQ] = ACTIONS(7337),
    [anon_sym_LPAREN] = ACTIONS(7337),
    [anon_sym_RPAREN] = ACTIONS(7337),
    [anon_sym_LBRACE] = ACTIONS(7337),
    [sym_word] = ACTIONS(7335),
    [sym_placeholder] = ACTIONS(7337),
    [sym_delimiter] = ACTIONS(7337),
    [anon_sym_PLUS] = ACTIONS(7337),
    [anon_sym_DASH] = ACTIONS(7337),
    [anon_sym_STAR] = ACTIONS(7337),
    [anon_sym_SLASH] = ACTIONS(7337),
    [anon_sym_LT] = ACTIONS(7335),
    [anon_sym_GT] = ACTIONS(7335),
    [anon_sym_BANG] = ACTIONS(7335),
    [anon_sym_PIPE] = ACTIONS(7335),
    [anon_sym_COLON] = ACTIONS(7335),
    [anon_sym_SQUOTE] = ACTIONS(7335),
    [anon_sym__] = ACTIONS(7337),
    [anon_sym_CARET] = ACTIONS(7337),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7337),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7337),
    [anon_sym_DOLLAR] = ACTIONS(7335),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7337),
    [anon_sym_BSLASHleft] = ACTIONS(7335),
    [anon_sym_BSLASHbigl] = ACTIONS(7335),
    [anon_sym_BSLASHBigl] = ACTIONS(7335),
    [anon_sym_BSLASHbiggl] = ACTIONS(7335),
    [anon_sym_BSLASHBiggl] = ACTIONS(7335),
    [anon_sym_BSLASHtext] = ACTIONS(7335),
    [anon_sym_BSLASHintertext] = ACTIONS(7335),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7335),
    [anon_sym_BSLASHbegin] = ACTIONS(7335),
    [anon_sym_BSLASHtitle] = ACTIONS(7335),
    [anon_sym_BSLASHauthor] = ACTIONS(7335),
    [anon_sym_BSLASHusepackage] = ACTIONS(7335),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7335),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7335),
    [anon_sym_BSLASHinclude] = ACTIONS(7335),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7335),
    [anon_sym_BSLASHinput] = ACTIONS(7335),
    [anon_sym_BSLASHsubfile] = ACTIONS(7335),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7335),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7335),
    [anon_sym_BSLASHbibliography] = ACTIONS(7335),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7335),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7335),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7335),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7335),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7335),
    [anon_sym_BSLASHimport] = ACTIONS(7335),
    [anon_sym_BSLASHsubimport] = ACTIONS(7335),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7335),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7335),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7335),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7335),
    [anon_sym_BSLASHcaption] = ACTIONS(7335),
    [anon_sym_BSLASHcite] = ACTIONS(7335),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCite] = ACTIONS(7335),
    [anon_sym_BSLASHnocite] = ACTIONS(7335),
    [anon_sym_BSLASHcitet] = ACTIONS(7335),
    [anon_sym_BSLASHcitep] = ACTIONS(7335),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteA] = ACTIONS(7335),
    [anon_sym_BSLASHciteR] = ACTIONS(7335),
    [anon_sym_BSLASHciteS] = ACTIONS(7335),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7335),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7335),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7335),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7335),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteyear] = ACTIONS(7335),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitedate] = ACTIONS(7335),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteurl] = ACTIONS(7335),
    [anon_sym_BSLASHfullcite] = ACTIONS(7335),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7335),
    [anon_sym_BSLASHcitealt] = ACTIONS(7335),
    [anon_sym_BSLASHcitealp] = ACTIONS(7335),
    [anon_sym_BSLASHcitetext] = ACTIONS(7335),
    [anon_sym_BSLASHparencite] = ACTIONS(7335),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHParencite] = ACTIONS(7335),
    [anon_sym_BSLASHfootcite] = ACTIONS(7335),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7335),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7335),
    [anon_sym_BSLASHtextcite] = ACTIONS(7335),
    [anon_sym_BSLASHTextcite] = ACTIONS(7335),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7335),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7335),
    [anon_sym_BSLASHsupercite] = ACTIONS(7335),
    [anon_sym_BSLASHautocite] = ACTIONS(7335),
    [anon_sym_BSLASHAutocite] = ACTIONS(7335),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHVolcite] = ACTIONS(7335),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHavolcite] = ACTIONS(7335),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHNotecite] = ACTIONS(7335),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHlabel] = ACTIONS(7335),
    [anon_sym_BSLASHref] = ACTIONS(7335),
    [anon_sym_BSLASHeqref] = ACTIONS(7335),
    [anon_sym_BSLASHvref] = ACTIONS(7335),
    [anon_sym_BSLASHVref] = ACTIONS(7335),
    [anon_sym_BSLASHautoref] = ACTIONS(7335),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHpageref] = ACTIONS(7335),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHautopageref] = ACTIONS(7335),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcref] = ACTIONS(7335),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCref] = ACTIONS(7335),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcpageref] = ACTIONS(7335),
    [anon_sym_BSLASHCpageref] = ACTIONS(7335),
    [anon_sym_BSLASHnamecref] = ACTIONS(7335),
    [anon_sym_BSLASHnameCref] = ACTIONS(7335),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7335),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7335),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7335),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7335),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7335),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7335),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7335),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7335),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7335),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7335),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7335),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHdef] = ACTIONS(7335),
    [anon_sym_BSLASHgdef] = ACTIONS(7335),
    [anon_sym_BSLASHedef] = ACTIONS(7335),
    [anon_sym_BSLASHxdef] = ACTIONS(7335),
    [anon_sym_BSLASHlet] = ACTIONS(7335),
    [anon_sym_BSLASHglet] = ACTIONS(7335),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7335),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7335),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7335),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7335),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7335),
    [anon_sym_BSLASHgls] = ACTIONS(7335),
    [anon_sym_BSLASHGls] = ACTIONS(7335),
    [anon_sym_BSLASHGLS] = ACTIONS(7335),
    [anon_sym_BSLASHglspl] = ACTIONS(7335),
    [anon_sym_BSLASHGlspl] = ACTIONS(7335),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7335),
    [anon_sym_BSLASHglslink] = ACTIONS(7335),
    [anon_sym_BSLASHglstext] = ACTIONS(7335),
    [anon_sym_BSLASHGlstext] = ACTIONS(7335),
    [anon_sym_BSLASHGLStext] = ACTIONS(7335),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7335),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7335),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7335),
    [anon_sym_BSLASHglsplural] = ACTIONS(7335),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7335),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7335),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHglsname] = ACTIONS(7335),
    [anon_sym_BSLASHGlsname] = ACTIONS(7335),
    [anon_sym_BSLASHGLSname] = ACTIONS(7335),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7335),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7335),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7335),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7335),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7335),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7335),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7335),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7335),
    [anon_sym_BSLASHacrshort] = ACTIONS(7335),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7335),
    [anon_sym_BSLASHACRshort] = ACTIONS(7335),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHacrlong] = ACTIONS(7335),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7335),
    [anon_sym_BSLASHACRlong] = ACTIONS(7335),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHacrfull] = ACTIONS(7335),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7335),
    [anon_sym_BSLASHACRfull] = ACTIONS(7335),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHacs] = ACTIONS(7335),
    [anon_sym_BSLASHAcs] = ACTIONS(7335),
    [anon_sym_BSLASHacsp] = ACTIONS(7335),
    [anon_sym_BSLASHAcsp] = ACTIONS(7335),
    [anon_sym_BSLASHacl] = ACTIONS(7335),
    [anon_sym_BSLASHAcl] = ACTIONS(7335),
    [anon_sym_BSLASHaclp] = ACTIONS(7335),
    [anon_sym_BSLASHAclp] = ACTIONS(7335),
    [anon_sym_BSLASHacf] = ACTIONS(7335),
    [anon_sym_BSLASHAcf] = ACTIONS(7335),
    [anon_sym_BSLASHacfp] = ACTIONS(7335),
    [anon_sym_BSLASHAcfp] = ACTIONS(7335),
    [anon_sym_BSLASHac] = ACTIONS(7335),
    [anon_sym_BSLASHAc] = ACTIONS(7335),
    [anon_sym_BSLASHacp] = ACTIONS(7335),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7335),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7335),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7335),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7335),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7335),
    [anon_sym_BSLASHcolor] = ACTIONS(7335),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7335),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7335),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7335),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7335),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7335),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7335),
    [anon_sym_BSLASHurl] = ACTIONS(7335),
    [anon_sym_BSLASHhref] = ACTIONS(7335),
  },
  [1849] = {
    [sym_command_name] = ACTIONS(7339),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7339),
    [anon_sym_LBRACK] = ACTIONS(7341),
    [anon_sym_RBRACK] = ACTIONS(7341),
    [anon_sym_COMMA] = ACTIONS(7341),
    [anon_sym_EQ] = ACTIONS(7341),
    [anon_sym_LPAREN] = ACTIONS(7341),
    [anon_sym_RPAREN] = ACTIONS(7341),
    [anon_sym_LBRACE] = ACTIONS(7341),
    [sym_word] = ACTIONS(7339),
    [sym_placeholder] = ACTIONS(7341),
    [sym_delimiter] = ACTIONS(7341),
    [anon_sym_PLUS] = ACTIONS(7341),
    [anon_sym_DASH] = ACTIONS(7341),
    [anon_sym_STAR] = ACTIONS(7341),
    [anon_sym_SLASH] = ACTIONS(7341),
    [anon_sym_LT] = ACTIONS(7339),
    [anon_sym_GT] = ACTIONS(7339),
    [anon_sym_BANG] = ACTIONS(7339),
    [anon_sym_PIPE] = ACTIONS(7339),
    [anon_sym_COLON] = ACTIONS(7339),
    [anon_sym_SQUOTE] = ACTIONS(7339),
    [anon_sym__] = ACTIONS(7341),
    [anon_sym_CARET] = ACTIONS(7341),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7341),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7341),
    [anon_sym_DOLLAR] = ACTIONS(7339),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7341),
    [anon_sym_BSLASHleft] = ACTIONS(7339),
    [anon_sym_BSLASHbigl] = ACTIONS(7339),
    [anon_sym_BSLASHBigl] = ACTIONS(7339),
    [anon_sym_BSLASHbiggl] = ACTIONS(7339),
    [anon_sym_BSLASHBiggl] = ACTIONS(7339),
    [anon_sym_BSLASHtext] = ACTIONS(7339),
    [anon_sym_BSLASHintertext] = ACTIONS(7339),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7339),
    [anon_sym_BSLASHbegin] = ACTIONS(7339),
    [anon_sym_BSLASHtitle] = ACTIONS(7339),
    [anon_sym_BSLASHauthor] = ACTIONS(7339),
    [anon_sym_BSLASHusepackage] = ACTIONS(7339),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7339),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7339),
    [anon_sym_BSLASHinclude] = ACTIONS(7339),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7339),
    [anon_sym_BSLASHinput] = ACTIONS(7339),
    [anon_sym_BSLASHsubfile] = ACTIONS(7339),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7339),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7339),
    [anon_sym_BSLASHbibliography] = ACTIONS(7339),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7339),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7339),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7339),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7339),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7339),
    [anon_sym_BSLASHimport] = ACTIONS(7339),
    [anon_sym_BSLASHsubimport] = ACTIONS(7339),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7339),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7339),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7339),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7339),
    [anon_sym_BSLASHcaption] = ACTIONS(7339),
    [anon_sym_BSLASHcite] = ACTIONS(7339),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCite] = ACTIONS(7339),
    [anon_sym_BSLASHnocite] = ACTIONS(7339),
    [anon_sym_BSLASHcitet] = ACTIONS(7339),
    [anon_sym_BSLASHcitep] = ACTIONS(7339),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteA] = ACTIONS(7339),
    [anon_sym_BSLASHciteR] = ACTIONS(7339),
    [anon_sym_BSLASHciteS] = ACTIONS(7339),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7339),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7339),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7339),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7339),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteyear] = ACTIONS(7339),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitedate] = ACTIONS(7339),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteurl] = ACTIONS(7339),
    [anon_sym_BSLASHfullcite] = ACTIONS(7339),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7339),
    [anon_sym_BSLASHcitealt] = ACTIONS(7339),
    [anon_sym_BSLASHcitealp] = ACTIONS(7339),
    [anon_sym_BSLASHcitetext] = ACTIONS(7339),
    [anon_sym_BSLASHparencite] = ACTIONS(7339),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHParencite] = ACTIONS(7339),
    [anon_sym_BSLASHfootcite] = ACTIONS(7339),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7339),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7339),
    [anon_sym_BSLASHtextcite] = ACTIONS(7339),
    [anon_sym_BSLASHTextcite] = ACTIONS(7339),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7339),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7339),
    [anon_sym_BSLASHsupercite] = ACTIONS(7339),
    [anon_sym_BSLASHautocite] = ACTIONS(7339),
    [anon_sym_BSLASHAutocite] = ACTIONS(7339),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHVolcite] = ACTIONS(7339),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHavolcite] = ACTIONS(7339),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHNotecite] = ACTIONS(7339),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHlabel] = ACTIONS(7339),
    [anon_sym_BSLASHref] = ACTIONS(7339),
    [anon_sym_BSLASHeqref] = ACTIONS(7339),
    [anon_sym_BSLASHvref] = ACTIONS(7339),
    [anon_sym_BSLASHVref] = ACTIONS(7339),
    [anon_sym_BSLASHautoref] = ACTIONS(7339),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHpageref] = ACTIONS(7339),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHautopageref] = ACTIONS(7339),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcref] = ACTIONS(7339),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCref] = ACTIONS(7339),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcpageref] = ACTIONS(7339),
    [anon_sym_BSLASHCpageref] = ACTIONS(7339),
    [anon_sym_BSLASHnamecref] = ACTIONS(7339),
    [anon_sym_BSLASHnameCref] = ACTIONS(7339),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7339),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7339),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7339),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7339),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7339),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7339),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7339),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7339),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7339),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7339),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7339),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHdef] = ACTIONS(7339),
    [anon_sym_BSLASHgdef] = ACTIONS(7339),
    [anon_sym_BSLASHedef] = ACTIONS(7339),
    [anon_sym_BSLASHxdef] = ACTIONS(7339),
    [anon_sym_BSLASHlet] = ACTIONS(7339),
    [anon_sym_BSLASHglet] = ACTIONS(7339),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7339),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7339),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7339),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7339),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7339),
    [anon_sym_BSLASHgls] = ACTIONS(7339),
    [anon_sym_BSLASHGls] = ACTIONS(7339),
    [anon_sym_BSLASHGLS] = ACTIONS(7339),
    [anon_sym_BSLASHglspl] = ACTIONS(7339),
    [anon_sym_BSLASHGlspl] = ACTIONS(7339),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7339),
    [anon_sym_BSLASHglslink] = ACTIONS(7339),
    [anon_sym_BSLASHglstext] = ACTIONS(7339),
    [anon_sym_BSLASHGlstext] = ACTIONS(7339),
    [anon_sym_BSLASHGLStext] = ACTIONS(7339),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7339),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7339),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7339),
    [anon_sym_BSLASHglsplural] = ACTIONS(7339),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7339),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7339),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHglsname] = ACTIONS(7339),
    [anon_sym_BSLASHGlsname] = ACTIONS(7339),
    [anon_sym_BSLASHGLSname] = ACTIONS(7339),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7339),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7339),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7339),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7339),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7339),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7339),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7339),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7339),
    [anon_sym_BSLASHacrshort] = ACTIONS(7339),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7339),
    [anon_sym_BSLASHACRshort] = ACTIONS(7339),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHacrlong] = ACTIONS(7339),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7339),
    [anon_sym_BSLASHACRlong] = ACTIONS(7339),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHacrfull] = ACTIONS(7339),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7339),
    [anon_sym_BSLASHACRfull] = ACTIONS(7339),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHacs] = ACTIONS(7339),
    [anon_sym_BSLASHAcs] = ACTIONS(7339),
    [anon_sym_BSLASHacsp] = ACTIONS(7339),
    [anon_sym_BSLASHAcsp] = ACTIONS(7339),
    [anon_sym_BSLASHacl] = ACTIONS(7339),
    [anon_sym_BSLASHAcl] = ACTIONS(7339),
    [anon_sym_BSLASHaclp] = ACTIONS(7339),
    [anon_sym_BSLASHAclp] = ACTIONS(7339),
    [anon_sym_BSLASHacf] = ACTIONS(7339),
    [anon_sym_BSLASHAcf] = ACTIONS(7339),
    [anon_sym_BSLASHacfp] = ACTIONS(7339),
    [anon_sym_BSLASHAcfp] = ACTIONS(7339),
    [anon_sym_BSLASHac] = ACTIONS(7339),
    [anon_sym_BSLASHAc] = ACTIONS(7339),
    [anon_sym_BSLASHacp] = ACTIONS(7339),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7339),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7339),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7339),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7339),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7339),
    [anon_sym_BSLASHcolor] = ACTIONS(7339),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7339),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7339),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7339),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7339),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7339),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7339),
    [anon_sym_BSLASHurl] = ACTIONS(7339),
    [anon_sym_BSLASHhref] = ACTIONS(7339),
  },
  [1850] = {
    [sym_command_name] = ACTIONS(7343),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7343),
    [anon_sym_LBRACK] = ACTIONS(7345),
    [anon_sym_RBRACK] = ACTIONS(7345),
    [anon_sym_COMMA] = ACTIONS(7345),
    [anon_sym_EQ] = ACTIONS(7345),
    [anon_sym_LPAREN] = ACTIONS(7345),
    [anon_sym_RPAREN] = ACTIONS(7345),
    [anon_sym_LBRACE] = ACTIONS(7345),
    [sym_word] = ACTIONS(7343),
    [sym_placeholder] = ACTIONS(7345),
    [sym_delimiter] = ACTIONS(7345),
    [anon_sym_PLUS] = ACTIONS(7345),
    [anon_sym_DASH] = ACTIONS(7345),
    [anon_sym_STAR] = ACTIONS(7345),
    [anon_sym_SLASH] = ACTIONS(7345),
    [anon_sym_LT] = ACTIONS(7343),
    [anon_sym_GT] = ACTIONS(7343),
    [anon_sym_BANG] = ACTIONS(7343),
    [anon_sym_PIPE] = ACTIONS(7343),
    [anon_sym_COLON] = ACTIONS(7343),
    [anon_sym_SQUOTE] = ACTIONS(7343),
    [anon_sym__] = ACTIONS(7345),
    [anon_sym_CARET] = ACTIONS(7345),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7345),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7345),
    [anon_sym_DOLLAR] = ACTIONS(7343),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7345),
    [anon_sym_BSLASHleft] = ACTIONS(7343),
    [anon_sym_BSLASHbigl] = ACTIONS(7343),
    [anon_sym_BSLASHBigl] = ACTIONS(7343),
    [anon_sym_BSLASHbiggl] = ACTIONS(7343),
    [anon_sym_BSLASHBiggl] = ACTIONS(7343),
    [anon_sym_BSLASHtext] = ACTIONS(7343),
    [anon_sym_BSLASHintertext] = ACTIONS(7343),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7343),
    [anon_sym_BSLASHbegin] = ACTIONS(7343),
    [anon_sym_BSLASHtitle] = ACTIONS(7343),
    [anon_sym_BSLASHauthor] = ACTIONS(7343),
    [anon_sym_BSLASHusepackage] = ACTIONS(7343),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7343),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7343),
    [anon_sym_BSLASHinclude] = ACTIONS(7343),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7343),
    [anon_sym_BSLASHinput] = ACTIONS(7343),
    [anon_sym_BSLASHsubfile] = ACTIONS(7343),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7343),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7343),
    [anon_sym_BSLASHbibliography] = ACTIONS(7343),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7343),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7343),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7343),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7343),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7343),
    [anon_sym_BSLASHimport] = ACTIONS(7343),
    [anon_sym_BSLASHsubimport] = ACTIONS(7343),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7343),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7343),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7343),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7343),
    [anon_sym_BSLASHcaption] = ACTIONS(7343),
    [anon_sym_BSLASHcite] = ACTIONS(7343),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCite] = ACTIONS(7343),
    [anon_sym_BSLASHnocite] = ACTIONS(7343),
    [anon_sym_BSLASHcitet] = ACTIONS(7343),
    [anon_sym_BSLASHcitep] = ACTIONS(7343),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteA] = ACTIONS(7343),
    [anon_sym_BSLASHciteR] = ACTIONS(7343),
    [anon_sym_BSLASHciteS] = ACTIONS(7343),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7343),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7343),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7343),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7343),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteyear] = ACTIONS(7343),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitedate] = ACTIONS(7343),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteurl] = ACTIONS(7343),
    [anon_sym_BSLASHfullcite] = ACTIONS(7343),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7343),
    [anon_sym_BSLASHcitealt] = ACTIONS(7343),
    [anon_sym_BSLASHcitealp] = ACTIONS(7343),
    [anon_sym_BSLASHcitetext] = ACTIONS(7343),
    [anon_sym_BSLASHparencite] = ACTIONS(7343),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHParencite] = ACTIONS(7343),
    [anon_sym_BSLASHfootcite] = ACTIONS(7343),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7343),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7343),
    [anon_sym_BSLASHtextcite] = ACTIONS(7343),
    [anon_sym_BSLASHTextcite] = ACTIONS(7343),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7343),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7343),
    [anon_sym_BSLASHsupercite] = ACTIONS(7343),
    [anon_sym_BSLASHautocite] = ACTIONS(7343),
    [anon_sym_BSLASHAutocite] = ACTIONS(7343),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHVolcite] = ACTIONS(7343),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHavolcite] = ACTIONS(7343),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHNotecite] = ACTIONS(7343),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHlabel] = ACTIONS(7343),
    [anon_sym_BSLASHref] = ACTIONS(7343),
    [anon_sym_BSLASHeqref] = ACTIONS(7343),
    [anon_sym_BSLASHvref] = ACTIONS(7343),
    [anon_sym_BSLASHVref] = ACTIONS(7343),
    [anon_sym_BSLASHautoref] = ACTIONS(7343),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHpageref] = ACTIONS(7343),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHautopageref] = ACTIONS(7343),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcref] = ACTIONS(7343),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCref] = ACTIONS(7343),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcpageref] = ACTIONS(7343),
    [anon_sym_BSLASHCpageref] = ACTIONS(7343),
    [anon_sym_BSLASHnamecref] = ACTIONS(7343),
    [anon_sym_BSLASHnameCref] = ACTIONS(7343),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7343),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7343),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7343),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7343),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7343),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7343),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7343),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7343),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7343),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7343),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7343),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHdef] = ACTIONS(7343),
    [anon_sym_BSLASHgdef] = ACTIONS(7343),
    [anon_sym_BSLASHedef] = ACTIONS(7343),
    [anon_sym_BSLASHxdef] = ACTIONS(7343),
    [anon_sym_BSLASHlet] = ACTIONS(7343),
    [anon_sym_BSLASHglet] = ACTIONS(7343),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7343),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7343),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7343),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7343),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7343),
    [anon_sym_BSLASHgls] = ACTIONS(7343),
    [anon_sym_BSLASHGls] = ACTIONS(7343),
    [anon_sym_BSLASHGLS] = ACTIONS(7343),
    [anon_sym_BSLASHglspl] = ACTIONS(7343),
    [anon_sym_BSLASHGlspl] = ACTIONS(7343),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7343),
    [anon_sym_BSLASHglslink] = ACTIONS(7343),
    [anon_sym_BSLASHglstext] = ACTIONS(7343),
    [anon_sym_BSLASHGlstext] = ACTIONS(7343),
    [anon_sym_BSLASHGLStext] = ACTIONS(7343),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7343),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7343),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7343),
    [anon_sym_BSLASHglsplural] = ACTIONS(7343),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7343),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7343),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHglsname] = ACTIONS(7343),
    [anon_sym_BSLASHGlsname] = ACTIONS(7343),
    [anon_sym_BSLASHGLSname] = ACTIONS(7343),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7343),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7343),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7343),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7343),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7343),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7343),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7343),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7343),
    [anon_sym_BSLASHacrshort] = ACTIONS(7343),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7343),
    [anon_sym_BSLASHACRshort] = ACTIONS(7343),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHacrlong] = ACTIONS(7343),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7343),
    [anon_sym_BSLASHACRlong] = ACTIONS(7343),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHacrfull] = ACTIONS(7343),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7343),
    [anon_sym_BSLASHACRfull] = ACTIONS(7343),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHacs] = ACTIONS(7343),
    [anon_sym_BSLASHAcs] = ACTIONS(7343),
    [anon_sym_BSLASHacsp] = ACTIONS(7343),
    [anon_sym_BSLASHAcsp] = ACTIONS(7343),
    [anon_sym_BSLASHacl] = ACTIONS(7343),
    [anon_sym_BSLASHAcl] = ACTIONS(7343),
    [anon_sym_BSLASHaclp] = ACTIONS(7343),
    [anon_sym_BSLASHAclp] = ACTIONS(7343),
    [anon_sym_BSLASHacf] = ACTIONS(7343),
    [anon_sym_BSLASHAcf] = ACTIONS(7343),
    [anon_sym_BSLASHacfp] = ACTIONS(7343),
    [anon_sym_BSLASHAcfp] = ACTIONS(7343),
    [anon_sym_BSLASHac] = ACTIONS(7343),
    [anon_sym_BSLASHAc] = ACTIONS(7343),
    [anon_sym_BSLASHacp] = ACTIONS(7343),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7343),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7343),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7343),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7343),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7343),
    [anon_sym_BSLASHcolor] = ACTIONS(7343),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7343),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7343),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7343),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7343),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7343),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7343),
    [anon_sym_BSLASHurl] = ACTIONS(7343),
    [anon_sym_BSLASHhref] = ACTIONS(7343),
  },
  [1851] = {
    [sym_command_name] = ACTIONS(7347),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7347),
    [anon_sym_LBRACK] = ACTIONS(7349),
    [anon_sym_RBRACK] = ACTIONS(7349),
    [anon_sym_COMMA] = ACTIONS(7349),
    [anon_sym_EQ] = ACTIONS(7349),
    [anon_sym_LPAREN] = ACTIONS(7349),
    [anon_sym_RPAREN] = ACTIONS(7349),
    [anon_sym_LBRACE] = ACTIONS(7349),
    [sym_word] = ACTIONS(7347),
    [sym_placeholder] = ACTIONS(7349),
    [sym_delimiter] = ACTIONS(7349),
    [anon_sym_PLUS] = ACTIONS(7349),
    [anon_sym_DASH] = ACTIONS(7349),
    [anon_sym_STAR] = ACTIONS(7349),
    [anon_sym_SLASH] = ACTIONS(7349),
    [anon_sym_LT] = ACTIONS(7347),
    [anon_sym_GT] = ACTIONS(7347),
    [anon_sym_BANG] = ACTIONS(7347),
    [anon_sym_PIPE] = ACTIONS(7347),
    [anon_sym_COLON] = ACTIONS(7347),
    [anon_sym_SQUOTE] = ACTIONS(7347),
    [anon_sym__] = ACTIONS(7349),
    [anon_sym_CARET] = ACTIONS(7349),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7349),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7349),
    [anon_sym_DOLLAR] = ACTIONS(7347),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7349),
    [anon_sym_BSLASHleft] = ACTIONS(7347),
    [anon_sym_BSLASHbigl] = ACTIONS(7347),
    [anon_sym_BSLASHBigl] = ACTIONS(7347),
    [anon_sym_BSLASHbiggl] = ACTIONS(7347),
    [anon_sym_BSLASHBiggl] = ACTIONS(7347),
    [anon_sym_BSLASHtext] = ACTIONS(7347),
    [anon_sym_BSLASHintertext] = ACTIONS(7347),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7347),
    [anon_sym_BSLASHbegin] = ACTIONS(7347),
    [anon_sym_BSLASHtitle] = ACTIONS(7347),
    [anon_sym_BSLASHauthor] = ACTIONS(7347),
    [anon_sym_BSLASHusepackage] = ACTIONS(7347),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7347),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7347),
    [anon_sym_BSLASHinclude] = ACTIONS(7347),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7347),
    [anon_sym_BSLASHinput] = ACTIONS(7347),
    [anon_sym_BSLASHsubfile] = ACTIONS(7347),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7347),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7347),
    [anon_sym_BSLASHbibliography] = ACTIONS(7347),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7347),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7347),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7347),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7347),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7347),
    [anon_sym_BSLASHimport] = ACTIONS(7347),
    [anon_sym_BSLASHsubimport] = ACTIONS(7347),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7347),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7347),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7347),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7347),
    [anon_sym_BSLASHcaption] = ACTIONS(7347),
    [anon_sym_BSLASHcite] = ACTIONS(7347),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCite] = ACTIONS(7347),
    [anon_sym_BSLASHnocite] = ACTIONS(7347),
    [anon_sym_BSLASHcitet] = ACTIONS(7347),
    [anon_sym_BSLASHcitep] = ACTIONS(7347),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteA] = ACTIONS(7347),
    [anon_sym_BSLASHciteR] = ACTIONS(7347),
    [anon_sym_BSLASHciteS] = ACTIONS(7347),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7347),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7347),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7347),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7347),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteyear] = ACTIONS(7347),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitedate] = ACTIONS(7347),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteurl] = ACTIONS(7347),
    [anon_sym_BSLASHfullcite] = ACTIONS(7347),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7347),
    [anon_sym_BSLASHcitealt] = ACTIONS(7347),
    [anon_sym_BSLASHcitealp] = ACTIONS(7347),
    [anon_sym_BSLASHcitetext] = ACTIONS(7347),
    [anon_sym_BSLASHparencite] = ACTIONS(7347),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHParencite] = ACTIONS(7347),
    [anon_sym_BSLASHfootcite] = ACTIONS(7347),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7347),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7347),
    [anon_sym_BSLASHtextcite] = ACTIONS(7347),
    [anon_sym_BSLASHTextcite] = ACTIONS(7347),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7347),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7347),
    [anon_sym_BSLASHsupercite] = ACTIONS(7347),
    [anon_sym_BSLASHautocite] = ACTIONS(7347),
    [anon_sym_BSLASHAutocite] = ACTIONS(7347),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHVolcite] = ACTIONS(7347),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHavolcite] = ACTIONS(7347),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHNotecite] = ACTIONS(7347),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHlabel] = ACTIONS(7347),
    [anon_sym_BSLASHref] = ACTIONS(7347),
    [anon_sym_BSLASHeqref] = ACTIONS(7347),
    [anon_sym_BSLASHvref] = ACTIONS(7347),
    [anon_sym_BSLASHVref] = ACTIONS(7347),
    [anon_sym_BSLASHautoref] = ACTIONS(7347),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHpageref] = ACTIONS(7347),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHautopageref] = ACTIONS(7347),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcref] = ACTIONS(7347),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCref] = ACTIONS(7347),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcpageref] = ACTIONS(7347),
    [anon_sym_BSLASHCpageref] = ACTIONS(7347),
    [anon_sym_BSLASHnamecref] = ACTIONS(7347),
    [anon_sym_BSLASHnameCref] = ACTIONS(7347),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7347),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7347),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7347),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7347),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7347),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7347),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7347),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7347),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7347),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7347),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7347),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHdef] = ACTIONS(7347),
    [anon_sym_BSLASHgdef] = ACTIONS(7347),
    [anon_sym_BSLASHedef] = ACTIONS(7347),
    [anon_sym_BSLASHxdef] = ACTIONS(7347),
    [anon_sym_BSLASHlet] = ACTIONS(7347),
    [anon_sym_BSLASHglet] = ACTIONS(7347),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7347),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7347),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7347),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7347),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7347),
    [anon_sym_BSLASHgls] = ACTIONS(7347),
    [anon_sym_BSLASHGls] = ACTIONS(7347),
    [anon_sym_BSLASHGLS] = ACTIONS(7347),
    [anon_sym_BSLASHglspl] = ACTIONS(7347),
    [anon_sym_BSLASHGlspl] = ACTIONS(7347),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7347),
    [anon_sym_BSLASHglslink] = ACTIONS(7347),
    [anon_sym_BSLASHglstext] = ACTIONS(7347),
    [anon_sym_BSLASHGlstext] = ACTIONS(7347),
    [anon_sym_BSLASHGLStext] = ACTIONS(7347),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7347),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7347),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7347),
    [anon_sym_BSLASHglsplural] = ACTIONS(7347),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7347),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7347),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHglsname] = ACTIONS(7347),
    [anon_sym_BSLASHGlsname] = ACTIONS(7347),
    [anon_sym_BSLASHGLSname] = ACTIONS(7347),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7347),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7347),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7347),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7347),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7347),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7347),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7347),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7347),
    [anon_sym_BSLASHacrshort] = ACTIONS(7347),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7347),
    [anon_sym_BSLASHACRshort] = ACTIONS(7347),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHacrlong] = ACTIONS(7347),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7347),
    [anon_sym_BSLASHACRlong] = ACTIONS(7347),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHacrfull] = ACTIONS(7347),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7347),
    [anon_sym_BSLASHACRfull] = ACTIONS(7347),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHacs] = ACTIONS(7347),
    [anon_sym_BSLASHAcs] = ACTIONS(7347),
    [anon_sym_BSLASHacsp] = ACTIONS(7347),
    [anon_sym_BSLASHAcsp] = ACTIONS(7347),
    [anon_sym_BSLASHacl] = ACTIONS(7347),
    [anon_sym_BSLASHAcl] = ACTIONS(7347),
    [anon_sym_BSLASHaclp] = ACTIONS(7347),
    [anon_sym_BSLASHAclp] = ACTIONS(7347),
    [anon_sym_BSLASHacf] = ACTIONS(7347),
    [anon_sym_BSLASHAcf] = ACTIONS(7347),
    [anon_sym_BSLASHacfp] = ACTIONS(7347),
    [anon_sym_BSLASHAcfp] = ACTIONS(7347),
    [anon_sym_BSLASHac] = ACTIONS(7347),
    [anon_sym_BSLASHAc] = ACTIONS(7347),
    [anon_sym_BSLASHacp] = ACTIONS(7347),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7347),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7347),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7347),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7347),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7347),
    [anon_sym_BSLASHcolor] = ACTIONS(7347),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7347),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7347),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7347),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7347),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7347),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7347),
    [anon_sym_BSLASHurl] = ACTIONS(7347),
    [anon_sym_BSLASHhref] = ACTIONS(7347),
  },
  [1852] = {
    [sym_command_name] = ACTIONS(7351),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7351),
    [anon_sym_LBRACK] = ACTIONS(7353),
    [anon_sym_RBRACK] = ACTIONS(7353),
    [anon_sym_COMMA] = ACTIONS(7353),
    [anon_sym_EQ] = ACTIONS(7353),
    [anon_sym_LPAREN] = ACTIONS(7353),
    [anon_sym_RPAREN] = ACTIONS(7353),
    [anon_sym_LBRACE] = ACTIONS(7353),
    [sym_word] = ACTIONS(7351),
    [sym_placeholder] = ACTIONS(7353),
    [sym_delimiter] = ACTIONS(7353),
    [anon_sym_PLUS] = ACTIONS(7353),
    [anon_sym_DASH] = ACTIONS(7353),
    [anon_sym_STAR] = ACTIONS(7353),
    [anon_sym_SLASH] = ACTIONS(7353),
    [anon_sym_LT] = ACTIONS(7351),
    [anon_sym_GT] = ACTIONS(7351),
    [anon_sym_BANG] = ACTIONS(7351),
    [anon_sym_PIPE] = ACTIONS(7351),
    [anon_sym_COLON] = ACTIONS(7351),
    [anon_sym_SQUOTE] = ACTIONS(7351),
    [anon_sym__] = ACTIONS(7353),
    [anon_sym_CARET] = ACTIONS(7353),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7353),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7353),
    [anon_sym_DOLLAR] = ACTIONS(7351),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7353),
    [anon_sym_BSLASHleft] = ACTIONS(7351),
    [anon_sym_BSLASHbigl] = ACTIONS(7351),
    [anon_sym_BSLASHBigl] = ACTIONS(7351),
    [anon_sym_BSLASHbiggl] = ACTIONS(7351),
    [anon_sym_BSLASHBiggl] = ACTIONS(7351),
    [anon_sym_BSLASHtext] = ACTIONS(7351),
    [anon_sym_BSLASHintertext] = ACTIONS(7351),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7351),
    [anon_sym_BSLASHbegin] = ACTIONS(7351),
    [anon_sym_BSLASHtitle] = ACTIONS(7351),
    [anon_sym_BSLASHauthor] = ACTIONS(7351),
    [anon_sym_BSLASHusepackage] = ACTIONS(7351),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7351),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7351),
    [anon_sym_BSLASHinclude] = ACTIONS(7351),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7351),
    [anon_sym_BSLASHinput] = ACTIONS(7351),
    [anon_sym_BSLASHsubfile] = ACTIONS(7351),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7351),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7351),
    [anon_sym_BSLASHbibliography] = ACTIONS(7351),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7351),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7351),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7351),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7351),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7351),
    [anon_sym_BSLASHimport] = ACTIONS(7351),
    [anon_sym_BSLASHsubimport] = ACTIONS(7351),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7351),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7351),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7351),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7351),
    [anon_sym_BSLASHcaption] = ACTIONS(7351),
    [anon_sym_BSLASHcite] = ACTIONS(7351),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCite] = ACTIONS(7351),
    [anon_sym_BSLASHnocite] = ACTIONS(7351),
    [anon_sym_BSLASHcitet] = ACTIONS(7351),
    [anon_sym_BSLASHcitep] = ACTIONS(7351),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteA] = ACTIONS(7351),
    [anon_sym_BSLASHciteR] = ACTIONS(7351),
    [anon_sym_BSLASHciteS] = ACTIONS(7351),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7351),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7351),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7351),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7351),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteyear] = ACTIONS(7351),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitedate] = ACTIONS(7351),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteurl] = ACTIONS(7351),
    [anon_sym_BSLASHfullcite] = ACTIONS(7351),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7351),
    [anon_sym_BSLASHcitealt] = ACTIONS(7351),
    [anon_sym_BSLASHcitealp] = ACTIONS(7351),
    [anon_sym_BSLASHcitetext] = ACTIONS(7351),
    [anon_sym_BSLASHparencite] = ACTIONS(7351),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHParencite] = ACTIONS(7351),
    [anon_sym_BSLASHfootcite] = ACTIONS(7351),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7351),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7351),
    [anon_sym_BSLASHtextcite] = ACTIONS(7351),
    [anon_sym_BSLASHTextcite] = ACTIONS(7351),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7351),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7351),
    [anon_sym_BSLASHsupercite] = ACTIONS(7351),
    [anon_sym_BSLASHautocite] = ACTIONS(7351),
    [anon_sym_BSLASHAutocite] = ACTIONS(7351),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHVolcite] = ACTIONS(7351),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHavolcite] = ACTIONS(7351),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHNotecite] = ACTIONS(7351),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHlabel] = ACTIONS(7351),
    [anon_sym_BSLASHref] = ACTIONS(7351),
    [anon_sym_BSLASHeqref] = ACTIONS(7351),
    [anon_sym_BSLASHvref] = ACTIONS(7351),
    [anon_sym_BSLASHVref] = ACTIONS(7351),
    [anon_sym_BSLASHautoref] = ACTIONS(7351),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHpageref] = ACTIONS(7351),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHautopageref] = ACTIONS(7351),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcref] = ACTIONS(7351),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCref] = ACTIONS(7351),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcpageref] = ACTIONS(7351),
    [anon_sym_BSLASHCpageref] = ACTIONS(7351),
    [anon_sym_BSLASHnamecref] = ACTIONS(7351),
    [anon_sym_BSLASHnameCref] = ACTIONS(7351),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7351),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7351),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7351),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7351),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7351),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7351),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7351),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7351),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7351),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7351),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7351),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHdef] = ACTIONS(7351),
    [anon_sym_BSLASHgdef] = ACTIONS(7351),
    [anon_sym_BSLASHedef] = ACTIONS(7351),
    [anon_sym_BSLASHxdef] = ACTIONS(7351),
    [anon_sym_BSLASHlet] = ACTIONS(7351),
    [anon_sym_BSLASHglet] = ACTIONS(7351),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7351),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7351),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7351),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7351),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7351),
    [anon_sym_BSLASHgls] = ACTIONS(7351),
    [anon_sym_BSLASHGls] = ACTIONS(7351),
    [anon_sym_BSLASHGLS] = ACTIONS(7351),
    [anon_sym_BSLASHglspl] = ACTIONS(7351),
    [anon_sym_BSLASHGlspl] = ACTIONS(7351),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7351),
    [anon_sym_BSLASHglslink] = ACTIONS(7351),
    [anon_sym_BSLASHglstext] = ACTIONS(7351),
    [anon_sym_BSLASHGlstext] = ACTIONS(7351),
    [anon_sym_BSLASHGLStext] = ACTIONS(7351),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7351),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7351),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7351),
    [anon_sym_BSLASHglsplural] = ACTIONS(7351),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7351),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7351),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHglsname] = ACTIONS(7351),
    [anon_sym_BSLASHGlsname] = ACTIONS(7351),
    [anon_sym_BSLASHGLSname] = ACTIONS(7351),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7351),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7351),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7351),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7351),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7351),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7351),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7351),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7351),
    [anon_sym_BSLASHacrshort] = ACTIONS(7351),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7351),
    [anon_sym_BSLASHACRshort] = ACTIONS(7351),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHacrlong] = ACTIONS(7351),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7351),
    [anon_sym_BSLASHACRlong] = ACTIONS(7351),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHacrfull] = ACTIONS(7351),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7351),
    [anon_sym_BSLASHACRfull] = ACTIONS(7351),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHacs] = ACTIONS(7351),
    [anon_sym_BSLASHAcs] = ACTIONS(7351),
    [anon_sym_BSLASHacsp] = ACTIONS(7351),
    [anon_sym_BSLASHAcsp] = ACTIONS(7351),
    [anon_sym_BSLASHacl] = ACTIONS(7351),
    [anon_sym_BSLASHAcl] = ACTIONS(7351),
    [anon_sym_BSLASHaclp] = ACTIONS(7351),
    [anon_sym_BSLASHAclp] = ACTIONS(7351),
    [anon_sym_BSLASHacf] = ACTIONS(7351),
    [anon_sym_BSLASHAcf] = ACTIONS(7351),
    [anon_sym_BSLASHacfp] = ACTIONS(7351),
    [anon_sym_BSLASHAcfp] = ACTIONS(7351),
    [anon_sym_BSLASHac] = ACTIONS(7351),
    [anon_sym_BSLASHAc] = ACTIONS(7351),
    [anon_sym_BSLASHacp] = ACTIONS(7351),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7351),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7351),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7351),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7351),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7351),
    [anon_sym_BSLASHcolor] = ACTIONS(7351),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7351),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7351),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7351),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7351),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7351),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7351),
    [anon_sym_BSLASHurl] = ACTIONS(7351),
    [anon_sym_BSLASHhref] = ACTIONS(7351),
  },
  [1853] = {
    [sym_command_name] = ACTIONS(7355),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7357),
    [anon_sym_RBRACK] = ACTIONS(7357),
    [anon_sym_COMMA] = ACTIONS(7357),
    [anon_sym_EQ] = ACTIONS(7357),
    [anon_sym_LPAREN] = ACTIONS(7357),
    [anon_sym_RPAREN] = ACTIONS(7357),
    [anon_sym_LBRACE] = ACTIONS(7357),
    [sym_word] = ACTIONS(7355),
    [sym_placeholder] = ACTIONS(7357),
    [sym_delimiter] = ACTIONS(7357),
    [anon_sym_PLUS] = ACTIONS(7357),
    [anon_sym_DASH] = ACTIONS(7357),
    [anon_sym_STAR] = ACTIONS(7357),
    [anon_sym_SLASH] = ACTIONS(7357),
    [anon_sym_LT] = ACTIONS(7355),
    [anon_sym_GT] = ACTIONS(7355),
    [anon_sym_BANG] = ACTIONS(7355),
    [anon_sym_PIPE] = ACTIONS(7355),
    [anon_sym_COLON] = ACTIONS(7355),
    [anon_sym_SQUOTE] = ACTIONS(7355),
    [anon_sym__] = ACTIONS(7357),
    [anon_sym_CARET] = ACTIONS(7357),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7357),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7357),
    [anon_sym_DOLLAR] = ACTIONS(7355),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7357),
    [anon_sym_BSLASHleft] = ACTIONS(7355),
    [anon_sym_BSLASHbigl] = ACTIONS(7355),
    [anon_sym_BSLASHBigl] = ACTIONS(7355),
    [anon_sym_BSLASHbiggl] = ACTIONS(7355),
    [anon_sym_BSLASHBiggl] = ACTIONS(7355),
    [anon_sym_BSLASHtext] = ACTIONS(7355),
    [anon_sym_BSLASHintertext] = ACTIONS(7355),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7355),
    [anon_sym_BSLASHbegin] = ACTIONS(7355),
    [anon_sym_BSLASHtitle] = ACTIONS(7355),
    [anon_sym_BSLASHauthor] = ACTIONS(7355),
    [anon_sym_BSLASHusepackage] = ACTIONS(7355),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7355),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7355),
    [anon_sym_BSLASHinclude] = ACTIONS(7355),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7355),
    [anon_sym_BSLASHinput] = ACTIONS(7355),
    [anon_sym_BSLASHsubfile] = ACTIONS(7355),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7355),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7355),
    [anon_sym_BSLASHbibliography] = ACTIONS(7355),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7355),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7355),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7355),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7355),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7355),
    [anon_sym_BSLASHimport] = ACTIONS(7355),
    [anon_sym_BSLASHsubimport] = ACTIONS(7355),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7355),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7355),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7355),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7355),
    [anon_sym_BSLASHcaption] = ACTIONS(7355),
    [anon_sym_BSLASHcite] = ACTIONS(7355),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCite] = ACTIONS(7355),
    [anon_sym_BSLASHnocite] = ACTIONS(7355),
    [anon_sym_BSLASHcitet] = ACTIONS(7355),
    [anon_sym_BSLASHcitep] = ACTIONS(7355),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteA] = ACTIONS(7355),
    [anon_sym_BSLASHciteR] = ACTIONS(7355),
    [anon_sym_BSLASHciteS] = ACTIONS(7355),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7355),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7355),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7355),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7355),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteyear] = ACTIONS(7355),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitedate] = ACTIONS(7355),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteurl] = ACTIONS(7355),
    [anon_sym_BSLASHfullcite] = ACTIONS(7355),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7355),
    [anon_sym_BSLASHcitealt] = ACTIONS(7355),
    [anon_sym_BSLASHcitealp] = ACTIONS(7355),
    [anon_sym_BSLASHcitetext] = ACTIONS(7355),
    [anon_sym_BSLASHparencite] = ACTIONS(7355),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHParencite] = ACTIONS(7355),
    [anon_sym_BSLASHfootcite] = ACTIONS(7355),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7355),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7355),
    [anon_sym_BSLASHtextcite] = ACTIONS(7355),
    [anon_sym_BSLASHTextcite] = ACTIONS(7355),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7355),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7355),
    [anon_sym_BSLASHsupercite] = ACTIONS(7355),
    [anon_sym_BSLASHautocite] = ACTIONS(7355),
    [anon_sym_BSLASHAutocite] = ACTIONS(7355),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHVolcite] = ACTIONS(7355),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHavolcite] = ACTIONS(7355),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHNotecite] = ACTIONS(7355),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHlabel] = ACTIONS(7355),
    [anon_sym_BSLASHref] = ACTIONS(7355),
    [anon_sym_BSLASHeqref] = ACTIONS(7355),
    [anon_sym_BSLASHvref] = ACTIONS(7355),
    [anon_sym_BSLASHVref] = ACTIONS(7355),
    [anon_sym_BSLASHautoref] = ACTIONS(7355),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHpageref] = ACTIONS(7355),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHautopageref] = ACTIONS(7355),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcref] = ACTIONS(7355),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCref] = ACTIONS(7355),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcpageref] = ACTIONS(7355),
    [anon_sym_BSLASHCpageref] = ACTIONS(7355),
    [anon_sym_BSLASHnamecref] = ACTIONS(7355),
    [anon_sym_BSLASHnameCref] = ACTIONS(7355),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7355),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7355),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7355),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7355),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7355),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7355),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7355),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7355),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7355),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7355),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7355),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHdef] = ACTIONS(7355),
    [anon_sym_BSLASHgdef] = ACTIONS(7355),
    [anon_sym_BSLASHedef] = ACTIONS(7355),
    [anon_sym_BSLASHxdef] = ACTIONS(7355),
    [anon_sym_BSLASHlet] = ACTIONS(7355),
    [anon_sym_BSLASHglet] = ACTIONS(7355),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7355),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7355),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7355),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7355),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7355),
    [anon_sym_BSLASHgls] = ACTIONS(7355),
    [anon_sym_BSLASHGls] = ACTIONS(7355),
    [anon_sym_BSLASHGLS] = ACTIONS(7355),
    [anon_sym_BSLASHglspl] = ACTIONS(7355),
    [anon_sym_BSLASHGlspl] = ACTIONS(7355),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7355),
    [anon_sym_BSLASHglslink] = ACTIONS(7355),
    [anon_sym_BSLASHglstext] = ACTIONS(7355),
    [anon_sym_BSLASHGlstext] = ACTIONS(7355),
    [anon_sym_BSLASHGLStext] = ACTIONS(7355),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7355),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7355),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7355),
    [anon_sym_BSLASHglsplural] = ACTIONS(7355),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7355),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7355),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHglsname] = ACTIONS(7355),
    [anon_sym_BSLASHGlsname] = ACTIONS(7355),
    [anon_sym_BSLASHGLSname] = ACTIONS(7355),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7355),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7355),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7355),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7355),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7355),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7355),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7355),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7355),
    [anon_sym_BSLASHacrshort] = ACTIONS(7355),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7355),
    [anon_sym_BSLASHACRshort] = ACTIONS(7355),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHacrlong] = ACTIONS(7355),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7355),
    [anon_sym_BSLASHACRlong] = ACTIONS(7355),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHacrfull] = ACTIONS(7355),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7355),
    [anon_sym_BSLASHACRfull] = ACTIONS(7355),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHacs] = ACTIONS(7355),
    [anon_sym_BSLASHAcs] = ACTIONS(7355),
    [anon_sym_BSLASHacsp] = ACTIONS(7355),
    [anon_sym_BSLASHAcsp] = ACTIONS(7355),
    [anon_sym_BSLASHacl] = ACTIONS(7355),
    [anon_sym_BSLASHAcl] = ACTIONS(7355),
    [anon_sym_BSLASHaclp] = ACTIONS(7355),
    [anon_sym_BSLASHAclp] = ACTIONS(7355),
    [anon_sym_BSLASHacf] = ACTIONS(7355),
    [anon_sym_BSLASHAcf] = ACTIONS(7355),
    [anon_sym_BSLASHacfp] = ACTIONS(7355),
    [anon_sym_BSLASHAcfp] = ACTIONS(7355),
    [anon_sym_BSLASHac] = ACTIONS(7355),
    [anon_sym_BSLASHAc] = ACTIONS(7355),
    [anon_sym_BSLASHacp] = ACTIONS(7355),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7355),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7355),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7355),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7355),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7355),
    [anon_sym_BSLASHcolor] = ACTIONS(7355),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7355),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7355),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7355),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7355),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7355),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7355),
    [anon_sym_BSLASHurl] = ACTIONS(7355),
    [anon_sym_BSLASHhref] = ACTIONS(7355),
  },
  [1854] = {
    [sym_command_name] = ACTIONS(7359),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7359),
    [anon_sym_LBRACK] = ACTIONS(7361),
    [anon_sym_RBRACK] = ACTIONS(7361),
    [anon_sym_COMMA] = ACTIONS(7361),
    [anon_sym_EQ] = ACTIONS(7361),
    [anon_sym_LPAREN] = ACTIONS(7361),
    [anon_sym_RPAREN] = ACTIONS(7361),
    [anon_sym_LBRACE] = ACTIONS(7361),
    [sym_word] = ACTIONS(7359),
    [sym_placeholder] = ACTIONS(7361),
    [sym_delimiter] = ACTIONS(7361),
    [anon_sym_PLUS] = ACTIONS(7361),
    [anon_sym_DASH] = ACTIONS(7361),
    [anon_sym_STAR] = ACTIONS(7361),
    [anon_sym_SLASH] = ACTIONS(7361),
    [anon_sym_LT] = ACTIONS(7359),
    [anon_sym_GT] = ACTIONS(7359),
    [anon_sym_BANG] = ACTIONS(7359),
    [anon_sym_PIPE] = ACTIONS(7359),
    [anon_sym_COLON] = ACTIONS(7359),
    [anon_sym_SQUOTE] = ACTIONS(7359),
    [anon_sym__] = ACTIONS(7361),
    [anon_sym_CARET] = ACTIONS(7361),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7361),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7361),
    [anon_sym_DOLLAR] = ACTIONS(7359),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7361),
    [anon_sym_BSLASHleft] = ACTIONS(7359),
    [anon_sym_BSLASHbigl] = ACTIONS(7359),
    [anon_sym_BSLASHBigl] = ACTIONS(7359),
    [anon_sym_BSLASHbiggl] = ACTIONS(7359),
    [anon_sym_BSLASHBiggl] = ACTIONS(7359),
    [anon_sym_BSLASHtext] = ACTIONS(7359),
    [anon_sym_BSLASHintertext] = ACTIONS(7359),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7359),
    [anon_sym_BSLASHbegin] = ACTIONS(7359),
    [anon_sym_BSLASHtitle] = ACTIONS(7359),
    [anon_sym_BSLASHauthor] = ACTIONS(7359),
    [anon_sym_BSLASHusepackage] = ACTIONS(7359),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7359),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7359),
    [anon_sym_BSLASHinclude] = ACTIONS(7359),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7359),
    [anon_sym_BSLASHinput] = ACTIONS(7359),
    [anon_sym_BSLASHsubfile] = ACTIONS(7359),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7359),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7359),
    [anon_sym_BSLASHbibliography] = ACTIONS(7359),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7359),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7359),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7359),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7359),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7359),
    [anon_sym_BSLASHimport] = ACTIONS(7359),
    [anon_sym_BSLASHsubimport] = ACTIONS(7359),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7359),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7359),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7359),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7359),
    [anon_sym_BSLASHcaption] = ACTIONS(7359),
    [anon_sym_BSLASHcite] = ACTIONS(7359),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCite] = ACTIONS(7359),
    [anon_sym_BSLASHnocite] = ACTIONS(7359),
    [anon_sym_BSLASHcitet] = ACTIONS(7359),
    [anon_sym_BSLASHcitep] = ACTIONS(7359),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteA] = ACTIONS(7359),
    [anon_sym_BSLASHciteR] = ACTIONS(7359),
    [anon_sym_BSLASHciteS] = ACTIONS(7359),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7359),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7359),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7359),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7359),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteyear] = ACTIONS(7359),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitedate] = ACTIONS(7359),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteurl] = ACTIONS(7359),
    [anon_sym_BSLASHfullcite] = ACTIONS(7359),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7359),
    [anon_sym_BSLASHcitealt] = ACTIONS(7359),
    [anon_sym_BSLASHcitealp] = ACTIONS(7359),
    [anon_sym_BSLASHcitetext] = ACTIONS(7359),
    [anon_sym_BSLASHparencite] = ACTIONS(7359),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHParencite] = ACTIONS(7359),
    [anon_sym_BSLASHfootcite] = ACTIONS(7359),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7359),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7359),
    [anon_sym_BSLASHtextcite] = ACTIONS(7359),
    [anon_sym_BSLASHTextcite] = ACTIONS(7359),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7359),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7359),
    [anon_sym_BSLASHsupercite] = ACTIONS(7359),
    [anon_sym_BSLASHautocite] = ACTIONS(7359),
    [anon_sym_BSLASHAutocite] = ACTIONS(7359),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHVolcite] = ACTIONS(7359),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHavolcite] = ACTIONS(7359),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHNotecite] = ACTIONS(7359),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHlabel] = ACTIONS(7359),
    [anon_sym_BSLASHref] = ACTIONS(7359),
    [anon_sym_BSLASHeqref] = ACTIONS(7359),
    [anon_sym_BSLASHvref] = ACTIONS(7359),
    [anon_sym_BSLASHVref] = ACTIONS(7359),
    [anon_sym_BSLASHautoref] = ACTIONS(7359),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHpageref] = ACTIONS(7359),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHautopageref] = ACTIONS(7359),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcref] = ACTIONS(7359),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCref] = ACTIONS(7359),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcpageref] = ACTIONS(7359),
    [anon_sym_BSLASHCpageref] = ACTIONS(7359),
    [anon_sym_BSLASHnamecref] = ACTIONS(7359),
    [anon_sym_BSLASHnameCref] = ACTIONS(7359),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7359),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7359),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7359),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7359),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7359),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7359),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7359),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7359),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7359),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7359),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7359),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHdef] = ACTIONS(7359),
    [anon_sym_BSLASHgdef] = ACTIONS(7359),
    [anon_sym_BSLASHedef] = ACTIONS(7359),
    [anon_sym_BSLASHxdef] = ACTIONS(7359),
    [anon_sym_BSLASHlet] = ACTIONS(7359),
    [anon_sym_BSLASHglet] = ACTIONS(7359),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7359),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7359),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7359),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7359),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7359),
    [anon_sym_BSLASHgls] = ACTIONS(7359),
    [anon_sym_BSLASHGls] = ACTIONS(7359),
    [anon_sym_BSLASHGLS] = ACTIONS(7359),
    [anon_sym_BSLASHglspl] = ACTIONS(7359),
    [anon_sym_BSLASHGlspl] = ACTIONS(7359),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7359),
    [anon_sym_BSLASHglslink] = ACTIONS(7359),
    [anon_sym_BSLASHglstext] = ACTIONS(7359),
    [anon_sym_BSLASHGlstext] = ACTIONS(7359),
    [anon_sym_BSLASHGLStext] = ACTIONS(7359),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7359),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7359),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7359),
    [anon_sym_BSLASHglsplural] = ACTIONS(7359),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7359),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7359),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHglsname] = ACTIONS(7359),
    [anon_sym_BSLASHGlsname] = ACTIONS(7359),
    [anon_sym_BSLASHGLSname] = ACTIONS(7359),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7359),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7359),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7359),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7359),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7359),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7359),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7359),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7359),
    [anon_sym_BSLASHacrshort] = ACTIONS(7359),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7359),
    [anon_sym_BSLASHACRshort] = ACTIONS(7359),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHacrlong] = ACTIONS(7359),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7359),
    [anon_sym_BSLASHACRlong] = ACTIONS(7359),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHacrfull] = ACTIONS(7359),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7359),
    [anon_sym_BSLASHACRfull] = ACTIONS(7359),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHacs] = ACTIONS(7359),
    [anon_sym_BSLASHAcs] = ACTIONS(7359),
    [anon_sym_BSLASHacsp] = ACTIONS(7359),
    [anon_sym_BSLASHAcsp] = ACTIONS(7359),
    [anon_sym_BSLASHacl] = ACTIONS(7359),
    [anon_sym_BSLASHAcl] = ACTIONS(7359),
    [anon_sym_BSLASHaclp] = ACTIONS(7359),
    [anon_sym_BSLASHAclp] = ACTIONS(7359),
    [anon_sym_BSLASHacf] = ACTIONS(7359),
    [anon_sym_BSLASHAcf] = ACTIONS(7359),
    [anon_sym_BSLASHacfp] = ACTIONS(7359),
    [anon_sym_BSLASHAcfp] = ACTIONS(7359),
    [anon_sym_BSLASHac] = ACTIONS(7359),
    [anon_sym_BSLASHAc] = ACTIONS(7359),
    [anon_sym_BSLASHacp] = ACTIONS(7359),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7359),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7359),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7359),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7359),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7359),
    [anon_sym_BSLASHcolor] = ACTIONS(7359),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7359),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7359),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7359),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7359),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7359),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7359),
    [anon_sym_BSLASHurl] = ACTIONS(7359),
    [anon_sym_BSLASHhref] = ACTIONS(7359),
  },
  [1855] = {
    [sym_command_name] = ACTIONS(7363),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7363),
    [anon_sym_LBRACK] = ACTIONS(7365),
    [anon_sym_RBRACK] = ACTIONS(7365),
    [anon_sym_COMMA] = ACTIONS(7365),
    [anon_sym_EQ] = ACTIONS(7365),
    [anon_sym_LPAREN] = ACTIONS(7365),
    [anon_sym_RPAREN] = ACTIONS(7365),
    [anon_sym_LBRACE] = ACTIONS(7365),
    [sym_word] = ACTIONS(7363),
    [sym_placeholder] = ACTIONS(7365),
    [sym_delimiter] = ACTIONS(7365),
    [anon_sym_PLUS] = ACTIONS(7365),
    [anon_sym_DASH] = ACTIONS(7365),
    [anon_sym_STAR] = ACTIONS(7365),
    [anon_sym_SLASH] = ACTIONS(7365),
    [anon_sym_LT] = ACTIONS(7363),
    [anon_sym_GT] = ACTIONS(7363),
    [anon_sym_BANG] = ACTIONS(7363),
    [anon_sym_PIPE] = ACTIONS(7363),
    [anon_sym_COLON] = ACTIONS(7363),
    [anon_sym_SQUOTE] = ACTIONS(7363),
    [anon_sym__] = ACTIONS(7365),
    [anon_sym_CARET] = ACTIONS(7365),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7365),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7365),
    [anon_sym_DOLLAR] = ACTIONS(7363),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7365),
    [anon_sym_BSLASHleft] = ACTIONS(7363),
    [anon_sym_BSLASHbigl] = ACTIONS(7363),
    [anon_sym_BSLASHBigl] = ACTIONS(7363),
    [anon_sym_BSLASHbiggl] = ACTIONS(7363),
    [anon_sym_BSLASHBiggl] = ACTIONS(7363),
    [anon_sym_BSLASHtext] = ACTIONS(7363),
    [anon_sym_BSLASHintertext] = ACTIONS(7363),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7363),
    [anon_sym_BSLASHbegin] = ACTIONS(7363),
    [anon_sym_BSLASHtitle] = ACTIONS(7363),
    [anon_sym_BSLASHauthor] = ACTIONS(7363),
    [anon_sym_BSLASHusepackage] = ACTIONS(7363),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7363),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7363),
    [anon_sym_BSLASHinclude] = ACTIONS(7363),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7363),
    [anon_sym_BSLASHinput] = ACTIONS(7363),
    [anon_sym_BSLASHsubfile] = ACTIONS(7363),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7363),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7363),
    [anon_sym_BSLASHbibliography] = ACTIONS(7363),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7363),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7363),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7363),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7363),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7363),
    [anon_sym_BSLASHimport] = ACTIONS(7363),
    [anon_sym_BSLASHsubimport] = ACTIONS(7363),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7363),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7363),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7363),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7363),
    [anon_sym_BSLASHcaption] = ACTIONS(7363),
    [anon_sym_BSLASHcite] = ACTIONS(7363),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCite] = ACTIONS(7363),
    [anon_sym_BSLASHnocite] = ACTIONS(7363),
    [anon_sym_BSLASHcitet] = ACTIONS(7363),
    [anon_sym_BSLASHcitep] = ACTIONS(7363),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteA] = ACTIONS(7363),
    [anon_sym_BSLASHciteR] = ACTIONS(7363),
    [anon_sym_BSLASHciteS] = ACTIONS(7363),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7363),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7363),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7363),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7363),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteyear] = ACTIONS(7363),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitedate] = ACTIONS(7363),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteurl] = ACTIONS(7363),
    [anon_sym_BSLASHfullcite] = ACTIONS(7363),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7363),
    [anon_sym_BSLASHcitealt] = ACTIONS(7363),
    [anon_sym_BSLASHcitealp] = ACTIONS(7363),
    [anon_sym_BSLASHcitetext] = ACTIONS(7363),
    [anon_sym_BSLASHparencite] = ACTIONS(7363),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHParencite] = ACTIONS(7363),
    [anon_sym_BSLASHfootcite] = ACTIONS(7363),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7363),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7363),
    [anon_sym_BSLASHtextcite] = ACTIONS(7363),
    [anon_sym_BSLASHTextcite] = ACTIONS(7363),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7363),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7363),
    [anon_sym_BSLASHsupercite] = ACTIONS(7363),
    [anon_sym_BSLASHautocite] = ACTIONS(7363),
    [anon_sym_BSLASHAutocite] = ACTIONS(7363),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHVolcite] = ACTIONS(7363),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHavolcite] = ACTIONS(7363),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHNotecite] = ACTIONS(7363),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHlabel] = ACTIONS(7363),
    [anon_sym_BSLASHref] = ACTIONS(7363),
    [anon_sym_BSLASHeqref] = ACTIONS(7363),
    [anon_sym_BSLASHvref] = ACTIONS(7363),
    [anon_sym_BSLASHVref] = ACTIONS(7363),
    [anon_sym_BSLASHautoref] = ACTIONS(7363),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHpageref] = ACTIONS(7363),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHautopageref] = ACTIONS(7363),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcref] = ACTIONS(7363),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCref] = ACTIONS(7363),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcpageref] = ACTIONS(7363),
    [anon_sym_BSLASHCpageref] = ACTIONS(7363),
    [anon_sym_BSLASHnamecref] = ACTIONS(7363),
    [anon_sym_BSLASHnameCref] = ACTIONS(7363),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7363),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7363),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7363),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7363),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7363),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7363),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7363),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7363),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7363),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7363),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7363),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHdef] = ACTIONS(7363),
    [anon_sym_BSLASHgdef] = ACTIONS(7363),
    [anon_sym_BSLASHedef] = ACTIONS(7363),
    [anon_sym_BSLASHxdef] = ACTIONS(7363),
    [anon_sym_BSLASHlet] = ACTIONS(7363),
    [anon_sym_BSLASHglet] = ACTIONS(7363),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7363),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7363),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7363),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7363),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7363),
    [anon_sym_BSLASHgls] = ACTIONS(7363),
    [anon_sym_BSLASHGls] = ACTIONS(7363),
    [anon_sym_BSLASHGLS] = ACTIONS(7363),
    [anon_sym_BSLASHglspl] = ACTIONS(7363),
    [anon_sym_BSLASHGlspl] = ACTIONS(7363),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7363),
    [anon_sym_BSLASHglslink] = ACTIONS(7363),
    [anon_sym_BSLASHglstext] = ACTIONS(7363),
    [anon_sym_BSLASHGlstext] = ACTIONS(7363),
    [anon_sym_BSLASHGLStext] = ACTIONS(7363),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7363),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7363),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7363),
    [anon_sym_BSLASHglsplural] = ACTIONS(7363),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7363),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7363),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHglsname] = ACTIONS(7363),
    [anon_sym_BSLASHGlsname] = ACTIONS(7363),
    [anon_sym_BSLASHGLSname] = ACTIONS(7363),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7363),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7363),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7363),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7363),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7363),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7363),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7363),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7363),
    [anon_sym_BSLASHacrshort] = ACTIONS(7363),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7363),
    [anon_sym_BSLASHACRshort] = ACTIONS(7363),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHacrlong] = ACTIONS(7363),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7363),
    [anon_sym_BSLASHACRlong] = ACTIONS(7363),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHacrfull] = ACTIONS(7363),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7363),
    [anon_sym_BSLASHACRfull] = ACTIONS(7363),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHacs] = ACTIONS(7363),
    [anon_sym_BSLASHAcs] = ACTIONS(7363),
    [anon_sym_BSLASHacsp] = ACTIONS(7363),
    [anon_sym_BSLASHAcsp] = ACTIONS(7363),
    [anon_sym_BSLASHacl] = ACTIONS(7363),
    [anon_sym_BSLASHAcl] = ACTIONS(7363),
    [anon_sym_BSLASHaclp] = ACTIONS(7363),
    [anon_sym_BSLASHAclp] = ACTIONS(7363),
    [anon_sym_BSLASHacf] = ACTIONS(7363),
    [anon_sym_BSLASHAcf] = ACTIONS(7363),
    [anon_sym_BSLASHacfp] = ACTIONS(7363),
    [anon_sym_BSLASHAcfp] = ACTIONS(7363),
    [anon_sym_BSLASHac] = ACTIONS(7363),
    [anon_sym_BSLASHAc] = ACTIONS(7363),
    [anon_sym_BSLASHacp] = ACTIONS(7363),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7363),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7363),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7363),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7363),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7363),
    [anon_sym_BSLASHcolor] = ACTIONS(7363),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7363),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7363),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7363),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7363),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7363),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7363),
    [anon_sym_BSLASHurl] = ACTIONS(7363),
    [anon_sym_BSLASHhref] = ACTIONS(7363),
  },
  [1856] = {
    [sym_command_name] = ACTIONS(7367),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7367),
    [anon_sym_LBRACK] = ACTIONS(7369),
    [anon_sym_RBRACK] = ACTIONS(7369),
    [anon_sym_COMMA] = ACTIONS(7369),
    [anon_sym_EQ] = ACTIONS(7369),
    [anon_sym_LPAREN] = ACTIONS(7369),
    [anon_sym_RPAREN] = ACTIONS(7369),
    [anon_sym_LBRACE] = ACTIONS(7369),
    [sym_word] = ACTIONS(7367),
    [sym_placeholder] = ACTIONS(7369),
    [sym_delimiter] = ACTIONS(7369),
    [anon_sym_PLUS] = ACTIONS(7369),
    [anon_sym_DASH] = ACTIONS(7369),
    [anon_sym_STAR] = ACTIONS(7369),
    [anon_sym_SLASH] = ACTIONS(7369),
    [anon_sym_LT] = ACTIONS(7367),
    [anon_sym_GT] = ACTIONS(7367),
    [anon_sym_BANG] = ACTIONS(7367),
    [anon_sym_PIPE] = ACTIONS(7367),
    [anon_sym_COLON] = ACTIONS(7367),
    [anon_sym_SQUOTE] = ACTIONS(7367),
    [anon_sym__] = ACTIONS(7369),
    [anon_sym_CARET] = ACTIONS(7369),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7369),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7369),
    [anon_sym_DOLLAR] = ACTIONS(7367),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7369),
    [anon_sym_BSLASHleft] = ACTIONS(7367),
    [anon_sym_BSLASHbigl] = ACTIONS(7367),
    [anon_sym_BSLASHBigl] = ACTIONS(7367),
    [anon_sym_BSLASHbiggl] = ACTIONS(7367),
    [anon_sym_BSLASHBiggl] = ACTIONS(7367),
    [anon_sym_BSLASHtext] = ACTIONS(7367),
    [anon_sym_BSLASHintertext] = ACTIONS(7367),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7367),
    [anon_sym_BSLASHbegin] = ACTIONS(7367),
    [anon_sym_BSLASHtitle] = ACTIONS(7367),
    [anon_sym_BSLASHauthor] = ACTIONS(7367),
    [anon_sym_BSLASHusepackage] = ACTIONS(7367),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7367),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7367),
    [anon_sym_BSLASHinclude] = ACTIONS(7367),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7367),
    [anon_sym_BSLASHinput] = ACTIONS(7367),
    [anon_sym_BSLASHsubfile] = ACTIONS(7367),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7367),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7367),
    [anon_sym_BSLASHbibliography] = ACTIONS(7367),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7367),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7367),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7367),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7367),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7367),
    [anon_sym_BSLASHimport] = ACTIONS(7367),
    [anon_sym_BSLASHsubimport] = ACTIONS(7367),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7367),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7367),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7367),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7367),
    [anon_sym_BSLASHcaption] = ACTIONS(7367),
    [anon_sym_BSLASHcite] = ACTIONS(7367),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCite] = ACTIONS(7367),
    [anon_sym_BSLASHnocite] = ACTIONS(7367),
    [anon_sym_BSLASHcitet] = ACTIONS(7367),
    [anon_sym_BSLASHcitep] = ACTIONS(7367),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteA] = ACTIONS(7367),
    [anon_sym_BSLASHciteR] = ACTIONS(7367),
    [anon_sym_BSLASHciteS] = ACTIONS(7367),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7367),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7367),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7367),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7367),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteyear] = ACTIONS(7367),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitedate] = ACTIONS(7367),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteurl] = ACTIONS(7367),
    [anon_sym_BSLASHfullcite] = ACTIONS(7367),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7367),
    [anon_sym_BSLASHcitealt] = ACTIONS(7367),
    [anon_sym_BSLASHcitealp] = ACTIONS(7367),
    [anon_sym_BSLASHcitetext] = ACTIONS(7367),
    [anon_sym_BSLASHparencite] = ACTIONS(7367),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHParencite] = ACTIONS(7367),
    [anon_sym_BSLASHfootcite] = ACTIONS(7367),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7367),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7367),
    [anon_sym_BSLASHtextcite] = ACTIONS(7367),
    [anon_sym_BSLASHTextcite] = ACTIONS(7367),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7367),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7367),
    [anon_sym_BSLASHsupercite] = ACTIONS(7367),
    [anon_sym_BSLASHautocite] = ACTIONS(7367),
    [anon_sym_BSLASHAutocite] = ACTIONS(7367),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHVolcite] = ACTIONS(7367),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHavolcite] = ACTIONS(7367),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHNotecite] = ACTIONS(7367),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHlabel] = ACTIONS(7367),
    [anon_sym_BSLASHref] = ACTIONS(7367),
    [anon_sym_BSLASHeqref] = ACTIONS(7367),
    [anon_sym_BSLASHvref] = ACTIONS(7367),
    [anon_sym_BSLASHVref] = ACTIONS(7367),
    [anon_sym_BSLASHautoref] = ACTIONS(7367),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHpageref] = ACTIONS(7367),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHautopageref] = ACTIONS(7367),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcref] = ACTIONS(7367),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCref] = ACTIONS(7367),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcpageref] = ACTIONS(7367),
    [anon_sym_BSLASHCpageref] = ACTIONS(7367),
    [anon_sym_BSLASHnamecref] = ACTIONS(7367),
    [anon_sym_BSLASHnameCref] = ACTIONS(7367),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7367),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7367),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7367),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7367),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7367),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7367),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7367),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7367),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7367),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7367),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7367),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHdef] = ACTIONS(7367),
    [anon_sym_BSLASHgdef] = ACTIONS(7367),
    [anon_sym_BSLASHedef] = ACTIONS(7367),
    [anon_sym_BSLASHxdef] = ACTIONS(7367),
    [anon_sym_BSLASHlet] = ACTIONS(7367),
    [anon_sym_BSLASHglet] = ACTIONS(7367),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7367),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7367),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7367),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7367),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7367),
    [anon_sym_BSLASHgls] = ACTIONS(7367),
    [anon_sym_BSLASHGls] = ACTIONS(7367),
    [anon_sym_BSLASHGLS] = ACTIONS(7367),
    [anon_sym_BSLASHglspl] = ACTIONS(7367),
    [anon_sym_BSLASHGlspl] = ACTIONS(7367),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7367),
    [anon_sym_BSLASHglslink] = ACTIONS(7367),
    [anon_sym_BSLASHglstext] = ACTIONS(7367),
    [anon_sym_BSLASHGlstext] = ACTIONS(7367),
    [anon_sym_BSLASHGLStext] = ACTIONS(7367),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7367),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7367),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7367),
    [anon_sym_BSLASHglsplural] = ACTIONS(7367),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7367),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7367),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHglsname] = ACTIONS(7367),
    [anon_sym_BSLASHGlsname] = ACTIONS(7367),
    [anon_sym_BSLASHGLSname] = ACTIONS(7367),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7367),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7367),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7367),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7367),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7367),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7367),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7367),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7367),
    [anon_sym_BSLASHacrshort] = ACTIONS(7367),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7367),
    [anon_sym_BSLASHACRshort] = ACTIONS(7367),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHacrlong] = ACTIONS(7367),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7367),
    [anon_sym_BSLASHACRlong] = ACTIONS(7367),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHacrfull] = ACTIONS(7367),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7367),
    [anon_sym_BSLASHACRfull] = ACTIONS(7367),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHacs] = ACTIONS(7367),
    [anon_sym_BSLASHAcs] = ACTIONS(7367),
    [anon_sym_BSLASHacsp] = ACTIONS(7367),
    [anon_sym_BSLASHAcsp] = ACTIONS(7367),
    [anon_sym_BSLASHacl] = ACTIONS(7367),
    [anon_sym_BSLASHAcl] = ACTIONS(7367),
    [anon_sym_BSLASHaclp] = ACTIONS(7367),
    [anon_sym_BSLASHAclp] = ACTIONS(7367),
    [anon_sym_BSLASHacf] = ACTIONS(7367),
    [anon_sym_BSLASHAcf] = ACTIONS(7367),
    [anon_sym_BSLASHacfp] = ACTIONS(7367),
    [anon_sym_BSLASHAcfp] = ACTIONS(7367),
    [anon_sym_BSLASHac] = ACTIONS(7367),
    [anon_sym_BSLASHAc] = ACTIONS(7367),
    [anon_sym_BSLASHacp] = ACTIONS(7367),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7367),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7367),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7367),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7367),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7367),
    [anon_sym_BSLASHcolor] = ACTIONS(7367),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7367),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7367),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7367),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7367),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7367),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7367),
    [anon_sym_BSLASHurl] = ACTIONS(7367),
    [anon_sym_BSLASHhref] = ACTIONS(7367),
  },
  [1857] = {
    [sym_command_name] = ACTIONS(7371),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7371),
    [anon_sym_LBRACK] = ACTIONS(7373),
    [anon_sym_RBRACK] = ACTIONS(7373),
    [anon_sym_COMMA] = ACTIONS(7373),
    [anon_sym_EQ] = ACTIONS(7373),
    [anon_sym_LPAREN] = ACTIONS(7373),
    [anon_sym_RPAREN] = ACTIONS(7373),
    [anon_sym_LBRACE] = ACTIONS(7373),
    [sym_word] = ACTIONS(7371),
    [sym_placeholder] = ACTIONS(7373),
    [sym_delimiter] = ACTIONS(7373),
    [anon_sym_PLUS] = ACTIONS(7373),
    [anon_sym_DASH] = ACTIONS(7373),
    [anon_sym_STAR] = ACTIONS(7373),
    [anon_sym_SLASH] = ACTIONS(7373),
    [anon_sym_LT] = ACTIONS(7371),
    [anon_sym_GT] = ACTIONS(7371),
    [anon_sym_BANG] = ACTIONS(7371),
    [anon_sym_PIPE] = ACTIONS(7371),
    [anon_sym_COLON] = ACTIONS(7371),
    [anon_sym_SQUOTE] = ACTIONS(7371),
    [anon_sym__] = ACTIONS(7373),
    [anon_sym_CARET] = ACTIONS(7373),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7373),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7373),
    [anon_sym_DOLLAR] = ACTIONS(7371),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7373),
    [anon_sym_BSLASHleft] = ACTIONS(7371),
    [anon_sym_BSLASHbigl] = ACTIONS(7371),
    [anon_sym_BSLASHBigl] = ACTIONS(7371),
    [anon_sym_BSLASHbiggl] = ACTIONS(7371),
    [anon_sym_BSLASHBiggl] = ACTIONS(7371),
    [anon_sym_BSLASHtext] = ACTIONS(7371),
    [anon_sym_BSLASHintertext] = ACTIONS(7371),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7371),
    [anon_sym_BSLASHbegin] = ACTIONS(7371),
    [anon_sym_BSLASHtitle] = ACTIONS(7371),
    [anon_sym_BSLASHauthor] = ACTIONS(7371),
    [anon_sym_BSLASHusepackage] = ACTIONS(7371),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7371),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7371),
    [anon_sym_BSLASHinclude] = ACTIONS(7371),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7371),
    [anon_sym_BSLASHinput] = ACTIONS(7371),
    [anon_sym_BSLASHsubfile] = ACTIONS(7371),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7371),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7371),
    [anon_sym_BSLASHbibliography] = ACTIONS(7371),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7371),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7371),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7371),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7371),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7371),
    [anon_sym_BSLASHimport] = ACTIONS(7371),
    [anon_sym_BSLASHsubimport] = ACTIONS(7371),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7371),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7371),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7371),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7371),
    [anon_sym_BSLASHcaption] = ACTIONS(7371),
    [anon_sym_BSLASHcite] = ACTIONS(7371),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCite] = ACTIONS(7371),
    [anon_sym_BSLASHnocite] = ACTIONS(7371),
    [anon_sym_BSLASHcitet] = ACTIONS(7371),
    [anon_sym_BSLASHcitep] = ACTIONS(7371),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteA] = ACTIONS(7371),
    [anon_sym_BSLASHciteR] = ACTIONS(7371),
    [anon_sym_BSLASHciteS] = ACTIONS(7371),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7371),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7371),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7371),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7371),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteyear] = ACTIONS(7371),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitedate] = ACTIONS(7371),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteurl] = ACTIONS(7371),
    [anon_sym_BSLASHfullcite] = ACTIONS(7371),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7371),
    [anon_sym_BSLASHcitealt] = ACTIONS(7371),
    [anon_sym_BSLASHcitealp] = ACTIONS(7371),
    [anon_sym_BSLASHcitetext] = ACTIONS(7371),
    [anon_sym_BSLASHparencite] = ACTIONS(7371),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHParencite] = ACTIONS(7371),
    [anon_sym_BSLASHfootcite] = ACTIONS(7371),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7371),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7371),
    [anon_sym_BSLASHtextcite] = ACTIONS(7371),
    [anon_sym_BSLASHTextcite] = ACTIONS(7371),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7371),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7371),
    [anon_sym_BSLASHsupercite] = ACTIONS(7371),
    [anon_sym_BSLASHautocite] = ACTIONS(7371),
    [anon_sym_BSLASHAutocite] = ACTIONS(7371),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHVolcite] = ACTIONS(7371),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHavolcite] = ACTIONS(7371),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHNotecite] = ACTIONS(7371),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHlabel] = ACTIONS(7371),
    [anon_sym_BSLASHref] = ACTIONS(7371),
    [anon_sym_BSLASHeqref] = ACTIONS(7371),
    [anon_sym_BSLASHvref] = ACTIONS(7371),
    [anon_sym_BSLASHVref] = ACTIONS(7371),
    [anon_sym_BSLASHautoref] = ACTIONS(7371),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHpageref] = ACTIONS(7371),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHautopageref] = ACTIONS(7371),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcref] = ACTIONS(7371),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCref] = ACTIONS(7371),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcpageref] = ACTIONS(7371),
    [anon_sym_BSLASHCpageref] = ACTIONS(7371),
    [anon_sym_BSLASHnamecref] = ACTIONS(7371),
    [anon_sym_BSLASHnameCref] = ACTIONS(7371),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7371),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7371),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7371),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7371),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7371),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7371),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7371),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7371),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7371),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7371),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7371),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHdef] = ACTIONS(7371),
    [anon_sym_BSLASHgdef] = ACTIONS(7371),
    [anon_sym_BSLASHedef] = ACTIONS(7371),
    [anon_sym_BSLASHxdef] = ACTIONS(7371),
    [anon_sym_BSLASHlet] = ACTIONS(7371),
    [anon_sym_BSLASHglet] = ACTIONS(7371),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7371),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7371),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7371),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7371),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7371),
    [anon_sym_BSLASHgls] = ACTIONS(7371),
    [anon_sym_BSLASHGls] = ACTIONS(7371),
    [anon_sym_BSLASHGLS] = ACTIONS(7371),
    [anon_sym_BSLASHglspl] = ACTIONS(7371),
    [anon_sym_BSLASHGlspl] = ACTIONS(7371),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7371),
    [anon_sym_BSLASHglslink] = ACTIONS(7371),
    [anon_sym_BSLASHglstext] = ACTIONS(7371),
    [anon_sym_BSLASHGlstext] = ACTIONS(7371),
    [anon_sym_BSLASHGLStext] = ACTIONS(7371),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7371),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7371),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7371),
    [anon_sym_BSLASHglsplural] = ACTIONS(7371),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7371),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7371),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHglsname] = ACTIONS(7371),
    [anon_sym_BSLASHGlsname] = ACTIONS(7371),
    [anon_sym_BSLASHGLSname] = ACTIONS(7371),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7371),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7371),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7371),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7371),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7371),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7371),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7371),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7371),
    [anon_sym_BSLASHacrshort] = ACTIONS(7371),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7371),
    [anon_sym_BSLASHACRshort] = ACTIONS(7371),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHacrlong] = ACTIONS(7371),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7371),
    [anon_sym_BSLASHACRlong] = ACTIONS(7371),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHacrfull] = ACTIONS(7371),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7371),
    [anon_sym_BSLASHACRfull] = ACTIONS(7371),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHacs] = ACTIONS(7371),
    [anon_sym_BSLASHAcs] = ACTIONS(7371),
    [anon_sym_BSLASHacsp] = ACTIONS(7371),
    [anon_sym_BSLASHAcsp] = ACTIONS(7371),
    [anon_sym_BSLASHacl] = ACTIONS(7371),
    [anon_sym_BSLASHAcl] = ACTIONS(7371),
    [anon_sym_BSLASHaclp] = ACTIONS(7371),
    [anon_sym_BSLASHAclp] = ACTIONS(7371),
    [anon_sym_BSLASHacf] = ACTIONS(7371),
    [anon_sym_BSLASHAcf] = ACTIONS(7371),
    [anon_sym_BSLASHacfp] = ACTIONS(7371),
    [anon_sym_BSLASHAcfp] = ACTIONS(7371),
    [anon_sym_BSLASHac] = ACTIONS(7371),
    [anon_sym_BSLASHAc] = ACTIONS(7371),
    [anon_sym_BSLASHacp] = ACTIONS(7371),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7371),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7371),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7371),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7371),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7371),
    [anon_sym_BSLASHcolor] = ACTIONS(7371),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7371),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7371),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7371),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7371),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7371),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7371),
    [anon_sym_BSLASHurl] = ACTIONS(7371),
    [anon_sym_BSLASHhref] = ACTIONS(7371),
  },
  [1858] = {
    [sym_command_name] = ACTIONS(7375),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7375),
    [anon_sym_LBRACK] = ACTIONS(7377),
    [anon_sym_RBRACK] = ACTIONS(7377),
    [anon_sym_COMMA] = ACTIONS(7377),
    [anon_sym_EQ] = ACTIONS(7377),
    [anon_sym_LPAREN] = ACTIONS(7377),
    [anon_sym_RPAREN] = ACTIONS(7377),
    [anon_sym_LBRACE] = ACTIONS(7377),
    [sym_word] = ACTIONS(7375),
    [sym_placeholder] = ACTIONS(7377),
    [sym_delimiter] = ACTIONS(7377),
    [anon_sym_PLUS] = ACTIONS(7377),
    [anon_sym_DASH] = ACTIONS(7377),
    [anon_sym_STAR] = ACTIONS(7377),
    [anon_sym_SLASH] = ACTIONS(7377),
    [anon_sym_LT] = ACTIONS(7375),
    [anon_sym_GT] = ACTIONS(7375),
    [anon_sym_BANG] = ACTIONS(7375),
    [anon_sym_PIPE] = ACTIONS(7375),
    [anon_sym_COLON] = ACTIONS(7375),
    [anon_sym_SQUOTE] = ACTIONS(7375),
    [anon_sym__] = ACTIONS(7377),
    [anon_sym_CARET] = ACTIONS(7377),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7377),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7377),
    [anon_sym_DOLLAR] = ACTIONS(7375),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7377),
    [anon_sym_BSLASHleft] = ACTIONS(7375),
    [anon_sym_BSLASHbigl] = ACTIONS(7375),
    [anon_sym_BSLASHBigl] = ACTIONS(7375),
    [anon_sym_BSLASHbiggl] = ACTIONS(7375),
    [anon_sym_BSLASHBiggl] = ACTIONS(7375),
    [anon_sym_BSLASHtext] = ACTIONS(7375),
    [anon_sym_BSLASHintertext] = ACTIONS(7375),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7375),
    [anon_sym_BSLASHbegin] = ACTIONS(7375),
    [anon_sym_BSLASHtitle] = ACTIONS(7375),
    [anon_sym_BSLASHauthor] = ACTIONS(7375),
    [anon_sym_BSLASHusepackage] = ACTIONS(7375),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7375),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7375),
    [anon_sym_BSLASHinclude] = ACTIONS(7375),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7375),
    [anon_sym_BSLASHinput] = ACTIONS(7375),
    [anon_sym_BSLASHsubfile] = ACTIONS(7375),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7375),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7375),
    [anon_sym_BSLASHbibliography] = ACTIONS(7375),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7375),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7375),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7375),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7375),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7375),
    [anon_sym_BSLASHimport] = ACTIONS(7375),
    [anon_sym_BSLASHsubimport] = ACTIONS(7375),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7375),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7375),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7375),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7375),
    [anon_sym_BSLASHcaption] = ACTIONS(7375),
    [anon_sym_BSLASHcite] = ACTIONS(7375),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCite] = ACTIONS(7375),
    [anon_sym_BSLASHnocite] = ACTIONS(7375),
    [anon_sym_BSLASHcitet] = ACTIONS(7375),
    [anon_sym_BSLASHcitep] = ACTIONS(7375),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteA] = ACTIONS(7375),
    [anon_sym_BSLASHciteR] = ACTIONS(7375),
    [anon_sym_BSLASHciteS] = ACTIONS(7375),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7375),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7375),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7375),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7375),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteyear] = ACTIONS(7375),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitedate] = ACTIONS(7375),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteurl] = ACTIONS(7375),
    [anon_sym_BSLASHfullcite] = ACTIONS(7375),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7375),
    [anon_sym_BSLASHcitealt] = ACTIONS(7375),
    [anon_sym_BSLASHcitealp] = ACTIONS(7375),
    [anon_sym_BSLASHcitetext] = ACTIONS(7375),
    [anon_sym_BSLASHparencite] = ACTIONS(7375),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHParencite] = ACTIONS(7375),
    [anon_sym_BSLASHfootcite] = ACTIONS(7375),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7375),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7375),
    [anon_sym_BSLASHtextcite] = ACTIONS(7375),
    [anon_sym_BSLASHTextcite] = ACTIONS(7375),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7375),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7375),
    [anon_sym_BSLASHsupercite] = ACTIONS(7375),
    [anon_sym_BSLASHautocite] = ACTIONS(7375),
    [anon_sym_BSLASHAutocite] = ACTIONS(7375),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHVolcite] = ACTIONS(7375),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHavolcite] = ACTIONS(7375),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHNotecite] = ACTIONS(7375),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHlabel] = ACTIONS(7375),
    [anon_sym_BSLASHref] = ACTIONS(7375),
    [anon_sym_BSLASHeqref] = ACTIONS(7375),
    [anon_sym_BSLASHvref] = ACTIONS(7375),
    [anon_sym_BSLASHVref] = ACTIONS(7375),
    [anon_sym_BSLASHautoref] = ACTIONS(7375),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHpageref] = ACTIONS(7375),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHautopageref] = ACTIONS(7375),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcref] = ACTIONS(7375),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCref] = ACTIONS(7375),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcpageref] = ACTIONS(7375),
    [anon_sym_BSLASHCpageref] = ACTIONS(7375),
    [anon_sym_BSLASHnamecref] = ACTIONS(7375),
    [anon_sym_BSLASHnameCref] = ACTIONS(7375),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7375),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7375),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7375),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7375),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7375),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7375),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7375),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7375),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7375),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7375),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7375),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHdef] = ACTIONS(7375),
    [anon_sym_BSLASHgdef] = ACTIONS(7375),
    [anon_sym_BSLASHedef] = ACTIONS(7375),
    [anon_sym_BSLASHxdef] = ACTIONS(7375),
    [anon_sym_BSLASHlet] = ACTIONS(7375),
    [anon_sym_BSLASHglet] = ACTIONS(7375),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7375),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7375),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7375),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7375),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7375),
    [anon_sym_BSLASHgls] = ACTIONS(7375),
    [anon_sym_BSLASHGls] = ACTIONS(7375),
    [anon_sym_BSLASHGLS] = ACTIONS(7375),
    [anon_sym_BSLASHglspl] = ACTIONS(7375),
    [anon_sym_BSLASHGlspl] = ACTIONS(7375),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7375),
    [anon_sym_BSLASHglslink] = ACTIONS(7375),
    [anon_sym_BSLASHglstext] = ACTIONS(7375),
    [anon_sym_BSLASHGlstext] = ACTIONS(7375),
    [anon_sym_BSLASHGLStext] = ACTIONS(7375),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7375),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7375),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7375),
    [anon_sym_BSLASHglsplural] = ACTIONS(7375),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7375),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7375),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHglsname] = ACTIONS(7375),
    [anon_sym_BSLASHGlsname] = ACTIONS(7375),
    [anon_sym_BSLASHGLSname] = ACTIONS(7375),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7375),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7375),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7375),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7375),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7375),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7375),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7375),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7375),
    [anon_sym_BSLASHacrshort] = ACTIONS(7375),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7375),
    [anon_sym_BSLASHACRshort] = ACTIONS(7375),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHacrlong] = ACTIONS(7375),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7375),
    [anon_sym_BSLASHACRlong] = ACTIONS(7375),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHacrfull] = ACTIONS(7375),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7375),
    [anon_sym_BSLASHACRfull] = ACTIONS(7375),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHacs] = ACTIONS(7375),
    [anon_sym_BSLASHAcs] = ACTIONS(7375),
    [anon_sym_BSLASHacsp] = ACTIONS(7375),
    [anon_sym_BSLASHAcsp] = ACTIONS(7375),
    [anon_sym_BSLASHacl] = ACTIONS(7375),
    [anon_sym_BSLASHAcl] = ACTIONS(7375),
    [anon_sym_BSLASHaclp] = ACTIONS(7375),
    [anon_sym_BSLASHAclp] = ACTIONS(7375),
    [anon_sym_BSLASHacf] = ACTIONS(7375),
    [anon_sym_BSLASHAcf] = ACTIONS(7375),
    [anon_sym_BSLASHacfp] = ACTIONS(7375),
    [anon_sym_BSLASHAcfp] = ACTIONS(7375),
    [anon_sym_BSLASHac] = ACTIONS(7375),
    [anon_sym_BSLASHAc] = ACTIONS(7375),
    [anon_sym_BSLASHacp] = ACTIONS(7375),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7375),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7375),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7375),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7375),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7375),
    [anon_sym_BSLASHcolor] = ACTIONS(7375),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7375),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7375),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7375),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7375),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7375),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7375),
    [anon_sym_BSLASHurl] = ACTIONS(7375),
    [anon_sym_BSLASHhref] = ACTIONS(7375),
  },
  [1859] = {
    [sym_command_name] = ACTIONS(7379),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7379),
    [anon_sym_LBRACK] = ACTIONS(7381),
    [anon_sym_RBRACK] = ACTIONS(7381),
    [anon_sym_COMMA] = ACTIONS(7381),
    [anon_sym_EQ] = ACTIONS(7381),
    [anon_sym_LPAREN] = ACTIONS(7381),
    [anon_sym_RPAREN] = ACTIONS(7381),
    [anon_sym_LBRACE] = ACTIONS(7381),
    [sym_word] = ACTIONS(7379),
    [sym_placeholder] = ACTIONS(7381),
    [sym_delimiter] = ACTIONS(7381),
    [anon_sym_PLUS] = ACTIONS(7381),
    [anon_sym_DASH] = ACTIONS(7381),
    [anon_sym_STAR] = ACTIONS(7381),
    [anon_sym_SLASH] = ACTIONS(7381),
    [anon_sym_LT] = ACTIONS(7379),
    [anon_sym_GT] = ACTIONS(7379),
    [anon_sym_BANG] = ACTIONS(7379),
    [anon_sym_PIPE] = ACTIONS(7379),
    [anon_sym_COLON] = ACTIONS(7379),
    [anon_sym_SQUOTE] = ACTIONS(7379),
    [anon_sym__] = ACTIONS(7381),
    [anon_sym_CARET] = ACTIONS(7381),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7381),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7381),
    [anon_sym_DOLLAR] = ACTIONS(7379),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7381),
    [anon_sym_BSLASHleft] = ACTIONS(7379),
    [anon_sym_BSLASHbigl] = ACTIONS(7379),
    [anon_sym_BSLASHBigl] = ACTIONS(7379),
    [anon_sym_BSLASHbiggl] = ACTIONS(7379),
    [anon_sym_BSLASHBiggl] = ACTIONS(7379),
    [anon_sym_BSLASHtext] = ACTIONS(7379),
    [anon_sym_BSLASHintertext] = ACTIONS(7379),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7379),
    [anon_sym_BSLASHbegin] = ACTIONS(7379),
    [anon_sym_BSLASHtitle] = ACTIONS(7379),
    [anon_sym_BSLASHauthor] = ACTIONS(7379),
    [anon_sym_BSLASHusepackage] = ACTIONS(7379),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7379),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7379),
    [anon_sym_BSLASHinclude] = ACTIONS(7379),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7379),
    [anon_sym_BSLASHinput] = ACTIONS(7379),
    [anon_sym_BSLASHsubfile] = ACTIONS(7379),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7379),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7379),
    [anon_sym_BSLASHbibliography] = ACTIONS(7379),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7379),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7379),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7379),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7379),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7379),
    [anon_sym_BSLASHimport] = ACTIONS(7379),
    [anon_sym_BSLASHsubimport] = ACTIONS(7379),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7379),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7379),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7379),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7379),
    [anon_sym_BSLASHcaption] = ACTIONS(7379),
    [anon_sym_BSLASHcite] = ACTIONS(7379),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCite] = ACTIONS(7379),
    [anon_sym_BSLASHnocite] = ACTIONS(7379),
    [anon_sym_BSLASHcitet] = ACTIONS(7379),
    [anon_sym_BSLASHcitep] = ACTIONS(7379),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteA] = ACTIONS(7379),
    [anon_sym_BSLASHciteR] = ACTIONS(7379),
    [anon_sym_BSLASHciteS] = ACTIONS(7379),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7379),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7379),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7379),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7379),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteyear] = ACTIONS(7379),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitedate] = ACTIONS(7379),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteurl] = ACTIONS(7379),
    [anon_sym_BSLASHfullcite] = ACTIONS(7379),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7379),
    [anon_sym_BSLASHcitealt] = ACTIONS(7379),
    [anon_sym_BSLASHcitealp] = ACTIONS(7379),
    [anon_sym_BSLASHcitetext] = ACTIONS(7379),
    [anon_sym_BSLASHparencite] = ACTIONS(7379),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHParencite] = ACTIONS(7379),
    [anon_sym_BSLASHfootcite] = ACTIONS(7379),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7379),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7379),
    [anon_sym_BSLASHtextcite] = ACTIONS(7379),
    [anon_sym_BSLASHTextcite] = ACTIONS(7379),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7379),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7379),
    [anon_sym_BSLASHsupercite] = ACTIONS(7379),
    [anon_sym_BSLASHautocite] = ACTIONS(7379),
    [anon_sym_BSLASHAutocite] = ACTIONS(7379),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHVolcite] = ACTIONS(7379),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHavolcite] = ACTIONS(7379),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHNotecite] = ACTIONS(7379),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHlabel] = ACTIONS(7379),
    [anon_sym_BSLASHref] = ACTIONS(7379),
    [anon_sym_BSLASHeqref] = ACTIONS(7379),
    [anon_sym_BSLASHvref] = ACTIONS(7379),
    [anon_sym_BSLASHVref] = ACTIONS(7379),
    [anon_sym_BSLASHautoref] = ACTIONS(7379),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHpageref] = ACTIONS(7379),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHautopageref] = ACTIONS(7379),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcref] = ACTIONS(7379),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCref] = ACTIONS(7379),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcpageref] = ACTIONS(7379),
    [anon_sym_BSLASHCpageref] = ACTIONS(7379),
    [anon_sym_BSLASHnamecref] = ACTIONS(7379),
    [anon_sym_BSLASHnameCref] = ACTIONS(7379),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7379),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7379),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7379),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7379),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7379),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7379),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7379),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7379),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7379),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7379),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7379),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHdef] = ACTIONS(7379),
    [anon_sym_BSLASHgdef] = ACTIONS(7379),
    [anon_sym_BSLASHedef] = ACTIONS(7379),
    [anon_sym_BSLASHxdef] = ACTIONS(7379),
    [anon_sym_BSLASHlet] = ACTIONS(7379),
    [anon_sym_BSLASHglet] = ACTIONS(7379),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7379),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7379),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7379),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7379),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7379),
    [anon_sym_BSLASHgls] = ACTIONS(7379),
    [anon_sym_BSLASHGls] = ACTIONS(7379),
    [anon_sym_BSLASHGLS] = ACTIONS(7379),
    [anon_sym_BSLASHglspl] = ACTIONS(7379),
    [anon_sym_BSLASHGlspl] = ACTIONS(7379),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7379),
    [anon_sym_BSLASHglslink] = ACTIONS(7379),
    [anon_sym_BSLASHglstext] = ACTIONS(7379),
    [anon_sym_BSLASHGlstext] = ACTIONS(7379),
    [anon_sym_BSLASHGLStext] = ACTIONS(7379),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7379),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7379),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7379),
    [anon_sym_BSLASHglsplural] = ACTIONS(7379),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7379),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7379),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHglsname] = ACTIONS(7379),
    [anon_sym_BSLASHGlsname] = ACTIONS(7379),
    [anon_sym_BSLASHGLSname] = ACTIONS(7379),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7379),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7379),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7379),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7379),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7379),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7379),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7379),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7379),
    [anon_sym_BSLASHacrshort] = ACTIONS(7379),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7379),
    [anon_sym_BSLASHACRshort] = ACTIONS(7379),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHacrlong] = ACTIONS(7379),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7379),
    [anon_sym_BSLASHACRlong] = ACTIONS(7379),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHacrfull] = ACTIONS(7379),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7379),
    [anon_sym_BSLASHACRfull] = ACTIONS(7379),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHacs] = ACTIONS(7379),
    [anon_sym_BSLASHAcs] = ACTIONS(7379),
    [anon_sym_BSLASHacsp] = ACTIONS(7379),
    [anon_sym_BSLASHAcsp] = ACTIONS(7379),
    [anon_sym_BSLASHacl] = ACTIONS(7379),
    [anon_sym_BSLASHAcl] = ACTIONS(7379),
    [anon_sym_BSLASHaclp] = ACTIONS(7379),
    [anon_sym_BSLASHAclp] = ACTIONS(7379),
    [anon_sym_BSLASHacf] = ACTIONS(7379),
    [anon_sym_BSLASHAcf] = ACTIONS(7379),
    [anon_sym_BSLASHacfp] = ACTIONS(7379),
    [anon_sym_BSLASHAcfp] = ACTIONS(7379),
    [anon_sym_BSLASHac] = ACTIONS(7379),
    [anon_sym_BSLASHAc] = ACTIONS(7379),
    [anon_sym_BSLASHacp] = ACTIONS(7379),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7379),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7379),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7379),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7379),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7379),
    [anon_sym_BSLASHcolor] = ACTIONS(7379),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7379),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7379),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7379),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7379),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7379),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7379),
    [anon_sym_BSLASHurl] = ACTIONS(7379),
    [anon_sym_BSLASHhref] = ACTIONS(7379),
  },
  [1860] = {
    [sym_command_name] = ACTIONS(7383),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7383),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_RBRACK] = ACTIONS(7385),
    [anon_sym_COMMA] = ACTIONS(7385),
    [anon_sym_EQ] = ACTIONS(7385),
    [anon_sym_LPAREN] = ACTIONS(7385),
    [anon_sym_RPAREN] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7385),
    [sym_word] = ACTIONS(7383),
    [sym_placeholder] = ACTIONS(7385),
    [sym_delimiter] = ACTIONS(7385),
    [anon_sym_PLUS] = ACTIONS(7385),
    [anon_sym_DASH] = ACTIONS(7385),
    [anon_sym_STAR] = ACTIONS(7385),
    [anon_sym_SLASH] = ACTIONS(7385),
    [anon_sym_LT] = ACTIONS(7383),
    [anon_sym_GT] = ACTIONS(7383),
    [anon_sym_BANG] = ACTIONS(7383),
    [anon_sym_PIPE] = ACTIONS(7383),
    [anon_sym_COLON] = ACTIONS(7383),
    [anon_sym_SQUOTE] = ACTIONS(7383),
    [anon_sym__] = ACTIONS(7385),
    [anon_sym_CARET] = ACTIONS(7385),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7385),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7385),
    [anon_sym_DOLLAR] = ACTIONS(7383),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7385),
    [anon_sym_BSLASHleft] = ACTIONS(7383),
    [anon_sym_BSLASHbigl] = ACTIONS(7383),
    [anon_sym_BSLASHBigl] = ACTIONS(7383),
    [anon_sym_BSLASHbiggl] = ACTIONS(7383),
    [anon_sym_BSLASHBiggl] = ACTIONS(7383),
    [anon_sym_BSLASHtext] = ACTIONS(7383),
    [anon_sym_BSLASHintertext] = ACTIONS(7383),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7383),
    [anon_sym_BSLASHbegin] = ACTIONS(7383),
    [anon_sym_BSLASHtitle] = ACTIONS(7383),
    [anon_sym_BSLASHauthor] = ACTIONS(7383),
    [anon_sym_BSLASHusepackage] = ACTIONS(7383),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7383),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7383),
    [anon_sym_BSLASHinclude] = ACTIONS(7383),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7383),
    [anon_sym_BSLASHinput] = ACTIONS(7383),
    [anon_sym_BSLASHsubfile] = ACTIONS(7383),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7383),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7383),
    [anon_sym_BSLASHbibliography] = ACTIONS(7383),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7383),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7383),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7383),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7383),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7383),
    [anon_sym_BSLASHimport] = ACTIONS(7383),
    [anon_sym_BSLASHsubimport] = ACTIONS(7383),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7383),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7383),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7383),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7383),
    [anon_sym_BSLASHcaption] = ACTIONS(7383),
    [anon_sym_BSLASHcite] = ACTIONS(7383),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCite] = ACTIONS(7383),
    [anon_sym_BSLASHnocite] = ACTIONS(7383),
    [anon_sym_BSLASHcitet] = ACTIONS(7383),
    [anon_sym_BSLASHcitep] = ACTIONS(7383),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteA] = ACTIONS(7383),
    [anon_sym_BSLASHciteR] = ACTIONS(7383),
    [anon_sym_BSLASHciteS] = ACTIONS(7383),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7383),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7383),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7383),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7383),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteyear] = ACTIONS(7383),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitedate] = ACTIONS(7383),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteurl] = ACTIONS(7383),
    [anon_sym_BSLASHfullcite] = ACTIONS(7383),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7383),
    [anon_sym_BSLASHcitealt] = ACTIONS(7383),
    [anon_sym_BSLASHcitealp] = ACTIONS(7383),
    [anon_sym_BSLASHcitetext] = ACTIONS(7383),
    [anon_sym_BSLASHparencite] = ACTIONS(7383),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHParencite] = ACTIONS(7383),
    [anon_sym_BSLASHfootcite] = ACTIONS(7383),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7383),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7383),
    [anon_sym_BSLASHtextcite] = ACTIONS(7383),
    [anon_sym_BSLASHTextcite] = ACTIONS(7383),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7383),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7383),
    [anon_sym_BSLASHsupercite] = ACTIONS(7383),
    [anon_sym_BSLASHautocite] = ACTIONS(7383),
    [anon_sym_BSLASHAutocite] = ACTIONS(7383),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHVolcite] = ACTIONS(7383),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHavolcite] = ACTIONS(7383),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHNotecite] = ACTIONS(7383),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHlabel] = ACTIONS(7383),
    [anon_sym_BSLASHref] = ACTIONS(7383),
    [anon_sym_BSLASHeqref] = ACTIONS(7383),
    [anon_sym_BSLASHvref] = ACTIONS(7383),
    [anon_sym_BSLASHVref] = ACTIONS(7383),
    [anon_sym_BSLASHautoref] = ACTIONS(7383),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHpageref] = ACTIONS(7383),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHautopageref] = ACTIONS(7383),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcref] = ACTIONS(7383),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCref] = ACTIONS(7383),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcpageref] = ACTIONS(7383),
    [anon_sym_BSLASHCpageref] = ACTIONS(7383),
    [anon_sym_BSLASHnamecref] = ACTIONS(7383),
    [anon_sym_BSLASHnameCref] = ACTIONS(7383),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7383),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7383),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7383),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7383),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7383),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7383),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7383),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7383),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7383),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7383),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7383),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHdef] = ACTIONS(7383),
    [anon_sym_BSLASHgdef] = ACTIONS(7383),
    [anon_sym_BSLASHedef] = ACTIONS(7383),
    [anon_sym_BSLASHxdef] = ACTIONS(7383),
    [anon_sym_BSLASHlet] = ACTIONS(7383),
    [anon_sym_BSLASHglet] = ACTIONS(7383),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7383),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7383),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7383),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7383),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7383),
    [anon_sym_BSLASHgls] = ACTIONS(7383),
    [anon_sym_BSLASHGls] = ACTIONS(7383),
    [anon_sym_BSLASHGLS] = ACTIONS(7383),
    [anon_sym_BSLASHglspl] = ACTIONS(7383),
    [anon_sym_BSLASHGlspl] = ACTIONS(7383),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7383),
    [anon_sym_BSLASHglslink] = ACTIONS(7383),
    [anon_sym_BSLASHglstext] = ACTIONS(7383),
    [anon_sym_BSLASHGlstext] = ACTIONS(7383),
    [anon_sym_BSLASHGLStext] = ACTIONS(7383),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7383),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7383),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7383),
    [anon_sym_BSLASHglsplural] = ACTIONS(7383),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7383),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7383),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHglsname] = ACTIONS(7383),
    [anon_sym_BSLASHGlsname] = ACTIONS(7383),
    [anon_sym_BSLASHGLSname] = ACTIONS(7383),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7383),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7383),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7383),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7383),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7383),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7383),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7383),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7383),
    [anon_sym_BSLASHacrshort] = ACTIONS(7383),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7383),
    [anon_sym_BSLASHACRshort] = ACTIONS(7383),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHacrlong] = ACTIONS(7383),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7383),
    [anon_sym_BSLASHACRlong] = ACTIONS(7383),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHacrfull] = ACTIONS(7383),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7383),
    [anon_sym_BSLASHACRfull] = ACTIONS(7383),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHacs] = ACTIONS(7383),
    [anon_sym_BSLASHAcs] = ACTIONS(7383),
    [anon_sym_BSLASHacsp] = ACTIONS(7383),
    [anon_sym_BSLASHAcsp] = ACTIONS(7383),
    [anon_sym_BSLASHacl] = ACTIONS(7383),
    [anon_sym_BSLASHAcl] = ACTIONS(7383),
    [anon_sym_BSLASHaclp] = ACTIONS(7383),
    [anon_sym_BSLASHAclp] = ACTIONS(7383),
    [anon_sym_BSLASHacf] = ACTIONS(7383),
    [anon_sym_BSLASHAcf] = ACTIONS(7383),
    [anon_sym_BSLASHacfp] = ACTIONS(7383),
    [anon_sym_BSLASHAcfp] = ACTIONS(7383),
    [anon_sym_BSLASHac] = ACTIONS(7383),
    [anon_sym_BSLASHAc] = ACTIONS(7383),
    [anon_sym_BSLASHacp] = ACTIONS(7383),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7383),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7383),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7383),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7383),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7383),
    [anon_sym_BSLASHcolor] = ACTIONS(7383),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7383),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7383),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7383),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7383),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7383),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7383),
    [anon_sym_BSLASHurl] = ACTIONS(7383),
    [anon_sym_BSLASHhref] = ACTIONS(7383),
  },
  [1861] = {
    [sym_command_name] = ACTIONS(7387),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7387),
    [anon_sym_LBRACK] = ACTIONS(7389),
    [anon_sym_RBRACK] = ACTIONS(7389),
    [anon_sym_COMMA] = ACTIONS(7389),
    [anon_sym_EQ] = ACTIONS(7389),
    [anon_sym_LPAREN] = ACTIONS(7389),
    [anon_sym_RPAREN] = ACTIONS(7389),
    [anon_sym_LBRACE] = ACTIONS(7389),
    [sym_word] = ACTIONS(7387),
    [sym_placeholder] = ACTIONS(7389),
    [sym_delimiter] = ACTIONS(7389),
    [anon_sym_PLUS] = ACTIONS(7389),
    [anon_sym_DASH] = ACTIONS(7389),
    [anon_sym_STAR] = ACTIONS(7389),
    [anon_sym_SLASH] = ACTIONS(7389),
    [anon_sym_LT] = ACTIONS(7387),
    [anon_sym_GT] = ACTIONS(7387),
    [anon_sym_BANG] = ACTIONS(7387),
    [anon_sym_PIPE] = ACTIONS(7387),
    [anon_sym_COLON] = ACTIONS(7387),
    [anon_sym_SQUOTE] = ACTIONS(7387),
    [anon_sym__] = ACTIONS(7389),
    [anon_sym_CARET] = ACTIONS(7389),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7389),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7389),
    [anon_sym_DOLLAR] = ACTIONS(7387),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7389),
    [anon_sym_BSLASHleft] = ACTIONS(7387),
    [anon_sym_BSLASHbigl] = ACTIONS(7387),
    [anon_sym_BSLASHBigl] = ACTIONS(7387),
    [anon_sym_BSLASHbiggl] = ACTIONS(7387),
    [anon_sym_BSLASHBiggl] = ACTIONS(7387),
    [anon_sym_BSLASHtext] = ACTIONS(7387),
    [anon_sym_BSLASHintertext] = ACTIONS(7387),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7387),
    [anon_sym_BSLASHbegin] = ACTIONS(7387),
    [anon_sym_BSLASHtitle] = ACTIONS(7387),
    [anon_sym_BSLASHauthor] = ACTIONS(7387),
    [anon_sym_BSLASHusepackage] = ACTIONS(7387),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7387),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7387),
    [anon_sym_BSLASHinclude] = ACTIONS(7387),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7387),
    [anon_sym_BSLASHinput] = ACTIONS(7387),
    [anon_sym_BSLASHsubfile] = ACTIONS(7387),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7387),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7387),
    [anon_sym_BSLASHbibliography] = ACTIONS(7387),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7387),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7387),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7387),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7387),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7387),
    [anon_sym_BSLASHimport] = ACTIONS(7387),
    [anon_sym_BSLASHsubimport] = ACTIONS(7387),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7387),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7387),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7387),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7387),
    [anon_sym_BSLASHcaption] = ACTIONS(7387),
    [anon_sym_BSLASHcite] = ACTIONS(7387),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCite] = ACTIONS(7387),
    [anon_sym_BSLASHnocite] = ACTIONS(7387),
    [anon_sym_BSLASHcitet] = ACTIONS(7387),
    [anon_sym_BSLASHcitep] = ACTIONS(7387),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteA] = ACTIONS(7387),
    [anon_sym_BSLASHciteR] = ACTIONS(7387),
    [anon_sym_BSLASHciteS] = ACTIONS(7387),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7387),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7387),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7387),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7387),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteyear] = ACTIONS(7387),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitedate] = ACTIONS(7387),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteurl] = ACTIONS(7387),
    [anon_sym_BSLASHfullcite] = ACTIONS(7387),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7387),
    [anon_sym_BSLASHcitealt] = ACTIONS(7387),
    [anon_sym_BSLASHcitealp] = ACTIONS(7387),
    [anon_sym_BSLASHcitetext] = ACTIONS(7387),
    [anon_sym_BSLASHparencite] = ACTIONS(7387),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHParencite] = ACTIONS(7387),
    [anon_sym_BSLASHfootcite] = ACTIONS(7387),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7387),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7387),
    [anon_sym_BSLASHtextcite] = ACTIONS(7387),
    [anon_sym_BSLASHTextcite] = ACTIONS(7387),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7387),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7387),
    [anon_sym_BSLASHsupercite] = ACTIONS(7387),
    [anon_sym_BSLASHautocite] = ACTIONS(7387),
    [anon_sym_BSLASHAutocite] = ACTIONS(7387),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHVolcite] = ACTIONS(7387),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHavolcite] = ACTIONS(7387),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHNotecite] = ACTIONS(7387),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHlabel] = ACTIONS(7387),
    [anon_sym_BSLASHref] = ACTIONS(7387),
    [anon_sym_BSLASHeqref] = ACTIONS(7387),
    [anon_sym_BSLASHvref] = ACTIONS(7387),
    [anon_sym_BSLASHVref] = ACTIONS(7387),
    [anon_sym_BSLASHautoref] = ACTIONS(7387),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHpageref] = ACTIONS(7387),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHautopageref] = ACTIONS(7387),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcref] = ACTIONS(7387),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCref] = ACTIONS(7387),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcpageref] = ACTIONS(7387),
    [anon_sym_BSLASHCpageref] = ACTIONS(7387),
    [anon_sym_BSLASHnamecref] = ACTIONS(7387),
    [anon_sym_BSLASHnameCref] = ACTIONS(7387),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7387),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7387),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7387),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7387),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7387),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7387),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7387),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7387),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7387),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7387),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7387),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHdef] = ACTIONS(7387),
    [anon_sym_BSLASHgdef] = ACTIONS(7387),
    [anon_sym_BSLASHedef] = ACTIONS(7387),
    [anon_sym_BSLASHxdef] = ACTIONS(7387),
    [anon_sym_BSLASHlet] = ACTIONS(7387),
    [anon_sym_BSLASHglet] = ACTIONS(7387),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7387),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7387),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7387),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7387),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7387),
    [anon_sym_BSLASHgls] = ACTIONS(7387),
    [anon_sym_BSLASHGls] = ACTIONS(7387),
    [anon_sym_BSLASHGLS] = ACTIONS(7387),
    [anon_sym_BSLASHglspl] = ACTIONS(7387),
    [anon_sym_BSLASHGlspl] = ACTIONS(7387),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7387),
    [anon_sym_BSLASHglslink] = ACTIONS(7387),
    [anon_sym_BSLASHglstext] = ACTIONS(7387),
    [anon_sym_BSLASHGlstext] = ACTIONS(7387),
    [anon_sym_BSLASHGLStext] = ACTIONS(7387),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7387),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7387),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7387),
    [anon_sym_BSLASHglsplural] = ACTIONS(7387),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7387),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7387),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHglsname] = ACTIONS(7387),
    [anon_sym_BSLASHGlsname] = ACTIONS(7387),
    [anon_sym_BSLASHGLSname] = ACTIONS(7387),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7387),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7387),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7387),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7387),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7387),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7387),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7387),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7387),
    [anon_sym_BSLASHacrshort] = ACTIONS(7387),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7387),
    [anon_sym_BSLASHACRshort] = ACTIONS(7387),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHacrlong] = ACTIONS(7387),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7387),
    [anon_sym_BSLASHACRlong] = ACTIONS(7387),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHacrfull] = ACTIONS(7387),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7387),
    [anon_sym_BSLASHACRfull] = ACTIONS(7387),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHacs] = ACTIONS(7387),
    [anon_sym_BSLASHAcs] = ACTIONS(7387),
    [anon_sym_BSLASHacsp] = ACTIONS(7387),
    [anon_sym_BSLASHAcsp] = ACTIONS(7387),
    [anon_sym_BSLASHacl] = ACTIONS(7387),
    [anon_sym_BSLASHAcl] = ACTIONS(7387),
    [anon_sym_BSLASHaclp] = ACTIONS(7387),
    [anon_sym_BSLASHAclp] = ACTIONS(7387),
    [anon_sym_BSLASHacf] = ACTIONS(7387),
    [anon_sym_BSLASHAcf] = ACTIONS(7387),
    [anon_sym_BSLASHacfp] = ACTIONS(7387),
    [anon_sym_BSLASHAcfp] = ACTIONS(7387),
    [anon_sym_BSLASHac] = ACTIONS(7387),
    [anon_sym_BSLASHAc] = ACTIONS(7387),
    [anon_sym_BSLASHacp] = ACTIONS(7387),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7387),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7387),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7387),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7387),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7387),
    [anon_sym_BSLASHcolor] = ACTIONS(7387),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7387),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7387),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7387),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7387),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7387),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7387),
    [anon_sym_BSLASHurl] = ACTIONS(7387),
    [anon_sym_BSLASHhref] = ACTIONS(7387),
  },
  [1862] = {
    [sym_command_name] = ACTIONS(7391),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7391),
    [anon_sym_LBRACK] = ACTIONS(7393),
    [anon_sym_RBRACK] = ACTIONS(7393),
    [anon_sym_COMMA] = ACTIONS(7393),
    [anon_sym_EQ] = ACTIONS(7393),
    [anon_sym_LPAREN] = ACTIONS(7393),
    [anon_sym_RPAREN] = ACTIONS(7393),
    [anon_sym_LBRACE] = ACTIONS(7393),
    [sym_word] = ACTIONS(7391),
    [sym_placeholder] = ACTIONS(7393),
    [sym_delimiter] = ACTIONS(7393),
    [anon_sym_PLUS] = ACTIONS(7393),
    [anon_sym_DASH] = ACTIONS(7393),
    [anon_sym_STAR] = ACTIONS(7393),
    [anon_sym_SLASH] = ACTIONS(7393),
    [anon_sym_LT] = ACTIONS(7391),
    [anon_sym_GT] = ACTIONS(7391),
    [anon_sym_BANG] = ACTIONS(7391),
    [anon_sym_PIPE] = ACTIONS(7391),
    [anon_sym_COLON] = ACTIONS(7391),
    [anon_sym_SQUOTE] = ACTIONS(7391),
    [anon_sym__] = ACTIONS(7393),
    [anon_sym_CARET] = ACTIONS(7393),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7393),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7393),
    [anon_sym_DOLLAR] = ACTIONS(7391),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7393),
    [anon_sym_BSLASHleft] = ACTIONS(7391),
    [anon_sym_BSLASHbigl] = ACTIONS(7391),
    [anon_sym_BSLASHBigl] = ACTIONS(7391),
    [anon_sym_BSLASHbiggl] = ACTIONS(7391),
    [anon_sym_BSLASHBiggl] = ACTIONS(7391),
    [anon_sym_BSLASHtext] = ACTIONS(7391),
    [anon_sym_BSLASHintertext] = ACTIONS(7391),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7391),
    [anon_sym_BSLASHbegin] = ACTIONS(7391),
    [anon_sym_BSLASHtitle] = ACTIONS(7391),
    [anon_sym_BSLASHauthor] = ACTIONS(7391),
    [anon_sym_BSLASHusepackage] = ACTIONS(7391),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7391),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7391),
    [anon_sym_BSLASHinclude] = ACTIONS(7391),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7391),
    [anon_sym_BSLASHinput] = ACTIONS(7391),
    [anon_sym_BSLASHsubfile] = ACTIONS(7391),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7391),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7391),
    [anon_sym_BSLASHbibliography] = ACTIONS(7391),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7391),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7391),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7391),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7391),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7391),
    [anon_sym_BSLASHimport] = ACTIONS(7391),
    [anon_sym_BSLASHsubimport] = ACTIONS(7391),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7391),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7391),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7391),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7391),
    [anon_sym_BSLASHcaption] = ACTIONS(7391),
    [anon_sym_BSLASHcite] = ACTIONS(7391),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCite] = ACTIONS(7391),
    [anon_sym_BSLASHnocite] = ACTIONS(7391),
    [anon_sym_BSLASHcitet] = ACTIONS(7391),
    [anon_sym_BSLASHcitep] = ACTIONS(7391),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteA] = ACTIONS(7391),
    [anon_sym_BSLASHciteR] = ACTIONS(7391),
    [anon_sym_BSLASHciteS] = ACTIONS(7391),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7391),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7391),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7391),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7391),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteyear] = ACTIONS(7391),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitedate] = ACTIONS(7391),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteurl] = ACTIONS(7391),
    [anon_sym_BSLASHfullcite] = ACTIONS(7391),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7391),
    [anon_sym_BSLASHcitealt] = ACTIONS(7391),
    [anon_sym_BSLASHcitealp] = ACTIONS(7391),
    [anon_sym_BSLASHcitetext] = ACTIONS(7391),
    [anon_sym_BSLASHparencite] = ACTIONS(7391),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHParencite] = ACTIONS(7391),
    [anon_sym_BSLASHfootcite] = ACTIONS(7391),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7391),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7391),
    [anon_sym_BSLASHtextcite] = ACTIONS(7391),
    [anon_sym_BSLASHTextcite] = ACTIONS(7391),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7391),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7391),
    [anon_sym_BSLASHsupercite] = ACTIONS(7391),
    [anon_sym_BSLASHautocite] = ACTIONS(7391),
    [anon_sym_BSLASHAutocite] = ACTIONS(7391),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHVolcite] = ACTIONS(7391),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHavolcite] = ACTIONS(7391),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHNotecite] = ACTIONS(7391),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHlabel] = ACTIONS(7391),
    [anon_sym_BSLASHref] = ACTIONS(7391),
    [anon_sym_BSLASHeqref] = ACTIONS(7391),
    [anon_sym_BSLASHvref] = ACTIONS(7391),
    [anon_sym_BSLASHVref] = ACTIONS(7391),
    [anon_sym_BSLASHautoref] = ACTIONS(7391),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHpageref] = ACTIONS(7391),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHautopageref] = ACTIONS(7391),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcref] = ACTIONS(7391),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCref] = ACTIONS(7391),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcpageref] = ACTIONS(7391),
    [anon_sym_BSLASHCpageref] = ACTIONS(7391),
    [anon_sym_BSLASHnamecref] = ACTIONS(7391),
    [anon_sym_BSLASHnameCref] = ACTIONS(7391),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7391),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7391),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7391),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7391),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7391),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7391),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7391),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7391),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7391),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7391),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7391),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHdef] = ACTIONS(7391),
    [anon_sym_BSLASHgdef] = ACTIONS(7391),
    [anon_sym_BSLASHedef] = ACTIONS(7391),
    [anon_sym_BSLASHxdef] = ACTIONS(7391),
    [anon_sym_BSLASHlet] = ACTIONS(7391),
    [anon_sym_BSLASHglet] = ACTIONS(7391),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7391),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7391),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7391),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7391),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7391),
    [anon_sym_BSLASHgls] = ACTIONS(7391),
    [anon_sym_BSLASHGls] = ACTIONS(7391),
    [anon_sym_BSLASHGLS] = ACTIONS(7391),
    [anon_sym_BSLASHglspl] = ACTIONS(7391),
    [anon_sym_BSLASHGlspl] = ACTIONS(7391),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7391),
    [anon_sym_BSLASHglslink] = ACTIONS(7391),
    [anon_sym_BSLASHglstext] = ACTIONS(7391),
    [anon_sym_BSLASHGlstext] = ACTIONS(7391),
    [anon_sym_BSLASHGLStext] = ACTIONS(7391),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7391),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7391),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7391),
    [anon_sym_BSLASHglsplural] = ACTIONS(7391),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7391),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7391),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHglsname] = ACTIONS(7391),
    [anon_sym_BSLASHGlsname] = ACTIONS(7391),
    [anon_sym_BSLASHGLSname] = ACTIONS(7391),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7391),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7391),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7391),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7391),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7391),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7391),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7391),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7391),
    [anon_sym_BSLASHacrshort] = ACTIONS(7391),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7391),
    [anon_sym_BSLASHACRshort] = ACTIONS(7391),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHacrlong] = ACTIONS(7391),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7391),
    [anon_sym_BSLASHACRlong] = ACTIONS(7391),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHacrfull] = ACTIONS(7391),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7391),
    [anon_sym_BSLASHACRfull] = ACTIONS(7391),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHacs] = ACTIONS(7391),
    [anon_sym_BSLASHAcs] = ACTIONS(7391),
    [anon_sym_BSLASHacsp] = ACTIONS(7391),
    [anon_sym_BSLASHAcsp] = ACTIONS(7391),
    [anon_sym_BSLASHacl] = ACTIONS(7391),
    [anon_sym_BSLASHAcl] = ACTIONS(7391),
    [anon_sym_BSLASHaclp] = ACTIONS(7391),
    [anon_sym_BSLASHAclp] = ACTIONS(7391),
    [anon_sym_BSLASHacf] = ACTIONS(7391),
    [anon_sym_BSLASHAcf] = ACTIONS(7391),
    [anon_sym_BSLASHacfp] = ACTIONS(7391),
    [anon_sym_BSLASHAcfp] = ACTIONS(7391),
    [anon_sym_BSLASHac] = ACTIONS(7391),
    [anon_sym_BSLASHAc] = ACTIONS(7391),
    [anon_sym_BSLASHacp] = ACTIONS(7391),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7391),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7391),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7391),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7391),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7391),
    [anon_sym_BSLASHcolor] = ACTIONS(7391),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7391),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7391),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7391),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7391),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7391),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7391),
    [anon_sym_BSLASHurl] = ACTIONS(7391),
    [anon_sym_BSLASHhref] = ACTIONS(7391),
  },
  [1863] = {
    [sym_command_name] = ACTIONS(7395),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7395),
    [anon_sym_LBRACK] = ACTIONS(7397),
    [anon_sym_RBRACK] = ACTIONS(7397),
    [anon_sym_COMMA] = ACTIONS(7397),
    [anon_sym_EQ] = ACTIONS(7397),
    [anon_sym_LPAREN] = ACTIONS(7397),
    [anon_sym_RPAREN] = ACTIONS(7397),
    [anon_sym_LBRACE] = ACTIONS(7397),
    [sym_word] = ACTIONS(7395),
    [sym_placeholder] = ACTIONS(7397),
    [sym_delimiter] = ACTIONS(7397),
    [anon_sym_PLUS] = ACTIONS(7397),
    [anon_sym_DASH] = ACTIONS(7397),
    [anon_sym_STAR] = ACTIONS(7397),
    [anon_sym_SLASH] = ACTIONS(7397),
    [anon_sym_LT] = ACTIONS(7395),
    [anon_sym_GT] = ACTIONS(7395),
    [anon_sym_BANG] = ACTIONS(7395),
    [anon_sym_PIPE] = ACTIONS(7395),
    [anon_sym_COLON] = ACTIONS(7395),
    [anon_sym_SQUOTE] = ACTIONS(7395),
    [anon_sym__] = ACTIONS(7397),
    [anon_sym_CARET] = ACTIONS(7397),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7397),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7397),
    [anon_sym_DOLLAR] = ACTIONS(7395),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7397),
    [anon_sym_BSLASHleft] = ACTIONS(7395),
    [anon_sym_BSLASHbigl] = ACTIONS(7395),
    [anon_sym_BSLASHBigl] = ACTIONS(7395),
    [anon_sym_BSLASHbiggl] = ACTIONS(7395),
    [anon_sym_BSLASHBiggl] = ACTIONS(7395),
    [anon_sym_BSLASHtext] = ACTIONS(7395),
    [anon_sym_BSLASHintertext] = ACTIONS(7395),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7395),
    [anon_sym_BSLASHbegin] = ACTIONS(7395),
    [anon_sym_BSLASHtitle] = ACTIONS(7395),
    [anon_sym_BSLASHauthor] = ACTIONS(7395),
    [anon_sym_BSLASHusepackage] = ACTIONS(7395),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7395),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7395),
    [anon_sym_BSLASHinclude] = ACTIONS(7395),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7395),
    [anon_sym_BSLASHinput] = ACTIONS(7395),
    [anon_sym_BSLASHsubfile] = ACTIONS(7395),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7395),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7395),
    [anon_sym_BSLASHbibliography] = ACTIONS(7395),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7395),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7395),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7395),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7395),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7395),
    [anon_sym_BSLASHimport] = ACTIONS(7395),
    [anon_sym_BSLASHsubimport] = ACTIONS(7395),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7395),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7395),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7395),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7395),
    [anon_sym_BSLASHcaption] = ACTIONS(7395),
    [anon_sym_BSLASHcite] = ACTIONS(7395),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCite] = ACTIONS(7395),
    [anon_sym_BSLASHnocite] = ACTIONS(7395),
    [anon_sym_BSLASHcitet] = ACTIONS(7395),
    [anon_sym_BSLASHcitep] = ACTIONS(7395),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteA] = ACTIONS(7395),
    [anon_sym_BSLASHciteR] = ACTIONS(7395),
    [anon_sym_BSLASHciteS] = ACTIONS(7395),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7395),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7395),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7395),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7395),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteyear] = ACTIONS(7395),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitedate] = ACTIONS(7395),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteurl] = ACTIONS(7395),
    [anon_sym_BSLASHfullcite] = ACTIONS(7395),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7395),
    [anon_sym_BSLASHcitealt] = ACTIONS(7395),
    [anon_sym_BSLASHcitealp] = ACTIONS(7395),
    [anon_sym_BSLASHcitetext] = ACTIONS(7395),
    [anon_sym_BSLASHparencite] = ACTIONS(7395),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHParencite] = ACTIONS(7395),
    [anon_sym_BSLASHfootcite] = ACTIONS(7395),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7395),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7395),
    [anon_sym_BSLASHtextcite] = ACTIONS(7395),
    [anon_sym_BSLASHTextcite] = ACTIONS(7395),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7395),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7395),
    [anon_sym_BSLASHsupercite] = ACTIONS(7395),
    [anon_sym_BSLASHautocite] = ACTIONS(7395),
    [anon_sym_BSLASHAutocite] = ACTIONS(7395),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHVolcite] = ACTIONS(7395),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHavolcite] = ACTIONS(7395),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHNotecite] = ACTIONS(7395),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHlabel] = ACTIONS(7395),
    [anon_sym_BSLASHref] = ACTIONS(7395),
    [anon_sym_BSLASHeqref] = ACTIONS(7395),
    [anon_sym_BSLASHvref] = ACTIONS(7395),
    [anon_sym_BSLASHVref] = ACTIONS(7395),
    [anon_sym_BSLASHautoref] = ACTIONS(7395),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHpageref] = ACTIONS(7395),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHautopageref] = ACTIONS(7395),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcref] = ACTIONS(7395),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCref] = ACTIONS(7395),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcpageref] = ACTIONS(7395),
    [anon_sym_BSLASHCpageref] = ACTIONS(7395),
    [anon_sym_BSLASHnamecref] = ACTIONS(7395),
    [anon_sym_BSLASHnameCref] = ACTIONS(7395),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7395),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7395),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7395),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7395),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7395),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7395),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7395),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7395),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7395),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7395),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7395),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHdef] = ACTIONS(7395),
    [anon_sym_BSLASHgdef] = ACTIONS(7395),
    [anon_sym_BSLASHedef] = ACTIONS(7395),
    [anon_sym_BSLASHxdef] = ACTIONS(7395),
    [anon_sym_BSLASHlet] = ACTIONS(7395),
    [anon_sym_BSLASHglet] = ACTIONS(7395),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7395),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7395),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7395),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7395),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7395),
    [anon_sym_BSLASHgls] = ACTIONS(7395),
    [anon_sym_BSLASHGls] = ACTIONS(7395),
    [anon_sym_BSLASHGLS] = ACTIONS(7395),
    [anon_sym_BSLASHglspl] = ACTIONS(7395),
    [anon_sym_BSLASHGlspl] = ACTIONS(7395),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7395),
    [anon_sym_BSLASHglslink] = ACTIONS(7395),
    [anon_sym_BSLASHglstext] = ACTIONS(7395),
    [anon_sym_BSLASHGlstext] = ACTIONS(7395),
    [anon_sym_BSLASHGLStext] = ACTIONS(7395),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7395),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7395),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7395),
    [anon_sym_BSLASHglsplural] = ACTIONS(7395),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7395),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7395),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHglsname] = ACTIONS(7395),
    [anon_sym_BSLASHGlsname] = ACTIONS(7395),
    [anon_sym_BSLASHGLSname] = ACTIONS(7395),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7395),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7395),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7395),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7395),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7395),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7395),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7395),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7395),
    [anon_sym_BSLASHacrshort] = ACTIONS(7395),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7395),
    [anon_sym_BSLASHACRshort] = ACTIONS(7395),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHacrlong] = ACTIONS(7395),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7395),
    [anon_sym_BSLASHACRlong] = ACTIONS(7395),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHacrfull] = ACTIONS(7395),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7395),
    [anon_sym_BSLASHACRfull] = ACTIONS(7395),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHacs] = ACTIONS(7395),
    [anon_sym_BSLASHAcs] = ACTIONS(7395),
    [anon_sym_BSLASHacsp] = ACTIONS(7395),
    [anon_sym_BSLASHAcsp] = ACTIONS(7395),
    [anon_sym_BSLASHacl] = ACTIONS(7395),
    [anon_sym_BSLASHAcl] = ACTIONS(7395),
    [anon_sym_BSLASHaclp] = ACTIONS(7395),
    [anon_sym_BSLASHAclp] = ACTIONS(7395),
    [anon_sym_BSLASHacf] = ACTIONS(7395),
    [anon_sym_BSLASHAcf] = ACTIONS(7395),
    [anon_sym_BSLASHacfp] = ACTIONS(7395),
    [anon_sym_BSLASHAcfp] = ACTIONS(7395),
    [anon_sym_BSLASHac] = ACTIONS(7395),
    [anon_sym_BSLASHAc] = ACTIONS(7395),
    [anon_sym_BSLASHacp] = ACTIONS(7395),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7395),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7395),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7395),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7395),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7395),
    [anon_sym_BSLASHcolor] = ACTIONS(7395),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7395),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7395),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7395),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7395),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7395),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7395),
    [anon_sym_BSLASHurl] = ACTIONS(7395),
    [anon_sym_BSLASHhref] = ACTIONS(7395),
  },
  [1864] = {
    [sym_command_name] = ACTIONS(7399),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7399),
    [anon_sym_LBRACK] = ACTIONS(7401),
    [anon_sym_RBRACK] = ACTIONS(7401),
    [anon_sym_COMMA] = ACTIONS(7401),
    [anon_sym_EQ] = ACTIONS(7401),
    [anon_sym_LPAREN] = ACTIONS(7401),
    [anon_sym_RPAREN] = ACTIONS(7401),
    [anon_sym_LBRACE] = ACTIONS(7401),
    [sym_word] = ACTIONS(7399),
    [sym_placeholder] = ACTIONS(7401),
    [sym_delimiter] = ACTIONS(7401),
    [anon_sym_PLUS] = ACTIONS(7401),
    [anon_sym_DASH] = ACTIONS(7401),
    [anon_sym_STAR] = ACTIONS(7401),
    [anon_sym_SLASH] = ACTIONS(7401),
    [anon_sym_LT] = ACTIONS(7399),
    [anon_sym_GT] = ACTIONS(7399),
    [anon_sym_BANG] = ACTIONS(7399),
    [anon_sym_PIPE] = ACTIONS(7399),
    [anon_sym_COLON] = ACTIONS(7399),
    [anon_sym_SQUOTE] = ACTIONS(7399),
    [anon_sym__] = ACTIONS(7401),
    [anon_sym_CARET] = ACTIONS(7401),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7401),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7401),
    [anon_sym_DOLLAR] = ACTIONS(7399),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7401),
    [anon_sym_BSLASHleft] = ACTIONS(7399),
    [anon_sym_BSLASHbigl] = ACTIONS(7399),
    [anon_sym_BSLASHBigl] = ACTIONS(7399),
    [anon_sym_BSLASHbiggl] = ACTIONS(7399),
    [anon_sym_BSLASHBiggl] = ACTIONS(7399),
    [anon_sym_BSLASHtext] = ACTIONS(7399),
    [anon_sym_BSLASHintertext] = ACTIONS(7399),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7399),
    [anon_sym_BSLASHbegin] = ACTIONS(7399),
    [anon_sym_BSLASHtitle] = ACTIONS(7399),
    [anon_sym_BSLASHauthor] = ACTIONS(7399),
    [anon_sym_BSLASHusepackage] = ACTIONS(7399),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7399),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7399),
    [anon_sym_BSLASHinclude] = ACTIONS(7399),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7399),
    [anon_sym_BSLASHinput] = ACTIONS(7399),
    [anon_sym_BSLASHsubfile] = ACTIONS(7399),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7399),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7399),
    [anon_sym_BSLASHbibliography] = ACTIONS(7399),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7399),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7399),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7399),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7399),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7399),
    [anon_sym_BSLASHimport] = ACTIONS(7399),
    [anon_sym_BSLASHsubimport] = ACTIONS(7399),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7399),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7399),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7399),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7399),
    [anon_sym_BSLASHcaption] = ACTIONS(7399),
    [anon_sym_BSLASHcite] = ACTIONS(7399),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCite] = ACTIONS(7399),
    [anon_sym_BSLASHnocite] = ACTIONS(7399),
    [anon_sym_BSLASHcitet] = ACTIONS(7399),
    [anon_sym_BSLASHcitep] = ACTIONS(7399),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteA] = ACTIONS(7399),
    [anon_sym_BSLASHciteR] = ACTIONS(7399),
    [anon_sym_BSLASHciteS] = ACTIONS(7399),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7399),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7399),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7399),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7399),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteyear] = ACTIONS(7399),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitedate] = ACTIONS(7399),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteurl] = ACTIONS(7399),
    [anon_sym_BSLASHfullcite] = ACTIONS(7399),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7399),
    [anon_sym_BSLASHcitealt] = ACTIONS(7399),
    [anon_sym_BSLASHcitealp] = ACTIONS(7399),
    [anon_sym_BSLASHcitetext] = ACTIONS(7399),
    [anon_sym_BSLASHparencite] = ACTIONS(7399),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHParencite] = ACTIONS(7399),
    [anon_sym_BSLASHfootcite] = ACTIONS(7399),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7399),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7399),
    [anon_sym_BSLASHtextcite] = ACTIONS(7399),
    [anon_sym_BSLASHTextcite] = ACTIONS(7399),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7399),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7399),
    [anon_sym_BSLASHsupercite] = ACTIONS(7399),
    [anon_sym_BSLASHautocite] = ACTIONS(7399),
    [anon_sym_BSLASHAutocite] = ACTIONS(7399),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHVolcite] = ACTIONS(7399),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHavolcite] = ACTIONS(7399),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHNotecite] = ACTIONS(7399),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHlabel] = ACTIONS(7399),
    [anon_sym_BSLASHref] = ACTIONS(7399),
    [anon_sym_BSLASHeqref] = ACTIONS(7399),
    [anon_sym_BSLASHvref] = ACTIONS(7399),
    [anon_sym_BSLASHVref] = ACTIONS(7399),
    [anon_sym_BSLASHautoref] = ACTIONS(7399),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHpageref] = ACTIONS(7399),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHautopageref] = ACTIONS(7399),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcref] = ACTIONS(7399),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCref] = ACTIONS(7399),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcpageref] = ACTIONS(7399),
    [anon_sym_BSLASHCpageref] = ACTIONS(7399),
    [anon_sym_BSLASHnamecref] = ACTIONS(7399),
    [anon_sym_BSLASHnameCref] = ACTIONS(7399),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7399),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7399),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7399),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7399),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7399),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7399),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7399),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7399),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7399),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7399),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7399),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHdef] = ACTIONS(7399),
    [anon_sym_BSLASHgdef] = ACTIONS(7399),
    [anon_sym_BSLASHedef] = ACTIONS(7399),
    [anon_sym_BSLASHxdef] = ACTIONS(7399),
    [anon_sym_BSLASHlet] = ACTIONS(7399),
    [anon_sym_BSLASHglet] = ACTIONS(7399),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7399),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7399),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7399),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7399),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7399),
    [anon_sym_BSLASHgls] = ACTIONS(7399),
    [anon_sym_BSLASHGls] = ACTIONS(7399),
    [anon_sym_BSLASHGLS] = ACTIONS(7399),
    [anon_sym_BSLASHglspl] = ACTIONS(7399),
    [anon_sym_BSLASHGlspl] = ACTIONS(7399),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7399),
    [anon_sym_BSLASHglslink] = ACTIONS(7399),
    [anon_sym_BSLASHglstext] = ACTIONS(7399),
    [anon_sym_BSLASHGlstext] = ACTIONS(7399),
    [anon_sym_BSLASHGLStext] = ACTIONS(7399),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7399),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7399),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7399),
    [anon_sym_BSLASHglsplural] = ACTIONS(7399),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7399),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7399),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHglsname] = ACTIONS(7399),
    [anon_sym_BSLASHGlsname] = ACTIONS(7399),
    [anon_sym_BSLASHGLSname] = ACTIONS(7399),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7399),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7399),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7399),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7399),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7399),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7399),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7399),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7399),
    [anon_sym_BSLASHacrshort] = ACTIONS(7399),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7399),
    [anon_sym_BSLASHACRshort] = ACTIONS(7399),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHacrlong] = ACTIONS(7399),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7399),
    [anon_sym_BSLASHACRlong] = ACTIONS(7399),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHacrfull] = ACTIONS(7399),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7399),
    [anon_sym_BSLASHACRfull] = ACTIONS(7399),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHacs] = ACTIONS(7399),
    [anon_sym_BSLASHAcs] = ACTIONS(7399),
    [anon_sym_BSLASHacsp] = ACTIONS(7399),
    [anon_sym_BSLASHAcsp] = ACTIONS(7399),
    [anon_sym_BSLASHacl] = ACTIONS(7399),
    [anon_sym_BSLASHAcl] = ACTIONS(7399),
    [anon_sym_BSLASHaclp] = ACTIONS(7399),
    [anon_sym_BSLASHAclp] = ACTIONS(7399),
    [anon_sym_BSLASHacf] = ACTIONS(7399),
    [anon_sym_BSLASHAcf] = ACTIONS(7399),
    [anon_sym_BSLASHacfp] = ACTIONS(7399),
    [anon_sym_BSLASHAcfp] = ACTIONS(7399),
    [anon_sym_BSLASHac] = ACTIONS(7399),
    [anon_sym_BSLASHAc] = ACTIONS(7399),
    [anon_sym_BSLASHacp] = ACTIONS(7399),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7399),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7399),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7399),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7399),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7399),
    [anon_sym_BSLASHcolor] = ACTIONS(7399),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7399),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7399),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7399),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7399),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7399),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7399),
    [anon_sym_BSLASHurl] = ACTIONS(7399),
    [anon_sym_BSLASHhref] = ACTIONS(7399),
  },
  [1865] = {
    [sym_command_name] = ACTIONS(7403),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7403),
    [anon_sym_LBRACK] = ACTIONS(7405),
    [anon_sym_RBRACK] = ACTIONS(7405),
    [anon_sym_COMMA] = ACTIONS(7405),
    [anon_sym_EQ] = ACTIONS(7405),
    [anon_sym_LPAREN] = ACTIONS(7405),
    [anon_sym_RPAREN] = ACTIONS(7405),
    [anon_sym_LBRACE] = ACTIONS(7405),
    [sym_word] = ACTIONS(7403),
    [sym_placeholder] = ACTIONS(7405),
    [sym_delimiter] = ACTIONS(7405),
    [anon_sym_PLUS] = ACTIONS(7405),
    [anon_sym_DASH] = ACTIONS(7405),
    [anon_sym_STAR] = ACTIONS(7405),
    [anon_sym_SLASH] = ACTIONS(7405),
    [anon_sym_LT] = ACTIONS(7403),
    [anon_sym_GT] = ACTIONS(7403),
    [anon_sym_BANG] = ACTIONS(7403),
    [anon_sym_PIPE] = ACTIONS(7403),
    [anon_sym_COLON] = ACTIONS(7403),
    [anon_sym_SQUOTE] = ACTIONS(7403),
    [anon_sym__] = ACTIONS(7405),
    [anon_sym_CARET] = ACTIONS(7405),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7405),
    [anon_sym_DOLLAR] = ACTIONS(7403),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7405),
    [anon_sym_BSLASHleft] = ACTIONS(7403),
    [anon_sym_BSLASHbigl] = ACTIONS(7403),
    [anon_sym_BSLASHBigl] = ACTIONS(7403),
    [anon_sym_BSLASHbiggl] = ACTIONS(7403),
    [anon_sym_BSLASHBiggl] = ACTIONS(7403),
    [anon_sym_BSLASHtext] = ACTIONS(7403),
    [anon_sym_BSLASHintertext] = ACTIONS(7403),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7403),
    [anon_sym_BSLASHbegin] = ACTIONS(7403),
    [anon_sym_BSLASHtitle] = ACTIONS(7403),
    [anon_sym_BSLASHauthor] = ACTIONS(7403),
    [anon_sym_BSLASHusepackage] = ACTIONS(7403),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7403),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7403),
    [anon_sym_BSLASHinclude] = ACTIONS(7403),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7403),
    [anon_sym_BSLASHinput] = ACTIONS(7403),
    [anon_sym_BSLASHsubfile] = ACTIONS(7403),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7403),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7403),
    [anon_sym_BSLASHbibliography] = ACTIONS(7403),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7403),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7403),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7403),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7403),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7403),
    [anon_sym_BSLASHimport] = ACTIONS(7403),
    [anon_sym_BSLASHsubimport] = ACTIONS(7403),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7403),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7403),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7403),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7403),
    [anon_sym_BSLASHcaption] = ACTIONS(7403),
    [anon_sym_BSLASHcite] = ACTIONS(7403),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCite] = ACTIONS(7403),
    [anon_sym_BSLASHnocite] = ACTIONS(7403),
    [anon_sym_BSLASHcitet] = ACTIONS(7403),
    [anon_sym_BSLASHcitep] = ACTIONS(7403),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteA] = ACTIONS(7403),
    [anon_sym_BSLASHciteR] = ACTIONS(7403),
    [anon_sym_BSLASHciteS] = ACTIONS(7403),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7403),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7403),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7403),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7403),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteyear] = ACTIONS(7403),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitedate] = ACTIONS(7403),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteurl] = ACTIONS(7403),
    [anon_sym_BSLASHfullcite] = ACTIONS(7403),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7403),
    [anon_sym_BSLASHcitealt] = ACTIONS(7403),
    [anon_sym_BSLASHcitealp] = ACTIONS(7403),
    [anon_sym_BSLASHcitetext] = ACTIONS(7403),
    [anon_sym_BSLASHparencite] = ACTIONS(7403),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHParencite] = ACTIONS(7403),
    [anon_sym_BSLASHfootcite] = ACTIONS(7403),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7403),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7403),
    [anon_sym_BSLASHtextcite] = ACTIONS(7403),
    [anon_sym_BSLASHTextcite] = ACTIONS(7403),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7403),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7403),
    [anon_sym_BSLASHsupercite] = ACTIONS(7403),
    [anon_sym_BSLASHautocite] = ACTIONS(7403),
    [anon_sym_BSLASHAutocite] = ACTIONS(7403),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHVolcite] = ACTIONS(7403),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHavolcite] = ACTIONS(7403),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHNotecite] = ACTIONS(7403),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHlabel] = ACTIONS(7403),
    [anon_sym_BSLASHref] = ACTIONS(7403),
    [anon_sym_BSLASHeqref] = ACTIONS(7403),
    [anon_sym_BSLASHvref] = ACTIONS(7403),
    [anon_sym_BSLASHVref] = ACTIONS(7403),
    [anon_sym_BSLASHautoref] = ACTIONS(7403),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHpageref] = ACTIONS(7403),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHautopageref] = ACTIONS(7403),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcref] = ACTIONS(7403),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCref] = ACTIONS(7403),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcpageref] = ACTIONS(7403),
    [anon_sym_BSLASHCpageref] = ACTIONS(7403),
    [anon_sym_BSLASHnamecref] = ACTIONS(7403),
    [anon_sym_BSLASHnameCref] = ACTIONS(7403),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7403),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7403),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7403),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7403),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7403),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7403),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7403),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7403),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7403),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7403),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7403),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHdef] = ACTIONS(7403),
    [anon_sym_BSLASHgdef] = ACTIONS(7403),
    [anon_sym_BSLASHedef] = ACTIONS(7403),
    [anon_sym_BSLASHxdef] = ACTIONS(7403),
    [anon_sym_BSLASHlet] = ACTIONS(7403),
    [anon_sym_BSLASHglet] = ACTIONS(7403),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7403),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7403),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7403),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7403),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7403),
    [anon_sym_BSLASHgls] = ACTIONS(7403),
    [anon_sym_BSLASHGls] = ACTIONS(7403),
    [anon_sym_BSLASHGLS] = ACTIONS(7403),
    [anon_sym_BSLASHglspl] = ACTIONS(7403),
    [anon_sym_BSLASHGlspl] = ACTIONS(7403),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7403),
    [anon_sym_BSLASHglslink] = ACTIONS(7403),
    [anon_sym_BSLASHglstext] = ACTIONS(7403),
    [anon_sym_BSLASHGlstext] = ACTIONS(7403),
    [anon_sym_BSLASHGLStext] = ACTIONS(7403),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7403),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7403),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7403),
    [anon_sym_BSLASHglsplural] = ACTIONS(7403),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7403),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7403),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHglsname] = ACTIONS(7403),
    [anon_sym_BSLASHGlsname] = ACTIONS(7403),
    [anon_sym_BSLASHGLSname] = ACTIONS(7403),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7403),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7403),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7403),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7403),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7403),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7403),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7403),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7403),
    [anon_sym_BSLASHacrshort] = ACTIONS(7403),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7403),
    [anon_sym_BSLASHACRshort] = ACTIONS(7403),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHacrlong] = ACTIONS(7403),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7403),
    [anon_sym_BSLASHACRlong] = ACTIONS(7403),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHacrfull] = ACTIONS(7403),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7403),
    [anon_sym_BSLASHACRfull] = ACTIONS(7403),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHacs] = ACTIONS(7403),
    [anon_sym_BSLASHAcs] = ACTIONS(7403),
    [anon_sym_BSLASHacsp] = ACTIONS(7403),
    [anon_sym_BSLASHAcsp] = ACTIONS(7403),
    [anon_sym_BSLASHacl] = ACTIONS(7403),
    [anon_sym_BSLASHAcl] = ACTIONS(7403),
    [anon_sym_BSLASHaclp] = ACTIONS(7403),
    [anon_sym_BSLASHAclp] = ACTIONS(7403),
    [anon_sym_BSLASHacf] = ACTIONS(7403),
    [anon_sym_BSLASHAcf] = ACTIONS(7403),
    [anon_sym_BSLASHacfp] = ACTIONS(7403),
    [anon_sym_BSLASHAcfp] = ACTIONS(7403),
    [anon_sym_BSLASHac] = ACTIONS(7403),
    [anon_sym_BSLASHAc] = ACTIONS(7403),
    [anon_sym_BSLASHacp] = ACTIONS(7403),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7403),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7403),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7403),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7403),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7403),
    [anon_sym_BSLASHcolor] = ACTIONS(7403),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7403),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7403),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7403),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7403),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7403),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7403),
    [anon_sym_BSLASHurl] = ACTIONS(7403),
    [anon_sym_BSLASHhref] = ACTIONS(7403),
  },
  [1866] = {
    [sym_command_name] = ACTIONS(7407),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7407),
    [anon_sym_LBRACK] = ACTIONS(7409),
    [anon_sym_RBRACK] = ACTIONS(7409),
    [anon_sym_COMMA] = ACTIONS(7409),
    [anon_sym_EQ] = ACTIONS(7409),
    [anon_sym_LPAREN] = ACTIONS(7409),
    [anon_sym_RPAREN] = ACTIONS(7409),
    [anon_sym_LBRACE] = ACTIONS(7409),
    [sym_word] = ACTIONS(7407),
    [sym_placeholder] = ACTIONS(7409),
    [sym_delimiter] = ACTIONS(7409),
    [anon_sym_PLUS] = ACTIONS(7409),
    [anon_sym_DASH] = ACTIONS(7409),
    [anon_sym_STAR] = ACTIONS(7409),
    [anon_sym_SLASH] = ACTIONS(7409),
    [anon_sym_LT] = ACTIONS(7407),
    [anon_sym_GT] = ACTIONS(7407),
    [anon_sym_BANG] = ACTIONS(7407),
    [anon_sym_PIPE] = ACTIONS(7407),
    [anon_sym_COLON] = ACTIONS(7407),
    [anon_sym_SQUOTE] = ACTIONS(7407),
    [anon_sym__] = ACTIONS(7409),
    [anon_sym_CARET] = ACTIONS(7409),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7409),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7409),
    [anon_sym_DOLLAR] = ACTIONS(7407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7409),
    [anon_sym_BSLASHleft] = ACTIONS(7407),
    [anon_sym_BSLASHbigl] = ACTIONS(7407),
    [anon_sym_BSLASHBigl] = ACTIONS(7407),
    [anon_sym_BSLASHbiggl] = ACTIONS(7407),
    [anon_sym_BSLASHBiggl] = ACTIONS(7407),
    [anon_sym_BSLASHtext] = ACTIONS(7407),
    [anon_sym_BSLASHintertext] = ACTIONS(7407),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7407),
    [anon_sym_BSLASHbegin] = ACTIONS(7407),
    [anon_sym_BSLASHtitle] = ACTIONS(7407),
    [anon_sym_BSLASHauthor] = ACTIONS(7407),
    [anon_sym_BSLASHusepackage] = ACTIONS(7407),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7407),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7407),
    [anon_sym_BSLASHinclude] = ACTIONS(7407),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7407),
    [anon_sym_BSLASHinput] = ACTIONS(7407),
    [anon_sym_BSLASHsubfile] = ACTIONS(7407),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7407),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7407),
    [anon_sym_BSLASHbibliography] = ACTIONS(7407),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7407),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7407),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7407),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7407),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7407),
    [anon_sym_BSLASHimport] = ACTIONS(7407),
    [anon_sym_BSLASHsubimport] = ACTIONS(7407),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7407),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7407),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7407),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7407),
    [anon_sym_BSLASHcaption] = ACTIONS(7407),
    [anon_sym_BSLASHcite] = ACTIONS(7407),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCite] = ACTIONS(7407),
    [anon_sym_BSLASHnocite] = ACTIONS(7407),
    [anon_sym_BSLASHcitet] = ACTIONS(7407),
    [anon_sym_BSLASHcitep] = ACTIONS(7407),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteA] = ACTIONS(7407),
    [anon_sym_BSLASHciteR] = ACTIONS(7407),
    [anon_sym_BSLASHciteS] = ACTIONS(7407),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7407),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7407),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7407),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7407),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteyear] = ACTIONS(7407),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitedate] = ACTIONS(7407),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteurl] = ACTIONS(7407),
    [anon_sym_BSLASHfullcite] = ACTIONS(7407),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7407),
    [anon_sym_BSLASHcitealt] = ACTIONS(7407),
    [anon_sym_BSLASHcitealp] = ACTIONS(7407),
    [anon_sym_BSLASHcitetext] = ACTIONS(7407),
    [anon_sym_BSLASHparencite] = ACTIONS(7407),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHParencite] = ACTIONS(7407),
    [anon_sym_BSLASHfootcite] = ACTIONS(7407),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7407),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7407),
    [anon_sym_BSLASHtextcite] = ACTIONS(7407),
    [anon_sym_BSLASHTextcite] = ACTIONS(7407),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7407),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7407),
    [anon_sym_BSLASHsupercite] = ACTIONS(7407),
    [anon_sym_BSLASHautocite] = ACTIONS(7407),
    [anon_sym_BSLASHAutocite] = ACTIONS(7407),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHVolcite] = ACTIONS(7407),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHavolcite] = ACTIONS(7407),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHNotecite] = ACTIONS(7407),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHlabel] = ACTIONS(7407),
    [anon_sym_BSLASHref] = ACTIONS(7407),
    [anon_sym_BSLASHeqref] = ACTIONS(7407),
    [anon_sym_BSLASHvref] = ACTIONS(7407),
    [anon_sym_BSLASHVref] = ACTIONS(7407),
    [anon_sym_BSLASHautoref] = ACTIONS(7407),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHpageref] = ACTIONS(7407),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHautopageref] = ACTIONS(7407),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcref] = ACTIONS(7407),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCref] = ACTIONS(7407),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcpageref] = ACTIONS(7407),
    [anon_sym_BSLASHCpageref] = ACTIONS(7407),
    [anon_sym_BSLASHnamecref] = ACTIONS(7407),
    [anon_sym_BSLASHnameCref] = ACTIONS(7407),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7407),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7407),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7407),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7407),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7407),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7407),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7407),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7407),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7407),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7407),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7407),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHdef] = ACTIONS(7407),
    [anon_sym_BSLASHgdef] = ACTIONS(7407),
    [anon_sym_BSLASHedef] = ACTIONS(7407),
    [anon_sym_BSLASHxdef] = ACTIONS(7407),
    [anon_sym_BSLASHlet] = ACTIONS(7407),
    [anon_sym_BSLASHglet] = ACTIONS(7407),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7407),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7407),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7407),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7407),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7407),
    [anon_sym_BSLASHgls] = ACTIONS(7407),
    [anon_sym_BSLASHGls] = ACTIONS(7407),
    [anon_sym_BSLASHGLS] = ACTIONS(7407),
    [anon_sym_BSLASHglspl] = ACTIONS(7407),
    [anon_sym_BSLASHGlspl] = ACTIONS(7407),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7407),
    [anon_sym_BSLASHglslink] = ACTIONS(7407),
    [anon_sym_BSLASHglstext] = ACTIONS(7407),
    [anon_sym_BSLASHGlstext] = ACTIONS(7407),
    [anon_sym_BSLASHGLStext] = ACTIONS(7407),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7407),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7407),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7407),
    [anon_sym_BSLASHglsplural] = ACTIONS(7407),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7407),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7407),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHglsname] = ACTIONS(7407),
    [anon_sym_BSLASHGlsname] = ACTIONS(7407),
    [anon_sym_BSLASHGLSname] = ACTIONS(7407),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7407),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7407),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7407),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7407),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7407),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7407),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7407),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7407),
    [anon_sym_BSLASHacrshort] = ACTIONS(7407),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7407),
    [anon_sym_BSLASHACRshort] = ACTIONS(7407),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHacrlong] = ACTIONS(7407),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7407),
    [anon_sym_BSLASHACRlong] = ACTIONS(7407),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHacrfull] = ACTIONS(7407),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7407),
    [anon_sym_BSLASHACRfull] = ACTIONS(7407),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHacs] = ACTIONS(7407),
    [anon_sym_BSLASHAcs] = ACTIONS(7407),
    [anon_sym_BSLASHacsp] = ACTIONS(7407),
    [anon_sym_BSLASHAcsp] = ACTIONS(7407),
    [anon_sym_BSLASHacl] = ACTIONS(7407),
    [anon_sym_BSLASHAcl] = ACTIONS(7407),
    [anon_sym_BSLASHaclp] = ACTIONS(7407),
    [anon_sym_BSLASHAclp] = ACTIONS(7407),
    [anon_sym_BSLASHacf] = ACTIONS(7407),
    [anon_sym_BSLASHAcf] = ACTIONS(7407),
    [anon_sym_BSLASHacfp] = ACTIONS(7407),
    [anon_sym_BSLASHAcfp] = ACTIONS(7407),
    [anon_sym_BSLASHac] = ACTIONS(7407),
    [anon_sym_BSLASHAc] = ACTIONS(7407),
    [anon_sym_BSLASHacp] = ACTIONS(7407),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7407),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7407),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7407),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7407),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7407),
    [anon_sym_BSLASHcolor] = ACTIONS(7407),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7407),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7407),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7407),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7407),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7407),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7407),
    [anon_sym_BSLASHurl] = ACTIONS(7407),
    [anon_sym_BSLASHhref] = ACTIONS(7407),
  },
  [1867] = {
    [sym_command_name] = ACTIONS(7411),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7411),
    [anon_sym_LBRACK] = ACTIONS(7413),
    [anon_sym_RBRACK] = ACTIONS(7413),
    [anon_sym_COMMA] = ACTIONS(7413),
    [anon_sym_EQ] = ACTIONS(7413),
    [anon_sym_LPAREN] = ACTIONS(7413),
    [anon_sym_RPAREN] = ACTIONS(7413),
    [anon_sym_LBRACE] = ACTIONS(7413),
    [sym_word] = ACTIONS(7411),
    [sym_placeholder] = ACTIONS(7413),
    [sym_delimiter] = ACTIONS(7413),
    [anon_sym_PLUS] = ACTIONS(7413),
    [anon_sym_DASH] = ACTIONS(7413),
    [anon_sym_STAR] = ACTIONS(7413),
    [anon_sym_SLASH] = ACTIONS(7413),
    [anon_sym_LT] = ACTIONS(7411),
    [anon_sym_GT] = ACTIONS(7411),
    [anon_sym_BANG] = ACTIONS(7411),
    [anon_sym_PIPE] = ACTIONS(7411),
    [anon_sym_COLON] = ACTIONS(7411),
    [anon_sym_SQUOTE] = ACTIONS(7411),
    [anon_sym__] = ACTIONS(7413),
    [anon_sym_CARET] = ACTIONS(7413),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7413),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7413),
    [anon_sym_DOLLAR] = ACTIONS(7411),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7413),
    [anon_sym_BSLASHleft] = ACTIONS(7411),
    [anon_sym_BSLASHbigl] = ACTIONS(7411),
    [anon_sym_BSLASHBigl] = ACTIONS(7411),
    [anon_sym_BSLASHbiggl] = ACTIONS(7411),
    [anon_sym_BSLASHBiggl] = ACTIONS(7411),
    [anon_sym_BSLASHtext] = ACTIONS(7411),
    [anon_sym_BSLASHintertext] = ACTIONS(7411),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7411),
    [anon_sym_BSLASHbegin] = ACTIONS(7411),
    [anon_sym_BSLASHtitle] = ACTIONS(7411),
    [anon_sym_BSLASHauthor] = ACTIONS(7411),
    [anon_sym_BSLASHusepackage] = ACTIONS(7411),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7411),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7411),
    [anon_sym_BSLASHinclude] = ACTIONS(7411),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7411),
    [anon_sym_BSLASHinput] = ACTIONS(7411),
    [anon_sym_BSLASHsubfile] = ACTIONS(7411),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7411),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7411),
    [anon_sym_BSLASHbibliography] = ACTIONS(7411),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7411),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7411),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7411),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7411),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7411),
    [anon_sym_BSLASHimport] = ACTIONS(7411),
    [anon_sym_BSLASHsubimport] = ACTIONS(7411),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7411),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7411),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7411),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7411),
    [anon_sym_BSLASHcaption] = ACTIONS(7411),
    [anon_sym_BSLASHcite] = ACTIONS(7411),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCite] = ACTIONS(7411),
    [anon_sym_BSLASHnocite] = ACTIONS(7411),
    [anon_sym_BSLASHcitet] = ACTIONS(7411),
    [anon_sym_BSLASHcitep] = ACTIONS(7411),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteA] = ACTIONS(7411),
    [anon_sym_BSLASHciteR] = ACTIONS(7411),
    [anon_sym_BSLASHciteS] = ACTIONS(7411),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7411),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7411),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7411),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7411),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteyear] = ACTIONS(7411),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitedate] = ACTIONS(7411),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteurl] = ACTIONS(7411),
    [anon_sym_BSLASHfullcite] = ACTIONS(7411),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7411),
    [anon_sym_BSLASHcitealt] = ACTIONS(7411),
    [anon_sym_BSLASHcitealp] = ACTIONS(7411),
    [anon_sym_BSLASHcitetext] = ACTIONS(7411),
    [anon_sym_BSLASHparencite] = ACTIONS(7411),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHParencite] = ACTIONS(7411),
    [anon_sym_BSLASHfootcite] = ACTIONS(7411),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7411),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7411),
    [anon_sym_BSLASHtextcite] = ACTIONS(7411),
    [anon_sym_BSLASHTextcite] = ACTIONS(7411),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7411),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7411),
    [anon_sym_BSLASHsupercite] = ACTIONS(7411),
    [anon_sym_BSLASHautocite] = ACTIONS(7411),
    [anon_sym_BSLASHAutocite] = ACTIONS(7411),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHVolcite] = ACTIONS(7411),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHavolcite] = ACTIONS(7411),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHNotecite] = ACTIONS(7411),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHlabel] = ACTIONS(7411),
    [anon_sym_BSLASHref] = ACTIONS(7411),
    [anon_sym_BSLASHeqref] = ACTIONS(7411),
    [anon_sym_BSLASHvref] = ACTIONS(7411),
    [anon_sym_BSLASHVref] = ACTIONS(7411),
    [anon_sym_BSLASHautoref] = ACTIONS(7411),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHpageref] = ACTIONS(7411),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHautopageref] = ACTIONS(7411),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcref] = ACTIONS(7411),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCref] = ACTIONS(7411),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcpageref] = ACTIONS(7411),
    [anon_sym_BSLASHCpageref] = ACTIONS(7411),
    [anon_sym_BSLASHnamecref] = ACTIONS(7411),
    [anon_sym_BSLASHnameCref] = ACTIONS(7411),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7411),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7411),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7411),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7411),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7411),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7411),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7411),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7411),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7411),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7411),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7411),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHdef] = ACTIONS(7411),
    [anon_sym_BSLASHgdef] = ACTIONS(7411),
    [anon_sym_BSLASHedef] = ACTIONS(7411),
    [anon_sym_BSLASHxdef] = ACTIONS(7411),
    [anon_sym_BSLASHlet] = ACTIONS(7411),
    [anon_sym_BSLASHglet] = ACTIONS(7411),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7411),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7411),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7411),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7411),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7411),
    [anon_sym_BSLASHgls] = ACTIONS(7411),
    [anon_sym_BSLASHGls] = ACTIONS(7411),
    [anon_sym_BSLASHGLS] = ACTIONS(7411),
    [anon_sym_BSLASHglspl] = ACTIONS(7411),
    [anon_sym_BSLASHGlspl] = ACTIONS(7411),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7411),
    [anon_sym_BSLASHglslink] = ACTIONS(7411),
    [anon_sym_BSLASHglstext] = ACTIONS(7411),
    [anon_sym_BSLASHGlstext] = ACTIONS(7411),
    [anon_sym_BSLASHGLStext] = ACTIONS(7411),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7411),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7411),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7411),
    [anon_sym_BSLASHglsplural] = ACTIONS(7411),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7411),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7411),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHglsname] = ACTIONS(7411),
    [anon_sym_BSLASHGlsname] = ACTIONS(7411),
    [anon_sym_BSLASHGLSname] = ACTIONS(7411),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7411),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7411),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7411),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7411),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7411),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7411),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7411),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7411),
    [anon_sym_BSLASHacrshort] = ACTIONS(7411),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7411),
    [anon_sym_BSLASHACRshort] = ACTIONS(7411),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHacrlong] = ACTIONS(7411),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7411),
    [anon_sym_BSLASHACRlong] = ACTIONS(7411),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHacrfull] = ACTIONS(7411),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7411),
    [anon_sym_BSLASHACRfull] = ACTIONS(7411),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHacs] = ACTIONS(7411),
    [anon_sym_BSLASHAcs] = ACTIONS(7411),
    [anon_sym_BSLASHacsp] = ACTIONS(7411),
    [anon_sym_BSLASHAcsp] = ACTIONS(7411),
    [anon_sym_BSLASHacl] = ACTIONS(7411),
    [anon_sym_BSLASHAcl] = ACTIONS(7411),
    [anon_sym_BSLASHaclp] = ACTIONS(7411),
    [anon_sym_BSLASHAclp] = ACTIONS(7411),
    [anon_sym_BSLASHacf] = ACTIONS(7411),
    [anon_sym_BSLASHAcf] = ACTIONS(7411),
    [anon_sym_BSLASHacfp] = ACTIONS(7411),
    [anon_sym_BSLASHAcfp] = ACTIONS(7411),
    [anon_sym_BSLASHac] = ACTIONS(7411),
    [anon_sym_BSLASHAc] = ACTIONS(7411),
    [anon_sym_BSLASHacp] = ACTIONS(7411),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7411),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7411),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7411),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7411),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7411),
    [anon_sym_BSLASHcolor] = ACTIONS(7411),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7411),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7411),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7411),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7411),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7411),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7411),
    [anon_sym_BSLASHurl] = ACTIONS(7411),
    [anon_sym_BSLASHhref] = ACTIONS(7411),
  },
  [1868] = {
    [sym_command_name] = ACTIONS(7415),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7415),
    [anon_sym_LBRACK] = ACTIONS(7417),
    [anon_sym_RBRACK] = ACTIONS(7417),
    [anon_sym_COMMA] = ACTIONS(7417),
    [anon_sym_EQ] = ACTIONS(7417),
    [anon_sym_LPAREN] = ACTIONS(7417),
    [anon_sym_RPAREN] = ACTIONS(7417),
    [anon_sym_LBRACE] = ACTIONS(7417),
    [sym_word] = ACTIONS(7415),
    [sym_placeholder] = ACTIONS(7417),
    [sym_delimiter] = ACTIONS(7417),
    [anon_sym_PLUS] = ACTIONS(7417),
    [anon_sym_DASH] = ACTIONS(7417),
    [anon_sym_STAR] = ACTIONS(7417),
    [anon_sym_SLASH] = ACTIONS(7417),
    [anon_sym_LT] = ACTIONS(7415),
    [anon_sym_GT] = ACTIONS(7415),
    [anon_sym_BANG] = ACTIONS(7415),
    [anon_sym_PIPE] = ACTIONS(7415),
    [anon_sym_COLON] = ACTIONS(7415),
    [anon_sym_SQUOTE] = ACTIONS(7415),
    [anon_sym__] = ACTIONS(7417),
    [anon_sym_CARET] = ACTIONS(7417),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7417),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7417),
    [anon_sym_DOLLAR] = ACTIONS(7415),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7417),
    [anon_sym_BSLASHleft] = ACTIONS(7415),
    [anon_sym_BSLASHbigl] = ACTIONS(7415),
    [anon_sym_BSLASHBigl] = ACTIONS(7415),
    [anon_sym_BSLASHbiggl] = ACTIONS(7415),
    [anon_sym_BSLASHBiggl] = ACTIONS(7415),
    [anon_sym_BSLASHtext] = ACTIONS(7415),
    [anon_sym_BSLASHintertext] = ACTIONS(7415),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7415),
    [anon_sym_BSLASHbegin] = ACTIONS(7415),
    [anon_sym_BSLASHtitle] = ACTIONS(7415),
    [anon_sym_BSLASHauthor] = ACTIONS(7415),
    [anon_sym_BSLASHusepackage] = ACTIONS(7415),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7415),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7415),
    [anon_sym_BSLASHinclude] = ACTIONS(7415),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7415),
    [anon_sym_BSLASHinput] = ACTIONS(7415),
    [anon_sym_BSLASHsubfile] = ACTIONS(7415),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7415),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7415),
    [anon_sym_BSLASHbibliography] = ACTIONS(7415),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7415),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7415),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7415),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7415),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7415),
    [anon_sym_BSLASHimport] = ACTIONS(7415),
    [anon_sym_BSLASHsubimport] = ACTIONS(7415),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7415),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7415),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7415),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7415),
    [anon_sym_BSLASHcaption] = ACTIONS(7415),
    [anon_sym_BSLASHcite] = ACTIONS(7415),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCite] = ACTIONS(7415),
    [anon_sym_BSLASHnocite] = ACTIONS(7415),
    [anon_sym_BSLASHcitet] = ACTIONS(7415),
    [anon_sym_BSLASHcitep] = ACTIONS(7415),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteA] = ACTIONS(7415),
    [anon_sym_BSLASHciteR] = ACTIONS(7415),
    [anon_sym_BSLASHciteS] = ACTIONS(7415),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7415),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7415),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7415),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7415),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteyear] = ACTIONS(7415),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitedate] = ACTIONS(7415),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteurl] = ACTIONS(7415),
    [anon_sym_BSLASHfullcite] = ACTIONS(7415),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7415),
    [anon_sym_BSLASHcitealt] = ACTIONS(7415),
    [anon_sym_BSLASHcitealp] = ACTIONS(7415),
    [anon_sym_BSLASHcitetext] = ACTIONS(7415),
    [anon_sym_BSLASHparencite] = ACTIONS(7415),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHParencite] = ACTIONS(7415),
    [anon_sym_BSLASHfootcite] = ACTIONS(7415),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7415),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7415),
    [anon_sym_BSLASHtextcite] = ACTIONS(7415),
    [anon_sym_BSLASHTextcite] = ACTIONS(7415),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7415),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7415),
    [anon_sym_BSLASHsupercite] = ACTIONS(7415),
    [anon_sym_BSLASHautocite] = ACTIONS(7415),
    [anon_sym_BSLASHAutocite] = ACTIONS(7415),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHVolcite] = ACTIONS(7415),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHavolcite] = ACTIONS(7415),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHNotecite] = ACTIONS(7415),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHlabel] = ACTIONS(7415),
    [anon_sym_BSLASHref] = ACTIONS(7415),
    [anon_sym_BSLASHeqref] = ACTIONS(7415),
    [anon_sym_BSLASHvref] = ACTIONS(7415),
    [anon_sym_BSLASHVref] = ACTIONS(7415),
    [anon_sym_BSLASHautoref] = ACTIONS(7415),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHpageref] = ACTIONS(7415),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHautopageref] = ACTIONS(7415),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcref] = ACTIONS(7415),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCref] = ACTIONS(7415),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcpageref] = ACTIONS(7415),
    [anon_sym_BSLASHCpageref] = ACTIONS(7415),
    [anon_sym_BSLASHnamecref] = ACTIONS(7415),
    [anon_sym_BSLASHnameCref] = ACTIONS(7415),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7415),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7415),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7415),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7415),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7415),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7415),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7415),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7415),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7415),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7415),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7415),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHdef] = ACTIONS(7415),
    [anon_sym_BSLASHgdef] = ACTIONS(7415),
    [anon_sym_BSLASHedef] = ACTIONS(7415),
    [anon_sym_BSLASHxdef] = ACTIONS(7415),
    [anon_sym_BSLASHlet] = ACTIONS(7415),
    [anon_sym_BSLASHglet] = ACTIONS(7415),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7415),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7415),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7415),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7415),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7415),
    [anon_sym_BSLASHgls] = ACTIONS(7415),
    [anon_sym_BSLASHGls] = ACTIONS(7415),
    [anon_sym_BSLASHGLS] = ACTIONS(7415),
    [anon_sym_BSLASHglspl] = ACTIONS(7415),
    [anon_sym_BSLASHGlspl] = ACTIONS(7415),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7415),
    [anon_sym_BSLASHglslink] = ACTIONS(7415),
    [anon_sym_BSLASHglstext] = ACTIONS(7415),
    [anon_sym_BSLASHGlstext] = ACTIONS(7415),
    [anon_sym_BSLASHGLStext] = ACTIONS(7415),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7415),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7415),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7415),
    [anon_sym_BSLASHglsplural] = ACTIONS(7415),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7415),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7415),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHglsname] = ACTIONS(7415),
    [anon_sym_BSLASHGlsname] = ACTIONS(7415),
    [anon_sym_BSLASHGLSname] = ACTIONS(7415),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7415),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7415),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7415),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7415),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7415),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7415),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7415),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7415),
    [anon_sym_BSLASHacrshort] = ACTIONS(7415),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7415),
    [anon_sym_BSLASHACRshort] = ACTIONS(7415),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHacrlong] = ACTIONS(7415),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7415),
    [anon_sym_BSLASHACRlong] = ACTIONS(7415),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHacrfull] = ACTIONS(7415),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7415),
    [anon_sym_BSLASHACRfull] = ACTIONS(7415),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHacs] = ACTIONS(7415),
    [anon_sym_BSLASHAcs] = ACTIONS(7415),
    [anon_sym_BSLASHacsp] = ACTIONS(7415),
    [anon_sym_BSLASHAcsp] = ACTIONS(7415),
    [anon_sym_BSLASHacl] = ACTIONS(7415),
    [anon_sym_BSLASHAcl] = ACTIONS(7415),
    [anon_sym_BSLASHaclp] = ACTIONS(7415),
    [anon_sym_BSLASHAclp] = ACTIONS(7415),
    [anon_sym_BSLASHacf] = ACTIONS(7415),
    [anon_sym_BSLASHAcf] = ACTIONS(7415),
    [anon_sym_BSLASHacfp] = ACTIONS(7415),
    [anon_sym_BSLASHAcfp] = ACTIONS(7415),
    [anon_sym_BSLASHac] = ACTIONS(7415),
    [anon_sym_BSLASHAc] = ACTIONS(7415),
    [anon_sym_BSLASHacp] = ACTIONS(7415),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7415),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7415),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7415),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7415),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7415),
    [anon_sym_BSLASHcolor] = ACTIONS(7415),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7415),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7415),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7415),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7415),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7415),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7415),
    [anon_sym_BSLASHurl] = ACTIONS(7415),
    [anon_sym_BSLASHhref] = ACTIONS(7415),
  },
  [1869] = {
    [sym_command_name] = ACTIONS(7419),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7419),
    [anon_sym_LBRACK] = ACTIONS(7421),
    [anon_sym_RBRACK] = ACTIONS(7421),
    [anon_sym_COMMA] = ACTIONS(7421),
    [anon_sym_EQ] = ACTIONS(7421),
    [anon_sym_LPAREN] = ACTIONS(7421),
    [anon_sym_RPAREN] = ACTIONS(7421),
    [anon_sym_LBRACE] = ACTIONS(7421),
    [sym_word] = ACTIONS(7419),
    [sym_placeholder] = ACTIONS(7421),
    [sym_delimiter] = ACTIONS(7421),
    [anon_sym_PLUS] = ACTIONS(7421),
    [anon_sym_DASH] = ACTIONS(7421),
    [anon_sym_STAR] = ACTIONS(7421),
    [anon_sym_SLASH] = ACTIONS(7421),
    [anon_sym_LT] = ACTIONS(7419),
    [anon_sym_GT] = ACTIONS(7419),
    [anon_sym_BANG] = ACTIONS(7419),
    [anon_sym_PIPE] = ACTIONS(7419),
    [anon_sym_COLON] = ACTIONS(7419),
    [anon_sym_SQUOTE] = ACTIONS(7419),
    [anon_sym__] = ACTIONS(7421),
    [anon_sym_CARET] = ACTIONS(7421),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7421),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7421),
    [anon_sym_DOLLAR] = ACTIONS(7419),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7421),
    [anon_sym_BSLASHleft] = ACTIONS(7419),
    [anon_sym_BSLASHbigl] = ACTIONS(7419),
    [anon_sym_BSLASHBigl] = ACTIONS(7419),
    [anon_sym_BSLASHbiggl] = ACTIONS(7419),
    [anon_sym_BSLASHBiggl] = ACTIONS(7419),
    [anon_sym_BSLASHtext] = ACTIONS(7419),
    [anon_sym_BSLASHintertext] = ACTIONS(7419),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7419),
    [anon_sym_BSLASHbegin] = ACTIONS(7419),
    [anon_sym_BSLASHtitle] = ACTIONS(7419),
    [anon_sym_BSLASHauthor] = ACTIONS(7419),
    [anon_sym_BSLASHusepackage] = ACTIONS(7419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7419),
    [anon_sym_BSLASHinclude] = ACTIONS(7419),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7419),
    [anon_sym_BSLASHinput] = ACTIONS(7419),
    [anon_sym_BSLASHsubfile] = ACTIONS(7419),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7419),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7419),
    [anon_sym_BSLASHbibliography] = ACTIONS(7419),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7419),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7419),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7419),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7419),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7419),
    [anon_sym_BSLASHimport] = ACTIONS(7419),
    [anon_sym_BSLASHsubimport] = ACTIONS(7419),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7419),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7419),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7419),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7419),
    [anon_sym_BSLASHcaption] = ACTIONS(7419),
    [anon_sym_BSLASHcite] = ACTIONS(7419),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCite] = ACTIONS(7419),
    [anon_sym_BSLASHnocite] = ACTIONS(7419),
    [anon_sym_BSLASHcitet] = ACTIONS(7419),
    [anon_sym_BSLASHcitep] = ACTIONS(7419),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteA] = ACTIONS(7419),
    [anon_sym_BSLASHciteR] = ACTIONS(7419),
    [anon_sym_BSLASHciteS] = ACTIONS(7419),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7419),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7419),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7419),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7419),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteyear] = ACTIONS(7419),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitedate] = ACTIONS(7419),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteurl] = ACTIONS(7419),
    [anon_sym_BSLASHfullcite] = ACTIONS(7419),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7419),
    [anon_sym_BSLASHcitealt] = ACTIONS(7419),
    [anon_sym_BSLASHcitealp] = ACTIONS(7419),
    [anon_sym_BSLASHcitetext] = ACTIONS(7419),
    [anon_sym_BSLASHparencite] = ACTIONS(7419),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHParencite] = ACTIONS(7419),
    [anon_sym_BSLASHfootcite] = ACTIONS(7419),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7419),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7419),
    [anon_sym_BSLASHtextcite] = ACTIONS(7419),
    [anon_sym_BSLASHTextcite] = ACTIONS(7419),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7419),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7419),
    [anon_sym_BSLASHsupercite] = ACTIONS(7419),
    [anon_sym_BSLASHautocite] = ACTIONS(7419),
    [anon_sym_BSLASHAutocite] = ACTIONS(7419),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHVolcite] = ACTIONS(7419),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHavolcite] = ACTIONS(7419),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHNotecite] = ACTIONS(7419),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHlabel] = ACTIONS(7419),
    [anon_sym_BSLASHref] = ACTIONS(7419),
    [anon_sym_BSLASHeqref] = ACTIONS(7419),
    [anon_sym_BSLASHvref] = ACTIONS(7419),
    [anon_sym_BSLASHVref] = ACTIONS(7419),
    [anon_sym_BSLASHautoref] = ACTIONS(7419),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHpageref] = ACTIONS(7419),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHautopageref] = ACTIONS(7419),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcref] = ACTIONS(7419),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCref] = ACTIONS(7419),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcpageref] = ACTIONS(7419),
    [anon_sym_BSLASHCpageref] = ACTIONS(7419),
    [anon_sym_BSLASHnamecref] = ACTIONS(7419),
    [anon_sym_BSLASHnameCref] = ACTIONS(7419),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7419),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7419),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7419),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7419),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7419),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7419),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7419),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7419),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7419),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7419),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7419),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHdef] = ACTIONS(7419),
    [anon_sym_BSLASHgdef] = ACTIONS(7419),
    [anon_sym_BSLASHedef] = ACTIONS(7419),
    [anon_sym_BSLASHxdef] = ACTIONS(7419),
    [anon_sym_BSLASHlet] = ACTIONS(7419),
    [anon_sym_BSLASHglet] = ACTIONS(7419),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7419),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7419),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7419),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7419),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7419),
    [anon_sym_BSLASHgls] = ACTIONS(7419),
    [anon_sym_BSLASHGls] = ACTIONS(7419),
    [anon_sym_BSLASHGLS] = ACTIONS(7419),
    [anon_sym_BSLASHglspl] = ACTIONS(7419),
    [anon_sym_BSLASHGlspl] = ACTIONS(7419),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7419),
    [anon_sym_BSLASHglslink] = ACTIONS(7419),
    [anon_sym_BSLASHglstext] = ACTIONS(7419),
    [anon_sym_BSLASHGlstext] = ACTIONS(7419),
    [anon_sym_BSLASHGLStext] = ACTIONS(7419),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7419),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7419),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7419),
    [anon_sym_BSLASHglsplural] = ACTIONS(7419),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7419),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7419),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHglsname] = ACTIONS(7419),
    [anon_sym_BSLASHGlsname] = ACTIONS(7419),
    [anon_sym_BSLASHGLSname] = ACTIONS(7419),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7419),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7419),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7419),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7419),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7419),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7419),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7419),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7419),
    [anon_sym_BSLASHacrshort] = ACTIONS(7419),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7419),
    [anon_sym_BSLASHACRshort] = ACTIONS(7419),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHacrlong] = ACTIONS(7419),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7419),
    [anon_sym_BSLASHACRlong] = ACTIONS(7419),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHacrfull] = ACTIONS(7419),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7419),
    [anon_sym_BSLASHACRfull] = ACTIONS(7419),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHacs] = ACTIONS(7419),
    [anon_sym_BSLASHAcs] = ACTIONS(7419),
    [anon_sym_BSLASHacsp] = ACTIONS(7419),
    [anon_sym_BSLASHAcsp] = ACTIONS(7419),
    [anon_sym_BSLASHacl] = ACTIONS(7419),
    [anon_sym_BSLASHAcl] = ACTIONS(7419),
    [anon_sym_BSLASHaclp] = ACTIONS(7419),
    [anon_sym_BSLASHAclp] = ACTIONS(7419),
    [anon_sym_BSLASHacf] = ACTIONS(7419),
    [anon_sym_BSLASHAcf] = ACTIONS(7419),
    [anon_sym_BSLASHacfp] = ACTIONS(7419),
    [anon_sym_BSLASHAcfp] = ACTIONS(7419),
    [anon_sym_BSLASHac] = ACTIONS(7419),
    [anon_sym_BSLASHAc] = ACTIONS(7419),
    [anon_sym_BSLASHacp] = ACTIONS(7419),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7419),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7419),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7419),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7419),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7419),
    [anon_sym_BSLASHcolor] = ACTIONS(7419),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7419),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7419),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7419),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7419),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7419),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7419),
    [anon_sym_BSLASHurl] = ACTIONS(7419),
    [anon_sym_BSLASHhref] = ACTIONS(7419),
  },
  [1870] = {
    [sym_command_name] = ACTIONS(7071),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7071),
    [anon_sym_LBRACK] = ACTIONS(7073),
    [anon_sym_RBRACK] = ACTIONS(7073),
    [anon_sym_COMMA] = ACTIONS(7073),
    [anon_sym_EQ] = ACTIONS(7073),
    [anon_sym_LPAREN] = ACTIONS(7073),
    [anon_sym_RPAREN] = ACTIONS(7073),
    [anon_sym_LBRACE] = ACTIONS(7073),
    [sym_word] = ACTIONS(7071),
    [sym_placeholder] = ACTIONS(7073),
    [sym_delimiter] = ACTIONS(7073),
    [anon_sym_PLUS] = ACTIONS(7073),
    [anon_sym_DASH] = ACTIONS(7073),
    [anon_sym_STAR] = ACTIONS(7073),
    [anon_sym_SLASH] = ACTIONS(7073),
    [anon_sym_LT] = ACTIONS(7071),
    [anon_sym_GT] = ACTIONS(7071),
    [anon_sym_BANG] = ACTIONS(7071),
    [anon_sym_PIPE] = ACTIONS(7071),
    [anon_sym_COLON] = ACTIONS(7071),
    [anon_sym_SQUOTE] = ACTIONS(7071),
    [anon_sym__] = ACTIONS(7073),
    [anon_sym_CARET] = ACTIONS(7073),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7073),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7073),
    [anon_sym_DOLLAR] = ACTIONS(7071),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7073),
    [anon_sym_BSLASHleft] = ACTIONS(7071),
    [anon_sym_BSLASHbigl] = ACTIONS(7071),
    [anon_sym_BSLASHBigl] = ACTIONS(7071),
    [anon_sym_BSLASHbiggl] = ACTIONS(7071),
    [anon_sym_BSLASHBiggl] = ACTIONS(7071),
    [anon_sym_BSLASHtext] = ACTIONS(7071),
    [anon_sym_BSLASHintertext] = ACTIONS(7071),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7071),
    [anon_sym_BSLASHbegin] = ACTIONS(7071),
    [anon_sym_BSLASHtitle] = ACTIONS(7071),
    [anon_sym_BSLASHauthor] = ACTIONS(7071),
    [anon_sym_BSLASHusepackage] = ACTIONS(7071),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7071),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7071),
    [anon_sym_BSLASHinclude] = ACTIONS(7071),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7071),
    [anon_sym_BSLASHinput] = ACTIONS(7071),
    [anon_sym_BSLASHsubfile] = ACTIONS(7071),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7071),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7071),
    [anon_sym_BSLASHbibliography] = ACTIONS(7071),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7071),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7071),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7071),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7071),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7071),
    [anon_sym_BSLASHimport] = ACTIONS(7071),
    [anon_sym_BSLASHsubimport] = ACTIONS(7071),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7071),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7071),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7071),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7071),
    [anon_sym_BSLASHcaption] = ACTIONS(7071),
    [anon_sym_BSLASHcite] = ACTIONS(7071),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHCite] = ACTIONS(7071),
    [anon_sym_BSLASHnocite] = ACTIONS(7071),
    [anon_sym_BSLASHcitet] = ACTIONS(7071),
    [anon_sym_BSLASHcitep] = ACTIONS(7071),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHciteA] = ACTIONS(7071),
    [anon_sym_BSLASHciteR] = ACTIONS(7071),
    [anon_sym_BSLASHciteS] = ACTIONS(7071),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7071),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7071),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7071),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7071),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHciteyear] = ACTIONS(7071),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcitedate] = ACTIONS(7071),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHciteurl] = ACTIONS(7071),
    [anon_sym_BSLASHfullcite] = ACTIONS(7071),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7071),
    [anon_sym_BSLASHcitealt] = ACTIONS(7071),
    [anon_sym_BSLASHcitealp] = ACTIONS(7071),
    [anon_sym_BSLASHcitetext] = ACTIONS(7071),
    [anon_sym_BSLASHparencite] = ACTIONS(7071),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHParencite] = ACTIONS(7071),
    [anon_sym_BSLASHfootcite] = ACTIONS(7071),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7071),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7071),
    [anon_sym_BSLASHtextcite] = ACTIONS(7071),
    [anon_sym_BSLASHTextcite] = ACTIONS(7071),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7071),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7071),
    [anon_sym_BSLASHsupercite] = ACTIONS(7071),
    [anon_sym_BSLASHautocite] = ACTIONS(7071),
    [anon_sym_BSLASHAutocite] = ACTIONS(7071),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHVolcite] = ACTIONS(7071),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHavolcite] = ACTIONS(7071),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7071),
    [anon_sym_BSLASHnotecite] = ACTIONS(7071),
    [anon_sym_BSLASHNotecite] = ACTIONS(7071),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7071),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7071),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7071),
    [anon_sym_BSLASHlabel] = ACTIONS(7071),
    [anon_sym_BSLASHref] = ACTIONS(7071),
    [anon_sym_BSLASHeqref] = ACTIONS(7071),
    [anon_sym_BSLASHvref] = ACTIONS(7071),
    [anon_sym_BSLASHVref] = ACTIONS(7071),
    [anon_sym_BSLASHautoref] = ACTIONS(7071),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHpageref] = ACTIONS(7071),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHautopageref] = ACTIONS(7071),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcref] = ACTIONS(7071),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHCref] = ACTIONS(7071),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcpageref] = ACTIONS(7071),
    [anon_sym_BSLASHCpageref] = ACTIONS(7071),
    [anon_sym_BSLASHnamecref] = ACTIONS(7071),
    [anon_sym_BSLASHnameCref] = ACTIONS(7071),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7071),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7071),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7071),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7071),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7071),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7071),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7071),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7071),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7071),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7071),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7071),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7071),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7071),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7071),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7071),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7071),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7071),
    [anon_sym_BSLASHdef] = ACTIONS(7071),
    [anon_sym_BSLASHgdef] = ACTIONS(7071),
    [anon_sym_BSLASHedef] = ACTIONS(7071),
    [anon_sym_BSLASHxdef] = ACTIONS(7071),
    [anon_sym_BSLASHlet] = ACTIONS(7071),
    [anon_sym_BSLASHglet] = ACTIONS(7071),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7071),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7071),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7071),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7071),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7071),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7071),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7071),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7071),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7071),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7071),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7071),
    [anon_sym_BSLASHgls] = ACTIONS(7071),
    [anon_sym_BSLASHGls] = ACTIONS(7071),
    [anon_sym_BSLASHGLS] = ACTIONS(7071),
    [anon_sym_BSLASHglspl] = ACTIONS(7071),
    [anon_sym_BSLASHGlspl] = ACTIONS(7071),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7071),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7071),
    [anon_sym_BSLASHglslink] = ACTIONS(7071),
    [anon_sym_BSLASHglstext] = ACTIONS(7071),
    [anon_sym_BSLASHGlstext] = ACTIONS(7071),
    [anon_sym_BSLASHGLStext] = ACTIONS(7071),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7071),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7071),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7071),
    [anon_sym_BSLASHglsplural] = ACTIONS(7071),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7071),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7071),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7071),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7071),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7071),
    [anon_sym_BSLASHglsname] = ACTIONS(7071),
    [anon_sym_BSLASHGlsname] = ACTIONS(7071),
    [anon_sym_BSLASHGLSname] = ACTIONS(7071),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7071),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7071),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7071),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7071),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7071),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7071),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7071),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7071),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7071),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7071),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7071),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7071),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7071),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7071),
    [anon_sym_BSLASHacrshort] = ACTIONS(7071),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7071),
    [anon_sym_BSLASHACRshort] = ACTIONS(7071),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHacrlong] = ACTIONS(7071),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7071),
    [anon_sym_BSLASHACRlong] = ACTIONS(7071),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7071),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7071),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7071),
    [anon_sym_BSLASHacrfull] = ACTIONS(7071),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7071),
    [anon_sym_BSLASHACRfull] = ACTIONS(7071),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHacs] = ACTIONS(7071),
    [anon_sym_BSLASHAcs] = ACTIONS(7071),
    [anon_sym_BSLASHacsp] = ACTIONS(7071),
    [anon_sym_BSLASHAcsp] = ACTIONS(7071),
    [anon_sym_BSLASHacl] = ACTIONS(7071),
    [anon_sym_BSLASHAcl] = ACTIONS(7071),
    [anon_sym_BSLASHaclp] = ACTIONS(7071),
    [anon_sym_BSLASHAclp] = ACTIONS(7071),
    [anon_sym_BSLASHacf] = ACTIONS(7071),
    [anon_sym_BSLASHAcf] = ACTIONS(7071),
    [anon_sym_BSLASHacfp] = ACTIONS(7071),
    [anon_sym_BSLASHAcfp] = ACTIONS(7071),
    [anon_sym_BSLASHac] = ACTIONS(7071),
    [anon_sym_BSLASHAc] = ACTIONS(7071),
    [anon_sym_BSLASHacp] = ACTIONS(7071),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7071),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7071),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7071),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7071),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7071),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7071),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7071),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7073),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7071),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7071),
    [anon_sym_BSLASHcolor] = ACTIONS(7071),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7071),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7071),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7071),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7071),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7071),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7071),
    [anon_sym_BSLASHurl] = ACTIONS(7071),
    [anon_sym_BSLASHhref] = ACTIONS(7071),
  },
  [1871] = {
    [sym_command_name] = ACTIONS(7075),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7075),
    [anon_sym_LBRACK] = ACTIONS(7077),
    [anon_sym_RBRACK] = ACTIONS(7077),
    [anon_sym_COMMA] = ACTIONS(7077),
    [anon_sym_EQ] = ACTIONS(7077),
    [anon_sym_LPAREN] = ACTIONS(7077),
    [anon_sym_RPAREN] = ACTIONS(7077),
    [anon_sym_LBRACE] = ACTIONS(7077),
    [sym_word] = ACTIONS(7075),
    [sym_placeholder] = ACTIONS(7077),
    [sym_delimiter] = ACTIONS(7077),
    [anon_sym_PLUS] = ACTIONS(7077),
    [anon_sym_DASH] = ACTIONS(7077),
    [anon_sym_STAR] = ACTIONS(7077),
    [anon_sym_SLASH] = ACTIONS(7077),
    [anon_sym_LT] = ACTIONS(7075),
    [anon_sym_GT] = ACTIONS(7075),
    [anon_sym_BANG] = ACTIONS(7075),
    [anon_sym_PIPE] = ACTIONS(7075),
    [anon_sym_COLON] = ACTIONS(7075),
    [anon_sym_SQUOTE] = ACTIONS(7075),
    [anon_sym__] = ACTIONS(7077),
    [anon_sym_CARET] = ACTIONS(7077),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7077),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7077),
    [anon_sym_DOLLAR] = ACTIONS(7075),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7077),
    [anon_sym_BSLASHleft] = ACTIONS(7075),
    [anon_sym_BSLASHbigl] = ACTIONS(7075),
    [anon_sym_BSLASHBigl] = ACTIONS(7075),
    [anon_sym_BSLASHbiggl] = ACTIONS(7075),
    [anon_sym_BSLASHBiggl] = ACTIONS(7075),
    [anon_sym_BSLASHtext] = ACTIONS(7075),
    [anon_sym_BSLASHintertext] = ACTIONS(7075),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7075),
    [anon_sym_BSLASHbegin] = ACTIONS(7075),
    [anon_sym_BSLASHtitle] = ACTIONS(7075),
    [anon_sym_BSLASHauthor] = ACTIONS(7075),
    [anon_sym_BSLASHusepackage] = ACTIONS(7075),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7075),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7075),
    [anon_sym_BSLASHinclude] = ACTIONS(7075),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7075),
    [anon_sym_BSLASHinput] = ACTIONS(7075),
    [anon_sym_BSLASHsubfile] = ACTIONS(7075),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7075),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7075),
    [anon_sym_BSLASHbibliography] = ACTIONS(7075),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7075),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7075),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7075),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7075),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7075),
    [anon_sym_BSLASHimport] = ACTIONS(7075),
    [anon_sym_BSLASHsubimport] = ACTIONS(7075),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7075),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7075),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7075),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7075),
    [anon_sym_BSLASHcaption] = ACTIONS(7075),
    [anon_sym_BSLASHcite] = ACTIONS(7075),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHCite] = ACTIONS(7075),
    [anon_sym_BSLASHnocite] = ACTIONS(7075),
    [anon_sym_BSLASHcitet] = ACTIONS(7075),
    [anon_sym_BSLASHcitep] = ACTIONS(7075),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHciteA] = ACTIONS(7075),
    [anon_sym_BSLASHciteR] = ACTIONS(7075),
    [anon_sym_BSLASHciteS] = ACTIONS(7075),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7075),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7075),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7075),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7075),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHciteyear] = ACTIONS(7075),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcitedate] = ACTIONS(7075),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHciteurl] = ACTIONS(7075),
    [anon_sym_BSLASHfullcite] = ACTIONS(7075),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7075),
    [anon_sym_BSLASHcitealt] = ACTIONS(7075),
    [anon_sym_BSLASHcitealp] = ACTIONS(7075),
    [anon_sym_BSLASHcitetext] = ACTIONS(7075),
    [anon_sym_BSLASHparencite] = ACTIONS(7075),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHParencite] = ACTIONS(7075),
    [anon_sym_BSLASHfootcite] = ACTIONS(7075),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7075),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7075),
    [anon_sym_BSLASHtextcite] = ACTIONS(7075),
    [anon_sym_BSLASHTextcite] = ACTIONS(7075),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7075),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7075),
    [anon_sym_BSLASHsupercite] = ACTIONS(7075),
    [anon_sym_BSLASHautocite] = ACTIONS(7075),
    [anon_sym_BSLASHAutocite] = ACTIONS(7075),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHVolcite] = ACTIONS(7075),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHavolcite] = ACTIONS(7075),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7075),
    [anon_sym_BSLASHnotecite] = ACTIONS(7075),
    [anon_sym_BSLASHNotecite] = ACTIONS(7075),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7075),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7075),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7075),
    [anon_sym_BSLASHlabel] = ACTIONS(7075),
    [anon_sym_BSLASHref] = ACTIONS(7075),
    [anon_sym_BSLASHeqref] = ACTIONS(7075),
    [anon_sym_BSLASHvref] = ACTIONS(7075),
    [anon_sym_BSLASHVref] = ACTIONS(7075),
    [anon_sym_BSLASHautoref] = ACTIONS(7075),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHpageref] = ACTIONS(7075),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHautopageref] = ACTIONS(7075),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcref] = ACTIONS(7075),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHCref] = ACTIONS(7075),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcpageref] = ACTIONS(7075),
    [anon_sym_BSLASHCpageref] = ACTIONS(7075),
    [anon_sym_BSLASHnamecref] = ACTIONS(7075),
    [anon_sym_BSLASHnameCref] = ACTIONS(7075),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7075),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7075),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7075),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7075),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7075),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7075),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7075),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7075),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7075),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7075),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7075),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7075),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7075),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7075),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7075),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7075),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7075),
    [anon_sym_BSLASHdef] = ACTIONS(7075),
    [anon_sym_BSLASHgdef] = ACTIONS(7075),
    [anon_sym_BSLASHedef] = ACTIONS(7075),
    [anon_sym_BSLASHxdef] = ACTIONS(7075),
    [anon_sym_BSLASHlet] = ACTIONS(7075),
    [anon_sym_BSLASHglet] = ACTIONS(7075),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7075),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7075),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7075),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7075),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7075),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7075),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7075),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7075),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7075),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7075),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7075),
    [anon_sym_BSLASHgls] = ACTIONS(7075),
    [anon_sym_BSLASHGls] = ACTIONS(7075),
    [anon_sym_BSLASHGLS] = ACTIONS(7075),
    [anon_sym_BSLASHglspl] = ACTIONS(7075),
    [anon_sym_BSLASHGlspl] = ACTIONS(7075),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7075),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7075),
    [anon_sym_BSLASHglslink] = ACTIONS(7075),
    [anon_sym_BSLASHglstext] = ACTIONS(7075),
    [anon_sym_BSLASHGlstext] = ACTIONS(7075),
    [anon_sym_BSLASHGLStext] = ACTIONS(7075),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7075),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7075),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7075),
    [anon_sym_BSLASHglsplural] = ACTIONS(7075),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7075),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7075),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7075),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7075),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7075),
    [anon_sym_BSLASHglsname] = ACTIONS(7075),
    [anon_sym_BSLASHGlsname] = ACTIONS(7075),
    [anon_sym_BSLASHGLSname] = ACTIONS(7075),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7075),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7075),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7075),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7075),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7075),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7075),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7075),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7075),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7075),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7075),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7075),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7075),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7075),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7075),
    [anon_sym_BSLASHacrshort] = ACTIONS(7075),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7075),
    [anon_sym_BSLASHACRshort] = ACTIONS(7075),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHacrlong] = ACTIONS(7075),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7075),
    [anon_sym_BSLASHACRlong] = ACTIONS(7075),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7075),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7075),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7075),
    [anon_sym_BSLASHacrfull] = ACTIONS(7075),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7075),
    [anon_sym_BSLASHACRfull] = ACTIONS(7075),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHacs] = ACTIONS(7075),
    [anon_sym_BSLASHAcs] = ACTIONS(7075),
    [anon_sym_BSLASHacsp] = ACTIONS(7075),
    [anon_sym_BSLASHAcsp] = ACTIONS(7075),
    [anon_sym_BSLASHacl] = ACTIONS(7075),
    [anon_sym_BSLASHAcl] = ACTIONS(7075),
    [anon_sym_BSLASHaclp] = ACTIONS(7075),
    [anon_sym_BSLASHAclp] = ACTIONS(7075),
    [anon_sym_BSLASHacf] = ACTIONS(7075),
    [anon_sym_BSLASHAcf] = ACTIONS(7075),
    [anon_sym_BSLASHacfp] = ACTIONS(7075),
    [anon_sym_BSLASHAcfp] = ACTIONS(7075),
    [anon_sym_BSLASHac] = ACTIONS(7075),
    [anon_sym_BSLASHAc] = ACTIONS(7075),
    [anon_sym_BSLASHacp] = ACTIONS(7075),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7075),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7075),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7075),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7075),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7075),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7075),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7075),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7077),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7075),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7075),
    [anon_sym_BSLASHcolor] = ACTIONS(7075),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7075),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7075),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7075),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7075),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7075),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7075),
    [anon_sym_BSLASHurl] = ACTIONS(7075),
    [anon_sym_BSLASHhref] = ACTIONS(7075),
  },
  [1872] = {
    [sym_command_name] = ACTIONS(7079),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7079),
    [anon_sym_LBRACK] = ACTIONS(7081),
    [anon_sym_RBRACK] = ACTIONS(7081),
    [anon_sym_COMMA] = ACTIONS(7081),
    [anon_sym_EQ] = ACTIONS(7081),
    [anon_sym_LPAREN] = ACTIONS(7081),
    [anon_sym_RPAREN] = ACTIONS(7081),
    [anon_sym_LBRACE] = ACTIONS(7081),
    [sym_word] = ACTIONS(7079),
    [sym_placeholder] = ACTIONS(7081),
    [sym_delimiter] = ACTIONS(7081),
    [anon_sym_PLUS] = ACTIONS(7081),
    [anon_sym_DASH] = ACTIONS(7081),
    [anon_sym_STAR] = ACTIONS(7081),
    [anon_sym_SLASH] = ACTIONS(7081),
    [anon_sym_LT] = ACTIONS(7079),
    [anon_sym_GT] = ACTIONS(7079),
    [anon_sym_BANG] = ACTIONS(7079),
    [anon_sym_PIPE] = ACTIONS(7079),
    [anon_sym_COLON] = ACTIONS(7079),
    [anon_sym_SQUOTE] = ACTIONS(7079),
    [anon_sym__] = ACTIONS(7081),
    [anon_sym_CARET] = ACTIONS(7081),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7081),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7081),
    [anon_sym_DOLLAR] = ACTIONS(7079),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7081),
    [anon_sym_BSLASHleft] = ACTIONS(7079),
    [anon_sym_BSLASHbigl] = ACTIONS(7079),
    [anon_sym_BSLASHBigl] = ACTIONS(7079),
    [anon_sym_BSLASHbiggl] = ACTIONS(7079),
    [anon_sym_BSLASHBiggl] = ACTIONS(7079),
    [anon_sym_BSLASHtext] = ACTIONS(7079),
    [anon_sym_BSLASHintertext] = ACTIONS(7079),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7079),
    [anon_sym_BSLASHbegin] = ACTIONS(7079),
    [anon_sym_BSLASHtitle] = ACTIONS(7079),
    [anon_sym_BSLASHauthor] = ACTIONS(7079),
    [anon_sym_BSLASHusepackage] = ACTIONS(7079),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7079),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7079),
    [anon_sym_BSLASHinclude] = ACTIONS(7079),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7079),
    [anon_sym_BSLASHinput] = ACTIONS(7079),
    [anon_sym_BSLASHsubfile] = ACTIONS(7079),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7079),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7079),
    [anon_sym_BSLASHbibliography] = ACTIONS(7079),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7079),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7079),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7079),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7079),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7079),
    [anon_sym_BSLASHimport] = ACTIONS(7079),
    [anon_sym_BSLASHsubimport] = ACTIONS(7079),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7079),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7079),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7079),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7079),
    [anon_sym_BSLASHcaption] = ACTIONS(7079),
    [anon_sym_BSLASHcite] = ACTIONS(7079),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHCite] = ACTIONS(7079),
    [anon_sym_BSLASHnocite] = ACTIONS(7079),
    [anon_sym_BSLASHcitet] = ACTIONS(7079),
    [anon_sym_BSLASHcitep] = ACTIONS(7079),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHciteA] = ACTIONS(7079),
    [anon_sym_BSLASHciteR] = ACTIONS(7079),
    [anon_sym_BSLASHciteS] = ACTIONS(7079),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7079),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7079),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7079),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7079),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHciteyear] = ACTIONS(7079),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcitedate] = ACTIONS(7079),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHciteurl] = ACTIONS(7079),
    [anon_sym_BSLASHfullcite] = ACTIONS(7079),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7079),
    [anon_sym_BSLASHcitealt] = ACTIONS(7079),
    [anon_sym_BSLASHcitealp] = ACTIONS(7079),
    [anon_sym_BSLASHcitetext] = ACTIONS(7079),
    [anon_sym_BSLASHparencite] = ACTIONS(7079),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHParencite] = ACTIONS(7079),
    [anon_sym_BSLASHfootcite] = ACTIONS(7079),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7079),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7079),
    [anon_sym_BSLASHtextcite] = ACTIONS(7079),
    [anon_sym_BSLASHTextcite] = ACTIONS(7079),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7079),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7079),
    [anon_sym_BSLASHsupercite] = ACTIONS(7079),
    [anon_sym_BSLASHautocite] = ACTIONS(7079),
    [anon_sym_BSLASHAutocite] = ACTIONS(7079),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHVolcite] = ACTIONS(7079),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHavolcite] = ACTIONS(7079),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7079),
    [anon_sym_BSLASHnotecite] = ACTIONS(7079),
    [anon_sym_BSLASHNotecite] = ACTIONS(7079),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7079),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7079),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7079),
    [anon_sym_BSLASHlabel] = ACTIONS(7079),
    [anon_sym_BSLASHref] = ACTIONS(7079),
    [anon_sym_BSLASHeqref] = ACTIONS(7079),
    [anon_sym_BSLASHvref] = ACTIONS(7079),
    [anon_sym_BSLASHVref] = ACTIONS(7079),
    [anon_sym_BSLASHautoref] = ACTIONS(7079),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHpageref] = ACTIONS(7079),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHautopageref] = ACTIONS(7079),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcref] = ACTIONS(7079),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHCref] = ACTIONS(7079),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcpageref] = ACTIONS(7079),
    [anon_sym_BSLASHCpageref] = ACTIONS(7079),
    [anon_sym_BSLASHnamecref] = ACTIONS(7079),
    [anon_sym_BSLASHnameCref] = ACTIONS(7079),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7079),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7079),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7079),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7079),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7079),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7079),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7079),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7079),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7079),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7079),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7079),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7079),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7079),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7079),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7079),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7079),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7079),
    [anon_sym_BSLASHdef] = ACTIONS(7079),
    [anon_sym_BSLASHgdef] = ACTIONS(7079),
    [anon_sym_BSLASHedef] = ACTIONS(7079),
    [anon_sym_BSLASHxdef] = ACTIONS(7079),
    [anon_sym_BSLASHlet] = ACTIONS(7079),
    [anon_sym_BSLASHglet] = ACTIONS(7079),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7079),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7079),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7079),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7079),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7079),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7079),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7079),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7079),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7079),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7079),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7079),
    [anon_sym_BSLASHgls] = ACTIONS(7079),
    [anon_sym_BSLASHGls] = ACTIONS(7079),
    [anon_sym_BSLASHGLS] = ACTIONS(7079),
    [anon_sym_BSLASHglspl] = ACTIONS(7079),
    [anon_sym_BSLASHGlspl] = ACTIONS(7079),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7079),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7079),
    [anon_sym_BSLASHglslink] = ACTIONS(7079),
    [anon_sym_BSLASHglstext] = ACTIONS(7079),
    [anon_sym_BSLASHGlstext] = ACTIONS(7079),
    [anon_sym_BSLASHGLStext] = ACTIONS(7079),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7079),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7079),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7079),
    [anon_sym_BSLASHglsplural] = ACTIONS(7079),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7079),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7079),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7079),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7079),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7079),
    [anon_sym_BSLASHglsname] = ACTIONS(7079),
    [anon_sym_BSLASHGlsname] = ACTIONS(7079),
    [anon_sym_BSLASHGLSname] = ACTIONS(7079),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7079),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7079),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7079),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7079),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7079),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7079),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7079),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7079),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7079),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7079),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7079),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7079),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7079),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7079),
    [anon_sym_BSLASHacrshort] = ACTIONS(7079),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7079),
    [anon_sym_BSLASHACRshort] = ACTIONS(7079),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHacrlong] = ACTIONS(7079),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7079),
    [anon_sym_BSLASHACRlong] = ACTIONS(7079),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7079),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7079),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7079),
    [anon_sym_BSLASHacrfull] = ACTIONS(7079),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7079),
    [anon_sym_BSLASHACRfull] = ACTIONS(7079),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHacs] = ACTIONS(7079),
    [anon_sym_BSLASHAcs] = ACTIONS(7079),
    [anon_sym_BSLASHacsp] = ACTIONS(7079),
    [anon_sym_BSLASHAcsp] = ACTIONS(7079),
    [anon_sym_BSLASHacl] = ACTIONS(7079),
    [anon_sym_BSLASHAcl] = ACTIONS(7079),
    [anon_sym_BSLASHaclp] = ACTIONS(7079),
    [anon_sym_BSLASHAclp] = ACTIONS(7079),
    [anon_sym_BSLASHacf] = ACTIONS(7079),
    [anon_sym_BSLASHAcf] = ACTIONS(7079),
    [anon_sym_BSLASHacfp] = ACTIONS(7079),
    [anon_sym_BSLASHAcfp] = ACTIONS(7079),
    [anon_sym_BSLASHac] = ACTIONS(7079),
    [anon_sym_BSLASHAc] = ACTIONS(7079),
    [anon_sym_BSLASHacp] = ACTIONS(7079),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7079),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7079),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7079),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7079),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7079),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7079),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7079),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7081),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7079),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7079),
    [anon_sym_BSLASHcolor] = ACTIONS(7079),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7079),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7079),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7079),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7079),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7079),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7079),
    [anon_sym_BSLASHurl] = ACTIONS(7079),
    [anon_sym_BSLASHhref] = ACTIONS(7079),
  },
  [1873] = {
    [sym_command_name] = ACTIONS(7083),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7083),
    [anon_sym_LBRACK] = ACTIONS(7085),
    [anon_sym_RBRACK] = ACTIONS(7085),
    [anon_sym_COMMA] = ACTIONS(7085),
    [anon_sym_EQ] = ACTIONS(7085),
    [anon_sym_LPAREN] = ACTIONS(7085),
    [anon_sym_RPAREN] = ACTIONS(7085),
    [anon_sym_LBRACE] = ACTIONS(7085),
    [sym_word] = ACTIONS(7083),
    [sym_placeholder] = ACTIONS(7085),
    [sym_delimiter] = ACTIONS(7085),
    [anon_sym_PLUS] = ACTIONS(7085),
    [anon_sym_DASH] = ACTIONS(7085),
    [anon_sym_STAR] = ACTIONS(7085),
    [anon_sym_SLASH] = ACTIONS(7085),
    [anon_sym_LT] = ACTIONS(7083),
    [anon_sym_GT] = ACTIONS(7083),
    [anon_sym_BANG] = ACTIONS(7083),
    [anon_sym_PIPE] = ACTIONS(7083),
    [anon_sym_COLON] = ACTIONS(7083),
    [anon_sym_SQUOTE] = ACTIONS(7083),
    [anon_sym__] = ACTIONS(7085),
    [anon_sym_CARET] = ACTIONS(7085),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7085),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7085),
    [anon_sym_DOLLAR] = ACTIONS(7083),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7085),
    [anon_sym_BSLASHleft] = ACTIONS(7083),
    [anon_sym_BSLASHbigl] = ACTIONS(7083),
    [anon_sym_BSLASHBigl] = ACTIONS(7083),
    [anon_sym_BSLASHbiggl] = ACTIONS(7083),
    [anon_sym_BSLASHBiggl] = ACTIONS(7083),
    [anon_sym_BSLASHtext] = ACTIONS(7083),
    [anon_sym_BSLASHintertext] = ACTIONS(7083),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7083),
    [anon_sym_BSLASHbegin] = ACTIONS(7083),
    [anon_sym_BSLASHtitle] = ACTIONS(7083),
    [anon_sym_BSLASHauthor] = ACTIONS(7083),
    [anon_sym_BSLASHusepackage] = ACTIONS(7083),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7083),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7083),
    [anon_sym_BSLASHinclude] = ACTIONS(7083),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7083),
    [anon_sym_BSLASHinput] = ACTIONS(7083),
    [anon_sym_BSLASHsubfile] = ACTIONS(7083),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7083),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7083),
    [anon_sym_BSLASHbibliography] = ACTIONS(7083),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7083),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7083),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7083),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7083),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7083),
    [anon_sym_BSLASHimport] = ACTIONS(7083),
    [anon_sym_BSLASHsubimport] = ACTIONS(7083),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7083),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7083),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7083),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7083),
    [anon_sym_BSLASHcaption] = ACTIONS(7083),
    [anon_sym_BSLASHcite] = ACTIONS(7083),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHCite] = ACTIONS(7083),
    [anon_sym_BSLASHnocite] = ACTIONS(7083),
    [anon_sym_BSLASHcitet] = ACTIONS(7083),
    [anon_sym_BSLASHcitep] = ACTIONS(7083),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHciteA] = ACTIONS(7083),
    [anon_sym_BSLASHciteR] = ACTIONS(7083),
    [anon_sym_BSLASHciteS] = ACTIONS(7083),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7083),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7083),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7083),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7083),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHciteyear] = ACTIONS(7083),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcitedate] = ACTIONS(7083),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHciteurl] = ACTIONS(7083),
    [anon_sym_BSLASHfullcite] = ACTIONS(7083),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7083),
    [anon_sym_BSLASHcitealt] = ACTIONS(7083),
    [anon_sym_BSLASHcitealp] = ACTIONS(7083),
    [anon_sym_BSLASHcitetext] = ACTIONS(7083),
    [anon_sym_BSLASHparencite] = ACTIONS(7083),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHParencite] = ACTIONS(7083),
    [anon_sym_BSLASHfootcite] = ACTIONS(7083),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7083),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7083),
    [anon_sym_BSLASHtextcite] = ACTIONS(7083),
    [anon_sym_BSLASHTextcite] = ACTIONS(7083),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7083),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7083),
    [anon_sym_BSLASHsupercite] = ACTIONS(7083),
    [anon_sym_BSLASHautocite] = ACTIONS(7083),
    [anon_sym_BSLASHAutocite] = ACTIONS(7083),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHVolcite] = ACTIONS(7083),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHavolcite] = ACTIONS(7083),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7083),
    [anon_sym_BSLASHnotecite] = ACTIONS(7083),
    [anon_sym_BSLASHNotecite] = ACTIONS(7083),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7083),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7083),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7083),
    [anon_sym_BSLASHlabel] = ACTIONS(7083),
    [anon_sym_BSLASHref] = ACTIONS(7083),
    [anon_sym_BSLASHeqref] = ACTIONS(7083),
    [anon_sym_BSLASHvref] = ACTIONS(7083),
    [anon_sym_BSLASHVref] = ACTIONS(7083),
    [anon_sym_BSLASHautoref] = ACTIONS(7083),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHpageref] = ACTIONS(7083),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHautopageref] = ACTIONS(7083),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcref] = ACTIONS(7083),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHCref] = ACTIONS(7083),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcpageref] = ACTIONS(7083),
    [anon_sym_BSLASHCpageref] = ACTIONS(7083),
    [anon_sym_BSLASHnamecref] = ACTIONS(7083),
    [anon_sym_BSLASHnameCref] = ACTIONS(7083),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7083),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7083),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7083),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7083),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7083),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7083),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7083),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7083),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7083),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7083),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7083),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7083),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7083),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7083),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7083),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7083),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7083),
    [anon_sym_BSLASHdef] = ACTIONS(7083),
    [anon_sym_BSLASHgdef] = ACTIONS(7083),
    [anon_sym_BSLASHedef] = ACTIONS(7083),
    [anon_sym_BSLASHxdef] = ACTIONS(7083),
    [anon_sym_BSLASHlet] = ACTIONS(7083),
    [anon_sym_BSLASHglet] = ACTIONS(7083),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7083),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7083),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7083),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7083),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7083),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7083),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7083),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7083),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7083),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7083),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7083),
    [anon_sym_BSLASHgls] = ACTIONS(7083),
    [anon_sym_BSLASHGls] = ACTIONS(7083),
    [anon_sym_BSLASHGLS] = ACTIONS(7083),
    [anon_sym_BSLASHglspl] = ACTIONS(7083),
    [anon_sym_BSLASHGlspl] = ACTIONS(7083),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7083),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7083),
    [anon_sym_BSLASHglslink] = ACTIONS(7083),
    [anon_sym_BSLASHglstext] = ACTIONS(7083),
    [anon_sym_BSLASHGlstext] = ACTIONS(7083),
    [anon_sym_BSLASHGLStext] = ACTIONS(7083),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7083),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7083),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7083),
    [anon_sym_BSLASHglsplural] = ACTIONS(7083),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7083),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7083),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7083),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7083),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7083),
    [anon_sym_BSLASHglsname] = ACTIONS(7083),
    [anon_sym_BSLASHGlsname] = ACTIONS(7083),
    [anon_sym_BSLASHGLSname] = ACTIONS(7083),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7083),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7083),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7083),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7083),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7083),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7083),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7083),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7083),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7083),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7083),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7083),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7083),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7083),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7083),
    [anon_sym_BSLASHacrshort] = ACTIONS(7083),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7083),
    [anon_sym_BSLASHACRshort] = ACTIONS(7083),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHacrlong] = ACTIONS(7083),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7083),
    [anon_sym_BSLASHACRlong] = ACTIONS(7083),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7083),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7083),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7083),
    [anon_sym_BSLASHacrfull] = ACTIONS(7083),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7083),
    [anon_sym_BSLASHACRfull] = ACTIONS(7083),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHacs] = ACTIONS(7083),
    [anon_sym_BSLASHAcs] = ACTIONS(7083),
    [anon_sym_BSLASHacsp] = ACTIONS(7083),
    [anon_sym_BSLASHAcsp] = ACTIONS(7083),
    [anon_sym_BSLASHacl] = ACTIONS(7083),
    [anon_sym_BSLASHAcl] = ACTIONS(7083),
    [anon_sym_BSLASHaclp] = ACTIONS(7083),
    [anon_sym_BSLASHAclp] = ACTIONS(7083),
    [anon_sym_BSLASHacf] = ACTIONS(7083),
    [anon_sym_BSLASHAcf] = ACTIONS(7083),
    [anon_sym_BSLASHacfp] = ACTIONS(7083),
    [anon_sym_BSLASHAcfp] = ACTIONS(7083),
    [anon_sym_BSLASHac] = ACTIONS(7083),
    [anon_sym_BSLASHAc] = ACTIONS(7083),
    [anon_sym_BSLASHacp] = ACTIONS(7083),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7083),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7083),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7083),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7083),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7083),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7083),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7083),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7085),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7083),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7083),
    [anon_sym_BSLASHcolor] = ACTIONS(7083),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7083),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7083),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7083),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7083),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7083),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7083),
    [anon_sym_BSLASHurl] = ACTIONS(7083),
    [anon_sym_BSLASHhref] = ACTIONS(7083),
  },
  [1874] = {
    [sym_command_name] = ACTIONS(7087),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7087),
    [anon_sym_LBRACK] = ACTIONS(7089),
    [anon_sym_RBRACK] = ACTIONS(7089),
    [anon_sym_COMMA] = ACTIONS(7089),
    [anon_sym_EQ] = ACTIONS(7089),
    [anon_sym_LPAREN] = ACTIONS(7089),
    [anon_sym_RPAREN] = ACTIONS(7089),
    [anon_sym_LBRACE] = ACTIONS(7089),
    [sym_word] = ACTIONS(7087),
    [sym_placeholder] = ACTIONS(7089),
    [sym_delimiter] = ACTIONS(7089),
    [anon_sym_PLUS] = ACTIONS(7089),
    [anon_sym_DASH] = ACTIONS(7089),
    [anon_sym_STAR] = ACTIONS(7089),
    [anon_sym_SLASH] = ACTIONS(7089),
    [anon_sym_LT] = ACTIONS(7087),
    [anon_sym_GT] = ACTIONS(7087),
    [anon_sym_BANG] = ACTIONS(7087),
    [anon_sym_PIPE] = ACTIONS(7087),
    [anon_sym_COLON] = ACTIONS(7087),
    [anon_sym_SQUOTE] = ACTIONS(7087),
    [anon_sym__] = ACTIONS(7089),
    [anon_sym_CARET] = ACTIONS(7089),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7089),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7089),
    [anon_sym_DOLLAR] = ACTIONS(7087),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7089),
    [anon_sym_BSLASHleft] = ACTIONS(7087),
    [anon_sym_BSLASHbigl] = ACTIONS(7087),
    [anon_sym_BSLASHBigl] = ACTIONS(7087),
    [anon_sym_BSLASHbiggl] = ACTIONS(7087),
    [anon_sym_BSLASHBiggl] = ACTIONS(7087),
    [anon_sym_BSLASHtext] = ACTIONS(7087),
    [anon_sym_BSLASHintertext] = ACTIONS(7087),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7087),
    [anon_sym_BSLASHbegin] = ACTIONS(7087),
    [anon_sym_BSLASHtitle] = ACTIONS(7087),
    [anon_sym_BSLASHauthor] = ACTIONS(7087),
    [anon_sym_BSLASHusepackage] = ACTIONS(7087),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7087),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7087),
    [anon_sym_BSLASHinclude] = ACTIONS(7087),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7087),
    [anon_sym_BSLASHinput] = ACTIONS(7087),
    [anon_sym_BSLASHsubfile] = ACTIONS(7087),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7087),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7087),
    [anon_sym_BSLASHbibliography] = ACTIONS(7087),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7087),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7087),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7087),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7087),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7087),
    [anon_sym_BSLASHimport] = ACTIONS(7087),
    [anon_sym_BSLASHsubimport] = ACTIONS(7087),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7087),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7087),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7087),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7087),
    [anon_sym_BSLASHcaption] = ACTIONS(7087),
    [anon_sym_BSLASHcite] = ACTIONS(7087),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHCite] = ACTIONS(7087),
    [anon_sym_BSLASHnocite] = ACTIONS(7087),
    [anon_sym_BSLASHcitet] = ACTIONS(7087),
    [anon_sym_BSLASHcitep] = ACTIONS(7087),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHciteA] = ACTIONS(7087),
    [anon_sym_BSLASHciteR] = ACTIONS(7087),
    [anon_sym_BSLASHciteS] = ACTIONS(7087),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7087),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7087),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7087),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7087),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHciteyear] = ACTIONS(7087),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcitedate] = ACTIONS(7087),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHciteurl] = ACTIONS(7087),
    [anon_sym_BSLASHfullcite] = ACTIONS(7087),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7087),
    [anon_sym_BSLASHcitealt] = ACTIONS(7087),
    [anon_sym_BSLASHcitealp] = ACTIONS(7087),
    [anon_sym_BSLASHcitetext] = ACTIONS(7087),
    [anon_sym_BSLASHparencite] = ACTIONS(7087),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHParencite] = ACTIONS(7087),
    [anon_sym_BSLASHfootcite] = ACTIONS(7087),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7087),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7087),
    [anon_sym_BSLASHtextcite] = ACTIONS(7087),
    [anon_sym_BSLASHTextcite] = ACTIONS(7087),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7087),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7087),
    [anon_sym_BSLASHsupercite] = ACTIONS(7087),
    [anon_sym_BSLASHautocite] = ACTIONS(7087),
    [anon_sym_BSLASHAutocite] = ACTIONS(7087),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHVolcite] = ACTIONS(7087),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHavolcite] = ACTIONS(7087),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7087),
    [anon_sym_BSLASHnotecite] = ACTIONS(7087),
    [anon_sym_BSLASHNotecite] = ACTIONS(7087),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7087),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7087),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7087),
    [anon_sym_BSLASHlabel] = ACTIONS(7087),
    [anon_sym_BSLASHref] = ACTIONS(7087),
    [anon_sym_BSLASHeqref] = ACTIONS(7087),
    [anon_sym_BSLASHvref] = ACTIONS(7087),
    [anon_sym_BSLASHVref] = ACTIONS(7087),
    [anon_sym_BSLASHautoref] = ACTIONS(7087),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHpageref] = ACTIONS(7087),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHautopageref] = ACTIONS(7087),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcref] = ACTIONS(7087),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHCref] = ACTIONS(7087),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcpageref] = ACTIONS(7087),
    [anon_sym_BSLASHCpageref] = ACTIONS(7087),
    [anon_sym_BSLASHnamecref] = ACTIONS(7087),
    [anon_sym_BSLASHnameCref] = ACTIONS(7087),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7087),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7087),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7087),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7087),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7087),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7087),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7087),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7087),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7087),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7087),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7087),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7087),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7087),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7087),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7087),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7087),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7087),
    [anon_sym_BSLASHdef] = ACTIONS(7087),
    [anon_sym_BSLASHgdef] = ACTIONS(7087),
    [anon_sym_BSLASHedef] = ACTIONS(7087),
    [anon_sym_BSLASHxdef] = ACTIONS(7087),
    [anon_sym_BSLASHlet] = ACTIONS(7087),
    [anon_sym_BSLASHglet] = ACTIONS(7087),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7087),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7087),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7087),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7087),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7087),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7087),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7087),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7087),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7087),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7087),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7087),
    [anon_sym_BSLASHgls] = ACTIONS(7087),
    [anon_sym_BSLASHGls] = ACTIONS(7087),
    [anon_sym_BSLASHGLS] = ACTIONS(7087),
    [anon_sym_BSLASHglspl] = ACTIONS(7087),
    [anon_sym_BSLASHGlspl] = ACTIONS(7087),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7087),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7087),
    [anon_sym_BSLASHglslink] = ACTIONS(7087),
    [anon_sym_BSLASHglstext] = ACTIONS(7087),
    [anon_sym_BSLASHGlstext] = ACTIONS(7087),
    [anon_sym_BSLASHGLStext] = ACTIONS(7087),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7087),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7087),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7087),
    [anon_sym_BSLASHglsplural] = ACTIONS(7087),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7087),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7087),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7087),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7087),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7087),
    [anon_sym_BSLASHglsname] = ACTIONS(7087),
    [anon_sym_BSLASHGlsname] = ACTIONS(7087),
    [anon_sym_BSLASHGLSname] = ACTIONS(7087),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7087),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7087),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7087),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7087),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7087),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7087),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7087),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7087),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7087),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7087),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7087),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7087),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7087),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7087),
    [anon_sym_BSLASHacrshort] = ACTIONS(7087),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7087),
    [anon_sym_BSLASHACRshort] = ACTIONS(7087),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHacrlong] = ACTIONS(7087),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7087),
    [anon_sym_BSLASHACRlong] = ACTIONS(7087),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7087),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7087),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7087),
    [anon_sym_BSLASHacrfull] = ACTIONS(7087),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7087),
    [anon_sym_BSLASHACRfull] = ACTIONS(7087),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHacs] = ACTIONS(7087),
    [anon_sym_BSLASHAcs] = ACTIONS(7087),
    [anon_sym_BSLASHacsp] = ACTIONS(7087),
    [anon_sym_BSLASHAcsp] = ACTIONS(7087),
    [anon_sym_BSLASHacl] = ACTIONS(7087),
    [anon_sym_BSLASHAcl] = ACTIONS(7087),
    [anon_sym_BSLASHaclp] = ACTIONS(7087),
    [anon_sym_BSLASHAclp] = ACTIONS(7087),
    [anon_sym_BSLASHacf] = ACTIONS(7087),
    [anon_sym_BSLASHAcf] = ACTIONS(7087),
    [anon_sym_BSLASHacfp] = ACTIONS(7087),
    [anon_sym_BSLASHAcfp] = ACTIONS(7087),
    [anon_sym_BSLASHac] = ACTIONS(7087),
    [anon_sym_BSLASHAc] = ACTIONS(7087),
    [anon_sym_BSLASHacp] = ACTIONS(7087),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7087),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7087),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7087),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7087),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7087),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7087),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7087),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7089),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7087),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7087),
    [anon_sym_BSLASHcolor] = ACTIONS(7087),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7087),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7087),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7087),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7087),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7087),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7087),
    [anon_sym_BSLASHurl] = ACTIONS(7087),
    [anon_sym_BSLASHhref] = ACTIONS(7087),
  },
  [1875] = {
    [sym_command_name] = ACTIONS(7091),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7091),
    [anon_sym_LBRACK] = ACTIONS(7093),
    [anon_sym_RBRACK] = ACTIONS(7093),
    [anon_sym_COMMA] = ACTIONS(7093),
    [anon_sym_EQ] = ACTIONS(7093),
    [anon_sym_LPAREN] = ACTIONS(7093),
    [anon_sym_RPAREN] = ACTIONS(7093),
    [anon_sym_LBRACE] = ACTIONS(7093),
    [sym_word] = ACTIONS(7091),
    [sym_placeholder] = ACTIONS(7093),
    [sym_delimiter] = ACTIONS(7093),
    [anon_sym_PLUS] = ACTIONS(7093),
    [anon_sym_DASH] = ACTIONS(7093),
    [anon_sym_STAR] = ACTIONS(7093),
    [anon_sym_SLASH] = ACTIONS(7093),
    [anon_sym_LT] = ACTIONS(7091),
    [anon_sym_GT] = ACTIONS(7091),
    [anon_sym_BANG] = ACTIONS(7091),
    [anon_sym_PIPE] = ACTIONS(7091),
    [anon_sym_COLON] = ACTIONS(7091),
    [anon_sym_SQUOTE] = ACTIONS(7091),
    [anon_sym__] = ACTIONS(7093),
    [anon_sym_CARET] = ACTIONS(7093),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7093),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7093),
    [anon_sym_DOLLAR] = ACTIONS(7091),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7093),
    [anon_sym_BSLASHleft] = ACTIONS(7091),
    [anon_sym_BSLASHbigl] = ACTIONS(7091),
    [anon_sym_BSLASHBigl] = ACTIONS(7091),
    [anon_sym_BSLASHbiggl] = ACTIONS(7091),
    [anon_sym_BSLASHBiggl] = ACTIONS(7091),
    [anon_sym_BSLASHtext] = ACTIONS(7091),
    [anon_sym_BSLASHintertext] = ACTIONS(7091),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7091),
    [anon_sym_BSLASHbegin] = ACTIONS(7091),
    [anon_sym_BSLASHtitle] = ACTIONS(7091),
    [anon_sym_BSLASHauthor] = ACTIONS(7091),
    [anon_sym_BSLASHusepackage] = ACTIONS(7091),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7091),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7091),
    [anon_sym_BSLASHinclude] = ACTIONS(7091),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7091),
    [anon_sym_BSLASHinput] = ACTIONS(7091),
    [anon_sym_BSLASHsubfile] = ACTIONS(7091),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7091),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7091),
    [anon_sym_BSLASHbibliography] = ACTIONS(7091),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7091),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7091),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7091),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7091),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7091),
    [anon_sym_BSLASHimport] = ACTIONS(7091),
    [anon_sym_BSLASHsubimport] = ACTIONS(7091),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7091),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7091),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7091),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7091),
    [anon_sym_BSLASHcaption] = ACTIONS(7091),
    [anon_sym_BSLASHcite] = ACTIONS(7091),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHCite] = ACTIONS(7091),
    [anon_sym_BSLASHnocite] = ACTIONS(7091),
    [anon_sym_BSLASHcitet] = ACTIONS(7091),
    [anon_sym_BSLASHcitep] = ACTIONS(7091),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHciteA] = ACTIONS(7091),
    [anon_sym_BSLASHciteR] = ACTIONS(7091),
    [anon_sym_BSLASHciteS] = ACTIONS(7091),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7091),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7091),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7091),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7091),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHciteyear] = ACTIONS(7091),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcitedate] = ACTIONS(7091),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHciteurl] = ACTIONS(7091),
    [anon_sym_BSLASHfullcite] = ACTIONS(7091),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7091),
    [anon_sym_BSLASHcitealt] = ACTIONS(7091),
    [anon_sym_BSLASHcitealp] = ACTIONS(7091),
    [anon_sym_BSLASHcitetext] = ACTIONS(7091),
    [anon_sym_BSLASHparencite] = ACTIONS(7091),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHParencite] = ACTIONS(7091),
    [anon_sym_BSLASHfootcite] = ACTIONS(7091),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7091),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7091),
    [anon_sym_BSLASHtextcite] = ACTIONS(7091),
    [anon_sym_BSLASHTextcite] = ACTIONS(7091),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7091),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7091),
    [anon_sym_BSLASHsupercite] = ACTIONS(7091),
    [anon_sym_BSLASHautocite] = ACTIONS(7091),
    [anon_sym_BSLASHAutocite] = ACTIONS(7091),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHVolcite] = ACTIONS(7091),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHavolcite] = ACTIONS(7091),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7091),
    [anon_sym_BSLASHnotecite] = ACTIONS(7091),
    [anon_sym_BSLASHNotecite] = ACTIONS(7091),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7091),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7091),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7091),
    [anon_sym_BSLASHlabel] = ACTIONS(7091),
    [anon_sym_BSLASHref] = ACTIONS(7091),
    [anon_sym_BSLASHeqref] = ACTIONS(7091),
    [anon_sym_BSLASHvref] = ACTIONS(7091),
    [anon_sym_BSLASHVref] = ACTIONS(7091),
    [anon_sym_BSLASHautoref] = ACTIONS(7091),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHpageref] = ACTIONS(7091),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHautopageref] = ACTIONS(7091),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcref] = ACTIONS(7091),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHCref] = ACTIONS(7091),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcpageref] = ACTIONS(7091),
    [anon_sym_BSLASHCpageref] = ACTIONS(7091),
    [anon_sym_BSLASHnamecref] = ACTIONS(7091),
    [anon_sym_BSLASHnameCref] = ACTIONS(7091),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7091),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7091),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7091),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7091),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7091),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7091),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7091),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7091),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7091),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7091),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7091),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7091),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7091),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7091),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7091),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7091),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7091),
    [anon_sym_BSLASHdef] = ACTIONS(7091),
    [anon_sym_BSLASHgdef] = ACTIONS(7091),
    [anon_sym_BSLASHedef] = ACTIONS(7091),
    [anon_sym_BSLASHxdef] = ACTIONS(7091),
    [anon_sym_BSLASHlet] = ACTIONS(7091),
    [anon_sym_BSLASHglet] = ACTIONS(7091),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7091),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7091),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7091),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7091),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7091),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7091),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7091),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7091),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7091),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7091),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7091),
    [anon_sym_BSLASHgls] = ACTIONS(7091),
    [anon_sym_BSLASHGls] = ACTIONS(7091),
    [anon_sym_BSLASHGLS] = ACTIONS(7091),
    [anon_sym_BSLASHglspl] = ACTIONS(7091),
    [anon_sym_BSLASHGlspl] = ACTIONS(7091),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7091),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7091),
    [anon_sym_BSLASHglslink] = ACTIONS(7091),
    [anon_sym_BSLASHglstext] = ACTIONS(7091),
    [anon_sym_BSLASHGlstext] = ACTIONS(7091),
    [anon_sym_BSLASHGLStext] = ACTIONS(7091),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7091),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7091),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7091),
    [anon_sym_BSLASHglsplural] = ACTIONS(7091),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7091),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7091),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7091),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7091),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7091),
    [anon_sym_BSLASHglsname] = ACTIONS(7091),
    [anon_sym_BSLASHGlsname] = ACTIONS(7091),
    [anon_sym_BSLASHGLSname] = ACTIONS(7091),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7091),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7091),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7091),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7091),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7091),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7091),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7091),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7091),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7091),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7091),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7091),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7091),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7091),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7091),
    [anon_sym_BSLASHacrshort] = ACTIONS(7091),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7091),
    [anon_sym_BSLASHACRshort] = ACTIONS(7091),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHacrlong] = ACTIONS(7091),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7091),
    [anon_sym_BSLASHACRlong] = ACTIONS(7091),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7091),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7091),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7091),
    [anon_sym_BSLASHacrfull] = ACTIONS(7091),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7091),
    [anon_sym_BSLASHACRfull] = ACTIONS(7091),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHacs] = ACTIONS(7091),
    [anon_sym_BSLASHAcs] = ACTIONS(7091),
    [anon_sym_BSLASHacsp] = ACTIONS(7091),
    [anon_sym_BSLASHAcsp] = ACTIONS(7091),
    [anon_sym_BSLASHacl] = ACTIONS(7091),
    [anon_sym_BSLASHAcl] = ACTIONS(7091),
    [anon_sym_BSLASHaclp] = ACTIONS(7091),
    [anon_sym_BSLASHAclp] = ACTIONS(7091),
    [anon_sym_BSLASHacf] = ACTIONS(7091),
    [anon_sym_BSLASHAcf] = ACTIONS(7091),
    [anon_sym_BSLASHacfp] = ACTIONS(7091),
    [anon_sym_BSLASHAcfp] = ACTIONS(7091),
    [anon_sym_BSLASHac] = ACTIONS(7091),
    [anon_sym_BSLASHAc] = ACTIONS(7091),
    [anon_sym_BSLASHacp] = ACTIONS(7091),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7091),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7091),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7091),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7091),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7091),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7091),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7091),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7093),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7091),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7091),
    [anon_sym_BSLASHcolor] = ACTIONS(7091),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7091),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7091),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7091),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7091),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7091),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7091),
    [anon_sym_BSLASHurl] = ACTIONS(7091),
    [anon_sym_BSLASHhref] = ACTIONS(7091),
  },
  [1876] = {
    [sym_command_name] = ACTIONS(7095),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7095),
    [anon_sym_LBRACK] = ACTIONS(7097),
    [anon_sym_RBRACK] = ACTIONS(7097),
    [anon_sym_COMMA] = ACTIONS(7097),
    [anon_sym_EQ] = ACTIONS(7097),
    [anon_sym_LPAREN] = ACTIONS(7097),
    [anon_sym_RPAREN] = ACTIONS(7097),
    [anon_sym_LBRACE] = ACTIONS(7097),
    [sym_word] = ACTIONS(7095),
    [sym_placeholder] = ACTIONS(7097),
    [sym_delimiter] = ACTIONS(7097),
    [anon_sym_PLUS] = ACTIONS(7097),
    [anon_sym_DASH] = ACTIONS(7097),
    [anon_sym_STAR] = ACTIONS(7097),
    [anon_sym_SLASH] = ACTIONS(7097),
    [anon_sym_LT] = ACTIONS(7095),
    [anon_sym_GT] = ACTIONS(7095),
    [anon_sym_BANG] = ACTIONS(7095),
    [anon_sym_PIPE] = ACTIONS(7095),
    [anon_sym_COLON] = ACTIONS(7095),
    [anon_sym_SQUOTE] = ACTIONS(7095),
    [anon_sym__] = ACTIONS(7097),
    [anon_sym_CARET] = ACTIONS(7097),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7097),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7097),
    [anon_sym_DOLLAR] = ACTIONS(7095),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7097),
    [anon_sym_BSLASHleft] = ACTIONS(7095),
    [anon_sym_BSLASHbigl] = ACTIONS(7095),
    [anon_sym_BSLASHBigl] = ACTIONS(7095),
    [anon_sym_BSLASHbiggl] = ACTIONS(7095),
    [anon_sym_BSLASHBiggl] = ACTIONS(7095),
    [anon_sym_BSLASHtext] = ACTIONS(7095),
    [anon_sym_BSLASHintertext] = ACTIONS(7095),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7095),
    [anon_sym_BSLASHbegin] = ACTIONS(7095),
    [anon_sym_BSLASHtitle] = ACTIONS(7095),
    [anon_sym_BSLASHauthor] = ACTIONS(7095),
    [anon_sym_BSLASHusepackage] = ACTIONS(7095),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7095),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7095),
    [anon_sym_BSLASHinclude] = ACTIONS(7095),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7095),
    [anon_sym_BSLASHinput] = ACTIONS(7095),
    [anon_sym_BSLASHsubfile] = ACTIONS(7095),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7095),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7095),
    [anon_sym_BSLASHbibliography] = ACTIONS(7095),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7095),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7095),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7095),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7095),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7095),
    [anon_sym_BSLASHimport] = ACTIONS(7095),
    [anon_sym_BSLASHsubimport] = ACTIONS(7095),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7095),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7095),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7095),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7095),
    [anon_sym_BSLASHcaption] = ACTIONS(7095),
    [anon_sym_BSLASHcite] = ACTIONS(7095),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHCite] = ACTIONS(7095),
    [anon_sym_BSLASHnocite] = ACTIONS(7095),
    [anon_sym_BSLASHcitet] = ACTIONS(7095),
    [anon_sym_BSLASHcitep] = ACTIONS(7095),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHciteA] = ACTIONS(7095),
    [anon_sym_BSLASHciteR] = ACTIONS(7095),
    [anon_sym_BSLASHciteS] = ACTIONS(7095),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7095),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7095),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7095),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7095),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHciteyear] = ACTIONS(7095),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcitedate] = ACTIONS(7095),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHciteurl] = ACTIONS(7095),
    [anon_sym_BSLASHfullcite] = ACTIONS(7095),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7095),
    [anon_sym_BSLASHcitealt] = ACTIONS(7095),
    [anon_sym_BSLASHcitealp] = ACTIONS(7095),
    [anon_sym_BSLASHcitetext] = ACTIONS(7095),
    [anon_sym_BSLASHparencite] = ACTIONS(7095),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHParencite] = ACTIONS(7095),
    [anon_sym_BSLASHfootcite] = ACTIONS(7095),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7095),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7095),
    [anon_sym_BSLASHtextcite] = ACTIONS(7095),
    [anon_sym_BSLASHTextcite] = ACTIONS(7095),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7095),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7095),
    [anon_sym_BSLASHsupercite] = ACTIONS(7095),
    [anon_sym_BSLASHautocite] = ACTIONS(7095),
    [anon_sym_BSLASHAutocite] = ACTIONS(7095),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHVolcite] = ACTIONS(7095),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHavolcite] = ACTIONS(7095),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7095),
    [anon_sym_BSLASHnotecite] = ACTIONS(7095),
    [anon_sym_BSLASHNotecite] = ACTIONS(7095),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7095),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7095),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7095),
    [anon_sym_BSLASHlabel] = ACTIONS(7095),
    [anon_sym_BSLASHref] = ACTIONS(7095),
    [anon_sym_BSLASHeqref] = ACTIONS(7095),
    [anon_sym_BSLASHvref] = ACTIONS(7095),
    [anon_sym_BSLASHVref] = ACTIONS(7095),
    [anon_sym_BSLASHautoref] = ACTIONS(7095),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHpageref] = ACTIONS(7095),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHautopageref] = ACTIONS(7095),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcref] = ACTIONS(7095),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHCref] = ACTIONS(7095),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcpageref] = ACTIONS(7095),
    [anon_sym_BSLASHCpageref] = ACTIONS(7095),
    [anon_sym_BSLASHnamecref] = ACTIONS(7095),
    [anon_sym_BSLASHnameCref] = ACTIONS(7095),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7095),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7095),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7095),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7095),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7095),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7095),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7095),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7095),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7095),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7095),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7095),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7095),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7095),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7095),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7095),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7095),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7095),
    [anon_sym_BSLASHdef] = ACTIONS(7095),
    [anon_sym_BSLASHgdef] = ACTIONS(7095),
    [anon_sym_BSLASHedef] = ACTIONS(7095),
    [anon_sym_BSLASHxdef] = ACTIONS(7095),
    [anon_sym_BSLASHlet] = ACTIONS(7095),
    [anon_sym_BSLASHglet] = ACTIONS(7095),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7095),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7095),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7095),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7095),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7095),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7095),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7095),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7095),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7095),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7095),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7095),
    [anon_sym_BSLASHgls] = ACTIONS(7095),
    [anon_sym_BSLASHGls] = ACTIONS(7095),
    [anon_sym_BSLASHGLS] = ACTIONS(7095),
    [anon_sym_BSLASHglspl] = ACTIONS(7095),
    [anon_sym_BSLASHGlspl] = ACTIONS(7095),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7095),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7095),
    [anon_sym_BSLASHglslink] = ACTIONS(7095),
    [anon_sym_BSLASHglstext] = ACTIONS(7095),
    [anon_sym_BSLASHGlstext] = ACTIONS(7095),
    [anon_sym_BSLASHGLStext] = ACTIONS(7095),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7095),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7095),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7095),
    [anon_sym_BSLASHglsplural] = ACTIONS(7095),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7095),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7095),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7095),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7095),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7095),
    [anon_sym_BSLASHglsname] = ACTIONS(7095),
    [anon_sym_BSLASHGlsname] = ACTIONS(7095),
    [anon_sym_BSLASHGLSname] = ACTIONS(7095),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7095),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7095),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7095),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7095),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7095),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7095),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7095),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7095),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7095),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7095),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7095),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7095),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7095),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7095),
    [anon_sym_BSLASHacrshort] = ACTIONS(7095),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7095),
    [anon_sym_BSLASHACRshort] = ACTIONS(7095),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHacrlong] = ACTIONS(7095),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7095),
    [anon_sym_BSLASHACRlong] = ACTIONS(7095),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7095),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7095),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7095),
    [anon_sym_BSLASHacrfull] = ACTIONS(7095),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7095),
    [anon_sym_BSLASHACRfull] = ACTIONS(7095),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHacs] = ACTIONS(7095),
    [anon_sym_BSLASHAcs] = ACTIONS(7095),
    [anon_sym_BSLASHacsp] = ACTIONS(7095),
    [anon_sym_BSLASHAcsp] = ACTIONS(7095),
    [anon_sym_BSLASHacl] = ACTIONS(7095),
    [anon_sym_BSLASHAcl] = ACTIONS(7095),
    [anon_sym_BSLASHaclp] = ACTIONS(7095),
    [anon_sym_BSLASHAclp] = ACTIONS(7095),
    [anon_sym_BSLASHacf] = ACTIONS(7095),
    [anon_sym_BSLASHAcf] = ACTIONS(7095),
    [anon_sym_BSLASHacfp] = ACTIONS(7095),
    [anon_sym_BSLASHAcfp] = ACTIONS(7095),
    [anon_sym_BSLASHac] = ACTIONS(7095),
    [anon_sym_BSLASHAc] = ACTIONS(7095),
    [anon_sym_BSLASHacp] = ACTIONS(7095),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7095),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7095),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7095),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7095),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7095),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7095),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7095),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7097),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7095),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7095),
    [anon_sym_BSLASHcolor] = ACTIONS(7095),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7095),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7095),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7095),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7095),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7095),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7095),
    [anon_sym_BSLASHurl] = ACTIONS(7095),
    [anon_sym_BSLASHhref] = ACTIONS(7095),
  },
  [1877] = {
    [sym_command_name] = ACTIONS(7099),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7099),
    [anon_sym_LBRACK] = ACTIONS(7101),
    [anon_sym_RBRACK] = ACTIONS(7101),
    [anon_sym_COMMA] = ACTIONS(7101),
    [anon_sym_EQ] = ACTIONS(7101),
    [anon_sym_LPAREN] = ACTIONS(7101),
    [anon_sym_RPAREN] = ACTIONS(7101),
    [anon_sym_LBRACE] = ACTIONS(7101),
    [sym_word] = ACTIONS(7099),
    [sym_placeholder] = ACTIONS(7101),
    [sym_delimiter] = ACTIONS(7101),
    [anon_sym_PLUS] = ACTIONS(7101),
    [anon_sym_DASH] = ACTIONS(7101),
    [anon_sym_STAR] = ACTIONS(7101),
    [anon_sym_SLASH] = ACTIONS(7101),
    [anon_sym_LT] = ACTIONS(7099),
    [anon_sym_GT] = ACTIONS(7099),
    [anon_sym_BANG] = ACTIONS(7099),
    [anon_sym_PIPE] = ACTIONS(7099),
    [anon_sym_COLON] = ACTIONS(7099),
    [anon_sym_SQUOTE] = ACTIONS(7099),
    [anon_sym__] = ACTIONS(7101),
    [anon_sym_CARET] = ACTIONS(7101),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7101),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7101),
    [anon_sym_DOLLAR] = ACTIONS(7099),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7101),
    [anon_sym_BSLASHleft] = ACTIONS(7099),
    [anon_sym_BSLASHbigl] = ACTIONS(7099),
    [anon_sym_BSLASHBigl] = ACTIONS(7099),
    [anon_sym_BSLASHbiggl] = ACTIONS(7099),
    [anon_sym_BSLASHBiggl] = ACTIONS(7099),
    [anon_sym_BSLASHtext] = ACTIONS(7099),
    [anon_sym_BSLASHintertext] = ACTIONS(7099),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7099),
    [anon_sym_BSLASHbegin] = ACTIONS(7099),
    [anon_sym_BSLASHtitle] = ACTIONS(7099),
    [anon_sym_BSLASHauthor] = ACTIONS(7099),
    [anon_sym_BSLASHusepackage] = ACTIONS(7099),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7099),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7099),
    [anon_sym_BSLASHinclude] = ACTIONS(7099),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7099),
    [anon_sym_BSLASHinput] = ACTIONS(7099),
    [anon_sym_BSLASHsubfile] = ACTIONS(7099),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7099),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7099),
    [anon_sym_BSLASHbibliography] = ACTIONS(7099),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7099),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7099),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7099),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7099),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7099),
    [anon_sym_BSLASHimport] = ACTIONS(7099),
    [anon_sym_BSLASHsubimport] = ACTIONS(7099),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7099),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7099),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7099),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7099),
    [anon_sym_BSLASHcaption] = ACTIONS(7099),
    [anon_sym_BSLASHcite] = ACTIONS(7099),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHCite] = ACTIONS(7099),
    [anon_sym_BSLASHnocite] = ACTIONS(7099),
    [anon_sym_BSLASHcitet] = ACTIONS(7099),
    [anon_sym_BSLASHcitep] = ACTIONS(7099),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHciteA] = ACTIONS(7099),
    [anon_sym_BSLASHciteR] = ACTIONS(7099),
    [anon_sym_BSLASHciteS] = ACTIONS(7099),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7099),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7099),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7099),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7099),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHciteyear] = ACTIONS(7099),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcitedate] = ACTIONS(7099),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHciteurl] = ACTIONS(7099),
    [anon_sym_BSLASHfullcite] = ACTIONS(7099),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7099),
    [anon_sym_BSLASHcitealt] = ACTIONS(7099),
    [anon_sym_BSLASHcitealp] = ACTIONS(7099),
    [anon_sym_BSLASHcitetext] = ACTIONS(7099),
    [anon_sym_BSLASHparencite] = ACTIONS(7099),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHParencite] = ACTIONS(7099),
    [anon_sym_BSLASHfootcite] = ACTIONS(7099),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7099),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7099),
    [anon_sym_BSLASHtextcite] = ACTIONS(7099),
    [anon_sym_BSLASHTextcite] = ACTIONS(7099),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7099),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7099),
    [anon_sym_BSLASHsupercite] = ACTIONS(7099),
    [anon_sym_BSLASHautocite] = ACTIONS(7099),
    [anon_sym_BSLASHAutocite] = ACTIONS(7099),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHVolcite] = ACTIONS(7099),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHavolcite] = ACTIONS(7099),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7099),
    [anon_sym_BSLASHnotecite] = ACTIONS(7099),
    [anon_sym_BSLASHNotecite] = ACTIONS(7099),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7099),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7099),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7099),
    [anon_sym_BSLASHlabel] = ACTIONS(7099),
    [anon_sym_BSLASHref] = ACTIONS(7099),
    [anon_sym_BSLASHeqref] = ACTIONS(7099),
    [anon_sym_BSLASHvref] = ACTIONS(7099),
    [anon_sym_BSLASHVref] = ACTIONS(7099),
    [anon_sym_BSLASHautoref] = ACTIONS(7099),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHpageref] = ACTIONS(7099),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHautopageref] = ACTIONS(7099),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcref] = ACTIONS(7099),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHCref] = ACTIONS(7099),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcpageref] = ACTIONS(7099),
    [anon_sym_BSLASHCpageref] = ACTIONS(7099),
    [anon_sym_BSLASHnamecref] = ACTIONS(7099),
    [anon_sym_BSLASHnameCref] = ACTIONS(7099),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7099),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7099),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7099),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7099),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7099),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7099),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7099),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7099),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7099),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7099),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7099),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7099),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7099),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7099),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7099),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7099),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7099),
    [anon_sym_BSLASHdef] = ACTIONS(7099),
    [anon_sym_BSLASHgdef] = ACTIONS(7099),
    [anon_sym_BSLASHedef] = ACTIONS(7099),
    [anon_sym_BSLASHxdef] = ACTIONS(7099),
    [anon_sym_BSLASHlet] = ACTIONS(7099),
    [anon_sym_BSLASHglet] = ACTIONS(7099),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7099),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7099),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7099),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7099),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7099),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7099),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7099),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7099),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7099),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7099),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7099),
    [anon_sym_BSLASHgls] = ACTIONS(7099),
    [anon_sym_BSLASHGls] = ACTIONS(7099),
    [anon_sym_BSLASHGLS] = ACTIONS(7099),
    [anon_sym_BSLASHglspl] = ACTIONS(7099),
    [anon_sym_BSLASHGlspl] = ACTIONS(7099),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7099),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7099),
    [anon_sym_BSLASHglslink] = ACTIONS(7099),
    [anon_sym_BSLASHglstext] = ACTIONS(7099),
    [anon_sym_BSLASHGlstext] = ACTIONS(7099),
    [anon_sym_BSLASHGLStext] = ACTIONS(7099),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7099),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7099),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7099),
    [anon_sym_BSLASHglsplural] = ACTIONS(7099),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7099),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7099),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7099),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7099),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7099),
    [anon_sym_BSLASHglsname] = ACTIONS(7099),
    [anon_sym_BSLASHGlsname] = ACTIONS(7099),
    [anon_sym_BSLASHGLSname] = ACTIONS(7099),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7099),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7099),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7099),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7099),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7099),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7099),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7099),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7099),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7099),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7099),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7099),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7099),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7099),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7099),
    [anon_sym_BSLASHacrshort] = ACTIONS(7099),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7099),
    [anon_sym_BSLASHACRshort] = ACTIONS(7099),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHacrlong] = ACTIONS(7099),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7099),
    [anon_sym_BSLASHACRlong] = ACTIONS(7099),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7099),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7099),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7099),
    [anon_sym_BSLASHacrfull] = ACTIONS(7099),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7099),
    [anon_sym_BSLASHACRfull] = ACTIONS(7099),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHacs] = ACTIONS(7099),
    [anon_sym_BSLASHAcs] = ACTIONS(7099),
    [anon_sym_BSLASHacsp] = ACTIONS(7099),
    [anon_sym_BSLASHAcsp] = ACTIONS(7099),
    [anon_sym_BSLASHacl] = ACTIONS(7099),
    [anon_sym_BSLASHAcl] = ACTIONS(7099),
    [anon_sym_BSLASHaclp] = ACTIONS(7099),
    [anon_sym_BSLASHAclp] = ACTIONS(7099),
    [anon_sym_BSLASHacf] = ACTIONS(7099),
    [anon_sym_BSLASHAcf] = ACTIONS(7099),
    [anon_sym_BSLASHacfp] = ACTIONS(7099),
    [anon_sym_BSLASHAcfp] = ACTIONS(7099),
    [anon_sym_BSLASHac] = ACTIONS(7099),
    [anon_sym_BSLASHAc] = ACTIONS(7099),
    [anon_sym_BSLASHacp] = ACTIONS(7099),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7099),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7099),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7099),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7099),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7099),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7099),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7099),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7101),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7099),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7099),
    [anon_sym_BSLASHcolor] = ACTIONS(7099),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7099),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7099),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7099),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7099),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7099),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7099),
    [anon_sym_BSLASHurl] = ACTIONS(7099),
    [anon_sym_BSLASHhref] = ACTIONS(7099),
  },
  [1878] = {
    [sym_command_name] = ACTIONS(7103),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7103),
    [anon_sym_LBRACK] = ACTIONS(7105),
    [anon_sym_RBRACK] = ACTIONS(7105),
    [anon_sym_COMMA] = ACTIONS(7105),
    [anon_sym_EQ] = ACTIONS(7105),
    [anon_sym_LPAREN] = ACTIONS(7105),
    [anon_sym_RPAREN] = ACTIONS(7105),
    [anon_sym_LBRACE] = ACTIONS(7105),
    [sym_word] = ACTIONS(7103),
    [sym_placeholder] = ACTIONS(7105),
    [sym_delimiter] = ACTIONS(7105),
    [anon_sym_PLUS] = ACTIONS(7105),
    [anon_sym_DASH] = ACTIONS(7105),
    [anon_sym_STAR] = ACTIONS(7105),
    [anon_sym_SLASH] = ACTIONS(7105),
    [anon_sym_LT] = ACTIONS(7103),
    [anon_sym_GT] = ACTIONS(7103),
    [anon_sym_BANG] = ACTIONS(7103),
    [anon_sym_PIPE] = ACTIONS(7103),
    [anon_sym_COLON] = ACTIONS(7103),
    [anon_sym_SQUOTE] = ACTIONS(7103),
    [anon_sym__] = ACTIONS(7105),
    [anon_sym_CARET] = ACTIONS(7105),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7105),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7105),
    [anon_sym_DOLLAR] = ACTIONS(7103),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7105),
    [anon_sym_BSLASHleft] = ACTIONS(7103),
    [anon_sym_BSLASHbigl] = ACTIONS(7103),
    [anon_sym_BSLASHBigl] = ACTIONS(7103),
    [anon_sym_BSLASHbiggl] = ACTIONS(7103),
    [anon_sym_BSLASHBiggl] = ACTIONS(7103),
    [anon_sym_BSLASHtext] = ACTIONS(7103),
    [anon_sym_BSLASHintertext] = ACTIONS(7103),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7103),
    [anon_sym_BSLASHbegin] = ACTIONS(7103),
    [anon_sym_BSLASHtitle] = ACTIONS(7103),
    [anon_sym_BSLASHauthor] = ACTIONS(7103),
    [anon_sym_BSLASHusepackage] = ACTIONS(7103),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7103),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7103),
    [anon_sym_BSLASHinclude] = ACTIONS(7103),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7103),
    [anon_sym_BSLASHinput] = ACTIONS(7103),
    [anon_sym_BSLASHsubfile] = ACTIONS(7103),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7103),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7103),
    [anon_sym_BSLASHbibliography] = ACTIONS(7103),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7103),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7103),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7103),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7103),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7103),
    [anon_sym_BSLASHimport] = ACTIONS(7103),
    [anon_sym_BSLASHsubimport] = ACTIONS(7103),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7103),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7103),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7103),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7103),
    [anon_sym_BSLASHcaption] = ACTIONS(7103),
    [anon_sym_BSLASHcite] = ACTIONS(7103),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHCite] = ACTIONS(7103),
    [anon_sym_BSLASHnocite] = ACTIONS(7103),
    [anon_sym_BSLASHcitet] = ACTIONS(7103),
    [anon_sym_BSLASHcitep] = ACTIONS(7103),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHciteA] = ACTIONS(7103),
    [anon_sym_BSLASHciteR] = ACTIONS(7103),
    [anon_sym_BSLASHciteS] = ACTIONS(7103),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7103),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7103),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7103),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7103),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHciteyear] = ACTIONS(7103),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcitedate] = ACTIONS(7103),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHciteurl] = ACTIONS(7103),
    [anon_sym_BSLASHfullcite] = ACTIONS(7103),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7103),
    [anon_sym_BSLASHcitealt] = ACTIONS(7103),
    [anon_sym_BSLASHcitealp] = ACTIONS(7103),
    [anon_sym_BSLASHcitetext] = ACTIONS(7103),
    [anon_sym_BSLASHparencite] = ACTIONS(7103),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHParencite] = ACTIONS(7103),
    [anon_sym_BSLASHfootcite] = ACTIONS(7103),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7103),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7103),
    [anon_sym_BSLASHtextcite] = ACTIONS(7103),
    [anon_sym_BSLASHTextcite] = ACTIONS(7103),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7103),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7103),
    [anon_sym_BSLASHsupercite] = ACTIONS(7103),
    [anon_sym_BSLASHautocite] = ACTIONS(7103),
    [anon_sym_BSLASHAutocite] = ACTIONS(7103),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHVolcite] = ACTIONS(7103),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHavolcite] = ACTIONS(7103),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7103),
    [anon_sym_BSLASHnotecite] = ACTIONS(7103),
    [anon_sym_BSLASHNotecite] = ACTIONS(7103),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7103),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7103),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7103),
    [anon_sym_BSLASHlabel] = ACTIONS(7103),
    [anon_sym_BSLASHref] = ACTIONS(7103),
    [anon_sym_BSLASHeqref] = ACTIONS(7103),
    [anon_sym_BSLASHvref] = ACTIONS(7103),
    [anon_sym_BSLASHVref] = ACTIONS(7103),
    [anon_sym_BSLASHautoref] = ACTIONS(7103),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHpageref] = ACTIONS(7103),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHautopageref] = ACTIONS(7103),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcref] = ACTIONS(7103),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHCref] = ACTIONS(7103),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcpageref] = ACTIONS(7103),
    [anon_sym_BSLASHCpageref] = ACTIONS(7103),
    [anon_sym_BSLASHnamecref] = ACTIONS(7103),
    [anon_sym_BSLASHnameCref] = ACTIONS(7103),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7103),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7103),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7103),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7103),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7103),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7103),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7103),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7103),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7103),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7103),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7103),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7103),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7103),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7103),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7103),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7103),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7103),
    [anon_sym_BSLASHdef] = ACTIONS(7103),
    [anon_sym_BSLASHgdef] = ACTIONS(7103),
    [anon_sym_BSLASHedef] = ACTIONS(7103),
    [anon_sym_BSLASHxdef] = ACTIONS(7103),
    [anon_sym_BSLASHlet] = ACTIONS(7103),
    [anon_sym_BSLASHglet] = ACTIONS(7103),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7103),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7103),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7103),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7103),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7103),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7103),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7103),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7103),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7103),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7103),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7103),
    [anon_sym_BSLASHgls] = ACTIONS(7103),
    [anon_sym_BSLASHGls] = ACTIONS(7103),
    [anon_sym_BSLASHGLS] = ACTIONS(7103),
    [anon_sym_BSLASHglspl] = ACTIONS(7103),
    [anon_sym_BSLASHGlspl] = ACTIONS(7103),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7103),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7103),
    [anon_sym_BSLASHglslink] = ACTIONS(7103),
    [anon_sym_BSLASHglstext] = ACTIONS(7103),
    [anon_sym_BSLASHGlstext] = ACTIONS(7103),
    [anon_sym_BSLASHGLStext] = ACTIONS(7103),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7103),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7103),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7103),
    [anon_sym_BSLASHglsplural] = ACTIONS(7103),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7103),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7103),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7103),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7103),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7103),
    [anon_sym_BSLASHglsname] = ACTIONS(7103),
    [anon_sym_BSLASHGlsname] = ACTIONS(7103),
    [anon_sym_BSLASHGLSname] = ACTIONS(7103),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7103),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7103),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7103),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7103),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7103),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7103),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7103),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7103),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7103),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7103),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7103),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7103),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7103),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7103),
    [anon_sym_BSLASHacrshort] = ACTIONS(7103),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7103),
    [anon_sym_BSLASHACRshort] = ACTIONS(7103),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHacrlong] = ACTIONS(7103),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7103),
    [anon_sym_BSLASHACRlong] = ACTIONS(7103),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7103),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7103),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7103),
    [anon_sym_BSLASHacrfull] = ACTIONS(7103),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7103),
    [anon_sym_BSLASHACRfull] = ACTIONS(7103),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHacs] = ACTIONS(7103),
    [anon_sym_BSLASHAcs] = ACTIONS(7103),
    [anon_sym_BSLASHacsp] = ACTIONS(7103),
    [anon_sym_BSLASHAcsp] = ACTIONS(7103),
    [anon_sym_BSLASHacl] = ACTIONS(7103),
    [anon_sym_BSLASHAcl] = ACTIONS(7103),
    [anon_sym_BSLASHaclp] = ACTIONS(7103),
    [anon_sym_BSLASHAclp] = ACTIONS(7103),
    [anon_sym_BSLASHacf] = ACTIONS(7103),
    [anon_sym_BSLASHAcf] = ACTIONS(7103),
    [anon_sym_BSLASHacfp] = ACTIONS(7103),
    [anon_sym_BSLASHAcfp] = ACTIONS(7103),
    [anon_sym_BSLASHac] = ACTIONS(7103),
    [anon_sym_BSLASHAc] = ACTIONS(7103),
    [anon_sym_BSLASHacp] = ACTIONS(7103),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7103),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7103),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7103),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7103),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7103),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7103),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7103),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7105),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7103),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7103),
    [anon_sym_BSLASHcolor] = ACTIONS(7103),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7103),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7103),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7103),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7103),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7103),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7103),
    [anon_sym_BSLASHurl] = ACTIONS(7103),
    [anon_sym_BSLASHhref] = ACTIONS(7103),
  },
  [1879] = {
    [sym_command_name] = ACTIONS(7107),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7107),
    [anon_sym_LBRACK] = ACTIONS(7109),
    [anon_sym_RBRACK] = ACTIONS(7109),
    [anon_sym_COMMA] = ACTIONS(7109),
    [anon_sym_EQ] = ACTIONS(7109),
    [anon_sym_LPAREN] = ACTIONS(7109),
    [anon_sym_RPAREN] = ACTIONS(7109),
    [anon_sym_LBRACE] = ACTIONS(7109),
    [sym_word] = ACTIONS(7107),
    [sym_placeholder] = ACTIONS(7109),
    [sym_delimiter] = ACTIONS(7109),
    [anon_sym_PLUS] = ACTIONS(7109),
    [anon_sym_DASH] = ACTIONS(7109),
    [anon_sym_STAR] = ACTIONS(7109),
    [anon_sym_SLASH] = ACTIONS(7109),
    [anon_sym_LT] = ACTIONS(7107),
    [anon_sym_GT] = ACTIONS(7107),
    [anon_sym_BANG] = ACTIONS(7107),
    [anon_sym_PIPE] = ACTIONS(7107),
    [anon_sym_COLON] = ACTIONS(7107),
    [anon_sym_SQUOTE] = ACTIONS(7107),
    [anon_sym__] = ACTIONS(7109),
    [anon_sym_CARET] = ACTIONS(7109),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7109),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7109),
    [anon_sym_DOLLAR] = ACTIONS(7107),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7109),
    [anon_sym_BSLASHleft] = ACTIONS(7107),
    [anon_sym_BSLASHbigl] = ACTIONS(7107),
    [anon_sym_BSLASHBigl] = ACTIONS(7107),
    [anon_sym_BSLASHbiggl] = ACTIONS(7107),
    [anon_sym_BSLASHBiggl] = ACTIONS(7107),
    [anon_sym_BSLASHtext] = ACTIONS(7107),
    [anon_sym_BSLASHintertext] = ACTIONS(7107),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7107),
    [anon_sym_BSLASHbegin] = ACTIONS(7107),
    [anon_sym_BSLASHtitle] = ACTIONS(7107),
    [anon_sym_BSLASHauthor] = ACTIONS(7107),
    [anon_sym_BSLASHusepackage] = ACTIONS(7107),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7107),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7107),
    [anon_sym_BSLASHinclude] = ACTIONS(7107),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7107),
    [anon_sym_BSLASHinput] = ACTIONS(7107),
    [anon_sym_BSLASHsubfile] = ACTIONS(7107),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7107),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7107),
    [anon_sym_BSLASHbibliography] = ACTIONS(7107),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7107),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7107),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7107),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7107),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7107),
    [anon_sym_BSLASHimport] = ACTIONS(7107),
    [anon_sym_BSLASHsubimport] = ACTIONS(7107),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7107),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7107),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7107),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7107),
    [anon_sym_BSLASHcaption] = ACTIONS(7107),
    [anon_sym_BSLASHcite] = ACTIONS(7107),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHCite] = ACTIONS(7107),
    [anon_sym_BSLASHnocite] = ACTIONS(7107),
    [anon_sym_BSLASHcitet] = ACTIONS(7107),
    [anon_sym_BSLASHcitep] = ACTIONS(7107),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHciteA] = ACTIONS(7107),
    [anon_sym_BSLASHciteR] = ACTIONS(7107),
    [anon_sym_BSLASHciteS] = ACTIONS(7107),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7107),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7107),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7107),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7107),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHciteyear] = ACTIONS(7107),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcitedate] = ACTIONS(7107),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHciteurl] = ACTIONS(7107),
    [anon_sym_BSLASHfullcite] = ACTIONS(7107),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7107),
    [anon_sym_BSLASHcitealt] = ACTIONS(7107),
    [anon_sym_BSLASHcitealp] = ACTIONS(7107),
    [anon_sym_BSLASHcitetext] = ACTIONS(7107),
    [anon_sym_BSLASHparencite] = ACTIONS(7107),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHParencite] = ACTIONS(7107),
    [anon_sym_BSLASHfootcite] = ACTIONS(7107),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7107),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7107),
    [anon_sym_BSLASHtextcite] = ACTIONS(7107),
    [anon_sym_BSLASHTextcite] = ACTIONS(7107),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7107),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7107),
    [anon_sym_BSLASHsupercite] = ACTIONS(7107),
    [anon_sym_BSLASHautocite] = ACTIONS(7107),
    [anon_sym_BSLASHAutocite] = ACTIONS(7107),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHVolcite] = ACTIONS(7107),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHavolcite] = ACTIONS(7107),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7107),
    [anon_sym_BSLASHnotecite] = ACTIONS(7107),
    [anon_sym_BSLASHNotecite] = ACTIONS(7107),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7107),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7107),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7107),
    [anon_sym_BSLASHlabel] = ACTIONS(7107),
    [anon_sym_BSLASHref] = ACTIONS(7107),
    [anon_sym_BSLASHeqref] = ACTIONS(7107),
    [anon_sym_BSLASHvref] = ACTIONS(7107),
    [anon_sym_BSLASHVref] = ACTIONS(7107),
    [anon_sym_BSLASHautoref] = ACTIONS(7107),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHpageref] = ACTIONS(7107),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHautopageref] = ACTIONS(7107),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcref] = ACTIONS(7107),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHCref] = ACTIONS(7107),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcpageref] = ACTIONS(7107),
    [anon_sym_BSLASHCpageref] = ACTIONS(7107),
    [anon_sym_BSLASHnamecref] = ACTIONS(7107),
    [anon_sym_BSLASHnameCref] = ACTIONS(7107),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7107),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7107),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7107),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7107),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7107),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7107),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7107),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7107),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7107),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7107),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7107),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7107),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7107),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7107),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7107),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7107),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7107),
    [anon_sym_BSLASHdef] = ACTIONS(7107),
    [anon_sym_BSLASHgdef] = ACTIONS(7107),
    [anon_sym_BSLASHedef] = ACTIONS(7107),
    [anon_sym_BSLASHxdef] = ACTIONS(7107),
    [anon_sym_BSLASHlet] = ACTIONS(7107),
    [anon_sym_BSLASHglet] = ACTIONS(7107),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7107),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7107),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7107),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7107),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7107),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7107),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7107),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7107),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7107),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7107),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7107),
    [anon_sym_BSLASHgls] = ACTIONS(7107),
    [anon_sym_BSLASHGls] = ACTIONS(7107),
    [anon_sym_BSLASHGLS] = ACTIONS(7107),
    [anon_sym_BSLASHglspl] = ACTIONS(7107),
    [anon_sym_BSLASHGlspl] = ACTIONS(7107),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7107),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7107),
    [anon_sym_BSLASHglslink] = ACTIONS(7107),
    [anon_sym_BSLASHglstext] = ACTIONS(7107),
    [anon_sym_BSLASHGlstext] = ACTIONS(7107),
    [anon_sym_BSLASHGLStext] = ACTIONS(7107),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7107),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7107),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7107),
    [anon_sym_BSLASHglsplural] = ACTIONS(7107),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7107),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7107),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7107),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7107),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7107),
    [anon_sym_BSLASHglsname] = ACTIONS(7107),
    [anon_sym_BSLASHGlsname] = ACTIONS(7107),
    [anon_sym_BSLASHGLSname] = ACTIONS(7107),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7107),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7107),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7107),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7107),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7107),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7107),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7107),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7107),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7107),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7107),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7107),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7107),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7107),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7107),
    [anon_sym_BSLASHacrshort] = ACTIONS(7107),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7107),
    [anon_sym_BSLASHACRshort] = ACTIONS(7107),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHacrlong] = ACTIONS(7107),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7107),
    [anon_sym_BSLASHACRlong] = ACTIONS(7107),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7107),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7107),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7107),
    [anon_sym_BSLASHacrfull] = ACTIONS(7107),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7107),
    [anon_sym_BSLASHACRfull] = ACTIONS(7107),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHacs] = ACTIONS(7107),
    [anon_sym_BSLASHAcs] = ACTIONS(7107),
    [anon_sym_BSLASHacsp] = ACTIONS(7107),
    [anon_sym_BSLASHAcsp] = ACTIONS(7107),
    [anon_sym_BSLASHacl] = ACTIONS(7107),
    [anon_sym_BSLASHAcl] = ACTIONS(7107),
    [anon_sym_BSLASHaclp] = ACTIONS(7107),
    [anon_sym_BSLASHAclp] = ACTIONS(7107),
    [anon_sym_BSLASHacf] = ACTIONS(7107),
    [anon_sym_BSLASHAcf] = ACTIONS(7107),
    [anon_sym_BSLASHacfp] = ACTIONS(7107),
    [anon_sym_BSLASHAcfp] = ACTIONS(7107),
    [anon_sym_BSLASHac] = ACTIONS(7107),
    [anon_sym_BSLASHAc] = ACTIONS(7107),
    [anon_sym_BSLASHacp] = ACTIONS(7107),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7107),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7107),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7107),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7107),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7107),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7107),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7107),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7109),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7107),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7107),
    [anon_sym_BSLASHcolor] = ACTIONS(7107),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7107),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7107),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7107),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7107),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7107),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7107),
    [anon_sym_BSLASHurl] = ACTIONS(7107),
    [anon_sym_BSLASHhref] = ACTIONS(7107),
  },
  [1880] = {
    [sym_command_name] = ACTIONS(7111),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7111),
    [anon_sym_LBRACK] = ACTIONS(7113),
    [anon_sym_RBRACK] = ACTIONS(7113),
    [anon_sym_COMMA] = ACTIONS(7113),
    [anon_sym_EQ] = ACTIONS(7113),
    [anon_sym_LPAREN] = ACTIONS(7113),
    [anon_sym_RPAREN] = ACTIONS(7113),
    [anon_sym_LBRACE] = ACTIONS(7113),
    [sym_word] = ACTIONS(7111),
    [sym_placeholder] = ACTIONS(7113),
    [sym_delimiter] = ACTIONS(7113),
    [anon_sym_PLUS] = ACTIONS(7113),
    [anon_sym_DASH] = ACTIONS(7113),
    [anon_sym_STAR] = ACTIONS(7113),
    [anon_sym_SLASH] = ACTIONS(7113),
    [anon_sym_LT] = ACTIONS(7111),
    [anon_sym_GT] = ACTIONS(7111),
    [anon_sym_BANG] = ACTIONS(7111),
    [anon_sym_PIPE] = ACTIONS(7111),
    [anon_sym_COLON] = ACTIONS(7111),
    [anon_sym_SQUOTE] = ACTIONS(7111),
    [anon_sym__] = ACTIONS(7113),
    [anon_sym_CARET] = ACTIONS(7113),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7113),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7113),
    [anon_sym_DOLLAR] = ACTIONS(7111),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7113),
    [anon_sym_BSLASHleft] = ACTIONS(7111),
    [anon_sym_BSLASHbigl] = ACTIONS(7111),
    [anon_sym_BSLASHBigl] = ACTIONS(7111),
    [anon_sym_BSLASHbiggl] = ACTIONS(7111),
    [anon_sym_BSLASHBiggl] = ACTIONS(7111),
    [anon_sym_BSLASHtext] = ACTIONS(7111),
    [anon_sym_BSLASHintertext] = ACTIONS(7111),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7111),
    [anon_sym_BSLASHbegin] = ACTIONS(7111),
    [anon_sym_BSLASHtitle] = ACTIONS(7111),
    [anon_sym_BSLASHauthor] = ACTIONS(7111),
    [anon_sym_BSLASHusepackage] = ACTIONS(7111),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7111),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7111),
    [anon_sym_BSLASHinclude] = ACTIONS(7111),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7111),
    [anon_sym_BSLASHinput] = ACTIONS(7111),
    [anon_sym_BSLASHsubfile] = ACTIONS(7111),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7111),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7111),
    [anon_sym_BSLASHbibliography] = ACTIONS(7111),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7111),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7111),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7111),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7111),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7111),
    [anon_sym_BSLASHimport] = ACTIONS(7111),
    [anon_sym_BSLASHsubimport] = ACTIONS(7111),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7111),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7111),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7111),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7111),
    [anon_sym_BSLASHcaption] = ACTIONS(7111),
    [anon_sym_BSLASHcite] = ACTIONS(7111),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHCite] = ACTIONS(7111),
    [anon_sym_BSLASHnocite] = ACTIONS(7111),
    [anon_sym_BSLASHcitet] = ACTIONS(7111),
    [anon_sym_BSLASHcitep] = ACTIONS(7111),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHciteA] = ACTIONS(7111),
    [anon_sym_BSLASHciteR] = ACTIONS(7111),
    [anon_sym_BSLASHciteS] = ACTIONS(7111),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7111),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7111),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7111),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7111),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHciteyear] = ACTIONS(7111),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcitedate] = ACTIONS(7111),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHciteurl] = ACTIONS(7111),
    [anon_sym_BSLASHfullcite] = ACTIONS(7111),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7111),
    [anon_sym_BSLASHcitealt] = ACTIONS(7111),
    [anon_sym_BSLASHcitealp] = ACTIONS(7111),
    [anon_sym_BSLASHcitetext] = ACTIONS(7111),
    [anon_sym_BSLASHparencite] = ACTIONS(7111),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHParencite] = ACTIONS(7111),
    [anon_sym_BSLASHfootcite] = ACTIONS(7111),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7111),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7111),
    [anon_sym_BSLASHtextcite] = ACTIONS(7111),
    [anon_sym_BSLASHTextcite] = ACTIONS(7111),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7111),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7111),
    [anon_sym_BSLASHsupercite] = ACTIONS(7111),
    [anon_sym_BSLASHautocite] = ACTIONS(7111),
    [anon_sym_BSLASHAutocite] = ACTIONS(7111),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHVolcite] = ACTIONS(7111),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHavolcite] = ACTIONS(7111),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7111),
    [anon_sym_BSLASHnotecite] = ACTIONS(7111),
    [anon_sym_BSLASHNotecite] = ACTIONS(7111),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7111),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7111),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7111),
    [anon_sym_BSLASHlabel] = ACTIONS(7111),
    [anon_sym_BSLASHref] = ACTIONS(7111),
    [anon_sym_BSLASHeqref] = ACTIONS(7111),
    [anon_sym_BSLASHvref] = ACTIONS(7111),
    [anon_sym_BSLASHVref] = ACTIONS(7111),
    [anon_sym_BSLASHautoref] = ACTIONS(7111),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHpageref] = ACTIONS(7111),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHautopageref] = ACTIONS(7111),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcref] = ACTIONS(7111),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHCref] = ACTIONS(7111),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcpageref] = ACTIONS(7111),
    [anon_sym_BSLASHCpageref] = ACTIONS(7111),
    [anon_sym_BSLASHnamecref] = ACTIONS(7111),
    [anon_sym_BSLASHnameCref] = ACTIONS(7111),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7111),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7111),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7111),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7111),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7111),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7111),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7111),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7111),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7111),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7111),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7111),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7111),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7111),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7111),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7111),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7111),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7111),
    [anon_sym_BSLASHdef] = ACTIONS(7111),
    [anon_sym_BSLASHgdef] = ACTIONS(7111),
    [anon_sym_BSLASHedef] = ACTIONS(7111),
    [anon_sym_BSLASHxdef] = ACTIONS(7111),
    [anon_sym_BSLASHlet] = ACTIONS(7111),
    [anon_sym_BSLASHglet] = ACTIONS(7111),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7111),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7111),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7111),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7111),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7111),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7111),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7111),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7111),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7111),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7111),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7111),
    [anon_sym_BSLASHgls] = ACTIONS(7111),
    [anon_sym_BSLASHGls] = ACTIONS(7111),
    [anon_sym_BSLASHGLS] = ACTIONS(7111),
    [anon_sym_BSLASHglspl] = ACTIONS(7111),
    [anon_sym_BSLASHGlspl] = ACTIONS(7111),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7111),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7111),
    [anon_sym_BSLASHglslink] = ACTIONS(7111),
    [anon_sym_BSLASHglstext] = ACTIONS(7111),
    [anon_sym_BSLASHGlstext] = ACTIONS(7111),
    [anon_sym_BSLASHGLStext] = ACTIONS(7111),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7111),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7111),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7111),
    [anon_sym_BSLASHglsplural] = ACTIONS(7111),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7111),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7111),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7111),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7111),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7111),
    [anon_sym_BSLASHglsname] = ACTIONS(7111),
    [anon_sym_BSLASHGlsname] = ACTIONS(7111),
    [anon_sym_BSLASHGLSname] = ACTIONS(7111),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7111),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7111),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7111),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7111),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7111),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7111),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7111),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7111),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7111),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7111),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7111),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7111),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7111),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7111),
    [anon_sym_BSLASHacrshort] = ACTIONS(7111),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7111),
    [anon_sym_BSLASHACRshort] = ACTIONS(7111),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHacrlong] = ACTIONS(7111),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7111),
    [anon_sym_BSLASHACRlong] = ACTIONS(7111),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7111),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7111),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7111),
    [anon_sym_BSLASHacrfull] = ACTIONS(7111),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7111),
    [anon_sym_BSLASHACRfull] = ACTIONS(7111),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHacs] = ACTIONS(7111),
    [anon_sym_BSLASHAcs] = ACTIONS(7111),
    [anon_sym_BSLASHacsp] = ACTIONS(7111),
    [anon_sym_BSLASHAcsp] = ACTIONS(7111),
    [anon_sym_BSLASHacl] = ACTIONS(7111),
    [anon_sym_BSLASHAcl] = ACTIONS(7111),
    [anon_sym_BSLASHaclp] = ACTIONS(7111),
    [anon_sym_BSLASHAclp] = ACTIONS(7111),
    [anon_sym_BSLASHacf] = ACTIONS(7111),
    [anon_sym_BSLASHAcf] = ACTIONS(7111),
    [anon_sym_BSLASHacfp] = ACTIONS(7111),
    [anon_sym_BSLASHAcfp] = ACTIONS(7111),
    [anon_sym_BSLASHac] = ACTIONS(7111),
    [anon_sym_BSLASHAc] = ACTIONS(7111),
    [anon_sym_BSLASHacp] = ACTIONS(7111),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7111),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7111),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7111),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7111),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7111),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7111),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7111),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7113),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7111),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7111),
    [anon_sym_BSLASHcolor] = ACTIONS(7111),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7111),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7111),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7111),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7111),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7111),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7111),
    [anon_sym_BSLASHurl] = ACTIONS(7111),
    [anon_sym_BSLASHhref] = ACTIONS(7111),
  },
  [1881] = {
    [sym_command_name] = ACTIONS(7115),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7115),
    [anon_sym_LBRACK] = ACTIONS(7117),
    [anon_sym_RBRACK] = ACTIONS(7117),
    [anon_sym_COMMA] = ACTIONS(7117),
    [anon_sym_EQ] = ACTIONS(7117),
    [anon_sym_LPAREN] = ACTIONS(7117),
    [anon_sym_RPAREN] = ACTIONS(7117),
    [anon_sym_LBRACE] = ACTIONS(7117),
    [sym_word] = ACTIONS(7115),
    [sym_placeholder] = ACTIONS(7117),
    [sym_delimiter] = ACTIONS(7117),
    [anon_sym_PLUS] = ACTIONS(7117),
    [anon_sym_DASH] = ACTIONS(7117),
    [anon_sym_STAR] = ACTIONS(7117),
    [anon_sym_SLASH] = ACTIONS(7117),
    [anon_sym_LT] = ACTIONS(7115),
    [anon_sym_GT] = ACTIONS(7115),
    [anon_sym_BANG] = ACTIONS(7115),
    [anon_sym_PIPE] = ACTIONS(7115),
    [anon_sym_COLON] = ACTIONS(7115),
    [anon_sym_SQUOTE] = ACTIONS(7115),
    [anon_sym__] = ACTIONS(7117),
    [anon_sym_CARET] = ACTIONS(7117),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7117),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7117),
    [anon_sym_DOLLAR] = ACTIONS(7115),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7117),
    [anon_sym_BSLASHleft] = ACTIONS(7115),
    [anon_sym_BSLASHbigl] = ACTIONS(7115),
    [anon_sym_BSLASHBigl] = ACTIONS(7115),
    [anon_sym_BSLASHbiggl] = ACTIONS(7115),
    [anon_sym_BSLASHBiggl] = ACTIONS(7115),
    [anon_sym_BSLASHtext] = ACTIONS(7115),
    [anon_sym_BSLASHintertext] = ACTIONS(7115),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7115),
    [anon_sym_BSLASHbegin] = ACTIONS(7115),
    [anon_sym_BSLASHtitle] = ACTIONS(7115),
    [anon_sym_BSLASHauthor] = ACTIONS(7115),
    [anon_sym_BSLASHusepackage] = ACTIONS(7115),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7115),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7115),
    [anon_sym_BSLASHinclude] = ACTIONS(7115),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7115),
    [anon_sym_BSLASHinput] = ACTIONS(7115),
    [anon_sym_BSLASHsubfile] = ACTIONS(7115),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7115),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7115),
    [anon_sym_BSLASHbibliography] = ACTIONS(7115),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7115),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7115),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7115),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7115),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7115),
    [anon_sym_BSLASHimport] = ACTIONS(7115),
    [anon_sym_BSLASHsubimport] = ACTIONS(7115),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7115),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7115),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7115),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7115),
    [anon_sym_BSLASHcaption] = ACTIONS(7115),
    [anon_sym_BSLASHcite] = ACTIONS(7115),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHCite] = ACTIONS(7115),
    [anon_sym_BSLASHnocite] = ACTIONS(7115),
    [anon_sym_BSLASHcitet] = ACTIONS(7115),
    [anon_sym_BSLASHcitep] = ACTIONS(7115),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHciteA] = ACTIONS(7115),
    [anon_sym_BSLASHciteR] = ACTIONS(7115),
    [anon_sym_BSLASHciteS] = ACTIONS(7115),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7115),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7115),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7115),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7115),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHciteyear] = ACTIONS(7115),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcitedate] = ACTIONS(7115),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHciteurl] = ACTIONS(7115),
    [anon_sym_BSLASHfullcite] = ACTIONS(7115),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7115),
    [anon_sym_BSLASHcitealt] = ACTIONS(7115),
    [anon_sym_BSLASHcitealp] = ACTIONS(7115),
    [anon_sym_BSLASHcitetext] = ACTIONS(7115),
    [anon_sym_BSLASHparencite] = ACTIONS(7115),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHParencite] = ACTIONS(7115),
    [anon_sym_BSLASHfootcite] = ACTIONS(7115),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7115),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7115),
    [anon_sym_BSLASHtextcite] = ACTIONS(7115),
    [anon_sym_BSLASHTextcite] = ACTIONS(7115),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7115),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7115),
    [anon_sym_BSLASHsupercite] = ACTIONS(7115),
    [anon_sym_BSLASHautocite] = ACTIONS(7115),
    [anon_sym_BSLASHAutocite] = ACTIONS(7115),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHVolcite] = ACTIONS(7115),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHavolcite] = ACTIONS(7115),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7115),
    [anon_sym_BSLASHnotecite] = ACTIONS(7115),
    [anon_sym_BSLASHNotecite] = ACTIONS(7115),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7115),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7115),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7115),
    [anon_sym_BSLASHlabel] = ACTIONS(7115),
    [anon_sym_BSLASHref] = ACTIONS(7115),
    [anon_sym_BSLASHeqref] = ACTIONS(7115),
    [anon_sym_BSLASHvref] = ACTIONS(7115),
    [anon_sym_BSLASHVref] = ACTIONS(7115),
    [anon_sym_BSLASHautoref] = ACTIONS(7115),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHpageref] = ACTIONS(7115),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHautopageref] = ACTIONS(7115),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcref] = ACTIONS(7115),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHCref] = ACTIONS(7115),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcpageref] = ACTIONS(7115),
    [anon_sym_BSLASHCpageref] = ACTIONS(7115),
    [anon_sym_BSLASHnamecref] = ACTIONS(7115),
    [anon_sym_BSLASHnameCref] = ACTIONS(7115),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7115),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7115),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7115),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7115),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7115),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7115),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7115),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7115),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7115),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7115),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7115),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7115),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7115),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7115),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7115),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7115),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7115),
    [anon_sym_BSLASHdef] = ACTIONS(7115),
    [anon_sym_BSLASHgdef] = ACTIONS(7115),
    [anon_sym_BSLASHedef] = ACTIONS(7115),
    [anon_sym_BSLASHxdef] = ACTIONS(7115),
    [anon_sym_BSLASHlet] = ACTIONS(7115),
    [anon_sym_BSLASHglet] = ACTIONS(7115),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7115),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7115),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7115),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7115),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7115),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7115),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7115),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7115),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7115),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7115),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7115),
    [anon_sym_BSLASHgls] = ACTIONS(7115),
    [anon_sym_BSLASHGls] = ACTIONS(7115),
    [anon_sym_BSLASHGLS] = ACTIONS(7115),
    [anon_sym_BSLASHglspl] = ACTIONS(7115),
    [anon_sym_BSLASHGlspl] = ACTIONS(7115),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7115),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7115),
    [anon_sym_BSLASHglslink] = ACTIONS(7115),
    [anon_sym_BSLASHglstext] = ACTIONS(7115),
    [anon_sym_BSLASHGlstext] = ACTIONS(7115),
    [anon_sym_BSLASHGLStext] = ACTIONS(7115),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7115),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7115),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7115),
    [anon_sym_BSLASHglsplural] = ACTIONS(7115),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7115),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7115),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7115),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7115),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7115),
    [anon_sym_BSLASHglsname] = ACTIONS(7115),
    [anon_sym_BSLASHGlsname] = ACTIONS(7115),
    [anon_sym_BSLASHGLSname] = ACTIONS(7115),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7115),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7115),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7115),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7115),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7115),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7115),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7115),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7115),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7115),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7115),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7115),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7115),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7115),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7115),
    [anon_sym_BSLASHacrshort] = ACTIONS(7115),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7115),
    [anon_sym_BSLASHACRshort] = ACTIONS(7115),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHacrlong] = ACTIONS(7115),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7115),
    [anon_sym_BSLASHACRlong] = ACTIONS(7115),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7115),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7115),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7115),
    [anon_sym_BSLASHacrfull] = ACTIONS(7115),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7115),
    [anon_sym_BSLASHACRfull] = ACTIONS(7115),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHacs] = ACTIONS(7115),
    [anon_sym_BSLASHAcs] = ACTIONS(7115),
    [anon_sym_BSLASHacsp] = ACTIONS(7115),
    [anon_sym_BSLASHAcsp] = ACTIONS(7115),
    [anon_sym_BSLASHacl] = ACTIONS(7115),
    [anon_sym_BSLASHAcl] = ACTIONS(7115),
    [anon_sym_BSLASHaclp] = ACTIONS(7115),
    [anon_sym_BSLASHAclp] = ACTIONS(7115),
    [anon_sym_BSLASHacf] = ACTIONS(7115),
    [anon_sym_BSLASHAcf] = ACTIONS(7115),
    [anon_sym_BSLASHacfp] = ACTIONS(7115),
    [anon_sym_BSLASHAcfp] = ACTIONS(7115),
    [anon_sym_BSLASHac] = ACTIONS(7115),
    [anon_sym_BSLASHAc] = ACTIONS(7115),
    [anon_sym_BSLASHacp] = ACTIONS(7115),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7115),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7115),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7115),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7115),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7115),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7115),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7115),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7117),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7115),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7115),
    [anon_sym_BSLASHcolor] = ACTIONS(7115),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7115),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7115),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7115),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7115),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7115),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7115),
    [anon_sym_BSLASHurl] = ACTIONS(7115),
    [anon_sym_BSLASHhref] = ACTIONS(7115),
  },
  [1882] = {
    [sym_command_name] = ACTIONS(7119),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7119),
    [anon_sym_LBRACK] = ACTIONS(7121),
    [anon_sym_RBRACK] = ACTIONS(7121),
    [anon_sym_COMMA] = ACTIONS(7121),
    [anon_sym_EQ] = ACTIONS(7121),
    [anon_sym_LPAREN] = ACTIONS(7121),
    [anon_sym_RPAREN] = ACTIONS(7121),
    [anon_sym_LBRACE] = ACTIONS(7121),
    [sym_word] = ACTIONS(7119),
    [sym_placeholder] = ACTIONS(7121),
    [sym_delimiter] = ACTIONS(7121),
    [anon_sym_PLUS] = ACTIONS(7121),
    [anon_sym_DASH] = ACTIONS(7121),
    [anon_sym_STAR] = ACTIONS(7121),
    [anon_sym_SLASH] = ACTIONS(7121),
    [anon_sym_LT] = ACTIONS(7119),
    [anon_sym_GT] = ACTIONS(7119),
    [anon_sym_BANG] = ACTIONS(7119),
    [anon_sym_PIPE] = ACTIONS(7119),
    [anon_sym_COLON] = ACTIONS(7119),
    [anon_sym_SQUOTE] = ACTIONS(7119),
    [anon_sym__] = ACTIONS(7121),
    [anon_sym_CARET] = ACTIONS(7121),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7121),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7121),
    [anon_sym_DOLLAR] = ACTIONS(7119),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7121),
    [anon_sym_BSLASHleft] = ACTIONS(7119),
    [anon_sym_BSLASHbigl] = ACTIONS(7119),
    [anon_sym_BSLASHBigl] = ACTIONS(7119),
    [anon_sym_BSLASHbiggl] = ACTIONS(7119),
    [anon_sym_BSLASHBiggl] = ACTIONS(7119),
    [anon_sym_BSLASHtext] = ACTIONS(7119),
    [anon_sym_BSLASHintertext] = ACTIONS(7119),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7119),
    [anon_sym_BSLASHbegin] = ACTIONS(7119),
    [anon_sym_BSLASHtitle] = ACTIONS(7119),
    [anon_sym_BSLASHauthor] = ACTIONS(7119),
    [anon_sym_BSLASHusepackage] = ACTIONS(7119),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7119),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7119),
    [anon_sym_BSLASHinclude] = ACTIONS(7119),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7119),
    [anon_sym_BSLASHinput] = ACTIONS(7119),
    [anon_sym_BSLASHsubfile] = ACTIONS(7119),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7119),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7119),
    [anon_sym_BSLASHbibliography] = ACTIONS(7119),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7119),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7119),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7119),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7119),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7119),
    [anon_sym_BSLASHimport] = ACTIONS(7119),
    [anon_sym_BSLASHsubimport] = ACTIONS(7119),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7119),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7119),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7119),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7119),
    [anon_sym_BSLASHcaption] = ACTIONS(7119),
    [anon_sym_BSLASHcite] = ACTIONS(7119),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHCite] = ACTIONS(7119),
    [anon_sym_BSLASHnocite] = ACTIONS(7119),
    [anon_sym_BSLASHcitet] = ACTIONS(7119),
    [anon_sym_BSLASHcitep] = ACTIONS(7119),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHciteA] = ACTIONS(7119),
    [anon_sym_BSLASHciteR] = ACTIONS(7119),
    [anon_sym_BSLASHciteS] = ACTIONS(7119),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7119),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7119),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7119),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7119),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHciteyear] = ACTIONS(7119),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcitedate] = ACTIONS(7119),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHciteurl] = ACTIONS(7119),
    [anon_sym_BSLASHfullcite] = ACTIONS(7119),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7119),
    [anon_sym_BSLASHcitealt] = ACTIONS(7119),
    [anon_sym_BSLASHcitealp] = ACTIONS(7119),
    [anon_sym_BSLASHcitetext] = ACTIONS(7119),
    [anon_sym_BSLASHparencite] = ACTIONS(7119),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHParencite] = ACTIONS(7119),
    [anon_sym_BSLASHfootcite] = ACTIONS(7119),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7119),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7119),
    [anon_sym_BSLASHtextcite] = ACTIONS(7119),
    [anon_sym_BSLASHTextcite] = ACTIONS(7119),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7119),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7119),
    [anon_sym_BSLASHsupercite] = ACTIONS(7119),
    [anon_sym_BSLASHautocite] = ACTIONS(7119),
    [anon_sym_BSLASHAutocite] = ACTIONS(7119),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHVolcite] = ACTIONS(7119),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHavolcite] = ACTIONS(7119),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7119),
    [anon_sym_BSLASHnotecite] = ACTIONS(7119),
    [anon_sym_BSLASHNotecite] = ACTIONS(7119),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7119),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7119),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7119),
    [anon_sym_BSLASHlabel] = ACTIONS(7119),
    [anon_sym_BSLASHref] = ACTIONS(7119),
    [anon_sym_BSLASHeqref] = ACTIONS(7119),
    [anon_sym_BSLASHvref] = ACTIONS(7119),
    [anon_sym_BSLASHVref] = ACTIONS(7119),
    [anon_sym_BSLASHautoref] = ACTIONS(7119),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHpageref] = ACTIONS(7119),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHautopageref] = ACTIONS(7119),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcref] = ACTIONS(7119),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHCref] = ACTIONS(7119),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcpageref] = ACTIONS(7119),
    [anon_sym_BSLASHCpageref] = ACTIONS(7119),
    [anon_sym_BSLASHnamecref] = ACTIONS(7119),
    [anon_sym_BSLASHnameCref] = ACTIONS(7119),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7119),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7119),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7119),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7119),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7119),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7119),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7119),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7119),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7119),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7119),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7119),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7119),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7119),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7119),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7119),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7119),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7119),
    [anon_sym_BSLASHdef] = ACTIONS(7119),
    [anon_sym_BSLASHgdef] = ACTIONS(7119),
    [anon_sym_BSLASHedef] = ACTIONS(7119),
    [anon_sym_BSLASHxdef] = ACTIONS(7119),
    [anon_sym_BSLASHlet] = ACTIONS(7119),
    [anon_sym_BSLASHglet] = ACTIONS(7119),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7119),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7119),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7119),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7119),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7119),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7119),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7119),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7119),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7119),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7119),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7119),
    [anon_sym_BSLASHgls] = ACTIONS(7119),
    [anon_sym_BSLASHGls] = ACTIONS(7119),
    [anon_sym_BSLASHGLS] = ACTIONS(7119),
    [anon_sym_BSLASHglspl] = ACTIONS(7119),
    [anon_sym_BSLASHGlspl] = ACTIONS(7119),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7119),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7119),
    [anon_sym_BSLASHglslink] = ACTIONS(7119),
    [anon_sym_BSLASHglstext] = ACTIONS(7119),
    [anon_sym_BSLASHGlstext] = ACTIONS(7119),
    [anon_sym_BSLASHGLStext] = ACTIONS(7119),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7119),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7119),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7119),
    [anon_sym_BSLASHglsplural] = ACTIONS(7119),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7119),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7119),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7119),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7119),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7119),
    [anon_sym_BSLASHglsname] = ACTIONS(7119),
    [anon_sym_BSLASHGlsname] = ACTIONS(7119),
    [anon_sym_BSLASHGLSname] = ACTIONS(7119),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7119),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7119),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7119),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7119),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7119),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7119),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7119),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7119),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7119),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7119),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7119),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7119),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7119),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7119),
    [anon_sym_BSLASHacrshort] = ACTIONS(7119),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7119),
    [anon_sym_BSLASHACRshort] = ACTIONS(7119),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHacrlong] = ACTIONS(7119),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7119),
    [anon_sym_BSLASHACRlong] = ACTIONS(7119),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7119),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7119),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7119),
    [anon_sym_BSLASHacrfull] = ACTIONS(7119),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7119),
    [anon_sym_BSLASHACRfull] = ACTIONS(7119),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHacs] = ACTIONS(7119),
    [anon_sym_BSLASHAcs] = ACTIONS(7119),
    [anon_sym_BSLASHacsp] = ACTIONS(7119),
    [anon_sym_BSLASHAcsp] = ACTIONS(7119),
    [anon_sym_BSLASHacl] = ACTIONS(7119),
    [anon_sym_BSLASHAcl] = ACTIONS(7119),
    [anon_sym_BSLASHaclp] = ACTIONS(7119),
    [anon_sym_BSLASHAclp] = ACTIONS(7119),
    [anon_sym_BSLASHacf] = ACTIONS(7119),
    [anon_sym_BSLASHAcf] = ACTIONS(7119),
    [anon_sym_BSLASHacfp] = ACTIONS(7119),
    [anon_sym_BSLASHAcfp] = ACTIONS(7119),
    [anon_sym_BSLASHac] = ACTIONS(7119),
    [anon_sym_BSLASHAc] = ACTIONS(7119),
    [anon_sym_BSLASHacp] = ACTIONS(7119),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7119),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7119),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7119),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7119),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7119),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7119),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7119),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7121),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7119),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7119),
    [anon_sym_BSLASHcolor] = ACTIONS(7119),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7119),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7119),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7119),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7119),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7119),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7119),
    [anon_sym_BSLASHurl] = ACTIONS(7119),
    [anon_sym_BSLASHhref] = ACTIONS(7119),
  },
  [1883] = {
    [sym_command_name] = ACTIONS(7123),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7123),
    [anon_sym_LBRACK] = ACTIONS(7125),
    [anon_sym_RBRACK] = ACTIONS(7125),
    [anon_sym_COMMA] = ACTIONS(7125),
    [anon_sym_EQ] = ACTIONS(7125),
    [anon_sym_LPAREN] = ACTIONS(7125),
    [anon_sym_RPAREN] = ACTIONS(7125),
    [anon_sym_LBRACE] = ACTIONS(7125),
    [sym_word] = ACTIONS(7123),
    [sym_placeholder] = ACTIONS(7125),
    [sym_delimiter] = ACTIONS(7125),
    [anon_sym_PLUS] = ACTIONS(7125),
    [anon_sym_DASH] = ACTIONS(7125),
    [anon_sym_STAR] = ACTIONS(7125),
    [anon_sym_SLASH] = ACTIONS(7125),
    [anon_sym_LT] = ACTIONS(7123),
    [anon_sym_GT] = ACTIONS(7123),
    [anon_sym_BANG] = ACTIONS(7123),
    [anon_sym_PIPE] = ACTIONS(7123),
    [anon_sym_COLON] = ACTIONS(7123),
    [anon_sym_SQUOTE] = ACTIONS(7123),
    [anon_sym__] = ACTIONS(7125),
    [anon_sym_CARET] = ACTIONS(7125),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7125),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7125),
    [anon_sym_DOLLAR] = ACTIONS(7123),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7125),
    [anon_sym_BSLASHleft] = ACTIONS(7123),
    [anon_sym_BSLASHbigl] = ACTIONS(7123),
    [anon_sym_BSLASHBigl] = ACTIONS(7123),
    [anon_sym_BSLASHbiggl] = ACTIONS(7123),
    [anon_sym_BSLASHBiggl] = ACTIONS(7123),
    [anon_sym_BSLASHtext] = ACTIONS(7123),
    [anon_sym_BSLASHintertext] = ACTIONS(7123),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7123),
    [anon_sym_BSLASHbegin] = ACTIONS(7123),
    [anon_sym_BSLASHtitle] = ACTIONS(7123),
    [anon_sym_BSLASHauthor] = ACTIONS(7123),
    [anon_sym_BSLASHusepackage] = ACTIONS(7123),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7123),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7123),
    [anon_sym_BSLASHinclude] = ACTIONS(7123),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7123),
    [anon_sym_BSLASHinput] = ACTIONS(7123),
    [anon_sym_BSLASHsubfile] = ACTIONS(7123),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7123),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7123),
    [anon_sym_BSLASHbibliography] = ACTIONS(7123),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7123),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7123),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7123),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7123),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7123),
    [anon_sym_BSLASHimport] = ACTIONS(7123),
    [anon_sym_BSLASHsubimport] = ACTIONS(7123),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7123),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7123),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7123),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7123),
    [anon_sym_BSLASHcaption] = ACTIONS(7123),
    [anon_sym_BSLASHcite] = ACTIONS(7123),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHCite] = ACTIONS(7123),
    [anon_sym_BSLASHnocite] = ACTIONS(7123),
    [anon_sym_BSLASHcitet] = ACTIONS(7123),
    [anon_sym_BSLASHcitep] = ACTIONS(7123),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHciteA] = ACTIONS(7123),
    [anon_sym_BSLASHciteR] = ACTIONS(7123),
    [anon_sym_BSLASHciteS] = ACTIONS(7123),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7123),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7123),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7123),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7123),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHciteyear] = ACTIONS(7123),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcitedate] = ACTIONS(7123),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHciteurl] = ACTIONS(7123),
    [anon_sym_BSLASHfullcite] = ACTIONS(7123),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7123),
    [anon_sym_BSLASHcitealt] = ACTIONS(7123),
    [anon_sym_BSLASHcitealp] = ACTIONS(7123),
    [anon_sym_BSLASHcitetext] = ACTIONS(7123),
    [anon_sym_BSLASHparencite] = ACTIONS(7123),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHParencite] = ACTIONS(7123),
    [anon_sym_BSLASHfootcite] = ACTIONS(7123),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7123),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7123),
    [anon_sym_BSLASHtextcite] = ACTIONS(7123),
    [anon_sym_BSLASHTextcite] = ACTIONS(7123),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7123),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7123),
    [anon_sym_BSLASHsupercite] = ACTIONS(7123),
    [anon_sym_BSLASHautocite] = ACTIONS(7123),
    [anon_sym_BSLASHAutocite] = ACTIONS(7123),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHVolcite] = ACTIONS(7123),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHavolcite] = ACTIONS(7123),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7123),
    [anon_sym_BSLASHnotecite] = ACTIONS(7123),
    [anon_sym_BSLASHNotecite] = ACTIONS(7123),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7123),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7123),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7123),
    [anon_sym_BSLASHlabel] = ACTIONS(7123),
    [anon_sym_BSLASHref] = ACTIONS(7123),
    [anon_sym_BSLASHeqref] = ACTIONS(7123),
    [anon_sym_BSLASHvref] = ACTIONS(7123),
    [anon_sym_BSLASHVref] = ACTIONS(7123),
    [anon_sym_BSLASHautoref] = ACTIONS(7123),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHpageref] = ACTIONS(7123),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHautopageref] = ACTIONS(7123),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcref] = ACTIONS(7123),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHCref] = ACTIONS(7123),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcpageref] = ACTIONS(7123),
    [anon_sym_BSLASHCpageref] = ACTIONS(7123),
    [anon_sym_BSLASHnamecref] = ACTIONS(7123),
    [anon_sym_BSLASHnameCref] = ACTIONS(7123),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7123),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7123),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7123),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7123),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7123),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7123),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7123),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7123),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7123),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7123),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7123),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7123),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7123),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7123),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7123),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7123),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7123),
    [anon_sym_BSLASHdef] = ACTIONS(7123),
    [anon_sym_BSLASHgdef] = ACTIONS(7123),
    [anon_sym_BSLASHedef] = ACTIONS(7123),
    [anon_sym_BSLASHxdef] = ACTIONS(7123),
    [anon_sym_BSLASHlet] = ACTIONS(7123),
    [anon_sym_BSLASHglet] = ACTIONS(7123),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7123),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7123),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7123),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7123),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7123),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7123),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7123),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7123),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7123),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7123),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7123),
    [anon_sym_BSLASHgls] = ACTIONS(7123),
    [anon_sym_BSLASHGls] = ACTIONS(7123),
    [anon_sym_BSLASHGLS] = ACTIONS(7123),
    [anon_sym_BSLASHglspl] = ACTIONS(7123),
    [anon_sym_BSLASHGlspl] = ACTIONS(7123),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7123),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7123),
    [anon_sym_BSLASHglslink] = ACTIONS(7123),
    [anon_sym_BSLASHglstext] = ACTIONS(7123),
    [anon_sym_BSLASHGlstext] = ACTIONS(7123),
    [anon_sym_BSLASHGLStext] = ACTIONS(7123),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7123),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7123),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7123),
    [anon_sym_BSLASHglsplural] = ACTIONS(7123),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7123),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7123),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7123),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7123),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7123),
    [anon_sym_BSLASHglsname] = ACTIONS(7123),
    [anon_sym_BSLASHGlsname] = ACTIONS(7123),
    [anon_sym_BSLASHGLSname] = ACTIONS(7123),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7123),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7123),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7123),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7123),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7123),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7123),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7123),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7123),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7123),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7123),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7123),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7123),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7123),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7123),
    [anon_sym_BSLASHacrshort] = ACTIONS(7123),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7123),
    [anon_sym_BSLASHACRshort] = ACTIONS(7123),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHacrlong] = ACTIONS(7123),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7123),
    [anon_sym_BSLASHACRlong] = ACTIONS(7123),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7123),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7123),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7123),
    [anon_sym_BSLASHacrfull] = ACTIONS(7123),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7123),
    [anon_sym_BSLASHACRfull] = ACTIONS(7123),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHacs] = ACTIONS(7123),
    [anon_sym_BSLASHAcs] = ACTIONS(7123),
    [anon_sym_BSLASHacsp] = ACTIONS(7123),
    [anon_sym_BSLASHAcsp] = ACTIONS(7123),
    [anon_sym_BSLASHacl] = ACTIONS(7123),
    [anon_sym_BSLASHAcl] = ACTIONS(7123),
    [anon_sym_BSLASHaclp] = ACTIONS(7123),
    [anon_sym_BSLASHAclp] = ACTIONS(7123),
    [anon_sym_BSLASHacf] = ACTIONS(7123),
    [anon_sym_BSLASHAcf] = ACTIONS(7123),
    [anon_sym_BSLASHacfp] = ACTIONS(7123),
    [anon_sym_BSLASHAcfp] = ACTIONS(7123),
    [anon_sym_BSLASHac] = ACTIONS(7123),
    [anon_sym_BSLASHAc] = ACTIONS(7123),
    [anon_sym_BSLASHacp] = ACTIONS(7123),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7123),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7123),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7123),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7123),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7123),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7123),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7123),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7125),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7123),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7123),
    [anon_sym_BSLASHcolor] = ACTIONS(7123),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7123),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7123),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7123),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7123),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7123),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7123),
    [anon_sym_BSLASHurl] = ACTIONS(7123),
    [anon_sym_BSLASHhref] = ACTIONS(7123),
  },
  [1884] = {
    [sym_command_name] = ACTIONS(7127),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7127),
    [anon_sym_LBRACK] = ACTIONS(7129),
    [anon_sym_RBRACK] = ACTIONS(7129),
    [anon_sym_COMMA] = ACTIONS(7129),
    [anon_sym_EQ] = ACTIONS(7129),
    [anon_sym_LPAREN] = ACTIONS(7129),
    [anon_sym_RPAREN] = ACTIONS(7129),
    [anon_sym_LBRACE] = ACTIONS(7129),
    [sym_word] = ACTIONS(7127),
    [sym_placeholder] = ACTIONS(7129),
    [sym_delimiter] = ACTIONS(7129),
    [anon_sym_PLUS] = ACTIONS(7129),
    [anon_sym_DASH] = ACTIONS(7129),
    [anon_sym_STAR] = ACTIONS(7129),
    [anon_sym_SLASH] = ACTIONS(7129),
    [anon_sym_LT] = ACTIONS(7127),
    [anon_sym_GT] = ACTIONS(7127),
    [anon_sym_BANG] = ACTIONS(7127),
    [anon_sym_PIPE] = ACTIONS(7127),
    [anon_sym_COLON] = ACTIONS(7127),
    [anon_sym_SQUOTE] = ACTIONS(7127),
    [anon_sym__] = ACTIONS(7129),
    [anon_sym_CARET] = ACTIONS(7129),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7129),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7129),
    [anon_sym_DOLLAR] = ACTIONS(7127),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7129),
    [anon_sym_BSLASHleft] = ACTIONS(7127),
    [anon_sym_BSLASHbigl] = ACTIONS(7127),
    [anon_sym_BSLASHBigl] = ACTIONS(7127),
    [anon_sym_BSLASHbiggl] = ACTIONS(7127),
    [anon_sym_BSLASHBiggl] = ACTIONS(7127),
    [anon_sym_BSLASHtext] = ACTIONS(7127),
    [anon_sym_BSLASHintertext] = ACTIONS(7127),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7127),
    [anon_sym_BSLASHbegin] = ACTIONS(7127),
    [anon_sym_BSLASHtitle] = ACTIONS(7127),
    [anon_sym_BSLASHauthor] = ACTIONS(7127),
    [anon_sym_BSLASHusepackage] = ACTIONS(7127),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7127),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7127),
    [anon_sym_BSLASHinclude] = ACTIONS(7127),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7127),
    [anon_sym_BSLASHinput] = ACTIONS(7127),
    [anon_sym_BSLASHsubfile] = ACTIONS(7127),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7127),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7127),
    [anon_sym_BSLASHbibliography] = ACTIONS(7127),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7127),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7127),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7127),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7127),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7127),
    [anon_sym_BSLASHimport] = ACTIONS(7127),
    [anon_sym_BSLASHsubimport] = ACTIONS(7127),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7127),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7127),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7127),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7127),
    [anon_sym_BSLASHcaption] = ACTIONS(7127),
    [anon_sym_BSLASHcite] = ACTIONS(7127),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHCite] = ACTIONS(7127),
    [anon_sym_BSLASHnocite] = ACTIONS(7127),
    [anon_sym_BSLASHcitet] = ACTIONS(7127),
    [anon_sym_BSLASHcitep] = ACTIONS(7127),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHciteA] = ACTIONS(7127),
    [anon_sym_BSLASHciteR] = ACTIONS(7127),
    [anon_sym_BSLASHciteS] = ACTIONS(7127),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7127),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7127),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7127),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7127),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHciteyear] = ACTIONS(7127),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcitedate] = ACTIONS(7127),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHciteurl] = ACTIONS(7127),
    [anon_sym_BSLASHfullcite] = ACTIONS(7127),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7127),
    [anon_sym_BSLASHcitealt] = ACTIONS(7127),
    [anon_sym_BSLASHcitealp] = ACTIONS(7127),
    [anon_sym_BSLASHcitetext] = ACTIONS(7127),
    [anon_sym_BSLASHparencite] = ACTIONS(7127),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHParencite] = ACTIONS(7127),
    [anon_sym_BSLASHfootcite] = ACTIONS(7127),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7127),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7127),
    [anon_sym_BSLASHtextcite] = ACTIONS(7127),
    [anon_sym_BSLASHTextcite] = ACTIONS(7127),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7127),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7127),
    [anon_sym_BSLASHsupercite] = ACTIONS(7127),
    [anon_sym_BSLASHautocite] = ACTIONS(7127),
    [anon_sym_BSLASHAutocite] = ACTIONS(7127),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHVolcite] = ACTIONS(7127),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHavolcite] = ACTIONS(7127),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7127),
    [anon_sym_BSLASHnotecite] = ACTIONS(7127),
    [anon_sym_BSLASHNotecite] = ACTIONS(7127),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7127),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7127),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7127),
    [anon_sym_BSLASHlabel] = ACTIONS(7127),
    [anon_sym_BSLASHref] = ACTIONS(7127),
    [anon_sym_BSLASHeqref] = ACTIONS(7127),
    [anon_sym_BSLASHvref] = ACTIONS(7127),
    [anon_sym_BSLASHVref] = ACTIONS(7127),
    [anon_sym_BSLASHautoref] = ACTIONS(7127),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHpageref] = ACTIONS(7127),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHautopageref] = ACTIONS(7127),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcref] = ACTIONS(7127),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHCref] = ACTIONS(7127),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcpageref] = ACTIONS(7127),
    [anon_sym_BSLASHCpageref] = ACTIONS(7127),
    [anon_sym_BSLASHnamecref] = ACTIONS(7127),
    [anon_sym_BSLASHnameCref] = ACTIONS(7127),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7127),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7127),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7127),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7127),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7127),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7127),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7127),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7127),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7127),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7127),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7127),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7127),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7127),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7127),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7127),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7127),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7127),
    [anon_sym_BSLASHdef] = ACTIONS(7127),
    [anon_sym_BSLASHgdef] = ACTIONS(7127),
    [anon_sym_BSLASHedef] = ACTIONS(7127),
    [anon_sym_BSLASHxdef] = ACTIONS(7127),
    [anon_sym_BSLASHlet] = ACTIONS(7127),
    [anon_sym_BSLASHglet] = ACTIONS(7127),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7127),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7127),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7127),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7127),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7127),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7127),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7127),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7127),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7127),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7127),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7127),
    [anon_sym_BSLASHgls] = ACTIONS(7127),
    [anon_sym_BSLASHGls] = ACTIONS(7127),
    [anon_sym_BSLASHGLS] = ACTIONS(7127),
    [anon_sym_BSLASHglspl] = ACTIONS(7127),
    [anon_sym_BSLASHGlspl] = ACTIONS(7127),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7127),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7127),
    [anon_sym_BSLASHglslink] = ACTIONS(7127),
    [anon_sym_BSLASHglstext] = ACTIONS(7127),
    [anon_sym_BSLASHGlstext] = ACTIONS(7127),
    [anon_sym_BSLASHGLStext] = ACTIONS(7127),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7127),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7127),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7127),
    [anon_sym_BSLASHglsplural] = ACTIONS(7127),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7127),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7127),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7127),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7127),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7127),
    [anon_sym_BSLASHglsname] = ACTIONS(7127),
    [anon_sym_BSLASHGlsname] = ACTIONS(7127),
    [anon_sym_BSLASHGLSname] = ACTIONS(7127),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7127),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7127),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7127),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7127),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7127),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7127),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7127),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7127),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7127),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7127),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7127),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7127),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7127),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7127),
    [anon_sym_BSLASHacrshort] = ACTIONS(7127),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7127),
    [anon_sym_BSLASHACRshort] = ACTIONS(7127),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHacrlong] = ACTIONS(7127),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7127),
    [anon_sym_BSLASHACRlong] = ACTIONS(7127),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7127),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7127),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7127),
    [anon_sym_BSLASHacrfull] = ACTIONS(7127),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7127),
    [anon_sym_BSLASHACRfull] = ACTIONS(7127),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHacs] = ACTIONS(7127),
    [anon_sym_BSLASHAcs] = ACTIONS(7127),
    [anon_sym_BSLASHacsp] = ACTIONS(7127),
    [anon_sym_BSLASHAcsp] = ACTIONS(7127),
    [anon_sym_BSLASHacl] = ACTIONS(7127),
    [anon_sym_BSLASHAcl] = ACTIONS(7127),
    [anon_sym_BSLASHaclp] = ACTIONS(7127),
    [anon_sym_BSLASHAclp] = ACTIONS(7127),
    [anon_sym_BSLASHacf] = ACTIONS(7127),
    [anon_sym_BSLASHAcf] = ACTIONS(7127),
    [anon_sym_BSLASHacfp] = ACTIONS(7127),
    [anon_sym_BSLASHAcfp] = ACTIONS(7127),
    [anon_sym_BSLASHac] = ACTIONS(7127),
    [anon_sym_BSLASHAc] = ACTIONS(7127),
    [anon_sym_BSLASHacp] = ACTIONS(7127),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7127),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7127),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7127),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7127),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7127),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7127),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7127),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7129),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7127),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7127),
    [anon_sym_BSLASHcolor] = ACTIONS(7127),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7127),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7127),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7127),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7127),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7127),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7127),
    [anon_sym_BSLASHurl] = ACTIONS(7127),
    [anon_sym_BSLASHhref] = ACTIONS(7127),
  },
  [1885] = {
    [sym_command_name] = ACTIONS(7131),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7131),
    [anon_sym_LBRACK] = ACTIONS(7133),
    [anon_sym_RBRACK] = ACTIONS(7133),
    [anon_sym_COMMA] = ACTIONS(7133),
    [anon_sym_EQ] = ACTIONS(7133),
    [anon_sym_LPAREN] = ACTIONS(7133),
    [anon_sym_RPAREN] = ACTIONS(7133),
    [anon_sym_LBRACE] = ACTIONS(7133),
    [sym_word] = ACTIONS(7131),
    [sym_placeholder] = ACTIONS(7133),
    [sym_delimiter] = ACTIONS(7133),
    [anon_sym_PLUS] = ACTIONS(7133),
    [anon_sym_DASH] = ACTIONS(7133),
    [anon_sym_STAR] = ACTIONS(7133),
    [anon_sym_SLASH] = ACTIONS(7133),
    [anon_sym_LT] = ACTIONS(7131),
    [anon_sym_GT] = ACTIONS(7131),
    [anon_sym_BANG] = ACTIONS(7131),
    [anon_sym_PIPE] = ACTIONS(7131),
    [anon_sym_COLON] = ACTIONS(7131),
    [anon_sym_SQUOTE] = ACTIONS(7131),
    [anon_sym__] = ACTIONS(7133),
    [anon_sym_CARET] = ACTIONS(7133),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7133),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7133),
    [anon_sym_DOLLAR] = ACTIONS(7131),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7133),
    [anon_sym_BSLASHleft] = ACTIONS(7131),
    [anon_sym_BSLASHbigl] = ACTIONS(7131),
    [anon_sym_BSLASHBigl] = ACTIONS(7131),
    [anon_sym_BSLASHbiggl] = ACTIONS(7131),
    [anon_sym_BSLASHBiggl] = ACTIONS(7131),
    [anon_sym_BSLASHtext] = ACTIONS(7131),
    [anon_sym_BSLASHintertext] = ACTIONS(7131),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7131),
    [anon_sym_BSLASHbegin] = ACTIONS(7131),
    [anon_sym_BSLASHtitle] = ACTIONS(7131),
    [anon_sym_BSLASHauthor] = ACTIONS(7131),
    [anon_sym_BSLASHusepackage] = ACTIONS(7131),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7131),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7131),
    [anon_sym_BSLASHinclude] = ACTIONS(7131),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7131),
    [anon_sym_BSLASHinput] = ACTIONS(7131),
    [anon_sym_BSLASHsubfile] = ACTIONS(7131),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7131),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7131),
    [anon_sym_BSLASHbibliography] = ACTIONS(7131),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7131),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7131),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7131),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7131),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7131),
    [anon_sym_BSLASHimport] = ACTIONS(7131),
    [anon_sym_BSLASHsubimport] = ACTIONS(7131),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7131),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7131),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7131),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7131),
    [anon_sym_BSLASHcaption] = ACTIONS(7131),
    [anon_sym_BSLASHcite] = ACTIONS(7131),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCite] = ACTIONS(7131),
    [anon_sym_BSLASHnocite] = ACTIONS(7131),
    [anon_sym_BSLASHcitet] = ACTIONS(7131),
    [anon_sym_BSLASHcitep] = ACTIONS(7131),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHciteA] = ACTIONS(7131),
    [anon_sym_BSLASHciteR] = ACTIONS(7131),
    [anon_sym_BSLASHciteS] = ACTIONS(7131),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7131),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7131),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7131),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7131),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHciteyear] = ACTIONS(7131),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcitedate] = ACTIONS(7131),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHciteurl] = ACTIONS(7131),
    [anon_sym_BSLASHfullcite] = ACTIONS(7131),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7131),
    [anon_sym_BSLASHcitealt] = ACTIONS(7131),
    [anon_sym_BSLASHcitealp] = ACTIONS(7131),
    [anon_sym_BSLASHcitetext] = ACTIONS(7131),
    [anon_sym_BSLASHparencite] = ACTIONS(7131),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHParencite] = ACTIONS(7131),
    [anon_sym_BSLASHfootcite] = ACTIONS(7131),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7131),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7131),
    [anon_sym_BSLASHtextcite] = ACTIONS(7131),
    [anon_sym_BSLASHTextcite] = ACTIONS(7131),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7131),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7131),
    [anon_sym_BSLASHsupercite] = ACTIONS(7131),
    [anon_sym_BSLASHautocite] = ACTIONS(7131),
    [anon_sym_BSLASHAutocite] = ACTIONS(7131),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHVolcite] = ACTIONS(7131),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHavolcite] = ACTIONS(7131),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHNotecite] = ACTIONS(7131),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHlabel] = ACTIONS(7131),
    [anon_sym_BSLASHref] = ACTIONS(7131),
    [anon_sym_BSLASHeqref] = ACTIONS(7131),
    [anon_sym_BSLASHvref] = ACTIONS(7131),
    [anon_sym_BSLASHVref] = ACTIONS(7131),
    [anon_sym_BSLASHautoref] = ACTIONS(7131),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHpageref] = ACTIONS(7131),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHautopageref] = ACTIONS(7131),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcref] = ACTIONS(7131),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCref] = ACTIONS(7131),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcpageref] = ACTIONS(7131),
    [anon_sym_BSLASHCpageref] = ACTIONS(7131),
    [anon_sym_BSLASHnamecref] = ACTIONS(7131),
    [anon_sym_BSLASHnameCref] = ACTIONS(7131),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7131),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7131),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7131),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7131),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7131),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7131),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7131),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7131),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7131),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7131),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7131),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7131),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7131),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7131),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7131),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7131),
    [anon_sym_BSLASHdef] = ACTIONS(7131),
    [anon_sym_BSLASHgdef] = ACTIONS(7131),
    [anon_sym_BSLASHedef] = ACTIONS(7131),
    [anon_sym_BSLASHxdef] = ACTIONS(7131),
    [anon_sym_BSLASHlet] = ACTIONS(7131),
    [anon_sym_BSLASHglet] = ACTIONS(7131),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7131),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7131),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7131),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7131),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7131),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7131),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7131),
    [anon_sym_BSLASHgls] = ACTIONS(7131),
    [anon_sym_BSLASHGls] = ACTIONS(7131),
    [anon_sym_BSLASHGLS] = ACTIONS(7131),
    [anon_sym_BSLASHglspl] = ACTIONS(7131),
    [anon_sym_BSLASHGlspl] = ACTIONS(7131),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7131),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7131),
    [anon_sym_BSLASHglslink] = ACTIONS(7131),
    [anon_sym_BSLASHglstext] = ACTIONS(7131),
    [anon_sym_BSLASHGlstext] = ACTIONS(7131),
    [anon_sym_BSLASHGLStext] = ACTIONS(7131),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7131),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7131),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7131),
    [anon_sym_BSLASHglsplural] = ACTIONS(7131),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7131),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7131),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7131),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7131),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7131),
    [anon_sym_BSLASHglsname] = ACTIONS(7131),
    [anon_sym_BSLASHGlsname] = ACTIONS(7131),
    [anon_sym_BSLASHGLSname] = ACTIONS(7131),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7131),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7131),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7131),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7131),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7131),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7131),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7131),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7131),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7131),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7131),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7131),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7131),
    [anon_sym_BSLASHacrshort] = ACTIONS(7131),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7131),
    [anon_sym_BSLASHACRshort] = ACTIONS(7131),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHacrlong] = ACTIONS(7131),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7131),
    [anon_sym_BSLASHACRlong] = ACTIONS(7131),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7131),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7131),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7131),
    [anon_sym_BSLASHacrfull] = ACTIONS(7131),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7131),
    [anon_sym_BSLASHACRfull] = ACTIONS(7131),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHacs] = ACTIONS(7131),
    [anon_sym_BSLASHAcs] = ACTIONS(7131),
    [anon_sym_BSLASHacsp] = ACTIONS(7131),
    [anon_sym_BSLASHAcsp] = ACTIONS(7131),
    [anon_sym_BSLASHacl] = ACTIONS(7131),
    [anon_sym_BSLASHAcl] = ACTIONS(7131),
    [anon_sym_BSLASHaclp] = ACTIONS(7131),
    [anon_sym_BSLASHAclp] = ACTIONS(7131),
    [anon_sym_BSLASHacf] = ACTIONS(7131),
    [anon_sym_BSLASHAcf] = ACTIONS(7131),
    [anon_sym_BSLASHacfp] = ACTIONS(7131),
    [anon_sym_BSLASHAcfp] = ACTIONS(7131),
    [anon_sym_BSLASHac] = ACTIONS(7131),
    [anon_sym_BSLASHAc] = ACTIONS(7131),
    [anon_sym_BSLASHacp] = ACTIONS(7131),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7131),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7131),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7131),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7131),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7131),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7131),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7131),
    [anon_sym_BSLASHcolor] = ACTIONS(7131),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7131),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7131),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7131),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7131),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7131),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7131),
    [anon_sym_BSLASHurl] = ACTIONS(7131),
    [anon_sym_BSLASHhref] = ACTIONS(7131),
  },
  [1886] = {
    [sym_command_name] = ACTIONS(7135),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7135),
    [anon_sym_LBRACK] = ACTIONS(7137),
    [anon_sym_RBRACK] = ACTIONS(7137),
    [anon_sym_COMMA] = ACTIONS(7137),
    [anon_sym_EQ] = ACTIONS(7137),
    [anon_sym_LPAREN] = ACTIONS(7137),
    [anon_sym_RPAREN] = ACTIONS(7137),
    [anon_sym_LBRACE] = ACTIONS(7137),
    [sym_word] = ACTIONS(7135),
    [sym_placeholder] = ACTIONS(7137),
    [sym_delimiter] = ACTIONS(7137),
    [anon_sym_PLUS] = ACTIONS(7137),
    [anon_sym_DASH] = ACTIONS(7137),
    [anon_sym_STAR] = ACTIONS(7137),
    [anon_sym_SLASH] = ACTIONS(7137),
    [anon_sym_LT] = ACTIONS(7135),
    [anon_sym_GT] = ACTIONS(7135),
    [anon_sym_BANG] = ACTIONS(7135),
    [anon_sym_PIPE] = ACTIONS(7135),
    [anon_sym_COLON] = ACTIONS(7135),
    [anon_sym_SQUOTE] = ACTIONS(7135),
    [anon_sym__] = ACTIONS(7137),
    [anon_sym_CARET] = ACTIONS(7137),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7137),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7137),
    [anon_sym_DOLLAR] = ACTIONS(7135),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7137),
    [anon_sym_BSLASHleft] = ACTIONS(7135),
    [anon_sym_BSLASHbigl] = ACTIONS(7135),
    [anon_sym_BSLASHBigl] = ACTIONS(7135),
    [anon_sym_BSLASHbiggl] = ACTIONS(7135),
    [anon_sym_BSLASHBiggl] = ACTIONS(7135),
    [anon_sym_BSLASHtext] = ACTIONS(7135),
    [anon_sym_BSLASHintertext] = ACTIONS(7135),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7135),
    [anon_sym_BSLASHbegin] = ACTIONS(7135),
    [anon_sym_BSLASHtitle] = ACTIONS(7135),
    [anon_sym_BSLASHauthor] = ACTIONS(7135),
    [anon_sym_BSLASHusepackage] = ACTIONS(7135),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7135),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7135),
    [anon_sym_BSLASHinclude] = ACTIONS(7135),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7135),
    [anon_sym_BSLASHinput] = ACTIONS(7135),
    [anon_sym_BSLASHsubfile] = ACTIONS(7135),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7135),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7135),
    [anon_sym_BSLASHbibliography] = ACTIONS(7135),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7135),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7135),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7135),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7135),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7135),
    [anon_sym_BSLASHimport] = ACTIONS(7135),
    [anon_sym_BSLASHsubimport] = ACTIONS(7135),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7135),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7135),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7135),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7135),
    [anon_sym_BSLASHcaption] = ACTIONS(7135),
    [anon_sym_BSLASHcite] = ACTIONS(7135),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHCite] = ACTIONS(7135),
    [anon_sym_BSLASHnocite] = ACTIONS(7135),
    [anon_sym_BSLASHcitet] = ACTIONS(7135),
    [anon_sym_BSLASHcitep] = ACTIONS(7135),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHciteA] = ACTIONS(7135),
    [anon_sym_BSLASHciteR] = ACTIONS(7135),
    [anon_sym_BSLASHciteS] = ACTIONS(7135),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7135),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7135),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7135),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7135),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHciteyear] = ACTIONS(7135),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcitedate] = ACTIONS(7135),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHciteurl] = ACTIONS(7135),
    [anon_sym_BSLASHfullcite] = ACTIONS(7135),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7135),
    [anon_sym_BSLASHcitealt] = ACTIONS(7135),
    [anon_sym_BSLASHcitealp] = ACTIONS(7135),
    [anon_sym_BSLASHcitetext] = ACTIONS(7135),
    [anon_sym_BSLASHparencite] = ACTIONS(7135),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHParencite] = ACTIONS(7135),
    [anon_sym_BSLASHfootcite] = ACTIONS(7135),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7135),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7135),
    [anon_sym_BSLASHtextcite] = ACTIONS(7135),
    [anon_sym_BSLASHTextcite] = ACTIONS(7135),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7135),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7135),
    [anon_sym_BSLASHsupercite] = ACTIONS(7135),
    [anon_sym_BSLASHautocite] = ACTIONS(7135),
    [anon_sym_BSLASHAutocite] = ACTIONS(7135),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHVolcite] = ACTIONS(7135),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHavolcite] = ACTIONS(7135),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7135),
    [anon_sym_BSLASHnotecite] = ACTIONS(7135),
    [anon_sym_BSLASHNotecite] = ACTIONS(7135),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7135),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7135),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7135),
    [anon_sym_BSLASHlabel] = ACTIONS(7135),
    [anon_sym_BSLASHref] = ACTIONS(7135),
    [anon_sym_BSLASHeqref] = ACTIONS(7135),
    [anon_sym_BSLASHvref] = ACTIONS(7135),
    [anon_sym_BSLASHVref] = ACTIONS(7135),
    [anon_sym_BSLASHautoref] = ACTIONS(7135),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHpageref] = ACTIONS(7135),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHautopageref] = ACTIONS(7135),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcref] = ACTIONS(7135),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHCref] = ACTIONS(7135),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcpageref] = ACTIONS(7135),
    [anon_sym_BSLASHCpageref] = ACTIONS(7135),
    [anon_sym_BSLASHnamecref] = ACTIONS(7135),
    [anon_sym_BSLASHnameCref] = ACTIONS(7135),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7135),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7135),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7135),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7135),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7135),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7135),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7135),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7135),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7135),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7135),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7135),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7135),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7135),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7135),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7135),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7135),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7135),
    [anon_sym_BSLASHdef] = ACTIONS(7135),
    [anon_sym_BSLASHgdef] = ACTIONS(7135),
    [anon_sym_BSLASHedef] = ACTIONS(7135),
    [anon_sym_BSLASHxdef] = ACTIONS(7135),
    [anon_sym_BSLASHlet] = ACTIONS(7135),
    [anon_sym_BSLASHglet] = ACTIONS(7135),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7135),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7135),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7135),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7135),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7135),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7135),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7135),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7135),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7135),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7135),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7135),
    [anon_sym_BSLASHgls] = ACTIONS(7135),
    [anon_sym_BSLASHGls] = ACTIONS(7135),
    [anon_sym_BSLASHGLS] = ACTIONS(7135),
    [anon_sym_BSLASHglspl] = ACTIONS(7135),
    [anon_sym_BSLASHGlspl] = ACTIONS(7135),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7135),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7135),
    [anon_sym_BSLASHglslink] = ACTIONS(7135),
    [anon_sym_BSLASHglstext] = ACTIONS(7135),
    [anon_sym_BSLASHGlstext] = ACTIONS(7135),
    [anon_sym_BSLASHGLStext] = ACTIONS(7135),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7135),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7135),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7135),
    [anon_sym_BSLASHglsplural] = ACTIONS(7135),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7135),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7135),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7135),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7135),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7135),
    [anon_sym_BSLASHglsname] = ACTIONS(7135),
    [anon_sym_BSLASHGlsname] = ACTIONS(7135),
    [anon_sym_BSLASHGLSname] = ACTIONS(7135),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7135),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7135),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7135),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7135),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7135),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7135),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7135),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7135),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7135),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7135),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7135),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7135),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7135),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7135),
    [anon_sym_BSLASHacrshort] = ACTIONS(7135),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7135),
    [anon_sym_BSLASHACRshort] = ACTIONS(7135),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHacrlong] = ACTIONS(7135),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7135),
    [anon_sym_BSLASHACRlong] = ACTIONS(7135),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7135),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7135),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7135),
    [anon_sym_BSLASHacrfull] = ACTIONS(7135),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7135),
    [anon_sym_BSLASHACRfull] = ACTIONS(7135),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHacs] = ACTIONS(7135),
    [anon_sym_BSLASHAcs] = ACTIONS(7135),
    [anon_sym_BSLASHacsp] = ACTIONS(7135),
    [anon_sym_BSLASHAcsp] = ACTIONS(7135),
    [anon_sym_BSLASHacl] = ACTIONS(7135),
    [anon_sym_BSLASHAcl] = ACTIONS(7135),
    [anon_sym_BSLASHaclp] = ACTIONS(7135),
    [anon_sym_BSLASHAclp] = ACTIONS(7135),
    [anon_sym_BSLASHacf] = ACTIONS(7135),
    [anon_sym_BSLASHAcf] = ACTIONS(7135),
    [anon_sym_BSLASHacfp] = ACTIONS(7135),
    [anon_sym_BSLASHAcfp] = ACTIONS(7135),
    [anon_sym_BSLASHac] = ACTIONS(7135),
    [anon_sym_BSLASHAc] = ACTIONS(7135),
    [anon_sym_BSLASHacp] = ACTIONS(7135),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7135),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7135),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7135),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7135),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7135),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7135),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7135),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7137),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7135),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7135),
    [anon_sym_BSLASHcolor] = ACTIONS(7135),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7135),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7135),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7135),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7135),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7135),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7135),
    [anon_sym_BSLASHurl] = ACTIONS(7135),
    [anon_sym_BSLASHhref] = ACTIONS(7135),
  },
  [1887] = {
    [sym_command_name] = ACTIONS(7139),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7139),
    [anon_sym_LBRACK] = ACTIONS(7141),
    [anon_sym_RBRACK] = ACTIONS(7141),
    [anon_sym_COMMA] = ACTIONS(7141),
    [anon_sym_EQ] = ACTIONS(7141),
    [anon_sym_LPAREN] = ACTIONS(7141),
    [anon_sym_RPAREN] = ACTIONS(7141),
    [anon_sym_LBRACE] = ACTIONS(7141),
    [sym_word] = ACTIONS(7139),
    [sym_placeholder] = ACTIONS(7141),
    [sym_delimiter] = ACTIONS(7141),
    [anon_sym_PLUS] = ACTIONS(7141),
    [anon_sym_DASH] = ACTIONS(7141),
    [anon_sym_STAR] = ACTIONS(7141),
    [anon_sym_SLASH] = ACTIONS(7141),
    [anon_sym_LT] = ACTIONS(7139),
    [anon_sym_GT] = ACTIONS(7139),
    [anon_sym_BANG] = ACTIONS(7139),
    [anon_sym_PIPE] = ACTIONS(7139),
    [anon_sym_COLON] = ACTIONS(7139),
    [anon_sym_SQUOTE] = ACTIONS(7139),
    [anon_sym__] = ACTIONS(7141),
    [anon_sym_CARET] = ACTIONS(7141),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7141),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7141),
    [anon_sym_DOLLAR] = ACTIONS(7139),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7141),
    [anon_sym_BSLASHleft] = ACTIONS(7139),
    [anon_sym_BSLASHbigl] = ACTIONS(7139),
    [anon_sym_BSLASHBigl] = ACTIONS(7139),
    [anon_sym_BSLASHbiggl] = ACTIONS(7139),
    [anon_sym_BSLASHBiggl] = ACTIONS(7139),
    [anon_sym_BSLASHtext] = ACTIONS(7139),
    [anon_sym_BSLASHintertext] = ACTIONS(7139),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7139),
    [anon_sym_BSLASHbegin] = ACTIONS(7139),
    [anon_sym_BSLASHtitle] = ACTIONS(7139),
    [anon_sym_BSLASHauthor] = ACTIONS(7139),
    [anon_sym_BSLASHusepackage] = ACTIONS(7139),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7139),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7139),
    [anon_sym_BSLASHinclude] = ACTIONS(7139),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7139),
    [anon_sym_BSLASHinput] = ACTIONS(7139),
    [anon_sym_BSLASHsubfile] = ACTIONS(7139),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7139),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7139),
    [anon_sym_BSLASHbibliography] = ACTIONS(7139),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7139),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7139),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7139),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7139),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7139),
    [anon_sym_BSLASHimport] = ACTIONS(7139),
    [anon_sym_BSLASHsubimport] = ACTIONS(7139),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7139),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7139),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7139),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7139),
    [anon_sym_BSLASHcaption] = ACTIONS(7139),
    [anon_sym_BSLASHcite] = ACTIONS(7139),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHCite] = ACTIONS(7139),
    [anon_sym_BSLASHnocite] = ACTIONS(7139),
    [anon_sym_BSLASHcitet] = ACTIONS(7139),
    [anon_sym_BSLASHcitep] = ACTIONS(7139),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHciteA] = ACTIONS(7139),
    [anon_sym_BSLASHciteR] = ACTIONS(7139),
    [anon_sym_BSLASHciteS] = ACTIONS(7139),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7139),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7139),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7139),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7139),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHciteyear] = ACTIONS(7139),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcitedate] = ACTIONS(7139),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHciteurl] = ACTIONS(7139),
    [anon_sym_BSLASHfullcite] = ACTIONS(7139),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7139),
    [anon_sym_BSLASHcitealt] = ACTIONS(7139),
    [anon_sym_BSLASHcitealp] = ACTIONS(7139),
    [anon_sym_BSLASHcitetext] = ACTIONS(7139),
    [anon_sym_BSLASHparencite] = ACTIONS(7139),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHParencite] = ACTIONS(7139),
    [anon_sym_BSLASHfootcite] = ACTIONS(7139),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7139),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7139),
    [anon_sym_BSLASHtextcite] = ACTIONS(7139),
    [anon_sym_BSLASHTextcite] = ACTIONS(7139),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7139),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7139),
    [anon_sym_BSLASHsupercite] = ACTIONS(7139),
    [anon_sym_BSLASHautocite] = ACTIONS(7139),
    [anon_sym_BSLASHAutocite] = ACTIONS(7139),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHVolcite] = ACTIONS(7139),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHavolcite] = ACTIONS(7139),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7139),
    [anon_sym_BSLASHnotecite] = ACTIONS(7139),
    [anon_sym_BSLASHNotecite] = ACTIONS(7139),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7139),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7139),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7139),
    [anon_sym_BSLASHlabel] = ACTIONS(7139),
    [anon_sym_BSLASHref] = ACTIONS(7139),
    [anon_sym_BSLASHeqref] = ACTIONS(7139),
    [anon_sym_BSLASHvref] = ACTIONS(7139),
    [anon_sym_BSLASHVref] = ACTIONS(7139),
    [anon_sym_BSLASHautoref] = ACTIONS(7139),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHpageref] = ACTIONS(7139),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHautopageref] = ACTIONS(7139),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcref] = ACTIONS(7139),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHCref] = ACTIONS(7139),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcpageref] = ACTIONS(7139),
    [anon_sym_BSLASHCpageref] = ACTIONS(7139),
    [anon_sym_BSLASHnamecref] = ACTIONS(7139),
    [anon_sym_BSLASHnameCref] = ACTIONS(7139),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7139),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7139),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7139),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7139),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7139),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7139),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7139),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7139),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7139),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7139),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7139),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7139),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7139),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7139),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7139),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7139),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7139),
    [anon_sym_BSLASHdef] = ACTIONS(7139),
    [anon_sym_BSLASHgdef] = ACTIONS(7139),
    [anon_sym_BSLASHedef] = ACTIONS(7139),
    [anon_sym_BSLASHxdef] = ACTIONS(7139),
    [anon_sym_BSLASHlet] = ACTIONS(7139),
    [anon_sym_BSLASHglet] = ACTIONS(7139),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7139),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7139),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7139),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7139),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7139),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7139),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7139),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7139),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7139),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7139),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7139),
    [anon_sym_BSLASHgls] = ACTIONS(7139),
    [anon_sym_BSLASHGls] = ACTIONS(7139),
    [anon_sym_BSLASHGLS] = ACTIONS(7139),
    [anon_sym_BSLASHglspl] = ACTIONS(7139),
    [anon_sym_BSLASHGlspl] = ACTIONS(7139),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7139),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7139),
    [anon_sym_BSLASHglslink] = ACTIONS(7139),
    [anon_sym_BSLASHglstext] = ACTIONS(7139),
    [anon_sym_BSLASHGlstext] = ACTIONS(7139),
    [anon_sym_BSLASHGLStext] = ACTIONS(7139),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7139),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7139),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7139),
    [anon_sym_BSLASHglsplural] = ACTIONS(7139),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7139),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7139),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7139),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7139),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7139),
    [anon_sym_BSLASHglsname] = ACTIONS(7139),
    [anon_sym_BSLASHGlsname] = ACTIONS(7139),
    [anon_sym_BSLASHGLSname] = ACTIONS(7139),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7139),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7139),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7139),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7139),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7139),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7139),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7139),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7139),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7139),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7139),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7139),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7139),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7139),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7139),
    [anon_sym_BSLASHacrshort] = ACTIONS(7139),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7139),
    [anon_sym_BSLASHACRshort] = ACTIONS(7139),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHacrlong] = ACTIONS(7139),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7139),
    [anon_sym_BSLASHACRlong] = ACTIONS(7139),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7139),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7139),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7139),
    [anon_sym_BSLASHacrfull] = ACTIONS(7139),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7139),
    [anon_sym_BSLASHACRfull] = ACTIONS(7139),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHacs] = ACTIONS(7139),
    [anon_sym_BSLASHAcs] = ACTIONS(7139),
    [anon_sym_BSLASHacsp] = ACTIONS(7139),
    [anon_sym_BSLASHAcsp] = ACTIONS(7139),
    [anon_sym_BSLASHacl] = ACTIONS(7139),
    [anon_sym_BSLASHAcl] = ACTIONS(7139),
    [anon_sym_BSLASHaclp] = ACTIONS(7139),
    [anon_sym_BSLASHAclp] = ACTIONS(7139),
    [anon_sym_BSLASHacf] = ACTIONS(7139),
    [anon_sym_BSLASHAcf] = ACTIONS(7139),
    [anon_sym_BSLASHacfp] = ACTIONS(7139),
    [anon_sym_BSLASHAcfp] = ACTIONS(7139),
    [anon_sym_BSLASHac] = ACTIONS(7139),
    [anon_sym_BSLASHAc] = ACTIONS(7139),
    [anon_sym_BSLASHacp] = ACTIONS(7139),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7139),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7139),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7139),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7139),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7139),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7139),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7139),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7141),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7139),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7139),
    [anon_sym_BSLASHcolor] = ACTIONS(7139),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7139),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7139),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7139),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7139),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7139),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7139),
    [anon_sym_BSLASHurl] = ACTIONS(7139),
    [anon_sym_BSLASHhref] = ACTIONS(7139),
  },
  [1888] = {
    [sym_command_name] = ACTIONS(7463),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7463),
    [anon_sym_LBRACK] = ACTIONS(7465),
    [anon_sym_RBRACK] = ACTIONS(7465),
    [anon_sym_COMMA] = ACTIONS(7465),
    [anon_sym_EQ] = ACTIONS(7465),
    [anon_sym_LPAREN] = ACTIONS(7465),
    [anon_sym_RPAREN] = ACTIONS(7465),
    [anon_sym_LBRACE] = ACTIONS(7465),
    [sym_word] = ACTIONS(7463),
    [sym_placeholder] = ACTIONS(7465),
    [sym_delimiter] = ACTIONS(7465),
    [anon_sym_PLUS] = ACTIONS(7465),
    [anon_sym_DASH] = ACTIONS(7465),
    [anon_sym_STAR] = ACTIONS(7465),
    [anon_sym_SLASH] = ACTIONS(7465),
    [anon_sym_LT] = ACTIONS(7463),
    [anon_sym_GT] = ACTIONS(7463),
    [anon_sym_BANG] = ACTIONS(7463),
    [anon_sym_PIPE] = ACTIONS(7463),
    [anon_sym_COLON] = ACTIONS(7463),
    [anon_sym_SQUOTE] = ACTIONS(7463),
    [anon_sym__] = ACTIONS(7465),
    [anon_sym_CARET] = ACTIONS(7465),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7465),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7465),
    [anon_sym_DOLLAR] = ACTIONS(7463),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7465),
    [anon_sym_BSLASHleft] = ACTIONS(7463),
    [anon_sym_BSLASHbigl] = ACTIONS(7463),
    [anon_sym_BSLASHBigl] = ACTIONS(7463),
    [anon_sym_BSLASHbiggl] = ACTIONS(7463),
    [anon_sym_BSLASHBiggl] = ACTIONS(7463),
    [anon_sym_BSLASHtext] = ACTIONS(7463),
    [anon_sym_BSLASHintertext] = ACTIONS(7463),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7463),
    [anon_sym_BSLASHbegin] = ACTIONS(7463),
    [anon_sym_BSLASHtitle] = ACTIONS(7463),
    [anon_sym_BSLASHauthor] = ACTIONS(7463),
    [anon_sym_BSLASHusepackage] = ACTIONS(7463),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7463),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7463),
    [anon_sym_BSLASHinclude] = ACTIONS(7463),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7463),
    [anon_sym_BSLASHinput] = ACTIONS(7463),
    [anon_sym_BSLASHsubfile] = ACTIONS(7463),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7463),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7463),
    [anon_sym_BSLASHbibliography] = ACTIONS(7463),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7463),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7463),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7463),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7463),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7463),
    [anon_sym_BSLASHimport] = ACTIONS(7463),
    [anon_sym_BSLASHsubimport] = ACTIONS(7463),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7463),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7463),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7463),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7463),
    [anon_sym_BSLASHcaption] = ACTIONS(7463),
    [anon_sym_BSLASHcite] = ACTIONS(7463),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCite] = ACTIONS(7463),
    [anon_sym_BSLASHnocite] = ACTIONS(7463),
    [anon_sym_BSLASHcitet] = ACTIONS(7463),
    [anon_sym_BSLASHcitep] = ACTIONS(7463),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteA] = ACTIONS(7463),
    [anon_sym_BSLASHciteR] = ACTIONS(7463),
    [anon_sym_BSLASHciteS] = ACTIONS(7463),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7463),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7463),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7463),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7463),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteyear] = ACTIONS(7463),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitedate] = ACTIONS(7463),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteurl] = ACTIONS(7463),
    [anon_sym_BSLASHfullcite] = ACTIONS(7463),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7463),
    [anon_sym_BSLASHcitealt] = ACTIONS(7463),
    [anon_sym_BSLASHcitealp] = ACTIONS(7463),
    [anon_sym_BSLASHcitetext] = ACTIONS(7463),
    [anon_sym_BSLASHparencite] = ACTIONS(7463),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHParencite] = ACTIONS(7463),
    [anon_sym_BSLASHfootcite] = ACTIONS(7463),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7463),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7463),
    [anon_sym_BSLASHtextcite] = ACTIONS(7463),
    [anon_sym_BSLASHTextcite] = ACTIONS(7463),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7463),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7463),
    [anon_sym_BSLASHsupercite] = ACTIONS(7463),
    [anon_sym_BSLASHautocite] = ACTIONS(7463),
    [anon_sym_BSLASHAutocite] = ACTIONS(7463),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHVolcite] = ACTIONS(7463),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHavolcite] = ACTIONS(7463),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHNotecite] = ACTIONS(7463),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHlabel] = ACTIONS(7463),
    [anon_sym_BSLASHref] = ACTIONS(7463),
    [anon_sym_BSLASHeqref] = ACTIONS(7463),
    [anon_sym_BSLASHvref] = ACTIONS(7463),
    [anon_sym_BSLASHVref] = ACTIONS(7463),
    [anon_sym_BSLASHautoref] = ACTIONS(7463),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHpageref] = ACTIONS(7463),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHautopageref] = ACTIONS(7463),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcref] = ACTIONS(7463),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCref] = ACTIONS(7463),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcpageref] = ACTIONS(7463),
    [anon_sym_BSLASHCpageref] = ACTIONS(7463),
    [anon_sym_BSLASHnamecref] = ACTIONS(7463),
    [anon_sym_BSLASHnameCref] = ACTIONS(7463),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7463),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7463),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7463),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7463),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7463),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7463),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7463),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7463),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7463),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7463),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7463),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHdef] = ACTIONS(7463),
    [anon_sym_BSLASHgdef] = ACTIONS(7463),
    [anon_sym_BSLASHedef] = ACTIONS(7463),
    [anon_sym_BSLASHxdef] = ACTIONS(7463),
    [anon_sym_BSLASHlet] = ACTIONS(7463),
    [anon_sym_BSLASHglet] = ACTIONS(7463),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7463),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7463),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7463),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7463),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7463),
    [anon_sym_BSLASHgls] = ACTIONS(7463),
    [anon_sym_BSLASHGls] = ACTIONS(7463),
    [anon_sym_BSLASHGLS] = ACTIONS(7463),
    [anon_sym_BSLASHglspl] = ACTIONS(7463),
    [anon_sym_BSLASHGlspl] = ACTIONS(7463),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7463),
    [anon_sym_BSLASHglslink] = ACTIONS(7463),
    [anon_sym_BSLASHglstext] = ACTIONS(7463),
    [anon_sym_BSLASHGlstext] = ACTIONS(7463),
    [anon_sym_BSLASHGLStext] = ACTIONS(7463),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7463),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7463),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7463),
    [anon_sym_BSLASHglsplural] = ACTIONS(7463),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7463),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7463),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHglsname] = ACTIONS(7463),
    [anon_sym_BSLASHGlsname] = ACTIONS(7463),
    [anon_sym_BSLASHGLSname] = ACTIONS(7463),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7463),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7463),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7463),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7463),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7463),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7463),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7463),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7463),
    [anon_sym_BSLASHacrshort] = ACTIONS(7463),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7463),
    [anon_sym_BSLASHACRshort] = ACTIONS(7463),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHacrlong] = ACTIONS(7463),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7463),
    [anon_sym_BSLASHACRlong] = ACTIONS(7463),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHacrfull] = ACTIONS(7463),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7463),
    [anon_sym_BSLASHACRfull] = ACTIONS(7463),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHacs] = ACTIONS(7463),
    [anon_sym_BSLASHAcs] = ACTIONS(7463),
    [anon_sym_BSLASHacsp] = ACTIONS(7463),
    [anon_sym_BSLASHAcsp] = ACTIONS(7463),
    [anon_sym_BSLASHacl] = ACTIONS(7463),
    [anon_sym_BSLASHAcl] = ACTIONS(7463),
    [anon_sym_BSLASHaclp] = ACTIONS(7463),
    [anon_sym_BSLASHAclp] = ACTIONS(7463),
    [anon_sym_BSLASHacf] = ACTIONS(7463),
    [anon_sym_BSLASHAcf] = ACTIONS(7463),
    [anon_sym_BSLASHacfp] = ACTIONS(7463),
    [anon_sym_BSLASHAcfp] = ACTIONS(7463),
    [anon_sym_BSLASHac] = ACTIONS(7463),
    [anon_sym_BSLASHAc] = ACTIONS(7463),
    [anon_sym_BSLASHacp] = ACTIONS(7463),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7463),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7463),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7463),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7463),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7463),
    [anon_sym_BSLASHcolor] = ACTIONS(7463),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7463),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7463),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7463),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7463),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7463),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7463),
    [anon_sym_BSLASHurl] = ACTIONS(7463),
    [anon_sym_BSLASHhref] = ACTIONS(7463),
  },
  [1889] = {
    [sym_command_name] = ACTIONS(7467),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7467),
    [anon_sym_LBRACK] = ACTIONS(7469),
    [anon_sym_RBRACK] = ACTIONS(7469),
    [anon_sym_COMMA] = ACTIONS(7469),
    [anon_sym_EQ] = ACTIONS(7469),
    [anon_sym_LPAREN] = ACTIONS(7469),
    [anon_sym_RPAREN] = ACTIONS(7469),
    [anon_sym_LBRACE] = ACTIONS(7469),
    [sym_word] = ACTIONS(7467),
    [sym_placeholder] = ACTIONS(7469),
    [sym_delimiter] = ACTIONS(7469),
    [anon_sym_PLUS] = ACTIONS(7469),
    [anon_sym_DASH] = ACTIONS(7469),
    [anon_sym_STAR] = ACTIONS(7469),
    [anon_sym_SLASH] = ACTIONS(7469),
    [anon_sym_LT] = ACTIONS(7467),
    [anon_sym_GT] = ACTIONS(7467),
    [anon_sym_BANG] = ACTIONS(7467),
    [anon_sym_PIPE] = ACTIONS(7467),
    [anon_sym_COLON] = ACTIONS(7467),
    [anon_sym_SQUOTE] = ACTIONS(7467),
    [anon_sym__] = ACTIONS(7469),
    [anon_sym_CARET] = ACTIONS(7469),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7469),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7469),
    [anon_sym_DOLLAR] = ACTIONS(7467),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7469),
    [anon_sym_BSLASHleft] = ACTIONS(7467),
    [anon_sym_BSLASHbigl] = ACTIONS(7467),
    [anon_sym_BSLASHBigl] = ACTIONS(7467),
    [anon_sym_BSLASHbiggl] = ACTIONS(7467),
    [anon_sym_BSLASHBiggl] = ACTIONS(7467),
    [anon_sym_BSLASHtext] = ACTIONS(7467),
    [anon_sym_BSLASHintertext] = ACTIONS(7467),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7467),
    [anon_sym_BSLASHbegin] = ACTIONS(7467),
    [anon_sym_BSLASHtitle] = ACTIONS(7467),
    [anon_sym_BSLASHauthor] = ACTIONS(7467),
    [anon_sym_BSLASHusepackage] = ACTIONS(7467),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7467),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7467),
    [anon_sym_BSLASHinclude] = ACTIONS(7467),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7467),
    [anon_sym_BSLASHinput] = ACTIONS(7467),
    [anon_sym_BSLASHsubfile] = ACTIONS(7467),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7467),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7467),
    [anon_sym_BSLASHbibliography] = ACTIONS(7467),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7467),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7467),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7467),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7467),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7467),
    [anon_sym_BSLASHimport] = ACTIONS(7467),
    [anon_sym_BSLASHsubimport] = ACTIONS(7467),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7467),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7467),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7467),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7467),
    [anon_sym_BSLASHcaption] = ACTIONS(7467),
    [anon_sym_BSLASHcite] = ACTIONS(7467),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCite] = ACTIONS(7467),
    [anon_sym_BSLASHnocite] = ACTIONS(7467),
    [anon_sym_BSLASHcitet] = ACTIONS(7467),
    [anon_sym_BSLASHcitep] = ACTIONS(7467),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteA] = ACTIONS(7467),
    [anon_sym_BSLASHciteR] = ACTIONS(7467),
    [anon_sym_BSLASHciteS] = ACTIONS(7467),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7467),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7467),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7467),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7467),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteyear] = ACTIONS(7467),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitedate] = ACTIONS(7467),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteurl] = ACTIONS(7467),
    [anon_sym_BSLASHfullcite] = ACTIONS(7467),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7467),
    [anon_sym_BSLASHcitealt] = ACTIONS(7467),
    [anon_sym_BSLASHcitealp] = ACTIONS(7467),
    [anon_sym_BSLASHcitetext] = ACTIONS(7467),
    [anon_sym_BSLASHparencite] = ACTIONS(7467),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHParencite] = ACTIONS(7467),
    [anon_sym_BSLASHfootcite] = ACTIONS(7467),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7467),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7467),
    [anon_sym_BSLASHtextcite] = ACTIONS(7467),
    [anon_sym_BSLASHTextcite] = ACTIONS(7467),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7467),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7467),
    [anon_sym_BSLASHsupercite] = ACTIONS(7467),
    [anon_sym_BSLASHautocite] = ACTIONS(7467),
    [anon_sym_BSLASHAutocite] = ACTIONS(7467),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHVolcite] = ACTIONS(7467),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHavolcite] = ACTIONS(7467),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHNotecite] = ACTIONS(7467),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHlabel] = ACTIONS(7467),
    [anon_sym_BSLASHref] = ACTIONS(7467),
    [anon_sym_BSLASHeqref] = ACTIONS(7467),
    [anon_sym_BSLASHvref] = ACTIONS(7467),
    [anon_sym_BSLASHVref] = ACTIONS(7467),
    [anon_sym_BSLASHautoref] = ACTIONS(7467),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHpageref] = ACTIONS(7467),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHautopageref] = ACTIONS(7467),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcref] = ACTIONS(7467),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCref] = ACTIONS(7467),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcpageref] = ACTIONS(7467),
    [anon_sym_BSLASHCpageref] = ACTIONS(7467),
    [anon_sym_BSLASHnamecref] = ACTIONS(7467),
    [anon_sym_BSLASHnameCref] = ACTIONS(7467),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7467),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7467),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7467),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7467),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7467),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7467),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7467),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7467),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7467),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7467),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7467),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHdef] = ACTIONS(7467),
    [anon_sym_BSLASHgdef] = ACTIONS(7467),
    [anon_sym_BSLASHedef] = ACTIONS(7467),
    [anon_sym_BSLASHxdef] = ACTIONS(7467),
    [anon_sym_BSLASHlet] = ACTIONS(7467),
    [anon_sym_BSLASHglet] = ACTIONS(7467),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7467),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7467),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7467),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7467),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7467),
    [anon_sym_BSLASHgls] = ACTIONS(7467),
    [anon_sym_BSLASHGls] = ACTIONS(7467),
    [anon_sym_BSLASHGLS] = ACTIONS(7467),
    [anon_sym_BSLASHglspl] = ACTIONS(7467),
    [anon_sym_BSLASHGlspl] = ACTIONS(7467),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7467),
    [anon_sym_BSLASHglslink] = ACTIONS(7467),
    [anon_sym_BSLASHglstext] = ACTIONS(7467),
    [anon_sym_BSLASHGlstext] = ACTIONS(7467),
    [anon_sym_BSLASHGLStext] = ACTIONS(7467),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7467),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7467),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7467),
    [anon_sym_BSLASHglsplural] = ACTIONS(7467),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7467),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7467),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHglsname] = ACTIONS(7467),
    [anon_sym_BSLASHGlsname] = ACTIONS(7467),
    [anon_sym_BSLASHGLSname] = ACTIONS(7467),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7467),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7467),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7467),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7467),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7467),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7467),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7467),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7467),
    [anon_sym_BSLASHacrshort] = ACTIONS(7467),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7467),
    [anon_sym_BSLASHACRshort] = ACTIONS(7467),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHacrlong] = ACTIONS(7467),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7467),
    [anon_sym_BSLASHACRlong] = ACTIONS(7467),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHacrfull] = ACTIONS(7467),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7467),
    [anon_sym_BSLASHACRfull] = ACTIONS(7467),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHacs] = ACTIONS(7467),
    [anon_sym_BSLASHAcs] = ACTIONS(7467),
    [anon_sym_BSLASHacsp] = ACTIONS(7467),
    [anon_sym_BSLASHAcsp] = ACTIONS(7467),
    [anon_sym_BSLASHacl] = ACTIONS(7467),
    [anon_sym_BSLASHAcl] = ACTIONS(7467),
    [anon_sym_BSLASHaclp] = ACTIONS(7467),
    [anon_sym_BSLASHAclp] = ACTIONS(7467),
    [anon_sym_BSLASHacf] = ACTIONS(7467),
    [anon_sym_BSLASHAcf] = ACTIONS(7467),
    [anon_sym_BSLASHacfp] = ACTIONS(7467),
    [anon_sym_BSLASHAcfp] = ACTIONS(7467),
    [anon_sym_BSLASHac] = ACTIONS(7467),
    [anon_sym_BSLASHAc] = ACTIONS(7467),
    [anon_sym_BSLASHacp] = ACTIONS(7467),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7467),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7467),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7467),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7467),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7467),
    [anon_sym_BSLASHcolor] = ACTIONS(7467),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7467),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7467),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7467),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7467),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7467),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7467),
    [anon_sym_BSLASHurl] = ACTIONS(7467),
    [anon_sym_BSLASHhref] = ACTIONS(7467),
  },
  [1890] = {
    [sym_command_name] = ACTIONS(7471),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7471),
    [anon_sym_LBRACK] = ACTIONS(7473),
    [anon_sym_RBRACK] = ACTIONS(7473),
    [anon_sym_COMMA] = ACTIONS(7473),
    [anon_sym_EQ] = ACTIONS(7473),
    [anon_sym_LPAREN] = ACTIONS(7473),
    [anon_sym_RPAREN] = ACTIONS(7473),
    [anon_sym_LBRACE] = ACTIONS(7473),
    [sym_word] = ACTIONS(7471),
    [sym_placeholder] = ACTIONS(7473),
    [sym_delimiter] = ACTIONS(7473),
    [anon_sym_PLUS] = ACTIONS(7473),
    [anon_sym_DASH] = ACTIONS(7473),
    [anon_sym_STAR] = ACTIONS(7473),
    [anon_sym_SLASH] = ACTIONS(7473),
    [anon_sym_LT] = ACTIONS(7471),
    [anon_sym_GT] = ACTIONS(7471),
    [anon_sym_BANG] = ACTIONS(7471),
    [anon_sym_PIPE] = ACTIONS(7471),
    [anon_sym_COLON] = ACTIONS(7471),
    [anon_sym_SQUOTE] = ACTIONS(7471),
    [anon_sym__] = ACTIONS(7473),
    [anon_sym_CARET] = ACTIONS(7473),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7473),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7473),
    [anon_sym_DOLLAR] = ACTIONS(7471),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7473),
    [anon_sym_BSLASHleft] = ACTIONS(7471),
    [anon_sym_BSLASHbigl] = ACTIONS(7471),
    [anon_sym_BSLASHBigl] = ACTIONS(7471),
    [anon_sym_BSLASHbiggl] = ACTIONS(7471),
    [anon_sym_BSLASHBiggl] = ACTIONS(7471),
    [anon_sym_BSLASHtext] = ACTIONS(7471),
    [anon_sym_BSLASHintertext] = ACTIONS(7471),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7471),
    [anon_sym_BSLASHbegin] = ACTIONS(7471),
    [anon_sym_BSLASHtitle] = ACTIONS(7471),
    [anon_sym_BSLASHauthor] = ACTIONS(7471),
    [anon_sym_BSLASHusepackage] = ACTIONS(7471),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7471),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7471),
    [anon_sym_BSLASHinclude] = ACTIONS(7471),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7471),
    [anon_sym_BSLASHinput] = ACTIONS(7471),
    [anon_sym_BSLASHsubfile] = ACTIONS(7471),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7471),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7471),
    [anon_sym_BSLASHbibliography] = ACTIONS(7471),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7471),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7471),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7471),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7471),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7471),
    [anon_sym_BSLASHimport] = ACTIONS(7471),
    [anon_sym_BSLASHsubimport] = ACTIONS(7471),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7471),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7471),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7471),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7471),
    [anon_sym_BSLASHcaption] = ACTIONS(7471),
    [anon_sym_BSLASHcite] = ACTIONS(7471),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCite] = ACTIONS(7471),
    [anon_sym_BSLASHnocite] = ACTIONS(7471),
    [anon_sym_BSLASHcitet] = ACTIONS(7471),
    [anon_sym_BSLASHcitep] = ACTIONS(7471),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteA] = ACTIONS(7471),
    [anon_sym_BSLASHciteR] = ACTIONS(7471),
    [anon_sym_BSLASHciteS] = ACTIONS(7471),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7471),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7471),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7471),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7471),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteyear] = ACTIONS(7471),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitedate] = ACTIONS(7471),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteurl] = ACTIONS(7471),
    [anon_sym_BSLASHfullcite] = ACTIONS(7471),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7471),
    [anon_sym_BSLASHcitealt] = ACTIONS(7471),
    [anon_sym_BSLASHcitealp] = ACTIONS(7471),
    [anon_sym_BSLASHcitetext] = ACTIONS(7471),
    [anon_sym_BSLASHparencite] = ACTIONS(7471),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHParencite] = ACTIONS(7471),
    [anon_sym_BSLASHfootcite] = ACTIONS(7471),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7471),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7471),
    [anon_sym_BSLASHtextcite] = ACTIONS(7471),
    [anon_sym_BSLASHTextcite] = ACTIONS(7471),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7471),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7471),
    [anon_sym_BSLASHsupercite] = ACTIONS(7471),
    [anon_sym_BSLASHautocite] = ACTIONS(7471),
    [anon_sym_BSLASHAutocite] = ACTIONS(7471),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHVolcite] = ACTIONS(7471),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHavolcite] = ACTIONS(7471),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHNotecite] = ACTIONS(7471),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHlabel] = ACTIONS(7471),
    [anon_sym_BSLASHref] = ACTIONS(7471),
    [anon_sym_BSLASHeqref] = ACTIONS(7471),
    [anon_sym_BSLASHvref] = ACTIONS(7471),
    [anon_sym_BSLASHVref] = ACTIONS(7471),
    [anon_sym_BSLASHautoref] = ACTIONS(7471),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHpageref] = ACTIONS(7471),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHautopageref] = ACTIONS(7471),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcref] = ACTIONS(7471),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCref] = ACTIONS(7471),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcpageref] = ACTIONS(7471),
    [anon_sym_BSLASHCpageref] = ACTIONS(7471),
    [anon_sym_BSLASHnamecref] = ACTIONS(7471),
    [anon_sym_BSLASHnameCref] = ACTIONS(7471),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7471),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7471),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7471),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7471),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7471),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7471),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7471),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7471),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7471),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7471),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7471),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHdef] = ACTIONS(7471),
    [anon_sym_BSLASHgdef] = ACTIONS(7471),
    [anon_sym_BSLASHedef] = ACTIONS(7471),
    [anon_sym_BSLASHxdef] = ACTIONS(7471),
    [anon_sym_BSLASHlet] = ACTIONS(7471),
    [anon_sym_BSLASHglet] = ACTIONS(7471),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7471),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7471),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7471),
    [anon_sym_BSLASHgls] = ACTIONS(7471),
    [anon_sym_BSLASHGls] = ACTIONS(7471),
    [anon_sym_BSLASHGLS] = ACTIONS(7471),
    [anon_sym_BSLASHglspl] = ACTIONS(7471),
    [anon_sym_BSLASHGlspl] = ACTIONS(7471),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7471),
    [anon_sym_BSLASHglslink] = ACTIONS(7471),
    [anon_sym_BSLASHglstext] = ACTIONS(7471),
    [anon_sym_BSLASHGlstext] = ACTIONS(7471),
    [anon_sym_BSLASHGLStext] = ACTIONS(7471),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7471),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7471),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7471),
    [anon_sym_BSLASHglsplural] = ACTIONS(7471),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7471),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7471),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHglsname] = ACTIONS(7471),
    [anon_sym_BSLASHGlsname] = ACTIONS(7471),
    [anon_sym_BSLASHGLSname] = ACTIONS(7471),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7471),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7471),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7471),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7471),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7471),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7471),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7471),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7471),
    [anon_sym_BSLASHacrshort] = ACTIONS(7471),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7471),
    [anon_sym_BSLASHACRshort] = ACTIONS(7471),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHacrlong] = ACTIONS(7471),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7471),
    [anon_sym_BSLASHACRlong] = ACTIONS(7471),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHacrfull] = ACTIONS(7471),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7471),
    [anon_sym_BSLASHACRfull] = ACTIONS(7471),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHacs] = ACTIONS(7471),
    [anon_sym_BSLASHAcs] = ACTIONS(7471),
    [anon_sym_BSLASHacsp] = ACTIONS(7471),
    [anon_sym_BSLASHAcsp] = ACTIONS(7471),
    [anon_sym_BSLASHacl] = ACTIONS(7471),
    [anon_sym_BSLASHAcl] = ACTIONS(7471),
    [anon_sym_BSLASHaclp] = ACTIONS(7471),
    [anon_sym_BSLASHAclp] = ACTIONS(7471),
    [anon_sym_BSLASHacf] = ACTIONS(7471),
    [anon_sym_BSLASHAcf] = ACTIONS(7471),
    [anon_sym_BSLASHacfp] = ACTIONS(7471),
    [anon_sym_BSLASHAcfp] = ACTIONS(7471),
    [anon_sym_BSLASHac] = ACTIONS(7471),
    [anon_sym_BSLASHAc] = ACTIONS(7471),
    [anon_sym_BSLASHacp] = ACTIONS(7471),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7471),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7471),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7471),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7471),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7471),
    [anon_sym_BSLASHcolor] = ACTIONS(7471),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7471),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7471),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7471),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7471),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7471),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7471),
    [anon_sym_BSLASHurl] = ACTIONS(7471),
    [anon_sym_BSLASHhref] = ACTIONS(7471),
  },
  [1891] = {
    [sym_command_name] = ACTIONS(7475),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7475),
    [anon_sym_LBRACK] = ACTIONS(7477),
    [anon_sym_RBRACK] = ACTIONS(7477),
    [anon_sym_COMMA] = ACTIONS(7477),
    [anon_sym_EQ] = ACTIONS(7477),
    [anon_sym_LPAREN] = ACTIONS(7477),
    [anon_sym_RPAREN] = ACTIONS(7477),
    [anon_sym_LBRACE] = ACTIONS(7477),
    [sym_word] = ACTIONS(7475),
    [sym_placeholder] = ACTIONS(7477),
    [sym_delimiter] = ACTIONS(7477),
    [anon_sym_PLUS] = ACTIONS(7477),
    [anon_sym_DASH] = ACTIONS(7477),
    [anon_sym_STAR] = ACTIONS(7477),
    [anon_sym_SLASH] = ACTIONS(7477),
    [anon_sym_LT] = ACTIONS(7475),
    [anon_sym_GT] = ACTIONS(7475),
    [anon_sym_BANG] = ACTIONS(7475),
    [anon_sym_PIPE] = ACTIONS(7475),
    [anon_sym_COLON] = ACTIONS(7475),
    [anon_sym_SQUOTE] = ACTIONS(7475),
    [anon_sym__] = ACTIONS(7477),
    [anon_sym_CARET] = ACTIONS(7477),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7477),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7477),
    [anon_sym_DOLLAR] = ACTIONS(7475),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7477),
    [anon_sym_BSLASHleft] = ACTIONS(7475),
    [anon_sym_BSLASHbigl] = ACTIONS(7475),
    [anon_sym_BSLASHBigl] = ACTIONS(7475),
    [anon_sym_BSLASHbiggl] = ACTIONS(7475),
    [anon_sym_BSLASHBiggl] = ACTIONS(7475),
    [anon_sym_BSLASHtext] = ACTIONS(7475),
    [anon_sym_BSLASHintertext] = ACTIONS(7475),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7475),
    [anon_sym_BSLASHbegin] = ACTIONS(7475),
    [anon_sym_BSLASHtitle] = ACTIONS(7475),
    [anon_sym_BSLASHauthor] = ACTIONS(7475),
    [anon_sym_BSLASHusepackage] = ACTIONS(7475),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7475),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7475),
    [anon_sym_BSLASHinclude] = ACTIONS(7475),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7475),
    [anon_sym_BSLASHinput] = ACTIONS(7475),
    [anon_sym_BSLASHsubfile] = ACTIONS(7475),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7475),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7475),
    [anon_sym_BSLASHbibliography] = ACTIONS(7475),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7475),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7475),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7475),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7475),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7475),
    [anon_sym_BSLASHimport] = ACTIONS(7475),
    [anon_sym_BSLASHsubimport] = ACTIONS(7475),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7475),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7475),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7475),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7475),
    [anon_sym_BSLASHcaption] = ACTIONS(7475),
    [anon_sym_BSLASHcite] = ACTIONS(7475),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCite] = ACTIONS(7475),
    [anon_sym_BSLASHnocite] = ACTIONS(7475),
    [anon_sym_BSLASHcitet] = ACTIONS(7475),
    [anon_sym_BSLASHcitep] = ACTIONS(7475),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteA] = ACTIONS(7475),
    [anon_sym_BSLASHciteR] = ACTIONS(7475),
    [anon_sym_BSLASHciteS] = ACTIONS(7475),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7475),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7475),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7475),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7475),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteyear] = ACTIONS(7475),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitedate] = ACTIONS(7475),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteurl] = ACTIONS(7475),
    [anon_sym_BSLASHfullcite] = ACTIONS(7475),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7475),
    [anon_sym_BSLASHcitealt] = ACTIONS(7475),
    [anon_sym_BSLASHcitealp] = ACTIONS(7475),
    [anon_sym_BSLASHcitetext] = ACTIONS(7475),
    [anon_sym_BSLASHparencite] = ACTIONS(7475),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHParencite] = ACTIONS(7475),
    [anon_sym_BSLASHfootcite] = ACTIONS(7475),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7475),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7475),
    [anon_sym_BSLASHtextcite] = ACTIONS(7475),
    [anon_sym_BSLASHTextcite] = ACTIONS(7475),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7475),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7475),
    [anon_sym_BSLASHsupercite] = ACTIONS(7475),
    [anon_sym_BSLASHautocite] = ACTIONS(7475),
    [anon_sym_BSLASHAutocite] = ACTIONS(7475),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHVolcite] = ACTIONS(7475),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHavolcite] = ACTIONS(7475),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHNotecite] = ACTIONS(7475),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHlabel] = ACTIONS(7475),
    [anon_sym_BSLASHref] = ACTIONS(7475),
    [anon_sym_BSLASHeqref] = ACTIONS(7475),
    [anon_sym_BSLASHvref] = ACTIONS(7475),
    [anon_sym_BSLASHVref] = ACTIONS(7475),
    [anon_sym_BSLASHautoref] = ACTIONS(7475),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHpageref] = ACTIONS(7475),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHautopageref] = ACTIONS(7475),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcref] = ACTIONS(7475),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCref] = ACTIONS(7475),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcpageref] = ACTIONS(7475),
    [anon_sym_BSLASHCpageref] = ACTIONS(7475),
    [anon_sym_BSLASHnamecref] = ACTIONS(7475),
    [anon_sym_BSLASHnameCref] = ACTIONS(7475),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7475),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7475),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7475),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7475),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7475),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7475),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7475),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7475),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7475),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7475),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7475),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHdef] = ACTIONS(7475),
    [anon_sym_BSLASHgdef] = ACTIONS(7475),
    [anon_sym_BSLASHedef] = ACTIONS(7475),
    [anon_sym_BSLASHxdef] = ACTIONS(7475),
    [anon_sym_BSLASHlet] = ACTIONS(7475),
    [anon_sym_BSLASHglet] = ACTIONS(7475),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7475),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7475),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7475),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7475),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7475),
    [anon_sym_BSLASHgls] = ACTIONS(7475),
    [anon_sym_BSLASHGls] = ACTIONS(7475),
    [anon_sym_BSLASHGLS] = ACTIONS(7475),
    [anon_sym_BSLASHglspl] = ACTIONS(7475),
    [anon_sym_BSLASHGlspl] = ACTIONS(7475),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7475),
    [anon_sym_BSLASHglslink] = ACTIONS(7475),
    [anon_sym_BSLASHglstext] = ACTIONS(7475),
    [anon_sym_BSLASHGlstext] = ACTIONS(7475),
    [anon_sym_BSLASHGLStext] = ACTIONS(7475),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7475),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7475),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7475),
    [anon_sym_BSLASHglsplural] = ACTIONS(7475),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7475),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7475),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHglsname] = ACTIONS(7475),
    [anon_sym_BSLASHGlsname] = ACTIONS(7475),
    [anon_sym_BSLASHGLSname] = ACTIONS(7475),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7475),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7475),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7475),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7475),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7475),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7475),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7475),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7475),
    [anon_sym_BSLASHacrshort] = ACTIONS(7475),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7475),
    [anon_sym_BSLASHACRshort] = ACTIONS(7475),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHacrlong] = ACTIONS(7475),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7475),
    [anon_sym_BSLASHACRlong] = ACTIONS(7475),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHacrfull] = ACTIONS(7475),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7475),
    [anon_sym_BSLASHACRfull] = ACTIONS(7475),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHacs] = ACTIONS(7475),
    [anon_sym_BSLASHAcs] = ACTIONS(7475),
    [anon_sym_BSLASHacsp] = ACTIONS(7475),
    [anon_sym_BSLASHAcsp] = ACTIONS(7475),
    [anon_sym_BSLASHacl] = ACTIONS(7475),
    [anon_sym_BSLASHAcl] = ACTIONS(7475),
    [anon_sym_BSLASHaclp] = ACTIONS(7475),
    [anon_sym_BSLASHAclp] = ACTIONS(7475),
    [anon_sym_BSLASHacf] = ACTIONS(7475),
    [anon_sym_BSLASHAcf] = ACTIONS(7475),
    [anon_sym_BSLASHacfp] = ACTIONS(7475),
    [anon_sym_BSLASHAcfp] = ACTIONS(7475),
    [anon_sym_BSLASHac] = ACTIONS(7475),
    [anon_sym_BSLASHAc] = ACTIONS(7475),
    [anon_sym_BSLASHacp] = ACTIONS(7475),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7475),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7475),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7475),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7475),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7475),
    [anon_sym_BSLASHcolor] = ACTIONS(7475),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7475),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7475),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7475),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7475),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7475),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7475),
    [anon_sym_BSLASHurl] = ACTIONS(7475),
    [anon_sym_BSLASHhref] = ACTIONS(7475),
  },
  [1892] = {
    [sym_command_name] = ACTIONS(7479),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(7481),
    [anon_sym_RBRACK] = ACTIONS(7481),
    [anon_sym_COMMA] = ACTIONS(7481),
    [anon_sym_EQ] = ACTIONS(7481),
    [anon_sym_LPAREN] = ACTIONS(7481),
    [anon_sym_RPAREN] = ACTIONS(7481),
    [anon_sym_LBRACE] = ACTIONS(7481),
    [sym_word] = ACTIONS(7479),
    [sym_placeholder] = ACTIONS(7481),
    [sym_delimiter] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7481),
    [anon_sym_DASH] = ACTIONS(7481),
    [anon_sym_STAR] = ACTIONS(7481),
    [anon_sym_SLASH] = ACTIONS(7481),
    [anon_sym_LT] = ACTIONS(7479),
    [anon_sym_GT] = ACTIONS(7479),
    [anon_sym_BANG] = ACTIONS(7479),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_COLON] = ACTIONS(7479),
    [anon_sym_SQUOTE] = ACTIONS(7479),
    [anon_sym__] = ACTIONS(7481),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7481),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7481),
    [anon_sym_DOLLAR] = ACTIONS(7479),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7481),
    [anon_sym_BSLASHleft] = ACTIONS(7479),
    [anon_sym_BSLASHbigl] = ACTIONS(7479),
    [anon_sym_BSLASHBigl] = ACTIONS(7479),
    [anon_sym_BSLASHbiggl] = ACTIONS(7479),
    [anon_sym_BSLASHBiggl] = ACTIONS(7479),
    [anon_sym_BSLASHtext] = ACTIONS(7479),
    [anon_sym_BSLASHintertext] = ACTIONS(7479),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7479),
    [anon_sym_BSLASHbegin] = ACTIONS(7479),
    [anon_sym_BSLASHtitle] = ACTIONS(7479),
    [anon_sym_BSLASHauthor] = ACTIONS(7479),
    [anon_sym_BSLASHusepackage] = ACTIONS(7479),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7479),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7479),
    [anon_sym_BSLASHinclude] = ACTIONS(7479),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7479),
    [anon_sym_BSLASHinput] = ACTIONS(7479),
    [anon_sym_BSLASHsubfile] = ACTIONS(7479),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7479),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7479),
    [anon_sym_BSLASHbibliography] = ACTIONS(7479),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7479),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7479),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7479),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7479),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7479),
    [anon_sym_BSLASHimport] = ACTIONS(7479),
    [anon_sym_BSLASHsubimport] = ACTIONS(7479),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7479),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7479),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7479),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7479),
    [anon_sym_BSLASHcaption] = ACTIONS(7479),
    [anon_sym_BSLASHcite] = ACTIONS(7479),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCite] = ACTIONS(7479),
    [anon_sym_BSLASHnocite] = ACTIONS(7479),
    [anon_sym_BSLASHcitet] = ACTIONS(7479),
    [anon_sym_BSLASHcitep] = ACTIONS(7479),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteA] = ACTIONS(7479),
    [anon_sym_BSLASHciteR] = ACTIONS(7479),
    [anon_sym_BSLASHciteS] = ACTIONS(7479),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7479),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7479),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7479),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7479),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteyear] = ACTIONS(7479),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitedate] = ACTIONS(7479),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteurl] = ACTIONS(7479),
    [anon_sym_BSLASHfullcite] = ACTIONS(7479),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7479),
    [anon_sym_BSLASHcitealt] = ACTIONS(7479),
    [anon_sym_BSLASHcitealp] = ACTIONS(7479),
    [anon_sym_BSLASHcitetext] = ACTIONS(7479),
    [anon_sym_BSLASHparencite] = ACTIONS(7479),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHParencite] = ACTIONS(7479),
    [anon_sym_BSLASHfootcite] = ACTIONS(7479),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7479),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7479),
    [anon_sym_BSLASHtextcite] = ACTIONS(7479),
    [anon_sym_BSLASHTextcite] = ACTIONS(7479),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7479),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7479),
    [anon_sym_BSLASHsupercite] = ACTIONS(7479),
    [anon_sym_BSLASHautocite] = ACTIONS(7479),
    [anon_sym_BSLASHAutocite] = ACTIONS(7479),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHVolcite] = ACTIONS(7479),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHavolcite] = ACTIONS(7479),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHNotecite] = ACTIONS(7479),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHlabel] = ACTIONS(7479),
    [anon_sym_BSLASHref] = ACTIONS(7479),
    [anon_sym_BSLASHeqref] = ACTIONS(7479),
    [anon_sym_BSLASHvref] = ACTIONS(7479),
    [anon_sym_BSLASHVref] = ACTIONS(7479),
    [anon_sym_BSLASHautoref] = ACTIONS(7479),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHpageref] = ACTIONS(7479),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHautopageref] = ACTIONS(7479),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcref] = ACTIONS(7479),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCref] = ACTIONS(7479),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcpageref] = ACTIONS(7479),
    [anon_sym_BSLASHCpageref] = ACTIONS(7479),
    [anon_sym_BSLASHnamecref] = ACTIONS(7479),
    [anon_sym_BSLASHnameCref] = ACTIONS(7479),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7479),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7479),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7479),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7479),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7479),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7479),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7479),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7479),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7479),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7479),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7479),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHdef] = ACTIONS(7479),
    [anon_sym_BSLASHgdef] = ACTIONS(7479),
    [anon_sym_BSLASHedef] = ACTIONS(7479),
    [anon_sym_BSLASHxdef] = ACTIONS(7479),
    [anon_sym_BSLASHlet] = ACTIONS(7479),
    [anon_sym_BSLASHglet] = ACTIONS(7479),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7479),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7479),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7479),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7479),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7479),
    [anon_sym_BSLASHgls] = ACTIONS(7479),
    [anon_sym_BSLASHGls] = ACTIONS(7479),
    [anon_sym_BSLASHGLS] = ACTIONS(7479),
    [anon_sym_BSLASHglspl] = ACTIONS(7479),
    [anon_sym_BSLASHGlspl] = ACTIONS(7479),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7479),
    [anon_sym_BSLASHglslink] = ACTIONS(7479),
    [anon_sym_BSLASHglstext] = ACTIONS(7479),
    [anon_sym_BSLASHGlstext] = ACTIONS(7479),
    [anon_sym_BSLASHGLStext] = ACTIONS(7479),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7479),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7479),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7479),
    [anon_sym_BSLASHglsplural] = ACTIONS(7479),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7479),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7479),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHglsname] = ACTIONS(7479),
    [anon_sym_BSLASHGlsname] = ACTIONS(7479),
    [anon_sym_BSLASHGLSname] = ACTIONS(7479),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7479),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7479),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7479),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7479),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7479),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7479),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7479),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7479),
    [anon_sym_BSLASHacrshort] = ACTIONS(7479),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7479),
    [anon_sym_BSLASHACRshort] = ACTIONS(7479),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHacrlong] = ACTIONS(7479),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7479),
    [anon_sym_BSLASHACRlong] = ACTIONS(7479),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHacrfull] = ACTIONS(7479),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7479),
    [anon_sym_BSLASHACRfull] = ACTIONS(7479),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHacs] = ACTIONS(7479),
    [anon_sym_BSLASHAcs] = ACTIONS(7479),
    [anon_sym_BSLASHacsp] = ACTIONS(7479),
    [anon_sym_BSLASHAcsp] = ACTIONS(7479),
    [anon_sym_BSLASHacl] = ACTIONS(7479),
    [anon_sym_BSLASHAcl] = ACTIONS(7479),
    [anon_sym_BSLASHaclp] = ACTIONS(7479),
    [anon_sym_BSLASHAclp] = ACTIONS(7479),
    [anon_sym_BSLASHacf] = ACTIONS(7479),
    [anon_sym_BSLASHAcf] = ACTIONS(7479),
    [anon_sym_BSLASHacfp] = ACTIONS(7479),
    [anon_sym_BSLASHAcfp] = ACTIONS(7479),
    [anon_sym_BSLASHac] = ACTIONS(7479),
    [anon_sym_BSLASHAc] = ACTIONS(7479),
    [anon_sym_BSLASHacp] = ACTIONS(7479),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7479),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7479),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7479),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7479),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7479),
    [anon_sym_BSLASHcolor] = ACTIONS(7479),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7479),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7479),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7479),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7479),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7479),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7479),
    [anon_sym_BSLASHurl] = ACTIONS(7479),
    [anon_sym_BSLASHhref] = ACTIONS(7479),
  },
  [1893] = {
    [sym_command_name] = ACTIONS(7483),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(7485),
    [anon_sym_RBRACK] = ACTIONS(7485),
    [anon_sym_COMMA] = ACTIONS(7485),
    [anon_sym_EQ] = ACTIONS(7485),
    [anon_sym_LPAREN] = ACTIONS(7485),
    [anon_sym_RPAREN] = ACTIONS(7485),
    [anon_sym_LBRACE] = ACTIONS(7485),
    [sym_word] = ACTIONS(7483),
    [sym_placeholder] = ACTIONS(7485),
    [sym_delimiter] = ACTIONS(7485),
    [anon_sym_PLUS] = ACTIONS(7485),
    [anon_sym_DASH] = ACTIONS(7485),
    [anon_sym_STAR] = ACTIONS(7485),
    [anon_sym_SLASH] = ACTIONS(7485),
    [anon_sym_LT] = ACTIONS(7483),
    [anon_sym_GT] = ACTIONS(7483),
    [anon_sym_BANG] = ACTIONS(7483),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_COLON] = ACTIONS(7483),
    [anon_sym_SQUOTE] = ACTIONS(7483),
    [anon_sym__] = ACTIONS(7485),
    [anon_sym_CARET] = ACTIONS(7485),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7485),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7485),
    [anon_sym_DOLLAR] = ACTIONS(7483),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7485),
    [anon_sym_BSLASHleft] = ACTIONS(7483),
    [anon_sym_BSLASHbigl] = ACTIONS(7483),
    [anon_sym_BSLASHBigl] = ACTIONS(7483),
    [anon_sym_BSLASHbiggl] = ACTIONS(7483),
    [anon_sym_BSLASHBiggl] = ACTIONS(7483),
    [anon_sym_BSLASHtext] = ACTIONS(7483),
    [anon_sym_BSLASHintertext] = ACTIONS(7483),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7483),
    [anon_sym_BSLASHbegin] = ACTIONS(7483),
    [anon_sym_BSLASHtitle] = ACTIONS(7483),
    [anon_sym_BSLASHauthor] = ACTIONS(7483),
    [anon_sym_BSLASHusepackage] = ACTIONS(7483),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7483),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7483),
    [anon_sym_BSLASHinclude] = ACTIONS(7483),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7483),
    [anon_sym_BSLASHinput] = ACTIONS(7483),
    [anon_sym_BSLASHsubfile] = ACTIONS(7483),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7483),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7483),
    [anon_sym_BSLASHbibliography] = ACTIONS(7483),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7483),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7483),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7483),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7483),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7483),
    [anon_sym_BSLASHimport] = ACTIONS(7483),
    [anon_sym_BSLASHsubimport] = ACTIONS(7483),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7483),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7483),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7483),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7483),
    [anon_sym_BSLASHcaption] = ACTIONS(7483),
    [anon_sym_BSLASHcite] = ACTIONS(7483),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCite] = ACTIONS(7483),
    [anon_sym_BSLASHnocite] = ACTIONS(7483),
    [anon_sym_BSLASHcitet] = ACTIONS(7483),
    [anon_sym_BSLASHcitep] = ACTIONS(7483),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteA] = ACTIONS(7483),
    [anon_sym_BSLASHciteR] = ACTIONS(7483),
    [anon_sym_BSLASHciteS] = ACTIONS(7483),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7483),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7483),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7483),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7483),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteyear] = ACTIONS(7483),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitedate] = ACTIONS(7483),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteurl] = ACTIONS(7483),
    [anon_sym_BSLASHfullcite] = ACTIONS(7483),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7483),
    [anon_sym_BSLASHcitealt] = ACTIONS(7483),
    [anon_sym_BSLASHcitealp] = ACTIONS(7483),
    [anon_sym_BSLASHcitetext] = ACTIONS(7483),
    [anon_sym_BSLASHparencite] = ACTIONS(7483),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHParencite] = ACTIONS(7483),
    [anon_sym_BSLASHfootcite] = ACTIONS(7483),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7483),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7483),
    [anon_sym_BSLASHtextcite] = ACTIONS(7483),
    [anon_sym_BSLASHTextcite] = ACTIONS(7483),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7483),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7483),
    [anon_sym_BSLASHsupercite] = ACTIONS(7483),
    [anon_sym_BSLASHautocite] = ACTIONS(7483),
    [anon_sym_BSLASHAutocite] = ACTIONS(7483),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHVolcite] = ACTIONS(7483),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHavolcite] = ACTIONS(7483),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHNotecite] = ACTIONS(7483),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHlabel] = ACTIONS(7483),
    [anon_sym_BSLASHref] = ACTIONS(7483),
    [anon_sym_BSLASHeqref] = ACTIONS(7483),
    [anon_sym_BSLASHvref] = ACTIONS(7483),
    [anon_sym_BSLASHVref] = ACTIONS(7483),
    [anon_sym_BSLASHautoref] = ACTIONS(7483),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHpageref] = ACTIONS(7483),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHautopageref] = ACTIONS(7483),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcref] = ACTIONS(7483),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCref] = ACTIONS(7483),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcpageref] = ACTIONS(7483),
    [anon_sym_BSLASHCpageref] = ACTIONS(7483),
    [anon_sym_BSLASHnamecref] = ACTIONS(7483),
    [anon_sym_BSLASHnameCref] = ACTIONS(7483),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7483),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7483),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7483),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7483),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7483),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7483),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7483),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7483),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7483),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7483),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7483),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHdef] = ACTIONS(7483),
    [anon_sym_BSLASHgdef] = ACTIONS(7483),
    [anon_sym_BSLASHedef] = ACTIONS(7483),
    [anon_sym_BSLASHxdef] = ACTIONS(7483),
    [anon_sym_BSLASHlet] = ACTIONS(7483),
    [anon_sym_BSLASHglet] = ACTIONS(7483),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7483),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7483),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7483),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7483),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7483),
    [anon_sym_BSLASHgls] = ACTIONS(7483),
    [anon_sym_BSLASHGls] = ACTIONS(7483),
    [anon_sym_BSLASHGLS] = ACTIONS(7483),
    [anon_sym_BSLASHglspl] = ACTIONS(7483),
    [anon_sym_BSLASHGlspl] = ACTIONS(7483),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7483),
    [anon_sym_BSLASHglslink] = ACTIONS(7483),
    [anon_sym_BSLASHglstext] = ACTIONS(7483),
    [anon_sym_BSLASHGlstext] = ACTIONS(7483),
    [anon_sym_BSLASHGLStext] = ACTIONS(7483),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7483),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7483),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7483),
    [anon_sym_BSLASHglsplural] = ACTIONS(7483),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7483),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7483),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHglsname] = ACTIONS(7483),
    [anon_sym_BSLASHGlsname] = ACTIONS(7483),
    [anon_sym_BSLASHGLSname] = ACTIONS(7483),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7483),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7483),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7483),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7483),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7483),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7483),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7483),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7483),
    [anon_sym_BSLASHacrshort] = ACTIONS(7483),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7483),
    [anon_sym_BSLASHACRshort] = ACTIONS(7483),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHacrlong] = ACTIONS(7483),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7483),
    [anon_sym_BSLASHACRlong] = ACTIONS(7483),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHacrfull] = ACTIONS(7483),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7483),
    [anon_sym_BSLASHACRfull] = ACTIONS(7483),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHacs] = ACTIONS(7483),
    [anon_sym_BSLASHAcs] = ACTIONS(7483),
    [anon_sym_BSLASHacsp] = ACTIONS(7483),
    [anon_sym_BSLASHAcsp] = ACTIONS(7483),
    [anon_sym_BSLASHacl] = ACTIONS(7483),
    [anon_sym_BSLASHAcl] = ACTIONS(7483),
    [anon_sym_BSLASHaclp] = ACTIONS(7483),
    [anon_sym_BSLASHAclp] = ACTIONS(7483),
    [anon_sym_BSLASHacf] = ACTIONS(7483),
    [anon_sym_BSLASHAcf] = ACTIONS(7483),
    [anon_sym_BSLASHacfp] = ACTIONS(7483),
    [anon_sym_BSLASHAcfp] = ACTIONS(7483),
    [anon_sym_BSLASHac] = ACTIONS(7483),
    [anon_sym_BSLASHAc] = ACTIONS(7483),
    [anon_sym_BSLASHacp] = ACTIONS(7483),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7483),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7483),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7483),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7483),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7483),
    [anon_sym_BSLASHcolor] = ACTIONS(7483),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7483),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7483),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7483),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7483),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7483),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7483),
    [anon_sym_BSLASHurl] = ACTIONS(7483),
    [anon_sym_BSLASHhref] = ACTIONS(7483),
  },
  [1894] = {
    [sym_command_name] = ACTIONS(7487),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7487),
    [anon_sym_LBRACK] = ACTIONS(7489),
    [anon_sym_RBRACK] = ACTIONS(7489),
    [anon_sym_COMMA] = ACTIONS(7489),
    [anon_sym_EQ] = ACTIONS(7489),
    [anon_sym_LPAREN] = ACTIONS(7489),
    [anon_sym_RPAREN] = ACTIONS(7489),
    [anon_sym_LBRACE] = ACTIONS(7489),
    [sym_word] = ACTIONS(7487),
    [sym_placeholder] = ACTIONS(7489),
    [sym_delimiter] = ACTIONS(7489),
    [anon_sym_PLUS] = ACTIONS(7489),
    [anon_sym_DASH] = ACTIONS(7489),
    [anon_sym_STAR] = ACTIONS(7489),
    [anon_sym_SLASH] = ACTIONS(7489),
    [anon_sym_LT] = ACTIONS(7487),
    [anon_sym_GT] = ACTIONS(7487),
    [anon_sym_BANG] = ACTIONS(7487),
    [anon_sym_PIPE] = ACTIONS(7487),
    [anon_sym_COLON] = ACTIONS(7487),
    [anon_sym_SQUOTE] = ACTIONS(7487),
    [anon_sym__] = ACTIONS(7489),
    [anon_sym_CARET] = ACTIONS(7489),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7489),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7489),
    [anon_sym_DOLLAR] = ACTIONS(7487),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7489),
    [anon_sym_BSLASHleft] = ACTIONS(7487),
    [anon_sym_BSLASHbigl] = ACTIONS(7487),
    [anon_sym_BSLASHBigl] = ACTIONS(7487),
    [anon_sym_BSLASHbiggl] = ACTIONS(7487),
    [anon_sym_BSLASHBiggl] = ACTIONS(7487),
    [anon_sym_BSLASHtext] = ACTIONS(7487),
    [anon_sym_BSLASHintertext] = ACTIONS(7487),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7487),
    [anon_sym_BSLASHbegin] = ACTIONS(7487),
    [anon_sym_BSLASHtitle] = ACTIONS(7487),
    [anon_sym_BSLASHauthor] = ACTIONS(7487),
    [anon_sym_BSLASHusepackage] = ACTIONS(7487),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7487),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7487),
    [anon_sym_BSLASHinclude] = ACTIONS(7487),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7487),
    [anon_sym_BSLASHinput] = ACTIONS(7487),
    [anon_sym_BSLASHsubfile] = ACTIONS(7487),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7487),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7487),
    [anon_sym_BSLASHbibliography] = ACTIONS(7487),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7487),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7487),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7487),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7487),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7487),
    [anon_sym_BSLASHimport] = ACTIONS(7487),
    [anon_sym_BSLASHsubimport] = ACTIONS(7487),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7487),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7487),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7487),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7487),
    [anon_sym_BSLASHcaption] = ACTIONS(7487),
    [anon_sym_BSLASHcite] = ACTIONS(7487),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCite] = ACTIONS(7487),
    [anon_sym_BSLASHnocite] = ACTIONS(7487),
    [anon_sym_BSLASHcitet] = ACTIONS(7487),
    [anon_sym_BSLASHcitep] = ACTIONS(7487),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteA] = ACTIONS(7487),
    [anon_sym_BSLASHciteR] = ACTIONS(7487),
    [anon_sym_BSLASHciteS] = ACTIONS(7487),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7487),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7487),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7487),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7487),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteyear] = ACTIONS(7487),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitedate] = ACTIONS(7487),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteurl] = ACTIONS(7487),
    [anon_sym_BSLASHfullcite] = ACTIONS(7487),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7487),
    [anon_sym_BSLASHcitealt] = ACTIONS(7487),
    [anon_sym_BSLASHcitealp] = ACTIONS(7487),
    [anon_sym_BSLASHcitetext] = ACTIONS(7487),
    [anon_sym_BSLASHparencite] = ACTIONS(7487),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHParencite] = ACTIONS(7487),
    [anon_sym_BSLASHfootcite] = ACTIONS(7487),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7487),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7487),
    [anon_sym_BSLASHtextcite] = ACTIONS(7487),
    [anon_sym_BSLASHTextcite] = ACTIONS(7487),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7487),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7487),
    [anon_sym_BSLASHsupercite] = ACTIONS(7487),
    [anon_sym_BSLASHautocite] = ACTIONS(7487),
    [anon_sym_BSLASHAutocite] = ACTIONS(7487),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHVolcite] = ACTIONS(7487),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHavolcite] = ACTIONS(7487),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHNotecite] = ACTIONS(7487),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHlabel] = ACTIONS(7487),
    [anon_sym_BSLASHref] = ACTIONS(7487),
    [anon_sym_BSLASHeqref] = ACTIONS(7487),
    [anon_sym_BSLASHvref] = ACTIONS(7487),
    [anon_sym_BSLASHVref] = ACTIONS(7487),
    [anon_sym_BSLASHautoref] = ACTIONS(7487),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHpageref] = ACTIONS(7487),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHautopageref] = ACTIONS(7487),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcref] = ACTIONS(7487),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCref] = ACTIONS(7487),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcpageref] = ACTIONS(7487),
    [anon_sym_BSLASHCpageref] = ACTIONS(7487),
    [anon_sym_BSLASHnamecref] = ACTIONS(7487),
    [anon_sym_BSLASHnameCref] = ACTIONS(7487),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7487),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7487),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7487),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7487),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7487),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7487),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7487),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7487),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7487),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7487),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7487),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHdef] = ACTIONS(7487),
    [anon_sym_BSLASHgdef] = ACTIONS(7487),
    [anon_sym_BSLASHedef] = ACTIONS(7487),
    [anon_sym_BSLASHxdef] = ACTIONS(7487),
    [anon_sym_BSLASHlet] = ACTIONS(7487),
    [anon_sym_BSLASHglet] = ACTIONS(7487),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7487),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7487),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7487),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7487),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7487),
    [anon_sym_BSLASHgls] = ACTIONS(7487),
    [anon_sym_BSLASHGls] = ACTIONS(7487),
    [anon_sym_BSLASHGLS] = ACTIONS(7487),
    [anon_sym_BSLASHglspl] = ACTIONS(7487),
    [anon_sym_BSLASHGlspl] = ACTIONS(7487),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7487),
    [anon_sym_BSLASHglslink] = ACTIONS(7487),
    [anon_sym_BSLASHglstext] = ACTIONS(7487),
    [anon_sym_BSLASHGlstext] = ACTIONS(7487),
    [anon_sym_BSLASHGLStext] = ACTIONS(7487),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7487),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7487),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7487),
    [anon_sym_BSLASHglsplural] = ACTIONS(7487),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7487),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7487),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHglsname] = ACTIONS(7487),
    [anon_sym_BSLASHGlsname] = ACTIONS(7487),
    [anon_sym_BSLASHGLSname] = ACTIONS(7487),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7487),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7487),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7487),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7487),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7487),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7487),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7487),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7487),
    [anon_sym_BSLASHacrshort] = ACTIONS(7487),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7487),
    [anon_sym_BSLASHACRshort] = ACTIONS(7487),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHacrlong] = ACTIONS(7487),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7487),
    [anon_sym_BSLASHACRlong] = ACTIONS(7487),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHacrfull] = ACTIONS(7487),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7487),
    [anon_sym_BSLASHACRfull] = ACTIONS(7487),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHacs] = ACTIONS(7487),
    [anon_sym_BSLASHAcs] = ACTIONS(7487),
    [anon_sym_BSLASHacsp] = ACTIONS(7487),
    [anon_sym_BSLASHAcsp] = ACTIONS(7487),
    [anon_sym_BSLASHacl] = ACTIONS(7487),
    [anon_sym_BSLASHAcl] = ACTIONS(7487),
    [anon_sym_BSLASHaclp] = ACTIONS(7487),
    [anon_sym_BSLASHAclp] = ACTIONS(7487),
    [anon_sym_BSLASHacf] = ACTIONS(7487),
    [anon_sym_BSLASHAcf] = ACTIONS(7487),
    [anon_sym_BSLASHacfp] = ACTIONS(7487),
    [anon_sym_BSLASHAcfp] = ACTIONS(7487),
    [anon_sym_BSLASHac] = ACTIONS(7487),
    [anon_sym_BSLASHAc] = ACTIONS(7487),
    [anon_sym_BSLASHacp] = ACTIONS(7487),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7487),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7487),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7487),
    [anon_sym_BSLASHcolor] = ACTIONS(7487),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7487),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7487),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7487),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7487),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7487),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7487),
    [anon_sym_BSLASHurl] = ACTIONS(7487),
    [anon_sym_BSLASHhref] = ACTIONS(7487),
  },
  [1895] = {
    [sym_command_name] = ACTIONS(7491),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(7493),
    [anon_sym_RBRACK] = ACTIONS(7493),
    [anon_sym_COMMA] = ACTIONS(7493),
    [anon_sym_EQ] = ACTIONS(7493),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_RPAREN] = ACTIONS(7493),
    [anon_sym_LBRACE] = ACTIONS(7493),
    [sym_word] = ACTIONS(7491),
    [sym_placeholder] = ACTIONS(7493),
    [sym_delimiter] = ACTIONS(7493),
    [anon_sym_PLUS] = ACTIONS(7493),
    [anon_sym_DASH] = ACTIONS(7493),
    [anon_sym_STAR] = ACTIONS(7493),
    [anon_sym_SLASH] = ACTIONS(7493),
    [anon_sym_LT] = ACTIONS(7491),
    [anon_sym_GT] = ACTIONS(7491),
    [anon_sym_BANG] = ACTIONS(7491),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_COLON] = ACTIONS(7491),
    [anon_sym_SQUOTE] = ACTIONS(7491),
    [anon_sym__] = ACTIONS(7493),
    [anon_sym_CARET] = ACTIONS(7493),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7493),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7493),
    [anon_sym_DOLLAR] = ACTIONS(7491),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7493),
    [anon_sym_BSLASHleft] = ACTIONS(7491),
    [anon_sym_BSLASHbigl] = ACTIONS(7491),
    [anon_sym_BSLASHBigl] = ACTIONS(7491),
    [anon_sym_BSLASHbiggl] = ACTIONS(7491),
    [anon_sym_BSLASHBiggl] = ACTIONS(7491),
    [anon_sym_BSLASHtext] = ACTIONS(7491),
    [anon_sym_BSLASHintertext] = ACTIONS(7491),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7491),
    [anon_sym_BSLASHbegin] = ACTIONS(7491),
    [anon_sym_BSLASHtitle] = ACTIONS(7491),
    [anon_sym_BSLASHauthor] = ACTIONS(7491),
    [anon_sym_BSLASHusepackage] = ACTIONS(7491),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7491),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7491),
    [anon_sym_BSLASHinclude] = ACTIONS(7491),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7491),
    [anon_sym_BSLASHinput] = ACTIONS(7491),
    [anon_sym_BSLASHsubfile] = ACTIONS(7491),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7491),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7491),
    [anon_sym_BSLASHbibliography] = ACTIONS(7491),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7491),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7491),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7491),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7491),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7491),
    [anon_sym_BSLASHimport] = ACTIONS(7491),
    [anon_sym_BSLASHsubimport] = ACTIONS(7491),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7491),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7491),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7491),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7491),
    [anon_sym_BSLASHcaption] = ACTIONS(7491),
    [anon_sym_BSLASHcite] = ACTIONS(7491),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCite] = ACTIONS(7491),
    [anon_sym_BSLASHnocite] = ACTIONS(7491),
    [anon_sym_BSLASHcitet] = ACTIONS(7491),
    [anon_sym_BSLASHcitep] = ACTIONS(7491),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteA] = ACTIONS(7491),
    [anon_sym_BSLASHciteR] = ACTIONS(7491),
    [anon_sym_BSLASHciteS] = ACTIONS(7491),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7491),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7491),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7491),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7491),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteyear] = ACTIONS(7491),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitedate] = ACTIONS(7491),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteurl] = ACTIONS(7491),
    [anon_sym_BSLASHfullcite] = ACTIONS(7491),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7491),
    [anon_sym_BSLASHcitealt] = ACTIONS(7491),
    [anon_sym_BSLASHcitealp] = ACTIONS(7491),
    [anon_sym_BSLASHcitetext] = ACTIONS(7491),
    [anon_sym_BSLASHparencite] = ACTIONS(7491),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHParencite] = ACTIONS(7491),
    [anon_sym_BSLASHfootcite] = ACTIONS(7491),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7491),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7491),
    [anon_sym_BSLASHtextcite] = ACTIONS(7491),
    [anon_sym_BSLASHTextcite] = ACTIONS(7491),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7491),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7491),
    [anon_sym_BSLASHsupercite] = ACTIONS(7491),
    [anon_sym_BSLASHautocite] = ACTIONS(7491),
    [anon_sym_BSLASHAutocite] = ACTIONS(7491),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHVolcite] = ACTIONS(7491),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHavolcite] = ACTIONS(7491),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHNotecite] = ACTIONS(7491),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHlabel] = ACTIONS(7491),
    [anon_sym_BSLASHref] = ACTIONS(7491),
    [anon_sym_BSLASHeqref] = ACTIONS(7491),
    [anon_sym_BSLASHvref] = ACTIONS(7491),
    [anon_sym_BSLASHVref] = ACTIONS(7491),
    [anon_sym_BSLASHautoref] = ACTIONS(7491),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHpageref] = ACTIONS(7491),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHautopageref] = ACTIONS(7491),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcref] = ACTIONS(7491),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCref] = ACTIONS(7491),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcpageref] = ACTIONS(7491),
    [anon_sym_BSLASHCpageref] = ACTIONS(7491),
    [anon_sym_BSLASHnamecref] = ACTIONS(7491),
    [anon_sym_BSLASHnameCref] = ACTIONS(7491),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7491),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7491),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7491),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7491),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7491),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7491),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7491),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7491),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7491),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7491),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7491),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHdef] = ACTIONS(7491),
    [anon_sym_BSLASHgdef] = ACTIONS(7491),
    [anon_sym_BSLASHedef] = ACTIONS(7491),
    [anon_sym_BSLASHxdef] = ACTIONS(7491),
    [anon_sym_BSLASHlet] = ACTIONS(7491),
    [anon_sym_BSLASHglet] = ACTIONS(7491),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7491),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7491),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7491),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7491),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7491),
    [anon_sym_BSLASHgls] = ACTIONS(7491),
    [anon_sym_BSLASHGls] = ACTIONS(7491),
    [anon_sym_BSLASHGLS] = ACTIONS(7491),
    [anon_sym_BSLASHglspl] = ACTIONS(7491),
    [anon_sym_BSLASHGlspl] = ACTIONS(7491),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7491),
    [anon_sym_BSLASHglslink] = ACTIONS(7491),
    [anon_sym_BSLASHglstext] = ACTIONS(7491),
    [anon_sym_BSLASHGlstext] = ACTIONS(7491),
    [anon_sym_BSLASHGLStext] = ACTIONS(7491),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7491),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7491),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7491),
    [anon_sym_BSLASHglsplural] = ACTIONS(7491),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7491),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7491),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHglsname] = ACTIONS(7491),
    [anon_sym_BSLASHGlsname] = ACTIONS(7491),
    [anon_sym_BSLASHGLSname] = ACTIONS(7491),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7491),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7491),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7491),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7491),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7491),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7491),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7491),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7491),
    [anon_sym_BSLASHacrshort] = ACTIONS(7491),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7491),
    [anon_sym_BSLASHACRshort] = ACTIONS(7491),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHacrlong] = ACTIONS(7491),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7491),
    [anon_sym_BSLASHACRlong] = ACTIONS(7491),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHacrfull] = ACTIONS(7491),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7491),
    [anon_sym_BSLASHACRfull] = ACTIONS(7491),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHacs] = ACTIONS(7491),
    [anon_sym_BSLASHAcs] = ACTIONS(7491),
    [anon_sym_BSLASHacsp] = ACTIONS(7491),
    [anon_sym_BSLASHAcsp] = ACTIONS(7491),
    [anon_sym_BSLASHacl] = ACTIONS(7491),
    [anon_sym_BSLASHAcl] = ACTIONS(7491),
    [anon_sym_BSLASHaclp] = ACTIONS(7491),
    [anon_sym_BSLASHAclp] = ACTIONS(7491),
    [anon_sym_BSLASHacf] = ACTIONS(7491),
    [anon_sym_BSLASHAcf] = ACTIONS(7491),
    [anon_sym_BSLASHacfp] = ACTIONS(7491),
    [anon_sym_BSLASHAcfp] = ACTIONS(7491),
    [anon_sym_BSLASHac] = ACTIONS(7491),
    [anon_sym_BSLASHAc] = ACTIONS(7491),
    [anon_sym_BSLASHacp] = ACTIONS(7491),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7491),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7491),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7491),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7491),
    [anon_sym_BSLASHcolor] = ACTIONS(7491),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7491),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7491),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7491),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7491),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7491),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7491),
    [anon_sym_BSLASHurl] = ACTIONS(7491),
    [anon_sym_BSLASHhref] = ACTIONS(7491),
  },
  [1896] = {
    [sym_command_name] = ACTIONS(7495),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7495),
    [anon_sym_LBRACK] = ACTIONS(7497),
    [anon_sym_RBRACK] = ACTIONS(7497),
    [anon_sym_COMMA] = ACTIONS(7497),
    [anon_sym_EQ] = ACTIONS(7497),
    [anon_sym_LPAREN] = ACTIONS(7497),
    [anon_sym_RPAREN] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7497),
    [sym_word] = ACTIONS(7495),
    [sym_placeholder] = ACTIONS(7497),
    [sym_delimiter] = ACTIONS(7497),
    [anon_sym_PLUS] = ACTIONS(7497),
    [anon_sym_DASH] = ACTIONS(7497),
    [anon_sym_STAR] = ACTIONS(7497),
    [anon_sym_SLASH] = ACTIONS(7497),
    [anon_sym_LT] = ACTIONS(7495),
    [anon_sym_GT] = ACTIONS(7495),
    [anon_sym_BANG] = ACTIONS(7495),
    [anon_sym_PIPE] = ACTIONS(7495),
    [anon_sym_COLON] = ACTIONS(7495),
    [anon_sym_SQUOTE] = ACTIONS(7495),
    [anon_sym__] = ACTIONS(7497),
    [anon_sym_CARET] = ACTIONS(7497),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7497),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7497),
    [anon_sym_DOLLAR] = ACTIONS(7495),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7497),
    [anon_sym_BSLASHleft] = ACTIONS(7495),
    [anon_sym_BSLASHbigl] = ACTIONS(7495),
    [anon_sym_BSLASHBigl] = ACTIONS(7495),
    [anon_sym_BSLASHbiggl] = ACTIONS(7495),
    [anon_sym_BSLASHBiggl] = ACTIONS(7495),
    [anon_sym_BSLASHtext] = ACTIONS(7495),
    [anon_sym_BSLASHintertext] = ACTIONS(7495),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7495),
    [anon_sym_BSLASHbegin] = ACTIONS(7495),
    [anon_sym_BSLASHtitle] = ACTIONS(7495),
    [anon_sym_BSLASHauthor] = ACTIONS(7495),
    [anon_sym_BSLASHusepackage] = ACTIONS(7495),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7495),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7495),
    [anon_sym_BSLASHinclude] = ACTIONS(7495),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7495),
    [anon_sym_BSLASHinput] = ACTIONS(7495),
    [anon_sym_BSLASHsubfile] = ACTIONS(7495),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7495),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7495),
    [anon_sym_BSLASHbibliography] = ACTIONS(7495),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7495),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7495),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7495),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7495),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7495),
    [anon_sym_BSLASHimport] = ACTIONS(7495),
    [anon_sym_BSLASHsubimport] = ACTIONS(7495),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7495),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7495),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7495),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7495),
    [anon_sym_BSLASHcaption] = ACTIONS(7495),
    [anon_sym_BSLASHcite] = ACTIONS(7495),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCite] = ACTIONS(7495),
    [anon_sym_BSLASHnocite] = ACTIONS(7495),
    [anon_sym_BSLASHcitet] = ACTIONS(7495),
    [anon_sym_BSLASHcitep] = ACTIONS(7495),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteA] = ACTIONS(7495),
    [anon_sym_BSLASHciteR] = ACTIONS(7495),
    [anon_sym_BSLASHciteS] = ACTIONS(7495),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7495),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7495),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7495),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7495),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteyear] = ACTIONS(7495),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitedate] = ACTIONS(7495),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteurl] = ACTIONS(7495),
    [anon_sym_BSLASHfullcite] = ACTIONS(7495),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7495),
    [anon_sym_BSLASHcitealt] = ACTIONS(7495),
    [anon_sym_BSLASHcitealp] = ACTIONS(7495),
    [anon_sym_BSLASHcitetext] = ACTIONS(7495),
    [anon_sym_BSLASHparencite] = ACTIONS(7495),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHParencite] = ACTIONS(7495),
    [anon_sym_BSLASHfootcite] = ACTIONS(7495),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7495),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7495),
    [anon_sym_BSLASHtextcite] = ACTIONS(7495),
    [anon_sym_BSLASHTextcite] = ACTIONS(7495),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7495),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7495),
    [anon_sym_BSLASHsupercite] = ACTIONS(7495),
    [anon_sym_BSLASHautocite] = ACTIONS(7495),
    [anon_sym_BSLASHAutocite] = ACTIONS(7495),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHVolcite] = ACTIONS(7495),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHavolcite] = ACTIONS(7495),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHNotecite] = ACTIONS(7495),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHlabel] = ACTIONS(7495),
    [anon_sym_BSLASHref] = ACTIONS(7495),
    [anon_sym_BSLASHeqref] = ACTIONS(7495),
    [anon_sym_BSLASHvref] = ACTIONS(7495),
    [anon_sym_BSLASHVref] = ACTIONS(7495),
    [anon_sym_BSLASHautoref] = ACTIONS(7495),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHpageref] = ACTIONS(7495),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHautopageref] = ACTIONS(7495),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcref] = ACTIONS(7495),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCref] = ACTIONS(7495),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcpageref] = ACTIONS(7495),
    [anon_sym_BSLASHCpageref] = ACTIONS(7495),
    [anon_sym_BSLASHnamecref] = ACTIONS(7495),
    [anon_sym_BSLASHnameCref] = ACTIONS(7495),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7495),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7495),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7495),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7495),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7495),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7495),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7495),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7495),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7495),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7495),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7495),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHdef] = ACTIONS(7495),
    [anon_sym_BSLASHgdef] = ACTIONS(7495),
    [anon_sym_BSLASHedef] = ACTIONS(7495),
    [anon_sym_BSLASHxdef] = ACTIONS(7495),
    [anon_sym_BSLASHlet] = ACTIONS(7495),
    [anon_sym_BSLASHglet] = ACTIONS(7495),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7495),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7495),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7495),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7495),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7495),
    [anon_sym_BSLASHgls] = ACTIONS(7495),
    [anon_sym_BSLASHGls] = ACTIONS(7495),
    [anon_sym_BSLASHGLS] = ACTIONS(7495),
    [anon_sym_BSLASHglspl] = ACTIONS(7495),
    [anon_sym_BSLASHGlspl] = ACTIONS(7495),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7495),
    [anon_sym_BSLASHglslink] = ACTIONS(7495),
    [anon_sym_BSLASHglstext] = ACTIONS(7495),
    [anon_sym_BSLASHGlstext] = ACTIONS(7495),
    [anon_sym_BSLASHGLStext] = ACTIONS(7495),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7495),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7495),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7495),
    [anon_sym_BSLASHglsplural] = ACTIONS(7495),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7495),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7495),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHglsname] = ACTIONS(7495),
    [anon_sym_BSLASHGlsname] = ACTIONS(7495),
    [anon_sym_BSLASHGLSname] = ACTIONS(7495),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7495),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7495),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7495),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7495),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7495),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7495),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7495),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7495),
    [anon_sym_BSLASHacrshort] = ACTIONS(7495),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7495),
    [anon_sym_BSLASHACRshort] = ACTIONS(7495),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHacrlong] = ACTIONS(7495),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7495),
    [anon_sym_BSLASHACRlong] = ACTIONS(7495),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHacrfull] = ACTIONS(7495),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7495),
    [anon_sym_BSLASHACRfull] = ACTIONS(7495),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHacs] = ACTIONS(7495),
    [anon_sym_BSLASHAcs] = ACTIONS(7495),
    [anon_sym_BSLASHacsp] = ACTIONS(7495),
    [anon_sym_BSLASHAcsp] = ACTIONS(7495),
    [anon_sym_BSLASHacl] = ACTIONS(7495),
    [anon_sym_BSLASHAcl] = ACTIONS(7495),
    [anon_sym_BSLASHaclp] = ACTIONS(7495),
    [anon_sym_BSLASHAclp] = ACTIONS(7495),
    [anon_sym_BSLASHacf] = ACTIONS(7495),
    [anon_sym_BSLASHAcf] = ACTIONS(7495),
    [anon_sym_BSLASHacfp] = ACTIONS(7495),
    [anon_sym_BSLASHAcfp] = ACTIONS(7495),
    [anon_sym_BSLASHac] = ACTIONS(7495),
    [anon_sym_BSLASHAc] = ACTIONS(7495),
    [anon_sym_BSLASHacp] = ACTIONS(7495),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7495),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7495),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7495),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7495),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7495),
    [anon_sym_BSLASHcolor] = ACTIONS(7495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7495),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7495),
    [anon_sym_BSLASHurl] = ACTIONS(7495),
    [anon_sym_BSLASHhref] = ACTIONS(7495),
  },
  [1897] = {
    [sym_command_name] = ACTIONS(7499),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7499),
    [anon_sym_LBRACK] = ACTIONS(7501),
    [anon_sym_RBRACK] = ACTIONS(7501),
    [anon_sym_COMMA] = ACTIONS(7501),
    [anon_sym_EQ] = ACTIONS(7501),
    [anon_sym_LPAREN] = ACTIONS(7501),
    [anon_sym_RPAREN] = ACTIONS(7501),
    [anon_sym_LBRACE] = ACTIONS(7501),
    [sym_word] = ACTIONS(7499),
    [sym_placeholder] = ACTIONS(7501),
    [sym_delimiter] = ACTIONS(7501),
    [anon_sym_PLUS] = ACTIONS(7501),
    [anon_sym_DASH] = ACTIONS(7501),
    [anon_sym_STAR] = ACTIONS(7501),
    [anon_sym_SLASH] = ACTIONS(7501),
    [anon_sym_LT] = ACTIONS(7499),
    [anon_sym_GT] = ACTIONS(7499),
    [anon_sym_BANG] = ACTIONS(7499),
    [anon_sym_PIPE] = ACTIONS(7499),
    [anon_sym_COLON] = ACTIONS(7499),
    [anon_sym_SQUOTE] = ACTIONS(7499),
    [anon_sym__] = ACTIONS(7501),
    [anon_sym_CARET] = ACTIONS(7501),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7501),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7501),
    [anon_sym_DOLLAR] = ACTIONS(7499),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7501),
    [anon_sym_BSLASHleft] = ACTIONS(7499),
    [anon_sym_BSLASHbigl] = ACTIONS(7499),
    [anon_sym_BSLASHBigl] = ACTIONS(7499),
    [anon_sym_BSLASHbiggl] = ACTIONS(7499),
    [anon_sym_BSLASHBiggl] = ACTIONS(7499),
    [anon_sym_BSLASHtext] = ACTIONS(7499),
    [anon_sym_BSLASHintertext] = ACTIONS(7499),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7499),
    [anon_sym_BSLASHbegin] = ACTIONS(7499),
    [anon_sym_BSLASHtitle] = ACTIONS(7499),
    [anon_sym_BSLASHauthor] = ACTIONS(7499),
    [anon_sym_BSLASHusepackage] = ACTIONS(7499),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7499),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7499),
    [anon_sym_BSLASHinclude] = ACTIONS(7499),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7499),
    [anon_sym_BSLASHinput] = ACTIONS(7499),
    [anon_sym_BSLASHsubfile] = ACTIONS(7499),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7499),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7499),
    [anon_sym_BSLASHbibliography] = ACTIONS(7499),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7499),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7499),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7499),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7499),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7499),
    [anon_sym_BSLASHimport] = ACTIONS(7499),
    [anon_sym_BSLASHsubimport] = ACTIONS(7499),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7499),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7499),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7499),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7499),
    [anon_sym_BSLASHcaption] = ACTIONS(7499),
    [anon_sym_BSLASHcite] = ACTIONS(7499),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCite] = ACTIONS(7499),
    [anon_sym_BSLASHnocite] = ACTIONS(7499),
    [anon_sym_BSLASHcitet] = ACTIONS(7499),
    [anon_sym_BSLASHcitep] = ACTIONS(7499),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteA] = ACTIONS(7499),
    [anon_sym_BSLASHciteR] = ACTIONS(7499),
    [anon_sym_BSLASHciteS] = ACTIONS(7499),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7499),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7499),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7499),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7499),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteyear] = ACTIONS(7499),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitedate] = ACTIONS(7499),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteurl] = ACTIONS(7499),
    [anon_sym_BSLASHfullcite] = ACTIONS(7499),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7499),
    [anon_sym_BSLASHcitealt] = ACTIONS(7499),
    [anon_sym_BSLASHcitealp] = ACTIONS(7499),
    [anon_sym_BSLASHcitetext] = ACTIONS(7499),
    [anon_sym_BSLASHparencite] = ACTIONS(7499),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHParencite] = ACTIONS(7499),
    [anon_sym_BSLASHfootcite] = ACTIONS(7499),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7499),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7499),
    [anon_sym_BSLASHtextcite] = ACTIONS(7499),
    [anon_sym_BSLASHTextcite] = ACTIONS(7499),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7499),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7499),
    [anon_sym_BSLASHsupercite] = ACTIONS(7499),
    [anon_sym_BSLASHautocite] = ACTIONS(7499),
    [anon_sym_BSLASHAutocite] = ACTIONS(7499),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHVolcite] = ACTIONS(7499),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHavolcite] = ACTIONS(7499),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHNotecite] = ACTIONS(7499),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHlabel] = ACTIONS(7499),
    [anon_sym_BSLASHref] = ACTIONS(7499),
    [anon_sym_BSLASHeqref] = ACTIONS(7499),
    [anon_sym_BSLASHvref] = ACTIONS(7499),
    [anon_sym_BSLASHVref] = ACTIONS(7499),
    [anon_sym_BSLASHautoref] = ACTIONS(7499),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHpageref] = ACTIONS(7499),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHautopageref] = ACTIONS(7499),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcref] = ACTIONS(7499),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCref] = ACTIONS(7499),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcpageref] = ACTIONS(7499),
    [anon_sym_BSLASHCpageref] = ACTIONS(7499),
    [anon_sym_BSLASHnamecref] = ACTIONS(7499),
    [anon_sym_BSLASHnameCref] = ACTIONS(7499),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7499),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7499),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7499),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7499),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7499),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7499),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7499),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7499),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7499),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7499),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7499),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHdef] = ACTIONS(7499),
    [anon_sym_BSLASHgdef] = ACTIONS(7499),
    [anon_sym_BSLASHedef] = ACTIONS(7499),
    [anon_sym_BSLASHxdef] = ACTIONS(7499),
    [anon_sym_BSLASHlet] = ACTIONS(7499),
    [anon_sym_BSLASHglet] = ACTIONS(7499),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7499),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7499),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7499),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7499),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7499),
    [anon_sym_BSLASHgls] = ACTIONS(7499),
    [anon_sym_BSLASHGls] = ACTIONS(7499),
    [anon_sym_BSLASHGLS] = ACTIONS(7499),
    [anon_sym_BSLASHglspl] = ACTIONS(7499),
    [anon_sym_BSLASHGlspl] = ACTIONS(7499),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7499),
    [anon_sym_BSLASHglslink] = ACTIONS(7499),
    [anon_sym_BSLASHglstext] = ACTIONS(7499),
    [anon_sym_BSLASHGlstext] = ACTIONS(7499),
    [anon_sym_BSLASHGLStext] = ACTIONS(7499),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7499),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7499),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7499),
    [anon_sym_BSLASHglsplural] = ACTIONS(7499),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7499),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7499),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHglsname] = ACTIONS(7499),
    [anon_sym_BSLASHGlsname] = ACTIONS(7499),
    [anon_sym_BSLASHGLSname] = ACTIONS(7499),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7499),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7499),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7499),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7499),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7499),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7499),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7499),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7499),
    [anon_sym_BSLASHacrshort] = ACTIONS(7499),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7499),
    [anon_sym_BSLASHACRshort] = ACTIONS(7499),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHacrlong] = ACTIONS(7499),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7499),
    [anon_sym_BSLASHACRlong] = ACTIONS(7499),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHacrfull] = ACTIONS(7499),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7499),
    [anon_sym_BSLASHACRfull] = ACTIONS(7499),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHacs] = ACTIONS(7499),
    [anon_sym_BSLASHAcs] = ACTIONS(7499),
    [anon_sym_BSLASHacsp] = ACTIONS(7499),
    [anon_sym_BSLASHAcsp] = ACTIONS(7499),
    [anon_sym_BSLASHacl] = ACTIONS(7499),
    [anon_sym_BSLASHAcl] = ACTIONS(7499),
    [anon_sym_BSLASHaclp] = ACTIONS(7499),
    [anon_sym_BSLASHAclp] = ACTIONS(7499),
    [anon_sym_BSLASHacf] = ACTIONS(7499),
    [anon_sym_BSLASHAcf] = ACTIONS(7499),
    [anon_sym_BSLASHacfp] = ACTIONS(7499),
    [anon_sym_BSLASHAcfp] = ACTIONS(7499),
    [anon_sym_BSLASHac] = ACTIONS(7499),
    [anon_sym_BSLASHAc] = ACTIONS(7499),
    [anon_sym_BSLASHacp] = ACTIONS(7499),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7499),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7499),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7499),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7499),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7499),
    [anon_sym_BSLASHcolor] = ACTIONS(7499),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7499),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7499),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7499),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7499),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7499),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7499),
    [anon_sym_BSLASHurl] = ACTIONS(7499),
    [anon_sym_BSLASHhref] = ACTIONS(7499),
  },
  [1898] = {
    [sym_command_name] = ACTIONS(7503),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7503),
    [anon_sym_LBRACK] = ACTIONS(7505),
    [anon_sym_RBRACK] = ACTIONS(7505),
    [anon_sym_COMMA] = ACTIONS(7505),
    [anon_sym_EQ] = ACTIONS(7505),
    [anon_sym_LPAREN] = ACTIONS(7505),
    [anon_sym_RPAREN] = ACTIONS(7505),
    [anon_sym_LBRACE] = ACTIONS(7505),
    [sym_word] = ACTIONS(7503),
    [sym_placeholder] = ACTIONS(7505),
    [sym_delimiter] = ACTIONS(7505),
    [anon_sym_PLUS] = ACTIONS(7505),
    [anon_sym_DASH] = ACTIONS(7505),
    [anon_sym_STAR] = ACTIONS(7505),
    [anon_sym_SLASH] = ACTIONS(7505),
    [anon_sym_LT] = ACTIONS(7503),
    [anon_sym_GT] = ACTIONS(7503),
    [anon_sym_BANG] = ACTIONS(7503),
    [anon_sym_PIPE] = ACTIONS(7503),
    [anon_sym_COLON] = ACTIONS(7503),
    [anon_sym_SQUOTE] = ACTIONS(7503),
    [anon_sym__] = ACTIONS(7505),
    [anon_sym_CARET] = ACTIONS(7505),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7505),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7505),
    [anon_sym_DOLLAR] = ACTIONS(7503),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7505),
    [anon_sym_BSLASHleft] = ACTIONS(7503),
    [anon_sym_BSLASHbigl] = ACTIONS(7503),
    [anon_sym_BSLASHBigl] = ACTIONS(7503),
    [anon_sym_BSLASHbiggl] = ACTIONS(7503),
    [anon_sym_BSLASHBiggl] = ACTIONS(7503),
    [anon_sym_BSLASHtext] = ACTIONS(7503),
    [anon_sym_BSLASHintertext] = ACTIONS(7503),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7503),
    [anon_sym_BSLASHbegin] = ACTIONS(7503),
    [anon_sym_BSLASHtitle] = ACTIONS(7503),
    [anon_sym_BSLASHauthor] = ACTIONS(7503),
    [anon_sym_BSLASHusepackage] = ACTIONS(7503),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7503),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7503),
    [anon_sym_BSLASHinclude] = ACTIONS(7503),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7503),
    [anon_sym_BSLASHinput] = ACTIONS(7503),
    [anon_sym_BSLASHsubfile] = ACTIONS(7503),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7503),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7503),
    [anon_sym_BSLASHbibliography] = ACTIONS(7503),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7503),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7503),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7503),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7503),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7503),
    [anon_sym_BSLASHimport] = ACTIONS(7503),
    [anon_sym_BSLASHsubimport] = ACTIONS(7503),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7503),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7503),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7503),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7503),
    [anon_sym_BSLASHcaption] = ACTIONS(7503),
    [anon_sym_BSLASHcite] = ACTIONS(7503),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCite] = ACTIONS(7503),
    [anon_sym_BSLASHnocite] = ACTIONS(7503),
    [anon_sym_BSLASHcitet] = ACTIONS(7503),
    [anon_sym_BSLASHcitep] = ACTIONS(7503),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteA] = ACTIONS(7503),
    [anon_sym_BSLASHciteR] = ACTIONS(7503),
    [anon_sym_BSLASHciteS] = ACTIONS(7503),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7503),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7503),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7503),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7503),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteyear] = ACTIONS(7503),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitedate] = ACTIONS(7503),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteurl] = ACTIONS(7503),
    [anon_sym_BSLASHfullcite] = ACTIONS(7503),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7503),
    [anon_sym_BSLASHcitealt] = ACTIONS(7503),
    [anon_sym_BSLASHcitealp] = ACTIONS(7503),
    [anon_sym_BSLASHcitetext] = ACTIONS(7503),
    [anon_sym_BSLASHparencite] = ACTIONS(7503),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHParencite] = ACTIONS(7503),
    [anon_sym_BSLASHfootcite] = ACTIONS(7503),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7503),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7503),
    [anon_sym_BSLASHtextcite] = ACTIONS(7503),
    [anon_sym_BSLASHTextcite] = ACTIONS(7503),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7503),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7503),
    [anon_sym_BSLASHsupercite] = ACTIONS(7503),
    [anon_sym_BSLASHautocite] = ACTIONS(7503),
    [anon_sym_BSLASHAutocite] = ACTIONS(7503),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHVolcite] = ACTIONS(7503),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHavolcite] = ACTIONS(7503),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHNotecite] = ACTIONS(7503),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHlabel] = ACTIONS(7503),
    [anon_sym_BSLASHref] = ACTIONS(7503),
    [anon_sym_BSLASHeqref] = ACTIONS(7503),
    [anon_sym_BSLASHvref] = ACTIONS(7503),
    [anon_sym_BSLASHVref] = ACTIONS(7503),
    [anon_sym_BSLASHautoref] = ACTIONS(7503),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHpageref] = ACTIONS(7503),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHautopageref] = ACTIONS(7503),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcref] = ACTIONS(7503),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCref] = ACTIONS(7503),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcpageref] = ACTIONS(7503),
    [anon_sym_BSLASHCpageref] = ACTIONS(7503),
    [anon_sym_BSLASHnamecref] = ACTIONS(7503),
    [anon_sym_BSLASHnameCref] = ACTIONS(7503),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7503),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7503),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7503),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7503),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7503),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7503),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7503),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7503),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7503),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7503),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7503),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHdef] = ACTIONS(7503),
    [anon_sym_BSLASHgdef] = ACTIONS(7503),
    [anon_sym_BSLASHedef] = ACTIONS(7503),
    [anon_sym_BSLASHxdef] = ACTIONS(7503),
    [anon_sym_BSLASHlet] = ACTIONS(7503),
    [anon_sym_BSLASHglet] = ACTIONS(7503),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7503),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7503),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7503),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7503),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7503),
    [anon_sym_BSLASHgls] = ACTIONS(7503),
    [anon_sym_BSLASHGls] = ACTIONS(7503),
    [anon_sym_BSLASHGLS] = ACTIONS(7503),
    [anon_sym_BSLASHglspl] = ACTIONS(7503),
    [anon_sym_BSLASHGlspl] = ACTIONS(7503),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7503),
    [anon_sym_BSLASHglslink] = ACTIONS(7503),
    [anon_sym_BSLASHglstext] = ACTIONS(7503),
    [anon_sym_BSLASHGlstext] = ACTIONS(7503),
    [anon_sym_BSLASHGLStext] = ACTIONS(7503),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7503),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7503),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7503),
    [anon_sym_BSLASHglsplural] = ACTIONS(7503),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7503),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7503),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHglsname] = ACTIONS(7503),
    [anon_sym_BSLASHGlsname] = ACTIONS(7503),
    [anon_sym_BSLASHGLSname] = ACTIONS(7503),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7503),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7503),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7503),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7503),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7503),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7503),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7503),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7503),
    [anon_sym_BSLASHacrshort] = ACTIONS(7503),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7503),
    [anon_sym_BSLASHACRshort] = ACTIONS(7503),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHacrlong] = ACTIONS(7503),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7503),
    [anon_sym_BSLASHACRlong] = ACTIONS(7503),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHacrfull] = ACTIONS(7503),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7503),
    [anon_sym_BSLASHACRfull] = ACTIONS(7503),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHacs] = ACTIONS(7503),
    [anon_sym_BSLASHAcs] = ACTIONS(7503),
    [anon_sym_BSLASHacsp] = ACTIONS(7503),
    [anon_sym_BSLASHAcsp] = ACTIONS(7503),
    [anon_sym_BSLASHacl] = ACTIONS(7503),
    [anon_sym_BSLASHAcl] = ACTIONS(7503),
    [anon_sym_BSLASHaclp] = ACTIONS(7503),
    [anon_sym_BSLASHAclp] = ACTIONS(7503),
    [anon_sym_BSLASHacf] = ACTIONS(7503),
    [anon_sym_BSLASHAcf] = ACTIONS(7503),
    [anon_sym_BSLASHacfp] = ACTIONS(7503),
    [anon_sym_BSLASHAcfp] = ACTIONS(7503),
    [anon_sym_BSLASHac] = ACTIONS(7503),
    [anon_sym_BSLASHAc] = ACTIONS(7503),
    [anon_sym_BSLASHacp] = ACTIONS(7503),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7503),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7503),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7503),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7503),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7503),
    [anon_sym_BSLASHcolor] = ACTIONS(7503),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7503),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7503),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7503),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7503),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7503),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7503),
    [anon_sym_BSLASHurl] = ACTIONS(7503),
    [anon_sym_BSLASHhref] = ACTIONS(7503),
  },
  [1899] = {
    [sym_command_name] = ACTIONS(7507),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7507),
    [anon_sym_LBRACK] = ACTIONS(7509),
    [anon_sym_RBRACK] = ACTIONS(7509),
    [anon_sym_COMMA] = ACTIONS(7509),
    [anon_sym_EQ] = ACTIONS(7509),
    [anon_sym_LPAREN] = ACTIONS(7509),
    [anon_sym_RPAREN] = ACTIONS(7509),
    [anon_sym_LBRACE] = ACTIONS(7509),
    [sym_word] = ACTIONS(7507),
    [sym_placeholder] = ACTIONS(7509),
    [sym_delimiter] = ACTIONS(7509),
    [anon_sym_PLUS] = ACTIONS(7509),
    [anon_sym_DASH] = ACTIONS(7509),
    [anon_sym_STAR] = ACTIONS(7509),
    [anon_sym_SLASH] = ACTIONS(7509),
    [anon_sym_LT] = ACTIONS(7507),
    [anon_sym_GT] = ACTIONS(7507),
    [anon_sym_BANG] = ACTIONS(7507),
    [anon_sym_PIPE] = ACTIONS(7507),
    [anon_sym_COLON] = ACTIONS(7507),
    [anon_sym_SQUOTE] = ACTIONS(7507),
    [anon_sym__] = ACTIONS(7509),
    [anon_sym_CARET] = ACTIONS(7509),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7509),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7509),
    [anon_sym_DOLLAR] = ACTIONS(7507),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7509),
    [anon_sym_BSLASHleft] = ACTIONS(7507),
    [anon_sym_BSLASHbigl] = ACTIONS(7507),
    [anon_sym_BSLASHBigl] = ACTIONS(7507),
    [anon_sym_BSLASHbiggl] = ACTIONS(7507),
    [anon_sym_BSLASHBiggl] = ACTIONS(7507),
    [anon_sym_BSLASHtext] = ACTIONS(7507),
    [anon_sym_BSLASHintertext] = ACTIONS(7507),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7507),
    [anon_sym_BSLASHbegin] = ACTIONS(7507),
    [anon_sym_BSLASHtitle] = ACTIONS(7507),
    [anon_sym_BSLASHauthor] = ACTIONS(7507),
    [anon_sym_BSLASHusepackage] = ACTIONS(7507),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7507),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7507),
    [anon_sym_BSLASHinclude] = ACTIONS(7507),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7507),
    [anon_sym_BSLASHinput] = ACTIONS(7507),
    [anon_sym_BSLASHsubfile] = ACTIONS(7507),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7507),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7507),
    [anon_sym_BSLASHbibliography] = ACTIONS(7507),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7507),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7507),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7507),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7507),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7507),
    [anon_sym_BSLASHimport] = ACTIONS(7507),
    [anon_sym_BSLASHsubimport] = ACTIONS(7507),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7507),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7507),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7507),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7507),
    [anon_sym_BSLASHcaption] = ACTIONS(7507),
    [anon_sym_BSLASHcite] = ACTIONS(7507),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCite] = ACTIONS(7507),
    [anon_sym_BSLASHnocite] = ACTIONS(7507),
    [anon_sym_BSLASHcitet] = ACTIONS(7507),
    [anon_sym_BSLASHcitep] = ACTIONS(7507),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteA] = ACTIONS(7507),
    [anon_sym_BSLASHciteR] = ACTIONS(7507),
    [anon_sym_BSLASHciteS] = ACTIONS(7507),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7507),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7507),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7507),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7507),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteyear] = ACTIONS(7507),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitedate] = ACTIONS(7507),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteurl] = ACTIONS(7507),
    [anon_sym_BSLASHfullcite] = ACTIONS(7507),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7507),
    [anon_sym_BSLASHcitealt] = ACTIONS(7507),
    [anon_sym_BSLASHcitealp] = ACTIONS(7507),
    [anon_sym_BSLASHcitetext] = ACTIONS(7507),
    [anon_sym_BSLASHparencite] = ACTIONS(7507),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHParencite] = ACTIONS(7507),
    [anon_sym_BSLASHfootcite] = ACTIONS(7507),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7507),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7507),
    [anon_sym_BSLASHtextcite] = ACTIONS(7507),
    [anon_sym_BSLASHTextcite] = ACTIONS(7507),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7507),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7507),
    [anon_sym_BSLASHsupercite] = ACTIONS(7507),
    [anon_sym_BSLASHautocite] = ACTIONS(7507),
    [anon_sym_BSLASHAutocite] = ACTIONS(7507),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHVolcite] = ACTIONS(7507),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHavolcite] = ACTIONS(7507),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHNotecite] = ACTIONS(7507),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHlabel] = ACTIONS(7507),
    [anon_sym_BSLASHref] = ACTIONS(7507),
    [anon_sym_BSLASHeqref] = ACTIONS(7507),
    [anon_sym_BSLASHvref] = ACTIONS(7507),
    [anon_sym_BSLASHVref] = ACTIONS(7507),
    [anon_sym_BSLASHautoref] = ACTIONS(7507),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHpageref] = ACTIONS(7507),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHautopageref] = ACTIONS(7507),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcref] = ACTIONS(7507),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCref] = ACTIONS(7507),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcpageref] = ACTIONS(7507),
    [anon_sym_BSLASHCpageref] = ACTIONS(7507),
    [anon_sym_BSLASHnamecref] = ACTIONS(7507),
    [anon_sym_BSLASHnameCref] = ACTIONS(7507),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7507),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7507),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7507),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7507),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7507),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7507),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7507),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7507),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7507),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7507),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7507),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHdef] = ACTIONS(7507),
    [anon_sym_BSLASHgdef] = ACTIONS(7507),
    [anon_sym_BSLASHedef] = ACTIONS(7507),
    [anon_sym_BSLASHxdef] = ACTIONS(7507),
    [anon_sym_BSLASHlet] = ACTIONS(7507),
    [anon_sym_BSLASHglet] = ACTIONS(7507),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7507),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7507),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7507),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7507),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7507),
    [anon_sym_BSLASHgls] = ACTIONS(7507),
    [anon_sym_BSLASHGls] = ACTIONS(7507),
    [anon_sym_BSLASHGLS] = ACTIONS(7507),
    [anon_sym_BSLASHglspl] = ACTIONS(7507),
    [anon_sym_BSLASHGlspl] = ACTIONS(7507),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7507),
    [anon_sym_BSLASHglslink] = ACTIONS(7507),
    [anon_sym_BSLASHglstext] = ACTIONS(7507),
    [anon_sym_BSLASHGlstext] = ACTIONS(7507),
    [anon_sym_BSLASHGLStext] = ACTIONS(7507),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7507),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7507),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7507),
    [anon_sym_BSLASHglsplural] = ACTIONS(7507),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7507),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7507),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHglsname] = ACTIONS(7507),
    [anon_sym_BSLASHGlsname] = ACTIONS(7507),
    [anon_sym_BSLASHGLSname] = ACTIONS(7507),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7507),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7507),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7507),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7507),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7507),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7507),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7507),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7507),
    [anon_sym_BSLASHacrshort] = ACTIONS(7507),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7507),
    [anon_sym_BSLASHACRshort] = ACTIONS(7507),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHacrlong] = ACTIONS(7507),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7507),
    [anon_sym_BSLASHACRlong] = ACTIONS(7507),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHacrfull] = ACTIONS(7507),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7507),
    [anon_sym_BSLASHACRfull] = ACTIONS(7507),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHacs] = ACTIONS(7507),
    [anon_sym_BSLASHAcs] = ACTIONS(7507),
    [anon_sym_BSLASHacsp] = ACTIONS(7507),
    [anon_sym_BSLASHAcsp] = ACTIONS(7507),
    [anon_sym_BSLASHacl] = ACTIONS(7507),
    [anon_sym_BSLASHAcl] = ACTIONS(7507),
    [anon_sym_BSLASHaclp] = ACTIONS(7507),
    [anon_sym_BSLASHAclp] = ACTIONS(7507),
    [anon_sym_BSLASHacf] = ACTIONS(7507),
    [anon_sym_BSLASHAcf] = ACTIONS(7507),
    [anon_sym_BSLASHacfp] = ACTIONS(7507),
    [anon_sym_BSLASHAcfp] = ACTIONS(7507),
    [anon_sym_BSLASHac] = ACTIONS(7507),
    [anon_sym_BSLASHAc] = ACTIONS(7507),
    [anon_sym_BSLASHacp] = ACTIONS(7507),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7507),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7507),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7507),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7507),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7507),
    [anon_sym_BSLASHcolor] = ACTIONS(7507),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7507),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7507),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7507),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7507),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7507),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7507),
    [anon_sym_BSLASHurl] = ACTIONS(7507),
    [anon_sym_BSLASHhref] = ACTIONS(7507),
  },
  [1900] = {
    [sym_command_name] = ACTIONS(7511),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(7513),
    [anon_sym_RBRACK] = ACTIONS(7513),
    [anon_sym_COMMA] = ACTIONS(7513),
    [anon_sym_EQ] = ACTIONS(7513),
    [anon_sym_LPAREN] = ACTIONS(7513),
    [anon_sym_RPAREN] = ACTIONS(7513),
    [anon_sym_LBRACE] = ACTIONS(7513),
    [sym_word] = ACTIONS(7511),
    [sym_placeholder] = ACTIONS(7513),
    [sym_delimiter] = ACTIONS(7513),
    [anon_sym_PLUS] = ACTIONS(7513),
    [anon_sym_DASH] = ACTIONS(7513),
    [anon_sym_STAR] = ACTIONS(7513),
    [anon_sym_SLASH] = ACTIONS(7513),
    [anon_sym_LT] = ACTIONS(7511),
    [anon_sym_GT] = ACTIONS(7511),
    [anon_sym_BANG] = ACTIONS(7511),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_COLON] = ACTIONS(7511),
    [anon_sym_SQUOTE] = ACTIONS(7511),
    [anon_sym__] = ACTIONS(7513),
    [anon_sym_CARET] = ACTIONS(7513),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7513),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7513),
    [anon_sym_DOLLAR] = ACTIONS(7511),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7513),
    [anon_sym_BSLASHleft] = ACTIONS(7511),
    [anon_sym_BSLASHbigl] = ACTIONS(7511),
    [anon_sym_BSLASHBigl] = ACTIONS(7511),
    [anon_sym_BSLASHbiggl] = ACTIONS(7511),
    [anon_sym_BSLASHBiggl] = ACTIONS(7511),
    [anon_sym_BSLASHtext] = ACTIONS(7511),
    [anon_sym_BSLASHintertext] = ACTIONS(7511),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7511),
    [anon_sym_BSLASHbegin] = ACTIONS(7511),
    [anon_sym_BSLASHtitle] = ACTIONS(7511),
    [anon_sym_BSLASHauthor] = ACTIONS(7511),
    [anon_sym_BSLASHusepackage] = ACTIONS(7511),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7511),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7511),
    [anon_sym_BSLASHinclude] = ACTIONS(7511),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7511),
    [anon_sym_BSLASHinput] = ACTIONS(7511),
    [anon_sym_BSLASHsubfile] = ACTIONS(7511),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7511),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7511),
    [anon_sym_BSLASHbibliography] = ACTIONS(7511),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7511),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7511),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7511),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7511),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7511),
    [anon_sym_BSLASHimport] = ACTIONS(7511),
    [anon_sym_BSLASHsubimport] = ACTIONS(7511),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7511),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7511),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7511),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7511),
    [anon_sym_BSLASHcaption] = ACTIONS(7511),
    [anon_sym_BSLASHcite] = ACTIONS(7511),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCite] = ACTIONS(7511),
    [anon_sym_BSLASHnocite] = ACTIONS(7511),
    [anon_sym_BSLASHcitet] = ACTIONS(7511),
    [anon_sym_BSLASHcitep] = ACTIONS(7511),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteA] = ACTIONS(7511),
    [anon_sym_BSLASHciteR] = ACTIONS(7511),
    [anon_sym_BSLASHciteS] = ACTIONS(7511),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7511),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7511),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7511),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7511),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteyear] = ACTIONS(7511),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitedate] = ACTIONS(7511),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteurl] = ACTIONS(7511),
    [anon_sym_BSLASHfullcite] = ACTIONS(7511),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7511),
    [anon_sym_BSLASHcitealt] = ACTIONS(7511),
    [anon_sym_BSLASHcitealp] = ACTIONS(7511),
    [anon_sym_BSLASHcitetext] = ACTIONS(7511),
    [anon_sym_BSLASHparencite] = ACTIONS(7511),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHParencite] = ACTIONS(7511),
    [anon_sym_BSLASHfootcite] = ACTIONS(7511),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7511),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7511),
    [anon_sym_BSLASHtextcite] = ACTIONS(7511),
    [anon_sym_BSLASHTextcite] = ACTIONS(7511),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7511),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7511),
    [anon_sym_BSLASHsupercite] = ACTIONS(7511),
    [anon_sym_BSLASHautocite] = ACTIONS(7511),
    [anon_sym_BSLASHAutocite] = ACTIONS(7511),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHVolcite] = ACTIONS(7511),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHavolcite] = ACTIONS(7511),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHNotecite] = ACTIONS(7511),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHlabel] = ACTIONS(7511),
    [anon_sym_BSLASHref] = ACTIONS(7511),
    [anon_sym_BSLASHeqref] = ACTIONS(7511),
    [anon_sym_BSLASHvref] = ACTIONS(7511),
    [anon_sym_BSLASHVref] = ACTIONS(7511),
    [anon_sym_BSLASHautoref] = ACTIONS(7511),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHpageref] = ACTIONS(7511),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHautopageref] = ACTIONS(7511),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcref] = ACTIONS(7511),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCref] = ACTIONS(7511),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcpageref] = ACTIONS(7511),
    [anon_sym_BSLASHCpageref] = ACTIONS(7511),
    [anon_sym_BSLASHnamecref] = ACTIONS(7511),
    [anon_sym_BSLASHnameCref] = ACTIONS(7511),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7511),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7511),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7511),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7511),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7511),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7511),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7511),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7511),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7511),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7511),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7511),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHdef] = ACTIONS(7511),
    [anon_sym_BSLASHgdef] = ACTIONS(7511),
    [anon_sym_BSLASHedef] = ACTIONS(7511),
    [anon_sym_BSLASHxdef] = ACTIONS(7511),
    [anon_sym_BSLASHlet] = ACTIONS(7511),
    [anon_sym_BSLASHglet] = ACTIONS(7511),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7511),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7511),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7511),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7511),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7511),
    [anon_sym_BSLASHgls] = ACTIONS(7511),
    [anon_sym_BSLASHGls] = ACTIONS(7511),
    [anon_sym_BSLASHGLS] = ACTIONS(7511),
    [anon_sym_BSLASHglspl] = ACTIONS(7511),
    [anon_sym_BSLASHGlspl] = ACTIONS(7511),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7511),
    [anon_sym_BSLASHglslink] = ACTIONS(7511),
    [anon_sym_BSLASHglstext] = ACTIONS(7511),
    [anon_sym_BSLASHGlstext] = ACTIONS(7511),
    [anon_sym_BSLASHGLStext] = ACTIONS(7511),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7511),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7511),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7511),
    [anon_sym_BSLASHglsplural] = ACTIONS(7511),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7511),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7511),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHglsname] = ACTIONS(7511),
    [anon_sym_BSLASHGlsname] = ACTIONS(7511),
    [anon_sym_BSLASHGLSname] = ACTIONS(7511),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7511),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7511),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7511),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7511),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7511),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7511),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7511),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7511),
    [anon_sym_BSLASHacrshort] = ACTIONS(7511),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7511),
    [anon_sym_BSLASHACRshort] = ACTIONS(7511),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHacrlong] = ACTIONS(7511),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7511),
    [anon_sym_BSLASHACRlong] = ACTIONS(7511),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHacrfull] = ACTIONS(7511),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7511),
    [anon_sym_BSLASHACRfull] = ACTIONS(7511),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHacs] = ACTIONS(7511),
    [anon_sym_BSLASHAcs] = ACTIONS(7511),
    [anon_sym_BSLASHacsp] = ACTIONS(7511),
    [anon_sym_BSLASHAcsp] = ACTIONS(7511),
    [anon_sym_BSLASHacl] = ACTIONS(7511),
    [anon_sym_BSLASHAcl] = ACTIONS(7511),
    [anon_sym_BSLASHaclp] = ACTIONS(7511),
    [anon_sym_BSLASHAclp] = ACTIONS(7511),
    [anon_sym_BSLASHacf] = ACTIONS(7511),
    [anon_sym_BSLASHAcf] = ACTIONS(7511),
    [anon_sym_BSLASHacfp] = ACTIONS(7511),
    [anon_sym_BSLASHAcfp] = ACTIONS(7511),
    [anon_sym_BSLASHac] = ACTIONS(7511),
    [anon_sym_BSLASHAc] = ACTIONS(7511),
    [anon_sym_BSLASHacp] = ACTIONS(7511),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7511),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7511),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7511),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7511),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7511),
    [anon_sym_BSLASHcolor] = ACTIONS(7511),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7511),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7511),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7511),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7511),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7511),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7511),
    [anon_sym_BSLASHurl] = ACTIONS(7511),
    [anon_sym_BSLASHhref] = ACTIONS(7511),
  },
  [1901] = {
    [sym_command_name] = ACTIONS(7515),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7515),
    [anon_sym_LBRACK] = ACTIONS(7517),
    [anon_sym_RBRACK] = ACTIONS(7517),
    [anon_sym_COMMA] = ACTIONS(7517),
    [anon_sym_EQ] = ACTIONS(7517),
    [anon_sym_LPAREN] = ACTIONS(7517),
    [anon_sym_RPAREN] = ACTIONS(7517),
    [anon_sym_LBRACE] = ACTIONS(7517),
    [sym_word] = ACTIONS(7515),
    [sym_placeholder] = ACTIONS(7517),
    [sym_delimiter] = ACTIONS(7517),
    [anon_sym_PLUS] = ACTIONS(7517),
    [anon_sym_DASH] = ACTIONS(7517),
    [anon_sym_STAR] = ACTIONS(7517),
    [anon_sym_SLASH] = ACTIONS(7517),
    [anon_sym_LT] = ACTIONS(7515),
    [anon_sym_GT] = ACTIONS(7515),
    [anon_sym_BANG] = ACTIONS(7515),
    [anon_sym_PIPE] = ACTIONS(7515),
    [anon_sym_COLON] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7515),
    [anon_sym__] = ACTIONS(7517),
    [anon_sym_CARET] = ACTIONS(7517),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7517),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7517),
    [anon_sym_DOLLAR] = ACTIONS(7515),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7517),
    [anon_sym_BSLASHleft] = ACTIONS(7515),
    [anon_sym_BSLASHbigl] = ACTIONS(7515),
    [anon_sym_BSLASHBigl] = ACTIONS(7515),
    [anon_sym_BSLASHbiggl] = ACTIONS(7515),
    [anon_sym_BSLASHBiggl] = ACTIONS(7515),
    [anon_sym_BSLASHtext] = ACTIONS(7515),
    [anon_sym_BSLASHintertext] = ACTIONS(7515),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7515),
    [anon_sym_BSLASHbegin] = ACTIONS(7515),
    [anon_sym_BSLASHtitle] = ACTIONS(7515),
    [anon_sym_BSLASHauthor] = ACTIONS(7515),
    [anon_sym_BSLASHusepackage] = ACTIONS(7515),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7515),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7515),
    [anon_sym_BSLASHinclude] = ACTIONS(7515),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7515),
    [anon_sym_BSLASHinput] = ACTIONS(7515),
    [anon_sym_BSLASHsubfile] = ACTIONS(7515),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7515),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7515),
    [anon_sym_BSLASHbibliography] = ACTIONS(7515),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7515),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7515),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7515),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7515),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7515),
    [anon_sym_BSLASHimport] = ACTIONS(7515),
    [anon_sym_BSLASHsubimport] = ACTIONS(7515),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7515),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7515),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7515),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7515),
    [anon_sym_BSLASHcaption] = ACTIONS(7515),
    [anon_sym_BSLASHcite] = ACTIONS(7515),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCite] = ACTIONS(7515),
    [anon_sym_BSLASHnocite] = ACTIONS(7515),
    [anon_sym_BSLASHcitet] = ACTIONS(7515),
    [anon_sym_BSLASHcitep] = ACTIONS(7515),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteA] = ACTIONS(7515),
    [anon_sym_BSLASHciteR] = ACTIONS(7515),
    [anon_sym_BSLASHciteS] = ACTIONS(7515),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7515),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7515),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7515),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7515),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteyear] = ACTIONS(7515),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitedate] = ACTIONS(7515),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteurl] = ACTIONS(7515),
    [anon_sym_BSLASHfullcite] = ACTIONS(7515),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7515),
    [anon_sym_BSLASHcitealt] = ACTIONS(7515),
    [anon_sym_BSLASHcitealp] = ACTIONS(7515),
    [anon_sym_BSLASHcitetext] = ACTIONS(7515),
    [anon_sym_BSLASHparencite] = ACTIONS(7515),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHParencite] = ACTIONS(7515),
    [anon_sym_BSLASHfootcite] = ACTIONS(7515),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7515),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7515),
    [anon_sym_BSLASHtextcite] = ACTIONS(7515),
    [anon_sym_BSLASHTextcite] = ACTIONS(7515),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7515),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7515),
    [anon_sym_BSLASHsupercite] = ACTIONS(7515),
    [anon_sym_BSLASHautocite] = ACTIONS(7515),
    [anon_sym_BSLASHAutocite] = ACTIONS(7515),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHVolcite] = ACTIONS(7515),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHavolcite] = ACTIONS(7515),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHNotecite] = ACTIONS(7515),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHlabel] = ACTIONS(7515),
    [anon_sym_BSLASHref] = ACTIONS(7515),
    [anon_sym_BSLASHeqref] = ACTIONS(7515),
    [anon_sym_BSLASHvref] = ACTIONS(7515),
    [anon_sym_BSLASHVref] = ACTIONS(7515),
    [anon_sym_BSLASHautoref] = ACTIONS(7515),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHpageref] = ACTIONS(7515),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHautopageref] = ACTIONS(7515),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcref] = ACTIONS(7515),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCref] = ACTIONS(7515),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcpageref] = ACTIONS(7515),
    [anon_sym_BSLASHCpageref] = ACTIONS(7515),
    [anon_sym_BSLASHnamecref] = ACTIONS(7515),
    [anon_sym_BSLASHnameCref] = ACTIONS(7515),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7515),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7515),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7515),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7515),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7515),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7515),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7515),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7515),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7515),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7515),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7515),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHdef] = ACTIONS(7515),
    [anon_sym_BSLASHgdef] = ACTIONS(7515),
    [anon_sym_BSLASHedef] = ACTIONS(7515),
    [anon_sym_BSLASHxdef] = ACTIONS(7515),
    [anon_sym_BSLASHlet] = ACTIONS(7515),
    [anon_sym_BSLASHglet] = ACTIONS(7515),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7515),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7515),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7515),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7515),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7515),
    [anon_sym_BSLASHgls] = ACTIONS(7515),
    [anon_sym_BSLASHGls] = ACTIONS(7515),
    [anon_sym_BSLASHGLS] = ACTIONS(7515),
    [anon_sym_BSLASHglspl] = ACTIONS(7515),
    [anon_sym_BSLASHGlspl] = ACTIONS(7515),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7515),
    [anon_sym_BSLASHglslink] = ACTIONS(7515),
    [anon_sym_BSLASHglstext] = ACTIONS(7515),
    [anon_sym_BSLASHGlstext] = ACTIONS(7515),
    [anon_sym_BSLASHGLStext] = ACTIONS(7515),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7515),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7515),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7515),
    [anon_sym_BSLASHglsplural] = ACTIONS(7515),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7515),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7515),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHglsname] = ACTIONS(7515),
    [anon_sym_BSLASHGlsname] = ACTIONS(7515),
    [anon_sym_BSLASHGLSname] = ACTIONS(7515),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7515),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7515),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7515),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7515),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7515),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7515),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7515),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7515),
    [anon_sym_BSLASHacrshort] = ACTIONS(7515),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7515),
    [anon_sym_BSLASHACRshort] = ACTIONS(7515),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHacrlong] = ACTIONS(7515),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7515),
    [anon_sym_BSLASHACRlong] = ACTIONS(7515),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHacrfull] = ACTIONS(7515),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7515),
    [anon_sym_BSLASHACRfull] = ACTIONS(7515),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHacs] = ACTIONS(7515),
    [anon_sym_BSLASHAcs] = ACTIONS(7515),
    [anon_sym_BSLASHacsp] = ACTIONS(7515),
    [anon_sym_BSLASHAcsp] = ACTIONS(7515),
    [anon_sym_BSLASHacl] = ACTIONS(7515),
    [anon_sym_BSLASHAcl] = ACTIONS(7515),
    [anon_sym_BSLASHaclp] = ACTIONS(7515),
    [anon_sym_BSLASHAclp] = ACTIONS(7515),
    [anon_sym_BSLASHacf] = ACTIONS(7515),
    [anon_sym_BSLASHAcf] = ACTIONS(7515),
    [anon_sym_BSLASHacfp] = ACTIONS(7515),
    [anon_sym_BSLASHAcfp] = ACTIONS(7515),
    [anon_sym_BSLASHac] = ACTIONS(7515),
    [anon_sym_BSLASHAc] = ACTIONS(7515),
    [anon_sym_BSLASHacp] = ACTIONS(7515),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7515),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7515),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7515),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7515),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7515),
    [anon_sym_BSLASHcolor] = ACTIONS(7515),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7515),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7515),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7515),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7515),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7515),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7515),
    [anon_sym_BSLASHurl] = ACTIONS(7515),
    [anon_sym_BSLASHhref] = ACTIONS(7515),
  },
  [1902] = {
    [sym_command_name] = ACTIONS(7519),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7519),
    [anon_sym_LBRACK] = ACTIONS(7521),
    [anon_sym_RBRACK] = ACTIONS(7521),
    [anon_sym_COMMA] = ACTIONS(7521),
    [anon_sym_EQ] = ACTIONS(7521),
    [anon_sym_LPAREN] = ACTIONS(7521),
    [anon_sym_RPAREN] = ACTIONS(7521),
    [anon_sym_LBRACE] = ACTIONS(7521),
    [sym_word] = ACTIONS(7519),
    [sym_placeholder] = ACTIONS(7521),
    [sym_delimiter] = ACTIONS(7521),
    [anon_sym_PLUS] = ACTIONS(7521),
    [anon_sym_DASH] = ACTIONS(7521),
    [anon_sym_STAR] = ACTIONS(7521),
    [anon_sym_SLASH] = ACTIONS(7521),
    [anon_sym_LT] = ACTIONS(7519),
    [anon_sym_GT] = ACTIONS(7519),
    [anon_sym_BANG] = ACTIONS(7519),
    [anon_sym_PIPE] = ACTIONS(7519),
    [anon_sym_COLON] = ACTIONS(7519),
    [anon_sym_SQUOTE] = ACTIONS(7519),
    [anon_sym__] = ACTIONS(7521),
    [anon_sym_CARET] = ACTIONS(7521),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7521),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7521),
    [anon_sym_DOLLAR] = ACTIONS(7519),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7521),
    [anon_sym_BSLASHleft] = ACTIONS(7519),
    [anon_sym_BSLASHbigl] = ACTIONS(7519),
    [anon_sym_BSLASHBigl] = ACTIONS(7519),
    [anon_sym_BSLASHbiggl] = ACTIONS(7519),
    [anon_sym_BSLASHBiggl] = ACTIONS(7519),
    [anon_sym_BSLASHtext] = ACTIONS(7519),
    [anon_sym_BSLASHintertext] = ACTIONS(7519),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7519),
    [anon_sym_BSLASHbegin] = ACTIONS(7519),
    [anon_sym_BSLASHtitle] = ACTIONS(7519),
    [anon_sym_BSLASHauthor] = ACTIONS(7519),
    [anon_sym_BSLASHusepackage] = ACTIONS(7519),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7519),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7519),
    [anon_sym_BSLASHinclude] = ACTIONS(7519),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7519),
    [anon_sym_BSLASHinput] = ACTIONS(7519),
    [anon_sym_BSLASHsubfile] = ACTIONS(7519),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7519),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7519),
    [anon_sym_BSLASHbibliography] = ACTIONS(7519),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7519),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7519),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7519),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7519),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7519),
    [anon_sym_BSLASHimport] = ACTIONS(7519),
    [anon_sym_BSLASHsubimport] = ACTIONS(7519),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7519),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7519),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7519),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7519),
    [anon_sym_BSLASHcaption] = ACTIONS(7519),
    [anon_sym_BSLASHcite] = ACTIONS(7519),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCite] = ACTIONS(7519),
    [anon_sym_BSLASHnocite] = ACTIONS(7519),
    [anon_sym_BSLASHcitet] = ACTIONS(7519),
    [anon_sym_BSLASHcitep] = ACTIONS(7519),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteA] = ACTIONS(7519),
    [anon_sym_BSLASHciteR] = ACTIONS(7519),
    [anon_sym_BSLASHciteS] = ACTIONS(7519),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7519),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7519),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7519),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7519),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteyear] = ACTIONS(7519),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitedate] = ACTIONS(7519),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteurl] = ACTIONS(7519),
    [anon_sym_BSLASHfullcite] = ACTIONS(7519),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7519),
    [anon_sym_BSLASHcitealt] = ACTIONS(7519),
    [anon_sym_BSLASHcitealp] = ACTIONS(7519),
    [anon_sym_BSLASHcitetext] = ACTIONS(7519),
    [anon_sym_BSLASHparencite] = ACTIONS(7519),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHParencite] = ACTIONS(7519),
    [anon_sym_BSLASHfootcite] = ACTIONS(7519),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7519),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7519),
    [anon_sym_BSLASHtextcite] = ACTIONS(7519),
    [anon_sym_BSLASHTextcite] = ACTIONS(7519),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7519),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7519),
    [anon_sym_BSLASHsupercite] = ACTIONS(7519),
    [anon_sym_BSLASHautocite] = ACTIONS(7519),
    [anon_sym_BSLASHAutocite] = ACTIONS(7519),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHVolcite] = ACTIONS(7519),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHavolcite] = ACTIONS(7519),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHNotecite] = ACTIONS(7519),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHlabel] = ACTIONS(7519),
    [anon_sym_BSLASHref] = ACTIONS(7519),
    [anon_sym_BSLASHeqref] = ACTIONS(7519),
    [anon_sym_BSLASHvref] = ACTIONS(7519),
    [anon_sym_BSLASHVref] = ACTIONS(7519),
    [anon_sym_BSLASHautoref] = ACTIONS(7519),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHpageref] = ACTIONS(7519),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHautopageref] = ACTIONS(7519),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcref] = ACTIONS(7519),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCref] = ACTIONS(7519),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcpageref] = ACTIONS(7519),
    [anon_sym_BSLASHCpageref] = ACTIONS(7519),
    [anon_sym_BSLASHnamecref] = ACTIONS(7519),
    [anon_sym_BSLASHnameCref] = ACTIONS(7519),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7519),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7519),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7519),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7519),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7519),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7519),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7519),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7519),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7519),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7519),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7519),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHdef] = ACTIONS(7519),
    [anon_sym_BSLASHgdef] = ACTIONS(7519),
    [anon_sym_BSLASHedef] = ACTIONS(7519),
    [anon_sym_BSLASHxdef] = ACTIONS(7519),
    [anon_sym_BSLASHlet] = ACTIONS(7519),
    [anon_sym_BSLASHglet] = ACTIONS(7519),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7519),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7519),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7519),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7519),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7519),
    [anon_sym_BSLASHgls] = ACTIONS(7519),
    [anon_sym_BSLASHGls] = ACTIONS(7519),
    [anon_sym_BSLASHGLS] = ACTIONS(7519),
    [anon_sym_BSLASHglspl] = ACTIONS(7519),
    [anon_sym_BSLASHGlspl] = ACTIONS(7519),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7519),
    [anon_sym_BSLASHglslink] = ACTIONS(7519),
    [anon_sym_BSLASHglstext] = ACTIONS(7519),
    [anon_sym_BSLASHGlstext] = ACTIONS(7519),
    [anon_sym_BSLASHGLStext] = ACTIONS(7519),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7519),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7519),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7519),
    [anon_sym_BSLASHglsplural] = ACTIONS(7519),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7519),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7519),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHglsname] = ACTIONS(7519),
    [anon_sym_BSLASHGlsname] = ACTIONS(7519),
    [anon_sym_BSLASHGLSname] = ACTIONS(7519),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7519),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7519),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7519),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7519),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7519),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7519),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7519),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7519),
    [anon_sym_BSLASHacrshort] = ACTIONS(7519),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7519),
    [anon_sym_BSLASHACRshort] = ACTIONS(7519),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHacrlong] = ACTIONS(7519),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7519),
    [anon_sym_BSLASHACRlong] = ACTIONS(7519),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHacrfull] = ACTIONS(7519),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7519),
    [anon_sym_BSLASHACRfull] = ACTIONS(7519),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHacs] = ACTIONS(7519),
    [anon_sym_BSLASHAcs] = ACTIONS(7519),
    [anon_sym_BSLASHacsp] = ACTIONS(7519),
    [anon_sym_BSLASHAcsp] = ACTIONS(7519),
    [anon_sym_BSLASHacl] = ACTIONS(7519),
    [anon_sym_BSLASHAcl] = ACTIONS(7519),
    [anon_sym_BSLASHaclp] = ACTIONS(7519),
    [anon_sym_BSLASHAclp] = ACTIONS(7519),
    [anon_sym_BSLASHacf] = ACTIONS(7519),
    [anon_sym_BSLASHAcf] = ACTIONS(7519),
    [anon_sym_BSLASHacfp] = ACTIONS(7519),
    [anon_sym_BSLASHAcfp] = ACTIONS(7519),
    [anon_sym_BSLASHac] = ACTIONS(7519),
    [anon_sym_BSLASHAc] = ACTIONS(7519),
    [anon_sym_BSLASHacp] = ACTIONS(7519),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7519),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7519),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7519),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7519),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7519),
    [anon_sym_BSLASHcolor] = ACTIONS(7519),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7519),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7519),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7519),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7519),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7519),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7519),
    [anon_sym_BSLASHurl] = ACTIONS(7519),
    [anon_sym_BSLASHhref] = ACTIONS(7519),
  },
  [1903] = {
    [sym_command_name] = ACTIONS(7523),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7523),
    [anon_sym_LBRACK] = ACTIONS(7525),
    [anon_sym_RBRACK] = ACTIONS(7525),
    [anon_sym_COMMA] = ACTIONS(7525),
    [anon_sym_EQ] = ACTIONS(7525),
    [anon_sym_LPAREN] = ACTIONS(7525),
    [anon_sym_RPAREN] = ACTIONS(7525),
    [anon_sym_LBRACE] = ACTIONS(7525),
    [sym_word] = ACTIONS(7523),
    [sym_placeholder] = ACTIONS(7525),
    [sym_delimiter] = ACTIONS(7525),
    [anon_sym_PLUS] = ACTIONS(7525),
    [anon_sym_DASH] = ACTIONS(7525),
    [anon_sym_STAR] = ACTIONS(7525),
    [anon_sym_SLASH] = ACTIONS(7525),
    [anon_sym_LT] = ACTIONS(7523),
    [anon_sym_GT] = ACTIONS(7523),
    [anon_sym_BANG] = ACTIONS(7523),
    [anon_sym_PIPE] = ACTIONS(7523),
    [anon_sym_COLON] = ACTIONS(7523),
    [anon_sym_SQUOTE] = ACTIONS(7523),
    [anon_sym__] = ACTIONS(7525),
    [anon_sym_CARET] = ACTIONS(7525),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7525),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7525),
    [anon_sym_DOLLAR] = ACTIONS(7523),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7525),
    [anon_sym_BSLASHleft] = ACTIONS(7523),
    [anon_sym_BSLASHbigl] = ACTIONS(7523),
    [anon_sym_BSLASHBigl] = ACTIONS(7523),
    [anon_sym_BSLASHbiggl] = ACTIONS(7523),
    [anon_sym_BSLASHBiggl] = ACTIONS(7523),
    [anon_sym_BSLASHtext] = ACTIONS(7523),
    [anon_sym_BSLASHintertext] = ACTIONS(7523),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7523),
    [anon_sym_BSLASHbegin] = ACTIONS(7523),
    [anon_sym_BSLASHtitle] = ACTIONS(7523),
    [anon_sym_BSLASHauthor] = ACTIONS(7523),
    [anon_sym_BSLASHusepackage] = ACTIONS(7523),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7523),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7523),
    [anon_sym_BSLASHinclude] = ACTIONS(7523),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7523),
    [anon_sym_BSLASHinput] = ACTIONS(7523),
    [anon_sym_BSLASHsubfile] = ACTIONS(7523),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7523),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7523),
    [anon_sym_BSLASHbibliography] = ACTIONS(7523),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7523),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7523),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7523),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7523),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7523),
    [anon_sym_BSLASHimport] = ACTIONS(7523),
    [anon_sym_BSLASHsubimport] = ACTIONS(7523),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7523),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7523),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7523),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7523),
    [anon_sym_BSLASHcaption] = ACTIONS(7523),
    [anon_sym_BSLASHcite] = ACTIONS(7523),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCite] = ACTIONS(7523),
    [anon_sym_BSLASHnocite] = ACTIONS(7523),
    [anon_sym_BSLASHcitet] = ACTIONS(7523),
    [anon_sym_BSLASHcitep] = ACTIONS(7523),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteA] = ACTIONS(7523),
    [anon_sym_BSLASHciteR] = ACTIONS(7523),
    [anon_sym_BSLASHciteS] = ACTIONS(7523),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7523),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7523),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7523),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7523),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteyear] = ACTIONS(7523),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitedate] = ACTIONS(7523),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteurl] = ACTIONS(7523),
    [anon_sym_BSLASHfullcite] = ACTIONS(7523),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7523),
    [anon_sym_BSLASHcitealt] = ACTIONS(7523),
    [anon_sym_BSLASHcitealp] = ACTIONS(7523),
    [anon_sym_BSLASHcitetext] = ACTIONS(7523),
    [anon_sym_BSLASHparencite] = ACTIONS(7523),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHParencite] = ACTIONS(7523),
    [anon_sym_BSLASHfootcite] = ACTIONS(7523),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7523),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7523),
    [anon_sym_BSLASHtextcite] = ACTIONS(7523),
    [anon_sym_BSLASHTextcite] = ACTIONS(7523),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7523),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7523),
    [anon_sym_BSLASHsupercite] = ACTIONS(7523),
    [anon_sym_BSLASHautocite] = ACTIONS(7523),
    [anon_sym_BSLASHAutocite] = ACTIONS(7523),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHVolcite] = ACTIONS(7523),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHavolcite] = ACTIONS(7523),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHNotecite] = ACTIONS(7523),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHlabel] = ACTIONS(7523),
    [anon_sym_BSLASHref] = ACTIONS(7523),
    [anon_sym_BSLASHeqref] = ACTIONS(7523),
    [anon_sym_BSLASHvref] = ACTIONS(7523),
    [anon_sym_BSLASHVref] = ACTIONS(7523),
    [anon_sym_BSLASHautoref] = ACTIONS(7523),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHpageref] = ACTIONS(7523),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHautopageref] = ACTIONS(7523),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcref] = ACTIONS(7523),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCref] = ACTIONS(7523),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcpageref] = ACTIONS(7523),
    [anon_sym_BSLASHCpageref] = ACTIONS(7523),
    [anon_sym_BSLASHnamecref] = ACTIONS(7523),
    [anon_sym_BSLASHnameCref] = ACTIONS(7523),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7523),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7523),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7523),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7523),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7523),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7523),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7523),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7523),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7523),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7523),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7523),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHdef] = ACTIONS(7523),
    [anon_sym_BSLASHgdef] = ACTIONS(7523),
    [anon_sym_BSLASHedef] = ACTIONS(7523),
    [anon_sym_BSLASHxdef] = ACTIONS(7523),
    [anon_sym_BSLASHlet] = ACTIONS(7523),
    [anon_sym_BSLASHglet] = ACTIONS(7523),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7523),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7523),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7523),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7523),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7523),
    [anon_sym_BSLASHgls] = ACTIONS(7523),
    [anon_sym_BSLASHGls] = ACTIONS(7523),
    [anon_sym_BSLASHGLS] = ACTIONS(7523),
    [anon_sym_BSLASHglspl] = ACTIONS(7523),
    [anon_sym_BSLASHGlspl] = ACTIONS(7523),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7523),
    [anon_sym_BSLASHglslink] = ACTIONS(7523),
    [anon_sym_BSLASHglstext] = ACTIONS(7523),
    [anon_sym_BSLASHGlstext] = ACTIONS(7523),
    [anon_sym_BSLASHGLStext] = ACTIONS(7523),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7523),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7523),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7523),
    [anon_sym_BSLASHglsplural] = ACTIONS(7523),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7523),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7523),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHglsname] = ACTIONS(7523),
    [anon_sym_BSLASHGlsname] = ACTIONS(7523),
    [anon_sym_BSLASHGLSname] = ACTIONS(7523),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7523),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7523),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7523),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7523),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7523),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7523),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7523),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7523),
    [anon_sym_BSLASHacrshort] = ACTIONS(7523),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7523),
    [anon_sym_BSLASHACRshort] = ACTIONS(7523),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHacrlong] = ACTIONS(7523),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7523),
    [anon_sym_BSLASHACRlong] = ACTIONS(7523),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHacrfull] = ACTIONS(7523),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7523),
    [anon_sym_BSLASHACRfull] = ACTIONS(7523),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHacs] = ACTIONS(7523),
    [anon_sym_BSLASHAcs] = ACTIONS(7523),
    [anon_sym_BSLASHacsp] = ACTIONS(7523),
    [anon_sym_BSLASHAcsp] = ACTIONS(7523),
    [anon_sym_BSLASHacl] = ACTIONS(7523),
    [anon_sym_BSLASHAcl] = ACTIONS(7523),
    [anon_sym_BSLASHaclp] = ACTIONS(7523),
    [anon_sym_BSLASHAclp] = ACTIONS(7523),
    [anon_sym_BSLASHacf] = ACTIONS(7523),
    [anon_sym_BSLASHAcf] = ACTIONS(7523),
    [anon_sym_BSLASHacfp] = ACTIONS(7523),
    [anon_sym_BSLASHAcfp] = ACTIONS(7523),
    [anon_sym_BSLASHac] = ACTIONS(7523),
    [anon_sym_BSLASHAc] = ACTIONS(7523),
    [anon_sym_BSLASHacp] = ACTIONS(7523),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7523),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7523),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7523),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7523),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7523),
    [anon_sym_BSLASHcolor] = ACTIONS(7523),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7523),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7523),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7523),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7523),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7523),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7523),
    [anon_sym_BSLASHurl] = ACTIONS(7523),
    [anon_sym_BSLASHhref] = ACTIONS(7523),
  },
  [1904] = {
    [sym_command_name] = ACTIONS(7527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7527),
    [anon_sym_LBRACK] = ACTIONS(7529),
    [anon_sym_RBRACK] = ACTIONS(7529),
    [anon_sym_COMMA] = ACTIONS(7529),
    [anon_sym_EQ] = ACTIONS(7529),
    [anon_sym_LPAREN] = ACTIONS(7529),
    [anon_sym_RPAREN] = ACTIONS(7529),
    [anon_sym_LBRACE] = ACTIONS(7529),
    [sym_word] = ACTIONS(7527),
    [sym_placeholder] = ACTIONS(7529),
    [sym_delimiter] = ACTIONS(7529),
    [anon_sym_PLUS] = ACTIONS(7529),
    [anon_sym_DASH] = ACTIONS(7529),
    [anon_sym_STAR] = ACTIONS(7529),
    [anon_sym_SLASH] = ACTIONS(7529),
    [anon_sym_LT] = ACTIONS(7527),
    [anon_sym_GT] = ACTIONS(7527),
    [anon_sym_BANG] = ACTIONS(7527),
    [anon_sym_PIPE] = ACTIONS(7527),
    [anon_sym_COLON] = ACTIONS(7527),
    [anon_sym_SQUOTE] = ACTIONS(7527),
    [anon_sym__] = ACTIONS(7529),
    [anon_sym_CARET] = ACTIONS(7529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7529),
    [anon_sym_DOLLAR] = ACTIONS(7527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7529),
    [anon_sym_BSLASHleft] = ACTIONS(7527),
    [anon_sym_BSLASHbigl] = ACTIONS(7527),
    [anon_sym_BSLASHBigl] = ACTIONS(7527),
    [anon_sym_BSLASHbiggl] = ACTIONS(7527),
    [anon_sym_BSLASHBiggl] = ACTIONS(7527),
    [anon_sym_BSLASHtext] = ACTIONS(7527),
    [anon_sym_BSLASHintertext] = ACTIONS(7527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7527),
    [anon_sym_BSLASHbegin] = ACTIONS(7527),
    [anon_sym_BSLASHtitle] = ACTIONS(7527),
    [anon_sym_BSLASHauthor] = ACTIONS(7527),
    [anon_sym_BSLASHusepackage] = ACTIONS(7527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7527),
    [anon_sym_BSLASHinclude] = ACTIONS(7527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7527),
    [anon_sym_BSLASHinput] = ACTIONS(7527),
    [anon_sym_BSLASHsubfile] = ACTIONS(7527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7527),
    [anon_sym_BSLASHbibliography] = ACTIONS(7527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7527),
    [anon_sym_BSLASHimport] = ACTIONS(7527),
    [anon_sym_BSLASHsubimport] = ACTIONS(7527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7527),
    [anon_sym_BSLASHcaption] = ACTIONS(7527),
    [anon_sym_BSLASHcite] = ACTIONS(7527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCite] = ACTIONS(7527),
    [anon_sym_BSLASHnocite] = ACTIONS(7527),
    [anon_sym_BSLASHcitet] = ACTIONS(7527),
    [anon_sym_BSLASHcitep] = ACTIONS(7527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteA] = ACTIONS(7527),
    [anon_sym_BSLASHciteR] = ACTIONS(7527),
    [anon_sym_BSLASHciteS] = ACTIONS(7527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteyear] = ACTIONS(7527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitedate] = ACTIONS(7527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteurl] = ACTIONS(7527),
    [anon_sym_BSLASHfullcite] = ACTIONS(7527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7527),
    [anon_sym_BSLASHcitealt] = ACTIONS(7527),
    [anon_sym_BSLASHcitealp] = ACTIONS(7527),
    [anon_sym_BSLASHcitetext] = ACTIONS(7527),
    [anon_sym_BSLASHparencite] = ACTIONS(7527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHParencite] = ACTIONS(7527),
    [anon_sym_BSLASHfootcite] = ACTIONS(7527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7527),
    [anon_sym_BSLASHtextcite] = ACTIONS(7527),
    [anon_sym_BSLASHTextcite] = ACTIONS(7527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7527),
    [anon_sym_BSLASHsupercite] = ACTIONS(7527),
    [anon_sym_BSLASHautocite] = ACTIONS(7527),
    [anon_sym_BSLASHAutocite] = ACTIONS(7527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHVolcite] = ACTIONS(7527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHavolcite] = ACTIONS(7527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHNotecite] = ACTIONS(7527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHlabel] = ACTIONS(7527),
    [anon_sym_BSLASHref] = ACTIONS(7527),
    [anon_sym_BSLASHeqref] = ACTIONS(7527),
    [anon_sym_BSLASHvref] = ACTIONS(7527),
    [anon_sym_BSLASHVref] = ACTIONS(7527),
    [anon_sym_BSLASHautoref] = ACTIONS(7527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHpageref] = ACTIONS(7527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHautopageref] = ACTIONS(7527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcref] = ACTIONS(7527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCref] = ACTIONS(7527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcpageref] = ACTIONS(7527),
    [anon_sym_BSLASHCpageref] = ACTIONS(7527),
    [anon_sym_BSLASHnamecref] = ACTIONS(7527),
    [anon_sym_BSLASHnameCref] = ACTIONS(7527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHdef] = ACTIONS(7527),
    [anon_sym_BSLASHgdef] = ACTIONS(7527),
    [anon_sym_BSLASHedef] = ACTIONS(7527),
    [anon_sym_BSLASHxdef] = ACTIONS(7527),
    [anon_sym_BSLASHlet] = ACTIONS(7527),
    [anon_sym_BSLASHglet] = ACTIONS(7527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7527),
    [anon_sym_BSLASHgls] = ACTIONS(7527),
    [anon_sym_BSLASHGls] = ACTIONS(7527),
    [anon_sym_BSLASHGLS] = ACTIONS(7527),
    [anon_sym_BSLASHglspl] = ACTIONS(7527),
    [anon_sym_BSLASHGlspl] = ACTIONS(7527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7527),
    [anon_sym_BSLASHglslink] = ACTIONS(7527),
    [anon_sym_BSLASHglstext] = ACTIONS(7527),
    [anon_sym_BSLASHGlstext] = ACTIONS(7527),
    [anon_sym_BSLASHGLStext] = ACTIONS(7527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7527),
    [anon_sym_BSLASHglsplural] = ACTIONS(7527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHglsname] = ACTIONS(7527),
    [anon_sym_BSLASHGlsname] = ACTIONS(7527),
    [anon_sym_BSLASHGLSname] = ACTIONS(7527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7527),
    [anon_sym_BSLASHacrshort] = ACTIONS(7527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7527),
    [anon_sym_BSLASHACRshort] = ACTIONS(7527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHacrlong] = ACTIONS(7527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7527),
    [anon_sym_BSLASHACRlong] = ACTIONS(7527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHacrfull] = ACTIONS(7527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7527),
    [anon_sym_BSLASHACRfull] = ACTIONS(7527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHacs] = ACTIONS(7527),
    [anon_sym_BSLASHAcs] = ACTIONS(7527),
    [anon_sym_BSLASHacsp] = ACTIONS(7527),
    [anon_sym_BSLASHAcsp] = ACTIONS(7527),
    [anon_sym_BSLASHacl] = ACTIONS(7527),
    [anon_sym_BSLASHAcl] = ACTIONS(7527),
    [anon_sym_BSLASHaclp] = ACTIONS(7527),
    [anon_sym_BSLASHAclp] = ACTIONS(7527),
    [anon_sym_BSLASHacf] = ACTIONS(7527),
    [anon_sym_BSLASHAcf] = ACTIONS(7527),
    [anon_sym_BSLASHacfp] = ACTIONS(7527),
    [anon_sym_BSLASHAcfp] = ACTIONS(7527),
    [anon_sym_BSLASHac] = ACTIONS(7527),
    [anon_sym_BSLASHAc] = ACTIONS(7527),
    [anon_sym_BSLASHacp] = ACTIONS(7527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7527),
    [anon_sym_BSLASHcolor] = ACTIONS(7527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7527),
    [anon_sym_BSLASHurl] = ACTIONS(7527),
    [anon_sym_BSLASHhref] = ACTIONS(7527),
  },
  [1905] = {
    [sym_command_name] = ACTIONS(7143),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7143),
    [anon_sym_LBRACK] = ACTIONS(7145),
    [anon_sym_RBRACK] = ACTIONS(7145),
    [anon_sym_COMMA] = ACTIONS(7145),
    [anon_sym_EQ] = ACTIONS(7145),
    [anon_sym_LPAREN] = ACTIONS(7145),
    [anon_sym_RPAREN] = ACTIONS(7145),
    [anon_sym_LBRACE] = ACTIONS(7145),
    [sym_word] = ACTIONS(7143),
    [sym_placeholder] = ACTIONS(7145),
    [sym_delimiter] = ACTIONS(7145),
    [anon_sym_PLUS] = ACTIONS(7145),
    [anon_sym_DASH] = ACTIONS(7145),
    [anon_sym_STAR] = ACTIONS(7145),
    [anon_sym_SLASH] = ACTIONS(7145),
    [anon_sym_LT] = ACTIONS(7143),
    [anon_sym_GT] = ACTIONS(7143),
    [anon_sym_BANG] = ACTIONS(7143),
    [anon_sym_PIPE] = ACTIONS(7143),
    [anon_sym_COLON] = ACTIONS(7143),
    [anon_sym_SQUOTE] = ACTIONS(7143),
    [anon_sym__] = ACTIONS(7145),
    [anon_sym_CARET] = ACTIONS(7145),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7145),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7145),
    [anon_sym_DOLLAR] = ACTIONS(7143),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7145),
    [anon_sym_BSLASHleft] = ACTIONS(7143),
    [anon_sym_BSLASHbigl] = ACTIONS(7143),
    [anon_sym_BSLASHBigl] = ACTIONS(7143),
    [anon_sym_BSLASHbiggl] = ACTIONS(7143),
    [anon_sym_BSLASHBiggl] = ACTIONS(7143),
    [anon_sym_BSLASHtext] = ACTIONS(7143),
    [anon_sym_BSLASHintertext] = ACTIONS(7143),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7143),
    [anon_sym_BSLASHbegin] = ACTIONS(7143),
    [anon_sym_BSLASHtitle] = ACTIONS(7143),
    [anon_sym_BSLASHauthor] = ACTIONS(7143),
    [anon_sym_BSLASHusepackage] = ACTIONS(7143),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7143),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7143),
    [anon_sym_BSLASHinclude] = ACTIONS(7143),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7143),
    [anon_sym_BSLASHinput] = ACTIONS(7143),
    [anon_sym_BSLASHsubfile] = ACTIONS(7143),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7143),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7143),
    [anon_sym_BSLASHbibliography] = ACTIONS(7143),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7143),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7143),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7143),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7143),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7143),
    [anon_sym_BSLASHimport] = ACTIONS(7143),
    [anon_sym_BSLASHsubimport] = ACTIONS(7143),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7143),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7143),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7143),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7143),
    [anon_sym_BSLASHcaption] = ACTIONS(7143),
    [anon_sym_BSLASHcite] = ACTIONS(7143),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHCite] = ACTIONS(7143),
    [anon_sym_BSLASHnocite] = ACTIONS(7143),
    [anon_sym_BSLASHcitet] = ACTIONS(7143),
    [anon_sym_BSLASHcitep] = ACTIONS(7143),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHciteA] = ACTIONS(7143),
    [anon_sym_BSLASHciteR] = ACTIONS(7143),
    [anon_sym_BSLASHciteS] = ACTIONS(7143),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7143),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7143),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7143),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7143),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHciteyear] = ACTIONS(7143),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcitedate] = ACTIONS(7143),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHciteurl] = ACTIONS(7143),
    [anon_sym_BSLASHfullcite] = ACTIONS(7143),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7143),
    [anon_sym_BSLASHcitealt] = ACTIONS(7143),
    [anon_sym_BSLASHcitealp] = ACTIONS(7143),
    [anon_sym_BSLASHcitetext] = ACTIONS(7143),
    [anon_sym_BSLASHparencite] = ACTIONS(7143),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHParencite] = ACTIONS(7143),
    [anon_sym_BSLASHfootcite] = ACTIONS(7143),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7143),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7143),
    [anon_sym_BSLASHtextcite] = ACTIONS(7143),
    [anon_sym_BSLASHTextcite] = ACTIONS(7143),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7143),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7143),
    [anon_sym_BSLASHsupercite] = ACTIONS(7143),
    [anon_sym_BSLASHautocite] = ACTIONS(7143),
    [anon_sym_BSLASHAutocite] = ACTIONS(7143),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHVolcite] = ACTIONS(7143),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHavolcite] = ACTIONS(7143),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7143),
    [anon_sym_BSLASHnotecite] = ACTIONS(7143),
    [anon_sym_BSLASHNotecite] = ACTIONS(7143),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7143),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7143),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7143),
    [anon_sym_BSLASHlabel] = ACTIONS(7143),
    [anon_sym_BSLASHref] = ACTIONS(7143),
    [anon_sym_BSLASHeqref] = ACTIONS(7143),
    [anon_sym_BSLASHvref] = ACTIONS(7143),
    [anon_sym_BSLASHVref] = ACTIONS(7143),
    [anon_sym_BSLASHautoref] = ACTIONS(7143),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHpageref] = ACTIONS(7143),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHautopageref] = ACTIONS(7143),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcref] = ACTIONS(7143),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHCref] = ACTIONS(7143),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcpageref] = ACTIONS(7143),
    [anon_sym_BSLASHCpageref] = ACTIONS(7143),
    [anon_sym_BSLASHnamecref] = ACTIONS(7143),
    [anon_sym_BSLASHnameCref] = ACTIONS(7143),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7143),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7143),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7143),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7143),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7143),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7143),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7143),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7143),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7143),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7143),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7143),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7143),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7143),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7143),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7143),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7143),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7143),
    [anon_sym_BSLASHdef] = ACTIONS(7143),
    [anon_sym_BSLASHgdef] = ACTIONS(7143),
    [anon_sym_BSLASHedef] = ACTIONS(7143),
    [anon_sym_BSLASHxdef] = ACTIONS(7143),
    [anon_sym_BSLASHlet] = ACTIONS(7143),
    [anon_sym_BSLASHglet] = ACTIONS(7143),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7143),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7143),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7143),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7143),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7143),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7143),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7143),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7143),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7143),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7143),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7143),
    [anon_sym_BSLASHgls] = ACTIONS(7143),
    [anon_sym_BSLASHGls] = ACTIONS(7143),
    [anon_sym_BSLASHGLS] = ACTIONS(7143),
    [anon_sym_BSLASHglspl] = ACTIONS(7143),
    [anon_sym_BSLASHGlspl] = ACTIONS(7143),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7143),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7143),
    [anon_sym_BSLASHglslink] = ACTIONS(7143),
    [anon_sym_BSLASHglstext] = ACTIONS(7143),
    [anon_sym_BSLASHGlstext] = ACTIONS(7143),
    [anon_sym_BSLASHGLStext] = ACTIONS(7143),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7143),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7143),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7143),
    [anon_sym_BSLASHglsplural] = ACTIONS(7143),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7143),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7143),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7143),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7143),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7143),
    [anon_sym_BSLASHglsname] = ACTIONS(7143),
    [anon_sym_BSLASHGlsname] = ACTIONS(7143),
    [anon_sym_BSLASHGLSname] = ACTIONS(7143),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7143),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7143),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7143),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7143),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7143),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7143),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7143),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7143),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7143),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7143),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7143),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7143),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7143),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7143),
    [anon_sym_BSLASHacrshort] = ACTIONS(7143),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7143),
    [anon_sym_BSLASHACRshort] = ACTIONS(7143),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHacrlong] = ACTIONS(7143),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7143),
    [anon_sym_BSLASHACRlong] = ACTIONS(7143),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7143),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7143),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7143),
    [anon_sym_BSLASHacrfull] = ACTIONS(7143),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7143),
    [anon_sym_BSLASHACRfull] = ACTIONS(7143),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHacs] = ACTIONS(7143),
    [anon_sym_BSLASHAcs] = ACTIONS(7143),
    [anon_sym_BSLASHacsp] = ACTIONS(7143),
    [anon_sym_BSLASHAcsp] = ACTIONS(7143),
    [anon_sym_BSLASHacl] = ACTIONS(7143),
    [anon_sym_BSLASHAcl] = ACTIONS(7143),
    [anon_sym_BSLASHaclp] = ACTIONS(7143),
    [anon_sym_BSLASHAclp] = ACTIONS(7143),
    [anon_sym_BSLASHacf] = ACTIONS(7143),
    [anon_sym_BSLASHAcf] = ACTIONS(7143),
    [anon_sym_BSLASHacfp] = ACTIONS(7143),
    [anon_sym_BSLASHAcfp] = ACTIONS(7143),
    [anon_sym_BSLASHac] = ACTIONS(7143),
    [anon_sym_BSLASHAc] = ACTIONS(7143),
    [anon_sym_BSLASHacp] = ACTIONS(7143),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7143),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7143),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7143),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7143),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7143),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7143),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7143),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7145),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7143),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7143),
    [anon_sym_BSLASHcolor] = ACTIONS(7143),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7143),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7143),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7143),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7143),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7143),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7143),
    [anon_sym_BSLASHurl] = ACTIONS(7143),
    [anon_sym_BSLASHhref] = ACTIONS(7143),
  },
  [1906] = {
    [sym_command_name] = ACTIONS(157),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(157),
    [anon_sym_LBRACK] = ACTIONS(159),
    [anon_sym_RBRACK] = ACTIONS(159),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_RPAREN] = ACTIONS(159),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_RBRACE] = ACTIONS(159),
    [sym_word] = ACTIONS(157),
    [sym_placeholder] = ACTIONS(159),
    [sym_delimiter] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_SLASH] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(157),
    [anon_sym_GT] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(157),
    [anon_sym_PIPE] = ACTIONS(157),
    [anon_sym_COLON] = ACTIONS(157),
    [anon_sym_SQUOTE] = ACTIONS(157),
    [anon_sym__] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(159),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(159),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(159),
    [anon_sym_BSLASHleft] = ACTIONS(157),
    [anon_sym_BSLASHbigl] = ACTIONS(157),
    [anon_sym_BSLASHBigl] = ACTIONS(157),
    [anon_sym_BSLASHbiggl] = ACTIONS(157),
    [anon_sym_BSLASHBiggl] = ACTIONS(157),
    [anon_sym_BSLASHtext] = ACTIONS(157),
    [anon_sym_BSLASHintertext] = ACTIONS(157),
    [anon_sym_BSLASHshortintertext] = ACTIONS(157),
    [anon_sym_BSLASHtitle] = ACTIONS(157),
    [anon_sym_BSLASHauthor] = ACTIONS(157),
    [anon_sym_BSLASHusepackage] = ACTIONS(157),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(157),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(157),
    [anon_sym_BSLASHinclude] = ACTIONS(157),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(157),
    [anon_sym_BSLASHinput] = ACTIONS(157),
    [anon_sym_BSLASHsubfile] = ACTIONS(157),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(157),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(157),
    [anon_sym_BSLASHbibliography] = ACTIONS(157),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(157),
    [anon_sym_BSLASHincludesvg] = ACTIONS(157),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(157),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(157),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(157),
    [anon_sym_BSLASHimport] = ACTIONS(157),
    [anon_sym_BSLASHsubimport] = ACTIONS(157),
    [anon_sym_BSLASHinputfrom] = ACTIONS(157),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(157),
    [anon_sym_BSLASHincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHcaption] = ACTIONS(157),
    [anon_sym_BSLASHcite] = ACTIONS(157),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCite] = ACTIONS(157),
    [anon_sym_BSLASHnocite] = ACTIONS(157),
    [anon_sym_BSLASHcitet] = ACTIONS(157),
    [anon_sym_BSLASHcitep] = ACTIONS(157),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteA] = ACTIONS(157),
    [anon_sym_BSLASHciteR] = ACTIONS(157),
    [anon_sym_BSLASHciteS] = ACTIONS(157),
    [anon_sym_BSLASHciteyearR] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(157),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitetitle] = ACTIONS(157),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteyear] = ACTIONS(157),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitedate] = ACTIONS(157),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteurl] = ACTIONS(157),
    [anon_sym_BSLASHfullcite] = ACTIONS(157),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(157),
    [anon_sym_BSLASHcitealt] = ACTIONS(157),
    [anon_sym_BSLASHcitealp] = ACTIONS(157),
    [anon_sym_BSLASHcitetext] = ACTIONS(157),
    [anon_sym_BSLASHparencite] = ACTIONS(157),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHParencite] = ACTIONS(157),
    [anon_sym_BSLASHfootcite] = ACTIONS(157),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(157),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(157),
    [anon_sym_BSLASHtextcite] = ACTIONS(157),
    [anon_sym_BSLASHTextcite] = ACTIONS(157),
    [anon_sym_BSLASHsmartcite] = ACTIONS(157),
    [anon_sym_BSLASHSmartcite] = ACTIONS(157),
    [anon_sym_BSLASHsupercite] = ACTIONS(157),
    [anon_sym_BSLASHautocite] = ACTIONS(157),
    [anon_sym_BSLASHAutocite] = ACTIONS(157),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHvolcite] = ACTIONS(157),
    [anon_sym_BSLASHVolcite] = ACTIONS(157),
    [anon_sym_BSLASHpvolcite] = ACTIONS(157),
    [anon_sym_BSLASHPvolcite] = ACTIONS(157),
    [anon_sym_BSLASHfvolcite] = ACTIONS(157),
    [anon_sym_BSLASHftvolcite] = ACTIONS(157),
    [anon_sym_BSLASHsvolcite] = ACTIONS(157),
    [anon_sym_BSLASHSvolcite] = ACTIONS(157),
    [anon_sym_BSLASHtvolcite] = ACTIONS(157),
    [anon_sym_BSLASHTvolcite] = ACTIONS(157),
    [anon_sym_BSLASHavolcite] = ACTIONS(157),
    [anon_sym_BSLASHAvolcite] = ACTIONS(157),
    [anon_sym_BSLASHnotecite] = ACTIONS(157),
    [anon_sym_BSLASHNotecite] = ACTIONS(157),
    [anon_sym_BSLASHpnotecite] = ACTIONS(157),
    [anon_sym_BSLASHPnotecite] = ACTIONS(157),
    [anon_sym_BSLASHfnotecite] = ACTIONS(157),
    [anon_sym_BSLASHlabel] = ACTIONS(157),
    [anon_sym_BSLASHref] = ACTIONS(157),
    [anon_sym_BSLASHeqref] = ACTIONS(157),
    [anon_sym_BSLASHvref] = ACTIONS(157),
    [anon_sym_BSLASHVref] = ACTIONS(157),
    [anon_sym_BSLASHautoref] = ACTIONS(157),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpageref] = ACTIONS(157),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHautopageref] = ACTIONS(157),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcref] = ACTIONS(157),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCref] = ACTIONS(157),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpageref] = ACTIONS(157),
    [anon_sym_BSLASHCpageref] = ACTIONS(157),
    [anon_sym_BSLASHnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnameCref] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcrefrange] = ACTIONS(157),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCrefrange] = ACTIONS(157),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHnewlabel] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(157),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(157),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(157),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(159),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHdef] = ACTIONS(157),
    [anon_sym_BSLASHgdef] = ACTIONS(157),
    [anon_sym_BSLASHedef] = ACTIONS(157),
    [anon_sym_BSLASHxdef] = ACTIONS(157),
    [anon_sym_BSLASHlet] = ACTIONS(157),
    [anon_sym_BSLASHglet] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(157),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(157),
    [anon_sym_BSLASHgls] = ACTIONS(157),
    [anon_sym_BSLASHGls] = ACTIONS(157),
    [anon_sym_BSLASHGLS] = ACTIONS(157),
    [anon_sym_BSLASHglspl] = ACTIONS(157),
    [anon_sym_BSLASHGlspl] = ACTIONS(157),
    [anon_sym_BSLASHGLSpl] = ACTIONS(157),
    [anon_sym_BSLASHglsdisp] = ACTIONS(157),
    [anon_sym_BSLASHglslink] = ACTIONS(157),
    [anon_sym_BSLASHglstext] = ACTIONS(157),
    [anon_sym_BSLASHGlstext] = ACTIONS(157),
    [anon_sym_BSLASHGLStext] = ACTIONS(157),
    [anon_sym_BSLASHglsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(157),
    [anon_sym_BSLASHglsplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSplural] = ACTIONS(157),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHglsname] = ACTIONS(157),
    [anon_sym_BSLASHGlsname] = ACTIONS(157),
    [anon_sym_BSLASHGLSname] = ACTIONS(157),
    [anon_sym_BSLASHglssymbol] = ACTIONS(157),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(157),
    [anon_sym_BSLASHglsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(157),
    [anon_sym_BSLASHglsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(157),
    [anon_sym_BSLASHglsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(157),
    [anon_sym_BSLASHglsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(157),
    [anon_sym_BSLASHglsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(157),
    [anon_sym_BSLASHnewacronym] = ACTIONS(157),
    [anon_sym_BSLASHacrshort] = ACTIONS(157),
    [anon_sym_BSLASHAcrshort] = ACTIONS(157),
    [anon_sym_BSLASHACRshort] = ACTIONS(157),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(157),
    [anon_sym_BSLASHacrlong] = ACTIONS(157),
    [anon_sym_BSLASHAcrlong] = ACTIONS(157),
    [anon_sym_BSLASHACRlong] = ACTIONS(157),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(157),
    [anon_sym_BSLASHacrfull] = ACTIONS(157),
    [anon_sym_BSLASHAcrfull] = ACTIONS(157),
    [anon_sym_BSLASHACRfull] = ACTIONS(157),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(157),
    [anon_sym_BSLASHacs] = ACTIONS(157),
    [anon_sym_BSLASHAcs] = ACTIONS(157),
    [anon_sym_BSLASHacsp] = ACTIONS(157),
    [anon_sym_BSLASHAcsp] = ACTIONS(157),
    [anon_sym_BSLASHacl] = ACTIONS(157),
    [anon_sym_BSLASHAcl] = ACTIONS(157),
    [anon_sym_BSLASHaclp] = ACTIONS(157),
    [anon_sym_BSLASHAclp] = ACTIONS(157),
    [anon_sym_BSLASHacf] = ACTIONS(157),
    [anon_sym_BSLASHAcf] = ACTIONS(157),
    [anon_sym_BSLASHacfp] = ACTIONS(157),
    [anon_sym_BSLASHAcfp] = ACTIONS(157),
    [anon_sym_BSLASHac] = ACTIONS(157),
    [anon_sym_BSLASHAc] = ACTIONS(157),
    [anon_sym_BSLASHacp] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(157),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(157),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(157),
    [anon_sym_BSLASHcolor] = ACTIONS(157),
    [anon_sym_BSLASHpagecolor] = ACTIONS(157),
    [anon_sym_BSLASHtextcolor] = ACTIONS(157),
    [anon_sym_BSLASHmathcolor] = ACTIONS(157),
    [anon_sym_BSLASHcolorbox] = ACTIONS(157),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(157),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(157),
    [anon_sym_BSLASHurl] = ACTIONS(157),
    [anon_sym_BSLASHhref] = ACTIONS(157),
  },
  [1907] = {
    [sym_command_name] = ACTIONS(7147),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7147),
    [anon_sym_LBRACK] = ACTIONS(7149),
    [anon_sym_RBRACK] = ACTIONS(7149),
    [anon_sym_COMMA] = ACTIONS(7149),
    [anon_sym_EQ] = ACTIONS(7149),
    [anon_sym_LPAREN] = ACTIONS(7149),
    [anon_sym_RPAREN] = ACTIONS(7149),
    [anon_sym_LBRACE] = ACTIONS(7149),
    [sym_word] = ACTIONS(7147),
    [sym_placeholder] = ACTIONS(7149),
    [sym_delimiter] = ACTIONS(7149),
    [anon_sym_PLUS] = ACTIONS(7149),
    [anon_sym_DASH] = ACTIONS(7149),
    [anon_sym_STAR] = ACTIONS(7149),
    [anon_sym_SLASH] = ACTIONS(7149),
    [anon_sym_LT] = ACTIONS(7147),
    [anon_sym_GT] = ACTIONS(7147),
    [anon_sym_BANG] = ACTIONS(7147),
    [anon_sym_PIPE] = ACTIONS(7147),
    [anon_sym_COLON] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(7147),
    [anon_sym__] = ACTIONS(7149),
    [anon_sym_CARET] = ACTIONS(7149),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7149),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7149),
    [anon_sym_DOLLAR] = ACTIONS(7147),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7149),
    [anon_sym_BSLASHleft] = ACTIONS(7147),
    [anon_sym_BSLASHbigl] = ACTIONS(7147),
    [anon_sym_BSLASHBigl] = ACTIONS(7147),
    [anon_sym_BSLASHbiggl] = ACTIONS(7147),
    [anon_sym_BSLASHBiggl] = ACTIONS(7147),
    [anon_sym_BSLASHtext] = ACTIONS(7147),
    [anon_sym_BSLASHintertext] = ACTIONS(7147),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7147),
    [anon_sym_BSLASHbegin] = ACTIONS(7147),
    [anon_sym_BSLASHtitle] = ACTIONS(7147),
    [anon_sym_BSLASHauthor] = ACTIONS(7147),
    [anon_sym_BSLASHusepackage] = ACTIONS(7147),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7147),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7147),
    [anon_sym_BSLASHinclude] = ACTIONS(7147),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7147),
    [anon_sym_BSLASHinput] = ACTIONS(7147),
    [anon_sym_BSLASHsubfile] = ACTIONS(7147),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7147),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7147),
    [anon_sym_BSLASHbibliography] = ACTIONS(7147),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7147),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7147),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7147),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7147),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7147),
    [anon_sym_BSLASHimport] = ACTIONS(7147),
    [anon_sym_BSLASHsubimport] = ACTIONS(7147),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7147),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7147),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7147),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7147),
    [anon_sym_BSLASHcaption] = ACTIONS(7147),
    [anon_sym_BSLASHcite] = ACTIONS(7147),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHCite] = ACTIONS(7147),
    [anon_sym_BSLASHnocite] = ACTIONS(7147),
    [anon_sym_BSLASHcitet] = ACTIONS(7147),
    [anon_sym_BSLASHcitep] = ACTIONS(7147),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHciteA] = ACTIONS(7147),
    [anon_sym_BSLASHciteR] = ACTIONS(7147),
    [anon_sym_BSLASHciteS] = ACTIONS(7147),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7147),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7147),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7147),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7147),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHciteyear] = ACTIONS(7147),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcitedate] = ACTIONS(7147),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHciteurl] = ACTIONS(7147),
    [anon_sym_BSLASHfullcite] = ACTIONS(7147),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7147),
    [anon_sym_BSLASHcitealt] = ACTIONS(7147),
    [anon_sym_BSLASHcitealp] = ACTIONS(7147),
    [anon_sym_BSLASHcitetext] = ACTIONS(7147),
    [anon_sym_BSLASHparencite] = ACTIONS(7147),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHParencite] = ACTIONS(7147),
    [anon_sym_BSLASHfootcite] = ACTIONS(7147),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7147),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7147),
    [anon_sym_BSLASHtextcite] = ACTIONS(7147),
    [anon_sym_BSLASHTextcite] = ACTIONS(7147),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7147),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7147),
    [anon_sym_BSLASHsupercite] = ACTIONS(7147),
    [anon_sym_BSLASHautocite] = ACTIONS(7147),
    [anon_sym_BSLASHAutocite] = ACTIONS(7147),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHVolcite] = ACTIONS(7147),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHavolcite] = ACTIONS(7147),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7147),
    [anon_sym_BSLASHnotecite] = ACTIONS(7147),
    [anon_sym_BSLASHNotecite] = ACTIONS(7147),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7147),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7147),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7147),
    [anon_sym_BSLASHlabel] = ACTIONS(7147),
    [anon_sym_BSLASHref] = ACTIONS(7147),
    [anon_sym_BSLASHeqref] = ACTIONS(7147),
    [anon_sym_BSLASHvref] = ACTIONS(7147),
    [anon_sym_BSLASHVref] = ACTIONS(7147),
    [anon_sym_BSLASHautoref] = ACTIONS(7147),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHpageref] = ACTIONS(7147),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHautopageref] = ACTIONS(7147),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcref] = ACTIONS(7147),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHCref] = ACTIONS(7147),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcpageref] = ACTIONS(7147),
    [anon_sym_BSLASHCpageref] = ACTIONS(7147),
    [anon_sym_BSLASHnamecref] = ACTIONS(7147),
    [anon_sym_BSLASHnameCref] = ACTIONS(7147),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7147),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7147),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7147),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7147),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7147),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7147),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7147),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7147),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7147),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7147),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7147),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7147),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7147),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7147),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7147),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7147),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7147),
    [anon_sym_BSLASHdef] = ACTIONS(7147),
    [anon_sym_BSLASHgdef] = ACTIONS(7147),
    [anon_sym_BSLASHedef] = ACTIONS(7147),
    [anon_sym_BSLASHxdef] = ACTIONS(7147),
    [anon_sym_BSLASHlet] = ACTIONS(7147),
    [anon_sym_BSLASHglet] = ACTIONS(7147),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7147),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7147),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7147),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7147),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7147),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7147),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7147),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7147),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7147),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7147),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7147),
    [anon_sym_BSLASHgls] = ACTIONS(7147),
    [anon_sym_BSLASHGls] = ACTIONS(7147),
    [anon_sym_BSLASHGLS] = ACTIONS(7147),
    [anon_sym_BSLASHglspl] = ACTIONS(7147),
    [anon_sym_BSLASHGlspl] = ACTIONS(7147),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7147),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7147),
    [anon_sym_BSLASHglslink] = ACTIONS(7147),
    [anon_sym_BSLASHglstext] = ACTIONS(7147),
    [anon_sym_BSLASHGlstext] = ACTIONS(7147),
    [anon_sym_BSLASHGLStext] = ACTIONS(7147),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7147),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7147),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7147),
    [anon_sym_BSLASHglsplural] = ACTIONS(7147),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7147),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7147),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7147),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7147),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7147),
    [anon_sym_BSLASHglsname] = ACTIONS(7147),
    [anon_sym_BSLASHGlsname] = ACTIONS(7147),
    [anon_sym_BSLASHGLSname] = ACTIONS(7147),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7147),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7147),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7147),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7147),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7147),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7147),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7147),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7147),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7147),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7147),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7147),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7147),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7147),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7147),
    [anon_sym_BSLASHacrshort] = ACTIONS(7147),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7147),
    [anon_sym_BSLASHACRshort] = ACTIONS(7147),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHacrlong] = ACTIONS(7147),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7147),
    [anon_sym_BSLASHACRlong] = ACTIONS(7147),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7147),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7147),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7147),
    [anon_sym_BSLASHacrfull] = ACTIONS(7147),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7147),
    [anon_sym_BSLASHACRfull] = ACTIONS(7147),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHacs] = ACTIONS(7147),
    [anon_sym_BSLASHAcs] = ACTIONS(7147),
    [anon_sym_BSLASHacsp] = ACTIONS(7147),
    [anon_sym_BSLASHAcsp] = ACTIONS(7147),
    [anon_sym_BSLASHacl] = ACTIONS(7147),
    [anon_sym_BSLASHAcl] = ACTIONS(7147),
    [anon_sym_BSLASHaclp] = ACTIONS(7147),
    [anon_sym_BSLASHAclp] = ACTIONS(7147),
    [anon_sym_BSLASHacf] = ACTIONS(7147),
    [anon_sym_BSLASHAcf] = ACTIONS(7147),
    [anon_sym_BSLASHacfp] = ACTIONS(7147),
    [anon_sym_BSLASHAcfp] = ACTIONS(7147),
    [anon_sym_BSLASHac] = ACTIONS(7147),
    [anon_sym_BSLASHAc] = ACTIONS(7147),
    [anon_sym_BSLASHacp] = ACTIONS(7147),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7147),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7147),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7147),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7147),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7147),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7147),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7147),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7149),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7147),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7147),
    [anon_sym_BSLASHcolor] = ACTIONS(7147),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7147),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7147),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7147),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7147),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7147),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7147),
    [anon_sym_BSLASHurl] = ACTIONS(7147),
    [anon_sym_BSLASHhref] = ACTIONS(7147),
  },
  [1908] = {
    [sym_command_name] = ACTIONS(163),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_RBRACK] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_RPAREN] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_RBRACE] = ACTIONS(165),
    [sym_word] = ACTIONS(163),
    [sym_placeholder] = ACTIONS(165),
    [sym_delimiter] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym__] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(165),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(163),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(165),
    [anon_sym_BSLASHleft] = ACTIONS(163),
    [anon_sym_BSLASHbigl] = ACTIONS(163),
    [anon_sym_BSLASHBigl] = ACTIONS(163),
    [anon_sym_BSLASHbiggl] = ACTIONS(163),
    [anon_sym_BSLASHBiggl] = ACTIONS(163),
    [anon_sym_BSLASHtext] = ACTIONS(163),
    [anon_sym_BSLASHintertext] = ACTIONS(163),
    [anon_sym_BSLASHshortintertext] = ACTIONS(163),
    [anon_sym_BSLASHtitle] = ACTIONS(163),
    [anon_sym_BSLASHauthor] = ACTIONS(163),
    [anon_sym_BSLASHusepackage] = ACTIONS(163),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(163),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(163),
    [anon_sym_BSLASHinclude] = ACTIONS(163),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(163),
    [anon_sym_BSLASHinput] = ACTIONS(163),
    [anon_sym_BSLASHsubfile] = ACTIONS(163),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(163),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(163),
    [anon_sym_BSLASHbibliography] = ACTIONS(163),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(163),
    [anon_sym_BSLASHincludesvg] = ACTIONS(163),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(163),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(163),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(163),
    [anon_sym_BSLASHimport] = ACTIONS(163),
    [anon_sym_BSLASHsubimport] = ACTIONS(163),
    [anon_sym_BSLASHinputfrom] = ACTIONS(163),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(163),
    [anon_sym_BSLASHincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHcaption] = ACTIONS(163),
    [anon_sym_BSLASHcite] = ACTIONS(163),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCite] = ACTIONS(163),
    [anon_sym_BSLASHnocite] = ACTIONS(163),
    [anon_sym_BSLASHcitet] = ACTIONS(163),
    [anon_sym_BSLASHcitep] = ACTIONS(163),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteA] = ACTIONS(163),
    [anon_sym_BSLASHciteR] = ACTIONS(163),
    [anon_sym_BSLASHciteS] = ACTIONS(163),
    [anon_sym_BSLASHciteyearR] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(163),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitetitle] = ACTIONS(163),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteyear] = ACTIONS(163),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitedate] = ACTIONS(163),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteurl] = ACTIONS(163),
    [anon_sym_BSLASHfullcite] = ACTIONS(163),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(163),
    [anon_sym_BSLASHcitealt] = ACTIONS(163),
    [anon_sym_BSLASHcitealp] = ACTIONS(163),
    [anon_sym_BSLASHcitetext] = ACTIONS(163),
    [anon_sym_BSLASHparencite] = ACTIONS(163),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHParencite] = ACTIONS(163),
    [anon_sym_BSLASHfootcite] = ACTIONS(163),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(163),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(163),
    [anon_sym_BSLASHtextcite] = ACTIONS(163),
    [anon_sym_BSLASHTextcite] = ACTIONS(163),
    [anon_sym_BSLASHsmartcite] = ACTIONS(163),
    [anon_sym_BSLASHSmartcite] = ACTIONS(163),
    [anon_sym_BSLASHsupercite] = ACTIONS(163),
    [anon_sym_BSLASHautocite] = ACTIONS(163),
    [anon_sym_BSLASHAutocite] = ACTIONS(163),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHvolcite] = ACTIONS(163),
    [anon_sym_BSLASHVolcite] = ACTIONS(163),
    [anon_sym_BSLASHpvolcite] = ACTIONS(163),
    [anon_sym_BSLASHPvolcite] = ACTIONS(163),
    [anon_sym_BSLASHfvolcite] = ACTIONS(163),
    [anon_sym_BSLASHftvolcite] = ACTIONS(163),
    [anon_sym_BSLASHsvolcite] = ACTIONS(163),
    [anon_sym_BSLASHSvolcite] = ACTIONS(163),
    [anon_sym_BSLASHtvolcite] = ACTIONS(163),
    [anon_sym_BSLASHTvolcite] = ACTIONS(163),
    [anon_sym_BSLASHavolcite] = ACTIONS(163),
    [anon_sym_BSLASHAvolcite] = ACTIONS(163),
    [anon_sym_BSLASHnotecite] = ACTIONS(163),
    [anon_sym_BSLASHNotecite] = ACTIONS(163),
    [anon_sym_BSLASHpnotecite] = ACTIONS(163),
    [anon_sym_BSLASHPnotecite] = ACTIONS(163),
    [anon_sym_BSLASHfnotecite] = ACTIONS(163),
    [anon_sym_BSLASHlabel] = ACTIONS(163),
    [anon_sym_BSLASHref] = ACTIONS(163),
    [anon_sym_BSLASHeqref] = ACTIONS(163),
    [anon_sym_BSLASHvref] = ACTIONS(163),
    [anon_sym_BSLASHVref] = ACTIONS(163),
    [anon_sym_BSLASHautoref] = ACTIONS(163),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHpageref] = ACTIONS(163),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHautopageref] = ACTIONS(163),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcref] = ACTIONS(163),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCref] = ACTIONS(163),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpageref] = ACTIONS(163),
    [anon_sym_BSLASHCpageref] = ACTIONS(163),
    [anon_sym_BSLASHnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnameCref] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcrefrange] = ACTIONS(163),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCrefrange] = ACTIONS(163),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHnewlabel] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(163),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(163),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(163),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(165),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHdef] = ACTIONS(163),
    [anon_sym_BSLASHgdef] = ACTIONS(163),
    [anon_sym_BSLASHedef] = ACTIONS(163),
    [anon_sym_BSLASHxdef] = ACTIONS(163),
    [anon_sym_BSLASHlet] = ACTIONS(163),
    [anon_sym_BSLASHglet] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(163),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(163),
    [anon_sym_BSLASHgls] = ACTIONS(163),
    [anon_sym_BSLASHGls] = ACTIONS(163),
    [anon_sym_BSLASHGLS] = ACTIONS(163),
    [anon_sym_BSLASHglspl] = ACTIONS(163),
    [anon_sym_BSLASHGlspl] = ACTIONS(163),
    [anon_sym_BSLASHGLSpl] = ACTIONS(163),
    [anon_sym_BSLASHglsdisp] = ACTIONS(163),
    [anon_sym_BSLASHglslink] = ACTIONS(163),
    [anon_sym_BSLASHglstext] = ACTIONS(163),
    [anon_sym_BSLASHGlstext] = ACTIONS(163),
    [anon_sym_BSLASHGLStext] = ACTIONS(163),
    [anon_sym_BSLASHglsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(163),
    [anon_sym_BSLASHglsplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSplural] = ACTIONS(163),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHglsname] = ACTIONS(163),
    [anon_sym_BSLASHGlsname] = ACTIONS(163),
    [anon_sym_BSLASHGLSname] = ACTIONS(163),
    [anon_sym_BSLASHglssymbol] = ACTIONS(163),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(163),
    [anon_sym_BSLASHglsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(163),
    [anon_sym_BSLASHglsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(163),
    [anon_sym_BSLASHglsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(163),
    [anon_sym_BSLASHglsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(163),
    [anon_sym_BSLASHglsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(163),
    [anon_sym_BSLASHnewacronym] = ACTIONS(163),
    [anon_sym_BSLASHacrshort] = ACTIONS(163),
    [anon_sym_BSLASHAcrshort] = ACTIONS(163),
    [anon_sym_BSLASHACRshort] = ACTIONS(163),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(163),
    [anon_sym_BSLASHacrlong] = ACTIONS(163),
    [anon_sym_BSLASHAcrlong] = ACTIONS(163),
    [anon_sym_BSLASHACRlong] = ACTIONS(163),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(163),
    [anon_sym_BSLASHacrfull] = ACTIONS(163),
    [anon_sym_BSLASHAcrfull] = ACTIONS(163),
    [anon_sym_BSLASHACRfull] = ACTIONS(163),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(163),
    [anon_sym_BSLASHacs] = ACTIONS(163),
    [anon_sym_BSLASHAcs] = ACTIONS(163),
    [anon_sym_BSLASHacsp] = ACTIONS(163),
    [anon_sym_BSLASHAcsp] = ACTIONS(163),
    [anon_sym_BSLASHacl] = ACTIONS(163),
    [anon_sym_BSLASHAcl] = ACTIONS(163),
    [anon_sym_BSLASHaclp] = ACTIONS(163),
    [anon_sym_BSLASHAclp] = ACTIONS(163),
    [anon_sym_BSLASHacf] = ACTIONS(163),
    [anon_sym_BSLASHAcf] = ACTIONS(163),
    [anon_sym_BSLASHacfp] = ACTIONS(163),
    [anon_sym_BSLASHAcfp] = ACTIONS(163),
    [anon_sym_BSLASHac] = ACTIONS(163),
    [anon_sym_BSLASHAc] = ACTIONS(163),
    [anon_sym_BSLASHacp] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(163),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(163),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(163),
    [anon_sym_BSLASHcolor] = ACTIONS(163),
    [anon_sym_BSLASHpagecolor] = ACTIONS(163),
    [anon_sym_BSLASHtextcolor] = ACTIONS(163),
    [anon_sym_BSLASHmathcolor] = ACTIONS(163),
    [anon_sym_BSLASHcolorbox] = ACTIONS(163),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(163),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(163),
    [anon_sym_BSLASHurl] = ACTIONS(163),
    [anon_sym_BSLASHhref] = ACTIONS(163),
  },
  [1909] = {
    [sym_command_name] = ACTIONS(7055),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7055),
    [anon_sym_LBRACK] = ACTIONS(7057),
    [anon_sym_RBRACK] = ACTIONS(7057),
    [anon_sym_COMMA] = ACTIONS(7057),
    [anon_sym_EQ] = ACTIONS(7057),
    [anon_sym_LPAREN] = ACTIONS(7057),
    [anon_sym_RPAREN] = ACTIONS(7057),
    [anon_sym_LBRACE] = ACTIONS(7057),
    [anon_sym_RBRACE] = ACTIONS(7057),
    [sym_word] = ACTIONS(7055),
    [sym_placeholder] = ACTIONS(7057),
    [sym_delimiter] = ACTIONS(7057),
    [anon_sym_PLUS] = ACTIONS(7057),
    [anon_sym_DASH] = ACTIONS(7057),
    [anon_sym_STAR] = ACTIONS(7057),
    [anon_sym_SLASH] = ACTIONS(7057),
    [anon_sym_LT] = ACTIONS(7055),
    [anon_sym_GT] = ACTIONS(7055),
    [anon_sym_BANG] = ACTIONS(7055),
    [anon_sym_PIPE] = ACTIONS(7055),
    [anon_sym_COLON] = ACTIONS(7055),
    [anon_sym_SQUOTE] = ACTIONS(7055),
    [anon_sym__] = ACTIONS(7057),
    [anon_sym_CARET] = ACTIONS(7057),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7057),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7057),
    [anon_sym_DOLLAR] = ACTIONS(7055),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7057),
    [anon_sym_BSLASHleft] = ACTIONS(7055),
    [anon_sym_BSLASHbigl] = ACTIONS(7055),
    [anon_sym_BSLASHBigl] = ACTIONS(7055),
    [anon_sym_BSLASHbiggl] = ACTIONS(7055),
    [anon_sym_BSLASHBiggl] = ACTIONS(7055),
    [anon_sym_BSLASHtext] = ACTIONS(7055),
    [anon_sym_BSLASHintertext] = ACTIONS(7055),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7055),
    [anon_sym_BSLASHtitle] = ACTIONS(7055),
    [anon_sym_BSLASHauthor] = ACTIONS(7055),
    [anon_sym_BSLASHusepackage] = ACTIONS(7055),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7055),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7055),
    [anon_sym_BSLASHinclude] = ACTIONS(7055),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7055),
    [anon_sym_BSLASHinput] = ACTIONS(7055),
    [anon_sym_BSLASHsubfile] = ACTIONS(7055),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7055),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7055),
    [anon_sym_BSLASHbibliography] = ACTIONS(7055),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7055),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7055),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7055),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7055),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7055),
    [anon_sym_BSLASHimport] = ACTIONS(7055),
    [anon_sym_BSLASHsubimport] = ACTIONS(7055),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7055),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7055),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7055),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7055),
    [anon_sym_BSLASHcaption] = ACTIONS(7055),
    [anon_sym_BSLASHcite] = ACTIONS(7055),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCite] = ACTIONS(7055),
    [anon_sym_BSLASHnocite] = ACTIONS(7055),
    [anon_sym_BSLASHcitet] = ACTIONS(7055),
    [anon_sym_BSLASHcitep] = ACTIONS(7055),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHciteA] = ACTIONS(7055),
    [anon_sym_BSLASHciteR] = ACTIONS(7055),
    [anon_sym_BSLASHciteS] = ACTIONS(7055),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7055),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7055),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7055),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7055),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHciteyear] = ACTIONS(7055),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcitedate] = ACTIONS(7055),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHciteurl] = ACTIONS(7055),
    [anon_sym_BSLASHfullcite] = ACTIONS(7055),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7055),
    [anon_sym_BSLASHcitealt] = ACTIONS(7055),
    [anon_sym_BSLASHcitealp] = ACTIONS(7055),
    [anon_sym_BSLASHcitetext] = ACTIONS(7055),
    [anon_sym_BSLASHparencite] = ACTIONS(7055),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHParencite] = ACTIONS(7055),
    [anon_sym_BSLASHfootcite] = ACTIONS(7055),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7055),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7055),
    [anon_sym_BSLASHtextcite] = ACTIONS(7055),
    [anon_sym_BSLASHTextcite] = ACTIONS(7055),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7055),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7055),
    [anon_sym_BSLASHsupercite] = ACTIONS(7055),
    [anon_sym_BSLASHautocite] = ACTIONS(7055),
    [anon_sym_BSLASHAutocite] = ACTIONS(7055),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHVolcite] = ACTIONS(7055),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHavolcite] = ACTIONS(7055),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHNotecite] = ACTIONS(7055),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHlabel] = ACTIONS(7055),
    [anon_sym_BSLASHref] = ACTIONS(7055),
    [anon_sym_BSLASHeqref] = ACTIONS(7055),
    [anon_sym_BSLASHvref] = ACTIONS(7055),
    [anon_sym_BSLASHVref] = ACTIONS(7055),
    [anon_sym_BSLASHautoref] = ACTIONS(7055),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHpageref] = ACTIONS(7055),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHautopageref] = ACTIONS(7055),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcref] = ACTIONS(7055),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCref] = ACTIONS(7055),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcpageref] = ACTIONS(7055),
    [anon_sym_BSLASHCpageref] = ACTIONS(7055),
    [anon_sym_BSLASHnamecref] = ACTIONS(7055),
    [anon_sym_BSLASHnameCref] = ACTIONS(7055),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7055),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7055),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7055),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7055),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7055),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7055),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7055),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7055),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7055),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7055),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7055),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7055),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7055),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7055),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7055),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7055),
    [anon_sym_BSLASHdef] = ACTIONS(7055),
    [anon_sym_BSLASHgdef] = ACTIONS(7055),
    [anon_sym_BSLASHedef] = ACTIONS(7055),
    [anon_sym_BSLASHxdef] = ACTIONS(7055),
    [anon_sym_BSLASHlet] = ACTIONS(7055),
    [anon_sym_BSLASHglet] = ACTIONS(7055),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7055),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7055),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7055),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7055),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7055),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7055),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7055),
    [anon_sym_BSLASHgls] = ACTIONS(7055),
    [anon_sym_BSLASHGls] = ACTIONS(7055),
    [anon_sym_BSLASHGLS] = ACTIONS(7055),
    [anon_sym_BSLASHglspl] = ACTIONS(7055),
    [anon_sym_BSLASHGlspl] = ACTIONS(7055),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7055),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7055),
    [anon_sym_BSLASHglslink] = ACTIONS(7055),
    [anon_sym_BSLASHglstext] = ACTIONS(7055),
    [anon_sym_BSLASHGlstext] = ACTIONS(7055),
    [anon_sym_BSLASHGLStext] = ACTIONS(7055),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7055),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7055),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7055),
    [anon_sym_BSLASHglsplural] = ACTIONS(7055),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7055),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7055),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7055),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7055),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7055),
    [anon_sym_BSLASHglsname] = ACTIONS(7055),
    [anon_sym_BSLASHGlsname] = ACTIONS(7055),
    [anon_sym_BSLASHGLSname] = ACTIONS(7055),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7055),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7055),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7055),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7055),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7055),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7055),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7055),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7055),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7055),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7055),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7055),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7055),
    [anon_sym_BSLASHacrshort] = ACTIONS(7055),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7055),
    [anon_sym_BSLASHACRshort] = ACTIONS(7055),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHacrlong] = ACTIONS(7055),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7055),
    [anon_sym_BSLASHACRlong] = ACTIONS(7055),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7055),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7055),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7055),
    [anon_sym_BSLASHacrfull] = ACTIONS(7055),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7055),
    [anon_sym_BSLASHACRfull] = ACTIONS(7055),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHacs] = ACTIONS(7055),
    [anon_sym_BSLASHAcs] = ACTIONS(7055),
    [anon_sym_BSLASHacsp] = ACTIONS(7055),
    [anon_sym_BSLASHAcsp] = ACTIONS(7055),
    [anon_sym_BSLASHacl] = ACTIONS(7055),
    [anon_sym_BSLASHAcl] = ACTIONS(7055),
    [anon_sym_BSLASHaclp] = ACTIONS(7055),
    [anon_sym_BSLASHAclp] = ACTIONS(7055),
    [anon_sym_BSLASHacf] = ACTIONS(7055),
    [anon_sym_BSLASHAcf] = ACTIONS(7055),
    [anon_sym_BSLASHacfp] = ACTIONS(7055),
    [anon_sym_BSLASHAcfp] = ACTIONS(7055),
    [anon_sym_BSLASHac] = ACTIONS(7055),
    [anon_sym_BSLASHAc] = ACTIONS(7055),
    [anon_sym_BSLASHacp] = ACTIONS(7055),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7055),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7055),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7055),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7055),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7055),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7055),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7055),
    [anon_sym_BSLASHcolor] = ACTIONS(7055),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7055),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7055),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7055),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7055),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7055),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7055),
    [anon_sym_BSLASHurl] = ACTIONS(7055),
    [anon_sym_BSLASHhref] = ACTIONS(7055),
  },
  [1910] = {
    [sym_curly_group] = STATE(2089),
    [sym_brack_group_text] = STATE(3679),
    [sym_command_name] = ACTIONS(6905),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6905),
    [anon_sym_LBRACK] = ACTIONS(6883),
    [anon_sym_LPAREN] = ACTIONS(6907),
    [anon_sym_RPAREN] = ACTIONS(6907),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(6907),
    [anon_sym_BSLASHand] = ACTIONS(6905),
    [sym_word] = ACTIONS(6905),
    [sym_placeholder] = ACTIONS(6907),
    [sym_delimiter] = ACTIONS(6907),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_STAR] = ACTIONS(6907),
    [anon_sym_SLASH] = ACTIONS(6907),
    [anon_sym_LT] = ACTIONS(6905),
    [anon_sym_GT] = ACTIONS(6905),
    [anon_sym_BANG] = ACTIONS(6905),
    [anon_sym_PIPE] = ACTIONS(6905),
    [anon_sym_COLON] = ACTIONS(6905),
    [anon_sym_SQUOTE] = ACTIONS(6905),
    [anon_sym__] = ACTIONS(6907),
    [anon_sym_CARET] = ACTIONS(6907),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6907),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6907),
    [anon_sym_DOLLAR] = ACTIONS(6905),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6907),
    [anon_sym_BSLASHleft] = ACTIONS(6905),
    [anon_sym_BSLASHbigl] = ACTIONS(6905),
    [anon_sym_BSLASHBigl] = ACTIONS(6905),
    [anon_sym_BSLASHbiggl] = ACTIONS(6905),
    [anon_sym_BSLASHBiggl] = ACTIONS(6905),
    [anon_sym_BSLASHtext] = ACTIONS(6905),
    [anon_sym_BSLASHintertext] = ACTIONS(6905),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6905),
    [anon_sym_BSLASHtitle] = ACTIONS(6905),
    [anon_sym_BSLASHauthor] = ACTIONS(6905),
    [anon_sym_BSLASHusepackage] = ACTIONS(6905),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6905),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6905),
    [anon_sym_BSLASHinclude] = ACTIONS(6905),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6905),
    [anon_sym_BSLASHinput] = ACTIONS(6905),
    [anon_sym_BSLASHsubfile] = ACTIONS(6905),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6905),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6905),
    [anon_sym_BSLASHbibliography] = ACTIONS(6905),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6905),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6905),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6905),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6905),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6905),
    [anon_sym_BSLASHimport] = ACTIONS(6905),
    [anon_sym_BSLASHsubimport] = ACTIONS(6905),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6905),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6905),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6905),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6905),
    [anon_sym_BSLASHcaption] = ACTIONS(6905),
    [anon_sym_BSLASHcite] = ACTIONS(6905),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCite] = ACTIONS(6905),
    [anon_sym_BSLASHnocite] = ACTIONS(6905),
    [anon_sym_BSLASHcitet] = ACTIONS(6905),
    [anon_sym_BSLASHcitep] = ACTIONS(6905),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteA] = ACTIONS(6905),
    [anon_sym_BSLASHciteR] = ACTIONS(6905),
    [anon_sym_BSLASHciteS] = ACTIONS(6905),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6905),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6905),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6905),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6905),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteyear] = ACTIONS(6905),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitedate] = ACTIONS(6905),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteurl] = ACTIONS(6905),
    [anon_sym_BSLASHfullcite] = ACTIONS(6905),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6905),
    [anon_sym_BSLASHcitealt] = ACTIONS(6905),
    [anon_sym_BSLASHcitealp] = ACTIONS(6905),
    [anon_sym_BSLASHcitetext] = ACTIONS(6905),
    [anon_sym_BSLASHparencite] = ACTIONS(6905),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHParencite] = ACTIONS(6905),
    [anon_sym_BSLASHfootcite] = ACTIONS(6905),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6905),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6905),
    [anon_sym_BSLASHtextcite] = ACTIONS(6905),
    [anon_sym_BSLASHTextcite] = ACTIONS(6905),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6905),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6905),
    [anon_sym_BSLASHsupercite] = ACTIONS(6905),
    [anon_sym_BSLASHautocite] = ACTIONS(6905),
    [anon_sym_BSLASHAutocite] = ACTIONS(6905),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHVolcite] = ACTIONS(6905),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHavolcite] = ACTIONS(6905),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHNotecite] = ACTIONS(6905),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHlabel] = ACTIONS(6905),
    [anon_sym_BSLASHref] = ACTIONS(6905),
    [anon_sym_BSLASHeqref] = ACTIONS(6905),
    [anon_sym_BSLASHvref] = ACTIONS(6905),
    [anon_sym_BSLASHVref] = ACTIONS(6905),
    [anon_sym_BSLASHautoref] = ACTIONS(6905),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHpageref] = ACTIONS(6905),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHautopageref] = ACTIONS(6905),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcref] = ACTIONS(6905),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCref] = ACTIONS(6905),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcpageref] = ACTIONS(6905),
    [anon_sym_BSLASHCpageref] = ACTIONS(6905),
    [anon_sym_BSLASHnamecref] = ACTIONS(6905),
    [anon_sym_BSLASHnameCref] = ACTIONS(6905),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6905),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6905),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6905),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6905),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6905),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6905),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6905),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6905),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6905),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6905),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6905),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHdef] = ACTIONS(6905),
    [anon_sym_BSLASHgdef] = ACTIONS(6905),
    [anon_sym_BSLASHedef] = ACTIONS(6905),
    [anon_sym_BSLASHxdef] = ACTIONS(6905),
    [anon_sym_BSLASHlet] = ACTIONS(6905),
    [anon_sym_BSLASHglet] = ACTIONS(6905),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6905),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6905),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6905),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6905),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6905),
    [anon_sym_BSLASHgls] = ACTIONS(6905),
    [anon_sym_BSLASHGls] = ACTIONS(6905),
    [anon_sym_BSLASHGLS] = ACTIONS(6905),
    [anon_sym_BSLASHglspl] = ACTIONS(6905),
    [anon_sym_BSLASHGlspl] = ACTIONS(6905),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6905),
    [anon_sym_BSLASHglslink] = ACTIONS(6905),
    [anon_sym_BSLASHglstext] = ACTIONS(6905),
    [anon_sym_BSLASHGlstext] = ACTIONS(6905),
    [anon_sym_BSLASHGLStext] = ACTIONS(6905),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6905),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6905),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6905),
    [anon_sym_BSLASHglsplural] = ACTIONS(6905),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6905),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6905),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHglsname] = ACTIONS(6905),
    [anon_sym_BSLASHGlsname] = ACTIONS(6905),
    [anon_sym_BSLASHGLSname] = ACTIONS(6905),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6905),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6905),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6905),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6905),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6905),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6905),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6905),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6905),
    [anon_sym_BSLASHacrshort] = ACTIONS(6905),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6905),
    [anon_sym_BSLASHACRshort] = ACTIONS(6905),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHacrlong] = ACTIONS(6905),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6905),
    [anon_sym_BSLASHACRlong] = ACTIONS(6905),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHacrfull] = ACTIONS(6905),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6905),
    [anon_sym_BSLASHACRfull] = ACTIONS(6905),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHacs] = ACTIONS(6905),
    [anon_sym_BSLASHAcs] = ACTIONS(6905),
    [anon_sym_BSLASHacsp] = ACTIONS(6905),
    [anon_sym_BSLASHAcsp] = ACTIONS(6905),
    [anon_sym_BSLASHacl] = ACTIONS(6905),
    [anon_sym_BSLASHAcl] = ACTIONS(6905),
    [anon_sym_BSLASHaclp] = ACTIONS(6905),
    [anon_sym_BSLASHAclp] = ACTIONS(6905),
    [anon_sym_BSLASHacf] = ACTIONS(6905),
    [anon_sym_BSLASHAcf] = ACTIONS(6905),
    [anon_sym_BSLASHacfp] = ACTIONS(6905),
    [anon_sym_BSLASHAcfp] = ACTIONS(6905),
    [anon_sym_BSLASHac] = ACTIONS(6905),
    [anon_sym_BSLASHAc] = ACTIONS(6905),
    [anon_sym_BSLASHacp] = ACTIONS(6905),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6905),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6905),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6905),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6905),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6905),
    [anon_sym_BSLASHcolor] = ACTIONS(6905),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6905),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6905),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6905),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6905),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6905),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6905),
    [anon_sym_BSLASHurl] = ACTIONS(6905),
    [anon_sym_BSLASHhref] = ACTIONS(6905),
  },
  [1911] = {
    [sym_command_name] = ACTIONS(7151),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7151),
    [anon_sym_LBRACK] = ACTIONS(7153),
    [anon_sym_RBRACK] = ACTIONS(7153),
    [anon_sym_COMMA] = ACTIONS(7153),
    [anon_sym_EQ] = ACTIONS(7153),
    [anon_sym_LPAREN] = ACTIONS(7153),
    [anon_sym_RPAREN] = ACTIONS(7153),
    [anon_sym_LBRACE] = ACTIONS(7153),
    [sym_word] = ACTIONS(7151),
    [sym_placeholder] = ACTIONS(7153),
    [sym_delimiter] = ACTIONS(7153),
    [anon_sym_PLUS] = ACTIONS(7153),
    [anon_sym_DASH] = ACTIONS(7153),
    [anon_sym_STAR] = ACTIONS(7153),
    [anon_sym_SLASH] = ACTIONS(7153),
    [anon_sym_LT] = ACTIONS(7151),
    [anon_sym_GT] = ACTIONS(7151),
    [anon_sym_BANG] = ACTIONS(7151),
    [anon_sym_PIPE] = ACTIONS(7151),
    [anon_sym_COLON] = ACTIONS(7151),
    [anon_sym_SQUOTE] = ACTIONS(7151),
    [anon_sym__] = ACTIONS(7153),
    [anon_sym_CARET] = ACTIONS(7153),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7153),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7153),
    [anon_sym_DOLLAR] = ACTIONS(7151),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7153),
    [anon_sym_BSLASHleft] = ACTIONS(7151),
    [anon_sym_BSLASHbigl] = ACTIONS(7151),
    [anon_sym_BSLASHBigl] = ACTIONS(7151),
    [anon_sym_BSLASHbiggl] = ACTIONS(7151),
    [anon_sym_BSLASHBiggl] = ACTIONS(7151),
    [anon_sym_BSLASHtext] = ACTIONS(7151),
    [anon_sym_BSLASHintertext] = ACTIONS(7151),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7151),
    [anon_sym_BSLASHbegin] = ACTIONS(7151),
    [anon_sym_BSLASHtitle] = ACTIONS(7151),
    [anon_sym_BSLASHauthor] = ACTIONS(7151),
    [anon_sym_BSLASHusepackage] = ACTIONS(7151),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7151),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7151),
    [anon_sym_BSLASHinclude] = ACTIONS(7151),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7151),
    [anon_sym_BSLASHinput] = ACTIONS(7151),
    [anon_sym_BSLASHsubfile] = ACTIONS(7151),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7151),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7151),
    [anon_sym_BSLASHbibliography] = ACTIONS(7151),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7151),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7151),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7151),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7151),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7151),
    [anon_sym_BSLASHimport] = ACTIONS(7151),
    [anon_sym_BSLASHsubimport] = ACTIONS(7151),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7151),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7151),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7151),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7151),
    [anon_sym_BSLASHcaption] = ACTIONS(7151),
    [anon_sym_BSLASHcite] = ACTIONS(7151),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHCite] = ACTIONS(7151),
    [anon_sym_BSLASHnocite] = ACTIONS(7151),
    [anon_sym_BSLASHcitet] = ACTIONS(7151),
    [anon_sym_BSLASHcitep] = ACTIONS(7151),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHciteA] = ACTIONS(7151),
    [anon_sym_BSLASHciteR] = ACTIONS(7151),
    [anon_sym_BSLASHciteS] = ACTIONS(7151),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7151),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7151),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7151),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7151),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHciteyear] = ACTIONS(7151),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcitedate] = ACTIONS(7151),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHciteurl] = ACTIONS(7151),
    [anon_sym_BSLASHfullcite] = ACTIONS(7151),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7151),
    [anon_sym_BSLASHcitealt] = ACTIONS(7151),
    [anon_sym_BSLASHcitealp] = ACTIONS(7151),
    [anon_sym_BSLASHcitetext] = ACTIONS(7151),
    [anon_sym_BSLASHparencite] = ACTIONS(7151),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHParencite] = ACTIONS(7151),
    [anon_sym_BSLASHfootcite] = ACTIONS(7151),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7151),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7151),
    [anon_sym_BSLASHtextcite] = ACTIONS(7151),
    [anon_sym_BSLASHTextcite] = ACTIONS(7151),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7151),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7151),
    [anon_sym_BSLASHsupercite] = ACTIONS(7151),
    [anon_sym_BSLASHautocite] = ACTIONS(7151),
    [anon_sym_BSLASHAutocite] = ACTIONS(7151),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHVolcite] = ACTIONS(7151),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHavolcite] = ACTIONS(7151),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7151),
    [anon_sym_BSLASHnotecite] = ACTIONS(7151),
    [anon_sym_BSLASHNotecite] = ACTIONS(7151),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7151),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7151),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7151),
    [anon_sym_BSLASHlabel] = ACTIONS(7151),
    [anon_sym_BSLASHref] = ACTIONS(7151),
    [anon_sym_BSLASHeqref] = ACTIONS(7151),
    [anon_sym_BSLASHvref] = ACTIONS(7151),
    [anon_sym_BSLASHVref] = ACTIONS(7151),
    [anon_sym_BSLASHautoref] = ACTIONS(7151),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHpageref] = ACTIONS(7151),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHautopageref] = ACTIONS(7151),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcref] = ACTIONS(7151),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHCref] = ACTIONS(7151),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcpageref] = ACTIONS(7151),
    [anon_sym_BSLASHCpageref] = ACTIONS(7151),
    [anon_sym_BSLASHnamecref] = ACTIONS(7151),
    [anon_sym_BSLASHnameCref] = ACTIONS(7151),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7151),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7151),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7151),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7151),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7151),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7151),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7151),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7151),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7151),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7151),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7151),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7151),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7151),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7151),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7151),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7151),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7151),
    [anon_sym_BSLASHdef] = ACTIONS(7151),
    [anon_sym_BSLASHgdef] = ACTIONS(7151),
    [anon_sym_BSLASHedef] = ACTIONS(7151),
    [anon_sym_BSLASHxdef] = ACTIONS(7151),
    [anon_sym_BSLASHlet] = ACTIONS(7151),
    [anon_sym_BSLASHglet] = ACTIONS(7151),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7151),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7151),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7151),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7151),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7151),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7151),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7151),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7151),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7151),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7151),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7151),
    [anon_sym_BSLASHgls] = ACTIONS(7151),
    [anon_sym_BSLASHGls] = ACTIONS(7151),
    [anon_sym_BSLASHGLS] = ACTIONS(7151),
    [anon_sym_BSLASHglspl] = ACTIONS(7151),
    [anon_sym_BSLASHGlspl] = ACTIONS(7151),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7151),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7151),
    [anon_sym_BSLASHglslink] = ACTIONS(7151),
    [anon_sym_BSLASHglstext] = ACTIONS(7151),
    [anon_sym_BSLASHGlstext] = ACTIONS(7151),
    [anon_sym_BSLASHGLStext] = ACTIONS(7151),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7151),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7151),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7151),
    [anon_sym_BSLASHglsplural] = ACTIONS(7151),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7151),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7151),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7151),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7151),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7151),
    [anon_sym_BSLASHglsname] = ACTIONS(7151),
    [anon_sym_BSLASHGlsname] = ACTIONS(7151),
    [anon_sym_BSLASHGLSname] = ACTIONS(7151),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7151),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7151),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7151),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7151),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7151),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7151),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7151),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7151),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7151),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7151),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7151),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7151),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7151),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7151),
    [anon_sym_BSLASHacrshort] = ACTIONS(7151),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7151),
    [anon_sym_BSLASHACRshort] = ACTIONS(7151),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHacrlong] = ACTIONS(7151),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7151),
    [anon_sym_BSLASHACRlong] = ACTIONS(7151),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7151),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7151),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7151),
    [anon_sym_BSLASHacrfull] = ACTIONS(7151),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7151),
    [anon_sym_BSLASHACRfull] = ACTIONS(7151),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHacs] = ACTIONS(7151),
    [anon_sym_BSLASHAcs] = ACTIONS(7151),
    [anon_sym_BSLASHacsp] = ACTIONS(7151),
    [anon_sym_BSLASHAcsp] = ACTIONS(7151),
    [anon_sym_BSLASHacl] = ACTIONS(7151),
    [anon_sym_BSLASHAcl] = ACTIONS(7151),
    [anon_sym_BSLASHaclp] = ACTIONS(7151),
    [anon_sym_BSLASHAclp] = ACTIONS(7151),
    [anon_sym_BSLASHacf] = ACTIONS(7151),
    [anon_sym_BSLASHAcf] = ACTIONS(7151),
    [anon_sym_BSLASHacfp] = ACTIONS(7151),
    [anon_sym_BSLASHAcfp] = ACTIONS(7151),
    [anon_sym_BSLASHac] = ACTIONS(7151),
    [anon_sym_BSLASHAc] = ACTIONS(7151),
    [anon_sym_BSLASHacp] = ACTIONS(7151),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7151),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7151),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7151),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7151),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7151),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7151),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7151),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7153),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7151),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7151),
    [anon_sym_BSLASHcolor] = ACTIONS(7151),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7151),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7151),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7151),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7151),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7151),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7151),
    [anon_sym_BSLASHurl] = ACTIONS(7151),
    [anon_sym_BSLASHhref] = ACTIONS(7151),
  },
  [1912] = {
    [sym_command_name] = ACTIONS(7155),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7155),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_RBRACK] = ACTIONS(7157),
    [anon_sym_COMMA] = ACTIONS(7157),
    [anon_sym_EQ] = ACTIONS(7157),
    [anon_sym_LPAREN] = ACTIONS(7157),
    [anon_sym_RPAREN] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7157),
    [sym_word] = ACTIONS(7155),
    [sym_placeholder] = ACTIONS(7157),
    [sym_delimiter] = ACTIONS(7157),
    [anon_sym_PLUS] = ACTIONS(7157),
    [anon_sym_DASH] = ACTIONS(7157),
    [anon_sym_STAR] = ACTIONS(7157),
    [anon_sym_SLASH] = ACTIONS(7157),
    [anon_sym_LT] = ACTIONS(7155),
    [anon_sym_GT] = ACTIONS(7155),
    [anon_sym_BANG] = ACTIONS(7155),
    [anon_sym_PIPE] = ACTIONS(7155),
    [anon_sym_COLON] = ACTIONS(7155),
    [anon_sym_SQUOTE] = ACTIONS(7155),
    [anon_sym__] = ACTIONS(7157),
    [anon_sym_CARET] = ACTIONS(7157),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7157),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7157),
    [anon_sym_DOLLAR] = ACTIONS(7155),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7157),
    [anon_sym_BSLASHleft] = ACTIONS(7155),
    [anon_sym_BSLASHbigl] = ACTIONS(7155),
    [anon_sym_BSLASHBigl] = ACTIONS(7155),
    [anon_sym_BSLASHbiggl] = ACTIONS(7155),
    [anon_sym_BSLASHBiggl] = ACTIONS(7155),
    [anon_sym_BSLASHtext] = ACTIONS(7155),
    [anon_sym_BSLASHintertext] = ACTIONS(7155),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7155),
    [anon_sym_BSLASHbegin] = ACTIONS(7155),
    [anon_sym_BSLASHtitle] = ACTIONS(7155),
    [anon_sym_BSLASHauthor] = ACTIONS(7155),
    [anon_sym_BSLASHusepackage] = ACTIONS(7155),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7155),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7155),
    [anon_sym_BSLASHinclude] = ACTIONS(7155),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7155),
    [anon_sym_BSLASHinput] = ACTIONS(7155),
    [anon_sym_BSLASHsubfile] = ACTIONS(7155),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7155),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7155),
    [anon_sym_BSLASHbibliography] = ACTIONS(7155),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7155),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7155),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7155),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7155),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7155),
    [anon_sym_BSLASHimport] = ACTIONS(7155),
    [anon_sym_BSLASHsubimport] = ACTIONS(7155),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7155),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7155),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7155),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7155),
    [anon_sym_BSLASHcaption] = ACTIONS(7155),
    [anon_sym_BSLASHcite] = ACTIONS(7155),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHCite] = ACTIONS(7155),
    [anon_sym_BSLASHnocite] = ACTIONS(7155),
    [anon_sym_BSLASHcitet] = ACTIONS(7155),
    [anon_sym_BSLASHcitep] = ACTIONS(7155),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHciteA] = ACTIONS(7155),
    [anon_sym_BSLASHciteR] = ACTIONS(7155),
    [anon_sym_BSLASHciteS] = ACTIONS(7155),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7155),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7155),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7155),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7155),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHciteyear] = ACTIONS(7155),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcitedate] = ACTIONS(7155),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHciteurl] = ACTIONS(7155),
    [anon_sym_BSLASHfullcite] = ACTIONS(7155),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7155),
    [anon_sym_BSLASHcitealt] = ACTIONS(7155),
    [anon_sym_BSLASHcitealp] = ACTIONS(7155),
    [anon_sym_BSLASHcitetext] = ACTIONS(7155),
    [anon_sym_BSLASHparencite] = ACTIONS(7155),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHParencite] = ACTIONS(7155),
    [anon_sym_BSLASHfootcite] = ACTIONS(7155),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7155),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7155),
    [anon_sym_BSLASHtextcite] = ACTIONS(7155),
    [anon_sym_BSLASHTextcite] = ACTIONS(7155),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7155),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7155),
    [anon_sym_BSLASHsupercite] = ACTIONS(7155),
    [anon_sym_BSLASHautocite] = ACTIONS(7155),
    [anon_sym_BSLASHAutocite] = ACTIONS(7155),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHVolcite] = ACTIONS(7155),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHavolcite] = ACTIONS(7155),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7155),
    [anon_sym_BSLASHnotecite] = ACTIONS(7155),
    [anon_sym_BSLASHNotecite] = ACTIONS(7155),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7155),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7155),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7155),
    [anon_sym_BSLASHlabel] = ACTIONS(7155),
    [anon_sym_BSLASHref] = ACTIONS(7155),
    [anon_sym_BSLASHeqref] = ACTIONS(7155),
    [anon_sym_BSLASHvref] = ACTIONS(7155),
    [anon_sym_BSLASHVref] = ACTIONS(7155),
    [anon_sym_BSLASHautoref] = ACTIONS(7155),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHpageref] = ACTIONS(7155),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHautopageref] = ACTIONS(7155),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcref] = ACTIONS(7155),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHCref] = ACTIONS(7155),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcpageref] = ACTIONS(7155),
    [anon_sym_BSLASHCpageref] = ACTIONS(7155),
    [anon_sym_BSLASHnamecref] = ACTIONS(7155),
    [anon_sym_BSLASHnameCref] = ACTIONS(7155),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7155),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7155),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7155),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7155),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7155),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7155),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7155),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7155),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7155),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7155),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7155),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7155),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7155),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7155),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7155),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7155),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7155),
    [anon_sym_BSLASHdef] = ACTIONS(7155),
    [anon_sym_BSLASHgdef] = ACTIONS(7155),
    [anon_sym_BSLASHedef] = ACTIONS(7155),
    [anon_sym_BSLASHxdef] = ACTIONS(7155),
    [anon_sym_BSLASHlet] = ACTIONS(7155),
    [anon_sym_BSLASHglet] = ACTIONS(7155),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7155),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7155),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7155),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7155),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7155),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7155),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7155),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7155),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7155),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7155),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7155),
    [anon_sym_BSLASHgls] = ACTIONS(7155),
    [anon_sym_BSLASHGls] = ACTIONS(7155),
    [anon_sym_BSLASHGLS] = ACTIONS(7155),
    [anon_sym_BSLASHglspl] = ACTIONS(7155),
    [anon_sym_BSLASHGlspl] = ACTIONS(7155),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7155),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7155),
    [anon_sym_BSLASHglslink] = ACTIONS(7155),
    [anon_sym_BSLASHglstext] = ACTIONS(7155),
    [anon_sym_BSLASHGlstext] = ACTIONS(7155),
    [anon_sym_BSLASHGLStext] = ACTIONS(7155),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7155),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7155),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7155),
    [anon_sym_BSLASHglsplural] = ACTIONS(7155),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7155),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7155),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7155),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7155),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7155),
    [anon_sym_BSLASHglsname] = ACTIONS(7155),
    [anon_sym_BSLASHGlsname] = ACTIONS(7155),
    [anon_sym_BSLASHGLSname] = ACTIONS(7155),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7155),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7155),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7155),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7155),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7155),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7155),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7155),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7155),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7155),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7155),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7155),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7155),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7155),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7155),
    [anon_sym_BSLASHacrshort] = ACTIONS(7155),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7155),
    [anon_sym_BSLASHACRshort] = ACTIONS(7155),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHacrlong] = ACTIONS(7155),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7155),
    [anon_sym_BSLASHACRlong] = ACTIONS(7155),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7155),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7155),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7155),
    [anon_sym_BSLASHacrfull] = ACTIONS(7155),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7155),
    [anon_sym_BSLASHACRfull] = ACTIONS(7155),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHacs] = ACTIONS(7155),
    [anon_sym_BSLASHAcs] = ACTIONS(7155),
    [anon_sym_BSLASHacsp] = ACTIONS(7155),
    [anon_sym_BSLASHAcsp] = ACTIONS(7155),
    [anon_sym_BSLASHacl] = ACTIONS(7155),
    [anon_sym_BSLASHAcl] = ACTIONS(7155),
    [anon_sym_BSLASHaclp] = ACTIONS(7155),
    [anon_sym_BSLASHAclp] = ACTIONS(7155),
    [anon_sym_BSLASHacf] = ACTIONS(7155),
    [anon_sym_BSLASHAcf] = ACTIONS(7155),
    [anon_sym_BSLASHacfp] = ACTIONS(7155),
    [anon_sym_BSLASHAcfp] = ACTIONS(7155),
    [anon_sym_BSLASHac] = ACTIONS(7155),
    [anon_sym_BSLASHAc] = ACTIONS(7155),
    [anon_sym_BSLASHacp] = ACTIONS(7155),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7155),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7155),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7155),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7155),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7155),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7155),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7155),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7157),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7155),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7155),
    [anon_sym_BSLASHcolor] = ACTIONS(7155),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7155),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7155),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7155),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7155),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7155),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7155),
    [anon_sym_BSLASHurl] = ACTIONS(7155),
    [anon_sym_BSLASHhref] = ACTIONS(7155),
  },
  [1913] = {
    [sym_command_name] = ACTIONS(169),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(169),
    [anon_sym_LBRACK] = ACTIONS(171),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_COMMA] = ACTIONS(171),
    [anon_sym_EQ] = ACTIONS(171),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_RBRACE] = ACTIONS(171),
    [sym_word] = ACTIONS(169),
    [sym_placeholder] = ACTIONS(171),
    [sym_delimiter] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_STAR] = ACTIONS(171),
    [anon_sym_SLASH] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(169),
    [anon_sym_GT] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_PIPE] = ACTIONS(169),
    [anon_sym_COLON] = ACTIONS(169),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym__] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(171),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(171),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(171),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(171),
    [anon_sym_BSLASHleft] = ACTIONS(169),
    [anon_sym_BSLASHbigl] = ACTIONS(169),
    [anon_sym_BSLASHBigl] = ACTIONS(169),
    [anon_sym_BSLASHbiggl] = ACTIONS(169),
    [anon_sym_BSLASHBiggl] = ACTIONS(169),
    [anon_sym_BSLASHtext] = ACTIONS(169),
    [anon_sym_BSLASHintertext] = ACTIONS(169),
    [anon_sym_BSLASHshortintertext] = ACTIONS(169),
    [anon_sym_BSLASHtitle] = ACTIONS(169),
    [anon_sym_BSLASHauthor] = ACTIONS(169),
    [anon_sym_BSLASHusepackage] = ACTIONS(169),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(169),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(169),
    [anon_sym_BSLASHinclude] = ACTIONS(169),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(169),
    [anon_sym_BSLASHinput] = ACTIONS(169),
    [anon_sym_BSLASHsubfile] = ACTIONS(169),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(169),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(169),
    [anon_sym_BSLASHbibliography] = ACTIONS(169),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(169),
    [anon_sym_BSLASHincludesvg] = ACTIONS(169),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(169),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(169),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(169),
    [anon_sym_BSLASHimport] = ACTIONS(169),
    [anon_sym_BSLASHsubimport] = ACTIONS(169),
    [anon_sym_BSLASHinputfrom] = ACTIONS(169),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(169),
    [anon_sym_BSLASHincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHcaption] = ACTIONS(169),
    [anon_sym_BSLASHcite] = ACTIONS(169),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCite] = ACTIONS(169),
    [anon_sym_BSLASHnocite] = ACTIONS(169),
    [anon_sym_BSLASHcitet] = ACTIONS(169),
    [anon_sym_BSLASHcitep] = ACTIONS(169),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteA] = ACTIONS(169),
    [anon_sym_BSLASHciteR] = ACTIONS(169),
    [anon_sym_BSLASHciteS] = ACTIONS(169),
    [anon_sym_BSLASHciteyearR] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(169),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitetitle] = ACTIONS(169),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteyear] = ACTIONS(169),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitedate] = ACTIONS(169),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteurl] = ACTIONS(169),
    [anon_sym_BSLASHfullcite] = ACTIONS(169),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(169),
    [anon_sym_BSLASHcitealt] = ACTIONS(169),
    [anon_sym_BSLASHcitealp] = ACTIONS(169),
    [anon_sym_BSLASHcitetext] = ACTIONS(169),
    [anon_sym_BSLASHparencite] = ACTIONS(169),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHParencite] = ACTIONS(169),
    [anon_sym_BSLASHfootcite] = ACTIONS(169),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(169),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(169),
    [anon_sym_BSLASHtextcite] = ACTIONS(169),
    [anon_sym_BSLASHTextcite] = ACTIONS(169),
    [anon_sym_BSLASHsmartcite] = ACTIONS(169),
    [anon_sym_BSLASHSmartcite] = ACTIONS(169),
    [anon_sym_BSLASHsupercite] = ACTIONS(169),
    [anon_sym_BSLASHautocite] = ACTIONS(169),
    [anon_sym_BSLASHAutocite] = ACTIONS(169),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHvolcite] = ACTIONS(169),
    [anon_sym_BSLASHVolcite] = ACTIONS(169),
    [anon_sym_BSLASHpvolcite] = ACTIONS(169),
    [anon_sym_BSLASHPvolcite] = ACTIONS(169),
    [anon_sym_BSLASHfvolcite] = ACTIONS(169),
    [anon_sym_BSLASHftvolcite] = ACTIONS(169),
    [anon_sym_BSLASHsvolcite] = ACTIONS(169),
    [anon_sym_BSLASHSvolcite] = ACTIONS(169),
    [anon_sym_BSLASHtvolcite] = ACTIONS(169),
    [anon_sym_BSLASHTvolcite] = ACTIONS(169),
    [anon_sym_BSLASHavolcite] = ACTIONS(169),
    [anon_sym_BSLASHAvolcite] = ACTIONS(169),
    [anon_sym_BSLASHnotecite] = ACTIONS(169),
    [anon_sym_BSLASHNotecite] = ACTIONS(169),
    [anon_sym_BSLASHpnotecite] = ACTIONS(169),
    [anon_sym_BSLASHPnotecite] = ACTIONS(169),
    [anon_sym_BSLASHfnotecite] = ACTIONS(169),
    [anon_sym_BSLASHlabel] = ACTIONS(169),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHeqref] = ACTIONS(169),
    [anon_sym_BSLASHvref] = ACTIONS(169),
    [anon_sym_BSLASHVref] = ACTIONS(169),
    [anon_sym_BSLASHautoref] = ACTIONS(169),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHpageref] = ACTIONS(169),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHautopageref] = ACTIONS(169),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcref] = ACTIONS(169),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCref] = ACTIONS(169),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpageref] = ACTIONS(169),
    [anon_sym_BSLASHCpageref] = ACTIONS(169),
    [anon_sym_BSLASHnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnameCref] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcrefrange] = ACTIONS(169),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCrefrange] = ACTIONS(169),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHnewlabel] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(169),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(169),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(169),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(171),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHdef] = ACTIONS(169),
    [anon_sym_BSLASHgdef] = ACTIONS(169),
    [anon_sym_BSLASHedef] = ACTIONS(169),
    [anon_sym_BSLASHxdef] = ACTIONS(169),
    [anon_sym_BSLASHlet] = ACTIONS(169),
    [anon_sym_BSLASHglet] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(169),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(169),
    [anon_sym_BSLASHgls] = ACTIONS(169),
    [anon_sym_BSLASHGls] = ACTIONS(169),
    [anon_sym_BSLASHGLS] = ACTIONS(169),
    [anon_sym_BSLASHglspl] = ACTIONS(169),
    [anon_sym_BSLASHGlspl] = ACTIONS(169),
    [anon_sym_BSLASHGLSpl] = ACTIONS(169),
    [anon_sym_BSLASHglsdisp] = ACTIONS(169),
    [anon_sym_BSLASHglslink] = ACTIONS(169),
    [anon_sym_BSLASHglstext] = ACTIONS(169),
    [anon_sym_BSLASHGlstext] = ACTIONS(169),
    [anon_sym_BSLASHGLStext] = ACTIONS(169),
    [anon_sym_BSLASHglsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(169),
    [anon_sym_BSLASHglsplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSplural] = ACTIONS(169),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHglsname] = ACTIONS(169),
    [anon_sym_BSLASHGlsname] = ACTIONS(169),
    [anon_sym_BSLASHGLSname] = ACTIONS(169),
    [anon_sym_BSLASHglssymbol] = ACTIONS(169),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(169),
    [anon_sym_BSLASHglsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(169),
    [anon_sym_BSLASHglsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(169),
    [anon_sym_BSLASHglsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(169),
    [anon_sym_BSLASHglsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(169),
    [anon_sym_BSLASHglsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(169),
    [anon_sym_BSLASHnewacronym] = ACTIONS(169),
    [anon_sym_BSLASHacrshort] = ACTIONS(169),
    [anon_sym_BSLASHAcrshort] = ACTIONS(169),
    [anon_sym_BSLASHACRshort] = ACTIONS(169),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(169),
    [anon_sym_BSLASHacrlong] = ACTIONS(169),
    [anon_sym_BSLASHAcrlong] = ACTIONS(169),
    [anon_sym_BSLASHACRlong] = ACTIONS(169),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(169),
    [anon_sym_BSLASHacrfull] = ACTIONS(169),
    [anon_sym_BSLASHAcrfull] = ACTIONS(169),
    [anon_sym_BSLASHACRfull] = ACTIONS(169),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(169),
    [anon_sym_BSLASHacs] = ACTIONS(169),
    [anon_sym_BSLASHAcs] = ACTIONS(169),
    [anon_sym_BSLASHacsp] = ACTIONS(169),
    [anon_sym_BSLASHAcsp] = ACTIONS(169),
    [anon_sym_BSLASHacl] = ACTIONS(169),
    [anon_sym_BSLASHAcl] = ACTIONS(169),
    [anon_sym_BSLASHaclp] = ACTIONS(169),
    [anon_sym_BSLASHAclp] = ACTIONS(169),
    [anon_sym_BSLASHacf] = ACTIONS(169),
    [anon_sym_BSLASHAcf] = ACTIONS(169),
    [anon_sym_BSLASHacfp] = ACTIONS(169),
    [anon_sym_BSLASHAcfp] = ACTIONS(169),
    [anon_sym_BSLASHac] = ACTIONS(169),
    [anon_sym_BSLASHAc] = ACTIONS(169),
    [anon_sym_BSLASHacp] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(169),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(169),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(169),
    [anon_sym_BSLASHcolor] = ACTIONS(169),
    [anon_sym_BSLASHpagecolor] = ACTIONS(169),
    [anon_sym_BSLASHtextcolor] = ACTIONS(169),
    [anon_sym_BSLASHmathcolor] = ACTIONS(169),
    [anon_sym_BSLASHcolorbox] = ACTIONS(169),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(169),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(169),
    [anon_sym_BSLASHurl] = ACTIONS(169),
    [anon_sym_BSLASHhref] = ACTIONS(169),
  },
  [1914] = {
    [sym_command_name] = ACTIONS(7159),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7159),
    [anon_sym_LBRACK] = ACTIONS(7161),
    [anon_sym_RBRACK] = ACTIONS(7161),
    [anon_sym_COMMA] = ACTIONS(7161),
    [anon_sym_EQ] = ACTIONS(7161),
    [anon_sym_LPAREN] = ACTIONS(7161),
    [anon_sym_RPAREN] = ACTIONS(7161),
    [anon_sym_LBRACE] = ACTIONS(7161),
    [sym_word] = ACTIONS(7159),
    [sym_placeholder] = ACTIONS(7161),
    [sym_delimiter] = ACTIONS(7161),
    [anon_sym_PLUS] = ACTIONS(7161),
    [anon_sym_DASH] = ACTIONS(7161),
    [anon_sym_STAR] = ACTIONS(7161),
    [anon_sym_SLASH] = ACTIONS(7161),
    [anon_sym_LT] = ACTIONS(7159),
    [anon_sym_GT] = ACTIONS(7159),
    [anon_sym_BANG] = ACTIONS(7159),
    [anon_sym_PIPE] = ACTIONS(7159),
    [anon_sym_COLON] = ACTIONS(7159),
    [anon_sym_SQUOTE] = ACTIONS(7159),
    [anon_sym__] = ACTIONS(7161),
    [anon_sym_CARET] = ACTIONS(7161),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7161),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7161),
    [anon_sym_DOLLAR] = ACTIONS(7159),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7161),
    [anon_sym_BSLASHleft] = ACTIONS(7159),
    [anon_sym_BSLASHbigl] = ACTIONS(7159),
    [anon_sym_BSLASHBigl] = ACTIONS(7159),
    [anon_sym_BSLASHbiggl] = ACTIONS(7159),
    [anon_sym_BSLASHBiggl] = ACTIONS(7159),
    [anon_sym_BSLASHtext] = ACTIONS(7159),
    [anon_sym_BSLASHintertext] = ACTIONS(7159),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7159),
    [anon_sym_BSLASHbegin] = ACTIONS(7159),
    [anon_sym_BSLASHtitle] = ACTIONS(7159),
    [anon_sym_BSLASHauthor] = ACTIONS(7159),
    [anon_sym_BSLASHusepackage] = ACTIONS(7159),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7159),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7159),
    [anon_sym_BSLASHinclude] = ACTIONS(7159),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7159),
    [anon_sym_BSLASHinput] = ACTIONS(7159),
    [anon_sym_BSLASHsubfile] = ACTIONS(7159),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7159),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7159),
    [anon_sym_BSLASHbibliography] = ACTIONS(7159),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7159),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7159),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7159),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7159),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7159),
    [anon_sym_BSLASHimport] = ACTIONS(7159),
    [anon_sym_BSLASHsubimport] = ACTIONS(7159),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7159),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7159),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7159),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7159),
    [anon_sym_BSLASHcaption] = ACTIONS(7159),
    [anon_sym_BSLASHcite] = ACTIONS(7159),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHCite] = ACTIONS(7159),
    [anon_sym_BSLASHnocite] = ACTIONS(7159),
    [anon_sym_BSLASHcitet] = ACTIONS(7159),
    [anon_sym_BSLASHcitep] = ACTIONS(7159),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHciteA] = ACTIONS(7159),
    [anon_sym_BSLASHciteR] = ACTIONS(7159),
    [anon_sym_BSLASHciteS] = ACTIONS(7159),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7159),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7159),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7159),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7159),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHciteyear] = ACTIONS(7159),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcitedate] = ACTIONS(7159),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHciteurl] = ACTIONS(7159),
    [anon_sym_BSLASHfullcite] = ACTIONS(7159),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7159),
    [anon_sym_BSLASHcitealt] = ACTIONS(7159),
    [anon_sym_BSLASHcitealp] = ACTIONS(7159),
    [anon_sym_BSLASHcitetext] = ACTIONS(7159),
    [anon_sym_BSLASHparencite] = ACTIONS(7159),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHParencite] = ACTIONS(7159),
    [anon_sym_BSLASHfootcite] = ACTIONS(7159),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7159),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7159),
    [anon_sym_BSLASHtextcite] = ACTIONS(7159),
    [anon_sym_BSLASHTextcite] = ACTIONS(7159),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7159),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7159),
    [anon_sym_BSLASHsupercite] = ACTIONS(7159),
    [anon_sym_BSLASHautocite] = ACTIONS(7159),
    [anon_sym_BSLASHAutocite] = ACTIONS(7159),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHVolcite] = ACTIONS(7159),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHavolcite] = ACTIONS(7159),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7159),
    [anon_sym_BSLASHnotecite] = ACTIONS(7159),
    [anon_sym_BSLASHNotecite] = ACTIONS(7159),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7159),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7159),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7159),
    [anon_sym_BSLASHlabel] = ACTIONS(7159),
    [anon_sym_BSLASHref] = ACTIONS(7159),
    [anon_sym_BSLASHeqref] = ACTIONS(7159),
    [anon_sym_BSLASHvref] = ACTIONS(7159),
    [anon_sym_BSLASHVref] = ACTIONS(7159),
    [anon_sym_BSLASHautoref] = ACTIONS(7159),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHpageref] = ACTIONS(7159),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHautopageref] = ACTIONS(7159),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcref] = ACTIONS(7159),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHCref] = ACTIONS(7159),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcpageref] = ACTIONS(7159),
    [anon_sym_BSLASHCpageref] = ACTIONS(7159),
    [anon_sym_BSLASHnamecref] = ACTIONS(7159),
    [anon_sym_BSLASHnameCref] = ACTIONS(7159),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7159),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7159),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7159),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7159),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7159),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7159),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7159),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7159),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7159),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7159),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7159),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7159),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7159),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7159),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7159),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7159),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7159),
    [anon_sym_BSLASHdef] = ACTIONS(7159),
    [anon_sym_BSLASHgdef] = ACTIONS(7159),
    [anon_sym_BSLASHedef] = ACTIONS(7159),
    [anon_sym_BSLASHxdef] = ACTIONS(7159),
    [anon_sym_BSLASHlet] = ACTIONS(7159),
    [anon_sym_BSLASHglet] = ACTIONS(7159),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7159),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7159),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7159),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7159),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7159),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7159),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7159),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7159),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7159),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7159),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7159),
    [anon_sym_BSLASHgls] = ACTIONS(7159),
    [anon_sym_BSLASHGls] = ACTIONS(7159),
    [anon_sym_BSLASHGLS] = ACTIONS(7159),
    [anon_sym_BSLASHglspl] = ACTIONS(7159),
    [anon_sym_BSLASHGlspl] = ACTIONS(7159),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7159),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7159),
    [anon_sym_BSLASHglslink] = ACTIONS(7159),
    [anon_sym_BSLASHglstext] = ACTIONS(7159),
    [anon_sym_BSLASHGlstext] = ACTIONS(7159),
    [anon_sym_BSLASHGLStext] = ACTIONS(7159),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7159),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7159),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7159),
    [anon_sym_BSLASHglsplural] = ACTIONS(7159),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7159),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7159),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7159),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7159),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7159),
    [anon_sym_BSLASHglsname] = ACTIONS(7159),
    [anon_sym_BSLASHGlsname] = ACTIONS(7159),
    [anon_sym_BSLASHGLSname] = ACTIONS(7159),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7159),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7159),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7159),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7159),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7159),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7159),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7159),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7159),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7159),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7159),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7159),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7159),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7159),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7159),
    [anon_sym_BSLASHacrshort] = ACTIONS(7159),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7159),
    [anon_sym_BSLASHACRshort] = ACTIONS(7159),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHacrlong] = ACTIONS(7159),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7159),
    [anon_sym_BSLASHACRlong] = ACTIONS(7159),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7159),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7159),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7159),
    [anon_sym_BSLASHacrfull] = ACTIONS(7159),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7159),
    [anon_sym_BSLASHACRfull] = ACTIONS(7159),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHacs] = ACTIONS(7159),
    [anon_sym_BSLASHAcs] = ACTIONS(7159),
    [anon_sym_BSLASHacsp] = ACTIONS(7159),
    [anon_sym_BSLASHAcsp] = ACTIONS(7159),
    [anon_sym_BSLASHacl] = ACTIONS(7159),
    [anon_sym_BSLASHAcl] = ACTIONS(7159),
    [anon_sym_BSLASHaclp] = ACTIONS(7159),
    [anon_sym_BSLASHAclp] = ACTIONS(7159),
    [anon_sym_BSLASHacf] = ACTIONS(7159),
    [anon_sym_BSLASHAcf] = ACTIONS(7159),
    [anon_sym_BSLASHacfp] = ACTIONS(7159),
    [anon_sym_BSLASHAcfp] = ACTIONS(7159),
    [anon_sym_BSLASHac] = ACTIONS(7159),
    [anon_sym_BSLASHAc] = ACTIONS(7159),
    [anon_sym_BSLASHacp] = ACTIONS(7159),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7159),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7159),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7159),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7159),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7159),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7159),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7159),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7161),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7159),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7159),
    [anon_sym_BSLASHcolor] = ACTIONS(7159),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7159),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7159),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7159),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7159),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7159),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7159),
    [anon_sym_BSLASHurl] = ACTIONS(7159),
    [anon_sym_BSLASHhref] = ACTIONS(7159),
  },
  [1915] = {
    [sym_command_name] = ACTIONS(173),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(173),
    [anon_sym_LBRACK] = ACTIONS(175),
    [anon_sym_RBRACK] = ACTIONS(175),
    [anon_sym_COMMA] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_RPAREN] = ACTIONS(175),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_RBRACE] = ACTIONS(175),
    [sym_word] = ACTIONS(173),
    [sym_placeholder] = ACTIONS(175),
    [sym_delimiter] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym__] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(175),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(175),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(175),
    [anon_sym_DOLLAR] = ACTIONS(173),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(175),
    [anon_sym_BSLASHleft] = ACTIONS(173),
    [anon_sym_BSLASHbigl] = ACTIONS(173),
    [anon_sym_BSLASHBigl] = ACTIONS(173),
    [anon_sym_BSLASHbiggl] = ACTIONS(173),
    [anon_sym_BSLASHBiggl] = ACTIONS(173),
    [anon_sym_BSLASHtext] = ACTIONS(173),
    [anon_sym_BSLASHintertext] = ACTIONS(173),
    [anon_sym_BSLASHshortintertext] = ACTIONS(173),
    [anon_sym_BSLASHtitle] = ACTIONS(173),
    [anon_sym_BSLASHauthor] = ACTIONS(173),
    [anon_sym_BSLASHusepackage] = ACTIONS(173),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(173),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(173),
    [anon_sym_BSLASHinclude] = ACTIONS(173),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(173),
    [anon_sym_BSLASHinput] = ACTIONS(173),
    [anon_sym_BSLASHsubfile] = ACTIONS(173),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(173),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(173),
    [anon_sym_BSLASHbibliography] = ACTIONS(173),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(173),
    [anon_sym_BSLASHincludesvg] = ACTIONS(173),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(173),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(173),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(173),
    [anon_sym_BSLASHimport] = ACTIONS(173),
    [anon_sym_BSLASHsubimport] = ACTIONS(173),
    [anon_sym_BSLASHinputfrom] = ACTIONS(173),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(173),
    [anon_sym_BSLASHincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHcaption] = ACTIONS(173),
    [anon_sym_BSLASHcite] = ACTIONS(173),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCite] = ACTIONS(173),
    [anon_sym_BSLASHnocite] = ACTIONS(173),
    [anon_sym_BSLASHcitet] = ACTIONS(173),
    [anon_sym_BSLASHcitep] = ACTIONS(173),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteA] = ACTIONS(173),
    [anon_sym_BSLASHciteR] = ACTIONS(173),
    [anon_sym_BSLASHciteS] = ACTIONS(173),
    [anon_sym_BSLASHciteyearR] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(173),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitetitle] = ACTIONS(173),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteyear] = ACTIONS(173),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitedate] = ACTIONS(173),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteurl] = ACTIONS(173),
    [anon_sym_BSLASHfullcite] = ACTIONS(173),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(173),
    [anon_sym_BSLASHcitealt] = ACTIONS(173),
    [anon_sym_BSLASHcitealp] = ACTIONS(173),
    [anon_sym_BSLASHcitetext] = ACTIONS(173),
    [anon_sym_BSLASHparencite] = ACTIONS(173),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHParencite] = ACTIONS(173),
    [anon_sym_BSLASHfootcite] = ACTIONS(173),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(173),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(173),
    [anon_sym_BSLASHtextcite] = ACTIONS(173),
    [anon_sym_BSLASHTextcite] = ACTIONS(173),
    [anon_sym_BSLASHsmartcite] = ACTIONS(173),
    [anon_sym_BSLASHSmartcite] = ACTIONS(173),
    [anon_sym_BSLASHsupercite] = ACTIONS(173),
    [anon_sym_BSLASHautocite] = ACTIONS(173),
    [anon_sym_BSLASHAutocite] = ACTIONS(173),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHvolcite] = ACTIONS(173),
    [anon_sym_BSLASHVolcite] = ACTIONS(173),
    [anon_sym_BSLASHpvolcite] = ACTIONS(173),
    [anon_sym_BSLASHPvolcite] = ACTIONS(173),
    [anon_sym_BSLASHfvolcite] = ACTIONS(173),
    [anon_sym_BSLASHftvolcite] = ACTIONS(173),
    [anon_sym_BSLASHsvolcite] = ACTIONS(173),
    [anon_sym_BSLASHSvolcite] = ACTIONS(173),
    [anon_sym_BSLASHtvolcite] = ACTIONS(173),
    [anon_sym_BSLASHTvolcite] = ACTIONS(173),
    [anon_sym_BSLASHavolcite] = ACTIONS(173),
    [anon_sym_BSLASHAvolcite] = ACTIONS(173),
    [anon_sym_BSLASHnotecite] = ACTIONS(173),
    [anon_sym_BSLASHNotecite] = ACTIONS(173),
    [anon_sym_BSLASHpnotecite] = ACTIONS(173),
    [anon_sym_BSLASHPnotecite] = ACTIONS(173),
    [anon_sym_BSLASHfnotecite] = ACTIONS(173),
    [anon_sym_BSLASHlabel] = ACTIONS(173),
    [anon_sym_BSLASHref] = ACTIONS(173),
    [anon_sym_BSLASHeqref] = ACTIONS(173),
    [anon_sym_BSLASHvref] = ACTIONS(173),
    [anon_sym_BSLASHVref] = ACTIONS(173),
    [anon_sym_BSLASHautoref] = ACTIONS(173),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHpageref] = ACTIONS(173),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHautopageref] = ACTIONS(173),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcref] = ACTIONS(173),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCref] = ACTIONS(173),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpageref] = ACTIONS(173),
    [anon_sym_BSLASHCpageref] = ACTIONS(173),
    [anon_sym_BSLASHnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnameCref] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcrefrange] = ACTIONS(173),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCrefrange] = ACTIONS(173),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHnewlabel] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(173),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(173),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(173),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(175),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHdef] = ACTIONS(173),
    [anon_sym_BSLASHgdef] = ACTIONS(173),
    [anon_sym_BSLASHedef] = ACTIONS(173),
    [anon_sym_BSLASHxdef] = ACTIONS(173),
    [anon_sym_BSLASHlet] = ACTIONS(173),
    [anon_sym_BSLASHglet] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(173),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(173),
    [anon_sym_BSLASHgls] = ACTIONS(173),
    [anon_sym_BSLASHGls] = ACTIONS(173),
    [anon_sym_BSLASHGLS] = ACTIONS(173),
    [anon_sym_BSLASHglspl] = ACTIONS(173),
    [anon_sym_BSLASHGlspl] = ACTIONS(173),
    [anon_sym_BSLASHGLSpl] = ACTIONS(173),
    [anon_sym_BSLASHglsdisp] = ACTIONS(173),
    [anon_sym_BSLASHglslink] = ACTIONS(173),
    [anon_sym_BSLASHglstext] = ACTIONS(173),
    [anon_sym_BSLASHGlstext] = ACTIONS(173),
    [anon_sym_BSLASHGLStext] = ACTIONS(173),
    [anon_sym_BSLASHglsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(173),
    [anon_sym_BSLASHglsplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSplural] = ACTIONS(173),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHglsname] = ACTIONS(173),
    [anon_sym_BSLASHGlsname] = ACTIONS(173),
    [anon_sym_BSLASHGLSname] = ACTIONS(173),
    [anon_sym_BSLASHglssymbol] = ACTIONS(173),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(173),
    [anon_sym_BSLASHglsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(173),
    [anon_sym_BSLASHglsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(173),
    [anon_sym_BSLASHglsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(173),
    [anon_sym_BSLASHglsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(173),
    [anon_sym_BSLASHglsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(173),
    [anon_sym_BSLASHnewacronym] = ACTIONS(173),
    [anon_sym_BSLASHacrshort] = ACTIONS(173),
    [anon_sym_BSLASHAcrshort] = ACTIONS(173),
    [anon_sym_BSLASHACRshort] = ACTIONS(173),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(173),
    [anon_sym_BSLASHacrlong] = ACTIONS(173),
    [anon_sym_BSLASHAcrlong] = ACTIONS(173),
    [anon_sym_BSLASHACRlong] = ACTIONS(173),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(173),
    [anon_sym_BSLASHacrfull] = ACTIONS(173),
    [anon_sym_BSLASHAcrfull] = ACTIONS(173),
    [anon_sym_BSLASHACRfull] = ACTIONS(173),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(173),
    [anon_sym_BSLASHacs] = ACTIONS(173),
    [anon_sym_BSLASHAcs] = ACTIONS(173),
    [anon_sym_BSLASHacsp] = ACTIONS(173),
    [anon_sym_BSLASHAcsp] = ACTIONS(173),
    [anon_sym_BSLASHacl] = ACTIONS(173),
    [anon_sym_BSLASHAcl] = ACTIONS(173),
    [anon_sym_BSLASHaclp] = ACTIONS(173),
    [anon_sym_BSLASHAclp] = ACTIONS(173),
    [anon_sym_BSLASHacf] = ACTIONS(173),
    [anon_sym_BSLASHAcf] = ACTIONS(173),
    [anon_sym_BSLASHacfp] = ACTIONS(173),
    [anon_sym_BSLASHAcfp] = ACTIONS(173),
    [anon_sym_BSLASHac] = ACTIONS(173),
    [anon_sym_BSLASHAc] = ACTIONS(173),
    [anon_sym_BSLASHacp] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(173),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(173),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(173),
    [anon_sym_BSLASHcolor] = ACTIONS(173),
    [anon_sym_BSLASHpagecolor] = ACTIONS(173),
    [anon_sym_BSLASHtextcolor] = ACTIONS(173),
    [anon_sym_BSLASHmathcolor] = ACTIONS(173),
    [anon_sym_BSLASHcolorbox] = ACTIONS(173),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(173),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(173),
    [anon_sym_BSLASHurl] = ACTIONS(173),
    [anon_sym_BSLASHhref] = ACTIONS(173),
  },
  [1916] = {
    [sym_curly_group] = STATE(2092),
    [sym_brack_group_text] = STATE(3249),
    [sym_command_name] = ACTIONS(6881),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6881),
    [anon_sym_LBRACK] = ACTIONS(6883),
    [anon_sym_LPAREN] = ACTIONS(6885),
    [anon_sym_RPAREN] = ACTIONS(6885),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(6885),
    [anon_sym_BSLASHand] = ACTIONS(6881),
    [sym_word] = ACTIONS(6881),
    [sym_placeholder] = ACTIONS(6885),
    [sym_delimiter] = ACTIONS(6885),
    [anon_sym_PLUS] = ACTIONS(6885),
    [anon_sym_DASH] = ACTIONS(6885),
    [anon_sym_STAR] = ACTIONS(6885),
    [anon_sym_SLASH] = ACTIONS(6885),
    [anon_sym_LT] = ACTIONS(6881),
    [anon_sym_GT] = ACTIONS(6881),
    [anon_sym_BANG] = ACTIONS(6881),
    [anon_sym_PIPE] = ACTIONS(6881),
    [anon_sym_COLON] = ACTIONS(6881),
    [anon_sym_SQUOTE] = ACTIONS(6881),
    [anon_sym__] = ACTIONS(6885),
    [anon_sym_CARET] = ACTIONS(6885),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6885),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6885),
    [anon_sym_DOLLAR] = ACTIONS(6881),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6885),
    [anon_sym_BSLASHleft] = ACTIONS(6881),
    [anon_sym_BSLASHbigl] = ACTIONS(6881),
    [anon_sym_BSLASHBigl] = ACTIONS(6881),
    [anon_sym_BSLASHbiggl] = ACTIONS(6881),
    [anon_sym_BSLASHBiggl] = ACTIONS(6881),
    [anon_sym_BSLASHtext] = ACTIONS(6881),
    [anon_sym_BSLASHintertext] = ACTIONS(6881),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6881),
    [anon_sym_BSLASHtitle] = ACTIONS(6881),
    [anon_sym_BSLASHauthor] = ACTIONS(6881),
    [anon_sym_BSLASHusepackage] = ACTIONS(6881),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6881),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6881),
    [anon_sym_BSLASHinclude] = ACTIONS(6881),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6881),
    [anon_sym_BSLASHinput] = ACTIONS(6881),
    [anon_sym_BSLASHsubfile] = ACTIONS(6881),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6881),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6881),
    [anon_sym_BSLASHbibliography] = ACTIONS(6881),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6881),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6881),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6881),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6881),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6881),
    [anon_sym_BSLASHimport] = ACTIONS(6881),
    [anon_sym_BSLASHsubimport] = ACTIONS(6881),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6881),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6881),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6881),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6881),
    [anon_sym_BSLASHcaption] = ACTIONS(6881),
    [anon_sym_BSLASHcite] = ACTIONS(6881),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCite] = ACTIONS(6881),
    [anon_sym_BSLASHnocite] = ACTIONS(6881),
    [anon_sym_BSLASHcitet] = ACTIONS(6881),
    [anon_sym_BSLASHcitep] = ACTIONS(6881),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteA] = ACTIONS(6881),
    [anon_sym_BSLASHciteR] = ACTIONS(6881),
    [anon_sym_BSLASHciteS] = ACTIONS(6881),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6881),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6881),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6881),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6881),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteyear] = ACTIONS(6881),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitedate] = ACTIONS(6881),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteurl] = ACTIONS(6881),
    [anon_sym_BSLASHfullcite] = ACTIONS(6881),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6881),
    [anon_sym_BSLASHcitealt] = ACTIONS(6881),
    [anon_sym_BSLASHcitealp] = ACTIONS(6881),
    [anon_sym_BSLASHcitetext] = ACTIONS(6881),
    [anon_sym_BSLASHparencite] = ACTIONS(6881),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHParencite] = ACTIONS(6881),
    [anon_sym_BSLASHfootcite] = ACTIONS(6881),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6881),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6881),
    [anon_sym_BSLASHtextcite] = ACTIONS(6881),
    [anon_sym_BSLASHTextcite] = ACTIONS(6881),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6881),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6881),
    [anon_sym_BSLASHsupercite] = ACTIONS(6881),
    [anon_sym_BSLASHautocite] = ACTIONS(6881),
    [anon_sym_BSLASHAutocite] = ACTIONS(6881),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHVolcite] = ACTIONS(6881),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHavolcite] = ACTIONS(6881),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHNotecite] = ACTIONS(6881),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHlabel] = ACTIONS(6881),
    [anon_sym_BSLASHref] = ACTIONS(6881),
    [anon_sym_BSLASHeqref] = ACTIONS(6881),
    [anon_sym_BSLASHvref] = ACTIONS(6881),
    [anon_sym_BSLASHVref] = ACTIONS(6881),
    [anon_sym_BSLASHautoref] = ACTIONS(6881),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHpageref] = ACTIONS(6881),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHautopageref] = ACTIONS(6881),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcref] = ACTIONS(6881),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCref] = ACTIONS(6881),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcpageref] = ACTIONS(6881),
    [anon_sym_BSLASHCpageref] = ACTIONS(6881),
    [anon_sym_BSLASHnamecref] = ACTIONS(6881),
    [anon_sym_BSLASHnameCref] = ACTIONS(6881),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6881),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6881),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6881),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6881),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6881),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6881),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6881),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6881),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6881),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6881),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6881),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHdef] = ACTIONS(6881),
    [anon_sym_BSLASHgdef] = ACTIONS(6881),
    [anon_sym_BSLASHedef] = ACTIONS(6881),
    [anon_sym_BSLASHxdef] = ACTIONS(6881),
    [anon_sym_BSLASHlet] = ACTIONS(6881),
    [anon_sym_BSLASHglet] = ACTIONS(6881),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6881),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6881),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6881),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6881),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6881),
    [anon_sym_BSLASHgls] = ACTIONS(6881),
    [anon_sym_BSLASHGls] = ACTIONS(6881),
    [anon_sym_BSLASHGLS] = ACTIONS(6881),
    [anon_sym_BSLASHglspl] = ACTIONS(6881),
    [anon_sym_BSLASHGlspl] = ACTIONS(6881),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6881),
    [anon_sym_BSLASHglslink] = ACTIONS(6881),
    [anon_sym_BSLASHglstext] = ACTIONS(6881),
    [anon_sym_BSLASHGlstext] = ACTIONS(6881),
    [anon_sym_BSLASHGLStext] = ACTIONS(6881),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6881),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6881),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6881),
    [anon_sym_BSLASHglsplural] = ACTIONS(6881),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6881),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6881),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHglsname] = ACTIONS(6881),
    [anon_sym_BSLASHGlsname] = ACTIONS(6881),
    [anon_sym_BSLASHGLSname] = ACTIONS(6881),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6881),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6881),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6881),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6881),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6881),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6881),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6881),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6881),
    [anon_sym_BSLASHacrshort] = ACTIONS(6881),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6881),
    [anon_sym_BSLASHACRshort] = ACTIONS(6881),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHacrlong] = ACTIONS(6881),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6881),
    [anon_sym_BSLASHACRlong] = ACTIONS(6881),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHacrfull] = ACTIONS(6881),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6881),
    [anon_sym_BSLASHACRfull] = ACTIONS(6881),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHacs] = ACTIONS(6881),
    [anon_sym_BSLASHAcs] = ACTIONS(6881),
    [anon_sym_BSLASHacsp] = ACTIONS(6881),
    [anon_sym_BSLASHAcsp] = ACTIONS(6881),
    [anon_sym_BSLASHacl] = ACTIONS(6881),
    [anon_sym_BSLASHAcl] = ACTIONS(6881),
    [anon_sym_BSLASHaclp] = ACTIONS(6881),
    [anon_sym_BSLASHAclp] = ACTIONS(6881),
    [anon_sym_BSLASHacf] = ACTIONS(6881),
    [anon_sym_BSLASHAcf] = ACTIONS(6881),
    [anon_sym_BSLASHacfp] = ACTIONS(6881),
    [anon_sym_BSLASHAcfp] = ACTIONS(6881),
    [anon_sym_BSLASHac] = ACTIONS(6881),
    [anon_sym_BSLASHAc] = ACTIONS(6881),
    [anon_sym_BSLASHacp] = ACTIONS(6881),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6881),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6881),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6881),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6881),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6881),
    [anon_sym_BSLASHcolor] = ACTIONS(6881),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6881),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6881),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6881),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6881),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6881),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6881),
    [anon_sym_BSLASHurl] = ACTIONS(6881),
    [anon_sym_BSLASHhref] = ACTIONS(6881),
  },
  [1917] = {
    [sym_command_name] = ACTIONS(7131),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7131),
    [anon_sym_LBRACK] = ACTIONS(7133),
    [anon_sym_RBRACK] = ACTIONS(7133),
    [anon_sym_COMMA] = ACTIONS(7133),
    [anon_sym_EQ] = ACTIONS(7133),
    [anon_sym_LPAREN] = ACTIONS(7133),
    [anon_sym_RPAREN] = ACTIONS(7133),
    [anon_sym_LBRACE] = ACTIONS(7133),
    [anon_sym_RBRACE] = ACTIONS(7133),
    [sym_word] = ACTIONS(7131),
    [sym_placeholder] = ACTIONS(7133),
    [sym_delimiter] = ACTIONS(7133),
    [anon_sym_PLUS] = ACTIONS(7133),
    [anon_sym_DASH] = ACTIONS(7133),
    [anon_sym_STAR] = ACTIONS(7133),
    [anon_sym_SLASH] = ACTIONS(7133),
    [anon_sym_LT] = ACTIONS(7131),
    [anon_sym_GT] = ACTIONS(7131),
    [anon_sym_BANG] = ACTIONS(7131),
    [anon_sym_PIPE] = ACTIONS(7131),
    [anon_sym_COLON] = ACTIONS(7131),
    [anon_sym_SQUOTE] = ACTIONS(7131),
    [anon_sym__] = ACTIONS(7133),
    [anon_sym_CARET] = ACTIONS(7133),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7133),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7133),
    [anon_sym_DOLLAR] = ACTIONS(7131),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7133),
    [anon_sym_BSLASHleft] = ACTIONS(7131),
    [anon_sym_BSLASHbigl] = ACTIONS(7131),
    [anon_sym_BSLASHBigl] = ACTIONS(7131),
    [anon_sym_BSLASHbiggl] = ACTIONS(7131),
    [anon_sym_BSLASHBiggl] = ACTIONS(7131),
    [anon_sym_BSLASHtext] = ACTIONS(7131),
    [anon_sym_BSLASHintertext] = ACTIONS(7131),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7131),
    [anon_sym_BSLASHtitle] = ACTIONS(7131),
    [anon_sym_BSLASHauthor] = ACTIONS(7131),
    [anon_sym_BSLASHusepackage] = ACTIONS(7131),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7131),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7131),
    [anon_sym_BSLASHinclude] = ACTIONS(7131),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7131),
    [anon_sym_BSLASHinput] = ACTIONS(7131),
    [anon_sym_BSLASHsubfile] = ACTIONS(7131),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7131),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7131),
    [anon_sym_BSLASHbibliography] = ACTIONS(7131),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7131),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7131),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7131),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7131),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7131),
    [anon_sym_BSLASHimport] = ACTIONS(7131),
    [anon_sym_BSLASHsubimport] = ACTIONS(7131),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7131),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7131),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7131),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7131),
    [anon_sym_BSLASHcaption] = ACTIONS(7131),
    [anon_sym_BSLASHcite] = ACTIONS(7131),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCite] = ACTIONS(7131),
    [anon_sym_BSLASHnocite] = ACTIONS(7131),
    [anon_sym_BSLASHcitet] = ACTIONS(7131),
    [anon_sym_BSLASHcitep] = ACTIONS(7131),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHciteA] = ACTIONS(7131),
    [anon_sym_BSLASHciteR] = ACTIONS(7131),
    [anon_sym_BSLASHciteS] = ACTIONS(7131),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7131),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7131),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7131),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7131),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHciteyear] = ACTIONS(7131),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcitedate] = ACTIONS(7131),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHciteurl] = ACTIONS(7131),
    [anon_sym_BSLASHfullcite] = ACTIONS(7131),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7131),
    [anon_sym_BSLASHcitealt] = ACTIONS(7131),
    [anon_sym_BSLASHcitealp] = ACTIONS(7131),
    [anon_sym_BSLASHcitetext] = ACTIONS(7131),
    [anon_sym_BSLASHparencite] = ACTIONS(7131),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHParencite] = ACTIONS(7131),
    [anon_sym_BSLASHfootcite] = ACTIONS(7131),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7131),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7131),
    [anon_sym_BSLASHtextcite] = ACTIONS(7131),
    [anon_sym_BSLASHTextcite] = ACTIONS(7131),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7131),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7131),
    [anon_sym_BSLASHsupercite] = ACTIONS(7131),
    [anon_sym_BSLASHautocite] = ACTIONS(7131),
    [anon_sym_BSLASHAutocite] = ACTIONS(7131),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHVolcite] = ACTIONS(7131),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHavolcite] = ACTIONS(7131),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHNotecite] = ACTIONS(7131),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHlabel] = ACTIONS(7131),
    [anon_sym_BSLASHref] = ACTIONS(7131),
    [anon_sym_BSLASHeqref] = ACTIONS(7131),
    [anon_sym_BSLASHvref] = ACTIONS(7131),
    [anon_sym_BSLASHVref] = ACTIONS(7131),
    [anon_sym_BSLASHautoref] = ACTIONS(7131),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHpageref] = ACTIONS(7131),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHautopageref] = ACTIONS(7131),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcref] = ACTIONS(7131),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCref] = ACTIONS(7131),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcpageref] = ACTIONS(7131),
    [anon_sym_BSLASHCpageref] = ACTIONS(7131),
    [anon_sym_BSLASHnamecref] = ACTIONS(7131),
    [anon_sym_BSLASHnameCref] = ACTIONS(7131),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7131),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7131),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7131),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7131),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7131),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7131),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7131),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7131),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7131),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7131),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7131),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7131),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7131),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7131),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7131),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7131),
    [anon_sym_BSLASHdef] = ACTIONS(7131),
    [anon_sym_BSLASHgdef] = ACTIONS(7131),
    [anon_sym_BSLASHedef] = ACTIONS(7131),
    [anon_sym_BSLASHxdef] = ACTIONS(7131),
    [anon_sym_BSLASHlet] = ACTIONS(7131),
    [anon_sym_BSLASHglet] = ACTIONS(7131),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7131),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7131),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7131),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7131),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7131),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7131),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7131),
    [anon_sym_BSLASHgls] = ACTIONS(7131),
    [anon_sym_BSLASHGls] = ACTIONS(7131),
    [anon_sym_BSLASHGLS] = ACTIONS(7131),
    [anon_sym_BSLASHglspl] = ACTIONS(7131),
    [anon_sym_BSLASHGlspl] = ACTIONS(7131),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7131),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7131),
    [anon_sym_BSLASHglslink] = ACTIONS(7131),
    [anon_sym_BSLASHglstext] = ACTIONS(7131),
    [anon_sym_BSLASHGlstext] = ACTIONS(7131),
    [anon_sym_BSLASHGLStext] = ACTIONS(7131),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7131),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7131),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7131),
    [anon_sym_BSLASHglsplural] = ACTIONS(7131),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7131),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7131),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7131),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7131),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7131),
    [anon_sym_BSLASHglsname] = ACTIONS(7131),
    [anon_sym_BSLASHGlsname] = ACTIONS(7131),
    [anon_sym_BSLASHGLSname] = ACTIONS(7131),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7131),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7131),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7131),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7131),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7131),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7131),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7131),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7131),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7131),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7131),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7131),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7131),
    [anon_sym_BSLASHacrshort] = ACTIONS(7131),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7131),
    [anon_sym_BSLASHACRshort] = ACTIONS(7131),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHacrlong] = ACTIONS(7131),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7131),
    [anon_sym_BSLASHACRlong] = ACTIONS(7131),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7131),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7131),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7131),
    [anon_sym_BSLASHacrfull] = ACTIONS(7131),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7131),
    [anon_sym_BSLASHACRfull] = ACTIONS(7131),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHacs] = ACTIONS(7131),
    [anon_sym_BSLASHAcs] = ACTIONS(7131),
    [anon_sym_BSLASHacsp] = ACTIONS(7131),
    [anon_sym_BSLASHAcsp] = ACTIONS(7131),
    [anon_sym_BSLASHacl] = ACTIONS(7131),
    [anon_sym_BSLASHAcl] = ACTIONS(7131),
    [anon_sym_BSLASHaclp] = ACTIONS(7131),
    [anon_sym_BSLASHAclp] = ACTIONS(7131),
    [anon_sym_BSLASHacf] = ACTIONS(7131),
    [anon_sym_BSLASHAcf] = ACTIONS(7131),
    [anon_sym_BSLASHacfp] = ACTIONS(7131),
    [anon_sym_BSLASHAcfp] = ACTIONS(7131),
    [anon_sym_BSLASHac] = ACTIONS(7131),
    [anon_sym_BSLASHAc] = ACTIONS(7131),
    [anon_sym_BSLASHacp] = ACTIONS(7131),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7131),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7131),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7131),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7131),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7131),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7131),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7131),
    [anon_sym_BSLASHcolor] = ACTIONS(7131),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7131),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7131),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7131),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7131),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7131),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7131),
    [anon_sym_BSLASHurl] = ACTIONS(7131),
    [anon_sym_BSLASHhref] = ACTIONS(7131),
  },
  [1918] = {
    [sym_command_name] = ACTIONS(7163),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7163),
    [anon_sym_LBRACK] = ACTIONS(7165),
    [anon_sym_RBRACK] = ACTIONS(7165),
    [anon_sym_COMMA] = ACTIONS(7165),
    [anon_sym_EQ] = ACTIONS(7165),
    [anon_sym_LPAREN] = ACTIONS(7165),
    [anon_sym_RPAREN] = ACTIONS(7165),
    [anon_sym_LBRACE] = ACTIONS(7165),
    [sym_word] = ACTIONS(7163),
    [sym_placeholder] = ACTIONS(7165),
    [sym_delimiter] = ACTIONS(7165),
    [anon_sym_PLUS] = ACTIONS(7165),
    [anon_sym_DASH] = ACTIONS(7165),
    [anon_sym_STAR] = ACTIONS(7165),
    [anon_sym_SLASH] = ACTIONS(7165),
    [anon_sym_LT] = ACTIONS(7163),
    [anon_sym_GT] = ACTIONS(7163),
    [anon_sym_BANG] = ACTIONS(7163),
    [anon_sym_PIPE] = ACTIONS(7163),
    [anon_sym_COLON] = ACTIONS(7163),
    [anon_sym_SQUOTE] = ACTIONS(7163),
    [anon_sym__] = ACTIONS(7165),
    [anon_sym_CARET] = ACTIONS(7165),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7165),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7165),
    [anon_sym_DOLLAR] = ACTIONS(7163),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7165),
    [anon_sym_BSLASHleft] = ACTIONS(7163),
    [anon_sym_BSLASHbigl] = ACTIONS(7163),
    [anon_sym_BSLASHBigl] = ACTIONS(7163),
    [anon_sym_BSLASHbiggl] = ACTIONS(7163),
    [anon_sym_BSLASHBiggl] = ACTIONS(7163),
    [anon_sym_BSLASHtext] = ACTIONS(7163),
    [anon_sym_BSLASHintertext] = ACTIONS(7163),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7163),
    [anon_sym_BSLASHbegin] = ACTIONS(7163),
    [anon_sym_BSLASHtitle] = ACTIONS(7163),
    [anon_sym_BSLASHauthor] = ACTIONS(7163),
    [anon_sym_BSLASHusepackage] = ACTIONS(7163),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7163),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7163),
    [anon_sym_BSLASHinclude] = ACTIONS(7163),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7163),
    [anon_sym_BSLASHinput] = ACTIONS(7163),
    [anon_sym_BSLASHsubfile] = ACTIONS(7163),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7163),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7163),
    [anon_sym_BSLASHbibliography] = ACTIONS(7163),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7163),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7163),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7163),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7163),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7163),
    [anon_sym_BSLASHimport] = ACTIONS(7163),
    [anon_sym_BSLASHsubimport] = ACTIONS(7163),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7163),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7163),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7163),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7163),
    [anon_sym_BSLASHcaption] = ACTIONS(7163),
    [anon_sym_BSLASHcite] = ACTIONS(7163),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHCite] = ACTIONS(7163),
    [anon_sym_BSLASHnocite] = ACTIONS(7163),
    [anon_sym_BSLASHcitet] = ACTIONS(7163),
    [anon_sym_BSLASHcitep] = ACTIONS(7163),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHciteA] = ACTIONS(7163),
    [anon_sym_BSLASHciteR] = ACTIONS(7163),
    [anon_sym_BSLASHciteS] = ACTIONS(7163),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7163),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7163),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7163),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7163),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHciteyear] = ACTIONS(7163),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcitedate] = ACTIONS(7163),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHciteurl] = ACTIONS(7163),
    [anon_sym_BSLASHfullcite] = ACTIONS(7163),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7163),
    [anon_sym_BSLASHcitealt] = ACTIONS(7163),
    [anon_sym_BSLASHcitealp] = ACTIONS(7163),
    [anon_sym_BSLASHcitetext] = ACTIONS(7163),
    [anon_sym_BSLASHparencite] = ACTIONS(7163),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHParencite] = ACTIONS(7163),
    [anon_sym_BSLASHfootcite] = ACTIONS(7163),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7163),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7163),
    [anon_sym_BSLASHtextcite] = ACTIONS(7163),
    [anon_sym_BSLASHTextcite] = ACTIONS(7163),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7163),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7163),
    [anon_sym_BSLASHsupercite] = ACTIONS(7163),
    [anon_sym_BSLASHautocite] = ACTIONS(7163),
    [anon_sym_BSLASHAutocite] = ACTIONS(7163),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHVolcite] = ACTIONS(7163),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHavolcite] = ACTIONS(7163),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7163),
    [anon_sym_BSLASHnotecite] = ACTIONS(7163),
    [anon_sym_BSLASHNotecite] = ACTIONS(7163),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7163),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7163),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7163),
    [anon_sym_BSLASHlabel] = ACTIONS(7163),
    [anon_sym_BSLASHref] = ACTIONS(7163),
    [anon_sym_BSLASHeqref] = ACTIONS(7163),
    [anon_sym_BSLASHvref] = ACTIONS(7163),
    [anon_sym_BSLASHVref] = ACTIONS(7163),
    [anon_sym_BSLASHautoref] = ACTIONS(7163),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHpageref] = ACTIONS(7163),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHautopageref] = ACTIONS(7163),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcref] = ACTIONS(7163),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHCref] = ACTIONS(7163),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcpageref] = ACTIONS(7163),
    [anon_sym_BSLASHCpageref] = ACTIONS(7163),
    [anon_sym_BSLASHnamecref] = ACTIONS(7163),
    [anon_sym_BSLASHnameCref] = ACTIONS(7163),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7163),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7163),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7163),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7163),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7163),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7163),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7163),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7163),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7163),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7163),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7163),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7163),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7163),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7163),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7163),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7163),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7163),
    [anon_sym_BSLASHdef] = ACTIONS(7163),
    [anon_sym_BSLASHgdef] = ACTIONS(7163),
    [anon_sym_BSLASHedef] = ACTIONS(7163),
    [anon_sym_BSLASHxdef] = ACTIONS(7163),
    [anon_sym_BSLASHlet] = ACTIONS(7163),
    [anon_sym_BSLASHglet] = ACTIONS(7163),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7163),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7163),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7163),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7163),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7163),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7163),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7163),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7163),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7163),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7163),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7163),
    [anon_sym_BSLASHgls] = ACTIONS(7163),
    [anon_sym_BSLASHGls] = ACTIONS(7163),
    [anon_sym_BSLASHGLS] = ACTIONS(7163),
    [anon_sym_BSLASHglspl] = ACTIONS(7163),
    [anon_sym_BSLASHGlspl] = ACTIONS(7163),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7163),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7163),
    [anon_sym_BSLASHglslink] = ACTIONS(7163),
    [anon_sym_BSLASHglstext] = ACTIONS(7163),
    [anon_sym_BSLASHGlstext] = ACTIONS(7163),
    [anon_sym_BSLASHGLStext] = ACTIONS(7163),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7163),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7163),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7163),
    [anon_sym_BSLASHglsplural] = ACTIONS(7163),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7163),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7163),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7163),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7163),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7163),
    [anon_sym_BSLASHglsname] = ACTIONS(7163),
    [anon_sym_BSLASHGlsname] = ACTIONS(7163),
    [anon_sym_BSLASHGLSname] = ACTIONS(7163),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7163),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7163),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7163),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7163),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7163),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7163),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7163),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7163),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7163),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7163),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7163),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7163),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7163),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7163),
    [anon_sym_BSLASHacrshort] = ACTIONS(7163),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7163),
    [anon_sym_BSLASHACRshort] = ACTIONS(7163),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHacrlong] = ACTIONS(7163),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7163),
    [anon_sym_BSLASHACRlong] = ACTIONS(7163),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7163),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7163),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7163),
    [anon_sym_BSLASHacrfull] = ACTIONS(7163),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7163),
    [anon_sym_BSLASHACRfull] = ACTIONS(7163),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHacs] = ACTIONS(7163),
    [anon_sym_BSLASHAcs] = ACTIONS(7163),
    [anon_sym_BSLASHacsp] = ACTIONS(7163),
    [anon_sym_BSLASHAcsp] = ACTIONS(7163),
    [anon_sym_BSLASHacl] = ACTIONS(7163),
    [anon_sym_BSLASHAcl] = ACTIONS(7163),
    [anon_sym_BSLASHaclp] = ACTIONS(7163),
    [anon_sym_BSLASHAclp] = ACTIONS(7163),
    [anon_sym_BSLASHacf] = ACTIONS(7163),
    [anon_sym_BSLASHAcf] = ACTIONS(7163),
    [anon_sym_BSLASHacfp] = ACTIONS(7163),
    [anon_sym_BSLASHAcfp] = ACTIONS(7163),
    [anon_sym_BSLASHac] = ACTIONS(7163),
    [anon_sym_BSLASHAc] = ACTIONS(7163),
    [anon_sym_BSLASHacp] = ACTIONS(7163),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7163),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7163),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7163),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7163),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7163),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7163),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7163),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7165),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7163),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7163),
    [anon_sym_BSLASHcolor] = ACTIONS(7163),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7163),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7163),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7163),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7163),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7163),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7163),
    [anon_sym_BSLASHurl] = ACTIONS(7163),
    [anon_sym_BSLASHhref] = ACTIONS(7163),
  },
  [1919] = {
    [sym_command_name] = ACTIONS(7167),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7167),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_RBRACK] = ACTIONS(7169),
    [anon_sym_COMMA] = ACTIONS(7169),
    [anon_sym_EQ] = ACTIONS(7169),
    [anon_sym_LPAREN] = ACTIONS(7169),
    [anon_sym_RPAREN] = ACTIONS(7169),
    [anon_sym_LBRACE] = ACTIONS(7169),
    [sym_word] = ACTIONS(7167),
    [sym_placeholder] = ACTIONS(7169),
    [sym_delimiter] = ACTIONS(7169),
    [anon_sym_PLUS] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7169),
    [anon_sym_STAR] = ACTIONS(7169),
    [anon_sym_SLASH] = ACTIONS(7169),
    [anon_sym_LT] = ACTIONS(7167),
    [anon_sym_GT] = ACTIONS(7167),
    [anon_sym_BANG] = ACTIONS(7167),
    [anon_sym_PIPE] = ACTIONS(7167),
    [anon_sym_COLON] = ACTIONS(7167),
    [anon_sym_SQUOTE] = ACTIONS(7167),
    [anon_sym__] = ACTIONS(7169),
    [anon_sym_CARET] = ACTIONS(7169),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7169),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7169),
    [anon_sym_DOLLAR] = ACTIONS(7167),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7169),
    [anon_sym_BSLASHleft] = ACTIONS(7167),
    [anon_sym_BSLASHbigl] = ACTIONS(7167),
    [anon_sym_BSLASHBigl] = ACTIONS(7167),
    [anon_sym_BSLASHbiggl] = ACTIONS(7167),
    [anon_sym_BSLASHBiggl] = ACTIONS(7167),
    [anon_sym_BSLASHtext] = ACTIONS(7167),
    [anon_sym_BSLASHintertext] = ACTIONS(7167),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7167),
    [anon_sym_BSLASHbegin] = ACTIONS(7167),
    [anon_sym_BSLASHtitle] = ACTIONS(7167),
    [anon_sym_BSLASHauthor] = ACTIONS(7167),
    [anon_sym_BSLASHusepackage] = ACTIONS(7167),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7167),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7167),
    [anon_sym_BSLASHinclude] = ACTIONS(7167),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7167),
    [anon_sym_BSLASHinput] = ACTIONS(7167),
    [anon_sym_BSLASHsubfile] = ACTIONS(7167),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7167),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7167),
    [anon_sym_BSLASHbibliography] = ACTIONS(7167),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7167),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7167),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7167),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7167),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7167),
    [anon_sym_BSLASHimport] = ACTIONS(7167),
    [anon_sym_BSLASHsubimport] = ACTIONS(7167),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7167),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7167),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7167),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7167),
    [anon_sym_BSLASHcaption] = ACTIONS(7167),
    [anon_sym_BSLASHcite] = ACTIONS(7167),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHCite] = ACTIONS(7167),
    [anon_sym_BSLASHnocite] = ACTIONS(7167),
    [anon_sym_BSLASHcitet] = ACTIONS(7167),
    [anon_sym_BSLASHcitep] = ACTIONS(7167),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHciteA] = ACTIONS(7167),
    [anon_sym_BSLASHciteR] = ACTIONS(7167),
    [anon_sym_BSLASHciteS] = ACTIONS(7167),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7167),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7167),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7167),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7167),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHciteyear] = ACTIONS(7167),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcitedate] = ACTIONS(7167),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHciteurl] = ACTIONS(7167),
    [anon_sym_BSLASHfullcite] = ACTIONS(7167),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7167),
    [anon_sym_BSLASHcitealt] = ACTIONS(7167),
    [anon_sym_BSLASHcitealp] = ACTIONS(7167),
    [anon_sym_BSLASHcitetext] = ACTIONS(7167),
    [anon_sym_BSLASHparencite] = ACTIONS(7167),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHParencite] = ACTIONS(7167),
    [anon_sym_BSLASHfootcite] = ACTIONS(7167),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7167),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7167),
    [anon_sym_BSLASHtextcite] = ACTIONS(7167),
    [anon_sym_BSLASHTextcite] = ACTIONS(7167),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7167),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7167),
    [anon_sym_BSLASHsupercite] = ACTIONS(7167),
    [anon_sym_BSLASHautocite] = ACTIONS(7167),
    [anon_sym_BSLASHAutocite] = ACTIONS(7167),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHVolcite] = ACTIONS(7167),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHavolcite] = ACTIONS(7167),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7167),
    [anon_sym_BSLASHnotecite] = ACTIONS(7167),
    [anon_sym_BSLASHNotecite] = ACTIONS(7167),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7167),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7167),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7167),
    [anon_sym_BSLASHlabel] = ACTIONS(7167),
    [anon_sym_BSLASHref] = ACTIONS(7167),
    [anon_sym_BSLASHeqref] = ACTIONS(7167),
    [anon_sym_BSLASHvref] = ACTIONS(7167),
    [anon_sym_BSLASHVref] = ACTIONS(7167),
    [anon_sym_BSLASHautoref] = ACTIONS(7167),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHpageref] = ACTIONS(7167),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHautopageref] = ACTIONS(7167),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcref] = ACTIONS(7167),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHCref] = ACTIONS(7167),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcpageref] = ACTIONS(7167),
    [anon_sym_BSLASHCpageref] = ACTIONS(7167),
    [anon_sym_BSLASHnamecref] = ACTIONS(7167),
    [anon_sym_BSLASHnameCref] = ACTIONS(7167),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7167),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7167),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7167),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7167),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7167),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7167),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7167),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7167),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7167),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7167),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7167),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7167),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7167),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7167),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7167),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7167),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7167),
    [anon_sym_BSLASHdef] = ACTIONS(7167),
    [anon_sym_BSLASHgdef] = ACTIONS(7167),
    [anon_sym_BSLASHedef] = ACTIONS(7167),
    [anon_sym_BSLASHxdef] = ACTIONS(7167),
    [anon_sym_BSLASHlet] = ACTIONS(7167),
    [anon_sym_BSLASHglet] = ACTIONS(7167),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7167),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7167),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7167),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7167),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7167),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7167),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7167),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7167),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7167),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7167),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7167),
    [anon_sym_BSLASHgls] = ACTIONS(7167),
    [anon_sym_BSLASHGls] = ACTIONS(7167),
    [anon_sym_BSLASHGLS] = ACTIONS(7167),
    [anon_sym_BSLASHglspl] = ACTIONS(7167),
    [anon_sym_BSLASHGlspl] = ACTIONS(7167),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7167),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7167),
    [anon_sym_BSLASHglslink] = ACTIONS(7167),
    [anon_sym_BSLASHglstext] = ACTIONS(7167),
    [anon_sym_BSLASHGlstext] = ACTIONS(7167),
    [anon_sym_BSLASHGLStext] = ACTIONS(7167),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7167),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7167),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7167),
    [anon_sym_BSLASHglsplural] = ACTIONS(7167),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7167),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7167),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7167),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7167),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7167),
    [anon_sym_BSLASHglsname] = ACTIONS(7167),
    [anon_sym_BSLASHGlsname] = ACTIONS(7167),
    [anon_sym_BSLASHGLSname] = ACTIONS(7167),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7167),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7167),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7167),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7167),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7167),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7167),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7167),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7167),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7167),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7167),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7167),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7167),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7167),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7167),
    [anon_sym_BSLASHacrshort] = ACTIONS(7167),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7167),
    [anon_sym_BSLASHACRshort] = ACTIONS(7167),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHacrlong] = ACTIONS(7167),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7167),
    [anon_sym_BSLASHACRlong] = ACTIONS(7167),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7167),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7167),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7167),
    [anon_sym_BSLASHacrfull] = ACTIONS(7167),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7167),
    [anon_sym_BSLASHACRfull] = ACTIONS(7167),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHacs] = ACTIONS(7167),
    [anon_sym_BSLASHAcs] = ACTIONS(7167),
    [anon_sym_BSLASHacsp] = ACTIONS(7167),
    [anon_sym_BSLASHAcsp] = ACTIONS(7167),
    [anon_sym_BSLASHacl] = ACTIONS(7167),
    [anon_sym_BSLASHAcl] = ACTIONS(7167),
    [anon_sym_BSLASHaclp] = ACTIONS(7167),
    [anon_sym_BSLASHAclp] = ACTIONS(7167),
    [anon_sym_BSLASHacf] = ACTIONS(7167),
    [anon_sym_BSLASHAcf] = ACTIONS(7167),
    [anon_sym_BSLASHacfp] = ACTIONS(7167),
    [anon_sym_BSLASHAcfp] = ACTIONS(7167),
    [anon_sym_BSLASHac] = ACTIONS(7167),
    [anon_sym_BSLASHAc] = ACTIONS(7167),
    [anon_sym_BSLASHacp] = ACTIONS(7167),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7167),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7167),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7167),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7167),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7167),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7167),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7167),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7169),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7167),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7167),
    [anon_sym_BSLASHcolor] = ACTIONS(7167),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7167),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7167),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7167),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7167),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7167),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7167),
    [anon_sym_BSLASHurl] = ACTIONS(7167),
    [anon_sym_BSLASHhref] = ACTIONS(7167),
  },
  [1920] = {
    [sym_command_name] = ACTIONS(7171),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(7173),
    [anon_sym_RBRACK] = ACTIONS(7173),
    [anon_sym_COMMA] = ACTIONS(7173),
    [anon_sym_EQ] = ACTIONS(7173),
    [anon_sym_LPAREN] = ACTIONS(7173),
    [anon_sym_RPAREN] = ACTIONS(7173),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [sym_word] = ACTIONS(7171),
    [sym_placeholder] = ACTIONS(7173),
    [sym_delimiter] = ACTIONS(7173),
    [anon_sym_PLUS] = ACTIONS(7173),
    [anon_sym_DASH] = ACTIONS(7173),
    [anon_sym_STAR] = ACTIONS(7173),
    [anon_sym_SLASH] = ACTIONS(7173),
    [anon_sym_LT] = ACTIONS(7171),
    [anon_sym_GT] = ACTIONS(7171),
    [anon_sym_BANG] = ACTIONS(7171),
    [anon_sym_PIPE] = ACTIONS(7171),
    [anon_sym_COLON] = ACTIONS(7171),
    [anon_sym_SQUOTE] = ACTIONS(7171),
    [anon_sym__] = ACTIONS(7173),
    [anon_sym_CARET] = ACTIONS(7173),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7173),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7173),
    [anon_sym_DOLLAR] = ACTIONS(7171),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7173),
    [anon_sym_BSLASHleft] = ACTIONS(7171),
    [anon_sym_BSLASHbigl] = ACTIONS(7171),
    [anon_sym_BSLASHBigl] = ACTIONS(7171),
    [anon_sym_BSLASHbiggl] = ACTIONS(7171),
    [anon_sym_BSLASHBiggl] = ACTIONS(7171),
    [anon_sym_BSLASHtext] = ACTIONS(7171),
    [anon_sym_BSLASHintertext] = ACTIONS(7171),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7171),
    [anon_sym_BSLASHbegin] = ACTIONS(7171),
    [anon_sym_BSLASHtitle] = ACTIONS(7171),
    [anon_sym_BSLASHauthor] = ACTIONS(7171),
    [anon_sym_BSLASHusepackage] = ACTIONS(7171),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7171),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7171),
    [anon_sym_BSLASHinclude] = ACTIONS(7171),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7171),
    [anon_sym_BSLASHinput] = ACTIONS(7171),
    [anon_sym_BSLASHsubfile] = ACTIONS(7171),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7171),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7171),
    [anon_sym_BSLASHbibliography] = ACTIONS(7171),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7171),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7171),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7171),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7171),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7171),
    [anon_sym_BSLASHimport] = ACTIONS(7171),
    [anon_sym_BSLASHsubimport] = ACTIONS(7171),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7171),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7171),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7171),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7171),
    [anon_sym_BSLASHcaption] = ACTIONS(7171),
    [anon_sym_BSLASHcite] = ACTIONS(7171),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHCite] = ACTIONS(7171),
    [anon_sym_BSLASHnocite] = ACTIONS(7171),
    [anon_sym_BSLASHcitet] = ACTIONS(7171),
    [anon_sym_BSLASHcitep] = ACTIONS(7171),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHciteA] = ACTIONS(7171),
    [anon_sym_BSLASHciteR] = ACTIONS(7171),
    [anon_sym_BSLASHciteS] = ACTIONS(7171),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7171),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7171),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7171),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7171),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHciteyear] = ACTIONS(7171),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcitedate] = ACTIONS(7171),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHciteurl] = ACTIONS(7171),
    [anon_sym_BSLASHfullcite] = ACTIONS(7171),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7171),
    [anon_sym_BSLASHcitealt] = ACTIONS(7171),
    [anon_sym_BSLASHcitealp] = ACTIONS(7171),
    [anon_sym_BSLASHcitetext] = ACTIONS(7171),
    [anon_sym_BSLASHparencite] = ACTIONS(7171),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHParencite] = ACTIONS(7171),
    [anon_sym_BSLASHfootcite] = ACTIONS(7171),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7171),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7171),
    [anon_sym_BSLASHtextcite] = ACTIONS(7171),
    [anon_sym_BSLASHTextcite] = ACTIONS(7171),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7171),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7171),
    [anon_sym_BSLASHsupercite] = ACTIONS(7171),
    [anon_sym_BSLASHautocite] = ACTIONS(7171),
    [anon_sym_BSLASHAutocite] = ACTIONS(7171),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHVolcite] = ACTIONS(7171),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHavolcite] = ACTIONS(7171),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7171),
    [anon_sym_BSLASHnotecite] = ACTIONS(7171),
    [anon_sym_BSLASHNotecite] = ACTIONS(7171),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7171),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7171),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7171),
    [anon_sym_BSLASHlabel] = ACTIONS(7171),
    [anon_sym_BSLASHref] = ACTIONS(7171),
    [anon_sym_BSLASHeqref] = ACTIONS(7171),
    [anon_sym_BSLASHvref] = ACTIONS(7171),
    [anon_sym_BSLASHVref] = ACTIONS(7171),
    [anon_sym_BSLASHautoref] = ACTIONS(7171),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHpageref] = ACTIONS(7171),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHautopageref] = ACTIONS(7171),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcref] = ACTIONS(7171),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHCref] = ACTIONS(7171),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcpageref] = ACTIONS(7171),
    [anon_sym_BSLASHCpageref] = ACTIONS(7171),
    [anon_sym_BSLASHnamecref] = ACTIONS(7171),
    [anon_sym_BSLASHnameCref] = ACTIONS(7171),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7171),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7171),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7171),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7171),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7171),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7171),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7171),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7171),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7171),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7171),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7171),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7171),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7171),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7171),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7171),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7171),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7171),
    [anon_sym_BSLASHdef] = ACTIONS(7171),
    [anon_sym_BSLASHgdef] = ACTIONS(7171),
    [anon_sym_BSLASHedef] = ACTIONS(7171),
    [anon_sym_BSLASHxdef] = ACTIONS(7171),
    [anon_sym_BSLASHlet] = ACTIONS(7171),
    [anon_sym_BSLASHglet] = ACTIONS(7171),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7171),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7171),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7171),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7171),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7171),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7171),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7171),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7171),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7171),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7171),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7171),
    [anon_sym_BSLASHgls] = ACTIONS(7171),
    [anon_sym_BSLASHGls] = ACTIONS(7171),
    [anon_sym_BSLASHGLS] = ACTIONS(7171),
    [anon_sym_BSLASHglspl] = ACTIONS(7171),
    [anon_sym_BSLASHGlspl] = ACTIONS(7171),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7171),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7171),
    [anon_sym_BSLASHglslink] = ACTIONS(7171),
    [anon_sym_BSLASHglstext] = ACTIONS(7171),
    [anon_sym_BSLASHGlstext] = ACTIONS(7171),
    [anon_sym_BSLASHGLStext] = ACTIONS(7171),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7171),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7171),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7171),
    [anon_sym_BSLASHglsplural] = ACTIONS(7171),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7171),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7171),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7171),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7171),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7171),
    [anon_sym_BSLASHglsname] = ACTIONS(7171),
    [anon_sym_BSLASHGlsname] = ACTIONS(7171),
    [anon_sym_BSLASHGLSname] = ACTIONS(7171),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7171),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7171),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7171),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7171),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7171),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7171),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7171),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7171),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7171),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7171),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7171),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7171),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7171),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7171),
    [anon_sym_BSLASHacrshort] = ACTIONS(7171),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7171),
    [anon_sym_BSLASHACRshort] = ACTIONS(7171),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHacrlong] = ACTIONS(7171),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7171),
    [anon_sym_BSLASHACRlong] = ACTIONS(7171),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7171),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7171),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7171),
    [anon_sym_BSLASHacrfull] = ACTIONS(7171),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7171),
    [anon_sym_BSLASHACRfull] = ACTIONS(7171),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHacs] = ACTIONS(7171),
    [anon_sym_BSLASHAcs] = ACTIONS(7171),
    [anon_sym_BSLASHacsp] = ACTIONS(7171),
    [anon_sym_BSLASHAcsp] = ACTIONS(7171),
    [anon_sym_BSLASHacl] = ACTIONS(7171),
    [anon_sym_BSLASHAcl] = ACTIONS(7171),
    [anon_sym_BSLASHaclp] = ACTIONS(7171),
    [anon_sym_BSLASHAclp] = ACTIONS(7171),
    [anon_sym_BSLASHacf] = ACTIONS(7171),
    [anon_sym_BSLASHAcf] = ACTIONS(7171),
    [anon_sym_BSLASHacfp] = ACTIONS(7171),
    [anon_sym_BSLASHAcfp] = ACTIONS(7171),
    [anon_sym_BSLASHac] = ACTIONS(7171),
    [anon_sym_BSLASHAc] = ACTIONS(7171),
    [anon_sym_BSLASHacp] = ACTIONS(7171),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7171),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7171),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7171),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7171),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7171),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7171),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7171),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7173),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7171),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7171),
    [anon_sym_BSLASHcolor] = ACTIONS(7171),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7171),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7171),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7171),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7171),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7171),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7171),
    [anon_sym_BSLASHurl] = ACTIONS(7171),
    [anon_sym_BSLASHhref] = ACTIONS(7171),
  },
  [1921] = {
    [sym_command_name] = ACTIONS(7607),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7607),
    [anon_sym_LBRACK] = ACTIONS(7609),
    [anon_sym_RBRACK] = ACTIONS(7609),
    [anon_sym_COMMA] = ACTIONS(7609),
    [anon_sym_EQ] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7609),
    [anon_sym_RPAREN] = ACTIONS(7609),
    [anon_sym_LBRACE] = ACTIONS(7609),
    [anon_sym_RBRACE] = ACTIONS(7609),
    [sym_word] = ACTIONS(7607),
    [sym_placeholder] = ACTIONS(7609),
    [sym_delimiter] = ACTIONS(7609),
    [anon_sym_PLUS] = ACTIONS(7609),
    [anon_sym_DASH] = ACTIONS(7609),
    [anon_sym_STAR] = ACTIONS(7609),
    [anon_sym_SLASH] = ACTIONS(7609),
    [anon_sym_LT] = ACTIONS(7607),
    [anon_sym_GT] = ACTIONS(7607),
    [anon_sym_BANG] = ACTIONS(7607),
    [anon_sym_PIPE] = ACTIONS(7607),
    [anon_sym_COLON] = ACTIONS(7607),
    [anon_sym_SQUOTE] = ACTIONS(7607),
    [anon_sym__] = ACTIONS(7609),
    [anon_sym_CARET] = ACTIONS(7609),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7609),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7609),
    [anon_sym_DOLLAR] = ACTIONS(7607),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7609),
    [anon_sym_BSLASHleft] = ACTIONS(7607),
    [anon_sym_BSLASHbigl] = ACTIONS(7607),
    [anon_sym_BSLASHBigl] = ACTIONS(7607),
    [anon_sym_BSLASHbiggl] = ACTIONS(7607),
    [anon_sym_BSLASHBiggl] = ACTIONS(7607),
    [anon_sym_BSLASHtext] = ACTIONS(7607),
    [anon_sym_BSLASHintertext] = ACTIONS(7607),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7607),
    [anon_sym_BSLASHtitle] = ACTIONS(7607),
    [anon_sym_BSLASHauthor] = ACTIONS(7607),
    [anon_sym_BSLASHusepackage] = ACTIONS(7607),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7607),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7607),
    [anon_sym_BSLASHinclude] = ACTIONS(7607),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7607),
    [anon_sym_BSLASHinput] = ACTIONS(7607),
    [anon_sym_BSLASHsubfile] = ACTIONS(7607),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7607),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7607),
    [anon_sym_BSLASHbibliography] = ACTIONS(7607),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7607),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7607),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7607),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7607),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7607),
    [anon_sym_BSLASHimport] = ACTIONS(7607),
    [anon_sym_BSLASHsubimport] = ACTIONS(7607),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7607),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7607),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7607),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7607),
    [anon_sym_BSLASHcaption] = ACTIONS(7607),
    [anon_sym_BSLASHcite] = ACTIONS(7607),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCite] = ACTIONS(7607),
    [anon_sym_BSLASHnocite] = ACTIONS(7607),
    [anon_sym_BSLASHcitet] = ACTIONS(7607),
    [anon_sym_BSLASHcitep] = ACTIONS(7607),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHciteA] = ACTIONS(7607),
    [anon_sym_BSLASHciteR] = ACTIONS(7607),
    [anon_sym_BSLASHciteS] = ACTIONS(7607),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7607),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7607),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7607),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7607),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHciteyear] = ACTIONS(7607),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcitedate] = ACTIONS(7607),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHciteurl] = ACTIONS(7607),
    [anon_sym_BSLASHfullcite] = ACTIONS(7607),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7607),
    [anon_sym_BSLASHcitealt] = ACTIONS(7607),
    [anon_sym_BSLASHcitealp] = ACTIONS(7607),
    [anon_sym_BSLASHcitetext] = ACTIONS(7607),
    [anon_sym_BSLASHparencite] = ACTIONS(7607),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHParencite] = ACTIONS(7607),
    [anon_sym_BSLASHfootcite] = ACTIONS(7607),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7607),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7607),
    [anon_sym_BSLASHtextcite] = ACTIONS(7607),
    [anon_sym_BSLASHTextcite] = ACTIONS(7607),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7607),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7607),
    [anon_sym_BSLASHsupercite] = ACTIONS(7607),
    [anon_sym_BSLASHautocite] = ACTIONS(7607),
    [anon_sym_BSLASHAutocite] = ACTIONS(7607),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHVolcite] = ACTIONS(7607),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHavolcite] = ACTIONS(7607),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHNotecite] = ACTIONS(7607),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHlabel] = ACTIONS(7607),
    [anon_sym_BSLASHref] = ACTIONS(7607),
    [anon_sym_BSLASHeqref] = ACTIONS(7607),
    [anon_sym_BSLASHvref] = ACTIONS(7607),
    [anon_sym_BSLASHVref] = ACTIONS(7607),
    [anon_sym_BSLASHautoref] = ACTIONS(7607),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHpageref] = ACTIONS(7607),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHautopageref] = ACTIONS(7607),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcref] = ACTIONS(7607),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCref] = ACTIONS(7607),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcpageref] = ACTIONS(7607),
    [anon_sym_BSLASHCpageref] = ACTIONS(7607),
    [anon_sym_BSLASHnamecref] = ACTIONS(7607),
    [anon_sym_BSLASHnameCref] = ACTIONS(7607),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7607),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7607),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7607),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7607),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7607),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7607),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7607),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7607),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7607),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7607),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7607),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7607),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7607),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7607),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7607),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7607),
    [anon_sym_BSLASHdef] = ACTIONS(7607),
    [anon_sym_BSLASHgdef] = ACTIONS(7607),
    [anon_sym_BSLASHedef] = ACTIONS(7607),
    [anon_sym_BSLASHxdef] = ACTIONS(7607),
    [anon_sym_BSLASHlet] = ACTIONS(7607),
    [anon_sym_BSLASHglet] = ACTIONS(7607),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7607),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7607),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7607),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7607),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7607),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7607),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7607),
    [anon_sym_BSLASHgls] = ACTIONS(7607),
    [anon_sym_BSLASHGls] = ACTIONS(7607),
    [anon_sym_BSLASHGLS] = ACTIONS(7607),
    [anon_sym_BSLASHglspl] = ACTIONS(7607),
    [anon_sym_BSLASHGlspl] = ACTIONS(7607),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7607),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7607),
    [anon_sym_BSLASHglslink] = ACTIONS(7607),
    [anon_sym_BSLASHglstext] = ACTIONS(7607),
    [anon_sym_BSLASHGlstext] = ACTIONS(7607),
    [anon_sym_BSLASHGLStext] = ACTIONS(7607),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7607),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7607),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7607),
    [anon_sym_BSLASHglsplural] = ACTIONS(7607),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7607),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7607),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7607),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7607),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7607),
    [anon_sym_BSLASHglsname] = ACTIONS(7607),
    [anon_sym_BSLASHGlsname] = ACTIONS(7607),
    [anon_sym_BSLASHGLSname] = ACTIONS(7607),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7607),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7607),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7607),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7607),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7607),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7607),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7607),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7607),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7607),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7607),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7607),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7607),
    [anon_sym_BSLASHacrshort] = ACTIONS(7607),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7607),
    [anon_sym_BSLASHACRshort] = ACTIONS(7607),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHacrlong] = ACTIONS(7607),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7607),
    [anon_sym_BSLASHACRlong] = ACTIONS(7607),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7607),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7607),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7607),
    [anon_sym_BSLASHacrfull] = ACTIONS(7607),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7607),
    [anon_sym_BSLASHACRfull] = ACTIONS(7607),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHacs] = ACTIONS(7607),
    [anon_sym_BSLASHAcs] = ACTIONS(7607),
    [anon_sym_BSLASHacsp] = ACTIONS(7607),
    [anon_sym_BSLASHAcsp] = ACTIONS(7607),
    [anon_sym_BSLASHacl] = ACTIONS(7607),
    [anon_sym_BSLASHAcl] = ACTIONS(7607),
    [anon_sym_BSLASHaclp] = ACTIONS(7607),
    [anon_sym_BSLASHAclp] = ACTIONS(7607),
    [anon_sym_BSLASHacf] = ACTIONS(7607),
    [anon_sym_BSLASHAcf] = ACTIONS(7607),
    [anon_sym_BSLASHacfp] = ACTIONS(7607),
    [anon_sym_BSLASHAcfp] = ACTIONS(7607),
    [anon_sym_BSLASHac] = ACTIONS(7607),
    [anon_sym_BSLASHAc] = ACTIONS(7607),
    [anon_sym_BSLASHacp] = ACTIONS(7607),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7607),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7607),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7607),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7607),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7607),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7607),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7607),
    [anon_sym_BSLASHcolor] = ACTIONS(7607),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7607),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7607),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7607),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7607),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7607),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7607),
    [anon_sym_BSLASHurl] = ACTIONS(7607),
    [anon_sym_BSLASHhref] = ACTIONS(7607),
  },
  [1922] = {
    [sym_command_name] = ACTIONS(7175),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7175),
    [anon_sym_LBRACK] = ACTIONS(7177),
    [anon_sym_RBRACK] = ACTIONS(7177),
    [anon_sym_COMMA] = ACTIONS(7177),
    [anon_sym_EQ] = ACTIONS(7177),
    [anon_sym_LPAREN] = ACTIONS(7177),
    [anon_sym_RPAREN] = ACTIONS(7177),
    [anon_sym_LBRACE] = ACTIONS(7177),
    [sym_word] = ACTIONS(7175),
    [sym_placeholder] = ACTIONS(7177),
    [sym_delimiter] = ACTIONS(7177),
    [anon_sym_PLUS] = ACTIONS(7177),
    [anon_sym_DASH] = ACTIONS(7177),
    [anon_sym_STAR] = ACTIONS(7177),
    [anon_sym_SLASH] = ACTIONS(7177),
    [anon_sym_LT] = ACTIONS(7175),
    [anon_sym_GT] = ACTIONS(7175),
    [anon_sym_BANG] = ACTIONS(7175),
    [anon_sym_PIPE] = ACTIONS(7175),
    [anon_sym_COLON] = ACTIONS(7175),
    [anon_sym_SQUOTE] = ACTIONS(7175),
    [anon_sym__] = ACTIONS(7177),
    [anon_sym_CARET] = ACTIONS(7177),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7177),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7177),
    [anon_sym_DOLLAR] = ACTIONS(7175),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7177),
    [anon_sym_BSLASHleft] = ACTIONS(7175),
    [anon_sym_BSLASHbigl] = ACTIONS(7175),
    [anon_sym_BSLASHBigl] = ACTIONS(7175),
    [anon_sym_BSLASHbiggl] = ACTIONS(7175),
    [anon_sym_BSLASHBiggl] = ACTIONS(7175),
    [anon_sym_BSLASHtext] = ACTIONS(7175),
    [anon_sym_BSLASHintertext] = ACTIONS(7175),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7175),
    [anon_sym_BSLASHbegin] = ACTIONS(7175),
    [anon_sym_BSLASHtitle] = ACTIONS(7175),
    [anon_sym_BSLASHauthor] = ACTIONS(7175),
    [anon_sym_BSLASHusepackage] = ACTIONS(7175),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7175),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7175),
    [anon_sym_BSLASHinclude] = ACTIONS(7175),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7175),
    [anon_sym_BSLASHinput] = ACTIONS(7175),
    [anon_sym_BSLASHsubfile] = ACTIONS(7175),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7175),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7175),
    [anon_sym_BSLASHbibliography] = ACTIONS(7175),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7175),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7175),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7175),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7175),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7175),
    [anon_sym_BSLASHimport] = ACTIONS(7175),
    [anon_sym_BSLASHsubimport] = ACTIONS(7175),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7175),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7175),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7175),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7175),
    [anon_sym_BSLASHcaption] = ACTIONS(7175),
    [anon_sym_BSLASHcite] = ACTIONS(7175),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHCite] = ACTIONS(7175),
    [anon_sym_BSLASHnocite] = ACTIONS(7175),
    [anon_sym_BSLASHcitet] = ACTIONS(7175),
    [anon_sym_BSLASHcitep] = ACTIONS(7175),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHciteA] = ACTIONS(7175),
    [anon_sym_BSLASHciteR] = ACTIONS(7175),
    [anon_sym_BSLASHciteS] = ACTIONS(7175),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7175),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7175),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7175),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7175),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHciteyear] = ACTIONS(7175),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcitedate] = ACTIONS(7175),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHciteurl] = ACTIONS(7175),
    [anon_sym_BSLASHfullcite] = ACTIONS(7175),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7175),
    [anon_sym_BSLASHcitealt] = ACTIONS(7175),
    [anon_sym_BSLASHcitealp] = ACTIONS(7175),
    [anon_sym_BSLASHcitetext] = ACTIONS(7175),
    [anon_sym_BSLASHparencite] = ACTIONS(7175),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHParencite] = ACTIONS(7175),
    [anon_sym_BSLASHfootcite] = ACTIONS(7175),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7175),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7175),
    [anon_sym_BSLASHtextcite] = ACTIONS(7175),
    [anon_sym_BSLASHTextcite] = ACTIONS(7175),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7175),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7175),
    [anon_sym_BSLASHsupercite] = ACTIONS(7175),
    [anon_sym_BSLASHautocite] = ACTIONS(7175),
    [anon_sym_BSLASHAutocite] = ACTIONS(7175),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHVolcite] = ACTIONS(7175),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHavolcite] = ACTIONS(7175),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7175),
    [anon_sym_BSLASHnotecite] = ACTIONS(7175),
    [anon_sym_BSLASHNotecite] = ACTIONS(7175),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7175),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7175),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7175),
    [anon_sym_BSLASHlabel] = ACTIONS(7175),
    [anon_sym_BSLASHref] = ACTIONS(7175),
    [anon_sym_BSLASHeqref] = ACTIONS(7175),
    [anon_sym_BSLASHvref] = ACTIONS(7175),
    [anon_sym_BSLASHVref] = ACTIONS(7175),
    [anon_sym_BSLASHautoref] = ACTIONS(7175),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHpageref] = ACTIONS(7175),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHautopageref] = ACTIONS(7175),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcref] = ACTIONS(7175),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHCref] = ACTIONS(7175),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcpageref] = ACTIONS(7175),
    [anon_sym_BSLASHCpageref] = ACTIONS(7175),
    [anon_sym_BSLASHnamecref] = ACTIONS(7175),
    [anon_sym_BSLASHnameCref] = ACTIONS(7175),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7175),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7175),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7175),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7175),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7175),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7175),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7175),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7175),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7175),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7175),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7175),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7175),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7175),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7175),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7175),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7175),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7175),
    [anon_sym_BSLASHdef] = ACTIONS(7175),
    [anon_sym_BSLASHgdef] = ACTIONS(7175),
    [anon_sym_BSLASHedef] = ACTIONS(7175),
    [anon_sym_BSLASHxdef] = ACTIONS(7175),
    [anon_sym_BSLASHlet] = ACTIONS(7175),
    [anon_sym_BSLASHglet] = ACTIONS(7175),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7175),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7175),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7175),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7175),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7175),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7175),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7175),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7175),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7175),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7175),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7175),
    [anon_sym_BSLASHgls] = ACTIONS(7175),
    [anon_sym_BSLASHGls] = ACTIONS(7175),
    [anon_sym_BSLASHGLS] = ACTIONS(7175),
    [anon_sym_BSLASHglspl] = ACTIONS(7175),
    [anon_sym_BSLASHGlspl] = ACTIONS(7175),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7175),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7175),
    [anon_sym_BSLASHglslink] = ACTIONS(7175),
    [anon_sym_BSLASHglstext] = ACTIONS(7175),
    [anon_sym_BSLASHGlstext] = ACTIONS(7175),
    [anon_sym_BSLASHGLStext] = ACTIONS(7175),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7175),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7175),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7175),
    [anon_sym_BSLASHglsplural] = ACTIONS(7175),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7175),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7175),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7175),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7175),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7175),
    [anon_sym_BSLASHglsname] = ACTIONS(7175),
    [anon_sym_BSLASHGlsname] = ACTIONS(7175),
    [anon_sym_BSLASHGLSname] = ACTIONS(7175),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7175),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7175),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7175),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7175),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7175),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7175),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7175),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7175),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7175),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7175),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7175),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7175),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7175),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7175),
    [anon_sym_BSLASHacrshort] = ACTIONS(7175),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7175),
    [anon_sym_BSLASHACRshort] = ACTIONS(7175),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHacrlong] = ACTIONS(7175),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7175),
    [anon_sym_BSLASHACRlong] = ACTIONS(7175),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7175),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7175),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7175),
    [anon_sym_BSLASHacrfull] = ACTIONS(7175),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7175),
    [anon_sym_BSLASHACRfull] = ACTIONS(7175),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHacs] = ACTIONS(7175),
    [anon_sym_BSLASHAcs] = ACTIONS(7175),
    [anon_sym_BSLASHacsp] = ACTIONS(7175),
    [anon_sym_BSLASHAcsp] = ACTIONS(7175),
    [anon_sym_BSLASHacl] = ACTIONS(7175),
    [anon_sym_BSLASHAcl] = ACTIONS(7175),
    [anon_sym_BSLASHaclp] = ACTIONS(7175),
    [anon_sym_BSLASHAclp] = ACTIONS(7175),
    [anon_sym_BSLASHacf] = ACTIONS(7175),
    [anon_sym_BSLASHAcf] = ACTIONS(7175),
    [anon_sym_BSLASHacfp] = ACTIONS(7175),
    [anon_sym_BSLASHAcfp] = ACTIONS(7175),
    [anon_sym_BSLASHac] = ACTIONS(7175),
    [anon_sym_BSLASHAc] = ACTIONS(7175),
    [anon_sym_BSLASHacp] = ACTIONS(7175),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7175),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7175),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7175),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7175),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7175),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7175),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7175),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7177),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7175),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7175),
    [anon_sym_BSLASHcolor] = ACTIONS(7175),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7175),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7175),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7175),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7175),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7175),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7175),
    [anon_sym_BSLASHurl] = ACTIONS(7175),
    [anon_sym_BSLASHhref] = ACTIONS(7175),
  },
  [1923] = {
    [sym_command_name] = ACTIONS(7179),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7179),
    [anon_sym_LBRACK] = ACTIONS(7181),
    [anon_sym_RBRACK] = ACTIONS(7181),
    [anon_sym_COMMA] = ACTIONS(7181),
    [anon_sym_EQ] = ACTIONS(7181),
    [anon_sym_LPAREN] = ACTIONS(7181),
    [anon_sym_RPAREN] = ACTIONS(7181),
    [anon_sym_LBRACE] = ACTIONS(7181),
    [sym_word] = ACTIONS(7179),
    [sym_placeholder] = ACTIONS(7181),
    [sym_delimiter] = ACTIONS(7181),
    [anon_sym_PLUS] = ACTIONS(7181),
    [anon_sym_DASH] = ACTIONS(7181),
    [anon_sym_STAR] = ACTIONS(7181),
    [anon_sym_SLASH] = ACTIONS(7181),
    [anon_sym_LT] = ACTIONS(7179),
    [anon_sym_GT] = ACTIONS(7179),
    [anon_sym_BANG] = ACTIONS(7179),
    [anon_sym_PIPE] = ACTIONS(7179),
    [anon_sym_COLON] = ACTIONS(7179),
    [anon_sym_SQUOTE] = ACTIONS(7179),
    [anon_sym__] = ACTIONS(7181),
    [anon_sym_CARET] = ACTIONS(7181),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7181),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7181),
    [anon_sym_DOLLAR] = ACTIONS(7179),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7181),
    [anon_sym_BSLASHleft] = ACTIONS(7179),
    [anon_sym_BSLASHbigl] = ACTIONS(7179),
    [anon_sym_BSLASHBigl] = ACTIONS(7179),
    [anon_sym_BSLASHbiggl] = ACTIONS(7179),
    [anon_sym_BSLASHBiggl] = ACTIONS(7179),
    [anon_sym_BSLASHtext] = ACTIONS(7179),
    [anon_sym_BSLASHintertext] = ACTIONS(7179),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7179),
    [anon_sym_BSLASHbegin] = ACTIONS(7179),
    [anon_sym_BSLASHtitle] = ACTIONS(7179),
    [anon_sym_BSLASHauthor] = ACTIONS(7179),
    [anon_sym_BSLASHusepackage] = ACTIONS(7179),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7179),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7179),
    [anon_sym_BSLASHinclude] = ACTIONS(7179),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7179),
    [anon_sym_BSLASHinput] = ACTIONS(7179),
    [anon_sym_BSLASHsubfile] = ACTIONS(7179),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7179),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7179),
    [anon_sym_BSLASHbibliography] = ACTIONS(7179),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7179),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7179),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7179),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7179),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7179),
    [anon_sym_BSLASHimport] = ACTIONS(7179),
    [anon_sym_BSLASHsubimport] = ACTIONS(7179),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7179),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7179),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7179),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7179),
    [anon_sym_BSLASHcaption] = ACTIONS(7179),
    [anon_sym_BSLASHcite] = ACTIONS(7179),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHCite] = ACTIONS(7179),
    [anon_sym_BSLASHnocite] = ACTIONS(7179),
    [anon_sym_BSLASHcitet] = ACTIONS(7179),
    [anon_sym_BSLASHcitep] = ACTIONS(7179),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHciteA] = ACTIONS(7179),
    [anon_sym_BSLASHciteR] = ACTIONS(7179),
    [anon_sym_BSLASHciteS] = ACTIONS(7179),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7179),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7179),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7179),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7179),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHciteyear] = ACTIONS(7179),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcitedate] = ACTIONS(7179),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHciteurl] = ACTIONS(7179),
    [anon_sym_BSLASHfullcite] = ACTIONS(7179),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7179),
    [anon_sym_BSLASHcitealt] = ACTIONS(7179),
    [anon_sym_BSLASHcitealp] = ACTIONS(7179),
    [anon_sym_BSLASHcitetext] = ACTIONS(7179),
    [anon_sym_BSLASHparencite] = ACTIONS(7179),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHParencite] = ACTIONS(7179),
    [anon_sym_BSLASHfootcite] = ACTIONS(7179),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7179),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7179),
    [anon_sym_BSLASHtextcite] = ACTIONS(7179),
    [anon_sym_BSLASHTextcite] = ACTIONS(7179),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7179),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7179),
    [anon_sym_BSLASHsupercite] = ACTIONS(7179),
    [anon_sym_BSLASHautocite] = ACTIONS(7179),
    [anon_sym_BSLASHAutocite] = ACTIONS(7179),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHVolcite] = ACTIONS(7179),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHavolcite] = ACTIONS(7179),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7179),
    [anon_sym_BSLASHnotecite] = ACTIONS(7179),
    [anon_sym_BSLASHNotecite] = ACTIONS(7179),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7179),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7179),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7179),
    [anon_sym_BSLASHlabel] = ACTIONS(7179),
    [anon_sym_BSLASHref] = ACTIONS(7179),
    [anon_sym_BSLASHeqref] = ACTIONS(7179),
    [anon_sym_BSLASHvref] = ACTIONS(7179),
    [anon_sym_BSLASHVref] = ACTIONS(7179),
    [anon_sym_BSLASHautoref] = ACTIONS(7179),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHpageref] = ACTIONS(7179),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHautopageref] = ACTIONS(7179),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcref] = ACTIONS(7179),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHCref] = ACTIONS(7179),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcpageref] = ACTIONS(7179),
    [anon_sym_BSLASHCpageref] = ACTIONS(7179),
    [anon_sym_BSLASHnamecref] = ACTIONS(7179),
    [anon_sym_BSLASHnameCref] = ACTIONS(7179),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7179),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7179),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7179),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7179),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7179),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7179),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7179),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7179),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7179),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7179),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7179),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7179),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7179),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7179),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7179),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7179),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7179),
    [anon_sym_BSLASHdef] = ACTIONS(7179),
    [anon_sym_BSLASHgdef] = ACTIONS(7179),
    [anon_sym_BSLASHedef] = ACTIONS(7179),
    [anon_sym_BSLASHxdef] = ACTIONS(7179),
    [anon_sym_BSLASHlet] = ACTIONS(7179),
    [anon_sym_BSLASHglet] = ACTIONS(7179),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7179),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7179),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7179),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7179),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7179),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7179),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7179),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7179),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7179),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7179),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7179),
    [anon_sym_BSLASHgls] = ACTIONS(7179),
    [anon_sym_BSLASHGls] = ACTIONS(7179),
    [anon_sym_BSLASHGLS] = ACTIONS(7179),
    [anon_sym_BSLASHglspl] = ACTIONS(7179),
    [anon_sym_BSLASHGlspl] = ACTIONS(7179),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7179),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7179),
    [anon_sym_BSLASHglslink] = ACTIONS(7179),
    [anon_sym_BSLASHglstext] = ACTIONS(7179),
    [anon_sym_BSLASHGlstext] = ACTIONS(7179),
    [anon_sym_BSLASHGLStext] = ACTIONS(7179),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7179),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7179),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7179),
    [anon_sym_BSLASHglsplural] = ACTIONS(7179),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7179),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7179),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7179),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7179),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7179),
    [anon_sym_BSLASHglsname] = ACTIONS(7179),
    [anon_sym_BSLASHGlsname] = ACTIONS(7179),
    [anon_sym_BSLASHGLSname] = ACTIONS(7179),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7179),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7179),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7179),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7179),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7179),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7179),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7179),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7179),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7179),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7179),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7179),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7179),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7179),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7179),
    [anon_sym_BSLASHacrshort] = ACTIONS(7179),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7179),
    [anon_sym_BSLASHACRshort] = ACTIONS(7179),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHacrlong] = ACTIONS(7179),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7179),
    [anon_sym_BSLASHACRlong] = ACTIONS(7179),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7179),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7179),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7179),
    [anon_sym_BSLASHacrfull] = ACTIONS(7179),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7179),
    [anon_sym_BSLASHACRfull] = ACTIONS(7179),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHacs] = ACTIONS(7179),
    [anon_sym_BSLASHAcs] = ACTIONS(7179),
    [anon_sym_BSLASHacsp] = ACTIONS(7179),
    [anon_sym_BSLASHAcsp] = ACTIONS(7179),
    [anon_sym_BSLASHacl] = ACTIONS(7179),
    [anon_sym_BSLASHAcl] = ACTIONS(7179),
    [anon_sym_BSLASHaclp] = ACTIONS(7179),
    [anon_sym_BSLASHAclp] = ACTIONS(7179),
    [anon_sym_BSLASHacf] = ACTIONS(7179),
    [anon_sym_BSLASHAcf] = ACTIONS(7179),
    [anon_sym_BSLASHacfp] = ACTIONS(7179),
    [anon_sym_BSLASHAcfp] = ACTIONS(7179),
    [anon_sym_BSLASHac] = ACTIONS(7179),
    [anon_sym_BSLASHAc] = ACTIONS(7179),
    [anon_sym_BSLASHacp] = ACTIONS(7179),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7179),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7179),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7179),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7179),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7179),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7179),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7179),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7181),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7179),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7179),
    [anon_sym_BSLASHcolor] = ACTIONS(7179),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7179),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7179),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7179),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7179),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7179),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7179),
    [anon_sym_BSLASHurl] = ACTIONS(7179),
    [anon_sym_BSLASHhref] = ACTIONS(7179),
  },
  [1924] = {
    [sym_command_name] = ACTIONS(7191),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7191),
    [anon_sym_LBRACK] = ACTIONS(7193),
    [anon_sym_RBRACK] = ACTIONS(7193),
    [anon_sym_COMMA] = ACTIONS(7193),
    [anon_sym_EQ] = ACTIONS(7193),
    [anon_sym_LPAREN] = ACTIONS(7193),
    [anon_sym_RPAREN] = ACTIONS(7193),
    [anon_sym_LBRACE] = ACTIONS(7193),
    [anon_sym_RBRACE] = ACTIONS(7193),
    [sym_word] = ACTIONS(7191),
    [sym_placeholder] = ACTIONS(7193),
    [sym_delimiter] = ACTIONS(7193),
    [anon_sym_PLUS] = ACTIONS(7193),
    [anon_sym_DASH] = ACTIONS(7193),
    [anon_sym_STAR] = ACTIONS(7193),
    [anon_sym_SLASH] = ACTIONS(7193),
    [anon_sym_LT] = ACTIONS(7191),
    [anon_sym_GT] = ACTIONS(7191),
    [anon_sym_BANG] = ACTIONS(7191),
    [anon_sym_PIPE] = ACTIONS(7191),
    [anon_sym_COLON] = ACTIONS(7191),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym__] = ACTIONS(7193),
    [anon_sym_CARET] = ACTIONS(7193),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7193),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7193),
    [anon_sym_DOLLAR] = ACTIONS(7191),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7193),
    [anon_sym_BSLASHleft] = ACTIONS(7191),
    [anon_sym_BSLASHbigl] = ACTIONS(7191),
    [anon_sym_BSLASHBigl] = ACTIONS(7191),
    [anon_sym_BSLASHbiggl] = ACTIONS(7191),
    [anon_sym_BSLASHBiggl] = ACTIONS(7191),
    [anon_sym_BSLASHtext] = ACTIONS(7191),
    [anon_sym_BSLASHintertext] = ACTIONS(7191),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7191),
    [anon_sym_BSLASHtitle] = ACTIONS(7191),
    [anon_sym_BSLASHauthor] = ACTIONS(7191),
    [anon_sym_BSLASHusepackage] = ACTIONS(7191),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7191),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7191),
    [anon_sym_BSLASHinclude] = ACTIONS(7191),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7191),
    [anon_sym_BSLASHinput] = ACTIONS(7191),
    [anon_sym_BSLASHsubfile] = ACTIONS(7191),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7191),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7191),
    [anon_sym_BSLASHbibliography] = ACTIONS(7191),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7191),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7191),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7191),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7191),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7191),
    [anon_sym_BSLASHimport] = ACTIONS(7191),
    [anon_sym_BSLASHsubimport] = ACTIONS(7191),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7191),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7191),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7191),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7191),
    [anon_sym_BSLASHcaption] = ACTIONS(7191),
    [anon_sym_BSLASHcite] = ACTIONS(7191),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCite] = ACTIONS(7191),
    [anon_sym_BSLASHnocite] = ACTIONS(7191),
    [anon_sym_BSLASHcitet] = ACTIONS(7191),
    [anon_sym_BSLASHcitep] = ACTIONS(7191),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteA] = ACTIONS(7191),
    [anon_sym_BSLASHciteR] = ACTIONS(7191),
    [anon_sym_BSLASHciteS] = ACTIONS(7191),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7191),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7191),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7191),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7191),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteyear] = ACTIONS(7191),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitedate] = ACTIONS(7191),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteurl] = ACTIONS(7191),
    [anon_sym_BSLASHfullcite] = ACTIONS(7191),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7191),
    [anon_sym_BSLASHcitealt] = ACTIONS(7191),
    [anon_sym_BSLASHcitealp] = ACTIONS(7191),
    [anon_sym_BSLASHcitetext] = ACTIONS(7191),
    [anon_sym_BSLASHparencite] = ACTIONS(7191),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHParencite] = ACTIONS(7191),
    [anon_sym_BSLASHfootcite] = ACTIONS(7191),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7191),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7191),
    [anon_sym_BSLASHtextcite] = ACTIONS(7191),
    [anon_sym_BSLASHTextcite] = ACTIONS(7191),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7191),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7191),
    [anon_sym_BSLASHsupercite] = ACTIONS(7191),
    [anon_sym_BSLASHautocite] = ACTIONS(7191),
    [anon_sym_BSLASHAutocite] = ACTIONS(7191),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHVolcite] = ACTIONS(7191),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHavolcite] = ACTIONS(7191),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHNotecite] = ACTIONS(7191),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHlabel] = ACTIONS(7191),
    [anon_sym_BSLASHref] = ACTIONS(7191),
    [anon_sym_BSLASHeqref] = ACTIONS(7191),
    [anon_sym_BSLASHvref] = ACTIONS(7191),
    [anon_sym_BSLASHVref] = ACTIONS(7191),
    [anon_sym_BSLASHautoref] = ACTIONS(7191),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHpageref] = ACTIONS(7191),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHautopageref] = ACTIONS(7191),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcref] = ACTIONS(7191),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCref] = ACTIONS(7191),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcpageref] = ACTIONS(7191),
    [anon_sym_BSLASHCpageref] = ACTIONS(7191),
    [anon_sym_BSLASHnamecref] = ACTIONS(7191),
    [anon_sym_BSLASHnameCref] = ACTIONS(7191),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7191),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7191),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7191),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7191),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7191),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7191),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7191),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7191),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7191),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7191),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7191),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHdef] = ACTIONS(7191),
    [anon_sym_BSLASHgdef] = ACTIONS(7191),
    [anon_sym_BSLASHedef] = ACTIONS(7191),
    [anon_sym_BSLASHxdef] = ACTIONS(7191),
    [anon_sym_BSLASHlet] = ACTIONS(7191),
    [anon_sym_BSLASHglet] = ACTIONS(7191),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7191),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7191),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7191),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7191),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7191),
    [anon_sym_BSLASHgls] = ACTIONS(7191),
    [anon_sym_BSLASHGls] = ACTIONS(7191),
    [anon_sym_BSLASHGLS] = ACTIONS(7191),
    [anon_sym_BSLASHglspl] = ACTIONS(7191),
    [anon_sym_BSLASHGlspl] = ACTIONS(7191),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7191),
    [anon_sym_BSLASHglslink] = ACTIONS(7191),
    [anon_sym_BSLASHglstext] = ACTIONS(7191),
    [anon_sym_BSLASHGlstext] = ACTIONS(7191),
    [anon_sym_BSLASHGLStext] = ACTIONS(7191),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7191),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7191),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7191),
    [anon_sym_BSLASHglsplural] = ACTIONS(7191),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7191),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7191),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHglsname] = ACTIONS(7191),
    [anon_sym_BSLASHGlsname] = ACTIONS(7191),
    [anon_sym_BSLASHGLSname] = ACTIONS(7191),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7191),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7191),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7191),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7191),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7191),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7191),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7191),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7191),
    [anon_sym_BSLASHacrshort] = ACTIONS(7191),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7191),
    [anon_sym_BSLASHACRshort] = ACTIONS(7191),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHacrlong] = ACTIONS(7191),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7191),
    [anon_sym_BSLASHACRlong] = ACTIONS(7191),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHacrfull] = ACTIONS(7191),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7191),
    [anon_sym_BSLASHACRfull] = ACTIONS(7191),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHacs] = ACTIONS(7191),
    [anon_sym_BSLASHAcs] = ACTIONS(7191),
    [anon_sym_BSLASHacsp] = ACTIONS(7191),
    [anon_sym_BSLASHAcsp] = ACTIONS(7191),
    [anon_sym_BSLASHacl] = ACTIONS(7191),
    [anon_sym_BSLASHAcl] = ACTIONS(7191),
    [anon_sym_BSLASHaclp] = ACTIONS(7191),
    [anon_sym_BSLASHAclp] = ACTIONS(7191),
    [anon_sym_BSLASHacf] = ACTIONS(7191),
    [anon_sym_BSLASHAcf] = ACTIONS(7191),
    [anon_sym_BSLASHacfp] = ACTIONS(7191),
    [anon_sym_BSLASHAcfp] = ACTIONS(7191),
    [anon_sym_BSLASHac] = ACTIONS(7191),
    [anon_sym_BSLASHAc] = ACTIONS(7191),
    [anon_sym_BSLASHacp] = ACTIONS(7191),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7191),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7191),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7191),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7191),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7191),
    [anon_sym_BSLASHcolor] = ACTIONS(7191),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7191),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7191),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7191),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7191),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7191),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7191),
    [anon_sym_BSLASHurl] = ACTIONS(7191),
    [anon_sym_BSLASHhref] = ACTIONS(7191),
  },
  [1925] = {
    [sym_command_name] = ACTIONS(7195),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7195),
    [anon_sym_LBRACK] = ACTIONS(7197),
    [anon_sym_RBRACK] = ACTIONS(7197),
    [anon_sym_COMMA] = ACTIONS(7197),
    [anon_sym_EQ] = ACTIONS(7197),
    [anon_sym_LPAREN] = ACTIONS(7197),
    [anon_sym_RPAREN] = ACTIONS(7197),
    [anon_sym_LBRACE] = ACTIONS(7197),
    [anon_sym_RBRACE] = ACTIONS(7197),
    [sym_word] = ACTIONS(7195),
    [sym_placeholder] = ACTIONS(7197),
    [sym_delimiter] = ACTIONS(7197),
    [anon_sym_PLUS] = ACTIONS(7197),
    [anon_sym_DASH] = ACTIONS(7197),
    [anon_sym_STAR] = ACTIONS(7197),
    [anon_sym_SLASH] = ACTIONS(7197),
    [anon_sym_LT] = ACTIONS(7195),
    [anon_sym_GT] = ACTIONS(7195),
    [anon_sym_BANG] = ACTIONS(7195),
    [anon_sym_PIPE] = ACTIONS(7195),
    [anon_sym_COLON] = ACTIONS(7195),
    [anon_sym_SQUOTE] = ACTIONS(7195),
    [anon_sym__] = ACTIONS(7197),
    [anon_sym_CARET] = ACTIONS(7197),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7197),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7197),
    [anon_sym_DOLLAR] = ACTIONS(7195),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7197),
    [anon_sym_BSLASHleft] = ACTIONS(7195),
    [anon_sym_BSLASHbigl] = ACTIONS(7195),
    [anon_sym_BSLASHBigl] = ACTIONS(7195),
    [anon_sym_BSLASHbiggl] = ACTIONS(7195),
    [anon_sym_BSLASHBiggl] = ACTIONS(7195),
    [anon_sym_BSLASHtext] = ACTIONS(7195),
    [anon_sym_BSLASHintertext] = ACTIONS(7195),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7195),
    [anon_sym_BSLASHtitle] = ACTIONS(7195),
    [anon_sym_BSLASHauthor] = ACTIONS(7195),
    [anon_sym_BSLASHusepackage] = ACTIONS(7195),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7195),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7195),
    [anon_sym_BSLASHinclude] = ACTIONS(7195),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7195),
    [anon_sym_BSLASHinput] = ACTIONS(7195),
    [anon_sym_BSLASHsubfile] = ACTIONS(7195),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7195),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7195),
    [anon_sym_BSLASHbibliography] = ACTIONS(7195),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7195),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7195),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7195),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7195),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7195),
    [anon_sym_BSLASHimport] = ACTIONS(7195),
    [anon_sym_BSLASHsubimport] = ACTIONS(7195),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7195),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7195),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7195),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7195),
    [anon_sym_BSLASHcaption] = ACTIONS(7195),
    [anon_sym_BSLASHcite] = ACTIONS(7195),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCite] = ACTIONS(7195),
    [anon_sym_BSLASHnocite] = ACTIONS(7195),
    [anon_sym_BSLASHcitet] = ACTIONS(7195),
    [anon_sym_BSLASHcitep] = ACTIONS(7195),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteA] = ACTIONS(7195),
    [anon_sym_BSLASHciteR] = ACTIONS(7195),
    [anon_sym_BSLASHciteS] = ACTIONS(7195),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7195),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7195),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7195),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7195),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteyear] = ACTIONS(7195),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitedate] = ACTIONS(7195),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteurl] = ACTIONS(7195),
    [anon_sym_BSLASHfullcite] = ACTIONS(7195),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7195),
    [anon_sym_BSLASHcitealt] = ACTIONS(7195),
    [anon_sym_BSLASHcitealp] = ACTIONS(7195),
    [anon_sym_BSLASHcitetext] = ACTIONS(7195),
    [anon_sym_BSLASHparencite] = ACTIONS(7195),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHParencite] = ACTIONS(7195),
    [anon_sym_BSLASHfootcite] = ACTIONS(7195),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7195),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7195),
    [anon_sym_BSLASHtextcite] = ACTIONS(7195),
    [anon_sym_BSLASHTextcite] = ACTIONS(7195),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7195),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7195),
    [anon_sym_BSLASHsupercite] = ACTIONS(7195),
    [anon_sym_BSLASHautocite] = ACTIONS(7195),
    [anon_sym_BSLASHAutocite] = ACTIONS(7195),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHVolcite] = ACTIONS(7195),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHavolcite] = ACTIONS(7195),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHNotecite] = ACTIONS(7195),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHlabel] = ACTIONS(7195),
    [anon_sym_BSLASHref] = ACTIONS(7195),
    [anon_sym_BSLASHeqref] = ACTIONS(7195),
    [anon_sym_BSLASHvref] = ACTIONS(7195),
    [anon_sym_BSLASHVref] = ACTIONS(7195),
    [anon_sym_BSLASHautoref] = ACTIONS(7195),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHpageref] = ACTIONS(7195),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHautopageref] = ACTIONS(7195),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcref] = ACTIONS(7195),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCref] = ACTIONS(7195),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcpageref] = ACTIONS(7195),
    [anon_sym_BSLASHCpageref] = ACTIONS(7195),
    [anon_sym_BSLASHnamecref] = ACTIONS(7195),
    [anon_sym_BSLASHnameCref] = ACTIONS(7195),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7195),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7195),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7195),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7195),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7195),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7195),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7195),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7195),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7195),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7195),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7195),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHdef] = ACTIONS(7195),
    [anon_sym_BSLASHgdef] = ACTIONS(7195),
    [anon_sym_BSLASHedef] = ACTIONS(7195),
    [anon_sym_BSLASHxdef] = ACTIONS(7195),
    [anon_sym_BSLASHlet] = ACTIONS(7195),
    [anon_sym_BSLASHglet] = ACTIONS(7195),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7195),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7195),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7195),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7195),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7195),
    [anon_sym_BSLASHgls] = ACTIONS(7195),
    [anon_sym_BSLASHGls] = ACTIONS(7195),
    [anon_sym_BSLASHGLS] = ACTIONS(7195),
    [anon_sym_BSLASHglspl] = ACTIONS(7195),
    [anon_sym_BSLASHGlspl] = ACTIONS(7195),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7195),
    [anon_sym_BSLASHglslink] = ACTIONS(7195),
    [anon_sym_BSLASHglstext] = ACTIONS(7195),
    [anon_sym_BSLASHGlstext] = ACTIONS(7195),
    [anon_sym_BSLASHGLStext] = ACTIONS(7195),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7195),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7195),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7195),
    [anon_sym_BSLASHglsplural] = ACTIONS(7195),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7195),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7195),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHglsname] = ACTIONS(7195),
    [anon_sym_BSLASHGlsname] = ACTIONS(7195),
    [anon_sym_BSLASHGLSname] = ACTIONS(7195),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7195),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7195),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7195),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7195),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7195),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7195),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7195),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7195),
    [anon_sym_BSLASHacrshort] = ACTIONS(7195),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7195),
    [anon_sym_BSLASHACRshort] = ACTIONS(7195),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHacrlong] = ACTIONS(7195),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7195),
    [anon_sym_BSLASHACRlong] = ACTIONS(7195),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHacrfull] = ACTIONS(7195),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7195),
    [anon_sym_BSLASHACRfull] = ACTIONS(7195),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHacs] = ACTIONS(7195),
    [anon_sym_BSLASHAcs] = ACTIONS(7195),
    [anon_sym_BSLASHacsp] = ACTIONS(7195),
    [anon_sym_BSLASHAcsp] = ACTIONS(7195),
    [anon_sym_BSLASHacl] = ACTIONS(7195),
    [anon_sym_BSLASHAcl] = ACTIONS(7195),
    [anon_sym_BSLASHaclp] = ACTIONS(7195),
    [anon_sym_BSLASHAclp] = ACTIONS(7195),
    [anon_sym_BSLASHacf] = ACTIONS(7195),
    [anon_sym_BSLASHAcf] = ACTIONS(7195),
    [anon_sym_BSLASHacfp] = ACTIONS(7195),
    [anon_sym_BSLASHAcfp] = ACTIONS(7195),
    [anon_sym_BSLASHac] = ACTIONS(7195),
    [anon_sym_BSLASHAc] = ACTIONS(7195),
    [anon_sym_BSLASHacp] = ACTIONS(7195),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7195),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7195),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7195),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7195),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7195),
    [anon_sym_BSLASHcolor] = ACTIONS(7195),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7195),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7195),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7195),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7195),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7195),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7195),
    [anon_sym_BSLASHurl] = ACTIONS(7195),
    [anon_sym_BSLASHhref] = ACTIONS(7195),
  },
  [1926] = {
    [sym_command_name] = ACTIONS(7183),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7183),
    [anon_sym_LBRACK] = ACTIONS(7185),
    [anon_sym_RBRACK] = ACTIONS(7185),
    [anon_sym_COMMA] = ACTIONS(7185),
    [anon_sym_EQ] = ACTIONS(7185),
    [anon_sym_LPAREN] = ACTIONS(7185),
    [anon_sym_RPAREN] = ACTIONS(7185),
    [anon_sym_LBRACE] = ACTIONS(7185),
    [sym_word] = ACTIONS(7183),
    [sym_placeholder] = ACTIONS(7185),
    [sym_delimiter] = ACTIONS(7185),
    [anon_sym_PLUS] = ACTIONS(7185),
    [anon_sym_DASH] = ACTIONS(7185),
    [anon_sym_STAR] = ACTIONS(7185),
    [anon_sym_SLASH] = ACTIONS(7185),
    [anon_sym_LT] = ACTIONS(7183),
    [anon_sym_GT] = ACTIONS(7183),
    [anon_sym_BANG] = ACTIONS(7183),
    [anon_sym_PIPE] = ACTIONS(7183),
    [anon_sym_COLON] = ACTIONS(7183),
    [anon_sym_SQUOTE] = ACTIONS(7183),
    [anon_sym__] = ACTIONS(7185),
    [anon_sym_CARET] = ACTIONS(7185),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7185),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7185),
    [anon_sym_DOLLAR] = ACTIONS(7183),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7185),
    [anon_sym_BSLASHleft] = ACTIONS(7183),
    [anon_sym_BSLASHbigl] = ACTIONS(7183),
    [anon_sym_BSLASHBigl] = ACTIONS(7183),
    [anon_sym_BSLASHbiggl] = ACTIONS(7183),
    [anon_sym_BSLASHBiggl] = ACTIONS(7183),
    [anon_sym_BSLASHtext] = ACTIONS(7183),
    [anon_sym_BSLASHintertext] = ACTIONS(7183),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7183),
    [anon_sym_BSLASHbegin] = ACTIONS(7183),
    [anon_sym_BSLASHtitle] = ACTIONS(7183),
    [anon_sym_BSLASHauthor] = ACTIONS(7183),
    [anon_sym_BSLASHusepackage] = ACTIONS(7183),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7183),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7183),
    [anon_sym_BSLASHinclude] = ACTIONS(7183),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7183),
    [anon_sym_BSLASHinput] = ACTIONS(7183),
    [anon_sym_BSLASHsubfile] = ACTIONS(7183),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7183),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7183),
    [anon_sym_BSLASHbibliography] = ACTIONS(7183),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7183),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7183),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7183),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7183),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7183),
    [anon_sym_BSLASHimport] = ACTIONS(7183),
    [anon_sym_BSLASHsubimport] = ACTIONS(7183),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7183),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7183),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7183),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7183),
    [anon_sym_BSLASHcaption] = ACTIONS(7183),
    [anon_sym_BSLASHcite] = ACTIONS(7183),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHCite] = ACTIONS(7183),
    [anon_sym_BSLASHnocite] = ACTIONS(7183),
    [anon_sym_BSLASHcitet] = ACTIONS(7183),
    [anon_sym_BSLASHcitep] = ACTIONS(7183),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHciteA] = ACTIONS(7183),
    [anon_sym_BSLASHciteR] = ACTIONS(7183),
    [anon_sym_BSLASHciteS] = ACTIONS(7183),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7183),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7183),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7183),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7183),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHciteyear] = ACTIONS(7183),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcitedate] = ACTIONS(7183),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHciteurl] = ACTIONS(7183),
    [anon_sym_BSLASHfullcite] = ACTIONS(7183),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7183),
    [anon_sym_BSLASHcitealt] = ACTIONS(7183),
    [anon_sym_BSLASHcitealp] = ACTIONS(7183),
    [anon_sym_BSLASHcitetext] = ACTIONS(7183),
    [anon_sym_BSLASHparencite] = ACTIONS(7183),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHParencite] = ACTIONS(7183),
    [anon_sym_BSLASHfootcite] = ACTIONS(7183),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7183),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7183),
    [anon_sym_BSLASHtextcite] = ACTIONS(7183),
    [anon_sym_BSLASHTextcite] = ACTIONS(7183),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7183),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7183),
    [anon_sym_BSLASHsupercite] = ACTIONS(7183),
    [anon_sym_BSLASHautocite] = ACTIONS(7183),
    [anon_sym_BSLASHAutocite] = ACTIONS(7183),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHVolcite] = ACTIONS(7183),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHavolcite] = ACTIONS(7183),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7183),
    [anon_sym_BSLASHnotecite] = ACTIONS(7183),
    [anon_sym_BSLASHNotecite] = ACTIONS(7183),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7183),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7183),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7183),
    [anon_sym_BSLASHlabel] = ACTIONS(7183),
    [anon_sym_BSLASHref] = ACTIONS(7183),
    [anon_sym_BSLASHeqref] = ACTIONS(7183),
    [anon_sym_BSLASHvref] = ACTIONS(7183),
    [anon_sym_BSLASHVref] = ACTIONS(7183),
    [anon_sym_BSLASHautoref] = ACTIONS(7183),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHpageref] = ACTIONS(7183),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHautopageref] = ACTIONS(7183),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcref] = ACTIONS(7183),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHCref] = ACTIONS(7183),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcpageref] = ACTIONS(7183),
    [anon_sym_BSLASHCpageref] = ACTIONS(7183),
    [anon_sym_BSLASHnamecref] = ACTIONS(7183),
    [anon_sym_BSLASHnameCref] = ACTIONS(7183),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7183),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7183),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7183),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7183),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7183),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7183),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7183),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7183),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7183),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7183),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7183),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7183),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7183),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7183),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7183),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7183),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7183),
    [anon_sym_BSLASHdef] = ACTIONS(7183),
    [anon_sym_BSLASHgdef] = ACTIONS(7183),
    [anon_sym_BSLASHedef] = ACTIONS(7183),
    [anon_sym_BSLASHxdef] = ACTIONS(7183),
    [anon_sym_BSLASHlet] = ACTIONS(7183),
    [anon_sym_BSLASHglet] = ACTIONS(7183),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7183),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7183),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7183),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7183),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7183),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7183),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7183),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7183),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7183),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7183),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7183),
    [anon_sym_BSLASHgls] = ACTIONS(7183),
    [anon_sym_BSLASHGls] = ACTIONS(7183),
    [anon_sym_BSLASHGLS] = ACTIONS(7183),
    [anon_sym_BSLASHglspl] = ACTIONS(7183),
    [anon_sym_BSLASHGlspl] = ACTIONS(7183),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7183),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7183),
    [anon_sym_BSLASHglslink] = ACTIONS(7183),
    [anon_sym_BSLASHglstext] = ACTIONS(7183),
    [anon_sym_BSLASHGlstext] = ACTIONS(7183),
    [anon_sym_BSLASHGLStext] = ACTIONS(7183),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7183),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7183),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7183),
    [anon_sym_BSLASHglsplural] = ACTIONS(7183),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7183),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7183),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7183),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7183),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7183),
    [anon_sym_BSLASHglsname] = ACTIONS(7183),
    [anon_sym_BSLASHGlsname] = ACTIONS(7183),
    [anon_sym_BSLASHGLSname] = ACTIONS(7183),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7183),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7183),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7183),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7183),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7183),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7183),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7183),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7183),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7183),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7183),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7183),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7183),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7183),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7183),
    [anon_sym_BSLASHacrshort] = ACTIONS(7183),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7183),
    [anon_sym_BSLASHACRshort] = ACTIONS(7183),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHacrlong] = ACTIONS(7183),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7183),
    [anon_sym_BSLASHACRlong] = ACTIONS(7183),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7183),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7183),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7183),
    [anon_sym_BSLASHacrfull] = ACTIONS(7183),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7183),
    [anon_sym_BSLASHACRfull] = ACTIONS(7183),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHacs] = ACTIONS(7183),
    [anon_sym_BSLASHAcs] = ACTIONS(7183),
    [anon_sym_BSLASHacsp] = ACTIONS(7183),
    [anon_sym_BSLASHAcsp] = ACTIONS(7183),
    [anon_sym_BSLASHacl] = ACTIONS(7183),
    [anon_sym_BSLASHAcl] = ACTIONS(7183),
    [anon_sym_BSLASHaclp] = ACTIONS(7183),
    [anon_sym_BSLASHAclp] = ACTIONS(7183),
    [anon_sym_BSLASHacf] = ACTIONS(7183),
    [anon_sym_BSLASHAcf] = ACTIONS(7183),
    [anon_sym_BSLASHacfp] = ACTIONS(7183),
    [anon_sym_BSLASHAcfp] = ACTIONS(7183),
    [anon_sym_BSLASHac] = ACTIONS(7183),
    [anon_sym_BSLASHAc] = ACTIONS(7183),
    [anon_sym_BSLASHacp] = ACTIONS(7183),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7183),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7183),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7183),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7183),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7183),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7183),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7183),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7185),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7183),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7183),
    [anon_sym_BSLASHcolor] = ACTIONS(7183),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7183),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7183),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7183),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7183),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7183),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7183),
    [anon_sym_BSLASHurl] = ACTIONS(7183),
    [anon_sym_BSLASHhref] = ACTIONS(7183),
  },
  [1927] = {
    [sym_command_name] = ACTIONS(7199),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7199),
    [anon_sym_LBRACK] = ACTIONS(7201),
    [anon_sym_RBRACK] = ACTIONS(7201),
    [anon_sym_COMMA] = ACTIONS(7201),
    [anon_sym_EQ] = ACTIONS(7201),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_RPAREN] = ACTIONS(7201),
    [anon_sym_LBRACE] = ACTIONS(7201),
    [anon_sym_RBRACE] = ACTIONS(7201),
    [sym_word] = ACTIONS(7199),
    [sym_placeholder] = ACTIONS(7201),
    [sym_delimiter] = ACTIONS(7201),
    [anon_sym_PLUS] = ACTIONS(7201),
    [anon_sym_DASH] = ACTIONS(7201),
    [anon_sym_STAR] = ACTIONS(7201),
    [anon_sym_SLASH] = ACTIONS(7201),
    [anon_sym_LT] = ACTIONS(7199),
    [anon_sym_GT] = ACTIONS(7199),
    [anon_sym_BANG] = ACTIONS(7199),
    [anon_sym_PIPE] = ACTIONS(7199),
    [anon_sym_COLON] = ACTIONS(7199),
    [anon_sym_SQUOTE] = ACTIONS(7199),
    [anon_sym__] = ACTIONS(7201),
    [anon_sym_CARET] = ACTIONS(7201),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7201),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7201),
    [anon_sym_DOLLAR] = ACTIONS(7199),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7201),
    [anon_sym_BSLASHleft] = ACTIONS(7199),
    [anon_sym_BSLASHbigl] = ACTIONS(7199),
    [anon_sym_BSLASHBigl] = ACTIONS(7199),
    [anon_sym_BSLASHbiggl] = ACTIONS(7199),
    [anon_sym_BSLASHBiggl] = ACTIONS(7199),
    [anon_sym_BSLASHtext] = ACTIONS(7199),
    [anon_sym_BSLASHintertext] = ACTIONS(7199),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7199),
    [anon_sym_BSLASHtitle] = ACTIONS(7199),
    [anon_sym_BSLASHauthor] = ACTIONS(7199),
    [anon_sym_BSLASHusepackage] = ACTIONS(7199),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7199),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7199),
    [anon_sym_BSLASHinclude] = ACTIONS(7199),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7199),
    [anon_sym_BSLASHinput] = ACTIONS(7199),
    [anon_sym_BSLASHsubfile] = ACTIONS(7199),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7199),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7199),
    [anon_sym_BSLASHbibliography] = ACTIONS(7199),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7199),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7199),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7199),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7199),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7199),
    [anon_sym_BSLASHimport] = ACTIONS(7199),
    [anon_sym_BSLASHsubimport] = ACTIONS(7199),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7199),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7199),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7199),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7199),
    [anon_sym_BSLASHcaption] = ACTIONS(7199),
    [anon_sym_BSLASHcite] = ACTIONS(7199),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCite] = ACTIONS(7199),
    [anon_sym_BSLASHnocite] = ACTIONS(7199),
    [anon_sym_BSLASHcitet] = ACTIONS(7199),
    [anon_sym_BSLASHcitep] = ACTIONS(7199),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteA] = ACTIONS(7199),
    [anon_sym_BSLASHciteR] = ACTIONS(7199),
    [anon_sym_BSLASHciteS] = ACTIONS(7199),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7199),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7199),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7199),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7199),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteyear] = ACTIONS(7199),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitedate] = ACTIONS(7199),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteurl] = ACTIONS(7199),
    [anon_sym_BSLASHfullcite] = ACTIONS(7199),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7199),
    [anon_sym_BSLASHcitealt] = ACTIONS(7199),
    [anon_sym_BSLASHcitealp] = ACTIONS(7199),
    [anon_sym_BSLASHcitetext] = ACTIONS(7199),
    [anon_sym_BSLASHparencite] = ACTIONS(7199),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHParencite] = ACTIONS(7199),
    [anon_sym_BSLASHfootcite] = ACTIONS(7199),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7199),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7199),
    [anon_sym_BSLASHtextcite] = ACTIONS(7199),
    [anon_sym_BSLASHTextcite] = ACTIONS(7199),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7199),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7199),
    [anon_sym_BSLASHsupercite] = ACTIONS(7199),
    [anon_sym_BSLASHautocite] = ACTIONS(7199),
    [anon_sym_BSLASHAutocite] = ACTIONS(7199),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHVolcite] = ACTIONS(7199),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHavolcite] = ACTIONS(7199),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHNotecite] = ACTIONS(7199),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHlabel] = ACTIONS(7199),
    [anon_sym_BSLASHref] = ACTIONS(7199),
    [anon_sym_BSLASHeqref] = ACTIONS(7199),
    [anon_sym_BSLASHvref] = ACTIONS(7199),
    [anon_sym_BSLASHVref] = ACTIONS(7199),
    [anon_sym_BSLASHautoref] = ACTIONS(7199),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHpageref] = ACTIONS(7199),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHautopageref] = ACTIONS(7199),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcref] = ACTIONS(7199),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCref] = ACTIONS(7199),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcpageref] = ACTIONS(7199),
    [anon_sym_BSLASHCpageref] = ACTIONS(7199),
    [anon_sym_BSLASHnamecref] = ACTIONS(7199),
    [anon_sym_BSLASHnameCref] = ACTIONS(7199),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7199),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7199),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7199),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7199),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7199),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7199),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7199),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7199),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7199),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7199),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7199),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHdef] = ACTIONS(7199),
    [anon_sym_BSLASHgdef] = ACTIONS(7199),
    [anon_sym_BSLASHedef] = ACTIONS(7199),
    [anon_sym_BSLASHxdef] = ACTIONS(7199),
    [anon_sym_BSLASHlet] = ACTIONS(7199),
    [anon_sym_BSLASHglet] = ACTIONS(7199),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7199),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7199),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7199),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7199),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7199),
    [anon_sym_BSLASHgls] = ACTIONS(7199),
    [anon_sym_BSLASHGls] = ACTIONS(7199),
    [anon_sym_BSLASHGLS] = ACTIONS(7199),
    [anon_sym_BSLASHglspl] = ACTIONS(7199),
    [anon_sym_BSLASHGlspl] = ACTIONS(7199),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7199),
    [anon_sym_BSLASHglslink] = ACTIONS(7199),
    [anon_sym_BSLASHglstext] = ACTIONS(7199),
    [anon_sym_BSLASHGlstext] = ACTIONS(7199),
    [anon_sym_BSLASHGLStext] = ACTIONS(7199),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7199),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7199),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7199),
    [anon_sym_BSLASHglsplural] = ACTIONS(7199),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7199),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7199),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHglsname] = ACTIONS(7199),
    [anon_sym_BSLASHGlsname] = ACTIONS(7199),
    [anon_sym_BSLASHGLSname] = ACTIONS(7199),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7199),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7199),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7199),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7199),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7199),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7199),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7199),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7199),
    [anon_sym_BSLASHacrshort] = ACTIONS(7199),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7199),
    [anon_sym_BSLASHACRshort] = ACTIONS(7199),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHacrlong] = ACTIONS(7199),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7199),
    [anon_sym_BSLASHACRlong] = ACTIONS(7199),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHacrfull] = ACTIONS(7199),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7199),
    [anon_sym_BSLASHACRfull] = ACTIONS(7199),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHacs] = ACTIONS(7199),
    [anon_sym_BSLASHAcs] = ACTIONS(7199),
    [anon_sym_BSLASHacsp] = ACTIONS(7199),
    [anon_sym_BSLASHAcsp] = ACTIONS(7199),
    [anon_sym_BSLASHacl] = ACTIONS(7199),
    [anon_sym_BSLASHAcl] = ACTIONS(7199),
    [anon_sym_BSLASHaclp] = ACTIONS(7199),
    [anon_sym_BSLASHAclp] = ACTIONS(7199),
    [anon_sym_BSLASHacf] = ACTIONS(7199),
    [anon_sym_BSLASHAcf] = ACTIONS(7199),
    [anon_sym_BSLASHacfp] = ACTIONS(7199),
    [anon_sym_BSLASHAcfp] = ACTIONS(7199),
    [anon_sym_BSLASHac] = ACTIONS(7199),
    [anon_sym_BSLASHAc] = ACTIONS(7199),
    [anon_sym_BSLASHacp] = ACTIONS(7199),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7199),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7199),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7199),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7199),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7199),
    [anon_sym_BSLASHcolor] = ACTIONS(7199),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7199),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7199),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7199),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7199),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7199),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7199),
    [anon_sym_BSLASHurl] = ACTIONS(7199),
    [anon_sym_BSLASHhref] = ACTIONS(7199),
  },
  [1928] = {
    [sym_command_name] = ACTIONS(7203),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7203),
    [anon_sym_LBRACK] = ACTIONS(7205),
    [anon_sym_RBRACK] = ACTIONS(7205),
    [anon_sym_COMMA] = ACTIONS(7205),
    [anon_sym_EQ] = ACTIONS(7205),
    [anon_sym_LPAREN] = ACTIONS(7205),
    [anon_sym_RPAREN] = ACTIONS(7205),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_RBRACE] = ACTIONS(7205),
    [sym_word] = ACTIONS(7203),
    [sym_placeholder] = ACTIONS(7205),
    [sym_delimiter] = ACTIONS(7205),
    [anon_sym_PLUS] = ACTIONS(7205),
    [anon_sym_DASH] = ACTIONS(7205),
    [anon_sym_STAR] = ACTIONS(7205),
    [anon_sym_SLASH] = ACTIONS(7205),
    [anon_sym_LT] = ACTIONS(7203),
    [anon_sym_GT] = ACTIONS(7203),
    [anon_sym_BANG] = ACTIONS(7203),
    [anon_sym_PIPE] = ACTIONS(7203),
    [anon_sym_COLON] = ACTIONS(7203),
    [anon_sym_SQUOTE] = ACTIONS(7203),
    [anon_sym__] = ACTIONS(7205),
    [anon_sym_CARET] = ACTIONS(7205),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7205),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7203),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7205),
    [anon_sym_BSLASHleft] = ACTIONS(7203),
    [anon_sym_BSLASHbigl] = ACTIONS(7203),
    [anon_sym_BSLASHBigl] = ACTIONS(7203),
    [anon_sym_BSLASHbiggl] = ACTIONS(7203),
    [anon_sym_BSLASHBiggl] = ACTIONS(7203),
    [anon_sym_BSLASHtext] = ACTIONS(7203),
    [anon_sym_BSLASHintertext] = ACTIONS(7203),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7203),
    [anon_sym_BSLASHtitle] = ACTIONS(7203),
    [anon_sym_BSLASHauthor] = ACTIONS(7203),
    [anon_sym_BSLASHusepackage] = ACTIONS(7203),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7203),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7203),
    [anon_sym_BSLASHinclude] = ACTIONS(7203),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7203),
    [anon_sym_BSLASHinput] = ACTIONS(7203),
    [anon_sym_BSLASHsubfile] = ACTIONS(7203),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7203),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7203),
    [anon_sym_BSLASHbibliography] = ACTIONS(7203),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7203),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7203),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7203),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7203),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7203),
    [anon_sym_BSLASHimport] = ACTIONS(7203),
    [anon_sym_BSLASHsubimport] = ACTIONS(7203),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7203),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7203),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7203),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7203),
    [anon_sym_BSLASHcaption] = ACTIONS(7203),
    [anon_sym_BSLASHcite] = ACTIONS(7203),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCite] = ACTIONS(7203),
    [anon_sym_BSLASHnocite] = ACTIONS(7203),
    [anon_sym_BSLASHcitet] = ACTIONS(7203),
    [anon_sym_BSLASHcitep] = ACTIONS(7203),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteA] = ACTIONS(7203),
    [anon_sym_BSLASHciteR] = ACTIONS(7203),
    [anon_sym_BSLASHciteS] = ACTIONS(7203),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7203),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7203),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7203),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7203),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteyear] = ACTIONS(7203),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitedate] = ACTIONS(7203),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteurl] = ACTIONS(7203),
    [anon_sym_BSLASHfullcite] = ACTIONS(7203),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7203),
    [anon_sym_BSLASHcitealt] = ACTIONS(7203),
    [anon_sym_BSLASHcitealp] = ACTIONS(7203),
    [anon_sym_BSLASHcitetext] = ACTIONS(7203),
    [anon_sym_BSLASHparencite] = ACTIONS(7203),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHParencite] = ACTIONS(7203),
    [anon_sym_BSLASHfootcite] = ACTIONS(7203),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7203),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7203),
    [anon_sym_BSLASHtextcite] = ACTIONS(7203),
    [anon_sym_BSLASHTextcite] = ACTIONS(7203),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7203),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7203),
    [anon_sym_BSLASHsupercite] = ACTIONS(7203),
    [anon_sym_BSLASHautocite] = ACTIONS(7203),
    [anon_sym_BSLASHAutocite] = ACTIONS(7203),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHVolcite] = ACTIONS(7203),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHavolcite] = ACTIONS(7203),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHNotecite] = ACTIONS(7203),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHlabel] = ACTIONS(7203),
    [anon_sym_BSLASHref] = ACTIONS(7203),
    [anon_sym_BSLASHeqref] = ACTIONS(7203),
    [anon_sym_BSLASHvref] = ACTIONS(7203),
    [anon_sym_BSLASHVref] = ACTIONS(7203),
    [anon_sym_BSLASHautoref] = ACTIONS(7203),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHpageref] = ACTIONS(7203),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHautopageref] = ACTIONS(7203),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcref] = ACTIONS(7203),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCref] = ACTIONS(7203),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcpageref] = ACTIONS(7203),
    [anon_sym_BSLASHCpageref] = ACTIONS(7203),
    [anon_sym_BSLASHnamecref] = ACTIONS(7203),
    [anon_sym_BSLASHnameCref] = ACTIONS(7203),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7203),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7203),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7203),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7203),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7203),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7203),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7203),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7203),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7203),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7203),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7203),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHdef] = ACTIONS(7203),
    [anon_sym_BSLASHgdef] = ACTIONS(7203),
    [anon_sym_BSLASHedef] = ACTIONS(7203),
    [anon_sym_BSLASHxdef] = ACTIONS(7203),
    [anon_sym_BSLASHlet] = ACTIONS(7203),
    [anon_sym_BSLASHglet] = ACTIONS(7203),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7203),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7203),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7203),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7203),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7203),
    [anon_sym_BSLASHgls] = ACTIONS(7203),
    [anon_sym_BSLASHGls] = ACTIONS(7203),
    [anon_sym_BSLASHGLS] = ACTIONS(7203),
    [anon_sym_BSLASHglspl] = ACTIONS(7203),
    [anon_sym_BSLASHGlspl] = ACTIONS(7203),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7203),
    [anon_sym_BSLASHglslink] = ACTIONS(7203),
    [anon_sym_BSLASHglstext] = ACTIONS(7203),
    [anon_sym_BSLASHGlstext] = ACTIONS(7203),
    [anon_sym_BSLASHGLStext] = ACTIONS(7203),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7203),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7203),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7203),
    [anon_sym_BSLASHglsplural] = ACTIONS(7203),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7203),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7203),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHglsname] = ACTIONS(7203),
    [anon_sym_BSLASHGlsname] = ACTIONS(7203),
    [anon_sym_BSLASHGLSname] = ACTIONS(7203),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7203),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7203),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7203),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7203),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7203),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7203),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7203),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7203),
    [anon_sym_BSLASHacrshort] = ACTIONS(7203),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7203),
    [anon_sym_BSLASHACRshort] = ACTIONS(7203),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHacrlong] = ACTIONS(7203),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7203),
    [anon_sym_BSLASHACRlong] = ACTIONS(7203),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHacrfull] = ACTIONS(7203),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7203),
    [anon_sym_BSLASHACRfull] = ACTIONS(7203),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHacs] = ACTIONS(7203),
    [anon_sym_BSLASHAcs] = ACTIONS(7203),
    [anon_sym_BSLASHacsp] = ACTIONS(7203),
    [anon_sym_BSLASHAcsp] = ACTIONS(7203),
    [anon_sym_BSLASHacl] = ACTIONS(7203),
    [anon_sym_BSLASHAcl] = ACTIONS(7203),
    [anon_sym_BSLASHaclp] = ACTIONS(7203),
    [anon_sym_BSLASHAclp] = ACTIONS(7203),
    [anon_sym_BSLASHacf] = ACTIONS(7203),
    [anon_sym_BSLASHAcf] = ACTIONS(7203),
    [anon_sym_BSLASHacfp] = ACTIONS(7203),
    [anon_sym_BSLASHAcfp] = ACTIONS(7203),
    [anon_sym_BSLASHac] = ACTIONS(7203),
    [anon_sym_BSLASHAc] = ACTIONS(7203),
    [anon_sym_BSLASHacp] = ACTIONS(7203),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7203),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7203),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7203),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7203),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7203),
    [anon_sym_BSLASHcolor] = ACTIONS(7203),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7203),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7203),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7203),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7203),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7203),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7203),
    [anon_sym_BSLASHurl] = ACTIONS(7203),
    [anon_sym_BSLASHhref] = ACTIONS(7203),
  },
  [1929] = {
    [sym_command_name] = ACTIONS(7207),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7207),
    [anon_sym_LBRACK] = ACTIONS(7209),
    [anon_sym_RBRACK] = ACTIONS(7209),
    [anon_sym_COMMA] = ACTIONS(7209),
    [anon_sym_EQ] = ACTIONS(7209),
    [anon_sym_LPAREN] = ACTIONS(7209),
    [anon_sym_RPAREN] = ACTIONS(7209),
    [anon_sym_LBRACE] = ACTIONS(7209),
    [anon_sym_RBRACE] = ACTIONS(7209),
    [sym_word] = ACTIONS(7207),
    [sym_placeholder] = ACTIONS(7209),
    [sym_delimiter] = ACTIONS(7209),
    [anon_sym_PLUS] = ACTIONS(7209),
    [anon_sym_DASH] = ACTIONS(7209),
    [anon_sym_STAR] = ACTIONS(7209),
    [anon_sym_SLASH] = ACTIONS(7209),
    [anon_sym_LT] = ACTIONS(7207),
    [anon_sym_GT] = ACTIONS(7207),
    [anon_sym_BANG] = ACTIONS(7207),
    [anon_sym_PIPE] = ACTIONS(7207),
    [anon_sym_COLON] = ACTIONS(7207),
    [anon_sym_SQUOTE] = ACTIONS(7207),
    [anon_sym__] = ACTIONS(7209),
    [anon_sym_CARET] = ACTIONS(7209),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7209),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7209),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7209),
    [anon_sym_BSLASHleft] = ACTIONS(7207),
    [anon_sym_BSLASHbigl] = ACTIONS(7207),
    [anon_sym_BSLASHBigl] = ACTIONS(7207),
    [anon_sym_BSLASHbiggl] = ACTIONS(7207),
    [anon_sym_BSLASHBiggl] = ACTIONS(7207),
    [anon_sym_BSLASHtext] = ACTIONS(7207),
    [anon_sym_BSLASHintertext] = ACTIONS(7207),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7207),
    [anon_sym_BSLASHtitle] = ACTIONS(7207),
    [anon_sym_BSLASHauthor] = ACTIONS(7207),
    [anon_sym_BSLASHusepackage] = ACTIONS(7207),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7207),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7207),
    [anon_sym_BSLASHinclude] = ACTIONS(7207),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7207),
    [anon_sym_BSLASHinput] = ACTIONS(7207),
    [anon_sym_BSLASHsubfile] = ACTIONS(7207),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7207),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7207),
    [anon_sym_BSLASHbibliography] = ACTIONS(7207),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7207),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7207),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7207),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7207),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7207),
    [anon_sym_BSLASHimport] = ACTIONS(7207),
    [anon_sym_BSLASHsubimport] = ACTIONS(7207),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7207),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7207),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7207),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7207),
    [anon_sym_BSLASHcaption] = ACTIONS(7207),
    [anon_sym_BSLASHcite] = ACTIONS(7207),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCite] = ACTIONS(7207),
    [anon_sym_BSLASHnocite] = ACTIONS(7207),
    [anon_sym_BSLASHcitet] = ACTIONS(7207),
    [anon_sym_BSLASHcitep] = ACTIONS(7207),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteA] = ACTIONS(7207),
    [anon_sym_BSLASHciteR] = ACTIONS(7207),
    [anon_sym_BSLASHciteS] = ACTIONS(7207),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7207),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7207),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7207),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7207),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteyear] = ACTIONS(7207),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitedate] = ACTIONS(7207),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteurl] = ACTIONS(7207),
    [anon_sym_BSLASHfullcite] = ACTIONS(7207),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7207),
    [anon_sym_BSLASHcitealt] = ACTIONS(7207),
    [anon_sym_BSLASHcitealp] = ACTIONS(7207),
    [anon_sym_BSLASHcitetext] = ACTIONS(7207),
    [anon_sym_BSLASHparencite] = ACTIONS(7207),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHParencite] = ACTIONS(7207),
    [anon_sym_BSLASHfootcite] = ACTIONS(7207),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7207),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7207),
    [anon_sym_BSLASHtextcite] = ACTIONS(7207),
    [anon_sym_BSLASHTextcite] = ACTIONS(7207),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7207),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7207),
    [anon_sym_BSLASHsupercite] = ACTIONS(7207),
    [anon_sym_BSLASHautocite] = ACTIONS(7207),
    [anon_sym_BSLASHAutocite] = ACTIONS(7207),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHVolcite] = ACTIONS(7207),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHavolcite] = ACTIONS(7207),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHNotecite] = ACTIONS(7207),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHlabel] = ACTIONS(7207),
    [anon_sym_BSLASHref] = ACTIONS(7207),
    [anon_sym_BSLASHeqref] = ACTIONS(7207),
    [anon_sym_BSLASHvref] = ACTIONS(7207),
    [anon_sym_BSLASHVref] = ACTIONS(7207),
    [anon_sym_BSLASHautoref] = ACTIONS(7207),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHpageref] = ACTIONS(7207),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHautopageref] = ACTIONS(7207),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcref] = ACTIONS(7207),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCref] = ACTIONS(7207),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcpageref] = ACTIONS(7207),
    [anon_sym_BSLASHCpageref] = ACTIONS(7207),
    [anon_sym_BSLASHnamecref] = ACTIONS(7207),
    [anon_sym_BSLASHnameCref] = ACTIONS(7207),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7207),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7207),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7207),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7207),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7207),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7207),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7207),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7207),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7207),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7207),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7207),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHdef] = ACTIONS(7207),
    [anon_sym_BSLASHgdef] = ACTIONS(7207),
    [anon_sym_BSLASHedef] = ACTIONS(7207),
    [anon_sym_BSLASHxdef] = ACTIONS(7207),
    [anon_sym_BSLASHlet] = ACTIONS(7207),
    [anon_sym_BSLASHglet] = ACTIONS(7207),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7207),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7207),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7207),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7207),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7207),
    [anon_sym_BSLASHgls] = ACTIONS(7207),
    [anon_sym_BSLASHGls] = ACTIONS(7207),
    [anon_sym_BSLASHGLS] = ACTIONS(7207),
    [anon_sym_BSLASHglspl] = ACTIONS(7207),
    [anon_sym_BSLASHGlspl] = ACTIONS(7207),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7207),
    [anon_sym_BSLASHglslink] = ACTIONS(7207),
    [anon_sym_BSLASHglstext] = ACTIONS(7207),
    [anon_sym_BSLASHGlstext] = ACTIONS(7207),
    [anon_sym_BSLASHGLStext] = ACTIONS(7207),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7207),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7207),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7207),
    [anon_sym_BSLASHglsplural] = ACTIONS(7207),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7207),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7207),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHglsname] = ACTIONS(7207),
    [anon_sym_BSLASHGlsname] = ACTIONS(7207),
    [anon_sym_BSLASHGLSname] = ACTIONS(7207),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7207),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7207),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7207),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7207),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7207),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7207),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7207),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7207),
    [anon_sym_BSLASHacrshort] = ACTIONS(7207),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7207),
    [anon_sym_BSLASHACRshort] = ACTIONS(7207),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHacrlong] = ACTIONS(7207),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7207),
    [anon_sym_BSLASHACRlong] = ACTIONS(7207),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHacrfull] = ACTIONS(7207),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7207),
    [anon_sym_BSLASHACRfull] = ACTIONS(7207),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHacs] = ACTIONS(7207),
    [anon_sym_BSLASHAcs] = ACTIONS(7207),
    [anon_sym_BSLASHacsp] = ACTIONS(7207),
    [anon_sym_BSLASHAcsp] = ACTIONS(7207),
    [anon_sym_BSLASHacl] = ACTIONS(7207),
    [anon_sym_BSLASHAcl] = ACTIONS(7207),
    [anon_sym_BSLASHaclp] = ACTIONS(7207),
    [anon_sym_BSLASHAclp] = ACTIONS(7207),
    [anon_sym_BSLASHacf] = ACTIONS(7207),
    [anon_sym_BSLASHAcf] = ACTIONS(7207),
    [anon_sym_BSLASHacfp] = ACTIONS(7207),
    [anon_sym_BSLASHAcfp] = ACTIONS(7207),
    [anon_sym_BSLASHac] = ACTIONS(7207),
    [anon_sym_BSLASHAc] = ACTIONS(7207),
    [anon_sym_BSLASHacp] = ACTIONS(7207),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7207),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7207),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7207),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7207),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7207),
    [anon_sym_BSLASHcolor] = ACTIONS(7207),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7207),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7207),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7207),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7207),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7207),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7207),
    [anon_sym_BSLASHurl] = ACTIONS(7207),
    [anon_sym_BSLASHhref] = ACTIONS(7207),
  },
  [1930] = {
    [sym_command_name] = ACTIONS(7211),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7211),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_RBRACK] = ACTIONS(7213),
    [anon_sym_COMMA] = ACTIONS(7213),
    [anon_sym_EQ] = ACTIONS(7213),
    [anon_sym_LPAREN] = ACTIONS(7213),
    [anon_sym_RPAREN] = ACTIONS(7213),
    [anon_sym_LBRACE] = ACTIONS(7213),
    [anon_sym_RBRACE] = ACTIONS(7213),
    [sym_word] = ACTIONS(7211),
    [sym_placeholder] = ACTIONS(7213),
    [sym_delimiter] = ACTIONS(7213),
    [anon_sym_PLUS] = ACTIONS(7213),
    [anon_sym_DASH] = ACTIONS(7213),
    [anon_sym_STAR] = ACTIONS(7213),
    [anon_sym_SLASH] = ACTIONS(7213),
    [anon_sym_LT] = ACTIONS(7211),
    [anon_sym_GT] = ACTIONS(7211),
    [anon_sym_BANG] = ACTIONS(7211),
    [anon_sym_PIPE] = ACTIONS(7211),
    [anon_sym_COLON] = ACTIONS(7211),
    [anon_sym_SQUOTE] = ACTIONS(7211),
    [anon_sym__] = ACTIONS(7213),
    [anon_sym_CARET] = ACTIONS(7213),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7213),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7213),
    [anon_sym_DOLLAR] = ACTIONS(7211),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7213),
    [anon_sym_BSLASHleft] = ACTIONS(7211),
    [anon_sym_BSLASHbigl] = ACTIONS(7211),
    [anon_sym_BSLASHBigl] = ACTIONS(7211),
    [anon_sym_BSLASHbiggl] = ACTIONS(7211),
    [anon_sym_BSLASHBiggl] = ACTIONS(7211),
    [anon_sym_BSLASHtext] = ACTIONS(7211),
    [anon_sym_BSLASHintertext] = ACTIONS(7211),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7211),
    [anon_sym_BSLASHtitle] = ACTIONS(7211),
    [anon_sym_BSLASHauthor] = ACTIONS(7211),
    [anon_sym_BSLASHusepackage] = ACTIONS(7211),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7211),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7211),
    [anon_sym_BSLASHinclude] = ACTIONS(7211),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7211),
    [anon_sym_BSLASHinput] = ACTIONS(7211),
    [anon_sym_BSLASHsubfile] = ACTIONS(7211),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7211),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7211),
    [anon_sym_BSLASHbibliography] = ACTIONS(7211),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7211),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7211),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7211),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7211),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7211),
    [anon_sym_BSLASHimport] = ACTIONS(7211),
    [anon_sym_BSLASHsubimport] = ACTIONS(7211),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7211),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7211),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7211),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7211),
    [anon_sym_BSLASHcaption] = ACTIONS(7211),
    [anon_sym_BSLASHcite] = ACTIONS(7211),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCite] = ACTIONS(7211),
    [anon_sym_BSLASHnocite] = ACTIONS(7211),
    [anon_sym_BSLASHcitet] = ACTIONS(7211),
    [anon_sym_BSLASHcitep] = ACTIONS(7211),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteA] = ACTIONS(7211),
    [anon_sym_BSLASHciteR] = ACTIONS(7211),
    [anon_sym_BSLASHciteS] = ACTIONS(7211),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7211),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7211),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7211),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7211),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteyear] = ACTIONS(7211),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitedate] = ACTIONS(7211),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteurl] = ACTIONS(7211),
    [anon_sym_BSLASHfullcite] = ACTIONS(7211),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7211),
    [anon_sym_BSLASHcitealt] = ACTIONS(7211),
    [anon_sym_BSLASHcitealp] = ACTIONS(7211),
    [anon_sym_BSLASHcitetext] = ACTIONS(7211),
    [anon_sym_BSLASHparencite] = ACTIONS(7211),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHParencite] = ACTIONS(7211),
    [anon_sym_BSLASHfootcite] = ACTIONS(7211),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7211),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7211),
    [anon_sym_BSLASHtextcite] = ACTIONS(7211),
    [anon_sym_BSLASHTextcite] = ACTIONS(7211),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7211),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7211),
    [anon_sym_BSLASHsupercite] = ACTIONS(7211),
    [anon_sym_BSLASHautocite] = ACTIONS(7211),
    [anon_sym_BSLASHAutocite] = ACTIONS(7211),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHVolcite] = ACTIONS(7211),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHavolcite] = ACTIONS(7211),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHNotecite] = ACTIONS(7211),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHlabel] = ACTIONS(7211),
    [anon_sym_BSLASHref] = ACTIONS(7211),
    [anon_sym_BSLASHeqref] = ACTIONS(7211),
    [anon_sym_BSLASHvref] = ACTIONS(7211),
    [anon_sym_BSLASHVref] = ACTIONS(7211),
    [anon_sym_BSLASHautoref] = ACTIONS(7211),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHpageref] = ACTIONS(7211),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHautopageref] = ACTIONS(7211),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcref] = ACTIONS(7211),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCref] = ACTIONS(7211),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcpageref] = ACTIONS(7211),
    [anon_sym_BSLASHCpageref] = ACTIONS(7211),
    [anon_sym_BSLASHnamecref] = ACTIONS(7211),
    [anon_sym_BSLASHnameCref] = ACTIONS(7211),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7211),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7211),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7211),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7211),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7211),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7211),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7211),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7211),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7211),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7211),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7211),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHdef] = ACTIONS(7211),
    [anon_sym_BSLASHgdef] = ACTIONS(7211),
    [anon_sym_BSLASHedef] = ACTIONS(7211),
    [anon_sym_BSLASHxdef] = ACTIONS(7211),
    [anon_sym_BSLASHlet] = ACTIONS(7211),
    [anon_sym_BSLASHglet] = ACTIONS(7211),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7211),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7211),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7211),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7211),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7211),
    [anon_sym_BSLASHgls] = ACTIONS(7211),
    [anon_sym_BSLASHGls] = ACTIONS(7211),
    [anon_sym_BSLASHGLS] = ACTIONS(7211),
    [anon_sym_BSLASHglspl] = ACTIONS(7211),
    [anon_sym_BSLASHGlspl] = ACTIONS(7211),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7211),
    [anon_sym_BSLASHglslink] = ACTIONS(7211),
    [anon_sym_BSLASHglstext] = ACTIONS(7211),
    [anon_sym_BSLASHGlstext] = ACTIONS(7211),
    [anon_sym_BSLASHGLStext] = ACTIONS(7211),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7211),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7211),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7211),
    [anon_sym_BSLASHglsplural] = ACTIONS(7211),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7211),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7211),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHglsname] = ACTIONS(7211),
    [anon_sym_BSLASHGlsname] = ACTIONS(7211),
    [anon_sym_BSLASHGLSname] = ACTIONS(7211),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7211),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7211),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7211),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7211),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7211),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7211),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7211),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7211),
    [anon_sym_BSLASHacrshort] = ACTIONS(7211),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7211),
    [anon_sym_BSLASHACRshort] = ACTIONS(7211),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHacrlong] = ACTIONS(7211),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7211),
    [anon_sym_BSLASHACRlong] = ACTIONS(7211),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHacrfull] = ACTIONS(7211),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7211),
    [anon_sym_BSLASHACRfull] = ACTIONS(7211),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHacs] = ACTIONS(7211),
    [anon_sym_BSLASHAcs] = ACTIONS(7211),
    [anon_sym_BSLASHacsp] = ACTIONS(7211),
    [anon_sym_BSLASHAcsp] = ACTIONS(7211),
    [anon_sym_BSLASHacl] = ACTIONS(7211),
    [anon_sym_BSLASHAcl] = ACTIONS(7211),
    [anon_sym_BSLASHaclp] = ACTIONS(7211),
    [anon_sym_BSLASHAclp] = ACTIONS(7211),
    [anon_sym_BSLASHacf] = ACTIONS(7211),
    [anon_sym_BSLASHAcf] = ACTIONS(7211),
    [anon_sym_BSLASHacfp] = ACTIONS(7211),
    [anon_sym_BSLASHAcfp] = ACTIONS(7211),
    [anon_sym_BSLASHac] = ACTIONS(7211),
    [anon_sym_BSLASHAc] = ACTIONS(7211),
    [anon_sym_BSLASHacp] = ACTIONS(7211),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7211),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7211),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7211),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7211),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7211),
    [anon_sym_BSLASHcolor] = ACTIONS(7211),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7211),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7211),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7211),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7211),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7211),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7211),
    [anon_sym_BSLASHurl] = ACTIONS(7211),
    [anon_sym_BSLASHhref] = ACTIONS(7211),
  },
  [1931] = {
    [sym_command_name] = ACTIONS(7215),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7215),
    [anon_sym_LBRACK] = ACTIONS(7217),
    [anon_sym_RBRACK] = ACTIONS(7217),
    [anon_sym_COMMA] = ACTIONS(7217),
    [anon_sym_EQ] = ACTIONS(7217),
    [anon_sym_LPAREN] = ACTIONS(7217),
    [anon_sym_RPAREN] = ACTIONS(7217),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_RBRACE] = ACTIONS(7217),
    [sym_word] = ACTIONS(7215),
    [sym_placeholder] = ACTIONS(7217),
    [sym_delimiter] = ACTIONS(7217),
    [anon_sym_PLUS] = ACTIONS(7217),
    [anon_sym_DASH] = ACTIONS(7217),
    [anon_sym_STAR] = ACTIONS(7217),
    [anon_sym_SLASH] = ACTIONS(7217),
    [anon_sym_LT] = ACTIONS(7215),
    [anon_sym_GT] = ACTIONS(7215),
    [anon_sym_BANG] = ACTIONS(7215),
    [anon_sym_PIPE] = ACTIONS(7215),
    [anon_sym_COLON] = ACTIONS(7215),
    [anon_sym_SQUOTE] = ACTIONS(7215),
    [anon_sym__] = ACTIONS(7217),
    [anon_sym_CARET] = ACTIONS(7217),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7217),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7217),
    [anon_sym_DOLLAR] = ACTIONS(7215),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7217),
    [anon_sym_BSLASHleft] = ACTIONS(7215),
    [anon_sym_BSLASHbigl] = ACTIONS(7215),
    [anon_sym_BSLASHBigl] = ACTIONS(7215),
    [anon_sym_BSLASHbiggl] = ACTIONS(7215),
    [anon_sym_BSLASHBiggl] = ACTIONS(7215),
    [anon_sym_BSLASHtext] = ACTIONS(7215),
    [anon_sym_BSLASHintertext] = ACTIONS(7215),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7215),
    [anon_sym_BSLASHtitle] = ACTIONS(7215),
    [anon_sym_BSLASHauthor] = ACTIONS(7215),
    [anon_sym_BSLASHusepackage] = ACTIONS(7215),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7215),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7215),
    [anon_sym_BSLASHinclude] = ACTIONS(7215),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7215),
    [anon_sym_BSLASHinput] = ACTIONS(7215),
    [anon_sym_BSLASHsubfile] = ACTIONS(7215),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7215),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7215),
    [anon_sym_BSLASHbibliography] = ACTIONS(7215),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7215),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7215),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7215),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7215),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7215),
    [anon_sym_BSLASHimport] = ACTIONS(7215),
    [anon_sym_BSLASHsubimport] = ACTIONS(7215),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7215),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7215),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7215),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7215),
    [anon_sym_BSLASHcaption] = ACTIONS(7215),
    [anon_sym_BSLASHcite] = ACTIONS(7215),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCite] = ACTIONS(7215),
    [anon_sym_BSLASHnocite] = ACTIONS(7215),
    [anon_sym_BSLASHcitet] = ACTIONS(7215),
    [anon_sym_BSLASHcitep] = ACTIONS(7215),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteA] = ACTIONS(7215),
    [anon_sym_BSLASHciteR] = ACTIONS(7215),
    [anon_sym_BSLASHciteS] = ACTIONS(7215),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7215),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7215),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7215),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7215),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteyear] = ACTIONS(7215),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitedate] = ACTIONS(7215),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteurl] = ACTIONS(7215),
    [anon_sym_BSLASHfullcite] = ACTIONS(7215),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7215),
    [anon_sym_BSLASHcitealt] = ACTIONS(7215),
    [anon_sym_BSLASHcitealp] = ACTIONS(7215),
    [anon_sym_BSLASHcitetext] = ACTIONS(7215),
    [anon_sym_BSLASHparencite] = ACTIONS(7215),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHParencite] = ACTIONS(7215),
    [anon_sym_BSLASHfootcite] = ACTIONS(7215),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7215),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7215),
    [anon_sym_BSLASHtextcite] = ACTIONS(7215),
    [anon_sym_BSLASHTextcite] = ACTIONS(7215),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7215),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7215),
    [anon_sym_BSLASHsupercite] = ACTIONS(7215),
    [anon_sym_BSLASHautocite] = ACTIONS(7215),
    [anon_sym_BSLASHAutocite] = ACTIONS(7215),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHVolcite] = ACTIONS(7215),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHavolcite] = ACTIONS(7215),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHNotecite] = ACTIONS(7215),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHlabel] = ACTIONS(7215),
    [anon_sym_BSLASHref] = ACTIONS(7215),
    [anon_sym_BSLASHeqref] = ACTIONS(7215),
    [anon_sym_BSLASHvref] = ACTIONS(7215),
    [anon_sym_BSLASHVref] = ACTIONS(7215),
    [anon_sym_BSLASHautoref] = ACTIONS(7215),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHpageref] = ACTIONS(7215),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHautopageref] = ACTIONS(7215),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcref] = ACTIONS(7215),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCref] = ACTIONS(7215),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcpageref] = ACTIONS(7215),
    [anon_sym_BSLASHCpageref] = ACTIONS(7215),
    [anon_sym_BSLASHnamecref] = ACTIONS(7215),
    [anon_sym_BSLASHnameCref] = ACTIONS(7215),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7215),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7215),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7215),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7215),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7215),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7215),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7215),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7215),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7215),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7215),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7215),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHdef] = ACTIONS(7215),
    [anon_sym_BSLASHgdef] = ACTIONS(7215),
    [anon_sym_BSLASHedef] = ACTIONS(7215),
    [anon_sym_BSLASHxdef] = ACTIONS(7215),
    [anon_sym_BSLASHlet] = ACTIONS(7215),
    [anon_sym_BSLASHglet] = ACTIONS(7215),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7215),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7215),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7215),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7215),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7215),
    [anon_sym_BSLASHgls] = ACTIONS(7215),
    [anon_sym_BSLASHGls] = ACTIONS(7215),
    [anon_sym_BSLASHGLS] = ACTIONS(7215),
    [anon_sym_BSLASHglspl] = ACTIONS(7215),
    [anon_sym_BSLASHGlspl] = ACTIONS(7215),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7215),
    [anon_sym_BSLASHglslink] = ACTIONS(7215),
    [anon_sym_BSLASHglstext] = ACTIONS(7215),
    [anon_sym_BSLASHGlstext] = ACTIONS(7215),
    [anon_sym_BSLASHGLStext] = ACTIONS(7215),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7215),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7215),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7215),
    [anon_sym_BSLASHglsplural] = ACTIONS(7215),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7215),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7215),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHglsname] = ACTIONS(7215),
    [anon_sym_BSLASHGlsname] = ACTIONS(7215),
    [anon_sym_BSLASHGLSname] = ACTIONS(7215),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7215),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7215),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7215),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7215),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7215),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7215),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7215),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7215),
    [anon_sym_BSLASHacrshort] = ACTIONS(7215),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7215),
    [anon_sym_BSLASHACRshort] = ACTIONS(7215),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHacrlong] = ACTIONS(7215),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7215),
    [anon_sym_BSLASHACRlong] = ACTIONS(7215),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHacrfull] = ACTIONS(7215),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7215),
    [anon_sym_BSLASHACRfull] = ACTIONS(7215),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHacs] = ACTIONS(7215),
    [anon_sym_BSLASHAcs] = ACTIONS(7215),
    [anon_sym_BSLASHacsp] = ACTIONS(7215),
    [anon_sym_BSLASHAcsp] = ACTIONS(7215),
    [anon_sym_BSLASHacl] = ACTIONS(7215),
    [anon_sym_BSLASHAcl] = ACTIONS(7215),
    [anon_sym_BSLASHaclp] = ACTIONS(7215),
    [anon_sym_BSLASHAclp] = ACTIONS(7215),
    [anon_sym_BSLASHacf] = ACTIONS(7215),
    [anon_sym_BSLASHAcf] = ACTIONS(7215),
    [anon_sym_BSLASHacfp] = ACTIONS(7215),
    [anon_sym_BSLASHAcfp] = ACTIONS(7215),
    [anon_sym_BSLASHac] = ACTIONS(7215),
    [anon_sym_BSLASHAc] = ACTIONS(7215),
    [anon_sym_BSLASHacp] = ACTIONS(7215),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7215),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7215),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7215),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7215),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7215),
    [anon_sym_BSLASHcolor] = ACTIONS(7215),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7215),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7215),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7215),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7215),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7215),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7215),
    [anon_sym_BSLASHurl] = ACTIONS(7215),
    [anon_sym_BSLASHhref] = ACTIONS(7215),
  },
  [1932] = {
    [sym_command_name] = ACTIONS(7219),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7219),
    [anon_sym_LBRACK] = ACTIONS(7221),
    [anon_sym_RBRACK] = ACTIONS(7221),
    [anon_sym_COMMA] = ACTIONS(7221),
    [anon_sym_EQ] = ACTIONS(7221),
    [anon_sym_LPAREN] = ACTIONS(7221),
    [anon_sym_RPAREN] = ACTIONS(7221),
    [anon_sym_LBRACE] = ACTIONS(7221),
    [anon_sym_RBRACE] = ACTIONS(7221),
    [sym_word] = ACTIONS(7219),
    [sym_placeholder] = ACTIONS(7221),
    [sym_delimiter] = ACTIONS(7221),
    [anon_sym_PLUS] = ACTIONS(7221),
    [anon_sym_DASH] = ACTIONS(7221),
    [anon_sym_STAR] = ACTIONS(7221),
    [anon_sym_SLASH] = ACTIONS(7221),
    [anon_sym_LT] = ACTIONS(7219),
    [anon_sym_GT] = ACTIONS(7219),
    [anon_sym_BANG] = ACTIONS(7219),
    [anon_sym_PIPE] = ACTIONS(7219),
    [anon_sym_COLON] = ACTIONS(7219),
    [anon_sym_SQUOTE] = ACTIONS(7219),
    [anon_sym__] = ACTIONS(7221),
    [anon_sym_CARET] = ACTIONS(7221),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7221),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7221),
    [anon_sym_DOLLAR] = ACTIONS(7219),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7221),
    [anon_sym_BSLASHleft] = ACTIONS(7219),
    [anon_sym_BSLASHbigl] = ACTIONS(7219),
    [anon_sym_BSLASHBigl] = ACTIONS(7219),
    [anon_sym_BSLASHbiggl] = ACTIONS(7219),
    [anon_sym_BSLASHBiggl] = ACTIONS(7219),
    [anon_sym_BSLASHtext] = ACTIONS(7219),
    [anon_sym_BSLASHintertext] = ACTIONS(7219),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7219),
    [anon_sym_BSLASHtitle] = ACTIONS(7219),
    [anon_sym_BSLASHauthor] = ACTIONS(7219),
    [anon_sym_BSLASHusepackage] = ACTIONS(7219),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7219),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7219),
    [anon_sym_BSLASHinclude] = ACTIONS(7219),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7219),
    [anon_sym_BSLASHinput] = ACTIONS(7219),
    [anon_sym_BSLASHsubfile] = ACTIONS(7219),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7219),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7219),
    [anon_sym_BSLASHbibliography] = ACTIONS(7219),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7219),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7219),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7219),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7219),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7219),
    [anon_sym_BSLASHimport] = ACTIONS(7219),
    [anon_sym_BSLASHsubimport] = ACTIONS(7219),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7219),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7219),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7219),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7219),
    [anon_sym_BSLASHcaption] = ACTIONS(7219),
    [anon_sym_BSLASHcite] = ACTIONS(7219),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCite] = ACTIONS(7219),
    [anon_sym_BSLASHnocite] = ACTIONS(7219),
    [anon_sym_BSLASHcitet] = ACTIONS(7219),
    [anon_sym_BSLASHcitep] = ACTIONS(7219),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteA] = ACTIONS(7219),
    [anon_sym_BSLASHciteR] = ACTIONS(7219),
    [anon_sym_BSLASHciteS] = ACTIONS(7219),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7219),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7219),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7219),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7219),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteyear] = ACTIONS(7219),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitedate] = ACTIONS(7219),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteurl] = ACTIONS(7219),
    [anon_sym_BSLASHfullcite] = ACTIONS(7219),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7219),
    [anon_sym_BSLASHcitealt] = ACTIONS(7219),
    [anon_sym_BSLASHcitealp] = ACTIONS(7219),
    [anon_sym_BSLASHcitetext] = ACTIONS(7219),
    [anon_sym_BSLASHparencite] = ACTIONS(7219),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHParencite] = ACTIONS(7219),
    [anon_sym_BSLASHfootcite] = ACTIONS(7219),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7219),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7219),
    [anon_sym_BSLASHtextcite] = ACTIONS(7219),
    [anon_sym_BSLASHTextcite] = ACTIONS(7219),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7219),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7219),
    [anon_sym_BSLASHsupercite] = ACTIONS(7219),
    [anon_sym_BSLASHautocite] = ACTIONS(7219),
    [anon_sym_BSLASHAutocite] = ACTIONS(7219),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHVolcite] = ACTIONS(7219),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHavolcite] = ACTIONS(7219),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHNotecite] = ACTIONS(7219),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHlabel] = ACTIONS(7219),
    [anon_sym_BSLASHref] = ACTIONS(7219),
    [anon_sym_BSLASHeqref] = ACTIONS(7219),
    [anon_sym_BSLASHvref] = ACTIONS(7219),
    [anon_sym_BSLASHVref] = ACTIONS(7219),
    [anon_sym_BSLASHautoref] = ACTIONS(7219),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHpageref] = ACTIONS(7219),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHautopageref] = ACTIONS(7219),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcref] = ACTIONS(7219),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCref] = ACTIONS(7219),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcpageref] = ACTIONS(7219),
    [anon_sym_BSLASHCpageref] = ACTIONS(7219),
    [anon_sym_BSLASHnamecref] = ACTIONS(7219),
    [anon_sym_BSLASHnameCref] = ACTIONS(7219),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7219),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7219),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7219),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7219),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7219),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7219),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7219),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7219),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7219),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7219),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7219),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHdef] = ACTIONS(7219),
    [anon_sym_BSLASHgdef] = ACTIONS(7219),
    [anon_sym_BSLASHedef] = ACTIONS(7219),
    [anon_sym_BSLASHxdef] = ACTIONS(7219),
    [anon_sym_BSLASHlet] = ACTIONS(7219),
    [anon_sym_BSLASHglet] = ACTIONS(7219),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7219),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7219),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7219),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7219),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7219),
    [anon_sym_BSLASHgls] = ACTIONS(7219),
    [anon_sym_BSLASHGls] = ACTIONS(7219),
    [anon_sym_BSLASHGLS] = ACTIONS(7219),
    [anon_sym_BSLASHglspl] = ACTIONS(7219),
    [anon_sym_BSLASHGlspl] = ACTIONS(7219),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7219),
    [anon_sym_BSLASHglslink] = ACTIONS(7219),
    [anon_sym_BSLASHglstext] = ACTIONS(7219),
    [anon_sym_BSLASHGlstext] = ACTIONS(7219),
    [anon_sym_BSLASHGLStext] = ACTIONS(7219),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7219),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7219),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7219),
    [anon_sym_BSLASHglsplural] = ACTIONS(7219),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7219),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7219),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHglsname] = ACTIONS(7219),
    [anon_sym_BSLASHGlsname] = ACTIONS(7219),
    [anon_sym_BSLASHGLSname] = ACTIONS(7219),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7219),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7219),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7219),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7219),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7219),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7219),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7219),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7219),
    [anon_sym_BSLASHacrshort] = ACTIONS(7219),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7219),
    [anon_sym_BSLASHACRshort] = ACTIONS(7219),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHacrlong] = ACTIONS(7219),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7219),
    [anon_sym_BSLASHACRlong] = ACTIONS(7219),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHacrfull] = ACTIONS(7219),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7219),
    [anon_sym_BSLASHACRfull] = ACTIONS(7219),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHacs] = ACTIONS(7219),
    [anon_sym_BSLASHAcs] = ACTIONS(7219),
    [anon_sym_BSLASHacsp] = ACTIONS(7219),
    [anon_sym_BSLASHAcsp] = ACTIONS(7219),
    [anon_sym_BSLASHacl] = ACTIONS(7219),
    [anon_sym_BSLASHAcl] = ACTIONS(7219),
    [anon_sym_BSLASHaclp] = ACTIONS(7219),
    [anon_sym_BSLASHAclp] = ACTIONS(7219),
    [anon_sym_BSLASHacf] = ACTIONS(7219),
    [anon_sym_BSLASHAcf] = ACTIONS(7219),
    [anon_sym_BSLASHacfp] = ACTIONS(7219),
    [anon_sym_BSLASHAcfp] = ACTIONS(7219),
    [anon_sym_BSLASHac] = ACTIONS(7219),
    [anon_sym_BSLASHAc] = ACTIONS(7219),
    [anon_sym_BSLASHacp] = ACTIONS(7219),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7219),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7219),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7219),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7219),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7219),
    [anon_sym_BSLASHcolor] = ACTIONS(7219),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7219),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7219),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7219),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7219),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7219),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7219),
    [anon_sym_BSLASHurl] = ACTIONS(7219),
    [anon_sym_BSLASHhref] = ACTIONS(7219),
  },
  [1933] = {
    [sym_command_name] = ACTIONS(7607),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7607),
    [anon_sym_LBRACK] = ACTIONS(7609),
    [anon_sym_RBRACK] = ACTIONS(7609),
    [anon_sym_COMMA] = ACTIONS(7609),
    [anon_sym_EQ] = ACTIONS(7609),
    [anon_sym_LPAREN] = ACTIONS(7609),
    [anon_sym_RPAREN] = ACTIONS(7609),
    [anon_sym_LBRACE] = ACTIONS(7609),
    [sym_word] = ACTIONS(7607),
    [sym_placeholder] = ACTIONS(7609),
    [sym_delimiter] = ACTIONS(7609),
    [anon_sym_PLUS] = ACTIONS(7609),
    [anon_sym_DASH] = ACTIONS(7609),
    [anon_sym_STAR] = ACTIONS(7609),
    [anon_sym_SLASH] = ACTIONS(7609),
    [anon_sym_LT] = ACTIONS(7607),
    [anon_sym_GT] = ACTIONS(7607),
    [anon_sym_BANG] = ACTIONS(7607),
    [anon_sym_PIPE] = ACTIONS(7607),
    [anon_sym_COLON] = ACTIONS(7607),
    [anon_sym_SQUOTE] = ACTIONS(7607),
    [anon_sym__] = ACTIONS(7609),
    [anon_sym_CARET] = ACTIONS(7609),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7609),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7609),
    [anon_sym_DOLLAR] = ACTIONS(7607),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7609),
    [anon_sym_BSLASHleft] = ACTIONS(7607),
    [anon_sym_BSLASHbigl] = ACTIONS(7607),
    [anon_sym_BSLASHBigl] = ACTIONS(7607),
    [anon_sym_BSLASHbiggl] = ACTIONS(7607),
    [anon_sym_BSLASHBiggl] = ACTIONS(7607),
    [anon_sym_BSLASHtext] = ACTIONS(7607),
    [anon_sym_BSLASHintertext] = ACTIONS(7607),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7607),
    [anon_sym_BSLASHbegin] = ACTIONS(7607),
    [anon_sym_BSLASHtitle] = ACTIONS(7607),
    [anon_sym_BSLASHauthor] = ACTIONS(7607),
    [anon_sym_BSLASHusepackage] = ACTIONS(7607),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7607),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7607),
    [anon_sym_BSLASHinclude] = ACTIONS(7607),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7607),
    [anon_sym_BSLASHinput] = ACTIONS(7607),
    [anon_sym_BSLASHsubfile] = ACTIONS(7607),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7607),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7607),
    [anon_sym_BSLASHbibliography] = ACTIONS(7607),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7607),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7607),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7607),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7607),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7607),
    [anon_sym_BSLASHimport] = ACTIONS(7607),
    [anon_sym_BSLASHsubimport] = ACTIONS(7607),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7607),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7607),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7607),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7607),
    [anon_sym_BSLASHcaption] = ACTIONS(7607),
    [anon_sym_BSLASHcite] = ACTIONS(7607),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCite] = ACTIONS(7607),
    [anon_sym_BSLASHnocite] = ACTIONS(7607),
    [anon_sym_BSLASHcitet] = ACTIONS(7607),
    [anon_sym_BSLASHcitep] = ACTIONS(7607),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHciteA] = ACTIONS(7607),
    [anon_sym_BSLASHciteR] = ACTIONS(7607),
    [anon_sym_BSLASHciteS] = ACTIONS(7607),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7607),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7607),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7607),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7607),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHciteyear] = ACTIONS(7607),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcitedate] = ACTIONS(7607),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHciteurl] = ACTIONS(7607),
    [anon_sym_BSLASHfullcite] = ACTIONS(7607),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7607),
    [anon_sym_BSLASHcitealt] = ACTIONS(7607),
    [anon_sym_BSLASHcitealp] = ACTIONS(7607),
    [anon_sym_BSLASHcitetext] = ACTIONS(7607),
    [anon_sym_BSLASHparencite] = ACTIONS(7607),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHParencite] = ACTIONS(7607),
    [anon_sym_BSLASHfootcite] = ACTIONS(7607),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7607),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7607),
    [anon_sym_BSLASHtextcite] = ACTIONS(7607),
    [anon_sym_BSLASHTextcite] = ACTIONS(7607),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7607),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7607),
    [anon_sym_BSLASHsupercite] = ACTIONS(7607),
    [anon_sym_BSLASHautocite] = ACTIONS(7607),
    [anon_sym_BSLASHAutocite] = ACTIONS(7607),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHVolcite] = ACTIONS(7607),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHavolcite] = ACTIONS(7607),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHNotecite] = ACTIONS(7607),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHlabel] = ACTIONS(7607),
    [anon_sym_BSLASHref] = ACTIONS(7607),
    [anon_sym_BSLASHeqref] = ACTIONS(7607),
    [anon_sym_BSLASHvref] = ACTIONS(7607),
    [anon_sym_BSLASHVref] = ACTIONS(7607),
    [anon_sym_BSLASHautoref] = ACTIONS(7607),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHpageref] = ACTIONS(7607),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHautopageref] = ACTIONS(7607),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcref] = ACTIONS(7607),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCref] = ACTIONS(7607),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcpageref] = ACTIONS(7607),
    [anon_sym_BSLASHCpageref] = ACTIONS(7607),
    [anon_sym_BSLASHnamecref] = ACTIONS(7607),
    [anon_sym_BSLASHnameCref] = ACTIONS(7607),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7607),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7607),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7607),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7607),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7607),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7607),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7607),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7607),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7607),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7607),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7607),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7607),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7607),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7607),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7607),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7607),
    [anon_sym_BSLASHdef] = ACTIONS(7607),
    [anon_sym_BSLASHgdef] = ACTIONS(7607),
    [anon_sym_BSLASHedef] = ACTIONS(7607),
    [anon_sym_BSLASHxdef] = ACTIONS(7607),
    [anon_sym_BSLASHlet] = ACTIONS(7607),
    [anon_sym_BSLASHglet] = ACTIONS(7607),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7607),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7607),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7607),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7607),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7607),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7607),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7607),
    [anon_sym_BSLASHgls] = ACTIONS(7607),
    [anon_sym_BSLASHGls] = ACTIONS(7607),
    [anon_sym_BSLASHGLS] = ACTIONS(7607),
    [anon_sym_BSLASHglspl] = ACTIONS(7607),
    [anon_sym_BSLASHGlspl] = ACTIONS(7607),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7607),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7607),
    [anon_sym_BSLASHglslink] = ACTIONS(7607),
    [anon_sym_BSLASHglstext] = ACTIONS(7607),
    [anon_sym_BSLASHGlstext] = ACTIONS(7607),
    [anon_sym_BSLASHGLStext] = ACTIONS(7607),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7607),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7607),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7607),
    [anon_sym_BSLASHglsplural] = ACTIONS(7607),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7607),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7607),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7607),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7607),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7607),
    [anon_sym_BSLASHglsname] = ACTIONS(7607),
    [anon_sym_BSLASHGlsname] = ACTIONS(7607),
    [anon_sym_BSLASHGLSname] = ACTIONS(7607),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7607),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7607),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7607),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7607),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7607),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7607),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7607),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7607),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7607),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7607),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7607),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7607),
    [anon_sym_BSLASHacrshort] = ACTIONS(7607),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7607),
    [anon_sym_BSLASHACRshort] = ACTIONS(7607),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHacrlong] = ACTIONS(7607),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7607),
    [anon_sym_BSLASHACRlong] = ACTIONS(7607),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7607),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7607),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7607),
    [anon_sym_BSLASHacrfull] = ACTIONS(7607),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7607),
    [anon_sym_BSLASHACRfull] = ACTIONS(7607),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHacs] = ACTIONS(7607),
    [anon_sym_BSLASHAcs] = ACTIONS(7607),
    [anon_sym_BSLASHacsp] = ACTIONS(7607),
    [anon_sym_BSLASHAcsp] = ACTIONS(7607),
    [anon_sym_BSLASHacl] = ACTIONS(7607),
    [anon_sym_BSLASHAcl] = ACTIONS(7607),
    [anon_sym_BSLASHaclp] = ACTIONS(7607),
    [anon_sym_BSLASHAclp] = ACTIONS(7607),
    [anon_sym_BSLASHacf] = ACTIONS(7607),
    [anon_sym_BSLASHAcf] = ACTIONS(7607),
    [anon_sym_BSLASHacfp] = ACTIONS(7607),
    [anon_sym_BSLASHAcfp] = ACTIONS(7607),
    [anon_sym_BSLASHac] = ACTIONS(7607),
    [anon_sym_BSLASHAc] = ACTIONS(7607),
    [anon_sym_BSLASHacp] = ACTIONS(7607),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7607),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7607),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7607),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7607),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7607),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7607),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7607),
    [anon_sym_BSLASHcolor] = ACTIONS(7607),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7607),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7607),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7607),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7607),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7607),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7607),
    [anon_sym_BSLASHurl] = ACTIONS(7607),
    [anon_sym_BSLASHhref] = ACTIONS(7607),
  },
  [1934] = {
    [sym_command_name] = ACTIONS(7531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(7533),
    [anon_sym_RBRACK] = ACTIONS(7533),
    [anon_sym_COMMA] = ACTIONS(7533),
    [anon_sym_EQ] = ACTIONS(7533),
    [anon_sym_LPAREN] = ACTIONS(7533),
    [anon_sym_RPAREN] = ACTIONS(7533),
    [anon_sym_LBRACE] = ACTIONS(7533),
    [sym_word] = ACTIONS(7531),
    [sym_placeholder] = ACTIONS(7533),
    [sym_delimiter] = ACTIONS(7533),
    [anon_sym_PLUS] = ACTIONS(7533),
    [anon_sym_DASH] = ACTIONS(7533),
    [anon_sym_STAR] = ACTIONS(7533),
    [anon_sym_SLASH] = ACTIONS(7533),
    [anon_sym_LT] = ACTIONS(7531),
    [anon_sym_GT] = ACTIONS(7531),
    [anon_sym_BANG] = ACTIONS(7531),
    [anon_sym_PIPE] = ACTIONS(7531),
    [anon_sym_COLON] = ACTIONS(7531),
    [anon_sym_SQUOTE] = ACTIONS(7531),
    [anon_sym__] = ACTIONS(7533),
    [anon_sym_CARET] = ACTIONS(7533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7533),
    [anon_sym_DOLLAR] = ACTIONS(7531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7533),
    [anon_sym_BSLASHleft] = ACTIONS(7531),
    [anon_sym_BSLASHbigl] = ACTIONS(7531),
    [anon_sym_BSLASHBigl] = ACTIONS(7531),
    [anon_sym_BSLASHbiggl] = ACTIONS(7531),
    [anon_sym_BSLASHBiggl] = ACTIONS(7531),
    [anon_sym_BSLASHtext] = ACTIONS(7531),
    [anon_sym_BSLASHintertext] = ACTIONS(7531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7531),
    [anon_sym_BSLASHbegin] = ACTIONS(7531),
    [anon_sym_BSLASHtitle] = ACTIONS(7531),
    [anon_sym_BSLASHauthor] = ACTIONS(7531),
    [anon_sym_BSLASHusepackage] = ACTIONS(7531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7531),
    [anon_sym_BSLASHinclude] = ACTIONS(7531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7531),
    [anon_sym_BSLASHinput] = ACTIONS(7531),
    [anon_sym_BSLASHsubfile] = ACTIONS(7531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7531),
    [anon_sym_BSLASHbibliography] = ACTIONS(7531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7531),
    [anon_sym_BSLASHimport] = ACTIONS(7531),
    [anon_sym_BSLASHsubimport] = ACTIONS(7531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7531),
    [anon_sym_BSLASHcaption] = ACTIONS(7531),
    [anon_sym_BSLASHcite] = ACTIONS(7531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCite] = ACTIONS(7531),
    [anon_sym_BSLASHnocite] = ACTIONS(7531),
    [anon_sym_BSLASHcitet] = ACTIONS(7531),
    [anon_sym_BSLASHcitep] = ACTIONS(7531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteA] = ACTIONS(7531),
    [anon_sym_BSLASHciteR] = ACTIONS(7531),
    [anon_sym_BSLASHciteS] = ACTIONS(7531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteyear] = ACTIONS(7531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitedate] = ACTIONS(7531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteurl] = ACTIONS(7531),
    [anon_sym_BSLASHfullcite] = ACTIONS(7531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7531),
    [anon_sym_BSLASHcitealt] = ACTIONS(7531),
    [anon_sym_BSLASHcitealp] = ACTIONS(7531),
    [anon_sym_BSLASHcitetext] = ACTIONS(7531),
    [anon_sym_BSLASHparencite] = ACTIONS(7531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHParencite] = ACTIONS(7531),
    [anon_sym_BSLASHfootcite] = ACTIONS(7531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7531),
    [anon_sym_BSLASHtextcite] = ACTIONS(7531),
    [anon_sym_BSLASHTextcite] = ACTIONS(7531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7531),
    [anon_sym_BSLASHsupercite] = ACTIONS(7531),
    [anon_sym_BSLASHautocite] = ACTIONS(7531),
    [anon_sym_BSLASHAutocite] = ACTIONS(7531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHVolcite] = ACTIONS(7531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHavolcite] = ACTIONS(7531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHNotecite] = ACTIONS(7531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHlabel] = ACTIONS(7531),
    [anon_sym_BSLASHref] = ACTIONS(7531),
    [anon_sym_BSLASHeqref] = ACTIONS(7531),
    [anon_sym_BSLASHvref] = ACTIONS(7531),
    [anon_sym_BSLASHVref] = ACTIONS(7531),
    [anon_sym_BSLASHautoref] = ACTIONS(7531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHpageref] = ACTIONS(7531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHautopageref] = ACTIONS(7531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcref] = ACTIONS(7531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCref] = ACTIONS(7531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcpageref] = ACTIONS(7531),
    [anon_sym_BSLASHCpageref] = ACTIONS(7531),
    [anon_sym_BSLASHnamecref] = ACTIONS(7531),
    [anon_sym_BSLASHnameCref] = ACTIONS(7531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHdef] = ACTIONS(7531),
    [anon_sym_BSLASHgdef] = ACTIONS(7531),
    [anon_sym_BSLASHedef] = ACTIONS(7531),
    [anon_sym_BSLASHxdef] = ACTIONS(7531),
    [anon_sym_BSLASHlet] = ACTIONS(7531),
    [anon_sym_BSLASHglet] = ACTIONS(7531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7531),
    [anon_sym_BSLASHgls] = ACTIONS(7531),
    [anon_sym_BSLASHGls] = ACTIONS(7531),
    [anon_sym_BSLASHGLS] = ACTIONS(7531),
    [anon_sym_BSLASHglspl] = ACTIONS(7531),
    [anon_sym_BSLASHGlspl] = ACTIONS(7531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7531),
    [anon_sym_BSLASHglslink] = ACTIONS(7531),
    [anon_sym_BSLASHglstext] = ACTIONS(7531),
    [anon_sym_BSLASHGlstext] = ACTIONS(7531),
    [anon_sym_BSLASHGLStext] = ACTIONS(7531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7531),
    [anon_sym_BSLASHglsplural] = ACTIONS(7531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHglsname] = ACTIONS(7531),
    [anon_sym_BSLASHGlsname] = ACTIONS(7531),
    [anon_sym_BSLASHGLSname] = ACTIONS(7531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7531),
    [anon_sym_BSLASHacrshort] = ACTIONS(7531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7531),
    [anon_sym_BSLASHACRshort] = ACTIONS(7531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHacrlong] = ACTIONS(7531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7531),
    [anon_sym_BSLASHACRlong] = ACTIONS(7531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHacrfull] = ACTIONS(7531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7531),
    [anon_sym_BSLASHACRfull] = ACTIONS(7531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHacs] = ACTIONS(7531),
    [anon_sym_BSLASHAcs] = ACTIONS(7531),
    [anon_sym_BSLASHacsp] = ACTIONS(7531),
    [anon_sym_BSLASHAcsp] = ACTIONS(7531),
    [anon_sym_BSLASHacl] = ACTIONS(7531),
    [anon_sym_BSLASHAcl] = ACTIONS(7531),
    [anon_sym_BSLASHaclp] = ACTIONS(7531),
    [anon_sym_BSLASHAclp] = ACTIONS(7531),
    [anon_sym_BSLASHacf] = ACTIONS(7531),
    [anon_sym_BSLASHAcf] = ACTIONS(7531),
    [anon_sym_BSLASHacfp] = ACTIONS(7531),
    [anon_sym_BSLASHAcfp] = ACTIONS(7531),
    [anon_sym_BSLASHac] = ACTIONS(7531),
    [anon_sym_BSLASHAc] = ACTIONS(7531),
    [anon_sym_BSLASHacp] = ACTIONS(7531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7531),
    [anon_sym_BSLASHcolor] = ACTIONS(7531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7531),
    [anon_sym_BSLASHurl] = ACTIONS(7531),
    [anon_sym_BSLASHhref] = ACTIONS(7531),
  },
  [1935] = {
    [sym_command_name] = ACTIONS(7223),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7223),
    [anon_sym_LBRACK] = ACTIONS(7225),
    [anon_sym_RBRACK] = ACTIONS(7225),
    [anon_sym_COMMA] = ACTIONS(7225),
    [anon_sym_EQ] = ACTIONS(7225),
    [anon_sym_LPAREN] = ACTIONS(7225),
    [anon_sym_RPAREN] = ACTIONS(7225),
    [anon_sym_LBRACE] = ACTIONS(7225),
    [anon_sym_RBRACE] = ACTIONS(7225),
    [sym_word] = ACTIONS(7223),
    [sym_placeholder] = ACTIONS(7225),
    [sym_delimiter] = ACTIONS(7225),
    [anon_sym_PLUS] = ACTIONS(7225),
    [anon_sym_DASH] = ACTIONS(7225),
    [anon_sym_STAR] = ACTIONS(7225),
    [anon_sym_SLASH] = ACTIONS(7225),
    [anon_sym_LT] = ACTIONS(7223),
    [anon_sym_GT] = ACTIONS(7223),
    [anon_sym_BANG] = ACTIONS(7223),
    [anon_sym_PIPE] = ACTIONS(7223),
    [anon_sym_COLON] = ACTIONS(7223),
    [anon_sym_SQUOTE] = ACTIONS(7223),
    [anon_sym__] = ACTIONS(7225),
    [anon_sym_CARET] = ACTIONS(7225),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7225),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7225),
    [anon_sym_DOLLAR] = ACTIONS(7223),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7225),
    [anon_sym_BSLASHleft] = ACTIONS(7223),
    [anon_sym_BSLASHbigl] = ACTIONS(7223),
    [anon_sym_BSLASHBigl] = ACTIONS(7223),
    [anon_sym_BSLASHbiggl] = ACTIONS(7223),
    [anon_sym_BSLASHBiggl] = ACTIONS(7223),
    [anon_sym_BSLASHtext] = ACTIONS(7223),
    [anon_sym_BSLASHintertext] = ACTIONS(7223),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7223),
    [anon_sym_BSLASHtitle] = ACTIONS(7223),
    [anon_sym_BSLASHauthor] = ACTIONS(7223),
    [anon_sym_BSLASHusepackage] = ACTIONS(7223),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7223),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7223),
    [anon_sym_BSLASHinclude] = ACTIONS(7223),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7223),
    [anon_sym_BSLASHinput] = ACTIONS(7223),
    [anon_sym_BSLASHsubfile] = ACTIONS(7223),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7223),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7223),
    [anon_sym_BSLASHbibliography] = ACTIONS(7223),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7223),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7223),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7223),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7223),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7223),
    [anon_sym_BSLASHimport] = ACTIONS(7223),
    [anon_sym_BSLASHsubimport] = ACTIONS(7223),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7223),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7223),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7223),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7223),
    [anon_sym_BSLASHcaption] = ACTIONS(7223),
    [anon_sym_BSLASHcite] = ACTIONS(7223),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCite] = ACTIONS(7223),
    [anon_sym_BSLASHnocite] = ACTIONS(7223),
    [anon_sym_BSLASHcitet] = ACTIONS(7223),
    [anon_sym_BSLASHcitep] = ACTIONS(7223),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteA] = ACTIONS(7223),
    [anon_sym_BSLASHciteR] = ACTIONS(7223),
    [anon_sym_BSLASHciteS] = ACTIONS(7223),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7223),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7223),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7223),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7223),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteyear] = ACTIONS(7223),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitedate] = ACTIONS(7223),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteurl] = ACTIONS(7223),
    [anon_sym_BSLASHfullcite] = ACTIONS(7223),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7223),
    [anon_sym_BSLASHcitealt] = ACTIONS(7223),
    [anon_sym_BSLASHcitealp] = ACTIONS(7223),
    [anon_sym_BSLASHcitetext] = ACTIONS(7223),
    [anon_sym_BSLASHparencite] = ACTIONS(7223),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHParencite] = ACTIONS(7223),
    [anon_sym_BSLASHfootcite] = ACTIONS(7223),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7223),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7223),
    [anon_sym_BSLASHtextcite] = ACTIONS(7223),
    [anon_sym_BSLASHTextcite] = ACTIONS(7223),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7223),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7223),
    [anon_sym_BSLASHsupercite] = ACTIONS(7223),
    [anon_sym_BSLASHautocite] = ACTIONS(7223),
    [anon_sym_BSLASHAutocite] = ACTIONS(7223),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHVolcite] = ACTIONS(7223),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHavolcite] = ACTIONS(7223),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHNotecite] = ACTIONS(7223),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHlabel] = ACTIONS(7223),
    [anon_sym_BSLASHref] = ACTIONS(7223),
    [anon_sym_BSLASHeqref] = ACTIONS(7223),
    [anon_sym_BSLASHvref] = ACTIONS(7223),
    [anon_sym_BSLASHVref] = ACTIONS(7223),
    [anon_sym_BSLASHautoref] = ACTIONS(7223),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHpageref] = ACTIONS(7223),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHautopageref] = ACTIONS(7223),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcref] = ACTIONS(7223),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCref] = ACTIONS(7223),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcpageref] = ACTIONS(7223),
    [anon_sym_BSLASHCpageref] = ACTIONS(7223),
    [anon_sym_BSLASHnamecref] = ACTIONS(7223),
    [anon_sym_BSLASHnameCref] = ACTIONS(7223),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7223),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7223),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7223),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7223),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7223),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7223),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7223),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7223),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7223),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7223),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7223),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHdef] = ACTIONS(7223),
    [anon_sym_BSLASHgdef] = ACTIONS(7223),
    [anon_sym_BSLASHedef] = ACTIONS(7223),
    [anon_sym_BSLASHxdef] = ACTIONS(7223),
    [anon_sym_BSLASHlet] = ACTIONS(7223),
    [anon_sym_BSLASHglet] = ACTIONS(7223),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7223),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7223),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7223),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7223),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7223),
    [anon_sym_BSLASHgls] = ACTIONS(7223),
    [anon_sym_BSLASHGls] = ACTIONS(7223),
    [anon_sym_BSLASHGLS] = ACTIONS(7223),
    [anon_sym_BSLASHglspl] = ACTIONS(7223),
    [anon_sym_BSLASHGlspl] = ACTIONS(7223),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7223),
    [anon_sym_BSLASHglslink] = ACTIONS(7223),
    [anon_sym_BSLASHglstext] = ACTIONS(7223),
    [anon_sym_BSLASHGlstext] = ACTIONS(7223),
    [anon_sym_BSLASHGLStext] = ACTIONS(7223),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7223),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7223),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7223),
    [anon_sym_BSLASHglsplural] = ACTIONS(7223),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7223),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7223),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHglsname] = ACTIONS(7223),
    [anon_sym_BSLASHGlsname] = ACTIONS(7223),
    [anon_sym_BSLASHGLSname] = ACTIONS(7223),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7223),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7223),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7223),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7223),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7223),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7223),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7223),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7223),
    [anon_sym_BSLASHacrshort] = ACTIONS(7223),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7223),
    [anon_sym_BSLASHACRshort] = ACTIONS(7223),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHacrlong] = ACTIONS(7223),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7223),
    [anon_sym_BSLASHACRlong] = ACTIONS(7223),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHacrfull] = ACTIONS(7223),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7223),
    [anon_sym_BSLASHACRfull] = ACTIONS(7223),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHacs] = ACTIONS(7223),
    [anon_sym_BSLASHAcs] = ACTIONS(7223),
    [anon_sym_BSLASHacsp] = ACTIONS(7223),
    [anon_sym_BSLASHAcsp] = ACTIONS(7223),
    [anon_sym_BSLASHacl] = ACTIONS(7223),
    [anon_sym_BSLASHAcl] = ACTIONS(7223),
    [anon_sym_BSLASHaclp] = ACTIONS(7223),
    [anon_sym_BSLASHAclp] = ACTIONS(7223),
    [anon_sym_BSLASHacf] = ACTIONS(7223),
    [anon_sym_BSLASHAcf] = ACTIONS(7223),
    [anon_sym_BSLASHacfp] = ACTIONS(7223),
    [anon_sym_BSLASHAcfp] = ACTIONS(7223),
    [anon_sym_BSLASHac] = ACTIONS(7223),
    [anon_sym_BSLASHAc] = ACTIONS(7223),
    [anon_sym_BSLASHacp] = ACTIONS(7223),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7223),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7223),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7223),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7223),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7223),
    [anon_sym_BSLASHcolor] = ACTIONS(7223),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7223),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7223),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7223),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7223),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7223),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7223),
    [anon_sym_BSLASHurl] = ACTIONS(7223),
    [anon_sym_BSLASHhref] = ACTIONS(7223),
  },
  [1936] = {
    [sym_command_name] = ACTIONS(7051),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7051),
    [anon_sym_LBRACK] = ACTIONS(7053),
    [anon_sym_RBRACK] = ACTIONS(7053),
    [anon_sym_COMMA] = ACTIONS(7053),
    [anon_sym_EQ] = ACTIONS(7053),
    [anon_sym_LPAREN] = ACTIONS(7053),
    [anon_sym_RPAREN] = ACTIONS(7053),
    [anon_sym_LBRACE] = ACTIONS(7053),
    [anon_sym_RBRACE] = ACTIONS(7053),
    [sym_word] = ACTIONS(7051),
    [sym_placeholder] = ACTIONS(7053),
    [sym_delimiter] = ACTIONS(7053),
    [anon_sym_PLUS] = ACTIONS(7053),
    [anon_sym_DASH] = ACTIONS(7053),
    [anon_sym_STAR] = ACTIONS(7053),
    [anon_sym_SLASH] = ACTIONS(7053),
    [anon_sym_LT] = ACTIONS(7051),
    [anon_sym_GT] = ACTIONS(7051),
    [anon_sym_BANG] = ACTIONS(7051),
    [anon_sym_PIPE] = ACTIONS(7051),
    [anon_sym_COLON] = ACTIONS(7051),
    [anon_sym_SQUOTE] = ACTIONS(7051),
    [anon_sym__] = ACTIONS(7053),
    [anon_sym_CARET] = ACTIONS(7053),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7053),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7053),
    [anon_sym_DOLLAR] = ACTIONS(7051),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7053),
    [anon_sym_BSLASHleft] = ACTIONS(7051),
    [anon_sym_BSLASHbigl] = ACTIONS(7051),
    [anon_sym_BSLASHBigl] = ACTIONS(7051),
    [anon_sym_BSLASHbiggl] = ACTIONS(7051),
    [anon_sym_BSLASHBiggl] = ACTIONS(7051),
    [anon_sym_BSLASHtext] = ACTIONS(7051),
    [anon_sym_BSLASHintertext] = ACTIONS(7051),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7051),
    [anon_sym_BSLASHtitle] = ACTIONS(7051),
    [anon_sym_BSLASHauthor] = ACTIONS(7051),
    [anon_sym_BSLASHusepackage] = ACTIONS(7051),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7051),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7051),
    [anon_sym_BSLASHinclude] = ACTIONS(7051),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7051),
    [anon_sym_BSLASHinput] = ACTIONS(7051),
    [anon_sym_BSLASHsubfile] = ACTIONS(7051),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7051),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7051),
    [anon_sym_BSLASHbibliography] = ACTIONS(7051),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7051),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7051),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7051),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7051),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7051),
    [anon_sym_BSLASHimport] = ACTIONS(7051),
    [anon_sym_BSLASHsubimport] = ACTIONS(7051),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7051),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7051),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7051),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7051),
    [anon_sym_BSLASHcaption] = ACTIONS(7051),
    [anon_sym_BSLASHcite] = ACTIONS(7051),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCite] = ACTIONS(7051),
    [anon_sym_BSLASHnocite] = ACTIONS(7051),
    [anon_sym_BSLASHcitet] = ACTIONS(7051),
    [anon_sym_BSLASHcitep] = ACTIONS(7051),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteA] = ACTIONS(7051),
    [anon_sym_BSLASHciteR] = ACTIONS(7051),
    [anon_sym_BSLASHciteS] = ACTIONS(7051),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7051),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7051),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7051),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7051),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteyear] = ACTIONS(7051),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitedate] = ACTIONS(7051),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteurl] = ACTIONS(7051),
    [anon_sym_BSLASHfullcite] = ACTIONS(7051),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7051),
    [anon_sym_BSLASHcitealt] = ACTIONS(7051),
    [anon_sym_BSLASHcitealp] = ACTIONS(7051),
    [anon_sym_BSLASHcitetext] = ACTIONS(7051),
    [anon_sym_BSLASHparencite] = ACTIONS(7051),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHParencite] = ACTIONS(7051),
    [anon_sym_BSLASHfootcite] = ACTIONS(7051),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7051),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7051),
    [anon_sym_BSLASHtextcite] = ACTIONS(7051),
    [anon_sym_BSLASHTextcite] = ACTIONS(7051),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7051),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7051),
    [anon_sym_BSLASHsupercite] = ACTIONS(7051),
    [anon_sym_BSLASHautocite] = ACTIONS(7051),
    [anon_sym_BSLASHAutocite] = ACTIONS(7051),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHVolcite] = ACTIONS(7051),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHavolcite] = ACTIONS(7051),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHNotecite] = ACTIONS(7051),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHlabel] = ACTIONS(7051),
    [anon_sym_BSLASHref] = ACTIONS(7051),
    [anon_sym_BSLASHeqref] = ACTIONS(7051),
    [anon_sym_BSLASHvref] = ACTIONS(7051),
    [anon_sym_BSLASHVref] = ACTIONS(7051),
    [anon_sym_BSLASHautoref] = ACTIONS(7051),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHpageref] = ACTIONS(7051),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHautopageref] = ACTIONS(7051),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcref] = ACTIONS(7051),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCref] = ACTIONS(7051),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcpageref] = ACTIONS(7051),
    [anon_sym_BSLASHCpageref] = ACTIONS(7051),
    [anon_sym_BSLASHnamecref] = ACTIONS(7051),
    [anon_sym_BSLASHnameCref] = ACTIONS(7051),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7051),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7051),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7051),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7051),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7051),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7051),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7051),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7051),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7051),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7051),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7051),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHdef] = ACTIONS(7051),
    [anon_sym_BSLASHgdef] = ACTIONS(7051),
    [anon_sym_BSLASHedef] = ACTIONS(7051),
    [anon_sym_BSLASHxdef] = ACTIONS(7051),
    [anon_sym_BSLASHlet] = ACTIONS(7051),
    [anon_sym_BSLASHglet] = ACTIONS(7051),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7051),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7051),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7051),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7051),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7051),
    [anon_sym_BSLASHgls] = ACTIONS(7051),
    [anon_sym_BSLASHGls] = ACTIONS(7051),
    [anon_sym_BSLASHGLS] = ACTIONS(7051),
    [anon_sym_BSLASHglspl] = ACTIONS(7051),
    [anon_sym_BSLASHGlspl] = ACTIONS(7051),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7051),
    [anon_sym_BSLASHglslink] = ACTIONS(7051),
    [anon_sym_BSLASHglstext] = ACTIONS(7051),
    [anon_sym_BSLASHGlstext] = ACTIONS(7051),
    [anon_sym_BSLASHGLStext] = ACTIONS(7051),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7051),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7051),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7051),
    [anon_sym_BSLASHglsplural] = ACTIONS(7051),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7051),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7051),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHglsname] = ACTIONS(7051),
    [anon_sym_BSLASHGlsname] = ACTIONS(7051),
    [anon_sym_BSLASHGLSname] = ACTIONS(7051),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7051),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7051),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7051),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7051),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7051),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7051),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7051),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7051),
    [anon_sym_BSLASHacrshort] = ACTIONS(7051),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7051),
    [anon_sym_BSLASHACRshort] = ACTIONS(7051),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHacrlong] = ACTIONS(7051),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7051),
    [anon_sym_BSLASHACRlong] = ACTIONS(7051),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHacrfull] = ACTIONS(7051),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7051),
    [anon_sym_BSLASHACRfull] = ACTIONS(7051),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHacs] = ACTIONS(7051),
    [anon_sym_BSLASHAcs] = ACTIONS(7051),
    [anon_sym_BSLASHacsp] = ACTIONS(7051),
    [anon_sym_BSLASHAcsp] = ACTIONS(7051),
    [anon_sym_BSLASHacl] = ACTIONS(7051),
    [anon_sym_BSLASHAcl] = ACTIONS(7051),
    [anon_sym_BSLASHaclp] = ACTIONS(7051),
    [anon_sym_BSLASHAclp] = ACTIONS(7051),
    [anon_sym_BSLASHacf] = ACTIONS(7051),
    [anon_sym_BSLASHAcf] = ACTIONS(7051),
    [anon_sym_BSLASHacfp] = ACTIONS(7051),
    [anon_sym_BSLASHAcfp] = ACTIONS(7051),
    [anon_sym_BSLASHac] = ACTIONS(7051),
    [anon_sym_BSLASHAc] = ACTIONS(7051),
    [anon_sym_BSLASHacp] = ACTIONS(7051),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7051),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7051),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7051),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7051),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7051),
    [anon_sym_BSLASHcolor] = ACTIONS(7051),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7051),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7051),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7051),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7051),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7051),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7051),
    [anon_sym_BSLASHurl] = ACTIONS(7051),
    [anon_sym_BSLASHhref] = ACTIONS(7051),
  },
  [1937] = {
    [sym_command_name] = ACTIONS(7227),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7227),
    [anon_sym_LBRACK] = ACTIONS(7229),
    [anon_sym_RBRACK] = ACTIONS(7229),
    [anon_sym_COMMA] = ACTIONS(7229),
    [anon_sym_EQ] = ACTIONS(7229),
    [anon_sym_LPAREN] = ACTIONS(7229),
    [anon_sym_RPAREN] = ACTIONS(7229),
    [anon_sym_LBRACE] = ACTIONS(7229),
    [anon_sym_RBRACE] = ACTIONS(7229),
    [sym_word] = ACTIONS(7227),
    [sym_placeholder] = ACTIONS(7229),
    [sym_delimiter] = ACTIONS(7229),
    [anon_sym_PLUS] = ACTIONS(7229),
    [anon_sym_DASH] = ACTIONS(7229),
    [anon_sym_STAR] = ACTIONS(7229),
    [anon_sym_SLASH] = ACTIONS(7229),
    [anon_sym_LT] = ACTIONS(7227),
    [anon_sym_GT] = ACTIONS(7227),
    [anon_sym_BANG] = ACTIONS(7227),
    [anon_sym_PIPE] = ACTIONS(7227),
    [anon_sym_COLON] = ACTIONS(7227),
    [anon_sym_SQUOTE] = ACTIONS(7227),
    [anon_sym__] = ACTIONS(7229),
    [anon_sym_CARET] = ACTIONS(7229),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7229),
    [anon_sym_DOLLAR] = ACTIONS(7227),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7229),
    [anon_sym_BSLASHleft] = ACTIONS(7227),
    [anon_sym_BSLASHbigl] = ACTIONS(7227),
    [anon_sym_BSLASHBigl] = ACTIONS(7227),
    [anon_sym_BSLASHbiggl] = ACTIONS(7227),
    [anon_sym_BSLASHBiggl] = ACTIONS(7227),
    [anon_sym_BSLASHtext] = ACTIONS(7227),
    [anon_sym_BSLASHintertext] = ACTIONS(7227),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7227),
    [anon_sym_BSLASHtitle] = ACTIONS(7227),
    [anon_sym_BSLASHauthor] = ACTIONS(7227),
    [anon_sym_BSLASHusepackage] = ACTIONS(7227),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7227),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7227),
    [anon_sym_BSLASHinclude] = ACTIONS(7227),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7227),
    [anon_sym_BSLASHinput] = ACTIONS(7227),
    [anon_sym_BSLASHsubfile] = ACTIONS(7227),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7227),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7227),
    [anon_sym_BSLASHbibliography] = ACTIONS(7227),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7227),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7227),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7227),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7227),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7227),
    [anon_sym_BSLASHimport] = ACTIONS(7227),
    [anon_sym_BSLASHsubimport] = ACTIONS(7227),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7227),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7227),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7227),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7227),
    [anon_sym_BSLASHcaption] = ACTIONS(7227),
    [anon_sym_BSLASHcite] = ACTIONS(7227),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCite] = ACTIONS(7227),
    [anon_sym_BSLASHnocite] = ACTIONS(7227),
    [anon_sym_BSLASHcitet] = ACTIONS(7227),
    [anon_sym_BSLASHcitep] = ACTIONS(7227),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteA] = ACTIONS(7227),
    [anon_sym_BSLASHciteR] = ACTIONS(7227),
    [anon_sym_BSLASHciteS] = ACTIONS(7227),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7227),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7227),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7227),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7227),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteyear] = ACTIONS(7227),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitedate] = ACTIONS(7227),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteurl] = ACTIONS(7227),
    [anon_sym_BSLASHfullcite] = ACTIONS(7227),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7227),
    [anon_sym_BSLASHcitealt] = ACTIONS(7227),
    [anon_sym_BSLASHcitealp] = ACTIONS(7227),
    [anon_sym_BSLASHcitetext] = ACTIONS(7227),
    [anon_sym_BSLASHparencite] = ACTIONS(7227),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHParencite] = ACTIONS(7227),
    [anon_sym_BSLASHfootcite] = ACTIONS(7227),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7227),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7227),
    [anon_sym_BSLASHtextcite] = ACTIONS(7227),
    [anon_sym_BSLASHTextcite] = ACTIONS(7227),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7227),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7227),
    [anon_sym_BSLASHsupercite] = ACTIONS(7227),
    [anon_sym_BSLASHautocite] = ACTIONS(7227),
    [anon_sym_BSLASHAutocite] = ACTIONS(7227),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHVolcite] = ACTIONS(7227),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHavolcite] = ACTIONS(7227),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHNotecite] = ACTIONS(7227),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHlabel] = ACTIONS(7227),
    [anon_sym_BSLASHref] = ACTIONS(7227),
    [anon_sym_BSLASHeqref] = ACTIONS(7227),
    [anon_sym_BSLASHvref] = ACTIONS(7227),
    [anon_sym_BSLASHVref] = ACTIONS(7227),
    [anon_sym_BSLASHautoref] = ACTIONS(7227),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHpageref] = ACTIONS(7227),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHautopageref] = ACTIONS(7227),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcref] = ACTIONS(7227),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCref] = ACTIONS(7227),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcpageref] = ACTIONS(7227),
    [anon_sym_BSLASHCpageref] = ACTIONS(7227),
    [anon_sym_BSLASHnamecref] = ACTIONS(7227),
    [anon_sym_BSLASHnameCref] = ACTIONS(7227),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7227),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7227),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7227),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7227),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7227),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7227),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7227),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7227),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7227),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7227),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7227),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHdef] = ACTIONS(7227),
    [anon_sym_BSLASHgdef] = ACTIONS(7227),
    [anon_sym_BSLASHedef] = ACTIONS(7227),
    [anon_sym_BSLASHxdef] = ACTIONS(7227),
    [anon_sym_BSLASHlet] = ACTIONS(7227),
    [anon_sym_BSLASHglet] = ACTIONS(7227),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7227),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7227),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7227),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7227),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7227),
    [anon_sym_BSLASHgls] = ACTIONS(7227),
    [anon_sym_BSLASHGls] = ACTIONS(7227),
    [anon_sym_BSLASHGLS] = ACTIONS(7227),
    [anon_sym_BSLASHglspl] = ACTIONS(7227),
    [anon_sym_BSLASHGlspl] = ACTIONS(7227),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7227),
    [anon_sym_BSLASHglslink] = ACTIONS(7227),
    [anon_sym_BSLASHglstext] = ACTIONS(7227),
    [anon_sym_BSLASHGlstext] = ACTIONS(7227),
    [anon_sym_BSLASHGLStext] = ACTIONS(7227),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7227),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7227),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7227),
    [anon_sym_BSLASHglsplural] = ACTIONS(7227),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7227),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7227),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHglsname] = ACTIONS(7227),
    [anon_sym_BSLASHGlsname] = ACTIONS(7227),
    [anon_sym_BSLASHGLSname] = ACTIONS(7227),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7227),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7227),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7227),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7227),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7227),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7227),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7227),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7227),
    [anon_sym_BSLASHacrshort] = ACTIONS(7227),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7227),
    [anon_sym_BSLASHACRshort] = ACTIONS(7227),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHacrlong] = ACTIONS(7227),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7227),
    [anon_sym_BSLASHACRlong] = ACTIONS(7227),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHacrfull] = ACTIONS(7227),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7227),
    [anon_sym_BSLASHACRfull] = ACTIONS(7227),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHacs] = ACTIONS(7227),
    [anon_sym_BSLASHAcs] = ACTIONS(7227),
    [anon_sym_BSLASHacsp] = ACTIONS(7227),
    [anon_sym_BSLASHAcsp] = ACTIONS(7227),
    [anon_sym_BSLASHacl] = ACTIONS(7227),
    [anon_sym_BSLASHAcl] = ACTIONS(7227),
    [anon_sym_BSLASHaclp] = ACTIONS(7227),
    [anon_sym_BSLASHAclp] = ACTIONS(7227),
    [anon_sym_BSLASHacf] = ACTIONS(7227),
    [anon_sym_BSLASHAcf] = ACTIONS(7227),
    [anon_sym_BSLASHacfp] = ACTIONS(7227),
    [anon_sym_BSLASHAcfp] = ACTIONS(7227),
    [anon_sym_BSLASHac] = ACTIONS(7227),
    [anon_sym_BSLASHAc] = ACTIONS(7227),
    [anon_sym_BSLASHacp] = ACTIONS(7227),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7227),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7227),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7227),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7227),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7227),
    [anon_sym_BSLASHcolor] = ACTIONS(7227),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7227),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7227),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7227),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7227),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7227),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7227),
    [anon_sym_BSLASHurl] = ACTIONS(7227),
    [anon_sym_BSLASHhref] = ACTIONS(7227),
  },
  [1938] = {
    [sym_command_name] = ACTIONS(7231),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7231),
    [anon_sym_LBRACK] = ACTIONS(7233),
    [anon_sym_RBRACK] = ACTIONS(7233),
    [anon_sym_COMMA] = ACTIONS(7233),
    [anon_sym_EQ] = ACTIONS(7233),
    [anon_sym_LPAREN] = ACTIONS(7233),
    [anon_sym_RPAREN] = ACTIONS(7233),
    [anon_sym_LBRACE] = ACTIONS(7233),
    [anon_sym_RBRACE] = ACTIONS(7233),
    [sym_word] = ACTIONS(7231),
    [sym_placeholder] = ACTIONS(7233),
    [sym_delimiter] = ACTIONS(7233),
    [anon_sym_PLUS] = ACTIONS(7233),
    [anon_sym_DASH] = ACTIONS(7233),
    [anon_sym_STAR] = ACTIONS(7233),
    [anon_sym_SLASH] = ACTIONS(7233),
    [anon_sym_LT] = ACTIONS(7231),
    [anon_sym_GT] = ACTIONS(7231),
    [anon_sym_BANG] = ACTIONS(7231),
    [anon_sym_PIPE] = ACTIONS(7231),
    [anon_sym_COLON] = ACTIONS(7231),
    [anon_sym_SQUOTE] = ACTIONS(7231),
    [anon_sym__] = ACTIONS(7233),
    [anon_sym_CARET] = ACTIONS(7233),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7233),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7233),
    [anon_sym_DOLLAR] = ACTIONS(7231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7233),
    [anon_sym_BSLASHleft] = ACTIONS(7231),
    [anon_sym_BSLASHbigl] = ACTIONS(7231),
    [anon_sym_BSLASHBigl] = ACTIONS(7231),
    [anon_sym_BSLASHbiggl] = ACTIONS(7231),
    [anon_sym_BSLASHBiggl] = ACTIONS(7231),
    [anon_sym_BSLASHtext] = ACTIONS(7231),
    [anon_sym_BSLASHintertext] = ACTIONS(7231),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7231),
    [anon_sym_BSLASHtitle] = ACTIONS(7231),
    [anon_sym_BSLASHauthor] = ACTIONS(7231),
    [anon_sym_BSLASHusepackage] = ACTIONS(7231),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7231),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7231),
    [anon_sym_BSLASHinclude] = ACTIONS(7231),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7231),
    [anon_sym_BSLASHinput] = ACTIONS(7231),
    [anon_sym_BSLASHsubfile] = ACTIONS(7231),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7231),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7231),
    [anon_sym_BSLASHbibliography] = ACTIONS(7231),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7231),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7231),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7231),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7231),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7231),
    [anon_sym_BSLASHimport] = ACTIONS(7231),
    [anon_sym_BSLASHsubimport] = ACTIONS(7231),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7231),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7231),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7231),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7231),
    [anon_sym_BSLASHcaption] = ACTIONS(7231),
    [anon_sym_BSLASHcite] = ACTIONS(7231),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCite] = ACTIONS(7231),
    [anon_sym_BSLASHnocite] = ACTIONS(7231),
    [anon_sym_BSLASHcitet] = ACTIONS(7231),
    [anon_sym_BSLASHcitep] = ACTIONS(7231),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteA] = ACTIONS(7231),
    [anon_sym_BSLASHciteR] = ACTIONS(7231),
    [anon_sym_BSLASHciteS] = ACTIONS(7231),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7231),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7231),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7231),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7231),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteyear] = ACTIONS(7231),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitedate] = ACTIONS(7231),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteurl] = ACTIONS(7231),
    [anon_sym_BSLASHfullcite] = ACTIONS(7231),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7231),
    [anon_sym_BSLASHcitealt] = ACTIONS(7231),
    [anon_sym_BSLASHcitealp] = ACTIONS(7231),
    [anon_sym_BSLASHcitetext] = ACTIONS(7231),
    [anon_sym_BSLASHparencite] = ACTIONS(7231),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHParencite] = ACTIONS(7231),
    [anon_sym_BSLASHfootcite] = ACTIONS(7231),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7231),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7231),
    [anon_sym_BSLASHtextcite] = ACTIONS(7231),
    [anon_sym_BSLASHTextcite] = ACTIONS(7231),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7231),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7231),
    [anon_sym_BSLASHsupercite] = ACTIONS(7231),
    [anon_sym_BSLASHautocite] = ACTIONS(7231),
    [anon_sym_BSLASHAutocite] = ACTIONS(7231),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHVolcite] = ACTIONS(7231),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHavolcite] = ACTIONS(7231),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHNotecite] = ACTIONS(7231),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHlabel] = ACTIONS(7231),
    [anon_sym_BSLASHref] = ACTIONS(7231),
    [anon_sym_BSLASHeqref] = ACTIONS(7231),
    [anon_sym_BSLASHvref] = ACTIONS(7231),
    [anon_sym_BSLASHVref] = ACTIONS(7231),
    [anon_sym_BSLASHautoref] = ACTIONS(7231),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHpageref] = ACTIONS(7231),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHautopageref] = ACTIONS(7231),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcref] = ACTIONS(7231),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCref] = ACTIONS(7231),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcpageref] = ACTIONS(7231),
    [anon_sym_BSLASHCpageref] = ACTIONS(7231),
    [anon_sym_BSLASHnamecref] = ACTIONS(7231),
    [anon_sym_BSLASHnameCref] = ACTIONS(7231),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7231),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7231),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7231),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7231),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7231),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7231),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7231),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7231),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7231),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7231),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7231),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHdef] = ACTIONS(7231),
    [anon_sym_BSLASHgdef] = ACTIONS(7231),
    [anon_sym_BSLASHedef] = ACTIONS(7231),
    [anon_sym_BSLASHxdef] = ACTIONS(7231),
    [anon_sym_BSLASHlet] = ACTIONS(7231),
    [anon_sym_BSLASHglet] = ACTIONS(7231),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7231),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7231),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7231),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7231),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7231),
    [anon_sym_BSLASHgls] = ACTIONS(7231),
    [anon_sym_BSLASHGls] = ACTIONS(7231),
    [anon_sym_BSLASHGLS] = ACTIONS(7231),
    [anon_sym_BSLASHglspl] = ACTIONS(7231),
    [anon_sym_BSLASHGlspl] = ACTIONS(7231),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7231),
    [anon_sym_BSLASHglslink] = ACTIONS(7231),
    [anon_sym_BSLASHglstext] = ACTIONS(7231),
    [anon_sym_BSLASHGlstext] = ACTIONS(7231),
    [anon_sym_BSLASHGLStext] = ACTIONS(7231),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7231),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7231),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7231),
    [anon_sym_BSLASHglsplural] = ACTIONS(7231),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7231),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7231),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHglsname] = ACTIONS(7231),
    [anon_sym_BSLASHGlsname] = ACTIONS(7231),
    [anon_sym_BSLASHGLSname] = ACTIONS(7231),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7231),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7231),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7231),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7231),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7231),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7231),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7231),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7231),
    [anon_sym_BSLASHacrshort] = ACTIONS(7231),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7231),
    [anon_sym_BSLASHACRshort] = ACTIONS(7231),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHacrlong] = ACTIONS(7231),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7231),
    [anon_sym_BSLASHACRlong] = ACTIONS(7231),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHacrfull] = ACTIONS(7231),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7231),
    [anon_sym_BSLASHACRfull] = ACTIONS(7231),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHacs] = ACTIONS(7231),
    [anon_sym_BSLASHAcs] = ACTIONS(7231),
    [anon_sym_BSLASHacsp] = ACTIONS(7231),
    [anon_sym_BSLASHAcsp] = ACTIONS(7231),
    [anon_sym_BSLASHacl] = ACTIONS(7231),
    [anon_sym_BSLASHAcl] = ACTIONS(7231),
    [anon_sym_BSLASHaclp] = ACTIONS(7231),
    [anon_sym_BSLASHAclp] = ACTIONS(7231),
    [anon_sym_BSLASHacf] = ACTIONS(7231),
    [anon_sym_BSLASHAcf] = ACTIONS(7231),
    [anon_sym_BSLASHacfp] = ACTIONS(7231),
    [anon_sym_BSLASHAcfp] = ACTIONS(7231),
    [anon_sym_BSLASHac] = ACTIONS(7231),
    [anon_sym_BSLASHAc] = ACTIONS(7231),
    [anon_sym_BSLASHacp] = ACTIONS(7231),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7231),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7231),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7231),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7231),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7231),
    [anon_sym_BSLASHcolor] = ACTIONS(7231),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7231),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7231),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7231),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7231),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7231),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7231),
    [anon_sym_BSLASHurl] = ACTIONS(7231),
    [anon_sym_BSLASHhref] = ACTIONS(7231),
  },
  [1939] = {
    [sym_command_name] = ACTIONS(7535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(7537),
    [anon_sym_RBRACK] = ACTIONS(7537),
    [anon_sym_COMMA] = ACTIONS(7537),
    [anon_sym_EQ] = ACTIONS(7537),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_RPAREN] = ACTIONS(7537),
    [anon_sym_LBRACE] = ACTIONS(7537),
    [sym_word] = ACTIONS(7535),
    [sym_placeholder] = ACTIONS(7537),
    [sym_delimiter] = ACTIONS(7537),
    [anon_sym_PLUS] = ACTIONS(7537),
    [anon_sym_DASH] = ACTIONS(7537),
    [anon_sym_STAR] = ACTIONS(7537),
    [anon_sym_SLASH] = ACTIONS(7537),
    [anon_sym_LT] = ACTIONS(7535),
    [anon_sym_GT] = ACTIONS(7535),
    [anon_sym_BANG] = ACTIONS(7535),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_COLON] = ACTIONS(7535),
    [anon_sym_SQUOTE] = ACTIONS(7535),
    [anon_sym__] = ACTIONS(7537),
    [anon_sym_CARET] = ACTIONS(7537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7537),
    [anon_sym_DOLLAR] = ACTIONS(7535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7537),
    [anon_sym_BSLASHleft] = ACTIONS(7535),
    [anon_sym_BSLASHbigl] = ACTIONS(7535),
    [anon_sym_BSLASHBigl] = ACTIONS(7535),
    [anon_sym_BSLASHbiggl] = ACTIONS(7535),
    [anon_sym_BSLASHBiggl] = ACTIONS(7535),
    [anon_sym_BSLASHtext] = ACTIONS(7535),
    [anon_sym_BSLASHintertext] = ACTIONS(7535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7535),
    [anon_sym_BSLASHbegin] = ACTIONS(7535),
    [anon_sym_BSLASHtitle] = ACTIONS(7535),
    [anon_sym_BSLASHauthor] = ACTIONS(7535),
    [anon_sym_BSLASHusepackage] = ACTIONS(7535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7535),
    [anon_sym_BSLASHinclude] = ACTIONS(7535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7535),
    [anon_sym_BSLASHinput] = ACTIONS(7535),
    [anon_sym_BSLASHsubfile] = ACTIONS(7535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7535),
    [anon_sym_BSLASHbibliography] = ACTIONS(7535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7535),
    [anon_sym_BSLASHimport] = ACTIONS(7535),
    [anon_sym_BSLASHsubimport] = ACTIONS(7535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7535),
    [anon_sym_BSLASHcaption] = ACTIONS(7535),
    [anon_sym_BSLASHcite] = ACTIONS(7535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCite] = ACTIONS(7535),
    [anon_sym_BSLASHnocite] = ACTIONS(7535),
    [anon_sym_BSLASHcitet] = ACTIONS(7535),
    [anon_sym_BSLASHcitep] = ACTIONS(7535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteA] = ACTIONS(7535),
    [anon_sym_BSLASHciteR] = ACTIONS(7535),
    [anon_sym_BSLASHciteS] = ACTIONS(7535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteyear] = ACTIONS(7535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitedate] = ACTIONS(7535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteurl] = ACTIONS(7535),
    [anon_sym_BSLASHfullcite] = ACTIONS(7535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7535),
    [anon_sym_BSLASHcitealt] = ACTIONS(7535),
    [anon_sym_BSLASHcitealp] = ACTIONS(7535),
    [anon_sym_BSLASHcitetext] = ACTIONS(7535),
    [anon_sym_BSLASHparencite] = ACTIONS(7535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHParencite] = ACTIONS(7535),
    [anon_sym_BSLASHfootcite] = ACTIONS(7535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7535),
    [anon_sym_BSLASHtextcite] = ACTIONS(7535),
    [anon_sym_BSLASHTextcite] = ACTIONS(7535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7535),
    [anon_sym_BSLASHsupercite] = ACTIONS(7535),
    [anon_sym_BSLASHautocite] = ACTIONS(7535),
    [anon_sym_BSLASHAutocite] = ACTIONS(7535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHVolcite] = ACTIONS(7535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHavolcite] = ACTIONS(7535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHNotecite] = ACTIONS(7535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHlabel] = ACTIONS(7535),
    [anon_sym_BSLASHref] = ACTIONS(7535),
    [anon_sym_BSLASHeqref] = ACTIONS(7535),
    [anon_sym_BSLASHvref] = ACTIONS(7535),
    [anon_sym_BSLASHVref] = ACTIONS(7535),
    [anon_sym_BSLASHautoref] = ACTIONS(7535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHpageref] = ACTIONS(7535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHautopageref] = ACTIONS(7535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcref] = ACTIONS(7535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCref] = ACTIONS(7535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcpageref] = ACTIONS(7535),
    [anon_sym_BSLASHCpageref] = ACTIONS(7535),
    [anon_sym_BSLASHnamecref] = ACTIONS(7535),
    [anon_sym_BSLASHnameCref] = ACTIONS(7535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHdef] = ACTIONS(7535),
    [anon_sym_BSLASHgdef] = ACTIONS(7535),
    [anon_sym_BSLASHedef] = ACTIONS(7535),
    [anon_sym_BSLASHxdef] = ACTIONS(7535),
    [anon_sym_BSLASHlet] = ACTIONS(7535),
    [anon_sym_BSLASHglet] = ACTIONS(7535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7535),
    [anon_sym_BSLASHgls] = ACTIONS(7535),
    [anon_sym_BSLASHGls] = ACTIONS(7535),
    [anon_sym_BSLASHGLS] = ACTIONS(7535),
    [anon_sym_BSLASHglspl] = ACTIONS(7535),
    [anon_sym_BSLASHGlspl] = ACTIONS(7535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7535),
    [anon_sym_BSLASHglslink] = ACTIONS(7535),
    [anon_sym_BSLASHglstext] = ACTIONS(7535),
    [anon_sym_BSLASHGlstext] = ACTIONS(7535),
    [anon_sym_BSLASHGLStext] = ACTIONS(7535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7535),
    [anon_sym_BSLASHglsplural] = ACTIONS(7535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHglsname] = ACTIONS(7535),
    [anon_sym_BSLASHGlsname] = ACTIONS(7535),
    [anon_sym_BSLASHGLSname] = ACTIONS(7535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7535),
    [anon_sym_BSLASHacrshort] = ACTIONS(7535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7535),
    [anon_sym_BSLASHACRshort] = ACTIONS(7535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHacrlong] = ACTIONS(7535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7535),
    [anon_sym_BSLASHACRlong] = ACTIONS(7535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHacrfull] = ACTIONS(7535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7535),
    [anon_sym_BSLASHACRfull] = ACTIONS(7535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHacs] = ACTIONS(7535),
    [anon_sym_BSLASHAcs] = ACTIONS(7535),
    [anon_sym_BSLASHacsp] = ACTIONS(7535),
    [anon_sym_BSLASHAcsp] = ACTIONS(7535),
    [anon_sym_BSLASHacl] = ACTIONS(7535),
    [anon_sym_BSLASHAcl] = ACTIONS(7535),
    [anon_sym_BSLASHaclp] = ACTIONS(7535),
    [anon_sym_BSLASHAclp] = ACTIONS(7535),
    [anon_sym_BSLASHacf] = ACTIONS(7535),
    [anon_sym_BSLASHAcf] = ACTIONS(7535),
    [anon_sym_BSLASHacfp] = ACTIONS(7535),
    [anon_sym_BSLASHAcfp] = ACTIONS(7535),
    [anon_sym_BSLASHac] = ACTIONS(7535),
    [anon_sym_BSLASHAc] = ACTIONS(7535),
    [anon_sym_BSLASHacp] = ACTIONS(7535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7535),
    [anon_sym_BSLASHcolor] = ACTIONS(7535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7535),
    [anon_sym_BSLASHurl] = ACTIONS(7535),
    [anon_sym_BSLASHhref] = ACTIONS(7535),
  },
  [1940] = {
    [sym_command_name] = ACTIONS(7539),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(7541),
    [anon_sym_RBRACK] = ACTIONS(7541),
    [anon_sym_COMMA] = ACTIONS(7541),
    [anon_sym_EQ] = ACTIONS(7541),
    [anon_sym_LPAREN] = ACTIONS(7541),
    [anon_sym_RPAREN] = ACTIONS(7541),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [sym_word] = ACTIONS(7539),
    [sym_placeholder] = ACTIONS(7541),
    [sym_delimiter] = ACTIONS(7541),
    [anon_sym_PLUS] = ACTIONS(7541),
    [anon_sym_DASH] = ACTIONS(7541),
    [anon_sym_STAR] = ACTIONS(7541),
    [anon_sym_SLASH] = ACTIONS(7541),
    [anon_sym_LT] = ACTIONS(7539),
    [anon_sym_GT] = ACTIONS(7539),
    [anon_sym_BANG] = ACTIONS(7539),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_COLON] = ACTIONS(7539),
    [anon_sym_SQUOTE] = ACTIONS(7539),
    [anon_sym__] = ACTIONS(7541),
    [anon_sym_CARET] = ACTIONS(7541),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7541),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7539),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7541),
    [anon_sym_BSLASHleft] = ACTIONS(7539),
    [anon_sym_BSLASHbigl] = ACTIONS(7539),
    [anon_sym_BSLASHBigl] = ACTIONS(7539),
    [anon_sym_BSLASHbiggl] = ACTIONS(7539),
    [anon_sym_BSLASHBiggl] = ACTIONS(7539),
    [anon_sym_BSLASHtext] = ACTIONS(7539),
    [anon_sym_BSLASHintertext] = ACTIONS(7539),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7539),
    [anon_sym_BSLASHbegin] = ACTIONS(7539),
    [anon_sym_BSLASHtitle] = ACTIONS(7539),
    [anon_sym_BSLASHauthor] = ACTIONS(7539),
    [anon_sym_BSLASHusepackage] = ACTIONS(7539),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7539),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7539),
    [anon_sym_BSLASHinclude] = ACTIONS(7539),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7539),
    [anon_sym_BSLASHinput] = ACTIONS(7539),
    [anon_sym_BSLASHsubfile] = ACTIONS(7539),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7539),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7539),
    [anon_sym_BSLASHbibliography] = ACTIONS(7539),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7539),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7539),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7539),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7539),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7539),
    [anon_sym_BSLASHimport] = ACTIONS(7539),
    [anon_sym_BSLASHsubimport] = ACTIONS(7539),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7539),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7539),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7539),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7539),
    [anon_sym_BSLASHcaption] = ACTIONS(7539),
    [anon_sym_BSLASHcite] = ACTIONS(7539),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCite] = ACTIONS(7539),
    [anon_sym_BSLASHnocite] = ACTIONS(7539),
    [anon_sym_BSLASHcitet] = ACTIONS(7539),
    [anon_sym_BSLASHcitep] = ACTIONS(7539),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteA] = ACTIONS(7539),
    [anon_sym_BSLASHciteR] = ACTIONS(7539),
    [anon_sym_BSLASHciteS] = ACTIONS(7539),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7539),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7539),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7539),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7539),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteyear] = ACTIONS(7539),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitedate] = ACTIONS(7539),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteurl] = ACTIONS(7539),
    [anon_sym_BSLASHfullcite] = ACTIONS(7539),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7539),
    [anon_sym_BSLASHcitealt] = ACTIONS(7539),
    [anon_sym_BSLASHcitealp] = ACTIONS(7539),
    [anon_sym_BSLASHcitetext] = ACTIONS(7539),
    [anon_sym_BSLASHparencite] = ACTIONS(7539),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHParencite] = ACTIONS(7539),
    [anon_sym_BSLASHfootcite] = ACTIONS(7539),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7539),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7539),
    [anon_sym_BSLASHtextcite] = ACTIONS(7539),
    [anon_sym_BSLASHTextcite] = ACTIONS(7539),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7539),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7539),
    [anon_sym_BSLASHsupercite] = ACTIONS(7539),
    [anon_sym_BSLASHautocite] = ACTIONS(7539),
    [anon_sym_BSLASHAutocite] = ACTIONS(7539),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHVolcite] = ACTIONS(7539),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHavolcite] = ACTIONS(7539),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHNotecite] = ACTIONS(7539),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHlabel] = ACTIONS(7539),
    [anon_sym_BSLASHref] = ACTIONS(7539),
    [anon_sym_BSLASHeqref] = ACTIONS(7539),
    [anon_sym_BSLASHvref] = ACTIONS(7539),
    [anon_sym_BSLASHVref] = ACTIONS(7539),
    [anon_sym_BSLASHautoref] = ACTIONS(7539),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHpageref] = ACTIONS(7539),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHautopageref] = ACTIONS(7539),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcref] = ACTIONS(7539),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCref] = ACTIONS(7539),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcpageref] = ACTIONS(7539),
    [anon_sym_BSLASHCpageref] = ACTIONS(7539),
    [anon_sym_BSLASHnamecref] = ACTIONS(7539),
    [anon_sym_BSLASHnameCref] = ACTIONS(7539),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7539),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7539),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7539),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7539),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7539),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7539),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7539),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7539),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7539),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7539),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7539),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHdef] = ACTIONS(7539),
    [anon_sym_BSLASHgdef] = ACTIONS(7539),
    [anon_sym_BSLASHedef] = ACTIONS(7539),
    [anon_sym_BSLASHxdef] = ACTIONS(7539),
    [anon_sym_BSLASHlet] = ACTIONS(7539),
    [anon_sym_BSLASHglet] = ACTIONS(7539),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7539),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7539),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7539),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7539),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7539),
    [anon_sym_BSLASHgls] = ACTIONS(7539),
    [anon_sym_BSLASHGls] = ACTIONS(7539),
    [anon_sym_BSLASHGLS] = ACTIONS(7539),
    [anon_sym_BSLASHglspl] = ACTIONS(7539),
    [anon_sym_BSLASHGlspl] = ACTIONS(7539),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7539),
    [anon_sym_BSLASHglslink] = ACTIONS(7539),
    [anon_sym_BSLASHglstext] = ACTIONS(7539),
    [anon_sym_BSLASHGlstext] = ACTIONS(7539),
    [anon_sym_BSLASHGLStext] = ACTIONS(7539),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7539),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7539),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7539),
    [anon_sym_BSLASHglsplural] = ACTIONS(7539),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7539),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7539),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHglsname] = ACTIONS(7539),
    [anon_sym_BSLASHGlsname] = ACTIONS(7539),
    [anon_sym_BSLASHGLSname] = ACTIONS(7539),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7539),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7539),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7539),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7539),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7539),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7539),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7539),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7539),
    [anon_sym_BSLASHacrshort] = ACTIONS(7539),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7539),
    [anon_sym_BSLASHACRshort] = ACTIONS(7539),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHacrlong] = ACTIONS(7539),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7539),
    [anon_sym_BSLASHACRlong] = ACTIONS(7539),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHacrfull] = ACTIONS(7539),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7539),
    [anon_sym_BSLASHACRfull] = ACTIONS(7539),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHacs] = ACTIONS(7539),
    [anon_sym_BSLASHAcs] = ACTIONS(7539),
    [anon_sym_BSLASHacsp] = ACTIONS(7539),
    [anon_sym_BSLASHAcsp] = ACTIONS(7539),
    [anon_sym_BSLASHacl] = ACTIONS(7539),
    [anon_sym_BSLASHAcl] = ACTIONS(7539),
    [anon_sym_BSLASHaclp] = ACTIONS(7539),
    [anon_sym_BSLASHAclp] = ACTIONS(7539),
    [anon_sym_BSLASHacf] = ACTIONS(7539),
    [anon_sym_BSLASHAcf] = ACTIONS(7539),
    [anon_sym_BSLASHacfp] = ACTIONS(7539),
    [anon_sym_BSLASHAcfp] = ACTIONS(7539),
    [anon_sym_BSLASHac] = ACTIONS(7539),
    [anon_sym_BSLASHAc] = ACTIONS(7539),
    [anon_sym_BSLASHacp] = ACTIONS(7539),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7539),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7539),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7539),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7539),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7539),
    [anon_sym_BSLASHcolor] = ACTIONS(7539),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7539),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7539),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7539),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7539),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7539),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7539),
    [anon_sym_BSLASHurl] = ACTIONS(7539),
    [anon_sym_BSLASHhref] = ACTIONS(7539),
  },
  [1941] = {
    [sym_command_name] = ACTIONS(7235),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7235),
    [anon_sym_LBRACK] = ACTIONS(7237),
    [anon_sym_RBRACK] = ACTIONS(7237),
    [anon_sym_COMMA] = ACTIONS(7237),
    [anon_sym_EQ] = ACTIONS(7237),
    [anon_sym_LPAREN] = ACTIONS(7237),
    [anon_sym_RPAREN] = ACTIONS(7237),
    [anon_sym_LBRACE] = ACTIONS(7237),
    [anon_sym_RBRACE] = ACTIONS(7237),
    [sym_word] = ACTIONS(7235),
    [sym_placeholder] = ACTIONS(7237),
    [sym_delimiter] = ACTIONS(7237),
    [anon_sym_PLUS] = ACTIONS(7237),
    [anon_sym_DASH] = ACTIONS(7237),
    [anon_sym_STAR] = ACTIONS(7237),
    [anon_sym_SLASH] = ACTIONS(7237),
    [anon_sym_LT] = ACTIONS(7235),
    [anon_sym_GT] = ACTIONS(7235),
    [anon_sym_BANG] = ACTIONS(7235),
    [anon_sym_PIPE] = ACTIONS(7235),
    [anon_sym_COLON] = ACTIONS(7235),
    [anon_sym_SQUOTE] = ACTIONS(7235),
    [anon_sym__] = ACTIONS(7237),
    [anon_sym_CARET] = ACTIONS(7237),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7237),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7237),
    [anon_sym_DOLLAR] = ACTIONS(7235),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7237),
    [anon_sym_BSLASHleft] = ACTIONS(7235),
    [anon_sym_BSLASHbigl] = ACTIONS(7235),
    [anon_sym_BSLASHBigl] = ACTIONS(7235),
    [anon_sym_BSLASHbiggl] = ACTIONS(7235),
    [anon_sym_BSLASHBiggl] = ACTIONS(7235),
    [anon_sym_BSLASHtext] = ACTIONS(7235),
    [anon_sym_BSLASHintertext] = ACTIONS(7235),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7235),
    [anon_sym_BSLASHtitle] = ACTIONS(7235),
    [anon_sym_BSLASHauthor] = ACTIONS(7235),
    [anon_sym_BSLASHusepackage] = ACTIONS(7235),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7235),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7235),
    [anon_sym_BSLASHinclude] = ACTIONS(7235),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7235),
    [anon_sym_BSLASHinput] = ACTIONS(7235),
    [anon_sym_BSLASHsubfile] = ACTIONS(7235),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7235),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7235),
    [anon_sym_BSLASHbibliography] = ACTIONS(7235),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7235),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7235),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7235),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7235),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7235),
    [anon_sym_BSLASHimport] = ACTIONS(7235),
    [anon_sym_BSLASHsubimport] = ACTIONS(7235),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7235),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7235),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7235),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7235),
    [anon_sym_BSLASHcaption] = ACTIONS(7235),
    [anon_sym_BSLASHcite] = ACTIONS(7235),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCite] = ACTIONS(7235),
    [anon_sym_BSLASHnocite] = ACTIONS(7235),
    [anon_sym_BSLASHcitet] = ACTIONS(7235),
    [anon_sym_BSLASHcitep] = ACTIONS(7235),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteA] = ACTIONS(7235),
    [anon_sym_BSLASHciteR] = ACTIONS(7235),
    [anon_sym_BSLASHciteS] = ACTIONS(7235),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7235),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7235),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7235),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7235),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteyear] = ACTIONS(7235),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitedate] = ACTIONS(7235),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteurl] = ACTIONS(7235),
    [anon_sym_BSLASHfullcite] = ACTIONS(7235),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7235),
    [anon_sym_BSLASHcitealt] = ACTIONS(7235),
    [anon_sym_BSLASHcitealp] = ACTIONS(7235),
    [anon_sym_BSLASHcitetext] = ACTIONS(7235),
    [anon_sym_BSLASHparencite] = ACTIONS(7235),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHParencite] = ACTIONS(7235),
    [anon_sym_BSLASHfootcite] = ACTIONS(7235),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7235),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7235),
    [anon_sym_BSLASHtextcite] = ACTIONS(7235),
    [anon_sym_BSLASHTextcite] = ACTIONS(7235),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7235),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7235),
    [anon_sym_BSLASHsupercite] = ACTIONS(7235),
    [anon_sym_BSLASHautocite] = ACTIONS(7235),
    [anon_sym_BSLASHAutocite] = ACTIONS(7235),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHVolcite] = ACTIONS(7235),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHavolcite] = ACTIONS(7235),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHNotecite] = ACTIONS(7235),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHlabel] = ACTIONS(7235),
    [anon_sym_BSLASHref] = ACTIONS(7235),
    [anon_sym_BSLASHeqref] = ACTIONS(7235),
    [anon_sym_BSLASHvref] = ACTIONS(7235),
    [anon_sym_BSLASHVref] = ACTIONS(7235),
    [anon_sym_BSLASHautoref] = ACTIONS(7235),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHpageref] = ACTIONS(7235),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHautopageref] = ACTIONS(7235),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcref] = ACTIONS(7235),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCref] = ACTIONS(7235),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcpageref] = ACTIONS(7235),
    [anon_sym_BSLASHCpageref] = ACTIONS(7235),
    [anon_sym_BSLASHnamecref] = ACTIONS(7235),
    [anon_sym_BSLASHnameCref] = ACTIONS(7235),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7235),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7235),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7235),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7235),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7235),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7235),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7235),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7235),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7235),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7235),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7235),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHdef] = ACTIONS(7235),
    [anon_sym_BSLASHgdef] = ACTIONS(7235),
    [anon_sym_BSLASHedef] = ACTIONS(7235),
    [anon_sym_BSLASHxdef] = ACTIONS(7235),
    [anon_sym_BSLASHlet] = ACTIONS(7235),
    [anon_sym_BSLASHglet] = ACTIONS(7235),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7235),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7235),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7235),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7235),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7235),
    [anon_sym_BSLASHgls] = ACTIONS(7235),
    [anon_sym_BSLASHGls] = ACTIONS(7235),
    [anon_sym_BSLASHGLS] = ACTIONS(7235),
    [anon_sym_BSLASHglspl] = ACTIONS(7235),
    [anon_sym_BSLASHGlspl] = ACTIONS(7235),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7235),
    [anon_sym_BSLASHglslink] = ACTIONS(7235),
    [anon_sym_BSLASHglstext] = ACTIONS(7235),
    [anon_sym_BSLASHGlstext] = ACTIONS(7235),
    [anon_sym_BSLASHGLStext] = ACTIONS(7235),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7235),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7235),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7235),
    [anon_sym_BSLASHglsplural] = ACTIONS(7235),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7235),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7235),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHglsname] = ACTIONS(7235),
    [anon_sym_BSLASHGlsname] = ACTIONS(7235),
    [anon_sym_BSLASHGLSname] = ACTIONS(7235),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7235),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7235),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7235),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7235),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7235),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7235),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7235),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7235),
    [anon_sym_BSLASHacrshort] = ACTIONS(7235),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7235),
    [anon_sym_BSLASHACRshort] = ACTIONS(7235),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHacrlong] = ACTIONS(7235),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7235),
    [anon_sym_BSLASHACRlong] = ACTIONS(7235),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHacrfull] = ACTIONS(7235),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7235),
    [anon_sym_BSLASHACRfull] = ACTIONS(7235),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHacs] = ACTIONS(7235),
    [anon_sym_BSLASHAcs] = ACTIONS(7235),
    [anon_sym_BSLASHacsp] = ACTIONS(7235),
    [anon_sym_BSLASHAcsp] = ACTIONS(7235),
    [anon_sym_BSLASHacl] = ACTIONS(7235),
    [anon_sym_BSLASHAcl] = ACTIONS(7235),
    [anon_sym_BSLASHaclp] = ACTIONS(7235),
    [anon_sym_BSLASHAclp] = ACTIONS(7235),
    [anon_sym_BSLASHacf] = ACTIONS(7235),
    [anon_sym_BSLASHAcf] = ACTIONS(7235),
    [anon_sym_BSLASHacfp] = ACTIONS(7235),
    [anon_sym_BSLASHAcfp] = ACTIONS(7235),
    [anon_sym_BSLASHac] = ACTIONS(7235),
    [anon_sym_BSLASHAc] = ACTIONS(7235),
    [anon_sym_BSLASHacp] = ACTIONS(7235),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7235),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7235),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7235),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7235),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7235),
    [anon_sym_BSLASHcolor] = ACTIONS(7235),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7235),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7235),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7235),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7235),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7235),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7235),
    [anon_sym_BSLASHurl] = ACTIONS(7235),
    [anon_sym_BSLASHhref] = ACTIONS(7235),
  },
  [1942] = {
    [sym_command_name] = ACTIONS(7543),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(7545),
    [anon_sym_RBRACK] = ACTIONS(7545),
    [anon_sym_COMMA] = ACTIONS(7545),
    [anon_sym_EQ] = ACTIONS(7545),
    [anon_sym_LPAREN] = ACTIONS(7545),
    [anon_sym_RPAREN] = ACTIONS(7545),
    [anon_sym_LBRACE] = ACTIONS(7545),
    [sym_word] = ACTIONS(7543),
    [sym_placeholder] = ACTIONS(7545),
    [sym_delimiter] = ACTIONS(7545),
    [anon_sym_PLUS] = ACTIONS(7545),
    [anon_sym_DASH] = ACTIONS(7545),
    [anon_sym_STAR] = ACTIONS(7545),
    [anon_sym_SLASH] = ACTIONS(7545),
    [anon_sym_LT] = ACTIONS(7543),
    [anon_sym_GT] = ACTIONS(7543),
    [anon_sym_BANG] = ACTIONS(7543),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_COLON] = ACTIONS(7543),
    [anon_sym_SQUOTE] = ACTIONS(7543),
    [anon_sym__] = ACTIONS(7545),
    [anon_sym_CARET] = ACTIONS(7545),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7545),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7545),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7545),
    [anon_sym_BSLASHleft] = ACTIONS(7543),
    [anon_sym_BSLASHbigl] = ACTIONS(7543),
    [anon_sym_BSLASHBigl] = ACTIONS(7543),
    [anon_sym_BSLASHbiggl] = ACTIONS(7543),
    [anon_sym_BSLASHBiggl] = ACTIONS(7543),
    [anon_sym_BSLASHtext] = ACTIONS(7543),
    [anon_sym_BSLASHintertext] = ACTIONS(7543),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7543),
    [anon_sym_BSLASHbegin] = ACTIONS(7543),
    [anon_sym_BSLASHtitle] = ACTIONS(7543),
    [anon_sym_BSLASHauthor] = ACTIONS(7543),
    [anon_sym_BSLASHusepackage] = ACTIONS(7543),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7543),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7543),
    [anon_sym_BSLASHinclude] = ACTIONS(7543),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7543),
    [anon_sym_BSLASHinput] = ACTIONS(7543),
    [anon_sym_BSLASHsubfile] = ACTIONS(7543),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7543),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7543),
    [anon_sym_BSLASHbibliography] = ACTIONS(7543),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7543),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7543),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7543),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7543),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7543),
    [anon_sym_BSLASHimport] = ACTIONS(7543),
    [anon_sym_BSLASHsubimport] = ACTIONS(7543),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7543),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7543),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7543),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7543),
    [anon_sym_BSLASHcaption] = ACTIONS(7543),
    [anon_sym_BSLASHcite] = ACTIONS(7543),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCite] = ACTIONS(7543),
    [anon_sym_BSLASHnocite] = ACTIONS(7543),
    [anon_sym_BSLASHcitet] = ACTIONS(7543),
    [anon_sym_BSLASHcitep] = ACTIONS(7543),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteA] = ACTIONS(7543),
    [anon_sym_BSLASHciteR] = ACTIONS(7543),
    [anon_sym_BSLASHciteS] = ACTIONS(7543),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7543),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7543),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7543),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7543),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteyear] = ACTIONS(7543),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitedate] = ACTIONS(7543),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteurl] = ACTIONS(7543),
    [anon_sym_BSLASHfullcite] = ACTIONS(7543),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7543),
    [anon_sym_BSLASHcitealt] = ACTIONS(7543),
    [anon_sym_BSLASHcitealp] = ACTIONS(7543),
    [anon_sym_BSLASHcitetext] = ACTIONS(7543),
    [anon_sym_BSLASHparencite] = ACTIONS(7543),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHParencite] = ACTIONS(7543),
    [anon_sym_BSLASHfootcite] = ACTIONS(7543),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7543),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7543),
    [anon_sym_BSLASHtextcite] = ACTIONS(7543),
    [anon_sym_BSLASHTextcite] = ACTIONS(7543),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7543),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7543),
    [anon_sym_BSLASHsupercite] = ACTIONS(7543),
    [anon_sym_BSLASHautocite] = ACTIONS(7543),
    [anon_sym_BSLASHAutocite] = ACTIONS(7543),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHVolcite] = ACTIONS(7543),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHavolcite] = ACTIONS(7543),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHNotecite] = ACTIONS(7543),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHlabel] = ACTIONS(7543),
    [anon_sym_BSLASHref] = ACTIONS(7543),
    [anon_sym_BSLASHeqref] = ACTIONS(7543),
    [anon_sym_BSLASHvref] = ACTIONS(7543),
    [anon_sym_BSLASHVref] = ACTIONS(7543),
    [anon_sym_BSLASHautoref] = ACTIONS(7543),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHpageref] = ACTIONS(7543),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHautopageref] = ACTIONS(7543),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcref] = ACTIONS(7543),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCref] = ACTIONS(7543),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcpageref] = ACTIONS(7543),
    [anon_sym_BSLASHCpageref] = ACTIONS(7543),
    [anon_sym_BSLASHnamecref] = ACTIONS(7543),
    [anon_sym_BSLASHnameCref] = ACTIONS(7543),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7543),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7543),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7543),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7543),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7543),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7543),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7543),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7543),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7543),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7543),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7543),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHdef] = ACTIONS(7543),
    [anon_sym_BSLASHgdef] = ACTIONS(7543),
    [anon_sym_BSLASHedef] = ACTIONS(7543),
    [anon_sym_BSLASHxdef] = ACTIONS(7543),
    [anon_sym_BSLASHlet] = ACTIONS(7543),
    [anon_sym_BSLASHglet] = ACTIONS(7543),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7543),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7543),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7543),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7543),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7543),
    [anon_sym_BSLASHgls] = ACTIONS(7543),
    [anon_sym_BSLASHGls] = ACTIONS(7543),
    [anon_sym_BSLASHGLS] = ACTIONS(7543),
    [anon_sym_BSLASHglspl] = ACTIONS(7543),
    [anon_sym_BSLASHGlspl] = ACTIONS(7543),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7543),
    [anon_sym_BSLASHglslink] = ACTIONS(7543),
    [anon_sym_BSLASHglstext] = ACTIONS(7543),
    [anon_sym_BSLASHGlstext] = ACTIONS(7543),
    [anon_sym_BSLASHGLStext] = ACTIONS(7543),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7543),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7543),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7543),
    [anon_sym_BSLASHglsplural] = ACTIONS(7543),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7543),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7543),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHglsname] = ACTIONS(7543),
    [anon_sym_BSLASHGlsname] = ACTIONS(7543),
    [anon_sym_BSLASHGLSname] = ACTIONS(7543),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7543),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7543),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7543),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7543),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7543),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7543),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7543),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7543),
    [anon_sym_BSLASHacrshort] = ACTIONS(7543),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7543),
    [anon_sym_BSLASHACRshort] = ACTIONS(7543),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHacrlong] = ACTIONS(7543),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7543),
    [anon_sym_BSLASHACRlong] = ACTIONS(7543),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHacrfull] = ACTIONS(7543),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7543),
    [anon_sym_BSLASHACRfull] = ACTIONS(7543),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHacs] = ACTIONS(7543),
    [anon_sym_BSLASHAcs] = ACTIONS(7543),
    [anon_sym_BSLASHacsp] = ACTIONS(7543),
    [anon_sym_BSLASHAcsp] = ACTIONS(7543),
    [anon_sym_BSLASHacl] = ACTIONS(7543),
    [anon_sym_BSLASHAcl] = ACTIONS(7543),
    [anon_sym_BSLASHaclp] = ACTIONS(7543),
    [anon_sym_BSLASHAclp] = ACTIONS(7543),
    [anon_sym_BSLASHacf] = ACTIONS(7543),
    [anon_sym_BSLASHAcf] = ACTIONS(7543),
    [anon_sym_BSLASHacfp] = ACTIONS(7543),
    [anon_sym_BSLASHAcfp] = ACTIONS(7543),
    [anon_sym_BSLASHac] = ACTIONS(7543),
    [anon_sym_BSLASHAc] = ACTIONS(7543),
    [anon_sym_BSLASHacp] = ACTIONS(7543),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7543),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7543),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7543),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7543),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7543),
    [anon_sym_BSLASHcolor] = ACTIONS(7543),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7543),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7543),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7543),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7543),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7543),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7543),
    [anon_sym_BSLASHurl] = ACTIONS(7543),
    [anon_sym_BSLASHhref] = ACTIONS(7543),
  },
  [1943] = {
    [sym_command_name] = ACTIONS(7239),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7239),
    [anon_sym_LBRACK] = ACTIONS(7241),
    [anon_sym_RBRACK] = ACTIONS(7241),
    [anon_sym_COMMA] = ACTIONS(7241),
    [anon_sym_EQ] = ACTIONS(7241),
    [anon_sym_LPAREN] = ACTIONS(7241),
    [anon_sym_RPAREN] = ACTIONS(7241),
    [anon_sym_LBRACE] = ACTIONS(7241),
    [anon_sym_RBRACE] = ACTIONS(7241),
    [sym_word] = ACTIONS(7239),
    [sym_placeholder] = ACTIONS(7241),
    [sym_delimiter] = ACTIONS(7241),
    [anon_sym_PLUS] = ACTIONS(7241),
    [anon_sym_DASH] = ACTIONS(7241),
    [anon_sym_STAR] = ACTIONS(7241),
    [anon_sym_SLASH] = ACTIONS(7241),
    [anon_sym_LT] = ACTIONS(7239),
    [anon_sym_GT] = ACTIONS(7239),
    [anon_sym_BANG] = ACTIONS(7239),
    [anon_sym_PIPE] = ACTIONS(7239),
    [anon_sym_COLON] = ACTIONS(7239),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym__] = ACTIONS(7241),
    [anon_sym_CARET] = ACTIONS(7241),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7241),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7241),
    [anon_sym_DOLLAR] = ACTIONS(7239),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7241),
    [anon_sym_BSLASHleft] = ACTIONS(7239),
    [anon_sym_BSLASHbigl] = ACTIONS(7239),
    [anon_sym_BSLASHBigl] = ACTIONS(7239),
    [anon_sym_BSLASHbiggl] = ACTIONS(7239),
    [anon_sym_BSLASHBiggl] = ACTIONS(7239),
    [anon_sym_BSLASHtext] = ACTIONS(7239),
    [anon_sym_BSLASHintertext] = ACTIONS(7239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7239),
    [anon_sym_BSLASHtitle] = ACTIONS(7239),
    [anon_sym_BSLASHauthor] = ACTIONS(7239),
    [anon_sym_BSLASHusepackage] = ACTIONS(7239),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7239),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7239),
    [anon_sym_BSLASHinclude] = ACTIONS(7239),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7239),
    [anon_sym_BSLASHinput] = ACTIONS(7239),
    [anon_sym_BSLASHsubfile] = ACTIONS(7239),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7239),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7239),
    [anon_sym_BSLASHbibliography] = ACTIONS(7239),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7239),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7239),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7239),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7239),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7239),
    [anon_sym_BSLASHimport] = ACTIONS(7239),
    [anon_sym_BSLASHsubimport] = ACTIONS(7239),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7239),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7239),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7239),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7239),
    [anon_sym_BSLASHcaption] = ACTIONS(7239),
    [anon_sym_BSLASHcite] = ACTIONS(7239),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCite] = ACTIONS(7239),
    [anon_sym_BSLASHnocite] = ACTIONS(7239),
    [anon_sym_BSLASHcitet] = ACTIONS(7239),
    [anon_sym_BSLASHcitep] = ACTIONS(7239),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteA] = ACTIONS(7239),
    [anon_sym_BSLASHciteR] = ACTIONS(7239),
    [anon_sym_BSLASHciteS] = ACTIONS(7239),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7239),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7239),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7239),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7239),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteyear] = ACTIONS(7239),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitedate] = ACTIONS(7239),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteurl] = ACTIONS(7239),
    [anon_sym_BSLASHfullcite] = ACTIONS(7239),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7239),
    [anon_sym_BSLASHcitealt] = ACTIONS(7239),
    [anon_sym_BSLASHcitealp] = ACTIONS(7239),
    [anon_sym_BSLASHcitetext] = ACTIONS(7239),
    [anon_sym_BSLASHparencite] = ACTIONS(7239),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHParencite] = ACTIONS(7239),
    [anon_sym_BSLASHfootcite] = ACTIONS(7239),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7239),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7239),
    [anon_sym_BSLASHtextcite] = ACTIONS(7239),
    [anon_sym_BSLASHTextcite] = ACTIONS(7239),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7239),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7239),
    [anon_sym_BSLASHsupercite] = ACTIONS(7239),
    [anon_sym_BSLASHautocite] = ACTIONS(7239),
    [anon_sym_BSLASHAutocite] = ACTIONS(7239),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHVolcite] = ACTIONS(7239),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHavolcite] = ACTIONS(7239),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHNotecite] = ACTIONS(7239),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHlabel] = ACTIONS(7239),
    [anon_sym_BSLASHref] = ACTIONS(7239),
    [anon_sym_BSLASHeqref] = ACTIONS(7239),
    [anon_sym_BSLASHvref] = ACTIONS(7239),
    [anon_sym_BSLASHVref] = ACTIONS(7239),
    [anon_sym_BSLASHautoref] = ACTIONS(7239),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHpageref] = ACTIONS(7239),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHautopageref] = ACTIONS(7239),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcref] = ACTIONS(7239),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCref] = ACTIONS(7239),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcpageref] = ACTIONS(7239),
    [anon_sym_BSLASHCpageref] = ACTIONS(7239),
    [anon_sym_BSLASHnamecref] = ACTIONS(7239),
    [anon_sym_BSLASHnameCref] = ACTIONS(7239),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7239),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7239),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7239),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7239),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7239),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7239),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7239),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7239),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7239),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7239),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7239),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHdef] = ACTIONS(7239),
    [anon_sym_BSLASHgdef] = ACTIONS(7239),
    [anon_sym_BSLASHedef] = ACTIONS(7239),
    [anon_sym_BSLASHxdef] = ACTIONS(7239),
    [anon_sym_BSLASHlet] = ACTIONS(7239),
    [anon_sym_BSLASHglet] = ACTIONS(7239),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7239),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7239),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7239),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7239),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7239),
    [anon_sym_BSLASHgls] = ACTIONS(7239),
    [anon_sym_BSLASHGls] = ACTIONS(7239),
    [anon_sym_BSLASHGLS] = ACTIONS(7239),
    [anon_sym_BSLASHglspl] = ACTIONS(7239),
    [anon_sym_BSLASHGlspl] = ACTIONS(7239),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7239),
    [anon_sym_BSLASHglslink] = ACTIONS(7239),
    [anon_sym_BSLASHglstext] = ACTIONS(7239),
    [anon_sym_BSLASHGlstext] = ACTIONS(7239),
    [anon_sym_BSLASHGLStext] = ACTIONS(7239),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7239),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7239),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7239),
    [anon_sym_BSLASHglsplural] = ACTIONS(7239),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7239),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7239),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHglsname] = ACTIONS(7239),
    [anon_sym_BSLASHGlsname] = ACTIONS(7239),
    [anon_sym_BSLASHGLSname] = ACTIONS(7239),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7239),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7239),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7239),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7239),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7239),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7239),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7239),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7239),
    [anon_sym_BSLASHacrshort] = ACTIONS(7239),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7239),
    [anon_sym_BSLASHACRshort] = ACTIONS(7239),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHacrlong] = ACTIONS(7239),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7239),
    [anon_sym_BSLASHACRlong] = ACTIONS(7239),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHacrfull] = ACTIONS(7239),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7239),
    [anon_sym_BSLASHACRfull] = ACTIONS(7239),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHacs] = ACTIONS(7239),
    [anon_sym_BSLASHAcs] = ACTIONS(7239),
    [anon_sym_BSLASHacsp] = ACTIONS(7239),
    [anon_sym_BSLASHAcsp] = ACTIONS(7239),
    [anon_sym_BSLASHacl] = ACTIONS(7239),
    [anon_sym_BSLASHAcl] = ACTIONS(7239),
    [anon_sym_BSLASHaclp] = ACTIONS(7239),
    [anon_sym_BSLASHAclp] = ACTIONS(7239),
    [anon_sym_BSLASHacf] = ACTIONS(7239),
    [anon_sym_BSLASHAcf] = ACTIONS(7239),
    [anon_sym_BSLASHacfp] = ACTIONS(7239),
    [anon_sym_BSLASHAcfp] = ACTIONS(7239),
    [anon_sym_BSLASHac] = ACTIONS(7239),
    [anon_sym_BSLASHAc] = ACTIONS(7239),
    [anon_sym_BSLASHacp] = ACTIONS(7239),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7239),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7239),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7239),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7239),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7239),
    [anon_sym_BSLASHcolor] = ACTIONS(7239),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7239),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7239),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7239),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7239),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7239),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7239),
    [anon_sym_BSLASHurl] = ACTIONS(7239),
    [anon_sym_BSLASHhref] = ACTIONS(7239),
  },
  [1944] = {
    [sym_command_name] = ACTIONS(7243),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7243),
    [anon_sym_LBRACK] = ACTIONS(7245),
    [anon_sym_RBRACK] = ACTIONS(7245),
    [anon_sym_COMMA] = ACTIONS(7245),
    [anon_sym_EQ] = ACTIONS(7245),
    [anon_sym_LPAREN] = ACTIONS(7245),
    [anon_sym_RPAREN] = ACTIONS(7245),
    [anon_sym_LBRACE] = ACTIONS(7245),
    [anon_sym_RBRACE] = ACTIONS(7245),
    [sym_word] = ACTIONS(7243),
    [sym_placeholder] = ACTIONS(7245),
    [sym_delimiter] = ACTIONS(7245),
    [anon_sym_PLUS] = ACTIONS(7245),
    [anon_sym_DASH] = ACTIONS(7245),
    [anon_sym_STAR] = ACTIONS(7245),
    [anon_sym_SLASH] = ACTIONS(7245),
    [anon_sym_LT] = ACTIONS(7243),
    [anon_sym_GT] = ACTIONS(7243),
    [anon_sym_BANG] = ACTIONS(7243),
    [anon_sym_PIPE] = ACTIONS(7243),
    [anon_sym_COLON] = ACTIONS(7243),
    [anon_sym_SQUOTE] = ACTIONS(7243),
    [anon_sym__] = ACTIONS(7245),
    [anon_sym_CARET] = ACTIONS(7245),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7245),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7245),
    [anon_sym_DOLLAR] = ACTIONS(7243),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7245),
    [anon_sym_BSLASHleft] = ACTIONS(7243),
    [anon_sym_BSLASHbigl] = ACTIONS(7243),
    [anon_sym_BSLASHBigl] = ACTIONS(7243),
    [anon_sym_BSLASHbiggl] = ACTIONS(7243),
    [anon_sym_BSLASHBiggl] = ACTIONS(7243),
    [anon_sym_BSLASHtext] = ACTIONS(7243),
    [anon_sym_BSLASHintertext] = ACTIONS(7243),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7243),
    [anon_sym_BSLASHtitle] = ACTIONS(7243),
    [anon_sym_BSLASHauthor] = ACTIONS(7243),
    [anon_sym_BSLASHusepackage] = ACTIONS(7243),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7243),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7243),
    [anon_sym_BSLASHinclude] = ACTIONS(7243),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7243),
    [anon_sym_BSLASHinput] = ACTIONS(7243),
    [anon_sym_BSLASHsubfile] = ACTIONS(7243),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7243),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7243),
    [anon_sym_BSLASHbibliography] = ACTIONS(7243),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7243),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7243),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7243),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7243),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7243),
    [anon_sym_BSLASHimport] = ACTIONS(7243),
    [anon_sym_BSLASHsubimport] = ACTIONS(7243),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7243),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7243),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7243),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7243),
    [anon_sym_BSLASHcaption] = ACTIONS(7243),
    [anon_sym_BSLASHcite] = ACTIONS(7243),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCite] = ACTIONS(7243),
    [anon_sym_BSLASHnocite] = ACTIONS(7243),
    [anon_sym_BSLASHcitet] = ACTIONS(7243),
    [anon_sym_BSLASHcitep] = ACTIONS(7243),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteA] = ACTIONS(7243),
    [anon_sym_BSLASHciteR] = ACTIONS(7243),
    [anon_sym_BSLASHciteS] = ACTIONS(7243),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7243),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7243),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7243),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7243),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteyear] = ACTIONS(7243),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitedate] = ACTIONS(7243),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteurl] = ACTIONS(7243),
    [anon_sym_BSLASHfullcite] = ACTIONS(7243),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7243),
    [anon_sym_BSLASHcitealt] = ACTIONS(7243),
    [anon_sym_BSLASHcitealp] = ACTIONS(7243),
    [anon_sym_BSLASHcitetext] = ACTIONS(7243),
    [anon_sym_BSLASHparencite] = ACTIONS(7243),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHParencite] = ACTIONS(7243),
    [anon_sym_BSLASHfootcite] = ACTIONS(7243),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7243),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7243),
    [anon_sym_BSLASHtextcite] = ACTIONS(7243),
    [anon_sym_BSLASHTextcite] = ACTIONS(7243),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7243),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7243),
    [anon_sym_BSLASHsupercite] = ACTIONS(7243),
    [anon_sym_BSLASHautocite] = ACTIONS(7243),
    [anon_sym_BSLASHAutocite] = ACTIONS(7243),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHVolcite] = ACTIONS(7243),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHavolcite] = ACTIONS(7243),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHNotecite] = ACTIONS(7243),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHlabel] = ACTIONS(7243),
    [anon_sym_BSLASHref] = ACTIONS(7243),
    [anon_sym_BSLASHeqref] = ACTIONS(7243),
    [anon_sym_BSLASHvref] = ACTIONS(7243),
    [anon_sym_BSLASHVref] = ACTIONS(7243),
    [anon_sym_BSLASHautoref] = ACTIONS(7243),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHpageref] = ACTIONS(7243),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHautopageref] = ACTIONS(7243),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcref] = ACTIONS(7243),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCref] = ACTIONS(7243),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcpageref] = ACTIONS(7243),
    [anon_sym_BSLASHCpageref] = ACTIONS(7243),
    [anon_sym_BSLASHnamecref] = ACTIONS(7243),
    [anon_sym_BSLASHnameCref] = ACTIONS(7243),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7243),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7243),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7243),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7243),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7243),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7243),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7243),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7243),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7243),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7243),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7243),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHdef] = ACTIONS(7243),
    [anon_sym_BSLASHgdef] = ACTIONS(7243),
    [anon_sym_BSLASHedef] = ACTIONS(7243),
    [anon_sym_BSLASHxdef] = ACTIONS(7243),
    [anon_sym_BSLASHlet] = ACTIONS(7243),
    [anon_sym_BSLASHglet] = ACTIONS(7243),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7243),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7243),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7243),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7243),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7243),
    [anon_sym_BSLASHgls] = ACTIONS(7243),
    [anon_sym_BSLASHGls] = ACTIONS(7243),
    [anon_sym_BSLASHGLS] = ACTIONS(7243),
    [anon_sym_BSLASHglspl] = ACTIONS(7243),
    [anon_sym_BSLASHGlspl] = ACTIONS(7243),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7243),
    [anon_sym_BSLASHglslink] = ACTIONS(7243),
    [anon_sym_BSLASHglstext] = ACTIONS(7243),
    [anon_sym_BSLASHGlstext] = ACTIONS(7243),
    [anon_sym_BSLASHGLStext] = ACTIONS(7243),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7243),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7243),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7243),
    [anon_sym_BSLASHglsplural] = ACTIONS(7243),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7243),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7243),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHglsname] = ACTIONS(7243),
    [anon_sym_BSLASHGlsname] = ACTIONS(7243),
    [anon_sym_BSLASHGLSname] = ACTIONS(7243),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7243),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7243),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7243),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7243),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7243),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7243),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7243),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7243),
    [anon_sym_BSLASHacrshort] = ACTIONS(7243),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7243),
    [anon_sym_BSLASHACRshort] = ACTIONS(7243),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHacrlong] = ACTIONS(7243),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7243),
    [anon_sym_BSLASHACRlong] = ACTIONS(7243),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHacrfull] = ACTIONS(7243),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7243),
    [anon_sym_BSLASHACRfull] = ACTIONS(7243),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHacs] = ACTIONS(7243),
    [anon_sym_BSLASHAcs] = ACTIONS(7243),
    [anon_sym_BSLASHacsp] = ACTIONS(7243),
    [anon_sym_BSLASHAcsp] = ACTIONS(7243),
    [anon_sym_BSLASHacl] = ACTIONS(7243),
    [anon_sym_BSLASHAcl] = ACTIONS(7243),
    [anon_sym_BSLASHaclp] = ACTIONS(7243),
    [anon_sym_BSLASHAclp] = ACTIONS(7243),
    [anon_sym_BSLASHacf] = ACTIONS(7243),
    [anon_sym_BSLASHAcf] = ACTIONS(7243),
    [anon_sym_BSLASHacfp] = ACTIONS(7243),
    [anon_sym_BSLASHAcfp] = ACTIONS(7243),
    [anon_sym_BSLASHac] = ACTIONS(7243),
    [anon_sym_BSLASHAc] = ACTIONS(7243),
    [anon_sym_BSLASHacp] = ACTIONS(7243),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7243),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7243),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7243),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7243),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7243),
    [anon_sym_BSLASHcolor] = ACTIONS(7243),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7243),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7243),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7243),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7243),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7243),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7243),
    [anon_sym_BSLASHurl] = ACTIONS(7243),
    [anon_sym_BSLASHhref] = ACTIONS(7243),
  },
  [1945] = {
    [sym_command_name] = ACTIONS(7247),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7247),
    [anon_sym_LBRACK] = ACTIONS(7249),
    [anon_sym_RBRACK] = ACTIONS(7249),
    [anon_sym_COMMA] = ACTIONS(7249),
    [anon_sym_EQ] = ACTIONS(7249),
    [anon_sym_LPAREN] = ACTIONS(7249),
    [anon_sym_RPAREN] = ACTIONS(7249),
    [anon_sym_LBRACE] = ACTIONS(7249),
    [anon_sym_RBRACE] = ACTIONS(7249),
    [sym_word] = ACTIONS(7247),
    [sym_placeholder] = ACTIONS(7249),
    [sym_delimiter] = ACTIONS(7249),
    [anon_sym_PLUS] = ACTIONS(7249),
    [anon_sym_DASH] = ACTIONS(7249),
    [anon_sym_STAR] = ACTIONS(7249),
    [anon_sym_SLASH] = ACTIONS(7249),
    [anon_sym_LT] = ACTIONS(7247),
    [anon_sym_GT] = ACTIONS(7247),
    [anon_sym_BANG] = ACTIONS(7247),
    [anon_sym_PIPE] = ACTIONS(7247),
    [anon_sym_COLON] = ACTIONS(7247),
    [anon_sym_SQUOTE] = ACTIONS(7247),
    [anon_sym__] = ACTIONS(7249),
    [anon_sym_CARET] = ACTIONS(7249),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7249),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7249),
    [anon_sym_DOLLAR] = ACTIONS(7247),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7249),
    [anon_sym_BSLASHleft] = ACTIONS(7247),
    [anon_sym_BSLASHbigl] = ACTIONS(7247),
    [anon_sym_BSLASHBigl] = ACTIONS(7247),
    [anon_sym_BSLASHbiggl] = ACTIONS(7247),
    [anon_sym_BSLASHBiggl] = ACTIONS(7247),
    [anon_sym_BSLASHtext] = ACTIONS(7247),
    [anon_sym_BSLASHintertext] = ACTIONS(7247),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7247),
    [anon_sym_BSLASHtitle] = ACTIONS(7247),
    [anon_sym_BSLASHauthor] = ACTIONS(7247),
    [anon_sym_BSLASHusepackage] = ACTIONS(7247),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7247),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7247),
    [anon_sym_BSLASHinclude] = ACTIONS(7247),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7247),
    [anon_sym_BSLASHinput] = ACTIONS(7247),
    [anon_sym_BSLASHsubfile] = ACTIONS(7247),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7247),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7247),
    [anon_sym_BSLASHbibliography] = ACTIONS(7247),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7247),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7247),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7247),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7247),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7247),
    [anon_sym_BSLASHimport] = ACTIONS(7247),
    [anon_sym_BSLASHsubimport] = ACTIONS(7247),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7247),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7247),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7247),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7247),
    [anon_sym_BSLASHcaption] = ACTIONS(7247),
    [anon_sym_BSLASHcite] = ACTIONS(7247),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCite] = ACTIONS(7247),
    [anon_sym_BSLASHnocite] = ACTIONS(7247),
    [anon_sym_BSLASHcitet] = ACTIONS(7247),
    [anon_sym_BSLASHcitep] = ACTIONS(7247),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteA] = ACTIONS(7247),
    [anon_sym_BSLASHciteR] = ACTIONS(7247),
    [anon_sym_BSLASHciteS] = ACTIONS(7247),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7247),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7247),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7247),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7247),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteyear] = ACTIONS(7247),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitedate] = ACTIONS(7247),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteurl] = ACTIONS(7247),
    [anon_sym_BSLASHfullcite] = ACTIONS(7247),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7247),
    [anon_sym_BSLASHcitealt] = ACTIONS(7247),
    [anon_sym_BSLASHcitealp] = ACTIONS(7247),
    [anon_sym_BSLASHcitetext] = ACTIONS(7247),
    [anon_sym_BSLASHparencite] = ACTIONS(7247),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHParencite] = ACTIONS(7247),
    [anon_sym_BSLASHfootcite] = ACTIONS(7247),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7247),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7247),
    [anon_sym_BSLASHtextcite] = ACTIONS(7247),
    [anon_sym_BSLASHTextcite] = ACTIONS(7247),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7247),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7247),
    [anon_sym_BSLASHsupercite] = ACTIONS(7247),
    [anon_sym_BSLASHautocite] = ACTIONS(7247),
    [anon_sym_BSLASHAutocite] = ACTIONS(7247),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHVolcite] = ACTIONS(7247),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHavolcite] = ACTIONS(7247),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHNotecite] = ACTIONS(7247),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHlabel] = ACTIONS(7247),
    [anon_sym_BSLASHref] = ACTIONS(7247),
    [anon_sym_BSLASHeqref] = ACTIONS(7247),
    [anon_sym_BSLASHvref] = ACTIONS(7247),
    [anon_sym_BSLASHVref] = ACTIONS(7247),
    [anon_sym_BSLASHautoref] = ACTIONS(7247),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHpageref] = ACTIONS(7247),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHautopageref] = ACTIONS(7247),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcref] = ACTIONS(7247),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCref] = ACTIONS(7247),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcpageref] = ACTIONS(7247),
    [anon_sym_BSLASHCpageref] = ACTIONS(7247),
    [anon_sym_BSLASHnamecref] = ACTIONS(7247),
    [anon_sym_BSLASHnameCref] = ACTIONS(7247),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7247),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7247),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7247),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7247),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7247),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7247),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7247),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7247),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7247),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7247),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7247),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHdef] = ACTIONS(7247),
    [anon_sym_BSLASHgdef] = ACTIONS(7247),
    [anon_sym_BSLASHedef] = ACTIONS(7247),
    [anon_sym_BSLASHxdef] = ACTIONS(7247),
    [anon_sym_BSLASHlet] = ACTIONS(7247),
    [anon_sym_BSLASHglet] = ACTIONS(7247),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7247),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7247),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7247),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7247),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7247),
    [anon_sym_BSLASHgls] = ACTIONS(7247),
    [anon_sym_BSLASHGls] = ACTIONS(7247),
    [anon_sym_BSLASHGLS] = ACTIONS(7247),
    [anon_sym_BSLASHglspl] = ACTIONS(7247),
    [anon_sym_BSLASHGlspl] = ACTIONS(7247),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7247),
    [anon_sym_BSLASHglslink] = ACTIONS(7247),
    [anon_sym_BSLASHglstext] = ACTIONS(7247),
    [anon_sym_BSLASHGlstext] = ACTIONS(7247),
    [anon_sym_BSLASHGLStext] = ACTIONS(7247),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7247),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7247),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7247),
    [anon_sym_BSLASHglsplural] = ACTIONS(7247),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7247),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7247),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHglsname] = ACTIONS(7247),
    [anon_sym_BSLASHGlsname] = ACTIONS(7247),
    [anon_sym_BSLASHGLSname] = ACTIONS(7247),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7247),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7247),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7247),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7247),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7247),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7247),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7247),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7247),
    [anon_sym_BSLASHacrshort] = ACTIONS(7247),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7247),
    [anon_sym_BSLASHACRshort] = ACTIONS(7247),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHacrlong] = ACTIONS(7247),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7247),
    [anon_sym_BSLASHACRlong] = ACTIONS(7247),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHacrfull] = ACTIONS(7247),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7247),
    [anon_sym_BSLASHACRfull] = ACTIONS(7247),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHacs] = ACTIONS(7247),
    [anon_sym_BSLASHAcs] = ACTIONS(7247),
    [anon_sym_BSLASHacsp] = ACTIONS(7247),
    [anon_sym_BSLASHAcsp] = ACTIONS(7247),
    [anon_sym_BSLASHacl] = ACTIONS(7247),
    [anon_sym_BSLASHAcl] = ACTIONS(7247),
    [anon_sym_BSLASHaclp] = ACTIONS(7247),
    [anon_sym_BSLASHAclp] = ACTIONS(7247),
    [anon_sym_BSLASHacf] = ACTIONS(7247),
    [anon_sym_BSLASHAcf] = ACTIONS(7247),
    [anon_sym_BSLASHacfp] = ACTIONS(7247),
    [anon_sym_BSLASHAcfp] = ACTIONS(7247),
    [anon_sym_BSLASHac] = ACTIONS(7247),
    [anon_sym_BSLASHAc] = ACTIONS(7247),
    [anon_sym_BSLASHacp] = ACTIONS(7247),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7247),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7247),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7247),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7247),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7247),
    [anon_sym_BSLASHcolor] = ACTIONS(7247),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7247),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7247),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7247),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7247),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7247),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7247),
    [anon_sym_BSLASHurl] = ACTIONS(7247),
    [anon_sym_BSLASHhref] = ACTIONS(7247),
  },
  [1946] = {
    [sym_command_name] = ACTIONS(7251),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7251),
    [anon_sym_LBRACK] = ACTIONS(7253),
    [anon_sym_RBRACK] = ACTIONS(7253),
    [anon_sym_COMMA] = ACTIONS(7253),
    [anon_sym_EQ] = ACTIONS(7253),
    [anon_sym_LPAREN] = ACTIONS(7253),
    [anon_sym_RPAREN] = ACTIONS(7253),
    [anon_sym_LBRACE] = ACTIONS(7253),
    [anon_sym_RBRACE] = ACTIONS(7253),
    [sym_word] = ACTIONS(7251),
    [sym_placeholder] = ACTIONS(7253),
    [sym_delimiter] = ACTIONS(7253),
    [anon_sym_PLUS] = ACTIONS(7253),
    [anon_sym_DASH] = ACTIONS(7253),
    [anon_sym_STAR] = ACTIONS(7253),
    [anon_sym_SLASH] = ACTIONS(7253),
    [anon_sym_LT] = ACTIONS(7251),
    [anon_sym_GT] = ACTIONS(7251),
    [anon_sym_BANG] = ACTIONS(7251),
    [anon_sym_PIPE] = ACTIONS(7251),
    [anon_sym_COLON] = ACTIONS(7251),
    [anon_sym_SQUOTE] = ACTIONS(7251),
    [anon_sym__] = ACTIONS(7253),
    [anon_sym_CARET] = ACTIONS(7253),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7253),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7253),
    [anon_sym_DOLLAR] = ACTIONS(7251),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7253),
    [anon_sym_BSLASHleft] = ACTIONS(7251),
    [anon_sym_BSLASHbigl] = ACTIONS(7251),
    [anon_sym_BSLASHBigl] = ACTIONS(7251),
    [anon_sym_BSLASHbiggl] = ACTIONS(7251),
    [anon_sym_BSLASHBiggl] = ACTIONS(7251),
    [anon_sym_BSLASHtext] = ACTIONS(7251),
    [anon_sym_BSLASHintertext] = ACTIONS(7251),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7251),
    [anon_sym_BSLASHtitle] = ACTIONS(7251),
    [anon_sym_BSLASHauthor] = ACTIONS(7251),
    [anon_sym_BSLASHusepackage] = ACTIONS(7251),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7251),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7251),
    [anon_sym_BSLASHinclude] = ACTIONS(7251),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7251),
    [anon_sym_BSLASHinput] = ACTIONS(7251),
    [anon_sym_BSLASHsubfile] = ACTIONS(7251),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7251),
    [anon_sym_BSLASHbibliography] = ACTIONS(7251),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7251),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7251),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7251),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7251),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7251),
    [anon_sym_BSLASHimport] = ACTIONS(7251),
    [anon_sym_BSLASHsubimport] = ACTIONS(7251),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7251),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7251),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7251),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7251),
    [anon_sym_BSLASHcaption] = ACTIONS(7251),
    [anon_sym_BSLASHcite] = ACTIONS(7251),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCite] = ACTIONS(7251),
    [anon_sym_BSLASHnocite] = ACTIONS(7251),
    [anon_sym_BSLASHcitet] = ACTIONS(7251),
    [anon_sym_BSLASHcitep] = ACTIONS(7251),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteA] = ACTIONS(7251),
    [anon_sym_BSLASHciteR] = ACTIONS(7251),
    [anon_sym_BSLASHciteS] = ACTIONS(7251),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7251),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7251),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7251),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7251),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteyear] = ACTIONS(7251),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitedate] = ACTIONS(7251),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteurl] = ACTIONS(7251),
    [anon_sym_BSLASHfullcite] = ACTIONS(7251),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7251),
    [anon_sym_BSLASHcitealt] = ACTIONS(7251),
    [anon_sym_BSLASHcitealp] = ACTIONS(7251),
    [anon_sym_BSLASHcitetext] = ACTIONS(7251),
    [anon_sym_BSLASHparencite] = ACTIONS(7251),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHParencite] = ACTIONS(7251),
    [anon_sym_BSLASHfootcite] = ACTIONS(7251),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7251),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7251),
    [anon_sym_BSLASHtextcite] = ACTIONS(7251),
    [anon_sym_BSLASHTextcite] = ACTIONS(7251),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7251),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7251),
    [anon_sym_BSLASHsupercite] = ACTIONS(7251),
    [anon_sym_BSLASHautocite] = ACTIONS(7251),
    [anon_sym_BSLASHAutocite] = ACTIONS(7251),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHVolcite] = ACTIONS(7251),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHavolcite] = ACTIONS(7251),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHNotecite] = ACTIONS(7251),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHlabel] = ACTIONS(7251),
    [anon_sym_BSLASHref] = ACTIONS(7251),
    [anon_sym_BSLASHeqref] = ACTIONS(7251),
    [anon_sym_BSLASHvref] = ACTIONS(7251),
    [anon_sym_BSLASHVref] = ACTIONS(7251),
    [anon_sym_BSLASHautoref] = ACTIONS(7251),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHpageref] = ACTIONS(7251),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHautopageref] = ACTIONS(7251),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcref] = ACTIONS(7251),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCref] = ACTIONS(7251),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcpageref] = ACTIONS(7251),
    [anon_sym_BSLASHCpageref] = ACTIONS(7251),
    [anon_sym_BSLASHnamecref] = ACTIONS(7251),
    [anon_sym_BSLASHnameCref] = ACTIONS(7251),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7251),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7251),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7251),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7251),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7251),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7251),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7251),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7251),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7251),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7251),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7251),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHdef] = ACTIONS(7251),
    [anon_sym_BSLASHgdef] = ACTIONS(7251),
    [anon_sym_BSLASHedef] = ACTIONS(7251),
    [anon_sym_BSLASHxdef] = ACTIONS(7251),
    [anon_sym_BSLASHlet] = ACTIONS(7251),
    [anon_sym_BSLASHglet] = ACTIONS(7251),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7251),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7251),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7251),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7251),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7251),
    [anon_sym_BSLASHgls] = ACTIONS(7251),
    [anon_sym_BSLASHGls] = ACTIONS(7251),
    [anon_sym_BSLASHGLS] = ACTIONS(7251),
    [anon_sym_BSLASHglspl] = ACTIONS(7251),
    [anon_sym_BSLASHGlspl] = ACTIONS(7251),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7251),
    [anon_sym_BSLASHglslink] = ACTIONS(7251),
    [anon_sym_BSLASHglstext] = ACTIONS(7251),
    [anon_sym_BSLASHGlstext] = ACTIONS(7251),
    [anon_sym_BSLASHGLStext] = ACTIONS(7251),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7251),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7251),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7251),
    [anon_sym_BSLASHglsplural] = ACTIONS(7251),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7251),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7251),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHglsname] = ACTIONS(7251),
    [anon_sym_BSLASHGlsname] = ACTIONS(7251),
    [anon_sym_BSLASHGLSname] = ACTIONS(7251),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7251),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7251),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7251),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7251),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7251),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7251),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7251),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7251),
    [anon_sym_BSLASHacrshort] = ACTIONS(7251),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7251),
    [anon_sym_BSLASHACRshort] = ACTIONS(7251),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHacrlong] = ACTIONS(7251),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7251),
    [anon_sym_BSLASHACRlong] = ACTIONS(7251),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHacrfull] = ACTIONS(7251),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7251),
    [anon_sym_BSLASHACRfull] = ACTIONS(7251),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHacs] = ACTIONS(7251),
    [anon_sym_BSLASHAcs] = ACTIONS(7251),
    [anon_sym_BSLASHacsp] = ACTIONS(7251),
    [anon_sym_BSLASHAcsp] = ACTIONS(7251),
    [anon_sym_BSLASHacl] = ACTIONS(7251),
    [anon_sym_BSLASHAcl] = ACTIONS(7251),
    [anon_sym_BSLASHaclp] = ACTIONS(7251),
    [anon_sym_BSLASHAclp] = ACTIONS(7251),
    [anon_sym_BSLASHacf] = ACTIONS(7251),
    [anon_sym_BSLASHAcf] = ACTIONS(7251),
    [anon_sym_BSLASHacfp] = ACTIONS(7251),
    [anon_sym_BSLASHAcfp] = ACTIONS(7251),
    [anon_sym_BSLASHac] = ACTIONS(7251),
    [anon_sym_BSLASHAc] = ACTIONS(7251),
    [anon_sym_BSLASHacp] = ACTIONS(7251),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7251),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7251),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7251),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7251),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7251),
    [anon_sym_BSLASHcolor] = ACTIONS(7251),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7251),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7251),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7251),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7251),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7251),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7251),
    [anon_sym_BSLASHurl] = ACTIONS(7251),
    [anon_sym_BSLASHhref] = ACTIONS(7251),
  },
  [1947] = {
    [sym_command_name] = ACTIONS(7255),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7255),
    [anon_sym_LBRACK] = ACTIONS(7257),
    [anon_sym_RBRACK] = ACTIONS(7257),
    [anon_sym_COMMA] = ACTIONS(7257),
    [anon_sym_EQ] = ACTIONS(7257),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_RPAREN] = ACTIONS(7257),
    [anon_sym_LBRACE] = ACTIONS(7257),
    [anon_sym_RBRACE] = ACTIONS(7257),
    [sym_word] = ACTIONS(7255),
    [sym_placeholder] = ACTIONS(7257),
    [sym_delimiter] = ACTIONS(7257),
    [anon_sym_PLUS] = ACTIONS(7257),
    [anon_sym_DASH] = ACTIONS(7257),
    [anon_sym_STAR] = ACTIONS(7257),
    [anon_sym_SLASH] = ACTIONS(7257),
    [anon_sym_LT] = ACTIONS(7255),
    [anon_sym_GT] = ACTIONS(7255),
    [anon_sym_BANG] = ACTIONS(7255),
    [anon_sym_PIPE] = ACTIONS(7255),
    [anon_sym_COLON] = ACTIONS(7255),
    [anon_sym_SQUOTE] = ACTIONS(7255),
    [anon_sym__] = ACTIONS(7257),
    [anon_sym_CARET] = ACTIONS(7257),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7257),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7257),
    [anon_sym_DOLLAR] = ACTIONS(7255),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7257),
    [anon_sym_BSLASHleft] = ACTIONS(7255),
    [anon_sym_BSLASHbigl] = ACTIONS(7255),
    [anon_sym_BSLASHBigl] = ACTIONS(7255),
    [anon_sym_BSLASHbiggl] = ACTIONS(7255),
    [anon_sym_BSLASHBiggl] = ACTIONS(7255),
    [anon_sym_BSLASHtext] = ACTIONS(7255),
    [anon_sym_BSLASHintertext] = ACTIONS(7255),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7255),
    [anon_sym_BSLASHtitle] = ACTIONS(7255),
    [anon_sym_BSLASHauthor] = ACTIONS(7255),
    [anon_sym_BSLASHusepackage] = ACTIONS(7255),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7255),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7255),
    [anon_sym_BSLASHinclude] = ACTIONS(7255),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7255),
    [anon_sym_BSLASHinput] = ACTIONS(7255),
    [anon_sym_BSLASHsubfile] = ACTIONS(7255),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7255),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7255),
    [anon_sym_BSLASHbibliography] = ACTIONS(7255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7255),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7255),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7255),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7255),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7255),
    [anon_sym_BSLASHimport] = ACTIONS(7255),
    [anon_sym_BSLASHsubimport] = ACTIONS(7255),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7255),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7255),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7255),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7255),
    [anon_sym_BSLASHcaption] = ACTIONS(7255),
    [anon_sym_BSLASHcite] = ACTIONS(7255),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCite] = ACTIONS(7255),
    [anon_sym_BSLASHnocite] = ACTIONS(7255),
    [anon_sym_BSLASHcitet] = ACTIONS(7255),
    [anon_sym_BSLASHcitep] = ACTIONS(7255),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteA] = ACTIONS(7255),
    [anon_sym_BSLASHciteR] = ACTIONS(7255),
    [anon_sym_BSLASHciteS] = ACTIONS(7255),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7255),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7255),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7255),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7255),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteyear] = ACTIONS(7255),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitedate] = ACTIONS(7255),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteurl] = ACTIONS(7255),
    [anon_sym_BSLASHfullcite] = ACTIONS(7255),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7255),
    [anon_sym_BSLASHcitealt] = ACTIONS(7255),
    [anon_sym_BSLASHcitealp] = ACTIONS(7255),
    [anon_sym_BSLASHcitetext] = ACTIONS(7255),
    [anon_sym_BSLASHparencite] = ACTIONS(7255),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHParencite] = ACTIONS(7255),
    [anon_sym_BSLASHfootcite] = ACTIONS(7255),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7255),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7255),
    [anon_sym_BSLASHtextcite] = ACTIONS(7255),
    [anon_sym_BSLASHTextcite] = ACTIONS(7255),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7255),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7255),
    [anon_sym_BSLASHsupercite] = ACTIONS(7255),
    [anon_sym_BSLASHautocite] = ACTIONS(7255),
    [anon_sym_BSLASHAutocite] = ACTIONS(7255),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHVolcite] = ACTIONS(7255),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHavolcite] = ACTIONS(7255),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHNotecite] = ACTIONS(7255),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHlabel] = ACTIONS(7255),
    [anon_sym_BSLASHref] = ACTIONS(7255),
    [anon_sym_BSLASHeqref] = ACTIONS(7255),
    [anon_sym_BSLASHvref] = ACTIONS(7255),
    [anon_sym_BSLASHVref] = ACTIONS(7255),
    [anon_sym_BSLASHautoref] = ACTIONS(7255),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHpageref] = ACTIONS(7255),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHautopageref] = ACTIONS(7255),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcref] = ACTIONS(7255),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCref] = ACTIONS(7255),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcpageref] = ACTIONS(7255),
    [anon_sym_BSLASHCpageref] = ACTIONS(7255),
    [anon_sym_BSLASHnamecref] = ACTIONS(7255),
    [anon_sym_BSLASHnameCref] = ACTIONS(7255),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7255),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7255),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7255),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7255),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7255),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7255),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7255),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7255),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7255),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7255),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7255),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHdef] = ACTIONS(7255),
    [anon_sym_BSLASHgdef] = ACTIONS(7255),
    [anon_sym_BSLASHedef] = ACTIONS(7255),
    [anon_sym_BSLASHxdef] = ACTIONS(7255),
    [anon_sym_BSLASHlet] = ACTIONS(7255),
    [anon_sym_BSLASHglet] = ACTIONS(7255),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7255),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7255),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7255),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7255),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7255),
    [anon_sym_BSLASHgls] = ACTIONS(7255),
    [anon_sym_BSLASHGls] = ACTIONS(7255),
    [anon_sym_BSLASHGLS] = ACTIONS(7255),
    [anon_sym_BSLASHglspl] = ACTIONS(7255),
    [anon_sym_BSLASHGlspl] = ACTIONS(7255),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7255),
    [anon_sym_BSLASHglslink] = ACTIONS(7255),
    [anon_sym_BSLASHglstext] = ACTIONS(7255),
    [anon_sym_BSLASHGlstext] = ACTIONS(7255),
    [anon_sym_BSLASHGLStext] = ACTIONS(7255),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7255),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7255),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7255),
    [anon_sym_BSLASHglsplural] = ACTIONS(7255),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7255),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7255),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHglsname] = ACTIONS(7255),
    [anon_sym_BSLASHGlsname] = ACTIONS(7255),
    [anon_sym_BSLASHGLSname] = ACTIONS(7255),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7255),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7255),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7255),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7255),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7255),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7255),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7255),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7255),
    [anon_sym_BSLASHacrshort] = ACTIONS(7255),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7255),
    [anon_sym_BSLASHACRshort] = ACTIONS(7255),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHacrlong] = ACTIONS(7255),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7255),
    [anon_sym_BSLASHACRlong] = ACTIONS(7255),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHacrfull] = ACTIONS(7255),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7255),
    [anon_sym_BSLASHACRfull] = ACTIONS(7255),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHacs] = ACTIONS(7255),
    [anon_sym_BSLASHAcs] = ACTIONS(7255),
    [anon_sym_BSLASHacsp] = ACTIONS(7255),
    [anon_sym_BSLASHAcsp] = ACTIONS(7255),
    [anon_sym_BSLASHacl] = ACTIONS(7255),
    [anon_sym_BSLASHAcl] = ACTIONS(7255),
    [anon_sym_BSLASHaclp] = ACTIONS(7255),
    [anon_sym_BSLASHAclp] = ACTIONS(7255),
    [anon_sym_BSLASHacf] = ACTIONS(7255),
    [anon_sym_BSLASHAcf] = ACTIONS(7255),
    [anon_sym_BSLASHacfp] = ACTIONS(7255),
    [anon_sym_BSLASHAcfp] = ACTIONS(7255),
    [anon_sym_BSLASHac] = ACTIONS(7255),
    [anon_sym_BSLASHAc] = ACTIONS(7255),
    [anon_sym_BSLASHacp] = ACTIONS(7255),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7255),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7255),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7255),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7255),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7255),
    [anon_sym_BSLASHcolor] = ACTIONS(7255),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7255),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7255),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7255),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7255),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7255),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7255),
    [anon_sym_BSLASHurl] = ACTIONS(7255),
    [anon_sym_BSLASHhref] = ACTIONS(7255),
  },
  [1948] = {
    [sym_command_name] = ACTIONS(7259),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7259),
    [anon_sym_LBRACK] = ACTIONS(7261),
    [anon_sym_RBRACK] = ACTIONS(7261),
    [anon_sym_COMMA] = ACTIONS(7261),
    [anon_sym_EQ] = ACTIONS(7261),
    [anon_sym_LPAREN] = ACTIONS(7261),
    [anon_sym_RPAREN] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7261),
    [anon_sym_RBRACE] = ACTIONS(7261),
    [sym_word] = ACTIONS(7259),
    [sym_placeholder] = ACTIONS(7261),
    [sym_delimiter] = ACTIONS(7261),
    [anon_sym_PLUS] = ACTIONS(7261),
    [anon_sym_DASH] = ACTIONS(7261),
    [anon_sym_STAR] = ACTIONS(7261),
    [anon_sym_SLASH] = ACTIONS(7261),
    [anon_sym_LT] = ACTIONS(7259),
    [anon_sym_GT] = ACTIONS(7259),
    [anon_sym_BANG] = ACTIONS(7259),
    [anon_sym_PIPE] = ACTIONS(7259),
    [anon_sym_COLON] = ACTIONS(7259),
    [anon_sym_SQUOTE] = ACTIONS(7259),
    [anon_sym__] = ACTIONS(7261),
    [anon_sym_CARET] = ACTIONS(7261),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7261),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7261),
    [anon_sym_DOLLAR] = ACTIONS(7259),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7261),
    [anon_sym_BSLASHleft] = ACTIONS(7259),
    [anon_sym_BSLASHbigl] = ACTIONS(7259),
    [anon_sym_BSLASHBigl] = ACTIONS(7259),
    [anon_sym_BSLASHbiggl] = ACTIONS(7259),
    [anon_sym_BSLASHBiggl] = ACTIONS(7259),
    [anon_sym_BSLASHtext] = ACTIONS(7259),
    [anon_sym_BSLASHintertext] = ACTIONS(7259),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7259),
    [anon_sym_BSLASHtitle] = ACTIONS(7259),
    [anon_sym_BSLASHauthor] = ACTIONS(7259),
    [anon_sym_BSLASHusepackage] = ACTIONS(7259),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7259),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7259),
    [anon_sym_BSLASHinclude] = ACTIONS(7259),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7259),
    [anon_sym_BSLASHinput] = ACTIONS(7259),
    [anon_sym_BSLASHsubfile] = ACTIONS(7259),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7259),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7259),
    [anon_sym_BSLASHbibliography] = ACTIONS(7259),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7259),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7259),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7259),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7259),
    [anon_sym_BSLASHimport] = ACTIONS(7259),
    [anon_sym_BSLASHsubimport] = ACTIONS(7259),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7259),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7259),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7259),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7259),
    [anon_sym_BSLASHcaption] = ACTIONS(7259),
    [anon_sym_BSLASHcite] = ACTIONS(7259),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCite] = ACTIONS(7259),
    [anon_sym_BSLASHnocite] = ACTIONS(7259),
    [anon_sym_BSLASHcitet] = ACTIONS(7259),
    [anon_sym_BSLASHcitep] = ACTIONS(7259),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteA] = ACTIONS(7259),
    [anon_sym_BSLASHciteR] = ACTIONS(7259),
    [anon_sym_BSLASHciteS] = ACTIONS(7259),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7259),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7259),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7259),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7259),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteyear] = ACTIONS(7259),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitedate] = ACTIONS(7259),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteurl] = ACTIONS(7259),
    [anon_sym_BSLASHfullcite] = ACTIONS(7259),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7259),
    [anon_sym_BSLASHcitealt] = ACTIONS(7259),
    [anon_sym_BSLASHcitealp] = ACTIONS(7259),
    [anon_sym_BSLASHcitetext] = ACTIONS(7259),
    [anon_sym_BSLASHparencite] = ACTIONS(7259),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHParencite] = ACTIONS(7259),
    [anon_sym_BSLASHfootcite] = ACTIONS(7259),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7259),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7259),
    [anon_sym_BSLASHtextcite] = ACTIONS(7259),
    [anon_sym_BSLASHTextcite] = ACTIONS(7259),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7259),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7259),
    [anon_sym_BSLASHsupercite] = ACTIONS(7259),
    [anon_sym_BSLASHautocite] = ACTIONS(7259),
    [anon_sym_BSLASHAutocite] = ACTIONS(7259),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHVolcite] = ACTIONS(7259),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHavolcite] = ACTIONS(7259),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHNotecite] = ACTIONS(7259),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHlabel] = ACTIONS(7259),
    [anon_sym_BSLASHref] = ACTIONS(7259),
    [anon_sym_BSLASHeqref] = ACTIONS(7259),
    [anon_sym_BSLASHvref] = ACTIONS(7259),
    [anon_sym_BSLASHVref] = ACTIONS(7259),
    [anon_sym_BSLASHautoref] = ACTIONS(7259),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHpageref] = ACTIONS(7259),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHautopageref] = ACTIONS(7259),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcref] = ACTIONS(7259),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCref] = ACTIONS(7259),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcpageref] = ACTIONS(7259),
    [anon_sym_BSLASHCpageref] = ACTIONS(7259),
    [anon_sym_BSLASHnamecref] = ACTIONS(7259),
    [anon_sym_BSLASHnameCref] = ACTIONS(7259),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7259),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7259),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7259),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7259),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7259),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7259),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7259),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7259),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7259),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7259),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7259),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHdef] = ACTIONS(7259),
    [anon_sym_BSLASHgdef] = ACTIONS(7259),
    [anon_sym_BSLASHedef] = ACTIONS(7259),
    [anon_sym_BSLASHxdef] = ACTIONS(7259),
    [anon_sym_BSLASHlet] = ACTIONS(7259),
    [anon_sym_BSLASHglet] = ACTIONS(7259),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7259),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7259),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7259),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7259),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7259),
    [anon_sym_BSLASHgls] = ACTIONS(7259),
    [anon_sym_BSLASHGls] = ACTIONS(7259),
    [anon_sym_BSLASHGLS] = ACTIONS(7259),
    [anon_sym_BSLASHglspl] = ACTIONS(7259),
    [anon_sym_BSLASHGlspl] = ACTIONS(7259),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7259),
    [anon_sym_BSLASHglslink] = ACTIONS(7259),
    [anon_sym_BSLASHglstext] = ACTIONS(7259),
    [anon_sym_BSLASHGlstext] = ACTIONS(7259),
    [anon_sym_BSLASHGLStext] = ACTIONS(7259),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7259),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7259),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7259),
    [anon_sym_BSLASHglsplural] = ACTIONS(7259),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7259),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7259),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHglsname] = ACTIONS(7259),
    [anon_sym_BSLASHGlsname] = ACTIONS(7259),
    [anon_sym_BSLASHGLSname] = ACTIONS(7259),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7259),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7259),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7259),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7259),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7259),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7259),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7259),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7259),
    [anon_sym_BSLASHacrshort] = ACTIONS(7259),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7259),
    [anon_sym_BSLASHACRshort] = ACTIONS(7259),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHacrlong] = ACTIONS(7259),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7259),
    [anon_sym_BSLASHACRlong] = ACTIONS(7259),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHacrfull] = ACTIONS(7259),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7259),
    [anon_sym_BSLASHACRfull] = ACTIONS(7259),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHacs] = ACTIONS(7259),
    [anon_sym_BSLASHAcs] = ACTIONS(7259),
    [anon_sym_BSLASHacsp] = ACTIONS(7259),
    [anon_sym_BSLASHAcsp] = ACTIONS(7259),
    [anon_sym_BSLASHacl] = ACTIONS(7259),
    [anon_sym_BSLASHAcl] = ACTIONS(7259),
    [anon_sym_BSLASHaclp] = ACTIONS(7259),
    [anon_sym_BSLASHAclp] = ACTIONS(7259),
    [anon_sym_BSLASHacf] = ACTIONS(7259),
    [anon_sym_BSLASHAcf] = ACTIONS(7259),
    [anon_sym_BSLASHacfp] = ACTIONS(7259),
    [anon_sym_BSLASHAcfp] = ACTIONS(7259),
    [anon_sym_BSLASHac] = ACTIONS(7259),
    [anon_sym_BSLASHAc] = ACTIONS(7259),
    [anon_sym_BSLASHacp] = ACTIONS(7259),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7259),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7259),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7259),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7259),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7259),
    [anon_sym_BSLASHcolor] = ACTIONS(7259),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7259),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7259),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7259),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7259),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7259),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7259),
    [anon_sym_BSLASHurl] = ACTIONS(7259),
    [anon_sym_BSLASHhref] = ACTIONS(7259),
  },
  [1949] = {
    [sym_command_name] = ACTIONS(7263),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7263),
    [anon_sym_LBRACK] = ACTIONS(7265),
    [anon_sym_RBRACK] = ACTIONS(7265),
    [anon_sym_COMMA] = ACTIONS(7265),
    [anon_sym_EQ] = ACTIONS(7265),
    [anon_sym_LPAREN] = ACTIONS(7265),
    [anon_sym_RPAREN] = ACTIONS(7265),
    [anon_sym_LBRACE] = ACTIONS(7265),
    [anon_sym_RBRACE] = ACTIONS(7265),
    [sym_word] = ACTIONS(7263),
    [sym_placeholder] = ACTIONS(7265),
    [sym_delimiter] = ACTIONS(7265),
    [anon_sym_PLUS] = ACTIONS(7265),
    [anon_sym_DASH] = ACTIONS(7265),
    [anon_sym_STAR] = ACTIONS(7265),
    [anon_sym_SLASH] = ACTIONS(7265),
    [anon_sym_LT] = ACTIONS(7263),
    [anon_sym_GT] = ACTIONS(7263),
    [anon_sym_BANG] = ACTIONS(7263),
    [anon_sym_PIPE] = ACTIONS(7263),
    [anon_sym_COLON] = ACTIONS(7263),
    [anon_sym_SQUOTE] = ACTIONS(7263),
    [anon_sym__] = ACTIONS(7265),
    [anon_sym_CARET] = ACTIONS(7265),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7265),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7265),
    [anon_sym_DOLLAR] = ACTIONS(7263),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7265),
    [anon_sym_BSLASHleft] = ACTIONS(7263),
    [anon_sym_BSLASHbigl] = ACTIONS(7263),
    [anon_sym_BSLASHBigl] = ACTIONS(7263),
    [anon_sym_BSLASHbiggl] = ACTIONS(7263),
    [anon_sym_BSLASHBiggl] = ACTIONS(7263),
    [anon_sym_BSLASHtext] = ACTIONS(7263),
    [anon_sym_BSLASHintertext] = ACTIONS(7263),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7263),
    [anon_sym_BSLASHtitle] = ACTIONS(7263),
    [anon_sym_BSLASHauthor] = ACTIONS(7263),
    [anon_sym_BSLASHusepackage] = ACTIONS(7263),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7263),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7263),
    [anon_sym_BSLASHinclude] = ACTIONS(7263),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7263),
    [anon_sym_BSLASHinput] = ACTIONS(7263),
    [anon_sym_BSLASHsubfile] = ACTIONS(7263),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7263),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7263),
    [anon_sym_BSLASHbibliography] = ACTIONS(7263),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7263),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7263),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7263),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7263),
    [anon_sym_BSLASHimport] = ACTIONS(7263),
    [anon_sym_BSLASHsubimport] = ACTIONS(7263),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7263),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7263),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7263),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7263),
    [anon_sym_BSLASHcaption] = ACTIONS(7263),
    [anon_sym_BSLASHcite] = ACTIONS(7263),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCite] = ACTIONS(7263),
    [anon_sym_BSLASHnocite] = ACTIONS(7263),
    [anon_sym_BSLASHcitet] = ACTIONS(7263),
    [anon_sym_BSLASHcitep] = ACTIONS(7263),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteA] = ACTIONS(7263),
    [anon_sym_BSLASHciteR] = ACTIONS(7263),
    [anon_sym_BSLASHciteS] = ACTIONS(7263),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7263),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7263),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7263),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7263),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteyear] = ACTIONS(7263),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitedate] = ACTIONS(7263),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteurl] = ACTIONS(7263),
    [anon_sym_BSLASHfullcite] = ACTIONS(7263),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7263),
    [anon_sym_BSLASHcitealt] = ACTIONS(7263),
    [anon_sym_BSLASHcitealp] = ACTIONS(7263),
    [anon_sym_BSLASHcitetext] = ACTIONS(7263),
    [anon_sym_BSLASHparencite] = ACTIONS(7263),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHParencite] = ACTIONS(7263),
    [anon_sym_BSLASHfootcite] = ACTIONS(7263),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7263),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7263),
    [anon_sym_BSLASHtextcite] = ACTIONS(7263),
    [anon_sym_BSLASHTextcite] = ACTIONS(7263),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7263),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7263),
    [anon_sym_BSLASHsupercite] = ACTIONS(7263),
    [anon_sym_BSLASHautocite] = ACTIONS(7263),
    [anon_sym_BSLASHAutocite] = ACTIONS(7263),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHVolcite] = ACTIONS(7263),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHavolcite] = ACTIONS(7263),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHNotecite] = ACTIONS(7263),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHlabel] = ACTIONS(7263),
    [anon_sym_BSLASHref] = ACTIONS(7263),
    [anon_sym_BSLASHeqref] = ACTIONS(7263),
    [anon_sym_BSLASHvref] = ACTIONS(7263),
    [anon_sym_BSLASHVref] = ACTIONS(7263),
    [anon_sym_BSLASHautoref] = ACTIONS(7263),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHpageref] = ACTIONS(7263),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHautopageref] = ACTIONS(7263),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcref] = ACTIONS(7263),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCref] = ACTIONS(7263),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcpageref] = ACTIONS(7263),
    [anon_sym_BSLASHCpageref] = ACTIONS(7263),
    [anon_sym_BSLASHnamecref] = ACTIONS(7263),
    [anon_sym_BSLASHnameCref] = ACTIONS(7263),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7263),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7263),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7263),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7263),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7263),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7263),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7263),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7263),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7263),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7263),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7263),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHdef] = ACTIONS(7263),
    [anon_sym_BSLASHgdef] = ACTIONS(7263),
    [anon_sym_BSLASHedef] = ACTIONS(7263),
    [anon_sym_BSLASHxdef] = ACTIONS(7263),
    [anon_sym_BSLASHlet] = ACTIONS(7263),
    [anon_sym_BSLASHglet] = ACTIONS(7263),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7263),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7263),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7263),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7263),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7263),
    [anon_sym_BSLASHgls] = ACTIONS(7263),
    [anon_sym_BSLASHGls] = ACTIONS(7263),
    [anon_sym_BSLASHGLS] = ACTIONS(7263),
    [anon_sym_BSLASHglspl] = ACTIONS(7263),
    [anon_sym_BSLASHGlspl] = ACTIONS(7263),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7263),
    [anon_sym_BSLASHglslink] = ACTIONS(7263),
    [anon_sym_BSLASHglstext] = ACTIONS(7263),
    [anon_sym_BSLASHGlstext] = ACTIONS(7263),
    [anon_sym_BSLASHGLStext] = ACTIONS(7263),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7263),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7263),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7263),
    [anon_sym_BSLASHglsplural] = ACTIONS(7263),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7263),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7263),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHglsname] = ACTIONS(7263),
    [anon_sym_BSLASHGlsname] = ACTIONS(7263),
    [anon_sym_BSLASHGLSname] = ACTIONS(7263),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7263),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7263),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7263),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7263),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7263),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7263),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7263),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7263),
    [anon_sym_BSLASHacrshort] = ACTIONS(7263),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7263),
    [anon_sym_BSLASHACRshort] = ACTIONS(7263),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHacrlong] = ACTIONS(7263),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7263),
    [anon_sym_BSLASHACRlong] = ACTIONS(7263),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHacrfull] = ACTIONS(7263),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7263),
    [anon_sym_BSLASHACRfull] = ACTIONS(7263),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHacs] = ACTIONS(7263),
    [anon_sym_BSLASHAcs] = ACTIONS(7263),
    [anon_sym_BSLASHacsp] = ACTIONS(7263),
    [anon_sym_BSLASHAcsp] = ACTIONS(7263),
    [anon_sym_BSLASHacl] = ACTIONS(7263),
    [anon_sym_BSLASHAcl] = ACTIONS(7263),
    [anon_sym_BSLASHaclp] = ACTIONS(7263),
    [anon_sym_BSLASHAclp] = ACTIONS(7263),
    [anon_sym_BSLASHacf] = ACTIONS(7263),
    [anon_sym_BSLASHAcf] = ACTIONS(7263),
    [anon_sym_BSLASHacfp] = ACTIONS(7263),
    [anon_sym_BSLASHAcfp] = ACTIONS(7263),
    [anon_sym_BSLASHac] = ACTIONS(7263),
    [anon_sym_BSLASHAc] = ACTIONS(7263),
    [anon_sym_BSLASHacp] = ACTIONS(7263),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7263),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7263),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7263),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7263),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7263),
    [anon_sym_BSLASHcolor] = ACTIONS(7263),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7263),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7263),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7263),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7263),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7263),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7263),
    [anon_sym_BSLASHurl] = ACTIONS(7263),
    [anon_sym_BSLASHhref] = ACTIONS(7263),
  },
  [1950] = {
    [sym_command_name] = ACTIONS(7267),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7267),
    [anon_sym_LBRACK] = ACTIONS(7269),
    [anon_sym_RBRACK] = ACTIONS(7269),
    [anon_sym_COMMA] = ACTIONS(7269),
    [anon_sym_EQ] = ACTIONS(7269),
    [anon_sym_LPAREN] = ACTIONS(7269),
    [anon_sym_RPAREN] = ACTIONS(7269),
    [anon_sym_LBRACE] = ACTIONS(7269),
    [anon_sym_RBRACE] = ACTIONS(7269),
    [sym_word] = ACTIONS(7267),
    [sym_placeholder] = ACTIONS(7269),
    [sym_delimiter] = ACTIONS(7269),
    [anon_sym_PLUS] = ACTIONS(7269),
    [anon_sym_DASH] = ACTIONS(7269),
    [anon_sym_STAR] = ACTIONS(7269),
    [anon_sym_SLASH] = ACTIONS(7269),
    [anon_sym_LT] = ACTIONS(7267),
    [anon_sym_GT] = ACTIONS(7267),
    [anon_sym_BANG] = ACTIONS(7267),
    [anon_sym_PIPE] = ACTIONS(7267),
    [anon_sym_COLON] = ACTIONS(7267),
    [anon_sym_SQUOTE] = ACTIONS(7267),
    [anon_sym__] = ACTIONS(7269),
    [anon_sym_CARET] = ACTIONS(7269),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7269),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7269),
    [anon_sym_DOLLAR] = ACTIONS(7267),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7269),
    [anon_sym_BSLASHleft] = ACTIONS(7267),
    [anon_sym_BSLASHbigl] = ACTIONS(7267),
    [anon_sym_BSLASHBigl] = ACTIONS(7267),
    [anon_sym_BSLASHbiggl] = ACTIONS(7267),
    [anon_sym_BSLASHBiggl] = ACTIONS(7267),
    [anon_sym_BSLASHtext] = ACTIONS(7267),
    [anon_sym_BSLASHintertext] = ACTIONS(7267),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7267),
    [anon_sym_BSLASHtitle] = ACTIONS(7267),
    [anon_sym_BSLASHauthor] = ACTIONS(7267),
    [anon_sym_BSLASHusepackage] = ACTIONS(7267),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7267),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7267),
    [anon_sym_BSLASHinclude] = ACTIONS(7267),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7267),
    [anon_sym_BSLASHinput] = ACTIONS(7267),
    [anon_sym_BSLASHsubfile] = ACTIONS(7267),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7267),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7267),
    [anon_sym_BSLASHbibliography] = ACTIONS(7267),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7267),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7267),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7267),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7267),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7267),
    [anon_sym_BSLASHimport] = ACTIONS(7267),
    [anon_sym_BSLASHsubimport] = ACTIONS(7267),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7267),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7267),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7267),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7267),
    [anon_sym_BSLASHcaption] = ACTIONS(7267),
    [anon_sym_BSLASHcite] = ACTIONS(7267),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCite] = ACTIONS(7267),
    [anon_sym_BSLASHnocite] = ACTIONS(7267),
    [anon_sym_BSLASHcitet] = ACTIONS(7267),
    [anon_sym_BSLASHcitep] = ACTIONS(7267),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteA] = ACTIONS(7267),
    [anon_sym_BSLASHciteR] = ACTIONS(7267),
    [anon_sym_BSLASHciteS] = ACTIONS(7267),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7267),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7267),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7267),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7267),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteyear] = ACTIONS(7267),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitedate] = ACTIONS(7267),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteurl] = ACTIONS(7267),
    [anon_sym_BSLASHfullcite] = ACTIONS(7267),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7267),
    [anon_sym_BSLASHcitealt] = ACTIONS(7267),
    [anon_sym_BSLASHcitealp] = ACTIONS(7267),
    [anon_sym_BSLASHcitetext] = ACTIONS(7267),
    [anon_sym_BSLASHparencite] = ACTIONS(7267),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHParencite] = ACTIONS(7267),
    [anon_sym_BSLASHfootcite] = ACTIONS(7267),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7267),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7267),
    [anon_sym_BSLASHtextcite] = ACTIONS(7267),
    [anon_sym_BSLASHTextcite] = ACTIONS(7267),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7267),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7267),
    [anon_sym_BSLASHsupercite] = ACTIONS(7267),
    [anon_sym_BSLASHautocite] = ACTIONS(7267),
    [anon_sym_BSLASHAutocite] = ACTIONS(7267),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHVolcite] = ACTIONS(7267),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHavolcite] = ACTIONS(7267),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHNotecite] = ACTIONS(7267),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHlabel] = ACTIONS(7267),
    [anon_sym_BSLASHref] = ACTIONS(7267),
    [anon_sym_BSLASHeqref] = ACTIONS(7267),
    [anon_sym_BSLASHvref] = ACTIONS(7267),
    [anon_sym_BSLASHVref] = ACTIONS(7267),
    [anon_sym_BSLASHautoref] = ACTIONS(7267),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHpageref] = ACTIONS(7267),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHautopageref] = ACTIONS(7267),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcref] = ACTIONS(7267),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCref] = ACTIONS(7267),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcpageref] = ACTIONS(7267),
    [anon_sym_BSLASHCpageref] = ACTIONS(7267),
    [anon_sym_BSLASHnamecref] = ACTIONS(7267),
    [anon_sym_BSLASHnameCref] = ACTIONS(7267),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7267),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7267),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7267),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7267),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7267),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7267),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7267),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7267),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7267),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7267),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7267),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHdef] = ACTIONS(7267),
    [anon_sym_BSLASHgdef] = ACTIONS(7267),
    [anon_sym_BSLASHedef] = ACTIONS(7267),
    [anon_sym_BSLASHxdef] = ACTIONS(7267),
    [anon_sym_BSLASHlet] = ACTIONS(7267),
    [anon_sym_BSLASHglet] = ACTIONS(7267),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7267),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7267),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7267),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7267),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7267),
    [anon_sym_BSLASHgls] = ACTIONS(7267),
    [anon_sym_BSLASHGls] = ACTIONS(7267),
    [anon_sym_BSLASHGLS] = ACTIONS(7267),
    [anon_sym_BSLASHglspl] = ACTIONS(7267),
    [anon_sym_BSLASHGlspl] = ACTIONS(7267),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7267),
    [anon_sym_BSLASHglslink] = ACTIONS(7267),
    [anon_sym_BSLASHglstext] = ACTIONS(7267),
    [anon_sym_BSLASHGlstext] = ACTIONS(7267),
    [anon_sym_BSLASHGLStext] = ACTIONS(7267),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7267),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7267),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7267),
    [anon_sym_BSLASHglsplural] = ACTIONS(7267),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7267),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7267),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHglsname] = ACTIONS(7267),
    [anon_sym_BSLASHGlsname] = ACTIONS(7267),
    [anon_sym_BSLASHGLSname] = ACTIONS(7267),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7267),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7267),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7267),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7267),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7267),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7267),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7267),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7267),
    [anon_sym_BSLASHacrshort] = ACTIONS(7267),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7267),
    [anon_sym_BSLASHACRshort] = ACTIONS(7267),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHacrlong] = ACTIONS(7267),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7267),
    [anon_sym_BSLASHACRlong] = ACTIONS(7267),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHacrfull] = ACTIONS(7267),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7267),
    [anon_sym_BSLASHACRfull] = ACTIONS(7267),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHacs] = ACTIONS(7267),
    [anon_sym_BSLASHAcs] = ACTIONS(7267),
    [anon_sym_BSLASHacsp] = ACTIONS(7267),
    [anon_sym_BSLASHAcsp] = ACTIONS(7267),
    [anon_sym_BSLASHacl] = ACTIONS(7267),
    [anon_sym_BSLASHAcl] = ACTIONS(7267),
    [anon_sym_BSLASHaclp] = ACTIONS(7267),
    [anon_sym_BSLASHAclp] = ACTIONS(7267),
    [anon_sym_BSLASHacf] = ACTIONS(7267),
    [anon_sym_BSLASHAcf] = ACTIONS(7267),
    [anon_sym_BSLASHacfp] = ACTIONS(7267),
    [anon_sym_BSLASHAcfp] = ACTIONS(7267),
    [anon_sym_BSLASHac] = ACTIONS(7267),
    [anon_sym_BSLASHAc] = ACTIONS(7267),
    [anon_sym_BSLASHacp] = ACTIONS(7267),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7267),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7267),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7267),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7267),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7267),
    [anon_sym_BSLASHcolor] = ACTIONS(7267),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7267),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7267),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7267),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7267),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7267),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7267),
    [anon_sym_BSLASHurl] = ACTIONS(7267),
    [anon_sym_BSLASHhref] = ACTIONS(7267),
  },
  [1951] = {
    [sym_command_name] = ACTIONS(7271),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7271),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_RBRACK] = ACTIONS(7273),
    [anon_sym_COMMA] = ACTIONS(7273),
    [anon_sym_EQ] = ACTIONS(7273),
    [anon_sym_LPAREN] = ACTIONS(7273),
    [anon_sym_RPAREN] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7273),
    [anon_sym_RBRACE] = ACTIONS(7273),
    [sym_word] = ACTIONS(7271),
    [sym_placeholder] = ACTIONS(7273),
    [sym_delimiter] = ACTIONS(7273),
    [anon_sym_PLUS] = ACTIONS(7273),
    [anon_sym_DASH] = ACTIONS(7273),
    [anon_sym_STAR] = ACTIONS(7273),
    [anon_sym_SLASH] = ACTIONS(7273),
    [anon_sym_LT] = ACTIONS(7271),
    [anon_sym_GT] = ACTIONS(7271),
    [anon_sym_BANG] = ACTIONS(7271),
    [anon_sym_PIPE] = ACTIONS(7271),
    [anon_sym_COLON] = ACTIONS(7271),
    [anon_sym_SQUOTE] = ACTIONS(7271),
    [anon_sym__] = ACTIONS(7273),
    [anon_sym_CARET] = ACTIONS(7273),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7273),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7273),
    [anon_sym_DOLLAR] = ACTIONS(7271),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7273),
    [anon_sym_BSLASHleft] = ACTIONS(7271),
    [anon_sym_BSLASHbigl] = ACTIONS(7271),
    [anon_sym_BSLASHBigl] = ACTIONS(7271),
    [anon_sym_BSLASHbiggl] = ACTIONS(7271),
    [anon_sym_BSLASHBiggl] = ACTIONS(7271),
    [anon_sym_BSLASHtext] = ACTIONS(7271),
    [anon_sym_BSLASHintertext] = ACTIONS(7271),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7271),
    [anon_sym_BSLASHtitle] = ACTIONS(7271),
    [anon_sym_BSLASHauthor] = ACTIONS(7271),
    [anon_sym_BSLASHusepackage] = ACTIONS(7271),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7271),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7271),
    [anon_sym_BSLASHinclude] = ACTIONS(7271),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7271),
    [anon_sym_BSLASHinput] = ACTIONS(7271),
    [anon_sym_BSLASHsubfile] = ACTIONS(7271),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7271),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7271),
    [anon_sym_BSLASHbibliography] = ACTIONS(7271),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7271),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7271),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7271),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7271),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7271),
    [anon_sym_BSLASHimport] = ACTIONS(7271),
    [anon_sym_BSLASHsubimport] = ACTIONS(7271),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7271),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7271),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7271),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7271),
    [anon_sym_BSLASHcaption] = ACTIONS(7271),
    [anon_sym_BSLASHcite] = ACTIONS(7271),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCite] = ACTIONS(7271),
    [anon_sym_BSLASHnocite] = ACTIONS(7271),
    [anon_sym_BSLASHcitet] = ACTIONS(7271),
    [anon_sym_BSLASHcitep] = ACTIONS(7271),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteA] = ACTIONS(7271),
    [anon_sym_BSLASHciteR] = ACTIONS(7271),
    [anon_sym_BSLASHciteS] = ACTIONS(7271),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7271),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7271),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7271),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7271),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteyear] = ACTIONS(7271),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitedate] = ACTIONS(7271),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteurl] = ACTIONS(7271),
    [anon_sym_BSLASHfullcite] = ACTIONS(7271),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7271),
    [anon_sym_BSLASHcitealt] = ACTIONS(7271),
    [anon_sym_BSLASHcitealp] = ACTIONS(7271),
    [anon_sym_BSLASHcitetext] = ACTIONS(7271),
    [anon_sym_BSLASHparencite] = ACTIONS(7271),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHParencite] = ACTIONS(7271),
    [anon_sym_BSLASHfootcite] = ACTIONS(7271),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7271),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7271),
    [anon_sym_BSLASHtextcite] = ACTIONS(7271),
    [anon_sym_BSLASHTextcite] = ACTIONS(7271),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7271),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7271),
    [anon_sym_BSLASHsupercite] = ACTIONS(7271),
    [anon_sym_BSLASHautocite] = ACTIONS(7271),
    [anon_sym_BSLASHAutocite] = ACTIONS(7271),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHVolcite] = ACTIONS(7271),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHavolcite] = ACTIONS(7271),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHNotecite] = ACTIONS(7271),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHlabel] = ACTIONS(7271),
    [anon_sym_BSLASHref] = ACTIONS(7271),
    [anon_sym_BSLASHeqref] = ACTIONS(7271),
    [anon_sym_BSLASHvref] = ACTIONS(7271),
    [anon_sym_BSLASHVref] = ACTIONS(7271),
    [anon_sym_BSLASHautoref] = ACTIONS(7271),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHpageref] = ACTIONS(7271),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHautopageref] = ACTIONS(7271),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcref] = ACTIONS(7271),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCref] = ACTIONS(7271),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcpageref] = ACTIONS(7271),
    [anon_sym_BSLASHCpageref] = ACTIONS(7271),
    [anon_sym_BSLASHnamecref] = ACTIONS(7271),
    [anon_sym_BSLASHnameCref] = ACTIONS(7271),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7271),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7271),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7271),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7271),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7271),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7271),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7271),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7271),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7271),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7271),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7271),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHdef] = ACTIONS(7271),
    [anon_sym_BSLASHgdef] = ACTIONS(7271),
    [anon_sym_BSLASHedef] = ACTIONS(7271),
    [anon_sym_BSLASHxdef] = ACTIONS(7271),
    [anon_sym_BSLASHlet] = ACTIONS(7271),
    [anon_sym_BSLASHglet] = ACTIONS(7271),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7271),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7271),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7271),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7271),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7271),
    [anon_sym_BSLASHgls] = ACTIONS(7271),
    [anon_sym_BSLASHGls] = ACTIONS(7271),
    [anon_sym_BSLASHGLS] = ACTIONS(7271),
    [anon_sym_BSLASHglspl] = ACTIONS(7271),
    [anon_sym_BSLASHGlspl] = ACTIONS(7271),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7271),
    [anon_sym_BSLASHglslink] = ACTIONS(7271),
    [anon_sym_BSLASHglstext] = ACTIONS(7271),
    [anon_sym_BSLASHGlstext] = ACTIONS(7271),
    [anon_sym_BSLASHGLStext] = ACTIONS(7271),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7271),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7271),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7271),
    [anon_sym_BSLASHglsplural] = ACTIONS(7271),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7271),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7271),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHglsname] = ACTIONS(7271),
    [anon_sym_BSLASHGlsname] = ACTIONS(7271),
    [anon_sym_BSLASHGLSname] = ACTIONS(7271),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7271),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7271),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7271),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7271),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7271),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7271),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7271),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7271),
    [anon_sym_BSLASHacrshort] = ACTIONS(7271),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7271),
    [anon_sym_BSLASHACRshort] = ACTIONS(7271),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHacrlong] = ACTIONS(7271),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7271),
    [anon_sym_BSLASHACRlong] = ACTIONS(7271),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHacrfull] = ACTIONS(7271),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7271),
    [anon_sym_BSLASHACRfull] = ACTIONS(7271),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHacs] = ACTIONS(7271),
    [anon_sym_BSLASHAcs] = ACTIONS(7271),
    [anon_sym_BSLASHacsp] = ACTIONS(7271),
    [anon_sym_BSLASHAcsp] = ACTIONS(7271),
    [anon_sym_BSLASHacl] = ACTIONS(7271),
    [anon_sym_BSLASHAcl] = ACTIONS(7271),
    [anon_sym_BSLASHaclp] = ACTIONS(7271),
    [anon_sym_BSLASHAclp] = ACTIONS(7271),
    [anon_sym_BSLASHacf] = ACTIONS(7271),
    [anon_sym_BSLASHAcf] = ACTIONS(7271),
    [anon_sym_BSLASHacfp] = ACTIONS(7271),
    [anon_sym_BSLASHAcfp] = ACTIONS(7271),
    [anon_sym_BSLASHac] = ACTIONS(7271),
    [anon_sym_BSLASHAc] = ACTIONS(7271),
    [anon_sym_BSLASHacp] = ACTIONS(7271),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7271),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7271),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7271),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7271),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7271),
    [anon_sym_BSLASHcolor] = ACTIONS(7271),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7271),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7271),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7271),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7271),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7271),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7271),
    [anon_sym_BSLASHurl] = ACTIONS(7271),
    [anon_sym_BSLASHhref] = ACTIONS(7271),
  },
  [1952] = {
    [sym_command_name] = ACTIONS(7275),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7275),
    [anon_sym_LBRACK] = ACTIONS(7277),
    [anon_sym_RBRACK] = ACTIONS(7277),
    [anon_sym_COMMA] = ACTIONS(7277),
    [anon_sym_EQ] = ACTIONS(7277),
    [anon_sym_LPAREN] = ACTIONS(7277),
    [anon_sym_RPAREN] = ACTIONS(7277),
    [anon_sym_LBRACE] = ACTIONS(7277),
    [anon_sym_RBRACE] = ACTIONS(7277),
    [sym_word] = ACTIONS(7275),
    [sym_placeholder] = ACTIONS(7277),
    [sym_delimiter] = ACTIONS(7277),
    [anon_sym_PLUS] = ACTIONS(7277),
    [anon_sym_DASH] = ACTIONS(7277),
    [anon_sym_STAR] = ACTIONS(7277),
    [anon_sym_SLASH] = ACTIONS(7277),
    [anon_sym_LT] = ACTIONS(7275),
    [anon_sym_GT] = ACTIONS(7275),
    [anon_sym_BANG] = ACTIONS(7275),
    [anon_sym_PIPE] = ACTIONS(7275),
    [anon_sym_COLON] = ACTIONS(7275),
    [anon_sym_SQUOTE] = ACTIONS(7275),
    [anon_sym__] = ACTIONS(7277),
    [anon_sym_CARET] = ACTIONS(7277),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7277),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7277),
    [anon_sym_DOLLAR] = ACTIONS(7275),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7277),
    [anon_sym_BSLASHleft] = ACTIONS(7275),
    [anon_sym_BSLASHbigl] = ACTIONS(7275),
    [anon_sym_BSLASHBigl] = ACTIONS(7275),
    [anon_sym_BSLASHbiggl] = ACTIONS(7275),
    [anon_sym_BSLASHBiggl] = ACTIONS(7275),
    [anon_sym_BSLASHtext] = ACTIONS(7275),
    [anon_sym_BSLASHintertext] = ACTIONS(7275),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7275),
    [anon_sym_BSLASHtitle] = ACTIONS(7275),
    [anon_sym_BSLASHauthor] = ACTIONS(7275),
    [anon_sym_BSLASHusepackage] = ACTIONS(7275),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7275),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7275),
    [anon_sym_BSLASHinclude] = ACTIONS(7275),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7275),
    [anon_sym_BSLASHinput] = ACTIONS(7275),
    [anon_sym_BSLASHsubfile] = ACTIONS(7275),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7275),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7275),
    [anon_sym_BSLASHbibliography] = ACTIONS(7275),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7275),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7275),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7275),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7275),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7275),
    [anon_sym_BSLASHimport] = ACTIONS(7275),
    [anon_sym_BSLASHsubimport] = ACTIONS(7275),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7275),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7275),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7275),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7275),
    [anon_sym_BSLASHcaption] = ACTIONS(7275),
    [anon_sym_BSLASHcite] = ACTIONS(7275),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCite] = ACTIONS(7275),
    [anon_sym_BSLASHnocite] = ACTIONS(7275),
    [anon_sym_BSLASHcitet] = ACTIONS(7275),
    [anon_sym_BSLASHcitep] = ACTIONS(7275),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteA] = ACTIONS(7275),
    [anon_sym_BSLASHciteR] = ACTIONS(7275),
    [anon_sym_BSLASHciteS] = ACTIONS(7275),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7275),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7275),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7275),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7275),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteyear] = ACTIONS(7275),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitedate] = ACTIONS(7275),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteurl] = ACTIONS(7275),
    [anon_sym_BSLASHfullcite] = ACTIONS(7275),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7275),
    [anon_sym_BSLASHcitealt] = ACTIONS(7275),
    [anon_sym_BSLASHcitealp] = ACTIONS(7275),
    [anon_sym_BSLASHcitetext] = ACTIONS(7275),
    [anon_sym_BSLASHparencite] = ACTIONS(7275),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHParencite] = ACTIONS(7275),
    [anon_sym_BSLASHfootcite] = ACTIONS(7275),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7275),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7275),
    [anon_sym_BSLASHtextcite] = ACTIONS(7275),
    [anon_sym_BSLASHTextcite] = ACTIONS(7275),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7275),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7275),
    [anon_sym_BSLASHsupercite] = ACTIONS(7275),
    [anon_sym_BSLASHautocite] = ACTIONS(7275),
    [anon_sym_BSLASHAutocite] = ACTIONS(7275),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHVolcite] = ACTIONS(7275),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHavolcite] = ACTIONS(7275),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHNotecite] = ACTIONS(7275),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHlabel] = ACTIONS(7275),
    [anon_sym_BSLASHref] = ACTIONS(7275),
    [anon_sym_BSLASHeqref] = ACTIONS(7275),
    [anon_sym_BSLASHvref] = ACTIONS(7275),
    [anon_sym_BSLASHVref] = ACTIONS(7275),
    [anon_sym_BSLASHautoref] = ACTIONS(7275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHpageref] = ACTIONS(7275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHautopageref] = ACTIONS(7275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcref] = ACTIONS(7275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCref] = ACTIONS(7275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcpageref] = ACTIONS(7275),
    [anon_sym_BSLASHCpageref] = ACTIONS(7275),
    [anon_sym_BSLASHnamecref] = ACTIONS(7275),
    [anon_sym_BSLASHnameCref] = ACTIONS(7275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7275),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7275),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7275),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7275),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7275),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7275),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7275),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7275),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHdef] = ACTIONS(7275),
    [anon_sym_BSLASHgdef] = ACTIONS(7275),
    [anon_sym_BSLASHedef] = ACTIONS(7275),
    [anon_sym_BSLASHxdef] = ACTIONS(7275),
    [anon_sym_BSLASHlet] = ACTIONS(7275),
    [anon_sym_BSLASHglet] = ACTIONS(7275),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7275),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7275),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7275),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7275),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7275),
    [anon_sym_BSLASHgls] = ACTIONS(7275),
    [anon_sym_BSLASHGls] = ACTIONS(7275),
    [anon_sym_BSLASHGLS] = ACTIONS(7275),
    [anon_sym_BSLASHglspl] = ACTIONS(7275),
    [anon_sym_BSLASHGlspl] = ACTIONS(7275),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7275),
    [anon_sym_BSLASHglslink] = ACTIONS(7275),
    [anon_sym_BSLASHglstext] = ACTIONS(7275),
    [anon_sym_BSLASHGlstext] = ACTIONS(7275),
    [anon_sym_BSLASHGLStext] = ACTIONS(7275),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7275),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7275),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7275),
    [anon_sym_BSLASHglsplural] = ACTIONS(7275),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7275),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7275),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHglsname] = ACTIONS(7275),
    [anon_sym_BSLASHGlsname] = ACTIONS(7275),
    [anon_sym_BSLASHGLSname] = ACTIONS(7275),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7275),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7275),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7275),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7275),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7275),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7275),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7275),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7275),
    [anon_sym_BSLASHacrshort] = ACTIONS(7275),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7275),
    [anon_sym_BSLASHACRshort] = ACTIONS(7275),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHacrlong] = ACTIONS(7275),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7275),
    [anon_sym_BSLASHACRlong] = ACTIONS(7275),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHacrfull] = ACTIONS(7275),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7275),
    [anon_sym_BSLASHACRfull] = ACTIONS(7275),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHacs] = ACTIONS(7275),
    [anon_sym_BSLASHAcs] = ACTIONS(7275),
    [anon_sym_BSLASHacsp] = ACTIONS(7275),
    [anon_sym_BSLASHAcsp] = ACTIONS(7275),
    [anon_sym_BSLASHacl] = ACTIONS(7275),
    [anon_sym_BSLASHAcl] = ACTIONS(7275),
    [anon_sym_BSLASHaclp] = ACTIONS(7275),
    [anon_sym_BSLASHAclp] = ACTIONS(7275),
    [anon_sym_BSLASHacf] = ACTIONS(7275),
    [anon_sym_BSLASHAcf] = ACTIONS(7275),
    [anon_sym_BSLASHacfp] = ACTIONS(7275),
    [anon_sym_BSLASHAcfp] = ACTIONS(7275),
    [anon_sym_BSLASHac] = ACTIONS(7275),
    [anon_sym_BSLASHAc] = ACTIONS(7275),
    [anon_sym_BSLASHacp] = ACTIONS(7275),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7275),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7275),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7275),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7275),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7275),
    [anon_sym_BSLASHcolor] = ACTIONS(7275),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7275),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7275),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7275),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7275),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7275),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7275),
    [anon_sym_BSLASHurl] = ACTIONS(7275),
    [anon_sym_BSLASHhref] = ACTIONS(7275),
  },
  [1953] = {
    [sym_command_name] = ACTIONS(7279),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7279),
    [anon_sym_LBRACK] = ACTIONS(7281),
    [anon_sym_RBRACK] = ACTIONS(7281),
    [anon_sym_COMMA] = ACTIONS(7281),
    [anon_sym_EQ] = ACTIONS(7281),
    [anon_sym_LPAREN] = ACTIONS(7281),
    [anon_sym_RPAREN] = ACTIONS(7281),
    [anon_sym_LBRACE] = ACTIONS(7281),
    [anon_sym_RBRACE] = ACTIONS(7281),
    [sym_word] = ACTIONS(7279),
    [sym_placeholder] = ACTIONS(7281),
    [sym_delimiter] = ACTIONS(7281),
    [anon_sym_PLUS] = ACTIONS(7281),
    [anon_sym_DASH] = ACTIONS(7281),
    [anon_sym_STAR] = ACTIONS(7281),
    [anon_sym_SLASH] = ACTIONS(7281),
    [anon_sym_LT] = ACTIONS(7279),
    [anon_sym_GT] = ACTIONS(7279),
    [anon_sym_BANG] = ACTIONS(7279),
    [anon_sym_PIPE] = ACTIONS(7279),
    [anon_sym_COLON] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7279),
    [anon_sym__] = ACTIONS(7281),
    [anon_sym_CARET] = ACTIONS(7281),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7281),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7281),
    [anon_sym_DOLLAR] = ACTIONS(7279),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7281),
    [anon_sym_BSLASHleft] = ACTIONS(7279),
    [anon_sym_BSLASHbigl] = ACTIONS(7279),
    [anon_sym_BSLASHBigl] = ACTIONS(7279),
    [anon_sym_BSLASHbiggl] = ACTIONS(7279),
    [anon_sym_BSLASHBiggl] = ACTIONS(7279),
    [anon_sym_BSLASHtext] = ACTIONS(7279),
    [anon_sym_BSLASHintertext] = ACTIONS(7279),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7279),
    [anon_sym_BSLASHtitle] = ACTIONS(7279),
    [anon_sym_BSLASHauthor] = ACTIONS(7279),
    [anon_sym_BSLASHusepackage] = ACTIONS(7279),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7279),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7279),
    [anon_sym_BSLASHinclude] = ACTIONS(7279),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7279),
    [anon_sym_BSLASHinput] = ACTIONS(7279),
    [anon_sym_BSLASHsubfile] = ACTIONS(7279),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7279),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7279),
    [anon_sym_BSLASHbibliography] = ACTIONS(7279),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7279),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7279),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7279),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7279),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7279),
    [anon_sym_BSLASHimport] = ACTIONS(7279),
    [anon_sym_BSLASHsubimport] = ACTIONS(7279),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7279),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7279),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7279),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7279),
    [anon_sym_BSLASHcaption] = ACTIONS(7279),
    [anon_sym_BSLASHcite] = ACTIONS(7279),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCite] = ACTIONS(7279),
    [anon_sym_BSLASHnocite] = ACTIONS(7279),
    [anon_sym_BSLASHcitet] = ACTIONS(7279),
    [anon_sym_BSLASHcitep] = ACTIONS(7279),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteA] = ACTIONS(7279),
    [anon_sym_BSLASHciteR] = ACTIONS(7279),
    [anon_sym_BSLASHciteS] = ACTIONS(7279),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7279),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7279),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7279),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7279),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteyear] = ACTIONS(7279),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitedate] = ACTIONS(7279),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteurl] = ACTIONS(7279),
    [anon_sym_BSLASHfullcite] = ACTIONS(7279),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7279),
    [anon_sym_BSLASHcitealt] = ACTIONS(7279),
    [anon_sym_BSLASHcitealp] = ACTIONS(7279),
    [anon_sym_BSLASHcitetext] = ACTIONS(7279),
    [anon_sym_BSLASHparencite] = ACTIONS(7279),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHParencite] = ACTIONS(7279),
    [anon_sym_BSLASHfootcite] = ACTIONS(7279),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7279),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7279),
    [anon_sym_BSLASHtextcite] = ACTIONS(7279),
    [anon_sym_BSLASHTextcite] = ACTIONS(7279),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7279),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7279),
    [anon_sym_BSLASHsupercite] = ACTIONS(7279),
    [anon_sym_BSLASHautocite] = ACTIONS(7279),
    [anon_sym_BSLASHAutocite] = ACTIONS(7279),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHVolcite] = ACTIONS(7279),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHavolcite] = ACTIONS(7279),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHNotecite] = ACTIONS(7279),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHlabel] = ACTIONS(7279),
    [anon_sym_BSLASHref] = ACTIONS(7279),
    [anon_sym_BSLASHeqref] = ACTIONS(7279),
    [anon_sym_BSLASHvref] = ACTIONS(7279),
    [anon_sym_BSLASHVref] = ACTIONS(7279),
    [anon_sym_BSLASHautoref] = ACTIONS(7279),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHpageref] = ACTIONS(7279),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHautopageref] = ACTIONS(7279),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcref] = ACTIONS(7279),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCref] = ACTIONS(7279),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcpageref] = ACTIONS(7279),
    [anon_sym_BSLASHCpageref] = ACTIONS(7279),
    [anon_sym_BSLASHnamecref] = ACTIONS(7279),
    [anon_sym_BSLASHnameCref] = ACTIONS(7279),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7279),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7279),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7279),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7279),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7279),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7279),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7279),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHdef] = ACTIONS(7279),
    [anon_sym_BSLASHgdef] = ACTIONS(7279),
    [anon_sym_BSLASHedef] = ACTIONS(7279),
    [anon_sym_BSLASHxdef] = ACTIONS(7279),
    [anon_sym_BSLASHlet] = ACTIONS(7279),
    [anon_sym_BSLASHglet] = ACTIONS(7279),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7279),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7279),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7279),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7279),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7279),
    [anon_sym_BSLASHgls] = ACTIONS(7279),
    [anon_sym_BSLASHGls] = ACTIONS(7279),
    [anon_sym_BSLASHGLS] = ACTIONS(7279),
    [anon_sym_BSLASHglspl] = ACTIONS(7279),
    [anon_sym_BSLASHGlspl] = ACTIONS(7279),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7279),
    [anon_sym_BSLASHglslink] = ACTIONS(7279),
    [anon_sym_BSLASHglstext] = ACTIONS(7279),
    [anon_sym_BSLASHGlstext] = ACTIONS(7279),
    [anon_sym_BSLASHGLStext] = ACTIONS(7279),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7279),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7279),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7279),
    [anon_sym_BSLASHglsplural] = ACTIONS(7279),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7279),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7279),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHglsname] = ACTIONS(7279),
    [anon_sym_BSLASHGlsname] = ACTIONS(7279),
    [anon_sym_BSLASHGLSname] = ACTIONS(7279),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7279),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7279),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7279),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7279),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7279),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7279),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7279),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7279),
    [anon_sym_BSLASHacrshort] = ACTIONS(7279),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7279),
    [anon_sym_BSLASHACRshort] = ACTIONS(7279),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHacrlong] = ACTIONS(7279),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7279),
    [anon_sym_BSLASHACRlong] = ACTIONS(7279),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHacrfull] = ACTIONS(7279),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7279),
    [anon_sym_BSLASHACRfull] = ACTIONS(7279),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHacs] = ACTIONS(7279),
    [anon_sym_BSLASHAcs] = ACTIONS(7279),
    [anon_sym_BSLASHacsp] = ACTIONS(7279),
    [anon_sym_BSLASHAcsp] = ACTIONS(7279),
    [anon_sym_BSLASHacl] = ACTIONS(7279),
    [anon_sym_BSLASHAcl] = ACTIONS(7279),
    [anon_sym_BSLASHaclp] = ACTIONS(7279),
    [anon_sym_BSLASHAclp] = ACTIONS(7279),
    [anon_sym_BSLASHacf] = ACTIONS(7279),
    [anon_sym_BSLASHAcf] = ACTIONS(7279),
    [anon_sym_BSLASHacfp] = ACTIONS(7279),
    [anon_sym_BSLASHAcfp] = ACTIONS(7279),
    [anon_sym_BSLASHac] = ACTIONS(7279),
    [anon_sym_BSLASHAc] = ACTIONS(7279),
    [anon_sym_BSLASHacp] = ACTIONS(7279),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7279),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7279),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7279),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7279),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7279),
    [anon_sym_BSLASHcolor] = ACTIONS(7279),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7279),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7279),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7279),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7279),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7279),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7279),
    [anon_sym_BSLASHurl] = ACTIONS(7279),
    [anon_sym_BSLASHhref] = ACTIONS(7279),
  },
  [1954] = {
    [sym_command_name] = ACTIONS(7283),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7283),
    [anon_sym_LBRACK] = ACTIONS(7285),
    [anon_sym_RBRACK] = ACTIONS(7285),
    [anon_sym_COMMA] = ACTIONS(7285),
    [anon_sym_EQ] = ACTIONS(7285),
    [anon_sym_LPAREN] = ACTIONS(7285),
    [anon_sym_RPAREN] = ACTIONS(7285),
    [anon_sym_LBRACE] = ACTIONS(7285),
    [anon_sym_RBRACE] = ACTIONS(7285),
    [sym_word] = ACTIONS(7283),
    [sym_placeholder] = ACTIONS(7285),
    [sym_delimiter] = ACTIONS(7285),
    [anon_sym_PLUS] = ACTIONS(7285),
    [anon_sym_DASH] = ACTIONS(7285),
    [anon_sym_STAR] = ACTIONS(7285),
    [anon_sym_SLASH] = ACTIONS(7285),
    [anon_sym_LT] = ACTIONS(7283),
    [anon_sym_GT] = ACTIONS(7283),
    [anon_sym_BANG] = ACTIONS(7283),
    [anon_sym_PIPE] = ACTIONS(7283),
    [anon_sym_COLON] = ACTIONS(7283),
    [anon_sym_SQUOTE] = ACTIONS(7283),
    [anon_sym__] = ACTIONS(7285),
    [anon_sym_CARET] = ACTIONS(7285),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7285),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7285),
    [anon_sym_DOLLAR] = ACTIONS(7283),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7285),
    [anon_sym_BSLASHleft] = ACTIONS(7283),
    [anon_sym_BSLASHbigl] = ACTIONS(7283),
    [anon_sym_BSLASHBigl] = ACTIONS(7283),
    [anon_sym_BSLASHbiggl] = ACTIONS(7283),
    [anon_sym_BSLASHBiggl] = ACTIONS(7283),
    [anon_sym_BSLASHtext] = ACTIONS(7283),
    [anon_sym_BSLASHintertext] = ACTIONS(7283),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7283),
    [anon_sym_BSLASHtitle] = ACTIONS(7283),
    [anon_sym_BSLASHauthor] = ACTIONS(7283),
    [anon_sym_BSLASHusepackage] = ACTIONS(7283),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7283),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7283),
    [anon_sym_BSLASHinclude] = ACTIONS(7283),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7283),
    [anon_sym_BSLASHinput] = ACTIONS(7283),
    [anon_sym_BSLASHsubfile] = ACTIONS(7283),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7283),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7283),
    [anon_sym_BSLASHbibliography] = ACTIONS(7283),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7283),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7283),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7283),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7283),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7283),
    [anon_sym_BSLASHimport] = ACTIONS(7283),
    [anon_sym_BSLASHsubimport] = ACTIONS(7283),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7283),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7283),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7283),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7283),
    [anon_sym_BSLASHcaption] = ACTIONS(7283),
    [anon_sym_BSLASHcite] = ACTIONS(7283),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCite] = ACTIONS(7283),
    [anon_sym_BSLASHnocite] = ACTIONS(7283),
    [anon_sym_BSLASHcitet] = ACTIONS(7283),
    [anon_sym_BSLASHcitep] = ACTIONS(7283),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteA] = ACTIONS(7283),
    [anon_sym_BSLASHciteR] = ACTIONS(7283),
    [anon_sym_BSLASHciteS] = ACTIONS(7283),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7283),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7283),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7283),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7283),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteyear] = ACTIONS(7283),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitedate] = ACTIONS(7283),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteurl] = ACTIONS(7283),
    [anon_sym_BSLASHfullcite] = ACTIONS(7283),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7283),
    [anon_sym_BSLASHcitealt] = ACTIONS(7283),
    [anon_sym_BSLASHcitealp] = ACTIONS(7283),
    [anon_sym_BSLASHcitetext] = ACTIONS(7283),
    [anon_sym_BSLASHparencite] = ACTIONS(7283),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHParencite] = ACTIONS(7283),
    [anon_sym_BSLASHfootcite] = ACTIONS(7283),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7283),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7283),
    [anon_sym_BSLASHtextcite] = ACTIONS(7283),
    [anon_sym_BSLASHTextcite] = ACTIONS(7283),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7283),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7283),
    [anon_sym_BSLASHsupercite] = ACTIONS(7283),
    [anon_sym_BSLASHautocite] = ACTIONS(7283),
    [anon_sym_BSLASHAutocite] = ACTIONS(7283),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHVolcite] = ACTIONS(7283),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHavolcite] = ACTIONS(7283),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHNotecite] = ACTIONS(7283),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHlabel] = ACTIONS(7283),
    [anon_sym_BSLASHref] = ACTIONS(7283),
    [anon_sym_BSLASHeqref] = ACTIONS(7283),
    [anon_sym_BSLASHvref] = ACTIONS(7283),
    [anon_sym_BSLASHVref] = ACTIONS(7283),
    [anon_sym_BSLASHautoref] = ACTIONS(7283),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHpageref] = ACTIONS(7283),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHautopageref] = ACTIONS(7283),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcref] = ACTIONS(7283),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCref] = ACTIONS(7283),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcpageref] = ACTIONS(7283),
    [anon_sym_BSLASHCpageref] = ACTIONS(7283),
    [anon_sym_BSLASHnamecref] = ACTIONS(7283),
    [anon_sym_BSLASHnameCref] = ACTIONS(7283),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7283),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7283),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7283),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7283),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7283),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7283),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7283),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7283),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7283),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7283),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHdef] = ACTIONS(7283),
    [anon_sym_BSLASHgdef] = ACTIONS(7283),
    [anon_sym_BSLASHedef] = ACTIONS(7283),
    [anon_sym_BSLASHxdef] = ACTIONS(7283),
    [anon_sym_BSLASHlet] = ACTIONS(7283),
    [anon_sym_BSLASHglet] = ACTIONS(7283),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7283),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7283),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7283),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7283),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7283),
    [anon_sym_BSLASHgls] = ACTIONS(7283),
    [anon_sym_BSLASHGls] = ACTIONS(7283),
    [anon_sym_BSLASHGLS] = ACTIONS(7283),
    [anon_sym_BSLASHglspl] = ACTIONS(7283),
    [anon_sym_BSLASHGlspl] = ACTIONS(7283),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7283),
    [anon_sym_BSLASHglslink] = ACTIONS(7283),
    [anon_sym_BSLASHglstext] = ACTIONS(7283),
    [anon_sym_BSLASHGlstext] = ACTIONS(7283),
    [anon_sym_BSLASHGLStext] = ACTIONS(7283),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7283),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7283),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7283),
    [anon_sym_BSLASHglsplural] = ACTIONS(7283),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7283),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7283),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHglsname] = ACTIONS(7283),
    [anon_sym_BSLASHGlsname] = ACTIONS(7283),
    [anon_sym_BSLASHGLSname] = ACTIONS(7283),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7283),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7283),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7283),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7283),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7283),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7283),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7283),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7283),
    [anon_sym_BSLASHacrshort] = ACTIONS(7283),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7283),
    [anon_sym_BSLASHACRshort] = ACTIONS(7283),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHacrlong] = ACTIONS(7283),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7283),
    [anon_sym_BSLASHACRlong] = ACTIONS(7283),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHacrfull] = ACTIONS(7283),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7283),
    [anon_sym_BSLASHACRfull] = ACTIONS(7283),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHacs] = ACTIONS(7283),
    [anon_sym_BSLASHAcs] = ACTIONS(7283),
    [anon_sym_BSLASHacsp] = ACTIONS(7283),
    [anon_sym_BSLASHAcsp] = ACTIONS(7283),
    [anon_sym_BSLASHacl] = ACTIONS(7283),
    [anon_sym_BSLASHAcl] = ACTIONS(7283),
    [anon_sym_BSLASHaclp] = ACTIONS(7283),
    [anon_sym_BSLASHAclp] = ACTIONS(7283),
    [anon_sym_BSLASHacf] = ACTIONS(7283),
    [anon_sym_BSLASHAcf] = ACTIONS(7283),
    [anon_sym_BSLASHacfp] = ACTIONS(7283),
    [anon_sym_BSLASHAcfp] = ACTIONS(7283),
    [anon_sym_BSLASHac] = ACTIONS(7283),
    [anon_sym_BSLASHAc] = ACTIONS(7283),
    [anon_sym_BSLASHacp] = ACTIONS(7283),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7283),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7283),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7283),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7283),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7283),
    [anon_sym_BSLASHcolor] = ACTIONS(7283),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7283),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7283),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7283),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7283),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7283),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7283),
    [anon_sym_BSLASHurl] = ACTIONS(7283),
    [anon_sym_BSLASHhref] = ACTIONS(7283),
  },
  [1955] = {
    [sym_command_name] = ACTIONS(7287),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7287),
    [anon_sym_LBRACK] = ACTIONS(7289),
    [anon_sym_RBRACK] = ACTIONS(7289),
    [anon_sym_COMMA] = ACTIONS(7289),
    [anon_sym_EQ] = ACTIONS(7289),
    [anon_sym_LPAREN] = ACTIONS(7289),
    [anon_sym_RPAREN] = ACTIONS(7289),
    [anon_sym_LBRACE] = ACTIONS(7289),
    [anon_sym_RBRACE] = ACTIONS(7289),
    [sym_word] = ACTIONS(7287),
    [sym_placeholder] = ACTIONS(7289),
    [sym_delimiter] = ACTIONS(7289),
    [anon_sym_PLUS] = ACTIONS(7289),
    [anon_sym_DASH] = ACTIONS(7289),
    [anon_sym_STAR] = ACTIONS(7289),
    [anon_sym_SLASH] = ACTIONS(7289),
    [anon_sym_LT] = ACTIONS(7287),
    [anon_sym_GT] = ACTIONS(7287),
    [anon_sym_BANG] = ACTIONS(7287),
    [anon_sym_PIPE] = ACTIONS(7287),
    [anon_sym_COLON] = ACTIONS(7287),
    [anon_sym_SQUOTE] = ACTIONS(7287),
    [anon_sym__] = ACTIONS(7289),
    [anon_sym_CARET] = ACTIONS(7289),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7289),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7289),
    [anon_sym_DOLLAR] = ACTIONS(7287),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7289),
    [anon_sym_BSLASHleft] = ACTIONS(7287),
    [anon_sym_BSLASHbigl] = ACTIONS(7287),
    [anon_sym_BSLASHBigl] = ACTIONS(7287),
    [anon_sym_BSLASHbiggl] = ACTIONS(7287),
    [anon_sym_BSLASHBiggl] = ACTIONS(7287),
    [anon_sym_BSLASHtext] = ACTIONS(7287),
    [anon_sym_BSLASHintertext] = ACTIONS(7287),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7287),
    [anon_sym_BSLASHtitle] = ACTIONS(7287),
    [anon_sym_BSLASHauthor] = ACTIONS(7287),
    [anon_sym_BSLASHusepackage] = ACTIONS(7287),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7287),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7287),
    [anon_sym_BSLASHinclude] = ACTIONS(7287),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7287),
    [anon_sym_BSLASHinput] = ACTIONS(7287),
    [anon_sym_BSLASHsubfile] = ACTIONS(7287),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7287),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7287),
    [anon_sym_BSLASHbibliography] = ACTIONS(7287),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7287),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7287),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7287),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7287),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7287),
    [anon_sym_BSLASHimport] = ACTIONS(7287),
    [anon_sym_BSLASHsubimport] = ACTIONS(7287),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7287),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7287),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7287),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7287),
    [anon_sym_BSLASHcaption] = ACTIONS(7287),
    [anon_sym_BSLASHcite] = ACTIONS(7287),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCite] = ACTIONS(7287),
    [anon_sym_BSLASHnocite] = ACTIONS(7287),
    [anon_sym_BSLASHcitet] = ACTIONS(7287),
    [anon_sym_BSLASHcitep] = ACTIONS(7287),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteA] = ACTIONS(7287),
    [anon_sym_BSLASHciteR] = ACTIONS(7287),
    [anon_sym_BSLASHciteS] = ACTIONS(7287),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7287),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7287),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7287),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7287),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteyear] = ACTIONS(7287),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitedate] = ACTIONS(7287),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteurl] = ACTIONS(7287),
    [anon_sym_BSLASHfullcite] = ACTIONS(7287),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7287),
    [anon_sym_BSLASHcitealt] = ACTIONS(7287),
    [anon_sym_BSLASHcitealp] = ACTIONS(7287),
    [anon_sym_BSLASHcitetext] = ACTIONS(7287),
    [anon_sym_BSLASHparencite] = ACTIONS(7287),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHParencite] = ACTIONS(7287),
    [anon_sym_BSLASHfootcite] = ACTIONS(7287),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7287),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7287),
    [anon_sym_BSLASHtextcite] = ACTIONS(7287),
    [anon_sym_BSLASHTextcite] = ACTIONS(7287),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7287),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7287),
    [anon_sym_BSLASHsupercite] = ACTIONS(7287),
    [anon_sym_BSLASHautocite] = ACTIONS(7287),
    [anon_sym_BSLASHAutocite] = ACTIONS(7287),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHVolcite] = ACTIONS(7287),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHavolcite] = ACTIONS(7287),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHNotecite] = ACTIONS(7287),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHlabel] = ACTIONS(7287),
    [anon_sym_BSLASHref] = ACTIONS(7287),
    [anon_sym_BSLASHeqref] = ACTIONS(7287),
    [anon_sym_BSLASHvref] = ACTIONS(7287),
    [anon_sym_BSLASHVref] = ACTIONS(7287),
    [anon_sym_BSLASHautoref] = ACTIONS(7287),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHpageref] = ACTIONS(7287),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHautopageref] = ACTIONS(7287),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcref] = ACTIONS(7287),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCref] = ACTIONS(7287),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcpageref] = ACTIONS(7287),
    [anon_sym_BSLASHCpageref] = ACTIONS(7287),
    [anon_sym_BSLASHnamecref] = ACTIONS(7287),
    [anon_sym_BSLASHnameCref] = ACTIONS(7287),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7287),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7287),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7287),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7287),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7287),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7287),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7287),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7287),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7287),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7287),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7287),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHdef] = ACTIONS(7287),
    [anon_sym_BSLASHgdef] = ACTIONS(7287),
    [anon_sym_BSLASHedef] = ACTIONS(7287),
    [anon_sym_BSLASHxdef] = ACTIONS(7287),
    [anon_sym_BSLASHlet] = ACTIONS(7287),
    [anon_sym_BSLASHglet] = ACTIONS(7287),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7287),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7287),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7287),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7287),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7287),
    [anon_sym_BSLASHgls] = ACTIONS(7287),
    [anon_sym_BSLASHGls] = ACTIONS(7287),
    [anon_sym_BSLASHGLS] = ACTIONS(7287),
    [anon_sym_BSLASHglspl] = ACTIONS(7287),
    [anon_sym_BSLASHGlspl] = ACTIONS(7287),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7287),
    [anon_sym_BSLASHglslink] = ACTIONS(7287),
    [anon_sym_BSLASHglstext] = ACTIONS(7287),
    [anon_sym_BSLASHGlstext] = ACTIONS(7287),
    [anon_sym_BSLASHGLStext] = ACTIONS(7287),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7287),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7287),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7287),
    [anon_sym_BSLASHglsplural] = ACTIONS(7287),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7287),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7287),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHglsname] = ACTIONS(7287),
    [anon_sym_BSLASHGlsname] = ACTIONS(7287),
    [anon_sym_BSLASHGLSname] = ACTIONS(7287),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7287),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7287),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7287),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7287),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7287),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7287),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7287),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7287),
    [anon_sym_BSLASHacrshort] = ACTIONS(7287),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7287),
    [anon_sym_BSLASHACRshort] = ACTIONS(7287),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHacrlong] = ACTIONS(7287),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7287),
    [anon_sym_BSLASHACRlong] = ACTIONS(7287),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHacrfull] = ACTIONS(7287),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7287),
    [anon_sym_BSLASHACRfull] = ACTIONS(7287),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHacs] = ACTIONS(7287),
    [anon_sym_BSLASHAcs] = ACTIONS(7287),
    [anon_sym_BSLASHacsp] = ACTIONS(7287),
    [anon_sym_BSLASHAcsp] = ACTIONS(7287),
    [anon_sym_BSLASHacl] = ACTIONS(7287),
    [anon_sym_BSLASHAcl] = ACTIONS(7287),
    [anon_sym_BSLASHaclp] = ACTIONS(7287),
    [anon_sym_BSLASHAclp] = ACTIONS(7287),
    [anon_sym_BSLASHacf] = ACTIONS(7287),
    [anon_sym_BSLASHAcf] = ACTIONS(7287),
    [anon_sym_BSLASHacfp] = ACTIONS(7287),
    [anon_sym_BSLASHAcfp] = ACTIONS(7287),
    [anon_sym_BSLASHac] = ACTIONS(7287),
    [anon_sym_BSLASHAc] = ACTIONS(7287),
    [anon_sym_BSLASHacp] = ACTIONS(7287),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7287),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7287),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7287),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7287),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7287),
    [anon_sym_BSLASHcolor] = ACTIONS(7287),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7287),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7287),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7287),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7287),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7287),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7287),
    [anon_sym_BSLASHurl] = ACTIONS(7287),
    [anon_sym_BSLASHhref] = ACTIONS(7287),
  },
  [1956] = {
    [sym_command_name] = ACTIONS(7291),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7291),
    [anon_sym_LBRACK] = ACTIONS(7293),
    [anon_sym_RBRACK] = ACTIONS(7293),
    [anon_sym_COMMA] = ACTIONS(7293),
    [anon_sym_EQ] = ACTIONS(7293),
    [anon_sym_LPAREN] = ACTIONS(7293),
    [anon_sym_RPAREN] = ACTIONS(7293),
    [anon_sym_LBRACE] = ACTIONS(7293),
    [anon_sym_RBRACE] = ACTIONS(7293),
    [sym_word] = ACTIONS(7291),
    [sym_placeholder] = ACTIONS(7293),
    [sym_delimiter] = ACTIONS(7293),
    [anon_sym_PLUS] = ACTIONS(7293),
    [anon_sym_DASH] = ACTIONS(7293),
    [anon_sym_STAR] = ACTIONS(7293),
    [anon_sym_SLASH] = ACTIONS(7293),
    [anon_sym_LT] = ACTIONS(7291),
    [anon_sym_GT] = ACTIONS(7291),
    [anon_sym_BANG] = ACTIONS(7291),
    [anon_sym_PIPE] = ACTIONS(7291),
    [anon_sym_COLON] = ACTIONS(7291),
    [anon_sym_SQUOTE] = ACTIONS(7291),
    [anon_sym__] = ACTIONS(7293),
    [anon_sym_CARET] = ACTIONS(7293),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7293),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7293),
    [anon_sym_DOLLAR] = ACTIONS(7291),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7293),
    [anon_sym_BSLASHleft] = ACTIONS(7291),
    [anon_sym_BSLASHbigl] = ACTIONS(7291),
    [anon_sym_BSLASHBigl] = ACTIONS(7291),
    [anon_sym_BSLASHbiggl] = ACTIONS(7291),
    [anon_sym_BSLASHBiggl] = ACTIONS(7291),
    [anon_sym_BSLASHtext] = ACTIONS(7291),
    [anon_sym_BSLASHintertext] = ACTIONS(7291),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7291),
    [anon_sym_BSLASHtitle] = ACTIONS(7291),
    [anon_sym_BSLASHauthor] = ACTIONS(7291),
    [anon_sym_BSLASHusepackage] = ACTIONS(7291),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7291),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7291),
    [anon_sym_BSLASHinclude] = ACTIONS(7291),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7291),
    [anon_sym_BSLASHinput] = ACTIONS(7291),
    [anon_sym_BSLASHsubfile] = ACTIONS(7291),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7291),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7291),
    [anon_sym_BSLASHbibliography] = ACTIONS(7291),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7291),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7291),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7291),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7291),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7291),
    [anon_sym_BSLASHimport] = ACTIONS(7291),
    [anon_sym_BSLASHsubimport] = ACTIONS(7291),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7291),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7291),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7291),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7291),
    [anon_sym_BSLASHcaption] = ACTIONS(7291),
    [anon_sym_BSLASHcite] = ACTIONS(7291),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCite] = ACTIONS(7291),
    [anon_sym_BSLASHnocite] = ACTIONS(7291),
    [anon_sym_BSLASHcitet] = ACTIONS(7291),
    [anon_sym_BSLASHcitep] = ACTIONS(7291),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteA] = ACTIONS(7291),
    [anon_sym_BSLASHciteR] = ACTIONS(7291),
    [anon_sym_BSLASHciteS] = ACTIONS(7291),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7291),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7291),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7291),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7291),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteyear] = ACTIONS(7291),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitedate] = ACTIONS(7291),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteurl] = ACTIONS(7291),
    [anon_sym_BSLASHfullcite] = ACTIONS(7291),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7291),
    [anon_sym_BSLASHcitealt] = ACTIONS(7291),
    [anon_sym_BSLASHcitealp] = ACTIONS(7291),
    [anon_sym_BSLASHcitetext] = ACTIONS(7291),
    [anon_sym_BSLASHparencite] = ACTIONS(7291),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHParencite] = ACTIONS(7291),
    [anon_sym_BSLASHfootcite] = ACTIONS(7291),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7291),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7291),
    [anon_sym_BSLASHtextcite] = ACTIONS(7291),
    [anon_sym_BSLASHTextcite] = ACTIONS(7291),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7291),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7291),
    [anon_sym_BSLASHsupercite] = ACTIONS(7291),
    [anon_sym_BSLASHautocite] = ACTIONS(7291),
    [anon_sym_BSLASHAutocite] = ACTIONS(7291),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHVolcite] = ACTIONS(7291),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHavolcite] = ACTIONS(7291),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHNotecite] = ACTIONS(7291),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHlabel] = ACTIONS(7291),
    [anon_sym_BSLASHref] = ACTIONS(7291),
    [anon_sym_BSLASHeqref] = ACTIONS(7291),
    [anon_sym_BSLASHvref] = ACTIONS(7291),
    [anon_sym_BSLASHVref] = ACTIONS(7291),
    [anon_sym_BSLASHautoref] = ACTIONS(7291),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHpageref] = ACTIONS(7291),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHautopageref] = ACTIONS(7291),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcref] = ACTIONS(7291),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCref] = ACTIONS(7291),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcpageref] = ACTIONS(7291),
    [anon_sym_BSLASHCpageref] = ACTIONS(7291),
    [anon_sym_BSLASHnamecref] = ACTIONS(7291),
    [anon_sym_BSLASHnameCref] = ACTIONS(7291),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7291),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7291),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7291),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7291),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7291),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7291),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7291),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7291),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7291),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7291),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7291),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHdef] = ACTIONS(7291),
    [anon_sym_BSLASHgdef] = ACTIONS(7291),
    [anon_sym_BSLASHedef] = ACTIONS(7291),
    [anon_sym_BSLASHxdef] = ACTIONS(7291),
    [anon_sym_BSLASHlet] = ACTIONS(7291),
    [anon_sym_BSLASHglet] = ACTIONS(7291),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7291),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7291),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7291),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7291),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7291),
    [anon_sym_BSLASHgls] = ACTIONS(7291),
    [anon_sym_BSLASHGls] = ACTIONS(7291),
    [anon_sym_BSLASHGLS] = ACTIONS(7291),
    [anon_sym_BSLASHglspl] = ACTIONS(7291),
    [anon_sym_BSLASHGlspl] = ACTIONS(7291),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7291),
    [anon_sym_BSLASHglslink] = ACTIONS(7291),
    [anon_sym_BSLASHglstext] = ACTIONS(7291),
    [anon_sym_BSLASHGlstext] = ACTIONS(7291),
    [anon_sym_BSLASHGLStext] = ACTIONS(7291),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7291),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7291),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7291),
    [anon_sym_BSLASHglsplural] = ACTIONS(7291),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7291),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7291),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHglsname] = ACTIONS(7291),
    [anon_sym_BSLASHGlsname] = ACTIONS(7291),
    [anon_sym_BSLASHGLSname] = ACTIONS(7291),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7291),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7291),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7291),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7291),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7291),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7291),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7291),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7291),
    [anon_sym_BSLASHacrshort] = ACTIONS(7291),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7291),
    [anon_sym_BSLASHACRshort] = ACTIONS(7291),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHacrlong] = ACTIONS(7291),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7291),
    [anon_sym_BSLASHACRlong] = ACTIONS(7291),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHacrfull] = ACTIONS(7291),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7291),
    [anon_sym_BSLASHACRfull] = ACTIONS(7291),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHacs] = ACTIONS(7291),
    [anon_sym_BSLASHAcs] = ACTIONS(7291),
    [anon_sym_BSLASHacsp] = ACTIONS(7291),
    [anon_sym_BSLASHAcsp] = ACTIONS(7291),
    [anon_sym_BSLASHacl] = ACTIONS(7291),
    [anon_sym_BSLASHAcl] = ACTIONS(7291),
    [anon_sym_BSLASHaclp] = ACTIONS(7291),
    [anon_sym_BSLASHAclp] = ACTIONS(7291),
    [anon_sym_BSLASHacf] = ACTIONS(7291),
    [anon_sym_BSLASHAcf] = ACTIONS(7291),
    [anon_sym_BSLASHacfp] = ACTIONS(7291),
    [anon_sym_BSLASHAcfp] = ACTIONS(7291),
    [anon_sym_BSLASHac] = ACTIONS(7291),
    [anon_sym_BSLASHAc] = ACTIONS(7291),
    [anon_sym_BSLASHacp] = ACTIONS(7291),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7291),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7291),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7291),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7291),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7291),
    [anon_sym_BSLASHcolor] = ACTIONS(7291),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7291),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7291),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7291),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7291),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7291),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7291),
    [anon_sym_BSLASHurl] = ACTIONS(7291),
    [anon_sym_BSLASHhref] = ACTIONS(7291),
  },
  [1957] = {
    [sym_command_name] = ACTIONS(7295),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7295),
    [anon_sym_LBRACK] = ACTIONS(7297),
    [anon_sym_RBRACK] = ACTIONS(7297),
    [anon_sym_COMMA] = ACTIONS(7297),
    [anon_sym_EQ] = ACTIONS(7297),
    [anon_sym_LPAREN] = ACTIONS(7297),
    [anon_sym_RPAREN] = ACTIONS(7297),
    [anon_sym_LBRACE] = ACTIONS(7297),
    [anon_sym_RBRACE] = ACTIONS(7297),
    [sym_word] = ACTIONS(7295),
    [sym_placeholder] = ACTIONS(7297),
    [sym_delimiter] = ACTIONS(7297),
    [anon_sym_PLUS] = ACTIONS(7297),
    [anon_sym_DASH] = ACTIONS(7297),
    [anon_sym_STAR] = ACTIONS(7297),
    [anon_sym_SLASH] = ACTIONS(7297),
    [anon_sym_LT] = ACTIONS(7295),
    [anon_sym_GT] = ACTIONS(7295),
    [anon_sym_BANG] = ACTIONS(7295),
    [anon_sym_PIPE] = ACTIONS(7295),
    [anon_sym_COLON] = ACTIONS(7295),
    [anon_sym_SQUOTE] = ACTIONS(7295),
    [anon_sym__] = ACTIONS(7297),
    [anon_sym_CARET] = ACTIONS(7297),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7297),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7297),
    [anon_sym_DOLLAR] = ACTIONS(7295),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7297),
    [anon_sym_BSLASHleft] = ACTIONS(7295),
    [anon_sym_BSLASHbigl] = ACTIONS(7295),
    [anon_sym_BSLASHBigl] = ACTIONS(7295),
    [anon_sym_BSLASHbiggl] = ACTIONS(7295),
    [anon_sym_BSLASHBiggl] = ACTIONS(7295),
    [anon_sym_BSLASHtext] = ACTIONS(7295),
    [anon_sym_BSLASHintertext] = ACTIONS(7295),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7295),
    [anon_sym_BSLASHtitle] = ACTIONS(7295),
    [anon_sym_BSLASHauthor] = ACTIONS(7295),
    [anon_sym_BSLASHusepackage] = ACTIONS(7295),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7295),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7295),
    [anon_sym_BSLASHinclude] = ACTIONS(7295),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7295),
    [anon_sym_BSLASHinput] = ACTIONS(7295),
    [anon_sym_BSLASHsubfile] = ACTIONS(7295),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7295),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7295),
    [anon_sym_BSLASHbibliography] = ACTIONS(7295),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7295),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7295),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7295),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7295),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7295),
    [anon_sym_BSLASHimport] = ACTIONS(7295),
    [anon_sym_BSLASHsubimport] = ACTIONS(7295),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7295),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7295),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7295),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7295),
    [anon_sym_BSLASHcaption] = ACTIONS(7295),
    [anon_sym_BSLASHcite] = ACTIONS(7295),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCite] = ACTIONS(7295),
    [anon_sym_BSLASHnocite] = ACTIONS(7295),
    [anon_sym_BSLASHcitet] = ACTIONS(7295),
    [anon_sym_BSLASHcitep] = ACTIONS(7295),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteA] = ACTIONS(7295),
    [anon_sym_BSLASHciteR] = ACTIONS(7295),
    [anon_sym_BSLASHciteS] = ACTIONS(7295),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7295),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7295),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7295),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7295),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteyear] = ACTIONS(7295),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitedate] = ACTIONS(7295),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteurl] = ACTIONS(7295),
    [anon_sym_BSLASHfullcite] = ACTIONS(7295),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7295),
    [anon_sym_BSLASHcitealt] = ACTIONS(7295),
    [anon_sym_BSLASHcitealp] = ACTIONS(7295),
    [anon_sym_BSLASHcitetext] = ACTIONS(7295),
    [anon_sym_BSLASHparencite] = ACTIONS(7295),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHParencite] = ACTIONS(7295),
    [anon_sym_BSLASHfootcite] = ACTIONS(7295),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7295),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7295),
    [anon_sym_BSLASHtextcite] = ACTIONS(7295),
    [anon_sym_BSLASHTextcite] = ACTIONS(7295),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7295),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7295),
    [anon_sym_BSLASHsupercite] = ACTIONS(7295),
    [anon_sym_BSLASHautocite] = ACTIONS(7295),
    [anon_sym_BSLASHAutocite] = ACTIONS(7295),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHVolcite] = ACTIONS(7295),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHavolcite] = ACTIONS(7295),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHNotecite] = ACTIONS(7295),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHlabel] = ACTIONS(7295),
    [anon_sym_BSLASHref] = ACTIONS(7295),
    [anon_sym_BSLASHeqref] = ACTIONS(7295),
    [anon_sym_BSLASHvref] = ACTIONS(7295),
    [anon_sym_BSLASHVref] = ACTIONS(7295),
    [anon_sym_BSLASHautoref] = ACTIONS(7295),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHpageref] = ACTIONS(7295),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHautopageref] = ACTIONS(7295),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcref] = ACTIONS(7295),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCref] = ACTIONS(7295),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcpageref] = ACTIONS(7295),
    [anon_sym_BSLASHCpageref] = ACTIONS(7295),
    [anon_sym_BSLASHnamecref] = ACTIONS(7295),
    [anon_sym_BSLASHnameCref] = ACTIONS(7295),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7295),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7295),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7295),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7295),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7295),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7295),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7295),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7295),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7295),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7295),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7295),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHdef] = ACTIONS(7295),
    [anon_sym_BSLASHgdef] = ACTIONS(7295),
    [anon_sym_BSLASHedef] = ACTIONS(7295),
    [anon_sym_BSLASHxdef] = ACTIONS(7295),
    [anon_sym_BSLASHlet] = ACTIONS(7295),
    [anon_sym_BSLASHglet] = ACTIONS(7295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7295),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7295),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7295),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7295),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7295),
    [anon_sym_BSLASHgls] = ACTIONS(7295),
    [anon_sym_BSLASHGls] = ACTIONS(7295),
    [anon_sym_BSLASHGLS] = ACTIONS(7295),
    [anon_sym_BSLASHglspl] = ACTIONS(7295),
    [anon_sym_BSLASHGlspl] = ACTIONS(7295),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7295),
    [anon_sym_BSLASHglslink] = ACTIONS(7295),
    [anon_sym_BSLASHglstext] = ACTIONS(7295),
    [anon_sym_BSLASHGlstext] = ACTIONS(7295),
    [anon_sym_BSLASHGLStext] = ACTIONS(7295),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7295),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7295),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7295),
    [anon_sym_BSLASHglsplural] = ACTIONS(7295),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7295),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7295),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHglsname] = ACTIONS(7295),
    [anon_sym_BSLASHGlsname] = ACTIONS(7295),
    [anon_sym_BSLASHGLSname] = ACTIONS(7295),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7295),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7295),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7295),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7295),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7295),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7295),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7295),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7295),
    [anon_sym_BSLASHacrshort] = ACTIONS(7295),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7295),
    [anon_sym_BSLASHACRshort] = ACTIONS(7295),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHacrlong] = ACTIONS(7295),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7295),
    [anon_sym_BSLASHACRlong] = ACTIONS(7295),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHacrfull] = ACTIONS(7295),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7295),
    [anon_sym_BSLASHACRfull] = ACTIONS(7295),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHacs] = ACTIONS(7295),
    [anon_sym_BSLASHAcs] = ACTIONS(7295),
    [anon_sym_BSLASHacsp] = ACTIONS(7295),
    [anon_sym_BSLASHAcsp] = ACTIONS(7295),
    [anon_sym_BSLASHacl] = ACTIONS(7295),
    [anon_sym_BSLASHAcl] = ACTIONS(7295),
    [anon_sym_BSLASHaclp] = ACTIONS(7295),
    [anon_sym_BSLASHAclp] = ACTIONS(7295),
    [anon_sym_BSLASHacf] = ACTIONS(7295),
    [anon_sym_BSLASHAcf] = ACTIONS(7295),
    [anon_sym_BSLASHacfp] = ACTIONS(7295),
    [anon_sym_BSLASHAcfp] = ACTIONS(7295),
    [anon_sym_BSLASHac] = ACTIONS(7295),
    [anon_sym_BSLASHAc] = ACTIONS(7295),
    [anon_sym_BSLASHacp] = ACTIONS(7295),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7295),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7295),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7295),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7295),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7295),
    [anon_sym_BSLASHcolor] = ACTIONS(7295),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7295),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7295),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7295),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7295),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7295),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7295),
    [anon_sym_BSLASHurl] = ACTIONS(7295),
    [anon_sym_BSLASHhref] = ACTIONS(7295),
  },
  [1958] = {
    [sym_command_name] = ACTIONS(7299),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7299),
    [anon_sym_LBRACK] = ACTIONS(7301),
    [anon_sym_RBRACK] = ACTIONS(7301),
    [anon_sym_COMMA] = ACTIONS(7301),
    [anon_sym_EQ] = ACTIONS(7301),
    [anon_sym_LPAREN] = ACTIONS(7301),
    [anon_sym_RPAREN] = ACTIONS(7301),
    [anon_sym_LBRACE] = ACTIONS(7301),
    [anon_sym_RBRACE] = ACTIONS(7301),
    [sym_word] = ACTIONS(7299),
    [sym_placeholder] = ACTIONS(7301),
    [sym_delimiter] = ACTIONS(7301),
    [anon_sym_PLUS] = ACTIONS(7301),
    [anon_sym_DASH] = ACTIONS(7301),
    [anon_sym_STAR] = ACTIONS(7301),
    [anon_sym_SLASH] = ACTIONS(7301),
    [anon_sym_LT] = ACTIONS(7299),
    [anon_sym_GT] = ACTIONS(7299),
    [anon_sym_BANG] = ACTIONS(7299),
    [anon_sym_PIPE] = ACTIONS(7299),
    [anon_sym_COLON] = ACTIONS(7299),
    [anon_sym_SQUOTE] = ACTIONS(7299),
    [anon_sym__] = ACTIONS(7301),
    [anon_sym_CARET] = ACTIONS(7301),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7301),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7301),
    [anon_sym_DOLLAR] = ACTIONS(7299),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7301),
    [anon_sym_BSLASHleft] = ACTIONS(7299),
    [anon_sym_BSLASHbigl] = ACTIONS(7299),
    [anon_sym_BSLASHBigl] = ACTIONS(7299),
    [anon_sym_BSLASHbiggl] = ACTIONS(7299),
    [anon_sym_BSLASHBiggl] = ACTIONS(7299),
    [anon_sym_BSLASHtext] = ACTIONS(7299),
    [anon_sym_BSLASHintertext] = ACTIONS(7299),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7299),
    [anon_sym_BSLASHtitle] = ACTIONS(7299),
    [anon_sym_BSLASHauthor] = ACTIONS(7299),
    [anon_sym_BSLASHusepackage] = ACTIONS(7299),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7299),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7299),
    [anon_sym_BSLASHinclude] = ACTIONS(7299),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7299),
    [anon_sym_BSLASHinput] = ACTIONS(7299),
    [anon_sym_BSLASHsubfile] = ACTIONS(7299),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7299),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7299),
    [anon_sym_BSLASHbibliography] = ACTIONS(7299),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7299),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7299),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7299),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7299),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7299),
    [anon_sym_BSLASHimport] = ACTIONS(7299),
    [anon_sym_BSLASHsubimport] = ACTIONS(7299),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7299),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7299),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7299),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7299),
    [anon_sym_BSLASHcaption] = ACTIONS(7299),
    [anon_sym_BSLASHcite] = ACTIONS(7299),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCite] = ACTIONS(7299),
    [anon_sym_BSLASHnocite] = ACTIONS(7299),
    [anon_sym_BSLASHcitet] = ACTIONS(7299),
    [anon_sym_BSLASHcitep] = ACTIONS(7299),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteA] = ACTIONS(7299),
    [anon_sym_BSLASHciteR] = ACTIONS(7299),
    [anon_sym_BSLASHciteS] = ACTIONS(7299),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7299),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7299),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7299),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7299),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteyear] = ACTIONS(7299),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitedate] = ACTIONS(7299),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteurl] = ACTIONS(7299),
    [anon_sym_BSLASHfullcite] = ACTIONS(7299),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7299),
    [anon_sym_BSLASHcitealt] = ACTIONS(7299),
    [anon_sym_BSLASHcitealp] = ACTIONS(7299),
    [anon_sym_BSLASHcitetext] = ACTIONS(7299),
    [anon_sym_BSLASHparencite] = ACTIONS(7299),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHParencite] = ACTIONS(7299),
    [anon_sym_BSLASHfootcite] = ACTIONS(7299),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7299),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7299),
    [anon_sym_BSLASHtextcite] = ACTIONS(7299),
    [anon_sym_BSLASHTextcite] = ACTIONS(7299),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7299),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7299),
    [anon_sym_BSLASHsupercite] = ACTIONS(7299),
    [anon_sym_BSLASHautocite] = ACTIONS(7299),
    [anon_sym_BSLASHAutocite] = ACTIONS(7299),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHVolcite] = ACTIONS(7299),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHavolcite] = ACTIONS(7299),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHNotecite] = ACTIONS(7299),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHlabel] = ACTIONS(7299),
    [anon_sym_BSLASHref] = ACTIONS(7299),
    [anon_sym_BSLASHeqref] = ACTIONS(7299),
    [anon_sym_BSLASHvref] = ACTIONS(7299),
    [anon_sym_BSLASHVref] = ACTIONS(7299),
    [anon_sym_BSLASHautoref] = ACTIONS(7299),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHpageref] = ACTIONS(7299),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHautopageref] = ACTIONS(7299),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcref] = ACTIONS(7299),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCref] = ACTIONS(7299),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcpageref] = ACTIONS(7299),
    [anon_sym_BSLASHCpageref] = ACTIONS(7299),
    [anon_sym_BSLASHnamecref] = ACTIONS(7299),
    [anon_sym_BSLASHnameCref] = ACTIONS(7299),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7299),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7299),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7299),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7299),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7299),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7299),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7299),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7299),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7299),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7299),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7299),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHdef] = ACTIONS(7299),
    [anon_sym_BSLASHgdef] = ACTIONS(7299),
    [anon_sym_BSLASHedef] = ACTIONS(7299),
    [anon_sym_BSLASHxdef] = ACTIONS(7299),
    [anon_sym_BSLASHlet] = ACTIONS(7299),
    [anon_sym_BSLASHglet] = ACTIONS(7299),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7299),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7299),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7299),
    [anon_sym_BSLASHgls] = ACTIONS(7299),
    [anon_sym_BSLASHGls] = ACTIONS(7299),
    [anon_sym_BSLASHGLS] = ACTIONS(7299),
    [anon_sym_BSLASHglspl] = ACTIONS(7299),
    [anon_sym_BSLASHGlspl] = ACTIONS(7299),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7299),
    [anon_sym_BSLASHglslink] = ACTIONS(7299),
    [anon_sym_BSLASHglstext] = ACTIONS(7299),
    [anon_sym_BSLASHGlstext] = ACTIONS(7299),
    [anon_sym_BSLASHGLStext] = ACTIONS(7299),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7299),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7299),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7299),
    [anon_sym_BSLASHglsplural] = ACTIONS(7299),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7299),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7299),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHglsname] = ACTIONS(7299),
    [anon_sym_BSLASHGlsname] = ACTIONS(7299),
    [anon_sym_BSLASHGLSname] = ACTIONS(7299),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7299),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7299),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7299),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7299),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7299),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7299),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7299),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7299),
    [anon_sym_BSLASHacrshort] = ACTIONS(7299),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7299),
    [anon_sym_BSLASHACRshort] = ACTIONS(7299),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHacrlong] = ACTIONS(7299),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7299),
    [anon_sym_BSLASHACRlong] = ACTIONS(7299),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHacrfull] = ACTIONS(7299),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7299),
    [anon_sym_BSLASHACRfull] = ACTIONS(7299),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHacs] = ACTIONS(7299),
    [anon_sym_BSLASHAcs] = ACTIONS(7299),
    [anon_sym_BSLASHacsp] = ACTIONS(7299),
    [anon_sym_BSLASHAcsp] = ACTIONS(7299),
    [anon_sym_BSLASHacl] = ACTIONS(7299),
    [anon_sym_BSLASHAcl] = ACTIONS(7299),
    [anon_sym_BSLASHaclp] = ACTIONS(7299),
    [anon_sym_BSLASHAclp] = ACTIONS(7299),
    [anon_sym_BSLASHacf] = ACTIONS(7299),
    [anon_sym_BSLASHAcf] = ACTIONS(7299),
    [anon_sym_BSLASHacfp] = ACTIONS(7299),
    [anon_sym_BSLASHAcfp] = ACTIONS(7299),
    [anon_sym_BSLASHac] = ACTIONS(7299),
    [anon_sym_BSLASHAc] = ACTIONS(7299),
    [anon_sym_BSLASHacp] = ACTIONS(7299),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7299),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7299),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7299),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7299),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7299),
    [anon_sym_BSLASHcolor] = ACTIONS(7299),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7299),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7299),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7299),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7299),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7299),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7299),
    [anon_sym_BSLASHurl] = ACTIONS(7299),
    [anon_sym_BSLASHhref] = ACTIONS(7299),
  },
  [1959] = {
    [sym_command_name] = ACTIONS(7303),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7303),
    [anon_sym_LBRACK] = ACTIONS(7305),
    [anon_sym_RBRACK] = ACTIONS(7305),
    [anon_sym_COMMA] = ACTIONS(7305),
    [anon_sym_EQ] = ACTIONS(7305),
    [anon_sym_LPAREN] = ACTIONS(7305),
    [anon_sym_RPAREN] = ACTIONS(7305),
    [anon_sym_LBRACE] = ACTIONS(7305),
    [anon_sym_RBRACE] = ACTIONS(7305),
    [sym_word] = ACTIONS(7303),
    [sym_placeholder] = ACTIONS(7305),
    [sym_delimiter] = ACTIONS(7305),
    [anon_sym_PLUS] = ACTIONS(7305),
    [anon_sym_DASH] = ACTIONS(7305),
    [anon_sym_STAR] = ACTIONS(7305),
    [anon_sym_SLASH] = ACTIONS(7305),
    [anon_sym_LT] = ACTIONS(7303),
    [anon_sym_GT] = ACTIONS(7303),
    [anon_sym_BANG] = ACTIONS(7303),
    [anon_sym_PIPE] = ACTIONS(7303),
    [anon_sym_COLON] = ACTIONS(7303),
    [anon_sym_SQUOTE] = ACTIONS(7303),
    [anon_sym__] = ACTIONS(7305),
    [anon_sym_CARET] = ACTIONS(7305),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7305),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7305),
    [anon_sym_DOLLAR] = ACTIONS(7303),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7305),
    [anon_sym_BSLASHleft] = ACTIONS(7303),
    [anon_sym_BSLASHbigl] = ACTIONS(7303),
    [anon_sym_BSLASHBigl] = ACTIONS(7303),
    [anon_sym_BSLASHbiggl] = ACTIONS(7303),
    [anon_sym_BSLASHBiggl] = ACTIONS(7303),
    [anon_sym_BSLASHtext] = ACTIONS(7303),
    [anon_sym_BSLASHintertext] = ACTIONS(7303),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7303),
    [anon_sym_BSLASHtitle] = ACTIONS(7303),
    [anon_sym_BSLASHauthor] = ACTIONS(7303),
    [anon_sym_BSLASHusepackage] = ACTIONS(7303),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7303),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7303),
    [anon_sym_BSLASHinclude] = ACTIONS(7303),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7303),
    [anon_sym_BSLASHinput] = ACTIONS(7303),
    [anon_sym_BSLASHsubfile] = ACTIONS(7303),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7303),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7303),
    [anon_sym_BSLASHbibliography] = ACTIONS(7303),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7303),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7303),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7303),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7303),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7303),
    [anon_sym_BSLASHimport] = ACTIONS(7303),
    [anon_sym_BSLASHsubimport] = ACTIONS(7303),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7303),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7303),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7303),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7303),
    [anon_sym_BSLASHcaption] = ACTIONS(7303),
    [anon_sym_BSLASHcite] = ACTIONS(7303),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCite] = ACTIONS(7303),
    [anon_sym_BSLASHnocite] = ACTIONS(7303),
    [anon_sym_BSLASHcitet] = ACTIONS(7303),
    [anon_sym_BSLASHcitep] = ACTIONS(7303),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteA] = ACTIONS(7303),
    [anon_sym_BSLASHciteR] = ACTIONS(7303),
    [anon_sym_BSLASHciteS] = ACTIONS(7303),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7303),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7303),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7303),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7303),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteyear] = ACTIONS(7303),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitedate] = ACTIONS(7303),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteurl] = ACTIONS(7303),
    [anon_sym_BSLASHfullcite] = ACTIONS(7303),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7303),
    [anon_sym_BSLASHcitealt] = ACTIONS(7303),
    [anon_sym_BSLASHcitealp] = ACTIONS(7303),
    [anon_sym_BSLASHcitetext] = ACTIONS(7303),
    [anon_sym_BSLASHparencite] = ACTIONS(7303),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHParencite] = ACTIONS(7303),
    [anon_sym_BSLASHfootcite] = ACTIONS(7303),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7303),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7303),
    [anon_sym_BSLASHtextcite] = ACTIONS(7303),
    [anon_sym_BSLASHTextcite] = ACTIONS(7303),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7303),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7303),
    [anon_sym_BSLASHsupercite] = ACTIONS(7303),
    [anon_sym_BSLASHautocite] = ACTIONS(7303),
    [anon_sym_BSLASHAutocite] = ACTIONS(7303),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHVolcite] = ACTIONS(7303),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHavolcite] = ACTIONS(7303),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHNotecite] = ACTIONS(7303),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHlabel] = ACTIONS(7303),
    [anon_sym_BSLASHref] = ACTIONS(7303),
    [anon_sym_BSLASHeqref] = ACTIONS(7303),
    [anon_sym_BSLASHvref] = ACTIONS(7303),
    [anon_sym_BSLASHVref] = ACTIONS(7303),
    [anon_sym_BSLASHautoref] = ACTIONS(7303),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHpageref] = ACTIONS(7303),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHautopageref] = ACTIONS(7303),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcref] = ACTIONS(7303),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCref] = ACTIONS(7303),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcpageref] = ACTIONS(7303),
    [anon_sym_BSLASHCpageref] = ACTIONS(7303),
    [anon_sym_BSLASHnamecref] = ACTIONS(7303),
    [anon_sym_BSLASHnameCref] = ACTIONS(7303),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7303),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7303),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7303),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7303),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7303),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7303),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7303),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7303),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7303),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7303),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7303),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHdef] = ACTIONS(7303),
    [anon_sym_BSLASHgdef] = ACTIONS(7303),
    [anon_sym_BSLASHedef] = ACTIONS(7303),
    [anon_sym_BSLASHxdef] = ACTIONS(7303),
    [anon_sym_BSLASHlet] = ACTIONS(7303),
    [anon_sym_BSLASHglet] = ACTIONS(7303),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7303),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7303),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7303),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7303),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7303),
    [anon_sym_BSLASHgls] = ACTIONS(7303),
    [anon_sym_BSLASHGls] = ACTIONS(7303),
    [anon_sym_BSLASHGLS] = ACTIONS(7303),
    [anon_sym_BSLASHglspl] = ACTIONS(7303),
    [anon_sym_BSLASHGlspl] = ACTIONS(7303),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7303),
    [anon_sym_BSLASHglslink] = ACTIONS(7303),
    [anon_sym_BSLASHglstext] = ACTIONS(7303),
    [anon_sym_BSLASHGlstext] = ACTIONS(7303),
    [anon_sym_BSLASHGLStext] = ACTIONS(7303),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7303),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7303),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7303),
    [anon_sym_BSLASHglsplural] = ACTIONS(7303),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7303),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7303),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHglsname] = ACTIONS(7303),
    [anon_sym_BSLASHGlsname] = ACTIONS(7303),
    [anon_sym_BSLASHGLSname] = ACTIONS(7303),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7303),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7303),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7303),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7303),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7303),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7303),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7303),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7303),
    [anon_sym_BSLASHacrshort] = ACTIONS(7303),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7303),
    [anon_sym_BSLASHACRshort] = ACTIONS(7303),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHacrlong] = ACTIONS(7303),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7303),
    [anon_sym_BSLASHACRlong] = ACTIONS(7303),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHacrfull] = ACTIONS(7303),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7303),
    [anon_sym_BSLASHACRfull] = ACTIONS(7303),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHacs] = ACTIONS(7303),
    [anon_sym_BSLASHAcs] = ACTIONS(7303),
    [anon_sym_BSLASHacsp] = ACTIONS(7303),
    [anon_sym_BSLASHAcsp] = ACTIONS(7303),
    [anon_sym_BSLASHacl] = ACTIONS(7303),
    [anon_sym_BSLASHAcl] = ACTIONS(7303),
    [anon_sym_BSLASHaclp] = ACTIONS(7303),
    [anon_sym_BSLASHAclp] = ACTIONS(7303),
    [anon_sym_BSLASHacf] = ACTIONS(7303),
    [anon_sym_BSLASHAcf] = ACTIONS(7303),
    [anon_sym_BSLASHacfp] = ACTIONS(7303),
    [anon_sym_BSLASHAcfp] = ACTIONS(7303),
    [anon_sym_BSLASHac] = ACTIONS(7303),
    [anon_sym_BSLASHAc] = ACTIONS(7303),
    [anon_sym_BSLASHacp] = ACTIONS(7303),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7303),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7303),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7303),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7303),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7303),
    [anon_sym_BSLASHcolor] = ACTIONS(7303),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7303),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7303),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7303),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7303),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7303),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7303),
    [anon_sym_BSLASHurl] = ACTIONS(7303),
    [anon_sym_BSLASHhref] = ACTIONS(7303),
  },
  [1960] = {
    [sym_command_name] = ACTIONS(7307),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7307),
    [anon_sym_LBRACK] = ACTIONS(7309),
    [anon_sym_RBRACK] = ACTIONS(7309),
    [anon_sym_COMMA] = ACTIONS(7309),
    [anon_sym_EQ] = ACTIONS(7309),
    [anon_sym_LPAREN] = ACTIONS(7309),
    [anon_sym_RPAREN] = ACTIONS(7309),
    [anon_sym_LBRACE] = ACTIONS(7309),
    [anon_sym_RBRACE] = ACTIONS(7309),
    [sym_word] = ACTIONS(7307),
    [sym_placeholder] = ACTIONS(7309),
    [sym_delimiter] = ACTIONS(7309),
    [anon_sym_PLUS] = ACTIONS(7309),
    [anon_sym_DASH] = ACTIONS(7309),
    [anon_sym_STAR] = ACTIONS(7309),
    [anon_sym_SLASH] = ACTIONS(7309),
    [anon_sym_LT] = ACTIONS(7307),
    [anon_sym_GT] = ACTIONS(7307),
    [anon_sym_BANG] = ACTIONS(7307),
    [anon_sym_PIPE] = ACTIONS(7307),
    [anon_sym_COLON] = ACTIONS(7307),
    [anon_sym_SQUOTE] = ACTIONS(7307),
    [anon_sym__] = ACTIONS(7309),
    [anon_sym_CARET] = ACTIONS(7309),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7309),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7309),
    [anon_sym_DOLLAR] = ACTIONS(7307),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7309),
    [anon_sym_BSLASHleft] = ACTIONS(7307),
    [anon_sym_BSLASHbigl] = ACTIONS(7307),
    [anon_sym_BSLASHBigl] = ACTIONS(7307),
    [anon_sym_BSLASHbiggl] = ACTIONS(7307),
    [anon_sym_BSLASHBiggl] = ACTIONS(7307),
    [anon_sym_BSLASHtext] = ACTIONS(7307),
    [anon_sym_BSLASHintertext] = ACTIONS(7307),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7307),
    [anon_sym_BSLASHtitle] = ACTIONS(7307),
    [anon_sym_BSLASHauthor] = ACTIONS(7307),
    [anon_sym_BSLASHusepackage] = ACTIONS(7307),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7307),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7307),
    [anon_sym_BSLASHinclude] = ACTIONS(7307),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7307),
    [anon_sym_BSLASHinput] = ACTIONS(7307),
    [anon_sym_BSLASHsubfile] = ACTIONS(7307),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7307),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7307),
    [anon_sym_BSLASHbibliography] = ACTIONS(7307),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7307),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7307),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7307),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7307),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7307),
    [anon_sym_BSLASHimport] = ACTIONS(7307),
    [anon_sym_BSLASHsubimport] = ACTIONS(7307),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7307),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7307),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7307),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7307),
    [anon_sym_BSLASHcaption] = ACTIONS(7307),
    [anon_sym_BSLASHcite] = ACTIONS(7307),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCite] = ACTIONS(7307),
    [anon_sym_BSLASHnocite] = ACTIONS(7307),
    [anon_sym_BSLASHcitet] = ACTIONS(7307),
    [anon_sym_BSLASHcitep] = ACTIONS(7307),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteA] = ACTIONS(7307),
    [anon_sym_BSLASHciteR] = ACTIONS(7307),
    [anon_sym_BSLASHciteS] = ACTIONS(7307),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7307),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7307),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7307),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7307),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteyear] = ACTIONS(7307),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitedate] = ACTIONS(7307),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteurl] = ACTIONS(7307),
    [anon_sym_BSLASHfullcite] = ACTIONS(7307),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7307),
    [anon_sym_BSLASHcitealt] = ACTIONS(7307),
    [anon_sym_BSLASHcitealp] = ACTIONS(7307),
    [anon_sym_BSLASHcitetext] = ACTIONS(7307),
    [anon_sym_BSLASHparencite] = ACTIONS(7307),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHParencite] = ACTIONS(7307),
    [anon_sym_BSLASHfootcite] = ACTIONS(7307),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7307),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7307),
    [anon_sym_BSLASHtextcite] = ACTIONS(7307),
    [anon_sym_BSLASHTextcite] = ACTIONS(7307),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7307),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7307),
    [anon_sym_BSLASHsupercite] = ACTIONS(7307),
    [anon_sym_BSLASHautocite] = ACTIONS(7307),
    [anon_sym_BSLASHAutocite] = ACTIONS(7307),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHVolcite] = ACTIONS(7307),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHavolcite] = ACTIONS(7307),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHNotecite] = ACTIONS(7307),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHlabel] = ACTIONS(7307),
    [anon_sym_BSLASHref] = ACTIONS(7307),
    [anon_sym_BSLASHeqref] = ACTIONS(7307),
    [anon_sym_BSLASHvref] = ACTIONS(7307),
    [anon_sym_BSLASHVref] = ACTIONS(7307),
    [anon_sym_BSLASHautoref] = ACTIONS(7307),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHpageref] = ACTIONS(7307),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHautopageref] = ACTIONS(7307),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcref] = ACTIONS(7307),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCref] = ACTIONS(7307),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcpageref] = ACTIONS(7307),
    [anon_sym_BSLASHCpageref] = ACTIONS(7307),
    [anon_sym_BSLASHnamecref] = ACTIONS(7307),
    [anon_sym_BSLASHnameCref] = ACTIONS(7307),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7307),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7307),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7307),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7307),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7307),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7307),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7307),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7307),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7307),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7307),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7307),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHdef] = ACTIONS(7307),
    [anon_sym_BSLASHgdef] = ACTIONS(7307),
    [anon_sym_BSLASHedef] = ACTIONS(7307),
    [anon_sym_BSLASHxdef] = ACTIONS(7307),
    [anon_sym_BSLASHlet] = ACTIONS(7307),
    [anon_sym_BSLASHglet] = ACTIONS(7307),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7307),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7307),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7307),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7307),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7307),
    [anon_sym_BSLASHgls] = ACTIONS(7307),
    [anon_sym_BSLASHGls] = ACTIONS(7307),
    [anon_sym_BSLASHGLS] = ACTIONS(7307),
    [anon_sym_BSLASHglspl] = ACTIONS(7307),
    [anon_sym_BSLASHGlspl] = ACTIONS(7307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7307),
    [anon_sym_BSLASHglslink] = ACTIONS(7307),
    [anon_sym_BSLASHglstext] = ACTIONS(7307),
    [anon_sym_BSLASHGlstext] = ACTIONS(7307),
    [anon_sym_BSLASHGLStext] = ACTIONS(7307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7307),
    [anon_sym_BSLASHglsplural] = ACTIONS(7307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHglsname] = ACTIONS(7307),
    [anon_sym_BSLASHGlsname] = ACTIONS(7307),
    [anon_sym_BSLASHGLSname] = ACTIONS(7307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7307),
    [anon_sym_BSLASHacrshort] = ACTIONS(7307),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7307),
    [anon_sym_BSLASHACRshort] = ACTIONS(7307),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHacrlong] = ACTIONS(7307),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7307),
    [anon_sym_BSLASHACRlong] = ACTIONS(7307),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHacrfull] = ACTIONS(7307),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7307),
    [anon_sym_BSLASHACRfull] = ACTIONS(7307),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHacs] = ACTIONS(7307),
    [anon_sym_BSLASHAcs] = ACTIONS(7307),
    [anon_sym_BSLASHacsp] = ACTIONS(7307),
    [anon_sym_BSLASHAcsp] = ACTIONS(7307),
    [anon_sym_BSLASHacl] = ACTIONS(7307),
    [anon_sym_BSLASHAcl] = ACTIONS(7307),
    [anon_sym_BSLASHaclp] = ACTIONS(7307),
    [anon_sym_BSLASHAclp] = ACTIONS(7307),
    [anon_sym_BSLASHacf] = ACTIONS(7307),
    [anon_sym_BSLASHAcf] = ACTIONS(7307),
    [anon_sym_BSLASHacfp] = ACTIONS(7307),
    [anon_sym_BSLASHAcfp] = ACTIONS(7307),
    [anon_sym_BSLASHac] = ACTIONS(7307),
    [anon_sym_BSLASHAc] = ACTIONS(7307),
    [anon_sym_BSLASHacp] = ACTIONS(7307),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7307),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7307),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7307),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7307),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7307),
    [anon_sym_BSLASHcolor] = ACTIONS(7307),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7307),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7307),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7307),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7307),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7307),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7307),
    [anon_sym_BSLASHurl] = ACTIONS(7307),
    [anon_sym_BSLASHhref] = ACTIONS(7307),
  },
  [1961] = {
    [sym_command_name] = ACTIONS(7311),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7311),
    [anon_sym_LBRACK] = ACTIONS(7313),
    [anon_sym_RBRACK] = ACTIONS(7313),
    [anon_sym_COMMA] = ACTIONS(7313),
    [anon_sym_EQ] = ACTIONS(7313),
    [anon_sym_LPAREN] = ACTIONS(7313),
    [anon_sym_RPAREN] = ACTIONS(7313),
    [anon_sym_LBRACE] = ACTIONS(7313),
    [anon_sym_RBRACE] = ACTIONS(7313),
    [sym_word] = ACTIONS(7311),
    [sym_placeholder] = ACTIONS(7313),
    [sym_delimiter] = ACTIONS(7313),
    [anon_sym_PLUS] = ACTIONS(7313),
    [anon_sym_DASH] = ACTIONS(7313),
    [anon_sym_STAR] = ACTIONS(7313),
    [anon_sym_SLASH] = ACTIONS(7313),
    [anon_sym_LT] = ACTIONS(7311),
    [anon_sym_GT] = ACTIONS(7311),
    [anon_sym_BANG] = ACTIONS(7311),
    [anon_sym_PIPE] = ACTIONS(7311),
    [anon_sym_COLON] = ACTIONS(7311),
    [anon_sym_SQUOTE] = ACTIONS(7311),
    [anon_sym__] = ACTIONS(7313),
    [anon_sym_CARET] = ACTIONS(7313),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7313),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7313),
    [anon_sym_DOLLAR] = ACTIONS(7311),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7313),
    [anon_sym_BSLASHleft] = ACTIONS(7311),
    [anon_sym_BSLASHbigl] = ACTIONS(7311),
    [anon_sym_BSLASHBigl] = ACTIONS(7311),
    [anon_sym_BSLASHbiggl] = ACTIONS(7311),
    [anon_sym_BSLASHBiggl] = ACTIONS(7311),
    [anon_sym_BSLASHtext] = ACTIONS(7311),
    [anon_sym_BSLASHintertext] = ACTIONS(7311),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7311),
    [anon_sym_BSLASHtitle] = ACTIONS(7311),
    [anon_sym_BSLASHauthor] = ACTIONS(7311),
    [anon_sym_BSLASHusepackage] = ACTIONS(7311),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7311),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7311),
    [anon_sym_BSLASHinclude] = ACTIONS(7311),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7311),
    [anon_sym_BSLASHinput] = ACTIONS(7311),
    [anon_sym_BSLASHsubfile] = ACTIONS(7311),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7311),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7311),
    [anon_sym_BSLASHbibliography] = ACTIONS(7311),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7311),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7311),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7311),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7311),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7311),
    [anon_sym_BSLASHimport] = ACTIONS(7311),
    [anon_sym_BSLASHsubimport] = ACTIONS(7311),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7311),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7311),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7311),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7311),
    [anon_sym_BSLASHcaption] = ACTIONS(7311),
    [anon_sym_BSLASHcite] = ACTIONS(7311),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCite] = ACTIONS(7311),
    [anon_sym_BSLASHnocite] = ACTIONS(7311),
    [anon_sym_BSLASHcitet] = ACTIONS(7311),
    [anon_sym_BSLASHcitep] = ACTIONS(7311),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteA] = ACTIONS(7311),
    [anon_sym_BSLASHciteR] = ACTIONS(7311),
    [anon_sym_BSLASHciteS] = ACTIONS(7311),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7311),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7311),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7311),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7311),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteyear] = ACTIONS(7311),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitedate] = ACTIONS(7311),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteurl] = ACTIONS(7311),
    [anon_sym_BSLASHfullcite] = ACTIONS(7311),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7311),
    [anon_sym_BSLASHcitealt] = ACTIONS(7311),
    [anon_sym_BSLASHcitealp] = ACTIONS(7311),
    [anon_sym_BSLASHcitetext] = ACTIONS(7311),
    [anon_sym_BSLASHparencite] = ACTIONS(7311),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHParencite] = ACTIONS(7311),
    [anon_sym_BSLASHfootcite] = ACTIONS(7311),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7311),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7311),
    [anon_sym_BSLASHtextcite] = ACTIONS(7311),
    [anon_sym_BSLASHTextcite] = ACTIONS(7311),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7311),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7311),
    [anon_sym_BSLASHsupercite] = ACTIONS(7311),
    [anon_sym_BSLASHautocite] = ACTIONS(7311),
    [anon_sym_BSLASHAutocite] = ACTIONS(7311),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHVolcite] = ACTIONS(7311),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHavolcite] = ACTIONS(7311),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHNotecite] = ACTIONS(7311),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHlabel] = ACTIONS(7311),
    [anon_sym_BSLASHref] = ACTIONS(7311),
    [anon_sym_BSLASHeqref] = ACTIONS(7311),
    [anon_sym_BSLASHvref] = ACTIONS(7311),
    [anon_sym_BSLASHVref] = ACTIONS(7311),
    [anon_sym_BSLASHautoref] = ACTIONS(7311),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHpageref] = ACTIONS(7311),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHautopageref] = ACTIONS(7311),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcref] = ACTIONS(7311),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCref] = ACTIONS(7311),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcpageref] = ACTIONS(7311),
    [anon_sym_BSLASHCpageref] = ACTIONS(7311),
    [anon_sym_BSLASHnamecref] = ACTIONS(7311),
    [anon_sym_BSLASHnameCref] = ACTIONS(7311),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7311),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7311),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7311),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7311),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7311),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7311),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7311),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7311),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7311),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7311),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7311),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHdef] = ACTIONS(7311),
    [anon_sym_BSLASHgdef] = ACTIONS(7311),
    [anon_sym_BSLASHedef] = ACTIONS(7311),
    [anon_sym_BSLASHxdef] = ACTIONS(7311),
    [anon_sym_BSLASHlet] = ACTIONS(7311),
    [anon_sym_BSLASHglet] = ACTIONS(7311),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7311),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7311),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7311),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7311),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7311),
    [anon_sym_BSLASHgls] = ACTIONS(7311),
    [anon_sym_BSLASHGls] = ACTIONS(7311),
    [anon_sym_BSLASHGLS] = ACTIONS(7311),
    [anon_sym_BSLASHglspl] = ACTIONS(7311),
    [anon_sym_BSLASHGlspl] = ACTIONS(7311),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7311),
    [anon_sym_BSLASHglslink] = ACTIONS(7311),
    [anon_sym_BSLASHglstext] = ACTIONS(7311),
    [anon_sym_BSLASHGlstext] = ACTIONS(7311),
    [anon_sym_BSLASHGLStext] = ACTIONS(7311),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7311),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7311),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7311),
    [anon_sym_BSLASHglsplural] = ACTIONS(7311),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7311),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7311),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHglsname] = ACTIONS(7311),
    [anon_sym_BSLASHGlsname] = ACTIONS(7311),
    [anon_sym_BSLASHGLSname] = ACTIONS(7311),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7311),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7311),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7311),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7311),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7311),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7311),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7311),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7311),
    [anon_sym_BSLASHacrshort] = ACTIONS(7311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7311),
    [anon_sym_BSLASHACRshort] = ACTIONS(7311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHacrlong] = ACTIONS(7311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7311),
    [anon_sym_BSLASHACRlong] = ACTIONS(7311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHacrfull] = ACTIONS(7311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7311),
    [anon_sym_BSLASHACRfull] = ACTIONS(7311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHacs] = ACTIONS(7311),
    [anon_sym_BSLASHAcs] = ACTIONS(7311),
    [anon_sym_BSLASHacsp] = ACTIONS(7311),
    [anon_sym_BSLASHAcsp] = ACTIONS(7311),
    [anon_sym_BSLASHacl] = ACTIONS(7311),
    [anon_sym_BSLASHAcl] = ACTIONS(7311),
    [anon_sym_BSLASHaclp] = ACTIONS(7311),
    [anon_sym_BSLASHAclp] = ACTIONS(7311),
    [anon_sym_BSLASHacf] = ACTIONS(7311),
    [anon_sym_BSLASHAcf] = ACTIONS(7311),
    [anon_sym_BSLASHacfp] = ACTIONS(7311),
    [anon_sym_BSLASHAcfp] = ACTIONS(7311),
    [anon_sym_BSLASHac] = ACTIONS(7311),
    [anon_sym_BSLASHAc] = ACTIONS(7311),
    [anon_sym_BSLASHacp] = ACTIONS(7311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7311),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7311),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7311),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7311),
    [anon_sym_BSLASHcolor] = ACTIONS(7311),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7311),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7311),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7311),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7311),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7311),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7311),
    [anon_sym_BSLASHurl] = ACTIONS(7311),
    [anon_sym_BSLASHhref] = ACTIONS(7311),
  },
  [1962] = {
    [sym_command_name] = ACTIONS(7547),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7547),
    [anon_sym_LBRACK] = ACTIONS(7549),
    [anon_sym_RBRACK] = ACTIONS(7549),
    [anon_sym_COMMA] = ACTIONS(7549),
    [anon_sym_EQ] = ACTIONS(7549),
    [anon_sym_LPAREN] = ACTIONS(7549),
    [anon_sym_RPAREN] = ACTIONS(7549),
    [anon_sym_LBRACE] = ACTIONS(7549),
    [sym_word] = ACTIONS(7547),
    [sym_placeholder] = ACTIONS(7549),
    [sym_delimiter] = ACTIONS(7549),
    [anon_sym_PLUS] = ACTIONS(7549),
    [anon_sym_DASH] = ACTIONS(7549),
    [anon_sym_STAR] = ACTIONS(7549),
    [anon_sym_SLASH] = ACTIONS(7549),
    [anon_sym_LT] = ACTIONS(7547),
    [anon_sym_GT] = ACTIONS(7547),
    [anon_sym_BANG] = ACTIONS(7547),
    [anon_sym_PIPE] = ACTIONS(7547),
    [anon_sym_COLON] = ACTIONS(7547),
    [anon_sym_SQUOTE] = ACTIONS(7547),
    [anon_sym__] = ACTIONS(7549),
    [anon_sym_CARET] = ACTIONS(7549),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7549),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7549),
    [anon_sym_DOLLAR] = ACTIONS(7547),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7549),
    [anon_sym_BSLASHleft] = ACTIONS(7547),
    [anon_sym_BSLASHbigl] = ACTIONS(7547),
    [anon_sym_BSLASHBigl] = ACTIONS(7547),
    [anon_sym_BSLASHbiggl] = ACTIONS(7547),
    [anon_sym_BSLASHBiggl] = ACTIONS(7547),
    [anon_sym_BSLASHtext] = ACTIONS(7547),
    [anon_sym_BSLASHintertext] = ACTIONS(7547),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7547),
    [anon_sym_BSLASHbegin] = ACTIONS(7547),
    [anon_sym_BSLASHtitle] = ACTIONS(7547),
    [anon_sym_BSLASHauthor] = ACTIONS(7547),
    [anon_sym_BSLASHusepackage] = ACTIONS(7547),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7547),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7547),
    [anon_sym_BSLASHinclude] = ACTIONS(7547),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7547),
    [anon_sym_BSLASHinput] = ACTIONS(7547),
    [anon_sym_BSLASHsubfile] = ACTIONS(7547),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7547),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7547),
    [anon_sym_BSLASHbibliography] = ACTIONS(7547),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7547),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7547),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7547),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7547),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7547),
    [anon_sym_BSLASHimport] = ACTIONS(7547),
    [anon_sym_BSLASHsubimport] = ACTIONS(7547),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7547),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7547),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7547),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7547),
    [anon_sym_BSLASHcaption] = ACTIONS(7547),
    [anon_sym_BSLASHcite] = ACTIONS(7547),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCite] = ACTIONS(7547),
    [anon_sym_BSLASHnocite] = ACTIONS(7547),
    [anon_sym_BSLASHcitet] = ACTIONS(7547),
    [anon_sym_BSLASHcitep] = ACTIONS(7547),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteA] = ACTIONS(7547),
    [anon_sym_BSLASHciteR] = ACTIONS(7547),
    [anon_sym_BSLASHciteS] = ACTIONS(7547),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7547),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7547),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7547),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7547),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteyear] = ACTIONS(7547),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitedate] = ACTIONS(7547),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteurl] = ACTIONS(7547),
    [anon_sym_BSLASHfullcite] = ACTIONS(7547),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7547),
    [anon_sym_BSLASHcitealt] = ACTIONS(7547),
    [anon_sym_BSLASHcitealp] = ACTIONS(7547),
    [anon_sym_BSLASHcitetext] = ACTIONS(7547),
    [anon_sym_BSLASHparencite] = ACTIONS(7547),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHParencite] = ACTIONS(7547),
    [anon_sym_BSLASHfootcite] = ACTIONS(7547),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7547),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7547),
    [anon_sym_BSLASHtextcite] = ACTIONS(7547),
    [anon_sym_BSLASHTextcite] = ACTIONS(7547),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7547),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7547),
    [anon_sym_BSLASHsupercite] = ACTIONS(7547),
    [anon_sym_BSLASHautocite] = ACTIONS(7547),
    [anon_sym_BSLASHAutocite] = ACTIONS(7547),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHVolcite] = ACTIONS(7547),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHavolcite] = ACTIONS(7547),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHNotecite] = ACTIONS(7547),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHlabel] = ACTIONS(7547),
    [anon_sym_BSLASHref] = ACTIONS(7547),
    [anon_sym_BSLASHeqref] = ACTIONS(7547),
    [anon_sym_BSLASHvref] = ACTIONS(7547),
    [anon_sym_BSLASHVref] = ACTIONS(7547),
    [anon_sym_BSLASHautoref] = ACTIONS(7547),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHpageref] = ACTIONS(7547),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHautopageref] = ACTIONS(7547),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcref] = ACTIONS(7547),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCref] = ACTIONS(7547),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcpageref] = ACTIONS(7547),
    [anon_sym_BSLASHCpageref] = ACTIONS(7547),
    [anon_sym_BSLASHnamecref] = ACTIONS(7547),
    [anon_sym_BSLASHnameCref] = ACTIONS(7547),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7547),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7547),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7547),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7547),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7547),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7547),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7547),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7547),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7547),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7547),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7547),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHdef] = ACTIONS(7547),
    [anon_sym_BSLASHgdef] = ACTIONS(7547),
    [anon_sym_BSLASHedef] = ACTIONS(7547),
    [anon_sym_BSLASHxdef] = ACTIONS(7547),
    [anon_sym_BSLASHlet] = ACTIONS(7547),
    [anon_sym_BSLASHglet] = ACTIONS(7547),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7547),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7547),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7547),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7547),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7547),
    [anon_sym_BSLASHgls] = ACTIONS(7547),
    [anon_sym_BSLASHGls] = ACTIONS(7547),
    [anon_sym_BSLASHGLS] = ACTIONS(7547),
    [anon_sym_BSLASHglspl] = ACTIONS(7547),
    [anon_sym_BSLASHGlspl] = ACTIONS(7547),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7547),
    [anon_sym_BSLASHglslink] = ACTIONS(7547),
    [anon_sym_BSLASHglstext] = ACTIONS(7547),
    [anon_sym_BSLASHGlstext] = ACTIONS(7547),
    [anon_sym_BSLASHGLStext] = ACTIONS(7547),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7547),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7547),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7547),
    [anon_sym_BSLASHglsplural] = ACTIONS(7547),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7547),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7547),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHglsname] = ACTIONS(7547),
    [anon_sym_BSLASHGlsname] = ACTIONS(7547),
    [anon_sym_BSLASHGLSname] = ACTIONS(7547),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7547),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7547),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7547),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7547),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7547),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7547),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7547),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7547),
    [anon_sym_BSLASHacrshort] = ACTIONS(7547),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7547),
    [anon_sym_BSLASHACRshort] = ACTIONS(7547),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHacrlong] = ACTIONS(7547),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7547),
    [anon_sym_BSLASHACRlong] = ACTIONS(7547),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHacrfull] = ACTIONS(7547),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7547),
    [anon_sym_BSLASHACRfull] = ACTIONS(7547),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHacs] = ACTIONS(7547),
    [anon_sym_BSLASHAcs] = ACTIONS(7547),
    [anon_sym_BSLASHacsp] = ACTIONS(7547),
    [anon_sym_BSLASHAcsp] = ACTIONS(7547),
    [anon_sym_BSLASHacl] = ACTIONS(7547),
    [anon_sym_BSLASHAcl] = ACTIONS(7547),
    [anon_sym_BSLASHaclp] = ACTIONS(7547),
    [anon_sym_BSLASHAclp] = ACTIONS(7547),
    [anon_sym_BSLASHacf] = ACTIONS(7547),
    [anon_sym_BSLASHAcf] = ACTIONS(7547),
    [anon_sym_BSLASHacfp] = ACTIONS(7547),
    [anon_sym_BSLASHAcfp] = ACTIONS(7547),
    [anon_sym_BSLASHac] = ACTIONS(7547),
    [anon_sym_BSLASHAc] = ACTIONS(7547),
    [anon_sym_BSLASHacp] = ACTIONS(7547),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7547),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7547),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7547),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7547),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7547),
    [anon_sym_BSLASHcolor] = ACTIONS(7547),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7547),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7547),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7547),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7547),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7547),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7547),
    [anon_sym_BSLASHurl] = ACTIONS(7547),
    [anon_sym_BSLASHhref] = ACTIONS(7547),
  },
  [1963] = {
    [sym_command_name] = ACTIONS(7315),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7315),
    [anon_sym_LBRACK] = ACTIONS(7317),
    [anon_sym_RBRACK] = ACTIONS(7317),
    [anon_sym_COMMA] = ACTIONS(7317),
    [anon_sym_EQ] = ACTIONS(7317),
    [anon_sym_LPAREN] = ACTIONS(7317),
    [anon_sym_RPAREN] = ACTIONS(7317),
    [anon_sym_LBRACE] = ACTIONS(7317),
    [anon_sym_RBRACE] = ACTIONS(7317),
    [sym_word] = ACTIONS(7315),
    [sym_placeholder] = ACTIONS(7317),
    [sym_delimiter] = ACTIONS(7317),
    [anon_sym_PLUS] = ACTIONS(7317),
    [anon_sym_DASH] = ACTIONS(7317),
    [anon_sym_STAR] = ACTIONS(7317),
    [anon_sym_SLASH] = ACTIONS(7317),
    [anon_sym_LT] = ACTIONS(7315),
    [anon_sym_GT] = ACTIONS(7315),
    [anon_sym_BANG] = ACTIONS(7315),
    [anon_sym_PIPE] = ACTIONS(7315),
    [anon_sym_COLON] = ACTIONS(7315),
    [anon_sym_SQUOTE] = ACTIONS(7315),
    [anon_sym__] = ACTIONS(7317),
    [anon_sym_CARET] = ACTIONS(7317),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7317),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7317),
    [anon_sym_DOLLAR] = ACTIONS(7315),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7317),
    [anon_sym_BSLASHleft] = ACTIONS(7315),
    [anon_sym_BSLASHbigl] = ACTIONS(7315),
    [anon_sym_BSLASHBigl] = ACTIONS(7315),
    [anon_sym_BSLASHbiggl] = ACTIONS(7315),
    [anon_sym_BSLASHBiggl] = ACTIONS(7315),
    [anon_sym_BSLASHtext] = ACTIONS(7315),
    [anon_sym_BSLASHintertext] = ACTIONS(7315),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7315),
    [anon_sym_BSLASHtitle] = ACTIONS(7315),
    [anon_sym_BSLASHauthor] = ACTIONS(7315),
    [anon_sym_BSLASHusepackage] = ACTIONS(7315),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7315),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7315),
    [anon_sym_BSLASHinclude] = ACTIONS(7315),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7315),
    [anon_sym_BSLASHinput] = ACTIONS(7315),
    [anon_sym_BSLASHsubfile] = ACTIONS(7315),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7315),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7315),
    [anon_sym_BSLASHbibliography] = ACTIONS(7315),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7315),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7315),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7315),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7315),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7315),
    [anon_sym_BSLASHimport] = ACTIONS(7315),
    [anon_sym_BSLASHsubimport] = ACTIONS(7315),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7315),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7315),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7315),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7315),
    [anon_sym_BSLASHcaption] = ACTIONS(7315),
    [anon_sym_BSLASHcite] = ACTIONS(7315),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCite] = ACTIONS(7315),
    [anon_sym_BSLASHnocite] = ACTIONS(7315),
    [anon_sym_BSLASHcitet] = ACTIONS(7315),
    [anon_sym_BSLASHcitep] = ACTIONS(7315),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteA] = ACTIONS(7315),
    [anon_sym_BSLASHciteR] = ACTIONS(7315),
    [anon_sym_BSLASHciteS] = ACTIONS(7315),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7315),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7315),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7315),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7315),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteyear] = ACTIONS(7315),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitedate] = ACTIONS(7315),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteurl] = ACTIONS(7315),
    [anon_sym_BSLASHfullcite] = ACTIONS(7315),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7315),
    [anon_sym_BSLASHcitealt] = ACTIONS(7315),
    [anon_sym_BSLASHcitealp] = ACTIONS(7315),
    [anon_sym_BSLASHcitetext] = ACTIONS(7315),
    [anon_sym_BSLASHparencite] = ACTIONS(7315),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHParencite] = ACTIONS(7315),
    [anon_sym_BSLASHfootcite] = ACTIONS(7315),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7315),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7315),
    [anon_sym_BSLASHtextcite] = ACTIONS(7315),
    [anon_sym_BSLASHTextcite] = ACTIONS(7315),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7315),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7315),
    [anon_sym_BSLASHsupercite] = ACTIONS(7315),
    [anon_sym_BSLASHautocite] = ACTIONS(7315),
    [anon_sym_BSLASHAutocite] = ACTIONS(7315),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHVolcite] = ACTIONS(7315),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHavolcite] = ACTIONS(7315),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHNotecite] = ACTIONS(7315),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHlabel] = ACTIONS(7315),
    [anon_sym_BSLASHref] = ACTIONS(7315),
    [anon_sym_BSLASHeqref] = ACTIONS(7315),
    [anon_sym_BSLASHvref] = ACTIONS(7315),
    [anon_sym_BSLASHVref] = ACTIONS(7315),
    [anon_sym_BSLASHautoref] = ACTIONS(7315),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHpageref] = ACTIONS(7315),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHautopageref] = ACTIONS(7315),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcref] = ACTIONS(7315),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCref] = ACTIONS(7315),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcpageref] = ACTIONS(7315),
    [anon_sym_BSLASHCpageref] = ACTIONS(7315),
    [anon_sym_BSLASHnamecref] = ACTIONS(7315),
    [anon_sym_BSLASHnameCref] = ACTIONS(7315),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7315),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7315),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7315),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7315),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7315),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7315),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7315),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7315),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7315),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7315),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7315),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHdef] = ACTIONS(7315),
    [anon_sym_BSLASHgdef] = ACTIONS(7315),
    [anon_sym_BSLASHedef] = ACTIONS(7315),
    [anon_sym_BSLASHxdef] = ACTIONS(7315),
    [anon_sym_BSLASHlet] = ACTIONS(7315),
    [anon_sym_BSLASHglet] = ACTIONS(7315),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7315),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7315),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7315),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7315),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7315),
    [anon_sym_BSLASHgls] = ACTIONS(7315),
    [anon_sym_BSLASHGls] = ACTIONS(7315),
    [anon_sym_BSLASHGLS] = ACTIONS(7315),
    [anon_sym_BSLASHglspl] = ACTIONS(7315),
    [anon_sym_BSLASHGlspl] = ACTIONS(7315),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7315),
    [anon_sym_BSLASHglslink] = ACTIONS(7315),
    [anon_sym_BSLASHglstext] = ACTIONS(7315),
    [anon_sym_BSLASHGlstext] = ACTIONS(7315),
    [anon_sym_BSLASHGLStext] = ACTIONS(7315),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7315),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7315),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7315),
    [anon_sym_BSLASHglsplural] = ACTIONS(7315),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7315),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7315),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHglsname] = ACTIONS(7315),
    [anon_sym_BSLASHGlsname] = ACTIONS(7315),
    [anon_sym_BSLASHGLSname] = ACTIONS(7315),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7315),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7315),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7315),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7315),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7315),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7315),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7315),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7315),
    [anon_sym_BSLASHacrshort] = ACTIONS(7315),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7315),
    [anon_sym_BSLASHACRshort] = ACTIONS(7315),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHacrlong] = ACTIONS(7315),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7315),
    [anon_sym_BSLASHACRlong] = ACTIONS(7315),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHacrfull] = ACTIONS(7315),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7315),
    [anon_sym_BSLASHACRfull] = ACTIONS(7315),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHacs] = ACTIONS(7315),
    [anon_sym_BSLASHAcs] = ACTIONS(7315),
    [anon_sym_BSLASHacsp] = ACTIONS(7315),
    [anon_sym_BSLASHAcsp] = ACTIONS(7315),
    [anon_sym_BSLASHacl] = ACTIONS(7315),
    [anon_sym_BSLASHAcl] = ACTIONS(7315),
    [anon_sym_BSLASHaclp] = ACTIONS(7315),
    [anon_sym_BSLASHAclp] = ACTIONS(7315),
    [anon_sym_BSLASHacf] = ACTIONS(7315),
    [anon_sym_BSLASHAcf] = ACTIONS(7315),
    [anon_sym_BSLASHacfp] = ACTIONS(7315),
    [anon_sym_BSLASHAcfp] = ACTIONS(7315),
    [anon_sym_BSLASHac] = ACTIONS(7315),
    [anon_sym_BSLASHAc] = ACTIONS(7315),
    [anon_sym_BSLASHacp] = ACTIONS(7315),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7315),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7315),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7315),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7315),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7315),
    [anon_sym_BSLASHcolor] = ACTIONS(7315),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7315),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7315),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7315),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7315),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7315),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7315),
    [anon_sym_BSLASHurl] = ACTIONS(7315),
    [anon_sym_BSLASHhref] = ACTIONS(7315),
  },
  [1964] = {
    [sym_command_name] = ACTIONS(7551),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7551),
    [anon_sym_LBRACK] = ACTIONS(7553),
    [anon_sym_RBRACK] = ACTIONS(7553),
    [anon_sym_COMMA] = ACTIONS(7553),
    [anon_sym_EQ] = ACTIONS(7553),
    [anon_sym_LPAREN] = ACTIONS(7553),
    [anon_sym_RPAREN] = ACTIONS(7553),
    [anon_sym_LBRACE] = ACTIONS(7553),
    [sym_word] = ACTIONS(7551),
    [sym_placeholder] = ACTIONS(7553),
    [sym_delimiter] = ACTIONS(7553),
    [anon_sym_PLUS] = ACTIONS(7553),
    [anon_sym_DASH] = ACTIONS(7553),
    [anon_sym_STAR] = ACTIONS(7553),
    [anon_sym_SLASH] = ACTIONS(7553),
    [anon_sym_LT] = ACTIONS(7551),
    [anon_sym_GT] = ACTIONS(7551),
    [anon_sym_BANG] = ACTIONS(7551),
    [anon_sym_PIPE] = ACTIONS(7551),
    [anon_sym_COLON] = ACTIONS(7551),
    [anon_sym_SQUOTE] = ACTIONS(7551),
    [anon_sym__] = ACTIONS(7553),
    [anon_sym_CARET] = ACTIONS(7553),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7553),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7553),
    [anon_sym_DOLLAR] = ACTIONS(7551),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7553),
    [anon_sym_BSLASHleft] = ACTIONS(7551),
    [anon_sym_BSLASHbigl] = ACTIONS(7551),
    [anon_sym_BSLASHBigl] = ACTIONS(7551),
    [anon_sym_BSLASHbiggl] = ACTIONS(7551),
    [anon_sym_BSLASHBiggl] = ACTIONS(7551),
    [anon_sym_BSLASHtext] = ACTIONS(7551),
    [anon_sym_BSLASHintertext] = ACTIONS(7551),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7551),
    [anon_sym_BSLASHbegin] = ACTIONS(7551),
    [anon_sym_BSLASHtitle] = ACTIONS(7551),
    [anon_sym_BSLASHauthor] = ACTIONS(7551),
    [anon_sym_BSLASHusepackage] = ACTIONS(7551),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7551),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7551),
    [anon_sym_BSLASHinclude] = ACTIONS(7551),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7551),
    [anon_sym_BSLASHinput] = ACTIONS(7551),
    [anon_sym_BSLASHsubfile] = ACTIONS(7551),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7551),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7551),
    [anon_sym_BSLASHbibliography] = ACTIONS(7551),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7551),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7551),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7551),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7551),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7551),
    [anon_sym_BSLASHimport] = ACTIONS(7551),
    [anon_sym_BSLASHsubimport] = ACTIONS(7551),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7551),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7551),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7551),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7551),
    [anon_sym_BSLASHcaption] = ACTIONS(7551),
    [anon_sym_BSLASHcite] = ACTIONS(7551),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCite] = ACTIONS(7551),
    [anon_sym_BSLASHnocite] = ACTIONS(7551),
    [anon_sym_BSLASHcitet] = ACTIONS(7551),
    [anon_sym_BSLASHcitep] = ACTIONS(7551),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteA] = ACTIONS(7551),
    [anon_sym_BSLASHciteR] = ACTIONS(7551),
    [anon_sym_BSLASHciteS] = ACTIONS(7551),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7551),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7551),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7551),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7551),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteyear] = ACTIONS(7551),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitedate] = ACTIONS(7551),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteurl] = ACTIONS(7551),
    [anon_sym_BSLASHfullcite] = ACTIONS(7551),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7551),
    [anon_sym_BSLASHcitealt] = ACTIONS(7551),
    [anon_sym_BSLASHcitealp] = ACTIONS(7551),
    [anon_sym_BSLASHcitetext] = ACTIONS(7551),
    [anon_sym_BSLASHparencite] = ACTIONS(7551),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHParencite] = ACTIONS(7551),
    [anon_sym_BSLASHfootcite] = ACTIONS(7551),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7551),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7551),
    [anon_sym_BSLASHtextcite] = ACTIONS(7551),
    [anon_sym_BSLASHTextcite] = ACTIONS(7551),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7551),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7551),
    [anon_sym_BSLASHsupercite] = ACTIONS(7551),
    [anon_sym_BSLASHautocite] = ACTIONS(7551),
    [anon_sym_BSLASHAutocite] = ACTIONS(7551),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHVolcite] = ACTIONS(7551),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHavolcite] = ACTIONS(7551),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHNotecite] = ACTIONS(7551),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHlabel] = ACTIONS(7551),
    [anon_sym_BSLASHref] = ACTIONS(7551),
    [anon_sym_BSLASHeqref] = ACTIONS(7551),
    [anon_sym_BSLASHvref] = ACTIONS(7551),
    [anon_sym_BSLASHVref] = ACTIONS(7551),
    [anon_sym_BSLASHautoref] = ACTIONS(7551),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHpageref] = ACTIONS(7551),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHautopageref] = ACTIONS(7551),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcref] = ACTIONS(7551),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCref] = ACTIONS(7551),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcpageref] = ACTIONS(7551),
    [anon_sym_BSLASHCpageref] = ACTIONS(7551),
    [anon_sym_BSLASHnamecref] = ACTIONS(7551),
    [anon_sym_BSLASHnameCref] = ACTIONS(7551),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7551),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7551),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7551),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7551),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7551),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7551),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7551),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7551),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7551),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7551),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7551),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHdef] = ACTIONS(7551),
    [anon_sym_BSLASHgdef] = ACTIONS(7551),
    [anon_sym_BSLASHedef] = ACTIONS(7551),
    [anon_sym_BSLASHxdef] = ACTIONS(7551),
    [anon_sym_BSLASHlet] = ACTIONS(7551),
    [anon_sym_BSLASHglet] = ACTIONS(7551),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7551),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7551),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7551),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7551),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7551),
    [anon_sym_BSLASHgls] = ACTIONS(7551),
    [anon_sym_BSLASHGls] = ACTIONS(7551),
    [anon_sym_BSLASHGLS] = ACTIONS(7551),
    [anon_sym_BSLASHglspl] = ACTIONS(7551),
    [anon_sym_BSLASHGlspl] = ACTIONS(7551),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7551),
    [anon_sym_BSLASHglslink] = ACTIONS(7551),
    [anon_sym_BSLASHglstext] = ACTIONS(7551),
    [anon_sym_BSLASHGlstext] = ACTIONS(7551),
    [anon_sym_BSLASHGLStext] = ACTIONS(7551),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7551),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7551),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7551),
    [anon_sym_BSLASHglsplural] = ACTIONS(7551),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7551),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7551),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHglsname] = ACTIONS(7551),
    [anon_sym_BSLASHGlsname] = ACTIONS(7551),
    [anon_sym_BSLASHGLSname] = ACTIONS(7551),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7551),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7551),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7551),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7551),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7551),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7551),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7551),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7551),
    [anon_sym_BSLASHacrshort] = ACTIONS(7551),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7551),
    [anon_sym_BSLASHACRshort] = ACTIONS(7551),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHacrlong] = ACTIONS(7551),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7551),
    [anon_sym_BSLASHACRlong] = ACTIONS(7551),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHacrfull] = ACTIONS(7551),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7551),
    [anon_sym_BSLASHACRfull] = ACTIONS(7551),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHacs] = ACTIONS(7551),
    [anon_sym_BSLASHAcs] = ACTIONS(7551),
    [anon_sym_BSLASHacsp] = ACTIONS(7551),
    [anon_sym_BSLASHAcsp] = ACTIONS(7551),
    [anon_sym_BSLASHacl] = ACTIONS(7551),
    [anon_sym_BSLASHAcl] = ACTIONS(7551),
    [anon_sym_BSLASHaclp] = ACTIONS(7551),
    [anon_sym_BSLASHAclp] = ACTIONS(7551),
    [anon_sym_BSLASHacf] = ACTIONS(7551),
    [anon_sym_BSLASHAcf] = ACTIONS(7551),
    [anon_sym_BSLASHacfp] = ACTIONS(7551),
    [anon_sym_BSLASHAcfp] = ACTIONS(7551),
    [anon_sym_BSLASHac] = ACTIONS(7551),
    [anon_sym_BSLASHAc] = ACTIONS(7551),
    [anon_sym_BSLASHacp] = ACTIONS(7551),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7551),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7551),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7551),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7551),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7551),
    [anon_sym_BSLASHcolor] = ACTIONS(7551),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7551),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7551),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7551),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7551),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7551),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7551),
    [anon_sym_BSLASHurl] = ACTIONS(7551),
    [anon_sym_BSLASHhref] = ACTIONS(7551),
  },
  [1965] = {
    [sym_command_name] = ACTIONS(7319),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7319),
    [anon_sym_LBRACK] = ACTIONS(7321),
    [anon_sym_RBRACK] = ACTIONS(7321),
    [anon_sym_COMMA] = ACTIONS(7321),
    [anon_sym_EQ] = ACTIONS(7321),
    [anon_sym_LPAREN] = ACTIONS(7321),
    [anon_sym_RPAREN] = ACTIONS(7321),
    [anon_sym_LBRACE] = ACTIONS(7321),
    [anon_sym_RBRACE] = ACTIONS(7321),
    [sym_word] = ACTIONS(7319),
    [sym_placeholder] = ACTIONS(7321),
    [sym_delimiter] = ACTIONS(7321),
    [anon_sym_PLUS] = ACTIONS(7321),
    [anon_sym_DASH] = ACTIONS(7321),
    [anon_sym_STAR] = ACTIONS(7321),
    [anon_sym_SLASH] = ACTIONS(7321),
    [anon_sym_LT] = ACTIONS(7319),
    [anon_sym_GT] = ACTIONS(7319),
    [anon_sym_BANG] = ACTIONS(7319),
    [anon_sym_PIPE] = ACTIONS(7319),
    [anon_sym_COLON] = ACTIONS(7319),
    [anon_sym_SQUOTE] = ACTIONS(7319),
    [anon_sym__] = ACTIONS(7321),
    [anon_sym_CARET] = ACTIONS(7321),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7321),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7321),
    [anon_sym_DOLLAR] = ACTIONS(7319),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7321),
    [anon_sym_BSLASHleft] = ACTIONS(7319),
    [anon_sym_BSLASHbigl] = ACTIONS(7319),
    [anon_sym_BSLASHBigl] = ACTIONS(7319),
    [anon_sym_BSLASHbiggl] = ACTIONS(7319),
    [anon_sym_BSLASHBiggl] = ACTIONS(7319),
    [anon_sym_BSLASHtext] = ACTIONS(7319),
    [anon_sym_BSLASHintertext] = ACTIONS(7319),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7319),
    [anon_sym_BSLASHtitle] = ACTIONS(7319),
    [anon_sym_BSLASHauthor] = ACTIONS(7319),
    [anon_sym_BSLASHusepackage] = ACTIONS(7319),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7319),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7319),
    [anon_sym_BSLASHinclude] = ACTIONS(7319),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7319),
    [anon_sym_BSLASHinput] = ACTIONS(7319),
    [anon_sym_BSLASHsubfile] = ACTIONS(7319),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7319),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7319),
    [anon_sym_BSLASHbibliography] = ACTIONS(7319),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7319),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7319),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7319),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7319),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7319),
    [anon_sym_BSLASHimport] = ACTIONS(7319),
    [anon_sym_BSLASHsubimport] = ACTIONS(7319),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7319),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7319),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7319),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7319),
    [anon_sym_BSLASHcaption] = ACTIONS(7319),
    [anon_sym_BSLASHcite] = ACTIONS(7319),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCite] = ACTIONS(7319),
    [anon_sym_BSLASHnocite] = ACTIONS(7319),
    [anon_sym_BSLASHcitet] = ACTIONS(7319),
    [anon_sym_BSLASHcitep] = ACTIONS(7319),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteA] = ACTIONS(7319),
    [anon_sym_BSLASHciteR] = ACTIONS(7319),
    [anon_sym_BSLASHciteS] = ACTIONS(7319),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7319),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7319),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7319),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7319),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteyear] = ACTIONS(7319),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitedate] = ACTIONS(7319),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteurl] = ACTIONS(7319),
    [anon_sym_BSLASHfullcite] = ACTIONS(7319),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7319),
    [anon_sym_BSLASHcitealt] = ACTIONS(7319),
    [anon_sym_BSLASHcitealp] = ACTIONS(7319),
    [anon_sym_BSLASHcitetext] = ACTIONS(7319),
    [anon_sym_BSLASHparencite] = ACTIONS(7319),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHParencite] = ACTIONS(7319),
    [anon_sym_BSLASHfootcite] = ACTIONS(7319),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7319),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7319),
    [anon_sym_BSLASHtextcite] = ACTIONS(7319),
    [anon_sym_BSLASHTextcite] = ACTIONS(7319),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7319),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7319),
    [anon_sym_BSLASHsupercite] = ACTIONS(7319),
    [anon_sym_BSLASHautocite] = ACTIONS(7319),
    [anon_sym_BSLASHAutocite] = ACTIONS(7319),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHVolcite] = ACTIONS(7319),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHavolcite] = ACTIONS(7319),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHNotecite] = ACTIONS(7319),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHlabel] = ACTIONS(7319),
    [anon_sym_BSLASHref] = ACTIONS(7319),
    [anon_sym_BSLASHeqref] = ACTIONS(7319),
    [anon_sym_BSLASHvref] = ACTIONS(7319),
    [anon_sym_BSLASHVref] = ACTIONS(7319),
    [anon_sym_BSLASHautoref] = ACTIONS(7319),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHpageref] = ACTIONS(7319),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHautopageref] = ACTIONS(7319),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcref] = ACTIONS(7319),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCref] = ACTIONS(7319),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcpageref] = ACTIONS(7319),
    [anon_sym_BSLASHCpageref] = ACTIONS(7319),
    [anon_sym_BSLASHnamecref] = ACTIONS(7319),
    [anon_sym_BSLASHnameCref] = ACTIONS(7319),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7319),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7319),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7319),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7319),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7319),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7319),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7319),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7319),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7319),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7319),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7319),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHdef] = ACTIONS(7319),
    [anon_sym_BSLASHgdef] = ACTIONS(7319),
    [anon_sym_BSLASHedef] = ACTIONS(7319),
    [anon_sym_BSLASHxdef] = ACTIONS(7319),
    [anon_sym_BSLASHlet] = ACTIONS(7319),
    [anon_sym_BSLASHglet] = ACTIONS(7319),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7319),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7319),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7319),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7319),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7319),
    [anon_sym_BSLASHgls] = ACTIONS(7319),
    [anon_sym_BSLASHGls] = ACTIONS(7319),
    [anon_sym_BSLASHGLS] = ACTIONS(7319),
    [anon_sym_BSLASHglspl] = ACTIONS(7319),
    [anon_sym_BSLASHGlspl] = ACTIONS(7319),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7319),
    [anon_sym_BSLASHglslink] = ACTIONS(7319),
    [anon_sym_BSLASHglstext] = ACTIONS(7319),
    [anon_sym_BSLASHGlstext] = ACTIONS(7319),
    [anon_sym_BSLASHGLStext] = ACTIONS(7319),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7319),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7319),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7319),
    [anon_sym_BSLASHglsplural] = ACTIONS(7319),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7319),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7319),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHglsname] = ACTIONS(7319),
    [anon_sym_BSLASHGlsname] = ACTIONS(7319),
    [anon_sym_BSLASHGLSname] = ACTIONS(7319),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7319),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7319),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7319),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7319),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7319),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7319),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7319),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7319),
    [anon_sym_BSLASHacrshort] = ACTIONS(7319),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7319),
    [anon_sym_BSLASHACRshort] = ACTIONS(7319),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHacrlong] = ACTIONS(7319),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7319),
    [anon_sym_BSLASHACRlong] = ACTIONS(7319),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHacrfull] = ACTIONS(7319),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7319),
    [anon_sym_BSLASHACRfull] = ACTIONS(7319),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHacs] = ACTIONS(7319),
    [anon_sym_BSLASHAcs] = ACTIONS(7319),
    [anon_sym_BSLASHacsp] = ACTIONS(7319),
    [anon_sym_BSLASHAcsp] = ACTIONS(7319),
    [anon_sym_BSLASHacl] = ACTIONS(7319),
    [anon_sym_BSLASHAcl] = ACTIONS(7319),
    [anon_sym_BSLASHaclp] = ACTIONS(7319),
    [anon_sym_BSLASHAclp] = ACTIONS(7319),
    [anon_sym_BSLASHacf] = ACTIONS(7319),
    [anon_sym_BSLASHAcf] = ACTIONS(7319),
    [anon_sym_BSLASHacfp] = ACTIONS(7319),
    [anon_sym_BSLASHAcfp] = ACTIONS(7319),
    [anon_sym_BSLASHac] = ACTIONS(7319),
    [anon_sym_BSLASHAc] = ACTIONS(7319),
    [anon_sym_BSLASHacp] = ACTIONS(7319),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7319),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7319),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7319),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7319),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7319),
    [anon_sym_BSLASHcolor] = ACTIONS(7319),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7319),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7319),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7319),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7319),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7319),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7319),
    [anon_sym_BSLASHurl] = ACTIONS(7319),
    [anon_sym_BSLASHhref] = ACTIONS(7319),
  },
  [1966] = {
    [sym_command_name] = ACTIONS(7067),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7067),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_RBRACK] = ACTIONS(7069),
    [anon_sym_COMMA] = ACTIONS(7069),
    [anon_sym_EQ] = ACTIONS(7069),
    [anon_sym_LPAREN] = ACTIONS(7069),
    [anon_sym_RPAREN] = ACTIONS(7069),
    [anon_sym_LBRACE] = ACTIONS(7069),
    [anon_sym_RBRACE] = ACTIONS(7069),
    [sym_word] = ACTIONS(7067),
    [sym_placeholder] = ACTIONS(7069),
    [sym_delimiter] = ACTIONS(7069),
    [anon_sym_PLUS] = ACTIONS(7069),
    [anon_sym_DASH] = ACTIONS(7069),
    [anon_sym_STAR] = ACTIONS(7069),
    [anon_sym_SLASH] = ACTIONS(7069),
    [anon_sym_LT] = ACTIONS(7067),
    [anon_sym_GT] = ACTIONS(7067),
    [anon_sym_BANG] = ACTIONS(7067),
    [anon_sym_PIPE] = ACTIONS(7067),
    [anon_sym_COLON] = ACTIONS(7067),
    [anon_sym_SQUOTE] = ACTIONS(7067),
    [anon_sym__] = ACTIONS(7069),
    [anon_sym_CARET] = ACTIONS(7069),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7069),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7069),
    [anon_sym_DOLLAR] = ACTIONS(7067),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7069),
    [anon_sym_BSLASHleft] = ACTIONS(7067),
    [anon_sym_BSLASHbigl] = ACTIONS(7067),
    [anon_sym_BSLASHBigl] = ACTIONS(7067),
    [anon_sym_BSLASHbiggl] = ACTIONS(7067),
    [anon_sym_BSLASHBiggl] = ACTIONS(7067),
    [anon_sym_BSLASHtext] = ACTIONS(7067),
    [anon_sym_BSLASHintertext] = ACTIONS(7067),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7067),
    [anon_sym_BSLASHtitle] = ACTIONS(7067),
    [anon_sym_BSLASHauthor] = ACTIONS(7067),
    [anon_sym_BSLASHusepackage] = ACTIONS(7067),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7067),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7067),
    [anon_sym_BSLASHinclude] = ACTIONS(7067),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7067),
    [anon_sym_BSLASHinput] = ACTIONS(7067),
    [anon_sym_BSLASHsubfile] = ACTIONS(7067),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7067),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7067),
    [anon_sym_BSLASHbibliography] = ACTIONS(7067),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7067),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7067),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7067),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7067),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7067),
    [anon_sym_BSLASHimport] = ACTIONS(7067),
    [anon_sym_BSLASHsubimport] = ACTIONS(7067),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7067),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7067),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7067),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7067),
    [anon_sym_BSLASHcaption] = ACTIONS(7067),
    [anon_sym_BSLASHcite] = ACTIONS(7067),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCite] = ACTIONS(7067),
    [anon_sym_BSLASHnocite] = ACTIONS(7067),
    [anon_sym_BSLASHcitet] = ACTIONS(7067),
    [anon_sym_BSLASHcitep] = ACTIONS(7067),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteA] = ACTIONS(7067),
    [anon_sym_BSLASHciteR] = ACTIONS(7067),
    [anon_sym_BSLASHciteS] = ACTIONS(7067),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7067),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7067),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7067),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7067),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteyear] = ACTIONS(7067),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitedate] = ACTIONS(7067),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteurl] = ACTIONS(7067),
    [anon_sym_BSLASHfullcite] = ACTIONS(7067),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7067),
    [anon_sym_BSLASHcitealt] = ACTIONS(7067),
    [anon_sym_BSLASHcitealp] = ACTIONS(7067),
    [anon_sym_BSLASHcitetext] = ACTIONS(7067),
    [anon_sym_BSLASHparencite] = ACTIONS(7067),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHParencite] = ACTIONS(7067),
    [anon_sym_BSLASHfootcite] = ACTIONS(7067),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7067),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7067),
    [anon_sym_BSLASHtextcite] = ACTIONS(7067),
    [anon_sym_BSLASHTextcite] = ACTIONS(7067),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7067),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7067),
    [anon_sym_BSLASHsupercite] = ACTIONS(7067),
    [anon_sym_BSLASHautocite] = ACTIONS(7067),
    [anon_sym_BSLASHAutocite] = ACTIONS(7067),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHVolcite] = ACTIONS(7067),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHavolcite] = ACTIONS(7067),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHNotecite] = ACTIONS(7067),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHlabel] = ACTIONS(7067),
    [anon_sym_BSLASHref] = ACTIONS(7067),
    [anon_sym_BSLASHeqref] = ACTIONS(7067),
    [anon_sym_BSLASHvref] = ACTIONS(7067),
    [anon_sym_BSLASHVref] = ACTIONS(7067),
    [anon_sym_BSLASHautoref] = ACTIONS(7067),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHpageref] = ACTIONS(7067),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHautopageref] = ACTIONS(7067),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcref] = ACTIONS(7067),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCref] = ACTIONS(7067),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcpageref] = ACTIONS(7067),
    [anon_sym_BSLASHCpageref] = ACTIONS(7067),
    [anon_sym_BSLASHnamecref] = ACTIONS(7067),
    [anon_sym_BSLASHnameCref] = ACTIONS(7067),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7067),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7067),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7067),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7067),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7067),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7067),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7067),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7067),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7067),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7067),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7067),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHdef] = ACTIONS(7067),
    [anon_sym_BSLASHgdef] = ACTIONS(7067),
    [anon_sym_BSLASHedef] = ACTIONS(7067),
    [anon_sym_BSLASHxdef] = ACTIONS(7067),
    [anon_sym_BSLASHlet] = ACTIONS(7067),
    [anon_sym_BSLASHglet] = ACTIONS(7067),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7067),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7067),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7067),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7067),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7067),
    [anon_sym_BSLASHgls] = ACTIONS(7067),
    [anon_sym_BSLASHGls] = ACTIONS(7067),
    [anon_sym_BSLASHGLS] = ACTIONS(7067),
    [anon_sym_BSLASHglspl] = ACTIONS(7067),
    [anon_sym_BSLASHGlspl] = ACTIONS(7067),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7067),
    [anon_sym_BSLASHglslink] = ACTIONS(7067),
    [anon_sym_BSLASHglstext] = ACTIONS(7067),
    [anon_sym_BSLASHGlstext] = ACTIONS(7067),
    [anon_sym_BSLASHGLStext] = ACTIONS(7067),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7067),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7067),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7067),
    [anon_sym_BSLASHglsplural] = ACTIONS(7067),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7067),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7067),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHglsname] = ACTIONS(7067),
    [anon_sym_BSLASHGlsname] = ACTIONS(7067),
    [anon_sym_BSLASHGLSname] = ACTIONS(7067),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7067),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7067),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7067),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7067),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7067),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7067),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7067),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7067),
    [anon_sym_BSLASHacrshort] = ACTIONS(7067),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7067),
    [anon_sym_BSLASHACRshort] = ACTIONS(7067),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHacrlong] = ACTIONS(7067),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7067),
    [anon_sym_BSLASHACRlong] = ACTIONS(7067),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHacrfull] = ACTIONS(7067),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7067),
    [anon_sym_BSLASHACRfull] = ACTIONS(7067),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHacs] = ACTIONS(7067),
    [anon_sym_BSLASHAcs] = ACTIONS(7067),
    [anon_sym_BSLASHacsp] = ACTIONS(7067),
    [anon_sym_BSLASHAcsp] = ACTIONS(7067),
    [anon_sym_BSLASHacl] = ACTIONS(7067),
    [anon_sym_BSLASHAcl] = ACTIONS(7067),
    [anon_sym_BSLASHaclp] = ACTIONS(7067),
    [anon_sym_BSLASHAclp] = ACTIONS(7067),
    [anon_sym_BSLASHacf] = ACTIONS(7067),
    [anon_sym_BSLASHAcf] = ACTIONS(7067),
    [anon_sym_BSLASHacfp] = ACTIONS(7067),
    [anon_sym_BSLASHAcfp] = ACTIONS(7067),
    [anon_sym_BSLASHac] = ACTIONS(7067),
    [anon_sym_BSLASHAc] = ACTIONS(7067),
    [anon_sym_BSLASHacp] = ACTIONS(7067),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7067),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7067),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7067),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7067),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7067),
    [anon_sym_BSLASHcolor] = ACTIONS(7067),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7067),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7067),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7067),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7067),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7067),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7067),
    [anon_sym_BSLASHurl] = ACTIONS(7067),
    [anon_sym_BSLASHhref] = ACTIONS(7067),
  },
  [1967] = {
    [sym_command_name] = ACTIONS(7555),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7555),
    [anon_sym_LBRACK] = ACTIONS(7557),
    [anon_sym_RBRACK] = ACTIONS(7557),
    [anon_sym_COMMA] = ACTIONS(7557),
    [anon_sym_EQ] = ACTIONS(7557),
    [anon_sym_LPAREN] = ACTIONS(7557),
    [anon_sym_RPAREN] = ACTIONS(7557),
    [anon_sym_LBRACE] = ACTIONS(7557),
    [sym_word] = ACTIONS(7555),
    [sym_placeholder] = ACTIONS(7557),
    [sym_delimiter] = ACTIONS(7557),
    [anon_sym_PLUS] = ACTIONS(7557),
    [anon_sym_DASH] = ACTIONS(7557),
    [anon_sym_STAR] = ACTIONS(7557),
    [anon_sym_SLASH] = ACTIONS(7557),
    [anon_sym_LT] = ACTIONS(7555),
    [anon_sym_GT] = ACTIONS(7555),
    [anon_sym_BANG] = ACTIONS(7555),
    [anon_sym_PIPE] = ACTIONS(7555),
    [anon_sym_COLON] = ACTIONS(7555),
    [anon_sym_SQUOTE] = ACTIONS(7555),
    [anon_sym__] = ACTIONS(7557),
    [anon_sym_CARET] = ACTIONS(7557),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7557),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7557),
    [anon_sym_DOLLAR] = ACTIONS(7555),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7557),
    [anon_sym_BSLASHleft] = ACTIONS(7555),
    [anon_sym_BSLASHbigl] = ACTIONS(7555),
    [anon_sym_BSLASHBigl] = ACTIONS(7555),
    [anon_sym_BSLASHbiggl] = ACTIONS(7555),
    [anon_sym_BSLASHBiggl] = ACTIONS(7555),
    [anon_sym_BSLASHtext] = ACTIONS(7555),
    [anon_sym_BSLASHintertext] = ACTIONS(7555),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7555),
    [anon_sym_BSLASHbegin] = ACTIONS(7555),
    [anon_sym_BSLASHtitle] = ACTIONS(7555),
    [anon_sym_BSLASHauthor] = ACTIONS(7555),
    [anon_sym_BSLASHusepackage] = ACTIONS(7555),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7555),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7555),
    [anon_sym_BSLASHinclude] = ACTIONS(7555),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7555),
    [anon_sym_BSLASHinput] = ACTIONS(7555),
    [anon_sym_BSLASHsubfile] = ACTIONS(7555),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7555),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7555),
    [anon_sym_BSLASHbibliography] = ACTIONS(7555),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7555),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7555),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7555),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7555),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7555),
    [anon_sym_BSLASHimport] = ACTIONS(7555),
    [anon_sym_BSLASHsubimport] = ACTIONS(7555),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7555),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7555),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7555),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7555),
    [anon_sym_BSLASHcaption] = ACTIONS(7555),
    [anon_sym_BSLASHcite] = ACTIONS(7555),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCite] = ACTIONS(7555),
    [anon_sym_BSLASHnocite] = ACTIONS(7555),
    [anon_sym_BSLASHcitet] = ACTIONS(7555),
    [anon_sym_BSLASHcitep] = ACTIONS(7555),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteA] = ACTIONS(7555),
    [anon_sym_BSLASHciteR] = ACTIONS(7555),
    [anon_sym_BSLASHciteS] = ACTIONS(7555),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7555),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7555),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7555),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7555),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteyear] = ACTIONS(7555),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitedate] = ACTIONS(7555),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteurl] = ACTIONS(7555),
    [anon_sym_BSLASHfullcite] = ACTIONS(7555),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7555),
    [anon_sym_BSLASHcitealt] = ACTIONS(7555),
    [anon_sym_BSLASHcitealp] = ACTIONS(7555),
    [anon_sym_BSLASHcitetext] = ACTIONS(7555),
    [anon_sym_BSLASHparencite] = ACTIONS(7555),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHParencite] = ACTIONS(7555),
    [anon_sym_BSLASHfootcite] = ACTIONS(7555),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7555),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7555),
    [anon_sym_BSLASHtextcite] = ACTIONS(7555),
    [anon_sym_BSLASHTextcite] = ACTIONS(7555),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7555),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7555),
    [anon_sym_BSLASHsupercite] = ACTIONS(7555),
    [anon_sym_BSLASHautocite] = ACTIONS(7555),
    [anon_sym_BSLASHAutocite] = ACTIONS(7555),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHVolcite] = ACTIONS(7555),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHavolcite] = ACTIONS(7555),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHNotecite] = ACTIONS(7555),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHlabel] = ACTIONS(7555),
    [anon_sym_BSLASHref] = ACTIONS(7555),
    [anon_sym_BSLASHeqref] = ACTIONS(7555),
    [anon_sym_BSLASHvref] = ACTIONS(7555),
    [anon_sym_BSLASHVref] = ACTIONS(7555),
    [anon_sym_BSLASHautoref] = ACTIONS(7555),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHpageref] = ACTIONS(7555),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHautopageref] = ACTIONS(7555),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcref] = ACTIONS(7555),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCref] = ACTIONS(7555),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcpageref] = ACTIONS(7555),
    [anon_sym_BSLASHCpageref] = ACTIONS(7555),
    [anon_sym_BSLASHnamecref] = ACTIONS(7555),
    [anon_sym_BSLASHnameCref] = ACTIONS(7555),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7555),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7555),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7555),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7555),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7555),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7555),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7555),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7555),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7555),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7555),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7555),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHdef] = ACTIONS(7555),
    [anon_sym_BSLASHgdef] = ACTIONS(7555),
    [anon_sym_BSLASHedef] = ACTIONS(7555),
    [anon_sym_BSLASHxdef] = ACTIONS(7555),
    [anon_sym_BSLASHlet] = ACTIONS(7555),
    [anon_sym_BSLASHglet] = ACTIONS(7555),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7555),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7555),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7555),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7555),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7555),
    [anon_sym_BSLASHgls] = ACTIONS(7555),
    [anon_sym_BSLASHGls] = ACTIONS(7555),
    [anon_sym_BSLASHGLS] = ACTIONS(7555),
    [anon_sym_BSLASHglspl] = ACTIONS(7555),
    [anon_sym_BSLASHGlspl] = ACTIONS(7555),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7555),
    [anon_sym_BSLASHglslink] = ACTIONS(7555),
    [anon_sym_BSLASHglstext] = ACTIONS(7555),
    [anon_sym_BSLASHGlstext] = ACTIONS(7555),
    [anon_sym_BSLASHGLStext] = ACTIONS(7555),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7555),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7555),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7555),
    [anon_sym_BSLASHglsplural] = ACTIONS(7555),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7555),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7555),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHglsname] = ACTIONS(7555),
    [anon_sym_BSLASHGlsname] = ACTIONS(7555),
    [anon_sym_BSLASHGLSname] = ACTIONS(7555),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7555),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7555),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7555),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7555),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7555),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7555),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7555),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7555),
    [anon_sym_BSLASHacrshort] = ACTIONS(7555),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7555),
    [anon_sym_BSLASHACRshort] = ACTIONS(7555),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHacrlong] = ACTIONS(7555),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7555),
    [anon_sym_BSLASHACRlong] = ACTIONS(7555),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHacrfull] = ACTIONS(7555),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7555),
    [anon_sym_BSLASHACRfull] = ACTIONS(7555),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHacs] = ACTIONS(7555),
    [anon_sym_BSLASHAcs] = ACTIONS(7555),
    [anon_sym_BSLASHacsp] = ACTIONS(7555),
    [anon_sym_BSLASHAcsp] = ACTIONS(7555),
    [anon_sym_BSLASHacl] = ACTIONS(7555),
    [anon_sym_BSLASHAcl] = ACTIONS(7555),
    [anon_sym_BSLASHaclp] = ACTIONS(7555),
    [anon_sym_BSLASHAclp] = ACTIONS(7555),
    [anon_sym_BSLASHacf] = ACTIONS(7555),
    [anon_sym_BSLASHAcf] = ACTIONS(7555),
    [anon_sym_BSLASHacfp] = ACTIONS(7555),
    [anon_sym_BSLASHAcfp] = ACTIONS(7555),
    [anon_sym_BSLASHac] = ACTIONS(7555),
    [anon_sym_BSLASHAc] = ACTIONS(7555),
    [anon_sym_BSLASHacp] = ACTIONS(7555),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7555),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7555),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7555),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7555),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7555),
    [anon_sym_BSLASHcolor] = ACTIONS(7555),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7555),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7555),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7555),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7555),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7555),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7555),
    [anon_sym_BSLASHurl] = ACTIONS(7555),
    [anon_sym_BSLASHhref] = ACTIONS(7555),
  },
  [1968] = {
    [sym_command_name] = ACTIONS(7559),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7559),
    [anon_sym_LBRACK] = ACTIONS(7561),
    [anon_sym_RBRACK] = ACTIONS(7561),
    [anon_sym_COMMA] = ACTIONS(7561),
    [anon_sym_EQ] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7561),
    [anon_sym_RPAREN] = ACTIONS(7561),
    [anon_sym_LBRACE] = ACTIONS(7561),
    [sym_word] = ACTIONS(7559),
    [sym_placeholder] = ACTIONS(7561),
    [sym_delimiter] = ACTIONS(7561),
    [anon_sym_PLUS] = ACTIONS(7561),
    [anon_sym_DASH] = ACTIONS(7561),
    [anon_sym_STAR] = ACTIONS(7561),
    [anon_sym_SLASH] = ACTIONS(7561),
    [anon_sym_LT] = ACTIONS(7559),
    [anon_sym_GT] = ACTIONS(7559),
    [anon_sym_BANG] = ACTIONS(7559),
    [anon_sym_PIPE] = ACTIONS(7559),
    [anon_sym_COLON] = ACTIONS(7559),
    [anon_sym_SQUOTE] = ACTIONS(7559),
    [anon_sym__] = ACTIONS(7561),
    [anon_sym_CARET] = ACTIONS(7561),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7561),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7561),
    [anon_sym_DOLLAR] = ACTIONS(7559),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7561),
    [anon_sym_BSLASHleft] = ACTIONS(7559),
    [anon_sym_BSLASHbigl] = ACTIONS(7559),
    [anon_sym_BSLASHBigl] = ACTIONS(7559),
    [anon_sym_BSLASHbiggl] = ACTIONS(7559),
    [anon_sym_BSLASHBiggl] = ACTIONS(7559),
    [anon_sym_BSLASHtext] = ACTIONS(7559),
    [anon_sym_BSLASHintertext] = ACTIONS(7559),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7559),
    [anon_sym_BSLASHbegin] = ACTIONS(7559),
    [anon_sym_BSLASHtitle] = ACTIONS(7559),
    [anon_sym_BSLASHauthor] = ACTIONS(7559),
    [anon_sym_BSLASHusepackage] = ACTIONS(7559),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7559),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7559),
    [anon_sym_BSLASHinclude] = ACTIONS(7559),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7559),
    [anon_sym_BSLASHinput] = ACTIONS(7559),
    [anon_sym_BSLASHsubfile] = ACTIONS(7559),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7559),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7559),
    [anon_sym_BSLASHbibliography] = ACTIONS(7559),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7559),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7559),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7559),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7559),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7559),
    [anon_sym_BSLASHimport] = ACTIONS(7559),
    [anon_sym_BSLASHsubimport] = ACTIONS(7559),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7559),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7559),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7559),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7559),
    [anon_sym_BSLASHcaption] = ACTIONS(7559),
    [anon_sym_BSLASHcite] = ACTIONS(7559),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCite] = ACTIONS(7559),
    [anon_sym_BSLASHnocite] = ACTIONS(7559),
    [anon_sym_BSLASHcitet] = ACTIONS(7559),
    [anon_sym_BSLASHcitep] = ACTIONS(7559),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteA] = ACTIONS(7559),
    [anon_sym_BSLASHciteR] = ACTIONS(7559),
    [anon_sym_BSLASHciteS] = ACTIONS(7559),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7559),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7559),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7559),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7559),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteyear] = ACTIONS(7559),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitedate] = ACTIONS(7559),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteurl] = ACTIONS(7559),
    [anon_sym_BSLASHfullcite] = ACTIONS(7559),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7559),
    [anon_sym_BSLASHcitealt] = ACTIONS(7559),
    [anon_sym_BSLASHcitealp] = ACTIONS(7559),
    [anon_sym_BSLASHcitetext] = ACTIONS(7559),
    [anon_sym_BSLASHparencite] = ACTIONS(7559),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHParencite] = ACTIONS(7559),
    [anon_sym_BSLASHfootcite] = ACTIONS(7559),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7559),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7559),
    [anon_sym_BSLASHtextcite] = ACTIONS(7559),
    [anon_sym_BSLASHTextcite] = ACTIONS(7559),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7559),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7559),
    [anon_sym_BSLASHsupercite] = ACTIONS(7559),
    [anon_sym_BSLASHautocite] = ACTIONS(7559),
    [anon_sym_BSLASHAutocite] = ACTIONS(7559),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHVolcite] = ACTIONS(7559),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHavolcite] = ACTIONS(7559),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHNotecite] = ACTIONS(7559),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHlabel] = ACTIONS(7559),
    [anon_sym_BSLASHref] = ACTIONS(7559),
    [anon_sym_BSLASHeqref] = ACTIONS(7559),
    [anon_sym_BSLASHvref] = ACTIONS(7559),
    [anon_sym_BSLASHVref] = ACTIONS(7559),
    [anon_sym_BSLASHautoref] = ACTIONS(7559),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHpageref] = ACTIONS(7559),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHautopageref] = ACTIONS(7559),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcref] = ACTIONS(7559),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCref] = ACTIONS(7559),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcpageref] = ACTIONS(7559),
    [anon_sym_BSLASHCpageref] = ACTIONS(7559),
    [anon_sym_BSLASHnamecref] = ACTIONS(7559),
    [anon_sym_BSLASHnameCref] = ACTIONS(7559),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7559),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7559),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7559),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7559),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7559),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7559),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7559),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7559),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7559),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7559),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7559),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHdef] = ACTIONS(7559),
    [anon_sym_BSLASHgdef] = ACTIONS(7559),
    [anon_sym_BSLASHedef] = ACTIONS(7559),
    [anon_sym_BSLASHxdef] = ACTIONS(7559),
    [anon_sym_BSLASHlet] = ACTIONS(7559),
    [anon_sym_BSLASHglet] = ACTIONS(7559),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7559),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7559),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7559),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7559),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7559),
    [anon_sym_BSLASHgls] = ACTIONS(7559),
    [anon_sym_BSLASHGls] = ACTIONS(7559),
    [anon_sym_BSLASHGLS] = ACTIONS(7559),
    [anon_sym_BSLASHglspl] = ACTIONS(7559),
    [anon_sym_BSLASHGlspl] = ACTIONS(7559),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7559),
    [anon_sym_BSLASHglslink] = ACTIONS(7559),
    [anon_sym_BSLASHglstext] = ACTIONS(7559),
    [anon_sym_BSLASHGlstext] = ACTIONS(7559),
    [anon_sym_BSLASHGLStext] = ACTIONS(7559),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7559),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7559),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7559),
    [anon_sym_BSLASHglsplural] = ACTIONS(7559),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7559),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7559),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHglsname] = ACTIONS(7559),
    [anon_sym_BSLASHGlsname] = ACTIONS(7559),
    [anon_sym_BSLASHGLSname] = ACTIONS(7559),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7559),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7559),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7559),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7559),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7559),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7559),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7559),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7559),
    [anon_sym_BSLASHacrshort] = ACTIONS(7559),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7559),
    [anon_sym_BSLASHACRshort] = ACTIONS(7559),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHacrlong] = ACTIONS(7559),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7559),
    [anon_sym_BSLASHACRlong] = ACTIONS(7559),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHacrfull] = ACTIONS(7559),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7559),
    [anon_sym_BSLASHACRfull] = ACTIONS(7559),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHacs] = ACTIONS(7559),
    [anon_sym_BSLASHAcs] = ACTIONS(7559),
    [anon_sym_BSLASHacsp] = ACTIONS(7559),
    [anon_sym_BSLASHAcsp] = ACTIONS(7559),
    [anon_sym_BSLASHacl] = ACTIONS(7559),
    [anon_sym_BSLASHAcl] = ACTIONS(7559),
    [anon_sym_BSLASHaclp] = ACTIONS(7559),
    [anon_sym_BSLASHAclp] = ACTIONS(7559),
    [anon_sym_BSLASHacf] = ACTIONS(7559),
    [anon_sym_BSLASHAcf] = ACTIONS(7559),
    [anon_sym_BSLASHacfp] = ACTIONS(7559),
    [anon_sym_BSLASHAcfp] = ACTIONS(7559),
    [anon_sym_BSLASHac] = ACTIONS(7559),
    [anon_sym_BSLASHAc] = ACTIONS(7559),
    [anon_sym_BSLASHacp] = ACTIONS(7559),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7559),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7559),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7559),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7559),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7559),
    [anon_sym_BSLASHcolor] = ACTIONS(7559),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7559),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7559),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7559),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7559),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7559),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7559),
    [anon_sym_BSLASHurl] = ACTIONS(7559),
    [anon_sym_BSLASHhref] = ACTIONS(7559),
  },
  [1969] = {
    [sym_command_name] = ACTIONS(7563),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7563),
    [anon_sym_LBRACK] = ACTIONS(7565),
    [anon_sym_RBRACK] = ACTIONS(7565),
    [anon_sym_COMMA] = ACTIONS(7565),
    [anon_sym_EQ] = ACTIONS(7565),
    [anon_sym_LPAREN] = ACTIONS(7565),
    [anon_sym_RPAREN] = ACTIONS(7565),
    [anon_sym_LBRACE] = ACTIONS(7565),
    [sym_word] = ACTIONS(7563),
    [sym_placeholder] = ACTIONS(7565),
    [sym_delimiter] = ACTIONS(7565),
    [anon_sym_PLUS] = ACTIONS(7565),
    [anon_sym_DASH] = ACTIONS(7565),
    [anon_sym_STAR] = ACTIONS(7565),
    [anon_sym_SLASH] = ACTIONS(7565),
    [anon_sym_LT] = ACTIONS(7563),
    [anon_sym_GT] = ACTIONS(7563),
    [anon_sym_BANG] = ACTIONS(7563),
    [anon_sym_PIPE] = ACTIONS(7563),
    [anon_sym_COLON] = ACTIONS(7563),
    [anon_sym_SQUOTE] = ACTIONS(7563),
    [anon_sym__] = ACTIONS(7565),
    [anon_sym_CARET] = ACTIONS(7565),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7565),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7565),
    [anon_sym_DOLLAR] = ACTIONS(7563),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7565),
    [anon_sym_BSLASHleft] = ACTIONS(7563),
    [anon_sym_BSLASHbigl] = ACTIONS(7563),
    [anon_sym_BSLASHBigl] = ACTIONS(7563),
    [anon_sym_BSLASHbiggl] = ACTIONS(7563),
    [anon_sym_BSLASHBiggl] = ACTIONS(7563),
    [anon_sym_BSLASHtext] = ACTIONS(7563),
    [anon_sym_BSLASHintertext] = ACTIONS(7563),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7563),
    [anon_sym_BSLASHbegin] = ACTIONS(7563),
    [anon_sym_BSLASHtitle] = ACTIONS(7563),
    [anon_sym_BSLASHauthor] = ACTIONS(7563),
    [anon_sym_BSLASHusepackage] = ACTIONS(7563),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7563),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7563),
    [anon_sym_BSLASHinclude] = ACTIONS(7563),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7563),
    [anon_sym_BSLASHinput] = ACTIONS(7563),
    [anon_sym_BSLASHsubfile] = ACTIONS(7563),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7563),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7563),
    [anon_sym_BSLASHbibliography] = ACTIONS(7563),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7563),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7563),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7563),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7563),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7563),
    [anon_sym_BSLASHimport] = ACTIONS(7563),
    [anon_sym_BSLASHsubimport] = ACTIONS(7563),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7563),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7563),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7563),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7563),
    [anon_sym_BSLASHcaption] = ACTIONS(7563),
    [anon_sym_BSLASHcite] = ACTIONS(7563),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCite] = ACTIONS(7563),
    [anon_sym_BSLASHnocite] = ACTIONS(7563),
    [anon_sym_BSLASHcitet] = ACTIONS(7563),
    [anon_sym_BSLASHcitep] = ACTIONS(7563),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteA] = ACTIONS(7563),
    [anon_sym_BSLASHciteR] = ACTIONS(7563),
    [anon_sym_BSLASHciteS] = ACTIONS(7563),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7563),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7563),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7563),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7563),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteyear] = ACTIONS(7563),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitedate] = ACTIONS(7563),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteurl] = ACTIONS(7563),
    [anon_sym_BSLASHfullcite] = ACTIONS(7563),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7563),
    [anon_sym_BSLASHcitealt] = ACTIONS(7563),
    [anon_sym_BSLASHcitealp] = ACTIONS(7563),
    [anon_sym_BSLASHcitetext] = ACTIONS(7563),
    [anon_sym_BSLASHparencite] = ACTIONS(7563),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHParencite] = ACTIONS(7563),
    [anon_sym_BSLASHfootcite] = ACTIONS(7563),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7563),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7563),
    [anon_sym_BSLASHtextcite] = ACTIONS(7563),
    [anon_sym_BSLASHTextcite] = ACTIONS(7563),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7563),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7563),
    [anon_sym_BSLASHsupercite] = ACTIONS(7563),
    [anon_sym_BSLASHautocite] = ACTIONS(7563),
    [anon_sym_BSLASHAutocite] = ACTIONS(7563),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHVolcite] = ACTIONS(7563),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHavolcite] = ACTIONS(7563),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHNotecite] = ACTIONS(7563),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHlabel] = ACTIONS(7563),
    [anon_sym_BSLASHref] = ACTIONS(7563),
    [anon_sym_BSLASHeqref] = ACTIONS(7563),
    [anon_sym_BSLASHvref] = ACTIONS(7563),
    [anon_sym_BSLASHVref] = ACTIONS(7563),
    [anon_sym_BSLASHautoref] = ACTIONS(7563),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHpageref] = ACTIONS(7563),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHautopageref] = ACTIONS(7563),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcref] = ACTIONS(7563),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCref] = ACTIONS(7563),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcpageref] = ACTIONS(7563),
    [anon_sym_BSLASHCpageref] = ACTIONS(7563),
    [anon_sym_BSLASHnamecref] = ACTIONS(7563),
    [anon_sym_BSLASHnameCref] = ACTIONS(7563),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7563),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7563),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7563),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7563),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7563),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7563),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7563),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7563),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7563),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7563),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7563),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHdef] = ACTIONS(7563),
    [anon_sym_BSLASHgdef] = ACTIONS(7563),
    [anon_sym_BSLASHedef] = ACTIONS(7563),
    [anon_sym_BSLASHxdef] = ACTIONS(7563),
    [anon_sym_BSLASHlet] = ACTIONS(7563),
    [anon_sym_BSLASHglet] = ACTIONS(7563),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7563),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7563),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7563),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7563),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7563),
    [anon_sym_BSLASHgls] = ACTIONS(7563),
    [anon_sym_BSLASHGls] = ACTIONS(7563),
    [anon_sym_BSLASHGLS] = ACTIONS(7563),
    [anon_sym_BSLASHglspl] = ACTIONS(7563),
    [anon_sym_BSLASHGlspl] = ACTIONS(7563),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7563),
    [anon_sym_BSLASHglslink] = ACTIONS(7563),
    [anon_sym_BSLASHglstext] = ACTIONS(7563),
    [anon_sym_BSLASHGlstext] = ACTIONS(7563),
    [anon_sym_BSLASHGLStext] = ACTIONS(7563),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7563),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7563),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7563),
    [anon_sym_BSLASHglsplural] = ACTIONS(7563),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7563),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7563),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHglsname] = ACTIONS(7563),
    [anon_sym_BSLASHGlsname] = ACTIONS(7563),
    [anon_sym_BSLASHGLSname] = ACTIONS(7563),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7563),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7563),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7563),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7563),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7563),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7563),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7563),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7563),
    [anon_sym_BSLASHacrshort] = ACTIONS(7563),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7563),
    [anon_sym_BSLASHACRshort] = ACTIONS(7563),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHacrlong] = ACTIONS(7563),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7563),
    [anon_sym_BSLASHACRlong] = ACTIONS(7563),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHacrfull] = ACTIONS(7563),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7563),
    [anon_sym_BSLASHACRfull] = ACTIONS(7563),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHacs] = ACTIONS(7563),
    [anon_sym_BSLASHAcs] = ACTIONS(7563),
    [anon_sym_BSLASHacsp] = ACTIONS(7563),
    [anon_sym_BSLASHAcsp] = ACTIONS(7563),
    [anon_sym_BSLASHacl] = ACTIONS(7563),
    [anon_sym_BSLASHAcl] = ACTIONS(7563),
    [anon_sym_BSLASHaclp] = ACTIONS(7563),
    [anon_sym_BSLASHAclp] = ACTIONS(7563),
    [anon_sym_BSLASHacf] = ACTIONS(7563),
    [anon_sym_BSLASHAcf] = ACTIONS(7563),
    [anon_sym_BSLASHacfp] = ACTIONS(7563),
    [anon_sym_BSLASHAcfp] = ACTIONS(7563),
    [anon_sym_BSLASHac] = ACTIONS(7563),
    [anon_sym_BSLASHAc] = ACTIONS(7563),
    [anon_sym_BSLASHacp] = ACTIONS(7563),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7563),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7563),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7563),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7563),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7563),
    [anon_sym_BSLASHcolor] = ACTIONS(7563),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7563),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7563),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7563),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7563),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7563),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7563),
    [anon_sym_BSLASHurl] = ACTIONS(7563),
    [anon_sym_BSLASHhref] = ACTIONS(7563),
  },
  [1970] = {
    [sym_command_name] = ACTIONS(7323),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7323),
    [anon_sym_LBRACK] = ACTIONS(7325),
    [anon_sym_RBRACK] = ACTIONS(7325),
    [anon_sym_COMMA] = ACTIONS(7325),
    [anon_sym_EQ] = ACTIONS(7325),
    [anon_sym_LPAREN] = ACTIONS(7325),
    [anon_sym_RPAREN] = ACTIONS(7325),
    [anon_sym_LBRACE] = ACTIONS(7325),
    [anon_sym_RBRACE] = ACTIONS(7325),
    [sym_word] = ACTIONS(7323),
    [sym_placeholder] = ACTIONS(7325),
    [sym_delimiter] = ACTIONS(7325),
    [anon_sym_PLUS] = ACTIONS(7325),
    [anon_sym_DASH] = ACTIONS(7325),
    [anon_sym_STAR] = ACTIONS(7325),
    [anon_sym_SLASH] = ACTIONS(7325),
    [anon_sym_LT] = ACTIONS(7323),
    [anon_sym_GT] = ACTIONS(7323),
    [anon_sym_BANG] = ACTIONS(7323),
    [anon_sym_PIPE] = ACTIONS(7323),
    [anon_sym_COLON] = ACTIONS(7323),
    [anon_sym_SQUOTE] = ACTIONS(7323),
    [anon_sym__] = ACTIONS(7325),
    [anon_sym_CARET] = ACTIONS(7325),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7325),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7325),
    [anon_sym_DOLLAR] = ACTIONS(7323),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7325),
    [anon_sym_BSLASHleft] = ACTIONS(7323),
    [anon_sym_BSLASHbigl] = ACTIONS(7323),
    [anon_sym_BSLASHBigl] = ACTIONS(7323),
    [anon_sym_BSLASHbiggl] = ACTIONS(7323),
    [anon_sym_BSLASHBiggl] = ACTIONS(7323),
    [anon_sym_BSLASHtext] = ACTIONS(7323),
    [anon_sym_BSLASHintertext] = ACTIONS(7323),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7323),
    [anon_sym_BSLASHtitle] = ACTIONS(7323),
    [anon_sym_BSLASHauthor] = ACTIONS(7323),
    [anon_sym_BSLASHusepackage] = ACTIONS(7323),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7323),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7323),
    [anon_sym_BSLASHinclude] = ACTIONS(7323),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7323),
    [anon_sym_BSLASHinput] = ACTIONS(7323),
    [anon_sym_BSLASHsubfile] = ACTIONS(7323),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7323),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7323),
    [anon_sym_BSLASHbibliography] = ACTIONS(7323),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7323),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7323),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7323),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7323),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7323),
    [anon_sym_BSLASHimport] = ACTIONS(7323),
    [anon_sym_BSLASHsubimport] = ACTIONS(7323),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7323),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7323),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7323),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7323),
    [anon_sym_BSLASHcaption] = ACTIONS(7323),
    [anon_sym_BSLASHcite] = ACTIONS(7323),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCite] = ACTIONS(7323),
    [anon_sym_BSLASHnocite] = ACTIONS(7323),
    [anon_sym_BSLASHcitet] = ACTIONS(7323),
    [anon_sym_BSLASHcitep] = ACTIONS(7323),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteA] = ACTIONS(7323),
    [anon_sym_BSLASHciteR] = ACTIONS(7323),
    [anon_sym_BSLASHciteS] = ACTIONS(7323),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7323),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7323),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7323),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7323),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteyear] = ACTIONS(7323),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitedate] = ACTIONS(7323),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteurl] = ACTIONS(7323),
    [anon_sym_BSLASHfullcite] = ACTIONS(7323),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7323),
    [anon_sym_BSLASHcitealt] = ACTIONS(7323),
    [anon_sym_BSLASHcitealp] = ACTIONS(7323),
    [anon_sym_BSLASHcitetext] = ACTIONS(7323),
    [anon_sym_BSLASHparencite] = ACTIONS(7323),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHParencite] = ACTIONS(7323),
    [anon_sym_BSLASHfootcite] = ACTIONS(7323),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7323),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7323),
    [anon_sym_BSLASHtextcite] = ACTIONS(7323),
    [anon_sym_BSLASHTextcite] = ACTIONS(7323),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7323),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7323),
    [anon_sym_BSLASHsupercite] = ACTIONS(7323),
    [anon_sym_BSLASHautocite] = ACTIONS(7323),
    [anon_sym_BSLASHAutocite] = ACTIONS(7323),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHVolcite] = ACTIONS(7323),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHavolcite] = ACTIONS(7323),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHNotecite] = ACTIONS(7323),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHlabel] = ACTIONS(7323),
    [anon_sym_BSLASHref] = ACTIONS(7323),
    [anon_sym_BSLASHeqref] = ACTIONS(7323),
    [anon_sym_BSLASHvref] = ACTIONS(7323),
    [anon_sym_BSLASHVref] = ACTIONS(7323),
    [anon_sym_BSLASHautoref] = ACTIONS(7323),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHpageref] = ACTIONS(7323),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHautopageref] = ACTIONS(7323),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcref] = ACTIONS(7323),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCref] = ACTIONS(7323),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcpageref] = ACTIONS(7323),
    [anon_sym_BSLASHCpageref] = ACTIONS(7323),
    [anon_sym_BSLASHnamecref] = ACTIONS(7323),
    [anon_sym_BSLASHnameCref] = ACTIONS(7323),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7323),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7323),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7323),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7323),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7323),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7323),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7323),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7323),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7323),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7323),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7323),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHdef] = ACTIONS(7323),
    [anon_sym_BSLASHgdef] = ACTIONS(7323),
    [anon_sym_BSLASHedef] = ACTIONS(7323),
    [anon_sym_BSLASHxdef] = ACTIONS(7323),
    [anon_sym_BSLASHlet] = ACTIONS(7323),
    [anon_sym_BSLASHglet] = ACTIONS(7323),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7323),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7323),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7323),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7323),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7323),
    [anon_sym_BSLASHgls] = ACTIONS(7323),
    [anon_sym_BSLASHGls] = ACTIONS(7323),
    [anon_sym_BSLASHGLS] = ACTIONS(7323),
    [anon_sym_BSLASHglspl] = ACTIONS(7323),
    [anon_sym_BSLASHGlspl] = ACTIONS(7323),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7323),
    [anon_sym_BSLASHglslink] = ACTIONS(7323),
    [anon_sym_BSLASHglstext] = ACTIONS(7323),
    [anon_sym_BSLASHGlstext] = ACTIONS(7323),
    [anon_sym_BSLASHGLStext] = ACTIONS(7323),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7323),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7323),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7323),
    [anon_sym_BSLASHglsplural] = ACTIONS(7323),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7323),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7323),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHglsname] = ACTIONS(7323),
    [anon_sym_BSLASHGlsname] = ACTIONS(7323),
    [anon_sym_BSLASHGLSname] = ACTIONS(7323),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7323),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7323),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7323),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7323),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7323),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7323),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7323),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7323),
    [anon_sym_BSLASHacrshort] = ACTIONS(7323),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7323),
    [anon_sym_BSLASHACRshort] = ACTIONS(7323),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHacrlong] = ACTIONS(7323),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7323),
    [anon_sym_BSLASHACRlong] = ACTIONS(7323),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHacrfull] = ACTIONS(7323),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7323),
    [anon_sym_BSLASHACRfull] = ACTIONS(7323),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHacs] = ACTIONS(7323),
    [anon_sym_BSLASHAcs] = ACTIONS(7323),
    [anon_sym_BSLASHacsp] = ACTIONS(7323),
    [anon_sym_BSLASHAcsp] = ACTIONS(7323),
    [anon_sym_BSLASHacl] = ACTIONS(7323),
    [anon_sym_BSLASHAcl] = ACTIONS(7323),
    [anon_sym_BSLASHaclp] = ACTIONS(7323),
    [anon_sym_BSLASHAclp] = ACTIONS(7323),
    [anon_sym_BSLASHacf] = ACTIONS(7323),
    [anon_sym_BSLASHAcf] = ACTIONS(7323),
    [anon_sym_BSLASHacfp] = ACTIONS(7323),
    [anon_sym_BSLASHAcfp] = ACTIONS(7323),
    [anon_sym_BSLASHac] = ACTIONS(7323),
    [anon_sym_BSLASHAc] = ACTIONS(7323),
    [anon_sym_BSLASHacp] = ACTIONS(7323),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7323),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7323),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7323),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7323),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7323),
    [anon_sym_BSLASHcolor] = ACTIONS(7323),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7323),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7323),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7323),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7323),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7323),
    [anon_sym_BSLASHurl] = ACTIONS(7323),
    [anon_sym_BSLASHhref] = ACTIONS(7323),
  },
  [1971] = {
    [sym_command_name] = ACTIONS(7327),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7327),
    [anon_sym_LBRACK] = ACTIONS(7329),
    [anon_sym_RBRACK] = ACTIONS(7329),
    [anon_sym_COMMA] = ACTIONS(7329),
    [anon_sym_EQ] = ACTIONS(7329),
    [anon_sym_LPAREN] = ACTIONS(7329),
    [anon_sym_RPAREN] = ACTIONS(7329),
    [anon_sym_LBRACE] = ACTIONS(7329),
    [anon_sym_RBRACE] = ACTIONS(7329),
    [sym_word] = ACTIONS(7327),
    [sym_placeholder] = ACTIONS(7329),
    [sym_delimiter] = ACTIONS(7329),
    [anon_sym_PLUS] = ACTIONS(7329),
    [anon_sym_DASH] = ACTIONS(7329),
    [anon_sym_STAR] = ACTIONS(7329),
    [anon_sym_SLASH] = ACTIONS(7329),
    [anon_sym_LT] = ACTIONS(7327),
    [anon_sym_GT] = ACTIONS(7327),
    [anon_sym_BANG] = ACTIONS(7327),
    [anon_sym_PIPE] = ACTIONS(7327),
    [anon_sym_COLON] = ACTIONS(7327),
    [anon_sym_SQUOTE] = ACTIONS(7327),
    [anon_sym__] = ACTIONS(7329),
    [anon_sym_CARET] = ACTIONS(7329),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7329),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7329),
    [anon_sym_DOLLAR] = ACTIONS(7327),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7329),
    [anon_sym_BSLASHleft] = ACTIONS(7327),
    [anon_sym_BSLASHbigl] = ACTIONS(7327),
    [anon_sym_BSLASHBigl] = ACTIONS(7327),
    [anon_sym_BSLASHbiggl] = ACTIONS(7327),
    [anon_sym_BSLASHBiggl] = ACTIONS(7327),
    [anon_sym_BSLASHtext] = ACTIONS(7327),
    [anon_sym_BSLASHintertext] = ACTIONS(7327),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7327),
    [anon_sym_BSLASHtitle] = ACTIONS(7327),
    [anon_sym_BSLASHauthor] = ACTIONS(7327),
    [anon_sym_BSLASHusepackage] = ACTIONS(7327),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7327),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7327),
    [anon_sym_BSLASHinclude] = ACTIONS(7327),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7327),
    [anon_sym_BSLASHinput] = ACTIONS(7327),
    [anon_sym_BSLASHsubfile] = ACTIONS(7327),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7327),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7327),
    [anon_sym_BSLASHbibliography] = ACTIONS(7327),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7327),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7327),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7327),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7327),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7327),
    [anon_sym_BSLASHimport] = ACTIONS(7327),
    [anon_sym_BSLASHsubimport] = ACTIONS(7327),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7327),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7327),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7327),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7327),
    [anon_sym_BSLASHcaption] = ACTIONS(7327),
    [anon_sym_BSLASHcite] = ACTIONS(7327),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCite] = ACTIONS(7327),
    [anon_sym_BSLASHnocite] = ACTIONS(7327),
    [anon_sym_BSLASHcitet] = ACTIONS(7327),
    [anon_sym_BSLASHcitep] = ACTIONS(7327),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteA] = ACTIONS(7327),
    [anon_sym_BSLASHciteR] = ACTIONS(7327),
    [anon_sym_BSLASHciteS] = ACTIONS(7327),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7327),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7327),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7327),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7327),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteyear] = ACTIONS(7327),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitedate] = ACTIONS(7327),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteurl] = ACTIONS(7327),
    [anon_sym_BSLASHfullcite] = ACTIONS(7327),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7327),
    [anon_sym_BSLASHcitealt] = ACTIONS(7327),
    [anon_sym_BSLASHcitealp] = ACTIONS(7327),
    [anon_sym_BSLASHcitetext] = ACTIONS(7327),
    [anon_sym_BSLASHparencite] = ACTIONS(7327),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHParencite] = ACTIONS(7327),
    [anon_sym_BSLASHfootcite] = ACTIONS(7327),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7327),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7327),
    [anon_sym_BSLASHtextcite] = ACTIONS(7327),
    [anon_sym_BSLASHTextcite] = ACTIONS(7327),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7327),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7327),
    [anon_sym_BSLASHsupercite] = ACTIONS(7327),
    [anon_sym_BSLASHautocite] = ACTIONS(7327),
    [anon_sym_BSLASHAutocite] = ACTIONS(7327),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHVolcite] = ACTIONS(7327),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHavolcite] = ACTIONS(7327),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHNotecite] = ACTIONS(7327),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHlabel] = ACTIONS(7327),
    [anon_sym_BSLASHref] = ACTIONS(7327),
    [anon_sym_BSLASHeqref] = ACTIONS(7327),
    [anon_sym_BSLASHvref] = ACTIONS(7327),
    [anon_sym_BSLASHVref] = ACTIONS(7327),
    [anon_sym_BSLASHautoref] = ACTIONS(7327),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHpageref] = ACTIONS(7327),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHautopageref] = ACTIONS(7327),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcref] = ACTIONS(7327),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCref] = ACTIONS(7327),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcpageref] = ACTIONS(7327),
    [anon_sym_BSLASHCpageref] = ACTIONS(7327),
    [anon_sym_BSLASHnamecref] = ACTIONS(7327),
    [anon_sym_BSLASHnameCref] = ACTIONS(7327),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7327),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7327),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7327),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7327),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7327),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7327),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7327),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7327),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7327),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7327),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7327),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHdef] = ACTIONS(7327),
    [anon_sym_BSLASHgdef] = ACTIONS(7327),
    [anon_sym_BSLASHedef] = ACTIONS(7327),
    [anon_sym_BSLASHxdef] = ACTIONS(7327),
    [anon_sym_BSLASHlet] = ACTIONS(7327),
    [anon_sym_BSLASHglet] = ACTIONS(7327),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7327),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7327),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7327),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7327),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7327),
    [anon_sym_BSLASHgls] = ACTIONS(7327),
    [anon_sym_BSLASHGls] = ACTIONS(7327),
    [anon_sym_BSLASHGLS] = ACTIONS(7327),
    [anon_sym_BSLASHglspl] = ACTIONS(7327),
    [anon_sym_BSLASHGlspl] = ACTIONS(7327),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7327),
    [anon_sym_BSLASHglslink] = ACTIONS(7327),
    [anon_sym_BSLASHglstext] = ACTIONS(7327),
    [anon_sym_BSLASHGlstext] = ACTIONS(7327),
    [anon_sym_BSLASHGLStext] = ACTIONS(7327),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7327),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7327),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7327),
    [anon_sym_BSLASHglsplural] = ACTIONS(7327),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7327),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7327),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHglsname] = ACTIONS(7327),
    [anon_sym_BSLASHGlsname] = ACTIONS(7327),
    [anon_sym_BSLASHGLSname] = ACTIONS(7327),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7327),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7327),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7327),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7327),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7327),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7327),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7327),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7327),
    [anon_sym_BSLASHacrshort] = ACTIONS(7327),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7327),
    [anon_sym_BSLASHACRshort] = ACTIONS(7327),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHacrlong] = ACTIONS(7327),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7327),
    [anon_sym_BSLASHACRlong] = ACTIONS(7327),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHacrfull] = ACTIONS(7327),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7327),
    [anon_sym_BSLASHACRfull] = ACTIONS(7327),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHacs] = ACTIONS(7327),
    [anon_sym_BSLASHAcs] = ACTIONS(7327),
    [anon_sym_BSLASHacsp] = ACTIONS(7327),
    [anon_sym_BSLASHAcsp] = ACTIONS(7327),
    [anon_sym_BSLASHacl] = ACTIONS(7327),
    [anon_sym_BSLASHAcl] = ACTIONS(7327),
    [anon_sym_BSLASHaclp] = ACTIONS(7327),
    [anon_sym_BSLASHAclp] = ACTIONS(7327),
    [anon_sym_BSLASHacf] = ACTIONS(7327),
    [anon_sym_BSLASHAcf] = ACTIONS(7327),
    [anon_sym_BSLASHacfp] = ACTIONS(7327),
    [anon_sym_BSLASHAcfp] = ACTIONS(7327),
    [anon_sym_BSLASHac] = ACTIONS(7327),
    [anon_sym_BSLASHAc] = ACTIONS(7327),
    [anon_sym_BSLASHacp] = ACTIONS(7327),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7327),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7327),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7327),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7327),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7327),
    [anon_sym_BSLASHcolor] = ACTIONS(7327),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7327),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7327),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7327),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7327),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7327),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7327),
    [anon_sym_BSLASHurl] = ACTIONS(7327),
    [anon_sym_BSLASHhref] = ACTIONS(7327),
  },
  [1972] = {
    [sym_command_name] = ACTIONS(7331),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7331),
    [anon_sym_LBRACK] = ACTIONS(7333),
    [anon_sym_RBRACK] = ACTIONS(7333),
    [anon_sym_COMMA] = ACTIONS(7333),
    [anon_sym_EQ] = ACTIONS(7333),
    [anon_sym_LPAREN] = ACTIONS(7333),
    [anon_sym_RPAREN] = ACTIONS(7333),
    [anon_sym_LBRACE] = ACTIONS(7333),
    [anon_sym_RBRACE] = ACTIONS(7333),
    [sym_word] = ACTIONS(7331),
    [sym_placeholder] = ACTIONS(7333),
    [sym_delimiter] = ACTIONS(7333),
    [anon_sym_PLUS] = ACTIONS(7333),
    [anon_sym_DASH] = ACTIONS(7333),
    [anon_sym_STAR] = ACTIONS(7333),
    [anon_sym_SLASH] = ACTIONS(7333),
    [anon_sym_LT] = ACTIONS(7331),
    [anon_sym_GT] = ACTIONS(7331),
    [anon_sym_BANG] = ACTIONS(7331),
    [anon_sym_PIPE] = ACTIONS(7331),
    [anon_sym_COLON] = ACTIONS(7331),
    [anon_sym_SQUOTE] = ACTIONS(7331),
    [anon_sym__] = ACTIONS(7333),
    [anon_sym_CARET] = ACTIONS(7333),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7333),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7333),
    [anon_sym_DOLLAR] = ACTIONS(7331),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7333),
    [anon_sym_BSLASHleft] = ACTIONS(7331),
    [anon_sym_BSLASHbigl] = ACTIONS(7331),
    [anon_sym_BSLASHBigl] = ACTIONS(7331),
    [anon_sym_BSLASHbiggl] = ACTIONS(7331),
    [anon_sym_BSLASHBiggl] = ACTIONS(7331),
    [anon_sym_BSLASHtext] = ACTIONS(7331),
    [anon_sym_BSLASHintertext] = ACTIONS(7331),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7331),
    [anon_sym_BSLASHtitle] = ACTIONS(7331),
    [anon_sym_BSLASHauthor] = ACTIONS(7331),
    [anon_sym_BSLASHusepackage] = ACTIONS(7331),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7331),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7331),
    [anon_sym_BSLASHinclude] = ACTIONS(7331),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7331),
    [anon_sym_BSLASHinput] = ACTIONS(7331),
    [anon_sym_BSLASHsubfile] = ACTIONS(7331),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7331),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7331),
    [anon_sym_BSLASHbibliography] = ACTIONS(7331),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7331),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7331),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7331),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7331),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7331),
    [anon_sym_BSLASHimport] = ACTIONS(7331),
    [anon_sym_BSLASHsubimport] = ACTIONS(7331),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7331),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7331),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7331),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7331),
    [anon_sym_BSLASHcaption] = ACTIONS(7331),
    [anon_sym_BSLASHcite] = ACTIONS(7331),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCite] = ACTIONS(7331),
    [anon_sym_BSLASHnocite] = ACTIONS(7331),
    [anon_sym_BSLASHcitet] = ACTIONS(7331),
    [anon_sym_BSLASHcitep] = ACTIONS(7331),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteA] = ACTIONS(7331),
    [anon_sym_BSLASHciteR] = ACTIONS(7331),
    [anon_sym_BSLASHciteS] = ACTIONS(7331),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7331),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7331),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7331),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7331),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteyear] = ACTIONS(7331),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitedate] = ACTIONS(7331),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteurl] = ACTIONS(7331),
    [anon_sym_BSLASHfullcite] = ACTIONS(7331),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7331),
    [anon_sym_BSLASHcitealt] = ACTIONS(7331),
    [anon_sym_BSLASHcitealp] = ACTIONS(7331),
    [anon_sym_BSLASHcitetext] = ACTIONS(7331),
    [anon_sym_BSLASHparencite] = ACTIONS(7331),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHParencite] = ACTIONS(7331),
    [anon_sym_BSLASHfootcite] = ACTIONS(7331),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7331),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7331),
    [anon_sym_BSLASHtextcite] = ACTIONS(7331),
    [anon_sym_BSLASHTextcite] = ACTIONS(7331),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7331),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7331),
    [anon_sym_BSLASHsupercite] = ACTIONS(7331),
    [anon_sym_BSLASHautocite] = ACTIONS(7331),
    [anon_sym_BSLASHAutocite] = ACTIONS(7331),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHVolcite] = ACTIONS(7331),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHavolcite] = ACTIONS(7331),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHNotecite] = ACTIONS(7331),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHlabel] = ACTIONS(7331),
    [anon_sym_BSLASHref] = ACTIONS(7331),
    [anon_sym_BSLASHeqref] = ACTIONS(7331),
    [anon_sym_BSLASHvref] = ACTIONS(7331),
    [anon_sym_BSLASHVref] = ACTIONS(7331),
    [anon_sym_BSLASHautoref] = ACTIONS(7331),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHpageref] = ACTIONS(7331),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHautopageref] = ACTIONS(7331),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcref] = ACTIONS(7331),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCref] = ACTIONS(7331),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcpageref] = ACTIONS(7331),
    [anon_sym_BSLASHCpageref] = ACTIONS(7331),
    [anon_sym_BSLASHnamecref] = ACTIONS(7331),
    [anon_sym_BSLASHnameCref] = ACTIONS(7331),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7331),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7331),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7331),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7331),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7331),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7331),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7331),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7331),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7331),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7331),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7331),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHdef] = ACTIONS(7331),
    [anon_sym_BSLASHgdef] = ACTIONS(7331),
    [anon_sym_BSLASHedef] = ACTIONS(7331),
    [anon_sym_BSLASHxdef] = ACTIONS(7331),
    [anon_sym_BSLASHlet] = ACTIONS(7331),
    [anon_sym_BSLASHglet] = ACTIONS(7331),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7331),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7331),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7331),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7331),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7331),
    [anon_sym_BSLASHgls] = ACTIONS(7331),
    [anon_sym_BSLASHGls] = ACTIONS(7331),
    [anon_sym_BSLASHGLS] = ACTIONS(7331),
    [anon_sym_BSLASHglspl] = ACTIONS(7331),
    [anon_sym_BSLASHGlspl] = ACTIONS(7331),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7331),
    [anon_sym_BSLASHglslink] = ACTIONS(7331),
    [anon_sym_BSLASHglstext] = ACTIONS(7331),
    [anon_sym_BSLASHGlstext] = ACTIONS(7331),
    [anon_sym_BSLASHGLStext] = ACTIONS(7331),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7331),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7331),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7331),
    [anon_sym_BSLASHglsplural] = ACTIONS(7331),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7331),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7331),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHglsname] = ACTIONS(7331),
    [anon_sym_BSLASHGlsname] = ACTIONS(7331),
    [anon_sym_BSLASHGLSname] = ACTIONS(7331),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7331),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7331),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7331),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7331),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7331),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7331),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7331),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7331),
    [anon_sym_BSLASHacrshort] = ACTIONS(7331),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7331),
    [anon_sym_BSLASHACRshort] = ACTIONS(7331),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHacrlong] = ACTIONS(7331),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7331),
    [anon_sym_BSLASHACRlong] = ACTIONS(7331),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHacrfull] = ACTIONS(7331),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7331),
    [anon_sym_BSLASHACRfull] = ACTIONS(7331),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHacs] = ACTIONS(7331),
    [anon_sym_BSLASHAcs] = ACTIONS(7331),
    [anon_sym_BSLASHacsp] = ACTIONS(7331),
    [anon_sym_BSLASHAcsp] = ACTIONS(7331),
    [anon_sym_BSLASHacl] = ACTIONS(7331),
    [anon_sym_BSLASHAcl] = ACTIONS(7331),
    [anon_sym_BSLASHaclp] = ACTIONS(7331),
    [anon_sym_BSLASHAclp] = ACTIONS(7331),
    [anon_sym_BSLASHacf] = ACTIONS(7331),
    [anon_sym_BSLASHAcf] = ACTIONS(7331),
    [anon_sym_BSLASHacfp] = ACTIONS(7331),
    [anon_sym_BSLASHAcfp] = ACTIONS(7331),
    [anon_sym_BSLASHac] = ACTIONS(7331),
    [anon_sym_BSLASHAc] = ACTIONS(7331),
    [anon_sym_BSLASHacp] = ACTIONS(7331),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7331),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7331),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7331),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7331),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7331),
    [anon_sym_BSLASHcolor] = ACTIONS(7331),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7331),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7331),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7331),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7331),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7331),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7331),
    [anon_sym_BSLASHurl] = ACTIONS(7331),
    [anon_sym_BSLASHhref] = ACTIONS(7331),
  },
  [1973] = {
    [sym_command_name] = ACTIONS(7335),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7335),
    [anon_sym_LBRACK] = ACTIONS(7337),
    [anon_sym_RBRACK] = ACTIONS(7337),
    [anon_sym_COMMA] = ACTIONS(7337),
    [anon_sym_EQ] = ACTIONS(7337),
    [anon_sym_LPAREN] = ACTIONS(7337),
    [anon_sym_RPAREN] = ACTIONS(7337),
    [anon_sym_LBRACE] = ACTIONS(7337),
    [anon_sym_RBRACE] = ACTIONS(7337),
    [sym_word] = ACTIONS(7335),
    [sym_placeholder] = ACTIONS(7337),
    [sym_delimiter] = ACTIONS(7337),
    [anon_sym_PLUS] = ACTIONS(7337),
    [anon_sym_DASH] = ACTIONS(7337),
    [anon_sym_STAR] = ACTIONS(7337),
    [anon_sym_SLASH] = ACTIONS(7337),
    [anon_sym_LT] = ACTIONS(7335),
    [anon_sym_GT] = ACTIONS(7335),
    [anon_sym_BANG] = ACTIONS(7335),
    [anon_sym_PIPE] = ACTIONS(7335),
    [anon_sym_COLON] = ACTIONS(7335),
    [anon_sym_SQUOTE] = ACTIONS(7335),
    [anon_sym__] = ACTIONS(7337),
    [anon_sym_CARET] = ACTIONS(7337),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7337),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7337),
    [anon_sym_DOLLAR] = ACTIONS(7335),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7337),
    [anon_sym_BSLASHleft] = ACTIONS(7335),
    [anon_sym_BSLASHbigl] = ACTIONS(7335),
    [anon_sym_BSLASHBigl] = ACTIONS(7335),
    [anon_sym_BSLASHbiggl] = ACTIONS(7335),
    [anon_sym_BSLASHBiggl] = ACTIONS(7335),
    [anon_sym_BSLASHtext] = ACTIONS(7335),
    [anon_sym_BSLASHintertext] = ACTIONS(7335),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7335),
    [anon_sym_BSLASHtitle] = ACTIONS(7335),
    [anon_sym_BSLASHauthor] = ACTIONS(7335),
    [anon_sym_BSLASHusepackage] = ACTIONS(7335),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7335),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7335),
    [anon_sym_BSLASHinclude] = ACTIONS(7335),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7335),
    [anon_sym_BSLASHinput] = ACTIONS(7335),
    [anon_sym_BSLASHsubfile] = ACTIONS(7335),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7335),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7335),
    [anon_sym_BSLASHbibliography] = ACTIONS(7335),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7335),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7335),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7335),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7335),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7335),
    [anon_sym_BSLASHimport] = ACTIONS(7335),
    [anon_sym_BSLASHsubimport] = ACTIONS(7335),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7335),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7335),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7335),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7335),
    [anon_sym_BSLASHcaption] = ACTIONS(7335),
    [anon_sym_BSLASHcite] = ACTIONS(7335),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCite] = ACTIONS(7335),
    [anon_sym_BSLASHnocite] = ACTIONS(7335),
    [anon_sym_BSLASHcitet] = ACTIONS(7335),
    [anon_sym_BSLASHcitep] = ACTIONS(7335),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteA] = ACTIONS(7335),
    [anon_sym_BSLASHciteR] = ACTIONS(7335),
    [anon_sym_BSLASHciteS] = ACTIONS(7335),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7335),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7335),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7335),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7335),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteyear] = ACTIONS(7335),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitedate] = ACTIONS(7335),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteurl] = ACTIONS(7335),
    [anon_sym_BSLASHfullcite] = ACTIONS(7335),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7335),
    [anon_sym_BSLASHcitealt] = ACTIONS(7335),
    [anon_sym_BSLASHcitealp] = ACTIONS(7335),
    [anon_sym_BSLASHcitetext] = ACTIONS(7335),
    [anon_sym_BSLASHparencite] = ACTIONS(7335),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHParencite] = ACTIONS(7335),
    [anon_sym_BSLASHfootcite] = ACTIONS(7335),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7335),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7335),
    [anon_sym_BSLASHtextcite] = ACTIONS(7335),
    [anon_sym_BSLASHTextcite] = ACTIONS(7335),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7335),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7335),
    [anon_sym_BSLASHsupercite] = ACTIONS(7335),
    [anon_sym_BSLASHautocite] = ACTIONS(7335),
    [anon_sym_BSLASHAutocite] = ACTIONS(7335),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHVolcite] = ACTIONS(7335),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHavolcite] = ACTIONS(7335),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHNotecite] = ACTIONS(7335),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHlabel] = ACTIONS(7335),
    [anon_sym_BSLASHref] = ACTIONS(7335),
    [anon_sym_BSLASHeqref] = ACTIONS(7335),
    [anon_sym_BSLASHvref] = ACTIONS(7335),
    [anon_sym_BSLASHVref] = ACTIONS(7335),
    [anon_sym_BSLASHautoref] = ACTIONS(7335),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHpageref] = ACTIONS(7335),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHautopageref] = ACTIONS(7335),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcref] = ACTIONS(7335),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCref] = ACTIONS(7335),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcpageref] = ACTIONS(7335),
    [anon_sym_BSLASHCpageref] = ACTIONS(7335),
    [anon_sym_BSLASHnamecref] = ACTIONS(7335),
    [anon_sym_BSLASHnameCref] = ACTIONS(7335),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7335),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7335),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7335),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7335),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7335),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7335),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7335),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7335),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7335),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7335),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7335),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHdef] = ACTIONS(7335),
    [anon_sym_BSLASHgdef] = ACTIONS(7335),
    [anon_sym_BSLASHedef] = ACTIONS(7335),
    [anon_sym_BSLASHxdef] = ACTIONS(7335),
    [anon_sym_BSLASHlet] = ACTIONS(7335),
    [anon_sym_BSLASHglet] = ACTIONS(7335),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7335),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7335),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7335),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7335),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7335),
    [anon_sym_BSLASHgls] = ACTIONS(7335),
    [anon_sym_BSLASHGls] = ACTIONS(7335),
    [anon_sym_BSLASHGLS] = ACTIONS(7335),
    [anon_sym_BSLASHglspl] = ACTIONS(7335),
    [anon_sym_BSLASHGlspl] = ACTIONS(7335),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7335),
    [anon_sym_BSLASHglslink] = ACTIONS(7335),
    [anon_sym_BSLASHglstext] = ACTIONS(7335),
    [anon_sym_BSLASHGlstext] = ACTIONS(7335),
    [anon_sym_BSLASHGLStext] = ACTIONS(7335),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7335),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7335),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7335),
    [anon_sym_BSLASHglsplural] = ACTIONS(7335),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7335),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7335),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHglsname] = ACTIONS(7335),
    [anon_sym_BSLASHGlsname] = ACTIONS(7335),
    [anon_sym_BSLASHGLSname] = ACTIONS(7335),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7335),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7335),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7335),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7335),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7335),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7335),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7335),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7335),
    [anon_sym_BSLASHacrshort] = ACTIONS(7335),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7335),
    [anon_sym_BSLASHACRshort] = ACTIONS(7335),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHacrlong] = ACTIONS(7335),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7335),
    [anon_sym_BSLASHACRlong] = ACTIONS(7335),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHacrfull] = ACTIONS(7335),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7335),
    [anon_sym_BSLASHACRfull] = ACTIONS(7335),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHacs] = ACTIONS(7335),
    [anon_sym_BSLASHAcs] = ACTIONS(7335),
    [anon_sym_BSLASHacsp] = ACTIONS(7335),
    [anon_sym_BSLASHAcsp] = ACTIONS(7335),
    [anon_sym_BSLASHacl] = ACTIONS(7335),
    [anon_sym_BSLASHAcl] = ACTIONS(7335),
    [anon_sym_BSLASHaclp] = ACTIONS(7335),
    [anon_sym_BSLASHAclp] = ACTIONS(7335),
    [anon_sym_BSLASHacf] = ACTIONS(7335),
    [anon_sym_BSLASHAcf] = ACTIONS(7335),
    [anon_sym_BSLASHacfp] = ACTIONS(7335),
    [anon_sym_BSLASHAcfp] = ACTIONS(7335),
    [anon_sym_BSLASHac] = ACTIONS(7335),
    [anon_sym_BSLASHAc] = ACTIONS(7335),
    [anon_sym_BSLASHacp] = ACTIONS(7335),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7335),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7335),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7335),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7335),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7335),
    [anon_sym_BSLASHcolor] = ACTIONS(7335),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7335),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7335),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7335),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7335),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7335),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7335),
    [anon_sym_BSLASHurl] = ACTIONS(7335),
    [anon_sym_BSLASHhref] = ACTIONS(7335),
  },
  [1974] = {
    [sym_command_name] = ACTIONS(7339),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7339),
    [anon_sym_LBRACK] = ACTIONS(7341),
    [anon_sym_RBRACK] = ACTIONS(7341),
    [anon_sym_COMMA] = ACTIONS(7341),
    [anon_sym_EQ] = ACTIONS(7341),
    [anon_sym_LPAREN] = ACTIONS(7341),
    [anon_sym_RPAREN] = ACTIONS(7341),
    [anon_sym_LBRACE] = ACTIONS(7341),
    [anon_sym_RBRACE] = ACTIONS(7341),
    [sym_word] = ACTIONS(7339),
    [sym_placeholder] = ACTIONS(7341),
    [sym_delimiter] = ACTIONS(7341),
    [anon_sym_PLUS] = ACTIONS(7341),
    [anon_sym_DASH] = ACTIONS(7341),
    [anon_sym_STAR] = ACTIONS(7341),
    [anon_sym_SLASH] = ACTIONS(7341),
    [anon_sym_LT] = ACTIONS(7339),
    [anon_sym_GT] = ACTIONS(7339),
    [anon_sym_BANG] = ACTIONS(7339),
    [anon_sym_PIPE] = ACTIONS(7339),
    [anon_sym_COLON] = ACTIONS(7339),
    [anon_sym_SQUOTE] = ACTIONS(7339),
    [anon_sym__] = ACTIONS(7341),
    [anon_sym_CARET] = ACTIONS(7341),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7341),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7341),
    [anon_sym_DOLLAR] = ACTIONS(7339),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7341),
    [anon_sym_BSLASHleft] = ACTIONS(7339),
    [anon_sym_BSLASHbigl] = ACTIONS(7339),
    [anon_sym_BSLASHBigl] = ACTIONS(7339),
    [anon_sym_BSLASHbiggl] = ACTIONS(7339),
    [anon_sym_BSLASHBiggl] = ACTIONS(7339),
    [anon_sym_BSLASHtext] = ACTIONS(7339),
    [anon_sym_BSLASHintertext] = ACTIONS(7339),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7339),
    [anon_sym_BSLASHtitle] = ACTIONS(7339),
    [anon_sym_BSLASHauthor] = ACTIONS(7339),
    [anon_sym_BSLASHusepackage] = ACTIONS(7339),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7339),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7339),
    [anon_sym_BSLASHinclude] = ACTIONS(7339),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7339),
    [anon_sym_BSLASHinput] = ACTIONS(7339),
    [anon_sym_BSLASHsubfile] = ACTIONS(7339),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7339),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7339),
    [anon_sym_BSLASHbibliography] = ACTIONS(7339),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7339),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7339),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7339),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7339),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7339),
    [anon_sym_BSLASHimport] = ACTIONS(7339),
    [anon_sym_BSLASHsubimport] = ACTIONS(7339),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7339),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7339),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7339),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7339),
    [anon_sym_BSLASHcaption] = ACTIONS(7339),
    [anon_sym_BSLASHcite] = ACTIONS(7339),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCite] = ACTIONS(7339),
    [anon_sym_BSLASHnocite] = ACTIONS(7339),
    [anon_sym_BSLASHcitet] = ACTIONS(7339),
    [anon_sym_BSLASHcitep] = ACTIONS(7339),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteA] = ACTIONS(7339),
    [anon_sym_BSLASHciteR] = ACTIONS(7339),
    [anon_sym_BSLASHciteS] = ACTIONS(7339),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7339),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7339),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7339),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7339),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteyear] = ACTIONS(7339),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitedate] = ACTIONS(7339),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteurl] = ACTIONS(7339),
    [anon_sym_BSLASHfullcite] = ACTIONS(7339),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7339),
    [anon_sym_BSLASHcitealt] = ACTIONS(7339),
    [anon_sym_BSLASHcitealp] = ACTIONS(7339),
    [anon_sym_BSLASHcitetext] = ACTIONS(7339),
    [anon_sym_BSLASHparencite] = ACTIONS(7339),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHParencite] = ACTIONS(7339),
    [anon_sym_BSLASHfootcite] = ACTIONS(7339),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7339),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7339),
    [anon_sym_BSLASHtextcite] = ACTIONS(7339),
    [anon_sym_BSLASHTextcite] = ACTIONS(7339),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7339),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7339),
    [anon_sym_BSLASHsupercite] = ACTIONS(7339),
    [anon_sym_BSLASHautocite] = ACTIONS(7339),
    [anon_sym_BSLASHAutocite] = ACTIONS(7339),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHVolcite] = ACTIONS(7339),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHavolcite] = ACTIONS(7339),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHNotecite] = ACTIONS(7339),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHlabel] = ACTIONS(7339),
    [anon_sym_BSLASHref] = ACTIONS(7339),
    [anon_sym_BSLASHeqref] = ACTIONS(7339),
    [anon_sym_BSLASHvref] = ACTIONS(7339),
    [anon_sym_BSLASHVref] = ACTIONS(7339),
    [anon_sym_BSLASHautoref] = ACTIONS(7339),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHpageref] = ACTIONS(7339),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHautopageref] = ACTIONS(7339),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcref] = ACTIONS(7339),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCref] = ACTIONS(7339),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcpageref] = ACTIONS(7339),
    [anon_sym_BSLASHCpageref] = ACTIONS(7339),
    [anon_sym_BSLASHnamecref] = ACTIONS(7339),
    [anon_sym_BSLASHnameCref] = ACTIONS(7339),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7339),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7339),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7339),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7339),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7339),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7339),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7339),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7339),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7339),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7339),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7339),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHdef] = ACTIONS(7339),
    [anon_sym_BSLASHgdef] = ACTIONS(7339),
    [anon_sym_BSLASHedef] = ACTIONS(7339),
    [anon_sym_BSLASHxdef] = ACTIONS(7339),
    [anon_sym_BSLASHlet] = ACTIONS(7339),
    [anon_sym_BSLASHglet] = ACTIONS(7339),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7339),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7339),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7339),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7339),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7339),
    [anon_sym_BSLASHgls] = ACTIONS(7339),
    [anon_sym_BSLASHGls] = ACTIONS(7339),
    [anon_sym_BSLASHGLS] = ACTIONS(7339),
    [anon_sym_BSLASHglspl] = ACTIONS(7339),
    [anon_sym_BSLASHGlspl] = ACTIONS(7339),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7339),
    [anon_sym_BSLASHglslink] = ACTIONS(7339),
    [anon_sym_BSLASHglstext] = ACTIONS(7339),
    [anon_sym_BSLASHGlstext] = ACTIONS(7339),
    [anon_sym_BSLASHGLStext] = ACTIONS(7339),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7339),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7339),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7339),
    [anon_sym_BSLASHglsplural] = ACTIONS(7339),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7339),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7339),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHglsname] = ACTIONS(7339),
    [anon_sym_BSLASHGlsname] = ACTIONS(7339),
    [anon_sym_BSLASHGLSname] = ACTIONS(7339),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7339),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7339),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7339),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7339),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7339),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7339),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7339),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7339),
    [anon_sym_BSLASHacrshort] = ACTIONS(7339),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7339),
    [anon_sym_BSLASHACRshort] = ACTIONS(7339),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHacrlong] = ACTIONS(7339),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7339),
    [anon_sym_BSLASHACRlong] = ACTIONS(7339),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHacrfull] = ACTIONS(7339),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7339),
    [anon_sym_BSLASHACRfull] = ACTIONS(7339),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHacs] = ACTIONS(7339),
    [anon_sym_BSLASHAcs] = ACTIONS(7339),
    [anon_sym_BSLASHacsp] = ACTIONS(7339),
    [anon_sym_BSLASHAcsp] = ACTIONS(7339),
    [anon_sym_BSLASHacl] = ACTIONS(7339),
    [anon_sym_BSLASHAcl] = ACTIONS(7339),
    [anon_sym_BSLASHaclp] = ACTIONS(7339),
    [anon_sym_BSLASHAclp] = ACTIONS(7339),
    [anon_sym_BSLASHacf] = ACTIONS(7339),
    [anon_sym_BSLASHAcf] = ACTIONS(7339),
    [anon_sym_BSLASHacfp] = ACTIONS(7339),
    [anon_sym_BSLASHAcfp] = ACTIONS(7339),
    [anon_sym_BSLASHac] = ACTIONS(7339),
    [anon_sym_BSLASHAc] = ACTIONS(7339),
    [anon_sym_BSLASHacp] = ACTIONS(7339),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7339),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7339),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7339),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7339),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7339),
    [anon_sym_BSLASHcolor] = ACTIONS(7339),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7339),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7339),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7339),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7339),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7339),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7339),
    [anon_sym_BSLASHurl] = ACTIONS(7339),
    [anon_sym_BSLASHhref] = ACTIONS(7339),
  },
  [1975] = {
    [sym_command_name] = ACTIONS(7343),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7343),
    [anon_sym_LBRACK] = ACTIONS(7345),
    [anon_sym_RBRACK] = ACTIONS(7345),
    [anon_sym_COMMA] = ACTIONS(7345),
    [anon_sym_EQ] = ACTIONS(7345),
    [anon_sym_LPAREN] = ACTIONS(7345),
    [anon_sym_RPAREN] = ACTIONS(7345),
    [anon_sym_LBRACE] = ACTIONS(7345),
    [anon_sym_RBRACE] = ACTIONS(7345),
    [sym_word] = ACTIONS(7343),
    [sym_placeholder] = ACTIONS(7345),
    [sym_delimiter] = ACTIONS(7345),
    [anon_sym_PLUS] = ACTIONS(7345),
    [anon_sym_DASH] = ACTIONS(7345),
    [anon_sym_STAR] = ACTIONS(7345),
    [anon_sym_SLASH] = ACTIONS(7345),
    [anon_sym_LT] = ACTIONS(7343),
    [anon_sym_GT] = ACTIONS(7343),
    [anon_sym_BANG] = ACTIONS(7343),
    [anon_sym_PIPE] = ACTIONS(7343),
    [anon_sym_COLON] = ACTIONS(7343),
    [anon_sym_SQUOTE] = ACTIONS(7343),
    [anon_sym__] = ACTIONS(7345),
    [anon_sym_CARET] = ACTIONS(7345),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7345),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7345),
    [anon_sym_DOLLAR] = ACTIONS(7343),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7345),
    [anon_sym_BSLASHleft] = ACTIONS(7343),
    [anon_sym_BSLASHbigl] = ACTIONS(7343),
    [anon_sym_BSLASHBigl] = ACTIONS(7343),
    [anon_sym_BSLASHbiggl] = ACTIONS(7343),
    [anon_sym_BSLASHBiggl] = ACTIONS(7343),
    [anon_sym_BSLASHtext] = ACTIONS(7343),
    [anon_sym_BSLASHintertext] = ACTIONS(7343),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7343),
    [anon_sym_BSLASHtitle] = ACTIONS(7343),
    [anon_sym_BSLASHauthor] = ACTIONS(7343),
    [anon_sym_BSLASHusepackage] = ACTIONS(7343),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7343),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7343),
    [anon_sym_BSLASHinclude] = ACTIONS(7343),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7343),
    [anon_sym_BSLASHinput] = ACTIONS(7343),
    [anon_sym_BSLASHsubfile] = ACTIONS(7343),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7343),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7343),
    [anon_sym_BSLASHbibliography] = ACTIONS(7343),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7343),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7343),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7343),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7343),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7343),
    [anon_sym_BSLASHimport] = ACTIONS(7343),
    [anon_sym_BSLASHsubimport] = ACTIONS(7343),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7343),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7343),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7343),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7343),
    [anon_sym_BSLASHcaption] = ACTIONS(7343),
    [anon_sym_BSLASHcite] = ACTIONS(7343),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCite] = ACTIONS(7343),
    [anon_sym_BSLASHnocite] = ACTIONS(7343),
    [anon_sym_BSLASHcitet] = ACTIONS(7343),
    [anon_sym_BSLASHcitep] = ACTIONS(7343),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteA] = ACTIONS(7343),
    [anon_sym_BSLASHciteR] = ACTIONS(7343),
    [anon_sym_BSLASHciteS] = ACTIONS(7343),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7343),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7343),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7343),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7343),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteyear] = ACTIONS(7343),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitedate] = ACTIONS(7343),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteurl] = ACTIONS(7343),
    [anon_sym_BSLASHfullcite] = ACTIONS(7343),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7343),
    [anon_sym_BSLASHcitealt] = ACTIONS(7343),
    [anon_sym_BSLASHcitealp] = ACTIONS(7343),
    [anon_sym_BSLASHcitetext] = ACTIONS(7343),
    [anon_sym_BSLASHparencite] = ACTIONS(7343),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHParencite] = ACTIONS(7343),
    [anon_sym_BSLASHfootcite] = ACTIONS(7343),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7343),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7343),
    [anon_sym_BSLASHtextcite] = ACTIONS(7343),
    [anon_sym_BSLASHTextcite] = ACTIONS(7343),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7343),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7343),
    [anon_sym_BSLASHsupercite] = ACTIONS(7343),
    [anon_sym_BSLASHautocite] = ACTIONS(7343),
    [anon_sym_BSLASHAutocite] = ACTIONS(7343),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHVolcite] = ACTIONS(7343),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHavolcite] = ACTIONS(7343),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHNotecite] = ACTIONS(7343),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHlabel] = ACTIONS(7343),
    [anon_sym_BSLASHref] = ACTIONS(7343),
    [anon_sym_BSLASHeqref] = ACTIONS(7343),
    [anon_sym_BSLASHvref] = ACTIONS(7343),
    [anon_sym_BSLASHVref] = ACTIONS(7343),
    [anon_sym_BSLASHautoref] = ACTIONS(7343),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHpageref] = ACTIONS(7343),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHautopageref] = ACTIONS(7343),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcref] = ACTIONS(7343),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCref] = ACTIONS(7343),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcpageref] = ACTIONS(7343),
    [anon_sym_BSLASHCpageref] = ACTIONS(7343),
    [anon_sym_BSLASHnamecref] = ACTIONS(7343),
    [anon_sym_BSLASHnameCref] = ACTIONS(7343),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7343),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7343),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7343),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7343),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7343),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7343),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7343),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7343),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7343),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7343),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7343),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHdef] = ACTIONS(7343),
    [anon_sym_BSLASHgdef] = ACTIONS(7343),
    [anon_sym_BSLASHedef] = ACTIONS(7343),
    [anon_sym_BSLASHxdef] = ACTIONS(7343),
    [anon_sym_BSLASHlet] = ACTIONS(7343),
    [anon_sym_BSLASHglet] = ACTIONS(7343),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7343),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7343),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7343),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7343),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7343),
    [anon_sym_BSLASHgls] = ACTIONS(7343),
    [anon_sym_BSLASHGls] = ACTIONS(7343),
    [anon_sym_BSLASHGLS] = ACTIONS(7343),
    [anon_sym_BSLASHglspl] = ACTIONS(7343),
    [anon_sym_BSLASHGlspl] = ACTIONS(7343),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7343),
    [anon_sym_BSLASHglslink] = ACTIONS(7343),
    [anon_sym_BSLASHglstext] = ACTIONS(7343),
    [anon_sym_BSLASHGlstext] = ACTIONS(7343),
    [anon_sym_BSLASHGLStext] = ACTIONS(7343),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7343),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7343),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7343),
    [anon_sym_BSLASHglsplural] = ACTIONS(7343),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7343),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7343),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHglsname] = ACTIONS(7343),
    [anon_sym_BSLASHGlsname] = ACTIONS(7343),
    [anon_sym_BSLASHGLSname] = ACTIONS(7343),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7343),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7343),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7343),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7343),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7343),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7343),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7343),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7343),
    [anon_sym_BSLASHacrshort] = ACTIONS(7343),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7343),
    [anon_sym_BSLASHACRshort] = ACTIONS(7343),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHacrlong] = ACTIONS(7343),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7343),
    [anon_sym_BSLASHACRlong] = ACTIONS(7343),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHacrfull] = ACTIONS(7343),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7343),
    [anon_sym_BSLASHACRfull] = ACTIONS(7343),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHacs] = ACTIONS(7343),
    [anon_sym_BSLASHAcs] = ACTIONS(7343),
    [anon_sym_BSLASHacsp] = ACTIONS(7343),
    [anon_sym_BSLASHAcsp] = ACTIONS(7343),
    [anon_sym_BSLASHacl] = ACTIONS(7343),
    [anon_sym_BSLASHAcl] = ACTIONS(7343),
    [anon_sym_BSLASHaclp] = ACTIONS(7343),
    [anon_sym_BSLASHAclp] = ACTIONS(7343),
    [anon_sym_BSLASHacf] = ACTIONS(7343),
    [anon_sym_BSLASHAcf] = ACTIONS(7343),
    [anon_sym_BSLASHacfp] = ACTIONS(7343),
    [anon_sym_BSLASHAcfp] = ACTIONS(7343),
    [anon_sym_BSLASHac] = ACTIONS(7343),
    [anon_sym_BSLASHAc] = ACTIONS(7343),
    [anon_sym_BSLASHacp] = ACTIONS(7343),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7343),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7343),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7343),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7343),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7343),
    [anon_sym_BSLASHcolor] = ACTIONS(7343),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7343),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7343),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7343),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7343),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7343),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7343),
    [anon_sym_BSLASHurl] = ACTIONS(7343),
    [anon_sym_BSLASHhref] = ACTIONS(7343),
  },
  [1976] = {
    [sym_command_name] = ACTIONS(7347),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7347),
    [anon_sym_LBRACK] = ACTIONS(7349),
    [anon_sym_RBRACK] = ACTIONS(7349),
    [anon_sym_COMMA] = ACTIONS(7349),
    [anon_sym_EQ] = ACTIONS(7349),
    [anon_sym_LPAREN] = ACTIONS(7349),
    [anon_sym_RPAREN] = ACTIONS(7349),
    [anon_sym_LBRACE] = ACTIONS(7349),
    [anon_sym_RBRACE] = ACTIONS(7349),
    [sym_word] = ACTIONS(7347),
    [sym_placeholder] = ACTIONS(7349),
    [sym_delimiter] = ACTIONS(7349),
    [anon_sym_PLUS] = ACTIONS(7349),
    [anon_sym_DASH] = ACTIONS(7349),
    [anon_sym_STAR] = ACTIONS(7349),
    [anon_sym_SLASH] = ACTIONS(7349),
    [anon_sym_LT] = ACTIONS(7347),
    [anon_sym_GT] = ACTIONS(7347),
    [anon_sym_BANG] = ACTIONS(7347),
    [anon_sym_PIPE] = ACTIONS(7347),
    [anon_sym_COLON] = ACTIONS(7347),
    [anon_sym_SQUOTE] = ACTIONS(7347),
    [anon_sym__] = ACTIONS(7349),
    [anon_sym_CARET] = ACTIONS(7349),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7349),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7349),
    [anon_sym_DOLLAR] = ACTIONS(7347),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7349),
    [anon_sym_BSLASHleft] = ACTIONS(7347),
    [anon_sym_BSLASHbigl] = ACTIONS(7347),
    [anon_sym_BSLASHBigl] = ACTIONS(7347),
    [anon_sym_BSLASHbiggl] = ACTIONS(7347),
    [anon_sym_BSLASHBiggl] = ACTIONS(7347),
    [anon_sym_BSLASHtext] = ACTIONS(7347),
    [anon_sym_BSLASHintertext] = ACTIONS(7347),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7347),
    [anon_sym_BSLASHtitle] = ACTIONS(7347),
    [anon_sym_BSLASHauthor] = ACTIONS(7347),
    [anon_sym_BSLASHusepackage] = ACTIONS(7347),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7347),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7347),
    [anon_sym_BSLASHinclude] = ACTIONS(7347),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7347),
    [anon_sym_BSLASHinput] = ACTIONS(7347),
    [anon_sym_BSLASHsubfile] = ACTIONS(7347),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7347),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7347),
    [anon_sym_BSLASHbibliography] = ACTIONS(7347),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7347),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7347),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7347),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7347),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7347),
    [anon_sym_BSLASHimport] = ACTIONS(7347),
    [anon_sym_BSLASHsubimport] = ACTIONS(7347),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7347),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7347),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7347),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7347),
    [anon_sym_BSLASHcaption] = ACTIONS(7347),
    [anon_sym_BSLASHcite] = ACTIONS(7347),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCite] = ACTIONS(7347),
    [anon_sym_BSLASHnocite] = ACTIONS(7347),
    [anon_sym_BSLASHcitet] = ACTIONS(7347),
    [anon_sym_BSLASHcitep] = ACTIONS(7347),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteA] = ACTIONS(7347),
    [anon_sym_BSLASHciteR] = ACTIONS(7347),
    [anon_sym_BSLASHciteS] = ACTIONS(7347),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7347),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7347),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7347),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7347),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteyear] = ACTIONS(7347),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitedate] = ACTIONS(7347),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteurl] = ACTIONS(7347),
    [anon_sym_BSLASHfullcite] = ACTIONS(7347),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7347),
    [anon_sym_BSLASHcitealt] = ACTIONS(7347),
    [anon_sym_BSLASHcitealp] = ACTIONS(7347),
    [anon_sym_BSLASHcitetext] = ACTIONS(7347),
    [anon_sym_BSLASHparencite] = ACTIONS(7347),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHParencite] = ACTIONS(7347),
    [anon_sym_BSLASHfootcite] = ACTIONS(7347),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7347),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7347),
    [anon_sym_BSLASHtextcite] = ACTIONS(7347),
    [anon_sym_BSLASHTextcite] = ACTIONS(7347),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7347),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7347),
    [anon_sym_BSLASHsupercite] = ACTIONS(7347),
    [anon_sym_BSLASHautocite] = ACTIONS(7347),
    [anon_sym_BSLASHAutocite] = ACTIONS(7347),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHVolcite] = ACTIONS(7347),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHavolcite] = ACTIONS(7347),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHNotecite] = ACTIONS(7347),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHlabel] = ACTIONS(7347),
    [anon_sym_BSLASHref] = ACTIONS(7347),
    [anon_sym_BSLASHeqref] = ACTIONS(7347),
    [anon_sym_BSLASHvref] = ACTIONS(7347),
    [anon_sym_BSLASHVref] = ACTIONS(7347),
    [anon_sym_BSLASHautoref] = ACTIONS(7347),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHpageref] = ACTIONS(7347),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHautopageref] = ACTIONS(7347),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcref] = ACTIONS(7347),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCref] = ACTIONS(7347),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcpageref] = ACTIONS(7347),
    [anon_sym_BSLASHCpageref] = ACTIONS(7347),
    [anon_sym_BSLASHnamecref] = ACTIONS(7347),
    [anon_sym_BSLASHnameCref] = ACTIONS(7347),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7347),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7347),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7347),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7347),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7347),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7347),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7347),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7347),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7347),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7347),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7347),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHdef] = ACTIONS(7347),
    [anon_sym_BSLASHgdef] = ACTIONS(7347),
    [anon_sym_BSLASHedef] = ACTIONS(7347),
    [anon_sym_BSLASHxdef] = ACTIONS(7347),
    [anon_sym_BSLASHlet] = ACTIONS(7347),
    [anon_sym_BSLASHglet] = ACTIONS(7347),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7347),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7347),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7347),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7347),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7347),
    [anon_sym_BSLASHgls] = ACTIONS(7347),
    [anon_sym_BSLASHGls] = ACTIONS(7347),
    [anon_sym_BSLASHGLS] = ACTIONS(7347),
    [anon_sym_BSLASHglspl] = ACTIONS(7347),
    [anon_sym_BSLASHGlspl] = ACTIONS(7347),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7347),
    [anon_sym_BSLASHglslink] = ACTIONS(7347),
    [anon_sym_BSLASHglstext] = ACTIONS(7347),
    [anon_sym_BSLASHGlstext] = ACTIONS(7347),
    [anon_sym_BSLASHGLStext] = ACTIONS(7347),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7347),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7347),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7347),
    [anon_sym_BSLASHglsplural] = ACTIONS(7347),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7347),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7347),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHglsname] = ACTIONS(7347),
    [anon_sym_BSLASHGlsname] = ACTIONS(7347),
    [anon_sym_BSLASHGLSname] = ACTIONS(7347),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7347),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7347),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7347),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7347),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7347),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7347),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7347),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7347),
    [anon_sym_BSLASHacrshort] = ACTIONS(7347),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7347),
    [anon_sym_BSLASHACRshort] = ACTIONS(7347),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHacrlong] = ACTIONS(7347),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7347),
    [anon_sym_BSLASHACRlong] = ACTIONS(7347),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHacrfull] = ACTIONS(7347),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7347),
    [anon_sym_BSLASHACRfull] = ACTIONS(7347),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHacs] = ACTIONS(7347),
    [anon_sym_BSLASHAcs] = ACTIONS(7347),
    [anon_sym_BSLASHacsp] = ACTIONS(7347),
    [anon_sym_BSLASHAcsp] = ACTIONS(7347),
    [anon_sym_BSLASHacl] = ACTIONS(7347),
    [anon_sym_BSLASHAcl] = ACTIONS(7347),
    [anon_sym_BSLASHaclp] = ACTIONS(7347),
    [anon_sym_BSLASHAclp] = ACTIONS(7347),
    [anon_sym_BSLASHacf] = ACTIONS(7347),
    [anon_sym_BSLASHAcf] = ACTIONS(7347),
    [anon_sym_BSLASHacfp] = ACTIONS(7347),
    [anon_sym_BSLASHAcfp] = ACTIONS(7347),
    [anon_sym_BSLASHac] = ACTIONS(7347),
    [anon_sym_BSLASHAc] = ACTIONS(7347),
    [anon_sym_BSLASHacp] = ACTIONS(7347),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7347),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7347),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7347),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7347),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7347),
    [anon_sym_BSLASHcolor] = ACTIONS(7347),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7347),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7347),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7347),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7347),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7347),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7347),
    [anon_sym_BSLASHurl] = ACTIONS(7347),
    [anon_sym_BSLASHhref] = ACTIONS(7347),
  },
  [1977] = {
    [sym_command_name] = ACTIONS(7351),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7351),
    [anon_sym_LBRACK] = ACTIONS(7353),
    [anon_sym_RBRACK] = ACTIONS(7353),
    [anon_sym_COMMA] = ACTIONS(7353),
    [anon_sym_EQ] = ACTIONS(7353),
    [anon_sym_LPAREN] = ACTIONS(7353),
    [anon_sym_RPAREN] = ACTIONS(7353),
    [anon_sym_LBRACE] = ACTIONS(7353),
    [anon_sym_RBRACE] = ACTIONS(7353),
    [sym_word] = ACTIONS(7351),
    [sym_placeholder] = ACTIONS(7353),
    [sym_delimiter] = ACTIONS(7353),
    [anon_sym_PLUS] = ACTIONS(7353),
    [anon_sym_DASH] = ACTIONS(7353),
    [anon_sym_STAR] = ACTIONS(7353),
    [anon_sym_SLASH] = ACTIONS(7353),
    [anon_sym_LT] = ACTIONS(7351),
    [anon_sym_GT] = ACTIONS(7351),
    [anon_sym_BANG] = ACTIONS(7351),
    [anon_sym_PIPE] = ACTIONS(7351),
    [anon_sym_COLON] = ACTIONS(7351),
    [anon_sym_SQUOTE] = ACTIONS(7351),
    [anon_sym__] = ACTIONS(7353),
    [anon_sym_CARET] = ACTIONS(7353),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7353),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7353),
    [anon_sym_DOLLAR] = ACTIONS(7351),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7353),
    [anon_sym_BSLASHleft] = ACTIONS(7351),
    [anon_sym_BSLASHbigl] = ACTIONS(7351),
    [anon_sym_BSLASHBigl] = ACTIONS(7351),
    [anon_sym_BSLASHbiggl] = ACTIONS(7351),
    [anon_sym_BSLASHBiggl] = ACTIONS(7351),
    [anon_sym_BSLASHtext] = ACTIONS(7351),
    [anon_sym_BSLASHintertext] = ACTIONS(7351),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7351),
    [anon_sym_BSLASHtitle] = ACTIONS(7351),
    [anon_sym_BSLASHauthor] = ACTIONS(7351),
    [anon_sym_BSLASHusepackage] = ACTIONS(7351),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7351),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7351),
    [anon_sym_BSLASHinclude] = ACTIONS(7351),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7351),
    [anon_sym_BSLASHinput] = ACTIONS(7351),
    [anon_sym_BSLASHsubfile] = ACTIONS(7351),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7351),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7351),
    [anon_sym_BSLASHbibliography] = ACTIONS(7351),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7351),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7351),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7351),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7351),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7351),
    [anon_sym_BSLASHimport] = ACTIONS(7351),
    [anon_sym_BSLASHsubimport] = ACTIONS(7351),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7351),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7351),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7351),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7351),
    [anon_sym_BSLASHcaption] = ACTIONS(7351),
    [anon_sym_BSLASHcite] = ACTIONS(7351),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCite] = ACTIONS(7351),
    [anon_sym_BSLASHnocite] = ACTIONS(7351),
    [anon_sym_BSLASHcitet] = ACTIONS(7351),
    [anon_sym_BSLASHcitep] = ACTIONS(7351),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteA] = ACTIONS(7351),
    [anon_sym_BSLASHciteR] = ACTIONS(7351),
    [anon_sym_BSLASHciteS] = ACTIONS(7351),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7351),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7351),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7351),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7351),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteyear] = ACTIONS(7351),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitedate] = ACTIONS(7351),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteurl] = ACTIONS(7351),
    [anon_sym_BSLASHfullcite] = ACTIONS(7351),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7351),
    [anon_sym_BSLASHcitealt] = ACTIONS(7351),
    [anon_sym_BSLASHcitealp] = ACTIONS(7351),
    [anon_sym_BSLASHcitetext] = ACTIONS(7351),
    [anon_sym_BSLASHparencite] = ACTIONS(7351),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHParencite] = ACTIONS(7351),
    [anon_sym_BSLASHfootcite] = ACTIONS(7351),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7351),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7351),
    [anon_sym_BSLASHtextcite] = ACTIONS(7351),
    [anon_sym_BSLASHTextcite] = ACTIONS(7351),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7351),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7351),
    [anon_sym_BSLASHsupercite] = ACTIONS(7351),
    [anon_sym_BSLASHautocite] = ACTIONS(7351),
    [anon_sym_BSLASHAutocite] = ACTIONS(7351),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHVolcite] = ACTIONS(7351),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHavolcite] = ACTIONS(7351),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHNotecite] = ACTIONS(7351),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHlabel] = ACTIONS(7351),
    [anon_sym_BSLASHref] = ACTIONS(7351),
    [anon_sym_BSLASHeqref] = ACTIONS(7351),
    [anon_sym_BSLASHvref] = ACTIONS(7351),
    [anon_sym_BSLASHVref] = ACTIONS(7351),
    [anon_sym_BSLASHautoref] = ACTIONS(7351),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHpageref] = ACTIONS(7351),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHautopageref] = ACTIONS(7351),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcref] = ACTIONS(7351),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCref] = ACTIONS(7351),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcpageref] = ACTIONS(7351),
    [anon_sym_BSLASHCpageref] = ACTIONS(7351),
    [anon_sym_BSLASHnamecref] = ACTIONS(7351),
    [anon_sym_BSLASHnameCref] = ACTIONS(7351),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7351),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7351),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7351),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7351),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7351),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7351),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7351),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7351),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7351),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7351),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7351),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHdef] = ACTIONS(7351),
    [anon_sym_BSLASHgdef] = ACTIONS(7351),
    [anon_sym_BSLASHedef] = ACTIONS(7351),
    [anon_sym_BSLASHxdef] = ACTIONS(7351),
    [anon_sym_BSLASHlet] = ACTIONS(7351),
    [anon_sym_BSLASHglet] = ACTIONS(7351),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7351),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7351),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7351),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7351),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7351),
    [anon_sym_BSLASHgls] = ACTIONS(7351),
    [anon_sym_BSLASHGls] = ACTIONS(7351),
    [anon_sym_BSLASHGLS] = ACTIONS(7351),
    [anon_sym_BSLASHglspl] = ACTIONS(7351),
    [anon_sym_BSLASHGlspl] = ACTIONS(7351),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7351),
    [anon_sym_BSLASHglslink] = ACTIONS(7351),
    [anon_sym_BSLASHglstext] = ACTIONS(7351),
    [anon_sym_BSLASHGlstext] = ACTIONS(7351),
    [anon_sym_BSLASHGLStext] = ACTIONS(7351),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7351),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7351),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7351),
    [anon_sym_BSLASHglsplural] = ACTIONS(7351),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7351),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7351),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHglsname] = ACTIONS(7351),
    [anon_sym_BSLASHGlsname] = ACTIONS(7351),
    [anon_sym_BSLASHGLSname] = ACTIONS(7351),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7351),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7351),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7351),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7351),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7351),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7351),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7351),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7351),
    [anon_sym_BSLASHacrshort] = ACTIONS(7351),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7351),
    [anon_sym_BSLASHACRshort] = ACTIONS(7351),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHacrlong] = ACTIONS(7351),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7351),
    [anon_sym_BSLASHACRlong] = ACTIONS(7351),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHacrfull] = ACTIONS(7351),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7351),
    [anon_sym_BSLASHACRfull] = ACTIONS(7351),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHacs] = ACTIONS(7351),
    [anon_sym_BSLASHAcs] = ACTIONS(7351),
    [anon_sym_BSLASHacsp] = ACTIONS(7351),
    [anon_sym_BSLASHAcsp] = ACTIONS(7351),
    [anon_sym_BSLASHacl] = ACTIONS(7351),
    [anon_sym_BSLASHAcl] = ACTIONS(7351),
    [anon_sym_BSLASHaclp] = ACTIONS(7351),
    [anon_sym_BSLASHAclp] = ACTIONS(7351),
    [anon_sym_BSLASHacf] = ACTIONS(7351),
    [anon_sym_BSLASHAcf] = ACTIONS(7351),
    [anon_sym_BSLASHacfp] = ACTIONS(7351),
    [anon_sym_BSLASHAcfp] = ACTIONS(7351),
    [anon_sym_BSLASHac] = ACTIONS(7351),
    [anon_sym_BSLASHAc] = ACTIONS(7351),
    [anon_sym_BSLASHacp] = ACTIONS(7351),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7351),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7351),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7351),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7351),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7351),
    [anon_sym_BSLASHcolor] = ACTIONS(7351),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7351),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7351),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7351),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7351),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7351),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7351),
    [anon_sym_BSLASHurl] = ACTIONS(7351),
    [anon_sym_BSLASHhref] = ACTIONS(7351),
  },
  [1978] = {
    [sym_command_name] = ACTIONS(7355),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7357),
    [anon_sym_RBRACK] = ACTIONS(7357),
    [anon_sym_COMMA] = ACTIONS(7357),
    [anon_sym_EQ] = ACTIONS(7357),
    [anon_sym_LPAREN] = ACTIONS(7357),
    [anon_sym_RPAREN] = ACTIONS(7357),
    [anon_sym_LBRACE] = ACTIONS(7357),
    [anon_sym_RBRACE] = ACTIONS(7357),
    [sym_word] = ACTIONS(7355),
    [sym_placeholder] = ACTIONS(7357),
    [sym_delimiter] = ACTIONS(7357),
    [anon_sym_PLUS] = ACTIONS(7357),
    [anon_sym_DASH] = ACTIONS(7357),
    [anon_sym_STAR] = ACTIONS(7357),
    [anon_sym_SLASH] = ACTIONS(7357),
    [anon_sym_LT] = ACTIONS(7355),
    [anon_sym_GT] = ACTIONS(7355),
    [anon_sym_BANG] = ACTIONS(7355),
    [anon_sym_PIPE] = ACTIONS(7355),
    [anon_sym_COLON] = ACTIONS(7355),
    [anon_sym_SQUOTE] = ACTIONS(7355),
    [anon_sym__] = ACTIONS(7357),
    [anon_sym_CARET] = ACTIONS(7357),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7357),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7357),
    [anon_sym_DOLLAR] = ACTIONS(7355),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7357),
    [anon_sym_BSLASHleft] = ACTIONS(7355),
    [anon_sym_BSLASHbigl] = ACTIONS(7355),
    [anon_sym_BSLASHBigl] = ACTIONS(7355),
    [anon_sym_BSLASHbiggl] = ACTIONS(7355),
    [anon_sym_BSLASHBiggl] = ACTIONS(7355),
    [anon_sym_BSLASHtext] = ACTIONS(7355),
    [anon_sym_BSLASHintertext] = ACTIONS(7355),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7355),
    [anon_sym_BSLASHtitle] = ACTIONS(7355),
    [anon_sym_BSLASHauthor] = ACTIONS(7355),
    [anon_sym_BSLASHusepackage] = ACTIONS(7355),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7355),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7355),
    [anon_sym_BSLASHinclude] = ACTIONS(7355),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7355),
    [anon_sym_BSLASHinput] = ACTIONS(7355),
    [anon_sym_BSLASHsubfile] = ACTIONS(7355),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7355),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7355),
    [anon_sym_BSLASHbibliography] = ACTIONS(7355),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7355),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7355),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7355),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7355),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7355),
    [anon_sym_BSLASHimport] = ACTIONS(7355),
    [anon_sym_BSLASHsubimport] = ACTIONS(7355),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7355),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7355),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7355),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7355),
    [anon_sym_BSLASHcaption] = ACTIONS(7355),
    [anon_sym_BSLASHcite] = ACTIONS(7355),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCite] = ACTIONS(7355),
    [anon_sym_BSLASHnocite] = ACTIONS(7355),
    [anon_sym_BSLASHcitet] = ACTIONS(7355),
    [anon_sym_BSLASHcitep] = ACTIONS(7355),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteA] = ACTIONS(7355),
    [anon_sym_BSLASHciteR] = ACTIONS(7355),
    [anon_sym_BSLASHciteS] = ACTIONS(7355),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7355),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7355),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7355),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7355),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteyear] = ACTIONS(7355),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitedate] = ACTIONS(7355),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteurl] = ACTIONS(7355),
    [anon_sym_BSLASHfullcite] = ACTIONS(7355),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7355),
    [anon_sym_BSLASHcitealt] = ACTIONS(7355),
    [anon_sym_BSLASHcitealp] = ACTIONS(7355),
    [anon_sym_BSLASHcitetext] = ACTIONS(7355),
    [anon_sym_BSLASHparencite] = ACTIONS(7355),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHParencite] = ACTIONS(7355),
    [anon_sym_BSLASHfootcite] = ACTIONS(7355),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7355),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7355),
    [anon_sym_BSLASHtextcite] = ACTIONS(7355),
    [anon_sym_BSLASHTextcite] = ACTIONS(7355),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7355),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7355),
    [anon_sym_BSLASHsupercite] = ACTIONS(7355),
    [anon_sym_BSLASHautocite] = ACTIONS(7355),
    [anon_sym_BSLASHAutocite] = ACTIONS(7355),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHVolcite] = ACTIONS(7355),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHavolcite] = ACTIONS(7355),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHNotecite] = ACTIONS(7355),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHlabel] = ACTIONS(7355),
    [anon_sym_BSLASHref] = ACTIONS(7355),
    [anon_sym_BSLASHeqref] = ACTIONS(7355),
    [anon_sym_BSLASHvref] = ACTIONS(7355),
    [anon_sym_BSLASHVref] = ACTIONS(7355),
    [anon_sym_BSLASHautoref] = ACTIONS(7355),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHpageref] = ACTIONS(7355),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHautopageref] = ACTIONS(7355),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcref] = ACTIONS(7355),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCref] = ACTIONS(7355),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcpageref] = ACTIONS(7355),
    [anon_sym_BSLASHCpageref] = ACTIONS(7355),
    [anon_sym_BSLASHnamecref] = ACTIONS(7355),
    [anon_sym_BSLASHnameCref] = ACTIONS(7355),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7355),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7355),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7355),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7355),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7355),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7355),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7355),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7355),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7355),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7355),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7355),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHdef] = ACTIONS(7355),
    [anon_sym_BSLASHgdef] = ACTIONS(7355),
    [anon_sym_BSLASHedef] = ACTIONS(7355),
    [anon_sym_BSLASHxdef] = ACTIONS(7355),
    [anon_sym_BSLASHlet] = ACTIONS(7355),
    [anon_sym_BSLASHglet] = ACTIONS(7355),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7355),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7355),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7355),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7355),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7355),
    [anon_sym_BSLASHgls] = ACTIONS(7355),
    [anon_sym_BSLASHGls] = ACTIONS(7355),
    [anon_sym_BSLASHGLS] = ACTIONS(7355),
    [anon_sym_BSLASHglspl] = ACTIONS(7355),
    [anon_sym_BSLASHGlspl] = ACTIONS(7355),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7355),
    [anon_sym_BSLASHglslink] = ACTIONS(7355),
    [anon_sym_BSLASHglstext] = ACTIONS(7355),
    [anon_sym_BSLASHGlstext] = ACTIONS(7355),
    [anon_sym_BSLASHGLStext] = ACTIONS(7355),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7355),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7355),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7355),
    [anon_sym_BSLASHglsplural] = ACTIONS(7355),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7355),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7355),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHglsname] = ACTIONS(7355),
    [anon_sym_BSLASHGlsname] = ACTIONS(7355),
    [anon_sym_BSLASHGLSname] = ACTIONS(7355),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7355),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7355),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7355),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7355),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7355),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7355),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7355),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7355),
    [anon_sym_BSLASHacrshort] = ACTIONS(7355),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7355),
    [anon_sym_BSLASHACRshort] = ACTIONS(7355),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHacrlong] = ACTIONS(7355),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7355),
    [anon_sym_BSLASHACRlong] = ACTIONS(7355),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHacrfull] = ACTIONS(7355),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7355),
    [anon_sym_BSLASHACRfull] = ACTIONS(7355),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHacs] = ACTIONS(7355),
    [anon_sym_BSLASHAcs] = ACTIONS(7355),
    [anon_sym_BSLASHacsp] = ACTIONS(7355),
    [anon_sym_BSLASHAcsp] = ACTIONS(7355),
    [anon_sym_BSLASHacl] = ACTIONS(7355),
    [anon_sym_BSLASHAcl] = ACTIONS(7355),
    [anon_sym_BSLASHaclp] = ACTIONS(7355),
    [anon_sym_BSLASHAclp] = ACTIONS(7355),
    [anon_sym_BSLASHacf] = ACTIONS(7355),
    [anon_sym_BSLASHAcf] = ACTIONS(7355),
    [anon_sym_BSLASHacfp] = ACTIONS(7355),
    [anon_sym_BSLASHAcfp] = ACTIONS(7355),
    [anon_sym_BSLASHac] = ACTIONS(7355),
    [anon_sym_BSLASHAc] = ACTIONS(7355),
    [anon_sym_BSLASHacp] = ACTIONS(7355),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7355),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7355),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7355),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7355),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7355),
    [anon_sym_BSLASHcolor] = ACTIONS(7355),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7355),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7355),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7355),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7355),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7355),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7355),
    [anon_sym_BSLASHurl] = ACTIONS(7355),
    [anon_sym_BSLASHhref] = ACTIONS(7355),
  },
  [1979] = {
    [sym_command_name] = ACTIONS(7359),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7359),
    [anon_sym_LBRACK] = ACTIONS(7361),
    [anon_sym_RBRACK] = ACTIONS(7361),
    [anon_sym_COMMA] = ACTIONS(7361),
    [anon_sym_EQ] = ACTIONS(7361),
    [anon_sym_LPAREN] = ACTIONS(7361),
    [anon_sym_RPAREN] = ACTIONS(7361),
    [anon_sym_LBRACE] = ACTIONS(7361),
    [anon_sym_RBRACE] = ACTIONS(7361),
    [sym_word] = ACTIONS(7359),
    [sym_placeholder] = ACTIONS(7361),
    [sym_delimiter] = ACTIONS(7361),
    [anon_sym_PLUS] = ACTIONS(7361),
    [anon_sym_DASH] = ACTIONS(7361),
    [anon_sym_STAR] = ACTIONS(7361),
    [anon_sym_SLASH] = ACTIONS(7361),
    [anon_sym_LT] = ACTIONS(7359),
    [anon_sym_GT] = ACTIONS(7359),
    [anon_sym_BANG] = ACTIONS(7359),
    [anon_sym_PIPE] = ACTIONS(7359),
    [anon_sym_COLON] = ACTIONS(7359),
    [anon_sym_SQUOTE] = ACTIONS(7359),
    [anon_sym__] = ACTIONS(7361),
    [anon_sym_CARET] = ACTIONS(7361),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7361),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7361),
    [anon_sym_DOLLAR] = ACTIONS(7359),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7361),
    [anon_sym_BSLASHleft] = ACTIONS(7359),
    [anon_sym_BSLASHbigl] = ACTIONS(7359),
    [anon_sym_BSLASHBigl] = ACTIONS(7359),
    [anon_sym_BSLASHbiggl] = ACTIONS(7359),
    [anon_sym_BSLASHBiggl] = ACTIONS(7359),
    [anon_sym_BSLASHtext] = ACTIONS(7359),
    [anon_sym_BSLASHintertext] = ACTIONS(7359),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7359),
    [anon_sym_BSLASHtitle] = ACTIONS(7359),
    [anon_sym_BSLASHauthor] = ACTIONS(7359),
    [anon_sym_BSLASHusepackage] = ACTIONS(7359),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7359),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7359),
    [anon_sym_BSLASHinclude] = ACTIONS(7359),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7359),
    [anon_sym_BSLASHinput] = ACTIONS(7359),
    [anon_sym_BSLASHsubfile] = ACTIONS(7359),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7359),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7359),
    [anon_sym_BSLASHbibliography] = ACTIONS(7359),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7359),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7359),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7359),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7359),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7359),
    [anon_sym_BSLASHimport] = ACTIONS(7359),
    [anon_sym_BSLASHsubimport] = ACTIONS(7359),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7359),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7359),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7359),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7359),
    [anon_sym_BSLASHcaption] = ACTIONS(7359),
    [anon_sym_BSLASHcite] = ACTIONS(7359),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCite] = ACTIONS(7359),
    [anon_sym_BSLASHnocite] = ACTIONS(7359),
    [anon_sym_BSLASHcitet] = ACTIONS(7359),
    [anon_sym_BSLASHcitep] = ACTIONS(7359),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteA] = ACTIONS(7359),
    [anon_sym_BSLASHciteR] = ACTIONS(7359),
    [anon_sym_BSLASHciteS] = ACTIONS(7359),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7359),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7359),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7359),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7359),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteyear] = ACTIONS(7359),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitedate] = ACTIONS(7359),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteurl] = ACTIONS(7359),
    [anon_sym_BSLASHfullcite] = ACTIONS(7359),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7359),
    [anon_sym_BSLASHcitealt] = ACTIONS(7359),
    [anon_sym_BSLASHcitealp] = ACTIONS(7359),
    [anon_sym_BSLASHcitetext] = ACTIONS(7359),
    [anon_sym_BSLASHparencite] = ACTIONS(7359),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHParencite] = ACTIONS(7359),
    [anon_sym_BSLASHfootcite] = ACTIONS(7359),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7359),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7359),
    [anon_sym_BSLASHtextcite] = ACTIONS(7359),
    [anon_sym_BSLASHTextcite] = ACTIONS(7359),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7359),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7359),
    [anon_sym_BSLASHsupercite] = ACTIONS(7359),
    [anon_sym_BSLASHautocite] = ACTIONS(7359),
    [anon_sym_BSLASHAutocite] = ACTIONS(7359),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHVolcite] = ACTIONS(7359),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHavolcite] = ACTIONS(7359),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHNotecite] = ACTIONS(7359),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHlabel] = ACTIONS(7359),
    [anon_sym_BSLASHref] = ACTIONS(7359),
    [anon_sym_BSLASHeqref] = ACTIONS(7359),
    [anon_sym_BSLASHvref] = ACTIONS(7359),
    [anon_sym_BSLASHVref] = ACTIONS(7359),
    [anon_sym_BSLASHautoref] = ACTIONS(7359),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHpageref] = ACTIONS(7359),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHautopageref] = ACTIONS(7359),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcref] = ACTIONS(7359),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCref] = ACTIONS(7359),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcpageref] = ACTIONS(7359),
    [anon_sym_BSLASHCpageref] = ACTIONS(7359),
    [anon_sym_BSLASHnamecref] = ACTIONS(7359),
    [anon_sym_BSLASHnameCref] = ACTIONS(7359),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7359),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7359),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7359),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7359),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7359),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7359),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7359),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7359),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7359),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7359),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7359),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHdef] = ACTIONS(7359),
    [anon_sym_BSLASHgdef] = ACTIONS(7359),
    [anon_sym_BSLASHedef] = ACTIONS(7359),
    [anon_sym_BSLASHxdef] = ACTIONS(7359),
    [anon_sym_BSLASHlet] = ACTIONS(7359),
    [anon_sym_BSLASHglet] = ACTIONS(7359),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7359),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7359),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7359),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7359),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7359),
    [anon_sym_BSLASHgls] = ACTIONS(7359),
    [anon_sym_BSLASHGls] = ACTIONS(7359),
    [anon_sym_BSLASHGLS] = ACTIONS(7359),
    [anon_sym_BSLASHglspl] = ACTIONS(7359),
    [anon_sym_BSLASHGlspl] = ACTIONS(7359),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7359),
    [anon_sym_BSLASHglslink] = ACTIONS(7359),
    [anon_sym_BSLASHglstext] = ACTIONS(7359),
    [anon_sym_BSLASHGlstext] = ACTIONS(7359),
    [anon_sym_BSLASHGLStext] = ACTIONS(7359),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7359),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7359),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7359),
    [anon_sym_BSLASHglsplural] = ACTIONS(7359),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7359),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7359),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHglsname] = ACTIONS(7359),
    [anon_sym_BSLASHGlsname] = ACTIONS(7359),
    [anon_sym_BSLASHGLSname] = ACTIONS(7359),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7359),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7359),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7359),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7359),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7359),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7359),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7359),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7359),
    [anon_sym_BSLASHacrshort] = ACTIONS(7359),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7359),
    [anon_sym_BSLASHACRshort] = ACTIONS(7359),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHacrlong] = ACTIONS(7359),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7359),
    [anon_sym_BSLASHACRlong] = ACTIONS(7359),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHacrfull] = ACTIONS(7359),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7359),
    [anon_sym_BSLASHACRfull] = ACTIONS(7359),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHacs] = ACTIONS(7359),
    [anon_sym_BSLASHAcs] = ACTIONS(7359),
    [anon_sym_BSLASHacsp] = ACTIONS(7359),
    [anon_sym_BSLASHAcsp] = ACTIONS(7359),
    [anon_sym_BSLASHacl] = ACTIONS(7359),
    [anon_sym_BSLASHAcl] = ACTIONS(7359),
    [anon_sym_BSLASHaclp] = ACTIONS(7359),
    [anon_sym_BSLASHAclp] = ACTIONS(7359),
    [anon_sym_BSLASHacf] = ACTIONS(7359),
    [anon_sym_BSLASHAcf] = ACTIONS(7359),
    [anon_sym_BSLASHacfp] = ACTIONS(7359),
    [anon_sym_BSLASHAcfp] = ACTIONS(7359),
    [anon_sym_BSLASHac] = ACTIONS(7359),
    [anon_sym_BSLASHAc] = ACTIONS(7359),
    [anon_sym_BSLASHacp] = ACTIONS(7359),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7359),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7359),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7359),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7359),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7359),
    [anon_sym_BSLASHcolor] = ACTIONS(7359),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7359),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7359),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7359),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7359),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7359),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7359),
    [anon_sym_BSLASHurl] = ACTIONS(7359),
    [anon_sym_BSLASHhref] = ACTIONS(7359),
  },
  [1980] = {
    [sym_command_name] = ACTIONS(7363),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7363),
    [anon_sym_LBRACK] = ACTIONS(7365),
    [anon_sym_RBRACK] = ACTIONS(7365),
    [anon_sym_COMMA] = ACTIONS(7365),
    [anon_sym_EQ] = ACTIONS(7365),
    [anon_sym_LPAREN] = ACTIONS(7365),
    [anon_sym_RPAREN] = ACTIONS(7365),
    [anon_sym_LBRACE] = ACTIONS(7365),
    [anon_sym_RBRACE] = ACTIONS(7365),
    [sym_word] = ACTIONS(7363),
    [sym_placeholder] = ACTIONS(7365),
    [sym_delimiter] = ACTIONS(7365),
    [anon_sym_PLUS] = ACTIONS(7365),
    [anon_sym_DASH] = ACTIONS(7365),
    [anon_sym_STAR] = ACTIONS(7365),
    [anon_sym_SLASH] = ACTIONS(7365),
    [anon_sym_LT] = ACTIONS(7363),
    [anon_sym_GT] = ACTIONS(7363),
    [anon_sym_BANG] = ACTIONS(7363),
    [anon_sym_PIPE] = ACTIONS(7363),
    [anon_sym_COLON] = ACTIONS(7363),
    [anon_sym_SQUOTE] = ACTIONS(7363),
    [anon_sym__] = ACTIONS(7365),
    [anon_sym_CARET] = ACTIONS(7365),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7365),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7365),
    [anon_sym_DOLLAR] = ACTIONS(7363),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7365),
    [anon_sym_BSLASHleft] = ACTIONS(7363),
    [anon_sym_BSLASHbigl] = ACTIONS(7363),
    [anon_sym_BSLASHBigl] = ACTIONS(7363),
    [anon_sym_BSLASHbiggl] = ACTIONS(7363),
    [anon_sym_BSLASHBiggl] = ACTIONS(7363),
    [anon_sym_BSLASHtext] = ACTIONS(7363),
    [anon_sym_BSLASHintertext] = ACTIONS(7363),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7363),
    [anon_sym_BSLASHtitle] = ACTIONS(7363),
    [anon_sym_BSLASHauthor] = ACTIONS(7363),
    [anon_sym_BSLASHusepackage] = ACTIONS(7363),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7363),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7363),
    [anon_sym_BSLASHinclude] = ACTIONS(7363),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7363),
    [anon_sym_BSLASHinput] = ACTIONS(7363),
    [anon_sym_BSLASHsubfile] = ACTIONS(7363),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7363),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7363),
    [anon_sym_BSLASHbibliography] = ACTIONS(7363),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7363),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7363),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7363),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7363),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7363),
    [anon_sym_BSLASHimport] = ACTIONS(7363),
    [anon_sym_BSLASHsubimport] = ACTIONS(7363),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7363),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7363),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7363),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7363),
    [anon_sym_BSLASHcaption] = ACTIONS(7363),
    [anon_sym_BSLASHcite] = ACTIONS(7363),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCite] = ACTIONS(7363),
    [anon_sym_BSLASHnocite] = ACTIONS(7363),
    [anon_sym_BSLASHcitet] = ACTIONS(7363),
    [anon_sym_BSLASHcitep] = ACTIONS(7363),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteA] = ACTIONS(7363),
    [anon_sym_BSLASHciteR] = ACTIONS(7363),
    [anon_sym_BSLASHciteS] = ACTIONS(7363),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7363),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7363),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7363),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7363),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteyear] = ACTIONS(7363),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitedate] = ACTIONS(7363),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteurl] = ACTIONS(7363),
    [anon_sym_BSLASHfullcite] = ACTIONS(7363),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7363),
    [anon_sym_BSLASHcitealt] = ACTIONS(7363),
    [anon_sym_BSLASHcitealp] = ACTIONS(7363),
    [anon_sym_BSLASHcitetext] = ACTIONS(7363),
    [anon_sym_BSLASHparencite] = ACTIONS(7363),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHParencite] = ACTIONS(7363),
    [anon_sym_BSLASHfootcite] = ACTIONS(7363),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7363),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7363),
    [anon_sym_BSLASHtextcite] = ACTIONS(7363),
    [anon_sym_BSLASHTextcite] = ACTIONS(7363),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7363),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7363),
    [anon_sym_BSLASHsupercite] = ACTIONS(7363),
    [anon_sym_BSLASHautocite] = ACTIONS(7363),
    [anon_sym_BSLASHAutocite] = ACTIONS(7363),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHVolcite] = ACTIONS(7363),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHavolcite] = ACTIONS(7363),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHNotecite] = ACTIONS(7363),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHlabel] = ACTIONS(7363),
    [anon_sym_BSLASHref] = ACTIONS(7363),
    [anon_sym_BSLASHeqref] = ACTIONS(7363),
    [anon_sym_BSLASHvref] = ACTIONS(7363),
    [anon_sym_BSLASHVref] = ACTIONS(7363),
    [anon_sym_BSLASHautoref] = ACTIONS(7363),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHpageref] = ACTIONS(7363),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHautopageref] = ACTIONS(7363),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcref] = ACTIONS(7363),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCref] = ACTIONS(7363),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcpageref] = ACTIONS(7363),
    [anon_sym_BSLASHCpageref] = ACTIONS(7363),
    [anon_sym_BSLASHnamecref] = ACTIONS(7363),
    [anon_sym_BSLASHnameCref] = ACTIONS(7363),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7363),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7363),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7363),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7363),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7363),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7363),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7363),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7363),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7363),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7363),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7363),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHdef] = ACTIONS(7363),
    [anon_sym_BSLASHgdef] = ACTIONS(7363),
    [anon_sym_BSLASHedef] = ACTIONS(7363),
    [anon_sym_BSLASHxdef] = ACTIONS(7363),
    [anon_sym_BSLASHlet] = ACTIONS(7363),
    [anon_sym_BSLASHglet] = ACTIONS(7363),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7363),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7363),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7363),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7363),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7363),
    [anon_sym_BSLASHgls] = ACTIONS(7363),
    [anon_sym_BSLASHGls] = ACTIONS(7363),
    [anon_sym_BSLASHGLS] = ACTIONS(7363),
    [anon_sym_BSLASHglspl] = ACTIONS(7363),
    [anon_sym_BSLASHGlspl] = ACTIONS(7363),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7363),
    [anon_sym_BSLASHglslink] = ACTIONS(7363),
    [anon_sym_BSLASHglstext] = ACTIONS(7363),
    [anon_sym_BSLASHGlstext] = ACTIONS(7363),
    [anon_sym_BSLASHGLStext] = ACTIONS(7363),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7363),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7363),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7363),
    [anon_sym_BSLASHglsplural] = ACTIONS(7363),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7363),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7363),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHglsname] = ACTIONS(7363),
    [anon_sym_BSLASHGlsname] = ACTIONS(7363),
    [anon_sym_BSLASHGLSname] = ACTIONS(7363),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7363),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7363),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7363),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7363),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7363),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7363),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7363),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7363),
    [anon_sym_BSLASHacrshort] = ACTIONS(7363),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7363),
    [anon_sym_BSLASHACRshort] = ACTIONS(7363),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHacrlong] = ACTIONS(7363),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7363),
    [anon_sym_BSLASHACRlong] = ACTIONS(7363),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHacrfull] = ACTIONS(7363),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7363),
    [anon_sym_BSLASHACRfull] = ACTIONS(7363),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHacs] = ACTIONS(7363),
    [anon_sym_BSLASHAcs] = ACTIONS(7363),
    [anon_sym_BSLASHacsp] = ACTIONS(7363),
    [anon_sym_BSLASHAcsp] = ACTIONS(7363),
    [anon_sym_BSLASHacl] = ACTIONS(7363),
    [anon_sym_BSLASHAcl] = ACTIONS(7363),
    [anon_sym_BSLASHaclp] = ACTIONS(7363),
    [anon_sym_BSLASHAclp] = ACTIONS(7363),
    [anon_sym_BSLASHacf] = ACTIONS(7363),
    [anon_sym_BSLASHAcf] = ACTIONS(7363),
    [anon_sym_BSLASHacfp] = ACTIONS(7363),
    [anon_sym_BSLASHAcfp] = ACTIONS(7363),
    [anon_sym_BSLASHac] = ACTIONS(7363),
    [anon_sym_BSLASHAc] = ACTIONS(7363),
    [anon_sym_BSLASHacp] = ACTIONS(7363),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7363),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7363),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7363),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7363),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7363),
    [anon_sym_BSLASHcolor] = ACTIONS(7363),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7363),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7363),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7363),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7363),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7363),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7363),
    [anon_sym_BSLASHurl] = ACTIONS(7363),
    [anon_sym_BSLASHhref] = ACTIONS(7363),
  },
  [1981] = {
    [sym_command_name] = ACTIONS(7367),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7367),
    [anon_sym_LBRACK] = ACTIONS(7369),
    [anon_sym_RBRACK] = ACTIONS(7369),
    [anon_sym_COMMA] = ACTIONS(7369),
    [anon_sym_EQ] = ACTIONS(7369),
    [anon_sym_LPAREN] = ACTIONS(7369),
    [anon_sym_RPAREN] = ACTIONS(7369),
    [anon_sym_LBRACE] = ACTIONS(7369),
    [anon_sym_RBRACE] = ACTIONS(7369),
    [sym_word] = ACTIONS(7367),
    [sym_placeholder] = ACTIONS(7369),
    [sym_delimiter] = ACTIONS(7369),
    [anon_sym_PLUS] = ACTIONS(7369),
    [anon_sym_DASH] = ACTIONS(7369),
    [anon_sym_STAR] = ACTIONS(7369),
    [anon_sym_SLASH] = ACTIONS(7369),
    [anon_sym_LT] = ACTIONS(7367),
    [anon_sym_GT] = ACTIONS(7367),
    [anon_sym_BANG] = ACTIONS(7367),
    [anon_sym_PIPE] = ACTIONS(7367),
    [anon_sym_COLON] = ACTIONS(7367),
    [anon_sym_SQUOTE] = ACTIONS(7367),
    [anon_sym__] = ACTIONS(7369),
    [anon_sym_CARET] = ACTIONS(7369),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7369),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7369),
    [anon_sym_DOLLAR] = ACTIONS(7367),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7369),
    [anon_sym_BSLASHleft] = ACTIONS(7367),
    [anon_sym_BSLASHbigl] = ACTIONS(7367),
    [anon_sym_BSLASHBigl] = ACTIONS(7367),
    [anon_sym_BSLASHbiggl] = ACTIONS(7367),
    [anon_sym_BSLASHBiggl] = ACTIONS(7367),
    [anon_sym_BSLASHtext] = ACTIONS(7367),
    [anon_sym_BSLASHintertext] = ACTIONS(7367),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7367),
    [anon_sym_BSLASHtitle] = ACTIONS(7367),
    [anon_sym_BSLASHauthor] = ACTIONS(7367),
    [anon_sym_BSLASHusepackage] = ACTIONS(7367),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7367),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7367),
    [anon_sym_BSLASHinclude] = ACTIONS(7367),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7367),
    [anon_sym_BSLASHinput] = ACTIONS(7367),
    [anon_sym_BSLASHsubfile] = ACTIONS(7367),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7367),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7367),
    [anon_sym_BSLASHbibliography] = ACTIONS(7367),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7367),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7367),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7367),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7367),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7367),
    [anon_sym_BSLASHimport] = ACTIONS(7367),
    [anon_sym_BSLASHsubimport] = ACTIONS(7367),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7367),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7367),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7367),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7367),
    [anon_sym_BSLASHcaption] = ACTIONS(7367),
    [anon_sym_BSLASHcite] = ACTIONS(7367),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCite] = ACTIONS(7367),
    [anon_sym_BSLASHnocite] = ACTIONS(7367),
    [anon_sym_BSLASHcitet] = ACTIONS(7367),
    [anon_sym_BSLASHcitep] = ACTIONS(7367),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteA] = ACTIONS(7367),
    [anon_sym_BSLASHciteR] = ACTIONS(7367),
    [anon_sym_BSLASHciteS] = ACTIONS(7367),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7367),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7367),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7367),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7367),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteyear] = ACTIONS(7367),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitedate] = ACTIONS(7367),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteurl] = ACTIONS(7367),
    [anon_sym_BSLASHfullcite] = ACTIONS(7367),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7367),
    [anon_sym_BSLASHcitealt] = ACTIONS(7367),
    [anon_sym_BSLASHcitealp] = ACTIONS(7367),
    [anon_sym_BSLASHcitetext] = ACTIONS(7367),
    [anon_sym_BSLASHparencite] = ACTIONS(7367),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHParencite] = ACTIONS(7367),
    [anon_sym_BSLASHfootcite] = ACTIONS(7367),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7367),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7367),
    [anon_sym_BSLASHtextcite] = ACTIONS(7367),
    [anon_sym_BSLASHTextcite] = ACTIONS(7367),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7367),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7367),
    [anon_sym_BSLASHsupercite] = ACTIONS(7367),
    [anon_sym_BSLASHautocite] = ACTIONS(7367),
    [anon_sym_BSLASHAutocite] = ACTIONS(7367),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHVolcite] = ACTIONS(7367),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHavolcite] = ACTIONS(7367),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHNotecite] = ACTIONS(7367),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHlabel] = ACTIONS(7367),
    [anon_sym_BSLASHref] = ACTIONS(7367),
    [anon_sym_BSLASHeqref] = ACTIONS(7367),
    [anon_sym_BSLASHvref] = ACTIONS(7367),
    [anon_sym_BSLASHVref] = ACTIONS(7367),
    [anon_sym_BSLASHautoref] = ACTIONS(7367),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHpageref] = ACTIONS(7367),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHautopageref] = ACTIONS(7367),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcref] = ACTIONS(7367),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCref] = ACTIONS(7367),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcpageref] = ACTIONS(7367),
    [anon_sym_BSLASHCpageref] = ACTIONS(7367),
    [anon_sym_BSLASHnamecref] = ACTIONS(7367),
    [anon_sym_BSLASHnameCref] = ACTIONS(7367),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7367),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7367),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7367),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7367),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7367),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7367),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7367),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7367),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7367),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7367),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7367),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHdef] = ACTIONS(7367),
    [anon_sym_BSLASHgdef] = ACTIONS(7367),
    [anon_sym_BSLASHedef] = ACTIONS(7367),
    [anon_sym_BSLASHxdef] = ACTIONS(7367),
    [anon_sym_BSLASHlet] = ACTIONS(7367),
    [anon_sym_BSLASHglet] = ACTIONS(7367),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7367),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7367),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7367),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7367),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7367),
    [anon_sym_BSLASHgls] = ACTIONS(7367),
    [anon_sym_BSLASHGls] = ACTIONS(7367),
    [anon_sym_BSLASHGLS] = ACTIONS(7367),
    [anon_sym_BSLASHglspl] = ACTIONS(7367),
    [anon_sym_BSLASHGlspl] = ACTIONS(7367),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7367),
    [anon_sym_BSLASHglslink] = ACTIONS(7367),
    [anon_sym_BSLASHglstext] = ACTIONS(7367),
    [anon_sym_BSLASHGlstext] = ACTIONS(7367),
    [anon_sym_BSLASHGLStext] = ACTIONS(7367),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7367),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7367),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7367),
    [anon_sym_BSLASHglsplural] = ACTIONS(7367),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7367),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7367),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHglsname] = ACTIONS(7367),
    [anon_sym_BSLASHGlsname] = ACTIONS(7367),
    [anon_sym_BSLASHGLSname] = ACTIONS(7367),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7367),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7367),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7367),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7367),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7367),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7367),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7367),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7367),
    [anon_sym_BSLASHacrshort] = ACTIONS(7367),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7367),
    [anon_sym_BSLASHACRshort] = ACTIONS(7367),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHacrlong] = ACTIONS(7367),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7367),
    [anon_sym_BSLASHACRlong] = ACTIONS(7367),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHacrfull] = ACTIONS(7367),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7367),
    [anon_sym_BSLASHACRfull] = ACTIONS(7367),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHacs] = ACTIONS(7367),
    [anon_sym_BSLASHAcs] = ACTIONS(7367),
    [anon_sym_BSLASHacsp] = ACTIONS(7367),
    [anon_sym_BSLASHAcsp] = ACTIONS(7367),
    [anon_sym_BSLASHacl] = ACTIONS(7367),
    [anon_sym_BSLASHAcl] = ACTIONS(7367),
    [anon_sym_BSLASHaclp] = ACTIONS(7367),
    [anon_sym_BSLASHAclp] = ACTIONS(7367),
    [anon_sym_BSLASHacf] = ACTIONS(7367),
    [anon_sym_BSLASHAcf] = ACTIONS(7367),
    [anon_sym_BSLASHacfp] = ACTIONS(7367),
    [anon_sym_BSLASHAcfp] = ACTIONS(7367),
    [anon_sym_BSLASHac] = ACTIONS(7367),
    [anon_sym_BSLASHAc] = ACTIONS(7367),
    [anon_sym_BSLASHacp] = ACTIONS(7367),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7367),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7367),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7367),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7367),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7367),
    [anon_sym_BSLASHcolor] = ACTIONS(7367),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7367),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7367),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7367),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7367),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7367),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7367),
    [anon_sym_BSLASHurl] = ACTIONS(7367),
    [anon_sym_BSLASHhref] = ACTIONS(7367),
  },
  [1982] = {
    [sym_command_name] = ACTIONS(7371),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7371),
    [anon_sym_LBRACK] = ACTIONS(7373),
    [anon_sym_RBRACK] = ACTIONS(7373),
    [anon_sym_COMMA] = ACTIONS(7373),
    [anon_sym_EQ] = ACTIONS(7373),
    [anon_sym_LPAREN] = ACTIONS(7373),
    [anon_sym_RPAREN] = ACTIONS(7373),
    [anon_sym_LBRACE] = ACTIONS(7373),
    [anon_sym_RBRACE] = ACTIONS(7373),
    [sym_word] = ACTIONS(7371),
    [sym_placeholder] = ACTIONS(7373),
    [sym_delimiter] = ACTIONS(7373),
    [anon_sym_PLUS] = ACTIONS(7373),
    [anon_sym_DASH] = ACTIONS(7373),
    [anon_sym_STAR] = ACTIONS(7373),
    [anon_sym_SLASH] = ACTIONS(7373),
    [anon_sym_LT] = ACTIONS(7371),
    [anon_sym_GT] = ACTIONS(7371),
    [anon_sym_BANG] = ACTIONS(7371),
    [anon_sym_PIPE] = ACTIONS(7371),
    [anon_sym_COLON] = ACTIONS(7371),
    [anon_sym_SQUOTE] = ACTIONS(7371),
    [anon_sym__] = ACTIONS(7373),
    [anon_sym_CARET] = ACTIONS(7373),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7373),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7373),
    [anon_sym_DOLLAR] = ACTIONS(7371),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7373),
    [anon_sym_BSLASHleft] = ACTIONS(7371),
    [anon_sym_BSLASHbigl] = ACTIONS(7371),
    [anon_sym_BSLASHBigl] = ACTIONS(7371),
    [anon_sym_BSLASHbiggl] = ACTIONS(7371),
    [anon_sym_BSLASHBiggl] = ACTIONS(7371),
    [anon_sym_BSLASHtext] = ACTIONS(7371),
    [anon_sym_BSLASHintertext] = ACTIONS(7371),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7371),
    [anon_sym_BSLASHtitle] = ACTIONS(7371),
    [anon_sym_BSLASHauthor] = ACTIONS(7371),
    [anon_sym_BSLASHusepackage] = ACTIONS(7371),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7371),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7371),
    [anon_sym_BSLASHinclude] = ACTIONS(7371),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7371),
    [anon_sym_BSLASHinput] = ACTIONS(7371),
    [anon_sym_BSLASHsubfile] = ACTIONS(7371),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7371),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7371),
    [anon_sym_BSLASHbibliography] = ACTIONS(7371),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7371),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7371),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7371),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7371),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7371),
    [anon_sym_BSLASHimport] = ACTIONS(7371),
    [anon_sym_BSLASHsubimport] = ACTIONS(7371),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7371),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7371),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7371),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7371),
    [anon_sym_BSLASHcaption] = ACTIONS(7371),
    [anon_sym_BSLASHcite] = ACTIONS(7371),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCite] = ACTIONS(7371),
    [anon_sym_BSLASHnocite] = ACTIONS(7371),
    [anon_sym_BSLASHcitet] = ACTIONS(7371),
    [anon_sym_BSLASHcitep] = ACTIONS(7371),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteA] = ACTIONS(7371),
    [anon_sym_BSLASHciteR] = ACTIONS(7371),
    [anon_sym_BSLASHciteS] = ACTIONS(7371),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7371),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7371),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7371),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7371),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteyear] = ACTIONS(7371),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitedate] = ACTIONS(7371),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteurl] = ACTIONS(7371),
    [anon_sym_BSLASHfullcite] = ACTIONS(7371),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7371),
    [anon_sym_BSLASHcitealt] = ACTIONS(7371),
    [anon_sym_BSLASHcitealp] = ACTIONS(7371),
    [anon_sym_BSLASHcitetext] = ACTIONS(7371),
    [anon_sym_BSLASHparencite] = ACTIONS(7371),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHParencite] = ACTIONS(7371),
    [anon_sym_BSLASHfootcite] = ACTIONS(7371),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7371),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7371),
    [anon_sym_BSLASHtextcite] = ACTIONS(7371),
    [anon_sym_BSLASHTextcite] = ACTIONS(7371),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7371),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7371),
    [anon_sym_BSLASHsupercite] = ACTIONS(7371),
    [anon_sym_BSLASHautocite] = ACTIONS(7371),
    [anon_sym_BSLASHAutocite] = ACTIONS(7371),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHVolcite] = ACTIONS(7371),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHavolcite] = ACTIONS(7371),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHNotecite] = ACTIONS(7371),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHlabel] = ACTIONS(7371),
    [anon_sym_BSLASHref] = ACTIONS(7371),
    [anon_sym_BSLASHeqref] = ACTIONS(7371),
    [anon_sym_BSLASHvref] = ACTIONS(7371),
    [anon_sym_BSLASHVref] = ACTIONS(7371),
    [anon_sym_BSLASHautoref] = ACTIONS(7371),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHpageref] = ACTIONS(7371),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHautopageref] = ACTIONS(7371),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcref] = ACTIONS(7371),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCref] = ACTIONS(7371),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcpageref] = ACTIONS(7371),
    [anon_sym_BSLASHCpageref] = ACTIONS(7371),
    [anon_sym_BSLASHnamecref] = ACTIONS(7371),
    [anon_sym_BSLASHnameCref] = ACTIONS(7371),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7371),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7371),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7371),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7371),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7371),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7371),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7371),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7371),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7371),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7371),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7371),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHdef] = ACTIONS(7371),
    [anon_sym_BSLASHgdef] = ACTIONS(7371),
    [anon_sym_BSLASHedef] = ACTIONS(7371),
    [anon_sym_BSLASHxdef] = ACTIONS(7371),
    [anon_sym_BSLASHlet] = ACTIONS(7371),
    [anon_sym_BSLASHglet] = ACTIONS(7371),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7371),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7371),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7371),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7371),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7371),
    [anon_sym_BSLASHgls] = ACTIONS(7371),
    [anon_sym_BSLASHGls] = ACTIONS(7371),
    [anon_sym_BSLASHGLS] = ACTIONS(7371),
    [anon_sym_BSLASHglspl] = ACTIONS(7371),
    [anon_sym_BSLASHGlspl] = ACTIONS(7371),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7371),
    [anon_sym_BSLASHglslink] = ACTIONS(7371),
    [anon_sym_BSLASHglstext] = ACTIONS(7371),
    [anon_sym_BSLASHGlstext] = ACTIONS(7371),
    [anon_sym_BSLASHGLStext] = ACTIONS(7371),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7371),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7371),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7371),
    [anon_sym_BSLASHglsplural] = ACTIONS(7371),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7371),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7371),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHglsname] = ACTIONS(7371),
    [anon_sym_BSLASHGlsname] = ACTIONS(7371),
    [anon_sym_BSLASHGLSname] = ACTIONS(7371),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7371),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7371),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7371),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7371),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7371),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7371),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7371),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7371),
    [anon_sym_BSLASHacrshort] = ACTIONS(7371),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7371),
    [anon_sym_BSLASHACRshort] = ACTIONS(7371),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHacrlong] = ACTIONS(7371),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7371),
    [anon_sym_BSLASHACRlong] = ACTIONS(7371),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHacrfull] = ACTIONS(7371),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7371),
    [anon_sym_BSLASHACRfull] = ACTIONS(7371),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHacs] = ACTIONS(7371),
    [anon_sym_BSLASHAcs] = ACTIONS(7371),
    [anon_sym_BSLASHacsp] = ACTIONS(7371),
    [anon_sym_BSLASHAcsp] = ACTIONS(7371),
    [anon_sym_BSLASHacl] = ACTIONS(7371),
    [anon_sym_BSLASHAcl] = ACTIONS(7371),
    [anon_sym_BSLASHaclp] = ACTIONS(7371),
    [anon_sym_BSLASHAclp] = ACTIONS(7371),
    [anon_sym_BSLASHacf] = ACTIONS(7371),
    [anon_sym_BSLASHAcf] = ACTIONS(7371),
    [anon_sym_BSLASHacfp] = ACTIONS(7371),
    [anon_sym_BSLASHAcfp] = ACTIONS(7371),
    [anon_sym_BSLASHac] = ACTIONS(7371),
    [anon_sym_BSLASHAc] = ACTIONS(7371),
    [anon_sym_BSLASHacp] = ACTIONS(7371),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7371),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7371),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7371),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7371),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7371),
    [anon_sym_BSLASHcolor] = ACTIONS(7371),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7371),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7371),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7371),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7371),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7371),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7371),
    [anon_sym_BSLASHurl] = ACTIONS(7371),
    [anon_sym_BSLASHhref] = ACTIONS(7371),
  },
  [1983] = {
    [sym_command_name] = ACTIONS(7375),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7375),
    [anon_sym_LBRACK] = ACTIONS(7377),
    [anon_sym_RBRACK] = ACTIONS(7377),
    [anon_sym_COMMA] = ACTIONS(7377),
    [anon_sym_EQ] = ACTIONS(7377),
    [anon_sym_LPAREN] = ACTIONS(7377),
    [anon_sym_RPAREN] = ACTIONS(7377),
    [anon_sym_LBRACE] = ACTIONS(7377),
    [anon_sym_RBRACE] = ACTIONS(7377),
    [sym_word] = ACTIONS(7375),
    [sym_placeholder] = ACTIONS(7377),
    [sym_delimiter] = ACTIONS(7377),
    [anon_sym_PLUS] = ACTIONS(7377),
    [anon_sym_DASH] = ACTIONS(7377),
    [anon_sym_STAR] = ACTIONS(7377),
    [anon_sym_SLASH] = ACTIONS(7377),
    [anon_sym_LT] = ACTIONS(7375),
    [anon_sym_GT] = ACTIONS(7375),
    [anon_sym_BANG] = ACTIONS(7375),
    [anon_sym_PIPE] = ACTIONS(7375),
    [anon_sym_COLON] = ACTIONS(7375),
    [anon_sym_SQUOTE] = ACTIONS(7375),
    [anon_sym__] = ACTIONS(7377),
    [anon_sym_CARET] = ACTIONS(7377),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7377),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7377),
    [anon_sym_DOLLAR] = ACTIONS(7375),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7377),
    [anon_sym_BSLASHleft] = ACTIONS(7375),
    [anon_sym_BSLASHbigl] = ACTIONS(7375),
    [anon_sym_BSLASHBigl] = ACTIONS(7375),
    [anon_sym_BSLASHbiggl] = ACTIONS(7375),
    [anon_sym_BSLASHBiggl] = ACTIONS(7375),
    [anon_sym_BSLASHtext] = ACTIONS(7375),
    [anon_sym_BSLASHintertext] = ACTIONS(7375),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7375),
    [anon_sym_BSLASHtitle] = ACTIONS(7375),
    [anon_sym_BSLASHauthor] = ACTIONS(7375),
    [anon_sym_BSLASHusepackage] = ACTIONS(7375),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7375),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7375),
    [anon_sym_BSLASHinclude] = ACTIONS(7375),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7375),
    [anon_sym_BSLASHinput] = ACTIONS(7375),
    [anon_sym_BSLASHsubfile] = ACTIONS(7375),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7375),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7375),
    [anon_sym_BSLASHbibliography] = ACTIONS(7375),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7375),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7375),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7375),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7375),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7375),
    [anon_sym_BSLASHimport] = ACTIONS(7375),
    [anon_sym_BSLASHsubimport] = ACTIONS(7375),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7375),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7375),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7375),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7375),
    [anon_sym_BSLASHcaption] = ACTIONS(7375),
    [anon_sym_BSLASHcite] = ACTIONS(7375),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCite] = ACTIONS(7375),
    [anon_sym_BSLASHnocite] = ACTIONS(7375),
    [anon_sym_BSLASHcitet] = ACTIONS(7375),
    [anon_sym_BSLASHcitep] = ACTIONS(7375),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteA] = ACTIONS(7375),
    [anon_sym_BSLASHciteR] = ACTIONS(7375),
    [anon_sym_BSLASHciteS] = ACTIONS(7375),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7375),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7375),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7375),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7375),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteyear] = ACTIONS(7375),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitedate] = ACTIONS(7375),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteurl] = ACTIONS(7375),
    [anon_sym_BSLASHfullcite] = ACTIONS(7375),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7375),
    [anon_sym_BSLASHcitealt] = ACTIONS(7375),
    [anon_sym_BSLASHcitealp] = ACTIONS(7375),
    [anon_sym_BSLASHcitetext] = ACTIONS(7375),
    [anon_sym_BSLASHparencite] = ACTIONS(7375),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHParencite] = ACTIONS(7375),
    [anon_sym_BSLASHfootcite] = ACTIONS(7375),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7375),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7375),
    [anon_sym_BSLASHtextcite] = ACTIONS(7375),
    [anon_sym_BSLASHTextcite] = ACTIONS(7375),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7375),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7375),
    [anon_sym_BSLASHsupercite] = ACTIONS(7375),
    [anon_sym_BSLASHautocite] = ACTIONS(7375),
    [anon_sym_BSLASHAutocite] = ACTIONS(7375),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHVolcite] = ACTIONS(7375),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHavolcite] = ACTIONS(7375),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHNotecite] = ACTIONS(7375),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHlabel] = ACTIONS(7375),
    [anon_sym_BSLASHref] = ACTIONS(7375),
    [anon_sym_BSLASHeqref] = ACTIONS(7375),
    [anon_sym_BSLASHvref] = ACTIONS(7375),
    [anon_sym_BSLASHVref] = ACTIONS(7375),
    [anon_sym_BSLASHautoref] = ACTIONS(7375),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHpageref] = ACTIONS(7375),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHautopageref] = ACTIONS(7375),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcref] = ACTIONS(7375),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCref] = ACTIONS(7375),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcpageref] = ACTIONS(7375),
    [anon_sym_BSLASHCpageref] = ACTIONS(7375),
    [anon_sym_BSLASHnamecref] = ACTIONS(7375),
    [anon_sym_BSLASHnameCref] = ACTIONS(7375),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7375),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7375),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7375),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7375),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7375),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7375),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7375),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7375),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7375),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7375),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7375),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHdef] = ACTIONS(7375),
    [anon_sym_BSLASHgdef] = ACTIONS(7375),
    [anon_sym_BSLASHedef] = ACTIONS(7375),
    [anon_sym_BSLASHxdef] = ACTIONS(7375),
    [anon_sym_BSLASHlet] = ACTIONS(7375),
    [anon_sym_BSLASHglet] = ACTIONS(7375),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7375),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7375),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7375),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7375),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7375),
    [anon_sym_BSLASHgls] = ACTIONS(7375),
    [anon_sym_BSLASHGls] = ACTIONS(7375),
    [anon_sym_BSLASHGLS] = ACTIONS(7375),
    [anon_sym_BSLASHglspl] = ACTIONS(7375),
    [anon_sym_BSLASHGlspl] = ACTIONS(7375),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7375),
    [anon_sym_BSLASHglslink] = ACTIONS(7375),
    [anon_sym_BSLASHglstext] = ACTIONS(7375),
    [anon_sym_BSLASHGlstext] = ACTIONS(7375),
    [anon_sym_BSLASHGLStext] = ACTIONS(7375),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7375),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7375),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7375),
    [anon_sym_BSLASHglsplural] = ACTIONS(7375),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7375),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7375),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHglsname] = ACTIONS(7375),
    [anon_sym_BSLASHGlsname] = ACTIONS(7375),
    [anon_sym_BSLASHGLSname] = ACTIONS(7375),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7375),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7375),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7375),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7375),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7375),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7375),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7375),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7375),
    [anon_sym_BSLASHacrshort] = ACTIONS(7375),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7375),
    [anon_sym_BSLASHACRshort] = ACTIONS(7375),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHacrlong] = ACTIONS(7375),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7375),
    [anon_sym_BSLASHACRlong] = ACTIONS(7375),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHacrfull] = ACTIONS(7375),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7375),
    [anon_sym_BSLASHACRfull] = ACTIONS(7375),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHacs] = ACTIONS(7375),
    [anon_sym_BSLASHAcs] = ACTIONS(7375),
    [anon_sym_BSLASHacsp] = ACTIONS(7375),
    [anon_sym_BSLASHAcsp] = ACTIONS(7375),
    [anon_sym_BSLASHacl] = ACTIONS(7375),
    [anon_sym_BSLASHAcl] = ACTIONS(7375),
    [anon_sym_BSLASHaclp] = ACTIONS(7375),
    [anon_sym_BSLASHAclp] = ACTIONS(7375),
    [anon_sym_BSLASHacf] = ACTIONS(7375),
    [anon_sym_BSLASHAcf] = ACTIONS(7375),
    [anon_sym_BSLASHacfp] = ACTIONS(7375),
    [anon_sym_BSLASHAcfp] = ACTIONS(7375),
    [anon_sym_BSLASHac] = ACTIONS(7375),
    [anon_sym_BSLASHAc] = ACTIONS(7375),
    [anon_sym_BSLASHacp] = ACTIONS(7375),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7375),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7375),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7375),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7375),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7375),
    [anon_sym_BSLASHcolor] = ACTIONS(7375),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7375),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7375),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7375),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7375),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7375),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7375),
    [anon_sym_BSLASHurl] = ACTIONS(7375),
    [anon_sym_BSLASHhref] = ACTIONS(7375),
  },
  [1984] = {
    [sym_command_name] = ACTIONS(7379),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7379),
    [anon_sym_LBRACK] = ACTIONS(7381),
    [anon_sym_RBRACK] = ACTIONS(7381),
    [anon_sym_COMMA] = ACTIONS(7381),
    [anon_sym_EQ] = ACTIONS(7381),
    [anon_sym_LPAREN] = ACTIONS(7381),
    [anon_sym_RPAREN] = ACTIONS(7381),
    [anon_sym_LBRACE] = ACTIONS(7381),
    [anon_sym_RBRACE] = ACTIONS(7381),
    [sym_word] = ACTIONS(7379),
    [sym_placeholder] = ACTIONS(7381),
    [sym_delimiter] = ACTIONS(7381),
    [anon_sym_PLUS] = ACTIONS(7381),
    [anon_sym_DASH] = ACTIONS(7381),
    [anon_sym_STAR] = ACTIONS(7381),
    [anon_sym_SLASH] = ACTIONS(7381),
    [anon_sym_LT] = ACTIONS(7379),
    [anon_sym_GT] = ACTIONS(7379),
    [anon_sym_BANG] = ACTIONS(7379),
    [anon_sym_PIPE] = ACTIONS(7379),
    [anon_sym_COLON] = ACTIONS(7379),
    [anon_sym_SQUOTE] = ACTIONS(7379),
    [anon_sym__] = ACTIONS(7381),
    [anon_sym_CARET] = ACTIONS(7381),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7381),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7381),
    [anon_sym_DOLLAR] = ACTIONS(7379),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7381),
    [anon_sym_BSLASHleft] = ACTIONS(7379),
    [anon_sym_BSLASHbigl] = ACTIONS(7379),
    [anon_sym_BSLASHBigl] = ACTIONS(7379),
    [anon_sym_BSLASHbiggl] = ACTIONS(7379),
    [anon_sym_BSLASHBiggl] = ACTIONS(7379),
    [anon_sym_BSLASHtext] = ACTIONS(7379),
    [anon_sym_BSLASHintertext] = ACTIONS(7379),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7379),
    [anon_sym_BSLASHtitle] = ACTIONS(7379),
    [anon_sym_BSLASHauthor] = ACTIONS(7379),
    [anon_sym_BSLASHusepackage] = ACTIONS(7379),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7379),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7379),
    [anon_sym_BSLASHinclude] = ACTIONS(7379),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7379),
    [anon_sym_BSLASHinput] = ACTIONS(7379),
    [anon_sym_BSLASHsubfile] = ACTIONS(7379),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7379),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7379),
    [anon_sym_BSLASHbibliography] = ACTIONS(7379),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7379),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7379),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7379),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7379),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7379),
    [anon_sym_BSLASHimport] = ACTIONS(7379),
    [anon_sym_BSLASHsubimport] = ACTIONS(7379),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7379),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7379),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7379),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7379),
    [anon_sym_BSLASHcaption] = ACTIONS(7379),
    [anon_sym_BSLASHcite] = ACTIONS(7379),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCite] = ACTIONS(7379),
    [anon_sym_BSLASHnocite] = ACTIONS(7379),
    [anon_sym_BSLASHcitet] = ACTIONS(7379),
    [anon_sym_BSLASHcitep] = ACTIONS(7379),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteA] = ACTIONS(7379),
    [anon_sym_BSLASHciteR] = ACTIONS(7379),
    [anon_sym_BSLASHciteS] = ACTIONS(7379),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7379),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7379),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7379),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7379),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteyear] = ACTIONS(7379),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitedate] = ACTIONS(7379),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteurl] = ACTIONS(7379),
    [anon_sym_BSLASHfullcite] = ACTIONS(7379),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7379),
    [anon_sym_BSLASHcitealt] = ACTIONS(7379),
    [anon_sym_BSLASHcitealp] = ACTIONS(7379),
    [anon_sym_BSLASHcitetext] = ACTIONS(7379),
    [anon_sym_BSLASHparencite] = ACTIONS(7379),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHParencite] = ACTIONS(7379),
    [anon_sym_BSLASHfootcite] = ACTIONS(7379),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7379),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7379),
    [anon_sym_BSLASHtextcite] = ACTIONS(7379),
    [anon_sym_BSLASHTextcite] = ACTIONS(7379),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7379),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7379),
    [anon_sym_BSLASHsupercite] = ACTIONS(7379),
    [anon_sym_BSLASHautocite] = ACTIONS(7379),
    [anon_sym_BSLASHAutocite] = ACTIONS(7379),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHVolcite] = ACTIONS(7379),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHavolcite] = ACTIONS(7379),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHNotecite] = ACTIONS(7379),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHlabel] = ACTIONS(7379),
    [anon_sym_BSLASHref] = ACTIONS(7379),
    [anon_sym_BSLASHeqref] = ACTIONS(7379),
    [anon_sym_BSLASHvref] = ACTIONS(7379),
    [anon_sym_BSLASHVref] = ACTIONS(7379),
    [anon_sym_BSLASHautoref] = ACTIONS(7379),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHpageref] = ACTIONS(7379),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHautopageref] = ACTIONS(7379),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcref] = ACTIONS(7379),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCref] = ACTIONS(7379),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcpageref] = ACTIONS(7379),
    [anon_sym_BSLASHCpageref] = ACTIONS(7379),
    [anon_sym_BSLASHnamecref] = ACTIONS(7379),
    [anon_sym_BSLASHnameCref] = ACTIONS(7379),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7379),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7379),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7379),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7379),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7379),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7379),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7379),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7379),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7379),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7379),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7379),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHdef] = ACTIONS(7379),
    [anon_sym_BSLASHgdef] = ACTIONS(7379),
    [anon_sym_BSLASHedef] = ACTIONS(7379),
    [anon_sym_BSLASHxdef] = ACTIONS(7379),
    [anon_sym_BSLASHlet] = ACTIONS(7379),
    [anon_sym_BSLASHglet] = ACTIONS(7379),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7379),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7379),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7379),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7379),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7379),
    [anon_sym_BSLASHgls] = ACTIONS(7379),
    [anon_sym_BSLASHGls] = ACTIONS(7379),
    [anon_sym_BSLASHGLS] = ACTIONS(7379),
    [anon_sym_BSLASHglspl] = ACTIONS(7379),
    [anon_sym_BSLASHGlspl] = ACTIONS(7379),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7379),
    [anon_sym_BSLASHglslink] = ACTIONS(7379),
    [anon_sym_BSLASHglstext] = ACTIONS(7379),
    [anon_sym_BSLASHGlstext] = ACTIONS(7379),
    [anon_sym_BSLASHGLStext] = ACTIONS(7379),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7379),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7379),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7379),
    [anon_sym_BSLASHglsplural] = ACTIONS(7379),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7379),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7379),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHglsname] = ACTIONS(7379),
    [anon_sym_BSLASHGlsname] = ACTIONS(7379),
    [anon_sym_BSLASHGLSname] = ACTIONS(7379),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7379),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7379),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7379),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7379),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7379),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7379),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7379),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7379),
    [anon_sym_BSLASHacrshort] = ACTIONS(7379),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7379),
    [anon_sym_BSLASHACRshort] = ACTIONS(7379),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHacrlong] = ACTIONS(7379),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7379),
    [anon_sym_BSLASHACRlong] = ACTIONS(7379),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHacrfull] = ACTIONS(7379),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7379),
    [anon_sym_BSLASHACRfull] = ACTIONS(7379),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHacs] = ACTIONS(7379),
    [anon_sym_BSLASHAcs] = ACTIONS(7379),
    [anon_sym_BSLASHacsp] = ACTIONS(7379),
    [anon_sym_BSLASHAcsp] = ACTIONS(7379),
    [anon_sym_BSLASHacl] = ACTIONS(7379),
    [anon_sym_BSLASHAcl] = ACTIONS(7379),
    [anon_sym_BSLASHaclp] = ACTIONS(7379),
    [anon_sym_BSLASHAclp] = ACTIONS(7379),
    [anon_sym_BSLASHacf] = ACTIONS(7379),
    [anon_sym_BSLASHAcf] = ACTIONS(7379),
    [anon_sym_BSLASHacfp] = ACTIONS(7379),
    [anon_sym_BSLASHAcfp] = ACTIONS(7379),
    [anon_sym_BSLASHac] = ACTIONS(7379),
    [anon_sym_BSLASHAc] = ACTIONS(7379),
    [anon_sym_BSLASHacp] = ACTIONS(7379),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7379),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7379),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7379),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7379),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7379),
    [anon_sym_BSLASHcolor] = ACTIONS(7379),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7379),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7379),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7379),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7379),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7379),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7379),
    [anon_sym_BSLASHurl] = ACTIONS(7379),
    [anon_sym_BSLASHhref] = ACTIONS(7379),
  },
  [1985] = {
    [sym_command_name] = ACTIONS(7383),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7383),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_RBRACK] = ACTIONS(7385),
    [anon_sym_COMMA] = ACTIONS(7385),
    [anon_sym_EQ] = ACTIONS(7385),
    [anon_sym_LPAREN] = ACTIONS(7385),
    [anon_sym_RPAREN] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7385),
    [anon_sym_RBRACE] = ACTIONS(7385),
    [sym_word] = ACTIONS(7383),
    [sym_placeholder] = ACTIONS(7385),
    [sym_delimiter] = ACTIONS(7385),
    [anon_sym_PLUS] = ACTIONS(7385),
    [anon_sym_DASH] = ACTIONS(7385),
    [anon_sym_STAR] = ACTIONS(7385),
    [anon_sym_SLASH] = ACTIONS(7385),
    [anon_sym_LT] = ACTIONS(7383),
    [anon_sym_GT] = ACTIONS(7383),
    [anon_sym_BANG] = ACTIONS(7383),
    [anon_sym_PIPE] = ACTIONS(7383),
    [anon_sym_COLON] = ACTIONS(7383),
    [anon_sym_SQUOTE] = ACTIONS(7383),
    [anon_sym__] = ACTIONS(7385),
    [anon_sym_CARET] = ACTIONS(7385),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7385),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7385),
    [anon_sym_DOLLAR] = ACTIONS(7383),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7385),
    [anon_sym_BSLASHleft] = ACTIONS(7383),
    [anon_sym_BSLASHbigl] = ACTIONS(7383),
    [anon_sym_BSLASHBigl] = ACTIONS(7383),
    [anon_sym_BSLASHbiggl] = ACTIONS(7383),
    [anon_sym_BSLASHBiggl] = ACTIONS(7383),
    [anon_sym_BSLASHtext] = ACTIONS(7383),
    [anon_sym_BSLASHintertext] = ACTIONS(7383),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7383),
    [anon_sym_BSLASHtitle] = ACTIONS(7383),
    [anon_sym_BSLASHauthor] = ACTIONS(7383),
    [anon_sym_BSLASHusepackage] = ACTIONS(7383),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7383),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7383),
    [anon_sym_BSLASHinclude] = ACTIONS(7383),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7383),
    [anon_sym_BSLASHinput] = ACTIONS(7383),
    [anon_sym_BSLASHsubfile] = ACTIONS(7383),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7383),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7383),
    [anon_sym_BSLASHbibliography] = ACTIONS(7383),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7383),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7383),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7383),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7383),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7383),
    [anon_sym_BSLASHimport] = ACTIONS(7383),
    [anon_sym_BSLASHsubimport] = ACTIONS(7383),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7383),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7383),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7383),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7383),
    [anon_sym_BSLASHcaption] = ACTIONS(7383),
    [anon_sym_BSLASHcite] = ACTIONS(7383),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCite] = ACTIONS(7383),
    [anon_sym_BSLASHnocite] = ACTIONS(7383),
    [anon_sym_BSLASHcitet] = ACTIONS(7383),
    [anon_sym_BSLASHcitep] = ACTIONS(7383),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteA] = ACTIONS(7383),
    [anon_sym_BSLASHciteR] = ACTIONS(7383),
    [anon_sym_BSLASHciteS] = ACTIONS(7383),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7383),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7383),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7383),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7383),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteyear] = ACTIONS(7383),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitedate] = ACTIONS(7383),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteurl] = ACTIONS(7383),
    [anon_sym_BSLASHfullcite] = ACTIONS(7383),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7383),
    [anon_sym_BSLASHcitealt] = ACTIONS(7383),
    [anon_sym_BSLASHcitealp] = ACTIONS(7383),
    [anon_sym_BSLASHcitetext] = ACTIONS(7383),
    [anon_sym_BSLASHparencite] = ACTIONS(7383),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHParencite] = ACTIONS(7383),
    [anon_sym_BSLASHfootcite] = ACTIONS(7383),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7383),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7383),
    [anon_sym_BSLASHtextcite] = ACTIONS(7383),
    [anon_sym_BSLASHTextcite] = ACTIONS(7383),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7383),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7383),
    [anon_sym_BSLASHsupercite] = ACTIONS(7383),
    [anon_sym_BSLASHautocite] = ACTIONS(7383),
    [anon_sym_BSLASHAutocite] = ACTIONS(7383),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHVolcite] = ACTIONS(7383),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHavolcite] = ACTIONS(7383),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHNotecite] = ACTIONS(7383),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHlabel] = ACTIONS(7383),
    [anon_sym_BSLASHref] = ACTIONS(7383),
    [anon_sym_BSLASHeqref] = ACTIONS(7383),
    [anon_sym_BSLASHvref] = ACTIONS(7383),
    [anon_sym_BSLASHVref] = ACTIONS(7383),
    [anon_sym_BSLASHautoref] = ACTIONS(7383),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHpageref] = ACTIONS(7383),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHautopageref] = ACTIONS(7383),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcref] = ACTIONS(7383),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCref] = ACTIONS(7383),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcpageref] = ACTIONS(7383),
    [anon_sym_BSLASHCpageref] = ACTIONS(7383),
    [anon_sym_BSLASHnamecref] = ACTIONS(7383),
    [anon_sym_BSLASHnameCref] = ACTIONS(7383),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7383),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7383),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7383),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7383),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7383),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7383),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7383),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7383),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7383),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7383),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7383),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHdef] = ACTIONS(7383),
    [anon_sym_BSLASHgdef] = ACTIONS(7383),
    [anon_sym_BSLASHedef] = ACTIONS(7383),
    [anon_sym_BSLASHxdef] = ACTIONS(7383),
    [anon_sym_BSLASHlet] = ACTIONS(7383),
    [anon_sym_BSLASHglet] = ACTIONS(7383),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7383),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7383),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7383),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7383),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7383),
    [anon_sym_BSLASHgls] = ACTIONS(7383),
    [anon_sym_BSLASHGls] = ACTIONS(7383),
    [anon_sym_BSLASHGLS] = ACTIONS(7383),
    [anon_sym_BSLASHglspl] = ACTIONS(7383),
    [anon_sym_BSLASHGlspl] = ACTIONS(7383),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7383),
    [anon_sym_BSLASHglslink] = ACTIONS(7383),
    [anon_sym_BSLASHglstext] = ACTIONS(7383),
    [anon_sym_BSLASHGlstext] = ACTIONS(7383),
    [anon_sym_BSLASHGLStext] = ACTIONS(7383),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7383),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7383),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7383),
    [anon_sym_BSLASHglsplural] = ACTIONS(7383),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7383),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7383),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHglsname] = ACTIONS(7383),
    [anon_sym_BSLASHGlsname] = ACTIONS(7383),
    [anon_sym_BSLASHGLSname] = ACTIONS(7383),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7383),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7383),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7383),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7383),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7383),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7383),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7383),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7383),
    [anon_sym_BSLASHacrshort] = ACTIONS(7383),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7383),
    [anon_sym_BSLASHACRshort] = ACTIONS(7383),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHacrlong] = ACTIONS(7383),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7383),
    [anon_sym_BSLASHACRlong] = ACTIONS(7383),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHacrfull] = ACTIONS(7383),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7383),
    [anon_sym_BSLASHACRfull] = ACTIONS(7383),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHacs] = ACTIONS(7383),
    [anon_sym_BSLASHAcs] = ACTIONS(7383),
    [anon_sym_BSLASHacsp] = ACTIONS(7383),
    [anon_sym_BSLASHAcsp] = ACTIONS(7383),
    [anon_sym_BSLASHacl] = ACTIONS(7383),
    [anon_sym_BSLASHAcl] = ACTIONS(7383),
    [anon_sym_BSLASHaclp] = ACTIONS(7383),
    [anon_sym_BSLASHAclp] = ACTIONS(7383),
    [anon_sym_BSLASHacf] = ACTIONS(7383),
    [anon_sym_BSLASHAcf] = ACTIONS(7383),
    [anon_sym_BSLASHacfp] = ACTIONS(7383),
    [anon_sym_BSLASHAcfp] = ACTIONS(7383),
    [anon_sym_BSLASHac] = ACTIONS(7383),
    [anon_sym_BSLASHAc] = ACTIONS(7383),
    [anon_sym_BSLASHacp] = ACTIONS(7383),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7383),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7383),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7383),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7383),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7383),
    [anon_sym_BSLASHcolor] = ACTIONS(7383),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7383),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7383),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7383),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7383),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7383),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7383),
    [anon_sym_BSLASHurl] = ACTIONS(7383),
    [anon_sym_BSLASHhref] = ACTIONS(7383),
  },
  [1986] = {
    [sym_command_name] = ACTIONS(7387),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7387),
    [anon_sym_LBRACK] = ACTIONS(7389),
    [anon_sym_RBRACK] = ACTIONS(7389),
    [anon_sym_COMMA] = ACTIONS(7389),
    [anon_sym_EQ] = ACTIONS(7389),
    [anon_sym_LPAREN] = ACTIONS(7389),
    [anon_sym_RPAREN] = ACTIONS(7389),
    [anon_sym_LBRACE] = ACTIONS(7389),
    [anon_sym_RBRACE] = ACTIONS(7389),
    [sym_word] = ACTIONS(7387),
    [sym_placeholder] = ACTIONS(7389),
    [sym_delimiter] = ACTIONS(7389),
    [anon_sym_PLUS] = ACTIONS(7389),
    [anon_sym_DASH] = ACTIONS(7389),
    [anon_sym_STAR] = ACTIONS(7389),
    [anon_sym_SLASH] = ACTIONS(7389),
    [anon_sym_LT] = ACTIONS(7387),
    [anon_sym_GT] = ACTIONS(7387),
    [anon_sym_BANG] = ACTIONS(7387),
    [anon_sym_PIPE] = ACTIONS(7387),
    [anon_sym_COLON] = ACTIONS(7387),
    [anon_sym_SQUOTE] = ACTIONS(7387),
    [anon_sym__] = ACTIONS(7389),
    [anon_sym_CARET] = ACTIONS(7389),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7389),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7389),
    [anon_sym_DOLLAR] = ACTIONS(7387),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7389),
    [anon_sym_BSLASHleft] = ACTIONS(7387),
    [anon_sym_BSLASHbigl] = ACTIONS(7387),
    [anon_sym_BSLASHBigl] = ACTIONS(7387),
    [anon_sym_BSLASHbiggl] = ACTIONS(7387),
    [anon_sym_BSLASHBiggl] = ACTIONS(7387),
    [anon_sym_BSLASHtext] = ACTIONS(7387),
    [anon_sym_BSLASHintertext] = ACTIONS(7387),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7387),
    [anon_sym_BSLASHtitle] = ACTIONS(7387),
    [anon_sym_BSLASHauthor] = ACTIONS(7387),
    [anon_sym_BSLASHusepackage] = ACTIONS(7387),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7387),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7387),
    [anon_sym_BSLASHinclude] = ACTIONS(7387),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7387),
    [anon_sym_BSLASHinput] = ACTIONS(7387),
    [anon_sym_BSLASHsubfile] = ACTIONS(7387),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7387),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7387),
    [anon_sym_BSLASHbibliography] = ACTIONS(7387),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7387),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7387),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7387),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7387),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7387),
    [anon_sym_BSLASHimport] = ACTIONS(7387),
    [anon_sym_BSLASHsubimport] = ACTIONS(7387),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7387),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7387),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7387),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7387),
    [anon_sym_BSLASHcaption] = ACTIONS(7387),
    [anon_sym_BSLASHcite] = ACTIONS(7387),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCite] = ACTIONS(7387),
    [anon_sym_BSLASHnocite] = ACTIONS(7387),
    [anon_sym_BSLASHcitet] = ACTIONS(7387),
    [anon_sym_BSLASHcitep] = ACTIONS(7387),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteA] = ACTIONS(7387),
    [anon_sym_BSLASHciteR] = ACTIONS(7387),
    [anon_sym_BSLASHciteS] = ACTIONS(7387),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7387),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7387),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7387),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7387),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteyear] = ACTIONS(7387),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitedate] = ACTIONS(7387),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteurl] = ACTIONS(7387),
    [anon_sym_BSLASHfullcite] = ACTIONS(7387),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7387),
    [anon_sym_BSLASHcitealt] = ACTIONS(7387),
    [anon_sym_BSLASHcitealp] = ACTIONS(7387),
    [anon_sym_BSLASHcitetext] = ACTIONS(7387),
    [anon_sym_BSLASHparencite] = ACTIONS(7387),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHParencite] = ACTIONS(7387),
    [anon_sym_BSLASHfootcite] = ACTIONS(7387),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7387),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7387),
    [anon_sym_BSLASHtextcite] = ACTIONS(7387),
    [anon_sym_BSLASHTextcite] = ACTIONS(7387),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7387),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7387),
    [anon_sym_BSLASHsupercite] = ACTIONS(7387),
    [anon_sym_BSLASHautocite] = ACTIONS(7387),
    [anon_sym_BSLASHAutocite] = ACTIONS(7387),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHVolcite] = ACTIONS(7387),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHavolcite] = ACTIONS(7387),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHNotecite] = ACTIONS(7387),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHlabel] = ACTIONS(7387),
    [anon_sym_BSLASHref] = ACTIONS(7387),
    [anon_sym_BSLASHeqref] = ACTIONS(7387),
    [anon_sym_BSLASHvref] = ACTIONS(7387),
    [anon_sym_BSLASHVref] = ACTIONS(7387),
    [anon_sym_BSLASHautoref] = ACTIONS(7387),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHpageref] = ACTIONS(7387),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHautopageref] = ACTIONS(7387),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcref] = ACTIONS(7387),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCref] = ACTIONS(7387),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcpageref] = ACTIONS(7387),
    [anon_sym_BSLASHCpageref] = ACTIONS(7387),
    [anon_sym_BSLASHnamecref] = ACTIONS(7387),
    [anon_sym_BSLASHnameCref] = ACTIONS(7387),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7387),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7387),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7387),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7387),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7387),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7387),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7387),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7387),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7387),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7387),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7387),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHdef] = ACTIONS(7387),
    [anon_sym_BSLASHgdef] = ACTIONS(7387),
    [anon_sym_BSLASHedef] = ACTIONS(7387),
    [anon_sym_BSLASHxdef] = ACTIONS(7387),
    [anon_sym_BSLASHlet] = ACTIONS(7387),
    [anon_sym_BSLASHglet] = ACTIONS(7387),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7387),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7387),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7387),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7387),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7387),
    [anon_sym_BSLASHgls] = ACTIONS(7387),
    [anon_sym_BSLASHGls] = ACTIONS(7387),
    [anon_sym_BSLASHGLS] = ACTIONS(7387),
    [anon_sym_BSLASHglspl] = ACTIONS(7387),
    [anon_sym_BSLASHGlspl] = ACTIONS(7387),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7387),
    [anon_sym_BSLASHglslink] = ACTIONS(7387),
    [anon_sym_BSLASHglstext] = ACTIONS(7387),
    [anon_sym_BSLASHGlstext] = ACTIONS(7387),
    [anon_sym_BSLASHGLStext] = ACTIONS(7387),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7387),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7387),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7387),
    [anon_sym_BSLASHglsplural] = ACTIONS(7387),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7387),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7387),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHglsname] = ACTIONS(7387),
    [anon_sym_BSLASHGlsname] = ACTIONS(7387),
    [anon_sym_BSLASHGLSname] = ACTIONS(7387),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7387),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7387),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7387),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7387),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7387),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7387),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7387),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7387),
    [anon_sym_BSLASHacrshort] = ACTIONS(7387),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7387),
    [anon_sym_BSLASHACRshort] = ACTIONS(7387),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHacrlong] = ACTIONS(7387),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7387),
    [anon_sym_BSLASHACRlong] = ACTIONS(7387),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHacrfull] = ACTIONS(7387),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7387),
    [anon_sym_BSLASHACRfull] = ACTIONS(7387),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHacs] = ACTIONS(7387),
    [anon_sym_BSLASHAcs] = ACTIONS(7387),
    [anon_sym_BSLASHacsp] = ACTIONS(7387),
    [anon_sym_BSLASHAcsp] = ACTIONS(7387),
    [anon_sym_BSLASHacl] = ACTIONS(7387),
    [anon_sym_BSLASHAcl] = ACTIONS(7387),
    [anon_sym_BSLASHaclp] = ACTIONS(7387),
    [anon_sym_BSLASHAclp] = ACTIONS(7387),
    [anon_sym_BSLASHacf] = ACTIONS(7387),
    [anon_sym_BSLASHAcf] = ACTIONS(7387),
    [anon_sym_BSLASHacfp] = ACTIONS(7387),
    [anon_sym_BSLASHAcfp] = ACTIONS(7387),
    [anon_sym_BSLASHac] = ACTIONS(7387),
    [anon_sym_BSLASHAc] = ACTIONS(7387),
    [anon_sym_BSLASHacp] = ACTIONS(7387),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7387),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7387),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7387),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7387),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7387),
    [anon_sym_BSLASHcolor] = ACTIONS(7387),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7387),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7387),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7387),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7387),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7387),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7387),
    [anon_sym_BSLASHurl] = ACTIONS(7387),
    [anon_sym_BSLASHhref] = ACTIONS(7387),
  },
  [1987] = {
    [sym_command_name] = ACTIONS(7391),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7391),
    [anon_sym_LBRACK] = ACTIONS(7393),
    [anon_sym_RBRACK] = ACTIONS(7393),
    [anon_sym_COMMA] = ACTIONS(7393),
    [anon_sym_EQ] = ACTIONS(7393),
    [anon_sym_LPAREN] = ACTIONS(7393),
    [anon_sym_RPAREN] = ACTIONS(7393),
    [anon_sym_LBRACE] = ACTIONS(7393),
    [anon_sym_RBRACE] = ACTIONS(7393),
    [sym_word] = ACTIONS(7391),
    [sym_placeholder] = ACTIONS(7393),
    [sym_delimiter] = ACTIONS(7393),
    [anon_sym_PLUS] = ACTIONS(7393),
    [anon_sym_DASH] = ACTIONS(7393),
    [anon_sym_STAR] = ACTIONS(7393),
    [anon_sym_SLASH] = ACTIONS(7393),
    [anon_sym_LT] = ACTIONS(7391),
    [anon_sym_GT] = ACTIONS(7391),
    [anon_sym_BANG] = ACTIONS(7391),
    [anon_sym_PIPE] = ACTIONS(7391),
    [anon_sym_COLON] = ACTIONS(7391),
    [anon_sym_SQUOTE] = ACTIONS(7391),
    [anon_sym__] = ACTIONS(7393),
    [anon_sym_CARET] = ACTIONS(7393),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7393),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7393),
    [anon_sym_DOLLAR] = ACTIONS(7391),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7393),
    [anon_sym_BSLASHleft] = ACTIONS(7391),
    [anon_sym_BSLASHbigl] = ACTIONS(7391),
    [anon_sym_BSLASHBigl] = ACTIONS(7391),
    [anon_sym_BSLASHbiggl] = ACTIONS(7391),
    [anon_sym_BSLASHBiggl] = ACTIONS(7391),
    [anon_sym_BSLASHtext] = ACTIONS(7391),
    [anon_sym_BSLASHintertext] = ACTIONS(7391),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7391),
    [anon_sym_BSLASHtitle] = ACTIONS(7391),
    [anon_sym_BSLASHauthor] = ACTIONS(7391),
    [anon_sym_BSLASHusepackage] = ACTIONS(7391),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7391),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7391),
    [anon_sym_BSLASHinclude] = ACTIONS(7391),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7391),
    [anon_sym_BSLASHinput] = ACTIONS(7391),
    [anon_sym_BSLASHsubfile] = ACTIONS(7391),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7391),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7391),
    [anon_sym_BSLASHbibliography] = ACTIONS(7391),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7391),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7391),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7391),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7391),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7391),
    [anon_sym_BSLASHimport] = ACTIONS(7391),
    [anon_sym_BSLASHsubimport] = ACTIONS(7391),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7391),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7391),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7391),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7391),
    [anon_sym_BSLASHcaption] = ACTIONS(7391),
    [anon_sym_BSLASHcite] = ACTIONS(7391),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCite] = ACTIONS(7391),
    [anon_sym_BSLASHnocite] = ACTIONS(7391),
    [anon_sym_BSLASHcitet] = ACTIONS(7391),
    [anon_sym_BSLASHcitep] = ACTIONS(7391),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteA] = ACTIONS(7391),
    [anon_sym_BSLASHciteR] = ACTIONS(7391),
    [anon_sym_BSLASHciteS] = ACTIONS(7391),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7391),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7391),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7391),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7391),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteyear] = ACTIONS(7391),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitedate] = ACTIONS(7391),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteurl] = ACTIONS(7391),
    [anon_sym_BSLASHfullcite] = ACTIONS(7391),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7391),
    [anon_sym_BSLASHcitealt] = ACTIONS(7391),
    [anon_sym_BSLASHcitealp] = ACTIONS(7391),
    [anon_sym_BSLASHcitetext] = ACTIONS(7391),
    [anon_sym_BSLASHparencite] = ACTIONS(7391),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHParencite] = ACTIONS(7391),
    [anon_sym_BSLASHfootcite] = ACTIONS(7391),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7391),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7391),
    [anon_sym_BSLASHtextcite] = ACTIONS(7391),
    [anon_sym_BSLASHTextcite] = ACTIONS(7391),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7391),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7391),
    [anon_sym_BSLASHsupercite] = ACTIONS(7391),
    [anon_sym_BSLASHautocite] = ACTIONS(7391),
    [anon_sym_BSLASHAutocite] = ACTIONS(7391),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHVolcite] = ACTIONS(7391),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHavolcite] = ACTIONS(7391),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHNotecite] = ACTIONS(7391),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHlabel] = ACTIONS(7391),
    [anon_sym_BSLASHref] = ACTIONS(7391),
    [anon_sym_BSLASHeqref] = ACTIONS(7391),
    [anon_sym_BSLASHvref] = ACTIONS(7391),
    [anon_sym_BSLASHVref] = ACTIONS(7391),
    [anon_sym_BSLASHautoref] = ACTIONS(7391),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHpageref] = ACTIONS(7391),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHautopageref] = ACTIONS(7391),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcref] = ACTIONS(7391),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCref] = ACTIONS(7391),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcpageref] = ACTIONS(7391),
    [anon_sym_BSLASHCpageref] = ACTIONS(7391),
    [anon_sym_BSLASHnamecref] = ACTIONS(7391),
    [anon_sym_BSLASHnameCref] = ACTIONS(7391),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7391),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7391),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7391),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7391),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7391),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7391),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7391),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7391),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7391),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7391),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7391),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHdef] = ACTIONS(7391),
    [anon_sym_BSLASHgdef] = ACTIONS(7391),
    [anon_sym_BSLASHedef] = ACTIONS(7391),
    [anon_sym_BSLASHxdef] = ACTIONS(7391),
    [anon_sym_BSLASHlet] = ACTIONS(7391),
    [anon_sym_BSLASHglet] = ACTIONS(7391),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7391),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7391),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7391),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7391),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7391),
    [anon_sym_BSLASHgls] = ACTIONS(7391),
    [anon_sym_BSLASHGls] = ACTIONS(7391),
    [anon_sym_BSLASHGLS] = ACTIONS(7391),
    [anon_sym_BSLASHglspl] = ACTIONS(7391),
    [anon_sym_BSLASHGlspl] = ACTIONS(7391),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7391),
    [anon_sym_BSLASHglslink] = ACTIONS(7391),
    [anon_sym_BSLASHglstext] = ACTIONS(7391),
    [anon_sym_BSLASHGlstext] = ACTIONS(7391),
    [anon_sym_BSLASHGLStext] = ACTIONS(7391),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7391),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7391),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7391),
    [anon_sym_BSLASHglsplural] = ACTIONS(7391),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7391),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7391),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHglsname] = ACTIONS(7391),
    [anon_sym_BSLASHGlsname] = ACTIONS(7391),
    [anon_sym_BSLASHGLSname] = ACTIONS(7391),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7391),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7391),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7391),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7391),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7391),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7391),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7391),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7391),
    [anon_sym_BSLASHacrshort] = ACTIONS(7391),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7391),
    [anon_sym_BSLASHACRshort] = ACTIONS(7391),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHacrlong] = ACTIONS(7391),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7391),
    [anon_sym_BSLASHACRlong] = ACTIONS(7391),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHacrfull] = ACTIONS(7391),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7391),
    [anon_sym_BSLASHACRfull] = ACTIONS(7391),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHacs] = ACTIONS(7391),
    [anon_sym_BSLASHAcs] = ACTIONS(7391),
    [anon_sym_BSLASHacsp] = ACTIONS(7391),
    [anon_sym_BSLASHAcsp] = ACTIONS(7391),
    [anon_sym_BSLASHacl] = ACTIONS(7391),
    [anon_sym_BSLASHAcl] = ACTIONS(7391),
    [anon_sym_BSLASHaclp] = ACTIONS(7391),
    [anon_sym_BSLASHAclp] = ACTIONS(7391),
    [anon_sym_BSLASHacf] = ACTIONS(7391),
    [anon_sym_BSLASHAcf] = ACTIONS(7391),
    [anon_sym_BSLASHacfp] = ACTIONS(7391),
    [anon_sym_BSLASHAcfp] = ACTIONS(7391),
    [anon_sym_BSLASHac] = ACTIONS(7391),
    [anon_sym_BSLASHAc] = ACTIONS(7391),
    [anon_sym_BSLASHacp] = ACTIONS(7391),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7391),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7391),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7391),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7391),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7391),
    [anon_sym_BSLASHcolor] = ACTIONS(7391),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7391),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7391),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7391),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7391),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7391),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7391),
    [anon_sym_BSLASHurl] = ACTIONS(7391),
    [anon_sym_BSLASHhref] = ACTIONS(7391),
  },
  [1988] = {
    [sym_command_name] = ACTIONS(7395),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7395),
    [anon_sym_LBRACK] = ACTIONS(7397),
    [anon_sym_RBRACK] = ACTIONS(7397),
    [anon_sym_COMMA] = ACTIONS(7397),
    [anon_sym_EQ] = ACTIONS(7397),
    [anon_sym_LPAREN] = ACTIONS(7397),
    [anon_sym_RPAREN] = ACTIONS(7397),
    [anon_sym_LBRACE] = ACTIONS(7397),
    [anon_sym_RBRACE] = ACTIONS(7397),
    [sym_word] = ACTIONS(7395),
    [sym_placeholder] = ACTIONS(7397),
    [sym_delimiter] = ACTIONS(7397),
    [anon_sym_PLUS] = ACTIONS(7397),
    [anon_sym_DASH] = ACTIONS(7397),
    [anon_sym_STAR] = ACTIONS(7397),
    [anon_sym_SLASH] = ACTIONS(7397),
    [anon_sym_LT] = ACTIONS(7395),
    [anon_sym_GT] = ACTIONS(7395),
    [anon_sym_BANG] = ACTIONS(7395),
    [anon_sym_PIPE] = ACTIONS(7395),
    [anon_sym_COLON] = ACTIONS(7395),
    [anon_sym_SQUOTE] = ACTIONS(7395),
    [anon_sym__] = ACTIONS(7397),
    [anon_sym_CARET] = ACTIONS(7397),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7397),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7397),
    [anon_sym_DOLLAR] = ACTIONS(7395),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7397),
    [anon_sym_BSLASHleft] = ACTIONS(7395),
    [anon_sym_BSLASHbigl] = ACTIONS(7395),
    [anon_sym_BSLASHBigl] = ACTIONS(7395),
    [anon_sym_BSLASHbiggl] = ACTIONS(7395),
    [anon_sym_BSLASHBiggl] = ACTIONS(7395),
    [anon_sym_BSLASHtext] = ACTIONS(7395),
    [anon_sym_BSLASHintertext] = ACTIONS(7395),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7395),
    [anon_sym_BSLASHtitle] = ACTIONS(7395),
    [anon_sym_BSLASHauthor] = ACTIONS(7395),
    [anon_sym_BSLASHusepackage] = ACTIONS(7395),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7395),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7395),
    [anon_sym_BSLASHinclude] = ACTIONS(7395),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7395),
    [anon_sym_BSLASHinput] = ACTIONS(7395),
    [anon_sym_BSLASHsubfile] = ACTIONS(7395),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7395),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7395),
    [anon_sym_BSLASHbibliography] = ACTIONS(7395),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7395),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7395),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7395),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7395),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7395),
    [anon_sym_BSLASHimport] = ACTIONS(7395),
    [anon_sym_BSLASHsubimport] = ACTIONS(7395),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7395),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7395),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7395),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7395),
    [anon_sym_BSLASHcaption] = ACTIONS(7395),
    [anon_sym_BSLASHcite] = ACTIONS(7395),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCite] = ACTIONS(7395),
    [anon_sym_BSLASHnocite] = ACTIONS(7395),
    [anon_sym_BSLASHcitet] = ACTIONS(7395),
    [anon_sym_BSLASHcitep] = ACTIONS(7395),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteA] = ACTIONS(7395),
    [anon_sym_BSLASHciteR] = ACTIONS(7395),
    [anon_sym_BSLASHciteS] = ACTIONS(7395),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7395),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7395),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7395),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7395),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteyear] = ACTIONS(7395),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitedate] = ACTIONS(7395),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteurl] = ACTIONS(7395),
    [anon_sym_BSLASHfullcite] = ACTIONS(7395),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7395),
    [anon_sym_BSLASHcitealt] = ACTIONS(7395),
    [anon_sym_BSLASHcitealp] = ACTIONS(7395),
    [anon_sym_BSLASHcitetext] = ACTIONS(7395),
    [anon_sym_BSLASHparencite] = ACTIONS(7395),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHParencite] = ACTIONS(7395),
    [anon_sym_BSLASHfootcite] = ACTIONS(7395),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7395),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7395),
    [anon_sym_BSLASHtextcite] = ACTIONS(7395),
    [anon_sym_BSLASHTextcite] = ACTIONS(7395),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7395),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7395),
    [anon_sym_BSLASHsupercite] = ACTIONS(7395),
    [anon_sym_BSLASHautocite] = ACTIONS(7395),
    [anon_sym_BSLASHAutocite] = ACTIONS(7395),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHVolcite] = ACTIONS(7395),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHavolcite] = ACTIONS(7395),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHNotecite] = ACTIONS(7395),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHlabel] = ACTIONS(7395),
    [anon_sym_BSLASHref] = ACTIONS(7395),
    [anon_sym_BSLASHeqref] = ACTIONS(7395),
    [anon_sym_BSLASHvref] = ACTIONS(7395),
    [anon_sym_BSLASHVref] = ACTIONS(7395),
    [anon_sym_BSLASHautoref] = ACTIONS(7395),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHpageref] = ACTIONS(7395),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHautopageref] = ACTIONS(7395),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcref] = ACTIONS(7395),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCref] = ACTIONS(7395),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcpageref] = ACTIONS(7395),
    [anon_sym_BSLASHCpageref] = ACTIONS(7395),
    [anon_sym_BSLASHnamecref] = ACTIONS(7395),
    [anon_sym_BSLASHnameCref] = ACTIONS(7395),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7395),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7395),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7395),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7395),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7395),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7395),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7395),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7395),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7395),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7395),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7395),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHdef] = ACTIONS(7395),
    [anon_sym_BSLASHgdef] = ACTIONS(7395),
    [anon_sym_BSLASHedef] = ACTIONS(7395),
    [anon_sym_BSLASHxdef] = ACTIONS(7395),
    [anon_sym_BSLASHlet] = ACTIONS(7395),
    [anon_sym_BSLASHglet] = ACTIONS(7395),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7395),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7395),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7395),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7395),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7395),
    [anon_sym_BSLASHgls] = ACTIONS(7395),
    [anon_sym_BSLASHGls] = ACTIONS(7395),
    [anon_sym_BSLASHGLS] = ACTIONS(7395),
    [anon_sym_BSLASHglspl] = ACTIONS(7395),
    [anon_sym_BSLASHGlspl] = ACTIONS(7395),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7395),
    [anon_sym_BSLASHglslink] = ACTIONS(7395),
    [anon_sym_BSLASHglstext] = ACTIONS(7395),
    [anon_sym_BSLASHGlstext] = ACTIONS(7395),
    [anon_sym_BSLASHGLStext] = ACTIONS(7395),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7395),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7395),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7395),
    [anon_sym_BSLASHglsplural] = ACTIONS(7395),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7395),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7395),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHglsname] = ACTIONS(7395),
    [anon_sym_BSLASHGlsname] = ACTIONS(7395),
    [anon_sym_BSLASHGLSname] = ACTIONS(7395),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7395),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7395),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7395),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7395),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7395),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7395),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7395),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7395),
    [anon_sym_BSLASHacrshort] = ACTIONS(7395),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7395),
    [anon_sym_BSLASHACRshort] = ACTIONS(7395),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHacrlong] = ACTIONS(7395),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7395),
    [anon_sym_BSLASHACRlong] = ACTIONS(7395),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHacrfull] = ACTIONS(7395),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7395),
    [anon_sym_BSLASHACRfull] = ACTIONS(7395),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHacs] = ACTIONS(7395),
    [anon_sym_BSLASHAcs] = ACTIONS(7395),
    [anon_sym_BSLASHacsp] = ACTIONS(7395),
    [anon_sym_BSLASHAcsp] = ACTIONS(7395),
    [anon_sym_BSLASHacl] = ACTIONS(7395),
    [anon_sym_BSLASHAcl] = ACTIONS(7395),
    [anon_sym_BSLASHaclp] = ACTIONS(7395),
    [anon_sym_BSLASHAclp] = ACTIONS(7395),
    [anon_sym_BSLASHacf] = ACTIONS(7395),
    [anon_sym_BSLASHAcf] = ACTIONS(7395),
    [anon_sym_BSLASHacfp] = ACTIONS(7395),
    [anon_sym_BSLASHAcfp] = ACTIONS(7395),
    [anon_sym_BSLASHac] = ACTIONS(7395),
    [anon_sym_BSLASHAc] = ACTIONS(7395),
    [anon_sym_BSLASHacp] = ACTIONS(7395),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7395),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7395),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7395),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7395),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7395),
    [anon_sym_BSLASHcolor] = ACTIONS(7395),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7395),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7395),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7395),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7395),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7395),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7395),
    [anon_sym_BSLASHurl] = ACTIONS(7395),
    [anon_sym_BSLASHhref] = ACTIONS(7395),
  },
  [1989] = {
    [sym_command_name] = ACTIONS(7399),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7399),
    [anon_sym_LBRACK] = ACTIONS(7401),
    [anon_sym_RBRACK] = ACTIONS(7401),
    [anon_sym_COMMA] = ACTIONS(7401),
    [anon_sym_EQ] = ACTIONS(7401),
    [anon_sym_LPAREN] = ACTIONS(7401),
    [anon_sym_RPAREN] = ACTIONS(7401),
    [anon_sym_LBRACE] = ACTIONS(7401),
    [anon_sym_RBRACE] = ACTIONS(7401),
    [sym_word] = ACTIONS(7399),
    [sym_placeholder] = ACTIONS(7401),
    [sym_delimiter] = ACTIONS(7401),
    [anon_sym_PLUS] = ACTIONS(7401),
    [anon_sym_DASH] = ACTIONS(7401),
    [anon_sym_STAR] = ACTIONS(7401),
    [anon_sym_SLASH] = ACTIONS(7401),
    [anon_sym_LT] = ACTIONS(7399),
    [anon_sym_GT] = ACTIONS(7399),
    [anon_sym_BANG] = ACTIONS(7399),
    [anon_sym_PIPE] = ACTIONS(7399),
    [anon_sym_COLON] = ACTIONS(7399),
    [anon_sym_SQUOTE] = ACTIONS(7399),
    [anon_sym__] = ACTIONS(7401),
    [anon_sym_CARET] = ACTIONS(7401),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7401),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7401),
    [anon_sym_DOLLAR] = ACTIONS(7399),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7401),
    [anon_sym_BSLASHleft] = ACTIONS(7399),
    [anon_sym_BSLASHbigl] = ACTIONS(7399),
    [anon_sym_BSLASHBigl] = ACTIONS(7399),
    [anon_sym_BSLASHbiggl] = ACTIONS(7399),
    [anon_sym_BSLASHBiggl] = ACTIONS(7399),
    [anon_sym_BSLASHtext] = ACTIONS(7399),
    [anon_sym_BSLASHintertext] = ACTIONS(7399),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7399),
    [anon_sym_BSLASHtitle] = ACTIONS(7399),
    [anon_sym_BSLASHauthor] = ACTIONS(7399),
    [anon_sym_BSLASHusepackage] = ACTIONS(7399),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7399),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7399),
    [anon_sym_BSLASHinclude] = ACTIONS(7399),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7399),
    [anon_sym_BSLASHinput] = ACTIONS(7399),
    [anon_sym_BSLASHsubfile] = ACTIONS(7399),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7399),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7399),
    [anon_sym_BSLASHbibliography] = ACTIONS(7399),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7399),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7399),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7399),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7399),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7399),
    [anon_sym_BSLASHimport] = ACTIONS(7399),
    [anon_sym_BSLASHsubimport] = ACTIONS(7399),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7399),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7399),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7399),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7399),
    [anon_sym_BSLASHcaption] = ACTIONS(7399),
    [anon_sym_BSLASHcite] = ACTIONS(7399),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCite] = ACTIONS(7399),
    [anon_sym_BSLASHnocite] = ACTIONS(7399),
    [anon_sym_BSLASHcitet] = ACTIONS(7399),
    [anon_sym_BSLASHcitep] = ACTIONS(7399),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteA] = ACTIONS(7399),
    [anon_sym_BSLASHciteR] = ACTIONS(7399),
    [anon_sym_BSLASHciteS] = ACTIONS(7399),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7399),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7399),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7399),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7399),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteyear] = ACTIONS(7399),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitedate] = ACTIONS(7399),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteurl] = ACTIONS(7399),
    [anon_sym_BSLASHfullcite] = ACTIONS(7399),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7399),
    [anon_sym_BSLASHcitealt] = ACTIONS(7399),
    [anon_sym_BSLASHcitealp] = ACTIONS(7399),
    [anon_sym_BSLASHcitetext] = ACTIONS(7399),
    [anon_sym_BSLASHparencite] = ACTIONS(7399),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHParencite] = ACTIONS(7399),
    [anon_sym_BSLASHfootcite] = ACTIONS(7399),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7399),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7399),
    [anon_sym_BSLASHtextcite] = ACTIONS(7399),
    [anon_sym_BSLASHTextcite] = ACTIONS(7399),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7399),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7399),
    [anon_sym_BSLASHsupercite] = ACTIONS(7399),
    [anon_sym_BSLASHautocite] = ACTIONS(7399),
    [anon_sym_BSLASHAutocite] = ACTIONS(7399),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHVolcite] = ACTIONS(7399),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHavolcite] = ACTIONS(7399),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHNotecite] = ACTIONS(7399),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHlabel] = ACTIONS(7399),
    [anon_sym_BSLASHref] = ACTIONS(7399),
    [anon_sym_BSLASHeqref] = ACTIONS(7399),
    [anon_sym_BSLASHvref] = ACTIONS(7399),
    [anon_sym_BSLASHVref] = ACTIONS(7399),
    [anon_sym_BSLASHautoref] = ACTIONS(7399),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHpageref] = ACTIONS(7399),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHautopageref] = ACTIONS(7399),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcref] = ACTIONS(7399),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCref] = ACTIONS(7399),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcpageref] = ACTIONS(7399),
    [anon_sym_BSLASHCpageref] = ACTIONS(7399),
    [anon_sym_BSLASHnamecref] = ACTIONS(7399),
    [anon_sym_BSLASHnameCref] = ACTIONS(7399),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7399),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7399),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7399),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7399),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7399),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7399),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7399),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7399),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7399),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7399),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7399),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHdef] = ACTIONS(7399),
    [anon_sym_BSLASHgdef] = ACTIONS(7399),
    [anon_sym_BSLASHedef] = ACTIONS(7399),
    [anon_sym_BSLASHxdef] = ACTIONS(7399),
    [anon_sym_BSLASHlet] = ACTIONS(7399),
    [anon_sym_BSLASHglet] = ACTIONS(7399),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7399),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7399),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7399),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7399),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7399),
    [anon_sym_BSLASHgls] = ACTIONS(7399),
    [anon_sym_BSLASHGls] = ACTIONS(7399),
    [anon_sym_BSLASHGLS] = ACTIONS(7399),
    [anon_sym_BSLASHglspl] = ACTIONS(7399),
    [anon_sym_BSLASHGlspl] = ACTIONS(7399),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7399),
    [anon_sym_BSLASHglslink] = ACTIONS(7399),
    [anon_sym_BSLASHglstext] = ACTIONS(7399),
    [anon_sym_BSLASHGlstext] = ACTIONS(7399),
    [anon_sym_BSLASHGLStext] = ACTIONS(7399),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7399),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7399),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7399),
    [anon_sym_BSLASHglsplural] = ACTIONS(7399),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7399),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7399),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHglsname] = ACTIONS(7399),
    [anon_sym_BSLASHGlsname] = ACTIONS(7399),
    [anon_sym_BSLASHGLSname] = ACTIONS(7399),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7399),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7399),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7399),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7399),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7399),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7399),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7399),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7399),
    [anon_sym_BSLASHacrshort] = ACTIONS(7399),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7399),
    [anon_sym_BSLASHACRshort] = ACTIONS(7399),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHacrlong] = ACTIONS(7399),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7399),
    [anon_sym_BSLASHACRlong] = ACTIONS(7399),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHacrfull] = ACTIONS(7399),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7399),
    [anon_sym_BSLASHACRfull] = ACTIONS(7399),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHacs] = ACTIONS(7399),
    [anon_sym_BSLASHAcs] = ACTIONS(7399),
    [anon_sym_BSLASHacsp] = ACTIONS(7399),
    [anon_sym_BSLASHAcsp] = ACTIONS(7399),
    [anon_sym_BSLASHacl] = ACTIONS(7399),
    [anon_sym_BSLASHAcl] = ACTIONS(7399),
    [anon_sym_BSLASHaclp] = ACTIONS(7399),
    [anon_sym_BSLASHAclp] = ACTIONS(7399),
    [anon_sym_BSLASHacf] = ACTIONS(7399),
    [anon_sym_BSLASHAcf] = ACTIONS(7399),
    [anon_sym_BSLASHacfp] = ACTIONS(7399),
    [anon_sym_BSLASHAcfp] = ACTIONS(7399),
    [anon_sym_BSLASHac] = ACTIONS(7399),
    [anon_sym_BSLASHAc] = ACTIONS(7399),
    [anon_sym_BSLASHacp] = ACTIONS(7399),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7399),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7399),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7399),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7399),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7399),
    [anon_sym_BSLASHcolor] = ACTIONS(7399),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7399),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7399),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7399),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7399),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7399),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7399),
    [anon_sym_BSLASHurl] = ACTIONS(7399),
    [anon_sym_BSLASHhref] = ACTIONS(7399),
  },
  [1990] = {
    [sym_command_name] = ACTIONS(7403),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7403),
    [anon_sym_LBRACK] = ACTIONS(7405),
    [anon_sym_RBRACK] = ACTIONS(7405),
    [anon_sym_COMMA] = ACTIONS(7405),
    [anon_sym_EQ] = ACTIONS(7405),
    [anon_sym_LPAREN] = ACTIONS(7405),
    [anon_sym_RPAREN] = ACTIONS(7405),
    [anon_sym_LBRACE] = ACTIONS(7405),
    [anon_sym_RBRACE] = ACTIONS(7405),
    [sym_word] = ACTIONS(7403),
    [sym_placeholder] = ACTIONS(7405),
    [sym_delimiter] = ACTIONS(7405),
    [anon_sym_PLUS] = ACTIONS(7405),
    [anon_sym_DASH] = ACTIONS(7405),
    [anon_sym_STAR] = ACTIONS(7405),
    [anon_sym_SLASH] = ACTIONS(7405),
    [anon_sym_LT] = ACTIONS(7403),
    [anon_sym_GT] = ACTIONS(7403),
    [anon_sym_BANG] = ACTIONS(7403),
    [anon_sym_PIPE] = ACTIONS(7403),
    [anon_sym_COLON] = ACTIONS(7403),
    [anon_sym_SQUOTE] = ACTIONS(7403),
    [anon_sym__] = ACTIONS(7405),
    [anon_sym_CARET] = ACTIONS(7405),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7405),
    [anon_sym_DOLLAR] = ACTIONS(7403),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7405),
    [anon_sym_BSLASHleft] = ACTIONS(7403),
    [anon_sym_BSLASHbigl] = ACTIONS(7403),
    [anon_sym_BSLASHBigl] = ACTIONS(7403),
    [anon_sym_BSLASHbiggl] = ACTIONS(7403),
    [anon_sym_BSLASHBiggl] = ACTIONS(7403),
    [anon_sym_BSLASHtext] = ACTIONS(7403),
    [anon_sym_BSLASHintertext] = ACTIONS(7403),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7403),
    [anon_sym_BSLASHtitle] = ACTIONS(7403),
    [anon_sym_BSLASHauthor] = ACTIONS(7403),
    [anon_sym_BSLASHusepackage] = ACTIONS(7403),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7403),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7403),
    [anon_sym_BSLASHinclude] = ACTIONS(7403),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7403),
    [anon_sym_BSLASHinput] = ACTIONS(7403),
    [anon_sym_BSLASHsubfile] = ACTIONS(7403),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7403),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7403),
    [anon_sym_BSLASHbibliography] = ACTIONS(7403),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7403),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7403),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7403),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7403),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7403),
    [anon_sym_BSLASHimport] = ACTIONS(7403),
    [anon_sym_BSLASHsubimport] = ACTIONS(7403),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7403),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7403),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7403),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7403),
    [anon_sym_BSLASHcaption] = ACTIONS(7403),
    [anon_sym_BSLASHcite] = ACTIONS(7403),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCite] = ACTIONS(7403),
    [anon_sym_BSLASHnocite] = ACTIONS(7403),
    [anon_sym_BSLASHcitet] = ACTIONS(7403),
    [anon_sym_BSLASHcitep] = ACTIONS(7403),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteA] = ACTIONS(7403),
    [anon_sym_BSLASHciteR] = ACTIONS(7403),
    [anon_sym_BSLASHciteS] = ACTIONS(7403),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7403),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7403),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7403),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7403),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteyear] = ACTIONS(7403),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitedate] = ACTIONS(7403),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteurl] = ACTIONS(7403),
    [anon_sym_BSLASHfullcite] = ACTIONS(7403),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7403),
    [anon_sym_BSLASHcitealt] = ACTIONS(7403),
    [anon_sym_BSLASHcitealp] = ACTIONS(7403),
    [anon_sym_BSLASHcitetext] = ACTIONS(7403),
    [anon_sym_BSLASHparencite] = ACTIONS(7403),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHParencite] = ACTIONS(7403),
    [anon_sym_BSLASHfootcite] = ACTIONS(7403),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7403),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7403),
    [anon_sym_BSLASHtextcite] = ACTIONS(7403),
    [anon_sym_BSLASHTextcite] = ACTIONS(7403),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7403),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7403),
    [anon_sym_BSLASHsupercite] = ACTIONS(7403),
    [anon_sym_BSLASHautocite] = ACTIONS(7403),
    [anon_sym_BSLASHAutocite] = ACTIONS(7403),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHVolcite] = ACTIONS(7403),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHavolcite] = ACTIONS(7403),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHNotecite] = ACTIONS(7403),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHlabel] = ACTIONS(7403),
    [anon_sym_BSLASHref] = ACTIONS(7403),
    [anon_sym_BSLASHeqref] = ACTIONS(7403),
    [anon_sym_BSLASHvref] = ACTIONS(7403),
    [anon_sym_BSLASHVref] = ACTIONS(7403),
    [anon_sym_BSLASHautoref] = ACTIONS(7403),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHpageref] = ACTIONS(7403),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHautopageref] = ACTIONS(7403),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcref] = ACTIONS(7403),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCref] = ACTIONS(7403),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcpageref] = ACTIONS(7403),
    [anon_sym_BSLASHCpageref] = ACTIONS(7403),
    [anon_sym_BSLASHnamecref] = ACTIONS(7403),
    [anon_sym_BSLASHnameCref] = ACTIONS(7403),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7403),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7403),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7403),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7403),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7403),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7403),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7403),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7403),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7403),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7403),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7403),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHdef] = ACTIONS(7403),
    [anon_sym_BSLASHgdef] = ACTIONS(7403),
    [anon_sym_BSLASHedef] = ACTIONS(7403),
    [anon_sym_BSLASHxdef] = ACTIONS(7403),
    [anon_sym_BSLASHlet] = ACTIONS(7403),
    [anon_sym_BSLASHglet] = ACTIONS(7403),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7403),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7403),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7403),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7403),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7403),
    [anon_sym_BSLASHgls] = ACTIONS(7403),
    [anon_sym_BSLASHGls] = ACTIONS(7403),
    [anon_sym_BSLASHGLS] = ACTIONS(7403),
    [anon_sym_BSLASHglspl] = ACTIONS(7403),
    [anon_sym_BSLASHGlspl] = ACTIONS(7403),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7403),
    [anon_sym_BSLASHglslink] = ACTIONS(7403),
    [anon_sym_BSLASHglstext] = ACTIONS(7403),
    [anon_sym_BSLASHGlstext] = ACTIONS(7403),
    [anon_sym_BSLASHGLStext] = ACTIONS(7403),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7403),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7403),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7403),
    [anon_sym_BSLASHglsplural] = ACTIONS(7403),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7403),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7403),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHglsname] = ACTIONS(7403),
    [anon_sym_BSLASHGlsname] = ACTIONS(7403),
    [anon_sym_BSLASHGLSname] = ACTIONS(7403),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7403),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7403),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7403),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7403),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7403),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7403),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7403),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7403),
    [anon_sym_BSLASHacrshort] = ACTIONS(7403),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7403),
    [anon_sym_BSLASHACRshort] = ACTIONS(7403),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHacrlong] = ACTIONS(7403),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7403),
    [anon_sym_BSLASHACRlong] = ACTIONS(7403),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHacrfull] = ACTIONS(7403),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7403),
    [anon_sym_BSLASHACRfull] = ACTIONS(7403),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHacs] = ACTIONS(7403),
    [anon_sym_BSLASHAcs] = ACTIONS(7403),
    [anon_sym_BSLASHacsp] = ACTIONS(7403),
    [anon_sym_BSLASHAcsp] = ACTIONS(7403),
    [anon_sym_BSLASHacl] = ACTIONS(7403),
    [anon_sym_BSLASHAcl] = ACTIONS(7403),
    [anon_sym_BSLASHaclp] = ACTIONS(7403),
    [anon_sym_BSLASHAclp] = ACTIONS(7403),
    [anon_sym_BSLASHacf] = ACTIONS(7403),
    [anon_sym_BSLASHAcf] = ACTIONS(7403),
    [anon_sym_BSLASHacfp] = ACTIONS(7403),
    [anon_sym_BSLASHAcfp] = ACTIONS(7403),
    [anon_sym_BSLASHac] = ACTIONS(7403),
    [anon_sym_BSLASHAc] = ACTIONS(7403),
    [anon_sym_BSLASHacp] = ACTIONS(7403),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7403),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7403),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7403),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7403),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7403),
    [anon_sym_BSLASHcolor] = ACTIONS(7403),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7403),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7403),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7403),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7403),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7403),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7403),
    [anon_sym_BSLASHurl] = ACTIONS(7403),
    [anon_sym_BSLASHhref] = ACTIONS(7403),
  },
  [1991] = {
    [sym_command_name] = ACTIONS(7407),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7407),
    [anon_sym_LBRACK] = ACTIONS(7409),
    [anon_sym_RBRACK] = ACTIONS(7409),
    [anon_sym_COMMA] = ACTIONS(7409),
    [anon_sym_EQ] = ACTIONS(7409),
    [anon_sym_LPAREN] = ACTIONS(7409),
    [anon_sym_RPAREN] = ACTIONS(7409),
    [anon_sym_LBRACE] = ACTIONS(7409),
    [anon_sym_RBRACE] = ACTIONS(7409),
    [sym_word] = ACTIONS(7407),
    [sym_placeholder] = ACTIONS(7409),
    [sym_delimiter] = ACTIONS(7409),
    [anon_sym_PLUS] = ACTIONS(7409),
    [anon_sym_DASH] = ACTIONS(7409),
    [anon_sym_STAR] = ACTIONS(7409),
    [anon_sym_SLASH] = ACTIONS(7409),
    [anon_sym_LT] = ACTIONS(7407),
    [anon_sym_GT] = ACTIONS(7407),
    [anon_sym_BANG] = ACTIONS(7407),
    [anon_sym_PIPE] = ACTIONS(7407),
    [anon_sym_COLON] = ACTIONS(7407),
    [anon_sym_SQUOTE] = ACTIONS(7407),
    [anon_sym__] = ACTIONS(7409),
    [anon_sym_CARET] = ACTIONS(7409),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7409),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7409),
    [anon_sym_DOLLAR] = ACTIONS(7407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7409),
    [anon_sym_BSLASHleft] = ACTIONS(7407),
    [anon_sym_BSLASHbigl] = ACTIONS(7407),
    [anon_sym_BSLASHBigl] = ACTIONS(7407),
    [anon_sym_BSLASHbiggl] = ACTIONS(7407),
    [anon_sym_BSLASHBiggl] = ACTIONS(7407),
    [anon_sym_BSLASHtext] = ACTIONS(7407),
    [anon_sym_BSLASHintertext] = ACTIONS(7407),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7407),
    [anon_sym_BSLASHtitle] = ACTIONS(7407),
    [anon_sym_BSLASHauthor] = ACTIONS(7407),
    [anon_sym_BSLASHusepackage] = ACTIONS(7407),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7407),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7407),
    [anon_sym_BSLASHinclude] = ACTIONS(7407),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7407),
    [anon_sym_BSLASHinput] = ACTIONS(7407),
    [anon_sym_BSLASHsubfile] = ACTIONS(7407),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7407),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7407),
    [anon_sym_BSLASHbibliography] = ACTIONS(7407),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7407),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7407),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7407),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7407),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7407),
    [anon_sym_BSLASHimport] = ACTIONS(7407),
    [anon_sym_BSLASHsubimport] = ACTIONS(7407),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7407),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7407),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7407),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7407),
    [anon_sym_BSLASHcaption] = ACTIONS(7407),
    [anon_sym_BSLASHcite] = ACTIONS(7407),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCite] = ACTIONS(7407),
    [anon_sym_BSLASHnocite] = ACTIONS(7407),
    [anon_sym_BSLASHcitet] = ACTIONS(7407),
    [anon_sym_BSLASHcitep] = ACTIONS(7407),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteA] = ACTIONS(7407),
    [anon_sym_BSLASHciteR] = ACTIONS(7407),
    [anon_sym_BSLASHciteS] = ACTIONS(7407),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7407),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7407),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7407),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7407),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteyear] = ACTIONS(7407),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitedate] = ACTIONS(7407),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteurl] = ACTIONS(7407),
    [anon_sym_BSLASHfullcite] = ACTIONS(7407),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7407),
    [anon_sym_BSLASHcitealt] = ACTIONS(7407),
    [anon_sym_BSLASHcitealp] = ACTIONS(7407),
    [anon_sym_BSLASHcitetext] = ACTIONS(7407),
    [anon_sym_BSLASHparencite] = ACTIONS(7407),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHParencite] = ACTIONS(7407),
    [anon_sym_BSLASHfootcite] = ACTIONS(7407),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7407),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7407),
    [anon_sym_BSLASHtextcite] = ACTIONS(7407),
    [anon_sym_BSLASHTextcite] = ACTIONS(7407),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7407),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7407),
    [anon_sym_BSLASHsupercite] = ACTIONS(7407),
    [anon_sym_BSLASHautocite] = ACTIONS(7407),
    [anon_sym_BSLASHAutocite] = ACTIONS(7407),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHVolcite] = ACTIONS(7407),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHavolcite] = ACTIONS(7407),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHNotecite] = ACTIONS(7407),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHlabel] = ACTIONS(7407),
    [anon_sym_BSLASHref] = ACTIONS(7407),
    [anon_sym_BSLASHeqref] = ACTIONS(7407),
    [anon_sym_BSLASHvref] = ACTIONS(7407),
    [anon_sym_BSLASHVref] = ACTIONS(7407),
    [anon_sym_BSLASHautoref] = ACTIONS(7407),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHpageref] = ACTIONS(7407),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHautopageref] = ACTIONS(7407),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcref] = ACTIONS(7407),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCref] = ACTIONS(7407),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcpageref] = ACTIONS(7407),
    [anon_sym_BSLASHCpageref] = ACTIONS(7407),
    [anon_sym_BSLASHnamecref] = ACTIONS(7407),
    [anon_sym_BSLASHnameCref] = ACTIONS(7407),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7407),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7407),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7407),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7407),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7407),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7407),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7407),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7407),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7407),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7407),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7407),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHdef] = ACTIONS(7407),
    [anon_sym_BSLASHgdef] = ACTIONS(7407),
    [anon_sym_BSLASHedef] = ACTIONS(7407),
    [anon_sym_BSLASHxdef] = ACTIONS(7407),
    [anon_sym_BSLASHlet] = ACTIONS(7407),
    [anon_sym_BSLASHglet] = ACTIONS(7407),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7407),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7407),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7407),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7407),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7407),
    [anon_sym_BSLASHgls] = ACTIONS(7407),
    [anon_sym_BSLASHGls] = ACTIONS(7407),
    [anon_sym_BSLASHGLS] = ACTIONS(7407),
    [anon_sym_BSLASHglspl] = ACTIONS(7407),
    [anon_sym_BSLASHGlspl] = ACTIONS(7407),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7407),
    [anon_sym_BSLASHglslink] = ACTIONS(7407),
    [anon_sym_BSLASHglstext] = ACTIONS(7407),
    [anon_sym_BSLASHGlstext] = ACTIONS(7407),
    [anon_sym_BSLASHGLStext] = ACTIONS(7407),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7407),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7407),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7407),
    [anon_sym_BSLASHglsplural] = ACTIONS(7407),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7407),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7407),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHglsname] = ACTIONS(7407),
    [anon_sym_BSLASHGlsname] = ACTIONS(7407),
    [anon_sym_BSLASHGLSname] = ACTIONS(7407),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7407),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7407),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7407),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7407),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7407),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7407),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7407),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7407),
    [anon_sym_BSLASHacrshort] = ACTIONS(7407),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7407),
    [anon_sym_BSLASHACRshort] = ACTIONS(7407),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHacrlong] = ACTIONS(7407),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7407),
    [anon_sym_BSLASHACRlong] = ACTIONS(7407),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHacrfull] = ACTIONS(7407),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7407),
    [anon_sym_BSLASHACRfull] = ACTIONS(7407),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHacs] = ACTIONS(7407),
    [anon_sym_BSLASHAcs] = ACTIONS(7407),
    [anon_sym_BSLASHacsp] = ACTIONS(7407),
    [anon_sym_BSLASHAcsp] = ACTIONS(7407),
    [anon_sym_BSLASHacl] = ACTIONS(7407),
    [anon_sym_BSLASHAcl] = ACTIONS(7407),
    [anon_sym_BSLASHaclp] = ACTIONS(7407),
    [anon_sym_BSLASHAclp] = ACTIONS(7407),
    [anon_sym_BSLASHacf] = ACTIONS(7407),
    [anon_sym_BSLASHAcf] = ACTIONS(7407),
    [anon_sym_BSLASHacfp] = ACTIONS(7407),
    [anon_sym_BSLASHAcfp] = ACTIONS(7407),
    [anon_sym_BSLASHac] = ACTIONS(7407),
    [anon_sym_BSLASHAc] = ACTIONS(7407),
    [anon_sym_BSLASHacp] = ACTIONS(7407),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7407),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7407),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7407),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7407),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7407),
    [anon_sym_BSLASHcolor] = ACTIONS(7407),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7407),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7407),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7407),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7407),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7407),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7407),
    [anon_sym_BSLASHurl] = ACTIONS(7407),
    [anon_sym_BSLASHhref] = ACTIONS(7407),
  },
  [1992] = {
    [sym_command_name] = ACTIONS(7411),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7411),
    [anon_sym_LBRACK] = ACTIONS(7413),
    [anon_sym_RBRACK] = ACTIONS(7413),
    [anon_sym_COMMA] = ACTIONS(7413),
    [anon_sym_EQ] = ACTIONS(7413),
    [anon_sym_LPAREN] = ACTIONS(7413),
    [anon_sym_RPAREN] = ACTIONS(7413),
    [anon_sym_LBRACE] = ACTIONS(7413),
    [anon_sym_RBRACE] = ACTIONS(7413),
    [sym_word] = ACTIONS(7411),
    [sym_placeholder] = ACTIONS(7413),
    [sym_delimiter] = ACTIONS(7413),
    [anon_sym_PLUS] = ACTIONS(7413),
    [anon_sym_DASH] = ACTIONS(7413),
    [anon_sym_STAR] = ACTIONS(7413),
    [anon_sym_SLASH] = ACTIONS(7413),
    [anon_sym_LT] = ACTIONS(7411),
    [anon_sym_GT] = ACTIONS(7411),
    [anon_sym_BANG] = ACTIONS(7411),
    [anon_sym_PIPE] = ACTIONS(7411),
    [anon_sym_COLON] = ACTIONS(7411),
    [anon_sym_SQUOTE] = ACTIONS(7411),
    [anon_sym__] = ACTIONS(7413),
    [anon_sym_CARET] = ACTIONS(7413),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7413),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7413),
    [anon_sym_DOLLAR] = ACTIONS(7411),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7413),
    [anon_sym_BSLASHleft] = ACTIONS(7411),
    [anon_sym_BSLASHbigl] = ACTIONS(7411),
    [anon_sym_BSLASHBigl] = ACTIONS(7411),
    [anon_sym_BSLASHbiggl] = ACTIONS(7411),
    [anon_sym_BSLASHBiggl] = ACTIONS(7411),
    [anon_sym_BSLASHtext] = ACTIONS(7411),
    [anon_sym_BSLASHintertext] = ACTIONS(7411),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7411),
    [anon_sym_BSLASHtitle] = ACTIONS(7411),
    [anon_sym_BSLASHauthor] = ACTIONS(7411),
    [anon_sym_BSLASHusepackage] = ACTIONS(7411),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7411),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7411),
    [anon_sym_BSLASHinclude] = ACTIONS(7411),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7411),
    [anon_sym_BSLASHinput] = ACTIONS(7411),
    [anon_sym_BSLASHsubfile] = ACTIONS(7411),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7411),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7411),
    [anon_sym_BSLASHbibliography] = ACTIONS(7411),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7411),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7411),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7411),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7411),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7411),
    [anon_sym_BSLASHimport] = ACTIONS(7411),
    [anon_sym_BSLASHsubimport] = ACTIONS(7411),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7411),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7411),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7411),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7411),
    [anon_sym_BSLASHcaption] = ACTIONS(7411),
    [anon_sym_BSLASHcite] = ACTIONS(7411),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCite] = ACTIONS(7411),
    [anon_sym_BSLASHnocite] = ACTIONS(7411),
    [anon_sym_BSLASHcitet] = ACTIONS(7411),
    [anon_sym_BSLASHcitep] = ACTIONS(7411),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteA] = ACTIONS(7411),
    [anon_sym_BSLASHciteR] = ACTIONS(7411),
    [anon_sym_BSLASHciteS] = ACTIONS(7411),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7411),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7411),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7411),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7411),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteyear] = ACTIONS(7411),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitedate] = ACTIONS(7411),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteurl] = ACTIONS(7411),
    [anon_sym_BSLASHfullcite] = ACTIONS(7411),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7411),
    [anon_sym_BSLASHcitealt] = ACTIONS(7411),
    [anon_sym_BSLASHcitealp] = ACTIONS(7411),
    [anon_sym_BSLASHcitetext] = ACTIONS(7411),
    [anon_sym_BSLASHparencite] = ACTIONS(7411),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHParencite] = ACTIONS(7411),
    [anon_sym_BSLASHfootcite] = ACTIONS(7411),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7411),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7411),
    [anon_sym_BSLASHtextcite] = ACTIONS(7411),
    [anon_sym_BSLASHTextcite] = ACTIONS(7411),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7411),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7411),
    [anon_sym_BSLASHsupercite] = ACTIONS(7411),
    [anon_sym_BSLASHautocite] = ACTIONS(7411),
    [anon_sym_BSLASHAutocite] = ACTIONS(7411),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHVolcite] = ACTIONS(7411),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHavolcite] = ACTIONS(7411),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHNotecite] = ACTIONS(7411),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHlabel] = ACTIONS(7411),
    [anon_sym_BSLASHref] = ACTIONS(7411),
    [anon_sym_BSLASHeqref] = ACTIONS(7411),
    [anon_sym_BSLASHvref] = ACTIONS(7411),
    [anon_sym_BSLASHVref] = ACTIONS(7411),
    [anon_sym_BSLASHautoref] = ACTIONS(7411),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHpageref] = ACTIONS(7411),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHautopageref] = ACTIONS(7411),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcref] = ACTIONS(7411),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCref] = ACTIONS(7411),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcpageref] = ACTIONS(7411),
    [anon_sym_BSLASHCpageref] = ACTIONS(7411),
    [anon_sym_BSLASHnamecref] = ACTIONS(7411),
    [anon_sym_BSLASHnameCref] = ACTIONS(7411),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7411),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7411),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7411),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7411),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7411),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7411),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7411),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7411),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7411),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7411),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7411),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHdef] = ACTIONS(7411),
    [anon_sym_BSLASHgdef] = ACTIONS(7411),
    [anon_sym_BSLASHedef] = ACTIONS(7411),
    [anon_sym_BSLASHxdef] = ACTIONS(7411),
    [anon_sym_BSLASHlet] = ACTIONS(7411),
    [anon_sym_BSLASHglet] = ACTIONS(7411),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7411),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7411),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7411),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7411),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7411),
    [anon_sym_BSLASHgls] = ACTIONS(7411),
    [anon_sym_BSLASHGls] = ACTIONS(7411),
    [anon_sym_BSLASHGLS] = ACTIONS(7411),
    [anon_sym_BSLASHglspl] = ACTIONS(7411),
    [anon_sym_BSLASHGlspl] = ACTIONS(7411),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7411),
    [anon_sym_BSLASHglslink] = ACTIONS(7411),
    [anon_sym_BSLASHglstext] = ACTIONS(7411),
    [anon_sym_BSLASHGlstext] = ACTIONS(7411),
    [anon_sym_BSLASHGLStext] = ACTIONS(7411),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7411),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7411),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7411),
    [anon_sym_BSLASHglsplural] = ACTIONS(7411),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7411),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7411),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHglsname] = ACTIONS(7411),
    [anon_sym_BSLASHGlsname] = ACTIONS(7411),
    [anon_sym_BSLASHGLSname] = ACTIONS(7411),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7411),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7411),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7411),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7411),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7411),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7411),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7411),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7411),
    [anon_sym_BSLASHacrshort] = ACTIONS(7411),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7411),
    [anon_sym_BSLASHACRshort] = ACTIONS(7411),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHacrlong] = ACTIONS(7411),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7411),
    [anon_sym_BSLASHACRlong] = ACTIONS(7411),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHacrfull] = ACTIONS(7411),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7411),
    [anon_sym_BSLASHACRfull] = ACTIONS(7411),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHacs] = ACTIONS(7411),
    [anon_sym_BSLASHAcs] = ACTIONS(7411),
    [anon_sym_BSLASHacsp] = ACTIONS(7411),
    [anon_sym_BSLASHAcsp] = ACTIONS(7411),
    [anon_sym_BSLASHacl] = ACTIONS(7411),
    [anon_sym_BSLASHAcl] = ACTIONS(7411),
    [anon_sym_BSLASHaclp] = ACTIONS(7411),
    [anon_sym_BSLASHAclp] = ACTIONS(7411),
    [anon_sym_BSLASHacf] = ACTIONS(7411),
    [anon_sym_BSLASHAcf] = ACTIONS(7411),
    [anon_sym_BSLASHacfp] = ACTIONS(7411),
    [anon_sym_BSLASHAcfp] = ACTIONS(7411),
    [anon_sym_BSLASHac] = ACTIONS(7411),
    [anon_sym_BSLASHAc] = ACTIONS(7411),
    [anon_sym_BSLASHacp] = ACTIONS(7411),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7411),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7411),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7411),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7411),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7411),
    [anon_sym_BSLASHcolor] = ACTIONS(7411),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7411),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7411),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7411),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7411),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7411),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7411),
    [anon_sym_BSLASHurl] = ACTIONS(7411),
    [anon_sym_BSLASHhref] = ACTIONS(7411),
  },
  [1993] = {
    [sym_command_name] = ACTIONS(7567),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7567),
    [anon_sym_LBRACK] = ACTIONS(7569),
    [anon_sym_RBRACK] = ACTIONS(7569),
    [anon_sym_COMMA] = ACTIONS(7569),
    [anon_sym_EQ] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7569),
    [anon_sym_RPAREN] = ACTIONS(7569),
    [anon_sym_LBRACE] = ACTIONS(7569),
    [sym_word] = ACTIONS(7567),
    [sym_placeholder] = ACTIONS(7569),
    [sym_delimiter] = ACTIONS(7569),
    [anon_sym_PLUS] = ACTIONS(7569),
    [anon_sym_DASH] = ACTIONS(7569),
    [anon_sym_STAR] = ACTIONS(7569),
    [anon_sym_SLASH] = ACTIONS(7569),
    [anon_sym_LT] = ACTIONS(7567),
    [anon_sym_GT] = ACTIONS(7567),
    [anon_sym_BANG] = ACTIONS(7567),
    [anon_sym_PIPE] = ACTIONS(7567),
    [anon_sym_COLON] = ACTIONS(7567),
    [anon_sym_SQUOTE] = ACTIONS(7567),
    [anon_sym__] = ACTIONS(7569),
    [anon_sym_CARET] = ACTIONS(7569),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7569),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7569),
    [anon_sym_DOLLAR] = ACTIONS(7567),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7569),
    [anon_sym_BSLASHleft] = ACTIONS(7567),
    [anon_sym_BSLASHbigl] = ACTIONS(7567),
    [anon_sym_BSLASHBigl] = ACTIONS(7567),
    [anon_sym_BSLASHbiggl] = ACTIONS(7567),
    [anon_sym_BSLASHBiggl] = ACTIONS(7567),
    [anon_sym_BSLASHtext] = ACTIONS(7567),
    [anon_sym_BSLASHintertext] = ACTIONS(7567),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7567),
    [anon_sym_BSLASHbegin] = ACTIONS(7567),
    [anon_sym_BSLASHtitle] = ACTIONS(7567),
    [anon_sym_BSLASHauthor] = ACTIONS(7567),
    [anon_sym_BSLASHusepackage] = ACTIONS(7567),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7567),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7567),
    [anon_sym_BSLASHinclude] = ACTIONS(7567),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7567),
    [anon_sym_BSLASHinput] = ACTIONS(7567),
    [anon_sym_BSLASHsubfile] = ACTIONS(7567),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7567),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7567),
    [anon_sym_BSLASHbibliography] = ACTIONS(7567),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7567),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7567),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7567),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7567),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7567),
    [anon_sym_BSLASHimport] = ACTIONS(7567),
    [anon_sym_BSLASHsubimport] = ACTIONS(7567),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7567),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7567),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7567),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7567),
    [anon_sym_BSLASHcaption] = ACTIONS(7567),
    [anon_sym_BSLASHcite] = ACTIONS(7567),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCite] = ACTIONS(7567),
    [anon_sym_BSLASHnocite] = ACTIONS(7567),
    [anon_sym_BSLASHcitet] = ACTIONS(7567),
    [anon_sym_BSLASHcitep] = ACTIONS(7567),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteA] = ACTIONS(7567),
    [anon_sym_BSLASHciteR] = ACTIONS(7567),
    [anon_sym_BSLASHciteS] = ACTIONS(7567),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7567),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7567),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7567),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7567),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteyear] = ACTIONS(7567),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitedate] = ACTIONS(7567),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteurl] = ACTIONS(7567),
    [anon_sym_BSLASHfullcite] = ACTIONS(7567),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7567),
    [anon_sym_BSLASHcitealt] = ACTIONS(7567),
    [anon_sym_BSLASHcitealp] = ACTIONS(7567),
    [anon_sym_BSLASHcitetext] = ACTIONS(7567),
    [anon_sym_BSLASHparencite] = ACTIONS(7567),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHParencite] = ACTIONS(7567),
    [anon_sym_BSLASHfootcite] = ACTIONS(7567),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7567),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7567),
    [anon_sym_BSLASHtextcite] = ACTIONS(7567),
    [anon_sym_BSLASHTextcite] = ACTIONS(7567),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7567),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7567),
    [anon_sym_BSLASHsupercite] = ACTIONS(7567),
    [anon_sym_BSLASHautocite] = ACTIONS(7567),
    [anon_sym_BSLASHAutocite] = ACTIONS(7567),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHVolcite] = ACTIONS(7567),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHavolcite] = ACTIONS(7567),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHNotecite] = ACTIONS(7567),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHlabel] = ACTIONS(7567),
    [anon_sym_BSLASHref] = ACTIONS(7567),
    [anon_sym_BSLASHeqref] = ACTIONS(7567),
    [anon_sym_BSLASHvref] = ACTIONS(7567),
    [anon_sym_BSLASHVref] = ACTIONS(7567),
    [anon_sym_BSLASHautoref] = ACTIONS(7567),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHpageref] = ACTIONS(7567),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHautopageref] = ACTIONS(7567),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcref] = ACTIONS(7567),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCref] = ACTIONS(7567),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcpageref] = ACTIONS(7567),
    [anon_sym_BSLASHCpageref] = ACTIONS(7567),
    [anon_sym_BSLASHnamecref] = ACTIONS(7567),
    [anon_sym_BSLASHnameCref] = ACTIONS(7567),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7567),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7567),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7567),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7567),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7567),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7567),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7567),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7567),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7567),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7567),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7567),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHdef] = ACTIONS(7567),
    [anon_sym_BSLASHgdef] = ACTIONS(7567),
    [anon_sym_BSLASHedef] = ACTIONS(7567),
    [anon_sym_BSLASHxdef] = ACTIONS(7567),
    [anon_sym_BSLASHlet] = ACTIONS(7567),
    [anon_sym_BSLASHglet] = ACTIONS(7567),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7567),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7567),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7567),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7567),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7567),
    [anon_sym_BSLASHgls] = ACTIONS(7567),
    [anon_sym_BSLASHGls] = ACTIONS(7567),
    [anon_sym_BSLASHGLS] = ACTIONS(7567),
    [anon_sym_BSLASHglspl] = ACTIONS(7567),
    [anon_sym_BSLASHGlspl] = ACTIONS(7567),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7567),
    [anon_sym_BSLASHglslink] = ACTIONS(7567),
    [anon_sym_BSLASHglstext] = ACTIONS(7567),
    [anon_sym_BSLASHGlstext] = ACTIONS(7567),
    [anon_sym_BSLASHGLStext] = ACTIONS(7567),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7567),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7567),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7567),
    [anon_sym_BSLASHglsplural] = ACTIONS(7567),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7567),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7567),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHglsname] = ACTIONS(7567),
    [anon_sym_BSLASHGlsname] = ACTIONS(7567),
    [anon_sym_BSLASHGLSname] = ACTIONS(7567),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7567),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7567),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7567),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7567),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7567),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7567),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7567),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7567),
    [anon_sym_BSLASHacrshort] = ACTIONS(7567),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7567),
    [anon_sym_BSLASHACRshort] = ACTIONS(7567),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHacrlong] = ACTIONS(7567),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7567),
    [anon_sym_BSLASHACRlong] = ACTIONS(7567),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHacrfull] = ACTIONS(7567),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7567),
    [anon_sym_BSLASHACRfull] = ACTIONS(7567),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHacs] = ACTIONS(7567),
    [anon_sym_BSLASHAcs] = ACTIONS(7567),
    [anon_sym_BSLASHacsp] = ACTIONS(7567),
    [anon_sym_BSLASHAcsp] = ACTIONS(7567),
    [anon_sym_BSLASHacl] = ACTIONS(7567),
    [anon_sym_BSLASHAcl] = ACTIONS(7567),
    [anon_sym_BSLASHaclp] = ACTIONS(7567),
    [anon_sym_BSLASHAclp] = ACTIONS(7567),
    [anon_sym_BSLASHacf] = ACTIONS(7567),
    [anon_sym_BSLASHAcf] = ACTIONS(7567),
    [anon_sym_BSLASHacfp] = ACTIONS(7567),
    [anon_sym_BSLASHAcfp] = ACTIONS(7567),
    [anon_sym_BSLASHac] = ACTIONS(7567),
    [anon_sym_BSLASHAc] = ACTIONS(7567),
    [anon_sym_BSLASHacp] = ACTIONS(7567),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7567),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7567),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7567),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7567),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7567),
    [anon_sym_BSLASHcolor] = ACTIONS(7567),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7567),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7567),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7567),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7567),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7567),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7567),
    [anon_sym_BSLASHurl] = ACTIONS(7567),
    [anon_sym_BSLASHhref] = ACTIONS(7567),
  },
  [1994] = {
    [sym_command_name] = ACTIONS(7571),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7571),
    [anon_sym_LBRACK] = ACTIONS(7573),
    [anon_sym_RBRACK] = ACTIONS(7573),
    [anon_sym_COMMA] = ACTIONS(7573),
    [anon_sym_EQ] = ACTIONS(7573),
    [anon_sym_LPAREN] = ACTIONS(7573),
    [anon_sym_RPAREN] = ACTIONS(7573),
    [anon_sym_LBRACE] = ACTIONS(7573),
    [sym_word] = ACTIONS(7571),
    [sym_placeholder] = ACTIONS(7573),
    [sym_delimiter] = ACTIONS(7573),
    [anon_sym_PLUS] = ACTIONS(7573),
    [anon_sym_DASH] = ACTIONS(7573),
    [anon_sym_STAR] = ACTIONS(7573),
    [anon_sym_SLASH] = ACTIONS(7573),
    [anon_sym_LT] = ACTIONS(7571),
    [anon_sym_GT] = ACTIONS(7571),
    [anon_sym_BANG] = ACTIONS(7571),
    [anon_sym_PIPE] = ACTIONS(7571),
    [anon_sym_COLON] = ACTIONS(7571),
    [anon_sym_SQUOTE] = ACTIONS(7571),
    [anon_sym__] = ACTIONS(7573),
    [anon_sym_CARET] = ACTIONS(7573),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7573),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7573),
    [anon_sym_DOLLAR] = ACTIONS(7571),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7573),
    [anon_sym_BSLASHleft] = ACTIONS(7571),
    [anon_sym_BSLASHbigl] = ACTIONS(7571),
    [anon_sym_BSLASHBigl] = ACTIONS(7571),
    [anon_sym_BSLASHbiggl] = ACTIONS(7571),
    [anon_sym_BSLASHBiggl] = ACTIONS(7571),
    [anon_sym_BSLASHtext] = ACTIONS(7571),
    [anon_sym_BSLASHintertext] = ACTIONS(7571),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7571),
    [anon_sym_BSLASHbegin] = ACTIONS(7571),
    [anon_sym_BSLASHtitle] = ACTIONS(7571),
    [anon_sym_BSLASHauthor] = ACTIONS(7571),
    [anon_sym_BSLASHusepackage] = ACTIONS(7571),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7571),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7571),
    [anon_sym_BSLASHinclude] = ACTIONS(7571),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7571),
    [anon_sym_BSLASHinput] = ACTIONS(7571),
    [anon_sym_BSLASHsubfile] = ACTIONS(7571),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7571),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7571),
    [anon_sym_BSLASHbibliography] = ACTIONS(7571),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7571),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7571),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7571),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7571),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7571),
    [anon_sym_BSLASHimport] = ACTIONS(7571),
    [anon_sym_BSLASHsubimport] = ACTIONS(7571),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7571),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7571),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7571),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7571),
    [anon_sym_BSLASHcaption] = ACTIONS(7571),
    [anon_sym_BSLASHcite] = ACTIONS(7571),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCite] = ACTIONS(7571),
    [anon_sym_BSLASHnocite] = ACTIONS(7571),
    [anon_sym_BSLASHcitet] = ACTIONS(7571),
    [anon_sym_BSLASHcitep] = ACTIONS(7571),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteA] = ACTIONS(7571),
    [anon_sym_BSLASHciteR] = ACTIONS(7571),
    [anon_sym_BSLASHciteS] = ACTIONS(7571),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7571),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7571),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7571),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7571),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteyear] = ACTIONS(7571),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitedate] = ACTIONS(7571),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteurl] = ACTIONS(7571),
    [anon_sym_BSLASHfullcite] = ACTIONS(7571),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7571),
    [anon_sym_BSLASHcitealt] = ACTIONS(7571),
    [anon_sym_BSLASHcitealp] = ACTIONS(7571),
    [anon_sym_BSLASHcitetext] = ACTIONS(7571),
    [anon_sym_BSLASHparencite] = ACTIONS(7571),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHParencite] = ACTIONS(7571),
    [anon_sym_BSLASHfootcite] = ACTIONS(7571),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7571),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7571),
    [anon_sym_BSLASHtextcite] = ACTIONS(7571),
    [anon_sym_BSLASHTextcite] = ACTIONS(7571),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7571),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7571),
    [anon_sym_BSLASHsupercite] = ACTIONS(7571),
    [anon_sym_BSLASHautocite] = ACTIONS(7571),
    [anon_sym_BSLASHAutocite] = ACTIONS(7571),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHVolcite] = ACTIONS(7571),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHavolcite] = ACTIONS(7571),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHNotecite] = ACTIONS(7571),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHlabel] = ACTIONS(7571),
    [anon_sym_BSLASHref] = ACTIONS(7571),
    [anon_sym_BSLASHeqref] = ACTIONS(7571),
    [anon_sym_BSLASHvref] = ACTIONS(7571),
    [anon_sym_BSLASHVref] = ACTIONS(7571),
    [anon_sym_BSLASHautoref] = ACTIONS(7571),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHpageref] = ACTIONS(7571),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHautopageref] = ACTIONS(7571),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcref] = ACTIONS(7571),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCref] = ACTIONS(7571),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcpageref] = ACTIONS(7571),
    [anon_sym_BSLASHCpageref] = ACTIONS(7571),
    [anon_sym_BSLASHnamecref] = ACTIONS(7571),
    [anon_sym_BSLASHnameCref] = ACTIONS(7571),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7571),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7571),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7571),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7571),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7571),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7571),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7571),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7571),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7571),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7571),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7571),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHdef] = ACTIONS(7571),
    [anon_sym_BSLASHgdef] = ACTIONS(7571),
    [anon_sym_BSLASHedef] = ACTIONS(7571),
    [anon_sym_BSLASHxdef] = ACTIONS(7571),
    [anon_sym_BSLASHlet] = ACTIONS(7571),
    [anon_sym_BSLASHglet] = ACTIONS(7571),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7571),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7571),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7571),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7571),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7571),
    [anon_sym_BSLASHgls] = ACTIONS(7571),
    [anon_sym_BSLASHGls] = ACTIONS(7571),
    [anon_sym_BSLASHGLS] = ACTIONS(7571),
    [anon_sym_BSLASHglspl] = ACTIONS(7571),
    [anon_sym_BSLASHGlspl] = ACTIONS(7571),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7571),
    [anon_sym_BSLASHglslink] = ACTIONS(7571),
    [anon_sym_BSLASHglstext] = ACTIONS(7571),
    [anon_sym_BSLASHGlstext] = ACTIONS(7571),
    [anon_sym_BSLASHGLStext] = ACTIONS(7571),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7571),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7571),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7571),
    [anon_sym_BSLASHglsplural] = ACTIONS(7571),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7571),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7571),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHglsname] = ACTIONS(7571),
    [anon_sym_BSLASHGlsname] = ACTIONS(7571),
    [anon_sym_BSLASHGLSname] = ACTIONS(7571),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7571),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7571),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7571),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7571),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7571),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7571),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7571),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7571),
    [anon_sym_BSLASHacrshort] = ACTIONS(7571),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7571),
    [anon_sym_BSLASHACRshort] = ACTIONS(7571),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHacrlong] = ACTIONS(7571),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7571),
    [anon_sym_BSLASHACRlong] = ACTIONS(7571),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHacrfull] = ACTIONS(7571),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7571),
    [anon_sym_BSLASHACRfull] = ACTIONS(7571),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHacs] = ACTIONS(7571),
    [anon_sym_BSLASHAcs] = ACTIONS(7571),
    [anon_sym_BSLASHacsp] = ACTIONS(7571),
    [anon_sym_BSLASHAcsp] = ACTIONS(7571),
    [anon_sym_BSLASHacl] = ACTIONS(7571),
    [anon_sym_BSLASHAcl] = ACTIONS(7571),
    [anon_sym_BSLASHaclp] = ACTIONS(7571),
    [anon_sym_BSLASHAclp] = ACTIONS(7571),
    [anon_sym_BSLASHacf] = ACTIONS(7571),
    [anon_sym_BSLASHAcf] = ACTIONS(7571),
    [anon_sym_BSLASHacfp] = ACTIONS(7571),
    [anon_sym_BSLASHAcfp] = ACTIONS(7571),
    [anon_sym_BSLASHac] = ACTIONS(7571),
    [anon_sym_BSLASHAc] = ACTIONS(7571),
    [anon_sym_BSLASHacp] = ACTIONS(7571),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7571),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7571),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7571),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7571),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7571),
    [anon_sym_BSLASHcolor] = ACTIONS(7571),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7571),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7571),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7571),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7571),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7571),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7571),
    [anon_sym_BSLASHurl] = ACTIONS(7571),
    [anon_sym_BSLASHhref] = ACTIONS(7571),
  },
  [1995] = {
    [sym_command_name] = ACTIONS(7415),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7415),
    [anon_sym_LBRACK] = ACTIONS(7417),
    [anon_sym_RBRACK] = ACTIONS(7417),
    [anon_sym_COMMA] = ACTIONS(7417),
    [anon_sym_EQ] = ACTIONS(7417),
    [anon_sym_LPAREN] = ACTIONS(7417),
    [anon_sym_RPAREN] = ACTIONS(7417),
    [anon_sym_LBRACE] = ACTIONS(7417),
    [anon_sym_RBRACE] = ACTIONS(7417),
    [sym_word] = ACTIONS(7415),
    [sym_placeholder] = ACTIONS(7417),
    [sym_delimiter] = ACTIONS(7417),
    [anon_sym_PLUS] = ACTIONS(7417),
    [anon_sym_DASH] = ACTIONS(7417),
    [anon_sym_STAR] = ACTIONS(7417),
    [anon_sym_SLASH] = ACTIONS(7417),
    [anon_sym_LT] = ACTIONS(7415),
    [anon_sym_GT] = ACTIONS(7415),
    [anon_sym_BANG] = ACTIONS(7415),
    [anon_sym_PIPE] = ACTIONS(7415),
    [anon_sym_COLON] = ACTIONS(7415),
    [anon_sym_SQUOTE] = ACTIONS(7415),
    [anon_sym__] = ACTIONS(7417),
    [anon_sym_CARET] = ACTIONS(7417),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7417),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7417),
    [anon_sym_DOLLAR] = ACTIONS(7415),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7417),
    [anon_sym_BSLASHleft] = ACTIONS(7415),
    [anon_sym_BSLASHbigl] = ACTIONS(7415),
    [anon_sym_BSLASHBigl] = ACTIONS(7415),
    [anon_sym_BSLASHbiggl] = ACTIONS(7415),
    [anon_sym_BSLASHBiggl] = ACTIONS(7415),
    [anon_sym_BSLASHtext] = ACTIONS(7415),
    [anon_sym_BSLASHintertext] = ACTIONS(7415),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7415),
    [anon_sym_BSLASHtitle] = ACTIONS(7415),
    [anon_sym_BSLASHauthor] = ACTIONS(7415),
    [anon_sym_BSLASHusepackage] = ACTIONS(7415),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7415),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7415),
    [anon_sym_BSLASHinclude] = ACTIONS(7415),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7415),
    [anon_sym_BSLASHinput] = ACTIONS(7415),
    [anon_sym_BSLASHsubfile] = ACTIONS(7415),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7415),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7415),
    [anon_sym_BSLASHbibliography] = ACTIONS(7415),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7415),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7415),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7415),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7415),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7415),
    [anon_sym_BSLASHimport] = ACTIONS(7415),
    [anon_sym_BSLASHsubimport] = ACTIONS(7415),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7415),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7415),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7415),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7415),
    [anon_sym_BSLASHcaption] = ACTIONS(7415),
    [anon_sym_BSLASHcite] = ACTIONS(7415),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCite] = ACTIONS(7415),
    [anon_sym_BSLASHnocite] = ACTIONS(7415),
    [anon_sym_BSLASHcitet] = ACTIONS(7415),
    [anon_sym_BSLASHcitep] = ACTIONS(7415),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteA] = ACTIONS(7415),
    [anon_sym_BSLASHciteR] = ACTIONS(7415),
    [anon_sym_BSLASHciteS] = ACTIONS(7415),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7415),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7415),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7415),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7415),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteyear] = ACTIONS(7415),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitedate] = ACTIONS(7415),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteurl] = ACTIONS(7415),
    [anon_sym_BSLASHfullcite] = ACTIONS(7415),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7415),
    [anon_sym_BSLASHcitealt] = ACTIONS(7415),
    [anon_sym_BSLASHcitealp] = ACTIONS(7415),
    [anon_sym_BSLASHcitetext] = ACTIONS(7415),
    [anon_sym_BSLASHparencite] = ACTIONS(7415),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHParencite] = ACTIONS(7415),
    [anon_sym_BSLASHfootcite] = ACTIONS(7415),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7415),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7415),
    [anon_sym_BSLASHtextcite] = ACTIONS(7415),
    [anon_sym_BSLASHTextcite] = ACTIONS(7415),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7415),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7415),
    [anon_sym_BSLASHsupercite] = ACTIONS(7415),
    [anon_sym_BSLASHautocite] = ACTIONS(7415),
    [anon_sym_BSLASHAutocite] = ACTIONS(7415),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHVolcite] = ACTIONS(7415),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHavolcite] = ACTIONS(7415),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHNotecite] = ACTIONS(7415),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHlabel] = ACTIONS(7415),
    [anon_sym_BSLASHref] = ACTIONS(7415),
    [anon_sym_BSLASHeqref] = ACTIONS(7415),
    [anon_sym_BSLASHvref] = ACTIONS(7415),
    [anon_sym_BSLASHVref] = ACTIONS(7415),
    [anon_sym_BSLASHautoref] = ACTIONS(7415),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHpageref] = ACTIONS(7415),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHautopageref] = ACTIONS(7415),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcref] = ACTIONS(7415),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCref] = ACTIONS(7415),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcpageref] = ACTIONS(7415),
    [anon_sym_BSLASHCpageref] = ACTIONS(7415),
    [anon_sym_BSLASHnamecref] = ACTIONS(7415),
    [anon_sym_BSLASHnameCref] = ACTIONS(7415),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7415),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7415),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7415),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7415),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7415),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7415),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7415),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7415),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7415),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7415),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7415),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHdef] = ACTIONS(7415),
    [anon_sym_BSLASHgdef] = ACTIONS(7415),
    [anon_sym_BSLASHedef] = ACTIONS(7415),
    [anon_sym_BSLASHxdef] = ACTIONS(7415),
    [anon_sym_BSLASHlet] = ACTIONS(7415),
    [anon_sym_BSLASHglet] = ACTIONS(7415),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7415),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7415),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7415),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7415),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7415),
    [anon_sym_BSLASHgls] = ACTIONS(7415),
    [anon_sym_BSLASHGls] = ACTIONS(7415),
    [anon_sym_BSLASHGLS] = ACTIONS(7415),
    [anon_sym_BSLASHglspl] = ACTIONS(7415),
    [anon_sym_BSLASHGlspl] = ACTIONS(7415),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7415),
    [anon_sym_BSLASHglslink] = ACTIONS(7415),
    [anon_sym_BSLASHglstext] = ACTIONS(7415),
    [anon_sym_BSLASHGlstext] = ACTIONS(7415),
    [anon_sym_BSLASHGLStext] = ACTIONS(7415),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7415),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7415),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7415),
    [anon_sym_BSLASHglsplural] = ACTIONS(7415),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7415),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7415),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHglsname] = ACTIONS(7415),
    [anon_sym_BSLASHGlsname] = ACTIONS(7415),
    [anon_sym_BSLASHGLSname] = ACTIONS(7415),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7415),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7415),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7415),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7415),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7415),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7415),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7415),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7415),
    [anon_sym_BSLASHacrshort] = ACTIONS(7415),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7415),
    [anon_sym_BSLASHACRshort] = ACTIONS(7415),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHacrlong] = ACTIONS(7415),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7415),
    [anon_sym_BSLASHACRlong] = ACTIONS(7415),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHacrfull] = ACTIONS(7415),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7415),
    [anon_sym_BSLASHACRfull] = ACTIONS(7415),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHacs] = ACTIONS(7415),
    [anon_sym_BSLASHAcs] = ACTIONS(7415),
    [anon_sym_BSLASHacsp] = ACTIONS(7415),
    [anon_sym_BSLASHAcsp] = ACTIONS(7415),
    [anon_sym_BSLASHacl] = ACTIONS(7415),
    [anon_sym_BSLASHAcl] = ACTIONS(7415),
    [anon_sym_BSLASHaclp] = ACTIONS(7415),
    [anon_sym_BSLASHAclp] = ACTIONS(7415),
    [anon_sym_BSLASHacf] = ACTIONS(7415),
    [anon_sym_BSLASHAcf] = ACTIONS(7415),
    [anon_sym_BSLASHacfp] = ACTIONS(7415),
    [anon_sym_BSLASHAcfp] = ACTIONS(7415),
    [anon_sym_BSLASHac] = ACTIONS(7415),
    [anon_sym_BSLASHAc] = ACTIONS(7415),
    [anon_sym_BSLASHacp] = ACTIONS(7415),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7415),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7415),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7415),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7415),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7415),
    [anon_sym_BSLASHcolor] = ACTIONS(7415),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7415),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7415),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7415),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7415),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7415),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7415),
    [anon_sym_BSLASHurl] = ACTIONS(7415),
    [anon_sym_BSLASHhref] = ACTIONS(7415),
  },
  [1996] = {
    [sym_command_name] = ACTIONS(7575),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7575),
    [anon_sym_LBRACK] = ACTIONS(7577),
    [anon_sym_RBRACK] = ACTIONS(7577),
    [anon_sym_COMMA] = ACTIONS(7577),
    [anon_sym_EQ] = ACTIONS(7577),
    [anon_sym_LPAREN] = ACTIONS(7577),
    [anon_sym_RPAREN] = ACTIONS(7577),
    [anon_sym_LBRACE] = ACTIONS(7577),
    [sym_word] = ACTIONS(7575),
    [sym_placeholder] = ACTIONS(7577),
    [sym_delimiter] = ACTIONS(7577),
    [anon_sym_PLUS] = ACTIONS(7577),
    [anon_sym_DASH] = ACTIONS(7577),
    [anon_sym_STAR] = ACTIONS(7577),
    [anon_sym_SLASH] = ACTIONS(7577),
    [anon_sym_LT] = ACTIONS(7575),
    [anon_sym_GT] = ACTIONS(7575),
    [anon_sym_BANG] = ACTIONS(7575),
    [anon_sym_PIPE] = ACTIONS(7575),
    [anon_sym_COLON] = ACTIONS(7575),
    [anon_sym_SQUOTE] = ACTIONS(7575),
    [anon_sym__] = ACTIONS(7577),
    [anon_sym_CARET] = ACTIONS(7577),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7577),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7577),
    [anon_sym_DOLLAR] = ACTIONS(7575),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7577),
    [anon_sym_BSLASHleft] = ACTIONS(7575),
    [anon_sym_BSLASHbigl] = ACTIONS(7575),
    [anon_sym_BSLASHBigl] = ACTIONS(7575),
    [anon_sym_BSLASHbiggl] = ACTIONS(7575),
    [anon_sym_BSLASHBiggl] = ACTIONS(7575),
    [anon_sym_BSLASHtext] = ACTIONS(7575),
    [anon_sym_BSLASHintertext] = ACTIONS(7575),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7575),
    [anon_sym_BSLASHbegin] = ACTIONS(7575),
    [anon_sym_BSLASHtitle] = ACTIONS(7575),
    [anon_sym_BSLASHauthor] = ACTIONS(7575),
    [anon_sym_BSLASHusepackage] = ACTIONS(7575),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7575),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7575),
    [anon_sym_BSLASHinclude] = ACTIONS(7575),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7575),
    [anon_sym_BSLASHinput] = ACTIONS(7575),
    [anon_sym_BSLASHsubfile] = ACTIONS(7575),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7575),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7575),
    [anon_sym_BSLASHbibliography] = ACTIONS(7575),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7575),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7575),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7575),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7575),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7575),
    [anon_sym_BSLASHimport] = ACTIONS(7575),
    [anon_sym_BSLASHsubimport] = ACTIONS(7575),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7575),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7575),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7575),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7575),
    [anon_sym_BSLASHcaption] = ACTIONS(7575),
    [anon_sym_BSLASHcite] = ACTIONS(7575),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCite] = ACTIONS(7575),
    [anon_sym_BSLASHnocite] = ACTIONS(7575),
    [anon_sym_BSLASHcitet] = ACTIONS(7575),
    [anon_sym_BSLASHcitep] = ACTIONS(7575),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteA] = ACTIONS(7575),
    [anon_sym_BSLASHciteR] = ACTIONS(7575),
    [anon_sym_BSLASHciteS] = ACTIONS(7575),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7575),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7575),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7575),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7575),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteyear] = ACTIONS(7575),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitedate] = ACTIONS(7575),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteurl] = ACTIONS(7575),
    [anon_sym_BSLASHfullcite] = ACTIONS(7575),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7575),
    [anon_sym_BSLASHcitealt] = ACTIONS(7575),
    [anon_sym_BSLASHcitealp] = ACTIONS(7575),
    [anon_sym_BSLASHcitetext] = ACTIONS(7575),
    [anon_sym_BSLASHparencite] = ACTIONS(7575),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHParencite] = ACTIONS(7575),
    [anon_sym_BSLASHfootcite] = ACTIONS(7575),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7575),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7575),
    [anon_sym_BSLASHtextcite] = ACTIONS(7575),
    [anon_sym_BSLASHTextcite] = ACTIONS(7575),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7575),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7575),
    [anon_sym_BSLASHsupercite] = ACTIONS(7575),
    [anon_sym_BSLASHautocite] = ACTIONS(7575),
    [anon_sym_BSLASHAutocite] = ACTIONS(7575),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHVolcite] = ACTIONS(7575),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHavolcite] = ACTIONS(7575),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHNotecite] = ACTIONS(7575),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHlabel] = ACTIONS(7575),
    [anon_sym_BSLASHref] = ACTIONS(7575),
    [anon_sym_BSLASHeqref] = ACTIONS(7575),
    [anon_sym_BSLASHvref] = ACTIONS(7575),
    [anon_sym_BSLASHVref] = ACTIONS(7575),
    [anon_sym_BSLASHautoref] = ACTIONS(7575),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHpageref] = ACTIONS(7575),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHautopageref] = ACTIONS(7575),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcref] = ACTIONS(7575),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCref] = ACTIONS(7575),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcpageref] = ACTIONS(7575),
    [anon_sym_BSLASHCpageref] = ACTIONS(7575),
    [anon_sym_BSLASHnamecref] = ACTIONS(7575),
    [anon_sym_BSLASHnameCref] = ACTIONS(7575),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7575),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7575),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7575),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7575),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7575),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7575),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7575),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7575),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7575),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7575),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7575),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHdef] = ACTIONS(7575),
    [anon_sym_BSLASHgdef] = ACTIONS(7575),
    [anon_sym_BSLASHedef] = ACTIONS(7575),
    [anon_sym_BSLASHxdef] = ACTIONS(7575),
    [anon_sym_BSLASHlet] = ACTIONS(7575),
    [anon_sym_BSLASHglet] = ACTIONS(7575),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7575),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7575),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7575),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7575),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7575),
    [anon_sym_BSLASHgls] = ACTIONS(7575),
    [anon_sym_BSLASHGls] = ACTIONS(7575),
    [anon_sym_BSLASHGLS] = ACTIONS(7575),
    [anon_sym_BSLASHglspl] = ACTIONS(7575),
    [anon_sym_BSLASHGlspl] = ACTIONS(7575),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7575),
    [anon_sym_BSLASHglslink] = ACTIONS(7575),
    [anon_sym_BSLASHglstext] = ACTIONS(7575),
    [anon_sym_BSLASHGlstext] = ACTIONS(7575),
    [anon_sym_BSLASHGLStext] = ACTIONS(7575),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7575),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7575),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7575),
    [anon_sym_BSLASHglsplural] = ACTIONS(7575),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7575),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7575),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHglsname] = ACTIONS(7575),
    [anon_sym_BSLASHGlsname] = ACTIONS(7575),
    [anon_sym_BSLASHGLSname] = ACTIONS(7575),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7575),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7575),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7575),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7575),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7575),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7575),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7575),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7575),
    [anon_sym_BSLASHacrshort] = ACTIONS(7575),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7575),
    [anon_sym_BSLASHACRshort] = ACTIONS(7575),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHacrlong] = ACTIONS(7575),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7575),
    [anon_sym_BSLASHACRlong] = ACTIONS(7575),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHacrfull] = ACTIONS(7575),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7575),
    [anon_sym_BSLASHACRfull] = ACTIONS(7575),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHacs] = ACTIONS(7575),
    [anon_sym_BSLASHAcs] = ACTIONS(7575),
    [anon_sym_BSLASHacsp] = ACTIONS(7575),
    [anon_sym_BSLASHAcsp] = ACTIONS(7575),
    [anon_sym_BSLASHacl] = ACTIONS(7575),
    [anon_sym_BSLASHAcl] = ACTIONS(7575),
    [anon_sym_BSLASHaclp] = ACTIONS(7575),
    [anon_sym_BSLASHAclp] = ACTIONS(7575),
    [anon_sym_BSLASHacf] = ACTIONS(7575),
    [anon_sym_BSLASHAcf] = ACTIONS(7575),
    [anon_sym_BSLASHacfp] = ACTIONS(7575),
    [anon_sym_BSLASHAcfp] = ACTIONS(7575),
    [anon_sym_BSLASHac] = ACTIONS(7575),
    [anon_sym_BSLASHAc] = ACTIONS(7575),
    [anon_sym_BSLASHacp] = ACTIONS(7575),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7575),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7575),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7575),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7575),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7575),
    [anon_sym_BSLASHcolor] = ACTIONS(7575),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7575),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7575),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7575),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7575),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7575),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7575),
    [anon_sym_BSLASHurl] = ACTIONS(7575),
    [anon_sym_BSLASHhref] = ACTIONS(7575),
  },
  [1997] = {
    [sym_command_name] = ACTIONS(7419),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7419),
    [anon_sym_LBRACK] = ACTIONS(7421),
    [anon_sym_RBRACK] = ACTIONS(7421),
    [anon_sym_COMMA] = ACTIONS(7421),
    [anon_sym_EQ] = ACTIONS(7421),
    [anon_sym_LPAREN] = ACTIONS(7421),
    [anon_sym_RPAREN] = ACTIONS(7421),
    [anon_sym_LBRACE] = ACTIONS(7421),
    [anon_sym_RBRACE] = ACTIONS(7421),
    [sym_word] = ACTIONS(7419),
    [sym_placeholder] = ACTIONS(7421),
    [sym_delimiter] = ACTIONS(7421),
    [anon_sym_PLUS] = ACTIONS(7421),
    [anon_sym_DASH] = ACTIONS(7421),
    [anon_sym_STAR] = ACTIONS(7421),
    [anon_sym_SLASH] = ACTIONS(7421),
    [anon_sym_LT] = ACTIONS(7419),
    [anon_sym_GT] = ACTIONS(7419),
    [anon_sym_BANG] = ACTIONS(7419),
    [anon_sym_PIPE] = ACTIONS(7419),
    [anon_sym_COLON] = ACTIONS(7419),
    [anon_sym_SQUOTE] = ACTIONS(7419),
    [anon_sym__] = ACTIONS(7421),
    [anon_sym_CARET] = ACTIONS(7421),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7421),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7421),
    [anon_sym_DOLLAR] = ACTIONS(7419),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7421),
    [anon_sym_BSLASHleft] = ACTIONS(7419),
    [anon_sym_BSLASHbigl] = ACTIONS(7419),
    [anon_sym_BSLASHBigl] = ACTIONS(7419),
    [anon_sym_BSLASHbiggl] = ACTIONS(7419),
    [anon_sym_BSLASHBiggl] = ACTIONS(7419),
    [anon_sym_BSLASHtext] = ACTIONS(7419),
    [anon_sym_BSLASHintertext] = ACTIONS(7419),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7419),
    [anon_sym_BSLASHtitle] = ACTIONS(7419),
    [anon_sym_BSLASHauthor] = ACTIONS(7419),
    [anon_sym_BSLASHusepackage] = ACTIONS(7419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7419),
    [anon_sym_BSLASHinclude] = ACTIONS(7419),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7419),
    [anon_sym_BSLASHinput] = ACTIONS(7419),
    [anon_sym_BSLASHsubfile] = ACTIONS(7419),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7419),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7419),
    [anon_sym_BSLASHbibliography] = ACTIONS(7419),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7419),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7419),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7419),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7419),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7419),
    [anon_sym_BSLASHimport] = ACTIONS(7419),
    [anon_sym_BSLASHsubimport] = ACTIONS(7419),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7419),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7419),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7419),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7419),
    [anon_sym_BSLASHcaption] = ACTIONS(7419),
    [anon_sym_BSLASHcite] = ACTIONS(7419),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCite] = ACTIONS(7419),
    [anon_sym_BSLASHnocite] = ACTIONS(7419),
    [anon_sym_BSLASHcitet] = ACTIONS(7419),
    [anon_sym_BSLASHcitep] = ACTIONS(7419),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteA] = ACTIONS(7419),
    [anon_sym_BSLASHciteR] = ACTIONS(7419),
    [anon_sym_BSLASHciteS] = ACTIONS(7419),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7419),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7419),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7419),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7419),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteyear] = ACTIONS(7419),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitedate] = ACTIONS(7419),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteurl] = ACTIONS(7419),
    [anon_sym_BSLASHfullcite] = ACTIONS(7419),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7419),
    [anon_sym_BSLASHcitealt] = ACTIONS(7419),
    [anon_sym_BSLASHcitealp] = ACTIONS(7419),
    [anon_sym_BSLASHcitetext] = ACTIONS(7419),
    [anon_sym_BSLASHparencite] = ACTIONS(7419),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHParencite] = ACTIONS(7419),
    [anon_sym_BSLASHfootcite] = ACTIONS(7419),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7419),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7419),
    [anon_sym_BSLASHtextcite] = ACTIONS(7419),
    [anon_sym_BSLASHTextcite] = ACTIONS(7419),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7419),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7419),
    [anon_sym_BSLASHsupercite] = ACTIONS(7419),
    [anon_sym_BSLASHautocite] = ACTIONS(7419),
    [anon_sym_BSLASHAutocite] = ACTIONS(7419),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHVolcite] = ACTIONS(7419),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHavolcite] = ACTIONS(7419),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHNotecite] = ACTIONS(7419),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHlabel] = ACTIONS(7419),
    [anon_sym_BSLASHref] = ACTIONS(7419),
    [anon_sym_BSLASHeqref] = ACTIONS(7419),
    [anon_sym_BSLASHvref] = ACTIONS(7419),
    [anon_sym_BSLASHVref] = ACTIONS(7419),
    [anon_sym_BSLASHautoref] = ACTIONS(7419),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHpageref] = ACTIONS(7419),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHautopageref] = ACTIONS(7419),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcref] = ACTIONS(7419),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCref] = ACTIONS(7419),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcpageref] = ACTIONS(7419),
    [anon_sym_BSLASHCpageref] = ACTIONS(7419),
    [anon_sym_BSLASHnamecref] = ACTIONS(7419),
    [anon_sym_BSLASHnameCref] = ACTIONS(7419),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7419),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7419),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7419),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7419),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7419),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7419),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7419),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7419),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7419),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7419),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7419),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHdef] = ACTIONS(7419),
    [anon_sym_BSLASHgdef] = ACTIONS(7419),
    [anon_sym_BSLASHedef] = ACTIONS(7419),
    [anon_sym_BSLASHxdef] = ACTIONS(7419),
    [anon_sym_BSLASHlet] = ACTIONS(7419),
    [anon_sym_BSLASHglet] = ACTIONS(7419),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7419),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7419),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7419),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7419),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7419),
    [anon_sym_BSLASHgls] = ACTIONS(7419),
    [anon_sym_BSLASHGls] = ACTIONS(7419),
    [anon_sym_BSLASHGLS] = ACTIONS(7419),
    [anon_sym_BSLASHglspl] = ACTIONS(7419),
    [anon_sym_BSLASHGlspl] = ACTIONS(7419),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7419),
    [anon_sym_BSLASHglslink] = ACTIONS(7419),
    [anon_sym_BSLASHglstext] = ACTIONS(7419),
    [anon_sym_BSLASHGlstext] = ACTIONS(7419),
    [anon_sym_BSLASHGLStext] = ACTIONS(7419),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7419),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7419),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7419),
    [anon_sym_BSLASHglsplural] = ACTIONS(7419),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7419),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7419),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHglsname] = ACTIONS(7419),
    [anon_sym_BSLASHGlsname] = ACTIONS(7419),
    [anon_sym_BSLASHGLSname] = ACTIONS(7419),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7419),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7419),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7419),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7419),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7419),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7419),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7419),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7419),
    [anon_sym_BSLASHacrshort] = ACTIONS(7419),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7419),
    [anon_sym_BSLASHACRshort] = ACTIONS(7419),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHacrlong] = ACTIONS(7419),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7419),
    [anon_sym_BSLASHACRlong] = ACTIONS(7419),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHacrfull] = ACTIONS(7419),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7419),
    [anon_sym_BSLASHACRfull] = ACTIONS(7419),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHacs] = ACTIONS(7419),
    [anon_sym_BSLASHAcs] = ACTIONS(7419),
    [anon_sym_BSLASHacsp] = ACTIONS(7419),
    [anon_sym_BSLASHAcsp] = ACTIONS(7419),
    [anon_sym_BSLASHacl] = ACTIONS(7419),
    [anon_sym_BSLASHAcl] = ACTIONS(7419),
    [anon_sym_BSLASHaclp] = ACTIONS(7419),
    [anon_sym_BSLASHAclp] = ACTIONS(7419),
    [anon_sym_BSLASHacf] = ACTIONS(7419),
    [anon_sym_BSLASHAcf] = ACTIONS(7419),
    [anon_sym_BSLASHacfp] = ACTIONS(7419),
    [anon_sym_BSLASHAcfp] = ACTIONS(7419),
    [anon_sym_BSLASHac] = ACTIONS(7419),
    [anon_sym_BSLASHAc] = ACTIONS(7419),
    [anon_sym_BSLASHacp] = ACTIONS(7419),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7419),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7419),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7419),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7419),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7419),
    [anon_sym_BSLASHcolor] = ACTIONS(7419),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7419),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7419),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7419),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7419),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7419),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7419),
    [anon_sym_BSLASHurl] = ACTIONS(7419),
    [anon_sym_BSLASHhref] = ACTIONS(7419),
  },
  [1998] = {
    [sym_command_name] = ACTIONS(7043),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7043),
    [anon_sym_LBRACK] = ACTIONS(7045),
    [anon_sym_RBRACK] = ACTIONS(7045),
    [anon_sym_COMMA] = ACTIONS(7045),
    [anon_sym_EQ] = ACTIONS(7045),
    [anon_sym_LPAREN] = ACTIONS(7045),
    [anon_sym_RPAREN] = ACTIONS(7045),
    [anon_sym_LBRACE] = ACTIONS(7045),
    [anon_sym_RBRACE] = ACTIONS(7045),
    [sym_word] = ACTIONS(7043),
    [sym_placeholder] = ACTIONS(7045),
    [sym_delimiter] = ACTIONS(7045),
    [anon_sym_PLUS] = ACTIONS(7045),
    [anon_sym_DASH] = ACTIONS(7045),
    [anon_sym_STAR] = ACTIONS(7045),
    [anon_sym_SLASH] = ACTIONS(7045),
    [anon_sym_LT] = ACTIONS(7043),
    [anon_sym_GT] = ACTIONS(7043),
    [anon_sym_BANG] = ACTIONS(7043),
    [anon_sym_PIPE] = ACTIONS(7043),
    [anon_sym_COLON] = ACTIONS(7043),
    [anon_sym_SQUOTE] = ACTIONS(7043),
    [anon_sym__] = ACTIONS(7045),
    [anon_sym_CARET] = ACTIONS(7045),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7045),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7045),
    [anon_sym_DOLLAR] = ACTIONS(7043),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7045),
    [anon_sym_BSLASHleft] = ACTIONS(7043),
    [anon_sym_BSLASHbigl] = ACTIONS(7043),
    [anon_sym_BSLASHBigl] = ACTIONS(7043),
    [anon_sym_BSLASHbiggl] = ACTIONS(7043),
    [anon_sym_BSLASHBiggl] = ACTIONS(7043),
    [anon_sym_BSLASHtext] = ACTIONS(7043),
    [anon_sym_BSLASHintertext] = ACTIONS(7043),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7043),
    [anon_sym_BSLASHtitle] = ACTIONS(7043),
    [anon_sym_BSLASHauthor] = ACTIONS(7043),
    [anon_sym_BSLASHusepackage] = ACTIONS(7043),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7043),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7043),
    [anon_sym_BSLASHinclude] = ACTIONS(7043),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7043),
    [anon_sym_BSLASHinput] = ACTIONS(7043),
    [anon_sym_BSLASHsubfile] = ACTIONS(7043),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7043),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7043),
    [anon_sym_BSLASHbibliography] = ACTIONS(7043),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7043),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7043),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7043),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7043),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7043),
    [anon_sym_BSLASHimport] = ACTIONS(7043),
    [anon_sym_BSLASHsubimport] = ACTIONS(7043),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7043),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7043),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7043),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7043),
    [anon_sym_BSLASHcaption] = ACTIONS(7043),
    [anon_sym_BSLASHcite] = ACTIONS(7043),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCite] = ACTIONS(7043),
    [anon_sym_BSLASHnocite] = ACTIONS(7043),
    [anon_sym_BSLASHcitet] = ACTIONS(7043),
    [anon_sym_BSLASHcitep] = ACTIONS(7043),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteA] = ACTIONS(7043),
    [anon_sym_BSLASHciteR] = ACTIONS(7043),
    [anon_sym_BSLASHciteS] = ACTIONS(7043),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7043),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7043),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7043),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7043),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteyear] = ACTIONS(7043),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitedate] = ACTIONS(7043),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteurl] = ACTIONS(7043),
    [anon_sym_BSLASHfullcite] = ACTIONS(7043),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7043),
    [anon_sym_BSLASHcitealt] = ACTIONS(7043),
    [anon_sym_BSLASHcitealp] = ACTIONS(7043),
    [anon_sym_BSLASHcitetext] = ACTIONS(7043),
    [anon_sym_BSLASHparencite] = ACTIONS(7043),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHParencite] = ACTIONS(7043),
    [anon_sym_BSLASHfootcite] = ACTIONS(7043),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7043),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7043),
    [anon_sym_BSLASHtextcite] = ACTIONS(7043),
    [anon_sym_BSLASHTextcite] = ACTIONS(7043),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7043),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7043),
    [anon_sym_BSLASHsupercite] = ACTIONS(7043),
    [anon_sym_BSLASHautocite] = ACTIONS(7043),
    [anon_sym_BSLASHAutocite] = ACTIONS(7043),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHVolcite] = ACTIONS(7043),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHavolcite] = ACTIONS(7043),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHNotecite] = ACTIONS(7043),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHlabel] = ACTIONS(7043),
    [anon_sym_BSLASHref] = ACTIONS(7043),
    [anon_sym_BSLASHeqref] = ACTIONS(7043),
    [anon_sym_BSLASHvref] = ACTIONS(7043),
    [anon_sym_BSLASHVref] = ACTIONS(7043),
    [anon_sym_BSLASHautoref] = ACTIONS(7043),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHpageref] = ACTIONS(7043),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHautopageref] = ACTIONS(7043),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcref] = ACTIONS(7043),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCref] = ACTIONS(7043),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcpageref] = ACTIONS(7043),
    [anon_sym_BSLASHCpageref] = ACTIONS(7043),
    [anon_sym_BSLASHnamecref] = ACTIONS(7043),
    [anon_sym_BSLASHnameCref] = ACTIONS(7043),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7043),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7043),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7043),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7043),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7043),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7043),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7043),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7043),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7043),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7043),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7043),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHdef] = ACTIONS(7043),
    [anon_sym_BSLASHgdef] = ACTIONS(7043),
    [anon_sym_BSLASHedef] = ACTIONS(7043),
    [anon_sym_BSLASHxdef] = ACTIONS(7043),
    [anon_sym_BSLASHlet] = ACTIONS(7043),
    [anon_sym_BSLASHglet] = ACTIONS(7043),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7043),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7043),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7043),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7043),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7043),
    [anon_sym_BSLASHgls] = ACTIONS(7043),
    [anon_sym_BSLASHGls] = ACTIONS(7043),
    [anon_sym_BSLASHGLS] = ACTIONS(7043),
    [anon_sym_BSLASHglspl] = ACTIONS(7043),
    [anon_sym_BSLASHGlspl] = ACTIONS(7043),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7043),
    [anon_sym_BSLASHglslink] = ACTIONS(7043),
    [anon_sym_BSLASHglstext] = ACTIONS(7043),
    [anon_sym_BSLASHGlstext] = ACTIONS(7043),
    [anon_sym_BSLASHGLStext] = ACTIONS(7043),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7043),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7043),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7043),
    [anon_sym_BSLASHglsplural] = ACTIONS(7043),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7043),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7043),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHglsname] = ACTIONS(7043),
    [anon_sym_BSLASHGlsname] = ACTIONS(7043),
    [anon_sym_BSLASHGLSname] = ACTIONS(7043),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7043),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7043),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7043),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7043),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7043),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7043),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7043),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7043),
    [anon_sym_BSLASHacrshort] = ACTIONS(7043),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7043),
    [anon_sym_BSLASHACRshort] = ACTIONS(7043),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHacrlong] = ACTIONS(7043),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7043),
    [anon_sym_BSLASHACRlong] = ACTIONS(7043),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHacrfull] = ACTIONS(7043),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7043),
    [anon_sym_BSLASHACRfull] = ACTIONS(7043),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHacs] = ACTIONS(7043),
    [anon_sym_BSLASHAcs] = ACTIONS(7043),
    [anon_sym_BSLASHacsp] = ACTIONS(7043),
    [anon_sym_BSLASHAcsp] = ACTIONS(7043),
    [anon_sym_BSLASHacl] = ACTIONS(7043),
    [anon_sym_BSLASHAcl] = ACTIONS(7043),
    [anon_sym_BSLASHaclp] = ACTIONS(7043),
    [anon_sym_BSLASHAclp] = ACTIONS(7043),
    [anon_sym_BSLASHacf] = ACTIONS(7043),
    [anon_sym_BSLASHAcf] = ACTIONS(7043),
    [anon_sym_BSLASHacfp] = ACTIONS(7043),
    [anon_sym_BSLASHAcfp] = ACTIONS(7043),
    [anon_sym_BSLASHac] = ACTIONS(7043),
    [anon_sym_BSLASHAc] = ACTIONS(7043),
    [anon_sym_BSLASHacp] = ACTIONS(7043),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7043),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7043),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7043),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7043),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7043),
    [anon_sym_BSLASHcolor] = ACTIONS(7043),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7043),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7043),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7043),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7043),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7043),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7043),
    [anon_sym_BSLASHurl] = ACTIONS(7043),
    [anon_sym_BSLASHhref] = ACTIONS(7043),
  },
  [1999] = {
    [sym_command_name] = ACTIONS(7463),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7463),
    [anon_sym_LBRACK] = ACTIONS(7465),
    [anon_sym_RBRACK] = ACTIONS(7465),
    [anon_sym_COMMA] = ACTIONS(7465),
    [anon_sym_EQ] = ACTIONS(7465),
    [anon_sym_LPAREN] = ACTIONS(7465),
    [anon_sym_RPAREN] = ACTIONS(7465),
    [anon_sym_LBRACE] = ACTIONS(7465),
    [anon_sym_RBRACE] = ACTIONS(7465),
    [sym_word] = ACTIONS(7463),
    [sym_placeholder] = ACTIONS(7465),
    [sym_delimiter] = ACTIONS(7465),
    [anon_sym_PLUS] = ACTIONS(7465),
    [anon_sym_DASH] = ACTIONS(7465),
    [anon_sym_STAR] = ACTIONS(7465),
    [anon_sym_SLASH] = ACTIONS(7465),
    [anon_sym_LT] = ACTIONS(7463),
    [anon_sym_GT] = ACTIONS(7463),
    [anon_sym_BANG] = ACTIONS(7463),
    [anon_sym_PIPE] = ACTIONS(7463),
    [anon_sym_COLON] = ACTIONS(7463),
    [anon_sym_SQUOTE] = ACTIONS(7463),
    [anon_sym__] = ACTIONS(7465),
    [anon_sym_CARET] = ACTIONS(7465),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7465),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7465),
    [anon_sym_DOLLAR] = ACTIONS(7463),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7465),
    [anon_sym_BSLASHleft] = ACTIONS(7463),
    [anon_sym_BSLASHbigl] = ACTIONS(7463),
    [anon_sym_BSLASHBigl] = ACTIONS(7463),
    [anon_sym_BSLASHbiggl] = ACTIONS(7463),
    [anon_sym_BSLASHBiggl] = ACTIONS(7463),
    [anon_sym_BSLASHtext] = ACTIONS(7463),
    [anon_sym_BSLASHintertext] = ACTIONS(7463),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7463),
    [anon_sym_BSLASHtitle] = ACTIONS(7463),
    [anon_sym_BSLASHauthor] = ACTIONS(7463),
    [anon_sym_BSLASHusepackage] = ACTIONS(7463),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7463),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7463),
    [anon_sym_BSLASHinclude] = ACTIONS(7463),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7463),
    [anon_sym_BSLASHinput] = ACTIONS(7463),
    [anon_sym_BSLASHsubfile] = ACTIONS(7463),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7463),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7463),
    [anon_sym_BSLASHbibliography] = ACTIONS(7463),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7463),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7463),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7463),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7463),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7463),
    [anon_sym_BSLASHimport] = ACTIONS(7463),
    [anon_sym_BSLASHsubimport] = ACTIONS(7463),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7463),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7463),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7463),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7463),
    [anon_sym_BSLASHcaption] = ACTIONS(7463),
    [anon_sym_BSLASHcite] = ACTIONS(7463),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCite] = ACTIONS(7463),
    [anon_sym_BSLASHnocite] = ACTIONS(7463),
    [anon_sym_BSLASHcitet] = ACTIONS(7463),
    [anon_sym_BSLASHcitep] = ACTIONS(7463),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteA] = ACTIONS(7463),
    [anon_sym_BSLASHciteR] = ACTIONS(7463),
    [anon_sym_BSLASHciteS] = ACTIONS(7463),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7463),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7463),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7463),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7463),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteyear] = ACTIONS(7463),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitedate] = ACTIONS(7463),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteurl] = ACTIONS(7463),
    [anon_sym_BSLASHfullcite] = ACTIONS(7463),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7463),
    [anon_sym_BSLASHcitealt] = ACTIONS(7463),
    [anon_sym_BSLASHcitealp] = ACTIONS(7463),
    [anon_sym_BSLASHcitetext] = ACTIONS(7463),
    [anon_sym_BSLASHparencite] = ACTIONS(7463),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHParencite] = ACTIONS(7463),
    [anon_sym_BSLASHfootcite] = ACTIONS(7463),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7463),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7463),
    [anon_sym_BSLASHtextcite] = ACTIONS(7463),
    [anon_sym_BSLASHTextcite] = ACTIONS(7463),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7463),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7463),
    [anon_sym_BSLASHsupercite] = ACTIONS(7463),
    [anon_sym_BSLASHautocite] = ACTIONS(7463),
    [anon_sym_BSLASHAutocite] = ACTIONS(7463),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHVolcite] = ACTIONS(7463),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHavolcite] = ACTIONS(7463),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHNotecite] = ACTIONS(7463),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHlabel] = ACTIONS(7463),
    [anon_sym_BSLASHref] = ACTIONS(7463),
    [anon_sym_BSLASHeqref] = ACTIONS(7463),
    [anon_sym_BSLASHvref] = ACTIONS(7463),
    [anon_sym_BSLASHVref] = ACTIONS(7463),
    [anon_sym_BSLASHautoref] = ACTIONS(7463),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHpageref] = ACTIONS(7463),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHautopageref] = ACTIONS(7463),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcref] = ACTIONS(7463),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCref] = ACTIONS(7463),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcpageref] = ACTIONS(7463),
    [anon_sym_BSLASHCpageref] = ACTIONS(7463),
    [anon_sym_BSLASHnamecref] = ACTIONS(7463),
    [anon_sym_BSLASHnameCref] = ACTIONS(7463),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7463),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7463),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7463),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7463),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7463),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7463),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7463),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7463),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7463),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7463),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7463),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHdef] = ACTIONS(7463),
    [anon_sym_BSLASHgdef] = ACTIONS(7463),
    [anon_sym_BSLASHedef] = ACTIONS(7463),
    [anon_sym_BSLASHxdef] = ACTIONS(7463),
    [anon_sym_BSLASHlet] = ACTIONS(7463),
    [anon_sym_BSLASHglet] = ACTIONS(7463),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7463),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7463),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7463),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7463),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7463),
    [anon_sym_BSLASHgls] = ACTIONS(7463),
    [anon_sym_BSLASHGls] = ACTIONS(7463),
    [anon_sym_BSLASHGLS] = ACTIONS(7463),
    [anon_sym_BSLASHglspl] = ACTIONS(7463),
    [anon_sym_BSLASHGlspl] = ACTIONS(7463),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7463),
    [anon_sym_BSLASHglslink] = ACTIONS(7463),
    [anon_sym_BSLASHglstext] = ACTIONS(7463),
    [anon_sym_BSLASHGlstext] = ACTIONS(7463),
    [anon_sym_BSLASHGLStext] = ACTIONS(7463),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7463),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7463),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7463),
    [anon_sym_BSLASHglsplural] = ACTIONS(7463),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7463),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7463),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHglsname] = ACTIONS(7463),
    [anon_sym_BSLASHGlsname] = ACTIONS(7463),
    [anon_sym_BSLASHGLSname] = ACTIONS(7463),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7463),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7463),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7463),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7463),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7463),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7463),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7463),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7463),
    [anon_sym_BSLASHacrshort] = ACTIONS(7463),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7463),
    [anon_sym_BSLASHACRshort] = ACTIONS(7463),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHacrlong] = ACTIONS(7463),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7463),
    [anon_sym_BSLASHACRlong] = ACTIONS(7463),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHacrfull] = ACTIONS(7463),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7463),
    [anon_sym_BSLASHACRfull] = ACTIONS(7463),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHacs] = ACTIONS(7463),
    [anon_sym_BSLASHAcs] = ACTIONS(7463),
    [anon_sym_BSLASHacsp] = ACTIONS(7463),
    [anon_sym_BSLASHAcsp] = ACTIONS(7463),
    [anon_sym_BSLASHacl] = ACTIONS(7463),
    [anon_sym_BSLASHAcl] = ACTIONS(7463),
    [anon_sym_BSLASHaclp] = ACTIONS(7463),
    [anon_sym_BSLASHAclp] = ACTIONS(7463),
    [anon_sym_BSLASHacf] = ACTIONS(7463),
    [anon_sym_BSLASHAcf] = ACTIONS(7463),
    [anon_sym_BSLASHacfp] = ACTIONS(7463),
    [anon_sym_BSLASHAcfp] = ACTIONS(7463),
    [anon_sym_BSLASHac] = ACTIONS(7463),
    [anon_sym_BSLASHAc] = ACTIONS(7463),
    [anon_sym_BSLASHacp] = ACTIONS(7463),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7463),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7463),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7463),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7463),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7463),
    [anon_sym_BSLASHcolor] = ACTIONS(7463),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7463),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7463),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7463),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7463),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7463),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7463),
    [anon_sym_BSLASHurl] = ACTIONS(7463),
    [anon_sym_BSLASHhref] = ACTIONS(7463),
  },
  [2000] = {
    [sym_command_name] = ACTIONS(7467),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7467),
    [anon_sym_LBRACK] = ACTIONS(7469),
    [anon_sym_RBRACK] = ACTIONS(7469),
    [anon_sym_COMMA] = ACTIONS(7469),
    [anon_sym_EQ] = ACTIONS(7469),
    [anon_sym_LPAREN] = ACTIONS(7469),
    [anon_sym_RPAREN] = ACTIONS(7469),
    [anon_sym_LBRACE] = ACTIONS(7469),
    [anon_sym_RBRACE] = ACTIONS(7469),
    [sym_word] = ACTIONS(7467),
    [sym_placeholder] = ACTIONS(7469),
    [sym_delimiter] = ACTIONS(7469),
    [anon_sym_PLUS] = ACTIONS(7469),
    [anon_sym_DASH] = ACTIONS(7469),
    [anon_sym_STAR] = ACTIONS(7469),
    [anon_sym_SLASH] = ACTIONS(7469),
    [anon_sym_LT] = ACTIONS(7467),
    [anon_sym_GT] = ACTIONS(7467),
    [anon_sym_BANG] = ACTIONS(7467),
    [anon_sym_PIPE] = ACTIONS(7467),
    [anon_sym_COLON] = ACTIONS(7467),
    [anon_sym_SQUOTE] = ACTIONS(7467),
    [anon_sym__] = ACTIONS(7469),
    [anon_sym_CARET] = ACTIONS(7469),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7469),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7469),
    [anon_sym_DOLLAR] = ACTIONS(7467),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7469),
    [anon_sym_BSLASHleft] = ACTIONS(7467),
    [anon_sym_BSLASHbigl] = ACTIONS(7467),
    [anon_sym_BSLASHBigl] = ACTIONS(7467),
    [anon_sym_BSLASHbiggl] = ACTIONS(7467),
    [anon_sym_BSLASHBiggl] = ACTIONS(7467),
    [anon_sym_BSLASHtext] = ACTIONS(7467),
    [anon_sym_BSLASHintertext] = ACTIONS(7467),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7467),
    [anon_sym_BSLASHtitle] = ACTIONS(7467),
    [anon_sym_BSLASHauthor] = ACTIONS(7467),
    [anon_sym_BSLASHusepackage] = ACTIONS(7467),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7467),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7467),
    [anon_sym_BSLASHinclude] = ACTIONS(7467),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7467),
    [anon_sym_BSLASHinput] = ACTIONS(7467),
    [anon_sym_BSLASHsubfile] = ACTIONS(7467),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7467),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7467),
    [anon_sym_BSLASHbibliography] = ACTIONS(7467),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7467),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7467),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7467),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7467),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7467),
    [anon_sym_BSLASHimport] = ACTIONS(7467),
    [anon_sym_BSLASHsubimport] = ACTIONS(7467),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7467),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7467),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7467),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7467),
    [anon_sym_BSLASHcaption] = ACTIONS(7467),
    [anon_sym_BSLASHcite] = ACTIONS(7467),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCite] = ACTIONS(7467),
    [anon_sym_BSLASHnocite] = ACTIONS(7467),
    [anon_sym_BSLASHcitet] = ACTIONS(7467),
    [anon_sym_BSLASHcitep] = ACTIONS(7467),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteA] = ACTIONS(7467),
    [anon_sym_BSLASHciteR] = ACTIONS(7467),
    [anon_sym_BSLASHciteS] = ACTIONS(7467),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7467),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7467),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7467),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7467),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteyear] = ACTIONS(7467),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitedate] = ACTIONS(7467),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteurl] = ACTIONS(7467),
    [anon_sym_BSLASHfullcite] = ACTIONS(7467),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7467),
    [anon_sym_BSLASHcitealt] = ACTIONS(7467),
    [anon_sym_BSLASHcitealp] = ACTIONS(7467),
    [anon_sym_BSLASHcitetext] = ACTIONS(7467),
    [anon_sym_BSLASHparencite] = ACTIONS(7467),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHParencite] = ACTIONS(7467),
    [anon_sym_BSLASHfootcite] = ACTIONS(7467),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7467),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7467),
    [anon_sym_BSLASHtextcite] = ACTIONS(7467),
    [anon_sym_BSLASHTextcite] = ACTIONS(7467),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7467),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7467),
    [anon_sym_BSLASHsupercite] = ACTIONS(7467),
    [anon_sym_BSLASHautocite] = ACTIONS(7467),
    [anon_sym_BSLASHAutocite] = ACTIONS(7467),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHVolcite] = ACTIONS(7467),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHavolcite] = ACTIONS(7467),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHNotecite] = ACTIONS(7467),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHlabel] = ACTIONS(7467),
    [anon_sym_BSLASHref] = ACTIONS(7467),
    [anon_sym_BSLASHeqref] = ACTIONS(7467),
    [anon_sym_BSLASHvref] = ACTIONS(7467),
    [anon_sym_BSLASHVref] = ACTIONS(7467),
    [anon_sym_BSLASHautoref] = ACTIONS(7467),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHpageref] = ACTIONS(7467),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHautopageref] = ACTIONS(7467),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcref] = ACTIONS(7467),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCref] = ACTIONS(7467),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcpageref] = ACTIONS(7467),
    [anon_sym_BSLASHCpageref] = ACTIONS(7467),
    [anon_sym_BSLASHnamecref] = ACTIONS(7467),
    [anon_sym_BSLASHnameCref] = ACTIONS(7467),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7467),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7467),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7467),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7467),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7467),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7467),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7467),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7467),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7467),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7467),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7467),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHdef] = ACTIONS(7467),
    [anon_sym_BSLASHgdef] = ACTIONS(7467),
    [anon_sym_BSLASHedef] = ACTIONS(7467),
    [anon_sym_BSLASHxdef] = ACTIONS(7467),
    [anon_sym_BSLASHlet] = ACTIONS(7467),
    [anon_sym_BSLASHglet] = ACTIONS(7467),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7467),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7467),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7467),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7467),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7467),
    [anon_sym_BSLASHgls] = ACTIONS(7467),
    [anon_sym_BSLASHGls] = ACTIONS(7467),
    [anon_sym_BSLASHGLS] = ACTIONS(7467),
    [anon_sym_BSLASHglspl] = ACTIONS(7467),
    [anon_sym_BSLASHGlspl] = ACTIONS(7467),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7467),
    [anon_sym_BSLASHglslink] = ACTIONS(7467),
    [anon_sym_BSLASHglstext] = ACTIONS(7467),
    [anon_sym_BSLASHGlstext] = ACTIONS(7467),
    [anon_sym_BSLASHGLStext] = ACTIONS(7467),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7467),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7467),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7467),
    [anon_sym_BSLASHglsplural] = ACTIONS(7467),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7467),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7467),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHglsname] = ACTIONS(7467),
    [anon_sym_BSLASHGlsname] = ACTIONS(7467),
    [anon_sym_BSLASHGLSname] = ACTIONS(7467),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7467),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7467),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7467),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7467),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7467),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7467),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7467),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7467),
    [anon_sym_BSLASHacrshort] = ACTIONS(7467),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7467),
    [anon_sym_BSLASHACRshort] = ACTIONS(7467),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHacrlong] = ACTIONS(7467),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7467),
    [anon_sym_BSLASHACRlong] = ACTIONS(7467),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHacrfull] = ACTIONS(7467),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7467),
    [anon_sym_BSLASHACRfull] = ACTIONS(7467),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHacs] = ACTIONS(7467),
    [anon_sym_BSLASHAcs] = ACTIONS(7467),
    [anon_sym_BSLASHacsp] = ACTIONS(7467),
    [anon_sym_BSLASHAcsp] = ACTIONS(7467),
    [anon_sym_BSLASHacl] = ACTIONS(7467),
    [anon_sym_BSLASHAcl] = ACTIONS(7467),
    [anon_sym_BSLASHaclp] = ACTIONS(7467),
    [anon_sym_BSLASHAclp] = ACTIONS(7467),
    [anon_sym_BSLASHacf] = ACTIONS(7467),
    [anon_sym_BSLASHAcf] = ACTIONS(7467),
    [anon_sym_BSLASHacfp] = ACTIONS(7467),
    [anon_sym_BSLASHAcfp] = ACTIONS(7467),
    [anon_sym_BSLASHac] = ACTIONS(7467),
    [anon_sym_BSLASHAc] = ACTIONS(7467),
    [anon_sym_BSLASHacp] = ACTIONS(7467),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7467),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7467),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7467),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7467),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7467),
    [anon_sym_BSLASHcolor] = ACTIONS(7467),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7467),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7467),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7467),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7467),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7467),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7467),
    [anon_sym_BSLASHurl] = ACTIONS(7467),
    [anon_sym_BSLASHhref] = ACTIONS(7467),
  },
  [2001] = {
    [sym_command_name] = ACTIONS(7471),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7471),
    [anon_sym_LBRACK] = ACTIONS(7473),
    [anon_sym_RBRACK] = ACTIONS(7473),
    [anon_sym_COMMA] = ACTIONS(7473),
    [anon_sym_EQ] = ACTIONS(7473),
    [anon_sym_LPAREN] = ACTIONS(7473),
    [anon_sym_RPAREN] = ACTIONS(7473),
    [anon_sym_LBRACE] = ACTIONS(7473),
    [anon_sym_RBRACE] = ACTIONS(7473),
    [sym_word] = ACTIONS(7471),
    [sym_placeholder] = ACTIONS(7473),
    [sym_delimiter] = ACTIONS(7473),
    [anon_sym_PLUS] = ACTIONS(7473),
    [anon_sym_DASH] = ACTIONS(7473),
    [anon_sym_STAR] = ACTIONS(7473),
    [anon_sym_SLASH] = ACTIONS(7473),
    [anon_sym_LT] = ACTIONS(7471),
    [anon_sym_GT] = ACTIONS(7471),
    [anon_sym_BANG] = ACTIONS(7471),
    [anon_sym_PIPE] = ACTIONS(7471),
    [anon_sym_COLON] = ACTIONS(7471),
    [anon_sym_SQUOTE] = ACTIONS(7471),
    [anon_sym__] = ACTIONS(7473),
    [anon_sym_CARET] = ACTIONS(7473),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7473),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7473),
    [anon_sym_DOLLAR] = ACTIONS(7471),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7473),
    [anon_sym_BSLASHleft] = ACTIONS(7471),
    [anon_sym_BSLASHbigl] = ACTIONS(7471),
    [anon_sym_BSLASHBigl] = ACTIONS(7471),
    [anon_sym_BSLASHbiggl] = ACTIONS(7471),
    [anon_sym_BSLASHBiggl] = ACTIONS(7471),
    [anon_sym_BSLASHtext] = ACTIONS(7471),
    [anon_sym_BSLASHintertext] = ACTIONS(7471),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7471),
    [anon_sym_BSLASHtitle] = ACTIONS(7471),
    [anon_sym_BSLASHauthor] = ACTIONS(7471),
    [anon_sym_BSLASHusepackage] = ACTIONS(7471),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7471),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7471),
    [anon_sym_BSLASHinclude] = ACTIONS(7471),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7471),
    [anon_sym_BSLASHinput] = ACTIONS(7471),
    [anon_sym_BSLASHsubfile] = ACTIONS(7471),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7471),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7471),
    [anon_sym_BSLASHbibliography] = ACTIONS(7471),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7471),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7471),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7471),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7471),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7471),
    [anon_sym_BSLASHimport] = ACTIONS(7471),
    [anon_sym_BSLASHsubimport] = ACTIONS(7471),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7471),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7471),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7471),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7471),
    [anon_sym_BSLASHcaption] = ACTIONS(7471),
    [anon_sym_BSLASHcite] = ACTIONS(7471),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCite] = ACTIONS(7471),
    [anon_sym_BSLASHnocite] = ACTIONS(7471),
    [anon_sym_BSLASHcitet] = ACTIONS(7471),
    [anon_sym_BSLASHcitep] = ACTIONS(7471),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteA] = ACTIONS(7471),
    [anon_sym_BSLASHciteR] = ACTIONS(7471),
    [anon_sym_BSLASHciteS] = ACTIONS(7471),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7471),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7471),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7471),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7471),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteyear] = ACTIONS(7471),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitedate] = ACTIONS(7471),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteurl] = ACTIONS(7471),
    [anon_sym_BSLASHfullcite] = ACTIONS(7471),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7471),
    [anon_sym_BSLASHcitealt] = ACTIONS(7471),
    [anon_sym_BSLASHcitealp] = ACTIONS(7471),
    [anon_sym_BSLASHcitetext] = ACTIONS(7471),
    [anon_sym_BSLASHparencite] = ACTIONS(7471),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHParencite] = ACTIONS(7471),
    [anon_sym_BSLASHfootcite] = ACTIONS(7471),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7471),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7471),
    [anon_sym_BSLASHtextcite] = ACTIONS(7471),
    [anon_sym_BSLASHTextcite] = ACTIONS(7471),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7471),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7471),
    [anon_sym_BSLASHsupercite] = ACTIONS(7471),
    [anon_sym_BSLASHautocite] = ACTIONS(7471),
    [anon_sym_BSLASHAutocite] = ACTIONS(7471),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHVolcite] = ACTIONS(7471),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHavolcite] = ACTIONS(7471),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHNotecite] = ACTIONS(7471),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHlabel] = ACTIONS(7471),
    [anon_sym_BSLASHref] = ACTIONS(7471),
    [anon_sym_BSLASHeqref] = ACTIONS(7471),
    [anon_sym_BSLASHvref] = ACTIONS(7471),
    [anon_sym_BSLASHVref] = ACTIONS(7471),
    [anon_sym_BSLASHautoref] = ACTIONS(7471),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHpageref] = ACTIONS(7471),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHautopageref] = ACTIONS(7471),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcref] = ACTIONS(7471),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCref] = ACTIONS(7471),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcpageref] = ACTIONS(7471),
    [anon_sym_BSLASHCpageref] = ACTIONS(7471),
    [anon_sym_BSLASHnamecref] = ACTIONS(7471),
    [anon_sym_BSLASHnameCref] = ACTIONS(7471),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7471),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7471),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7471),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7471),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7471),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7471),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7471),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7471),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7471),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7471),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7471),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHdef] = ACTIONS(7471),
    [anon_sym_BSLASHgdef] = ACTIONS(7471),
    [anon_sym_BSLASHedef] = ACTIONS(7471),
    [anon_sym_BSLASHxdef] = ACTIONS(7471),
    [anon_sym_BSLASHlet] = ACTIONS(7471),
    [anon_sym_BSLASHglet] = ACTIONS(7471),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7471),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7471),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7471),
    [anon_sym_BSLASHgls] = ACTIONS(7471),
    [anon_sym_BSLASHGls] = ACTIONS(7471),
    [anon_sym_BSLASHGLS] = ACTIONS(7471),
    [anon_sym_BSLASHglspl] = ACTIONS(7471),
    [anon_sym_BSLASHGlspl] = ACTIONS(7471),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7471),
    [anon_sym_BSLASHglslink] = ACTIONS(7471),
    [anon_sym_BSLASHglstext] = ACTIONS(7471),
    [anon_sym_BSLASHGlstext] = ACTIONS(7471),
    [anon_sym_BSLASHGLStext] = ACTIONS(7471),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7471),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7471),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7471),
    [anon_sym_BSLASHglsplural] = ACTIONS(7471),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7471),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7471),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHglsname] = ACTIONS(7471),
    [anon_sym_BSLASHGlsname] = ACTIONS(7471),
    [anon_sym_BSLASHGLSname] = ACTIONS(7471),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7471),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7471),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7471),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7471),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7471),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7471),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7471),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7471),
    [anon_sym_BSLASHacrshort] = ACTIONS(7471),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7471),
    [anon_sym_BSLASHACRshort] = ACTIONS(7471),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHacrlong] = ACTIONS(7471),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7471),
    [anon_sym_BSLASHACRlong] = ACTIONS(7471),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHacrfull] = ACTIONS(7471),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7471),
    [anon_sym_BSLASHACRfull] = ACTIONS(7471),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHacs] = ACTIONS(7471),
    [anon_sym_BSLASHAcs] = ACTIONS(7471),
    [anon_sym_BSLASHacsp] = ACTIONS(7471),
    [anon_sym_BSLASHAcsp] = ACTIONS(7471),
    [anon_sym_BSLASHacl] = ACTIONS(7471),
    [anon_sym_BSLASHAcl] = ACTIONS(7471),
    [anon_sym_BSLASHaclp] = ACTIONS(7471),
    [anon_sym_BSLASHAclp] = ACTIONS(7471),
    [anon_sym_BSLASHacf] = ACTIONS(7471),
    [anon_sym_BSLASHAcf] = ACTIONS(7471),
    [anon_sym_BSLASHacfp] = ACTIONS(7471),
    [anon_sym_BSLASHAcfp] = ACTIONS(7471),
    [anon_sym_BSLASHac] = ACTIONS(7471),
    [anon_sym_BSLASHAc] = ACTIONS(7471),
    [anon_sym_BSLASHacp] = ACTIONS(7471),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7471),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7471),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7471),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7471),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7471),
    [anon_sym_BSLASHcolor] = ACTIONS(7471),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7471),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7471),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7471),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7471),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7471),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7471),
    [anon_sym_BSLASHurl] = ACTIONS(7471),
    [anon_sym_BSLASHhref] = ACTIONS(7471),
  },
  [2002] = {
    [sym_command_name] = ACTIONS(7475),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7475),
    [anon_sym_LBRACK] = ACTIONS(7477),
    [anon_sym_RBRACK] = ACTIONS(7477),
    [anon_sym_COMMA] = ACTIONS(7477),
    [anon_sym_EQ] = ACTIONS(7477),
    [anon_sym_LPAREN] = ACTIONS(7477),
    [anon_sym_RPAREN] = ACTIONS(7477),
    [anon_sym_LBRACE] = ACTIONS(7477),
    [anon_sym_RBRACE] = ACTIONS(7477),
    [sym_word] = ACTIONS(7475),
    [sym_placeholder] = ACTIONS(7477),
    [sym_delimiter] = ACTIONS(7477),
    [anon_sym_PLUS] = ACTIONS(7477),
    [anon_sym_DASH] = ACTIONS(7477),
    [anon_sym_STAR] = ACTIONS(7477),
    [anon_sym_SLASH] = ACTIONS(7477),
    [anon_sym_LT] = ACTIONS(7475),
    [anon_sym_GT] = ACTIONS(7475),
    [anon_sym_BANG] = ACTIONS(7475),
    [anon_sym_PIPE] = ACTIONS(7475),
    [anon_sym_COLON] = ACTIONS(7475),
    [anon_sym_SQUOTE] = ACTIONS(7475),
    [anon_sym__] = ACTIONS(7477),
    [anon_sym_CARET] = ACTIONS(7477),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7477),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7477),
    [anon_sym_DOLLAR] = ACTIONS(7475),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7477),
    [anon_sym_BSLASHleft] = ACTIONS(7475),
    [anon_sym_BSLASHbigl] = ACTIONS(7475),
    [anon_sym_BSLASHBigl] = ACTIONS(7475),
    [anon_sym_BSLASHbiggl] = ACTIONS(7475),
    [anon_sym_BSLASHBiggl] = ACTIONS(7475),
    [anon_sym_BSLASHtext] = ACTIONS(7475),
    [anon_sym_BSLASHintertext] = ACTIONS(7475),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7475),
    [anon_sym_BSLASHtitle] = ACTIONS(7475),
    [anon_sym_BSLASHauthor] = ACTIONS(7475),
    [anon_sym_BSLASHusepackage] = ACTIONS(7475),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7475),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7475),
    [anon_sym_BSLASHinclude] = ACTIONS(7475),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7475),
    [anon_sym_BSLASHinput] = ACTIONS(7475),
    [anon_sym_BSLASHsubfile] = ACTIONS(7475),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7475),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7475),
    [anon_sym_BSLASHbibliography] = ACTIONS(7475),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7475),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7475),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7475),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7475),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7475),
    [anon_sym_BSLASHimport] = ACTIONS(7475),
    [anon_sym_BSLASHsubimport] = ACTIONS(7475),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7475),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7475),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7475),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7475),
    [anon_sym_BSLASHcaption] = ACTIONS(7475),
    [anon_sym_BSLASHcite] = ACTIONS(7475),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCite] = ACTIONS(7475),
    [anon_sym_BSLASHnocite] = ACTIONS(7475),
    [anon_sym_BSLASHcitet] = ACTIONS(7475),
    [anon_sym_BSLASHcitep] = ACTIONS(7475),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteA] = ACTIONS(7475),
    [anon_sym_BSLASHciteR] = ACTIONS(7475),
    [anon_sym_BSLASHciteS] = ACTIONS(7475),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7475),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7475),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7475),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7475),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteyear] = ACTIONS(7475),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitedate] = ACTIONS(7475),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteurl] = ACTIONS(7475),
    [anon_sym_BSLASHfullcite] = ACTIONS(7475),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7475),
    [anon_sym_BSLASHcitealt] = ACTIONS(7475),
    [anon_sym_BSLASHcitealp] = ACTIONS(7475),
    [anon_sym_BSLASHcitetext] = ACTIONS(7475),
    [anon_sym_BSLASHparencite] = ACTIONS(7475),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHParencite] = ACTIONS(7475),
    [anon_sym_BSLASHfootcite] = ACTIONS(7475),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7475),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7475),
    [anon_sym_BSLASHtextcite] = ACTIONS(7475),
    [anon_sym_BSLASHTextcite] = ACTIONS(7475),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7475),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7475),
    [anon_sym_BSLASHsupercite] = ACTIONS(7475),
    [anon_sym_BSLASHautocite] = ACTIONS(7475),
    [anon_sym_BSLASHAutocite] = ACTIONS(7475),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHVolcite] = ACTIONS(7475),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHavolcite] = ACTIONS(7475),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHNotecite] = ACTIONS(7475),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHlabel] = ACTIONS(7475),
    [anon_sym_BSLASHref] = ACTIONS(7475),
    [anon_sym_BSLASHeqref] = ACTIONS(7475),
    [anon_sym_BSLASHvref] = ACTIONS(7475),
    [anon_sym_BSLASHVref] = ACTIONS(7475),
    [anon_sym_BSLASHautoref] = ACTIONS(7475),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHpageref] = ACTIONS(7475),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHautopageref] = ACTIONS(7475),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcref] = ACTIONS(7475),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCref] = ACTIONS(7475),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcpageref] = ACTIONS(7475),
    [anon_sym_BSLASHCpageref] = ACTIONS(7475),
    [anon_sym_BSLASHnamecref] = ACTIONS(7475),
    [anon_sym_BSLASHnameCref] = ACTIONS(7475),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7475),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7475),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7475),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7475),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7475),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7475),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7475),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7475),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7475),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7475),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7475),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHdef] = ACTIONS(7475),
    [anon_sym_BSLASHgdef] = ACTIONS(7475),
    [anon_sym_BSLASHedef] = ACTIONS(7475),
    [anon_sym_BSLASHxdef] = ACTIONS(7475),
    [anon_sym_BSLASHlet] = ACTIONS(7475),
    [anon_sym_BSLASHglet] = ACTIONS(7475),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7475),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7475),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7475),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7475),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7475),
    [anon_sym_BSLASHgls] = ACTIONS(7475),
    [anon_sym_BSLASHGls] = ACTIONS(7475),
    [anon_sym_BSLASHGLS] = ACTIONS(7475),
    [anon_sym_BSLASHglspl] = ACTIONS(7475),
    [anon_sym_BSLASHGlspl] = ACTIONS(7475),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7475),
    [anon_sym_BSLASHglslink] = ACTIONS(7475),
    [anon_sym_BSLASHglstext] = ACTIONS(7475),
    [anon_sym_BSLASHGlstext] = ACTIONS(7475),
    [anon_sym_BSLASHGLStext] = ACTIONS(7475),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7475),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7475),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7475),
    [anon_sym_BSLASHglsplural] = ACTIONS(7475),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7475),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7475),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHglsname] = ACTIONS(7475),
    [anon_sym_BSLASHGlsname] = ACTIONS(7475),
    [anon_sym_BSLASHGLSname] = ACTIONS(7475),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7475),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7475),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7475),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7475),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7475),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7475),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7475),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7475),
    [anon_sym_BSLASHacrshort] = ACTIONS(7475),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7475),
    [anon_sym_BSLASHACRshort] = ACTIONS(7475),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHacrlong] = ACTIONS(7475),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7475),
    [anon_sym_BSLASHACRlong] = ACTIONS(7475),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHacrfull] = ACTIONS(7475),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7475),
    [anon_sym_BSLASHACRfull] = ACTIONS(7475),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHacs] = ACTIONS(7475),
    [anon_sym_BSLASHAcs] = ACTIONS(7475),
    [anon_sym_BSLASHacsp] = ACTIONS(7475),
    [anon_sym_BSLASHAcsp] = ACTIONS(7475),
    [anon_sym_BSLASHacl] = ACTIONS(7475),
    [anon_sym_BSLASHAcl] = ACTIONS(7475),
    [anon_sym_BSLASHaclp] = ACTIONS(7475),
    [anon_sym_BSLASHAclp] = ACTIONS(7475),
    [anon_sym_BSLASHacf] = ACTIONS(7475),
    [anon_sym_BSLASHAcf] = ACTIONS(7475),
    [anon_sym_BSLASHacfp] = ACTIONS(7475),
    [anon_sym_BSLASHAcfp] = ACTIONS(7475),
    [anon_sym_BSLASHac] = ACTIONS(7475),
    [anon_sym_BSLASHAc] = ACTIONS(7475),
    [anon_sym_BSLASHacp] = ACTIONS(7475),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7475),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7475),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7475),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7475),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7475),
    [anon_sym_BSLASHcolor] = ACTIONS(7475),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7475),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7475),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7475),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7475),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7475),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7475),
    [anon_sym_BSLASHurl] = ACTIONS(7475),
    [anon_sym_BSLASHhref] = ACTIONS(7475),
  },
  [2003] = {
    [sym_command_name] = ACTIONS(7479),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(7481),
    [anon_sym_RBRACK] = ACTIONS(7481),
    [anon_sym_COMMA] = ACTIONS(7481),
    [anon_sym_EQ] = ACTIONS(7481),
    [anon_sym_LPAREN] = ACTIONS(7481),
    [anon_sym_RPAREN] = ACTIONS(7481),
    [anon_sym_LBRACE] = ACTIONS(7481),
    [anon_sym_RBRACE] = ACTIONS(7481),
    [sym_word] = ACTIONS(7479),
    [sym_placeholder] = ACTIONS(7481),
    [sym_delimiter] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7481),
    [anon_sym_DASH] = ACTIONS(7481),
    [anon_sym_STAR] = ACTIONS(7481),
    [anon_sym_SLASH] = ACTIONS(7481),
    [anon_sym_LT] = ACTIONS(7479),
    [anon_sym_GT] = ACTIONS(7479),
    [anon_sym_BANG] = ACTIONS(7479),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_COLON] = ACTIONS(7479),
    [anon_sym_SQUOTE] = ACTIONS(7479),
    [anon_sym__] = ACTIONS(7481),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7481),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7481),
    [anon_sym_DOLLAR] = ACTIONS(7479),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7481),
    [anon_sym_BSLASHleft] = ACTIONS(7479),
    [anon_sym_BSLASHbigl] = ACTIONS(7479),
    [anon_sym_BSLASHBigl] = ACTIONS(7479),
    [anon_sym_BSLASHbiggl] = ACTIONS(7479),
    [anon_sym_BSLASHBiggl] = ACTIONS(7479),
    [anon_sym_BSLASHtext] = ACTIONS(7479),
    [anon_sym_BSLASHintertext] = ACTIONS(7479),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7479),
    [anon_sym_BSLASHtitle] = ACTIONS(7479),
    [anon_sym_BSLASHauthor] = ACTIONS(7479),
    [anon_sym_BSLASHusepackage] = ACTIONS(7479),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7479),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7479),
    [anon_sym_BSLASHinclude] = ACTIONS(7479),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7479),
    [anon_sym_BSLASHinput] = ACTIONS(7479),
    [anon_sym_BSLASHsubfile] = ACTIONS(7479),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7479),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7479),
    [anon_sym_BSLASHbibliography] = ACTIONS(7479),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7479),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7479),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7479),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7479),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7479),
    [anon_sym_BSLASHimport] = ACTIONS(7479),
    [anon_sym_BSLASHsubimport] = ACTIONS(7479),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7479),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7479),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7479),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7479),
    [anon_sym_BSLASHcaption] = ACTIONS(7479),
    [anon_sym_BSLASHcite] = ACTIONS(7479),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCite] = ACTIONS(7479),
    [anon_sym_BSLASHnocite] = ACTIONS(7479),
    [anon_sym_BSLASHcitet] = ACTIONS(7479),
    [anon_sym_BSLASHcitep] = ACTIONS(7479),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteA] = ACTIONS(7479),
    [anon_sym_BSLASHciteR] = ACTIONS(7479),
    [anon_sym_BSLASHciteS] = ACTIONS(7479),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7479),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7479),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7479),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7479),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteyear] = ACTIONS(7479),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitedate] = ACTIONS(7479),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteurl] = ACTIONS(7479),
    [anon_sym_BSLASHfullcite] = ACTIONS(7479),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7479),
    [anon_sym_BSLASHcitealt] = ACTIONS(7479),
    [anon_sym_BSLASHcitealp] = ACTIONS(7479),
    [anon_sym_BSLASHcitetext] = ACTIONS(7479),
    [anon_sym_BSLASHparencite] = ACTIONS(7479),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHParencite] = ACTIONS(7479),
    [anon_sym_BSLASHfootcite] = ACTIONS(7479),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7479),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7479),
    [anon_sym_BSLASHtextcite] = ACTIONS(7479),
    [anon_sym_BSLASHTextcite] = ACTIONS(7479),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7479),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7479),
    [anon_sym_BSLASHsupercite] = ACTIONS(7479),
    [anon_sym_BSLASHautocite] = ACTIONS(7479),
    [anon_sym_BSLASHAutocite] = ACTIONS(7479),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHVolcite] = ACTIONS(7479),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHavolcite] = ACTIONS(7479),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHNotecite] = ACTIONS(7479),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHlabel] = ACTIONS(7479),
    [anon_sym_BSLASHref] = ACTIONS(7479),
    [anon_sym_BSLASHeqref] = ACTIONS(7479),
    [anon_sym_BSLASHvref] = ACTIONS(7479),
    [anon_sym_BSLASHVref] = ACTIONS(7479),
    [anon_sym_BSLASHautoref] = ACTIONS(7479),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHpageref] = ACTIONS(7479),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHautopageref] = ACTIONS(7479),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcref] = ACTIONS(7479),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCref] = ACTIONS(7479),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcpageref] = ACTIONS(7479),
    [anon_sym_BSLASHCpageref] = ACTIONS(7479),
    [anon_sym_BSLASHnamecref] = ACTIONS(7479),
    [anon_sym_BSLASHnameCref] = ACTIONS(7479),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7479),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7479),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7479),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7479),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7479),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7479),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7479),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7479),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7479),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7479),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7479),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHdef] = ACTIONS(7479),
    [anon_sym_BSLASHgdef] = ACTIONS(7479),
    [anon_sym_BSLASHedef] = ACTIONS(7479),
    [anon_sym_BSLASHxdef] = ACTIONS(7479),
    [anon_sym_BSLASHlet] = ACTIONS(7479),
    [anon_sym_BSLASHglet] = ACTIONS(7479),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7479),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7479),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7479),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7479),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7479),
    [anon_sym_BSLASHgls] = ACTIONS(7479),
    [anon_sym_BSLASHGls] = ACTIONS(7479),
    [anon_sym_BSLASHGLS] = ACTIONS(7479),
    [anon_sym_BSLASHglspl] = ACTIONS(7479),
    [anon_sym_BSLASHGlspl] = ACTIONS(7479),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7479),
    [anon_sym_BSLASHglslink] = ACTIONS(7479),
    [anon_sym_BSLASHglstext] = ACTIONS(7479),
    [anon_sym_BSLASHGlstext] = ACTIONS(7479),
    [anon_sym_BSLASHGLStext] = ACTIONS(7479),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7479),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7479),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7479),
    [anon_sym_BSLASHglsplural] = ACTIONS(7479),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7479),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7479),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHglsname] = ACTIONS(7479),
    [anon_sym_BSLASHGlsname] = ACTIONS(7479),
    [anon_sym_BSLASHGLSname] = ACTIONS(7479),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7479),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7479),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7479),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7479),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7479),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7479),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7479),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7479),
    [anon_sym_BSLASHacrshort] = ACTIONS(7479),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7479),
    [anon_sym_BSLASHACRshort] = ACTIONS(7479),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHacrlong] = ACTIONS(7479),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7479),
    [anon_sym_BSLASHACRlong] = ACTIONS(7479),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHacrfull] = ACTIONS(7479),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7479),
    [anon_sym_BSLASHACRfull] = ACTIONS(7479),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHacs] = ACTIONS(7479),
    [anon_sym_BSLASHAcs] = ACTIONS(7479),
    [anon_sym_BSLASHacsp] = ACTIONS(7479),
    [anon_sym_BSLASHAcsp] = ACTIONS(7479),
    [anon_sym_BSLASHacl] = ACTIONS(7479),
    [anon_sym_BSLASHAcl] = ACTIONS(7479),
    [anon_sym_BSLASHaclp] = ACTIONS(7479),
    [anon_sym_BSLASHAclp] = ACTIONS(7479),
    [anon_sym_BSLASHacf] = ACTIONS(7479),
    [anon_sym_BSLASHAcf] = ACTIONS(7479),
    [anon_sym_BSLASHacfp] = ACTIONS(7479),
    [anon_sym_BSLASHAcfp] = ACTIONS(7479),
    [anon_sym_BSLASHac] = ACTIONS(7479),
    [anon_sym_BSLASHAc] = ACTIONS(7479),
    [anon_sym_BSLASHacp] = ACTIONS(7479),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7479),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7479),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7479),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7479),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7479),
    [anon_sym_BSLASHcolor] = ACTIONS(7479),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7479),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7479),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7479),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7479),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7479),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7479),
    [anon_sym_BSLASHurl] = ACTIONS(7479),
    [anon_sym_BSLASHhref] = ACTIONS(7479),
  },
  [2004] = {
    [sym_command_name] = ACTIONS(7483),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7483),
    [anon_sym_LBRACK] = ACTIONS(7485),
    [anon_sym_RBRACK] = ACTIONS(7485),
    [anon_sym_COMMA] = ACTIONS(7485),
    [anon_sym_EQ] = ACTIONS(7485),
    [anon_sym_LPAREN] = ACTIONS(7485),
    [anon_sym_RPAREN] = ACTIONS(7485),
    [anon_sym_LBRACE] = ACTIONS(7485),
    [anon_sym_RBRACE] = ACTIONS(7485),
    [sym_word] = ACTIONS(7483),
    [sym_placeholder] = ACTIONS(7485),
    [sym_delimiter] = ACTIONS(7485),
    [anon_sym_PLUS] = ACTIONS(7485),
    [anon_sym_DASH] = ACTIONS(7485),
    [anon_sym_STAR] = ACTIONS(7485),
    [anon_sym_SLASH] = ACTIONS(7485),
    [anon_sym_LT] = ACTIONS(7483),
    [anon_sym_GT] = ACTIONS(7483),
    [anon_sym_BANG] = ACTIONS(7483),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_COLON] = ACTIONS(7483),
    [anon_sym_SQUOTE] = ACTIONS(7483),
    [anon_sym__] = ACTIONS(7485),
    [anon_sym_CARET] = ACTIONS(7485),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7485),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7485),
    [anon_sym_DOLLAR] = ACTIONS(7483),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7485),
    [anon_sym_BSLASHleft] = ACTIONS(7483),
    [anon_sym_BSLASHbigl] = ACTIONS(7483),
    [anon_sym_BSLASHBigl] = ACTIONS(7483),
    [anon_sym_BSLASHbiggl] = ACTIONS(7483),
    [anon_sym_BSLASHBiggl] = ACTIONS(7483),
    [anon_sym_BSLASHtext] = ACTIONS(7483),
    [anon_sym_BSLASHintertext] = ACTIONS(7483),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7483),
    [anon_sym_BSLASHtitle] = ACTIONS(7483),
    [anon_sym_BSLASHauthor] = ACTIONS(7483),
    [anon_sym_BSLASHusepackage] = ACTIONS(7483),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7483),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7483),
    [anon_sym_BSLASHinclude] = ACTIONS(7483),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7483),
    [anon_sym_BSLASHinput] = ACTIONS(7483),
    [anon_sym_BSLASHsubfile] = ACTIONS(7483),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7483),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7483),
    [anon_sym_BSLASHbibliography] = ACTIONS(7483),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7483),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7483),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7483),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7483),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7483),
    [anon_sym_BSLASHimport] = ACTIONS(7483),
    [anon_sym_BSLASHsubimport] = ACTIONS(7483),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7483),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7483),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7483),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7483),
    [anon_sym_BSLASHcaption] = ACTIONS(7483),
    [anon_sym_BSLASHcite] = ACTIONS(7483),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCite] = ACTIONS(7483),
    [anon_sym_BSLASHnocite] = ACTIONS(7483),
    [anon_sym_BSLASHcitet] = ACTIONS(7483),
    [anon_sym_BSLASHcitep] = ACTIONS(7483),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteA] = ACTIONS(7483),
    [anon_sym_BSLASHciteR] = ACTIONS(7483),
    [anon_sym_BSLASHciteS] = ACTIONS(7483),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7483),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7483),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7483),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7483),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteyear] = ACTIONS(7483),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitedate] = ACTIONS(7483),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteurl] = ACTIONS(7483),
    [anon_sym_BSLASHfullcite] = ACTIONS(7483),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7483),
    [anon_sym_BSLASHcitealt] = ACTIONS(7483),
    [anon_sym_BSLASHcitealp] = ACTIONS(7483),
    [anon_sym_BSLASHcitetext] = ACTIONS(7483),
    [anon_sym_BSLASHparencite] = ACTIONS(7483),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHParencite] = ACTIONS(7483),
    [anon_sym_BSLASHfootcite] = ACTIONS(7483),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7483),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7483),
    [anon_sym_BSLASHtextcite] = ACTIONS(7483),
    [anon_sym_BSLASHTextcite] = ACTIONS(7483),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7483),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7483),
    [anon_sym_BSLASHsupercite] = ACTIONS(7483),
    [anon_sym_BSLASHautocite] = ACTIONS(7483),
    [anon_sym_BSLASHAutocite] = ACTIONS(7483),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHVolcite] = ACTIONS(7483),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHavolcite] = ACTIONS(7483),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHNotecite] = ACTIONS(7483),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHlabel] = ACTIONS(7483),
    [anon_sym_BSLASHref] = ACTIONS(7483),
    [anon_sym_BSLASHeqref] = ACTIONS(7483),
    [anon_sym_BSLASHvref] = ACTIONS(7483),
    [anon_sym_BSLASHVref] = ACTIONS(7483),
    [anon_sym_BSLASHautoref] = ACTIONS(7483),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHpageref] = ACTIONS(7483),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHautopageref] = ACTIONS(7483),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcref] = ACTIONS(7483),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCref] = ACTIONS(7483),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcpageref] = ACTIONS(7483),
    [anon_sym_BSLASHCpageref] = ACTIONS(7483),
    [anon_sym_BSLASHnamecref] = ACTIONS(7483),
    [anon_sym_BSLASHnameCref] = ACTIONS(7483),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7483),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7483),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7483),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7483),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7483),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7483),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7483),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7483),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7483),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7483),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7483),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHdef] = ACTIONS(7483),
    [anon_sym_BSLASHgdef] = ACTIONS(7483),
    [anon_sym_BSLASHedef] = ACTIONS(7483),
    [anon_sym_BSLASHxdef] = ACTIONS(7483),
    [anon_sym_BSLASHlet] = ACTIONS(7483),
    [anon_sym_BSLASHglet] = ACTIONS(7483),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7483),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7483),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7483),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7483),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7483),
    [anon_sym_BSLASHgls] = ACTIONS(7483),
    [anon_sym_BSLASHGls] = ACTIONS(7483),
    [anon_sym_BSLASHGLS] = ACTIONS(7483),
    [anon_sym_BSLASHglspl] = ACTIONS(7483),
    [anon_sym_BSLASHGlspl] = ACTIONS(7483),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7483),
    [anon_sym_BSLASHglslink] = ACTIONS(7483),
    [anon_sym_BSLASHglstext] = ACTIONS(7483),
    [anon_sym_BSLASHGlstext] = ACTIONS(7483),
    [anon_sym_BSLASHGLStext] = ACTIONS(7483),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7483),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7483),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7483),
    [anon_sym_BSLASHglsplural] = ACTIONS(7483),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7483),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7483),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHglsname] = ACTIONS(7483),
    [anon_sym_BSLASHGlsname] = ACTIONS(7483),
    [anon_sym_BSLASHGLSname] = ACTIONS(7483),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7483),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7483),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7483),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7483),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7483),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7483),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7483),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7483),
    [anon_sym_BSLASHacrshort] = ACTIONS(7483),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7483),
    [anon_sym_BSLASHACRshort] = ACTIONS(7483),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHacrlong] = ACTIONS(7483),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7483),
    [anon_sym_BSLASHACRlong] = ACTIONS(7483),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHacrfull] = ACTIONS(7483),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7483),
    [anon_sym_BSLASHACRfull] = ACTIONS(7483),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHacs] = ACTIONS(7483),
    [anon_sym_BSLASHAcs] = ACTIONS(7483),
    [anon_sym_BSLASHacsp] = ACTIONS(7483),
    [anon_sym_BSLASHAcsp] = ACTIONS(7483),
    [anon_sym_BSLASHacl] = ACTIONS(7483),
    [anon_sym_BSLASHAcl] = ACTIONS(7483),
    [anon_sym_BSLASHaclp] = ACTIONS(7483),
    [anon_sym_BSLASHAclp] = ACTIONS(7483),
    [anon_sym_BSLASHacf] = ACTIONS(7483),
    [anon_sym_BSLASHAcf] = ACTIONS(7483),
    [anon_sym_BSLASHacfp] = ACTIONS(7483),
    [anon_sym_BSLASHAcfp] = ACTIONS(7483),
    [anon_sym_BSLASHac] = ACTIONS(7483),
    [anon_sym_BSLASHAc] = ACTIONS(7483),
    [anon_sym_BSLASHacp] = ACTIONS(7483),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7483),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7483),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7483),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7483),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7483),
    [anon_sym_BSLASHcolor] = ACTIONS(7483),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7483),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7483),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7483),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7483),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7483),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7483),
    [anon_sym_BSLASHurl] = ACTIONS(7483),
    [anon_sym_BSLASHhref] = ACTIONS(7483),
  },
  [2005] = {
    [sym_command_name] = ACTIONS(7487),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7487),
    [anon_sym_LBRACK] = ACTIONS(7489),
    [anon_sym_RBRACK] = ACTIONS(7489),
    [anon_sym_COMMA] = ACTIONS(7489),
    [anon_sym_EQ] = ACTIONS(7489),
    [anon_sym_LPAREN] = ACTIONS(7489),
    [anon_sym_RPAREN] = ACTIONS(7489),
    [anon_sym_LBRACE] = ACTIONS(7489),
    [anon_sym_RBRACE] = ACTIONS(7489),
    [sym_word] = ACTIONS(7487),
    [sym_placeholder] = ACTIONS(7489),
    [sym_delimiter] = ACTIONS(7489),
    [anon_sym_PLUS] = ACTIONS(7489),
    [anon_sym_DASH] = ACTIONS(7489),
    [anon_sym_STAR] = ACTIONS(7489),
    [anon_sym_SLASH] = ACTIONS(7489),
    [anon_sym_LT] = ACTIONS(7487),
    [anon_sym_GT] = ACTIONS(7487),
    [anon_sym_BANG] = ACTIONS(7487),
    [anon_sym_PIPE] = ACTIONS(7487),
    [anon_sym_COLON] = ACTIONS(7487),
    [anon_sym_SQUOTE] = ACTIONS(7487),
    [anon_sym__] = ACTIONS(7489),
    [anon_sym_CARET] = ACTIONS(7489),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7489),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7489),
    [anon_sym_DOLLAR] = ACTIONS(7487),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7489),
    [anon_sym_BSLASHleft] = ACTIONS(7487),
    [anon_sym_BSLASHbigl] = ACTIONS(7487),
    [anon_sym_BSLASHBigl] = ACTIONS(7487),
    [anon_sym_BSLASHbiggl] = ACTIONS(7487),
    [anon_sym_BSLASHBiggl] = ACTIONS(7487),
    [anon_sym_BSLASHtext] = ACTIONS(7487),
    [anon_sym_BSLASHintertext] = ACTIONS(7487),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7487),
    [anon_sym_BSLASHtitle] = ACTIONS(7487),
    [anon_sym_BSLASHauthor] = ACTIONS(7487),
    [anon_sym_BSLASHusepackage] = ACTIONS(7487),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7487),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7487),
    [anon_sym_BSLASHinclude] = ACTIONS(7487),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7487),
    [anon_sym_BSLASHinput] = ACTIONS(7487),
    [anon_sym_BSLASHsubfile] = ACTIONS(7487),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7487),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7487),
    [anon_sym_BSLASHbibliography] = ACTIONS(7487),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7487),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7487),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7487),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7487),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7487),
    [anon_sym_BSLASHimport] = ACTIONS(7487),
    [anon_sym_BSLASHsubimport] = ACTIONS(7487),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7487),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7487),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7487),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7487),
    [anon_sym_BSLASHcaption] = ACTIONS(7487),
    [anon_sym_BSLASHcite] = ACTIONS(7487),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCite] = ACTIONS(7487),
    [anon_sym_BSLASHnocite] = ACTIONS(7487),
    [anon_sym_BSLASHcitet] = ACTIONS(7487),
    [anon_sym_BSLASHcitep] = ACTIONS(7487),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteA] = ACTIONS(7487),
    [anon_sym_BSLASHciteR] = ACTIONS(7487),
    [anon_sym_BSLASHciteS] = ACTIONS(7487),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7487),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7487),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7487),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7487),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteyear] = ACTIONS(7487),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitedate] = ACTIONS(7487),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteurl] = ACTIONS(7487),
    [anon_sym_BSLASHfullcite] = ACTIONS(7487),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7487),
    [anon_sym_BSLASHcitealt] = ACTIONS(7487),
    [anon_sym_BSLASHcitealp] = ACTIONS(7487),
    [anon_sym_BSLASHcitetext] = ACTIONS(7487),
    [anon_sym_BSLASHparencite] = ACTIONS(7487),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHParencite] = ACTIONS(7487),
    [anon_sym_BSLASHfootcite] = ACTIONS(7487),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7487),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7487),
    [anon_sym_BSLASHtextcite] = ACTIONS(7487),
    [anon_sym_BSLASHTextcite] = ACTIONS(7487),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7487),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7487),
    [anon_sym_BSLASHsupercite] = ACTIONS(7487),
    [anon_sym_BSLASHautocite] = ACTIONS(7487),
    [anon_sym_BSLASHAutocite] = ACTIONS(7487),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHVolcite] = ACTIONS(7487),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHavolcite] = ACTIONS(7487),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHNotecite] = ACTIONS(7487),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHlabel] = ACTIONS(7487),
    [anon_sym_BSLASHref] = ACTIONS(7487),
    [anon_sym_BSLASHeqref] = ACTIONS(7487),
    [anon_sym_BSLASHvref] = ACTIONS(7487),
    [anon_sym_BSLASHVref] = ACTIONS(7487),
    [anon_sym_BSLASHautoref] = ACTIONS(7487),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHpageref] = ACTIONS(7487),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHautopageref] = ACTIONS(7487),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcref] = ACTIONS(7487),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCref] = ACTIONS(7487),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcpageref] = ACTIONS(7487),
    [anon_sym_BSLASHCpageref] = ACTIONS(7487),
    [anon_sym_BSLASHnamecref] = ACTIONS(7487),
    [anon_sym_BSLASHnameCref] = ACTIONS(7487),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7487),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7487),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7487),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7487),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7487),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7487),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7487),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7487),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7487),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7487),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7487),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHdef] = ACTIONS(7487),
    [anon_sym_BSLASHgdef] = ACTIONS(7487),
    [anon_sym_BSLASHedef] = ACTIONS(7487),
    [anon_sym_BSLASHxdef] = ACTIONS(7487),
    [anon_sym_BSLASHlet] = ACTIONS(7487),
    [anon_sym_BSLASHglet] = ACTIONS(7487),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7487),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7487),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7487),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7487),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7487),
    [anon_sym_BSLASHgls] = ACTIONS(7487),
    [anon_sym_BSLASHGls] = ACTIONS(7487),
    [anon_sym_BSLASHGLS] = ACTIONS(7487),
    [anon_sym_BSLASHglspl] = ACTIONS(7487),
    [anon_sym_BSLASHGlspl] = ACTIONS(7487),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7487),
    [anon_sym_BSLASHglslink] = ACTIONS(7487),
    [anon_sym_BSLASHglstext] = ACTIONS(7487),
    [anon_sym_BSLASHGlstext] = ACTIONS(7487),
    [anon_sym_BSLASHGLStext] = ACTIONS(7487),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7487),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7487),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7487),
    [anon_sym_BSLASHglsplural] = ACTIONS(7487),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7487),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7487),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHglsname] = ACTIONS(7487),
    [anon_sym_BSLASHGlsname] = ACTIONS(7487),
    [anon_sym_BSLASHGLSname] = ACTIONS(7487),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7487),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7487),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7487),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7487),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7487),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7487),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7487),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7487),
    [anon_sym_BSLASHacrshort] = ACTIONS(7487),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7487),
    [anon_sym_BSLASHACRshort] = ACTIONS(7487),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHacrlong] = ACTIONS(7487),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7487),
    [anon_sym_BSLASHACRlong] = ACTIONS(7487),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHacrfull] = ACTIONS(7487),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7487),
    [anon_sym_BSLASHACRfull] = ACTIONS(7487),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHacs] = ACTIONS(7487),
    [anon_sym_BSLASHAcs] = ACTIONS(7487),
    [anon_sym_BSLASHacsp] = ACTIONS(7487),
    [anon_sym_BSLASHAcsp] = ACTIONS(7487),
    [anon_sym_BSLASHacl] = ACTIONS(7487),
    [anon_sym_BSLASHAcl] = ACTIONS(7487),
    [anon_sym_BSLASHaclp] = ACTIONS(7487),
    [anon_sym_BSLASHAclp] = ACTIONS(7487),
    [anon_sym_BSLASHacf] = ACTIONS(7487),
    [anon_sym_BSLASHAcf] = ACTIONS(7487),
    [anon_sym_BSLASHacfp] = ACTIONS(7487),
    [anon_sym_BSLASHAcfp] = ACTIONS(7487),
    [anon_sym_BSLASHac] = ACTIONS(7487),
    [anon_sym_BSLASHAc] = ACTIONS(7487),
    [anon_sym_BSLASHacp] = ACTIONS(7487),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7487),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7487),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7487),
    [anon_sym_BSLASHcolor] = ACTIONS(7487),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7487),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7487),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7487),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7487),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7487),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7487),
    [anon_sym_BSLASHurl] = ACTIONS(7487),
    [anon_sym_BSLASHhref] = ACTIONS(7487),
  },
  [2006] = {
    [sym_command_name] = ACTIONS(7491),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(7493),
    [anon_sym_RBRACK] = ACTIONS(7493),
    [anon_sym_COMMA] = ACTIONS(7493),
    [anon_sym_EQ] = ACTIONS(7493),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_RPAREN] = ACTIONS(7493),
    [anon_sym_LBRACE] = ACTIONS(7493),
    [anon_sym_RBRACE] = ACTIONS(7493),
    [sym_word] = ACTIONS(7491),
    [sym_placeholder] = ACTIONS(7493),
    [sym_delimiter] = ACTIONS(7493),
    [anon_sym_PLUS] = ACTIONS(7493),
    [anon_sym_DASH] = ACTIONS(7493),
    [anon_sym_STAR] = ACTIONS(7493),
    [anon_sym_SLASH] = ACTIONS(7493),
    [anon_sym_LT] = ACTIONS(7491),
    [anon_sym_GT] = ACTIONS(7491),
    [anon_sym_BANG] = ACTIONS(7491),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_COLON] = ACTIONS(7491),
    [anon_sym_SQUOTE] = ACTIONS(7491),
    [anon_sym__] = ACTIONS(7493),
    [anon_sym_CARET] = ACTIONS(7493),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7493),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7493),
    [anon_sym_DOLLAR] = ACTIONS(7491),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7493),
    [anon_sym_BSLASHleft] = ACTIONS(7491),
    [anon_sym_BSLASHbigl] = ACTIONS(7491),
    [anon_sym_BSLASHBigl] = ACTIONS(7491),
    [anon_sym_BSLASHbiggl] = ACTIONS(7491),
    [anon_sym_BSLASHBiggl] = ACTIONS(7491),
    [anon_sym_BSLASHtext] = ACTIONS(7491),
    [anon_sym_BSLASHintertext] = ACTIONS(7491),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7491),
    [anon_sym_BSLASHtitle] = ACTIONS(7491),
    [anon_sym_BSLASHauthor] = ACTIONS(7491),
    [anon_sym_BSLASHusepackage] = ACTIONS(7491),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7491),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7491),
    [anon_sym_BSLASHinclude] = ACTIONS(7491),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7491),
    [anon_sym_BSLASHinput] = ACTIONS(7491),
    [anon_sym_BSLASHsubfile] = ACTIONS(7491),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7491),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7491),
    [anon_sym_BSLASHbibliography] = ACTIONS(7491),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7491),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7491),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7491),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7491),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7491),
    [anon_sym_BSLASHimport] = ACTIONS(7491),
    [anon_sym_BSLASHsubimport] = ACTIONS(7491),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7491),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7491),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7491),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7491),
    [anon_sym_BSLASHcaption] = ACTIONS(7491),
    [anon_sym_BSLASHcite] = ACTIONS(7491),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCite] = ACTIONS(7491),
    [anon_sym_BSLASHnocite] = ACTIONS(7491),
    [anon_sym_BSLASHcitet] = ACTIONS(7491),
    [anon_sym_BSLASHcitep] = ACTIONS(7491),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteA] = ACTIONS(7491),
    [anon_sym_BSLASHciteR] = ACTIONS(7491),
    [anon_sym_BSLASHciteS] = ACTIONS(7491),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7491),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7491),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7491),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7491),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteyear] = ACTIONS(7491),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitedate] = ACTIONS(7491),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteurl] = ACTIONS(7491),
    [anon_sym_BSLASHfullcite] = ACTIONS(7491),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7491),
    [anon_sym_BSLASHcitealt] = ACTIONS(7491),
    [anon_sym_BSLASHcitealp] = ACTIONS(7491),
    [anon_sym_BSLASHcitetext] = ACTIONS(7491),
    [anon_sym_BSLASHparencite] = ACTIONS(7491),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHParencite] = ACTIONS(7491),
    [anon_sym_BSLASHfootcite] = ACTIONS(7491),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7491),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7491),
    [anon_sym_BSLASHtextcite] = ACTIONS(7491),
    [anon_sym_BSLASHTextcite] = ACTIONS(7491),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7491),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7491),
    [anon_sym_BSLASHsupercite] = ACTIONS(7491),
    [anon_sym_BSLASHautocite] = ACTIONS(7491),
    [anon_sym_BSLASHAutocite] = ACTIONS(7491),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHVolcite] = ACTIONS(7491),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHavolcite] = ACTIONS(7491),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHNotecite] = ACTIONS(7491),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHlabel] = ACTIONS(7491),
    [anon_sym_BSLASHref] = ACTIONS(7491),
    [anon_sym_BSLASHeqref] = ACTIONS(7491),
    [anon_sym_BSLASHvref] = ACTIONS(7491),
    [anon_sym_BSLASHVref] = ACTIONS(7491),
    [anon_sym_BSLASHautoref] = ACTIONS(7491),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHpageref] = ACTIONS(7491),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHautopageref] = ACTIONS(7491),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcref] = ACTIONS(7491),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCref] = ACTIONS(7491),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcpageref] = ACTIONS(7491),
    [anon_sym_BSLASHCpageref] = ACTIONS(7491),
    [anon_sym_BSLASHnamecref] = ACTIONS(7491),
    [anon_sym_BSLASHnameCref] = ACTIONS(7491),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7491),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7491),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7491),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7491),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7491),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7491),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7491),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7491),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7491),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7491),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7491),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHdef] = ACTIONS(7491),
    [anon_sym_BSLASHgdef] = ACTIONS(7491),
    [anon_sym_BSLASHedef] = ACTIONS(7491),
    [anon_sym_BSLASHxdef] = ACTIONS(7491),
    [anon_sym_BSLASHlet] = ACTIONS(7491),
    [anon_sym_BSLASHglet] = ACTIONS(7491),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7491),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7491),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7491),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7491),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7491),
    [anon_sym_BSLASHgls] = ACTIONS(7491),
    [anon_sym_BSLASHGls] = ACTIONS(7491),
    [anon_sym_BSLASHGLS] = ACTIONS(7491),
    [anon_sym_BSLASHglspl] = ACTIONS(7491),
    [anon_sym_BSLASHGlspl] = ACTIONS(7491),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7491),
    [anon_sym_BSLASHglslink] = ACTIONS(7491),
    [anon_sym_BSLASHglstext] = ACTIONS(7491),
    [anon_sym_BSLASHGlstext] = ACTIONS(7491),
    [anon_sym_BSLASHGLStext] = ACTIONS(7491),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7491),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7491),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7491),
    [anon_sym_BSLASHglsplural] = ACTIONS(7491),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7491),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7491),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHglsname] = ACTIONS(7491),
    [anon_sym_BSLASHGlsname] = ACTIONS(7491),
    [anon_sym_BSLASHGLSname] = ACTIONS(7491),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7491),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7491),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7491),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7491),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7491),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7491),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7491),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7491),
    [anon_sym_BSLASHacrshort] = ACTIONS(7491),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7491),
    [anon_sym_BSLASHACRshort] = ACTIONS(7491),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHacrlong] = ACTIONS(7491),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7491),
    [anon_sym_BSLASHACRlong] = ACTIONS(7491),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHacrfull] = ACTIONS(7491),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7491),
    [anon_sym_BSLASHACRfull] = ACTIONS(7491),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHacs] = ACTIONS(7491),
    [anon_sym_BSLASHAcs] = ACTIONS(7491),
    [anon_sym_BSLASHacsp] = ACTIONS(7491),
    [anon_sym_BSLASHAcsp] = ACTIONS(7491),
    [anon_sym_BSLASHacl] = ACTIONS(7491),
    [anon_sym_BSLASHAcl] = ACTIONS(7491),
    [anon_sym_BSLASHaclp] = ACTIONS(7491),
    [anon_sym_BSLASHAclp] = ACTIONS(7491),
    [anon_sym_BSLASHacf] = ACTIONS(7491),
    [anon_sym_BSLASHAcf] = ACTIONS(7491),
    [anon_sym_BSLASHacfp] = ACTIONS(7491),
    [anon_sym_BSLASHAcfp] = ACTIONS(7491),
    [anon_sym_BSLASHac] = ACTIONS(7491),
    [anon_sym_BSLASHAc] = ACTIONS(7491),
    [anon_sym_BSLASHacp] = ACTIONS(7491),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7491),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7491),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7491),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7491),
    [anon_sym_BSLASHcolor] = ACTIONS(7491),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7491),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7491),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7491),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7491),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7491),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7491),
    [anon_sym_BSLASHurl] = ACTIONS(7491),
    [anon_sym_BSLASHhref] = ACTIONS(7491),
  },
  [2007] = {
    [sym_command_name] = ACTIONS(7495),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7495),
    [anon_sym_LBRACK] = ACTIONS(7497),
    [anon_sym_RBRACK] = ACTIONS(7497),
    [anon_sym_COMMA] = ACTIONS(7497),
    [anon_sym_EQ] = ACTIONS(7497),
    [anon_sym_LPAREN] = ACTIONS(7497),
    [anon_sym_RPAREN] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7497),
    [anon_sym_RBRACE] = ACTIONS(7497),
    [sym_word] = ACTIONS(7495),
    [sym_placeholder] = ACTIONS(7497),
    [sym_delimiter] = ACTIONS(7497),
    [anon_sym_PLUS] = ACTIONS(7497),
    [anon_sym_DASH] = ACTIONS(7497),
    [anon_sym_STAR] = ACTIONS(7497),
    [anon_sym_SLASH] = ACTIONS(7497),
    [anon_sym_LT] = ACTIONS(7495),
    [anon_sym_GT] = ACTIONS(7495),
    [anon_sym_BANG] = ACTIONS(7495),
    [anon_sym_PIPE] = ACTIONS(7495),
    [anon_sym_COLON] = ACTIONS(7495),
    [anon_sym_SQUOTE] = ACTIONS(7495),
    [anon_sym__] = ACTIONS(7497),
    [anon_sym_CARET] = ACTIONS(7497),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7497),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7497),
    [anon_sym_DOLLAR] = ACTIONS(7495),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7497),
    [anon_sym_BSLASHleft] = ACTIONS(7495),
    [anon_sym_BSLASHbigl] = ACTIONS(7495),
    [anon_sym_BSLASHBigl] = ACTIONS(7495),
    [anon_sym_BSLASHbiggl] = ACTIONS(7495),
    [anon_sym_BSLASHBiggl] = ACTIONS(7495),
    [anon_sym_BSLASHtext] = ACTIONS(7495),
    [anon_sym_BSLASHintertext] = ACTIONS(7495),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7495),
    [anon_sym_BSLASHtitle] = ACTIONS(7495),
    [anon_sym_BSLASHauthor] = ACTIONS(7495),
    [anon_sym_BSLASHusepackage] = ACTIONS(7495),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7495),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7495),
    [anon_sym_BSLASHinclude] = ACTIONS(7495),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7495),
    [anon_sym_BSLASHinput] = ACTIONS(7495),
    [anon_sym_BSLASHsubfile] = ACTIONS(7495),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7495),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7495),
    [anon_sym_BSLASHbibliography] = ACTIONS(7495),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7495),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7495),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7495),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7495),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7495),
    [anon_sym_BSLASHimport] = ACTIONS(7495),
    [anon_sym_BSLASHsubimport] = ACTIONS(7495),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7495),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7495),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7495),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7495),
    [anon_sym_BSLASHcaption] = ACTIONS(7495),
    [anon_sym_BSLASHcite] = ACTIONS(7495),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCite] = ACTIONS(7495),
    [anon_sym_BSLASHnocite] = ACTIONS(7495),
    [anon_sym_BSLASHcitet] = ACTIONS(7495),
    [anon_sym_BSLASHcitep] = ACTIONS(7495),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteA] = ACTIONS(7495),
    [anon_sym_BSLASHciteR] = ACTIONS(7495),
    [anon_sym_BSLASHciteS] = ACTIONS(7495),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7495),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7495),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7495),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7495),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteyear] = ACTIONS(7495),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitedate] = ACTIONS(7495),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteurl] = ACTIONS(7495),
    [anon_sym_BSLASHfullcite] = ACTIONS(7495),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7495),
    [anon_sym_BSLASHcitealt] = ACTIONS(7495),
    [anon_sym_BSLASHcitealp] = ACTIONS(7495),
    [anon_sym_BSLASHcitetext] = ACTIONS(7495),
    [anon_sym_BSLASHparencite] = ACTIONS(7495),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHParencite] = ACTIONS(7495),
    [anon_sym_BSLASHfootcite] = ACTIONS(7495),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7495),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7495),
    [anon_sym_BSLASHtextcite] = ACTIONS(7495),
    [anon_sym_BSLASHTextcite] = ACTIONS(7495),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7495),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7495),
    [anon_sym_BSLASHsupercite] = ACTIONS(7495),
    [anon_sym_BSLASHautocite] = ACTIONS(7495),
    [anon_sym_BSLASHAutocite] = ACTIONS(7495),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHVolcite] = ACTIONS(7495),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHavolcite] = ACTIONS(7495),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHNotecite] = ACTIONS(7495),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHlabel] = ACTIONS(7495),
    [anon_sym_BSLASHref] = ACTIONS(7495),
    [anon_sym_BSLASHeqref] = ACTIONS(7495),
    [anon_sym_BSLASHvref] = ACTIONS(7495),
    [anon_sym_BSLASHVref] = ACTIONS(7495),
    [anon_sym_BSLASHautoref] = ACTIONS(7495),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHpageref] = ACTIONS(7495),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHautopageref] = ACTIONS(7495),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcref] = ACTIONS(7495),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCref] = ACTIONS(7495),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcpageref] = ACTIONS(7495),
    [anon_sym_BSLASHCpageref] = ACTIONS(7495),
    [anon_sym_BSLASHnamecref] = ACTIONS(7495),
    [anon_sym_BSLASHnameCref] = ACTIONS(7495),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7495),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7495),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7495),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7495),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7495),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7495),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7495),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7495),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7495),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7495),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7495),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHdef] = ACTIONS(7495),
    [anon_sym_BSLASHgdef] = ACTIONS(7495),
    [anon_sym_BSLASHedef] = ACTIONS(7495),
    [anon_sym_BSLASHxdef] = ACTIONS(7495),
    [anon_sym_BSLASHlet] = ACTIONS(7495),
    [anon_sym_BSLASHglet] = ACTIONS(7495),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7495),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7495),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7495),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7495),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7495),
    [anon_sym_BSLASHgls] = ACTIONS(7495),
    [anon_sym_BSLASHGls] = ACTIONS(7495),
    [anon_sym_BSLASHGLS] = ACTIONS(7495),
    [anon_sym_BSLASHglspl] = ACTIONS(7495),
    [anon_sym_BSLASHGlspl] = ACTIONS(7495),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7495),
    [anon_sym_BSLASHglslink] = ACTIONS(7495),
    [anon_sym_BSLASHglstext] = ACTIONS(7495),
    [anon_sym_BSLASHGlstext] = ACTIONS(7495),
    [anon_sym_BSLASHGLStext] = ACTIONS(7495),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7495),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7495),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7495),
    [anon_sym_BSLASHglsplural] = ACTIONS(7495),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7495),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7495),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHglsname] = ACTIONS(7495),
    [anon_sym_BSLASHGlsname] = ACTIONS(7495),
    [anon_sym_BSLASHGLSname] = ACTIONS(7495),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7495),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7495),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7495),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7495),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7495),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7495),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7495),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7495),
    [anon_sym_BSLASHacrshort] = ACTIONS(7495),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7495),
    [anon_sym_BSLASHACRshort] = ACTIONS(7495),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHacrlong] = ACTIONS(7495),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7495),
    [anon_sym_BSLASHACRlong] = ACTIONS(7495),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHacrfull] = ACTIONS(7495),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7495),
    [anon_sym_BSLASHACRfull] = ACTIONS(7495),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHacs] = ACTIONS(7495),
    [anon_sym_BSLASHAcs] = ACTIONS(7495),
    [anon_sym_BSLASHacsp] = ACTIONS(7495),
    [anon_sym_BSLASHAcsp] = ACTIONS(7495),
    [anon_sym_BSLASHacl] = ACTIONS(7495),
    [anon_sym_BSLASHAcl] = ACTIONS(7495),
    [anon_sym_BSLASHaclp] = ACTIONS(7495),
    [anon_sym_BSLASHAclp] = ACTIONS(7495),
    [anon_sym_BSLASHacf] = ACTIONS(7495),
    [anon_sym_BSLASHAcf] = ACTIONS(7495),
    [anon_sym_BSLASHacfp] = ACTIONS(7495),
    [anon_sym_BSLASHAcfp] = ACTIONS(7495),
    [anon_sym_BSLASHac] = ACTIONS(7495),
    [anon_sym_BSLASHAc] = ACTIONS(7495),
    [anon_sym_BSLASHacp] = ACTIONS(7495),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7495),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7495),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7495),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7495),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7495),
    [anon_sym_BSLASHcolor] = ACTIONS(7495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7495),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7495),
    [anon_sym_BSLASHurl] = ACTIONS(7495),
    [anon_sym_BSLASHhref] = ACTIONS(7495),
  },
  [2008] = {
    [sym_command_name] = ACTIONS(7579),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7579),
    [anon_sym_LBRACK] = ACTIONS(7581),
    [anon_sym_RBRACK] = ACTIONS(7581),
    [anon_sym_COMMA] = ACTIONS(7581),
    [anon_sym_EQ] = ACTIONS(7581),
    [anon_sym_LPAREN] = ACTIONS(7581),
    [anon_sym_RPAREN] = ACTIONS(7581),
    [anon_sym_LBRACE] = ACTIONS(7581),
    [sym_word] = ACTIONS(7579),
    [sym_placeholder] = ACTIONS(7581),
    [sym_delimiter] = ACTIONS(7581),
    [anon_sym_PLUS] = ACTIONS(7581),
    [anon_sym_DASH] = ACTIONS(7581),
    [anon_sym_STAR] = ACTIONS(7581),
    [anon_sym_SLASH] = ACTIONS(7581),
    [anon_sym_LT] = ACTIONS(7579),
    [anon_sym_GT] = ACTIONS(7579),
    [anon_sym_BANG] = ACTIONS(7579),
    [anon_sym_PIPE] = ACTIONS(7579),
    [anon_sym_COLON] = ACTIONS(7579),
    [anon_sym_SQUOTE] = ACTIONS(7579),
    [anon_sym__] = ACTIONS(7581),
    [anon_sym_CARET] = ACTIONS(7581),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7581),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7581),
    [anon_sym_DOLLAR] = ACTIONS(7579),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7581),
    [anon_sym_BSLASHleft] = ACTIONS(7579),
    [anon_sym_BSLASHbigl] = ACTIONS(7579),
    [anon_sym_BSLASHBigl] = ACTIONS(7579),
    [anon_sym_BSLASHbiggl] = ACTIONS(7579),
    [anon_sym_BSLASHBiggl] = ACTIONS(7579),
    [anon_sym_BSLASHtext] = ACTIONS(7579),
    [anon_sym_BSLASHintertext] = ACTIONS(7579),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7579),
    [anon_sym_BSLASHbegin] = ACTIONS(7579),
    [anon_sym_BSLASHtitle] = ACTIONS(7579),
    [anon_sym_BSLASHauthor] = ACTIONS(7579),
    [anon_sym_BSLASHusepackage] = ACTIONS(7579),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7579),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7579),
    [anon_sym_BSLASHinclude] = ACTIONS(7579),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7579),
    [anon_sym_BSLASHinput] = ACTIONS(7579),
    [anon_sym_BSLASHsubfile] = ACTIONS(7579),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7579),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7579),
    [anon_sym_BSLASHbibliography] = ACTIONS(7579),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7579),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7579),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7579),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7579),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7579),
    [anon_sym_BSLASHimport] = ACTIONS(7579),
    [anon_sym_BSLASHsubimport] = ACTIONS(7579),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7579),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7579),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7579),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7579),
    [anon_sym_BSLASHcaption] = ACTIONS(7579),
    [anon_sym_BSLASHcite] = ACTIONS(7579),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCite] = ACTIONS(7579),
    [anon_sym_BSLASHnocite] = ACTIONS(7579),
    [anon_sym_BSLASHcitet] = ACTIONS(7579),
    [anon_sym_BSLASHcitep] = ACTIONS(7579),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteA] = ACTIONS(7579),
    [anon_sym_BSLASHciteR] = ACTIONS(7579),
    [anon_sym_BSLASHciteS] = ACTIONS(7579),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7579),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7579),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7579),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7579),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteyear] = ACTIONS(7579),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitedate] = ACTIONS(7579),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteurl] = ACTIONS(7579),
    [anon_sym_BSLASHfullcite] = ACTIONS(7579),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7579),
    [anon_sym_BSLASHcitealt] = ACTIONS(7579),
    [anon_sym_BSLASHcitealp] = ACTIONS(7579),
    [anon_sym_BSLASHcitetext] = ACTIONS(7579),
    [anon_sym_BSLASHparencite] = ACTIONS(7579),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHParencite] = ACTIONS(7579),
    [anon_sym_BSLASHfootcite] = ACTIONS(7579),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7579),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7579),
    [anon_sym_BSLASHtextcite] = ACTIONS(7579),
    [anon_sym_BSLASHTextcite] = ACTIONS(7579),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7579),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7579),
    [anon_sym_BSLASHsupercite] = ACTIONS(7579),
    [anon_sym_BSLASHautocite] = ACTIONS(7579),
    [anon_sym_BSLASHAutocite] = ACTIONS(7579),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHVolcite] = ACTIONS(7579),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHavolcite] = ACTIONS(7579),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHNotecite] = ACTIONS(7579),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHlabel] = ACTIONS(7579),
    [anon_sym_BSLASHref] = ACTIONS(7579),
    [anon_sym_BSLASHeqref] = ACTIONS(7579),
    [anon_sym_BSLASHvref] = ACTIONS(7579),
    [anon_sym_BSLASHVref] = ACTIONS(7579),
    [anon_sym_BSLASHautoref] = ACTIONS(7579),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHpageref] = ACTIONS(7579),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHautopageref] = ACTIONS(7579),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcref] = ACTIONS(7579),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCref] = ACTIONS(7579),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcpageref] = ACTIONS(7579),
    [anon_sym_BSLASHCpageref] = ACTIONS(7579),
    [anon_sym_BSLASHnamecref] = ACTIONS(7579),
    [anon_sym_BSLASHnameCref] = ACTIONS(7579),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7579),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7579),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7579),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7579),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7579),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7579),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7579),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7579),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7579),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7579),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7579),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHdef] = ACTIONS(7579),
    [anon_sym_BSLASHgdef] = ACTIONS(7579),
    [anon_sym_BSLASHedef] = ACTIONS(7579),
    [anon_sym_BSLASHxdef] = ACTIONS(7579),
    [anon_sym_BSLASHlet] = ACTIONS(7579),
    [anon_sym_BSLASHglet] = ACTIONS(7579),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7579),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7579),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7579),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7579),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7579),
    [anon_sym_BSLASHgls] = ACTIONS(7579),
    [anon_sym_BSLASHGls] = ACTIONS(7579),
    [anon_sym_BSLASHGLS] = ACTIONS(7579),
    [anon_sym_BSLASHglspl] = ACTIONS(7579),
    [anon_sym_BSLASHGlspl] = ACTIONS(7579),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7579),
    [anon_sym_BSLASHglslink] = ACTIONS(7579),
    [anon_sym_BSLASHglstext] = ACTIONS(7579),
    [anon_sym_BSLASHGlstext] = ACTIONS(7579),
    [anon_sym_BSLASHGLStext] = ACTIONS(7579),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7579),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7579),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7579),
    [anon_sym_BSLASHglsplural] = ACTIONS(7579),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7579),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7579),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHglsname] = ACTIONS(7579),
    [anon_sym_BSLASHGlsname] = ACTIONS(7579),
    [anon_sym_BSLASHGLSname] = ACTIONS(7579),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7579),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7579),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7579),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7579),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7579),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7579),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7579),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7579),
    [anon_sym_BSLASHacrshort] = ACTIONS(7579),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7579),
    [anon_sym_BSLASHACRshort] = ACTIONS(7579),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHacrlong] = ACTIONS(7579),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7579),
    [anon_sym_BSLASHACRlong] = ACTIONS(7579),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHacrfull] = ACTIONS(7579),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7579),
    [anon_sym_BSLASHACRfull] = ACTIONS(7579),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHacs] = ACTIONS(7579),
    [anon_sym_BSLASHAcs] = ACTIONS(7579),
    [anon_sym_BSLASHacsp] = ACTIONS(7579),
    [anon_sym_BSLASHAcsp] = ACTIONS(7579),
    [anon_sym_BSLASHacl] = ACTIONS(7579),
    [anon_sym_BSLASHAcl] = ACTIONS(7579),
    [anon_sym_BSLASHaclp] = ACTIONS(7579),
    [anon_sym_BSLASHAclp] = ACTIONS(7579),
    [anon_sym_BSLASHacf] = ACTIONS(7579),
    [anon_sym_BSLASHAcf] = ACTIONS(7579),
    [anon_sym_BSLASHacfp] = ACTIONS(7579),
    [anon_sym_BSLASHAcfp] = ACTIONS(7579),
    [anon_sym_BSLASHac] = ACTIONS(7579),
    [anon_sym_BSLASHAc] = ACTIONS(7579),
    [anon_sym_BSLASHacp] = ACTIONS(7579),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7579),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7579),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7579),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7579),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7579),
    [anon_sym_BSLASHcolor] = ACTIONS(7579),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7579),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7579),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7579),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7579),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7579),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7579),
    [anon_sym_BSLASHurl] = ACTIONS(7579),
    [anon_sym_BSLASHhref] = ACTIONS(7579),
  },
  [2009] = {
    [sym_command_name] = ACTIONS(7499),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7499),
    [anon_sym_LBRACK] = ACTIONS(7501),
    [anon_sym_RBRACK] = ACTIONS(7501),
    [anon_sym_COMMA] = ACTIONS(7501),
    [anon_sym_EQ] = ACTIONS(7501),
    [anon_sym_LPAREN] = ACTIONS(7501),
    [anon_sym_RPAREN] = ACTIONS(7501),
    [anon_sym_LBRACE] = ACTIONS(7501),
    [anon_sym_RBRACE] = ACTIONS(7501),
    [sym_word] = ACTIONS(7499),
    [sym_placeholder] = ACTIONS(7501),
    [sym_delimiter] = ACTIONS(7501),
    [anon_sym_PLUS] = ACTIONS(7501),
    [anon_sym_DASH] = ACTIONS(7501),
    [anon_sym_STAR] = ACTIONS(7501),
    [anon_sym_SLASH] = ACTIONS(7501),
    [anon_sym_LT] = ACTIONS(7499),
    [anon_sym_GT] = ACTIONS(7499),
    [anon_sym_BANG] = ACTIONS(7499),
    [anon_sym_PIPE] = ACTIONS(7499),
    [anon_sym_COLON] = ACTIONS(7499),
    [anon_sym_SQUOTE] = ACTIONS(7499),
    [anon_sym__] = ACTIONS(7501),
    [anon_sym_CARET] = ACTIONS(7501),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7501),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7501),
    [anon_sym_DOLLAR] = ACTIONS(7499),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7501),
    [anon_sym_BSLASHleft] = ACTIONS(7499),
    [anon_sym_BSLASHbigl] = ACTIONS(7499),
    [anon_sym_BSLASHBigl] = ACTIONS(7499),
    [anon_sym_BSLASHbiggl] = ACTIONS(7499),
    [anon_sym_BSLASHBiggl] = ACTIONS(7499),
    [anon_sym_BSLASHtext] = ACTIONS(7499),
    [anon_sym_BSLASHintertext] = ACTIONS(7499),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7499),
    [anon_sym_BSLASHtitle] = ACTIONS(7499),
    [anon_sym_BSLASHauthor] = ACTIONS(7499),
    [anon_sym_BSLASHusepackage] = ACTIONS(7499),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7499),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7499),
    [anon_sym_BSLASHinclude] = ACTIONS(7499),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7499),
    [anon_sym_BSLASHinput] = ACTIONS(7499),
    [anon_sym_BSLASHsubfile] = ACTIONS(7499),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7499),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7499),
    [anon_sym_BSLASHbibliography] = ACTIONS(7499),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7499),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7499),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7499),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7499),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7499),
    [anon_sym_BSLASHimport] = ACTIONS(7499),
    [anon_sym_BSLASHsubimport] = ACTIONS(7499),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7499),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7499),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7499),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7499),
    [anon_sym_BSLASHcaption] = ACTIONS(7499),
    [anon_sym_BSLASHcite] = ACTIONS(7499),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCite] = ACTIONS(7499),
    [anon_sym_BSLASHnocite] = ACTIONS(7499),
    [anon_sym_BSLASHcitet] = ACTIONS(7499),
    [anon_sym_BSLASHcitep] = ACTIONS(7499),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteA] = ACTIONS(7499),
    [anon_sym_BSLASHciteR] = ACTIONS(7499),
    [anon_sym_BSLASHciteS] = ACTIONS(7499),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7499),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7499),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7499),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7499),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteyear] = ACTIONS(7499),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitedate] = ACTIONS(7499),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteurl] = ACTIONS(7499),
    [anon_sym_BSLASHfullcite] = ACTIONS(7499),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7499),
    [anon_sym_BSLASHcitealt] = ACTIONS(7499),
    [anon_sym_BSLASHcitealp] = ACTIONS(7499),
    [anon_sym_BSLASHcitetext] = ACTIONS(7499),
    [anon_sym_BSLASHparencite] = ACTIONS(7499),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHParencite] = ACTIONS(7499),
    [anon_sym_BSLASHfootcite] = ACTIONS(7499),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7499),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7499),
    [anon_sym_BSLASHtextcite] = ACTIONS(7499),
    [anon_sym_BSLASHTextcite] = ACTIONS(7499),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7499),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7499),
    [anon_sym_BSLASHsupercite] = ACTIONS(7499),
    [anon_sym_BSLASHautocite] = ACTIONS(7499),
    [anon_sym_BSLASHAutocite] = ACTIONS(7499),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHVolcite] = ACTIONS(7499),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHavolcite] = ACTIONS(7499),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHNotecite] = ACTIONS(7499),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHlabel] = ACTIONS(7499),
    [anon_sym_BSLASHref] = ACTIONS(7499),
    [anon_sym_BSLASHeqref] = ACTIONS(7499),
    [anon_sym_BSLASHvref] = ACTIONS(7499),
    [anon_sym_BSLASHVref] = ACTIONS(7499),
    [anon_sym_BSLASHautoref] = ACTIONS(7499),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHpageref] = ACTIONS(7499),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHautopageref] = ACTIONS(7499),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcref] = ACTIONS(7499),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCref] = ACTIONS(7499),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcpageref] = ACTIONS(7499),
    [anon_sym_BSLASHCpageref] = ACTIONS(7499),
    [anon_sym_BSLASHnamecref] = ACTIONS(7499),
    [anon_sym_BSLASHnameCref] = ACTIONS(7499),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7499),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7499),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7499),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7499),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7499),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7499),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7499),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7499),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7499),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7499),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7499),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHdef] = ACTIONS(7499),
    [anon_sym_BSLASHgdef] = ACTIONS(7499),
    [anon_sym_BSLASHedef] = ACTIONS(7499),
    [anon_sym_BSLASHxdef] = ACTIONS(7499),
    [anon_sym_BSLASHlet] = ACTIONS(7499),
    [anon_sym_BSLASHglet] = ACTIONS(7499),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7499),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7499),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7499),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7499),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7499),
    [anon_sym_BSLASHgls] = ACTIONS(7499),
    [anon_sym_BSLASHGls] = ACTIONS(7499),
    [anon_sym_BSLASHGLS] = ACTIONS(7499),
    [anon_sym_BSLASHglspl] = ACTIONS(7499),
    [anon_sym_BSLASHGlspl] = ACTIONS(7499),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7499),
    [anon_sym_BSLASHglslink] = ACTIONS(7499),
    [anon_sym_BSLASHglstext] = ACTIONS(7499),
    [anon_sym_BSLASHGlstext] = ACTIONS(7499),
    [anon_sym_BSLASHGLStext] = ACTIONS(7499),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7499),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7499),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7499),
    [anon_sym_BSLASHglsplural] = ACTIONS(7499),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7499),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7499),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHglsname] = ACTIONS(7499),
    [anon_sym_BSLASHGlsname] = ACTIONS(7499),
    [anon_sym_BSLASHGLSname] = ACTIONS(7499),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7499),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7499),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7499),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7499),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7499),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7499),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7499),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7499),
    [anon_sym_BSLASHacrshort] = ACTIONS(7499),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7499),
    [anon_sym_BSLASHACRshort] = ACTIONS(7499),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHacrlong] = ACTIONS(7499),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7499),
    [anon_sym_BSLASHACRlong] = ACTIONS(7499),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHacrfull] = ACTIONS(7499),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7499),
    [anon_sym_BSLASHACRfull] = ACTIONS(7499),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHacs] = ACTIONS(7499),
    [anon_sym_BSLASHAcs] = ACTIONS(7499),
    [anon_sym_BSLASHacsp] = ACTIONS(7499),
    [anon_sym_BSLASHAcsp] = ACTIONS(7499),
    [anon_sym_BSLASHacl] = ACTIONS(7499),
    [anon_sym_BSLASHAcl] = ACTIONS(7499),
    [anon_sym_BSLASHaclp] = ACTIONS(7499),
    [anon_sym_BSLASHAclp] = ACTIONS(7499),
    [anon_sym_BSLASHacf] = ACTIONS(7499),
    [anon_sym_BSLASHAcf] = ACTIONS(7499),
    [anon_sym_BSLASHacfp] = ACTIONS(7499),
    [anon_sym_BSLASHAcfp] = ACTIONS(7499),
    [anon_sym_BSLASHac] = ACTIONS(7499),
    [anon_sym_BSLASHAc] = ACTIONS(7499),
    [anon_sym_BSLASHacp] = ACTIONS(7499),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7499),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7499),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7499),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7499),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7499),
    [anon_sym_BSLASHcolor] = ACTIONS(7499),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7499),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7499),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7499),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7499),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7499),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7499),
    [anon_sym_BSLASHurl] = ACTIONS(7499),
    [anon_sym_BSLASHhref] = ACTIONS(7499),
  },
  [2010] = {
    [sym_command_name] = ACTIONS(7503),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7503),
    [anon_sym_LBRACK] = ACTIONS(7505),
    [anon_sym_RBRACK] = ACTIONS(7505),
    [anon_sym_COMMA] = ACTIONS(7505),
    [anon_sym_EQ] = ACTIONS(7505),
    [anon_sym_LPAREN] = ACTIONS(7505),
    [anon_sym_RPAREN] = ACTIONS(7505),
    [anon_sym_LBRACE] = ACTIONS(7505),
    [anon_sym_RBRACE] = ACTIONS(7505),
    [sym_word] = ACTIONS(7503),
    [sym_placeholder] = ACTIONS(7505),
    [sym_delimiter] = ACTIONS(7505),
    [anon_sym_PLUS] = ACTIONS(7505),
    [anon_sym_DASH] = ACTIONS(7505),
    [anon_sym_STAR] = ACTIONS(7505),
    [anon_sym_SLASH] = ACTIONS(7505),
    [anon_sym_LT] = ACTIONS(7503),
    [anon_sym_GT] = ACTIONS(7503),
    [anon_sym_BANG] = ACTIONS(7503),
    [anon_sym_PIPE] = ACTIONS(7503),
    [anon_sym_COLON] = ACTIONS(7503),
    [anon_sym_SQUOTE] = ACTIONS(7503),
    [anon_sym__] = ACTIONS(7505),
    [anon_sym_CARET] = ACTIONS(7505),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7505),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7505),
    [anon_sym_DOLLAR] = ACTIONS(7503),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7505),
    [anon_sym_BSLASHleft] = ACTIONS(7503),
    [anon_sym_BSLASHbigl] = ACTIONS(7503),
    [anon_sym_BSLASHBigl] = ACTIONS(7503),
    [anon_sym_BSLASHbiggl] = ACTIONS(7503),
    [anon_sym_BSLASHBiggl] = ACTIONS(7503),
    [anon_sym_BSLASHtext] = ACTIONS(7503),
    [anon_sym_BSLASHintertext] = ACTIONS(7503),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7503),
    [anon_sym_BSLASHtitle] = ACTIONS(7503),
    [anon_sym_BSLASHauthor] = ACTIONS(7503),
    [anon_sym_BSLASHusepackage] = ACTIONS(7503),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7503),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7503),
    [anon_sym_BSLASHinclude] = ACTIONS(7503),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7503),
    [anon_sym_BSLASHinput] = ACTIONS(7503),
    [anon_sym_BSLASHsubfile] = ACTIONS(7503),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7503),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7503),
    [anon_sym_BSLASHbibliography] = ACTIONS(7503),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7503),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7503),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7503),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7503),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7503),
    [anon_sym_BSLASHimport] = ACTIONS(7503),
    [anon_sym_BSLASHsubimport] = ACTIONS(7503),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7503),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7503),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7503),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7503),
    [anon_sym_BSLASHcaption] = ACTIONS(7503),
    [anon_sym_BSLASHcite] = ACTIONS(7503),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCite] = ACTIONS(7503),
    [anon_sym_BSLASHnocite] = ACTIONS(7503),
    [anon_sym_BSLASHcitet] = ACTIONS(7503),
    [anon_sym_BSLASHcitep] = ACTIONS(7503),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteA] = ACTIONS(7503),
    [anon_sym_BSLASHciteR] = ACTIONS(7503),
    [anon_sym_BSLASHciteS] = ACTIONS(7503),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7503),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7503),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7503),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7503),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteyear] = ACTIONS(7503),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitedate] = ACTIONS(7503),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteurl] = ACTIONS(7503),
    [anon_sym_BSLASHfullcite] = ACTIONS(7503),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7503),
    [anon_sym_BSLASHcitealt] = ACTIONS(7503),
    [anon_sym_BSLASHcitealp] = ACTIONS(7503),
    [anon_sym_BSLASHcitetext] = ACTIONS(7503),
    [anon_sym_BSLASHparencite] = ACTIONS(7503),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHParencite] = ACTIONS(7503),
    [anon_sym_BSLASHfootcite] = ACTIONS(7503),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7503),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7503),
    [anon_sym_BSLASHtextcite] = ACTIONS(7503),
    [anon_sym_BSLASHTextcite] = ACTIONS(7503),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7503),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7503),
    [anon_sym_BSLASHsupercite] = ACTIONS(7503),
    [anon_sym_BSLASHautocite] = ACTIONS(7503),
    [anon_sym_BSLASHAutocite] = ACTIONS(7503),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHVolcite] = ACTIONS(7503),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHavolcite] = ACTIONS(7503),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHNotecite] = ACTIONS(7503),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHlabel] = ACTIONS(7503),
    [anon_sym_BSLASHref] = ACTIONS(7503),
    [anon_sym_BSLASHeqref] = ACTIONS(7503),
    [anon_sym_BSLASHvref] = ACTIONS(7503),
    [anon_sym_BSLASHVref] = ACTIONS(7503),
    [anon_sym_BSLASHautoref] = ACTIONS(7503),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHpageref] = ACTIONS(7503),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHautopageref] = ACTIONS(7503),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcref] = ACTIONS(7503),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCref] = ACTIONS(7503),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcpageref] = ACTIONS(7503),
    [anon_sym_BSLASHCpageref] = ACTIONS(7503),
    [anon_sym_BSLASHnamecref] = ACTIONS(7503),
    [anon_sym_BSLASHnameCref] = ACTIONS(7503),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7503),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7503),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7503),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7503),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7503),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7503),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7503),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7503),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7503),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7503),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7503),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHdef] = ACTIONS(7503),
    [anon_sym_BSLASHgdef] = ACTIONS(7503),
    [anon_sym_BSLASHedef] = ACTIONS(7503),
    [anon_sym_BSLASHxdef] = ACTIONS(7503),
    [anon_sym_BSLASHlet] = ACTIONS(7503),
    [anon_sym_BSLASHglet] = ACTIONS(7503),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7503),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7503),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7503),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7503),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7503),
    [anon_sym_BSLASHgls] = ACTIONS(7503),
    [anon_sym_BSLASHGls] = ACTIONS(7503),
    [anon_sym_BSLASHGLS] = ACTIONS(7503),
    [anon_sym_BSLASHglspl] = ACTIONS(7503),
    [anon_sym_BSLASHGlspl] = ACTIONS(7503),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7503),
    [anon_sym_BSLASHglslink] = ACTIONS(7503),
    [anon_sym_BSLASHglstext] = ACTIONS(7503),
    [anon_sym_BSLASHGlstext] = ACTIONS(7503),
    [anon_sym_BSLASHGLStext] = ACTIONS(7503),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7503),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7503),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7503),
    [anon_sym_BSLASHglsplural] = ACTIONS(7503),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7503),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7503),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHglsname] = ACTIONS(7503),
    [anon_sym_BSLASHGlsname] = ACTIONS(7503),
    [anon_sym_BSLASHGLSname] = ACTIONS(7503),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7503),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7503),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7503),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7503),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7503),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7503),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7503),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7503),
    [anon_sym_BSLASHacrshort] = ACTIONS(7503),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7503),
    [anon_sym_BSLASHACRshort] = ACTIONS(7503),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHacrlong] = ACTIONS(7503),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7503),
    [anon_sym_BSLASHACRlong] = ACTIONS(7503),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHacrfull] = ACTIONS(7503),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7503),
    [anon_sym_BSLASHACRfull] = ACTIONS(7503),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHacs] = ACTIONS(7503),
    [anon_sym_BSLASHAcs] = ACTIONS(7503),
    [anon_sym_BSLASHacsp] = ACTIONS(7503),
    [anon_sym_BSLASHAcsp] = ACTIONS(7503),
    [anon_sym_BSLASHacl] = ACTIONS(7503),
    [anon_sym_BSLASHAcl] = ACTIONS(7503),
    [anon_sym_BSLASHaclp] = ACTIONS(7503),
    [anon_sym_BSLASHAclp] = ACTIONS(7503),
    [anon_sym_BSLASHacf] = ACTIONS(7503),
    [anon_sym_BSLASHAcf] = ACTIONS(7503),
    [anon_sym_BSLASHacfp] = ACTIONS(7503),
    [anon_sym_BSLASHAcfp] = ACTIONS(7503),
    [anon_sym_BSLASHac] = ACTIONS(7503),
    [anon_sym_BSLASHAc] = ACTIONS(7503),
    [anon_sym_BSLASHacp] = ACTIONS(7503),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7503),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7503),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7503),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7503),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7503),
    [anon_sym_BSLASHcolor] = ACTIONS(7503),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7503),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7503),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7503),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7503),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7503),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7503),
    [anon_sym_BSLASHurl] = ACTIONS(7503),
    [anon_sym_BSLASHhref] = ACTIONS(7503),
  },
  [2011] = {
    [sym_command_name] = ACTIONS(7507),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7507),
    [anon_sym_LBRACK] = ACTIONS(7509),
    [anon_sym_RBRACK] = ACTIONS(7509),
    [anon_sym_COMMA] = ACTIONS(7509),
    [anon_sym_EQ] = ACTIONS(7509),
    [anon_sym_LPAREN] = ACTIONS(7509),
    [anon_sym_RPAREN] = ACTIONS(7509),
    [anon_sym_LBRACE] = ACTIONS(7509),
    [anon_sym_RBRACE] = ACTIONS(7509),
    [sym_word] = ACTIONS(7507),
    [sym_placeholder] = ACTIONS(7509),
    [sym_delimiter] = ACTIONS(7509),
    [anon_sym_PLUS] = ACTIONS(7509),
    [anon_sym_DASH] = ACTIONS(7509),
    [anon_sym_STAR] = ACTIONS(7509),
    [anon_sym_SLASH] = ACTIONS(7509),
    [anon_sym_LT] = ACTIONS(7507),
    [anon_sym_GT] = ACTIONS(7507),
    [anon_sym_BANG] = ACTIONS(7507),
    [anon_sym_PIPE] = ACTIONS(7507),
    [anon_sym_COLON] = ACTIONS(7507),
    [anon_sym_SQUOTE] = ACTIONS(7507),
    [anon_sym__] = ACTIONS(7509),
    [anon_sym_CARET] = ACTIONS(7509),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7509),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7509),
    [anon_sym_DOLLAR] = ACTIONS(7507),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7509),
    [anon_sym_BSLASHleft] = ACTIONS(7507),
    [anon_sym_BSLASHbigl] = ACTIONS(7507),
    [anon_sym_BSLASHBigl] = ACTIONS(7507),
    [anon_sym_BSLASHbiggl] = ACTIONS(7507),
    [anon_sym_BSLASHBiggl] = ACTIONS(7507),
    [anon_sym_BSLASHtext] = ACTIONS(7507),
    [anon_sym_BSLASHintertext] = ACTIONS(7507),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7507),
    [anon_sym_BSLASHtitle] = ACTIONS(7507),
    [anon_sym_BSLASHauthor] = ACTIONS(7507),
    [anon_sym_BSLASHusepackage] = ACTIONS(7507),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7507),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7507),
    [anon_sym_BSLASHinclude] = ACTIONS(7507),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7507),
    [anon_sym_BSLASHinput] = ACTIONS(7507),
    [anon_sym_BSLASHsubfile] = ACTIONS(7507),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7507),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7507),
    [anon_sym_BSLASHbibliography] = ACTIONS(7507),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7507),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7507),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7507),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7507),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7507),
    [anon_sym_BSLASHimport] = ACTIONS(7507),
    [anon_sym_BSLASHsubimport] = ACTIONS(7507),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7507),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7507),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7507),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7507),
    [anon_sym_BSLASHcaption] = ACTIONS(7507),
    [anon_sym_BSLASHcite] = ACTIONS(7507),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCite] = ACTIONS(7507),
    [anon_sym_BSLASHnocite] = ACTIONS(7507),
    [anon_sym_BSLASHcitet] = ACTIONS(7507),
    [anon_sym_BSLASHcitep] = ACTIONS(7507),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteA] = ACTIONS(7507),
    [anon_sym_BSLASHciteR] = ACTIONS(7507),
    [anon_sym_BSLASHciteS] = ACTIONS(7507),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7507),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7507),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7507),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7507),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteyear] = ACTIONS(7507),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitedate] = ACTIONS(7507),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteurl] = ACTIONS(7507),
    [anon_sym_BSLASHfullcite] = ACTIONS(7507),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7507),
    [anon_sym_BSLASHcitealt] = ACTIONS(7507),
    [anon_sym_BSLASHcitealp] = ACTIONS(7507),
    [anon_sym_BSLASHcitetext] = ACTIONS(7507),
    [anon_sym_BSLASHparencite] = ACTIONS(7507),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHParencite] = ACTIONS(7507),
    [anon_sym_BSLASHfootcite] = ACTIONS(7507),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7507),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7507),
    [anon_sym_BSLASHtextcite] = ACTIONS(7507),
    [anon_sym_BSLASHTextcite] = ACTIONS(7507),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7507),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7507),
    [anon_sym_BSLASHsupercite] = ACTIONS(7507),
    [anon_sym_BSLASHautocite] = ACTIONS(7507),
    [anon_sym_BSLASHAutocite] = ACTIONS(7507),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHVolcite] = ACTIONS(7507),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHavolcite] = ACTIONS(7507),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHNotecite] = ACTIONS(7507),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHlabel] = ACTIONS(7507),
    [anon_sym_BSLASHref] = ACTIONS(7507),
    [anon_sym_BSLASHeqref] = ACTIONS(7507),
    [anon_sym_BSLASHvref] = ACTIONS(7507),
    [anon_sym_BSLASHVref] = ACTIONS(7507),
    [anon_sym_BSLASHautoref] = ACTIONS(7507),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHpageref] = ACTIONS(7507),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHautopageref] = ACTIONS(7507),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcref] = ACTIONS(7507),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCref] = ACTIONS(7507),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcpageref] = ACTIONS(7507),
    [anon_sym_BSLASHCpageref] = ACTIONS(7507),
    [anon_sym_BSLASHnamecref] = ACTIONS(7507),
    [anon_sym_BSLASHnameCref] = ACTIONS(7507),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7507),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7507),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7507),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7507),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7507),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7507),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7507),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7507),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7507),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7507),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7507),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHdef] = ACTIONS(7507),
    [anon_sym_BSLASHgdef] = ACTIONS(7507),
    [anon_sym_BSLASHedef] = ACTIONS(7507),
    [anon_sym_BSLASHxdef] = ACTIONS(7507),
    [anon_sym_BSLASHlet] = ACTIONS(7507),
    [anon_sym_BSLASHglet] = ACTIONS(7507),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7507),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7507),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7507),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7507),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7507),
    [anon_sym_BSLASHgls] = ACTIONS(7507),
    [anon_sym_BSLASHGls] = ACTIONS(7507),
    [anon_sym_BSLASHGLS] = ACTIONS(7507),
    [anon_sym_BSLASHglspl] = ACTIONS(7507),
    [anon_sym_BSLASHGlspl] = ACTIONS(7507),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7507),
    [anon_sym_BSLASHglslink] = ACTIONS(7507),
    [anon_sym_BSLASHglstext] = ACTIONS(7507),
    [anon_sym_BSLASHGlstext] = ACTIONS(7507),
    [anon_sym_BSLASHGLStext] = ACTIONS(7507),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7507),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7507),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7507),
    [anon_sym_BSLASHglsplural] = ACTIONS(7507),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7507),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7507),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHglsname] = ACTIONS(7507),
    [anon_sym_BSLASHGlsname] = ACTIONS(7507),
    [anon_sym_BSLASHGLSname] = ACTIONS(7507),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7507),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7507),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7507),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7507),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7507),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7507),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7507),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7507),
    [anon_sym_BSLASHacrshort] = ACTIONS(7507),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7507),
    [anon_sym_BSLASHACRshort] = ACTIONS(7507),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHacrlong] = ACTIONS(7507),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7507),
    [anon_sym_BSLASHACRlong] = ACTIONS(7507),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHacrfull] = ACTIONS(7507),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7507),
    [anon_sym_BSLASHACRfull] = ACTIONS(7507),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHacs] = ACTIONS(7507),
    [anon_sym_BSLASHAcs] = ACTIONS(7507),
    [anon_sym_BSLASHacsp] = ACTIONS(7507),
    [anon_sym_BSLASHAcsp] = ACTIONS(7507),
    [anon_sym_BSLASHacl] = ACTIONS(7507),
    [anon_sym_BSLASHAcl] = ACTIONS(7507),
    [anon_sym_BSLASHaclp] = ACTIONS(7507),
    [anon_sym_BSLASHAclp] = ACTIONS(7507),
    [anon_sym_BSLASHacf] = ACTIONS(7507),
    [anon_sym_BSLASHAcf] = ACTIONS(7507),
    [anon_sym_BSLASHacfp] = ACTIONS(7507),
    [anon_sym_BSLASHAcfp] = ACTIONS(7507),
    [anon_sym_BSLASHac] = ACTIONS(7507),
    [anon_sym_BSLASHAc] = ACTIONS(7507),
    [anon_sym_BSLASHacp] = ACTIONS(7507),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7507),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7507),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7507),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7507),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7507),
    [anon_sym_BSLASHcolor] = ACTIONS(7507),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7507),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7507),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7507),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7507),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7507),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7507),
    [anon_sym_BSLASHurl] = ACTIONS(7507),
    [anon_sym_BSLASHhref] = ACTIONS(7507),
  },
  [2012] = {
    [sym_command_name] = ACTIONS(7511),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7511),
    [anon_sym_LBRACK] = ACTIONS(7513),
    [anon_sym_RBRACK] = ACTIONS(7513),
    [anon_sym_COMMA] = ACTIONS(7513),
    [anon_sym_EQ] = ACTIONS(7513),
    [anon_sym_LPAREN] = ACTIONS(7513),
    [anon_sym_RPAREN] = ACTIONS(7513),
    [anon_sym_LBRACE] = ACTIONS(7513),
    [anon_sym_RBRACE] = ACTIONS(7513),
    [sym_word] = ACTIONS(7511),
    [sym_placeholder] = ACTIONS(7513),
    [sym_delimiter] = ACTIONS(7513),
    [anon_sym_PLUS] = ACTIONS(7513),
    [anon_sym_DASH] = ACTIONS(7513),
    [anon_sym_STAR] = ACTIONS(7513),
    [anon_sym_SLASH] = ACTIONS(7513),
    [anon_sym_LT] = ACTIONS(7511),
    [anon_sym_GT] = ACTIONS(7511),
    [anon_sym_BANG] = ACTIONS(7511),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_COLON] = ACTIONS(7511),
    [anon_sym_SQUOTE] = ACTIONS(7511),
    [anon_sym__] = ACTIONS(7513),
    [anon_sym_CARET] = ACTIONS(7513),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7513),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7513),
    [anon_sym_DOLLAR] = ACTIONS(7511),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7513),
    [anon_sym_BSLASHleft] = ACTIONS(7511),
    [anon_sym_BSLASHbigl] = ACTIONS(7511),
    [anon_sym_BSLASHBigl] = ACTIONS(7511),
    [anon_sym_BSLASHbiggl] = ACTIONS(7511),
    [anon_sym_BSLASHBiggl] = ACTIONS(7511),
    [anon_sym_BSLASHtext] = ACTIONS(7511),
    [anon_sym_BSLASHintertext] = ACTIONS(7511),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7511),
    [anon_sym_BSLASHtitle] = ACTIONS(7511),
    [anon_sym_BSLASHauthor] = ACTIONS(7511),
    [anon_sym_BSLASHusepackage] = ACTIONS(7511),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7511),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7511),
    [anon_sym_BSLASHinclude] = ACTIONS(7511),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7511),
    [anon_sym_BSLASHinput] = ACTIONS(7511),
    [anon_sym_BSLASHsubfile] = ACTIONS(7511),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7511),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7511),
    [anon_sym_BSLASHbibliography] = ACTIONS(7511),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7511),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7511),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7511),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7511),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7511),
    [anon_sym_BSLASHimport] = ACTIONS(7511),
    [anon_sym_BSLASHsubimport] = ACTIONS(7511),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7511),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7511),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7511),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7511),
    [anon_sym_BSLASHcaption] = ACTIONS(7511),
    [anon_sym_BSLASHcite] = ACTIONS(7511),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCite] = ACTIONS(7511),
    [anon_sym_BSLASHnocite] = ACTIONS(7511),
    [anon_sym_BSLASHcitet] = ACTIONS(7511),
    [anon_sym_BSLASHcitep] = ACTIONS(7511),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteA] = ACTIONS(7511),
    [anon_sym_BSLASHciteR] = ACTIONS(7511),
    [anon_sym_BSLASHciteS] = ACTIONS(7511),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7511),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7511),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7511),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7511),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteyear] = ACTIONS(7511),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitedate] = ACTIONS(7511),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteurl] = ACTIONS(7511),
    [anon_sym_BSLASHfullcite] = ACTIONS(7511),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7511),
    [anon_sym_BSLASHcitealt] = ACTIONS(7511),
    [anon_sym_BSLASHcitealp] = ACTIONS(7511),
    [anon_sym_BSLASHcitetext] = ACTIONS(7511),
    [anon_sym_BSLASHparencite] = ACTIONS(7511),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHParencite] = ACTIONS(7511),
    [anon_sym_BSLASHfootcite] = ACTIONS(7511),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7511),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7511),
    [anon_sym_BSLASHtextcite] = ACTIONS(7511),
    [anon_sym_BSLASHTextcite] = ACTIONS(7511),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7511),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7511),
    [anon_sym_BSLASHsupercite] = ACTIONS(7511),
    [anon_sym_BSLASHautocite] = ACTIONS(7511),
    [anon_sym_BSLASHAutocite] = ACTIONS(7511),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHVolcite] = ACTIONS(7511),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHavolcite] = ACTIONS(7511),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHNotecite] = ACTIONS(7511),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHlabel] = ACTIONS(7511),
    [anon_sym_BSLASHref] = ACTIONS(7511),
    [anon_sym_BSLASHeqref] = ACTIONS(7511),
    [anon_sym_BSLASHvref] = ACTIONS(7511),
    [anon_sym_BSLASHVref] = ACTIONS(7511),
    [anon_sym_BSLASHautoref] = ACTIONS(7511),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHpageref] = ACTIONS(7511),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHautopageref] = ACTIONS(7511),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcref] = ACTIONS(7511),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCref] = ACTIONS(7511),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcpageref] = ACTIONS(7511),
    [anon_sym_BSLASHCpageref] = ACTIONS(7511),
    [anon_sym_BSLASHnamecref] = ACTIONS(7511),
    [anon_sym_BSLASHnameCref] = ACTIONS(7511),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7511),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7511),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7511),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7511),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7511),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7511),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7511),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7511),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7511),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7511),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7511),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHdef] = ACTIONS(7511),
    [anon_sym_BSLASHgdef] = ACTIONS(7511),
    [anon_sym_BSLASHedef] = ACTIONS(7511),
    [anon_sym_BSLASHxdef] = ACTIONS(7511),
    [anon_sym_BSLASHlet] = ACTIONS(7511),
    [anon_sym_BSLASHglet] = ACTIONS(7511),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7511),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7511),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7511),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7511),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7511),
    [anon_sym_BSLASHgls] = ACTIONS(7511),
    [anon_sym_BSLASHGls] = ACTIONS(7511),
    [anon_sym_BSLASHGLS] = ACTIONS(7511),
    [anon_sym_BSLASHglspl] = ACTIONS(7511),
    [anon_sym_BSLASHGlspl] = ACTIONS(7511),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7511),
    [anon_sym_BSLASHglslink] = ACTIONS(7511),
    [anon_sym_BSLASHglstext] = ACTIONS(7511),
    [anon_sym_BSLASHGlstext] = ACTIONS(7511),
    [anon_sym_BSLASHGLStext] = ACTIONS(7511),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7511),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7511),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7511),
    [anon_sym_BSLASHglsplural] = ACTIONS(7511),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7511),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7511),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHglsname] = ACTIONS(7511),
    [anon_sym_BSLASHGlsname] = ACTIONS(7511),
    [anon_sym_BSLASHGLSname] = ACTIONS(7511),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7511),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7511),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7511),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7511),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7511),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7511),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7511),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7511),
    [anon_sym_BSLASHacrshort] = ACTIONS(7511),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7511),
    [anon_sym_BSLASHACRshort] = ACTIONS(7511),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHacrlong] = ACTIONS(7511),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7511),
    [anon_sym_BSLASHACRlong] = ACTIONS(7511),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHacrfull] = ACTIONS(7511),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7511),
    [anon_sym_BSLASHACRfull] = ACTIONS(7511),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHacs] = ACTIONS(7511),
    [anon_sym_BSLASHAcs] = ACTIONS(7511),
    [anon_sym_BSLASHacsp] = ACTIONS(7511),
    [anon_sym_BSLASHAcsp] = ACTIONS(7511),
    [anon_sym_BSLASHacl] = ACTIONS(7511),
    [anon_sym_BSLASHAcl] = ACTIONS(7511),
    [anon_sym_BSLASHaclp] = ACTIONS(7511),
    [anon_sym_BSLASHAclp] = ACTIONS(7511),
    [anon_sym_BSLASHacf] = ACTIONS(7511),
    [anon_sym_BSLASHAcf] = ACTIONS(7511),
    [anon_sym_BSLASHacfp] = ACTIONS(7511),
    [anon_sym_BSLASHAcfp] = ACTIONS(7511),
    [anon_sym_BSLASHac] = ACTIONS(7511),
    [anon_sym_BSLASHAc] = ACTIONS(7511),
    [anon_sym_BSLASHacp] = ACTIONS(7511),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7511),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7511),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7511),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7511),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7511),
    [anon_sym_BSLASHcolor] = ACTIONS(7511),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7511),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7511),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7511),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7511),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7511),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7511),
    [anon_sym_BSLASHurl] = ACTIONS(7511),
    [anon_sym_BSLASHhref] = ACTIONS(7511),
  },
  [2013] = {
    [sym_command_name] = ACTIONS(7515),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7515),
    [anon_sym_LBRACK] = ACTIONS(7517),
    [anon_sym_RBRACK] = ACTIONS(7517),
    [anon_sym_COMMA] = ACTIONS(7517),
    [anon_sym_EQ] = ACTIONS(7517),
    [anon_sym_LPAREN] = ACTIONS(7517),
    [anon_sym_RPAREN] = ACTIONS(7517),
    [anon_sym_LBRACE] = ACTIONS(7517),
    [anon_sym_RBRACE] = ACTIONS(7517),
    [sym_word] = ACTIONS(7515),
    [sym_placeholder] = ACTIONS(7517),
    [sym_delimiter] = ACTIONS(7517),
    [anon_sym_PLUS] = ACTIONS(7517),
    [anon_sym_DASH] = ACTIONS(7517),
    [anon_sym_STAR] = ACTIONS(7517),
    [anon_sym_SLASH] = ACTIONS(7517),
    [anon_sym_LT] = ACTIONS(7515),
    [anon_sym_GT] = ACTIONS(7515),
    [anon_sym_BANG] = ACTIONS(7515),
    [anon_sym_PIPE] = ACTIONS(7515),
    [anon_sym_COLON] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7515),
    [anon_sym__] = ACTIONS(7517),
    [anon_sym_CARET] = ACTIONS(7517),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7517),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7517),
    [anon_sym_DOLLAR] = ACTIONS(7515),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7517),
    [anon_sym_BSLASHleft] = ACTIONS(7515),
    [anon_sym_BSLASHbigl] = ACTIONS(7515),
    [anon_sym_BSLASHBigl] = ACTIONS(7515),
    [anon_sym_BSLASHbiggl] = ACTIONS(7515),
    [anon_sym_BSLASHBiggl] = ACTIONS(7515),
    [anon_sym_BSLASHtext] = ACTIONS(7515),
    [anon_sym_BSLASHintertext] = ACTIONS(7515),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7515),
    [anon_sym_BSLASHtitle] = ACTIONS(7515),
    [anon_sym_BSLASHauthor] = ACTIONS(7515),
    [anon_sym_BSLASHusepackage] = ACTIONS(7515),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7515),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7515),
    [anon_sym_BSLASHinclude] = ACTIONS(7515),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7515),
    [anon_sym_BSLASHinput] = ACTIONS(7515),
    [anon_sym_BSLASHsubfile] = ACTIONS(7515),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7515),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7515),
    [anon_sym_BSLASHbibliography] = ACTIONS(7515),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7515),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7515),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7515),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7515),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7515),
    [anon_sym_BSLASHimport] = ACTIONS(7515),
    [anon_sym_BSLASHsubimport] = ACTIONS(7515),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7515),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7515),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7515),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7515),
    [anon_sym_BSLASHcaption] = ACTIONS(7515),
    [anon_sym_BSLASHcite] = ACTIONS(7515),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCite] = ACTIONS(7515),
    [anon_sym_BSLASHnocite] = ACTIONS(7515),
    [anon_sym_BSLASHcitet] = ACTIONS(7515),
    [anon_sym_BSLASHcitep] = ACTIONS(7515),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteA] = ACTIONS(7515),
    [anon_sym_BSLASHciteR] = ACTIONS(7515),
    [anon_sym_BSLASHciteS] = ACTIONS(7515),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7515),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7515),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7515),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7515),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteyear] = ACTIONS(7515),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitedate] = ACTIONS(7515),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteurl] = ACTIONS(7515),
    [anon_sym_BSLASHfullcite] = ACTIONS(7515),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7515),
    [anon_sym_BSLASHcitealt] = ACTIONS(7515),
    [anon_sym_BSLASHcitealp] = ACTIONS(7515),
    [anon_sym_BSLASHcitetext] = ACTIONS(7515),
    [anon_sym_BSLASHparencite] = ACTIONS(7515),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHParencite] = ACTIONS(7515),
    [anon_sym_BSLASHfootcite] = ACTIONS(7515),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7515),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7515),
    [anon_sym_BSLASHtextcite] = ACTIONS(7515),
    [anon_sym_BSLASHTextcite] = ACTIONS(7515),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7515),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7515),
    [anon_sym_BSLASHsupercite] = ACTIONS(7515),
    [anon_sym_BSLASHautocite] = ACTIONS(7515),
    [anon_sym_BSLASHAutocite] = ACTIONS(7515),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHVolcite] = ACTIONS(7515),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHavolcite] = ACTIONS(7515),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHNotecite] = ACTIONS(7515),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHlabel] = ACTIONS(7515),
    [anon_sym_BSLASHref] = ACTIONS(7515),
    [anon_sym_BSLASHeqref] = ACTIONS(7515),
    [anon_sym_BSLASHvref] = ACTIONS(7515),
    [anon_sym_BSLASHVref] = ACTIONS(7515),
    [anon_sym_BSLASHautoref] = ACTIONS(7515),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHpageref] = ACTIONS(7515),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHautopageref] = ACTIONS(7515),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcref] = ACTIONS(7515),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCref] = ACTIONS(7515),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcpageref] = ACTIONS(7515),
    [anon_sym_BSLASHCpageref] = ACTIONS(7515),
    [anon_sym_BSLASHnamecref] = ACTIONS(7515),
    [anon_sym_BSLASHnameCref] = ACTIONS(7515),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7515),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7515),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7515),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7515),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7515),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7515),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7515),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7515),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7515),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7515),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7515),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHdef] = ACTIONS(7515),
    [anon_sym_BSLASHgdef] = ACTIONS(7515),
    [anon_sym_BSLASHedef] = ACTIONS(7515),
    [anon_sym_BSLASHxdef] = ACTIONS(7515),
    [anon_sym_BSLASHlet] = ACTIONS(7515),
    [anon_sym_BSLASHglet] = ACTIONS(7515),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7515),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7515),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7515),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7515),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7515),
    [anon_sym_BSLASHgls] = ACTIONS(7515),
    [anon_sym_BSLASHGls] = ACTIONS(7515),
    [anon_sym_BSLASHGLS] = ACTIONS(7515),
    [anon_sym_BSLASHglspl] = ACTIONS(7515),
    [anon_sym_BSLASHGlspl] = ACTIONS(7515),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7515),
    [anon_sym_BSLASHglslink] = ACTIONS(7515),
    [anon_sym_BSLASHglstext] = ACTIONS(7515),
    [anon_sym_BSLASHGlstext] = ACTIONS(7515),
    [anon_sym_BSLASHGLStext] = ACTIONS(7515),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7515),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7515),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7515),
    [anon_sym_BSLASHglsplural] = ACTIONS(7515),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7515),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7515),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHglsname] = ACTIONS(7515),
    [anon_sym_BSLASHGlsname] = ACTIONS(7515),
    [anon_sym_BSLASHGLSname] = ACTIONS(7515),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7515),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7515),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7515),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7515),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7515),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7515),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7515),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7515),
    [anon_sym_BSLASHacrshort] = ACTIONS(7515),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7515),
    [anon_sym_BSLASHACRshort] = ACTIONS(7515),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHacrlong] = ACTIONS(7515),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7515),
    [anon_sym_BSLASHACRlong] = ACTIONS(7515),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHacrfull] = ACTIONS(7515),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7515),
    [anon_sym_BSLASHACRfull] = ACTIONS(7515),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHacs] = ACTIONS(7515),
    [anon_sym_BSLASHAcs] = ACTIONS(7515),
    [anon_sym_BSLASHacsp] = ACTIONS(7515),
    [anon_sym_BSLASHAcsp] = ACTIONS(7515),
    [anon_sym_BSLASHacl] = ACTIONS(7515),
    [anon_sym_BSLASHAcl] = ACTIONS(7515),
    [anon_sym_BSLASHaclp] = ACTIONS(7515),
    [anon_sym_BSLASHAclp] = ACTIONS(7515),
    [anon_sym_BSLASHacf] = ACTIONS(7515),
    [anon_sym_BSLASHAcf] = ACTIONS(7515),
    [anon_sym_BSLASHacfp] = ACTIONS(7515),
    [anon_sym_BSLASHAcfp] = ACTIONS(7515),
    [anon_sym_BSLASHac] = ACTIONS(7515),
    [anon_sym_BSLASHAc] = ACTIONS(7515),
    [anon_sym_BSLASHacp] = ACTIONS(7515),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7515),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7515),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7515),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7515),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7515),
    [anon_sym_BSLASHcolor] = ACTIONS(7515),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7515),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7515),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7515),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7515),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7515),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7515),
    [anon_sym_BSLASHurl] = ACTIONS(7515),
    [anon_sym_BSLASHhref] = ACTIONS(7515),
  },
  [2014] = {
    [sym_command_name] = ACTIONS(7583),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7583),
    [anon_sym_LBRACK] = ACTIONS(7585),
    [anon_sym_RBRACK] = ACTIONS(7585),
    [anon_sym_COMMA] = ACTIONS(7585),
    [anon_sym_EQ] = ACTIONS(7585),
    [anon_sym_LPAREN] = ACTIONS(7585),
    [anon_sym_RPAREN] = ACTIONS(7585),
    [anon_sym_LBRACE] = ACTIONS(7585),
    [sym_word] = ACTIONS(7583),
    [sym_placeholder] = ACTIONS(7585),
    [sym_delimiter] = ACTIONS(7585),
    [anon_sym_PLUS] = ACTIONS(7585),
    [anon_sym_DASH] = ACTIONS(7585),
    [anon_sym_STAR] = ACTIONS(7585),
    [anon_sym_SLASH] = ACTIONS(7585),
    [anon_sym_LT] = ACTIONS(7583),
    [anon_sym_GT] = ACTIONS(7583),
    [anon_sym_BANG] = ACTIONS(7583),
    [anon_sym_PIPE] = ACTIONS(7583),
    [anon_sym_COLON] = ACTIONS(7583),
    [anon_sym_SQUOTE] = ACTIONS(7583),
    [anon_sym__] = ACTIONS(7585),
    [anon_sym_CARET] = ACTIONS(7585),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7585),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7585),
    [anon_sym_DOLLAR] = ACTIONS(7583),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7585),
    [anon_sym_BSLASHleft] = ACTIONS(7583),
    [anon_sym_BSLASHbigl] = ACTIONS(7583),
    [anon_sym_BSLASHBigl] = ACTIONS(7583),
    [anon_sym_BSLASHbiggl] = ACTIONS(7583),
    [anon_sym_BSLASHBiggl] = ACTIONS(7583),
    [anon_sym_BSLASHtext] = ACTIONS(7583),
    [anon_sym_BSLASHintertext] = ACTIONS(7583),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7583),
    [anon_sym_BSLASHbegin] = ACTIONS(7583),
    [anon_sym_BSLASHtitle] = ACTIONS(7583),
    [anon_sym_BSLASHauthor] = ACTIONS(7583),
    [anon_sym_BSLASHusepackage] = ACTIONS(7583),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7583),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7583),
    [anon_sym_BSLASHinclude] = ACTIONS(7583),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7583),
    [anon_sym_BSLASHinput] = ACTIONS(7583),
    [anon_sym_BSLASHsubfile] = ACTIONS(7583),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7583),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7583),
    [anon_sym_BSLASHbibliography] = ACTIONS(7583),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7583),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7583),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7583),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7583),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7583),
    [anon_sym_BSLASHimport] = ACTIONS(7583),
    [anon_sym_BSLASHsubimport] = ACTIONS(7583),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7583),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7583),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7583),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7583),
    [anon_sym_BSLASHcaption] = ACTIONS(7583),
    [anon_sym_BSLASHcite] = ACTIONS(7583),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCite] = ACTIONS(7583),
    [anon_sym_BSLASHnocite] = ACTIONS(7583),
    [anon_sym_BSLASHcitet] = ACTIONS(7583),
    [anon_sym_BSLASHcitep] = ACTIONS(7583),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteA] = ACTIONS(7583),
    [anon_sym_BSLASHciteR] = ACTIONS(7583),
    [anon_sym_BSLASHciteS] = ACTIONS(7583),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7583),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7583),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7583),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7583),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteyear] = ACTIONS(7583),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitedate] = ACTIONS(7583),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteurl] = ACTIONS(7583),
    [anon_sym_BSLASHfullcite] = ACTIONS(7583),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7583),
    [anon_sym_BSLASHcitealt] = ACTIONS(7583),
    [anon_sym_BSLASHcitealp] = ACTIONS(7583),
    [anon_sym_BSLASHcitetext] = ACTIONS(7583),
    [anon_sym_BSLASHparencite] = ACTIONS(7583),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHParencite] = ACTIONS(7583),
    [anon_sym_BSLASHfootcite] = ACTIONS(7583),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7583),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7583),
    [anon_sym_BSLASHtextcite] = ACTIONS(7583),
    [anon_sym_BSLASHTextcite] = ACTIONS(7583),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7583),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7583),
    [anon_sym_BSLASHsupercite] = ACTIONS(7583),
    [anon_sym_BSLASHautocite] = ACTIONS(7583),
    [anon_sym_BSLASHAutocite] = ACTIONS(7583),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHVolcite] = ACTIONS(7583),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHavolcite] = ACTIONS(7583),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHNotecite] = ACTIONS(7583),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHlabel] = ACTIONS(7583),
    [anon_sym_BSLASHref] = ACTIONS(7583),
    [anon_sym_BSLASHeqref] = ACTIONS(7583),
    [anon_sym_BSLASHvref] = ACTIONS(7583),
    [anon_sym_BSLASHVref] = ACTIONS(7583),
    [anon_sym_BSLASHautoref] = ACTIONS(7583),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHpageref] = ACTIONS(7583),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHautopageref] = ACTIONS(7583),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcref] = ACTIONS(7583),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCref] = ACTIONS(7583),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcpageref] = ACTIONS(7583),
    [anon_sym_BSLASHCpageref] = ACTIONS(7583),
    [anon_sym_BSLASHnamecref] = ACTIONS(7583),
    [anon_sym_BSLASHnameCref] = ACTIONS(7583),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7583),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7583),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7583),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7583),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7583),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7583),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7583),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7583),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7583),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7583),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7583),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHdef] = ACTIONS(7583),
    [anon_sym_BSLASHgdef] = ACTIONS(7583),
    [anon_sym_BSLASHedef] = ACTIONS(7583),
    [anon_sym_BSLASHxdef] = ACTIONS(7583),
    [anon_sym_BSLASHlet] = ACTIONS(7583),
    [anon_sym_BSLASHglet] = ACTIONS(7583),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7583),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7583),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7583),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7583),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7583),
    [anon_sym_BSLASHgls] = ACTIONS(7583),
    [anon_sym_BSLASHGls] = ACTIONS(7583),
    [anon_sym_BSLASHGLS] = ACTIONS(7583),
    [anon_sym_BSLASHglspl] = ACTIONS(7583),
    [anon_sym_BSLASHGlspl] = ACTIONS(7583),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7583),
    [anon_sym_BSLASHglslink] = ACTIONS(7583),
    [anon_sym_BSLASHglstext] = ACTIONS(7583),
    [anon_sym_BSLASHGlstext] = ACTIONS(7583),
    [anon_sym_BSLASHGLStext] = ACTIONS(7583),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7583),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7583),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7583),
    [anon_sym_BSLASHglsplural] = ACTIONS(7583),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7583),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7583),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHglsname] = ACTIONS(7583),
    [anon_sym_BSLASHGlsname] = ACTIONS(7583),
    [anon_sym_BSLASHGLSname] = ACTIONS(7583),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7583),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7583),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7583),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7583),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7583),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7583),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7583),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7583),
    [anon_sym_BSLASHacrshort] = ACTIONS(7583),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7583),
    [anon_sym_BSLASHACRshort] = ACTIONS(7583),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHacrlong] = ACTIONS(7583),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7583),
    [anon_sym_BSLASHACRlong] = ACTIONS(7583),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHacrfull] = ACTIONS(7583),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7583),
    [anon_sym_BSLASHACRfull] = ACTIONS(7583),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHacs] = ACTIONS(7583),
    [anon_sym_BSLASHAcs] = ACTIONS(7583),
    [anon_sym_BSLASHacsp] = ACTIONS(7583),
    [anon_sym_BSLASHAcsp] = ACTIONS(7583),
    [anon_sym_BSLASHacl] = ACTIONS(7583),
    [anon_sym_BSLASHAcl] = ACTIONS(7583),
    [anon_sym_BSLASHaclp] = ACTIONS(7583),
    [anon_sym_BSLASHAclp] = ACTIONS(7583),
    [anon_sym_BSLASHacf] = ACTIONS(7583),
    [anon_sym_BSLASHAcf] = ACTIONS(7583),
    [anon_sym_BSLASHacfp] = ACTIONS(7583),
    [anon_sym_BSLASHAcfp] = ACTIONS(7583),
    [anon_sym_BSLASHac] = ACTIONS(7583),
    [anon_sym_BSLASHAc] = ACTIONS(7583),
    [anon_sym_BSLASHacp] = ACTIONS(7583),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7583),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7583),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7583),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7583),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7583),
    [anon_sym_BSLASHcolor] = ACTIONS(7583),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7583),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7583),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7583),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7583),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7583),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7583),
    [anon_sym_BSLASHurl] = ACTIONS(7583),
    [anon_sym_BSLASHhref] = ACTIONS(7583),
  },
  [2015] = {
    [sym_command_name] = ACTIONS(7519),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7519),
    [anon_sym_LBRACK] = ACTIONS(7521),
    [anon_sym_RBRACK] = ACTIONS(7521),
    [anon_sym_COMMA] = ACTIONS(7521),
    [anon_sym_EQ] = ACTIONS(7521),
    [anon_sym_LPAREN] = ACTIONS(7521),
    [anon_sym_RPAREN] = ACTIONS(7521),
    [anon_sym_LBRACE] = ACTIONS(7521),
    [anon_sym_RBRACE] = ACTIONS(7521),
    [sym_word] = ACTIONS(7519),
    [sym_placeholder] = ACTIONS(7521),
    [sym_delimiter] = ACTIONS(7521),
    [anon_sym_PLUS] = ACTIONS(7521),
    [anon_sym_DASH] = ACTIONS(7521),
    [anon_sym_STAR] = ACTIONS(7521),
    [anon_sym_SLASH] = ACTIONS(7521),
    [anon_sym_LT] = ACTIONS(7519),
    [anon_sym_GT] = ACTIONS(7519),
    [anon_sym_BANG] = ACTIONS(7519),
    [anon_sym_PIPE] = ACTIONS(7519),
    [anon_sym_COLON] = ACTIONS(7519),
    [anon_sym_SQUOTE] = ACTIONS(7519),
    [anon_sym__] = ACTIONS(7521),
    [anon_sym_CARET] = ACTIONS(7521),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7521),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7521),
    [anon_sym_DOLLAR] = ACTIONS(7519),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7521),
    [anon_sym_BSLASHleft] = ACTIONS(7519),
    [anon_sym_BSLASHbigl] = ACTIONS(7519),
    [anon_sym_BSLASHBigl] = ACTIONS(7519),
    [anon_sym_BSLASHbiggl] = ACTIONS(7519),
    [anon_sym_BSLASHBiggl] = ACTIONS(7519),
    [anon_sym_BSLASHtext] = ACTIONS(7519),
    [anon_sym_BSLASHintertext] = ACTIONS(7519),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7519),
    [anon_sym_BSLASHtitle] = ACTIONS(7519),
    [anon_sym_BSLASHauthor] = ACTIONS(7519),
    [anon_sym_BSLASHusepackage] = ACTIONS(7519),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7519),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7519),
    [anon_sym_BSLASHinclude] = ACTIONS(7519),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7519),
    [anon_sym_BSLASHinput] = ACTIONS(7519),
    [anon_sym_BSLASHsubfile] = ACTIONS(7519),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7519),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7519),
    [anon_sym_BSLASHbibliography] = ACTIONS(7519),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7519),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7519),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7519),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7519),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7519),
    [anon_sym_BSLASHimport] = ACTIONS(7519),
    [anon_sym_BSLASHsubimport] = ACTIONS(7519),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7519),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7519),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7519),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7519),
    [anon_sym_BSLASHcaption] = ACTIONS(7519),
    [anon_sym_BSLASHcite] = ACTIONS(7519),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCite] = ACTIONS(7519),
    [anon_sym_BSLASHnocite] = ACTIONS(7519),
    [anon_sym_BSLASHcitet] = ACTIONS(7519),
    [anon_sym_BSLASHcitep] = ACTIONS(7519),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteA] = ACTIONS(7519),
    [anon_sym_BSLASHciteR] = ACTIONS(7519),
    [anon_sym_BSLASHciteS] = ACTIONS(7519),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7519),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7519),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7519),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7519),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteyear] = ACTIONS(7519),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitedate] = ACTIONS(7519),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteurl] = ACTIONS(7519),
    [anon_sym_BSLASHfullcite] = ACTIONS(7519),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7519),
    [anon_sym_BSLASHcitealt] = ACTIONS(7519),
    [anon_sym_BSLASHcitealp] = ACTIONS(7519),
    [anon_sym_BSLASHcitetext] = ACTIONS(7519),
    [anon_sym_BSLASHparencite] = ACTIONS(7519),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHParencite] = ACTIONS(7519),
    [anon_sym_BSLASHfootcite] = ACTIONS(7519),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7519),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7519),
    [anon_sym_BSLASHtextcite] = ACTIONS(7519),
    [anon_sym_BSLASHTextcite] = ACTIONS(7519),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7519),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7519),
    [anon_sym_BSLASHsupercite] = ACTIONS(7519),
    [anon_sym_BSLASHautocite] = ACTIONS(7519),
    [anon_sym_BSLASHAutocite] = ACTIONS(7519),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHVolcite] = ACTIONS(7519),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHavolcite] = ACTIONS(7519),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHNotecite] = ACTIONS(7519),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHlabel] = ACTIONS(7519),
    [anon_sym_BSLASHref] = ACTIONS(7519),
    [anon_sym_BSLASHeqref] = ACTIONS(7519),
    [anon_sym_BSLASHvref] = ACTIONS(7519),
    [anon_sym_BSLASHVref] = ACTIONS(7519),
    [anon_sym_BSLASHautoref] = ACTIONS(7519),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHpageref] = ACTIONS(7519),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHautopageref] = ACTIONS(7519),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcref] = ACTIONS(7519),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCref] = ACTIONS(7519),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcpageref] = ACTIONS(7519),
    [anon_sym_BSLASHCpageref] = ACTIONS(7519),
    [anon_sym_BSLASHnamecref] = ACTIONS(7519),
    [anon_sym_BSLASHnameCref] = ACTIONS(7519),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7519),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7519),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7519),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7519),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7519),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7519),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7519),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7519),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7519),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7519),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7519),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHdef] = ACTIONS(7519),
    [anon_sym_BSLASHgdef] = ACTIONS(7519),
    [anon_sym_BSLASHedef] = ACTIONS(7519),
    [anon_sym_BSLASHxdef] = ACTIONS(7519),
    [anon_sym_BSLASHlet] = ACTIONS(7519),
    [anon_sym_BSLASHglet] = ACTIONS(7519),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7519),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7519),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7519),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7519),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7519),
    [anon_sym_BSLASHgls] = ACTIONS(7519),
    [anon_sym_BSLASHGls] = ACTIONS(7519),
    [anon_sym_BSLASHGLS] = ACTIONS(7519),
    [anon_sym_BSLASHglspl] = ACTIONS(7519),
    [anon_sym_BSLASHGlspl] = ACTIONS(7519),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7519),
    [anon_sym_BSLASHglslink] = ACTIONS(7519),
    [anon_sym_BSLASHglstext] = ACTIONS(7519),
    [anon_sym_BSLASHGlstext] = ACTIONS(7519),
    [anon_sym_BSLASHGLStext] = ACTIONS(7519),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7519),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7519),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7519),
    [anon_sym_BSLASHglsplural] = ACTIONS(7519),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7519),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7519),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHglsname] = ACTIONS(7519),
    [anon_sym_BSLASHGlsname] = ACTIONS(7519),
    [anon_sym_BSLASHGLSname] = ACTIONS(7519),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7519),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7519),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7519),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7519),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7519),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7519),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7519),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7519),
    [anon_sym_BSLASHacrshort] = ACTIONS(7519),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7519),
    [anon_sym_BSLASHACRshort] = ACTIONS(7519),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHacrlong] = ACTIONS(7519),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7519),
    [anon_sym_BSLASHACRlong] = ACTIONS(7519),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHacrfull] = ACTIONS(7519),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7519),
    [anon_sym_BSLASHACRfull] = ACTIONS(7519),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHacs] = ACTIONS(7519),
    [anon_sym_BSLASHAcs] = ACTIONS(7519),
    [anon_sym_BSLASHacsp] = ACTIONS(7519),
    [anon_sym_BSLASHAcsp] = ACTIONS(7519),
    [anon_sym_BSLASHacl] = ACTIONS(7519),
    [anon_sym_BSLASHAcl] = ACTIONS(7519),
    [anon_sym_BSLASHaclp] = ACTIONS(7519),
    [anon_sym_BSLASHAclp] = ACTIONS(7519),
    [anon_sym_BSLASHacf] = ACTIONS(7519),
    [anon_sym_BSLASHAcf] = ACTIONS(7519),
    [anon_sym_BSLASHacfp] = ACTIONS(7519),
    [anon_sym_BSLASHAcfp] = ACTIONS(7519),
    [anon_sym_BSLASHac] = ACTIONS(7519),
    [anon_sym_BSLASHAc] = ACTIONS(7519),
    [anon_sym_BSLASHacp] = ACTIONS(7519),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7519),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7519),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7519),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7519),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7519),
    [anon_sym_BSLASHcolor] = ACTIONS(7519),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7519),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7519),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7519),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7519),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7519),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7519),
    [anon_sym_BSLASHurl] = ACTIONS(7519),
    [anon_sym_BSLASHhref] = ACTIONS(7519),
  },
  [2016] = {
    [sym_command_name] = ACTIONS(7523),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7523),
    [anon_sym_LBRACK] = ACTIONS(7525),
    [anon_sym_RBRACK] = ACTIONS(7525),
    [anon_sym_COMMA] = ACTIONS(7525),
    [anon_sym_EQ] = ACTIONS(7525),
    [anon_sym_LPAREN] = ACTIONS(7525),
    [anon_sym_RPAREN] = ACTIONS(7525),
    [anon_sym_LBRACE] = ACTIONS(7525),
    [anon_sym_RBRACE] = ACTIONS(7525),
    [sym_word] = ACTIONS(7523),
    [sym_placeholder] = ACTIONS(7525),
    [sym_delimiter] = ACTIONS(7525),
    [anon_sym_PLUS] = ACTIONS(7525),
    [anon_sym_DASH] = ACTIONS(7525),
    [anon_sym_STAR] = ACTIONS(7525),
    [anon_sym_SLASH] = ACTIONS(7525),
    [anon_sym_LT] = ACTIONS(7523),
    [anon_sym_GT] = ACTIONS(7523),
    [anon_sym_BANG] = ACTIONS(7523),
    [anon_sym_PIPE] = ACTIONS(7523),
    [anon_sym_COLON] = ACTIONS(7523),
    [anon_sym_SQUOTE] = ACTIONS(7523),
    [anon_sym__] = ACTIONS(7525),
    [anon_sym_CARET] = ACTIONS(7525),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7525),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7525),
    [anon_sym_DOLLAR] = ACTIONS(7523),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7525),
    [anon_sym_BSLASHleft] = ACTIONS(7523),
    [anon_sym_BSLASHbigl] = ACTIONS(7523),
    [anon_sym_BSLASHBigl] = ACTIONS(7523),
    [anon_sym_BSLASHbiggl] = ACTIONS(7523),
    [anon_sym_BSLASHBiggl] = ACTIONS(7523),
    [anon_sym_BSLASHtext] = ACTIONS(7523),
    [anon_sym_BSLASHintertext] = ACTIONS(7523),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7523),
    [anon_sym_BSLASHtitle] = ACTIONS(7523),
    [anon_sym_BSLASHauthor] = ACTIONS(7523),
    [anon_sym_BSLASHusepackage] = ACTIONS(7523),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7523),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7523),
    [anon_sym_BSLASHinclude] = ACTIONS(7523),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7523),
    [anon_sym_BSLASHinput] = ACTIONS(7523),
    [anon_sym_BSLASHsubfile] = ACTIONS(7523),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7523),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7523),
    [anon_sym_BSLASHbibliography] = ACTIONS(7523),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7523),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7523),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7523),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7523),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7523),
    [anon_sym_BSLASHimport] = ACTIONS(7523),
    [anon_sym_BSLASHsubimport] = ACTIONS(7523),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7523),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7523),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7523),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7523),
    [anon_sym_BSLASHcaption] = ACTIONS(7523),
    [anon_sym_BSLASHcite] = ACTIONS(7523),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCite] = ACTIONS(7523),
    [anon_sym_BSLASHnocite] = ACTIONS(7523),
    [anon_sym_BSLASHcitet] = ACTIONS(7523),
    [anon_sym_BSLASHcitep] = ACTIONS(7523),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteA] = ACTIONS(7523),
    [anon_sym_BSLASHciteR] = ACTIONS(7523),
    [anon_sym_BSLASHciteS] = ACTIONS(7523),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7523),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7523),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7523),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7523),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteyear] = ACTIONS(7523),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitedate] = ACTIONS(7523),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteurl] = ACTIONS(7523),
    [anon_sym_BSLASHfullcite] = ACTIONS(7523),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7523),
    [anon_sym_BSLASHcitealt] = ACTIONS(7523),
    [anon_sym_BSLASHcitealp] = ACTIONS(7523),
    [anon_sym_BSLASHcitetext] = ACTIONS(7523),
    [anon_sym_BSLASHparencite] = ACTIONS(7523),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHParencite] = ACTIONS(7523),
    [anon_sym_BSLASHfootcite] = ACTIONS(7523),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7523),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7523),
    [anon_sym_BSLASHtextcite] = ACTIONS(7523),
    [anon_sym_BSLASHTextcite] = ACTIONS(7523),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7523),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7523),
    [anon_sym_BSLASHsupercite] = ACTIONS(7523),
    [anon_sym_BSLASHautocite] = ACTIONS(7523),
    [anon_sym_BSLASHAutocite] = ACTIONS(7523),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHVolcite] = ACTIONS(7523),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHavolcite] = ACTIONS(7523),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHNotecite] = ACTIONS(7523),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHlabel] = ACTIONS(7523),
    [anon_sym_BSLASHref] = ACTIONS(7523),
    [anon_sym_BSLASHeqref] = ACTIONS(7523),
    [anon_sym_BSLASHvref] = ACTIONS(7523),
    [anon_sym_BSLASHVref] = ACTIONS(7523),
    [anon_sym_BSLASHautoref] = ACTIONS(7523),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHpageref] = ACTIONS(7523),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHautopageref] = ACTIONS(7523),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcref] = ACTIONS(7523),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCref] = ACTIONS(7523),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcpageref] = ACTIONS(7523),
    [anon_sym_BSLASHCpageref] = ACTIONS(7523),
    [anon_sym_BSLASHnamecref] = ACTIONS(7523),
    [anon_sym_BSLASHnameCref] = ACTIONS(7523),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7523),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7523),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7523),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7523),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7523),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7523),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7523),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7523),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7523),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7523),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7523),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHdef] = ACTIONS(7523),
    [anon_sym_BSLASHgdef] = ACTIONS(7523),
    [anon_sym_BSLASHedef] = ACTIONS(7523),
    [anon_sym_BSLASHxdef] = ACTIONS(7523),
    [anon_sym_BSLASHlet] = ACTIONS(7523),
    [anon_sym_BSLASHglet] = ACTIONS(7523),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7523),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7523),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7523),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7523),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7523),
    [anon_sym_BSLASHgls] = ACTIONS(7523),
    [anon_sym_BSLASHGls] = ACTIONS(7523),
    [anon_sym_BSLASHGLS] = ACTIONS(7523),
    [anon_sym_BSLASHglspl] = ACTIONS(7523),
    [anon_sym_BSLASHGlspl] = ACTIONS(7523),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7523),
    [anon_sym_BSLASHglslink] = ACTIONS(7523),
    [anon_sym_BSLASHglstext] = ACTIONS(7523),
    [anon_sym_BSLASHGlstext] = ACTIONS(7523),
    [anon_sym_BSLASHGLStext] = ACTIONS(7523),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7523),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7523),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7523),
    [anon_sym_BSLASHglsplural] = ACTIONS(7523),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7523),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7523),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHglsname] = ACTIONS(7523),
    [anon_sym_BSLASHGlsname] = ACTIONS(7523),
    [anon_sym_BSLASHGLSname] = ACTIONS(7523),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7523),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7523),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7523),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7523),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7523),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7523),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7523),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7523),
    [anon_sym_BSLASHacrshort] = ACTIONS(7523),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7523),
    [anon_sym_BSLASHACRshort] = ACTIONS(7523),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHacrlong] = ACTIONS(7523),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7523),
    [anon_sym_BSLASHACRlong] = ACTIONS(7523),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHacrfull] = ACTIONS(7523),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7523),
    [anon_sym_BSLASHACRfull] = ACTIONS(7523),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHacs] = ACTIONS(7523),
    [anon_sym_BSLASHAcs] = ACTIONS(7523),
    [anon_sym_BSLASHacsp] = ACTIONS(7523),
    [anon_sym_BSLASHAcsp] = ACTIONS(7523),
    [anon_sym_BSLASHacl] = ACTIONS(7523),
    [anon_sym_BSLASHAcl] = ACTIONS(7523),
    [anon_sym_BSLASHaclp] = ACTIONS(7523),
    [anon_sym_BSLASHAclp] = ACTIONS(7523),
    [anon_sym_BSLASHacf] = ACTIONS(7523),
    [anon_sym_BSLASHAcf] = ACTIONS(7523),
    [anon_sym_BSLASHacfp] = ACTIONS(7523),
    [anon_sym_BSLASHAcfp] = ACTIONS(7523),
    [anon_sym_BSLASHac] = ACTIONS(7523),
    [anon_sym_BSLASHAc] = ACTIONS(7523),
    [anon_sym_BSLASHacp] = ACTIONS(7523),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7523),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7523),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7523),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7523),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7523),
    [anon_sym_BSLASHcolor] = ACTIONS(7523),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7523),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7523),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7523),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7523),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7523),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7523),
    [anon_sym_BSLASHurl] = ACTIONS(7523),
    [anon_sym_BSLASHhref] = ACTIONS(7523),
  },
  [2017] = {
    [sym_command_name] = ACTIONS(7527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7527),
    [anon_sym_LBRACK] = ACTIONS(7529),
    [anon_sym_RBRACK] = ACTIONS(7529),
    [anon_sym_COMMA] = ACTIONS(7529),
    [anon_sym_EQ] = ACTIONS(7529),
    [anon_sym_LPAREN] = ACTIONS(7529),
    [anon_sym_RPAREN] = ACTIONS(7529),
    [anon_sym_LBRACE] = ACTIONS(7529),
    [anon_sym_RBRACE] = ACTIONS(7529),
    [sym_word] = ACTIONS(7527),
    [sym_placeholder] = ACTIONS(7529),
    [sym_delimiter] = ACTIONS(7529),
    [anon_sym_PLUS] = ACTIONS(7529),
    [anon_sym_DASH] = ACTIONS(7529),
    [anon_sym_STAR] = ACTIONS(7529),
    [anon_sym_SLASH] = ACTIONS(7529),
    [anon_sym_LT] = ACTIONS(7527),
    [anon_sym_GT] = ACTIONS(7527),
    [anon_sym_BANG] = ACTIONS(7527),
    [anon_sym_PIPE] = ACTIONS(7527),
    [anon_sym_COLON] = ACTIONS(7527),
    [anon_sym_SQUOTE] = ACTIONS(7527),
    [anon_sym__] = ACTIONS(7529),
    [anon_sym_CARET] = ACTIONS(7529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7529),
    [anon_sym_DOLLAR] = ACTIONS(7527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7529),
    [anon_sym_BSLASHleft] = ACTIONS(7527),
    [anon_sym_BSLASHbigl] = ACTIONS(7527),
    [anon_sym_BSLASHBigl] = ACTIONS(7527),
    [anon_sym_BSLASHbiggl] = ACTIONS(7527),
    [anon_sym_BSLASHBiggl] = ACTIONS(7527),
    [anon_sym_BSLASHtext] = ACTIONS(7527),
    [anon_sym_BSLASHintertext] = ACTIONS(7527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7527),
    [anon_sym_BSLASHtitle] = ACTIONS(7527),
    [anon_sym_BSLASHauthor] = ACTIONS(7527),
    [anon_sym_BSLASHusepackage] = ACTIONS(7527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7527),
    [anon_sym_BSLASHinclude] = ACTIONS(7527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7527),
    [anon_sym_BSLASHinput] = ACTIONS(7527),
    [anon_sym_BSLASHsubfile] = ACTIONS(7527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7527),
    [anon_sym_BSLASHbibliography] = ACTIONS(7527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7527),
    [anon_sym_BSLASHimport] = ACTIONS(7527),
    [anon_sym_BSLASHsubimport] = ACTIONS(7527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7527),
    [anon_sym_BSLASHcaption] = ACTIONS(7527),
    [anon_sym_BSLASHcite] = ACTIONS(7527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCite] = ACTIONS(7527),
    [anon_sym_BSLASHnocite] = ACTIONS(7527),
    [anon_sym_BSLASHcitet] = ACTIONS(7527),
    [anon_sym_BSLASHcitep] = ACTIONS(7527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteA] = ACTIONS(7527),
    [anon_sym_BSLASHciteR] = ACTIONS(7527),
    [anon_sym_BSLASHciteS] = ACTIONS(7527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteyear] = ACTIONS(7527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitedate] = ACTIONS(7527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteurl] = ACTIONS(7527),
    [anon_sym_BSLASHfullcite] = ACTIONS(7527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7527),
    [anon_sym_BSLASHcitealt] = ACTIONS(7527),
    [anon_sym_BSLASHcitealp] = ACTIONS(7527),
    [anon_sym_BSLASHcitetext] = ACTIONS(7527),
    [anon_sym_BSLASHparencite] = ACTIONS(7527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHParencite] = ACTIONS(7527),
    [anon_sym_BSLASHfootcite] = ACTIONS(7527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7527),
    [anon_sym_BSLASHtextcite] = ACTIONS(7527),
    [anon_sym_BSLASHTextcite] = ACTIONS(7527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7527),
    [anon_sym_BSLASHsupercite] = ACTIONS(7527),
    [anon_sym_BSLASHautocite] = ACTIONS(7527),
    [anon_sym_BSLASHAutocite] = ACTIONS(7527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHVolcite] = ACTIONS(7527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHavolcite] = ACTIONS(7527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHNotecite] = ACTIONS(7527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHlabel] = ACTIONS(7527),
    [anon_sym_BSLASHref] = ACTIONS(7527),
    [anon_sym_BSLASHeqref] = ACTIONS(7527),
    [anon_sym_BSLASHvref] = ACTIONS(7527),
    [anon_sym_BSLASHVref] = ACTIONS(7527),
    [anon_sym_BSLASHautoref] = ACTIONS(7527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHpageref] = ACTIONS(7527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHautopageref] = ACTIONS(7527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcref] = ACTIONS(7527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCref] = ACTIONS(7527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcpageref] = ACTIONS(7527),
    [anon_sym_BSLASHCpageref] = ACTIONS(7527),
    [anon_sym_BSLASHnamecref] = ACTIONS(7527),
    [anon_sym_BSLASHnameCref] = ACTIONS(7527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHdef] = ACTIONS(7527),
    [anon_sym_BSLASHgdef] = ACTIONS(7527),
    [anon_sym_BSLASHedef] = ACTIONS(7527),
    [anon_sym_BSLASHxdef] = ACTIONS(7527),
    [anon_sym_BSLASHlet] = ACTIONS(7527),
    [anon_sym_BSLASHglet] = ACTIONS(7527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7527),
    [anon_sym_BSLASHgls] = ACTIONS(7527),
    [anon_sym_BSLASHGls] = ACTIONS(7527),
    [anon_sym_BSLASHGLS] = ACTIONS(7527),
    [anon_sym_BSLASHglspl] = ACTIONS(7527),
    [anon_sym_BSLASHGlspl] = ACTIONS(7527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7527),
    [anon_sym_BSLASHglslink] = ACTIONS(7527),
    [anon_sym_BSLASHglstext] = ACTIONS(7527),
    [anon_sym_BSLASHGlstext] = ACTIONS(7527),
    [anon_sym_BSLASHGLStext] = ACTIONS(7527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7527),
    [anon_sym_BSLASHglsplural] = ACTIONS(7527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHglsname] = ACTIONS(7527),
    [anon_sym_BSLASHGlsname] = ACTIONS(7527),
    [anon_sym_BSLASHGLSname] = ACTIONS(7527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7527),
    [anon_sym_BSLASHacrshort] = ACTIONS(7527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7527),
    [anon_sym_BSLASHACRshort] = ACTIONS(7527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHacrlong] = ACTIONS(7527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7527),
    [anon_sym_BSLASHACRlong] = ACTIONS(7527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHacrfull] = ACTIONS(7527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7527),
    [anon_sym_BSLASHACRfull] = ACTIONS(7527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHacs] = ACTIONS(7527),
    [anon_sym_BSLASHAcs] = ACTIONS(7527),
    [anon_sym_BSLASHacsp] = ACTIONS(7527),
    [anon_sym_BSLASHAcsp] = ACTIONS(7527),
    [anon_sym_BSLASHacl] = ACTIONS(7527),
    [anon_sym_BSLASHAcl] = ACTIONS(7527),
    [anon_sym_BSLASHaclp] = ACTIONS(7527),
    [anon_sym_BSLASHAclp] = ACTIONS(7527),
    [anon_sym_BSLASHacf] = ACTIONS(7527),
    [anon_sym_BSLASHAcf] = ACTIONS(7527),
    [anon_sym_BSLASHacfp] = ACTIONS(7527),
    [anon_sym_BSLASHAcfp] = ACTIONS(7527),
    [anon_sym_BSLASHac] = ACTIONS(7527),
    [anon_sym_BSLASHAc] = ACTIONS(7527),
    [anon_sym_BSLASHacp] = ACTIONS(7527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7527),
    [anon_sym_BSLASHcolor] = ACTIONS(7527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7527),
    [anon_sym_BSLASHurl] = ACTIONS(7527),
    [anon_sym_BSLASHhref] = ACTIONS(7527),
  },
  [2018] = {
    [sym_command_name] = ACTIONS(7531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7531),
    [anon_sym_LBRACK] = ACTIONS(7533),
    [anon_sym_RBRACK] = ACTIONS(7533),
    [anon_sym_COMMA] = ACTIONS(7533),
    [anon_sym_EQ] = ACTIONS(7533),
    [anon_sym_LPAREN] = ACTIONS(7533),
    [anon_sym_RPAREN] = ACTIONS(7533),
    [anon_sym_LBRACE] = ACTIONS(7533),
    [anon_sym_RBRACE] = ACTIONS(7533),
    [sym_word] = ACTIONS(7531),
    [sym_placeholder] = ACTIONS(7533),
    [sym_delimiter] = ACTIONS(7533),
    [anon_sym_PLUS] = ACTIONS(7533),
    [anon_sym_DASH] = ACTIONS(7533),
    [anon_sym_STAR] = ACTIONS(7533),
    [anon_sym_SLASH] = ACTIONS(7533),
    [anon_sym_LT] = ACTIONS(7531),
    [anon_sym_GT] = ACTIONS(7531),
    [anon_sym_BANG] = ACTIONS(7531),
    [anon_sym_PIPE] = ACTIONS(7531),
    [anon_sym_COLON] = ACTIONS(7531),
    [anon_sym_SQUOTE] = ACTIONS(7531),
    [anon_sym__] = ACTIONS(7533),
    [anon_sym_CARET] = ACTIONS(7533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7533),
    [anon_sym_DOLLAR] = ACTIONS(7531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7533),
    [anon_sym_BSLASHleft] = ACTIONS(7531),
    [anon_sym_BSLASHbigl] = ACTIONS(7531),
    [anon_sym_BSLASHBigl] = ACTIONS(7531),
    [anon_sym_BSLASHbiggl] = ACTIONS(7531),
    [anon_sym_BSLASHBiggl] = ACTIONS(7531),
    [anon_sym_BSLASHtext] = ACTIONS(7531),
    [anon_sym_BSLASHintertext] = ACTIONS(7531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7531),
    [anon_sym_BSLASHtitle] = ACTIONS(7531),
    [anon_sym_BSLASHauthor] = ACTIONS(7531),
    [anon_sym_BSLASHusepackage] = ACTIONS(7531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7531),
    [anon_sym_BSLASHinclude] = ACTIONS(7531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7531),
    [anon_sym_BSLASHinput] = ACTIONS(7531),
    [anon_sym_BSLASHsubfile] = ACTIONS(7531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7531),
    [anon_sym_BSLASHbibliography] = ACTIONS(7531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7531),
    [anon_sym_BSLASHimport] = ACTIONS(7531),
    [anon_sym_BSLASHsubimport] = ACTIONS(7531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7531),
    [anon_sym_BSLASHcaption] = ACTIONS(7531),
    [anon_sym_BSLASHcite] = ACTIONS(7531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCite] = ACTIONS(7531),
    [anon_sym_BSLASHnocite] = ACTIONS(7531),
    [anon_sym_BSLASHcitet] = ACTIONS(7531),
    [anon_sym_BSLASHcitep] = ACTIONS(7531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteA] = ACTIONS(7531),
    [anon_sym_BSLASHciteR] = ACTIONS(7531),
    [anon_sym_BSLASHciteS] = ACTIONS(7531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteyear] = ACTIONS(7531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitedate] = ACTIONS(7531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteurl] = ACTIONS(7531),
    [anon_sym_BSLASHfullcite] = ACTIONS(7531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7531),
    [anon_sym_BSLASHcitealt] = ACTIONS(7531),
    [anon_sym_BSLASHcitealp] = ACTIONS(7531),
    [anon_sym_BSLASHcitetext] = ACTIONS(7531),
    [anon_sym_BSLASHparencite] = ACTIONS(7531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHParencite] = ACTIONS(7531),
    [anon_sym_BSLASHfootcite] = ACTIONS(7531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7531),
    [anon_sym_BSLASHtextcite] = ACTIONS(7531),
    [anon_sym_BSLASHTextcite] = ACTIONS(7531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7531),
    [anon_sym_BSLASHsupercite] = ACTIONS(7531),
    [anon_sym_BSLASHautocite] = ACTIONS(7531),
    [anon_sym_BSLASHAutocite] = ACTIONS(7531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHVolcite] = ACTIONS(7531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHavolcite] = ACTIONS(7531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHNotecite] = ACTIONS(7531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHlabel] = ACTIONS(7531),
    [anon_sym_BSLASHref] = ACTIONS(7531),
    [anon_sym_BSLASHeqref] = ACTIONS(7531),
    [anon_sym_BSLASHvref] = ACTIONS(7531),
    [anon_sym_BSLASHVref] = ACTIONS(7531),
    [anon_sym_BSLASHautoref] = ACTIONS(7531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHpageref] = ACTIONS(7531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHautopageref] = ACTIONS(7531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcref] = ACTIONS(7531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCref] = ACTIONS(7531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcpageref] = ACTIONS(7531),
    [anon_sym_BSLASHCpageref] = ACTIONS(7531),
    [anon_sym_BSLASHnamecref] = ACTIONS(7531),
    [anon_sym_BSLASHnameCref] = ACTIONS(7531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHdef] = ACTIONS(7531),
    [anon_sym_BSLASHgdef] = ACTIONS(7531),
    [anon_sym_BSLASHedef] = ACTIONS(7531),
    [anon_sym_BSLASHxdef] = ACTIONS(7531),
    [anon_sym_BSLASHlet] = ACTIONS(7531),
    [anon_sym_BSLASHglet] = ACTIONS(7531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7531),
    [anon_sym_BSLASHgls] = ACTIONS(7531),
    [anon_sym_BSLASHGls] = ACTIONS(7531),
    [anon_sym_BSLASHGLS] = ACTIONS(7531),
    [anon_sym_BSLASHglspl] = ACTIONS(7531),
    [anon_sym_BSLASHGlspl] = ACTIONS(7531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7531),
    [anon_sym_BSLASHglslink] = ACTIONS(7531),
    [anon_sym_BSLASHglstext] = ACTIONS(7531),
    [anon_sym_BSLASHGlstext] = ACTIONS(7531),
    [anon_sym_BSLASHGLStext] = ACTIONS(7531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7531),
    [anon_sym_BSLASHglsplural] = ACTIONS(7531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHglsname] = ACTIONS(7531),
    [anon_sym_BSLASHGlsname] = ACTIONS(7531),
    [anon_sym_BSLASHGLSname] = ACTIONS(7531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7531),
    [anon_sym_BSLASHacrshort] = ACTIONS(7531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7531),
    [anon_sym_BSLASHACRshort] = ACTIONS(7531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHacrlong] = ACTIONS(7531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7531),
    [anon_sym_BSLASHACRlong] = ACTIONS(7531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHacrfull] = ACTIONS(7531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7531),
    [anon_sym_BSLASHACRfull] = ACTIONS(7531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHacs] = ACTIONS(7531),
    [anon_sym_BSLASHAcs] = ACTIONS(7531),
    [anon_sym_BSLASHacsp] = ACTIONS(7531),
    [anon_sym_BSLASHAcsp] = ACTIONS(7531),
    [anon_sym_BSLASHacl] = ACTIONS(7531),
    [anon_sym_BSLASHAcl] = ACTIONS(7531),
    [anon_sym_BSLASHaclp] = ACTIONS(7531),
    [anon_sym_BSLASHAclp] = ACTIONS(7531),
    [anon_sym_BSLASHacf] = ACTIONS(7531),
    [anon_sym_BSLASHAcf] = ACTIONS(7531),
    [anon_sym_BSLASHacfp] = ACTIONS(7531),
    [anon_sym_BSLASHAcfp] = ACTIONS(7531),
    [anon_sym_BSLASHac] = ACTIONS(7531),
    [anon_sym_BSLASHAc] = ACTIONS(7531),
    [anon_sym_BSLASHacp] = ACTIONS(7531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7531),
    [anon_sym_BSLASHcolor] = ACTIONS(7531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7531),
    [anon_sym_BSLASHurl] = ACTIONS(7531),
    [anon_sym_BSLASHhref] = ACTIONS(7531),
  },
  [2019] = {
    [sym_command_name] = ACTIONS(7535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(7537),
    [anon_sym_RBRACK] = ACTIONS(7537),
    [anon_sym_COMMA] = ACTIONS(7537),
    [anon_sym_EQ] = ACTIONS(7537),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_RPAREN] = ACTIONS(7537),
    [anon_sym_LBRACE] = ACTIONS(7537),
    [anon_sym_RBRACE] = ACTIONS(7537),
    [sym_word] = ACTIONS(7535),
    [sym_placeholder] = ACTIONS(7537),
    [sym_delimiter] = ACTIONS(7537),
    [anon_sym_PLUS] = ACTIONS(7537),
    [anon_sym_DASH] = ACTIONS(7537),
    [anon_sym_STAR] = ACTIONS(7537),
    [anon_sym_SLASH] = ACTIONS(7537),
    [anon_sym_LT] = ACTIONS(7535),
    [anon_sym_GT] = ACTIONS(7535),
    [anon_sym_BANG] = ACTIONS(7535),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_COLON] = ACTIONS(7535),
    [anon_sym_SQUOTE] = ACTIONS(7535),
    [anon_sym__] = ACTIONS(7537),
    [anon_sym_CARET] = ACTIONS(7537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7537),
    [anon_sym_DOLLAR] = ACTIONS(7535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7537),
    [anon_sym_BSLASHleft] = ACTIONS(7535),
    [anon_sym_BSLASHbigl] = ACTIONS(7535),
    [anon_sym_BSLASHBigl] = ACTIONS(7535),
    [anon_sym_BSLASHbiggl] = ACTIONS(7535),
    [anon_sym_BSLASHBiggl] = ACTIONS(7535),
    [anon_sym_BSLASHtext] = ACTIONS(7535),
    [anon_sym_BSLASHintertext] = ACTIONS(7535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7535),
    [anon_sym_BSLASHtitle] = ACTIONS(7535),
    [anon_sym_BSLASHauthor] = ACTIONS(7535),
    [anon_sym_BSLASHusepackage] = ACTIONS(7535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7535),
    [anon_sym_BSLASHinclude] = ACTIONS(7535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7535),
    [anon_sym_BSLASHinput] = ACTIONS(7535),
    [anon_sym_BSLASHsubfile] = ACTIONS(7535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7535),
    [anon_sym_BSLASHbibliography] = ACTIONS(7535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7535),
    [anon_sym_BSLASHimport] = ACTIONS(7535),
    [anon_sym_BSLASHsubimport] = ACTIONS(7535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7535),
    [anon_sym_BSLASHcaption] = ACTIONS(7535),
    [anon_sym_BSLASHcite] = ACTIONS(7535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCite] = ACTIONS(7535),
    [anon_sym_BSLASHnocite] = ACTIONS(7535),
    [anon_sym_BSLASHcitet] = ACTIONS(7535),
    [anon_sym_BSLASHcitep] = ACTIONS(7535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteA] = ACTIONS(7535),
    [anon_sym_BSLASHciteR] = ACTIONS(7535),
    [anon_sym_BSLASHciteS] = ACTIONS(7535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteyear] = ACTIONS(7535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitedate] = ACTIONS(7535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteurl] = ACTIONS(7535),
    [anon_sym_BSLASHfullcite] = ACTIONS(7535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7535),
    [anon_sym_BSLASHcitealt] = ACTIONS(7535),
    [anon_sym_BSLASHcitealp] = ACTIONS(7535),
    [anon_sym_BSLASHcitetext] = ACTIONS(7535),
    [anon_sym_BSLASHparencite] = ACTIONS(7535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHParencite] = ACTIONS(7535),
    [anon_sym_BSLASHfootcite] = ACTIONS(7535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7535),
    [anon_sym_BSLASHtextcite] = ACTIONS(7535),
    [anon_sym_BSLASHTextcite] = ACTIONS(7535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7535),
    [anon_sym_BSLASHsupercite] = ACTIONS(7535),
    [anon_sym_BSLASHautocite] = ACTIONS(7535),
    [anon_sym_BSLASHAutocite] = ACTIONS(7535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHVolcite] = ACTIONS(7535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHavolcite] = ACTIONS(7535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHNotecite] = ACTIONS(7535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHlabel] = ACTIONS(7535),
    [anon_sym_BSLASHref] = ACTIONS(7535),
    [anon_sym_BSLASHeqref] = ACTIONS(7535),
    [anon_sym_BSLASHvref] = ACTIONS(7535),
    [anon_sym_BSLASHVref] = ACTIONS(7535),
    [anon_sym_BSLASHautoref] = ACTIONS(7535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHpageref] = ACTIONS(7535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHautopageref] = ACTIONS(7535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcref] = ACTIONS(7535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCref] = ACTIONS(7535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcpageref] = ACTIONS(7535),
    [anon_sym_BSLASHCpageref] = ACTIONS(7535),
    [anon_sym_BSLASHnamecref] = ACTIONS(7535),
    [anon_sym_BSLASHnameCref] = ACTIONS(7535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHdef] = ACTIONS(7535),
    [anon_sym_BSLASHgdef] = ACTIONS(7535),
    [anon_sym_BSLASHedef] = ACTIONS(7535),
    [anon_sym_BSLASHxdef] = ACTIONS(7535),
    [anon_sym_BSLASHlet] = ACTIONS(7535),
    [anon_sym_BSLASHglet] = ACTIONS(7535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7535),
    [anon_sym_BSLASHgls] = ACTIONS(7535),
    [anon_sym_BSLASHGls] = ACTIONS(7535),
    [anon_sym_BSLASHGLS] = ACTIONS(7535),
    [anon_sym_BSLASHglspl] = ACTIONS(7535),
    [anon_sym_BSLASHGlspl] = ACTIONS(7535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7535),
    [anon_sym_BSLASHglslink] = ACTIONS(7535),
    [anon_sym_BSLASHglstext] = ACTIONS(7535),
    [anon_sym_BSLASHGlstext] = ACTIONS(7535),
    [anon_sym_BSLASHGLStext] = ACTIONS(7535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7535),
    [anon_sym_BSLASHglsplural] = ACTIONS(7535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHglsname] = ACTIONS(7535),
    [anon_sym_BSLASHGlsname] = ACTIONS(7535),
    [anon_sym_BSLASHGLSname] = ACTIONS(7535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7535),
    [anon_sym_BSLASHacrshort] = ACTIONS(7535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7535),
    [anon_sym_BSLASHACRshort] = ACTIONS(7535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHacrlong] = ACTIONS(7535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7535),
    [anon_sym_BSLASHACRlong] = ACTIONS(7535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHacrfull] = ACTIONS(7535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7535),
    [anon_sym_BSLASHACRfull] = ACTIONS(7535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHacs] = ACTIONS(7535),
    [anon_sym_BSLASHAcs] = ACTIONS(7535),
    [anon_sym_BSLASHacsp] = ACTIONS(7535),
    [anon_sym_BSLASHAcsp] = ACTIONS(7535),
    [anon_sym_BSLASHacl] = ACTIONS(7535),
    [anon_sym_BSLASHAcl] = ACTIONS(7535),
    [anon_sym_BSLASHaclp] = ACTIONS(7535),
    [anon_sym_BSLASHAclp] = ACTIONS(7535),
    [anon_sym_BSLASHacf] = ACTIONS(7535),
    [anon_sym_BSLASHAcf] = ACTIONS(7535),
    [anon_sym_BSLASHacfp] = ACTIONS(7535),
    [anon_sym_BSLASHAcfp] = ACTIONS(7535),
    [anon_sym_BSLASHac] = ACTIONS(7535),
    [anon_sym_BSLASHAc] = ACTIONS(7535),
    [anon_sym_BSLASHacp] = ACTIONS(7535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7535),
    [anon_sym_BSLASHcolor] = ACTIONS(7535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7535),
    [anon_sym_BSLASHurl] = ACTIONS(7535),
    [anon_sym_BSLASHhref] = ACTIONS(7535),
  },
  [2020] = {
    [sym_command_name] = ACTIONS(7539),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(7541),
    [anon_sym_RBRACK] = ACTIONS(7541),
    [anon_sym_COMMA] = ACTIONS(7541),
    [anon_sym_EQ] = ACTIONS(7541),
    [anon_sym_LPAREN] = ACTIONS(7541),
    [anon_sym_RPAREN] = ACTIONS(7541),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_RBRACE] = ACTIONS(7541),
    [sym_word] = ACTIONS(7539),
    [sym_placeholder] = ACTIONS(7541),
    [sym_delimiter] = ACTIONS(7541),
    [anon_sym_PLUS] = ACTIONS(7541),
    [anon_sym_DASH] = ACTIONS(7541),
    [anon_sym_STAR] = ACTIONS(7541),
    [anon_sym_SLASH] = ACTIONS(7541),
    [anon_sym_LT] = ACTIONS(7539),
    [anon_sym_GT] = ACTIONS(7539),
    [anon_sym_BANG] = ACTIONS(7539),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_COLON] = ACTIONS(7539),
    [anon_sym_SQUOTE] = ACTIONS(7539),
    [anon_sym__] = ACTIONS(7541),
    [anon_sym_CARET] = ACTIONS(7541),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7541),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7539),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7541),
    [anon_sym_BSLASHleft] = ACTIONS(7539),
    [anon_sym_BSLASHbigl] = ACTIONS(7539),
    [anon_sym_BSLASHBigl] = ACTIONS(7539),
    [anon_sym_BSLASHbiggl] = ACTIONS(7539),
    [anon_sym_BSLASHBiggl] = ACTIONS(7539),
    [anon_sym_BSLASHtext] = ACTIONS(7539),
    [anon_sym_BSLASHintertext] = ACTIONS(7539),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7539),
    [anon_sym_BSLASHtitle] = ACTIONS(7539),
    [anon_sym_BSLASHauthor] = ACTIONS(7539),
    [anon_sym_BSLASHusepackage] = ACTIONS(7539),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7539),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7539),
    [anon_sym_BSLASHinclude] = ACTIONS(7539),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7539),
    [anon_sym_BSLASHinput] = ACTIONS(7539),
    [anon_sym_BSLASHsubfile] = ACTIONS(7539),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7539),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7539),
    [anon_sym_BSLASHbibliography] = ACTIONS(7539),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7539),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7539),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7539),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7539),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7539),
    [anon_sym_BSLASHimport] = ACTIONS(7539),
    [anon_sym_BSLASHsubimport] = ACTIONS(7539),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7539),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7539),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7539),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7539),
    [anon_sym_BSLASHcaption] = ACTIONS(7539),
    [anon_sym_BSLASHcite] = ACTIONS(7539),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCite] = ACTIONS(7539),
    [anon_sym_BSLASHnocite] = ACTIONS(7539),
    [anon_sym_BSLASHcitet] = ACTIONS(7539),
    [anon_sym_BSLASHcitep] = ACTIONS(7539),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteA] = ACTIONS(7539),
    [anon_sym_BSLASHciteR] = ACTIONS(7539),
    [anon_sym_BSLASHciteS] = ACTIONS(7539),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7539),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7539),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7539),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7539),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteyear] = ACTIONS(7539),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitedate] = ACTIONS(7539),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteurl] = ACTIONS(7539),
    [anon_sym_BSLASHfullcite] = ACTIONS(7539),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7539),
    [anon_sym_BSLASHcitealt] = ACTIONS(7539),
    [anon_sym_BSLASHcitealp] = ACTIONS(7539),
    [anon_sym_BSLASHcitetext] = ACTIONS(7539),
    [anon_sym_BSLASHparencite] = ACTIONS(7539),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHParencite] = ACTIONS(7539),
    [anon_sym_BSLASHfootcite] = ACTIONS(7539),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7539),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7539),
    [anon_sym_BSLASHtextcite] = ACTIONS(7539),
    [anon_sym_BSLASHTextcite] = ACTIONS(7539),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7539),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7539),
    [anon_sym_BSLASHsupercite] = ACTIONS(7539),
    [anon_sym_BSLASHautocite] = ACTIONS(7539),
    [anon_sym_BSLASHAutocite] = ACTIONS(7539),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHVolcite] = ACTIONS(7539),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHavolcite] = ACTIONS(7539),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHNotecite] = ACTIONS(7539),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHlabel] = ACTIONS(7539),
    [anon_sym_BSLASHref] = ACTIONS(7539),
    [anon_sym_BSLASHeqref] = ACTIONS(7539),
    [anon_sym_BSLASHvref] = ACTIONS(7539),
    [anon_sym_BSLASHVref] = ACTIONS(7539),
    [anon_sym_BSLASHautoref] = ACTIONS(7539),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHpageref] = ACTIONS(7539),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHautopageref] = ACTIONS(7539),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcref] = ACTIONS(7539),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCref] = ACTIONS(7539),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcpageref] = ACTIONS(7539),
    [anon_sym_BSLASHCpageref] = ACTIONS(7539),
    [anon_sym_BSLASHnamecref] = ACTIONS(7539),
    [anon_sym_BSLASHnameCref] = ACTIONS(7539),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7539),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7539),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7539),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7539),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7539),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7539),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7539),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7539),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7539),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7539),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7539),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHdef] = ACTIONS(7539),
    [anon_sym_BSLASHgdef] = ACTIONS(7539),
    [anon_sym_BSLASHedef] = ACTIONS(7539),
    [anon_sym_BSLASHxdef] = ACTIONS(7539),
    [anon_sym_BSLASHlet] = ACTIONS(7539),
    [anon_sym_BSLASHglet] = ACTIONS(7539),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7539),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7539),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7539),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7539),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7539),
    [anon_sym_BSLASHgls] = ACTIONS(7539),
    [anon_sym_BSLASHGls] = ACTIONS(7539),
    [anon_sym_BSLASHGLS] = ACTIONS(7539),
    [anon_sym_BSLASHglspl] = ACTIONS(7539),
    [anon_sym_BSLASHGlspl] = ACTIONS(7539),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7539),
    [anon_sym_BSLASHglslink] = ACTIONS(7539),
    [anon_sym_BSLASHglstext] = ACTIONS(7539),
    [anon_sym_BSLASHGlstext] = ACTIONS(7539),
    [anon_sym_BSLASHGLStext] = ACTIONS(7539),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7539),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7539),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7539),
    [anon_sym_BSLASHglsplural] = ACTIONS(7539),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7539),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7539),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHglsname] = ACTIONS(7539),
    [anon_sym_BSLASHGlsname] = ACTIONS(7539),
    [anon_sym_BSLASHGLSname] = ACTIONS(7539),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7539),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7539),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7539),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7539),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7539),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7539),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7539),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7539),
    [anon_sym_BSLASHacrshort] = ACTIONS(7539),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7539),
    [anon_sym_BSLASHACRshort] = ACTIONS(7539),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHacrlong] = ACTIONS(7539),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7539),
    [anon_sym_BSLASHACRlong] = ACTIONS(7539),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHacrfull] = ACTIONS(7539),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7539),
    [anon_sym_BSLASHACRfull] = ACTIONS(7539),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHacs] = ACTIONS(7539),
    [anon_sym_BSLASHAcs] = ACTIONS(7539),
    [anon_sym_BSLASHacsp] = ACTIONS(7539),
    [anon_sym_BSLASHAcsp] = ACTIONS(7539),
    [anon_sym_BSLASHacl] = ACTIONS(7539),
    [anon_sym_BSLASHAcl] = ACTIONS(7539),
    [anon_sym_BSLASHaclp] = ACTIONS(7539),
    [anon_sym_BSLASHAclp] = ACTIONS(7539),
    [anon_sym_BSLASHacf] = ACTIONS(7539),
    [anon_sym_BSLASHAcf] = ACTIONS(7539),
    [anon_sym_BSLASHacfp] = ACTIONS(7539),
    [anon_sym_BSLASHAcfp] = ACTIONS(7539),
    [anon_sym_BSLASHac] = ACTIONS(7539),
    [anon_sym_BSLASHAc] = ACTIONS(7539),
    [anon_sym_BSLASHacp] = ACTIONS(7539),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7539),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7539),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7539),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7539),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7539),
    [anon_sym_BSLASHcolor] = ACTIONS(7539),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7539),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7539),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7539),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7539),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7539),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7539),
    [anon_sym_BSLASHurl] = ACTIONS(7539),
    [anon_sym_BSLASHhref] = ACTIONS(7539),
  },
  [2021] = {
    [sym_command_name] = ACTIONS(7543),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(7545),
    [anon_sym_RBRACK] = ACTIONS(7545),
    [anon_sym_COMMA] = ACTIONS(7545),
    [anon_sym_EQ] = ACTIONS(7545),
    [anon_sym_LPAREN] = ACTIONS(7545),
    [anon_sym_RPAREN] = ACTIONS(7545),
    [anon_sym_LBRACE] = ACTIONS(7545),
    [anon_sym_RBRACE] = ACTIONS(7545),
    [sym_word] = ACTIONS(7543),
    [sym_placeholder] = ACTIONS(7545),
    [sym_delimiter] = ACTIONS(7545),
    [anon_sym_PLUS] = ACTIONS(7545),
    [anon_sym_DASH] = ACTIONS(7545),
    [anon_sym_STAR] = ACTIONS(7545),
    [anon_sym_SLASH] = ACTIONS(7545),
    [anon_sym_LT] = ACTIONS(7543),
    [anon_sym_GT] = ACTIONS(7543),
    [anon_sym_BANG] = ACTIONS(7543),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_COLON] = ACTIONS(7543),
    [anon_sym_SQUOTE] = ACTIONS(7543),
    [anon_sym__] = ACTIONS(7545),
    [anon_sym_CARET] = ACTIONS(7545),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7545),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7545),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7545),
    [anon_sym_BSLASHleft] = ACTIONS(7543),
    [anon_sym_BSLASHbigl] = ACTIONS(7543),
    [anon_sym_BSLASHBigl] = ACTIONS(7543),
    [anon_sym_BSLASHbiggl] = ACTIONS(7543),
    [anon_sym_BSLASHBiggl] = ACTIONS(7543),
    [anon_sym_BSLASHtext] = ACTIONS(7543),
    [anon_sym_BSLASHintertext] = ACTIONS(7543),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7543),
    [anon_sym_BSLASHtitle] = ACTIONS(7543),
    [anon_sym_BSLASHauthor] = ACTIONS(7543),
    [anon_sym_BSLASHusepackage] = ACTIONS(7543),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7543),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7543),
    [anon_sym_BSLASHinclude] = ACTIONS(7543),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7543),
    [anon_sym_BSLASHinput] = ACTIONS(7543),
    [anon_sym_BSLASHsubfile] = ACTIONS(7543),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7543),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7543),
    [anon_sym_BSLASHbibliography] = ACTIONS(7543),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7543),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7543),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7543),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7543),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7543),
    [anon_sym_BSLASHimport] = ACTIONS(7543),
    [anon_sym_BSLASHsubimport] = ACTIONS(7543),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7543),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7543),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7543),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7543),
    [anon_sym_BSLASHcaption] = ACTIONS(7543),
    [anon_sym_BSLASHcite] = ACTIONS(7543),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCite] = ACTIONS(7543),
    [anon_sym_BSLASHnocite] = ACTIONS(7543),
    [anon_sym_BSLASHcitet] = ACTIONS(7543),
    [anon_sym_BSLASHcitep] = ACTIONS(7543),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteA] = ACTIONS(7543),
    [anon_sym_BSLASHciteR] = ACTIONS(7543),
    [anon_sym_BSLASHciteS] = ACTIONS(7543),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7543),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7543),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7543),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7543),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteyear] = ACTIONS(7543),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitedate] = ACTIONS(7543),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteurl] = ACTIONS(7543),
    [anon_sym_BSLASHfullcite] = ACTIONS(7543),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7543),
    [anon_sym_BSLASHcitealt] = ACTIONS(7543),
    [anon_sym_BSLASHcitealp] = ACTIONS(7543),
    [anon_sym_BSLASHcitetext] = ACTIONS(7543),
    [anon_sym_BSLASHparencite] = ACTIONS(7543),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHParencite] = ACTIONS(7543),
    [anon_sym_BSLASHfootcite] = ACTIONS(7543),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7543),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7543),
    [anon_sym_BSLASHtextcite] = ACTIONS(7543),
    [anon_sym_BSLASHTextcite] = ACTIONS(7543),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7543),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7543),
    [anon_sym_BSLASHsupercite] = ACTIONS(7543),
    [anon_sym_BSLASHautocite] = ACTIONS(7543),
    [anon_sym_BSLASHAutocite] = ACTIONS(7543),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHVolcite] = ACTIONS(7543),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHavolcite] = ACTIONS(7543),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHNotecite] = ACTIONS(7543),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHlabel] = ACTIONS(7543),
    [anon_sym_BSLASHref] = ACTIONS(7543),
    [anon_sym_BSLASHeqref] = ACTIONS(7543),
    [anon_sym_BSLASHvref] = ACTIONS(7543),
    [anon_sym_BSLASHVref] = ACTIONS(7543),
    [anon_sym_BSLASHautoref] = ACTIONS(7543),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHpageref] = ACTIONS(7543),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHautopageref] = ACTIONS(7543),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcref] = ACTIONS(7543),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCref] = ACTIONS(7543),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcpageref] = ACTIONS(7543),
    [anon_sym_BSLASHCpageref] = ACTIONS(7543),
    [anon_sym_BSLASHnamecref] = ACTIONS(7543),
    [anon_sym_BSLASHnameCref] = ACTIONS(7543),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7543),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7543),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7543),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7543),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7543),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7543),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7543),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7543),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7543),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7543),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7543),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHdef] = ACTIONS(7543),
    [anon_sym_BSLASHgdef] = ACTIONS(7543),
    [anon_sym_BSLASHedef] = ACTIONS(7543),
    [anon_sym_BSLASHxdef] = ACTIONS(7543),
    [anon_sym_BSLASHlet] = ACTIONS(7543),
    [anon_sym_BSLASHglet] = ACTIONS(7543),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7543),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7543),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7543),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7543),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7543),
    [anon_sym_BSLASHgls] = ACTIONS(7543),
    [anon_sym_BSLASHGls] = ACTIONS(7543),
    [anon_sym_BSLASHGLS] = ACTIONS(7543),
    [anon_sym_BSLASHglspl] = ACTIONS(7543),
    [anon_sym_BSLASHGlspl] = ACTIONS(7543),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7543),
    [anon_sym_BSLASHglslink] = ACTIONS(7543),
    [anon_sym_BSLASHglstext] = ACTIONS(7543),
    [anon_sym_BSLASHGlstext] = ACTIONS(7543),
    [anon_sym_BSLASHGLStext] = ACTIONS(7543),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7543),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7543),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7543),
    [anon_sym_BSLASHglsplural] = ACTIONS(7543),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7543),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7543),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHglsname] = ACTIONS(7543),
    [anon_sym_BSLASHGlsname] = ACTIONS(7543),
    [anon_sym_BSLASHGLSname] = ACTIONS(7543),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7543),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7543),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7543),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7543),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7543),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7543),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7543),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7543),
    [anon_sym_BSLASHacrshort] = ACTIONS(7543),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7543),
    [anon_sym_BSLASHACRshort] = ACTIONS(7543),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHacrlong] = ACTIONS(7543),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7543),
    [anon_sym_BSLASHACRlong] = ACTIONS(7543),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHacrfull] = ACTIONS(7543),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7543),
    [anon_sym_BSLASHACRfull] = ACTIONS(7543),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHacs] = ACTIONS(7543),
    [anon_sym_BSLASHAcs] = ACTIONS(7543),
    [anon_sym_BSLASHacsp] = ACTIONS(7543),
    [anon_sym_BSLASHAcsp] = ACTIONS(7543),
    [anon_sym_BSLASHacl] = ACTIONS(7543),
    [anon_sym_BSLASHAcl] = ACTIONS(7543),
    [anon_sym_BSLASHaclp] = ACTIONS(7543),
    [anon_sym_BSLASHAclp] = ACTIONS(7543),
    [anon_sym_BSLASHacf] = ACTIONS(7543),
    [anon_sym_BSLASHAcf] = ACTIONS(7543),
    [anon_sym_BSLASHacfp] = ACTIONS(7543),
    [anon_sym_BSLASHAcfp] = ACTIONS(7543),
    [anon_sym_BSLASHac] = ACTIONS(7543),
    [anon_sym_BSLASHAc] = ACTIONS(7543),
    [anon_sym_BSLASHacp] = ACTIONS(7543),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7543),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7543),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7543),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7543),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7543),
    [anon_sym_BSLASHcolor] = ACTIONS(7543),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7543),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7543),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7543),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7543),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7543),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7543),
    [anon_sym_BSLASHurl] = ACTIONS(7543),
    [anon_sym_BSLASHhref] = ACTIONS(7543),
  },
  [2022] = {
    [sym_command_name] = ACTIONS(7547),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7547),
    [anon_sym_LBRACK] = ACTIONS(7549),
    [anon_sym_RBRACK] = ACTIONS(7549),
    [anon_sym_COMMA] = ACTIONS(7549),
    [anon_sym_EQ] = ACTIONS(7549),
    [anon_sym_LPAREN] = ACTIONS(7549),
    [anon_sym_RPAREN] = ACTIONS(7549),
    [anon_sym_LBRACE] = ACTIONS(7549),
    [anon_sym_RBRACE] = ACTIONS(7549),
    [sym_word] = ACTIONS(7547),
    [sym_placeholder] = ACTIONS(7549),
    [sym_delimiter] = ACTIONS(7549),
    [anon_sym_PLUS] = ACTIONS(7549),
    [anon_sym_DASH] = ACTIONS(7549),
    [anon_sym_STAR] = ACTIONS(7549),
    [anon_sym_SLASH] = ACTIONS(7549),
    [anon_sym_LT] = ACTIONS(7547),
    [anon_sym_GT] = ACTIONS(7547),
    [anon_sym_BANG] = ACTIONS(7547),
    [anon_sym_PIPE] = ACTIONS(7547),
    [anon_sym_COLON] = ACTIONS(7547),
    [anon_sym_SQUOTE] = ACTIONS(7547),
    [anon_sym__] = ACTIONS(7549),
    [anon_sym_CARET] = ACTIONS(7549),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7549),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7549),
    [anon_sym_DOLLAR] = ACTIONS(7547),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7549),
    [anon_sym_BSLASHleft] = ACTIONS(7547),
    [anon_sym_BSLASHbigl] = ACTIONS(7547),
    [anon_sym_BSLASHBigl] = ACTIONS(7547),
    [anon_sym_BSLASHbiggl] = ACTIONS(7547),
    [anon_sym_BSLASHBiggl] = ACTIONS(7547),
    [anon_sym_BSLASHtext] = ACTIONS(7547),
    [anon_sym_BSLASHintertext] = ACTIONS(7547),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7547),
    [anon_sym_BSLASHtitle] = ACTIONS(7547),
    [anon_sym_BSLASHauthor] = ACTIONS(7547),
    [anon_sym_BSLASHusepackage] = ACTIONS(7547),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7547),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7547),
    [anon_sym_BSLASHinclude] = ACTIONS(7547),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7547),
    [anon_sym_BSLASHinput] = ACTIONS(7547),
    [anon_sym_BSLASHsubfile] = ACTIONS(7547),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7547),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7547),
    [anon_sym_BSLASHbibliography] = ACTIONS(7547),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7547),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7547),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7547),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7547),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7547),
    [anon_sym_BSLASHimport] = ACTIONS(7547),
    [anon_sym_BSLASHsubimport] = ACTIONS(7547),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7547),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7547),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7547),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7547),
    [anon_sym_BSLASHcaption] = ACTIONS(7547),
    [anon_sym_BSLASHcite] = ACTIONS(7547),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCite] = ACTIONS(7547),
    [anon_sym_BSLASHnocite] = ACTIONS(7547),
    [anon_sym_BSLASHcitet] = ACTIONS(7547),
    [anon_sym_BSLASHcitep] = ACTIONS(7547),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteA] = ACTIONS(7547),
    [anon_sym_BSLASHciteR] = ACTIONS(7547),
    [anon_sym_BSLASHciteS] = ACTIONS(7547),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7547),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7547),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7547),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7547),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteyear] = ACTIONS(7547),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitedate] = ACTIONS(7547),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteurl] = ACTIONS(7547),
    [anon_sym_BSLASHfullcite] = ACTIONS(7547),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7547),
    [anon_sym_BSLASHcitealt] = ACTIONS(7547),
    [anon_sym_BSLASHcitealp] = ACTIONS(7547),
    [anon_sym_BSLASHcitetext] = ACTIONS(7547),
    [anon_sym_BSLASHparencite] = ACTIONS(7547),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHParencite] = ACTIONS(7547),
    [anon_sym_BSLASHfootcite] = ACTIONS(7547),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7547),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7547),
    [anon_sym_BSLASHtextcite] = ACTIONS(7547),
    [anon_sym_BSLASHTextcite] = ACTIONS(7547),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7547),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7547),
    [anon_sym_BSLASHsupercite] = ACTIONS(7547),
    [anon_sym_BSLASHautocite] = ACTIONS(7547),
    [anon_sym_BSLASHAutocite] = ACTIONS(7547),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHVolcite] = ACTIONS(7547),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHavolcite] = ACTIONS(7547),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHNotecite] = ACTIONS(7547),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHlabel] = ACTIONS(7547),
    [anon_sym_BSLASHref] = ACTIONS(7547),
    [anon_sym_BSLASHeqref] = ACTIONS(7547),
    [anon_sym_BSLASHvref] = ACTIONS(7547),
    [anon_sym_BSLASHVref] = ACTIONS(7547),
    [anon_sym_BSLASHautoref] = ACTIONS(7547),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHpageref] = ACTIONS(7547),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHautopageref] = ACTIONS(7547),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcref] = ACTIONS(7547),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCref] = ACTIONS(7547),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcpageref] = ACTIONS(7547),
    [anon_sym_BSLASHCpageref] = ACTIONS(7547),
    [anon_sym_BSLASHnamecref] = ACTIONS(7547),
    [anon_sym_BSLASHnameCref] = ACTIONS(7547),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7547),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7547),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7547),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7547),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7547),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7547),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7547),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7547),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7547),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7547),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7547),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHdef] = ACTIONS(7547),
    [anon_sym_BSLASHgdef] = ACTIONS(7547),
    [anon_sym_BSLASHedef] = ACTIONS(7547),
    [anon_sym_BSLASHxdef] = ACTIONS(7547),
    [anon_sym_BSLASHlet] = ACTIONS(7547),
    [anon_sym_BSLASHglet] = ACTIONS(7547),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7547),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7547),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7547),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7547),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7547),
    [anon_sym_BSLASHgls] = ACTIONS(7547),
    [anon_sym_BSLASHGls] = ACTIONS(7547),
    [anon_sym_BSLASHGLS] = ACTIONS(7547),
    [anon_sym_BSLASHglspl] = ACTIONS(7547),
    [anon_sym_BSLASHGlspl] = ACTIONS(7547),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7547),
    [anon_sym_BSLASHglslink] = ACTIONS(7547),
    [anon_sym_BSLASHglstext] = ACTIONS(7547),
    [anon_sym_BSLASHGlstext] = ACTIONS(7547),
    [anon_sym_BSLASHGLStext] = ACTIONS(7547),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7547),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7547),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7547),
    [anon_sym_BSLASHglsplural] = ACTIONS(7547),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7547),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7547),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHglsname] = ACTIONS(7547),
    [anon_sym_BSLASHGlsname] = ACTIONS(7547),
    [anon_sym_BSLASHGLSname] = ACTIONS(7547),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7547),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7547),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7547),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7547),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7547),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7547),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7547),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7547),
    [anon_sym_BSLASHacrshort] = ACTIONS(7547),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7547),
    [anon_sym_BSLASHACRshort] = ACTIONS(7547),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHacrlong] = ACTIONS(7547),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7547),
    [anon_sym_BSLASHACRlong] = ACTIONS(7547),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHacrfull] = ACTIONS(7547),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7547),
    [anon_sym_BSLASHACRfull] = ACTIONS(7547),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHacs] = ACTIONS(7547),
    [anon_sym_BSLASHAcs] = ACTIONS(7547),
    [anon_sym_BSLASHacsp] = ACTIONS(7547),
    [anon_sym_BSLASHAcsp] = ACTIONS(7547),
    [anon_sym_BSLASHacl] = ACTIONS(7547),
    [anon_sym_BSLASHAcl] = ACTIONS(7547),
    [anon_sym_BSLASHaclp] = ACTIONS(7547),
    [anon_sym_BSLASHAclp] = ACTIONS(7547),
    [anon_sym_BSLASHacf] = ACTIONS(7547),
    [anon_sym_BSLASHAcf] = ACTIONS(7547),
    [anon_sym_BSLASHacfp] = ACTIONS(7547),
    [anon_sym_BSLASHAcfp] = ACTIONS(7547),
    [anon_sym_BSLASHac] = ACTIONS(7547),
    [anon_sym_BSLASHAc] = ACTIONS(7547),
    [anon_sym_BSLASHacp] = ACTIONS(7547),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7547),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7547),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7547),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7547),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7547),
    [anon_sym_BSLASHcolor] = ACTIONS(7547),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7547),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7547),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7547),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7547),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7547),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7547),
    [anon_sym_BSLASHurl] = ACTIONS(7547),
    [anon_sym_BSLASHhref] = ACTIONS(7547),
  },
  [2023] = {
    [sym_command_name] = ACTIONS(7587),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7587),
    [anon_sym_LBRACK] = ACTIONS(7589),
    [anon_sym_RBRACK] = ACTIONS(7589),
    [anon_sym_COMMA] = ACTIONS(7589),
    [anon_sym_EQ] = ACTIONS(7589),
    [anon_sym_LPAREN] = ACTIONS(7589),
    [anon_sym_RPAREN] = ACTIONS(7589),
    [anon_sym_LBRACE] = ACTIONS(7589),
    [sym_word] = ACTIONS(7587),
    [sym_placeholder] = ACTIONS(7589),
    [sym_delimiter] = ACTIONS(7589),
    [anon_sym_PLUS] = ACTIONS(7589),
    [anon_sym_DASH] = ACTIONS(7589),
    [anon_sym_STAR] = ACTIONS(7589),
    [anon_sym_SLASH] = ACTIONS(7589),
    [anon_sym_LT] = ACTIONS(7587),
    [anon_sym_GT] = ACTIONS(7587),
    [anon_sym_BANG] = ACTIONS(7587),
    [anon_sym_PIPE] = ACTIONS(7587),
    [anon_sym_COLON] = ACTIONS(7587),
    [anon_sym_SQUOTE] = ACTIONS(7587),
    [anon_sym__] = ACTIONS(7589),
    [anon_sym_CARET] = ACTIONS(7589),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7589),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7589),
    [anon_sym_DOLLAR] = ACTIONS(7587),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7589),
    [anon_sym_BSLASHleft] = ACTIONS(7587),
    [anon_sym_BSLASHbigl] = ACTIONS(7587),
    [anon_sym_BSLASHBigl] = ACTIONS(7587),
    [anon_sym_BSLASHbiggl] = ACTIONS(7587),
    [anon_sym_BSLASHBiggl] = ACTIONS(7587),
    [anon_sym_BSLASHtext] = ACTIONS(7587),
    [anon_sym_BSLASHintertext] = ACTIONS(7587),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7587),
    [anon_sym_BSLASHbegin] = ACTIONS(7587),
    [anon_sym_BSLASHtitle] = ACTIONS(7587),
    [anon_sym_BSLASHauthor] = ACTIONS(7587),
    [anon_sym_BSLASHusepackage] = ACTIONS(7587),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7587),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7587),
    [anon_sym_BSLASHinclude] = ACTIONS(7587),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7587),
    [anon_sym_BSLASHinput] = ACTIONS(7587),
    [anon_sym_BSLASHsubfile] = ACTIONS(7587),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7587),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7587),
    [anon_sym_BSLASHbibliography] = ACTIONS(7587),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7587),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7587),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7587),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7587),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7587),
    [anon_sym_BSLASHimport] = ACTIONS(7587),
    [anon_sym_BSLASHsubimport] = ACTIONS(7587),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7587),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7587),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7587),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7587),
    [anon_sym_BSLASHcaption] = ACTIONS(7587),
    [anon_sym_BSLASHcite] = ACTIONS(7587),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCite] = ACTIONS(7587),
    [anon_sym_BSLASHnocite] = ACTIONS(7587),
    [anon_sym_BSLASHcitet] = ACTIONS(7587),
    [anon_sym_BSLASHcitep] = ACTIONS(7587),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteA] = ACTIONS(7587),
    [anon_sym_BSLASHciteR] = ACTIONS(7587),
    [anon_sym_BSLASHciteS] = ACTIONS(7587),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7587),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7587),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7587),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7587),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteyear] = ACTIONS(7587),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitedate] = ACTIONS(7587),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteurl] = ACTIONS(7587),
    [anon_sym_BSLASHfullcite] = ACTIONS(7587),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7587),
    [anon_sym_BSLASHcitealt] = ACTIONS(7587),
    [anon_sym_BSLASHcitealp] = ACTIONS(7587),
    [anon_sym_BSLASHcitetext] = ACTIONS(7587),
    [anon_sym_BSLASHparencite] = ACTIONS(7587),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHParencite] = ACTIONS(7587),
    [anon_sym_BSLASHfootcite] = ACTIONS(7587),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7587),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7587),
    [anon_sym_BSLASHtextcite] = ACTIONS(7587),
    [anon_sym_BSLASHTextcite] = ACTIONS(7587),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7587),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7587),
    [anon_sym_BSLASHsupercite] = ACTIONS(7587),
    [anon_sym_BSLASHautocite] = ACTIONS(7587),
    [anon_sym_BSLASHAutocite] = ACTIONS(7587),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHVolcite] = ACTIONS(7587),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHavolcite] = ACTIONS(7587),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHNotecite] = ACTIONS(7587),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHlabel] = ACTIONS(7587),
    [anon_sym_BSLASHref] = ACTIONS(7587),
    [anon_sym_BSLASHeqref] = ACTIONS(7587),
    [anon_sym_BSLASHvref] = ACTIONS(7587),
    [anon_sym_BSLASHVref] = ACTIONS(7587),
    [anon_sym_BSLASHautoref] = ACTIONS(7587),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHpageref] = ACTIONS(7587),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHautopageref] = ACTIONS(7587),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcref] = ACTIONS(7587),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCref] = ACTIONS(7587),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcpageref] = ACTIONS(7587),
    [anon_sym_BSLASHCpageref] = ACTIONS(7587),
    [anon_sym_BSLASHnamecref] = ACTIONS(7587),
    [anon_sym_BSLASHnameCref] = ACTIONS(7587),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7587),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7587),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7587),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7587),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7587),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7587),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7587),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7587),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7587),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7587),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7587),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHdef] = ACTIONS(7587),
    [anon_sym_BSLASHgdef] = ACTIONS(7587),
    [anon_sym_BSLASHedef] = ACTIONS(7587),
    [anon_sym_BSLASHxdef] = ACTIONS(7587),
    [anon_sym_BSLASHlet] = ACTIONS(7587),
    [anon_sym_BSLASHglet] = ACTIONS(7587),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7587),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7587),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7587),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7587),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7587),
    [anon_sym_BSLASHgls] = ACTIONS(7587),
    [anon_sym_BSLASHGls] = ACTIONS(7587),
    [anon_sym_BSLASHGLS] = ACTIONS(7587),
    [anon_sym_BSLASHglspl] = ACTIONS(7587),
    [anon_sym_BSLASHGlspl] = ACTIONS(7587),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7587),
    [anon_sym_BSLASHglslink] = ACTIONS(7587),
    [anon_sym_BSLASHglstext] = ACTIONS(7587),
    [anon_sym_BSLASHGlstext] = ACTIONS(7587),
    [anon_sym_BSLASHGLStext] = ACTIONS(7587),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7587),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7587),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7587),
    [anon_sym_BSLASHglsplural] = ACTIONS(7587),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7587),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7587),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHglsname] = ACTIONS(7587),
    [anon_sym_BSLASHGlsname] = ACTIONS(7587),
    [anon_sym_BSLASHGLSname] = ACTIONS(7587),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7587),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7587),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7587),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7587),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7587),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7587),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7587),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7587),
    [anon_sym_BSLASHacrshort] = ACTIONS(7587),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7587),
    [anon_sym_BSLASHACRshort] = ACTIONS(7587),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHacrlong] = ACTIONS(7587),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7587),
    [anon_sym_BSLASHACRlong] = ACTIONS(7587),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHacrfull] = ACTIONS(7587),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7587),
    [anon_sym_BSLASHACRfull] = ACTIONS(7587),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHacs] = ACTIONS(7587),
    [anon_sym_BSLASHAcs] = ACTIONS(7587),
    [anon_sym_BSLASHacsp] = ACTIONS(7587),
    [anon_sym_BSLASHAcsp] = ACTIONS(7587),
    [anon_sym_BSLASHacl] = ACTIONS(7587),
    [anon_sym_BSLASHAcl] = ACTIONS(7587),
    [anon_sym_BSLASHaclp] = ACTIONS(7587),
    [anon_sym_BSLASHAclp] = ACTIONS(7587),
    [anon_sym_BSLASHacf] = ACTIONS(7587),
    [anon_sym_BSLASHAcf] = ACTIONS(7587),
    [anon_sym_BSLASHacfp] = ACTIONS(7587),
    [anon_sym_BSLASHAcfp] = ACTIONS(7587),
    [anon_sym_BSLASHac] = ACTIONS(7587),
    [anon_sym_BSLASHAc] = ACTIONS(7587),
    [anon_sym_BSLASHacp] = ACTIONS(7587),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7587),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7587),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7587),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7587),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7587),
    [anon_sym_BSLASHcolor] = ACTIONS(7587),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7587),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7587),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7587),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7587),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7587),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7587),
    [anon_sym_BSLASHurl] = ACTIONS(7587),
    [anon_sym_BSLASHhref] = ACTIONS(7587),
  },
  [2024] = {
    [sym_command_name] = ACTIONS(7551),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7551),
    [anon_sym_LBRACK] = ACTIONS(7553),
    [anon_sym_RBRACK] = ACTIONS(7553),
    [anon_sym_COMMA] = ACTIONS(7553),
    [anon_sym_EQ] = ACTIONS(7553),
    [anon_sym_LPAREN] = ACTIONS(7553),
    [anon_sym_RPAREN] = ACTIONS(7553),
    [anon_sym_LBRACE] = ACTIONS(7553),
    [anon_sym_RBRACE] = ACTIONS(7553),
    [sym_word] = ACTIONS(7551),
    [sym_placeholder] = ACTIONS(7553),
    [sym_delimiter] = ACTIONS(7553),
    [anon_sym_PLUS] = ACTIONS(7553),
    [anon_sym_DASH] = ACTIONS(7553),
    [anon_sym_STAR] = ACTIONS(7553),
    [anon_sym_SLASH] = ACTIONS(7553),
    [anon_sym_LT] = ACTIONS(7551),
    [anon_sym_GT] = ACTIONS(7551),
    [anon_sym_BANG] = ACTIONS(7551),
    [anon_sym_PIPE] = ACTIONS(7551),
    [anon_sym_COLON] = ACTIONS(7551),
    [anon_sym_SQUOTE] = ACTIONS(7551),
    [anon_sym__] = ACTIONS(7553),
    [anon_sym_CARET] = ACTIONS(7553),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7553),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7553),
    [anon_sym_DOLLAR] = ACTIONS(7551),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7553),
    [anon_sym_BSLASHleft] = ACTIONS(7551),
    [anon_sym_BSLASHbigl] = ACTIONS(7551),
    [anon_sym_BSLASHBigl] = ACTIONS(7551),
    [anon_sym_BSLASHbiggl] = ACTIONS(7551),
    [anon_sym_BSLASHBiggl] = ACTIONS(7551),
    [anon_sym_BSLASHtext] = ACTIONS(7551),
    [anon_sym_BSLASHintertext] = ACTIONS(7551),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7551),
    [anon_sym_BSLASHtitle] = ACTIONS(7551),
    [anon_sym_BSLASHauthor] = ACTIONS(7551),
    [anon_sym_BSLASHusepackage] = ACTIONS(7551),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7551),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7551),
    [anon_sym_BSLASHinclude] = ACTIONS(7551),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7551),
    [anon_sym_BSLASHinput] = ACTIONS(7551),
    [anon_sym_BSLASHsubfile] = ACTIONS(7551),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7551),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7551),
    [anon_sym_BSLASHbibliography] = ACTIONS(7551),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7551),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7551),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7551),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7551),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7551),
    [anon_sym_BSLASHimport] = ACTIONS(7551),
    [anon_sym_BSLASHsubimport] = ACTIONS(7551),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7551),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7551),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7551),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7551),
    [anon_sym_BSLASHcaption] = ACTIONS(7551),
    [anon_sym_BSLASHcite] = ACTIONS(7551),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCite] = ACTIONS(7551),
    [anon_sym_BSLASHnocite] = ACTIONS(7551),
    [anon_sym_BSLASHcitet] = ACTIONS(7551),
    [anon_sym_BSLASHcitep] = ACTIONS(7551),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteA] = ACTIONS(7551),
    [anon_sym_BSLASHciteR] = ACTIONS(7551),
    [anon_sym_BSLASHciteS] = ACTIONS(7551),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7551),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7551),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7551),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7551),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteyear] = ACTIONS(7551),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitedate] = ACTIONS(7551),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteurl] = ACTIONS(7551),
    [anon_sym_BSLASHfullcite] = ACTIONS(7551),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7551),
    [anon_sym_BSLASHcitealt] = ACTIONS(7551),
    [anon_sym_BSLASHcitealp] = ACTIONS(7551),
    [anon_sym_BSLASHcitetext] = ACTIONS(7551),
    [anon_sym_BSLASHparencite] = ACTIONS(7551),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHParencite] = ACTIONS(7551),
    [anon_sym_BSLASHfootcite] = ACTIONS(7551),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7551),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7551),
    [anon_sym_BSLASHtextcite] = ACTIONS(7551),
    [anon_sym_BSLASHTextcite] = ACTIONS(7551),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7551),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7551),
    [anon_sym_BSLASHsupercite] = ACTIONS(7551),
    [anon_sym_BSLASHautocite] = ACTIONS(7551),
    [anon_sym_BSLASHAutocite] = ACTIONS(7551),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHVolcite] = ACTIONS(7551),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHavolcite] = ACTIONS(7551),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHNotecite] = ACTIONS(7551),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHlabel] = ACTIONS(7551),
    [anon_sym_BSLASHref] = ACTIONS(7551),
    [anon_sym_BSLASHeqref] = ACTIONS(7551),
    [anon_sym_BSLASHvref] = ACTIONS(7551),
    [anon_sym_BSLASHVref] = ACTIONS(7551),
    [anon_sym_BSLASHautoref] = ACTIONS(7551),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHpageref] = ACTIONS(7551),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHautopageref] = ACTIONS(7551),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcref] = ACTIONS(7551),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCref] = ACTIONS(7551),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcpageref] = ACTIONS(7551),
    [anon_sym_BSLASHCpageref] = ACTIONS(7551),
    [anon_sym_BSLASHnamecref] = ACTIONS(7551),
    [anon_sym_BSLASHnameCref] = ACTIONS(7551),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7551),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7551),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7551),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7551),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7551),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7551),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7551),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7551),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7551),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7551),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7551),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHdef] = ACTIONS(7551),
    [anon_sym_BSLASHgdef] = ACTIONS(7551),
    [anon_sym_BSLASHedef] = ACTIONS(7551),
    [anon_sym_BSLASHxdef] = ACTIONS(7551),
    [anon_sym_BSLASHlet] = ACTIONS(7551),
    [anon_sym_BSLASHglet] = ACTIONS(7551),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7551),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7551),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7551),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7551),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7551),
    [anon_sym_BSLASHgls] = ACTIONS(7551),
    [anon_sym_BSLASHGls] = ACTIONS(7551),
    [anon_sym_BSLASHGLS] = ACTIONS(7551),
    [anon_sym_BSLASHglspl] = ACTIONS(7551),
    [anon_sym_BSLASHGlspl] = ACTIONS(7551),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7551),
    [anon_sym_BSLASHglslink] = ACTIONS(7551),
    [anon_sym_BSLASHglstext] = ACTIONS(7551),
    [anon_sym_BSLASHGlstext] = ACTIONS(7551),
    [anon_sym_BSLASHGLStext] = ACTIONS(7551),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7551),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7551),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7551),
    [anon_sym_BSLASHglsplural] = ACTIONS(7551),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7551),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7551),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHglsname] = ACTIONS(7551),
    [anon_sym_BSLASHGlsname] = ACTIONS(7551),
    [anon_sym_BSLASHGLSname] = ACTIONS(7551),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7551),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7551),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7551),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7551),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7551),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7551),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7551),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7551),
    [anon_sym_BSLASHacrshort] = ACTIONS(7551),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7551),
    [anon_sym_BSLASHACRshort] = ACTIONS(7551),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHacrlong] = ACTIONS(7551),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7551),
    [anon_sym_BSLASHACRlong] = ACTIONS(7551),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHacrfull] = ACTIONS(7551),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7551),
    [anon_sym_BSLASHACRfull] = ACTIONS(7551),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHacs] = ACTIONS(7551),
    [anon_sym_BSLASHAcs] = ACTIONS(7551),
    [anon_sym_BSLASHacsp] = ACTIONS(7551),
    [anon_sym_BSLASHAcsp] = ACTIONS(7551),
    [anon_sym_BSLASHacl] = ACTIONS(7551),
    [anon_sym_BSLASHAcl] = ACTIONS(7551),
    [anon_sym_BSLASHaclp] = ACTIONS(7551),
    [anon_sym_BSLASHAclp] = ACTIONS(7551),
    [anon_sym_BSLASHacf] = ACTIONS(7551),
    [anon_sym_BSLASHAcf] = ACTIONS(7551),
    [anon_sym_BSLASHacfp] = ACTIONS(7551),
    [anon_sym_BSLASHAcfp] = ACTIONS(7551),
    [anon_sym_BSLASHac] = ACTIONS(7551),
    [anon_sym_BSLASHAc] = ACTIONS(7551),
    [anon_sym_BSLASHacp] = ACTIONS(7551),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7551),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7551),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7551),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7551),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7551),
    [anon_sym_BSLASHcolor] = ACTIONS(7551),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7551),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7551),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7551),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7551),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7551),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7551),
    [anon_sym_BSLASHurl] = ACTIONS(7551),
    [anon_sym_BSLASHhref] = ACTIONS(7551),
  },
  [2025] = {
    [sym_command_name] = ACTIONS(7555),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7555),
    [anon_sym_LBRACK] = ACTIONS(7557),
    [anon_sym_RBRACK] = ACTIONS(7557),
    [anon_sym_COMMA] = ACTIONS(7557),
    [anon_sym_EQ] = ACTIONS(7557),
    [anon_sym_LPAREN] = ACTIONS(7557),
    [anon_sym_RPAREN] = ACTIONS(7557),
    [anon_sym_LBRACE] = ACTIONS(7557),
    [anon_sym_RBRACE] = ACTIONS(7557),
    [sym_word] = ACTIONS(7555),
    [sym_placeholder] = ACTIONS(7557),
    [sym_delimiter] = ACTIONS(7557),
    [anon_sym_PLUS] = ACTIONS(7557),
    [anon_sym_DASH] = ACTIONS(7557),
    [anon_sym_STAR] = ACTIONS(7557),
    [anon_sym_SLASH] = ACTIONS(7557),
    [anon_sym_LT] = ACTIONS(7555),
    [anon_sym_GT] = ACTIONS(7555),
    [anon_sym_BANG] = ACTIONS(7555),
    [anon_sym_PIPE] = ACTIONS(7555),
    [anon_sym_COLON] = ACTIONS(7555),
    [anon_sym_SQUOTE] = ACTIONS(7555),
    [anon_sym__] = ACTIONS(7557),
    [anon_sym_CARET] = ACTIONS(7557),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7557),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7557),
    [anon_sym_DOLLAR] = ACTIONS(7555),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7557),
    [anon_sym_BSLASHleft] = ACTIONS(7555),
    [anon_sym_BSLASHbigl] = ACTIONS(7555),
    [anon_sym_BSLASHBigl] = ACTIONS(7555),
    [anon_sym_BSLASHbiggl] = ACTIONS(7555),
    [anon_sym_BSLASHBiggl] = ACTIONS(7555),
    [anon_sym_BSLASHtext] = ACTIONS(7555),
    [anon_sym_BSLASHintertext] = ACTIONS(7555),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7555),
    [anon_sym_BSLASHtitle] = ACTIONS(7555),
    [anon_sym_BSLASHauthor] = ACTIONS(7555),
    [anon_sym_BSLASHusepackage] = ACTIONS(7555),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7555),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7555),
    [anon_sym_BSLASHinclude] = ACTIONS(7555),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7555),
    [anon_sym_BSLASHinput] = ACTIONS(7555),
    [anon_sym_BSLASHsubfile] = ACTIONS(7555),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7555),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7555),
    [anon_sym_BSLASHbibliography] = ACTIONS(7555),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7555),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7555),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7555),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7555),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7555),
    [anon_sym_BSLASHimport] = ACTIONS(7555),
    [anon_sym_BSLASHsubimport] = ACTIONS(7555),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7555),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7555),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7555),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7555),
    [anon_sym_BSLASHcaption] = ACTIONS(7555),
    [anon_sym_BSLASHcite] = ACTIONS(7555),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCite] = ACTIONS(7555),
    [anon_sym_BSLASHnocite] = ACTIONS(7555),
    [anon_sym_BSLASHcitet] = ACTIONS(7555),
    [anon_sym_BSLASHcitep] = ACTIONS(7555),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteA] = ACTIONS(7555),
    [anon_sym_BSLASHciteR] = ACTIONS(7555),
    [anon_sym_BSLASHciteS] = ACTIONS(7555),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7555),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7555),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7555),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7555),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteyear] = ACTIONS(7555),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitedate] = ACTIONS(7555),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteurl] = ACTIONS(7555),
    [anon_sym_BSLASHfullcite] = ACTIONS(7555),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7555),
    [anon_sym_BSLASHcitealt] = ACTIONS(7555),
    [anon_sym_BSLASHcitealp] = ACTIONS(7555),
    [anon_sym_BSLASHcitetext] = ACTIONS(7555),
    [anon_sym_BSLASHparencite] = ACTIONS(7555),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHParencite] = ACTIONS(7555),
    [anon_sym_BSLASHfootcite] = ACTIONS(7555),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7555),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7555),
    [anon_sym_BSLASHtextcite] = ACTIONS(7555),
    [anon_sym_BSLASHTextcite] = ACTIONS(7555),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7555),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7555),
    [anon_sym_BSLASHsupercite] = ACTIONS(7555),
    [anon_sym_BSLASHautocite] = ACTIONS(7555),
    [anon_sym_BSLASHAutocite] = ACTIONS(7555),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHVolcite] = ACTIONS(7555),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHavolcite] = ACTIONS(7555),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHNotecite] = ACTIONS(7555),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHlabel] = ACTIONS(7555),
    [anon_sym_BSLASHref] = ACTIONS(7555),
    [anon_sym_BSLASHeqref] = ACTIONS(7555),
    [anon_sym_BSLASHvref] = ACTIONS(7555),
    [anon_sym_BSLASHVref] = ACTIONS(7555),
    [anon_sym_BSLASHautoref] = ACTIONS(7555),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHpageref] = ACTIONS(7555),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHautopageref] = ACTIONS(7555),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcref] = ACTIONS(7555),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCref] = ACTIONS(7555),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcpageref] = ACTIONS(7555),
    [anon_sym_BSLASHCpageref] = ACTIONS(7555),
    [anon_sym_BSLASHnamecref] = ACTIONS(7555),
    [anon_sym_BSLASHnameCref] = ACTIONS(7555),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7555),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7555),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7555),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7555),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7555),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7555),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7555),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7555),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7555),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7555),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7555),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHdef] = ACTIONS(7555),
    [anon_sym_BSLASHgdef] = ACTIONS(7555),
    [anon_sym_BSLASHedef] = ACTIONS(7555),
    [anon_sym_BSLASHxdef] = ACTIONS(7555),
    [anon_sym_BSLASHlet] = ACTIONS(7555),
    [anon_sym_BSLASHglet] = ACTIONS(7555),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7555),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7555),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7555),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7555),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7555),
    [anon_sym_BSLASHgls] = ACTIONS(7555),
    [anon_sym_BSLASHGls] = ACTIONS(7555),
    [anon_sym_BSLASHGLS] = ACTIONS(7555),
    [anon_sym_BSLASHglspl] = ACTIONS(7555),
    [anon_sym_BSLASHGlspl] = ACTIONS(7555),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7555),
    [anon_sym_BSLASHglslink] = ACTIONS(7555),
    [anon_sym_BSLASHglstext] = ACTIONS(7555),
    [anon_sym_BSLASHGlstext] = ACTIONS(7555),
    [anon_sym_BSLASHGLStext] = ACTIONS(7555),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7555),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7555),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7555),
    [anon_sym_BSLASHglsplural] = ACTIONS(7555),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7555),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7555),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHglsname] = ACTIONS(7555),
    [anon_sym_BSLASHGlsname] = ACTIONS(7555),
    [anon_sym_BSLASHGLSname] = ACTIONS(7555),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7555),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7555),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7555),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7555),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7555),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7555),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7555),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7555),
    [anon_sym_BSLASHacrshort] = ACTIONS(7555),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7555),
    [anon_sym_BSLASHACRshort] = ACTIONS(7555),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHacrlong] = ACTIONS(7555),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7555),
    [anon_sym_BSLASHACRlong] = ACTIONS(7555),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHacrfull] = ACTIONS(7555),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7555),
    [anon_sym_BSLASHACRfull] = ACTIONS(7555),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHacs] = ACTIONS(7555),
    [anon_sym_BSLASHAcs] = ACTIONS(7555),
    [anon_sym_BSLASHacsp] = ACTIONS(7555),
    [anon_sym_BSLASHAcsp] = ACTIONS(7555),
    [anon_sym_BSLASHacl] = ACTIONS(7555),
    [anon_sym_BSLASHAcl] = ACTIONS(7555),
    [anon_sym_BSLASHaclp] = ACTIONS(7555),
    [anon_sym_BSLASHAclp] = ACTIONS(7555),
    [anon_sym_BSLASHacf] = ACTIONS(7555),
    [anon_sym_BSLASHAcf] = ACTIONS(7555),
    [anon_sym_BSLASHacfp] = ACTIONS(7555),
    [anon_sym_BSLASHAcfp] = ACTIONS(7555),
    [anon_sym_BSLASHac] = ACTIONS(7555),
    [anon_sym_BSLASHAc] = ACTIONS(7555),
    [anon_sym_BSLASHacp] = ACTIONS(7555),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7555),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7555),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7555),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7555),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7555),
    [anon_sym_BSLASHcolor] = ACTIONS(7555),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7555),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7555),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7555),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7555),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7555),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7555),
    [anon_sym_BSLASHurl] = ACTIONS(7555),
    [anon_sym_BSLASHhref] = ACTIONS(7555),
  },
  [2026] = {
    [sym_command_name] = ACTIONS(7559),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7559),
    [anon_sym_LBRACK] = ACTIONS(7561),
    [anon_sym_RBRACK] = ACTIONS(7561),
    [anon_sym_COMMA] = ACTIONS(7561),
    [anon_sym_EQ] = ACTIONS(7561),
    [anon_sym_LPAREN] = ACTIONS(7561),
    [anon_sym_RPAREN] = ACTIONS(7561),
    [anon_sym_LBRACE] = ACTIONS(7561),
    [anon_sym_RBRACE] = ACTIONS(7561),
    [sym_word] = ACTIONS(7559),
    [sym_placeholder] = ACTIONS(7561),
    [sym_delimiter] = ACTIONS(7561),
    [anon_sym_PLUS] = ACTIONS(7561),
    [anon_sym_DASH] = ACTIONS(7561),
    [anon_sym_STAR] = ACTIONS(7561),
    [anon_sym_SLASH] = ACTIONS(7561),
    [anon_sym_LT] = ACTIONS(7559),
    [anon_sym_GT] = ACTIONS(7559),
    [anon_sym_BANG] = ACTIONS(7559),
    [anon_sym_PIPE] = ACTIONS(7559),
    [anon_sym_COLON] = ACTIONS(7559),
    [anon_sym_SQUOTE] = ACTIONS(7559),
    [anon_sym__] = ACTIONS(7561),
    [anon_sym_CARET] = ACTIONS(7561),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7561),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7561),
    [anon_sym_DOLLAR] = ACTIONS(7559),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7561),
    [anon_sym_BSLASHleft] = ACTIONS(7559),
    [anon_sym_BSLASHbigl] = ACTIONS(7559),
    [anon_sym_BSLASHBigl] = ACTIONS(7559),
    [anon_sym_BSLASHbiggl] = ACTIONS(7559),
    [anon_sym_BSLASHBiggl] = ACTIONS(7559),
    [anon_sym_BSLASHtext] = ACTIONS(7559),
    [anon_sym_BSLASHintertext] = ACTIONS(7559),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7559),
    [anon_sym_BSLASHtitle] = ACTIONS(7559),
    [anon_sym_BSLASHauthor] = ACTIONS(7559),
    [anon_sym_BSLASHusepackage] = ACTIONS(7559),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7559),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7559),
    [anon_sym_BSLASHinclude] = ACTIONS(7559),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7559),
    [anon_sym_BSLASHinput] = ACTIONS(7559),
    [anon_sym_BSLASHsubfile] = ACTIONS(7559),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7559),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7559),
    [anon_sym_BSLASHbibliography] = ACTIONS(7559),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7559),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7559),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7559),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7559),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7559),
    [anon_sym_BSLASHimport] = ACTIONS(7559),
    [anon_sym_BSLASHsubimport] = ACTIONS(7559),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7559),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7559),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7559),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7559),
    [anon_sym_BSLASHcaption] = ACTIONS(7559),
    [anon_sym_BSLASHcite] = ACTIONS(7559),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCite] = ACTIONS(7559),
    [anon_sym_BSLASHnocite] = ACTIONS(7559),
    [anon_sym_BSLASHcitet] = ACTIONS(7559),
    [anon_sym_BSLASHcitep] = ACTIONS(7559),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteA] = ACTIONS(7559),
    [anon_sym_BSLASHciteR] = ACTIONS(7559),
    [anon_sym_BSLASHciteS] = ACTIONS(7559),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7559),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7559),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7559),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7559),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteyear] = ACTIONS(7559),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitedate] = ACTIONS(7559),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteurl] = ACTIONS(7559),
    [anon_sym_BSLASHfullcite] = ACTIONS(7559),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7559),
    [anon_sym_BSLASHcitealt] = ACTIONS(7559),
    [anon_sym_BSLASHcitealp] = ACTIONS(7559),
    [anon_sym_BSLASHcitetext] = ACTIONS(7559),
    [anon_sym_BSLASHparencite] = ACTIONS(7559),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHParencite] = ACTIONS(7559),
    [anon_sym_BSLASHfootcite] = ACTIONS(7559),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7559),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7559),
    [anon_sym_BSLASHtextcite] = ACTIONS(7559),
    [anon_sym_BSLASHTextcite] = ACTIONS(7559),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7559),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7559),
    [anon_sym_BSLASHsupercite] = ACTIONS(7559),
    [anon_sym_BSLASHautocite] = ACTIONS(7559),
    [anon_sym_BSLASHAutocite] = ACTIONS(7559),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHVolcite] = ACTIONS(7559),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHavolcite] = ACTIONS(7559),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHNotecite] = ACTIONS(7559),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHlabel] = ACTIONS(7559),
    [anon_sym_BSLASHref] = ACTIONS(7559),
    [anon_sym_BSLASHeqref] = ACTIONS(7559),
    [anon_sym_BSLASHvref] = ACTIONS(7559),
    [anon_sym_BSLASHVref] = ACTIONS(7559),
    [anon_sym_BSLASHautoref] = ACTIONS(7559),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHpageref] = ACTIONS(7559),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHautopageref] = ACTIONS(7559),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcref] = ACTIONS(7559),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCref] = ACTIONS(7559),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcpageref] = ACTIONS(7559),
    [anon_sym_BSLASHCpageref] = ACTIONS(7559),
    [anon_sym_BSLASHnamecref] = ACTIONS(7559),
    [anon_sym_BSLASHnameCref] = ACTIONS(7559),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7559),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7559),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7559),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7559),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7559),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7559),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7559),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7559),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7559),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7559),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7559),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHdef] = ACTIONS(7559),
    [anon_sym_BSLASHgdef] = ACTIONS(7559),
    [anon_sym_BSLASHedef] = ACTIONS(7559),
    [anon_sym_BSLASHxdef] = ACTIONS(7559),
    [anon_sym_BSLASHlet] = ACTIONS(7559),
    [anon_sym_BSLASHglet] = ACTIONS(7559),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7559),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7559),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7559),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7559),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7559),
    [anon_sym_BSLASHgls] = ACTIONS(7559),
    [anon_sym_BSLASHGls] = ACTIONS(7559),
    [anon_sym_BSLASHGLS] = ACTIONS(7559),
    [anon_sym_BSLASHglspl] = ACTIONS(7559),
    [anon_sym_BSLASHGlspl] = ACTIONS(7559),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7559),
    [anon_sym_BSLASHglslink] = ACTIONS(7559),
    [anon_sym_BSLASHglstext] = ACTIONS(7559),
    [anon_sym_BSLASHGlstext] = ACTIONS(7559),
    [anon_sym_BSLASHGLStext] = ACTIONS(7559),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7559),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7559),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7559),
    [anon_sym_BSLASHglsplural] = ACTIONS(7559),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7559),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7559),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHglsname] = ACTIONS(7559),
    [anon_sym_BSLASHGlsname] = ACTIONS(7559),
    [anon_sym_BSLASHGLSname] = ACTIONS(7559),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7559),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7559),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7559),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7559),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7559),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7559),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7559),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7559),
    [anon_sym_BSLASHacrshort] = ACTIONS(7559),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7559),
    [anon_sym_BSLASHACRshort] = ACTIONS(7559),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHacrlong] = ACTIONS(7559),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7559),
    [anon_sym_BSLASHACRlong] = ACTIONS(7559),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHacrfull] = ACTIONS(7559),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7559),
    [anon_sym_BSLASHACRfull] = ACTIONS(7559),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHacs] = ACTIONS(7559),
    [anon_sym_BSLASHAcs] = ACTIONS(7559),
    [anon_sym_BSLASHacsp] = ACTIONS(7559),
    [anon_sym_BSLASHAcsp] = ACTIONS(7559),
    [anon_sym_BSLASHacl] = ACTIONS(7559),
    [anon_sym_BSLASHAcl] = ACTIONS(7559),
    [anon_sym_BSLASHaclp] = ACTIONS(7559),
    [anon_sym_BSLASHAclp] = ACTIONS(7559),
    [anon_sym_BSLASHacf] = ACTIONS(7559),
    [anon_sym_BSLASHAcf] = ACTIONS(7559),
    [anon_sym_BSLASHacfp] = ACTIONS(7559),
    [anon_sym_BSLASHAcfp] = ACTIONS(7559),
    [anon_sym_BSLASHac] = ACTIONS(7559),
    [anon_sym_BSLASHAc] = ACTIONS(7559),
    [anon_sym_BSLASHacp] = ACTIONS(7559),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7559),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7559),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7559),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7559),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7559),
    [anon_sym_BSLASHcolor] = ACTIONS(7559),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7559),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7559),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7559),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7559),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7559),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7559),
    [anon_sym_BSLASHurl] = ACTIONS(7559),
    [anon_sym_BSLASHhref] = ACTIONS(7559),
  },
  [2027] = {
    [sym_command_name] = ACTIONS(7563),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7563),
    [anon_sym_LBRACK] = ACTIONS(7565),
    [anon_sym_RBRACK] = ACTIONS(7565),
    [anon_sym_COMMA] = ACTIONS(7565),
    [anon_sym_EQ] = ACTIONS(7565),
    [anon_sym_LPAREN] = ACTIONS(7565),
    [anon_sym_RPAREN] = ACTIONS(7565),
    [anon_sym_LBRACE] = ACTIONS(7565),
    [anon_sym_RBRACE] = ACTIONS(7565),
    [sym_word] = ACTIONS(7563),
    [sym_placeholder] = ACTIONS(7565),
    [sym_delimiter] = ACTIONS(7565),
    [anon_sym_PLUS] = ACTIONS(7565),
    [anon_sym_DASH] = ACTIONS(7565),
    [anon_sym_STAR] = ACTIONS(7565),
    [anon_sym_SLASH] = ACTIONS(7565),
    [anon_sym_LT] = ACTIONS(7563),
    [anon_sym_GT] = ACTIONS(7563),
    [anon_sym_BANG] = ACTIONS(7563),
    [anon_sym_PIPE] = ACTIONS(7563),
    [anon_sym_COLON] = ACTIONS(7563),
    [anon_sym_SQUOTE] = ACTIONS(7563),
    [anon_sym__] = ACTIONS(7565),
    [anon_sym_CARET] = ACTIONS(7565),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7565),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7565),
    [anon_sym_DOLLAR] = ACTIONS(7563),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7565),
    [anon_sym_BSLASHleft] = ACTIONS(7563),
    [anon_sym_BSLASHbigl] = ACTIONS(7563),
    [anon_sym_BSLASHBigl] = ACTIONS(7563),
    [anon_sym_BSLASHbiggl] = ACTIONS(7563),
    [anon_sym_BSLASHBiggl] = ACTIONS(7563),
    [anon_sym_BSLASHtext] = ACTIONS(7563),
    [anon_sym_BSLASHintertext] = ACTIONS(7563),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7563),
    [anon_sym_BSLASHtitle] = ACTIONS(7563),
    [anon_sym_BSLASHauthor] = ACTIONS(7563),
    [anon_sym_BSLASHusepackage] = ACTIONS(7563),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7563),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7563),
    [anon_sym_BSLASHinclude] = ACTIONS(7563),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7563),
    [anon_sym_BSLASHinput] = ACTIONS(7563),
    [anon_sym_BSLASHsubfile] = ACTIONS(7563),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7563),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7563),
    [anon_sym_BSLASHbibliography] = ACTIONS(7563),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7563),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7563),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7563),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7563),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7563),
    [anon_sym_BSLASHimport] = ACTIONS(7563),
    [anon_sym_BSLASHsubimport] = ACTIONS(7563),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7563),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7563),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7563),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7563),
    [anon_sym_BSLASHcaption] = ACTIONS(7563),
    [anon_sym_BSLASHcite] = ACTIONS(7563),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCite] = ACTIONS(7563),
    [anon_sym_BSLASHnocite] = ACTIONS(7563),
    [anon_sym_BSLASHcitet] = ACTIONS(7563),
    [anon_sym_BSLASHcitep] = ACTIONS(7563),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteA] = ACTIONS(7563),
    [anon_sym_BSLASHciteR] = ACTIONS(7563),
    [anon_sym_BSLASHciteS] = ACTIONS(7563),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7563),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7563),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7563),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7563),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteyear] = ACTIONS(7563),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitedate] = ACTIONS(7563),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteurl] = ACTIONS(7563),
    [anon_sym_BSLASHfullcite] = ACTIONS(7563),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7563),
    [anon_sym_BSLASHcitealt] = ACTIONS(7563),
    [anon_sym_BSLASHcitealp] = ACTIONS(7563),
    [anon_sym_BSLASHcitetext] = ACTIONS(7563),
    [anon_sym_BSLASHparencite] = ACTIONS(7563),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHParencite] = ACTIONS(7563),
    [anon_sym_BSLASHfootcite] = ACTIONS(7563),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7563),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7563),
    [anon_sym_BSLASHtextcite] = ACTIONS(7563),
    [anon_sym_BSLASHTextcite] = ACTIONS(7563),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7563),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7563),
    [anon_sym_BSLASHsupercite] = ACTIONS(7563),
    [anon_sym_BSLASHautocite] = ACTIONS(7563),
    [anon_sym_BSLASHAutocite] = ACTIONS(7563),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHVolcite] = ACTIONS(7563),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHavolcite] = ACTIONS(7563),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHNotecite] = ACTIONS(7563),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHlabel] = ACTIONS(7563),
    [anon_sym_BSLASHref] = ACTIONS(7563),
    [anon_sym_BSLASHeqref] = ACTIONS(7563),
    [anon_sym_BSLASHvref] = ACTIONS(7563),
    [anon_sym_BSLASHVref] = ACTIONS(7563),
    [anon_sym_BSLASHautoref] = ACTIONS(7563),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHpageref] = ACTIONS(7563),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHautopageref] = ACTIONS(7563),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcref] = ACTIONS(7563),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCref] = ACTIONS(7563),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcpageref] = ACTIONS(7563),
    [anon_sym_BSLASHCpageref] = ACTIONS(7563),
    [anon_sym_BSLASHnamecref] = ACTIONS(7563),
    [anon_sym_BSLASHnameCref] = ACTIONS(7563),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7563),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7563),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7563),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7563),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7563),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7563),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7563),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7563),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7563),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7563),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7563),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHdef] = ACTIONS(7563),
    [anon_sym_BSLASHgdef] = ACTIONS(7563),
    [anon_sym_BSLASHedef] = ACTIONS(7563),
    [anon_sym_BSLASHxdef] = ACTIONS(7563),
    [anon_sym_BSLASHlet] = ACTIONS(7563),
    [anon_sym_BSLASHglet] = ACTIONS(7563),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7563),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7563),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7563),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7563),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7563),
    [anon_sym_BSLASHgls] = ACTIONS(7563),
    [anon_sym_BSLASHGls] = ACTIONS(7563),
    [anon_sym_BSLASHGLS] = ACTIONS(7563),
    [anon_sym_BSLASHglspl] = ACTIONS(7563),
    [anon_sym_BSLASHGlspl] = ACTIONS(7563),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7563),
    [anon_sym_BSLASHglslink] = ACTIONS(7563),
    [anon_sym_BSLASHglstext] = ACTIONS(7563),
    [anon_sym_BSLASHGlstext] = ACTIONS(7563),
    [anon_sym_BSLASHGLStext] = ACTIONS(7563),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7563),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7563),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7563),
    [anon_sym_BSLASHglsplural] = ACTIONS(7563),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7563),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7563),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHglsname] = ACTIONS(7563),
    [anon_sym_BSLASHGlsname] = ACTIONS(7563),
    [anon_sym_BSLASHGLSname] = ACTIONS(7563),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7563),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7563),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7563),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7563),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7563),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7563),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7563),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7563),
    [anon_sym_BSLASHacrshort] = ACTIONS(7563),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7563),
    [anon_sym_BSLASHACRshort] = ACTIONS(7563),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHacrlong] = ACTIONS(7563),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7563),
    [anon_sym_BSLASHACRlong] = ACTIONS(7563),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHacrfull] = ACTIONS(7563),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7563),
    [anon_sym_BSLASHACRfull] = ACTIONS(7563),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHacs] = ACTIONS(7563),
    [anon_sym_BSLASHAcs] = ACTIONS(7563),
    [anon_sym_BSLASHacsp] = ACTIONS(7563),
    [anon_sym_BSLASHAcsp] = ACTIONS(7563),
    [anon_sym_BSLASHacl] = ACTIONS(7563),
    [anon_sym_BSLASHAcl] = ACTIONS(7563),
    [anon_sym_BSLASHaclp] = ACTIONS(7563),
    [anon_sym_BSLASHAclp] = ACTIONS(7563),
    [anon_sym_BSLASHacf] = ACTIONS(7563),
    [anon_sym_BSLASHAcf] = ACTIONS(7563),
    [anon_sym_BSLASHacfp] = ACTIONS(7563),
    [anon_sym_BSLASHAcfp] = ACTIONS(7563),
    [anon_sym_BSLASHac] = ACTIONS(7563),
    [anon_sym_BSLASHAc] = ACTIONS(7563),
    [anon_sym_BSLASHacp] = ACTIONS(7563),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7563),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7563),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7563),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7563),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7563),
    [anon_sym_BSLASHcolor] = ACTIONS(7563),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7563),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7563),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7563),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7563),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7563),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7563),
    [anon_sym_BSLASHurl] = ACTIONS(7563),
    [anon_sym_BSLASHhref] = ACTIONS(7563),
  },
  [2028] = {
    [sym_command_name] = ACTIONS(7567),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7567),
    [anon_sym_LBRACK] = ACTIONS(7569),
    [anon_sym_RBRACK] = ACTIONS(7569),
    [anon_sym_COMMA] = ACTIONS(7569),
    [anon_sym_EQ] = ACTIONS(7569),
    [anon_sym_LPAREN] = ACTIONS(7569),
    [anon_sym_RPAREN] = ACTIONS(7569),
    [anon_sym_LBRACE] = ACTIONS(7569),
    [anon_sym_RBRACE] = ACTIONS(7569),
    [sym_word] = ACTIONS(7567),
    [sym_placeholder] = ACTIONS(7569),
    [sym_delimiter] = ACTIONS(7569),
    [anon_sym_PLUS] = ACTIONS(7569),
    [anon_sym_DASH] = ACTIONS(7569),
    [anon_sym_STAR] = ACTIONS(7569),
    [anon_sym_SLASH] = ACTIONS(7569),
    [anon_sym_LT] = ACTIONS(7567),
    [anon_sym_GT] = ACTIONS(7567),
    [anon_sym_BANG] = ACTIONS(7567),
    [anon_sym_PIPE] = ACTIONS(7567),
    [anon_sym_COLON] = ACTIONS(7567),
    [anon_sym_SQUOTE] = ACTIONS(7567),
    [anon_sym__] = ACTIONS(7569),
    [anon_sym_CARET] = ACTIONS(7569),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7569),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7569),
    [anon_sym_DOLLAR] = ACTIONS(7567),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7569),
    [anon_sym_BSLASHleft] = ACTIONS(7567),
    [anon_sym_BSLASHbigl] = ACTIONS(7567),
    [anon_sym_BSLASHBigl] = ACTIONS(7567),
    [anon_sym_BSLASHbiggl] = ACTIONS(7567),
    [anon_sym_BSLASHBiggl] = ACTIONS(7567),
    [anon_sym_BSLASHtext] = ACTIONS(7567),
    [anon_sym_BSLASHintertext] = ACTIONS(7567),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7567),
    [anon_sym_BSLASHtitle] = ACTIONS(7567),
    [anon_sym_BSLASHauthor] = ACTIONS(7567),
    [anon_sym_BSLASHusepackage] = ACTIONS(7567),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7567),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7567),
    [anon_sym_BSLASHinclude] = ACTIONS(7567),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7567),
    [anon_sym_BSLASHinput] = ACTIONS(7567),
    [anon_sym_BSLASHsubfile] = ACTIONS(7567),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7567),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7567),
    [anon_sym_BSLASHbibliography] = ACTIONS(7567),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7567),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7567),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7567),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7567),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7567),
    [anon_sym_BSLASHimport] = ACTIONS(7567),
    [anon_sym_BSLASHsubimport] = ACTIONS(7567),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7567),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7567),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7567),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7567),
    [anon_sym_BSLASHcaption] = ACTIONS(7567),
    [anon_sym_BSLASHcite] = ACTIONS(7567),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCite] = ACTIONS(7567),
    [anon_sym_BSLASHnocite] = ACTIONS(7567),
    [anon_sym_BSLASHcitet] = ACTIONS(7567),
    [anon_sym_BSLASHcitep] = ACTIONS(7567),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteA] = ACTIONS(7567),
    [anon_sym_BSLASHciteR] = ACTIONS(7567),
    [anon_sym_BSLASHciteS] = ACTIONS(7567),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7567),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7567),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7567),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7567),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteyear] = ACTIONS(7567),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitedate] = ACTIONS(7567),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteurl] = ACTIONS(7567),
    [anon_sym_BSLASHfullcite] = ACTIONS(7567),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7567),
    [anon_sym_BSLASHcitealt] = ACTIONS(7567),
    [anon_sym_BSLASHcitealp] = ACTIONS(7567),
    [anon_sym_BSLASHcitetext] = ACTIONS(7567),
    [anon_sym_BSLASHparencite] = ACTIONS(7567),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHParencite] = ACTIONS(7567),
    [anon_sym_BSLASHfootcite] = ACTIONS(7567),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7567),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7567),
    [anon_sym_BSLASHtextcite] = ACTIONS(7567),
    [anon_sym_BSLASHTextcite] = ACTIONS(7567),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7567),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7567),
    [anon_sym_BSLASHsupercite] = ACTIONS(7567),
    [anon_sym_BSLASHautocite] = ACTIONS(7567),
    [anon_sym_BSLASHAutocite] = ACTIONS(7567),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHVolcite] = ACTIONS(7567),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHavolcite] = ACTIONS(7567),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHNotecite] = ACTIONS(7567),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHlabel] = ACTIONS(7567),
    [anon_sym_BSLASHref] = ACTIONS(7567),
    [anon_sym_BSLASHeqref] = ACTIONS(7567),
    [anon_sym_BSLASHvref] = ACTIONS(7567),
    [anon_sym_BSLASHVref] = ACTIONS(7567),
    [anon_sym_BSLASHautoref] = ACTIONS(7567),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHpageref] = ACTIONS(7567),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHautopageref] = ACTIONS(7567),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcref] = ACTIONS(7567),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCref] = ACTIONS(7567),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcpageref] = ACTIONS(7567),
    [anon_sym_BSLASHCpageref] = ACTIONS(7567),
    [anon_sym_BSLASHnamecref] = ACTIONS(7567),
    [anon_sym_BSLASHnameCref] = ACTIONS(7567),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7567),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7567),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7567),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7567),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7567),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7567),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7567),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7567),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7567),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7567),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7567),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHdef] = ACTIONS(7567),
    [anon_sym_BSLASHgdef] = ACTIONS(7567),
    [anon_sym_BSLASHedef] = ACTIONS(7567),
    [anon_sym_BSLASHxdef] = ACTIONS(7567),
    [anon_sym_BSLASHlet] = ACTIONS(7567),
    [anon_sym_BSLASHglet] = ACTIONS(7567),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7567),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7567),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7567),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7567),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7567),
    [anon_sym_BSLASHgls] = ACTIONS(7567),
    [anon_sym_BSLASHGls] = ACTIONS(7567),
    [anon_sym_BSLASHGLS] = ACTIONS(7567),
    [anon_sym_BSLASHglspl] = ACTIONS(7567),
    [anon_sym_BSLASHGlspl] = ACTIONS(7567),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7567),
    [anon_sym_BSLASHglslink] = ACTIONS(7567),
    [anon_sym_BSLASHglstext] = ACTIONS(7567),
    [anon_sym_BSLASHGlstext] = ACTIONS(7567),
    [anon_sym_BSLASHGLStext] = ACTIONS(7567),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7567),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7567),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7567),
    [anon_sym_BSLASHglsplural] = ACTIONS(7567),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7567),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7567),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHglsname] = ACTIONS(7567),
    [anon_sym_BSLASHGlsname] = ACTIONS(7567),
    [anon_sym_BSLASHGLSname] = ACTIONS(7567),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7567),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7567),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7567),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7567),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7567),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7567),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7567),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7567),
    [anon_sym_BSLASHacrshort] = ACTIONS(7567),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7567),
    [anon_sym_BSLASHACRshort] = ACTIONS(7567),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHacrlong] = ACTIONS(7567),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7567),
    [anon_sym_BSLASHACRlong] = ACTIONS(7567),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHacrfull] = ACTIONS(7567),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7567),
    [anon_sym_BSLASHACRfull] = ACTIONS(7567),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHacs] = ACTIONS(7567),
    [anon_sym_BSLASHAcs] = ACTIONS(7567),
    [anon_sym_BSLASHacsp] = ACTIONS(7567),
    [anon_sym_BSLASHAcsp] = ACTIONS(7567),
    [anon_sym_BSLASHacl] = ACTIONS(7567),
    [anon_sym_BSLASHAcl] = ACTIONS(7567),
    [anon_sym_BSLASHaclp] = ACTIONS(7567),
    [anon_sym_BSLASHAclp] = ACTIONS(7567),
    [anon_sym_BSLASHacf] = ACTIONS(7567),
    [anon_sym_BSLASHAcf] = ACTIONS(7567),
    [anon_sym_BSLASHacfp] = ACTIONS(7567),
    [anon_sym_BSLASHAcfp] = ACTIONS(7567),
    [anon_sym_BSLASHac] = ACTIONS(7567),
    [anon_sym_BSLASHAc] = ACTIONS(7567),
    [anon_sym_BSLASHacp] = ACTIONS(7567),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7567),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7567),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7567),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7567),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7567),
    [anon_sym_BSLASHcolor] = ACTIONS(7567),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7567),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7567),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7567),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7567),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7567),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7567),
    [anon_sym_BSLASHurl] = ACTIONS(7567),
    [anon_sym_BSLASHhref] = ACTIONS(7567),
  },
  [2029] = {
    [sym_command_name] = ACTIONS(7571),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7571),
    [anon_sym_LBRACK] = ACTIONS(7573),
    [anon_sym_RBRACK] = ACTIONS(7573),
    [anon_sym_COMMA] = ACTIONS(7573),
    [anon_sym_EQ] = ACTIONS(7573),
    [anon_sym_LPAREN] = ACTIONS(7573),
    [anon_sym_RPAREN] = ACTIONS(7573),
    [anon_sym_LBRACE] = ACTIONS(7573),
    [anon_sym_RBRACE] = ACTIONS(7573),
    [sym_word] = ACTIONS(7571),
    [sym_placeholder] = ACTIONS(7573),
    [sym_delimiter] = ACTIONS(7573),
    [anon_sym_PLUS] = ACTIONS(7573),
    [anon_sym_DASH] = ACTIONS(7573),
    [anon_sym_STAR] = ACTIONS(7573),
    [anon_sym_SLASH] = ACTIONS(7573),
    [anon_sym_LT] = ACTIONS(7571),
    [anon_sym_GT] = ACTIONS(7571),
    [anon_sym_BANG] = ACTIONS(7571),
    [anon_sym_PIPE] = ACTIONS(7571),
    [anon_sym_COLON] = ACTIONS(7571),
    [anon_sym_SQUOTE] = ACTIONS(7571),
    [anon_sym__] = ACTIONS(7573),
    [anon_sym_CARET] = ACTIONS(7573),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7573),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7573),
    [anon_sym_DOLLAR] = ACTIONS(7571),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7573),
    [anon_sym_BSLASHleft] = ACTIONS(7571),
    [anon_sym_BSLASHbigl] = ACTIONS(7571),
    [anon_sym_BSLASHBigl] = ACTIONS(7571),
    [anon_sym_BSLASHbiggl] = ACTIONS(7571),
    [anon_sym_BSLASHBiggl] = ACTIONS(7571),
    [anon_sym_BSLASHtext] = ACTIONS(7571),
    [anon_sym_BSLASHintertext] = ACTIONS(7571),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7571),
    [anon_sym_BSLASHtitle] = ACTIONS(7571),
    [anon_sym_BSLASHauthor] = ACTIONS(7571),
    [anon_sym_BSLASHusepackage] = ACTIONS(7571),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7571),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7571),
    [anon_sym_BSLASHinclude] = ACTIONS(7571),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7571),
    [anon_sym_BSLASHinput] = ACTIONS(7571),
    [anon_sym_BSLASHsubfile] = ACTIONS(7571),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7571),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7571),
    [anon_sym_BSLASHbibliography] = ACTIONS(7571),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7571),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7571),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7571),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7571),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7571),
    [anon_sym_BSLASHimport] = ACTIONS(7571),
    [anon_sym_BSLASHsubimport] = ACTIONS(7571),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7571),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7571),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7571),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7571),
    [anon_sym_BSLASHcaption] = ACTIONS(7571),
    [anon_sym_BSLASHcite] = ACTIONS(7571),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCite] = ACTIONS(7571),
    [anon_sym_BSLASHnocite] = ACTIONS(7571),
    [anon_sym_BSLASHcitet] = ACTIONS(7571),
    [anon_sym_BSLASHcitep] = ACTIONS(7571),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteA] = ACTIONS(7571),
    [anon_sym_BSLASHciteR] = ACTIONS(7571),
    [anon_sym_BSLASHciteS] = ACTIONS(7571),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7571),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7571),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7571),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7571),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteyear] = ACTIONS(7571),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitedate] = ACTIONS(7571),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteurl] = ACTIONS(7571),
    [anon_sym_BSLASHfullcite] = ACTIONS(7571),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7571),
    [anon_sym_BSLASHcitealt] = ACTIONS(7571),
    [anon_sym_BSLASHcitealp] = ACTIONS(7571),
    [anon_sym_BSLASHcitetext] = ACTIONS(7571),
    [anon_sym_BSLASHparencite] = ACTIONS(7571),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHParencite] = ACTIONS(7571),
    [anon_sym_BSLASHfootcite] = ACTIONS(7571),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7571),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7571),
    [anon_sym_BSLASHtextcite] = ACTIONS(7571),
    [anon_sym_BSLASHTextcite] = ACTIONS(7571),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7571),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7571),
    [anon_sym_BSLASHsupercite] = ACTIONS(7571),
    [anon_sym_BSLASHautocite] = ACTIONS(7571),
    [anon_sym_BSLASHAutocite] = ACTIONS(7571),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHVolcite] = ACTIONS(7571),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHavolcite] = ACTIONS(7571),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHNotecite] = ACTIONS(7571),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHlabel] = ACTIONS(7571),
    [anon_sym_BSLASHref] = ACTIONS(7571),
    [anon_sym_BSLASHeqref] = ACTIONS(7571),
    [anon_sym_BSLASHvref] = ACTIONS(7571),
    [anon_sym_BSLASHVref] = ACTIONS(7571),
    [anon_sym_BSLASHautoref] = ACTIONS(7571),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHpageref] = ACTIONS(7571),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHautopageref] = ACTIONS(7571),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcref] = ACTIONS(7571),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCref] = ACTIONS(7571),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcpageref] = ACTIONS(7571),
    [anon_sym_BSLASHCpageref] = ACTIONS(7571),
    [anon_sym_BSLASHnamecref] = ACTIONS(7571),
    [anon_sym_BSLASHnameCref] = ACTIONS(7571),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7571),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7571),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7571),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7571),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7571),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7571),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7571),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7571),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7571),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7571),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7571),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHdef] = ACTIONS(7571),
    [anon_sym_BSLASHgdef] = ACTIONS(7571),
    [anon_sym_BSLASHedef] = ACTIONS(7571),
    [anon_sym_BSLASHxdef] = ACTIONS(7571),
    [anon_sym_BSLASHlet] = ACTIONS(7571),
    [anon_sym_BSLASHglet] = ACTIONS(7571),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7571),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7571),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7571),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7571),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7571),
    [anon_sym_BSLASHgls] = ACTIONS(7571),
    [anon_sym_BSLASHGls] = ACTIONS(7571),
    [anon_sym_BSLASHGLS] = ACTIONS(7571),
    [anon_sym_BSLASHglspl] = ACTIONS(7571),
    [anon_sym_BSLASHGlspl] = ACTIONS(7571),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7571),
    [anon_sym_BSLASHglslink] = ACTIONS(7571),
    [anon_sym_BSLASHglstext] = ACTIONS(7571),
    [anon_sym_BSLASHGlstext] = ACTIONS(7571),
    [anon_sym_BSLASHGLStext] = ACTIONS(7571),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7571),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7571),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7571),
    [anon_sym_BSLASHglsplural] = ACTIONS(7571),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7571),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7571),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHglsname] = ACTIONS(7571),
    [anon_sym_BSLASHGlsname] = ACTIONS(7571),
    [anon_sym_BSLASHGLSname] = ACTIONS(7571),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7571),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7571),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7571),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7571),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7571),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7571),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7571),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7571),
    [anon_sym_BSLASHacrshort] = ACTIONS(7571),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7571),
    [anon_sym_BSLASHACRshort] = ACTIONS(7571),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHacrlong] = ACTIONS(7571),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7571),
    [anon_sym_BSLASHACRlong] = ACTIONS(7571),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHacrfull] = ACTIONS(7571),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7571),
    [anon_sym_BSLASHACRfull] = ACTIONS(7571),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHacs] = ACTIONS(7571),
    [anon_sym_BSLASHAcs] = ACTIONS(7571),
    [anon_sym_BSLASHacsp] = ACTIONS(7571),
    [anon_sym_BSLASHAcsp] = ACTIONS(7571),
    [anon_sym_BSLASHacl] = ACTIONS(7571),
    [anon_sym_BSLASHAcl] = ACTIONS(7571),
    [anon_sym_BSLASHaclp] = ACTIONS(7571),
    [anon_sym_BSLASHAclp] = ACTIONS(7571),
    [anon_sym_BSLASHacf] = ACTIONS(7571),
    [anon_sym_BSLASHAcf] = ACTIONS(7571),
    [anon_sym_BSLASHacfp] = ACTIONS(7571),
    [anon_sym_BSLASHAcfp] = ACTIONS(7571),
    [anon_sym_BSLASHac] = ACTIONS(7571),
    [anon_sym_BSLASHAc] = ACTIONS(7571),
    [anon_sym_BSLASHacp] = ACTIONS(7571),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7571),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7571),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7571),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7571),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7571),
    [anon_sym_BSLASHcolor] = ACTIONS(7571),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7571),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7571),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7571),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7571),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7571),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7571),
    [anon_sym_BSLASHurl] = ACTIONS(7571),
    [anon_sym_BSLASHhref] = ACTIONS(7571),
  },
  [2030] = {
    [sym_command_name] = ACTIONS(7575),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7575),
    [anon_sym_LBRACK] = ACTIONS(7577),
    [anon_sym_RBRACK] = ACTIONS(7577),
    [anon_sym_COMMA] = ACTIONS(7577),
    [anon_sym_EQ] = ACTIONS(7577),
    [anon_sym_LPAREN] = ACTIONS(7577),
    [anon_sym_RPAREN] = ACTIONS(7577),
    [anon_sym_LBRACE] = ACTIONS(7577),
    [anon_sym_RBRACE] = ACTIONS(7577),
    [sym_word] = ACTIONS(7575),
    [sym_placeholder] = ACTIONS(7577),
    [sym_delimiter] = ACTIONS(7577),
    [anon_sym_PLUS] = ACTIONS(7577),
    [anon_sym_DASH] = ACTIONS(7577),
    [anon_sym_STAR] = ACTIONS(7577),
    [anon_sym_SLASH] = ACTIONS(7577),
    [anon_sym_LT] = ACTIONS(7575),
    [anon_sym_GT] = ACTIONS(7575),
    [anon_sym_BANG] = ACTIONS(7575),
    [anon_sym_PIPE] = ACTIONS(7575),
    [anon_sym_COLON] = ACTIONS(7575),
    [anon_sym_SQUOTE] = ACTIONS(7575),
    [anon_sym__] = ACTIONS(7577),
    [anon_sym_CARET] = ACTIONS(7577),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7577),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7577),
    [anon_sym_DOLLAR] = ACTIONS(7575),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7577),
    [anon_sym_BSLASHleft] = ACTIONS(7575),
    [anon_sym_BSLASHbigl] = ACTIONS(7575),
    [anon_sym_BSLASHBigl] = ACTIONS(7575),
    [anon_sym_BSLASHbiggl] = ACTIONS(7575),
    [anon_sym_BSLASHBiggl] = ACTIONS(7575),
    [anon_sym_BSLASHtext] = ACTIONS(7575),
    [anon_sym_BSLASHintertext] = ACTIONS(7575),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7575),
    [anon_sym_BSLASHtitle] = ACTIONS(7575),
    [anon_sym_BSLASHauthor] = ACTIONS(7575),
    [anon_sym_BSLASHusepackage] = ACTIONS(7575),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7575),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7575),
    [anon_sym_BSLASHinclude] = ACTIONS(7575),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7575),
    [anon_sym_BSLASHinput] = ACTIONS(7575),
    [anon_sym_BSLASHsubfile] = ACTIONS(7575),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7575),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7575),
    [anon_sym_BSLASHbibliography] = ACTIONS(7575),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7575),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7575),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7575),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7575),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7575),
    [anon_sym_BSLASHimport] = ACTIONS(7575),
    [anon_sym_BSLASHsubimport] = ACTIONS(7575),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7575),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7575),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7575),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7575),
    [anon_sym_BSLASHcaption] = ACTIONS(7575),
    [anon_sym_BSLASHcite] = ACTIONS(7575),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCite] = ACTIONS(7575),
    [anon_sym_BSLASHnocite] = ACTIONS(7575),
    [anon_sym_BSLASHcitet] = ACTIONS(7575),
    [anon_sym_BSLASHcitep] = ACTIONS(7575),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteA] = ACTIONS(7575),
    [anon_sym_BSLASHciteR] = ACTIONS(7575),
    [anon_sym_BSLASHciteS] = ACTIONS(7575),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7575),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7575),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7575),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7575),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteyear] = ACTIONS(7575),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitedate] = ACTIONS(7575),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteurl] = ACTIONS(7575),
    [anon_sym_BSLASHfullcite] = ACTIONS(7575),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7575),
    [anon_sym_BSLASHcitealt] = ACTIONS(7575),
    [anon_sym_BSLASHcitealp] = ACTIONS(7575),
    [anon_sym_BSLASHcitetext] = ACTIONS(7575),
    [anon_sym_BSLASHparencite] = ACTIONS(7575),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHParencite] = ACTIONS(7575),
    [anon_sym_BSLASHfootcite] = ACTIONS(7575),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7575),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7575),
    [anon_sym_BSLASHtextcite] = ACTIONS(7575),
    [anon_sym_BSLASHTextcite] = ACTIONS(7575),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7575),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7575),
    [anon_sym_BSLASHsupercite] = ACTIONS(7575),
    [anon_sym_BSLASHautocite] = ACTIONS(7575),
    [anon_sym_BSLASHAutocite] = ACTIONS(7575),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHVolcite] = ACTIONS(7575),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHavolcite] = ACTIONS(7575),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHNotecite] = ACTIONS(7575),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHlabel] = ACTIONS(7575),
    [anon_sym_BSLASHref] = ACTIONS(7575),
    [anon_sym_BSLASHeqref] = ACTIONS(7575),
    [anon_sym_BSLASHvref] = ACTIONS(7575),
    [anon_sym_BSLASHVref] = ACTIONS(7575),
    [anon_sym_BSLASHautoref] = ACTIONS(7575),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHpageref] = ACTIONS(7575),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHautopageref] = ACTIONS(7575),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcref] = ACTIONS(7575),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCref] = ACTIONS(7575),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcpageref] = ACTIONS(7575),
    [anon_sym_BSLASHCpageref] = ACTIONS(7575),
    [anon_sym_BSLASHnamecref] = ACTIONS(7575),
    [anon_sym_BSLASHnameCref] = ACTIONS(7575),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7575),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7575),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7575),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7575),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7575),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7575),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7575),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7575),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7575),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7575),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7575),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHdef] = ACTIONS(7575),
    [anon_sym_BSLASHgdef] = ACTIONS(7575),
    [anon_sym_BSLASHedef] = ACTIONS(7575),
    [anon_sym_BSLASHxdef] = ACTIONS(7575),
    [anon_sym_BSLASHlet] = ACTIONS(7575),
    [anon_sym_BSLASHglet] = ACTIONS(7575),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7575),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7575),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7575),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7575),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7575),
    [anon_sym_BSLASHgls] = ACTIONS(7575),
    [anon_sym_BSLASHGls] = ACTIONS(7575),
    [anon_sym_BSLASHGLS] = ACTIONS(7575),
    [anon_sym_BSLASHglspl] = ACTIONS(7575),
    [anon_sym_BSLASHGlspl] = ACTIONS(7575),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7575),
    [anon_sym_BSLASHglslink] = ACTIONS(7575),
    [anon_sym_BSLASHglstext] = ACTIONS(7575),
    [anon_sym_BSLASHGlstext] = ACTIONS(7575),
    [anon_sym_BSLASHGLStext] = ACTIONS(7575),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7575),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7575),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7575),
    [anon_sym_BSLASHglsplural] = ACTIONS(7575),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7575),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7575),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHglsname] = ACTIONS(7575),
    [anon_sym_BSLASHGlsname] = ACTIONS(7575),
    [anon_sym_BSLASHGLSname] = ACTIONS(7575),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7575),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7575),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7575),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7575),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7575),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7575),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7575),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7575),
    [anon_sym_BSLASHacrshort] = ACTIONS(7575),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7575),
    [anon_sym_BSLASHACRshort] = ACTIONS(7575),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHacrlong] = ACTIONS(7575),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7575),
    [anon_sym_BSLASHACRlong] = ACTIONS(7575),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHacrfull] = ACTIONS(7575),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7575),
    [anon_sym_BSLASHACRfull] = ACTIONS(7575),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHacs] = ACTIONS(7575),
    [anon_sym_BSLASHAcs] = ACTIONS(7575),
    [anon_sym_BSLASHacsp] = ACTIONS(7575),
    [anon_sym_BSLASHAcsp] = ACTIONS(7575),
    [anon_sym_BSLASHacl] = ACTIONS(7575),
    [anon_sym_BSLASHAcl] = ACTIONS(7575),
    [anon_sym_BSLASHaclp] = ACTIONS(7575),
    [anon_sym_BSLASHAclp] = ACTIONS(7575),
    [anon_sym_BSLASHacf] = ACTIONS(7575),
    [anon_sym_BSLASHAcf] = ACTIONS(7575),
    [anon_sym_BSLASHacfp] = ACTIONS(7575),
    [anon_sym_BSLASHAcfp] = ACTIONS(7575),
    [anon_sym_BSLASHac] = ACTIONS(7575),
    [anon_sym_BSLASHAc] = ACTIONS(7575),
    [anon_sym_BSLASHacp] = ACTIONS(7575),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7575),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7575),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7575),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7575),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7575),
    [anon_sym_BSLASHcolor] = ACTIONS(7575),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7575),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7575),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7575),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7575),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7575),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7575),
    [anon_sym_BSLASHurl] = ACTIONS(7575),
    [anon_sym_BSLASHhref] = ACTIONS(7575),
  },
  [2031] = {
    [sym_command_name] = ACTIONS(7579),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7579),
    [anon_sym_LBRACK] = ACTIONS(7581),
    [anon_sym_RBRACK] = ACTIONS(7581),
    [anon_sym_COMMA] = ACTIONS(7581),
    [anon_sym_EQ] = ACTIONS(7581),
    [anon_sym_LPAREN] = ACTIONS(7581),
    [anon_sym_RPAREN] = ACTIONS(7581),
    [anon_sym_LBRACE] = ACTIONS(7581),
    [anon_sym_RBRACE] = ACTIONS(7581),
    [sym_word] = ACTIONS(7579),
    [sym_placeholder] = ACTIONS(7581),
    [sym_delimiter] = ACTIONS(7581),
    [anon_sym_PLUS] = ACTIONS(7581),
    [anon_sym_DASH] = ACTIONS(7581),
    [anon_sym_STAR] = ACTIONS(7581),
    [anon_sym_SLASH] = ACTIONS(7581),
    [anon_sym_LT] = ACTIONS(7579),
    [anon_sym_GT] = ACTIONS(7579),
    [anon_sym_BANG] = ACTIONS(7579),
    [anon_sym_PIPE] = ACTIONS(7579),
    [anon_sym_COLON] = ACTIONS(7579),
    [anon_sym_SQUOTE] = ACTIONS(7579),
    [anon_sym__] = ACTIONS(7581),
    [anon_sym_CARET] = ACTIONS(7581),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7581),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7581),
    [anon_sym_DOLLAR] = ACTIONS(7579),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7581),
    [anon_sym_BSLASHleft] = ACTIONS(7579),
    [anon_sym_BSLASHbigl] = ACTIONS(7579),
    [anon_sym_BSLASHBigl] = ACTIONS(7579),
    [anon_sym_BSLASHbiggl] = ACTIONS(7579),
    [anon_sym_BSLASHBiggl] = ACTIONS(7579),
    [anon_sym_BSLASHtext] = ACTIONS(7579),
    [anon_sym_BSLASHintertext] = ACTIONS(7579),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7579),
    [anon_sym_BSLASHtitle] = ACTIONS(7579),
    [anon_sym_BSLASHauthor] = ACTIONS(7579),
    [anon_sym_BSLASHusepackage] = ACTIONS(7579),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7579),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7579),
    [anon_sym_BSLASHinclude] = ACTIONS(7579),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7579),
    [anon_sym_BSLASHinput] = ACTIONS(7579),
    [anon_sym_BSLASHsubfile] = ACTIONS(7579),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7579),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7579),
    [anon_sym_BSLASHbibliography] = ACTIONS(7579),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7579),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7579),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7579),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7579),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7579),
    [anon_sym_BSLASHimport] = ACTIONS(7579),
    [anon_sym_BSLASHsubimport] = ACTIONS(7579),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7579),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7579),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7579),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7579),
    [anon_sym_BSLASHcaption] = ACTIONS(7579),
    [anon_sym_BSLASHcite] = ACTIONS(7579),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCite] = ACTIONS(7579),
    [anon_sym_BSLASHnocite] = ACTIONS(7579),
    [anon_sym_BSLASHcitet] = ACTIONS(7579),
    [anon_sym_BSLASHcitep] = ACTIONS(7579),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteA] = ACTIONS(7579),
    [anon_sym_BSLASHciteR] = ACTIONS(7579),
    [anon_sym_BSLASHciteS] = ACTIONS(7579),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7579),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7579),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7579),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7579),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteyear] = ACTIONS(7579),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitedate] = ACTIONS(7579),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteurl] = ACTIONS(7579),
    [anon_sym_BSLASHfullcite] = ACTIONS(7579),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7579),
    [anon_sym_BSLASHcitealt] = ACTIONS(7579),
    [anon_sym_BSLASHcitealp] = ACTIONS(7579),
    [anon_sym_BSLASHcitetext] = ACTIONS(7579),
    [anon_sym_BSLASHparencite] = ACTIONS(7579),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHParencite] = ACTIONS(7579),
    [anon_sym_BSLASHfootcite] = ACTIONS(7579),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7579),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7579),
    [anon_sym_BSLASHtextcite] = ACTIONS(7579),
    [anon_sym_BSLASHTextcite] = ACTIONS(7579),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7579),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7579),
    [anon_sym_BSLASHsupercite] = ACTIONS(7579),
    [anon_sym_BSLASHautocite] = ACTIONS(7579),
    [anon_sym_BSLASHAutocite] = ACTIONS(7579),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHVolcite] = ACTIONS(7579),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHavolcite] = ACTIONS(7579),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHNotecite] = ACTIONS(7579),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHlabel] = ACTIONS(7579),
    [anon_sym_BSLASHref] = ACTIONS(7579),
    [anon_sym_BSLASHeqref] = ACTIONS(7579),
    [anon_sym_BSLASHvref] = ACTIONS(7579),
    [anon_sym_BSLASHVref] = ACTIONS(7579),
    [anon_sym_BSLASHautoref] = ACTIONS(7579),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHpageref] = ACTIONS(7579),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHautopageref] = ACTIONS(7579),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcref] = ACTIONS(7579),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCref] = ACTIONS(7579),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcpageref] = ACTIONS(7579),
    [anon_sym_BSLASHCpageref] = ACTIONS(7579),
    [anon_sym_BSLASHnamecref] = ACTIONS(7579),
    [anon_sym_BSLASHnameCref] = ACTIONS(7579),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7579),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7579),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7579),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7579),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7579),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7579),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7579),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7579),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7579),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7579),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7579),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHdef] = ACTIONS(7579),
    [anon_sym_BSLASHgdef] = ACTIONS(7579),
    [anon_sym_BSLASHedef] = ACTIONS(7579),
    [anon_sym_BSLASHxdef] = ACTIONS(7579),
    [anon_sym_BSLASHlet] = ACTIONS(7579),
    [anon_sym_BSLASHglet] = ACTIONS(7579),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7579),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7579),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7579),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7579),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7579),
    [anon_sym_BSLASHgls] = ACTIONS(7579),
    [anon_sym_BSLASHGls] = ACTIONS(7579),
    [anon_sym_BSLASHGLS] = ACTIONS(7579),
    [anon_sym_BSLASHglspl] = ACTIONS(7579),
    [anon_sym_BSLASHGlspl] = ACTIONS(7579),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7579),
    [anon_sym_BSLASHglslink] = ACTIONS(7579),
    [anon_sym_BSLASHglstext] = ACTIONS(7579),
    [anon_sym_BSLASHGlstext] = ACTIONS(7579),
    [anon_sym_BSLASHGLStext] = ACTIONS(7579),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7579),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7579),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7579),
    [anon_sym_BSLASHglsplural] = ACTIONS(7579),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7579),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7579),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHglsname] = ACTIONS(7579),
    [anon_sym_BSLASHGlsname] = ACTIONS(7579),
    [anon_sym_BSLASHGLSname] = ACTIONS(7579),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7579),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7579),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7579),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7579),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7579),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7579),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7579),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7579),
    [anon_sym_BSLASHacrshort] = ACTIONS(7579),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7579),
    [anon_sym_BSLASHACRshort] = ACTIONS(7579),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHacrlong] = ACTIONS(7579),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7579),
    [anon_sym_BSLASHACRlong] = ACTIONS(7579),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHacrfull] = ACTIONS(7579),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7579),
    [anon_sym_BSLASHACRfull] = ACTIONS(7579),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHacs] = ACTIONS(7579),
    [anon_sym_BSLASHAcs] = ACTIONS(7579),
    [anon_sym_BSLASHacsp] = ACTIONS(7579),
    [anon_sym_BSLASHAcsp] = ACTIONS(7579),
    [anon_sym_BSLASHacl] = ACTIONS(7579),
    [anon_sym_BSLASHAcl] = ACTIONS(7579),
    [anon_sym_BSLASHaclp] = ACTIONS(7579),
    [anon_sym_BSLASHAclp] = ACTIONS(7579),
    [anon_sym_BSLASHacf] = ACTIONS(7579),
    [anon_sym_BSLASHAcf] = ACTIONS(7579),
    [anon_sym_BSLASHacfp] = ACTIONS(7579),
    [anon_sym_BSLASHAcfp] = ACTIONS(7579),
    [anon_sym_BSLASHac] = ACTIONS(7579),
    [anon_sym_BSLASHAc] = ACTIONS(7579),
    [anon_sym_BSLASHacp] = ACTIONS(7579),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7579),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7579),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7579),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7579),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7579),
    [anon_sym_BSLASHcolor] = ACTIONS(7579),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7579),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7579),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7579),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7579),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7579),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7579),
    [anon_sym_BSLASHurl] = ACTIONS(7579),
    [anon_sym_BSLASHhref] = ACTIONS(7579),
  },
  [2032] = {
    [sym_command_name] = ACTIONS(7583),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7583),
    [anon_sym_LBRACK] = ACTIONS(7585),
    [anon_sym_RBRACK] = ACTIONS(7585),
    [anon_sym_COMMA] = ACTIONS(7585),
    [anon_sym_EQ] = ACTIONS(7585),
    [anon_sym_LPAREN] = ACTIONS(7585),
    [anon_sym_RPAREN] = ACTIONS(7585),
    [anon_sym_LBRACE] = ACTIONS(7585),
    [anon_sym_RBRACE] = ACTIONS(7585),
    [sym_word] = ACTIONS(7583),
    [sym_placeholder] = ACTIONS(7585),
    [sym_delimiter] = ACTIONS(7585),
    [anon_sym_PLUS] = ACTIONS(7585),
    [anon_sym_DASH] = ACTIONS(7585),
    [anon_sym_STAR] = ACTIONS(7585),
    [anon_sym_SLASH] = ACTIONS(7585),
    [anon_sym_LT] = ACTIONS(7583),
    [anon_sym_GT] = ACTIONS(7583),
    [anon_sym_BANG] = ACTIONS(7583),
    [anon_sym_PIPE] = ACTIONS(7583),
    [anon_sym_COLON] = ACTIONS(7583),
    [anon_sym_SQUOTE] = ACTIONS(7583),
    [anon_sym__] = ACTIONS(7585),
    [anon_sym_CARET] = ACTIONS(7585),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7585),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7585),
    [anon_sym_DOLLAR] = ACTIONS(7583),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7585),
    [anon_sym_BSLASHleft] = ACTIONS(7583),
    [anon_sym_BSLASHbigl] = ACTIONS(7583),
    [anon_sym_BSLASHBigl] = ACTIONS(7583),
    [anon_sym_BSLASHbiggl] = ACTIONS(7583),
    [anon_sym_BSLASHBiggl] = ACTIONS(7583),
    [anon_sym_BSLASHtext] = ACTIONS(7583),
    [anon_sym_BSLASHintertext] = ACTIONS(7583),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7583),
    [anon_sym_BSLASHtitle] = ACTIONS(7583),
    [anon_sym_BSLASHauthor] = ACTIONS(7583),
    [anon_sym_BSLASHusepackage] = ACTIONS(7583),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7583),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7583),
    [anon_sym_BSLASHinclude] = ACTIONS(7583),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7583),
    [anon_sym_BSLASHinput] = ACTIONS(7583),
    [anon_sym_BSLASHsubfile] = ACTIONS(7583),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7583),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7583),
    [anon_sym_BSLASHbibliography] = ACTIONS(7583),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7583),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7583),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7583),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7583),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7583),
    [anon_sym_BSLASHimport] = ACTIONS(7583),
    [anon_sym_BSLASHsubimport] = ACTIONS(7583),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7583),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7583),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7583),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7583),
    [anon_sym_BSLASHcaption] = ACTIONS(7583),
    [anon_sym_BSLASHcite] = ACTIONS(7583),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCite] = ACTIONS(7583),
    [anon_sym_BSLASHnocite] = ACTIONS(7583),
    [anon_sym_BSLASHcitet] = ACTIONS(7583),
    [anon_sym_BSLASHcitep] = ACTIONS(7583),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteA] = ACTIONS(7583),
    [anon_sym_BSLASHciteR] = ACTIONS(7583),
    [anon_sym_BSLASHciteS] = ACTIONS(7583),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7583),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7583),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7583),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7583),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteyear] = ACTIONS(7583),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitedate] = ACTIONS(7583),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteurl] = ACTIONS(7583),
    [anon_sym_BSLASHfullcite] = ACTIONS(7583),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7583),
    [anon_sym_BSLASHcitealt] = ACTIONS(7583),
    [anon_sym_BSLASHcitealp] = ACTIONS(7583),
    [anon_sym_BSLASHcitetext] = ACTIONS(7583),
    [anon_sym_BSLASHparencite] = ACTIONS(7583),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHParencite] = ACTIONS(7583),
    [anon_sym_BSLASHfootcite] = ACTIONS(7583),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7583),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7583),
    [anon_sym_BSLASHtextcite] = ACTIONS(7583),
    [anon_sym_BSLASHTextcite] = ACTIONS(7583),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7583),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7583),
    [anon_sym_BSLASHsupercite] = ACTIONS(7583),
    [anon_sym_BSLASHautocite] = ACTIONS(7583),
    [anon_sym_BSLASHAutocite] = ACTIONS(7583),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHVolcite] = ACTIONS(7583),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHavolcite] = ACTIONS(7583),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHNotecite] = ACTIONS(7583),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHlabel] = ACTIONS(7583),
    [anon_sym_BSLASHref] = ACTIONS(7583),
    [anon_sym_BSLASHeqref] = ACTIONS(7583),
    [anon_sym_BSLASHvref] = ACTIONS(7583),
    [anon_sym_BSLASHVref] = ACTIONS(7583),
    [anon_sym_BSLASHautoref] = ACTIONS(7583),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHpageref] = ACTIONS(7583),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHautopageref] = ACTIONS(7583),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcref] = ACTIONS(7583),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCref] = ACTIONS(7583),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcpageref] = ACTIONS(7583),
    [anon_sym_BSLASHCpageref] = ACTIONS(7583),
    [anon_sym_BSLASHnamecref] = ACTIONS(7583),
    [anon_sym_BSLASHnameCref] = ACTIONS(7583),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7583),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7583),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7583),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7583),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7583),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7583),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7583),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7583),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7583),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7583),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7583),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHdef] = ACTIONS(7583),
    [anon_sym_BSLASHgdef] = ACTIONS(7583),
    [anon_sym_BSLASHedef] = ACTIONS(7583),
    [anon_sym_BSLASHxdef] = ACTIONS(7583),
    [anon_sym_BSLASHlet] = ACTIONS(7583),
    [anon_sym_BSLASHglet] = ACTIONS(7583),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7583),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7583),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7583),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7583),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7583),
    [anon_sym_BSLASHgls] = ACTIONS(7583),
    [anon_sym_BSLASHGls] = ACTIONS(7583),
    [anon_sym_BSLASHGLS] = ACTIONS(7583),
    [anon_sym_BSLASHglspl] = ACTIONS(7583),
    [anon_sym_BSLASHGlspl] = ACTIONS(7583),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7583),
    [anon_sym_BSLASHglslink] = ACTIONS(7583),
    [anon_sym_BSLASHglstext] = ACTIONS(7583),
    [anon_sym_BSLASHGlstext] = ACTIONS(7583),
    [anon_sym_BSLASHGLStext] = ACTIONS(7583),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7583),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7583),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7583),
    [anon_sym_BSLASHglsplural] = ACTIONS(7583),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7583),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7583),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHglsname] = ACTIONS(7583),
    [anon_sym_BSLASHGlsname] = ACTIONS(7583),
    [anon_sym_BSLASHGLSname] = ACTIONS(7583),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7583),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7583),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7583),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7583),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7583),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7583),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7583),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7583),
    [anon_sym_BSLASHacrshort] = ACTIONS(7583),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7583),
    [anon_sym_BSLASHACRshort] = ACTIONS(7583),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHacrlong] = ACTIONS(7583),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7583),
    [anon_sym_BSLASHACRlong] = ACTIONS(7583),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHacrfull] = ACTIONS(7583),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7583),
    [anon_sym_BSLASHACRfull] = ACTIONS(7583),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHacs] = ACTIONS(7583),
    [anon_sym_BSLASHAcs] = ACTIONS(7583),
    [anon_sym_BSLASHacsp] = ACTIONS(7583),
    [anon_sym_BSLASHAcsp] = ACTIONS(7583),
    [anon_sym_BSLASHacl] = ACTIONS(7583),
    [anon_sym_BSLASHAcl] = ACTIONS(7583),
    [anon_sym_BSLASHaclp] = ACTIONS(7583),
    [anon_sym_BSLASHAclp] = ACTIONS(7583),
    [anon_sym_BSLASHacf] = ACTIONS(7583),
    [anon_sym_BSLASHAcf] = ACTIONS(7583),
    [anon_sym_BSLASHacfp] = ACTIONS(7583),
    [anon_sym_BSLASHAcfp] = ACTIONS(7583),
    [anon_sym_BSLASHac] = ACTIONS(7583),
    [anon_sym_BSLASHAc] = ACTIONS(7583),
    [anon_sym_BSLASHacp] = ACTIONS(7583),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7583),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7583),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7583),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7583),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7583),
    [anon_sym_BSLASHcolor] = ACTIONS(7583),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7583),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7583),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7583),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7583),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7583),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7583),
    [anon_sym_BSLASHurl] = ACTIONS(7583),
    [anon_sym_BSLASHhref] = ACTIONS(7583),
  },
  [2033] = {
    [sym_command_name] = ACTIONS(7587),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7587),
    [anon_sym_LBRACK] = ACTIONS(7589),
    [anon_sym_RBRACK] = ACTIONS(7589),
    [anon_sym_COMMA] = ACTIONS(7589),
    [anon_sym_EQ] = ACTIONS(7589),
    [anon_sym_LPAREN] = ACTIONS(7589),
    [anon_sym_RPAREN] = ACTIONS(7589),
    [anon_sym_LBRACE] = ACTIONS(7589),
    [anon_sym_RBRACE] = ACTIONS(7589),
    [sym_word] = ACTIONS(7587),
    [sym_placeholder] = ACTIONS(7589),
    [sym_delimiter] = ACTIONS(7589),
    [anon_sym_PLUS] = ACTIONS(7589),
    [anon_sym_DASH] = ACTIONS(7589),
    [anon_sym_STAR] = ACTIONS(7589),
    [anon_sym_SLASH] = ACTIONS(7589),
    [anon_sym_LT] = ACTIONS(7587),
    [anon_sym_GT] = ACTIONS(7587),
    [anon_sym_BANG] = ACTIONS(7587),
    [anon_sym_PIPE] = ACTIONS(7587),
    [anon_sym_COLON] = ACTIONS(7587),
    [anon_sym_SQUOTE] = ACTIONS(7587),
    [anon_sym__] = ACTIONS(7589),
    [anon_sym_CARET] = ACTIONS(7589),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7589),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7589),
    [anon_sym_DOLLAR] = ACTIONS(7587),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7589),
    [anon_sym_BSLASHleft] = ACTIONS(7587),
    [anon_sym_BSLASHbigl] = ACTIONS(7587),
    [anon_sym_BSLASHBigl] = ACTIONS(7587),
    [anon_sym_BSLASHbiggl] = ACTIONS(7587),
    [anon_sym_BSLASHBiggl] = ACTIONS(7587),
    [anon_sym_BSLASHtext] = ACTIONS(7587),
    [anon_sym_BSLASHintertext] = ACTIONS(7587),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7587),
    [anon_sym_BSLASHtitle] = ACTIONS(7587),
    [anon_sym_BSLASHauthor] = ACTIONS(7587),
    [anon_sym_BSLASHusepackage] = ACTIONS(7587),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7587),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7587),
    [anon_sym_BSLASHinclude] = ACTIONS(7587),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7587),
    [anon_sym_BSLASHinput] = ACTIONS(7587),
    [anon_sym_BSLASHsubfile] = ACTIONS(7587),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7587),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7587),
    [anon_sym_BSLASHbibliography] = ACTIONS(7587),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7587),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7587),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7587),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7587),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7587),
    [anon_sym_BSLASHimport] = ACTIONS(7587),
    [anon_sym_BSLASHsubimport] = ACTIONS(7587),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7587),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7587),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7587),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7587),
    [anon_sym_BSLASHcaption] = ACTIONS(7587),
    [anon_sym_BSLASHcite] = ACTIONS(7587),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCite] = ACTIONS(7587),
    [anon_sym_BSLASHnocite] = ACTIONS(7587),
    [anon_sym_BSLASHcitet] = ACTIONS(7587),
    [anon_sym_BSLASHcitep] = ACTIONS(7587),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteA] = ACTIONS(7587),
    [anon_sym_BSLASHciteR] = ACTIONS(7587),
    [anon_sym_BSLASHciteS] = ACTIONS(7587),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7587),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7587),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7587),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7587),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteyear] = ACTIONS(7587),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitedate] = ACTIONS(7587),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteurl] = ACTIONS(7587),
    [anon_sym_BSLASHfullcite] = ACTIONS(7587),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7587),
    [anon_sym_BSLASHcitealt] = ACTIONS(7587),
    [anon_sym_BSLASHcitealp] = ACTIONS(7587),
    [anon_sym_BSLASHcitetext] = ACTIONS(7587),
    [anon_sym_BSLASHparencite] = ACTIONS(7587),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHParencite] = ACTIONS(7587),
    [anon_sym_BSLASHfootcite] = ACTIONS(7587),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7587),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7587),
    [anon_sym_BSLASHtextcite] = ACTIONS(7587),
    [anon_sym_BSLASHTextcite] = ACTIONS(7587),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7587),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7587),
    [anon_sym_BSLASHsupercite] = ACTIONS(7587),
    [anon_sym_BSLASHautocite] = ACTIONS(7587),
    [anon_sym_BSLASHAutocite] = ACTIONS(7587),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHVolcite] = ACTIONS(7587),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHavolcite] = ACTIONS(7587),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHNotecite] = ACTIONS(7587),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHlabel] = ACTIONS(7587),
    [anon_sym_BSLASHref] = ACTIONS(7587),
    [anon_sym_BSLASHeqref] = ACTIONS(7587),
    [anon_sym_BSLASHvref] = ACTIONS(7587),
    [anon_sym_BSLASHVref] = ACTIONS(7587),
    [anon_sym_BSLASHautoref] = ACTIONS(7587),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHpageref] = ACTIONS(7587),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHautopageref] = ACTIONS(7587),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcref] = ACTIONS(7587),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCref] = ACTIONS(7587),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcpageref] = ACTIONS(7587),
    [anon_sym_BSLASHCpageref] = ACTIONS(7587),
    [anon_sym_BSLASHnamecref] = ACTIONS(7587),
    [anon_sym_BSLASHnameCref] = ACTIONS(7587),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7587),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7587),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7587),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7587),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7587),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7587),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7587),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7587),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7587),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7587),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7587),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHdef] = ACTIONS(7587),
    [anon_sym_BSLASHgdef] = ACTIONS(7587),
    [anon_sym_BSLASHedef] = ACTIONS(7587),
    [anon_sym_BSLASHxdef] = ACTIONS(7587),
    [anon_sym_BSLASHlet] = ACTIONS(7587),
    [anon_sym_BSLASHglet] = ACTIONS(7587),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7587),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7587),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7587),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7587),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7587),
    [anon_sym_BSLASHgls] = ACTIONS(7587),
    [anon_sym_BSLASHGls] = ACTIONS(7587),
    [anon_sym_BSLASHGLS] = ACTIONS(7587),
    [anon_sym_BSLASHglspl] = ACTIONS(7587),
    [anon_sym_BSLASHGlspl] = ACTIONS(7587),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7587),
    [anon_sym_BSLASHglslink] = ACTIONS(7587),
    [anon_sym_BSLASHglstext] = ACTIONS(7587),
    [anon_sym_BSLASHGlstext] = ACTIONS(7587),
    [anon_sym_BSLASHGLStext] = ACTIONS(7587),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7587),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7587),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7587),
    [anon_sym_BSLASHglsplural] = ACTIONS(7587),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7587),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7587),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHglsname] = ACTIONS(7587),
    [anon_sym_BSLASHGlsname] = ACTIONS(7587),
    [anon_sym_BSLASHGLSname] = ACTIONS(7587),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7587),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7587),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7587),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7587),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7587),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7587),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7587),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7587),
    [anon_sym_BSLASHacrshort] = ACTIONS(7587),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7587),
    [anon_sym_BSLASHACRshort] = ACTIONS(7587),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHacrlong] = ACTIONS(7587),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7587),
    [anon_sym_BSLASHACRlong] = ACTIONS(7587),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHacrfull] = ACTIONS(7587),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7587),
    [anon_sym_BSLASHACRfull] = ACTIONS(7587),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHacs] = ACTIONS(7587),
    [anon_sym_BSLASHAcs] = ACTIONS(7587),
    [anon_sym_BSLASHacsp] = ACTIONS(7587),
    [anon_sym_BSLASHAcsp] = ACTIONS(7587),
    [anon_sym_BSLASHacl] = ACTIONS(7587),
    [anon_sym_BSLASHAcl] = ACTIONS(7587),
    [anon_sym_BSLASHaclp] = ACTIONS(7587),
    [anon_sym_BSLASHAclp] = ACTIONS(7587),
    [anon_sym_BSLASHacf] = ACTIONS(7587),
    [anon_sym_BSLASHAcf] = ACTIONS(7587),
    [anon_sym_BSLASHacfp] = ACTIONS(7587),
    [anon_sym_BSLASHAcfp] = ACTIONS(7587),
    [anon_sym_BSLASHac] = ACTIONS(7587),
    [anon_sym_BSLASHAc] = ACTIONS(7587),
    [anon_sym_BSLASHacp] = ACTIONS(7587),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7587),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7587),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7587),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7587),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7587),
    [anon_sym_BSLASHcolor] = ACTIONS(7587),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7587),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7587),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7587),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7587),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7587),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7587),
    [anon_sym_BSLASHurl] = ACTIONS(7587),
    [anon_sym_BSLASHhref] = ACTIONS(7587),
  },
  [2034] = {
    [sym_command_name] = ACTIONS(7591),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7591),
    [anon_sym_LBRACK] = ACTIONS(7593),
    [anon_sym_RBRACK] = ACTIONS(7593),
    [anon_sym_COMMA] = ACTIONS(7593),
    [anon_sym_EQ] = ACTIONS(7593),
    [anon_sym_LPAREN] = ACTIONS(7593),
    [anon_sym_RPAREN] = ACTIONS(7593),
    [anon_sym_LBRACE] = ACTIONS(7593),
    [anon_sym_RBRACE] = ACTIONS(7593),
    [sym_word] = ACTIONS(7591),
    [sym_placeholder] = ACTIONS(7593),
    [sym_delimiter] = ACTIONS(7593),
    [anon_sym_PLUS] = ACTIONS(7593),
    [anon_sym_DASH] = ACTIONS(7593),
    [anon_sym_STAR] = ACTIONS(7593),
    [anon_sym_SLASH] = ACTIONS(7593),
    [anon_sym_LT] = ACTIONS(7591),
    [anon_sym_GT] = ACTIONS(7591),
    [anon_sym_BANG] = ACTIONS(7591),
    [anon_sym_PIPE] = ACTIONS(7591),
    [anon_sym_COLON] = ACTIONS(7591),
    [anon_sym_SQUOTE] = ACTIONS(7591),
    [anon_sym__] = ACTIONS(7593),
    [anon_sym_CARET] = ACTIONS(7593),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7593),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7593),
    [anon_sym_DOLLAR] = ACTIONS(7591),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7593),
    [anon_sym_BSLASHleft] = ACTIONS(7591),
    [anon_sym_BSLASHbigl] = ACTIONS(7591),
    [anon_sym_BSLASHBigl] = ACTIONS(7591),
    [anon_sym_BSLASHbiggl] = ACTIONS(7591),
    [anon_sym_BSLASHBiggl] = ACTIONS(7591),
    [anon_sym_BSLASHtext] = ACTIONS(7591),
    [anon_sym_BSLASHintertext] = ACTIONS(7591),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7591),
    [anon_sym_BSLASHtitle] = ACTIONS(7591),
    [anon_sym_BSLASHauthor] = ACTIONS(7591),
    [anon_sym_BSLASHusepackage] = ACTIONS(7591),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7591),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7591),
    [anon_sym_BSLASHinclude] = ACTIONS(7591),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7591),
    [anon_sym_BSLASHinput] = ACTIONS(7591),
    [anon_sym_BSLASHsubfile] = ACTIONS(7591),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7591),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7591),
    [anon_sym_BSLASHbibliography] = ACTIONS(7591),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7591),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7591),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7591),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7591),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7591),
    [anon_sym_BSLASHimport] = ACTIONS(7591),
    [anon_sym_BSLASHsubimport] = ACTIONS(7591),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7591),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7591),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7591),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7591),
    [anon_sym_BSLASHcaption] = ACTIONS(7591),
    [anon_sym_BSLASHcite] = ACTIONS(7591),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCite] = ACTIONS(7591),
    [anon_sym_BSLASHnocite] = ACTIONS(7591),
    [anon_sym_BSLASHcitet] = ACTIONS(7591),
    [anon_sym_BSLASHcitep] = ACTIONS(7591),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteA] = ACTIONS(7591),
    [anon_sym_BSLASHciteR] = ACTIONS(7591),
    [anon_sym_BSLASHciteS] = ACTIONS(7591),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7591),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7591),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7591),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7591),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteyear] = ACTIONS(7591),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitedate] = ACTIONS(7591),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteurl] = ACTIONS(7591),
    [anon_sym_BSLASHfullcite] = ACTIONS(7591),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7591),
    [anon_sym_BSLASHcitealt] = ACTIONS(7591),
    [anon_sym_BSLASHcitealp] = ACTIONS(7591),
    [anon_sym_BSLASHcitetext] = ACTIONS(7591),
    [anon_sym_BSLASHparencite] = ACTIONS(7591),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHParencite] = ACTIONS(7591),
    [anon_sym_BSLASHfootcite] = ACTIONS(7591),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7591),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7591),
    [anon_sym_BSLASHtextcite] = ACTIONS(7591),
    [anon_sym_BSLASHTextcite] = ACTIONS(7591),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7591),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7591),
    [anon_sym_BSLASHsupercite] = ACTIONS(7591),
    [anon_sym_BSLASHautocite] = ACTIONS(7591),
    [anon_sym_BSLASHAutocite] = ACTIONS(7591),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHVolcite] = ACTIONS(7591),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHavolcite] = ACTIONS(7591),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHNotecite] = ACTIONS(7591),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHlabel] = ACTIONS(7591),
    [anon_sym_BSLASHref] = ACTIONS(7591),
    [anon_sym_BSLASHeqref] = ACTIONS(7591),
    [anon_sym_BSLASHvref] = ACTIONS(7591),
    [anon_sym_BSLASHVref] = ACTIONS(7591),
    [anon_sym_BSLASHautoref] = ACTIONS(7591),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHpageref] = ACTIONS(7591),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHautopageref] = ACTIONS(7591),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcref] = ACTIONS(7591),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCref] = ACTIONS(7591),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcpageref] = ACTIONS(7591),
    [anon_sym_BSLASHCpageref] = ACTIONS(7591),
    [anon_sym_BSLASHnamecref] = ACTIONS(7591),
    [anon_sym_BSLASHnameCref] = ACTIONS(7591),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7591),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7591),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7591),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7591),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7591),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7591),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7591),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7591),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7591),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7591),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7591),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHdef] = ACTIONS(7591),
    [anon_sym_BSLASHgdef] = ACTIONS(7591),
    [anon_sym_BSLASHedef] = ACTIONS(7591),
    [anon_sym_BSLASHxdef] = ACTIONS(7591),
    [anon_sym_BSLASHlet] = ACTIONS(7591),
    [anon_sym_BSLASHglet] = ACTIONS(7591),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7591),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7591),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7591),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7591),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7591),
    [anon_sym_BSLASHgls] = ACTIONS(7591),
    [anon_sym_BSLASHGls] = ACTIONS(7591),
    [anon_sym_BSLASHGLS] = ACTIONS(7591),
    [anon_sym_BSLASHglspl] = ACTIONS(7591),
    [anon_sym_BSLASHGlspl] = ACTIONS(7591),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7591),
    [anon_sym_BSLASHglslink] = ACTIONS(7591),
    [anon_sym_BSLASHglstext] = ACTIONS(7591),
    [anon_sym_BSLASHGlstext] = ACTIONS(7591),
    [anon_sym_BSLASHGLStext] = ACTIONS(7591),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7591),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7591),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7591),
    [anon_sym_BSLASHglsplural] = ACTIONS(7591),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7591),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7591),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHglsname] = ACTIONS(7591),
    [anon_sym_BSLASHGlsname] = ACTIONS(7591),
    [anon_sym_BSLASHGLSname] = ACTIONS(7591),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7591),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7591),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7591),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7591),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7591),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7591),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7591),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7591),
    [anon_sym_BSLASHacrshort] = ACTIONS(7591),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7591),
    [anon_sym_BSLASHACRshort] = ACTIONS(7591),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHacrlong] = ACTIONS(7591),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7591),
    [anon_sym_BSLASHACRlong] = ACTIONS(7591),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHacrfull] = ACTIONS(7591),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7591),
    [anon_sym_BSLASHACRfull] = ACTIONS(7591),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHacs] = ACTIONS(7591),
    [anon_sym_BSLASHAcs] = ACTIONS(7591),
    [anon_sym_BSLASHacsp] = ACTIONS(7591),
    [anon_sym_BSLASHAcsp] = ACTIONS(7591),
    [anon_sym_BSLASHacl] = ACTIONS(7591),
    [anon_sym_BSLASHAcl] = ACTIONS(7591),
    [anon_sym_BSLASHaclp] = ACTIONS(7591),
    [anon_sym_BSLASHAclp] = ACTIONS(7591),
    [anon_sym_BSLASHacf] = ACTIONS(7591),
    [anon_sym_BSLASHAcf] = ACTIONS(7591),
    [anon_sym_BSLASHacfp] = ACTIONS(7591),
    [anon_sym_BSLASHAcfp] = ACTIONS(7591),
    [anon_sym_BSLASHac] = ACTIONS(7591),
    [anon_sym_BSLASHAc] = ACTIONS(7591),
    [anon_sym_BSLASHacp] = ACTIONS(7591),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7591),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7591),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7591),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7591),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7591),
    [anon_sym_BSLASHcolor] = ACTIONS(7591),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7591),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7591),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7591),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7591),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7591),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7591),
    [anon_sym_BSLASHurl] = ACTIONS(7591),
    [anon_sym_BSLASHhref] = ACTIONS(7591),
  },
  [2035] = {
    [sym_command_name] = ACTIONS(7591),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7591),
    [anon_sym_LBRACK] = ACTIONS(7593),
    [anon_sym_RBRACK] = ACTIONS(7593),
    [anon_sym_COMMA] = ACTIONS(7593),
    [anon_sym_EQ] = ACTIONS(7593),
    [anon_sym_LPAREN] = ACTIONS(7593),
    [anon_sym_RPAREN] = ACTIONS(7593),
    [anon_sym_LBRACE] = ACTIONS(7593),
    [sym_word] = ACTIONS(7591),
    [sym_placeholder] = ACTIONS(7593),
    [sym_delimiter] = ACTIONS(7593),
    [anon_sym_PLUS] = ACTIONS(7593),
    [anon_sym_DASH] = ACTIONS(7593),
    [anon_sym_STAR] = ACTIONS(7593),
    [anon_sym_SLASH] = ACTIONS(7593),
    [anon_sym_LT] = ACTIONS(7591),
    [anon_sym_GT] = ACTIONS(7591),
    [anon_sym_BANG] = ACTIONS(7591),
    [anon_sym_PIPE] = ACTIONS(7591),
    [anon_sym_COLON] = ACTIONS(7591),
    [anon_sym_SQUOTE] = ACTIONS(7591),
    [anon_sym__] = ACTIONS(7593),
    [anon_sym_CARET] = ACTIONS(7593),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7593),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7593),
    [anon_sym_DOLLAR] = ACTIONS(7591),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7593),
    [anon_sym_BSLASHleft] = ACTIONS(7591),
    [anon_sym_BSLASHbigl] = ACTIONS(7591),
    [anon_sym_BSLASHBigl] = ACTIONS(7591),
    [anon_sym_BSLASHbiggl] = ACTIONS(7591),
    [anon_sym_BSLASHBiggl] = ACTIONS(7591),
    [anon_sym_BSLASHtext] = ACTIONS(7591),
    [anon_sym_BSLASHintertext] = ACTIONS(7591),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7591),
    [anon_sym_BSLASHbegin] = ACTIONS(7591),
    [anon_sym_BSLASHtitle] = ACTIONS(7591),
    [anon_sym_BSLASHauthor] = ACTIONS(7591),
    [anon_sym_BSLASHusepackage] = ACTIONS(7591),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7591),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7591),
    [anon_sym_BSLASHinclude] = ACTIONS(7591),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7591),
    [anon_sym_BSLASHinput] = ACTIONS(7591),
    [anon_sym_BSLASHsubfile] = ACTIONS(7591),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7591),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7591),
    [anon_sym_BSLASHbibliography] = ACTIONS(7591),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7591),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7591),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7591),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7591),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7591),
    [anon_sym_BSLASHimport] = ACTIONS(7591),
    [anon_sym_BSLASHsubimport] = ACTIONS(7591),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7591),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7591),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7591),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7591),
    [anon_sym_BSLASHcaption] = ACTIONS(7591),
    [anon_sym_BSLASHcite] = ACTIONS(7591),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCite] = ACTIONS(7591),
    [anon_sym_BSLASHnocite] = ACTIONS(7591),
    [anon_sym_BSLASHcitet] = ACTIONS(7591),
    [anon_sym_BSLASHcitep] = ACTIONS(7591),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteA] = ACTIONS(7591),
    [anon_sym_BSLASHciteR] = ACTIONS(7591),
    [anon_sym_BSLASHciteS] = ACTIONS(7591),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7591),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7591),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7591),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7591),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteyear] = ACTIONS(7591),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitedate] = ACTIONS(7591),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteurl] = ACTIONS(7591),
    [anon_sym_BSLASHfullcite] = ACTIONS(7591),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7591),
    [anon_sym_BSLASHcitealt] = ACTIONS(7591),
    [anon_sym_BSLASHcitealp] = ACTIONS(7591),
    [anon_sym_BSLASHcitetext] = ACTIONS(7591),
    [anon_sym_BSLASHparencite] = ACTIONS(7591),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHParencite] = ACTIONS(7591),
    [anon_sym_BSLASHfootcite] = ACTIONS(7591),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7591),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7591),
    [anon_sym_BSLASHtextcite] = ACTIONS(7591),
    [anon_sym_BSLASHTextcite] = ACTIONS(7591),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7591),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7591),
    [anon_sym_BSLASHsupercite] = ACTIONS(7591),
    [anon_sym_BSLASHautocite] = ACTIONS(7591),
    [anon_sym_BSLASHAutocite] = ACTIONS(7591),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHVolcite] = ACTIONS(7591),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHavolcite] = ACTIONS(7591),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHNotecite] = ACTIONS(7591),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHlabel] = ACTIONS(7591),
    [anon_sym_BSLASHref] = ACTIONS(7591),
    [anon_sym_BSLASHeqref] = ACTIONS(7591),
    [anon_sym_BSLASHvref] = ACTIONS(7591),
    [anon_sym_BSLASHVref] = ACTIONS(7591),
    [anon_sym_BSLASHautoref] = ACTIONS(7591),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHpageref] = ACTIONS(7591),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHautopageref] = ACTIONS(7591),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcref] = ACTIONS(7591),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCref] = ACTIONS(7591),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcpageref] = ACTIONS(7591),
    [anon_sym_BSLASHCpageref] = ACTIONS(7591),
    [anon_sym_BSLASHnamecref] = ACTIONS(7591),
    [anon_sym_BSLASHnameCref] = ACTIONS(7591),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7591),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7591),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7591),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7591),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7591),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7591),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7591),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7591),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7591),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7591),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7591),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHdef] = ACTIONS(7591),
    [anon_sym_BSLASHgdef] = ACTIONS(7591),
    [anon_sym_BSLASHedef] = ACTIONS(7591),
    [anon_sym_BSLASHxdef] = ACTIONS(7591),
    [anon_sym_BSLASHlet] = ACTIONS(7591),
    [anon_sym_BSLASHglet] = ACTIONS(7591),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7591),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7591),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7591),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7591),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7591),
    [anon_sym_BSLASHgls] = ACTIONS(7591),
    [anon_sym_BSLASHGls] = ACTIONS(7591),
    [anon_sym_BSLASHGLS] = ACTIONS(7591),
    [anon_sym_BSLASHglspl] = ACTIONS(7591),
    [anon_sym_BSLASHGlspl] = ACTIONS(7591),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7591),
    [anon_sym_BSLASHglslink] = ACTIONS(7591),
    [anon_sym_BSLASHglstext] = ACTIONS(7591),
    [anon_sym_BSLASHGlstext] = ACTIONS(7591),
    [anon_sym_BSLASHGLStext] = ACTIONS(7591),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7591),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7591),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7591),
    [anon_sym_BSLASHglsplural] = ACTIONS(7591),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7591),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7591),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHglsname] = ACTIONS(7591),
    [anon_sym_BSLASHGlsname] = ACTIONS(7591),
    [anon_sym_BSLASHGLSname] = ACTIONS(7591),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7591),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7591),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7591),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7591),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7591),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7591),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7591),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7591),
    [anon_sym_BSLASHacrshort] = ACTIONS(7591),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7591),
    [anon_sym_BSLASHACRshort] = ACTIONS(7591),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHacrlong] = ACTIONS(7591),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7591),
    [anon_sym_BSLASHACRlong] = ACTIONS(7591),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHacrfull] = ACTIONS(7591),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7591),
    [anon_sym_BSLASHACRfull] = ACTIONS(7591),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHacs] = ACTIONS(7591),
    [anon_sym_BSLASHAcs] = ACTIONS(7591),
    [anon_sym_BSLASHacsp] = ACTIONS(7591),
    [anon_sym_BSLASHAcsp] = ACTIONS(7591),
    [anon_sym_BSLASHacl] = ACTIONS(7591),
    [anon_sym_BSLASHAcl] = ACTIONS(7591),
    [anon_sym_BSLASHaclp] = ACTIONS(7591),
    [anon_sym_BSLASHAclp] = ACTIONS(7591),
    [anon_sym_BSLASHacf] = ACTIONS(7591),
    [anon_sym_BSLASHAcf] = ACTIONS(7591),
    [anon_sym_BSLASHacfp] = ACTIONS(7591),
    [anon_sym_BSLASHAcfp] = ACTIONS(7591),
    [anon_sym_BSLASHac] = ACTIONS(7591),
    [anon_sym_BSLASHAc] = ACTIONS(7591),
    [anon_sym_BSLASHacp] = ACTIONS(7591),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7591),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7591),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7591),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7591),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7591),
    [anon_sym_BSLASHcolor] = ACTIONS(7591),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7591),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7591),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7591),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7591),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7591),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7591),
    [anon_sym_BSLASHurl] = ACTIONS(7591),
    [anon_sym_BSLASHhref] = ACTIONS(7591),
  },
  [2036] = {
    [sym_command_name] = ACTIONS(7595),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7595),
    [anon_sym_LBRACK] = ACTIONS(7597),
    [anon_sym_RBRACK] = ACTIONS(7597),
    [anon_sym_COMMA] = ACTIONS(7597),
    [anon_sym_EQ] = ACTIONS(7597),
    [anon_sym_LPAREN] = ACTIONS(7597),
    [anon_sym_RPAREN] = ACTIONS(7597),
    [anon_sym_LBRACE] = ACTIONS(7597),
    [anon_sym_RBRACE] = ACTIONS(7597),
    [sym_word] = ACTIONS(7595),
    [sym_placeholder] = ACTIONS(7597),
    [sym_delimiter] = ACTIONS(7597),
    [anon_sym_PLUS] = ACTIONS(7597),
    [anon_sym_DASH] = ACTIONS(7597),
    [anon_sym_STAR] = ACTIONS(7597),
    [anon_sym_SLASH] = ACTIONS(7597),
    [anon_sym_LT] = ACTIONS(7595),
    [anon_sym_GT] = ACTIONS(7595),
    [anon_sym_BANG] = ACTIONS(7595),
    [anon_sym_PIPE] = ACTIONS(7595),
    [anon_sym_COLON] = ACTIONS(7595),
    [anon_sym_SQUOTE] = ACTIONS(7595),
    [anon_sym__] = ACTIONS(7597),
    [anon_sym_CARET] = ACTIONS(7597),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7597),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7597),
    [anon_sym_DOLLAR] = ACTIONS(7595),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7597),
    [anon_sym_BSLASHleft] = ACTIONS(7595),
    [anon_sym_BSLASHbigl] = ACTIONS(7595),
    [anon_sym_BSLASHBigl] = ACTIONS(7595),
    [anon_sym_BSLASHbiggl] = ACTIONS(7595),
    [anon_sym_BSLASHBiggl] = ACTIONS(7595),
    [anon_sym_BSLASHtext] = ACTIONS(7595),
    [anon_sym_BSLASHintertext] = ACTIONS(7595),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7595),
    [anon_sym_BSLASHtitle] = ACTIONS(7595),
    [anon_sym_BSLASHauthor] = ACTIONS(7595),
    [anon_sym_BSLASHusepackage] = ACTIONS(7595),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7595),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7595),
    [anon_sym_BSLASHinclude] = ACTIONS(7595),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7595),
    [anon_sym_BSLASHinput] = ACTIONS(7595),
    [anon_sym_BSLASHsubfile] = ACTIONS(7595),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7595),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7595),
    [anon_sym_BSLASHbibliography] = ACTIONS(7595),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7595),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7595),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7595),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7595),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7595),
    [anon_sym_BSLASHimport] = ACTIONS(7595),
    [anon_sym_BSLASHsubimport] = ACTIONS(7595),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7595),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7595),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7595),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7595),
    [anon_sym_BSLASHcaption] = ACTIONS(7595),
    [anon_sym_BSLASHcite] = ACTIONS(7595),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCite] = ACTIONS(7595),
    [anon_sym_BSLASHnocite] = ACTIONS(7595),
    [anon_sym_BSLASHcitet] = ACTIONS(7595),
    [anon_sym_BSLASHcitep] = ACTIONS(7595),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteA] = ACTIONS(7595),
    [anon_sym_BSLASHciteR] = ACTIONS(7595),
    [anon_sym_BSLASHciteS] = ACTIONS(7595),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7595),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7595),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7595),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7595),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteyear] = ACTIONS(7595),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitedate] = ACTIONS(7595),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteurl] = ACTIONS(7595),
    [anon_sym_BSLASHfullcite] = ACTIONS(7595),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7595),
    [anon_sym_BSLASHcitealt] = ACTIONS(7595),
    [anon_sym_BSLASHcitealp] = ACTIONS(7595),
    [anon_sym_BSLASHcitetext] = ACTIONS(7595),
    [anon_sym_BSLASHparencite] = ACTIONS(7595),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHParencite] = ACTIONS(7595),
    [anon_sym_BSLASHfootcite] = ACTIONS(7595),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7595),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7595),
    [anon_sym_BSLASHtextcite] = ACTIONS(7595),
    [anon_sym_BSLASHTextcite] = ACTIONS(7595),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7595),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7595),
    [anon_sym_BSLASHsupercite] = ACTIONS(7595),
    [anon_sym_BSLASHautocite] = ACTIONS(7595),
    [anon_sym_BSLASHAutocite] = ACTIONS(7595),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHVolcite] = ACTIONS(7595),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHavolcite] = ACTIONS(7595),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHNotecite] = ACTIONS(7595),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHlabel] = ACTIONS(7595),
    [anon_sym_BSLASHref] = ACTIONS(7595),
    [anon_sym_BSLASHeqref] = ACTIONS(7595),
    [anon_sym_BSLASHvref] = ACTIONS(7595),
    [anon_sym_BSLASHVref] = ACTIONS(7595),
    [anon_sym_BSLASHautoref] = ACTIONS(7595),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHpageref] = ACTIONS(7595),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHautopageref] = ACTIONS(7595),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcref] = ACTIONS(7595),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCref] = ACTIONS(7595),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcpageref] = ACTIONS(7595),
    [anon_sym_BSLASHCpageref] = ACTIONS(7595),
    [anon_sym_BSLASHnamecref] = ACTIONS(7595),
    [anon_sym_BSLASHnameCref] = ACTIONS(7595),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7595),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7595),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7595),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7595),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7595),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7595),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7595),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7595),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7595),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7595),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7595),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHdef] = ACTIONS(7595),
    [anon_sym_BSLASHgdef] = ACTIONS(7595),
    [anon_sym_BSLASHedef] = ACTIONS(7595),
    [anon_sym_BSLASHxdef] = ACTIONS(7595),
    [anon_sym_BSLASHlet] = ACTIONS(7595),
    [anon_sym_BSLASHglet] = ACTIONS(7595),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7595),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7595),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7595),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7595),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7595),
    [anon_sym_BSLASHgls] = ACTIONS(7595),
    [anon_sym_BSLASHGls] = ACTIONS(7595),
    [anon_sym_BSLASHGLS] = ACTIONS(7595),
    [anon_sym_BSLASHglspl] = ACTIONS(7595),
    [anon_sym_BSLASHGlspl] = ACTIONS(7595),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7595),
    [anon_sym_BSLASHglslink] = ACTIONS(7595),
    [anon_sym_BSLASHglstext] = ACTIONS(7595),
    [anon_sym_BSLASHGlstext] = ACTIONS(7595),
    [anon_sym_BSLASHGLStext] = ACTIONS(7595),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7595),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7595),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7595),
    [anon_sym_BSLASHglsplural] = ACTIONS(7595),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7595),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7595),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHglsname] = ACTIONS(7595),
    [anon_sym_BSLASHGlsname] = ACTIONS(7595),
    [anon_sym_BSLASHGLSname] = ACTIONS(7595),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7595),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7595),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7595),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7595),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7595),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7595),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7595),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7595),
    [anon_sym_BSLASHacrshort] = ACTIONS(7595),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7595),
    [anon_sym_BSLASHACRshort] = ACTIONS(7595),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHacrlong] = ACTIONS(7595),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7595),
    [anon_sym_BSLASHACRlong] = ACTIONS(7595),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHacrfull] = ACTIONS(7595),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7595),
    [anon_sym_BSLASHACRfull] = ACTIONS(7595),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHacs] = ACTIONS(7595),
    [anon_sym_BSLASHAcs] = ACTIONS(7595),
    [anon_sym_BSLASHacsp] = ACTIONS(7595),
    [anon_sym_BSLASHAcsp] = ACTIONS(7595),
    [anon_sym_BSLASHacl] = ACTIONS(7595),
    [anon_sym_BSLASHAcl] = ACTIONS(7595),
    [anon_sym_BSLASHaclp] = ACTIONS(7595),
    [anon_sym_BSLASHAclp] = ACTIONS(7595),
    [anon_sym_BSLASHacf] = ACTIONS(7595),
    [anon_sym_BSLASHAcf] = ACTIONS(7595),
    [anon_sym_BSLASHacfp] = ACTIONS(7595),
    [anon_sym_BSLASHAcfp] = ACTIONS(7595),
    [anon_sym_BSLASHac] = ACTIONS(7595),
    [anon_sym_BSLASHAc] = ACTIONS(7595),
    [anon_sym_BSLASHacp] = ACTIONS(7595),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7595),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7595),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7595),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7595),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7595),
    [anon_sym_BSLASHcolor] = ACTIONS(7595),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7595),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7595),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7595),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7595),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7595),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7595),
    [anon_sym_BSLASHurl] = ACTIONS(7595),
    [anon_sym_BSLASHhref] = ACTIONS(7595),
  },
  [2037] = {
    [sym_command_name] = ACTIONS(7599),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7599),
    [anon_sym_LBRACK] = ACTIONS(7601),
    [anon_sym_RBRACK] = ACTIONS(7601),
    [anon_sym_COMMA] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(7601),
    [anon_sym_LPAREN] = ACTIONS(7601),
    [anon_sym_RPAREN] = ACTIONS(7601),
    [anon_sym_LBRACE] = ACTIONS(7601),
    [anon_sym_RBRACE] = ACTIONS(7601),
    [sym_word] = ACTIONS(7599),
    [sym_placeholder] = ACTIONS(7601),
    [sym_delimiter] = ACTIONS(7601),
    [anon_sym_PLUS] = ACTIONS(7601),
    [anon_sym_DASH] = ACTIONS(7601),
    [anon_sym_STAR] = ACTIONS(7601),
    [anon_sym_SLASH] = ACTIONS(7601),
    [anon_sym_LT] = ACTIONS(7599),
    [anon_sym_GT] = ACTIONS(7599),
    [anon_sym_BANG] = ACTIONS(7599),
    [anon_sym_PIPE] = ACTIONS(7599),
    [anon_sym_COLON] = ACTIONS(7599),
    [anon_sym_SQUOTE] = ACTIONS(7599),
    [anon_sym__] = ACTIONS(7601),
    [anon_sym_CARET] = ACTIONS(7601),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7601),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7601),
    [anon_sym_DOLLAR] = ACTIONS(7599),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7601),
    [anon_sym_BSLASHleft] = ACTIONS(7599),
    [anon_sym_BSLASHbigl] = ACTIONS(7599),
    [anon_sym_BSLASHBigl] = ACTIONS(7599),
    [anon_sym_BSLASHbiggl] = ACTIONS(7599),
    [anon_sym_BSLASHBiggl] = ACTIONS(7599),
    [anon_sym_BSLASHtext] = ACTIONS(7599),
    [anon_sym_BSLASHintertext] = ACTIONS(7599),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7599),
    [anon_sym_BSLASHtitle] = ACTIONS(7599),
    [anon_sym_BSLASHauthor] = ACTIONS(7599),
    [anon_sym_BSLASHusepackage] = ACTIONS(7599),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7599),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7599),
    [anon_sym_BSLASHinclude] = ACTIONS(7599),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7599),
    [anon_sym_BSLASHinput] = ACTIONS(7599),
    [anon_sym_BSLASHsubfile] = ACTIONS(7599),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7599),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7599),
    [anon_sym_BSLASHbibliography] = ACTIONS(7599),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7599),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7599),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7599),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7599),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7599),
    [anon_sym_BSLASHimport] = ACTIONS(7599),
    [anon_sym_BSLASHsubimport] = ACTIONS(7599),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7599),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7599),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7599),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7599),
    [anon_sym_BSLASHcaption] = ACTIONS(7599),
    [anon_sym_BSLASHcite] = ACTIONS(7599),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCite] = ACTIONS(7599),
    [anon_sym_BSLASHnocite] = ACTIONS(7599),
    [anon_sym_BSLASHcitet] = ACTIONS(7599),
    [anon_sym_BSLASHcitep] = ACTIONS(7599),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteA] = ACTIONS(7599),
    [anon_sym_BSLASHciteR] = ACTIONS(7599),
    [anon_sym_BSLASHciteS] = ACTIONS(7599),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7599),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7599),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7599),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7599),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteyear] = ACTIONS(7599),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitedate] = ACTIONS(7599),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteurl] = ACTIONS(7599),
    [anon_sym_BSLASHfullcite] = ACTIONS(7599),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7599),
    [anon_sym_BSLASHcitealt] = ACTIONS(7599),
    [anon_sym_BSLASHcitealp] = ACTIONS(7599),
    [anon_sym_BSLASHcitetext] = ACTIONS(7599),
    [anon_sym_BSLASHparencite] = ACTIONS(7599),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHParencite] = ACTIONS(7599),
    [anon_sym_BSLASHfootcite] = ACTIONS(7599),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7599),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7599),
    [anon_sym_BSLASHtextcite] = ACTIONS(7599),
    [anon_sym_BSLASHTextcite] = ACTIONS(7599),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7599),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7599),
    [anon_sym_BSLASHsupercite] = ACTIONS(7599),
    [anon_sym_BSLASHautocite] = ACTIONS(7599),
    [anon_sym_BSLASHAutocite] = ACTIONS(7599),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHVolcite] = ACTIONS(7599),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHavolcite] = ACTIONS(7599),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHNotecite] = ACTIONS(7599),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHlabel] = ACTIONS(7599),
    [anon_sym_BSLASHref] = ACTIONS(7599),
    [anon_sym_BSLASHeqref] = ACTIONS(7599),
    [anon_sym_BSLASHvref] = ACTIONS(7599),
    [anon_sym_BSLASHVref] = ACTIONS(7599),
    [anon_sym_BSLASHautoref] = ACTIONS(7599),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHpageref] = ACTIONS(7599),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHautopageref] = ACTIONS(7599),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcref] = ACTIONS(7599),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCref] = ACTIONS(7599),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcpageref] = ACTIONS(7599),
    [anon_sym_BSLASHCpageref] = ACTIONS(7599),
    [anon_sym_BSLASHnamecref] = ACTIONS(7599),
    [anon_sym_BSLASHnameCref] = ACTIONS(7599),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7599),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7599),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7599),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7599),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7599),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7599),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7599),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7599),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7599),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7599),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7599),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHdef] = ACTIONS(7599),
    [anon_sym_BSLASHgdef] = ACTIONS(7599),
    [anon_sym_BSLASHedef] = ACTIONS(7599),
    [anon_sym_BSLASHxdef] = ACTIONS(7599),
    [anon_sym_BSLASHlet] = ACTIONS(7599),
    [anon_sym_BSLASHglet] = ACTIONS(7599),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7599),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7599),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7599),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7599),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7599),
    [anon_sym_BSLASHgls] = ACTIONS(7599),
    [anon_sym_BSLASHGls] = ACTIONS(7599),
    [anon_sym_BSLASHGLS] = ACTIONS(7599),
    [anon_sym_BSLASHglspl] = ACTIONS(7599),
    [anon_sym_BSLASHGlspl] = ACTIONS(7599),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7599),
    [anon_sym_BSLASHglslink] = ACTIONS(7599),
    [anon_sym_BSLASHglstext] = ACTIONS(7599),
    [anon_sym_BSLASHGlstext] = ACTIONS(7599),
    [anon_sym_BSLASHGLStext] = ACTIONS(7599),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7599),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7599),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7599),
    [anon_sym_BSLASHglsplural] = ACTIONS(7599),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7599),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7599),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHglsname] = ACTIONS(7599),
    [anon_sym_BSLASHGlsname] = ACTIONS(7599),
    [anon_sym_BSLASHGLSname] = ACTIONS(7599),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7599),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7599),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7599),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7599),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7599),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7599),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7599),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7599),
    [anon_sym_BSLASHacrshort] = ACTIONS(7599),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7599),
    [anon_sym_BSLASHACRshort] = ACTIONS(7599),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHacrlong] = ACTIONS(7599),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7599),
    [anon_sym_BSLASHACRlong] = ACTIONS(7599),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHacrfull] = ACTIONS(7599),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7599),
    [anon_sym_BSLASHACRfull] = ACTIONS(7599),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHacs] = ACTIONS(7599),
    [anon_sym_BSLASHAcs] = ACTIONS(7599),
    [anon_sym_BSLASHacsp] = ACTIONS(7599),
    [anon_sym_BSLASHAcsp] = ACTIONS(7599),
    [anon_sym_BSLASHacl] = ACTIONS(7599),
    [anon_sym_BSLASHAcl] = ACTIONS(7599),
    [anon_sym_BSLASHaclp] = ACTIONS(7599),
    [anon_sym_BSLASHAclp] = ACTIONS(7599),
    [anon_sym_BSLASHacf] = ACTIONS(7599),
    [anon_sym_BSLASHAcf] = ACTIONS(7599),
    [anon_sym_BSLASHacfp] = ACTIONS(7599),
    [anon_sym_BSLASHAcfp] = ACTIONS(7599),
    [anon_sym_BSLASHac] = ACTIONS(7599),
    [anon_sym_BSLASHAc] = ACTIONS(7599),
    [anon_sym_BSLASHacp] = ACTIONS(7599),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7599),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7599),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7599),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7599),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7599),
    [anon_sym_BSLASHcolor] = ACTIONS(7599),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7599),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7599),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7599),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7599),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7599),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7599),
    [anon_sym_BSLASHurl] = ACTIONS(7599),
    [anon_sym_BSLASHhref] = ACTIONS(7599),
  },
  [2038] = {
    [sym_command_name] = ACTIONS(7603),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7603),
    [anon_sym_LBRACK] = ACTIONS(7605),
    [anon_sym_RBRACK] = ACTIONS(7605),
    [anon_sym_COMMA] = ACTIONS(7605),
    [anon_sym_EQ] = ACTIONS(7605),
    [anon_sym_LPAREN] = ACTIONS(7605),
    [anon_sym_RPAREN] = ACTIONS(7605),
    [anon_sym_LBRACE] = ACTIONS(7605),
    [anon_sym_RBRACE] = ACTIONS(7605),
    [sym_word] = ACTIONS(7603),
    [sym_placeholder] = ACTIONS(7605),
    [sym_delimiter] = ACTIONS(7605),
    [anon_sym_PLUS] = ACTIONS(7605),
    [anon_sym_DASH] = ACTIONS(7605),
    [anon_sym_STAR] = ACTIONS(7605),
    [anon_sym_SLASH] = ACTIONS(7605),
    [anon_sym_LT] = ACTIONS(7603),
    [anon_sym_GT] = ACTIONS(7603),
    [anon_sym_BANG] = ACTIONS(7603),
    [anon_sym_PIPE] = ACTIONS(7603),
    [anon_sym_COLON] = ACTIONS(7603),
    [anon_sym_SQUOTE] = ACTIONS(7603),
    [anon_sym__] = ACTIONS(7605),
    [anon_sym_CARET] = ACTIONS(7605),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7605),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7605),
    [anon_sym_DOLLAR] = ACTIONS(7603),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7605),
    [anon_sym_BSLASHleft] = ACTIONS(7603),
    [anon_sym_BSLASHbigl] = ACTIONS(7603),
    [anon_sym_BSLASHBigl] = ACTIONS(7603),
    [anon_sym_BSLASHbiggl] = ACTIONS(7603),
    [anon_sym_BSLASHBiggl] = ACTIONS(7603),
    [anon_sym_BSLASHtext] = ACTIONS(7603),
    [anon_sym_BSLASHintertext] = ACTIONS(7603),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7603),
    [anon_sym_BSLASHtitle] = ACTIONS(7603),
    [anon_sym_BSLASHauthor] = ACTIONS(7603),
    [anon_sym_BSLASHusepackage] = ACTIONS(7603),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7603),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7603),
    [anon_sym_BSLASHinclude] = ACTIONS(7603),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7603),
    [anon_sym_BSLASHinput] = ACTIONS(7603),
    [anon_sym_BSLASHsubfile] = ACTIONS(7603),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7603),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7603),
    [anon_sym_BSLASHbibliography] = ACTIONS(7603),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7603),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7603),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7603),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7603),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7603),
    [anon_sym_BSLASHimport] = ACTIONS(7603),
    [anon_sym_BSLASHsubimport] = ACTIONS(7603),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7603),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7603),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7603),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7603),
    [anon_sym_BSLASHcaption] = ACTIONS(7603),
    [anon_sym_BSLASHcite] = ACTIONS(7603),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCite] = ACTIONS(7603),
    [anon_sym_BSLASHnocite] = ACTIONS(7603),
    [anon_sym_BSLASHcitet] = ACTIONS(7603),
    [anon_sym_BSLASHcitep] = ACTIONS(7603),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteA] = ACTIONS(7603),
    [anon_sym_BSLASHciteR] = ACTIONS(7603),
    [anon_sym_BSLASHciteS] = ACTIONS(7603),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7603),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7603),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7603),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7603),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteyear] = ACTIONS(7603),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitedate] = ACTIONS(7603),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteurl] = ACTIONS(7603),
    [anon_sym_BSLASHfullcite] = ACTIONS(7603),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7603),
    [anon_sym_BSLASHcitealt] = ACTIONS(7603),
    [anon_sym_BSLASHcitealp] = ACTIONS(7603),
    [anon_sym_BSLASHcitetext] = ACTIONS(7603),
    [anon_sym_BSLASHparencite] = ACTIONS(7603),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHParencite] = ACTIONS(7603),
    [anon_sym_BSLASHfootcite] = ACTIONS(7603),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7603),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7603),
    [anon_sym_BSLASHtextcite] = ACTIONS(7603),
    [anon_sym_BSLASHTextcite] = ACTIONS(7603),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7603),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7603),
    [anon_sym_BSLASHsupercite] = ACTIONS(7603),
    [anon_sym_BSLASHautocite] = ACTIONS(7603),
    [anon_sym_BSLASHAutocite] = ACTIONS(7603),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHVolcite] = ACTIONS(7603),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHavolcite] = ACTIONS(7603),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHNotecite] = ACTIONS(7603),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHlabel] = ACTIONS(7603),
    [anon_sym_BSLASHref] = ACTIONS(7603),
    [anon_sym_BSLASHeqref] = ACTIONS(7603),
    [anon_sym_BSLASHvref] = ACTIONS(7603),
    [anon_sym_BSLASHVref] = ACTIONS(7603),
    [anon_sym_BSLASHautoref] = ACTIONS(7603),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHpageref] = ACTIONS(7603),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHautopageref] = ACTIONS(7603),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcref] = ACTIONS(7603),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCref] = ACTIONS(7603),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcpageref] = ACTIONS(7603),
    [anon_sym_BSLASHCpageref] = ACTIONS(7603),
    [anon_sym_BSLASHnamecref] = ACTIONS(7603),
    [anon_sym_BSLASHnameCref] = ACTIONS(7603),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7603),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7603),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7603),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7603),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7603),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7603),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7603),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7603),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7603),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7603),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7603),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHdef] = ACTIONS(7603),
    [anon_sym_BSLASHgdef] = ACTIONS(7603),
    [anon_sym_BSLASHedef] = ACTIONS(7603),
    [anon_sym_BSLASHxdef] = ACTIONS(7603),
    [anon_sym_BSLASHlet] = ACTIONS(7603),
    [anon_sym_BSLASHglet] = ACTIONS(7603),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7603),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7603),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7603),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7603),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7603),
    [anon_sym_BSLASHgls] = ACTIONS(7603),
    [anon_sym_BSLASHGls] = ACTIONS(7603),
    [anon_sym_BSLASHGLS] = ACTIONS(7603),
    [anon_sym_BSLASHglspl] = ACTIONS(7603),
    [anon_sym_BSLASHGlspl] = ACTIONS(7603),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7603),
    [anon_sym_BSLASHglslink] = ACTIONS(7603),
    [anon_sym_BSLASHglstext] = ACTIONS(7603),
    [anon_sym_BSLASHGlstext] = ACTIONS(7603),
    [anon_sym_BSLASHGLStext] = ACTIONS(7603),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7603),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7603),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7603),
    [anon_sym_BSLASHglsplural] = ACTIONS(7603),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7603),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7603),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHglsname] = ACTIONS(7603),
    [anon_sym_BSLASHGlsname] = ACTIONS(7603),
    [anon_sym_BSLASHGLSname] = ACTIONS(7603),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7603),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7603),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7603),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7603),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7603),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7603),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7603),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7603),
    [anon_sym_BSLASHacrshort] = ACTIONS(7603),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7603),
    [anon_sym_BSLASHACRshort] = ACTIONS(7603),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHacrlong] = ACTIONS(7603),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7603),
    [anon_sym_BSLASHACRlong] = ACTIONS(7603),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHacrfull] = ACTIONS(7603),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7603),
    [anon_sym_BSLASHACRfull] = ACTIONS(7603),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHacs] = ACTIONS(7603),
    [anon_sym_BSLASHAcs] = ACTIONS(7603),
    [anon_sym_BSLASHacsp] = ACTIONS(7603),
    [anon_sym_BSLASHAcsp] = ACTIONS(7603),
    [anon_sym_BSLASHacl] = ACTIONS(7603),
    [anon_sym_BSLASHAcl] = ACTIONS(7603),
    [anon_sym_BSLASHaclp] = ACTIONS(7603),
    [anon_sym_BSLASHAclp] = ACTIONS(7603),
    [anon_sym_BSLASHacf] = ACTIONS(7603),
    [anon_sym_BSLASHAcf] = ACTIONS(7603),
    [anon_sym_BSLASHacfp] = ACTIONS(7603),
    [anon_sym_BSLASHAcfp] = ACTIONS(7603),
    [anon_sym_BSLASHac] = ACTIONS(7603),
    [anon_sym_BSLASHAc] = ACTIONS(7603),
    [anon_sym_BSLASHacp] = ACTIONS(7603),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7603),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7603),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7603),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7603),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7603),
    [anon_sym_BSLASHcolor] = ACTIONS(7603),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7603),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7603),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7603),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7603),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7603),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7603),
    [anon_sym_BSLASHurl] = ACTIONS(7603),
    [anon_sym_BSLASHhref] = ACTIONS(7603),
  },
  [2039] = {
    [sym_command_name] = ACTIONS(7187),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7187),
    [anon_sym_LBRACK] = ACTIONS(7189),
    [anon_sym_RBRACK] = ACTIONS(7189),
    [anon_sym_COMMA] = ACTIONS(7189),
    [anon_sym_EQ] = ACTIONS(7189),
    [anon_sym_LPAREN] = ACTIONS(7189),
    [anon_sym_RPAREN] = ACTIONS(7189),
    [anon_sym_LBRACE] = ACTIONS(7189),
    [anon_sym_RBRACE] = ACTIONS(7189),
    [sym_word] = ACTIONS(7187),
    [sym_placeholder] = ACTIONS(7189),
    [sym_delimiter] = ACTIONS(7189),
    [anon_sym_PLUS] = ACTIONS(7189),
    [anon_sym_DASH] = ACTIONS(7189),
    [anon_sym_STAR] = ACTIONS(7189),
    [anon_sym_SLASH] = ACTIONS(7189),
    [anon_sym_LT] = ACTIONS(7187),
    [anon_sym_GT] = ACTIONS(7187),
    [anon_sym_BANG] = ACTIONS(7187),
    [anon_sym_PIPE] = ACTIONS(7187),
    [anon_sym_COLON] = ACTIONS(7187),
    [anon_sym_SQUOTE] = ACTIONS(7187),
    [anon_sym__] = ACTIONS(7189),
    [anon_sym_CARET] = ACTIONS(7189),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7189),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7189),
    [anon_sym_DOLLAR] = ACTIONS(7187),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7189),
    [anon_sym_BSLASHleft] = ACTIONS(7187),
    [anon_sym_BSLASHbigl] = ACTIONS(7187),
    [anon_sym_BSLASHBigl] = ACTIONS(7187),
    [anon_sym_BSLASHbiggl] = ACTIONS(7187),
    [anon_sym_BSLASHBiggl] = ACTIONS(7187),
    [anon_sym_BSLASHtext] = ACTIONS(7187),
    [anon_sym_BSLASHintertext] = ACTIONS(7187),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7187),
    [anon_sym_BSLASHtitle] = ACTIONS(7187),
    [anon_sym_BSLASHauthor] = ACTIONS(7187),
    [anon_sym_BSLASHusepackage] = ACTIONS(7187),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7187),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7187),
    [anon_sym_BSLASHinclude] = ACTIONS(7187),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7187),
    [anon_sym_BSLASHinput] = ACTIONS(7187),
    [anon_sym_BSLASHsubfile] = ACTIONS(7187),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7187),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7187),
    [anon_sym_BSLASHbibliography] = ACTIONS(7187),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7187),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7187),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7187),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7187),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7187),
    [anon_sym_BSLASHimport] = ACTIONS(7187),
    [anon_sym_BSLASHsubimport] = ACTIONS(7187),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7187),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7187),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7187),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7187),
    [anon_sym_BSLASHcaption] = ACTIONS(7187),
    [anon_sym_BSLASHcite] = ACTIONS(7187),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCite] = ACTIONS(7187),
    [anon_sym_BSLASHnocite] = ACTIONS(7187),
    [anon_sym_BSLASHcitet] = ACTIONS(7187),
    [anon_sym_BSLASHcitep] = ACTIONS(7187),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteA] = ACTIONS(7187),
    [anon_sym_BSLASHciteR] = ACTIONS(7187),
    [anon_sym_BSLASHciteS] = ACTIONS(7187),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7187),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7187),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7187),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7187),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteyear] = ACTIONS(7187),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitedate] = ACTIONS(7187),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteurl] = ACTIONS(7187),
    [anon_sym_BSLASHfullcite] = ACTIONS(7187),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7187),
    [anon_sym_BSLASHcitealt] = ACTIONS(7187),
    [anon_sym_BSLASHcitealp] = ACTIONS(7187),
    [anon_sym_BSLASHcitetext] = ACTIONS(7187),
    [anon_sym_BSLASHparencite] = ACTIONS(7187),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHParencite] = ACTIONS(7187),
    [anon_sym_BSLASHfootcite] = ACTIONS(7187),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7187),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7187),
    [anon_sym_BSLASHtextcite] = ACTIONS(7187),
    [anon_sym_BSLASHTextcite] = ACTIONS(7187),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7187),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7187),
    [anon_sym_BSLASHsupercite] = ACTIONS(7187),
    [anon_sym_BSLASHautocite] = ACTIONS(7187),
    [anon_sym_BSLASHAutocite] = ACTIONS(7187),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHVolcite] = ACTIONS(7187),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHavolcite] = ACTIONS(7187),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHNotecite] = ACTIONS(7187),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHlabel] = ACTIONS(7187),
    [anon_sym_BSLASHref] = ACTIONS(7187),
    [anon_sym_BSLASHeqref] = ACTIONS(7187),
    [anon_sym_BSLASHvref] = ACTIONS(7187),
    [anon_sym_BSLASHVref] = ACTIONS(7187),
    [anon_sym_BSLASHautoref] = ACTIONS(7187),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHpageref] = ACTIONS(7187),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHautopageref] = ACTIONS(7187),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcref] = ACTIONS(7187),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCref] = ACTIONS(7187),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcpageref] = ACTIONS(7187),
    [anon_sym_BSLASHCpageref] = ACTIONS(7187),
    [anon_sym_BSLASHnamecref] = ACTIONS(7187),
    [anon_sym_BSLASHnameCref] = ACTIONS(7187),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7187),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7187),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7187),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7187),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7187),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7187),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7187),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7187),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7187),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7187),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7187),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHdef] = ACTIONS(7187),
    [anon_sym_BSLASHgdef] = ACTIONS(7187),
    [anon_sym_BSLASHedef] = ACTIONS(7187),
    [anon_sym_BSLASHxdef] = ACTIONS(7187),
    [anon_sym_BSLASHlet] = ACTIONS(7187),
    [anon_sym_BSLASHglet] = ACTIONS(7187),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7187),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7187),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7187),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7187),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7187),
    [anon_sym_BSLASHgls] = ACTIONS(7187),
    [anon_sym_BSLASHGls] = ACTIONS(7187),
    [anon_sym_BSLASHGLS] = ACTIONS(7187),
    [anon_sym_BSLASHglspl] = ACTIONS(7187),
    [anon_sym_BSLASHGlspl] = ACTIONS(7187),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7187),
    [anon_sym_BSLASHglslink] = ACTIONS(7187),
    [anon_sym_BSLASHglstext] = ACTIONS(7187),
    [anon_sym_BSLASHGlstext] = ACTIONS(7187),
    [anon_sym_BSLASHGLStext] = ACTIONS(7187),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7187),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7187),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7187),
    [anon_sym_BSLASHglsplural] = ACTIONS(7187),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7187),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7187),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHglsname] = ACTIONS(7187),
    [anon_sym_BSLASHGlsname] = ACTIONS(7187),
    [anon_sym_BSLASHGLSname] = ACTIONS(7187),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7187),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7187),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7187),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7187),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7187),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7187),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7187),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7187),
    [anon_sym_BSLASHacrshort] = ACTIONS(7187),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7187),
    [anon_sym_BSLASHACRshort] = ACTIONS(7187),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHacrlong] = ACTIONS(7187),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7187),
    [anon_sym_BSLASHACRlong] = ACTIONS(7187),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHacrfull] = ACTIONS(7187),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7187),
    [anon_sym_BSLASHACRfull] = ACTIONS(7187),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHacs] = ACTIONS(7187),
    [anon_sym_BSLASHAcs] = ACTIONS(7187),
    [anon_sym_BSLASHacsp] = ACTIONS(7187),
    [anon_sym_BSLASHAcsp] = ACTIONS(7187),
    [anon_sym_BSLASHacl] = ACTIONS(7187),
    [anon_sym_BSLASHAcl] = ACTIONS(7187),
    [anon_sym_BSLASHaclp] = ACTIONS(7187),
    [anon_sym_BSLASHAclp] = ACTIONS(7187),
    [anon_sym_BSLASHacf] = ACTIONS(7187),
    [anon_sym_BSLASHAcf] = ACTIONS(7187),
    [anon_sym_BSLASHacfp] = ACTIONS(7187),
    [anon_sym_BSLASHAcfp] = ACTIONS(7187),
    [anon_sym_BSLASHac] = ACTIONS(7187),
    [anon_sym_BSLASHAc] = ACTIONS(7187),
    [anon_sym_BSLASHacp] = ACTIONS(7187),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7187),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7187),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7187),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7187),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7187),
    [anon_sym_BSLASHcolor] = ACTIONS(7187),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7187),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7187),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7187),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7187),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7187),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7187),
    [anon_sym_BSLASHurl] = ACTIONS(7187),
    [anon_sym_BSLASHhref] = ACTIONS(7187),
  },
  [2040] = {
    [sym_command_name] = ACTIONS(7811),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7811),
    [anon_sym_LBRACK] = ACTIONS(7813),
    [anon_sym_RBRACK] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(7813),
    [anon_sym_EQ] = ACTIONS(7813),
    [anon_sym_LPAREN] = ACTIONS(7813),
    [anon_sym_RPAREN] = ACTIONS(7813),
    [anon_sym_LBRACE] = ACTIONS(7813),
    [sym_word] = ACTIONS(7811),
    [sym_placeholder] = ACTIONS(7813),
    [sym_delimiter] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_DASH] = ACTIONS(7813),
    [anon_sym_STAR] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7811),
    [anon_sym_GT] = ACTIONS(7811),
    [anon_sym_BANG] = ACTIONS(7811),
    [anon_sym_PIPE] = ACTIONS(7811),
    [anon_sym_COLON] = ACTIONS(7811),
    [anon_sym_SQUOTE] = ACTIONS(7811),
    [anon_sym__] = ACTIONS(7813),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7813),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7813),
    [anon_sym_DOLLAR] = ACTIONS(7811),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7813),
    [anon_sym_BSLASHleft] = ACTIONS(7811),
    [anon_sym_BSLASHbigl] = ACTIONS(7811),
    [anon_sym_BSLASHBigl] = ACTIONS(7811),
    [anon_sym_BSLASHbiggl] = ACTIONS(7811),
    [anon_sym_BSLASHBiggl] = ACTIONS(7811),
    [anon_sym_BSLASHtext] = ACTIONS(7811),
    [anon_sym_BSLASHintertext] = ACTIONS(7811),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7811),
    [anon_sym_BSLASHbegin] = ACTIONS(7811),
    [anon_sym_BSLASHtitle] = ACTIONS(7811),
    [anon_sym_BSLASHauthor] = ACTIONS(7811),
    [anon_sym_BSLASHusepackage] = ACTIONS(7811),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7811),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7811),
    [anon_sym_BSLASHinclude] = ACTIONS(7811),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7811),
    [anon_sym_BSLASHinput] = ACTIONS(7811),
    [anon_sym_BSLASHsubfile] = ACTIONS(7811),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7811),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7811),
    [anon_sym_BSLASHbibliography] = ACTIONS(7811),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7811),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7811),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7811),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7811),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7811),
    [anon_sym_BSLASHimport] = ACTIONS(7811),
    [anon_sym_BSLASHsubimport] = ACTIONS(7811),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7811),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7811),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7811),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7811),
    [anon_sym_BSLASHcaption] = ACTIONS(7811),
    [anon_sym_BSLASHcite] = ACTIONS(7811),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHCite] = ACTIONS(7811),
    [anon_sym_BSLASHnocite] = ACTIONS(7811),
    [anon_sym_BSLASHcitet] = ACTIONS(7811),
    [anon_sym_BSLASHcitep] = ACTIONS(7811),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHciteA] = ACTIONS(7811),
    [anon_sym_BSLASHciteR] = ACTIONS(7811),
    [anon_sym_BSLASHciteS] = ACTIONS(7811),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7811),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7811),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7811),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7811),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHciteyear] = ACTIONS(7811),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHcitedate] = ACTIONS(7811),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHciteurl] = ACTIONS(7811),
    [anon_sym_BSLASHfullcite] = ACTIONS(7811),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7811),
    [anon_sym_BSLASHcitealt] = ACTIONS(7811),
    [anon_sym_BSLASHcitealp] = ACTIONS(7811),
    [anon_sym_BSLASHcitetext] = ACTIONS(7811),
    [anon_sym_BSLASHparencite] = ACTIONS(7811),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHParencite] = ACTIONS(7811),
    [anon_sym_BSLASHfootcite] = ACTIONS(7811),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7811),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7811),
    [anon_sym_BSLASHtextcite] = ACTIONS(7811),
    [anon_sym_BSLASHTextcite] = ACTIONS(7811),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7811),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7811),
    [anon_sym_BSLASHsupercite] = ACTIONS(7811),
    [anon_sym_BSLASHautocite] = ACTIONS(7811),
    [anon_sym_BSLASHAutocite] = ACTIONS(7811),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHVolcite] = ACTIONS(7811),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHavolcite] = ACTIONS(7811),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHnotecite] = ACTIONS(7811),
    [anon_sym_BSLASHNotecite] = ACTIONS(7811),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7811),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7811),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7811),
    [anon_sym_BSLASHlabel] = ACTIONS(7811),
    [anon_sym_BSLASHref] = ACTIONS(7811),
    [anon_sym_BSLASHeqref] = ACTIONS(7811),
    [anon_sym_BSLASHvref] = ACTIONS(7811),
    [anon_sym_BSLASHVref] = ACTIONS(7811),
    [anon_sym_BSLASHautoref] = ACTIONS(7811),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHpageref] = ACTIONS(7811),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHautopageref] = ACTIONS(7811),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHcref] = ACTIONS(7811),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHCref] = ACTIONS(7811),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHcpageref] = ACTIONS(7811),
    [anon_sym_BSLASHCpageref] = ACTIONS(7811),
    [anon_sym_BSLASHnamecref] = ACTIONS(7811),
    [anon_sym_BSLASHnameCref] = ACTIONS(7811),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7811),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7811),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7811),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7811),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7811),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7811),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7811),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7811),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7811),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7811),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7811),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7811),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7811),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7811),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7811),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7811),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7811),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7811),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7811),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7811),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7811),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7811),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7811),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7811),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7811),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7811),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7811),
    [anon_sym_BSLASHdef] = ACTIONS(7811),
    [anon_sym_BSLASHgdef] = ACTIONS(7811),
    [anon_sym_BSLASHedef] = ACTIONS(7811),
    [anon_sym_BSLASHxdef] = ACTIONS(7811),
    [anon_sym_BSLASHlet] = ACTIONS(7811),
    [anon_sym_BSLASHglet] = ACTIONS(7811),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7811),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7811),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7811),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7811),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7811),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7811),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7811),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7811),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7811),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7811),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7811),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7811),
    [anon_sym_BSLASHgls] = ACTIONS(7811),
    [anon_sym_BSLASHGls] = ACTIONS(7811),
    [anon_sym_BSLASHGLS] = ACTIONS(7811),
    [anon_sym_BSLASHglspl] = ACTIONS(7811),
    [anon_sym_BSLASHGlspl] = ACTIONS(7811),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7811),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7811),
    [anon_sym_BSLASHglslink] = ACTIONS(7811),
    [anon_sym_BSLASHglstext] = ACTIONS(7811),
    [anon_sym_BSLASHGlstext] = ACTIONS(7811),
    [anon_sym_BSLASHGLStext] = ACTIONS(7811),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7811),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7811),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7811),
    [anon_sym_BSLASHglsplural] = ACTIONS(7811),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7811),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7811),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7811),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7811),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7811),
    [anon_sym_BSLASHglsname] = ACTIONS(7811),
    [anon_sym_BSLASHGlsname] = ACTIONS(7811),
    [anon_sym_BSLASHGLSname] = ACTIONS(7811),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7811),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7811),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7811),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7811),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7811),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7811),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7811),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7811),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7811),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7811),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7811),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7811),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7811),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7811),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7811),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7811),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7811),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7811),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7811),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7811),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7811),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7811),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7811),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7811),
    [anon_sym_BSLASHacrshort] = ACTIONS(7811),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7811),
    [anon_sym_BSLASHACRshort] = ACTIONS(7811),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7811),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7811),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7811),
    [anon_sym_BSLASHacrlong] = ACTIONS(7811),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7811),
    [anon_sym_BSLASHACRlong] = ACTIONS(7811),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7811),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7811),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7811),
    [anon_sym_BSLASHacrfull] = ACTIONS(7811),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7811),
    [anon_sym_BSLASHACRfull] = ACTIONS(7811),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7811),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7811),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7811),
    [anon_sym_BSLASHacs] = ACTIONS(7811),
    [anon_sym_BSLASHAcs] = ACTIONS(7811),
    [anon_sym_BSLASHacsp] = ACTIONS(7811),
    [anon_sym_BSLASHAcsp] = ACTIONS(7811),
    [anon_sym_BSLASHacl] = ACTIONS(7811),
    [anon_sym_BSLASHAcl] = ACTIONS(7811),
    [anon_sym_BSLASHaclp] = ACTIONS(7811),
    [anon_sym_BSLASHAclp] = ACTIONS(7811),
    [anon_sym_BSLASHacf] = ACTIONS(7811),
    [anon_sym_BSLASHAcf] = ACTIONS(7811),
    [anon_sym_BSLASHacfp] = ACTIONS(7811),
    [anon_sym_BSLASHAcfp] = ACTIONS(7811),
    [anon_sym_BSLASHac] = ACTIONS(7811),
    [anon_sym_BSLASHAc] = ACTIONS(7811),
    [anon_sym_BSLASHacp] = ACTIONS(7811),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7811),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7811),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7811),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7811),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7811),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7811),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7811),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7811),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7811),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7811),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7811),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7811),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7811),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7811),
    [anon_sym_BSLASHcolor] = ACTIONS(7811),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7811),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7811),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7811),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7811),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7811),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7811),
    [anon_sym_BSLASHurl] = ACTIONS(7811),
    [anon_sym_BSLASHhref] = ACTIONS(7811),
  },
  [2041] = {
    [sym_command_name] = ACTIONS(7043),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7043),
    [anon_sym_LBRACK] = ACTIONS(7045),
    [anon_sym_RBRACK] = ACTIONS(7045),
    [anon_sym_COMMA] = ACTIONS(7045),
    [anon_sym_EQ] = ACTIONS(7045),
    [anon_sym_LPAREN] = ACTIONS(7045),
    [anon_sym_RPAREN] = ACTIONS(7045),
    [anon_sym_LBRACE] = ACTIONS(7045),
    [sym_word] = ACTIONS(7043),
    [sym_placeholder] = ACTIONS(7045),
    [sym_delimiter] = ACTIONS(7045),
    [anon_sym_PLUS] = ACTIONS(7045),
    [anon_sym_DASH] = ACTIONS(7045),
    [anon_sym_STAR] = ACTIONS(7045),
    [anon_sym_SLASH] = ACTIONS(7045),
    [anon_sym_LT] = ACTIONS(7043),
    [anon_sym_GT] = ACTIONS(7043),
    [anon_sym_BANG] = ACTIONS(7043),
    [anon_sym_PIPE] = ACTIONS(7043),
    [anon_sym_COLON] = ACTIONS(7043),
    [anon_sym_SQUOTE] = ACTIONS(7043),
    [anon_sym__] = ACTIONS(7045),
    [anon_sym_CARET] = ACTIONS(7045),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7045),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7045),
    [anon_sym_DOLLAR] = ACTIONS(7043),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7045),
    [anon_sym_BSLASHleft] = ACTIONS(7043),
    [anon_sym_BSLASHbigl] = ACTIONS(7043),
    [anon_sym_BSLASHBigl] = ACTIONS(7043),
    [anon_sym_BSLASHbiggl] = ACTIONS(7043),
    [anon_sym_BSLASHBiggl] = ACTIONS(7043),
    [anon_sym_BSLASHtext] = ACTIONS(7043),
    [anon_sym_BSLASHintertext] = ACTIONS(7043),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7043),
    [anon_sym_BSLASHbegin] = ACTIONS(7043),
    [anon_sym_BSLASHtitle] = ACTIONS(7043),
    [anon_sym_BSLASHauthor] = ACTIONS(7043),
    [anon_sym_BSLASHusepackage] = ACTIONS(7043),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7043),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7043),
    [anon_sym_BSLASHinclude] = ACTIONS(7043),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7043),
    [anon_sym_BSLASHinput] = ACTIONS(7043),
    [anon_sym_BSLASHsubfile] = ACTIONS(7043),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7043),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7043),
    [anon_sym_BSLASHbibliography] = ACTIONS(7043),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7043),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7043),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7043),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7043),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7043),
    [anon_sym_BSLASHimport] = ACTIONS(7043),
    [anon_sym_BSLASHsubimport] = ACTIONS(7043),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7043),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7043),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7043),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7043),
    [anon_sym_BSLASHcaption] = ACTIONS(7043),
    [anon_sym_BSLASHcite] = ACTIONS(7043),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCite] = ACTIONS(7043),
    [anon_sym_BSLASHnocite] = ACTIONS(7043),
    [anon_sym_BSLASHcitet] = ACTIONS(7043),
    [anon_sym_BSLASHcitep] = ACTIONS(7043),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteA] = ACTIONS(7043),
    [anon_sym_BSLASHciteR] = ACTIONS(7043),
    [anon_sym_BSLASHciteS] = ACTIONS(7043),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7043),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7043),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7043),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7043),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteyear] = ACTIONS(7043),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitedate] = ACTIONS(7043),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteurl] = ACTIONS(7043),
    [anon_sym_BSLASHfullcite] = ACTIONS(7043),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7043),
    [anon_sym_BSLASHcitealt] = ACTIONS(7043),
    [anon_sym_BSLASHcitealp] = ACTIONS(7043),
    [anon_sym_BSLASHcitetext] = ACTIONS(7043),
    [anon_sym_BSLASHparencite] = ACTIONS(7043),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHParencite] = ACTIONS(7043),
    [anon_sym_BSLASHfootcite] = ACTIONS(7043),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7043),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7043),
    [anon_sym_BSLASHtextcite] = ACTIONS(7043),
    [anon_sym_BSLASHTextcite] = ACTIONS(7043),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7043),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7043),
    [anon_sym_BSLASHsupercite] = ACTIONS(7043),
    [anon_sym_BSLASHautocite] = ACTIONS(7043),
    [anon_sym_BSLASHAutocite] = ACTIONS(7043),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHVolcite] = ACTIONS(7043),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHavolcite] = ACTIONS(7043),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHNotecite] = ACTIONS(7043),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHlabel] = ACTIONS(7043),
    [anon_sym_BSLASHref] = ACTIONS(7043),
    [anon_sym_BSLASHeqref] = ACTIONS(7043),
    [anon_sym_BSLASHvref] = ACTIONS(7043),
    [anon_sym_BSLASHVref] = ACTIONS(7043),
    [anon_sym_BSLASHautoref] = ACTIONS(7043),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHpageref] = ACTIONS(7043),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHautopageref] = ACTIONS(7043),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcref] = ACTIONS(7043),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCref] = ACTIONS(7043),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcpageref] = ACTIONS(7043),
    [anon_sym_BSLASHCpageref] = ACTIONS(7043),
    [anon_sym_BSLASHnamecref] = ACTIONS(7043),
    [anon_sym_BSLASHnameCref] = ACTIONS(7043),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7043),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7043),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7043),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7043),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7043),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7043),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7043),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7043),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7043),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7043),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7043),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHdef] = ACTIONS(7043),
    [anon_sym_BSLASHgdef] = ACTIONS(7043),
    [anon_sym_BSLASHedef] = ACTIONS(7043),
    [anon_sym_BSLASHxdef] = ACTIONS(7043),
    [anon_sym_BSLASHlet] = ACTIONS(7043),
    [anon_sym_BSLASHglet] = ACTIONS(7043),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7043),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7043),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7043),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7043),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7043),
    [anon_sym_BSLASHgls] = ACTIONS(7043),
    [anon_sym_BSLASHGls] = ACTIONS(7043),
    [anon_sym_BSLASHGLS] = ACTIONS(7043),
    [anon_sym_BSLASHglspl] = ACTIONS(7043),
    [anon_sym_BSLASHGlspl] = ACTIONS(7043),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7043),
    [anon_sym_BSLASHglslink] = ACTIONS(7043),
    [anon_sym_BSLASHglstext] = ACTIONS(7043),
    [anon_sym_BSLASHGlstext] = ACTIONS(7043),
    [anon_sym_BSLASHGLStext] = ACTIONS(7043),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7043),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7043),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7043),
    [anon_sym_BSLASHglsplural] = ACTIONS(7043),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7043),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7043),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHglsname] = ACTIONS(7043),
    [anon_sym_BSLASHGlsname] = ACTIONS(7043),
    [anon_sym_BSLASHGLSname] = ACTIONS(7043),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7043),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7043),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7043),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7043),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7043),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7043),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7043),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7043),
    [anon_sym_BSLASHacrshort] = ACTIONS(7043),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7043),
    [anon_sym_BSLASHACRshort] = ACTIONS(7043),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHacrlong] = ACTIONS(7043),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7043),
    [anon_sym_BSLASHACRlong] = ACTIONS(7043),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHacrfull] = ACTIONS(7043),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7043),
    [anon_sym_BSLASHACRfull] = ACTIONS(7043),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHacs] = ACTIONS(7043),
    [anon_sym_BSLASHAcs] = ACTIONS(7043),
    [anon_sym_BSLASHacsp] = ACTIONS(7043),
    [anon_sym_BSLASHAcsp] = ACTIONS(7043),
    [anon_sym_BSLASHacl] = ACTIONS(7043),
    [anon_sym_BSLASHAcl] = ACTIONS(7043),
    [anon_sym_BSLASHaclp] = ACTIONS(7043),
    [anon_sym_BSLASHAclp] = ACTIONS(7043),
    [anon_sym_BSLASHacf] = ACTIONS(7043),
    [anon_sym_BSLASHAcf] = ACTIONS(7043),
    [anon_sym_BSLASHacfp] = ACTIONS(7043),
    [anon_sym_BSLASHAcfp] = ACTIONS(7043),
    [anon_sym_BSLASHac] = ACTIONS(7043),
    [anon_sym_BSLASHAc] = ACTIONS(7043),
    [anon_sym_BSLASHacp] = ACTIONS(7043),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7043),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7043),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7043),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7043),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7043),
    [anon_sym_BSLASHcolor] = ACTIONS(7043),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7043),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7043),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7043),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7043),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7043),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7043),
    [anon_sym_BSLASHurl] = ACTIONS(7043),
    [anon_sym_BSLASHhref] = ACTIONS(7043),
  },
  [2042] = {
    [sym_command_name] = ACTIONS(7191),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7191),
    [anon_sym_LBRACK] = ACTIONS(7193),
    [anon_sym_RBRACK] = ACTIONS(7193),
    [anon_sym_COMMA] = ACTIONS(7193),
    [anon_sym_EQ] = ACTIONS(7193),
    [anon_sym_LPAREN] = ACTIONS(7193),
    [anon_sym_RPAREN] = ACTIONS(7193),
    [anon_sym_LBRACE] = ACTIONS(7193),
    [sym_word] = ACTIONS(7191),
    [sym_placeholder] = ACTIONS(7193),
    [sym_delimiter] = ACTIONS(7193),
    [anon_sym_PLUS] = ACTIONS(7193),
    [anon_sym_DASH] = ACTIONS(7193),
    [anon_sym_STAR] = ACTIONS(7193),
    [anon_sym_SLASH] = ACTIONS(7193),
    [anon_sym_LT] = ACTIONS(7191),
    [anon_sym_GT] = ACTIONS(7191),
    [anon_sym_BANG] = ACTIONS(7191),
    [anon_sym_PIPE] = ACTIONS(7191),
    [anon_sym_COLON] = ACTIONS(7191),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym__] = ACTIONS(7193),
    [anon_sym_CARET] = ACTIONS(7193),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7193),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7193),
    [anon_sym_DOLLAR] = ACTIONS(7191),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7193),
    [anon_sym_BSLASHleft] = ACTIONS(7191),
    [anon_sym_BSLASHbigl] = ACTIONS(7191),
    [anon_sym_BSLASHBigl] = ACTIONS(7191),
    [anon_sym_BSLASHbiggl] = ACTIONS(7191),
    [anon_sym_BSLASHBiggl] = ACTIONS(7191),
    [anon_sym_BSLASHtext] = ACTIONS(7191),
    [anon_sym_BSLASHintertext] = ACTIONS(7191),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7191),
    [anon_sym_BSLASHbegin] = ACTIONS(7191),
    [anon_sym_BSLASHtitle] = ACTIONS(7191),
    [anon_sym_BSLASHauthor] = ACTIONS(7191),
    [anon_sym_BSLASHusepackage] = ACTIONS(7191),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7191),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7191),
    [anon_sym_BSLASHinclude] = ACTIONS(7191),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7191),
    [anon_sym_BSLASHinput] = ACTIONS(7191),
    [anon_sym_BSLASHsubfile] = ACTIONS(7191),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7191),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7191),
    [anon_sym_BSLASHbibliography] = ACTIONS(7191),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7191),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7191),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7191),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7191),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7191),
    [anon_sym_BSLASHimport] = ACTIONS(7191),
    [anon_sym_BSLASHsubimport] = ACTIONS(7191),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7191),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7191),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7191),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7191),
    [anon_sym_BSLASHcaption] = ACTIONS(7191),
    [anon_sym_BSLASHcite] = ACTIONS(7191),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCite] = ACTIONS(7191),
    [anon_sym_BSLASHnocite] = ACTIONS(7191),
    [anon_sym_BSLASHcitet] = ACTIONS(7191),
    [anon_sym_BSLASHcitep] = ACTIONS(7191),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteA] = ACTIONS(7191),
    [anon_sym_BSLASHciteR] = ACTIONS(7191),
    [anon_sym_BSLASHciteS] = ACTIONS(7191),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7191),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7191),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7191),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7191),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteyear] = ACTIONS(7191),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitedate] = ACTIONS(7191),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteurl] = ACTIONS(7191),
    [anon_sym_BSLASHfullcite] = ACTIONS(7191),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7191),
    [anon_sym_BSLASHcitealt] = ACTIONS(7191),
    [anon_sym_BSLASHcitealp] = ACTIONS(7191),
    [anon_sym_BSLASHcitetext] = ACTIONS(7191),
    [anon_sym_BSLASHparencite] = ACTIONS(7191),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHParencite] = ACTIONS(7191),
    [anon_sym_BSLASHfootcite] = ACTIONS(7191),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7191),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7191),
    [anon_sym_BSLASHtextcite] = ACTIONS(7191),
    [anon_sym_BSLASHTextcite] = ACTIONS(7191),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7191),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7191),
    [anon_sym_BSLASHsupercite] = ACTIONS(7191),
    [anon_sym_BSLASHautocite] = ACTIONS(7191),
    [anon_sym_BSLASHAutocite] = ACTIONS(7191),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHVolcite] = ACTIONS(7191),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHavolcite] = ACTIONS(7191),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHNotecite] = ACTIONS(7191),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHlabel] = ACTIONS(7191),
    [anon_sym_BSLASHref] = ACTIONS(7191),
    [anon_sym_BSLASHeqref] = ACTIONS(7191),
    [anon_sym_BSLASHvref] = ACTIONS(7191),
    [anon_sym_BSLASHVref] = ACTIONS(7191),
    [anon_sym_BSLASHautoref] = ACTIONS(7191),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHpageref] = ACTIONS(7191),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHautopageref] = ACTIONS(7191),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcref] = ACTIONS(7191),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCref] = ACTIONS(7191),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcpageref] = ACTIONS(7191),
    [anon_sym_BSLASHCpageref] = ACTIONS(7191),
    [anon_sym_BSLASHnamecref] = ACTIONS(7191),
    [anon_sym_BSLASHnameCref] = ACTIONS(7191),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7191),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7191),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7191),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7191),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7191),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7191),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7191),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7191),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7191),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7191),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7191),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHdef] = ACTIONS(7191),
    [anon_sym_BSLASHgdef] = ACTIONS(7191),
    [anon_sym_BSLASHedef] = ACTIONS(7191),
    [anon_sym_BSLASHxdef] = ACTIONS(7191),
    [anon_sym_BSLASHlet] = ACTIONS(7191),
    [anon_sym_BSLASHglet] = ACTIONS(7191),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7191),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7191),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7191),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7191),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7191),
    [anon_sym_BSLASHgls] = ACTIONS(7191),
    [anon_sym_BSLASHGls] = ACTIONS(7191),
    [anon_sym_BSLASHGLS] = ACTIONS(7191),
    [anon_sym_BSLASHglspl] = ACTIONS(7191),
    [anon_sym_BSLASHGlspl] = ACTIONS(7191),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7191),
    [anon_sym_BSLASHglslink] = ACTIONS(7191),
    [anon_sym_BSLASHglstext] = ACTIONS(7191),
    [anon_sym_BSLASHGlstext] = ACTIONS(7191),
    [anon_sym_BSLASHGLStext] = ACTIONS(7191),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7191),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7191),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7191),
    [anon_sym_BSLASHglsplural] = ACTIONS(7191),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7191),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7191),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHglsname] = ACTIONS(7191),
    [anon_sym_BSLASHGlsname] = ACTIONS(7191),
    [anon_sym_BSLASHGLSname] = ACTIONS(7191),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7191),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7191),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7191),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7191),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7191),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7191),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7191),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7191),
    [anon_sym_BSLASHacrshort] = ACTIONS(7191),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7191),
    [anon_sym_BSLASHACRshort] = ACTIONS(7191),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHacrlong] = ACTIONS(7191),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7191),
    [anon_sym_BSLASHACRlong] = ACTIONS(7191),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHacrfull] = ACTIONS(7191),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7191),
    [anon_sym_BSLASHACRfull] = ACTIONS(7191),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHacs] = ACTIONS(7191),
    [anon_sym_BSLASHAcs] = ACTIONS(7191),
    [anon_sym_BSLASHacsp] = ACTIONS(7191),
    [anon_sym_BSLASHAcsp] = ACTIONS(7191),
    [anon_sym_BSLASHacl] = ACTIONS(7191),
    [anon_sym_BSLASHAcl] = ACTIONS(7191),
    [anon_sym_BSLASHaclp] = ACTIONS(7191),
    [anon_sym_BSLASHAclp] = ACTIONS(7191),
    [anon_sym_BSLASHacf] = ACTIONS(7191),
    [anon_sym_BSLASHAcf] = ACTIONS(7191),
    [anon_sym_BSLASHacfp] = ACTIONS(7191),
    [anon_sym_BSLASHAcfp] = ACTIONS(7191),
    [anon_sym_BSLASHac] = ACTIONS(7191),
    [anon_sym_BSLASHAc] = ACTIONS(7191),
    [anon_sym_BSLASHacp] = ACTIONS(7191),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7191),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7191),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7191),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7191),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7191),
    [anon_sym_BSLASHcolor] = ACTIONS(7191),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7191),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7191),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7191),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7191),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7191),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7191),
    [anon_sym_BSLASHurl] = ACTIONS(7191),
    [anon_sym_BSLASHhref] = ACTIONS(7191),
  },
  [2043] = {
    [sym_command_name] = ACTIONS(7595),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7595),
    [anon_sym_LBRACK] = ACTIONS(7597),
    [anon_sym_RBRACK] = ACTIONS(7597),
    [anon_sym_COMMA] = ACTIONS(7597),
    [anon_sym_EQ] = ACTIONS(7597),
    [anon_sym_LPAREN] = ACTIONS(7597),
    [anon_sym_RPAREN] = ACTIONS(7597),
    [anon_sym_LBRACE] = ACTIONS(7597),
    [sym_word] = ACTIONS(7595),
    [sym_placeholder] = ACTIONS(7597),
    [sym_delimiter] = ACTIONS(7597),
    [anon_sym_PLUS] = ACTIONS(7597),
    [anon_sym_DASH] = ACTIONS(7597),
    [anon_sym_STAR] = ACTIONS(7597),
    [anon_sym_SLASH] = ACTIONS(7597),
    [anon_sym_LT] = ACTIONS(7595),
    [anon_sym_GT] = ACTIONS(7595),
    [anon_sym_BANG] = ACTIONS(7595),
    [anon_sym_PIPE] = ACTIONS(7595),
    [anon_sym_COLON] = ACTIONS(7595),
    [anon_sym_SQUOTE] = ACTIONS(7595),
    [anon_sym__] = ACTIONS(7597),
    [anon_sym_CARET] = ACTIONS(7597),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7597),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7597),
    [anon_sym_DOLLAR] = ACTIONS(7595),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7597),
    [anon_sym_BSLASHleft] = ACTIONS(7595),
    [anon_sym_BSLASHbigl] = ACTIONS(7595),
    [anon_sym_BSLASHBigl] = ACTIONS(7595),
    [anon_sym_BSLASHbiggl] = ACTIONS(7595),
    [anon_sym_BSLASHBiggl] = ACTIONS(7595),
    [anon_sym_BSLASHtext] = ACTIONS(7595),
    [anon_sym_BSLASHintertext] = ACTIONS(7595),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7595),
    [anon_sym_BSLASHbegin] = ACTIONS(7595),
    [anon_sym_BSLASHtitle] = ACTIONS(7595),
    [anon_sym_BSLASHauthor] = ACTIONS(7595),
    [anon_sym_BSLASHusepackage] = ACTIONS(7595),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7595),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7595),
    [anon_sym_BSLASHinclude] = ACTIONS(7595),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7595),
    [anon_sym_BSLASHinput] = ACTIONS(7595),
    [anon_sym_BSLASHsubfile] = ACTIONS(7595),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7595),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7595),
    [anon_sym_BSLASHbibliography] = ACTIONS(7595),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7595),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7595),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7595),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7595),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7595),
    [anon_sym_BSLASHimport] = ACTIONS(7595),
    [anon_sym_BSLASHsubimport] = ACTIONS(7595),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7595),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7595),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7595),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7595),
    [anon_sym_BSLASHcaption] = ACTIONS(7595),
    [anon_sym_BSLASHcite] = ACTIONS(7595),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCite] = ACTIONS(7595),
    [anon_sym_BSLASHnocite] = ACTIONS(7595),
    [anon_sym_BSLASHcitet] = ACTIONS(7595),
    [anon_sym_BSLASHcitep] = ACTIONS(7595),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteA] = ACTIONS(7595),
    [anon_sym_BSLASHciteR] = ACTIONS(7595),
    [anon_sym_BSLASHciteS] = ACTIONS(7595),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7595),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7595),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7595),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7595),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteyear] = ACTIONS(7595),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitedate] = ACTIONS(7595),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteurl] = ACTIONS(7595),
    [anon_sym_BSLASHfullcite] = ACTIONS(7595),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7595),
    [anon_sym_BSLASHcitealt] = ACTIONS(7595),
    [anon_sym_BSLASHcitealp] = ACTIONS(7595),
    [anon_sym_BSLASHcitetext] = ACTIONS(7595),
    [anon_sym_BSLASHparencite] = ACTIONS(7595),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHParencite] = ACTIONS(7595),
    [anon_sym_BSLASHfootcite] = ACTIONS(7595),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7595),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7595),
    [anon_sym_BSLASHtextcite] = ACTIONS(7595),
    [anon_sym_BSLASHTextcite] = ACTIONS(7595),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7595),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7595),
    [anon_sym_BSLASHsupercite] = ACTIONS(7595),
    [anon_sym_BSLASHautocite] = ACTIONS(7595),
    [anon_sym_BSLASHAutocite] = ACTIONS(7595),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHVolcite] = ACTIONS(7595),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHavolcite] = ACTIONS(7595),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHNotecite] = ACTIONS(7595),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHlabel] = ACTIONS(7595),
    [anon_sym_BSLASHref] = ACTIONS(7595),
    [anon_sym_BSLASHeqref] = ACTIONS(7595),
    [anon_sym_BSLASHvref] = ACTIONS(7595),
    [anon_sym_BSLASHVref] = ACTIONS(7595),
    [anon_sym_BSLASHautoref] = ACTIONS(7595),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHpageref] = ACTIONS(7595),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHautopageref] = ACTIONS(7595),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcref] = ACTIONS(7595),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCref] = ACTIONS(7595),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcpageref] = ACTIONS(7595),
    [anon_sym_BSLASHCpageref] = ACTIONS(7595),
    [anon_sym_BSLASHnamecref] = ACTIONS(7595),
    [anon_sym_BSLASHnameCref] = ACTIONS(7595),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7595),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7595),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7595),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7595),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7595),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7595),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7595),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7595),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7595),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7595),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7595),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHdef] = ACTIONS(7595),
    [anon_sym_BSLASHgdef] = ACTIONS(7595),
    [anon_sym_BSLASHedef] = ACTIONS(7595),
    [anon_sym_BSLASHxdef] = ACTIONS(7595),
    [anon_sym_BSLASHlet] = ACTIONS(7595),
    [anon_sym_BSLASHglet] = ACTIONS(7595),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7595),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7595),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7595),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7595),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7595),
    [anon_sym_BSLASHgls] = ACTIONS(7595),
    [anon_sym_BSLASHGls] = ACTIONS(7595),
    [anon_sym_BSLASHGLS] = ACTIONS(7595),
    [anon_sym_BSLASHglspl] = ACTIONS(7595),
    [anon_sym_BSLASHGlspl] = ACTIONS(7595),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7595),
    [anon_sym_BSLASHglslink] = ACTIONS(7595),
    [anon_sym_BSLASHglstext] = ACTIONS(7595),
    [anon_sym_BSLASHGlstext] = ACTIONS(7595),
    [anon_sym_BSLASHGLStext] = ACTIONS(7595),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7595),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7595),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7595),
    [anon_sym_BSLASHglsplural] = ACTIONS(7595),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7595),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7595),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHglsname] = ACTIONS(7595),
    [anon_sym_BSLASHGlsname] = ACTIONS(7595),
    [anon_sym_BSLASHGLSname] = ACTIONS(7595),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7595),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7595),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7595),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7595),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7595),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7595),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7595),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7595),
    [anon_sym_BSLASHacrshort] = ACTIONS(7595),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7595),
    [anon_sym_BSLASHACRshort] = ACTIONS(7595),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHacrlong] = ACTIONS(7595),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7595),
    [anon_sym_BSLASHACRlong] = ACTIONS(7595),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHacrfull] = ACTIONS(7595),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7595),
    [anon_sym_BSLASHACRfull] = ACTIONS(7595),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHacs] = ACTIONS(7595),
    [anon_sym_BSLASHAcs] = ACTIONS(7595),
    [anon_sym_BSLASHacsp] = ACTIONS(7595),
    [anon_sym_BSLASHAcsp] = ACTIONS(7595),
    [anon_sym_BSLASHacl] = ACTIONS(7595),
    [anon_sym_BSLASHAcl] = ACTIONS(7595),
    [anon_sym_BSLASHaclp] = ACTIONS(7595),
    [anon_sym_BSLASHAclp] = ACTIONS(7595),
    [anon_sym_BSLASHacf] = ACTIONS(7595),
    [anon_sym_BSLASHAcf] = ACTIONS(7595),
    [anon_sym_BSLASHacfp] = ACTIONS(7595),
    [anon_sym_BSLASHAcfp] = ACTIONS(7595),
    [anon_sym_BSLASHac] = ACTIONS(7595),
    [anon_sym_BSLASHAc] = ACTIONS(7595),
    [anon_sym_BSLASHacp] = ACTIONS(7595),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7595),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7595),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7595),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7595),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7595),
    [anon_sym_BSLASHcolor] = ACTIONS(7595),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7595),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7595),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7595),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7595),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7595),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7595),
    [anon_sym_BSLASHurl] = ACTIONS(7595),
    [anon_sym_BSLASHhref] = ACTIONS(7595),
  },
  [2044] = {
    [sym_command_name] = ACTIONS(7423),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7423),
    [anon_sym_LBRACK] = ACTIONS(7425),
    [anon_sym_RBRACK] = ACTIONS(7425),
    [anon_sym_COMMA] = ACTIONS(7425),
    [anon_sym_EQ] = ACTIONS(7425),
    [anon_sym_LPAREN] = ACTIONS(7425),
    [anon_sym_RPAREN] = ACTIONS(7425),
    [anon_sym_LBRACE] = ACTIONS(7425),
    [sym_word] = ACTIONS(7423),
    [sym_placeholder] = ACTIONS(7425),
    [sym_delimiter] = ACTIONS(7425),
    [anon_sym_PLUS] = ACTIONS(7425),
    [anon_sym_DASH] = ACTIONS(7425),
    [anon_sym_STAR] = ACTIONS(7425),
    [anon_sym_SLASH] = ACTIONS(7425),
    [anon_sym_LT] = ACTIONS(7423),
    [anon_sym_GT] = ACTIONS(7423),
    [anon_sym_BANG] = ACTIONS(7423),
    [anon_sym_PIPE] = ACTIONS(7423),
    [anon_sym_COLON] = ACTIONS(7423),
    [anon_sym_SQUOTE] = ACTIONS(7423),
    [anon_sym__] = ACTIONS(7425),
    [anon_sym_CARET] = ACTIONS(7425),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7425),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7425),
    [anon_sym_DOLLAR] = ACTIONS(7423),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7425),
    [anon_sym_BSLASHleft] = ACTIONS(7423),
    [anon_sym_BSLASHbigl] = ACTIONS(7423),
    [anon_sym_BSLASHBigl] = ACTIONS(7423),
    [anon_sym_BSLASHbiggl] = ACTIONS(7423),
    [anon_sym_BSLASHBiggl] = ACTIONS(7423),
    [anon_sym_BSLASHtext] = ACTIONS(7423),
    [anon_sym_BSLASHintertext] = ACTIONS(7423),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7423),
    [anon_sym_BSLASHbegin] = ACTIONS(7423),
    [anon_sym_BSLASHtitle] = ACTIONS(7423),
    [anon_sym_BSLASHauthor] = ACTIONS(7423),
    [anon_sym_BSLASHusepackage] = ACTIONS(7423),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7423),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7423),
    [anon_sym_BSLASHinclude] = ACTIONS(7423),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7423),
    [anon_sym_BSLASHinput] = ACTIONS(7423),
    [anon_sym_BSLASHsubfile] = ACTIONS(7423),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7423),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7423),
    [anon_sym_BSLASHbibliography] = ACTIONS(7423),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7423),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7423),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7423),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7423),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7423),
    [anon_sym_BSLASHimport] = ACTIONS(7423),
    [anon_sym_BSLASHsubimport] = ACTIONS(7423),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7423),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7423),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7423),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7423),
    [anon_sym_BSLASHcaption] = ACTIONS(7423),
    [anon_sym_BSLASHcite] = ACTIONS(7423),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHCite] = ACTIONS(7423),
    [anon_sym_BSLASHnocite] = ACTIONS(7423),
    [anon_sym_BSLASHcitet] = ACTIONS(7423),
    [anon_sym_BSLASHcitep] = ACTIONS(7423),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHciteA] = ACTIONS(7423),
    [anon_sym_BSLASHciteR] = ACTIONS(7423),
    [anon_sym_BSLASHciteS] = ACTIONS(7423),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7423),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7423),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7423),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7423),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHciteyear] = ACTIONS(7423),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcitedate] = ACTIONS(7423),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHciteurl] = ACTIONS(7423),
    [anon_sym_BSLASHfullcite] = ACTIONS(7423),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7423),
    [anon_sym_BSLASHcitealt] = ACTIONS(7423),
    [anon_sym_BSLASHcitealp] = ACTIONS(7423),
    [anon_sym_BSLASHcitetext] = ACTIONS(7423),
    [anon_sym_BSLASHparencite] = ACTIONS(7423),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHParencite] = ACTIONS(7423),
    [anon_sym_BSLASHfootcite] = ACTIONS(7423),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7423),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7423),
    [anon_sym_BSLASHtextcite] = ACTIONS(7423),
    [anon_sym_BSLASHTextcite] = ACTIONS(7423),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7423),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7423),
    [anon_sym_BSLASHsupercite] = ACTIONS(7423),
    [anon_sym_BSLASHautocite] = ACTIONS(7423),
    [anon_sym_BSLASHAutocite] = ACTIONS(7423),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHVolcite] = ACTIONS(7423),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHavolcite] = ACTIONS(7423),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7423),
    [anon_sym_BSLASHnotecite] = ACTIONS(7423),
    [anon_sym_BSLASHNotecite] = ACTIONS(7423),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7423),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7423),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7423),
    [anon_sym_BSLASHlabel] = ACTIONS(7423),
    [anon_sym_BSLASHref] = ACTIONS(7423),
    [anon_sym_BSLASHeqref] = ACTIONS(7423),
    [anon_sym_BSLASHvref] = ACTIONS(7423),
    [anon_sym_BSLASHVref] = ACTIONS(7423),
    [anon_sym_BSLASHautoref] = ACTIONS(7423),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHpageref] = ACTIONS(7423),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHautopageref] = ACTIONS(7423),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcref] = ACTIONS(7423),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHCref] = ACTIONS(7423),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcpageref] = ACTIONS(7423),
    [anon_sym_BSLASHCpageref] = ACTIONS(7423),
    [anon_sym_BSLASHnamecref] = ACTIONS(7423),
    [anon_sym_BSLASHnameCref] = ACTIONS(7423),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7423),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7423),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7423),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7423),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7423),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7423),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7423),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7423),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7423),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7423),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7423),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7423),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7423),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7423),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7423),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7423),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7423),
    [anon_sym_BSLASHdef] = ACTIONS(7423),
    [anon_sym_BSLASHgdef] = ACTIONS(7423),
    [anon_sym_BSLASHedef] = ACTIONS(7423),
    [anon_sym_BSLASHxdef] = ACTIONS(7423),
    [anon_sym_BSLASHlet] = ACTIONS(7423),
    [anon_sym_BSLASHglet] = ACTIONS(7423),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7423),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7423),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7423),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7423),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7423),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7423),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7423),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7423),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7423),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7423),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7423),
    [anon_sym_BSLASHgls] = ACTIONS(7423),
    [anon_sym_BSLASHGls] = ACTIONS(7423),
    [anon_sym_BSLASHGLS] = ACTIONS(7423),
    [anon_sym_BSLASHglspl] = ACTIONS(7423),
    [anon_sym_BSLASHGlspl] = ACTIONS(7423),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7423),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7423),
    [anon_sym_BSLASHglslink] = ACTIONS(7423),
    [anon_sym_BSLASHglstext] = ACTIONS(7423),
    [anon_sym_BSLASHGlstext] = ACTIONS(7423),
    [anon_sym_BSLASHGLStext] = ACTIONS(7423),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7423),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7423),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7423),
    [anon_sym_BSLASHglsplural] = ACTIONS(7423),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7423),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7423),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7423),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7423),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7423),
    [anon_sym_BSLASHglsname] = ACTIONS(7423),
    [anon_sym_BSLASHGlsname] = ACTIONS(7423),
    [anon_sym_BSLASHGLSname] = ACTIONS(7423),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7423),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7423),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7423),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7423),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7423),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7423),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7423),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7423),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7423),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7423),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7423),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7423),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7423),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7423),
    [anon_sym_BSLASHacrshort] = ACTIONS(7423),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7423),
    [anon_sym_BSLASHACRshort] = ACTIONS(7423),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHacrlong] = ACTIONS(7423),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7423),
    [anon_sym_BSLASHACRlong] = ACTIONS(7423),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7423),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7423),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7423),
    [anon_sym_BSLASHacrfull] = ACTIONS(7423),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7423),
    [anon_sym_BSLASHACRfull] = ACTIONS(7423),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHacs] = ACTIONS(7423),
    [anon_sym_BSLASHAcs] = ACTIONS(7423),
    [anon_sym_BSLASHacsp] = ACTIONS(7423),
    [anon_sym_BSLASHAcsp] = ACTIONS(7423),
    [anon_sym_BSLASHacl] = ACTIONS(7423),
    [anon_sym_BSLASHAcl] = ACTIONS(7423),
    [anon_sym_BSLASHaclp] = ACTIONS(7423),
    [anon_sym_BSLASHAclp] = ACTIONS(7423),
    [anon_sym_BSLASHacf] = ACTIONS(7423),
    [anon_sym_BSLASHAcf] = ACTIONS(7423),
    [anon_sym_BSLASHacfp] = ACTIONS(7423),
    [anon_sym_BSLASHAcfp] = ACTIONS(7423),
    [anon_sym_BSLASHac] = ACTIONS(7423),
    [anon_sym_BSLASHAc] = ACTIONS(7423),
    [anon_sym_BSLASHacp] = ACTIONS(7423),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7423),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7423),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7423),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7423),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7423),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7423),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7423),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7425),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7423),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7423),
    [anon_sym_BSLASHcolor] = ACTIONS(7423),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7423),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7423),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7423),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7423),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7423),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7423),
    [anon_sym_BSLASHurl] = ACTIONS(7423),
    [anon_sym_BSLASHhref] = ACTIONS(7423),
  },
  [2045] = {
    [sym_command_name] = ACTIONS(7427),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7427),
    [anon_sym_LBRACK] = ACTIONS(7429),
    [anon_sym_RBRACK] = ACTIONS(7429),
    [anon_sym_COMMA] = ACTIONS(7429),
    [anon_sym_EQ] = ACTIONS(7429),
    [anon_sym_LPAREN] = ACTIONS(7429),
    [anon_sym_RPAREN] = ACTIONS(7429),
    [anon_sym_LBRACE] = ACTIONS(7429),
    [sym_word] = ACTIONS(7427),
    [sym_placeholder] = ACTIONS(7429),
    [sym_delimiter] = ACTIONS(7429),
    [anon_sym_PLUS] = ACTIONS(7429),
    [anon_sym_DASH] = ACTIONS(7429),
    [anon_sym_STAR] = ACTIONS(7429),
    [anon_sym_SLASH] = ACTIONS(7429),
    [anon_sym_LT] = ACTIONS(7427),
    [anon_sym_GT] = ACTIONS(7427),
    [anon_sym_BANG] = ACTIONS(7427),
    [anon_sym_PIPE] = ACTIONS(7427),
    [anon_sym_COLON] = ACTIONS(7427),
    [anon_sym_SQUOTE] = ACTIONS(7427),
    [anon_sym__] = ACTIONS(7429),
    [anon_sym_CARET] = ACTIONS(7429),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7429),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7429),
    [anon_sym_DOLLAR] = ACTIONS(7427),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7429),
    [anon_sym_BSLASHleft] = ACTIONS(7427),
    [anon_sym_BSLASHbigl] = ACTIONS(7427),
    [anon_sym_BSLASHBigl] = ACTIONS(7427),
    [anon_sym_BSLASHbiggl] = ACTIONS(7427),
    [anon_sym_BSLASHBiggl] = ACTIONS(7427),
    [anon_sym_BSLASHtext] = ACTIONS(7427),
    [anon_sym_BSLASHintertext] = ACTIONS(7427),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7427),
    [anon_sym_BSLASHbegin] = ACTIONS(7427),
    [anon_sym_BSLASHtitle] = ACTIONS(7427),
    [anon_sym_BSLASHauthor] = ACTIONS(7427),
    [anon_sym_BSLASHusepackage] = ACTIONS(7427),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7427),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7427),
    [anon_sym_BSLASHinclude] = ACTIONS(7427),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7427),
    [anon_sym_BSLASHinput] = ACTIONS(7427),
    [anon_sym_BSLASHsubfile] = ACTIONS(7427),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7427),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7427),
    [anon_sym_BSLASHbibliography] = ACTIONS(7427),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7427),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7427),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7427),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7427),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7427),
    [anon_sym_BSLASHimport] = ACTIONS(7427),
    [anon_sym_BSLASHsubimport] = ACTIONS(7427),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7427),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7427),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7427),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7427),
    [anon_sym_BSLASHcaption] = ACTIONS(7427),
    [anon_sym_BSLASHcite] = ACTIONS(7427),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHCite] = ACTIONS(7427),
    [anon_sym_BSLASHnocite] = ACTIONS(7427),
    [anon_sym_BSLASHcitet] = ACTIONS(7427),
    [anon_sym_BSLASHcitep] = ACTIONS(7427),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHciteA] = ACTIONS(7427),
    [anon_sym_BSLASHciteR] = ACTIONS(7427),
    [anon_sym_BSLASHciteS] = ACTIONS(7427),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7427),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7427),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7427),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7427),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHciteyear] = ACTIONS(7427),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcitedate] = ACTIONS(7427),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHciteurl] = ACTIONS(7427),
    [anon_sym_BSLASHfullcite] = ACTIONS(7427),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7427),
    [anon_sym_BSLASHcitealt] = ACTIONS(7427),
    [anon_sym_BSLASHcitealp] = ACTIONS(7427),
    [anon_sym_BSLASHcitetext] = ACTIONS(7427),
    [anon_sym_BSLASHparencite] = ACTIONS(7427),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHParencite] = ACTIONS(7427),
    [anon_sym_BSLASHfootcite] = ACTIONS(7427),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7427),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7427),
    [anon_sym_BSLASHtextcite] = ACTIONS(7427),
    [anon_sym_BSLASHTextcite] = ACTIONS(7427),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7427),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7427),
    [anon_sym_BSLASHsupercite] = ACTIONS(7427),
    [anon_sym_BSLASHautocite] = ACTIONS(7427),
    [anon_sym_BSLASHAutocite] = ACTIONS(7427),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHVolcite] = ACTIONS(7427),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHavolcite] = ACTIONS(7427),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7427),
    [anon_sym_BSLASHnotecite] = ACTIONS(7427),
    [anon_sym_BSLASHNotecite] = ACTIONS(7427),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7427),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7427),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7427),
    [anon_sym_BSLASHlabel] = ACTIONS(7427),
    [anon_sym_BSLASHref] = ACTIONS(7427),
    [anon_sym_BSLASHeqref] = ACTIONS(7427),
    [anon_sym_BSLASHvref] = ACTIONS(7427),
    [anon_sym_BSLASHVref] = ACTIONS(7427),
    [anon_sym_BSLASHautoref] = ACTIONS(7427),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHpageref] = ACTIONS(7427),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHautopageref] = ACTIONS(7427),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcref] = ACTIONS(7427),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHCref] = ACTIONS(7427),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcpageref] = ACTIONS(7427),
    [anon_sym_BSLASHCpageref] = ACTIONS(7427),
    [anon_sym_BSLASHnamecref] = ACTIONS(7427),
    [anon_sym_BSLASHnameCref] = ACTIONS(7427),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7427),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7427),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7427),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7427),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7427),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7427),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7427),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7427),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7427),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7427),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7427),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7427),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7427),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7427),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7427),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7427),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7427),
    [anon_sym_BSLASHdef] = ACTIONS(7427),
    [anon_sym_BSLASHgdef] = ACTIONS(7427),
    [anon_sym_BSLASHedef] = ACTIONS(7427),
    [anon_sym_BSLASHxdef] = ACTIONS(7427),
    [anon_sym_BSLASHlet] = ACTIONS(7427),
    [anon_sym_BSLASHglet] = ACTIONS(7427),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7427),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7427),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7427),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7427),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7427),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7427),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7427),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7427),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7427),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7427),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7427),
    [anon_sym_BSLASHgls] = ACTIONS(7427),
    [anon_sym_BSLASHGls] = ACTIONS(7427),
    [anon_sym_BSLASHGLS] = ACTIONS(7427),
    [anon_sym_BSLASHglspl] = ACTIONS(7427),
    [anon_sym_BSLASHGlspl] = ACTIONS(7427),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7427),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7427),
    [anon_sym_BSLASHglslink] = ACTIONS(7427),
    [anon_sym_BSLASHglstext] = ACTIONS(7427),
    [anon_sym_BSLASHGlstext] = ACTIONS(7427),
    [anon_sym_BSLASHGLStext] = ACTIONS(7427),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7427),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7427),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7427),
    [anon_sym_BSLASHglsplural] = ACTIONS(7427),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7427),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7427),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7427),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7427),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7427),
    [anon_sym_BSLASHglsname] = ACTIONS(7427),
    [anon_sym_BSLASHGlsname] = ACTIONS(7427),
    [anon_sym_BSLASHGLSname] = ACTIONS(7427),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7427),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7427),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7427),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7427),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7427),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7427),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7427),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7427),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7427),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7427),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7427),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7427),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7427),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7427),
    [anon_sym_BSLASHacrshort] = ACTIONS(7427),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7427),
    [anon_sym_BSLASHACRshort] = ACTIONS(7427),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHacrlong] = ACTIONS(7427),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7427),
    [anon_sym_BSLASHACRlong] = ACTIONS(7427),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7427),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7427),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7427),
    [anon_sym_BSLASHacrfull] = ACTIONS(7427),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7427),
    [anon_sym_BSLASHACRfull] = ACTIONS(7427),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHacs] = ACTIONS(7427),
    [anon_sym_BSLASHAcs] = ACTIONS(7427),
    [anon_sym_BSLASHacsp] = ACTIONS(7427),
    [anon_sym_BSLASHAcsp] = ACTIONS(7427),
    [anon_sym_BSLASHacl] = ACTIONS(7427),
    [anon_sym_BSLASHAcl] = ACTIONS(7427),
    [anon_sym_BSLASHaclp] = ACTIONS(7427),
    [anon_sym_BSLASHAclp] = ACTIONS(7427),
    [anon_sym_BSLASHacf] = ACTIONS(7427),
    [anon_sym_BSLASHAcf] = ACTIONS(7427),
    [anon_sym_BSLASHacfp] = ACTIONS(7427),
    [anon_sym_BSLASHAcfp] = ACTIONS(7427),
    [anon_sym_BSLASHac] = ACTIONS(7427),
    [anon_sym_BSLASHAc] = ACTIONS(7427),
    [anon_sym_BSLASHacp] = ACTIONS(7427),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7427),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7427),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7427),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7427),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7427),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7427),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7427),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7429),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7427),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7427),
    [anon_sym_BSLASHcolor] = ACTIONS(7427),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7427),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7427),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7427),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7427),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7427),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7427),
    [anon_sym_BSLASHurl] = ACTIONS(7427),
    [anon_sym_BSLASHhref] = ACTIONS(7427),
  },
  [2046] = {
    [sym_command_name] = ACTIONS(7431),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7431),
    [anon_sym_LBRACK] = ACTIONS(7433),
    [anon_sym_RBRACK] = ACTIONS(7433),
    [anon_sym_COMMA] = ACTIONS(7433),
    [anon_sym_EQ] = ACTIONS(7433),
    [anon_sym_LPAREN] = ACTIONS(7433),
    [anon_sym_RPAREN] = ACTIONS(7433),
    [anon_sym_LBRACE] = ACTIONS(7433),
    [sym_word] = ACTIONS(7431),
    [sym_placeholder] = ACTIONS(7433),
    [sym_delimiter] = ACTIONS(7433),
    [anon_sym_PLUS] = ACTIONS(7433),
    [anon_sym_DASH] = ACTIONS(7433),
    [anon_sym_STAR] = ACTIONS(7433),
    [anon_sym_SLASH] = ACTIONS(7433),
    [anon_sym_LT] = ACTIONS(7431),
    [anon_sym_GT] = ACTIONS(7431),
    [anon_sym_BANG] = ACTIONS(7431),
    [anon_sym_PIPE] = ACTIONS(7431),
    [anon_sym_COLON] = ACTIONS(7431),
    [anon_sym_SQUOTE] = ACTIONS(7431),
    [anon_sym__] = ACTIONS(7433),
    [anon_sym_CARET] = ACTIONS(7433),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7433),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7433),
    [anon_sym_DOLLAR] = ACTIONS(7431),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7433),
    [anon_sym_BSLASHleft] = ACTIONS(7431),
    [anon_sym_BSLASHbigl] = ACTIONS(7431),
    [anon_sym_BSLASHBigl] = ACTIONS(7431),
    [anon_sym_BSLASHbiggl] = ACTIONS(7431),
    [anon_sym_BSLASHBiggl] = ACTIONS(7431),
    [anon_sym_BSLASHtext] = ACTIONS(7431),
    [anon_sym_BSLASHintertext] = ACTIONS(7431),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7431),
    [anon_sym_BSLASHbegin] = ACTIONS(7431),
    [anon_sym_BSLASHtitle] = ACTIONS(7431),
    [anon_sym_BSLASHauthor] = ACTIONS(7431),
    [anon_sym_BSLASHusepackage] = ACTIONS(7431),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7431),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7431),
    [anon_sym_BSLASHinclude] = ACTIONS(7431),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7431),
    [anon_sym_BSLASHinput] = ACTIONS(7431),
    [anon_sym_BSLASHsubfile] = ACTIONS(7431),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7431),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7431),
    [anon_sym_BSLASHbibliography] = ACTIONS(7431),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7431),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7431),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7431),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7431),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7431),
    [anon_sym_BSLASHimport] = ACTIONS(7431),
    [anon_sym_BSLASHsubimport] = ACTIONS(7431),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7431),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7431),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7431),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7431),
    [anon_sym_BSLASHcaption] = ACTIONS(7431),
    [anon_sym_BSLASHcite] = ACTIONS(7431),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHCite] = ACTIONS(7431),
    [anon_sym_BSLASHnocite] = ACTIONS(7431),
    [anon_sym_BSLASHcitet] = ACTIONS(7431),
    [anon_sym_BSLASHcitep] = ACTIONS(7431),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHciteA] = ACTIONS(7431),
    [anon_sym_BSLASHciteR] = ACTIONS(7431),
    [anon_sym_BSLASHciteS] = ACTIONS(7431),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7431),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7431),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7431),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7431),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHciteyear] = ACTIONS(7431),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcitedate] = ACTIONS(7431),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHciteurl] = ACTIONS(7431),
    [anon_sym_BSLASHfullcite] = ACTIONS(7431),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7431),
    [anon_sym_BSLASHcitealt] = ACTIONS(7431),
    [anon_sym_BSLASHcitealp] = ACTIONS(7431),
    [anon_sym_BSLASHcitetext] = ACTIONS(7431),
    [anon_sym_BSLASHparencite] = ACTIONS(7431),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHParencite] = ACTIONS(7431),
    [anon_sym_BSLASHfootcite] = ACTIONS(7431),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7431),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7431),
    [anon_sym_BSLASHtextcite] = ACTIONS(7431),
    [anon_sym_BSLASHTextcite] = ACTIONS(7431),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7431),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7431),
    [anon_sym_BSLASHsupercite] = ACTIONS(7431),
    [anon_sym_BSLASHautocite] = ACTIONS(7431),
    [anon_sym_BSLASHAutocite] = ACTIONS(7431),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHVolcite] = ACTIONS(7431),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHavolcite] = ACTIONS(7431),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7431),
    [anon_sym_BSLASHnotecite] = ACTIONS(7431),
    [anon_sym_BSLASHNotecite] = ACTIONS(7431),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7431),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7431),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7431),
    [anon_sym_BSLASHlabel] = ACTIONS(7431),
    [anon_sym_BSLASHref] = ACTIONS(7431),
    [anon_sym_BSLASHeqref] = ACTIONS(7431),
    [anon_sym_BSLASHvref] = ACTIONS(7431),
    [anon_sym_BSLASHVref] = ACTIONS(7431),
    [anon_sym_BSLASHautoref] = ACTIONS(7431),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHpageref] = ACTIONS(7431),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHautopageref] = ACTIONS(7431),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcref] = ACTIONS(7431),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHCref] = ACTIONS(7431),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcpageref] = ACTIONS(7431),
    [anon_sym_BSLASHCpageref] = ACTIONS(7431),
    [anon_sym_BSLASHnamecref] = ACTIONS(7431),
    [anon_sym_BSLASHnameCref] = ACTIONS(7431),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7431),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7431),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7431),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7431),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7431),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7431),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7431),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7431),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7431),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7431),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7431),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7431),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7431),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7431),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7431),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7431),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7431),
    [anon_sym_BSLASHdef] = ACTIONS(7431),
    [anon_sym_BSLASHgdef] = ACTIONS(7431),
    [anon_sym_BSLASHedef] = ACTIONS(7431),
    [anon_sym_BSLASHxdef] = ACTIONS(7431),
    [anon_sym_BSLASHlet] = ACTIONS(7431),
    [anon_sym_BSLASHglet] = ACTIONS(7431),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7431),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7431),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7431),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7431),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7431),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7431),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7431),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7431),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7431),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7431),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7431),
    [anon_sym_BSLASHgls] = ACTIONS(7431),
    [anon_sym_BSLASHGls] = ACTIONS(7431),
    [anon_sym_BSLASHGLS] = ACTIONS(7431),
    [anon_sym_BSLASHglspl] = ACTIONS(7431),
    [anon_sym_BSLASHGlspl] = ACTIONS(7431),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7431),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7431),
    [anon_sym_BSLASHglslink] = ACTIONS(7431),
    [anon_sym_BSLASHglstext] = ACTIONS(7431),
    [anon_sym_BSLASHGlstext] = ACTIONS(7431),
    [anon_sym_BSLASHGLStext] = ACTIONS(7431),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7431),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7431),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7431),
    [anon_sym_BSLASHglsplural] = ACTIONS(7431),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7431),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7431),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7431),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7431),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7431),
    [anon_sym_BSLASHglsname] = ACTIONS(7431),
    [anon_sym_BSLASHGlsname] = ACTIONS(7431),
    [anon_sym_BSLASHGLSname] = ACTIONS(7431),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7431),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7431),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7431),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7431),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7431),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7431),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7431),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7431),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7431),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7431),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7431),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7431),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7431),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7431),
    [anon_sym_BSLASHacrshort] = ACTIONS(7431),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7431),
    [anon_sym_BSLASHACRshort] = ACTIONS(7431),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHacrlong] = ACTIONS(7431),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7431),
    [anon_sym_BSLASHACRlong] = ACTIONS(7431),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7431),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7431),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7431),
    [anon_sym_BSLASHacrfull] = ACTIONS(7431),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7431),
    [anon_sym_BSLASHACRfull] = ACTIONS(7431),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHacs] = ACTIONS(7431),
    [anon_sym_BSLASHAcs] = ACTIONS(7431),
    [anon_sym_BSLASHacsp] = ACTIONS(7431),
    [anon_sym_BSLASHAcsp] = ACTIONS(7431),
    [anon_sym_BSLASHacl] = ACTIONS(7431),
    [anon_sym_BSLASHAcl] = ACTIONS(7431),
    [anon_sym_BSLASHaclp] = ACTIONS(7431),
    [anon_sym_BSLASHAclp] = ACTIONS(7431),
    [anon_sym_BSLASHacf] = ACTIONS(7431),
    [anon_sym_BSLASHAcf] = ACTIONS(7431),
    [anon_sym_BSLASHacfp] = ACTIONS(7431),
    [anon_sym_BSLASHAcfp] = ACTIONS(7431),
    [anon_sym_BSLASHac] = ACTIONS(7431),
    [anon_sym_BSLASHAc] = ACTIONS(7431),
    [anon_sym_BSLASHacp] = ACTIONS(7431),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7431),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7431),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7431),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7431),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7431),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7431),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7431),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7433),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7431),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7431),
    [anon_sym_BSLASHcolor] = ACTIONS(7431),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7431),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7431),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7431),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7431),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7431),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7431),
    [anon_sym_BSLASHurl] = ACTIONS(7431),
    [anon_sym_BSLASHhref] = ACTIONS(7431),
  },
  [2047] = {
    [sym_command_name] = ACTIONS(7195),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7195),
    [anon_sym_LBRACK] = ACTIONS(7197),
    [anon_sym_RBRACK] = ACTIONS(7197),
    [anon_sym_COMMA] = ACTIONS(7197),
    [anon_sym_EQ] = ACTIONS(7197),
    [anon_sym_LPAREN] = ACTIONS(7197),
    [anon_sym_RPAREN] = ACTIONS(7197),
    [anon_sym_LBRACE] = ACTIONS(7197),
    [sym_word] = ACTIONS(7195),
    [sym_placeholder] = ACTIONS(7197),
    [sym_delimiter] = ACTIONS(7197),
    [anon_sym_PLUS] = ACTIONS(7197),
    [anon_sym_DASH] = ACTIONS(7197),
    [anon_sym_STAR] = ACTIONS(7197),
    [anon_sym_SLASH] = ACTIONS(7197),
    [anon_sym_LT] = ACTIONS(7195),
    [anon_sym_GT] = ACTIONS(7195),
    [anon_sym_BANG] = ACTIONS(7195),
    [anon_sym_PIPE] = ACTIONS(7195),
    [anon_sym_COLON] = ACTIONS(7195),
    [anon_sym_SQUOTE] = ACTIONS(7195),
    [anon_sym__] = ACTIONS(7197),
    [anon_sym_CARET] = ACTIONS(7197),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7197),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7197),
    [anon_sym_DOLLAR] = ACTIONS(7195),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7197),
    [anon_sym_BSLASHleft] = ACTIONS(7195),
    [anon_sym_BSLASHbigl] = ACTIONS(7195),
    [anon_sym_BSLASHBigl] = ACTIONS(7195),
    [anon_sym_BSLASHbiggl] = ACTIONS(7195),
    [anon_sym_BSLASHBiggl] = ACTIONS(7195),
    [anon_sym_BSLASHtext] = ACTIONS(7195),
    [anon_sym_BSLASHintertext] = ACTIONS(7195),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7195),
    [anon_sym_BSLASHbegin] = ACTIONS(7195),
    [anon_sym_BSLASHtitle] = ACTIONS(7195),
    [anon_sym_BSLASHauthor] = ACTIONS(7195),
    [anon_sym_BSLASHusepackage] = ACTIONS(7195),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7195),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7195),
    [anon_sym_BSLASHinclude] = ACTIONS(7195),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7195),
    [anon_sym_BSLASHinput] = ACTIONS(7195),
    [anon_sym_BSLASHsubfile] = ACTIONS(7195),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7195),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7195),
    [anon_sym_BSLASHbibliography] = ACTIONS(7195),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7195),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7195),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7195),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7195),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7195),
    [anon_sym_BSLASHimport] = ACTIONS(7195),
    [anon_sym_BSLASHsubimport] = ACTIONS(7195),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7195),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7195),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7195),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7195),
    [anon_sym_BSLASHcaption] = ACTIONS(7195),
    [anon_sym_BSLASHcite] = ACTIONS(7195),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCite] = ACTIONS(7195),
    [anon_sym_BSLASHnocite] = ACTIONS(7195),
    [anon_sym_BSLASHcitet] = ACTIONS(7195),
    [anon_sym_BSLASHcitep] = ACTIONS(7195),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteA] = ACTIONS(7195),
    [anon_sym_BSLASHciteR] = ACTIONS(7195),
    [anon_sym_BSLASHciteS] = ACTIONS(7195),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7195),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7195),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7195),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7195),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteyear] = ACTIONS(7195),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitedate] = ACTIONS(7195),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteurl] = ACTIONS(7195),
    [anon_sym_BSLASHfullcite] = ACTIONS(7195),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7195),
    [anon_sym_BSLASHcitealt] = ACTIONS(7195),
    [anon_sym_BSLASHcitealp] = ACTIONS(7195),
    [anon_sym_BSLASHcitetext] = ACTIONS(7195),
    [anon_sym_BSLASHparencite] = ACTIONS(7195),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHParencite] = ACTIONS(7195),
    [anon_sym_BSLASHfootcite] = ACTIONS(7195),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7195),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7195),
    [anon_sym_BSLASHtextcite] = ACTIONS(7195),
    [anon_sym_BSLASHTextcite] = ACTIONS(7195),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7195),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7195),
    [anon_sym_BSLASHsupercite] = ACTIONS(7195),
    [anon_sym_BSLASHautocite] = ACTIONS(7195),
    [anon_sym_BSLASHAutocite] = ACTIONS(7195),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHVolcite] = ACTIONS(7195),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHavolcite] = ACTIONS(7195),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHNotecite] = ACTIONS(7195),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHlabel] = ACTIONS(7195),
    [anon_sym_BSLASHref] = ACTIONS(7195),
    [anon_sym_BSLASHeqref] = ACTIONS(7195),
    [anon_sym_BSLASHvref] = ACTIONS(7195),
    [anon_sym_BSLASHVref] = ACTIONS(7195),
    [anon_sym_BSLASHautoref] = ACTIONS(7195),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHpageref] = ACTIONS(7195),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHautopageref] = ACTIONS(7195),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcref] = ACTIONS(7195),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCref] = ACTIONS(7195),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcpageref] = ACTIONS(7195),
    [anon_sym_BSLASHCpageref] = ACTIONS(7195),
    [anon_sym_BSLASHnamecref] = ACTIONS(7195),
    [anon_sym_BSLASHnameCref] = ACTIONS(7195),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7195),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7195),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7195),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7195),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7195),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7195),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7195),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7195),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7195),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7195),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7195),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHdef] = ACTIONS(7195),
    [anon_sym_BSLASHgdef] = ACTIONS(7195),
    [anon_sym_BSLASHedef] = ACTIONS(7195),
    [anon_sym_BSLASHxdef] = ACTIONS(7195),
    [anon_sym_BSLASHlet] = ACTIONS(7195),
    [anon_sym_BSLASHglet] = ACTIONS(7195),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7195),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7195),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7195),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7195),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7195),
    [anon_sym_BSLASHgls] = ACTIONS(7195),
    [anon_sym_BSLASHGls] = ACTIONS(7195),
    [anon_sym_BSLASHGLS] = ACTIONS(7195),
    [anon_sym_BSLASHglspl] = ACTIONS(7195),
    [anon_sym_BSLASHGlspl] = ACTIONS(7195),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7195),
    [anon_sym_BSLASHglslink] = ACTIONS(7195),
    [anon_sym_BSLASHglstext] = ACTIONS(7195),
    [anon_sym_BSLASHGlstext] = ACTIONS(7195),
    [anon_sym_BSLASHGLStext] = ACTIONS(7195),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7195),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7195),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7195),
    [anon_sym_BSLASHglsplural] = ACTIONS(7195),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7195),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7195),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHglsname] = ACTIONS(7195),
    [anon_sym_BSLASHGlsname] = ACTIONS(7195),
    [anon_sym_BSLASHGLSname] = ACTIONS(7195),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7195),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7195),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7195),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7195),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7195),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7195),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7195),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7195),
    [anon_sym_BSLASHacrshort] = ACTIONS(7195),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7195),
    [anon_sym_BSLASHACRshort] = ACTIONS(7195),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHacrlong] = ACTIONS(7195),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7195),
    [anon_sym_BSLASHACRlong] = ACTIONS(7195),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHacrfull] = ACTIONS(7195),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7195),
    [anon_sym_BSLASHACRfull] = ACTIONS(7195),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHacs] = ACTIONS(7195),
    [anon_sym_BSLASHAcs] = ACTIONS(7195),
    [anon_sym_BSLASHacsp] = ACTIONS(7195),
    [anon_sym_BSLASHAcsp] = ACTIONS(7195),
    [anon_sym_BSLASHacl] = ACTIONS(7195),
    [anon_sym_BSLASHAcl] = ACTIONS(7195),
    [anon_sym_BSLASHaclp] = ACTIONS(7195),
    [anon_sym_BSLASHAclp] = ACTIONS(7195),
    [anon_sym_BSLASHacf] = ACTIONS(7195),
    [anon_sym_BSLASHAcf] = ACTIONS(7195),
    [anon_sym_BSLASHacfp] = ACTIONS(7195),
    [anon_sym_BSLASHAcfp] = ACTIONS(7195),
    [anon_sym_BSLASHac] = ACTIONS(7195),
    [anon_sym_BSLASHAc] = ACTIONS(7195),
    [anon_sym_BSLASHacp] = ACTIONS(7195),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7195),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7195),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7195),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7195),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7195),
    [anon_sym_BSLASHcolor] = ACTIONS(7195),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7195),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7195),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7195),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7195),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7195),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7195),
    [anon_sym_BSLASHurl] = ACTIONS(7195),
    [anon_sym_BSLASHhref] = ACTIONS(7195),
  },
  [2048] = {
    [sym_command_name] = ACTIONS(7435),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7435),
    [anon_sym_LBRACK] = ACTIONS(7437),
    [anon_sym_RBRACK] = ACTIONS(7437),
    [anon_sym_COMMA] = ACTIONS(7437),
    [anon_sym_EQ] = ACTIONS(7437),
    [anon_sym_LPAREN] = ACTIONS(7437),
    [anon_sym_RPAREN] = ACTIONS(7437),
    [anon_sym_LBRACE] = ACTIONS(7437),
    [sym_word] = ACTIONS(7435),
    [sym_placeholder] = ACTIONS(7437),
    [sym_delimiter] = ACTIONS(7437),
    [anon_sym_PLUS] = ACTIONS(7437),
    [anon_sym_DASH] = ACTIONS(7437),
    [anon_sym_STAR] = ACTIONS(7437),
    [anon_sym_SLASH] = ACTIONS(7437),
    [anon_sym_LT] = ACTIONS(7435),
    [anon_sym_GT] = ACTIONS(7435),
    [anon_sym_BANG] = ACTIONS(7435),
    [anon_sym_PIPE] = ACTIONS(7435),
    [anon_sym_COLON] = ACTIONS(7435),
    [anon_sym_SQUOTE] = ACTIONS(7435),
    [anon_sym__] = ACTIONS(7437),
    [anon_sym_CARET] = ACTIONS(7437),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7437),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7437),
    [anon_sym_DOLLAR] = ACTIONS(7435),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7437),
    [anon_sym_BSLASHleft] = ACTIONS(7435),
    [anon_sym_BSLASHbigl] = ACTIONS(7435),
    [anon_sym_BSLASHBigl] = ACTIONS(7435),
    [anon_sym_BSLASHbiggl] = ACTIONS(7435),
    [anon_sym_BSLASHBiggl] = ACTIONS(7435),
    [anon_sym_BSLASHtext] = ACTIONS(7435),
    [anon_sym_BSLASHintertext] = ACTIONS(7435),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7435),
    [anon_sym_BSLASHbegin] = ACTIONS(7435),
    [anon_sym_BSLASHtitle] = ACTIONS(7435),
    [anon_sym_BSLASHauthor] = ACTIONS(7435),
    [anon_sym_BSLASHusepackage] = ACTIONS(7435),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7435),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7435),
    [anon_sym_BSLASHinclude] = ACTIONS(7435),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7435),
    [anon_sym_BSLASHinput] = ACTIONS(7435),
    [anon_sym_BSLASHsubfile] = ACTIONS(7435),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7435),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7435),
    [anon_sym_BSLASHbibliography] = ACTIONS(7435),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7435),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7435),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7435),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7435),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7435),
    [anon_sym_BSLASHimport] = ACTIONS(7435),
    [anon_sym_BSLASHsubimport] = ACTIONS(7435),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7435),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7435),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7435),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7435),
    [anon_sym_BSLASHcaption] = ACTIONS(7435),
    [anon_sym_BSLASHcite] = ACTIONS(7435),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHCite] = ACTIONS(7435),
    [anon_sym_BSLASHnocite] = ACTIONS(7435),
    [anon_sym_BSLASHcitet] = ACTIONS(7435),
    [anon_sym_BSLASHcitep] = ACTIONS(7435),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHciteA] = ACTIONS(7435),
    [anon_sym_BSLASHciteR] = ACTIONS(7435),
    [anon_sym_BSLASHciteS] = ACTIONS(7435),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7435),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7435),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7435),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7435),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHciteyear] = ACTIONS(7435),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcitedate] = ACTIONS(7435),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHciteurl] = ACTIONS(7435),
    [anon_sym_BSLASHfullcite] = ACTIONS(7435),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7435),
    [anon_sym_BSLASHcitealt] = ACTIONS(7435),
    [anon_sym_BSLASHcitealp] = ACTIONS(7435),
    [anon_sym_BSLASHcitetext] = ACTIONS(7435),
    [anon_sym_BSLASHparencite] = ACTIONS(7435),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHParencite] = ACTIONS(7435),
    [anon_sym_BSLASHfootcite] = ACTIONS(7435),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7435),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7435),
    [anon_sym_BSLASHtextcite] = ACTIONS(7435),
    [anon_sym_BSLASHTextcite] = ACTIONS(7435),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7435),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7435),
    [anon_sym_BSLASHsupercite] = ACTIONS(7435),
    [anon_sym_BSLASHautocite] = ACTIONS(7435),
    [anon_sym_BSLASHAutocite] = ACTIONS(7435),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHVolcite] = ACTIONS(7435),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHavolcite] = ACTIONS(7435),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7435),
    [anon_sym_BSLASHnotecite] = ACTIONS(7435),
    [anon_sym_BSLASHNotecite] = ACTIONS(7435),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7435),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7435),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7435),
    [anon_sym_BSLASHlabel] = ACTIONS(7435),
    [anon_sym_BSLASHref] = ACTIONS(7435),
    [anon_sym_BSLASHeqref] = ACTIONS(7435),
    [anon_sym_BSLASHvref] = ACTIONS(7435),
    [anon_sym_BSLASHVref] = ACTIONS(7435),
    [anon_sym_BSLASHautoref] = ACTIONS(7435),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHpageref] = ACTIONS(7435),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHautopageref] = ACTIONS(7435),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcref] = ACTIONS(7435),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHCref] = ACTIONS(7435),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcpageref] = ACTIONS(7435),
    [anon_sym_BSLASHCpageref] = ACTIONS(7435),
    [anon_sym_BSLASHnamecref] = ACTIONS(7435),
    [anon_sym_BSLASHnameCref] = ACTIONS(7435),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7435),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7435),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7435),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7435),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7435),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7435),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7435),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7435),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7435),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7435),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7435),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7435),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7435),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7435),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7435),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7435),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7435),
    [anon_sym_BSLASHdef] = ACTIONS(7435),
    [anon_sym_BSLASHgdef] = ACTIONS(7435),
    [anon_sym_BSLASHedef] = ACTIONS(7435),
    [anon_sym_BSLASHxdef] = ACTIONS(7435),
    [anon_sym_BSLASHlet] = ACTIONS(7435),
    [anon_sym_BSLASHglet] = ACTIONS(7435),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7435),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7435),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7435),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7435),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7435),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7435),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7435),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7435),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7435),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7435),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7435),
    [anon_sym_BSLASHgls] = ACTIONS(7435),
    [anon_sym_BSLASHGls] = ACTIONS(7435),
    [anon_sym_BSLASHGLS] = ACTIONS(7435),
    [anon_sym_BSLASHglspl] = ACTIONS(7435),
    [anon_sym_BSLASHGlspl] = ACTIONS(7435),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7435),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7435),
    [anon_sym_BSLASHglslink] = ACTIONS(7435),
    [anon_sym_BSLASHglstext] = ACTIONS(7435),
    [anon_sym_BSLASHGlstext] = ACTIONS(7435),
    [anon_sym_BSLASHGLStext] = ACTIONS(7435),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7435),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7435),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7435),
    [anon_sym_BSLASHglsplural] = ACTIONS(7435),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7435),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7435),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7435),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7435),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7435),
    [anon_sym_BSLASHglsname] = ACTIONS(7435),
    [anon_sym_BSLASHGlsname] = ACTIONS(7435),
    [anon_sym_BSLASHGLSname] = ACTIONS(7435),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7435),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7435),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7435),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7435),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7435),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7435),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7435),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7435),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7435),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7435),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7435),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7435),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7435),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7435),
    [anon_sym_BSLASHacrshort] = ACTIONS(7435),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7435),
    [anon_sym_BSLASHACRshort] = ACTIONS(7435),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHacrlong] = ACTIONS(7435),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7435),
    [anon_sym_BSLASHACRlong] = ACTIONS(7435),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7435),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7435),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7435),
    [anon_sym_BSLASHacrfull] = ACTIONS(7435),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7435),
    [anon_sym_BSLASHACRfull] = ACTIONS(7435),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHacs] = ACTIONS(7435),
    [anon_sym_BSLASHAcs] = ACTIONS(7435),
    [anon_sym_BSLASHacsp] = ACTIONS(7435),
    [anon_sym_BSLASHAcsp] = ACTIONS(7435),
    [anon_sym_BSLASHacl] = ACTIONS(7435),
    [anon_sym_BSLASHAcl] = ACTIONS(7435),
    [anon_sym_BSLASHaclp] = ACTIONS(7435),
    [anon_sym_BSLASHAclp] = ACTIONS(7435),
    [anon_sym_BSLASHacf] = ACTIONS(7435),
    [anon_sym_BSLASHAcf] = ACTIONS(7435),
    [anon_sym_BSLASHacfp] = ACTIONS(7435),
    [anon_sym_BSLASHAcfp] = ACTIONS(7435),
    [anon_sym_BSLASHac] = ACTIONS(7435),
    [anon_sym_BSLASHAc] = ACTIONS(7435),
    [anon_sym_BSLASHacp] = ACTIONS(7435),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7435),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7435),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7435),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7435),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7435),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7435),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7435),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7437),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7435),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7435),
    [anon_sym_BSLASHcolor] = ACTIONS(7435),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7435),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7435),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7435),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7435),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7435),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7435),
    [anon_sym_BSLASHurl] = ACTIONS(7435),
    [anon_sym_BSLASHhref] = ACTIONS(7435),
  },
  [2049] = {
    [sym_command_name] = ACTIONS(7439),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7439),
    [anon_sym_LBRACK] = ACTIONS(7441),
    [anon_sym_RBRACK] = ACTIONS(7441),
    [anon_sym_COMMA] = ACTIONS(7441),
    [anon_sym_EQ] = ACTIONS(7441),
    [anon_sym_LPAREN] = ACTIONS(7441),
    [anon_sym_RPAREN] = ACTIONS(7441),
    [anon_sym_LBRACE] = ACTIONS(7441),
    [sym_word] = ACTIONS(7439),
    [sym_placeholder] = ACTIONS(7441),
    [sym_delimiter] = ACTIONS(7441),
    [anon_sym_PLUS] = ACTIONS(7441),
    [anon_sym_DASH] = ACTIONS(7441),
    [anon_sym_STAR] = ACTIONS(7441),
    [anon_sym_SLASH] = ACTIONS(7441),
    [anon_sym_LT] = ACTIONS(7439),
    [anon_sym_GT] = ACTIONS(7439),
    [anon_sym_BANG] = ACTIONS(7439),
    [anon_sym_PIPE] = ACTIONS(7439),
    [anon_sym_COLON] = ACTIONS(7439),
    [anon_sym_SQUOTE] = ACTIONS(7439),
    [anon_sym__] = ACTIONS(7441),
    [anon_sym_CARET] = ACTIONS(7441),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7441),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7441),
    [anon_sym_DOLLAR] = ACTIONS(7439),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7441),
    [anon_sym_BSLASHleft] = ACTIONS(7439),
    [anon_sym_BSLASHbigl] = ACTIONS(7439),
    [anon_sym_BSLASHBigl] = ACTIONS(7439),
    [anon_sym_BSLASHbiggl] = ACTIONS(7439),
    [anon_sym_BSLASHBiggl] = ACTIONS(7439),
    [anon_sym_BSLASHtext] = ACTIONS(7439),
    [anon_sym_BSLASHintertext] = ACTIONS(7439),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7439),
    [anon_sym_BSLASHbegin] = ACTIONS(7439),
    [anon_sym_BSLASHtitle] = ACTIONS(7439),
    [anon_sym_BSLASHauthor] = ACTIONS(7439),
    [anon_sym_BSLASHusepackage] = ACTIONS(7439),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7439),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7439),
    [anon_sym_BSLASHinclude] = ACTIONS(7439),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7439),
    [anon_sym_BSLASHinput] = ACTIONS(7439),
    [anon_sym_BSLASHsubfile] = ACTIONS(7439),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7439),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7439),
    [anon_sym_BSLASHbibliography] = ACTIONS(7439),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7439),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7439),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7439),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7439),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7439),
    [anon_sym_BSLASHimport] = ACTIONS(7439),
    [anon_sym_BSLASHsubimport] = ACTIONS(7439),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7439),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7439),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7439),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7439),
    [anon_sym_BSLASHcaption] = ACTIONS(7439),
    [anon_sym_BSLASHcite] = ACTIONS(7439),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHCite] = ACTIONS(7439),
    [anon_sym_BSLASHnocite] = ACTIONS(7439),
    [anon_sym_BSLASHcitet] = ACTIONS(7439),
    [anon_sym_BSLASHcitep] = ACTIONS(7439),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHciteA] = ACTIONS(7439),
    [anon_sym_BSLASHciteR] = ACTIONS(7439),
    [anon_sym_BSLASHciteS] = ACTIONS(7439),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7439),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7439),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7439),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7439),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHciteyear] = ACTIONS(7439),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcitedate] = ACTIONS(7439),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHciteurl] = ACTIONS(7439),
    [anon_sym_BSLASHfullcite] = ACTIONS(7439),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7439),
    [anon_sym_BSLASHcitealt] = ACTIONS(7439),
    [anon_sym_BSLASHcitealp] = ACTIONS(7439),
    [anon_sym_BSLASHcitetext] = ACTIONS(7439),
    [anon_sym_BSLASHparencite] = ACTIONS(7439),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHParencite] = ACTIONS(7439),
    [anon_sym_BSLASHfootcite] = ACTIONS(7439),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7439),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7439),
    [anon_sym_BSLASHtextcite] = ACTIONS(7439),
    [anon_sym_BSLASHTextcite] = ACTIONS(7439),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7439),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7439),
    [anon_sym_BSLASHsupercite] = ACTIONS(7439),
    [anon_sym_BSLASHautocite] = ACTIONS(7439),
    [anon_sym_BSLASHAutocite] = ACTIONS(7439),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHVolcite] = ACTIONS(7439),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHavolcite] = ACTIONS(7439),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7439),
    [anon_sym_BSLASHnotecite] = ACTIONS(7439),
    [anon_sym_BSLASHNotecite] = ACTIONS(7439),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7439),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7439),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7439),
    [anon_sym_BSLASHlabel] = ACTIONS(7439),
    [anon_sym_BSLASHref] = ACTIONS(7439),
    [anon_sym_BSLASHeqref] = ACTIONS(7439),
    [anon_sym_BSLASHvref] = ACTIONS(7439),
    [anon_sym_BSLASHVref] = ACTIONS(7439),
    [anon_sym_BSLASHautoref] = ACTIONS(7439),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHpageref] = ACTIONS(7439),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHautopageref] = ACTIONS(7439),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcref] = ACTIONS(7439),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHCref] = ACTIONS(7439),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcpageref] = ACTIONS(7439),
    [anon_sym_BSLASHCpageref] = ACTIONS(7439),
    [anon_sym_BSLASHnamecref] = ACTIONS(7439),
    [anon_sym_BSLASHnameCref] = ACTIONS(7439),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7439),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7439),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7439),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7439),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7439),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7439),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7439),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7439),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7439),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7439),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7439),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7439),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7439),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7439),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7439),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7439),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7439),
    [anon_sym_BSLASHdef] = ACTIONS(7439),
    [anon_sym_BSLASHgdef] = ACTIONS(7439),
    [anon_sym_BSLASHedef] = ACTIONS(7439),
    [anon_sym_BSLASHxdef] = ACTIONS(7439),
    [anon_sym_BSLASHlet] = ACTIONS(7439),
    [anon_sym_BSLASHglet] = ACTIONS(7439),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7439),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7439),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7439),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7439),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7439),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7439),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7439),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7439),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7439),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7439),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7439),
    [anon_sym_BSLASHgls] = ACTIONS(7439),
    [anon_sym_BSLASHGls] = ACTIONS(7439),
    [anon_sym_BSLASHGLS] = ACTIONS(7439),
    [anon_sym_BSLASHglspl] = ACTIONS(7439),
    [anon_sym_BSLASHGlspl] = ACTIONS(7439),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7439),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7439),
    [anon_sym_BSLASHglslink] = ACTIONS(7439),
    [anon_sym_BSLASHglstext] = ACTIONS(7439),
    [anon_sym_BSLASHGlstext] = ACTIONS(7439),
    [anon_sym_BSLASHGLStext] = ACTIONS(7439),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7439),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7439),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7439),
    [anon_sym_BSLASHglsplural] = ACTIONS(7439),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7439),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7439),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7439),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7439),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7439),
    [anon_sym_BSLASHglsname] = ACTIONS(7439),
    [anon_sym_BSLASHGlsname] = ACTIONS(7439),
    [anon_sym_BSLASHGLSname] = ACTIONS(7439),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7439),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7439),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7439),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7439),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7439),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7439),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7439),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7439),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7439),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7439),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7439),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7439),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7439),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7439),
    [anon_sym_BSLASHacrshort] = ACTIONS(7439),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7439),
    [anon_sym_BSLASHACRshort] = ACTIONS(7439),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHacrlong] = ACTIONS(7439),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7439),
    [anon_sym_BSLASHACRlong] = ACTIONS(7439),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7439),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7439),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7439),
    [anon_sym_BSLASHacrfull] = ACTIONS(7439),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7439),
    [anon_sym_BSLASHACRfull] = ACTIONS(7439),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHacs] = ACTIONS(7439),
    [anon_sym_BSLASHAcs] = ACTIONS(7439),
    [anon_sym_BSLASHacsp] = ACTIONS(7439),
    [anon_sym_BSLASHAcsp] = ACTIONS(7439),
    [anon_sym_BSLASHacl] = ACTIONS(7439),
    [anon_sym_BSLASHAcl] = ACTIONS(7439),
    [anon_sym_BSLASHaclp] = ACTIONS(7439),
    [anon_sym_BSLASHAclp] = ACTIONS(7439),
    [anon_sym_BSLASHacf] = ACTIONS(7439),
    [anon_sym_BSLASHAcf] = ACTIONS(7439),
    [anon_sym_BSLASHacfp] = ACTIONS(7439),
    [anon_sym_BSLASHAcfp] = ACTIONS(7439),
    [anon_sym_BSLASHac] = ACTIONS(7439),
    [anon_sym_BSLASHAc] = ACTIONS(7439),
    [anon_sym_BSLASHacp] = ACTIONS(7439),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7439),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7439),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7439),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7439),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7439),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7439),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7439),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7441),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7439),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7439),
    [anon_sym_BSLASHcolor] = ACTIONS(7439),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7439),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7439),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7439),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7439),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7439),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7439),
    [anon_sym_BSLASHurl] = ACTIONS(7439),
    [anon_sym_BSLASHhref] = ACTIONS(7439),
  },
  [2050] = {
    [sym_command_name] = ACTIONS(7443),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7443),
    [anon_sym_LBRACK] = ACTIONS(7445),
    [anon_sym_RBRACK] = ACTIONS(7445),
    [anon_sym_COMMA] = ACTIONS(7445),
    [anon_sym_EQ] = ACTIONS(7445),
    [anon_sym_LPAREN] = ACTIONS(7445),
    [anon_sym_RPAREN] = ACTIONS(7445),
    [anon_sym_LBRACE] = ACTIONS(7445),
    [sym_word] = ACTIONS(7443),
    [sym_placeholder] = ACTIONS(7445),
    [sym_delimiter] = ACTIONS(7445),
    [anon_sym_PLUS] = ACTIONS(7445),
    [anon_sym_DASH] = ACTIONS(7445),
    [anon_sym_STAR] = ACTIONS(7445),
    [anon_sym_SLASH] = ACTIONS(7445),
    [anon_sym_LT] = ACTIONS(7443),
    [anon_sym_GT] = ACTIONS(7443),
    [anon_sym_BANG] = ACTIONS(7443),
    [anon_sym_PIPE] = ACTIONS(7443),
    [anon_sym_COLON] = ACTIONS(7443),
    [anon_sym_SQUOTE] = ACTIONS(7443),
    [anon_sym__] = ACTIONS(7445),
    [anon_sym_CARET] = ACTIONS(7445),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7445),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7445),
    [anon_sym_DOLLAR] = ACTIONS(7443),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7445),
    [anon_sym_BSLASHleft] = ACTIONS(7443),
    [anon_sym_BSLASHbigl] = ACTIONS(7443),
    [anon_sym_BSLASHBigl] = ACTIONS(7443),
    [anon_sym_BSLASHbiggl] = ACTIONS(7443),
    [anon_sym_BSLASHBiggl] = ACTIONS(7443),
    [anon_sym_BSLASHtext] = ACTIONS(7443),
    [anon_sym_BSLASHintertext] = ACTIONS(7443),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7443),
    [anon_sym_BSLASHbegin] = ACTIONS(7443),
    [anon_sym_BSLASHtitle] = ACTIONS(7443),
    [anon_sym_BSLASHauthor] = ACTIONS(7443),
    [anon_sym_BSLASHusepackage] = ACTIONS(7443),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7443),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7443),
    [anon_sym_BSLASHinclude] = ACTIONS(7443),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7443),
    [anon_sym_BSLASHinput] = ACTIONS(7443),
    [anon_sym_BSLASHsubfile] = ACTIONS(7443),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7443),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7443),
    [anon_sym_BSLASHbibliography] = ACTIONS(7443),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7443),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7443),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7443),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7443),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7443),
    [anon_sym_BSLASHimport] = ACTIONS(7443),
    [anon_sym_BSLASHsubimport] = ACTIONS(7443),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7443),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7443),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7443),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7443),
    [anon_sym_BSLASHcaption] = ACTIONS(7443),
    [anon_sym_BSLASHcite] = ACTIONS(7443),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHCite] = ACTIONS(7443),
    [anon_sym_BSLASHnocite] = ACTIONS(7443),
    [anon_sym_BSLASHcitet] = ACTIONS(7443),
    [anon_sym_BSLASHcitep] = ACTIONS(7443),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHciteA] = ACTIONS(7443),
    [anon_sym_BSLASHciteR] = ACTIONS(7443),
    [anon_sym_BSLASHciteS] = ACTIONS(7443),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7443),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7443),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7443),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7443),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHciteyear] = ACTIONS(7443),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcitedate] = ACTIONS(7443),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHciteurl] = ACTIONS(7443),
    [anon_sym_BSLASHfullcite] = ACTIONS(7443),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7443),
    [anon_sym_BSLASHcitealt] = ACTIONS(7443),
    [anon_sym_BSLASHcitealp] = ACTIONS(7443),
    [anon_sym_BSLASHcitetext] = ACTIONS(7443),
    [anon_sym_BSLASHparencite] = ACTIONS(7443),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHParencite] = ACTIONS(7443),
    [anon_sym_BSLASHfootcite] = ACTIONS(7443),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7443),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7443),
    [anon_sym_BSLASHtextcite] = ACTIONS(7443),
    [anon_sym_BSLASHTextcite] = ACTIONS(7443),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7443),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7443),
    [anon_sym_BSLASHsupercite] = ACTIONS(7443),
    [anon_sym_BSLASHautocite] = ACTIONS(7443),
    [anon_sym_BSLASHAutocite] = ACTIONS(7443),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHVolcite] = ACTIONS(7443),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHavolcite] = ACTIONS(7443),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7443),
    [anon_sym_BSLASHnotecite] = ACTIONS(7443),
    [anon_sym_BSLASHNotecite] = ACTIONS(7443),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7443),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7443),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7443),
    [anon_sym_BSLASHlabel] = ACTIONS(7443),
    [anon_sym_BSLASHref] = ACTIONS(7443),
    [anon_sym_BSLASHeqref] = ACTIONS(7443),
    [anon_sym_BSLASHvref] = ACTIONS(7443),
    [anon_sym_BSLASHVref] = ACTIONS(7443),
    [anon_sym_BSLASHautoref] = ACTIONS(7443),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHpageref] = ACTIONS(7443),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHautopageref] = ACTIONS(7443),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcref] = ACTIONS(7443),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHCref] = ACTIONS(7443),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcpageref] = ACTIONS(7443),
    [anon_sym_BSLASHCpageref] = ACTIONS(7443),
    [anon_sym_BSLASHnamecref] = ACTIONS(7443),
    [anon_sym_BSLASHnameCref] = ACTIONS(7443),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7443),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7443),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7443),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7443),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7443),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7443),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7443),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7443),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7443),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7443),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7443),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7443),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7443),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7443),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7443),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7443),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7443),
    [anon_sym_BSLASHdef] = ACTIONS(7443),
    [anon_sym_BSLASHgdef] = ACTIONS(7443),
    [anon_sym_BSLASHedef] = ACTIONS(7443),
    [anon_sym_BSLASHxdef] = ACTIONS(7443),
    [anon_sym_BSLASHlet] = ACTIONS(7443),
    [anon_sym_BSLASHglet] = ACTIONS(7443),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7443),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7443),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7443),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7443),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7443),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7443),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7443),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7443),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7443),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7443),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7443),
    [anon_sym_BSLASHgls] = ACTIONS(7443),
    [anon_sym_BSLASHGls] = ACTIONS(7443),
    [anon_sym_BSLASHGLS] = ACTIONS(7443),
    [anon_sym_BSLASHglspl] = ACTIONS(7443),
    [anon_sym_BSLASHGlspl] = ACTIONS(7443),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7443),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7443),
    [anon_sym_BSLASHglslink] = ACTIONS(7443),
    [anon_sym_BSLASHglstext] = ACTIONS(7443),
    [anon_sym_BSLASHGlstext] = ACTIONS(7443),
    [anon_sym_BSLASHGLStext] = ACTIONS(7443),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7443),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7443),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7443),
    [anon_sym_BSLASHglsplural] = ACTIONS(7443),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7443),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7443),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7443),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7443),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7443),
    [anon_sym_BSLASHglsname] = ACTIONS(7443),
    [anon_sym_BSLASHGlsname] = ACTIONS(7443),
    [anon_sym_BSLASHGLSname] = ACTIONS(7443),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7443),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7443),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7443),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7443),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7443),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7443),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7443),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7443),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7443),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7443),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7443),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7443),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7443),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7443),
    [anon_sym_BSLASHacrshort] = ACTIONS(7443),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7443),
    [anon_sym_BSLASHACRshort] = ACTIONS(7443),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHacrlong] = ACTIONS(7443),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7443),
    [anon_sym_BSLASHACRlong] = ACTIONS(7443),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7443),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7443),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7443),
    [anon_sym_BSLASHacrfull] = ACTIONS(7443),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7443),
    [anon_sym_BSLASHACRfull] = ACTIONS(7443),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHacs] = ACTIONS(7443),
    [anon_sym_BSLASHAcs] = ACTIONS(7443),
    [anon_sym_BSLASHacsp] = ACTIONS(7443),
    [anon_sym_BSLASHAcsp] = ACTIONS(7443),
    [anon_sym_BSLASHacl] = ACTIONS(7443),
    [anon_sym_BSLASHAcl] = ACTIONS(7443),
    [anon_sym_BSLASHaclp] = ACTIONS(7443),
    [anon_sym_BSLASHAclp] = ACTIONS(7443),
    [anon_sym_BSLASHacf] = ACTIONS(7443),
    [anon_sym_BSLASHAcf] = ACTIONS(7443),
    [anon_sym_BSLASHacfp] = ACTIONS(7443),
    [anon_sym_BSLASHAcfp] = ACTIONS(7443),
    [anon_sym_BSLASHac] = ACTIONS(7443),
    [anon_sym_BSLASHAc] = ACTIONS(7443),
    [anon_sym_BSLASHacp] = ACTIONS(7443),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7443),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7443),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7443),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7443),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7443),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7443),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7443),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7445),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7443),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7443),
    [anon_sym_BSLASHcolor] = ACTIONS(7443),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7443),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7443),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7443),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7443),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7443),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7443),
    [anon_sym_BSLASHurl] = ACTIONS(7443),
    [anon_sym_BSLASHhref] = ACTIONS(7443),
  },
  [2051] = {
    [sym_command_name] = ACTIONS(7447),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7447),
    [anon_sym_LBRACK] = ACTIONS(7449),
    [anon_sym_RBRACK] = ACTIONS(7449),
    [anon_sym_COMMA] = ACTIONS(7449),
    [anon_sym_EQ] = ACTIONS(7449),
    [anon_sym_LPAREN] = ACTIONS(7449),
    [anon_sym_RPAREN] = ACTIONS(7449),
    [anon_sym_LBRACE] = ACTIONS(7449),
    [sym_word] = ACTIONS(7447),
    [sym_placeholder] = ACTIONS(7449),
    [sym_delimiter] = ACTIONS(7449),
    [anon_sym_PLUS] = ACTIONS(7449),
    [anon_sym_DASH] = ACTIONS(7449),
    [anon_sym_STAR] = ACTIONS(7449),
    [anon_sym_SLASH] = ACTIONS(7449),
    [anon_sym_LT] = ACTIONS(7447),
    [anon_sym_GT] = ACTIONS(7447),
    [anon_sym_BANG] = ACTIONS(7447),
    [anon_sym_PIPE] = ACTIONS(7447),
    [anon_sym_COLON] = ACTIONS(7447),
    [anon_sym_SQUOTE] = ACTIONS(7447),
    [anon_sym__] = ACTIONS(7449),
    [anon_sym_CARET] = ACTIONS(7449),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7449),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7449),
    [anon_sym_DOLLAR] = ACTIONS(7447),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7449),
    [anon_sym_BSLASHleft] = ACTIONS(7447),
    [anon_sym_BSLASHbigl] = ACTIONS(7447),
    [anon_sym_BSLASHBigl] = ACTIONS(7447),
    [anon_sym_BSLASHbiggl] = ACTIONS(7447),
    [anon_sym_BSLASHBiggl] = ACTIONS(7447),
    [anon_sym_BSLASHtext] = ACTIONS(7447),
    [anon_sym_BSLASHintertext] = ACTIONS(7447),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7447),
    [anon_sym_BSLASHbegin] = ACTIONS(7447),
    [anon_sym_BSLASHtitle] = ACTIONS(7447),
    [anon_sym_BSLASHauthor] = ACTIONS(7447),
    [anon_sym_BSLASHusepackage] = ACTIONS(7447),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7447),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7447),
    [anon_sym_BSLASHinclude] = ACTIONS(7447),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7447),
    [anon_sym_BSLASHinput] = ACTIONS(7447),
    [anon_sym_BSLASHsubfile] = ACTIONS(7447),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7447),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7447),
    [anon_sym_BSLASHbibliography] = ACTIONS(7447),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7447),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7447),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7447),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7447),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7447),
    [anon_sym_BSLASHimport] = ACTIONS(7447),
    [anon_sym_BSLASHsubimport] = ACTIONS(7447),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7447),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7447),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7447),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7447),
    [anon_sym_BSLASHcaption] = ACTIONS(7447),
    [anon_sym_BSLASHcite] = ACTIONS(7447),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHCite] = ACTIONS(7447),
    [anon_sym_BSLASHnocite] = ACTIONS(7447),
    [anon_sym_BSLASHcitet] = ACTIONS(7447),
    [anon_sym_BSLASHcitep] = ACTIONS(7447),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHciteA] = ACTIONS(7447),
    [anon_sym_BSLASHciteR] = ACTIONS(7447),
    [anon_sym_BSLASHciteS] = ACTIONS(7447),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7447),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7447),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7447),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7447),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHciteyear] = ACTIONS(7447),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcitedate] = ACTIONS(7447),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHciteurl] = ACTIONS(7447),
    [anon_sym_BSLASHfullcite] = ACTIONS(7447),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7447),
    [anon_sym_BSLASHcitealt] = ACTIONS(7447),
    [anon_sym_BSLASHcitealp] = ACTIONS(7447),
    [anon_sym_BSLASHcitetext] = ACTIONS(7447),
    [anon_sym_BSLASHparencite] = ACTIONS(7447),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHParencite] = ACTIONS(7447),
    [anon_sym_BSLASHfootcite] = ACTIONS(7447),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7447),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7447),
    [anon_sym_BSLASHtextcite] = ACTIONS(7447),
    [anon_sym_BSLASHTextcite] = ACTIONS(7447),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7447),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7447),
    [anon_sym_BSLASHsupercite] = ACTIONS(7447),
    [anon_sym_BSLASHautocite] = ACTIONS(7447),
    [anon_sym_BSLASHAutocite] = ACTIONS(7447),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHVolcite] = ACTIONS(7447),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHavolcite] = ACTIONS(7447),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7447),
    [anon_sym_BSLASHnotecite] = ACTIONS(7447),
    [anon_sym_BSLASHNotecite] = ACTIONS(7447),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7447),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7447),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7447),
    [anon_sym_BSLASHlabel] = ACTIONS(7447),
    [anon_sym_BSLASHref] = ACTIONS(7447),
    [anon_sym_BSLASHeqref] = ACTIONS(7447),
    [anon_sym_BSLASHvref] = ACTIONS(7447),
    [anon_sym_BSLASHVref] = ACTIONS(7447),
    [anon_sym_BSLASHautoref] = ACTIONS(7447),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHpageref] = ACTIONS(7447),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHautopageref] = ACTIONS(7447),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcref] = ACTIONS(7447),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHCref] = ACTIONS(7447),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcpageref] = ACTIONS(7447),
    [anon_sym_BSLASHCpageref] = ACTIONS(7447),
    [anon_sym_BSLASHnamecref] = ACTIONS(7447),
    [anon_sym_BSLASHnameCref] = ACTIONS(7447),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7447),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7447),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7447),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7447),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7447),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7447),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7447),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7447),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7447),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7447),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7447),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7447),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7447),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7447),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7447),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7447),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7447),
    [anon_sym_BSLASHdef] = ACTIONS(7447),
    [anon_sym_BSLASHgdef] = ACTIONS(7447),
    [anon_sym_BSLASHedef] = ACTIONS(7447),
    [anon_sym_BSLASHxdef] = ACTIONS(7447),
    [anon_sym_BSLASHlet] = ACTIONS(7447),
    [anon_sym_BSLASHglet] = ACTIONS(7447),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7447),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7447),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7447),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7447),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7447),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7447),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7447),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7447),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7447),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7447),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7447),
    [anon_sym_BSLASHgls] = ACTIONS(7447),
    [anon_sym_BSLASHGls] = ACTIONS(7447),
    [anon_sym_BSLASHGLS] = ACTIONS(7447),
    [anon_sym_BSLASHglspl] = ACTIONS(7447),
    [anon_sym_BSLASHGlspl] = ACTIONS(7447),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7447),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7447),
    [anon_sym_BSLASHglslink] = ACTIONS(7447),
    [anon_sym_BSLASHglstext] = ACTIONS(7447),
    [anon_sym_BSLASHGlstext] = ACTIONS(7447),
    [anon_sym_BSLASHGLStext] = ACTIONS(7447),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7447),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7447),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7447),
    [anon_sym_BSLASHglsplural] = ACTIONS(7447),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7447),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7447),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7447),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7447),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7447),
    [anon_sym_BSLASHglsname] = ACTIONS(7447),
    [anon_sym_BSLASHGlsname] = ACTIONS(7447),
    [anon_sym_BSLASHGLSname] = ACTIONS(7447),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7447),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7447),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7447),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7447),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7447),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7447),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7447),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7447),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7447),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7447),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7447),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7447),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7447),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7447),
    [anon_sym_BSLASHacrshort] = ACTIONS(7447),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7447),
    [anon_sym_BSLASHACRshort] = ACTIONS(7447),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHacrlong] = ACTIONS(7447),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7447),
    [anon_sym_BSLASHACRlong] = ACTIONS(7447),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7447),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7447),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7447),
    [anon_sym_BSLASHacrfull] = ACTIONS(7447),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7447),
    [anon_sym_BSLASHACRfull] = ACTIONS(7447),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHacs] = ACTIONS(7447),
    [anon_sym_BSLASHAcs] = ACTIONS(7447),
    [anon_sym_BSLASHacsp] = ACTIONS(7447),
    [anon_sym_BSLASHAcsp] = ACTIONS(7447),
    [anon_sym_BSLASHacl] = ACTIONS(7447),
    [anon_sym_BSLASHAcl] = ACTIONS(7447),
    [anon_sym_BSLASHaclp] = ACTIONS(7447),
    [anon_sym_BSLASHAclp] = ACTIONS(7447),
    [anon_sym_BSLASHacf] = ACTIONS(7447),
    [anon_sym_BSLASHAcf] = ACTIONS(7447),
    [anon_sym_BSLASHacfp] = ACTIONS(7447),
    [anon_sym_BSLASHAcfp] = ACTIONS(7447),
    [anon_sym_BSLASHac] = ACTIONS(7447),
    [anon_sym_BSLASHAc] = ACTIONS(7447),
    [anon_sym_BSLASHacp] = ACTIONS(7447),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7447),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7447),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7447),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7447),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7447),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7447),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7447),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7449),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7447),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7447),
    [anon_sym_BSLASHcolor] = ACTIONS(7447),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7447),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7447),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7447),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7447),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7447),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7447),
    [anon_sym_BSLASHurl] = ACTIONS(7447),
    [anon_sym_BSLASHhref] = ACTIONS(7447),
  },
  [2052] = {
    [sym_command_name] = ACTIONS(7451),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7451),
    [anon_sym_LBRACK] = ACTIONS(7453),
    [anon_sym_RBRACK] = ACTIONS(7453),
    [anon_sym_COMMA] = ACTIONS(7453),
    [anon_sym_EQ] = ACTIONS(7453),
    [anon_sym_LPAREN] = ACTIONS(7453),
    [anon_sym_RPAREN] = ACTIONS(7453),
    [anon_sym_LBRACE] = ACTIONS(7453),
    [sym_word] = ACTIONS(7451),
    [sym_placeholder] = ACTIONS(7453),
    [sym_delimiter] = ACTIONS(7453),
    [anon_sym_PLUS] = ACTIONS(7453),
    [anon_sym_DASH] = ACTIONS(7453),
    [anon_sym_STAR] = ACTIONS(7453),
    [anon_sym_SLASH] = ACTIONS(7453),
    [anon_sym_LT] = ACTIONS(7451),
    [anon_sym_GT] = ACTIONS(7451),
    [anon_sym_BANG] = ACTIONS(7451),
    [anon_sym_PIPE] = ACTIONS(7451),
    [anon_sym_COLON] = ACTIONS(7451),
    [anon_sym_SQUOTE] = ACTIONS(7451),
    [anon_sym__] = ACTIONS(7453),
    [anon_sym_CARET] = ACTIONS(7453),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7453),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7453),
    [anon_sym_DOLLAR] = ACTIONS(7451),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7453),
    [anon_sym_BSLASHleft] = ACTIONS(7451),
    [anon_sym_BSLASHbigl] = ACTIONS(7451),
    [anon_sym_BSLASHBigl] = ACTIONS(7451),
    [anon_sym_BSLASHbiggl] = ACTIONS(7451),
    [anon_sym_BSLASHBiggl] = ACTIONS(7451),
    [anon_sym_BSLASHtext] = ACTIONS(7451),
    [anon_sym_BSLASHintertext] = ACTIONS(7451),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7451),
    [anon_sym_BSLASHbegin] = ACTIONS(7451),
    [anon_sym_BSLASHtitle] = ACTIONS(7451),
    [anon_sym_BSLASHauthor] = ACTIONS(7451),
    [anon_sym_BSLASHusepackage] = ACTIONS(7451),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7451),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7451),
    [anon_sym_BSLASHinclude] = ACTIONS(7451),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7451),
    [anon_sym_BSLASHinput] = ACTIONS(7451),
    [anon_sym_BSLASHsubfile] = ACTIONS(7451),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7451),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7451),
    [anon_sym_BSLASHbibliography] = ACTIONS(7451),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7451),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7451),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7451),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7451),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7451),
    [anon_sym_BSLASHimport] = ACTIONS(7451),
    [anon_sym_BSLASHsubimport] = ACTIONS(7451),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7451),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7451),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7451),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7451),
    [anon_sym_BSLASHcaption] = ACTIONS(7451),
    [anon_sym_BSLASHcite] = ACTIONS(7451),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHCite] = ACTIONS(7451),
    [anon_sym_BSLASHnocite] = ACTIONS(7451),
    [anon_sym_BSLASHcitet] = ACTIONS(7451),
    [anon_sym_BSLASHcitep] = ACTIONS(7451),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHciteA] = ACTIONS(7451),
    [anon_sym_BSLASHciteR] = ACTIONS(7451),
    [anon_sym_BSLASHciteS] = ACTIONS(7451),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7451),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7451),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7451),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7451),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHciteyear] = ACTIONS(7451),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcitedate] = ACTIONS(7451),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHciteurl] = ACTIONS(7451),
    [anon_sym_BSLASHfullcite] = ACTIONS(7451),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7451),
    [anon_sym_BSLASHcitealt] = ACTIONS(7451),
    [anon_sym_BSLASHcitealp] = ACTIONS(7451),
    [anon_sym_BSLASHcitetext] = ACTIONS(7451),
    [anon_sym_BSLASHparencite] = ACTIONS(7451),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHParencite] = ACTIONS(7451),
    [anon_sym_BSLASHfootcite] = ACTIONS(7451),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7451),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7451),
    [anon_sym_BSLASHtextcite] = ACTIONS(7451),
    [anon_sym_BSLASHTextcite] = ACTIONS(7451),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7451),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7451),
    [anon_sym_BSLASHsupercite] = ACTIONS(7451),
    [anon_sym_BSLASHautocite] = ACTIONS(7451),
    [anon_sym_BSLASHAutocite] = ACTIONS(7451),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHVolcite] = ACTIONS(7451),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHavolcite] = ACTIONS(7451),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7451),
    [anon_sym_BSLASHnotecite] = ACTIONS(7451),
    [anon_sym_BSLASHNotecite] = ACTIONS(7451),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7451),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7451),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7451),
    [anon_sym_BSLASHlabel] = ACTIONS(7451),
    [anon_sym_BSLASHref] = ACTIONS(7451),
    [anon_sym_BSLASHeqref] = ACTIONS(7451),
    [anon_sym_BSLASHvref] = ACTIONS(7451),
    [anon_sym_BSLASHVref] = ACTIONS(7451),
    [anon_sym_BSLASHautoref] = ACTIONS(7451),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHpageref] = ACTIONS(7451),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHautopageref] = ACTIONS(7451),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcref] = ACTIONS(7451),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHCref] = ACTIONS(7451),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcpageref] = ACTIONS(7451),
    [anon_sym_BSLASHCpageref] = ACTIONS(7451),
    [anon_sym_BSLASHnamecref] = ACTIONS(7451),
    [anon_sym_BSLASHnameCref] = ACTIONS(7451),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7451),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7451),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7451),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7451),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7451),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7451),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7451),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7451),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7451),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7451),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7451),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7451),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7451),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7451),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7451),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7451),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7451),
    [anon_sym_BSLASHdef] = ACTIONS(7451),
    [anon_sym_BSLASHgdef] = ACTIONS(7451),
    [anon_sym_BSLASHedef] = ACTIONS(7451),
    [anon_sym_BSLASHxdef] = ACTIONS(7451),
    [anon_sym_BSLASHlet] = ACTIONS(7451),
    [anon_sym_BSLASHglet] = ACTIONS(7451),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7451),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7451),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7451),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7451),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7451),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7451),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7451),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7451),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7451),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7451),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7451),
    [anon_sym_BSLASHgls] = ACTIONS(7451),
    [anon_sym_BSLASHGls] = ACTIONS(7451),
    [anon_sym_BSLASHGLS] = ACTIONS(7451),
    [anon_sym_BSLASHglspl] = ACTIONS(7451),
    [anon_sym_BSLASHGlspl] = ACTIONS(7451),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7451),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7451),
    [anon_sym_BSLASHglslink] = ACTIONS(7451),
    [anon_sym_BSLASHglstext] = ACTIONS(7451),
    [anon_sym_BSLASHGlstext] = ACTIONS(7451),
    [anon_sym_BSLASHGLStext] = ACTIONS(7451),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7451),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7451),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7451),
    [anon_sym_BSLASHglsplural] = ACTIONS(7451),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7451),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7451),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7451),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7451),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7451),
    [anon_sym_BSLASHglsname] = ACTIONS(7451),
    [anon_sym_BSLASHGlsname] = ACTIONS(7451),
    [anon_sym_BSLASHGLSname] = ACTIONS(7451),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7451),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7451),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7451),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7451),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7451),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7451),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7451),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7451),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7451),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7451),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7451),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7451),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7451),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7451),
    [anon_sym_BSLASHacrshort] = ACTIONS(7451),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7451),
    [anon_sym_BSLASHACRshort] = ACTIONS(7451),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHacrlong] = ACTIONS(7451),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7451),
    [anon_sym_BSLASHACRlong] = ACTIONS(7451),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7451),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7451),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7451),
    [anon_sym_BSLASHacrfull] = ACTIONS(7451),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7451),
    [anon_sym_BSLASHACRfull] = ACTIONS(7451),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHacs] = ACTIONS(7451),
    [anon_sym_BSLASHAcs] = ACTIONS(7451),
    [anon_sym_BSLASHacsp] = ACTIONS(7451),
    [anon_sym_BSLASHAcsp] = ACTIONS(7451),
    [anon_sym_BSLASHacl] = ACTIONS(7451),
    [anon_sym_BSLASHAcl] = ACTIONS(7451),
    [anon_sym_BSLASHaclp] = ACTIONS(7451),
    [anon_sym_BSLASHAclp] = ACTIONS(7451),
    [anon_sym_BSLASHacf] = ACTIONS(7451),
    [anon_sym_BSLASHAcf] = ACTIONS(7451),
    [anon_sym_BSLASHacfp] = ACTIONS(7451),
    [anon_sym_BSLASHAcfp] = ACTIONS(7451),
    [anon_sym_BSLASHac] = ACTIONS(7451),
    [anon_sym_BSLASHAc] = ACTIONS(7451),
    [anon_sym_BSLASHacp] = ACTIONS(7451),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7451),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7451),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7451),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7451),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7451),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7451),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7451),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7453),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7451),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7451),
    [anon_sym_BSLASHcolor] = ACTIONS(7451),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7451),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7451),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7451),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7451),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7451),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7451),
    [anon_sym_BSLASHurl] = ACTIONS(7451),
    [anon_sym_BSLASHhref] = ACTIONS(7451),
  },
  [2053] = {
    [sym_command_name] = ACTIONS(7455),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7455),
    [anon_sym_LBRACK] = ACTIONS(7457),
    [anon_sym_RBRACK] = ACTIONS(7457),
    [anon_sym_COMMA] = ACTIONS(7457),
    [anon_sym_EQ] = ACTIONS(7457),
    [anon_sym_LPAREN] = ACTIONS(7457),
    [anon_sym_RPAREN] = ACTIONS(7457),
    [anon_sym_LBRACE] = ACTIONS(7457),
    [sym_word] = ACTIONS(7455),
    [sym_placeholder] = ACTIONS(7457),
    [sym_delimiter] = ACTIONS(7457),
    [anon_sym_PLUS] = ACTIONS(7457),
    [anon_sym_DASH] = ACTIONS(7457),
    [anon_sym_STAR] = ACTIONS(7457),
    [anon_sym_SLASH] = ACTIONS(7457),
    [anon_sym_LT] = ACTIONS(7455),
    [anon_sym_GT] = ACTIONS(7455),
    [anon_sym_BANG] = ACTIONS(7455),
    [anon_sym_PIPE] = ACTIONS(7455),
    [anon_sym_COLON] = ACTIONS(7455),
    [anon_sym_SQUOTE] = ACTIONS(7455),
    [anon_sym__] = ACTIONS(7457),
    [anon_sym_CARET] = ACTIONS(7457),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7457),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7457),
    [anon_sym_DOLLAR] = ACTIONS(7455),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7457),
    [anon_sym_BSLASHleft] = ACTIONS(7455),
    [anon_sym_BSLASHbigl] = ACTIONS(7455),
    [anon_sym_BSLASHBigl] = ACTIONS(7455),
    [anon_sym_BSLASHbiggl] = ACTIONS(7455),
    [anon_sym_BSLASHBiggl] = ACTIONS(7455),
    [anon_sym_BSLASHtext] = ACTIONS(7455),
    [anon_sym_BSLASHintertext] = ACTIONS(7455),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7455),
    [anon_sym_BSLASHbegin] = ACTIONS(7455),
    [anon_sym_BSLASHtitle] = ACTIONS(7455),
    [anon_sym_BSLASHauthor] = ACTIONS(7455),
    [anon_sym_BSLASHusepackage] = ACTIONS(7455),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7455),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7455),
    [anon_sym_BSLASHinclude] = ACTIONS(7455),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7455),
    [anon_sym_BSLASHinput] = ACTIONS(7455),
    [anon_sym_BSLASHsubfile] = ACTIONS(7455),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7455),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7455),
    [anon_sym_BSLASHbibliography] = ACTIONS(7455),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7455),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7455),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7455),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7455),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7455),
    [anon_sym_BSLASHimport] = ACTIONS(7455),
    [anon_sym_BSLASHsubimport] = ACTIONS(7455),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7455),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7455),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7455),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7455),
    [anon_sym_BSLASHcaption] = ACTIONS(7455),
    [anon_sym_BSLASHcite] = ACTIONS(7455),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHCite] = ACTIONS(7455),
    [anon_sym_BSLASHnocite] = ACTIONS(7455),
    [anon_sym_BSLASHcitet] = ACTIONS(7455),
    [anon_sym_BSLASHcitep] = ACTIONS(7455),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHciteA] = ACTIONS(7455),
    [anon_sym_BSLASHciteR] = ACTIONS(7455),
    [anon_sym_BSLASHciteS] = ACTIONS(7455),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7455),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7455),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7455),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7455),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHciteyear] = ACTIONS(7455),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcitedate] = ACTIONS(7455),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHciteurl] = ACTIONS(7455),
    [anon_sym_BSLASHfullcite] = ACTIONS(7455),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7455),
    [anon_sym_BSLASHcitealt] = ACTIONS(7455),
    [anon_sym_BSLASHcitealp] = ACTIONS(7455),
    [anon_sym_BSLASHcitetext] = ACTIONS(7455),
    [anon_sym_BSLASHparencite] = ACTIONS(7455),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHParencite] = ACTIONS(7455),
    [anon_sym_BSLASHfootcite] = ACTIONS(7455),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7455),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7455),
    [anon_sym_BSLASHtextcite] = ACTIONS(7455),
    [anon_sym_BSLASHTextcite] = ACTIONS(7455),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7455),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7455),
    [anon_sym_BSLASHsupercite] = ACTIONS(7455),
    [anon_sym_BSLASHautocite] = ACTIONS(7455),
    [anon_sym_BSLASHAutocite] = ACTIONS(7455),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHVolcite] = ACTIONS(7455),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHavolcite] = ACTIONS(7455),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7455),
    [anon_sym_BSLASHnotecite] = ACTIONS(7455),
    [anon_sym_BSLASHNotecite] = ACTIONS(7455),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7455),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7455),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7455),
    [anon_sym_BSLASHlabel] = ACTIONS(7455),
    [anon_sym_BSLASHref] = ACTIONS(7455),
    [anon_sym_BSLASHeqref] = ACTIONS(7455),
    [anon_sym_BSLASHvref] = ACTIONS(7455),
    [anon_sym_BSLASHVref] = ACTIONS(7455),
    [anon_sym_BSLASHautoref] = ACTIONS(7455),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHpageref] = ACTIONS(7455),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHautopageref] = ACTIONS(7455),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcref] = ACTIONS(7455),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHCref] = ACTIONS(7455),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcpageref] = ACTIONS(7455),
    [anon_sym_BSLASHCpageref] = ACTIONS(7455),
    [anon_sym_BSLASHnamecref] = ACTIONS(7455),
    [anon_sym_BSLASHnameCref] = ACTIONS(7455),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7455),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7455),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7455),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7455),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7455),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7455),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7455),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7455),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7455),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7455),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7455),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7455),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7455),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7455),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7455),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7455),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7455),
    [anon_sym_BSLASHdef] = ACTIONS(7455),
    [anon_sym_BSLASHgdef] = ACTIONS(7455),
    [anon_sym_BSLASHedef] = ACTIONS(7455),
    [anon_sym_BSLASHxdef] = ACTIONS(7455),
    [anon_sym_BSLASHlet] = ACTIONS(7455),
    [anon_sym_BSLASHglet] = ACTIONS(7455),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7455),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7455),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7455),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7455),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7455),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7455),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7455),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7455),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7455),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7455),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7455),
    [anon_sym_BSLASHgls] = ACTIONS(7455),
    [anon_sym_BSLASHGls] = ACTIONS(7455),
    [anon_sym_BSLASHGLS] = ACTIONS(7455),
    [anon_sym_BSLASHglspl] = ACTIONS(7455),
    [anon_sym_BSLASHGlspl] = ACTIONS(7455),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7455),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7455),
    [anon_sym_BSLASHglslink] = ACTIONS(7455),
    [anon_sym_BSLASHglstext] = ACTIONS(7455),
    [anon_sym_BSLASHGlstext] = ACTIONS(7455),
    [anon_sym_BSLASHGLStext] = ACTIONS(7455),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7455),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7455),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7455),
    [anon_sym_BSLASHglsplural] = ACTIONS(7455),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7455),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7455),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7455),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7455),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7455),
    [anon_sym_BSLASHglsname] = ACTIONS(7455),
    [anon_sym_BSLASHGlsname] = ACTIONS(7455),
    [anon_sym_BSLASHGLSname] = ACTIONS(7455),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7455),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7455),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7455),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7455),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7455),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7455),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7455),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7455),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7455),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7455),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7455),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7455),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7455),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7455),
    [anon_sym_BSLASHacrshort] = ACTIONS(7455),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7455),
    [anon_sym_BSLASHACRshort] = ACTIONS(7455),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHacrlong] = ACTIONS(7455),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7455),
    [anon_sym_BSLASHACRlong] = ACTIONS(7455),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7455),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7455),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7455),
    [anon_sym_BSLASHacrfull] = ACTIONS(7455),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7455),
    [anon_sym_BSLASHACRfull] = ACTIONS(7455),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHacs] = ACTIONS(7455),
    [anon_sym_BSLASHAcs] = ACTIONS(7455),
    [anon_sym_BSLASHacsp] = ACTIONS(7455),
    [anon_sym_BSLASHAcsp] = ACTIONS(7455),
    [anon_sym_BSLASHacl] = ACTIONS(7455),
    [anon_sym_BSLASHAcl] = ACTIONS(7455),
    [anon_sym_BSLASHaclp] = ACTIONS(7455),
    [anon_sym_BSLASHAclp] = ACTIONS(7455),
    [anon_sym_BSLASHacf] = ACTIONS(7455),
    [anon_sym_BSLASHAcf] = ACTIONS(7455),
    [anon_sym_BSLASHacfp] = ACTIONS(7455),
    [anon_sym_BSLASHAcfp] = ACTIONS(7455),
    [anon_sym_BSLASHac] = ACTIONS(7455),
    [anon_sym_BSLASHAc] = ACTIONS(7455),
    [anon_sym_BSLASHacp] = ACTIONS(7455),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7455),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7455),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7455),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7455),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7455),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7455),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7455),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7457),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7455),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7455),
    [anon_sym_BSLASHcolor] = ACTIONS(7455),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7455),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7455),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7455),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7455),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7455),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7455),
    [anon_sym_BSLASHurl] = ACTIONS(7455),
    [anon_sym_BSLASHhref] = ACTIONS(7455),
  },
  [2054] = {
    [sym_command_name] = ACTIONS(7459),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7459),
    [anon_sym_LBRACK] = ACTIONS(7461),
    [anon_sym_RBRACK] = ACTIONS(7461),
    [anon_sym_COMMA] = ACTIONS(7461),
    [anon_sym_EQ] = ACTIONS(7461),
    [anon_sym_LPAREN] = ACTIONS(7461),
    [anon_sym_RPAREN] = ACTIONS(7461),
    [anon_sym_LBRACE] = ACTIONS(7461),
    [sym_word] = ACTIONS(7459),
    [sym_placeholder] = ACTIONS(7461),
    [sym_delimiter] = ACTIONS(7461),
    [anon_sym_PLUS] = ACTIONS(7461),
    [anon_sym_DASH] = ACTIONS(7461),
    [anon_sym_STAR] = ACTIONS(7461),
    [anon_sym_SLASH] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(7459),
    [anon_sym_GT] = ACTIONS(7459),
    [anon_sym_BANG] = ACTIONS(7459),
    [anon_sym_PIPE] = ACTIONS(7459),
    [anon_sym_COLON] = ACTIONS(7459),
    [anon_sym_SQUOTE] = ACTIONS(7459),
    [anon_sym__] = ACTIONS(7461),
    [anon_sym_CARET] = ACTIONS(7461),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7461),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7461),
    [anon_sym_DOLLAR] = ACTIONS(7459),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7461),
    [anon_sym_BSLASHleft] = ACTIONS(7459),
    [anon_sym_BSLASHbigl] = ACTIONS(7459),
    [anon_sym_BSLASHBigl] = ACTIONS(7459),
    [anon_sym_BSLASHbiggl] = ACTIONS(7459),
    [anon_sym_BSLASHBiggl] = ACTIONS(7459),
    [anon_sym_BSLASHtext] = ACTIONS(7459),
    [anon_sym_BSLASHintertext] = ACTIONS(7459),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7459),
    [anon_sym_BSLASHbegin] = ACTIONS(7459),
    [anon_sym_BSLASHtitle] = ACTIONS(7459),
    [anon_sym_BSLASHauthor] = ACTIONS(7459),
    [anon_sym_BSLASHusepackage] = ACTIONS(7459),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7459),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7459),
    [anon_sym_BSLASHinclude] = ACTIONS(7459),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7459),
    [anon_sym_BSLASHinput] = ACTIONS(7459),
    [anon_sym_BSLASHsubfile] = ACTIONS(7459),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7459),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7459),
    [anon_sym_BSLASHbibliography] = ACTIONS(7459),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7459),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7459),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7459),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7459),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7459),
    [anon_sym_BSLASHimport] = ACTIONS(7459),
    [anon_sym_BSLASHsubimport] = ACTIONS(7459),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7459),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7459),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7459),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7459),
    [anon_sym_BSLASHcaption] = ACTIONS(7459),
    [anon_sym_BSLASHcite] = ACTIONS(7459),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHCite] = ACTIONS(7459),
    [anon_sym_BSLASHnocite] = ACTIONS(7459),
    [anon_sym_BSLASHcitet] = ACTIONS(7459),
    [anon_sym_BSLASHcitep] = ACTIONS(7459),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHciteA] = ACTIONS(7459),
    [anon_sym_BSLASHciteR] = ACTIONS(7459),
    [anon_sym_BSLASHciteS] = ACTIONS(7459),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7459),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7459),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7459),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7459),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHciteyear] = ACTIONS(7459),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcitedate] = ACTIONS(7459),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHciteurl] = ACTIONS(7459),
    [anon_sym_BSLASHfullcite] = ACTIONS(7459),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7459),
    [anon_sym_BSLASHcitealt] = ACTIONS(7459),
    [anon_sym_BSLASHcitealp] = ACTIONS(7459),
    [anon_sym_BSLASHcitetext] = ACTIONS(7459),
    [anon_sym_BSLASHparencite] = ACTIONS(7459),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHParencite] = ACTIONS(7459),
    [anon_sym_BSLASHfootcite] = ACTIONS(7459),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7459),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7459),
    [anon_sym_BSLASHtextcite] = ACTIONS(7459),
    [anon_sym_BSLASHTextcite] = ACTIONS(7459),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7459),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7459),
    [anon_sym_BSLASHsupercite] = ACTIONS(7459),
    [anon_sym_BSLASHautocite] = ACTIONS(7459),
    [anon_sym_BSLASHAutocite] = ACTIONS(7459),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHVolcite] = ACTIONS(7459),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHavolcite] = ACTIONS(7459),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7459),
    [anon_sym_BSLASHnotecite] = ACTIONS(7459),
    [anon_sym_BSLASHNotecite] = ACTIONS(7459),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7459),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7459),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7459),
    [anon_sym_BSLASHlabel] = ACTIONS(7459),
    [anon_sym_BSLASHref] = ACTIONS(7459),
    [anon_sym_BSLASHeqref] = ACTIONS(7459),
    [anon_sym_BSLASHvref] = ACTIONS(7459),
    [anon_sym_BSLASHVref] = ACTIONS(7459),
    [anon_sym_BSLASHautoref] = ACTIONS(7459),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHpageref] = ACTIONS(7459),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHautopageref] = ACTIONS(7459),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcref] = ACTIONS(7459),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHCref] = ACTIONS(7459),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcpageref] = ACTIONS(7459),
    [anon_sym_BSLASHCpageref] = ACTIONS(7459),
    [anon_sym_BSLASHnamecref] = ACTIONS(7459),
    [anon_sym_BSLASHnameCref] = ACTIONS(7459),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7459),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7459),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7459),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7459),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7459),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7459),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7459),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7459),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7459),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7459),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7459),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7459),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7459),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7459),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7459),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7459),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7459),
    [anon_sym_BSLASHdef] = ACTIONS(7459),
    [anon_sym_BSLASHgdef] = ACTIONS(7459),
    [anon_sym_BSLASHedef] = ACTIONS(7459),
    [anon_sym_BSLASHxdef] = ACTIONS(7459),
    [anon_sym_BSLASHlet] = ACTIONS(7459),
    [anon_sym_BSLASHglet] = ACTIONS(7459),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7459),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7459),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7459),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7459),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7459),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7459),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7459),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7459),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7459),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7459),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7459),
    [anon_sym_BSLASHgls] = ACTIONS(7459),
    [anon_sym_BSLASHGls] = ACTIONS(7459),
    [anon_sym_BSLASHGLS] = ACTIONS(7459),
    [anon_sym_BSLASHglspl] = ACTIONS(7459),
    [anon_sym_BSLASHGlspl] = ACTIONS(7459),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7459),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7459),
    [anon_sym_BSLASHglslink] = ACTIONS(7459),
    [anon_sym_BSLASHglstext] = ACTIONS(7459),
    [anon_sym_BSLASHGlstext] = ACTIONS(7459),
    [anon_sym_BSLASHGLStext] = ACTIONS(7459),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7459),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7459),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7459),
    [anon_sym_BSLASHglsplural] = ACTIONS(7459),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7459),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7459),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7459),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7459),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7459),
    [anon_sym_BSLASHglsname] = ACTIONS(7459),
    [anon_sym_BSLASHGlsname] = ACTIONS(7459),
    [anon_sym_BSLASHGLSname] = ACTIONS(7459),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7459),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7459),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7459),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7459),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7459),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7459),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7459),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7459),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7459),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7459),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7459),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7459),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7459),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7459),
    [anon_sym_BSLASHacrshort] = ACTIONS(7459),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7459),
    [anon_sym_BSLASHACRshort] = ACTIONS(7459),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHacrlong] = ACTIONS(7459),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7459),
    [anon_sym_BSLASHACRlong] = ACTIONS(7459),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7459),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7459),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7459),
    [anon_sym_BSLASHacrfull] = ACTIONS(7459),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7459),
    [anon_sym_BSLASHACRfull] = ACTIONS(7459),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHacs] = ACTIONS(7459),
    [anon_sym_BSLASHAcs] = ACTIONS(7459),
    [anon_sym_BSLASHacsp] = ACTIONS(7459),
    [anon_sym_BSLASHAcsp] = ACTIONS(7459),
    [anon_sym_BSLASHacl] = ACTIONS(7459),
    [anon_sym_BSLASHAcl] = ACTIONS(7459),
    [anon_sym_BSLASHaclp] = ACTIONS(7459),
    [anon_sym_BSLASHAclp] = ACTIONS(7459),
    [anon_sym_BSLASHacf] = ACTIONS(7459),
    [anon_sym_BSLASHAcf] = ACTIONS(7459),
    [anon_sym_BSLASHacfp] = ACTIONS(7459),
    [anon_sym_BSLASHAcfp] = ACTIONS(7459),
    [anon_sym_BSLASHac] = ACTIONS(7459),
    [anon_sym_BSLASHAc] = ACTIONS(7459),
    [anon_sym_BSLASHacp] = ACTIONS(7459),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7459),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7459),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7459),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7459),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7459),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7459),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7459),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7461),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7459),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7459),
    [anon_sym_BSLASHcolor] = ACTIONS(7459),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7459),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7459),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7459),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7459),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7459),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7459),
    [anon_sym_BSLASHurl] = ACTIONS(7459),
    [anon_sym_BSLASHhref] = ACTIONS(7459),
  },
  [2055] = {
    [sym_command_name] = ACTIONS(7599),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7599),
    [anon_sym_LBRACK] = ACTIONS(7601),
    [anon_sym_RBRACK] = ACTIONS(7601),
    [anon_sym_COMMA] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(7601),
    [anon_sym_LPAREN] = ACTIONS(7601),
    [anon_sym_RPAREN] = ACTIONS(7601),
    [anon_sym_LBRACE] = ACTIONS(7601),
    [sym_word] = ACTIONS(7599),
    [sym_placeholder] = ACTIONS(7601),
    [sym_delimiter] = ACTIONS(7601),
    [anon_sym_PLUS] = ACTIONS(7601),
    [anon_sym_DASH] = ACTIONS(7601),
    [anon_sym_STAR] = ACTIONS(7601),
    [anon_sym_SLASH] = ACTIONS(7601),
    [anon_sym_LT] = ACTIONS(7599),
    [anon_sym_GT] = ACTIONS(7599),
    [anon_sym_BANG] = ACTIONS(7599),
    [anon_sym_PIPE] = ACTIONS(7599),
    [anon_sym_COLON] = ACTIONS(7599),
    [anon_sym_SQUOTE] = ACTIONS(7599),
    [anon_sym__] = ACTIONS(7601),
    [anon_sym_CARET] = ACTIONS(7601),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7601),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7601),
    [anon_sym_DOLLAR] = ACTIONS(7599),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7601),
    [anon_sym_BSLASHleft] = ACTIONS(7599),
    [anon_sym_BSLASHbigl] = ACTIONS(7599),
    [anon_sym_BSLASHBigl] = ACTIONS(7599),
    [anon_sym_BSLASHbiggl] = ACTIONS(7599),
    [anon_sym_BSLASHBiggl] = ACTIONS(7599),
    [anon_sym_BSLASHtext] = ACTIONS(7599),
    [anon_sym_BSLASHintertext] = ACTIONS(7599),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7599),
    [anon_sym_BSLASHbegin] = ACTIONS(7599),
    [anon_sym_BSLASHtitle] = ACTIONS(7599),
    [anon_sym_BSLASHauthor] = ACTIONS(7599),
    [anon_sym_BSLASHusepackage] = ACTIONS(7599),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7599),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7599),
    [anon_sym_BSLASHinclude] = ACTIONS(7599),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7599),
    [anon_sym_BSLASHinput] = ACTIONS(7599),
    [anon_sym_BSLASHsubfile] = ACTIONS(7599),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7599),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7599),
    [anon_sym_BSLASHbibliography] = ACTIONS(7599),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7599),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7599),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7599),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7599),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7599),
    [anon_sym_BSLASHimport] = ACTIONS(7599),
    [anon_sym_BSLASHsubimport] = ACTIONS(7599),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7599),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7599),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7599),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7599),
    [anon_sym_BSLASHcaption] = ACTIONS(7599),
    [anon_sym_BSLASHcite] = ACTIONS(7599),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCite] = ACTIONS(7599),
    [anon_sym_BSLASHnocite] = ACTIONS(7599),
    [anon_sym_BSLASHcitet] = ACTIONS(7599),
    [anon_sym_BSLASHcitep] = ACTIONS(7599),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteA] = ACTIONS(7599),
    [anon_sym_BSLASHciteR] = ACTIONS(7599),
    [anon_sym_BSLASHciteS] = ACTIONS(7599),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7599),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7599),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7599),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7599),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteyear] = ACTIONS(7599),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitedate] = ACTIONS(7599),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteurl] = ACTIONS(7599),
    [anon_sym_BSLASHfullcite] = ACTIONS(7599),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7599),
    [anon_sym_BSLASHcitealt] = ACTIONS(7599),
    [anon_sym_BSLASHcitealp] = ACTIONS(7599),
    [anon_sym_BSLASHcitetext] = ACTIONS(7599),
    [anon_sym_BSLASHparencite] = ACTIONS(7599),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHParencite] = ACTIONS(7599),
    [anon_sym_BSLASHfootcite] = ACTIONS(7599),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7599),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7599),
    [anon_sym_BSLASHtextcite] = ACTIONS(7599),
    [anon_sym_BSLASHTextcite] = ACTIONS(7599),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7599),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7599),
    [anon_sym_BSLASHsupercite] = ACTIONS(7599),
    [anon_sym_BSLASHautocite] = ACTIONS(7599),
    [anon_sym_BSLASHAutocite] = ACTIONS(7599),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHVolcite] = ACTIONS(7599),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHavolcite] = ACTIONS(7599),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHNotecite] = ACTIONS(7599),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHlabel] = ACTIONS(7599),
    [anon_sym_BSLASHref] = ACTIONS(7599),
    [anon_sym_BSLASHeqref] = ACTIONS(7599),
    [anon_sym_BSLASHvref] = ACTIONS(7599),
    [anon_sym_BSLASHVref] = ACTIONS(7599),
    [anon_sym_BSLASHautoref] = ACTIONS(7599),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHpageref] = ACTIONS(7599),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHautopageref] = ACTIONS(7599),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcref] = ACTIONS(7599),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCref] = ACTIONS(7599),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcpageref] = ACTIONS(7599),
    [anon_sym_BSLASHCpageref] = ACTIONS(7599),
    [anon_sym_BSLASHnamecref] = ACTIONS(7599),
    [anon_sym_BSLASHnameCref] = ACTIONS(7599),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7599),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7599),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7599),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7599),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7599),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7599),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7599),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7599),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7599),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7599),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7599),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHdef] = ACTIONS(7599),
    [anon_sym_BSLASHgdef] = ACTIONS(7599),
    [anon_sym_BSLASHedef] = ACTIONS(7599),
    [anon_sym_BSLASHxdef] = ACTIONS(7599),
    [anon_sym_BSLASHlet] = ACTIONS(7599),
    [anon_sym_BSLASHglet] = ACTIONS(7599),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7599),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7599),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7599),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7599),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7599),
    [anon_sym_BSLASHgls] = ACTIONS(7599),
    [anon_sym_BSLASHGls] = ACTIONS(7599),
    [anon_sym_BSLASHGLS] = ACTIONS(7599),
    [anon_sym_BSLASHglspl] = ACTIONS(7599),
    [anon_sym_BSLASHGlspl] = ACTIONS(7599),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7599),
    [anon_sym_BSLASHglslink] = ACTIONS(7599),
    [anon_sym_BSLASHglstext] = ACTIONS(7599),
    [anon_sym_BSLASHGlstext] = ACTIONS(7599),
    [anon_sym_BSLASHGLStext] = ACTIONS(7599),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7599),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7599),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7599),
    [anon_sym_BSLASHglsplural] = ACTIONS(7599),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7599),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7599),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHglsname] = ACTIONS(7599),
    [anon_sym_BSLASHGlsname] = ACTIONS(7599),
    [anon_sym_BSLASHGLSname] = ACTIONS(7599),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7599),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7599),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7599),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7599),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7599),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7599),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7599),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7599),
    [anon_sym_BSLASHacrshort] = ACTIONS(7599),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7599),
    [anon_sym_BSLASHACRshort] = ACTIONS(7599),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHacrlong] = ACTIONS(7599),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7599),
    [anon_sym_BSLASHACRlong] = ACTIONS(7599),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHacrfull] = ACTIONS(7599),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7599),
    [anon_sym_BSLASHACRfull] = ACTIONS(7599),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHacs] = ACTIONS(7599),
    [anon_sym_BSLASHAcs] = ACTIONS(7599),
    [anon_sym_BSLASHacsp] = ACTIONS(7599),
    [anon_sym_BSLASHAcsp] = ACTIONS(7599),
    [anon_sym_BSLASHacl] = ACTIONS(7599),
    [anon_sym_BSLASHAcl] = ACTIONS(7599),
    [anon_sym_BSLASHaclp] = ACTIONS(7599),
    [anon_sym_BSLASHAclp] = ACTIONS(7599),
    [anon_sym_BSLASHacf] = ACTIONS(7599),
    [anon_sym_BSLASHAcf] = ACTIONS(7599),
    [anon_sym_BSLASHacfp] = ACTIONS(7599),
    [anon_sym_BSLASHAcfp] = ACTIONS(7599),
    [anon_sym_BSLASHac] = ACTIONS(7599),
    [anon_sym_BSLASHAc] = ACTIONS(7599),
    [anon_sym_BSLASHacp] = ACTIONS(7599),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7599),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7599),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7599),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7599),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7599),
    [anon_sym_BSLASHcolor] = ACTIONS(7599),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7599),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7599),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7599),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7599),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7599),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7599),
    [anon_sym_BSLASHurl] = ACTIONS(7599),
    [anon_sym_BSLASHhref] = ACTIONS(7599),
  },
  [2056] = {
    [sym_command_name] = ACTIONS(7603),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7603),
    [anon_sym_LBRACK] = ACTIONS(7605),
    [anon_sym_RBRACK] = ACTIONS(7605),
    [anon_sym_COMMA] = ACTIONS(7605),
    [anon_sym_EQ] = ACTIONS(7605),
    [anon_sym_LPAREN] = ACTIONS(7605),
    [anon_sym_RPAREN] = ACTIONS(7605),
    [anon_sym_LBRACE] = ACTIONS(7605),
    [sym_word] = ACTIONS(7603),
    [sym_placeholder] = ACTIONS(7605),
    [sym_delimiter] = ACTIONS(7605),
    [anon_sym_PLUS] = ACTIONS(7605),
    [anon_sym_DASH] = ACTIONS(7605),
    [anon_sym_STAR] = ACTIONS(7605),
    [anon_sym_SLASH] = ACTIONS(7605),
    [anon_sym_LT] = ACTIONS(7603),
    [anon_sym_GT] = ACTIONS(7603),
    [anon_sym_BANG] = ACTIONS(7603),
    [anon_sym_PIPE] = ACTIONS(7603),
    [anon_sym_COLON] = ACTIONS(7603),
    [anon_sym_SQUOTE] = ACTIONS(7603),
    [anon_sym__] = ACTIONS(7605),
    [anon_sym_CARET] = ACTIONS(7605),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7605),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7605),
    [anon_sym_DOLLAR] = ACTIONS(7603),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7605),
    [anon_sym_BSLASHleft] = ACTIONS(7603),
    [anon_sym_BSLASHbigl] = ACTIONS(7603),
    [anon_sym_BSLASHBigl] = ACTIONS(7603),
    [anon_sym_BSLASHbiggl] = ACTIONS(7603),
    [anon_sym_BSLASHBiggl] = ACTIONS(7603),
    [anon_sym_BSLASHtext] = ACTIONS(7603),
    [anon_sym_BSLASHintertext] = ACTIONS(7603),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7603),
    [anon_sym_BSLASHbegin] = ACTIONS(7603),
    [anon_sym_BSLASHtitle] = ACTIONS(7603),
    [anon_sym_BSLASHauthor] = ACTIONS(7603),
    [anon_sym_BSLASHusepackage] = ACTIONS(7603),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7603),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7603),
    [anon_sym_BSLASHinclude] = ACTIONS(7603),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7603),
    [anon_sym_BSLASHinput] = ACTIONS(7603),
    [anon_sym_BSLASHsubfile] = ACTIONS(7603),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7603),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7603),
    [anon_sym_BSLASHbibliography] = ACTIONS(7603),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7603),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7603),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7603),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7603),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7603),
    [anon_sym_BSLASHimport] = ACTIONS(7603),
    [anon_sym_BSLASHsubimport] = ACTIONS(7603),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7603),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7603),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7603),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7603),
    [anon_sym_BSLASHcaption] = ACTIONS(7603),
    [anon_sym_BSLASHcite] = ACTIONS(7603),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCite] = ACTIONS(7603),
    [anon_sym_BSLASHnocite] = ACTIONS(7603),
    [anon_sym_BSLASHcitet] = ACTIONS(7603),
    [anon_sym_BSLASHcitep] = ACTIONS(7603),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteA] = ACTIONS(7603),
    [anon_sym_BSLASHciteR] = ACTIONS(7603),
    [anon_sym_BSLASHciteS] = ACTIONS(7603),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7603),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7603),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7603),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7603),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteyear] = ACTIONS(7603),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitedate] = ACTIONS(7603),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteurl] = ACTIONS(7603),
    [anon_sym_BSLASHfullcite] = ACTIONS(7603),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7603),
    [anon_sym_BSLASHcitealt] = ACTIONS(7603),
    [anon_sym_BSLASHcitealp] = ACTIONS(7603),
    [anon_sym_BSLASHcitetext] = ACTIONS(7603),
    [anon_sym_BSLASHparencite] = ACTIONS(7603),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHParencite] = ACTIONS(7603),
    [anon_sym_BSLASHfootcite] = ACTIONS(7603),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7603),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7603),
    [anon_sym_BSLASHtextcite] = ACTIONS(7603),
    [anon_sym_BSLASHTextcite] = ACTIONS(7603),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7603),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7603),
    [anon_sym_BSLASHsupercite] = ACTIONS(7603),
    [anon_sym_BSLASHautocite] = ACTIONS(7603),
    [anon_sym_BSLASHAutocite] = ACTIONS(7603),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHVolcite] = ACTIONS(7603),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHavolcite] = ACTIONS(7603),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHNotecite] = ACTIONS(7603),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHlabel] = ACTIONS(7603),
    [anon_sym_BSLASHref] = ACTIONS(7603),
    [anon_sym_BSLASHeqref] = ACTIONS(7603),
    [anon_sym_BSLASHvref] = ACTIONS(7603),
    [anon_sym_BSLASHVref] = ACTIONS(7603),
    [anon_sym_BSLASHautoref] = ACTIONS(7603),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHpageref] = ACTIONS(7603),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHautopageref] = ACTIONS(7603),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcref] = ACTIONS(7603),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCref] = ACTIONS(7603),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcpageref] = ACTIONS(7603),
    [anon_sym_BSLASHCpageref] = ACTIONS(7603),
    [anon_sym_BSLASHnamecref] = ACTIONS(7603),
    [anon_sym_BSLASHnameCref] = ACTIONS(7603),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7603),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7603),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7603),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7603),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7603),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7603),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7603),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7603),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7603),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7603),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7603),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHdef] = ACTIONS(7603),
    [anon_sym_BSLASHgdef] = ACTIONS(7603),
    [anon_sym_BSLASHedef] = ACTIONS(7603),
    [anon_sym_BSLASHxdef] = ACTIONS(7603),
    [anon_sym_BSLASHlet] = ACTIONS(7603),
    [anon_sym_BSLASHglet] = ACTIONS(7603),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7603),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7603),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7603),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7603),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7603),
    [anon_sym_BSLASHgls] = ACTIONS(7603),
    [anon_sym_BSLASHGls] = ACTIONS(7603),
    [anon_sym_BSLASHGLS] = ACTIONS(7603),
    [anon_sym_BSLASHglspl] = ACTIONS(7603),
    [anon_sym_BSLASHGlspl] = ACTIONS(7603),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7603),
    [anon_sym_BSLASHglslink] = ACTIONS(7603),
    [anon_sym_BSLASHglstext] = ACTIONS(7603),
    [anon_sym_BSLASHGlstext] = ACTIONS(7603),
    [anon_sym_BSLASHGLStext] = ACTIONS(7603),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7603),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7603),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7603),
    [anon_sym_BSLASHglsplural] = ACTIONS(7603),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7603),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7603),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHglsname] = ACTIONS(7603),
    [anon_sym_BSLASHGlsname] = ACTIONS(7603),
    [anon_sym_BSLASHGLSname] = ACTIONS(7603),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7603),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7603),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7603),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7603),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7603),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7603),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7603),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7603),
    [anon_sym_BSLASHacrshort] = ACTIONS(7603),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7603),
    [anon_sym_BSLASHACRshort] = ACTIONS(7603),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHacrlong] = ACTIONS(7603),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7603),
    [anon_sym_BSLASHACRlong] = ACTIONS(7603),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHacrfull] = ACTIONS(7603),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7603),
    [anon_sym_BSLASHACRfull] = ACTIONS(7603),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHacs] = ACTIONS(7603),
    [anon_sym_BSLASHAcs] = ACTIONS(7603),
    [anon_sym_BSLASHacsp] = ACTIONS(7603),
    [anon_sym_BSLASHAcsp] = ACTIONS(7603),
    [anon_sym_BSLASHacl] = ACTIONS(7603),
    [anon_sym_BSLASHAcl] = ACTIONS(7603),
    [anon_sym_BSLASHaclp] = ACTIONS(7603),
    [anon_sym_BSLASHAclp] = ACTIONS(7603),
    [anon_sym_BSLASHacf] = ACTIONS(7603),
    [anon_sym_BSLASHAcf] = ACTIONS(7603),
    [anon_sym_BSLASHacfp] = ACTIONS(7603),
    [anon_sym_BSLASHAcfp] = ACTIONS(7603),
    [anon_sym_BSLASHac] = ACTIONS(7603),
    [anon_sym_BSLASHAc] = ACTIONS(7603),
    [anon_sym_BSLASHacp] = ACTIONS(7603),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7603),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7603),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7603),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7603),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7603),
    [anon_sym_BSLASHcolor] = ACTIONS(7603),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7603),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7603),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7603),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7603),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7603),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7603),
    [anon_sym_BSLASHurl] = ACTIONS(7603),
    [anon_sym_BSLASHhref] = ACTIONS(7603),
  },
  [2057] = {
    [sym_command_name] = ACTIONS(7047),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7047),
    [anon_sym_LBRACK] = ACTIONS(7049),
    [anon_sym_RBRACK] = ACTIONS(7049),
    [anon_sym_COMMA] = ACTIONS(7049),
    [anon_sym_EQ] = ACTIONS(7049),
    [anon_sym_LPAREN] = ACTIONS(7049),
    [anon_sym_RPAREN] = ACTIONS(7049),
    [anon_sym_LBRACE] = ACTIONS(7049),
    [sym_word] = ACTIONS(7047),
    [sym_placeholder] = ACTIONS(7049),
    [sym_delimiter] = ACTIONS(7049),
    [anon_sym_PLUS] = ACTIONS(7049),
    [anon_sym_DASH] = ACTIONS(7049),
    [anon_sym_STAR] = ACTIONS(7049),
    [anon_sym_SLASH] = ACTIONS(7049),
    [anon_sym_LT] = ACTIONS(7047),
    [anon_sym_GT] = ACTIONS(7047),
    [anon_sym_BANG] = ACTIONS(7047),
    [anon_sym_PIPE] = ACTIONS(7047),
    [anon_sym_COLON] = ACTIONS(7047),
    [anon_sym_SQUOTE] = ACTIONS(7047),
    [anon_sym__] = ACTIONS(7049),
    [anon_sym_CARET] = ACTIONS(7049),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7049),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7049),
    [anon_sym_DOLLAR] = ACTIONS(7047),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7049),
    [anon_sym_BSLASHleft] = ACTIONS(7047),
    [anon_sym_BSLASHbigl] = ACTIONS(7047),
    [anon_sym_BSLASHBigl] = ACTIONS(7047),
    [anon_sym_BSLASHbiggl] = ACTIONS(7047),
    [anon_sym_BSLASHBiggl] = ACTIONS(7047),
    [anon_sym_BSLASHtext] = ACTIONS(7047),
    [anon_sym_BSLASHintertext] = ACTIONS(7047),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7047),
    [anon_sym_BSLASHbegin] = ACTIONS(7047),
    [anon_sym_BSLASHtitle] = ACTIONS(7047),
    [anon_sym_BSLASHauthor] = ACTIONS(7047),
    [anon_sym_BSLASHusepackage] = ACTIONS(7047),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7047),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7047),
    [anon_sym_BSLASHinclude] = ACTIONS(7047),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7047),
    [anon_sym_BSLASHinput] = ACTIONS(7047),
    [anon_sym_BSLASHsubfile] = ACTIONS(7047),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7047),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7047),
    [anon_sym_BSLASHbibliography] = ACTIONS(7047),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7047),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7047),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7047),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7047),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7047),
    [anon_sym_BSLASHimport] = ACTIONS(7047),
    [anon_sym_BSLASHsubimport] = ACTIONS(7047),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7047),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7047),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7047),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7047),
    [anon_sym_BSLASHcaption] = ACTIONS(7047),
    [anon_sym_BSLASHcite] = ACTIONS(7047),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCite] = ACTIONS(7047),
    [anon_sym_BSLASHnocite] = ACTIONS(7047),
    [anon_sym_BSLASHcitet] = ACTIONS(7047),
    [anon_sym_BSLASHcitep] = ACTIONS(7047),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteA] = ACTIONS(7047),
    [anon_sym_BSLASHciteR] = ACTIONS(7047),
    [anon_sym_BSLASHciteS] = ACTIONS(7047),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7047),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7047),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7047),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7047),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteyear] = ACTIONS(7047),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitedate] = ACTIONS(7047),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteurl] = ACTIONS(7047),
    [anon_sym_BSLASHfullcite] = ACTIONS(7047),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7047),
    [anon_sym_BSLASHcitealt] = ACTIONS(7047),
    [anon_sym_BSLASHcitealp] = ACTIONS(7047),
    [anon_sym_BSLASHcitetext] = ACTIONS(7047),
    [anon_sym_BSLASHparencite] = ACTIONS(7047),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHParencite] = ACTIONS(7047),
    [anon_sym_BSLASHfootcite] = ACTIONS(7047),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7047),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7047),
    [anon_sym_BSLASHtextcite] = ACTIONS(7047),
    [anon_sym_BSLASHTextcite] = ACTIONS(7047),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7047),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7047),
    [anon_sym_BSLASHsupercite] = ACTIONS(7047),
    [anon_sym_BSLASHautocite] = ACTIONS(7047),
    [anon_sym_BSLASHAutocite] = ACTIONS(7047),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHVolcite] = ACTIONS(7047),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHavolcite] = ACTIONS(7047),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHNotecite] = ACTIONS(7047),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHlabel] = ACTIONS(7047),
    [anon_sym_BSLASHref] = ACTIONS(7047),
    [anon_sym_BSLASHeqref] = ACTIONS(7047),
    [anon_sym_BSLASHvref] = ACTIONS(7047),
    [anon_sym_BSLASHVref] = ACTIONS(7047),
    [anon_sym_BSLASHautoref] = ACTIONS(7047),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHpageref] = ACTIONS(7047),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHautopageref] = ACTIONS(7047),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcref] = ACTIONS(7047),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCref] = ACTIONS(7047),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcpageref] = ACTIONS(7047),
    [anon_sym_BSLASHCpageref] = ACTIONS(7047),
    [anon_sym_BSLASHnamecref] = ACTIONS(7047),
    [anon_sym_BSLASHnameCref] = ACTIONS(7047),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7047),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7047),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7047),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7047),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7047),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7047),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7047),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7047),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7047),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7047),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7047),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHdef] = ACTIONS(7047),
    [anon_sym_BSLASHgdef] = ACTIONS(7047),
    [anon_sym_BSLASHedef] = ACTIONS(7047),
    [anon_sym_BSLASHxdef] = ACTIONS(7047),
    [anon_sym_BSLASHlet] = ACTIONS(7047),
    [anon_sym_BSLASHglet] = ACTIONS(7047),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7047),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7047),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7047),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7047),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7047),
    [anon_sym_BSLASHgls] = ACTIONS(7047),
    [anon_sym_BSLASHGls] = ACTIONS(7047),
    [anon_sym_BSLASHGLS] = ACTIONS(7047),
    [anon_sym_BSLASHglspl] = ACTIONS(7047),
    [anon_sym_BSLASHGlspl] = ACTIONS(7047),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7047),
    [anon_sym_BSLASHglslink] = ACTIONS(7047),
    [anon_sym_BSLASHglstext] = ACTIONS(7047),
    [anon_sym_BSLASHGlstext] = ACTIONS(7047),
    [anon_sym_BSLASHGLStext] = ACTIONS(7047),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7047),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7047),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7047),
    [anon_sym_BSLASHglsplural] = ACTIONS(7047),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7047),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7047),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHglsname] = ACTIONS(7047),
    [anon_sym_BSLASHGlsname] = ACTIONS(7047),
    [anon_sym_BSLASHGLSname] = ACTIONS(7047),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7047),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7047),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7047),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7047),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7047),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7047),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7047),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7047),
    [anon_sym_BSLASHacrshort] = ACTIONS(7047),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7047),
    [anon_sym_BSLASHACRshort] = ACTIONS(7047),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHacrlong] = ACTIONS(7047),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7047),
    [anon_sym_BSLASHACRlong] = ACTIONS(7047),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHacrfull] = ACTIONS(7047),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7047),
    [anon_sym_BSLASHACRfull] = ACTIONS(7047),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHacs] = ACTIONS(7047),
    [anon_sym_BSLASHAcs] = ACTIONS(7047),
    [anon_sym_BSLASHacsp] = ACTIONS(7047),
    [anon_sym_BSLASHAcsp] = ACTIONS(7047),
    [anon_sym_BSLASHacl] = ACTIONS(7047),
    [anon_sym_BSLASHAcl] = ACTIONS(7047),
    [anon_sym_BSLASHaclp] = ACTIONS(7047),
    [anon_sym_BSLASHAclp] = ACTIONS(7047),
    [anon_sym_BSLASHacf] = ACTIONS(7047),
    [anon_sym_BSLASHAcf] = ACTIONS(7047),
    [anon_sym_BSLASHacfp] = ACTIONS(7047),
    [anon_sym_BSLASHAcfp] = ACTIONS(7047),
    [anon_sym_BSLASHac] = ACTIONS(7047),
    [anon_sym_BSLASHAc] = ACTIONS(7047),
    [anon_sym_BSLASHacp] = ACTIONS(7047),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7047),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7047),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7047),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7047),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7047),
    [anon_sym_BSLASHcolor] = ACTIONS(7047),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7047),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7047),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7047),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7047),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7047),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7047),
    [anon_sym_BSLASHurl] = ACTIONS(7047),
    [anon_sym_BSLASHhref] = ACTIONS(7047),
  },
  [2058] = {
    [sym_command_name] = ACTIONS(7047),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7047),
    [anon_sym_LBRACK] = ACTIONS(7049),
    [anon_sym_RBRACK] = ACTIONS(7049),
    [anon_sym_COMMA] = ACTIONS(7049),
    [anon_sym_EQ] = ACTIONS(7049),
    [anon_sym_LPAREN] = ACTIONS(7049),
    [anon_sym_RPAREN] = ACTIONS(7049),
    [anon_sym_LBRACE] = ACTIONS(7049),
    [sym_word] = ACTIONS(7047),
    [sym_placeholder] = ACTIONS(7049),
    [sym_delimiter] = ACTIONS(7049),
    [anon_sym_PLUS] = ACTIONS(7049),
    [anon_sym_DASH] = ACTIONS(7049),
    [anon_sym_STAR] = ACTIONS(7049),
    [anon_sym_SLASH] = ACTIONS(7049),
    [anon_sym_LT] = ACTIONS(7047),
    [anon_sym_GT] = ACTIONS(7047),
    [anon_sym_BANG] = ACTIONS(7047),
    [anon_sym_PIPE] = ACTIONS(7047),
    [anon_sym_COLON] = ACTIONS(7047),
    [anon_sym_SQUOTE] = ACTIONS(7047),
    [anon_sym__] = ACTIONS(7049),
    [anon_sym_CARET] = ACTIONS(7049),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7049),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7049),
    [anon_sym_DOLLAR] = ACTIONS(7047),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7049),
    [anon_sym_BSLASHleft] = ACTIONS(7047),
    [anon_sym_BSLASHbigl] = ACTIONS(7047),
    [anon_sym_BSLASHBigl] = ACTIONS(7047),
    [anon_sym_BSLASHbiggl] = ACTIONS(7047),
    [anon_sym_BSLASHBiggl] = ACTIONS(7047),
    [anon_sym_BSLASHtext] = ACTIONS(7047),
    [anon_sym_BSLASHintertext] = ACTIONS(7047),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7047),
    [anon_sym_BSLASHbegin] = ACTIONS(7047),
    [anon_sym_BSLASHtitle] = ACTIONS(7047),
    [anon_sym_BSLASHauthor] = ACTIONS(7047),
    [anon_sym_BSLASHusepackage] = ACTIONS(7047),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7047),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7047),
    [anon_sym_BSLASHinclude] = ACTIONS(7047),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7047),
    [anon_sym_BSLASHinput] = ACTIONS(7047),
    [anon_sym_BSLASHsubfile] = ACTIONS(7047),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7047),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7047),
    [anon_sym_BSLASHbibliography] = ACTIONS(7047),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7047),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7047),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7047),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7047),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7047),
    [anon_sym_BSLASHimport] = ACTIONS(7047),
    [anon_sym_BSLASHsubimport] = ACTIONS(7047),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7047),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7047),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7047),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7047),
    [anon_sym_BSLASHcaption] = ACTIONS(7047),
    [anon_sym_BSLASHcite] = ACTIONS(7047),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCite] = ACTIONS(7047),
    [anon_sym_BSLASHnocite] = ACTIONS(7047),
    [anon_sym_BSLASHcitet] = ACTIONS(7047),
    [anon_sym_BSLASHcitep] = ACTIONS(7047),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteA] = ACTIONS(7047),
    [anon_sym_BSLASHciteR] = ACTIONS(7047),
    [anon_sym_BSLASHciteS] = ACTIONS(7047),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7047),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7047),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7047),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7047),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteyear] = ACTIONS(7047),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcitedate] = ACTIONS(7047),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHciteurl] = ACTIONS(7047),
    [anon_sym_BSLASHfullcite] = ACTIONS(7047),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7047),
    [anon_sym_BSLASHcitealt] = ACTIONS(7047),
    [anon_sym_BSLASHcitealp] = ACTIONS(7047),
    [anon_sym_BSLASHcitetext] = ACTIONS(7047),
    [anon_sym_BSLASHparencite] = ACTIONS(7047),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHParencite] = ACTIONS(7047),
    [anon_sym_BSLASHfootcite] = ACTIONS(7047),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7047),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7047),
    [anon_sym_BSLASHtextcite] = ACTIONS(7047),
    [anon_sym_BSLASHTextcite] = ACTIONS(7047),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7047),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7047),
    [anon_sym_BSLASHsupercite] = ACTIONS(7047),
    [anon_sym_BSLASHautocite] = ACTIONS(7047),
    [anon_sym_BSLASHAutocite] = ACTIONS(7047),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHVolcite] = ACTIONS(7047),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHavolcite] = ACTIONS(7047),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7047),
    [anon_sym_BSLASHnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHNotecite] = ACTIONS(7047),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7047),
    [anon_sym_BSLASHlabel] = ACTIONS(7047),
    [anon_sym_BSLASHref] = ACTIONS(7047),
    [anon_sym_BSLASHeqref] = ACTIONS(7047),
    [anon_sym_BSLASHvref] = ACTIONS(7047),
    [anon_sym_BSLASHVref] = ACTIONS(7047),
    [anon_sym_BSLASHautoref] = ACTIONS(7047),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHpageref] = ACTIONS(7047),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHautopageref] = ACTIONS(7047),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcref] = ACTIONS(7047),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCref] = ACTIONS(7047),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcpageref] = ACTIONS(7047),
    [anon_sym_BSLASHCpageref] = ACTIONS(7047),
    [anon_sym_BSLASHnamecref] = ACTIONS(7047),
    [anon_sym_BSLASHnameCref] = ACTIONS(7047),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7047),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7047),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7047),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7047),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7047),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7047),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7047),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7047),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7047),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7047),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7047),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7047),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7047),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7047),
    [anon_sym_BSLASHdef] = ACTIONS(7047),
    [anon_sym_BSLASHgdef] = ACTIONS(7047),
    [anon_sym_BSLASHedef] = ACTIONS(7047),
    [anon_sym_BSLASHxdef] = ACTIONS(7047),
    [anon_sym_BSLASHlet] = ACTIONS(7047),
    [anon_sym_BSLASHglet] = ACTIONS(7047),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7047),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7047),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7047),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7047),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7047),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7047),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7047),
    [anon_sym_BSLASHgls] = ACTIONS(7047),
    [anon_sym_BSLASHGls] = ACTIONS(7047),
    [anon_sym_BSLASHGLS] = ACTIONS(7047),
    [anon_sym_BSLASHglspl] = ACTIONS(7047),
    [anon_sym_BSLASHGlspl] = ACTIONS(7047),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7047),
    [anon_sym_BSLASHglslink] = ACTIONS(7047),
    [anon_sym_BSLASHglstext] = ACTIONS(7047),
    [anon_sym_BSLASHGlstext] = ACTIONS(7047),
    [anon_sym_BSLASHGLStext] = ACTIONS(7047),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7047),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7047),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7047),
    [anon_sym_BSLASHglsplural] = ACTIONS(7047),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7047),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7047),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7047),
    [anon_sym_BSLASHglsname] = ACTIONS(7047),
    [anon_sym_BSLASHGlsname] = ACTIONS(7047),
    [anon_sym_BSLASHGLSname] = ACTIONS(7047),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7047),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7047),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7047),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7047),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7047),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7047),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7047),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7047),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7047),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7047),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7047),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7047),
    [anon_sym_BSLASHacrshort] = ACTIONS(7047),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7047),
    [anon_sym_BSLASHACRshort] = ACTIONS(7047),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHacrlong] = ACTIONS(7047),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7047),
    [anon_sym_BSLASHACRlong] = ACTIONS(7047),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7047),
    [anon_sym_BSLASHacrfull] = ACTIONS(7047),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7047),
    [anon_sym_BSLASHACRfull] = ACTIONS(7047),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHacs] = ACTIONS(7047),
    [anon_sym_BSLASHAcs] = ACTIONS(7047),
    [anon_sym_BSLASHacsp] = ACTIONS(7047),
    [anon_sym_BSLASHAcsp] = ACTIONS(7047),
    [anon_sym_BSLASHacl] = ACTIONS(7047),
    [anon_sym_BSLASHAcl] = ACTIONS(7047),
    [anon_sym_BSLASHaclp] = ACTIONS(7047),
    [anon_sym_BSLASHAclp] = ACTIONS(7047),
    [anon_sym_BSLASHacf] = ACTIONS(7047),
    [anon_sym_BSLASHAcf] = ACTIONS(7047),
    [anon_sym_BSLASHacfp] = ACTIONS(7047),
    [anon_sym_BSLASHAcfp] = ACTIONS(7047),
    [anon_sym_BSLASHac] = ACTIONS(7047),
    [anon_sym_BSLASHAc] = ACTIONS(7047),
    [anon_sym_BSLASHacp] = ACTIONS(7047),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7047),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7047),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7047),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7047),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7047),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7049),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7047),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7047),
    [anon_sym_BSLASHcolor] = ACTIONS(7047),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7047),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7047),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7047),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7047),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7047),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7047),
    [anon_sym_BSLASHurl] = ACTIONS(7047),
    [anon_sym_BSLASHhref] = ACTIONS(7047),
  },
  [2059] = {
    [sym_command_name] = ACTIONS(7199),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7199),
    [anon_sym_LBRACK] = ACTIONS(7201),
    [anon_sym_RBRACK] = ACTIONS(7201),
    [anon_sym_COMMA] = ACTIONS(7201),
    [anon_sym_EQ] = ACTIONS(7201),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_RPAREN] = ACTIONS(7201),
    [anon_sym_LBRACE] = ACTIONS(7201),
    [sym_word] = ACTIONS(7199),
    [sym_placeholder] = ACTIONS(7201),
    [sym_delimiter] = ACTIONS(7201),
    [anon_sym_PLUS] = ACTIONS(7201),
    [anon_sym_DASH] = ACTIONS(7201),
    [anon_sym_STAR] = ACTIONS(7201),
    [anon_sym_SLASH] = ACTIONS(7201),
    [anon_sym_LT] = ACTIONS(7199),
    [anon_sym_GT] = ACTIONS(7199),
    [anon_sym_BANG] = ACTIONS(7199),
    [anon_sym_PIPE] = ACTIONS(7199),
    [anon_sym_COLON] = ACTIONS(7199),
    [anon_sym_SQUOTE] = ACTIONS(7199),
    [anon_sym__] = ACTIONS(7201),
    [anon_sym_CARET] = ACTIONS(7201),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7201),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7201),
    [anon_sym_DOLLAR] = ACTIONS(7199),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7201),
    [anon_sym_BSLASHleft] = ACTIONS(7199),
    [anon_sym_BSLASHbigl] = ACTIONS(7199),
    [anon_sym_BSLASHBigl] = ACTIONS(7199),
    [anon_sym_BSLASHbiggl] = ACTIONS(7199),
    [anon_sym_BSLASHBiggl] = ACTIONS(7199),
    [anon_sym_BSLASHtext] = ACTIONS(7199),
    [anon_sym_BSLASHintertext] = ACTIONS(7199),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7199),
    [anon_sym_BSLASHbegin] = ACTIONS(7199),
    [anon_sym_BSLASHtitle] = ACTIONS(7199),
    [anon_sym_BSLASHauthor] = ACTIONS(7199),
    [anon_sym_BSLASHusepackage] = ACTIONS(7199),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7199),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7199),
    [anon_sym_BSLASHinclude] = ACTIONS(7199),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7199),
    [anon_sym_BSLASHinput] = ACTIONS(7199),
    [anon_sym_BSLASHsubfile] = ACTIONS(7199),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7199),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7199),
    [anon_sym_BSLASHbibliography] = ACTIONS(7199),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7199),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7199),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7199),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7199),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7199),
    [anon_sym_BSLASHimport] = ACTIONS(7199),
    [anon_sym_BSLASHsubimport] = ACTIONS(7199),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7199),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7199),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7199),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7199),
    [anon_sym_BSLASHcaption] = ACTIONS(7199),
    [anon_sym_BSLASHcite] = ACTIONS(7199),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCite] = ACTIONS(7199),
    [anon_sym_BSLASHnocite] = ACTIONS(7199),
    [anon_sym_BSLASHcitet] = ACTIONS(7199),
    [anon_sym_BSLASHcitep] = ACTIONS(7199),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteA] = ACTIONS(7199),
    [anon_sym_BSLASHciteR] = ACTIONS(7199),
    [anon_sym_BSLASHciteS] = ACTIONS(7199),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7199),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7199),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7199),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7199),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteyear] = ACTIONS(7199),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitedate] = ACTIONS(7199),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteurl] = ACTIONS(7199),
    [anon_sym_BSLASHfullcite] = ACTIONS(7199),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7199),
    [anon_sym_BSLASHcitealt] = ACTIONS(7199),
    [anon_sym_BSLASHcitealp] = ACTIONS(7199),
    [anon_sym_BSLASHcitetext] = ACTIONS(7199),
    [anon_sym_BSLASHparencite] = ACTIONS(7199),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHParencite] = ACTIONS(7199),
    [anon_sym_BSLASHfootcite] = ACTIONS(7199),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7199),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7199),
    [anon_sym_BSLASHtextcite] = ACTIONS(7199),
    [anon_sym_BSLASHTextcite] = ACTIONS(7199),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7199),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7199),
    [anon_sym_BSLASHsupercite] = ACTIONS(7199),
    [anon_sym_BSLASHautocite] = ACTIONS(7199),
    [anon_sym_BSLASHAutocite] = ACTIONS(7199),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHVolcite] = ACTIONS(7199),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHavolcite] = ACTIONS(7199),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHNotecite] = ACTIONS(7199),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHlabel] = ACTIONS(7199),
    [anon_sym_BSLASHref] = ACTIONS(7199),
    [anon_sym_BSLASHeqref] = ACTIONS(7199),
    [anon_sym_BSLASHvref] = ACTIONS(7199),
    [anon_sym_BSLASHVref] = ACTIONS(7199),
    [anon_sym_BSLASHautoref] = ACTIONS(7199),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHpageref] = ACTIONS(7199),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHautopageref] = ACTIONS(7199),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcref] = ACTIONS(7199),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCref] = ACTIONS(7199),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcpageref] = ACTIONS(7199),
    [anon_sym_BSLASHCpageref] = ACTIONS(7199),
    [anon_sym_BSLASHnamecref] = ACTIONS(7199),
    [anon_sym_BSLASHnameCref] = ACTIONS(7199),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7199),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7199),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7199),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7199),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7199),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7199),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7199),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7199),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7199),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7199),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7199),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHdef] = ACTIONS(7199),
    [anon_sym_BSLASHgdef] = ACTIONS(7199),
    [anon_sym_BSLASHedef] = ACTIONS(7199),
    [anon_sym_BSLASHxdef] = ACTIONS(7199),
    [anon_sym_BSLASHlet] = ACTIONS(7199),
    [anon_sym_BSLASHglet] = ACTIONS(7199),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7199),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7199),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7199),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7199),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7199),
    [anon_sym_BSLASHgls] = ACTIONS(7199),
    [anon_sym_BSLASHGls] = ACTIONS(7199),
    [anon_sym_BSLASHGLS] = ACTIONS(7199),
    [anon_sym_BSLASHglspl] = ACTIONS(7199),
    [anon_sym_BSLASHGlspl] = ACTIONS(7199),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7199),
    [anon_sym_BSLASHglslink] = ACTIONS(7199),
    [anon_sym_BSLASHglstext] = ACTIONS(7199),
    [anon_sym_BSLASHGlstext] = ACTIONS(7199),
    [anon_sym_BSLASHGLStext] = ACTIONS(7199),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7199),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7199),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7199),
    [anon_sym_BSLASHglsplural] = ACTIONS(7199),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7199),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7199),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHglsname] = ACTIONS(7199),
    [anon_sym_BSLASHGlsname] = ACTIONS(7199),
    [anon_sym_BSLASHGLSname] = ACTIONS(7199),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7199),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7199),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7199),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7199),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7199),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7199),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7199),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7199),
    [anon_sym_BSLASHacrshort] = ACTIONS(7199),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7199),
    [anon_sym_BSLASHACRshort] = ACTIONS(7199),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHacrlong] = ACTIONS(7199),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7199),
    [anon_sym_BSLASHACRlong] = ACTIONS(7199),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHacrfull] = ACTIONS(7199),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7199),
    [anon_sym_BSLASHACRfull] = ACTIONS(7199),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHacs] = ACTIONS(7199),
    [anon_sym_BSLASHAcs] = ACTIONS(7199),
    [anon_sym_BSLASHacsp] = ACTIONS(7199),
    [anon_sym_BSLASHAcsp] = ACTIONS(7199),
    [anon_sym_BSLASHacl] = ACTIONS(7199),
    [anon_sym_BSLASHAcl] = ACTIONS(7199),
    [anon_sym_BSLASHaclp] = ACTIONS(7199),
    [anon_sym_BSLASHAclp] = ACTIONS(7199),
    [anon_sym_BSLASHacf] = ACTIONS(7199),
    [anon_sym_BSLASHAcf] = ACTIONS(7199),
    [anon_sym_BSLASHacfp] = ACTIONS(7199),
    [anon_sym_BSLASHAcfp] = ACTIONS(7199),
    [anon_sym_BSLASHac] = ACTIONS(7199),
    [anon_sym_BSLASHAc] = ACTIONS(7199),
    [anon_sym_BSLASHacp] = ACTIONS(7199),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7199),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7199),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7199),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7199),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7199),
    [anon_sym_BSLASHcolor] = ACTIONS(7199),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7199),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7199),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7199),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7199),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7199),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7199),
    [anon_sym_BSLASHurl] = ACTIONS(7199),
    [anon_sym_BSLASHhref] = ACTIONS(7199),
  },
  [2060] = {
    [sym_command_name] = ACTIONS(7203),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7203),
    [anon_sym_LBRACK] = ACTIONS(7205),
    [anon_sym_RBRACK] = ACTIONS(7205),
    [anon_sym_COMMA] = ACTIONS(7205),
    [anon_sym_EQ] = ACTIONS(7205),
    [anon_sym_LPAREN] = ACTIONS(7205),
    [anon_sym_RPAREN] = ACTIONS(7205),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [sym_word] = ACTIONS(7203),
    [sym_placeholder] = ACTIONS(7205),
    [sym_delimiter] = ACTIONS(7205),
    [anon_sym_PLUS] = ACTIONS(7205),
    [anon_sym_DASH] = ACTIONS(7205),
    [anon_sym_STAR] = ACTIONS(7205),
    [anon_sym_SLASH] = ACTIONS(7205),
    [anon_sym_LT] = ACTIONS(7203),
    [anon_sym_GT] = ACTIONS(7203),
    [anon_sym_BANG] = ACTIONS(7203),
    [anon_sym_PIPE] = ACTIONS(7203),
    [anon_sym_COLON] = ACTIONS(7203),
    [anon_sym_SQUOTE] = ACTIONS(7203),
    [anon_sym__] = ACTIONS(7205),
    [anon_sym_CARET] = ACTIONS(7205),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7205),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7203),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7205),
    [anon_sym_BSLASHleft] = ACTIONS(7203),
    [anon_sym_BSLASHbigl] = ACTIONS(7203),
    [anon_sym_BSLASHBigl] = ACTIONS(7203),
    [anon_sym_BSLASHbiggl] = ACTIONS(7203),
    [anon_sym_BSLASHBiggl] = ACTIONS(7203),
    [anon_sym_BSLASHtext] = ACTIONS(7203),
    [anon_sym_BSLASHintertext] = ACTIONS(7203),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7203),
    [anon_sym_BSLASHbegin] = ACTIONS(7203),
    [anon_sym_BSLASHtitle] = ACTIONS(7203),
    [anon_sym_BSLASHauthor] = ACTIONS(7203),
    [anon_sym_BSLASHusepackage] = ACTIONS(7203),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7203),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7203),
    [anon_sym_BSLASHinclude] = ACTIONS(7203),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7203),
    [anon_sym_BSLASHinput] = ACTIONS(7203),
    [anon_sym_BSLASHsubfile] = ACTIONS(7203),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7203),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7203),
    [anon_sym_BSLASHbibliography] = ACTIONS(7203),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7203),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7203),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7203),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7203),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7203),
    [anon_sym_BSLASHimport] = ACTIONS(7203),
    [anon_sym_BSLASHsubimport] = ACTIONS(7203),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7203),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7203),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7203),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7203),
    [anon_sym_BSLASHcaption] = ACTIONS(7203),
    [anon_sym_BSLASHcite] = ACTIONS(7203),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCite] = ACTIONS(7203),
    [anon_sym_BSLASHnocite] = ACTIONS(7203),
    [anon_sym_BSLASHcitet] = ACTIONS(7203),
    [anon_sym_BSLASHcitep] = ACTIONS(7203),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteA] = ACTIONS(7203),
    [anon_sym_BSLASHciteR] = ACTIONS(7203),
    [anon_sym_BSLASHciteS] = ACTIONS(7203),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7203),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7203),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7203),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7203),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteyear] = ACTIONS(7203),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitedate] = ACTIONS(7203),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteurl] = ACTIONS(7203),
    [anon_sym_BSLASHfullcite] = ACTIONS(7203),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7203),
    [anon_sym_BSLASHcitealt] = ACTIONS(7203),
    [anon_sym_BSLASHcitealp] = ACTIONS(7203),
    [anon_sym_BSLASHcitetext] = ACTIONS(7203),
    [anon_sym_BSLASHparencite] = ACTIONS(7203),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHParencite] = ACTIONS(7203),
    [anon_sym_BSLASHfootcite] = ACTIONS(7203),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7203),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7203),
    [anon_sym_BSLASHtextcite] = ACTIONS(7203),
    [anon_sym_BSLASHTextcite] = ACTIONS(7203),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7203),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7203),
    [anon_sym_BSLASHsupercite] = ACTIONS(7203),
    [anon_sym_BSLASHautocite] = ACTIONS(7203),
    [anon_sym_BSLASHAutocite] = ACTIONS(7203),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHVolcite] = ACTIONS(7203),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHavolcite] = ACTIONS(7203),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHNotecite] = ACTIONS(7203),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHlabel] = ACTIONS(7203),
    [anon_sym_BSLASHref] = ACTIONS(7203),
    [anon_sym_BSLASHeqref] = ACTIONS(7203),
    [anon_sym_BSLASHvref] = ACTIONS(7203),
    [anon_sym_BSLASHVref] = ACTIONS(7203),
    [anon_sym_BSLASHautoref] = ACTIONS(7203),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHpageref] = ACTIONS(7203),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHautopageref] = ACTIONS(7203),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcref] = ACTIONS(7203),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCref] = ACTIONS(7203),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcpageref] = ACTIONS(7203),
    [anon_sym_BSLASHCpageref] = ACTIONS(7203),
    [anon_sym_BSLASHnamecref] = ACTIONS(7203),
    [anon_sym_BSLASHnameCref] = ACTIONS(7203),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7203),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7203),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7203),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7203),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7203),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7203),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7203),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7203),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7203),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7203),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7203),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHdef] = ACTIONS(7203),
    [anon_sym_BSLASHgdef] = ACTIONS(7203),
    [anon_sym_BSLASHedef] = ACTIONS(7203),
    [anon_sym_BSLASHxdef] = ACTIONS(7203),
    [anon_sym_BSLASHlet] = ACTIONS(7203),
    [anon_sym_BSLASHglet] = ACTIONS(7203),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7203),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7203),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7203),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7203),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7203),
    [anon_sym_BSLASHgls] = ACTIONS(7203),
    [anon_sym_BSLASHGls] = ACTIONS(7203),
    [anon_sym_BSLASHGLS] = ACTIONS(7203),
    [anon_sym_BSLASHglspl] = ACTIONS(7203),
    [anon_sym_BSLASHGlspl] = ACTIONS(7203),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7203),
    [anon_sym_BSLASHglslink] = ACTIONS(7203),
    [anon_sym_BSLASHglstext] = ACTIONS(7203),
    [anon_sym_BSLASHGlstext] = ACTIONS(7203),
    [anon_sym_BSLASHGLStext] = ACTIONS(7203),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7203),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7203),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7203),
    [anon_sym_BSLASHglsplural] = ACTIONS(7203),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7203),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7203),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHglsname] = ACTIONS(7203),
    [anon_sym_BSLASHGlsname] = ACTIONS(7203),
    [anon_sym_BSLASHGLSname] = ACTIONS(7203),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7203),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7203),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7203),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7203),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7203),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7203),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7203),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7203),
    [anon_sym_BSLASHacrshort] = ACTIONS(7203),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7203),
    [anon_sym_BSLASHACRshort] = ACTIONS(7203),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHacrlong] = ACTIONS(7203),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7203),
    [anon_sym_BSLASHACRlong] = ACTIONS(7203),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHacrfull] = ACTIONS(7203),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7203),
    [anon_sym_BSLASHACRfull] = ACTIONS(7203),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHacs] = ACTIONS(7203),
    [anon_sym_BSLASHAcs] = ACTIONS(7203),
    [anon_sym_BSLASHacsp] = ACTIONS(7203),
    [anon_sym_BSLASHAcsp] = ACTIONS(7203),
    [anon_sym_BSLASHacl] = ACTIONS(7203),
    [anon_sym_BSLASHAcl] = ACTIONS(7203),
    [anon_sym_BSLASHaclp] = ACTIONS(7203),
    [anon_sym_BSLASHAclp] = ACTIONS(7203),
    [anon_sym_BSLASHacf] = ACTIONS(7203),
    [anon_sym_BSLASHAcf] = ACTIONS(7203),
    [anon_sym_BSLASHacfp] = ACTIONS(7203),
    [anon_sym_BSLASHAcfp] = ACTIONS(7203),
    [anon_sym_BSLASHac] = ACTIONS(7203),
    [anon_sym_BSLASHAc] = ACTIONS(7203),
    [anon_sym_BSLASHacp] = ACTIONS(7203),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7203),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7203),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7203),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7203),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7203),
    [anon_sym_BSLASHcolor] = ACTIONS(7203),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7203),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7203),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7203),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7203),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7203),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7203),
    [anon_sym_BSLASHurl] = ACTIONS(7203),
    [anon_sym_BSLASHhref] = ACTIONS(7203),
  },
  [2061] = {
    [sym_command_name] = ACTIONS(7207),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7207),
    [anon_sym_LBRACK] = ACTIONS(7209),
    [anon_sym_RBRACK] = ACTIONS(7209),
    [anon_sym_COMMA] = ACTIONS(7209),
    [anon_sym_EQ] = ACTIONS(7209),
    [anon_sym_LPAREN] = ACTIONS(7209),
    [anon_sym_RPAREN] = ACTIONS(7209),
    [anon_sym_LBRACE] = ACTIONS(7209),
    [sym_word] = ACTIONS(7207),
    [sym_placeholder] = ACTIONS(7209),
    [sym_delimiter] = ACTIONS(7209),
    [anon_sym_PLUS] = ACTIONS(7209),
    [anon_sym_DASH] = ACTIONS(7209),
    [anon_sym_STAR] = ACTIONS(7209),
    [anon_sym_SLASH] = ACTIONS(7209),
    [anon_sym_LT] = ACTIONS(7207),
    [anon_sym_GT] = ACTIONS(7207),
    [anon_sym_BANG] = ACTIONS(7207),
    [anon_sym_PIPE] = ACTIONS(7207),
    [anon_sym_COLON] = ACTIONS(7207),
    [anon_sym_SQUOTE] = ACTIONS(7207),
    [anon_sym__] = ACTIONS(7209),
    [anon_sym_CARET] = ACTIONS(7209),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7209),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7209),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7209),
    [anon_sym_BSLASHleft] = ACTIONS(7207),
    [anon_sym_BSLASHbigl] = ACTIONS(7207),
    [anon_sym_BSLASHBigl] = ACTIONS(7207),
    [anon_sym_BSLASHbiggl] = ACTIONS(7207),
    [anon_sym_BSLASHBiggl] = ACTIONS(7207),
    [anon_sym_BSLASHtext] = ACTIONS(7207),
    [anon_sym_BSLASHintertext] = ACTIONS(7207),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7207),
    [anon_sym_BSLASHbegin] = ACTIONS(7207),
    [anon_sym_BSLASHtitle] = ACTIONS(7207),
    [anon_sym_BSLASHauthor] = ACTIONS(7207),
    [anon_sym_BSLASHusepackage] = ACTIONS(7207),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7207),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7207),
    [anon_sym_BSLASHinclude] = ACTIONS(7207),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7207),
    [anon_sym_BSLASHinput] = ACTIONS(7207),
    [anon_sym_BSLASHsubfile] = ACTIONS(7207),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7207),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7207),
    [anon_sym_BSLASHbibliography] = ACTIONS(7207),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7207),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7207),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7207),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7207),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7207),
    [anon_sym_BSLASHimport] = ACTIONS(7207),
    [anon_sym_BSLASHsubimport] = ACTIONS(7207),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7207),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7207),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7207),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7207),
    [anon_sym_BSLASHcaption] = ACTIONS(7207),
    [anon_sym_BSLASHcite] = ACTIONS(7207),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCite] = ACTIONS(7207),
    [anon_sym_BSLASHnocite] = ACTIONS(7207),
    [anon_sym_BSLASHcitet] = ACTIONS(7207),
    [anon_sym_BSLASHcitep] = ACTIONS(7207),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteA] = ACTIONS(7207),
    [anon_sym_BSLASHciteR] = ACTIONS(7207),
    [anon_sym_BSLASHciteS] = ACTIONS(7207),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7207),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7207),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7207),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7207),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteyear] = ACTIONS(7207),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitedate] = ACTIONS(7207),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteurl] = ACTIONS(7207),
    [anon_sym_BSLASHfullcite] = ACTIONS(7207),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7207),
    [anon_sym_BSLASHcitealt] = ACTIONS(7207),
    [anon_sym_BSLASHcitealp] = ACTIONS(7207),
    [anon_sym_BSLASHcitetext] = ACTIONS(7207),
    [anon_sym_BSLASHparencite] = ACTIONS(7207),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHParencite] = ACTIONS(7207),
    [anon_sym_BSLASHfootcite] = ACTIONS(7207),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7207),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7207),
    [anon_sym_BSLASHtextcite] = ACTIONS(7207),
    [anon_sym_BSLASHTextcite] = ACTIONS(7207),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7207),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7207),
    [anon_sym_BSLASHsupercite] = ACTIONS(7207),
    [anon_sym_BSLASHautocite] = ACTIONS(7207),
    [anon_sym_BSLASHAutocite] = ACTIONS(7207),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHVolcite] = ACTIONS(7207),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHavolcite] = ACTIONS(7207),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHNotecite] = ACTIONS(7207),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHlabel] = ACTIONS(7207),
    [anon_sym_BSLASHref] = ACTIONS(7207),
    [anon_sym_BSLASHeqref] = ACTIONS(7207),
    [anon_sym_BSLASHvref] = ACTIONS(7207),
    [anon_sym_BSLASHVref] = ACTIONS(7207),
    [anon_sym_BSLASHautoref] = ACTIONS(7207),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHpageref] = ACTIONS(7207),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHautopageref] = ACTIONS(7207),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcref] = ACTIONS(7207),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCref] = ACTIONS(7207),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcpageref] = ACTIONS(7207),
    [anon_sym_BSLASHCpageref] = ACTIONS(7207),
    [anon_sym_BSLASHnamecref] = ACTIONS(7207),
    [anon_sym_BSLASHnameCref] = ACTIONS(7207),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7207),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7207),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7207),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7207),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7207),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7207),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7207),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7207),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7207),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7207),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7207),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHdef] = ACTIONS(7207),
    [anon_sym_BSLASHgdef] = ACTIONS(7207),
    [anon_sym_BSLASHedef] = ACTIONS(7207),
    [anon_sym_BSLASHxdef] = ACTIONS(7207),
    [anon_sym_BSLASHlet] = ACTIONS(7207),
    [anon_sym_BSLASHglet] = ACTIONS(7207),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7207),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7207),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7207),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7207),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7207),
    [anon_sym_BSLASHgls] = ACTIONS(7207),
    [anon_sym_BSLASHGls] = ACTIONS(7207),
    [anon_sym_BSLASHGLS] = ACTIONS(7207),
    [anon_sym_BSLASHglspl] = ACTIONS(7207),
    [anon_sym_BSLASHGlspl] = ACTIONS(7207),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7207),
    [anon_sym_BSLASHglslink] = ACTIONS(7207),
    [anon_sym_BSLASHglstext] = ACTIONS(7207),
    [anon_sym_BSLASHGlstext] = ACTIONS(7207),
    [anon_sym_BSLASHGLStext] = ACTIONS(7207),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7207),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7207),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7207),
    [anon_sym_BSLASHglsplural] = ACTIONS(7207),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7207),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7207),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHglsname] = ACTIONS(7207),
    [anon_sym_BSLASHGlsname] = ACTIONS(7207),
    [anon_sym_BSLASHGLSname] = ACTIONS(7207),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7207),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7207),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7207),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7207),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7207),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7207),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7207),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7207),
    [anon_sym_BSLASHacrshort] = ACTIONS(7207),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7207),
    [anon_sym_BSLASHACRshort] = ACTIONS(7207),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHacrlong] = ACTIONS(7207),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7207),
    [anon_sym_BSLASHACRlong] = ACTIONS(7207),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHacrfull] = ACTIONS(7207),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7207),
    [anon_sym_BSLASHACRfull] = ACTIONS(7207),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHacs] = ACTIONS(7207),
    [anon_sym_BSLASHAcs] = ACTIONS(7207),
    [anon_sym_BSLASHacsp] = ACTIONS(7207),
    [anon_sym_BSLASHAcsp] = ACTIONS(7207),
    [anon_sym_BSLASHacl] = ACTIONS(7207),
    [anon_sym_BSLASHAcl] = ACTIONS(7207),
    [anon_sym_BSLASHaclp] = ACTIONS(7207),
    [anon_sym_BSLASHAclp] = ACTIONS(7207),
    [anon_sym_BSLASHacf] = ACTIONS(7207),
    [anon_sym_BSLASHAcf] = ACTIONS(7207),
    [anon_sym_BSLASHacfp] = ACTIONS(7207),
    [anon_sym_BSLASHAcfp] = ACTIONS(7207),
    [anon_sym_BSLASHac] = ACTIONS(7207),
    [anon_sym_BSLASHAc] = ACTIONS(7207),
    [anon_sym_BSLASHacp] = ACTIONS(7207),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7207),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7207),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7207),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7207),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7207),
    [anon_sym_BSLASHcolor] = ACTIONS(7207),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7207),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7207),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7207),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7207),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7207),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7207),
    [anon_sym_BSLASHurl] = ACTIONS(7207),
    [anon_sym_BSLASHhref] = ACTIONS(7207),
  },
  [2062] = {
    [sym_command_name] = ACTIONS(7211),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7211),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_RBRACK] = ACTIONS(7213),
    [anon_sym_COMMA] = ACTIONS(7213),
    [anon_sym_EQ] = ACTIONS(7213),
    [anon_sym_LPAREN] = ACTIONS(7213),
    [anon_sym_RPAREN] = ACTIONS(7213),
    [anon_sym_LBRACE] = ACTIONS(7213),
    [sym_word] = ACTIONS(7211),
    [sym_placeholder] = ACTIONS(7213),
    [sym_delimiter] = ACTIONS(7213),
    [anon_sym_PLUS] = ACTIONS(7213),
    [anon_sym_DASH] = ACTIONS(7213),
    [anon_sym_STAR] = ACTIONS(7213),
    [anon_sym_SLASH] = ACTIONS(7213),
    [anon_sym_LT] = ACTIONS(7211),
    [anon_sym_GT] = ACTIONS(7211),
    [anon_sym_BANG] = ACTIONS(7211),
    [anon_sym_PIPE] = ACTIONS(7211),
    [anon_sym_COLON] = ACTIONS(7211),
    [anon_sym_SQUOTE] = ACTIONS(7211),
    [anon_sym__] = ACTIONS(7213),
    [anon_sym_CARET] = ACTIONS(7213),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7213),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7213),
    [anon_sym_DOLLAR] = ACTIONS(7211),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7213),
    [anon_sym_BSLASHleft] = ACTIONS(7211),
    [anon_sym_BSLASHbigl] = ACTIONS(7211),
    [anon_sym_BSLASHBigl] = ACTIONS(7211),
    [anon_sym_BSLASHbiggl] = ACTIONS(7211),
    [anon_sym_BSLASHBiggl] = ACTIONS(7211),
    [anon_sym_BSLASHtext] = ACTIONS(7211),
    [anon_sym_BSLASHintertext] = ACTIONS(7211),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7211),
    [anon_sym_BSLASHbegin] = ACTIONS(7211),
    [anon_sym_BSLASHtitle] = ACTIONS(7211),
    [anon_sym_BSLASHauthor] = ACTIONS(7211),
    [anon_sym_BSLASHusepackage] = ACTIONS(7211),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7211),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7211),
    [anon_sym_BSLASHinclude] = ACTIONS(7211),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7211),
    [anon_sym_BSLASHinput] = ACTIONS(7211),
    [anon_sym_BSLASHsubfile] = ACTIONS(7211),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7211),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7211),
    [anon_sym_BSLASHbibliography] = ACTIONS(7211),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7211),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7211),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7211),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7211),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7211),
    [anon_sym_BSLASHimport] = ACTIONS(7211),
    [anon_sym_BSLASHsubimport] = ACTIONS(7211),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7211),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7211),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7211),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7211),
    [anon_sym_BSLASHcaption] = ACTIONS(7211),
    [anon_sym_BSLASHcite] = ACTIONS(7211),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCite] = ACTIONS(7211),
    [anon_sym_BSLASHnocite] = ACTIONS(7211),
    [anon_sym_BSLASHcitet] = ACTIONS(7211),
    [anon_sym_BSLASHcitep] = ACTIONS(7211),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteA] = ACTIONS(7211),
    [anon_sym_BSLASHciteR] = ACTIONS(7211),
    [anon_sym_BSLASHciteS] = ACTIONS(7211),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7211),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7211),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7211),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7211),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteyear] = ACTIONS(7211),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitedate] = ACTIONS(7211),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteurl] = ACTIONS(7211),
    [anon_sym_BSLASHfullcite] = ACTIONS(7211),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7211),
    [anon_sym_BSLASHcitealt] = ACTIONS(7211),
    [anon_sym_BSLASHcitealp] = ACTIONS(7211),
    [anon_sym_BSLASHcitetext] = ACTIONS(7211),
    [anon_sym_BSLASHparencite] = ACTIONS(7211),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHParencite] = ACTIONS(7211),
    [anon_sym_BSLASHfootcite] = ACTIONS(7211),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7211),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7211),
    [anon_sym_BSLASHtextcite] = ACTIONS(7211),
    [anon_sym_BSLASHTextcite] = ACTIONS(7211),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7211),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7211),
    [anon_sym_BSLASHsupercite] = ACTIONS(7211),
    [anon_sym_BSLASHautocite] = ACTIONS(7211),
    [anon_sym_BSLASHAutocite] = ACTIONS(7211),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHVolcite] = ACTIONS(7211),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHavolcite] = ACTIONS(7211),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHNotecite] = ACTIONS(7211),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHlabel] = ACTIONS(7211),
    [anon_sym_BSLASHref] = ACTIONS(7211),
    [anon_sym_BSLASHeqref] = ACTIONS(7211),
    [anon_sym_BSLASHvref] = ACTIONS(7211),
    [anon_sym_BSLASHVref] = ACTIONS(7211),
    [anon_sym_BSLASHautoref] = ACTIONS(7211),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHpageref] = ACTIONS(7211),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHautopageref] = ACTIONS(7211),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcref] = ACTIONS(7211),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCref] = ACTIONS(7211),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcpageref] = ACTIONS(7211),
    [anon_sym_BSLASHCpageref] = ACTIONS(7211),
    [anon_sym_BSLASHnamecref] = ACTIONS(7211),
    [anon_sym_BSLASHnameCref] = ACTIONS(7211),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7211),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7211),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7211),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7211),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7211),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7211),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7211),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7211),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7211),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7211),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7211),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHdef] = ACTIONS(7211),
    [anon_sym_BSLASHgdef] = ACTIONS(7211),
    [anon_sym_BSLASHedef] = ACTIONS(7211),
    [anon_sym_BSLASHxdef] = ACTIONS(7211),
    [anon_sym_BSLASHlet] = ACTIONS(7211),
    [anon_sym_BSLASHglet] = ACTIONS(7211),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7211),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7211),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7211),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7211),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7211),
    [anon_sym_BSLASHgls] = ACTIONS(7211),
    [anon_sym_BSLASHGls] = ACTIONS(7211),
    [anon_sym_BSLASHGLS] = ACTIONS(7211),
    [anon_sym_BSLASHglspl] = ACTIONS(7211),
    [anon_sym_BSLASHGlspl] = ACTIONS(7211),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7211),
    [anon_sym_BSLASHglslink] = ACTIONS(7211),
    [anon_sym_BSLASHglstext] = ACTIONS(7211),
    [anon_sym_BSLASHGlstext] = ACTIONS(7211),
    [anon_sym_BSLASHGLStext] = ACTIONS(7211),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7211),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7211),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7211),
    [anon_sym_BSLASHglsplural] = ACTIONS(7211),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7211),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7211),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHglsname] = ACTIONS(7211),
    [anon_sym_BSLASHGlsname] = ACTIONS(7211),
    [anon_sym_BSLASHGLSname] = ACTIONS(7211),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7211),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7211),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7211),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7211),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7211),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7211),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7211),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7211),
    [anon_sym_BSLASHacrshort] = ACTIONS(7211),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7211),
    [anon_sym_BSLASHACRshort] = ACTIONS(7211),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHacrlong] = ACTIONS(7211),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7211),
    [anon_sym_BSLASHACRlong] = ACTIONS(7211),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHacrfull] = ACTIONS(7211),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7211),
    [anon_sym_BSLASHACRfull] = ACTIONS(7211),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHacs] = ACTIONS(7211),
    [anon_sym_BSLASHAcs] = ACTIONS(7211),
    [anon_sym_BSLASHacsp] = ACTIONS(7211),
    [anon_sym_BSLASHAcsp] = ACTIONS(7211),
    [anon_sym_BSLASHacl] = ACTIONS(7211),
    [anon_sym_BSLASHAcl] = ACTIONS(7211),
    [anon_sym_BSLASHaclp] = ACTIONS(7211),
    [anon_sym_BSLASHAclp] = ACTIONS(7211),
    [anon_sym_BSLASHacf] = ACTIONS(7211),
    [anon_sym_BSLASHAcf] = ACTIONS(7211),
    [anon_sym_BSLASHacfp] = ACTIONS(7211),
    [anon_sym_BSLASHAcfp] = ACTIONS(7211),
    [anon_sym_BSLASHac] = ACTIONS(7211),
    [anon_sym_BSLASHAc] = ACTIONS(7211),
    [anon_sym_BSLASHacp] = ACTIONS(7211),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7211),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7211),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7211),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7211),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7211),
    [anon_sym_BSLASHcolor] = ACTIONS(7211),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7211),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7211),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7211),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7211),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7211),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7211),
    [anon_sym_BSLASHurl] = ACTIONS(7211),
    [anon_sym_BSLASHhref] = ACTIONS(7211),
  },
  [2063] = {
    [sym_command_name] = ACTIONS(7215),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7215),
    [anon_sym_LBRACK] = ACTIONS(7217),
    [anon_sym_RBRACK] = ACTIONS(7217),
    [anon_sym_COMMA] = ACTIONS(7217),
    [anon_sym_EQ] = ACTIONS(7217),
    [anon_sym_LPAREN] = ACTIONS(7217),
    [anon_sym_RPAREN] = ACTIONS(7217),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [sym_word] = ACTIONS(7215),
    [sym_placeholder] = ACTIONS(7217),
    [sym_delimiter] = ACTIONS(7217),
    [anon_sym_PLUS] = ACTIONS(7217),
    [anon_sym_DASH] = ACTIONS(7217),
    [anon_sym_STAR] = ACTIONS(7217),
    [anon_sym_SLASH] = ACTIONS(7217),
    [anon_sym_LT] = ACTIONS(7215),
    [anon_sym_GT] = ACTIONS(7215),
    [anon_sym_BANG] = ACTIONS(7215),
    [anon_sym_PIPE] = ACTIONS(7215),
    [anon_sym_COLON] = ACTIONS(7215),
    [anon_sym_SQUOTE] = ACTIONS(7215),
    [anon_sym__] = ACTIONS(7217),
    [anon_sym_CARET] = ACTIONS(7217),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7217),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7217),
    [anon_sym_DOLLAR] = ACTIONS(7215),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7217),
    [anon_sym_BSLASHleft] = ACTIONS(7215),
    [anon_sym_BSLASHbigl] = ACTIONS(7215),
    [anon_sym_BSLASHBigl] = ACTIONS(7215),
    [anon_sym_BSLASHbiggl] = ACTIONS(7215),
    [anon_sym_BSLASHBiggl] = ACTIONS(7215),
    [anon_sym_BSLASHtext] = ACTIONS(7215),
    [anon_sym_BSLASHintertext] = ACTIONS(7215),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7215),
    [anon_sym_BSLASHbegin] = ACTIONS(7215),
    [anon_sym_BSLASHtitle] = ACTIONS(7215),
    [anon_sym_BSLASHauthor] = ACTIONS(7215),
    [anon_sym_BSLASHusepackage] = ACTIONS(7215),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7215),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7215),
    [anon_sym_BSLASHinclude] = ACTIONS(7215),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7215),
    [anon_sym_BSLASHinput] = ACTIONS(7215),
    [anon_sym_BSLASHsubfile] = ACTIONS(7215),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7215),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7215),
    [anon_sym_BSLASHbibliography] = ACTIONS(7215),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7215),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7215),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7215),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7215),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7215),
    [anon_sym_BSLASHimport] = ACTIONS(7215),
    [anon_sym_BSLASHsubimport] = ACTIONS(7215),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7215),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7215),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7215),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7215),
    [anon_sym_BSLASHcaption] = ACTIONS(7215),
    [anon_sym_BSLASHcite] = ACTIONS(7215),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCite] = ACTIONS(7215),
    [anon_sym_BSLASHnocite] = ACTIONS(7215),
    [anon_sym_BSLASHcitet] = ACTIONS(7215),
    [anon_sym_BSLASHcitep] = ACTIONS(7215),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteA] = ACTIONS(7215),
    [anon_sym_BSLASHciteR] = ACTIONS(7215),
    [anon_sym_BSLASHciteS] = ACTIONS(7215),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7215),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7215),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7215),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7215),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteyear] = ACTIONS(7215),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitedate] = ACTIONS(7215),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteurl] = ACTIONS(7215),
    [anon_sym_BSLASHfullcite] = ACTIONS(7215),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7215),
    [anon_sym_BSLASHcitealt] = ACTIONS(7215),
    [anon_sym_BSLASHcitealp] = ACTIONS(7215),
    [anon_sym_BSLASHcitetext] = ACTIONS(7215),
    [anon_sym_BSLASHparencite] = ACTIONS(7215),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHParencite] = ACTIONS(7215),
    [anon_sym_BSLASHfootcite] = ACTIONS(7215),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7215),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7215),
    [anon_sym_BSLASHtextcite] = ACTIONS(7215),
    [anon_sym_BSLASHTextcite] = ACTIONS(7215),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7215),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7215),
    [anon_sym_BSLASHsupercite] = ACTIONS(7215),
    [anon_sym_BSLASHautocite] = ACTIONS(7215),
    [anon_sym_BSLASHAutocite] = ACTIONS(7215),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHVolcite] = ACTIONS(7215),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHavolcite] = ACTIONS(7215),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHNotecite] = ACTIONS(7215),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHlabel] = ACTIONS(7215),
    [anon_sym_BSLASHref] = ACTIONS(7215),
    [anon_sym_BSLASHeqref] = ACTIONS(7215),
    [anon_sym_BSLASHvref] = ACTIONS(7215),
    [anon_sym_BSLASHVref] = ACTIONS(7215),
    [anon_sym_BSLASHautoref] = ACTIONS(7215),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHpageref] = ACTIONS(7215),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHautopageref] = ACTIONS(7215),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcref] = ACTIONS(7215),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCref] = ACTIONS(7215),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcpageref] = ACTIONS(7215),
    [anon_sym_BSLASHCpageref] = ACTIONS(7215),
    [anon_sym_BSLASHnamecref] = ACTIONS(7215),
    [anon_sym_BSLASHnameCref] = ACTIONS(7215),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7215),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7215),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7215),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7215),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7215),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7215),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7215),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7215),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7215),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7215),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7215),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHdef] = ACTIONS(7215),
    [anon_sym_BSLASHgdef] = ACTIONS(7215),
    [anon_sym_BSLASHedef] = ACTIONS(7215),
    [anon_sym_BSLASHxdef] = ACTIONS(7215),
    [anon_sym_BSLASHlet] = ACTIONS(7215),
    [anon_sym_BSLASHglet] = ACTIONS(7215),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7215),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7215),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7215),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7215),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7215),
    [anon_sym_BSLASHgls] = ACTIONS(7215),
    [anon_sym_BSLASHGls] = ACTIONS(7215),
    [anon_sym_BSLASHGLS] = ACTIONS(7215),
    [anon_sym_BSLASHglspl] = ACTIONS(7215),
    [anon_sym_BSLASHGlspl] = ACTIONS(7215),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7215),
    [anon_sym_BSLASHglslink] = ACTIONS(7215),
    [anon_sym_BSLASHglstext] = ACTIONS(7215),
    [anon_sym_BSLASHGlstext] = ACTIONS(7215),
    [anon_sym_BSLASHGLStext] = ACTIONS(7215),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7215),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7215),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7215),
    [anon_sym_BSLASHglsplural] = ACTIONS(7215),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7215),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7215),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHglsname] = ACTIONS(7215),
    [anon_sym_BSLASHGlsname] = ACTIONS(7215),
    [anon_sym_BSLASHGLSname] = ACTIONS(7215),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7215),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7215),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7215),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7215),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7215),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7215),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7215),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7215),
    [anon_sym_BSLASHacrshort] = ACTIONS(7215),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7215),
    [anon_sym_BSLASHACRshort] = ACTIONS(7215),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHacrlong] = ACTIONS(7215),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7215),
    [anon_sym_BSLASHACRlong] = ACTIONS(7215),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHacrfull] = ACTIONS(7215),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7215),
    [anon_sym_BSLASHACRfull] = ACTIONS(7215),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHacs] = ACTIONS(7215),
    [anon_sym_BSLASHAcs] = ACTIONS(7215),
    [anon_sym_BSLASHacsp] = ACTIONS(7215),
    [anon_sym_BSLASHAcsp] = ACTIONS(7215),
    [anon_sym_BSLASHacl] = ACTIONS(7215),
    [anon_sym_BSLASHAcl] = ACTIONS(7215),
    [anon_sym_BSLASHaclp] = ACTIONS(7215),
    [anon_sym_BSLASHAclp] = ACTIONS(7215),
    [anon_sym_BSLASHacf] = ACTIONS(7215),
    [anon_sym_BSLASHAcf] = ACTIONS(7215),
    [anon_sym_BSLASHacfp] = ACTIONS(7215),
    [anon_sym_BSLASHAcfp] = ACTIONS(7215),
    [anon_sym_BSLASHac] = ACTIONS(7215),
    [anon_sym_BSLASHAc] = ACTIONS(7215),
    [anon_sym_BSLASHacp] = ACTIONS(7215),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7215),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7215),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7215),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7215),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7215),
    [anon_sym_BSLASHcolor] = ACTIONS(7215),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7215),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7215),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7215),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7215),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7215),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7215),
    [anon_sym_BSLASHurl] = ACTIONS(7215),
    [anon_sym_BSLASHhref] = ACTIONS(7215),
  },
  [2064] = {
    [sym_command_name] = ACTIONS(7219),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7219),
    [anon_sym_LBRACK] = ACTIONS(7221),
    [anon_sym_RBRACK] = ACTIONS(7221),
    [anon_sym_COMMA] = ACTIONS(7221),
    [anon_sym_EQ] = ACTIONS(7221),
    [anon_sym_LPAREN] = ACTIONS(7221),
    [anon_sym_RPAREN] = ACTIONS(7221),
    [anon_sym_LBRACE] = ACTIONS(7221),
    [sym_word] = ACTIONS(7219),
    [sym_placeholder] = ACTIONS(7221),
    [sym_delimiter] = ACTIONS(7221),
    [anon_sym_PLUS] = ACTIONS(7221),
    [anon_sym_DASH] = ACTIONS(7221),
    [anon_sym_STAR] = ACTIONS(7221),
    [anon_sym_SLASH] = ACTIONS(7221),
    [anon_sym_LT] = ACTIONS(7219),
    [anon_sym_GT] = ACTIONS(7219),
    [anon_sym_BANG] = ACTIONS(7219),
    [anon_sym_PIPE] = ACTIONS(7219),
    [anon_sym_COLON] = ACTIONS(7219),
    [anon_sym_SQUOTE] = ACTIONS(7219),
    [anon_sym__] = ACTIONS(7221),
    [anon_sym_CARET] = ACTIONS(7221),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7221),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7221),
    [anon_sym_DOLLAR] = ACTIONS(7219),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7221),
    [anon_sym_BSLASHleft] = ACTIONS(7219),
    [anon_sym_BSLASHbigl] = ACTIONS(7219),
    [anon_sym_BSLASHBigl] = ACTIONS(7219),
    [anon_sym_BSLASHbiggl] = ACTIONS(7219),
    [anon_sym_BSLASHBiggl] = ACTIONS(7219),
    [anon_sym_BSLASHtext] = ACTIONS(7219),
    [anon_sym_BSLASHintertext] = ACTIONS(7219),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7219),
    [anon_sym_BSLASHbegin] = ACTIONS(7219),
    [anon_sym_BSLASHtitle] = ACTIONS(7219),
    [anon_sym_BSLASHauthor] = ACTIONS(7219),
    [anon_sym_BSLASHusepackage] = ACTIONS(7219),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7219),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7219),
    [anon_sym_BSLASHinclude] = ACTIONS(7219),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7219),
    [anon_sym_BSLASHinput] = ACTIONS(7219),
    [anon_sym_BSLASHsubfile] = ACTIONS(7219),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7219),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7219),
    [anon_sym_BSLASHbibliography] = ACTIONS(7219),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7219),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7219),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7219),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7219),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7219),
    [anon_sym_BSLASHimport] = ACTIONS(7219),
    [anon_sym_BSLASHsubimport] = ACTIONS(7219),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7219),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7219),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7219),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7219),
    [anon_sym_BSLASHcaption] = ACTIONS(7219),
    [anon_sym_BSLASHcite] = ACTIONS(7219),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCite] = ACTIONS(7219),
    [anon_sym_BSLASHnocite] = ACTIONS(7219),
    [anon_sym_BSLASHcitet] = ACTIONS(7219),
    [anon_sym_BSLASHcitep] = ACTIONS(7219),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteA] = ACTIONS(7219),
    [anon_sym_BSLASHciteR] = ACTIONS(7219),
    [anon_sym_BSLASHciteS] = ACTIONS(7219),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7219),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7219),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7219),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7219),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteyear] = ACTIONS(7219),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitedate] = ACTIONS(7219),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteurl] = ACTIONS(7219),
    [anon_sym_BSLASHfullcite] = ACTIONS(7219),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7219),
    [anon_sym_BSLASHcitealt] = ACTIONS(7219),
    [anon_sym_BSLASHcitealp] = ACTIONS(7219),
    [anon_sym_BSLASHcitetext] = ACTIONS(7219),
    [anon_sym_BSLASHparencite] = ACTIONS(7219),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHParencite] = ACTIONS(7219),
    [anon_sym_BSLASHfootcite] = ACTIONS(7219),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7219),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7219),
    [anon_sym_BSLASHtextcite] = ACTIONS(7219),
    [anon_sym_BSLASHTextcite] = ACTIONS(7219),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7219),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7219),
    [anon_sym_BSLASHsupercite] = ACTIONS(7219),
    [anon_sym_BSLASHautocite] = ACTIONS(7219),
    [anon_sym_BSLASHAutocite] = ACTIONS(7219),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHVolcite] = ACTIONS(7219),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHavolcite] = ACTIONS(7219),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHNotecite] = ACTIONS(7219),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHlabel] = ACTIONS(7219),
    [anon_sym_BSLASHref] = ACTIONS(7219),
    [anon_sym_BSLASHeqref] = ACTIONS(7219),
    [anon_sym_BSLASHvref] = ACTIONS(7219),
    [anon_sym_BSLASHVref] = ACTIONS(7219),
    [anon_sym_BSLASHautoref] = ACTIONS(7219),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHpageref] = ACTIONS(7219),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHautopageref] = ACTIONS(7219),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcref] = ACTIONS(7219),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCref] = ACTIONS(7219),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcpageref] = ACTIONS(7219),
    [anon_sym_BSLASHCpageref] = ACTIONS(7219),
    [anon_sym_BSLASHnamecref] = ACTIONS(7219),
    [anon_sym_BSLASHnameCref] = ACTIONS(7219),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7219),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7219),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7219),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7219),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7219),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7219),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7219),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7219),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7219),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7219),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7219),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHdef] = ACTIONS(7219),
    [anon_sym_BSLASHgdef] = ACTIONS(7219),
    [anon_sym_BSLASHedef] = ACTIONS(7219),
    [anon_sym_BSLASHxdef] = ACTIONS(7219),
    [anon_sym_BSLASHlet] = ACTIONS(7219),
    [anon_sym_BSLASHglet] = ACTIONS(7219),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7219),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7219),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7219),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7219),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7219),
    [anon_sym_BSLASHgls] = ACTIONS(7219),
    [anon_sym_BSLASHGls] = ACTIONS(7219),
    [anon_sym_BSLASHGLS] = ACTIONS(7219),
    [anon_sym_BSLASHglspl] = ACTIONS(7219),
    [anon_sym_BSLASHGlspl] = ACTIONS(7219),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7219),
    [anon_sym_BSLASHglslink] = ACTIONS(7219),
    [anon_sym_BSLASHglstext] = ACTIONS(7219),
    [anon_sym_BSLASHGlstext] = ACTIONS(7219),
    [anon_sym_BSLASHGLStext] = ACTIONS(7219),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7219),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7219),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7219),
    [anon_sym_BSLASHglsplural] = ACTIONS(7219),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7219),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7219),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHglsname] = ACTIONS(7219),
    [anon_sym_BSLASHGlsname] = ACTIONS(7219),
    [anon_sym_BSLASHGLSname] = ACTIONS(7219),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7219),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7219),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7219),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7219),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7219),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7219),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7219),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7219),
    [anon_sym_BSLASHacrshort] = ACTIONS(7219),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7219),
    [anon_sym_BSLASHACRshort] = ACTIONS(7219),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHacrlong] = ACTIONS(7219),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7219),
    [anon_sym_BSLASHACRlong] = ACTIONS(7219),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHacrfull] = ACTIONS(7219),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7219),
    [anon_sym_BSLASHACRfull] = ACTIONS(7219),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHacs] = ACTIONS(7219),
    [anon_sym_BSLASHAcs] = ACTIONS(7219),
    [anon_sym_BSLASHacsp] = ACTIONS(7219),
    [anon_sym_BSLASHAcsp] = ACTIONS(7219),
    [anon_sym_BSLASHacl] = ACTIONS(7219),
    [anon_sym_BSLASHAcl] = ACTIONS(7219),
    [anon_sym_BSLASHaclp] = ACTIONS(7219),
    [anon_sym_BSLASHAclp] = ACTIONS(7219),
    [anon_sym_BSLASHacf] = ACTIONS(7219),
    [anon_sym_BSLASHAcf] = ACTIONS(7219),
    [anon_sym_BSLASHacfp] = ACTIONS(7219),
    [anon_sym_BSLASHAcfp] = ACTIONS(7219),
    [anon_sym_BSLASHac] = ACTIONS(7219),
    [anon_sym_BSLASHAc] = ACTIONS(7219),
    [anon_sym_BSLASHacp] = ACTIONS(7219),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7219),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7219),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7219),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7219),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7219),
    [anon_sym_BSLASHcolor] = ACTIONS(7219),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7219),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7219),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7219),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7219),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7219),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7219),
    [anon_sym_BSLASHurl] = ACTIONS(7219),
    [anon_sym_BSLASHhref] = ACTIONS(7219),
  },
  [2065] = {
    [sym_command_name] = ACTIONS(7223),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7223),
    [anon_sym_LBRACK] = ACTIONS(7225),
    [anon_sym_RBRACK] = ACTIONS(7225),
    [anon_sym_COMMA] = ACTIONS(7225),
    [anon_sym_EQ] = ACTIONS(7225),
    [anon_sym_LPAREN] = ACTIONS(7225),
    [anon_sym_RPAREN] = ACTIONS(7225),
    [anon_sym_LBRACE] = ACTIONS(7225),
    [sym_word] = ACTIONS(7223),
    [sym_placeholder] = ACTIONS(7225),
    [sym_delimiter] = ACTIONS(7225),
    [anon_sym_PLUS] = ACTIONS(7225),
    [anon_sym_DASH] = ACTIONS(7225),
    [anon_sym_STAR] = ACTIONS(7225),
    [anon_sym_SLASH] = ACTIONS(7225),
    [anon_sym_LT] = ACTIONS(7223),
    [anon_sym_GT] = ACTIONS(7223),
    [anon_sym_BANG] = ACTIONS(7223),
    [anon_sym_PIPE] = ACTIONS(7223),
    [anon_sym_COLON] = ACTIONS(7223),
    [anon_sym_SQUOTE] = ACTIONS(7223),
    [anon_sym__] = ACTIONS(7225),
    [anon_sym_CARET] = ACTIONS(7225),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7225),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7225),
    [anon_sym_DOLLAR] = ACTIONS(7223),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7225),
    [anon_sym_BSLASHleft] = ACTIONS(7223),
    [anon_sym_BSLASHbigl] = ACTIONS(7223),
    [anon_sym_BSLASHBigl] = ACTIONS(7223),
    [anon_sym_BSLASHbiggl] = ACTIONS(7223),
    [anon_sym_BSLASHBiggl] = ACTIONS(7223),
    [anon_sym_BSLASHtext] = ACTIONS(7223),
    [anon_sym_BSLASHintertext] = ACTIONS(7223),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7223),
    [anon_sym_BSLASHbegin] = ACTIONS(7223),
    [anon_sym_BSLASHtitle] = ACTIONS(7223),
    [anon_sym_BSLASHauthor] = ACTIONS(7223),
    [anon_sym_BSLASHusepackage] = ACTIONS(7223),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7223),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7223),
    [anon_sym_BSLASHinclude] = ACTIONS(7223),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7223),
    [anon_sym_BSLASHinput] = ACTIONS(7223),
    [anon_sym_BSLASHsubfile] = ACTIONS(7223),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7223),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7223),
    [anon_sym_BSLASHbibliography] = ACTIONS(7223),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7223),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7223),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7223),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7223),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7223),
    [anon_sym_BSLASHimport] = ACTIONS(7223),
    [anon_sym_BSLASHsubimport] = ACTIONS(7223),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7223),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7223),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7223),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7223),
    [anon_sym_BSLASHcaption] = ACTIONS(7223),
    [anon_sym_BSLASHcite] = ACTIONS(7223),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCite] = ACTIONS(7223),
    [anon_sym_BSLASHnocite] = ACTIONS(7223),
    [anon_sym_BSLASHcitet] = ACTIONS(7223),
    [anon_sym_BSLASHcitep] = ACTIONS(7223),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteA] = ACTIONS(7223),
    [anon_sym_BSLASHciteR] = ACTIONS(7223),
    [anon_sym_BSLASHciteS] = ACTIONS(7223),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7223),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7223),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7223),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7223),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteyear] = ACTIONS(7223),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitedate] = ACTIONS(7223),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteurl] = ACTIONS(7223),
    [anon_sym_BSLASHfullcite] = ACTIONS(7223),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7223),
    [anon_sym_BSLASHcitealt] = ACTIONS(7223),
    [anon_sym_BSLASHcitealp] = ACTIONS(7223),
    [anon_sym_BSLASHcitetext] = ACTIONS(7223),
    [anon_sym_BSLASHparencite] = ACTIONS(7223),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHParencite] = ACTIONS(7223),
    [anon_sym_BSLASHfootcite] = ACTIONS(7223),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7223),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7223),
    [anon_sym_BSLASHtextcite] = ACTIONS(7223),
    [anon_sym_BSLASHTextcite] = ACTIONS(7223),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7223),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7223),
    [anon_sym_BSLASHsupercite] = ACTIONS(7223),
    [anon_sym_BSLASHautocite] = ACTIONS(7223),
    [anon_sym_BSLASHAutocite] = ACTIONS(7223),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHVolcite] = ACTIONS(7223),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHavolcite] = ACTIONS(7223),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHNotecite] = ACTIONS(7223),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHlabel] = ACTIONS(7223),
    [anon_sym_BSLASHref] = ACTIONS(7223),
    [anon_sym_BSLASHeqref] = ACTIONS(7223),
    [anon_sym_BSLASHvref] = ACTIONS(7223),
    [anon_sym_BSLASHVref] = ACTIONS(7223),
    [anon_sym_BSLASHautoref] = ACTIONS(7223),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHpageref] = ACTIONS(7223),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHautopageref] = ACTIONS(7223),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcref] = ACTIONS(7223),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCref] = ACTIONS(7223),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcpageref] = ACTIONS(7223),
    [anon_sym_BSLASHCpageref] = ACTIONS(7223),
    [anon_sym_BSLASHnamecref] = ACTIONS(7223),
    [anon_sym_BSLASHnameCref] = ACTIONS(7223),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7223),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7223),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7223),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7223),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7223),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7223),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7223),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7223),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7223),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7223),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7223),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHdef] = ACTIONS(7223),
    [anon_sym_BSLASHgdef] = ACTIONS(7223),
    [anon_sym_BSLASHedef] = ACTIONS(7223),
    [anon_sym_BSLASHxdef] = ACTIONS(7223),
    [anon_sym_BSLASHlet] = ACTIONS(7223),
    [anon_sym_BSLASHglet] = ACTIONS(7223),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7223),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7223),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7223),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7223),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7223),
    [anon_sym_BSLASHgls] = ACTIONS(7223),
    [anon_sym_BSLASHGls] = ACTIONS(7223),
    [anon_sym_BSLASHGLS] = ACTIONS(7223),
    [anon_sym_BSLASHglspl] = ACTIONS(7223),
    [anon_sym_BSLASHGlspl] = ACTIONS(7223),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7223),
    [anon_sym_BSLASHglslink] = ACTIONS(7223),
    [anon_sym_BSLASHglstext] = ACTIONS(7223),
    [anon_sym_BSLASHGlstext] = ACTIONS(7223),
    [anon_sym_BSLASHGLStext] = ACTIONS(7223),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7223),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7223),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7223),
    [anon_sym_BSLASHglsplural] = ACTIONS(7223),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7223),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7223),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHglsname] = ACTIONS(7223),
    [anon_sym_BSLASHGlsname] = ACTIONS(7223),
    [anon_sym_BSLASHGLSname] = ACTIONS(7223),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7223),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7223),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7223),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7223),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7223),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7223),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7223),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7223),
    [anon_sym_BSLASHacrshort] = ACTIONS(7223),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7223),
    [anon_sym_BSLASHACRshort] = ACTIONS(7223),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHacrlong] = ACTIONS(7223),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7223),
    [anon_sym_BSLASHACRlong] = ACTIONS(7223),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHacrfull] = ACTIONS(7223),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7223),
    [anon_sym_BSLASHACRfull] = ACTIONS(7223),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHacs] = ACTIONS(7223),
    [anon_sym_BSLASHAcs] = ACTIONS(7223),
    [anon_sym_BSLASHacsp] = ACTIONS(7223),
    [anon_sym_BSLASHAcsp] = ACTIONS(7223),
    [anon_sym_BSLASHacl] = ACTIONS(7223),
    [anon_sym_BSLASHAcl] = ACTIONS(7223),
    [anon_sym_BSLASHaclp] = ACTIONS(7223),
    [anon_sym_BSLASHAclp] = ACTIONS(7223),
    [anon_sym_BSLASHacf] = ACTIONS(7223),
    [anon_sym_BSLASHAcf] = ACTIONS(7223),
    [anon_sym_BSLASHacfp] = ACTIONS(7223),
    [anon_sym_BSLASHAcfp] = ACTIONS(7223),
    [anon_sym_BSLASHac] = ACTIONS(7223),
    [anon_sym_BSLASHAc] = ACTIONS(7223),
    [anon_sym_BSLASHacp] = ACTIONS(7223),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7223),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7223),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7223),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7223),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7223),
    [anon_sym_BSLASHcolor] = ACTIONS(7223),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7223),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7223),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7223),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7223),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7223),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7223),
    [anon_sym_BSLASHurl] = ACTIONS(7223),
    [anon_sym_BSLASHhref] = ACTIONS(7223),
  },
  [2066] = {
    [sym_command_name] = ACTIONS(7051),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7051),
    [anon_sym_LBRACK] = ACTIONS(7053),
    [anon_sym_RBRACK] = ACTIONS(7053),
    [anon_sym_COMMA] = ACTIONS(7053),
    [anon_sym_EQ] = ACTIONS(7053),
    [anon_sym_LPAREN] = ACTIONS(7053),
    [anon_sym_RPAREN] = ACTIONS(7053),
    [anon_sym_LBRACE] = ACTIONS(7053),
    [sym_word] = ACTIONS(7051),
    [sym_placeholder] = ACTIONS(7053),
    [sym_delimiter] = ACTIONS(7053),
    [anon_sym_PLUS] = ACTIONS(7053),
    [anon_sym_DASH] = ACTIONS(7053),
    [anon_sym_STAR] = ACTIONS(7053),
    [anon_sym_SLASH] = ACTIONS(7053),
    [anon_sym_LT] = ACTIONS(7051),
    [anon_sym_GT] = ACTIONS(7051),
    [anon_sym_BANG] = ACTIONS(7051),
    [anon_sym_PIPE] = ACTIONS(7051),
    [anon_sym_COLON] = ACTIONS(7051),
    [anon_sym_SQUOTE] = ACTIONS(7051),
    [anon_sym__] = ACTIONS(7053),
    [anon_sym_CARET] = ACTIONS(7053),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7053),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7053),
    [anon_sym_DOLLAR] = ACTIONS(7051),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7053),
    [anon_sym_BSLASHleft] = ACTIONS(7051),
    [anon_sym_BSLASHbigl] = ACTIONS(7051),
    [anon_sym_BSLASHBigl] = ACTIONS(7051),
    [anon_sym_BSLASHbiggl] = ACTIONS(7051),
    [anon_sym_BSLASHBiggl] = ACTIONS(7051),
    [anon_sym_BSLASHtext] = ACTIONS(7051),
    [anon_sym_BSLASHintertext] = ACTIONS(7051),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7051),
    [anon_sym_BSLASHbegin] = ACTIONS(7051),
    [anon_sym_BSLASHtitle] = ACTIONS(7051),
    [anon_sym_BSLASHauthor] = ACTIONS(7051),
    [anon_sym_BSLASHusepackage] = ACTIONS(7051),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7051),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7051),
    [anon_sym_BSLASHinclude] = ACTIONS(7051),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7051),
    [anon_sym_BSLASHinput] = ACTIONS(7051),
    [anon_sym_BSLASHsubfile] = ACTIONS(7051),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7051),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7051),
    [anon_sym_BSLASHbibliography] = ACTIONS(7051),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7051),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7051),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7051),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7051),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7051),
    [anon_sym_BSLASHimport] = ACTIONS(7051),
    [anon_sym_BSLASHsubimport] = ACTIONS(7051),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7051),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7051),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7051),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7051),
    [anon_sym_BSLASHcaption] = ACTIONS(7051),
    [anon_sym_BSLASHcite] = ACTIONS(7051),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCite] = ACTIONS(7051),
    [anon_sym_BSLASHnocite] = ACTIONS(7051),
    [anon_sym_BSLASHcitet] = ACTIONS(7051),
    [anon_sym_BSLASHcitep] = ACTIONS(7051),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteA] = ACTIONS(7051),
    [anon_sym_BSLASHciteR] = ACTIONS(7051),
    [anon_sym_BSLASHciteS] = ACTIONS(7051),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7051),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7051),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7051),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7051),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteyear] = ACTIONS(7051),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitedate] = ACTIONS(7051),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteurl] = ACTIONS(7051),
    [anon_sym_BSLASHfullcite] = ACTIONS(7051),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7051),
    [anon_sym_BSLASHcitealt] = ACTIONS(7051),
    [anon_sym_BSLASHcitealp] = ACTIONS(7051),
    [anon_sym_BSLASHcitetext] = ACTIONS(7051),
    [anon_sym_BSLASHparencite] = ACTIONS(7051),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHParencite] = ACTIONS(7051),
    [anon_sym_BSLASHfootcite] = ACTIONS(7051),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7051),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7051),
    [anon_sym_BSLASHtextcite] = ACTIONS(7051),
    [anon_sym_BSLASHTextcite] = ACTIONS(7051),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7051),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7051),
    [anon_sym_BSLASHsupercite] = ACTIONS(7051),
    [anon_sym_BSLASHautocite] = ACTIONS(7051),
    [anon_sym_BSLASHAutocite] = ACTIONS(7051),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHVolcite] = ACTIONS(7051),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHavolcite] = ACTIONS(7051),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHNotecite] = ACTIONS(7051),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHlabel] = ACTIONS(7051),
    [anon_sym_BSLASHref] = ACTIONS(7051),
    [anon_sym_BSLASHeqref] = ACTIONS(7051),
    [anon_sym_BSLASHvref] = ACTIONS(7051),
    [anon_sym_BSLASHVref] = ACTIONS(7051),
    [anon_sym_BSLASHautoref] = ACTIONS(7051),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHpageref] = ACTIONS(7051),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHautopageref] = ACTIONS(7051),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcref] = ACTIONS(7051),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCref] = ACTIONS(7051),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcpageref] = ACTIONS(7051),
    [anon_sym_BSLASHCpageref] = ACTIONS(7051),
    [anon_sym_BSLASHnamecref] = ACTIONS(7051),
    [anon_sym_BSLASHnameCref] = ACTIONS(7051),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7051),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7051),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7051),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7051),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7051),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7051),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7051),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7051),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7051),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7051),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7051),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHdef] = ACTIONS(7051),
    [anon_sym_BSLASHgdef] = ACTIONS(7051),
    [anon_sym_BSLASHedef] = ACTIONS(7051),
    [anon_sym_BSLASHxdef] = ACTIONS(7051),
    [anon_sym_BSLASHlet] = ACTIONS(7051),
    [anon_sym_BSLASHglet] = ACTIONS(7051),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7051),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7051),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7051),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7051),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7051),
    [anon_sym_BSLASHgls] = ACTIONS(7051),
    [anon_sym_BSLASHGls] = ACTIONS(7051),
    [anon_sym_BSLASHGLS] = ACTIONS(7051),
    [anon_sym_BSLASHglspl] = ACTIONS(7051),
    [anon_sym_BSLASHGlspl] = ACTIONS(7051),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7051),
    [anon_sym_BSLASHglslink] = ACTIONS(7051),
    [anon_sym_BSLASHglstext] = ACTIONS(7051),
    [anon_sym_BSLASHGlstext] = ACTIONS(7051),
    [anon_sym_BSLASHGLStext] = ACTIONS(7051),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7051),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7051),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7051),
    [anon_sym_BSLASHglsplural] = ACTIONS(7051),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7051),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7051),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHglsname] = ACTIONS(7051),
    [anon_sym_BSLASHGlsname] = ACTIONS(7051),
    [anon_sym_BSLASHGLSname] = ACTIONS(7051),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7051),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7051),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7051),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7051),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7051),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7051),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7051),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7051),
    [anon_sym_BSLASHacrshort] = ACTIONS(7051),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7051),
    [anon_sym_BSLASHACRshort] = ACTIONS(7051),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHacrlong] = ACTIONS(7051),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7051),
    [anon_sym_BSLASHACRlong] = ACTIONS(7051),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHacrfull] = ACTIONS(7051),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7051),
    [anon_sym_BSLASHACRfull] = ACTIONS(7051),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHacs] = ACTIONS(7051),
    [anon_sym_BSLASHAcs] = ACTIONS(7051),
    [anon_sym_BSLASHacsp] = ACTIONS(7051),
    [anon_sym_BSLASHAcsp] = ACTIONS(7051),
    [anon_sym_BSLASHacl] = ACTIONS(7051),
    [anon_sym_BSLASHAcl] = ACTIONS(7051),
    [anon_sym_BSLASHaclp] = ACTIONS(7051),
    [anon_sym_BSLASHAclp] = ACTIONS(7051),
    [anon_sym_BSLASHacf] = ACTIONS(7051),
    [anon_sym_BSLASHAcf] = ACTIONS(7051),
    [anon_sym_BSLASHacfp] = ACTIONS(7051),
    [anon_sym_BSLASHAcfp] = ACTIONS(7051),
    [anon_sym_BSLASHac] = ACTIONS(7051),
    [anon_sym_BSLASHAc] = ACTIONS(7051),
    [anon_sym_BSLASHacp] = ACTIONS(7051),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7051),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7051),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7051),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7051),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7051),
    [anon_sym_BSLASHcolor] = ACTIONS(7051),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7051),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7051),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7051),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7051),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7051),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7051),
    [anon_sym_BSLASHurl] = ACTIONS(7051),
    [anon_sym_BSLASHhref] = ACTIONS(7051),
  },
  [2067] = {
    [sym_command_name] = ACTIONS(7187),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7187),
    [anon_sym_LBRACK] = ACTIONS(7189),
    [anon_sym_RBRACK] = ACTIONS(7189),
    [anon_sym_COMMA] = ACTIONS(7189),
    [anon_sym_EQ] = ACTIONS(7189),
    [anon_sym_LPAREN] = ACTIONS(7189),
    [anon_sym_RPAREN] = ACTIONS(7189),
    [anon_sym_LBRACE] = ACTIONS(7189),
    [sym_word] = ACTIONS(7187),
    [sym_placeholder] = ACTIONS(7189),
    [sym_delimiter] = ACTIONS(7189),
    [anon_sym_PLUS] = ACTIONS(7189),
    [anon_sym_DASH] = ACTIONS(7189),
    [anon_sym_STAR] = ACTIONS(7189),
    [anon_sym_SLASH] = ACTIONS(7189),
    [anon_sym_LT] = ACTIONS(7187),
    [anon_sym_GT] = ACTIONS(7187),
    [anon_sym_BANG] = ACTIONS(7187),
    [anon_sym_PIPE] = ACTIONS(7187),
    [anon_sym_COLON] = ACTIONS(7187),
    [anon_sym_SQUOTE] = ACTIONS(7187),
    [anon_sym__] = ACTIONS(7189),
    [anon_sym_CARET] = ACTIONS(7189),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7189),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7189),
    [anon_sym_DOLLAR] = ACTIONS(7187),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7189),
    [anon_sym_BSLASHleft] = ACTIONS(7187),
    [anon_sym_BSLASHbigl] = ACTIONS(7187),
    [anon_sym_BSLASHBigl] = ACTIONS(7187),
    [anon_sym_BSLASHbiggl] = ACTIONS(7187),
    [anon_sym_BSLASHBiggl] = ACTIONS(7187),
    [anon_sym_BSLASHtext] = ACTIONS(7187),
    [anon_sym_BSLASHintertext] = ACTIONS(7187),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7187),
    [anon_sym_BSLASHbegin] = ACTIONS(7187),
    [anon_sym_BSLASHtitle] = ACTIONS(7187),
    [anon_sym_BSLASHauthor] = ACTIONS(7187),
    [anon_sym_BSLASHusepackage] = ACTIONS(7187),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7187),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7187),
    [anon_sym_BSLASHinclude] = ACTIONS(7187),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7187),
    [anon_sym_BSLASHinput] = ACTIONS(7187),
    [anon_sym_BSLASHsubfile] = ACTIONS(7187),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7187),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7187),
    [anon_sym_BSLASHbibliography] = ACTIONS(7187),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7187),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7187),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7187),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7187),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7187),
    [anon_sym_BSLASHimport] = ACTIONS(7187),
    [anon_sym_BSLASHsubimport] = ACTIONS(7187),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7187),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7187),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7187),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7187),
    [anon_sym_BSLASHcaption] = ACTIONS(7187),
    [anon_sym_BSLASHcite] = ACTIONS(7187),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCite] = ACTIONS(7187),
    [anon_sym_BSLASHnocite] = ACTIONS(7187),
    [anon_sym_BSLASHcitet] = ACTIONS(7187),
    [anon_sym_BSLASHcitep] = ACTIONS(7187),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteA] = ACTIONS(7187),
    [anon_sym_BSLASHciteR] = ACTIONS(7187),
    [anon_sym_BSLASHciteS] = ACTIONS(7187),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7187),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7187),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7187),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7187),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteyear] = ACTIONS(7187),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitedate] = ACTIONS(7187),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteurl] = ACTIONS(7187),
    [anon_sym_BSLASHfullcite] = ACTIONS(7187),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7187),
    [anon_sym_BSLASHcitealt] = ACTIONS(7187),
    [anon_sym_BSLASHcitealp] = ACTIONS(7187),
    [anon_sym_BSLASHcitetext] = ACTIONS(7187),
    [anon_sym_BSLASHparencite] = ACTIONS(7187),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHParencite] = ACTIONS(7187),
    [anon_sym_BSLASHfootcite] = ACTIONS(7187),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7187),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7187),
    [anon_sym_BSLASHtextcite] = ACTIONS(7187),
    [anon_sym_BSLASHTextcite] = ACTIONS(7187),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7187),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7187),
    [anon_sym_BSLASHsupercite] = ACTIONS(7187),
    [anon_sym_BSLASHautocite] = ACTIONS(7187),
    [anon_sym_BSLASHAutocite] = ACTIONS(7187),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHVolcite] = ACTIONS(7187),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHavolcite] = ACTIONS(7187),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHNotecite] = ACTIONS(7187),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHlabel] = ACTIONS(7187),
    [anon_sym_BSLASHref] = ACTIONS(7187),
    [anon_sym_BSLASHeqref] = ACTIONS(7187),
    [anon_sym_BSLASHvref] = ACTIONS(7187),
    [anon_sym_BSLASHVref] = ACTIONS(7187),
    [anon_sym_BSLASHautoref] = ACTIONS(7187),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHpageref] = ACTIONS(7187),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHautopageref] = ACTIONS(7187),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcref] = ACTIONS(7187),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCref] = ACTIONS(7187),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcpageref] = ACTIONS(7187),
    [anon_sym_BSLASHCpageref] = ACTIONS(7187),
    [anon_sym_BSLASHnamecref] = ACTIONS(7187),
    [anon_sym_BSLASHnameCref] = ACTIONS(7187),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7187),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7187),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7187),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7187),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7187),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7187),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7187),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7187),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7187),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7187),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7187),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHdef] = ACTIONS(7187),
    [anon_sym_BSLASHgdef] = ACTIONS(7187),
    [anon_sym_BSLASHedef] = ACTIONS(7187),
    [anon_sym_BSLASHxdef] = ACTIONS(7187),
    [anon_sym_BSLASHlet] = ACTIONS(7187),
    [anon_sym_BSLASHglet] = ACTIONS(7187),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7187),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7187),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7187),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7187),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7187),
    [anon_sym_BSLASHgls] = ACTIONS(7187),
    [anon_sym_BSLASHGls] = ACTIONS(7187),
    [anon_sym_BSLASHGLS] = ACTIONS(7187),
    [anon_sym_BSLASHglspl] = ACTIONS(7187),
    [anon_sym_BSLASHGlspl] = ACTIONS(7187),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7187),
    [anon_sym_BSLASHglslink] = ACTIONS(7187),
    [anon_sym_BSLASHglstext] = ACTIONS(7187),
    [anon_sym_BSLASHGlstext] = ACTIONS(7187),
    [anon_sym_BSLASHGLStext] = ACTIONS(7187),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7187),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7187),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7187),
    [anon_sym_BSLASHglsplural] = ACTIONS(7187),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7187),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7187),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHglsname] = ACTIONS(7187),
    [anon_sym_BSLASHGlsname] = ACTIONS(7187),
    [anon_sym_BSLASHGLSname] = ACTIONS(7187),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7187),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7187),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7187),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7187),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7187),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7187),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7187),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7187),
    [anon_sym_BSLASHacrshort] = ACTIONS(7187),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7187),
    [anon_sym_BSLASHACRshort] = ACTIONS(7187),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHacrlong] = ACTIONS(7187),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7187),
    [anon_sym_BSLASHACRlong] = ACTIONS(7187),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHacrfull] = ACTIONS(7187),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7187),
    [anon_sym_BSLASHACRfull] = ACTIONS(7187),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHacs] = ACTIONS(7187),
    [anon_sym_BSLASHAcs] = ACTIONS(7187),
    [anon_sym_BSLASHacsp] = ACTIONS(7187),
    [anon_sym_BSLASHAcsp] = ACTIONS(7187),
    [anon_sym_BSLASHacl] = ACTIONS(7187),
    [anon_sym_BSLASHAcl] = ACTIONS(7187),
    [anon_sym_BSLASHaclp] = ACTIONS(7187),
    [anon_sym_BSLASHAclp] = ACTIONS(7187),
    [anon_sym_BSLASHacf] = ACTIONS(7187),
    [anon_sym_BSLASHAcf] = ACTIONS(7187),
    [anon_sym_BSLASHacfp] = ACTIONS(7187),
    [anon_sym_BSLASHAcfp] = ACTIONS(7187),
    [anon_sym_BSLASHac] = ACTIONS(7187),
    [anon_sym_BSLASHAc] = ACTIONS(7187),
    [anon_sym_BSLASHacp] = ACTIONS(7187),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7187),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7187),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7187),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7187),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7187),
    [anon_sym_BSLASHcolor] = ACTIONS(7187),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7187),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7187),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7187),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7187),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7187),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7187),
    [anon_sym_BSLASHurl] = ACTIONS(7187),
    [anon_sym_BSLASHhref] = ACTIONS(7187),
  },
  [2068] = {
    [sym_command_name] = ACTIONS(7227),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7227),
    [anon_sym_LBRACK] = ACTIONS(7229),
    [anon_sym_RBRACK] = ACTIONS(7229),
    [anon_sym_COMMA] = ACTIONS(7229),
    [anon_sym_EQ] = ACTIONS(7229),
    [anon_sym_LPAREN] = ACTIONS(7229),
    [anon_sym_RPAREN] = ACTIONS(7229),
    [anon_sym_LBRACE] = ACTIONS(7229),
    [sym_word] = ACTIONS(7227),
    [sym_placeholder] = ACTIONS(7229),
    [sym_delimiter] = ACTIONS(7229),
    [anon_sym_PLUS] = ACTIONS(7229),
    [anon_sym_DASH] = ACTIONS(7229),
    [anon_sym_STAR] = ACTIONS(7229),
    [anon_sym_SLASH] = ACTIONS(7229),
    [anon_sym_LT] = ACTIONS(7227),
    [anon_sym_GT] = ACTIONS(7227),
    [anon_sym_BANG] = ACTIONS(7227),
    [anon_sym_PIPE] = ACTIONS(7227),
    [anon_sym_COLON] = ACTIONS(7227),
    [anon_sym_SQUOTE] = ACTIONS(7227),
    [anon_sym__] = ACTIONS(7229),
    [anon_sym_CARET] = ACTIONS(7229),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7229),
    [anon_sym_DOLLAR] = ACTIONS(7227),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7229),
    [anon_sym_BSLASHleft] = ACTIONS(7227),
    [anon_sym_BSLASHbigl] = ACTIONS(7227),
    [anon_sym_BSLASHBigl] = ACTIONS(7227),
    [anon_sym_BSLASHbiggl] = ACTIONS(7227),
    [anon_sym_BSLASHBiggl] = ACTIONS(7227),
    [anon_sym_BSLASHtext] = ACTIONS(7227),
    [anon_sym_BSLASHintertext] = ACTIONS(7227),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7227),
    [anon_sym_BSLASHbegin] = ACTIONS(7227),
    [anon_sym_BSLASHtitle] = ACTIONS(7227),
    [anon_sym_BSLASHauthor] = ACTIONS(7227),
    [anon_sym_BSLASHusepackage] = ACTIONS(7227),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7227),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7227),
    [anon_sym_BSLASHinclude] = ACTIONS(7227),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7227),
    [anon_sym_BSLASHinput] = ACTIONS(7227),
    [anon_sym_BSLASHsubfile] = ACTIONS(7227),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7227),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7227),
    [anon_sym_BSLASHbibliography] = ACTIONS(7227),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7227),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7227),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7227),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7227),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7227),
    [anon_sym_BSLASHimport] = ACTIONS(7227),
    [anon_sym_BSLASHsubimport] = ACTIONS(7227),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7227),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7227),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7227),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7227),
    [anon_sym_BSLASHcaption] = ACTIONS(7227),
    [anon_sym_BSLASHcite] = ACTIONS(7227),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCite] = ACTIONS(7227),
    [anon_sym_BSLASHnocite] = ACTIONS(7227),
    [anon_sym_BSLASHcitet] = ACTIONS(7227),
    [anon_sym_BSLASHcitep] = ACTIONS(7227),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteA] = ACTIONS(7227),
    [anon_sym_BSLASHciteR] = ACTIONS(7227),
    [anon_sym_BSLASHciteS] = ACTIONS(7227),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7227),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7227),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7227),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7227),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteyear] = ACTIONS(7227),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitedate] = ACTIONS(7227),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteurl] = ACTIONS(7227),
    [anon_sym_BSLASHfullcite] = ACTIONS(7227),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7227),
    [anon_sym_BSLASHcitealt] = ACTIONS(7227),
    [anon_sym_BSLASHcitealp] = ACTIONS(7227),
    [anon_sym_BSLASHcitetext] = ACTIONS(7227),
    [anon_sym_BSLASHparencite] = ACTIONS(7227),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHParencite] = ACTIONS(7227),
    [anon_sym_BSLASHfootcite] = ACTIONS(7227),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7227),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7227),
    [anon_sym_BSLASHtextcite] = ACTIONS(7227),
    [anon_sym_BSLASHTextcite] = ACTIONS(7227),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7227),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7227),
    [anon_sym_BSLASHsupercite] = ACTIONS(7227),
    [anon_sym_BSLASHautocite] = ACTIONS(7227),
    [anon_sym_BSLASHAutocite] = ACTIONS(7227),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHVolcite] = ACTIONS(7227),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHavolcite] = ACTIONS(7227),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHNotecite] = ACTIONS(7227),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHlabel] = ACTIONS(7227),
    [anon_sym_BSLASHref] = ACTIONS(7227),
    [anon_sym_BSLASHeqref] = ACTIONS(7227),
    [anon_sym_BSLASHvref] = ACTIONS(7227),
    [anon_sym_BSLASHVref] = ACTIONS(7227),
    [anon_sym_BSLASHautoref] = ACTIONS(7227),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHpageref] = ACTIONS(7227),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHautopageref] = ACTIONS(7227),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcref] = ACTIONS(7227),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCref] = ACTIONS(7227),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcpageref] = ACTIONS(7227),
    [anon_sym_BSLASHCpageref] = ACTIONS(7227),
    [anon_sym_BSLASHnamecref] = ACTIONS(7227),
    [anon_sym_BSLASHnameCref] = ACTIONS(7227),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7227),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7227),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7227),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7227),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7227),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7227),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7227),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7227),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7227),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7227),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7227),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHdef] = ACTIONS(7227),
    [anon_sym_BSLASHgdef] = ACTIONS(7227),
    [anon_sym_BSLASHedef] = ACTIONS(7227),
    [anon_sym_BSLASHxdef] = ACTIONS(7227),
    [anon_sym_BSLASHlet] = ACTIONS(7227),
    [anon_sym_BSLASHglet] = ACTIONS(7227),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7227),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7227),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7227),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7227),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7227),
    [anon_sym_BSLASHgls] = ACTIONS(7227),
    [anon_sym_BSLASHGls] = ACTIONS(7227),
    [anon_sym_BSLASHGLS] = ACTIONS(7227),
    [anon_sym_BSLASHglspl] = ACTIONS(7227),
    [anon_sym_BSLASHGlspl] = ACTIONS(7227),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7227),
    [anon_sym_BSLASHglslink] = ACTIONS(7227),
    [anon_sym_BSLASHglstext] = ACTIONS(7227),
    [anon_sym_BSLASHGlstext] = ACTIONS(7227),
    [anon_sym_BSLASHGLStext] = ACTIONS(7227),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7227),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7227),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7227),
    [anon_sym_BSLASHglsplural] = ACTIONS(7227),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7227),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7227),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHglsname] = ACTIONS(7227),
    [anon_sym_BSLASHGlsname] = ACTIONS(7227),
    [anon_sym_BSLASHGLSname] = ACTIONS(7227),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7227),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7227),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7227),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7227),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7227),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7227),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7227),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7227),
    [anon_sym_BSLASHacrshort] = ACTIONS(7227),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7227),
    [anon_sym_BSLASHACRshort] = ACTIONS(7227),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHacrlong] = ACTIONS(7227),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7227),
    [anon_sym_BSLASHACRlong] = ACTIONS(7227),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHacrfull] = ACTIONS(7227),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7227),
    [anon_sym_BSLASHACRfull] = ACTIONS(7227),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHacs] = ACTIONS(7227),
    [anon_sym_BSLASHAcs] = ACTIONS(7227),
    [anon_sym_BSLASHacsp] = ACTIONS(7227),
    [anon_sym_BSLASHAcsp] = ACTIONS(7227),
    [anon_sym_BSLASHacl] = ACTIONS(7227),
    [anon_sym_BSLASHAcl] = ACTIONS(7227),
    [anon_sym_BSLASHaclp] = ACTIONS(7227),
    [anon_sym_BSLASHAclp] = ACTIONS(7227),
    [anon_sym_BSLASHacf] = ACTIONS(7227),
    [anon_sym_BSLASHAcf] = ACTIONS(7227),
    [anon_sym_BSLASHacfp] = ACTIONS(7227),
    [anon_sym_BSLASHAcfp] = ACTIONS(7227),
    [anon_sym_BSLASHac] = ACTIONS(7227),
    [anon_sym_BSLASHAc] = ACTIONS(7227),
    [anon_sym_BSLASHacp] = ACTIONS(7227),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7227),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7227),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7227),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7227),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7227),
    [anon_sym_BSLASHcolor] = ACTIONS(7227),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7227),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7227),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7227),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7227),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7227),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7227),
    [anon_sym_BSLASHurl] = ACTIONS(7227),
    [anon_sym_BSLASHhref] = ACTIONS(7227),
  },
  [2069] = {
    [sym_command_name] = ACTIONS(7231),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7231),
    [anon_sym_LBRACK] = ACTIONS(7233),
    [anon_sym_RBRACK] = ACTIONS(7233),
    [anon_sym_COMMA] = ACTIONS(7233),
    [anon_sym_EQ] = ACTIONS(7233),
    [anon_sym_LPAREN] = ACTIONS(7233),
    [anon_sym_RPAREN] = ACTIONS(7233),
    [anon_sym_LBRACE] = ACTIONS(7233),
    [sym_word] = ACTIONS(7231),
    [sym_placeholder] = ACTIONS(7233),
    [sym_delimiter] = ACTIONS(7233),
    [anon_sym_PLUS] = ACTIONS(7233),
    [anon_sym_DASH] = ACTIONS(7233),
    [anon_sym_STAR] = ACTIONS(7233),
    [anon_sym_SLASH] = ACTIONS(7233),
    [anon_sym_LT] = ACTIONS(7231),
    [anon_sym_GT] = ACTIONS(7231),
    [anon_sym_BANG] = ACTIONS(7231),
    [anon_sym_PIPE] = ACTIONS(7231),
    [anon_sym_COLON] = ACTIONS(7231),
    [anon_sym_SQUOTE] = ACTIONS(7231),
    [anon_sym__] = ACTIONS(7233),
    [anon_sym_CARET] = ACTIONS(7233),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7233),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7233),
    [anon_sym_DOLLAR] = ACTIONS(7231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7233),
    [anon_sym_BSLASHleft] = ACTIONS(7231),
    [anon_sym_BSLASHbigl] = ACTIONS(7231),
    [anon_sym_BSLASHBigl] = ACTIONS(7231),
    [anon_sym_BSLASHbiggl] = ACTIONS(7231),
    [anon_sym_BSLASHBiggl] = ACTIONS(7231),
    [anon_sym_BSLASHtext] = ACTIONS(7231),
    [anon_sym_BSLASHintertext] = ACTIONS(7231),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7231),
    [anon_sym_BSLASHbegin] = ACTIONS(7231),
    [anon_sym_BSLASHtitle] = ACTIONS(7231),
    [anon_sym_BSLASHauthor] = ACTIONS(7231),
    [anon_sym_BSLASHusepackage] = ACTIONS(7231),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7231),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7231),
    [anon_sym_BSLASHinclude] = ACTIONS(7231),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7231),
    [anon_sym_BSLASHinput] = ACTIONS(7231),
    [anon_sym_BSLASHsubfile] = ACTIONS(7231),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7231),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7231),
    [anon_sym_BSLASHbibliography] = ACTIONS(7231),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7231),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7231),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7231),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7231),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7231),
    [anon_sym_BSLASHimport] = ACTIONS(7231),
    [anon_sym_BSLASHsubimport] = ACTIONS(7231),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7231),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7231),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7231),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7231),
    [anon_sym_BSLASHcaption] = ACTIONS(7231),
    [anon_sym_BSLASHcite] = ACTIONS(7231),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCite] = ACTIONS(7231),
    [anon_sym_BSLASHnocite] = ACTIONS(7231),
    [anon_sym_BSLASHcitet] = ACTIONS(7231),
    [anon_sym_BSLASHcitep] = ACTIONS(7231),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteA] = ACTIONS(7231),
    [anon_sym_BSLASHciteR] = ACTIONS(7231),
    [anon_sym_BSLASHciteS] = ACTIONS(7231),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7231),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7231),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7231),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7231),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteyear] = ACTIONS(7231),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitedate] = ACTIONS(7231),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteurl] = ACTIONS(7231),
    [anon_sym_BSLASHfullcite] = ACTIONS(7231),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7231),
    [anon_sym_BSLASHcitealt] = ACTIONS(7231),
    [anon_sym_BSLASHcitealp] = ACTIONS(7231),
    [anon_sym_BSLASHcitetext] = ACTIONS(7231),
    [anon_sym_BSLASHparencite] = ACTIONS(7231),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHParencite] = ACTIONS(7231),
    [anon_sym_BSLASHfootcite] = ACTIONS(7231),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7231),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7231),
    [anon_sym_BSLASHtextcite] = ACTIONS(7231),
    [anon_sym_BSLASHTextcite] = ACTIONS(7231),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7231),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7231),
    [anon_sym_BSLASHsupercite] = ACTIONS(7231),
    [anon_sym_BSLASHautocite] = ACTIONS(7231),
    [anon_sym_BSLASHAutocite] = ACTIONS(7231),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHVolcite] = ACTIONS(7231),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHavolcite] = ACTIONS(7231),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHNotecite] = ACTIONS(7231),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHlabel] = ACTIONS(7231),
    [anon_sym_BSLASHref] = ACTIONS(7231),
    [anon_sym_BSLASHeqref] = ACTIONS(7231),
    [anon_sym_BSLASHvref] = ACTIONS(7231),
    [anon_sym_BSLASHVref] = ACTIONS(7231),
    [anon_sym_BSLASHautoref] = ACTIONS(7231),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHpageref] = ACTIONS(7231),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHautopageref] = ACTIONS(7231),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcref] = ACTIONS(7231),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCref] = ACTIONS(7231),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcpageref] = ACTIONS(7231),
    [anon_sym_BSLASHCpageref] = ACTIONS(7231),
    [anon_sym_BSLASHnamecref] = ACTIONS(7231),
    [anon_sym_BSLASHnameCref] = ACTIONS(7231),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7231),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7231),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7231),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7231),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7231),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7231),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7231),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7231),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7231),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7231),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7231),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHdef] = ACTIONS(7231),
    [anon_sym_BSLASHgdef] = ACTIONS(7231),
    [anon_sym_BSLASHedef] = ACTIONS(7231),
    [anon_sym_BSLASHxdef] = ACTIONS(7231),
    [anon_sym_BSLASHlet] = ACTIONS(7231),
    [anon_sym_BSLASHglet] = ACTIONS(7231),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7231),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7231),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7231),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7231),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7231),
    [anon_sym_BSLASHgls] = ACTIONS(7231),
    [anon_sym_BSLASHGls] = ACTIONS(7231),
    [anon_sym_BSLASHGLS] = ACTIONS(7231),
    [anon_sym_BSLASHglspl] = ACTIONS(7231),
    [anon_sym_BSLASHGlspl] = ACTIONS(7231),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7231),
    [anon_sym_BSLASHglslink] = ACTIONS(7231),
    [anon_sym_BSLASHglstext] = ACTIONS(7231),
    [anon_sym_BSLASHGlstext] = ACTIONS(7231),
    [anon_sym_BSLASHGLStext] = ACTIONS(7231),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7231),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7231),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7231),
    [anon_sym_BSLASHglsplural] = ACTIONS(7231),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7231),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7231),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHglsname] = ACTIONS(7231),
    [anon_sym_BSLASHGlsname] = ACTIONS(7231),
    [anon_sym_BSLASHGLSname] = ACTIONS(7231),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7231),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7231),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7231),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7231),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7231),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7231),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7231),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7231),
    [anon_sym_BSLASHacrshort] = ACTIONS(7231),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7231),
    [anon_sym_BSLASHACRshort] = ACTIONS(7231),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHacrlong] = ACTIONS(7231),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7231),
    [anon_sym_BSLASHACRlong] = ACTIONS(7231),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHacrfull] = ACTIONS(7231),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7231),
    [anon_sym_BSLASHACRfull] = ACTIONS(7231),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHacs] = ACTIONS(7231),
    [anon_sym_BSLASHAcs] = ACTIONS(7231),
    [anon_sym_BSLASHacsp] = ACTIONS(7231),
    [anon_sym_BSLASHAcsp] = ACTIONS(7231),
    [anon_sym_BSLASHacl] = ACTIONS(7231),
    [anon_sym_BSLASHAcl] = ACTIONS(7231),
    [anon_sym_BSLASHaclp] = ACTIONS(7231),
    [anon_sym_BSLASHAclp] = ACTIONS(7231),
    [anon_sym_BSLASHacf] = ACTIONS(7231),
    [anon_sym_BSLASHAcf] = ACTIONS(7231),
    [anon_sym_BSLASHacfp] = ACTIONS(7231),
    [anon_sym_BSLASHAcfp] = ACTIONS(7231),
    [anon_sym_BSLASHac] = ACTIONS(7231),
    [anon_sym_BSLASHAc] = ACTIONS(7231),
    [anon_sym_BSLASHacp] = ACTIONS(7231),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7231),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7231),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7231),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7231),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7231),
    [anon_sym_BSLASHcolor] = ACTIONS(7231),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7231),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7231),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7231),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7231),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7231),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7231),
    [anon_sym_BSLASHurl] = ACTIONS(7231),
    [anon_sym_BSLASHhref] = ACTIONS(7231),
  },
  [2070] = {
    [sym_command_name] = ACTIONS(7291),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7291),
    [anon_sym_LBRACK] = ACTIONS(7293),
    [anon_sym_RBRACK] = ACTIONS(7293),
    [anon_sym_COMMA] = ACTIONS(7293),
    [anon_sym_EQ] = ACTIONS(7293),
    [anon_sym_LPAREN] = ACTIONS(7293),
    [anon_sym_RPAREN] = ACTIONS(7293),
    [anon_sym_LBRACE] = ACTIONS(7293),
    [sym_word] = ACTIONS(7291),
    [sym_placeholder] = ACTIONS(7293),
    [sym_delimiter] = ACTIONS(7293),
    [anon_sym_PLUS] = ACTIONS(7293),
    [anon_sym_DASH] = ACTIONS(7293),
    [anon_sym_STAR] = ACTIONS(7293),
    [anon_sym_SLASH] = ACTIONS(7293),
    [anon_sym_LT] = ACTIONS(7291),
    [anon_sym_GT] = ACTIONS(7291),
    [anon_sym_BANG] = ACTIONS(7291),
    [anon_sym_PIPE] = ACTIONS(7291),
    [anon_sym_COLON] = ACTIONS(7291),
    [anon_sym_SQUOTE] = ACTIONS(7291),
    [anon_sym__] = ACTIONS(7293),
    [anon_sym_CARET] = ACTIONS(7293),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7293),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7293),
    [anon_sym_DOLLAR] = ACTIONS(7291),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7293),
    [anon_sym_BSLASHleft] = ACTIONS(7291),
    [anon_sym_BSLASHbigl] = ACTIONS(7291),
    [anon_sym_BSLASHBigl] = ACTIONS(7291),
    [anon_sym_BSLASHbiggl] = ACTIONS(7291),
    [anon_sym_BSLASHBiggl] = ACTIONS(7291),
    [anon_sym_BSLASHtext] = ACTIONS(7291),
    [anon_sym_BSLASHintertext] = ACTIONS(7291),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7291),
    [anon_sym_BSLASHbegin] = ACTIONS(7291),
    [anon_sym_BSLASHtitle] = ACTIONS(7291),
    [anon_sym_BSLASHauthor] = ACTIONS(7291),
    [anon_sym_BSLASHusepackage] = ACTIONS(7291),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7291),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7291),
    [anon_sym_BSLASHinclude] = ACTIONS(7291),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7291),
    [anon_sym_BSLASHinput] = ACTIONS(7291),
    [anon_sym_BSLASHsubfile] = ACTIONS(7291),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7291),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7291),
    [anon_sym_BSLASHbibliography] = ACTIONS(7291),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7291),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7291),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7291),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7291),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7291),
    [anon_sym_BSLASHimport] = ACTIONS(7291),
    [anon_sym_BSLASHsubimport] = ACTIONS(7291),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7291),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7291),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7291),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7291),
    [anon_sym_BSLASHcaption] = ACTIONS(7291),
    [anon_sym_BSLASHcite] = ACTIONS(7291),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCite] = ACTIONS(7291),
    [anon_sym_BSLASHnocite] = ACTIONS(7291),
    [anon_sym_BSLASHcitet] = ACTIONS(7291),
    [anon_sym_BSLASHcitep] = ACTIONS(7291),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteA] = ACTIONS(7291),
    [anon_sym_BSLASHciteR] = ACTIONS(7291),
    [anon_sym_BSLASHciteS] = ACTIONS(7291),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7291),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7291),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7291),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7291),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteyear] = ACTIONS(7291),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitedate] = ACTIONS(7291),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteurl] = ACTIONS(7291),
    [anon_sym_BSLASHfullcite] = ACTIONS(7291),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7291),
    [anon_sym_BSLASHcitealt] = ACTIONS(7291),
    [anon_sym_BSLASHcitealp] = ACTIONS(7291),
    [anon_sym_BSLASHcitetext] = ACTIONS(7291),
    [anon_sym_BSLASHparencite] = ACTIONS(7291),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHParencite] = ACTIONS(7291),
    [anon_sym_BSLASHfootcite] = ACTIONS(7291),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7291),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7291),
    [anon_sym_BSLASHtextcite] = ACTIONS(7291),
    [anon_sym_BSLASHTextcite] = ACTIONS(7291),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7291),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7291),
    [anon_sym_BSLASHsupercite] = ACTIONS(7291),
    [anon_sym_BSLASHautocite] = ACTIONS(7291),
    [anon_sym_BSLASHAutocite] = ACTIONS(7291),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHVolcite] = ACTIONS(7291),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHavolcite] = ACTIONS(7291),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHNotecite] = ACTIONS(7291),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHlabel] = ACTIONS(7291),
    [anon_sym_BSLASHref] = ACTIONS(7291),
    [anon_sym_BSLASHeqref] = ACTIONS(7291),
    [anon_sym_BSLASHvref] = ACTIONS(7291),
    [anon_sym_BSLASHVref] = ACTIONS(7291),
    [anon_sym_BSLASHautoref] = ACTIONS(7291),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHpageref] = ACTIONS(7291),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHautopageref] = ACTIONS(7291),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcref] = ACTIONS(7291),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCref] = ACTIONS(7291),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcpageref] = ACTIONS(7291),
    [anon_sym_BSLASHCpageref] = ACTIONS(7291),
    [anon_sym_BSLASHnamecref] = ACTIONS(7291),
    [anon_sym_BSLASHnameCref] = ACTIONS(7291),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7291),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7291),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7291),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7291),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7291),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7291),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7291),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7291),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7291),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7291),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7291),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHdef] = ACTIONS(7291),
    [anon_sym_BSLASHgdef] = ACTIONS(7291),
    [anon_sym_BSLASHedef] = ACTIONS(7291),
    [anon_sym_BSLASHxdef] = ACTIONS(7291),
    [anon_sym_BSLASHlet] = ACTIONS(7291),
    [anon_sym_BSLASHglet] = ACTIONS(7291),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7291),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7291),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7291),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7291),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7291),
    [anon_sym_BSLASHgls] = ACTIONS(7291),
    [anon_sym_BSLASHGls] = ACTIONS(7291),
    [anon_sym_BSLASHGLS] = ACTIONS(7291),
    [anon_sym_BSLASHglspl] = ACTIONS(7291),
    [anon_sym_BSLASHGlspl] = ACTIONS(7291),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7291),
    [anon_sym_BSLASHglslink] = ACTIONS(7291),
    [anon_sym_BSLASHglstext] = ACTIONS(7291),
    [anon_sym_BSLASHGlstext] = ACTIONS(7291),
    [anon_sym_BSLASHGLStext] = ACTIONS(7291),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7291),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7291),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7291),
    [anon_sym_BSLASHglsplural] = ACTIONS(7291),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7291),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7291),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHglsname] = ACTIONS(7291),
    [anon_sym_BSLASHGlsname] = ACTIONS(7291),
    [anon_sym_BSLASHGLSname] = ACTIONS(7291),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7291),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7291),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7291),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7291),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7291),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7291),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7291),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7291),
    [anon_sym_BSLASHacrshort] = ACTIONS(7291),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7291),
    [anon_sym_BSLASHACRshort] = ACTIONS(7291),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHacrlong] = ACTIONS(7291),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7291),
    [anon_sym_BSLASHACRlong] = ACTIONS(7291),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHacrfull] = ACTIONS(7291),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7291),
    [anon_sym_BSLASHACRfull] = ACTIONS(7291),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHacs] = ACTIONS(7291),
    [anon_sym_BSLASHAcs] = ACTIONS(7291),
    [anon_sym_BSLASHacsp] = ACTIONS(7291),
    [anon_sym_BSLASHAcsp] = ACTIONS(7291),
    [anon_sym_BSLASHacl] = ACTIONS(7291),
    [anon_sym_BSLASHAcl] = ACTIONS(7291),
    [anon_sym_BSLASHaclp] = ACTIONS(7291),
    [anon_sym_BSLASHAclp] = ACTIONS(7291),
    [anon_sym_BSLASHacf] = ACTIONS(7291),
    [anon_sym_BSLASHAcf] = ACTIONS(7291),
    [anon_sym_BSLASHacfp] = ACTIONS(7291),
    [anon_sym_BSLASHAcfp] = ACTIONS(7291),
    [anon_sym_BSLASHac] = ACTIONS(7291),
    [anon_sym_BSLASHAc] = ACTIONS(7291),
    [anon_sym_BSLASHacp] = ACTIONS(7291),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7291),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7291),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7291),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7291),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7291),
    [anon_sym_BSLASHcolor] = ACTIONS(7291),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7291),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7291),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7291),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7291),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7291),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7291),
    [anon_sym_BSLASHurl] = ACTIONS(7291),
    [anon_sym_BSLASHhref] = ACTIONS(7291),
  },
  [2071] = {
    [sym_command_name] = ACTIONS(157),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(157),
    [anon_sym_LBRACK] = ACTIONS(159),
    [anon_sym_RBRACK] = ACTIONS(159),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_EQ] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_RPAREN] = ACTIONS(159),
    [anon_sym_LBRACE] = ACTIONS(159),
    [sym_word] = ACTIONS(157),
    [sym_placeholder] = ACTIONS(159),
    [sym_delimiter] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_SLASH] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(157),
    [anon_sym_GT] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(157),
    [anon_sym_PIPE] = ACTIONS(157),
    [anon_sym_COLON] = ACTIONS(157),
    [anon_sym_SQUOTE] = ACTIONS(157),
    [anon_sym__] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(159),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(159),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(159),
    [anon_sym_BSLASHleft] = ACTIONS(157),
    [anon_sym_BSLASHbigl] = ACTIONS(157),
    [anon_sym_BSLASHBigl] = ACTIONS(157),
    [anon_sym_BSLASHbiggl] = ACTIONS(157),
    [anon_sym_BSLASHBiggl] = ACTIONS(157),
    [anon_sym_BSLASHtext] = ACTIONS(157),
    [anon_sym_BSLASHintertext] = ACTIONS(157),
    [anon_sym_BSLASHshortintertext] = ACTIONS(157),
    [anon_sym_BSLASHbegin] = ACTIONS(157),
    [anon_sym_BSLASHtitle] = ACTIONS(157),
    [anon_sym_BSLASHauthor] = ACTIONS(157),
    [anon_sym_BSLASHusepackage] = ACTIONS(157),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(157),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(157),
    [anon_sym_BSLASHinclude] = ACTIONS(157),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(157),
    [anon_sym_BSLASHinput] = ACTIONS(157),
    [anon_sym_BSLASHsubfile] = ACTIONS(157),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(157),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(157),
    [anon_sym_BSLASHbibliography] = ACTIONS(157),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(157),
    [anon_sym_BSLASHincludesvg] = ACTIONS(157),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(157),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(157),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(157),
    [anon_sym_BSLASHimport] = ACTIONS(157),
    [anon_sym_BSLASHsubimport] = ACTIONS(157),
    [anon_sym_BSLASHinputfrom] = ACTIONS(157),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(157),
    [anon_sym_BSLASHincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHcaption] = ACTIONS(157),
    [anon_sym_BSLASHcite] = ACTIONS(157),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCite] = ACTIONS(157),
    [anon_sym_BSLASHnocite] = ACTIONS(157),
    [anon_sym_BSLASHcitet] = ACTIONS(157),
    [anon_sym_BSLASHcitep] = ACTIONS(157),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteA] = ACTIONS(157),
    [anon_sym_BSLASHciteR] = ACTIONS(157),
    [anon_sym_BSLASHciteS] = ACTIONS(157),
    [anon_sym_BSLASHciteyearR] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(157),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitetitle] = ACTIONS(157),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteyear] = ACTIONS(157),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitedate] = ACTIONS(157),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteurl] = ACTIONS(157),
    [anon_sym_BSLASHfullcite] = ACTIONS(157),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(157),
    [anon_sym_BSLASHcitealt] = ACTIONS(157),
    [anon_sym_BSLASHcitealp] = ACTIONS(157),
    [anon_sym_BSLASHcitetext] = ACTIONS(157),
    [anon_sym_BSLASHparencite] = ACTIONS(157),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHParencite] = ACTIONS(157),
    [anon_sym_BSLASHfootcite] = ACTIONS(157),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(157),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(157),
    [anon_sym_BSLASHtextcite] = ACTIONS(157),
    [anon_sym_BSLASHTextcite] = ACTIONS(157),
    [anon_sym_BSLASHsmartcite] = ACTIONS(157),
    [anon_sym_BSLASHSmartcite] = ACTIONS(157),
    [anon_sym_BSLASHsupercite] = ACTIONS(157),
    [anon_sym_BSLASHautocite] = ACTIONS(157),
    [anon_sym_BSLASHAutocite] = ACTIONS(157),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHvolcite] = ACTIONS(157),
    [anon_sym_BSLASHVolcite] = ACTIONS(157),
    [anon_sym_BSLASHpvolcite] = ACTIONS(157),
    [anon_sym_BSLASHPvolcite] = ACTIONS(157),
    [anon_sym_BSLASHfvolcite] = ACTIONS(157),
    [anon_sym_BSLASHftvolcite] = ACTIONS(157),
    [anon_sym_BSLASHsvolcite] = ACTIONS(157),
    [anon_sym_BSLASHSvolcite] = ACTIONS(157),
    [anon_sym_BSLASHtvolcite] = ACTIONS(157),
    [anon_sym_BSLASHTvolcite] = ACTIONS(157),
    [anon_sym_BSLASHavolcite] = ACTIONS(157),
    [anon_sym_BSLASHAvolcite] = ACTIONS(157),
    [anon_sym_BSLASHnotecite] = ACTIONS(157),
    [anon_sym_BSLASHNotecite] = ACTIONS(157),
    [anon_sym_BSLASHpnotecite] = ACTIONS(157),
    [anon_sym_BSLASHPnotecite] = ACTIONS(157),
    [anon_sym_BSLASHfnotecite] = ACTIONS(157),
    [anon_sym_BSLASHlabel] = ACTIONS(157),
    [anon_sym_BSLASHref] = ACTIONS(157),
    [anon_sym_BSLASHeqref] = ACTIONS(157),
    [anon_sym_BSLASHvref] = ACTIONS(157),
    [anon_sym_BSLASHVref] = ACTIONS(157),
    [anon_sym_BSLASHautoref] = ACTIONS(157),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpageref] = ACTIONS(157),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHautopageref] = ACTIONS(157),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcref] = ACTIONS(157),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCref] = ACTIONS(157),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpageref] = ACTIONS(157),
    [anon_sym_BSLASHCpageref] = ACTIONS(157),
    [anon_sym_BSLASHnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnameCref] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcrefrange] = ACTIONS(157),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCrefrange] = ACTIONS(157),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHnewlabel] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(157),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(157),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(157),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(159),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHdef] = ACTIONS(157),
    [anon_sym_BSLASHgdef] = ACTIONS(157),
    [anon_sym_BSLASHedef] = ACTIONS(157),
    [anon_sym_BSLASHxdef] = ACTIONS(157),
    [anon_sym_BSLASHlet] = ACTIONS(157),
    [anon_sym_BSLASHglet] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(157),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(157),
    [anon_sym_BSLASHgls] = ACTIONS(157),
    [anon_sym_BSLASHGls] = ACTIONS(157),
    [anon_sym_BSLASHGLS] = ACTIONS(157),
    [anon_sym_BSLASHglspl] = ACTIONS(157),
    [anon_sym_BSLASHGlspl] = ACTIONS(157),
    [anon_sym_BSLASHGLSpl] = ACTIONS(157),
    [anon_sym_BSLASHglsdisp] = ACTIONS(157),
    [anon_sym_BSLASHglslink] = ACTIONS(157),
    [anon_sym_BSLASHglstext] = ACTIONS(157),
    [anon_sym_BSLASHGlstext] = ACTIONS(157),
    [anon_sym_BSLASHGLStext] = ACTIONS(157),
    [anon_sym_BSLASHglsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(157),
    [anon_sym_BSLASHglsplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSplural] = ACTIONS(157),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHglsname] = ACTIONS(157),
    [anon_sym_BSLASHGlsname] = ACTIONS(157),
    [anon_sym_BSLASHGLSname] = ACTIONS(157),
    [anon_sym_BSLASHglssymbol] = ACTIONS(157),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(157),
    [anon_sym_BSLASHglsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(157),
    [anon_sym_BSLASHglsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(157),
    [anon_sym_BSLASHglsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(157),
    [anon_sym_BSLASHglsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(157),
    [anon_sym_BSLASHglsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(157),
    [anon_sym_BSLASHnewacronym] = ACTIONS(157),
    [anon_sym_BSLASHacrshort] = ACTIONS(157),
    [anon_sym_BSLASHAcrshort] = ACTIONS(157),
    [anon_sym_BSLASHACRshort] = ACTIONS(157),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(157),
    [anon_sym_BSLASHacrlong] = ACTIONS(157),
    [anon_sym_BSLASHAcrlong] = ACTIONS(157),
    [anon_sym_BSLASHACRlong] = ACTIONS(157),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(157),
    [anon_sym_BSLASHacrfull] = ACTIONS(157),
    [anon_sym_BSLASHAcrfull] = ACTIONS(157),
    [anon_sym_BSLASHACRfull] = ACTIONS(157),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(157),
    [anon_sym_BSLASHacs] = ACTIONS(157),
    [anon_sym_BSLASHAcs] = ACTIONS(157),
    [anon_sym_BSLASHacsp] = ACTIONS(157),
    [anon_sym_BSLASHAcsp] = ACTIONS(157),
    [anon_sym_BSLASHacl] = ACTIONS(157),
    [anon_sym_BSLASHAcl] = ACTIONS(157),
    [anon_sym_BSLASHaclp] = ACTIONS(157),
    [anon_sym_BSLASHAclp] = ACTIONS(157),
    [anon_sym_BSLASHacf] = ACTIONS(157),
    [anon_sym_BSLASHAcf] = ACTIONS(157),
    [anon_sym_BSLASHacfp] = ACTIONS(157),
    [anon_sym_BSLASHAcfp] = ACTIONS(157),
    [anon_sym_BSLASHac] = ACTIONS(157),
    [anon_sym_BSLASHAc] = ACTIONS(157),
    [anon_sym_BSLASHacp] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(157),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(157),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(157),
    [anon_sym_BSLASHcolor] = ACTIONS(157),
    [anon_sym_BSLASHpagecolor] = ACTIONS(157),
    [anon_sym_BSLASHtextcolor] = ACTIONS(157),
    [anon_sym_BSLASHmathcolor] = ACTIONS(157),
    [anon_sym_BSLASHcolorbox] = ACTIONS(157),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(157),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(157),
    [anon_sym_BSLASHurl] = ACTIONS(157),
    [anon_sym_BSLASHhref] = ACTIONS(157),
  },
  [2072] = {
    [sym_command_name] = ACTIONS(163),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_RBRACK] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(165),
    [anon_sym_EQ] = ACTIONS(165),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_RPAREN] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(165),
    [sym_word] = ACTIONS(163),
    [sym_placeholder] = ACTIONS(165),
    [sym_delimiter] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym__] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(165),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(163),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(165),
    [anon_sym_BSLASHleft] = ACTIONS(163),
    [anon_sym_BSLASHbigl] = ACTIONS(163),
    [anon_sym_BSLASHBigl] = ACTIONS(163),
    [anon_sym_BSLASHbiggl] = ACTIONS(163),
    [anon_sym_BSLASHBiggl] = ACTIONS(163),
    [anon_sym_BSLASHtext] = ACTIONS(163),
    [anon_sym_BSLASHintertext] = ACTIONS(163),
    [anon_sym_BSLASHshortintertext] = ACTIONS(163),
    [anon_sym_BSLASHbegin] = ACTIONS(163),
    [anon_sym_BSLASHtitle] = ACTIONS(163),
    [anon_sym_BSLASHauthor] = ACTIONS(163),
    [anon_sym_BSLASHusepackage] = ACTIONS(163),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(163),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(163),
    [anon_sym_BSLASHinclude] = ACTIONS(163),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(163),
    [anon_sym_BSLASHinput] = ACTIONS(163),
    [anon_sym_BSLASHsubfile] = ACTIONS(163),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(163),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(163),
    [anon_sym_BSLASHbibliography] = ACTIONS(163),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(163),
    [anon_sym_BSLASHincludesvg] = ACTIONS(163),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(163),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(163),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(163),
    [anon_sym_BSLASHimport] = ACTIONS(163),
    [anon_sym_BSLASHsubimport] = ACTIONS(163),
    [anon_sym_BSLASHinputfrom] = ACTIONS(163),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(163),
    [anon_sym_BSLASHincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHcaption] = ACTIONS(163),
    [anon_sym_BSLASHcite] = ACTIONS(163),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCite] = ACTIONS(163),
    [anon_sym_BSLASHnocite] = ACTIONS(163),
    [anon_sym_BSLASHcitet] = ACTIONS(163),
    [anon_sym_BSLASHcitep] = ACTIONS(163),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteA] = ACTIONS(163),
    [anon_sym_BSLASHciteR] = ACTIONS(163),
    [anon_sym_BSLASHciteS] = ACTIONS(163),
    [anon_sym_BSLASHciteyearR] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(163),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitetitle] = ACTIONS(163),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteyear] = ACTIONS(163),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitedate] = ACTIONS(163),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteurl] = ACTIONS(163),
    [anon_sym_BSLASHfullcite] = ACTIONS(163),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(163),
    [anon_sym_BSLASHcitealt] = ACTIONS(163),
    [anon_sym_BSLASHcitealp] = ACTIONS(163),
    [anon_sym_BSLASHcitetext] = ACTIONS(163),
    [anon_sym_BSLASHparencite] = ACTIONS(163),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHParencite] = ACTIONS(163),
    [anon_sym_BSLASHfootcite] = ACTIONS(163),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(163),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(163),
    [anon_sym_BSLASHtextcite] = ACTIONS(163),
    [anon_sym_BSLASHTextcite] = ACTIONS(163),
    [anon_sym_BSLASHsmartcite] = ACTIONS(163),
    [anon_sym_BSLASHSmartcite] = ACTIONS(163),
    [anon_sym_BSLASHsupercite] = ACTIONS(163),
    [anon_sym_BSLASHautocite] = ACTIONS(163),
    [anon_sym_BSLASHAutocite] = ACTIONS(163),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHvolcite] = ACTIONS(163),
    [anon_sym_BSLASHVolcite] = ACTIONS(163),
    [anon_sym_BSLASHpvolcite] = ACTIONS(163),
    [anon_sym_BSLASHPvolcite] = ACTIONS(163),
    [anon_sym_BSLASHfvolcite] = ACTIONS(163),
    [anon_sym_BSLASHftvolcite] = ACTIONS(163),
    [anon_sym_BSLASHsvolcite] = ACTIONS(163),
    [anon_sym_BSLASHSvolcite] = ACTIONS(163),
    [anon_sym_BSLASHtvolcite] = ACTIONS(163),
    [anon_sym_BSLASHTvolcite] = ACTIONS(163),
    [anon_sym_BSLASHavolcite] = ACTIONS(163),
    [anon_sym_BSLASHAvolcite] = ACTIONS(163),
    [anon_sym_BSLASHnotecite] = ACTIONS(163),
    [anon_sym_BSLASHNotecite] = ACTIONS(163),
    [anon_sym_BSLASHpnotecite] = ACTIONS(163),
    [anon_sym_BSLASHPnotecite] = ACTIONS(163),
    [anon_sym_BSLASHfnotecite] = ACTIONS(163),
    [anon_sym_BSLASHlabel] = ACTIONS(163),
    [anon_sym_BSLASHref] = ACTIONS(163),
    [anon_sym_BSLASHeqref] = ACTIONS(163),
    [anon_sym_BSLASHvref] = ACTIONS(163),
    [anon_sym_BSLASHVref] = ACTIONS(163),
    [anon_sym_BSLASHautoref] = ACTIONS(163),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHpageref] = ACTIONS(163),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHautopageref] = ACTIONS(163),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcref] = ACTIONS(163),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCref] = ACTIONS(163),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpageref] = ACTIONS(163),
    [anon_sym_BSLASHCpageref] = ACTIONS(163),
    [anon_sym_BSLASHnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnameCref] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcrefrange] = ACTIONS(163),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCrefrange] = ACTIONS(163),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHnewlabel] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(163),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(163),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(163),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(165),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHdef] = ACTIONS(163),
    [anon_sym_BSLASHgdef] = ACTIONS(163),
    [anon_sym_BSLASHedef] = ACTIONS(163),
    [anon_sym_BSLASHxdef] = ACTIONS(163),
    [anon_sym_BSLASHlet] = ACTIONS(163),
    [anon_sym_BSLASHglet] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(163),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(163),
    [anon_sym_BSLASHgls] = ACTIONS(163),
    [anon_sym_BSLASHGls] = ACTIONS(163),
    [anon_sym_BSLASHGLS] = ACTIONS(163),
    [anon_sym_BSLASHglspl] = ACTIONS(163),
    [anon_sym_BSLASHGlspl] = ACTIONS(163),
    [anon_sym_BSLASHGLSpl] = ACTIONS(163),
    [anon_sym_BSLASHglsdisp] = ACTIONS(163),
    [anon_sym_BSLASHglslink] = ACTIONS(163),
    [anon_sym_BSLASHglstext] = ACTIONS(163),
    [anon_sym_BSLASHGlstext] = ACTIONS(163),
    [anon_sym_BSLASHGLStext] = ACTIONS(163),
    [anon_sym_BSLASHglsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(163),
    [anon_sym_BSLASHglsplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSplural] = ACTIONS(163),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHglsname] = ACTIONS(163),
    [anon_sym_BSLASHGlsname] = ACTIONS(163),
    [anon_sym_BSLASHGLSname] = ACTIONS(163),
    [anon_sym_BSLASHglssymbol] = ACTIONS(163),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(163),
    [anon_sym_BSLASHglsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(163),
    [anon_sym_BSLASHglsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(163),
    [anon_sym_BSLASHglsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(163),
    [anon_sym_BSLASHglsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(163),
    [anon_sym_BSLASHglsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(163),
    [anon_sym_BSLASHnewacronym] = ACTIONS(163),
    [anon_sym_BSLASHacrshort] = ACTIONS(163),
    [anon_sym_BSLASHAcrshort] = ACTIONS(163),
    [anon_sym_BSLASHACRshort] = ACTIONS(163),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(163),
    [anon_sym_BSLASHacrlong] = ACTIONS(163),
    [anon_sym_BSLASHAcrlong] = ACTIONS(163),
    [anon_sym_BSLASHACRlong] = ACTIONS(163),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(163),
    [anon_sym_BSLASHacrfull] = ACTIONS(163),
    [anon_sym_BSLASHAcrfull] = ACTIONS(163),
    [anon_sym_BSLASHACRfull] = ACTIONS(163),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(163),
    [anon_sym_BSLASHacs] = ACTIONS(163),
    [anon_sym_BSLASHAcs] = ACTIONS(163),
    [anon_sym_BSLASHacsp] = ACTIONS(163),
    [anon_sym_BSLASHAcsp] = ACTIONS(163),
    [anon_sym_BSLASHacl] = ACTIONS(163),
    [anon_sym_BSLASHAcl] = ACTIONS(163),
    [anon_sym_BSLASHaclp] = ACTIONS(163),
    [anon_sym_BSLASHAclp] = ACTIONS(163),
    [anon_sym_BSLASHacf] = ACTIONS(163),
    [anon_sym_BSLASHAcf] = ACTIONS(163),
    [anon_sym_BSLASHacfp] = ACTIONS(163),
    [anon_sym_BSLASHAcfp] = ACTIONS(163),
    [anon_sym_BSLASHac] = ACTIONS(163),
    [anon_sym_BSLASHAc] = ACTIONS(163),
    [anon_sym_BSLASHacp] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(163),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(163),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(163),
    [anon_sym_BSLASHcolor] = ACTIONS(163),
    [anon_sym_BSLASHpagecolor] = ACTIONS(163),
    [anon_sym_BSLASHtextcolor] = ACTIONS(163),
    [anon_sym_BSLASHmathcolor] = ACTIONS(163),
    [anon_sym_BSLASHcolorbox] = ACTIONS(163),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(163),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(163),
    [anon_sym_BSLASHurl] = ACTIONS(163),
    [anon_sym_BSLASHhref] = ACTIONS(163),
  },
  [2073] = {
    [sym_command_name] = ACTIONS(7055),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7055),
    [anon_sym_LBRACK] = ACTIONS(7057),
    [anon_sym_RBRACK] = ACTIONS(7057),
    [anon_sym_COMMA] = ACTIONS(7057),
    [anon_sym_EQ] = ACTIONS(7057),
    [anon_sym_LPAREN] = ACTIONS(7057),
    [anon_sym_RPAREN] = ACTIONS(7057),
    [anon_sym_LBRACE] = ACTIONS(7057),
    [sym_word] = ACTIONS(7055),
    [sym_placeholder] = ACTIONS(7057),
    [sym_delimiter] = ACTIONS(7057),
    [anon_sym_PLUS] = ACTIONS(7057),
    [anon_sym_DASH] = ACTIONS(7057),
    [anon_sym_STAR] = ACTIONS(7057),
    [anon_sym_SLASH] = ACTIONS(7057),
    [anon_sym_LT] = ACTIONS(7055),
    [anon_sym_GT] = ACTIONS(7055),
    [anon_sym_BANG] = ACTIONS(7055),
    [anon_sym_PIPE] = ACTIONS(7055),
    [anon_sym_COLON] = ACTIONS(7055),
    [anon_sym_SQUOTE] = ACTIONS(7055),
    [anon_sym__] = ACTIONS(7057),
    [anon_sym_CARET] = ACTIONS(7057),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7057),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7057),
    [anon_sym_DOLLAR] = ACTIONS(7055),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7057),
    [anon_sym_BSLASHleft] = ACTIONS(7055),
    [anon_sym_BSLASHbigl] = ACTIONS(7055),
    [anon_sym_BSLASHBigl] = ACTIONS(7055),
    [anon_sym_BSLASHbiggl] = ACTIONS(7055),
    [anon_sym_BSLASHBiggl] = ACTIONS(7055),
    [anon_sym_BSLASHtext] = ACTIONS(7055),
    [anon_sym_BSLASHintertext] = ACTIONS(7055),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7055),
    [anon_sym_BSLASHbegin] = ACTIONS(7055),
    [anon_sym_BSLASHtitle] = ACTIONS(7055),
    [anon_sym_BSLASHauthor] = ACTIONS(7055),
    [anon_sym_BSLASHusepackage] = ACTIONS(7055),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7055),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7055),
    [anon_sym_BSLASHinclude] = ACTIONS(7055),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7055),
    [anon_sym_BSLASHinput] = ACTIONS(7055),
    [anon_sym_BSLASHsubfile] = ACTIONS(7055),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7055),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7055),
    [anon_sym_BSLASHbibliography] = ACTIONS(7055),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7055),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7055),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7055),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7055),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7055),
    [anon_sym_BSLASHimport] = ACTIONS(7055),
    [anon_sym_BSLASHsubimport] = ACTIONS(7055),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7055),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7055),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7055),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7055),
    [anon_sym_BSLASHcaption] = ACTIONS(7055),
    [anon_sym_BSLASHcite] = ACTIONS(7055),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCite] = ACTIONS(7055),
    [anon_sym_BSLASHnocite] = ACTIONS(7055),
    [anon_sym_BSLASHcitet] = ACTIONS(7055),
    [anon_sym_BSLASHcitep] = ACTIONS(7055),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHciteA] = ACTIONS(7055),
    [anon_sym_BSLASHciteR] = ACTIONS(7055),
    [anon_sym_BSLASHciteS] = ACTIONS(7055),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7055),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7055),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7055),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7055),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHciteyear] = ACTIONS(7055),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcitedate] = ACTIONS(7055),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHciteurl] = ACTIONS(7055),
    [anon_sym_BSLASHfullcite] = ACTIONS(7055),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7055),
    [anon_sym_BSLASHcitealt] = ACTIONS(7055),
    [anon_sym_BSLASHcitealp] = ACTIONS(7055),
    [anon_sym_BSLASHcitetext] = ACTIONS(7055),
    [anon_sym_BSLASHparencite] = ACTIONS(7055),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHParencite] = ACTIONS(7055),
    [anon_sym_BSLASHfootcite] = ACTIONS(7055),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7055),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7055),
    [anon_sym_BSLASHtextcite] = ACTIONS(7055),
    [anon_sym_BSLASHTextcite] = ACTIONS(7055),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7055),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7055),
    [anon_sym_BSLASHsupercite] = ACTIONS(7055),
    [anon_sym_BSLASHautocite] = ACTIONS(7055),
    [anon_sym_BSLASHAutocite] = ACTIONS(7055),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHVolcite] = ACTIONS(7055),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHavolcite] = ACTIONS(7055),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHNotecite] = ACTIONS(7055),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHlabel] = ACTIONS(7055),
    [anon_sym_BSLASHref] = ACTIONS(7055),
    [anon_sym_BSLASHeqref] = ACTIONS(7055),
    [anon_sym_BSLASHvref] = ACTIONS(7055),
    [anon_sym_BSLASHVref] = ACTIONS(7055),
    [anon_sym_BSLASHautoref] = ACTIONS(7055),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHpageref] = ACTIONS(7055),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHautopageref] = ACTIONS(7055),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcref] = ACTIONS(7055),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCref] = ACTIONS(7055),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcpageref] = ACTIONS(7055),
    [anon_sym_BSLASHCpageref] = ACTIONS(7055),
    [anon_sym_BSLASHnamecref] = ACTIONS(7055),
    [anon_sym_BSLASHnameCref] = ACTIONS(7055),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7055),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7055),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7055),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7055),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7055),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7055),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7055),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7055),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7055),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7055),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7055),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7055),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7055),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7055),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7055),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7055),
    [anon_sym_BSLASHdef] = ACTIONS(7055),
    [anon_sym_BSLASHgdef] = ACTIONS(7055),
    [anon_sym_BSLASHedef] = ACTIONS(7055),
    [anon_sym_BSLASHxdef] = ACTIONS(7055),
    [anon_sym_BSLASHlet] = ACTIONS(7055),
    [anon_sym_BSLASHglet] = ACTIONS(7055),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7055),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7055),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7055),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7055),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7055),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7055),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7055),
    [anon_sym_BSLASHgls] = ACTIONS(7055),
    [anon_sym_BSLASHGls] = ACTIONS(7055),
    [anon_sym_BSLASHGLS] = ACTIONS(7055),
    [anon_sym_BSLASHglspl] = ACTIONS(7055),
    [anon_sym_BSLASHGlspl] = ACTIONS(7055),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7055),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7055),
    [anon_sym_BSLASHglslink] = ACTIONS(7055),
    [anon_sym_BSLASHglstext] = ACTIONS(7055),
    [anon_sym_BSLASHGlstext] = ACTIONS(7055),
    [anon_sym_BSLASHGLStext] = ACTIONS(7055),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7055),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7055),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7055),
    [anon_sym_BSLASHglsplural] = ACTIONS(7055),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7055),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7055),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7055),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7055),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7055),
    [anon_sym_BSLASHglsname] = ACTIONS(7055),
    [anon_sym_BSLASHGlsname] = ACTIONS(7055),
    [anon_sym_BSLASHGLSname] = ACTIONS(7055),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7055),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7055),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7055),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7055),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7055),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7055),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7055),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7055),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7055),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7055),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7055),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7055),
    [anon_sym_BSLASHacrshort] = ACTIONS(7055),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7055),
    [anon_sym_BSLASHACRshort] = ACTIONS(7055),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHacrlong] = ACTIONS(7055),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7055),
    [anon_sym_BSLASHACRlong] = ACTIONS(7055),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7055),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7055),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7055),
    [anon_sym_BSLASHacrfull] = ACTIONS(7055),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7055),
    [anon_sym_BSLASHACRfull] = ACTIONS(7055),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHacs] = ACTIONS(7055),
    [anon_sym_BSLASHAcs] = ACTIONS(7055),
    [anon_sym_BSLASHacsp] = ACTIONS(7055),
    [anon_sym_BSLASHAcsp] = ACTIONS(7055),
    [anon_sym_BSLASHacl] = ACTIONS(7055),
    [anon_sym_BSLASHAcl] = ACTIONS(7055),
    [anon_sym_BSLASHaclp] = ACTIONS(7055),
    [anon_sym_BSLASHAclp] = ACTIONS(7055),
    [anon_sym_BSLASHacf] = ACTIONS(7055),
    [anon_sym_BSLASHAcf] = ACTIONS(7055),
    [anon_sym_BSLASHacfp] = ACTIONS(7055),
    [anon_sym_BSLASHAcfp] = ACTIONS(7055),
    [anon_sym_BSLASHac] = ACTIONS(7055),
    [anon_sym_BSLASHAc] = ACTIONS(7055),
    [anon_sym_BSLASHacp] = ACTIONS(7055),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7055),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7055),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7055),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7055),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7055),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7055),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7055),
    [anon_sym_BSLASHcolor] = ACTIONS(7055),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7055),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7055),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7055),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7055),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7055),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7055),
    [anon_sym_BSLASHurl] = ACTIONS(7055),
    [anon_sym_BSLASHhref] = ACTIONS(7055),
  },
  [2074] = {
    [sym_command_name] = ACTIONS(7235),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7235),
    [anon_sym_LBRACK] = ACTIONS(7237),
    [anon_sym_RBRACK] = ACTIONS(7237),
    [anon_sym_COMMA] = ACTIONS(7237),
    [anon_sym_EQ] = ACTIONS(7237),
    [anon_sym_LPAREN] = ACTIONS(7237),
    [anon_sym_RPAREN] = ACTIONS(7237),
    [anon_sym_LBRACE] = ACTIONS(7237),
    [sym_word] = ACTIONS(7235),
    [sym_placeholder] = ACTIONS(7237),
    [sym_delimiter] = ACTIONS(7237),
    [anon_sym_PLUS] = ACTIONS(7237),
    [anon_sym_DASH] = ACTIONS(7237),
    [anon_sym_STAR] = ACTIONS(7237),
    [anon_sym_SLASH] = ACTIONS(7237),
    [anon_sym_LT] = ACTIONS(7235),
    [anon_sym_GT] = ACTIONS(7235),
    [anon_sym_BANG] = ACTIONS(7235),
    [anon_sym_PIPE] = ACTIONS(7235),
    [anon_sym_COLON] = ACTIONS(7235),
    [anon_sym_SQUOTE] = ACTIONS(7235),
    [anon_sym__] = ACTIONS(7237),
    [anon_sym_CARET] = ACTIONS(7237),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7237),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7237),
    [anon_sym_DOLLAR] = ACTIONS(7235),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7237),
    [anon_sym_BSLASHleft] = ACTIONS(7235),
    [anon_sym_BSLASHbigl] = ACTIONS(7235),
    [anon_sym_BSLASHBigl] = ACTIONS(7235),
    [anon_sym_BSLASHbiggl] = ACTIONS(7235),
    [anon_sym_BSLASHBiggl] = ACTIONS(7235),
    [anon_sym_BSLASHtext] = ACTIONS(7235),
    [anon_sym_BSLASHintertext] = ACTIONS(7235),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7235),
    [anon_sym_BSLASHbegin] = ACTIONS(7235),
    [anon_sym_BSLASHtitle] = ACTIONS(7235),
    [anon_sym_BSLASHauthor] = ACTIONS(7235),
    [anon_sym_BSLASHusepackage] = ACTIONS(7235),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7235),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7235),
    [anon_sym_BSLASHinclude] = ACTIONS(7235),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7235),
    [anon_sym_BSLASHinput] = ACTIONS(7235),
    [anon_sym_BSLASHsubfile] = ACTIONS(7235),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7235),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7235),
    [anon_sym_BSLASHbibliography] = ACTIONS(7235),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7235),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7235),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7235),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7235),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7235),
    [anon_sym_BSLASHimport] = ACTIONS(7235),
    [anon_sym_BSLASHsubimport] = ACTIONS(7235),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7235),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7235),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7235),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7235),
    [anon_sym_BSLASHcaption] = ACTIONS(7235),
    [anon_sym_BSLASHcite] = ACTIONS(7235),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCite] = ACTIONS(7235),
    [anon_sym_BSLASHnocite] = ACTIONS(7235),
    [anon_sym_BSLASHcitet] = ACTIONS(7235),
    [anon_sym_BSLASHcitep] = ACTIONS(7235),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteA] = ACTIONS(7235),
    [anon_sym_BSLASHciteR] = ACTIONS(7235),
    [anon_sym_BSLASHciteS] = ACTIONS(7235),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7235),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7235),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7235),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7235),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteyear] = ACTIONS(7235),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitedate] = ACTIONS(7235),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteurl] = ACTIONS(7235),
    [anon_sym_BSLASHfullcite] = ACTIONS(7235),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7235),
    [anon_sym_BSLASHcitealt] = ACTIONS(7235),
    [anon_sym_BSLASHcitealp] = ACTIONS(7235),
    [anon_sym_BSLASHcitetext] = ACTIONS(7235),
    [anon_sym_BSLASHparencite] = ACTIONS(7235),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHParencite] = ACTIONS(7235),
    [anon_sym_BSLASHfootcite] = ACTIONS(7235),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7235),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7235),
    [anon_sym_BSLASHtextcite] = ACTIONS(7235),
    [anon_sym_BSLASHTextcite] = ACTIONS(7235),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7235),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7235),
    [anon_sym_BSLASHsupercite] = ACTIONS(7235),
    [anon_sym_BSLASHautocite] = ACTIONS(7235),
    [anon_sym_BSLASHAutocite] = ACTIONS(7235),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHVolcite] = ACTIONS(7235),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHavolcite] = ACTIONS(7235),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHNotecite] = ACTIONS(7235),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHlabel] = ACTIONS(7235),
    [anon_sym_BSLASHref] = ACTIONS(7235),
    [anon_sym_BSLASHeqref] = ACTIONS(7235),
    [anon_sym_BSLASHvref] = ACTIONS(7235),
    [anon_sym_BSLASHVref] = ACTIONS(7235),
    [anon_sym_BSLASHautoref] = ACTIONS(7235),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHpageref] = ACTIONS(7235),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHautopageref] = ACTIONS(7235),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcref] = ACTIONS(7235),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCref] = ACTIONS(7235),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcpageref] = ACTIONS(7235),
    [anon_sym_BSLASHCpageref] = ACTIONS(7235),
    [anon_sym_BSLASHnamecref] = ACTIONS(7235),
    [anon_sym_BSLASHnameCref] = ACTIONS(7235),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7235),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7235),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7235),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7235),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7235),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7235),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7235),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7235),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7235),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7235),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7235),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHdef] = ACTIONS(7235),
    [anon_sym_BSLASHgdef] = ACTIONS(7235),
    [anon_sym_BSLASHedef] = ACTIONS(7235),
    [anon_sym_BSLASHxdef] = ACTIONS(7235),
    [anon_sym_BSLASHlet] = ACTIONS(7235),
    [anon_sym_BSLASHglet] = ACTIONS(7235),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7235),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7235),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7235),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7235),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7235),
    [anon_sym_BSLASHgls] = ACTIONS(7235),
    [anon_sym_BSLASHGls] = ACTIONS(7235),
    [anon_sym_BSLASHGLS] = ACTIONS(7235),
    [anon_sym_BSLASHglspl] = ACTIONS(7235),
    [anon_sym_BSLASHGlspl] = ACTIONS(7235),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7235),
    [anon_sym_BSLASHglslink] = ACTIONS(7235),
    [anon_sym_BSLASHglstext] = ACTIONS(7235),
    [anon_sym_BSLASHGlstext] = ACTIONS(7235),
    [anon_sym_BSLASHGLStext] = ACTIONS(7235),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7235),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7235),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7235),
    [anon_sym_BSLASHglsplural] = ACTIONS(7235),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7235),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7235),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHglsname] = ACTIONS(7235),
    [anon_sym_BSLASHGlsname] = ACTIONS(7235),
    [anon_sym_BSLASHGLSname] = ACTIONS(7235),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7235),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7235),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7235),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7235),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7235),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7235),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7235),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7235),
    [anon_sym_BSLASHacrshort] = ACTIONS(7235),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7235),
    [anon_sym_BSLASHACRshort] = ACTIONS(7235),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHacrlong] = ACTIONS(7235),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7235),
    [anon_sym_BSLASHACRlong] = ACTIONS(7235),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHacrfull] = ACTIONS(7235),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7235),
    [anon_sym_BSLASHACRfull] = ACTIONS(7235),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHacs] = ACTIONS(7235),
    [anon_sym_BSLASHAcs] = ACTIONS(7235),
    [anon_sym_BSLASHacsp] = ACTIONS(7235),
    [anon_sym_BSLASHAcsp] = ACTIONS(7235),
    [anon_sym_BSLASHacl] = ACTIONS(7235),
    [anon_sym_BSLASHAcl] = ACTIONS(7235),
    [anon_sym_BSLASHaclp] = ACTIONS(7235),
    [anon_sym_BSLASHAclp] = ACTIONS(7235),
    [anon_sym_BSLASHacf] = ACTIONS(7235),
    [anon_sym_BSLASHAcf] = ACTIONS(7235),
    [anon_sym_BSLASHacfp] = ACTIONS(7235),
    [anon_sym_BSLASHAcfp] = ACTIONS(7235),
    [anon_sym_BSLASHac] = ACTIONS(7235),
    [anon_sym_BSLASHAc] = ACTIONS(7235),
    [anon_sym_BSLASHacp] = ACTIONS(7235),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7235),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7235),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7235),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7235),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7235),
    [anon_sym_BSLASHcolor] = ACTIONS(7235),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7235),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7235),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7235),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7235),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7235),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7235),
    [anon_sym_BSLASHurl] = ACTIONS(7235),
    [anon_sym_BSLASHhref] = ACTIONS(7235),
  },
  [2075] = {
    [sym_command_name] = ACTIONS(7239),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7239),
    [anon_sym_LBRACK] = ACTIONS(7241),
    [anon_sym_RBRACK] = ACTIONS(7241),
    [anon_sym_COMMA] = ACTIONS(7241),
    [anon_sym_EQ] = ACTIONS(7241),
    [anon_sym_LPAREN] = ACTIONS(7241),
    [anon_sym_RPAREN] = ACTIONS(7241),
    [anon_sym_LBRACE] = ACTIONS(7241),
    [sym_word] = ACTIONS(7239),
    [sym_placeholder] = ACTIONS(7241),
    [sym_delimiter] = ACTIONS(7241),
    [anon_sym_PLUS] = ACTIONS(7241),
    [anon_sym_DASH] = ACTIONS(7241),
    [anon_sym_STAR] = ACTIONS(7241),
    [anon_sym_SLASH] = ACTIONS(7241),
    [anon_sym_LT] = ACTIONS(7239),
    [anon_sym_GT] = ACTIONS(7239),
    [anon_sym_BANG] = ACTIONS(7239),
    [anon_sym_PIPE] = ACTIONS(7239),
    [anon_sym_COLON] = ACTIONS(7239),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym__] = ACTIONS(7241),
    [anon_sym_CARET] = ACTIONS(7241),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7241),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7241),
    [anon_sym_DOLLAR] = ACTIONS(7239),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7241),
    [anon_sym_BSLASHleft] = ACTIONS(7239),
    [anon_sym_BSLASHbigl] = ACTIONS(7239),
    [anon_sym_BSLASHBigl] = ACTIONS(7239),
    [anon_sym_BSLASHbiggl] = ACTIONS(7239),
    [anon_sym_BSLASHBiggl] = ACTIONS(7239),
    [anon_sym_BSLASHtext] = ACTIONS(7239),
    [anon_sym_BSLASHintertext] = ACTIONS(7239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7239),
    [anon_sym_BSLASHbegin] = ACTIONS(7239),
    [anon_sym_BSLASHtitle] = ACTIONS(7239),
    [anon_sym_BSLASHauthor] = ACTIONS(7239),
    [anon_sym_BSLASHusepackage] = ACTIONS(7239),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7239),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7239),
    [anon_sym_BSLASHinclude] = ACTIONS(7239),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7239),
    [anon_sym_BSLASHinput] = ACTIONS(7239),
    [anon_sym_BSLASHsubfile] = ACTIONS(7239),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7239),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7239),
    [anon_sym_BSLASHbibliography] = ACTIONS(7239),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7239),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7239),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7239),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7239),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7239),
    [anon_sym_BSLASHimport] = ACTIONS(7239),
    [anon_sym_BSLASHsubimport] = ACTIONS(7239),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7239),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7239),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7239),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7239),
    [anon_sym_BSLASHcaption] = ACTIONS(7239),
    [anon_sym_BSLASHcite] = ACTIONS(7239),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCite] = ACTIONS(7239),
    [anon_sym_BSLASHnocite] = ACTIONS(7239),
    [anon_sym_BSLASHcitet] = ACTIONS(7239),
    [anon_sym_BSLASHcitep] = ACTIONS(7239),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteA] = ACTIONS(7239),
    [anon_sym_BSLASHciteR] = ACTIONS(7239),
    [anon_sym_BSLASHciteS] = ACTIONS(7239),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7239),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7239),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7239),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7239),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteyear] = ACTIONS(7239),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitedate] = ACTIONS(7239),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteurl] = ACTIONS(7239),
    [anon_sym_BSLASHfullcite] = ACTIONS(7239),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7239),
    [anon_sym_BSLASHcitealt] = ACTIONS(7239),
    [anon_sym_BSLASHcitealp] = ACTIONS(7239),
    [anon_sym_BSLASHcitetext] = ACTIONS(7239),
    [anon_sym_BSLASHparencite] = ACTIONS(7239),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHParencite] = ACTIONS(7239),
    [anon_sym_BSLASHfootcite] = ACTIONS(7239),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7239),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7239),
    [anon_sym_BSLASHtextcite] = ACTIONS(7239),
    [anon_sym_BSLASHTextcite] = ACTIONS(7239),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7239),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7239),
    [anon_sym_BSLASHsupercite] = ACTIONS(7239),
    [anon_sym_BSLASHautocite] = ACTIONS(7239),
    [anon_sym_BSLASHAutocite] = ACTIONS(7239),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHVolcite] = ACTIONS(7239),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHavolcite] = ACTIONS(7239),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHNotecite] = ACTIONS(7239),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHlabel] = ACTIONS(7239),
    [anon_sym_BSLASHref] = ACTIONS(7239),
    [anon_sym_BSLASHeqref] = ACTIONS(7239),
    [anon_sym_BSLASHvref] = ACTIONS(7239),
    [anon_sym_BSLASHVref] = ACTIONS(7239),
    [anon_sym_BSLASHautoref] = ACTIONS(7239),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHpageref] = ACTIONS(7239),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHautopageref] = ACTIONS(7239),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcref] = ACTIONS(7239),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCref] = ACTIONS(7239),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcpageref] = ACTIONS(7239),
    [anon_sym_BSLASHCpageref] = ACTIONS(7239),
    [anon_sym_BSLASHnamecref] = ACTIONS(7239),
    [anon_sym_BSLASHnameCref] = ACTIONS(7239),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7239),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7239),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7239),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7239),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7239),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7239),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7239),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7239),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7239),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7239),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7239),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHdef] = ACTIONS(7239),
    [anon_sym_BSLASHgdef] = ACTIONS(7239),
    [anon_sym_BSLASHedef] = ACTIONS(7239),
    [anon_sym_BSLASHxdef] = ACTIONS(7239),
    [anon_sym_BSLASHlet] = ACTIONS(7239),
    [anon_sym_BSLASHglet] = ACTIONS(7239),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7239),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7239),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7239),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7239),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7239),
    [anon_sym_BSLASHgls] = ACTIONS(7239),
    [anon_sym_BSLASHGls] = ACTIONS(7239),
    [anon_sym_BSLASHGLS] = ACTIONS(7239),
    [anon_sym_BSLASHglspl] = ACTIONS(7239),
    [anon_sym_BSLASHGlspl] = ACTIONS(7239),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7239),
    [anon_sym_BSLASHglslink] = ACTIONS(7239),
    [anon_sym_BSLASHglstext] = ACTIONS(7239),
    [anon_sym_BSLASHGlstext] = ACTIONS(7239),
    [anon_sym_BSLASHGLStext] = ACTIONS(7239),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7239),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7239),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7239),
    [anon_sym_BSLASHglsplural] = ACTIONS(7239),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7239),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7239),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHglsname] = ACTIONS(7239),
    [anon_sym_BSLASHGlsname] = ACTIONS(7239),
    [anon_sym_BSLASHGLSname] = ACTIONS(7239),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7239),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7239),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7239),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7239),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7239),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7239),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7239),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7239),
    [anon_sym_BSLASHacrshort] = ACTIONS(7239),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7239),
    [anon_sym_BSLASHACRshort] = ACTIONS(7239),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHacrlong] = ACTIONS(7239),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7239),
    [anon_sym_BSLASHACRlong] = ACTIONS(7239),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHacrfull] = ACTIONS(7239),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7239),
    [anon_sym_BSLASHACRfull] = ACTIONS(7239),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHacs] = ACTIONS(7239),
    [anon_sym_BSLASHAcs] = ACTIONS(7239),
    [anon_sym_BSLASHacsp] = ACTIONS(7239),
    [anon_sym_BSLASHAcsp] = ACTIONS(7239),
    [anon_sym_BSLASHacl] = ACTIONS(7239),
    [anon_sym_BSLASHAcl] = ACTIONS(7239),
    [anon_sym_BSLASHaclp] = ACTIONS(7239),
    [anon_sym_BSLASHAclp] = ACTIONS(7239),
    [anon_sym_BSLASHacf] = ACTIONS(7239),
    [anon_sym_BSLASHAcf] = ACTIONS(7239),
    [anon_sym_BSLASHacfp] = ACTIONS(7239),
    [anon_sym_BSLASHAcfp] = ACTIONS(7239),
    [anon_sym_BSLASHac] = ACTIONS(7239),
    [anon_sym_BSLASHAc] = ACTIONS(7239),
    [anon_sym_BSLASHacp] = ACTIONS(7239),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7239),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7239),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7239),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7239),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7239),
    [anon_sym_BSLASHcolor] = ACTIONS(7239),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7239),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7239),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7239),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7239),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7239),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7239),
    [anon_sym_BSLASHurl] = ACTIONS(7239),
    [anon_sym_BSLASHhref] = ACTIONS(7239),
  },
  [2076] = {
    [sym_command_name] = ACTIONS(7243),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7243),
    [anon_sym_LBRACK] = ACTIONS(7245),
    [anon_sym_RBRACK] = ACTIONS(7245),
    [anon_sym_COMMA] = ACTIONS(7245),
    [anon_sym_EQ] = ACTIONS(7245),
    [anon_sym_LPAREN] = ACTIONS(7245),
    [anon_sym_RPAREN] = ACTIONS(7245),
    [anon_sym_LBRACE] = ACTIONS(7245),
    [sym_word] = ACTIONS(7243),
    [sym_placeholder] = ACTIONS(7245),
    [sym_delimiter] = ACTIONS(7245),
    [anon_sym_PLUS] = ACTIONS(7245),
    [anon_sym_DASH] = ACTIONS(7245),
    [anon_sym_STAR] = ACTIONS(7245),
    [anon_sym_SLASH] = ACTIONS(7245),
    [anon_sym_LT] = ACTIONS(7243),
    [anon_sym_GT] = ACTIONS(7243),
    [anon_sym_BANG] = ACTIONS(7243),
    [anon_sym_PIPE] = ACTIONS(7243),
    [anon_sym_COLON] = ACTIONS(7243),
    [anon_sym_SQUOTE] = ACTIONS(7243),
    [anon_sym__] = ACTIONS(7245),
    [anon_sym_CARET] = ACTIONS(7245),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7245),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7245),
    [anon_sym_DOLLAR] = ACTIONS(7243),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7245),
    [anon_sym_BSLASHleft] = ACTIONS(7243),
    [anon_sym_BSLASHbigl] = ACTIONS(7243),
    [anon_sym_BSLASHBigl] = ACTIONS(7243),
    [anon_sym_BSLASHbiggl] = ACTIONS(7243),
    [anon_sym_BSLASHBiggl] = ACTIONS(7243),
    [anon_sym_BSLASHtext] = ACTIONS(7243),
    [anon_sym_BSLASHintertext] = ACTIONS(7243),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7243),
    [anon_sym_BSLASHbegin] = ACTIONS(7243),
    [anon_sym_BSLASHtitle] = ACTIONS(7243),
    [anon_sym_BSLASHauthor] = ACTIONS(7243),
    [anon_sym_BSLASHusepackage] = ACTIONS(7243),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7243),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7243),
    [anon_sym_BSLASHinclude] = ACTIONS(7243),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7243),
    [anon_sym_BSLASHinput] = ACTIONS(7243),
    [anon_sym_BSLASHsubfile] = ACTIONS(7243),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7243),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7243),
    [anon_sym_BSLASHbibliography] = ACTIONS(7243),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7243),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7243),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7243),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7243),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7243),
    [anon_sym_BSLASHimport] = ACTIONS(7243),
    [anon_sym_BSLASHsubimport] = ACTIONS(7243),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7243),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7243),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7243),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7243),
    [anon_sym_BSLASHcaption] = ACTIONS(7243),
    [anon_sym_BSLASHcite] = ACTIONS(7243),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCite] = ACTIONS(7243),
    [anon_sym_BSLASHnocite] = ACTIONS(7243),
    [anon_sym_BSLASHcitet] = ACTIONS(7243),
    [anon_sym_BSLASHcitep] = ACTIONS(7243),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteA] = ACTIONS(7243),
    [anon_sym_BSLASHciteR] = ACTIONS(7243),
    [anon_sym_BSLASHciteS] = ACTIONS(7243),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7243),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7243),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7243),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7243),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteyear] = ACTIONS(7243),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitedate] = ACTIONS(7243),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteurl] = ACTIONS(7243),
    [anon_sym_BSLASHfullcite] = ACTIONS(7243),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7243),
    [anon_sym_BSLASHcitealt] = ACTIONS(7243),
    [anon_sym_BSLASHcitealp] = ACTIONS(7243),
    [anon_sym_BSLASHcitetext] = ACTIONS(7243),
    [anon_sym_BSLASHparencite] = ACTIONS(7243),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHParencite] = ACTIONS(7243),
    [anon_sym_BSLASHfootcite] = ACTIONS(7243),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7243),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7243),
    [anon_sym_BSLASHtextcite] = ACTIONS(7243),
    [anon_sym_BSLASHTextcite] = ACTIONS(7243),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7243),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7243),
    [anon_sym_BSLASHsupercite] = ACTIONS(7243),
    [anon_sym_BSLASHautocite] = ACTIONS(7243),
    [anon_sym_BSLASHAutocite] = ACTIONS(7243),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHVolcite] = ACTIONS(7243),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHavolcite] = ACTIONS(7243),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHNotecite] = ACTIONS(7243),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHlabel] = ACTIONS(7243),
    [anon_sym_BSLASHref] = ACTIONS(7243),
    [anon_sym_BSLASHeqref] = ACTIONS(7243),
    [anon_sym_BSLASHvref] = ACTIONS(7243),
    [anon_sym_BSLASHVref] = ACTIONS(7243),
    [anon_sym_BSLASHautoref] = ACTIONS(7243),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHpageref] = ACTIONS(7243),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHautopageref] = ACTIONS(7243),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcref] = ACTIONS(7243),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCref] = ACTIONS(7243),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcpageref] = ACTIONS(7243),
    [anon_sym_BSLASHCpageref] = ACTIONS(7243),
    [anon_sym_BSLASHnamecref] = ACTIONS(7243),
    [anon_sym_BSLASHnameCref] = ACTIONS(7243),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7243),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7243),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7243),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7243),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7243),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7243),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7243),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7243),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7243),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7243),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7243),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHdef] = ACTIONS(7243),
    [anon_sym_BSLASHgdef] = ACTIONS(7243),
    [anon_sym_BSLASHedef] = ACTIONS(7243),
    [anon_sym_BSLASHxdef] = ACTIONS(7243),
    [anon_sym_BSLASHlet] = ACTIONS(7243),
    [anon_sym_BSLASHglet] = ACTIONS(7243),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7243),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7243),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7243),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7243),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7243),
    [anon_sym_BSLASHgls] = ACTIONS(7243),
    [anon_sym_BSLASHGls] = ACTIONS(7243),
    [anon_sym_BSLASHGLS] = ACTIONS(7243),
    [anon_sym_BSLASHglspl] = ACTIONS(7243),
    [anon_sym_BSLASHGlspl] = ACTIONS(7243),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7243),
    [anon_sym_BSLASHglslink] = ACTIONS(7243),
    [anon_sym_BSLASHglstext] = ACTIONS(7243),
    [anon_sym_BSLASHGlstext] = ACTIONS(7243),
    [anon_sym_BSLASHGLStext] = ACTIONS(7243),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7243),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7243),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7243),
    [anon_sym_BSLASHglsplural] = ACTIONS(7243),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7243),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7243),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHglsname] = ACTIONS(7243),
    [anon_sym_BSLASHGlsname] = ACTIONS(7243),
    [anon_sym_BSLASHGLSname] = ACTIONS(7243),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7243),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7243),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7243),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7243),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7243),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7243),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7243),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7243),
    [anon_sym_BSLASHacrshort] = ACTIONS(7243),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7243),
    [anon_sym_BSLASHACRshort] = ACTIONS(7243),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHacrlong] = ACTIONS(7243),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7243),
    [anon_sym_BSLASHACRlong] = ACTIONS(7243),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHacrfull] = ACTIONS(7243),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7243),
    [anon_sym_BSLASHACRfull] = ACTIONS(7243),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHacs] = ACTIONS(7243),
    [anon_sym_BSLASHAcs] = ACTIONS(7243),
    [anon_sym_BSLASHacsp] = ACTIONS(7243),
    [anon_sym_BSLASHAcsp] = ACTIONS(7243),
    [anon_sym_BSLASHacl] = ACTIONS(7243),
    [anon_sym_BSLASHAcl] = ACTIONS(7243),
    [anon_sym_BSLASHaclp] = ACTIONS(7243),
    [anon_sym_BSLASHAclp] = ACTIONS(7243),
    [anon_sym_BSLASHacf] = ACTIONS(7243),
    [anon_sym_BSLASHAcf] = ACTIONS(7243),
    [anon_sym_BSLASHacfp] = ACTIONS(7243),
    [anon_sym_BSLASHAcfp] = ACTIONS(7243),
    [anon_sym_BSLASHac] = ACTIONS(7243),
    [anon_sym_BSLASHAc] = ACTIONS(7243),
    [anon_sym_BSLASHacp] = ACTIONS(7243),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7243),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7243),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7243),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7243),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7243),
    [anon_sym_BSLASHcolor] = ACTIONS(7243),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7243),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7243),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7243),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7243),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7243),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7243),
    [anon_sym_BSLASHurl] = ACTIONS(7243),
    [anon_sym_BSLASHhref] = ACTIONS(7243),
  },
  [2077] = {
    [sym_command_name] = ACTIONS(7247),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7247),
    [anon_sym_LBRACK] = ACTIONS(7249),
    [anon_sym_RBRACK] = ACTIONS(7249),
    [anon_sym_COMMA] = ACTIONS(7249),
    [anon_sym_EQ] = ACTIONS(7249),
    [anon_sym_LPAREN] = ACTIONS(7249),
    [anon_sym_RPAREN] = ACTIONS(7249),
    [anon_sym_LBRACE] = ACTIONS(7249),
    [sym_word] = ACTIONS(7247),
    [sym_placeholder] = ACTIONS(7249),
    [sym_delimiter] = ACTIONS(7249),
    [anon_sym_PLUS] = ACTIONS(7249),
    [anon_sym_DASH] = ACTIONS(7249),
    [anon_sym_STAR] = ACTIONS(7249),
    [anon_sym_SLASH] = ACTIONS(7249),
    [anon_sym_LT] = ACTIONS(7247),
    [anon_sym_GT] = ACTIONS(7247),
    [anon_sym_BANG] = ACTIONS(7247),
    [anon_sym_PIPE] = ACTIONS(7247),
    [anon_sym_COLON] = ACTIONS(7247),
    [anon_sym_SQUOTE] = ACTIONS(7247),
    [anon_sym__] = ACTIONS(7249),
    [anon_sym_CARET] = ACTIONS(7249),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7249),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7249),
    [anon_sym_DOLLAR] = ACTIONS(7247),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7249),
    [anon_sym_BSLASHleft] = ACTIONS(7247),
    [anon_sym_BSLASHbigl] = ACTIONS(7247),
    [anon_sym_BSLASHBigl] = ACTIONS(7247),
    [anon_sym_BSLASHbiggl] = ACTIONS(7247),
    [anon_sym_BSLASHBiggl] = ACTIONS(7247),
    [anon_sym_BSLASHtext] = ACTIONS(7247),
    [anon_sym_BSLASHintertext] = ACTIONS(7247),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7247),
    [anon_sym_BSLASHbegin] = ACTIONS(7247),
    [anon_sym_BSLASHtitle] = ACTIONS(7247),
    [anon_sym_BSLASHauthor] = ACTIONS(7247),
    [anon_sym_BSLASHusepackage] = ACTIONS(7247),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7247),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7247),
    [anon_sym_BSLASHinclude] = ACTIONS(7247),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7247),
    [anon_sym_BSLASHinput] = ACTIONS(7247),
    [anon_sym_BSLASHsubfile] = ACTIONS(7247),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7247),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7247),
    [anon_sym_BSLASHbibliography] = ACTIONS(7247),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7247),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7247),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7247),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7247),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7247),
    [anon_sym_BSLASHimport] = ACTIONS(7247),
    [anon_sym_BSLASHsubimport] = ACTIONS(7247),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7247),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7247),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7247),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7247),
    [anon_sym_BSLASHcaption] = ACTIONS(7247),
    [anon_sym_BSLASHcite] = ACTIONS(7247),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCite] = ACTIONS(7247),
    [anon_sym_BSLASHnocite] = ACTIONS(7247),
    [anon_sym_BSLASHcitet] = ACTIONS(7247),
    [anon_sym_BSLASHcitep] = ACTIONS(7247),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteA] = ACTIONS(7247),
    [anon_sym_BSLASHciteR] = ACTIONS(7247),
    [anon_sym_BSLASHciteS] = ACTIONS(7247),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7247),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7247),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7247),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7247),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteyear] = ACTIONS(7247),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitedate] = ACTIONS(7247),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteurl] = ACTIONS(7247),
    [anon_sym_BSLASHfullcite] = ACTIONS(7247),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7247),
    [anon_sym_BSLASHcitealt] = ACTIONS(7247),
    [anon_sym_BSLASHcitealp] = ACTIONS(7247),
    [anon_sym_BSLASHcitetext] = ACTIONS(7247),
    [anon_sym_BSLASHparencite] = ACTIONS(7247),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHParencite] = ACTIONS(7247),
    [anon_sym_BSLASHfootcite] = ACTIONS(7247),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7247),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7247),
    [anon_sym_BSLASHtextcite] = ACTIONS(7247),
    [anon_sym_BSLASHTextcite] = ACTIONS(7247),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7247),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7247),
    [anon_sym_BSLASHsupercite] = ACTIONS(7247),
    [anon_sym_BSLASHautocite] = ACTIONS(7247),
    [anon_sym_BSLASHAutocite] = ACTIONS(7247),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHVolcite] = ACTIONS(7247),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHavolcite] = ACTIONS(7247),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHNotecite] = ACTIONS(7247),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHlabel] = ACTIONS(7247),
    [anon_sym_BSLASHref] = ACTIONS(7247),
    [anon_sym_BSLASHeqref] = ACTIONS(7247),
    [anon_sym_BSLASHvref] = ACTIONS(7247),
    [anon_sym_BSLASHVref] = ACTIONS(7247),
    [anon_sym_BSLASHautoref] = ACTIONS(7247),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHpageref] = ACTIONS(7247),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHautopageref] = ACTIONS(7247),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcref] = ACTIONS(7247),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCref] = ACTIONS(7247),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcpageref] = ACTIONS(7247),
    [anon_sym_BSLASHCpageref] = ACTIONS(7247),
    [anon_sym_BSLASHnamecref] = ACTIONS(7247),
    [anon_sym_BSLASHnameCref] = ACTIONS(7247),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7247),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7247),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7247),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7247),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7247),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7247),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7247),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7247),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7247),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7247),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7247),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHdef] = ACTIONS(7247),
    [anon_sym_BSLASHgdef] = ACTIONS(7247),
    [anon_sym_BSLASHedef] = ACTIONS(7247),
    [anon_sym_BSLASHxdef] = ACTIONS(7247),
    [anon_sym_BSLASHlet] = ACTIONS(7247),
    [anon_sym_BSLASHglet] = ACTIONS(7247),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7247),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7247),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7247),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7247),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7247),
    [anon_sym_BSLASHgls] = ACTIONS(7247),
    [anon_sym_BSLASHGls] = ACTIONS(7247),
    [anon_sym_BSLASHGLS] = ACTIONS(7247),
    [anon_sym_BSLASHglspl] = ACTIONS(7247),
    [anon_sym_BSLASHGlspl] = ACTIONS(7247),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7247),
    [anon_sym_BSLASHglslink] = ACTIONS(7247),
    [anon_sym_BSLASHglstext] = ACTIONS(7247),
    [anon_sym_BSLASHGlstext] = ACTIONS(7247),
    [anon_sym_BSLASHGLStext] = ACTIONS(7247),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7247),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7247),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7247),
    [anon_sym_BSLASHglsplural] = ACTIONS(7247),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7247),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7247),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHglsname] = ACTIONS(7247),
    [anon_sym_BSLASHGlsname] = ACTIONS(7247),
    [anon_sym_BSLASHGLSname] = ACTIONS(7247),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7247),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7247),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7247),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7247),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7247),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7247),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7247),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7247),
    [anon_sym_BSLASHacrshort] = ACTIONS(7247),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7247),
    [anon_sym_BSLASHACRshort] = ACTIONS(7247),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHacrlong] = ACTIONS(7247),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7247),
    [anon_sym_BSLASHACRlong] = ACTIONS(7247),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHacrfull] = ACTIONS(7247),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7247),
    [anon_sym_BSLASHACRfull] = ACTIONS(7247),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHacs] = ACTIONS(7247),
    [anon_sym_BSLASHAcs] = ACTIONS(7247),
    [anon_sym_BSLASHacsp] = ACTIONS(7247),
    [anon_sym_BSLASHAcsp] = ACTIONS(7247),
    [anon_sym_BSLASHacl] = ACTIONS(7247),
    [anon_sym_BSLASHAcl] = ACTIONS(7247),
    [anon_sym_BSLASHaclp] = ACTIONS(7247),
    [anon_sym_BSLASHAclp] = ACTIONS(7247),
    [anon_sym_BSLASHacf] = ACTIONS(7247),
    [anon_sym_BSLASHAcf] = ACTIONS(7247),
    [anon_sym_BSLASHacfp] = ACTIONS(7247),
    [anon_sym_BSLASHAcfp] = ACTIONS(7247),
    [anon_sym_BSLASHac] = ACTIONS(7247),
    [anon_sym_BSLASHAc] = ACTIONS(7247),
    [anon_sym_BSLASHacp] = ACTIONS(7247),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7247),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7247),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7247),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7247),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7247),
    [anon_sym_BSLASHcolor] = ACTIONS(7247),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7247),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7247),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7247),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7247),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7247),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7247),
    [anon_sym_BSLASHurl] = ACTIONS(7247),
    [anon_sym_BSLASHhref] = ACTIONS(7247),
  },
  [2078] = {
    [sym_command_name] = ACTIONS(7251),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7251),
    [anon_sym_LBRACK] = ACTIONS(7253),
    [anon_sym_RBRACK] = ACTIONS(7253),
    [anon_sym_COMMA] = ACTIONS(7253),
    [anon_sym_EQ] = ACTIONS(7253),
    [anon_sym_LPAREN] = ACTIONS(7253),
    [anon_sym_RPAREN] = ACTIONS(7253),
    [anon_sym_LBRACE] = ACTIONS(7253),
    [sym_word] = ACTIONS(7251),
    [sym_placeholder] = ACTIONS(7253),
    [sym_delimiter] = ACTIONS(7253),
    [anon_sym_PLUS] = ACTIONS(7253),
    [anon_sym_DASH] = ACTIONS(7253),
    [anon_sym_STAR] = ACTIONS(7253),
    [anon_sym_SLASH] = ACTIONS(7253),
    [anon_sym_LT] = ACTIONS(7251),
    [anon_sym_GT] = ACTIONS(7251),
    [anon_sym_BANG] = ACTIONS(7251),
    [anon_sym_PIPE] = ACTIONS(7251),
    [anon_sym_COLON] = ACTIONS(7251),
    [anon_sym_SQUOTE] = ACTIONS(7251),
    [anon_sym__] = ACTIONS(7253),
    [anon_sym_CARET] = ACTIONS(7253),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7253),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7253),
    [anon_sym_DOLLAR] = ACTIONS(7251),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7253),
    [anon_sym_BSLASHleft] = ACTIONS(7251),
    [anon_sym_BSLASHbigl] = ACTIONS(7251),
    [anon_sym_BSLASHBigl] = ACTIONS(7251),
    [anon_sym_BSLASHbiggl] = ACTIONS(7251),
    [anon_sym_BSLASHBiggl] = ACTIONS(7251),
    [anon_sym_BSLASHtext] = ACTIONS(7251),
    [anon_sym_BSLASHintertext] = ACTIONS(7251),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7251),
    [anon_sym_BSLASHbegin] = ACTIONS(7251),
    [anon_sym_BSLASHtitle] = ACTIONS(7251),
    [anon_sym_BSLASHauthor] = ACTIONS(7251),
    [anon_sym_BSLASHusepackage] = ACTIONS(7251),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7251),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7251),
    [anon_sym_BSLASHinclude] = ACTIONS(7251),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7251),
    [anon_sym_BSLASHinput] = ACTIONS(7251),
    [anon_sym_BSLASHsubfile] = ACTIONS(7251),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7251),
    [anon_sym_BSLASHbibliography] = ACTIONS(7251),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7251),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7251),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7251),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7251),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7251),
    [anon_sym_BSLASHimport] = ACTIONS(7251),
    [anon_sym_BSLASHsubimport] = ACTIONS(7251),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7251),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7251),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7251),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7251),
    [anon_sym_BSLASHcaption] = ACTIONS(7251),
    [anon_sym_BSLASHcite] = ACTIONS(7251),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCite] = ACTIONS(7251),
    [anon_sym_BSLASHnocite] = ACTIONS(7251),
    [anon_sym_BSLASHcitet] = ACTIONS(7251),
    [anon_sym_BSLASHcitep] = ACTIONS(7251),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteA] = ACTIONS(7251),
    [anon_sym_BSLASHciteR] = ACTIONS(7251),
    [anon_sym_BSLASHciteS] = ACTIONS(7251),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7251),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7251),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7251),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7251),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteyear] = ACTIONS(7251),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitedate] = ACTIONS(7251),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteurl] = ACTIONS(7251),
    [anon_sym_BSLASHfullcite] = ACTIONS(7251),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7251),
    [anon_sym_BSLASHcitealt] = ACTIONS(7251),
    [anon_sym_BSLASHcitealp] = ACTIONS(7251),
    [anon_sym_BSLASHcitetext] = ACTIONS(7251),
    [anon_sym_BSLASHparencite] = ACTIONS(7251),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHParencite] = ACTIONS(7251),
    [anon_sym_BSLASHfootcite] = ACTIONS(7251),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7251),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7251),
    [anon_sym_BSLASHtextcite] = ACTIONS(7251),
    [anon_sym_BSLASHTextcite] = ACTIONS(7251),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7251),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7251),
    [anon_sym_BSLASHsupercite] = ACTIONS(7251),
    [anon_sym_BSLASHautocite] = ACTIONS(7251),
    [anon_sym_BSLASHAutocite] = ACTIONS(7251),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHVolcite] = ACTIONS(7251),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHavolcite] = ACTIONS(7251),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHNotecite] = ACTIONS(7251),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHlabel] = ACTIONS(7251),
    [anon_sym_BSLASHref] = ACTIONS(7251),
    [anon_sym_BSLASHeqref] = ACTIONS(7251),
    [anon_sym_BSLASHvref] = ACTIONS(7251),
    [anon_sym_BSLASHVref] = ACTIONS(7251),
    [anon_sym_BSLASHautoref] = ACTIONS(7251),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHpageref] = ACTIONS(7251),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHautopageref] = ACTIONS(7251),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcref] = ACTIONS(7251),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCref] = ACTIONS(7251),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcpageref] = ACTIONS(7251),
    [anon_sym_BSLASHCpageref] = ACTIONS(7251),
    [anon_sym_BSLASHnamecref] = ACTIONS(7251),
    [anon_sym_BSLASHnameCref] = ACTIONS(7251),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7251),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7251),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7251),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7251),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7251),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7251),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7251),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7251),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7251),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7251),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7251),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHdef] = ACTIONS(7251),
    [anon_sym_BSLASHgdef] = ACTIONS(7251),
    [anon_sym_BSLASHedef] = ACTIONS(7251),
    [anon_sym_BSLASHxdef] = ACTIONS(7251),
    [anon_sym_BSLASHlet] = ACTIONS(7251),
    [anon_sym_BSLASHglet] = ACTIONS(7251),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7251),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7251),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7251),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7251),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7251),
    [anon_sym_BSLASHgls] = ACTIONS(7251),
    [anon_sym_BSLASHGls] = ACTIONS(7251),
    [anon_sym_BSLASHGLS] = ACTIONS(7251),
    [anon_sym_BSLASHglspl] = ACTIONS(7251),
    [anon_sym_BSLASHGlspl] = ACTIONS(7251),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7251),
    [anon_sym_BSLASHglslink] = ACTIONS(7251),
    [anon_sym_BSLASHglstext] = ACTIONS(7251),
    [anon_sym_BSLASHGlstext] = ACTIONS(7251),
    [anon_sym_BSLASHGLStext] = ACTIONS(7251),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7251),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7251),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7251),
    [anon_sym_BSLASHglsplural] = ACTIONS(7251),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7251),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7251),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHglsname] = ACTIONS(7251),
    [anon_sym_BSLASHGlsname] = ACTIONS(7251),
    [anon_sym_BSLASHGLSname] = ACTIONS(7251),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7251),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7251),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7251),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7251),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7251),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7251),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7251),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7251),
    [anon_sym_BSLASHacrshort] = ACTIONS(7251),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7251),
    [anon_sym_BSLASHACRshort] = ACTIONS(7251),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHacrlong] = ACTIONS(7251),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7251),
    [anon_sym_BSLASHACRlong] = ACTIONS(7251),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHacrfull] = ACTIONS(7251),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7251),
    [anon_sym_BSLASHACRfull] = ACTIONS(7251),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHacs] = ACTIONS(7251),
    [anon_sym_BSLASHAcs] = ACTIONS(7251),
    [anon_sym_BSLASHacsp] = ACTIONS(7251),
    [anon_sym_BSLASHAcsp] = ACTIONS(7251),
    [anon_sym_BSLASHacl] = ACTIONS(7251),
    [anon_sym_BSLASHAcl] = ACTIONS(7251),
    [anon_sym_BSLASHaclp] = ACTIONS(7251),
    [anon_sym_BSLASHAclp] = ACTIONS(7251),
    [anon_sym_BSLASHacf] = ACTIONS(7251),
    [anon_sym_BSLASHAcf] = ACTIONS(7251),
    [anon_sym_BSLASHacfp] = ACTIONS(7251),
    [anon_sym_BSLASHAcfp] = ACTIONS(7251),
    [anon_sym_BSLASHac] = ACTIONS(7251),
    [anon_sym_BSLASHAc] = ACTIONS(7251),
    [anon_sym_BSLASHacp] = ACTIONS(7251),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7251),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7251),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7251),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7251),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7251),
    [anon_sym_BSLASHcolor] = ACTIONS(7251),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7251),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7251),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7251),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7251),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7251),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7251),
    [anon_sym_BSLASHurl] = ACTIONS(7251),
    [anon_sym_BSLASHhref] = ACTIONS(7251),
  },
  [2079] = {
    [sym_command_name] = ACTIONS(7255),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7255),
    [anon_sym_LBRACK] = ACTIONS(7257),
    [anon_sym_RBRACK] = ACTIONS(7257),
    [anon_sym_COMMA] = ACTIONS(7257),
    [anon_sym_EQ] = ACTIONS(7257),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_RPAREN] = ACTIONS(7257),
    [anon_sym_LBRACE] = ACTIONS(7257),
    [sym_word] = ACTIONS(7255),
    [sym_placeholder] = ACTIONS(7257),
    [sym_delimiter] = ACTIONS(7257),
    [anon_sym_PLUS] = ACTIONS(7257),
    [anon_sym_DASH] = ACTIONS(7257),
    [anon_sym_STAR] = ACTIONS(7257),
    [anon_sym_SLASH] = ACTIONS(7257),
    [anon_sym_LT] = ACTIONS(7255),
    [anon_sym_GT] = ACTIONS(7255),
    [anon_sym_BANG] = ACTIONS(7255),
    [anon_sym_PIPE] = ACTIONS(7255),
    [anon_sym_COLON] = ACTIONS(7255),
    [anon_sym_SQUOTE] = ACTIONS(7255),
    [anon_sym__] = ACTIONS(7257),
    [anon_sym_CARET] = ACTIONS(7257),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7257),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7257),
    [anon_sym_DOLLAR] = ACTIONS(7255),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7257),
    [anon_sym_BSLASHleft] = ACTIONS(7255),
    [anon_sym_BSLASHbigl] = ACTIONS(7255),
    [anon_sym_BSLASHBigl] = ACTIONS(7255),
    [anon_sym_BSLASHbiggl] = ACTIONS(7255),
    [anon_sym_BSLASHBiggl] = ACTIONS(7255),
    [anon_sym_BSLASHtext] = ACTIONS(7255),
    [anon_sym_BSLASHintertext] = ACTIONS(7255),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7255),
    [anon_sym_BSLASHbegin] = ACTIONS(7255),
    [anon_sym_BSLASHtitle] = ACTIONS(7255),
    [anon_sym_BSLASHauthor] = ACTIONS(7255),
    [anon_sym_BSLASHusepackage] = ACTIONS(7255),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7255),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7255),
    [anon_sym_BSLASHinclude] = ACTIONS(7255),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7255),
    [anon_sym_BSLASHinput] = ACTIONS(7255),
    [anon_sym_BSLASHsubfile] = ACTIONS(7255),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7255),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7255),
    [anon_sym_BSLASHbibliography] = ACTIONS(7255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7255),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7255),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7255),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7255),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7255),
    [anon_sym_BSLASHimport] = ACTIONS(7255),
    [anon_sym_BSLASHsubimport] = ACTIONS(7255),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7255),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7255),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7255),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7255),
    [anon_sym_BSLASHcaption] = ACTIONS(7255),
    [anon_sym_BSLASHcite] = ACTIONS(7255),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCite] = ACTIONS(7255),
    [anon_sym_BSLASHnocite] = ACTIONS(7255),
    [anon_sym_BSLASHcitet] = ACTIONS(7255),
    [anon_sym_BSLASHcitep] = ACTIONS(7255),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteA] = ACTIONS(7255),
    [anon_sym_BSLASHciteR] = ACTIONS(7255),
    [anon_sym_BSLASHciteS] = ACTIONS(7255),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7255),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7255),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7255),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7255),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteyear] = ACTIONS(7255),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitedate] = ACTIONS(7255),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteurl] = ACTIONS(7255),
    [anon_sym_BSLASHfullcite] = ACTIONS(7255),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7255),
    [anon_sym_BSLASHcitealt] = ACTIONS(7255),
    [anon_sym_BSLASHcitealp] = ACTIONS(7255),
    [anon_sym_BSLASHcitetext] = ACTIONS(7255),
    [anon_sym_BSLASHparencite] = ACTIONS(7255),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHParencite] = ACTIONS(7255),
    [anon_sym_BSLASHfootcite] = ACTIONS(7255),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7255),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7255),
    [anon_sym_BSLASHtextcite] = ACTIONS(7255),
    [anon_sym_BSLASHTextcite] = ACTIONS(7255),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7255),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7255),
    [anon_sym_BSLASHsupercite] = ACTIONS(7255),
    [anon_sym_BSLASHautocite] = ACTIONS(7255),
    [anon_sym_BSLASHAutocite] = ACTIONS(7255),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHVolcite] = ACTIONS(7255),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHavolcite] = ACTIONS(7255),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHNotecite] = ACTIONS(7255),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHlabel] = ACTIONS(7255),
    [anon_sym_BSLASHref] = ACTIONS(7255),
    [anon_sym_BSLASHeqref] = ACTIONS(7255),
    [anon_sym_BSLASHvref] = ACTIONS(7255),
    [anon_sym_BSLASHVref] = ACTIONS(7255),
    [anon_sym_BSLASHautoref] = ACTIONS(7255),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHpageref] = ACTIONS(7255),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHautopageref] = ACTIONS(7255),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcref] = ACTIONS(7255),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCref] = ACTIONS(7255),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcpageref] = ACTIONS(7255),
    [anon_sym_BSLASHCpageref] = ACTIONS(7255),
    [anon_sym_BSLASHnamecref] = ACTIONS(7255),
    [anon_sym_BSLASHnameCref] = ACTIONS(7255),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7255),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7255),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7255),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7255),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7255),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7255),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7255),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7255),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7255),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7255),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7255),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHdef] = ACTIONS(7255),
    [anon_sym_BSLASHgdef] = ACTIONS(7255),
    [anon_sym_BSLASHedef] = ACTIONS(7255),
    [anon_sym_BSLASHxdef] = ACTIONS(7255),
    [anon_sym_BSLASHlet] = ACTIONS(7255),
    [anon_sym_BSLASHglet] = ACTIONS(7255),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7255),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7255),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7255),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7255),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7255),
    [anon_sym_BSLASHgls] = ACTIONS(7255),
    [anon_sym_BSLASHGls] = ACTIONS(7255),
    [anon_sym_BSLASHGLS] = ACTIONS(7255),
    [anon_sym_BSLASHglspl] = ACTIONS(7255),
    [anon_sym_BSLASHGlspl] = ACTIONS(7255),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7255),
    [anon_sym_BSLASHglslink] = ACTIONS(7255),
    [anon_sym_BSLASHglstext] = ACTIONS(7255),
    [anon_sym_BSLASHGlstext] = ACTIONS(7255),
    [anon_sym_BSLASHGLStext] = ACTIONS(7255),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7255),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7255),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7255),
    [anon_sym_BSLASHglsplural] = ACTIONS(7255),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7255),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7255),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHglsname] = ACTIONS(7255),
    [anon_sym_BSLASHGlsname] = ACTIONS(7255),
    [anon_sym_BSLASHGLSname] = ACTIONS(7255),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7255),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7255),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7255),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7255),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7255),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7255),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7255),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7255),
    [anon_sym_BSLASHacrshort] = ACTIONS(7255),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7255),
    [anon_sym_BSLASHACRshort] = ACTIONS(7255),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHacrlong] = ACTIONS(7255),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7255),
    [anon_sym_BSLASHACRlong] = ACTIONS(7255),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHacrfull] = ACTIONS(7255),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7255),
    [anon_sym_BSLASHACRfull] = ACTIONS(7255),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHacs] = ACTIONS(7255),
    [anon_sym_BSLASHAcs] = ACTIONS(7255),
    [anon_sym_BSLASHacsp] = ACTIONS(7255),
    [anon_sym_BSLASHAcsp] = ACTIONS(7255),
    [anon_sym_BSLASHacl] = ACTIONS(7255),
    [anon_sym_BSLASHAcl] = ACTIONS(7255),
    [anon_sym_BSLASHaclp] = ACTIONS(7255),
    [anon_sym_BSLASHAclp] = ACTIONS(7255),
    [anon_sym_BSLASHacf] = ACTIONS(7255),
    [anon_sym_BSLASHAcf] = ACTIONS(7255),
    [anon_sym_BSLASHacfp] = ACTIONS(7255),
    [anon_sym_BSLASHAcfp] = ACTIONS(7255),
    [anon_sym_BSLASHac] = ACTIONS(7255),
    [anon_sym_BSLASHAc] = ACTIONS(7255),
    [anon_sym_BSLASHacp] = ACTIONS(7255),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7255),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7255),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7255),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7255),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7255),
    [anon_sym_BSLASHcolor] = ACTIONS(7255),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7255),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7255),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7255),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7255),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7255),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7255),
    [anon_sym_BSLASHurl] = ACTIONS(7255),
    [anon_sym_BSLASHhref] = ACTIONS(7255),
  },
  [2080] = {
    [sym_command_name] = ACTIONS(7259),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7259),
    [anon_sym_LBRACK] = ACTIONS(7261),
    [anon_sym_RBRACK] = ACTIONS(7261),
    [anon_sym_COMMA] = ACTIONS(7261),
    [anon_sym_EQ] = ACTIONS(7261),
    [anon_sym_LPAREN] = ACTIONS(7261),
    [anon_sym_RPAREN] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7261),
    [sym_word] = ACTIONS(7259),
    [sym_placeholder] = ACTIONS(7261),
    [sym_delimiter] = ACTIONS(7261),
    [anon_sym_PLUS] = ACTIONS(7261),
    [anon_sym_DASH] = ACTIONS(7261),
    [anon_sym_STAR] = ACTIONS(7261),
    [anon_sym_SLASH] = ACTIONS(7261),
    [anon_sym_LT] = ACTIONS(7259),
    [anon_sym_GT] = ACTIONS(7259),
    [anon_sym_BANG] = ACTIONS(7259),
    [anon_sym_PIPE] = ACTIONS(7259),
    [anon_sym_COLON] = ACTIONS(7259),
    [anon_sym_SQUOTE] = ACTIONS(7259),
    [anon_sym__] = ACTIONS(7261),
    [anon_sym_CARET] = ACTIONS(7261),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7261),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7261),
    [anon_sym_DOLLAR] = ACTIONS(7259),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7261),
    [anon_sym_BSLASHleft] = ACTIONS(7259),
    [anon_sym_BSLASHbigl] = ACTIONS(7259),
    [anon_sym_BSLASHBigl] = ACTIONS(7259),
    [anon_sym_BSLASHbiggl] = ACTIONS(7259),
    [anon_sym_BSLASHBiggl] = ACTIONS(7259),
    [anon_sym_BSLASHtext] = ACTIONS(7259),
    [anon_sym_BSLASHintertext] = ACTIONS(7259),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7259),
    [anon_sym_BSLASHbegin] = ACTIONS(7259),
    [anon_sym_BSLASHtitle] = ACTIONS(7259),
    [anon_sym_BSLASHauthor] = ACTIONS(7259),
    [anon_sym_BSLASHusepackage] = ACTIONS(7259),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7259),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7259),
    [anon_sym_BSLASHinclude] = ACTIONS(7259),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7259),
    [anon_sym_BSLASHinput] = ACTIONS(7259),
    [anon_sym_BSLASHsubfile] = ACTIONS(7259),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7259),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7259),
    [anon_sym_BSLASHbibliography] = ACTIONS(7259),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7259),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7259),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7259),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7259),
    [anon_sym_BSLASHimport] = ACTIONS(7259),
    [anon_sym_BSLASHsubimport] = ACTIONS(7259),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7259),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7259),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7259),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7259),
    [anon_sym_BSLASHcaption] = ACTIONS(7259),
    [anon_sym_BSLASHcite] = ACTIONS(7259),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCite] = ACTIONS(7259),
    [anon_sym_BSLASHnocite] = ACTIONS(7259),
    [anon_sym_BSLASHcitet] = ACTIONS(7259),
    [anon_sym_BSLASHcitep] = ACTIONS(7259),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteA] = ACTIONS(7259),
    [anon_sym_BSLASHciteR] = ACTIONS(7259),
    [anon_sym_BSLASHciteS] = ACTIONS(7259),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7259),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7259),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7259),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7259),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteyear] = ACTIONS(7259),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitedate] = ACTIONS(7259),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteurl] = ACTIONS(7259),
    [anon_sym_BSLASHfullcite] = ACTIONS(7259),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7259),
    [anon_sym_BSLASHcitealt] = ACTIONS(7259),
    [anon_sym_BSLASHcitealp] = ACTIONS(7259),
    [anon_sym_BSLASHcitetext] = ACTIONS(7259),
    [anon_sym_BSLASHparencite] = ACTIONS(7259),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHParencite] = ACTIONS(7259),
    [anon_sym_BSLASHfootcite] = ACTIONS(7259),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7259),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7259),
    [anon_sym_BSLASHtextcite] = ACTIONS(7259),
    [anon_sym_BSLASHTextcite] = ACTIONS(7259),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7259),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7259),
    [anon_sym_BSLASHsupercite] = ACTIONS(7259),
    [anon_sym_BSLASHautocite] = ACTIONS(7259),
    [anon_sym_BSLASHAutocite] = ACTIONS(7259),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHVolcite] = ACTIONS(7259),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHavolcite] = ACTIONS(7259),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHNotecite] = ACTIONS(7259),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHlabel] = ACTIONS(7259),
    [anon_sym_BSLASHref] = ACTIONS(7259),
    [anon_sym_BSLASHeqref] = ACTIONS(7259),
    [anon_sym_BSLASHvref] = ACTIONS(7259),
    [anon_sym_BSLASHVref] = ACTIONS(7259),
    [anon_sym_BSLASHautoref] = ACTIONS(7259),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHpageref] = ACTIONS(7259),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHautopageref] = ACTIONS(7259),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcref] = ACTIONS(7259),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCref] = ACTIONS(7259),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcpageref] = ACTIONS(7259),
    [anon_sym_BSLASHCpageref] = ACTIONS(7259),
    [anon_sym_BSLASHnamecref] = ACTIONS(7259),
    [anon_sym_BSLASHnameCref] = ACTIONS(7259),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7259),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7259),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7259),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7259),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7259),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7259),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7259),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7259),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7259),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7259),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7259),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHdef] = ACTIONS(7259),
    [anon_sym_BSLASHgdef] = ACTIONS(7259),
    [anon_sym_BSLASHedef] = ACTIONS(7259),
    [anon_sym_BSLASHxdef] = ACTIONS(7259),
    [anon_sym_BSLASHlet] = ACTIONS(7259),
    [anon_sym_BSLASHglet] = ACTIONS(7259),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7259),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7259),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7259),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7259),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7259),
    [anon_sym_BSLASHgls] = ACTIONS(7259),
    [anon_sym_BSLASHGls] = ACTIONS(7259),
    [anon_sym_BSLASHGLS] = ACTIONS(7259),
    [anon_sym_BSLASHglspl] = ACTIONS(7259),
    [anon_sym_BSLASHGlspl] = ACTIONS(7259),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7259),
    [anon_sym_BSLASHglslink] = ACTIONS(7259),
    [anon_sym_BSLASHglstext] = ACTIONS(7259),
    [anon_sym_BSLASHGlstext] = ACTIONS(7259),
    [anon_sym_BSLASHGLStext] = ACTIONS(7259),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7259),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7259),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7259),
    [anon_sym_BSLASHglsplural] = ACTIONS(7259),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7259),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7259),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHglsname] = ACTIONS(7259),
    [anon_sym_BSLASHGlsname] = ACTIONS(7259),
    [anon_sym_BSLASHGLSname] = ACTIONS(7259),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7259),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7259),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7259),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7259),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7259),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7259),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7259),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7259),
    [anon_sym_BSLASHacrshort] = ACTIONS(7259),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7259),
    [anon_sym_BSLASHACRshort] = ACTIONS(7259),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHacrlong] = ACTIONS(7259),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7259),
    [anon_sym_BSLASHACRlong] = ACTIONS(7259),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHacrfull] = ACTIONS(7259),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7259),
    [anon_sym_BSLASHACRfull] = ACTIONS(7259),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHacs] = ACTIONS(7259),
    [anon_sym_BSLASHAcs] = ACTIONS(7259),
    [anon_sym_BSLASHacsp] = ACTIONS(7259),
    [anon_sym_BSLASHAcsp] = ACTIONS(7259),
    [anon_sym_BSLASHacl] = ACTIONS(7259),
    [anon_sym_BSLASHAcl] = ACTIONS(7259),
    [anon_sym_BSLASHaclp] = ACTIONS(7259),
    [anon_sym_BSLASHAclp] = ACTIONS(7259),
    [anon_sym_BSLASHacf] = ACTIONS(7259),
    [anon_sym_BSLASHAcf] = ACTIONS(7259),
    [anon_sym_BSLASHacfp] = ACTIONS(7259),
    [anon_sym_BSLASHAcfp] = ACTIONS(7259),
    [anon_sym_BSLASHac] = ACTIONS(7259),
    [anon_sym_BSLASHAc] = ACTIONS(7259),
    [anon_sym_BSLASHacp] = ACTIONS(7259),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7259),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7259),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7259),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7259),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7259),
    [anon_sym_BSLASHcolor] = ACTIONS(7259),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7259),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7259),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7259),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7259),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7259),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7259),
    [anon_sym_BSLASHurl] = ACTIONS(7259),
    [anon_sym_BSLASHhref] = ACTIONS(7259),
  },
  [2081] = {
    [sym_command_name] = ACTIONS(7263),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7263),
    [anon_sym_LBRACK] = ACTIONS(7265),
    [anon_sym_RBRACK] = ACTIONS(7265),
    [anon_sym_COMMA] = ACTIONS(7265),
    [anon_sym_EQ] = ACTIONS(7265),
    [anon_sym_LPAREN] = ACTIONS(7265),
    [anon_sym_RPAREN] = ACTIONS(7265),
    [anon_sym_LBRACE] = ACTIONS(7265),
    [sym_word] = ACTIONS(7263),
    [sym_placeholder] = ACTIONS(7265),
    [sym_delimiter] = ACTIONS(7265),
    [anon_sym_PLUS] = ACTIONS(7265),
    [anon_sym_DASH] = ACTIONS(7265),
    [anon_sym_STAR] = ACTIONS(7265),
    [anon_sym_SLASH] = ACTIONS(7265),
    [anon_sym_LT] = ACTIONS(7263),
    [anon_sym_GT] = ACTIONS(7263),
    [anon_sym_BANG] = ACTIONS(7263),
    [anon_sym_PIPE] = ACTIONS(7263),
    [anon_sym_COLON] = ACTIONS(7263),
    [anon_sym_SQUOTE] = ACTIONS(7263),
    [anon_sym__] = ACTIONS(7265),
    [anon_sym_CARET] = ACTIONS(7265),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7265),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7265),
    [anon_sym_DOLLAR] = ACTIONS(7263),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7265),
    [anon_sym_BSLASHleft] = ACTIONS(7263),
    [anon_sym_BSLASHbigl] = ACTIONS(7263),
    [anon_sym_BSLASHBigl] = ACTIONS(7263),
    [anon_sym_BSLASHbiggl] = ACTIONS(7263),
    [anon_sym_BSLASHBiggl] = ACTIONS(7263),
    [anon_sym_BSLASHtext] = ACTIONS(7263),
    [anon_sym_BSLASHintertext] = ACTIONS(7263),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7263),
    [anon_sym_BSLASHbegin] = ACTIONS(7263),
    [anon_sym_BSLASHtitle] = ACTIONS(7263),
    [anon_sym_BSLASHauthor] = ACTIONS(7263),
    [anon_sym_BSLASHusepackage] = ACTIONS(7263),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7263),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7263),
    [anon_sym_BSLASHinclude] = ACTIONS(7263),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7263),
    [anon_sym_BSLASHinput] = ACTIONS(7263),
    [anon_sym_BSLASHsubfile] = ACTIONS(7263),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7263),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7263),
    [anon_sym_BSLASHbibliography] = ACTIONS(7263),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7263),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7263),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7263),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7263),
    [anon_sym_BSLASHimport] = ACTIONS(7263),
    [anon_sym_BSLASHsubimport] = ACTIONS(7263),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7263),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7263),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7263),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7263),
    [anon_sym_BSLASHcaption] = ACTIONS(7263),
    [anon_sym_BSLASHcite] = ACTIONS(7263),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCite] = ACTIONS(7263),
    [anon_sym_BSLASHnocite] = ACTIONS(7263),
    [anon_sym_BSLASHcitet] = ACTIONS(7263),
    [anon_sym_BSLASHcitep] = ACTIONS(7263),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteA] = ACTIONS(7263),
    [anon_sym_BSLASHciteR] = ACTIONS(7263),
    [anon_sym_BSLASHciteS] = ACTIONS(7263),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7263),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7263),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7263),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7263),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteyear] = ACTIONS(7263),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitedate] = ACTIONS(7263),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteurl] = ACTIONS(7263),
    [anon_sym_BSLASHfullcite] = ACTIONS(7263),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7263),
    [anon_sym_BSLASHcitealt] = ACTIONS(7263),
    [anon_sym_BSLASHcitealp] = ACTIONS(7263),
    [anon_sym_BSLASHcitetext] = ACTIONS(7263),
    [anon_sym_BSLASHparencite] = ACTIONS(7263),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHParencite] = ACTIONS(7263),
    [anon_sym_BSLASHfootcite] = ACTIONS(7263),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7263),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7263),
    [anon_sym_BSLASHtextcite] = ACTIONS(7263),
    [anon_sym_BSLASHTextcite] = ACTIONS(7263),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7263),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7263),
    [anon_sym_BSLASHsupercite] = ACTIONS(7263),
    [anon_sym_BSLASHautocite] = ACTIONS(7263),
    [anon_sym_BSLASHAutocite] = ACTIONS(7263),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHVolcite] = ACTIONS(7263),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHavolcite] = ACTIONS(7263),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHNotecite] = ACTIONS(7263),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHlabel] = ACTIONS(7263),
    [anon_sym_BSLASHref] = ACTIONS(7263),
    [anon_sym_BSLASHeqref] = ACTIONS(7263),
    [anon_sym_BSLASHvref] = ACTIONS(7263),
    [anon_sym_BSLASHVref] = ACTIONS(7263),
    [anon_sym_BSLASHautoref] = ACTIONS(7263),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHpageref] = ACTIONS(7263),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHautopageref] = ACTIONS(7263),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcref] = ACTIONS(7263),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCref] = ACTIONS(7263),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcpageref] = ACTIONS(7263),
    [anon_sym_BSLASHCpageref] = ACTIONS(7263),
    [anon_sym_BSLASHnamecref] = ACTIONS(7263),
    [anon_sym_BSLASHnameCref] = ACTIONS(7263),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7263),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7263),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7263),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7263),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7263),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7263),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7263),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7263),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7263),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7263),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7263),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHdef] = ACTIONS(7263),
    [anon_sym_BSLASHgdef] = ACTIONS(7263),
    [anon_sym_BSLASHedef] = ACTIONS(7263),
    [anon_sym_BSLASHxdef] = ACTIONS(7263),
    [anon_sym_BSLASHlet] = ACTIONS(7263),
    [anon_sym_BSLASHglet] = ACTIONS(7263),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7263),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7263),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7263),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7263),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7263),
    [anon_sym_BSLASHgls] = ACTIONS(7263),
    [anon_sym_BSLASHGls] = ACTIONS(7263),
    [anon_sym_BSLASHGLS] = ACTIONS(7263),
    [anon_sym_BSLASHglspl] = ACTIONS(7263),
    [anon_sym_BSLASHGlspl] = ACTIONS(7263),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7263),
    [anon_sym_BSLASHglslink] = ACTIONS(7263),
    [anon_sym_BSLASHglstext] = ACTIONS(7263),
    [anon_sym_BSLASHGlstext] = ACTIONS(7263),
    [anon_sym_BSLASHGLStext] = ACTIONS(7263),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7263),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7263),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7263),
    [anon_sym_BSLASHglsplural] = ACTIONS(7263),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7263),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7263),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHglsname] = ACTIONS(7263),
    [anon_sym_BSLASHGlsname] = ACTIONS(7263),
    [anon_sym_BSLASHGLSname] = ACTIONS(7263),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7263),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7263),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7263),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7263),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7263),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7263),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7263),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7263),
    [anon_sym_BSLASHacrshort] = ACTIONS(7263),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7263),
    [anon_sym_BSLASHACRshort] = ACTIONS(7263),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHacrlong] = ACTIONS(7263),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7263),
    [anon_sym_BSLASHACRlong] = ACTIONS(7263),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHacrfull] = ACTIONS(7263),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7263),
    [anon_sym_BSLASHACRfull] = ACTIONS(7263),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHacs] = ACTIONS(7263),
    [anon_sym_BSLASHAcs] = ACTIONS(7263),
    [anon_sym_BSLASHacsp] = ACTIONS(7263),
    [anon_sym_BSLASHAcsp] = ACTIONS(7263),
    [anon_sym_BSLASHacl] = ACTIONS(7263),
    [anon_sym_BSLASHAcl] = ACTIONS(7263),
    [anon_sym_BSLASHaclp] = ACTIONS(7263),
    [anon_sym_BSLASHAclp] = ACTIONS(7263),
    [anon_sym_BSLASHacf] = ACTIONS(7263),
    [anon_sym_BSLASHAcf] = ACTIONS(7263),
    [anon_sym_BSLASHacfp] = ACTIONS(7263),
    [anon_sym_BSLASHAcfp] = ACTIONS(7263),
    [anon_sym_BSLASHac] = ACTIONS(7263),
    [anon_sym_BSLASHAc] = ACTIONS(7263),
    [anon_sym_BSLASHacp] = ACTIONS(7263),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7263),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7263),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7263),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7263),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7263),
    [anon_sym_BSLASHcolor] = ACTIONS(7263),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7263),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7263),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7263),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7263),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7263),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7263),
    [anon_sym_BSLASHurl] = ACTIONS(7263),
    [anon_sym_BSLASHhref] = ACTIONS(7263),
  },
  [2082] = {
    [sym_command_name] = ACTIONS(7267),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7267),
    [anon_sym_LBRACK] = ACTIONS(7269),
    [anon_sym_RBRACK] = ACTIONS(7269),
    [anon_sym_COMMA] = ACTIONS(7269),
    [anon_sym_EQ] = ACTIONS(7269),
    [anon_sym_LPAREN] = ACTIONS(7269),
    [anon_sym_RPAREN] = ACTIONS(7269),
    [anon_sym_LBRACE] = ACTIONS(7269),
    [sym_word] = ACTIONS(7267),
    [sym_placeholder] = ACTIONS(7269),
    [sym_delimiter] = ACTIONS(7269),
    [anon_sym_PLUS] = ACTIONS(7269),
    [anon_sym_DASH] = ACTIONS(7269),
    [anon_sym_STAR] = ACTIONS(7269),
    [anon_sym_SLASH] = ACTIONS(7269),
    [anon_sym_LT] = ACTIONS(7267),
    [anon_sym_GT] = ACTIONS(7267),
    [anon_sym_BANG] = ACTIONS(7267),
    [anon_sym_PIPE] = ACTIONS(7267),
    [anon_sym_COLON] = ACTIONS(7267),
    [anon_sym_SQUOTE] = ACTIONS(7267),
    [anon_sym__] = ACTIONS(7269),
    [anon_sym_CARET] = ACTIONS(7269),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7269),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7269),
    [anon_sym_DOLLAR] = ACTIONS(7267),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7269),
    [anon_sym_BSLASHleft] = ACTIONS(7267),
    [anon_sym_BSLASHbigl] = ACTIONS(7267),
    [anon_sym_BSLASHBigl] = ACTIONS(7267),
    [anon_sym_BSLASHbiggl] = ACTIONS(7267),
    [anon_sym_BSLASHBiggl] = ACTIONS(7267),
    [anon_sym_BSLASHtext] = ACTIONS(7267),
    [anon_sym_BSLASHintertext] = ACTIONS(7267),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7267),
    [anon_sym_BSLASHbegin] = ACTIONS(7267),
    [anon_sym_BSLASHtitle] = ACTIONS(7267),
    [anon_sym_BSLASHauthor] = ACTIONS(7267),
    [anon_sym_BSLASHusepackage] = ACTIONS(7267),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7267),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7267),
    [anon_sym_BSLASHinclude] = ACTIONS(7267),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7267),
    [anon_sym_BSLASHinput] = ACTIONS(7267),
    [anon_sym_BSLASHsubfile] = ACTIONS(7267),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7267),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7267),
    [anon_sym_BSLASHbibliography] = ACTIONS(7267),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7267),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7267),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7267),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7267),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7267),
    [anon_sym_BSLASHimport] = ACTIONS(7267),
    [anon_sym_BSLASHsubimport] = ACTIONS(7267),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7267),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7267),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7267),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7267),
    [anon_sym_BSLASHcaption] = ACTIONS(7267),
    [anon_sym_BSLASHcite] = ACTIONS(7267),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCite] = ACTIONS(7267),
    [anon_sym_BSLASHnocite] = ACTIONS(7267),
    [anon_sym_BSLASHcitet] = ACTIONS(7267),
    [anon_sym_BSLASHcitep] = ACTIONS(7267),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteA] = ACTIONS(7267),
    [anon_sym_BSLASHciteR] = ACTIONS(7267),
    [anon_sym_BSLASHciteS] = ACTIONS(7267),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7267),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7267),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7267),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7267),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteyear] = ACTIONS(7267),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitedate] = ACTIONS(7267),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteurl] = ACTIONS(7267),
    [anon_sym_BSLASHfullcite] = ACTIONS(7267),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7267),
    [anon_sym_BSLASHcitealt] = ACTIONS(7267),
    [anon_sym_BSLASHcitealp] = ACTIONS(7267),
    [anon_sym_BSLASHcitetext] = ACTIONS(7267),
    [anon_sym_BSLASHparencite] = ACTIONS(7267),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHParencite] = ACTIONS(7267),
    [anon_sym_BSLASHfootcite] = ACTIONS(7267),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7267),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7267),
    [anon_sym_BSLASHtextcite] = ACTIONS(7267),
    [anon_sym_BSLASHTextcite] = ACTIONS(7267),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7267),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7267),
    [anon_sym_BSLASHsupercite] = ACTIONS(7267),
    [anon_sym_BSLASHautocite] = ACTIONS(7267),
    [anon_sym_BSLASHAutocite] = ACTIONS(7267),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHVolcite] = ACTIONS(7267),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHavolcite] = ACTIONS(7267),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHNotecite] = ACTIONS(7267),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHlabel] = ACTIONS(7267),
    [anon_sym_BSLASHref] = ACTIONS(7267),
    [anon_sym_BSLASHeqref] = ACTIONS(7267),
    [anon_sym_BSLASHvref] = ACTIONS(7267),
    [anon_sym_BSLASHVref] = ACTIONS(7267),
    [anon_sym_BSLASHautoref] = ACTIONS(7267),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHpageref] = ACTIONS(7267),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHautopageref] = ACTIONS(7267),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcref] = ACTIONS(7267),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCref] = ACTIONS(7267),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcpageref] = ACTIONS(7267),
    [anon_sym_BSLASHCpageref] = ACTIONS(7267),
    [anon_sym_BSLASHnamecref] = ACTIONS(7267),
    [anon_sym_BSLASHnameCref] = ACTIONS(7267),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7267),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7267),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7267),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7267),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7267),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7267),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7267),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7267),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7267),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7267),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7267),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHdef] = ACTIONS(7267),
    [anon_sym_BSLASHgdef] = ACTIONS(7267),
    [anon_sym_BSLASHedef] = ACTIONS(7267),
    [anon_sym_BSLASHxdef] = ACTIONS(7267),
    [anon_sym_BSLASHlet] = ACTIONS(7267),
    [anon_sym_BSLASHglet] = ACTIONS(7267),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7267),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7267),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7267),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7267),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7267),
    [anon_sym_BSLASHgls] = ACTIONS(7267),
    [anon_sym_BSLASHGls] = ACTIONS(7267),
    [anon_sym_BSLASHGLS] = ACTIONS(7267),
    [anon_sym_BSLASHglspl] = ACTIONS(7267),
    [anon_sym_BSLASHGlspl] = ACTIONS(7267),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7267),
    [anon_sym_BSLASHglslink] = ACTIONS(7267),
    [anon_sym_BSLASHglstext] = ACTIONS(7267),
    [anon_sym_BSLASHGlstext] = ACTIONS(7267),
    [anon_sym_BSLASHGLStext] = ACTIONS(7267),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7267),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7267),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7267),
    [anon_sym_BSLASHglsplural] = ACTIONS(7267),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7267),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7267),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHglsname] = ACTIONS(7267),
    [anon_sym_BSLASHGlsname] = ACTIONS(7267),
    [anon_sym_BSLASHGLSname] = ACTIONS(7267),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7267),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7267),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7267),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7267),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7267),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7267),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7267),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7267),
    [anon_sym_BSLASHacrshort] = ACTIONS(7267),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7267),
    [anon_sym_BSLASHACRshort] = ACTIONS(7267),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHacrlong] = ACTIONS(7267),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7267),
    [anon_sym_BSLASHACRlong] = ACTIONS(7267),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHacrfull] = ACTIONS(7267),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7267),
    [anon_sym_BSLASHACRfull] = ACTIONS(7267),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHacs] = ACTIONS(7267),
    [anon_sym_BSLASHAcs] = ACTIONS(7267),
    [anon_sym_BSLASHacsp] = ACTIONS(7267),
    [anon_sym_BSLASHAcsp] = ACTIONS(7267),
    [anon_sym_BSLASHacl] = ACTIONS(7267),
    [anon_sym_BSLASHAcl] = ACTIONS(7267),
    [anon_sym_BSLASHaclp] = ACTIONS(7267),
    [anon_sym_BSLASHAclp] = ACTIONS(7267),
    [anon_sym_BSLASHacf] = ACTIONS(7267),
    [anon_sym_BSLASHAcf] = ACTIONS(7267),
    [anon_sym_BSLASHacfp] = ACTIONS(7267),
    [anon_sym_BSLASHAcfp] = ACTIONS(7267),
    [anon_sym_BSLASHac] = ACTIONS(7267),
    [anon_sym_BSLASHAc] = ACTIONS(7267),
    [anon_sym_BSLASHacp] = ACTIONS(7267),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7267),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7267),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7267),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7267),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7267),
    [anon_sym_BSLASHcolor] = ACTIONS(7267),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7267),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7267),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7267),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7267),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7267),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7267),
    [anon_sym_BSLASHurl] = ACTIONS(7267),
    [anon_sym_BSLASHhref] = ACTIONS(7267),
  },
  [2083] = {
    [sym_command_name] = ACTIONS(7271),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7271),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_RBRACK] = ACTIONS(7273),
    [anon_sym_COMMA] = ACTIONS(7273),
    [anon_sym_EQ] = ACTIONS(7273),
    [anon_sym_LPAREN] = ACTIONS(7273),
    [anon_sym_RPAREN] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7273),
    [sym_word] = ACTIONS(7271),
    [sym_placeholder] = ACTIONS(7273),
    [sym_delimiter] = ACTIONS(7273),
    [anon_sym_PLUS] = ACTIONS(7273),
    [anon_sym_DASH] = ACTIONS(7273),
    [anon_sym_STAR] = ACTIONS(7273),
    [anon_sym_SLASH] = ACTIONS(7273),
    [anon_sym_LT] = ACTIONS(7271),
    [anon_sym_GT] = ACTIONS(7271),
    [anon_sym_BANG] = ACTIONS(7271),
    [anon_sym_PIPE] = ACTIONS(7271),
    [anon_sym_COLON] = ACTIONS(7271),
    [anon_sym_SQUOTE] = ACTIONS(7271),
    [anon_sym__] = ACTIONS(7273),
    [anon_sym_CARET] = ACTIONS(7273),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7273),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7273),
    [anon_sym_DOLLAR] = ACTIONS(7271),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7273),
    [anon_sym_BSLASHleft] = ACTIONS(7271),
    [anon_sym_BSLASHbigl] = ACTIONS(7271),
    [anon_sym_BSLASHBigl] = ACTIONS(7271),
    [anon_sym_BSLASHbiggl] = ACTIONS(7271),
    [anon_sym_BSLASHBiggl] = ACTIONS(7271),
    [anon_sym_BSLASHtext] = ACTIONS(7271),
    [anon_sym_BSLASHintertext] = ACTIONS(7271),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7271),
    [anon_sym_BSLASHbegin] = ACTIONS(7271),
    [anon_sym_BSLASHtitle] = ACTIONS(7271),
    [anon_sym_BSLASHauthor] = ACTIONS(7271),
    [anon_sym_BSLASHusepackage] = ACTIONS(7271),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7271),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7271),
    [anon_sym_BSLASHinclude] = ACTIONS(7271),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7271),
    [anon_sym_BSLASHinput] = ACTIONS(7271),
    [anon_sym_BSLASHsubfile] = ACTIONS(7271),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7271),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7271),
    [anon_sym_BSLASHbibliography] = ACTIONS(7271),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7271),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7271),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7271),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7271),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7271),
    [anon_sym_BSLASHimport] = ACTIONS(7271),
    [anon_sym_BSLASHsubimport] = ACTIONS(7271),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7271),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7271),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7271),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7271),
    [anon_sym_BSLASHcaption] = ACTIONS(7271),
    [anon_sym_BSLASHcite] = ACTIONS(7271),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCite] = ACTIONS(7271),
    [anon_sym_BSLASHnocite] = ACTIONS(7271),
    [anon_sym_BSLASHcitet] = ACTIONS(7271),
    [anon_sym_BSLASHcitep] = ACTIONS(7271),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteA] = ACTIONS(7271),
    [anon_sym_BSLASHciteR] = ACTIONS(7271),
    [anon_sym_BSLASHciteS] = ACTIONS(7271),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7271),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7271),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7271),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7271),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteyear] = ACTIONS(7271),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitedate] = ACTIONS(7271),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteurl] = ACTIONS(7271),
    [anon_sym_BSLASHfullcite] = ACTIONS(7271),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7271),
    [anon_sym_BSLASHcitealt] = ACTIONS(7271),
    [anon_sym_BSLASHcitealp] = ACTIONS(7271),
    [anon_sym_BSLASHcitetext] = ACTIONS(7271),
    [anon_sym_BSLASHparencite] = ACTIONS(7271),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHParencite] = ACTIONS(7271),
    [anon_sym_BSLASHfootcite] = ACTIONS(7271),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7271),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7271),
    [anon_sym_BSLASHtextcite] = ACTIONS(7271),
    [anon_sym_BSLASHTextcite] = ACTIONS(7271),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7271),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7271),
    [anon_sym_BSLASHsupercite] = ACTIONS(7271),
    [anon_sym_BSLASHautocite] = ACTIONS(7271),
    [anon_sym_BSLASHAutocite] = ACTIONS(7271),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHVolcite] = ACTIONS(7271),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHavolcite] = ACTIONS(7271),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHNotecite] = ACTIONS(7271),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHlabel] = ACTIONS(7271),
    [anon_sym_BSLASHref] = ACTIONS(7271),
    [anon_sym_BSLASHeqref] = ACTIONS(7271),
    [anon_sym_BSLASHvref] = ACTIONS(7271),
    [anon_sym_BSLASHVref] = ACTIONS(7271),
    [anon_sym_BSLASHautoref] = ACTIONS(7271),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHpageref] = ACTIONS(7271),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHautopageref] = ACTIONS(7271),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcref] = ACTIONS(7271),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCref] = ACTIONS(7271),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcpageref] = ACTIONS(7271),
    [anon_sym_BSLASHCpageref] = ACTIONS(7271),
    [anon_sym_BSLASHnamecref] = ACTIONS(7271),
    [anon_sym_BSLASHnameCref] = ACTIONS(7271),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7271),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7271),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7271),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7271),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7271),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7271),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7271),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7271),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7271),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7271),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7271),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHdef] = ACTIONS(7271),
    [anon_sym_BSLASHgdef] = ACTIONS(7271),
    [anon_sym_BSLASHedef] = ACTIONS(7271),
    [anon_sym_BSLASHxdef] = ACTIONS(7271),
    [anon_sym_BSLASHlet] = ACTIONS(7271),
    [anon_sym_BSLASHglet] = ACTIONS(7271),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7271),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7271),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7271),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7271),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7271),
    [anon_sym_BSLASHgls] = ACTIONS(7271),
    [anon_sym_BSLASHGls] = ACTIONS(7271),
    [anon_sym_BSLASHGLS] = ACTIONS(7271),
    [anon_sym_BSLASHglspl] = ACTIONS(7271),
    [anon_sym_BSLASHGlspl] = ACTIONS(7271),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7271),
    [anon_sym_BSLASHglslink] = ACTIONS(7271),
    [anon_sym_BSLASHglstext] = ACTIONS(7271),
    [anon_sym_BSLASHGlstext] = ACTIONS(7271),
    [anon_sym_BSLASHGLStext] = ACTIONS(7271),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7271),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7271),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7271),
    [anon_sym_BSLASHglsplural] = ACTIONS(7271),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7271),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7271),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHglsname] = ACTIONS(7271),
    [anon_sym_BSLASHGlsname] = ACTIONS(7271),
    [anon_sym_BSLASHGLSname] = ACTIONS(7271),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7271),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7271),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7271),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7271),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7271),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7271),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7271),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7271),
    [anon_sym_BSLASHacrshort] = ACTIONS(7271),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7271),
    [anon_sym_BSLASHACRshort] = ACTIONS(7271),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHacrlong] = ACTIONS(7271),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7271),
    [anon_sym_BSLASHACRlong] = ACTIONS(7271),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHacrfull] = ACTIONS(7271),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7271),
    [anon_sym_BSLASHACRfull] = ACTIONS(7271),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHacs] = ACTIONS(7271),
    [anon_sym_BSLASHAcs] = ACTIONS(7271),
    [anon_sym_BSLASHacsp] = ACTIONS(7271),
    [anon_sym_BSLASHAcsp] = ACTIONS(7271),
    [anon_sym_BSLASHacl] = ACTIONS(7271),
    [anon_sym_BSLASHAcl] = ACTIONS(7271),
    [anon_sym_BSLASHaclp] = ACTIONS(7271),
    [anon_sym_BSLASHAclp] = ACTIONS(7271),
    [anon_sym_BSLASHacf] = ACTIONS(7271),
    [anon_sym_BSLASHAcf] = ACTIONS(7271),
    [anon_sym_BSLASHacfp] = ACTIONS(7271),
    [anon_sym_BSLASHAcfp] = ACTIONS(7271),
    [anon_sym_BSLASHac] = ACTIONS(7271),
    [anon_sym_BSLASHAc] = ACTIONS(7271),
    [anon_sym_BSLASHacp] = ACTIONS(7271),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7271),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7271),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7271),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7271),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7271),
    [anon_sym_BSLASHcolor] = ACTIONS(7271),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7271),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7271),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7271),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7271),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7271),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7271),
    [anon_sym_BSLASHurl] = ACTIONS(7271),
    [anon_sym_BSLASHhref] = ACTIONS(7271),
  },
  [2084] = {
    [sym_command_name] = ACTIONS(7275),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7275),
    [anon_sym_LBRACK] = ACTIONS(7277),
    [anon_sym_RBRACK] = ACTIONS(7277),
    [anon_sym_COMMA] = ACTIONS(7277),
    [anon_sym_EQ] = ACTIONS(7277),
    [anon_sym_LPAREN] = ACTIONS(7277),
    [anon_sym_RPAREN] = ACTIONS(7277),
    [anon_sym_LBRACE] = ACTIONS(7277),
    [sym_word] = ACTIONS(7275),
    [sym_placeholder] = ACTIONS(7277),
    [sym_delimiter] = ACTIONS(7277),
    [anon_sym_PLUS] = ACTIONS(7277),
    [anon_sym_DASH] = ACTIONS(7277),
    [anon_sym_STAR] = ACTIONS(7277),
    [anon_sym_SLASH] = ACTIONS(7277),
    [anon_sym_LT] = ACTIONS(7275),
    [anon_sym_GT] = ACTIONS(7275),
    [anon_sym_BANG] = ACTIONS(7275),
    [anon_sym_PIPE] = ACTIONS(7275),
    [anon_sym_COLON] = ACTIONS(7275),
    [anon_sym_SQUOTE] = ACTIONS(7275),
    [anon_sym__] = ACTIONS(7277),
    [anon_sym_CARET] = ACTIONS(7277),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7277),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7277),
    [anon_sym_DOLLAR] = ACTIONS(7275),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7277),
    [anon_sym_BSLASHleft] = ACTIONS(7275),
    [anon_sym_BSLASHbigl] = ACTIONS(7275),
    [anon_sym_BSLASHBigl] = ACTIONS(7275),
    [anon_sym_BSLASHbiggl] = ACTIONS(7275),
    [anon_sym_BSLASHBiggl] = ACTIONS(7275),
    [anon_sym_BSLASHtext] = ACTIONS(7275),
    [anon_sym_BSLASHintertext] = ACTIONS(7275),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7275),
    [anon_sym_BSLASHbegin] = ACTIONS(7275),
    [anon_sym_BSLASHtitle] = ACTIONS(7275),
    [anon_sym_BSLASHauthor] = ACTIONS(7275),
    [anon_sym_BSLASHusepackage] = ACTIONS(7275),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7275),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7275),
    [anon_sym_BSLASHinclude] = ACTIONS(7275),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7275),
    [anon_sym_BSLASHinput] = ACTIONS(7275),
    [anon_sym_BSLASHsubfile] = ACTIONS(7275),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7275),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7275),
    [anon_sym_BSLASHbibliography] = ACTIONS(7275),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7275),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7275),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7275),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7275),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7275),
    [anon_sym_BSLASHimport] = ACTIONS(7275),
    [anon_sym_BSLASHsubimport] = ACTIONS(7275),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7275),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7275),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7275),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7275),
    [anon_sym_BSLASHcaption] = ACTIONS(7275),
    [anon_sym_BSLASHcite] = ACTIONS(7275),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCite] = ACTIONS(7275),
    [anon_sym_BSLASHnocite] = ACTIONS(7275),
    [anon_sym_BSLASHcitet] = ACTIONS(7275),
    [anon_sym_BSLASHcitep] = ACTIONS(7275),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteA] = ACTIONS(7275),
    [anon_sym_BSLASHciteR] = ACTIONS(7275),
    [anon_sym_BSLASHciteS] = ACTIONS(7275),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7275),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7275),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7275),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7275),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteyear] = ACTIONS(7275),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitedate] = ACTIONS(7275),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteurl] = ACTIONS(7275),
    [anon_sym_BSLASHfullcite] = ACTIONS(7275),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7275),
    [anon_sym_BSLASHcitealt] = ACTIONS(7275),
    [anon_sym_BSLASHcitealp] = ACTIONS(7275),
    [anon_sym_BSLASHcitetext] = ACTIONS(7275),
    [anon_sym_BSLASHparencite] = ACTIONS(7275),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHParencite] = ACTIONS(7275),
    [anon_sym_BSLASHfootcite] = ACTIONS(7275),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7275),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7275),
    [anon_sym_BSLASHtextcite] = ACTIONS(7275),
    [anon_sym_BSLASHTextcite] = ACTIONS(7275),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7275),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7275),
    [anon_sym_BSLASHsupercite] = ACTIONS(7275),
    [anon_sym_BSLASHautocite] = ACTIONS(7275),
    [anon_sym_BSLASHAutocite] = ACTIONS(7275),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHVolcite] = ACTIONS(7275),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHavolcite] = ACTIONS(7275),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHNotecite] = ACTIONS(7275),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHlabel] = ACTIONS(7275),
    [anon_sym_BSLASHref] = ACTIONS(7275),
    [anon_sym_BSLASHeqref] = ACTIONS(7275),
    [anon_sym_BSLASHvref] = ACTIONS(7275),
    [anon_sym_BSLASHVref] = ACTIONS(7275),
    [anon_sym_BSLASHautoref] = ACTIONS(7275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHpageref] = ACTIONS(7275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHautopageref] = ACTIONS(7275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcref] = ACTIONS(7275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCref] = ACTIONS(7275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcpageref] = ACTIONS(7275),
    [anon_sym_BSLASHCpageref] = ACTIONS(7275),
    [anon_sym_BSLASHnamecref] = ACTIONS(7275),
    [anon_sym_BSLASHnameCref] = ACTIONS(7275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7275),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7275),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7275),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7275),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7275),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7275),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7275),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7275),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHdef] = ACTIONS(7275),
    [anon_sym_BSLASHgdef] = ACTIONS(7275),
    [anon_sym_BSLASHedef] = ACTIONS(7275),
    [anon_sym_BSLASHxdef] = ACTIONS(7275),
    [anon_sym_BSLASHlet] = ACTIONS(7275),
    [anon_sym_BSLASHglet] = ACTIONS(7275),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7275),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7275),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7275),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7275),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7275),
    [anon_sym_BSLASHgls] = ACTIONS(7275),
    [anon_sym_BSLASHGls] = ACTIONS(7275),
    [anon_sym_BSLASHGLS] = ACTIONS(7275),
    [anon_sym_BSLASHglspl] = ACTIONS(7275),
    [anon_sym_BSLASHGlspl] = ACTIONS(7275),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7275),
    [anon_sym_BSLASHglslink] = ACTIONS(7275),
    [anon_sym_BSLASHglstext] = ACTIONS(7275),
    [anon_sym_BSLASHGlstext] = ACTIONS(7275),
    [anon_sym_BSLASHGLStext] = ACTIONS(7275),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7275),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7275),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7275),
    [anon_sym_BSLASHglsplural] = ACTIONS(7275),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7275),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7275),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHglsname] = ACTIONS(7275),
    [anon_sym_BSLASHGlsname] = ACTIONS(7275),
    [anon_sym_BSLASHGLSname] = ACTIONS(7275),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7275),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7275),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7275),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7275),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7275),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7275),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7275),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7275),
    [anon_sym_BSLASHacrshort] = ACTIONS(7275),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7275),
    [anon_sym_BSLASHACRshort] = ACTIONS(7275),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHacrlong] = ACTIONS(7275),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7275),
    [anon_sym_BSLASHACRlong] = ACTIONS(7275),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHacrfull] = ACTIONS(7275),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7275),
    [anon_sym_BSLASHACRfull] = ACTIONS(7275),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHacs] = ACTIONS(7275),
    [anon_sym_BSLASHAcs] = ACTIONS(7275),
    [anon_sym_BSLASHacsp] = ACTIONS(7275),
    [anon_sym_BSLASHAcsp] = ACTIONS(7275),
    [anon_sym_BSLASHacl] = ACTIONS(7275),
    [anon_sym_BSLASHAcl] = ACTIONS(7275),
    [anon_sym_BSLASHaclp] = ACTIONS(7275),
    [anon_sym_BSLASHAclp] = ACTIONS(7275),
    [anon_sym_BSLASHacf] = ACTIONS(7275),
    [anon_sym_BSLASHAcf] = ACTIONS(7275),
    [anon_sym_BSLASHacfp] = ACTIONS(7275),
    [anon_sym_BSLASHAcfp] = ACTIONS(7275),
    [anon_sym_BSLASHac] = ACTIONS(7275),
    [anon_sym_BSLASHAc] = ACTIONS(7275),
    [anon_sym_BSLASHacp] = ACTIONS(7275),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7275),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7275),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7275),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7275),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7275),
    [anon_sym_BSLASHcolor] = ACTIONS(7275),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7275),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7275),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7275),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7275),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7275),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7275),
    [anon_sym_BSLASHurl] = ACTIONS(7275),
    [anon_sym_BSLASHhref] = ACTIONS(7275),
  },
  [2085] = {
    [sym_command_name] = ACTIONS(7279),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7279),
    [anon_sym_LBRACK] = ACTIONS(7281),
    [anon_sym_RBRACK] = ACTIONS(7281),
    [anon_sym_COMMA] = ACTIONS(7281),
    [anon_sym_EQ] = ACTIONS(7281),
    [anon_sym_LPAREN] = ACTIONS(7281),
    [anon_sym_RPAREN] = ACTIONS(7281),
    [anon_sym_LBRACE] = ACTIONS(7281),
    [sym_word] = ACTIONS(7279),
    [sym_placeholder] = ACTIONS(7281),
    [sym_delimiter] = ACTIONS(7281),
    [anon_sym_PLUS] = ACTIONS(7281),
    [anon_sym_DASH] = ACTIONS(7281),
    [anon_sym_STAR] = ACTIONS(7281),
    [anon_sym_SLASH] = ACTIONS(7281),
    [anon_sym_LT] = ACTIONS(7279),
    [anon_sym_GT] = ACTIONS(7279),
    [anon_sym_BANG] = ACTIONS(7279),
    [anon_sym_PIPE] = ACTIONS(7279),
    [anon_sym_COLON] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7279),
    [anon_sym__] = ACTIONS(7281),
    [anon_sym_CARET] = ACTIONS(7281),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7281),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7281),
    [anon_sym_DOLLAR] = ACTIONS(7279),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7281),
    [anon_sym_BSLASHleft] = ACTIONS(7279),
    [anon_sym_BSLASHbigl] = ACTIONS(7279),
    [anon_sym_BSLASHBigl] = ACTIONS(7279),
    [anon_sym_BSLASHbiggl] = ACTIONS(7279),
    [anon_sym_BSLASHBiggl] = ACTIONS(7279),
    [anon_sym_BSLASHtext] = ACTIONS(7279),
    [anon_sym_BSLASHintertext] = ACTIONS(7279),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7279),
    [anon_sym_BSLASHbegin] = ACTIONS(7279),
    [anon_sym_BSLASHtitle] = ACTIONS(7279),
    [anon_sym_BSLASHauthor] = ACTIONS(7279),
    [anon_sym_BSLASHusepackage] = ACTIONS(7279),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7279),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7279),
    [anon_sym_BSLASHinclude] = ACTIONS(7279),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7279),
    [anon_sym_BSLASHinput] = ACTIONS(7279),
    [anon_sym_BSLASHsubfile] = ACTIONS(7279),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7279),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7279),
    [anon_sym_BSLASHbibliography] = ACTIONS(7279),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7279),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7279),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7279),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7279),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7279),
    [anon_sym_BSLASHimport] = ACTIONS(7279),
    [anon_sym_BSLASHsubimport] = ACTIONS(7279),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7279),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7279),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7279),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7279),
    [anon_sym_BSLASHcaption] = ACTIONS(7279),
    [anon_sym_BSLASHcite] = ACTIONS(7279),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCite] = ACTIONS(7279),
    [anon_sym_BSLASHnocite] = ACTIONS(7279),
    [anon_sym_BSLASHcitet] = ACTIONS(7279),
    [anon_sym_BSLASHcitep] = ACTIONS(7279),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteA] = ACTIONS(7279),
    [anon_sym_BSLASHciteR] = ACTIONS(7279),
    [anon_sym_BSLASHciteS] = ACTIONS(7279),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7279),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7279),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7279),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7279),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteyear] = ACTIONS(7279),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitedate] = ACTIONS(7279),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteurl] = ACTIONS(7279),
    [anon_sym_BSLASHfullcite] = ACTIONS(7279),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7279),
    [anon_sym_BSLASHcitealt] = ACTIONS(7279),
    [anon_sym_BSLASHcitealp] = ACTIONS(7279),
    [anon_sym_BSLASHcitetext] = ACTIONS(7279),
    [anon_sym_BSLASHparencite] = ACTIONS(7279),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHParencite] = ACTIONS(7279),
    [anon_sym_BSLASHfootcite] = ACTIONS(7279),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7279),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7279),
    [anon_sym_BSLASHtextcite] = ACTIONS(7279),
    [anon_sym_BSLASHTextcite] = ACTIONS(7279),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7279),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7279),
    [anon_sym_BSLASHsupercite] = ACTIONS(7279),
    [anon_sym_BSLASHautocite] = ACTIONS(7279),
    [anon_sym_BSLASHAutocite] = ACTIONS(7279),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHVolcite] = ACTIONS(7279),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHavolcite] = ACTIONS(7279),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHNotecite] = ACTIONS(7279),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHlabel] = ACTIONS(7279),
    [anon_sym_BSLASHref] = ACTIONS(7279),
    [anon_sym_BSLASHeqref] = ACTIONS(7279),
    [anon_sym_BSLASHvref] = ACTIONS(7279),
    [anon_sym_BSLASHVref] = ACTIONS(7279),
    [anon_sym_BSLASHautoref] = ACTIONS(7279),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHpageref] = ACTIONS(7279),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHautopageref] = ACTIONS(7279),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcref] = ACTIONS(7279),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCref] = ACTIONS(7279),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcpageref] = ACTIONS(7279),
    [anon_sym_BSLASHCpageref] = ACTIONS(7279),
    [anon_sym_BSLASHnamecref] = ACTIONS(7279),
    [anon_sym_BSLASHnameCref] = ACTIONS(7279),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7279),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7279),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7279),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7279),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7279),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7279),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7279),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHdef] = ACTIONS(7279),
    [anon_sym_BSLASHgdef] = ACTIONS(7279),
    [anon_sym_BSLASHedef] = ACTIONS(7279),
    [anon_sym_BSLASHxdef] = ACTIONS(7279),
    [anon_sym_BSLASHlet] = ACTIONS(7279),
    [anon_sym_BSLASHglet] = ACTIONS(7279),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7279),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7279),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7279),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7279),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7279),
    [anon_sym_BSLASHgls] = ACTIONS(7279),
    [anon_sym_BSLASHGls] = ACTIONS(7279),
    [anon_sym_BSLASHGLS] = ACTIONS(7279),
    [anon_sym_BSLASHglspl] = ACTIONS(7279),
    [anon_sym_BSLASHGlspl] = ACTIONS(7279),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7279),
    [anon_sym_BSLASHglslink] = ACTIONS(7279),
    [anon_sym_BSLASHglstext] = ACTIONS(7279),
    [anon_sym_BSLASHGlstext] = ACTIONS(7279),
    [anon_sym_BSLASHGLStext] = ACTIONS(7279),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7279),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7279),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7279),
    [anon_sym_BSLASHglsplural] = ACTIONS(7279),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7279),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7279),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHglsname] = ACTIONS(7279),
    [anon_sym_BSLASHGlsname] = ACTIONS(7279),
    [anon_sym_BSLASHGLSname] = ACTIONS(7279),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7279),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7279),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7279),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7279),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7279),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7279),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7279),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7279),
    [anon_sym_BSLASHacrshort] = ACTIONS(7279),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7279),
    [anon_sym_BSLASHACRshort] = ACTIONS(7279),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHacrlong] = ACTIONS(7279),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7279),
    [anon_sym_BSLASHACRlong] = ACTIONS(7279),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHacrfull] = ACTIONS(7279),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7279),
    [anon_sym_BSLASHACRfull] = ACTIONS(7279),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHacs] = ACTIONS(7279),
    [anon_sym_BSLASHAcs] = ACTIONS(7279),
    [anon_sym_BSLASHacsp] = ACTIONS(7279),
    [anon_sym_BSLASHAcsp] = ACTIONS(7279),
    [anon_sym_BSLASHacl] = ACTIONS(7279),
    [anon_sym_BSLASHAcl] = ACTIONS(7279),
    [anon_sym_BSLASHaclp] = ACTIONS(7279),
    [anon_sym_BSLASHAclp] = ACTIONS(7279),
    [anon_sym_BSLASHacf] = ACTIONS(7279),
    [anon_sym_BSLASHAcf] = ACTIONS(7279),
    [anon_sym_BSLASHacfp] = ACTIONS(7279),
    [anon_sym_BSLASHAcfp] = ACTIONS(7279),
    [anon_sym_BSLASHac] = ACTIONS(7279),
    [anon_sym_BSLASHAc] = ACTIONS(7279),
    [anon_sym_BSLASHacp] = ACTIONS(7279),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7279),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7279),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7279),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7279),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7279),
    [anon_sym_BSLASHcolor] = ACTIONS(7279),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7279),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7279),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7279),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7279),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7279),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7279),
    [anon_sym_BSLASHurl] = ACTIONS(7279),
    [anon_sym_BSLASHhref] = ACTIONS(7279),
  },
  [2086] = {
    [sym_command_name] = ACTIONS(7283),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7283),
    [anon_sym_LBRACK] = ACTIONS(7285),
    [anon_sym_RBRACK] = ACTIONS(7285),
    [anon_sym_COMMA] = ACTIONS(7285),
    [anon_sym_EQ] = ACTIONS(7285),
    [anon_sym_LPAREN] = ACTIONS(7285),
    [anon_sym_RPAREN] = ACTIONS(7285),
    [anon_sym_LBRACE] = ACTIONS(7285),
    [sym_word] = ACTIONS(7283),
    [sym_placeholder] = ACTIONS(7285),
    [sym_delimiter] = ACTIONS(7285),
    [anon_sym_PLUS] = ACTIONS(7285),
    [anon_sym_DASH] = ACTIONS(7285),
    [anon_sym_STAR] = ACTIONS(7285),
    [anon_sym_SLASH] = ACTIONS(7285),
    [anon_sym_LT] = ACTIONS(7283),
    [anon_sym_GT] = ACTIONS(7283),
    [anon_sym_BANG] = ACTIONS(7283),
    [anon_sym_PIPE] = ACTIONS(7283),
    [anon_sym_COLON] = ACTIONS(7283),
    [anon_sym_SQUOTE] = ACTIONS(7283),
    [anon_sym__] = ACTIONS(7285),
    [anon_sym_CARET] = ACTIONS(7285),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7285),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7285),
    [anon_sym_DOLLAR] = ACTIONS(7283),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7285),
    [anon_sym_BSLASHleft] = ACTIONS(7283),
    [anon_sym_BSLASHbigl] = ACTIONS(7283),
    [anon_sym_BSLASHBigl] = ACTIONS(7283),
    [anon_sym_BSLASHbiggl] = ACTIONS(7283),
    [anon_sym_BSLASHBiggl] = ACTIONS(7283),
    [anon_sym_BSLASHtext] = ACTIONS(7283),
    [anon_sym_BSLASHintertext] = ACTIONS(7283),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7283),
    [anon_sym_BSLASHbegin] = ACTIONS(7283),
    [anon_sym_BSLASHtitle] = ACTIONS(7283),
    [anon_sym_BSLASHauthor] = ACTIONS(7283),
    [anon_sym_BSLASHusepackage] = ACTIONS(7283),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7283),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7283),
    [anon_sym_BSLASHinclude] = ACTIONS(7283),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7283),
    [anon_sym_BSLASHinput] = ACTIONS(7283),
    [anon_sym_BSLASHsubfile] = ACTIONS(7283),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7283),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7283),
    [anon_sym_BSLASHbibliography] = ACTIONS(7283),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7283),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7283),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7283),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7283),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7283),
    [anon_sym_BSLASHimport] = ACTIONS(7283),
    [anon_sym_BSLASHsubimport] = ACTIONS(7283),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7283),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7283),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7283),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7283),
    [anon_sym_BSLASHcaption] = ACTIONS(7283),
    [anon_sym_BSLASHcite] = ACTIONS(7283),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCite] = ACTIONS(7283),
    [anon_sym_BSLASHnocite] = ACTIONS(7283),
    [anon_sym_BSLASHcitet] = ACTIONS(7283),
    [anon_sym_BSLASHcitep] = ACTIONS(7283),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteA] = ACTIONS(7283),
    [anon_sym_BSLASHciteR] = ACTIONS(7283),
    [anon_sym_BSLASHciteS] = ACTIONS(7283),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7283),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7283),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7283),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7283),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteyear] = ACTIONS(7283),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitedate] = ACTIONS(7283),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteurl] = ACTIONS(7283),
    [anon_sym_BSLASHfullcite] = ACTIONS(7283),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7283),
    [anon_sym_BSLASHcitealt] = ACTIONS(7283),
    [anon_sym_BSLASHcitealp] = ACTIONS(7283),
    [anon_sym_BSLASHcitetext] = ACTIONS(7283),
    [anon_sym_BSLASHparencite] = ACTIONS(7283),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHParencite] = ACTIONS(7283),
    [anon_sym_BSLASHfootcite] = ACTIONS(7283),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7283),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7283),
    [anon_sym_BSLASHtextcite] = ACTIONS(7283),
    [anon_sym_BSLASHTextcite] = ACTIONS(7283),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7283),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7283),
    [anon_sym_BSLASHsupercite] = ACTIONS(7283),
    [anon_sym_BSLASHautocite] = ACTIONS(7283),
    [anon_sym_BSLASHAutocite] = ACTIONS(7283),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHVolcite] = ACTIONS(7283),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHavolcite] = ACTIONS(7283),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHNotecite] = ACTIONS(7283),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHlabel] = ACTIONS(7283),
    [anon_sym_BSLASHref] = ACTIONS(7283),
    [anon_sym_BSLASHeqref] = ACTIONS(7283),
    [anon_sym_BSLASHvref] = ACTIONS(7283),
    [anon_sym_BSLASHVref] = ACTIONS(7283),
    [anon_sym_BSLASHautoref] = ACTIONS(7283),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHpageref] = ACTIONS(7283),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHautopageref] = ACTIONS(7283),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcref] = ACTIONS(7283),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCref] = ACTIONS(7283),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcpageref] = ACTIONS(7283),
    [anon_sym_BSLASHCpageref] = ACTIONS(7283),
    [anon_sym_BSLASHnamecref] = ACTIONS(7283),
    [anon_sym_BSLASHnameCref] = ACTIONS(7283),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7283),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7283),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7283),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7283),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7283),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7283),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7283),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7283),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7283),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7283),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHdef] = ACTIONS(7283),
    [anon_sym_BSLASHgdef] = ACTIONS(7283),
    [anon_sym_BSLASHedef] = ACTIONS(7283),
    [anon_sym_BSLASHxdef] = ACTIONS(7283),
    [anon_sym_BSLASHlet] = ACTIONS(7283),
    [anon_sym_BSLASHglet] = ACTIONS(7283),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7283),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7283),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7283),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7283),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7283),
    [anon_sym_BSLASHgls] = ACTIONS(7283),
    [anon_sym_BSLASHGls] = ACTIONS(7283),
    [anon_sym_BSLASHGLS] = ACTIONS(7283),
    [anon_sym_BSLASHglspl] = ACTIONS(7283),
    [anon_sym_BSLASHGlspl] = ACTIONS(7283),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7283),
    [anon_sym_BSLASHglslink] = ACTIONS(7283),
    [anon_sym_BSLASHglstext] = ACTIONS(7283),
    [anon_sym_BSLASHGlstext] = ACTIONS(7283),
    [anon_sym_BSLASHGLStext] = ACTIONS(7283),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7283),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7283),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7283),
    [anon_sym_BSLASHglsplural] = ACTIONS(7283),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7283),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7283),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHglsname] = ACTIONS(7283),
    [anon_sym_BSLASHGlsname] = ACTIONS(7283),
    [anon_sym_BSLASHGLSname] = ACTIONS(7283),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7283),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7283),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7283),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7283),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7283),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7283),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7283),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7283),
    [anon_sym_BSLASHacrshort] = ACTIONS(7283),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7283),
    [anon_sym_BSLASHACRshort] = ACTIONS(7283),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHacrlong] = ACTIONS(7283),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7283),
    [anon_sym_BSLASHACRlong] = ACTIONS(7283),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHacrfull] = ACTIONS(7283),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7283),
    [anon_sym_BSLASHACRfull] = ACTIONS(7283),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHacs] = ACTIONS(7283),
    [anon_sym_BSLASHAcs] = ACTIONS(7283),
    [anon_sym_BSLASHacsp] = ACTIONS(7283),
    [anon_sym_BSLASHAcsp] = ACTIONS(7283),
    [anon_sym_BSLASHacl] = ACTIONS(7283),
    [anon_sym_BSLASHAcl] = ACTIONS(7283),
    [anon_sym_BSLASHaclp] = ACTIONS(7283),
    [anon_sym_BSLASHAclp] = ACTIONS(7283),
    [anon_sym_BSLASHacf] = ACTIONS(7283),
    [anon_sym_BSLASHAcf] = ACTIONS(7283),
    [anon_sym_BSLASHacfp] = ACTIONS(7283),
    [anon_sym_BSLASHAcfp] = ACTIONS(7283),
    [anon_sym_BSLASHac] = ACTIONS(7283),
    [anon_sym_BSLASHAc] = ACTIONS(7283),
    [anon_sym_BSLASHacp] = ACTIONS(7283),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7283),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7283),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7283),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7283),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7283),
    [anon_sym_BSLASHcolor] = ACTIONS(7283),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7283),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7283),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7283),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7283),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7283),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7283),
    [anon_sym_BSLASHurl] = ACTIONS(7283),
    [anon_sym_BSLASHhref] = ACTIONS(7283),
  },
  [2087] = {
    [sym_command_name] = ACTIONS(7287),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7287),
    [anon_sym_LBRACK] = ACTIONS(7289),
    [anon_sym_RBRACK] = ACTIONS(7289),
    [anon_sym_COMMA] = ACTIONS(7289),
    [anon_sym_EQ] = ACTIONS(7289),
    [anon_sym_LPAREN] = ACTIONS(7289),
    [anon_sym_RPAREN] = ACTIONS(7289),
    [anon_sym_LBRACE] = ACTIONS(7289),
    [sym_word] = ACTIONS(7287),
    [sym_placeholder] = ACTIONS(7289),
    [sym_delimiter] = ACTIONS(7289),
    [anon_sym_PLUS] = ACTIONS(7289),
    [anon_sym_DASH] = ACTIONS(7289),
    [anon_sym_STAR] = ACTIONS(7289),
    [anon_sym_SLASH] = ACTIONS(7289),
    [anon_sym_LT] = ACTIONS(7287),
    [anon_sym_GT] = ACTIONS(7287),
    [anon_sym_BANG] = ACTIONS(7287),
    [anon_sym_PIPE] = ACTIONS(7287),
    [anon_sym_COLON] = ACTIONS(7287),
    [anon_sym_SQUOTE] = ACTIONS(7287),
    [anon_sym__] = ACTIONS(7289),
    [anon_sym_CARET] = ACTIONS(7289),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7289),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7289),
    [anon_sym_DOLLAR] = ACTIONS(7287),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7289),
    [anon_sym_BSLASHleft] = ACTIONS(7287),
    [anon_sym_BSLASHbigl] = ACTIONS(7287),
    [anon_sym_BSLASHBigl] = ACTIONS(7287),
    [anon_sym_BSLASHbiggl] = ACTIONS(7287),
    [anon_sym_BSLASHBiggl] = ACTIONS(7287),
    [anon_sym_BSLASHtext] = ACTIONS(7287),
    [anon_sym_BSLASHintertext] = ACTIONS(7287),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7287),
    [anon_sym_BSLASHbegin] = ACTIONS(7287),
    [anon_sym_BSLASHtitle] = ACTIONS(7287),
    [anon_sym_BSLASHauthor] = ACTIONS(7287),
    [anon_sym_BSLASHusepackage] = ACTIONS(7287),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7287),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7287),
    [anon_sym_BSLASHinclude] = ACTIONS(7287),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7287),
    [anon_sym_BSLASHinput] = ACTIONS(7287),
    [anon_sym_BSLASHsubfile] = ACTIONS(7287),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7287),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7287),
    [anon_sym_BSLASHbibliography] = ACTIONS(7287),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7287),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7287),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7287),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7287),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7287),
    [anon_sym_BSLASHimport] = ACTIONS(7287),
    [anon_sym_BSLASHsubimport] = ACTIONS(7287),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7287),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7287),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7287),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7287),
    [anon_sym_BSLASHcaption] = ACTIONS(7287),
    [anon_sym_BSLASHcite] = ACTIONS(7287),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCite] = ACTIONS(7287),
    [anon_sym_BSLASHnocite] = ACTIONS(7287),
    [anon_sym_BSLASHcitet] = ACTIONS(7287),
    [anon_sym_BSLASHcitep] = ACTIONS(7287),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteA] = ACTIONS(7287),
    [anon_sym_BSLASHciteR] = ACTIONS(7287),
    [anon_sym_BSLASHciteS] = ACTIONS(7287),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7287),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7287),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7287),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7287),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteyear] = ACTIONS(7287),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitedate] = ACTIONS(7287),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteurl] = ACTIONS(7287),
    [anon_sym_BSLASHfullcite] = ACTIONS(7287),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7287),
    [anon_sym_BSLASHcitealt] = ACTIONS(7287),
    [anon_sym_BSLASHcitealp] = ACTIONS(7287),
    [anon_sym_BSLASHcitetext] = ACTIONS(7287),
    [anon_sym_BSLASHparencite] = ACTIONS(7287),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHParencite] = ACTIONS(7287),
    [anon_sym_BSLASHfootcite] = ACTIONS(7287),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7287),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7287),
    [anon_sym_BSLASHtextcite] = ACTIONS(7287),
    [anon_sym_BSLASHTextcite] = ACTIONS(7287),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7287),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7287),
    [anon_sym_BSLASHsupercite] = ACTIONS(7287),
    [anon_sym_BSLASHautocite] = ACTIONS(7287),
    [anon_sym_BSLASHAutocite] = ACTIONS(7287),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHVolcite] = ACTIONS(7287),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHavolcite] = ACTIONS(7287),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHNotecite] = ACTIONS(7287),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHlabel] = ACTIONS(7287),
    [anon_sym_BSLASHref] = ACTIONS(7287),
    [anon_sym_BSLASHeqref] = ACTIONS(7287),
    [anon_sym_BSLASHvref] = ACTIONS(7287),
    [anon_sym_BSLASHVref] = ACTIONS(7287),
    [anon_sym_BSLASHautoref] = ACTIONS(7287),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHpageref] = ACTIONS(7287),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHautopageref] = ACTIONS(7287),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcref] = ACTIONS(7287),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCref] = ACTIONS(7287),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcpageref] = ACTIONS(7287),
    [anon_sym_BSLASHCpageref] = ACTIONS(7287),
    [anon_sym_BSLASHnamecref] = ACTIONS(7287),
    [anon_sym_BSLASHnameCref] = ACTIONS(7287),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7287),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7287),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7287),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7287),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7287),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7287),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7287),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7287),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7287),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7287),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7287),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHdef] = ACTIONS(7287),
    [anon_sym_BSLASHgdef] = ACTIONS(7287),
    [anon_sym_BSLASHedef] = ACTIONS(7287),
    [anon_sym_BSLASHxdef] = ACTIONS(7287),
    [anon_sym_BSLASHlet] = ACTIONS(7287),
    [anon_sym_BSLASHglet] = ACTIONS(7287),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7287),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7287),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7287),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7287),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7287),
    [anon_sym_BSLASHgls] = ACTIONS(7287),
    [anon_sym_BSLASHGls] = ACTIONS(7287),
    [anon_sym_BSLASHGLS] = ACTIONS(7287),
    [anon_sym_BSLASHglspl] = ACTIONS(7287),
    [anon_sym_BSLASHGlspl] = ACTIONS(7287),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7287),
    [anon_sym_BSLASHglslink] = ACTIONS(7287),
    [anon_sym_BSLASHglstext] = ACTIONS(7287),
    [anon_sym_BSLASHGlstext] = ACTIONS(7287),
    [anon_sym_BSLASHGLStext] = ACTIONS(7287),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7287),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7287),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7287),
    [anon_sym_BSLASHglsplural] = ACTIONS(7287),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7287),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7287),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHglsname] = ACTIONS(7287),
    [anon_sym_BSLASHGlsname] = ACTIONS(7287),
    [anon_sym_BSLASHGLSname] = ACTIONS(7287),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7287),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7287),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7287),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7287),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7287),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7287),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7287),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7287),
    [anon_sym_BSLASHacrshort] = ACTIONS(7287),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7287),
    [anon_sym_BSLASHACRshort] = ACTIONS(7287),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHacrlong] = ACTIONS(7287),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7287),
    [anon_sym_BSLASHACRlong] = ACTIONS(7287),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHacrfull] = ACTIONS(7287),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7287),
    [anon_sym_BSLASHACRfull] = ACTIONS(7287),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHacs] = ACTIONS(7287),
    [anon_sym_BSLASHAcs] = ACTIONS(7287),
    [anon_sym_BSLASHacsp] = ACTIONS(7287),
    [anon_sym_BSLASHAcsp] = ACTIONS(7287),
    [anon_sym_BSLASHacl] = ACTIONS(7287),
    [anon_sym_BSLASHAcl] = ACTIONS(7287),
    [anon_sym_BSLASHaclp] = ACTIONS(7287),
    [anon_sym_BSLASHAclp] = ACTIONS(7287),
    [anon_sym_BSLASHacf] = ACTIONS(7287),
    [anon_sym_BSLASHAcf] = ACTIONS(7287),
    [anon_sym_BSLASHacfp] = ACTIONS(7287),
    [anon_sym_BSLASHAcfp] = ACTIONS(7287),
    [anon_sym_BSLASHac] = ACTIONS(7287),
    [anon_sym_BSLASHAc] = ACTIONS(7287),
    [anon_sym_BSLASHacp] = ACTIONS(7287),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7287),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7287),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7287),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7287),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7287),
    [anon_sym_BSLASHcolor] = ACTIONS(7287),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7287),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7287),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7287),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7287),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7287),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7287),
    [anon_sym_BSLASHurl] = ACTIONS(7287),
    [anon_sym_BSLASHhref] = ACTIONS(7287),
  },
  [2088] = {
    [sym_command_name] = ACTIONS(7311),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7311),
    [anon_sym_LBRACK] = ACTIONS(7313),
    [anon_sym_RBRACK] = ACTIONS(7313),
    [anon_sym_COMMA] = ACTIONS(7313),
    [anon_sym_EQ] = ACTIONS(7313),
    [anon_sym_LPAREN] = ACTIONS(7313),
    [anon_sym_RPAREN] = ACTIONS(7313),
    [anon_sym_LBRACE] = ACTIONS(7313),
    [sym_word] = ACTIONS(7311),
    [sym_placeholder] = ACTIONS(7313),
    [sym_delimiter] = ACTIONS(7313),
    [anon_sym_PLUS] = ACTIONS(7313),
    [anon_sym_DASH] = ACTIONS(7313),
    [anon_sym_STAR] = ACTIONS(7313),
    [anon_sym_SLASH] = ACTIONS(7313),
    [anon_sym_LT] = ACTIONS(7311),
    [anon_sym_GT] = ACTIONS(7311),
    [anon_sym_BANG] = ACTIONS(7311),
    [anon_sym_PIPE] = ACTIONS(7311),
    [anon_sym_COLON] = ACTIONS(7311),
    [anon_sym_SQUOTE] = ACTIONS(7311),
    [anon_sym__] = ACTIONS(7313),
    [anon_sym_CARET] = ACTIONS(7313),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7313),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7313),
    [anon_sym_DOLLAR] = ACTIONS(7311),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7313),
    [anon_sym_BSLASHleft] = ACTIONS(7311),
    [anon_sym_BSLASHbigl] = ACTIONS(7311),
    [anon_sym_BSLASHBigl] = ACTIONS(7311),
    [anon_sym_BSLASHbiggl] = ACTIONS(7311),
    [anon_sym_BSLASHBiggl] = ACTIONS(7311),
    [anon_sym_BSLASHtext] = ACTIONS(7311),
    [anon_sym_BSLASHintertext] = ACTIONS(7311),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7311),
    [anon_sym_BSLASHbegin] = ACTIONS(7311),
    [anon_sym_BSLASHtitle] = ACTIONS(7311),
    [anon_sym_BSLASHauthor] = ACTIONS(7311),
    [anon_sym_BSLASHusepackage] = ACTIONS(7311),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7311),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7311),
    [anon_sym_BSLASHinclude] = ACTIONS(7311),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7311),
    [anon_sym_BSLASHinput] = ACTIONS(7311),
    [anon_sym_BSLASHsubfile] = ACTIONS(7311),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7311),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7311),
    [anon_sym_BSLASHbibliography] = ACTIONS(7311),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7311),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7311),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7311),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7311),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7311),
    [anon_sym_BSLASHimport] = ACTIONS(7311),
    [anon_sym_BSLASHsubimport] = ACTIONS(7311),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7311),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7311),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7311),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7311),
    [anon_sym_BSLASHcaption] = ACTIONS(7311),
    [anon_sym_BSLASHcite] = ACTIONS(7311),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCite] = ACTIONS(7311),
    [anon_sym_BSLASHnocite] = ACTIONS(7311),
    [anon_sym_BSLASHcitet] = ACTIONS(7311),
    [anon_sym_BSLASHcitep] = ACTIONS(7311),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteA] = ACTIONS(7311),
    [anon_sym_BSLASHciteR] = ACTIONS(7311),
    [anon_sym_BSLASHciteS] = ACTIONS(7311),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7311),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7311),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7311),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7311),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteyear] = ACTIONS(7311),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitedate] = ACTIONS(7311),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteurl] = ACTIONS(7311),
    [anon_sym_BSLASHfullcite] = ACTIONS(7311),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7311),
    [anon_sym_BSLASHcitealt] = ACTIONS(7311),
    [anon_sym_BSLASHcitealp] = ACTIONS(7311),
    [anon_sym_BSLASHcitetext] = ACTIONS(7311),
    [anon_sym_BSLASHparencite] = ACTIONS(7311),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHParencite] = ACTIONS(7311),
    [anon_sym_BSLASHfootcite] = ACTIONS(7311),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7311),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7311),
    [anon_sym_BSLASHtextcite] = ACTIONS(7311),
    [anon_sym_BSLASHTextcite] = ACTIONS(7311),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7311),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7311),
    [anon_sym_BSLASHsupercite] = ACTIONS(7311),
    [anon_sym_BSLASHautocite] = ACTIONS(7311),
    [anon_sym_BSLASHAutocite] = ACTIONS(7311),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHVolcite] = ACTIONS(7311),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHavolcite] = ACTIONS(7311),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHNotecite] = ACTIONS(7311),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHlabel] = ACTIONS(7311),
    [anon_sym_BSLASHref] = ACTIONS(7311),
    [anon_sym_BSLASHeqref] = ACTIONS(7311),
    [anon_sym_BSLASHvref] = ACTIONS(7311),
    [anon_sym_BSLASHVref] = ACTIONS(7311),
    [anon_sym_BSLASHautoref] = ACTIONS(7311),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHpageref] = ACTIONS(7311),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHautopageref] = ACTIONS(7311),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcref] = ACTIONS(7311),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCref] = ACTIONS(7311),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcpageref] = ACTIONS(7311),
    [anon_sym_BSLASHCpageref] = ACTIONS(7311),
    [anon_sym_BSLASHnamecref] = ACTIONS(7311),
    [anon_sym_BSLASHnameCref] = ACTIONS(7311),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7311),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7311),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7311),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7311),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7311),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7311),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7311),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7311),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7311),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7311),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7311),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHdef] = ACTIONS(7311),
    [anon_sym_BSLASHgdef] = ACTIONS(7311),
    [anon_sym_BSLASHedef] = ACTIONS(7311),
    [anon_sym_BSLASHxdef] = ACTIONS(7311),
    [anon_sym_BSLASHlet] = ACTIONS(7311),
    [anon_sym_BSLASHglet] = ACTIONS(7311),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7311),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7311),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7311),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7311),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7311),
    [anon_sym_BSLASHgls] = ACTIONS(7311),
    [anon_sym_BSLASHGls] = ACTIONS(7311),
    [anon_sym_BSLASHGLS] = ACTIONS(7311),
    [anon_sym_BSLASHglspl] = ACTIONS(7311),
    [anon_sym_BSLASHGlspl] = ACTIONS(7311),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7311),
    [anon_sym_BSLASHglslink] = ACTIONS(7311),
    [anon_sym_BSLASHglstext] = ACTIONS(7311),
    [anon_sym_BSLASHGlstext] = ACTIONS(7311),
    [anon_sym_BSLASHGLStext] = ACTIONS(7311),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7311),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7311),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7311),
    [anon_sym_BSLASHglsplural] = ACTIONS(7311),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7311),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7311),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHglsname] = ACTIONS(7311),
    [anon_sym_BSLASHGlsname] = ACTIONS(7311),
    [anon_sym_BSLASHGLSname] = ACTIONS(7311),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7311),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7311),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7311),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7311),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7311),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7311),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7311),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7311),
    [anon_sym_BSLASHacrshort] = ACTIONS(7311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7311),
    [anon_sym_BSLASHACRshort] = ACTIONS(7311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHacrlong] = ACTIONS(7311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7311),
    [anon_sym_BSLASHACRlong] = ACTIONS(7311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHacrfull] = ACTIONS(7311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7311),
    [anon_sym_BSLASHACRfull] = ACTIONS(7311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHacs] = ACTIONS(7311),
    [anon_sym_BSLASHAcs] = ACTIONS(7311),
    [anon_sym_BSLASHacsp] = ACTIONS(7311),
    [anon_sym_BSLASHAcsp] = ACTIONS(7311),
    [anon_sym_BSLASHacl] = ACTIONS(7311),
    [anon_sym_BSLASHAcl] = ACTIONS(7311),
    [anon_sym_BSLASHaclp] = ACTIONS(7311),
    [anon_sym_BSLASHAclp] = ACTIONS(7311),
    [anon_sym_BSLASHacf] = ACTIONS(7311),
    [anon_sym_BSLASHAcf] = ACTIONS(7311),
    [anon_sym_BSLASHacfp] = ACTIONS(7311),
    [anon_sym_BSLASHAcfp] = ACTIONS(7311),
    [anon_sym_BSLASHac] = ACTIONS(7311),
    [anon_sym_BSLASHAc] = ACTIONS(7311),
    [anon_sym_BSLASHacp] = ACTIONS(7311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7311),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7311),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7311),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7311),
    [anon_sym_BSLASHcolor] = ACTIONS(7311),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7311),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7311),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7311),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7311),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7311),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7311),
    [anon_sym_BSLASHurl] = ACTIONS(7311),
    [anon_sym_BSLASHhref] = ACTIONS(7311),
  },
  [2089] = {
    [sym_brack_group_text] = STATE(2140),
    [sym_command_name] = ACTIONS(6917),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6917),
    [anon_sym_LBRACK] = ACTIONS(7852),
    [anon_sym_LPAREN] = ACTIONS(6921),
    [anon_sym_RPAREN] = ACTIONS(6921),
    [anon_sym_LBRACE] = ACTIONS(6921),
    [anon_sym_RBRACE] = ACTIONS(6921),
    [anon_sym_BSLASHand] = ACTIONS(6917),
    [sym_word] = ACTIONS(6917),
    [sym_placeholder] = ACTIONS(6921),
    [sym_delimiter] = ACTIONS(6921),
    [anon_sym_PLUS] = ACTIONS(6921),
    [anon_sym_DASH] = ACTIONS(6921),
    [anon_sym_STAR] = ACTIONS(6921),
    [anon_sym_SLASH] = ACTIONS(6921),
    [anon_sym_LT] = ACTIONS(6917),
    [anon_sym_GT] = ACTIONS(6917),
    [anon_sym_BANG] = ACTIONS(6917),
    [anon_sym_PIPE] = ACTIONS(6917),
    [anon_sym_COLON] = ACTIONS(6917),
    [anon_sym_SQUOTE] = ACTIONS(6917),
    [anon_sym__] = ACTIONS(6921),
    [anon_sym_CARET] = ACTIONS(6921),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6921),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6921),
    [anon_sym_DOLLAR] = ACTIONS(6917),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6921),
    [anon_sym_BSLASHleft] = ACTIONS(6917),
    [anon_sym_BSLASHbigl] = ACTIONS(6917),
    [anon_sym_BSLASHBigl] = ACTIONS(6917),
    [anon_sym_BSLASHbiggl] = ACTIONS(6917),
    [anon_sym_BSLASHBiggl] = ACTIONS(6917),
    [anon_sym_BSLASHtext] = ACTIONS(6917),
    [anon_sym_BSLASHintertext] = ACTIONS(6917),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6917),
    [anon_sym_BSLASHtitle] = ACTIONS(6917),
    [anon_sym_BSLASHauthor] = ACTIONS(6917),
    [anon_sym_BSLASHusepackage] = ACTIONS(6917),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6917),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6917),
    [anon_sym_BSLASHinclude] = ACTIONS(6917),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6917),
    [anon_sym_BSLASHinput] = ACTIONS(6917),
    [anon_sym_BSLASHsubfile] = ACTIONS(6917),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6917),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6917),
    [anon_sym_BSLASHbibliography] = ACTIONS(6917),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6917),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6917),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6917),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6917),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6917),
    [anon_sym_BSLASHimport] = ACTIONS(6917),
    [anon_sym_BSLASHsubimport] = ACTIONS(6917),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6917),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6917),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6917),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6917),
    [anon_sym_BSLASHcaption] = ACTIONS(6917),
    [anon_sym_BSLASHcite] = ACTIONS(6917),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCite] = ACTIONS(6917),
    [anon_sym_BSLASHnocite] = ACTIONS(6917),
    [anon_sym_BSLASHcitet] = ACTIONS(6917),
    [anon_sym_BSLASHcitep] = ACTIONS(6917),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteA] = ACTIONS(6917),
    [anon_sym_BSLASHciteR] = ACTIONS(6917),
    [anon_sym_BSLASHciteS] = ACTIONS(6917),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6917),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6917),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6917),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6917),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteyear] = ACTIONS(6917),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitedate] = ACTIONS(6917),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteurl] = ACTIONS(6917),
    [anon_sym_BSLASHfullcite] = ACTIONS(6917),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6917),
    [anon_sym_BSLASHcitealt] = ACTIONS(6917),
    [anon_sym_BSLASHcitealp] = ACTIONS(6917),
    [anon_sym_BSLASHcitetext] = ACTIONS(6917),
    [anon_sym_BSLASHparencite] = ACTIONS(6917),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHParencite] = ACTIONS(6917),
    [anon_sym_BSLASHfootcite] = ACTIONS(6917),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6917),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6917),
    [anon_sym_BSLASHtextcite] = ACTIONS(6917),
    [anon_sym_BSLASHTextcite] = ACTIONS(6917),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6917),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6917),
    [anon_sym_BSLASHsupercite] = ACTIONS(6917),
    [anon_sym_BSLASHautocite] = ACTIONS(6917),
    [anon_sym_BSLASHAutocite] = ACTIONS(6917),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHVolcite] = ACTIONS(6917),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHavolcite] = ACTIONS(6917),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHNotecite] = ACTIONS(6917),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHlabel] = ACTIONS(6917),
    [anon_sym_BSLASHref] = ACTIONS(6917),
    [anon_sym_BSLASHeqref] = ACTIONS(6917),
    [anon_sym_BSLASHvref] = ACTIONS(6917),
    [anon_sym_BSLASHVref] = ACTIONS(6917),
    [anon_sym_BSLASHautoref] = ACTIONS(6917),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHpageref] = ACTIONS(6917),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHautopageref] = ACTIONS(6917),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcref] = ACTIONS(6917),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCref] = ACTIONS(6917),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcpageref] = ACTIONS(6917),
    [anon_sym_BSLASHCpageref] = ACTIONS(6917),
    [anon_sym_BSLASHnamecref] = ACTIONS(6917),
    [anon_sym_BSLASHnameCref] = ACTIONS(6917),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6917),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6917),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6917),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6917),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6917),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6917),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6917),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6917),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6917),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6917),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6917),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHdef] = ACTIONS(6917),
    [anon_sym_BSLASHgdef] = ACTIONS(6917),
    [anon_sym_BSLASHedef] = ACTIONS(6917),
    [anon_sym_BSLASHxdef] = ACTIONS(6917),
    [anon_sym_BSLASHlet] = ACTIONS(6917),
    [anon_sym_BSLASHglet] = ACTIONS(6917),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6917),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6917),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6917),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6917),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6917),
    [anon_sym_BSLASHgls] = ACTIONS(6917),
    [anon_sym_BSLASHGls] = ACTIONS(6917),
    [anon_sym_BSLASHGLS] = ACTIONS(6917),
    [anon_sym_BSLASHglspl] = ACTIONS(6917),
    [anon_sym_BSLASHGlspl] = ACTIONS(6917),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6917),
    [anon_sym_BSLASHglslink] = ACTIONS(6917),
    [anon_sym_BSLASHglstext] = ACTIONS(6917),
    [anon_sym_BSLASHGlstext] = ACTIONS(6917),
    [anon_sym_BSLASHGLStext] = ACTIONS(6917),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6917),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6917),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6917),
    [anon_sym_BSLASHglsplural] = ACTIONS(6917),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6917),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6917),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHglsname] = ACTIONS(6917),
    [anon_sym_BSLASHGlsname] = ACTIONS(6917),
    [anon_sym_BSLASHGLSname] = ACTIONS(6917),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6917),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6917),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6917),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6917),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6917),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6917),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6917),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6917),
    [anon_sym_BSLASHacrshort] = ACTIONS(6917),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6917),
    [anon_sym_BSLASHACRshort] = ACTIONS(6917),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHacrlong] = ACTIONS(6917),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6917),
    [anon_sym_BSLASHACRlong] = ACTIONS(6917),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHacrfull] = ACTIONS(6917),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6917),
    [anon_sym_BSLASHACRfull] = ACTIONS(6917),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHacs] = ACTIONS(6917),
    [anon_sym_BSLASHAcs] = ACTIONS(6917),
    [anon_sym_BSLASHacsp] = ACTIONS(6917),
    [anon_sym_BSLASHAcsp] = ACTIONS(6917),
    [anon_sym_BSLASHacl] = ACTIONS(6917),
    [anon_sym_BSLASHAcl] = ACTIONS(6917),
    [anon_sym_BSLASHaclp] = ACTIONS(6917),
    [anon_sym_BSLASHAclp] = ACTIONS(6917),
    [anon_sym_BSLASHacf] = ACTIONS(6917),
    [anon_sym_BSLASHAcf] = ACTIONS(6917),
    [anon_sym_BSLASHacfp] = ACTIONS(6917),
    [anon_sym_BSLASHAcfp] = ACTIONS(6917),
    [anon_sym_BSLASHac] = ACTIONS(6917),
    [anon_sym_BSLASHAc] = ACTIONS(6917),
    [anon_sym_BSLASHacp] = ACTIONS(6917),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6917),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6917),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6917),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6917),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6917),
    [anon_sym_BSLASHcolor] = ACTIONS(6917),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6917),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6917),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6917),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6917),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6917),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6917),
    [anon_sym_BSLASHurl] = ACTIONS(6917),
    [anon_sym_BSLASHhref] = ACTIONS(6917),
  },
  [2090] = {
    [sym_curly_group] = STATE(2182),
    [aux_sym_generic_command_repeat1] = STATE(2090),
    [sym_command_name] = ACTIONS(6864),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6864),
    [anon_sym_LPAREN] = ACTIONS(6866),
    [anon_sym_RPAREN] = ACTIONS(6866),
    [anon_sym_LBRACE] = ACTIONS(7854),
    [anon_sym_RBRACE] = ACTIONS(6866),
    [anon_sym_BSLASHand] = ACTIONS(6864),
    [sym_word] = ACTIONS(6864),
    [sym_placeholder] = ACTIONS(6866),
    [sym_delimiter] = ACTIONS(6866),
    [anon_sym_PLUS] = ACTIONS(6866),
    [anon_sym_DASH] = ACTIONS(6866),
    [anon_sym_STAR] = ACTIONS(6866),
    [anon_sym_SLASH] = ACTIONS(6866),
    [anon_sym_LT] = ACTIONS(6864),
    [anon_sym_GT] = ACTIONS(6864),
    [anon_sym_BANG] = ACTIONS(6864),
    [anon_sym_PIPE] = ACTIONS(6864),
    [anon_sym_COLON] = ACTIONS(6864),
    [anon_sym_SQUOTE] = ACTIONS(6864),
    [anon_sym__] = ACTIONS(6866),
    [anon_sym_CARET] = ACTIONS(6866),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6866),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6866),
    [anon_sym_DOLLAR] = ACTIONS(6864),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6866),
    [anon_sym_BSLASHleft] = ACTIONS(6864),
    [anon_sym_BSLASHbigl] = ACTIONS(6864),
    [anon_sym_BSLASHBigl] = ACTIONS(6864),
    [anon_sym_BSLASHbiggl] = ACTIONS(6864),
    [anon_sym_BSLASHBiggl] = ACTIONS(6864),
    [anon_sym_BSLASHtext] = ACTIONS(6864),
    [anon_sym_BSLASHintertext] = ACTIONS(6864),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6864),
    [anon_sym_BSLASHtitle] = ACTIONS(6864),
    [anon_sym_BSLASHauthor] = ACTIONS(6864),
    [anon_sym_BSLASHusepackage] = ACTIONS(6864),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6864),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6864),
    [anon_sym_BSLASHinclude] = ACTIONS(6864),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6864),
    [anon_sym_BSLASHinput] = ACTIONS(6864),
    [anon_sym_BSLASHsubfile] = ACTIONS(6864),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6864),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6864),
    [anon_sym_BSLASHbibliography] = ACTIONS(6864),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6864),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6864),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6864),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6864),
    [anon_sym_BSLASHimport] = ACTIONS(6864),
    [anon_sym_BSLASHsubimport] = ACTIONS(6864),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6864),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6864),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6864),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6864),
    [anon_sym_BSLASHcaption] = ACTIONS(6864),
    [anon_sym_BSLASHcite] = ACTIONS(6864),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCite] = ACTIONS(6864),
    [anon_sym_BSLASHnocite] = ACTIONS(6864),
    [anon_sym_BSLASHcitet] = ACTIONS(6864),
    [anon_sym_BSLASHcitep] = ACTIONS(6864),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteA] = ACTIONS(6864),
    [anon_sym_BSLASHciteR] = ACTIONS(6864),
    [anon_sym_BSLASHciteS] = ACTIONS(6864),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6864),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6864),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6864),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6864),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteyear] = ACTIONS(6864),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitedate] = ACTIONS(6864),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteurl] = ACTIONS(6864),
    [anon_sym_BSLASHfullcite] = ACTIONS(6864),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6864),
    [anon_sym_BSLASHcitealt] = ACTIONS(6864),
    [anon_sym_BSLASHcitealp] = ACTIONS(6864),
    [anon_sym_BSLASHcitetext] = ACTIONS(6864),
    [anon_sym_BSLASHparencite] = ACTIONS(6864),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHParencite] = ACTIONS(6864),
    [anon_sym_BSLASHfootcite] = ACTIONS(6864),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6864),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6864),
    [anon_sym_BSLASHtextcite] = ACTIONS(6864),
    [anon_sym_BSLASHTextcite] = ACTIONS(6864),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6864),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6864),
    [anon_sym_BSLASHsupercite] = ACTIONS(6864),
    [anon_sym_BSLASHautocite] = ACTIONS(6864),
    [anon_sym_BSLASHAutocite] = ACTIONS(6864),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHVolcite] = ACTIONS(6864),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHavolcite] = ACTIONS(6864),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHNotecite] = ACTIONS(6864),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHlabel] = ACTIONS(6864),
    [anon_sym_BSLASHref] = ACTIONS(6864),
    [anon_sym_BSLASHeqref] = ACTIONS(6864),
    [anon_sym_BSLASHvref] = ACTIONS(6864),
    [anon_sym_BSLASHVref] = ACTIONS(6864),
    [anon_sym_BSLASHautoref] = ACTIONS(6864),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHpageref] = ACTIONS(6864),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHautopageref] = ACTIONS(6864),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcref] = ACTIONS(6864),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCref] = ACTIONS(6864),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcpageref] = ACTIONS(6864),
    [anon_sym_BSLASHCpageref] = ACTIONS(6864),
    [anon_sym_BSLASHnamecref] = ACTIONS(6864),
    [anon_sym_BSLASHnameCref] = ACTIONS(6864),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6864),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6864),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6864),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6864),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6864),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6864),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6864),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6864),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6864),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6864),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6864),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHdef] = ACTIONS(6864),
    [anon_sym_BSLASHgdef] = ACTIONS(6864),
    [anon_sym_BSLASHedef] = ACTIONS(6864),
    [anon_sym_BSLASHxdef] = ACTIONS(6864),
    [anon_sym_BSLASHlet] = ACTIONS(6864),
    [anon_sym_BSLASHglet] = ACTIONS(6864),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6864),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6864),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6864),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6864),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6864),
    [anon_sym_BSLASHgls] = ACTIONS(6864),
    [anon_sym_BSLASHGls] = ACTIONS(6864),
    [anon_sym_BSLASHGLS] = ACTIONS(6864),
    [anon_sym_BSLASHglspl] = ACTIONS(6864),
    [anon_sym_BSLASHGlspl] = ACTIONS(6864),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6864),
    [anon_sym_BSLASHglslink] = ACTIONS(6864),
    [anon_sym_BSLASHglstext] = ACTIONS(6864),
    [anon_sym_BSLASHGlstext] = ACTIONS(6864),
    [anon_sym_BSLASHGLStext] = ACTIONS(6864),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6864),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6864),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6864),
    [anon_sym_BSLASHglsplural] = ACTIONS(6864),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6864),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6864),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHglsname] = ACTIONS(6864),
    [anon_sym_BSLASHGlsname] = ACTIONS(6864),
    [anon_sym_BSLASHGLSname] = ACTIONS(6864),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6864),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6864),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6864),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6864),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6864),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6864),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6864),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6864),
    [anon_sym_BSLASHacrshort] = ACTIONS(6864),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6864),
    [anon_sym_BSLASHACRshort] = ACTIONS(6864),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHacrlong] = ACTIONS(6864),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6864),
    [anon_sym_BSLASHACRlong] = ACTIONS(6864),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHacrfull] = ACTIONS(6864),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6864),
    [anon_sym_BSLASHACRfull] = ACTIONS(6864),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHacs] = ACTIONS(6864),
    [anon_sym_BSLASHAcs] = ACTIONS(6864),
    [anon_sym_BSLASHacsp] = ACTIONS(6864),
    [anon_sym_BSLASHAcsp] = ACTIONS(6864),
    [anon_sym_BSLASHacl] = ACTIONS(6864),
    [anon_sym_BSLASHAcl] = ACTIONS(6864),
    [anon_sym_BSLASHaclp] = ACTIONS(6864),
    [anon_sym_BSLASHAclp] = ACTIONS(6864),
    [anon_sym_BSLASHacf] = ACTIONS(6864),
    [anon_sym_BSLASHAcf] = ACTIONS(6864),
    [anon_sym_BSLASHacfp] = ACTIONS(6864),
    [anon_sym_BSLASHAcfp] = ACTIONS(6864),
    [anon_sym_BSLASHac] = ACTIONS(6864),
    [anon_sym_BSLASHAc] = ACTIONS(6864),
    [anon_sym_BSLASHacp] = ACTIONS(6864),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6864),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6864),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6864),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6864),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6864),
    [anon_sym_BSLASHcolor] = ACTIONS(6864),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6864),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6864),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6864),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6864),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6864),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6864),
    [anon_sym_BSLASHurl] = ACTIONS(6864),
    [anon_sym_BSLASHhref] = ACTIONS(6864),
  },
  [2091] = {
    [sym_command_name] = ACTIONS(6871),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6871),
    [anon_sym_BSLASHfi] = ACTIONS(7857),
    [anon_sym_LPAREN] = ACTIONS(6875),
    [anon_sym_RPAREN] = ACTIONS(6875),
    [anon_sym_LBRACE] = ACTIONS(6875),
    [anon_sym_RBRACE] = ACTIONS(6875),
    [anon_sym_BSLASHand] = ACTIONS(6871),
    [sym_word] = ACTIONS(6871),
    [sym_placeholder] = ACTIONS(6875),
    [sym_delimiter] = ACTIONS(6875),
    [anon_sym_PLUS] = ACTIONS(6875),
    [anon_sym_DASH] = ACTIONS(6875),
    [anon_sym_STAR] = ACTIONS(6875),
    [anon_sym_SLASH] = ACTIONS(6875),
    [anon_sym_LT] = ACTIONS(6871),
    [anon_sym_GT] = ACTIONS(6871),
    [anon_sym_BANG] = ACTIONS(6871),
    [anon_sym_PIPE] = ACTIONS(6871),
    [anon_sym_COLON] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6871),
    [anon_sym__] = ACTIONS(6875),
    [anon_sym_CARET] = ACTIONS(6875),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6875),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6875),
    [anon_sym_DOLLAR] = ACTIONS(6871),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6875),
    [anon_sym_BSLASHleft] = ACTIONS(6871),
    [anon_sym_BSLASHbigl] = ACTIONS(6871),
    [anon_sym_BSLASHBigl] = ACTIONS(6871),
    [anon_sym_BSLASHbiggl] = ACTIONS(6871),
    [anon_sym_BSLASHBiggl] = ACTIONS(6871),
    [anon_sym_BSLASHtext] = ACTIONS(6871),
    [anon_sym_BSLASHintertext] = ACTIONS(6871),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6871),
    [anon_sym_BSLASHtitle] = ACTIONS(6871),
    [anon_sym_BSLASHauthor] = ACTIONS(6871),
    [anon_sym_BSLASHusepackage] = ACTIONS(6871),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6871),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6871),
    [anon_sym_BSLASHinclude] = ACTIONS(6871),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6871),
    [anon_sym_BSLASHinput] = ACTIONS(6871),
    [anon_sym_BSLASHsubfile] = ACTIONS(6871),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6871),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6871),
    [anon_sym_BSLASHbibliography] = ACTIONS(6871),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6871),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6871),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6871),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6871),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6871),
    [anon_sym_BSLASHimport] = ACTIONS(6871),
    [anon_sym_BSLASHsubimport] = ACTIONS(6871),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6871),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6871),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6871),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6871),
    [anon_sym_BSLASHcaption] = ACTIONS(6871),
    [anon_sym_BSLASHcite] = ACTIONS(6871),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCite] = ACTIONS(6871),
    [anon_sym_BSLASHnocite] = ACTIONS(6871),
    [anon_sym_BSLASHcitet] = ACTIONS(6871),
    [anon_sym_BSLASHcitep] = ACTIONS(6871),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteA] = ACTIONS(6871),
    [anon_sym_BSLASHciteR] = ACTIONS(6871),
    [anon_sym_BSLASHciteS] = ACTIONS(6871),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6871),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6871),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6871),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6871),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteyear] = ACTIONS(6871),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitedate] = ACTIONS(6871),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteurl] = ACTIONS(6871),
    [anon_sym_BSLASHfullcite] = ACTIONS(6871),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6871),
    [anon_sym_BSLASHcitealt] = ACTIONS(6871),
    [anon_sym_BSLASHcitealp] = ACTIONS(6871),
    [anon_sym_BSLASHcitetext] = ACTIONS(6871),
    [anon_sym_BSLASHparencite] = ACTIONS(6871),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHParencite] = ACTIONS(6871),
    [anon_sym_BSLASHfootcite] = ACTIONS(6871),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6871),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6871),
    [anon_sym_BSLASHtextcite] = ACTIONS(6871),
    [anon_sym_BSLASHTextcite] = ACTIONS(6871),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6871),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6871),
    [anon_sym_BSLASHsupercite] = ACTIONS(6871),
    [anon_sym_BSLASHautocite] = ACTIONS(6871),
    [anon_sym_BSLASHAutocite] = ACTIONS(6871),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHVolcite] = ACTIONS(6871),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHavolcite] = ACTIONS(6871),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHNotecite] = ACTIONS(6871),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHlabel] = ACTIONS(6871),
    [anon_sym_BSLASHref] = ACTIONS(6871),
    [anon_sym_BSLASHeqref] = ACTIONS(6871),
    [anon_sym_BSLASHvref] = ACTIONS(6871),
    [anon_sym_BSLASHVref] = ACTIONS(6871),
    [anon_sym_BSLASHautoref] = ACTIONS(6871),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHpageref] = ACTIONS(6871),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHautopageref] = ACTIONS(6871),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcref] = ACTIONS(6871),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCref] = ACTIONS(6871),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcpageref] = ACTIONS(6871),
    [anon_sym_BSLASHCpageref] = ACTIONS(6871),
    [anon_sym_BSLASHnamecref] = ACTIONS(6871),
    [anon_sym_BSLASHnameCref] = ACTIONS(6871),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6871),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6871),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6871),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6871),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6871),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6871),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6871),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6871),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6871),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6871),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6871),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHdef] = ACTIONS(6871),
    [anon_sym_BSLASHgdef] = ACTIONS(6871),
    [anon_sym_BSLASHedef] = ACTIONS(6871),
    [anon_sym_BSLASHxdef] = ACTIONS(6871),
    [anon_sym_BSLASHlet] = ACTIONS(6871),
    [anon_sym_BSLASHglet] = ACTIONS(6871),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6871),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6871),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6871),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6871),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6871),
    [anon_sym_BSLASHgls] = ACTIONS(6871),
    [anon_sym_BSLASHGls] = ACTIONS(6871),
    [anon_sym_BSLASHGLS] = ACTIONS(6871),
    [anon_sym_BSLASHglspl] = ACTIONS(6871),
    [anon_sym_BSLASHGlspl] = ACTIONS(6871),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6871),
    [anon_sym_BSLASHglslink] = ACTIONS(6871),
    [anon_sym_BSLASHglstext] = ACTIONS(6871),
    [anon_sym_BSLASHGlstext] = ACTIONS(6871),
    [anon_sym_BSLASHGLStext] = ACTIONS(6871),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6871),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6871),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6871),
    [anon_sym_BSLASHglsplural] = ACTIONS(6871),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6871),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6871),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHglsname] = ACTIONS(6871),
    [anon_sym_BSLASHGlsname] = ACTIONS(6871),
    [anon_sym_BSLASHGLSname] = ACTIONS(6871),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6871),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6871),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6871),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6871),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6871),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6871),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6871),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6871),
    [anon_sym_BSLASHacrshort] = ACTIONS(6871),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6871),
    [anon_sym_BSLASHACRshort] = ACTIONS(6871),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHacrlong] = ACTIONS(6871),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6871),
    [anon_sym_BSLASHACRlong] = ACTIONS(6871),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHacrfull] = ACTIONS(6871),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6871),
    [anon_sym_BSLASHACRfull] = ACTIONS(6871),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHacs] = ACTIONS(6871),
    [anon_sym_BSLASHAcs] = ACTIONS(6871),
    [anon_sym_BSLASHacsp] = ACTIONS(6871),
    [anon_sym_BSLASHAcsp] = ACTIONS(6871),
    [anon_sym_BSLASHacl] = ACTIONS(6871),
    [anon_sym_BSLASHAcl] = ACTIONS(6871),
    [anon_sym_BSLASHaclp] = ACTIONS(6871),
    [anon_sym_BSLASHAclp] = ACTIONS(6871),
    [anon_sym_BSLASHacf] = ACTIONS(6871),
    [anon_sym_BSLASHAcf] = ACTIONS(6871),
    [anon_sym_BSLASHacfp] = ACTIONS(6871),
    [anon_sym_BSLASHAcfp] = ACTIONS(6871),
    [anon_sym_BSLASHac] = ACTIONS(6871),
    [anon_sym_BSLASHAc] = ACTIONS(6871),
    [anon_sym_BSLASHacp] = ACTIONS(6871),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6871),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6871),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6871),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6871),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6871),
    [anon_sym_BSLASHcolor] = ACTIONS(6871),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6871),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6871),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6871),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6871),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6871),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6871),
    [anon_sym_BSLASHurl] = ACTIONS(6871),
    [anon_sym_BSLASHhref] = ACTIONS(6871),
    [sym__trivia_raw_fi] = ACTIONS(7859),
  },
  [2092] = {
    [sym_brack_group_text] = STATE(2159),
    [sym_command_name] = ACTIONS(6931),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6931),
    [anon_sym_LBRACK] = ACTIONS(7852),
    [anon_sym_LPAREN] = ACTIONS(6933),
    [anon_sym_RPAREN] = ACTIONS(6933),
    [anon_sym_LBRACE] = ACTIONS(6933),
    [anon_sym_RBRACE] = ACTIONS(6933),
    [anon_sym_BSLASHand] = ACTIONS(6931),
    [sym_word] = ACTIONS(6931),
    [sym_placeholder] = ACTIONS(6933),
    [sym_delimiter] = ACTIONS(6933),
    [anon_sym_PLUS] = ACTIONS(6933),
    [anon_sym_DASH] = ACTIONS(6933),
    [anon_sym_STAR] = ACTIONS(6933),
    [anon_sym_SLASH] = ACTIONS(6933),
    [anon_sym_LT] = ACTIONS(6931),
    [anon_sym_GT] = ACTIONS(6931),
    [anon_sym_BANG] = ACTIONS(6931),
    [anon_sym_PIPE] = ACTIONS(6931),
    [anon_sym_COLON] = ACTIONS(6931),
    [anon_sym_SQUOTE] = ACTIONS(6931),
    [anon_sym__] = ACTIONS(6933),
    [anon_sym_CARET] = ACTIONS(6933),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6933),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6933),
    [anon_sym_DOLLAR] = ACTIONS(6931),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6933),
    [anon_sym_BSLASHleft] = ACTIONS(6931),
    [anon_sym_BSLASHbigl] = ACTIONS(6931),
    [anon_sym_BSLASHBigl] = ACTIONS(6931),
    [anon_sym_BSLASHbiggl] = ACTIONS(6931),
    [anon_sym_BSLASHBiggl] = ACTIONS(6931),
    [anon_sym_BSLASHtext] = ACTIONS(6931),
    [anon_sym_BSLASHintertext] = ACTIONS(6931),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6931),
    [anon_sym_BSLASHtitle] = ACTIONS(6931),
    [anon_sym_BSLASHauthor] = ACTIONS(6931),
    [anon_sym_BSLASHusepackage] = ACTIONS(6931),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6931),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6931),
    [anon_sym_BSLASHinclude] = ACTIONS(6931),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6931),
    [anon_sym_BSLASHinput] = ACTIONS(6931),
    [anon_sym_BSLASHsubfile] = ACTIONS(6931),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6931),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6931),
    [anon_sym_BSLASHbibliography] = ACTIONS(6931),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6931),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6931),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6931),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6931),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6931),
    [anon_sym_BSLASHimport] = ACTIONS(6931),
    [anon_sym_BSLASHsubimport] = ACTIONS(6931),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6931),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6931),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6931),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6931),
    [anon_sym_BSLASHcaption] = ACTIONS(6931),
    [anon_sym_BSLASHcite] = ACTIONS(6931),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCite] = ACTIONS(6931),
    [anon_sym_BSLASHnocite] = ACTIONS(6931),
    [anon_sym_BSLASHcitet] = ACTIONS(6931),
    [anon_sym_BSLASHcitep] = ACTIONS(6931),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteA] = ACTIONS(6931),
    [anon_sym_BSLASHciteR] = ACTIONS(6931),
    [anon_sym_BSLASHciteS] = ACTIONS(6931),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6931),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6931),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6931),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6931),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteyear] = ACTIONS(6931),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitedate] = ACTIONS(6931),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteurl] = ACTIONS(6931),
    [anon_sym_BSLASHfullcite] = ACTIONS(6931),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6931),
    [anon_sym_BSLASHcitealt] = ACTIONS(6931),
    [anon_sym_BSLASHcitealp] = ACTIONS(6931),
    [anon_sym_BSLASHcitetext] = ACTIONS(6931),
    [anon_sym_BSLASHparencite] = ACTIONS(6931),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHParencite] = ACTIONS(6931),
    [anon_sym_BSLASHfootcite] = ACTIONS(6931),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6931),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6931),
    [anon_sym_BSLASHtextcite] = ACTIONS(6931),
    [anon_sym_BSLASHTextcite] = ACTIONS(6931),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6931),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6931),
    [anon_sym_BSLASHsupercite] = ACTIONS(6931),
    [anon_sym_BSLASHautocite] = ACTIONS(6931),
    [anon_sym_BSLASHAutocite] = ACTIONS(6931),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHVolcite] = ACTIONS(6931),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHavolcite] = ACTIONS(6931),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHNotecite] = ACTIONS(6931),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHlabel] = ACTIONS(6931),
    [anon_sym_BSLASHref] = ACTIONS(6931),
    [anon_sym_BSLASHeqref] = ACTIONS(6931),
    [anon_sym_BSLASHvref] = ACTIONS(6931),
    [anon_sym_BSLASHVref] = ACTIONS(6931),
    [anon_sym_BSLASHautoref] = ACTIONS(6931),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHpageref] = ACTIONS(6931),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHautopageref] = ACTIONS(6931),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcref] = ACTIONS(6931),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCref] = ACTIONS(6931),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcpageref] = ACTIONS(6931),
    [anon_sym_BSLASHCpageref] = ACTIONS(6931),
    [anon_sym_BSLASHnamecref] = ACTIONS(6931),
    [anon_sym_BSLASHnameCref] = ACTIONS(6931),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6931),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6931),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6931),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6931),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6931),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6931),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6931),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6931),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6931),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6931),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6931),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHdef] = ACTIONS(6931),
    [anon_sym_BSLASHgdef] = ACTIONS(6931),
    [anon_sym_BSLASHedef] = ACTIONS(6931),
    [anon_sym_BSLASHxdef] = ACTIONS(6931),
    [anon_sym_BSLASHlet] = ACTIONS(6931),
    [anon_sym_BSLASHglet] = ACTIONS(6931),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6931),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6931),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6931),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6931),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6931),
    [anon_sym_BSLASHgls] = ACTIONS(6931),
    [anon_sym_BSLASHGls] = ACTIONS(6931),
    [anon_sym_BSLASHGLS] = ACTIONS(6931),
    [anon_sym_BSLASHglspl] = ACTIONS(6931),
    [anon_sym_BSLASHGlspl] = ACTIONS(6931),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6931),
    [anon_sym_BSLASHglslink] = ACTIONS(6931),
    [anon_sym_BSLASHglstext] = ACTIONS(6931),
    [anon_sym_BSLASHGlstext] = ACTIONS(6931),
    [anon_sym_BSLASHGLStext] = ACTIONS(6931),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6931),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6931),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6931),
    [anon_sym_BSLASHglsplural] = ACTIONS(6931),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6931),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6931),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHglsname] = ACTIONS(6931),
    [anon_sym_BSLASHGlsname] = ACTIONS(6931),
    [anon_sym_BSLASHGLSname] = ACTIONS(6931),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6931),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6931),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6931),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6931),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6931),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6931),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6931),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6931),
    [anon_sym_BSLASHacrshort] = ACTIONS(6931),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6931),
    [anon_sym_BSLASHACRshort] = ACTIONS(6931),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHacrlong] = ACTIONS(6931),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6931),
    [anon_sym_BSLASHACRlong] = ACTIONS(6931),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHacrfull] = ACTIONS(6931),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6931),
    [anon_sym_BSLASHACRfull] = ACTIONS(6931),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHacs] = ACTIONS(6931),
    [anon_sym_BSLASHAcs] = ACTIONS(6931),
    [anon_sym_BSLASHacsp] = ACTIONS(6931),
    [anon_sym_BSLASHAcsp] = ACTIONS(6931),
    [anon_sym_BSLASHacl] = ACTIONS(6931),
    [anon_sym_BSLASHAcl] = ACTIONS(6931),
    [anon_sym_BSLASHaclp] = ACTIONS(6931),
    [anon_sym_BSLASHAclp] = ACTIONS(6931),
    [anon_sym_BSLASHacf] = ACTIONS(6931),
    [anon_sym_BSLASHAcf] = ACTIONS(6931),
    [anon_sym_BSLASHacfp] = ACTIONS(6931),
    [anon_sym_BSLASHAcfp] = ACTIONS(6931),
    [anon_sym_BSLASHac] = ACTIONS(6931),
    [anon_sym_BSLASHAc] = ACTIONS(6931),
    [anon_sym_BSLASHacp] = ACTIONS(6931),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6931),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6931),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6931),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6931),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6931),
    [anon_sym_BSLASHcolor] = ACTIONS(6931),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6931),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6931),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6931),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6931),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6931),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6931),
    [anon_sym_BSLASHurl] = ACTIONS(6931),
    [anon_sym_BSLASHhref] = ACTIONS(6931),
  },
  [2093] = {
    [sym_command_name] = ACTIONS(7803),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7803),
    [anon_sym_LBRACK] = ACTIONS(7805),
    [anon_sym_RBRACK] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7805),
    [anon_sym_LPAREN] = ACTIONS(7805),
    [anon_sym_RPAREN] = ACTIONS(7805),
    [anon_sym_LBRACE] = ACTIONS(7805),
    [anon_sym_RBRACE] = ACTIONS(7805),
    [sym_word] = ACTIONS(7803),
    [sym_placeholder] = ACTIONS(7805),
    [sym_delimiter] = ACTIONS(7805),
    [anon_sym_PLUS] = ACTIONS(7805),
    [anon_sym_DASH] = ACTIONS(7805),
    [anon_sym_STAR] = ACTIONS(7805),
    [anon_sym_SLASH] = ACTIONS(7805),
    [anon_sym_LT] = ACTIONS(7803),
    [anon_sym_GT] = ACTIONS(7803),
    [anon_sym_BANG] = ACTIONS(7803),
    [anon_sym_PIPE] = ACTIONS(7803),
    [anon_sym_COLON] = ACTIONS(7803),
    [anon_sym_SQUOTE] = ACTIONS(7803),
    [anon_sym__] = ACTIONS(7805),
    [anon_sym_CARET] = ACTIONS(7805),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7805),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7805),
    [anon_sym_DOLLAR] = ACTIONS(7803),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7805),
    [anon_sym_BSLASHleft] = ACTIONS(7803),
    [anon_sym_BSLASHbigl] = ACTIONS(7803),
    [anon_sym_BSLASHBigl] = ACTIONS(7803),
    [anon_sym_BSLASHbiggl] = ACTIONS(7803),
    [anon_sym_BSLASHBiggl] = ACTIONS(7803),
    [anon_sym_BSLASHtext] = ACTIONS(7803),
    [anon_sym_BSLASHintertext] = ACTIONS(7803),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7803),
    [anon_sym_BSLASHtitle] = ACTIONS(7803),
    [anon_sym_BSLASHauthor] = ACTIONS(7803),
    [anon_sym_BSLASHusepackage] = ACTIONS(7803),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7803),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7803),
    [anon_sym_BSLASHinclude] = ACTIONS(7803),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7803),
    [anon_sym_BSLASHinput] = ACTIONS(7803),
    [anon_sym_BSLASHsubfile] = ACTIONS(7803),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7803),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7803),
    [anon_sym_BSLASHbibliography] = ACTIONS(7803),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7803),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7803),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7803),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7803),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7803),
    [anon_sym_BSLASHimport] = ACTIONS(7803),
    [anon_sym_BSLASHsubimport] = ACTIONS(7803),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7803),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7803),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7803),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7803),
    [anon_sym_BSLASHcaption] = ACTIONS(7803),
    [anon_sym_BSLASHcite] = ACTIONS(7803),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHCite] = ACTIONS(7803),
    [anon_sym_BSLASHnocite] = ACTIONS(7803),
    [anon_sym_BSLASHcitet] = ACTIONS(7803),
    [anon_sym_BSLASHcitep] = ACTIONS(7803),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHciteA] = ACTIONS(7803),
    [anon_sym_BSLASHciteR] = ACTIONS(7803),
    [anon_sym_BSLASHciteS] = ACTIONS(7803),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7803),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7803),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7803),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7803),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHciteyear] = ACTIONS(7803),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHcitedate] = ACTIONS(7803),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHciteurl] = ACTIONS(7803),
    [anon_sym_BSLASHfullcite] = ACTIONS(7803),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7803),
    [anon_sym_BSLASHcitealt] = ACTIONS(7803),
    [anon_sym_BSLASHcitealp] = ACTIONS(7803),
    [anon_sym_BSLASHcitetext] = ACTIONS(7803),
    [anon_sym_BSLASHparencite] = ACTIONS(7803),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHParencite] = ACTIONS(7803),
    [anon_sym_BSLASHfootcite] = ACTIONS(7803),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7803),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7803),
    [anon_sym_BSLASHtextcite] = ACTIONS(7803),
    [anon_sym_BSLASHTextcite] = ACTIONS(7803),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7803),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7803),
    [anon_sym_BSLASHsupercite] = ACTIONS(7803),
    [anon_sym_BSLASHautocite] = ACTIONS(7803),
    [anon_sym_BSLASHAutocite] = ACTIONS(7803),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHVolcite] = ACTIONS(7803),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHavolcite] = ACTIONS(7803),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7803),
    [anon_sym_BSLASHnotecite] = ACTIONS(7803),
    [anon_sym_BSLASHNotecite] = ACTIONS(7803),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7803),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7803),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7803),
    [anon_sym_BSLASHlabel] = ACTIONS(7803),
    [anon_sym_BSLASHref] = ACTIONS(7803),
    [anon_sym_BSLASHeqref] = ACTIONS(7803),
    [anon_sym_BSLASHvref] = ACTIONS(7803),
    [anon_sym_BSLASHVref] = ACTIONS(7803),
    [anon_sym_BSLASHautoref] = ACTIONS(7803),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHpageref] = ACTIONS(7803),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHautopageref] = ACTIONS(7803),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHcref] = ACTIONS(7803),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHCref] = ACTIONS(7803),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHcpageref] = ACTIONS(7803),
    [anon_sym_BSLASHCpageref] = ACTIONS(7803),
    [anon_sym_BSLASHnamecref] = ACTIONS(7803),
    [anon_sym_BSLASHnameCref] = ACTIONS(7803),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7803),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7803),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7803),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7803),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7803),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7803),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7803),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7803),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7803),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7803),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7803),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7803),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7803),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7803),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7803),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7803),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7803),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7803),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7803),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7803),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7803),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7803),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7803),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7803),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7803),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7803),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7803),
    [anon_sym_BSLASHdef] = ACTIONS(7803),
    [anon_sym_BSLASHgdef] = ACTIONS(7803),
    [anon_sym_BSLASHedef] = ACTIONS(7803),
    [anon_sym_BSLASHxdef] = ACTIONS(7803),
    [anon_sym_BSLASHlet] = ACTIONS(7803),
    [anon_sym_BSLASHglet] = ACTIONS(7803),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7803),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7803),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7803),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7803),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7803),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7803),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7803),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7803),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7803),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7803),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7803),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7803),
    [anon_sym_BSLASHgls] = ACTIONS(7803),
    [anon_sym_BSLASHGls] = ACTIONS(7803),
    [anon_sym_BSLASHGLS] = ACTIONS(7803),
    [anon_sym_BSLASHglspl] = ACTIONS(7803),
    [anon_sym_BSLASHGlspl] = ACTIONS(7803),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7803),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7803),
    [anon_sym_BSLASHglslink] = ACTIONS(7803),
    [anon_sym_BSLASHglstext] = ACTIONS(7803),
    [anon_sym_BSLASHGlstext] = ACTIONS(7803),
    [anon_sym_BSLASHGLStext] = ACTIONS(7803),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7803),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7803),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7803),
    [anon_sym_BSLASHglsplural] = ACTIONS(7803),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7803),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7803),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7803),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7803),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7803),
    [anon_sym_BSLASHglsname] = ACTIONS(7803),
    [anon_sym_BSLASHGlsname] = ACTIONS(7803),
    [anon_sym_BSLASHGLSname] = ACTIONS(7803),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7803),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7803),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7803),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7803),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7803),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7803),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7803),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7803),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7803),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7803),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7803),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7803),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7803),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7803),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7803),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7803),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7803),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7803),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7803),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7803),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7803),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7803),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7803),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7803),
    [anon_sym_BSLASHacrshort] = ACTIONS(7803),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7803),
    [anon_sym_BSLASHACRshort] = ACTIONS(7803),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7803),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7803),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7803),
    [anon_sym_BSLASHacrlong] = ACTIONS(7803),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7803),
    [anon_sym_BSLASHACRlong] = ACTIONS(7803),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7803),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7803),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7803),
    [anon_sym_BSLASHacrfull] = ACTIONS(7803),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7803),
    [anon_sym_BSLASHACRfull] = ACTIONS(7803),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7803),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7803),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7803),
    [anon_sym_BSLASHacs] = ACTIONS(7803),
    [anon_sym_BSLASHAcs] = ACTIONS(7803),
    [anon_sym_BSLASHacsp] = ACTIONS(7803),
    [anon_sym_BSLASHAcsp] = ACTIONS(7803),
    [anon_sym_BSLASHacl] = ACTIONS(7803),
    [anon_sym_BSLASHAcl] = ACTIONS(7803),
    [anon_sym_BSLASHaclp] = ACTIONS(7803),
    [anon_sym_BSLASHAclp] = ACTIONS(7803),
    [anon_sym_BSLASHacf] = ACTIONS(7803),
    [anon_sym_BSLASHAcf] = ACTIONS(7803),
    [anon_sym_BSLASHacfp] = ACTIONS(7803),
    [anon_sym_BSLASHAcfp] = ACTIONS(7803),
    [anon_sym_BSLASHac] = ACTIONS(7803),
    [anon_sym_BSLASHAc] = ACTIONS(7803),
    [anon_sym_BSLASHacp] = ACTIONS(7803),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7803),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7803),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7803),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7803),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7803),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7803),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7803),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7803),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7803),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7803),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7803),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7803),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7805),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7803),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7803),
    [anon_sym_BSLASHcolor] = ACTIONS(7803),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7803),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7803),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7803),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7803),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7803),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7803),
    [anon_sym_BSLASHurl] = ACTIONS(7803),
    [anon_sym_BSLASHhref] = ACTIONS(7803),
  },
  [2094] = {
    [sym_curly_group] = STATE(2182),
    [aux_sym_generic_command_repeat1] = STATE(2096),
    [sym_command_name] = ACTIONS(6889),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6889),
    [anon_sym_LPAREN] = ACTIONS(6891),
    [anon_sym_RPAREN] = ACTIONS(6891),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(6891),
    [anon_sym_BSLASHand] = ACTIONS(6889),
    [sym_word] = ACTIONS(6889),
    [sym_placeholder] = ACTIONS(6891),
    [sym_delimiter] = ACTIONS(6891),
    [anon_sym_PLUS] = ACTIONS(6891),
    [anon_sym_DASH] = ACTIONS(6891),
    [anon_sym_STAR] = ACTIONS(6891),
    [anon_sym_SLASH] = ACTIONS(6891),
    [anon_sym_LT] = ACTIONS(6889),
    [anon_sym_GT] = ACTIONS(6889),
    [anon_sym_BANG] = ACTIONS(6889),
    [anon_sym_PIPE] = ACTIONS(6889),
    [anon_sym_COLON] = ACTIONS(6889),
    [anon_sym_SQUOTE] = ACTIONS(6889),
    [anon_sym__] = ACTIONS(6891),
    [anon_sym_CARET] = ACTIONS(6891),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6891),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6891),
    [anon_sym_DOLLAR] = ACTIONS(6889),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6891),
    [anon_sym_BSLASHleft] = ACTIONS(6889),
    [anon_sym_BSLASHbigl] = ACTIONS(6889),
    [anon_sym_BSLASHBigl] = ACTIONS(6889),
    [anon_sym_BSLASHbiggl] = ACTIONS(6889),
    [anon_sym_BSLASHBiggl] = ACTIONS(6889),
    [anon_sym_BSLASHtext] = ACTIONS(6889),
    [anon_sym_BSLASHintertext] = ACTIONS(6889),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6889),
    [anon_sym_BSLASHtitle] = ACTIONS(6889),
    [anon_sym_BSLASHauthor] = ACTIONS(6889),
    [anon_sym_BSLASHusepackage] = ACTIONS(6889),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6889),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6889),
    [anon_sym_BSLASHinclude] = ACTIONS(6889),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6889),
    [anon_sym_BSLASHinput] = ACTIONS(6889),
    [anon_sym_BSLASHsubfile] = ACTIONS(6889),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6889),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6889),
    [anon_sym_BSLASHbibliography] = ACTIONS(6889),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6889),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6889),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6889),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6889),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6889),
    [anon_sym_BSLASHimport] = ACTIONS(6889),
    [anon_sym_BSLASHsubimport] = ACTIONS(6889),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6889),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6889),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6889),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6889),
    [anon_sym_BSLASHcaption] = ACTIONS(6889),
    [anon_sym_BSLASHcite] = ACTIONS(6889),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCite] = ACTIONS(6889),
    [anon_sym_BSLASHnocite] = ACTIONS(6889),
    [anon_sym_BSLASHcitet] = ACTIONS(6889),
    [anon_sym_BSLASHcitep] = ACTIONS(6889),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteA] = ACTIONS(6889),
    [anon_sym_BSLASHciteR] = ACTIONS(6889),
    [anon_sym_BSLASHciteS] = ACTIONS(6889),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6889),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6889),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6889),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6889),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteyear] = ACTIONS(6889),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitedate] = ACTIONS(6889),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteurl] = ACTIONS(6889),
    [anon_sym_BSLASHfullcite] = ACTIONS(6889),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6889),
    [anon_sym_BSLASHcitealt] = ACTIONS(6889),
    [anon_sym_BSLASHcitealp] = ACTIONS(6889),
    [anon_sym_BSLASHcitetext] = ACTIONS(6889),
    [anon_sym_BSLASHparencite] = ACTIONS(6889),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHParencite] = ACTIONS(6889),
    [anon_sym_BSLASHfootcite] = ACTIONS(6889),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6889),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6889),
    [anon_sym_BSLASHtextcite] = ACTIONS(6889),
    [anon_sym_BSLASHTextcite] = ACTIONS(6889),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6889),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6889),
    [anon_sym_BSLASHsupercite] = ACTIONS(6889),
    [anon_sym_BSLASHautocite] = ACTIONS(6889),
    [anon_sym_BSLASHAutocite] = ACTIONS(6889),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHVolcite] = ACTIONS(6889),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHavolcite] = ACTIONS(6889),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHNotecite] = ACTIONS(6889),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHlabel] = ACTIONS(6889),
    [anon_sym_BSLASHref] = ACTIONS(6889),
    [anon_sym_BSLASHeqref] = ACTIONS(6889),
    [anon_sym_BSLASHvref] = ACTIONS(6889),
    [anon_sym_BSLASHVref] = ACTIONS(6889),
    [anon_sym_BSLASHautoref] = ACTIONS(6889),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHpageref] = ACTIONS(6889),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHautopageref] = ACTIONS(6889),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcref] = ACTIONS(6889),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCref] = ACTIONS(6889),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcpageref] = ACTIONS(6889),
    [anon_sym_BSLASHCpageref] = ACTIONS(6889),
    [anon_sym_BSLASHnamecref] = ACTIONS(6889),
    [anon_sym_BSLASHnameCref] = ACTIONS(6889),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6889),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6889),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6889),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6889),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6889),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6889),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6889),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6889),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6889),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6889),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6889),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHdef] = ACTIONS(6889),
    [anon_sym_BSLASHgdef] = ACTIONS(6889),
    [anon_sym_BSLASHedef] = ACTIONS(6889),
    [anon_sym_BSLASHxdef] = ACTIONS(6889),
    [anon_sym_BSLASHlet] = ACTIONS(6889),
    [anon_sym_BSLASHglet] = ACTIONS(6889),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6889),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6889),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6889),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6889),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6889),
    [anon_sym_BSLASHgls] = ACTIONS(6889),
    [anon_sym_BSLASHGls] = ACTIONS(6889),
    [anon_sym_BSLASHGLS] = ACTIONS(6889),
    [anon_sym_BSLASHglspl] = ACTIONS(6889),
    [anon_sym_BSLASHGlspl] = ACTIONS(6889),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6889),
    [anon_sym_BSLASHglslink] = ACTIONS(6889),
    [anon_sym_BSLASHglstext] = ACTIONS(6889),
    [anon_sym_BSLASHGlstext] = ACTIONS(6889),
    [anon_sym_BSLASHGLStext] = ACTIONS(6889),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6889),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6889),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6889),
    [anon_sym_BSLASHglsplural] = ACTIONS(6889),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6889),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6889),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHglsname] = ACTIONS(6889),
    [anon_sym_BSLASHGlsname] = ACTIONS(6889),
    [anon_sym_BSLASHGLSname] = ACTIONS(6889),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6889),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6889),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6889),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6889),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6889),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6889),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6889),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6889),
    [anon_sym_BSLASHacrshort] = ACTIONS(6889),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6889),
    [anon_sym_BSLASHACRshort] = ACTIONS(6889),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHacrlong] = ACTIONS(6889),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6889),
    [anon_sym_BSLASHACRlong] = ACTIONS(6889),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHacrfull] = ACTIONS(6889),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6889),
    [anon_sym_BSLASHACRfull] = ACTIONS(6889),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHacs] = ACTIONS(6889),
    [anon_sym_BSLASHAcs] = ACTIONS(6889),
    [anon_sym_BSLASHacsp] = ACTIONS(6889),
    [anon_sym_BSLASHAcsp] = ACTIONS(6889),
    [anon_sym_BSLASHacl] = ACTIONS(6889),
    [anon_sym_BSLASHAcl] = ACTIONS(6889),
    [anon_sym_BSLASHaclp] = ACTIONS(6889),
    [anon_sym_BSLASHAclp] = ACTIONS(6889),
    [anon_sym_BSLASHacf] = ACTIONS(6889),
    [anon_sym_BSLASHAcf] = ACTIONS(6889),
    [anon_sym_BSLASHacfp] = ACTIONS(6889),
    [anon_sym_BSLASHAcfp] = ACTIONS(6889),
    [anon_sym_BSLASHac] = ACTIONS(6889),
    [anon_sym_BSLASHAc] = ACTIONS(6889),
    [anon_sym_BSLASHacp] = ACTIONS(6889),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6889),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6889),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6889),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6889),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6889),
    [anon_sym_BSLASHcolor] = ACTIONS(6889),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6889),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6889),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6889),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6889),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6889),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6889),
    [anon_sym_BSLASHurl] = ACTIONS(6889),
    [anon_sym_BSLASHhref] = ACTIONS(6889),
  },
  [2095] = {
    [sym_command_name] = ACTIONS(7811),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7811),
    [anon_sym_LBRACK] = ACTIONS(7813),
    [anon_sym_RBRACK] = ACTIONS(7813),
    [anon_sym_COMMA] = ACTIONS(7813),
    [anon_sym_LPAREN] = ACTIONS(7813),
    [anon_sym_RPAREN] = ACTIONS(7813),
    [anon_sym_LBRACE] = ACTIONS(7813),
    [anon_sym_RBRACE] = ACTIONS(7813),
    [sym_word] = ACTIONS(7811),
    [sym_placeholder] = ACTIONS(7813),
    [sym_delimiter] = ACTIONS(7813),
    [anon_sym_PLUS] = ACTIONS(7813),
    [anon_sym_DASH] = ACTIONS(7813),
    [anon_sym_STAR] = ACTIONS(7813),
    [anon_sym_SLASH] = ACTIONS(7813),
    [anon_sym_LT] = ACTIONS(7811),
    [anon_sym_GT] = ACTIONS(7811),
    [anon_sym_BANG] = ACTIONS(7811),
    [anon_sym_PIPE] = ACTIONS(7811),
    [anon_sym_COLON] = ACTIONS(7811),
    [anon_sym_SQUOTE] = ACTIONS(7811),
    [anon_sym__] = ACTIONS(7813),
    [anon_sym_CARET] = ACTIONS(7813),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7813),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7813),
    [anon_sym_DOLLAR] = ACTIONS(7811),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7813),
    [anon_sym_BSLASHleft] = ACTIONS(7811),
    [anon_sym_BSLASHbigl] = ACTIONS(7811),
    [anon_sym_BSLASHBigl] = ACTIONS(7811),
    [anon_sym_BSLASHbiggl] = ACTIONS(7811),
    [anon_sym_BSLASHBiggl] = ACTIONS(7811),
    [anon_sym_BSLASHtext] = ACTIONS(7811),
    [anon_sym_BSLASHintertext] = ACTIONS(7811),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7811),
    [anon_sym_BSLASHtitle] = ACTIONS(7811),
    [anon_sym_BSLASHauthor] = ACTIONS(7811),
    [anon_sym_BSLASHusepackage] = ACTIONS(7811),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7811),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7811),
    [anon_sym_BSLASHinclude] = ACTIONS(7811),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7811),
    [anon_sym_BSLASHinput] = ACTIONS(7811),
    [anon_sym_BSLASHsubfile] = ACTIONS(7811),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7811),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7811),
    [anon_sym_BSLASHbibliography] = ACTIONS(7811),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7811),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7811),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7811),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7811),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7811),
    [anon_sym_BSLASHimport] = ACTIONS(7811),
    [anon_sym_BSLASHsubimport] = ACTIONS(7811),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7811),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7811),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7811),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7811),
    [anon_sym_BSLASHcaption] = ACTIONS(7811),
    [anon_sym_BSLASHcite] = ACTIONS(7811),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHCite] = ACTIONS(7811),
    [anon_sym_BSLASHnocite] = ACTIONS(7811),
    [anon_sym_BSLASHcitet] = ACTIONS(7811),
    [anon_sym_BSLASHcitep] = ACTIONS(7811),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHciteA] = ACTIONS(7811),
    [anon_sym_BSLASHciteR] = ACTIONS(7811),
    [anon_sym_BSLASHciteS] = ACTIONS(7811),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7811),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7811),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7811),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7811),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHciteyear] = ACTIONS(7811),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHcitedate] = ACTIONS(7811),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHciteurl] = ACTIONS(7811),
    [anon_sym_BSLASHfullcite] = ACTIONS(7811),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7811),
    [anon_sym_BSLASHcitealt] = ACTIONS(7811),
    [anon_sym_BSLASHcitealp] = ACTIONS(7811),
    [anon_sym_BSLASHcitetext] = ACTIONS(7811),
    [anon_sym_BSLASHparencite] = ACTIONS(7811),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHParencite] = ACTIONS(7811),
    [anon_sym_BSLASHfootcite] = ACTIONS(7811),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7811),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7811),
    [anon_sym_BSLASHtextcite] = ACTIONS(7811),
    [anon_sym_BSLASHTextcite] = ACTIONS(7811),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7811),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7811),
    [anon_sym_BSLASHsupercite] = ACTIONS(7811),
    [anon_sym_BSLASHautocite] = ACTIONS(7811),
    [anon_sym_BSLASHAutocite] = ACTIONS(7811),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHVolcite] = ACTIONS(7811),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHavolcite] = ACTIONS(7811),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7811),
    [anon_sym_BSLASHnotecite] = ACTIONS(7811),
    [anon_sym_BSLASHNotecite] = ACTIONS(7811),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7811),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7811),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7811),
    [anon_sym_BSLASHlabel] = ACTIONS(7811),
    [anon_sym_BSLASHref] = ACTIONS(7811),
    [anon_sym_BSLASHeqref] = ACTIONS(7811),
    [anon_sym_BSLASHvref] = ACTIONS(7811),
    [anon_sym_BSLASHVref] = ACTIONS(7811),
    [anon_sym_BSLASHautoref] = ACTIONS(7811),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHpageref] = ACTIONS(7811),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHautopageref] = ACTIONS(7811),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHcref] = ACTIONS(7811),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHCref] = ACTIONS(7811),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHcpageref] = ACTIONS(7811),
    [anon_sym_BSLASHCpageref] = ACTIONS(7811),
    [anon_sym_BSLASHnamecref] = ACTIONS(7811),
    [anon_sym_BSLASHnameCref] = ACTIONS(7811),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7811),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7811),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7811),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7811),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7811),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7811),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7811),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7811),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7811),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7811),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7811),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7811),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7811),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7811),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7811),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7811),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7811),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7811),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7811),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7811),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7811),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7811),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7811),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7811),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7811),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7811),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7811),
    [anon_sym_BSLASHdef] = ACTIONS(7811),
    [anon_sym_BSLASHgdef] = ACTIONS(7811),
    [anon_sym_BSLASHedef] = ACTIONS(7811),
    [anon_sym_BSLASHxdef] = ACTIONS(7811),
    [anon_sym_BSLASHlet] = ACTIONS(7811),
    [anon_sym_BSLASHglet] = ACTIONS(7811),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7811),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7811),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7811),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7811),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7811),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7811),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7811),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7811),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7811),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7811),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7811),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7811),
    [anon_sym_BSLASHgls] = ACTIONS(7811),
    [anon_sym_BSLASHGls] = ACTIONS(7811),
    [anon_sym_BSLASHGLS] = ACTIONS(7811),
    [anon_sym_BSLASHglspl] = ACTIONS(7811),
    [anon_sym_BSLASHGlspl] = ACTIONS(7811),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7811),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7811),
    [anon_sym_BSLASHglslink] = ACTIONS(7811),
    [anon_sym_BSLASHglstext] = ACTIONS(7811),
    [anon_sym_BSLASHGlstext] = ACTIONS(7811),
    [anon_sym_BSLASHGLStext] = ACTIONS(7811),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7811),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7811),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7811),
    [anon_sym_BSLASHglsplural] = ACTIONS(7811),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7811),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7811),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7811),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7811),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7811),
    [anon_sym_BSLASHglsname] = ACTIONS(7811),
    [anon_sym_BSLASHGlsname] = ACTIONS(7811),
    [anon_sym_BSLASHGLSname] = ACTIONS(7811),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7811),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7811),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7811),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7811),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7811),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7811),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7811),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7811),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7811),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7811),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7811),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7811),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7811),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7811),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7811),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7811),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7811),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7811),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7811),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7811),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7811),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7811),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7811),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7811),
    [anon_sym_BSLASHacrshort] = ACTIONS(7811),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7811),
    [anon_sym_BSLASHACRshort] = ACTIONS(7811),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7811),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7811),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7811),
    [anon_sym_BSLASHacrlong] = ACTIONS(7811),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7811),
    [anon_sym_BSLASHACRlong] = ACTIONS(7811),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7811),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7811),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7811),
    [anon_sym_BSLASHacrfull] = ACTIONS(7811),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7811),
    [anon_sym_BSLASHACRfull] = ACTIONS(7811),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7811),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7811),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7811),
    [anon_sym_BSLASHacs] = ACTIONS(7811),
    [anon_sym_BSLASHAcs] = ACTIONS(7811),
    [anon_sym_BSLASHacsp] = ACTIONS(7811),
    [anon_sym_BSLASHAcsp] = ACTIONS(7811),
    [anon_sym_BSLASHacl] = ACTIONS(7811),
    [anon_sym_BSLASHAcl] = ACTIONS(7811),
    [anon_sym_BSLASHaclp] = ACTIONS(7811),
    [anon_sym_BSLASHAclp] = ACTIONS(7811),
    [anon_sym_BSLASHacf] = ACTIONS(7811),
    [anon_sym_BSLASHAcf] = ACTIONS(7811),
    [anon_sym_BSLASHacfp] = ACTIONS(7811),
    [anon_sym_BSLASHAcfp] = ACTIONS(7811),
    [anon_sym_BSLASHac] = ACTIONS(7811),
    [anon_sym_BSLASHAc] = ACTIONS(7811),
    [anon_sym_BSLASHacp] = ACTIONS(7811),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7811),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7811),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7811),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7811),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7811),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7811),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7811),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7811),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7811),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7811),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7811),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7811),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7813),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7811),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7811),
    [anon_sym_BSLASHcolor] = ACTIONS(7811),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7811),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7811),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7811),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7811),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7811),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7811),
    [anon_sym_BSLASHurl] = ACTIONS(7811),
    [anon_sym_BSLASHhref] = ACTIONS(7811),
  },
  [2096] = {
    [sym_curly_group] = STATE(2182),
    [aux_sym_generic_command_repeat1] = STATE(2090),
    [sym_command_name] = ACTIONS(6901),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6901),
    [anon_sym_LPAREN] = ACTIONS(6903),
    [anon_sym_RPAREN] = ACTIONS(6903),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(6903),
    [anon_sym_BSLASHand] = ACTIONS(6901),
    [sym_word] = ACTIONS(6901),
    [sym_placeholder] = ACTIONS(6903),
    [sym_delimiter] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6903),
    [anon_sym_DASH] = ACTIONS(6903),
    [anon_sym_STAR] = ACTIONS(6903),
    [anon_sym_SLASH] = ACTIONS(6903),
    [anon_sym_LT] = ACTIONS(6901),
    [anon_sym_GT] = ACTIONS(6901),
    [anon_sym_BANG] = ACTIONS(6901),
    [anon_sym_PIPE] = ACTIONS(6901),
    [anon_sym_COLON] = ACTIONS(6901),
    [anon_sym_SQUOTE] = ACTIONS(6901),
    [anon_sym__] = ACTIONS(6903),
    [anon_sym_CARET] = ACTIONS(6903),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6903),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6903),
    [anon_sym_DOLLAR] = ACTIONS(6901),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6903),
    [anon_sym_BSLASHleft] = ACTIONS(6901),
    [anon_sym_BSLASHbigl] = ACTIONS(6901),
    [anon_sym_BSLASHBigl] = ACTIONS(6901),
    [anon_sym_BSLASHbiggl] = ACTIONS(6901),
    [anon_sym_BSLASHBiggl] = ACTIONS(6901),
    [anon_sym_BSLASHtext] = ACTIONS(6901),
    [anon_sym_BSLASHintertext] = ACTIONS(6901),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6901),
    [anon_sym_BSLASHtitle] = ACTIONS(6901),
    [anon_sym_BSLASHauthor] = ACTIONS(6901),
    [anon_sym_BSLASHusepackage] = ACTIONS(6901),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6901),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6901),
    [anon_sym_BSLASHinclude] = ACTIONS(6901),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6901),
    [anon_sym_BSLASHinput] = ACTIONS(6901),
    [anon_sym_BSLASHsubfile] = ACTIONS(6901),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6901),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6901),
    [anon_sym_BSLASHbibliography] = ACTIONS(6901),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6901),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6901),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6901),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6901),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6901),
    [anon_sym_BSLASHimport] = ACTIONS(6901),
    [anon_sym_BSLASHsubimport] = ACTIONS(6901),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6901),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6901),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6901),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6901),
    [anon_sym_BSLASHcaption] = ACTIONS(6901),
    [anon_sym_BSLASHcite] = ACTIONS(6901),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCite] = ACTIONS(6901),
    [anon_sym_BSLASHnocite] = ACTIONS(6901),
    [anon_sym_BSLASHcitet] = ACTIONS(6901),
    [anon_sym_BSLASHcitep] = ACTIONS(6901),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteA] = ACTIONS(6901),
    [anon_sym_BSLASHciteR] = ACTIONS(6901),
    [anon_sym_BSLASHciteS] = ACTIONS(6901),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6901),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6901),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6901),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6901),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteyear] = ACTIONS(6901),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitedate] = ACTIONS(6901),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteurl] = ACTIONS(6901),
    [anon_sym_BSLASHfullcite] = ACTIONS(6901),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6901),
    [anon_sym_BSLASHcitealt] = ACTIONS(6901),
    [anon_sym_BSLASHcitealp] = ACTIONS(6901),
    [anon_sym_BSLASHcitetext] = ACTIONS(6901),
    [anon_sym_BSLASHparencite] = ACTIONS(6901),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHParencite] = ACTIONS(6901),
    [anon_sym_BSLASHfootcite] = ACTIONS(6901),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6901),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6901),
    [anon_sym_BSLASHtextcite] = ACTIONS(6901),
    [anon_sym_BSLASHTextcite] = ACTIONS(6901),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6901),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6901),
    [anon_sym_BSLASHsupercite] = ACTIONS(6901),
    [anon_sym_BSLASHautocite] = ACTIONS(6901),
    [anon_sym_BSLASHAutocite] = ACTIONS(6901),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHVolcite] = ACTIONS(6901),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHavolcite] = ACTIONS(6901),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHNotecite] = ACTIONS(6901),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHlabel] = ACTIONS(6901),
    [anon_sym_BSLASHref] = ACTIONS(6901),
    [anon_sym_BSLASHeqref] = ACTIONS(6901),
    [anon_sym_BSLASHvref] = ACTIONS(6901),
    [anon_sym_BSLASHVref] = ACTIONS(6901),
    [anon_sym_BSLASHautoref] = ACTIONS(6901),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHpageref] = ACTIONS(6901),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHautopageref] = ACTIONS(6901),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcref] = ACTIONS(6901),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCref] = ACTIONS(6901),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcpageref] = ACTIONS(6901),
    [anon_sym_BSLASHCpageref] = ACTIONS(6901),
    [anon_sym_BSLASHnamecref] = ACTIONS(6901),
    [anon_sym_BSLASHnameCref] = ACTIONS(6901),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6901),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6901),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6901),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6901),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6901),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6901),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6901),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6901),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6901),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6901),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6901),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHdef] = ACTIONS(6901),
    [anon_sym_BSLASHgdef] = ACTIONS(6901),
    [anon_sym_BSLASHedef] = ACTIONS(6901),
    [anon_sym_BSLASHxdef] = ACTIONS(6901),
    [anon_sym_BSLASHlet] = ACTIONS(6901),
    [anon_sym_BSLASHglet] = ACTIONS(6901),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6901),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6901),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6901),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6901),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6901),
    [anon_sym_BSLASHgls] = ACTIONS(6901),
    [anon_sym_BSLASHGls] = ACTIONS(6901),
    [anon_sym_BSLASHGLS] = ACTIONS(6901),
    [anon_sym_BSLASHglspl] = ACTIONS(6901),
    [anon_sym_BSLASHGlspl] = ACTIONS(6901),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6901),
    [anon_sym_BSLASHglslink] = ACTIONS(6901),
    [anon_sym_BSLASHglstext] = ACTIONS(6901),
    [anon_sym_BSLASHGlstext] = ACTIONS(6901),
    [anon_sym_BSLASHGLStext] = ACTIONS(6901),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6901),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6901),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6901),
    [anon_sym_BSLASHglsplural] = ACTIONS(6901),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6901),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6901),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHglsname] = ACTIONS(6901),
    [anon_sym_BSLASHGlsname] = ACTIONS(6901),
    [anon_sym_BSLASHGLSname] = ACTIONS(6901),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6901),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6901),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6901),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6901),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6901),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6901),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6901),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6901),
    [anon_sym_BSLASHacrshort] = ACTIONS(6901),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6901),
    [anon_sym_BSLASHACRshort] = ACTIONS(6901),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHacrlong] = ACTIONS(6901),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6901),
    [anon_sym_BSLASHACRlong] = ACTIONS(6901),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHacrfull] = ACTIONS(6901),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6901),
    [anon_sym_BSLASHACRfull] = ACTIONS(6901),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHacs] = ACTIONS(6901),
    [anon_sym_BSLASHAcs] = ACTIONS(6901),
    [anon_sym_BSLASHacsp] = ACTIONS(6901),
    [anon_sym_BSLASHAcsp] = ACTIONS(6901),
    [anon_sym_BSLASHacl] = ACTIONS(6901),
    [anon_sym_BSLASHAcl] = ACTIONS(6901),
    [anon_sym_BSLASHaclp] = ACTIONS(6901),
    [anon_sym_BSLASHAclp] = ACTIONS(6901),
    [anon_sym_BSLASHacf] = ACTIONS(6901),
    [anon_sym_BSLASHAcf] = ACTIONS(6901),
    [anon_sym_BSLASHacfp] = ACTIONS(6901),
    [anon_sym_BSLASHAcfp] = ACTIONS(6901),
    [anon_sym_BSLASHac] = ACTIONS(6901),
    [anon_sym_BSLASHAc] = ACTIONS(6901),
    [anon_sym_BSLASHacp] = ACTIONS(6901),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6901),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6901),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6901),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6901),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6901),
    [anon_sym_BSLASHcolor] = ACTIONS(6901),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6901),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6901),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6901),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6901),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6901),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6901),
    [anon_sym_BSLASHurl] = ACTIONS(6901),
    [anon_sym_BSLASHhref] = ACTIONS(6901),
  },
  [2097] = {
    [sym_command_name] = ACTIONS(7371),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7371),
    [anon_sym_LBRACK] = ACTIONS(7373),
    [anon_sym_LPAREN] = ACTIONS(7373),
    [anon_sym_RPAREN] = ACTIONS(7373),
    [anon_sym_LBRACE] = ACTIONS(7373),
    [anon_sym_RBRACE] = ACTIONS(7373),
    [anon_sym_BSLASHand] = ACTIONS(7371),
    [sym_word] = ACTIONS(7371),
    [sym_placeholder] = ACTIONS(7373),
    [sym_delimiter] = ACTIONS(7373),
    [anon_sym_PLUS] = ACTIONS(7373),
    [anon_sym_DASH] = ACTIONS(7373),
    [anon_sym_STAR] = ACTIONS(7373),
    [anon_sym_SLASH] = ACTIONS(7373),
    [anon_sym_LT] = ACTIONS(7371),
    [anon_sym_GT] = ACTIONS(7371),
    [anon_sym_BANG] = ACTIONS(7371),
    [anon_sym_PIPE] = ACTIONS(7371),
    [anon_sym_COLON] = ACTIONS(7371),
    [anon_sym_SQUOTE] = ACTIONS(7371),
    [anon_sym__] = ACTIONS(7373),
    [anon_sym_CARET] = ACTIONS(7373),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7373),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7373),
    [anon_sym_DOLLAR] = ACTIONS(7371),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7373),
    [anon_sym_BSLASHleft] = ACTIONS(7371),
    [anon_sym_BSLASHbigl] = ACTIONS(7371),
    [anon_sym_BSLASHBigl] = ACTIONS(7371),
    [anon_sym_BSLASHbiggl] = ACTIONS(7371),
    [anon_sym_BSLASHBiggl] = ACTIONS(7371),
    [anon_sym_BSLASHtext] = ACTIONS(7371),
    [anon_sym_BSLASHintertext] = ACTIONS(7371),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7371),
    [anon_sym_BSLASHtitle] = ACTIONS(7371),
    [anon_sym_BSLASHauthor] = ACTIONS(7371),
    [anon_sym_BSLASHusepackage] = ACTIONS(7371),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7371),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7371),
    [anon_sym_BSLASHinclude] = ACTIONS(7371),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7371),
    [anon_sym_BSLASHinput] = ACTIONS(7371),
    [anon_sym_BSLASHsubfile] = ACTIONS(7371),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7371),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7371),
    [anon_sym_BSLASHbibliography] = ACTIONS(7371),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7371),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7371),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7371),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7371),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7371),
    [anon_sym_BSLASHimport] = ACTIONS(7371),
    [anon_sym_BSLASHsubimport] = ACTIONS(7371),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7371),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7371),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7371),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7371),
    [anon_sym_BSLASHcaption] = ACTIONS(7371),
    [anon_sym_BSLASHcite] = ACTIONS(7371),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCite] = ACTIONS(7371),
    [anon_sym_BSLASHnocite] = ACTIONS(7371),
    [anon_sym_BSLASHcitet] = ACTIONS(7371),
    [anon_sym_BSLASHcitep] = ACTIONS(7371),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteA] = ACTIONS(7371),
    [anon_sym_BSLASHciteR] = ACTIONS(7371),
    [anon_sym_BSLASHciteS] = ACTIONS(7371),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7371),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7371),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7371),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7371),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteyear] = ACTIONS(7371),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitedate] = ACTIONS(7371),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteurl] = ACTIONS(7371),
    [anon_sym_BSLASHfullcite] = ACTIONS(7371),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7371),
    [anon_sym_BSLASHcitealt] = ACTIONS(7371),
    [anon_sym_BSLASHcitealp] = ACTIONS(7371),
    [anon_sym_BSLASHcitetext] = ACTIONS(7371),
    [anon_sym_BSLASHparencite] = ACTIONS(7371),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHParencite] = ACTIONS(7371),
    [anon_sym_BSLASHfootcite] = ACTIONS(7371),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7371),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7371),
    [anon_sym_BSLASHtextcite] = ACTIONS(7371),
    [anon_sym_BSLASHTextcite] = ACTIONS(7371),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7371),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7371),
    [anon_sym_BSLASHsupercite] = ACTIONS(7371),
    [anon_sym_BSLASHautocite] = ACTIONS(7371),
    [anon_sym_BSLASHAutocite] = ACTIONS(7371),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHVolcite] = ACTIONS(7371),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHavolcite] = ACTIONS(7371),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHNotecite] = ACTIONS(7371),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHlabel] = ACTIONS(7371),
    [anon_sym_BSLASHref] = ACTIONS(7371),
    [anon_sym_BSLASHeqref] = ACTIONS(7371),
    [anon_sym_BSLASHvref] = ACTIONS(7371),
    [anon_sym_BSLASHVref] = ACTIONS(7371),
    [anon_sym_BSLASHautoref] = ACTIONS(7371),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHpageref] = ACTIONS(7371),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHautopageref] = ACTIONS(7371),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcref] = ACTIONS(7371),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCref] = ACTIONS(7371),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcpageref] = ACTIONS(7371),
    [anon_sym_BSLASHCpageref] = ACTIONS(7371),
    [anon_sym_BSLASHnamecref] = ACTIONS(7371),
    [anon_sym_BSLASHnameCref] = ACTIONS(7371),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7371),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7371),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7371),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7371),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7371),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7371),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7371),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7371),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7371),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7371),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7371),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHdef] = ACTIONS(7371),
    [anon_sym_BSLASHgdef] = ACTIONS(7371),
    [anon_sym_BSLASHedef] = ACTIONS(7371),
    [anon_sym_BSLASHxdef] = ACTIONS(7371),
    [anon_sym_BSLASHlet] = ACTIONS(7371),
    [anon_sym_BSLASHglet] = ACTIONS(7371),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7371),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7371),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7371),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7371),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7371),
    [anon_sym_BSLASHgls] = ACTIONS(7371),
    [anon_sym_BSLASHGls] = ACTIONS(7371),
    [anon_sym_BSLASHGLS] = ACTIONS(7371),
    [anon_sym_BSLASHglspl] = ACTIONS(7371),
    [anon_sym_BSLASHGlspl] = ACTIONS(7371),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7371),
    [anon_sym_BSLASHglslink] = ACTIONS(7371),
    [anon_sym_BSLASHglstext] = ACTIONS(7371),
    [anon_sym_BSLASHGlstext] = ACTIONS(7371),
    [anon_sym_BSLASHGLStext] = ACTIONS(7371),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7371),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7371),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7371),
    [anon_sym_BSLASHglsplural] = ACTIONS(7371),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7371),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7371),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHglsname] = ACTIONS(7371),
    [anon_sym_BSLASHGlsname] = ACTIONS(7371),
    [anon_sym_BSLASHGLSname] = ACTIONS(7371),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7371),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7371),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7371),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7371),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7371),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7371),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7371),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7371),
    [anon_sym_BSLASHacrshort] = ACTIONS(7371),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7371),
    [anon_sym_BSLASHACRshort] = ACTIONS(7371),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHacrlong] = ACTIONS(7371),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7371),
    [anon_sym_BSLASHACRlong] = ACTIONS(7371),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHacrfull] = ACTIONS(7371),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7371),
    [anon_sym_BSLASHACRfull] = ACTIONS(7371),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHacs] = ACTIONS(7371),
    [anon_sym_BSLASHAcs] = ACTIONS(7371),
    [anon_sym_BSLASHacsp] = ACTIONS(7371),
    [anon_sym_BSLASHAcsp] = ACTIONS(7371),
    [anon_sym_BSLASHacl] = ACTIONS(7371),
    [anon_sym_BSLASHAcl] = ACTIONS(7371),
    [anon_sym_BSLASHaclp] = ACTIONS(7371),
    [anon_sym_BSLASHAclp] = ACTIONS(7371),
    [anon_sym_BSLASHacf] = ACTIONS(7371),
    [anon_sym_BSLASHAcf] = ACTIONS(7371),
    [anon_sym_BSLASHacfp] = ACTIONS(7371),
    [anon_sym_BSLASHAcfp] = ACTIONS(7371),
    [anon_sym_BSLASHac] = ACTIONS(7371),
    [anon_sym_BSLASHAc] = ACTIONS(7371),
    [anon_sym_BSLASHacp] = ACTIONS(7371),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7371),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7371),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7371),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7371),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7371),
    [anon_sym_BSLASHcolor] = ACTIONS(7371),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7371),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7371),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7371),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7371),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7371),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7371),
    [anon_sym_BSLASHurl] = ACTIONS(7371),
    [anon_sym_BSLASHhref] = ACTIONS(7371),
  },
  [2098] = {
    [sym_curly_group] = STATE(2145),
    [sym_command_name] = ACTIONS(6939),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6939),
    [anon_sym_LPAREN] = ACTIONS(6941),
    [anon_sym_RPAREN] = ACTIONS(6941),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(6941),
    [anon_sym_BSLASHand] = ACTIONS(6939),
    [sym_word] = ACTIONS(6939),
    [sym_placeholder] = ACTIONS(6941),
    [sym_delimiter] = ACTIONS(6941),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_STAR] = ACTIONS(6941),
    [anon_sym_SLASH] = ACTIONS(6941),
    [anon_sym_LT] = ACTIONS(6939),
    [anon_sym_GT] = ACTIONS(6939),
    [anon_sym_BANG] = ACTIONS(6939),
    [anon_sym_PIPE] = ACTIONS(6939),
    [anon_sym_COLON] = ACTIONS(6939),
    [anon_sym_SQUOTE] = ACTIONS(6939),
    [anon_sym__] = ACTIONS(6941),
    [anon_sym_CARET] = ACTIONS(6941),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6941),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6941),
    [anon_sym_DOLLAR] = ACTIONS(6939),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6941),
    [anon_sym_BSLASHleft] = ACTIONS(6939),
    [anon_sym_BSLASHbigl] = ACTIONS(6939),
    [anon_sym_BSLASHBigl] = ACTIONS(6939),
    [anon_sym_BSLASHbiggl] = ACTIONS(6939),
    [anon_sym_BSLASHBiggl] = ACTIONS(6939),
    [anon_sym_BSLASHtext] = ACTIONS(6939),
    [anon_sym_BSLASHintertext] = ACTIONS(6939),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6939),
    [anon_sym_BSLASHtitle] = ACTIONS(6939),
    [anon_sym_BSLASHauthor] = ACTIONS(6939),
    [anon_sym_BSLASHusepackage] = ACTIONS(6939),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6939),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6939),
    [anon_sym_BSLASHinclude] = ACTIONS(6939),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6939),
    [anon_sym_BSLASHinput] = ACTIONS(6939),
    [anon_sym_BSLASHsubfile] = ACTIONS(6939),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6939),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6939),
    [anon_sym_BSLASHbibliography] = ACTIONS(6939),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6939),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6939),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6939),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6939),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6939),
    [anon_sym_BSLASHimport] = ACTIONS(6939),
    [anon_sym_BSLASHsubimport] = ACTIONS(6939),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6939),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6939),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6939),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6939),
    [anon_sym_BSLASHcaption] = ACTIONS(6939),
    [anon_sym_BSLASHcite] = ACTIONS(6939),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCite] = ACTIONS(6939),
    [anon_sym_BSLASHnocite] = ACTIONS(6939),
    [anon_sym_BSLASHcitet] = ACTIONS(6939),
    [anon_sym_BSLASHcitep] = ACTIONS(6939),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteA] = ACTIONS(6939),
    [anon_sym_BSLASHciteR] = ACTIONS(6939),
    [anon_sym_BSLASHciteS] = ACTIONS(6939),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6939),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6939),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6939),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6939),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteyear] = ACTIONS(6939),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitedate] = ACTIONS(6939),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteurl] = ACTIONS(6939),
    [anon_sym_BSLASHfullcite] = ACTIONS(6939),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6939),
    [anon_sym_BSLASHcitealt] = ACTIONS(6939),
    [anon_sym_BSLASHcitealp] = ACTIONS(6939),
    [anon_sym_BSLASHcitetext] = ACTIONS(6939),
    [anon_sym_BSLASHparencite] = ACTIONS(6939),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHParencite] = ACTIONS(6939),
    [anon_sym_BSLASHfootcite] = ACTIONS(6939),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6939),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6939),
    [anon_sym_BSLASHtextcite] = ACTIONS(6939),
    [anon_sym_BSLASHTextcite] = ACTIONS(6939),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6939),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6939),
    [anon_sym_BSLASHsupercite] = ACTIONS(6939),
    [anon_sym_BSLASHautocite] = ACTIONS(6939),
    [anon_sym_BSLASHAutocite] = ACTIONS(6939),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHVolcite] = ACTIONS(6939),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHavolcite] = ACTIONS(6939),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHNotecite] = ACTIONS(6939),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHlabel] = ACTIONS(6939),
    [anon_sym_BSLASHref] = ACTIONS(6939),
    [anon_sym_BSLASHeqref] = ACTIONS(6939),
    [anon_sym_BSLASHvref] = ACTIONS(6939),
    [anon_sym_BSLASHVref] = ACTIONS(6939),
    [anon_sym_BSLASHautoref] = ACTIONS(6939),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHpageref] = ACTIONS(6939),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHautopageref] = ACTIONS(6939),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcref] = ACTIONS(6939),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCref] = ACTIONS(6939),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcpageref] = ACTIONS(6939),
    [anon_sym_BSLASHCpageref] = ACTIONS(6939),
    [anon_sym_BSLASHnamecref] = ACTIONS(6939),
    [anon_sym_BSLASHnameCref] = ACTIONS(6939),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6939),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6939),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6939),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6939),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6939),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6939),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6939),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6939),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6939),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6939),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6939),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHdef] = ACTIONS(6939),
    [anon_sym_BSLASHgdef] = ACTIONS(6939),
    [anon_sym_BSLASHedef] = ACTIONS(6939),
    [anon_sym_BSLASHxdef] = ACTIONS(6939),
    [anon_sym_BSLASHlet] = ACTIONS(6939),
    [anon_sym_BSLASHglet] = ACTIONS(6939),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6939),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6939),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6939),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6939),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6939),
    [anon_sym_BSLASHgls] = ACTIONS(6939),
    [anon_sym_BSLASHGls] = ACTIONS(6939),
    [anon_sym_BSLASHGLS] = ACTIONS(6939),
    [anon_sym_BSLASHglspl] = ACTIONS(6939),
    [anon_sym_BSLASHGlspl] = ACTIONS(6939),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6939),
    [anon_sym_BSLASHglslink] = ACTIONS(6939),
    [anon_sym_BSLASHglstext] = ACTIONS(6939),
    [anon_sym_BSLASHGlstext] = ACTIONS(6939),
    [anon_sym_BSLASHGLStext] = ACTIONS(6939),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6939),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6939),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6939),
    [anon_sym_BSLASHglsplural] = ACTIONS(6939),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6939),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6939),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHglsname] = ACTIONS(6939),
    [anon_sym_BSLASHGlsname] = ACTIONS(6939),
    [anon_sym_BSLASHGLSname] = ACTIONS(6939),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6939),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6939),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6939),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6939),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6939),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6939),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6939),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6939),
    [anon_sym_BSLASHacrshort] = ACTIONS(6939),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6939),
    [anon_sym_BSLASHACRshort] = ACTIONS(6939),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHacrlong] = ACTIONS(6939),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6939),
    [anon_sym_BSLASHACRlong] = ACTIONS(6939),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHacrfull] = ACTIONS(6939),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6939),
    [anon_sym_BSLASHACRfull] = ACTIONS(6939),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHacs] = ACTIONS(6939),
    [anon_sym_BSLASHAcs] = ACTIONS(6939),
    [anon_sym_BSLASHacsp] = ACTIONS(6939),
    [anon_sym_BSLASHAcsp] = ACTIONS(6939),
    [anon_sym_BSLASHacl] = ACTIONS(6939),
    [anon_sym_BSLASHAcl] = ACTIONS(6939),
    [anon_sym_BSLASHaclp] = ACTIONS(6939),
    [anon_sym_BSLASHAclp] = ACTIONS(6939),
    [anon_sym_BSLASHacf] = ACTIONS(6939),
    [anon_sym_BSLASHAcf] = ACTIONS(6939),
    [anon_sym_BSLASHacfp] = ACTIONS(6939),
    [anon_sym_BSLASHAcfp] = ACTIONS(6939),
    [anon_sym_BSLASHac] = ACTIONS(6939),
    [anon_sym_BSLASHAc] = ACTIONS(6939),
    [anon_sym_BSLASHacp] = ACTIONS(6939),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6939),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6939),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6939),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6939),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6939),
    [anon_sym_BSLASHcolor] = ACTIONS(6939),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6939),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6939),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6939),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6939),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6939),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6939),
    [anon_sym_BSLASHurl] = ACTIONS(6939),
    [anon_sym_BSLASHhref] = ACTIONS(6939),
  },
  [2099] = {
    [sym_curly_group] = STATE(2117),
    [sym_command_name] = ACTIONS(6947),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6947),
    [anon_sym_LPAREN] = ACTIONS(6949),
    [anon_sym_RPAREN] = ACTIONS(6949),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(6949),
    [anon_sym_BSLASHand] = ACTIONS(6947),
    [sym_word] = ACTIONS(6947),
    [sym_placeholder] = ACTIONS(6949),
    [sym_delimiter] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6949),
    [anon_sym_DASH] = ACTIONS(6949),
    [anon_sym_STAR] = ACTIONS(6949),
    [anon_sym_SLASH] = ACTIONS(6949),
    [anon_sym_LT] = ACTIONS(6947),
    [anon_sym_GT] = ACTIONS(6947),
    [anon_sym_BANG] = ACTIONS(6947),
    [anon_sym_PIPE] = ACTIONS(6947),
    [anon_sym_COLON] = ACTIONS(6947),
    [anon_sym_SQUOTE] = ACTIONS(6947),
    [anon_sym__] = ACTIONS(6949),
    [anon_sym_CARET] = ACTIONS(6949),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6949),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6949),
    [anon_sym_DOLLAR] = ACTIONS(6947),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6949),
    [anon_sym_BSLASHleft] = ACTIONS(6947),
    [anon_sym_BSLASHbigl] = ACTIONS(6947),
    [anon_sym_BSLASHBigl] = ACTIONS(6947),
    [anon_sym_BSLASHbiggl] = ACTIONS(6947),
    [anon_sym_BSLASHBiggl] = ACTIONS(6947),
    [anon_sym_BSLASHtext] = ACTIONS(6947),
    [anon_sym_BSLASHintertext] = ACTIONS(6947),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6947),
    [anon_sym_BSLASHtitle] = ACTIONS(6947),
    [anon_sym_BSLASHauthor] = ACTIONS(6947),
    [anon_sym_BSLASHusepackage] = ACTIONS(6947),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6947),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6947),
    [anon_sym_BSLASHinclude] = ACTIONS(6947),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6947),
    [anon_sym_BSLASHinput] = ACTIONS(6947),
    [anon_sym_BSLASHsubfile] = ACTIONS(6947),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6947),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6947),
    [anon_sym_BSLASHbibliography] = ACTIONS(6947),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6947),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6947),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6947),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6947),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6947),
    [anon_sym_BSLASHimport] = ACTIONS(6947),
    [anon_sym_BSLASHsubimport] = ACTIONS(6947),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6947),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6947),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6947),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6947),
    [anon_sym_BSLASHcaption] = ACTIONS(6947),
    [anon_sym_BSLASHcite] = ACTIONS(6947),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCite] = ACTIONS(6947),
    [anon_sym_BSLASHnocite] = ACTIONS(6947),
    [anon_sym_BSLASHcitet] = ACTIONS(6947),
    [anon_sym_BSLASHcitep] = ACTIONS(6947),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteA] = ACTIONS(6947),
    [anon_sym_BSLASHciteR] = ACTIONS(6947),
    [anon_sym_BSLASHciteS] = ACTIONS(6947),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6947),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6947),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6947),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6947),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteyear] = ACTIONS(6947),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitedate] = ACTIONS(6947),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteurl] = ACTIONS(6947),
    [anon_sym_BSLASHfullcite] = ACTIONS(6947),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6947),
    [anon_sym_BSLASHcitealt] = ACTIONS(6947),
    [anon_sym_BSLASHcitealp] = ACTIONS(6947),
    [anon_sym_BSLASHcitetext] = ACTIONS(6947),
    [anon_sym_BSLASHparencite] = ACTIONS(6947),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHParencite] = ACTIONS(6947),
    [anon_sym_BSLASHfootcite] = ACTIONS(6947),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6947),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6947),
    [anon_sym_BSLASHtextcite] = ACTIONS(6947),
    [anon_sym_BSLASHTextcite] = ACTIONS(6947),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6947),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6947),
    [anon_sym_BSLASHsupercite] = ACTIONS(6947),
    [anon_sym_BSLASHautocite] = ACTIONS(6947),
    [anon_sym_BSLASHAutocite] = ACTIONS(6947),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHVolcite] = ACTIONS(6947),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHavolcite] = ACTIONS(6947),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHNotecite] = ACTIONS(6947),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHlabel] = ACTIONS(6947),
    [anon_sym_BSLASHref] = ACTIONS(6947),
    [anon_sym_BSLASHeqref] = ACTIONS(6947),
    [anon_sym_BSLASHvref] = ACTIONS(6947),
    [anon_sym_BSLASHVref] = ACTIONS(6947),
    [anon_sym_BSLASHautoref] = ACTIONS(6947),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHpageref] = ACTIONS(6947),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHautopageref] = ACTIONS(6947),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcref] = ACTIONS(6947),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCref] = ACTIONS(6947),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcpageref] = ACTIONS(6947),
    [anon_sym_BSLASHCpageref] = ACTIONS(6947),
    [anon_sym_BSLASHnamecref] = ACTIONS(6947),
    [anon_sym_BSLASHnameCref] = ACTIONS(6947),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6947),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6947),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6947),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6947),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6947),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6947),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6947),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6947),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6947),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6947),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6947),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHdef] = ACTIONS(6947),
    [anon_sym_BSLASHgdef] = ACTIONS(6947),
    [anon_sym_BSLASHedef] = ACTIONS(6947),
    [anon_sym_BSLASHxdef] = ACTIONS(6947),
    [anon_sym_BSLASHlet] = ACTIONS(6947),
    [anon_sym_BSLASHglet] = ACTIONS(6947),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6947),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6947),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6947),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6947),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6947),
    [anon_sym_BSLASHgls] = ACTIONS(6947),
    [anon_sym_BSLASHGls] = ACTIONS(6947),
    [anon_sym_BSLASHGLS] = ACTIONS(6947),
    [anon_sym_BSLASHglspl] = ACTIONS(6947),
    [anon_sym_BSLASHGlspl] = ACTIONS(6947),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6947),
    [anon_sym_BSLASHglslink] = ACTIONS(6947),
    [anon_sym_BSLASHglstext] = ACTIONS(6947),
    [anon_sym_BSLASHGlstext] = ACTIONS(6947),
    [anon_sym_BSLASHGLStext] = ACTIONS(6947),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6947),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6947),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6947),
    [anon_sym_BSLASHglsplural] = ACTIONS(6947),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6947),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6947),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHglsname] = ACTIONS(6947),
    [anon_sym_BSLASHGlsname] = ACTIONS(6947),
    [anon_sym_BSLASHGLSname] = ACTIONS(6947),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6947),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6947),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6947),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6947),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6947),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6947),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6947),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6947),
    [anon_sym_BSLASHacrshort] = ACTIONS(6947),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6947),
    [anon_sym_BSLASHACRshort] = ACTIONS(6947),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHacrlong] = ACTIONS(6947),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6947),
    [anon_sym_BSLASHACRlong] = ACTIONS(6947),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHacrfull] = ACTIONS(6947),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6947),
    [anon_sym_BSLASHACRfull] = ACTIONS(6947),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHacs] = ACTIONS(6947),
    [anon_sym_BSLASHAcs] = ACTIONS(6947),
    [anon_sym_BSLASHacsp] = ACTIONS(6947),
    [anon_sym_BSLASHAcsp] = ACTIONS(6947),
    [anon_sym_BSLASHacl] = ACTIONS(6947),
    [anon_sym_BSLASHAcl] = ACTIONS(6947),
    [anon_sym_BSLASHaclp] = ACTIONS(6947),
    [anon_sym_BSLASHAclp] = ACTIONS(6947),
    [anon_sym_BSLASHacf] = ACTIONS(6947),
    [anon_sym_BSLASHAcf] = ACTIONS(6947),
    [anon_sym_BSLASHacfp] = ACTIONS(6947),
    [anon_sym_BSLASHAcfp] = ACTIONS(6947),
    [anon_sym_BSLASHac] = ACTIONS(6947),
    [anon_sym_BSLASHAc] = ACTIONS(6947),
    [anon_sym_BSLASHacp] = ACTIONS(6947),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6947),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6947),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6947),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6947),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6947),
    [anon_sym_BSLASHcolor] = ACTIONS(6947),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6947),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6947),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6947),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6947),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6947),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6947),
    [anon_sym_BSLASHurl] = ACTIONS(6947),
    [anon_sym_BSLASHhref] = ACTIONS(6947),
  },
  [2100] = {
    [sym_command_name] = ACTIONS(7479),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(7481),
    [anon_sym_LPAREN] = ACTIONS(7481),
    [anon_sym_RPAREN] = ACTIONS(7481),
    [anon_sym_LBRACE] = ACTIONS(7481),
    [anon_sym_RBRACE] = ACTIONS(7481),
    [anon_sym_BSLASHand] = ACTIONS(7479),
    [sym_word] = ACTIONS(7479),
    [sym_placeholder] = ACTIONS(7481),
    [sym_delimiter] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7481),
    [anon_sym_DASH] = ACTIONS(7481),
    [anon_sym_STAR] = ACTIONS(7481),
    [anon_sym_SLASH] = ACTIONS(7481),
    [anon_sym_LT] = ACTIONS(7479),
    [anon_sym_GT] = ACTIONS(7479),
    [anon_sym_BANG] = ACTIONS(7479),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_COLON] = ACTIONS(7479),
    [anon_sym_SQUOTE] = ACTIONS(7479),
    [anon_sym__] = ACTIONS(7481),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7481),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7481),
    [anon_sym_DOLLAR] = ACTIONS(7479),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7481),
    [anon_sym_BSLASHleft] = ACTIONS(7479),
    [anon_sym_BSLASHbigl] = ACTIONS(7479),
    [anon_sym_BSLASHBigl] = ACTIONS(7479),
    [anon_sym_BSLASHbiggl] = ACTIONS(7479),
    [anon_sym_BSLASHBiggl] = ACTIONS(7479),
    [anon_sym_BSLASHtext] = ACTIONS(7479),
    [anon_sym_BSLASHintertext] = ACTIONS(7479),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7479),
    [anon_sym_BSLASHtitle] = ACTIONS(7479),
    [anon_sym_BSLASHauthor] = ACTIONS(7479),
    [anon_sym_BSLASHusepackage] = ACTIONS(7479),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7479),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7479),
    [anon_sym_BSLASHinclude] = ACTIONS(7479),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7479),
    [anon_sym_BSLASHinput] = ACTIONS(7479),
    [anon_sym_BSLASHsubfile] = ACTIONS(7479),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7479),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7479),
    [anon_sym_BSLASHbibliography] = ACTIONS(7479),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7479),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7479),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7479),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7479),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7479),
    [anon_sym_BSLASHimport] = ACTIONS(7479),
    [anon_sym_BSLASHsubimport] = ACTIONS(7479),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7479),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7479),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7479),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7479),
    [anon_sym_BSLASHcaption] = ACTIONS(7479),
    [anon_sym_BSLASHcite] = ACTIONS(7479),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCite] = ACTIONS(7479),
    [anon_sym_BSLASHnocite] = ACTIONS(7479),
    [anon_sym_BSLASHcitet] = ACTIONS(7479),
    [anon_sym_BSLASHcitep] = ACTIONS(7479),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteA] = ACTIONS(7479),
    [anon_sym_BSLASHciteR] = ACTIONS(7479),
    [anon_sym_BSLASHciteS] = ACTIONS(7479),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7479),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7479),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7479),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7479),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteyear] = ACTIONS(7479),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitedate] = ACTIONS(7479),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteurl] = ACTIONS(7479),
    [anon_sym_BSLASHfullcite] = ACTIONS(7479),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7479),
    [anon_sym_BSLASHcitealt] = ACTIONS(7479),
    [anon_sym_BSLASHcitealp] = ACTIONS(7479),
    [anon_sym_BSLASHcitetext] = ACTIONS(7479),
    [anon_sym_BSLASHparencite] = ACTIONS(7479),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHParencite] = ACTIONS(7479),
    [anon_sym_BSLASHfootcite] = ACTIONS(7479),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7479),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7479),
    [anon_sym_BSLASHtextcite] = ACTIONS(7479),
    [anon_sym_BSLASHTextcite] = ACTIONS(7479),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7479),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7479),
    [anon_sym_BSLASHsupercite] = ACTIONS(7479),
    [anon_sym_BSLASHautocite] = ACTIONS(7479),
    [anon_sym_BSLASHAutocite] = ACTIONS(7479),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHVolcite] = ACTIONS(7479),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHavolcite] = ACTIONS(7479),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHNotecite] = ACTIONS(7479),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHlabel] = ACTIONS(7479),
    [anon_sym_BSLASHref] = ACTIONS(7479),
    [anon_sym_BSLASHeqref] = ACTIONS(7479),
    [anon_sym_BSLASHvref] = ACTIONS(7479),
    [anon_sym_BSLASHVref] = ACTIONS(7479),
    [anon_sym_BSLASHautoref] = ACTIONS(7479),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHpageref] = ACTIONS(7479),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHautopageref] = ACTIONS(7479),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcref] = ACTIONS(7479),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCref] = ACTIONS(7479),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcpageref] = ACTIONS(7479),
    [anon_sym_BSLASHCpageref] = ACTIONS(7479),
    [anon_sym_BSLASHnamecref] = ACTIONS(7479),
    [anon_sym_BSLASHnameCref] = ACTIONS(7479),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7479),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7479),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7479),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7479),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7479),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7479),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7479),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7479),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7479),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7479),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7479),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHdef] = ACTIONS(7479),
    [anon_sym_BSLASHgdef] = ACTIONS(7479),
    [anon_sym_BSLASHedef] = ACTIONS(7479),
    [anon_sym_BSLASHxdef] = ACTIONS(7479),
    [anon_sym_BSLASHlet] = ACTIONS(7479),
    [anon_sym_BSLASHglet] = ACTIONS(7479),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7479),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7479),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7479),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7479),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7479),
    [anon_sym_BSLASHgls] = ACTIONS(7479),
    [anon_sym_BSLASHGls] = ACTIONS(7479),
    [anon_sym_BSLASHGLS] = ACTIONS(7479),
    [anon_sym_BSLASHglspl] = ACTIONS(7479),
    [anon_sym_BSLASHGlspl] = ACTIONS(7479),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7479),
    [anon_sym_BSLASHglslink] = ACTIONS(7479),
    [anon_sym_BSLASHglstext] = ACTIONS(7479),
    [anon_sym_BSLASHGlstext] = ACTIONS(7479),
    [anon_sym_BSLASHGLStext] = ACTIONS(7479),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7479),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7479),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7479),
    [anon_sym_BSLASHglsplural] = ACTIONS(7479),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7479),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7479),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHglsname] = ACTIONS(7479),
    [anon_sym_BSLASHGlsname] = ACTIONS(7479),
    [anon_sym_BSLASHGLSname] = ACTIONS(7479),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7479),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7479),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7479),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7479),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7479),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7479),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7479),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7479),
    [anon_sym_BSLASHacrshort] = ACTIONS(7479),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7479),
    [anon_sym_BSLASHACRshort] = ACTIONS(7479),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHacrlong] = ACTIONS(7479),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7479),
    [anon_sym_BSLASHACRlong] = ACTIONS(7479),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHacrfull] = ACTIONS(7479),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7479),
    [anon_sym_BSLASHACRfull] = ACTIONS(7479),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHacs] = ACTIONS(7479),
    [anon_sym_BSLASHAcs] = ACTIONS(7479),
    [anon_sym_BSLASHacsp] = ACTIONS(7479),
    [anon_sym_BSLASHAcsp] = ACTIONS(7479),
    [anon_sym_BSLASHacl] = ACTIONS(7479),
    [anon_sym_BSLASHAcl] = ACTIONS(7479),
    [anon_sym_BSLASHaclp] = ACTIONS(7479),
    [anon_sym_BSLASHAclp] = ACTIONS(7479),
    [anon_sym_BSLASHacf] = ACTIONS(7479),
    [anon_sym_BSLASHAcf] = ACTIONS(7479),
    [anon_sym_BSLASHacfp] = ACTIONS(7479),
    [anon_sym_BSLASHAcfp] = ACTIONS(7479),
    [anon_sym_BSLASHac] = ACTIONS(7479),
    [anon_sym_BSLASHAc] = ACTIONS(7479),
    [anon_sym_BSLASHacp] = ACTIONS(7479),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7479),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7479),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7479),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7479),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7479),
    [anon_sym_BSLASHcolor] = ACTIONS(7479),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7479),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7479),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7479),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7479),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7479),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7479),
    [anon_sym_BSLASHurl] = ACTIONS(7479),
    [anon_sym_BSLASHhref] = ACTIONS(7479),
  },
  [2101] = {
    [sym_command_name] = ACTIONS(7067),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7067),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_LPAREN] = ACTIONS(7069),
    [anon_sym_RPAREN] = ACTIONS(7069),
    [anon_sym_LBRACE] = ACTIONS(7069),
    [anon_sym_RBRACE] = ACTIONS(7069),
    [anon_sym_BSLASHand] = ACTIONS(7067),
    [sym_word] = ACTIONS(7067),
    [sym_placeholder] = ACTIONS(7069),
    [sym_delimiter] = ACTIONS(7069),
    [anon_sym_PLUS] = ACTIONS(7069),
    [anon_sym_DASH] = ACTIONS(7069),
    [anon_sym_STAR] = ACTIONS(7069),
    [anon_sym_SLASH] = ACTIONS(7069),
    [anon_sym_LT] = ACTIONS(7067),
    [anon_sym_GT] = ACTIONS(7067),
    [anon_sym_BANG] = ACTIONS(7067),
    [anon_sym_PIPE] = ACTIONS(7067),
    [anon_sym_COLON] = ACTIONS(7067),
    [anon_sym_SQUOTE] = ACTIONS(7067),
    [anon_sym__] = ACTIONS(7069),
    [anon_sym_CARET] = ACTIONS(7069),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7069),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7069),
    [anon_sym_DOLLAR] = ACTIONS(7067),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7069),
    [anon_sym_BSLASHleft] = ACTIONS(7067),
    [anon_sym_BSLASHbigl] = ACTIONS(7067),
    [anon_sym_BSLASHBigl] = ACTIONS(7067),
    [anon_sym_BSLASHbiggl] = ACTIONS(7067),
    [anon_sym_BSLASHBiggl] = ACTIONS(7067),
    [anon_sym_BSLASHtext] = ACTIONS(7067),
    [anon_sym_BSLASHintertext] = ACTIONS(7067),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7067),
    [anon_sym_BSLASHtitle] = ACTIONS(7067),
    [anon_sym_BSLASHauthor] = ACTIONS(7067),
    [anon_sym_BSLASHusepackage] = ACTIONS(7067),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7067),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7067),
    [anon_sym_BSLASHinclude] = ACTIONS(7067),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7067),
    [anon_sym_BSLASHinput] = ACTIONS(7067),
    [anon_sym_BSLASHsubfile] = ACTIONS(7067),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7067),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7067),
    [anon_sym_BSLASHbibliography] = ACTIONS(7067),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7067),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7067),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7067),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7067),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7067),
    [anon_sym_BSLASHimport] = ACTIONS(7067),
    [anon_sym_BSLASHsubimport] = ACTIONS(7067),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7067),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7067),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7067),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7067),
    [anon_sym_BSLASHcaption] = ACTIONS(7067),
    [anon_sym_BSLASHcite] = ACTIONS(7067),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCite] = ACTIONS(7067),
    [anon_sym_BSLASHnocite] = ACTIONS(7067),
    [anon_sym_BSLASHcitet] = ACTIONS(7067),
    [anon_sym_BSLASHcitep] = ACTIONS(7067),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteA] = ACTIONS(7067),
    [anon_sym_BSLASHciteR] = ACTIONS(7067),
    [anon_sym_BSLASHciteS] = ACTIONS(7067),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7067),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7067),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7067),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7067),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteyear] = ACTIONS(7067),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitedate] = ACTIONS(7067),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteurl] = ACTIONS(7067),
    [anon_sym_BSLASHfullcite] = ACTIONS(7067),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7067),
    [anon_sym_BSLASHcitealt] = ACTIONS(7067),
    [anon_sym_BSLASHcitealp] = ACTIONS(7067),
    [anon_sym_BSLASHcitetext] = ACTIONS(7067),
    [anon_sym_BSLASHparencite] = ACTIONS(7067),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHParencite] = ACTIONS(7067),
    [anon_sym_BSLASHfootcite] = ACTIONS(7067),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7067),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7067),
    [anon_sym_BSLASHtextcite] = ACTIONS(7067),
    [anon_sym_BSLASHTextcite] = ACTIONS(7067),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7067),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7067),
    [anon_sym_BSLASHsupercite] = ACTIONS(7067),
    [anon_sym_BSLASHautocite] = ACTIONS(7067),
    [anon_sym_BSLASHAutocite] = ACTIONS(7067),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHVolcite] = ACTIONS(7067),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHavolcite] = ACTIONS(7067),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHNotecite] = ACTIONS(7067),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHlabel] = ACTIONS(7067),
    [anon_sym_BSLASHref] = ACTIONS(7067),
    [anon_sym_BSLASHeqref] = ACTIONS(7067),
    [anon_sym_BSLASHvref] = ACTIONS(7067),
    [anon_sym_BSLASHVref] = ACTIONS(7067),
    [anon_sym_BSLASHautoref] = ACTIONS(7067),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHpageref] = ACTIONS(7067),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHautopageref] = ACTIONS(7067),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcref] = ACTIONS(7067),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCref] = ACTIONS(7067),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcpageref] = ACTIONS(7067),
    [anon_sym_BSLASHCpageref] = ACTIONS(7067),
    [anon_sym_BSLASHnamecref] = ACTIONS(7067),
    [anon_sym_BSLASHnameCref] = ACTIONS(7067),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7067),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7067),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7067),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7067),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7067),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7067),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7067),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7067),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7067),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7067),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7067),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHdef] = ACTIONS(7067),
    [anon_sym_BSLASHgdef] = ACTIONS(7067),
    [anon_sym_BSLASHedef] = ACTIONS(7067),
    [anon_sym_BSLASHxdef] = ACTIONS(7067),
    [anon_sym_BSLASHlet] = ACTIONS(7067),
    [anon_sym_BSLASHglet] = ACTIONS(7067),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7067),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7067),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7067),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7067),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7067),
    [anon_sym_BSLASHgls] = ACTIONS(7067),
    [anon_sym_BSLASHGls] = ACTIONS(7067),
    [anon_sym_BSLASHGLS] = ACTIONS(7067),
    [anon_sym_BSLASHglspl] = ACTIONS(7067),
    [anon_sym_BSLASHGlspl] = ACTIONS(7067),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7067),
    [anon_sym_BSLASHglslink] = ACTIONS(7067),
    [anon_sym_BSLASHglstext] = ACTIONS(7067),
    [anon_sym_BSLASHGlstext] = ACTIONS(7067),
    [anon_sym_BSLASHGLStext] = ACTIONS(7067),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7067),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7067),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7067),
    [anon_sym_BSLASHglsplural] = ACTIONS(7067),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7067),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7067),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHglsname] = ACTIONS(7067),
    [anon_sym_BSLASHGlsname] = ACTIONS(7067),
    [anon_sym_BSLASHGLSname] = ACTIONS(7067),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7067),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7067),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7067),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7067),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7067),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7067),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7067),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7067),
    [anon_sym_BSLASHacrshort] = ACTIONS(7067),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7067),
    [anon_sym_BSLASHACRshort] = ACTIONS(7067),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHacrlong] = ACTIONS(7067),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7067),
    [anon_sym_BSLASHACRlong] = ACTIONS(7067),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHacrfull] = ACTIONS(7067),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7067),
    [anon_sym_BSLASHACRfull] = ACTIONS(7067),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHacs] = ACTIONS(7067),
    [anon_sym_BSLASHAcs] = ACTIONS(7067),
    [anon_sym_BSLASHacsp] = ACTIONS(7067),
    [anon_sym_BSLASHAcsp] = ACTIONS(7067),
    [anon_sym_BSLASHacl] = ACTIONS(7067),
    [anon_sym_BSLASHAcl] = ACTIONS(7067),
    [anon_sym_BSLASHaclp] = ACTIONS(7067),
    [anon_sym_BSLASHAclp] = ACTIONS(7067),
    [anon_sym_BSLASHacf] = ACTIONS(7067),
    [anon_sym_BSLASHAcf] = ACTIONS(7067),
    [anon_sym_BSLASHacfp] = ACTIONS(7067),
    [anon_sym_BSLASHAcfp] = ACTIONS(7067),
    [anon_sym_BSLASHac] = ACTIONS(7067),
    [anon_sym_BSLASHAc] = ACTIONS(7067),
    [anon_sym_BSLASHacp] = ACTIONS(7067),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7067),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7067),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7067),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7067),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7067),
    [anon_sym_BSLASHcolor] = ACTIONS(7067),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7067),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7067),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7067),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7067),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7067),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7067),
    [anon_sym_BSLASHurl] = ACTIONS(7067),
    [anon_sym_BSLASHhref] = ACTIONS(7067),
  },
  [2102] = {
    [sym_curly_group] = STATE(2153),
    [sym_command_name] = ACTIONS(6923),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6923),
    [anon_sym_LPAREN] = ACTIONS(6925),
    [anon_sym_RPAREN] = ACTIONS(6925),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(6925),
    [anon_sym_BSLASHand] = ACTIONS(6923),
    [sym_word] = ACTIONS(6923),
    [sym_placeholder] = ACTIONS(6925),
    [sym_delimiter] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6925),
    [anon_sym_DASH] = ACTIONS(6925),
    [anon_sym_STAR] = ACTIONS(6925),
    [anon_sym_SLASH] = ACTIONS(6925),
    [anon_sym_LT] = ACTIONS(6923),
    [anon_sym_GT] = ACTIONS(6923),
    [anon_sym_BANG] = ACTIONS(6923),
    [anon_sym_PIPE] = ACTIONS(6923),
    [anon_sym_COLON] = ACTIONS(6923),
    [anon_sym_SQUOTE] = ACTIONS(6923),
    [anon_sym__] = ACTIONS(6925),
    [anon_sym_CARET] = ACTIONS(6925),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6925),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6925),
    [anon_sym_DOLLAR] = ACTIONS(6923),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6925),
    [anon_sym_BSLASHleft] = ACTIONS(6923),
    [anon_sym_BSLASHbigl] = ACTIONS(6923),
    [anon_sym_BSLASHBigl] = ACTIONS(6923),
    [anon_sym_BSLASHbiggl] = ACTIONS(6923),
    [anon_sym_BSLASHBiggl] = ACTIONS(6923),
    [anon_sym_BSLASHtext] = ACTIONS(6923),
    [anon_sym_BSLASHintertext] = ACTIONS(6923),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6923),
    [anon_sym_BSLASHtitle] = ACTIONS(6923),
    [anon_sym_BSLASHauthor] = ACTIONS(6923),
    [anon_sym_BSLASHusepackage] = ACTIONS(6923),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6923),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6923),
    [anon_sym_BSLASHinclude] = ACTIONS(6923),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6923),
    [anon_sym_BSLASHinput] = ACTIONS(6923),
    [anon_sym_BSLASHsubfile] = ACTIONS(6923),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6923),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6923),
    [anon_sym_BSLASHbibliography] = ACTIONS(6923),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6923),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6923),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6923),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6923),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6923),
    [anon_sym_BSLASHimport] = ACTIONS(6923),
    [anon_sym_BSLASHsubimport] = ACTIONS(6923),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6923),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6923),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6923),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6923),
    [anon_sym_BSLASHcaption] = ACTIONS(6923),
    [anon_sym_BSLASHcite] = ACTIONS(6923),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCite] = ACTIONS(6923),
    [anon_sym_BSLASHnocite] = ACTIONS(6923),
    [anon_sym_BSLASHcitet] = ACTIONS(6923),
    [anon_sym_BSLASHcitep] = ACTIONS(6923),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteA] = ACTIONS(6923),
    [anon_sym_BSLASHciteR] = ACTIONS(6923),
    [anon_sym_BSLASHciteS] = ACTIONS(6923),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6923),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6923),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6923),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6923),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteyear] = ACTIONS(6923),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitedate] = ACTIONS(6923),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteurl] = ACTIONS(6923),
    [anon_sym_BSLASHfullcite] = ACTIONS(6923),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6923),
    [anon_sym_BSLASHcitealt] = ACTIONS(6923),
    [anon_sym_BSLASHcitealp] = ACTIONS(6923),
    [anon_sym_BSLASHcitetext] = ACTIONS(6923),
    [anon_sym_BSLASHparencite] = ACTIONS(6923),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHParencite] = ACTIONS(6923),
    [anon_sym_BSLASHfootcite] = ACTIONS(6923),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6923),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6923),
    [anon_sym_BSLASHtextcite] = ACTIONS(6923),
    [anon_sym_BSLASHTextcite] = ACTIONS(6923),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6923),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6923),
    [anon_sym_BSLASHsupercite] = ACTIONS(6923),
    [anon_sym_BSLASHautocite] = ACTIONS(6923),
    [anon_sym_BSLASHAutocite] = ACTIONS(6923),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHVolcite] = ACTIONS(6923),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHavolcite] = ACTIONS(6923),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHNotecite] = ACTIONS(6923),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHlabel] = ACTIONS(6923),
    [anon_sym_BSLASHref] = ACTIONS(6923),
    [anon_sym_BSLASHeqref] = ACTIONS(6923),
    [anon_sym_BSLASHvref] = ACTIONS(6923),
    [anon_sym_BSLASHVref] = ACTIONS(6923),
    [anon_sym_BSLASHautoref] = ACTIONS(6923),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHpageref] = ACTIONS(6923),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHautopageref] = ACTIONS(6923),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcref] = ACTIONS(6923),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCref] = ACTIONS(6923),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcpageref] = ACTIONS(6923),
    [anon_sym_BSLASHCpageref] = ACTIONS(6923),
    [anon_sym_BSLASHnamecref] = ACTIONS(6923),
    [anon_sym_BSLASHnameCref] = ACTIONS(6923),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6923),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6923),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6923),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6923),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6923),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6923),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6923),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6923),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6923),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6923),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6923),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHdef] = ACTIONS(6923),
    [anon_sym_BSLASHgdef] = ACTIONS(6923),
    [anon_sym_BSLASHedef] = ACTIONS(6923),
    [anon_sym_BSLASHxdef] = ACTIONS(6923),
    [anon_sym_BSLASHlet] = ACTIONS(6923),
    [anon_sym_BSLASHglet] = ACTIONS(6923),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6923),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6923),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6923),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6923),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6923),
    [anon_sym_BSLASHgls] = ACTIONS(6923),
    [anon_sym_BSLASHGls] = ACTIONS(6923),
    [anon_sym_BSLASHGLS] = ACTIONS(6923),
    [anon_sym_BSLASHglspl] = ACTIONS(6923),
    [anon_sym_BSLASHGlspl] = ACTIONS(6923),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6923),
    [anon_sym_BSLASHglslink] = ACTIONS(6923),
    [anon_sym_BSLASHglstext] = ACTIONS(6923),
    [anon_sym_BSLASHGlstext] = ACTIONS(6923),
    [anon_sym_BSLASHGLStext] = ACTIONS(6923),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6923),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6923),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6923),
    [anon_sym_BSLASHglsplural] = ACTIONS(6923),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6923),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6923),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHglsname] = ACTIONS(6923),
    [anon_sym_BSLASHGlsname] = ACTIONS(6923),
    [anon_sym_BSLASHGLSname] = ACTIONS(6923),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6923),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6923),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6923),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6923),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6923),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6923),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6923),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6923),
    [anon_sym_BSLASHacrshort] = ACTIONS(6923),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6923),
    [anon_sym_BSLASHACRshort] = ACTIONS(6923),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHacrlong] = ACTIONS(6923),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6923),
    [anon_sym_BSLASHACRlong] = ACTIONS(6923),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHacrfull] = ACTIONS(6923),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6923),
    [anon_sym_BSLASHACRfull] = ACTIONS(6923),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHacs] = ACTIONS(6923),
    [anon_sym_BSLASHAcs] = ACTIONS(6923),
    [anon_sym_BSLASHacsp] = ACTIONS(6923),
    [anon_sym_BSLASHAcsp] = ACTIONS(6923),
    [anon_sym_BSLASHacl] = ACTIONS(6923),
    [anon_sym_BSLASHAcl] = ACTIONS(6923),
    [anon_sym_BSLASHaclp] = ACTIONS(6923),
    [anon_sym_BSLASHAclp] = ACTIONS(6923),
    [anon_sym_BSLASHacf] = ACTIONS(6923),
    [anon_sym_BSLASHAcf] = ACTIONS(6923),
    [anon_sym_BSLASHacfp] = ACTIONS(6923),
    [anon_sym_BSLASHAcfp] = ACTIONS(6923),
    [anon_sym_BSLASHac] = ACTIONS(6923),
    [anon_sym_BSLASHAc] = ACTIONS(6923),
    [anon_sym_BSLASHacp] = ACTIONS(6923),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6923),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6923),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6923),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6923),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6923),
    [anon_sym_BSLASHcolor] = ACTIONS(6923),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6923),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6923),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6923),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6923),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6923),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6923),
    [anon_sym_BSLASHurl] = ACTIONS(6923),
    [anon_sym_BSLASHhref] = ACTIONS(6923),
  },
  [2103] = {
    [sym_curly_group] = STATE(2166),
    [sym_command_name] = ACTIONS(6935),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6935),
    [anon_sym_LPAREN] = ACTIONS(6937),
    [anon_sym_RPAREN] = ACTIONS(6937),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(6937),
    [anon_sym_BSLASHand] = ACTIONS(6935),
    [sym_word] = ACTIONS(6935),
    [sym_placeholder] = ACTIONS(6937),
    [sym_delimiter] = ACTIONS(6937),
    [anon_sym_PLUS] = ACTIONS(6937),
    [anon_sym_DASH] = ACTIONS(6937),
    [anon_sym_STAR] = ACTIONS(6937),
    [anon_sym_SLASH] = ACTIONS(6937),
    [anon_sym_LT] = ACTIONS(6935),
    [anon_sym_GT] = ACTIONS(6935),
    [anon_sym_BANG] = ACTIONS(6935),
    [anon_sym_PIPE] = ACTIONS(6935),
    [anon_sym_COLON] = ACTIONS(6935),
    [anon_sym_SQUOTE] = ACTIONS(6935),
    [anon_sym__] = ACTIONS(6937),
    [anon_sym_CARET] = ACTIONS(6937),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6937),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6937),
    [anon_sym_DOLLAR] = ACTIONS(6935),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6937),
    [anon_sym_BSLASHleft] = ACTIONS(6935),
    [anon_sym_BSLASHbigl] = ACTIONS(6935),
    [anon_sym_BSLASHBigl] = ACTIONS(6935),
    [anon_sym_BSLASHbiggl] = ACTIONS(6935),
    [anon_sym_BSLASHBiggl] = ACTIONS(6935),
    [anon_sym_BSLASHtext] = ACTIONS(6935),
    [anon_sym_BSLASHintertext] = ACTIONS(6935),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6935),
    [anon_sym_BSLASHtitle] = ACTIONS(6935),
    [anon_sym_BSLASHauthor] = ACTIONS(6935),
    [anon_sym_BSLASHusepackage] = ACTIONS(6935),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6935),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6935),
    [anon_sym_BSLASHinclude] = ACTIONS(6935),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6935),
    [anon_sym_BSLASHinput] = ACTIONS(6935),
    [anon_sym_BSLASHsubfile] = ACTIONS(6935),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6935),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6935),
    [anon_sym_BSLASHbibliography] = ACTIONS(6935),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6935),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6935),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6935),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6935),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6935),
    [anon_sym_BSLASHimport] = ACTIONS(6935),
    [anon_sym_BSLASHsubimport] = ACTIONS(6935),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6935),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6935),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6935),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6935),
    [anon_sym_BSLASHcaption] = ACTIONS(6935),
    [anon_sym_BSLASHcite] = ACTIONS(6935),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCite] = ACTIONS(6935),
    [anon_sym_BSLASHnocite] = ACTIONS(6935),
    [anon_sym_BSLASHcitet] = ACTIONS(6935),
    [anon_sym_BSLASHcitep] = ACTIONS(6935),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteA] = ACTIONS(6935),
    [anon_sym_BSLASHciteR] = ACTIONS(6935),
    [anon_sym_BSLASHciteS] = ACTIONS(6935),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6935),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6935),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6935),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6935),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteyear] = ACTIONS(6935),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitedate] = ACTIONS(6935),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteurl] = ACTIONS(6935),
    [anon_sym_BSLASHfullcite] = ACTIONS(6935),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6935),
    [anon_sym_BSLASHcitealt] = ACTIONS(6935),
    [anon_sym_BSLASHcitealp] = ACTIONS(6935),
    [anon_sym_BSLASHcitetext] = ACTIONS(6935),
    [anon_sym_BSLASHparencite] = ACTIONS(6935),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHParencite] = ACTIONS(6935),
    [anon_sym_BSLASHfootcite] = ACTIONS(6935),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6935),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6935),
    [anon_sym_BSLASHtextcite] = ACTIONS(6935),
    [anon_sym_BSLASHTextcite] = ACTIONS(6935),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6935),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6935),
    [anon_sym_BSLASHsupercite] = ACTIONS(6935),
    [anon_sym_BSLASHautocite] = ACTIONS(6935),
    [anon_sym_BSLASHAutocite] = ACTIONS(6935),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHVolcite] = ACTIONS(6935),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHavolcite] = ACTIONS(6935),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHNotecite] = ACTIONS(6935),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHlabel] = ACTIONS(6935),
    [anon_sym_BSLASHref] = ACTIONS(6935),
    [anon_sym_BSLASHeqref] = ACTIONS(6935),
    [anon_sym_BSLASHvref] = ACTIONS(6935),
    [anon_sym_BSLASHVref] = ACTIONS(6935),
    [anon_sym_BSLASHautoref] = ACTIONS(6935),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHpageref] = ACTIONS(6935),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHautopageref] = ACTIONS(6935),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcref] = ACTIONS(6935),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCref] = ACTIONS(6935),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcpageref] = ACTIONS(6935),
    [anon_sym_BSLASHCpageref] = ACTIONS(6935),
    [anon_sym_BSLASHnamecref] = ACTIONS(6935),
    [anon_sym_BSLASHnameCref] = ACTIONS(6935),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6935),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6935),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6935),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6935),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6935),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6935),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6935),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6935),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6935),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6935),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6935),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHdef] = ACTIONS(6935),
    [anon_sym_BSLASHgdef] = ACTIONS(6935),
    [anon_sym_BSLASHedef] = ACTIONS(6935),
    [anon_sym_BSLASHxdef] = ACTIONS(6935),
    [anon_sym_BSLASHlet] = ACTIONS(6935),
    [anon_sym_BSLASHglet] = ACTIONS(6935),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6935),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6935),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6935),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6935),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6935),
    [anon_sym_BSLASHgls] = ACTIONS(6935),
    [anon_sym_BSLASHGls] = ACTIONS(6935),
    [anon_sym_BSLASHGLS] = ACTIONS(6935),
    [anon_sym_BSLASHglspl] = ACTIONS(6935),
    [anon_sym_BSLASHGlspl] = ACTIONS(6935),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6935),
    [anon_sym_BSLASHglslink] = ACTIONS(6935),
    [anon_sym_BSLASHglstext] = ACTIONS(6935),
    [anon_sym_BSLASHGlstext] = ACTIONS(6935),
    [anon_sym_BSLASHGLStext] = ACTIONS(6935),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6935),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6935),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6935),
    [anon_sym_BSLASHglsplural] = ACTIONS(6935),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6935),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6935),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHglsname] = ACTIONS(6935),
    [anon_sym_BSLASHGlsname] = ACTIONS(6935),
    [anon_sym_BSLASHGLSname] = ACTIONS(6935),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6935),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6935),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6935),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6935),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6935),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6935),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6935),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6935),
    [anon_sym_BSLASHacrshort] = ACTIONS(6935),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6935),
    [anon_sym_BSLASHACRshort] = ACTIONS(6935),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHacrlong] = ACTIONS(6935),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6935),
    [anon_sym_BSLASHACRlong] = ACTIONS(6935),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHacrfull] = ACTIONS(6935),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6935),
    [anon_sym_BSLASHACRfull] = ACTIONS(6935),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHacs] = ACTIONS(6935),
    [anon_sym_BSLASHAcs] = ACTIONS(6935),
    [anon_sym_BSLASHacsp] = ACTIONS(6935),
    [anon_sym_BSLASHAcsp] = ACTIONS(6935),
    [anon_sym_BSLASHacl] = ACTIONS(6935),
    [anon_sym_BSLASHAcl] = ACTIONS(6935),
    [anon_sym_BSLASHaclp] = ACTIONS(6935),
    [anon_sym_BSLASHAclp] = ACTIONS(6935),
    [anon_sym_BSLASHacf] = ACTIONS(6935),
    [anon_sym_BSLASHAcf] = ACTIONS(6935),
    [anon_sym_BSLASHacfp] = ACTIONS(6935),
    [anon_sym_BSLASHAcfp] = ACTIONS(6935),
    [anon_sym_BSLASHac] = ACTIONS(6935),
    [anon_sym_BSLASHAc] = ACTIONS(6935),
    [anon_sym_BSLASHacp] = ACTIONS(6935),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6935),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6935),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6935),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6935),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6935),
    [anon_sym_BSLASHcolor] = ACTIONS(6935),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6935),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6935),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6935),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6935),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6935),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6935),
    [anon_sym_BSLASHurl] = ACTIONS(6935),
    [anon_sym_BSLASHhref] = ACTIONS(6935),
  },
  [2104] = {
    [sym_command_name] = ACTIONS(6911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6911),
    [anon_sym_BSLASHfi] = ACTIONS(7861),
    [anon_sym_LPAREN] = ACTIONS(6915),
    [anon_sym_RPAREN] = ACTIONS(6915),
    [anon_sym_LBRACE] = ACTIONS(6915),
    [anon_sym_RBRACE] = ACTIONS(6915),
    [anon_sym_BSLASHand] = ACTIONS(6911),
    [sym_word] = ACTIONS(6911),
    [sym_placeholder] = ACTIONS(6915),
    [sym_delimiter] = ACTIONS(6915),
    [anon_sym_PLUS] = ACTIONS(6915),
    [anon_sym_DASH] = ACTIONS(6915),
    [anon_sym_STAR] = ACTIONS(6915),
    [anon_sym_SLASH] = ACTIONS(6915),
    [anon_sym_LT] = ACTIONS(6911),
    [anon_sym_GT] = ACTIONS(6911),
    [anon_sym_BANG] = ACTIONS(6911),
    [anon_sym_PIPE] = ACTIONS(6911),
    [anon_sym_COLON] = ACTIONS(6911),
    [anon_sym_SQUOTE] = ACTIONS(6911),
    [anon_sym__] = ACTIONS(6915),
    [anon_sym_CARET] = ACTIONS(6915),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6915),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6915),
    [anon_sym_DOLLAR] = ACTIONS(6911),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6915),
    [anon_sym_BSLASHleft] = ACTIONS(6911),
    [anon_sym_BSLASHbigl] = ACTIONS(6911),
    [anon_sym_BSLASHBigl] = ACTIONS(6911),
    [anon_sym_BSLASHbiggl] = ACTIONS(6911),
    [anon_sym_BSLASHBiggl] = ACTIONS(6911),
    [anon_sym_BSLASHtext] = ACTIONS(6911),
    [anon_sym_BSLASHintertext] = ACTIONS(6911),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6911),
    [anon_sym_BSLASHtitle] = ACTIONS(6911),
    [anon_sym_BSLASHauthor] = ACTIONS(6911),
    [anon_sym_BSLASHusepackage] = ACTIONS(6911),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6911),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6911),
    [anon_sym_BSLASHinclude] = ACTIONS(6911),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6911),
    [anon_sym_BSLASHinput] = ACTIONS(6911),
    [anon_sym_BSLASHsubfile] = ACTIONS(6911),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6911),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6911),
    [anon_sym_BSLASHbibliography] = ACTIONS(6911),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6911),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6911),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6911),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6911),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6911),
    [anon_sym_BSLASHimport] = ACTIONS(6911),
    [anon_sym_BSLASHsubimport] = ACTIONS(6911),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6911),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6911),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6911),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6911),
    [anon_sym_BSLASHcaption] = ACTIONS(6911),
    [anon_sym_BSLASHcite] = ACTIONS(6911),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCite] = ACTIONS(6911),
    [anon_sym_BSLASHnocite] = ACTIONS(6911),
    [anon_sym_BSLASHcitet] = ACTIONS(6911),
    [anon_sym_BSLASHcitep] = ACTIONS(6911),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteA] = ACTIONS(6911),
    [anon_sym_BSLASHciteR] = ACTIONS(6911),
    [anon_sym_BSLASHciteS] = ACTIONS(6911),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6911),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6911),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6911),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6911),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteyear] = ACTIONS(6911),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitedate] = ACTIONS(6911),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteurl] = ACTIONS(6911),
    [anon_sym_BSLASHfullcite] = ACTIONS(6911),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6911),
    [anon_sym_BSLASHcitealt] = ACTIONS(6911),
    [anon_sym_BSLASHcitealp] = ACTIONS(6911),
    [anon_sym_BSLASHcitetext] = ACTIONS(6911),
    [anon_sym_BSLASHparencite] = ACTIONS(6911),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHParencite] = ACTIONS(6911),
    [anon_sym_BSLASHfootcite] = ACTIONS(6911),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6911),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6911),
    [anon_sym_BSLASHtextcite] = ACTIONS(6911),
    [anon_sym_BSLASHTextcite] = ACTIONS(6911),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6911),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6911),
    [anon_sym_BSLASHsupercite] = ACTIONS(6911),
    [anon_sym_BSLASHautocite] = ACTIONS(6911),
    [anon_sym_BSLASHAutocite] = ACTIONS(6911),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHVolcite] = ACTIONS(6911),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHavolcite] = ACTIONS(6911),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHNotecite] = ACTIONS(6911),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHlabel] = ACTIONS(6911),
    [anon_sym_BSLASHref] = ACTIONS(6911),
    [anon_sym_BSLASHeqref] = ACTIONS(6911),
    [anon_sym_BSLASHvref] = ACTIONS(6911),
    [anon_sym_BSLASHVref] = ACTIONS(6911),
    [anon_sym_BSLASHautoref] = ACTIONS(6911),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHpageref] = ACTIONS(6911),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHautopageref] = ACTIONS(6911),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcref] = ACTIONS(6911),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCref] = ACTIONS(6911),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcpageref] = ACTIONS(6911),
    [anon_sym_BSLASHCpageref] = ACTIONS(6911),
    [anon_sym_BSLASHnamecref] = ACTIONS(6911),
    [anon_sym_BSLASHnameCref] = ACTIONS(6911),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6911),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6911),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6911),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6911),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6911),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6911),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6911),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6911),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6911),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6911),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6911),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHdef] = ACTIONS(6911),
    [anon_sym_BSLASHgdef] = ACTIONS(6911),
    [anon_sym_BSLASHedef] = ACTIONS(6911),
    [anon_sym_BSLASHxdef] = ACTIONS(6911),
    [anon_sym_BSLASHlet] = ACTIONS(6911),
    [anon_sym_BSLASHglet] = ACTIONS(6911),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6911),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6911),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6911),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6911),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6911),
    [anon_sym_BSLASHgls] = ACTIONS(6911),
    [anon_sym_BSLASHGls] = ACTIONS(6911),
    [anon_sym_BSLASHGLS] = ACTIONS(6911),
    [anon_sym_BSLASHglspl] = ACTIONS(6911),
    [anon_sym_BSLASHGlspl] = ACTIONS(6911),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6911),
    [anon_sym_BSLASHglslink] = ACTIONS(6911),
    [anon_sym_BSLASHglstext] = ACTIONS(6911),
    [anon_sym_BSLASHGlstext] = ACTIONS(6911),
    [anon_sym_BSLASHGLStext] = ACTIONS(6911),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6911),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6911),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6911),
    [anon_sym_BSLASHglsplural] = ACTIONS(6911),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6911),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6911),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHglsname] = ACTIONS(6911),
    [anon_sym_BSLASHGlsname] = ACTIONS(6911),
    [anon_sym_BSLASHGLSname] = ACTIONS(6911),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6911),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6911),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6911),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6911),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6911),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6911),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6911),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6911),
    [anon_sym_BSLASHacrshort] = ACTIONS(6911),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6911),
    [anon_sym_BSLASHACRshort] = ACTIONS(6911),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHacrlong] = ACTIONS(6911),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6911),
    [anon_sym_BSLASHACRlong] = ACTIONS(6911),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHacrfull] = ACTIONS(6911),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6911),
    [anon_sym_BSLASHACRfull] = ACTIONS(6911),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHacs] = ACTIONS(6911),
    [anon_sym_BSLASHAcs] = ACTIONS(6911),
    [anon_sym_BSLASHacsp] = ACTIONS(6911),
    [anon_sym_BSLASHAcsp] = ACTIONS(6911),
    [anon_sym_BSLASHacl] = ACTIONS(6911),
    [anon_sym_BSLASHAcl] = ACTIONS(6911),
    [anon_sym_BSLASHaclp] = ACTIONS(6911),
    [anon_sym_BSLASHAclp] = ACTIONS(6911),
    [anon_sym_BSLASHacf] = ACTIONS(6911),
    [anon_sym_BSLASHAcf] = ACTIONS(6911),
    [anon_sym_BSLASHacfp] = ACTIONS(6911),
    [anon_sym_BSLASHAcfp] = ACTIONS(6911),
    [anon_sym_BSLASHac] = ACTIONS(6911),
    [anon_sym_BSLASHAc] = ACTIONS(6911),
    [anon_sym_BSLASHacp] = ACTIONS(6911),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6911),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6911),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6911),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6911),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6911),
    [anon_sym_BSLASHcolor] = ACTIONS(6911),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6911),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6911),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6911),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6911),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6911),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6911),
    [anon_sym_BSLASHurl] = ACTIONS(6911),
    [anon_sym_BSLASHhref] = ACTIONS(6911),
  },
  [2105] = {
    [sym_command_name] = ACTIONS(7539),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(7541),
    [anon_sym_LPAREN] = ACTIONS(7541),
    [anon_sym_RPAREN] = ACTIONS(7541),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_RBRACE] = ACTIONS(7541),
    [anon_sym_BSLASHand] = ACTIONS(7539),
    [sym_word] = ACTIONS(7539),
    [sym_placeholder] = ACTIONS(7541),
    [sym_delimiter] = ACTIONS(7541),
    [anon_sym_PLUS] = ACTIONS(7541),
    [anon_sym_DASH] = ACTIONS(7541),
    [anon_sym_STAR] = ACTIONS(7541),
    [anon_sym_SLASH] = ACTIONS(7541),
    [anon_sym_LT] = ACTIONS(7539),
    [anon_sym_GT] = ACTIONS(7539),
    [anon_sym_BANG] = ACTIONS(7539),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_COLON] = ACTIONS(7539),
    [anon_sym_SQUOTE] = ACTIONS(7539),
    [anon_sym__] = ACTIONS(7541),
    [anon_sym_CARET] = ACTIONS(7541),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7541),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7539),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7541),
    [anon_sym_BSLASHleft] = ACTIONS(7539),
    [anon_sym_BSLASHbigl] = ACTIONS(7539),
    [anon_sym_BSLASHBigl] = ACTIONS(7539),
    [anon_sym_BSLASHbiggl] = ACTIONS(7539),
    [anon_sym_BSLASHBiggl] = ACTIONS(7539),
    [anon_sym_BSLASHtext] = ACTIONS(7539),
    [anon_sym_BSLASHintertext] = ACTIONS(7539),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7539),
    [anon_sym_BSLASHtitle] = ACTIONS(7539),
    [anon_sym_BSLASHauthor] = ACTIONS(7539),
    [anon_sym_BSLASHusepackage] = ACTIONS(7539),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7539),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7539),
    [anon_sym_BSLASHinclude] = ACTIONS(7539),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7539),
    [anon_sym_BSLASHinput] = ACTIONS(7539),
    [anon_sym_BSLASHsubfile] = ACTIONS(7539),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7539),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7539),
    [anon_sym_BSLASHbibliography] = ACTIONS(7539),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7539),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7539),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7539),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7539),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7539),
    [anon_sym_BSLASHimport] = ACTIONS(7539),
    [anon_sym_BSLASHsubimport] = ACTIONS(7539),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7539),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7539),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7539),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7539),
    [anon_sym_BSLASHcaption] = ACTIONS(7539),
    [anon_sym_BSLASHcite] = ACTIONS(7539),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCite] = ACTIONS(7539),
    [anon_sym_BSLASHnocite] = ACTIONS(7539),
    [anon_sym_BSLASHcitet] = ACTIONS(7539),
    [anon_sym_BSLASHcitep] = ACTIONS(7539),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteA] = ACTIONS(7539),
    [anon_sym_BSLASHciteR] = ACTIONS(7539),
    [anon_sym_BSLASHciteS] = ACTIONS(7539),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7539),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7539),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7539),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7539),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteyear] = ACTIONS(7539),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitedate] = ACTIONS(7539),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteurl] = ACTIONS(7539),
    [anon_sym_BSLASHfullcite] = ACTIONS(7539),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7539),
    [anon_sym_BSLASHcitealt] = ACTIONS(7539),
    [anon_sym_BSLASHcitealp] = ACTIONS(7539),
    [anon_sym_BSLASHcitetext] = ACTIONS(7539),
    [anon_sym_BSLASHparencite] = ACTIONS(7539),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHParencite] = ACTIONS(7539),
    [anon_sym_BSLASHfootcite] = ACTIONS(7539),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7539),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7539),
    [anon_sym_BSLASHtextcite] = ACTIONS(7539),
    [anon_sym_BSLASHTextcite] = ACTIONS(7539),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7539),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7539),
    [anon_sym_BSLASHsupercite] = ACTIONS(7539),
    [anon_sym_BSLASHautocite] = ACTIONS(7539),
    [anon_sym_BSLASHAutocite] = ACTIONS(7539),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHVolcite] = ACTIONS(7539),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHavolcite] = ACTIONS(7539),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHNotecite] = ACTIONS(7539),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHlabel] = ACTIONS(7539),
    [anon_sym_BSLASHref] = ACTIONS(7539),
    [anon_sym_BSLASHeqref] = ACTIONS(7539),
    [anon_sym_BSLASHvref] = ACTIONS(7539),
    [anon_sym_BSLASHVref] = ACTIONS(7539),
    [anon_sym_BSLASHautoref] = ACTIONS(7539),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHpageref] = ACTIONS(7539),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHautopageref] = ACTIONS(7539),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcref] = ACTIONS(7539),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCref] = ACTIONS(7539),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcpageref] = ACTIONS(7539),
    [anon_sym_BSLASHCpageref] = ACTIONS(7539),
    [anon_sym_BSLASHnamecref] = ACTIONS(7539),
    [anon_sym_BSLASHnameCref] = ACTIONS(7539),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7539),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7539),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7539),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7539),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7539),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7539),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7539),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7539),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7539),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7539),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7539),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHdef] = ACTIONS(7539),
    [anon_sym_BSLASHgdef] = ACTIONS(7539),
    [anon_sym_BSLASHedef] = ACTIONS(7539),
    [anon_sym_BSLASHxdef] = ACTIONS(7539),
    [anon_sym_BSLASHlet] = ACTIONS(7539),
    [anon_sym_BSLASHglet] = ACTIONS(7539),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7539),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7539),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7539),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7539),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7539),
    [anon_sym_BSLASHgls] = ACTIONS(7539),
    [anon_sym_BSLASHGls] = ACTIONS(7539),
    [anon_sym_BSLASHGLS] = ACTIONS(7539),
    [anon_sym_BSLASHglspl] = ACTIONS(7539),
    [anon_sym_BSLASHGlspl] = ACTIONS(7539),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7539),
    [anon_sym_BSLASHglslink] = ACTIONS(7539),
    [anon_sym_BSLASHglstext] = ACTIONS(7539),
    [anon_sym_BSLASHGlstext] = ACTIONS(7539),
    [anon_sym_BSLASHGLStext] = ACTIONS(7539),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7539),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7539),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7539),
    [anon_sym_BSLASHglsplural] = ACTIONS(7539),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7539),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7539),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHglsname] = ACTIONS(7539),
    [anon_sym_BSLASHGlsname] = ACTIONS(7539),
    [anon_sym_BSLASHGLSname] = ACTIONS(7539),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7539),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7539),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7539),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7539),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7539),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7539),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7539),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7539),
    [anon_sym_BSLASHacrshort] = ACTIONS(7539),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7539),
    [anon_sym_BSLASHACRshort] = ACTIONS(7539),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHacrlong] = ACTIONS(7539),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7539),
    [anon_sym_BSLASHACRlong] = ACTIONS(7539),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHacrfull] = ACTIONS(7539),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7539),
    [anon_sym_BSLASHACRfull] = ACTIONS(7539),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHacs] = ACTIONS(7539),
    [anon_sym_BSLASHAcs] = ACTIONS(7539),
    [anon_sym_BSLASHacsp] = ACTIONS(7539),
    [anon_sym_BSLASHAcsp] = ACTIONS(7539),
    [anon_sym_BSLASHacl] = ACTIONS(7539),
    [anon_sym_BSLASHAcl] = ACTIONS(7539),
    [anon_sym_BSLASHaclp] = ACTIONS(7539),
    [anon_sym_BSLASHAclp] = ACTIONS(7539),
    [anon_sym_BSLASHacf] = ACTIONS(7539),
    [anon_sym_BSLASHAcf] = ACTIONS(7539),
    [anon_sym_BSLASHacfp] = ACTIONS(7539),
    [anon_sym_BSLASHAcfp] = ACTIONS(7539),
    [anon_sym_BSLASHac] = ACTIONS(7539),
    [anon_sym_BSLASHAc] = ACTIONS(7539),
    [anon_sym_BSLASHacp] = ACTIONS(7539),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7539),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7539),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7539),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7539),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7539),
    [anon_sym_BSLASHcolor] = ACTIONS(7539),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7539),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7539),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7539),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7539),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7539),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7539),
    [anon_sym_BSLASHurl] = ACTIONS(7539),
    [anon_sym_BSLASHhref] = ACTIONS(7539),
  },
  [2106] = {
    [sym_curly_group] = STATE(2119),
    [sym_command_name] = ACTIONS(6943),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6943),
    [anon_sym_LPAREN] = ACTIONS(6945),
    [anon_sym_RPAREN] = ACTIONS(6945),
    [anon_sym_LBRACE] = ACTIONS(5387),
    [anon_sym_RBRACE] = ACTIONS(6945),
    [anon_sym_BSLASHand] = ACTIONS(6943),
    [sym_word] = ACTIONS(6943),
    [sym_placeholder] = ACTIONS(6945),
    [sym_delimiter] = ACTIONS(6945),
    [anon_sym_PLUS] = ACTIONS(6945),
    [anon_sym_DASH] = ACTIONS(6945),
    [anon_sym_STAR] = ACTIONS(6945),
    [anon_sym_SLASH] = ACTIONS(6945),
    [anon_sym_LT] = ACTIONS(6943),
    [anon_sym_GT] = ACTIONS(6943),
    [anon_sym_BANG] = ACTIONS(6943),
    [anon_sym_PIPE] = ACTIONS(6943),
    [anon_sym_COLON] = ACTIONS(6943),
    [anon_sym_SQUOTE] = ACTIONS(6943),
    [anon_sym__] = ACTIONS(6945),
    [anon_sym_CARET] = ACTIONS(6945),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(6945),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(6945),
    [anon_sym_DOLLAR] = ACTIONS(6943),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(6945),
    [anon_sym_BSLASHleft] = ACTIONS(6943),
    [anon_sym_BSLASHbigl] = ACTIONS(6943),
    [anon_sym_BSLASHBigl] = ACTIONS(6943),
    [anon_sym_BSLASHbiggl] = ACTIONS(6943),
    [anon_sym_BSLASHBiggl] = ACTIONS(6943),
    [anon_sym_BSLASHtext] = ACTIONS(6943),
    [anon_sym_BSLASHintertext] = ACTIONS(6943),
    [anon_sym_BSLASHshortintertext] = ACTIONS(6943),
    [anon_sym_BSLASHtitle] = ACTIONS(6943),
    [anon_sym_BSLASHauthor] = ACTIONS(6943),
    [anon_sym_BSLASHusepackage] = ACTIONS(6943),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6943),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6943),
    [anon_sym_BSLASHinclude] = ACTIONS(6943),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6943),
    [anon_sym_BSLASHinput] = ACTIONS(6943),
    [anon_sym_BSLASHsubfile] = ACTIONS(6943),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6943),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6943),
    [anon_sym_BSLASHbibliography] = ACTIONS(6943),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6943),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6943),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6943),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6943),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6943),
    [anon_sym_BSLASHimport] = ACTIONS(6943),
    [anon_sym_BSLASHsubimport] = ACTIONS(6943),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6943),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6943),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6943),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6943),
    [anon_sym_BSLASHcaption] = ACTIONS(6943),
    [anon_sym_BSLASHcite] = ACTIONS(6943),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCite] = ACTIONS(6943),
    [anon_sym_BSLASHnocite] = ACTIONS(6943),
    [anon_sym_BSLASHcitet] = ACTIONS(6943),
    [anon_sym_BSLASHcitep] = ACTIONS(6943),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteA] = ACTIONS(6943),
    [anon_sym_BSLASHciteR] = ACTIONS(6943),
    [anon_sym_BSLASHciteS] = ACTIONS(6943),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6943),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6943),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6943),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6943),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteyear] = ACTIONS(6943),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitedate] = ACTIONS(6943),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteurl] = ACTIONS(6943),
    [anon_sym_BSLASHfullcite] = ACTIONS(6943),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6943),
    [anon_sym_BSLASHcitealt] = ACTIONS(6943),
    [anon_sym_BSLASHcitealp] = ACTIONS(6943),
    [anon_sym_BSLASHcitetext] = ACTIONS(6943),
    [anon_sym_BSLASHparencite] = ACTIONS(6943),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHParencite] = ACTIONS(6943),
    [anon_sym_BSLASHfootcite] = ACTIONS(6943),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6943),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6943),
    [anon_sym_BSLASHtextcite] = ACTIONS(6943),
    [anon_sym_BSLASHTextcite] = ACTIONS(6943),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6943),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6943),
    [anon_sym_BSLASHsupercite] = ACTIONS(6943),
    [anon_sym_BSLASHautocite] = ACTIONS(6943),
    [anon_sym_BSLASHAutocite] = ACTIONS(6943),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHVolcite] = ACTIONS(6943),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHavolcite] = ACTIONS(6943),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHNotecite] = ACTIONS(6943),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHlabel] = ACTIONS(6943),
    [anon_sym_BSLASHref] = ACTIONS(6943),
    [anon_sym_BSLASHeqref] = ACTIONS(6943),
    [anon_sym_BSLASHvref] = ACTIONS(6943),
    [anon_sym_BSLASHVref] = ACTIONS(6943),
    [anon_sym_BSLASHautoref] = ACTIONS(6943),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHpageref] = ACTIONS(6943),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHautopageref] = ACTIONS(6943),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcref] = ACTIONS(6943),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCref] = ACTIONS(6943),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcpageref] = ACTIONS(6943),
    [anon_sym_BSLASHCpageref] = ACTIONS(6943),
    [anon_sym_BSLASHnamecref] = ACTIONS(6943),
    [anon_sym_BSLASHnameCref] = ACTIONS(6943),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6943),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6943),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6943),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6943),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6943),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6943),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6943),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6943),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6943),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6943),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6943),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHdef] = ACTIONS(6943),
    [anon_sym_BSLASHgdef] = ACTIONS(6943),
    [anon_sym_BSLASHedef] = ACTIONS(6943),
    [anon_sym_BSLASHxdef] = ACTIONS(6943),
    [anon_sym_BSLASHlet] = ACTIONS(6943),
    [anon_sym_BSLASHglet] = ACTIONS(6943),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6943),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6943),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6943),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6943),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6943),
    [anon_sym_BSLASHgls] = ACTIONS(6943),
    [anon_sym_BSLASHGls] = ACTIONS(6943),
    [anon_sym_BSLASHGLS] = ACTIONS(6943),
    [anon_sym_BSLASHglspl] = ACTIONS(6943),
    [anon_sym_BSLASHGlspl] = ACTIONS(6943),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6943),
    [anon_sym_BSLASHglslink] = ACTIONS(6943),
    [anon_sym_BSLASHglstext] = ACTIONS(6943),
    [anon_sym_BSLASHGlstext] = ACTIONS(6943),
    [anon_sym_BSLASHGLStext] = ACTIONS(6943),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6943),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6943),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6943),
    [anon_sym_BSLASHglsplural] = ACTIONS(6943),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6943),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6943),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHglsname] = ACTIONS(6943),
    [anon_sym_BSLASHGlsname] = ACTIONS(6943),
    [anon_sym_BSLASHGLSname] = ACTIONS(6943),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6943),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6943),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6943),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6943),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6943),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6943),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6943),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6943),
    [anon_sym_BSLASHacrshort] = ACTIONS(6943),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6943),
    [anon_sym_BSLASHACRshort] = ACTIONS(6943),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHacrlong] = ACTIONS(6943),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6943),
    [anon_sym_BSLASHACRlong] = ACTIONS(6943),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHacrfull] = ACTIONS(6943),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6943),
    [anon_sym_BSLASHACRfull] = ACTIONS(6943),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHacs] = ACTIONS(6943),
    [anon_sym_BSLASHAcs] = ACTIONS(6943),
    [anon_sym_BSLASHacsp] = ACTIONS(6943),
    [anon_sym_BSLASHAcsp] = ACTIONS(6943),
    [anon_sym_BSLASHacl] = ACTIONS(6943),
    [anon_sym_BSLASHAcl] = ACTIONS(6943),
    [anon_sym_BSLASHaclp] = ACTIONS(6943),
    [anon_sym_BSLASHAclp] = ACTIONS(6943),
    [anon_sym_BSLASHacf] = ACTIONS(6943),
    [anon_sym_BSLASHAcf] = ACTIONS(6943),
    [anon_sym_BSLASHacfp] = ACTIONS(6943),
    [anon_sym_BSLASHAcfp] = ACTIONS(6943),
    [anon_sym_BSLASHac] = ACTIONS(6943),
    [anon_sym_BSLASHAc] = ACTIONS(6943),
    [anon_sym_BSLASHacp] = ACTIONS(6943),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6943),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6943),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6943),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6943),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6943),
    [anon_sym_BSLASHcolor] = ACTIONS(6943),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6943),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6943),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6943),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6943),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6943),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6943),
    [anon_sym_BSLASHurl] = ACTIONS(6943),
    [anon_sym_BSLASHhref] = ACTIONS(6943),
  },
  [2107] = {
    [sym_command_name] = ACTIONS(7051),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7051),
    [anon_sym_LBRACK] = ACTIONS(7053),
    [anon_sym_LPAREN] = ACTIONS(7053),
    [anon_sym_RPAREN] = ACTIONS(7053),
    [anon_sym_LBRACE] = ACTIONS(7053),
    [anon_sym_RBRACE] = ACTIONS(7053),
    [anon_sym_BSLASHand] = ACTIONS(7051),
    [sym_word] = ACTIONS(7051),
    [sym_placeholder] = ACTIONS(7053),
    [sym_delimiter] = ACTIONS(7053),
    [anon_sym_PLUS] = ACTIONS(7053),
    [anon_sym_DASH] = ACTIONS(7053),
    [anon_sym_STAR] = ACTIONS(7053),
    [anon_sym_SLASH] = ACTIONS(7053),
    [anon_sym_LT] = ACTIONS(7051),
    [anon_sym_GT] = ACTIONS(7051),
    [anon_sym_BANG] = ACTIONS(7051),
    [anon_sym_PIPE] = ACTIONS(7051),
    [anon_sym_COLON] = ACTIONS(7051),
    [anon_sym_SQUOTE] = ACTIONS(7051),
    [anon_sym__] = ACTIONS(7053),
    [anon_sym_CARET] = ACTIONS(7053),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7053),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7053),
    [anon_sym_DOLLAR] = ACTIONS(7051),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7053),
    [anon_sym_BSLASHleft] = ACTIONS(7051),
    [anon_sym_BSLASHbigl] = ACTIONS(7051),
    [anon_sym_BSLASHBigl] = ACTIONS(7051),
    [anon_sym_BSLASHbiggl] = ACTIONS(7051),
    [anon_sym_BSLASHBiggl] = ACTIONS(7051),
    [anon_sym_BSLASHtext] = ACTIONS(7051),
    [anon_sym_BSLASHintertext] = ACTIONS(7051),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7051),
    [anon_sym_BSLASHtitle] = ACTIONS(7051),
    [anon_sym_BSLASHauthor] = ACTIONS(7051),
    [anon_sym_BSLASHusepackage] = ACTIONS(7051),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7051),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7051),
    [anon_sym_BSLASHinclude] = ACTIONS(7051),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7051),
    [anon_sym_BSLASHinput] = ACTIONS(7051),
    [anon_sym_BSLASHsubfile] = ACTIONS(7051),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7051),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7051),
    [anon_sym_BSLASHbibliography] = ACTIONS(7051),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7051),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7051),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7051),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7051),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7051),
    [anon_sym_BSLASHimport] = ACTIONS(7051),
    [anon_sym_BSLASHsubimport] = ACTIONS(7051),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7051),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7051),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7051),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7051),
    [anon_sym_BSLASHcaption] = ACTIONS(7051),
    [anon_sym_BSLASHcite] = ACTIONS(7051),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCite] = ACTIONS(7051),
    [anon_sym_BSLASHnocite] = ACTIONS(7051),
    [anon_sym_BSLASHcitet] = ACTIONS(7051),
    [anon_sym_BSLASHcitep] = ACTIONS(7051),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteA] = ACTIONS(7051),
    [anon_sym_BSLASHciteR] = ACTIONS(7051),
    [anon_sym_BSLASHciteS] = ACTIONS(7051),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7051),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7051),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7051),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7051),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteyear] = ACTIONS(7051),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitedate] = ACTIONS(7051),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteurl] = ACTIONS(7051),
    [anon_sym_BSLASHfullcite] = ACTIONS(7051),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7051),
    [anon_sym_BSLASHcitealt] = ACTIONS(7051),
    [anon_sym_BSLASHcitealp] = ACTIONS(7051),
    [anon_sym_BSLASHcitetext] = ACTIONS(7051),
    [anon_sym_BSLASHparencite] = ACTIONS(7051),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHParencite] = ACTIONS(7051),
    [anon_sym_BSLASHfootcite] = ACTIONS(7051),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7051),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7051),
    [anon_sym_BSLASHtextcite] = ACTIONS(7051),
    [anon_sym_BSLASHTextcite] = ACTIONS(7051),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7051),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7051),
    [anon_sym_BSLASHsupercite] = ACTIONS(7051),
    [anon_sym_BSLASHautocite] = ACTIONS(7051),
    [anon_sym_BSLASHAutocite] = ACTIONS(7051),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHVolcite] = ACTIONS(7051),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHavolcite] = ACTIONS(7051),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHNotecite] = ACTIONS(7051),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHlabel] = ACTIONS(7051),
    [anon_sym_BSLASHref] = ACTIONS(7051),
    [anon_sym_BSLASHeqref] = ACTIONS(7051),
    [anon_sym_BSLASHvref] = ACTIONS(7051),
    [anon_sym_BSLASHVref] = ACTIONS(7051),
    [anon_sym_BSLASHautoref] = ACTIONS(7051),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHpageref] = ACTIONS(7051),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHautopageref] = ACTIONS(7051),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcref] = ACTIONS(7051),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCref] = ACTIONS(7051),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcpageref] = ACTIONS(7051),
    [anon_sym_BSLASHCpageref] = ACTIONS(7051),
    [anon_sym_BSLASHnamecref] = ACTIONS(7051),
    [anon_sym_BSLASHnameCref] = ACTIONS(7051),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7051),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7051),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7051),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7051),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7051),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7051),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7051),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7051),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7051),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7051),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7051),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHdef] = ACTIONS(7051),
    [anon_sym_BSLASHgdef] = ACTIONS(7051),
    [anon_sym_BSLASHedef] = ACTIONS(7051),
    [anon_sym_BSLASHxdef] = ACTIONS(7051),
    [anon_sym_BSLASHlet] = ACTIONS(7051),
    [anon_sym_BSLASHglet] = ACTIONS(7051),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7051),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7051),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7051),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7051),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7051),
    [anon_sym_BSLASHgls] = ACTIONS(7051),
    [anon_sym_BSLASHGls] = ACTIONS(7051),
    [anon_sym_BSLASHGLS] = ACTIONS(7051),
    [anon_sym_BSLASHglspl] = ACTIONS(7051),
    [anon_sym_BSLASHGlspl] = ACTIONS(7051),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7051),
    [anon_sym_BSLASHglslink] = ACTIONS(7051),
    [anon_sym_BSLASHglstext] = ACTIONS(7051),
    [anon_sym_BSLASHGlstext] = ACTIONS(7051),
    [anon_sym_BSLASHGLStext] = ACTIONS(7051),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7051),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7051),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7051),
    [anon_sym_BSLASHglsplural] = ACTIONS(7051),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7051),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7051),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHglsname] = ACTIONS(7051),
    [anon_sym_BSLASHGlsname] = ACTIONS(7051),
    [anon_sym_BSLASHGLSname] = ACTIONS(7051),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7051),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7051),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7051),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7051),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7051),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7051),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7051),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7051),
    [anon_sym_BSLASHacrshort] = ACTIONS(7051),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7051),
    [anon_sym_BSLASHACRshort] = ACTIONS(7051),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHacrlong] = ACTIONS(7051),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7051),
    [anon_sym_BSLASHACRlong] = ACTIONS(7051),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHacrfull] = ACTIONS(7051),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7051),
    [anon_sym_BSLASHACRfull] = ACTIONS(7051),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHacs] = ACTIONS(7051),
    [anon_sym_BSLASHAcs] = ACTIONS(7051),
    [anon_sym_BSLASHacsp] = ACTIONS(7051),
    [anon_sym_BSLASHAcsp] = ACTIONS(7051),
    [anon_sym_BSLASHacl] = ACTIONS(7051),
    [anon_sym_BSLASHAcl] = ACTIONS(7051),
    [anon_sym_BSLASHaclp] = ACTIONS(7051),
    [anon_sym_BSLASHAclp] = ACTIONS(7051),
    [anon_sym_BSLASHacf] = ACTIONS(7051),
    [anon_sym_BSLASHAcf] = ACTIONS(7051),
    [anon_sym_BSLASHacfp] = ACTIONS(7051),
    [anon_sym_BSLASHAcfp] = ACTIONS(7051),
    [anon_sym_BSLASHac] = ACTIONS(7051),
    [anon_sym_BSLASHAc] = ACTIONS(7051),
    [anon_sym_BSLASHacp] = ACTIONS(7051),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7051),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7051),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7051),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7051),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7051),
    [anon_sym_BSLASHcolor] = ACTIONS(7051),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7051),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7051),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7051),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7051),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7051),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7051),
    [anon_sym_BSLASHurl] = ACTIONS(7051),
    [anon_sym_BSLASHhref] = ACTIONS(7051),
  },
  [2108] = {
    [sym_command_name] = ACTIONS(7195),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7195),
    [anon_sym_LPAREN] = ACTIONS(7197),
    [anon_sym_RPAREN] = ACTIONS(7197),
    [anon_sym_LBRACE] = ACTIONS(7197),
    [anon_sym_RBRACE] = ACTIONS(7197),
    [anon_sym_BSLASHand] = ACTIONS(7195),
    [sym_word] = ACTIONS(7195),
    [sym_placeholder] = ACTIONS(7197),
    [sym_delimiter] = ACTIONS(7197),
    [anon_sym_PLUS] = ACTIONS(7197),
    [anon_sym_DASH] = ACTIONS(7197),
    [anon_sym_STAR] = ACTIONS(7197),
    [anon_sym_SLASH] = ACTIONS(7197),
    [anon_sym_LT] = ACTIONS(7195),
    [anon_sym_GT] = ACTIONS(7195),
    [anon_sym_BANG] = ACTIONS(7195),
    [anon_sym_PIPE] = ACTIONS(7195),
    [anon_sym_COLON] = ACTIONS(7195),
    [anon_sym_SQUOTE] = ACTIONS(7195),
    [anon_sym__] = ACTIONS(7197),
    [anon_sym_CARET] = ACTIONS(7197),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7197),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7197),
    [anon_sym_DOLLAR] = ACTIONS(7195),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7197),
    [anon_sym_BSLASHleft] = ACTIONS(7195),
    [anon_sym_BSLASHbigl] = ACTIONS(7195),
    [anon_sym_BSLASHBigl] = ACTIONS(7195),
    [anon_sym_BSLASHbiggl] = ACTIONS(7195),
    [anon_sym_BSLASHBiggl] = ACTIONS(7195),
    [anon_sym_BSLASHtext] = ACTIONS(7195),
    [anon_sym_BSLASHintertext] = ACTIONS(7195),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7195),
    [anon_sym_BSLASHtitle] = ACTIONS(7195),
    [anon_sym_BSLASHauthor] = ACTIONS(7195),
    [anon_sym_BSLASHusepackage] = ACTIONS(7195),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7195),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7195),
    [anon_sym_BSLASHinclude] = ACTIONS(7195),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7195),
    [anon_sym_BSLASHinput] = ACTIONS(7195),
    [anon_sym_BSLASHsubfile] = ACTIONS(7195),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7195),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7195),
    [anon_sym_BSLASHbibliography] = ACTIONS(7195),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7195),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7195),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7195),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7195),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7195),
    [anon_sym_BSLASHimport] = ACTIONS(7195),
    [anon_sym_BSLASHsubimport] = ACTIONS(7195),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7195),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7195),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7195),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7195),
    [anon_sym_BSLASHcaption] = ACTIONS(7195),
    [anon_sym_BSLASHcite] = ACTIONS(7195),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCite] = ACTIONS(7195),
    [anon_sym_BSLASHnocite] = ACTIONS(7195),
    [anon_sym_BSLASHcitet] = ACTIONS(7195),
    [anon_sym_BSLASHcitep] = ACTIONS(7195),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteA] = ACTIONS(7195),
    [anon_sym_BSLASHciteR] = ACTIONS(7195),
    [anon_sym_BSLASHciteS] = ACTIONS(7195),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7195),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7195),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7195),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7195),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteyear] = ACTIONS(7195),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitedate] = ACTIONS(7195),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteurl] = ACTIONS(7195),
    [anon_sym_BSLASHfullcite] = ACTIONS(7195),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7195),
    [anon_sym_BSLASHcitealt] = ACTIONS(7195),
    [anon_sym_BSLASHcitealp] = ACTIONS(7195),
    [anon_sym_BSLASHcitetext] = ACTIONS(7195),
    [anon_sym_BSLASHparencite] = ACTIONS(7195),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHParencite] = ACTIONS(7195),
    [anon_sym_BSLASHfootcite] = ACTIONS(7195),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7195),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7195),
    [anon_sym_BSLASHtextcite] = ACTIONS(7195),
    [anon_sym_BSLASHTextcite] = ACTIONS(7195),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7195),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7195),
    [anon_sym_BSLASHsupercite] = ACTIONS(7195),
    [anon_sym_BSLASHautocite] = ACTIONS(7195),
    [anon_sym_BSLASHAutocite] = ACTIONS(7195),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHVolcite] = ACTIONS(7195),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHavolcite] = ACTIONS(7195),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHNotecite] = ACTIONS(7195),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHlabel] = ACTIONS(7195),
    [anon_sym_BSLASHref] = ACTIONS(7195),
    [anon_sym_BSLASHeqref] = ACTIONS(7195),
    [anon_sym_BSLASHvref] = ACTIONS(7195),
    [anon_sym_BSLASHVref] = ACTIONS(7195),
    [anon_sym_BSLASHautoref] = ACTIONS(7195),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHpageref] = ACTIONS(7195),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHautopageref] = ACTIONS(7195),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcref] = ACTIONS(7195),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCref] = ACTIONS(7195),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcpageref] = ACTIONS(7195),
    [anon_sym_BSLASHCpageref] = ACTIONS(7195),
    [anon_sym_BSLASHnamecref] = ACTIONS(7195),
    [anon_sym_BSLASHnameCref] = ACTIONS(7195),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7195),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7195),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7195),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7195),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7195),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7195),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7195),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7195),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7195),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7195),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7195),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHdef] = ACTIONS(7195),
    [anon_sym_BSLASHgdef] = ACTIONS(7195),
    [anon_sym_BSLASHedef] = ACTIONS(7195),
    [anon_sym_BSLASHxdef] = ACTIONS(7195),
    [anon_sym_BSLASHlet] = ACTIONS(7195),
    [anon_sym_BSLASHglet] = ACTIONS(7195),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7195),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7195),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7195),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7195),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7195),
    [anon_sym_BSLASHgls] = ACTIONS(7195),
    [anon_sym_BSLASHGls] = ACTIONS(7195),
    [anon_sym_BSLASHGLS] = ACTIONS(7195),
    [anon_sym_BSLASHglspl] = ACTIONS(7195),
    [anon_sym_BSLASHGlspl] = ACTIONS(7195),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7195),
    [anon_sym_BSLASHglslink] = ACTIONS(7195),
    [anon_sym_BSLASHglstext] = ACTIONS(7195),
    [anon_sym_BSLASHGlstext] = ACTIONS(7195),
    [anon_sym_BSLASHGLStext] = ACTIONS(7195),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7195),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7195),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7195),
    [anon_sym_BSLASHglsplural] = ACTIONS(7195),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7195),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7195),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHglsname] = ACTIONS(7195),
    [anon_sym_BSLASHGlsname] = ACTIONS(7195),
    [anon_sym_BSLASHGLSname] = ACTIONS(7195),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7195),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7195),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7195),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7195),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7195),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7195),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7195),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7195),
    [anon_sym_BSLASHacrshort] = ACTIONS(7195),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7195),
    [anon_sym_BSLASHACRshort] = ACTIONS(7195),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHacrlong] = ACTIONS(7195),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7195),
    [anon_sym_BSLASHACRlong] = ACTIONS(7195),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHacrfull] = ACTIONS(7195),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7195),
    [anon_sym_BSLASHACRfull] = ACTIONS(7195),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHacs] = ACTIONS(7195),
    [anon_sym_BSLASHAcs] = ACTIONS(7195),
    [anon_sym_BSLASHacsp] = ACTIONS(7195),
    [anon_sym_BSLASHAcsp] = ACTIONS(7195),
    [anon_sym_BSLASHacl] = ACTIONS(7195),
    [anon_sym_BSLASHAcl] = ACTIONS(7195),
    [anon_sym_BSLASHaclp] = ACTIONS(7195),
    [anon_sym_BSLASHAclp] = ACTIONS(7195),
    [anon_sym_BSLASHacf] = ACTIONS(7195),
    [anon_sym_BSLASHAcf] = ACTIONS(7195),
    [anon_sym_BSLASHacfp] = ACTIONS(7195),
    [anon_sym_BSLASHAcfp] = ACTIONS(7195),
    [anon_sym_BSLASHac] = ACTIONS(7195),
    [anon_sym_BSLASHAc] = ACTIONS(7195),
    [anon_sym_BSLASHacp] = ACTIONS(7195),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7195),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7195),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7195),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7195),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7195),
    [anon_sym_BSLASHcolor] = ACTIONS(7195),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7195),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7195),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7195),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7195),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7195),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7195),
    [anon_sym_BSLASHurl] = ACTIONS(7195),
    [anon_sym_BSLASHhref] = ACTIONS(7195),
  },
  [2109] = {
    [sym_command_name] = ACTIONS(7395),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7395),
    [anon_sym_LPAREN] = ACTIONS(7397),
    [anon_sym_RPAREN] = ACTIONS(7397),
    [anon_sym_LBRACE] = ACTIONS(7397),
    [anon_sym_RBRACE] = ACTIONS(7397),
    [anon_sym_BSLASHand] = ACTIONS(7395),
    [sym_word] = ACTIONS(7395),
    [sym_placeholder] = ACTIONS(7397),
    [sym_delimiter] = ACTIONS(7397),
    [anon_sym_PLUS] = ACTIONS(7397),
    [anon_sym_DASH] = ACTIONS(7397),
    [anon_sym_STAR] = ACTIONS(7397),
    [anon_sym_SLASH] = ACTIONS(7397),
    [anon_sym_LT] = ACTIONS(7395),
    [anon_sym_GT] = ACTIONS(7395),
    [anon_sym_BANG] = ACTIONS(7395),
    [anon_sym_PIPE] = ACTIONS(7395),
    [anon_sym_COLON] = ACTIONS(7395),
    [anon_sym_SQUOTE] = ACTIONS(7395),
    [anon_sym__] = ACTIONS(7397),
    [anon_sym_CARET] = ACTIONS(7397),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7397),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7397),
    [anon_sym_DOLLAR] = ACTIONS(7395),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7397),
    [anon_sym_BSLASHleft] = ACTIONS(7395),
    [anon_sym_BSLASHbigl] = ACTIONS(7395),
    [anon_sym_BSLASHBigl] = ACTIONS(7395),
    [anon_sym_BSLASHbiggl] = ACTIONS(7395),
    [anon_sym_BSLASHBiggl] = ACTIONS(7395),
    [anon_sym_BSLASHtext] = ACTIONS(7395),
    [anon_sym_BSLASHintertext] = ACTIONS(7395),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7395),
    [anon_sym_BSLASHtitle] = ACTIONS(7395),
    [anon_sym_BSLASHauthor] = ACTIONS(7395),
    [anon_sym_BSLASHusepackage] = ACTIONS(7395),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7395),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7395),
    [anon_sym_BSLASHinclude] = ACTIONS(7395),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7395),
    [anon_sym_BSLASHinput] = ACTIONS(7395),
    [anon_sym_BSLASHsubfile] = ACTIONS(7395),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7395),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7395),
    [anon_sym_BSLASHbibliography] = ACTIONS(7395),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7395),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7395),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7395),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7395),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7395),
    [anon_sym_BSLASHimport] = ACTIONS(7395),
    [anon_sym_BSLASHsubimport] = ACTIONS(7395),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7395),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7395),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7395),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7395),
    [anon_sym_BSLASHcaption] = ACTIONS(7395),
    [anon_sym_BSLASHcite] = ACTIONS(7395),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCite] = ACTIONS(7395),
    [anon_sym_BSLASHnocite] = ACTIONS(7395),
    [anon_sym_BSLASHcitet] = ACTIONS(7395),
    [anon_sym_BSLASHcitep] = ACTIONS(7395),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteA] = ACTIONS(7395),
    [anon_sym_BSLASHciteR] = ACTIONS(7395),
    [anon_sym_BSLASHciteS] = ACTIONS(7395),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7395),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7395),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7395),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7395),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteyear] = ACTIONS(7395),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitedate] = ACTIONS(7395),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteurl] = ACTIONS(7395),
    [anon_sym_BSLASHfullcite] = ACTIONS(7395),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7395),
    [anon_sym_BSLASHcitealt] = ACTIONS(7395),
    [anon_sym_BSLASHcitealp] = ACTIONS(7395),
    [anon_sym_BSLASHcitetext] = ACTIONS(7395),
    [anon_sym_BSLASHparencite] = ACTIONS(7395),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHParencite] = ACTIONS(7395),
    [anon_sym_BSLASHfootcite] = ACTIONS(7395),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7395),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7395),
    [anon_sym_BSLASHtextcite] = ACTIONS(7395),
    [anon_sym_BSLASHTextcite] = ACTIONS(7395),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7395),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7395),
    [anon_sym_BSLASHsupercite] = ACTIONS(7395),
    [anon_sym_BSLASHautocite] = ACTIONS(7395),
    [anon_sym_BSLASHAutocite] = ACTIONS(7395),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHVolcite] = ACTIONS(7395),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHavolcite] = ACTIONS(7395),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHNotecite] = ACTIONS(7395),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHlabel] = ACTIONS(7395),
    [anon_sym_BSLASHref] = ACTIONS(7395),
    [anon_sym_BSLASHeqref] = ACTIONS(7395),
    [anon_sym_BSLASHvref] = ACTIONS(7395),
    [anon_sym_BSLASHVref] = ACTIONS(7395),
    [anon_sym_BSLASHautoref] = ACTIONS(7395),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHpageref] = ACTIONS(7395),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHautopageref] = ACTIONS(7395),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcref] = ACTIONS(7395),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCref] = ACTIONS(7395),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcpageref] = ACTIONS(7395),
    [anon_sym_BSLASHCpageref] = ACTIONS(7395),
    [anon_sym_BSLASHnamecref] = ACTIONS(7395),
    [anon_sym_BSLASHnameCref] = ACTIONS(7395),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7395),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7395),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7395),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7395),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7395),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7395),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7395),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7395),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7395),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7395),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7395),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHdef] = ACTIONS(7395),
    [anon_sym_BSLASHgdef] = ACTIONS(7395),
    [anon_sym_BSLASHedef] = ACTIONS(7395),
    [anon_sym_BSLASHxdef] = ACTIONS(7395),
    [anon_sym_BSLASHlet] = ACTIONS(7395),
    [anon_sym_BSLASHglet] = ACTIONS(7395),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7395),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7395),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7395),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7395),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7395),
    [anon_sym_BSLASHgls] = ACTIONS(7395),
    [anon_sym_BSLASHGls] = ACTIONS(7395),
    [anon_sym_BSLASHGLS] = ACTIONS(7395),
    [anon_sym_BSLASHglspl] = ACTIONS(7395),
    [anon_sym_BSLASHGlspl] = ACTIONS(7395),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7395),
    [anon_sym_BSLASHglslink] = ACTIONS(7395),
    [anon_sym_BSLASHglstext] = ACTIONS(7395),
    [anon_sym_BSLASHGlstext] = ACTIONS(7395),
    [anon_sym_BSLASHGLStext] = ACTIONS(7395),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7395),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7395),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7395),
    [anon_sym_BSLASHglsplural] = ACTIONS(7395),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7395),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7395),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHglsname] = ACTIONS(7395),
    [anon_sym_BSLASHGlsname] = ACTIONS(7395),
    [anon_sym_BSLASHGLSname] = ACTIONS(7395),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7395),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7395),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7395),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7395),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7395),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7395),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7395),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7395),
    [anon_sym_BSLASHacrshort] = ACTIONS(7395),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7395),
    [anon_sym_BSLASHACRshort] = ACTIONS(7395),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHacrlong] = ACTIONS(7395),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7395),
    [anon_sym_BSLASHACRlong] = ACTIONS(7395),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHacrfull] = ACTIONS(7395),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7395),
    [anon_sym_BSLASHACRfull] = ACTIONS(7395),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHacs] = ACTIONS(7395),
    [anon_sym_BSLASHAcs] = ACTIONS(7395),
    [anon_sym_BSLASHacsp] = ACTIONS(7395),
    [anon_sym_BSLASHAcsp] = ACTIONS(7395),
    [anon_sym_BSLASHacl] = ACTIONS(7395),
    [anon_sym_BSLASHAcl] = ACTIONS(7395),
    [anon_sym_BSLASHaclp] = ACTIONS(7395),
    [anon_sym_BSLASHAclp] = ACTIONS(7395),
    [anon_sym_BSLASHacf] = ACTIONS(7395),
    [anon_sym_BSLASHAcf] = ACTIONS(7395),
    [anon_sym_BSLASHacfp] = ACTIONS(7395),
    [anon_sym_BSLASHAcfp] = ACTIONS(7395),
    [anon_sym_BSLASHac] = ACTIONS(7395),
    [anon_sym_BSLASHAc] = ACTIONS(7395),
    [anon_sym_BSLASHacp] = ACTIONS(7395),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7395),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7395),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7395),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7395),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7395),
    [anon_sym_BSLASHcolor] = ACTIONS(7395),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7395),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7395),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7395),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7395),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7395),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7395),
    [anon_sym_BSLASHurl] = ACTIONS(7395),
    [anon_sym_BSLASHhref] = ACTIONS(7395),
  },
  [2110] = {
    [sym_command_name] = ACTIONS(7399),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7399),
    [anon_sym_LPAREN] = ACTIONS(7401),
    [anon_sym_RPAREN] = ACTIONS(7401),
    [anon_sym_LBRACE] = ACTIONS(7401),
    [anon_sym_RBRACE] = ACTIONS(7401),
    [anon_sym_BSLASHand] = ACTIONS(7399),
    [sym_word] = ACTIONS(7399),
    [sym_placeholder] = ACTIONS(7401),
    [sym_delimiter] = ACTIONS(7401),
    [anon_sym_PLUS] = ACTIONS(7401),
    [anon_sym_DASH] = ACTIONS(7401),
    [anon_sym_STAR] = ACTIONS(7401),
    [anon_sym_SLASH] = ACTIONS(7401),
    [anon_sym_LT] = ACTIONS(7399),
    [anon_sym_GT] = ACTIONS(7399),
    [anon_sym_BANG] = ACTIONS(7399),
    [anon_sym_PIPE] = ACTIONS(7399),
    [anon_sym_COLON] = ACTIONS(7399),
    [anon_sym_SQUOTE] = ACTIONS(7399),
    [anon_sym__] = ACTIONS(7401),
    [anon_sym_CARET] = ACTIONS(7401),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7401),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7401),
    [anon_sym_DOLLAR] = ACTIONS(7399),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7401),
    [anon_sym_BSLASHleft] = ACTIONS(7399),
    [anon_sym_BSLASHbigl] = ACTIONS(7399),
    [anon_sym_BSLASHBigl] = ACTIONS(7399),
    [anon_sym_BSLASHbiggl] = ACTIONS(7399),
    [anon_sym_BSLASHBiggl] = ACTIONS(7399),
    [anon_sym_BSLASHtext] = ACTIONS(7399),
    [anon_sym_BSLASHintertext] = ACTIONS(7399),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7399),
    [anon_sym_BSLASHtitle] = ACTIONS(7399),
    [anon_sym_BSLASHauthor] = ACTIONS(7399),
    [anon_sym_BSLASHusepackage] = ACTIONS(7399),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7399),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7399),
    [anon_sym_BSLASHinclude] = ACTIONS(7399),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7399),
    [anon_sym_BSLASHinput] = ACTIONS(7399),
    [anon_sym_BSLASHsubfile] = ACTIONS(7399),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7399),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7399),
    [anon_sym_BSLASHbibliography] = ACTIONS(7399),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7399),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7399),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7399),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7399),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7399),
    [anon_sym_BSLASHimport] = ACTIONS(7399),
    [anon_sym_BSLASHsubimport] = ACTIONS(7399),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7399),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7399),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7399),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7399),
    [anon_sym_BSLASHcaption] = ACTIONS(7399),
    [anon_sym_BSLASHcite] = ACTIONS(7399),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCite] = ACTIONS(7399),
    [anon_sym_BSLASHnocite] = ACTIONS(7399),
    [anon_sym_BSLASHcitet] = ACTIONS(7399),
    [anon_sym_BSLASHcitep] = ACTIONS(7399),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteA] = ACTIONS(7399),
    [anon_sym_BSLASHciteR] = ACTIONS(7399),
    [anon_sym_BSLASHciteS] = ACTIONS(7399),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7399),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7399),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7399),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7399),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteyear] = ACTIONS(7399),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitedate] = ACTIONS(7399),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteurl] = ACTIONS(7399),
    [anon_sym_BSLASHfullcite] = ACTIONS(7399),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7399),
    [anon_sym_BSLASHcitealt] = ACTIONS(7399),
    [anon_sym_BSLASHcitealp] = ACTIONS(7399),
    [anon_sym_BSLASHcitetext] = ACTIONS(7399),
    [anon_sym_BSLASHparencite] = ACTIONS(7399),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHParencite] = ACTIONS(7399),
    [anon_sym_BSLASHfootcite] = ACTIONS(7399),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7399),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7399),
    [anon_sym_BSLASHtextcite] = ACTIONS(7399),
    [anon_sym_BSLASHTextcite] = ACTIONS(7399),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7399),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7399),
    [anon_sym_BSLASHsupercite] = ACTIONS(7399),
    [anon_sym_BSLASHautocite] = ACTIONS(7399),
    [anon_sym_BSLASHAutocite] = ACTIONS(7399),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHVolcite] = ACTIONS(7399),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHavolcite] = ACTIONS(7399),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHNotecite] = ACTIONS(7399),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHlabel] = ACTIONS(7399),
    [anon_sym_BSLASHref] = ACTIONS(7399),
    [anon_sym_BSLASHeqref] = ACTIONS(7399),
    [anon_sym_BSLASHvref] = ACTIONS(7399),
    [anon_sym_BSLASHVref] = ACTIONS(7399),
    [anon_sym_BSLASHautoref] = ACTIONS(7399),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHpageref] = ACTIONS(7399),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHautopageref] = ACTIONS(7399),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcref] = ACTIONS(7399),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCref] = ACTIONS(7399),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcpageref] = ACTIONS(7399),
    [anon_sym_BSLASHCpageref] = ACTIONS(7399),
    [anon_sym_BSLASHnamecref] = ACTIONS(7399),
    [anon_sym_BSLASHnameCref] = ACTIONS(7399),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7399),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7399),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7399),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7399),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7399),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7399),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7399),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7399),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7399),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7399),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7399),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHdef] = ACTIONS(7399),
    [anon_sym_BSLASHgdef] = ACTIONS(7399),
    [anon_sym_BSLASHedef] = ACTIONS(7399),
    [anon_sym_BSLASHxdef] = ACTIONS(7399),
    [anon_sym_BSLASHlet] = ACTIONS(7399),
    [anon_sym_BSLASHglet] = ACTIONS(7399),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7399),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7399),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7399),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7399),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7399),
    [anon_sym_BSLASHgls] = ACTIONS(7399),
    [anon_sym_BSLASHGls] = ACTIONS(7399),
    [anon_sym_BSLASHGLS] = ACTIONS(7399),
    [anon_sym_BSLASHglspl] = ACTIONS(7399),
    [anon_sym_BSLASHGlspl] = ACTIONS(7399),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7399),
    [anon_sym_BSLASHglslink] = ACTIONS(7399),
    [anon_sym_BSLASHglstext] = ACTIONS(7399),
    [anon_sym_BSLASHGlstext] = ACTIONS(7399),
    [anon_sym_BSLASHGLStext] = ACTIONS(7399),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7399),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7399),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7399),
    [anon_sym_BSLASHglsplural] = ACTIONS(7399),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7399),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7399),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHglsname] = ACTIONS(7399),
    [anon_sym_BSLASHGlsname] = ACTIONS(7399),
    [anon_sym_BSLASHGLSname] = ACTIONS(7399),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7399),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7399),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7399),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7399),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7399),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7399),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7399),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7399),
    [anon_sym_BSLASHacrshort] = ACTIONS(7399),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7399),
    [anon_sym_BSLASHACRshort] = ACTIONS(7399),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHacrlong] = ACTIONS(7399),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7399),
    [anon_sym_BSLASHACRlong] = ACTIONS(7399),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHacrfull] = ACTIONS(7399),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7399),
    [anon_sym_BSLASHACRfull] = ACTIONS(7399),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHacs] = ACTIONS(7399),
    [anon_sym_BSLASHAcs] = ACTIONS(7399),
    [anon_sym_BSLASHacsp] = ACTIONS(7399),
    [anon_sym_BSLASHAcsp] = ACTIONS(7399),
    [anon_sym_BSLASHacl] = ACTIONS(7399),
    [anon_sym_BSLASHAcl] = ACTIONS(7399),
    [anon_sym_BSLASHaclp] = ACTIONS(7399),
    [anon_sym_BSLASHAclp] = ACTIONS(7399),
    [anon_sym_BSLASHacf] = ACTIONS(7399),
    [anon_sym_BSLASHAcf] = ACTIONS(7399),
    [anon_sym_BSLASHacfp] = ACTIONS(7399),
    [anon_sym_BSLASHAcfp] = ACTIONS(7399),
    [anon_sym_BSLASHac] = ACTIONS(7399),
    [anon_sym_BSLASHAc] = ACTIONS(7399),
    [anon_sym_BSLASHacp] = ACTIONS(7399),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7399),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7399),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7399),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7399),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7399),
    [anon_sym_BSLASHcolor] = ACTIONS(7399),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7399),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7399),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7399),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7399),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7399),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7399),
    [anon_sym_BSLASHurl] = ACTIONS(7399),
    [anon_sym_BSLASHhref] = ACTIONS(7399),
  },
  [2111] = {
    [sym_command_name] = ACTIONS(7403),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7403),
    [anon_sym_LPAREN] = ACTIONS(7405),
    [anon_sym_RPAREN] = ACTIONS(7405),
    [anon_sym_LBRACE] = ACTIONS(7405),
    [anon_sym_RBRACE] = ACTIONS(7405),
    [anon_sym_BSLASHand] = ACTIONS(7403),
    [sym_word] = ACTIONS(7403),
    [sym_placeholder] = ACTIONS(7405),
    [sym_delimiter] = ACTIONS(7405),
    [anon_sym_PLUS] = ACTIONS(7405),
    [anon_sym_DASH] = ACTIONS(7405),
    [anon_sym_STAR] = ACTIONS(7405),
    [anon_sym_SLASH] = ACTIONS(7405),
    [anon_sym_LT] = ACTIONS(7403),
    [anon_sym_GT] = ACTIONS(7403),
    [anon_sym_BANG] = ACTIONS(7403),
    [anon_sym_PIPE] = ACTIONS(7403),
    [anon_sym_COLON] = ACTIONS(7403),
    [anon_sym_SQUOTE] = ACTIONS(7403),
    [anon_sym__] = ACTIONS(7405),
    [anon_sym_CARET] = ACTIONS(7405),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7405),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7405),
    [anon_sym_DOLLAR] = ACTIONS(7403),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7405),
    [anon_sym_BSLASHleft] = ACTIONS(7403),
    [anon_sym_BSLASHbigl] = ACTIONS(7403),
    [anon_sym_BSLASHBigl] = ACTIONS(7403),
    [anon_sym_BSLASHbiggl] = ACTIONS(7403),
    [anon_sym_BSLASHBiggl] = ACTIONS(7403),
    [anon_sym_BSLASHtext] = ACTIONS(7403),
    [anon_sym_BSLASHintertext] = ACTIONS(7403),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7403),
    [anon_sym_BSLASHtitle] = ACTIONS(7403),
    [anon_sym_BSLASHauthor] = ACTIONS(7403),
    [anon_sym_BSLASHusepackage] = ACTIONS(7403),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7403),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7403),
    [anon_sym_BSLASHinclude] = ACTIONS(7403),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7403),
    [anon_sym_BSLASHinput] = ACTIONS(7403),
    [anon_sym_BSLASHsubfile] = ACTIONS(7403),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7403),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7403),
    [anon_sym_BSLASHbibliography] = ACTIONS(7403),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7403),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7403),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7403),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7403),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7403),
    [anon_sym_BSLASHimport] = ACTIONS(7403),
    [anon_sym_BSLASHsubimport] = ACTIONS(7403),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7403),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7403),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7403),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7403),
    [anon_sym_BSLASHcaption] = ACTIONS(7403),
    [anon_sym_BSLASHcite] = ACTIONS(7403),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCite] = ACTIONS(7403),
    [anon_sym_BSLASHnocite] = ACTIONS(7403),
    [anon_sym_BSLASHcitet] = ACTIONS(7403),
    [anon_sym_BSLASHcitep] = ACTIONS(7403),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteA] = ACTIONS(7403),
    [anon_sym_BSLASHciteR] = ACTIONS(7403),
    [anon_sym_BSLASHciteS] = ACTIONS(7403),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7403),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7403),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7403),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7403),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteyear] = ACTIONS(7403),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitedate] = ACTIONS(7403),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteurl] = ACTIONS(7403),
    [anon_sym_BSLASHfullcite] = ACTIONS(7403),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7403),
    [anon_sym_BSLASHcitealt] = ACTIONS(7403),
    [anon_sym_BSLASHcitealp] = ACTIONS(7403),
    [anon_sym_BSLASHcitetext] = ACTIONS(7403),
    [anon_sym_BSLASHparencite] = ACTIONS(7403),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHParencite] = ACTIONS(7403),
    [anon_sym_BSLASHfootcite] = ACTIONS(7403),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7403),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7403),
    [anon_sym_BSLASHtextcite] = ACTIONS(7403),
    [anon_sym_BSLASHTextcite] = ACTIONS(7403),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7403),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7403),
    [anon_sym_BSLASHsupercite] = ACTIONS(7403),
    [anon_sym_BSLASHautocite] = ACTIONS(7403),
    [anon_sym_BSLASHAutocite] = ACTIONS(7403),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHVolcite] = ACTIONS(7403),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHavolcite] = ACTIONS(7403),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHNotecite] = ACTIONS(7403),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHlabel] = ACTIONS(7403),
    [anon_sym_BSLASHref] = ACTIONS(7403),
    [anon_sym_BSLASHeqref] = ACTIONS(7403),
    [anon_sym_BSLASHvref] = ACTIONS(7403),
    [anon_sym_BSLASHVref] = ACTIONS(7403),
    [anon_sym_BSLASHautoref] = ACTIONS(7403),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHpageref] = ACTIONS(7403),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHautopageref] = ACTIONS(7403),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcref] = ACTIONS(7403),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCref] = ACTIONS(7403),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcpageref] = ACTIONS(7403),
    [anon_sym_BSLASHCpageref] = ACTIONS(7403),
    [anon_sym_BSLASHnamecref] = ACTIONS(7403),
    [anon_sym_BSLASHnameCref] = ACTIONS(7403),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7403),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7403),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7403),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7403),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7403),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7403),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7403),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7403),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7403),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7403),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7403),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHdef] = ACTIONS(7403),
    [anon_sym_BSLASHgdef] = ACTIONS(7403),
    [anon_sym_BSLASHedef] = ACTIONS(7403),
    [anon_sym_BSLASHxdef] = ACTIONS(7403),
    [anon_sym_BSLASHlet] = ACTIONS(7403),
    [anon_sym_BSLASHglet] = ACTIONS(7403),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7403),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7403),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7403),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7403),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7403),
    [anon_sym_BSLASHgls] = ACTIONS(7403),
    [anon_sym_BSLASHGls] = ACTIONS(7403),
    [anon_sym_BSLASHGLS] = ACTIONS(7403),
    [anon_sym_BSLASHglspl] = ACTIONS(7403),
    [anon_sym_BSLASHGlspl] = ACTIONS(7403),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7403),
    [anon_sym_BSLASHglslink] = ACTIONS(7403),
    [anon_sym_BSLASHglstext] = ACTIONS(7403),
    [anon_sym_BSLASHGlstext] = ACTIONS(7403),
    [anon_sym_BSLASHGLStext] = ACTIONS(7403),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7403),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7403),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7403),
    [anon_sym_BSLASHglsplural] = ACTIONS(7403),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7403),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7403),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHglsname] = ACTIONS(7403),
    [anon_sym_BSLASHGlsname] = ACTIONS(7403),
    [anon_sym_BSLASHGLSname] = ACTIONS(7403),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7403),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7403),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7403),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7403),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7403),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7403),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7403),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7403),
    [anon_sym_BSLASHacrshort] = ACTIONS(7403),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7403),
    [anon_sym_BSLASHACRshort] = ACTIONS(7403),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHacrlong] = ACTIONS(7403),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7403),
    [anon_sym_BSLASHACRlong] = ACTIONS(7403),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHacrfull] = ACTIONS(7403),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7403),
    [anon_sym_BSLASHACRfull] = ACTIONS(7403),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHacs] = ACTIONS(7403),
    [anon_sym_BSLASHAcs] = ACTIONS(7403),
    [anon_sym_BSLASHacsp] = ACTIONS(7403),
    [anon_sym_BSLASHAcsp] = ACTIONS(7403),
    [anon_sym_BSLASHacl] = ACTIONS(7403),
    [anon_sym_BSLASHAcl] = ACTIONS(7403),
    [anon_sym_BSLASHaclp] = ACTIONS(7403),
    [anon_sym_BSLASHAclp] = ACTIONS(7403),
    [anon_sym_BSLASHacf] = ACTIONS(7403),
    [anon_sym_BSLASHAcf] = ACTIONS(7403),
    [anon_sym_BSLASHacfp] = ACTIONS(7403),
    [anon_sym_BSLASHAcfp] = ACTIONS(7403),
    [anon_sym_BSLASHac] = ACTIONS(7403),
    [anon_sym_BSLASHAc] = ACTIONS(7403),
    [anon_sym_BSLASHacp] = ACTIONS(7403),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7403),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7403),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7403),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7403),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7403),
    [anon_sym_BSLASHcolor] = ACTIONS(7403),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7403),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7403),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7403),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7403),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7403),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7403),
    [anon_sym_BSLASHurl] = ACTIONS(7403),
    [anon_sym_BSLASHhref] = ACTIONS(7403),
  },
  [2112] = {
    [sym_command_name] = ACTIONS(7407),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7407),
    [anon_sym_LPAREN] = ACTIONS(7409),
    [anon_sym_RPAREN] = ACTIONS(7409),
    [anon_sym_LBRACE] = ACTIONS(7409),
    [anon_sym_RBRACE] = ACTIONS(7409),
    [anon_sym_BSLASHand] = ACTIONS(7407),
    [sym_word] = ACTIONS(7407),
    [sym_placeholder] = ACTIONS(7409),
    [sym_delimiter] = ACTIONS(7409),
    [anon_sym_PLUS] = ACTIONS(7409),
    [anon_sym_DASH] = ACTIONS(7409),
    [anon_sym_STAR] = ACTIONS(7409),
    [anon_sym_SLASH] = ACTIONS(7409),
    [anon_sym_LT] = ACTIONS(7407),
    [anon_sym_GT] = ACTIONS(7407),
    [anon_sym_BANG] = ACTIONS(7407),
    [anon_sym_PIPE] = ACTIONS(7407),
    [anon_sym_COLON] = ACTIONS(7407),
    [anon_sym_SQUOTE] = ACTIONS(7407),
    [anon_sym__] = ACTIONS(7409),
    [anon_sym_CARET] = ACTIONS(7409),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7409),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7409),
    [anon_sym_DOLLAR] = ACTIONS(7407),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7409),
    [anon_sym_BSLASHleft] = ACTIONS(7407),
    [anon_sym_BSLASHbigl] = ACTIONS(7407),
    [anon_sym_BSLASHBigl] = ACTIONS(7407),
    [anon_sym_BSLASHbiggl] = ACTIONS(7407),
    [anon_sym_BSLASHBiggl] = ACTIONS(7407),
    [anon_sym_BSLASHtext] = ACTIONS(7407),
    [anon_sym_BSLASHintertext] = ACTIONS(7407),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7407),
    [anon_sym_BSLASHtitle] = ACTIONS(7407),
    [anon_sym_BSLASHauthor] = ACTIONS(7407),
    [anon_sym_BSLASHusepackage] = ACTIONS(7407),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7407),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7407),
    [anon_sym_BSLASHinclude] = ACTIONS(7407),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7407),
    [anon_sym_BSLASHinput] = ACTIONS(7407),
    [anon_sym_BSLASHsubfile] = ACTIONS(7407),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7407),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7407),
    [anon_sym_BSLASHbibliography] = ACTIONS(7407),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7407),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7407),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7407),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7407),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7407),
    [anon_sym_BSLASHimport] = ACTIONS(7407),
    [anon_sym_BSLASHsubimport] = ACTIONS(7407),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7407),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7407),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7407),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7407),
    [anon_sym_BSLASHcaption] = ACTIONS(7407),
    [anon_sym_BSLASHcite] = ACTIONS(7407),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCite] = ACTIONS(7407),
    [anon_sym_BSLASHnocite] = ACTIONS(7407),
    [anon_sym_BSLASHcitet] = ACTIONS(7407),
    [anon_sym_BSLASHcitep] = ACTIONS(7407),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteA] = ACTIONS(7407),
    [anon_sym_BSLASHciteR] = ACTIONS(7407),
    [anon_sym_BSLASHciteS] = ACTIONS(7407),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7407),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7407),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7407),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7407),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteyear] = ACTIONS(7407),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitedate] = ACTIONS(7407),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteurl] = ACTIONS(7407),
    [anon_sym_BSLASHfullcite] = ACTIONS(7407),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7407),
    [anon_sym_BSLASHcitealt] = ACTIONS(7407),
    [anon_sym_BSLASHcitealp] = ACTIONS(7407),
    [anon_sym_BSLASHcitetext] = ACTIONS(7407),
    [anon_sym_BSLASHparencite] = ACTIONS(7407),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHParencite] = ACTIONS(7407),
    [anon_sym_BSLASHfootcite] = ACTIONS(7407),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7407),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7407),
    [anon_sym_BSLASHtextcite] = ACTIONS(7407),
    [anon_sym_BSLASHTextcite] = ACTIONS(7407),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7407),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7407),
    [anon_sym_BSLASHsupercite] = ACTIONS(7407),
    [anon_sym_BSLASHautocite] = ACTIONS(7407),
    [anon_sym_BSLASHAutocite] = ACTIONS(7407),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHVolcite] = ACTIONS(7407),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHavolcite] = ACTIONS(7407),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHNotecite] = ACTIONS(7407),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHlabel] = ACTIONS(7407),
    [anon_sym_BSLASHref] = ACTIONS(7407),
    [anon_sym_BSLASHeqref] = ACTIONS(7407),
    [anon_sym_BSLASHvref] = ACTIONS(7407),
    [anon_sym_BSLASHVref] = ACTIONS(7407),
    [anon_sym_BSLASHautoref] = ACTIONS(7407),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHpageref] = ACTIONS(7407),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHautopageref] = ACTIONS(7407),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcref] = ACTIONS(7407),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCref] = ACTIONS(7407),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcpageref] = ACTIONS(7407),
    [anon_sym_BSLASHCpageref] = ACTIONS(7407),
    [anon_sym_BSLASHnamecref] = ACTIONS(7407),
    [anon_sym_BSLASHnameCref] = ACTIONS(7407),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7407),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7407),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7407),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7407),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7407),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7407),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7407),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7407),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7407),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7407),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7407),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHdef] = ACTIONS(7407),
    [anon_sym_BSLASHgdef] = ACTIONS(7407),
    [anon_sym_BSLASHedef] = ACTIONS(7407),
    [anon_sym_BSLASHxdef] = ACTIONS(7407),
    [anon_sym_BSLASHlet] = ACTIONS(7407),
    [anon_sym_BSLASHglet] = ACTIONS(7407),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7407),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7407),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7407),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7407),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7407),
    [anon_sym_BSLASHgls] = ACTIONS(7407),
    [anon_sym_BSLASHGls] = ACTIONS(7407),
    [anon_sym_BSLASHGLS] = ACTIONS(7407),
    [anon_sym_BSLASHglspl] = ACTIONS(7407),
    [anon_sym_BSLASHGlspl] = ACTIONS(7407),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7407),
    [anon_sym_BSLASHglslink] = ACTIONS(7407),
    [anon_sym_BSLASHglstext] = ACTIONS(7407),
    [anon_sym_BSLASHGlstext] = ACTIONS(7407),
    [anon_sym_BSLASHGLStext] = ACTIONS(7407),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7407),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7407),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7407),
    [anon_sym_BSLASHglsplural] = ACTIONS(7407),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7407),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7407),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHglsname] = ACTIONS(7407),
    [anon_sym_BSLASHGlsname] = ACTIONS(7407),
    [anon_sym_BSLASHGLSname] = ACTIONS(7407),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7407),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7407),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7407),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7407),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7407),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7407),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7407),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7407),
    [anon_sym_BSLASHacrshort] = ACTIONS(7407),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7407),
    [anon_sym_BSLASHACRshort] = ACTIONS(7407),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHacrlong] = ACTIONS(7407),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7407),
    [anon_sym_BSLASHACRlong] = ACTIONS(7407),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHacrfull] = ACTIONS(7407),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7407),
    [anon_sym_BSLASHACRfull] = ACTIONS(7407),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHacs] = ACTIONS(7407),
    [anon_sym_BSLASHAcs] = ACTIONS(7407),
    [anon_sym_BSLASHacsp] = ACTIONS(7407),
    [anon_sym_BSLASHAcsp] = ACTIONS(7407),
    [anon_sym_BSLASHacl] = ACTIONS(7407),
    [anon_sym_BSLASHAcl] = ACTIONS(7407),
    [anon_sym_BSLASHaclp] = ACTIONS(7407),
    [anon_sym_BSLASHAclp] = ACTIONS(7407),
    [anon_sym_BSLASHacf] = ACTIONS(7407),
    [anon_sym_BSLASHAcf] = ACTIONS(7407),
    [anon_sym_BSLASHacfp] = ACTIONS(7407),
    [anon_sym_BSLASHAcfp] = ACTIONS(7407),
    [anon_sym_BSLASHac] = ACTIONS(7407),
    [anon_sym_BSLASHAc] = ACTIONS(7407),
    [anon_sym_BSLASHacp] = ACTIONS(7407),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7407),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7407),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7407),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7407),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7407),
    [anon_sym_BSLASHcolor] = ACTIONS(7407),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7407),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7407),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7407),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7407),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7407),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7407),
    [anon_sym_BSLASHurl] = ACTIONS(7407),
    [anon_sym_BSLASHhref] = ACTIONS(7407),
  },
  [2113] = {
    [sym_command_name] = ACTIONS(7411),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7411),
    [anon_sym_LPAREN] = ACTIONS(7413),
    [anon_sym_RPAREN] = ACTIONS(7413),
    [anon_sym_LBRACE] = ACTIONS(7413),
    [anon_sym_RBRACE] = ACTIONS(7413),
    [anon_sym_BSLASHand] = ACTIONS(7411),
    [sym_word] = ACTIONS(7411),
    [sym_placeholder] = ACTIONS(7413),
    [sym_delimiter] = ACTIONS(7413),
    [anon_sym_PLUS] = ACTIONS(7413),
    [anon_sym_DASH] = ACTIONS(7413),
    [anon_sym_STAR] = ACTIONS(7413),
    [anon_sym_SLASH] = ACTIONS(7413),
    [anon_sym_LT] = ACTIONS(7411),
    [anon_sym_GT] = ACTIONS(7411),
    [anon_sym_BANG] = ACTIONS(7411),
    [anon_sym_PIPE] = ACTIONS(7411),
    [anon_sym_COLON] = ACTIONS(7411),
    [anon_sym_SQUOTE] = ACTIONS(7411),
    [anon_sym__] = ACTIONS(7413),
    [anon_sym_CARET] = ACTIONS(7413),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7413),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7413),
    [anon_sym_DOLLAR] = ACTIONS(7411),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7413),
    [anon_sym_BSLASHleft] = ACTIONS(7411),
    [anon_sym_BSLASHbigl] = ACTIONS(7411),
    [anon_sym_BSLASHBigl] = ACTIONS(7411),
    [anon_sym_BSLASHbiggl] = ACTIONS(7411),
    [anon_sym_BSLASHBiggl] = ACTIONS(7411),
    [anon_sym_BSLASHtext] = ACTIONS(7411),
    [anon_sym_BSLASHintertext] = ACTIONS(7411),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7411),
    [anon_sym_BSLASHtitle] = ACTIONS(7411),
    [anon_sym_BSLASHauthor] = ACTIONS(7411),
    [anon_sym_BSLASHusepackage] = ACTIONS(7411),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7411),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7411),
    [anon_sym_BSLASHinclude] = ACTIONS(7411),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7411),
    [anon_sym_BSLASHinput] = ACTIONS(7411),
    [anon_sym_BSLASHsubfile] = ACTIONS(7411),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7411),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7411),
    [anon_sym_BSLASHbibliography] = ACTIONS(7411),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7411),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7411),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7411),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7411),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7411),
    [anon_sym_BSLASHimport] = ACTIONS(7411),
    [anon_sym_BSLASHsubimport] = ACTIONS(7411),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7411),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7411),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7411),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7411),
    [anon_sym_BSLASHcaption] = ACTIONS(7411),
    [anon_sym_BSLASHcite] = ACTIONS(7411),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCite] = ACTIONS(7411),
    [anon_sym_BSLASHnocite] = ACTIONS(7411),
    [anon_sym_BSLASHcitet] = ACTIONS(7411),
    [anon_sym_BSLASHcitep] = ACTIONS(7411),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteA] = ACTIONS(7411),
    [anon_sym_BSLASHciteR] = ACTIONS(7411),
    [anon_sym_BSLASHciteS] = ACTIONS(7411),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7411),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7411),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7411),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7411),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteyear] = ACTIONS(7411),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitedate] = ACTIONS(7411),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteurl] = ACTIONS(7411),
    [anon_sym_BSLASHfullcite] = ACTIONS(7411),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7411),
    [anon_sym_BSLASHcitealt] = ACTIONS(7411),
    [anon_sym_BSLASHcitealp] = ACTIONS(7411),
    [anon_sym_BSLASHcitetext] = ACTIONS(7411),
    [anon_sym_BSLASHparencite] = ACTIONS(7411),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHParencite] = ACTIONS(7411),
    [anon_sym_BSLASHfootcite] = ACTIONS(7411),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7411),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7411),
    [anon_sym_BSLASHtextcite] = ACTIONS(7411),
    [anon_sym_BSLASHTextcite] = ACTIONS(7411),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7411),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7411),
    [anon_sym_BSLASHsupercite] = ACTIONS(7411),
    [anon_sym_BSLASHautocite] = ACTIONS(7411),
    [anon_sym_BSLASHAutocite] = ACTIONS(7411),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHVolcite] = ACTIONS(7411),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHavolcite] = ACTIONS(7411),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHNotecite] = ACTIONS(7411),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHlabel] = ACTIONS(7411),
    [anon_sym_BSLASHref] = ACTIONS(7411),
    [anon_sym_BSLASHeqref] = ACTIONS(7411),
    [anon_sym_BSLASHvref] = ACTIONS(7411),
    [anon_sym_BSLASHVref] = ACTIONS(7411),
    [anon_sym_BSLASHautoref] = ACTIONS(7411),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHpageref] = ACTIONS(7411),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHautopageref] = ACTIONS(7411),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcref] = ACTIONS(7411),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCref] = ACTIONS(7411),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcpageref] = ACTIONS(7411),
    [anon_sym_BSLASHCpageref] = ACTIONS(7411),
    [anon_sym_BSLASHnamecref] = ACTIONS(7411),
    [anon_sym_BSLASHnameCref] = ACTIONS(7411),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7411),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7411),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7411),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7411),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7411),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7411),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7411),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7411),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7411),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7411),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7411),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHdef] = ACTIONS(7411),
    [anon_sym_BSLASHgdef] = ACTIONS(7411),
    [anon_sym_BSLASHedef] = ACTIONS(7411),
    [anon_sym_BSLASHxdef] = ACTIONS(7411),
    [anon_sym_BSLASHlet] = ACTIONS(7411),
    [anon_sym_BSLASHglet] = ACTIONS(7411),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7411),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7411),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7411),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7411),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7411),
    [anon_sym_BSLASHgls] = ACTIONS(7411),
    [anon_sym_BSLASHGls] = ACTIONS(7411),
    [anon_sym_BSLASHGLS] = ACTIONS(7411),
    [anon_sym_BSLASHglspl] = ACTIONS(7411),
    [anon_sym_BSLASHGlspl] = ACTIONS(7411),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7411),
    [anon_sym_BSLASHglslink] = ACTIONS(7411),
    [anon_sym_BSLASHglstext] = ACTIONS(7411),
    [anon_sym_BSLASHGlstext] = ACTIONS(7411),
    [anon_sym_BSLASHGLStext] = ACTIONS(7411),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7411),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7411),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7411),
    [anon_sym_BSLASHglsplural] = ACTIONS(7411),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7411),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7411),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHglsname] = ACTIONS(7411),
    [anon_sym_BSLASHGlsname] = ACTIONS(7411),
    [anon_sym_BSLASHGLSname] = ACTIONS(7411),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7411),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7411),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7411),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7411),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7411),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7411),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7411),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7411),
    [anon_sym_BSLASHacrshort] = ACTIONS(7411),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7411),
    [anon_sym_BSLASHACRshort] = ACTIONS(7411),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHacrlong] = ACTIONS(7411),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7411),
    [anon_sym_BSLASHACRlong] = ACTIONS(7411),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHacrfull] = ACTIONS(7411),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7411),
    [anon_sym_BSLASHACRfull] = ACTIONS(7411),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHacs] = ACTIONS(7411),
    [anon_sym_BSLASHAcs] = ACTIONS(7411),
    [anon_sym_BSLASHacsp] = ACTIONS(7411),
    [anon_sym_BSLASHAcsp] = ACTIONS(7411),
    [anon_sym_BSLASHacl] = ACTIONS(7411),
    [anon_sym_BSLASHAcl] = ACTIONS(7411),
    [anon_sym_BSLASHaclp] = ACTIONS(7411),
    [anon_sym_BSLASHAclp] = ACTIONS(7411),
    [anon_sym_BSLASHacf] = ACTIONS(7411),
    [anon_sym_BSLASHAcf] = ACTIONS(7411),
    [anon_sym_BSLASHacfp] = ACTIONS(7411),
    [anon_sym_BSLASHAcfp] = ACTIONS(7411),
    [anon_sym_BSLASHac] = ACTIONS(7411),
    [anon_sym_BSLASHAc] = ACTIONS(7411),
    [anon_sym_BSLASHacp] = ACTIONS(7411),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7411),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7411),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7411),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7411),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7411),
    [anon_sym_BSLASHcolor] = ACTIONS(7411),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7411),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7411),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7411),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7411),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7411),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7411),
    [anon_sym_BSLASHurl] = ACTIONS(7411),
    [anon_sym_BSLASHhref] = ACTIONS(7411),
  },
  [2114] = {
    [sym_command_name] = ACTIONS(7327),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7327),
    [anon_sym_LPAREN] = ACTIONS(7329),
    [anon_sym_RPAREN] = ACTIONS(7329),
    [anon_sym_LBRACE] = ACTIONS(7329),
    [anon_sym_RBRACE] = ACTIONS(7329),
    [anon_sym_BSLASHand] = ACTIONS(7327),
    [sym_word] = ACTIONS(7327),
    [sym_placeholder] = ACTIONS(7329),
    [sym_delimiter] = ACTIONS(7329),
    [anon_sym_PLUS] = ACTIONS(7329),
    [anon_sym_DASH] = ACTIONS(7329),
    [anon_sym_STAR] = ACTIONS(7329),
    [anon_sym_SLASH] = ACTIONS(7329),
    [anon_sym_LT] = ACTIONS(7327),
    [anon_sym_GT] = ACTIONS(7327),
    [anon_sym_BANG] = ACTIONS(7327),
    [anon_sym_PIPE] = ACTIONS(7327),
    [anon_sym_COLON] = ACTIONS(7327),
    [anon_sym_SQUOTE] = ACTIONS(7327),
    [anon_sym__] = ACTIONS(7329),
    [anon_sym_CARET] = ACTIONS(7329),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7329),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7329),
    [anon_sym_DOLLAR] = ACTIONS(7327),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7329),
    [anon_sym_BSLASHleft] = ACTIONS(7327),
    [anon_sym_BSLASHbigl] = ACTIONS(7327),
    [anon_sym_BSLASHBigl] = ACTIONS(7327),
    [anon_sym_BSLASHbiggl] = ACTIONS(7327),
    [anon_sym_BSLASHBiggl] = ACTIONS(7327),
    [anon_sym_BSLASHtext] = ACTIONS(7327),
    [anon_sym_BSLASHintertext] = ACTIONS(7327),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7327),
    [anon_sym_BSLASHtitle] = ACTIONS(7327),
    [anon_sym_BSLASHauthor] = ACTIONS(7327),
    [anon_sym_BSLASHusepackage] = ACTIONS(7327),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7327),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7327),
    [anon_sym_BSLASHinclude] = ACTIONS(7327),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7327),
    [anon_sym_BSLASHinput] = ACTIONS(7327),
    [anon_sym_BSLASHsubfile] = ACTIONS(7327),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7327),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7327),
    [anon_sym_BSLASHbibliography] = ACTIONS(7327),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7327),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7327),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7327),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7327),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7327),
    [anon_sym_BSLASHimport] = ACTIONS(7327),
    [anon_sym_BSLASHsubimport] = ACTIONS(7327),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7327),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7327),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7327),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7327),
    [anon_sym_BSLASHcaption] = ACTIONS(7327),
    [anon_sym_BSLASHcite] = ACTIONS(7327),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCite] = ACTIONS(7327),
    [anon_sym_BSLASHnocite] = ACTIONS(7327),
    [anon_sym_BSLASHcitet] = ACTIONS(7327),
    [anon_sym_BSLASHcitep] = ACTIONS(7327),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteA] = ACTIONS(7327),
    [anon_sym_BSLASHciteR] = ACTIONS(7327),
    [anon_sym_BSLASHciteS] = ACTIONS(7327),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7327),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7327),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7327),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7327),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteyear] = ACTIONS(7327),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitedate] = ACTIONS(7327),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteurl] = ACTIONS(7327),
    [anon_sym_BSLASHfullcite] = ACTIONS(7327),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7327),
    [anon_sym_BSLASHcitealt] = ACTIONS(7327),
    [anon_sym_BSLASHcitealp] = ACTIONS(7327),
    [anon_sym_BSLASHcitetext] = ACTIONS(7327),
    [anon_sym_BSLASHparencite] = ACTIONS(7327),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHParencite] = ACTIONS(7327),
    [anon_sym_BSLASHfootcite] = ACTIONS(7327),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7327),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7327),
    [anon_sym_BSLASHtextcite] = ACTIONS(7327),
    [anon_sym_BSLASHTextcite] = ACTIONS(7327),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7327),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7327),
    [anon_sym_BSLASHsupercite] = ACTIONS(7327),
    [anon_sym_BSLASHautocite] = ACTIONS(7327),
    [anon_sym_BSLASHAutocite] = ACTIONS(7327),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHVolcite] = ACTIONS(7327),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHavolcite] = ACTIONS(7327),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHNotecite] = ACTIONS(7327),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHlabel] = ACTIONS(7327),
    [anon_sym_BSLASHref] = ACTIONS(7327),
    [anon_sym_BSLASHeqref] = ACTIONS(7327),
    [anon_sym_BSLASHvref] = ACTIONS(7327),
    [anon_sym_BSLASHVref] = ACTIONS(7327),
    [anon_sym_BSLASHautoref] = ACTIONS(7327),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHpageref] = ACTIONS(7327),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHautopageref] = ACTIONS(7327),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcref] = ACTIONS(7327),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCref] = ACTIONS(7327),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcpageref] = ACTIONS(7327),
    [anon_sym_BSLASHCpageref] = ACTIONS(7327),
    [anon_sym_BSLASHnamecref] = ACTIONS(7327),
    [anon_sym_BSLASHnameCref] = ACTIONS(7327),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7327),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7327),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7327),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7327),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7327),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7327),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7327),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7327),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7327),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7327),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7327),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHdef] = ACTIONS(7327),
    [anon_sym_BSLASHgdef] = ACTIONS(7327),
    [anon_sym_BSLASHedef] = ACTIONS(7327),
    [anon_sym_BSLASHxdef] = ACTIONS(7327),
    [anon_sym_BSLASHlet] = ACTIONS(7327),
    [anon_sym_BSLASHglet] = ACTIONS(7327),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7327),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7327),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7327),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7327),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7327),
    [anon_sym_BSLASHgls] = ACTIONS(7327),
    [anon_sym_BSLASHGls] = ACTIONS(7327),
    [anon_sym_BSLASHGLS] = ACTIONS(7327),
    [anon_sym_BSLASHglspl] = ACTIONS(7327),
    [anon_sym_BSLASHGlspl] = ACTIONS(7327),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7327),
    [anon_sym_BSLASHglslink] = ACTIONS(7327),
    [anon_sym_BSLASHglstext] = ACTIONS(7327),
    [anon_sym_BSLASHGlstext] = ACTIONS(7327),
    [anon_sym_BSLASHGLStext] = ACTIONS(7327),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7327),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7327),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7327),
    [anon_sym_BSLASHglsplural] = ACTIONS(7327),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7327),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7327),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHglsname] = ACTIONS(7327),
    [anon_sym_BSLASHGlsname] = ACTIONS(7327),
    [anon_sym_BSLASHGLSname] = ACTIONS(7327),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7327),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7327),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7327),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7327),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7327),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7327),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7327),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7327),
    [anon_sym_BSLASHacrshort] = ACTIONS(7327),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7327),
    [anon_sym_BSLASHACRshort] = ACTIONS(7327),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHacrlong] = ACTIONS(7327),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7327),
    [anon_sym_BSLASHACRlong] = ACTIONS(7327),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHacrfull] = ACTIONS(7327),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7327),
    [anon_sym_BSLASHACRfull] = ACTIONS(7327),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHacs] = ACTIONS(7327),
    [anon_sym_BSLASHAcs] = ACTIONS(7327),
    [anon_sym_BSLASHacsp] = ACTIONS(7327),
    [anon_sym_BSLASHAcsp] = ACTIONS(7327),
    [anon_sym_BSLASHacl] = ACTIONS(7327),
    [anon_sym_BSLASHAcl] = ACTIONS(7327),
    [anon_sym_BSLASHaclp] = ACTIONS(7327),
    [anon_sym_BSLASHAclp] = ACTIONS(7327),
    [anon_sym_BSLASHacf] = ACTIONS(7327),
    [anon_sym_BSLASHAcf] = ACTIONS(7327),
    [anon_sym_BSLASHacfp] = ACTIONS(7327),
    [anon_sym_BSLASHAcfp] = ACTIONS(7327),
    [anon_sym_BSLASHac] = ACTIONS(7327),
    [anon_sym_BSLASHAc] = ACTIONS(7327),
    [anon_sym_BSLASHacp] = ACTIONS(7327),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7327),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7327),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7327),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7327),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7327),
    [anon_sym_BSLASHcolor] = ACTIONS(7327),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7327),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7327),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7327),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7327),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7327),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7327),
    [anon_sym_BSLASHurl] = ACTIONS(7327),
    [anon_sym_BSLASHhref] = ACTIONS(7327),
  },
  [2115] = {
    [sym_command_name] = ACTIONS(169),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_RBRACE] = ACTIONS(171),
    [anon_sym_BSLASHand] = ACTIONS(169),
    [sym_word] = ACTIONS(169),
    [sym_placeholder] = ACTIONS(171),
    [sym_delimiter] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(171),
    [anon_sym_STAR] = ACTIONS(171),
    [anon_sym_SLASH] = ACTIONS(171),
    [anon_sym_LT] = ACTIONS(169),
    [anon_sym_GT] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_PIPE] = ACTIONS(169),
    [anon_sym_COLON] = ACTIONS(169),
    [anon_sym_SQUOTE] = ACTIONS(169),
    [anon_sym__] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(171),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(171),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(171),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(171),
    [anon_sym_BSLASHleft] = ACTIONS(169),
    [anon_sym_BSLASHbigl] = ACTIONS(169),
    [anon_sym_BSLASHBigl] = ACTIONS(169),
    [anon_sym_BSLASHbiggl] = ACTIONS(169),
    [anon_sym_BSLASHBiggl] = ACTIONS(169),
    [anon_sym_BSLASHtext] = ACTIONS(169),
    [anon_sym_BSLASHintertext] = ACTIONS(169),
    [anon_sym_BSLASHshortintertext] = ACTIONS(169),
    [anon_sym_BSLASHtitle] = ACTIONS(169),
    [anon_sym_BSLASHauthor] = ACTIONS(169),
    [anon_sym_BSLASHusepackage] = ACTIONS(169),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(169),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(169),
    [anon_sym_BSLASHinclude] = ACTIONS(169),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(169),
    [anon_sym_BSLASHinput] = ACTIONS(169),
    [anon_sym_BSLASHsubfile] = ACTIONS(169),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(169),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(169),
    [anon_sym_BSLASHbibliography] = ACTIONS(169),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(169),
    [anon_sym_BSLASHincludesvg] = ACTIONS(169),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(169),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(169),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(169),
    [anon_sym_BSLASHimport] = ACTIONS(169),
    [anon_sym_BSLASHsubimport] = ACTIONS(169),
    [anon_sym_BSLASHinputfrom] = ACTIONS(169),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(169),
    [anon_sym_BSLASHincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(169),
    [anon_sym_BSLASHcaption] = ACTIONS(169),
    [anon_sym_BSLASHcite] = ACTIONS(169),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCite] = ACTIONS(169),
    [anon_sym_BSLASHnocite] = ACTIONS(169),
    [anon_sym_BSLASHcitet] = ACTIONS(169),
    [anon_sym_BSLASHcitep] = ACTIONS(169),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteA] = ACTIONS(169),
    [anon_sym_BSLASHciteR] = ACTIONS(169),
    [anon_sym_BSLASHciteS] = ACTIONS(169),
    [anon_sym_BSLASHciteyearR] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor] = ACTIONS(169),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(169),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitetitle] = ACTIONS(169),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteyear] = ACTIONS(169),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcitedate] = ACTIONS(169),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(171),
    [anon_sym_BSLASHciteurl] = ACTIONS(169),
    [anon_sym_BSLASHfullcite] = ACTIONS(169),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(169),
    [anon_sym_BSLASHcitealt] = ACTIONS(169),
    [anon_sym_BSLASHcitealp] = ACTIONS(169),
    [anon_sym_BSLASHcitetext] = ACTIONS(169),
    [anon_sym_BSLASHparencite] = ACTIONS(169),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHParencite] = ACTIONS(169),
    [anon_sym_BSLASHfootcite] = ACTIONS(169),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(169),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(169),
    [anon_sym_BSLASHtextcite] = ACTIONS(169),
    [anon_sym_BSLASHTextcite] = ACTIONS(169),
    [anon_sym_BSLASHsmartcite] = ACTIONS(169),
    [anon_sym_BSLASHSmartcite] = ACTIONS(169),
    [anon_sym_BSLASHsupercite] = ACTIONS(169),
    [anon_sym_BSLASHautocite] = ACTIONS(169),
    [anon_sym_BSLASHAutocite] = ACTIONS(169),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(171),
    [anon_sym_BSLASHvolcite] = ACTIONS(169),
    [anon_sym_BSLASHVolcite] = ACTIONS(169),
    [anon_sym_BSLASHpvolcite] = ACTIONS(169),
    [anon_sym_BSLASHPvolcite] = ACTIONS(169),
    [anon_sym_BSLASHfvolcite] = ACTIONS(169),
    [anon_sym_BSLASHftvolcite] = ACTIONS(169),
    [anon_sym_BSLASHsvolcite] = ACTIONS(169),
    [anon_sym_BSLASHSvolcite] = ACTIONS(169),
    [anon_sym_BSLASHtvolcite] = ACTIONS(169),
    [anon_sym_BSLASHTvolcite] = ACTIONS(169),
    [anon_sym_BSLASHavolcite] = ACTIONS(169),
    [anon_sym_BSLASHAvolcite] = ACTIONS(169),
    [anon_sym_BSLASHnotecite] = ACTIONS(169),
    [anon_sym_BSLASHNotecite] = ACTIONS(169),
    [anon_sym_BSLASHpnotecite] = ACTIONS(169),
    [anon_sym_BSLASHPnotecite] = ACTIONS(169),
    [anon_sym_BSLASHfnotecite] = ACTIONS(169),
    [anon_sym_BSLASHlabel] = ACTIONS(169),
    [anon_sym_BSLASHref] = ACTIONS(169),
    [anon_sym_BSLASHeqref] = ACTIONS(169),
    [anon_sym_BSLASHvref] = ACTIONS(169),
    [anon_sym_BSLASHVref] = ACTIONS(169),
    [anon_sym_BSLASHautoref] = ACTIONS(169),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHpageref] = ACTIONS(169),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHautopageref] = ACTIONS(169),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcref] = ACTIONS(169),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCref] = ACTIONS(169),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpageref] = ACTIONS(169),
    [anon_sym_BSLASHCpageref] = ACTIONS(169),
    [anon_sym_BSLASHnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnameCref] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(169),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(169),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(169),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcrefrange] = ACTIONS(169),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHCrefrange] = ACTIONS(169),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(171),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(169),
    [anon_sym_BSLASHnewlabel] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand] = ACTIONS(169),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(169),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(169),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(171),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(169),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(171),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(169),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(169),
    [anon_sym_BSLASHdef] = ACTIONS(169),
    [anon_sym_BSLASHgdef] = ACTIONS(169),
    [anon_sym_BSLASHedef] = ACTIONS(169),
    [anon_sym_BSLASHxdef] = ACTIONS(169),
    [anon_sym_BSLASHlet] = ACTIONS(169),
    [anon_sym_BSLASHglet] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(169),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(169),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(169),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(169),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(169),
    [anon_sym_BSLASHgls] = ACTIONS(169),
    [anon_sym_BSLASHGls] = ACTIONS(169),
    [anon_sym_BSLASHGLS] = ACTIONS(169),
    [anon_sym_BSLASHglspl] = ACTIONS(169),
    [anon_sym_BSLASHGlspl] = ACTIONS(169),
    [anon_sym_BSLASHGLSpl] = ACTIONS(169),
    [anon_sym_BSLASHglsdisp] = ACTIONS(169),
    [anon_sym_BSLASHglslink] = ACTIONS(169),
    [anon_sym_BSLASHglstext] = ACTIONS(169),
    [anon_sym_BSLASHGlstext] = ACTIONS(169),
    [anon_sym_BSLASHGLStext] = ACTIONS(169),
    [anon_sym_BSLASHglsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(169),
    [anon_sym_BSLASHglsplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSplural] = ACTIONS(169),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(169),
    [anon_sym_BSLASHglsname] = ACTIONS(169),
    [anon_sym_BSLASHGlsname] = ACTIONS(169),
    [anon_sym_BSLASHGLSname] = ACTIONS(169),
    [anon_sym_BSLASHglssymbol] = ACTIONS(169),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(169),
    [anon_sym_BSLASHglsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(169),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(169),
    [anon_sym_BSLASHglsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(169),
    [anon_sym_BSLASHglsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(169),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(169),
    [anon_sym_BSLASHglsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(169),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(169),
    [anon_sym_BSLASHglsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(169),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(169),
    [anon_sym_BSLASHnewacronym] = ACTIONS(169),
    [anon_sym_BSLASHacrshort] = ACTIONS(169),
    [anon_sym_BSLASHAcrshort] = ACTIONS(169),
    [anon_sym_BSLASHACRshort] = ACTIONS(169),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(169),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(169),
    [anon_sym_BSLASHacrlong] = ACTIONS(169),
    [anon_sym_BSLASHAcrlong] = ACTIONS(169),
    [anon_sym_BSLASHACRlong] = ACTIONS(169),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(169),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(169),
    [anon_sym_BSLASHacrfull] = ACTIONS(169),
    [anon_sym_BSLASHAcrfull] = ACTIONS(169),
    [anon_sym_BSLASHACRfull] = ACTIONS(169),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(169),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(169),
    [anon_sym_BSLASHacs] = ACTIONS(169),
    [anon_sym_BSLASHAcs] = ACTIONS(169),
    [anon_sym_BSLASHacsp] = ACTIONS(169),
    [anon_sym_BSLASHAcsp] = ACTIONS(169),
    [anon_sym_BSLASHacl] = ACTIONS(169),
    [anon_sym_BSLASHAcl] = ACTIONS(169),
    [anon_sym_BSLASHaclp] = ACTIONS(169),
    [anon_sym_BSLASHAclp] = ACTIONS(169),
    [anon_sym_BSLASHacf] = ACTIONS(169),
    [anon_sym_BSLASHAcf] = ACTIONS(169),
    [anon_sym_BSLASHacfp] = ACTIONS(169),
    [anon_sym_BSLASHAcfp] = ACTIONS(169),
    [anon_sym_BSLASHac] = ACTIONS(169),
    [anon_sym_BSLASHAc] = ACTIONS(169),
    [anon_sym_BSLASHacp] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(169),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(169),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(169),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(169),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(169),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(171),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(169),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(169),
    [anon_sym_BSLASHcolor] = ACTIONS(169),
    [anon_sym_BSLASHpagecolor] = ACTIONS(169),
    [anon_sym_BSLASHtextcolor] = ACTIONS(169),
    [anon_sym_BSLASHmathcolor] = ACTIONS(169),
    [anon_sym_BSLASHcolorbox] = ACTIONS(169),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(169),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(169),
    [anon_sym_BSLASHurl] = ACTIONS(169),
    [anon_sym_BSLASHhref] = ACTIONS(169),
  },
  [2116] = {
    [sym_command_name] = ACTIONS(7595),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7595),
    [anon_sym_LPAREN] = ACTIONS(7597),
    [anon_sym_RPAREN] = ACTIONS(7597),
    [anon_sym_LBRACE] = ACTIONS(7597),
    [anon_sym_RBRACE] = ACTIONS(7597),
    [anon_sym_BSLASHand] = ACTIONS(7595),
    [sym_word] = ACTIONS(7595),
    [sym_placeholder] = ACTIONS(7597),
    [sym_delimiter] = ACTIONS(7597),
    [anon_sym_PLUS] = ACTIONS(7597),
    [anon_sym_DASH] = ACTIONS(7597),
    [anon_sym_STAR] = ACTIONS(7597),
    [anon_sym_SLASH] = ACTIONS(7597),
    [anon_sym_LT] = ACTIONS(7595),
    [anon_sym_GT] = ACTIONS(7595),
    [anon_sym_BANG] = ACTIONS(7595),
    [anon_sym_PIPE] = ACTIONS(7595),
    [anon_sym_COLON] = ACTIONS(7595),
    [anon_sym_SQUOTE] = ACTIONS(7595),
    [anon_sym__] = ACTIONS(7597),
    [anon_sym_CARET] = ACTIONS(7597),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7597),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7597),
    [anon_sym_DOLLAR] = ACTIONS(7595),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7597),
    [anon_sym_BSLASHleft] = ACTIONS(7595),
    [anon_sym_BSLASHbigl] = ACTIONS(7595),
    [anon_sym_BSLASHBigl] = ACTIONS(7595),
    [anon_sym_BSLASHbiggl] = ACTIONS(7595),
    [anon_sym_BSLASHBiggl] = ACTIONS(7595),
    [anon_sym_BSLASHtext] = ACTIONS(7595),
    [anon_sym_BSLASHintertext] = ACTIONS(7595),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7595),
    [anon_sym_BSLASHtitle] = ACTIONS(7595),
    [anon_sym_BSLASHauthor] = ACTIONS(7595),
    [anon_sym_BSLASHusepackage] = ACTIONS(7595),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7595),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7595),
    [anon_sym_BSLASHinclude] = ACTIONS(7595),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7595),
    [anon_sym_BSLASHinput] = ACTIONS(7595),
    [anon_sym_BSLASHsubfile] = ACTIONS(7595),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7595),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7595),
    [anon_sym_BSLASHbibliography] = ACTIONS(7595),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7595),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7595),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7595),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7595),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7595),
    [anon_sym_BSLASHimport] = ACTIONS(7595),
    [anon_sym_BSLASHsubimport] = ACTIONS(7595),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7595),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7595),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7595),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7595),
    [anon_sym_BSLASHcaption] = ACTIONS(7595),
    [anon_sym_BSLASHcite] = ACTIONS(7595),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCite] = ACTIONS(7595),
    [anon_sym_BSLASHnocite] = ACTIONS(7595),
    [anon_sym_BSLASHcitet] = ACTIONS(7595),
    [anon_sym_BSLASHcitep] = ACTIONS(7595),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteA] = ACTIONS(7595),
    [anon_sym_BSLASHciteR] = ACTIONS(7595),
    [anon_sym_BSLASHciteS] = ACTIONS(7595),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7595),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7595),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7595),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7595),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteyear] = ACTIONS(7595),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitedate] = ACTIONS(7595),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteurl] = ACTIONS(7595),
    [anon_sym_BSLASHfullcite] = ACTIONS(7595),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7595),
    [anon_sym_BSLASHcitealt] = ACTIONS(7595),
    [anon_sym_BSLASHcitealp] = ACTIONS(7595),
    [anon_sym_BSLASHcitetext] = ACTIONS(7595),
    [anon_sym_BSLASHparencite] = ACTIONS(7595),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHParencite] = ACTIONS(7595),
    [anon_sym_BSLASHfootcite] = ACTIONS(7595),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7595),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7595),
    [anon_sym_BSLASHtextcite] = ACTIONS(7595),
    [anon_sym_BSLASHTextcite] = ACTIONS(7595),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7595),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7595),
    [anon_sym_BSLASHsupercite] = ACTIONS(7595),
    [anon_sym_BSLASHautocite] = ACTIONS(7595),
    [anon_sym_BSLASHAutocite] = ACTIONS(7595),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHVolcite] = ACTIONS(7595),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHavolcite] = ACTIONS(7595),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHNotecite] = ACTIONS(7595),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHlabel] = ACTIONS(7595),
    [anon_sym_BSLASHref] = ACTIONS(7595),
    [anon_sym_BSLASHeqref] = ACTIONS(7595),
    [anon_sym_BSLASHvref] = ACTIONS(7595),
    [anon_sym_BSLASHVref] = ACTIONS(7595),
    [anon_sym_BSLASHautoref] = ACTIONS(7595),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHpageref] = ACTIONS(7595),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHautopageref] = ACTIONS(7595),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcref] = ACTIONS(7595),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCref] = ACTIONS(7595),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcpageref] = ACTIONS(7595),
    [anon_sym_BSLASHCpageref] = ACTIONS(7595),
    [anon_sym_BSLASHnamecref] = ACTIONS(7595),
    [anon_sym_BSLASHnameCref] = ACTIONS(7595),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7595),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7595),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7595),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7595),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7595),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7595),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7595),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7595),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7595),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7595),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7595),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHdef] = ACTIONS(7595),
    [anon_sym_BSLASHgdef] = ACTIONS(7595),
    [anon_sym_BSLASHedef] = ACTIONS(7595),
    [anon_sym_BSLASHxdef] = ACTIONS(7595),
    [anon_sym_BSLASHlet] = ACTIONS(7595),
    [anon_sym_BSLASHglet] = ACTIONS(7595),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7595),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7595),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7595),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7595),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7595),
    [anon_sym_BSLASHgls] = ACTIONS(7595),
    [anon_sym_BSLASHGls] = ACTIONS(7595),
    [anon_sym_BSLASHGLS] = ACTIONS(7595),
    [anon_sym_BSLASHglspl] = ACTIONS(7595),
    [anon_sym_BSLASHGlspl] = ACTIONS(7595),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7595),
    [anon_sym_BSLASHglslink] = ACTIONS(7595),
    [anon_sym_BSLASHglstext] = ACTIONS(7595),
    [anon_sym_BSLASHGlstext] = ACTIONS(7595),
    [anon_sym_BSLASHGLStext] = ACTIONS(7595),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7595),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7595),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7595),
    [anon_sym_BSLASHglsplural] = ACTIONS(7595),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7595),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7595),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHglsname] = ACTIONS(7595),
    [anon_sym_BSLASHGlsname] = ACTIONS(7595),
    [anon_sym_BSLASHGLSname] = ACTIONS(7595),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7595),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7595),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7595),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7595),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7595),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7595),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7595),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7595),
    [anon_sym_BSLASHacrshort] = ACTIONS(7595),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7595),
    [anon_sym_BSLASHACRshort] = ACTIONS(7595),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHacrlong] = ACTIONS(7595),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7595),
    [anon_sym_BSLASHACRlong] = ACTIONS(7595),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHacrfull] = ACTIONS(7595),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7595),
    [anon_sym_BSLASHACRfull] = ACTIONS(7595),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHacs] = ACTIONS(7595),
    [anon_sym_BSLASHAcs] = ACTIONS(7595),
    [anon_sym_BSLASHacsp] = ACTIONS(7595),
    [anon_sym_BSLASHAcsp] = ACTIONS(7595),
    [anon_sym_BSLASHacl] = ACTIONS(7595),
    [anon_sym_BSLASHAcl] = ACTIONS(7595),
    [anon_sym_BSLASHaclp] = ACTIONS(7595),
    [anon_sym_BSLASHAclp] = ACTIONS(7595),
    [anon_sym_BSLASHacf] = ACTIONS(7595),
    [anon_sym_BSLASHAcf] = ACTIONS(7595),
    [anon_sym_BSLASHacfp] = ACTIONS(7595),
    [anon_sym_BSLASHAcfp] = ACTIONS(7595),
    [anon_sym_BSLASHac] = ACTIONS(7595),
    [anon_sym_BSLASHAc] = ACTIONS(7595),
    [anon_sym_BSLASHacp] = ACTIONS(7595),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7595),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7595),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7595),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7595),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7595),
    [anon_sym_BSLASHcolor] = ACTIONS(7595),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7595),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7595),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7595),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7595),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7595),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7595),
    [anon_sym_BSLASHurl] = ACTIONS(7595),
    [anon_sym_BSLASHhref] = ACTIONS(7595),
  },
  [2117] = {
    [sym_command_name] = ACTIONS(7415),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7415),
    [anon_sym_LPAREN] = ACTIONS(7417),
    [anon_sym_RPAREN] = ACTIONS(7417),
    [anon_sym_LBRACE] = ACTIONS(7417),
    [anon_sym_RBRACE] = ACTIONS(7417),
    [anon_sym_BSLASHand] = ACTIONS(7415),
    [sym_word] = ACTIONS(7415),
    [sym_placeholder] = ACTIONS(7417),
    [sym_delimiter] = ACTIONS(7417),
    [anon_sym_PLUS] = ACTIONS(7417),
    [anon_sym_DASH] = ACTIONS(7417),
    [anon_sym_STAR] = ACTIONS(7417),
    [anon_sym_SLASH] = ACTIONS(7417),
    [anon_sym_LT] = ACTIONS(7415),
    [anon_sym_GT] = ACTIONS(7415),
    [anon_sym_BANG] = ACTIONS(7415),
    [anon_sym_PIPE] = ACTIONS(7415),
    [anon_sym_COLON] = ACTIONS(7415),
    [anon_sym_SQUOTE] = ACTIONS(7415),
    [anon_sym__] = ACTIONS(7417),
    [anon_sym_CARET] = ACTIONS(7417),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7417),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7417),
    [anon_sym_DOLLAR] = ACTIONS(7415),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7417),
    [anon_sym_BSLASHleft] = ACTIONS(7415),
    [anon_sym_BSLASHbigl] = ACTIONS(7415),
    [anon_sym_BSLASHBigl] = ACTIONS(7415),
    [anon_sym_BSLASHbiggl] = ACTIONS(7415),
    [anon_sym_BSLASHBiggl] = ACTIONS(7415),
    [anon_sym_BSLASHtext] = ACTIONS(7415),
    [anon_sym_BSLASHintertext] = ACTIONS(7415),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7415),
    [anon_sym_BSLASHtitle] = ACTIONS(7415),
    [anon_sym_BSLASHauthor] = ACTIONS(7415),
    [anon_sym_BSLASHusepackage] = ACTIONS(7415),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7415),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7415),
    [anon_sym_BSLASHinclude] = ACTIONS(7415),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7415),
    [anon_sym_BSLASHinput] = ACTIONS(7415),
    [anon_sym_BSLASHsubfile] = ACTIONS(7415),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7415),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7415),
    [anon_sym_BSLASHbibliography] = ACTIONS(7415),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7415),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7415),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7415),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7415),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7415),
    [anon_sym_BSLASHimport] = ACTIONS(7415),
    [anon_sym_BSLASHsubimport] = ACTIONS(7415),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7415),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7415),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7415),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7415),
    [anon_sym_BSLASHcaption] = ACTIONS(7415),
    [anon_sym_BSLASHcite] = ACTIONS(7415),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCite] = ACTIONS(7415),
    [anon_sym_BSLASHnocite] = ACTIONS(7415),
    [anon_sym_BSLASHcitet] = ACTIONS(7415),
    [anon_sym_BSLASHcitep] = ACTIONS(7415),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteA] = ACTIONS(7415),
    [anon_sym_BSLASHciteR] = ACTIONS(7415),
    [anon_sym_BSLASHciteS] = ACTIONS(7415),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7415),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7415),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7415),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7415),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteyear] = ACTIONS(7415),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitedate] = ACTIONS(7415),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteurl] = ACTIONS(7415),
    [anon_sym_BSLASHfullcite] = ACTIONS(7415),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7415),
    [anon_sym_BSLASHcitealt] = ACTIONS(7415),
    [anon_sym_BSLASHcitealp] = ACTIONS(7415),
    [anon_sym_BSLASHcitetext] = ACTIONS(7415),
    [anon_sym_BSLASHparencite] = ACTIONS(7415),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHParencite] = ACTIONS(7415),
    [anon_sym_BSLASHfootcite] = ACTIONS(7415),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7415),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7415),
    [anon_sym_BSLASHtextcite] = ACTIONS(7415),
    [anon_sym_BSLASHTextcite] = ACTIONS(7415),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7415),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7415),
    [anon_sym_BSLASHsupercite] = ACTIONS(7415),
    [anon_sym_BSLASHautocite] = ACTIONS(7415),
    [anon_sym_BSLASHAutocite] = ACTIONS(7415),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHVolcite] = ACTIONS(7415),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHavolcite] = ACTIONS(7415),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHNotecite] = ACTIONS(7415),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHlabel] = ACTIONS(7415),
    [anon_sym_BSLASHref] = ACTIONS(7415),
    [anon_sym_BSLASHeqref] = ACTIONS(7415),
    [anon_sym_BSLASHvref] = ACTIONS(7415),
    [anon_sym_BSLASHVref] = ACTIONS(7415),
    [anon_sym_BSLASHautoref] = ACTIONS(7415),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHpageref] = ACTIONS(7415),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHautopageref] = ACTIONS(7415),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcref] = ACTIONS(7415),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCref] = ACTIONS(7415),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcpageref] = ACTIONS(7415),
    [anon_sym_BSLASHCpageref] = ACTIONS(7415),
    [anon_sym_BSLASHnamecref] = ACTIONS(7415),
    [anon_sym_BSLASHnameCref] = ACTIONS(7415),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7415),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7415),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7415),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7415),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7415),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7415),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7415),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7415),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7415),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7415),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7415),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHdef] = ACTIONS(7415),
    [anon_sym_BSLASHgdef] = ACTIONS(7415),
    [anon_sym_BSLASHedef] = ACTIONS(7415),
    [anon_sym_BSLASHxdef] = ACTIONS(7415),
    [anon_sym_BSLASHlet] = ACTIONS(7415),
    [anon_sym_BSLASHglet] = ACTIONS(7415),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7415),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7415),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7415),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7415),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7415),
    [anon_sym_BSLASHgls] = ACTIONS(7415),
    [anon_sym_BSLASHGls] = ACTIONS(7415),
    [anon_sym_BSLASHGLS] = ACTIONS(7415),
    [anon_sym_BSLASHglspl] = ACTIONS(7415),
    [anon_sym_BSLASHGlspl] = ACTIONS(7415),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7415),
    [anon_sym_BSLASHglslink] = ACTIONS(7415),
    [anon_sym_BSLASHglstext] = ACTIONS(7415),
    [anon_sym_BSLASHGlstext] = ACTIONS(7415),
    [anon_sym_BSLASHGLStext] = ACTIONS(7415),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7415),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7415),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7415),
    [anon_sym_BSLASHglsplural] = ACTIONS(7415),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7415),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7415),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHglsname] = ACTIONS(7415),
    [anon_sym_BSLASHGlsname] = ACTIONS(7415),
    [anon_sym_BSLASHGLSname] = ACTIONS(7415),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7415),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7415),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7415),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7415),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7415),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7415),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7415),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7415),
    [anon_sym_BSLASHacrshort] = ACTIONS(7415),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7415),
    [anon_sym_BSLASHACRshort] = ACTIONS(7415),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHacrlong] = ACTIONS(7415),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7415),
    [anon_sym_BSLASHACRlong] = ACTIONS(7415),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHacrfull] = ACTIONS(7415),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7415),
    [anon_sym_BSLASHACRfull] = ACTIONS(7415),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHacs] = ACTIONS(7415),
    [anon_sym_BSLASHAcs] = ACTIONS(7415),
    [anon_sym_BSLASHacsp] = ACTIONS(7415),
    [anon_sym_BSLASHAcsp] = ACTIONS(7415),
    [anon_sym_BSLASHacl] = ACTIONS(7415),
    [anon_sym_BSLASHAcl] = ACTIONS(7415),
    [anon_sym_BSLASHaclp] = ACTIONS(7415),
    [anon_sym_BSLASHAclp] = ACTIONS(7415),
    [anon_sym_BSLASHacf] = ACTIONS(7415),
    [anon_sym_BSLASHAcf] = ACTIONS(7415),
    [anon_sym_BSLASHacfp] = ACTIONS(7415),
    [anon_sym_BSLASHAcfp] = ACTIONS(7415),
    [anon_sym_BSLASHac] = ACTIONS(7415),
    [anon_sym_BSLASHAc] = ACTIONS(7415),
    [anon_sym_BSLASHacp] = ACTIONS(7415),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7415),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7415),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7415),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7415),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7415),
    [anon_sym_BSLASHcolor] = ACTIONS(7415),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7415),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7415),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7415),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7415),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7415),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7415),
    [anon_sym_BSLASHurl] = ACTIONS(7415),
    [anon_sym_BSLASHhref] = ACTIONS(7415),
  },
  [2118] = {
    [sym_command_name] = ACTIONS(7331),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7331),
    [anon_sym_LPAREN] = ACTIONS(7333),
    [anon_sym_RPAREN] = ACTIONS(7333),
    [anon_sym_LBRACE] = ACTIONS(7333),
    [anon_sym_RBRACE] = ACTIONS(7333),
    [anon_sym_BSLASHand] = ACTIONS(7331),
    [sym_word] = ACTIONS(7331),
    [sym_placeholder] = ACTIONS(7333),
    [sym_delimiter] = ACTIONS(7333),
    [anon_sym_PLUS] = ACTIONS(7333),
    [anon_sym_DASH] = ACTIONS(7333),
    [anon_sym_STAR] = ACTIONS(7333),
    [anon_sym_SLASH] = ACTIONS(7333),
    [anon_sym_LT] = ACTIONS(7331),
    [anon_sym_GT] = ACTIONS(7331),
    [anon_sym_BANG] = ACTIONS(7331),
    [anon_sym_PIPE] = ACTIONS(7331),
    [anon_sym_COLON] = ACTIONS(7331),
    [anon_sym_SQUOTE] = ACTIONS(7331),
    [anon_sym__] = ACTIONS(7333),
    [anon_sym_CARET] = ACTIONS(7333),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7333),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7333),
    [anon_sym_DOLLAR] = ACTIONS(7331),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7333),
    [anon_sym_BSLASHleft] = ACTIONS(7331),
    [anon_sym_BSLASHbigl] = ACTIONS(7331),
    [anon_sym_BSLASHBigl] = ACTIONS(7331),
    [anon_sym_BSLASHbiggl] = ACTIONS(7331),
    [anon_sym_BSLASHBiggl] = ACTIONS(7331),
    [anon_sym_BSLASHtext] = ACTIONS(7331),
    [anon_sym_BSLASHintertext] = ACTIONS(7331),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7331),
    [anon_sym_BSLASHtitle] = ACTIONS(7331),
    [anon_sym_BSLASHauthor] = ACTIONS(7331),
    [anon_sym_BSLASHusepackage] = ACTIONS(7331),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7331),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7331),
    [anon_sym_BSLASHinclude] = ACTIONS(7331),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7331),
    [anon_sym_BSLASHinput] = ACTIONS(7331),
    [anon_sym_BSLASHsubfile] = ACTIONS(7331),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7331),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7331),
    [anon_sym_BSLASHbibliography] = ACTIONS(7331),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7331),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7331),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7331),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7331),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7331),
    [anon_sym_BSLASHimport] = ACTIONS(7331),
    [anon_sym_BSLASHsubimport] = ACTIONS(7331),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7331),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7331),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7331),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7331),
    [anon_sym_BSLASHcaption] = ACTIONS(7331),
    [anon_sym_BSLASHcite] = ACTIONS(7331),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCite] = ACTIONS(7331),
    [anon_sym_BSLASHnocite] = ACTIONS(7331),
    [anon_sym_BSLASHcitet] = ACTIONS(7331),
    [anon_sym_BSLASHcitep] = ACTIONS(7331),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteA] = ACTIONS(7331),
    [anon_sym_BSLASHciteR] = ACTIONS(7331),
    [anon_sym_BSLASHciteS] = ACTIONS(7331),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7331),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7331),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7331),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7331),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteyear] = ACTIONS(7331),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitedate] = ACTIONS(7331),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteurl] = ACTIONS(7331),
    [anon_sym_BSLASHfullcite] = ACTIONS(7331),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7331),
    [anon_sym_BSLASHcitealt] = ACTIONS(7331),
    [anon_sym_BSLASHcitealp] = ACTIONS(7331),
    [anon_sym_BSLASHcitetext] = ACTIONS(7331),
    [anon_sym_BSLASHparencite] = ACTIONS(7331),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHParencite] = ACTIONS(7331),
    [anon_sym_BSLASHfootcite] = ACTIONS(7331),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7331),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7331),
    [anon_sym_BSLASHtextcite] = ACTIONS(7331),
    [anon_sym_BSLASHTextcite] = ACTIONS(7331),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7331),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7331),
    [anon_sym_BSLASHsupercite] = ACTIONS(7331),
    [anon_sym_BSLASHautocite] = ACTIONS(7331),
    [anon_sym_BSLASHAutocite] = ACTIONS(7331),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHVolcite] = ACTIONS(7331),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHavolcite] = ACTIONS(7331),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHNotecite] = ACTIONS(7331),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHlabel] = ACTIONS(7331),
    [anon_sym_BSLASHref] = ACTIONS(7331),
    [anon_sym_BSLASHeqref] = ACTIONS(7331),
    [anon_sym_BSLASHvref] = ACTIONS(7331),
    [anon_sym_BSLASHVref] = ACTIONS(7331),
    [anon_sym_BSLASHautoref] = ACTIONS(7331),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHpageref] = ACTIONS(7331),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHautopageref] = ACTIONS(7331),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcref] = ACTIONS(7331),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCref] = ACTIONS(7331),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcpageref] = ACTIONS(7331),
    [anon_sym_BSLASHCpageref] = ACTIONS(7331),
    [anon_sym_BSLASHnamecref] = ACTIONS(7331),
    [anon_sym_BSLASHnameCref] = ACTIONS(7331),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7331),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7331),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7331),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7331),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7331),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7331),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7331),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7331),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7331),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7331),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7331),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHdef] = ACTIONS(7331),
    [anon_sym_BSLASHgdef] = ACTIONS(7331),
    [anon_sym_BSLASHedef] = ACTIONS(7331),
    [anon_sym_BSLASHxdef] = ACTIONS(7331),
    [anon_sym_BSLASHlet] = ACTIONS(7331),
    [anon_sym_BSLASHglet] = ACTIONS(7331),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7331),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7331),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7331),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7331),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7331),
    [anon_sym_BSLASHgls] = ACTIONS(7331),
    [anon_sym_BSLASHGls] = ACTIONS(7331),
    [anon_sym_BSLASHGLS] = ACTIONS(7331),
    [anon_sym_BSLASHglspl] = ACTIONS(7331),
    [anon_sym_BSLASHGlspl] = ACTIONS(7331),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7331),
    [anon_sym_BSLASHglslink] = ACTIONS(7331),
    [anon_sym_BSLASHglstext] = ACTIONS(7331),
    [anon_sym_BSLASHGlstext] = ACTIONS(7331),
    [anon_sym_BSLASHGLStext] = ACTIONS(7331),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7331),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7331),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7331),
    [anon_sym_BSLASHglsplural] = ACTIONS(7331),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7331),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7331),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHglsname] = ACTIONS(7331),
    [anon_sym_BSLASHGlsname] = ACTIONS(7331),
    [anon_sym_BSLASHGLSname] = ACTIONS(7331),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7331),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7331),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7331),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7331),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7331),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7331),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7331),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7331),
    [anon_sym_BSLASHacrshort] = ACTIONS(7331),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7331),
    [anon_sym_BSLASHACRshort] = ACTIONS(7331),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHacrlong] = ACTIONS(7331),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7331),
    [anon_sym_BSLASHACRlong] = ACTIONS(7331),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHacrfull] = ACTIONS(7331),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7331),
    [anon_sym_BSLASHACRfull] = ACTIONS(7331),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHacs] = ACTIONS(7331),
    [anon_sym_BSLASHAcs] = ACTIONS(7331),
    [anon_sym_BSLASHacsp] = ACTIONS(7331),
    [anon_sym_BSLASHAcsp] = ACTIONS(7331),
    [anon_sym_BSLASHacl] = ACTIONS(7331),
    [anon_sym_BSLASHAcl] = ACTIONS(7331),
    [anon_sym_BSLASHaclp] = ACTIONS(7331),
    [anon_sym_BSLASHAclp] = ACTIONS(7331),
    [anon_sym_BSLASHacf] = ACTIONS(7331),
    [anon_sym_BSLASHAcf] = ACTIONS(7331),
    [anon_sym_BSLASHacfp] = ACTIONS(7331),
    [anon_sym_BSLASHAcfp] = ACTIONS(7331),
    [anon_sym_BSLASHac] = ACTIONS(7331),
    [anon_sym_BSLASHAc] = ACTIONS(7331),
    [anon_sym_BSLASHacp] = ACTIONS(7331),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7331),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7331),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7331),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7331),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7331),
    [anon_sym_BSLASHcolor] = ACTIONS(7331),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7331),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7331),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7331),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7331),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7331),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7331),
    [anon_sym_BSLASHurl] = ACTIONS(7331),
    [anon_sym_BSLASHhref] = ACTIONS(7331),
  },
  [2119] = {
    [sym_command_name] = ACTIONS(7419),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7419),
    [anon_sym_LPAREN] = ACTIONS(7421),
    [anon_sym_RPAREN] = ACTIONS(7421),
    [anon_sym_LBRACE] = ACTIONS(7421),
    [anon_sym_RBRACE] = ACTIONS(7421),
    [anon_sym_BSLASHand] = ACTIONS(7419),
    [sym_word] = ACTIONS(7419),
    [sym_placeholder] = ACTIONS(7421),
    [sym_delimiter] = ACTIONS(7421),
    [anon_sym_PLUS] = ACTIONS(7421),
    [anon_sym_DASH] = ACTIONS(7421),
    [anon_sym_STAR] = ACTIONS(7421),
    [anon_sym_SLASH] = ACTIONS(7421),
    [anon_sym_LT] = ACTIONS(7419),
    [anon_sym_GT] = ACTIONS(7419),
    [anon_sym_BANG] = ACTIONS(7419),
    [anon_sym_PIPE] = ACTIONS(7419),
    [anon_sym_COLON] = ACTIONS(7419),
    [anon_sym_SQUOTE] = ACTIONS(7419),
    [anon_sym__] = ACTIONS(7421),
    [anon_sym_CARET] = ACTIONS(7421),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7421),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7421),
    [anon_sym_DOLLAR] = ACTIONS(7419),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7421),
    [anon_sym_BSLASHleft] = ACTIONS(7419),
    [anon_sym_BSLASHbigl] = ACTIONS(7419),
    [anon_sym_BSLASHBigl] = ACTIONS(7419),
    [anon_sym_BSLASHbiggl] = ACTIONS(7419),
    [anon_sym_BSLASHBiggl] = ACTIONS(7419),
    [anon_sym_BSLASHtext] = ACTIONS(7419),
    [anon_sym_BSLASHintertext] = ACTIONS(7419),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7419),
    [anon_sym_BSLASHtitle] = ACTIONS(7419),
    [anon_sym_BSLASHauthor] = ACTIONS(7419),
    [anon_sym_BSLASHusepackage] = ACTIONS(7419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7419),
    [anon_sym_BSLASHinclude] = ACTIONS(7419),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7419),
    [anon_sym_BSLASHinput] = ACTIONS(7419),
    [anon_sym_BSLASHsubfile] = ACTIONS(7419),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7419),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7419),
    [anon_sym_BSLASHbibliography] = ACTIONS(7419),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7419),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7419),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7419),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7419),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7419),
    [anon_sym_BSLASHimport] = ACTIONS(7419),
    [anon_sym_BSLASHsubimport] = ACTIONS(7419),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7419),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7419),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7419),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7419),
    [anon_sym_BSLASHcaption] = ACTIONS(7419),
    [anon_sym_BSLASHcite] = ACTIONS(7419),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCite] = ACTIONS(7419),
    [anon_sym_BSLASHnocite] = ACTIONS(7419),
    [anon_sym_BSLASHcitet] = ACTIONS(7419),
    [anon_sym_BSLASHcitep] = ACTIONS(7419),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteA] = ACTIONS(7419),
    [anon_sym_BSLASHciteR] = ACTIONS(7419),
    [anon_sym_BSLASHciteS] = ACTIONS(7419),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7419),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7419),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7419),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7419),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteyear] = ACTIONS(7419),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitedate] = ACTIONS(7419),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteurl] = ACTIONS(7419),
    [anon_sym_BSLASHfullcite] = ACTIONS(7419),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7419),
    [anon_sym_BSLASHcitealt] = ACTIONS(7419),
    [anon_sym_BSLASHcitealp] = ACTIONS(7419),
    [anon_sym_BSLASHcitetext] = ACTIONS(7419),
    [anon_sym_BSLASHparencite] = ACTIONS(7419),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHParencite] = ACTIONS(7419),
    [anon_sym_BSLASHfootcite] = ACTIONS(7419),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7419),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7419),
    [anon_sym_BSLASHtextcite] = ACTIONS(7419),
    [anon_sym_BSLASHTextcite] = ACTIONS(7419),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7419),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7419),
    [anon_sym_BSLASHsupercite] = ACTIONS(7419),
    [anon_sym_BSLASHautocite] = ACTIONS(7419),
    [anon_sym_BSLASHAutocite] = ACTIONS(7419),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHVolcite] = ACTIONS(7419),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHavolcite] = ACTIONS(7419),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHNotecite] = ACTIONS(7419),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHlabel] = ACTIONS(7419),
    [anon_sym_BSLASHref] = ACTIONS(7419),
    [anon_sym_BSLASHeqref] = ACTIONS(7419),
    [anon_sym_BSLASHvref] = ACTIONS(7419),
    [anon_sym_BSLASHVref] = ACTIONS(7419),
    [anon_sym_BSLASHautoref] = ACTIONS(7419),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHpageref] = ACTIONS(7419),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHautopageref] = ACTIONS(7419),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcref] = ACTIONS(7419),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCref] = ACTIONS(7419),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcpageref] = ACTIONS(7419),
    [anon_sym_BSLASHCpageref] = ACTIONS(7419),
    [anon_sym_BSLASHnamecref] = ACTIONS(7419),
    [anon_sym_BSLASHnameCref] = ACTIONS(7419),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7419),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7419),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7419),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7419),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7419),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7419),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7419),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7419),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7419),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7419),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7419),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHdef] = ACTIONS(7419),
    [anon_sym_BSLASHgdef] = ACTIONS(7419),
    [anon_sym_BSLASHedef] = ACTIONS(7419),
    [anon_sym_BSLASHxdef] = ACTIONS(7419),
    [anon_sym_BSLASHlet] = ACTIONS(7419),
    [anon_sym_BSLASHglet] = ACTIONS(7419),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7419),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7419),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7419),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7419),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7419),
    [anon_sym_BSLASHgls] = ACTIONS(7419),
    [anon_sym_BSLASHGls] = ACTIONS(7419),
    [anon_sym_BSLASHGLS] = ACTIONS(7419),
    [anon_sym_BSLASHglspl] = ACTIONS(7419),
    [anon_sym_BSLASHGlspl] = ACTIONS(7419),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7419),
    [anon_sym_BSLASHglslink] = ACTIONS(7419),
    [anon_sym_BSLASHglstext] = ACTIONS(7419),
    [anon_sym_BSLASHGlstext] = ACTIONS(7419),
    [anon_sym_BSLASHGLStext] = ACTIONS(7419),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7419),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7419),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7419),
    [anon_sym_BSLASHglsplural] = ACTIONS(7419),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7419),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7419),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHglsname] = ACTIONS(7419),
    [anon_sym_BSLASHGlsname] = ACTIONS(7419),
    [anon_sym_BSLASHGLSname] = ACTIONS(7419),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7419),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7419),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7419),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7419),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7419),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7419),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7419),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7419),
    [anon_sym_BSLASHacrshort] = ACTIONS(7419),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7419),
    [anon_sym_BSLASHACRshort] = ACTIONS(7419),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHacrlong] = ACTIONS(7419),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7419),
    [anon_sym_BSLASHACRlong] = ACTIONS(7419),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHacrfull] = ACTIONS(7419),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7419),
    [anon_sym_BSLASHACRfull] = ACTIONS(7419),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHacs] = ACTIONS(7419),
    [anon_sym_BSLASHAcs] = ACTIONS(7419),
    [anon_sym_BSLASHacsp] = ACTIONS(7419),
    [anon_sym_BSLASHAcsp] = ACTIONS(7419),
    [anon_sym_BSLASHacl] = ACTIONS(7419),
    [anon_sym_BSLASHAcl] = ACTIONS(7419),
    [anon_sym_BSLASHaclp] = ACTIONS(7419),
    [anon_sym_BSLASHAclp] = ACTIONS(7419),
    [anon_sym_BSLASHacf] = ACTIONS(7419),
    [anon_sym_BSLASHAcf] = ACTIONS(7419),
    [anon_sym_BSLASHacfp] = ACTIONS(7419),
    [anon_sym_BSLASHAcfp] = ACTIONS(7419),
    [anon_sym_BSLASHac] = ACTIONS(7419),
    [anon_sym_BSLASHAc] = ACTIONS(7419),
    [anon_sym_BSLASHacp] = ACTIONS(7419),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7419),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7419),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7419),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7419),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7419),
    [anon_sym_BSLASHcolor] = ACTIONS(7419),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7419),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7419),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7419),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7419),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7419),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7419),
    [anon_sym_BSLASHurl] = ACTIONS(7419),
    [anon_sym_BSLASHhref] = ACTIONS(7419),
  },
  [2120] = {
    [sym_command_name] = ACTIONS(7043),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7043),
    [anon_sym_LPAREN] = ACTIONS(7045),
    [anon_sym_RPAREN] = ACTIONS(7045),
    [anon_sym_LBRACE] = ACTIONS(7045),
    [anon_sym_RBRACE] = ACTIONS(7045),
    [anon_sym_BSLASHand] = ACTIONS(7043),
    [sym_word] = ACTIONS(7043),
    [sym_placeholder] = ACTIONS(7045),
    [sym_delimiter] = ACTIONS(7045),
    [anon_sym_PLUS] = ACTIONS(7045),
    [anon_sym_DASH] = ACTIONS(7045),
    [anon_sym_STAR] = ACTIONS(7045),
    [anon_sym_SLASH] = ACTIONS(7045),
    [anon_sym_LT] = ACTIONS(7043),
    [anon_sym_GT] = ACTIONS(7043),
    [anon_sym_BANG] = ACTIONS(7043),
    [anon_sym_PIPE] = ACTIONS(7043),
    [anon_sym_COLON] = ACTIONS(7043),
    [anon_sym_SQUOTE] = ACTIONS(7043),
    [anon_sym__] = ACTIONS(7045),
    [anon_sym_CARET] = ACTIONS(7045),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7045),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7045),
    [anon_sym_DOLLAR] = ACTIONS(7043),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7045),
    [anon_sym_BSLASHleft] = ACTIONS(7043),
    [anon_sym_BSLASHbigl] = ACTIONS(7043),
    [anon_sym_BSLASHBigl] = ACTIONS(7043),
    [anon_sym_BSLASHbiggl] = ACTIONS(7043),
    [anon_sym_BSLASHBiggl] = ACTIONS(7043),
    [anon_sym_BSLASHtext] = ACTIONS(7043),
    [anon_sym_BSLASHintertext] = ACTIONS(7043),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7043),
    [anon_sym_BSLASHtitle] = ACTIONS(7043),
    [anon_sym_BSLASHauthor] = ACTIONS(7043),
    [anon_sym_BSLASHusepackage] = ACTIONS(7043),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7043),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7043),
    [anon_sym_BSLASHinclude] = ACTIONS(7043),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7043),
    [anon_sym_BSLASHinput] = ACTIONS(7043),
    [anon_sym_BSLASHsubfile] = ACTIONS(7043),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7043),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7043),
    [anon_sym_BSLASHbibliography] = ACTIONS(7043),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7043),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7043),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7043),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7043),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7043),
    [anon_sym_BSLASHimport] = ACTIONS(7043),
    [anon_sym_BSLASHsubimport] = ACTIONS(7043),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7043),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7043),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7043),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7043),
    [anon_sym_BSLASHcaption] = ACTIONS(7043),
    [anon_sym_BSLASHcite] = ACTIONS(7043),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCite] = ACTIONS(7043),
    [anon_sym_BSLASHnocite] = ACTIONS(7043),
    [anon_sym_BSLASHcitet] = ACTIONS(7043),
    [anon_sym_BSLASHcitep] = ACTIONS(7043),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteA] = ACTIONS(7043),
    [anon_sym_BSLASHciteR] = ACTIONS(7043),
    [anon_sym_BSLASHciteS] = ACTIONS(7043),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7043),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7043),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7043),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7043),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteyear] = ACTIONS(7043),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitedate] = ACTIONS(7043),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteurl] = ACTIONS(7043),
    [anon_sym_BSLASHfullcite] = ACTIONS(7043),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7043),
    [anon_sym_BSLASHcitealt] = ACTIONS(7043),
    [anon_sym_BSLASHcitealp] = ACTIONS(7043),
    [anon_sym_BSLASHcitetext] = ACTIONS(7043),
    [anon_sym_BSLASHparencite] = ACTIONS(7043),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHParencite] = ACTIONS(7043),
    [anon_sym_BSLASHfootcite] = ACTIONS(7043),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7043),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7043),
    [anon_sym_BSLASHtextcite] = ACTIONS(7043),
    [anon_sym_BSLASHTextcite] = ACTIONS(7043),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7043),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7043),
    [anon_sym_BSLASHsupercite] = ACTIONS(7043),
    [anon_sym_BSLASHautocite] = ACTIONS(7043),
    [anon_sym_BSLASHAutocite] = ACTIONS(7043),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHVolcite] = ACTIONS(7043),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHavolcite] = ACTIONS(7043),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHNotecite] = ACTIONS(7043),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHlabel] = ACTIONS(7043),
    [anon_sym_BSLASHref] = ACTIONS(7043),
    [anon_sym_BSLASHeqref] = ACTIONS(7043),
    [anon_sym_BSLASHvref] = ACTIONS(7043),
    [anon_sym_BSLASHVref] = ACTIONS(7043),
    [anon_sym_BSLASHautoref] = ACTIONS(7043),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHpageref] = ACTIONS(7043),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHautopageref] = ACTIONS(7043),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcref] = ACTIONS(7043),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCref] = ACTIONS(7043),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcpageref] = ACTIONS(7043),
    [anon_sym_BSLASHCpageref] = ACTIONS(7043),
    [anon_sym_BSLASHnamecref] = ACTIONS(7043),
    [anon_sym_BSLASHnameCref] = ACTIONS(7043),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7043),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7043),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7043),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7043),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7043),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7043),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7043),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7043),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7043),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7043),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7043),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHdef] = ACTIONS(7043),
    [anon_sym_BSLASHgdef] = ACTIONS(7043),
    [anon_sym_BSLASHedef] = ACTIONS(7043),
    [anon_sym_BSLASHxdef] = ACTIONS(7043),
    [anon_sym_BSLASHlet] = ACTIONS(7043),
    [anon_sym_BSLASHglet] = ACTIONS(7043),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7043),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7043),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7043),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7043),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7043),
    [anon_sym_BSLASHgls] = ACTIONS(7043),
    [anon_sym_BSLASHGls] = ACTIONS(7043),
    [anon_sym_BSLASHGLS] = ACTIONS(7043),
    [anon_sym_BSLASHglspl] = ACTIONS(7043),
    [anon_sym_BSLASHGlspl] = ACTIONS(7043),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7043),
    [anon_sym_BSLASHglslink] = ACTIONS(7043),
    [anon_sym_BSLASHglstext] = ACTIONS(7043),
    [anon_sym_BSLASHGlstext] = ACTIONS(7043),
    [anon_sym_BSLASHGLStext] = ACTIONS(7043),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7043),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7043),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7043),
    [anon_sym_BSLASHglsplural] = ACTIONS(7043),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7043),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7043),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHglsname] = ACTIONS(7043),
    [anon_sym_BSLASHGlsname] = ACTIONS(7043),
    [anon_sym_BSLASHGLSname] = ACTIONS(7043),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7043),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7043),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7043),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7043),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7043),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7043),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7043),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7043),
    [anon_sym_BSLASHacrshort] = ACTIONS(7043),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7043),
    [anon_sym_BSLASHACRshort] = ACTIONS(7043),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHacrlong] = ACTIONS(7043),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7043),
    [anon_sym_BSLASHACRlong] = ACTIONS(7043),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHacrfull] = ACTIONS(7043),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7043),
    [anon_sym_BSLASHACRfull] = ACTIONS(7043),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHacs] = ACTIONS(7043),
    [anon_sym_BSLASHAcs] = ACTIONS(7043),
    [anon_sym_BSLASHacsp] = ACTIONS(7043),
    [anon_sym_BSLASHAcsp] = ACTIONS(7043),
    [anon_sym_BSLASHacl] = ACTIONS(7043),
    [anon_sym_BSLASHAcl] = ACTIONS(7043),
    [anon_sym_BSLASHaclp] = ACTIONS(7043),
    [anon_sym_BSLASHAclp] = ACTIONS(7043),
    [anon_sym_BSLASHacf] = ACTIONS(7043),
    [anon_sym_BSLASHAcf] = ACTIONS(7043),
    [anon_sym_BSLASHacfp] = ACTIONS(7043),
    [anon_sym_BSLASHAcfp] = ACTIONS(7043),
    [anon_sym_BSLASHac] = ACTIONS(7043),
    [anon_sym_BSLASHAc] = ACTIONS(7043),
    [anon_sym_BSLASHacp] = ACTIONS(7043),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7043),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7043),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7043),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7043),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7043),
    [anon_sym_BSLASHcolor] = ACTIONS(7043),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7043),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7043),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7043),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7043),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7043),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7043),
    [anon_sym_BSLASHurl] = ACTIONS(7043),
    [anon_sym_BSLASHhref] = ACTIONS(7043),
  },
  [2121] = {
    [sym_command_name] = ACTIONS(7335),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7335),
    [anon_sym_LPAREN] = ACTIONS(7337),
    [anon_sym_RPAREN] = ACTIONS(7337),
    [anon_sym_LBRACE] = ACTIONS(7337),
    [anon_sym_RBRACE] = ACTIONS(7337),
    [anon_sym_BSLASHand] = ACTIONS(7335),
    [sym_word] = ACTIONS(7335),
    [sym_placeholder] = ACTIONS(7337),
    [sym_delimiter] = ACTIONS(7337),
    [anon_sym_PLUS] = ACTIONS(7337),
    [anon_sym_DASH] = ACTIONS(7337),
    [anon_sym_STAR] = ACTIONS(7337),
    [anon_sym_SLASH] = ACTIONS(7337),
    [anon_sym_LT] = ACTIONS(7335),
    [anon_sym_GT] = ACTIONS(7335),
    [anon_sym_BANG] = ACTIONS(7335),
    [anon_sym_PIPE] = ACTIONS(7335),
    [anon_sym_COLON] = ACTIONS(7335),
    [anon_sym_SQUOTE] = ACTIONS(7335),
    [anon_sym__] = ACTIONS(7337),
    [anon_sym_CARET] = ACTIONS(7337),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7337),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7337),
    [anon_sym_DOLLAR] = ACTIONS(7335),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7337),
    [anon_sym_BSLASHleft] = ACTIONS(7335),
    [anon_sym_BSLASHbigl] = ACTIONS(7335),
    [anon_sym_BSLASHBigl] = ACTIONS(7335),
    [anon_sym_BSLASHbiggl] = ACTIONS(7335),
    [anon_sym_BSLASHBiggl] = ACTIONS(7335),
    [anon_sym_BSLASHtext] = ACTIONS(7335),
    [anon_sym_BSLASHintertext] = ACTIONS(7335),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7335),
    [anon_sym_BSLASHtitle] = ACTIONS(7335),
    [anon_sym_BSLASHauthor] = ACTIONS(7335),
    [anon_sym_BSLASHusepackage] = ACTIONS(7335),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7335),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7335),
    [anon_sym_BSLASHinclude] = ACTIONS(7335),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7335),
    [anon_sym_BSLASHinput] = ACTIONS(7335),
    [anon_sym_BSLASHsubfile] = ACTIONS(7335),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7335),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7335),
    [anon_sym_BSLASHbibliography] = ACTIONS(7335),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7335),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7335),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7335),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7335),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7335),
    [anon_sym_BSLASHimport] = ACTIONS(7335),
    [anon_sym_BSLASHsubimport] = ACTIONS(7335),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7335),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7335),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7335),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7335),
    [anon_sym_BSLASHcaption] = ACTIONS(7335),
    [anon_sym_BSLASHcite] = ACTIONS(7335),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCite] = ACTIONS(7335),
    [anon_sym_BSLASHnocite] = ACTIONS(7335),
    [anon_sym_BSLASHcitet] = ACTIONS(7335),
    [anon_sym_BSLASHcitep] = ACTIONS(7335),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteA] = ACTIONS(7335),
    [anon_sym_BSLASHciteR] = ACTIONS(7335),
    [anon_sym_BSLASHciteS] = ACTIONS(7335),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7335),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7335),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7335),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7335),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteyear] = ACTIONS(7335),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitedate] = ACTIONS(7335),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteurl] = ACTIONS(7335),
    [anon_sym_BSLASHfullcite] = ACTIONS(7335),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7335),
    [anon_sym_BSLASHcitealt] = ACTIONS(7335),
    [anon_sym_BSLASHcitealp] = ACTIONS(7335),
    [anon_sym_BSLASHcitetext] = ACTIONS(7335),
    [anon_sym_BSLASHparencite] = ACTIONS(7335),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHParencite] = ACTIONS(7335),
    [anon_sym_BSLASHfootcite] = ACTIONS(7335),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7335),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7335),
    [anon_sym_BSLASHtextcite] = ACTIONS(7335),
    [anon_sym_BSLASHTextcite] = ACTIONS(7335),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7335),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7335),
    [anon_sym_BSLASHsupercite] = ACTIONS(7335),
    [anon_sym_BSLASHautocite] = ACTIONS(7335),
    [anon_sym_BSLASHAutocite] = ACTIONS(7335),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHVolcite] = ACTIONS(7335),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHavolcite] = ACTIONS(7335),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHNotecite] = ACTIONS(7335),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHlabel] = ACTIONS(7335),
    [anon_sym_BSLASHref] = ACTIONS(7335),
    [anon_sym_BSLASHeqref] = ACTIONS(7335),
    [anon_sym_BSLASHvref] = ACTIONS(7335),
    [anon_sym_BSLASHVref] = ACTIONS(7335),
    [anon_sym_BSLASHautoref] = ACTIONS(7335),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHpageref] = ACTIONS(7335),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHautopageref] = ACTIONS(7335),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcref] = ACTIONS(7335),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCref] = ACTIONS(7335),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcpageref] = ACTIONS(7335),
    [anon_sym_BSLASHCpageref] = ACTIONS(7335),
    [anon_sym_BSLASHnamecref] = ACTIONS(7335),
    [anon_sym_BSLASHnameCref] = ACTIONS(7335),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7335),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7335),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7335),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7335),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7335),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7335),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7335),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7335),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7335),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7335),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7335),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHdef] = ACTIONS(7335),
    [anon_sym_BSLASHgdef] = ACTIONS(7335),
    [anon_sym_BSLASHedef] = ACTIONS(7335),
    [anon_sym_BSLASHxdef] = ACTIONS(7335),
    [anon_sym_BSLASHlet] = ACTIONS(7335),
    [anon_sym_BSLASHglet] = ACTIONS(7335),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7335),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7335),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7335),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7335),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7335),
    [anon_sym_BSLASHgls] = ACTIONS(7335),
    [anon_sym_BSLASHGls] = ACTIONS(7335),
    [anon_sym_BSLASHGLS] = ACTIONS(7335),
    [anon_sym_BSLASHglspl] = ACTIONS(7335),
    [anon_sym_BSLASHGlspl] = ACTIONS(7335),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7335),
    [anon_sym_BSLASHglslink] = ACTIONS(7335),
    [anon_sym_BSLASHglstext] = ACTIONS(7335),
    [anon_sym_BSLASHGlstext] = ACTIONS(7335),
    [anon_sym_BSLASHGLStext] = ACTIONS(7335),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7335),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7335),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7335),
    [anon_sym_BSLASHglsplural] = ACTIONS(7335),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7335),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7335),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHglsname] = ACTIONS(7335),
    [anon_sym_BSLASHGlsname] = ACTIONS(7335),
    [anon_sym_BSLASHGLSname] = ACTIONS(7335),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7335),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7335),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7335),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7335),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7335),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7335),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7335),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7335),
    [anon_sym_BSLASHacrshort] = ACTIONS(7335),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7335),
    [anon_sym_BSLASHACRshort] = ACTIONS(7335),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHacrlong] = ACTIONS(7335),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7335),
    [anon_sym_BSLASHACRlong] = ACTIONS(7335),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHacrfull] = ACTIONS(7335),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7335),
    [anon_sym_BSLASHACRfull] = ACTIONS(7335),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHacs] = ACTIONS(7335),
    [anon_sym_BSLASHAcs] = ACTIONS(7335),
    [anon_sym_BSLASHacsp] = ACTIONS(7335),
    [anon_sym_BSLASHAcsp] = ACTIONS(7335),
    [anon_sym_BSLASHacl] = ACTIONS(7335),
    [anon_sym_BSLASHAcl] = ACTIONS(7335),
    [anon_sym_BSLASHaclp] = ACTIONS(7335),
    [anon_sym_BSLASHAclp] = ACTIONS(7335),
    [anon_sym_BSLASHacf] = ACTIONS(7335),
    [anon_sym_BSLASHAcf] = ACTIONS(7335),
    [anon_sym_BSLASHacfp] = ACTIONS(7335),
    [anon_sym_BSLASHAcfp] = ACTIONS(7335),
    [anon_sym_BSLASHac] = ACTIONS(7335),
    [anon_sym_BSLASHAc] = ACTIONS(7335),
    [anon_sym_BSLASHacp] = ACTIONS(7335),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7335),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7335),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7335),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7335),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7335),
    [anon_sym_BSLASHcolor] = ACTIONS(7335),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7335),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7335),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7335),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7335),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7335),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7335),
    [anon_sym_BSLASHurl] = ACTIONS(7335),
    [anon_sym_BSLASHhref] = ACTIONS(7335),
  },
  [2122] = {
    [sym_command_name] = ACTIONS(173),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(175),
    [anon_sym_RPAREN] = ACTIONS(175),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_RBRACE] = ACTIONS(175),
    [anon_sym_BSLASHand] = ACTIONS(173),
    [sym_word] = ACTIONS(173),
    [sym_placeholder] = ACTIONS(175),
    [sym_delimiter] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_LT] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(173),
    [anon_sym_BANG] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [anon_sym__] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(175),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(175),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(175),
    [anon_sym_DOLLAR] = ACTIONS(173),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(175),
    [anon_sym_BSLASHleft] = ACTIONS(173),
    [anon_sym_BSLASHbigl] = ACTIONS(173),
    [anon_sym_BSLASHBigl] = ACTIONS(173),
    [anon_sym_BSLASHbiggl] = ACTIONS(173),
    [anon_sym_BSLASHBiggl] = ACTIONS(173),
    [anon_sym_BSLASHtext] = ACTIONS(173),
    [anon_sym_BSLASHintertext] = ACTIONS(173),
    [anon_sym_BSLASHshortintertext] = ACTIONS(173),
    [anon_sym_BSLASHtitle] = ACTIONS(173),
    [anon_sym_BSLASHauthor] = ACTIONS(173),
    [anon_sym_BSLASHusepackage] = ACTIONS(173),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(173),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(173),
    [anon_sym_BSLASHinclude] = ACTIONS(173),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(173),
    [anon_sym_BSLASHinput] = ACTIONS(173),
    [anon_sym_BSLASHsubfile] = ACTIONS(173),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(173),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(173),
    [anon_sym_BSLASHbibliography] = ACTIONS(173),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(173),
    [anon_sym_BSLASHincludesvg] = ACTIONS(173),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(173),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(173),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(173),
    [anon_sym_BSLASHimport] = ACTIONS(173),
    [anon_sym_BSLASHsubimport] = ACTIONS(173),
    [anon_sym_BSLASHinputfrom] = ACTIONS(173),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(173),
    [anon_sym_BSLASHincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(173),
    [anon_sym_BSLASHcaption] = ACTIONS(173),
    [anon_sym_BSLASHcite] = ACTIONS(173),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCite] = ACTIONS(173),
    [anon_sym_BSLASHnocite] = ACTIONS(173),
    [anon_sym_BSLASHcitet] = ACTIONS(173),
    [anon_sym_BSLASHcitep] = ACTIONS(173),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteA] = ACTIONS(173),
    [anon_sym_BSLASHciteR] = ACTIONS(173),
    [anon_sym_BSLASHciteS] = ACTIONS(173),
    [anon_sym_BSLASHciteyearR] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor] = ACTIONS(173),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(173),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitetitle] = ACTIONS(173),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteyear] = ACTIONS(173),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcitedate] = ACTIONS(173),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(175),
    [anon_sym_BSLASHciteurl] = ACTIONS(173),
    [anon_sym_BSLASHfullcite] = ACTIONS(173),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(173),
    [anon_sym_BSLASHcitealt] = ACTIONS(173),
    [anon_sym_BSLASHcitealp] = ACTIONS(173),
    [anon_sym_BSLASHcitetext] = ACTIONS(173),
    [anon_sym_BSLASHparencite] = ACTIONS(173),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHParencite] = ACTIONS(173),
    [anon_sym_BSLASHfootcite] = ACTIONS(173),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(173),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(173),
    [anon_sym_BSLASHtextcite] = ACTIONS(173),
    [anon_sym_BSLASHTextcite] = ACTIONS(173),
    [anon_sym_BSLASHsmartcite] = ACTIONS(173),
    [anon_sym_BSLASHSmartcite] = ACTIONS(173),
    [anon_sym_BSLASHsupercite] = ACTIONS(173),
    [anon_sym_BSLASHautocite] = ACTIONS(173),
    [anon_sym_BSLASHAutocite] = ACTIONS(173),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(175),
    [anon_sym_BSLASHvolcite] = ACTIONS(173),
    [anon_sym_BSLASHVolcite] = ACTIONS(173),
    [anon_sym_BSLASHpvolcite] = ACTIONS(173),
    [anon_sym_BSLASHPvolcite] = ACTIONS(173),
    [anon_sym_BSLASHfvolcite] = ACTIONS(173),
    [anon_sym_BSLASHftvolcite] = ACTIONS(173),
    [anon_sym_BSLASHsvolcite] = ACTIONS(173),
    [anon_sym_BSLASHSvolcite] = ACTIONS(173),
    [anon_sym_BSLASHtvolcite] = ACTIONS(173),
    [anon_sym_BSLASHTvolcite] = ACTIONS(173),
    [anon_sym_BSLASHavolcite] = ACTIONS(173),
    [anon_sym_BSLASHAvolcite] = ACTIONS(173),
    [anon_sym_BSLASHnotecite] = ACTIONS(173),
    [anon_sym_BSLASHNotecite] = ACTIONS(173),
    [anon_sym_BSLASHpnotecite] = ACTIONS(173),
    [anon_sym_BSLASHPnotecite] = ACTIONS(173),
    [anon_sym_BSLASHfnotecite] = ACTIONS(173),
    [anon_sym_BSLASHlabel] = ACTIONS(173),
    [anon_sym_BSLASHref] = ACTIONS(173),
    [anon_sym_BSLASHeqref] = ACTIONS(173),
    [anon_sym_BSLASHvref] = ACTIONS(173),
    [anon_sym_BSLASHVref] = ACTIONS(173),
    [anon_sym_BSLASHautoref] = ACTIONS(173),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHpageref] = ACTIONS(173),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHautopageref] = ACTIONS(173),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcref] = ACTIONS(173),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCref] = ACTIONS(173),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpageref] = ACTIONS(173),
    [anon_sym_BSLASHCpageref] = ACTIONS(173),
    [anon_sym_BSLASHnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnameCref] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(173),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(173),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(173),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcrefrange] = ACTIONS(173),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHCrefrange] = ACTIONS(173),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(175),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(173),
    [anon_sym_BSLASHnewlabel] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand] = ACTIONS(173),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(173),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(173),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(175),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(173),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(175),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(173),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(173),
    [anon_sym_BSLASHdef] = ACTIONS(173),
    [anon_sym_BSLASHgdef] = ACTIONS(173),
    [anon_sym_BSLASHedef] = ACTIONS(173),
    [anon_sym_BSLASHxdef] = ACTIONS(173),
    [anon_sym_BSLASHlet] = ACTIONS(173),
    [anon_sym_BSLASHglet] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(173),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(173),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(173),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(173),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(173),
    [anon_sym_BSLASHgls] = ACTIONS(173),
    [anon_sym_BSLASHGls] = ACTIONS(173),
    [anon_sym_BSLASHGLS] = ACTIONS(173),
    [anon_sym_BSLASHglspl] = ACTIONS(173),
    [anon_sym_BSLASHGlspl] = ACTIONS(173),
    [anon_sym_BSLASHGLSpl] = ACTIONS(173),
    [anon_sym_BSLASHglsdisp] = ACTIONS(173),
    [anon_sym_BSLASHglslink] = ACTIONS(173),
    [anon_sym_BSLASHglstext] = ACTIONS(173),
    [anon_sym_BSLASHGlstext] = ACTIONS(173),
    [anon_sym_BSLASHGLStext] = ACTIONS(173),
    [anon_sym_BSLASHglsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(173),
    [anon_sym_BSLASHglsplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSplural] = ACTIONS(173),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(173),
    [anon_sym_BSLASHglsname] = ACTIONS(173),
    [anon_sym_BSLASHGlsname] = ACTIONS(173),
    [anon_sym_BSLASHGLSname] = ACTIONS(173),
    [anon_sym_BSLASHglssymbol] = ACTIONS(173),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(173),
    [anon_sym_BSLASHglsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(173),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(173),
    [anon_sym_BSLASHglsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(173),
    [anon_sym_BSLASHglsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(173),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(173),
    [anon_sym_BSLASHglsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(173),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(173),
    [anon_sym_BSLASHglsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(173),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(173),
    [anon_sym_BSLASHnewacronym] = ACTIONS(173),
    [anon_sym_BSLASHacrshort] = ACTIONS(173),
    [anon_sym_BSLASHAcrshort] = ACTIONS(173),
    [anon_sym_BSLASHACRshort] = ACTIONS(173),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(173),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(173),
    [anon_sym_BSLASHacrlong] = ACTIONS(173),
    [anon_sym_BSLASHAcrlong] = ACTIONS(173),
    [anon_sym_BSLASHACRlong] = ACTIONS(173),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(173),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(173),
    [anon_sym_BSLASHacrfull] = ACTIONS(173),
    [anon_sym_BSLASHAcrfull] = ACTIONS(173),
    [anon_sym_BSLASHACRfull] = ACTIONS(173),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(173),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(173),
    [anon_sym_BSLASHacs] = ACTIONS(173),
    [anon_sym_BSLASHAcs] = ACTIONS(173),
    [anon_sym_BSLASHacsp] = ACTIONS(173),
    [anon_sym_BSLASHAcsp] = ACTIONS(173),
    [anon_sym_BSLASHacl] = ACTIONS(173),
    [anon_sym_BSLASHAcl] = ACTIONS(173),
    [anon_sym_BSLASHaclp] = ACTIONS(173),
    [anon_sym_BSLASHAclp] = ACTIONS(173),
    [anon_sym_BSLASHacf] = ACTIONS(173),
    [anon_sym_BSLASHAcf] = ACTIONS(173),
    [anon_sym_BSLASHacfp] = ACTIONS(173),
    [anon_sym_BSLASHAcfp] = ACTIONS(173),
    [anon_sym_BSLASHac] = ACTIONS(173),
    [anon_sym_BSLASHAc] = ACTIONS(173),
    [anon_sym_BSLASHacp] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(173),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(173),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(173),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(173),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(173),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(175),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(173),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(173),
    [anon_sym_BSLASHcolor] = ACTIONS(173),
    [anon_sym_BSLASHpagecolor] = ACTIONS(173),
    [anon_sym_BSLASHtextcolor] = ACTIONS(173),
    [anon_sym_BSLASHmathcolor] = ACTIONS(173),
    [anon_sym_BSLASHcolorbox] = ACTIONS(173),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(173),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(173),
    [anon_sym_BSLASHurl] = ACTIONS(173),
    [anon_sym_BSLASHhref] = ACTIONS(173),
  },
  [2123] = {
    [sym_command_name] = ACTIONS(7599),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7599),
    [anon_sym_LPAREN] = ACTIONS(7601),
    [anon_sym_RPAREN] = ACTIONS(7601),
    [anon_sym_LBRACE] = ACTIONS(7601),
    [anon_sym_RBRACE] = ACTIONS(7601),
    [anon_sym_BSLASHand] = ACTIONS(7599),
    [sym_word] = ACTIONS(7599),
    [sym_placeholder] = ACTIONS(7601),
    [sym_delimiter] = ACTIONS(7601),
    [anon_sym_PLUS] = ACTIONS(7601),
    [anon_sym_DASH] = ACTIONS(7601),
    [anon_sym_STAR] = ACTIONS(7601),
    [anon_sym_SLASH] = ACTIONS(7601),
    [anon_sym_LT] = ACTIONS(7599),
    [anon_sym_GT] = ACTIONS(7599),
    [anon_sym_BANG] = ACTIONS(7599),
    [anon_sym_PIPE] = ACTIONS(7599),
    [anon_sym_COLON] = ACTIONS(7599),
    [anon_sym_SQUOTE] = ACTIONS(7599),
    [anon_sym__] = ACTIONS(7601),
    [anon_sym_CARET] = ACTIONS(7601),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7601),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7601),
    [anon_sym_DOLLAR] = ACTIONS(7599),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7601),
    [anon_sym_BSLASHleft] = ACTIONS(7599),
    [anon_sym_BSLASHbigl] = ACTIONS(7599),
    [anon_sym_BSLASHBigl] = ACTIONS(7599),
    [anon_sym_BSLASHbiggl] = ACTIONS(7599),
    [anon_sym_BSLASHBiggl] = ACTIONS(7599),
    [anon_sym_BSLASHtext] = ACTIONS(7599),
    [anon_sym_BSLASHintertext] = ACTIONS(7599),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7599),
    [anon_sym_BSLASHtitle] = ACTIONS(7599),
    [anon_sym_BSLASHauthor] = ACTIONS(7599),
    [anon_sym_BSLASHusepackage] = ACTIONS(7599),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7599),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7599),
    [anon_sym_BSLASHinclude] = ACTIONS(7599),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7599),
    [anon_sym_BSLASHinput] = ACTIONS(7599),
    [anon_sym_BSLASHsubfile] = ACTIONS(7599),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7599),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7599),
    [anon_sym_BSLASHbibliography] = ACTIONS(7599),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7599),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7599),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7599),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7599),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7599),
    [anon_sym_BSLASHimport] = ACTIONS(7599),
    [anon_sym_BSLASHsubimport] = ACTIONS(7599),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7599),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7599),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7599),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7599),
    [anon_sym_BSLASHcaption] = ACTIONS(7599),
    [anon_sym_BSLASHcite] = ACTIONS(7599),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCite] = ACTIONS(7599),
    [anon_sym_BSLASHnocite] = ACTIONS(7599),
    [anon_sym_BSLASHcitet] = ACTIONS(7599),
    [anon_sym_BSLASHcitep] = ACTIONS(7599),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteA] = ACTIONS(7599),
    [anon_sym_BSLASHciteR] = ACTIONS(7599),
    [anon_sym_BSLASHciteS] = ACTIONS(7599),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7599),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7599),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7599),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7599),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteyear] = ACTIONS(7599),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitedate] = ACTIONS(7599),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteurl] = ACTIONS(7599),
    [anon_sym_BSLASHfullcite] = ACTIONS(7599),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7599),
    [anon_sym_BSLASHcitealt] = ACTIONS(7599),
    [anon_sym_BSLASHcitealp] = ACTIONS(7599),
    [anon_sym_BSLASHcitetext] = ACTIONS(7599),
    [anon_sym_BSLASHparencite] = ACTIONS(7599),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHParencite] = ACTIONS(7599),
    [anon_sym_BSLASHfootcite] = ACTIONS(7599),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7599),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7599),
    [anon_sym_BSLASHtextcite] = ACTIONS(7599),
    [anon_sym_BSLASHTextcite] = ACTIONS(7599),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7599),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7599),
    [anon_sym_BSLASHsupercite] = ACTIONS(7599),
    [anon_sym_BSLASHautocite] = ACTIONS(7599),
    [anon_sym_BSLASHAutocite] = ACTIONS(7599),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHVolcite] = ACTIONS(7599),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHavolcite] = ACTIONS(7599),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHNotecite] = ACTIONS(7599),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHlabel] = ACTIONS(7599),
    [anon_sym_BSLASHref] = ACTIONS(7599),
    [anon_sym_BSLASHeqref] = ACTIONS(7599),
    [anon_sym_BSLASHvref] = ACTIONS(7599),
    [anon_sym_BSLASHVref] = ACTIONS(7599),
    [anon_sym_BSLASHautoref] = ACTIONS(7599),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHpageref] = ACTIONS(7599),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHautopageref] = ACTIONS(7599),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcref] = ACTIONS(7599),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCref] = ACTIONS(7599),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcpageref] = ACTIONS(7599),
    [anon_sym_BSLASHCpageref] = ACTIONS(7599),
    [anon_sym_BSLASHnamecref] = ACTIONS(7599),
    [anon_sym_BSLASHnameCref] = ACTIONS(7599),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7599),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7599),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7599),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7599),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7599),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7599),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7599),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7599),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7599),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7599),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7599),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHdef] = ACTIONS(7599),
    [anon_sym_BSLASHgdef] = ACTIONS(7599),
    [anon_sym_BSLASHedef] = ACTIONS(7599),
    [anon_sym_BSLASHxdef] = ACTIONS(7599),
    [anon_sym_BSLASHlet] = ACTIONS(7599),
    [anon_sym_BSLASHglet] = ACTIONS(7599),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7599),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7599),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7599),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7599),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7599),
    [anon_sym_BSLASHgls] = ACTIONS(7599),
    [anon_sym_BSLASHGls] = ACTIONS(7599),
    [anon_sym_BSLASHGLS] = ACTIONS(7599),
    [anon_sym_BSLASHglspl] = ACTIONS(7599),
    [anon_sym_BSLASHGlspl] = ACTIONS(7599),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7599),
    [anon_sym_BSLASHglslink] = ACTIONS(7599),
    [anon_sym_BSLASHglstext] = ACTIONS(7599),
    [anon_sym_BSLASHGlstext] = ACTIONS(7599),
    [anon_sym_BSLASHGLStext] = ACTIONS(7599),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7599),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7599),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7599),
    [anon_sym_BSLASHglsplural] = ACTIONS(7599),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7599),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7599),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHglsname] = ACTIONS(7599),
    [anon_sym_BSLASHGlsname] = ACTIONS(7599),
    [anon_sym_BSLASHGLSname] = ACTIONS(7599),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7599),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7599),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7599),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7599),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7599),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7599),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7599),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7599),
    [anon_sym_BSLASHacrshort] = ACTIONS(7599),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7599),
    [anon_sym_BSLASHACRshort] = ACTIONS(7599),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHacrlong] = ACTIONS(7599),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7599),
    [anon_sym_BSLASHACRlong] = ACTIONS(7599),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHacrfull] = ACTIONS(7599),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7599),
    [anon_sym_BSLASHACRfull] = ACTIONS(7599),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHacs] = ACTIONS(7599),
    [anon_sym_BSLASHAcs] = ACTIONS(7599),
    [anon_sym_BSLASHacsp] = ACTIONS(7599),
    [anon_sym_BSLASHAcsp] = ACTIONS(7599),
    [anon_sym_BSLASHacl] = ACTIONS(7599),
    [anon_sym_BSLASHAcl] = ACTIONS(7599),
    [anon_sym_BSLASHaclp] = ACTIONS(7599),
    [anon_sym_BSLASHAclp] = ACTIONS(7599),
    [anon_sym_BSLASHacf] = ACTIONS(7599),
    [anon_sym_BSLASHAcf] = ACTIONS(7599),
    [anon_sym_BSLASHacfp] = ACTIONS(7599),
    [anon_sym_BSLASHAcfp] = ACTIONS(7599),
    [anon_sym_BSLASHac] = ACTIONS(7599),
    [anon_sym_BSLASHAc] = ACTIONS(7599),
    [anon_sym_BSLASHacp] = ACTIONS(7599),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7599),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7599),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7599),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7599),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7599),
    [anon_sym_BSLASHcolor] = ACTIONS(7599),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7599),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7599),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7599),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7599),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7599),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7599),
    [anon_sym_BSLASHurl] = ACTIONS(7599),
    [anon_sym_BSLASHhref] = ACTIONS(7599),
  },
  [2124] = {
    [sym_command_name] = ACTIONS(7463),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7463),
    [anon_sym_LPAREN] = ACTIONS(7465),
    [anon_sym_RPAREN] = ACTIONS(7465),
    [anon_sym_LBRACE] = ACTIONS(7465),
    [anon_sym_RBRACE] = ACTIONS(7465),
    [anon_sym_BSLASHand] = ACTIONS(7463),
    [sym_word] = ACTIONS(7463),
    [sym_placeholder] = ACTIONS(7465),
    [sym_delimiter] = ACTIONS(7465),
    [anon_sym_PLUS] = ACTIONS(7465),
    [anon_sym_DASH] = ACTIONS(7465),
    [anon_sym_STAR] = ACTIONS(7465),
    [anon_sym_SLASH] = ACTIONS(7465),
    [anon_sym_LT] = ACTIONS(7463),
    [anon_sym_GT] = ACTIONS(7463),
    [anon_sym_BANG] = ACTIONS(7463),
    [anon_sym_PIPE] = ACTIONS(7463),
    [anon_sym_COLON] = ACTIONS(7463),
    [anon_sym_SQUOTE] = ACTIONS(7463),
    [anon_sym__] = ACTIONS(7465),
    [anon_sym_CARET] = ACTIONS(7465),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7465),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7465),
    [anon_sym_DOLLAR] = ACTIONS(7463),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7465),
    [anon_sym_BSLASHleft] = ACTIONS(7463),
    [anon_sym_BSLASHbigl] = ACTIONS(7463),
    [anon_sym_BSLASHBigl] = ACTIONS(7463),
    [anon_sym_BSLASHbiggl] = ACTIONS(7463),
    [anon_sym_BSLASHBiggl] = ACTIONS(7463),
    [anon_sym_BSLASHtext] = ACTIONS(7463),
    [anon_sym_BSLASHintertext] = ACTIONS(7463),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7463),
    [anon_sym_BSLASHtitle] = ACTIONS(7463),
    [anon_sym_BSLASHauthor] = ACTIONS(7463),
    [anon_sym_BSLASHusepackage] = ACTIONS(7463),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7463),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7463),
    [anon_sym_BSLASHinclude] = ACTIONS(7463),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7463),
    [anon_sym_BSLASHinput] = ACTIONS(7463),
    [anon_sym_BSLASHsubfile] = ACTIONS(7463),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7463),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7463),
    [anon_sym_BSLASHbibliography] = ACTIONS(7463),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7463),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7463),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7463),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7463),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7463),
    [anon_sym_BSLASHimport] = ACTIONS(7463),
    [anon_sym_BSLASHsubimport] = ACTIONS(7463),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7463),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7463),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7463),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7463),
    [anon_sym_BSLASHcaption] = ACTIONS(7463),
    [anon_sym_BSLASHcite] = ACTIONS(7463),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCite] = ACTIONS(7463),
    [anon_sym_BSLASHnocite] = ACTIONS(7463),
    [anon_sym_BSLASHcitet] = ACTIONS(7463),
    [anon_sym_BSLASHcitep] = ACTIONS(7463),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteA] = ACTIONS(7463),
    [anon_sym_BSLASHciteR] = ACTIONS(7463),
    [anon_sym_BSLASHciteS] = ACTIONS(7463),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7463),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7463),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7463),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7463),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteyear] = ACTIONS(7463),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitedate] = ACTIONS(7463),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteurl] = ACTIONS(7463),
    [anon_sym_BSLASHfullcite] = ACTIONS(7463),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7463),
    [anon_sym_BSLASHcitealt] = ACTIONS(7463),
    [anon_sym_BSLASHcitealp] = ACTIONS(7463),
    [anon_sym_BSLASHcitetext] = ACTIONS(7463),
    [anon_sym_BSLASHparencite] = ACTIONS(7463),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHParencite] = ACTIONS(7463),
    [anon_sym_BSLASHfootcite] = ACTIONS(7463),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7463),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7463),
    [anon_sym_BSLASHtextcite] = ACTIONS(7463),
    [anon_sym_BSLASHTextcite] = ACTIONS(7463),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7463),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7463),
    [anon_sym_BSLASHsupercite] = ACTIONS(7463),
    [anon_sym_BSLASHautocite] = ACTIONS(7463),
    [anon_sym_BSLASHAutocite] = ACTIONS(7463),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHVolcite] = ACTIONS(7463),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHavolcite] = ACTIONS(7463),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHNotecite] = ACTIONS(7463),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHlabel] = ACTIONS(7463),
    [anon_sym_BSLASHref] = ACTIONS(7463),
    [anon_sym_BSLASHeqref] = ACTIONS(7463),
    [anon_sym_BSLASHvref] = ACTIONS(7463),
    [anon_sym_BSLASHVref] = ACTIONS(7463),
    [anon_sym_BSLASHautoref] = ACTIONS(7463),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHpageref] = ACTIONS(7463),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHautopageref] = ACTIONS(7463),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcref] = ACTIONS(7463),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCref] = ACTIONS(7463),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcpageref] = ACTIONS(7463),
    [anon_sym_BSLASHCpageref] = ACTIONS(7463),
    [anon_sym_BSLASHnamecref] = ACTIONS(7463),
    [anon_sym_BSLASHnameCref] = ACTIONS(7463),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7463),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7463),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7463),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7463),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7463),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7463),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7463),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7463),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7463),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7463),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7463),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHdef] = ACTIONS(7463),
    [anon_sym_BSLASHgdef] = ACTIONS(7463),
    [anon_sym_BSLASHedef] = ACTIONS(7463),
    [anon_sym_BSLASHxdef] = ACTIONS(7463),
    [anon_sym_BSLASHlet] = ACTIONS(7463),
    [anon_sym_BSLASHglet] = ACTIONS(7463),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7463),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7463),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7463),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7463),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7463),
    [anon_sym_BSLASHgls] = ACTIONS(7463),
    [anon_sym_BSLASHGls] = ACTIONS(7463),
    [anon_sym_BSLASHGLS] = ACTIONS(7463),
    [anon_sym_BSLASHglspl] = ACTIONS(7463),
    [anon_sym_BSLASHGlspl] = ACTIONS(7463),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7463),
    [anon_sym_BSLASHglslink] = ACTIONS(7463),
    [anon_sym_BSLASHglstext] = ACTIONS(7463),
    [anon_sym_BSLASHGlstext] = ACTIONS(7463),
    [anon_sym_BSLASHGLStext] = ACTIONS(7463),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7463),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7463),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7463),
    [anon_sym_BSLASHglsplural] = ACTIONS(7463),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7463),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7463),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHglsname] = ACTIONS(7463),
    [anon_sym_BSLASHGlsname] = ACTIONS(7463),
    [anon_sym_BSLASHGLSname] = ACTIONS(7463),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7463),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7463),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7463),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7463),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7463),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7463),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7463),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7463),
    [anon_sym_BSLASHacrshort] = ACTIONS(7463),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7463),
    [anon_sym_BSLASHACRshort] = ACTIONS(7463),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHacrlong] = ACTIONS(7463),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7463),
    [anon_sym_BSLASHACRlong] = ACTIONS(7463),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHacrfull] = ACTIONS(7463),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7463),
    [anon_sym_BSLASHACRfull] = ACTIONS(7463),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHacs] = ACTIONS(7463),
    [anon_sym_BSLASHAcs] = ACTIONS(7463),
    [anon_sym_BSLASHacsp] = ACTIONS(7463),
    [anon_sym_BSLASHAcsp] = ACTIONS(7463),
    [anon_sym_BSLASHacl] = ACTIONS(7463),
    [anon_sym_BSLASHAcl] = ACTIONS(7463),
    [anon_sym_BSLASHaclp] = ACTIONS(7463),
    [anon_sym_BSLASHAclp] = ACTIONS(7463),
    [anon_sym_BSLASHacf] = ACTIONS(7463),
    [anon_sym_BSLASHAcf] = ACTIONS(7463),
    [anon_sym_BSLASHacfp] = ACTIONS(7463),
    [anon_sym_BSLASHAcfp] = ACTIONS(7463),
    [anon_sym_BSLASHac] = ACTIONS(7463),
    [anon_sym_BSLASHAc] = ACTIONS(7463),
    [anon_sym_BSLASHacp] = ACTIONS(7463),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7463),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7463),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7463),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7463),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7463),
    [anon_sym_BSLASHcolor] = ACTIONS(7463),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7463),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7463),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7463),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7463),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7463),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7463),
    [anon_sym_BSLASHurl] = ACTIONS(7463),
    [anon_sym_BSLASHhref] = ACTIONS(7463),
  },
  [2125] = {
    [sym_command_name] = ACTIONS(7467),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7467),
    [anon_sym_LPAREN] = ACTIONS(7469),
    [anon_sym_RPAREN] = ACTIONS(7469),
    [anon_sym_LBRACE] = ACTIONS(7469),
    [anon_sym_RBRACE] = ACTIONS(7469),
    [anon_sym_BSLASHand] = ACTIONS(7467),
    [sym_word] = ACTIONS(7467),
    [sym_placeholder] = ACTIONS(7469),
    [sym_delimiter] = ACTIONS(7469),
    [anon_sym_PLUS] = ACTIONS(7469),
    [anon_sym_DASH] = ACTIONS(7469),
    [anon_sym_STAR] = ACTIONS(7469),
    [anon_sym_SLASH] = ACTIONS(7469),
    [anon_sym_LT] = ACTIONS(7467),
    [anon_sym_GT] = ACTIONS(7467),
    [anon_sym_BANG] = ACTIONS(7467),
    [anon_sym_PIPE] = ACTIONS(7467),
    [anon_sym_COLON] = ACTIONS(7467),
    [anon_sym_SQUOTE] = ACTIONS(7467),
    [anon_sym__] = ACTIONS(7469),
    [anon_sym_CARET] = ACTIONS(7469),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7469),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7469),
    [anon_sym_DOLLAR] = ACTIONS(7467),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7469),
    [anon_sym_BSLASHleft] = ACTIONS(7467),
    [anon_sym_BSLASHbigl] = ACTIONS(7467),
    [anon_sym_BSLASHBigl] = ACTIONS(7467),
    [anon_sym_BSLASHbiggl] = ACTIONS(7467),
    [anon_sym_BSLASHBiggl] = ACTIONS(7467),
    [anon_sym_BSLASHtext] = ACTIONS(7467),
    [anon_sym_BSLASHintertext] = ACTIONS(7467),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7467),
    [anon_sym_BSLASHtitle] = ACTIONS(7467),
    [anon_sym_BSLASHauthor] = ACTIONS(7467),
    [anon_sym_BSLASHusepackage] = ACTIONS(7467),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7467),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7467),
    [anon_sym_BSLASHinclude] = ACTIONS(7467),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7467),
    [anon_sym_BSLASHinput] = ACTIONS(7467),
    [anon_sym_BSLASHsubfile] = ACTIONS(7467),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7467),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7467),
    [anon_sym_BSLASHbibliography] = ACTIONS(7467),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7467),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7467),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7467),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7467),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7467),
    [anon_sym_BSLASHimport] = ACTIONS(7467),
    [anon_sym_BSLASHsubimport] = ACTIONS(7467),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7467),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7467),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7467),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7467),
    [anon_sym_BSLASHcaption] = ACTIONS(7467),
    [anon_sym_BSLASHcite] = ACTIONS(7467),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCite] = ACTIONS(7467),
    [anon_sym_BSLASHnocite] = ACTIONS(7467),
    [anon_sym_BSLASHcitet] = ACTIONS(7467),
    [anon_sym_BSLASHcitep] = ACTIONS(7467),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteA] = ACTIONS(7467),
    [anon_sym_BSLASHciteR] = ACTIONS(7467),
    [anon_sym_BSLASHciteS] = ACTIONS(7467),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7467),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7467),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7467),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7467),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteyear] = ACTIONS(7467),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitedate] = ACTIONS(7467),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteurl] = ACTIONS(7467),
    [anon_sym_BSLASHfullcite] = ACTIONS(7467),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7467),
    [anon_sym_BSLASHcitealt] = ACTIONS(7467),
    [anon_sym_BSLASHcitealp] = ACTIONS(7467),
    [anon_sym_BSLASHcitetext] = ACTIONS(7467),
    [anon_sym_BSLASHparencite] = ACTIONS(7467),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHParencite] = ACTIONS(7467),
    [anon_sym_BSLASHfootcite] = ACTIONS(7467),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7467),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7467),
    [anon_sym_BSLASHtextcite] = ACTIONS(7467),
    [anon_sym_BSLASHTextcite] = ACTIONS(7467),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7467),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7467),
    [anon_sym_BSLASHsupercite] = ACTIONS(7467),
    [anon_sym_BSLASHautocite] = ACTIONS(7467),
    [anon_sym_BSLASHAutocite] = ACTIONS(7467),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHVolcite] = ACTIONS(7467),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHavolcite] = ACTIONS(7467),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHNotecite] = ACTIONS(7467),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHlabel] = ACTIONS(7467),
    [anon_sym_BSLASHref] = ACTIONS(7467),
    [anon_sym_BSLASHeqref] = ACTIONS(7467),
    [anon_sym_BSLASHvref] = ACTIONS(7467),
    [anon_sym_BSLASHVref] = ACTIONS(7467),
    [anon_sym_BSLASHautoref] = ACTIONS(7467),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHpageref] = ACTIONS(7467),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHautopageref] = ACTIONS(7467),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcref] = ACTIONS(7467),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCref] = ACTIONS(7467),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcpageref] = ACTIONS(7467),
    [anon_sym_BSLASHCpageref] = ACTIONS(7467),
    [anon_sym_BSLASHnamecref] = ACTIONS(7467),
    [anon_sym_BSLASHnameCref] = ACTIONS(7467),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7467),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7467),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7467),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7467),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7467),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7467),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7467),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7467),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7467),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7467),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7467),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHdef] = ACTIONS(7467),
    [anon_sym_BSLASHgdef] = ACTIONS(7467),
    [anon_sym_BSLASHedef] = ACTIONS(7467),
    [anon_sym_BSLASHxdef] = ACTIONS(7467),
    [anon_sym_BSLASHlet] = ACTIONS(7467),
    [anon_sym_BSLASHglet] = ACTIONS(7467),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7467),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7467),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7467),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7467),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7467),
    [anon_sym_BSLASHgls] = ACTIONS(7467),
    [anon_sym_BSLASHGls] = ACTIONS(7467),
    [anon_sym_BSLASHGLS] = ACTIONS(7467),
    [anon_sym_BSLASHglspl] = ACTIONS(7467),
    [anon_sym_BSLASHGlspl] = ACTIONS(7467),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7467),
    [anon_sym_BSLASHglslink] = ACTIONS(7467),
    [anon_sym_BSLASHglstext] = ACTIONS(7467),
    [anon_sym_BSLASHGlstext] = ACTIONS(7467),
    [anon_sym_BSLASHGLStext] = ACTIONS(7467),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7467),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7467),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7467),
    [anon_sym_BSLASHglsplural] = ACTIONS(7467),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7467),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7467),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHglsname] = ACTIONS(7467),
    [anon_sym_BSLASHGlsname] = ACTIONS(7467),
    [anon_sym_BSLASHGLSname] = ACTIONS(7467),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7467),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7467),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7467),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7467),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7467),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7467),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7467),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7467),
    [anon_sym_BSLASHacrshort] = ACTIONS(7467),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7467),
    [anon_sym_BSLASHACRshort] = ACTIONS(7467),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHacrlong] = ACTIONS(7467),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7467),
    [anon_sym_BSLASHACRlong] = ACTIONS(7467),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHacrfull] = ACTIONS(7467),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7467),
    [anon_sym_BSLASHACRfull] = ACTIONS(7467),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHacs] = ACTIONS(7467),
    [anon_sym_BSLASHAcs] = ACTIONS(7467),
    [anon_sym_BSLASHacsp] = ACTIONS(7467),
    [anon_sym_BSLASHAcsp] = ACTIONS(7467),
    [anon_sym_BSLASHacl] = ACTIONS(7467),
    [anon_sym_BSLASHAcl] = ACTIONS(7467),
    [anon_sym_BSLASHaclp] = ACTIONS(7467),
    [anon_sym_BSLASHAclp] = ACTIONS(7467),
    [anon_sym_BSLASHacf] = ACTIONS(7467),
    [anon_sym_BSLASHAcf] = ACTIONS(7467),
    [anon_sym_BSLASHacfp] = ACTIONS(7467),
    [anon_sym_BSLASHAcfp] = ACTIONS(7467),
    [anon_sym_BSLASHac] = ACTIONS(7467),
    [anon_sym_BSLASHAc] = ACTIONS(7467),
    [anon_sym_BSLASHacp] = ACTIONS(7467),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7467),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7467),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7467),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7467),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7467),
    [anon_sym_BSLASHcolor] = ACTIONS(7467),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7467),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7467),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7467),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7467),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7467),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7467),
    [anon_sym_BSLASHurl] = ACTIONS(7467),
    [anon_sym_BSLASHhref] = ACTIONS(7467),
  },
  [2126] = {
    [sym_command_name] = ACTIONS(7471),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7471),
    [anon_sym_LPAREN] = ACTIONS(7473),
    [anon_sym_RPAREN] = ACTIONS(7473),
    [anon_sym_LBRACE] = ACTIONS(7473),
    [anon_sym_RBRACE] = ACTIONS(7473),
    [anon_sym_BSLASHand] = ACTIONS(7471),
    [sym_word] = ACTIONS(7471),
    [sym_placeholder] = ACTIONS(7473),
    [sym_delimiter] = ACTIONS(7473),
    [anon_sym_PLUS] = ACTIONS(7473),
    [anon_sym_DASH] = ACTIONS(7473),
    [anon_sym_STAR] = ACTIONS(7473),
    [anon_sym_SLASH] = ACTIONS(7473),
    [anon_sym_LT] = ACTIONS(7471),
    [anon_sym_GT] = ACTIONS(7471),
    [anon_sym_BANG] = ACTIONS(7471),
    [anon_sym_PIPE] = ACTIONS(7471),
    [anon_sym_COLON] = ACTIONS(7471),
    [anon_sym_SQUOTE] = ACTIONS(7471),
    [anon_sym__] = ACTIONS(7473),
    [anon_sym_CARET] = ACTIONS(7473),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7473),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7473),
    [anon_sym_DOLLAR] = ACTIONS(7471),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7473),
    [anon_sym_BSLASHleft] = ACTIONS(7471),
    [anon_sym_BSLASHbigl] = ACTIONS(7471),
    [anon_sym_BSLASHBigl] = ACTIONS(7471),
    [anon_sym_BSLASHbiggl] = ACTIONS(7471),
    [anon_sym_BSLASHBiggl] = ACTIONS(7471),
    [anon_sym_BSLASHtext] = ACTIONS(7471),
    [anon_sym_BSLASHintertext] = ACTIONS(7471),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7471),
    [anon_sym_BSLASHtitle] = ACTIONS(7471),
    [anon_sym_BSLASHauthor] = ACTIONS(7471),
    [anon_sym_BSLASHusepackage] = ACTIONS(7471),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7471),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7471),
    [anon_sym_BSLASHinclude] = ACTIONS(7471),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7471),
    [anon_sym_BSLASHinput] = ACTIONS(7471),
    [anon_sym_BSLASHsubfile] = ACTIONS(7471),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7471),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7471),
    [anon_sym_BSLASHbibliography] = ACTIONS(7471),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7471),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7471),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7471),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7471),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7471),
    [anon_sym_BSLASHimport] = ACTIONS(7471),
    [anon_sym_BSLASHsubimport] = ACTIONS(7471),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7471),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7471),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7471),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7471),
    [anon_sym_BSLASHcaption] = ACTIONS(7471),
    [anon_sym_BSLASHcite] = ACTIONS(7471),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCite] = ACTIONS(7471),
    [anon_sym_BSLASHnocite] = ACTIONS(7471),
    [anon_sym_BSLASHcitet] = ACTIONS(7471),
    [anon_sym_BSLASHcitep] = ACTIONS(7471),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteA] = ACTIONS(7471),
    [anon_sym_BSLASHciteR] = ACTIONS(7471),
    [anon_sym_BSLASHciteS] = ACTIONS(7471),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7471),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7471),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7471),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7471),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteyear] = ACTIONS(7471),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitedate] = ACTIONS(7471),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteurl] = ACTIONS(7471),
    [anon_sym_BSLASHfullcite] = ACTIONS(7471),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7471),
    [anon_sym_BSLASHcitealt] = ACTIONS(7471),
    [anon_sym_BSLASHcitealp] = ACTIONS(7471),
    [anon_sym_BSLASHcitetext] = ACTIONS(7471),
    [anon_sym_BSLASHparencite] = ACTIONS(7471),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHParencite] = ACTIONS(7471),
    [anon_sym_BSLASHfootcite] = ACTIONS(7471),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7471),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7471),
    [anon_sym_BSLASHtextcite] = ACTIONS(7471),
    [anon_sym_BSLASHTextcite] = ACTIONS(7471),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7471),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7471),
    [anon_sym_BSLASHsupercite] = ACTIONS(7471),
    [anon_sym_BSLASHautocite] = ACTIONS(7471),
    [anon_sym_BSLASHAutocite] = ACTIONS(7471),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHVolcite] = ACTIONS(7471),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHavolcite] = ACTIONS(7471),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHNotecite] = ACTIONS(7471),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHlabel] = ACTIONS(7471),
    [anon_sym_BSLASHref] = ACTIONS(7471),
    [anon_sym_BSLASHeqref] = ACTIONS(7471),
    [anon_sym_BSLASHvref] = ACTIONS(7471),
    [anon_sym_BSLASHVref] = ACTIONS(7471),
    [anon_sym_BSLASHautoref] = ACTIONS(7471),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHpageref] = ACTIONS(7471),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHautopageref] = ACTIONS(7471),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcref] = ACTIONS(7471),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCref] = ACTIONS(7471),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcpageref] = ACTIONS(7471),
    [anon_sym_BSLASHCpageref] = ACTIONS(7471),
    [anon_sym_BSLASHnamecref] = ACTIONS(7471),
    [anon_sym_BSLASHnameCref] = ACTIONS(7471),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7471),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7471),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7471),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7471),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7471),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7471),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7471),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7471),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7471),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7471),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7471),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHdef] = ACTIONS(7471),
    [anon_sym_BSLASHgdef] = ACTIONS(7471),
    [anon_sym_BSLASHedef] = ACTIONS(7471),
    [anon_sym_BSLASHxdef] = ACTIONS(7471),
    [anon_sym_BSLASHlet] = ACTIONS(7471),
    [anon_sym_BSLASHglet] = ACTIONS(7471),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7471),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7471),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7471),
    [anon_sym_BSLASHgls] = ACTIONS(7471),
    [anon_sym_BSLASHGls] = ACTIONS(7471),
    [anon_sym_BSLASHGLS] = ACTIONS(7471),
    [anon_sym_BSLASHglspl] = ACTIONS(7471),
    [anon_sym_BSLASHGlspl] = ACTIONS(7471),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7471),
    [anon_sym_BSLASHglslink] = ACTIONS(7471),
    [anon_sym_BSLASHglstext] = ACTIONS(7471),
    [anon_sym_BSLASHGlstext] = ACTIONS(7471),
    [anon_sym_BSLASHGLStext] = ACTIONS(7471),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7471),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7471),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7471),
    [anon_sym_BSLASHglsplural] = ACTIONS(7471),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7471),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7471),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHglsname] = ACTIONS(7471),
    [anon_sym_BSLASHGlsname] = ACTIONS(7471),
    [anon_sym_BSLASHGLSname] = ACTIONS(7471),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7471),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7471),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7471),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7471),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7471),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7471),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7471),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7471),
    [anon_sym_BSLASHacrshort] = ACTIONS(7471),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7471),
    [anon_sym_BSLASHACRshort] = ACTIONS(7471),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHacrlong] = ACTIONS(7471),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7471),
    [anon_sym_BSLASHACRlong] = ACTIONS(7471),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHacrfull] = ACTIONS(7471),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7471),
    [anon_sym_BSLASHACRfull] = ACTIONS(7471),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHacs] = ACTIONS(7471),
    [anon_sym_BSLASHAcs] = ACTIONS(7471),
    [anon_sym_BSLASHacsp] = ACTIONS(7471),
    [anon_sym_BSLASHAcsp] = ACTIONS(7471),
    [anon_sym_BSLASHacl] = ACTIONS(7471),
    [anon_sym_BSLASHAcl] = ACTIONS(7471),
    [anon_sym_BSLASHaclp] = ACTIONS(7471),
    [anon_sym_BSLASHAclp] = ACTIONS(7471),
    [anon_sym_BSLASHacf] = ACTIONS(7471),
    [anon_sym_BSLASHAcf] = ACTIONS(7471),
    [anon_sym_BSLASHacfp] = ACTIONS(7471),
    [anon_sym_BSLASHAcfp] = ACTIONS(7471),
    [anon_sym_BSLASHac] = ACTIONS(7471),
    [anon_sym_BSLASHAc] = ACTIONS(7471),
    [anon_sym_BSLASHacp] = ACTIONS(7471),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7471),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7471),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7471),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7471),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7471),
    [anon_sym_BSLASHcolor] = ACTIONS(7471),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7471),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7471),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7471),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7471),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7471),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7471),
    [anon_sym_BSLASHurl] = ACTIONS(7471),
    [anon_sym_BSLASHhref] = ACTIONS(7471),
  },
  [2127] = {
    [sym_command_name] = ACTIONS(7603),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7603),
    [anon_sym_LPAREN] = ACTIONS(7605),
    [anon_sym_RPAREN] = ACTIONS(7605),
    [anon_sym_LBRACE] = ACTIONS(7605),
    [anon_sym_RBRACE] = ACTIONS(7605),
    [anon_sym_BSLASHand] = ACTIONS(7603),
    [sym_word] = ACTIONS(7603),
    [sym_placeholder] = ACTIONS(7605),
    [sym_delimiter] = ACTIONS(7605),
    [anon_sym_PLUS] = ACTIONS(7605),
    [anon_sym_DASH] = ACTIONS(7605),
    [anon_sym_STAR] = ACTIONS(7605),
    [anon_sym_SLASH] = ACTIONS(7605),
    [anon_sym_LT] = ACTIONS(7603),
    [anon_sym_GT] = ACTIONS(7603),
    [anon_sym_BANG] = ACTIONS(7603),
    [anon_sym_PIPE] = ACTIONS(7603),
    [anon_sym_COLON] = ACTIONS(7603),
    [anon_sym_SQUOTE] = ACTIONS(7603),
    [anon_sym__] = ACTIONS(7605),
    [anon_sym_CARET] = ACTIONS(7605),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7605),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7605),
    [anon_sym_DOLLAR] = ACTIONS(7603),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7605),
    [anon_sym_BSLASHleft] = ACTIONS(7603),
    [anon_sym_BSLASHbigl] = ACTIONS(7603),
    [anon_sym_BSLASHBigl] = ACTIONS(7603),
    [anon_sym_BSLASHbiggl] = ACTIONS(7603),
    [anon_sym_BSLASHBiggl] = ACTIONS(7603),
    [anon_sym_BSLASHtext] = ACTIONS(7603),
    [anon_sym_BSLASHintertext] = ACTIONS(7603),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7603),
    [anon_sym_BSLASHtitle] = ACTIONS(7603),
    [anon_sym_BSLASHauthor] = ACTIONS(7603),
    [anon_sym_BSLASHusepackage] = ACTIONS(7603),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7603),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7603),
    [anon_sym_BSLASHinclude] = ACTIONS(7603),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7603),
    [anon_sym_BSLASHinput] = ACTIONS(7603),
    [anon_sym_BSLASHsubfile] = ACTIONS(7603),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7603),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7603),
    [anon_sym_BSLASHbibliography] = ACTIONS(7603),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7603),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7603),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7603),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7603),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7603),
    [anon_sym_BSLASHimport] = ACTIONS(7603),
    [anon_sym_BSLASHsubimport] = ACTIONS(7603),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7603),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7603),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7603),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7603),
    [anon_sym_BSLASHcaption] = ACTIONS(7603),
    [anon_sym_BSLASHcite] = ACTIONS(7603),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCite] = ACTIONS(7603),
    [anon_sym_BSLASHnocite] = ACTIONS(7603),
    [anon_sym_BSLASHcitet] = ACTIONS(7603),
    [anon_sym_BSLASHcitep] = ACTIONS(7603),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteA] = ACTIONS(7603),
    [anon_sym_BSLASHciteR] = ACTIONS(7603),
    [anon_sym_BSLASHciteS] = ACTIONS(7603),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7603),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7603),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7603),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7603),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteyear] = ACTIONS(7603),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitedate] = ACTIONS(7603),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteurl] = ACTIONS(7603),
    [anon_sym_BSLASHfullcite] = ACTIONS(7603),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7603),
    [anon_sym_BSLASHcitealt] = ACTIONS(7603),
    [anon_sym_BSLASHcitealp] = ACTIONS(7603),
    [anon_sym_BSLASHcitetext] = ACTIONS(7603),
    [anon_sym_BSLASHparencite] = ACTIONS(7603),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHParencite] = ACTIONS(7603),
    [anon_sym_BSLASHfootcite] = ACTIONS(7603),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7603),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7603),
    [anon_sym_BSLASHtextcite] = ACTIONS(7603),
    [anon_sym_BSLASHTextcite] = ACTIONS(7603),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7603),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7603),
    [anon_sym_BSLASHsupercite] = ACTIONS(7603),
    [anon_sym_BSLASHautocite] = ACTIONS(7603),
    [anon_sym_BSLASHAutocite] = ACTIONS(7603),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHVolcite] = ACTIONS(7603),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHavolcite] = ACTIONS(7603),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHNotecite] = ACTIONS(7603),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHlabel] = ACTIONS(7603),
    [anon_sym_BSLASHref] = ACTIONS(7603),
    [anon_sym_BSLASHeqref] = ACTIONS(7603),
    [anon_sym_BSLASHvref] = ACTIONS(7603),
    [anon_sym_BSLASHVref] = ACTIONS(7603),
    [anon_sym_BSLASHautoref] = ACTIONS(7603),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHpageref] = ACTIONS(7603),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHautopageref] = ACTIONS(7603),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcref] = ACTIONS(7603),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCref] = ACTIONS(7603),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcpageref] = ACTIONS(7603),
    [anon_sym_BSLASHCpageref] = ACTIONS(7603),
    [anon_sym_BSLASHnamecref] = ACTIONS(7603),
    [anon_sym_BSLASHnameCref] = ACTIONS(7603),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7603),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7603),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7603),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7603),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7603),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7603),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7603),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7603),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7603),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7603),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7603),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHdef] = ACTIONS(7603),
    [anon_sym_BSLASHgdef] = ACTIONS(7603),
    [anon_sym_BSLASHedef] = ACTIONS(7603),
    [anon_sym_BSLASHxdef] = ACTIONS(7603),
    [anon_sym_BSLASHlet] = ACTIONS(7603),
    [anon_sym_BSLASHglet] = ACTIONS(7603),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7603),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7603),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7603),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7603),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7603),
    [anon_sym_BSLASHgls] = ACTIONS(7603),
    [anon_sym_BSLASHGls] = ACTIONS(7603),
    [anon_sym_BSLASHGLS] = ACTIONS(7603),
    [anon_sym_BSLASHglspl] = ACTIONS(7603),
    [anon_sym_BSLASHGlspl] = ACTIONS(7603),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7603),
    [anon_sym_BSLASHglslink] = ACTIONS(7603),
    [anon_sym_BSLASHglstext] = ACTIONS(7603),
    [anon_sym_BSLASHGlstext] = ACTIONS(7603),
    [anon_sym_BSLASHGLStext] = ACTIONS(7603),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7603),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7603),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7603),
    [anon_sym_BSLASHglsplural] = ACTIONS(7603),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7603),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7603),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHglsname] = ACTIONS(7603),
    [anon_sym_BSLASHGlsname] = ACTIONS(7603),
    [anon_sym_BSLASHGLSname] = ACTIONS(7603),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7603),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7603),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7603),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7603),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7603),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7603),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7603),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7603),
    [anon_sym_BSLASHacrshort] = ACTIONS(7603),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7603),
    [anon_sym_BSLASHACRshort] = ACTIONS(7603),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHacrlong] = ACTIONS(7603),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7603),
    [anon_sym_BSLASHACRlong] = ACTIONS(7603),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHacrfull] = ACTIONS(7603),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7603),
    [anon_sym_BSLASHACRfull] = ACTIONS(7603),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHacs] = ACTIONS(7603),
    [anon_sym_BSLASHAcs] = ACTIONS(7603),
    [anon_sym_BSLASHacsp] = ACTIONS(7603),
    [anon_sym_BSLASHAcsp] = ACTIONS(7603),
    [anon_sym_BSLASHacl] = ACTIONS(7603),
    [anon_sym_BSLASHAcl] = ACTIONS(7603),
    [anon_sym_BSLASHaclp] = ACTIONS(7603),
    [anon_sym_BSLASHAclp] = ACTIONS(7603),
    [anon_sym_BSLASHacf] = ACTIONS(7603),
    [anon_sym_BSLASHAcf] = ACTIONS(7603),
    [anon_sym_BSLASHacfp] = ACTIONS(7603),
    [anon_sym_BSLASHAcfp] = ACTIONS(7603),
    [anon_sym_BSLASHac] = ACTIONS(7603),
    [anon_sym_BSLASHAc] = ACTIONS(7603),
    [anon_sym_BSLASHacp] = ACTIONS(7603),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7603),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7603),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7603),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7603),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7603),
    [anon_sym_BSLASHcolor] = ACTIONS(7603),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7603),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7603),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7603),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7603),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7603),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7603),
    [anon_sym_BSLASHurl] = ACTIONS(7603),
    [anon_sym_BSLASHhref] = ACTIONS(7603),
  },
  [2128] = {
    [sym_command_name] = ACTIONS(7475),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7475),
    [anon_sym_LPAREN] = ACTIONS(7477),
    [anon_sym_RPAREN] = ACTIONS(7477),
    [anon_sym_LBRACE] = ACTIONS(7477),
    [anon_sym_RBRACE] = ACTIONS(7477),
    [anon_sym_BSLASHand] = ACTIONS(7475),
    [sym_word] = ACTIONS(7475),
    [sym_placeholder] = ACTIONS(7477),
    [sym_delimiter] = ACTIONS(7477),
    [anon_sym_PLUS] = ACTIONS(7477),
    [anon_sym_DASH] = ACTIONS(7477),
    [anon_sym_STAR] = ACTIONS(7477),
    [anon_sym_SLASH] = ACTIONS(7477),
    [anon_sym_LT] = ACTIONS(7475),
    [anon_sym_GT] = ACTIONS(7475),
    [anon_sym_BANG] = ACTIONS(7475),
    [anon_sym_PIPE] = ACTIONS(7475),
    [anon_sym_COLON] = ACTIONS(7475),
    [anon_sym_SQUOTE] = ACTIONS(7475),
    [anon_sym__] = ACTIONS(7477),
    [anon_sym_CARET] = ACTIONS(7477),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7477),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7477),
    [anon_sym_DOLLAR] = ACTIONS(7475),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7477),
    [anon_sym_BSLASHleft] = ACTIONS(7475),
    [anon_sym_BSLASHbigl] = ACTIONS(7475),
    [anon_sym_BSLASHBigl] = ACTIONS(7475),
    [anon_sym_BSLASHbiggl] = ACTIONS(7475),
    [anon_sym_BSLASHBiggl] = ACTIONS(7475),
    [anon_sym_BSLASHtext] = ACTIONS(7475),
    [anon_sym_BSLASHintertext] = ACTIONS(7475),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7475),
    [anon_sym_BSLASHtitle] = ACTIONS(7475),
    [anon_sym_BSLASHauthor] = ACTIONS(7475),
    [anon_sym_BSLASHusepackage] = ACTIONS(7475),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7475),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7475),
    [anon_sym_BSLASHinclude] = ACTIONS(7475),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7475),
    [anon_sym_BSLASHinput] = ACTIONS(7475),
    [anon_sym_BSLASHsubfile] = ACTIONS(7475),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7475),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7475),
    [anon_sym_BSLASHbibliography] = ACTIONS(7475),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7475),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7475),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7475),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7475),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7475),
    [anon_sym_BSLASHimport] = ACTIONS(7475),
    [anon_sym_BSLASHsubimport] = ACTIONS(7475),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7475),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7475),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7475),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7475),
    [anon_sym_BSLASHcaption] = ACTIONS(7475),
    [anon_sym_BSLASHcite] = ACTIONS(7475),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCite] = ACTIONS(7475),
    [anon_sym_BSLASHnocite] = ACTIONS(7475),
    [anon_sym_BSLASHcitet] = ACTIONS(7475),
    [anon_sym_BSLASHcitep] = ACTIONS(7475),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteA] = ACTIONS(7475),
    [anon_sym_BSLASHciteR] = ACTIONS(7475),
    [anon_sym_BSLASHciteS] = ACTIONS(7475),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7475),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7475),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7475),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7475),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteyear] = ACTIONS(7475),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitedate] = ACTIONS(7475),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteurl] = ACTIONS(7475),
    [anon_sym_BSLASHfullcite] = ACTIONS(7475),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7475),
    [anon_sym_BSLASHcitealt] = ACTIONS(7475),
    [anon_sym_BSLASHcitealp] = ACTIONS(7475),
    [anon_sym_BSLASHcitetext] = ACTIONS(7475),
    [anon_sym_BSLASHparencite] = ACTIONS(7475),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHParencite] = ACTIONS(7475),
    [anon_sym_BSLASHfootcite] = ACTIONS(7475),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7475),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7475),
    [anon_sym_BSLASHtextcite] = ACTIONS(7475),
    [anon_sym_BSLASHTextcite] = ACTIONS(7475),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7475),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7475),
    [anon_sym_BSLASHsupercite] = ACTIONS(7475),
    [anon_sym_BSLASHautocite] = ACTIONS(7475),
    [anon_sym_BSLASHAutocite] = ACTIONS(7475),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHVolcite] = ACTIONS(7475),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHavolcite] = ACTIONS(7475),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHNotecite] = ACTIONS(7475),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHlabel] = ACTIONS(7475),
    [anon_sym_BSLASHref] = ACTIONS(7475),
    [anon_sym_BSLASHeqref] = ACTIONS(7475),
    [anon_sym_BSLASHvref] = ACTIONS(7475),
    [anon_sym_BSLASHVref] = ACTIONS(7475),
    [anon_sym_BSLASHautoref] = ACTIONS(7475),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHpageref] = ACTIONS(7475),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHautopageref] = ACTIONS(7475),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcref] = ACTIONS(7475),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCref] = ACTIONS(7475),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcpageref] = ACTIONS(7475),
    [anon_sym_BSLASHCpageref] = ACTIONS(7475),
    [anon_sym_BSLASHnamecref] = ACTIONS(7475),
    [anon_sym_BSLASHnameCref] = ACTIONS(7475),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7475),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7475),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7475),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7475),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7475),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7475),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7475),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7475),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7475),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7475),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7475),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHdef] = ACTIONS(7475),
    [anon_sym_BSLASHgdef] = ACTIONS(7475),
    [anon_sym_BSLASHedef] = ACTIONS(7475),
    [anon_sym_BSLASHxdef] = ACTIONS(7475),
    [anon_sym_BSLASHlet] = ACTIONS(7475),
    [anon_sym_BSLASHglet] = ACTIONS(7475),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7475),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7475),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7475),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7475),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7475),
    [anon_sym_BSLASHgls] = ACTIONS(7475),
    [anon_sym_BSLASHGls] = ACTIONS(7475),
    [anon_sym_BSLASHGLS] = ACTIONS(7475),
    [anon_sym_BSLASHglspl] = ACTIONS(7475),
    [anon_sym_BSLASHGlspl] = ACTIONS(7475),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7475),
    [anon_sym_BSLASHglslink] = ACTIONS(7475),
    [anon_sym_BSLASHglstext] = ACTIONS(7475),
    [anon_sym_BSLASHGlstext] = ACTIONS(7475),
    [anon_sym_BSLASHGLStext] = ACTIONS(7475),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7475),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7475),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7475),
    [anon_sym_BSLASHglsplural] = ACTIONS(7475),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7475),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7475),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHglsname] = ACTIONS(7475),
    [anon_sym_BSLASHGlsname] = ACTIONS(7475),
    [anon_sym_BSLASHGLSname] = ACTIONS(7475),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7475),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7475),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7475),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7475),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7475),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7475),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7475),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7475),
    [anon_sym_BSLASHacrshort] = ACTIONS(7475),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7475),
    [anon_sym_BSLASHACRshort] = ACTIONS(7475),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHacrlong] = ACTIONS(7475),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7475),
    [anon_sym_BSLASHACRlong] = ACTIONS(7475),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHacrfull] = ACTIONS(7475),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7475),
    [anon_sym_BSLASHACRfull] = ACTIONS(7475),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHacs] = ACTIONS(7475),
    [anon_sym_BSLASHAcs] = ACTIONS(7475),
    [anon_sym_BSLASHacsp] = ACTIONS(7475),
    [anon_sym_BSLASHAcsp] = ACTIONS(7475),
    [anon_sym_BSLASHacl] = ACTIONS(7475),
    [anon_sym_BSLASHAcl] = ACTIONS(7475),
    [anon_sym_BSLASHaclp] = ACTIONS(7475),
    [anon_sym_BSLASHAclp] = ACTIONS(7475),
    [anon_sym_BSLASHacf] = ACTIONS(7475),
    [anon_sym_BSLASHAcf] = ACTIONS(7475),
    [anon_sym_BSLASHacfp] = ACTIONS(7475),
    [anon_sym_BSLASHAcfp] = ACTIONS(7475),
    [anon_sym_BSLASHac] = ACTIONS(7475),
    [anon_sym_BSLASHAc] = ACTIONS(7475),
    [anon_sym_BSLASHacp] = ACTIONS(7475),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7475),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7475),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7475),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7475),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7475),
    [anon_sym_BSLASHcolor] = ACTIONS(7475),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7475),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7475),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7475),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7475),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7475),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7475),
    [anon_sym_BSLASHurl] = ACTIONS(7475),
    [anon_sym_BSLASHhref] = ACTIONS(7475),
  },
  [2129] = {
    [sym_command_name] = ACTIONS(7339),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7339),
    [anon_sym_LPAREN] = ACTIONS(7341),
    [anon_sym_RPAREN] = ACTIONS(7341),
    [anon_sym_LBRACE] = ACTIONS(7341),
    [anon_sym_RBRACE] = ACTIONS(7341),
    [anon_sym_BSLASHand] = ACTIONS(7339),
    [sym_word] = ACTIONS(7339),
    [sym_placeholder] = ACTIONS(7341),
    [sym_delimiter] = ACTIONS(7341),
    [anon_sym_PLUS] = ACTIONS(7341),
    [anon_sym_DASH] = ACTIONS(7341),
    [anon_sym_STAR] = ACTIONS(7341),
    [anon_sym_SLASH] = ACTIONS(7341),
    [anon_sym_LT] = ACTIONS(7339),
    [anon_sym_GT] = ACTIONS(7339),
    [anon_sym_BANG] = ACTIONS(7339),
    [anon_sym_PIPE] = ACTIONS(7339),
    [anon_sym_COLON] = ACTIONS(7339),
    [anon_sym_SQUOTE] = ACTIONS(7339),
    [anon_sym__] = ACTIONS(7341),
    [anon_sym_CARET] = ACTIONS(7341),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7341),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7341),
    [anon_sym_DOLLAR] = ACTIONS(7339),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7341),
    [anon_sym_BSLASHleft] = ACTIONS(7339),
    [anon_sym_BSLASHbigl] = ACTIONS(7339),
    [anon_sym_BSLASHBigl] = ACTIONS(7339),
    [anon_sym_BSLASHbiggl] = ACTIONS(7339),
    [anon_sym_BSLASHBiggl] = ACTIONS(7339),
    [anon_sym_BSLASHtext] = ACTIONS(7339),
    [anon_sym_BSLASHintertext] = ACTIONS(7339),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7339),
    [anon_sym_BSLASHtitle] = ACTIONS(7339),
    [anon_sym_BSLASHauthor] = ACTIONS(7339),
    [anon_sym_BSLASHusepackage] = ACTIONS(7339),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7339),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7339),
    [anon_sym_BSLASHinclude] = ACTIONS(7339),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7339),
    [anon_sym_BSLASHinput] = ACTIONS(7339),
    [anon_sym_BSLASHsubfile] = ACTIONS(7339),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7339),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7339),
    [anon_sym_BSLASHbibliography] = ACTIONS(7339),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7339),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7339),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7339),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7339),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7339),
    [anon_sym_BSLASHimport] = ACTIONS(7339),
    [anon_sym_BSLASHsubimport] = ACTIONS(7339),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7339),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7339),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7339),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7339),
    [anon_sym_BSLASHcaption] = ACTIONS(7339),
    [anon_sym_BSLASHcite] = ACTIONS(7339),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCite] = ACTIONS(7339),
    [anon_sym_BSLASHnocite] = ACTIONS(7339),
    [anon_sym_BSLASHcitet] = ACTIONS(7339),
    [anon_sym_BSLASHcitep] = ACTIONS(7339),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteA] = ACTIONS(7339),
    [anon_sym_BSLASHciteR] = ACTIONS(7339),
    [anon_sym_BSLASHciteS] = ACTIONS(7339),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7339),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7339),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7339),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7339),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteyear] = ACTIONS(7339),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitedate] = ACTIONS(7339),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteurl] = ACTIONS(7339),
    [anon_sym_BSLASHfullcite] = ACTIONS(7339),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7339),
    [anon_sym_BSLASHcitealt] = ACTIONS(7339),
    [anon_sym_BSLASHcitealp] = ACTIONS(7339),
    [anon_sym_BSLASHcitetext] = ACTIONS(7339),
    [anon_sym_BSLASHparencite] = ACTIONS(7339),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHParencite] = ACTIONS(7339),
    [anon_sym_BSLASHfootcite] = ACTIONS(7339),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7339),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7339),
    [anon_sym_BSLASHtextcite] = ACTIONS(7339),
    [anon_sym_BSLASHTextcite] = ACTIONS(7339),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7339),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7339),
    [anon_sym_BSLASHsupercite] = ACTIONS(7339),
    [anon_sym_BSLASHautocite] = ACTIONS(7339),
    [anon_sym_BSLASHAutocite] = ACTIONS(7339),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHVolcite] = ACTIONS(7339),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHavolcite] = ACTIONS(7339),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHNotecite] = ACTIONS(7339),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHlabel] = ACTIONS(7339),
    [anon_sym_BSLASHref] = ACTIONS(7339),
    [anon_sym_BSLASHeqref] = ACTIONS(7339),
    [anon_sym_BSLASHvref] = ACTIONS(7339),
    [anon_sym_BSLASHVref] = ACTIONS(7339),
    [anon_sym_BSLASHautoref] = ACTIONS(7339),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHpageref] = ACTIONS(7339),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHautopageref] = ACTIONS(7339),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcref] = ACTIONS(7339),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCref] = ACTIONS(7339),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcpageref] = ACTIONS(7339),
    [anon_sym_BSLASHCpageref] = ACTIONS(7339),
    [anon_sym_BSLASHnamecref] = ACTIONS(7339),
    [anon_sym_BSLASHnameCref] = ACTIONS(7339),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7339),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7339),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7339),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7339),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7339),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7339),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7339),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7339),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7339),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7339),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7339),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHdef] = ACTIONS(7339),
    [anon_sym_BSLASHgdef] = ACTIONS(7339),
    [anon_sym_BSLASHedef] = ACTIONS(7339),
    [anon_sym_BSLASHxdef] = ACTIONS(7339),
    [anon_sym_BSLASHlet] = ACTIONS(7339),
    [anon_sym_BSLASHglet] = ACTIONS(7339),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7339),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7339),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7339),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7339),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7339),
    [anon_sym_BSLASHgls] = ACTIONS(7339),
    [anon_sym_BSLASHGls] = ACTIONS(7339),
    [anon_sym_BSLASHGLS] = ACTIONS(7339),
    [anon_sym_BSLASHglspl] = ACTIONS(7339),
    [anon_sym_BSLASHGlspl] = ACTIONS(7339),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7339),
    [anon_sym_BSLASHglslink] = ACTIONS(7339),
    [anon_sym_BSLASHglstext] = ACTIONS(7339),
    [anon_sym_BSLASHGlstext] = ACTIONS(7339),
    [anon_sym_BSLASHGLStext] = ACTIONS(7339),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7339),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7339),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7339),
    [anon_sym_BSLASHglsplural] = ACTIONS(7339),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7339),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7339),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHglsname] = ACTIONS(7339),
    [anon_sym_BSLASHGlsname] = ACTIONS(7339),
    [anon_sym_BSLASHGLSname] = ACTIONS(7339),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7339),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7339),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7339),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7339),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7339),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7339),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7339),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7339),
    [anon_sym_BSLASHacrshort] = ACTIONS(7339),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7339),
    [anon_sym_BSLASHACRshort] = ACTIONS(7339),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHacrlong] = ACTIONS(7339),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7339),
    [anon_sym_BSLASHACRlong] = ACTIONS(7339),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHacrfull] = ACTIONS(7339),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7339),
    [anon_sym_BSLASHACRfull] = ACTIONS(7339),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHacs] = ACTIONS(7339),
    [anon_sym_BSLASHAcs] = ACTIONS(7339),
    [anon_sym_BSLASHacsp] = ACTIONS(7339),
    [anon_sym_BSLASHAcsp] = ACTIONS(7339),
    [anon_sym_BSLASHacl] = ACTIONS(7339),
    [anon_sym_BSLASHAcl] = ACTIONS(7339),
    [anon_sym_BSLASHaclp] = ACTIONS(7339),
    [anon_sym_BSLASHAclp] = ACTIONS(7339),
    [anon_sym_BSLASHacf] = ACTIONS(7339),
    [anon_sym_BSLASHAcf] = ACTIONS(7339),
    [anon_sym_BSLASHacfp] = ACTIONS(7339),
    [anon_sym_BSLASHAcfp] = ACTIONS(7339),
    [anon_sym_BSLASHac] = ACTIONS(7339),
    [anon_sym_BSLASHAc] = ACTIONS(7339),
    [anon_sym_BSLASHacp] = ACTIONS(7339),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7339),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7339),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7339),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7339),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7339),
    [anon_sym_BSLASHcolor] = ACTIONS(7339),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7339),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7339),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7339),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7339),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7339),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7339),
    [anon_sym_BSLASHurl] = ACTIONS(7339),
    [anon_sym_BSLASHhref] = ACTIONS(7339),
  },
  [2130] = {
    [sym_command_name] = ACTIONS(7483),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7483),
    [anon_sym_LPAREN] = ACTIONS(7485),
    [anon_sym_RPAREN] = ACTIONS(7485),
    [anon_sym_LBRACE] = ACTIONS(7485),
    [anon_sym_RBRACE] = ACTIONS(7485),
    [anon_sym_BSLASHand] = ACTIONS(7483),
    [sym_word] = ACTIONS(7483),
    [sym_placeholder] = ACTIONS(7485),
    [sym_delimiter] = ACTIONS(7485),
    [anon_sym_PLUS] = ACTIONS(7485),
    [anon_sym_DASH] = ACTIONS(7485),
    [anon_sym_STAR] = ACTIONS(7485),
    [anon_sym_SLASH] = ACTIONS(7485),
    [anon_sym_LT] = ACTIONS(7483),
    [anon_sym_GT] = ACTIONS(7483),
    [anon_sym_BANG] = ACTIONS(7483),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_COLON] = ACTIONS(7483),
    [anon_sym_SQUOTE] = ACTIONS(7483),
    [anon_sym__] = ACTIONS(7485),
    [anon_sym_CARET] = ACTIONS(7485),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7485),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7485),
    [anon_sym_DOLLAR] = ACTIONS(7483),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7485),
    [anon_sym_BSLASHleft] = ACTIONS(7483),
    [anon_sym_BSLASHbigl] = ACTIONS(7483),
    [anon_sym_BSLASHBigl] = ACTIONS(7483),
    [anon_sym_BSLASHbiggl] = ACTIONS(7483),
    [anon_sym_BSLASHBiggl] = ACTIONS(7483),
    [anon_sym_BSLASHtext] = ACTIONS(7483),
    [anon_sym_BSLASHintertext] = ACTIONS(7483),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7483),
    [anon_sym_BSLASHtitle] = ACTIONS(7483),
    [anon_sym_BSLASHauthor] = ACTIONS(7483),
    [anon_sym_BSLASHusepackage] = ACTIONS(7483),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7483),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7483),
    [anon_sym_BSLASHinclude] = ACTIONS(7483),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7483),
    [anon_sym_BSLASHinput] = ACTIONS(7483),
    [anon_sym_BSLASHsubfile] = ACTIONS(7483),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7483),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7483),
    [anon_sym_BSLASHbibliography] = ACTIONS(7483),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7483),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7483),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7483),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7483),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7483),
    [anon_sym_BSLASHimport] = ACTIONS(7483),
    [anon_sym_BSLASHsubimport] = ACTIONS(7483),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7483),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7483),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7483),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7483),
    [anon_sym_BSLASHcaption] = ACTIONS(7483),
    [anon_sym_BSLASHcite] = ACTIONS(7483),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCite] = ACTIONS(7483),
    [anon_sym_BSLASHnocite] = ACTIONS(7483),
    [anon_sym_BSLASHcitet] = ACTIONS(7483),
    [anon_sym_BSLASHcitep] = ACTIONS(7483),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteA] = ACTIONS(7483),
    [anon_sym_BSLASHciteR] = ACTIONS(7483),
    [anon_sym_BSLASHciteS] = ACTIONS(7483),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7483),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7483),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7483),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7483),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteyear] = ACTIONS(7483),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitedate] = ACTIONS(7483),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteurl] = ACTIONS(7483),
    [anon_sym_BSLASHfullcite] = ACTIONS(7483),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7483),
    [anon_sym_BSLASHcitealt] = ACTIONS(7483),
    [anon_sym_BSLASHcitealp] = ACTIONS(7483),
    [anon_sym_BSLASHcitetext] = ACTIONS(7483),
    [anon_sym_BSLASHparencite] = ACTIONS(7483),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHParencite] = ACTIONS(7483),
    [anon_sym_BSLASHfootcite] = ACTIONS(7483),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7483),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7483),
    [anon_sym_BSLASHtextcite] = ACTIONS(7483),
    [anon_sym_BSLASHTextcite] = ACTIONS(7483),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7483),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7483),
    [anon_sym_BSLASHsupercite] = ACTIONS(7483),
    [anon_sym_BSLASHautocite] = ACTIONS(7483),
    [anon_sym_BSLASHAutocite] = ACTIONS(7483),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHVolcite] = ACTIONS(7483),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHavolcite] = ACTIONS(7483),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHNotecite] = ACTIONS(7483),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHlabel] = ACTIONS(7483),
    [anon_sym_BSLASHref] = ACTIONS(7483),
    [anon_sym_BSLASHeqref] = ACTIONS(7483),
    [anon_sym_BSLASHvref] = ACTIONS(7483),
    [anon_sym_BSLASHVref] = ACTIONS(7483),
    [anon_sym_BSLASHautoref] = ACTIONS(7483),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHpageref] = ACTIONS(7483),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHautopageref] = ACTIONS(7483),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcref] = ACTIONS(7483),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCref] = ACTIONS(7483),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcpageref] = ACTIONS(7483),
    [anon_sym_BSLASHCpageref] = ACTIONS(7483),
    [anon_sym_BSLASHnamecref] = ACTIONS(7483),
    [anon_sym_BSLASHnameCref] = ACTIONS(7483),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7483),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7483),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7483),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7483),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7483),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7483),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7483),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7483),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7483),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7483),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7483),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHdef] = ACTIONS(7483),
    [anon_sym_BSLASHgdef] = ACTIONS(7483),
    [anon_sym_BSLASHedef] = ACTIONS(7483),
    [anon_sym_BSLASHxdef] = ACTIONS(7483),
    [anon_sym_BSLASHlet] = ACTIONS(7483),
    [anon_sym_BSLASHglet] = ACTIONS(7483),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7483),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7483),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7483),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7483),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7483),
    [anon_sym_BSLASHgls] = ACTIONS(7483),
    [anon_sym_BSLASHGls] = ACTIONS(7483),
    [anon_sym_BSLASHGLS] = ACTIONS(7483),
    [anon_sym_BSLASHglspl] = ACTIONS(7483),
    [anon_sym_BSLASHGlspl] = ACTIONS(7483),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7483),
    [anon_sym_BSLASHglslink] = ACTIONS(7483),
    [anon_sym_BSLASHglstext] = ACTIONS(7483),
    [anon_sym_BSLASHGlstext] = ACTIONS(7483),
    [anon_sym_BSLASHGLStext] = ACTIONS(7483),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7483),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7483),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7483),
    [anon_sym_BSLASHglsplural] = ACTIONS(7483),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7483),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7483),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHglsname] = ACTIONS(7483),
    [anon_sym_BSLASHGlsname] = ACTIONS(7483),
    [anon_sym_BSLASHGLSname] = ACTIONS(7483),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7483),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7483),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7483),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7483),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7483),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7483),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7483),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7483),
    [anon_sym_BSLASHacrshort] = ACTIONS(7483),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7483),
    [anon_sym_BSLASHACRshort] = ACTIONS(7483),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHacrlong] = ACTIONS(7483),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7483),
    [anon_sym_BSLASHACRlong] = ACTIONS(7483),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHacrfull] = ACTIONS(7483),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7483),
    [anon_sym_BSLASHACRfull] = ACTIONS(7483),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHacs] = ACTIONS(7483),
    [anon_sym_BSLASHAcs] = ACTIONS(7483),
    [anon_sym_BSLASHacsp] = ACTIONS(7483),
    [anon_sym_BSLASHAcsp] = ACTIONS(7483),
    [anon_sym_BSLASHacl] = ACTIONS(7483),
    [anon_sym_BSLASHAcl] = ACTIONS(7483),
    [anon_sym_BSLASHaclp] = ACTIONS(7483),
    [anon_sym_BSLASHAclp] = ACTIONS(7483),
    [anon_sym_BSLASHacf] = ACTIONS(7483),
    [anon_sym_BSLASHAcf] = ACTIONS(7483),
    [anon_sym_BSLASHacfp] = ACTIONS(7483),
    [anon_sym_BSLASHAcfp] = ACTIONS(7483),
    [anon_sym_BSLASHac] = ACTIONS(7483),
    [anon_sym_BSLASHAc] = ACTIONS(7483),
    [anon_sym_BSLASHacp] = ACTIONS(7483),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7483),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7483),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7483),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7483),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7483),
    [anon_sym_BSLASHcolor] = ACTIONS(7483),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7483),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7483),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7483),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7483),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7483),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7483),
    [anon_sym_BSLASHurl] = ACTIONS(7483),
    [anon_sym_BSLASHhref] = ACTIONS(7483),
  },
  [2131] = {
    [sym_command_name] = ACTIONS(7607),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7607),
    [anon_sym_LPAREN] = ACTIONS(7609),
    [anon_sym_RPAREN] = ACTIONS(7609),
    [anon_sym_LBRACE] = ACTIONS(7609),
    [anon_sym_RBRACE] = ACTIONS(7609),
    [anon_sym_BSLASHand] = ACTIONS(7607),
    [sym_word] = ACTIONS(7607),
    [sym_placeholder] = ACTIONS(7609),
    [sym_delimiter] = ACTIONS(7609),
    [anon_sym_PLUS] = ACTIONS(7609),
    [anon_sym_DASH] = ACTIONS(7609),
    [anon_sym_STAR] = ACTIONS(7609),
    [anon_sym_SLASH] = ACTIONS(7609),
    [anon_sym_LT] = ACTIONS(7607),
    [anon_sym_GT] = ACTIONS(7607),
    [anon_sym_BANG] = ACTIONS(7607),
    [anon_sym_PIPE] = ACTIONS(7607),
    [anon_sym_COLON] = ACTIONS(7607),
    [anon_sym_SQUOTE] = ACTIONS(7607),
    [anon_sym__] = ACTIONS(7609),
    [anon_sym_CARET] = ACTIONS(7609),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7609),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7609),
    [anon_sym_DOLLAR] = ACTIONS(7607),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7609),
    [anon_sym_BSLASHleft] = ACTIONS(7607),
    [anon_sym_BSLASHbigl] = ACTIONS(7607),
    [anon_sym_BSLASHBigl] = ACTIONS(7607),
    [anon_sym_BSLASHbiggl] = ACTIONS(7607),
    [anon_sym_BSLASHBiggl] = ACTIONS(7607),
    [anon_sym_BSLASHtext] = ACTIONS(7607),
    [anon_sym_BSLASHintertext] = ACTIONS(7607),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7607),
    [anon_sym_BSLASHtitle] = ACTIONS(7607),
    [anon_sym_BSLASHauthor] = ACTIONS(7607),
    [anon_sym_BSLASHusepackage] = ACTIONS(7607),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7607),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7607),
    [anon_sym_BSLASHinclude] = ACTIONS(7607),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7607),
    [anon_sym_BSLASHinput] = ACTIONS(7607),
    [anon_sym_BSLASHsubfile] = ACTIONS(7607),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7607),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7607),
    [anon_sym_BSLASHbibliography] = ACTIONS(7607),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7607),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7607),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7607),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7607),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7607),
    [anon_sym_BSLASHimport] = ACTIONS(7607),
    [anon_sym_BSLASHsubimport] = ACTIONS(7607),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7607),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7607),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7607),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7607),
    [anon_sym_BSLASHcaption] = ACTIONS(7607),
    [anon_sym_BSLASHcite] = ACTIONS(7607),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCite] = ACTIONS(7607),
    [anon_sym_BSLASHnocite] = ACTIONS(7607),
    [anon_sym_BSLASHcitet] = ACTIONS(7607),
    [anon_sym_BSLASHcitep] = ACTIONS(7607),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHciteA] = ACTIONS(7607),
    [anon_sym_BSLASHciteR] = ACTIONS(7607),
    [anon_sym_BSLASHciteS] = ACTIONS(7607),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7607),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7607),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7607),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7607),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHciteyear] = ACTIONS(7607),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcitedate] = ACTIONS(7607),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHciteurl] = ACTIONS(7607),
    [anon_sym_BSLASHfullcite] = ACTIONS(7607),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7607),
    [anon_sym_BSLASHcitealt] = ACTIONS(7607),
    [anon_sym_BSLASHcitealp] = ACTIONS(7607),
    [anon_sym_BSLASHcitetext] = ACTIONS(7607),
    [anon_sym_BSLASHparencite] = ACTIONS(7607),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHParencite] = ACTIONS(7607),
    [anon_sym_BSLASHfootcite] = ACTIONS(7607),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7607),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7607),
    [anon_sym_BSLASHtextcite] = ACTIONS(7607),
    [anon_sym_BSLASHTextcite] = ACTIONS(7607),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7607),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7607),
    [anon_sym_BSLASHsupercite] = ACTIONS(7607),
    [anon_sym_BSLASHautocite] = ACTIONS(7607),
    [anon_sym_BSLASHAutocite] = ACTIONS(7607),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHVolcite] = ACTIONS(7607),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHavolcite] = ACTIONS(7607),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7607),
    [anon_sym_BSLASHnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHNotecite] = ACTIONS(7607),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7607),
    [anon_sym_BSLASHlabel] = ACTIONS(7607),
    [anon_sym_BSLASHref] = ACTIONS(7607),
    [anon_sym_BSLASHeqref] = ACTIONS(7607),
    [anon_sym_BSLASHvref] = ACTIONS(7607),
    [anon_sym_BSLASHVref] = ACTIONS(7607),
    [anon_sym_BSLASHautoref] = ACTIONS(7607),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHpageref] = ACTIONS(7607),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHautopageref] = ACTIONS(7607),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcref] = ACTIONS(7607),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCref] = ACTIONS(7607),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcpageref] = ACTIONS(7607),
    [anon_sym_BSLASHCpageref] = ACTIONS(7607),
    [anon_sym_BSLASHnamecref] = ACTIONS(7607),
    [anon_sym_BSLASHnameCref] = ACTIONS(7607),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7607),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7607),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7607),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7607),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7607),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7607),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7607),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7607),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7607),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7607),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7607),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7607),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7607),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7607),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7607),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7607),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7607),
    [anon_sym_BSLASHdef] = ACTIONS(7607),
    [anon_sym_BSLASHgdef] = ACTIONS(7607),
    [anon_sym_BSLASHedef] = ACTIONS(7607),
    [anon_sym_BSLASHxdef] = ACTIONS(7607),
    [anon_sym_BSLASHlet] = ACTIONS(7607),
    [anon_sym_BSLASHglet] = ACTIONS(7607),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7607),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7607),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7607),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7607),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7607),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7607),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7607),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7607),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7607),
    [anon_sym_BSLASHgls] = ACTIONS(7607),
    [anon_sym_BSLASHGls] = ACTIONS(7607),
    [anon_sym_BSLASHGLS] = ACTIONS(7607),
    [anon_sym_BSLASHglspl] = ACTIONS(7607),
    [anon_sym_BSLASHGlspl] = ACTIONS(7607),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7607),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7607),
    [anon_sym_BSLASHglslink] = ACTIONS(7607),
    [anon_sym_BSLASHglstext] = ACTIONS(7607),
    [anon_sym_BSLASHGlstext] = ACTIONS(7607),
    [anon_sym_BSLASHGLStext] = ACTIONS(7607),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7607),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7607),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7607),
    [anon_sym_BSLASHglsplural] = ACTIONS(7607),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7607),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7607),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7607),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7607),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7607),
    [anon_sym_BSLASHglsname] = ACTIONS(7607),
    [anon_sym_BSLASHGlsname] = ACTIONS(7607),
    [anon_sym_BSLASHGLSname] = ACTIONS(7607),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7607),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7607),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7607),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7607),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7607),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7607),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7607),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7607),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7607),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7607),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7607),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7607),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7607),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7607),
    [anon_sym_BSLASHacrshort] = ACTIONS(7607),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7607),
    [anon_sym_BSLASHACRshort] = ACTIONS(7607),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHacrlong] = ACTIONS(7607),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7607),
    [anon_sym_BSLASHACRlong] = ACTIONS(7607),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7607),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7607),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7607),
    [anon_sym_BSLASHacrfull] = ACTIONS(7607),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7607),
    [anon_sym_BSLASHACRfull] = ACTIONS(7607),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHacs] = ACTIONS(7607),
    [anon_sym_BSLASHAcs] = ACTIONS(7607),
    [anon_sym_BSLASHacsp] = ACTIONS(7607),
    [anon_sym_BSLASHAcsp] = ACTIONS(7607),
    [anon_sym_BSLASHacl] = ACTIONS(7607),
    [anon_sym_BSLASHAcl] = ACTIONS(7607),
    [anon_sym_BSLASHaclp] = ACTIONS(7607),
    [anon_sym_BSLASHAclp] = ACTIONS(7607),
    [anon_sym_BSLASHacf] = ACTIONS(7607),
    [anon_sym_BSLASHAcf] = ACTIONS(7607),
    [anon_sym_BSLASHacfp] = ACTIONS(7607),
    [anon_sym_BSLASHAcfp] = ACTIONS(7607),
    [anon_sym_BSLASHac] = ACTIONS(7607),
    [anon_sym_BSLASHAc] = ACTIONS(7607),
    [anon_sym_BSLASHacp] = ACTIONS(7607),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7607),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7607),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7607),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7607),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7607),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7607),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7607),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7609),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7607),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7607),
    [anon_sym_BSLASHcolor] = ACTIONS(7607),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7607),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7607),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7607),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7607),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7607),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7607),
    [anon_sym_BSLASHurl] = ACTIONS(7607),
    [anon_sym_BSLASHhref] = ACTIONS(7607),
  },
  [2132] = {
    [sym_command_name] = ACTIONS(7487),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7487),
    [anon_sym_LPAREN] = ACTIONS(7489),
    [anon_sym_RPAREN] = ACTIONS(7489),
    [anon_sym_LBRACE] = ACTIONS(7489),
    [anon_sym_RBRACE] = ACTIONS(7489),
    [anon_sym_BSLASHand] = ACTIONS(7487),
    [sym_word] = ACTIONS(7487),
    [sym_placeholder] = ACTIONS(7489),
    [sym_delimiter] = ACTIONS(7489),
    [anon_sym_PLUS] = ACTIONS(7489),
    [anon_sym_DASH] = ACTIONS(7489),
    [anon_sym_STAR] = ACTIONS(7489),
    [anon_sym_SLASH] = ACTIONS(7489),
    [anon_sym_LT] = ACTIONS(7487),
    [anon_sym_GT] = ACTIONS(7487),
    [anon_sym_BANG] = ACTIONS(7487),
    [anon_sym_PIPE] = ACTIONS(7487),
    [anon_sym_COLON] = ACTIONS(7487),
    [anon_sym_SQUOTE] = ACTIONS(7487),
    [anon_sym__] = ACTIONS(7489),
    [anon_sym_CARET] = ACTIONS(7489),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7489),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7489),
    [anon_sym_DOLLAR] = ACTIONS(7487),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7489),
    [anon_sym_BSLASHleft] = ACTIONS(7487),
    [anon_sym_BSLASHbigl] = ACTIONS(7487),
    [anon_sym_BSLASHBigl] = ACTIONS(7487),
    [anon_sym_BSLASHbiggl] = ACTIONS(7487),
    [anon_sym_BSLASHBiggl] = ACTIONS(7487),
    [anon_sym_BSLASHtext] = ACTIONS(7487),
    [anon_sym_BSLASHintertext] = ACTIONS(7487),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7487),
    [anon_sym_BSLASHtitle] = ACTIONS(7487),
    [anon_sym_BSLASHauthor] = ACTIONS(7487),
    [anon_sym_BSLASHusepackage] = ACTIONS(7487),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7487),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7487),
    [anon_sym_BSLASHinclude] = ACTIONS(7487),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7487),
    [anon_sym_BSLASHinput] = ACTIONS(7487),
    [anon_sym_BSLASHsubfile] = ACTIONS(7487),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7487),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7487),
    [anon_sym_BSLASHbibliography] = ACTIONS(7487),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7487),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7487),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7487),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7487),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7487),
    [anon_sym_BSLASHimport] = ACTIONS(7487),
    [anon_sym_BSLASHsubimport] = ACTIONS(7487),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7487),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7487),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7487),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7487),
    [anon_sym_BSLASHcaption] = ACTIONS(7487),
    [anon_sym_BSLASHcite] = ACTIONS(7487),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCite] = ACTIONS(7487),
    [anon_sym_BSLASHnocite] = ACTIONS(7487),
    [anon_sym_BSLASHcitet] = ACTIONS(7487),
    [anon_sym_BSLASHcitep] = ACTIONS(7487),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteA] = ACTIONS(7487),
    [anon_sym_BSLASHciteR] = ACTIONS(7487),
    [anon_sym_BSLASHciteS] = ACTIONS(7487),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7487),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7487),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7487),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7487),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteyear] = ACTIONS(7487),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitedate] = ACTIONS(7487),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteurl] = ACTIONS(7487),
    [anon_sym_BSLASHfullcite] = ACTIONS(7487),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7487),
    [anon_sym_BSLASHcitealt] = ACTIONS(7487),
    [anon_sym_BSLASHcitealp] = ACTIONS(7487),
    [anon_sym_BSLASHcitetext] = ACTIONS(7487),
    [anon_sym_BSLASHparencite] = ACTIONS(7487),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHParencite] = ACTIONS(7487),
    [anon_sym_BSLASHfootcite] = ACTIONS(7487),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7487),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7487),
    [anon_sym_BSLASHtextcite] = ACTIONS(7487),
    [anon_sym_BSLASHTextcite] = ACTIONS(7487),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7487),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7487),
    [anon_sym_BSLASHsupercite] = ACTIONS(7487),
    [anon_sym_BSLASHautocite] = ACTIONS(7487),
    [anon_sym_BSLASHAutocite] = ACTIONS(7487),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHVolcite] = ACTIONS(7487),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHavolcite] = ACTIONS(7487),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHNotecite] = ACTIONS(7487),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHlabel] = ACTIONS(7487),
    [anon_sym_BSLASHref] = ACTIONS(7487),
    [anon_sym_BSLASHeqref] = ACTIONS(7487),
    [anon_sym_BSLASHvref] = ACTIONS(7487),
    [anon_sym_BSLASHVref] = ACTIONS(7487),
    [anon_sym_BSLASHautoref] = ACTIONS(7487),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHpageref] = ACTIONS(7487),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHautopageref] = ACTIONS(7487),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcref] = ACTIONS(7487),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCref] = ACTIONS(7487),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcpageref] = ACTIONS(7487),
    [anon_sym_BSLASHCpageref] = ACTIONS(7487),
    [anon_sym_BSLASHnamecref] = ACTIONS(7487),
    [anon_sym_BSLASHnameCref] = ACTIONS(7487),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7487),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7487),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7487),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7487),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7487),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7487),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7487),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7487),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7487),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7487),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7487),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHdef] = ACTIONS(7487),
    [anon_sym_BSLASHgdef] = ACTIONS(7487),
    [anon_sym_BSLASHedef] = ACTIONS(7487),
    [anon_sym_BSLASHxdef] = ACTIONS(7487),
    [anon_sym_BSLASHlet] = ACTIONS(7487),
    [anon_sym_BSLASHglet] = ACTIONS(7487),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7487),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7487),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7487),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7487),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7487),
    [anon_sym_BSLASHgls] = ACTIONS(7487),
    [anon_sym_BSLASHGls] = ACTIONS(7487),
    [anon_sym_BSLASHGLS] = ACTIONS(7487),
    [anon_sym_BSLASHglspl] = ACTIONS(7487),
    [anon_sym_BSLASHGlspl] = ACTIONS(7487),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7487),
    [anon_sym_BSLASHglslink] = ACTIONS(7487),
    [anon_sym_BSLASHglstext] = ACTIONS(7487),
    [anon_sym_BSLASHGlstext] = ACTIONS(7487),
    [anon_sym_BSLASHGLStext] = ACTIONS(7487),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7487),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7487),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7487),
    [anon_sym_BSLASHglsplural] = ACTIONS(7487),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7487),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7487),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHglsname] = ACTIONS(7487),
    [anon_sym_BSLASHGlsname] = ACTIONS(7487),
    [anon_sym_BSLASHGLSname] = ACTIONS(7487),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7487),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7487),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7487),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7487),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7487),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7487),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7487),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7487),
    [anon_sym_BSLASHacrshort] = ACTIONS(7487),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7487),
    [anon_sym_BSLASHACRshort] = ACTIONS(7487),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHacrlong] = ACTIONS(7487),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7487),
    [anon_sym_BSLASHACRlong] = ACTIONS(7487),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHacrfull] = ACTIONS(7487),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7487),
    [anon_sym_BSLASHACRfull] = ACTIONS(7487),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHacs] = ACTIONS(7487),
    [anon_sym_BSLASHAcs] = ACTIONS(7487),
    [anon_sym_BSLASHacsp] = ACTIONS(7487),
    [anon_sym_BSLASHAcsp] = ACTIONS(7487),
    [anon_sym_BSLASHacl] = ACTIONS(7487),
    [anon_sym_BSLASHAcl] = ACTIONS(7487),
    [anon_sym_BSLASHaclp] = ACTIONS(7487),
    [anon_sym_BSLASHAclp] = ACTIONS(7487),
    [anon_sym_BSLASHacf] = ACTIONS(7487),
    [anon_sym_BSLASHAcf] = ACTIONS(7487),
    [anon_sym_BSLASHacfp] = ACTIONS(7487),
    [anon_sym_BSLASHAcfp] = ACTIONS(7487),
    [anon_sym_BSLASHac] = ACTIONS(7487),
    [anon_sym_BSLASHAc] = ACTIONS(7487),
    [anon_sym_BSLASHacp] = ACTIONS(7487),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7487),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7487),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7487),
    [anon_sym_BSLASHcolor] = ACTIONS(7487),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7487),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7487),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7487),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7487),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7487),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7487),
    [anon_sym_BSLASHurl] = ACTIONS(7487),
    [anon_sym_BSLASHhref] = ACTIONS(7487),
  },
  [2133] = {
    [sym_command_name] = ACTIONS(7491),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7491),
    [anon_sym_LPAREN] = ACTIONS(7493),
    [anon_sym_RPAREN] = ACTIONS(7493),
    [anon_sym_LBRACE] = ACTIONS(7493),
    [anon_sym_RBRACE] = ACTIONS(7493),
    [anon_sym_BSLASHand] = ACTIONS(7491),
    [sym_word] = ACTIONS(7491),
    [sym_placeholder] = ACTIONS(7493),
    [sym_delimiter] = ACTIONS(7493),
    [anon_sym_PLUS] = ACTIONS(7493),
    [anon_sym_DASH] = ACTIONS(7493),
    [anon_sym_STAR] = ACTIONS(7493),
    [anon_sym_SLASH] = ACTIONS(7493),
    [anon_sym_LT] = ACTIONS(7491),
    [anon_sym_GT] = ACTIONS(7491),
    [anon_sym_BANG] = ACTIONS(7491),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_COLON] = ACTIONS(7491),
    [anon_sym_SQUOTE] = ACTIONS(7491),
    [anon_sym__] = ACTIONS(7493),
    [anon_sym_CARET] = ACTIONS(7493),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7493),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7493),
    [anon_sym_DOLLAR] = ACTIONS(7491),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7493),
    [anon_sym_BSLASHleft] = ACTIONS(7491),
    [anon_sym_BSLASHbigl] = ACTIONS(7491),
    [anon_sym_BSLASHBigl] = ACTIONS(7491),
    [anon_sym_BSLASHbiggl] = ACTIONS(7491),
    [anon_sym_BSLASHBiggl] = ACTIONS(7491),
    [anon_sym_BSLASHtext] = ACTIONS(7491),
    [anon_sym_BSLASHintertext] = ACTIONS(7491),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7491),
    [anon_sym_BSLASHtitle] = ACTIONS(7491),
    [anon_sym_BSLASHauthor] = ACTIONS(7491),
    [anon_sym_BSLASHusepackage] = ACTIONS(7491),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7491),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7491),
    [anon_sym_BSLASHinclude] = ACTIONS(7491),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7491),
    [anon_sym_BSLASHinput] = ACTIONS(7491),
    [anon_sym_BSLASHsubfile] = ACTIONS(7491),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7491),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7491),
    [anon_sym_BSLASHbibliography] = ACTIONS(7491),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7491),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7491),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7491),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7491),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7491),
    [anon_sym_BSLASHimport] = ACTIONS(7491),
    [anon_sym_BSLASHsubimport] = ACTIONS(7491),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7491),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7491),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7491),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7491),
    [anon_sym_BSLASHcaption] = ACTIONS(7491),
    [anon_sym_BSLASHcite] = ACTIONS(7491),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCite] = ACTIONS(7491),
    [anon_sym_BSLASHnocite] = ACTIONS(7491),
    [anon_sym_BSLASHcitet] = ACTIONS(7491),
    [anon_sym_BSLASHcitep] = ACTIONS(7491),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteA] = ACTIONS(7491),
    [anon_sym_BSLASHciteR] = ACTIONS(7491),
    [anon_sym_BSLASHciteS] = ACTIONS(7491),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7491),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7491),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7491),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7491),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteyear] = ACTIONS(7491),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitedate] = ACTIONS(7491),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteurl] = ACTIONS(7491),
    [anon_sym_BSLASHfullcite] = ACTIONS(7491),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7491),
    [anon_sym_BSLASHcitealt] = ACTIONS(7491),
    [anon_sym_BSLASHcitealp] = ACTIONS(7491),
    [anon_sym_BSLASHcitetext] = ACTIONS(7491),
    [anon_sym_BSLASHparencite] = ACTIONS(7491),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHParencite] = ACTIONS(7491),
    [anon_sym_BSLASHfootcite] = ACTIONS(7491),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7491),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7491),
    [anon_sym_BSLASHtextcite] = ACTIONS(7491),
    [anon_sym_BSLASHTextcite] = ACTIONS(7491),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7491),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7491),
    [anon_sym_BSLASHsupercite] = ACTIONS(7491),
    [anon_sym_BSLASHautocite] = ACTIONS(7491),
    [anon_sym_BSLASHAutocite] = ACTIONS(7491),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHVolcite] = ACTIONS(7491),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHavolcite] = ACTIONS(7491),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHNotecite] = ACTIONS(7491),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHlabel] = ACTIONS(7491),
    [anon_sym_BSLASHref] = ACTIONS(7491),
    [anon_sym_BSLASHeqref] = ACTIONS(7491),
    [anon_sym_BSLASHvref] = ACTIONS(7491),
    [anon_sym_BSLASHVref] = ACTIONS(7491),
    [anon_sym_BSLASHautoref] = ACTIONS(7491),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHpageref] = ACTIONS(7491),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHautopageref] = ACTIONS(7491),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcref] = ACTIONS(7491),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCref] = ACTIONS(7491),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcpageref] = ACTIONS(7491),
    [anon_sym_BSLASHCpageref] = ACTIONS(7491),
    [anon_sym_BSLASHnamecref] = ACTIONS(7491),
    [anon_sym_BSLASHnameCref] = ACTIONS(7491),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7491),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7491),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7491),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7491),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7491),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7491),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7491),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7491),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7491),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7491),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7491),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHdef] = ACTIONS(7491),
    [anon_sym_BSLASHgdef] = ACTIONS(7491),
    [anon_sym_BSLASHedef] = ACTIONS(7491),
    [anon_sym_BSLASHxdef] = ACTIONS(7491),
    [anon_sym_BSLASHlet] = ACTIONS(7491),
    [anon_sym_BSLASHglet] = ACTIONS(7491),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7491),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7491),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7491),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7491),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7491),
    [anon_sym_BSLASHgls] = ACTIONS(7491),
    [anon_sym_BSLASHGls] = ACTIONS(7491),
    [anon_sym_BSLASHGLS] = ACTIONS(7491),
    [anon_sym_BSLASHglspl] = ACTIONS(7491),
    [anon_sym_BSLASHGlspl] = ACTIONS(7491),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7491),
    [anon_sym_BSLASHglslink] = ACTIONS(7491),
    [anon_sym_BSLASHglstext] = ACTIONS(7491),
    [anon_sym_BSLASHGlstext] = ACTIONS(7491),
    [anon_sym_BSLASHGLStext] = ACTIONS(7491),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7491),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7491),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7491),
    [anon_sym_BSLASHglsplural] = ACTIONS(7491),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7491),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7491),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHglsname] = ACTIONS(7491),
    [anon_sym_BSLASHGlsname] = ACTIONS(7491),
    [anon_sym_BSLASHGLSname] = ACTIONS(7491),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7491),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7491),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7491),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7491),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7491),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7491),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7491),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7491),
    [anon_sym_BSLASHacrshort] = ACTIONS(7491),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7491),
    [anon_sym_BSLASHACRshort] = ACTIONS(7491),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHacrlong] = ACTIONS(7491),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7491),
    [anon_sym_BSLASHACRlong] = ACTIONS(7491),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHacrfull] = ACTIONS(7491),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7491),
    [anon_sym_BSLASHACRfull] = ACTIONS(7491),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHacs] = ACTIONS(7491),
    [anon_sym_BSLASHAcs] = ACTIONS(7491),
    [anon_sym_BSLASHacsp] = ACTIONS(7491),
    [anon_sym_BSLASHAcsp] = ACTIONS(7491),
    [anon_sym_BSLASHacl] = ACTIONS(7491),
    [anon_sym_BSLASHAcl] = ACTIONS(7491),
    [anon_sym_BSLASHaclp] = ACTIONS(7491),
    [anon_sym_BSLASHAclp] = ACTIONS(7491),
    [anon_sym_BSLASHacf] = ACTIONS(7491),
    [anon_sym_BSLASHAcf] = ACTIONS(7491),
    [anon_sym_BSLASHacfp] = ACTIONS(7491),
    [anon_sym_BSLASHAcfp] = ACTIONS(7491),
    [anon_sym_BSLASHac] = ACTIONS(7491),
    [anon_sym_BSLASHAc] = ACTIONS(7491),
    [anon_sym_BSLASHacp] = ACTIONS(7491),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7491),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7491),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7491),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7491),
    [anon_sym_BSLASHcolor] = ACTIONS(7491),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7491),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7491),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7491),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7491),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7491),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7491),
    [anon_sym_BSLASHurl] = ACTIONS(7491),
    [anon_sym_BSLASHhref] = ACTIONS(7491),
  },
  [2134] = {
    [sym_command_name] = ACTIONS(7495),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7495),
    [anon_sym_LPAREN] = ACTIONS(7497),
    [anon_sym_RPAREN] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(7497),
    [anon_sym_RBRACE] = ACTIONS(7497),
    [anon_sym_BSLASHand] = ACTIONS(7495),
    [sym_word] = ACTIONS(7495),
    [sym_placeholder] = ACTIONS(7497),
    [sym_delimiter] = ACTIONS(7497),
    [anon_sym_PLUS] = ACTIONS(7497),
    [anon_sym_DASH] = ACTIONS(7497),
    [anon_sym_STAR] = ACTIONS(7497),
    [anon_sym_SLASH] = ACTIONS(7497),
    [anon_sym_LT] = ACTIONS(7495),
    [anon_sym_GT] = ACTIONS(7495),
    [anon_sym_BANG] = ACTIONS(7495),
    [anon_sym_PIPE] = ACTIONS(7495),
    [anon_sym_COLON] = ACTIONS(7495),
    [anon_sym_SQUOTE] = ACTIONS(7495),
    [anon_sym__] = ACTIONS(7497),
    [anon_sym_CARET] = ACTIONS(7497),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7497),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7497),
    [anon_sym_DOLLAR] = ACTIONS(7495),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7497),
    [anon_sym_BSLASHleft] = ACTIONS(7495),
    [anon_sym_BSLASHbigl] = ACTIONS(7495),
    [anon_sym_BSLASHBigl] = ACTIONS(7495),
    [anon_sym_BSLASHbiggl] = ACTIONS(7495),
    [anon_sym_BSLASHBiggl] = ACTIONS(7495),
    [anon_sym_BSLASHtext] = ACTIONS(7495),
    [anon_sym_BSLASHintertext] = ACTIONS(7495),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7495),
    [anon_sym_BSLASHtitle] = ACTIONS(7495),
    [anon_sym_BSLASHauthor] = ACTIONS(7495),
    [anon_sym_BSLASHusepackage] = ACTIONS(7495),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7495),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7495),
    [anon_sym_BSLASHinclude] = ACTIONS(7495),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7495),
    [anon_sym_BSLASHinput] = ACTIONS(7495),
    [anon_sym_BSLASHsubfile] = ACTIONS(7495),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7495),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7495),
    [anon_sym_BSLASHbibliography] = ACTIONS(7495),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7495),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7495),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7495),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7495),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7495),
    [anon_sym_BSLASHimport] = ACTIONS(7495),
    [anon_sym_BSLASHsubimport] = ACTIONS(7495),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7495),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7495),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7495),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7495),
    [anon_sym_BSLASHcaption] = ACTIONS(7495),
    [anon_sym_BSLASHcite] = ACTIONS(7495),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCite] = ACTIONS(7495),
    [anon_sym_BSLASHnocite] = ACTIONS(7495),
    [anon_sym_BSLASHcitet] = ACTIONS(7495),
    [anon_sym_BSLASHcitep] = ACTIONS(7495),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteA] = ACTIONS(7495),
    [anon_sym_BSLASHciteR] = ACTIONS(7495),
    [anon_sym_BSLASHciteS] = ACTIONS(7495),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7495),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7495),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7495),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7495),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteyear] = ACTIONS(7495),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitedate] = ACTIONS(7495),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteurl] = ACTIONS(7495),
    [anon_sym_BSLASHfullcite] = ACTIONS(7495),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7495),
    [anon_sym_BSLASHcitealt] = ACTIONS(7495),
    [anon_sym_BSLASHcitealp] = ACTIONS(7495),
    [anon_sym_BSLASHcitetext] = ACTIONS(7495),
    [anon_sym_BSLASHparencite] = ACTIONS(7495),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHParencite] = ACTIONS(7495),
    [anon_sym_BSLASHfootcite] = ACTIONS(7495),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7495),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7495),
    [anon_sym_BSLASHtextcite] = ACTIONS(7495),
    [anon_sym_BSLASHTextcite] = ACTIONS(7495),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7495),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7495),
    [anon_sym_BSLASHsupercite] = ACTIONS(7495),
    [anon_sym_BSLASHautocite] = ACTIONS(7495),
    [anon_sym_BSLASHAutocite] = ACTIONS(7495),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHVolcite] = ACTIONS(7495),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHavolcite] = ACTIONS(7495),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHNotecite] = ACTIONS(7495),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHlabel] = ACTIONS(7495),
    [anon_sym_BSLASHref] = ACTIONS(7495),
    [anon_sym_BSLASHeqref] = ACTIONS(7495),
    [anon_sym_BSLASHvref] = ACTIONS(7495),
    [anon_sym_BSLASHVref] = ACTIONS(7495),
    [anon_sym_BSLASHautoref] = ACTIONS(7495),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHpageref] = ACTIONS(7495),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHautopageref] = ACTIONS(7495),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcref] = ACTIONS(7495),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCref] = ACTIONS(7495),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcpageref] = ACTIONS(7495),
    [anon_sym_BSLASHCpageref] = ACTIONS(7495),
    [anon_sym_BSLASHnamecref] = ACTIONS(7495),
    [anon_sym_BSLASHnameCref] = ACTIONS(7495),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7495),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7495),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7495),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7495),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7495),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7495),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7495),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7495),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7495),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7495),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7495),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHdef] = ACTIONS(7495),
    [anon_sym_BSLASHgdef] = ACTIONS(7495),
    [anon_sym_BSLASHedef] = ACTIONS(7495),
    [anon_sym_BSLASHxdef] = ACTIONS(7495),
    [anon_sym_BSLASHlet] = ACTIONS(7495),
    [anon_sym_BSLASHglet] = ACTIONS(7495),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7495),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7495),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7495),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7495),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7495),
    [anon_sym_BSLASHgls] = ACTIONS(7495),
    [anon_sym_BSLASHGls] = ACTIONS(7495),
    [anon_sym_BSLASHGLS] = ACTIONS(7495),
    [anon_sym_BSLASHglspl] = ACTIONS(7495),
    [anon_sym_BSLASHGlspl] = ACTIONS(7495),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7495),
    [anon_sym_BSLASHglslink] = ACTIONS(7495),
    [anon_sym_BSLASHglstext] = ACTIONS(7495),
    [anon_sym_BSLASHGlstext] = ACTIONS(7495),
    [anon_sym_BSLASHGLStext] = ACTIONS(7495),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7495),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7495),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7495),
    [anon_sym_BSLASHglsplural] = ACTIONS(7495),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7495),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7495),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHglsname] = ACTIONS(7495),
    [anon_sym_BSLASHGlsname] = ACTIONS(7495),
    [anon_sym_BSLASHGLSname] = ACTIONS(7495),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7495),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7495),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7495),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7495),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7495),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7495),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7495),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7495),
    [anon_sym_BSLASHacrshort] = ACTIONS(7495),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7495),
    [anon_sym_BSLASHACRshort] = ACTIONS(7495),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHacrlong] = ACTIONS(7495),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7495),
    [anon_sym_BSLASHACRlong] = ACTIONS(7495),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHacrfull] = ACTIONS(7495),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7495),
    [anon_sym_BSLASHACRfull] = ACTIONS(7495),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHacs] = ACTIONS(7495),
    [anon_sym_BSLASHAcs] = ACTIONS(7495),
    [anon_sym_BSLASHacsp] = ACTIONS(7495),
    [anon_sym_BSLASHAcsp] = ACTIONS(7495),
    [anon_sym_BSLASHacl] = ACTIONS(7495),
    [anon_sym_BSLASHAcl] = ACTIONS(7495),
    [anon_sym_BSLASHaclp] = ACTIONS(7495),
    [anon_sym_BSLASHAclp] = ACTIONS(7495),
    [anon_sym_BSLASHacf] = ACTIONS(7495),
    [anon_sym_BSLASHAcf] = ACTIONS(7495),
    [anon_sym_BSLASHacfp] = ACTIONS(7495),
    [anon_sym_BSLASHAcfp] = ACTIONS(7495),
    [anon_sym_BSLASHac] = ACTIONS(7495),
    [anon_sym_BSLASHAc] = ACTIONS(7495),
    [anon_sym_BSLASHacp] = ACTIONS(7495),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7495),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7495),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7495),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7495),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7495),
    [anon_sym_BSLASHcolor] = ACTIONS(7495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7495),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7495),
    [anon_sym_BSLASHurl] = ACTIONS(7495),
    [anon_sym_BSLASHhref] = ACTIONS(7495),
  },
  [2135] = {
    [sym_command_name] = ACTIONS(7343),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7343),
    [anon_sym_LPAREN] = ACTIONS(7345),
    [anon_sym_RPAREN] = ACTIONS(7345),
    [anon_sym_LBRACE] = ACTIONS(7345),
    [anon_sym_RBRACE] = ACTIONS(7345),
    [anon_sym_BSLASHand] = ACTIONS(7343),
    [sym_word] = ACTIONS(7343),
    [sym_placeholder] = ACTIONS(7345),
    [sym_delimiter] = ACTIONS(7345),
    [anon_sym_PLUS] = ACTIONS(7345),
    [anon_sym_DASH] = ACTIONS(7345),
    [anon_sym_STAR] = ACTIONS(7345),
    [anon_sym_SLASH] = ACTIONS(7345),
    [anon_sym_LT] = ACTIONS(7343),
    [anon_sym_GT] = ACTIONS(7343),
    [anon_sym_BANG] = ACTIONS(7343),
    [anon_sym_PIPE] = ACTIONS(7343),
    [anon_sym_COLON] = ACTIONS(7343),
    [anon_sym_SQUOTE] = ACTIONS(7343),
    [anon_sym__] = ACTIONS(7345),
    [anon_sym_CARET] = ACTIONS(7345),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7345),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7345),
    [anon_sym_DOLLAR] = ACTIONS(7343),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7345),
    [anon_sym_BSLASHleft] = ACTIONS(7343),
    [anon_sym_BSLASHbigl] = ACTIONS(7343),
    [anon_sym_BSLASHBigl] = ACTIONS(7343),
    [anon_sym_BSLASHbiggl] = ACTIONS(7343),
    [anon_sym_BSLASHBiggl] = ACTIONS(7343),
    [anon_sym_BSLASHtext] = ACTIONS(7343),
    [anon_sym_BSLASHintertext] = ACTIONS(7343),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7343),
    [anon_sym_BSLASHtitle] = ACTIONS(7343),
    [anon_sym_BSLASHauthor] = ACTIONS(7343),
    [anon_sym_BSLASHusepackage] = ACTIONS(7343),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7343),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7343),
    [anon_sym_BSLASHinclude] = ACTIONS(7343),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7343),
    [anon_sym_BSLASHinput] = ACTIONS(7343),
    [anon_sym_BSLASHsubfile] = ACTIONS(7343),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7343),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7343),
    [anon_sym_BSLASHbibliography] = ACTIONS(7343),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7343),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7343),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7343),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7343),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7343),
    [anon_sym_BSLASHimport] = ACTIONS(7343),
    [anon_sym_BSLASHsubimport] = ACTIONS(7343),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7343),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7343),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7343),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7343),
    [anon_sym_BSLASHcaption] = ACTIONS(7343),
    [anon_sym_BSLASHcite] = ACTIONS(7343),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCite] = ACTIONS(7343),
    [anon_sym_BSLASHnocite] = ACTIONS(7343),
    [anon_sym_BSLASHcitet] = ACTIONS(7343),
    [anon_sym_BSLASHcitep] = ACTIONS(7343),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteA] = ACTIONS(7343),
    [anon_sym_BSLASHciteR] = ACTIONS(7343),
    [anon_sym_BSLASHciteS] = ACTIONS(7343),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7343),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7343),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7343),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7343),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteyear] = ACTIONS(7343),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitedate] = ACTIONS(7343),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteurl] = ACTIONS(7343),
    [anon_sym_BSLASHfullcite] = ACTIONS(7343),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7343),
    [anon_sym_BSLASHcitealt] = ACTIONS(7343),
    [anon_sym_BSLASHcitealp] = ACTIONS(7343),
    [anon_sym_BSLASHcitetext] = ACTIONS(7343),
    [anon_sym_BSLASHparencite] = ACTIONS(7343),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHParencite] = ACTIONS(7343),
    [anon_sym_BSLASHfootcite] = ACTIONS(7343),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7343),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7343),
    [anon_sym_BSLASHtextcite] = ACTIONS(7343),
    [anon_sym_BSLASHTextcite] = ACTIONS(7343),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7343),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7343),
    [anon_sym_BSLASHsupercite] = ACTIONS(7343),
    [anon_sym_BSLASHautocite] = ACTIONS(7343),
    [anon_sym_BSLASHAutocite] = ACTIONS(7343),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHVolcite] = ACTIONS(7343),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHavolcite] = ACTIONS(7343),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHNotecite] = ACTIONS(7343),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHlabel] = ACTIONS(7343),
    [anon_sym_BSLASHref] = ACTIONS(7343),
    [anon_sym_BSLASHeqref] = ACTIONS(7343),
    [anon_sym_BSLASHvref] = ACTIONS(7343),
    [anon_sym_BSLASHVref] = ACTIONS(7343),
    [anon_sym_BSLASHautoref] = ACTIONS(7343),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHpageref] = ACTIONS(7343),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHautopageref] = ACTIONS(7343),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcref] = ACTIONS(7343),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCref] = ACTIONS(7343),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcpageref] = ACTIONS(7343),
    [anon_sym_BSLASHCpageref] = ACTIONS(7343),
    [anon_sym_BSLASHnamecref] = ACTIONS(7343),
    [anon_sym_BSLASHnameCref] = ACTIONS(7343),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7343),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7343),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7343),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7343),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7343),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7343),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7343),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7343),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7343),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7343),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7343),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHdef] = ACTIONS(7343),
    [anon_sym_BSLASHgdef] = ACTIONS(7343),
    [anon_sym_BSLASHedef] = ACTIONS(7343),
    [anon_sym_BSLASHxdef] = ACTIONS(7343),
    [anon_sym_BSLASHlet] = ACTIONS(7343),
    [anon_sym_BSLASHglet] = ACTIONS(7343),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7343),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7343),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7343),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7343),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7343),
    [anon_sym_BSLASHgls] = ACTIONS(7343),
    [anon_sym_BSLASHGls] = ACTIONS(7343),
    [anon_sym_BSLASHGLS] = ACTIONS(7343),
    [anon_sym_BSLASHglspl] = ACTIONS(7343),
    [anon_sym_BSLASHGlspl] = ACTIONS(7343),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7343),
    [anon_sym_BSLASHglslink] = ACTIONS(7343),
    [anon_sym_BSLASHglstext] = ACTIONS(7343),
    [anon_sym_BSLASHGlstext] = ACTIONS(7343),
    [anon_sym_BSLASHGLStext] = ACTIONS(7343),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7343),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7343),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7343),
    [anon_sym_BSLASHglsplural] = ACTIONS(7343),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7343),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7343),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHglsname] = ACTIONS(7343),
    [anon_sym_BSLASHGlsname] = ACTIONS(7343),
    [anon_sym_BSLASHGLSname] = ACTIONS(7343),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7343),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7343),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7343),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7343),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7343),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7343),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7343),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7343),
    [anon_sym_BSLASHacrshort] = ACTIONS(7343),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7343),
    [anon_sym_BSLASHACRshort] = ACTIONS(7343),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHacrlong] = ACTIONS(7343),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7343),
    [anon_sym_BSLASHACRlong] = ACTIONS(7343),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHacrfull] = ACTIONS(7343),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7343),
    [anon_sym_BSLASHACRfull] = ACTIONS(7343),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHacs] = ACTIONS(7343),
    [anon_sym_BSLASHAcs] = ACTIONS(7343),
    [anon_sym_BSLASHacsp] = ACTIONS(7343),
    [anon_sym_BSLASHAcsp] = ACTIONS(7343),
    [anon_sym_BSLASHacl] = ACTIONS(7343),
    [anon_sym_BSLASHAcl] = ACTIONS(7343),
    [anon_sym_BSLASHaclp] = ACTIONS(7343),
    [anon_sym_BSLASHAclp] = ACTIONS(7343),
    [anon_sym_BSLASHacf] = ACTIONS(7343),
    [anon_sym_BSLASHAcf] = ACTIONS(7343),
    [anon_sym_BSLASHacfp] = ACTIONS(7343),
    [anon_sym_BSLASHAcfp] = ACTIONS(7343),
    [anon_sym_BSLASHac] = ACTIONS(7343),
    [anon_sym_BSLASHAc] = ACTIONS(7343),
    [anon_sym_BSLASHacp] = ACTIONS(7343),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7343),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7343),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7343),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7343),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7343),
    [anon_sym_BSLASHcolor] = ACTIONS(7343),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7343),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7343),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7343),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7343),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7343),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7343),
    [anon_sym_BSLASHurl] = ACTIONS(7343),
    [anon_sym_BSLASHhref] = ACTIONS(7343),
  },
  [2136] = {
    [sym_command_name] = ACTIONS(7347),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7347),
    [anon_sym_LPAREN] = ACTIONS(7349),
    [anon_sym_RPAREN] = ACTIONS(7349),
    [anon_sym_LBRACE] = ACTIONS(7349),
    [anon_sym_RBRACE] = ACTIONS(7349),
    [anon_sym_BSLASHand] = ACTIONS(7347),
    [sym_word] = ACTIONS(7347),
    [sym_placeholder] = ACTIONS(7349),
    [sym_delimiter] = ACTIONS(7349),
    [anon_sym_PLUS] = ACTIONS(7349),
    [anon_sym_DASH] = ACTIONS(7349),
    [anon_sym_STAR] = ACTIONS(7349),
    [anon_sym_SLASH] = ACTIONS(7349),
    [anon_sym_LT] = ACTIONS(7347),
    [anon_sym_GT] = ACTIONS(7347),
    [anon_sym_BANG] = ACTIONS(7347),
    [anon_sym_PIPE] = ACTIONS(7347),
    [anon_sym_COLON] = ACTIONS(7347),
    [anon_sym_SQUOTE] = ACTIONS(7347),
    [anon_sym__] = ACTIONS(7349),
    [anon_sym_CARET] = ACTIONS(7349),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7349),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7349),
    [anon_sym_DOLLAR] = ACTIONS(7347),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7349),
    [anon_sym_BSLASHleft] = ACTIONS(7347),
    [anon_sym_BSLASHbigl] = ACTIONS(7347),
    [anon_sym_BSLASHBigl] = ACTIONS(7347),
    [anon_sym_BSLASHbiggl] = ACTIONS(7347),
    [anon_sym_BSLASHBiggl] = ACTIONS(7347),
    [anon_sym_BSLASHtext] = ACTIONS(7347),
    [anon_sym_BSLASHintertext] = ACTIONS(7347),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7347),
    [anon_sym_BSLASHtitle] = ACTIONS(7347),
    [anon_sym_BSLASHauthor] = ACTIONS(7347),
    [anon_sym_BSLASHusepackage] = ACTIONS(7347),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7347),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7347),
    [anon_sym_BSLASHinclude] = ACTIONS(7347),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7347),
    [anon_sym_BSLASHinput] = ACTIONS(7347),
    [anon_sym_BSLASHsubfile] = ACTIONS(7347),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7347),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7347),
    [anon_sym_BSLASHbibliography] = ACTIONS(7347),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7347),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7347),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7347),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7347),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7347),
    [anon_sym_BSLASHimport] = ACTIONS(7347),
    [anon_sym_BSLASHsubimport] = ACTIONS(7347),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7347),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7347),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7347),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7347),
    [anon_sym_BSLASHcaption] = ACTIONS(7347),
    [anon_sym_BSLASHcite] = ACTIONS(7347),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCite] = ACTIONS(7347),
    [anon_sym_BSLASHnocite] = ACTIONS(7347),
    [anon_sym_BSLASHcitet] = ACTIONS(7347),
    [anon_sym_BSLASHcitep] = ACTIONS(7347),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteA] = ACTIONS(7347),
    [anon_sym_BSLASHciteR] = ACTIONS(7347),
    [anon_sym_BSLASHciteS] = ACTIONS(7347),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7347),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7347),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7347),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7347),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteyear] = ACTIONS(7347),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitedate] = ACTIONS(7347),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteurl] = ACTIONS(7347),
    [anon_sym_BSLASHfullcite] = ACTIONS(7347),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7347),
    [anon_sym_BSLASHcitealt] = ACTIONS(7347),
    [anon_sym_BSLASHcitealp] = ACTIONS(7347),
    [anon_sym_BSLASHcitetext] = ACTIONS(7347),
    [anon_sym_BSLASHparencite] = ACTIONS(7347),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHParencite] = ACTIONS(7347),
    [anon_sym_BSLASHfootcite] = ACTIONS(7347),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7347),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7347),
    [anon_sym_BSLASHtextcite] = ACTIONS(7347),
    [anon_sym_BSLASHTextcite] = ACTIONS(7347),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7347),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7347),
    [anon_sym_BSLASHsupercite] = ACTIONS(7347),
    [anon_sym_BSLASHautocite] = ACTIONS(7347),
    [anon_sym_BSLASHAutocite] = ACTIONS(7347),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHVolcite] = ACTIONS(7347),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHavolcite] = ACTIONS(7347),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHNotecite] = ACTIONS(7347),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHlabel] = ACTIONS(7347),
    [anon_sym_BSLASHref] = ACTIONS(7347),
    [anon_sym_BSLASHeqref] = ACTIONS(7347),
    [anon_sym_BSLASHvref] = ACTIONS(7347),
    [anon_sym_BSLASHVref] = ACTIONS(7347),
    [anon_sym_BSLASHautoref] = ACTIONS(7347),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHpageref] = ACTIONS(7347),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHautopageref] = ACTIONS(7347),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcref] = ACTIONS(7347),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCref] = ACTIONS(7347),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcpageref] = ACTIONS(7347),
    [anon_sym_BSLASHCpageref] = ACTIONS(7347),
    [anon_sym_BSLASHnamecref] = ACTIONS(7347),
    [anon_sym_BSLASHnameCref] = ACTIONS(7347),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7347),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7347),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7347),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7347),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7347),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7347),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7347),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7347),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7347),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7347),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7347),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHdef] = ACTIONS(7347),
    [anon_sym_BSLASHgdef] = ACTIONS(7347),
    [anon_sym_BSLASHedef] = ACTIONS(7347),
    [anon_sym_BSLASHxdef] = ACTIONS(7347),
    [anon_sym_BSLASHlet] = ACTIONS(7347),
    [anon_sym_BSLASHglet] = ACTIONS(7347),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7347),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7347),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7347),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7347),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7347),
    [anon_sym_BSLASHgls] = ACTIONS(7347),
    [anon_sym_BSLASHGls] = ACTIONS(7347),
    [anon_sym_BSLASHGLS] = ACTIONS(7347),
    [anon_sym_BSLASHglspl] = ACTIONS(7347),
    [anon_sym_BSLASHGlspl] = ACTIONS(7347),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7347),
    [anon_sym_BSLASHglslink] = ACTIONS(7347),
    [anon_sym_BSLASHglstext] = ACTIONS(7347),
    [anon_sym_BSLASHGlstext] = ACTIONS(7347),
    [anon_sym_BSLASHGLStext] = ACTIONS(7347),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7347),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7347),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7347),
    [anon_sym_BSLASHglsplural] = ACTIONS(7347),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7347),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7347),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHglsname] = ACTIONS(7347),
    [anon_sym_BSLASHGlsname] = ACTIONS(7347),
    [anon_sym_BSLASHGLSname] = ACTIONS(7347),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7347),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7347),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7347),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7347),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7347),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7347),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7347),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7347),
    [anon_sym_BSLASHacrshort] = ACTIONS(7347),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7347),
    [anon_sym_BSLASHACRshort] = ACTIONS(7347),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHacrlong] = ACTIONS(7347),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7347),
    [anon_sym_BSLASHACRlong] = ACTIONS(7347),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHacrfull] = ACTIONS(7347),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7347),
    [anon_sym_BSLASHACRfull] = ACTIONS(7347),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHacs] = ACTIONS(7347),
    [anon_sym_BSLASHAcs] = ACTIONS(7347),
    [anon_sym_BSLASHacsp] = ACTIONS(7347),
    [anon_sym_BSLASHAcsp] = ACTIONS(7347),
    [anon_sym_BSLASHacl] = ACTIONS(7347),
    [anon_sym_BSLASHAcl] = ACTIONS(7347),
    [anon_sym_BSLASHaclp] = ACTIONS(7347),
    [anon_sym_BSLASHAclp] = ACTIONS(7347),
    [anon_sym_BSLASHacf] = ACTIONS(7347),
    [anon_sym_BSLASHAcf] = ACTIONS(7347),
    [anon_sym_BSLASHacfp] = ACTIONS(7347),
    [anon_sym_BSLASHAcfp] = ACTIONS(7347),
    [anon_sym_BSLASHac] = ACTIONS(7347),
    [anon_sym_BSLASHAc] = ACTIONS(7347),
    [anon_sym_BSLASHacp] = ACTIONS(7347),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7347),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7347),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7347),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7347),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7347),
    [anon_sym_BSLASHcolor] = ACTIONS(7347),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7347),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7347),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7347),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7347),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7347),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7347),
    [anon_sym_BSLASHurl] = ACTIONS(7347),
    [anon_sym_BSLASHhref] = ACTIONS(7347),
  },
  [2137] = {
    [sym_command_name] = ACTIONS(7499),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7499),
    [anon_sym_LPAREN] = ACTIONS(7501),
    [anon_sym_RPAREN] = ACTIONS(7501),
    [anon_sym_LBRACE] = ACTIONS(7501),
    [anon_sym_RBRACE] = ACTIONS(7501),
    [anon_sym_BSLASHand] = ACTIONS(7499),
    [sym_word] = ACTIONS(7499),
    [sym_placeholder] = ACTIONS(7501),
    [sym_delimiter] = ACTIONS(7501),
    [anon_sym_PLUS] = ACTIONS(7501),
    [anon_sym_DASH] = ACTIONS(7501),
    [anon_sym_STAR] = ACTIONS(7501),
    [anon_sym_SLASH] = ACTIONS(7501),
    [anon_sym_LT] = ACTIONS(7499),
    [anon_sym_GT] = ACTIONS(7499),
    [anon_sym_BANG] = ACTIONS(7499),
    [anon_sym_PIPE] = ACTIONS(7499),
    [anon_sym_COLON] = ACTIONS(7499),
    [anon_sym_SQUOTE] = ACTIONS(7499),
    [anon_sym__] = ACTIONS(7501),
    [anon_sym_CARET] = ACTIONS(7501),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7501),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7501),
    [anon_sym_DOLLAR] = ACTIONS(7499),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7501),
    [anon_sym_BSLASHleft] = ACTIONS(7499),
    [anon_sym_BSLASHbigl] = ACTIONS(7499),
    [anon_sym_BSLASHBigl] = ACTIONS(7499),
    [anon_sym_BSLASHbiggl] = ACTIONS(7499),
    [anon_sym_BSLASHBiggl] = ACTIONS(7499),
    [anon_sym_BSLASHtext] = ACTIONS(7499),
    [anon_sym_BSLASHintertext] = ACTIONS(7499),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7499),
    [anon_sym_BSLASHtitle] = ACTIONS(7499),
    [anon_sym_BSLASHauthor] = ACTIONS(7499),
    [anon_sym_BSLASHusepackage] = ACTIONS(7499),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7499),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7499),
    [anon_sym_BSLASHinclude] = ACTIONS(7499),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7499),
    [anon_sym_BSLASHinput] = ACTIONS(7499),
    [anon_sym_BSLASHsubfile] = ACTIONS(7499),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7499),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7499),
    [anon_sym_BSLASHbibliography] = ACTIONS(7499),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7499),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7499),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7499),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7499),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7499),
    [anon_sym_BSLASHimport] = ACTIONS(7499),
    [anon_sym_BSLASHsubimport] = ACTIONS(7499),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7499),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7499),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7499),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7499),
    [anon_sym_BSLASHcaption] = ACTIONS(7499),
    [anon_sym_BSLASHcite] = ACTIONS(7499),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCite] = ACTIONS(7499),
    [anon_sym_BSLASHnocite] = ACTIONS(7499),
    [anon_sym_BSLASHcitet] = ACTIONS(7499),
    [anon_sym_BSLASHcitep] = ACTIONS(7499),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteA] = ACTIONS(7499),
    [anon_sym_BSLASHciteR] = ACTIONS(7499),
    [anon_sym_BSLASHciteS] = ACTIONS(7499),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7499),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7499),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7499),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7499),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteyear] = ACTIONS(7499),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitedate] = ACTIONS(7499),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteurl] = ACTIONS(7499),
    [anon_sym_BSLASHfullcite] = ACTIONS(7499),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7499),
    [anon_sym_BSLASHcitealt] = ACTIONS(7499),
    [anon_sym_BSLASHcitealp] = ACTIONS(7499),
    [anon_sym_BSLASHcitetext] = ACTIONS(7499),
    [anon_sym_BSLASHparencite] = ACTIONS(7499),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHParencite] = ACTIONS(7499),
    [anon_sym_BSLASHfootcite] = ACTIONS(7499),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7499),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7499),
    [anon_sym_BSLASHtextcite] = ACTIONS(7499),
    [anon_sym_BSLASHTextcite] = ACTIONS(7499),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7499),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7499),
    [anon_sym_BSLASHsupercite] = ACTIONS(7499),
    [anon_sym_BSLASHautocite] = ACTIONS(7499),
    [anon_sym_BSLASHAutocite] = ACTIONS(7499),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHVolcite] = ACTIONS(7499),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHavolcite] = ACTIONS(7499),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHNotecite] = ACTIONS(7499),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHlabel] = ACTIONS(7499),
    [anon_sym_BSLASHref] = ACTIONS(7499),
    [anon_sym_BSLASHeqref] = ACTIONS(7499),
    [anon_sym_BSLASHvref] = ACTIONS(7499),
    [anon_sym_BSLASHVref] = ACTIONS(7499),
    [anon_sym_BSLASHautoref] = ACTIONS(7499),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHpageref] = ACTIONS(7499),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHautopageref] = ACTIONS(7499),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcref] = ACTIONS(7499),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCref] = ACTIONS(7499),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcpageref] = ACTIONS(7499),
    [anon_sym_BSLASHCpageref] = ACTIONS(7499),
    [anon_sym_BSLASHnamecref] = ACTIONS(7499),
    [anon_sym_BSLASHnameCref] = ACTIONS(7499),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7499),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7499),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7499),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7499),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7499),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7499),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7499),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7499),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7499),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7499),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7499),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHdef] = ACTIONS(7499),
    [anon_sym_BSLASHgdef] = ACTIONS(7499),
    [anon_sym_BSLASHedef] = ACTIONS(7499),
    [anon_sym_BSLASHxdef] = ACTIONS(7499),
    [anon_sym_BSLASHlet] = ACTIONS(7499),
    [anon_sym_BSLASHglet] = ACTIONS(7499),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7499),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7499),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7499),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7499),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7499),
    [anon_sym_BSLASHgls] = ACTIONS(7499),
    [anon_sym_BSLASHGls] = ACTIONS(7499),
    [anon_sym_BSLASHGLS] = ACTIONS(7499),
    [anon_sym_BSLASHglspl] = ACTIONS(7499),
    [anon_sym_BSLASHGlspl] = ACTIONS(7499),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7499),
    [anon_sym_BSLASHglslink] = ACTIONS(7499),
    [anon_sym_BSLASHglstext] = ACTIONS(7499),
    [anon_sym_BSLASHGlstext] = ACTIONS(7499),
    [anon_sym_BSLASHGLStext] = ACTIONS(7499),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7499),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7499),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7499),
    [anon_sym_BSLASHglsplural] = ACTIONS(7499),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7499),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7499),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHglsname] = ACTIONS(7499),
    [anon_sym_BSLASHGlsname] = ACTIONS(7499),
    [anon_sym_BSLASHGLSname] = ACTIONS(7499),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7499),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7499),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7499),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7499),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7499),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7499),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7499),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7499),
    [anon_sym_BSLASHacrshort] = ACTIONS(7499),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7499),
    [anon_sym_BSLASHACRshort] = ACTIONS(7499),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHacrlong] = ACTIONS(7499),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7499),
    [anon_sym_BSLASHACRlong] = ACTIONS(7499),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHacrfull] = ACTIONS(7499),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7499),
    [anon_sym_BSLASHACRfull] = ACTIONS(7499),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHacs] = ACTIONS(7499),
    [anon_sym_BSLASHAcs] = ACTIONS(7499),
    [anon_sym_BSLASHacsp] = ACTIONS(7499),
    [anon_sym_BSLASHAcsp] = ACTIONS(7499),
    [anon_sym_BSLASHacl] = ACTIONS(7499),
    [anon_sym_BSLASHAcl] = ACTIONS(7499),
    [anon_sym_BSLASHaclp] = ACTIONS(7499),
    [anon_sym_BSLASHAclp] = ACTIONS(7499),
    [anon_sym_BSLASHacf] = ACTIONS(7499),
    [anon_sym_BSLASHAcf] = ACTIONS(7499),
    [anon_sym_BSLASHacfp] = ACTIONS(7499),
    [anon_sym_BSLASHAcfp] = ACTIONS(7499),
    [anon_sym_BSLASHac] = ACTIONS(7499),
    [anon_sym_BSLASHAc] = ACTIONS(7499),
    [anon_sym_BSLASHacp] = ACTIONS(7499),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7499),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7499),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7499),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7499),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7499),
    [anon_sym_BSLASHcolor] = ACTIONS(7499),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7499),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7499),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7499),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7499),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7499),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7499),
    [anon_sym_BSLASHurl] = ACTIONS(7499),
    [anon_sym_BSLASHhref] = ACTIONS(7499),
  },
  [2138] = {
    [sym_command_name] = ACTIONS(7503),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7503),
    [anon_sym_LPAREN] = ACTIONS(7505),
    [anon_sym_RPAREN] = ACTIONS(7505),
    [anon_sym_LBRACE] = ACTIONS(7505),
    [anon_sym_RBRACE] = ACTIONS(7505),
    [anon_sym_BSLASHand] = ACTIONS(7503),
    [sym_word] = ACTIONS(7503),
    [sym_placeholder] = ACTIONS(7505),
    [sym_delimiter] = ACTIONS(7505),
    [anon_sym_PLUS] = ACTIONS(7505),
    [anon_sym_DASH] = ACTIONS(7505),
    [anon_sym_STAR] = ACTIONS(7505),
    [anon_sym_SLASH] = ACTIONS(7505),
    [anon_sym_LT] = ACTIONS(7503),
    [anon_sym_GT] = ACTIONS(7503),
    [anon_sym_BANG] = ACTIONS(7503),
    [anon_sym_PIPE] = ACTIONS(7503),
    [anon_sym_COLON] = ACTIONS(7503),
    [anon_sym_SQUOTE] = ACTIONS(7503),
    [anon_sym__] = ACTIONS(7505),
    [anon_sym_CARET] = ACTIONS(7505),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7505),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7505),
    [anon_sym_DOLLAR] = ACTIONS(7503),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7505),
    [anon_sym_BSLASHleft] = ACTIONS(7503),
    [anon_sym_BSLASHbigl] = ACTIONS(7503),
    [anon_sym_BSLASHBigl] = ACTIONS(7503),
    [anon_sym_BSLASHbiggl] = ACTIONS(7503),
    [anon_sym_BSLASHBiggl] = ACTIONS(7503),
    [anon_sym_BSLASHtext] = ACTIONS(7503),
    [anon_sym_BSLASHintertext] = ACTIONS(7503),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7503),
    [anon_sym_BSLASHtitle] = ACTIONS(7503),
    [anon_sym_BSLASHauthor] = ACTIONS(7503),
    [anon_sym_BSLASHusepackage] = ACTIONS(7503),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7503),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7503),
    [anon_sym_BSLASHinclude] = ACTIONS(7503),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7503),
    [anon_sym_BSLASHinput] = ACTIONS(7503),
    [anon_sym_BSLASHsubfile] = ACTIONS(7503),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7503),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7503),
    [anon_sym_BSLASHbibliography] = ACTIONS(7503),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7503),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7503),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7503),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7503),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7503),
    [anon_sym_BSLASHimport] = ACTIONS(7503),
    [anon_sym_BSLASHsubimport] = ACTIONS(7503),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7503),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7503),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7503),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7503),
    [anon_sym_BSLASHcaption] = ACTIONS(7503),
    [anon_sym_BSLASHcite] = ACTIONS(7503),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCite] = ACTIONS(7503),
    [anon_sym_BSLASHnocite] = ACTIONS(7503),
    [anon_sym_BSLASHcitet] = ACTIONS(7503),
    [anon_sym_BSLASHcitep] = ACTIONS(7503),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteA] = ACTIONS(7503),
    [anon_sym_BSLASHciteR] = ACTIONS(7503),
    [anon_sym_BSLASHciteS] = ACTIONS(7503),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7503),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7503),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7503),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7503),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteyear] = ACTIONS(7503),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitedate] = ACTIONS(7503),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteurl] = ACTIONS(7503),
    [anon_sym_BSLASHfullcite] = ACTIONS(7503),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7503),
    [anon_sym_BSLASHcitealt] = ACTIONS(7503),
    [anon_sym_BSLASHcitealp] = ACTIONS(7503),
    [anon_sym_BSLASHcitetext] = ACTIONS(7503),
    [anon_sym_BSLASHparencite] = ACTIONS(7503),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHParencite] = ACTIONS(7503),
    [anon_sym_BSLASHfootcite] = ACTIONS(7503),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7503),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7503),
    [anon_sym_BSLASHtextcite] = ACTIONS(7503),
    [anon_sym_BSLASHTextcite] = ACTIONS(7503),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7503),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7503),
    [anon_sym_BSLASHsupercite] = ACTIONS(7503),
    [anon_sym_BSLASHautocite] = ACTIONS(7503),
    [anon_sym_BSLASHAutocite] = ACTIONS(7503),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHVolcite] = ACTIONS(7503),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHavolcite] = ACTIONS(7503),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHNotecite] = ACTIONS(7503),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHlabel] = ACTIONS(7503),
    [anon_sym_BSLASHref] = ACTIONS(7503),
    [anon_sym_BSLASHeqref] = ACTIONS(7503),
    [anon_sym_BSLASHvref] = ACTIONS(7503),
    [anon_sym_BSLASHVref] = ACTIONS(7503),
    [anon_sym_BSLASHautoref] = ACTIONS(7503),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHpageref] = ACTIONS(7503),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHautopageref] = ACTIONS(7503),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcref] = ACTIONS(7503),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCref] = ACTIONS(7503),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcpageref] = ACTIONS(7503),
    [anon_sym_BSLASHCpageref] = ACTIONS(7503),
    [anon_sym_BSLASHnamecref] = ACTIONS(7503),
    [anon_sym_BSLASHnameCref] = ACTIONS(7503),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7503),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7503),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7503),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7503),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7503),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7503),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7503),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7503),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7503),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7503),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7503),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHdef] = ACTIONS(7503),
    [anon_sym_BSLASHgdef] = ACTIONS(7503),
    [anon_sym_BSLASHedef] = ACTIONS(7503),
    [anon_sym_BSLASHxdef] = ACTIONS(7503),
    [anon_sym_BSLASHlet] = ACTIONS(7503),
    [anon_sym_BSLASHglet] = ACTIONS(7503),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7503),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7503),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7503),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7503),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7503),
    [anon_sym_BSLASHgls] = ACTIONS(7503),
    [anon_sym_BSLASHGls] = ACTIONS(7503),
    [anon_sym_BSLASHGLS] = ACTIONS(7503),
    [anon_sym_BSLASHglspl] = ACTIONS(7503),
    [anon_sym_BSLASHGlspl] = ACTIONS(7503),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7503),
    [anon_sym_BSLASHglslink] = ACTIONS(7503),
    [anon_sym_BSLASHglstext] = ACTIONS(7503),
    [anon_sym_BSLASHGlstext] = ACTIONS(7503),
    [anon_sym_BSLASHGLStext] = ACTIONS(7503),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7503),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7503),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7503),
    [anon_sym_BSLASHglsplural] = ACTIONS(7503),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7503),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7503),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHglsname] = ACTIONS(7503),
    [anon_sym_BSLASHGlsname] = ACTIONS(7503),
    [anon_sym_BSLASHGLSname] = ACTIONS(7503),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7503),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7503),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7503),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7503),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7503),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7503),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7503),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7503),
    [anon_sym_BSLASHacrshort] = ACTIONS(7503),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7503),
    [anon_sym_BSLASHACRshort] = ACTIONS(7503),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHacrlong] = ACTIONS(7503),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7503),
    [anon_sym_BSLASHACRlong] = ACTIONS(7503),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHacrfull] = ACTIONS(7503),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7503),
    [anon_sym_BSLASHACRfull] = ACTIONS(7503),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHacs] = ACTIONS(7503),
    [anon_sym_BSLASHAcs] = ACTIONS(7503),
    [anon_sym_BSLASHacsp] = ACTIONS(7503),
    [anon_sym_BSLASHAcsp] = ACTIONS(7503),
    [anon_sym_BSLASHacl] = ACTIONS(7503),
    [anon_sym_BSLASHAcl] = ACTIONS(7503),
    [anon_sym_BSLASHaclp] = ACTIONS(7503),
    [anon_sym_BSLASHAclp] = ACTIONS(7503),
    [anon_sym_BSLASHacf] = ACTIONS(7503),
    [anon_sym_BSLASHAcf] = ACTIONS(7503),
    [anon_sym_BSLASHacfp] = ACTIONS(7503),
    [anon_sym_BSLASHAcfp] = ACTIONS(7503),
    [anon_sym_BSLASHac] = ACTIONS(7503),
    [anon_sym_BSLASHAc] = ACTIONS(7503),
    [anon_sym_BSLASHacp] = ACTIONS(7503),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7503),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7503),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7503),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7503),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7503),
    [anon_sym_BSLASHcolor] = ACTIONS(7503),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7503),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7503),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7503),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7503),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7503),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7503),
    [anon_sym_BSLASHurl] = ACTIONS(7503),
    [anon_sym_BSLASHhref] = ACTIONS(7503),
  },
  [2139] = {
    [sym_command_name] = ACTIONS(7507),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7507),
    [anon_sym_LPAREN] = ACTIONS(7509),
    [anon_sym_RPAREN] = ACTIONS(7509),
    [anon_sym_LBRACE] = ACTIONS(7509),
    [anon_sym_RBRACE] = ACTIONS(7509),
    [anon_sym_BSLASHand] = ACTIONS(7507),
    [sym_word] = ACTIONS(7507),
    [sym_placeholder] = ACTIONS(7509),
    [sym_delimiter] = ACTIONS(7509),
    [anon_sym_PLUS] = ACTIONS(7509),
    [anon_sym_DASH] = ACTIONS(7509),
    [anon_sym_STAR] = ACTIONS(7509),
    [anon_sym_SLASH] = ACTIONS(7509),
    [anon_sym_LT] = ACTIONS(7507),
    [anon_sym_GT] = ACTIONS(7507),
    [anon_sym_BANG] = ACTIONS(7507),
    [anon_sym_PIPE] = ACTIONS(7507),
    [anon_sym_COLON] = ACTIONS(7507),
    [anon_sym_SQUOTE] = ACTIONS(7507),
    [anon_sym__] = ACTIONS(7509),
    [anon_sym_CARET] = ACTIONS(7509),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7509),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7509),
    [anon_sym_DOLLAR] = ACTIONS(7507),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7509),
    [anon_sym_BSLASHleft] = ACTIONS(7507),
    [anon_sym_BSLASHbigl] = ACTIONS(7507),
    [anon_sym_BSLASHBigl] = ACTIONS(7507),
    [anon_sym_BSLASHbiggl] = ACTIONS(7507),
    [anon_sym_BSLASHBiggl] = ACTIONS(7507),
    [anon_sym_BSLASHtext] = ACTIONS(7507),
    [anon_sym_BSLASHintertext] = ACTIONS(7507),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7507),
    [anon_sym_BSLASHtitle] = ACTIONS(7507),
    [anon_sym_BSLASHauthor] = ACTIONS(7507),
    [anon_sym_BSLASHusepackage] = ACTIONS(7507),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7507),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7507),
    [anon_sym_BSLASHinclude] = ACTIONS(7507),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7507),
    [anon_sym_BSLASHinput] = ACTIONS(7507),
    [anon_sym_BSLASHsubfile] = ACTIONS(7507),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7507),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7507),
    [anon_sym_BSLASHbibliography] = ACTIONS(7507),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7507),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7507),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7507),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7507),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7507),
    [anon_sym_BSLASHimport] = ACTIONS(7507),
    [anon_sym_BSLASHsubimport] = ACTIONS(7507),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7507),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7507),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7507),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7507),
    [anon_sym_BSLASHcaption] = ACTIONS(7507),
    [anon_sym_BSLASHcite] = ACTIONS(7507),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCite] = ACTIONS(7507),
    [anon_sym_BSLASHnocite] = ACTIONS(7507),
    [anon_sym_BSLASHcitet] = ACTIONS(7507),
    [anon_sym_BSLASHcitep] = ACTIONS(7507),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteA] = ACTIONS(7507),
    [anon_sym_BSLASHciteR] = ACTIONS(7507),
    [anon_sym_BSLASHciteS] = ACTIONS(7507),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7507),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7507),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7507),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7507),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteyear] = ACTIONS(7507),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitedate] = ACTIONS(7507),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteurl] = ACTIONS(7507),
    [anon_sym_BSLASHfullcite] = ACTIONS(7507),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7507),
    [anon_sym_BSLASHcitealt] = ACTIONS(7507),
    [anon_sym_BSLASHcitealp] = ACTIONS(7507),
    [anon_sym_BSLASHcitetext] = ACTIONS(7507),
    [anon_sym_BSLASHparencite] = ACTIONS(7507),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHParencite] = ACTIONS(7507),
    [anon_sym_BSLASHfootcite] = ACTIONS(7507),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7507),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7507),
    [anon_sym_BSLASHtextcite] = ACTIONS(7507),
    [anon_sym_BSLASHTextcite] = ACTIONS(7507),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7507),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7507),
    [anon_sym_BSLASHsupercite] = ACTIONS(7507),
    [anon_sym_BSLASHautocite] = ACTIONS(7507),
    [anon_sym_BSLASHAutocite] = ACTIONS(7507),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHVolcite] = ACTIONS(7507),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHavolcite] = ACTIONS(7507),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHNotecite] = ACTIONS(7507),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHlabel] = ACTIONS(7507),
    [anon_sym_BSLASHref] = ACTIONS(7507),
    [anon_sym_BSLASHeqref] = ACTIONS(7507),
    [anon_sym_BSLASHvref] = ACTIONS(7507),
    [anon_sym_BSLASHVref] = ACTIONS(7507),
    [anon_sym_BSLASHautoref] = ACTIONS(7507),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHpageref] = ACTIONS(7507),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHautopageref] = ACTIONS(7507),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcref] = ACTIONS(7507),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCref] = ACTIONS(7507),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcpageref] = ACTIONS(7507),
    [anon_sym_BSLASHCpageref] = ACTIONS(7507),
    [anon_sym_BSLASHnamecref] = ACTIONS(7507),
    [anon_sym_BSLASHnameCref] = ACTIONS(7507),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7507),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7507),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7507),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7507),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7507),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7507),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7507),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7507),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7507),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7507),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7507),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHdef] = ACTIONS(7507),
    [anon_sym_BSLASHgdef] = ACTIONS(7507),
    [anon_sym_BSLASHedef] = ACTIONS(7507),
    [anon_sym_BSLASHxdef] = ACTIONS(7507),
    [anon_sym_BSLASHlet] = ACTIONS(7507),
    [anon_sym_BSLASHglet] = ACTIONS(7507),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7507),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7507),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7507),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7507),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7507),
    [anon_sym_BSLASHgls] = ACTIONS(7507),
    [anon_sym_BSLASHGls] = ACTIONS(7507),
    [anon_sym_BSLASHGLS] = ACTIONS(7507),
    [anon_sym_BSLASHglspl] = ACTIONS(7507),
    [anon_sym_BSLASHGlspl] = ACTIONS(7507),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7507),
    [anon_sym_BSLASHglslink] = ACTIONS(7507),
    [anon_sym_BSLASHglstext] = ACTIONS(7507),
    [anon_sym_BSLASHGlstext] = ACTIONS(7507),
    [anon_sym_BSLASHGLStext] = ACTIONS(7507),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7507),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7507),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7507),
    [anon_sym_BSLASHglsplural] = ACTIONS(7507),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7507),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7507),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHglsname] = ACTIONS(7507),
    [anon_sym_BSLASHGlsname] = ACTIONS(7507),
    [anon_sym_BSLASHGLSname] = ACTIONS(7507),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7507),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7507),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7507),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7507),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7507),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7507),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7507),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7507),
    [anon_sym_BSLASHacrshort] = ACTIONS(7507),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7507),
    [anon_sym_BSLASHACRshort] = ACTIONS(7507),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHacrlong] = ACTIONS(7507),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7507),
    [anon_sym_BSLASHACRlong] = ACTIONS(7507),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHacrfull] = ACTIONS(7507),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7507),
    [anon_sym_BSLASHACRfull] = ACTIONS(7507),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHacs] = ACTIONS(7507),
    [anon_sym_BSLASHAcs] = ACTIONS(7507),
    [anon_sym_BSLASHacsp] = ACTIONS(7507),
    [anon_sym_BSLASHAcsp] = ACTIONS(7507),
    [anon_sym_BSLASHacl] = ACTIONS(7507),
    [anon_sym_BSLASHAcl] = ACTIONS(7507),
    [anon_sym_BSLASHaclp] = ACTIONS(7507),
    [anon_sym_BSLASHAclp] = ACTIONS(7507),
    [anon_sym_BSLASHacf] = ACTIONS(7507),
    [anon_sym_BSLASHAcf] = ACTIONS(7507),
    [anon_sym_BSLASHacfp] = ACTIONS(7507),
    [anon_sym_BSLASHAcfp] = ACTIONS(7507),
    [anon_sym_BSLASHac] = ACTIONS(7507),
    [anon_sym_BSLASHAc] = ACTIONS(7507),
    [anon_sym_BSLASHacp] = ACTIONS(7507),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7507),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7507),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7507),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7507),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7507),
    [anon_sym_BSLASHcolor] = ACTIONS(7507),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7507),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7507),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7507),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7507),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7507),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7507),
    [anon_sym_BSLASHurl] = ACTIONS(7507),
    [anon_sym_BSLASHhref] = ACTIONS(7507),
  },
  [2140] = {
    [sym_command_name] = ACTIONS(7511),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7511),
    [anon_sym_LPAREN] = ACTIONS(7513),
    [anon_sym_RPAREN] = ACTIONS(7513),
    [anon_sym_LBRACE] = ACTIONS(7513),
    [anon_sym_RBRACE] = ACTIONS(7513),
    [anon_sym_BSLASHand] = ACTIONS(7511),
    [sym_word] = ACTIONS(7511),
    [sym_placeholder] = ACTIONS(7513),
    [sym_delimiter] = ACTIONS(7513),
    [anon_sym_PLUS] = ACTIONS(7513),
    [anon_sym_DASH] = ACTIONS(7513),
    [anon_sym_STAR] = ACTIONS(7513),
    [anon_sym_SLASH] = ACTIONS(7513),
    [anon_sym_LT] = ACTIONS(7511),
    [anon_sym_GT] = ACTIONS(7511),
    [anon_sym_BANG] = ACTIONS(7511),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_COLON] = ACTIONS(7511),
    [anon_sym_SQUOTE] = ACTIONS(7511),
    [anon_sym__] = ACTIONS(7513),
    [anon_sym_CARET] = ACTIONS(7513),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7513),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7513),
    [anon_sym_DOLLAR] = ACTIONS(7511),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7513),
    [anon_sym_BSLASHleft] = ACTIONS(7511),
    [anon_sym_BSLASHbigl] = ACTIONS(7511),
    [anon_sym_BSLASHBigl] = ACTIONS(7511),
    [anon_sym_BSLASHbiggl] = ACTIONS(7511),
    [anon_sym_BSLASHBiggl] = ACTIONS(7511),
    [anon_sym_BSLASHtext] = ACTIONS(7511),
    [anon_sym_BSLASHintertext] = ACTIONS(7511),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7511),
    [anon_sym_BSLASHtitle] = ACTIONS(7511),
    [anon_sym_BSLASHauthor] = ACTIONS(7511),
    [anon_sym_BSLASHusepackage] = ACTIONS(7511),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7511),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7511),
    [anon_sym_BSLASHinclude] = ACTIONS(7511),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7511),
    [anon_sym_BSLASHinput] = ACTIONS(7511),
    [anon_sym_BSLASHsubfile] = ACTIONS(7511),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7511),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7511),
    [anon_sym_BSLASHbibliography] = ACTIONS(7511),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7511),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7511),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7511),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7511),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7511),
    [anon_sym_BSLASHimport] = ACTIONS(7511),
    [anon_sym_BSLASHsubimport] = ACTIONS(7511),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7511),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7511),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7511),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7511),
    [anon_sym_BSLASHcaption] = ACTIONS(7511),
    [anon_sym_BSLASHcite] = ACTIONS(7511),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCite] = ACTIONS(7511),
    [anon_sym_BSLASHnocite] = ACTIONS(7511),
    [anon_sym_BSLASHcitet] = ACTIONS(7511),
    [anon_sym_BSLASHcitep] = ACTIONS(7511),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteA] = ACTIONS(7511),
    [anon_sym_BSLASHciteR] = ACTIONS(7511),
    [anon_sym_BSLASHciteS] = ACTIONS(7511),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7511),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7511),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7511),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7511),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteyear] = ACTIONS(7511),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitedate] = ACTIONS(7511),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteurl] = ACTIONS(7511),
    [anon_sym_BSLASHfullcite] = ACTIONS(7511),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7511),
    [anon_sym_BSLASHcitealt] = ACTIONS(7511),
    [anon_sym_BSLASHcitealp] = ACTIONS(7511),
    [anon_sym_BSLASHcitetext] = ACTIONS(7511),
    [anon_sym_BSLASHparencite] = ACTIONS(7511),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHParencite] = ACTIONS(7511),
    [anon_sym_BSLASHfootcite] = ACTIONS(7511),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7511),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7511),
    [anon_sym_BSLASHtextcite] = ACTIONS(7511),
    [anon_sym_BSLASHTextcite] = ACTIONS(7511),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7511),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7511),
    [anon_sym_BSLASHsupercite] = ACTIONS(7511),
    [anon_sym_BSLASHautocite] = ACTIONS(7511),
    [anon_sym_BSLASHAutocite] = ACTIONS(7511),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHVolcite] = ACTIONS(7511),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHavolcite] = ACTIONS(7511),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHNotecite] = ACTIONS(7511),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHlabel] = ACTIONS(7511),
    [anon_sym_BSLASHref] = ACTIONS(7511),
    [anon_sym_BSLASHeqref] = ACTIONS(7511),
    [anon_sym_BSLASHvref] = ACTIONS(7511),
    [anon_sym_BSLASHVref] = ACTIONS(7511),
    [anon_sym_BSLASHautoref] = ACTIONS(7511),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHpageref] = ACTIONS(7511),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHautopageref] = ACTIONS(7511),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcref] = ACTIONS(7511),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCref] = ACTIONS(7511),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcpageref] = ACTIONS(7511),
    [anon_sym_BSLASHCpageref] = ACTIONS(7511),
    [anon_sym_BSLASHnamecref] = ACTIONS(7511),
    [anon_sym_BSLASHnameCref] = ACTIONS(7511),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7511),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7511),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7511),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7511),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7511),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7511),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7511),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7511),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7511),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7511),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7511),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHdef] = ACTIONS(7511),
    [anon_sym_BSLASHgdef] = ACTIONS(7511),
    [anon_sym_BSLASHedef] = ACTIONS(7511),
    [anon_sym_BSLASHxdef] = ACTIONS(7511),
    [anon_sym_BSLASHlet] = ACTIONS(7511),
    [anon_sym_BSLASHglet] = ACTIONS(7511),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7511),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7511),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7511),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7511),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7511),
    [anon_sym_BSLASHgls] = ACTIONS(7511),
    [anon_sym_BSLASHGls] = ACTIONS(7511),
    [anon_sym_BSLASHGLS] = ACTIONS(7511),
    [anon_sym_BSLASHglspl] = ACTIONS(7511),
    [anon_sym_BSLASHGlspl] = ACTIONS(7511),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7511),
    [anon_sym_BSLASHglslink] = ACTIONS(7511),
    [anon_sym_BSLASHglstext] = ACTIONS(7511),
    [anon_sym_BSLASHGlstext] = ACTIONS(7511),
    [anon_sym_BSLASHGLStext] = ACTIONS(7511),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7511),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7511),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7511),
    [anon_sym_BSLASHglsplural] = ACTIONS(7511),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7511),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7511),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHglsname] = ACTIONS(7511),
    [anon_sym_BSLASHGlsname] = ACTIONS(7511),
    [anon_sym_BSLASHGLSname] = ACTIONS(7511),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7511),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7511),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7511),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7511),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7511),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7511),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7511),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7511),
    [anon_sym_BSLASHacrshort] = ACTIONS(7511),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7511),
    [anon_sym_BSLASHACRshort] = ACTIONS(7511),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHacrlong] = ACTIONS(7511),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7511),
    [anon_sym_BSLASHACRlong] = ACTIONS(7511),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHacrfull] = ACTIONS(7511),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7511),
    [anon_sym_BSLASHACRfull] = ACTIONS(7511),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHacs] = ACTIONS(7511),
    [anon_sym_BSLASHAcs] = ACTIONS(7511),
    [anon_sym_BSLASHacsp] = ACTIONS(7511),
    [anon_sym_BSLASHAcsp] = ACTIONS(7511),
    [anon_sym_BSLASHacl] = ACTIONS(7511),
    [anon_sym_BSLASHAcl] = ACTIONS(7511),
    [anon_sym_BSLASHaclp] = ACTIONS(7511),
    [anon_sym_BSLASHAclp] = ACTIONS(7511),
    [anon_sym_BSLASHacf] = ACTIONS(7511),
    [anon_sym_BSLASHAcf] = ACTIONS(7511),
    [anon_sym_BSLASHacfp] = ACTIONS(7511),
    [anon_sym_BSLASHAcfp] = ACTIONS(7511),
    [anon_sym_BSLASHac] = ACTIONS(7511),
    [anon_sym_BSLASHAc] = ACTIONS(7511),
    [anon_sym_BSLASHacp] = ACTIONS(7511),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7511),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7511),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7511),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7511),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7511),
    [anon_sym_BSLASHcolor] = ACTIONS(7511),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7511),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7511),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7511),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7511),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7511),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7511),
    [anon_sym_BSLASHurl] = ACTIONS(7511),
    [anon_sym_BSLASHhref] = ACTIONS(7511),
  },
  [2141] = {
    [sym_command_name] = ACTIONS(7515),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7515),
    [anon_sym_LPAREN] = ACTIONS(7517),
    [anon_sym_RPAREN] = ACTIONS(7517),
    [anon_sym_LBRACE] = ACTIONS(7517),
    [anon_sym_RBRACE] = ACTIONS(7517),
    [anon_sym_BSLASHand] = ACTIONS(7515),
    [sym_word] = ACTIONS(7515),
    [sym_placeholder] = ACTIONS(7517),
    [sym_delimiter] = ACTIONS(7517),
    [anon_sym_PLUS] = ACTIONS(7517),
    [anon_sym_DASH] = ACTIONS(7517),
    [anon_sym_STAR] = ACTIONS(7517),
    [anon_sym_SLASH] = ACTIONS(7517),
    [anon_sym_LT] = ACTIONS(7515),
    [anon_sym_GT] = ACTIONS(7515),
    [anon_sym_BANG] = ACTIONS(7515),
    [anon_sym_PIPE] = ACTIONS(7515),
    [anon_sym_COLON] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7515),
    [anon_sym__] = ACTIONS(7517),
    [anon_sym_CARET] = ACTIONS(7517),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7517),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7517),
    [anon_sym_DOLLAR] = ACTIONS(7515),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7517),
    [anon_sym_BSLASHleft] = ACTIONS(7515),
    [anon_sym_BSLASHbigl] = ACTIONS(7515),
    [anon_sym_BSLASHBigl] = ACTIONS(7515),
    [anon_sym_BSLASHbiggl] = ACTIONS(7515),
    [anon_sym_BSLASHBiggl] = ACTIONS(7515),
    [anon_sym_BSLASHtext] = ACTIONS(7515),
    [anon_sym_BSLASHintertext] = ACTIONS(7515),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7515),
    [anon_sym_BSLASHtitle] = ACTIONS(7515),
    [anon_sym_BSLASHauthor] = ACTIONS(7515),
    [anon_sym_BSLASHusepackage] = ACTIONS(7515),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7515),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7515),
    [anon_sym_BSLASHinclude] = ACTIONS(7515),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7515),
    [anon_sym_BSLASHinput] = ACTIONS(7515),
    [anon_sym_BSLASHsubfile] = ACTIONS(7515),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7515),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7515),
    [anon_sym_BSLASHbibliography] = ACTIONS(7515),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7515),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7515),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7515),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7515),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7515),
    [anon_sym_BSLASHimport] = ACTIONS(7515),
    [anon_sym_BSLASHsubimport] = ACTIONS(7515),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7515),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7515),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7515),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7515),
    [anon_sym_BSLASHcaption] = ACTIONS(7515),
    [anon_sym_BSLASHcite] = ACTIONS(7515),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCite] = ACTIONS(7515),
    [anon_sym_BSLASHnocite] = ACTIONS(7515),
    [anon_sym_BSLASHcitet] = ACTIONS(7515),
    [anon_sym_BSLASHcitep] = ACTIONS(7515),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteA] = ACTIONS(7515),
    [anon_sym_BSLASHciteR] = ACTIONS(7515),
    [anon_sym_BSLASHciteS] = ACTIONS(7515),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7515),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7515),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7515),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7515),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteyear] = ACTIONS(7515),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitedate] = ACTIONS(7515),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteurl] = ACTIONS(7515),
    [anon_sym_BSLASHfullcite] = ACTIONS(7515),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7515),
    [anon_sym_BSLASHcitealt] = ACTIONS(7515),
    [anon_sym_BSLASHcitealp] = ACTIONS(7515),
    [anon_sym_BSLASHcitetext] = ACTIONS(7515),
    [anon_sym_BSLASHparencite] = ACTIONS(7515),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHParencite] = ACTIONS(7515),
    [anon_sym_BSLASHfootcite] = ACTIONS(7515),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7515),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7515),
    [anon_sym_BSLASHtextcite] = ACTIONS(7515),
    [anon_sym_BSLASHTextcite] = ACTIONS(7515),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7515),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7515),
    [anon_sym_BSLASHsupercite] = ACTIONS(7515),
    [anon_sym_BSLASHautocite] = ACTIONS(7515),
    [anon_sym_BSLASHAutocite] = ACTIONS(7515),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHVolcite] = ACTIONS(7515),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHavolcite] = ACTIONS(7515),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHNotecite] = ACTIONS(7515),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHlabel] = ACTIONS(7515),
    [anon_sym_BSLASHref] = ACTIONS(7515),
    [anon_sym_BSLASHeqref] = ACTIONS(7515),
    [anon_sym_BSLASHvref] = ACTIONS(7515),
    [anon_sym_BSLASHVref] = ACTIONS(7515),
    [anon_sym_BSLASHautoref] = ACTIONS(7515),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHpageref] = ACTIONS(7515),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHautopageref] = ACTIONS(7515),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcref] = ACTIONS(7515),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCref] = ACTIONS(7515),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcpageref] = ACTIONS(7515),
    [anon_sym_BSLASHCpageref] = ACTIONS(7515),
    [anon_sym_BSLASHnamecref] = ACTIONS(7515),
    [anon_sym_BSLASHnameCref] = ACTIONS(7515),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7515),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7515),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7515),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7515),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7515),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7515),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7515),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7515),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7515),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7515),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7515),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHdef] = ACTIONS(7515),
    [anon_sym_BSLASHgdef] = ACTIONS(7515),
    [anon_sym_BSLASHedef] = ACTIONS(7515),
    [anon_sym_BSLASHxdef] = ACTIONS(7515),
    [anon_sym_BSLASHlet] = ACTIONS(7515),
    [anon_sym_BSLASHglet] = ACTIONS(7515),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7515),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7515),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7515),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7515),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7515),
    [anon_sym_BSLASHgls] = ACTIONS(7515),
    [anon_sym_BSLASHGls] = ACTIONS(7515),
    [anon_sym_BSLASHGLS] = ACTIONS(7515),
    [anon_sym_BSLASHglspl] = ACTIONS(7515),
    [anon_sym_BSLASHGlspl] = ACTIONS(7515),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7515),
    [anon_sym_BSLASHglslink] = ACTIONS(7515),
    [anon_sym_BSLASHglstext] = ACTIONS(7515),
    [anon_sym_BSLASHGlstext] = ACTIONS(7515),
    [anon_sym_BSLASHGLStext] = ACTIONS(7515),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7515),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7515),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7515),
    [anon_sym_BSLASHglsplural] = ACTIONS(7515),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7515),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7515),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHglsname] = ACTIONS(7515),
    [anon_sym_BSLASHGlsname] = ACTIONS(7515),
    [anon_sym_BSLASHGLSname] = ACTIONS(7515),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7515),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7515),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7515),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7515),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7515),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7515),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7515),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7515),
    [anon_sym_BSLASHacrshort] = ACTIONS(7515),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7515),
    [anon_sym_BSLASHACRshort] = ACTIONS(7515),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHacrlong] = ACTIONS(7515),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7515),
    [anon_sym_BSLASHACRlong] = ACTIONS(7515),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHacrfull] = ACTIONS(7515),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7515),
    [anon_sym_BSLASHACRfull] = ACTIONS(7515),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHacs] = ACTIONS(7515),
    [anon_sym_BSLASHAcs] = ACTIONS(7515),
    [anon_sym_BSLASHacsp] = ACTIONS(7515),
    [anon_sym_BSLASHAcsp] = ACTIONS(7515),
    [anon_sym_BSLASHacl] = ACTIONS(7515),
    [anon_sym_BSLASHAcl] = ACTIONS(7515),
    [anon_sym_BSLASHaclp] = ACTIONS(7515),
    [anon_sym_BSLASHAclp] = ACTIONS(7515),
    [anon_sym_BSLASHacf] = ACTIONS(7515),
    [anon_sym_BSLASHAcf] = ACTIONS(7515),
    [anon_sym_BSLASHacfp] = ACTIONS(7515),
    [anon_sym_BSLASHAcfp] = ACTIONS(7515),
    [anon_sym_BSLASHac] = ACTIONS(7515),
    [anon_sym_BSLASHAc] = ACTIONS(7515),
    [anon_sym_BSLASHacp] = ACTIONS(7515),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7515),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7515),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7515),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7515),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7515),
    [anon_sym_BSLASHcolor] = ACTIONS(7515),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7515),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7515),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7515),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7515),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7515),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7515),
    [anon_sym_BSLASHurl] = ACTIONS(7515),
    [anon_sym_BSLASHhref] = ACTIONS(7515),
  },
  [2142] = {
    [sym_command_name] = ACTIONS(7187),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7187),
    [anon_sym_LPAREN] = ACTIONS(7189),
    [anon_sym_RPAREN] = ACTIONS(7189),
    [anon_sym_LBRACE] = ACTIONS(7189),
    [anon_sym_RBRACE] = ACTIONS(7189),
    [anon_sym_BSLASHand] = ACTIONS(7187),
    [sym_word] = ACTIONS(7187),
    [sym_placeholder] = ACTIONS(7189),
    [sym_delimiter] = ACTIONS(7189),
    [anon_sym_PLUS] = ACTIONS(7189),
    [anon_sym_DASH] = ACTIONS(7189),
    [anon_sym_STAR] = ACTIONS(7189),
    [anon_sym_SLASH] = ACTIONS(7189),
    [anon_sym_LT] = ACTIONS(7187),
    [anon_sym_GT] = ACTIONS(7187),
    [anon_sym_BANG] = ACTIONS(7187),
    [anon_sym_PIPE] = ACTIONS(7187),
    [anon_sym_COLON] = ACTIONS(7187),
    [anon_sym_SQUOTE] = ACTIONS(7187),
    [anon_sym__] = ACTIONS(7189),
    [anon_sym_CARET] = ACTIONS(7189),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7189),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7189),
    [anon_sym_DOLLAR] = ACTIONS(7187),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7189),
    [anon_sym_BSLASHleft] = ACTIONS(7187),
    [anon_sym_BSLASHbigl] = ACTIONS(7187),
    [anon_sym_BSLASHBigl] = ACTIONS(7187),
    [anon_sym_BSLASHbiggl] = ACTIONS(7187),
    [anon_sym_BSLASHBiggl] = ACTIONS(7187),
    [anon_sym_BSLASHtext] = ACTIONS(7187),
    [anon_sym_BSLASHintertext] = ACTIONS(7187),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7187),
    [anon_sym_BSLASHtitle] = ACTIONS(7187),
    [anon_sym_BSLASHauthor] = ACTIONS(7187),
    [anon_sym_BSLASHusepackage] = ACTIONS(7187),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7187),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7187),
    [anon_sym_BSLASHinclude] = ACTIONS(7187),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7187),
    [anon_sym_BSLASHinput] = ACTIONS(7187),
    [anon_sym_BSLASHsubfile] = ACTIONS(7187),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7187),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7187),
    [anon_sym_BSLASHbibliography] = ACTIONS(7187),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7187),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7187),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7187),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7187),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7187),
    [anon_sym_BSLASHimport] = ACTIONS(7187),
    [anon_sym_BSLASHsubimport] = ACTIONS(7187),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7187),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7187),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7187),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7187),
    [anon_sym_BSLASHcaption] = ACTIONS(7187),
    [anon_sym_BSLASHcite] = ACTIONS(7187),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCite] = ACTIONS(7187),
    [anon_sym_BSLASHnocite] = ACTIONS(7187),
    [anon_sym_BSLASHcitet] = ACTIONS(7187),
    [anon_sym_BSLASHcitep] = ACTIONS(7187),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteA] = ACTIONS(7187),
    [anon_sym_BSLASHciteR] = ACTIONS(7187),
    [anon_sym_BSLASHciteS] = ACTIONS(7187),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7187),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7187),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7187),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7187),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteyear] = ACTIONS(7187),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitedate] = ACTIONS(7187),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteurl] = ACTIONS(7187),
    [anon_sym_BSLASHfullcite] = ACTIONS(7187),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7187),
    [anon_sym_BSLASHcitealt] = ACTIONS(7187),
    [anon_sym_BSLASHcitealp] = ACTIONS(7187),
    [anon_sym_BSLASHcitetext] = ACTIONS(7187),
    [anon_sym_BSLASHparencite] = ACTIONS(7187),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHParencite] = ACTIONS(7187),
    [anon_sym_BSLASHfootcite] = ACTIONS(7187),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7187),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7187),
    [anon_sym_BSLASHtextcite] = ACTIONS(7187),
    [anon_sym_BSLASHTextcite] = ACTIONS(7187),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7187),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7187),
    [anon_sym_BSLASHsupercite] = ACTIONS(7187),
    [anon_sym_BSLASHautocite] = ACTIONS(7187),
    [anon_sym_BSLASHAutocite] = ACTIONS(7187),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHVolcite] = ACTIONS(7187),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHavolcite] = ACTIONS(7187),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHNotecite] = ACTIONS(7187),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHlabel] = ACTIONS(7187),
    [anon_sym_BSLASHref] = ACTIONS(7187),
    [anon_sym_BSLASHeqref] = ACTIONS(7187),
    [anon_sym_BSLASHvref] = ACTIONS(7187),
    [anon_sym_BSLASHVref] = ACTIONS(7187),
    [anon_sym_BSLASHautoref] = ACTIONS(7187),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHpageref] = ACTIONS(7187),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHautopageref] = ACTIONS(7187),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcref] = ACTIONS(7187),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCref] = ACTIONS(7187),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcpageref] = ACTIONS(7187),
    [anon_sym_BSLASHCpageref] = ACTIONS(7187),
    [anon_sym_BSLASHnamecref] = ACTIONS(7187),
    [anon_sym_BSLASHnameCref] = ACTIONS(7187),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7187),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7187),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7187),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7187),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7187),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7187),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7187),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7187),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7187),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7187),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7187),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHdef] = ACTIONS(7187),
    [anon_sym_BSLASHgdef] = ACTIONS(7187),
    [anon_sym_BSLASHedef] = ACTIONS(7187),
    [anon_sym_BSLASHxdef] = ACTIONS(7187),
    [anon_sym_BSLASHlet] = ACTIONS(7187),
    [anon_sym_BSLASHglet] = ACTIONS(7187),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7187),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7187),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7187),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7187),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7187),
    [anon_sym_BSLASHgls] = ACTIONS(7187),
    [anon_sym_BSLASHGls] = ACTIONS(7187),
    [anon_sym_BSLASHGLS] = ACTIONS(7187),
    [anon_sym_BSLASHglspl] = ACTIONS(7187),
    [anon_sym_BSLASHGlspl] = ACTIONS(7187),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7187),
    [anon_sym_BSLASHglslink] = ACTIONS(7187),
    [anon_sym_BSLASHglstext] = ACTIONS(7187),
    [anon_sym_BSLASHGlstext] = ACTIONS(7187),
    [anon_sym_BSLASHGLStext] = ACTIONS(7187),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7187),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7187),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7187),
    [anon_sym_BSLASHglsplural] = ACTIONS(7187),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7187),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7187),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHglsname] = ACTIONS(7187),
    [anon_sym_BSLASHGlsname] = ACTIONS(7187),
    [anon_sym_BSLASHGLSname] = ACTIONS(7187),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7187),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7187),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7187),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7187),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7187),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7187),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7187),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7187),
    [anon_sym_BSLASHacrshort] = ACTIONS(7187),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7187),
    [anon_sym_BSLASHACRshort] = ACTIONS(7187),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHacrlong] = ACTIONS(7187),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7187),
    [anon_sym_BSLASHACRlong] = ACTIONS(7187),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHacrfull] = ACTIONS(7187),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7187),
    [anon_sym_BSLASHACRfull] = ACTIONS(7187),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHacs] = ACTIONS(7187),
    [anon_sym_BSLASHAcs] = ACTIONS(7187),
    [anon_sym_BSLASHacsp] = ACTIONS(7187),
    [anon_sym_BSLASHAcsp] = ACTIONS(7187),
    [anon_sym_BSLASHacl] = ACTIONS(7187),
    [anon_sym_BSLASHAcl] = ACTIONS(7187),
    [anon_sym_BSLASHaclp] = ACTIONS(7187),
    [anon_sym_BSLASHAclp] = ACTIONS(7187),
    [anon_sym_BSLASHacf] = ACTIONS(7187),
    [anon_sym_BSLASHAcf] = ACTIONS(7187),
    [anon_sym_BSLASHacfp] = ACTIONS(7187),
    [anon_sym_BSLASHAcfp] = ACTIONS(7187),
    [anon_sym_BSLASHac] = ACTIONS(7187),
    [anon_sym_BSLASHAc] = ACTIONS(7187),
    [anon_sym_BSLASHacp] = ACTIONS(7187),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7187),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7187),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7187),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7187),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7187),
    [anon_sym_BSLASHcolor] = ACTIONS(7187),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7187),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7187),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7187),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7187),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7187),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7187),
    [anon_sym_BSLASHurl] = ACTIONS(7187),
    [anon_sym_BSLASHhref] = ACTIONS(7187),
  },
  [2143] = {
    [sym_command_name] = ACTIONS(7351),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7351),
    [anon_sym_LPAREN] = ACTIONS(7353),
    [anon_sym_RPAREN] = ACTIONS(7353),
    [anon_sym_LBRACE] = ACTIONS(7353),
    [anon_sym_RBRACE] = ACTIONS(7353),
    [anon_sym_BSLASHand] = ACTIONS(7351),
    [sym_word] = ACTIONS(7351),
    [sym_placeholder] = ACTIONS(7353),
    [sym_delimiter] = ACTIONS(7353),
    [anon_sym_PLUS] = ACTIONS(7353),
    [anon_sym_DASH] = ACTIONS(7353),
    [anon_sym_STAR] = ACTIONS(7353),
    [anon_sym_SLASH] = ACTIONS(7353),
    [anon_sym_LT] = ACTIONS(7351),
    [anon_sym_GT] = ACTIONS(7351),
    [anon_sym_BANG] = ACTIONS(7351),
    [anon_sym_PIPE] = ACTIONS(7351),
    [anon_sym_COLON] = ACTIONS(7351),
    [anon_sym_SQUOTE] = ACTIONS(7351),
    [anon_sym__] = ACTIONS(7353),
    [anon_sym_CARET] = ACTIONS(7353),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7353),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7353),
    [anon_sym_DOLLAR] = ACTIONS(7351),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7353),
    [anon_sym_BSLASHleft] = ACTIONS(7351),
    [anon_sym_BSLASHbigl] = ACTIONS(7351),
    [anon_sym_BSLASHBigl] = ACTIONS(7351),
    [anon_sym_BSLASHbiggl] = ACTIONS(7351),
    [anon_sym_BSLASHBiggl] = ACTIONS(7351),
    [anon_sym_BSLASHtext] = ACTIONS(7351),
    [anon_sym_BSLASHintertext] = ACTIONS(7351),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7351),
    [anon_sym_BSLASHtitle] = ACTIONS(7351),
    [anon_sym_BSLASHauthor] = ACTIONS(7351),
    [anon_sym_BSLASHusepackage] = ACTIONS(7351),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7351),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7351),
    [anon_sym_BSLASHinclude] = ACTIONS(7351),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7351),
    [anon_sym_BSLASHinput] = ACTIONS(7351),
    [anon_sym_BSLASHsubfile] = ACTIONS(7351),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7351),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7351),
    [anon_sym_BSLASHbibliography] = ACTIONS(7351),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7351),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7351),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7351),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7351),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7351),
    [anon_sym_BSLASHimport] = ACTIONS(7351),
    [anon_sym_BSLASHsubimport] = ACTIONS(7351),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7351),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7351),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7351),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7351),
    [anon_sym_BSLASHcaption] = ACTIONS(7351),
    [anon_sym_BSLASHcite] = ACTIONS(7351),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCite] = ACTIONS(7351),
    [anon_sym_BSLASHnocite] = ACTIONS(7351),
    [anon_sym_BSLASHcitet] = ACTIONS(7351),
    [anon_sym_BSLASHcitep] = ACTIONS(7351),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteA] = ACTIONS(7351),
    [anon_sym_BSLASHciteR] = ACTIONS(7351),
    [anon_sym_BSLASHciteS] = ACTIONS(7351),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7351),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7351),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7351),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7351),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteyear] = ACTIONS(7351),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitedate] = ACTIONS(7351),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteurl] = ACTIONS(7351),
    [anon_sym_BSLASHfullcite] = ACTIONS(7351),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7351),
    [anon_sym_BSLASHcitealt] = ACTIONS(7351),
    [anon_sym_BSLASHcitealp] = ACTIONS(7351),
    [anon_sym_BSLASHcitetext] = ACTIONS(7351),
    [anon_sym_BSLASHparencite] = ACTIONS(7351),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHParencite] = ACTIONS(7351),
    [anon_sym_BSLASHfootcite] = ACTIONS(7351),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7351),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7351),
    [anon_sym_BSLASHtextcite] = ACTIONS(7351),
    [anon_sym_BSLASHTextcite] = ACTIONS(7351),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7351),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7351),
    [anon_sym_BSLASHsupercite] = ACTIONS(7351),
    [anon_sym_BSLASHautocite] = ACTIONS(7351),
    [anon_sym_BSLASHAutocite] = ACTIONS(7351),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHVolcite] = ACTIONS(7351),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHavolcite] = ACTIONS(7351),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHNotecite] = ACTIONS(7351),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHlabel] = ACTIONS(7351),
    [anon_sym_BSLASHref] = ACTIONS(7351),
    [anon_sym_BSLASHeqref] = ACTIONS(7351),
    [anon_sym_BSLASHvref] = ACTIONS(7351),
    [anon_sym_BSLASHVref] = ACTIONS(7351),
    [anon_sym_BSLASHautoref] = ACTIONS(7351),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHpageref] = ACTIONS(7351),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHautopageref] = ACTIONS(7351),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcref] = ACTIONS(7351),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCref] = ACTIONS(7351),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcpageref] = ACTIONS(7351),
    [anon_sym_BSLASHCpageref] = ACTIONS(7351),
    [anon_sym_BSLASHnamecref] = ACTIONS(7351),
    [anon_sym_BSLASHnameCref] = ACTIONS(7351),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7351),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7351),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7351),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7351),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7351),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7351),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7351),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7351),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7351),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7351),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7351),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHdef] = ACTIONS(7351),
    [anon_sym_BSLASHgdef] = ACTIONS(7351),
    [anon_sym_BSLASHedef] = ACTIONS(7351),
    [anon_sym_BSLASHxdef] = ACTIONS(7351),
    [anon_sym_BSLASHlet] = ACTIONS(7351),
    [anon_sym_BSLASHglet] = ACTIONS(7351),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7351),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7351),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7351),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7351),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7351),
    [anon_sym_BSLASHgls] = ACTIONS(7351),
    [anon_sym_BSLASHGls] = ACTIONS(7351),
    [anon_sym_BSLASHGLS] = ACTIONS(7351),
    [anon_sym_BSLASHglspl] = ACTIONS(7351),
    [anon_sym_BSLASHGlspl] = ACTIONS(7351),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7351),
    [anon_sym_BSLASHglslink] = ACTIONS(7351),
    [anon_sym_BSLASHglstext] = ACTIONS(7351),
    [anon_sym_BSLASHGlstext] = ACTIONS(7351),
    [anon_sym_BSLASHGLStext] = ACTIONS(7351),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7351),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7351),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7351),
    [anon_sym_BSLASHglsplural] = ACTIONS(7351),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7351),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7351),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHglsname] = ACTIONS(7351),
    [anon_sym_BSLASHGlsname] = ACTIONS(7351),
    [anon_sym_BSLASHGLSname] = ACTIONS(7351),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7351),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7351),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7351),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7351),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7351),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7351),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7351),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7351),
    [anon_sym_BSLASHacrshort] = ACTIONS(7351),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7351),
    [anon_sym_BSLASHACRshort] = ACTIONS(7351),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHacrlong] = ACTIONS(7351),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7351),
    [anon_sym_BSLASHACRlong] = ACTIONS(7351),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHacrfull] = ACTIONS(7351),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7351),
    [anon_sym_BSLASHACRfull] = ACTIONS(7351),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHacs] = ACTIONS(7351),
    [anon_sym_BSLASHAcs] = ACTIONS(7351),
    [anon_sym_BSLASHacsp] = ACTIONS(7351),
    [anon_sym_BSLASHAcsp] = ACTIONS(7351),
    [anon_sym_BSLASHacl] = ACTIONS(7351),
    [anon_sym_BSLASHAcl] = ACTIONS(7351),
    [anon_sym_BSLASHaclp] = ACTIONS(7351),
    [anon_sym_BSLASHAclp] = ACTIONS(7351),
    [anon_sym_BSLASHacf] = ACTIONS(7351),
    [anon_sym_BSLASHAcf] = ACTIONS(7351),
    [anon_sym_BSLASHacfp] = ACTIONS(7351),
    [anon_sym_BSLASHAcfp] = ACTIONS(7351),
    [anon_sym_BSLASHac] = ACTIONS(7351),
    [anon_sym_BSLASHAc] = ACTIONS(7351),
    [anon_sym_BSLASHacp] = ACTIONS(7351),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7351),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7351),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7351),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7351),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7351),
    [anon_sym_BSLASHcolor] = ACTIONS(7351),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7351),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7351),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7351),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7351),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7351),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7351),
    [anon_sym_BSLASHurl] = ACTIONS(7351),
    [anon_sym_BSLASHhref] = ACTIONS(7351),
  },
  [2144] = {
    [sym_command_name] = ACTIONS(7519),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7519),
    [anon_sym_LPAREN] = ACTIONS(7521),
    [anon_sym_RPAREN] = ACTIONS(7521),
    [anon_sym_LBRACE] = ACTIONS(7521),
    [anon_sym_RBRACE] = ACTIONS(7521),
    [anon_sym_BSLASHand] = ACTIONS(7519),
    [sym_word] = ACTIONS(7519),
    [sym_placeholder] = ACTIONS(7521),
    [sym_delimiter] = ACTIONS(7521),
    [anon_sym_PLUS] = ACTIONS(7521),
    [anon_sym_DASH] = ACTIONS(7521),
    [anon_sym_STAR] = ACTIONS(7521),
    [anon_sym_SLASH] = ACTIONS(7521),
    [anon_sym_LT] = ACTIONS(7519),
    [anon_sym_GT] = ACTIONS(7519),
    [anon_sym_BANG] = ACTIONS(7519),
    [anon_sym_PIPE] = ACTIONS(7519),
    [anon_sym_COLON] = ACTIONS(7519),
    [anon_sym_SQUOTE] = ACTIONS(7519),
    [anon_sym__] = ACTIONS(7521),
    [anon_sym_CARET] = ACTIONS(7521),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7521),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7521),
    [anon_sym_DOLLAR] = ACTIONS(7519),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7521),
    [anon_sym_BSLASHleft] = ACTIONS(7519),
    [anon_sym_BSLASHbigl] = ACTIONS(7519),
    [anon_sym_BSLASHBigl] = ACTIONS(7519),
    [anon_sym_BSLASHbiggl] = ACTIONS(7519),
    [anon_sym_BSLASHBiggl] = ACTIONS(7519),
    [anon_sym_BSLASHtext] = ACTIONS(7519),
    [anon_sym_BSLASHintertext] = ACTIONS(7519),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7519),
    [anon_sym_BSLASHtitle] = ACTIONS(7519),
    [anon_sym_BSLASHauthor] = ACTIONS(7519),
    [anon_sym_BSLASHusepackage] = ACTIONS(7519),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7519),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7519),
    [anon_sym_BSLASHinclude] = ACTIONS(7519),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7519),
    [anon_sym_BSLASHinput] = ACTIONS(7519),
    [anon_sym_BSLASHsubfile] = ACTIONS(7519),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7519),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7519),
    [anon_sym_BSLASHbibliography] = ACTIONS(7519),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7519),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7519),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7519),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7519),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7519),
    [anon_sym_BSLASHimport] = ACTIONS(7519),
    [anon_sym_BSLASHsubimport] = ACTIONS(7519),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7519),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7519),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7519),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7519),
    [anon_sym_BSLASHcaption] = ACTIONS(7519),
    [anon_sym_BSLASHcite] = ACTIONS(7519),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCite] = ACTIONS(7519),
    [anon_sym_BSLASHnocite] = ACTIONS(7519),
    [anon_sym_BSLASHcitet] = ACTIONS(7519),
    [anon_sym_BSLASHcitep] = ACTIONS(7519),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteA] = ACTIONS(7519),
    [anon_sym_BSLASHciteR] = ACTIONS(7519),
    [anon_sym_BSLASHciteS] = ACTIONS(7519),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7519),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7519),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7519),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7519),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteyear] = ACTIONS(7519),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitedate] = ACTIONS(7519),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteurl] = ACTIONS(7519),
    [anon_sym_BSLASHfullcite] = ACTIONS(7519),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7519),
    [anon_sym_BSLASHcitealt] = ACTIONS(7519),
    [anon_sym_BSLASHcitealp] = ACTIONS(7519),
    [anon_sym_BSLASHcitetext] = ACTIONS(7519),
    [anon_sym_BSLASHparencite] = ACTIONS(7519),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHParencite] = ACTIONS(7519),
    [anon_sym_BSLASHfootcite] = ACTIONS(7519),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7519),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7519),
    [anon_sym_BSLASHtextcite] = ACTIONS(7519),
    [anon_sym_BSLASHTextcite] = ACTIONS(7519),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7519),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7519),
    [anon_sym_BSLASHsupercite] = ACTIONS(7519),
    [anon_sym_BSLASHautocite] = ACTIONS(7519),
    [anon_sym_BSLASHAutocite] = ACTIONS(7519),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHVolcite] = ACTIONS(7519),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHavolcite] = ACTIONS(7519),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHNotecite] = ACTIONS(7519),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHlabel] = ACTIONS(7519),
    [anon_sym_BSLASHref] = ACTIONS(7519),
    [anon_sym_BSLASHeqref] = ACTIONS(7519),
    [anon_sym_BSLASHvref] = ACTIONS(7519),
    [anon_sym_BSLASHVref] = ACTIONS(7519),
    [anon_sym_BSLASHautoref] = ACTIONS(7519),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHpageref] = ACTIONS(7519),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHautopageref] = ACTIONS(7519),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcref] = ACTIONS(7519),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCref] = ACTIONS(7519),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcpageref] = ACTIONS(7519),
    [anon_sym_BSLASHCpageref] = ACTIONS(7519),
    [anon_sym_BSLASHnamecref] = ACTIONS(7519),
    [anon_sym_BSLASHnameCref] = ACTIONS(7519),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7519),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7519),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7519),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7519),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7519),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7519),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7519),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7519),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7519),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7519),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7519),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHdef] = ACTIONS(7519),
    [anon_sym_BSLASHgdef] = ACTIONS(7519),
    [anon_sym_BSLASHedef] = ACTIONS(7519),
    [anon_sym_BSLASHxdef] = ACTIONS(7519),
    [anon_sym_BSLASHlet] = ACTIONS(7519),
    [anon_sym_BSLASHglet] = ACTIONS(7519),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7519),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7519),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7519),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7519),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7519),
    [anon_sym_BSLASHgls] = ACTIONS(7519),
    [anon_sym_BSLASHGls] = ACTIONS(7519),
    [anon_sym_BSLASHGLS] = ACTIONS(7519),
    [anon_sym_BSLASHglspl] = ACTIONS(7519),
    [anon_sym_BSLASHGlspl] = ACTIONS(7519),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7519),
    [anon_sym_BSLASHglslink] = ACTIONS(7519),
    [anon_sym_BSLASHglstext] = ACTIONS(7519),
    [anon_sym_BSLASHGlstext] = ACTIONS(7519),
    [anon_sym_BSLASHGLStext] = ACTIONS(7519),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7519),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7519),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7519),
    [anon_sym_BSLASHglsplural] = ACTIONS(7519),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7519),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7519),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHglsname] = ACTIONS(7519),
    [anon_sym_BSLASHGlsname] = ACTIONS(7519),
    [anon_sym_BSLASHGLSname] = ACTIONS(7519),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7519),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7519),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7519),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7519),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7519),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7519),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7519),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7519),
    [anon_sym_BSLASHacrshort] = ACTIONS(7519),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7519),
    [anon_sym_BSLASHACRshort] = ACTIONS(7519),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHacrlong] = ACTIONS(7519),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7519),
    [anon_sym_BSLASHACRlong] = ACTIONS(7519),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHacrfull] = ACTIONS(7519),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7519),
    [anon_sym_BSLASHACRfull] = ACTIONS(7519),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHacs] = ACTIONS(7519),
    [anon_sym_BSLASHAcs] = ACTIONS(7519),
    [anon_sym_BSLASHacsp] = ACTIONS(7519),
    [anon_sym_BSLASHAcsp] = ACTIONS(7519),
    [anon_sym_BSLASHacl] = ACTIONS(7519),
    [anon_sym_BSLASHAcl] = ACTIONS(7519),
    [anon_sym_BSLASHaclp] = ACTIONS(7519),
    [anon_sym_BSLASHAclp] = ACTIONS(7519),
    [anon_sym_BSLASHacf] = ACTIONS(7519),
    [anon_sym_BSLASHAcf] = ACTIONS(7519),
    [anon_sym_BSLASHacfp] = ACTIONS(7519),
    [anon_sym_BSLASHAcfp] = ACTIONS(7519),
    [anon_sym_BSLASHac] = ACTIONS(7519),
    [anon_sym_BSLASHAc] = ACTIONS(7519),
    [anon_sym_BSLASHacp] = ACTIONS(7519),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7519),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7519),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7519),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7519),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7519),
    [anon_sym_BSLASHcolor] = ACTIONS(7519),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7519),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7519),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7519),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7519),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7519),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7519),
    [anon_sym_BSLASHurl] = ACTIONS(7519),
    [anon_sym_BSLASHhref] = ACTIONS(7519),
  },
  [2145] = {
    [sym_command_name] = ACTIONS(7523),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7523),
    [anon_sym_LPAREN] = ACTIONS(7525),
    [anon_sym_RPAREN] = ACTIONS(7525),
    [anon_sym_LBRACE] = ACTIONS(7525),
    [anon_sym_RBRACE] = ACTIONS(7525),
    [anon_sym_BSLASHand] = ACTIONS(7523),
    [sym_word] = ACTIONS(7523),
    [sym_placeholder] = ACTIONS(7525),
    [sym_delimiter] = ACTIONS(7525),
    [anon_sym_PLUS] = ACTIONS(7525),
    [anon_sym_DASH] = ACTIONS(7525),
    [anon_sym_STAR] = ACTIONS(7525),
    [anon_sym_SLASH] = ACTIONS(7525),
    [anon_sym_LT] = ACTIONS(7523),
    [anon_sym_GT] = ACTIONS(7523),
    [anon_sym_BANG] = ACTIONS(7523),
    [anon_sym_PIPE] = ACTIONS(7523),
    [anon_sym_COLON] = ACTIONS(7523),
    [anon_sym_SQUOTE] = ACTIONS(7523),
    [anon_sym__] = ACTIONS(7525),
    [anon_sym_CARET] = ACTIONS(7525),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7525),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7525),
    [anon_sym_DOLLAR] = ACTIONS(7523),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7525),
    [anon_sym_BSLASHleft] = ACTIONS(7523),
    [anon_sym_BSLASHbigl] = ACTIONS(7523),
    [anon_sym_BSLASHBigl] = ACTIONS(7523),
    [anon_sym_BSLASHbiggl] = ACTIONS(7523),
    [anon_sym_BSLASHBiggl] = ACTIONS(7523),
    [anon_sym_BSLASHtext] = ACTIONS(7523),
    [anon_sym_BSLASHintertext] = ACTIONS(7523),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7523),
    [anon_sym_BSLASHtitle] = ACTIONS(7523),
    [anon_sym_BSLASHauthor] = ACTIONS(7523),
    [anon_sym_BSLASHusepackage] = ACTIONS(7523),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7523),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7523),
    [anon_sym_BSLASHinclude] = ACTIONS(7523),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7523),
    [anon_sym_BSLASHinput] = ACTIONS(7523),
    [anon_sym_BSLASHsubfile] = ACTIONS(7523),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7523),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7523),
    [anon_sym_BSLASHbibliography] = ACTIONS(7523),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7523),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7523),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7523),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7523),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7523),
    [anon_sym_BSLASHimport] = ACTIONS(7523),
    [anon_sym_BSLASHsubimport] = ACTIONS(7523),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7523),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7523),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7523),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7523),
    [anon_sym_BSLASHcaption] = ACTIONS(7523),
    [anon_sym_BSLASHcite] = ACTIONS(7523),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCite] = ACTIONS(7523),
    [anon_sym_BSLASHnocite] = ACTIONS(7523),
    [anon_sym_BSLASHcitet] = ACTIONS(7523),
    [anon_sym_BSLASHcitep] = ACTIONS(7523),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteA] = ACTIONS(7523),
    [anon_sym_BSLASHciteR] = ACTIONS(7523),
    [anon_sym_BSLASHciteS] = ACTIONS(7523),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7523),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7523),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7523),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7523),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteyear] = ACTIONS(7523),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitedate] = ACTIONS(7523),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteurl] = ACTIONS(7523),
    [anon_sym_BSLASHfullcite] = ACTIONS(7523),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7523),
    [anon_sym_BSLASHcitealt] = ACTIONS(7523),
    [anon_sym_BSLASHcitealp] = ACTIONS(7523),
    [anon_sym_BSLASHcitetext] = ACTIONS(7523),
    [anon_sym_BSLASHparencite] = ACTIONS(7523),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHParencite] = ACTIONS(7523),
    [anon_sym_BSLASHfootcite] = ACTIONS(7523),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7523),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7523),
    [anon_sym_BSLASHtextcite] = ACTIONS(7523),
    [anon_sym_BSLASHTextcite] = ACTIONS(7523),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7523),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7523),
    [anon_sym_BSLASHsupercite] = ACTIONS(7523),
    [anon_sym_BSLASHautocite] = ACTIONS(7523),
    [anon_sym_BSLASHAutocite] = ACTIONS(7523),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHVolcite] = ACTIONS(7523),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHavolcite] = ACTIONS(7523),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHNotecite] = ACTIONS(7523),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHlabel] = ACTIONS(7523),
    [anon_sym_BSLASHref] = ACTIONS(7523),
    [anon_sym_BSLASHeqref] = ACTIONS(7523),
    [anon_sym_BSLASHvref] = ACTIONS(7523),
    [anon_sym_BSLASHVref] = ACTIONS(7523),
    [anon_sym_BSLASHautoref] = ACTIONS(7523),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHpageref] = ACTIONS(7523),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHautopageref] = ACTIONS(7523),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcref] = ACTIONS(7523),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCref] = ACTIONS(7523),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcpageref] = ACTIONS(7523),
    [anon_sym_BSLASHCpageref] = ACTIONS(7523),
    [anon_sym_BSLASHnamecref] = ACTIONS(7523),
    [anon_sym_BSLASHnameCref] = ACTIONS(7523),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7523),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7523),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7523),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7523),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7523),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7523),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7523),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7523),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7523),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7523),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7523),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHdef] = ACTIONS(7523),
    [anon_sym_BSLASHgdef] = ACTIONS(7523),
    [anon_sym_BSLASHedef] = ACTIONS(7523),
    [anon_sym_BSLASHxdef] = ACTIONS(7523),
    [anon_sym_BSLASHlet] = ACTIONS(7523),
    [anon_sym_BSLASHglet] = ACTIONS(7523),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7523),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7523),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7523),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7523),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7523),
    [anon_sym_BSLASHgls] = ACTIONS(7523),
    [anon_sym_BSLASHGls] = ACTIONS(7523),
    [anon_sym_BSLASHGLS] = ACTIONS(7523),
    [anon_sym_BSLASHglspl] = ACTIONS(7523),
    [anon_sym_BSLASHGlspl] = ACTIONS(7523),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7523),
    [anon_sym_BSLASHglslink] = ACTIONS(7523),
    [anon_sym_BSLASHglstext] = ACTIONS(7523),
    [anon_sym_BSLASHGlstext] = ACTIONS(7523),
    [anon_sym_BSLASHGLStext] = ACTIONS(7523),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7523),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7523),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7523),
    [anon_sym_BSLASHglsplural] = ACTIONS(7523),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7523),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7523),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHglsname] = ACTIONS(7523),
    [anon_sym_BSLASHGlsname] = ACTIONS(7523),
    [anon_sym_BSLASHGLSname] = ACTIONS(7523),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7523),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7523),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7523),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7523),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7523),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7523),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7523),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7523),
    [anon_sym_BSLASHacrshort] = ACTIONS(7523),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7523),
    [anon_sym_BSLASHACRshort] = ACTIONS(7523),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHacrlong] = ACTIONS(7523),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7523),
    [anon_sym_BSLASHACRlong] = ACTIONS(7523),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHacrfull] = ACTIONS(7523),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7523),
    [anon_sym_BSLASHACRfull] = ACTIONS(7523),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHacs] = ACTIONS(7523),
    [anon_sym_BSLASHAcs] = ACTIONS(7523),
    [anon_sym_BSLASHacsp] = ACTIONS(7523),
    [anon_sym_BSLASHAcsp] = ACTIONS(7523),
    [anon_sym_BSLASHacl] = ACTIONS(7523),
    [anon_sym_BSLASHAcl] = ACTIONS(7523),
    [anon_sym_BSLASHaclp] = ACTIONS(7523),
    [anon_sym_BSLASHAclp] = ACTIONS(7523),
    [anon_sym_BSLASHacf] = ACTIONS(7523),
    [anon_sym_BSLASHAcf] = ACTIONS(7523),
    [anon_sym_BSLASHacfp] = ACTIONS(7523),
    [anon_sym_BSLASHAcfp] = ACTIONS(7523),
    [anon_sym_BSLASHac] = ACTIONS(7523),
    [anon_sym_BSLASHAc] = ACTIONS(7523),
    [anon_sym_BSLASHacp] = ACTIONS(7523),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7523),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7523),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7523),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7523),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7523),
    [anon_sym_BSLASHcolor] = ACTIONS(7523),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7523),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7523),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7523),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7523),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7523),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7523),
    [anon_sym_BSLASHurl] = ACTIONS(7523),
    [anon_sym_BSLASHhref] = ACTIONS(7523),
  },
  [2146] = {
    [sym_command_name] = ACTIONS(7527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7527),
    [anon_sym_LPAREN] = ACTIONS(7529),
    [anon_sym_RPAREN] = ACTIONS(7529),
    [anon_sym_LBRACE] = ACTIONS(7529),
    [anon_sym_RBRACE] = ACTIONS(7529),
    [anon_sym_BSLASHand] = ACTIONS(7527),
    [sym_word] = ACTIONS(7527),
    [sym_placeholder] = ACTIONS(7529),
    [sym_delimiter] = ACTIONS(7529),
    [anon_sym_PLUS] = ACTIONS(7529),
    [anon_sym_DASH] = ACTIONS(7529),
    [anon_sym_STAR] = ACTIONS(7529),
    [anon_sym_SLASH] = ACTIONS(7529),
    [anon_sym_LT] = ACTIONS(7527),
    [anon_sym_GT] = ACTIONS(7527),
    [anon_sym_BANG] = ACTIONS(7527),
    [anon_sym_PIPE] = ACTIONS(7527),
    [anon_sym_COLON] = ACTIONS(7527),
    [anon_sym_SQUOTE] = ACTIONS(7527),
    [anon_sym__] = ACTIONS(7529),
    [anon_sym_CARET] = ACTIONS(7529),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7529),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7529),
    [anon_sym_DOLLAR] = ACTIONS(7527),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7529),
    [anon_sym_BSLASHleft] = ACTIONS(7527),
    [anon_sym_BSLASHbigl] = ACTIONS(7527),
    [anon_sym_BSLASHBigl] = ACTIONS(7527),
    [anon_sym_BSLASHbiggl] = ACTIONS(7527),
    [anon_sym_BSLASHBiggl] = ACTIONS(7527),
    [anon_sym_BSLASHtext] = ACTIONS(7527),
    [anon_sym_BSLASHintertext] = ACTIONS(7527),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7527),
    [anon_sym_BSLASHtitle] = ACTIONS(7527),
    [anon_sym_BSLASHauthor] = ACTIONS(7527),
    [anon_sym_BSLASHusepackage] = ACTIONS(7527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7527),
    [anon_sym_BSLASHinclude] = ACTIONS(7527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7527),
    [anon_sym_BSLASHinput] = ACTIONS(7527),
    [anon_sym_BSLASHsubfile] = ACTIONS(7527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7527),
    [anon_sym_BSLASHbibliography] = ACTIONS(7527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7527),
    [anon_sym_BSLASHimport] = ACTIONS(7527),
    [anon_sym_BSLASHsubimport] = ACTIONS(7527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7527),
    [anon_sym_BSLASHcaption] = ACTIONS(7527),
    [anon_sym_BSLASHcite] = ACTIONS(7527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCite] = ACTIONS(7527),
    [anon_sym_BSLASHnocite] = ACTIONS(7527),
    [anon_sym_BSLASHcitet] = ACTIONS(7527),
    [anon_sym_BSLASHcitep] = ACTIONS(7527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteA] = ACTIONS(7527),
    [anon_sym_BSLASHciteR] = ACTIONS(7527),
    [anon_sym_BSLASHciteS] = ACTIONS(7527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteyear] = ACTIONS(7527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitedate] = ACTIONS(7527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteurl] = ACTIONS(7527),
    [anon_sym_BSLASHfullcite] = ACTIONS(7527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7527),
    [anon_sym_BSLASHcitealt] = ACTIONS(7527),
    [anon_sym_BSLASHcitealp] = ACTIONS(7527),
    [anon_sym_BSLASHcitetext] = ACTIONS(7527),
    [anon_sym_BSLASHparencite] = ACTIONS(7527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHParencite] = ACTIONS(7527),
    [anon_sym_BSLASHfootcite] = ACTIONS(7527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7527),
    [anon_sym_BSLASHtextcite] = ACTIONS(7527),
    [anon_sym_BSLASHTextcite] = ACTIONS(7527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7527),
    [anon_sym_BSLASHsupercite] = ACTIONS(7527),
    [anon_sym_BSLASHautocite] = ACTIONS(7527),
    [anon_sym_BSLASHAutocite] = ACTIONS(7527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHVolcite] = ACTIONS(7527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHavolcite] = ACTIONS(7527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHNotecite] = ACTIONS(7527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHlabel] = ACTIONS(7527),
    [anon_sym_BSLASHref] = ACTIONS(7527),
    [anon_sym_BSLASHeqref] = ACTIONS(7527),
    [anon_sym_BSLASHvref] = ACTIONS(7527),
    [anon_sym_BSLASHVref] = ACTIONS(7527),
    [anon_sym_BSLASHautoref] = ACTIONS(7527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHpageref] = ACTIONS(7527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHautopageref] = ACTIONS(7527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcref] = ACTIONS(7527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCref] = ACTIONS(7527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcpageref] = ACTIONS(7527),
    [anon_sym_BSLASHCpageref] = ACTIONS(7527),
    [anon_sym_BSLASHnamecref] = ACTIONS(7527),
    [anon_sym_BSLASHnameCref] = ACTIONS(7527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHdef] = ACTIONS(7527),
    [anon_sym_BSLASHgdef] = ACTIONS(7527),
    [anon_sym_BSLASHedef] = ACTIONS(7527),
    [anon_sym_BSLASHxdef] = ACTIONS(7527),
    [anon_sym_BSLASHlet] = ACTIONS(7527),
    [anon_sym_BSLASHglet] = ACTIONS(7527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7527),
    [anon_sym_BSLASHgls] = ACTIONS(7527),
    [anon_sym_BSLASHGls] = ACTIONS(7527),
    [anon_sym_BSLASHGLS] = ACTIONS(7527),
    [anon_sym_BSLASHglspl] = ACTIONS(7527),
    [anon_sym_BSLASHGlspl] = ACTIONS(7527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7527),
    [anon_sym_BSLASHglslink] = ACTIONS(7527),
    [anon_sym_BSLASHglstext] = ACTIONS(7527),
    [anon_sym_BSLASHGlstext] = ACTIONS(7527),
    [anon_sym_BSLASHGLStext] = ACTIONS(7527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7527),
    [anon_sym_BSLASHglsplural] = ACTIONS(7527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHglsname] = ACTIONS(7527),
    [anon_sym_BSLASHGlsname] = ACTIONS(7527),
    [anon_sym_BSLASHGLSname] = ACTIONS(7527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7527),
    [anon_sym_BSLASHacrshort] = ACTIONS(7527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7527),
    [anon_sym_BSLASHACRshort] = ACTIONS(7527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHacrlong] = ACTIONS(7527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7527),
    [anon_sym_BSLASHACRlong] = ACTIONS(7527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHacrfull] = ACTIONS(7527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7527),
    [anon_sym_BSLASHACRfull] = ACTIONS(7527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHacs] = ACTIONS(7527),
    [anon_sym_BSLASHAcs] = ACTIONS(7527),
    [anon_sym_BSLASHacsp] = ACTIONS(7527),
    [anon_sym_BSLASHAcsp] = ACTIONS(7527),
    [anon_sym_BSLASHacl] = ACTIONS(7527),
    [anon_sym_BSLASHAcl] = ACTIONS(7527),
    [anon_sym_BSLASHaclp] = ACTIONS(7527),
    [anon_sym_BSLASHAclp] = ACTIONS(7527),
    [anon_sym_BSLASHacf] = ACTIONS(7527),
    [anon_sym_BSLASHAcf] = ACTIONS(7527),
    [anon_sym_BSLASHacfp] = ACTIONS(7527),
    [anon_sym_BSLASHAcfp] = ACTIONS(7527),
    [anon_sym_BSLASHac] = ACTIONS(7527),
    [anon_sym_BSLASHAc] = ACTIONS(7527),
    [anon_sym_BSLASHacp] = ACTIONS(7527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7527),
    [anon_sym_BSLASHcolor] = ACTIONS(7527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7527),
    [anon_sym_BSLASHurl] = ACTIONS(7527),
    [anon_sym_BSLASHhref] = ACTIONS(7527),
  },
  [2147] = {
    [sym_command_name] = ACTIONS(7191),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7191),
    [anon_sym_LPAREN] = ACTIONS(7193),
    [anon_sym_RPAREN] = ACTIONS(7193),
    [anon_sym_LBRACE] = ACTIONS(7193),
    [anon_sym_RBRACE] = ACTIONS(7193),
    [anon_sym_BSLASHand] = ACTIONS(7191),
    [sym_word] = ACTIONS(7191),
    [sym_placeholder] = ACTIONS(7193),
    [sym_delimiter] = ACTIONS(7193),
    [anon_sym_PLUS] = ACTIONS(7193),
    [anon_sym_DASH] = ACTIONS(7193),
    [anon_sym_STAR] = ACTIONS(7193),
    [anon_sym_SLASH] = ACTIONS(7193),
    [anon_sym_LT] = ACTIONS(7191),
    [anon_sym_GT] = ACTIONS(7191),
    [anon_sym_BANG] = ACTIONS(7191),
    [anon_sym_PIPE] = ACTIONS(7191),
    [anon_sym_COLON] = ACTIONS(7191),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym__] = ACTIONS(7193),
    [anon_sym_CARET] = ACTIONS(7193),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7193),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7193),
    [anon_sym_DOLLAR] = ACTIONS(7191),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7193),
    [anon_sym_BSLASHleft] = ACTIONS(7191),
    [anon_sym_BSLASHbigl] = ACTIONS(7191),
    [anon_sym_BSLASHBigl] = ACTIONS(7191),
    [anon_sym_BSLASHbiggl] = ACTIONS(7191),
    [anon_sym_BSLASHBiggl] = ACTIONS(7191),
    [anon_sym_BSLASHtext] = ACTIONS(7191),
    [anon_sym_BSLASHintertext] = ACTIONS(7191),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7191),
    [anon_sym_BSLASHtitle] = ACTIONS(7191),
    [anon_sym_BSLASHauthor] = ACTIONS(7191),
    [anon_sym_BSLASHusepackage] = ACTIONS(7191),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7191),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7191),
    [anon_sym_BSLASHinclude] = ACTIONS(7191),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7191),
    [anon_sym_BSLASHinput] = ACTIONS(7191),
    [anon_sym_BSLASHsubfile] = ACTIONS(7191),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7191),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7191),
    [anon_sym_BSLASHbibliography] = ACTIONS(7191),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7191),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7191),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7191),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7191),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7191),
    [anon_sym_BSLASHimport] = ACTIONS(7191),
    [anon_sym_BSLASHsubimport] = ACTIONS(7191),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7191),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7191),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7191),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7191),
    [anon_sym_BSLASHcaption] = ACTIONS(7191),
    [anon_sym_BSLASHcite] = ACTIONS(7191),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCite] = ACTIONS(7191),
    [anon_sym_BSLASHnocite] = ACTIONS(7191),
    [anon_sym_BSLASHcitet] = ACTIONS(7191),
    [anon_sym_BSLASHcitep] = ACTIONS(7191),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteA] = ACTIONS(7191),
    [anon_sym_BSLASHciteR] = ACTIONS(7191),
    [anon_sym_BSLASHciteS] = ACTIONS(7191),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7191),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7191),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7191),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7191),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteyear] = ACTIONS(7191),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitedate] = ACTIONS(7191),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteurl] = ACTIONS(7191),
    [anon_sym_BSLASHfullcite] = ACTIONS(7191),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7191),
    [anon_sym_BSLASHcitealt] = ACTIONS(7191),
    [anon_sym_BSLASHcitealp] = ACTIONS(7191),
    [anon_sym_BSLASHcitetext] = ACTIONS(7191),
    [anon_sym_BSLASHparencite] = ACTIONS(7191),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHParencite] = ACTIONS(7191),
    [anon_sym_BSLASHfootcite] = ACTIONS(7191),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7191),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7191),
    [anon_sym_BSLASHtextcite] = ACTIONS(7191),
    [anon_sym_BSLASHTextcite] = ACTIONS(7191),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7191),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7191),
    [anon_sym_BSLASHsupercite] = ACTIONS(7191),
    [anon_sym_BSLASHautocite] = ACTIONS(7191),
    [anon_sym_BSLASHAutocite] = ACTIONS(7191),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHVolcite] = ACTIONS(7191),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHavolcite] = ACTIONS(7191),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHNotecite] = ACTIONS(7191),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHlabel] = ACTIONS(7191),
    [anon_sym_BSLASHref] = ACTIONS(7191),
    [anon_sym_BSLASHeqref] = ACTIONS(7191),
    [anon_sym_BSLASHvref] = ACTIONS(7191),
    [anon_sym_BSLASHVref] = ACTIONS(7191),
    [anon_sym_BSLASHautoref] = ACTIONS(7191),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHpageref] = ACTIONS(7191),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHautopageref] = ACTIONS(7191),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcref] = ACTIONS(7191),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCref] = ACTIONS(7191),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcpageref] = ACTIONS(7191),
    [anon_sym_BSLASHCpageref] = ACTIONS(7191),
    [anon_sym_BSLASHnamecref] = ACTIONS(7191),
    [anon_sym_BSLASHnameCref] = ACTIONS(7191),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7191),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7191),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7191),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7191),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7191),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7191),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7191),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7191),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7191),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7191),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7191),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHdef] = ACTIONS(7191),
    [anon_sym_BSLASHgdef] = ACTIONS(7191),
    [anon_sym_BSLASHedef] = ACTIONS(7191),
    [anon_sym_BSLASHxdef] = ACTIONS(7191),
    [anon_sym_BSLASHlet] = ACTIONS(7191),
    [anon_sym_BSLASHglet] = ACTIONS(7191),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7191),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7191),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7191),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7191),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7191),
    [anon_sym_BSLASHgls] = ACTIONS(7191),
    [anon_sym_BSLASHGls] = ACTIONS(7191),
    [anon_sym_BSLASHGLS] = ACTIONS(7191),
    [anon_sym_BSLASHglspl] = ACTIONS(7191),
    [anon_sym_BSLASHGlspl] = ACTIONS(7191),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7191),
    [anon_sym_BSLASHglslink] = ACTIONS(7191),
    [anon_sym_BSLASHglstext] = ACTIONS(7191),
    [anon_sym_BSLASHGlstext] = ACTIONS(7191),
    [anon_sym_BSLASHGLStext] = ACTIONS(7191),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7191),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7191),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7191),
    [anon_sym_BSLASHglsplural] = ACTIONS(7191),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7191),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7191),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHglsname] = ACTIONS(7191),
    [anon_sym_BSLASHGlsname] = ACTIONS(7191),
    [anon_sym_BSLASHGLSname] = ACTIONS(7191),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7191),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7191),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7191),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7191),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7191),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7191),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7191),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7191),
    [anon_sym_BSLASHacrshort] = ACTIONS(7191),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7191),
    [anon_sym_BSLASHACRshort] = ACTIONS(7191),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHacrlong] = ACTIONS(7191),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7191),
    [anon_sym_BSLASHACRlong] = ACTIONS(7191),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHacrfull] = ACTIONS(7191),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7191),
    [anon_sym_BSLASHACRfull] = ACTIONS(7191),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHacs] = ACTIONS(7191),
    [anon_sym_BSLASHAcs] = ACTIONS(7191),
    [anon_sym_BSLASHacsp] = ACTIONS(7191),
    [anon_sym_BSLASHAcsp] = ACTIONS(7191),
    [anon_sym_BSLASHacl] = ACTIONS(7191),
    [anon_sym_BSLASHAcl] = ACTIONS(7191),
    [anon_sym_BSLASHaclp] = ACTIONS(7191),
    [anon_sym_BSLASHAclp] = ACTIONS(7191),
    [anon_sym_BSLASHacf] = ACTIONS(7191),
    [anon_sym_BSLASHAcf] = ACTIONS(7191),
    [anon_sym_BSLASHacfp] = ACTIONS(7191),
    [anon_sym_BSLASHAcfp] = ACTIONS(7191),
    [anon_sym_BSLASHac] = ACTIONS(7191),
    [anon_sym_BSLASHAc] = ACTIONS(7191),
    [anon_sym_BSLASHacp] = ACTIONS(7191),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7191),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7191),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7191),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7191),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7191),
    [anon_sym_BSLASHcolor] = ACTIONS(7191),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7191),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7191),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7191),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7191),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7191),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7191),
    [anon_sym_BSLASHurl] = ACTIONS(7191),
    [anon_sym_BSLASHhref] = ACTIONS(7191),
  },
  [2148] = {
    [sym_command_name] = ACTIONS(7531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7531),
    [anon_sym_LPAREN] = ACTIONS(7533),
    [anon_sym_RPAREN] = ACTIONS(7533),
    [anon_sym_LBRACE] = ACTIONS(7533),
    [anon_sym_RBRACE] = ACTIONS(7533),
    [anon_sym_BSLASHand] = ACTIONS(7531),
    [sym_word] = ACTIONS(7531),
    [sym_placeholder] = ACTIONS(7533),
    [sym_delimiter] = ACTIONS(7533),
    [anon_sym_PLUS] = ACTIONS(7533),
    [anon_sym_DASH] = ACTIONS(7533),
    [anon_sym_STAR] = ACTIONS(7533),
    [anon_sym_SLASH] = ACTIONS(7533),
    [anon_sym_LT] = ACTIONS(7531),
    [anon_sym_GT] = ACTIONS(7531),
    [anon_sym_BANG] = ACTIONS(7531),
    [anon_sym_PIPE] = ACTIONS(7531),
    [anon_sym_COLON] = ACTIONS(7531),
    [anon_sym_SQUOTE] = ACTIONS(7531),
    [anon_sym__] = ACTIONS(7533),
    [anon_sym_CARET] = ACTIONS(7533),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7533),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7533),
    [anon_sym_DOLLAR] = ACTIONS(7531),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7533),
    [anon_sym_BSLASHleft] = ACTIONS(7531),
    [anon_sym_BSLASHbigl] = ACTIONS(7531),
    [anon_sym_BSLASHBigl] = ACTIONS(7531),
    [anon_sym_BSLASHbiggl] = ACTIONS(7531),
    [anon_sym_BSLASHBiggl] = ACTIONS(7531),
    [anon_sym_BSLASHtext] = ACTIONS(7531),
    [anon_sym_BSLASHintertext] = ACTIONS(7531),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7531),
    [anon_sym_BSLASHtitle] = ACTIONS(7531),
    [anon_sym_BSLASHauthor] = ACTIONS(7531),
    [anon_sym_BSLASHusepackage] = ACTIONS(7531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7531),
    [anon_sym_BSLASHinclude] = ACTIONS(7531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7531),
    [anon_sym_BSLASHinput] = ACTIONS(7531),
    [anon_sym_BSLASHsubfile] = ACTIONS(7531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7531),
    [anon_sym_BSLASHbibliography] = ACTIONS(7531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7531),
    [anon_sym_BSLASHimport] = ACTIONS(7531),
    [anon_sym_BSLASHsubimport] = ACTIONS(7531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7531),
    [anon_sym_BSLASHcaption] = ACTIONS(7531),
    [anon_sym_BSLASHcite] = ACTIONS(7531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCite] = ACTIONS(7531),
    [anon_sym_BSLASHnocite] = ACTIONS(7531),
    [anon_sym_BSLASHcitet] = ACTIONS(7531),
    [anon_sym_BSLASHcitep] = ACTIONS(7531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteA] = ACTIONS(7531),
    [anon_sym_BSLASHciteR] = ACTIONS(7531),
    [anon_sym_BSLASHciteS] = ACTIONS(7531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteyear] = ACTIONS(7531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitedate] = ACTIONS(7531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteurl] = ACTIONS(7531),
    [anon_sym_BSLASHfullcite] = ACTIONS(7531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7531),
    [anon_sym_BSLASHcitealt] = ACTIONS(7531),
    [anon_sym_BSLASHcitealp] = ACTIONS(7531),
    [anon_sym_BSLASHcitetext] = ACTIONS(7531),
    [anon_sym_BSLASHparencite] = ACTIONS(7531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHParencite] = ACTIONS(7531),
    [anon_sym_BSLASHfootcite] = ACTIONS(7531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7531),
    [anon_sym_BSLASHtextcite] = ACTIONS(7531),
    [anon_sym_BSLASHTextcite] = ACTIONS(7531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7531),
    [anon_sym_BSLASHsupercite] = ACTIONS(7531),
    [anon_sym_BSLASHautocite] = ACTIONS(7531),
    [anon_sym_BSLASHAutocite] = ACTIONS(7531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHVolcite] = ACTIONS(7531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHavolcite] = ACTIONS(7531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHNotecite] = ACTIONS(7531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHlabel] = ACTIONS(7531),
    [anon_sym_BSLASHref] = ACTIONS(7531),
    [anon_sym_BSLASHeqref] = ACTIONS(7531),
    [anon_sym_BSLASHvref] = ACTIONS(7531),
    [anon_sym_BSLASHVref] = ACTIONS(7531),
    [anon_sym_BSLASHautoref] = ACTIONS(7531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHpageref] = ACTIONS(7531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHautopageref] = ACTIONS(7531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcref] = ACTIONS(7531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCref] = ACTIONS(7531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcpageref] = ACTIONS(7531),
    [anon_sym_BSLASHCpageref] = ACTIONS(7531),
    [anon_sym_BSLASHnamecref] = ACTIONS(7531),
    [anon_sym_BSLASHnameCref] = ACTIONS(7531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHdef] = ACTIONS(7531),
    [anon_sym_BSLASHgdef] = ACTIONS(7531),
    [anon_sym_BSLASHedef] = ACTIONS(7531),
    [anon_sym_BSLASHxdef] = ACTIONS(7531),
    [anon_sym_BSLASHlet] = ACTIONS(7531),
    [anon_sym_BSLASHglet] = ACTIONS(7531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7531),
    [anon_sym_BSLASHgls] = ACTIONS(7531),
    [anon_sym_BSLASHGls] = ACTIONS(7531),
    [anon_sym_BSLASHGLS] = ACTIONS(7531),
    [anon_sym_BSLASHglspl] = ACTIONS(7531),
    [anon_sym_BSLASHGlspl] = ACTIONS(7531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7531),
    [anon_sym_BSLASHglslink] = ACTIONS(7531),
    [anon_sym_BSLASHglstext] = ACTIONS(7531),
    [anon_sym_BSLASHGlstext] = ACTIONS(7531),
    [anon_sym_BSLASHGLStext] = ACTIONS(7531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7531),
    [anon_sym_BSLASHglsplural] = ACTIONS(7531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHglsname] = ACTIONS(7531),
    [anon_sym_BSLASHGlsname] = ACTIONS(7531),
    [anon_sym_BSLASHGLSname] = ACTIONS(7531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7531),
    [anon_sym_BSLASHacrshort] = ACTIONS(7531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7531),
    [anon_sym_BSLASHACRshort] = ACTIONS(7531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHacrlong] = ACTIONS(7531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7531),
    [anon_sym_BSLASHACRlong] = ACTIONS(7531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHacrfull] = ACTIONS(7531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7531),
    [anon_sym_BSLASHACRfull] = ACTIONS(7531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHacs] = ACTIONS(7531),
    [anon_sym_BSLASHAcs] = ACTIONS(7531),
    [anon_sym_BSLASHacsp] = ACTIONS(7531),
    [anon_sym_BSLASHAcsp] = ACTIONS(7531),
    [anon_sym_BSLASHacl] = ACTIONS(7531),
    [anon_sym_BSLASHAcl] = ACTIONS(7531),
    [anon_sym_BSLASHaclp] = ACTIONS(7531),
    [anon_sym_BSLASHAclp] = ACTIONS(7531),
    [anon_sym_BSLASHacf] = ACTIONS(7531),
    [anon_sym_BSLASHAcf] = ACTIONS(7531),
    [anon_sym_BSLASHacfp] = ACTIONS(7531),
    [anon_sym_BSLASHAcfp] = ACTIONS(7531),
    [anon_sym_BSLASHac] = ACTIONS(7531),
    [anon_sym_BSLASHAc] = ACTIONS(7531),
    [anon_sym_BSLASHacp] = ACTIONS(7531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7531),
    [anon_sym_BSLASHcolor] = ACTIONS(7531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7531),
    [anon_sym_BSLASHurl] = ACTIONS(7531),
    [anon_sym_BSLASHhref] = ACTIONS(7531),
  },
  [2149] = {
    [sym_command_name] = ACTIONS(7535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7535),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_RPAREN] = ACTIONS(7537),
    [anon_sym_LBRACE] = ACTIONS(7537),
    [anon_sym_RBRACE] = ACTIONS(7537),
    [anon_sym_BSLASHand] = ACTIONS(7535),
    [sym_word] = ACTIONS(7535),
    [sym_placeholder] = ACTIONS(7537),
    [sym_delimiter] = ACTIONS(7537),
    [anon_sym_PLUS] = ACTIONS(7537),
    [anon_sym_DASH] = ACTIONS(7537),
    [anon_sym_STAR] = ACTIONS(7537),
    [anon_sym_SLASH] = ACTIONS(7537),
    [anon_sym_LT] = ACTIONS(7535),
    [anon_sym_GT] = ACTIONS(7535),
    [anon_sym_BANG] = ACTIONS(7535),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_COLON] = ACTIONS(7535),
    [anon_sym_SQUOTE] = ACTIONS(7535),
    [anon_sym__] = ACTIONS(7537),
    [anon_sym_CARET] = ACTIONS(7537),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7537),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7537),
    [anon_sym_DOLLAR] = ACTIONS(7535),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7537),
    [anon_sym_BSLASHleft] = ACTIONS(7535),
    [anon_sym_BSLASHbigl] = ACTIONS(7535),
    [anon_sym_BSLASHBigl] = ACTIONS(7535),
    [anon_sym_BSLASHbiggl] = ACTIONS(7535),
    [anon_sym_BSLASHBiggl] = ACTIONS(7535),
    [anon_sym_BSLASHtext] = ACTIONS(7535),
    [anon_sym_BSLASHintertext] = ACTIONS(7535),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7535),
    [anon_sym_BSLASHtitle] = ACTIONS(7535),
    [anon_sym_BSLASHauthor] = ACTIONS(7535),
    [anon_sym_BSLASHusepackage] = ACTIONS(7535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7535),
    [anon_sym_BSLASHinclude] = ACTIONS(7535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7535),
    [anon_sym_BSLASHinput] = ACTIONS(7535),
    [anon_sym_BSLASHsubfile] = ACTIONS(7535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7535),
    [anon_sym_BSLASHbibliography] = ACTIONS(7535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7535),
    [anon_sym_BSLASHimport] = ACTIONS(7535),
    [anon_sym_BSLASHsubimport] = ACTIONS(7535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7535),
    [anon_sym_BSLASHcaption] = ACTIONS(7535),
    [anon_sym_BSLASHcite] = ACTIONS(7535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCite] = ACTIONS(7535),
    [anon_sym_BSLASHnocite] = ACTIONS(7535),
    [anon_sym_BSLASHcitet] = ACTIONS(7535),
    [anon_sym_BSLASHcitep] = ACTIONS(7535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteA] = ACTIONS(7535),
    [anon_sym_BSLASHciteR] = ACTIONS(7535),
    [anon_sym_BSLASHciteS] = ACTIONS(7535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteyear] = ACTIONS(7535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitedate] = ACTIONS(7535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteurl] = ACTIONS(7535),
    [anon_sym_BSLASHfullcite] = ACTIONS(7535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7535),
    [anon_sym_BSLASHcitealt] = ACTIONS(7535),
    [anon_sym_BSLASHcitealp] = ACTIONS(7535),
    [anon_sym_BSLASHcitetext] = ACTIONS(7535),
    [anon_sym_BSLASHparencite] = ACTIONS(7535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHParencite] = ACTIONS(7535),
    [anon_sym_BSLASHfootcite] = ACTIONS(7535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7535),
    [anon_sym_BSLASHtextcite] = ACTIONS(7535),
    [anon_sym_BSLASHTextcite] = ACTIONS(7535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7535),
    [anon_sym_BSLASHsupercite] = ACTIONS(7535),
    [anon_sym_BSLASHautocite] = ACTIONS(7535),
    [anon_sym_BSLASHAutocite] = ACTIONS(7535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHVolcite] = ACTIONS(7535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHavolcite] = ACTIONS(7535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHNotecite] = ACTIONS(7535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHlabel] = ACTIONS(7535),
    [anon_sym_BSLASHref] = ACTIONS(7535),
    [anon_sym_BSLASHeqref] = ACTIONS(7535),
    [anon_sym_BSLASHvref] = ACTIONS(7535),
    [anon_sym_BSLASHVref] = ACTIONS(7535),
    [anon_sym_BSLASHautoref] = ACTIONS(7535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHpageref] = ACTIONS(7535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHautopageref] = ACTIONS(7535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcref] = ACTIONS(7535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCref] = ACTIONS(7535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcpageref] = ACTIONS(7535),
    [anon_sym_BSLASHCpageref] = ACTIONS(7535),
    [anon_sym_BSLASHnamecref] = ACTIONS(7535),
    [anon_sym_BSLASHnameCref] = ACTIONS(7535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHdef] = ACTIONS(7535),
    [anon_sym_BSLASHgdef] = ACTIONS(7535),
    [anon_sym_BSLASHedef] = ACTIONS(7535),
    [anon_sym_BSLASHxdef] = ACTIONS(7535),
    [anon_sym_BSLASHlet] = ACTIONS(7535),
    [anon_sym_BSLASHglet] = ACTIONS(7535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7535),
    [anon_sym_BSLASHgls] = ACTIONS(7535),
    [anon_sym_BSLASHGls] = ACTIONS(7535),
    [anon_sym_BSLASHGLS] = ACTIONS(7535),
    [anon_sym_BSLASHglspl] = ACTIONS(7535),
    [anon_sym_BSLASHGlspl] = ACTIONS(7535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7535),
    [anon_sym_BSLASHglslink] = ACTIONS(7535),
    [anon_sym_BSLASHglstext] = ACTIONS(7535),
    [anon_sym_BSLASHGlstext] = ACTIONS(7535),
    [anon_sym_BSLASHGLStext] = ACTIONS(7535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7535),
    [anon_sym_BSLASHglsplural] = ACTIONS(7535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHglsname] = ACTIONS(7535),
    [anon_sym_BSLASHGlsname] = ACTIONS(7535),
    [anon_sym_BSLASHGLSname] = ACTIONS(7535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7535),
    [anon_sym_BSLASHacrshort] = ACTIONS(7535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7535),
    [anon_sym_BSLASHACRshort] = ACTIONS(7535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHacrlong] = ACTIONS(7535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7535),
    [anon_sym_BSLASHACRlong] = ACTIONS(7535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHacrfull] = ACTIONS(7535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7535),
    [anon_sym_BSLASHACRfull] = ACTIONS(7535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHacs] = ACTIONS(7535),
    [anon_sym_BSLASHAcs] = ACTIONS(7535),
    [anon_sym_BSLASHacsp] = ACTIONS(7535),
    [anon_sym_BSLASHAcsp] = ACTIONS(7535),
    [anon_sym_BSLASHacl] = ACTIONS(7535),
    [anon_sym_BSLASHAcl] = ACTIONS(7535),
    [anon_sym_BSLASHaclp] = ACTIONS(7535),
    [anon_sym_BSLASHAclp] = ACTIONS(7535),
    [anon_sym_BSLASHacf] = ACTIONS(7535),
    [anon_sym_BSLASHAcf] = ACTIONS(7535),
    [anon_sym_BSLASHacfp] = ACTIONS(7535),
    [anon_sym_BSLASHAcfp] = ACTIONS(7535),
    [anon_sym_BSLASHac] = ACTIONS(7535),
    [anon_sym_BSLASHAc] = ACTIONS(7535),
    [anon_sym_BSLASHacp] = ACTIONS(7535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7535),
    [anon_sym_BSLASHcolor] = ACTIONS(7535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7535),
    [anon_sym_BSLASHurl] = ACTIONS(7535),
    [anon_sym_BSLASHhref] = ACTIONS(7535),
  },
  [2150] = {
    [sym_command_name] = ACTIONS(7355),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7355),
    [anon_sym_LPAREN] = ACTIONS(7357),
    [anon_sym_RPAREN] = ACTIONS(7357),
    [anon_sym_LBRACE] = ACTIONS(7357),
    [anon_sym_RBRACE] = ACTIONS(7357),
    [anon_sym_BSLASHand] = ACTIONS(7355),
    [sym_word] = ACTIONS(7355),
    [sym_placeholder] = ACTIONS(7357),
    [sym_delimiter] = ACTIONS(7357),
    [anon_sym_PLUS] = ACTIONS(7357),
    [anon_sym_DASH] = ACTIONS(7357),
    [anon_sym_STAR] = ACTIONS(7357),
    [anon_sym_SLASH] = ACTIONS(7357),
    [anon_sym_LT] = ACTIONS(7355),
    [anon_sym_GT] = ACTIONS(7355),
    [anon_sym_BANG] = ACTIONS(7355),
    [anon_sym_PIPE] = ACTIONS(7355),
    [anon_sym_COLON] = ACTIONS(7355),
    [anon_sym_SQUOTE] = ACTIONS(7355),
    [anon_sym__] = ACTIONS(7357),
    [anon_sym_CARET] = ACTIONS(7357),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7357),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7357),
    [anon_sym_DOLLAR] = ACTIONS(7355),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7357),
    [anon_sym_BSLASHleft] = ACTIONS(7355),
    [anon_sym_BSLASHbigl] = ACTIONS(7355),
    [anon_sym_BSLASHBigl] = ACTIONS(7355),
    [anon_sym_BSLASHbiggl] = ACTIONS(7355),
    [anon_sym_BSLASHBiggl] = ACTIONS(7355),
    [anon_sym_BSLASHtext] = ACTIONS(7355),
    [anon_sym_BSLASHintertext] = ACTIONS(7355),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7355),
    [anon_sym_BSLASHtitle] = ACTIONS(7355),
    [anon_sym_BSLASHauthor] = ACTIONS(7355),
    [anon_sym_BSLASHusepackage] = ACTIONS(7355),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7355),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7355),
    [anon_sym_BSLASHinclude] = ACTIONS(7355),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7355),
    [anon_sym_BSLASHinput] = ACTIONS(7355),
    [anon_sym_BSLASHsubfile] = ACTIONS(7355),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7355),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7355),
    [anon_sym_BSLASHbibliography] = ACTIONS(7355),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7355),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7355),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7355),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7355),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7355),
    [anon_sym_BSLASHimport] = ACTIONS(7355),
    [anon_sym_BSLASHsubimport] = ACTIONS(7355),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7355),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7355),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7355),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7355),
    [anon_sym_BSLASHcaption] = ACTIONS(7355),
    [anon_sym_BSLASHcite] = ACTIONS(7355),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCite] = ACTIONS(7355),
    [anon_sym_BSLASHnocite] = ACTIONS(7355),
    [anon_sym_BSLASHcitet] = ACTIONS(7355),
    [anon_sym_BSLASHcitep] = ACTIONS(7355),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteA] = ACTIONS(7355),
    [anon_sym_BSLASHciteR] = ACTIONS(7355),
    [anon_sym_BSLASHciteS] = ACTIONS(7355),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7355),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7355),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7355),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7355),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteyear] = ACTIONS(7355),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitedate] = ACTIONS(7355),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteurl] = ACTIONS(7355),
    [anon_sym_BSLASHfullcite] = ACTIONS(7355),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7355),
    [anon_sym_BSLASHcitealt] = ACTIONS(7355),
    [anon_sym_BSLASHcitealp] = ACTIONS(7355),
    [anon_sym_BSLASHcitetext] = ACTIONS(7355),
    [anon_sym_BSLASHparencite] = ACTIONS(7355),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHParencite] = ACTIONS(7355),
    [anon_sym_BSLASHfootcite] = ACTIONS(7355),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7355),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7355),
    [anon_sym_BSLASHtextcite] = ACTIONS(7355),
    [anon_sym_BSLASHTextcite] = ACTIONS(7355),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7355),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7355),
    [anon_sym_BSLASHsupercite] = ACTIONS(7355),
    [anon_sym_BSLASHautocite] = ACTIONS(7355),
    [anon_sym_BSLASHAutocite] = ACTIONS(7355),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHVolcite] = ACTIONS(7355),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHavolcite] = ACTIONS(7355),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHNotecite] = ACTIONS(7355),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHlabel] = ACTIONS(7355),
    [anon_sym_BSLASHref] = ACTIONS(7355),
    [anon_sym_BSLASHeqref] = ACTIONS(7355),
    [anon_sym_BSLASHvref] = ACTIONS(7355),
    [anon_sym_BSLASHVref] = ACTIONS(7355),
    [anon_sym_BSLASHautoref] = ACTIONS(7355),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHpageref] = ACTIONS(7355),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHautopageref] = ACTIONS(7355),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcref] = ACTIONS(7355),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCref] = ACTIONS(7355),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcpageref] = ACTIONS(7355),
    [anon_sym_BSLASHCpageref] = ACTIONS(7355),
    [anon_sym_BSLASHnamecref] = ACTIONS(7355),
    [anon_sym_BSLASHnameCref] = ACTIONS(7355),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7355),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7355),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7355),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7355),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7355),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7355),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7355),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7355),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7355),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7355),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7355),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHdef] = ACTIONS(7355),
    [anon_sym_BSLASHgdef] = ACTIONS(7355),
    [anon_sym_BSLASHedef] = ACTIONS(7355),
    [anon_sym_BSLASHxdef] = ACTIONS(7355),
    [anon_sym_BSLASHlet] = ACTIONS(7355),
    [anon_sym_BSLASHglet] = ACTIONS(7355),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7355),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7355),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7355),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7355),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7355),
    [anon_sym_BSLASHgls] = ACTIONS(7355),
    [anon_sym_BSLASHGls] = ACTIONS(7355),
    [anon_sym_BSLASHGLS] = ACTIONS(7355),
    [anon_sym_BSLASHglspl] = ACTIONS(7355),
    [anon_sym_BSLASHGlspl] = ACTIONS(7355),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7355),
    [anon_sym_BSLASHglslink] = ACTIONS(7355),
    [anon_sym_BSLASHglstext] = ACTIONS(7355),
    [anon_sym_BSLASHGlstext] = ACTIONS(7355),
    [anon_sym_BSLASHGLStext] = ACTIONS(7355),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7355),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7355),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7355),
    [anon_sym_BSLASHglsplural] = ACTIONS(7355),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7355),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7355),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHglsname] = ACTIONS(7355),
    [anon_sym_BSLASHGlsname] = ACTIONS(7355),
    [anon_sym_BSLASHGLSname] = ACTIONS(7355),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7355),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7355),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7355),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7355),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7355),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7355),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7355),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7355),
    [anon_sym_BSLASHacrshort] = ACTIONS(7355),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7355),
    [anon_sym_BSLASHACRshort] = ACTIONS(7355),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHacrlong] = ACTIONS(7355),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7355),
    [anon_sym_BSLASHACRlong] = ACTIONS(7355),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHacrfull] = ACTIONS(7355),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7355),
    [anon_sym_BSLASHACRfull] = ACTIONS(7355),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHacs] = ACTIONS(7355),
    [anon_sym_BSLASHAcs] = ACTIONS(7355),
    [anon_sym_BSLASHacsp] = ACTIONS(7355),
    [anon_sym_BSLASHAcsp] = ACTIONS(7355),
    [anon_sym_BSLASHacl] = ACTIONS(7355),
    [anon_sym_BSLASHAcl] = ACTIONS(7355),
    [anon_sym_BSLASHaclp] = ACTIONS(7355),
    [anon_sym_BSLASHAclp] = ACTIONS(7355),
    [anon_sym_BSLASHacf] = ACTIONS(7355),
    [anon_sym_BSLASHAcf] = ACTIONS(7355),
    [anon_sym_BSLASHacfp] = ACTIONS(7355),
    [anon_sym_BSLASHAcfp] = ACTIONS(7355),
    [anon_sym_BSLASHac] = ACTIONS(7355),
    [anon_sym_BSLASHAc] = ACTIONS(7355),
    [anon_sym_BSLASHacp] = ACTIONS(7355),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7355),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7355),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7355),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7355),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7355),
    [anon_sym_BSLASHcolor] = ACTIONS(7355),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7355),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7355),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7355),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7355),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7355),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7355),
    [anon_sym_BSLASHurl] = ACTIONS(7355),
    [anon_sym_BSLASHhref] = ACTIONS(7355),
  },
  [2151] = {
    [sym_command_name] = ACTIONS(7543),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7543),
    [anon_sym_LPAREN] = ACTIONS(7545),
    [anon_sym_RPAREN] = ACTIONS(7545),
    [anon_sym_LBRACE] = ACTIONS(7545),
    [anon_sym_RBRACE] = ACTIONS(7545),
    [anon_sym_BSLASHand] = ACTIONS(7543),
    [sym_word] = ACTIONS(7543),
    [sym_placeholder] = ACTIONS(7545),
    [sym_delimiter] = ACTIONS(7545),
    [anon_sym_PLUS] = ACTIONS(7545),
    [anon_sym_DASH] = ACTIONS(7545),
    [anon_sym_STAR] = ACTIONS(7545),
    [anon_sym_SLASH] = ACTIONS(7545),
    [anon_sym_LT] = ACTIONS(7543),
    [anon_sym_GT] = ACTIONS(7543),
    [anon_sym_BANG] = ACTIONS(7543),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_COLON] = ACTIONS(7543),
    [anon_sym_SQUOTE] = ACTIONS(7543),
    [anon_sym__] = ACTIONS(7545),
    [anon_sym_CARET] = ACTIONS(7545),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7545),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7545),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7545),
    [anon_sym_BSLASHleft] = ACTIONS(7543),
    [anon_sym_BSLASHbigl] = ACTIONS(7543),
    [anon_sym_BSLASHBigl] = ACTIONS(7543),
    [anon_sym_BSLASHbiggl] = ACTIONS(7543),
    [anon_sym_BSLASHBiggl] = ACTIONS(7543),
    [anon_sym_BSLASHtext] = ACTIONS(7543),
    [anon_sym_BSLASHintertext] = ACTIONS(7543),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7543),
    [anon_sym_BSLASHtitle] = ACTIONS(7543),
    [anon_sym_BSLASHauthor] = ACTIONS(7543),
    [anon_sym_BSLASHusepackage] = ACTIONS(7543),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7543),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7543),
    [anon_sym_BSLASHinclude] = ACTIONS(7543),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7543),
    [anon_sym_BSLASHinput] = ACTIONS(7543),
    [anon_sym_BSLASHsubfile] = ACTIONS(7543),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7543),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7543),
    [anon_sym_BSLASHbibliography] = ACTIONS(7543),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7543),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7543),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7543),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7543),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7543),
    [anon_sym_BSLASHimport] = ACTIONS(7543),
    [anon_sym_BSLASHsubimport] = ACTIONS(7543),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7543),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7543),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7543),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7543),
    [anon_sym_BSLASHcaption] = ACTIONS(7543),
    [anon_sym_BSLASHcite] = ACTIONS(7543),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCite] = ACTIONS(7543),
    [anon_sym_BSLASHnocite] = ACTIONS(7543),
    [anon_sym_BSLASHcitet] = ACTIONS(7543),
    [anon_sym_BSLASHcitep] = ACTIONS(7543),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteA] = ACTIONS(7543),
    [anon_sym_BSLASHciteR] = ACTIONS(7543),
    [anon_sym_BSLASHciteS] = ACTIONS(7543),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7543),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7543),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7543),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7543),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteyear] = ACTIONS(7543),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitedate] = ACTIONS(7543),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteurl] = ACTIONS(7543),
    [anon_sym_BSLASHfullcite] = ACTIONS(7543),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7543),
    [anon_sym_BSLASHcitealt] = ACTIONS(7543),
    [anon_sym_BSLASHcitealp] = ACTIONS(7543),
    [anon_sym_BSLASHcitetext] = ACTIONS(7543),
    [anon_sym_BSLASHparencite] = ACTIONS(7543),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHParencite] = ACTIONS(7543),
    [anon_sym_BSLASHfootcite] = ACTIONS(7543),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7543),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7543),
    [anon_sym_BSLASHtextcite] = ACTIONS(7543),
    [anon_sym_BSLASHTextcite] = ACTIONS(7543),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7543),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7543),
    [anon_sym_BSLASHsupercite] = ACTIONS(7543),
    [anon_sym_BSLASHautocite] = ACTIONS(7543),
    [anon_sym_BSLASHAutocite] = ACTIONS(7543),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHVolcite] = ACTIONS(7543),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHavolcite] = ACTIONS(7543),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHNotecite] = ACTIONS(7543),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHlabel] = ACTIONS(7543),
    [anon_sym_BSLASHref] = ACTIONS(7543),
    [anon_sym_BSLASHeqref] = ACTIONS(7543),
    [anon_sym_BSLASHvref] = ACTIONS(7543),
    [anon_sym_BSLASHVref] = ACTIONS(7543),
    [anon_sym_BSLASHautoref] = ACTIONS(7543),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHpageref] = ACTIONS(7543),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHautopageref] = ACTIONS(7543),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcref] = ACTIONS(7543),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCref] = ACTIONS(7543),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcpageref] = ACTIONS(7543),
    [anon_sym_BSLASHCpageref] = ACTIONS(7543),
    [anon_sym_BSLASHnamecref] = ACTIONS(7543),
    [anon_sym_BSLASHnameCref] = ACTIONS(7543),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7543),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7543),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7543),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7543),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7543),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7543),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7543),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7543),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7543),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7543),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7543),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHdef] = ACTIONS(7543),
    [anon_sym_BSLASHgdef] = ACTIONS(7543),
    [anon_sym_BSLASHedef] = ACTIONS(7543),
    [anon_sym_BSLASHxdef] = ACTIONS(7543),
    [anon_sym_BSLASHlet] = ACTIONS(7543),
    [anon_sym_BSLASHglet] = ACTIONS(7543),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7543),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7543),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7543),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7543),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7543),
    [anon_sym_BSLASHgls] = ACTIONS(7543),
    [anon_sym_BSLASHGls] = ACTIONS(7543),
    [anon_sym_BSLASHGLS] = ACTIONS(7543),
    [anon_sym_BSLASHglspl] = ACTIONS(7543),
    [anon_sym_BSLASHGlspl] = ACTIONS(7543),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7543),
    [anon_sym_BSLASHglslink] = ACTIONS(7543),
    [anon_sym_BSLASHglstext] = ACTIONS(7543),
    [anon_sym_BSLASHGlstext] = ACTIONS(7543),
    [anon_sym_BSLASHGLStext] = ACTIONS(7543),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7543),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7543),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7543),
    [anon_sym_BSLASHglsplural] = ACTIONS(7543),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7543),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7543),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHglsname] = ACTIONS(7543),
    [anon_sym_BSLASHGlsname] = ACTIONS(7543),
    [anon_sym_BSLASHGLSname] = ACTIONS(7543),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7543),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7543),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7543),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7543),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7543),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7543),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7543),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7543),
    [anon_sym_BSLASHacrshort] = ACTIONS(7543),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7543),
    [anon_sym_BSLASHACRshort] = ACTIONS(7543),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHacrlong] = ACTIONS(7543),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7543),
    [anon_sym_BSLASHACRlong] = ACTIONS(7543),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHacrfull] = ACTIONS(7543),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7543),
    [anon_sym_BSLASHACRfull] = ACTIONS(7543),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHacs] = ACTIONS(7543),
    [anon_sym_BSLASHAcs] = ACTIONS(7543),
    [anon_sym_BSLASHacsp] = ACTIONS(7543),
    [anon_sym_BSLASHAcsp] = ACTIONS(7543),
    [anon_sym_BSLASHacl] = ACTIONS(7543),
    [anon_sym_BSLASHAcl] = ACTIONS(7543),
    [anon_sym_BSLASHaclp] = ACTIONS(7543),
    [anon_sym_BSLASHAclp] = ACTIONS(7543),
    [anon_sym_BSLASHacf] = ACTIONS(7543),
    [anon_sym_BSLASHAcf] = ACTIONS(7543),
    [anon_sym_BSLASHacfp] = ACTIONS(7543),
    [anon_sym_BSLASHAcfp] = ACTIONS(7543),
    [anon_sym_BSLASHac] = ACTIONS(7543),
    [anon_sym_BSLASHAc] = ACTIONS(7543),
    [anon_sym_BSLASHacp] = ACTIONS(7543),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7543),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7543),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7543),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7543),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7543),
    [anon_sym_BSLASHcolor] = ACTIONS(7543),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7543),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7543),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7543),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7543),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7543),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7543),
    [anon_sym_BSLASHurl] = ACTIONS(7543),
    [anon_sym_BSLASHhref] = ACTIONS(7543),
  },
  [2152] = {
    [sym_command_name] = ACTIONS(7315),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7315),
    [anon_sym_LPAREN] = ACTIONS(7317),
    [anon_sym_RPAREN] = ACTIONS(7317),
    [anon_sym_LBRACE] = ACTIONS(7317),
    [anon_sym_RBRACE] = ACTIONS(7317),
    [anon_sym_BSLASHand] = ACTIONS(7315),
    [sym_word] = ACTIONS(7315),
    [sym_placeholder] = ACTIONS(7317),
    [sym_delimiter] = ACTIONS(7317),
    [anon_sym_PLUS] = ACTIONS(7317),
    [anon_sym_DASH] = ACTIONS(7317),
    [anon_sym_STAR] = ACTIONS(7317),
    [anon_sym_SLASH] = ACTIONS(7317),
    [anon_sym_LT] = ACTIONS(7315),
    [anon_sym_GT] = ACTIONS(7315),
    [anon_sym_BANG] = ACTIONS(7315),
    [anon_sym_PIPE] = ACTIONS(7315),
    [anon_sym_COLON] = ACTIONS(7315),
    [anon_sym_SQUOTE] = ACTIONS(7315),
    [anon_sym__] = ACTIONS(7317),
    [anon_sym_CARET] = ACTIONS(7317),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7317),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7317),
    [anon_sym_DOLLAR] = ACTIONS(7315),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7317),
    [anon_sym_BSLASHleft] = ACTIONS(7315),
    [anon_sym_BSLASHbigl] = ACTIONS(7315),
    [anon_sym_BSLASHBigl] = ACTIONS(7315),
    [anon_sym_BSLASHbiggl] = ACTIONS(7315),
    [anon_sym_BSLASHBiggl] = ACTIONS(7315),
    [anon_sym_BSLASHtext] = ACTIONS(7315),
    [anon_sym_BSLASHintertext] = ACTIONS(7315),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7315),
    [anon_sym_BSLASHtitle] = ACTIONS(7315),
    [anon_sym_BSLASHauthor] = ACTIONS(7315),
    [anon_sym_BSLASHusepackage] = ACTIONS(7315),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7315),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7315),
    [anon_sym_BSLASHinclude] = ACTIONS(7315),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7315),
    [anon_sym_BSLASHinput] = ACTIONS(7315),
    [anon_sym_BSLASHsubfile] = ACTIONS(7315),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7315),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7315),
    [anon_sym_BSLASHbibliography] = ACTIONS(7315),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7315),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7315),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7315),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7315),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7315),
    [anon_sym_BSLASHimport] = ACTIONS(7315),
    [anon_sym_BSLASHsubimport] = ACTIONS(7315),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7315),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7315),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7315),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7315),
    [anon_sym_BSLASHcaption] = ACTIONS(7315),
    [anon_sym_BSLASHcite] = ACTIONS(7315),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCite] = ACTIONS(7315),
    [anon_sym_BSLASHnocite] = ACTIONS(7315),
    [anon_sym_BSLASHcitet] = ACTIONS(7315),
    [anon_sym_BSLASHcitep] = ACTIONS(7315),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteA] = ACTIONS(7315),
    [anon_sym_BSLASHciteR] = ACTIONS(7315),
    [anon_sym_BSLASHciteS] = ACTIONS(7315),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7315),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7315),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7315),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7315),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteyear] = ACTIONS(7315),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitedate] = ACTIONS(7315),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteurl] = ACTIONS(7315),
    [anon_sym_BSLASHfullcite] = ACTIONS(7315),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7315),
    [anon_sym_BSLASHcitealt] = ACTIONS(7315),
    [anon_sym_BSLASHcitealp] = ACTIONS(7315),
    [anon_sym_BSLASHcitetext] = ACTIONS(7315),
    [anon_sym_BSLASHparencite] = ACTIONS(7315),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHParencite] = ACTIONS(7315),
    [anon_sym_BSLASHfootcite] = ACTIONS(7315),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7315),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7315),
    [anon_sym_BSLASHtextcite] = ACTIONS(7315),
    [anon_sym_BSLASHTextcite] = ACTIONS(7315),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7315),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7315),
    [anon_sym_BSLASHsupercite] = ACTIONS(7315),
    [anon_sym_BSLASHautocite] = ACTIONS(7315),
    [anon_sym_BSLASHAutocite] = ACTIONS(7315),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHVolcite] = ACTIONS(7315),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHavolcite] = ACTIONS(7315),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHNotecite] = ACTIONS(7315),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHlabel] = ACTIONS(7315),
    [anon_sym_BSLASHref] = ACTIONS(7315),
    [anon_sym_BSLASHeqref] = ACTIONS(7315),
    [anon_sym_BSLASHvref] = ACTIONS(7315),
    [anon_sym_BSLASHVref] = ACTIONS(7315),
    [anon_sym_BSLASHautoref] = ACTIONS(7315),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHpageref] = ACTIONS(7315),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHautopageref] = ACTIONS(7315),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcref] = ACTIONS(7315),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCref] = ACTIONS(7315),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcpageref] = ACTIONS(7315),
    [anon_sym_BSLASHCpageref] = ACTIONS(7315),
    [anon_sym_BSLASHnamecref] = ACTIONS(7315),
    [anon_sym_BSLASHnameCref] = ACTIONS(7315),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7315),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7315),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7315),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7315),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7315),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7315),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7315),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7315),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7315),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7315),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7315),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHdef] = ACTIONS(7315),
    [anon_sym_BSLASHgdef] = ACTIONS(7315),
    [anon_sym_BSLASHedef] = ACTIONS(7315),
    [anon_sym_BSLASHxdef] = ACTIONS(7315),
    [anon_sym_BSLASHlet] = ACTIONS(7315),
    [anon_sym_BSLASHglet] = ACTIONS(7315),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7315),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7315),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7315),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7315),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7315),
    [anon_sym_BSLASHgls] = ACTIONS(7315),
    [anon_sym_BSLASHGls] = ACTIONS(7315),
    [anon_sym_BSLASHGLS] = ACTIONS(7315),
    [anon_sym_BSLASHglspl] = ACTIONS(7315),
    [anon_sym_BSLASHGlspl] = ACTIONS(7315),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7315),
    [anon_sym_BSLASHglslink] = ACTIONS(7315),
    [anon_sym_BSLASHglstext] = ACTIONS(7315),
    [anon_sym_BSLASHGlstext] = ACTIONS(7315),
    [anon_sym_BSLASHGLStext] = ACTIONS(7315),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7315),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7315),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7315),
    [anon_sym_BSLASHglsplural] = ACTIONS(7315),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7315),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7315),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHglsname] = ACTIONS(7315),
    [anon_sym_BSLASHGlsname] = ACTIONS(7315),
    [anon_sym_BSLASHGLSname] = ACTIONS(7315),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7315),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7315),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7315),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7315),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7315),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7315),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7315),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7315),
    [anon_sym_BSLASHacrshort] = ACTIONS(7315),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7315),
    [anon_sym_BSLASHACRshort] = ACTIONS(7315),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHacrlong] = ACTIONS(7315),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7315),
    [anon_sym_BSLASHACRlong] = ACTIONS(7315),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHacrfull] = ACTIONS(7315),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7315),
    [anon_sym_BSLASHACRfull] = ACTIONS(7315),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHacs] = ACTIONS(7315),
    [anon_sym_BSLASHAcs] = ACTIONS(7315),
    [anon_sym_BSLASHacsp] = ACTIONS(7315),
    [anon_sym_BSLASHAcsp] = ACTIONS(7315),
    [anon_sym_BSLASHacl] = ACTIONS(7315),
    [anon_sym_BSLASHAcl] = ACTIONS(7315),
    [anon_sym_BSLASHaclp] = ACTIONS(7315),
    [anon_sym_BSLASHAclp] = ACTIONS(7315),
    [anon_sym_BSLASHacf] = ACTIONS(7315),
    [anon_sym_BSLASHAcf] = ACTIONS(7315),
    [anon_sym_BSLASHacfp] = ACTIONS(7315),
    [anon_sym_BSLASHAcfp] = ACTIONS(7315),
    [anon_sym_BSLASHac] = ACTIONS(7315),
    [anon_sym_BSLASHAc] = ACTIONS(7315),
    [anon_sym_BSLASHacp] = ACTIONS(7315),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7315),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7315),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7315),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7315),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7315),
    [anon_sym_BSLASHcolor] = ACTIONS(7315),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7315),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7315),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7315),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7315),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7315),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7315),
    [anon_sym_BSLASHurl] = ACTIONS(7315),
    [anon_sym_BSLASHhref] = ACTIONS(7315),
  },
  [2153] = {
    [sym_command_name] = ACTIONS(7547),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7547),
    [anon_sym_LPAREN] = ACTIONS(7549),
    [anon_sym_RPAREN] = ACTIONS(7549),
    [anon_sym_LBRACE] = ACTIONS(7549),
    [anon_sym_RBRACE] = ACTIONS(7549),
    [anon_sym_BSLASHand] = ACTIONS(7547),
    [sym_word] = ACTIONS(7547),
    [sym_placeholder] = ACTIONS(7549),
    [sym_delimiter] = ACTIONS(7549),
    [anon_sym_PLUS] = ACTIONS(7549),
    [anon_sym_DASH] = ACTIONS(7549),
    [anon_sym_STAR] = ACTIONS(7549),
    [anon_sym_SLASH] = ACTIONS(7549),
    [anon_sym_LT] = ACTIONS(7547),
    [anon_sym_GT] = ACTIONS(7547),
    [anon_sym_BANG] = ACTIONS(7547),
    [anon_sym_PIPE] = ACTIONS(7547),
    [anon_sym_COLON] = ACTIONS(7547),
    [anon_sym_SQUOTE] = ACTIONS(7547),
    [anon_sym__] = ACTIONS(7549),
    [anon_sym_CARET] = ACTIONS(7549),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7549),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7549),
    [anon_sym_DOLLAR] = ACTIONS(7547),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7549),
    [anon_sym_BSLASHleft] = ACTIONS(7547),
    [anon_sym_BSLASHbigl] = ACTIONS(7547),
    [anon_sym_BSLASHBigl] = ACTIONS(7547),
    [anon_sym_BSLASHbiggl] = ACTIONS(7547),
    [anon_sym_BSLASHBiggl] = ACTIONS(7547),
    [anon_sym_BSLASHtext] = ACTIONS(7547),
    [anon_sym_BSLASHintertext] = ACTIONS(7547),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7547),
    [anon_sym_BSLASHtitle] = ACTIONS(7547),
    [anon_sym_BSLASHauthor] = ACTIONS(7547),
    [anon_sym_BSLASHusepackage] = ACTIONS(7547),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7547),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7547),
    [anon_sym_BSLASHinclude] = ACTIONS(7547),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7547),
    [anon_sym_BSLASHinput] = ACTIONS(7547),
    [anon_sym_BSLASHsubfile] = ACTIONS(7547),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7547),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7547),
    [anon_sym_BSLASHbibliography] = ACTIONS(7547),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7547),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7547),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7547),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7547),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7547),
    [anon_sym_BSLASHimport] = ACTIONS(7547),
    [anon_sym_BSLASHsubimport] = ACTIONS(7547),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7547),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7547),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7547),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7547),
    [anon_sym_BSLASHcaption] = ACTIONS(7547),
    [anon_sym_BSLASHcite] = ACTIONS(7547),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCite] = ACTIONS(7547),
    [anon_sym_BSLASHnocite] = ACTIONS(7547),
    [anon_sym_BSLASHcitet] = ACTIONS(7547),
    [anon_sym_BSLASHcitep] = ACTIONS(7547),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteA] = ACTIONS(7547),
    [anon_sym_BSLASHciteR] = ACTIONS(7547),
    [anon_sym_BSLASHciteS] = ACTIONS(7547),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7547),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7547),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7547),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7547),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteyear] = ACTIONS(7547),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitedate] = ACTIONS(7547),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteurl] = ACTIONS(7547),
    [anon_sym_BSLASHfullcite] = ACTIONS(7547),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7547),
    [anon_sym_BSLASHcitealt] = ACTIONS(7547),
    [anon_sym_BSLASHcitealp] = ACTIONS(7547),
    [anon_sym_BSLASHcitetext] = ACTIONS(7547),
    [anon_sym_BSLASHparencite] = ACTIONS(7547),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHParencite] = ACTIONS(7547),
    [anon_sym_BSLASHfootcite] = ACTIONS(7547),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7547),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7547),
    [anon_sym_BSLASHtextcite] = ACTIONS(7547),
    [anon_sym_BSLASHTextcite] = ACTIONS(7547),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7547),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7547),
    [anon_sym_BSLASHsupercite] = ACTIONS(7547),
    [anon_sym_BSLASHautocite] = ACTIONS(7547),
    [anon_sym_BSLASHAutocite] = ACTIONS(7547),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHVolcite] = ACTIONS(7547),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHavolcite] = ACTIONS(7547),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHNotecite] = ACTIONS(7547),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHlabel] = ACTIONS(7547),
    [anon_sym_BSLASHref] = ACTIONS(7547),
    [anon_sym_BSLASHeqref] = ACTIONS(7547),
    [anon_sym_BSLASHvref] = ACTIONS(7547),
    [anon_sym_BSLASHVref] = ACTIONS(7547),
    [anon_sym_BSLASHautoref] = ACTIONS(7547),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHpageref] = ACTIONS(7547),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHautopageref] = ACTIONS(7547),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcref] = ACTIONS(7547),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCref] = ACTIONS(7547),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcpageref] = ACTIONS(7547),
    [anon_sym_BSLASHCpageref] = ACTIONS(7547),
    [anon_sym_BSLASHnamecref] = ACTIONS(7547),
    [anon_sym_BSLASHnameCref] = ACTIONS(7547),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7547),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7547),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7547),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7547),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7547),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7547),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7547),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7547),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7547),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7547),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7547),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHdef] = ACTIONS(7547),
    [anon_sym_BSLASHgdef] = ACTIONS(7547),
    [anon_sym_BSLASHedef] = ACTIONS(7547),
    [anon_sym_BSLASHxdef] = ACTIONS(7547),
    [anon_sym_BSLASHlet] = ACTIONS(7547),
    [anon_sym_BSLASHglet] = ACTIONS(7547),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7547),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7547),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7547),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7547),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7547),
    [anon_sym_BSLASHgls] = ACTIONS(7547),
    [anon_sym_BSLASHGls] = ACTIONS(7547),
    [anon_sym_BSLASHGLS] = ACTIONS(7547),
    [anon_sym_BSLASHglspl] = ACTIONS(7547),
    [anon_sym_BSLASHGlspl] = ACTIONS(7547),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7547),
    [anon_sym_BSLASHglslink] = ACTIONS(7547),
    [anon_sym_BSLASHglstext] = ACTIONS(7547),
    [anon_sym_BSLASHGlstext] = ACTIONS(7547),
    [anon_sym_BSLASHGLStext] = ACTIONS(7547),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7547),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7547),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7547),
    [anon_sym_BSLASHglsplural] = ACTIONS(7547),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7547),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7547),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHglsname] = ACTIONS(7547),
    [anon_sym_BSLASHGlsname] = ACTIONS(7547),
    [anon_sym_BSLASHGLSname] = ACTIONS(7547),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7547),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7547),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7547),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7547),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7547),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7547),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7547),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7547),
    [anon_sym_BSLASHacrshort] = ACTIONS(7547),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7547),
    [anon_sym_BSLASHACRshort] = ACTIONS(7547),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHacrlong] = ACTIONS(7547),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7547),
    [anon_sym_BSLASHACRlong] = ACTIONS(7547),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHacrfull] = ACTIONS(7547),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7547),
    [anon_sym_BSLASHACRfull] = ACTIONS(7547),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHacs] = ACTIONS(7547),
    [anon_sym_BSLASHAcs] = ACTIONS(7547),
    [anon_sym_BSLASHacsp] = ACTIONS(7547),
    [anon_sym_BSLASHAcsp] = ACTIONS(7547),
    [anon_sym_BSLASHacl] = ACTIONS(7547),
    [anon_sym_BSLASHAcl] = ACTIONS(7547),
    [anon_sym_BSLASHaclp] = ACTIONS(7547),
    [anon_sym_BSLASHAclp] = ACTIONS(7547),
    [anon_sym_BSLASHacf] = ACTIONS(7547),
    [anon_sym_BSLASHAcf] = ACTIONS(7547),
    [anon_sym_BSLASHacfp] = ACTIONS(7547),
    [anon_sym_BSLASHAcfp] = ACTIONS(7547),
    [anon_sym_BSLASHac] = ACTIONS(7547),
    [anon_sym_BSLASHAc] = ACTIONS(7547),
    [anon_sym_BSLASHacp] = ACTIONS(7547),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7547),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7547),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7547),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7547),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7547),
    [anon_sym_BSLASHcolor] = ACTIONS(7547),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7547),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7547),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7547),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7547),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7547),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7547),
    [anon_sym_BSLASHurl] = ACTIONS(7547),
    [anon_sym_BSLASHhref] = ACTIONS(7547),
  },
  [2154] = {
    [sym_command_name] = ACTIONS(7359),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7359),
    [anon_sym_LPAREN] = ACTIONS(7361),
    [anon_sym_RPAREN] = ACTIONS(7361),
    [anon_sym_LBRACE] = ACTIONS(7361),
    [anon_sym_RBRACE] = ACTIONS(7361),
    [anon_sym_BSLASHand] = ACTIONS(7359),
    [sym_word] = ACTIONS(7359),
    [sym_placeholder] = ACTIONS(7361),
    [sym_delimiter] = ACTIONS(7361),
    [anon_sym_PLUS] = ACTIONS(7361),
    [anon_sym_DASH] = ACTIONS(7361),
    [anon_sym_STAR] = ACTIONS(7361),
    [anon_sym_SLASH] = ACTIONS(7361),
    [anon_sym_LT] = ACTIONS(7359),
    [anon_sym_GT] = ACTIONS(7359),
    [anon_sym_BANG] = ACTIONS(7359),
    [anon_sym_PIPE] = ACTIONS(7359),
    [anon_sym_COLON] = ACTIONS(7359),
    [anon_sym_SQUOTE] = ACTIONS(7359),
    [anon_sym__] = ACTIONS(7361),
    [anon_sym_CARET] = ACTIONS(7361),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7361),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7361),
    [anon_sym_DOLLAR] = ACTIONS(7359),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7361),
    [anon_sym_BSLASHleft] = ACTIONS(7359),
    [anon_sym_BSLASHbigl] = ACTIONS(7359),
    [anon_sym_BSLASHBigl] = ACTIONS(7359),
    [anon_sym_BSLASHbiggl] = ACTIONS(7359),
    [anon_sym_BSLASHBiggl] = ACTIONS(7359),
    [anon_sym_BSLASHtext] = ACTIONS(7359),
    [anon_sym_BSLASHintertext] = ACTIONS(7359),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7359),
    [anon_sym_BSLASHtitle] = ACTIONS(7359),
    [anon_sym_BSLASHauthor] = ACTIONS(7359),
    [anon_sym_BSLASHusepackage] = ACTIONS(7359),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7359),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7359),
    [anon_sym_BSLASHinclude] = ACTIONS(7359),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7359),
    [anon_sym_BSLASHinput] = ACTIONS(7359),
    [anon_sym_BSLASHsubfile] = ACTIONS(7359),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7359),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7359),
    [anon_sym_BSLASHbibliography] = ACTIONS(7359),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7359),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7359),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7359),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7359),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7359),
    [anon_sym_BSLASHimport] = ACTIONS(7359),
    [anon_sym_BSLASHsubimport] = ACTIONS(7359),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7359),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7359),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7359),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7359),
    [anon_sym_BSLASHcaption] = ACTIONS(7359),
    [anon_sym_BSLASHcite] = ACTIONS(7359),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCite] = ACTIONS(7359),
    [anon_sym_BSLASHnocite] = ACTIONS(7359),
    [anon_sym_BSLASHcitet] = ACTIONS(7359),
    [anon_sym_BSLASHcitep] = ACTIONS(7359),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteA] = ACTIONS(7359),
    [anon_sym_BSLASHciteR] = ACTIONS(7359),
    [anon_sym_BSLASHciteS] = ACTIONS(7359),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7359),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7359),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7359),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7359),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteyear] = ACTIONS(7359),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitedate] = ACTIONS(7359),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteurl] = ACTIONS(7359),
    [anon_sym_BSLASHfullcite] = ACTIONS(7359),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7359),
    [anon_sym_BSLASHcitealt] = ACTIONS(7359),
    [anon_sym_BSLASHcitealp] = ACTIONS(7359),
    [anon_sym_BSLASHcitetext] = ACTIONS(7359),
    [anon_sym_BSLASHparencite] = ACTIONS(7359),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHParencite] = ACTIONS(7359),
    [anon_sym_BSLASHfootcite] = ACTIONS(7359),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7359),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7359),
    [anon_sym_BSLASHtextcite] = ACTIONS(7359),
    [anon_sym_BSLASHTextcite] = ACTIONS(7359),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7359),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7359),
    [anon_sym_BSLASHsupercite] = ACTIONS(7359),
    [anon_sym_BSLASHautocite] = ACTIONS(7359),
    [anon_sym_BSLASHAutocite] = ACTIONS(7359),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHVolcite] = ACTIONS(7359),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHavolcite] = ACTIONS(7359),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHNotecite] = ACTIONS(7359),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHlabel] = ACTIONS(7359),
    [anon_sym_BSLASHref] = ACTIONS(7359),
    [anon_sym_BSLASHeqref] = ACTIONS(7359),
    [anon_sym_BSLASHvref] = ACTIONS(7359),
    [anon_sym_BSLASHVref] = ACTIONS(7359),
    [anon_sym_BSLASHautoref] = ACTIONS(7359),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHpageref] = ACTIONS(7359),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHautopageref] = ACTIONS(7359),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcref] = ACTIONS(7359),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCref] = ACTIONS(7359),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcpageref] = ACTIONS(7359),
    [anon_sym_BSLASHCpageref] = ACTIONS(7359),
    [anon_sym_BSLASHnamecref] = ACTIONS(7359),
    [anon_sym_BSLASHnameCref] = ACTIONS(7359),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7359),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7359),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7359),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7359),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7359),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7359),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7359),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7359),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7359),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7359),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7359),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHdef] = ACTIONS(7359),
    [anon_sym_BSLASHgdef] = ACTIONS(7359),
    [anon_sym_BSLASHedef] = ACTIONS(7359),
    [anon_sym_BSLASHxdef] = ACTIONS(7359),
    [anon_sym_BSLASHlet] = ACTIONS(7359),
    [anon_sym_BSLASHglet] = ACTIONS(7359),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7359),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7359),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7359),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7359),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7359),
    [anon_sym_BSLASHgls] = ACTIONS(7359),
    [anon_sym_BSLASHGls] = ACTIONS(7359),
    [anon_sym_BSLASHGLS] = ACTIONS(7359),
    [anon_sym_BSLASHglspl] = ACTIONS(7359),
    [anon_sym_BSLASHGlspl] = ACTIONS(7359),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7359),
    [anon_sym_BSLASHglslink] = ACTIONS(7359),
    [anon_sym_BSLASHglstext] = ACTIONS(7359),
    [anon_sym_BSLASHGlstext] = ACTIONS(7359),
    [anon_sym_BSLASHGLStext] = ACTIONS(7359),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7359),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7359),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7359),
    [anon_sym_BSLASHglsplural] = ACTIONS(7359),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7359),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7359),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHglsname] = ACTIONS(7359),
    [anon_sym_BSLASHGlsname] = ACTIONS(7359),
    [anon_sym_BSLASHGLSname] = ACTIONS(7359),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7359),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7359),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7359),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7359),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7359),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7359),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7359),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7359),
    [anon_sym_BSLASHacrshort] = ACTIONS(7359),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7359),
    [anon_sym_BSLASHACRshort] = ACTIONS(7359),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHacrlong] = ACTIONS(7359),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7359),
    [anon_sym_BSLASHACRlong] = ACTIONS(7359),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHacrfull] = ACTIONS(7359),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7359),
    [anon_sym_BSLASHACRfull] = ACTIONS(7359),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHacs] = ACTIONS(7359),
    [anon_sym_BSLASHAcs] = ACTIONS(7359),
    [anon_sym_BSLASHacsp] = ACTIONS(7359),
    [anon_sym_BSLASHAcsp] = ACTIONS(7359),
    [anon_sym_BSLASHacl] = ACTIONS(7359),
    [anon_sym_BSLASHAcl] = ACTIONS(7359),
    [anon_sym_BSLASHaclp] = ACTIONS(7359),
    [anon_sym_BSLASHAclp] = ACTIONS(7359),
    [anon_sym_BSLASHacf] = ACTIONS(7359),
    [anon_sym_BSLASHAcf] = ACTIONS(7359),
    [anon_sym_BSLASHacfp] = ACTIONS(7359),
    [anon_sym_BSLASHAcfp] = ACTIONS(7359),
    [anon_sym_BSLASHac] = ACTIONS(7359),
    [anon_sym_BSLASHAc] = ACTIONS(7359),
    [anon_sym_BSLASHacp] = ACTIONS(7359),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7359),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7359),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7359),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7359),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7359),
    [anon_sym_BSLASHcolor] = ACTIONS(7359),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7359),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7359),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7359),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7359),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7359),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7359),
    [anon_sym_BSLASHurl] = ACTIONS(7359),
    [anon_sym_BSLASHhref] = ACTIONS(7359),
  },
  [2155] = {
    [sym_command_name] = ACTIONS(7551),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7551),
    [anon_sym_LPAREN] = ACTIONS(7553),
    [anon_sym_RPAREN] = ACTIONS(7553),
    [anon_sym_LBRACE] = ACTIONS(7553),
    [anon_sym_RBRACE] = ACTIONS(7553),
    [anon_sym_BSLASHand] = ACTIONS(7551),
    [sym_word] = ACTIONS(7551),
    [sym_placeholder] = ACTIONS(7553),
    [sym_delimiter] = ACTIONS(7553),
    [anon_sym_PLUS] = ACTIONS(7553),
    [anon_sym_DASH] = ACTIONS(7553),
    [anon_sym_STAR] = ACTIONS(7553),
    [anon_sym_SLASH] = ACTIONS(7553),
    [anon_sym_LT] = ACTIONS(7551),
    [anon_sym_GT] = ACTIONS(7551),
    [anon_sym_BANG] = ACTIONS(7551),
    [anon_sym_PIPE] = ACTIONS(7551),
    [anon_sym_COLON] = ACTIONS(7551),
    [anon_sym_SQUOTE] = ACTIONS(7551),
    [anon_sym__] = ACTIONS(7553),
    [anon_sym_CARET] = ACTIONS(7553),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7553),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7553),
    [anon_sym_DOLLAR] = ACTIONS(7551),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7553),
    [anon_sym_BSLASHleft] = ACTIONS(7551),
    [anon_sym_BSLASHbigl] = ACTIONS(7551),
    [anon_sym_BSLASHBigl] = ACTIONS(7551),
    [anon_sym_BSLASHbiggl] = ACTIONS(7551),
    [anon_sym_BSLASHBiggl] = ACTIONS(7551),
    [anon_sym_BSLASHtext] = ACTIONS(7551),
    [anon_sym_BSLASHintertext] = ACTIONS(7551),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7551),
    [anon_sym_BSLASHtitle] = ACTIONS(7551),
    [anon_sym_BSLASHauthor] = ACTIONS(7551),
    [anon_sym_BSLASHusepackage] = ACTIONS(7551),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7551),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7551),
    [anon_sym_BSLASHinclude] = ACTIONS(7551),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7551),
    [anon_sym_BSLASHinput] = ACTIONS(7551),
    [anon_sym_BSLASHsubfile] = ACTIONS(7551),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7551),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7551),
    [anon_sym_BSLASHbibliography] = ACTIONS(7551),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7551),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7551),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7551),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7551),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7551),
    [anon_sym_BSLASHimport] = ACTIONS(7551),
    [anon_sym_BSLASHsubimport] = ACTIONS(7551),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7551),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7551),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7551),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7551),
    [anon_sym_BSLASHcaption] = ACTIONS(7551),
    [anon_sym_BSLASHcite] = ACTIONS(7551),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCite] = ACTIONS(7551),
    [anon_sym_BSLASHnocite] = ACTIONS(7551),
    [anon_sym_BSLASHcitet] = ACTIONS(7551),
    [anon_sym_BSLASHcitep] = ACTIONS(7551),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteA] = ACTIONS(7551),
    [anon_sym_BSLASHciteR] = ACTIONS(7551),
    [anon_sym_BSLASHciteS] = ACTIONS(7551),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7551),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7551),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7551),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7551),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteyear] = ACTIONS(7551),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitedate] = ACTIONS(7551),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteurl] = ACTIONS(7551),
    [anon_sym_BSLASHfullcite] = ACTIONS(7551),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7551),
    [anon_sym_BSLASHcitealt] = ACTIONS(7551),
    [anon_sym_BSLASHcitealp] = ACTIONS(7551),
    [anon_sym_BSLASHcitetext] = ACTIONS(7551),
    [anon_sym_BSLASHparencite] = ACTIONS(7551),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHParencite] = ACTIONS(7551),
    [anon_sym_BSLASHfootcite] = ACTIONS(7551),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7551),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7551),
    [anon_sym_BSLASHtextcite] = ACTIONS(7551),
    [anon_sym_BSLASHTextcite] = ACTIONS(7551),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7551),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7551),
    [anon_sym_BSLASHsupercite] = ACTIONS(7551),
    [anon_sym_BSLASHautocite] = ACTIONS(7551),
    [anon_sym_BSLASHAutocite] = ACTIONS(7551),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHVolcite] = ACTIONS(7551),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHavolcite] = ACTIONS(7551),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHNotecite] = ACTIONS(7551),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHlabel] = ACTIONS(7551),
    [anon_sym_BSLASHref] = ACTIONS(7551),
    [anon_sym_BSLASHeqref] = ACTIONS(7551),
    [anon_sym_BSLASHvref] = ACTIONS(7551),
    [anon_sym_BSLASHVref] = ACTIONS(7551),
    [anon_sym_BSLASHautoref] = ACTIONS(7551),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHpageref] = ACTIONS(7551),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHautopageref] = ACTIONS(7551),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcref] = ACTIONS(7551),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCref] = ACTIONS(7551),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcpageref] = ACTIONS(7551),
    [anon_sym_BSLASHCpageref] = ACTIONS(7551),
    [anon_sym_BSLASHnamecref] = ACTIONS(7551),
    [anon_sym_BSLASHnameCref] = ACTIONS(7551),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7551),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7551),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7551),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7551),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7551),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7551),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7551),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7551),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7551),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7551),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7551),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHdef] = ACTIONS(7551),
    [anon_sym_BSLASHgdef] = ACTIONS(7551),
    [anon_sym_BSLASHedef] = ACTIONS(7551),
    [anon_sym_BSLASHxdef] = ACTIONS(7551),
    [anon_sym_BSLASHlet] = ACTIONS(7551),
    [anon_sym_BSLASHglet] = ACTIONS(7551),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7551),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7551),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7551),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7551),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7551),
    [anon_sym_BSLASHgls] = ACTIONS(7551),
    [anon_sym_BSLASHGls] = ACTIONS(7551),
    [anon_sym_BSLASHGLS] = ACTIONS(7551),
    [anon_sym_BSLASHglspl] = ACTIONS(7551),
    [anon_sym_BSLASHGlspl] = ACTIONS(7551),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7551),
    [anon_sym_BSLASHglslink] = ACTIONS(7551),
    [anon_sym_BSLASHglstext] = ACTIONS(7551),
    [anon_sym_BSLASHGlstext] = ACTIONS(7551),
    [anon_sym_BSLASHGLStext] = ACTIONS(7551),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7551),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7551),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7551),
    [anon_sym_BSLASHglsplural] = ACTIONS(7551),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7551),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7551),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHglsname] = ACTIONS(7551),
    [anon_sym_BSLASHGlsname] = ACTIONS(7551),
    [anon_sym_BSLASHGLSname] = ACTIONS(7551),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7551),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7551),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7551),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7551),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7551),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7551),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7551),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7551),
    [anon_sym_BSLASHacrshort] = ACTIONS(7551),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7551),
    [anon_sym_BSLASHACRshort] = ACTIONS(7551),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHacrlong] = ACTIONS(7551),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7551),
    [anon_sym_BSLASHACRlong] = ACTIONS(7551),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHacrfull] = ACTIONS(7551),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7551),
    [anon_sym_BSLASHACRfull] = ACTIONS(7551),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHacs] = ACTIONS(7551),
    [anon_sym_BSLASHAcs] = ACTIONS(7551),
    [anon_sym_BSLASHacsp] = ACTIONS(7551),
    [anon_sym_BSLASHAcsp] = ACTIONS(7551),
    [anon_sym_BSLASHacl] = ACTIONS(7551),
    [anon_sym_BSLASHAcl] = ACTIONS(7551),
    [anon_sym_BSLASHaclp] = ACTIONS(7551),
    [anon_sym_BSLASHAclp] = ACTIONS(7551),
    [anon_sym_BSLASHacf] = ACTIONS(7551),
    [anon_sym_BSLASHAcf] = ACTIONS(7551),
    [anon_sym_BSLASHacfp] = ACTIONS(7551),
    [anon_sym_BSLASHAcfp] = ACTIONS(7551),
    [anon_sym_BSLASHac] = ACTIONS(7551),
    [anon_sym_BSLASHAc] = ACTIONS(7551),
    [anon_sym_BSLASHacp] = ACTIONS(7551),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7551),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7551),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7551),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7551),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7551),
    [anon_sym_BSLASHcolor] = ACTIONS(7551),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7551),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7551),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7551),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7551),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7551),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7551),
    [anon_sym_BSLASHurl] = ACTIONS(7551),
    [anon_sym_BSLASHhref] = ACTIONS(7551),
  },
  [2156] = {
    [sym_command_name] = ACTIONS(7555),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7555),
    [anon_sym_LPAREN] = ACTIONS(7557),
    [anon_sym_RPAREN] = ACTIONS(7557),
    [anon_sym_LBRACE] = ACTIONS(7557),
    [anon_sym_RBRACE] = ACTIONS(7557),
    [anon_sym_BSLASHand] = ACTIONS(7555),
    [sym_word] = ACTIONS(7555),
    [sym_placeholder] = ACTIONS(7557),
    [sym_delimiter] = ACTIONS(7557),
    [anon_sym_PLUS] = ACTIONS(7557),
    [anon_sym_DASH] = ACTIONS(7557),
    [anon_sym_STAR] = ACTIONS(7557),
    [anon_sym_SLASH] = ACTIONS(7557),
    [anon_sym_LT] = ACTIONS(7555),
    [anon_sym_GT] = ACTIONS(7555),
    [anon_sym_BANG] = ACTIONS(7555),
    [anon_sym_PIPE] = ACTIONS(7555),
    [anon_sym_COLON] = ACTIONS(7555),
    [anon_sym_SQUOTE] = ACTIONS(7555),
    [anon_sym__] = ACTIONS(7557),
    [anon_sym_CARET] = ACTIONS(7557),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7557),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7557),
    [anon_sym_DOLLAR] = ACTIONS(7555),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7557),
    [anon_sym_BSLASHleft] = ACTIONS(7555),
    [anon_sym_BSLASHbigl] = ACTIONS(7555),
    [anon_sym_BSLASHBigl] = ACTIONS(7555),
    [anon_sym_BSLASHbiggl] = ACTIONS(7555),
    [anon_sym_BSLASHBiggl] = ACTIONS(7555),
    [anon_sym_BSLASHtext] = ACTIONS(7555),
    [anon_sym_BSLASHintertext] = ACTIONS(7555),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7555),
    [anon_sym_BSLASHtitle] = ACTIONS(7555),
    [anon_sym_BSLASHauthor] = ACTIONS(7555),
    [anon_sym_BSLASHusepackage] = ACTIONS(7555),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7555),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7555),
    [anon_sym_BSLASHinclude] = ACTIONS(7555),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7555),
    [anon_sym_BSLASHinput] = ACTIONS(7555),
    [anon_sym_BSLASHsubfile] = ACTIONS(7555),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7555),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7555),
    [anon_sym_BSLASHbibliography] = ACTIONS(7555),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7555),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7555),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7555),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7555),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7555),
    [anon_sym_BSLASHimport] = ACTIONS(7555),
    [anon_sym_BSLASHsubimport] = ACTIONS(7555),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7555),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7555),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7555),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7555),
    [anon_sym_BSLASHcaption] = ACTIONS(7555),
    [anon_sym_BSLASHcite] = ACTIONS(7555),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCite] = ACTIONS(7555),
    [anon_sym_BSLASHnocite] = ACTIONS(7555),
    [anon_sym_BSLASHcitet] = ACTIONS(7555),
    [anon_sym_BSLASHcitep] = ACTIONS(7555),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteA] = ACTIONS(7555),
    [anon_sym_BSLASHciteR] = ACTIONS(7555),
    [anon_sym_BSLASHciteS] = ACTIONS(7555),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7555),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7555),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7555),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7555),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteyear] = ACTIONS(7555),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitedate] = ACTIONS(7555),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteurl] = ACTIONS(7555),
    [anon_sym_BSLASHfullcite] = ACTIONS(7555),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7555),
    [anon_sym_BSLASHcitealt] = ACTIONS(7555),
    [anon_sym_BSLASHcitealp] = ACTIONS(7555),
    [anon_sym_BSLASHcitetext] = ACTIONS(7555),
    [anon_sym_BSLASHparencite] = ACTIONS(7555),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHParencite] = ACTIONS(7555),
    [anon_sym_BSLASHfootcite] = ACTIONS(7555),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7555),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7555),
    [anon_sym_BSLASHtextcite] = ACTIONS(7555),
    [anon_sym_BSLASHTextcite] = ACTIONS(7555),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7555),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7555),
    [anon_sym_BSLASHsupercite] = ACTIONS(7555),
    [anon_sym_BSLASHautocite] = ACTIONS(7555),
    [anon_sym_BSLASHAutocite] = ACTIONS(7555),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHVolcite] = ACTIONS(7555),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHavolcite] = ACTIONS(7555),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHNotecite] = ACTIONS(7555),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHlabel] = ACTIONS(7555),
    [anon_sym_BSLASHref] = ACTIONS(7555),
    [anon_sym_BSLASHeqref] = ACTIONS(7555),
    [anon_sym_BSLASHvref] = ACTIONS(7555),
    [anon_sym_BSLASHVref] = ACTIONS(7555),
    [anon_sym_BSLASHautoref] = ACTIONS(7555),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHpageref] = ACTIONS(7555),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHautopageref] = ACTIONS(7555),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcref] = ACTIONS(7555),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCref] = ACTIONS(7555),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcpageref] = ACTIONS(7555),
    [anon_sym_BSLASHCpageref] = ACTIONS(7555),
    [anon_sym_BSLASHnamecref] = ACTIONS(7555),
    [anon_sym_BSLASHnameCref] = ACTIONS(7555),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7555),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7555),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7555),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7555),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7555),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7555),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7555),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7555),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7555),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7555),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7555),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHdef] = ACTIONS(7555),
    [anon_sym_BSLASHgdef] = ACTIONS(7555),
    [anon_sym_BSLASHedef] = ACTIONS(7555),
    [anon_sym_BSLASHxdef] = ACTIONS(7555),
    [anon_sym_BSLASHlet] = ACTIONS(7555),
    [anon_sym_BSLASHglet] = ACTIONS(7555),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7555),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7555),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7555),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7555),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7555),
    [anon_sym_BSLASHgls] = ACTIONS(7555),
    [anon_sym_BSLASHGls] = ACTIONS(7555),
    [anon_sym_BSLASHGLS] = ACTIONS(7555),
    [anon_sym_BSLASHglspl] = ACTIONS(7555),
    [anon_sym_BSLASHGlspl] = ACTIONS(7555),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7555),
    [anon_sym_BSLASHglslink] = ACTIONS(7555),
    [anon_sym_BSLASHglstext] = ACTIONS(7555),
    [anon_sym_BSLASHGlstext] = ACTIONS(7555),
    [anon_sym_BSLASHGLStext] = ACTIONS(7555),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7555),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7555),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7555),
    [anon_sym_BSLASHglsplural] = ACTIONS(7555),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7555),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7555),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHglsname] = ACTIONS(7555),
    [anon_sym_BSLASHGlsname] = ACTIONS(7555),
    [anon_sym_BSLASHGLSname] = ACTIONS(7555),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7555),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7555),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7555),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7555),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7555),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7555),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7555),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7555),
    [anon_sym_BSLASHacrshort] = ACTIONS(7555),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7555),
    [anon_sym_BSLASHACRshort] = ACTIONS(7555),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHacrlong] = ACTIONS(7555),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7555),
    [anon_sym_BSLASHACRlong] = ACTIONS(7555),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHacrfull] = ACTIONS(7555),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7555),
    [anon_sym_BSLASHACRfull] = ACTIONS(7555),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHacs] = ACTIONS(7555),
    [anon_sym_BSLASHAcs] = ACTIONS(7555),
    [anon_sym_BSLASHacsp] = ACTIONS(7555),
    [anon_sym_BSLASHAcsp] = ACTIONS(7555),
    [anon_sym_BSLASHacl] = ACTIONS(7555),
    [anon_sym_BSLASHAcl] = ACTIONS(7555),
    [anon_sym_BSLASHaclp] = ACTIONS(7555),
    [anon_sym_BSLASHAclp] = ACTIONS(7555),
    [anon_sym_BSLASHacf] = ACTIONS(7555),
    [anon_sym_BSLASHAcf] = ACTIONS(7555),
    [anon_sym_BSLASHacfp] = ACTIONS(7555),
    [anon_sym_BSLASHAcfp] = ACTIONS(7555),
    [anon_sym_BSLASHac] = ACTIONS(7555),
    [anon_sym_BSLASHAc] = ACTIONS(7555),
    [anon_sym_BSLASHacp] = ACTIONS(7555),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7555),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7555),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7555),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7555),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7555),
    [anon_sym_BSLASHcolor] = ACTIONS(7555),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7555),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7555),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7555),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7555),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7555),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7555),
    [anon_sym_BSLASHurl] = ACTIONS(7555),
    [anon_sym_BSLASHhref] = ACTIONS(7555),
  },
  [2157] = {
    [sym_command_name] = ACTIONS(7559),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7559),
    [anon_sym_LPAREN] = ACTIONS(7561),
    [anon_sym_RPAREN] = ACTIONS(7561),
    [anon_sym_LBRACE] = ACTIONS(7561),
    [anon_sym_RBRACE] = ACTIONS(7561),
    [anon_sym_BSLASHand] = ACTIONS(7559),
    [sym_word] = ACTIONS(7559),
    [sym_placeholder] = ACTIONS(7561),
    [sym_delimiter] = ACTIONS(7561),
    [anon_sym_PLUS] = ACTIONS(7561),
    [anon_sym_DASH] = ACTIONS(7561),
    [anon_sym_STAR] = ACTIONS(7561),
    [anon_sym_SLASH] = ACTIONS(7561),
    [anon_sym_LT] = ACTIONS(7559),
    [anon_sym_GT] = ACTIONS(7559),
    [anon_sym_BANG] = ACTIONS(7559),
    [anon_sym_PIPE] = ACTIONS(7559),
    [anon_sym_COLON] = ACTIONS(7559),
    [anon_sym_SQUOTE] = ACTIONS(7559),
    [anon_sym__] = ACTIONS(7561),
    [anon_sym_CARET] = ACTIONS(7561),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7561),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7561),
    [anon_sym_DOLLAR] = ACTIONS(7559),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7561),
    [anon_sym_BSLASHleft] = ACTIONS(7559),
    [anon_sym_BSLASHbigl] = ACTIONS(7559),
    [anon_sym_BSLASHBigl] = ACTIONS(7559),
    [anon_sym_BSLASHbiggl] = ACTIONS(7559),
    [anon_sym_BSLASHBiggl] = ACTIONS(7559),
    [anon_sym_BSLASHtext] = ACTIONS(7559),
    [anon_sym_BSLASHintertext] = ACTIONS(7559),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7559),
    [anon_sym_BSLASHtitle] = ACTIONS(7559),
    [anon_sym_BSLASHauthor] = ACTIONS(7559),
    [anon_sym_BSLASHusepackage] = ACTIONS(7559),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7559),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7559),
    [anon_sym_BSLASHinclude] = ACTIONS(7559),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7559),
    [anon_sym_BSLASHinput] = ACTIONS(7559),
    [anon_sym_BSLASHsubfile] = ACTIONS(7559),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7559),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7559),
    [anon_sym_BSLASHbibliography] = ACTIONS(7559),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7559),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7559),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7559),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7559),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7559),
    [anon_sym_BSLASHimport] = ACTIONS(7559),
    [anon_sym_BSLASHsubimport] = ACTIONS(7559),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7559),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7559),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7559),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7559),
    [anon_sym_BSLASHcaption] = ACTIONS(7559),
    [anon_sym_BSLASHcite] = ACTIONS(7559),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCite] = ACTIONS(7559),
    [anon_sym_BSLASHnocite] = ACTIONS(7559),
    [anon_sym_BSLASHcitet] = ACTIONS(7559),
    [anon_sym_BSLASHcitep] = ACTIONS(7559),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteA] = ACTIONS(7559),
    [anon_sym_BSLASHciteR] = ACTIONS(7559),
    [anon_sym_BSLASHciteS] = ACTIONS(7559),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7559),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7559),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7559),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7559),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteyear] = ACTIONS(7559),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitedate] = ACTIONS(7559),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteurl] = ACTIONS(7559),
    [anon_sym_BSLASHfullcite] = ACTIONS(7559),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7559),
    [anon_sym_BSLASHcitealt] = ACTIONS(7559),
    [anon_sym_BSLASHcitealp] = ACTIONS(7559),
    [anon_sym_BSLASHcitetext] = ACTIONS(7559),
    [anon_sym_BSLASHparencite] = ACTIONS(7559),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHParencite] = ACTIONS(7559),
    [anon_sym_BSLASHfootcite] = ACTIONS(7559),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7559),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7559),
    [anon_sym_BSLASHtextcite] = ACTIONS(7559),
    [anon_sym_BSLASHTextcite] = ACTIONS(7559),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7559),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7559),
    [anon_sym_BSLASHsupercite] = ACTIONS(7559),
    [anon_sym_BSLASHautocite] = ACTIONS(7559),
    [anon_sym_BSLASHAutocite] = ACTIONS(7559),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHVolcite] = ACTIONS(7559),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHavolcite] = ACTIONS(7559),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHNotecite] = ACTIONS(7559),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHlabel] = ACTIONS(7559),
    [anon_sym_BSLASHref] = ACTIONS(7559),
    [anon_sym_BSLASHeqref] = ACTIONS(7559),
    [anon_sym_BSLASHvref] = ACTIONS(7559),
    [anon_sym_BSLASHVref] = ACTIONS(7559),
    [anon_sym_BSLASHautoref] = ACTIONS(7559),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHpageref] = ACTIONS(7559),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHautopageref] = ACTIONS(7559),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcref] = ACTIONS(7559),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCref] = ACTIONS(7559),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcpageref] = ACTIONS(7559),
    [anon_sym_BSLASHCpageref] = ACTIONS(7559),
    [anon_sym_BSLASHnamecref] = ACTIONS(7559),
    [anon_sym_BSLASHnameCref] = ACTIONS(7559),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7559),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7559),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7559),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7559),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7559),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7559),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7559),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7559),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7559),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7559),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7559),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHdef] = ACTIONS(7559),
    [anon_sym_BSLASHgdef] = ACTIONS(7559),
    [anon_sym_BSLASHedef] = ACTIONS(7559),
    [anon_sym_BSLASHxdef] = ACTIONS(7559),
    [anon_sym_BSLASHlet] = ACTIONS(7559),
    [anon_sym_BSLASHglet] = ACTIONS(7559),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7559),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7559),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7559),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7559),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7559),
    [anon_sym_BSLASHgls] = ACTIONS(7559),
    [anon_sym_BSLASHGls] = ACTIONS(7559),
    [anon_sym_BSLASHGLS] = ACTIONS(7559),
    [anon_sym_BSLASHglspl] = ACTIONS(7559),
    [anon_sym_BSLASHGlspl] = ACTIONS(7559),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7559),
    [anon_sym_BSLASHglslink] = ACTIONS(7559),
    [anon_sym_BSLASHglstext] = ACTIONS(7559),
    [anon_sym_BSLASHGlstext] = ACTIONS(7559),
    [anon_sym_BSLASHGLStext] = ACTIONS(7559),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7559),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7559),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7559),
    [anon_sym_BSLASHglsplural] = ACTIONS(7559),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7559),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7559),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHglsname] = ACTIONS(7559),
    [anon_sym_BSLASHGlsname] = ACTIONS(7559),
    [anon_sym_BSLASHGLSname] = ACTIONS(7559),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7559),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7559),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7559),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7559),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7559),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7559),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7559),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7559),
    [anon_sym_BSLASHacrshort] = ACTIONS(7559),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7559),
    [anon_sym_BSLASHACRshort] = ACTIONS(7559),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHacrlong] = ACTIONS(7559),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7559),
    [anon_sym_BSLASHACRlong] = ACTIONS(7559),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHacrfull] = ACTIONS(7559),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7559),
    [anon_sym_BSLASHACRfull] = ACTIONS(7559),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHacs] = ACTIONS(7559),
    [anon_sym_BSLASHAcs] = ACTIONS(7559),
    [anon_sym_BSLASHacsp] = ACTIONS(7559),
    [anon_sym_BSLASHAcsp] = ACTIONS(7559),
    [anon_sym_BSLASHacl] = ACTIONS(7559),
    [anon_sym_BSLASHAcl] = ACTIONS(7559),
    [anon_sym_BSLASHaclp] = ACTIONS(7559),
    [anon_sym_BSLASHAclp] = ACTIONS(7559),
    [anon_sym_BSLASHacf] = ACTIONS(7559),
    [anon_sym_BSLASHAcf] = ACTIONS(7559),
    [anon_sym_BSLASHacfp] = ACTIONS(7559),
    [anon_sym_BSLASHAcfp] = ACTIONS(7559),
    [anon_sym_BSLASHac] = ACTIONS(7559),
    [anon_sym_BSLASHAc] = ACTIONS(7559),
    [anon_sym_BSLASHacp] = ACTIONS(7559),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7559),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7559),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7559),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7559),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7559),
    [anon_sym_BSLASHcolor] = ACTIONS(7559),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7559),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7559),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7559),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7559),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7559),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7559),
    [anon_sym_BSLASHurl] = ACTIONS(7559),
    [anon_sym_BSLASHhref] = ACTIONS(7559),
  },
  [2158] = {
    [sym_command_name] = ACTIONS(7563),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7563),
    [anon_sym_LPAREN] = ACTIONS(7565),
    [anon_sym_RPAREN] = ACTIONS(7565),
    [anon_sym_LBRACE] = ACTIONS(7565),
    [anon_sym_RBRACE] = ACTIONS(7565),
    [anon_sym_BSLASHand] = ACTIONS(7563),
    [sym_word] = ACTIONS(7563),
    [sym_placeholder] = ACTIONS(7565),
    [sym_delimiter] = ACTIONS(7565),
    [anon_sym_PLUS] = ACTIONS(7565),
    [anon_sym_DASH] = ACTIONS(7565),
    [anon_sym_STAR] = ACTIONS(7565),
    [anon_sym_SLASH] = ACTIONS(7565),
    [anon_sym_LT] = ACTIONS(7563),
    [anon_sym_GT] = ACTIONS(7563),
    [anon_sym_BANG] = ACTIONS(7563),
    [anon_sym_PIPE] = ACTIONS(7563),
    [anon_sym_COLON] = ACTIONS(7563),
    [anon_sym_SQUOTE] = ACTIONS(7563),
    [anon_sym__] = ACTIONS(7565),
    [anon_sym_CARET] = ACTIONS(7565),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7565),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7565),
    [anon_sym_DOLLAR] = ACTIONS(7563),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7565),
    [anon_sym_BSLASHleft] = ACTIONS(7563),
    [anon_sym_BSLASHbigl] = ACTIONS(7563),
    [anon_sym_BSLASHBigl] = ACTIONS(7563),
    [anon_sym_BSLASHbiggl] = ACTIONS(7563),
    [anon_sym_BSLASHBiggl] = ACTIONS(7563),
    [anon_sym_BSLASHtext] = ACTIONS(7563),
    [anon_sym_BSLASHintertext] = ACTIONS(7563),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7563),
    [anon_sym_BSLASHtitle] = ACTIONS(7563),
    [anon_sym_BSLASHauthor] = ACTIONS(7563),
    [anon_sym_BSLASHusepackage] = ACTIONS(7563),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7563),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7563),
    [anon_sym_BSLASHinclude] = ACTIONS(7563),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7563),
    [anon_sym_BSLASHinput] = ACTIONS(7563),
    [anon_sym_BSLASHsubfile] = ACTIONS(7563),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7563),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7563),
    [anon_sym_BSLASHbibliography] = ACTIONS(7563),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7563),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7563),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7563),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7563),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7563),
    [anon_sym_BSLASHimport] = ACTIONS(7563),
    [anon_sym_BSLASHsubimport] = ACTIONS(7563),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7563),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7563),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7563),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7563),
    [anon_sym_BSLASHcaption] = ACTIONS(7563),
    [anon_sym_BSLASHcite] = ACTIONS(7563),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCite] = ACTIONS(7563),
    [anon_sym_BSLASHnocite] = ACTIONS(7563),
    [anon_sym_BSLASHcitet] = ACTIONS(7563),
    [anon_sym_BSLASHcitep] = ACTIONS(7563),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteA] = ACTIONS(7563),
    [anon_sym_BSLASHciteR] = ACTIONS(7563),
    [anon_sym_BSLASHciteS] = ACTIONS(7563),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7563),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7563),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7563),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7563),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteyear] = ACTIONS(7563),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitedate] = ACTIONS(7563),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteurl] = ACTIONS(7563),
    [anon_sym_BSLASHfullcite] = ACTIONS(7563),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7563),
    [anon_sym_BSLASHcitealt] = ACTIONS(7563),
    [anon_sym_BSLASHcitealp] = ACTIONS(7563),
    [anon_sym_BSLASHcitetext] = ACTIONS(7563),
    [anon_sym_BSLASHparencite] = ACTIONS(7563),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHParencite] = ACTIONS(7563),
    [anon_sym_BSLASHfootcite] = ACTIONS(7563),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7563),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7563),
    [anon_sym_BSLASHtextcite] = ACTIONS(7563),
    [anon_sym_BSLASHTextcite] = ACTIONS(7563),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7563),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7563),
    [anon_sym_BSLASHsupercite] = ACTIONS(7563),
    [anon_sym_BSLASHautocite] = ACTIONS(7563),
    [anon_sym_BSLASHAutocite] = ACTIONS(7563),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHVolcite] = ACTIONS(7563),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHavolcite] = ACTIONS(7563),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHNotecite] = ACTIONS(7563),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHlabel] = ACTIONS(7563),
    [anon_sym_BSLASHref] = ACTIONS(7563),
    [anon_sym_BSLASHeqref] = ACTIONS(7563),
    [anon_sym_BSLASHvref] = ACTIONS(7563),
    [anon_sym_BSLASHVref] = ACTIONS(7563),
    [anon_sym_BSLASHautoref] = ACTIONS(7563),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHpageref] = ACTIONS(7563),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHautopageref] = ACTIONS(7563),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcref] = ACTIONS(7563),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCref] = ACTIONS(7563),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcpageref] = ACTIONS(7563),
    [anon_sym_BSLASHCpageref] = ACTIONS(7563),
    [anon_sym_BSLASHnamecref] = ACTIONS(7563),
    [anon_sym_BSLASHnameCref] = ACTIONS(7563),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7563),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7563),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7563),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7563),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7563),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7563),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7563),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7563),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7563),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7563),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7563),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHdef] = ACTIONS(7563),
    [anon_sym_BSLASHgdef] = ACTIONS(7563),
    [anon_sym_BSLASHedef] = ACTIONS(7563),
    [anon_sym_BSLASHxdef] = ACTIONS(7563),
    [anon_sym_BSLASHlet] = ACTIONS(7563),
    [anon_sym_BSLASHglet] = ACTIONS(7563),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7563),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7563),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7563),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7563),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7563),
    [anon_sym_BSLASHgls] = ACTIONS(7563),
    [anon_sym_BSLASHGls] = ACTIONS(7563),
    [anon_sym_BSLASHGLS] = ACTIONS(7563),
    [anon_sym_BSLASHglspl] = ACTIONS(7563),
    [anon_sym_BSLASHGlspl] = ACTIONS(7563),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7563),
    [anon_sym_BSLASHglslink] = ACTIONS(7563),
    [anon_sym_BSLASHglstext] = ACTIONS(7563),
    [anon_sym_BSLASHGlstext] = ACTIONS(7563),
    [anon_sym_BSLASHGLStext] = ACTIONS(7563),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7563),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7563),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7563),
    [anon_sym_BSLASHglsplural] = ACTIONS(7563),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7563),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7563),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHglsname] = ACTIONS(7563),
    [anon_sym_BSLASHGlsname] = ACTIONS(7563),
    [anon_sym_BSLASHGLSname] = ACTIONS(7563),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7563),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7563),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7563),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7563),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7563),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7563),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7563),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7563),
    [anon_sym_BSLASHacrshort] = ACTIONS(7563),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7563),
    [anon_sym_BSLASHACRshort] = ACTIONS(7563),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHacrlong] = ACTIONS(7563),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7563),
    [anon_sym_BSLASHACRlong] = ACTIONS(7563),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHacrfull] = ACTIONS(7563),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7563),
    [anon_sym_BSLASHACRfull] = ACTIONS(7563),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHacs] = ACTIONS(7563),
    [anon_sym_BSLASHAcs] = ACTIONS(7563),
    [anon_sym_BSLASHacsp] = ACTIONS(7563),
    [anon_sym_BSLASHAcsp] = ACTIONS(7563),
    [anon_sym_BSLASHacl] = ACTIONS(7563),
    [anon_sym_BSLASHAcl] = ACTIONS(7563),
    [anon_sym_BSLASHaclp] = ACTIONS(7563),
    [anon_sym_BSLASHAclp] = ACTIONS(7563),
    [anon_sym_BSLASHacf] = ACTIONS(7563),
    [anon_sym_BSLASHAcf] = ACTIONS(7563),
    [anon_sym_BSLASHacfp] = ACTIONS(7563),
    [anon_sym_BSLASHAcfp] = ACTIONS(7563),
    [anon_sym_BSLASHac] = ACTIONS(7563),
    [anon_sym_BSLASHAc] = ACTIONS(7563),
    [anon_sym_BSLASHacp] = ACTIONS(7563),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7563),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7563),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7563),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7563),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7563),
    [anon_sym_BSLASHcolor] = ACTIONS(7563),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7563),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7563),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7563),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7563),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7563),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7563),
    [anon_sym_BSLASHurl] = ACTIONS(7563),
    [anon_sym_BSLASHhref] = ACTIONS(7563),
  },
  [2159] = {
    [sym_command_name] = ACTIONS(7567),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7567),
    [anon_sym_LPAREN] = ACTIONS(7569),
    [anon_sym_RPAREN] = ACTIONS(7569),
    [anon_sym_LBRACE] = ACTIONS(7569),
    [anon_sym_RBRACE] = ACTIONS(7569),
    [anon_sym_BSLASHand] = ACTIONS(7567),
    [sym_word] = ACTIONS(7567),
    [sym_placeholder] = ACTIONS(7569),
    [sym_delimiter] = ACTIONS(7569),
    [anon_sym_PLUS] = ACTIONS(7569),
    [anon_sym_DASH] = ACTIONS(7569),
    [anon_sym_STAR] = ACTIONS(7569),
    [anon_sym_SLASH] = ACTIONS(7569),
    [anon_sym_LT] = ACTIONS(7567),
    [anon_sym_GT] = ACTIONS(7567),
    [anon_sym_BANG] = ACTIONS(7567),
    [anon_sym_PIPE] = ACTIONS(7567),
    [anon_sym_COLON] = ACTIONS(7567),
    [anon_sym_SQUOTE] = ACTIONS(7567),
    [anon_sym__] = ACTIONS(7569),
    [anon_sym_CARET] = ACTIONS(7569),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7569),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7569),
    [anon_sym_DOLLAR] = ACTIONS(7567),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7569),
    [anon_sym_BSLASHleft] = ACTIONS(7567),
    [anon_sym_BSLASHbigl] = ACTIONS(7567),
    [anon_sym_BSLASHBigl] = ACTIONS(7567),
    [anon_sym_BSLASHbiggl] = ACTIONS(7567),
    [anon_sym_BSLASHBiggl] = ACTIONS(7567),
    [anon_sym_BSLASHtext] = ACTIONS(7567),
    [anon_sym_BSLASHintertext] = ACTIONS(7567),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7567),
    [anon_sym_BSLASHtitle] = ACTIONS(7567),
    [anon_sym_BSLASHauthor] = ACTIONS(7567),
    [anon_sym_BSLASHusepackage] = ACTIONS(7567),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7567),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7567),
    [anon_sym_BSLASHinclude] = ACTIONS(7567),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7567),
    [anon_sym_BSLASHinput] = ACTIONS(7567),
    [anon_sym_BSLASHsubfile] = ACTIONS(7567),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7567),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7567),
    [anon_sym_BSLASHbibliography] = ACTIONS(7567),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7567),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7567),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7567),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7567),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7567),
    [anon_sym_BSLASHimport] = ACTIONS(7567),
    [anon_sym_BSLASHsubimport] = ACTIONS(7567),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7567),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7567),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7567),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7567),
    [anon_sym_BSLASHcaption] = ACTIONS(7567),
    [anon_sym_BSLASHcite] = ACTIONS(7567),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCite] = ACTIONS(7567),
    [anon_sym_BSLASHnocite] = ACTIONS(7567),
    [anon_sym_BSLASHcitet] = ACTIONS(7567),
    [anon_sym_BSLASHcitep] = ACTIONS(7567),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteA] = ACTIONS(7567),
    [anon_sym_BSLASHciteR] = ACTIONS(7567),
    [anon_sym_BSLASHciteS] = ACTIONS(7567),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7567),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7567),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7567),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7567),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteyear] = ACTIONS(7567),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitedate] = ACTIONS(7567),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteurl] = ACTIONS(7567),
    [anon_sym_BSLASHfullcite] = ACTIONS(7567),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7567),
    [anon_sym_BSLASHcitealt] = ACTIONS(7567),
    [anon_sym_BSLASHcitealp] = ACTIONS(7567),
    [anon_sym_BSLASHcitetext] = ACTIONS(7567),
    [anon_sym_BSLASHparencite] = ACTIONS(7567),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHParencite] = ACTIONS(7567),
    [anon_sym_BSLASHfootcite] = ACTIONS(7567),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7567),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7567),
    [anon_sym_BSLASHtextcite] = ACTIONS(7567),
    [anon_sym_BSLASHTextcite] = ACTIONS(7567),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7567),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7567),
    [anon_sym_BSLASHsupercite] = ACTIONS(7567),
    [anon_sym_BSLASHautocite] = ACTIONS(7567),
    [anon_sym_BSLASHAutocite] = ACTIONS(7567),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHVolcite] = ACTIONS(7567),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHavolcite] = ACTIONS(7567),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHNotecite] = ACTIONS(7567),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHlabel] = ACTIONS(7567),
    [anon_sym_BSLASHref] = ACTIONS(7567),
    [anon_sym_BSLASHeqref] = ACTIONS(7567),
    [anon_sym_BSLASHvref] = ACTIONS(7567),
    [anon_sym_BSLASHVref] = ACTIONS(7567),
    [anon_sym_BSLASHautoref] = ACTIONS(7567),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHpageref] = ACTIONS(7567),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHautopageref] = ACTIONS(7567),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcref] = ACTIONS(7567),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCref] = ACTIONS(7567),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcpageref] = ACTIONS(7567),
    [anon_sym_BSLASHCpageref] = ACTIONS(7567),
    [anon_sym_BSLASHnamecref] = ACTIONS(7567),
    [anon_sym_BSLASHnameCref] = ACTIONS(7567),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7567),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7567),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7567),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7567),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7567),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7567),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7567),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7567),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7567),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7567),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7567),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHdef] = ACTIONS(7567),
    [anon_sym_BSLASHgdef] = ACTIONS(7567),
    [anon_sym_BSLASHedef] = ACTIONS(7567),
    [anon_sym_BSLASHxdef] = ACTIONS(7567),
    [anon_sym_BSLASHlet] = ACTIONS(7567),
    [anon_sym_BSLASHglet] = ACTIONS(7567),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7567),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7567),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7567),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7567),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7567),
    [anon_sym_BSLASHgls] = ACTIONS(7567),
    [anon_sym_BSLASHGls] = ACTIONS(7567),
    [anon_sym_BSLASHGLS] = ACTIONS(7567),
    [anon_sym_BSLASHglspl] = ACTIONS(7567),
    [anon_sym_BSLASHGlspl] = ACTIONS(7567),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7567),
    [anon_sym_BSLASHglslink] = ACTIONS(7567),
    [anon_sym_BSLASHglstext] = ACTIONS(7567),
    [anon_sym_BSLASHGlstext] = ACTIONS(7567),
    [anon_sym_BSLASHGLStext] = ACTIONS(7567),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7567),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7567),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7567),
    [anon_sym_BSLASHglsplural] = ACTIONS(7567),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7567),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7567),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHglsname] = ACTIONS(7567),
    [anon_sym_BSLASHGlsname] = ACTIONS(7567),
    [anon_sym_BSLASHGLSname] = ACTIONS(7567),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7567),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7567),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7567),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7567),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7567),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7567),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7567),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7567),
    [anon_sym_BSLASHacrshort] = ACTIONS(7567),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7567),
    [anon_sym_BSLASHACRshort] = ACTIONS(7567),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHacrlong] = ACTIONS(7567),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7567),
    [anon_sym_BSLASHACRlong] = ACTIONS(7567),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHacrfull] = ACTIONS(7567),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7567),
    [anon_sym_BSLASHACRfull] = ACTIONS(7567),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHacs] = ACTIONS(7567),
    [anon_sym_BSLASHAcs] = ACTIONS(7567),
    [anon_sym_BSLASHacsp] = ACTIONS(7567),
    [anon_sym_BSLASHAcsp] = ACTIONS(7567),
    [anon_sym_BSLASHacl] = ACTIONS(7567),
    [anon_sym_BSLASHAcl] = ACTIONS(7567),
    [anon_sym_BSLASHaclp] = ACTIONS(7567),
    [anon_sym_BSLASHAclp] = ACTIONS(7567),
    [anon_sym_BSLASHacf] = ACTIONS(7567),
    [anon_sym_BSLASHAcf] = ACTIONS(7567),
    [anon_sym_BSLASHacfp] = ACTIONS(7567),
    [anon_sym_BSLASHAcfp] = ACTIONS(7567),
    [anon_sym_BSLASHac] = ACTIONS(7567),
    [anon_sym_BSLASHAc] = ACTIONS(7567),
    [anon_sym_BSLASHacp] = ACTIONS(7567),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7567),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7567),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7567),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7567),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7567),
    [anon_sym_BSLASHcolor] = ACTIONS(7567),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7567),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7567),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7567),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7567),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7567),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7567),
    [anon_sym_BSLASHurl] = ACTIONS(7567),
    [anon_sym_BSLASHhref] = ACTIONS(7567),
  },
  [2160] = {
    [sym_command_name] = ACTIONS(7319),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7319),
    [anon_sym_LPAREN] = ACTIONS(7321),
    [anon_sym_RPAREN] = ACTIONS(7321),
    [anon_sym_LBRACE] = ACTIONS(7321),
    [anon_sym_RBRACE] = ACTIONS(7321),
    [anon_sym_BSLASHand] = ACTIONS(7319),
    [sym_word] = ACTIONS(7319),
    [sym_placeholder] = ACTIONS(7321),
    [sym_delimiter] = ACTIONS(7321),
    [anon_sym_PLUS] = ACTIONS(7321),
    [anon_sym_DASH] = ACTIONS(7321),
    [anon_sym_STAR] = ACTIONS(7321),
    [anon_sym_SLASH] = ACTIONS(7321),
    [anon_sym_LT] = ACTIONS(7319),
    [anon_sym_GT] = ACTIONS(7319),
    [anon_sym_BANG] = ACTIONS(7319),
    [anon_sym_PIPE] = ACTIONS(7319),
    [anon_sym_COLON] = ACTIONS(7319),
    [anon_sym_SQUOTE] = ACTIONS(7319),
    [anon_sym__] = ACTIONS(7321),
    [anon_sym_CARET] = ACTIONS(7321),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7321),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7321),
    [anon_sym_DOLLAR] = ACTIONS(7319),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7321),
    [anon_sym_BSLASHleft] = ACTIONS(7319),
    [anon_sym_BSLASHbigl] = ACTIONS(7319),
    [anon_sym_BSLASHBigl] = ACTIONS(7319),
    [anon_sym_BSLASHbiggl] = ACTIONS(7319),
    [anon_sym_BSLASHBiggl] = ACTIONS(7319),
    [anon_sym_BSLASHtext] = ACTIONS(7319),
    [anon_sym_BSLASHintertext] = ACTIONS(7319),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7319),
    [anon_sym_BSLASHtitle] = ACTIONS(7319),
    [anon_sym_BSLASHauthor] = ACTIONS(7319),
    [anon_sym_BSLASHusepackage] = ACTIONS(7319),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7319),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7319),
    [anon_sym_BSLASHinclude] = ACTIONS(7319),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7319),
    [anon_sym_BSLASHinput] = ACTIONS(7319),
    [anon_sym_BSLASHsubfile] = ACTIONS(7319),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7319),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7319),
    [anon_sym_BSLASHbibliography] = ACTIONS(7319),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7319),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7319),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7319),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7319),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7319),
    [anon_sym_BSLASHimport] = ACTIONS(7319),
    [anon_sym_BSLASHsubimport] = ACTIONS(7319),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7319),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7319),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7319),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7319),
    [anon_sym_BSLASHcaption] = ACTIONS(7319),
    [anon_sym_BSLASHcite] = ACTIONS(7319),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCite] = ACTIONS(7319),
    [anon_sym_BSLASHnocite] = ACTIONS(7319),
    [anon_sym_BSLASHcitet] = ACTIONS(7319),
    [anon_sym_BSLASHcitep] = ACTIONS(7319),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteA] = ACTIONS(7319),
    [anon_sym_BSLASHciteR] = ACTIONS(7319),
    [anon_sym_BSLASHciteS] = ACTIONS(7319),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7319),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7319),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7319),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7319),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteyear] = ACTIONS(7319),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitedate] = ACTIONS(7319),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteurl] = ACTIONS(7319),
    [anon_sym_BSLASHfullcite] = ACTIONS(7319),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7319),
    [anon_sym_BSLASHcitealt] = ACTIONS(7319),
    [anon_sym_BSLASHcitealp] = ACTIONS(7319),
    [anon_sym_BSLASHcitetext] = ACTIONS(7319),
    [anon_sym_BSLASHparencite] = ACTIONS(7319),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHParencite] = ACTIONS(7319),
    [anon_sym_BSLASHfootcite] = ACTIONS(7319),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7319),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7319),
    [anon_sym_BSLASHtextcite] = ACTIONS(7319),
    [anon_sym_BSLASHTextcite] = ACTIONS(7319),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7319),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7319),
    [anon_sym_BSLASHsupercite] = ACTIONS(7319),
    [anon_sym_BSLASHautocite] = ACTIONS(7319),
    [anon_sym_BSLASHAutocite] = ACTIONS(7319),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHVolcite] = ACTIONS(7319),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHavolcite] = ACTIONS(7319),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHNotecite] = ACTIONS(7319),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHlabel] = ACTIONS(7319),
    [anon_sym_BSLASHref] = ACTIONS(7319),
    [anon_sym_BSLASHeqref] = ACTIONS(7319),
    [anon_sym_BSLASHvref] = ACTIONS(7319),
    [anon_sym_BSLASHVref] = ACTIONS(7319),
    [anon_sym_BSLASHautoref] = ACTIONS(7319),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHpageref] = ACTIONS(7319),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHautopageref] = ACTIONS(7319),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcref] = ACTIONS(7319),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCref] = ACTIONS(7319),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcpageref] = ACTIONS(7319),
    [anon_sym_BSLASHCpageref] = ACTIONS(7319),
    [anon_sym_BSLASHnamecref] = ACTIONS(7319),
    [anon_sym_BSLASHnameCref] = ACTIONS(7319),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7319),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7319),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7319),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7319),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7319),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7319),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7319),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7319),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7319),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7319),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7319),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHdef] = ACTIONS(7319),
    [anon_sym_BSLASHgdef] = ACTIONS(7319),
    [anon_sym_BSLASHedef] = ACTIONS(7319),
    [anon_sym_BSLASHxdef] = ACTIONS(7319),
    [anon_sym_BSLASHlet] = ACTIONS(7319),
    [anon_sym_BSLASHglet] = ACTIONS(7319),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7319),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7319),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7319),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7319),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7319),
    [anon_sym_BSLASHgls] = ACTIONS(7319),
    [anon_sym_BSLASHGls] = ACTIONS(7319),
    [anon_sym_BSLASHGLS] = ACTIONS(7319),
    [anon_sym_BSLASHglspl] = ACTIONS(7319),
    [anon_sym_BSLASHGlspl] = ACTIONS(7319),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7319),
    [anon_sym_BSLASHglslink] = ACTIONS(7319),
    [anon_sym_BSLASHglstext] = ACTIONS(7319),
    [anon_sym_BSLASHGlstext] = ACTIONS(7319),
    [anon_sym_BSLASHGLStext] = ACTIONS(7319),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7319),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7319),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7319),
    [anon_sym_BSLASHglsplural] = ACTIONS(7319),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7319),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7319),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHglsname] = ACTIONS(7319),
    [anon_sym_BSLASHGlsname] = ACTIONS(7319),
    [anon_sym_BSLASHGLSname] = ACTIONS(7319),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7319),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7319),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7319),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7319),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7319),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7319),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7319),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7319),
    [anon_sym_BSLASHacrshort] = ACTIONS(7319),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7319),
    [anon_sym_BSLASHACRshort] = ACTIONS(7319),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHacrlong] = ACTIONS(7319),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7319),
    [anon_sym_BSLASHACRlong] = ACTIONS(7319),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHacrfull] = ACTIONS(7319),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7319),
    [anon_sym_BSLASHACRfull] = ACTIONS(7319),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHacs] = ACTIONS(7319),
    [anon_sym_BSLASHAcs] = ACTIONS(7319),
    [anon_sym_BSLASHacsp] = ACTIONS(7319),
    [anon_sym_BSLASHAcsp] = ACTIONS(7319),
    [anon_sym_BSLASHacl] = ACTIONS(7319),
    [anon_sym_BSLASHAcl] = ACTIONS(7319),
    [anon_sym_BSLASHaclp] = ACTIONS(7319),
    [anon_sym_BSLASHAclp] = ACTIONS(7319),
    [anon_sym_BSLASHacf] = ACTIONS(7319),
    [anon_sym_BSLASHAcf] = ACTIONS(7319),
    [anon_sym_BSLASHacfp] = ACTIONS(7319),
    [anon_sym_BSLASHAcfp] = ACTIONS(7319),
    [anon_sym_BSLASHac] = ACTIONS(7319),
    [anon_sym_BSLASHAc] = ACTIONS(7319),
    [anon_sym_BSLASHacp] = ACTIONS(7319),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7319),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7319),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7319),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7319),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7319),
    [anon_sym_BSLASHcolor] = ACTIONS(7319),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7319),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7319),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7319),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7319),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7319),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7319),
    [anon_sym_BSLASHurl] = ACTIONS(7319),
    [anon_sym_BSLASHhref] = ACTIONS(7319),
  },
  [2161] = {
    [sym_command_name] = ACTIONS(7863),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7863),
    [anon_sym_LPAREN] = ACTIONS(7865),
    [anon_sym_RPAREN] = ACTIONS(7865),
    [anon_sym_LBRACE] = ACTIONS(7865),
    [anon_sym_RBRACE] = ACTIONS(7865),
    [anon_sym_BSLASHand] = ACTIONS(7863),
    [sym_word] = ACTIONS(7863),
    [sym_placeholder] = ACTIONS(7865),
    [sym_delimiter] = ACTIONS(7865),
    [anon_sym_PLUS] = ACTIONS(7865),
    [anon_sym_DASH] = ACTIONS(7865),
    [anon_sym_STAR] = ACTIONS(7865),
    [anon_sym_SLASH] = ACTIONS(7865),
    [anon_sym_LT] = ACTIONS(7863),
    [anon_sym_GT] = ACTIONS(7863),
    [anon_sym_BANG] = ACTIONS(7863),
    [anon_sym_PIPE] = ACTIONS(7863),
    [anon_sym_COLON] = ACTIONS(7863),
    [anon_sym_SQUOTE] = ACTIONS(7863),
    [anon_sym__] = ACTIONS(7865),
    [anon_sym_CARET] = ACTIONS(7865),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7865),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7865),
    [anon_sym_DOLLAR] = ACTIONS(7863),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7865),
    [anon_sym_BSLASHleft] = ACTIONS(7863),
    [anon_sym_BSLASHbigl] = ACTIONS(7863),
    [anon_sym_BSLASHBigl] = ACTIONS(7863),
    [anon_sym_BSLASHbiggl] = ACTIONS(7863),
    [anon_sym_BSLASHBiggl] = ACTIONS(7863),
    [anon_sym_BSLASHtext] = ACTIONS(7863),
    [anon_sym_BSLASHintertext] = ACTIONS(7863),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7863),
    [anon_sym_BSLASHtitle] = ACTIONS(7863),
    [anon_sym_BSLASHauthor] = ACTIONS(7863),
    [anon_sym_BSLASHusepackage] = ACTIONS(7863),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7863),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7863),
    [anon_sym_BSLASHinclude] = ACTIONS(7863),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7863),
    [anon_sym_BSLASHinput] = ACTIONS(7863),
    [anon_sym_BSLASHsubfile] = ACTIONS(7863),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7863),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7863),
    [anon_sym_BSLASHbibliography] = ACTIONS(7863),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7863),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7863),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7863),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7863),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7863),
    [anon_sym_BSLASHimport] = ACTIONS(7863),
    [anon_sym_BSLASHsubimport] = ACTIONS(7863),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7863),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7863),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7863),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7863),
    [anon_sym_BSLASHcaption] = ACTIONS(7863),
    [anon_sym_BSLASHcite] = ACTIONS(7863),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7865),
    [anon_sym_BSLASHCite] = ACTIONS(7863),
    [anon_sym_BSLASHnocite] = ACTIONS(7863),
    [anon_sym_BSLASHcitet] = ACTIONS(7863),
    [anon_sym_BSLASHcitep] = ACTIONS(7863),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7865),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7865),
    [anon_sym_BSLASHciteA] = ACTIONS(7863),
    [anon_sym_BSLASHciteR] = ACTIONS(7863),
    [anon_sym_BSLASHciteS] = ACTIONS(7863),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7863),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7863),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7865),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7863),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7865),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7863),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7865),
    [anon_sym_BSLASHciteyear] = ACTIONS(7863),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7865),
    [anon_sym_BSLASHcitedate] = ACTIONS(7863),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7865),
    [anon_sym_BSLASHciteurl] = ACTIONS(7863),
    [anon_sym_BSLASHfullcite] = ACTIONS(7863),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7863),
    [anon_sym_BSLASHcitealt] = ACTIONS(7863),
    [anon_sym_BSLASHcitealp] = ACTIONS(7863),
    [anon_sym_BSLASHcitetext] = ACTIONS(7863),
    [anon_sym_BSLASHparencite] = ACTIONS(7863),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7865),
    [anon_sym_BSLASHParencite] = ACTIONS(7863),
    [anon_sym_BSLASHfootcite] = ACTIONS(7863),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7863),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7863),
    [anon_sym_BSLASHtextcite] = ACTIONS(7863),
    [anon_sym_BSLASHTextcite] = ACTIONS(7863),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7863),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7863),
    [anon_sym_BSLASHsupercite] = ACTIONS(7863),
    [anon_sym_BSLASHautocite] = ACTIONS(7863),
    [anon_sym_BSLASHAutocite] = ACTIONS(7863),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7865),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7865),
    [anon_sym_BSLASHvolcite] = ACTIONS(7863),
    [anon_sym_BSLASHVolcite] = ACTIONS(7863),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7863),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7863),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7863),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7863),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7863),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7863),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7863),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7863),
    [anon_sym_BSLASHavolcite] = ACTIONS(7863),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7863),
    [anon_sym_BSLASHnotecite] = ACTIONS(7863),
    [anon_sym_BSLASHNotecite] = ACTIONS(7863),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7863),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7863),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7863),
    [anon_sym_BSLASHlabel] = ACTIONS(7863),
    [anon_sym_BSLASHref] = ACTIONS(7863),
    [anon_sym_BSLASHeqref] = ACTIONS(7863),
    [anon_sym_BSLASHvref] = ACTIONS(7863),
    [anon_sym_BSLASHVref] = ACTIONS(7863),
    [anon_sym_BSLASHautoref] = ACTIONS(7863),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7865),
    [anon_sym_BSLASHpageref] = ACTIONS(7863),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7865),
    [anon_sym_BSLASHautopageref] = ACTIONS(7863),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7865),
    [anon_sym_BSLASHcref] = ACTIONS(7863),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7865),
    [anon_sym_BSLASHCref] = ACTIONS(7863),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7865),
    [anon_sym_BSLASHcpageref] = ACTIONS(7863),
    [anon_sym_BSLASHCpageref] = ACTIONS(7863),
    [anon_sym_BSLASHnamecref] = ACTIONS(7863),
    [anon_sym_BSLASHnameCref] = ACTIONS(7863),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7863),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7863),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7863),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7863),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7863),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7865),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7863),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7865),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7863),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7865),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7863),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7865),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7863),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7863),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7863),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7863),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7865),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7863),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7865),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7863),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7865),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7863),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7865),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7863),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7865),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7863),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7863),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7863),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7863),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7863),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7863),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7863),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7863),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7863),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7863),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7863),
    [anon_sym_BSLASHdef] = ACTIONS(7863),
    [anon_sym_BSLASHgdef] = ACTIONS(7863),
    [anon_sym_BSLASHedef] = ACTIONS(7863),
    [anon_sym_BSLASHxdef] = ACTIONS(7863),
    [anon_sym_BSLASHlet] = ACTIONS(7863),
    [anon_sym_BSLASHglet] = ACTIONS(7863),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7863),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7863),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7863),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7863),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7863),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7863),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7863),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7863),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7863),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7863),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7863),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7863),
    [anon_sym_BSLASHgls] = ACTIONS(7863),
    [anon_sym_BSLASHGls] = ACTIONS(7863),
    [anon_sym_BSLASHGLS] = ACTIONS(7863),
    [anon_sym_BSLASHglspl] = ACTIONS(7863),
    [anon_sym_BSLASHGlspl] = ACTIONS(7863),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7863),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7863),
    [anon_sym_BSLASHglslink] = ACTIONS(7863),
    [anon_sym_BSLASHglstext] = ACTIONS(7863),
    [anon_sym_BSLASHGlstext] = ACTIONS(7863),
    [anon_sym_BSLASHGLStext] = ACTIONS(7863),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7863),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7863),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7863),
    [anon_sym_BSLASHglsplural] = ACTIONS(7863),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7863),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7863),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7863),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7863),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7863),
    [anon_sym_BSLASHglsname] = ACTIONS(7863),
    [anon_sym_BSLASHGlsname] = ACTIONS(7863),
    [anon_sym_BSLASHGLSname] = ACTIONS(7863),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7863),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7863),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7863),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7863),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7863),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7863),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7863),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7863),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7863),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7863),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7863),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7863),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7863),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7863),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7863),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7863),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7863),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7863),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7863),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7863),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7863),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7863),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7863),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7863),
    [anon_sym_BSLASHacrshort] = ACTIONS(7863),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7863),
    [anon_sym_BSLASHACRshort] = ACTIONS(7863),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7863),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7863),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7863),
    [anon_sym_BSLASHacrlong] = ACTIONS(7863),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7863),
    [anon_sym_BSLASHACRlong] = ACTIONS(7863),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7863),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7863),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7863),
    [anon_sym_BSLASHacrfull] = ACTIONS(7863),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7863),
    [anon_sym_BSLASHACRfull] = ACTIONS(7863),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7863),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7863),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7863),
    [anon_sym_BSLASHacs] = ACTIONS(7863),
    [anon_sym_BSLASHAcs] = ACTIONS(7863),
    [anon_sym_BSLASHacsp] = ACTIONS(7863),
    [anon_sym_BSLASHAcsp] = ACTIONS(7863),
    [anon_sym_BSLASHacl] = ACTIONS(7863),
    [anon_sym_BSLASHAcl] = ACTIONS(7863),
    [anon_sym_BSLASHaclp] = ACTIONS(7863),
    [anon_sym_BSLASHAclp] = ACTIONS(7863),
    [anon_sym_BSLASHacf] = ACTIONS(7863),
    [anon_sym_BSLASHAcf] = ACTIONS(7863),
    [anon_sym_BSLASHacfp] = ACTIONS(7863),
    [anon_sym_BSLASHAcfp] = ACTIONS(7863),
    [anon_sym_BSLASHac] = ACTIONS(7863),
    [anon_sym_BSLASHAc] = ACTIONS(7863),
    [anon_sym_BSLASHacp] = ACTIONS(7863),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7863),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7863),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7863),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7863),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7863),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7863),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7863),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7863),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7863),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7863),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7863),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7865),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7863),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7865),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7863),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7863),
    [anon_sym_BSLASHcolor] = ACTIONS(7863),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7863),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7863),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7863),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7863),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7863),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7863),
    [anon_sym_BSLASHurl] = ACTIONS(7863),
    [anon_sym_BSLASHhref] = ACTIONS(7863),
  },
  [2162] = {
    [sym_command_name] = ACTIONS(7575),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7575),
    [anon_sym_LPAREN] = ACTIONS(7577),
    [anon_sym_RPAREN] = ACTIONS(7577),
    [anon_sym_LBRACE] = ACTIONS(7577),
    [anon_sym_RBRACE] = ACTIONS(7577),
    [anon_sym_BSLASHand] = ACTIONS(7575),
    [sym_word] = ACTIONS(7575),
    [sym_placeholder] = ACTIONS(7577),
    [sym_delimiter] = ACTIONS(7577),
    [anon_sym_PLUS] = ACTIONS(7577),
    [anon_sym_DASH] = ACTIONS(7577),
    [anon_sym_STAR] = ACTIONS(7577),
    [anon_sym_SLASH] = ACTIONS(7577),
    [anon_sym_LT] = ACTIONS(7575),
    [anon_sym_GT] = ACTIONS(7575),
    [anon_sym_BANG] = ACTIONS(7575),
    [anon_sym_PIPE] = ACTIONS(7575),
    [anon_sym_COLON] = ACTIONS(7575),
    [anon_sym_SQUOTE] = ACTIONS(7575),
    [anon_sym__] = ACTIONS(7577),
    [anon_sym_CARET] = ACTIONS(7577),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7577),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7577),
    [anon_sym_DOLLAR] = ACTIONS(7575),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7577),
    [anon_sym_BSLASHleft] = ACTIONS(7575),
    [anon_sym_BSLASHbigl] = ACTIONS(7575),
    [anon_sym_BSLASHBigl] = ACTIONS(7575),
    [anon_sym_BSLASHbiggl] = ACTIONS(7575),
    [anon_sym_BSLASHBiggl] = ACTIONS(7575),
    [anon_sym_BSLASHtext] = ACTIONS(7575),
    [anon_sym_BSLASHintertext] = ACTIONS(7575),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7575),
    [anon_sym_BSLASHtitle] = ACTIONS(7575),
    [anon_sym_BSLASHauthor] = ACTIONS(7575),
    [anon_sym_BSLASHusepackage] = ACTIONS(7575),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7575),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7575),
    [anon_sym_BSLASHinclude] = ACTIONS(7575),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7575),
    [anon_sym_BSLASHinput] = ACTIONS(7575),
    [anon_sym_BSLASHsubfile] = ACTIONS(7575),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7575),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7575),
    [anon_sym_BSLASHbibliography] = ACTIONS(7575),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7575),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7575),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7575),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7575),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7575),
    [anon_sym_BSLASHimport] = ACTIONS(7575),
    [anon_sym_BSLASHsubimport] = ACTIONS(7575),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7575),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7575),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7575),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7575),
    [anon_sym_BSLASHcaption] = ACTIONS(7575),
    [anon_sym_BSLASHcite] = ACTIONS(7575),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCite] = ACTIONS(7575),
    [anon_sym_BSLASHnocite] = ACTIONS(7575),
    [anon_sym_BSLASHcitet] = ACTIONS(7575),
    [anon_sym_BSLASHcitep] = ACTIONS(7575),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteA] = ACTIONS(7575),
    [anon_sym_BSLASHciteR] = ACTIONS(7575),
    [anon_sym_BSLASHciteS] = ACTIONS(7575),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7575),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7575),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7575),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7575),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteyear] = ACTIONS(7575),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitedate] = ACTIONS(7575),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteurl] = ACTIONS(7575),
    [anon_sym_BSLASHfullcite] = ACTIONS(7575),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7575),
    [anon_sym_BSLASHcitealt] = ACTIONS(7575),
    [anon_sym_BSLASHcitealp] = ACTIONS(7575),
    [anon_sym_BSLASHcitetext] = ACTIONS(7575),
    [anon_sym_BSLASHparencite] = ACTIONS(7575),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHParencite] = ACTIONS(7575),
    [anon_sym_BSLASHfootcite] = ACTIONS(7575),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7575),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7575),
    [anon_sym_BSLASHtextcite] = ACTIONS(7575),
    [anon_sym_BSLASHTextcite] = ACTIONS(7575),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7575),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7575),
    [anon_sym_BSLASHsupercite] = ACTIONS(7575),
    [anon_sym_BSLASHautocite] = ACTIONS(7575),
    [anon_sym_BSLASHAutocite] = ACTIONS(7575),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHVolcite] = ACTIONS(7575),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHavolcite] = ACTIONS(7575),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHNotecite] = ACTIONS(7575),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHlabel] = ACTIONS(7575),
    [anon_sym_BSLASHref] = ACTIONS(7575),
    [anon_sym_BSLASHeqref] = ACTIONS(7575),
    [anon_sym_BSLASHvref] = ACTIONS(7575),
    [anon_sym_BSLASHVref] = ACTIONS(7575),
    [anon_sym_BSLASHautoref] = ACTIONS(7575),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHpageref] = ACTIONS(7575),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHautopageref] = ACTIONS(7575),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcref] = ACTIONS(7575),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCref] = ACTIONS(7575),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcpageref] = ACTIONS(7575),
    [anon_sym_BSLASHCpageref] = ACTIONS(7575),
    [anon_sym_BSLASHnamecref] = ACTIONS(7575),
    [anon_sym_BSLASHnameCref] = ACTIONS(7575),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7575),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7575),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7575),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7575),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7575),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7575),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7575),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7575),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7575),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7575),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7575),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHdef] = ACTIONS(7575),
    [anon_sym_BSLASHgdef] = ACTIONS(7575),
    [anon_sym_BSLASHedef] = ACTIONS(7575),
    [anon_sym_BSLASHxdef] = ACTIONS(7575),
    [anon_sym_BSLASHlet] = ACTIONS(7575),
    [anon_sym_BSLASHglet] = ACTIONS(7575),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7575),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7575),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7575),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7575),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7575),
    [anon_sym_BSLASHgls] = ACTIONS(7575),
    [anon_sym_BSLASHGls] = ACTIONS(7575),
    [anon_sym_BSLASHGLS] = ACTIONS(7575),
    [anon_sym_BSLASHglspl] = ACTIONS(7575),
    [anon_sym_BSLASHGlspl] = ACTIONS(7575),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7575),
    [anon_sym_BSLASHglslink] = ACTIONS(7575),
    [anon_sym_BSLASHglstext] = ACTIONS(7575),
    [anon_sym_BSLASHGlstext] = ACTIONS(7575),
    [anon_sym_BSLASHGLStext] = ACTIONS(7575),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7575),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7575),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7575),
    [anon_sym_BSLASHglsplural] = ACTIONS(7575),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7575),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7575),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHglsname] = ACTIONS(7575),
    [anon_sym_BSLASHGlsname] = ACTIONS(7575),
    [anon_sym_BSLASHGLSname] = ACTIONS(7575),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7575),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7575),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7575),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7575),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7575),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7575),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7575),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7575),
    [anon_sym_BSLASHacrshort] = ACTIONS(7575),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7575),
    [anon_sym_BSLASHACRshort] = ACTIONS(7575),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHacrlong] = ACTIONS(7575),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7575),
    [anon_sym_BSLASHACRlong] = ACTIONS(7575),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHacrfull] = ACTIONS(7575),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7575),
    [anon_sym_BSLASHACRfull] = ACTIONS(7575),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHacs] = ACTIONS(7575),
    [anon_sym_BSLASHAcs] = ACTIONS(7575),
    [anon_sym_BSLASHacsp] = ACTIONS(7575),
    [anon_sym_BSLASHAcsp] = ACTIONS(7575),
    [anon_sym_BSLASHacl] = ACTIONS(7575),
    [anon_sym_BSLASHAcl] = ACTIONS(7575),
    [anon_sym_BSLASHaclp] = ACTIONS(7575),
    [anon_sym_BSLASHAclp] = ACTIONS(7575),
    [anon_sym_BSLASHacf] = ACTIONS(7575),
    [anon_sym_BSLASHAcf] = ACTIONS(7575),
    [anon_sym_BSLASHacfp] = ACTIONS(7575),
    [anon_sym_BSLASHAcfp] = ACTIONS(7575),
    [anon_sym_BSLASHac] = ACTIONS(7575),
    [anon_sym_BSLASHAc] = ACTIONS(7575),
    [anon_sym_BSLASHacp] = ACTIONS(7575),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7575),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7575),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7575),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7575),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7575),
    [anon_sym_BSLASHcolor] = ACTIONS(7575),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7575),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7575),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7575),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7575),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7575),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7575),
    [anon_sym_BSLASHurl] = ACTIONS(7575),
    [anon_sym_BSLASHhref] = ACTIONS(7575),
  },
  [2163] = {
    [sym_command_name] = ACTIONS(7363),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7363),
    [anon_sym_LPAREN] = ACTIONS(7365),
    [anon_sym_RPAREN] = ACTIONS(7365),
    [anon_sym_LBRACE] = ACTIONS(7365),
    [anon_sym_RBRACE] = ACTIONS(7365),
    [anon_sym_BSLASHand] = ACTIONS(7363),
    [sym_word] = ACTIONS(7363),
    [sym_placeholder] = ACTIONS(7365),
    [sym_delimiter] = ACTIONS(7365),
    [anon_sym_PLUS] = ACTIONS(7365),
    [anon_sym_DASH] = ACTIONS(7365),
    [anon_sym_STAR] = ACTIONS(7365),
    [anon_sym_SLASH] = ACTIONS(7365),
    [anon_sym_LT] = ACTIONS(7363),
    [anon_sym_GT] = ACTIONS(7363),
    [anon_sym_BANG] = ACTIONS(7363),
    [anon_sym_PIPE] = ACTIONS(7363),
    [anon_sym_COLON] = ACTIONS(7363),
    [anon_sym_SQUOTE] = ACTIONS(7363),
    [anon_sym__] = ACTIONS(7365),
    [anon_sym_CARET] = ACTIONS(7365),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7365),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7365),
    [anon_sym_DOLLAR] = ACTIONS(7363),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7365),
    [anon_sym_BSLASHleft] = ACTIONS(7363),
    [anon_sym_BSLASHbigl] = ACTIONS(7363),
    [anon_sym_BSLASHBigl] = ACTIONS(7363),
    [anon_sym_BSLASHbiggl] = ACTIONS(7363),
    [anon_sym_BSLASHBiggl] = ACTIONS(7363),
    [anon_sym_BSLASHtext] = ACTIONS(7363),
    [anon_sym_BSLASHintertext] = ACTIONS(7363),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7363),
    [anon_sym_BSLASHtitle] = ACTIONS(7363),
    [anon_sym_BSLASHauthor] = ACTIONS(7363),
    [anon_sym_BSLASHusepackage] = ACTIONS(7363),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7363),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7363),
    [anon_sym_BSLASHinclude] = ACTIONS(7363),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7363),
    [anon_sym_BSLASHinput] = ACTIONS(7363),
    [anon_sym_BSLASHsubfile] = ACTIONS(7363),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7363),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7363),
    [anon_sym_BSLASHbibliography] = ACTIONS(7363),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7363),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7363),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7363),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7363),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7363),
    [anon_sym_BSLASHimport] = ACTIONS(7363),
    [anon_sym_BSLASHsubimport] = ACTIONS(7363),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7363),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7363),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7363),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7363),
    [anon_sym_BSLASHcaption] = ACTIONS(7363),
    [anon_sym_BSLASHcite] = ACTIONS(7363),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCite] = ACTIONS(7363),
    [anon_sym_BSLASHnocite] = ACTIONS(7363),
    [anon_sym_BSLASHcitet] = ACTIONS(7363),
    [anon_sym_BSLASHcitep] = ACTIONS(7363),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteA] = ACTIONS(7363),
    [anon_sym_BSLASHciteR] = ACTIONS(7363),
    [anon_sym_BSLASHciteS] = ACTIONS(7363),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7363),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7363),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7363),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7363),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteyear] = ACTIONS(7363),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitedate] = ACTIONS(7363),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteurl] = ACTIONS(7363),
    [anon_sym_BSLASHfullcite] = ACTIONS(7363),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7363),
    [anon_sym_BSLASHcitealt] = ACTIONS(7363),
    [anon_sym_BSLASHcitealp] = ACTIONS(7363),
    [anon_sym_BSLASHcitetext] = ACTIONS(7363),
    [anon_sym_BSLASHparencite] = ACTIONS(7363),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHParencite] = ACTIONS(7363),
    [anon_sym_BSLASHfootcite] = ACTIONS(7363),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7363),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7363),
    [anon_sym_BSLASHtextcite] = ACTIONS(7363),
    [anon_sym_BSLASHTextcite] = ACTIONS(7363),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7363),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7363),
    [anon_sym_BSLASHsupercite] = ACTIONS(7363),
    [anon_sym_BSLASHautocite] = ACTIONS(7363),
    [anon_sym_BSLASHAutocite] = ACTIONS(7363),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHVolcite] = ACTIONS(7363),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHavolcite] = ACTIONS(7363),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHNotecite] = ACTIONS(7363),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHlabel] = ACTIONS(7363),
    [anon_sym_BSLASHref] = ACTIONS(7363),
    [anon_sym_BSLASHeqref] = ACTIONS(7363),
    [anon_sym_BSLASHvref] = ACTIONS(7363),
    [anon_sym_BSLASHVref] = ACTIONS(7363),
    [anon_sym_BSLASHautoref] = ACTIONS(7363),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHpageref] = ACTIONS(7363),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHautopageref] = ACTIONS(7363),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcref] = ACTIONS(7363),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCref] = ACTIONS(7363),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcpageref] = ACTIONS(7363),
    [anon_sym_BSLASHCpageref] = ACTIONS(7363),
    [anon_sym_BSLASHnamecref] = ACTIONS(7363),
    [anon_sym_BSLASHnameCref] = ACTIONS(7363),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7363),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7363),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7363),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7363),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7363),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7363),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7363),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7363),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7363),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7363),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7363),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHdef] = ACTIONS(7363),
    [anon_sym_BSLASHgdef] = ACTIONS(7363),
    [anon_sym_BSLASHedef] = ACTIONS(7363),
    [anon_sym_BSLASHxdef] = ACTIONS(7363),
    [anon_sym_BSLASHlet] = ACTIONS(7363),
    [anon_sym_BSLASHglet] = ACTIONS(7363),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7363),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7363),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7363),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7363),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7363),
    [anon_sym_BSLASHgls] = ACTIONS(7363),
    [anon_sym_BSLASHGls] = ACTIONS(7363),
    [anon_sym_BSLASHGLS] = ACTIONS(7363),
    [anon_sym_BSLASHglspl] = ACTIONS(7363),
    [anon_sym_BSLASHGlspl] = ACTIONS(7363),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7363),
    [anon_sym_BSLASHglslink] = ACTIONS(7363),
    [anon_sym_BSLASHglstext] = ACTIONS(7363),
    [anon_sym_BSLASHGlstext] = ACTIONS(7363),
    [anon_sym_BSLASHGLStext] = ACTIONS(7363),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7363),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7363),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7363),
    [anon_sym_BSLASHglsplural] = ACTIONS(7363),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7363),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7363),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHglsname] = ACTIONS(7363),
    [anon_sym_BSLASHGlsname] = ACTIONS(7363),
    [anon_sym_BSLASHGLSname] = ACTIONS(7363),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7363),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7363),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7363),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7363),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7363),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7363),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7363),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7363),
    [anon_sym_BSLASHacrshort] = ACTIONS(7363),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7363),
    [anon_sym_BSLASHACRshort] = ACTIONS(7363),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHacrlong] = ACTIONS(7363),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7363),
    [anon_sym_BSLASHACRlong] = ACTIONS(7363),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHacrfull] = ACTIONS(7363),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7363),
    [anon_sym_BSLASHACRfull] = ACTIONS(7363),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHacs] = ACTIONS(7363),
    [anon_sym_BSLASHAcs] = ACTIONS(7363),
    [anon_sym_BSLASHacsp] = ACTIONS(7363),
    [anon_sym_BSLASHAcsp] = ACTIONS(7363),
    [anon_sym_BSLASHacl] = ACTIONS(7363),
    [anon_sym_BSLASHAcl] = ACTIONS(7363),
    [anon_sym_BSLASHaclp] = ACTIONS(7363),
    [anon_sym_BSLASHAclp] = ACTIONS(7363),
    [anon_sym_BSLASHacf] = ACTIONS(7363),
    [anon_sym_BSLASHAcf] = ACTIONS(7363),
    [anon_sym_BSLASHacfp] = ACTIONS(7363),
    [anon_sym_BSLASHAcfp] = ACTIONS(7363),
    [anon_sym_BSLASHac] = ACTIONS(7363),
    [anon_sym_BSLASHAc] = ACTIONS(7363),
    [anon_sym_BSLASHacp] = ACTIONS(7363),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7363),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7363),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7363),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7363),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7363),
    [anon_sym_BSLASHcolor] = ACTIONS(7363),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7363),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7363),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7363),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7363),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7363),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7363),
    [anon_sym_BSLASHurl] = ACTIONS(7363),
    [anon_sym_BSLASHhref] = ACTIONS(7363),
  },
  [2164] = {
    [sym_command_name] = ACTIONS(7367),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7367),
    [anon_sym_LPAREN] = ACTIONS(7369),
    [anon_sym_RPAREN] = ACTIONS(7369),
    [anon_sym_LBRACE] = ACTIONS(7369),
    [anon_sym_RBRACE] = ACTIONS(7369),
    [anon_sym_BSLASHand] = ACTIONS(7367),
    [sym_word] = ACTIONS(7367),
    [sym_placeholder] = ACTIONS(7369),
    [sym_delimiter] = ACTIONS(7369),
    [anon_sym_PLUS] = ACTIONS(7369),
    [anon_sym_DASH] = ACTIONS(7369),
    [anon_sym_STAR] = ACTIONS(7369),
    [anon_sym_SLASH] = ACTIONS(7369),
    [anon_sym_LT] = ACTIONS(7367),
    [anon_sym_GT] = ACTIONS(7367),
    [anon_sym_BANG] = ACTIONS(7367),
    [anon_sym_PIPE] = ACTIONS(7367),
    [anon_sym_COLON] = ACTIONS(7367),
    [anon_sym_SQUOTE] = ACTIONS(7367),
    [anon_sym__] = ACTIONS(7369),
    [anon_sym_CARET] = ACTIONS(7369),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7369),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7369),
    [anon_sym_DOLLAR] = ACTIONS(7367),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7369),
    [anon_sym_BSLASHleft] = ACTIONS(7367),
    [anon_sym_BSLASHbigl] = ACTIONS(7367),
    [anon_sym_BSLASHBigl] = ACTIONS(7367),
    [anon_sym_BSLASHbiggl] = ACTIONS(7367),
    [anon_sym_BSLASHBiggl] = ACTIONS(7367),
    [anon_sym_BSLASHtext] = ACTIONS(7367),
    [anon_sym_BSLASHintertext] = ACTIONS(7367),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7367),
    [anon_sym_BSLASHtitle] = ACTIONS(7367),
    [anon_sym_BSLASHauthor] = ACTIONS(7367),
    [anon_sym_BSLASHusepackage] = ACTIONS(7367),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7367),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7367),
    [anon_sym_BSLASHinclude] = ACTIONS(7367),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7367),
    [anon_sym_BSLASHinput] = ACTIONS(7367),
    [anon_sym_BSLASHsubfile] = ACTIONS(7367),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7367),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7367),
    [anon_sym_BSLASHbibliography] = ACTIONS(7367),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7367),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7367),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7367),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7367),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7367),
    [anon_sym_BSLASHimport] = ACTIONS(7367),
    [anon_sym_BSLASHsubimport] = ACTIONS(7367),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7367),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7367),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7367),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7367),
    [anon_sym_BSLASHcaption] = ACTIONS(7367),
    [anon_sym_BSLASHcite] = ACTIONS(7367),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCite] = ACTIONS(7367),
    [anon_sym_BSLASHnocite] = ACTIONS(7367),
    [anon_sym_BSLASHcitet] = ACTIONS(7367),
    [anon_sym_BSLASHcitep] = ACTIONS(7367),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteA] = ACTIONS(7367),
    [anon_sym_BSLASHciteR] = ACTIONS(7367),
    [anon_sym_BSLASHciteS] = ACTIONS(7367),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7367),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7367),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7367),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7367),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteyear] = ACTIONS(7367),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitedate] = ACTIONS(7367),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteurl] = ACTIONS(7367),
    [anon_sym_BSLASHfullcite] = ACTIONS(7367),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7367),
    [anon_sym_BSLASHcitealt] = ACTIONS(7367),
    [anon_sym_BSLASHcitealp] = ACTIONS(7367),
    [anon_sym_BSLASHcitetext] = ACTIONS(7367),
    [anon_sym_BSLASHparencite] = ACTIONS(7367),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHParencite] = ACTIONS(7367),
    [anon_sym_BSLASHfootcite] = ACTIONS(7367),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7367),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7367),
    [anon_sym_BSLASHtextcite] = ACTIONS(7367),
    [anon_sym_BSLASHTextcite] = ACTIONS(7367),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7367),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7367),
    [anon_sym_BSLASHsupercite] = ACTIONS(7367),
    [anon_sym_BSLASHautocite] = ACTIONS(7367),
    [anon_sym_BSLASHAutocite] = ACTIONS(7367),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHVolcite] = ACTIONS(7367),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHavolcite] = ACTIONS(7367),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHNotecite] = ACTIONS(7367),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHlabel] = ACTIONS(7367),
    [anon_sym_BSLASHref] = ACTIONS(7367),
    [anon_sym_BSLASHeqref] = ACTIONS(7367),
    [anon_sym_BSLASHvref] = ACTIONS(7367),
    [anon_sym_BSLASHVref] = ACTIONS(7367),
    [anon_sym_BSLASHautoref] = ACTIONS(7367),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHpageref] = ACTIONS(7367),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHautopageref] = ACTIONS(7367),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcref] = ACTIONS(7367),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCref] = ACTIONS(7367),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcpageref] = ACTIONS(7367),
    [anon_sym_BSLASHCpageref] = ACTIONS(7367),
    [anon_sym_BSLASHnamecref] = ACTIONS(7367),
    [anon_sym_BSLASHnameCref] = ACTIONS(7367),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7367),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7367),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7367),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7367),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7367),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7367),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7367),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7367),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7367),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7367),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7367),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHdef] = ACTIONS(7367),
    [anon_sym_BSLASHgdef] = ACTIONS(7367),
    [anon_sym_BSLASHedef] = ACTIONS(7367),
    [anon_sym_BSLASHxdef] = ACTIONS(7367),
    [anon_sym_BSLASHlet] = ACTIONS(7367),
    [anon_sym_BSLASHglet] = ACTIONS(7367),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7367),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7367),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7367),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7367),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7367),
    [anon_sym_BSLASHgls] = ACTIONS(7367),
    [anon_sym_BSLASHGls] = ACTIONS(7367),
    [anon_sym_BSLASHGLS] = ACTIONS(7367),
    [anon_sym_BSLASHglspl] = ACTIONS(7367),
    [anon_sym_BSLASHGlspl] = ACTIONS(7367),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7367),
    [anon_sym_BSLASHglslink] = ACTIONS(7367),
    [anon_sym_BSLASHglstext] = ACTIONS(7367),
    [anon_sym_BSLASHGlstext] = ACTIONS(7367),
    [anon_sym_BSLASHGLStext] = ACTIONS(7367),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7367),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7367),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7367),
    [anon_sym_BSLASHglsplural] = ACTIONS(7367),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7367),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7367),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHglsname] = ACTIONS(7367),
    [anon_sym_BSLASHGlsname] = ACTIONS(7367),
    [anon_sym_BSLASHGLSname] = ACTIONS(7367),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7367),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7367),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7367),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7367),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7367),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7367),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7367),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7367),
    [anon_sym_BSLASHacrshort] = ACTIONS(7367),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7367),
    [anon_sym_BSLASHACRshort] = ACTIONS(7367),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHacrlong] = ACTIONS(7367),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7367),
    [anon_sym_BSLASHACRlong] = ACTIONS(7367),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHacrfull] = ACTIONS(7367),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7367),
    [anon_sym_BSLASHACRfull] = ACTIONS(7367),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHacs] = ACTIONS(7367),
    [anon_sym_BSLASHAcs] = ACTIONS(7367),
    [anon_sym_BSLASHacsp] = ACTIONS(7367),
    [anon_sym_BSLASHAcsp] = ACTIONS(7367),
    [anon_sym_BSLASHacl] = ACTIONS(7367),
    [anon_sym_BSLASHAcl] = ACTIONS(7367),
    [anon_sym_BSLASHaclp] = ACTIONS(7367),
    [anon_sym_BSLASHAclp] = ACTIONS(7367),
    [anon_sym_BSLASHacf] = ACTIONS(7367),
    [anon_sym_BSLASHAcf] = ACTIONS(7367),
    [anon_sym_BSLASHacfp] = ACTIONS(7367),
    [anon_sym_BSLASHAcfp] = ACTIONS(7367),
    [anon_sym_BSLASHac] = ACTIONS(7367),
    [anon_sym_BSLASHAc] = ACTIONS(7367),
    [anon_sym_BSLASHacp] = ACTIONS(7367),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7367),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7367),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7367),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7367),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7367),
    [anon_sym_BSLASHcolor] = ACTIONS(7367),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7367),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7367),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7367),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7367),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7367),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7367),
    [anon_sym_BSLASHurl] = ACTIONS(7367),
    [anon_sym_BSLASHhref] = ACTIONS(7367),
  },
  [2165] = {
    [sym_command_name] = ACTIONS(7579),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7579),
    [anon_sym_LPAREN] = ACTIONS(7581),
    [anon_sym_RPAREN] = ACTIONS(7581),
    [anon_sym_LBRACE] = ACTIONS(7581),
    [anon_sym_RBRACE] = ACTIONS(7581),
    [anon_sym_BSLASHand] = ACTIONS(7579),
    [sym_word] = ACTIONS(7579),
    [sym_placeholder] = ACTIONS(7581),
    [sym_delimiter] = ACTIONS(7581),
    [anon_sym_PLUS] = ACTIONS(7581),
    [anon_sym_DASH] = ACTIONS(7581),
    [anon_sym_STAR] = ACTIONS(7581),
    [anon_sym_SLASH] = ACTIONS(7581),
    [anon_sym_LT] = ACTIONS(7579),
    [anon_sym_GT] = ACTIONS(7579),
    [anon_sym_BANG] = ACTIONS(7579),
    [anon_sym_PIPE] = ACTIONS(7579),
    [anon_sym_COLON] = ACTIONS(7579),
    [anon_sym_SQUOTE] = ACTIONS(7579),
    [anon_sym__] = ACTIONS(7581),
    [anon_sym_CARET] = ACTIONS(7581),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7581),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7581),
    [anon_sym_DOLLAR] = ACTIONS(7579),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7581),
    [anon_sym_BSLASHleft] = ACTIONS(7579),
    [anon_sym_BSLASHbigl] = ACTIONS(7579),
    [anon_sym_BSLASHBigl] = ACTIONS(7579),
    [anon_sym_BSLASHbiggl] = ACTIONS(7579),
    [anon_sym_BSLASHBiggl] = ACTIONS(7579),
    [anon_sym_BSLASHtext] = ACTIONS(7579),
    [anon_sym_BSLASHintertext] = ACTIONS(7579),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7579),
    [anon_sym_BSLASHtitle] = ACTIONS(7579),
    [anon_sym_BSLASHauthor] = ACTIONS(7579),
    [anon_sym_BSLASHusepackage] = ACTIONS(7579),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7579),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7579),
    [anon_sym_BSLASHinclude] = ACTIONS(7579),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7579),
    [anon_sym_BSLASHinput] = ACTIONS(7579),
    [anon_sym_BSLASHsubfile] = ACTIONS(7579),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7579),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7579),
    [anon_sym_BSLASHbibliography] = ACTIONS(7579),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7579),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7579),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7579),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7579),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7579),
    [anon_sym_BSLASHimport] = ACTIONS(7579),
    [anon_sym_BSLASHsubimport] = ACTIONS(7579),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7579),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7579),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7579),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7579),
    [anon_sym_BSLASHcaption] = ACTIONS(7579),
    [anon_sym_BSLASHcite] = ACTIONS(7579),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCite] = ACTIONS(7579),
    [anon_sym_BSLASHnocite] = ACTIONS(7579),
    [anon_sym_BSLASHcitet] = ACTIONS(7579),
    [anon_sym_BSLASHcitep] = ACTIONS(7579),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteA] = ACTIONS(7579),
    [anon_sym_BSLASHciteR] = ACTIONS(7579),
    [anon_sym_BSLASHciteS] = ACTIONS(7579),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7579),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7579),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7579),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7579),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteyear] = ACTIONS(7579),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitedate] = ACTIONS(7579),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteurl] = ACTIONS(7579),
    [anon_sym_BSLASHfullcite] = ACTIONS(7579),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7579),
    [anon_sym_BSLASHcitealt] = ACTIONS(7579),
    [anon_sym_BSLASHcitealp] = ACTIONS(7579),
    [anon_sym_BSLASHcitetext] = ACTIONS(7579),
    [anon_sym_BSLASHparencite] = ACTIONS(7579),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHParencite] = ACTIONS(7579),
    [anon_sym_BSLASHfootcite] = ACTIONS(7579),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7579),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7579),
    [anon_sym_BSLASHtextcite] = ACTIONS(7579),
    [anon_sym_BSLASHTextcite] = ACTIONS(7579),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7579),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7579),
    [anon_sym_BSLASHsupercite] = ACTIONS(7579),
    [anon_sym_BSLASHautocite] = ACTIONS(7579),
    [anon_sym_BSLASHAutocite] = ACTIONS(7579),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHVolcite] = ACTIONS(7579),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHavolcite] = ACTIONS(7579),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHNotecite] = ACTIONS(7579),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHlabel] = ACTIONS(7579),
    [anon_sym_BSLASHref] = ACTIONS(7579),
    [anon_sym_BSLASHeqref] = ACTIONS(7579),
    [anon_sym_BSLASHvref] = ACTIONS(7579),
    [anon_sym_BSLASHVref] = ACTIONS(7579),
    [anon_sym_BSLASHautoref] = ACTIONS(7579),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHpageref] = ACTIONS(7579),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHautopageref] = ACTIONS(7579),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcref] = ACTIONS(7579),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCref] = ACTIONS(7579),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcpageref] = ACTIONS(7579),
    [anon_sym_BSLASHCpageref] = ACTIONS(7579),
    [anon_sym_BSLASHnamecref] = ACTIONS(7579),
    [anon_sym_BSLASHnameCref] = ACTIONS(7579),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7579),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7579),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7579),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7579),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7579),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7579),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7579),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7579),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7579),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7579),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7579),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHdef] = ACTIONS(7579),
    [anon_sym_BSLASHgdef] = ACTIONS(7579),
    [anon_sym_BSLASHedef] = ACTIONS(7579),
    [anon_sym_BSLASHxdef] = ACTIONS(7579),
    [anon_sym_BSLASHlet] = ACTIONS(7579),
    [anon_sym_BSLASHglet] = ACTIONS(7579),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7579),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7579),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7579),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7579),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7579),
    [anon_sym_BSLASHgls] = ACTIONS(7579),
    [anon_sym_BSLASHGls] = ACTIONS(7579),
    [anon_sym_BSLASHGLS] = ACTIONS(7579),
    [anon_sym_BSLASHglspl] = ACTIONS(7579),
    [anon_sym_BSLASHGlspl] = ACTIONS(7579),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7579),
    [anon_sym_BSLASHglslink] = ACTIONS(7579),
    [anon_sym_BSLASHglstext] = ACTIONS(7579),
    [anon_sym_BSLASHGlstext] = ACTIONS(7579),
    [anon_sym_BSLASHGLStext] = ACTIONS(7579),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7579),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7579),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7579),
    [anon_sym_BSLASHglsplural] = ACTIONS(7579),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7579),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7579),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHglsname] = ACTIONS(7579),
    [anon_sym_BSLASHGlsname] = ACTIONS(7579),
    [anon_sym_BSLASHGLSname] = ACTIONS(7579),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7579),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7579),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7579),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7579),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7579),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7579),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7579),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7579),
    [anon_sym_BSLASHacrshort] = ACTIONS(7579),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7579),
    [anon_sym_BSLASHACRshort] = ACTIONS(7579),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHacrlong] = ACTIONS(7579),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7579),
    [anon_sym_BSLASHACRlong] = ACTIONS(7579),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHacrfull] = ACTIONS(7579),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7579),
    [anon_sym_BSLASHACRfull] = ACTIONS(7579),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHacs] = ACTIONS(7579),
    [anon_sym_BSLASHAcs] = ACTIONS(7579),
    [anon_sym_BSLASHacsp] = ACTIONS(7579),
    [anon_sym_BSLASHAcsp] = ACTIONS(7579),
    [anon_sym_BSLASHacl] = ACTIONS(7579),
    [anon_sym_BSLASHAcl] = ACTIONS(7579),
    [anon_sym_BSLASHaclp] = ACTIONS(7579),
    [anon_sym_BSLASHAclp] = ACTIONS(7579),
    [anon_sym_BSLASHacf] = ACTIONS(7579),
    [anon_sym_BSLASHAcf] = ACTIONS(7579),
    [anon_sym_BSLASHacfp] = ACTIONS(7579),
    [anon_sym_BSLASHAcfp] = ACTIONS(7579),
    [anon_sym_BSLASHac] = ACTIONS(7579),
    [anon_sym_BSLASHAc] = ACTIONS(7579),
    [anon_sym_BSLASHacp] = ACTIONS(7579),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7579),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7579),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7579),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7579),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7579),
    [anon_sym_BSLASHcolor] = ACTIONS(7579),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7579),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7579),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7579),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7579),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7579),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7579),
    [anon_sym_BSLASHurl] = ACTIONS(7579),
    [anon_sym_BSLASHhref] = ACTIONS(7579),
  },
  [2166] = {
    [sym_command_name] = ACTIONS(7583),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7583),
    [anon_sym_LPAREN] = ACTIONS(7585),
    [anon_sym_RPAREN] = ACTIONS(7585),
    [anon_sym_LBRACE] = ACTIONS(7585),
    [anon_sym_RBRACE] = ACTIONS(7585),
    [anon_sym_BSLASHand] = ACTIONS(7583),
    [sym_word] = ACTIONS(7583),
    [sym_placeholder] = ACTIONS(7585),
    [sym_delimiter] = ACTIONS(7585),
    [anon_sym_PLUS] = ACTIONS(7585),
    [anon_sym_DASH] = ACTIONS(7585),
    [anon_sym_STAR] = ACTIONS(7585),
    [anon_sym_SLASH] = ACTIONS(7585),
    [anon_sym_LT] = ACTIONS(7583),
    [anon_sym_GT] = ACTIONS(7583),
    [anon_sym_BANG] = ACTIONS(7583),
    [anon_sym_PIPE] = ACTIONS(7583),
    [anon_sym_COLON] = ACTIONS(7583),
    [anon_sym_SQUOTE] = ACTIONS(7583),
    [anon_sym__] = ACTIONS(7585),
    [anon_sym_CARET] = ACTIONS(7585),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7585),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7585),
    [anon_sym_DOLLAR] = ACTIONS(7583),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7585),
    [anon_sym_BSLASHleft] = ACTIONS(7583),
    [anon_sym_BSLASHbigl] = ACTIONS(7583),
    [anon_sym_BSLASHBigl] = ACTIONS(7583),
    [anon_sym_BSLASHbiggl] = ACTIONS(7583),
    [anon_sym_BSLASHBiggl] = ACTIONS(7583),
    [anon_sym_BSLASHtext] = ACTIONS(7583),
    [anon_sym_BSLASHintertext] = ACTIONS(7583),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7583),
    [anon_sym_BSLASHtitle] = ACTIONS(7583),
    [anon_sym_BSLASHauthor] = ACTIONS(7583),
    [anon_sym_BSLASHusepackage] = ACTIONS(7583),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7583),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7583),
    [anon_sym_BSLASHinclude] = ACTIONS(7583),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7583),
    [anon_sym_BSLASHinput] = ACTIONS(7583),
    [anon_sym_BSLASHsubfile] = ACTIONS(7583),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7583),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7583),
    [anon_sym_BSLASHbibliography] = ACTIONS(7583),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7583),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7583),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7583),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7583),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7583),
    [anon_sym_BSLASHimport] = ACTIONS(7583),
    [anon_sym_BSLASHsubimport] = ACTIONS(7583),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7583),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7583),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7583),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7583),
    [anon_sym_BSLASHcaption] = ACTIONS(7583),
    [anon_sym_BSLASHcite] = ACTIONS(7583),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCite] = ACTIONS(7583),
    [anon_sym_BSLASHnocite] = ACTIONS(7583),
    [anon_sym_BSLASHcitet] = ACTIONS(7583),
    [anon_sym_BSLASHcitep] = ACTIONS(7583),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteA] = ACTIONS(7583),
    [anon_sym_BSLASHciteR] = ACTIONS(7583),
    [anon_sym_BSLASHciteS] = ACTIONS(7583),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7583),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7583),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7583),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7583),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteyear] = ACTIONS(7583),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitedate] = ACTIONS(7583),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteurl] = ACTIONS(7583),
    [anon_sym_BSLASHfullcite] = ACTIONS(7583),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7583),
    [anon_sym_BSLASHcitealt] = ACTIONS(7583),
    [anon_sym_BSLASHcitealp] = ACTIONS(7583),
    [anon_sym_BSLASHcitetext] = ACTIONS(7583),
    [anon_sym_BSLASHparencite] = ACTIONS(7583),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHParencite] = ACTIONS(7583),
    [anon_sym_BSLASHfootcite] = ACTIONS(7583),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7583),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7583),
    [anon_sym_BSLASHtextcite] = ACTIONS(7583),
    [anon_sym_BSLASHTextcite] = ACTIONS(7583),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7583),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7583),
    [anon_sym_BSLASHsupercite] = ACTIONS(7583),
    [anon_sym_BSLASHautocite] = ACTIONS(7583),
    [anon_sym_BSLASHAutocite] = ACTIONS(7583),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHVolcite] = ACTIONS(7583),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHavolcite] = ACTIONS(7583),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHNotecite] = ACTIONS(7583),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHlabel] = ACTIONS(7583),
    [anon_sym_BSLASHref] = ACTIONS(7583),
    [anon_sym_BSLASHeqref] = ACTIONS(7583),
    [anon_sym_BSLASHvref] = ACTIONS(7583),
    [anon_sym_BSLASHVref] = ACTIONS(7583),
    [anon_sym_BSLASHautoref] = ACTIONS(7583),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHpageref] = ACTIONS(7583),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHautopageref] = ACTIONS(7583),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcref] = ACTIONS(7583),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCref] = ACTIONS(7583),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcpageref] = ACTIONS(7583),
    [anon_sym_BSLASHCpageref] = ACTIONS(7583),
    [anon_sym_BSLASHnamecref] = ACTIONS(7583),
    [anon_sym_BSLASHnameCref] = ACTIONS(7583),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7583),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7583),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7583),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7583),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7583),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7583),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7583),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7583),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7583),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7583),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7583),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHdef] = ACTIONS(7583),
    [anon_sym_BSLASHgdef] = ACTIONS(7583),
    [anon_sym_BSLASHedef] = ACTIONS(7583),
    [anon_sym_BSLASHxdef] = ACTIONS(7583),
    [anon_sym_BSLASHlet] = ACTIONS(7583),
    [anon_sym_BSLASHglet] = ACTIONS(7583),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7583),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7583),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7583),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7583),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7583),
    [anon_sym_BSLASHgls] = ACTIONS(7583),
    [anon_sym_BSLASHGls] = ACTIONS(7583),
    [anon_sym_BSLASHGLS] = ACTIONS(7583),
    [anon_sym_BSLASHglspl] = ACTIONS(7583),
    [anon_sym_BSLASHGlspl] = ACTIONS(7583),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7583),
    [anon_sym_BSLASHglslink] = ACTIONS(7583),
    [anon_sym_BSLASHglstext] = ACTIONS(7583),
    [anon_sym_BSLASHGlstext] = ACTIONS(7583),
    [anon_sym_BSLASHGLStext] = ACTIONS(7583),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7583),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7583),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7583),
    [anon_sym_BSLASHglsplural] = ACTIONS(7583),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7583),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7583),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHglsname] = ACTIONS(7583),
    [anon_sym_BSLASHGlsname] = ACTIONS(7583),
    [anon_sym_BSLASHGLSname] = ACTIONS(7583),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7583),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7583),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7583),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7583),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7583),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7583),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7583),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7583),
    [anon_sym_BSLASHacrshort] = ACTIONS(7583),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7583),
    [anon_sym_BSLASHACRshort] = ACTIONS(7583),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHacrlong] = ACTIONS(7583),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7583),
    [anon_sym_BSLASHACRlong] = ACTIONS(7583),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHacrfull] = ACTIONS(7583),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7583),
    [anon_sym_BSLASHACRfull] = ACTIONS(7583),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHacs] = ACTIONS(7583),
    [anon_sym_BSLASHAcs] = ACTIONS(7583),
    [anon_sym_BSLASHacsp] = ACTIONS(7583),
    [anon_sym_BSLASHAcsp] = ACTIONS(7583),
    [anon_sym_BSLASHacl] = ACTIONS(7583),
    [anon_sym_BSLASHAcl] = ACTIONS(7583),
    [anon_sym_BSLASHaclp] = ACTIONS(7583),
    [anon_sym_BSLASHAclp] = ACTIONS(7583),
    [anon_sym_BSLASHacf] = ACTIONS(7583),
    [anon_sym_BSLASHAcf] = ACTIONS(7583),
    [anon_sym_BSLASHacfp] = ACTIONS(7583),
    [anon_sym_BSLASHAcfp] = ACTIONS(7583),
    [anon_sym_BSLASHac] = ACTIONS(7583),
    [anon_sym_BSLASHAc] = ACTIONS(7583),
    [anon_sym_BSLASHacp] = ACTIONS(7583),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7583),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7583),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7583),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7583),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7583),
    [anon_sym_BSLASHcolor] = ACTIONS(7583),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7583),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7583),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7583),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7583),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7583),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7583),
    [anon_sym_BSLASHurl] = ACTIONS(7583),
    [anon_sym_BSLASHhref] = ACTIONS(7583),
  },
  [2167] = {
    [sym_command_name] = ACTIONS(7587),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7587),
    [anon_sym_LPAREN] = ACTIONS(7589),
    [anon_sym_RPAREN] = ACTIONS(7589),
    [anon_sym_LBRACE] = ACTIONS(7589),
    [anon_sym_RBRACE] = ACTIONS(7589),
    [anon_sym_BSLASHand] = ACTIONS(7587),
    [sym_word] = ACTIONS(7587),
    [sym_placeholder] = ACTIONS(7589),
    [sym_delimiter] = ACTIONS(7589),
    [anon_sym_PLUS] = ACTIONS(7589),
    [anon_sym_DASH] = ACTIONS(7589),
    [anon_sym_STAR] = ACTIONS(7589),
    [anon_sym_SLASH] = ACTIONS(7589),
    [anon_sym_LT] = ACTIONS(7587),
    [anon_sym_GT] = ACTIONS(7587),
    [anon_sym_BANG] = ACTIONS(7587),
    [anon_sym_PIPE] = ACTIONS(7587),
    [anon_sym_COLON] = ACTIONS(7587),
    [anon_sym_SQUOTE] = ACTIONS(7587),
    [anon_sym__] = ACTIONS(7589),
    [anon_sym_CARET] = ACTIONS(7589),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7589),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7589),
    [anon_sym_DOLLAR] = ACTIONS(7587),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7589),
    [anon_sym_BSLASHleft] = ACTIONS(7587),
    [anon_sym_BSLASHbigl] = ACTIONS(7587),
    [anon_sym_BSLASHBigl] = ACTIONS(7587),
    [anon_sym_BSLASHbiggl] = ACTIONS(7587),
    [anon_sym_BSLASHBiggl] = ACTIONS(7587),
    [anon_sym_BSLASHtext] = ACTIONS(7587),
    [anon_sym_BSLASHintertext] = ACTIONS(7587),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7587),
    [anon_sym_BSLASHtitle] = ACTIONS(7587),
    [anon_sym_BSLASHauthor] = ACTIONS(7587),
    [anon_sym_BSLASHusepackage] = ACTIONS(7587),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7587),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7587),
    [anon_sym_BSLASHinclude] = ACTIONS(7587),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7587),
    [anon_sym_BSLASHinput] = ACTIONS(7587),
    [anon_sym_BSLASHsubfile] = ACTIONS(7587),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7587),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7587),
    [anon_sym_BSLASHbibliography] = ACTIONS(7587),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7587),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7587),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7587),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7587),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7587),
    [anon_sym_BSLASHimport] = ACTIONS(7587),
    [anon_sym_BSLASHsubimport] = ACTIONS(7587),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7587),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7587),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7587),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7587),
    [anon_sym_BSLASHcaption] = ACTIONS(7587),
    [anon_sym_BSLASHcite] = ACTIONS(7587),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCite] = ACTIONS(7587),
    [anon_sym_BSLASHnocite] = ACTIONS(7587),
    [anon_sym_BSLASHcitet] = ACTIONS(7587),
    [anon_sym_BSLASHcitep] = ACTIONS(7587),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteA] = ACTIONS(7587),
    [anon_sym_BSLASHciteR] = ACTIONS(7587),
    [anon_sym_BSLASHciteS] = ACTIONS(7587),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7587),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7587),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7587),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7587),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteyear] = ACTIONS(7587),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitedate] = ACTIONS(7587),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteurl] = ACTIONS(7587),
    [anon_sym_BSLASHfullcite] = ACTIONS(7587),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7587),
    [anon_sym_BSLASHcitealt] = ACTIONS(7587),
    [anon_sym_BSLASHcitealp] = ACTIONS(7587),
    [anon_sym_BSLASHcitetext] = ACTIONS(7587),
    [anon_sym_BSLASHparencite] = ACTIONS(7587),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHParencite] = ACTIONS(7587),
    [anon_sym_BSLASHfootcite] = ACTIONS(7587),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7587),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7587),
    [anon_sym_BSLASHtextcite] = ACTIONS(7587),
    [anon_sym_BSLASHTextcite] = ACTIONS(7587),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7587),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7587),
    [anon_sym_BSLASHsupercite] = ACTIONS(7587),
    [anon_sym_BSLASHautocite] = ACTIONS(7587),
    [anon_sym_BSLASHAutocite] = ACTIONS(7587),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHVolcite] = ACTIONS(7587),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHavolcite] = ACTIONS(7587),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHNotecite] = ACTIONS(7587),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHlabel] = ACTIONS(7587),
    [anon_sym_BSLASHref] = ACTIONS(7587),
    [anon_sym_BSLASHeqref] = ACTIONS(7587),
    [anon_sym_BSLASHvref] = ACTIONS(7587),
    [anon_sym_BSLASHVref] = ACTIONS(7587),
    [anon_sym_BSLASHautoref] = ACTIONS(7587),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHpageref] = ACTIONS(7587),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHautopageref] = ACTIONS(7587),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcref] = ACTIONS(7587),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCref] = ACTIONS(7587),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcpageref] = ACTIONS(7587),
    [anon_sym_BSLASHCpageref] = ACTIONS(7587),
    [anon_sym_BSLASHnamecref] = ACTIONS(7587),
    [anon_sym_BSLASHnameCref] = ACTIONS(7587),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7587),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7587),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7587),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7587),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7587),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7587),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7587),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7587),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7587),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7587),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7587),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHdef] = ACTIONS(7587),
    [anon_sym_BSLASHgdef] = ACTIONS(7587),
    [anon_sym_BSLASHedef] = ACTIONS(7587),
    [anon_sym_BSLASHxdef] = ACTIONS(7587),
    [anon_sym_BSLASHlet] = ACTIONS(7587),
    [anon_sym_BSLASHglet] = ACTIONS(7587),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7587),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7587),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7587),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7587),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7587),
    [anon_sym_BSLASHgls] = ACTIONS(7587),
    [anon_sym_BSLASHGls] = ACTIONS(7587),
    [anon_sym_BSLASHGLS] = ACTIONS(7587),
    [anon_sym_BSLASHglspl] = ACTIONS(7587),
    [anon_sym_BSLASHGlspl] = ACTIONS(7587),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7587),
    [anon_sym_BSLASHglslink] = ACTIONS(7587),
    [anon_sym_BSLASHglstext] = ACTIONS(7587),
    [anon_sym_BSLASHGlstext] = ACTIONS(7587),
    [anon_sym_BSLASHGLStext] = ACTIONS(7587),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7587),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7587),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7587),
    [anon_sym_BSLASHglsplural] = ACTIONS(7587),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7587),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7587),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHglsname] = ACTIONS(7587),
    [anon_sym_BSLASHGlsname] = ACTIONS(7587),
    [anon_sym_BSLASHGLSname] = ACTIONS(7587),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7587),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7587),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7587),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7587),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7587),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7587),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7587),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7587),
    [anon_sym_BSLASHacrshort] = ACTIONS(7587),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7587),
    [anon_sym_BSLASHACRshort] = ACTIONS(7587),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHacrlong] = ACTIONS(7587),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7587),
    [anon_sym_BSLASHACRlong] = ACTIONS(7587),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHacrfull] = ACTIONS(7587),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7587),
    [anon_sym_BSLASHACRfull] = ACTIONS(7587),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHacs] = ACTIONS(7587),
    [anon_sym_BSLASHAcs] = ACTIONS(7587),
    [anon_sym_BSLASHacsp] = ACTIONS(7587),
    [anon_sym_BSLASHAcsp] = ACTIONS(7587),
    [anon_sym_BSLASHacl] = ACTIONS(7587),
    [anon_sym_BSLASHAcl] = ACTIONS(7587),
    [anon_sym_BSLASHaclp] = ACTIONS(7587),
    [anon_sym_BSLASHAclp] = ACTIONS(7587),
    [anon_sym_BSLASHacf] = ACTIONS(7587),
    [anon_sym_BSLASHAcf] = ACTIONS(7587),
    [anon_sym_BSLASHacfp] = ACTIONS(7587),
    [anon_sym_BSLASHAcfp] = ACTIONS(7587),
    [anon_sym_BSLASHac] = ACTIONS(7587),
    [anon_sym_BSLASHAc] = ACTIONS(7587),
    [anon_sym_BSLASHacp] = ACTIONS(7587),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7587),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7587),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7587),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7587),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7587),
    [anon_sym_BSLASHcolor] = ACTIONS(7587),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7587),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7587),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7587),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7587),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7587),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7587),
    [anon_sym_BSLASHurl] = ACTIONS(7587),
    [anon_sym_BSLASHhref] = ACTIONS(7587),
  },
  [2168] = {
    [sym_command_name] = ACTIONS(7591),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7591),
    [anon_sym_LPAREN] = ACTIONS(7593),
    [anon_sym_RPAREN] = ACTIONS(7593),
    [anon_sym_LBRACE] = ACTIONS(7593),
    [anon_sym_RBRACE] = ACTIONS(7593),
    [anon_sym_BSLASHand] = ACTIONS(7591),
    [sym_word] = ACTIONS(7591),
    [sym_placeholder] = ACTIONS(7593),
    [sym_delimiter] = ACTIONS(7593),
    [anon_sym_PLUS] = ACTIONS(7593),
    [anon_sym_DASH] = ACTIONS(7593),
    [anon_sym_STAR] = ACTIONS(7593),
    [anon_sym_SLASH] = ACTIONS(7593),
    [anon_sym_LT] = ACTIONS(7591),
    [anon_sym_GT] = ACTIONS(7591),
    [anon_sym_BANG] = ACTIONS(7591),
    [anon_sym_PIPE] = ACTIONS(7591),
    [anon_sym_COLON] = ACTIONS(7591),
    [anon_sym_SQUOTE] = ACTIONS(7591),
    [anon_sym__] = ACTIONS(7593),
    [anon_sym_CARET] = ACTIONS(7593),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7593),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7593),
    [anon_sym_DOLLAR] = ACTIONS(7591),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7593),
    [anon_sym_BSLASHleft] = ACTIONS(7591),
    [anon_sym_BSLASHbigl] = ACTIONS(7591),
    [anon_sym_BSLASHBigl] = ACTIONS(7591),
    [anon_sym_BSLASHbiggl] = ACTIONS(7591),
    [anon_sym_BSLASHBiggl] = ACTIONS(7591),
    [anon_sym_BSLASHtext] = ACTIONS(7591),
    [anon_sym_BSLASHintertext] = ACTIONS(7591),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7591),
    [anon_sym_BSLASHtitle] = ACTIONS(7591),
    [anon_sym_BSLASHauthor] = ACTIONS(7591),
    [anon_sym_BSLASHusepackage] = ACTIONS(7591),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7591),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7591),
    [anon_sym_BSLASHinclude] = ACTIONS(7591),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7591),
    [anon_sym_BSLASHinput] = ACTIONS(7591),
    [anon_sym_BSLASHsubfile] = ACTIONS(7591),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7591),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7591),
    [anon_sym_BSLASHbibliography] = ACTIONS(7591),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7591),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7591),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7591),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7591),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7591),
    [anon_sym_BSLASHimport] = ACTIONS(7591),
    [anon_sym_BSLASHsubimport] = ACTIONS(7591),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7591),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7591),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7591),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7591),
    [anon_sym_BSLASHcaption] = ACTIONS(7591),
    [anon_sym_BSLASHcite] = ACTIONS(7591),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCite] = ACTIONS(7591),
    [anon_sym_BSLASHnocite] = ACTIONS(7591),
    [anon_sym_BSLASHcitet] = ACTIONS(7591),
    [anon_sym_BSLASHcitep] = ACTIONS(7591),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteA] = ACTIONS(7591),
    [anon_sym_BSLASHciteR] = ACTIONS(7591),
    [anon_sym_BSLASHciteS] = ACTIONS(7591),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7591),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7591),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7591),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7591),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteyear] = ACTIONS(7591),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitedate] = ACTIONS(7591),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteurl] = ACTIONS(7591),
    [anon_sym_BSLASHfullcite] = ACTIONS(7591),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7591),
    [anon_sym_BSLASHcitealt] = ACTIONS(7591),
    [anon_sym_BSLASHcitealp] = ACTIONS(7591),
    [anon_sym_BSLASHcitetext] = ACTIONS(7591),
    [anon_sym_BSLASHparencite] = ACTIONS(7591),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHParencite] = ACTIONS(7591),
    [anon_sym_BSLASHfootcite] = ACTIONS(7591),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7591),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7591),
    [anon_sym_BSLASHtextcite] = ACTIONS(7591),
    [anon_sym_BSLASHTextcite] = ACTIONS(7591),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7591),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7591),
    [anon_sym_BSLASHsupercite] = ACTIONS(7591),
    [anon_sym_BSLASHautocite] = ACTIONS(7591),
    [anon_sym_BSLASHAutocite] = ACTIONS(7591),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHVolcite] = ACTIONS(7591),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHavolcite] = ACTIONS(7591),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHNotecite] = ACTIONS(7591),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHlabel] = ACTIONS(7591),
    [anon_sym_BSLASHref] = ACTIONS(7591),
    [anon_sym_BSLASHeqref] = ACTIONS(7591),
    [anon_sym_BSLASHvref] = ACTIONS(7591),
    [anon_sym_BSLASHVref] = ACTIONS(7591),
    [anon_sym_BSLASHautoref] = ACTIONS(7591),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHpageref] = ACTIONS(7591),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHautopageref] = ACTIONS(7591),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcref] = ACTIONS(7591),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCref] = ACTIONS(7591),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcpageref] = ACTIONS(7591),
    [anon_sym_BSLASHCpageref] = ACTIONS(7591),
    [anon_sym_BSLASHnamecref] = ACTIONS(7591),
    [anon_sym_BSLASHnameCref] = ACTIONS(7591),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7591),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7591),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7591),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7591),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7591),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7591),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7591),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7591),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7591),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7591),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7591),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHdef] = ACTIONS(7591),
    [anon_sym_BSLASHgdef] = ACTIONS(7591),
    [anon_sym_BSLASHedef] = ACTIONS(7591),
    [anon_sym_BSLASHxdef] = ACTIONS(7591),
    [anon_sym_BSLASHlet] = ACTIONS(7591),
    [anon_sym_BSLASHglet] = ACTIONS(7591),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7591),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7591),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7591),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7591),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7591),
    [anon_sym_BSLASHgls] = ACTIONS(7591),
    [anon_sym_BSLASHGls] = ACTIONS(7591),
    [anon_sym_BSLASHGLS] = ACTIONS(7591),
    [anon_sym_BSLASHglspl] = ACTIONS(7591),
    [anon_sym_BSLASHGlspl] = ACTIONS(7591),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7591),
    [anon_sym_BSLASHglslink] = ACTIONS(7591),
    [anon_sym_BSLASHglstext] = ACTIONS(7591),
    [anon_sym_BSLASHGlstext] = ACTIONS(7591),
    [anon_sym_BSLASHGLStext] = ACTIONS(7591),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7591),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7591),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7591),
    [anon_sym_BSLASHglsplural] = ACTIONS(7591),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7591),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7591),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHglsname] = ACTIONS(7591),
    [anon_sym_BSLASHGlsname] = ACTIONS(7591),
    [anon_sym_BSLASHGLSname] = ACTIONS(7591),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7591),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7591),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7591),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7591),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7591),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7591),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7591),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7591),
    [anon_sym_BSLASHacrshort] = ACTIONS(7591),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7591),
    [anon_sym_BSLASHACRshort] = ACTIONS(7591),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHacrlong] = ACTIONS(7591),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7591),
    [anon_sym_BSLASHACRlong] = ACTIONS(7591),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHacrfull] = ACTIONS(7591),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7591),
    [anon_sym_BSLASHACRfull] = ACTIONS(7591),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHacs] = ACTIONS(7591),
    [anon_sym_BSLASHAcs] = ACTIONS(7591),
    [anon_sym_BSLASHacsp] = ACTIONS(7591),
    [anon_sym_BSLASHAcsp] = ACTIONS(7591),
    [anon_sym_BSLASHacl] = ACTIONS(7591),
    [anon_sym_BSLASHAcl] = ACTIONS(7591),
    [anon_sym_BSLASHaclp] = ACTIONS(7591),
    [anon_sym_BSLASHAclp] = ACTIONS(7591),
    [anon_sym_BSLASHacf] = ACTIONS(7591),
    [anon_sym_BSLASHAcf] = ACTIONS(7591),
    [anon_sym_BSLASHacfp] = ACTIONS(7591),
    [anon_sym_BSLASHAcfp] = ACTIONS(7591),
    [anon_sym_BSLASHac] = ACTIONS(7591),
    [anon_sym_BSLASHAc] = ACTIONS(7591),
    [anon_sym_BSLASHacp] = ACTIONS(7591),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7591),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7591),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7591),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7591),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7591),
    [anon_sym_BSLASHcolor] = ACTIONS(7591),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7591),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7591),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7591),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7591),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7591),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7591),
    [anon_sym_BSLASHurl] = ACTIONS(7591),
    [anon_sym_BSLASHhref] = ACTIONS(7591),
  },
  [2169] = {
    [sym_command_name] = ACTIONS(7323),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7323),
    [anon_sym_LPAREN] = ACTIONS(7325),
    [anon_sym_RPAREN] = ACTIONS(7325),
    [anon_sym_LBRACE] = ACTIONS(7325),
    [anon_sym_RBRACE] = ACTIONS(7325),
    [anon_sym_BSLASHand] = ACTIONS(7323),
    [sym_word] = ACTIONS(7323),
    [sym_placeholder] = ACTIONS(7325),
    [sym_delimiter] = ACTIONS(7325),
    [anon_sym_PLUS] = ACTIONS(7325),
    [anon_sym_DASH] = ACTIONS(7325),
    [anon_sym_STAR] = ACTIONS(7325),
    [anon_sym_SLASH] = ACTIONS(7325),
    [anon_sym_LT] = ACTIONS(7323),
    [anon_sym_GT] = ACTIONS(7323),
    [anon_sym_BANG] = ACTIONS(7323),
    [anon_sym_PIPE] = ACTIONS(7323),
    [anon_sym_COLON] = ACTIONS(7323),
    [anon_sym_SQUOTE] = ACTIONS(7323),
    [anon_sym__] = ACTIONS(7325),
    [anon_sym_CARET] = ACTIONS(7325),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7325),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7325),
    [anon_sym_DOLLAR] = ACTIONS(7323),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7325),
    [anon_sym_BSLASHleft] = ACTIONS(7323),
    [anon_sym_BSLASHbigl] = ACTIONS(7323),
    [anon_sym_BSLASHBigl] = ACTIONS(7323),
    [anon_sym_BSLASHbiggl] = ACTIONS(7323),
    [anon_sym_BSLASHBiggl] = ACTIONS(7323),
    [anon_sym_BSLASHtext] = ACTIONS(7323),
    [anon_sym_BSLASHintertext] = ACTIONS(7323),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7323),
    [anon_sym_BSLASHtitle] = ACTIONS(7323),
    [anon_sym_BSLASHauthor] = ACTIONS(7323),
    [anon_sym_BSLASHusepackage] = ACTIONS(7323),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7323),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7323),
    [anon_sym_BSLASHinclude] = ACTIONS(7323),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7323),
    [anon_sym_BSLASHinput] = ACTIONS(7323),
    [anon_sym_BSLASHsubfile] = ACTIONS(7323),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7323),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7323),
    [anon_sym_BSLASHbibliography] = ACTIONS(7323),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7323),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7323),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7323),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7323),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7323),
    [anon_sym_BSLASHimport] = ACTIONS(7323),
    [anon_sym_BSLASHsubimport] = ACTIONS(7323),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7323),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7323),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7323),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7323),
    [anon_sym_BSLASHcaption] = ACTIONS(7323),
    [anon_sym_BSLASHcite] = ACTIONS(7323),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCite] = ACTIONS(7323),
    [anon_sym_BSLASHnocite] = ACTIONS(7323),
    [anon_sym_BSLASHcitet] = ACTIONS(7323),
    [anon_sym_BSLASHcitep] = ACTIONS(7323),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteA] = ACTIONS(7323),
    [anon_sym_BSLASHciteR] = ACTIONS(7323),
    [anon_sym_BSLASHciteS] = ACTIONS(7323),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7323),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7323),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7323),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7323),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteyear] = ACTIONS(7323),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitedate] = ACTIONS(7323),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteurl] = ACTIONS(7323),
    [anon_sym_BSLASHfullcite] = ACTIONS(7323),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7323),
    [anon_sym_BSLASHcitealt] = ACTIONS(7323),
    [anon_sym_BSLASHcitealp] = ACTIONS(7323),
    [anon_sym_BSLASHcitetext] = ACTIONS(7323),
    [anon_sym_BSLASHparencite] = ACTIONS(7323),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHParencite] = ACTIONS(7323),
    [anon_sym_BSLASHfootcite] = ACTIONS(7323),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7323),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7323),
    [anon_sym_BSLASHtextcite] = ACTIONS(7323),
    [anon_sym_BSLASHTextcite] = ACTIONS(7323),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7323),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7323),
    [anon_sym_BSLASHsupercite] = ACTIONS(7323),
    [anon_sym_BSLASHautocite] = ACTIONS(7323),
    [anon_sym_BSLASHAutocite] = ACTIONS(7323),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHVolcite] = ACTIONS(7323),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHavolcite] = ACTIONS(7323),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHNotecite] = ACTIONS(7323),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHlabel] = ACTIONS(7323),
    [anon_sym_BSLASHref] = ACTIONS(7323),
    [anon_sym_BSLASHeqref] = ACTIONS(7323),
    [anon_sym_BSLASHvref] = ACTIONS(7323),
    [anon_sym_BSLASHVref] = ACTIONS(7323),
    [anon_sym_BSLASHautoref] = ACTIONS(7323),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHpageref] = ACTIONS(7323),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHautopageref] = ACTIONS(7323),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcref] = ACTIONS(7323),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCref] = ACTIONS(7323),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcpageref] = ACTIONS(7323),
    [anon_sym_BSLASHCpageref] = ACTIONS(7323),
    [anon_sym_BSLASHnamecref] = ACTIONS(7323),
    [anon_sym_BSLASHnameCref] = ACTIONS(7323),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7323),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7323),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7323),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7323),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7323),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7323),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7323),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7323),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7323),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7323),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7323),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHdef] = ACTIONS(7323),
    [anon_sym_BSLASHgdef] = ACTIONS(7323),
    [anon_sym_BSLASHedef] = ACTIONS(7323),
    [anon_sym_BSLASHxdef] = ACTIONS(7323),
    [anon_sym_BSLASHlet] = ACTIONS(7323),
    [anon_sym_BSLASHglet] = ACTIONS(7323),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7323),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7323),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7323),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7323),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7323),
    [anon_sym_BSLASHgls] = ACTIONS(7323),
    [anon_sym_BSLASHGls] = ACTIONS(7323),
    [anon_sym_BSLASHGLS] = ACTIONS(7323),
    [anon_sym_BSLASHglspl] = ACTIONS(7323),
    [anon_sym_BSLASHGlspl] = ACTIONS(7323),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7323),
    [anon_sym_BSLASHglslink] = ACTIONS(7323),
    [anon_sym_BSLASHglstext] = ACTIONS(7323),
    [anon_sym_BSLASHGlstext] = ACTIONS(7323),
    [anon_sym_BSLASHGLStext] = ACTIONS(7323),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7323),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7323),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7323),
    [anon_sym_BSLASHglsplural] = ACTIONS(7323),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7323),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7323),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHglsname] = ACTIONS(7323),
    [anon_sym_BSLASHGlsname] = ACTIONS(7323),
    [anon_sym_BSLASHGLSname] = ACTIONS(7323),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7323),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7323),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7323),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7323),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7323),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7323),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7323),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7323),
    [anon_sym_BSLASHacrshort] = ACTIONS(7323),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7323),
    [anon_sym_BSLASHACRshort] = ACTIONS(7323),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHacrlong] = ACTIONS(7323),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7323),
    [anon_sym_BSLASHACRlong] = ACTIONS(7323),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHacrfull] = ACTIONS(7323),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7323),
    [anon_sym_BSLASHACRfull] = ACTIONS(7323),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHacs] = ACTIONS(7323),
    [anon_sym_BSLASHAcs] = ACTIONS(7323),
    [anon_sym_BSLASHacsp] = ACTIONS(7323),
    [anon_sym_BSLASHAcsp] = ACTIONS(7323),
    [anon_sym_BSLASHacl] = ACTIONS(7323),
    [anon_sym_BSLASHAcl] = ACTIONS(7323),
    [anon_sym_BSLASHaclp] = ACTIONS(7323),
    [anon_sym_BSLASHAclp] = ACTIONS(7323),
    [anon_sym_BSLASHacf] = ACTIONS(7323),
    [anon_sym_BSLASHAcf] = ACTIONS(7323),
    [anon_sym_BSLASHacfp] = ACTIONS(7323),
    [anon_sym_BSLASHAcfp] = ACTIONS(7323),
    [anon_sym_BSLASHac] = ACTIONS(7323),
    [anon_sym_BSLASHAc] = ACTIONS(7323),
    [anon_sym_BSLASHacp] = ACTIONS(7323),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7323),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7323),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7323),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7323),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7323),
    [anon_sym_BSLASHcolor] = ACTIONS(7323),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7323),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7323),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7323),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7323),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7323),
    [anon_sym_BSLASHurl] = ACTIONS(7323),
    [anon_sym_BSLASHhref] = ACTIONS(7323),
  },
  [2170] = {
    [sym_command_name] = ACTIONS(7199),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7199),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_RPAREN] = ACTIONS(7201),
    [anon_sym_LBRACE] = ACTIONS(7201),
    [anon_sym_RBRACE] = ACTIONS(7201),
    [anon_sym_BSLASHand] = ACTIONS(7199),
    [sym_word] = ACTIONS(7199),
    [sym_placeholder] = ACTIONS(7201),
    [sym_delimiter] = ACTIONS(7201),
    [anon_sym_PLUS] = ACTIONS(7201),
    [anon_sym_DASH] = ACTIONS(7201),
    [anon_sym_STAR] = ACTIONS(7201),
    [anon_sym_SLASH] = ACTIONS(7201),
    [anon_sym_LT] = ACTIONS(7199),
    [anon_sym_GT] = ACTIONS(7199),
    [anon_sym_BANG] = ACTIONS(7199),
    [anon_sym_PIPE] = ACTIONS(7199),
    [anon_sym_COLON] = ACTIONS(7199),
    [anon_sym_SQUOTE] = ACTIONS(7199),
    [anon_sym__] = ACTIONS(7201),
    [anon_sym_CARET] = ACTIONS(7201),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7201),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7201),
    [anon_sym_DOLLAR] = ACTIONS(7199),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7201),
    [anon_sym_BSLASHleft] = ACTIONS(7199),
    [anon_sym_BSLASHbigl] = ACTIONS(7199),
    [anon_sym_BSLASHBigl] = ACTIONS(7199),
    [anon_sym_BSLASHbiggl] = ACTIONS(7199),
    [anon_sym_BSLASHBiggl] = ACTIONS(7199),
    [anon_sym_BSLASHtext] = ACTIONS(7199),
    [anon_sym_BSLASHintertext] = ACTIONS(7199),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7199),
    [anon_sym_BSLASHtitle] = ACTIONS(7199),
    [anon_sym_BSLASHauthor] = ACTIONS(7199),
    [anon_sym_BSLASHusepackage] = ACTIONS(7199),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7199),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7199),
    [anon_sym_BSLASHinclude] = ACTIONS(7199),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7199),
    [anon_sym_BSLASHinput] = ACTIONS(7199),
    [anon_sym_BSLASHsubfile] = ACTIONS(7199),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7199),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7199),
    [anon_sym_BSLASHbibliography] = ACTIONS(7199),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7199),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7199),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7199),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7199),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7199),
    [anon_sym_BSLASHimport] = ACTIONS(7199),
    [anon_sym_BSLASHsubimport] = ACTIONS(7199),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7199),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7199),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7199),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7199),
    [anon_sym_BSLASHcaption] = ACTIONS(7199),
    [anon_sym_BSLASHcite] = ACTIONS(7199),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCite] = ACTIONS(7199),
    [anon_sym_BSLASHnocite] = ACTIONS(7199),
    [anon_sym_BSLASHcitet] = ACTIONS(7199),
    [anon_sym_BSLASHcitep] = ACTIONS(7199),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteA] = ACTIONS(7199),
    [anon_sym_BSLASHciteR] = ACTIONS(7199),
    [anon_sym_BSLASHciteS] = ACTIONS(7199),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7199),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7199),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7199),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7199),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteyear] = ACTIONS(7199),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitedate] = ACTIONS(7199),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteurl] = ACTIONS(7199),
    [anon_sym_BSLASHfullcite] = ACTIONS(7199),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7199),
    [anon_sym_BSLASHcitealt] = ACTIONS(7199),
    [anon_sym_BSLASHcitealp] = ACTIONS(7199),
    [anon_sym_BSLASHcitetext] = ACTIONS(7199),
    [anon_sym_BSLASHparencite] = ACTIONS(7199),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHParencite] = ACTIONS(7199),
    [anon_sym_BSLASHfootcite] = ACTIONS(7199),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7199),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7199),
    [anon_sym_BSLASHtextcite] = ACTIONS(7199),
    [anon_sym_BSLASHTextcite] = ACTIONS(7199),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7199),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7199),
    [anon_sym_BSLASHsupercite] = ACTIONS(7199),
    [anon_sym_BSLASHautocite] = ACTIONS(7199),
    [anon_sym_BSLASHAutocite] = ACTIONS(7199),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHVolcite] = ACTIONS(7199),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHavolcite] = ACTIONS(7199),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHNotecite] = ACTIONS(7199),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHlabel] = ACTIONS(7199),
    [anon_sym_BSLASHref] = ACTIONS(7199),
    [anon_sym_BSLASHeqref] = ACTIONS(7199),
    [anon_sym_BSLASHvref] = ACTIONS(7199),
    [anon_sym_BSLASHVref] = ACTIONS(7199),
    [anon_sym_BSLASHautoref] = ACTIONS(7199),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHpageref] = ACTIONS(7199),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHautopageref] = ACTIONS(7199),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcref] = ACTIONS(7199),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCref] = ACTIONS(7199),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcpageref] = ACTIONS(7199),
    [anon_sym_BSLASHCpageref] = ACTIONS(7199),
    [anon_sym_BSLASHnamecref] = ACTIONS(7199),
    [anon_sym_BSLASHnameCref] = ACTIONS(7199),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7199),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7199),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7199),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7199),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7199),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7199),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7199),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7199),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7199),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7199),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7199),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHdef] = ACTIONS(7199),
    [anon_sym_BSLASHgdef] = ACTIONS(7199),
    [anon_sym_BSLASHedef] = ACTIONS(7199),
    [anon_sym_BSLASHxdef] = ACTIONS(7199),
    [anon_sym_BSLASHlet] = ACTIONS(7199),
    [anon_sym_BSLASHglet] = ACTIONS(7199),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7199),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7199),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7199),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7199),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7199),
    [anon_sym_BSLASHgls] = ACTIONS(7199),
    [anon_sym_BSLASHGls] = ACTIONS(7199),
    [anon_sym_BSLASHGLS] = ACTIONS(7199),
    [anon_sym_BSLASHglspl] = ACTIONS(7199),
    [anon_sym_BSLASHGlspl] = ACTIONS(7199),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7199),
    [anon_sym_BSLASHglslink] = ACTIONS(7199),
    [anon_sym_BSLASHglstext] = ACTIONS(7199),
    [anon_sym_BSLASHGlstext] = ACTIONS(7199),
    [anon_sym_BSLASHGLStext] = ACTIONS(7199),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7199),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7199),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7199),
    [anon_sym_BSLASHglsplural] = ACTIONS(7199),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7199),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7199),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHglsname] = ACTIONS(7199),
    [anon_sym_BSLASHGlsname] = ACTIONS(7199),
    [anon_sym_BSLASHGLSname] = ACTIONS(7199),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7199),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7199),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7199),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7199),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7199),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7199),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7199),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7199),
    [anon_sym_BSLASHacrshort] = ACTIONS(7199),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7199),
    [anon_sym_BSLASHACRshort] = ACTIONS(7199),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHacrlong] = ACTIONS(7199),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7199),
    [anon_sym_BSLASHACRlong] = ACTIONS(7199),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHacrfull] = ACTIONS(7199),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7199),
    [anon_sym_BSLASHACRfull] = ACTIONS(7199),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHacs] = ACTIONS(7199),
    [anon_sym_BSLASHAcs] = ACTIONS(7199),
    [anon_sym_BSLASHacsp] = ACTIONS(7199),
    [anon_sym_BSLASHAcsp] = ACTIONS(7199),
    [anon_sym_BSLASHacl] = ACTIONS(7199),
    [anon_sym_BSLASHAcl] = ACTIONS(7199),
    [anon_sym_BSLASHaclp] = ACTIONS(7199),
    [anon_sym_BSLASHAclp] = ACTIONS(7199),
    [anon_sym_BSLASHacf] = ACTIONS(7199),
    [anon_sym_BSLASHAcf] = ACTIONS(7199),
    [anon_sym_BSLASHacfp] = ACTIONS(7199),
    [anon_sym_BSLASHAcfp] = ACTIONS(7199),
    [anon_sym_BSLASHac] = ACTIONS(7199),
    [anon_sym_BSLASHAc] = ACTIONS(7199),
    [anon_sym_BSLASHacp] = ACTIONS(7199),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7199),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7199),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7199),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7199),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7199),
    [anon_sym_BSLASHcolor] = ACTIONS(7199),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7199),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7199),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7199),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7199),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7199),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7199),
    [anon_sym_BSLASHurl] = ACTIONS(7199),
    [anon_sym_BSLASHhref] = ACTIONS(7199),
  },
  [2171] = {
    [sym_command_name] = ACTIONS(7203),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7203),
    [anon_sym_LPAREN] = ACTIONS(7205),
    [anon_sym_RPAREN] = ACTIONS(7205),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_RBRACE] = ACTIONS(7205),
    [anon_sym_BSLASHand] = ACTIONS(7203),
    [sym_word] = ACTIONS(7203),
    [sym_placeholder] = ACTIONS(7205),
    [sym_delimiter] = ACTIONS(7205),
    [anon_sym_PLUS] = ACTIONS(7205),
    [anon_sym_DASH] = ACTIONS(7205),
    [anon_sym_STAR] = ACTIONS(7205),
    [anon_sym_SLASH] = ACTIONS(7205),
    [anon_sym_LT] = ACTIONS(7203),
    [anon_sym_GT] = ACTIONS(7203),
    [anon_sym_BANG] = ACTIONS(7203),
    [anon_sym_PIPE] = ACTIONS(7203),
    [anon_sym_COLON] = ACTIONS(7203),
    [anon_sym_SQUOTE] = ACTIONS(7203),
    [anon_sym__] = ACTIONS(7205),
    [anon_sym_CARET] = ACTIONS(7205),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7205),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7203),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7205),
    [anon_sym_BSLASHleft] = ACTIONS(7203),
    [anon_sym_BSLASHbigl] = ACTIONS(7203),
    [anon_sym_BSLASHBigl] = ACTIONS(7203),
    [anon_sym_BSLASHbiggl] = ACTIONS(7203),
    [anon_sym_BSLASHBiggl] = ACTIONS(7203),
    [anon_sym_BSLASHtext] = ACTIONS(7203),
    [anon_sym_BSLASHintertext] = ACTIONS(7203),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7203),
    [anon_sym_BSLASHtitle] = ACTIONS(7203),
    [anon_sym_BSLASHauthor] = ACTIONS(7203),
    [anon_sym_BSLASHusepackage] = ACTIONS(7203),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7203),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7203),
    [anon_sym_BSLASHinclude] = ACTIONS(7203),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7203),
    [anon_sym_BSLASHinput] = ACTIONS(7203),
    [anon_sym_BSLASHsubfile] = ACTIONS(7203),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7203),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7203),
    [anon_sym_BSLASHbibliography] = ACTIONS(7203),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7203),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7203),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7203),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7203),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7203),
    [anon_sym_BSLASHimport] = ACTIONS(7203),
    [anon_sym_BSLASHsubimport] = ACTIONS(7203),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7203),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7203),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7203),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7203),
    [anon_sym_BSLASHcaption] = ACTIONS(7203),
    [anon_sym_BSLASHcite] = ACTIONS(7203),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCite] = ACTIONS(7203),
    [anon_sym_BSLASHnocite] = ACTIONS(7203),
    [anon_sym_BSLASHcitet] = ACTIONS(7203),
    [anon_sym_BSLASHcitep] = ACTIONS(7203),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteA] = ACTIONS(7203),
    [anon_sym_BSLASHciteR] = ACTIONS(7203),
    [anon_sym_BSLASHciteS] = ACTIONS(7203),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7203),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7203),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7203),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7203),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteyear] = ACTIONS(7203),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitedate] = ACTIONS(7203),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteurl] = ACTIONS(7203),
    [anon_sym_BSLASHfullcite] = ACTIONS(7203),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7203),
    [anon_sym_BSLASHcitealt] = ACTIONS(7203),
    [anon_sym_BSLASHcitealp] = ACTIONS(7203),
    [anon_sym_BSLASHcitetext] = ACTIONS(7203),
    [anon_sym_BSLASHparencite] = ACTIONS(7203),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHParencite] = ACTIONS(7203),
    [anon_sym_BSLASHfootcite] = ACTIONS(7203),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7203),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7203),
    [anon_sym_BSLASHtextcite] = ACTIONS(7203),
    [anon_sym_BSLASHTextcite] = ACTIONS(7203),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7203),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7203),
    [anon_sym_BSLASHsupercite] = ACTIONS(7203),
    [anon_sym_BSLASHautocite] = ACTIONS(7203),
    [anon_sym_BSLASHAutocite] = ACTIONS(7203),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHVolcite] = ACTIONS(7203),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHavolcite] = ACTIONS(7203),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHNotecite] = ACTIONS(7203),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHlabel] = ACTIONS(7203),
    [anon_sym_BSLASHref] = ACTIONS(7203),
    [anon_sym_BSLASHeqref] = ACTIONS(7203),
    [anon_sym_BSLASHvref] = ACTIONS(7203),
    [anon_sym_BSLASHVref] = ACTIONS(7203),
    [anon_sym_BSLASHautoref] = ACTIONS(7203),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHpageref] = ACTIONS(7203),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHautopageref] = ACTIONS(7203),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcref] = ACTIONS(7203),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCref] = ACTIONS(7203),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcpageref] = ACTIONS(7203),
    [anon_sym_BSLASHCpageref] = ACTIONS(7203),
    [anon_sym_BSLASHnamecref] = ACTIONS(7203),
    [anon_sym_BSLASHnameCref] = ACTIONS(7203),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7203),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7203),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7203),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7203),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7203),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7203),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7203),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7203),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7203),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7203),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7203),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHdef] = ACTIONS(7203),
    [anon_sym_BSLASHgdef] = ACTIONS(7203),
    [anon_sym_BSLASHedef] = ACTIONS(7203),
    [anon_sym_BSLASHxdef] = ACTIONS(7203),
    [anon_sym_BSLASHlet] = ACTIONS(7203),
    [anon_sym_BSLASHglet] = ACTIONS(7203),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7203),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7203),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7203),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7203),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7203),
    [anon_sym_BSLASHgls] = ACTIONS(7203),
    [anon_sym_BSLASHGls] = ACTIONS(7203),
    [anon_sym_BSLASHGLS] = ACTIONS(7203),
    [anon_sym_BSLASHglspl] = ACTIONS(7203),
    [anon_sym_BSLASHGlspl] = ACTIONS(7203),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7203),
    [anon_sym_BSLASHglslink] = ACTIONS(7203),
    [anon_sym_BSLASHglstext] = ACTIONS(7203),
    [anon_sym_BSLASHGlstext] = ACTIONS(7203),
    [anon_sym_BSLASHGLStext] = ACTIONS(7203),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7203),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7203),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7203),
    [anon_sym_BSLASHglsplural] = ACTIONS(7203),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7203),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7203),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHglsname] = ACTIONS(7203),
    [anon_sym_BSLASHGlsname] = ACTIONS(7203),
    [anon_sym_BSLASHGLSname] = ACTIONS(7203),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7203),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7203),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7203),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7203),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7203),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7203),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7203),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7203),
    [anon_sym_BSLASHacrshort] = ACTIONS(7203),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7203),
    [anon_sym_BSLASHACRshort] = ACTIONS(7203),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHacrlong] = ACTIONS(7203),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7203),
    [anon_sym_BSLASHACRlong] = ACTIONS(7203),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHacrfull] = ACTIONS(7203),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7203),
    [anon_sym_BSLASHACRfull] = ACTIONS(7203),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHacs] = ACTIONS(7203),
    [anon_sym_BSLASHAcs] = ACTIONS(7203),
    [anon_sym_BSLASHacsp] = ACTIONS(7203),
    [anon_sym_BSLASHAcsp] = ACTIONS(7203),
    [anon_sym_BSLASHacl] = ACTIONS(7203),
    [anon_sym_BSLASHAcl] = ACTIONS(7203),
    [anon_sym_BSLASHaclp] = ACTIONS(7203),
    [anon_sym_BSLASHAclp] = ACTIONS(7203),
    [anon_sym_BSLASHacf] = ACTIONS(7203),
    [anon_sym_BSLASHAcf] = ACTIONS(7203),
    [anon_sym_BSLASHacfp] = ACTIONS(7203),
    [anon_sym_BSLASHAcfp] = ACTIONS(7203),
    [anon_sym_BSLASHac] = ACTIONS(7203),
    [anon_sym_BSLASHAc] = ACTIONS(7203),
    [anon_sym_BSLASHacp] = ACTIONS(7203),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7203),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7203),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7203),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7203),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7203),
    [anon_sym_BSLASHcolor] = ACTIONS(7203),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7203),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7203),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7203),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7203),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7203),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7203),
    [anon_sym_BSLASHurl] = ACTIONS(7203),
    [anon_sym_BSLASHhref] = ACTIONS(7203),
  },
  [2172] = {
    [sym_command_name] = ACTIONS(7207),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7207),
    [anon_sym_LPAREN] = ACTIONS(7209),
    [anon_sym_RPAREN] = ACTIONS(7209),
    [anon_sym_LBRACE] = ACTIONS(7209),
    [anon_sym_RBRACE] = ACTIONS(7209),
    [anon_sym_BSLASHand] = ACTIONS(7207),
    [sym_word] = ACTIONS(7207),
    [sym_placeholder] = ACTIONS(7209),
    [sym_delimiter] = ACTIONS(7209),
    [anon_sym_PLUS] = ACTIONS(7209),
    [anon_sym_DASH] = ACTIONS(7209),
    [anon_sym_STAR] = ACTIONS(7209),
    [anon_sym_SLASH] = ACTIONS(7209),
    [anon_sym_LT] = ACTIONS(7207),
    [anon_sym_GT] = ACTIONS(7207),
    [anon_sym_BANG] = ACTIONS(7207),
    [anon_sym_PIPE] = ACTIONS(7207),
    [anon_sym_COLON] = ACTIONS(7207),
    [anon_sym_SQUOTE] = ACTIONS(7207),
    [anon_sym__] = ACTIONS(7209),
    [anon_sym_CARET] = ACTIONS(7209),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7209),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7209),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7209),
    [anon_sym_BSLASHleft] = ACTIONS(7207),
    [anon_sym_BSLASHbigl] = ACTIONS(7207),
    [anon_sym_BSLASHBigl] = ACTIONS(7207),
    [anon_sym_BSLASHbiggl] = ACTIONS(7207),
    [anon_sym_BSLASHBiggl] = ACTIONS(7207),
    [anon_sym_BSLASHtext] = ACTIONS(7207),
    [anon_sym_BSLASHintertext] = ACTIONS(7207),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7207),
    [anon_sym_BSLASHtitle] = ACTIONS(7207),
    [anon_sym_BSLASHauthor] = ACTIONS(7207),
    [anon_sym_BSLASHusepackage] = ACTIONS(7207),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7207),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7207),
    [anon_sym_BSLASHinclude] = ACTIONS(7207),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7207),
    [anon_sym_BSLASHinput] = ACTIONS(7207),
    [anon_sym_BSLASHsubfile] = ACTIONS(7207),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7207),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7207),
    [anon_sym_BSLASHbibliography] = ACTIONS(7207),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7207),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7207),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7207),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7207),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7207),
    [anon_sym_BSLASHimport] = ACTIONS(7207),
    [anon_sym_BSLASHsubimport] = ACTIONS(7207),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7207),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7207),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7207),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7207),
    [anon_sym_BSLASHcaption] = ACTIONS(7207),
    [anon_sym_BSLASHcite] = ACTIONS(7207),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCite] = ACTIONS(7207),
    [anon_sym_BSLASHnocite] = ACTIONS(7207),
    [anon_sym_BSLASHcitet] = ACTIONS(7207),
    [anon_sym_BSLASHcitep] = ACTIONS(7207),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteA] = ACTIONS(7207),
    [anon_sym_BSLASHciteR] = ACTIONS(7207),
    [anon_sym_BSLASHciteS] = ACTIONS(7207),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7207),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7207),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7207),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7207),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteyear] = ACTIONS(7207),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitedate] = ACTIONS(7207),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteurl] = ACTIONS(7207),
    [anon_sym_BSLASHfullcite] = ACTIONS(7207),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7207),
    [anon_sym_BSLASHcitealt] = ACTIONS(7207),
    [anon_sym_BSLASHcitealp] = ACTIONS(7207),
    [anon_sym_BSLASHcitetext] = ACTIONS(7207),
    [anon_sym_BSLASHparencite] = ACTIONS(7207),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHParencite] = ACTIONS(7207),
    [anon_sym_BSLASHfootcite] = ACTIONS(7207),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7207),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7207),
    [anon_sym_BSLASHtextcite] = ACTIONS(7207),
    [anon_sym_BSLASHTextcite] = ACTIONS(7207),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7207),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7207),
    [anon_sym_BSLASHsupercite] = ACTIONS(7207),
    [anon_sym_BSLASHautocite] = ACTIONS(7207),
    [anon_sym_BSLASHAutocite] = ACTIONS(7207),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHVolcite] = ACTIONS(7207),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHavolcite] = ACTIONS(7207),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHNotecite] = ACTIONS(7207),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHlabel] = ACTIONS(7207),
    [anon_sym_BSLASHref] = ACTIONS(7207),
    [anon_sym_BSLASHeqref] = ACTIONS(7207),
    [anon_sym_BSLASHvref] = ACTIONS(7207),
    [anon_sym_BSLASHVref] = ACTIONS(7207),
    [anon_sym_BSLASHautoref] = ACTIONS(7207),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHpageref] = ACTIONS(7207),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHautopageref] = ACTIONS(7207),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcref] = ACTIONS(7207),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCref] = ACTIONS(7207),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcpageref] = ACTIONS(7207),
    [anon_sym_BSLASHCpageref] = ACTIONS(7207),
    [anon_sym_BSLASHnamecref] = ACTIONS(7207),
    [anon_sym_BSLASHnameCref] = ACTIONS(7207),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7207),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7207),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7207),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7207),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7207),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7207),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7207),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7207),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7207),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7207),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7207),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHdef] = ACTIONS(7207),
    [anon_sym_BSLASHgdef] = ACTIONS(7207),
    [anon_sym_BSLASHedef] = ACTIONS(7207),
    [anon_sym_BSLASHxdef] = ACTIONS(7207),
    [anon_sym_BSLASHlet] = ACTIONS(7207),
    [anon_sym_BSLASHglet] = ACTIONS(7207),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7207),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7207),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7207),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7207),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7207),
    [anon_sym_BSLASHgls] = ACTIONS(7207),
    [anon_sym_BSLASHGls] = ACTIONS(7207),
    [anon_sym_BSLASHGLS] = ACTIONS(7207),
    [anon_sym_BSLASHglspl] = ACTIONS(7207),
    [anon_sym_BSLASHGlspl] = ACTIONS(7207),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7207),
    [anon_sym_BSLASHglslink] = ACTIONS(7207),
    [anon_sym_BSLASHglstext] = ACTIONS(7207),
    [anon_sym_BSLASHGlstext] = ACTIONS(7207),
    [anon_sym_BSLASHGLStext] = ACTIONS(7207),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7207),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7207),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7207),
    [anon_sym_BSLASHglsplural] = ACTIONS(7207),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7207),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7207),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHglsname] = ACTIONS(7207),
    [anon_sym_BSLASHGlsname] = ACTIONS(7207),
    [anon_sym_BSLASHGLSname] = ACTIONS(7207),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7207),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7207),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7207),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7207),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7207),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7207),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7207),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7207),
    [anon_sym_BSLASHacrshort] = ACTIONS(7207),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7207),
    [anon_sym_BSLASHACRshort] = ACTIONS(7207),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHacrlong] = ACTIONS(7207),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7207),
    [anon_sym_BSLASHACRlong] = ACTIONS(7207),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHacrfull] = ACTIONS(7207),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7207),
    [anon_sym_BSLASHACRfull] = ACTIONS(7207),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHacs] = ACTIONS(7207),
    [anon_sym_BSLASHAcs] = ACTIONS(7207),
    [anon_sym_BSLASHacsp] = ACTIONS(7207),
    [anon_sym_BSLASHAcsp] = ACTIONS(7207),
    [anon_sym_BSLASHacl] = ACTIONS(7207),
    [anon_sym_BSLASHAcl] = ACTIONS(7207),
    [anon_sym_BSLASHaclp] = ACTIONS(7207),
    [anon_sym_BSLASHAclp] = ACTIONS(7207),
    [anon_sym_BSLASHacf] = ACTIONS(7207),
    [anon_sym_BSLASHAcf] = ACTIONS(7207),
    [anon_sym_BSLASHacfp] = ACTIONS(7207),
    [anon_sym_BSLASHAcfp] = ACTIONS(7207),
    [anon_sym_BSLASHac] = ACTIONS(7207),
    [anon_sym_BSLASHAc] = ACTIONS(7207),
    [anon_sym_BSLASHacp] = ACTIONS(7207),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7207),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7207),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7207),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7207),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7207),
    [anon_sym_BSLASHcolor] = ACTIONS(7207),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7207),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7207),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7207),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7207),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7207),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7207),
    [anon_sym_BSLASHurl] = ACTIONS(7207),
    [anon_sym_BSLASHhref] = ACTIONS(7207),
  },
  [2173] = {
    [sym_command_name] = ACTIONS(7211),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7211),
    [anon_sym_LPAREN] = ACTIONS(7213),
    [anon_sym_RPAREN] = ACTIONS(7213),
    [anon_sym_LBRACE] = ACTIONS(7213),
    [anon_sym_RBRACE] = ACTIONS(7213),
    [anon_sym_BSLASHand] = ACTIONS(7211),
    [sym_word] = ACTIONS(7211),
    [sym_placeholder] = ACTIONS(7213),
    [sym_delimiter] = ACTIONS(7213),
    [anon_sym_PLUS] = ACTIONS(7213),
    [anon_sym_DASH] = ACTIONS(7213),
    [anon_sym_STAR] = ACTIONS(7213),
    [anon_sym_SLASH] = ACTIONS(7213),
    [anon_sym_LT] = ACTIONS(7211),
    [anon_sym_GT] = ACTIONS(7211),
    [anon_sym_BANG] = ACTIONS(7211),
    [anon_sym_PIPE] = ACTIONS(7211),
    [anon_sym_COLON] = ACTIONS(7211),
    [anon_sym_SQUOTE] = ACTIONS(7211),
    [anon_sym__] = ACTIONS(7213),
    [anon_sym_CARET] = ACTIONS(7213),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7213),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7213),
    [anon_sym_DOLLAR] = ACTIONS(7211),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7213),
    [anon_sym_BSLASHleft] = ACTIONS(7211),
    [anon_sym_BSLASHbigl] = ACTIONS(7211),
    [anon_sym_BSLASHBigl] = ACTIONS(7211),
    [anon_sym_BSLASHbiggl] = ACTIONS(7211),
    [anon_sym_BSLASHBiggl] = ACTIONS(7211),
    [anon_sym_BSLASHtext] = ACTIONS(7211),
    [anon_sym_BSLASHintertext] = ACTIONS(7211),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7211),
    [anon_sym_BSLASHtitle] = ACTIONS(7211),
    [anon_sym_BSLASHauthor] = ACTIONS(7211),
    [anon_sym_BSLASHusepackage] = ACTIONS(7211),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7211),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7211),
    [anon_sym_BSLASHinclude] = ACTIONS(7211),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7211),
    [anon_sym_BSLASHinput] = ACTIONS(7211),
    [anon_sym_BSLASHsubfile] = ACTIONS(7211),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7211),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7211),
    [anon_sym_BSLASHbibliography] = ACTIONS(7211),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7211),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7211),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7211),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7211),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7211),
    [anon_sym_BSLASHimport] = ACTIONS(7211),
    [anon_sym_BSLASHsubimport] = ACTIONS(7211),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7211),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7211),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7211),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7211),
    [anon_sym_BSLASHcaption] = ACTIONS(7211),
    [anon_sym_BSLASHcite] = ACTIONS(7211),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCite] = ACTIONS(7211),
    [anon_sym_BSLASHnocite] = ACTIONS(7211),
    [anon_sym_BSLASHcitet] = ACTIONS(7211),
    [anon_sym_BSLASHcitep] = ACTIONS(7211),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteA] = ACTIONS(7211),
    [anon_sym_BSLASHciteR] = ACTIONS(7211),
    [anon_sym_BSLASHciteS] = ACTIONS(7211),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7211),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7211),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7211),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7211),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteyear] = ACTIONS(7211),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitedate] = ACTIONS(7211),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteurl] = ACTIONS(7211),
    [anon_sym_BSLASHfullcite] = ACTIONS(7211),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7211),
    [anon_sym_BSLASHcitealt] = ACTIONS(7211),
    [anon_sym_BSLASHcitealp] = ACTIONS(7211),
    [anon_sym_BSLASHcitetext] = ACTIONS(7211),
    [anon_sym_BSLASHparencite] = ACTIONS(7211),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHParencite] = ACTIONS(7211),
    [anon_sym_BSLASHfootcite] = ACTIONS(7211),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7211),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7211),
    [anon_sym_BSLASHtextcite] = ACTIONS(7211),
    [anon_sym_BSLASHTextcite] = ACTIONS(7211),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7211),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7211),
    [anon_sym_BSLASHsupercite] = ACTIONS(7211),
    [anon_sym_BSLASHautocite] = ACTIONS(7211),
    [anon_sym_BSLASHAutocite] = ACTIONS(7211),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHVolcite] = ACTIONS(7211),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHavolcite] = ACTIONS(7211),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHNotecite] = ACTIONS(7211),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHlabel] = ACTIONS(7211),
    [anon_sym_BSLASHref] = ACTIONS(7211),
    [anon_sym_BSLASHeqref] = ACTIONS(7211),
    [anon_sym_BSLASHvref] = ACTIONS(7211),
    [anon_sym_BSLASHVref] = ACTIONS(7211),
    [anon_sym_BSLASHautoref] = ACTIONS(7211),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHpageref] = ACTIONS(7211),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHautopageref] = ACTIONS(7211),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcref] = ACTIONS(7211),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCref] = ACTIONS(7211),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcpageref] = ACTIONS(7211),
    [anon_sym_BSLASHCpageref] = ACTIONS(7211),
    [anon_sym_BSLASHnamecref] = ACTIONS(7211),
    [anon_sym_BSLASHnameCref] = ACTIONS(7211),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7211),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7211),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7211),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7211),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7211),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7211),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7211),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7211),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7211),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7211),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7211),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHdef] = ACTIONS(7211),
    [anon_sym_BSLASHgdef] = ACTIONS(7211),
    [anon_sym_BSLASHedef] = ACTIONS(7211),
    [anon_sym_BSLASHxdef] = ACTIONS(7211),
    [anon_sym_BSLASHlet] = ACTIONS(7211),
    [anon_sym_BSLASHglet] = ACTIONS(7211),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7211),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7211),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7211),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7211),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7211),
    [anon_sym_BSLASHgls] = ACTIONS(7211),
    [anon_sym_BSLASHGls] = ACTIONS(7211),
    [anon_sym_BSLASHGLS] = ACTIONS(7211),
    [anon_sym_BSLASHglspl] = ACTIONS(7211),
    [anon_sym_BSLASHGlspl] = ACTIONS(7211),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7211),
    [anon_sym_BSLASHglslink] = ACTIONS(7211),
    [anon_sym_BSLASHglstext] = ACTIONS(7211),
    [anon_sym_BSLASHGlstext] = ACTIONS(7211),
    [anon_sym_BSLASHGLStext] = ACTIONS(7211),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7211),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7211),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7211),
    [anon_sym_BSLASHglsplural] = ACTIONS(7211),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7211),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7211),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHglsname] = ACTIONS(7211),
    [anon_sym_BSLASHGlsname] = ACTIONS(7211),
    [anon_sym_BSLASHGLSname] = ACTIONS(7211),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7211),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7211),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7211),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7211),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7211),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7211),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7211),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7211),
    [anon_sym_BSLASHacrshort] = ACTIONS(7211),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7211),
    [anon_sym_BSLASHACRshort] = ACTIONS(7211),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHacrlong] = ACTIONS(7211),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7211),
    [anon_sym_BSLASHACRlong] = ACTIONS(7211),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHacrfull] = ACTIONS(7211),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7211),
    [anon_sym_BSLASHACRfull] = ACTIONS(7211),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHacs] = ACTIONS(7211),
    [anon_sym_BSLASHAcs] = ACTIONS(7211),
    [anon_sym_BSLASHacsp] = ACTIONS(7211),
    [anon_sym_BSLASHAcsp] = ACTIONS(7211),
    [anon_sym_BSLASHacl] = ACTIONS(7211),
    [anon_sym_BSLASHAcl] = ACTIONS(7211),
    [anon_sym_BSLASHaclp] = ACTIONS(7211),
    [anon_sym_BSLASHAclp] = ACTIONS(7211),
    [anon_sym_BSLASHacf] = ACTIONS(7211),
    [anon_sym_BSLASHAcf] = ACTIONS(7211),
    [anon_sym_BSLASHacfp] = ACTIONS(7211),
    [anon_sym_BSLASHAcfp] = ACTIONS(7211),
    [anon_sym_BSLASHac] = ACTIONS(7211),
    [anon_sym_BSLASHAc] = ACTIONS(7211),
    [anon_sym_BSLASHacp] = ACTIONS(7211),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7211),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7211),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7211),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7211),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7211),
    [anon_sym_BSLASHcolor] = ACTIONS(7211),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7211),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7211),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7211),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7211),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7211),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7211),
    [anon_sym_BSLASHurl] = ACTIONS(7211),
    [anon_sym_BSLASHhref] = ACTIONS(7211),
  },
  [2174] = {
    [sym_command_name] = ACTIONS(7215),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7215),
    [anon_sym_LPAREN] = ACTIONS(7217),
    [anon_sym_RPAREN] = ACTIONS(7217),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_RBRACE] = ACTIONS(7217),
    [anon_sym_BSLASHand] = ACTIONS(7215),
    [sym_word] = ACTIONS(7215),
    [sym_placeholder] = ACTIONS(7217),
    [sym_delimiter] = ACTIONS(7217),
    [anon_sym_PLUS] = ACTIONS(7217),
    [anon_sym_DASH] = ACTIONS(7217),
    [anon_sym_STAR] = ACTIONS(7217),
    [anon_sym_SLASH] = ACTIONS(7217),
    [anon_sym_LT] = ACTIONS(7215),
    [anon_sym_GT] = ACTIONS(7215),
    [anon_sym_BANG] = ACTIONS(7215),
    [anon_sym_PIPE] = ACTIONS(7215),
    [anon_sym_COLON] = ACTIONS(7215),
    [anon_sym_SQUOTE] = ACTIONS(7215),
    [anon_sym__] = ACTIONS(7217),
    [anon_sym_CARET] = ACTIONS(7217),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7217),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7217),
    [anon_sym_DOLLAR] = ACTIONS(7215),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7217),
    [anon_sym_BSLASHleft] = ACTIONS(7215),
    [anon_sym_BSLASHbigl] = ACTIONS(7215),
    [anon_sym_BSLASHBigl] = ACTIONS(7215),
    [anon_sym_BSLASHbiggl] = ACTIONS(7215),
    [anon_sym_BSLASHBiggl] = ACTIONS(7215),
    [anon_sym_BSLASHtext] = ACTIONS(7215),
    [anon_sym_BSLASHintertext] = ACTIONS(7215),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7215),
    [anon_sym_BSLASHtitle] = ACTIONS(7215),
    [anon_sym_BSLASHauthor] = ACTIONS(7215),
    [anon_sym_BSLASHusepackage] = ACTIONS(7215),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7215),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7215),
    [anon_sym_BSLASHinclude] = ACTIONS(7215),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7215),
    [anon_sym_BSLASHinput] = ACTIONS(7215),
    [anon_sym_BSLASHsubfile] = ACTIONS(7215),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7215),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7215),
    [anon_sym_BSLASHbibliography] = ACTIONS(7215),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7215),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7215),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7215),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7215),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7215),
    [anon_sym_BSLASHimport] = ACTIONS(7215),
    [anon_sym_BSLASHsubimport] = ACTIONS(7215),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7215),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7215),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7215),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7215),
    [anon_sym_BSLASHcaption] = ACTIONS(7215),
    [anon_sym_BSLASHcite] = ACTIONS(7215),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCite] = ACTIONS(7215),
    [anon_sym_BSLASHnocite] = ACTIONS(7215),
    [anon_sym_BSLASHcitet] = ACTIONS(7215),
    [anon_sym_BSLASHcitep] = ACTIONS(7215),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteA] = ACTIONS(7215),
    [anon_sym_BSLASHciteR] = ACTIONS(7215),
    [anon_sym_BSLASHciteS] = ACTIONS(7215),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7215),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7215),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7215),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7215),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteyear] = ACTIONS(7215),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitedate] = ACTIONS(7215),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteurl] = ACTIONS(7215),
    [anon_sym_BSLASHfullcite] = ACTIONS(7215),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7215),
    [anon_sym_BSLASHcitealt] = ACTIONS(7215),
    [anon_sym_BSLASHcitealp] = ACTIONS(7215),
    [anon_sym_BSLASHcitetext] = ACTIONS(7215),
    [anon_sym_BSLASHparencite] = ACTIONS(7215),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHParencite] = ACTIONS(7215),
    [anon_sym_BSLASHfootcite] = ACTIONS(7215),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7215),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7215),
    [anon_sym_BSLASHtextcite] = ACTIONS(7215),
    [anon_sym_BSLASHTextcite] = ACTIONS(7215),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7215),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7215),
    [anon_sym_BSLASHsupercite] = ACTIONS(7215),
    [anon_sym_BSLASHautocite] = ACTIONS(7215),
    [anon_sym_BSLASHAutocite] = ACTIONS(7215),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHVolcite] = ACTIONS(7215),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHavolcite] = ACTIONS(7215),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHNotecite] = ACTIONS(7215),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHlabel] = ACTIONS(7215),
    [anon_sym_BSLASHref] = ACTIONS(7215),
    [anon_sym_BSLASHeqref] = ACTIONS(7215),
    [anon_sym_BSLASHvref] = ACTIONS(7215),
    [anon_sym_BSLASHVref] = ACTIONS(7215),
    [anon_sym_BSLASHautoref] = ACTIONS(7215),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHpageref] = ACTIONS(7215),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHautopageref] = ACTIONS(7215),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcref] = ACTIONS(7215),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCref] = ACTIONS(7215),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcpageref] = ACTIONS(7215),
    [anon_sym_BSLASHCpageref] = ACTIONS(7215),
    [anon_sym_BSLASHnamecref] = ACTIONS(7215),
    [anon_sym_BSLASHnameCref] = ACTIONS(7215),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7215),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7215),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7215),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7215),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7215),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7215),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7215),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7215),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7215),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7215),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7215),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHdef] = ACTIONS(7215),
    [anon_sym_BSLASHgdef] = ACTIONS(7215),
    [anon_sym_BSLASHedef] = ACTIONS(7215),
    [anon_sym_BSLASHxdef] = ACTIONS(7215),
    [anon_sym_BSLASHlet] = ACTIONS(7215),
    [anon_sym_BSLASHglet] = ACTIONS(7215),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7215),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7215),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7215),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7215),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7215),
    [anon_sym_BSLASHgls] = ACTIONS(7215),
    [anon_sym_BSLASHGls] = ACTIONS(7215),
    [anon_sym_BSLASHGLS] = ACTIONS(7215),
    [anon_sym_BSLASHglspl] = ACTIONS(7215),
    [anon_sym_BSLASHGlspl] = ACTIONS(7215),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7215),
    [anon_sym_BSLASHglslink] = ACTIONS(7215),
    [anon_sym_BSLASHglstext] = ACTIONS(7215),
    [anon_sym_BSLASHGlstext] = ACTIONS(7215),
    [anon_sym_BSLASHGLStext] = ACTIONS(7215),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7215),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7215),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7215),
    [anon_sym_BSLASHglsplural] = ACTIONS(7215),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7215),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7215),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHglsname] = ACTIONS(7215),
    [anon_sym_BSLASHGlsname] = ACTIONS(7215),
    [anon_sym_BSLASHGLSname] = ACTIONS(7215),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7215),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7215),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7215),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7215),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7215),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7215),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7215),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7215),
    [anon_sym_BSLASHacrshort] = ACTIONS(7215),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7215),
    [anon_sym_BSLASHACRshort] = ACTIONS(7215),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHacrlong] = ACTIONS(7215),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7215),
    [anon_sym_BSLASHACRlong] = ACTIONS(7215),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHacrfull] = ACTIONS(7215),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7215),
    [anon_sym_BSLASHACRfull] = ACTIONS(7215),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHacs] = ACTIONS(7215),
    [anon_sym_BSLASHAcs] = ACTIONS(7215),
    [anon_sym_BSLASHacsp] = ACTIONS(7215),
    [anon_sym_BSLASHAcsp] = ACTIONS(7215),
    [anon_sym_BSLASHacl] = ACTIONS(7215),
    [anon_sym_BSLASHAcl] = ACTIONS(7215),
    [anon_sym_BSLASHaclp] = ACTIONS(7215),
    [anon_sym_BSLASHAclp] = ACTIONS(7215),
    [anon_sym_BSLASHacf] = ACTIONS(7215),
    [anon_sym_BSLASHAcf] = ACTIONS(7215),
    [anon_sym_BSLASHacfp] = ACTIONS(7215),
    [anon_sym_BSLASHAcfp] = ACTIONS(7215),
    [anon_sym_BSLASHac] = ACTIONS(7215),
    [anon_sym_BSLASHAc] = ACTIONS(7215),
    [anon_sym_BSLASHacp] = ACTIONS(7215),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7215),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7215),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7215),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7215),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7215),
    [anon_sym_BSLASHcolor] = ACTIONS(7215),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7215),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7215),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7215),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7215),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7215),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7215),
    [anon_sym_BSLASHurl] = ACTIONS(7215),
    [anon_sym_BSLASHhref] = ACTIONS(7215),
  },
  [2175] = {
    [sym_command_name] = ACTIONS(7219),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7219),
    [anon_sym_LPAREN] = ACTIONS(7221),
    [anon_sym_RPAREN] = ACTIONS(7221),
    [anon_sym_LBRACE] = ACTIONS(7221),
    [anon_sym_RBRACE] = ACTIONS(7221),
    [anon_sym_BSLASHand] = ACTIONS(7219),
    [sym_word] = ACTIONS(7219),
    [sym_placeholder] = ACTIONS(7221),
    [sym_delimiter] = ACTIONS(7221),
    [anon_sym_PLUS] = ACTIONS(7221),
    [anon_sym_DASH] = ACTIONS(7221),
    [anon_sym_STAR] = ACTIONS(7221),
    [anon_sym_SLASH] = ACTIONS(7221),
    [anon_sym_LT] = ACTIONS(7219),
    [anon_sym_GT] = ACTIONS(7219),
    [anon_sym_BANG] = ACTIONS(7219),
    [anon_sym_PIPE] = ACTIONS(7219),
    [anon_sym_COLON] = ACTIONS(7219),
    [anon_sym_SQUOTE] = ACTIONS(7219),
    [anon_sym__] = ACTIONS(7221),
    [anon_sym_CARET] = ACTIONS(7221),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7221),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7221),
    [anon_sym_DOLLAR] = ACTIONS(7219),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7221),
    [anon_sym_BSLASHleft] = ACTIONS(7219),
    [anon_sym_BSLASHbigl] = ACTIONS(7219),
    [anon_sym_BSLASHBigl] = ACTIONS(7219),
    [anon_sym_BSLASHbiggl] = ACTIONS(7219),
    [anon_sym_BSLASHBiggl] = ACTIONS(7219),
    [anon_sym_BSLASHtext] = ACTIONS(7219),
    [anon_sym_BSLASHintertext] = ACTIONS(7219),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7219),
    [anon_sym_BSLASHtitle] = ACTIONS(7219),
    [anon_sym_BSLASHauthor] = ACTIONS(7219),
    [anon_sym_BSLASHusepackage] = ACTIONS(7219),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7219),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7219),
    [anon_sym_BSLASHinclude] = ACTIONS(7219),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7219),
    [anon_sym_BSLASHinput] = ACTIONS(7219),
    [anon_sym_BSLASHsubfile] = ACTIONS(7219),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7219),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7219),
    [anon_sym_BSLASHbibliography] = ACTIONS(7219),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7219),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7219),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7219),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7219),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7219),
    [anon_sym_BSLASHimport] = ACTIONS(7219),
    [anon_sym_BSLASHsubimport] = ACTIONS(7219),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7219),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7219),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7219),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7219),
    [anon_sym_BSLASHcaption] = ACTIONS(7219),
    [anon_sym_BSLASHcite] = ACTIONS(7219),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCite] = ACTIONS(7219),
    [anon_sym_BSLASHnocite] = ACTIONS(7219),
    [anon_sym_BSLASHcitet] = ACTIONS(7219),
    [anon_sym_BSLASHcitep] = ACTIONS(7219),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteA] = ACTIONS(7219),
    [anon_sym_BSLASHciteR] = ACTIONS(7219),
    [anon_sym_BSLASHciteS] = ACTIONS(7219),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7219),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7219),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7219),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7219),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteyear] = ACTIONS(7219),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitedate] = ACTIONS(7219),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteurl] = ACTIONS(7219),
    [anon_sym_BSLASHfullcite] = ACTIONS(7219),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7219),
    [anon_sym_BSLASHcitealt] = ACTIONS(7219),
    [anon_sym_BSLASHcitealp] = ACTIONS(7219),
    [anon_sym_BSLASHcitetext] = ACTIONS(7219),
    [anon_sym_BSLASHparencite] = ACTIONS(7219),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHParencite] = ACTIONS(7219),
    [anon_sym_BSLASHfootcite] = ACTIONS(7219),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7219),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7219),
    [anon_sym_BSLASHtextcite] = ACTIONS(7219),
    [anon_sym_BSLASHTextcite] = ACTIONS(7219),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7219),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7219),
    [anon_sym_BSLASHsupercite] = ACTIONS(7219),
    [anon_sym_BSLASHautocite] = ACTIONS(7219),
    [anon_sym_BSLASHAutocite] = ACTIONS(7219),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHVolcite] = ACTIONS(7219),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHavolcite] = ACTIONS(7219),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHNotecite] = ACTIONS(7219),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHlabel] = ACTIONS(7219),
    [anon_sym_BSLASHref] = ACTIONS(7219),
    [anon_sym_BSLASHeqref] = ACTIONS(7219),
    [anon_sym_BSLASHvref] = ACTIONS(7219),
    [anon_sym_BSLASHVref] = ACTIONS(7219),
    [anon_sym_BSLASHautoref] = ACTIONS(7219),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHpageref] = ACTIONS(7219),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHautopageref] = ACTIONS(7219),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcref] = ACTIONS(7219),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCref] = ACTIONS(7219),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcpageref] = ACTIONS(7219),
    [anon_sym_BSLASHCpageref] = ACTIONS(7219),
    [anon_sym_BSLASHnamecref] = ACTIONS(7219),
    [anon_sym_BSLASHnameCref] = ACTIONS(7219),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7219),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7219),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7219),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7219),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7219),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7219),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7219),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7219),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7219),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7219),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7219),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHdef] = ACTIONS(7219),
    [anon_sym_BSLASHgdef] = ACTIONS(7219),
    [anon_sym_BSLASHedef] = ACTIONS(7219),
    [anon_sym_BSLASHxdef] = ACTIONS(7219),
    [anon_sym_BSLASHlet] = ACTIONS(7219),
    [anon_sym_BSLASHglet] = ACTIONS(7219),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7219),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7219),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7219),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7219),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7219),
    [anon_sym_BSLASHgls] = ACTIONS(7219),
    [anon_sym_BSLASHGls] = ACTIONS(7219),
    [anon_sym_BSLASHGLS] = ACTIONS(7219),
    [anon_sym_BSLASHglspl] = ACTIONS(7219),
    [anon_sym_BSLASHGlspl] = ACTIONS(7219),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7219),
    [anon_sym_BSLASHglslink] = ACTIONS(7219),
    [anon_sym_BSLASHglstext] = ACTIONS(7219),
    [anon_sym_BSLASHGlstext] = ACTIONS(7219),
    [anon_sym_BSLASHGLStext] = ACTIONS(7219),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7219),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7219),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7219),
    [anon_sym_BSLASHglsplural] = ACTIONS(7219),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7219),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7219),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHglsname] = ACTIONS(7219),
    [anon_sym_BSLASHGlsname] = ACTIONS(7219),
    [anon_sym_BSLASHGLSname] = ACTIONS(7219),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7219),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7219),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7219),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7219),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7219),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7219),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7219),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7219),
    [anon_sym_BSLASHacrshort] = ACTIONS(7219),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7219),
    [anon_sym_BSLASHACRshort] = ACTIONS(7219),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHacrlong] = ACTIONS(7219),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7219),
    [anon_sym_BSLASHACRlong] = ACTIONS(7219),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHacrfull] = ACTIONS(7219),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7219),
    [anon_sym_BSLASHACRfull] = ACTIONS(7219),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHacs] = ACTIONS(7219),
    [anon_sym_BSLASHAcs] = ACTIONS(7219),
    [anon_sym_BSLASHacsp] = ACTIONS(7219),
    [anon_sym_BSLASHAcsp] = ACTIONS(7219),
    [anon_sym_BSLASHacl] = ACTIONS(7219),
    [anon_sym_BSLASHAcl] = ACTIONS(7219),
    [anon_sym_BSLASHaclp] = ACTIONS(7219),
    [anon_sym_BSLASHAclp] = ACTIONS(7219),
    [anon_sym_BSLASHacf] = ACTIONS(7219),
    [anon_sym_BSLASHAcf] = ACTIONS(7219),
    [anon_sym_BSLASHacfp] = ACTIONS(7219),
    [anon_sym_BSLASHAcfp] = ACTIONS(7219),
    [anon_sym_BSLASHac] = ACTIONS(7219),
    [anon_sym_BSLASHAc] = ACTIONS(7219),
    [anon_sym_BSLASHacp] = ACTIONS(7219),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7219),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7219),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7219),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7219),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7219),
    [anon_sym_BSLASHcolor] = ACTIONS(7219),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7219),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7219),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7219),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7219),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7219),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7219),
    [anon_sym_BSLASHurl] = ACTIONS(7219),
    [anon_sym_BSLASHhref] = ACTIONS(7219),
  },
  [2176] = {
    [sym_command_name] = ACTIONS(7375),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7375),
    [anon_sym_LPAREN] = ACTIONS(7377),
    [anon_sym_RPAREN] = ACTIONS(7377),
    [anon_sym_LBRACE] = ACTIONS(7377),
    [anon_sym_RBRACE] = ACTIONS(7377),
    [anon_sym_BSLASHand] = ACTIONS(7375),
    [sym_word] = ACTIONS(7375),
    [sym_placeholder] = ACTIONS(7377),
    [sym_delimiter] = ACTIONS(7377),
    [anon_sym_PLUS] = ACTIONS(7377),
    [anon_sym_DASH] = ACTIONS(7377),
    [anon_sym_STAR] = ACTIONS(7377),
    [anon_sym_SLASH] = ACTIONS(7377),
    [anon_sym_LT] = ACTIONS(7375),
    [anon_sym_GT] = ACTIONS(7375),
    [anon_sym_BANG] = ACTIONS(7375),
    [anon_sym_PIPE] = ACTIONS(7375),
    [anon_sym_COLON] = ACTIONS(7375),
    [anon_sym_SQUOTE] = ACTIONS(7375),
    [anon_sym__] = ACTIONS(7377),
    [anon_sym_CARET] = ACTIONS(7377),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7377),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7377),
    [anon_sym_DOLLAR] = ACTIONS(7375),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7377),
    [anon_sym_BSLASHleft] = ACTIONS(7375),
    [anon_sym_BSLASHbigl] = ACTIONS(7375),
    [anon_sym_BSLASHBigl] = ACTIONS(7375),
    [anon_sym_BSLASHbiggl] = ACTIONS(7375),
    [anon_sym_BSLASHBiggl] = ACTIONS(7375),
    [anon_sym_BSLASHtext] = ACTIONS(7375),
    [anon_sym_BSLASHintertext] = ACTIONS(7375),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7375),
    [anon_sym_BSLASHtitle] = ACTIONS(7375),
    [anon_sym_BSLASHauthor] = ACTIONS(7375),
    [anon_sym_BSLASHusepackage] = ACTIONS(7375),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7375),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7375),
    [anon_sym_BSLASHinclude] = ACTIONS(7375),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7375),
    [anon_sym_BSLASHinput] = ACTIONS(7375),
    [anon_sym_BSLASHsubfile] = ACTIONS(7375),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7375),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7375),
    [anon_sym_BSLASHbibliography] = ACTIONS(7375),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7375),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7375),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7375),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7375),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7375),
    [anon_sym_BSLASHimport] = ACTIONS(7375),
    [anon_sym_BSLASHsubimport] = ACTIONS(7375),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7375),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7375),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7375),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7375),
    [anon_sym_BSLASHcaption] = ACTIONS(7375),
    [anon_sym_BSLASHcite] = ACTIONS(7375),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCite] = ACTIONS(7375),
    [anon_sym_BSLASHnocite] = ACTIONS(7375),
    [anon_sym_BSLASHcitet] = ACTIONS(7375),
    [anon_sym_BSLASHcitep] = ACTIONS(7375),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteA] = ACTIONS(7375),
    [anon_sym_BSLASHciteR] = ACTIONS(7375),
    [anon_sym_BSLASHciteS] = ACTIONS(7375),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7375),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7375),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7375),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7375),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteyear] = ACTIONS(7375),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitedate] = ACTIONS(7375),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteurl] = ACTIONS(7375),
    [anon_sym_BSLASHfullcite] = ACTIONS(7375),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7375),
    [anon_sym_BSLASHcitealt] = ACTIONS(7375),
    [anon_sym_BSLASHcitealp] = ACTIONS(7375),
    [anon_sym_BSLASHcitetext] = ACTIONS(7375),
    [anon_sym_BSLASHparencite] = ACTIONS(7375),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHParencite] = ACTIONS(7375),
    [anon_sym_BSLASHfootcite] = ACTIONS(7375),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7375),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7375),
    [anon_sym_BSLASHtextcite] = ACTIONS(7375),
    [anon_sym_BSLASHTextcite] = ACTIONS(7375),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7375),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7375),
    [anon_sym_BSLASHsupercite] = ACTIONS(7375),
    [anon_sym_BSLASHautocite] = ACTIONS(7375),
    [anon_sym_BSLASHAutocite] = ACTIONS(7375),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHVolcite] = ACTIONS(7375),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHavolcite] = ACTIONS(7375),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHNotecite] = ACTIONS(7375),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHlabel] = ACTIONS(7375),
    [anon_sym_BSLASHref] = ACTIONS(7375),
    [anon_sym_BSLASHeqref] = ACTIONS(7375),
    [anon_sym_BSLASHvref] = ACTIONS(7375),
    [anon_sym_BSLASHVref] = ACTIONS(7375),
    [anon_sym_BSLASHautoref] = ACTIONS(7375),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHpageref] = ACTIONS(7375),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHautopageref] = ACTIONS(7375),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcref] = ACTIONS(7375),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCref] = ACTIONS(7375),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcpageref] = ACTIONS(7375),
    [anon_sym_BSLASHCpageref] = ACTIONS(7375),
    [anon_sym_BSLASHnamecref] = ACTIONS(7375),
    [anon_sym_BSLASHnameCref] = ACTIONS(7375),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7375),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7375),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7375),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7375),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7375),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7375),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7375),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7375),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7375),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7375),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7375),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHdef] = ACTIONS(7375),
    [anon_sym_BSLASHgdef] = ACTIONS(7375),
    [anon_sym_BSLASHedef] = ACTIONS(7375),
    [anon_sym_BSLASHxdef] = ACTIONS(7375),
    [anon_sym_BSLASHlet] = ACTIONS(7375),
    [anon_sym_BSLASHglet] = ACTIONS(7375),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7375),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7375),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7375),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7375),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7375),
    [anon_sym_BSLASHgls] = ACTIONS(7375),
    [anon_sym_BSLASHGls] = ACTIONS(7375),
    [anon_sym_BSLASHGLS] = ACTIONS(7375),
    [anon_sym_BSLASHglspl] = ACTIONS(7375),
    [anon_sym_BSLASHGlspl] = ACTIONS(7375),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7375),
    [anon_sym_BSLASHglslink] = ACTIONS(7375),
    [anon_sym_BSLASHglstext] = ACTIONS(7375),
    [anon_sym_BSLASHGlstext] = ACTIONS(7375),
    [anon_sym_BSLASHGLStext] = ACTIONS(7375),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7375),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7375),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7375),
    [anon_sym_BSLASHglsplural] = ACTIONS(7375),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7375),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7375),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHglsname] = ACTIONS(7375),
    [anon_sym_BSLASHGlsname] = ACTIONS(7375),
    [anon_sym_BSLASHGLSname] = ACTIONS(7375),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7375),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7375),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7375),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7375),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7375),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7375),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7375),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7375),
    [anon_sym_BSLASHacrshort] = ACTIONS(7375),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7375),
    [anon_sym_BSLASHACRshort] = ACTIONS(7375),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHacrlong] = ACTIONS(7375),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7375),
    [anon_sym_BSLASHACRlong] = ACTIONS(7375),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHacrfull] = ACTIONS(7375),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7375),
    [anon_sym_BSLASHACRfull] = ACTIONS(7375),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHacs] = ACTIONS(7375),
    [anon_sym_BSLASHAcs] = ACTIONS(7375),
    [anon_sym_BSLASHacsp] = ACTIONS(7375),
    [anon_sym_BSLASHAcsp] = ACTIONS(7375),
    [anon_sym_BSLASHacl] = ACTIONS(7375),
    [anon_sym_BSLASHAcl] = ACTIONS(7375),
    [anon_sym_BSLASHaclp] = ACTIONS(7375),
    [anon_sym_BSLASHAclp] = ACTIONS(7375),
    [anon_sym_BSLASHacf] = ACTIONS(7375),
    [anon_sym_BSLASHAcf] = ACTIONS(7375),
    [anon_sym_BSLASHacfp] = ACTIONS(7375),
    [anon_sym_BSLASHAcfp] = ACTIONS(7375),
    [anon_sym_BSLASHac] = ACTIONS(7375),
    [anon_sym_BSLASHAc] = ACTIONS(7375),
    [anon_sym_BSLASHacp] = ACTIONS(7375),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7375),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7375),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7375),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7375),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7375),
    [anon_sym_BSLASHcolor] = ACTIONS(7375),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7375),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7375),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7375),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7375),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7375),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7375),
    [anon_sym_BSLASHurl] = ACTIONS(7375),
    [anon_sym_BSLASHhref] = ACTIONS(7375),
  },
  [2177] = {
    [sym_command_name] = ACTIONS(7223),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7223),
    [anon_sym_LPAREN] = ACTIONS(7225),
    [anon_sym_RPAREN] = ACTIONS(7225),
    [anon_sym_LBRACE] = ACTIONS(7225),
    [anon_sym_RBRACE] = ACTIONS(7225),
    [anon_sym_BSLASHand] = ACTIONS(7223),
    [sym_word] = ACTIONS(7223),
    [sym_placeholder] = ACTIONS(7225),
    [sym_delimiter] = ACTIONS(7225),
    [anon_sym_PLUS] = ACTIONS(7225),
    [anon_sym_DASH] = ACTIONS(7225),
    [anon_sym_STAR] = ACTIONS(7225),
    [anon_sym_SLASH] = ACTIONS(7225),
    [anon_sym_LT] = ACTIONS(7223),
    [anon_sym_GT] = ACTIONS(7223),
    [anon_sym_BANG] = ACTIONS(7223),
    [anon_sym_PIPE] = ACTIONS(7223),
    [anon_sym_COLON] = ACTIONS(7223),
    [anon_sym_SQUOTE] = ACTIONS(7223),
    [anon_sym__] = ACTIONS(7225),
    [anon_sym_CARET] = ACTIONS(7225),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7225),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7225),
    [anon_sym_DOLLAR] = ACTIONS(7223),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7225),
    [anon_sym_BSLASHleft] = ACTIONS(7223),
    [anon_sym_BSLASHbigl] = ACTIONS(7223),
    [anon_sym_BSLASHBigl] = ACTIONS(7223),
    [anon_sym_BSLASHbiggl] = ACTIONS(7223),
    [anon_sym_BSLASHBiggl] = ACTIONS(7223),
    [anon_sym_BSLASHtext] = ACTIONS(7223),
    [anon_sym_BSLASHintertext] = ACTIONS(7223),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7223),
    [anon_sym_BSLASHtitle] = ACTIONS(7223),
    [anon_sym_BSLASHauthor] = ACTIONS(7223),
    [anon_sym_BSLASHusepackage] = ACTIONS(7223),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7223),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7223),
    [anon_sym_BSLASHinclude] = ACTIONS(7223),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7223),
    [anon_sym_BSLASHinput] = ACTIONS(7223),
    [anon_sym_BSLASHsubfile] = ACTIONS(7223),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7223),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7223),
    [anon_sym_BSLASHbibliography] = ACTIONS(7223),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7223),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7223),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7223),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7223),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7223),
    [anon_sym_BSLASHimport] = ACTIONS(7223),
    [anon_sym_BSLASHsubimport] = ACTIONS(7223),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7223),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7223),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7223),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7223),
    [anon_sym_BSLASHcaption] = ACTIONS(7223),
    [anon_sym_BSLASHcite] = ACTIONS(7223),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCite] = ACTIONS(7223),
    [anon_sym_BSLASHnocite] = ACTIONS(7223),
    [anon_sym_BSLASHcitet] = ACTIONS(7223),
    [anon_sym_BSLASHcitep] = ACTIONS(7223),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteA] = ACTIONS(7223),
    [anon_sym_BSLASHciteR] = ACTIONS(7223),
    [anon_sym_BSLASHciteS] = ACTIONS(7223),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7223),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7223),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7223),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7223),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteyear] = ACTIONS(7223),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitedate] = ACTIONS(7223),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteurl] = ACTIONS(7223),
    [anon_sym_BSLASHfullcite] = ACTIONS(7223),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7223),
    [anon_sym_BSLASHcitealt] = ACTIONS(7223),
    [anon_sym_BSLASHcitealp] = ACTIONS(7223),
    [anon_sym_BSLASHcitetext] = ACTIONS(7223),
    [anon_sym_BSLASHparencite] = ACTIONS(7223),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHParencite] = ACTIONS(7223),
    [anon_sym_BSLASHfootcite] = ACTIONS(7223),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7223),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7223),
    [anon_sym_BSLASHtextcite] = ACTIONS(7223),
    [anon_sym_BSLASHTextcite] = ACTIONS(7223),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7223),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7223),
    [anon_sym_BSLASHsupercite] = ACTIONS(7223),
    [anon_sym_BSLASHautocite] = ACTIONS(7223),
    [anon_sym_BSLASHAutocite] = ACTIONS(7223),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHVolcite] = ACTIONS(7223),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHavolcite] = ACTIONS(7223),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHNotecite] = ACTIONS(7223),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHlabel] = ACTIONS(7223),
    [anon_sym_BSLASHref] = ACTIONS(7223),
    [anon_sym_BSLASHeqref] = ACTIONS(7223),
    [anon_sym_BSLASHvref] = ACTIONS(7223),
    [anon_sym_BSLASHVref] = ACTIONS(7223),
    [anon_sym_BSLASHautoref] = ACTIONS(7223),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHpageref] = ACTIONS(7223),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHautopageref] = ACTIONS(7223),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcref] = ACTIONS(7223),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCref] = ACTIONS(7223),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcpageref] = ACTIONS(7223),
    [anon_sym_BSLASHCpageref] = ACTIONS(7223),
    [anon_sym_BSLASHnamecref] = ACTIONS(7223),
    [anon_sym_BSLASHnameCref] = ACTIONS(7223),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7223),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7223),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7223),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7223),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7223),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7223),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7223),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7223),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7223),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7223),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7223),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHdef] = ACTIONS(7223),
    [anon_sym_BSLASHgdef] = ACTIONS(7223),
    [anon_sym_BSLASHedef] = ACTIONS(7223),
    [anon_sym_BSLASHxdef] = ACTIONS(7223),
    [anon_sym_BSLASHlet] = ACTIONS(7223),
    [anon_sym_BSLASHglet] = ACTIONS(7223),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7223),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7223),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7223),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7223),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7223),
    [anon_sym_BSLASHgls] = ACTIONS(7223),
    [anon_sym_BSLASHGls] = ACTIONS(7223),
    [anon_sym_BSLASHGLS] = ACTIONS(7223),
    [anon_sym_BSLASHglspl] = ACTIONS(7223),
    [anon_sym_BSLASHGlspl] = ACTIONS(7223),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7223),
    [anon_sym_BSLASHglslink] = ACTIONS(7223),
    [anon_sym_BSLASHglstext] = ACTIONS(7223),
    [anon_sym_BSLASHGlstext] = ACTIONS(7223),
    [anon_sym_BSLASHGLStext] = ACTIONS(7223),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7223),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7223),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7223),
    [anon_sym_BSLASHglsplural] = ACTIONS(7223),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7223),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7223),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHglsname] = ACTIONS(7223),
    [anon_sym_BSLASHGlsname] = ACTIONS(7223),
    [anon_sym_BSLASHGLSname] = ACTIONS(7223),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7223),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7223),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7223),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7223),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7223),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7223),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7223),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7223),
    [anon_sym_BSLASHacrshort] = ACTIONS(7223),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7223),
    [anon_sym_BSLASHACRshort] = ACTIONS(7223),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHacrlong] = ACTIONS(7223),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7223),
    [anon_sym_BSLASHACRlong] = ACTIONS(7223),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHacrfull] = ACTIONS(7223),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7223),
    [anon_sym_BSLASHACRfull] = ACTIONS(7223),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHacs] = ACTIONS(7223),
    [anon_sym_BSLASHAcs] = ACTIONS(7223),
    [anon_sym_BSLASHacsp] = ACTIONS(7223),
    [anon_sym_BSLASHAcsp] = ACTIONS(7223),
    [anon_sym_BSLASHacl] = ACTIONS(7223),
    [anon_sym_BSLASHAcl] = ACTIONS(7223),
    [anon_sym_BSLASHaclp] = ACTIONS(7223),
    [anon_sym_BSLASHAclp] = ACTIONS(7223),
    [anon_sym_BSLASHacf] = ACTIONS(7223),
    [anon_sym_BSLASHAcf] = ACTIONS(7223),
    [anon_sym_BSLASHacfp] = ACTIONS(7223),
    [anon_sym_BSLASHAcfp] = ACTIONS(7223),
    [anon_sym_BSLASHac] = ACTIONS(7223),
    [anon_sym_BSLASHAc] = ACTIONS(7223),
    [anon_sym_BSLASHacp] = ACTIONS(7223),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7223),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7223),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7223),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7223),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7223),
    [anon_sym_BSLASHcolor] = ACTIONS(7223),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7223),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7223),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7223),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7223),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7223),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7223),
    [anon_sym_BSLASHurl] = ACTIONS(7223),
    [anon_sym_BSLASHhref] = ACTIONS(7223),
  },
  [2178] = {
    [sym_command_name] = ACTIONS(7227),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7227),
    [anon_sym_LPAREN] = ACTIONS(7229),
    [anon_sym_RPAREN] = ACTIONS(7229),
    [anon_sym_LBRACE] = ACTIONS(7229),
    [anon_sym_RBRACE] = ACTIONS(7229),
    [anon_sym_BSLASHand] = ACTIONS(7227),
    [sym_word] = ACTIONS(7227),
    [sym_placeholder] = ACTIONS(7229),
    [sym_delimiter] = ACTIONS(7229),
    [anon_sym_PLUS] = ACTIONS(7229),
    [anon_sym_DASH] = ACTIONS(7229),
    [anon_sym_STAR] = ACTIONS(7229),
    [anon_sym_SLASH] = ACTIONS(7229),
    [anon_sym_LT] = ACTIONS(7227),
    [anon_sym_GT] = ACTIONS(7227),
    [anon_sym_BANG] = ACTIONS(7227),
    [anon_sym_PIPE] = ACTIONS(7227),
    [anon_sym_COLON] = ACTIONS(7227),
    [anon_sym_SQUOTE] = ACTIONS(7227),
    [anon_sym__] = ACTIONS(7229),
    [anon_sym_CARET] = ACTIONS(7229),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7229),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7229),
    [anon_sym_DOLLAR] = ACTIONS(7227),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7229),
    [anon_sym_BSLASHleft] = ACTIONS(7227),
    [anon_sym_BSLASHbigl] = ACTIONS(7227),
    [anon_sym_BSLASHBigl] = ACTIONS(7227),
    [anon_sym_BSLASHbiggl] = ACTIONS(7227),
    [anon_sym_BSLASHBiggl] = ACTIONS(7227),
    [anon_sym_BSLASHtext] = ACTIONS(7227),
    [anon_sym_BSLASHintertext] = ACTIONS(7227),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7227),
    [anon_sym_BSLASHtitle] = ACTIONS(7227),
    [anon_sym_BSLASHauthor] = ACTIONS(7227),
    [anon_sym_BSLASHusepackage] = ACTIONS(7227),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7227),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7227),
    [anon_sym_BSLASHinclude] = ACTIONS(7227),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7227),
    [anon_sym_BSLASHinput] = ACTIONS(7227),
    [anon_sym_BSLASHsubfile] = ACTIONS(7227),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7227),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7227),
    [anon_sym_BSLASHbibliography] = ACTIONS(7227),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7227),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7227),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7227),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7227),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7227),
    [anon_sym_BSLASHimport] = ACTIONS(7227),
    [anon_sym_BSLASHsubimport] = ACTIONS(7227),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7227),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7227),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7227),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7227),
    [anon_sym_BSLASHcaption] = ACTIONS(7227),
    [anon_sym_BSLASHcite] = ACTIONS(7227),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCite] = ACTIONS(7227),
    [anon_sym_BSLASHnocite] = ACTIONS(7227),
    [anon_sym_BSLASHcitet] = ACTIONS(7227),
    [anon_sym_BSLASHcitep] = ACTIONS(7227),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteA] = ACTIONS(7227),
    [anon_sym_BSLASHciteR] = ACTIONS(7227),
    [anon_sym_BSLASHciteS] = ACTIONS(7227),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7227),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7227),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7227),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7227),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteyear] = ACTIONS(7227),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitedate] = ACTIONS(7227),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteurl] = ACTIONS(7227),
    [anon_sym_BSLASHfullcite] = ACTIONS(7227),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7227),
    [anon_sym_BSLASHcitealt] = ACTIONS(7227),
    [anon_sym_BSLASHcitealp] = ACTIONS(7227),
    [anon_sym_BSLASHcitetext] = ACTIONS(7227),
    [anon_sym_BSLASHparencite] = ACTIONS(7227),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHParencite] = ACTIONS(7227),
    [anon_sym_BSLASHfootcite] = ACTIONS(7227),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7227),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7227),
    [anon_sym_BSLASHtextcite] = ACTIONS(7227),
    [anon_sym_BSLASHTextcite] = ACTIONS(7227),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7227),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7227),
    [anon_sym_BSLASHsupercite] = ACTIONS(7227),
    [anon_sym_BSLASHautocite] = ACTIONS(7227),
    [anon_sym_BSLASHAutocite] = ACTIONS(7227),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHVolcite] = ACTIONS(7227),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHavolcite] = ACTIONS(7227),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHNotecite] = ACTIONS(7227),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHlabel] = ACTIONS(7227),
    [anon_sym_BSLASHref] = ACTIONS(7227),
    [anon_sym_BSLASHeqref] = ACTIONS(7227),
    [anon_sym_BSLASHvref] = ACTIONS(7227),
    [anon_sym_BSLASHVref] = ACTIONS(7227),
    [anon_sym_BSLASHautoref] = ACTIONS(7227),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHpageref] = ACTIONS(7227),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHautopageref] = ACTIONS(7227),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcref] = ACTIONS(7227),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCref] = ACTIONS(7227),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcpageref] = ACTIONS(7227),
    [anon_sym_BSLASHCpageref] = ACTIONS(7227),
    [anon_sym_BSLASHnamecref] = ACTIONS(7227),
    [anon_sym_BSLASHnameCref] = ACTIONS(7227),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7227),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7227),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7227),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7227),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7227),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7227),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7227),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7227),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7227),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7227),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7227),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHdef] = ACTIONS(7227),
    [anon_sym_BSLASHgdef] = ACTIONS(7227),
    [anon_sym_BSLASHedef] = ACTIONS(7227),
    [anon_sym_BSLASHxdef] = ACTIONS(7227),
    [anon_sym_BSLASHlet] = ACTIONS(7227),
    [anon_sym_BSLASHglet] = ACTIONS(7227),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7227),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7227),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7227),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7227),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7227),
    [anon_sym_BSLASHgls] = ACTIONS(7227),
    [anon_sym_BSLASHGls] = ACTIONS(7227),
    [anon_sym_BSLASHGLS] = ACTIONS(7227),
    [anon_sym_BSLASHglspl] = ACTIONS(7227),
    [anon_sym_BSLASHGlspl] = ACTIONS(7227),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7227),
    [anon_sym_BSLASHglslink] = ACTIONS(7227),
    [anon_sym_BSLASHglstext] = ACTIONS(7227),
    [anon_sym_BSLASHGlstext] = ACTIONS(7227),
    [anon_sym_BSLASHGLStext] = ACTIONS(7227),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7227),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7227),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7227),
    [anon_sym_BSLASHglsplural] = ACTIONS(7227),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7227),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7227),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHglsname] = ACTIONS(7227),
    [anon_sym_BSLASHGlsname] = ACTIONS(7227),
    [anon_sym_BSLASHGLSname] = ACTIONS(7227),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7227),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7227),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7227),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7227),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7227),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7227),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7227),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7227),
    [anon_sym_BSLASHacrshort] = ACTIONS(7227),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7227),
    [anon_sym_BSLASHACRshort] = ACTIONS(7227),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHacrlong] = ACTIONS(7227),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7227),
    [anon_sym_BSLASHACRlong] = ACTIONS(7227),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHacrfull] = ACTIONS(7227),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7227),
    [anon_sym_BSLASHACRfull] = ACTIONS(7227),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHacs] = ACTIONS(7227),
    [anon_sym_BSLASHAcs] = ACTIONS(7227),
    [anon_sym_BSLASHacsp] = ACTIONS(7227),
    [anon_sym_BSLASHAcsp] = ACTIONS(7227),
    [anon_sym_BSLASHacl] = ACTIONS(7227),
    [anon_sym_BSLASHAcl] = ACTIONS(7227),
    [anon_sym_BSLASHaclp] = ACTIONS(7227),
    [anon_sym_BSLASHAclp] = ACTIONS(7227),
    [anon_sym_BSLASHacf] = ACTIONS(7227),
    [anon_sym_BSLASHAcf] = ACTIONS(7227),
    [anon_sym_BSLASHacfp] = ACTIONS(7227),
    [anon_sym_BSLASHAcfp] = ACTIONS(7227),
    [anon_sym_BSLASHac] = ACTIONS(7227),
    [anon_sym_BSLASHAc] = ACTIONS(7227),
    [anon_sym_BSLASHacp] = ACTIONS(7227),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7227),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7227),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7227),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7227),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7227),
    [anon_sym_BSLASHcolor] = ACTIONS(7227),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7227),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7227),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7227),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7227),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7227),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7227),
    [anon_sym_BSLASHurl] = ACTIONS(7227),
    [anon_sym_BSLASHhref] = ACTIONS(7227),
  },
  [2179] = {
    [sym_command_name] = ACTIONS(7231),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7231),
    [anon_sym_LPAREN] = ACTIONS(7233),
    [anon_sym_RPAREN] = ACTIONS(7233),
    [anon_sym_LBRACE] = ACTIONS(7233),
    [anon_sym_RBRACE] = ACTIONS(7233),
    [anon_sym_BSLASHand] = ACTIONS(7231),
    [sym_word] = ACTIONS(7231),
    [sym_placeholder] = ACTIONS(7233),
    [sym_delimiter] = ACTIONS(7233),
    [anon_sym_PLUS] = ACTIONS(7233),
    [anon_sym_DASH] = ACTIONS(7233),
    [anon_sym_STAR] = ACTIONS(7233),
    [anon_sym_SLASH] = ACTIONS(7233),
    [anon_sym_LT] = ACTIONS(7231),
    [anon_sym_GT] = ACTIONS(7231),
    [anon_sym_BANG] = ACTIONS(7231),
    [anon_sym_PIPE] = ACTIONS(7231),
    [anon_sym_COLON] = ACTIONS(7231),
    [anon_sym_SQUOTE] = ACTIONS(7231),
    [anon_sym__] = ACTIONS(7233),
    [anon_sym_CARET] = ACTIONS(7233),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7233),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7233),
    [anon_sym_DOLLAR] = ACTIONS(7231),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7233),
    [anon_sym_BSLASHleft] = ACTIONS(7231),
    [anon_sym_BSLASHbigl] = ACTIONS(7231),
    [anon_sym_BSLASHBigl] = ACTIONS(7231),
    [anon_sym_BSLASHbiggl] = ACTIONS(7231),
    [anon_sym_BSLASHBiggl] = ACTIONS(7231),
    [anon_sym_BSLASHtext] = ACTIONS(7231),
    [anon_sym_BSLASHintertext] = ACTIONS(7231),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7231),
    [anon_sym_BSLASHtitle] = ACTIONS(7231),
    [anon_sym_BSLASHauthor] = ACTIONS(7231),
    [anon_sym_BSLASHusepackage] = ACTIONS(7231),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7231),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7231),
    [anon_sym_BSLASHinclude] = ACTIONS(7231),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7231),
    [anon_sym_BSLASHinput] = ACTIONS(7231),
    [anon_sym_BSLASHsubfile] = ACTIONS(7231),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7231),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7231),
    [anon_sym_BSLASHbibliography] = ACTIONS(7231),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7231),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7231),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7231),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7231),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7231),
    [anon_sym_BSLASHimport] = ACTIONS(7231),
    [anon_sym_BSLASHsubimport] = ACTIONS(7231),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7231),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7231),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7231),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7231),
    [anon_sym_BSLASHcaption] = ACTIONS(7231),
    [anon_sym_BSLASHcite] = ACTIONS(7231),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCite] = ACTIONS(7231),
    [anon_sym_BSLASHnocite] = ACTIONS(7231),
    [anon_sym_BSLASHcitet] = ACTIONS(7231),
    [anon_sym_BSLASHcitep] = ACTIONS(7231),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteA] = ACTIONS(7231),
    [anon_sym_BSLASHciteR] = ACTIONS(7231),
    [anon_sym_BSLASHciteS] = ACTIONS(7231),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7231),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7231),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7231),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7231),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteyear] = ACTIONS(7231),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitedate] = ACTIONS(7231),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteurl] = ACTIONS(7231),
    [anon_sym_BSLASHfullcite] = ACTIONS(7231),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7231),
    [anon_sym_BSLASHcitealt] = ACTIONS(7231),
    [anon_sym_BSLASHcitealp] = ACTIONS(7231),
    [anon_sym_BSLASHcitetext] = ACTIONS(7231),
    [anon_sym_BSLASHparencite] = ACTIONS(7231),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHParencite] = ACTIONS(7231),
    [anon_sym_BSLASHfootcite] = ACTIONS(7231),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7231),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7231),
    [anon_sym_BSLASHtextcite] = ACTIONS(7231),
    [anon_sym_BSLASHTextcite] = ACTIONS(7231),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7231),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7231),
    [anon_sym_BSLASHsupercite] = ACTIONS(7231),
    [anon_sym_BSLASHautocite] = ACTIONS(7231),
    [anon_sym_BSLASHAutocite] = ACTIONS(7231),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHVolcite] = ACTIONS(7231),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHavolcite] = ACTIONS(7231),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHNotecite] = ACTIONS(7231),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHlabel] = ACTIONS(7231),
    [anon_sym_BSLASHref] = ACTIONS(7231),
    [anon_sym_BSLASHeqref] = ACTIONS(7231),
    [anon_sym_BSLASHvref] = ACTIONS(7231),
    [anon_sym_BSLASHVref] = ACTIONS(7231),
    [anon_sym_BSLASHautoref] = ACTIONS(7231),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHpageref] = ACTIONS(7231),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHautopageref] = ACTIONS(7231),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcref] = ACTIONS(7231),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCref] = ACTIONS(7231),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcpageref] = ACTIONS(7231),
    [anon_sym_BSLASHCpageref] = ACTIONS(7231),
    [anon_sym_BSLASHnamecref] = ACTIONS(7231),
    [anon_sym_BSLASHnameCref] = ACTIONS(7231),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7231),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7231),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7231),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7231),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7231),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7231),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7231),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7231),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7231),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7231),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7231),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHdef] = ACTIONS(7231),
    [anon_sym_BSLASHgdef] = ACTIONS(7231),
    [anon_sym_BSLASHedef] = ACTIONS(7231),
    [anon_sym_BSLASHxdef] = ACTIONS(7231),
    [anon_sym_BSLASHlet] = ACTIONS(7231),
    [anon_sym_BSLASHglet] = ACTIONS(7231),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7231),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7231),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7231),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7231),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7231),
    [anon_sym_BSLASHgls] = ACTIONS(7231),
    [anon_sym_BSLASHGls] = ACTIONS(7231),
    [anon_sym_BSLASHGLS] = ACTIONS(7231),
    [anon_sym_BSLASHglspl] = ACTIONS(7231),
    [anon_sym_BSLASHGlspl] = ACTIONS(7231),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7231),
    [anon_sym_BSLASHglslink] = ACTIONS(7231),
    [anon_sym_BSLASHglstext] = ACTIONS(7231),
    [anon_sym_BSLASHGlstext] = ACTIONS(7231),
    [anon_sym_BSLASHGLStext] = ACTIONS(7231),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7231),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7231),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7231),
    [anon_sym_BSLASHglsplural] = ACTIONS(7231),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7231),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7231),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHglsname] = ACTIONS(7231),
    [anon_sym_BSLASHGlsname] = ACTIONS(7231),
    [anon_sym_BSLASHGLSname] = ACTIONS(7231),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7231),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7231),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7231),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7231),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7231),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7231),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7231),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7231),
    [anon_sym_BSLASHacrshort] = ACTIONS(7231),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7231),
    [anon_sym_BSLASHACRshort] = ACTIONS(7231),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHacrlong] = ACTIONS(7231),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7231),
    [anon_sym_BSLASHACRlong] = ACTIONS(7231),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHacrfull] = ACTIONS(7231),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7231),
    [anon_sym_BSLASHACRfull] = ACTIONS(7231),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHacs] = ACTIONS(7231),
    [anon_sym_BSLASHAcs] = ACTIONS(7231),
    [anon_sym_BSLASHacsp] = ACTIONS(7231),
    [anon_sym_BSLASHAcsp] = ACTIONS(7231),
    [anon_sym_BSLASHacl] = ACTIONS(7231),
    [anon_sym_BSLASHAcl] = ACTIONS(7231),
    [anon_sym_BSLASHaclp] = ACTIONS(7231),
    [anon_sym_BSLASHAclp] = ACTIONS(7231),
    [anon_sym_BSLASHacf] = ACTIONS(7231),
    [anon_sym_BSLASHAcf] = ACTIONS(7231),
    [anon_sym_BSLASHacfp] = ACTIONS(7231),
    [anon_sym_BSLASHAcfp] = ACTIONS(7231),
    [anon_sym_BSLASHac] = ACTIONS(7231),
    [anon_sym_BSLASHAc] = ACTIONS(7231),
    [anon_sym_BSLASHacp] = ACTIONS(7231),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7231),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7231),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7231),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7231),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7231),
    [anon_sym_BSLASHcolor] = ACTIONS(7231),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7231),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7231),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7231),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7231),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7231),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7231),
    [anon_sym_BSLASHurl] = ACTIONS(7231),
    [anon_sym_BSLASHhref] = ACTIONS(7231),
  },
  [2180] = {
    [sym_command_name] = ACTIONS(7379),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7379),
    [anon_sym_LPAREN] = ACTIONS(7381),
    [anon_sym_RPAREN] = ACTIONS(7381),
    [anon_sym_LBRACE] = ACTIONS(7381),
    [anon_sym_RBRACE] = ACTIONS(7381),
    [anon_sym_BSLASHand] = ACTIONS(7379),
    [sym_word] = ACTIONS(7379),
    [sym_placeholder] = ACTIONS(7381),
    [sym_delimiter] = ACTIONS(7381),
    [anon_sym_PLUS] = ACTIONS(7381),
    [anon_sym_DASH] = ACTIONS(7381),
    [anon_sym_STAR] = ACTIONS(7381),
    [anon_sym_SLASH] = ACTIONS(7381),
    [anon_sym_LT] = ACTIONS(7379),
    [anon_sym_GT] = ACTIONS(7379),
    [anon_sym_BANG] = ACTIONS(7379),
    [anon_sym_PIPE] = ACTIONS(7379),
    [anon_sym_COLON] = ACTIONS(7379),
    [anon_sym_SQUOTE] = ACTIONS(7379),
    [anon_sym__] = ACTIONS(7381),
    [anon_sym_CARET] = ACTIONS(7381),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7381),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7381),
    [anon_sym_DOLLAR] = ACTIONS(7379),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7381),
    [anon_sym_BSLASHleft] = ACTIONS(7379),
    [anon_sym_BSLASHbigl] = ACTIONS(7379),
    [anon_sym_BSLASHBigl] = ACTIONS(7379),
    [anon_sym_BSLASHbiggl] = ACTIONS(7379),
    [anon_sym_BSLASHBiggl] = ACTIONS(7379),
    [anon_sym_BSLASHtext] = ACTIONS(7379),
    [anon_sym_BSLASHintertext] = ACTIONS(7379),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7379),
    [anon_sym_BSLASHtitle] = ACTIONS(7379),
    [anon_sym_BSLASHauthor] = ACTIONS(7379),
    [anon_sym_BSLASHusepackage] = ACTIONS(7379),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7379),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7379),
    [anon_sym_BSLASHinclude] = ACTIONS(7379),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7379),
    [anon_sym_BSLASHinput] = ACTIONS(7379),
    [anon_sym_BSLASHsubfile] = ACTIONS(7379),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7379),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7379),
    [anon_sym_BSLASHbibliography] = ACTIONS(7379),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7379),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7379),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7379),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7379),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7379),
    [anon_sym_BSLASHimport] = ACTIONS(7379),
    [anon_sym_BSLASHsubimport] = ACTIONS(7379),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7379),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7379),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7379),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7379),
    [anon_sym_BSLASHcaption] = ACTIONS(7379),
    [anon_sym_BSLASHcite] = ACTIONS(7379),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCite] = ACTIONS(7379),
    [anon_sym_BSLASHnocite] = ACTIONS(7379),
    [anon_sym_BSLASHcitet] = ACTIONS(7379),
    [anon_sym_BSLASHcitep] = ACTIONS(7379),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteA] = ACTIONS(7379),
    [anon_sym_BSLASHciteR] = ACTIONS(7379),
    [anon_sym_BSLASHciteS] = ACTIONS(7379),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7379),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7379),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7379),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7379),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteyear] = ACTIONS(7379),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitedate] = ACTIONS(7379),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteurl] = ACTIONS(7379),
    [anon_sym_BSLASHfullcite] = ACTIONS(7379),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7379),
    [anon_sym_BSLASHcitealt] = ACTIONS(7379),
    [anon_sym_BSLASHcitealp] = ACTIONS(7379),
    [anon_sym_BSLASHcitetext] = ACTIONS(7379),
    [anon_sym_BSLASHparencite] = ACTIONS(7379),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHParencite] = ACTIONS(7379),
    [anon_sym_BSLASHfootcite] = ACTIONS(7379),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7379),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7379),
    [anon_sym_BSLASHtextcite] = ACTIONS(7379),
    [anon_sym_BSLASHTextcite] = ACTIONS(7379),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7379),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7379),
    [anon_sym_BSLASHsupercite] = ACTIONS(7379),
    [anon_sym_BSLASHautocite] = ACTIONS(7379),
    [anon_sym_BSLASHAutocite] = ACTIONS(7379),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHVolcite] = ACTIONS(7379),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHavolcite] = ACTIONS(7379),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHNotecite] = ACTIONS(7379),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHlabel] = ACTIONS(7379),
    [anon_sym_BSLASHref] = ACTIONS(7379),
    [anon_sym_BSLASHeqref] = ACTIONS(7379),
    [anon_sym_BSLASHvref] = ACTIONS(7379),
    [anon_sym_BSLASHVref] = ACTIONS(7379),
    [anon_sym_BSLASHautoref] = ACTIONS(7379),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHpageref] = ACTIONS(7379),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHautopageref] = ACTIONS(7379),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcref] = ACTIONS(7379),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCref] = ACTIONS(7379),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcpageref] = ACTIONS(7379),
    [anon_sym_BSLASHCpageref] = ACTIONS(7379),
    [anon_sym_BSLASHnamecref] = ACTIONS(7379),
    [anon_sym_BSLASHnameCref] = ACTIONS(7379),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7379),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7379),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7379),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7379),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7379),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7379),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7379),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7379),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7379),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7379),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7379),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHdef] = ACTIONS(7379),
    [anon_sym_BSLASHgdef] = ACTIONS(7379),
    [anon_sym_BSLASHedef] = ACTIONS(7379),
    [anon_sym_BSLASHxdef] = ACTIONS(7379),
    [anon_sym_BSLASHlet] = ACTIONS(7379),
    [anon_sym_BSLASHglet] = ACTIONS(7379),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7379),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7379),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7379),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7379),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7379),
    [anon_sym_BSLASHgls] = ACTIONS(7379),
    [anon_sym_BSLASHGls] = ACTIONS(7379),
    [anon_sym_BSLASHGLS] = ACTIONS(7379),
    [anon_sym_BSLASHglspl] = ACTIONS(7379),
    [anon_sym_BSLASHGlspl] = ACTIONS(7379),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7379),
    [anon_sym_BSLASHglslink] = ACTIONS(7379),
    [anon_sym_BSLASHglstext] = ACTIONS(7379),
    [anon_sym_BSLASHGlstext] = ACTIONS(7379),
    [anon_sym_BSLASHGLStext] = ACTIONS(7379),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7379),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7379),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7379),
    [anon_sym_BSLASHglsplural] = ACTIONS(7379),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7379),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7379),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHglsname] = ACTIONS(7379),
    [anon_sym_BSLASHGlsname] = ACTIONS(7379),
    [anon_sym_BSLASHGLSname] = ACTIONS(7379),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7379),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7379),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7379),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7379),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7379),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7379),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7379),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7379),
    [anon_sym_BSLASHacrshort] = ACTIONS(7379),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7379),
    [anon_sym_BSLASHACRshort] = ACTIONS(7379),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHacrlong] = ACTIONS(7379),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7379),
    [anon_sym_BSLASHACRlong] = ACTIONS(7379),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHacrfull] = ACTIONS(7379),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7379),
    [anon_sym_BSLASHACRfull] = ACTIONS(7379),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHacs] = ACTIONS(7379),
    [anon_sym_BSLASHAcs] = ACTIONS(7379),
    [anon_sym_BSLASHacsp] = ACTIONS(7379),
    [anon_sym_BSLASHAcsp] = ACTIONS(7379),
    [anon_sym_BSLASHacl] = ACTIONS(7379),
    [anon_sym_BSLASHAcl] = ACTIONS(7379),
    [anon_sym_BSLASHaclp] = ACTIONS(7379),
    [anon_sym_BSLASHAclp] = ACTIONS(7379),
    [anon_sym_BSLASHacf] = ACTIONS(7379),
    [anon_sym_BSLASHAcf] = ACTIONS(7379),
    [anon_sym_BSLASHacfp] = ACTIONS(7379),
    [anon_sym_BSLASHAcfp] = ACTIONS(7379),
    [anon_sym_BSLASHac] = ACTIONS(7379),
    [anon_sym_BSLASHAc] = ACTIONS(7379),
    [anon_sym_BSLASHacp] = ACTIONS(7379),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7379),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7379),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7379),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7379),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7379),
    [anon_sym_BSLASHcolor] = ACTIONS(7379),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7379),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7379),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7379),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7379),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7379),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7379),
    [anon_sym_BSLASHurl] = ACTIONS(7379),
    [anon_sym_BSLASHhref] = ACTIONS(7379),
  },
  [2181] = {
    [sym_command_name] = ACTIONS(7131),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7131),
    [anon_sym_LPAREN] = ACTIONS(7133),
    [anon_sym_RPAREN] = ACTIONS(7133),
    [anon_sym_LBRACE] = ACTIONS(7133),
    [anon_sym_RBRACE] = ACTIONS(7133),
    [anon_sym_BSLASHand] = ACTIONS(7131),
    [sym_word] = ACTIONS(7131),
    [sym_placeholder] = ACTIONS(7133),
    [sym_delimiter] = ACTIONS(7133),
    [anon_sym_PLUS] = ACTIONS(7133),
    [anon_sym_DASH] = ACTIONS(7133),
    [anon_sym_STAR] = ACTIONS(7133),
    [anon_sym_SLASH] = ACTIONS(7133),
    [anon_sym_LT] = ACTIONS(7131),
    [anon_sym_GT] = ACTIONS(7131),
    [anon_sym_BANG] = ACTIONS(7131),
    [anon_sym_PIPE] = ACTIONS(7131),
    [anon_sym_COLON] = ACTIONS(7131),
    [anon_sym_SQUOTE] = ACTIONS(7131),
    [anon_sym__] = ACTIONS(7133),
    [anon_sym_CARET] = ACTIONS(7133),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7133),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7133),
    [anon_sym_DOLLAR] = ACTIONS(7131),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7133),
    [anon_sym_BSLASHleft] = ACTIONS(7131),
    [anon_sym_BSLASHbigl] = ACTIONS(7131),
    [anon_sym_BSLASHBigl] = ACTIONS(7131),
    [anon_sym_BSLASHbiggl] = ACTIONS(7131),
    [anon_sym_BSLASHBiggl] = ACTIONS(7131),
    [anon_sym_BSLASHtext] = ACTIONS(7131),
    [anon_sym_BSLASHintertext] = ACTIONS(7131),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7131),
    [anon_sym_BSLASHtitle] = ACTIONS(7131),
    [anon_sym_BSLASHauthor] = ACTIONS(7131),
    [anon_sym_BSLASHusepackage] = ACTIONS(7131),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7131),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7131),
    [anon_sym_BSLASHinclude] = ACTIONS(7131),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7131),
    [anon_sym_BSLASHinput] = ACTIONS(7131),
    [anon_sym_BSLASHsubfile] = ACTIONS(7131),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7131),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7131),
    [anon_sym_BSLASHbibliography] = ACTIONS(7131),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7131),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7131),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7131),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7131),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7131),
    [anon_sym_BSLASHimport] = ACTIONS(7131),
    [anon_sym_BSLASHsubimport] = ACTIONS(7131),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7131),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7131),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7131),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7131),
    [anon_sym_BSLASHcaption] = ACTIONS(7131),
    [anon_sym_BSLASHcite] = ACTIONS(7131),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCite] = ACTIONS(7131),
    [anon_sym_BSLASHnocite] = ACTIONS(7131),
    [anon_sym_BSLASHcitet] = ACTIONS(7131),
    [anon_sym_BSLASHcitep] = ACTIONS(7131),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHciteA] = ACTIONS(7131),
    [anon_sym_BSLASHciteR] = ACTIONS(7131),
    [anon_sym_BSLASHciteS] = ACTIONS(7131),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7131),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7131),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7131),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7131),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHciteyear] = ACTIONS(7131),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcitedate] = ACTIONS(7131),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHciteurl] = ACTIONS(7131),
    [anon_sym_BSLASHfullcite] = ACTIONS(7131),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7131),
    [anon_sym_BSLASHcitealt] = ACTIONS(7131),
    [anon_sym_BSLASHcitealp] = ACTIONS(7131),
    [anon_sym_BSLASHcitetext] = ACTIONS(7131),
    [anon_sym_BSLASHparencite] = ACTIONS(7131),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHParencite] = ACTIONS(7131),
    [anon_sym_BSLASHfootcite] = ACTIONS(7131),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7131),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7131),
    [anon_sym_BSLASHtextcite] = ACTIONS(7131),
    [anon_sym_BSLASHTextcite] = ACTIONS(7131),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7131),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7131),
    [anon_sym_BSLASHsupercite] = ACTIONS(7131),
    [anon_sym_BSLASHautocite] = ACTIONS(7131),
    [anon_sym_BSLASHAutocite] = ACTIONS(7131),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHVolcite] = ACTIONS(7131),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHavolcite] = ACTIONS(7131),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7131),
    [anon_sym_BSLASHnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHNotecite] = ACTIONS(7131),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7131),
    [anon_sym_BSLASHlabel] = ACTIONS(7131),
    [anon_sym_BSLASHref] = ACTIONS(7131),
    [anon_sym_BSLASHeqref] = ACTIONS(7131),
    [anon_sym_BSLASHvref] = ACTIONS(7131),
    [anon_sym_BSLASHVref] = ACTIONS(7131),
    [anon_sym_BSLASHautoref] = ACTIONS(7131),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHpageref] = ACTIONS(7131),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHautopageref] = ACTIONS(7131),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcref] = ACTIONS(7131),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCref] = ACTIONS(7131),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcpageref] = ACTIONS(7131),
    [anon_sym_BSLASHCpageref] = ACTIONS(7131),
    [anon_sym_BSLASHnamecref] = ACTIONS(7131),
    [anon_sym_BSLASHnameCref] = ACTIONS(7131),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7131),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7131),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7131),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7131),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7131),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7131),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7131),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7131),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7131),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7131),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7131),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7131),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7131),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7131),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7131),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7131),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7131),
    [anon_sym_BSLASHdef] = ACTIONS(7131),
    [anon_sym_BSLASHgdef] = ACTIONS(7131),
    [anon_sym_BSLASHedef] = ACTIONS(7131),
    [anon_sym_BSLASHxdef] = ACTIONS(7131),
    [anon_sym_BSLASHlet] = ACTIONS(7131),
    [anon_sym_BSLASHglet] = ACTIONS(7131),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7131),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7131),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7131),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7131),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7131),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7131),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7131),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7131),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7131),
    [anon_sym_BSLASHgls] = ACTIONS(7131),
    [anon_sym_BSLASHGls] = ACTIONS(7131),
    [anon_sym_BSLASHGLS] = ACTIONS(7131),
    [anon_sym_BSLASHglspl] = ACTIONS(7131),
    [anon_sym_BSLASHGlspl] = ACTIONS(7131),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7131),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7131),
    [anon_sym_BSLASHglslink] = ACTIONS(7131),
    [anon_sym_BSLASHglstext] = ACTIONS(7131),
    [anon_sym_BSLASHGlstext] = ACTIONS(7131),
    [anon_sym_BSLASHGLStext] = ACTIONS(7131),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7131),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7131),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7131),
    [anon_sym_BSLASHglsplural] = ACTIONS(7131),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7131),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7131),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7131),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7131),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7131),
    [anon_sym_BSLASHglsname] = ACTIONS(7131),
    [anon_sym_BSLASHGlsname] = ACTIONS(7131),
    [anon_sym_BSLASHGLSname] = ACTIONS(7131),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7131),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7131),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7131),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7131),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7131),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7131),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7131),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7131),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7131),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7131),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7131),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7131),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7131),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7131),
    [anon_sym_BSLASHacrshort] = ACTIONS(7131),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7131),
    [anon_sym_BSLASHACRshort] = ACTIONS(7131),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHacrlong] = ACTIONS(7131),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7131),
    [anon_sym_BSLASHACRlong] = ACTIONS(7131),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7131),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7131),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7131),
    [anon_sym_BSLASHacrfull] = ACTIONS(7131),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7131),
    [anon_sym_BSLASHACRfull] = ACTIONS(7131),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHacs] = ACTIONS(7131),
    [anon_sym_BSLASHAcs] = ACTIONS(7131),
    [anon_sym_BSLASHacsp] = ACTIONS(7131),
    [anon_sym_BSLASHAcsp] = ACTIONS(7131),
    [anon_sym_BSLASHacl] = ACTIONS(7131),
    [anon_sym_BSLASHAcl] = ACTIONS(7131),
    [anon_sym_BSLASHaclp] = ACTIONS(7131),
    [anon_sym_BSLASHAclp] = ACTIONS(7131),
    [anon_sym_BSLASHacf] = ACTIONS(7131),
    [anon_sym_BSLASHAcf] = ACTIONS(7131),
    [anon_sym_BSLASHacfp] = ACTIONS(7131),
    [anon_sym_BSLASHAcfp] = ACTIONS(7131),
    [anon_sym_BSLASHac] = ACTIONS(7131),
    [anon_sym_BSLASHAc] = ACTIONS(7131),
    [anon_sym_BSLASHacp] = ACTIONS(7131),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7131),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7131),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7131),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7131),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7131),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7131),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7131),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7133),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7131),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7131),
    [anon_sym_BSLASHcolor] = ACTIONS(7131),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7131),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7131),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7131),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7131),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7131),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7131),
    [anon_sym_BSLASHurl] = ACTIONS(7131),
    [anon_sym_BSLASHhref] = ACTIONS(7131),
  },
  [2182] = {
    [sym_command_name] = ACTIONS(7235),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7235),
    [anon_sym_LPAREN] = ACTIONS(7237),
    [anon_sym_RPAREN] = ACTIONS(7237),
    [anon_sym_LBRACE] = ACTIONS(7237),
    [anon_sym_RBRACE] = ACTIONS(7237),
    [anon_sym_BSLASHand] = ACTIONS(7235),
    [sym_word] = ACTIONS(7235),
    [sym_placeholder] = ACTIONS(7237),
    [sym_delimiter] = ACTIONS(7237),
    [anon_sym_PLUS] = ACTIONS(7237),
    [anon_sym_DASH] = ACTIONS(7237),
    [anon_sym_STAR] = ACTIONS(7237),
    [anon_sym_SLASH] = ACTIONS(7237),
    [anon_sym_LT] = ACTIONS(7235),
    [anon_sym_GT] = ACTIONS(7235),
    [anon_sym_BANG] = ACTIONS(7235),
    [anon_sym_PIPE] = ACTIONS(7235),
    [anon_sym_COLON] = ACTIONS(7235),
    [anon_sym_SQUOTE] = ACTIONS(7235),
    [anon_sym__] = ACTIONS(7237),
    [anon_sym_CARET] = ACTIONS(7237),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7237),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7237),
    [anon_sym_DOLLAR] = ACTIONS(7235),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7237),
    [anon_sym_BSLASHleft] = ACTIONS(7235),
    [anon_sym_BSLASHbigl] = ACTIONS(7235),
    [anon_sym_BSLASHBigl] = ACTIONS(7235),
    [anon_sym_BSLASHbiggl] = ACTIONS(7235),
    [anon_sym_BSLASHBiggl] = ACTIONS(7235),
    [anon_sym_BSLASHtext] = ACTIONS(7235),
    [anon_sym_BSLASHintertext] = ACTIONS(7235),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7235),
    [anon_sym_BSLASHtitle] = ACTIONS(7235),
    [anon_sym_BSLASHauthor] = ACTIONS(7235),
    [anon_sym_BSLASHusepackage] = ACTIONS(7235),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7235),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7235),
    [anon_sym_BSLASHinclude] = ACTIONS(7235),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7235),
    [anon_sym_BSLASHinput] = ACTIONS(7235),
    [anon_sym_BSLASHsubfile] = ACTIONS(7235),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7235),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7235),
    [anon_sym_BSLASHbibliography] = ACTIONS(7235),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7235),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7235),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7235),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7235),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7235),
    [anon_sym_BSLASHimport] = ACTIONS(7235),
    [anon_sym_BSLASHsubimport] = ACTIONS(7235),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7235),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7235),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7235),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7235),
    [anon_sym_BSLASHcaption] = ACTIONS(7235),
    [anon_sym_BSLASHcite] = ACTIONS(7235),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCite] = ACTIONS(7235),
    [anon_sym_BSLASHnocite] = ACTIONS(7235),
    [anon_sym_BSLASHcitet] = ACTIONS(7235),
    [anon_sym_BSLASHcitep] = ACTIONS(7235),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteA] = ACTIONS(7235),
    [anon_sym_BSLASHciteR] = ACTIONS(7235),
    [anon_sym_BSLASHciteS] = ACTIONS(7235),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7235),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7235),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7235),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7235),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteyear] = ACTIONS(7235),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitedate] = ACTIONS(7235),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteurl] = ACTIONS(7235),
    [anon_sym_BSLASHfullcite] = ACTIONS(7235),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7235),
    [anon_sym_BSLASHcitealt] = ACTIONS(7235),
    [anon_sym_BSLASHcitealp] = ACTIONS(7235),
    [anon_sym_BSLASHcitetext] = ACTIONS(7235),
    [anon_sym_BSLASHparencite] = ACTIONS(7235),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHParencite] = ACTIONS(7235),
    [anon_sym_BSLASHfootcite] = ACTIONS(7235),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7235),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7235),
    [anon_sym_BSLASHtextcite] = ACTIONS(7235),
    [anon_sym_BSLASHTextcite] = ACTIONS(7235),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7235),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7235),
    [anon_sym_BSLASHsupercite] = ACTIONS(7235),
    [anon_sym_BSLASHautocite] = ACTIONS(7235),
    [anon_sym_BSLASHAutocite] = ACTIONS(7235),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHVolcite] = ACTIONS(7235),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHavolcite] = ACTIONS(7235),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHNotecite] = ACTIONS(7235),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHlabel] = ACTIONS(7235),
    [anon_sym_BSLASHref] = ACTIONS(7235),
    [anon_sym_BSLASHeqref] = ACTIONS(7235),
    [anon_sym_BSLASHvref] = ACTIONS(7235),
    [anon_sym_BSLASHVref] = ACTIONS(7235),
    [anon_sym_BSLASHautoref] = ACTIONS(7235),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHpageref] = ACTIONS(7235),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHautopageref] = ACTIONS(7235),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcref] = ACTIONS(7235),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCref] = ACTIONS(7235),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcpageref] = ACTIONS(7235),
    [anon_sym_BSLASHCpageref] = ACTIONS(7235),
    [anon_sym_BSLASHnamecref] = ACTIONS(7235),
    [anon_sym_BSLASHnameCref] = ACTIONS(7235),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7235),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7235),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7235),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7235),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7235),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7235),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7235),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7235),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7235),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7235),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7235),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHdef] = ACTIONS(7235),
    [anon_sym_BSLASHgdef] = ACTIONS(7235),
    [anon_sym_BSLASHedef] = ACTIONS(7235),
    [anon_sym_BSLASHxdef] = ACTIONS(7235),
    [anon_sym_BSLASHlet] = ACTIONS(7235),
    [anon_sym_BSLASHglet] = ACTIONS(7235),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7235),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7235),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7235),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7235),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7235),
    [anon_sym_BSLASHgls] = ACTIONS(7235),
    [anon_sym_BSLASHGls] = ACTIONS(7235),
    [anon_sym_BSLASHGLS] = ACTIONS(7235),
    [anon_sym_BSLASHglspl] = ACTIONS(7235),
    [anon_sym_BSLASHGlspl] = ACTIONS(7235),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7235),
    [anon_sym_BSLASHglslink] = ACTIONS(7235),
    [anon_sym_BSLASHglstext] = ACTIONS(7235),
    [anon_sym_BSLASHGlstext] = ACTIONS(7235),
    [anon_sym_BSLASHGLStext] = ACTIONS(7235),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7235),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7235),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7235),
    [anon_sym_BSLASHglsplural] = ACTIONS(7235),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7235),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7235),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHglsname] = ACTIONS(7235),
    [anon_sym_BSLASHGlsname] = ACTIONS(7235),
    [anon_sym_BSLASHGLSname] = ACTIONS(7235),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7235),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7235),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7235),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7235),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7235),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7235),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7235),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7235),
    [anon_sym_BSLASHacrshort] = ACTIONS(7235),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7235),
    [anon_sym_BSLASHACRshort] = ACTIONS(7235),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHacrlong] = ACTIONS(7235),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7235),
    [anon_sym_BSLASHACRlong] = ACTIONS(7235),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHacrfull] = ACTIONS(7235),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7235),
    [anon_sym_BSLASHACRfull] = ACTIONS(7235),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHacs] = ACTIONS(7235),
    [anon_sym_BSLASHAcs] = ACTIONS(7235),
    [anon_sym_BSLASHacsp] = ACTIONS(7235),
    [anon_sym_BSLASHAcsp] = ACTIONS(7235),
    [anon_sym_BSLASHacl] = ACTIONS(7235),
    [anon_sym_BSLASHAcl] = ACTIONS(7235),
    [anon_sym_BSLASHaclp] = ACTIONS(7235),
    [anon_sym_BSLASHAclp] = ACTIONS(7235),
    [anon_sym_BSLASHacf] = ACTIONS(7235),
    [anon_sym_BSLASHAcf] = ACTIONS(7235),
    [anon_sym_BSLASHacfp] = ACTIONS(7235),
    [anon_sym_BSLASHAcfp] = ACTIONS(7235),
    [anon_sym_BSLASHac] = ACTIONS(7235),
    [anon_sym_BSLASHAc] = ACTIONS(7235),
    [anon_sym_BSLASHacp] = ACTIONS(7235),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7235),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7235),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7235),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7235),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7235),
    [anon_sym_BSLASHcolor] = ACTIONS(7235),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7235),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7235),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7235),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7235),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7235),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7235),
    [anon_sym_BSLASHurl] = ACTIONS(7235),
    [anon_sym_BSLASHhref] = ACTIONS(7235),
  },
  [2183] = {
    [sym_command_name] = ACTIONS(7383),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7383),
    [anon_sym_LPAREN] = ACTIONS(7385),
    [anon_sym_RPAREN] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7385),
    [anon_sym_RBRACE] = ACTIONS(7385),
    [anon_sym_BSLASHand] = ACTIONS(7383),
    [sym_word] = ACTIONS(7383),
    [sym_placeholder] = ACTIONS(7385),
    [sym_delimiter] = ACTIONS(7385),
    [anon_sym_PLUS] = ACTIONS(7385),
    [anon_sym_DASH] = ACTIONS(7385),
    [anon_sym_STAR] = ACTIONS(7385),
    [anon_sym_SLASH] = ACTIONS(7385),
    [anon_sym_LT] = ACTIONS(7383),
    [anon_sym_GT] = ACTIONS(7383),
    [anon_sym_BANG] = ACTIONS(7383),
    [anon_sym_PIPE] = ACTIONS(7383),
    [anon_sym_COLON] = ACTIONS(7383),
    [anon_sym_SQUOTE] = ACTIONS(7383),
    [anon_sym__] = ACTIONS(7385),
    [anon_sym_CARET] = ACTIONS(7385),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7385),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7385),
    [anon_sym_DOLLAR] = ACTIONS(7383),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7385),
    [anon_sym_BSLASHleft] = ACTIONS(7383),
    [anon_sym_BSLASHbigl] = ACTIONS(7383),
    [anon_sym_BSLASHBigl] = ACTIONS(7383),
    [anon_sym_BSLASHbiggl] = ACTIONS(7383),
    [anon_sym_BSLASHBiggl] = ACTIONS(7383),
    [anon_sym_BSLASHtext] = ACTIONS(7383),
    [anon_sym_BSLASHintertext] = ACTIONS(7383),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7383),
    [anon_sym_BSLASHtitle] = ACTIONS(7383),
    [anon_sym_BSLASHauthor] = ACTIONS(7383),
    [anon_sym_BSLASHusepackage] = ACTIONS(7383),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7383),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7383),
    [anon_sym_BSLASHinclude] = ACTIONS(7383),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7383),
    [anon_sym_BSLASHinput] = ACTIONS(7383),
    [anon_sym_BSLASHsubfile] = ACTIONS(7383),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7383),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7383),
    [anon_sym_BSLASHbibliography] = ACTIONS(7383),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7383),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7383),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7383),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7383),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7383),
    [anon_sym_BSLASHimport] = ACTIONS(7383),
    [anon_sym_BSLASHsubimport] = ACTIONS(7383),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7383),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7383),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7383),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7383),
    [anon_sym_BSLASHcaption] = ACTIONS(7383),
    [anon_sym_BSLASHcite] = ACTIONS(7383),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCite] = ACTIONS(7383),
    [anon_sym_BSLASHnocite] = ACTIONS(7383),
    [anon_sym_BSLASHcitet] = ACTIONS(7383),
    [anon_sym_BSLASHcitep] = ACTIONS(7383),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteA] = ACTIONS(7383),
    [anon_sym_BSLASHciteR] = ACTIONS(7383),
    [anon_sym_BSLASHciteS] = ACTIONS(7383),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7383),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7383),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7383),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7383),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteyear] = ACTIONS(7383),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitedate] = ACTIONS(7383),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteurl] = ACTIONS(7383),
    [anon_sym_BSLASHfullcite] = ACTIONS(7383),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7383),
    [anon_sym_BSLASHcitealt] = ACTIONS(7383),
    [anon_sym_BSLASHcitealp] = ACTIONS(7383),
    [anon_sym_BSLASHcitetext] = ACTIONS(7383),
    [anon_sym_BSLASHparencite] = ACTIONS(7383),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHParencite] = ACTIONS(7383),
    [anon_sym_BSLASHfootcite] = ACTIONS(7383),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7383),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7383),
    [anon_sym_BSLASHtextcite] = ACTIONS(7383),
    [anon_sym_BSLASHTextcite] = ACTIONS(7383),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7383),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7383),
    [anon_sym_BSLASHsupercite] = ACTIONS(7383),
    [anon_sym_BSLASHautocite] = ACTIONS(7383),
    [anon_sym_BSLASHAutocite] = ACTIONS(7383),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHVolcite] = ACTIONS(7383),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHavolcite] = ACTIONS(7383),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHNotecite] = ACTIONS(7383),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHlabel] = ACTIONS(7383),
    [anon_sym_BSLASHref] = ACTIONS(7383),
    [anon_sym_BSLASHeqref] = ACTIONS(7383),
    [anon_sym_BSLASHvref] = ACTIONS(7383),
    [anon_sym_BSLASHVref] = ACTIONS(7383),
    [anon_sym_BSLASHautoref] = ACTIONS(7383),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHpageref] = ACTIONS(7383),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHautopageref] = ACTIONS(7383),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcref] = ACTIONS(7383),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCref] = ACTIONS(7383),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcpageref] = ACTIONS(7383),
    [anon_sym_BSLASHCpageref] = ACTIONS(7383),
    [anon_sym_BSLASHnamecref] = ACTIONS(7383),
    [anon_sym_BSLASHnameCref] = ACTIONS(7383),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7383),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7383),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7383),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7383),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7383),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7383),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7383),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7383),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7383),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7383),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7383),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHdef] = ACTIONS(7383),
    [anon_sym_BSLASHgdef] = ACTIONS(7383),
    [anon_sym_BSLASHedef] = ACTIONS(7383),
    [anon_sym_BSLASHxdef] = ACTIONS(7383),
    [anon_sym_BSLASHlet] = ACTIONS(7383),
    [anon_sym_BSLASHglet] = ACTIONS(7383),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7383),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7383),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7383),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7383),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7383),
    [anon_sym_BSLASHgls] = ACTIONS(7383),
    [anon_sym_BSLASHGls] = ACTIONS(7383),
    [anon_sym_BSLASHGLS] = ACTIONS(7383),
    [anon_sym_BSLASHglspl] = ACTIONS(7383),
    [anon_sym_BSLASHGlspl] = ACTIONS(7383),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7383),
    [anon_sym_BSLASHglslink] = ACTIONS(7383),
    [anon_sym_BSLASHglstext] = ACTIONS(7383),
    [anon_sym_BSLASHGlstext] = ACTIONS(7383),
    [anon_sym_BSLASHGLStext] = ACTIONS(7383),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7383),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7383),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7383),
    [anon_sym_BSLASHglsplural] = ACTIONS(7383),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7383),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7383),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHglsname] = ACTIONS(7383),
    [anon_sym_BSLASHGlsname] = ACTIONS(7383),
    [anon_sym_BSLASHGLSname] = ACTIONS(7383),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7383),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7383),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7383),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7383),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7383),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7383),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7383),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7383),
    [anon_sym_BSLASHacrshort] = ACTIONS(7383),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7383),
    [anon_sym_BSLASHACRshort] = ACTIONS(7383),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHacrlong] = ACTIONS(7383),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7383),
    [anon_sym_BSLASHACRlong] = ACTIONS(7383),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHacrfull] = ACTIONS(7383),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7383),
    [anon_sym_BSLASHACRfull] = ACTIONS(7383),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHacs] = ACTIONS(7383),
    [anon_sym_BSLASHAcs] = ACTIONS(7383),
    [anon_sym_BSLASHacsp] = ACTIONS(7383),
    [anon_sym_BSLASHAcsp] = ACTIONS(7383),
    [anon_sym_BSLASHacl] = ACTIONS(7383),
    [anon_sym_BSLASHAcl] = ACTIONS(7383),
    [anon_sym_BSLASHaclp] = ACTIONS(7383),
    [anon_sym_BSLASHAclp] = ACTIONS(7383),
    [anon_sym_BSLASHacf] = ACTIONS(7383),
    [anon_sym_BSLASHAcf] = ACTIONS(7383),
    [anon_sym_BSLASHacfp] = ACTIONS(7383),
    [anon_sym_BSLASHAcfp] = ACTIONS(7383),
    [anon_sym_BSLASHac] = ACTIONS(7383),
    [anon_sym_BSLASHAc] = ACTIONS(7383),
    [anon_sym_BSLASHacp] = ACTIONS(7383),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7383),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7383),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7383),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7383),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7383),
    [anon_sym_BSLASHcolor] = ACTIONS(7383),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7383),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7383),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7383),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7383),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7383),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7383),
    [anon_sym_BSLASHurl] = ACTIONS(7383),
    [anon_sym_BSLASHhref] = ACTIONS(7383),
  },
  [2184] = {
    [sym_command_name] = ACTIONS(7239),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7239),
    [anon_sym_LPAREN] = ACTIONS(7241),
    [anon_sym_RPAREN] = ACTIONS(7241),
    [anon_sym_LBRACE] = ACTIONS(7241),
    [anon_sym_RBRACE] = ACTIONS(7241),
    [anon_sym_BSLASHand] = ACTIONS(7239),
    [sym_word] = ACTIONS(7239),
    [sym_placeholder] = ACTIONS(7241),
    [sym_delimiter] = ACTIONS(7241),
    [anon_sym_PLUS] = ACTIONS(7241),
    [anon_sym_DASH] = ACTIONS(7241),
    [anon_sym_STAR] = ACTIONS(7241),
    [anon_sym_SLASH] = ACTIONS(7241),
    [anon_sym_LT] = ACTIONS(7239),
    [anon_sym_GT] = ACTIONS(7239),
    [anon_sym_BANG] = ACTIONS(7239),
    [anon_sym_PIPE] = ACTIONS(7239),
    [anon_sym_COLON] = ACTIONS(7239),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym__] = ACTIONS(7241),
    [anon_sym_CARET] = ACTIONS(7241),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7241),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7241),
    [anon_sym_DOLLAR] = ACTIONS(7239),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7241),
    [anon_sym_BSLASHleft] = ACTIONS(7239),
    [anon_sym_BSLASHbigl] = ACTIONS(7239),
    [anon_sym_BSLASHBigl] = ACTIONS(7239),
    [anon_sym_BSLASHbiggl] = ACTIONS(7239),
    [anon_sym_BSLASHBiggl] = ACTIONS(7239),
    [anon_sym_BSLASHtext] = ACTIONS(7239),
    [anon_sym_BSLASHintertext] = ACTIONS(7239),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7239),
    [anon_sym_BSLASHtitle] = ACTIONS(7239),
    [anon_sym_BSLASHauthor] = ACTIONS(7239),
    [anon_sym_BSLASHusepackage] = ACTIONS(7239),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7239),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7239),
    [anon_sym_BSLASHinclude] = ACTIONS(7239),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7239),
    [anon_sym_BSLASHinput] = ACTIONS(7239),
    [anon_sym_BSLASHsubfile] = ACTIONS(7239),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7239),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7239),
    [anon_sym_BSLASHbibliography] = ACTIONS(7239),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7239),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7239),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7239),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7239),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7239),
    [anon_sym_BSLASHimport] = ACTIONS(7239),
    [anon_sym_BSLASHsubimport] = ACTIONS(7239),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7239),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7239),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7239),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7239),
    [anon_sym_BSLASHcaption] = ACTIONS(7239),
    [anon_sym_BSLASHcite] = ACTIONS(7239),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCite] = ACTIONS(7239),
    [anon_sym_BSLASHnocite] = ACTIONS(7239),
    [anon_sym_BSLASHcitet] = ACTIONS(7239),
    [anon_sym_BSLASHcitep] = ACTIONS(7239),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteA] = ACTIONS(7239),
    [anon_sym_BSLASHciteR] = ACTIONS(7239),
    [anon_sym_BSLASHciteS] = ACTIONS(7239),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7239),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7239),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7239),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7239),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteyear] = ACTIONS(7239),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitedate] = ACTIONS(7239),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteurl] = ACTIONS(7239),
    [anon_sym_BSLASHfullcite] = ACTIONS(7239),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7239),
    [anon_sym_BSLASHcitealt] = ACTIONS(7239),
    [anon_sym_BSLASHcitealp] = ACTIONS(7239),
    [anon_sym_BSLASHcitetext] = ACTIONS(7239),
    [anon_sym_BSLASHparencite] = ACTIONS(7239),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHParencite] = ACTIONS(7239),
    [anon_sym_BSLASHfootcite] = ACTIONS(7239),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7239),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7239),
    [anon_sym_BSLASHtextcite] = ACTIONS(7239),
    [anon_sym_BSLASHTextcite] = ACTIONS(7239),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7239),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7239),
    [anon_sym_BSLASHsupercite] = ACTIONS(7239),
    [anon_sym_BSLASHautocite] = ACTIONS(7239),
    [anon_sym_BSLASHAutocite] = ACTIONS(7239),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHVolcite] = ACTIONS(7239),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHavolcite] = ACTIONS(7239),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHNotecite] = ACTIONS(7239),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHlabel] = ACTIONS(7239),
    [anon_sym_BSLASHref] = ACTIONS(7239),
    [anon_sym_BSLASHeqref] = ACTIONS(7239),
    [anon_sym_BSLASHvref] = ACTIONS(7239),
    [anon_sym_BSLASHVref] = ACTIONS(7239),
    [anon_sym_BSLASHautoref] = ACTIONS(7239),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHpageref] = ACTIONS(7239),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHautopageref] = ACTIONS(7239),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcref] = ACTIONS(7239),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCref] = ACTIONS(7239),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcpageref] = ACTIONS(7239),
    [anon_sym_BSLASHCpageref] = ACTIONS(7239),
    [anon_sym_BSLASHnamecref] = ACTIONS(7239),
    [anon_sym_BSLASHnameCref] = ACTIONS(7239),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7239),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7239),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7239),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7239),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7239),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7239),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7239),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7239),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7239),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7239),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7239),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHdef] = ACTIONS(7239),
    [anon_sym_BSLASHgdef] = ACTIONS(7239),
    [anon_sym_BSLASHedef] = ACTIONS(7239),
    [anon_sym_BSLASHxdef] = ACTIONS(7239),
    [anon_sym_BSLASHlet] = ACTIONS(7239),
    [anon_sym_BSLASHglet] = ACTIONS(7239),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7239),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7239),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7239),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7239),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7239),
    [anon_sym_BSLASHgls] = ACTIONS(7239),
    [anon_sym_BSLASHGls] = ACTIONS(7239),
    [anon_sym_BSLASHGLS] = ACTIONS(7239),
    [anon_sym_BSLASHglspl] = ACTIONS(7239),
    [anon_sym_BSLASHGlspl] = ACTIONS(7239),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7239),
    [anon_sym_BSLASHglslink] = ACTIONS(7239),
    [anon_sym_BSLASHglstext] = ACTIONS(7239),
    [anon_sym_BSLASHGlstext] = ACTIONS(7239),
    [anon_sym_BSLASHGLStext] = ACTIONS(7239),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7239),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7239),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7239),
    [anon_sym_BSLASHglsplural] = ACTIONS(7239),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7239),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7239),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHglsname] = ACTIONS(7239),
    [anon_sym_BSLASHGlsname] = ACTIONS(7239),
    [anon_sym_BSLASHGLSname] = ACTIONS(7239),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7239),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7239),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7239),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7239),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7239),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7239),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7239),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7239),
    [anon_sym_BSLASHacrshort] = ACTIONS(7239),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7239),
    [anon_sym_BSLASHACRshort] = ACTIONS(7239),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHacrlong] = ACTIONS(7239),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7239),
    [anon_sym_BSLASHACRlong] = ACTIONS(7239),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHacrfull] = ACTIONS(7239),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7239),
    [anon_sym_BSLASHACRfull] = ACTIONS(7239),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHacs] = ACTIONS(7239),
    [anon_sym_BSLASHAcs] = ACTIONS(7239),
    [anon_sym_BSLASHacsp] = ACTIONS(7239),
    [anon_sym_BSLASHAcsp] = ACTIONS(7239),
    [anon_sym_BSLASHacl] = ACTIONS(7239),
    [anon_sym_BSLASHAcl] = ACTIONS(7239),
    [anon_sym_BSLASHaclp] = ACTIONS(7239),
    [anon_sym_BSLASHAclp] = ACTIONS(7239),
    [anon_sym_BSLASHacf] = ACTIONS(7239),
    [anon_sym_BSLASHAcf] = ACTIONS(7239),
    [anon_sym_BSLASHacfp] = ACTIONS(7239),
    [anon_sym_BSLASHAcfp] = ACTIONS(7239),
    [anon_sym_BSLASHac] = ACTIONS(7239),
    [anon_sym_BSLASHAc] = ACTIONS(7239),
    [anon_sym_BSLASHacp] = ACTIONS(7239),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7239),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7239),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7239),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7239),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7239),
    [anon_sym_BSLASHcolor] = ACTIONS(7239),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7239),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7239),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7239),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7239),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7239),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7239),
    [anon_sym_BSLASHurl] = ACTIONS(7239),
    [anon_sym_BSLASHhref] = ACTIONS(7239),
  },
  [2185] = {
    [sym_command_name] = ACTIONS(7243),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7243),
    [anon_sym_LPAREN] = ACTIONS(7245),
    [anon_sym_RPAREN] = ACTIONS(7245),
    [anon_sym_LBRACE] = ACTIONS(7245),
    [anon_sym_RBRACE] = ACTIONS(7245),
    [anon_sym_BSLASHand] = ACTIONS(7243),
    [sym_word] = ACTIONS(7243),
    [sym_placeholder] = ACTIONS(7245),
    [sym_delimiter] = ACTIONS(7245),
    [anon_sym_PLUS] = ACTIONS(7245),
    [anon_sym_DASH] = ACTIONS(7245),
    [anon_sym_STAR] = ACTIONS(7245),
    [anon_sym_SLASH] = ACTIONS(7245),
    [anon_sym_LT] = ACTIONS(7243),
    [anon_sym_GT] = ACTIONS(7243),
    [anon_sym_BANG] = ACTIONS(7243),
    [anon_sym_PIPE] = ACTIONS(7243),
    [anon_sym_COLON] = ACTIONS(7243),
    [anon_sym_SQUOTE] = ACTIONS(7243),
    [anon_sym__] = ACTIONS(7245),
    [anon_sym_CARET] = ACTIONS(7245),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7245),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7245),
    [anon_sym_DOLLAR] = ACTIONS(7243),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7245),
    [anon_sym_BSLASHleft] = ACTIONS(7243),
    [anon_sym_BSLASHbigl] = ACTIONS(7243),
    [anon_sym_BSLASHBigl] = ACTIONS(7243),
    [anon_sym_BSLASHbiggl] = ACTIONS(7243),
    [anon_sym_BSLASHBiggl] = ACTIONS(7243),
    [anon_sym_BSLASHtext] = ACTIONS(7243),
    [anon_sym_BSLASHintertext] = ACTIONS(7243),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7243),
    [anon_sym_BSLASHtitle] = ACTIONS(7243),
    [anon_sym_BSLASHauthor] = ACTIONS(7243),
    [anon_sym_BSLASHusepackage] = ACTIONS(7243),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7243),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7243),
    [anon_sym_BSLASHinclude] = ACTIONS(7243),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7243),
    [anon_sym_BSLASHinput] = ACTIONS(7243),
    [anon_sym_BSLASHsubfile] = ACTIONS(7243),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7243),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7243),
    [anon_sym_BSLASHbibliography] = ACTIONS(7243),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7243),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7243),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7243),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7243),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7243),
    [anon_sym_BSLASHimport] = ACTIONS(7243),
    [anon_sym_BSLASHsubimport] = ACTIONS(7243),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7243),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7243),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7243),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7243),
    [anon_sym_BSLASHcaption] = ACTIONS(7243),
    [anon_sym_BSLASHcite] = ACTIONS(7243),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCite] = ACTIONS(7243),
    [anon_sym_BSLASHnocite] = ACTIONS(7243),
    [anon_sym_BSLASHcitet] = ACTIONS(7243),
    [anon_sym_BSLASHcitep] = ACTIONS(7243),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteA] = ACTIONS(7243),
    [anon_sym_BSLASHciteR] = ACTIONS(7243),
    [anon_sym_BSLASHciteS] = ACTIONS(7243),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7243),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7243),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7243),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7243),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteyear] = ACTIONS(7243),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitedate] = ACTIONS(7243),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteurl] = ACTIONS(7243),
    [anon_sym_BSLASHfullcite] = ACTIONS(7243),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7243),
    [anon_sym_BSLASHcitealt] = ACTIONS(7243),
    [anon_sym_BSLASHcitealp] = ACTIONS(7243),
    [anon_sym_BSLASHcitetext] = ACTIONS(7243),
    [anon_sym_BSLASHparencite] = ACTIONS(7243),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHParencite] = ACTIONS(7243),
    [anon_sym_BSLASHfootcite] = ACTIONS(7243),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7243),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7243),
    [anon_sym_BSLASHtextcite] = ACTIONS(7243),
    [anon_sym_BSLASHTextcite] = ACTIONS(7243),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7243),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7243),
    [anon_sym_BSLASHsupercite] = ACTIONS(7243),
    [anon_sym_BSLASHautocite] = ACTIONS(7243),
    [anon_sym_BSLASHAutocite] = ACTIONS(7243),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHVolcite] = ACTIONS(7243),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHavolcite] = ACTIONS(7243),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHNotecite] = ACTIONS(7243),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHlabel] = ACTIONS(7243),
    [anon_sym_BSLASHref] = ACTIONS(7243),
    [anon_sym_BSLASHeqref] = ACTIONS(7243),
    [anon_sym_BSLASHvref] = ACTIONS(7243),
    [anon_sym_BSLASHVref] = ACTIONS(7243),
    [anon_sym_BSLASHautoref] = ACTIONS(7243),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHpageref] = ACTIONS(7243),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHautopageref] = ACTIONS(7243),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcref] = ACTIONS(7243),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCref] = ACTIONS(7243),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcpageref] = ACTIONS(7243),
    [anon_sym_BSLASHCpageref] = ACTIONS(7243),
    [anon_sym_BSLASHnamecref] = ACTIONS(7243),
    [anon_sym_BSLASHnameCref] = ACTIONS(7243),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7243),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7243),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7243),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7243),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7243),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7243),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7243),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7243),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7243),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7243),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7243),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHdef] = ACTIONS(7243),
    [anon_sym_BSLASHgdef] = ACTIONS(7243),
    [anon_sym_BSLASHedef] = ACTIONS(7243),
    [anon_sym_BSLASHxdef] = ACTIONS(7243),
    [anon_sym_BSLASHlet] = ACTIONS(7243),
    [anon_sym_BSLASHglet] = ACTIONS(7243),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7243),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7243),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7243),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7243),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7243),
    [anon_sym_BSLASHgls] = ACTIONS(7243),
    [anon_sym_BSLASHGls] = ACTIONS(7243),
    [anon_sym_BSLASHGLS] = ACTIONS(7243),
    [anon_sym_BSLASHglspl] = ACTIONS(7243),
    [anon_sym_BSLASHGlspl] = ACTIONS(7243),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7243),
    [anon_sym_BSLASHglslink] = ACTIONS(7243),
    [anon_sym_BSLASHglstext] = ACTIONS(7243),
    [anon_sym_BSLASHGlstext] = ACTIONS(7243),
    [anon_sym_BSLASHGLStext] = ACTIONS(7243),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7243),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7243),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7243),
    [anon_sym_BSLASHglsplural] = ACTIONS(7243),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7243),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7243),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHglsname] = ACTIONS(7243),
    [anon_sym_BSLASHGlsname] = ACTIONS(7243),
    [anon_sym_BSLASHGLSname] = ACTIONS(7243),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7243),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7243),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7243),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7243),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7243),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7243),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7243),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7243),
    [anon_sym_BSLASHacrshort] = ACTIONS(7243),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7243),
    [anon_sym_BSLASHACRshort] = ACTIONS(7243),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHacrlong] = ACTIONS(7243),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7243),
    [anon_sym_BSLASHACRlong] = ACTIONS(7243),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHacrfull] = ACTIONS(7243),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7243),
    [anon_sym_BSLASHACRfull] = ACTIONS(7243),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHacs] = ACTIONS(7243),
    [anon_sym_BSLASHAcs] = ACTIONS(7243),
    [anon_sym_BSLASHacsp] = ACTIONS(7243),
    [anon_sym_BSLASHAcsp] = ACTIONS(7243),
    [anon_sym_BSLASHacl] = ACTIONS(7243),
    [anon_sym_BSLASHAcl] = ACTIONS(7243),
    [anon_sym_BSLASHaclp] = ACTIONS(7243),
    [anon_sym_BSLASHAclp] = ACTIONS(7243),
    [anon_sym_BSLASHacf] = ACTIONS(7243),
    [anon_sym_BSLASHAcf] = ACTIONS(7243),
    [anon_sym_BSLASHacfp] = ACTIONS(7243),
    [anon_sym_BSLASHAcfp] = ACTIONS(7243),
    [anon_sym_BSLASHac] = ACTIONS(7243),
    [anon_sym_BSLASHAc] = ACTIONS(7243),
    [anon_sym_BSLASHacp] = ACTIONS(7243),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7243),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7243),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7243),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7243),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7243),
    [anon_sym_BSLASHcolor] = ACTIONS(7243),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7243),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7243),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7243),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7243),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7243),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7243),
    [anon_sym_BSLASHurl] = ACTIONS(7243),
    [anon_sym_BSLASHhref] = ACTIONS(7243),
  },
  [2186] = {
    [sym_command_name] = ACTIONS(7247),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7247),
    [anon_sym_LPAREN] = ACTIONS(7249),
    [anon_sym_RPAREN] = ACTIONS(7249),
    [anon_sym_LBRACE] = ACTIONS(7249),
    [anon_sym_RBRACE] = ACTIONS(7249),
    [anon_sym_BSLASHand] = ACTIONS(7247),
    [sym_word] = ACTIONS(7247),
    [sym_placeholder] = ACTIONS(7249),
    [sym_delimiter] = ACTIONS(7249),
    [anon_sym_PLUS] = ACTIONS(7249),
    [anon_sym_DASH] = ACTIONS(7249),
    [anon_sym_STAR] = ACTIONS(7249),
    [anon_sym_SLASH] = ACTIONS(7249),
    [anon_sym_LT] = ACTIONS(7247),
    [anon_sym_GT] = ACTIONS(7247),
    [anon_sym_BANG] = ACTIONS(7247),
    [anon_sym_PIPE] = ACTIONS(7247),
    [anon_sym_COLON] = ACTIONS(7247),
    [anon_sym_SQUOTE] = ACTIONS(7247),
    [anon_sym__] = ACTIONS(7249),
    [anon_sym_CARET] = ACTIONS(7249),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7249),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7249),
    [anon_sym_DOLLAR] = ACTIONS(7247),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7249),
    [anon_sym_BSLASHleft] = ACTIONS(7247),
    [anon_sym_BSLASHbigl] = ACTIONS(7247),
    [anon_sym_BSLASHBigl] = ACTIONS(7247),
    [anon_sym_BSLASHbiggl] = ACTIONS(7247),
    [anon_sym_BSLASHBiggl] = ACTIONS(7247),
    [anon_sym_BSLASHtext] = ACTIONS(7247),
    [anon_sym_BSLASHintertext] = ACTIONS(7247),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7247),
    [anon_sym_BSLASHtitle] = ACTIONS(7247),
    [anon_sym_BSLASHauthor] = ACTIONS(7247),
    [anon_sym_BSLASHusepackage] = ACTIONS(7247),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7247),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7247),
    [anon_sym_BSLASHinclude] = ACTIONS(7247),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7247),
    [anon_sym_BSLASHinput] = ACTIONS(7247),
    [anon_sym_BSLASHsubfile] = ACTIONS(7247),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7247),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7247),
    [anon_sym_BSLASHbibliography] = ACTIONS(7247),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7247),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7247),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7247),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7247),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7247),
    [anon_sym_BSLASHimport] = ACTIONS(7247),
    [anon_sym_BSLASHsubimport] = ACTIONS(7247),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7247),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7247),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7247),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7247),
    [anon_sym_BSLASHcaption] = ACTIONS(7247),
    [anon_sym_BSLASHcite] = ACTIONS(7247),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCite] = ACTIONS(7247),
    [anon_sym_BSLASHnocite] = ACTIONS(7247),
    [anon_sym_BSLASHcitet] = ACTIONS(7247),
    [anon_sym_BSLASHcitep] = ACTIONS(7247),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteA] = ACTIONS(7247),
    [anon_sym_BSLASHciteR] = ACTIONS(7247),
    [anon_sym_BSLASHciteS] = ACTIONS(7247),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7247),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7247),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7247),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7247),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteyear] = ACTIONS(7247),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitedate] = ACTIONS(7247),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteurl] = ACTIONS(7247),
    [anon_sym_BSLASHfullcite] = ACTIONS(7247),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7247),
    [anon_sym_BSLASHcitealt] = ACTIONS(7247),
    [anon_sym_BSLASHcitealp] = ACTIONS(7247),
    [anon_sym_BSLASHcitetext] = ACTIONS(7247),
    [anon_sym_BSLASHparencite] = ACTIONS(7247),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHParencite] = ACTIONS(7247),
    [anon_sym_BSLASHfootcite] = ACTIONS(7247),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7247),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7247),
    [anon_sym_BSLASHtextcite] = ACTIONS(7247),
    [anon_sym_BSLASHTextcite] = ACTIONS(7247),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7247),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7247),
    [anon_sym_BSLASHsupercite] = ACTIONS(7247),
    [anon_sym_BSLASHautocite] = ACTIONS(7247),
    [anon_sym_BSLASHAutocite] = ACTIONS(7247),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHVolcite] = ACTIONS(7247),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHavolcite] = ACTIONS(7247),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHNotecite] = ACTIONS(7247),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHlabel] = ACTIONS(7247),
    [anon_sym_BSLASHref] = ACTIONS(7247),
    [anon_sym_BSLASHeqref] = ACTIONS(7247),
    [anon_sym_BSLASHvref] = ACTIONS(7247),
    [anon_sym_BSLASHVref] = ACTIONS(7247),
    [anon_sym_BSLASHautoref] = ACTIONS(7247),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHpageref] = ACTIONS(7247),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHautopageref] = ACTIONS(7247),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcref] = ACTIONS(7247),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCref] = ACTIONS(7247),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcpageref] = ACTIONS(7247),
    [anon_sym_BSLASHCpageref] = ACTIONS(7247),
    [anon_sym_BSLASHnamecref] = ACTIONS(7247),
    [anon_sym_BSLASHnameCref] = ACTIONS(7247),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7247),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7247),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7247),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7247),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7247),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7247),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7247),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7247),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7247),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7247),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7247),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHdef] = ACTIONS(7247),
    [anon_sym_BSLASHgdef] = ACTIONS(7247),
    [anon_sym_BSLASHedef] = ACTIONS(7247),
    [anon_sym_BSLASHxdef] = ACTIONS(7247),
    [anon_sym_BSLASHlet] = ACTIONS(7247),
    [anon_sym_BSLASHglet] = ACTIONS(7247),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7247),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7247),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7247),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7247),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7247),
    [anon_sym_BSLASHgls] = ACTIONS(7247),
    [anon_sym_BSLASHGls] = ACTIONS(7247),
    [anon_sym_BSLASHGLS] = ACTIONS(7247),
    [anon_sym_BSLASHglspl] = ACTIONS(7247),
    [anon_sym_BSLASHGlspl] = ACTIONS(7247),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7247),
    [anon_sym_BSLASHglslink] = ACTIONS(7247),
    [anon_sym_BSLASHglstext] = ACTIONS(7247),
    [anon_sym_BSLASHGlstext] = ACTIONS(7247),
    [anon_sym_BSLASHGLStext] = ACTIONS(7247),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7247),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7247),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7247),
    [anon_sym_BSLASHglsplural] = ACTIONS(7247),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7247),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7247),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHglsname] = ACTIONS(7247),
    [anon_sym_BSLASHGlsname] = ACTIONS(7247),
    [anon_sym_BSLASHGLSname] = ACTIONS(7247),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7247),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7247),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7247),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7247),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7247),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7247),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7247),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7247),
    [anon_sym_BSLASHacrshort] = ACTIONS(7247),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7247),
    [anon_sym_BSLASHACRshort] = ACTIONS(7247),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHacrlong] = ACTIONS(7247),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7247),
    [anon_sym_BSLASHACRlong] = ACTIONS(7247),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHacrfull] = ACTIONS(7247),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7247),
    [anon_sym_BSLASHACRfull] = ACTIONS(7247),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHacs] = ACTIONS(7247),
    [anon_sym_BSLASHAcs] = ACTIONS(7247),
    [anon_sym_BSLASHacsp] = ACTIONS(7247),
    [anon_sym_BSLASHAcsp] = ACTIONS(7247),
    [anon_sym_BSLASHacl] = ACTIONS(7247),
    [anon_sym_BSLASHAcl] = ACTIONS(7247),
    [anon_sym_BSLASHaclp] = ACTIONS(7247),
    [anon_sym_BSLASHAclp] = ACTIONS(7247),
    [anon_sym_BSLASHacf] = ACTIONS(7247),
    [anon_sym_BSLASHAcf] = ACTIONS(7247),
    [anon_sym_BSLASHacfp] = ACTIONS(7247),
    [anon_sym_BSLASHAcfp] = ACTIONS(7247),
    [anon_sym_BSLASHac] = ACTIONS(7247),
    [anon_sym_BSLASHAc] = ACTIONS(7247),
    [anon_sym_BSLASHacp] = ACTIONS(7247),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7247),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7247),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7247),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7247),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7247),
    [anon_sym_BSLASHcolor] = ACTIONS(7247),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7247),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7247),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7247),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7247),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7247),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7247),
    [anon_sym_BSLASHurl] = ACTIONS(7247),
    [anon_sym_BSLASHhref] = ACTIONS(7247),
  },
  [2187] = {
    [sym_command_name] = ACTIONS(7251),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7251),
    [anon_sym_LPAREN] = ACTIONS(7253),
    [anon_sym_RPAREN] = ACTIONS(7253),
    [anon_sym_LBRACE] = ACTIONS(7253),
    [anon_sym_RBRACE] = ACTIONS(7253),
    [anon_sym_BSLASHand] = ACTIONS(7251),
    [sym_word] = ACTIONS(7251),
    [sym_placeholder] = ACTIONS(7253),
    [sym_delimiter] = ACTIONS(7253),
    [anon_sym_PLUS] = ACTIONS(7253),
    [anon_sym_DASH] = ACTIONS(7253),
    [anon_sym_STAR] = ACTIONS(7253),
    [anon_sym_SLASH] = ACTIONS(7253),
    [anon_sym_LT] = ACTIONS(7251),
    [anon_sym_GT] = ACTIONS(7251),
    [anon_sym_BANG] = ACTIONS(7251),
    [anon_sym_PIPE] = ACTIONS(7251),
    [anon_sym_COLON] = ACTIONS(7251),
    [anon_sym_SQUOTE] = ACTIONS(7251),
    [anon_sym__] = ACTIONS(7253),
    [anon_sym_CARET] = ACTIONS(7253),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7253),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7253),
    [anon_sym_DOLLAR] = ACTIONS(7251),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7253),
    [anon_sym_BSLASHleft] = ACTIONS(7251),
    [anon_sym_BSLASHbigl] = ACTIONS(7251),
    [anon_sym_BSLASHBigl] = ACTIONS(7251),
    [anon_sym_BSLASHbiggl] = ACTIONS(7251),
    [anon_sym_BSLASHBiggl] = ACTIONS(7251),
    [anon_sym_BSLASHtext] = ACTIONS(7251),
    [anon_sym_BSLASHintertext] = ACTIONS(7251),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7251),
    [anon_sym_BSLASHtitle] = ACTIONS(7251),
    [anon_sym_BSLASHauthor] = ACTIONS(7251),
    [anon_sym_BSLASHusepackage] = ACTIONS(7251),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7251),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7251),
    [anon_sym_BSLASHinclude] = ACTIONS(7251),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7251),
    [anon_sym_BSLASHinput] = ACTIONS(7251),
    [anon_sym_BSLASHsubfile] = ACTIONS(7251),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7251),
    [anon_sym_BSLASHbibliography] = ACTIONS(7251),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7251),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7251),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7251),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7251),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7251),
    [anon_sym_BSLASHimport] = ACTIONS(7251),
    [anon_sym_BSLASHsubimport] = ACTIONS(7251),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7251),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7251),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7251),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7251),
    [anon_sym_BSLASHcaption] = ACTIONS(7251),
    [anon_sym_BSLASHcite] = ACTIONS(7251),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCite] = ACTIONS(7251),
    [anon_sym_BSLASHnocite] = ACTIONS(7251),
    [anon_sym_BSLASHcitet] = ACTIONS(7251),
    [anon_sym_BSLASHcitep] = ACTIONS(7251),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteA] = ACTIONS(7251),
    [anon_sym_BSLASHciteR] = ACTIONS(7251),
    [anon_sym_BSLASHciteS] = ACTIONS(7251),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7251),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7251),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7251),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7251),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteyear] = ACTIONS(7251),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitedate] = ACTIONS(7251),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteurl] = ACTIONS(7251),
    [anon_sym_BSLASHfullcite] = ACTIONS(7251),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7251),
    [anon_sym_BSLASHcitealt] = ACTIONS(7251),
    [anon_sym_BSLASHcitealp] = ACTIONS(7251),
    [anon_sym_BSLASHcitetext] = ACTIONS(7251),
    [anon_sym_BSLASHparencite] = ACTIONS(7251),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHParencite] = ACTIONS(7251),
    [anon_sym_BSLASHfootcite] = ACTIONS(7251),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7251),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7251),
    [anon_sym_BSLASHtextcite] = ACTIONS(7251),
    [anon_sym_BSLASHTextcite] = ACTIONS(7251),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7251),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7251),
    [anon_sym_BSLASHsupercite] = ACTIONS(7251),
    [anon_sym_BSLASHautocite] = ACTIONS(7251),
    [anon_sym_BSLASHAutocite] = ACTIONS(7251),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHVolcite] = ACTIONS(7251),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHavolcite] = ACTIONS(7251),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHNotecite] = ACTIONS(7251),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHlabel] = ACTIONS(7251),
    [anon_sym_BSLASHref] = ACTIONS(7251),
    [anon_sym_BSLASHeqref] = ACTIONS(7251),
    [anon_sym_BSLASHvref] = ACTIONS(7251),
    [anon_sym_BSLASHVref] = ACTIONS(7251),
    [anon_sym_BSLASHautoref] = ACTIONS(7251),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHpageref] = ACTIONS(7251),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHautopageref] = ACTIONS(7251),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcref] = ACTIONS(7251),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCref] = ACTIONS(7251),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcpageref] = ACTIONS(7251),
    [anon_sym_BSLASHCpageref] = ACTIONS(7251),
    [anon_sym_BSLASHnamecref] = ACTIONS(7251),
    [anon_sym_BSLASHnameCref] = ACTIONS(7251),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7251),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7251),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7251),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7251),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7251),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7251),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7251),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7251),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7251),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7251),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7251),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHdef] = ACTIONS(7251),
    [anon_sym_BSLASHgdef] = ACTIONS(7251),
    [anon_sym_BSLASHedef] = ACTIONS(7251),
    [anon_sym_BSLASHxdef] = ACTIONS(7251),
    [anon_sym_BSLASHlet] = ACTIONS(7251),
    [anon_sym_BSLASHglet] = ACTIONS(7251),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7251),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7251),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7251),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7251),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7251),
    [anon_sym_BSLASHgls] = ACTIONS(7251),
    [anon_sym_BSLASHGls] = ACTIONS(7251),
    [anon_sym_BSLASHGLS] = ACTIONS(7251),
    [anon_sym_BSLASHglspl] = ACTIONS(7251),
    [anon_sym_BSLASHGlspl] = ACTIONS(7251),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7251),
    [anon_sym_BSLASHglslink] = ACTIONS(7251),
    [anon_sym_BSLASHglstext] = ACTIONS(7251),
    [anon_sym_BSLASHGlstext] = ACTIONS(7251),
    [anon_sym_BSLASHGLStext] = ACTIONS(7251),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7251),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7251),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7251),
    [anon_sym_BSLASHglsplural] = ACTIONS(7251),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7251),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7251),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHglsname] = ACTIONS(7251),
    [anon_sym_BSLASHGlsname] = ACTIONS(7251),
    [anon_sym_BSLASHGLSname] = ACTIONS(7251),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7251),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7251),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7251),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7251),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7251),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7251),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7251),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7251),
    [anon_sym_BSLASHacrshort] = ACTIONS(7251),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7251),
    [anon_sym_BSLASHACRshort] = ACTIONS(7251),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHacrlong] = ACTIONS(7251),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7251),
    [anon_sym_BSLASHACRlong] = ACTIONS(7251),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHacrfull] = ACTIONS(7251),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7251),
    [anon_sym_BSLASHACRfull] = ACTIONS(7251),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHacs] = ACTIONS(7251),
    [anon_sym_BSLASHAcs] = ACTIONS(7251),
    [anon_sym_BSLASHacsp] = ACTIONS(7251),
    [anon_sym_BSLASHAcsp] = ACTIONS(7251),
    [anon_sym_BSLASHacl] = ACTIONS(7251),
    [anon_sym_BSLASHAcl] = ACTIONS(7251),
    [anon_sym_BSLASHaclp] = ACTIONS(7251),
    [anon_sym_BSLASHAclp] = ACTIONS(7251),
    [anon_sym_BSLASHacf] = ACTIONS(7251),
    [anon_sym_BSLASHAcf] = ACTIONS(7251),
    [anon_sym_BSLASHacfp] = ACTIONS(7251),
    [anon_sym_BSLASHAcfp] = ACTIONS(7251),
    [anon_sym_BSLASHac] = ACTIONS(7251),
    [anon_sym_BSLASHAc] = ACTIONS(7251),
    [anon_sym_BSLASHacp] = ACTIONS(7251),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7251),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7251),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7251),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7251),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7251),
    [anon_sym_BSLASHcolor] = ACTIONS(7251),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7251),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7251),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7251),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7251),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7251),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7251),
    [anon_sym_BSLASHurl] = ACTIONS(7251),
    [anon_sym_BSLASHhref] = ACTIONS(7251),
  },
  [2188] = {
    [sym_command_name] = ACTIONS(7255),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7255),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_RPAREN] = ACTIONS(7257),
    [anon_sym_LBRACE] = ACTIONS(7257),
    [anon_sym_RBRACE] = ACTIONS(7257),
    [anon_sym_BSLASHand] = ACTIONS(7255),
    [sym_word] = ACTIONS(7255),
    [sym_placeholder] = ACTIONS(7257),
    [sym_delimiter] = ACTIONS(7257),
    [anon_sym_PLUS] = ACTIONS(7257),
    [anon_sym_DASH] = ACTIONS(7257),
    [anon_sym_STAR] = ACTIONS(7257),
    [anon_sym_SLASH] = ACTIONS(7257),
    [anon_sym_LT] = ACTIONS(7255),
    [anon_sym_GT] = ACTIONS(7255),
    [anon_sym_BANG] = ACTIONS(7255),
    [anon_sym_PIPE] = ACTIONS(7255),
    [anon_sym_COLON] = ACTIONS(7255),
    [anon_sym_SQUOTE] = ACTIONS(7255),
    [anon_sym__] = ACTIONS(7257),
    [anon_sym_CARET] = ACTIONS(7257),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7257),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7257),
    [anon_sym_DOLLAR] = ACTIONS(7255),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7257),
    [anon_sym_BSLASHleft] = ACTIONS(7255),
    [anon_sym_BSLASHbigl] = ACTIONS(7255),
    [anon_sym_BSLASHBigl] = ACTIONS(7255),
    [anon_sym_BSLASHbiggl] = ACTIONS(7255),
    [anon_sym_BSLASHBiggl] = ACTIONS(7255),
    [anon_sym_BSLASHtext] = ACTIONS(7255),
    [anon_sym_BSLASHintertext] = ACTIONS(7255),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7255),
    [anon_sym_BSLASHtitle] = ACTIONS(7255),
    [anon_sym_BSLASHauthor] = ACTIONS(7255),
    [anon_sym_BSLASHusepackage] = ACTIONS(7255),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7255),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7255),
    [anon_sym_BSLASHinclude] = ACTIONS(7255),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7255),
    [anon_sym_BSLASHinput] = ACTIONS(7255),
    [anon_sym_BSLASHsubfile] = ACTIONS(7255),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7255),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7255),
    [anon_sym_BSLASHbibliography] = ACTIONS(7255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7255),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7255),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7255),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7255),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7255),
    [anon_sym_BSLASHimport] = ACTIONS(7255),
    [anon_sym_BSLASHsubimport] = ACTIONS(7255),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7255),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7255),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7255),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7255),
    [anon_sym_BSLASHcaption] = ACTIONS(7255),
    [anon_sym_BSLASHcite] = ACTIONS(7255),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCite] = ACTIONS(7255),
    [anon_sym_BSLASHnocite] = ACTIONS(7255),
    [anon_sym_BSLASHcitet] = ACTIONS(7255),
    [anon_sym_BSLASHcitep] = ACTIONS(7255),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteA] = ACTIONS(7255),
    [anon_sym_BSLASHciteR] = ACTIONS(7255),
    [anon_sym_BSLASHciteS] = ACTIONS(7255),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7255),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7255),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7255),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7255),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteyear] = ACTIONS(7255),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitedate] = ACTIONS(7255),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteurl] = ACTIONS(7255),
    [anon_sym_BSLASHfullcite] = ACTIONS(7255),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7255),
    [anon_sym_BSLASHcitealt] = ACTIONS(7255),
    [anon_sym_BSLASHcitealp] = ACTIONS(7255),
    [anon_sym_BSLASHcitetext] = ACTIONS(7255),
    [anon_sym_BSLASHparencite] = ACTIONS(7255),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHParencite] = ACTIONS(7255),
    [anon_sym_BSLASHfootcite] = ACTIONS(7255),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7255),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7255),
    [anon_sym_BSLASHtextcite] = ACTIONS(7255),
    [anon_sym_BSLASHTextcite] = ACTIONS(7255),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7255),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7255),
    [anon_sym_BSLASHsupercite] = ACTIONS(7255),
    [anon_sym_BSLASHautocite] = ACTIONS(7255),
    [anon_sym_BSLASHAutocite] = ACTIONS(7255),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHVolcite] = ACTIONS(7255),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHavolcite] = ACTIONS(7255),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHNotecite] = ACTIONS(7255),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHlabel] = ACTIONS(7255),
    [anon_sym_BSLASHref] = ACTIONS(7255),
    [anon_sym_BSLASHeqref] = ACTIONS(7255),
    [anon_sym_BSLASHvref] = ACTIONS(7255),
    [anon_sym_BSLASHVref] = ACTIONS(7255),
    [anon_sym_BSLASHautoref] = ACTIONS(7255),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHpageref] = ACTIONS(7255),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHautopageref] = ACTIONS(7255),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcref] = ACTIONS(7255),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCref] = ACTIONS(7255),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcpageref] = ACTIONS(7255),
    [anon_sym_BSLASHCpageref] = ACTIONS(7255),
    [anon_sym_BSLASHnamecref] = ACTIONS(7255),
    [anon_sym_BSLASHnameCref] = ACTIONS(7255),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7255),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7255),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7255),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7255),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7255),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7255),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7255),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7255),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7255),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7255),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7255),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHdef] = ACTIONS(7255),
    [anon_sym_BSLASHgdef] = ACTIONS(7255),
    [anon_sym_BSLASHedef] = ACTIONS(7255),
    [anon_sym_BSLASHxdef] = ACTIONS(7255),
    [anon_sym_BSLASHlet] = ACTIONS(7255),
    [anon_sym_BSLASHglet] = ACTIONS(7255),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7255),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7255),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7255),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7255),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7255),
    [anon_sym_BSLASHgls] = ACTIONS(7255),
    [anon_sym_BSLASHGls] = ACTIONS(7255),
    [anon_sym_BSLASHGLS] = ACTIONS(7255),
    [anon_sym_BSLASHglspl] = ACTIONS(7255),
    [anon_sym_BSLASHGlspl] = ACTIONS(7255),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7255),
    [anon_sym_BSLASHglslink] = ACTIONS(7255),
    [anon_sym_BSLASHglstext] = ACTIONS(7255),
    [anon_sym_BSLASHGlstext] = ACTIONS(7255),
    [anon_sym_BSLASHGLStext] = ACTIONS(7255),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7255),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7255),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7255),
    [anon_sym_BSLASHglsplural] = ACTIONS(7255),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7255),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7255),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHglsname] = ACTIONS(7255),
    [anon_sym_BSLASHGlsname] = ACTIONS(7255),
    [anon_sym_BSLASHGLSname] = ACTIONS(7255),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7255),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7255),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7255),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7255),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7255),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7255),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7255),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7255),
    [anon_sym_BSLASHacrshort] = ACTIONS(7255),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7255),
    [anon_sym_BSLASHACRshort] = ACTIONS(7255),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHacrlong] = ACTIONS(7255),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7255),
    [anon_sym_BSLASHACRlong] = ACTIONS(7255),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHacrfull] = ACTIONS(7255),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7255),
    [anon_sym_BSLASHACRfull] = ACTIONS(7255),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHacs] = ACTIONS(7255),
    [anon_sym_BSLASHAcs] = ACTIONS(7255),
    [anon_sym_BSLASHacsp] = ACTIONS(7255),
    [anon_sym_BSLASHAcsp] = ACTIONS(7255),
    [anon_sym_BSLASHacl] = ACTIONS(7255),
    [anon_sym_BSLASHAcl] = ACTIONS(7255),
    [anon_sym_BSLASHaclp] = ACTIONS(7255),
    [anon_sym_BSLASHAclp] = ACTIONS(7255),
    [anon_sym_BSLASHacf] = ACTIONS(7255),
    [anon_sym_BSLASHAcf] = ACTIONS(7255),
    [anon_sym_BSLASHacfp] = ACTIONS(7255),
    [anon_sym_BSLASHAcfp] = ACTIONS(7255),
    [anon_sym_BSLASHac] = ACTIONS(7255),
    [anon_sym_BSLASHAc] = ACTIONS(7255),
    [anon_sym_BSLASHacp] = ACTIONS(7255),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7255),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7255),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7255),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7255),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7255),
    [anon_sym_BSLASHcolor] = ACTIONS(7255),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7255),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7255),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7255),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7255),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7255),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7255),
    [anon_sym_BSLASHurl] = ACTIONS(7255),
    [anon_sym_BSLASHhref] = ACTIONS(7255),
  },
  [2189] = {
    [sym_command_name] = ACTIONS(7259),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7259),
    [anon_sym_LPAREN] = ACTIONS(7261),
    [anon_sym_RPAREN] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7261),
    [anon_sym_RBRACE] = ACTIONS(7261),
    [anon_sym_BSLASHand] = ACTIONS(7259),
    [sym_word] = ACTIONS(7259),
    [sym_placeholder] = ACTIONS(7261),
    [sym_delimiter] = ACTIONS(7261),
    [anon_sym_PLUS] = ACTIONS(7261),
    [anon_sym_DASH] = ACTIONS(7261),
    [anon_sym_STAR] = ACTIONS(7261),
    [anon_sym_SLASH] = ACTIONS(7261),
    [anon_sym_LT] = ACTIONS(7259),
    [anon_sym_GT] = ACTIONS(7259),
    [anon_sym_BANG] = ACTIONS(7259),
    [anon_sym_PIPE] = ACTIONS(7259),
    [anon_sym_COLON] = ACTIONS(7259),
    [anon_sym_SQUOTE] = ACTIONS(7259),
    [anon_sym__] = ACTIONS(7261),
    [anon_sym_CARET] = ACTIONS(7261),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7261),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7261),
    [anon_sym_DOLLAR] = ACTIONS(7259),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7261),
    [anon_sym_BSLASHleft] = ACTIONS(7259),
    [anon_sym_BSLASHbigl] = ACTIONS(7259),
    [anon_sym_BSLASHBigl] = ACTIONS(7259),
    [anon_sym_BSLASHbiggl] = ACTIONS(7259),
    [anon_sym_BSLASHBiggl] = ACTIONS(7259),
    [anon_sym_BSLASHtext] = ACTIONS(7259),
    [anon_sym_BSLASHintertext] = ACTIONS(7259),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7259),
    [anon_sym_BSLASHtitle] = ACTIONS(7259),
    [anon_sym_BSLASHauthor] = ACTIONS(7259),
    [anon_sym_BSLASHusepackage] = ACTIONS(7259),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7259),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7259),
    [anon_sym_BSLASHinclude] = ACTIONS(7259),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7259),
    [anon_sym_BSLASHinput] = ACTIONS(7259),
    [anon_sym_BSLASHsubfile] = ACTIONS(7259),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7259),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7259),
    [anon_sym_BSLASHbibliography] = ACTIONS(7259),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7259),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7259),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7259),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7259),
    [anon_sym_BSLASHimport] = ACTIONS(7259),
    [anon_sym_BSLASHsubimport] = ACTIONS(7259),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7259),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7259),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7259),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7259),
    [anon_sym_BSLASHcaption] = ACTIONS(7259),
    [anon_sym_BSLASHcite] = ACTIONS(7259),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCite] = ACTIONS(7259),
    [anon_sym_BSLASHnocite] = ACTIONS(7259),
    [anon_sym_BSLASHcitet] = ACTIONS(7259),
    [anon_sym_BSLASHcitep] = ACTIONS(7259),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteA] = ACTIONS(7259),
    [anon_sym_BSLASHciteR] = ACTIONS(7259),
    [anon_sym_BSLASHciteS] = ACTIONS(7259),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7259),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7259),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7259),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7259),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteyear] = ACTIONS(7259),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitedate] = ACTIONS(7259),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteurl] = ACTIONS(7259),
    [anon_sym_BSLASHfullcite] = ACTIONS(7259),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7259),
    [anon_sym_BSLASHcitealt] = ACTIONS(7259),
    [anon_sym_BSLASHcitealp] = ACTIONS(7259),
    [anon_sym_BSLASHcitetext] = ACTIONS(7259),
    [anon_sym_BSLASHparencite] = ACTIONS(7259),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHParencite] = ACTIONS(7259),
    [anon_sym_BSLASHfootcite] = ACTIONS(7259),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7259),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7259),
    [anon_sym_BSLASHtextcite] = ACTIONS(7259),
    [anon_sym_BSLASHTextcite] = ACTIONS(7259),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7259),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7259),
    [anon_sym_BSLASHsupercite] = ACTIONS(7259),
    [anon_sym_BSLASHautocite] = ACTIONS(7259),
    [anon_sym_BSLASHAutocite] = ACTIONS(7259),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHVolcite] = ACTIONS(7259),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHavolcite] = ACTIONS(7259),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHNotecite] = ACTIONS(7259),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHlabel] = ACTIONS(7259),
    [anon_sym_BSLASHref] = ACTIONS(7259),
    [anon_sym_BSLASHeqref] = ACTIONS(7259),
    [anon_sym_BSLASHvref] = ACTIONS(7259),
    [anon_sym_BSLASHVref] = ACTIONS(7259),
    [anon_sym_BSLASHautoref] = ACTIONS(7259),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHpageref] = ACTIONS(7259),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHautopageref] = ACTIONS(7259),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcref] = ACTIONS(7259),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCref] = ACTIONS(7259),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcpageref] = ACTIONS(7259),
    [anon_sym_BSLASHCpageref] = ACTIONS(7259),
    [anon_sym_BSLASHnamecref] = ACTIONS(7259),
    [anon_sym_BSLASHnameCref] = ACTIONS(7259),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7259),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7259),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7259),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7259),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7259),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7259),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7259),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7259),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7259),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7259),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7259),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHdef] = ACTIONS(7259),
    [anon_sym_BSLASHgdef] = ACTIONS(7259),
    [anon_sym_BSLASHedef] = ACTIONS(7259),
    [anon_sym_BSLASHxdef] = ACTIONS(7259),
    [anon_sym_BSLASHlet] = ACTIONS(7259),
    [anon_sym_BSLASHglet] = ACTIONS(7259),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7259),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7259),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7259),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7259),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7259),
    [anon_sym_BSLASHgls] = ACTIONS(7259),
    [anon_sym_BSLASHGls] = ACTIONS(7259),
    [anon_sym_BSLASHGLS] = ACTIONS(7259),
    [anon_sym_BSLASHglspl] = ACTIONS(7259),
    [anon_sym_BSLASHGlspl] = ACTIONS(7259),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7259),
    [anon_sym_BSLASHglslink] = ACTIONS(7259),
    [anon_sym_BSLASHglstext] = ACTIONS(7259),
    [anon_sym_BSLASHGlstext] = ACTIONS(7259),
    [anon_sym_BSLASHGLStext] = ACTIONS(7259),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7259),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7259),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7259),
    [anon_sym_BSLASHglsplural] = ACTIONS(7259),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7259),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7259),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHglsname] = ACTIONS(7259),
    [anon_sym_BSLASHGlsname] = ACTIONS(7259),
    [anon_sym_BSLASHGLSname] = ACTIONS(7259),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7259),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7259),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7259),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7259),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7259),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7259),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7259),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7259),
    [anon_sym_BSLASHacrshort] = ACTIONS(7259),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7259),
    [anon_sym_BSLASHACRshort] = ACTIONS(7259),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHacrlong] = ACTIONS(7259),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7259),
    [anon_sym_BSLASHACRlong] = ACTIONS(7259),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHacrfull] = ACTIONS(7259),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7259),
    [anon_sym_BSLASHACRfull] = ACTIONS(7259),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHacs] = ACTIONS(7259),
    [anon_sym_BSLASHAcs] = ACTIONS(7259),
    [anon_sym_BSLASHacsp] = ACTIONS(7259),
    [anon_sym_BSLASHAcsp] = ACTIONS(7259),
    [anon_sym_BSLASHacl] = ACTIONS(7259),
    [anon_sym_BSLASHAcl] = ACTIONS(7259),
    [anon_sym_BSLASHaclp] = ACTIONS(7259),
    [anon_sym_BSLASHAclp] = ACTIONS(7259),
    [anon_sym_BSLASHacf] = ACTIONS(7259),
    [anon_sym_BSLASHAcf] = ACTIONS(7259),
    [anon_sym_BSLASHacfp] = ACTIONS(7259),
    [anon_sym_BSLASHAcfp] = ACTIONS(7259),
    [anon_sym_BSLASHac] = ACTIONS(7259),
    [anon_sym_BSLASHAc] = ACTIONS(7259),
    [anon_sym_BSLASHacp] = ACTIONS(7259),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7259),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7259),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7259),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7259),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7259),
    [anon_sym_BSLASHcolor] = ACTIONS(7259),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7259),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7259),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7259),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7259),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7259),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7259),
    [anon_sym_BSLASHurl] = ACTIONS(7259),
    [anon_sym_BSLASHhref] = ACTIONS(7259),
  },
  [2190] = {
    [sym_command_name] = ACTIONS(7263),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7263),
    [anon_sym_LPAREN] = ACTIONS(7265),
    [anon_sym_RPAREN] = ACTIONS(7265),
    [anon_sym_LBRACE] = ACTIONS(7265),
    [anon_sym_RBRACE] = ACTIONS(7265),
    [anon_sym_BSLASHand] = ACTIONS(7263),
    [sym_word] = ACTIONS(7263),
    [sym_placeholder] = ACTIONS(7265),
    [sym_delimiter] = ACTIONS(7265),
    [anon_sym_PLUS] = ACTIONS(7265),
    [anon_sym_DASH] = ACTIONS(7265),
    [anon_sym_STAR] = ACTIONS(7265),
    [anon_sym_SLASH] = ACTIONS(7265),
    [anon_sym_LT] = ACTIONS(7263),
    [anon_sym_GT] = ACTIONS(7263),
    [anon_sym_BANG] = ACTIONS(7263),
    [anon_sym_PIPE] = ACTIONS(7263),
    [anon_sym_COLON] = ACTIONS(7263),
    [anon_sym_SQUOTE] = ACTIONS(7263),
    [anon_sym__] = ACTIONS(7265),
    [anon_sym_CARET] = ACTIONS(7265),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7265),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7265),
    [anon_sym_DOLLAR] = ACTIONS(7263),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7265),
    [anon_sym_BSLASHleft] = ACTIONS(7263),
    [anon_sym_BSLASHbigl] = ACTIONS(7263),
    [anon_sym_BSLASHBigl] = ACTIONS(7263),
    [anon_sym_BSLASHbiggl] = ACTIONS(7263),
    [anon_sym_BSLASHBiggl] = ACTIONS(7263),
    [anon_sym_BSLASHtext] = ACTIONS(7263),
    [anon_sym_BSLASHintertext] = ACTIONS(7263),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7263),
    [anon_sym_BSLASHtitle] = ACTIONS(7263),
    [anon_sym_BSLASHauthor] = ACTIONS(7263),
    [anon_sym_BSLASHusepackage] = ACTIONS(7263),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7263),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7263),
    [anon_sym_BSLASHinclude] = ACTIONS(7263),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7263),
    [anon_sym_BSLASHinput] = ACTIONS(7263),
    [anon_sym_BSLASHsubfile] = ACTIONS(7263),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7263),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7263),
    [anon_sym_BSLASHbibliography] = ACTIONS(7263),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7263),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7263),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7263),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7263),
    [anon_sym_BSLASHimport] = ACTIONS(7263),
    [anon_sym_BSLASHsubimport] = ACTIONS(7263),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7263),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7263),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7263),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7263),
    [anon_sym_BSLASHcaption] = ACTIONS(7263),
    [anon_sym_BSLASHcite] = ACTIONS(7263),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCite] = ACTIONS(7263),
    [anon_sym_BSLASHnocite] = ACTIONS(7263),
    [anon_sym_BSLASHcitet] = ACTIONS(7263),
    [anon_sym_BSLASHcitep] = ACTIONS(7263),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteA] = ACTIONS(7263),
    [anon_sym_BSLASHciteR] = ACTIONS(7263),
    [anon_sym_BSLASHciteS] = ACTIONS(7263),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7263),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7263),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7263),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7263),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteyear] = ACTIONS(7263),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitedate] = ACTIONS(7263),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteurl] = ACTIONS(7263),
    [anon_sym_BSLASHfullcite] = ACTIONS(7263),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7263),
    [anon_sym_BSLASHcitealt] = ACTIONS(7263),
    [anon_sym_BSLASHcitealp] = ACTIONS(7263),
    [anon_sym_BSLASHcitetext] = ACTIONS(7263),
    [anon_sym_BSLASHparencite] = ACTIONS(7263),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHParencite] = ACTIONS(7263),
    [anon_sym_BSLASHfootcite] = ACTIONS(7263),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7263),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7263),
    [anon_sym_BSLASHtextcite] = ACTIONS(7263),
    [anon_sym_BSLASHTextcite] = ACTIONS(7263),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7263),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7263),
    [anon_sym_BSLASHsupercite] = ACTIONS(7263),
    [anon_sym_BSLASHautocite] = ACTIONS(7263),
    [anon_sym_BSLASHAutocite] = ACTIONS(7263),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHVolcite] = ACTIONS(7263),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHavolcite] = ACTIONS(7263),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHNotecite] = ACTIONS(7263),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHlabel] = ACTIONS(7263),
    [anon_sym_BSLASHref] = ACTIONS(7263),
    [anon_sym_BSLASHeqref] = ACTIONS(7263),
    [anon_sym_BSLASHvref] = ACTIONS(7263),
    [anon_sym_BSLASHVref] = ACTIONS(7263),
    [anon_sym_BSLASHautoref] = ACTIONS(7263),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHpageref] = ACTIONS(7263),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHautopageref] = ACTIONS(7263),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcref] = ACTIONS(7263),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCref] = ACTIONS(7263),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcpageref] = ACTIONS(7263),
    [anon_sym_BSLASHCpageref] = ACTIONS(7263),
    [anon_sym_BSLASHnamecref] = ACTIONS(7263),
    [anon_sym_BSLASHnameCref] = ACTIONS(7263),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7263),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7263),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7263),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7263),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7263),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7263),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7263),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7263),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7263),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7263),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7263),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHdef] = ACTIONS(7263),
    [anon_sym_BSLASHgdef] = ACTIONS(7263),
    [anon_sym_BSLASHedef] = ACTIONS(7263),
    [anon_sym_BSLASHxdef] = ACTIONS(7263),
    [anon_sym_BSLASHlet] = ACTIONS(7263),
    [anon_sym_BSLASHglet] = ACTIONS(7263),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7263),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7263),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7263),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7263),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7263),
    [anon_sym_BSLASHgls] = ACTIONS(7263),
    [anon_sym_BSLASHGls] = ACTIONS(7263),
    [anon_sym_BSLASHGLS] = ACTIONS(7263),
    [anon_sym_BSLASHglspl] = ACTIONS(7263),
    [anon_sym_BSLASHGlspl] = ACTIONS(7263),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7263),
    [anon_sym_BSLASHglslink] = ACTIONS(7263),
    [anon_sym_BSLASHglstext] = ACTIONS(7263),
    [anon_sym_BSLASHGlstext] = ACTIONS(7263),
    [anon_sym_BSLASHGLStext] = ACTIONS(7263),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7263),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7263),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7263),
    [anon_sym_BSLASHglsplural] = ACTIONS(7263),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7263),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7263),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHglsname] = ACTIONS(7263),
    [anon_sym_BSLASHGlsname] = ACTIONS(7263),
    [anon_sym_BSLASHGLSname] = ACTIONS(7263),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7263),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7263),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7263),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7263),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7263),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7263),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7263),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7263),
    [anon_sym_BSLASHacrshort] = ACTIONS(7263),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7263),
    [anon_sym_BSLASHACRshort] = ACTIONS(7263),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHacrlong] = ACTIONS(7263),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7263),
    [anon_sym_BSLASHACRlong] = ACTIONS(7263),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHacrfull] = ACTIONS(7263),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7263),
    [anon_sym_BSLASHACRfull] = ACTIONS(7263),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHacs] = ACTIONS(7263),
    [anon_sym_BSLASHAcs] = ACTIONS(7263),
    [anon_sym_BSLASHacsp] = ACTIONS(7263),
    [anon_sym_BSLASHAcsp] = ACTIONS(7263),
    [anon_sym_BSLASHacl] = ACTIONS(7263),
    [anon_sym_BSLASHAcl] = ACTIONS(7263),
    [anon_sym_BSLASHaclp] = ACTIONS(7263),
    [anon_sym_BSLASHAclp] = ACTIONS(7263),
    [anon_sym_BSLASHacf] = ACTIONS(7263),
    [anon_sym_BSLASHAcf] = ACTIONS(7263),
    [anon_sym_BSLASHacfp] = ACTIONS(7263),
    [anon_sym_BSLASHAcfp] = ACTIONS(7263),
    [anon_sym_BSLASHac] = ACTIONS(7263),
    [anon_sym_BSLASHAc] = ACTIONS(7263),
    [anon_sym_BSLASHacp] = ACTIONS(7263),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7263),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7263),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7263),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7263),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7263),
    [anon_sym_BSLASHcolor] = ACTIONS(7263),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7263),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7263),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7263),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7263),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7263),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7263),
    [anon_sym_BSLASHurl] = ACTIONS(7263),
    [anon_sym_BSLASHhref] = ACTIONS(7263),
  },
  [2191] = {
    [sym_command_name] = ACTIONS(7267),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7267),
    [anon_sym_LPAREN] = ACTIONS(7269),
    [anon_sym_RPAREN] = ACTIONS(7269),
    [anon_sym_LBRACE] = ACTIONS(7269),
    [anon_sym_RBRACE] = ACTIONS(7269),
    [anon_sym_BSLASHand] = ACTIONS(7267),
    [sym_word] = ACTIONS(7267),
    [sym_placeholder] = ACTIONS(7269),
    [sym_delimiter] = ACTIONS(7269),
    [anon_sym_PLUS] = ACTIONS(7269),
    [anon_sym_DASH] = ACTIONS(7269),
    [anon_sym_STAR] = ACTIONS(7269),
    [anon_sym_SLASH] = ACTIONS(7269),
    [anon_sym_LT] = ACTIONS(7267),
    [anon_sym_GT] = ACTIONS(7267),
    [anon_sym_BANG] = ACTIONS(7267),
    [anon_sym_PIPE] = ACTIONS(7267),
    [anon_sym_COLON] = ACTIONS(7267),
    [anon_sym_SQUOTE] = ACTIONS(7267),
    [anon_sym__] = ACTIONS(7269),
    [anon_sym_CARET] = ACTIONS(7269),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7269),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7269),
    [anon_sym_DOLLAR] = ACTIONS(7267),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7269),
    [anon_sym_BSLASHleft] = ACTIONS(7267),
    [anon_sym_BSLASHbigl] = ACTIONS(7267),
    [anon_sym_BSLASHBigl] = ACTIONS(7267),
    [anon_sym_BSLASHbiggl] = ACTIONS(7267),
    [anon_sym_BSLASHBiggl] = ACTIONS(7267),
    [anon_sym_BSLASHtext] = ACTIONS(7267),
    [anon_sym_BSLASHintertext] = ACTIONS(7267),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7267),
    [anon_sym_BSLASHtitle] = ACTIONS(7267),
    [anon_sym_BSLASHauthor] = ACTIONS(7267),
    [anon_sym_BSLASHusepackage] = ACTIONS(7267),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7267),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7267),
    [anon_sym_BSLASHinclude] = ACTIONS(7267),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7267),
    [anon_sym_BSLASHinput] = ACTIONS(7267),
    [anon_sym_BSLASHsubfile] = ACTIONS(7267),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7267),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7267),
    [anon_sym_BSLASHbibliography] = ACTIONS(7267),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7267),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7267),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7267),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7267),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7267),
    [anon_sym_BSLASHimport] = ACTIONS(7267),
    [anon_sym_BSLASHsubimport] = ACTIONS(7267),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7267),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7267),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7267),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7267),
    [anon_sym_BSLASHcaption] = ACTIONS(7267),
    [anon_sym_BSLASHcite] = ACTIONS(7267),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCite] = ACTIONS(7267),
    [anon_sym_BSLASHnocite] = ACTIONS(7267),
    [anon_sym_BSLASHcitet] = ACTIONS(7267),
    [anon_sym_BSLASHcitep] = ACTIONS(7267),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteA] = ACTIONS(7267),
    [anon_sym_BSLASHciteR] = ACTIONS(7267),
    [anon_sym_BSLASHciteS] = ACTIONS(7267),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7267),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7267),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7267),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7267),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteyear] = ACTIONS(7267),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitedate] = ACTIONS(7267),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteurl] = ACTIONS(7267),
    [anon_sym_BSLASHfullcite] = ACTIONS(7267),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7267),
    [anon_sym_BSLASHcitealt] = ACTIONS(7267),
    [anon_sym_BSLASHcitealp] = ACTIONS(7267),
    [anon_sym_BSLASHcitetext] = ACTIONS(7267),
    [anon_sym_BSLASHparencite] = ACTIONS(7267),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHParencite] = ACTIONS(7267),
    [anon_sym_BSLASHfootcite] = ACTIONS(7267),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7267),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7267),
    [anon_sym_BSLASHtextcite] = ACTIONS(7267),
    [anon_sym_BSLASHTextcite] = ACTIONS(7267),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7267),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7267),
    [anon_sym_BSLASHsupercite] = ACTIONS(7267),
    [anon_sym_BSLASHautocite] = ACTIONS(7267),
    [anon_sym_BSLASHAutocite] = ACTIONS(7267),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHVolcite] = ACTIONS(7267),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHavolcite] = ACTIONS(7267),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHNotecite] = ACTIONS(7267),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHlabel] = ACTIONS(7267),
    [anon_sym_BSLASHref] = ACTIONS(7267),
    [anon_sym_BSLASHeqref] = ACTIONS(7267),
    [anon_sym_BSLASHvref] = ACTIONS(7267),
    [anon_sym_BSLASHVref] = ACTIONS(7267),
    [anon_sym_BSLASHautoref] = ACTIONS(7267),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHpageref] = ACTIONS(7267),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHautopageref] = ACTIONS(7267),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcref] = ACTIONS(7267),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCref] = ACTIONS(7267),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcpageref] = ACTIONS(7267),
    [anon_sym_BSLASHCpageref] = ACTIONS(7267),
    [anon_sym_BSLASHnamecref] = ACTIONS(7267),
    [anon_sym_BSLASHnameCref] = ACTIONS(7267),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7267),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7267),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7267),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7267),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7267),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7267),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7267),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7267),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7267),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7267),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7267),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHdef] = ACTIONS(7267),
    [anon_sym_BSLASHgdef] = ACTIONS(7267),
    [anon_sym_BSLASHedef] = ACTIONS(7267),
    [anon_sym_BSLASHxdef] = ACTIONS(7267),
    [anon_sym_BSLASHlet] = ACTIONS(7267),
    [anon_sym_BSLASHglet] = ACTIONS(7267),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7267),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7267),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7267),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7267),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7267),
    [anon_sym_BSLASHgls] = ACTIONS(7267),
    [anon_sym_BSLASHGls] = ACTIONS(7267),
    [anon_sym_BSLASHGLS] = ACTIONS(7267),
    [anon_sym_BSLASHglspl] = ACTIONS(7267),
    [anon_sym_BSLASHGlspl] = ACTIONS(7267),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7267),
    [anon_sym_BSLASHglslink] = ACTIONS(7267),
    [anon_sym_BSLASHglstext] = ACTIONS(7267),
    [anon_sym_BSLASHGlstext] = ACTIONS(7267),
    [anon_sym_BSLASHGLStext] = ACTIONS(7267),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7267),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7267),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7267),
    [anon_sym_BSLASHglsplural] = ACTIONS(7267),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7267),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7267),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHglsname] = ACTIONS(7267),
    [anon_sym_BSLASHGlsname] = ACTIONS(7267),
    [anon_sym_BSLASHGLSname] = ACTIONS(7267),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7267),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7267),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7267),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7267),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7267),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7267),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7267),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7267),
    [anon_sym_BSLASHacrshort] = ACTIONS(7267),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7267),
    [anon_sym_BSLASHACRshort] = ACTIONS(7267),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHacrlong] = ACTIONS(7267),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7267),
    [anon_sym_BSLASHACRlong] = ACTIONS(7267),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHacrfull] = ACTIONS(7267),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7267),
    [anon_sym_BSLASHACRfull] = ACTIONS(7267),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHacs] = ACTIONS(7267),
    [anon_sym_BSLASHAcs] = ACTIONS(7267),
    [anon_sym_BSLASHacsp] = ACTIONS(7267),
    [anon_sym_BSLASHAcsp] = ACTIONS(7267),
    [anon_sym_BSLASHacl] = ACTIONS(7267),
    [anon_sym_BSLASHAcl] = ACTIONS(7267),
    [anon_sym_BSLASHaclp] = ACTIONS(7267),
    [anon_sym_BSLASHAclp] = ACTIONS(7267),
    [anon_sym_BSLASHacf] = ACTIONS(7267),
    [anon_sym_BSLASHAcf] = ACTIONS(7267),
    [anon_sym_BSLASHacfp] = ACTIONS(7267),
    [anon_sym_BSLASHAcfp] = ACTIONS(7267),
    [anon_sym_BSLASHac] = ACTIONS(7267),
    [anon_sym_BSLASHAc] = ACTIONS(7267),
    [anon_sym_BSLASHacp] = ACTIONS(7267),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7267),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7267),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7267),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7267),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7267),
    [anon_sym_BSLASHcolor] = ACTIONS(7267),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7267),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7267),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7267),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7267),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7267),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7267),
    [anon_sym_BSLASHurl] = ACTIONS(7267),
    [anon_sym_BSLASHhref] = ACTIONS(7267),
  },
  [2192] = {
    [sym_command_name] = ACTIONS(7271),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7271),
    [anon_sym_LPAREN] = ACTIONS(7273),
    [anon_sym_RPAREN] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7273),
    [anon_sym_RBRACE] = ACTIONS(7273),
    [anon_sym_BSLASHand] = ACTIONS(7271),
    [sym_word] = ACTIONS(7271),
    [sym_placeholder] = ACTIONS(7273),
    [sym_delimiter] = ACTIONS(7273),
    [anon_sym_PLUS] = ACTIONS(7273),
    [anon_sym_DASH] = ACTIONS(7273),
    [anon_sym_STAR] = ACTIONS(7273),
    [anon_sym_SLASH] = ACTIONS(7273),
    [anon_sym_LT] = ACTIONS(7271),
    [anon_sym_GT] = ACTIONS(7271),
    [anon_sym_BANG] = ACTIONS(7271),
    [anon_sym_PIPE] = ACTIONS(7271),
    [anon_sym_COLON] = ACTIONS(7271),
    [anon_sym_SQUOTE] = ACTIONS(7271),
    [anon_sym__] = ACTIONS(7273),
    [anon_sym_CARET] = ACTIONS(7273),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7273),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7273),
    [anon_sym_DOLLAR] = ACTIONS(7271),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7273),
    [anon_sym_BSLASHleft] = ACTIONS(7271),
    [anon_sym_BSLASHbigl] = ACTIONS(7271),
    [anon_sym_BSLASHBigl] = ACTIONS(7271),
    [anon_sym_BSLASHbiggl] = ACTIONS(7271),
    [anon_sym_BSLASHBiggl] = ACTIONS(7271),
    [anon_sym_BSLASHtext] = ACTIONS(7271),
    [anon_sym_BSLASHintertext] = ACTIONS(7271),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7271),
    [anon_sym_BSLASHtitle] = ACTIONS(7271),
    [anon_sym_BSLASHauthor] = ACTIONS(7271),
    [anon_sym_BSLASHusepackage] = ACTIONS(7271),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7271),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7271),
    [anon_sym_BSLASHinclude] = ACTIONS(7271),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7271),
    [anon_sym_BSLASHinput] = ACTIONS(7271),
    [anon_sym_BSLASHsubfile] = ACTIONS(7271),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7271),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7271),
    [anon_sym_BSLASHbibliography] = ACTIONS(7271),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7271),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7271),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7271),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7271),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7271),
    [anon_sym_BSLASHimport] = ACTIONS(7271),
    [anon_sym_BSLASHsubimport] = ACTIONS(7271),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7271),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7271),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7271),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7271),
    [anon_sym_BSLASHcaption] = ACTIONS(7271),
    [anon_sym_BSLASHcite] = ACTIONS(7271),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCite] = ACTIONS(7271),
    [anon_sym_BSLASHnocite] = ACTIONS(7271),
    [anon_sym_BSLASHcitet] = ACTIONS(7271),
    [anon_sym_BSLASHcitep] = ACTIONS(7271),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteA] = ACTIONS(7271),
    [anon_sym_BSLASHciteR] = ACTIONS(7271),
    [anon_sym_BSLASHciteS] = ACTIONS(7271),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7271),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7271),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7271),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7271),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteyear] = ACTIONS(7271),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitedate] = ACTIONS(7271),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteurl] = ACTIONS(7271),
    [anon_sym_BSLASHfullcite] = ACTIONS(7271),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7271),
    [anon_sym_BSLASHcitealt] = ACTIONS(7271),
    [anon_sym_BSLASHcitealp] = ACTIONS(7271),
    [anon_sym_BSLASHcitetext] = ACTIONS(7271),
    [anon_sym_BSLASHparencite] = ACTIONS(7271),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHParencite] = ACTIONS(7271),
    [anon_sym_BSLASHfootcite] = ACTIONS(7271),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7271),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7271),
    [anon_sym_BSLASHtextcite] = ACTIONS(7271),
    [anon_sym_BSLASHTextcite] = ACTIONS(7271),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7271),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7271),
    [anon_sym_BSLASHsupercite] = ACTIONS(7271),
    [anon_sym_BSLASHautocite] = ACTIONS(7271),
    [anon_sym_BSLASHAutocite] = ACTIONS(7271),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHVolcite] = ACTIONS(7271),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHavolcite] = ACTIONS(7271),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHNotecite] = ACTIONS(7271),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHlabel] = ACTIONS(7271),
    [anon_sym_BSLASHref] = ACTIONS(7271),
    [anon_sym_BSLASHeqref] = ACTIONS(7271),
    [anon_sym_BSLASHvref] = ACTIONS(7271),
    [anon_sym_BSLASHVref] = ACTIONS(7271),
    [anon_sym_BSLASHautoref] = ACTIONS(7271),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHpageref] = ACTIONS(7271),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHautopageref] = ACTIONS(7271),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcref] = ACTIONS(7271),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCref] = ACTIONS(7271),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcpageref] = ACTIONS(7271),
    [anon_sym_BSLASHCpageref] = ACTIONS(7271),
    [anon_sym_BSLASHnamecref] = ACTIONS(7271),
    [anon_sym_BSLASHnameCref] = ACTIONS(7271),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7271),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7271),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7271),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7271),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7271),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7271),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7271),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7271),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7271),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7271),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7271),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHdef] = ACTIONS(7271),
    [anon_sym_BSLASHgdef] = ACTIONS(7271),
    [anon_sym_BSLASHedef] = ACTIONS(7271),
    [anon_sym_BSLASHxdef] = ACTIONS(7271),
    [anon_sym_BSLASHlet] = ACTIONS(7271),
    [anon_sym_BSLASHglet] = ACTIONS(7271),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7271),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7271),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7271),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7271),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7271),
    [anon_sym_BSLASHgls] = ACTIONS(7271),
    [anon_sym_BSLASHGls] = ACTIONS(7271),
    [anon_sym_BSLASHGLS] = ACTIONS(7271),
    [anon_sym_BSLASHglspl] = ACTIONS(7271),
    [anon_sym_BSLASHGlspl] = ACTIONS(7271),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7271),
    [anon_sym_BSLASHglslink] = ACTIONS(7271),
    [anon_sym_BSLASHglstext] = ACTIONS(7271),
    [anon_sym_BSLASHGlstext] = ACTIONS(7271),
    [anon_sym_BSLASHGLStext] = ACTIONS(7271),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7271),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7271),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7271),
    [anon_sym_BSLASHglsplural] = ACTIONS(7271),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7271),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7271),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHglsname] = ACTIONS(7271),
    [anon_sym_BSLASHGlsname] = ACTIONS(7271),
    [anon_sym_BSLASHGLSname] = ACTIONS(7271),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7271),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7271),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7271),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7271),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7271),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7271),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7271),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7271),
    [anon_sym_BSLASHacrshort] = ACTIONS(7271),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7271),
    [anon_sym_BSLASHACRshort] = ACTIONS(7271),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHacrlong] = ACTIONS(7271),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7271),
    [anon_sym_BSLASHACRlong] = ACTIONS(7271),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHacrfull] = ACTIONS(7271),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7271),
    [anon_sym_BSLASHACRfull] = ACTIONS(7271),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHacs] = ACTIONS(7271),
    [anon_sym_BSLASHAcs] = ACTIONS(7271),
    [anon_sym_BSLASHacsp] = ACTIONS(7271),
    [anon_sym_BSLASHAcsp] = ACTIONS(7271),
    [anon_sym_BSLASHacl] = ACTIONS(7271),
    [anon_sym_BSLASHAcl] = ACTIONS(7271),
    [anon_sym_BSLASHaclp] = ACTIONS(7271),
    [anon_sym_BSLASHAclp] = ACTIONS(7271),
    [anon_sym_BSLASHacf] = ACTIONS(7271),
    [anon_sym_BSLASHAcf] = ACTIONS(7271),
    [anon_sym_BSLASHacfp] = ACTIONS(7271),
    [anon_sym_BSLASHAcfp] = ACTIONS(7271),
    [anon_sym_BSLASHac] = ACTIONS(7271),
    [anon_sym_BSLASHAc] = ACTIONS(7271),
    [anon_sym_BSLASHacp] = ACTIONS(7271),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7271),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7271),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7271),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7271),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7271),
    [anon_sym_BSLASHcolor] = ACTIONS(7271),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7271),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7271),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7271),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7271),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7271),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7271),
    [anon_sym_BSLASHurl] = ACTIONS(7271),
    [anon_sym_BSLASHhref] = ACTIONS(7271),
  },
  [2193] = {
    [sym_command_name] = ACTIONS(7275),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7275),
    [anon_sym_LPAREN] = ACTIONS(7277),
    [anon_sym_RPAREN] = ACTIONS(7277),
    [anon_sym_LBRACE] = ACTIONS(7277),
    [anon_sym_RBRACE] = ACTIONS(7277),
    [anon_sym_BSLASHand] = ACTIONS(7275),
    [sym_word] = ACTIONS(7275),
    [sym_placeholder] = ACTIONS(7277),
    [sym_delimiter] = ACTIONS(7277),
    [anon_sym_PLUS] = ACTIONS(7277),
    [anon_sym_DASH] = ACTIONS(7277),
    [anon_sym_STAR] = ACTIONS(7277),
    [anon_sym_SLASH] = ACTIONS(7277),
    [anon_sym_LT] = ACTIONS(7275),
    [anon_sym_GT] = ACTIONS(7275),
    [anon_sym_BANG] = ACTIONS(7275),
    [anon_sym_PIPE] = ACTIONS(7275),
    [anon_sym_COLON] = ACTIONS(7275),
    [anon_sym_SQUOTE] = ACTIONS(7275),
    [anon_sym__] = ACTIONS(7277),
    [anon_sym_CARET] = ACTIONS(7277),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7277),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7277),
    [anon_sym_DOLLAR] = ACTIONS(7275),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7277),
    [anon_sym_BSLASHleft] = ACTIONS(7275),
    [anon_sym_BSLASHbigl] = ACTIONS(7275),
    [anon_sym_BSLASHBigl] = ACTIONS(7275),
    [anon_sym_BSLASHbiggl] = ACTIONS(7275),
    [anon_sym_BSLASHBiggl] = ACTIONS(7275),
    [anon_sym_BSLASHtext] = ACTIONS(7275),
    [anon_sym_BSLASHintertext] = ACTIONS(7275),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7275),
    [anon_sym_BSLASHtitle] = ACTIONS(7275),
    [anon_sym_BSLASHauthor] = ACTIONS(7275),
    [anon_sym_BSLASHusepackage] = ACTIONS(7275),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7275),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7275),
    [anon_sym_BSLASHinclude] = ACTIONS(7275),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7275),
    [anon_sym_BSLASHinput] = ACTIONS(7275),
    [anon_sym_BSLASHsubfile] = ACTIONS(7275),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7275),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7275),
    [anon_sym_BSLASHbibliography] = ACTIONS(7275),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7275),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7275),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7275),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7275),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7275),
    [anon_sym_BSLASHimport] = ACTIONS(7275),
    [anon_sym_BSLASHsubimport] = ACTIONS(7275),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7275),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7275),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7275),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7275),
    [anon_sym_BSLASHcaption] = ACTIONS(7275),
    [anon_sym_BSLASHcite] = ACTIONS(7275),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCite] = ACTIONS(7275),
    [anon_sym_BSLASHnocite] = ACTIONS(7275),
    [anon_sym_BSLASHcitet] = ACTIONS(7275),
    [anon_sym_BSLASHcitep] = ACTIONS(7275),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteA] = ACTIONS(7275),
    [anon_sym_BSLASHciteR] = ACTIONS(7275),
    [anon_sym_BSLASHciteS] = ACTIONS(7275),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7275),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7275),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7275),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7275),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteyear] = ACTIONS(7275),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitedate] = ACTIONS(7275),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteurl] = ACTIONS(7275),
    [anon_sym_BSLASHfullcite] = ACTIONS(7275),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7275),
    [anon_sym_BSLASHcitealt] = ACTIONS(7275),
    [anon_sym_BSLASHcitealp] = ACTIONS(7275),
    [anon_sym_BSLASHcitetext] = ACTIONS(7275),
    [anon_sym_BSLASHparencite] = ACTIONS(7275),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHParencite] = ACTIONS(7275),
    [anon_sym_BSLASHfootcite] = ACTIONS(7275),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7275),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7275),
    [anon_sym_BSLASHtextcite] = ACTIONS(7275),
    [anon_sym_BSLASHTextcite] = ACTIONS(7275),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7275),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7275),
    [anon_sym_BSLASHsupercite] = ACTIONS(7275),
    [anon_sym_BSLASHautocite] = ACTIONS(7275),
    [anon_sym_BSLASHAutocite] = ACTIONS(7275),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHVolcite] = ACTIONS(7275),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHavolcite] = ACTIONS(7275),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHNotecite] = ACTIONS(7275),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHlabel] = ACTIONS(7275),
    [anon_sym_BSLASHref] = ACTIONS(7275),
    [anon_sym_BSLASHeqref] = ACTIONS(7275),
    [anon_sym_BSLASHvref] = ACTIONS(7275),
    [anon_sym_BSLASHVref] = ACTIONS(7275),
    [anon_sym_BSLASHautoref] = ACTIONS(7275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHpageref] = ACTIONS(7275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHautopageref] = ACTIONS(7275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcref] = ACTIONS(7275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCref] = ACTIONS(7275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcpageref] = ACTIONS(7275),
    [anon_sym_BSLASHCpageref] = ACTIONS(7275),
    [anon_sym_BSLASHnamecref] = ACTIONS(7275),
    [anon_sym_BSLASHnameCref] = ACTIONS(7275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7275),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7275),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7275),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7275),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7275),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7275),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7275),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7275),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHdef] = ACTIONS(7275),
    [anon_sym_BSLASHgdef] = ACTIONS(7275),
    [anon_sym_BSLASHedef] = ACTIONS(7275),
    [anon_sym_BSLASHxdef] = ACTIONS(7275),
    [anon_sym_BSLASHlet] = ACTIONS(7275),
    [anon_sym_BSLASHglet] = ACTIONS(7275),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7275),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7275),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7275),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7275),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7275),
    [anon_sym_BSLASHgls] = ACTIONS(7275),
    [anon_sym_BSLASHGls] = ACTIONS(7275),
    [anon_sym_BSLASHGLS] = ACTIONS(7275),
    [anon_sym_BSLASHglspl] = ACTIONS(7275),
    [anon_sym_BSLASHGlspl] = ACTIONS(7275),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7275),
    [anon_sym_BSLASHglslink] = ACTIONS(7275),
    [anon_sym_BSLASHglstext] = ACTIONS(7275),
    [anon_sym_BSLASHGlstext] = ACTIONS(7275),
    [anon_sym_BSLASHGLStext] = ACTIONS(7275),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7275),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7275),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7275),
    [anon_sym_BSLASHglsplural] = ACTIONS(7275),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7275),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7275),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHglsname] = ACTIONS(7275),
    [anon_sym_BSLASHGlsname] = ACTIONS(7275),
    [anon_sym_BSLASHGLSname] = ACTIONS(7275),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7275),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7275),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7275),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7275),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7275),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7275),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7275),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7275),
    [anon_sym_BSLASHacrshort] = ACTIONS(7275),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7275),
    [anon_sym_BSLASHACRshort] = ACTIONS(7275),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHacrlong] = ACTIONS(7275),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7275),
    [anon_sym_BSLASHACRlong] = ACTIONS(7275),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHacrfull] = ACTIONS(7275),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7275),
    [anon_sym_BSLASHACRfull] = ACTIONS(7275),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHacs] = ACTIONS(7275),
    [anon_sym_BSLASHAcs] = ACTIONS(7275),
    [anon_sym_BSLASHacsp] = ACTIONS(7275),
    [anon_sym_BSLASHAcsp] = ACTIONS(7275),
    [anon_sym_BSLASHacl] = ACTIONS(7275),
    [anon_sym_BSLASHAcl] = ACTIONS(7275),
    [anon_sym_BSLASHaclp] = ACTIONS(7275),
    [anon_sym_BSLASHAclp] = ACTIONS(7275),
    [anon_sym_BSLASHacf] = ACTIONS(7275),
    [anon_sym_BSLASHAcf] = ACTIONS(7275),
    [anon_sym_BSLASHacfp] = ACTIONS(7275),
    [anon_sym_BSLASHAcfp] = ACTIONS(7275),
    [anon_sym_BSLASHac] = ACTIONS(7275),
    [anon_sym_BSLASHAc] = ACTIONS(7275),
    [anon_sym_BSLASHacp] = ACTIONS(7275),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7275),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7275),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7275),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7275),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7275),
    [anon_sym_BSLASHcolor] = ACTIONS(7275),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7275),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7275),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7275),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7275),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7275),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7275),
    [anon_sym_BSLASHurl] = ACTIONS(7275),
    [anon_sym_BSLASHhref] = ACTIONS(7275),
  },
  [2194] = {
    [sym_command_name] = ACTIONS(7279),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7279),
    [anon_sym_LPAREN] = ACTIONS(7281),
    [anon_sym_RPAREN] = ACTIONS(7281),
    [anon_sym_LBRACE] = ACTIONS(7281),
    [anon_sym_RBRACE] = ACTIONS(7281),
    [anon_sym_BSLASHand] = ACTIONS(7279),
    [sym_word] = ACTIONS(7279),
    [sym_placeholder] = ACTIONS(7281),
    [sym_delimiter] = ACTIONS(7281),
    [anon_sym_PLUS] = ACTIONS(7281),
    [anon_sym_DASH] = ACTIONS(7281),
    [anon_sym_STAR] = ACTIONS(7281),
    [anon_sym_SLASH] = ACTIONS(7281),
    [anon_sym_LT] = ACTIONS(7279),
    [anon_sym_GT] = ACTIONS(7279),
    [anon_sym_BANG] = ACTIONS(7279),
    [anon_sym_PIPE] = ACTIONS(7279),
    [anon_sym_COLON] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7279),
    [anon_sym__] = ACTIONS(7281),
    [anon_sym_CARET] = ACTIONS(7281),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7281),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7281),
    [anon_sym_DOLLAR] = ACTIONS(7279),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7281),
    [anon_sym_BSLASHleft] = ACTIONS(7279),
    [anon_sym_BSLASHbigl] = ACTIONS(7279),
    [anon_sym_BSLASHBigl] = ACTIONS(7279),
    [anon_sym_BSLASHbiggl] = ACTIONS(7279),
    [anon_sym_BSLASHBiggl] = ACTIONS(7279),
    [anon_sym_BSLASHtext] = ACTIONS(7279),
    [anon_sym_BSLASHintertext] = ACTIONS(7279),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7279),
    [anon_sym_BSLASHtitle] = ACTIONS(7279),
    [anon_sym_BSLASHauthor] = ACTIONS(7279),
    [anon_sym_BSLASHusepackage] = ACTIONS(7279),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7279),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7279),
    [anon_sym_BSLASHinclude] = ACTIONS(7279),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7279),
    [anon_sym_BSLASHinput] = ACTIONS(7279),
    [anon_sym_BSLASHsubfile] = ACTIONS(7279),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7279),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7279),
    [anon_sym_BSLASHbibliography] = ACTIONS(7279),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7279),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7279),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7279),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7279),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7279),
    [anon_sym_BSLASHimport] = ACTIONS(7279),
    [anon_sym_BSLASHsubimport] = ACTIONS(7279),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7279),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7279),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7279),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7279),
    [anon_sym_BSLASHcaption] = ACTIONS(7279),
    [anon_sym_BSLASHcite] = ACTIONS(7279),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCite] = ACTIONS(7279),
    [anon_sym_BSLASHnocite] = ACTIONS(7279),
    [anon_sym_BSLASHcitet] = ACTIONS(7279),
    [anon_sym_BSLASHcitep] = ACTIONS(7279),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteA] = ACTIONS(7279),
    [anon_sym_BSLASHciteR] = ACTIONS(7279),
    [anon_sym_BSLASHciteS] = ACTIONS(7279),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7279),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7279),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7279),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7279),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteyear] = ACTIONS(7279),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitedate] = ACTIONS(7279),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteurl] = ACTIONS(7279),
    [anon_sym_BSLASHfullcite] = ACTIONS(7279),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7279),
    [anon_sym_BSLASHcitealt] = ACTIONS(7279),
    [anon_sym_BSLASHcitealp] = ACTIONS(7279),
    [anon_sym_BSLASHcitetext] = ACTIONS(7279),
    [anon_sym_BSLASHparencite] = ACTIONS(7279),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHParencite] = ACTIONS(7279),
    [anon_sym_BSLASHfootcite] = ACTIONS(7279),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7279),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7279),
    [anon_sym_BSLASHtextcite] = ACTIONS(7279),
    [anon_sym_BSLASHTextcite] = ACTIONS(7279),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7279),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7279),
    [anon_sym_BSLASHsupercite] = ACTIONS(7279),
    [anon_sym_BSLASHautocite] = ACTIONS(7279),
    [anon_sym_BSLASHAutocite] = ACTIONS(7279),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHVolcite] = ACTIONS(7279),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHavolcite] = ACTIONS(7279),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHNotecite] = ACTIONS(7279),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHlabel] = ACTIONS(7279),
    [anon_sym_BSLASHref] = ACTIONS(7279),
    [anon_sym_BSLASHeqref] = ACTIONS(7279),
    [anon_sym_BSLASHvref] = ACTIONS(7279),
    [anon_sym_BSLASHVref] = ACTIONS(7279),
    [anon_sym_BSLASHautoref] = ACTIONS(7279),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHpageref] = ACTIONS(7279),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHautopageref] = ACTIONS(7279),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcref] = ACTIONS(7279),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCref] = ACTIONS(7279),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcpageref] = ACTIONS(7279),
    [anon_sym_BSLASHCpageref] = ACTIONS(7279),
    [anon_sym_BSLASHnamecref] = ACTIONS(7279),
    [anon_sym_BSLASHnameCref] = ACTIONS(7279),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7279),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7279),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7279),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7279),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7279),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7279),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7279),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHdef] = ACTIONS(7279),
    [anon_sym_BSLASHgdef] = ACTIONS(7279),
    [anon_sym_BSLASHedef] = ACTIONS(7279),
    [anon_sym_BSLASHxdef] = ACTIONS(7279),
    [anon_sym_BSLASHlet] = ACTIONS(7279),
    [anon_sym_BSLASHglet] = ACTIONS(7279),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7279),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7279),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7279),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7279),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7279),
    [anon_sym_BSLASHgls] = ACTIONS(7279),
    [anon_sym_BSLASHGls] = ACTIONS(7279),
    [anon_sym_BSLASHGLS] = ACTIONS(7279),
    [anon_sym_BSLASHglspl] = ACTIONS(7279),
    [anon_sym_BSLASHGlspl] = ACTIONS(7279),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7279),
    [anon_sym_BSLASHglslink] = ACTIONS(7279),
    [anon_sym_BSLASHglstext] = ACTIONS(7279),
    [anon_sym_BSLASHGlstext] = ACTIONS(7279),
    [anon_sym_BSLASHGLStext] = ACTIONS(7279),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7279),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7279),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7279),
    [anon_sym_BSLASHglsplural] = ACTIONS(7279),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7279),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7279),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHglsname] = ACTIONS(7279),
    [anon_sym_BSLASHGlsname] = ACTIONS(7279),
    [anon_sym_BSLASHGLSname] = ACTIONS(7279),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7279),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7279),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7279),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7279),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7279),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7279),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7279),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7279),
    [anon_sym_BSLASHacrshort] = ACTIONS(7279),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7279),
    [anon_sym_BSLASHACRshort] = ACTIONS(7279),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHacrlong] = ACTIONS(7279),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7279),
    [anon_sym_BSLASHACRlong] = ACTIONS(7279),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHacrfull] = ACTIONS(7279),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7279),
    [anon_sym_BSLASHACRfull] = ACTIONS(7279),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHacs] = ACTIONS(7279),
    [anon_sym_BSLASHAcs] = ACTIONS(7279),
    [anon_sym_BSLASHacsp] = ACTIONS(7279),
    [anon_sym_BSLASHAcsp] = ACTIONS(7279),
    [anon_sym_BSLASHacl] = ACTIONS(7279),
    [anon_sym_BSLASHAcl] = ACTIONS(7279),
    [anon_sym_BSLASHaclp] = ACTIONS(7279),
    [anon_sym_BSLASHAclp] = ACTIONS(7279),
    [anon_sym_BSLASHacf] = ACTIONS(7279),
    [anon_sym_BSLASHAcf] = ACTIONS(7279),
    [anon_sym_BSLASHacfp] = ACTIONS(7279),
    [anon_sym_BSLASHAcfp] = ACTIONS(7279),
    [anon_sym_BSLASHac] = ACTIONS(7279),
    [anon_sym_BSLASHAc] = ACTIONS(7279),
    [anon_sym_BSLASHacp] = ACTIONS(7279),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7279),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7279),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7279),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7279),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7279),
    [anon_sym_BSLASHcolor] = ACTIONS(7279),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7279),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7279),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7279),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7279),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7279),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7279),
    [anon_sym_BSLASHurl] = ACTIONS(7279),
    [anon_sym_BSLASHhref] = ACTIONS(7279),
  },
  [2195] = {
    [sym_command_name] = ACTIONS(7283),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7283),
    [anon_sym_LPAREN] = ACTIONS(7285),
    [anon_sym_RPAREN] = ACTIONS(7285),
    [anon_sym_LBRACE] = ACTIONS(7285),
    [anon_sym_RBRACE] = ACTIONS(7285),
    [anon_sym_BSLASHand] = ACTIONS(7283),
    [sym_word] = ACTIONS(7283),
    [sym_placeholder] = ACTIONS(7285),
    [sym_delimiter] = ACTIONS(7285),
    [anon_sym_PLUS] = ACTIONS(7285),
    [anon_sym_DASH] = ACTIONS(7285),
    [anon_sym_STAR] = ACTIONS(7285),
    [anon_sym_SLASH] = ACTIONS(7285),
    [anon_sym_LT] = ACTIONS(7283),
    [anon_sym_GT] = ACTIONS(7283),
    [anon_sym_BANG] = ACTIONS(7283),
    [anon_sym_PIPE] = ACTIONS(7283),
    [anon_sym_COLON] = ACTIONS(7283),
    [anon_sym_SQUOTE] = ACTIONS(7283),
    [anon_sym__] = ACTIONS(7285),
    [anon_sym_CARET] = ACTIONS(7285),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7285),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7285),
    [anon_sym_DOLLAR] = ACTIONS(7283),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7285),
    [anon_sym_BSLASHleft] = ACTIONS(7283),
    [anon_sym_BSLASHbigl] = ACTIONS(7283),
    [anon_sym_BSLASHBigl] = ACTIONS(7283),
    [anon_sym_BSLASHbiggl] = ACTIONS(7283),
    [anon_sym_BSLASHBiggl] = ACTIONS(7283),
    [anon_sym_BSLASHtext] = ACTIONS(7283),
    [anon_sym_BSLASHintertext] = ACTIONS(7283),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7283),
    [anon_sym_BSLASHtitle] = ACTIONS(7283),
    [anon_sym_BSLASHauthor] = ACTIONS(7283),
    [anon_sym_BSLASHusepackage] = ACTIONS(7283),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7283),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7283),
    [anon_sym_BSLASHinclude] = ACTIONS(7283),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7283),
    [anon_sym_BSLASHinput] = ACTIONS(7283),
    [anon_sym_BSLASHsubfile] = ACTIONS(7283),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7283),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7283),
    [anon_sym_BSLASHbibliography] = ACTIONS(7283),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7283),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7283),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7283),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7283),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7283),
    [anon_sym_BSLASHimport] = ACTIONS(7283),
    [anon_sym_BSLASHsubimport] = ACTIONS(7283),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7283),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7283),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7283),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7283),
    [anon_sym_BSLASHcaption] = ACTIONS(7283),
    [anon_sym_BSLASHcite] = ACTIONS(7283),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCite] = ACTIONS(7283),
    [anon_sym_BSLASHnocite] = ACTIONS(7283),
    [anon_sym_BSLASHcitet] = ACTIONS(7283),
    [anon_sym_BSLASHcitep] = ACTIONS(7283),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteA] = ACTIONS(7283),
    [anon_sym_BSLASHciteR] = ACTIONS(7283),
    [anon_sym_BSLASHciteS] = ACTIONS(7283),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7283),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7283),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7283),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7283),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteyear] = ACTIONS(7283),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitedate] = ACTIONS(7283),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteurl] = ACTIONS(7283),
    [anon_sym_BSLASHfullcite] = ACTIONS(7283),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7283),
    [anon_sym_BSLASHcitealt] = ACTIONS(7283),
    [anon_sym_BSLASHcitealp] = ACTIONS(7283),
    [anon_sym_BSLASHcitetext] = ACTIONS(7283),
    [anon_sym_BSLASHparencite] = ACTIONS(7283),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHParencite] = ACTIONS(7283),
    [anon_sym_BSLASHfootcite] = ACTIONS(7283),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7283),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7283),
    [anon_sym_BSLASHtextcite] = ACTIONS(7283),
    [anon_sym_BSLASHTextcite] = ACTIONS(7283),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7283),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7283),
    [anon_sym_BSLASHsupercite] = ACTIONS(7283),
    [anon_sym_BSLASHautocite] = ACTIONS(7283),
    [anon_sym_BSLASHAutocite] = ACTIONS(7283),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHVolcite] = ACTIONS(7283),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHavolcite] = ACTIONS(7283),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHNotecite] = ACTIONS(7283),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHlabel] = ACTIONS(7283),
    [anon_sym_BSLASHref] = ACTIONS(7283),
    [anon_sym_BSLASHeqref] = ACTIONS(7283),
    [anon_sym_BSLASHvref] = ACTIONS(7283),
    [anon_sym_BSLASHVref] = ACTIONS(7283),
    [anon_sym_BSLASHautoref] = ACTIONS(7283),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHpageref] = ACTIONS(7283),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHautopageref] = ACTIONS(7283),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcref] = ACTIONS(7283),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCref] = ACTIONS(7283),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcpageref] = ACTIONS(7283),
    [anon_sym_BSLASHCpageref] = ACTIONS(7283),
    [anon_sym_BSLASHnamecref] = ACTIONS(7283),
    [anon_sym_BSLASHnameCref] = ACTIONS(7283),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7283),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7283),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7283),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7283),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7283),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7283),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7283),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7283),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7283),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7283),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHdef] = ACTIONS(7283),
    [anon_sym_BSLASHgdef] = ACTIONS(7283),
    [anon_sym_BSLASHedef] = ACTIONS(7283),
    [anon_sym_BSLASHxdef] = ACTIONS(7283),
    [anon_sym_BSLASHlet] = ACTIONS(7283),
    [anon_sym_BSLASHglet] = ACTIONS(7283),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7283),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7283),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7283),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7283),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7283),
    [anon_sym_BSLASHgls] = ACTIONS(7283),
    [anon_sym_BSLASHGls] = ACTIONS(7283),
    [anon_sym_BSLASHGLS] = ACTIONS(7283),
    [anon_sym_BSLASHglspl] = ACTIONS(7283),
    [anon_sym_BSLASHGlspl] = ACTIONS(7283),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7283),
    [anon_sym_BSLASHglslink] = ACTIONS(7283),
    [anon_sym_BSLASHglstext] = ACTIONS(7283),
    [anon_sym_BSLASHGlstext] = ACTIONS(7283),
    [anon_sym_BSLASHGLStext] = ACTIONS(7283),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7283),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7283),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7283),
    [anon_sym_BSLASHglsplural] = ACTIONS(7283),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7283),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7283),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHglsname] = ACTIONS(7283),
    [anon_sym_BSLASHGlsname] = ACTIONS(7283),
    [anon_sym_BSLASHGLSname] = ACTIONS(7283),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7283),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7283),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7283),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7283),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7283),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7283),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7283),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7283),
    [anon_sym_BSLASHacrshort] = ACTIONS(7283),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7283),
    [anon_sym_BSLASHACRshort] = ACTIONS(7283),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHacrlong] = ACTIONS(7283),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7283),
    [anon_sym_BSLASHACRlong] = ACTIONS(7283),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHacrfull] = ACTIONS(7283),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7283),
    [anon_sym_BSLASHACRfull] = ACTIONS(7283),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHacs] = ACTIONS(7283),
    [anon_sym_BSLASHAcs] = ACTIONS(7283),
    [anon_sym_BSLASHacsp] = ACTIONS(7283),
    [anon_sym_BSLASHAcsp] = ACTIONS(7283),
    [anon_sym_BSLASHacl] = ACTIONS(7283),
    [anon_sym_BSLASHAcl] = ACTIONS(7283),
    [anon_sym_BSLASHaclp] = ACTIONS(7283),
    [anon_sym_BSLASHAclp] = ACTIONS(7283),
    [anon_sym_BSLASHacf] = ACTIONS(7283),
    [anon_sym_BSLASHAcf] = ACTIONS(7283),
    [anon_sym_BSLASHacfp] = ACTIONS(7283),
    [anon_sym_BSLASHAcfp] = ACTIONS(7283),
    [anon_sym_BSLASHac] = ACTIONS(7283),
    [anon_sym_BSLASHAc] = ACTIONS(7283),
    [anon_sym_BSLASHacp] = ACTIONS(7283),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7283),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7283),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7283),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7283),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7283),
    [anon_sym_BSLASHcolor] = ACTIONS(7283),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7283),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7283),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7283),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7283),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7283),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7283),
    [anon_sym_BSLASHurl] = ACTIONS(7283),
    [anon_sym_BSLASHhref] = ACTIONS(7283),
  },
  [2196] = {
    [sym_command_name] = ACTIONS(7287),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7287),
    [anon_sym_LPAREN] = ACTIONS(7289),
    [anon_sym_RPAREN] = ACTIONS(7289),
    [anon_sym_LBRACE] = ACTIONS(7289),
    [anon_sym_RBRACE] = ACTIONS(7289),
    [anon_sym_BSLASHand] = ACTIONS(7287),
    [sym_word] = ACTIONS(7287),
    [sym_placeholder] = ACTIONS(7289),
    [sym_delimiter] = ACTIONS(7289),
    [anon_sym_PLUS] = ACTIONS(7289),
    [anon_sym_DASH] = ACTIONS(7289),
    [anon_sym_STAR] = ACTIONS(7289),
    [anon_sym_SLASH] = ACTIONS(7289),
    [anon_sym_LT] = ACTIONS(7287),
    [anon_sym_GT] = ACTIONS(7287),
    [anon_sym_BANG] = ACTIONS(7287),
    [anon_sym_PIPE] = ACTIONS(7287),
    [anon_sym_COLON] = ACTIONS(7287),
    [anon_sym_SQUOTE] = ACTIONS(7287),
    [anon_sym__] = ACTIONS(7289),
    [anon_sym_CARET] = ACTIONS(7289),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7289),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7289),
    [anon_sym_DOLLAR] = ACTIONS(7287),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7289),
    [anon_sym_BSLASHleft] = ACTIONS(7287),
    [anon_sym_BSLASHbigl] = ACTIONS(7287),
    [anon_sym_BSLASHBigl] = ACTIONS(7287),
    [anon_sym_BSLASHbiggl] = ACTIONS(7287),
    [anon_sym_BSLASHBiggl] = ACTIONS(7287),
    [anon_sym_BSLASHtext] = ACTIONS(7287),
    [anon_sym_BSLASHintertext] = ACTIONS(7287),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7287),
    [anon_sym_BSLASHtitle] = ACTIONS(7287),
    [anon_sym_BSLASHauthor] = ACTIONS(7287),
    [anon_sym_BSLASHusepackage] = ACTIONS(7287),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7287),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7287),
    [anon_sym_BSLASHinclude] = ACTIONS(7287),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7287),
    [anon_sym_BSLASHinput] = ACTIONS(7287),
    [anon_sym_BSLASHsubfile] = ACTIONS(7287),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7287),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7287),
    [anon_sym_BSLASHbibliography] = ACTIONS(7287),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7287),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7287),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7287),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7287),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7287),
    [anon_sym_BSLASHimport] = ACTIONS(7287),
    [anon_sym_BSLASHsubimport] = ACTIONS(7287),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7287),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7287),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7287),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7287),
    [anon_sym_BSLASHcaption] = ACTIONS(7287),
    [anon_sym_BSLASHcite] = ACTIONS(7287),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCite] = ACTIONS(7287),
    [anon_sym_BSLASHnocite] = ACTIONS(7287),
    [anon_sym_BSLASHcitet] = ACTIONS(7287),
    [anon_sym_BSLASHcitep] = ACTIONS(7287),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteA] = ACTIONS(7287),
    [anon_sym_BSLASHciteR] = ACTIONS(7287),
    [anon_sym_BSLASHciteS] = ACTIONS(7287),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7287),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7287),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7287),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7287),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteyear] = ACTIONS(7287),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitedate] = ACTIONS(7287),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteurl] = ACTIONS(7287),
    [anon_sym_BSLASHfullcite] = ACTIONS(7287),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7287),
    [anon_sym_BSLASHcitealt] = ACTIONS(7287),
    [anon_sym_BSLASHcitealp] = ACTIONS(7287),
    [anon_sym_BSLASHcitetext] = ACTIONS(7287),
    [anon_sym_BSLASHparencite] = ACTIONS(7287),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHParencite] = ACTIONS(7287),
    [anon_sym_BSLASHfootcite] = ACTIONS(7287),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7287),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7287),
    [anon_sym_BSLASHtextcite] = ACTIONS(7287),
    [anon_sym_BSLASHTextcite] = ACTIONS(7287),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7287),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7287),
    [anon_sym_BSLASHsupercite] = ACTIONS(7287),
    [anon_sym_BSLASHautocite] = ACTIONS(7287),
    [anon_sym_BSLASHAutocite] = ACTIONS(7287),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHVolcite] = ACTIONS(7287),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHavolcite] = ACTIONS(7287),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHNotecite] = ACTIONS(7287),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHlabel] = ACTIONS(7287),
    [anon_sym_BSLASHref] = ACTIONS(7287),
    [anon_sym_BSLASHeqref] = ACTIONS(7287),
    [anon_sym_BSLASHvref] = ACTIONS(7287),
    [anon_sym_BSLASHVref] = ACTIONS(7287),
    [anon_sym_BSLASHautoref] = ACTIONS(7287),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHpageref] = ACTIONS(7287),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHautopageref] = ACTIONS(7287),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcref] = ACTIONS(7287),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCref] = ACTIONS(7287),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcpageref] = ACTIONS(7287),
    [anon_sym_BSLASHCpageref] = ACTIONS(7287),
    [anon_sym_BSLASHnamecref] = ACTIONS(7287),
    [anon_sym_BSLASHnameCref] = ACTIONS(7287),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7287),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7287),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7287),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7287),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7287),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7287),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7287),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7287),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7287),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7287),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7287),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHdef] = ACTIONS(7287),
    [anon_sym_BSLASHgdef] = ACTIONS(7287),
    [anon_sym_BSLASHedef] = ACTIONS(7287),
    [anon_sym_BSLASHxdef] = ACTIONS(7287),
    [anon_sym_BSLASHlet] = ACTIONS(7287),
    [anon_sym_BSLASHglet] = ACTIONS(7287),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7287),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7287),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7287),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7287),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7287),
    [anon_sym_BSLASHgls] = ACTIONS(7287),
    [anon_sym_BSLASHGls] = ACTIONS(7287),
    [anon_sym_BSLASHGLS] = ACTIONS(7287),
    [anon_sym_BSLASHglspl] = ACTIONS(7287),
    [anon_sym_BSLASHGlspl] = ACTIONS(7287),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7287),
    [anon_sym_BSLASHglslink] = ACTIONS(7287),
    [anon_sym_BSLASHglstext] = ACTIONS(7287),
    [anon_sym_BSLASHGlstext] = ACTIONS(7287),
    [anon_sym_BSLASHGLStext] = ACTIONS(7287),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7287),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7287),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7287),
    [anon_sym_BSLASHglsplural] = ACTIONS(7287),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7287),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7287),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHglsname] = ACTIONS(7287),
    [anon_sym_BSLASHGlsname] = ACTIONS(7287),
    [anon_sym_BSLASHGLSname] = ACTIONS(7287),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7287),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7287),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7287),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7287),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7287),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7287),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7287),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7287),
    [anon_sym_BSLASHacrshort] = ACTIONS(7287),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7287),
    [anon_sym_BSLASHACRshort] = ACTIONS(7287),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHacrlong] = ACTIONS(7287),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7287),
    [anon_sym_BSLASHACRlong] = ACTIONS(7287),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHacrfull] = ACTIONS(7287),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7287),
    [anon_sym_BSLASHACRfull] = ACTIONS(7287),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHacs] = ACTIONS(7287),
    [anon_sym_BSLASHAcs] = ACTIONS(7287),
    [anon_sym_BSLASHacsp] = ACTIONS(7287),
    [anon_sym_BSLASHAcsp] = ACTIONS(7287),
    [anon_sym_BSLASHacl] = ACTIONS(7287),
    [anon_sym_BSLASHAcl] = ACTIONS(7287),
    [anon_sym_BSLASHaclp] = ACTIONS(7287),
    [anon_sym_BSLASHAclp] = ACTIONS(7287),
    [anon_sym_BSLASHacf] = ACTIONS(7287),
    [anon_sym_BSLASHAcf] = ACTIONS(7287),
    [anon_sym_BSLASHacfp] = ACTIONS(7287),
    [anon_sym_BSLASHAcfp] = ACTIONS(7287),
    [anon_sym_BSLASHac] = ACTIONS(7287),
    [anon_sym_BSLASHAc] = ACTIONS(7287),
    [anon_sym_BSLASHacp] = ACTIONS(7287),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7287),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7287),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7287),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7287),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7287),
    [anon_sym_BSLASHcolor] = ACTIONS(7287),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7287),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7287),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7287),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7287),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7287),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7287),
    [anon_sym_BSLASHurl] = ACTIONS(7287),
    [anon_sym_BSLASHhref] = ACTIONS(7287),
  },
  [2197] = {
    [sym_command_name] = ACTIONS(7291),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7291),
    [anon_sym_LPAREN] = ACTIONS(7293),
    [anon_sym_RPAREN] = ACTIONS(7293),
    [anon_sym_LBRACE] = ACTIONS(7293),
    [anon_sym_RBRACE] = ACTIONS(7293),
    [anon_sym_BSLASHand] = ACTIONS(7291),
    [sym_word] = ACTIONS(7291),
    [sym_placeholder] = ACTIONS(7293),
    [sym_delimiter] = ACTIONS(7293),
    [anon_sym_PLUS] = ACTIONS(7293),
    [anon_sym_DASH] = ACTIONS(7293),
    [anon_sym_STAR] = ACTIONS(7293),
    [anon_sym_SLASH] = ACTIONS(7293),
    [anon_sym_LT] = ACTIONS(7291),
    [anon_sym_GT] = ACTIONS(7291),
    [anon_sym_BANG] = ACTIONS(7291),
    [anon_sym_PIPE] = ACTIONS(7291),
    [anon_sym_COLON] = ACTIONS(7291),
    [anon_sym_SQUOTE] = ACTIONS(7291),
    [anon_sym__] = ACTIONS(7293),
    [anon_sym_CARET] = ACTIONS(7293),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7293),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7293),
    [anon_sym_DOLLAR] = ACTIONS(7291),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7293),
    [anon_sym_BSLASHleft] = ACTIONS(7291),
    [anon_sym_BSLASHbigl] = ACTIONS(7291),
    [anon_sym_BSLASHBigl] = ACTIONS(7291),
    [anon_sym_BSLASHbiggl] = ACTIONS(7291),
    [anon_sym_BSLASHBiggl] = ACTIONS(7291),
    [anon_sym_BSLASHtext] = ACTIONS(7291),
    [anon_sym_BSLASHintertext] = ACTIONS(7291),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7291),
    [anon_sym_BSLASHtitle] = ACTIONS(7291),
    [anon_sym_BSLASHauthor] = ACTIONS(7291),
    [anon_sym_BSLASHusepackage] = ACTIONS(7291),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7291),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7291),
    [anon_sym_BSLASHinclude] = ACTIONS(7291),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7291),
    [anon_sym_BSLASHinput] = ACTIONS(7291),
    [anon_sym_BSLASHsubfile] = ACTIONS(7291),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7291),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7291),
    [anon_sym_BSLASHbibliography] = ACTIONS(7291),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7291),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7291),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7291),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7291),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7291),
    [anon_sym_BSLASHimport] = ACTIONS(7291),
    [anon_sym_BSLASHsubimport] = ACTIONS(7291),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7291),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7291),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7291),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7291),
    [anon_sym_BSLASHcaption] = ACTIONS(7291),
    [anon_sym_BSLASHcite] = ACTIONS(7291),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCite] = ACTIONS(7291),
    [anon_sym_BSLASHnocite] = ACTIONS(7291),
    [anon_sym_BSLASHcitet] = ACTIONS(7291),
    [anon_sym_BSLASHcitep] = ACTIONS(7291),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteA] = ACTIONS(7291),
    [anon_sym_BSLASHciteR] = ACTIONS(7291),
    [anon_sym_BSLASHciteS] = ACTIONS(7291),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7291),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7291),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7291),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7291),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteyear] = ACTIONS(7291),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitedate] = ACTIONS(7291),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteurl] = ACTIONS(7291),
    [anon_sym_BSLASHfullcite] = ACTIONS(7291),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7291),
    [anon_sym_BSLASHcitealt] = ACTIONS(7291),
    [anon_sym_BSLASHcitealp] = ACTIONS(7291),
    [anon_sym_BSLASHcitetext] = ACTIONS(7291),
    [anon_sym_BSLASHparencite] = ACTIONS(7291),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHParencite] = ACTIONS(7291),
    [anon_sym_BSLASHfootcite] = ACTIONS(7291),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7291),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7291),
    [anon_sym_BSLASHtextcite] = ACTIONS(7291),
    [anon_sym_BSLASHTextcite] = ACTIONS(7291),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7291),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7291),
    [anon_sym_BSLASHsupercite] = ACTIONS(7291),
    [anon_sym_BSLASHautocite] = ACTIONS(7291),
    [anon_sym_BSLASHAutocite] = ACTIONS(7291),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHVolcite] = ACTIONS(7291),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHavolcite] = ACTIONS(7291),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHNotecite] = ACTIONS(7291),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHlabel] = ACTIONS(7291),
    [anon_sym_BSLASHref] = ACTIONS(7291),
    [anon_sym_BSLASHeqref] = ACTIONS(7291),
    [anon_sym_BSLASHvref] = ACTIONS(7291),
    [anon_sym_BSLASHVref] = ACTIONS(7291),
    [anon_sym_BSLASHautoref] = ACTIONS(7291),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHpageref] = ACTIONS(7291),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHautopageref] = ACTIONS(7291),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcref] = ACTIONS(7291),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCref] = ACTIONS(7291),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcpageref] = ACTIONS(7291),
    [anon_sym_BSLASHCpageref] = ACTIONS(7291),
    [anon_sym_BSLASHnamecref] = ACTIONS(7291),
    [anon_sym_BSLASHnameCref] = ACTIONS(7291),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7291),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7291),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7291),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7291),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7291),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7291),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7291),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7291),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7291),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7291),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7291),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHdef] = ACTIONS(7291),
    [anon_sym_BSLASHgdef] = ACTIONS(7291),
    [anon_sym_BSLASHedef] = ACTIONS(7291),
    [anon_sym_BSLASHxdef] = ACTIONS(7291),
    [anon_sym_BSLASHlet] = ACTIONS(7291),
    [anon_sym_BSLASHglet] = ACTIONS(7291),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7291),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7291),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7291),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7291),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7291),
    [anon_sym_BSLASHgls] = ACTIONS(7291),
    [anon_sym_BSLASHGls] = ACTIONS(7291),
    [anon_sym_BSLASHGLS] = ACTIONS(7291),
    [anon_sym_BSLASHglspl] = ACTIONS(7291),
    [anon_sym_BSLASHGlspl] = ACTIONS(7291),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7291),
    [anon_sym_BSLASHglslink] = ACTIONS(7291),
    [anon_sym_BSLASHglstext] = ACTIONS(7291),
    [anon_sym_BSLASHGlstext] = ACTIONS(7291),
    [anon_sym_BSLASHGLStext] = ACTIONS(7291),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7291),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7291),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7291),
    [anon_sym_BSLASHglsplural] = ACTIONS(7291),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7291),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7291),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHglsname] = ACTIONS(7291),
    [anon_sym_BSLASHGlsname] = ACTIONS(7291),
    [anon_sym_BSLASHGLSname] = ACTIONS(7291),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7291),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7291),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7291),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7291),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7291),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7291),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7291),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7291),
    [anon_sym_BSLASHacrshort] = ACTIONS(7291),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7291),
    [anon_sym_BSLASHACRshort] = ACTIONS(7291),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHacrlong] = ACTIONS(7291),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7291),
    [anon_sym_BSLASHACRlong] = ACTIONS(7291),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHacrfull] = ACTIONS(7291),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7291),
    [anon_sym_BSLASHACRfull] = ACTIONS(7291),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHacs] = ACTIONS(7291),
    [anon_sym_BSLASHAcs] = ACTIONS(7291),
    [anon_sym_BSLASHacsp] = ACTIONS(7291),
    [anon_sym_BSLASHAcsp] = ACTIONS(7291),
    [anon_sym_BSLASHacl] = ACTIONS(7291),
    [anon_sym_BSLASHAcl] = ACTIONS(7291),
    [anon_sym_BSLASHaclp] = ACTIONS(7291),
    [anon_sym_BSLASHAclp] = ACTIONS(7291),
    [anon_sym_BSLASHacf] = ACTIONS(7291),
    [anon_sym_BSLASHAcf] = ACTIONS(7291),
    [anon_sym_BSLASHacfp] = ACTIONS(7291),
    [anon_sym_BSLASHAcfp] = ACTIONS(7291),
    [anon_sym_BSLASHac] = ACTIONS(7291),
    [anon_sym_BSLASHAc] = ACTIONS(7291),
    [anon_sym_BSLASHacp] = ACTIONS(7291),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7291),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7291),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7291),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7291),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7291),
    [anon_sym_BSLASHcolor] = ACTIONS(7291),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7291),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7291),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7291),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7291),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7291),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7291),
    [anon_sym_BSLASHurl] = ACTIONS(7291),
    [anon_sym_BSLASHhref] = ACTIONS(7291),
  },
  [2198] = {
    [sym_command_name] = ACTIONS(7387),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7387),
    [anon_sym_LPAREN] = ACTIONS(7389),
    [anon_sym_RPAREN] = ACTIONS(7389),
    [anon_sym_LBRACE] = ACTIONS(7389),
    [anon_sym_RBRACE] = ACTIONS(7389),
    [anon_sym_BSLASHand] = ACTIONS(7387),
    [sym_word] = ACTIONS(7387),
    [sym_placeholder] = ACTIONS(7389),
    [sym_delimiter] = ACTIONS(7389),
    [anon_sym_PLUS] = ACTIONS(7389),
    [anon_sym_DASH] = ACTIONS(7389),
    [anon_sym_STAR] = ACTIONS(7389),
    [anon_sym_SLASH] = ACTIONS(7389),
    [anon_sym_LT] = ACTIONS(7387),
    [anon_sym_GT] = ACTIONS(7387),
    [anon_sym_BANG] = ACTIONS(7387),
    [anon_sym_PIPE] = ACTIONS(7387),
    [anon_sym_COLON] = ACTIONS(7387),
    [anon_sym_SQUOTE] = ACTIONS(7387),
    [anon_sym__] = ACTIONS(7389),
    [anon_sym_CARET] = ACTIONS(7389),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7389),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7389),
    [anon_sym_DOLLAR] = ACTIONS(7387),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7389),
    [anon_sym_BSLASHleft] = ACTIONS(7387),
    [anon_sym_BSLASHbigl] = ACTIONS(7387),
    [anon_sym_BSLASHBigl] = ACTIONS(7387),
    [anon_sym_BSLASHbiggl] = ACTIONS(7387),
    [anon_sym_BSLASHBiggl] = ACTIONS(7387),
    [anon_sym_BSLASHtext] = ACTIONS(7387),
    [anon_sym_BSLASHintertext] = ACTIONS(7387),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7387),
    [anon_sym_BSLASHtitle] = ACTIONS(7387),
    [anon_sym_BSLASHauthor] = ACTIONS(7387),
    [anon_sym_BSLASHusepackage] = ACTIONS(7387),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7387),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7387),
    [anon_sym_BSLASHinclude] = ACTIONS(7387),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7387),
    [anon_sym_BSLASHinput] = ACTIONS(7387),
    [anon_sym_BSLASHsubfile] = ACTIONS(7387),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7387),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7387),
    [anon_sym_BSLASHbibliography] = ACTIONS(7387),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7387),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7387),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7387),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7387),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7387),
    [anon_sym_BSLASHimport] = ACTIONS(7387),
    [anon_sym_BSLASHsubimport] = ACTIONS(7387),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7387),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7387),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7387),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7387),
    [anon_sym_BSLASHcaption] = ACTIONS(7387),
    [anon_sym_BSLASHcite] = ACTIONS(7387),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCite] = ACTIONS(7387),
    [anon_sym_BSLASHnocite] = ACTIONS(7387),
    [anon_sym_BSLASHcitet] = ACTIONS(7387),
    [anon_sym_BSLASHcitep] = ACTIONS(7387),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteA] = ACTIONS(7387),
    [anon_sym_BSLASHciteR] = ACTIONS(7387),
    [anon_sym_BSLASHciteS] = ACTIONS(7387),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7387),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7387),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7387),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7387),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteyear] = ACTIONS(7387),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitedate] = ACTIONS(7387),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteurl] = ACTIONS(7387),
    [anon_sym_BSLASHfullcite] = ACTIONS(7387),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7387),
    [anon_sym_BSLASHcitealt] = ACTIONS(7387),
    [anon_sym_BSLASHcitealp] = ACTIONS(7387),
    [anon_sym_BSLASHcitetext] = ACTIONS(7387),
    [anon_sym_BSLASHparencite] = ACTIONS(7387),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHParencite] = ACTIONS(7387),
    [anon_sym_BSLASHfootcite] = ACTIONS(7387),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7387),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7387),
    [anon_sym_BSLASHtextcite] = ACTIONS(7387),
    [anon_sym_BSLASHTextcite] = ACTIONS(7387),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7387),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7387),
    [anon_sym_BSLASHsupercite] = ACTIONS(7387),
    [anon_sym_BSLASHautocite] = ACTIONS(7387),
    [anon_sym_BSLASHAutocite] = ACTIONS(7387),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHVolcite] = ACTIONS(7387),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHavolcite] = ACTIONS(7387),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHNotecite] = ACTIONS(7387),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHlabel] = ACTIONS(7387),
    [anon_sym_BSLASHref] = ACTIONS(7387),
    [anon_sym_BSLASHeqref] = ACTIONS(7387),
    [anon_sym_BSLASHvref] = ACTIONS(7387),
    [anon_sym_BSLASHVref] = ACTIONS(7387),
    [anon_sym_BSLASHautoref] = ACTIONS(7387),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHpageref] = ACTIONS(7387),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHautopageref] = ACTIONS(7387),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcref] = ACTIONS(7387),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCref] = ACTIONS(7387),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcpageref] = ACTIONS(7387),
    [anon_sym_BSLASHCpageref] = ACTIONS(7387),
    [anon_sym_BSLASHnamecref] = ACTIONS(7387),
    [anon_sym_BSLASHnameCref] = ACTIONS(7387),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7387),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7387),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7387),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7387),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7387),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7387),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7387),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7387),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7387),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7387),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7387),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHdef] = ACTIONS(7387),
    [anon_sym_BSLASHgdef] = ACTIONS(7387),
    [anon_sym_BSLASHedef] = ACTIONS(7387),
    [anon_sym_BSLASHxdef] = ACTIONS(7387),
    [anon_sym_BSLASHlet] = ACTIONS(7387),
    [anon_sym_BSLASHglet] = ACTIONS(7387),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7387),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7387),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7387),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7387),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7387),
    [anon_sym_BSLASHgls] = ACTIONS(7387),
    [anon_sym_BSLASHGls] = ACTIONS(7387),
    [anon_sym_BSLASHGLS] = ACTIONS(7387),
    [anon_sym_BSLASHglspl] = ACTIONS(7387),
    [anon_sym_BSLASHGlspl] = ACTIONS(7387),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7387),
    [anon_sym_BSLASHglslink] = ACTIONS(7387),
    [anon_sym_BSLASHglstext] = ACTIONS(7387),
    [anon_sym_BSLASHGlstext] = ACTIONS(7387),
    [anon_sym_BSLASHGLStext] = ACTIONS(7387),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7387),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7387),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7387),
    [anon_sym_BSLASHglsplural] = ACTIONS(7387),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7387),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7387),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHglsname] = ACTIONS(7387),
    [anon_sym_BSLASHGlsname] = ACTIONS(7387),
    [anon_sym_BSLASHGLSname] = ACTIONS(7387),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7387),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7387),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7387),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7387),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7387),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7387),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7387),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7387),
    [anon_sym_BSLASHacrshort] = ACTIONS(7387),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7387),
    [anon_sym_BSLASHACRshort] = ACTIONS(7387),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHacrlong] = ACTIONS(7387),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7387),
    [anon_sym_BSLASHACRlong] = ACTIONS(7387),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHacrfull] = ACTIONS(7387),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7387),
    [anon_sym_BSLASHACRfull] = ACTIONS(7387),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHacs] = ACTIONS(7387),
    [anon_sym_BSLASHAcs] = ACTIONS(7387),
    [anon_sym_BSLASHacsp] = ACTIONS(7387),
    [anon_sym_BSLASHAcsp] = ACTIONS(7387),
    [anon_sym_BSLASHacl] = ACTIONS(7387),
    [anon_sym_BSLASHAcl] = ACTIONS(7387),
    [anon_sym_BSLASHaclp] = ACTIONS(7387),
    [anon_sym_BSLASHAclp] = ACTIONS(7387),
    [anon_sym_BSLASHacf] = ACTIONS(7387),
    [anon_sym_BSLASHAcf] = ACTIONS(7387),
    [anon_sym_BSLASHacfp] = ACTIONS(7387),
    [anon_sym_BSLASHAcfp] = ACTIONS(7387),
    [anon_sym_BSLASHac] = ACTIONS(7387),
    [anon_sym_BSLASHAc] = ACTIONS(7387),
    [anon_sym_BSLASHacp] = ACTIONS(7387),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7387),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7387),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7387),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7387),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7387),
    [anon_sym_BSLASHcolor] = ACTIONS(7387),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7387),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7387),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7387),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7387),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7387),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7387),
    [anon_sym_BSLASHurl] = ACTIONS(7387),
    [anon_sym_BSLASHhref] = ACTIONS(7387),
  },
  [2199] = {
    [sym_command_name] = ACTIONS(7295),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7295),
    [anon_sym_LPAREN] = ACTIONS(7297),
    [anon_sym_RPAREN] = ACTIONS(7297),
    [anon_sym_LBRACE] = ACTIONS(7297),
    [anon_sym_RBRACE] = ACTIONS(7297),
    [anon_sym_BSLASHand] = ACTIONS(7295),
    [sym_word] = ACTIONS(7295),
    [sym_placeholder] = ACTIONS(7297),
    [sym_delimiter] = ACTIONS(7297),
    [anon_sym_PLUS] = ACTIONS(7297),
    [anon_sym_DASH] = ACTIONS(7297),
    [anon_sym_STAR] = ACTIONS(7297),
    [anon_sym_SLASH] = ACTIONS(7297),
    [anon_sym_LT] = ACTIONS(7295),
    [anon_sym_GT] = ACTIONS(7295),
    [anon_sym_BANG] = ACTIONS(7295),
    [anon_sym_PIPE] = ACTIONS(7295),
    [anon_sym_COLON] = ACTIONS(7295),
    [anon_sym_SQUOTE] = ACTIONS(7295),
    [anon_sym__] = ACTIONS(7297),
    [anon_sym_CARET] = ACTIONS(7297),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7297),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7297),
    [anon_sym_DOLLAR] = ACTIONS(7295),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7297),
    [anon_sym_BSLASHleft] = ACTIONS(7295),
    [anon_sym_BSLASHbigl] = ACTIONS(7295),
    [anon_sym_BSLASHBigl] = ACTIONS(7295),
    [anon_sym_BSLASHbiggl] = ACTIONS(7295),
    [anon_sym_BSLASHBiggl] = ACTIONS(7295),
    [anon_sym_BSLASHtext] = ACTIONS(7295),
    [anon_sym_BSLASHintertext] = ACTIONS(7295),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7295),
    [anon_sym_BSLASHtitle] = ACTIONS(7295),
    [anon_sym_BSLASHauthor] = ACTIONS(7295),
    [anon_sym_BSLASHusepackage] = ACTIONS(7295),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7295),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7295),
    [anon_sym_BSLASHinclude] = ACTIONS(7295),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7295),
    [anon_sym_BSLASHinput] = ACTIONS(7295),
    [anon_sym_BSLASHsubfile] = ACTIONS(7295),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7295),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7295),
    [anon_sym_BSLASHbibliography] = ACTIONS(7295),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7295),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7295),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7295),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7295),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7295),
    [anon_sym_BSLASHimport] = ACTIONS(7295),
    [anon_sym_BSLASHsubimport] = ACTIONS(7295),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7295),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7295),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7295),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7295),
    [anon_sym_BSLASHcaption] = ACTIONS(7295),
    [anon_sym_BSLASHcite] = ACTIONS(7295),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCite] = ACTIONS(7295),
    [anon_sym_BSLASHnocite] = ACTIONS(7295),
    [anon_sym_BSLASHcitet] = ACTIONS(7295),
    [anon_sym_BSLASHcitep] = ACTIONS(7295),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteA] = ACTIONS(7295),
    [anon_sym_BSLASHciteR] = ACTIONS(7295),
    [anon_sym_BSLASHciteS] = ACTIONS(7295),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7295),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7295),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7295),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7295),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteyear] = ACTIONS(7295),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitedate] = ACTIONS(7295),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteurl] = ACTIONS(7295),
    [anon_sym_BSLASHfullcite] = ACTIONS(7295),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7295),
    [anon_sym_BSLASHcitealt] = ACTIONS(7295),
    [anon_sym_BSLASHcitealp] = ACTIONS(7295),
    [anon_sym_BSLASHcitetext] = ACTIONS(7295),
    [anon_sym_BSLASHparencite] = ACTIONS(7295),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHParencite] = ACTIONS(7295),
    [anon_sym_BSLASHfootcite] = ACTIONS(7295),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7295),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7295),
    [anon_sym_BSLASHtextcite] = ACTIONS(7295),
    [anon_sym_BSLASHTextcite] = ACTIONS(7295),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7295),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7295),
    [anon_sym_BSLASHsupercite] = ACTIONS(7295),
    [anon_sym_BSLASHautocite] = ACTIONS(7295),
    [anon_sym_BSLASHAutocite] = ACTIONS(7295),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHVolcite] = ACTIONS(7295),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHavolcite] = ACTIONS(7295),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHNotecite] = ACTIONS(7295),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHlabel] = ACTIONS(7295),
    [anon_sym_BSLASHref] = ACTIONS(7295),
    [anon_sym_BSLASHeqref] = ACTIONS(7295),
    [anon_sym_BSLASHvref] = ACTIONS(7295),
    [anon_sym_BSLASHVref] = ACTIONS(7295),
    [anon_sym_BSLASHautoref] = ACTIONS(7295),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHpageref] = ACTIONS(7295),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHautopageref] = ACTIONS(7295),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcref] = ACTIONS(7295),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCref] = ACTIONS(7295),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcpageref] = ACTIONS(7295),
    [anon_sym_BSLASHCpageref] = ACTIONS(7295),
    [anon_sym_BSLASHnamecref] = ACTIONS(7295),
    [anon_sym_BSLASHnameCref] = ACTIONS(7295),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7295),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7295),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7295),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7295),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7295),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7295),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7295),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7295),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7295),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7295),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7295),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHdef] = ACTIONS(7295),
    [anon_sym_BSLASHgdef] = ACTIONS(7295),
    [anon_sym_BSLASHedef] = ACTIONS(7295),
    [anon_sym_BSLASHxdef] = ACTIONS(7295),
    [anon_sym_BSLASHlet] = ACTIONS(7295),
    [anon_sym_BSLASHglet] = ACTIONS(7295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7295),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7295),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7295),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7295),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7295),
    [anon_sym_BSLASHgls] = ACTIONS(7295),
    [anon_sym_BSLASHGls] = ACTIONS(7295),
    [anon_sym_BSLASHGLS] = ACTIONS(7295),
    [anon_sym_BSLASHglspl] = ACTIONS(7295),
    [anon_sym_BSLASHGlspl] = ACTIONS(7295),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7295),
    [anon_sym_BSLASHglslink] = ACTIONS(7295),
    [anon_sym_BSLASHglstext] = ACTIONS(7295),
    [anon_sym_BSLASHGlstext] = ACTIONS(7295),
    [anon_sym_BSLASHGLStext] = ACTIONS(7295),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7295),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7295),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7295),
    [anon_sym_BSLASHglsplural] = ACTIONS(7295),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7295),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7295),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHglsname] = ACTIONS(7295),
    [anon_sym_BSLASHGlsname] = ACTIONS(7295),
    [anon_sym_BSLASHGLSname] = ACTIONS(7295),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7295),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7295),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7295),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7295),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7295),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7295),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7295),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7295),
    [anon_sym_BSLASHacrshort] = ACTIONS(7295),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7295),
    [anon_sym_BSLASHACRshort] = ACTIONS(7295),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHacrlong] = ACTIONS(7295),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7295),
    [anon_sym_BSLASHACRlong] = ACTIONS(7295),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHacrfull] = ACTIONS(7295),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7295),
    [anon_sym_BSLASHACRfull] = ACTIONS(7295),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHacs] = ACTIONS(7295),
    [anon_sym_BSLASHAcs] = ACTIONS(7295),
    [anon_sym_BSLASHacsp] = ACTIONS(7295),
    [anon_sym_BSLASHAcsp] = ACTIONS(7295),
    [anon_sym_BSLASHacl] = ACTIONS(7295),
    [anon_sym_BSLASHAcl] = ACTIONS(7295),
    [anon_sym_BSLASHaclp] = ACTIONS(7295),
    [anon_sym_BSLASHAclp] = ACTIONS(7295),
    [anon_sym_BSLASHacf] = ACTIONS(7295),
    [anon_sym_BSLASHAcf] = ACTIONS(7295),
    [anon_sym_BSLASHacfp] = ACTIONS(7295),
    [anon_sym_BSLASHAcfp] = ACTIONS(7295),
    [anon_sym_BSLASHac] = ACTIONS(7295),
    [anon_sym_BSLASHAc] = ACTIONS(7295),
    [anon_sym_BSLASHacp] = ACTIONS(7295),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7295),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7295),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7295),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7295),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7295),
    [anon_sym_BSLASHcolor] = ACTIONS(7295),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7295),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7295),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7295),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7295),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7295),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7295),
    [anon_sym_BSLASHurl] = ACTIONS(7295),
    [anon_sym_BSLASHhref] = ACTIONS(7295),
  },
  [2200] = {
    [sym_command_name] = ACTIONS(7299),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7299),
    [anon_sym_LPAREN] = ACTIONS(7301),
    [anon_sym_RPAREN] = ACTIONS(7301),
    [anon_sym_LBRACE] = ACTIONS(7301),
    [anon_sym_RBRACE] = ACTIONS(7301),
    [anon_sym_BSLASHand] = ACTIONS(7299),
    [sym_word] = ACTIONS(7299),
    [sym_placeholder] = ACTIONS(7301),
    [sym_delimiter] = ACTIONS(7301),
    [anon_sym_PLUS] = ACTIONS(7301),
    [anon_sym_DASH] = ACTIONS(7301),
    [anon_sym_STAR] = ACTIONS(7301),
    [anon_sym_SLASH] = ACTIONS(7301),
    [anon_sym_LT] = ACTIONS(7299),
    [anon_sym_GT] = ACTIONS(7299),
    [anon_sym_BANG] = ACTIONS(7299),
    [anon_sym_PIPE] = ACTIONS(7299),
    [anon_sym_COLON] = ACTIONS(7299),
    [anon_sym_SQUOTE] = ACTIONS(7299),
    [anon_sym__] = ACTIONS(7301),
    [anon_sym_CARET] = ACTIONS(7301),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7301),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7301),
    [anon_sym_DOLLAR] = ACTIONS(7299),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7301),
    [anon_sym_BSLASHleft] = ACTIONS(7299),
    [anon_sym_BSLASHbigl] = ACTIONS(7299),
    [anon_sym_BSLASHBigl] = ACTIONS(7299),
    [anon_sym_BSLASHbiggl] = ACTIONS(7299),
    [anon_sym_BSLASHBiggl] = ACTIONS(7299),
    [anon_sym_BSLASHtext] = ACTIONS(7299),
    [anon_sym_BSLASHintertext] = ACTIONS(7299),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7299),
    [anon_sym_BSLASHtitle] = ACTIONS(7299),
    [anon_sym_BSLASHauthor] = ACTIONS(7299),
    [anon_sym_BSLASHusepackage] = ACTIONS(7299),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7299),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7299),
    [anon_sym_BSLASHinclude] = ACTIONS(7299),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7299),
    [anon_sym_BSLASHinput] = ACTIONS(7299),
    [anon_sym_BSLASHsubfile] = ACTIONS(7299),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7299),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7299),
    [anon_sym_BSLASHbibliography] = ACTIONS(7299),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7299),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7299),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7299),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7299),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7299),
    [anon_sym_BSLASHimport] = ACTIONS(7299),
    [anon_sym_BSLASHsubimport] = ACTIONS(7299),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7299),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7299),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7299),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7299),
    [anon_sym_BSLASHcaption] = ACTIONS(7299),
    [anon_sym_BSLASHcite] = ACTIONS(7299),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCite] = ACTIONS(7299),
    [anon_sym_BSLASHnocite] = ACTIONS(7299),
    [anon_sym_BSLASHcitet] = ACTIONS(7299),
    [anon_sym_BSLASHcitep] = ACTIONS(7299),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteA] = ACTIONS(7299),
    [anon_sym_BSLASHciteR] = ACTIONS(7299),
    [anon_sym_BSLASHciteS] = ACTIONS(7299),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7299),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7299),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7299),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7299),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteyear] = ACTIONS(7299),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitedate] = ACTIONS(7299),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteurl] = ACTIONS(7299),
    [anon_sym_BSLASHfullcite] = ACTIONS(7299),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7299),
    [anon_sym_BSLASHcitealt] = ACTIONS(7299),
    [anon_sym_BSLASHcitealp] = ACTIONS(7299),
    [anon_sym_BSLASHcitetext] = ACTIONS(7299),
    [anon_sym_BSLASHparencite] = ACTIONS(7299),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHParencite] = ACTIONS(7299),
    [anon_sym_BSLASHfootcite] = ACTIONS(7299),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7299),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7299),
    [anon_sym_BSLASHtextcite] = ACTIONS(7299),
    [anon_sym_BSLASHTextcite] = ACTIONS(7299),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7299),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7299),
    [anon_sym_BSLASHsupercite] = ACTIONS(7299),
    [anon_sym_BSLASHautocite] = ACTIONS(7299),
    [anon_sym_BSLASHAutocite] = ACTIONS(7299),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHVolcite] = ACTIONS(7299),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHavolcite] = ACTIONS(7299),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHNotecite] = ACTIONS(7299),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHlabel] = ACTIONS(7299),
    [anon_sym_BSLASHref] = ACTIONS(7299),
    [anon_sym_BSLASHeqref] = ACTIONS(7299),
    [anon_sym_BSLASHvref] = ACTIONS(7299),
    [anon_sym_BSLASHVref] = ACTIONS(7299),
    [anon_sym_BSLASHautoref] = ACTIONS(7299),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHpageref] = ACTIONS(7299),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHautopageref] = ACTIONS(7299),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcref] = ACTIONS(7299),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCref] = ACTIONS(7299),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcpageref] = ACTIONS(7299),
    [anon_sym_BSLASHCpageref] = ACTIONS(7299),
    [anon_sym_BSLASHnamecref] = ACTIONS(7299),
    [anon_sym_BSLASHnameCref] = ACTIONS(7299),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7299),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7299),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7299),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7299),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7299),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7299),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7299),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7299),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7299),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7299),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7299),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHdef] = ACTIONS(7299),
    [anon_sym_BSLASHgdef] = ACTIONS(7299),
    [anon_sym_BSLASHedef] = ACTIONS(7299),
    [anon_sym_BSLASHxdef] = ACTIONS(7299),
    [anon_sym_BSLASHlet] = ACTIONS(7299),
    [anon_sym_BSLASHglet] = ACTIONS(7299),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7299),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7299),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7299),
    [anon_sym_BSLASHgls] = ACTIONS(7299),
    [anon_sym_BSLASHGls] = ACTIONS(7299),
    [anon_sym_BSLASHGLS] = ACTIONS(7299),
    [anon_sym_BSLASHglspl] = ACTIONS(7299),
    [anon_sym_BSLASHGlspl] = ACTIONS(7299),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7299),
    [anon_sym_BSLASHglslink] = ACTIONS(7299),
    [anon_sym_BSLASHglstext] = ACTIONS(7299),
    [anon_sym_BSLASHGlstext] = ACTIONS(7299),
    [anon_sym_BSLASHGLStext] = ACTIONS(7299),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7299),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7299),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7299),
    [anon_sym_BSLASHglsplural] = ACTIONS(7299),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7299),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7299),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHglsname] = ACTIONS(7299),
    [anon_sym_BSLASHGlsname] = ACTIONS(7299),
    [anon_sym_BSLASHGLSname] = ACTIONS(7299),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7299),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7299),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7299),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7299),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7299),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7299),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7299),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7299),
    [anon_sym_BSLASHacrshort] = ACTIONS(7299),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7299),
    [anon_sym_BSLASHACRshort] = ACTIONS(7299),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHacrlong] = ACTIONS(7299),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7299),
    [anon_sym_BSLASHACRlong] = ACTIONS(7299),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHacrfull] = ACTIONS(7299),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7299),
    [anon_sym_BSLASHACRfull] = ACTIONS(7299),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHacs] = ACTIONS(7299),
    [anon_sym_BSLASHAcs] = ACTIONS(7299),
    [anon_sym_BSLASHacsp] = ACTIONS(7299),
    [anon_sym_BSLASHAcsp] = ACTIONS(7299),
    [anon_sym_BSLASHacl] = ACTIONS(7299),
    [anon_sym_BSLASHAcl] = ACTIONS(7299),
    [anon_sym_BSLASHaclp] = ACTIONS(7299),
    [anon_sym_BSLASHAclp] = ACTIONS(7299),
    [anon_sym_BSLASHacf] = ACTIONS(7299),
    [anon_sym_BSLASHAcf] = ACTIONS(7299),
    [anon_sym_BSLASHacfp] = ACTIONS(7299),
    [anon_sym_BSLASHAcfp] = ACTIONS(7299),
    [anon_sym_BSLASHac] = ACTIONS(7299),
    [anon_sym_BSLASHAc] = ACTIONS(7299),
    [anon_sym_BSLASHacp] = ACTIONS(7299),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7299),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7299),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7299),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7299),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7299),
    [anon_sym_BSLASHcolor] = ACTIONS(7299),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7299),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7299),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7299),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7299),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7299),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7299),
    [anon_sym_BSLASHurl] = ACTIONS(7299),
    [anon_sym_BSLASHhref] = ACTIONS(7299),
  },
  [2201] = {
    [sym_command_name] = ACTIONS(7303),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7303),
    [anon_sym_LPAREN] = ACTIONS(7305),
    [anon_sym_RPAREN] = ACTIONS(7305),
    [anon_sym_LBRACE] = ACTIONS(7305),
    [anon_sym_RBRACE] = ACTIONS(7305),
    [anon_sym_BSLASHand] = ACTIONS(7303),
    [sym_word] = ACTIONS(7303),
    [sym_placeholder] = ACTIONS(7305),
    [sym_delimiter] = ACTIONS(7305),
    [anon_sym_PLUS] = ACTIONS(7305),
    [anon_sym_DASH] = ACTIONS(7305),
    [anon_sym_STAR] = ACTIONS(7305),
    [anon_sym_SLASH] = ACTIONS(7305),
    [anon_sym_LT] = ACTIONS(7303),
    [anon_sym_GT] = ACTIONS(7303),
    [anon_sym_BANG] = ACTIONS(7303),
    [anon_sym_PIPE] = ACTIONS(7303),
    [anon_sym_COLON] = ACTIONS(7303),
    [anon_sym_SQUOTE] = ACTIONS(7303),
    [anon_sym__] = ACTIONS(7305),
    [anon_sym_CARET] = ACTIONS(7305),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7305),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7305),
    [anon_sym_DOLLAR] = ACTIONS(7303),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7305),
    [anon_sym_BSLASHleft] = ACTIONS(7303),
    [anon_sym_BSLASHbigl] = ACTIONS(7303),
    [anon_sym_BSLASHBigl] = ACTIONS(7303),
    [anon_sym_BSLASHbiggl] = ACTIONS(7303),
    [anon_sym_BSLASHBiggl] = ACTIONS(7303),
    [anon_sym_BSLASHtext] = ACTIONS(7303),
    [anon_sym_BSLASHintertext] = ACTIONS(7303),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7303),
    [anon_sym_BSLASHtitle] = ACTIONS(7303),
    [anon_sym_BSLASHauthor] = ACTIONS(7303),
    [anon_sym_BSLASHusepackage] = ACTIONS(7303),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7303),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7303),
    [anon_sym_BSLASHinclude] = ACTIONS(7303),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7303),
    [anon_sym_BSLASHinput] = ACTIONS(7303),
    [anon_sym_BSLASHsubfile] = ACTIONS(7303),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7303),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7303),
    [anon_sym_BSLASHbibliography] = ACTIONS(7303),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7303),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7303),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7303),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7303),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7303),
    [anon_sym_BSLASHimport] = ACTIONS(7303),
    [anon_sym_BSLASHsubimport] = ACTIONS(7303),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7303),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7303),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7303),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7303),
    [anon_sym_BSLASHcaption] = ACTIONS(7303),
    [anon_sym_BSLASHcite] = ACTIONS(7303),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCite] = ACTIONS(7303),
    [anon_sym_BSLASHnocite] = ACTIONS(7303),
    [anon_sym_BSLASHcitet] = ACTIONS(7303),
    [anon_sym_BSLASHcitep] = ACTIONS(7303),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteA] = ACTIONS(7303),
    [anon_sym_BSLASHciteR] = ACTIONS(7303),
    [anon_sym_BSLASHciteS] = ACTIONS(7303),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7303),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7303),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7303),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7303),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteyear] = ACTIONS(7303),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitedate] = ACTIONS(7303),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteurl] = ACTIONS(7303),
    [anon_sym_BSLASHfullcite] = ACTIONS(7303),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7303),
    [anon_sym_BSLASHcitealt] = ACTIONS(7303),
    [anon_sym_BSLASHcitealp] = ACTIONS(7303),
    [anon_sym_BSLASHcitetext] = ACTIONS(7303),
    [anon_sym_BSLASHparencite] = ACTIONS(7303),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHParencite] = ACTIONS(7303),
    [anon_sym_BSLASHfootcite] = ACTIONS(7303),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7303),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7303),
    [anon_sym_BSLASHtextcite] = ACTIONS(7303),
    [anon_sym_BSLASHTextcite] = ACTIONS(7303),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7303),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7303),
    [anon_sym_BSLASHsupercite] = ACTIONS(7303),
    [anon_sym_BSLASHautocite] = ACTIONS(7303),
    [anon_sym_BSLASHAutocite] = ACTIONS(7303),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHVolcite] = ACTIONS(7303),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHavolcite] = ACTIONS(7303),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHNotecite] = ACTIONS(7303),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHlabel] = ACTIONS(7303),
    [anon_sym_BSLASHref] = ACTIONS(7303),
    [anon_sym_BSLASHeqref] = ACTIONS(7303),
    [anon_sym_BSLASHvref] = ACTIONS(7303),
    [anon_sym_BSLASHVref] = ACTIONS(7303),
    [anon_sym_BSLASHautoref] = ACTIONS(7303),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHpageref] = ACTIONS(7303),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHautopageref] = ACTIONS(7303),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcref] = ACTIONS(7303),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCref] = ACTIONS(7303),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcpageref] = ACTIONS(7303),
    [anon_sym_BSLASHCpageref] = ACTIONS(7303),
    [anon_sym_BSLASHnamecref] = ACTIONS(7303),
    [anon_sym_BSLASHnameCref] = ACTIONS(7303),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7303),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7303),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7303),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7303),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7303),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7303),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7303),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7303),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7303),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7303),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7303),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHdef] = ACTIONS(7303),
    [anon_sym_BSLASHgdef] = ACTIONS(7303),
    [anon_sym_BSLASHedef] = ACTIONS(7303),
    [anon_sym_BSLASHxdef] = ACTIONS(7303),
    [anon_sym_BSLASHlet] = ACTIONS(7303),
    [anon_sym_BSLASHglet] = ACTIONS(7303),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7303),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7303),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7303),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7303),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7303),
    [anon_sym_BSLASHgls] = ACTIONS(7303),
    [anon_sym_BSLASHGls] = ACTIONS(7303),
    [anon_sym_BSLASHGLS] = ACTIONS(7303),
    [anon_sym_BSLASHglspl] = ACTIONS(7303),
    [anon_sym_BSLASHGlspl] = ACTIONS(7303),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7303),
    [anon_sym_BSLASHglslink] = ACTIONS(7303),
    [anon_sym_BSLASHglstext] = ACTIONS(7303),
    [anon_sym_BSLASHGlstext] = ACTIONS(7303),
    [anon_sym_BSLASHGLStext] = ACTIONS(7303),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7303),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7303),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7303),
    [anon_sym_BSLASHglsplural] = ACTIONS(7303),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7303),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7303),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHglsname] = ACTIONS(7303),
    [anon_sym_BSLASHGlsname] = ACTIONS(7303),
    [anon_sym_BSLASHGLSname] = ACTIONS(7303),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7303),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7303),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7303),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7303),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7303),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7303),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7303),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7303),
    [anon_sym_BSLASHacrshort] = ACTIONS(7303),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7303),
    [anon_sym_BSLASHACRshort] = ACTIONS(7303),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHacrlong] = ACTIONS(7303),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7303),
    [anon_sym_BSLASHACRlong] = ACTIONS(7303),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHacrfull] = ACTIONS(7303),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7303),
    [anon_sym_BSLASHACRfull] = ACTIONS(7303),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHacs] = ACTIONS(7303),
    [anon_sym_BSLASHAcs] = ACTIONS(7303),
    [anon_sym_BSLASHacsp] = ACTIONS(7303),
    [anon_sym_BSLASHAcsp] = ACTIONS(7303),
    [anon_sym_BSLASHacl] = ACTIONS(7303),
    [anon_sym_BSLASHAcl] = ACTIONS(7303),
    [anon_sym_BSLASHaclp] = ACTIONS(7303),
    [anon_sym_BSLASHAclp] = ACTIONS(7303),
    [anon_sym_BSLASHacf] = ACTIONS(7303),
    [anon_sym_BSLASHAcf] = ACTIONS(7303),
    [anon_sym_BSLASHacfp] = ACTIONS(7303),
    [anon_sym_BSLASHAcfp] = ACTIONS(7303),
    [anon_sym_BSLASHac] = ACTIONS(7303),
    [anon_sym_BSLASHAc] = ACTIONS(7303),
    [anon_sym_BSLASHacp] = ACTIONS(7303),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7303),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7303),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7303),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7303),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7303),
    [anon_sym_BSLASHcolor] = ACTIONS(7303),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7303),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7303),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7303),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7303),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7303),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7303),
    [anon_sym_BSLASHurl] = ACTIONS(7303),
    [anon_sym_BSLASHhref] = ACTIONS(7303),
  },
  [2202] = {
    [sym_command_name] = ACTIONS(157),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(159),
    [anon_sym_RPAREN] = ACTIONS(159),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_RBRACE] = ACTIONS(159),
    [anon_sym_BSLASHand] = ACTIONS(157),
    [sym_word] = ACTIONS(157),
    [sym_placeholder] = ACTIONS(159),
    [sym_delimiter] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(159),
    [anon_sym_SLASH] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(157),
    [anon_sym_GT] = ACTIONS(157),
    [anon_sym_BANG] = ACTIONS(157),
    [anon_sym_PIPE] = ACTIONS(157),
    [anon_sym_COLON] = ACTIONS(157),
    [anon_sym_SQUOTE] = ACTIONS(157),
    [anon_sym__] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(159),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(159),
    [anon_sym_DOLLAR] = ACTIONS(157),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(159),
    [anon_sym_BSLASHleft] = ACTIONS(157),
    [anon_sym_BSLASHbigl] = ACTIONS(157),
    [anon_sym_BSLASHBigl] = ACTIONS(157),
    [anon_sym_BSLASHbiggl] = ACTIONS(157),
    [anon_sym_BSLASHBiggl] = ACTIONS(157),
    [anon_sym_BSLASHtext] = ACTIONS(157),
    [anon_sym_BSLASHintertext] = ACTIONS(157),
    [anon_sym_BSLASHshortintertext] = ACTIONS(157),
    [anon_sym_BSLASHtitle] = ACTIONS(157),
    [anon_sym_BSLASHauthor] = ACTIONS(157),
    [anon_sym_BSLASHusepackage] = ACTIONS(157),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(157),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(157),
    [anon_sym_BSLASHinclude] = ACTIONS(157),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(157),
    [anon_sym_BSLASHinput] = ACTIONS(157),
    [anon_sym_BSLASHsubfile] = ACTIONS(157),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(157),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(157),
    [anon_sym_BSLASHbibliography] = ACTIONS(157),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(157),
    [anon_sym_BSLASHincludesvg] = ACTIONS(157),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(157),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(157),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(157),
    [anon_sym_BSLASHimport] = ACTIONS(157),
    [anon_sym_BSLASHsubimport] = ACTIONS(157),
    [anon_sym_BSLASHinputfrom] = ACTIONS(157),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(157),
    [anon_sym_BSLASHincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(157),
    [anon_sym_BSLASHcaption] = ACTIONS(157),
    [anon_sym_BSLASHcite] = ACTIONS(157),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCite] = ACTIONS(157),
    [anon_sym_BSLASHnocite] = ACTIONS(157),
    [anon_sym_BSLASHcitet] = ACTIONS(157),
    [anon_sym_BSLASHcitep] = ACTIONS(157),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteA] = ACTIONS(157),
    [anon_sym_BSLASHciteR] = ACTIONS(157),
    [anon_sym_BSLASHciteS] = ACTIONS(157),
    [anon_sym_BSLASHciteyearR] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor] = ACTIONS(157),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(157),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitetitle] = ACTIONS(157),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteyear] = ACTIONS(157),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcitedate] = ACTIONS(157),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(159),
    [anon_sym_BSLASHciteurl] = ACTIONS(157),
    [anon_sym_BSLASHfullcite] = ACTIONS(157),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(157),
    [anon_sym_BSLASHcitealt] = ACTIONS(157),
    [anon_sym_BSLASHcitealp] = ACTIONS(157),
    [anon_sym_BSLASHcitetext] = ACTIONS(157),
    [anon_sym_BSLASHparencite] = ACTIONS(157),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHParencite] = ACTIONS(157),
    [anon_sym_BSLASHfootcite] = ACTIONS(157),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(157),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(157),
    [anon_sym_BSLASHtextcite] = ACTIONS(157),
    [anon_sym_BSLASHTextcite] = ACTIONS(157),
    [anon_sym_BSLASHsmartcite] = ACTIONS(157),
    [anon_sym_BSLASHSmartcite] = ACTIONS(157),
    [anon_sym_BSLASHsupercite] = ACTIONS(157),
    [anon_sym_BSLASHautocite] = ACTIONS(157),
    [anon_sym_BSLASHAutocite] = ACTIONS(157),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(159),
    [anon_sym_BSLASHvolcite] = ACTIONS(157),
    [anon_sym_BSLASHVolcite] = ACTIONS(157),
    [anon_sym_BSLASHpvolcite] = ACTIONS(157),
    [anon_sym_BSLASHPvolcite] = ACTIONS(157),
    [anon_sym_BSLASHfvolcite] = ACTIONS(157),
    [anon_sym_BSLASHftvolcite] = ACTIONS(157),
    [anon_sym_BSLASHsvolcite] = ACTIONS(157),
    [anon_sym_BSLASHSvolcite] = ACTIONS(157),
    [anon_sym_BSLASHtvolcite] = ACTIONS(157),
    [anon_sym_BSLASHTvolcite] = ACTIONS(157),
    [anon_sym_BSLASHavolcite] = ACTIONS(157),
    [anon_sym_BSLASHAvolcite] = ACTIONS(157),
    [anon_sym_BSLASHnotecite] = ACTIONS(157),
    [anon_sym_BSLASHNotecite] = ACTIONS(157),
    [anon_sym_BSLASHpnotecite] = ACTIONS(157),
    [anon_sym_BSLASHPnotecite] = ACTIONS(157),
    [anon_sym_BSLASHfnotecite] = ACTIONS(157),
    [anon_sym_BSLASHlabel] = ACTIONS(157),
    [anon_sym_BSLASHref] = ACTIONS(157),
    [anon_sym_BSLASHeqref] = ACTIONS(157),
    [anon_sym_BSLASHvref] = ACTIONS(157),
    [anon_sym_BSLASHVref] = ACTIONS(157),
    [anon_sym_BSLASHautoref] = ACTIONS(157),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHpageref] = ACTIONS(157),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHautopageref] = ACTIONS(157),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcref] = ACTIONS(157),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCref] = ACTIONS(157),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpageref] = ACTIONS(157),
    [anon_sym_BSLASHCpageref] = ACTIONS(157),
    [anon_sym_BSLASHnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnameCref] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(157),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(157),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(157),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcrefrange] = ACTIONS(157),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHCrefrange] = ACTIONS(157),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(159),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(157),
    [anon_sym_BSLASHnewlabel] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand] = ACTIONS(157),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(157),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(157),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(159),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(157),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(159),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(157),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(157),
    [anon_sym_BSLASHdef] = ACTIONS(157),
    [anon_sym_BSLASHgdef] = ACTIONS(157),
    [anon_sym_BSLASHedef] = ACTIONS(157),
    [anon_sym_BSLASHxdef] = ACTIONS(157),
    [anon_sym_BSLASHlet] = ACTIONS(157),
    [anon_sym_BSLASHglet] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(157),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(157),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(157),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(157),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(157),
    [anon_sym_BSLASHgls] = ACTIONS(157),
    [anon_sym_BSLASHGls] = ACTIONS(157),
    [anon_sym_BSLASHGLS] = ACTIONS(157),
    [anon_sym_BSLASHglspl] = ACTIONS(157),
    [anon_sym_BSLASHGlspl] = ACTIONS(157),
    [anon_sym_BSLASHGLSpl] = ACTIONS(157),
    [anon_sym_BSLASHglsdisp] = ACTIONS(157),
    [anon_sym_BSLASHglslink] = ACTIONS(157),
    [anon_sym_BSLASHglstext] = ACTIONS(157),
    [anon_sym_BSLASHGlstext] = ACTIONS(157),
    [anon_sym_BSLASHGLStext] = ACTIONS(157),
    [anon_sym_BSLASHglsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(157),
    [anon_sym_BSLASHglsplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSplural] = ACTIONS(157),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(157),
    [anon_sym_BSLASHglsname] = ACTIONS(157),
    [anon_sym_BSLASHGlsname] = ACTIONS(157),
    [anon_sym_BSLASHGLSname] = ACTIONS(157),
    [anon_sym_BSLASHglssymbol] = ACTIONS(157),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(157),
    [anon_sym_BSLASHglsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(157),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(157),
    [anon_sym_BSLASHglsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(157),
    [anon_sym_BSLASHglsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(157),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(157),
    [anon_sym_BSLASHglsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(157),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(157),
    [anon_sym_BSLASHglsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(157),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(157),
    [anon_sym_BSLASHnewacronym] = ACTIONS(157),
    [anon_sym_BSLASHacrshort] = ACTIONS(157),
    [anon_sym_BSLASHAcrshort] = ACTIONS(157),
    [anon_sym_BSLASHACRshort] = ACTIONS(157),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(157),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(157),
    [anon_sym_BSLASHacrlong] = ACTIONS(157),
    [anon_sym_BSLASHAcrlong] = ACTIONS(157),
    [anon_sym_BSLASHACRlong] = ACTIONS(157),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(157),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(157),
    [anon_sym_BSLASHacrfull] = ACTIONS(157),
    [anon_sym_BSLASHAcrfull] = ACTIONS(157),
    [anon_sym_BSLASHACRfull] = ACTIONS(157),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(157),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(157),
    [anon_sym_BSLASHacs] = ACTIONS(157),
    [anon_sym_BSLASHAcs] = ACTIONS(157),
    [anon_sym_BSLASHacsp] = ACTIONS(157),
    [anon_sym_BSLASHAcsp] = ACTIONS(157),
    [anon_sym_BSLASHacl] = ACTIONS(157),
    [anon_sym_BSLASHAcl] = ACTIONS(157),
    [anon_sym_BSLASHaclp] = ACTIONS(157),
    [anon_sym_BSLASHAclp] = ACTIONS(157),
    [anon_sym_BSLASHacf] = ACTIONS(157),
    [anon_sym_BSLASHAcf] = ACTIONS(157),
    [anon_sym_BSLASHacfp] = ACTIONS(157),
    [anon_sym_BSLASHAcfp] = ACTIONS(157),
    [anon_sym_BSLASHac] = ACTIONS(157),
    [anon_sym_BSLASHAc] = ACTIONS(157),
    [anon_sym_BSLASHacp] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(157),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(157),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(157),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(157),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(157),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(159),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(157),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(157),
    [anon_sym_BSLASHcolor] = ACTIONS(157),
    [anon_sym_BSLASHpagecolor] = ACTIONS(157),
    [anon_sym_BSLASHtextcolor] = ACTIONS(157),
    [anon_sym_BSLASHmathcolor] = ACTIONS(157),
    [anon_sym_BSLASHcolorbox] = ACTIONS(157),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(157),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(157),
    [anon_sym_BSLASHurl] = ACTIONS(157),
    [anon_sym_BSLASHhref] = ACTIONS(157),
  },
  [2203] = {
    [sym_command_name] = ACTIONS(7307),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7307),
    [anon_sym_LPAREN] = ACTIONS(7309),
    [anon_sym_RPAREN] = ACTIONS(7309),
    [anon_sym_LBRACE] = ACTIONS(7309),
    [anon_sym_RBRACE] = ACTIONS(7309),
    [anon_sym_BSLASHand] = ACTIONS(7307),
    [sym_word] = ACTIONS(7307),
    [sym_placeholder] = ACTIONS(7309),
    [sym_delimiter] = ACTIONS(7309),
    [anon_sym_PLUS] = ACTIONS(7309),
    [anon_sym_DASH] = ACTIONS(7309),
    [anon_sym_STAR] = ACTIONS(7309),
    [anon_sym_SLASH] = ACTIONS(7309),
    [anon_sym_LT] = ACTIONS(7307),
    [anon_sym_GT] = ACTIONS(7307),
    [anon_sym_BANG] = ACTIONS(7307),
    [anon_sym_PIPE] = ACTIONS(7307),
    [anon_sym_COLON] = ACTIONS(7307),
    [anon_sym_SQUOTE] = ACTIONS(7307),
    [anon_sym__] = ACTIONS(7309),
    [anon_sym_CARET] = ACTIONS(7309),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7309),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7309),
    [anon_sym_DOLLAR] = ACTIONS(7307),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7309),
    [anon_sym_BSLASHleft] = ACTIONS(7307),
    [anon_sym_BSLASHbigl] = ACTIONS(7307),
    [anon_sym_BSLASHBigl] = ACTIONS(7307),
    [anon_sym_BSLASHbiggl] = ACTIONS(7307),
    [anon_sym_BSLASHBiggl] = ACTIONS(7307),
    [anon_sym_BSLASHtext] = ACTIONS(7307),
    [anon_sym_BSLASHintertext] = ACTIONS(7307),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7307),
    [anon_sym_BSLASHtitle] = ACTIONS(7307),
    [anon_sym_BSLASHauthor] = ACTIONS(7307),
    [anon_sym_BSLASHusepackage] = ACTIONS(7307),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7307),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7307),
    [anon_sym_BSLASHinclude] = ACTIONS(7307),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7307),
    [anon_sym_BSLASHinput] = ACTIONS(7307),
    [anon_sym_BSLASHsubfile] = ACTIONS(7307),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7307),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7307),
    [anon_sym_BSLASHbibliography] = ACTIONS(7307),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7307),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7307),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7307),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7307),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7307),
    [anon_sym_BSLASHimport] = ACTIONS(7307),
    [anon_sym_BSLASHsubimport] = ACTIONS(7307),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7307),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7307),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7307),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7307),
    [anon_sym_BSLASHcaption] = ACTIONS(7307),
    [anon_sym_BSLASHcite] = ACTIONS(7307),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCite] = ACTIONS(7307),
    [anon_sym_BSLASHnocite] = ACTIONS(7307),
    [anon_sym_BSLASHcitet] = ACTIONS(7307),
    [anon_sym_BSLASHcitep] = ACTIONS(7307),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteA] = ACTIONS(7307),
    [anon_sym_BSLASHciteR] = ACTIONS(7307),
    [anon_sym_BSLASHciteS] = ACTIONS(7307),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7307),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7307),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7307),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7307),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteyear] = ACTIONS(7307),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitedate] = ACTIONS(7307),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteurl] = ACTIONS(7307),
    [anon_sym_BSLASHfullcite] = ACTIONS(7307),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7307),
    [anon_sym_BSLASHcitealt] = ACTIONS(7307),
    [anon_sym_BSLASHcitealp] = ACTIONS(7307),
    [anon_sym_BSLASHcitetext] = ACTIONS(7307),
    [anon_sym_BSLASHparencite] = ACTIONS(7307),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHParencite] = ACTIONS(7307),
    [anon_sym_BSLASHfootcite] = ACTIONS(7307),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7307),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7307),
    [anon_sym_BSLASHtextcite] = ACTIONS(7307),
    [anon_sym_BSLASHTextcite] = ACTIONS(7307),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7307),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7307),
    [anon_sym_BSLASHsupercite] = ACTIONS(7307),
    [anon_sym_BSLASHautocite] = ACTIONS(7307),
    [anon_sym_BSLASHAutocite] = ACTIONS(7307),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHVolcite] = ACTIONS(7307),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHavolcite] = ACTIONS(7307),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHNotecite] = ACTIONS(7307),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHlabel] = ACTIONS(7307),
    [anon_sym_BSLASHref] = ACTIONS(7307),
    [anon_sym_BSLASHeqref] = ACTIONS(7307),
    [anon_sym_BSLASHvref] = ACTIONS(7307),
    [anon_sym_BSLASHVref] = ACTIONS(7307),
    [anon_sym_BSLASHautoref] = ACTIONS(7307),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHpageref] = ACTIONS(7307),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHautopageref] = ACTIONS(7307),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcref] = ACTIONS(7307),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCref] = ACTIONS(7307),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcpageref] = ACTIONS(7307),
    [anon_sym_BSLASHCpageref] = ACTIONS(7307),
    [anon_sym_BSLASHnamecref] = ACTIONS(7307),
    [anon_sym_BSLASHnameCref] = ACTIONS(7307),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7307),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7307),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7307),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7307),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7307),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7307),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7307),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7307),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7307),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7307),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7307),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHdef] = ACTIONS(7307),
    [anon_sym_BSLASHgdef] = ACTIONS(7307),
    [anon_sym_BSLASHedef] = ACTIONS(7307),
    [anon_sym_BSLASHxdef] = ACTIONS(7307),
    [anon_sym_BSLASHlet] = ACTIONS(7307),
    [anon_sym_BSLASHglet] = ACTIONS(7307),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7307),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7307),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7307),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7307),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7307),
    [anon_sym_BSLASHgls] = ACTIONS(7307),
    [anon_sym_BSLASHGls] = ACTIONS(7307),
    [anon_sym_BSLASHGLS] = ACTIONS(7307),
    [anon_sym_BSLASHglspl] = ACTIONS(7307),
    [anon_sym_BSLASHGlspl] = ACTIONS(7307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7307),
    [anon_sym_BSLASHglslink] = ACTIONS(7307),
    [anon_sym_BSLASHglstext] = ACTIONS(7307),
    [anon_sym_BSLASHGlstext] = ACTIONS(7307),
    [anon_sym_BSLASHGLStext] = ACTIONS(7307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7307),
    [anon_sym_BSLASHglsplural] = ACTIONS(7307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHglsname] = ACTIONS(7307),
    [anon_sym_BSLASHGlsname] = ACTIONS(7307),
    [anon_sym_BSLASHGLSname] = ACTIONS(7307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7307),
    [anon_sym_BSLASHacrshort] = ACTIONS(7307),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7307),
    [anon_sym_BSLASHACRshort] = ACTIONS(7307),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHacrlong] = ACTIONS(7307),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7307),
    [anon_sym_BSLASHACRlong] = ACTIONS(7307),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHacrfull] = ACTIONS(7307),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7307),
    [anon_sym_BSLASHACRfull] = ACTIONS(7307),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHacs] = ACTIONS(7307),
    [anon_sym_BSLASHAcs] = ACTIONS(7307),
    [anon_sym_BSLASHacsp] = ACTIONS(7307),
    [anon_sym_BSLASHAcsp] = ACTIONS(7307),
    [anon_sym_BSLASHacl] = ACTIONS(7307),
    [anon_sym_BSLASHAcl] = ACTIONS(7307),
    [anon_sym_BSLASHaclp] = ACTIONS(7307),
    [anon_sym_BSLASHAclp] = ACTIONS(7307),
    [anon_sym_BSLASHacf] = ACTIONS(7307),
    [anon_sym_BSLASHAcf] = ACTIONS(7307),
    [anon_sym_BSLASHacfp] = ACTIONS(7307),
    [anon_sym_BSLASHAcfp] = ACTIONS(7307),
    [anon_sym_BSLASHac] = ACTIONS(7307),
    [anon_sym_BSLASHAc] = ACTIONS(7307),
    [anon_sym_BSLASHacp] = ACTIONS(7307),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7307),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7307),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7307),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7307),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7307),
    [anon_sym_BSLASHcolor] = ACTIONS(7307),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7307),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7307),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7307),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7307),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7307),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7307),
    [anon_sym_BSLASHurl] = ACTIONS(7307),
    [anon_sym_BSLASHhref] = ACTIONS(7307),
  },
  [2204] = {
    [sym_command_name] = ACTIONS(163),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_RPAREN] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_RBRACE] = ACTIONS(165),
    [anon_sym_BSLASHand] = ACTIONS(163),
    [sym_word] = ACTIONS(163),
    [sym_placeholder] = ACTIONS(165),
    [sym_delimiter] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_STAR] = ACTIONS(165),
    [anon_sym_SLASH] = ACTIONS(165),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_COLON] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(163),
    [anon_sym__] = ACTIONS(165),
    [anon_sym_CARET] = ACTIONS(165),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(165),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(163),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(165),
    [anon_sym_BSLASHleft] = ACTIONS(163),
    [anon_sym_BSLASHbigl] = ACTIONS(163),
    [anon_sym_BSLASHBigl] = ACTIONS(163),
    [anon_sym_BSLASHbiggl] = ACTIONS(163),
    [anon_sym_BSLASHBiggl] = ACTIONS(163),
    [anon_sym_BSLASHtext] = ACTIONS(163),
    [anon_sym_BSLASHintertext] = ACTIONS(163),
    [anon_sym_BSLASHshortintertext] = ACTIONS(163),
    [anon_sym_BSLASHtitle] = ACTIONS(163),
    [anon_sym_BSLASHauthor] = ACTIONS(163),
    [anon_sym_BSLASHusepackage] = ACTIONS(163),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(163),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(163),
    [anon_sym_BSLASHinclude] = ACTIONS(163),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(163),
    [anon_sym_BSLASHinput] = ACTIONS(163),
    [anon_sym_BSLASHsubfile] = ACTIONS(163),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(163),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(163),
    [anon_sym_BSLASHbibliography] = ACTIONS(163),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(163),
    [anon_sym_BSLASHincludesvg] = ACTIONS(163),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(163),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(163),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(163),
    [anon_sym_BSLASHimport] = ACTIONS(163),
    [anon_sym_BSLASHsubimport] = ACTIONS(163),
    [anon_sym_BSLASHinputfrom] = ACTIONS(163),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(163),
    [anon_sym_BSLASHincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(163),
    [anon_sym_BSLASHcaption] = ACTIONS(163),
    [anon_sym_BSLASHcite] = ACTIONS(163),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCite] = ACTIONS(163),
    [anon_sym_BSLASHnocite] = ACTIONS(163),
    [anon_sym_BSLASHcitet] = ACTIONS(163),
    [anon_sym_BSLASHcitep] = ACTIONS(163),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteA] = ACTIONS(163),
    [anon_sym_BSLASHciteR] = ACTIONS(163),
    [anon_sym_BSLASHciteS] = ACTIONS(163),
    [anon_sym_BSLASHciteyearR] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor] = ACTIONS(163),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(163),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitetitle] = ACTIONS(163),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteyear] = ACTIONS(163),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcitedate] = ACTIONS(163),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(165),
    [anon_sym_BSLASHciteurl] = ACTIONS(163),
    [anon_sym_BSLASHfullcite] = ACTIONS(163),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(163),
    [anon_sym_BSLASHcitealt] = ACTIONS(163),
    [anon_sym_BSLASHcitealp] = ACTIONS(163),
    [anon_sym_BSLASHcitetext] = ACTIONS(163),
    [anon_sym_BSLASHparencite] = ACTIONS(163),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHParencite] = ACTIONS(163),
    [anon_sym_BSLASHfootcite] = ACTIONS(163),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(163),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(163),
    [anon_sym_BSLASHtextcite] = ACTIONS(163),
    [anon_sym_BSLASHTextcite] = ACTIONS(163),
    [anon_sym_BSLASHsmartcite] = ACTIONS(163),
    [anon_sym_BSLASHSmartcite] = ACTIONS(163),
    [anon_sym_BSLASHsupercite] = ACTIONS(163),
    [anon_sym_BSLASHautocite] = ACTIONS(163),
    [anon_sym_BSLASHAutocite] = ACTIONS(163),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(165),
    [anon_sym_BSLASHvolcite] = ACTIONS(163),
    [anon_sym_BSLASHVolcite] = ACTIONS(163),
    [anon_sym_BSLASHpvolcite] = ACTIONS(163),
    [anon_sym_BSLASHPvolcite] = ACTIONS(163),
    [anon_sym_BSLASHfvolcite] = ACTIONS(163),
    [anon_sym_BSLASHftvolcite] = ACTIONS(163),
    [anon_sym_BSLASHsvolcite] = ACTIONS(163),
    [anon_sym_BSLASHSvolcite] = ACTIONS(163),
    [anon_sym_BSLASHtvolcite] = ACTIONS(163),
    [anon_sym_BSLASHTvolcite] = ACTIONS(163),
    [anon_sym_BSLASHavolcite] = ACTIONS(163),
    [anon_sym_BSLASHAvolcite] = ACTIONS(163),
    [anon_sym_BSLASHnotecite] = ACTIONS(163),
    [anon_sym_BSLASHNotecite] = ACTIONS(163),
    [anon_sym_BSLASHpnotecite] = ACTIONS(163),
    [anon_sym_BSLASHPnotecite] = ACTIONS(163),
    [anon_sym_BSLASHfnotecite] = ACTIONS(163),
    [anon_sym_BSLASHlabel] = ACTIONS(163),
    [anon_sym_BSLASHref] = ACTIONS(163),
    [anon_sym_BSLASHeqref] = ACTIONS(163),
    [anon_sym_BSLASHvref] = ACTIONS(163),
    [anon_sym_BSLASHVref] = ACTIONS(163),
    [anon_sym_BSLASHautoref] = ACTIONS(163),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHpageref] = ACTIONS(163),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHautopageref] = ACTIONS(163),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcref] = ACTIONS(163),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCref] = ACTIONS(163),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpageref] = ACTIONS(163),
    [anon_sym_BSLASHCpageref] = ACTIONS(163),
    [anon_sym_BSLASHnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnameCref] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(163),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(163),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(163),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcrefrange] = ACTIONS(163),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHCrefrange] = ACTIONS(163),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(165),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(163),
    [anon_sym_BSLASHnewlabel] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand] = ACTIONS(163),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(163),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(163),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(165),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(163),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(165),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(163),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(163),
    [anon_sym_BSLASHdef] = ACTIONS(163),
    [anon_sym_BSLASHgdef] = ACTIONS(163),
    [anon_sym_BSLASHedef] = ACTIONS(163),
    [anon_sym_BSLASHxdef] = ACTIONS(163),
    [anon_sym_BSLASHlet] = ACTIONS(163),
    [anon_sym_BSLASHglet] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(163),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(163),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(163),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(163),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(163),
    [anon_sym_BSLASHgls] = ACTIONS(163),
    [anon_sym_BSLASHGls] = ACTIONS(163),
    [anon_sym_BSLASHGLS] = ACTIONS(163),
    [anon_sym_BSLASHglspl] = ACTIONS(163),
    [anon_sym_BSLASHGlspl] = ACTIONS(163),
    [anon_sym_BSLASHGLSpl] = ACTIONS(163),
    [anon_sym_BSLASHglsdisp] = ACTIONS(163),
    [anon_sym_BSLASHglslink] = ACTIONS(163),
    [anon_sym_BSLASHglstext] = ACTIONS(163),
    [anon_sym_BSLASHGlstext] = ACTIONS(163),
    [anon_sym_BSLASHGLStext] = ACTIONS(163),
    [anon_sym_BSLASHglsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(163),
    [anon_sym_BSLASHglsplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSplural] = ACTIONS(163),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(163),
    [anon_sym_BSLASHglsname] = ACTIONS(163),
    [anon_sym_BSLASHGlsname] = ACTIONS(163),
    [anon_sym_BSLASHGLSname] = ACTIONS(163),
    [anon_sym_BSLASHglssymbol] = ACTIONS(163),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(163),
    [anon_sym_BSLASHglsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(163),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(163),
    [anon_sym_BSLASHglsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(163),
    [anon_sym_BSLASHglsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(163),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(163),
    [anon_sym_BSLASHglsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(163),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(163),
    [anon_sym_BSLASHglsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(163),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(163),
    [anon_sym_BSLASHnewacronym] = ACTIONS(163),
    [anon_sym_BSLASHacrshort] = ACTIONS(163),
    [anon_sym_BSLASHAcrshort] = ACTIONS(163),
    [anon_sym_BSLASHACRshort] = ACTIONS(163),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(163),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(163),
    [anon_sym_BSLASHacrlong] = ACTIONS(163),
    [anon_sym_BSLASHAcrlong] = ACTIONS(163),
    [anon_sym_BSLASHACRlong] = ACTIONS(163),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(163),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(163),
    [anon_sym_BSLASHacrfull] = ACTIONS(163),
    [anon_sym_BSLASHAcrfull] = ACTIONS(163),
    [anon_sym_BSLASHACRfull] = ACTIONS(163),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(163),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(163),
    [anon_sym_BSLASHacs] = ACTIONS(163),
    [anon_sym_BSLASHAcs] = ACTIONS(163),
    [anon_sym_BSLASHacsp] = ACTIONS(163),
    [anon_sym_BSLASHAcsp] = ACTIONS(163),
    [anon_sym_BSLASHacl] = ACTIONS(163),
    [anon_sym_BSLASHAcl] = ACTIONS(163),
    [anon_sym_BSLASHaclp] = ACTIONS(163),
    [anon_sym_BSLASHAclp] = ACTIONS(163),
    [anon_sym_BSLASHacf] = ACTIONS(163),
    [anon_sym_BSLASHAcf] = ACTIONS(163),
    [anon_sym_BSLASHacfp] = ACTIONS(163),
    [anon_sym_BSLASHAcfp] = ACTIONS(163),
    [anon_sym_BSLASHac] = ACTIONS(163),
    [anon_sym_BSLASHAc] = ACTIONS(163),
    [anon_sym_BSLASHacp] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(163),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(163),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(163),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(163),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(163),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(165),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(163),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(163),
    [anon_sym_BSLASHcolor] = ACTIONS(163),
    [anon_sym_BSLASHpagecolor] = ACTIONS(163),
    [anon_sym_BSLASHtextcolor] = ACTIONS(163),
    [anon_sym_BSLASHmathcolor] = ACTIONS(163),
    [anon_sym_BSLASHcolorbox] = ACTIONS(163),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(163),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(163),
    [anon_sym_BSLASHurl] = ACTIONS(163),
    [anon_sym_BSLASHhref] = ACTIONS(163),
  },
  [2205] = {
    [sym_command_name] = ACTIONS(7055),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7055),
    [anon_sym_LPAREN] = ACTIONS(7057),
    [anon_sym_RPAREN] = ACTIONS(7057),
    [anon_sym_LBRACE] = ACTIONS(7057),
    [anon_sym_RBRACE] = ACTIONS(7057),
    [anon_sym_BSLASHand] = ACTIONS(7055),
    [sym_word] = ACTIONS(7055),
    [sym_placeholder] = ACTIONS(7057),
    [sym_delimiter] = ACTIONS(7057),
    [anon_sym_PLUS] = ACTIONS(7057),
    [anon_sym_DASH] = ACTIONS(7057),
    [anon_sym_STAR] = ACTIONS(7057),
    [anon_sym_SLASH] = ACTIONS(7057),
    [anon_sym_LT] = ACTIONS(7055),
    [anon_sym_GT] = ACTIONS(7055),
    [anon_sym_BANG] = ACTIONS(7055),
    [anon_sym_PIPE] = ACTIONS(7055),
    [anon_sym_COLON] = ACTIONS(7055),
    [anon_sym_SQUOTE] = ACTIONS(7055),
    [anon_sym__] = ACTIONS(7057),
    [anon_sym_CARET] = ACTIONS(7057),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7057),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7057),
    [anon_sym_DOLLAR] = ACTIONS(7055),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7057),
    [anon_sym_BSLASHleft] = ACTIONS(7055),
    [anon_sym_BSLASHbigl] = ACTIONS(7055),
    [anon_sym_BSLASHBigl] = ACTIONS(7055),
    [anon_sym_BSLASHbiggl] = ACTIONS(7055),
    [anon_sym_BSLASHBiggl] = ACTIONS(7055),
    [anon_sym_BSLASHtext] = ACTIONS(7055),
    [anon_sym_BSLASHintertext] = ACTIONS(7055),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7055),
    [anon_sym_BSLASHtitle] = ACTIONS(7055),
    [anon_sym_BSLASHauthor] = ACTIONS(7055),
    [anon_sym_BSLASHusepackage] = ACTIONS(7055),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7055),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7055),
    [anon_sym_BSLASHinclude] = ACTIONS(7055),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7055),
    [anon_sym_BSLASHinput] = ACTIONS(7055),
    [anon_sym_BSLASHsubfile] = ACTIONS(7055),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7055),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7055),
    [anon_sym_BSLASHbibliography] = ACTIONS(7055),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7055),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7055),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7055),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7055),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7055),
    [anon_sym_BSLASHimport] = ACTIONS(7055),
    [anon_sym_BSLASHsubimport] = ACTIONS(7055),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7055),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7055),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7055),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7055),
    [anon_sym_BSLASHcaption] = ACTIONS(7055),
    [anon_sym_BSLASHcite] = ACTIONS(7055),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCite] = ACTIONS(7055),
    [anon_sym_BSLASHnocite] = ACTIONS(7055),
    [anon_sym_BSLASHcitet] = ACTIONS(7055),
    [anon_sym_BSLASHcitep] = ACTIONS(7055),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHciteA] = ACTIONS(7055),
    [anon_sym_BSLASHciteR] = ACTIONS(7055),
    [anon_sym_BSLASHciteS] = ACTIONS(7055),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7055),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7055),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7055),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7055),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHciteyear] = ACTIONS(7055),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcitedate] = ACTIONS(7055),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHciteurl] = ACTIONS(7055),
    [anon_sym_BSLASHfullcite] = ACTIONS(7055),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7055),
    [anon_sym_BSLASHcitealt] = ACTIONS(7055),
    [anon_sym_BSLASHcitealp] = ACTIONS(7055),
    [anon_sym_BSLASHcitetext] = ACTIONS(7055),
    [anon_sym_BSLASHparencite] = ACTIONS(7055),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHParencite] = ACTIONS(7055),
    [anon_sym_BSLASHfootcite] = ACTIONS(7055),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7055),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7055),
    [anon_sym_BSLASHtextcite] = ACTIONS(7055),
    [anon_sym_BSLASHTextcite] = ACTIONS(7055),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7055),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7055),
    [anon_sym_BSLASHsupercite] = ACTIONS(7055),
    [anon_sym_BSLASHautocite] = ACTIONS(7055),
    [anon_sym_BSLASHAutocite] = ACTIONS(7055),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHVolcite] = ACTIONS(7055),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHavolcite] = ACTIONS(7055),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7055),
    [anon_sym_BSLASHnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHNotecite] = ACTIONS(7055),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7055),
    [anon_sym_BSLASHlabel] = ACTIONS(7055),
    [anon_sym_BSLASHref] = ACTIONS(7055),
    [anon_sym_BSLASHeqref] = ACTIONS(7055),
    [anon_sym_BSLASHvref] = ACTIONS(7055),
    [anon_sym_BSLASHVref] = ACTIONS(7055),
    [anon_sym_BSLASHautoref] = ACTIONS(7055),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHpageref] = ACTIONS(7055),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHautopageref] = ACTIONS(7055),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcref] = ACTIONS(7055),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCref] = ACTIONS(7055),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcpageref] = ACTIONS(7055),
    [anon_sym_BSLASHCpageref] = ACTIONS(7055),
    [anon_sym_BSLASHnamecref] = ACTIONS(7055),
    [anon_sym_BSLASHnameCref] = ACTIONS(7055),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7055),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7055),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7055),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7055),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7055),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7055),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7055),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7055),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7055),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7055),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7055),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7055),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7055),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7055),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7055),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7055),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7055),
    [anon_sym_BSLASHdef] = ACTIONS(7055),
    [anon_sym_BSLASHgdef] = ACTIONS(7055),
    [anon_sym_BSLASHedef] = ACTIONS(7055),
    [anon_sym_BSLASHxdef] = ACTIONS(7055),
    [anon_sym_BSLASHlet] = ACTIONS(7055),
    [anon_sym_BSLASHglet] = ACTIONS(7055),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7055),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7055),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7055),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7055),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7055),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7055),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7055),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7055),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7055),
    [anon_sym_BSLASHgls] = ACTIONS(7055),
    [anon_sym_BSLASHGls] = ACTIONS(7055),
    [anon_sym_BSLASHGLS] = ACTIONS(7055),
    [anon_sym_BSLASHglspl] = ACTIONS(7055),
    [anon_sym_BSLASHGlspl] = ACTIONS(7055),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7055),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7055),
    [anon_sym_BSLASHglslink] = ACTIONS(7055),
    [anon_sym_BSLASHglstext] = ACTIONS(7055),
    [anon_sym_BSLASHGlstext] = ACTIONS(7055),
    [anon_sym_BSLASHGLStext] = ACTIONS(7055),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7055),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7055),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7055),
    [anon_sym_BSLASHglsplural] = ACTIONS(7055),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7055),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7055),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7055),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7055),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7055),
    [anon_sym_BSLASHglsname] = ACTIONS(7055),
    [anon_sym_BSLASHGlsname] = ACTIONS(7055),
    [anon_sym_BSLASHGLSname] = ACTIONS(7055),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7055),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7055),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7055),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7055),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7055),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7055),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7055),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7055),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7055),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7055),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7055),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7055),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7055),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7055),
    [anon_sym_BSLASHacrshort] = ACTIONS(7055),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7055),
    [anon_sym_BSLASHACRshort] = ACTIONS(7055),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHacrlong] = ACTIONS(7055),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7055),
    [anon_sym_BSLASHACRlong] = ACTIONS(7055),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7055),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7055),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7055),
    [anon_sym_BSLASHacrfull] = ACTIONS(7055),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7055),
    [anon_sym_BSLASHACRfull] = ACTIONS(7055),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHacs] = ACTIONS(7055),
    [anon_sym_BSLASHAcs] = ACTIONS(7055),
    [anon_sym_BSLASHacsp] = ACTIONS(7055),
    [anon_sym_BSLASHAcsp] = ACTIONS(7055),
    [anon_sym_BSLASHacl] = ACTIONS(7055),
    [anon_sym_BSLASHAcl] = ACTIONS(7055),
    [anon_sym_BSLASHaclp] = ACTIONS(7055),
    [anon_sym_BSLASHAclp] = ACTIONS(7055),
    [anon_sym_BSLASHacf] = ACTIONS(7055),
    [anon_sym_BSLASHAcf] = ACTIONS(7055),
    [anon_sym_BSLASHacfp] = ACTIONS(7055),
    [anon_sym_BSLASHAcfp] = ACTIONS(7055),
    [anon_sym_BSLASHac] = ACTIONS(7055),
    [anon_sym_BSLASHAc] = ACTIONS(7055),
    [anon_sym_BSLASHacp] = ACTIONS(7055),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7055),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7055),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7055),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7055),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7055),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7055),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7055),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7057),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7055),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7055),
    [anon_sym_BSLASHcolor] = ACTIONS(7055),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7055),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7055),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7055),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7055),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7055),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7055),
    [anon_sym_BSLASHurl] = ACTIONS(7055),
    [anon_sym_BSLASHhref] = ACTIONS(7055),
  },
  [2206] = {
    [sym_command_name] = ACTIONS(7311),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7311),
    [anon_sym_LPAREN] = ACTIONS(7313),
    [anon_sym_RPAREN] = ACTIONS(7313),
    [anon_sym_LBRACE] = ACTIONS(7313),
    [anon_sym_RBRACE] = ACTIONS(7313),
    [anon_sym_BSLASHand] = ACTIONS(7311),
    [sym_word] = ACTIONS(7311),
    [sym_placeholder] = ACTIONS(7313),
    [sym_delimiter] = ACTIONS(7313),
    [anon_sym_PLUS] = ACTIONS(7313),
    [anon_sym_DASH] = ACTIONS(7313),
    [anon_sym_STAR] = ACTIONS(7313),
    [anon_sym_SLASH] = ACTIONS(7313),
    [anon_sym_LT] = ACTIONS(7311),
    [anon_sym_GT] = ACTIONS(7311),
    [anon_sym_BANG] = ACTIONS(7311),
    [anon_sym_PIPE] = ACTIONS(7311),
    [anon_sym_COLON] = ACTIONS(7311),
    [anon_sym_SQUOTE] = ACTIONS(7311),
    [anon_sym__] = ACTIONS(7313),
    [anon_sym_CARET] = ACTIONS(7313),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7313),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7313),
    [anon_sym_DOLLAR] = ACTIONS(7311),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7313),
    [anon_sym_BSLASHleft] = ACTIONS(7311),
    [anon_sym_BSLASHbigl] = ACTIONS(7311),
    [anon_sym_BSLASHBigl] = ACTIONS(7311),
    [anon_sym_BSLASHbiggl] = ACTIONS(7311),
    [anon_sym_BSLASHBiggl] = ACTIONS(7311),
    [anon_sym_BSLASHtext] = ACTIONS(7311),
    [anon_sym_BSLASHintertext] = ACTIONS(7311),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7311),
    [anon_sym_BSLASHtitle] = ACTIONS(7311),
    [anon_sym_BSLASHauthor] = ACTIONS(7311),
    [anon_sym_BSLASHusepackage] = ACTIONS(7311),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7311),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7311),
    [anon_sym_BSLASHinclude] = ACTIONS(7311),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7311),
    [anon_sym_BSLASHinput] = ACTIONS(7311),
    [anon_sym_BSLASHsubfile] = ACTIONS(7311),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7311),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7311),
    [anon_sym_BSLASHbibliography] = ACTIONS(7311),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7311),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7311),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7311),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7311),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7311),
    [anon_sym_BSLASHimport] = ACTIONS(7311),
    [anon_sym_BSLASHsubimport] = ACTIONS(7311),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7311),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7311),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7311),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7311),
    [anon_sym_BSLASHcaption] = ACTIONS(7311),
    [anon_sym_BSLASHcite] = ACTIONS(7311),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCite] = ACTIONS(7311),
    [anon_sym_BSLASHnocite] = ACTIONS(7311),
    [anon_sym_BSLASHcitet] = ACTIONS(7311),
    [anon_sym_BSLASHcitep] = ACTIONS(7311),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteA] = ACTIONS(7311),
    [anon_sym_BSLASHciteR] = ACTIONS(7311),
    [anon_sym_BSLASHciteS] = ACTIONS(7311),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7311),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7311),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7311),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7311),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteyear] = ACTIONS(7311),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitedate] = ACTIONS(7311),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteurl] = ACTIONS(7311),
    [anon_sym_BSLASHfullcite] = ACTIONS(7311),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7311),
    [anon_sym_BSLASHcitealt] = ACTIONS(7311),
    [anon_sym_BSLASHcitealp] = ACTIONS(7311),
    [anon_sym_BSLASHcitetext] = ACTIONS(7311),
    [anon_sym_BSLASHparencite] = ACTIONS(7311),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHParencite] = ACTIONS(7311),
    [anon_sym_BSLASHfootcite] = ACTIONS(7311),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7311),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7311),
    [anon_sym_BSLASHtextcite] = ACTIONS(7311),
    [anon_sym_BSLASHTextcite] = ACTIONS(7311),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7311),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7311),
    [anon_sym_BSLASHsupercite] = ACTIONS(7311),
    [anon_sym_BSLASHautocite] = ACTIONS(7311),
    [anon_sym_BSLASHAutocite] = ACTIONS(7311),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHVolcite] = ACTIONS(7311),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHavolcite] = ACTIONS(7311),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHNotecite] = ACTIONS(7311),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHlabel] = ACTIONS(7311),
    [anon_sym_BSLASHref] = ACTIONS(7311),
    [anon_sym_BSLASHeqref] = ACTIONS(7311),
    [anon_sym_BSLASHvref] = ACTIONS(7311),
    [anon_sym_BSLASHVref] = ACTIONS(7311),
    [anon_sym_BSLASHautoref] = ACTIONS(7311),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHpageref] = ACTIONS(7311),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHautopageref] = ACTIONS(7311),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcref] = ACTIONS(7311),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCref] = ACTIONS(7311),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcpageref] = ACTIONS(7311),
    [anon_sym_BSLASHCpageref] = ACTIONS(7311),
    [anon_sym_BSLASHnamecref] = ACTIONS(7311),
    [anon_sym_BSLASHnameCref] = ACTIONS(7311),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7311),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7311),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7311),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7311),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7311),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7311),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7311),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7311),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7311),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7311),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7311),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHdef] = ACTIONS(7311),
    [anon_sym_BSLASHgdef] = ACTIONS(7311),
    [anon_sym_BSLASHedef] = ACTIONS(7311),
    [anon_sym_BSLASHxdef] = ACTIONS(7311),
    [anon_sym_BSLASHlet] = ACTIONS(7311),
    [anon_sym_BSLASHglet] = ACTIONS(7311),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7311),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7311),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7311),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7311),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7311),
    [anon_sym_BSLASHgls] = ACTIONS(7311),
    [anon_sym_BSLASHGls] = ACTIONS(7311),
    [anon_sym_BSLASHGLS] = ACTIONS(7311),
    [anon_sym_BSLASHglspl] = ACTIONS(7311),
    [anon_sym_BSLASHGlspl] = ACTIONS(7311),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7311),
    [anon_sym_BSLASHglslink] = ACTIONS(7311),
    [anon_sym_BSLASHglstext] = ACTIONS(7311),
    [anon_sym_BSLASHGlstext] = ACTIONS(7311),
    [anon_sym_BSLASHGLStext] = ACTIONS(7311),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7311),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7311),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7311),
    [anon_sym_BSLASHglsplural] = ACTIONS(7311),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7311),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7311),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHglsname] = ACTIONS(7311),
    [anon_sym_BSLASHGlsname] = ACTIONS(7311),
    [anon_sym_BSLASHGLSname] = ACTIONS(7311),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7311),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7311),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7311),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7311),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7311),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7311),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7311),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7311),
    [anon_sym_BSLASHacrshort] = ACTIONS(7311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7311),
    [anon_sym_BSLASHACRshort] = ACTIONS(7311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHacrlong] = ACTIONS(7311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7311),
    [anon_sym_BSLASHACRlong] = ACTIONS(7311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHacrfull] = ACTIONS(7311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7311),
    [anon_sym_BSLASHACRfull] = ACTIONS(7311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHacs] = ACTIONS(7311),
    [anon_sym_BSLASHAcs] = ACTIONS(7311),
    [anon_sym_BSLASHacsp] = ACTIONS(7311),
    [anon_sym_BSLASHAcsp] = ACTIONS(7311),
    [anon_sym_BSLASHacl] = ACTIONS(7311),
    [anon_sym_BSLASHAcl] = ACTIONS(7311),
    [anon_sym_BSLASHaclp] = ACTIONS(7311),
    [anon_sym_BSLASHAclp] = ACTIONS(7311),
    [anon_sym_BSLASHacf] = ACTIONS(7311),
    [anon_sym_BSLASHAcf] = ACTIONS(7311),
    [anon_sym_BSLASHacfp] = ACTIONS(7311),
    [anon_sym_BSLASHAcfp] = ACTIONS(7311),
    [anon_sym_BSLASHac] = ACTIONS(7311),
    [anon_sym_BSLASHAc] = ACTIONS(7311),
    [anon_sym_BSLASHacp] = ACTIONS(7311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7311),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7311),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7311),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7311),
    [anon_sym_BSLASHcolor] = ACTIONS(7311),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7311),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7311),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7311),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7311),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7311),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7311),
    [anon_sym_BSLASHurl] = ACTIONS(7311),
    [anon_sym_BSLASHhref] = ACTIONS(7311),
  },
  [2207] = {
    [sym_command_name] = ACTIONS(7391),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7391),
    [anon_sym_LPAREN] = ACTIONS(7393),
    [anon_sym_RPAREN] = ACTIONS(7393),
    [anon_sym_LBRACE] = ACTIONS(7393),
    [anon_sym_RBRACE] = ACTIONS(7393),
    [anon_sym_BSLASHand] = ACTIONS(7391),
    [sym_word] = ACTIONS(7391),
    [sym_placeholder] = ACTIONS(7393),
    [sym_delimiter] = ACTIONS(7393),
    [anon_sym_PLUS] = ACTIONS(7393),
    [anon_sym_DASH] = ACTIONS(7393),
    [anon_sym_STAR] = ACTIONS(7393),
    [anon_sym_SLASH] = ACTIONS(7393),
    [anon_sym_LT] = ACTIONS(7391),
    [anon_sym_GT] = ACTIONS(7391),
    [anon_sym_BANG] = ACTIONS(7391),
    [anon_sym_PIPE] = ACTIONS(7391),
    [anon_sym_COLON] = ACTIONS(7391),
    [anon_sym_SQUOTE] = ACTIONS(7391),
    [anon_sym__] = ACTIONS(7393),
    [anon_sym_CARET] = ACTIONS(7393),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7393),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7393),
    [anon_sym_DOLLAR] = ACTIONS(7391),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7393),
    [anon_sym_BSLASHleft] = ACTIONS(7391),
    [anon_sym_BSLASHbigl] = ACTIONS(7391),
    [anon_sym_BSLASHBigl] = ACTIONS(7391),
    [anon_sym_BSLASHbiggl] = ACTIONS(7391),
    [anon_sym_BSLASHBiggl] = ACTIONS(7391),
    [anon_sym_BSLASHtext] = ACTIONS(7391),
    [anon_sym_BSLASHintertext] = ACTIONS(7391),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7391),
    [anon_sym_BSLASHtitle] = ACTIONS(7391),
    [anon_sym_BSLASHauthor] = ACTIONS(7391),
    [anon_sym_BSLASHusepackage] = ACTIONS(7391),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7391),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7391),
    [anon_sym_BSLASHinclude] = ACTIONS(7391),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7391),
    [anon_sym_BSLASHinput] = ACTIONS(7391),
    [anon_sym_BSLASHsubfile] = ACTIONS(7391),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7391),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7391),
    [anon_sym_BSLASHbibliography] = ACTIONS(7391),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7391),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7391),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7391),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7391),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7391),
    [anon_sym_BSLASHimport] = ACTIONS(7391),
    [anon_sym_BSLASHsubimport] = ACTIONS(7391),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7391),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7391),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7391),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7391),
    [anon_sym_BSLASHcaption] = ACTIONS(7391),
    [anon_sym_BSLASHcite] = ACTIONS(7391),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCite] = ACTIONS(7391),
    [anon_sym_BSLASHnocite] = ACTIONS(7391),
    [anon_sym_BSLASHcitet] = ACTIONS(7391),
    [anon_sym_BSLASHcitep] = ACTIONS(7391),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteA] = ACTIONS(7391),
    [anon_sym_BSLASHciteR] = ACTIONS(7391),
    [anon_sym_BSLASHciteS] = ACTIONS(7391),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7391),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7391),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7391),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7391),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteyear] = ACTIONS(7391),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitedate] = ACTIONS(7391),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteurl] = ACTIONS(7391),
    [anon_sym_BSLASHfullcite] = ACTIONS(7391),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7391),
    [anon_sym_BSLASHcitealt] = ACTIONS(7391),
    [anon_sym_BSLASHcitealp] = ACTIONS(7391),
    [anon_sym_BSLASHcitetext] = ACTIONS(7391),
    [anon_sym_BSLASHparencite] = ACTIONS(7391),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHParencite] = ACTIONS(7391),
    [anon_sym_BSLASHfootcite] = ACTIONS(7391),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7391),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7391),
    [anon_sym_BSLASHtextcite] = ACTIONS(7391),
    [anon_sym_BSLASHTextcite] = ACTIONS(7391),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7391),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7391),
    [anon_sym_BSLASHsupercite] = ACTIONS(7391),
    [anon_sym_BSLASHautocite] = ACTIONS(7391),
    [anon_sym_BSLASHAutocite] = ACTIONS(7391),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHVolcite] = ACTIONS(7391),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHavolcite] = ACTIONS(7391),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHNotecite] = ACTIONS(7391),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHlabel] = ACTIONS(7391),
    [anon_sym_BSLASHref] = ACTIONS(7391),
    [anon_sym_BSLASHeqref] = ACTIONS(7391),
    [anon_sym_BSLASHvref] = ACTIONS(7391),
    [anon_sym_BSLASHVref] = ACTIONS(7391),
    [anon_sym_BSLASHautoref] = ACTIONS(7391),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHpageref] = ACTIONS(7391),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHautopageref] = ACTIONS(7391),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcref] = ACTIONS(7391),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCref] = ACTIONS(7391),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcpageref] = ACTIONS(7391),
    [anon_sym_BSLASHCpageref] = ACTIONS(7391),
    [anon_sym_BSLASHnamecref] = ACTIONS(7391),
    [anon_sym_BSLASHnameCref] = ACTIONS(7391),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7391),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7391),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7391),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7391),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7391),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7391),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7391),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7391),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7391),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7391),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7391),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHdef] = ACTIONS(7391),
    [anon_sym_BSLASHgdef] = ACTIONS(7391),
    [anon_sym_BSLASHedef] = ACTIONS(7391),
    [anon_sym_BSLASHxdef] = ACTIONS(7391),
    [anon_sym_BSLASHlet] = ACTIONS(7391),
    [anon_sym_BSLASHglet] = ACTIONS(7391),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7391),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7391),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7391),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7391),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7391),
    [anon_sym_BSLASHgls] = ACTIONS(7391),
    [anon_sym_BSLASHGls] = ACTIONS(7391),
    [anon_sym_BSLASHGLS] = ACTIONS(7391),
    [anon_sym_BSLASHglspl] = ACTIONS(7391),
    [anon_sym_BSLASHGlspl] = ACTIONS(7391),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7391),
    [anon_sym_BSLASHglslink] = ACTIONS(7391),
    [anon_sym_BSLASHglstext] = ACTIONS(7391),
    [anon_sym_BSLASHGlstext] = ACTIONS(7391),
    [anon_sym_BSLASHGLStext] = ACTIONS(7391),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7391),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7391),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7391),
    [anon_sym_BSLASHglsplural] = ACTIONS(7391),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7391),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7391),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHglsname] = ACTIONS(7391),
    [anon_sym_BSLASHGlsname] = ACTIONS(7391),
    [anon_sym_BSLASHGLSname] = ACTIONS(7391),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7391),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7391),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7391),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7391),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7391),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7391),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7391),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7391),
    [anon_sym_BSLASHacrshort] = ACTIONS(7391),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7391),
    [anon_sym_BSLASHACRshort] = ACTIONS(7391),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHacrlong] = ACTIONS(7391),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7391),
    [anon_sym_BSLASHACRlong] = ACTIONS(7391),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHacrfull] = ACTIONS(7391),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7391),
    [anon_sym_BSLASHACRfull] = ACTIONS(7391),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHacs] = ACTIONS(7391),
    [anon_sym_BSLASHAcs] = ACTIONS(7391),
    [anon_sym_BSLASHacsp] = ACTIONS(7391),
    [anon_sym_BSLASHAcsp] = ACTIONS(7391),
    [anon_sym_BSLASHacl] = ACTIONS(7391),
    [anon_sym_BSLASHAcl] = ACTIONS(7391),
    [anon_sym_BSLASHaclp] = ACTIONS(7391),
    [anon_sym_BSLASHAclp] = ACTIONS(7391),
    [anon_sym_BSLASHacf] = ACTIONS(7391),
    [anon_sym_BSLASHAcf] = ACTIONS(7391),
    [anon_sym_BSLASHacfp] = ACTIONS(7391),
    [anon_sym_BSLASHAcfp] = ACTIONS(7391),
    [anon_sym_BSLASHac] = ACTIONS(7391),
    [anon_sym_BSLASHAc] = ACTIONS(7391),
    [anon_sym_BSLASHacp] = ACTIONS(7391),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7391),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7391),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7391),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7391),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7391),
    [anon_sym_BSLASHcolor] = ACTIONS(7391),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7391),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7391),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7391),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7391),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7391),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7391),
    [anon_sym_BSLASHurl] = ACTIONS(7391),
    [anon_sym_BSLASHhref] = ACTIONS(7391),
  },
  [2208] = {
    [sym_command_name] = ACTIONS(7571),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7571),
    [anon_sym_LPAREN] = ACTIONS(7573),
    [anon_sym_RPAREN] = ACTIONS(7573),
    [anon_sym_LBRACE] = ACTIONS(7573),
    [anon_sym_RBRACE] = ACTIONS(7573),
    [anon_sym_BSLASHand] = ACTIONS(7571),
    [sym_word] = ACTIONS(7571),
    [sym_placeholder] = ACTIONS(7573),
    [sym_delimiter] = ACTIONS(7573),
    [anon_sym_PLUS] = ACTIONS(7573),
    [anon_sym_DASH] = ACTIONS(7573),
    [anon_sym_STAR] = ACTIONS(7573),
    [anon_sym_SLASH] = ACTIONS(7573),
    [anon_sym_LT] = ACTIONS(7571),
    [anon_sym_GT] = ACTIONS(7571),
    [anon_sym_BANG] = ACTIONS(7571),
    [anon_sym_PIPE] = ACTIONS(7571),
    [anon_sym_COLON] = ACTIONS(7571),
    [anon_sym_SQUOTE] = ACTIONS(7571),
    [anon_sym__] = ACTIONS(7573),
    [anon_sym_CARET] = ACTIONS(7573),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(7573),
    [anon_sym_BSLASH_LBRACK] = ACTIONS(7573),
    [anon_sym_DOLLAR] = ACTIONS(7571),
    [anon_sym_BSLASH_LPAREN] = ACTIONS(7573),
    [anon_sym_BSLASHleft] = ACTIONS(7571),
    [anon_sym_BSLASHbigl] = ACTIONS(7571),
    [anon_sym_BSLASHBigl] = ACTIONS(7571),
    [anon_sym_BSLASHbiggl] = ACTIONS(7571),
    [anon_sym_BSLASHBiggl] = ACTIONS(7571),
    [anon_sym_BSLASHtext] = ACTIONS(7571),
    [anon_sym_BSLASHintertext] = ACTIONS(7571),
    [anon_sym_BSLASHshortintertext] = ACTIONS(7571),
    [anon_sym_BSLASHtitle] = ACTIONS(7571),
    [anon_sym_BSLASHauthor] = ACTIONS(7571),
    [anon_sym_BSLASHusepackage] = ACTIONS(7571),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7571),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7571),
    [anon_sym_BSLASHinclude] = ACTIONS(7571),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7571),
    [anon_sym_BSLASHinput] = ACTIONS(7571),
    [anon_sym_BSLASHsubfile] = ACTIONS(7571),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7571),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7571),
    [anon_sym_BSLASHbibliography] = ACTIONS(7571),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7571),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7571),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7571),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7571),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7571),
    [anon_sym_BSLASHimport] = ACTIONS(7571),
    [anon_sym_BSLASHsubimport] = ACTIONS(7571),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7571),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7571),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7571),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7571),
    [anon_sym_BSLASHcaption] = ACTIONS(7571),
    [anon_sym_BSLASHcite] = ACTIONS(7571),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCite] = ACTIONS(7571),
    [anon_sym_BSLASHnocite] = ACTIONS(7571),
    [anon_sym_BSLASHcitet] = ACTIONS(7571),
    [anon_sym_BSLASHcitep] = ACTIONS(7571),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteA] = ACTIONS(7571),
    [anon_sym_BSLASHciteR] = ACTIONS(7571),
    [anon_sym_BSLASHciteS] = ACTIONS(7571),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7571),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7571),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7571),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7571),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteyear] = ACTIONS(7571),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitedate] = ACTIONS(7571),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteurl] = ACTIONS(7571),
    [anon_sym_BSLASHfullcite] = ACTIONS(7571),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7571),
    [anon_sym_BSLASHcitealt] = ACTIONS(7571),
    [anon_sym_BSLASHcitealp] = ACTIONS(7571),
    [anon_sym_BSLASHcitetext] = ACTIONS(7571),
    [anon_sym_BSLASHparencite] = ACTIONS(7571),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHParencite] = ACTIONS(7571),
    [anon_sym_BSLASHfootcite] = ACTIONS(7571),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7571),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7571),
    [anon_sym_BSLASHtextcite] = ACTIONS(7571),
    [anon_sym_BSLASHTextcite] = ACTIONS(7571),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7571),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7571),
    [anon_sym_BSLASHsupercite] = ACTIONS(7571),
    [anon_sym_BSLASHautocite] = ACTIONS(7571),
    [anon_sym_BSLASHAutocite] = ACTIONS(7571),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHVolcite] = ACTIONS(7571),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHavolcite] = ACTIONS(7571),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHNotecite] = ACTIONS(7571),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHlabel] = ACTIONS(7571),
    [anon_sym_BSLASHref] = ACTIONS(7571),
    [anon_sym_BSLASHeqref] = ACTIONS(7571),
    [anon_sym_BSLASHvref] = ACTIONS(7571),
    [anon_sym_BSLASHVref] = ACTIONS(7571),
    [anon_sym_BSLASHautoref] = ACTIONS(7571),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHpageref] = ACTIONS(7571),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHautopageref] = ACTIONS(7571),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcref] = ACTIONS(7571),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCref] = ACTIONS(7571),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcpageref] = ACTIONS(7571),
    [anon_sym_BSLASHCpageref] = ACTIONS(7571),
    [anon_sym_BSLASHnamecref] = ACTIONS(7571),
    [anon_sym_BSLASHnameCref] = ACTIONS(7571),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7571),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7571),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7571),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7571),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7571),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7571),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7571),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7571),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7571),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7571),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7571),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHdef] = ACTIONS(7571),
    [anon_sym_BSLASHgdef] = ACTIONS(7571),
    [anon_sym_BSLASHedef] = ACTIONS(7571),
    [anon_sym_BSLASHxdef] = ACTIONS(7571),
    [anon_sym_BSLASHlet] = ACTIONS(7571),
    [anon_sym_BSLASHglet] = ACTIONS(7571),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7571),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7571),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7571),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7571),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7571),
    [anon_sym_BSLASHgls] = ACTIONS(7571),
    [anon_sym_BSLASHGls] = ACTIONS(7571),
    [anon_sym_BSLASHGLS] = ACTIONS(7571),
    [anon_sym_BSLASHglspl] = ACTIONS(7571),
    [anon_sym_BSLASHGlspl] = ACTIONS(7571),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7571),
    [anon_sym_BSLASHglslink] = ACTIONS(7571),
    [anon_sym_BSLASHglstext] = ACTIONS(7571),
    [anon_sym_BSLASHGlstext] = ACTIONS(7571),
    [anon_sym_BSLASHGLStext] = ACTIONS(7571),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7571),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7571),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7571),
    [anon_sym_BSLASHglsplural] = ACTIONS(7571),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7571),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7571),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHglsname] = ACTIONS(7571),
    [anon_sym_BSLASHGlsname] = ACTIONS(7571),
    [anon_sym_BSLASHGLSname] = ACTIONS(7571),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7571),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7571),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7571),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7571),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7571),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7571),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7571),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7571),
    [anon_sym_BSLASHacrshort] = ACTIONS(7571),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7571),
    [anon_sym_BSLASHACRshort] = ACTIONS(7571),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHacrlong] = ACTIONS(7571),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7571),
    [anon_sym_BSLASHACRlong] = ACTIONS(7571),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHacrfull] = ACTIONS(7571),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7571),
    [anon_sym_BSLASHACRfull] = ACTIONS(7571),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHacs] = ACTIONS(7571),
    [anon_sym_BSLASHAcs] = ACTIONS(7571),
    [anon_sym_BSLASHacsp] = ACTIONS(7571),
    [anon_sym_BSLASHAcsp] = ACTIONS(7571),
    [anon_sym_BSLASHacl] = ACTIONS(7571),
    [anon_sym_BSLASHAcl] = ACTIONS(7571),
    [anon_sym_BSLASHaclp] = ACTIONS(7571),
    [anon_sym_BSLASHAclp] = ACTIONS(7571),
    [anon_sym_BSLASHacf] = ACTIONS(7571),
    [anon_sym_BSLASHAcf] = ACTIONS(7571),
    [anon_sym_BSLASHacfp] = ACTIONS(7571),
    [anon_sym_BSLASHAcfp] = ACTIONS(7571),
    [anon_sym_BSLASHac] = ACTIONS(7571),
    [anon_sym_BSLASHAc] = ACTIONS(7571),
    [anon_sym_BSLASHacp] = ACTIONS(7571),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7571),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7571),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7571),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7571),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7571),
    [anon_sym_BSLASHcolor] = ACTIONS(7571),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7571),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7571),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7571),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7571),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7571),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7571),
    [anon_sym_BSLASHurl] = ACTIONS(7571),
    [anon_sym_BSLASHhref] = ACTIONS(7571),
  },
  [2209] = {
    [sym_curly_group] = STATE(2222),
    [sym_brack_group_text] = STATE(3090),
    [sym_command_name] = ACTIONS(6881),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6881),
    [anon_sym_LBRACK] = ACTIONS(6883),
    [anon_sym_RBRACK] = ACTIONS(6885),
    [anon_sym_COMMA] = ACTIONS(6885),
    [anon_sym_EQ] = ACTIONS(6885),
    [anon_sym_LBRACE] = ACTIONS(7867),
    [anon_sym_RBRACE] = ACTIONS(6885),
    [sym_word] = ACTIONS(6881),
    [sym_placeholder] = ACTIONS(6885),
    [sym_delimiter] = ACTIONS(6885),
    [anon_sym_PLUS] = ACTIONS(6885),
    [anon_sym_DASH] = ACTIONS(6885),
    [anon_sym_STAR] = ACTIONS(6885),
    [anon_sym_SLASH] = ACTIONS(6885),
    [anon_sym_LT] = ACTIONS(6881),
    [anon_sym_GT] = ACTIONS(6881),
    [anon_sym_BANG] = ACTIONS(6881),
    [anon_sym_PIPE] = ACTIONS(6881),
    [anon_sym_COLON] = ACTIONS(6881),
    [anon_sym_SQUOTE] = ACTIONS(6881),
    [anon_sym__] = ACTIONS(6885),
    [anon_sym_CARET] = ACTIONS(6885),
    [anon_sym_BSLASHtitle] = ACTIONS(6881),
    [anon_sym_BSLASHauthor] = ACTIONS(6881),
    [anon_sym_BSLASHusepackage] = ACTIONS(6881),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6881),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6881),
    [anon_sym_BSLASHinclude] = ACTIONS(6881),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6881),
    [anon_sym_BSLASHinput] = ACTIONS(6881),
    [anon_sym_BSLASHsubfile] = ACTIONS(6881),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6881),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6881),
    [anon_sym_BSLASHbibliography] = ACTIONS(6881),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6881),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6881),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6881),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6881),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6881),
    [anon_sym_BSLASHimport] = ACTIONS(6881),
    [anon_sym_BSLASHsubimport] = ACTIONS(6881),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6881),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6881),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6881),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6881),
    [anon_sym_BSLASHcaption] = ACTIONS(6881),
    [anon_sym_BSLASHcite] = ACTIONS(6881),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCite] = ACTIONS(6881),
    [anon_sym_BSLASHnocite] = ACTIONS(6881),
    [anon_sym_BSLASHcitet] = ACTIONS(6881),
    [anon_sym_BSLASHcitep] = ACTIONS(6881),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteA] = ACTIONS(6881),
    [anon_sym_BSLASHciteR] = ACTIONS(6881),
    [anon_sym_BSLASHciteS] = ACTIONS(6881),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6881),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6881),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6881),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6881),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteyear] = ACTIONS(6881),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcitedate] = ACTIONS(6881),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHciteurl] = ACTIONS(6881),
    [anon_sym_BSLASHfullcite] = ACTIONS(6881),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6881),
    [anon_sym_BSLASHcitealt] = ACTIONS(6881),
    [anon_sym_BSLASHcitealp] = ACTIONS(6881),
    [anon_sym_BSLASHcitetext] = ACTIONS(6881),
    [anon_sym_BSLASHparencite] = ACTIONS(6881),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHParencite] = ACTIONS(6881),
    [anon_sym_BSLASHfootcite] = ACTIONS(6881),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6881),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6881),
    [anon_sym_BSLASHtextcite] = ACTIONS(6881),
    [anon_sym_BSLASHTextcite] = ACTIONS(6881),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6881),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6881),
    [anon_sym_BSLASHsupercite] = ACTIONS(6881),
    [anon_sym_BSLASHautocite] = ACTIONS(6881),
    [anon_sym_BSLASHAutocite] = ACTIONS(6881),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHVolcite] = ACTIONS(6881),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHavolcite] = ACTIONS(6881),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6881),
    [anon_sym_BSLASHnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHNotecite] = ACTIONS(6881),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6881),
    [anon_sym_BSLASHlabel] = ACTIONS(6881),
    [anon_sym_BSLASHref] = ACTIONS(6881),
    [anon_sym_BSLASHeqref] = ACTIONS(6881),
    [anon_sym_BSLASHvref] = ACTIONS(6881),
    [anon_sym_BSLASHVref] = ACTIONS(6881),
    [anon_sym_BSLASHautoref] = ACTIONS(6881),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHpageref] = ACTIONS(6881),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHautopageref] = ACTIONS(6881),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcref] = ACTIONS(6881),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCref] = ACTIONS(6881),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcpageref] = ACTIONS(6881),
    [anon_sym_BSLASHCpageref] = ACTIONS(6881),
    [anon_sym_BSLASHnamecref] = ACTIONS(6881),
    [anon_sym_BSLASHnameCref] = ACTIONS(6881),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6881),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6881),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6881),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6881),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6881),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6881),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6881),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6881),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6881),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6881),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6881),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6881),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6881),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6881),
    [anon_sym_BSLASHdef] = ACTIONS(6881),
    [anon_sym_BSLASHgdef] = ACTIONS(6881),
    [anon_sym_BSLASHedef] = ACTIONS(6881),
    [anon_sym_BSLASHxdef] = ACTIONS(6881),
    [anon_sym_BSLASHlet] = ACTIONS(6881),
    [anon_sym_BSLASHglet] = ACTIONS(6881),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6881),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6881),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6881),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6881),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6881),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6881),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6881),
    [anon_sym_BSLASHgls] = ACTIONS(6881),
    [anon_sym_BSLASHGls] = ACTIONS(6881),
    [anon_sym_BSLASHGLS] = ACTIONS(6881),
    [anon_sym_BSLASHglspl] = ACTIONS(6881),
    [anon_sym_BSLASHGlspl] = ACTIONS(6881),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6881),
    [anon_sym_BSLASHglslink] = ACTIONS(6881),
    [anon_sym_BSLASHglstext] = ACTIONS(6881),
    [anon_sym_BSLASHGlstext] = ACTIONS(6881),
    [anon_sym_BSLASHGLStext] = ACTIONS(6881),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6881),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6881),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6881),
    [anon_sym_BSLASHglsplural] = ACTIONS(6881),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6881),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6881),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6881),
    [anon_sym_BSLASHglsname] = ACTIONS(6881),
    [anon_sym_BSLASHGlsname] = ACTIONS(6881),
    [anon_sym_BSLASHGLSname] = ACTIONS(6881),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6881),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6881),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6881),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6881),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6881),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6881),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6881),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6881),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6881),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6881),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6881),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6881),
    [anon_sym_BSLASHacrshort] = ACTIONS(6881),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6881),
    [anon_sym_BSLASHACRshort] = ACTIONS(6881),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHacrlong] = ACTIONS(6881),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6881),
    [anon_sym_BSLASHACRlong] = ACTIONS(6881),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6881),
    [anon_sym_BSLASHacrfull] = ACTIONS(6881),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6881),
    [anon_sym_BSLASHACRfull] = ACTIONS(6881),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHacs] = ACTIONS(6881),
    [anon_sym_BSLASHAcs] = ACTIONS(6881),
    [anon_sym_BSLASHacsp] = ACTIONS(6881),
    [anon_sym_BSLASHAcsp] = ACTIONS(6881),
    [anon_sym_BSLASHacl] = ACTIONS(6881),
    [anon_sym_BSLASHAcl] = ACTIONS(6881),
    [anon_sym_BSLASHaclp] = ACTIONS(6881),
    [anon_sym_BSLASHAclp] = ACTIONS(6881),
    [anon_sym_BSLASHacf] = ACTIONS(6881),
    [anon_sym_BSLASHAcf] = ACTIONS(6881),
    [anon_sym_BSLASHacfp] = ACTIONS(6881),
    [anon_sym_BSLASHAcfp] = ACTIONS(6881),
    [anon_sym_BSLASHac] = ACTIONS(6881),
    [anon_sym_BSLASHAc] = ACTIONS(6881),
    [anon_sym_BSLASHacp] = ACTIONS(6881),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6881),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6881),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6881),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6881),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6881),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6885),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6881),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6881),
    [anon_sym_BSLASHcolor] = ACTIONS(6881),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6881),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6881),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6881),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6881),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6881),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6881),
    [anon_sym_BSLASHurl] = ACTIONS(6881),
    [anon_sym_BSLASHhref] = ACTIONS(6881),
  },
  [2210] = {
    [sym_curly_group] = STATE(2215),
    [sym_brack_group_text] = STATE(3072),
    [sym_command_name] = ACTIONS(6905),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6905),
    [anon_sym_LBRACK] = ACTIONS(6883),
    [anon_sym_RBRACK] = ACTIONS(6907),
    [anon_sym_COMMA] = ACTIONS(6907),
    [anon_sym_EQ] = ACTIONS(6907),
    [anon_sym_LBRACE] = ACTIONS(7867),
    [anon_sym_RBRACE] = ACTIONS(6907),
    [sym_word] = ACTIONS(6905),
    [sym_placeholder] = ACTIONS(6907),
    [sym_delimiter] = ACTIONS(6907),
    [anon_sym_PLUS] = ACTIONS(6907),
    [anon_sym_DASH] = ACTIONS(6907),
    [anon_sym_STAR] = ACTIONS(6907),
    [anon_sym_SLASH] = ACTIONS(6907),
    [anon_sym_LT] = ACTIONS(6905),
    [anon_sym_GT] = ACTIONS(6905),
    [anon_sym_BANG] = ACTIONS(6905),
    [anon_sym_PIPE] = ACTIONS(6905),
    [anon_sym_COLON] = ACTIONS(6905),
    [anon_sym_SQUOTE] = ACTIONS(6905),
    [anon_sym__] = ACTIONS(6907),
    [anon_sym_CARET] = ACTIONS(6907),
    [anon_sym_BSLASHtitle] = ACTIONS(6905),
    [anon_sym_BSLASHauthor] = ACTIONS(6905),
    [anon_sym_BSLASHusepackage] = ACTIONS(6905),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6905),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6905),
    [anon_sym_BSLASHinclude] = ACTIONS(6905),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6905),
    [anon_sym_BSLASHinput] = ACTIONS(6905),
    [anon_sym_BSLASHsubfile] = ACTIONS(6905),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6905),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6905),
    [anon_sym_BSLASHbibliography] = ACTIONS(6905),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6905),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6905),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6905),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6905),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6905),
    [anon_sym_BSLASHimport] = ACTIONS(6905),
    [anon_sym_BSLASHsubimport] = ACTIONS(6905),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6905),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6905),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6905),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6905),
    [anon_sym_BSLASHcaption] = ACTIONS(6905),
    [anon_sym_BSLASHcite] = ACTIONS(6905),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCite] = ACTIONS(6905),
    [anon_sym_BSLASHnocite] = ACTIONS(6905),
    [anon_sym_BSLASHcitet] = ACTIONS(6905),
    [anon_sym_BSLASHcitep] = ACTIONS(6905),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteA] = ACTIONS(6905),
    [anon_sym_BSLASHciteR] = ACTIONS(6905),
    [anon_sym_BSLASHciteS] = ACTIONS(6905),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6905),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6905),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6905),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6905),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteyear] = ACTIONS(6905),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcitedate] = ACTIONS(6905),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHciteurl] = ACTIONS(6905),
    [anon_sym_BSLASHfullcite] = ACTIONS(6905),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6905),
    [anon_sym_BSLASHcitealt] = ACTIONS(6905),
    [anon_sym_BSLASHcitealp] = ACTIONS(6905),
    [anon_sym_BSLASHcitetext] = ACTIONS(6905),
    [anon_sym_BSLASHparencite] = ACTIONS(6905),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHParencite] = ACTIONS(6905),
    [anon_sym_BSLASHfootcite] = ACTIONS(6905),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6905),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6905),
    [anon_sym_BSLASHtextcite] = ACTIONS(6905),
    [anon_sym_BSLASHTextcite] = ACTIONS(6905),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6905),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6905),
    [anon_sym_BSLASHsupercite] = ACTIONS(6905),
    [anon_sym_BSLASHautocite] = ACTIONS(6905),
    [anon_sym_BSLASHAutocite] = ACTIONS(6905),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHVolcite] = ACTIONS(6905),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHavolcite] = ACTIONS(6905),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6905),
    [anon_sym_BSLASHnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHNotecite] = ACTIONS(6905),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6905),
    [anon_sym_BSLASHlabel] = ACTIONS(6905),
    [anon_sym_BSLASHref] = ACTIONS(6905),
    [anon_sym_BSLASHeqref] = ACTIONS(6905),
    [anon_sym_BSLASHvref] = ACTIONS(6905),
    [anon_sym_BSLASHVref] = ACTIONS(6905),
    [anon_sym_BSLASHautoref] = ACTIONS(6905),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHpageref] = ACTIONS(6905),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHautopageref] = ACTIONS(6905),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcref] = ACTIONS(6905),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCref] = ACTIONS(6905),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcpageref] = ACTIONS(6905),
    [anon_sym_BSLASHCpageref] = ACTIONS(6905),
    [anon_sym_BSLASHnamecref] = ACTIONS(6905),
    [anon_sym_BSLASHnameCref] = ACTIONS(6905),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6905),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6905),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6905),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6905),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6905),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6905),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6905),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6905),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6905),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6905),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6905),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6905),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6905),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6905),
    [anon_sym_BSLASHdef] = ACTIONS(6905),
    [anon_sym_BSLASHgdef] = ACTIONS(6905),
    [anon_sym_BSLASHedef] = ACTIONS(6905),
    [anon_sym_BSLASHxdef] = ACTIONS(6905),
    [anon_sym_BSLASHlet] = ACTIONS(6905),
    [anon_sym_BSLASHglet] = ACTIONS(6905),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6905),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6905),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6905),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6905),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6905),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6905),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6905),
    [anon_sym_BSLASHgls] = ACTIONS(6905),
    [anon_sym_BSLASHGls] = ACTIONS(6905),
    [anon_sym_BSLASHGLS] = ACTIONS(6905),
    [anon_sym_BSLASHglspl] = ACTIONS(6905),
    [anon_sym_BSLASHGlspl] = ACTIONS(6905),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6905),
    [anon_sym_BSLASHglslink] = ACTIONS(6905),
    [anon_sym_BSLASHglstext] = ACTIONS(6905),
    [anon_sym_BSLASHGlstext] = ACTIONS(6905),
    [anon_sym_BSLASHGLStext] = ACTIONS(6905),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6905),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6905),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6905),
    [anon_sym_BSLASHglsplural] = ACTIONS(6905),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6905),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6905),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6905),
    [anon_sym_BSLASHglsname] = ACTIONS(6905),
    [anon_sym_BSLASHGlsname] = ACTIONS(6905),
    [anon_sym_BSLASHGLSname] = ACTIONS(6905),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6905),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6905),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6905),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6905),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6905),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6905),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6905),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6905),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6905),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6905),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6905),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6905),
    [anon_sym_BSLASHacrshort] = ACTIONS(6905),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6905),
    [anon_sym_BSLASHACRshort] = ACTIONS(6905),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHacrlong] = ACTIONS(6905),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6905),
    [anon_sym_BSLASHACRlong] = ACTIONS(6905),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6905),
    [anon_sym_BSLASHacrfull] = ACTIONS(6905),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6905),
    [anon_sym_BSLASHACRfull] = ACTIONS(6905),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHacs] = ACTIONS(6905),
    [anon_sym_BSLASHAcs] = ACTIONS(6905),
    [anon_sym_BSLASHacsp] = ACTIONS(6905),
    [anon_sym_BSLASHAcsp] = ACTIONS(6905),
    [anon_sym_BSLASHacl] = ACTIONS(6905),
    [anon_sym_BSLASHAcl] = ACTIONS(6905),
    [anon_sym_BSLASHaclp] = ACTIONS(6905),
    [anon_sym_BSLASHAclp] = ACTIONS(6905),
    [anon_sym_BSLASHacf] = ACTIONS(6905),
    [anon_sym_BSLASHAcf] = ACTIONS(6905),
    [anon_sym_BSLASHacfp] = ACTIONS(6905),
    [anon_sym_BSLASHAcfp] = ACTIONS(6905),
    [anon_sym_BSLASHac] = ACTIONS(6905),
    [anon_sym_BSLASHAc] = ACTIONS(6905),
    [anon_sym_BSLASHacp] = ACTIONS(6905),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6905),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6905),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6905),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6905),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6905),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6907),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6905),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6905),
    [anon_sym_BSLASHcolor] = ACTIONS(6905),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6905),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6905),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6905),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6905),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6905),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6905),
    [anon_sym_BSLASHurl] = ACTIONS(6905),
    [anon_sym_BSLASHhref] = ACTIONS(6905),
  },
  [2211] = {
    [sym_curly_group] = STATE(2232),
    [aux_sym_generic_command_repeat1] = STATE(2211),
    [sym_command_name] = ACTIONS(6864),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6864),
    [anon_sym_RBRACK] = ACTIONS(6866),
    [anon_sym_COMMA] = ACTIONS(6866),
    [anon_sym_EQ] = ACTIONS(6866),
    [anon_sym_LBRACE] = ACTIONS(7869),
    [anon_sym_RBRACE] = ACTIONS(6866),
    [sym_word] = ACTIONS(6864),
    [sym_placeholder] = ACTIONS(6866),
    [sym_delimiter] = ACTIONS(6866),
    [anon_sym_PLUS] = ACTIONS(6866),
    [anon_sym_DASH] = ACTIONS(6866),
    [anon_sym_STAR] = ACTIONS(6866),
    [anon_sym_SLASH] = ACTIONS(6866),
    [anon_sym_LT] = ACTIONS(6864),
    [anon_sym_GT] = ACTIONS(6864),
    [anon_sym_BANG] = ACTIONS(6864),
    [anon_sym_PIPE] = ACTIONS(6864),
    [anon_sym_COLON] = ACTIONS(6864),
    [anon_sym_SQUOTE] = ACTIONS(6864),
    [anon_sym__] = ACTIONS(6866),
    [anon_sym_CARET] = ACTIONS(6866),
    [anon_sym_BSLASHtitle] = ACTIONS(6864),
    [anon_sym_BSLASHauthor] = ACTIONS(6864),
    [anon_sym_BSLASHusepackage] = ACTIONS(6864),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6864),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6864),
    [anon_sym_BSLASHinclude] = ACTIONS(6864),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6864),
    [anon_sym_BSLASHinput] = ACTIONS(6864),
    [anon_sym_BSLASHsubfile] = ACTIONS(6864),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6864),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6864),
    [anon_sym_BSLASHbibliography] = ACTIONS(6864),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6864),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6864),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6864),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6864),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6864),
    [anon_sym_BSLASHimport] = ACTIONS(6864),
    [anon_sym_BSLASHsubimport] = ACTIONS(6864),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6864),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6864),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6864),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6864),
    [anon_sym_BSLASHcaption] = ACTIONS(6864),
    [anon_sym_BSLASHcite] = ACTIONS(6864),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCite] = ACTIONS(6864),
    [anon_sym_BSLASHnocite] = ACTIONS(6864),
    [anon_sym_BSLASHcitet] = ACTIONS(6864),
    [anon_sym_BSLASHcitep] = ACTIONS(6864),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteA] = ACTIONS(6864),
    [anon_sym_BSLASHciteR] = ACTIONS(6864),
    [anon_sym_BSLASHciteS] = ACTIONS(6864),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6864),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6864),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6864),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6864),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteyear] = ACTIONS(6864),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcitedate] = ACTIONS(6864),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHciteurl] = ACTIONS(6864),
    [anon_sym_BSLASHfullcite] = ACTIONS(6864),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6864),
    [anon_sym_BSLASHcitealt] = ACTIONS(6864),
    [anon_sym_BSLASHcitealp] = ACTIONS(6864),
    [anon_sym_BSLASHcitetext] = ACTIONS(6864),
    [anon_sym_BSLASHparencite] = ACTIONS(6864),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHParencite] = ACTIONS(6864),
    [anon_sym_BSLASHfootcite] = ACTIONS(6864),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6864),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6864),
    [anon_sym_BSLASHtextcite] = ACTIONS(6864),
    [anon_sym_BSLASHTextcite] = ACTIONS(6864),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6864),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6864),
    [anon_sym_BSLASHsupercite] = ACTIONS(6864),
    [anon_sym_BSLASHautocite] = ACTIONS(6864),
    [anon_sym_BSLASHAutocite] = ACTIONS(6864),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHVolcite] = ACTIONS(6864),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHavolcite] = ACTIONS(6864),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6864),
    [anon_sym_BSLASHnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHNotecite] = ACTIONS(6864),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6864),
    [anon_sym_BSLASHlabel] = ACTIONS(6864),
    [anon_sym_BSLASHref] = ACTIONS(6864),
    [anon_sym_BSLASHeqref] = ACTIONS(6864),
    [anon_sym_BSLASHvref] = ACTIONS(6864),
    [anon_sym_BSLASHVref] = ACTIONS(6864),
    [anon_sym_BSLASHautoref] = ACTIONS(6864),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHpageref] = ACTIONS(6864),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHautopageref] = ACTIONS(6864),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcref] = ACTIONS(6864),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCref] = ACTIONS(6864),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcpageref] = ACTIONS(6864),
    [anon_sym_BSLASHCpageref] = ACTIONS(6864),
    [anon_sym_BSLASHnamecref] = ACTIONS(6864),
    [anon_sym_BSLASHnameCref] = ACTIONS(6864),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6864),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6864),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6864),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6864),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6864),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6864),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6864),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6864),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6864),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6864),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6864),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6864),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6864),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6864),
    [anon_sym_BSLASHdef] = ACTIONS(6864),
    [anon_sym_BSLASHgdef] = ACTIONS(6864),
    [anon_sym_BSLASHedef] = ACTIONS(6864),
    [anon_sym_BSLASHxdef] = ACTIONS(6864),
    [anon_sym_BSLASHlet] = ACTIONS(6864),
    [anon_sym_BSLASHglet] = ACTIONS(6864),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6864),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6864),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6864),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6864),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6864),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6864),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6864),
    [anon_sym_BSLASHgls] = ACTIONS(6864),
    [anon_sym_BSLASHGls] = ACTIONS(6864),
    [anon_sym_BSLASHGLS] = ACTIONS(6864),
    [anon_sym_BSLASHglspl] = ACTIONS(6864),
    [anon_sym_BSLASHGlspl] = ACTIONS(6864),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6864),
    [anon_sym_BSLASHglslink] = ACTIONS(6864),
    [anon_sym_BSLASHglstext] = ACTIONS(6864),
    [anon_sym_BSLASHGlstext] = ACTIONS(6864),
    [anon_sym_BSLASHGLStext] = ACTIONS(6864),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6864),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6864),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6864),
    [anon_sym_BSLASHglsplural] = ACTIONS(6864),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6864),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6864),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6864),
    [anon_sym_BSLASHglsname] = ACTIONS(6864),
    [anon_sym_BSLASHGlsname] = ACTIONS(6864),
    [anon_sym_BSLASHGLSname] = ACTIONS(6864),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6864),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6864),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6864),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6864),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6864),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6864),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6864),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6864),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6864),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6864),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6864),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6864),
    [anon_sym_BSLASHacrshort] = ACTIONS(6864),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6864),
    [anon_sym_BSLASHACRshort] = ACTIONS(6864),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHacrlong] = ACTIONS(6864),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6864),
    [anon_sym_BSLASHACRlong] = ACTIONS(6864),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6864),
    [anon_sym_BSLASHacrfull] = ACTIONS(6864),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6864),
    [anon_sym_BSLASHACRfull] = ACTIONS(6864),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHacs] = ACTIONS(6864),
    [anon_sym_BSLASHAcs] = ACTIONS(6864),
    [anon_sym_BSLASHacsp] = ACTIONS(6864),
    [anon_sym_BSLASHAcsp] = ACTIONS(6864),
    [anon_sym_BSLASHacl] = ACTIONS(6864),
    [anon_sym_BSLASHAcl] = ACTIONS(6864),
    [anon_sym_BSLASHaclp] = ACTIONS(6864),
    [anon_sym_BSLASHAclp] = ACTIONS(6864),
    [anon_sym_BSLASHacf] = ACTIONS(6864),
    [anon_sym_BSLASHAcf] = ACTIONS(6864),
    [anon_sym_BSLASHacfp] = ACTIONS(6864),
    [anon_sym_BSLASHAcfp] = ACTIONS(6864),
    [anon_sym_BSLASHac] = ACTIONS(6864),
    [anon_sym_BSLASHAc] = ACTIONS(6864),
    [anon_sym_BSLASHacp] = ACTIONS(6864),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6864),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6864),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6864),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6864),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6864),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6866),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6864),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6864),
    [anon_sym_BSLASHcolor] = ACTIONS(6864),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6864),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6864),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6864),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6864),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6864),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6864),
    [anon_sym_BSLASHurl] = ACTIONS(6864),
    [anon_sym_BSLASHhref] = ACTIONS(6864),
  },
  [2212] = {
    [sym_curly_group] = STATE(2232),
    [aux_sym_generic_command_repeat1] = STATE(2213),
    [sym_command_name] = ACTIONS(6889),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6889),
    [anon_sym_RBRACK] = ACTIONS(6891),
    [anon_sym_COMMA] = ACTIONS(6891),
    [anon_sym_EQ] = ACTIONS(6891),
    [anon_sym_LBRACE] = ACTIONS(7867),
    [anon_sym_RBRACE] = ACTIONS(6891),
    [sym_word] = ACTIONS(6889),
    [sym_placeholder] = ACTIONS(6891),
    [sym_delimiter] = ACTIONS(6891),
    [anon_sym_PLUS] = ACTIONS(6891),
    [anon_sym_DASH] = ACTIONS(6891),
    [anon_sym_STAR] = ACTIONS(6891),
    [anon_sym_SLASH] = ACTIONS(6891),
    [anon_sym_LT] = ACTIONS(6889),
    [anon_sym_GT] = ACTIONS(6889),
    [anon_sym_BANG] = ACTIONS(6889),
    [anon_sym_PIPE] = ACTIONS(6889),
    [anon_sym_COLON] = ACTIONS(6889),
    [anon_sym_SQUOTE] = ACTIONS(6889),
    [anon_sym__] = ACTIONS(6891),
    [anon_sym_CARET] = ACTIONS(6891),
    [anon_sym_BSLASHtitle] = ACTIONS(6889),
    [anon_sym_BSLASHauthor] = ACTIONS(6889),
    [anon_sym_BSLASHusepackage] = ACTIONS(6889),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6889),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6889),
    [anon_sym_BSLASHinclude] = ACTIONS(6889),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6889),
    [anon_sym_BSLASHinput] = ACTIONS(6889),
    [anon_sym_BSLASHsubfile] = ACTIONS(6889),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6889),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6889),
    [anon_sym_BSLASHbibliography] = ACTIONS(6889),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6889),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6889),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6889),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6889),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6889),
    [anon_sym_BSLASHimport] = ACTIONS(6889),
    [anon_sym_BSLASHsubimport] = ACTIONS(6889),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6889),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6889),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6889),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6889),
    [anon_sym_BSLASHcaption] = ACTIONS(6889),
    [anon_sym_BSLASHcite] = ACTIONS(6889),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCite] = ACTIONS(6889),
    [anon_sym_BSLASHnocite] = ACTIONS(6889),
    [anon_sym_BSLASHcitet] = ACTIONS(6889),
    [anon_sym_BSLASHcitep] = ACTIONS(6889),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteA] = ACTIONS(6889),
    [anon_sym_BSLASHciteR] = ACTIONS(6889),
    [anon_sym_BSLASHciteS] = ACTIONS(6889),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6889),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6889),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6889),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6889),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteyear] = ACTIONS(6889),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcitedate] = ACTIONS(6889),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHciteurl] = ACTIONS(6889),
    [anon_sym_BSLASHfullcite] = ACTIONS(6889),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6889),
    [anon_sym_BSLASHcitealt] = ACTIONS(6889),
    [anon_sym_BSLASHcitealp] = ACTIONS(6889),
    [anon_sym_BSLASHcitetext] = ACTIONS(6889),
    [anon_sym_BSLASHparencite] = ACTIONS(6889),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHParencite] = ACTIONS(6889),
    [anon_sym_BSLASHfootcite] = ACTIONS(6889),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6889),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6889),
    [anon_sym_BSLASHtextcite] = ACTIONS(6889),
    [anon_sym_BSLASHTextcite] = ACTIONS(6889),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6889),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6889),
    [anon_sym_BSLASHsupercite] = ACTIONS(6889),
    [anon_sym_BSLASHautocite] = ACTIONS(6889),
    [anon_sym_BSLASHAutocite] = ACTIONS(6889),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHVolcite] = ACTIONS(6889),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHavolcite] = ACTIONS(6889),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6889),
    [anon_sym_BSLASHnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHNotecite] = ACTIONS(6889),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6889),
    [anon_sym_BSLASHlabel] = ACTIONS(6889),
    [anon_sym_BSLASHref] = ACTIONS(6889),
    [anon_sym_BSLASHeqref] = ACTIONS(6889),
    [anon_sym_BSLASHvref] = ACTIONS(6889),
    [anon_sym_BSLASHVref] = ACTIONS(6889),
    [anon_sym_BSLASHautoref] = ACTIONS(6889),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHpageref] = ACTIONS(6889),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHautopageref] = ACTIONS(6889),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcref] = ACTIONS(6889),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCref] = ACTIONS(6889),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcpageref] = ACTIONS(6889),
    [anon_sym_BSLASHCpageref] = ACTIONS(6889),
    [anon_sym_BSLASHnamecref] = ACTIONS(6889),
    [anon_sym_BSLASHnameCref] = ACTIONS(6889),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6889),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6889),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6889),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6889),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6889),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6889),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6889),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6889),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6889),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6889),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6889),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6889),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6889),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6889),
    [anon_sym_BSLASHdef] = ACTIONS(6889),
    [anon_sym_BSLASHgdef] = ACTIONS(6889),
    [anon_sym_BSLASHedef] = ACTIONS(6889),
    [anon_sym_BSLASHxdef] = ACTIONS(6889),
    [anon_sym_BSLASHlet] = ACTIONS(6889),
    [anon_sym_BSLASHglet] = ACTIONS(6889),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6889),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6889),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6889),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6889),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6889),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6889),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6889),
    [anon_sym_BSLASHgls] = ACTIONS(6889),
    [anon_sym_BSLASHGls] = ACTIONS(6889),
    [anon_sym_BSLASHGLS] = ACTIONS(6889),
    [anon_sym_BSLASHglspl] = ACTIONS(6889),
    [anon_sym_BSLASHGlspl] = ACTIONS(6889),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6889),
    [anon_sym_BSLASHglslink] = ACTIONS(6889),
    [anon_sym_BSLASHglstext] = ACTIONS(6889),
    [anon_sym_BSLASHGlstext] = ACTIONS(6889),
    [anon_sym_BSLASHGLStext] = ACTIONS(6889),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6889),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6889),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6889),
    [anon_sym_BSLASHglsplural] = ACTIONS(6889),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6889),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6889),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6889),
    [anon_sym_BSLASHglsname] = ACTIONS(6889),
    [anon_sym_BSLASHGlsname] = ACTIONS(6889),
    [anon_sym_BSLASHGLSname] = ACTIONS(6889),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6889),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6889),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6889),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6889),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6889),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6889),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6889),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6889),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6889),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6889),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6889),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6889),
    [anon_sym_BSLASHacrshort] = ACTIONS(6889),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6889),
    [anon_sym_BSLASHACRshort] = ACTIONS(6889),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHacrlong] = ACTIONS(6889),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6889),
    [anon_sym_BSLASHACRlong] = ACTIONS(6889),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6889),
    [anon_sym_BSLASHacrfull] = ACTIONS(6889),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6889),
    [anon_sym_BSLASHACRfull] = ACTIONS(6889),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHacs] = ACTIONS(6889),
    [anon_sym_BSLASHAcs] = ACTIONS(6889),
    [anon_sym_BSLASHacsp] = ACTIONS(6889),
    [anon_sym_BSLASHAcsp] = ACTIONS(6889),
    [anon_sym_BSLASHacl] = ACTIONS(6889),
    [anon_sym_BSLASHAcl] = ACTIONS(6889),
    [anon_sym_BSLASHaclp] = ACTIONS(6889),
    [anon_sym_BSLASHAclp] = ACTIONS(6889),
    [anon_sym_BSLASHacf] = ACTIONS(6889),
    [anon_sym_BSLASHAcf] = ACTIONS(6889),
    [anon_sym_BSLASHacfp] = ACTIONS(6889),
    [anon_sym_BSLASHAcfp] = ACTIONS(6889),
    [anon_sym_BSLASHac] = ACTIONS(6889),
    [anon_sym_BSLASHAc] = ACTIONS(6889),
    [anon_sym_BSLASHacp] = ACTIONS(6889),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6889),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6889),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6889),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6889),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6889),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6891),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6889),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6889),
    [anon_sym_BSLASHcolor] = ACTIONS(6889),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6889),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6889),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6889),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6889),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6889),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6889),
    [anon_sym_BSLASHurl] = ACTIONS(6889),
    [anon_sym_BSLASHhref] = ACTIONS(6889),
  },
  [2213] = {
    [sym_curly_group] = STATE(2232),
    [aux_sym_generic_command_repeat1] = STATE(2211),
    [sym_command_name] = ACTIONS(6901),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6901),
    [anon_sym_RBRACK] = ACTIONS(6903),
    [anon_sym_COMMA] = ACTIONS(6903),
    [anon_sym_EQ] = ACTIONS(6903),
    [anon_sym_LBRACE] = ACTIONS(7867),
    [anon_sym_RBRACE] = ACTIONS(6903),
    [sym_word] = ACTIONS(6901),
    [sym_placeholder] = ACTIONS(6903),
    [sym_delimiter] = ACTIONS(6903),
    [anon_sym_PLUS] = ACTIONS(6903),
    [anon_sym_DASH] = ACTIONS(6903),
    [anon_sym_STAR] = ACTIONS(6903),
    [anon_sym_SLASH] = ACTIONS(6903),
    [anon_sym_LT] = ACTIONS(6901),
    [anon_sym_GT] = ACTIONS(6901),
    [anon_sym_BANG] = ACTIONS(6901),
    [anon_sym_PIPE] = ACTIONS(6901),
    [anon_sym_COLON] = ACTIONS(6901),
    [anon_sym_SQUOTE] = ACTIONS(6901),
    [anon_sym__] = ACTIONS(6903),
    [anon_sym_CARET] = ACTIONS(6903),
    [anon_sym_BSLASHtitle] = ACTIONS(6901),
    [anon_sym_BSLASHauthor] = ACTIONS(6901),
    [anon_sym_BSLASHusepackage] = ACTIONS(6901),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6901),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6901),
    [anon_sym_BSLASHinclude] = ACTIONS(6901),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6901),
    [anon_sym_BSLASHinput] = ACTIONS(6901),
    [anon_sym_BSLASHsubfile] = ACTIONS(6901),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6901),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6901),
    [anon_sym_BSLASHbibliography] = ACTIONS(6901),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6901),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6901),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6901),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6901),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6901),
    [anon_sym_BSLASHimport] = ACTIONS(6901),
    [anon_sym_BSLASHsubimport] = ACTIONS(6901),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6901),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6901),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6901),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6901),
    [anon_sym_BSLASHcaption] = ACTIONS(6901),
    [anon_sym_BSLASHcite] = ACTIONS(6901),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCite] = ACTIONS(6901),
    [anon_sym_BSLASHnocite] = ACTIONS(6901),
    [anon_sym_BSLASHcitet] = ACTIONS(6901),
    [anon_sym_BSLASHcitep] = ACTIONS(6901),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteA] = ACTIONS(6901),
    [anon_sym_BSLASHciteR] = ACTIONS(6901),
    [anon_sym_BSLASHciteS] = ACTIONS(6901),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6901),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6901),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6901),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6901),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteyear] = ACTIONS(6901),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcitedate] = ACTIONS(6901),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHciteurl] = ACTIONS(6901),
    [anon_sym_BSLASHfullcite] = ACTIONS(6901),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6901),
    [anon_sym_BSLASHcitealt] = ACTIONS(6901),
    [anon_sym_BSLASHcitealp] = ACTIONS(6901),
    [anon_sym_BSLASHcitetext] = ACTIONS(6901),
    [anon_sym_BSLASHparencite] = ACTIONS(6901),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHParencite] = ACTIONS(6901),
    [anon_sym_BSLASHfootcite] = ACTIONS(6901),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6901),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6901),
    [anon_sym_BSLASHtextcite] = ACTIONS(6901),
    [anon_sym_BSLASHTextcite] = ACTIONS(6901),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6901),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6901),
    [anon_sym_BSLASHsupercite] = ACTIONS(6901),
    [anon_sym_BSLASHautocite] = ACTIONS(6901),
    [anon_sym_BSLASHAutocite] = ACTIONS(6901),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHVolcite] = ACTIONS(6901),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHavolcite] = ACTIONS(6901),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6901),
    [anon_sym_BSLASHnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHNotecite] = ACTIONS(6901),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6901),
    [anon_sym_BSLASHlabel] = ACTIONS(6901),
    [anon_sym_BSLASHref] = ACTIONS(6901),
    [anon_sym_BSLASHeqref] = ACTIONS(6901),
    [anon_sym_BSLASHvref] = ACTIONS(6901),
    [anon_sym_BSLASHVref] = ACTIONS(6901),
    [anon_sym_BSLASHautoref] = ACTIONS(6901),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHpageref] = ACTIONS(6901),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHautopageref] = ACTIONS(6901),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcref] = ACTIONS(6901),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCref] = ACTIONS(6901),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcpageref] = ACTIONS(6901),
    [anon_sym_BSLASHCpageref] = ACTIONS(6901),
    [anon_sym_BSLASHnamecref] = ACTIONS(6901),
    [anon_sym_BSLASHnameCref] = ACTIONS(6901),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6901),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6901),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6901),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6901),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6901),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6901),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6901),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6901),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6901),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6901),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6901),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6901),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6901),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6901),
    [anon_sym_BSLASHdef] = ACTIONS(6901),
    [anon_sym_BSLASHgdef] = ACTIONS(6901),
    [anon_sym_BSLASHedef] = ACTIONS(6901),
    [anon_sym_BSLASHxdef] = ACTIONS(6901),
    [anon_sym_BSLASHlet] = ACTIONS(6901),
    [anon_sym_BSLASHglet] = ACTIONS(6901),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6901),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6901),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6901),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6901),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6901),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6901),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6901),
    [anon_sym_BSLASHgls] = ACTIONS(6901),
    [anon_sym_BSLASHGls] = ACTIONS(6901),
    [anon_sym_BSLASHGLS] = ACTIONS(6901),
    [anon_sym_BSLASHglspl] = ACTIONS(6901),
    [anon_sym_BSLASHGlspl] = ACTIONS(6901),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6901),
    [anon_sym_BSLASHglslink] = ACTIONS(6901),
    [anon_sym_BSLASHglstext] = ACTIONS(6901),
    [anon_sym_BSLASHGlstext] = ACTIONS(6901),
    [anon_sym_BSLASHGLStext] = ACTIONS(6901),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6901),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6901),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6901),
    [anon_sym_BSLASHglsplural] = ACTIONS(6901),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6901),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6901),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6901),
    [anon_sym_BSLASHglsname] = ACTIONS(6901),
    [anon_sym_BSLASHGlsname] = ACTIONS(6901),
    [anon_sym_BSLASHGLSname] = ACTIONS(6901),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6901),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6901),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6901),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6901),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6901),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6901),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6901),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6901),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6901),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6901),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6901),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6901),
    [anon_sym_BSLASHacrshort] = ACTIONS(6901),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6901),
    [anon_sym_BSLASHACRshort] = ACTIONS(6901),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHacrlong] = ACTIONS(6901),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6901),
    [anon_sym_BSLASHACRlong] = ACTIONS(6901),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6901),
    [anon_sym_BSLASHacrfull] = ACTIONS(6901),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6901),
    [anon_sym_BSLASHACRfull] = ACTIONS(6901),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHacs] = ACTIONS(6901),
    [anon_sym_BSLASHAcs] = ACTIONS(6901),
    [anon_sym_BSLASHacsp] = ACTIONS(6901),
    [anon_sym_BSLASHAcsp] = ACTIONS(6901),
    [anon_sym_BSLASHacl] = ACTIONS(6901),
    [anon_sym_BSLASHAcl] = ACTIONS(6901),
    [anon_sym_BSLASHaclp] = ACTIONS(6901),
    [anon_sym_BSLASHAclp] = ACTIONS(6901),
    [anon_sym_BSLASHacf] = ACTIONS(6901),
    [anon_sym_BSLASHAcf] = ACTIONS(6901),
    [anon_sym_BSLASHacfp] = ACTIONS(6901),
    [anon_sym_BSLASHAcfp] = ACTIONS(6901),
    [anon_sym_BSLASHac] = ACTIONS(6901),
    [anon_sym_BSLASHAc] = ACTIONS(6901),
    [anon_sym_BSLASHacp] = ACTIONS(6901),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6901),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6901),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6901),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6901),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6901),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6903),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6901),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6901),
    [anon_sym_BSLASHcolor] = ACTIONS(6901),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6901),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6901),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6901),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6901),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6901),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6901),
    [anon_sym_BSLASHurl] = ACTIONS(6901),
    [anon_sym_BSLASHhref] = ACTIONS(6901),
  },
  [2214] = {
    [sym_curly_group] = STATE(2248),
    [sym_command_name] = ACTIONS(6943),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6943),
    [anon_sym_RBRACK] = ACTIONS(6945),
    [anon_sym_COMMA] = ACTIONS(6945),
    [anon_sym_EQ] = ACTIONS(6945),
    [anon_sym_LBRACE] = ACTIONS(7867),
    [anon_sym_RBRACE] = ACTIONS(6945),
    [sym_word] = ACTIONS(6943),
    [sym_placeholder] = ACTIONS(6945),
    [sym_delimiter] = ACTIONS(6945),
    [anon_sym_PLUS] = ACTIONS(6945),
    [anon_sym_DASH] = ACTIONS(6945),
    [anon_sym_STAR] = ACTIONS(6945),
    [anon_sym_SLASH] = ACTIONS(6945),
    [anon_sym_LT] = ACTIONS(6943),
    [anon_sym_GT] = ACTIONS(6943),
    [anon_sym_BANG] = ACTIONS(6943),
    [anon_sym_PIPE] = ACTIONS(6943),
    [anon_sym_COLON] = ACTIONS(6943),
    [anon_sym_SQUOTE] = ACTIONS(6943),
    [anon_sym__] = ACTIONS(6945),
    [anon_sym_CARET] = ACTIONS(6945),
    [anon_sym_BSLASHtitle] = ACTIONS(6943),
    [anon_sym_BSLASHauthor] = ACTIONS(6943),
    [anon_sym_BSLASHusepackage] = ACTIONS(6943),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6943),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6943),
    [anon_sym_BSLASHinclude] = ACTIONS(6943),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6943),
    [anon_sym_BSLASHinput] = ACTIONS(6943),
    [anon_sym_BSLASHsubfile] = ACTIONS(6943),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6943),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6943),
    [anon_sym_BSLASHbibliography] = ACTIONS(6943),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6943),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6943),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6943),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6943),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6943),
    [anon_sym_BSLASHimport] = ACTIONS(6943),
    [anon_sym_BSLASHsubimport] = ACTIONS(6943),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6943),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6943),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6943),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6943),
    [anon_sym_BSLASHcaption] = ACTIONS(6943),
    [anon_sym_BSLASHcite] = ACTIONS(6943),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCite] = ACTIONS(6943),
    [anon_sym_BSLASHnocite] = ACTIONS(6943),
    [anon_sym_BSLASHcitet] = ACTIONS(6943),
    [anon_sym_BSLASHcitep] = ACTIONS(6943),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteA] = ACTIONS(6943),
    [anon_sym_BSLASHciteR] = ACTIONS(6943),
    [anon_sym_BSLASHciteS] = ACTIONS(6943),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6943),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6943),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6943),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6943),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteyear] = ACTIONS(6943),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcitedate] = ACTIONS(6943),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHciteurl] = ACTIONS(6943),
    [anon_sym_BSLASHfullcite] = ACTIONS(6943),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6943),
    [anon_sym_BSLASHcitealt] = ACTIONS(6943),
    [anon_sym_BSLASHcitealp] = ACTIONS(6943),
    [anon_sym_BSLASHcitetext] = ACTIONS(6943),
    [anon_sym_BSLASHparencite] = ACTIONS(6943),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHParencite] = ACTIONS(6943),
    [anon_sym_BSLASHfootcite] = ACTIONS(6943),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6943),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6943),
    [anon_sym_BSLASHtextcite] = ACTIONS(6943),
    [anon_sym_BSLASHTextcite] = ACTIONS(6943),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6943),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6943),
    [anon_sym_BSLASHsupercite] = ACTIONS(6943),
    [anon_sym_BSLASHautocite] = ACTIONS(6943),
    [anon_sym_BSLASHAutocite] = ACTIONS(6943),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHVolcite] = ACTIONS(6943),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHavolcite] = ACTIONS(6943),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6943),
    [anon_sym_BSLASHnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHNotecite] = ACTIONS(6943),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6943),
    [anon_sym_BSLASHlabel] = ACTIONS(6943),
    [anon_sym_BSLASHref] = ACTIONS(6943),
    [anon_sym_BSLASHeqref] = ACTIONS(6943),
    [anon_sym_BSLASHvref] = ACTIONS(6943),
    [anon_sym_BSLASHVref] = ACTIONS(6943),
    [anon_sym_BSLASHautoref] = ACTIONS(6943),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHpageref] = ACTIONS(6943),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHautopageref] = ACTIONS(6943),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcref] = ACTIONS(6943),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCref] = ACTIONS(6943),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcpageref] = ACTIONS(6943),
    [anon_sym_BSLASHCpageref] = ACTIONS(6943),
    [anon_sym_BSLASHnamecref] = ACTIONS(6943),
    [anon_sym_BSLASHnameCref] = ACTIONS(6943),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6943),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6943),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6943),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6943),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6943),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6943),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6943),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6943),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6943),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6943),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6943),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6943),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6943),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6943),
    [anon_sym_BSLASHdef] = ACTIONS(6943),
    [anon_sym_BSLASHgdef] = ACTIONS(6943),
    [anon_sym_BSLASHedef] = ACTIONS(6943),
    [anon_sym_BSLASHxdef] = ACTIONS(6943),
    [anon_sym_BSLASHlet] = ACTIONS(6943),
    [anon_sym_BSLASHglet] = ACTIONS(6943),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6943),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6943),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6943),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6943),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6943),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6943),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6943),
    [anon_sym_BSLASHgls] = ACTIONS(6943),
    [anon_sym_BSLASHGls] = ACTIONS(6943),
    [anon_sym_BSLASHGLS] = ACTIONS(6943),
    [anon_sym_BSLASHglspl] = ACTIONS(6943),
    [anon_sym_BSLASHGlspl] = ACTIONS(6943),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6943),
    [anon_sym_BSLASHglslink] = ACTIONS(6943),
    [anon_sym_BSLASHglstext] = ACTIONS(6943),
    [anon_sym_BSLASHGlstext] = ACTIONS(6943),
    [anon_sym_BSLASHGLStext] = ACTIONS(6943),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6943),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6943),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6943),
    [anon_sym_BSLASHglsplural] = ACTIONS(6943),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6943),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6943),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6943),
    [anon_sym_BSLASHglsname] = ACTIONS(6943),
    [anon_sym_BSLASHGlsname] = ACTIONS(6943),
    [anon_sym_BSLASHGLSname] = ACTIONS(6943),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6943),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6943),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6943),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6943),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6943),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6943),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6943),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6943),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6943),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6943),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6943),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6943),
    [anon_sym_BSLASHacrshort] = ACTIONS(6943),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6943),
    [anon_sym_BSLASHACRshort] = ACTIONS(6943),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHacrlong] = ACTIONS(6943),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6943),
    [anon_sym_BSLASHACRlong] = ACTIONS(6943),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6943),
    [anon_sym_BSLASHacrfull] = ACTIONS(6943),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6943),
    [anon_sym_BSLASHACRfull] = ACTIONS(6943),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHacs] = ACTIONS(6943),
    [anon_sym_BSLASHAcs] = ACTIONS(6943),
    [anon_sym_BSLASHacsp] = ACTIONS(6943),
    [anon_sym_BSLASHAcsp] = ACTIONS(6943),
    [anon_sym_BSLASHacl] = ACTIONS(6943),
    [anon_sym_BSLASHAcl] = ACTIONS(6943),
    [anon_sym_BSLASHaclp] = ACTIONS(6943),
    [anon_sym_BSLASHAclp] = ACTIONS(6943),
    [anon_sym_BSLASHacf] = ACTIONS(6943),
    [anon_sym_BSLASHAcf] = ACTIONS(6943),
    [anon_sym_BSLASHacfp] = ACTIONS(6943),
    [anon_sym_BSLASHAcfp] = ACTIONS(6943),
    [anon_sym_BSLASHac] = ACTIONS(6943),
    [anon_sym_BSLASHAc] = ACTIONS(6943),
    [anon_sym_BSLASHacp] = ACTIONS(6943),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6943),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6943),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6943),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6943),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6943),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6945),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6943),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6943),
    [anon_sym_BSLASHcolor] = ACTIONS(6943),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6943),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6943),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6943),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6943),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6943),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6943),
    [anon_sym_BSLASHurl] = ACTIONS(6943),
    [anon_sym_BSLASHhref] = ACTIONS(6943),
  },
  [2215] = {
    [sym_brack_group_text] = STATE(2270),
    [sym_command_name] = ACTIONS(6917),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6917),
    [anon_sym_LBRACK] = ACTIONS(7872),
    [anon_sym_RBRACK] = ACTIONS(6921),
    [anon_sym_COMMA] = ACTIONS(6921),
    [anon_sym_EQ] = ACTIONS(6921),
    [anon_sym_RBRACE] = ACTIONS(6921),
    [sym_word] = ACTIONS(6917),
    [sym_placeholder] = ACTIONS(6921),
    [sym_delimiter] = ACTIONS(6921),
    [anon_sym_PLUS] = ACTIONS(6921),
    [anon_sym_DASH] = ACTIONS(6921),
    [anon_sym_STAR] = ACTIONS(6921),
    [anon_sym_SLASH] = ACTIONS(6921),
    [anon_sym_LT] = ACTIONS(6917),
    [anon_sym_GT] = ACTIONS(6917),
    [anon_sym_BANG] = ACTIONS(6917),
    [anon_sym_PIPE] = ACTIONS(6917),
    [anon_sym_COLON] = ACTIONS(6917),
    [anon_sym_SQUOTE] = ACTIONS(6917),
    [anon_sym__] = ACTIONS(6921),
    [anon_sym_CARET] = ACTIONS(6921),
    [anon_sym_BSLASHtitle] = ACTIONS(6917),
    [anon_sym_BSLASHauthor] = ACTIONS(6917),
    [anon_sym_BSLASHusepackage] = ACTIONS(6917),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6917),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6917),
    [anon_sym_BSLASHinclude] = ACTIONS(6917),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6917),
    [anon_sym_BSLASHinput] = ACTIONS(6917),
    [anon_sym_BSLASHsubfile] = ACTIONS(6917),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6917),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6917),
    [anon_sym_BSLASHbibliography] = ACTIONS(6917),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6917),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6917),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6917),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6917),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6917),
    [anon_sym_BSLASHimport] = ACTIONS(6917),
    [anon_sym_BSLASHsubimport] = ACTIONS(6917),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6917),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6917),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6917),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6917),
    [anon_sym_BSLASHcaption] = ACTIONS(6917),
    [anon_sym_BSLASHcite] = ACTIONS(6917),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCite] = ACTIONS(6917),
    [anon_sym_BSLASHnocite] = ACTIONS(6917),
    [anon_sym_BSLASHcitet] = ACTIONS(6917),
    [anon_sym_BSLASHcitep] = ACTIONS(6917),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteA] = ACTIONS(6917),
    [anon_sym_BSLASHciteR] = ACTIONS(6917),
    [anon_sym_BSLASHciteS] = ACTIONS(6917),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6917),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6917),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6917),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6917),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteyear] = ACTIONS(6917),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcitedate] = ACTIONS(6917),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHciteurl] = ACTIONS(6917),
    [anon_sym_BSLASHfullcite] = ACTIONS(6917),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6917),
    [anon_sym_BSLASHcitealt] = ACTIONS(6917),
    [anon_sym_BSLASHcitealp] = ACTIONS(6917),
    [anon_sym_BSLASHcitetext] = ACTIONS(6917),
    [anon_sym_BSLASHparencite] = ACTIONS(6917),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHParencite] = ACTIONS(6917),
    [anon_sym_BSLASHfootcite] = ACTIONS(6917),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6917),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6917),
    [anon_sym_BSLASHtextcite] = ACTIONS(6917),
    [anon_sym_BSLASHTextcite] = ACTIONS(6917),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6917),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6917),
    [anon_sym_BSLASHsupercite] = ACTIONS(6917),
    [anon_sym_BSLASHautocite] = ACTIONS(6917),
    [anon_sym_BSLASHAutocite] = ACTIONS(6917),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHVolcite] = ACTIONS(6917),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHavolcite] = ACTIONS(6917),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6917),
    [anon_sym_BSLASHnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHNotecite] = ACTIONS(6917),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6917),
    [anon_sym_BSLASHlabel] = ACTIONS(6917),
    [anon_sym_BSLASHref] = ACTIONS(6917),
    [anon_sym_BSLASHeqref] = ACTIONS(6917),
    [anon_sym_BSLASHvref] = ACTIONS(6917),
    [anon_sym_BSLASHVref] = ACTIONS(6917),
    [anon_sym_BSLASHautoref] = ACTIONS(6917),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHpageref] = ACTIONS(6917),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHautopageref] = ACTIONS(6917),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcref] = ACTIONS(6917),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCref] = ACTIONS(6917),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcpageref] = ACTIONS(6917),
    [anon_sym_BSLASHCpageref] = ACTIONS(6917),
    [anon_sym_BSLASHnamecref] = ACTIONS(6917),
    [anon_sym_BSLASHnameCref] = ACTIONS(6917),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6917),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6917),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6917),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6917),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6917),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6917),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6917),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6917),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6917),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6917),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6917),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6917),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6917),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6917),
    [anon_sym_BSLASHdef] = ACTIONS(6917),
    [anon_sym_BSLASHgdef] = ACTIONS(6917),
    [anon_sym_BSLASHedef] = ACTIONS(6917),
    [anon_sym_BSLASHxdef] = ACTIONS(6917),
    [anon_sym_BSLASHlet] = ACTIONS(6917),
    [anon_sym_BSLASHglet] = ACTIONS(6917),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6917),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6917),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6917),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6917),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6917),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6917),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6917),
    [anon_sym_BSLASHgls] = ACTIONS(6917),
    [anon_sym_BSLASHGls] = ACTIONS(6917),
    [anon_sym_BSLASHGLS] = ACTIONS(6917),
    [anon_sym_BSLASHglspl] = ACTIONS(6917),
    [anon_sym_BSLASHGlspl] = ACTIONS(6917),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6917),
    [anon_sym_BSLASHglslink] = ACTIONS(6917),
    [anon_sym_BSLASHglstext] = ACTIONS(6917),
    [anon_sym_BSLASHGlstext] = ACTIONS(6917),
    [anon_sym_BSLASHGLStext] = ACTIONS(6917),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6917),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6917),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6917),
    [anon_sym_BSLASHglsplural] = ACTIONS(6917),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6917),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6917),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6917),
    [anon_sym_BSLASHglsname] = ACTIONS(6917),
    [anon_sym_BSLASHGlsname] = ACTIONS(6917),
    [anon_sym_BSLASHGLSname] = ACTIONS(6917),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6917),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6917),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6917),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6917),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6917),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6917),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6917),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6917),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6917),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6917),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6917),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6917),
    [anon_sym_BSLASHacrshort] = ACTIONS(6917),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6917),
    [anon_sym_BSLASHACRshort] = ACTIONS(6917),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHacrlong] = ACTIONS(6917),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6917),
    [anon_sym_BSLASHACRlong] = ACTIONS(6917),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6917),
    [anon_sym_BSLASHacrfull] = ACTIONS(6917),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6917),
    [anon_sym_BSLASHACRfull] = ACTIONS(6917),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHacs] = ACTIONS(6917),
    [anon_sym_BSLASHAcs] = ACTIONS(6917),
    [anon_sym_BSLASHacsp] = ACTIONS(6917),
    [anon_sym_BSLASHAcsp] = ACTIONS(6917),
    [anon_sym_BSLASHacl] = ACTIONS(6917),
    [anon_sym_BSLASHAcl] = ACTIONS(6917),
    [anon_sym_BSLASHaclp] = ACTIONS(6917),
    [anon_sym_BSLASHAclp] = ACTIONS(6917),
    [anon_sym_BSLASHacf] = ACTIONS(6917),
    [anon_sym_BSLASHAcf] = ACTIONS(6917),
    [anon_sym_BSLASHacfp] = ACTIONS(6917),
    [anon_sym_BSLASHAcfp] = ACTIONS(6917),
    [anon_sym_BSLASHac] = ACTIONS(6917),
    [anon_sym_BSLASHAc] = ACTIONS(6917),
    [anon_sym_BSLASHacp] = ACTIONS(6917),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6917),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6917),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6917),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6917),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6917),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6921),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6917),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6917),
    [anon_sym_BSLASHcolor] = ACTIONS(6917),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6917),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6917),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6917),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6917),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6917),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6917),
    [anon_sym_BSLASHurl] = ACTIONS(6917),
    [anon_sym_BSLASHhref] = ACTIONS(6917),
  },
  [2216] = {
    [sym_curly_group] = STATE(2247),
    [sym_command_name] = ACTIONS(6947),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6947),
    [anon_sym_RBRACK] = ACTIONS(6949),
    [anon_sym_COMMA] = ACTIONS(6949),
    [anon_sym_EQ] = ACTIONS(6949),
    [anon_sym_LBRACE] = ACTIONS(7867),
    [anon_sym_RBRACE] = ACTIONS(6949),
    [sym_word] = ACTIONS(6947),
    [sym_placeholder] = ACTIONS(6949),
    [sym_delimiter] = ACTIONS(6949),
    [anon_sym_PLUS] = ACTIONS(6949),
    [anon_sym_DASH] = ACTIONS(6949),
    [anon_sym_STAR] = ACTIONS(6949),
    [anon_sym_SLASH] = ACTIONS(6949),
    [anon_sym_LT] = ACTIONS(6947),
    [anon_sym_GT] = ACTIONS(6947),
    [anon_sym_BANG] = ACTIONS(6947),
    [anon_sym_PIPE] = ACTIONS(6947),
    [anon_sym_COLON] = ACTIONS(6947),
    [anon_sym_SQUOTE] = ACTIONS(6947),
    [anon_sym__] = ACTIONS(6949),
    [anon_sym_CARET] = ACTIONS(6949),
    [anon_sym_BSLASHtitle] = ACTIONS(6947),
    [anon_sym_BSLASHauthor] = ACTIONS(6947),
    [anon_sym_BSLASHusepackage] = ACTIONS(6947),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6947),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6947),
    [anon_sym_BSLASHinclude] = ACTIONS(6947),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6947),
    [anon_sym_BSLASHinput] = ACTIONS(6947),
    [anon_sym_BSLASHsubfile] = ACTIONS(6947),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6947),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6947),
    [anon_sym_BSLASHbibliography] = ACTIONS(6947),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6947),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6947),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6947),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6947),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6947),
    [anon_sym_BSLASHimport] = ACTIONS(6947),
    [anon_sym_BSLASHsubimport] = ACTIONS(6947),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6947),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6947),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6947),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6947),
    [anon_sym_BSLASHcaption] = ACTIONS(6947),
    [anon_sym_BSLASHcite] = ACTIONS(6947),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCite] = ACTIONS(6947),
    [anon_sym_BSLASHnocite] = ACTIONS(6947),
    [anon_sym_BSLASHcitet] = ACTIONS(6947),
    [anon_sym_BSLASHcitep] = ACTIONS(6947),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteA] = ACTIONS(6947),
    [anon_sym_BSLASHciteR] = ACTIONS(6947),
    [anon_sym_BSLASHciteS] = ACTIONS(6947),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6947),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6947),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6947),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6947),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteyear] = ACTIONS(6947),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcitedate] = ACTIONS(6947),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHciteurl] = ACTIONS(6947),
    [anon_sym_BSLASHfullcite] = ACTIONS(6947),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6947),
    [anon_sym_BSLASHcitealt] = ACTIONS(6947),
    [anon_sym_BSLASHcitealp] = ACTIONS(6947),
    [anon_sym_BSLASHcitetext] = ACTIONS(6947),
    [anon_sym_BSLASHparencite] = ACTIONS(6947),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHParencite] = ACTIONS(6947),
    [anon_sym_BSLASHfootcite] = ACTIONS(6947),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6947),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6947),
    [anon_sym_BSLASHtextcite] = ACTIONS(6947),
    [anon_sym_BSLASHTextcite] = ACTIONS(6947),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6947),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6947),
    [anon_sym_BSLASHsupercite] = ACTIONS(6947),
    [anon_sym_BSLASHautocite] = ACTIONS(6947),
    [anon_sym_BSLASHAutocite] = ACTIONS(6947),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHVolcite] = ACTIONS(6947),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHavolcite] = ACTIONS(6947),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6947),
    [anon_sym_BSLASHnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHNotecite] = ACTIONS(6947),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6947),
    [anon_sym_BSLASHlabel] = ACTIONS(6947),
    [anon_sym_BSLASHref] = ACTIONS(6947),
    [anon_sym_BSLASHeqref] = ACTIONS(6947),
    [anon_sym_BSLASHvref] = ACTIONS(6947),
    [anon_sym_BSLASHVref] = ACTIONS(6947),
    [anon_sym_BSLASHautoref] = ACTIONS(6947),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHpageref] = ACTIONS(6947),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHautopageref] = ACTIONS(6947),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcref] = ACTIONS(6947),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCref] = ACTIONS(6947),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcpageref] = ACTIONS(6947),
    [anon_sym_BSLASHCpageref] = ACTIONS(6947),
    [anon_sym_BSLASHnamecref] = ACTIONS(6947),
    [anon_sym_BSLASHnameCref] = ACTIONS(6947),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6947),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6947),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6947),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6947),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6947),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6947),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6947),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6947),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6947),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6947),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6947),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6947),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6947),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6947),
    [anon_sym_BSLASHdef] = ACTIONS(6947),
    [anon_sym_BSLASHgdef] = ACTIONS(6947),
    [anon_sym_BSLASHedef] = ACTIONS(6947),
    [anon_sym_BSLASHxdef] = ACTIONS(6947),
    [anon_sym_BSLASHlet] = ACTIONS(6947),
    [anon_sym_BSLASHglet] = ACTIONS(6947),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6947),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6947),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6947),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6947),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6947),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6947),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6947),
    [anon_sym_BSLASHgls] = ACTIONS(6947),
    [anon_sym_BSLASHGls] = ACTIONS(6947),
    [anon_sym_BSLASHGLS] = ACTIONS(6947),
    [anon_sym_BSLASHglspl] = ACTIONS(6947),
    [anon_sym_BSLASHGlspl] = ACTIONS(6947),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6947),
    [anon_sym_BSLASHglslink] = ACTIONS(6947),
    [anon_sym_BSLASHglstext] = ACTIONS(6947),
    [anon_sym_BSLASHGlstext] = ACTIONS(6947),
    [anon_sym_BSLASHGLStext] = ACTIONS(6947),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6947),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6947),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6947),
    [anon_sym_BSLASHglsplural] = ACTIONS(6947),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6947),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6947),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6947),
    [anon_sym_BSLASHglsname] = ACTIONS(6947),
    [anon_sym_BSLASHGlsname] = ACTIONS(6947),
    [anon_sym_BSLASHGLSname] = ACTIONS(6947),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6947),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6947),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6947),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6947),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6947),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6947),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6947),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6947),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6947),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6947),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6947),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6947),
    [anon_sym_BSLASHacrshort] = ACTIONS(6947),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6947),
    [anon_sym_BSLASHACRshort] = ACTIONS(6947),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHacrlong] = ACTIONS(6947),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6947),
    [anon_sym_BSLASHACRlong] = ACTIONS(6947),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6947),
    [anon_sym_BSLASHacrfull] = ACTIONS(6947),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6947),
    [anon_sym_BSLASHACRfull] = ACTIONS(6947),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHacs] = ACTIONS(6947),
    [anon_sym_BSLASHAcs] = ACTIONS(6947),
    [anon_sym_BSLASHacsp] = ACTIONS(6947),
    [anon_sym_BSLASHAcsp] = ACTIONS(6947),
    [anon_sym_BSLASHacl] = ACTIONS(6947),
    [anon_sym_BSLASHAcl] = ACTIONS(6947),
    [anon_sym_BSLASHaclp] = ACTIONS(6947),
    [anon_sym_BSLASHAclp] = ACTIONS(6947),
    [anon_sym_BSLASHacf] = ACTIONS(6947),
    [anon_sym_BSLASHAcf] = ACTIONS(6947),
    [anon_sym_BSLASHacfp] = ACTIONS(6947),
    [anon_sym_BSLASHAcfp] = ACTIONS(6947),
    [anon_sym_BSLASHac] = ACTIONS(6947),
    [anon_sym_BSLASHAc] = ACTIONS(6947),
    [anon_sym_BSLASHacp] = ACTIONS(6947),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6947),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6947),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6947),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6947),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6947),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6949),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6947),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6947),
    [anon_sym_BSLASHcolor] = ACTIONS(6947),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6947),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6947),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6947),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6947),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6947),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6947),
    [anon_sym_BSLASHurl] = ACTIONS(6947),
    [anon_sym_BSLASHhref] = ACTIONS(6947),
  },
  [2217] = {
    [sym_command_name] = ACTIONS(7371),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7371),
    [anon_sym_LBRACK] = ACTIONS(7373),
    [anon_sym_RBRACK] = ACTIONS(7373),
    [anon_sym_COMMA] = ACTIONS(7373),
    [anon_sym_EQ] = ACTIONS(7373),
    [anon_sym_LBRACE] = ACTIONS(7373),
    [anon_sym_RBRACE] = ACTIONS(7373),
    [sym_word] = ACTIONS(7371),
    [sym_placeholder] = ACTIONS(7373),
    [sym_delimiter] = ACTIONS(7373),
    [anon_sym_PLUS] = ACTIONS(7373),
    [anon_sym_DASH] = ACTIONS(7373),
    [anon_sym_STAR] = ACTIONS(7373),
    [anon_sym_SLASH] = ACTIONS(7373),
    [anon_sym_LT] = ACTIONS(7371),
    [anon_sym_GT] = ACTIONS(7371),
    [anon_sym_BANG] = ACTIONS(7371),
    [anon_sym_PIPE] = ACTIONS(7371),
    [anon_sym_COLON] = ACTIONS(7371),
    [anon_sym_SQUOTE] = ACTIONS(7371),
    [anon_sym__] = ACTIONS(7373),
    [anon_sym_CARET] = ACTIONS(7373),
    [anon_sym_BSLASHtitle] = ACTIONS(7371),
    [anon_sym_BSLASHauthor] = ACTIONS(7371),
    [anon_sym_BSLASHusepackage] = ACTIONS(7371),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7371),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7371),
    [anon_sym_BSLASHinclude] = ACTIONS(7371),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7371),
    [anon_sym_BSLASHinput] = ACTIONS(7371),
    [anon_sym_BSLASHsubfile] = ACTIONS(7371),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7371),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7371),
    [anon_sym_BSLASHbibliography] = ACTIONS(7371),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7371),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7371),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7371),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7371),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7371),
    [anon_sym_BSLASHimport] = ACTIONS(7371),
    [anon_sym_BSLASHsubimport] = ACTIONS(7371),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7371),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7371),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7371),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7371),
    [anon_sym_BSLASHcaption] = ACTIONS(7371),
    [anon_sym_BSLASHcite] = ACTIONS(7371),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCite] = ACTIONS(7371),
    [anon_sym_BSLASHnocite] = ACTIONS(7371),
    [anon_sym_BSLASHcitet] = ACTIONS(7371),
    [anon_sym_BSLASHcitep] = ACTIONS(7371),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteA] = ACTIONS(7371),
    [anon_sym_BSLASHciteR] = ACTIONS(7371),
    [anon_sym_BSLASHciteS] = ACTIONS(7371),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7371),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7371),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7371),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7371),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteyear] = ACTIONS(7371),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcitedate] = ACTIONS(7371),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHciteurl] = ACTIONS(7371),
    [anon_sym_BSLASHfullcite] = ACTIONS(7371),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7371),
    [anon_sym_BSLASHcitealt] = ACTIONS(7371),
    [anon_sym_BSLASHcitealp] = ACTIONS(7371),
    [anon_sym_BSLASHcitetext] = ACTIONS(7371),
    [anon_sym_BSLASHparencite] = ACTIONS(7371),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHParencite] = ACTIONS(7371),
    [anon_sym_BSLASHfootcite] = ACTIONS(7371),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7371),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7371),
    [anon_sym_BSLASHtextcite] = ACTIONS(7371),
    [anon_sym_BSLASHTextcite] = ACTIONS(7371),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7371),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7371),
    [anon_sym_BSLASHsupercite] = ACTIONS(7371),
    [anon_sym_BSLASHautocite] = ACTIONS(7371),
    [anon_sym_BSLASHAutocite] = ACTIONS(7371),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHVolcite] = ACTIONS(7371),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHavolcite] = ACTIONS(7371),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7371),
    [anon_sym_BSLASHnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHNotecite] = ACTIONS(7371),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7371),
    [anon_sym_BSLASHlabel] = ACTIONS(7371),
    [anon_sym_BSLASHref] = ACTIONS(7371),
    [anon_sym_BSLASHeqref] = ACTIONS(7371),
    [anon_sym_BSLASHvref] = ACTIONS(7371),
    [anon_sym_BSLASHVref] = ACTIONS(7371),
    [anon_sym_BSLASHautoref] = ACTIONS(7371),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHpageref] = ACTIONS(7371),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHautopageref] = ACTIONS(7371),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcref] = ACTIONS(7371),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCref] = ACTIONS(7371),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcpageref] = ACTIONS(7371),
    [anon_sym_BSLASHCpageref] = ACTIONS(7371),
    [anon_sym_BSLASHnamecref] = ACTIONS(7371),
    [anon_sym_BSLASHnameCref] = ACTIONS(7371),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7371),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7371),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7371),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7371),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7371),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7371),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7371),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7371),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7371),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7371),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7371),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7371),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7371),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7371),
    [anon_sym_BSLASHdef] = ACTIONS(7371),
    [anon_sym_BSLASHgdef] = ACTIONS(7371),
    [anon_sym_BSLASHedef] = ACTIONS(7371),
    [anon_sym_BSLASHxdef] = ACTIONS(7371),
    [anon_sym_BSLASHlet] = ACTIONS(7371),
    [anon_sym_BSLASHglet] = ACTIONS(7371),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7371),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7371),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7371),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7371),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7371),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7371),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7371),
    [anon_sym_BSLASHgls] = ACTIONS(7371),
    [anon_sym_BSLASHGls] = ACTIONS(7371),
    [anon_sym_BSLASHGLS] = ACTIONS(7371),
    [anon_sym_BSLASHglspl] = ACTIONS(7371),
    [anon_sym_BSLASHGlspl] = ACTIONS(7371),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7371),
    [anon_sym_BSLASHglslink] = ACTIONS(7371),
    [anon_sym_BSLASHglstext] = ACTIONS(7371),
    [anon_sym_BSLASHGlstext] = ACTIONS(7371),
    [anon_sym_BSLASHGLStext] = ACTIONS(7371),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7371),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7371),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7371),
    [anon_sym_BSLASHglsplural] = ACTIONS(7371),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7371),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7371),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7371),
    [anon_sym_BSLASHglsname] = ACTIONS(7371),
    [anon_sym_BSLASHGlsname] = ACTIONS(7371),
    [anon_sym_BSLASHGLSname] = ACTIONS(7371),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7371),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7371),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7371),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7371),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7371),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7371),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7371),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7371),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7371),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7371),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7371),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7371),
    [anon_sym_BSLASHacrshort] = ACTIONS(7371),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7371),
    [anon_sym_BSLASHACRshort] = ACTIONS(7371),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHacrlong] = ACTIONS(7371),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7371),
    [anon_sym_BSLASHACRlong] = ACTIONS(7371),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7371),
    [anon_sym_BSLASHacrfull] = ACTIONS(7371),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7371),
    [anon_sym_BSLASHACRfull] = ACTIONS(7371),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHacs] = ACTIONS(7371),
    [anon_sym_BSLASHAcs] = ACTIONS(7371),
    [anon_sym_BSLASHacsp] = ACTIONS(7371),
    [anon_sym_BSLASHAcsp] = ACTIONS(7371),
    [anon_sym_BSLASHacl] = ACTIONS(7371),
    [anon_sym_BSLASHAcl] = ACTIONS(7371),
    [anon_sym_BSLASHaclp] = ACTIONS(7371),
    [anon_sym_BSLASHAclp] = ACTIONS(7371),
    [anon_sym_BSLASHacf] = ACTIONS(7371),
    [anon_sym_BSLASHAcf] = ACTIONS(7371),
    [anon_sym_BSLASHacfp] = ACTIONS(7371),
    [anon_sym_BSLASHAcfp] = ACTIONS(7371),
    [anon_sym_BSLASHac] = ACTIONS(7371),
    [anon_sym_BSLASHAc] = ACTIONS(7371),
    [anon_sym_BSLASHacp] = ACTIONS(7371),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7371),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7371),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7371),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7371),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7371),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7373),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7371),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7371),
    [anon_sym_BSLASHcolor] = ACTIONS(7371),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7371),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7371),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7371),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7371),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7371),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7371),
    [anon_sym_BSLASHurl] = ACTIONS(7371),
    [anon_sym_BSLASHhref] = ACTIONS(7371),
  },
  [2218] = {
    [sym_curly_group] = STATE(2274),
    [sym_command_name] = ACTIONS(6939),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6939),
    [anon_sym_RBRACK] = ACTIONS(6941),
    [anon_sym_COMMA] = ACTIONS(6941),
    [anon_sym_EQ] = ACTIONS(6941),
    [anon_sym_LBRACE] = ACTIONS(7867),
    [anon_sym_RBRACE] = ACTIONS(6941),
    [sym_word] = ACTIONS(6939),
    [sym_placeholder] = ACTIONS(6941),
    [sym_delimiter] = ACTIONS(6941),
    [anon_sym_PLUS] = ACTIONS(6941),
    [anon_sym_DASH] = ACTIONS(6941),
    [anon_sym_STAR] = ACTIONS(6941),
    [anon_sym_SLASH] = ACTIONS(6941),
    [anon_sym_LT] = ACTIONS(6939),
    [anon_sym_GT] = ACTIONS(6939),
    [anon_sym_BANG] = ACTIONS(6939),
    [anon_sym_PIPE] = ACTIONS(6939),
    [anon_sym_COLON] = ACTIONS(6939),
    [anon_sym_SQUOTE] = ACTIONS(6939),
    [anon_sym__] = ACTIONS(6941),
    [anon_sym_CARET] = ACTIONS(6941),
    [anon_sym_BSLASHtitle] = ACTIONS(6939),
    [anon_sym_BSLASHauthor] = ACTIONS(6939),
    [anon_sym_BSLASHusepackage] = ACTIONS(6939),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6939),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6939),
    [anon_sym_BSLASHinclude] = ACTIONS(6939),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6939),
    [anon_sym_BSLASHinput] = ACTIONS(6939),
    [anon_sym_BSLASHsubfile] = ACTIONS(6939),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6939),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6939),
    [anon_sym_BSLASHbibliography] = ACTIONS(6939),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6939),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6939),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6939),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6939),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6939),
    [anon_sym_BSLASHimport] = ACTIONS(6939),
    [anon_sym_BSLASHsubimport] = ACTIONS(6939),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6939),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6939),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6939),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6939),
    [anon_sym_BSLASHcaption] = ACTIONS(6939),
    [anon_sym_BSLASHcite] = ACTIONS(6939),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCite] = ACTIONS(6939),
    [anon_sym_BSLASHnocite] = ACTIONS(6939),
    [anon_sym_BSLASHcitet] = ACTIONS(6939),
    [anon_sym_BSLASHcitep] = ACTIONS(6939),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteA] = ACTIONS(6939),
    [anon_sym_BSLASHciteR] = ACTIONS(6939),
    [anon_sym_BSLASHciteS] = ACTIONS(6939),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6939),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6939),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6939),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6939),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteyear] = ACTIONS(6939),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcitedate] = ACTIONS(6939),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHciteurl] = ACTIONS(6939),
    [anon_sym_BSLASHfullcite] = ACTIONS(6939),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6939),
    [anon_sym_BSLASHcitealt] = ACTIONS(6939),
    [anon_sym_BSLASHcitealp] = ACTIONS(6939),
    [anon_sym_BSLASHcitetext] = ACTIONS(6939),
    [anon_sym_BSLASHparencite] = ACTIONS(6939),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHParencite] = ACTIONS(6939),
    [anon_sym_BSLASHfootcite] = ACTIONS(6939),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6939),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6939),
    [anon_sym_BSLASHtextcite] = ACTIONS(6939),
    [anon_sym_BSLASHTextcite] = ACTIONS(6939),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6939),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6939),
    [anon_sym_BSLASHsupercite] = ACTIONS(6939),
    [anon_sym_BSLASHautocite] = ACTIONS(6939),
    [anon_sym_BSLASHAutocite] = ACTIONS(6939),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHVolcite] = ACTIONS(6939),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHavolcite] = ACTIONS(6939),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6939),
    [anon_sym_BSLASHnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHNotecite] = ACTIONS(6939),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6939),
    [anon_sym_BSLASHlabel] = ACTIONS(6939),
    [anon_sym_BSLASHref] = ACTIONS(6939),
    [anon_sym_BSLASHeqref] = ACTIONS(6939),
    [anon_sym_BSLASHvref] = ACTIONS(6939),
    [anon_sym_BSLASHVref] = ACTIONS(6939),
    [anon_sym_BSLASHautoref] = ACTIONS(6939),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHpageref] = ACTIONS(6939),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHautopageref] = ACTIONS(6939),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcref] = ACTIONS(6939),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCref] = ACTIONS(6939),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcpageref] = ACTIONS(6939),
    [anon_sym_BSLASHCpageref] = ACTIONS(6939),
    [anon_sym_BSLASHnamecref] = ACTIONS(6939),
    [anon_sym_BSLASHnameCref] = ACTIONS(6939),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6939),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6939),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6939),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6939),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6939),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6939),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6939),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6939),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6939),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6939),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6939),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6939),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6939),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6939),
    [anon_sym_BSLASHdef] = ACTIONS(6939),
    [anon_sym_BSLASHgdef] = ACTIONS(6939),
    [anon_sym_BSLASHedef] = ACTIONS(6939),
    [anon_sym_BSLASHxdef] = ACTIONS(6939),
    [anon_sym_BSLASHlet] = ACTIONS(6939),
    [anon_sym_BSLASHglet] = ACTIONS(6939),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6939),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6939),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6939),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6939),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6939),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6939),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6939),
    [anon_sym_BSLASHgls] = ACTIONS(6939),
    [anon_sym_BSLASHGls] = ACTIONS(6939),
    [anon_sym_BSLASHGLS] = ACTIONS(6939),
    [anon_sym_BSLASHglspl] = ACTIONS(6939),
    [anon_sym_BSLASHGlspl] = ACTIONS(6939),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6939),
    [anon_sym_BSLASHglslink] = ACTIONS(6939),
    [anon_sym_BSLASHglstext] = ACTIONS(6939),
    [anon_sym_BSLASHGlstext] = ACTIONS(6939),
    [anon_sym_BSLASHGLStext] = ACTIONS(6939),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6939),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6939),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6939),
    [anon_sym_BSLASHglsplural] = ACTIONS(6939),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6939),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6939),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6939),
    [anon_sym_BSLASHglsname] = ACTIONS(6939),
    [anon_sym_BSLASHGlsname] = ACTIONS(6939),
    [anon_sym_BSLASHGLSname] = ACTIONS(6939),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6939),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6939),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6939),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6939),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6939),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6939),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6939),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6939),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6939),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6939),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6939),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6939),
    [anon_sym_BSLASHacrshort] = ACTIONS(6939),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6939),
    [anon_sym_BSLASHACRshort] = ACTIONS(6939),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHacrlong] = ACTIONS(6939),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6939),
    [anon_sym_BSLASHACRlong] = ACTIONS(6939),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6939),
    [anon_sym_BSLASHacrfull] = ACTIONS(6939),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6939),
    [anon_sym_BSLASHACRfull] = ACTIONS(6939),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHacs] = ACTIONS(6939),
    [anon_sym_BSLASHAcs] = ACTIONS(6939),
    [anon_sym_BSLASHacsp] = ACTIONS(6939),
    [anon_sym_BSLASHAcsp] = ACTIONS(6939),
    [anon_sym_BSLASHacl] = ACTIONS(6939),
    [anon_sym_BSLASHAcl] = ACTIONS(6939),
    [anon_sym_BSLASHaclp] = ACTIONS(6939),
    [anon_sym_BSLASHAclp] = ACTIONS(6939),
    [anon_sym_BSLASHacf] = ACTIONS(6939),
    [anon_sym_BSLASHAcf] = ACTIONS(6939),
    [anon_sym_BSLASHacfp] = ACTIONS(6939),
    [anon_sym_BSLASHAcfp] = ACTIONS(6939),
    [anon_sym_BSLASHac] = ACTIONS(6939),
    [anon_sym_BSLASHAc] = ACTIONS(6939),
    [anon_sym_BSLASHacp] = ACTIONS(6939),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6939),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6939),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6939),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6939),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6939),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6941),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6939),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6939),
    [anon_sym_BSLASHcolor] = ACTIONS(6939),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6939),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6939),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6939),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6939),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6939),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6939),
    [anon_sym_BSLASHurl] = ACTIONS(6939),
    [anon_sym_BSLASHhref] = ACTIONS(6939),
  },
  [2219] = {
    [sym_command_name] = ACTIONS(7067),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7067),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym_RBRACK] = ACTIONS(7069),
    [anon_sym_COMMA] = ACTIONS(7069),
    [anon_sym_EQ] = ACTIONS(7069),
    [anon_sym_LBRACE] = ACTIONS(7069),
    [anon_sym_RBRACE] = ACTIONS(7069),
    [sym_word] = ACTIONS(7067),
    [sym_placeholder] = ACTIONS(7069),
    [sym_delimiter] = ACTIONS(7069),
    [anon_sym_PLUS] = ACTIONS(7069),
    [anon_sym_DASH] = ACTIONS(7069),
    [anon_sym_STAR] = ACTIONS(7069),
    [anon_sym_SLASH] = ACTIONS(7069),
    [anon_sym_LT] = ACTIONS(7067),
    [anon_sym_GT] = ACTIONS(7067),
    [anon_sym_BANG] = ACTIONS(7067),
    [anon_sym_PIPE] = ACTIONS(7067),
    [anon_sym_COLON] = ACTIONS(7067),
    [anon_sym_SQUOTE] = ACTIONS(7067),
    [anon_sym__] = ACTIONS(7069),
    [anon_sym_CARET] = ACTIONS(7069),
    [anon_sym_BSLASHtitle] = ACTIONS(7067),
    [anon_sym_BSLASHauthor] = ACTIONS(7067),
    [anon_sym_BSLASHusepackage] = ACTIONS(7067),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7067),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7067),
    [anon_sym_BSLASHinclude] = ACTIONS(7067),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7067),
    [anon_sym_BSLASHinput] = ACTIONS(7067),
    [anon_sym_BSLASHsubfile] = ACTIONS(7067),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7067),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7067),
    [anon_sym_BSLASHbibliography] = ACTIONS(7067),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7067),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7067),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7067),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7067),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7067),
    [anon_sym_BSLASHimport] = ACTIONS(7067),
    [anon_sym_BSLASHsubimport] = ACTIONS(7067),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7067),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7067),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7067),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7067),
    [anon_sym_BSLASHcaption] = ACTIONS(7067),
    [anon_sym_BSLASHcite] = ACTIONS(7067),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCite] = ACTIONS(7067),
    [anon_sym_BSLASHnocite] = ACTIONS(7067),
    [anon_sym_BSLASHcitet] = ACTIONS(7067),
    [anon_sym_BSLASHcitep] = ACTIONS(7067),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteA] = ACTIONS(7067),
    [anon_sym_BSLASHciteR] = ACTIONS(7067),
    [anon_sym_BSLASHciteS] = ACTIONS(7067),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7067),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7067),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7067),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7067),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteyear] = ACTIONS(7067),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcitedate] = ACTIONS(7067),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHciteurl] = ACTIONS(7067),
    [anon_sym_BSLASHfullcite] = ACTIONS(7067),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7067),
    [anon_sym_BSLASHcitealt] = ACTIONS(7067),
    [anon_sym_BSLASHcitealp] = ACTIONS(7067),
    [anon_sym_BSLASHcitetext] = ACTIONS(7067),
    [anon_sym_BSLASHparencite] = ACTIONS(7067),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHParencite] = ACTIONS(7067),
    [anon_sym_BSLASHfootcite] = ACTIONS(7067),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7067),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7067),
    [anon_sym_BSLASHtextcite] = ACTIONS(7067),
    [anon_sym_BSLASHTextcite] = ACTIONS(7067),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7067),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7067),
    [anon_sym_BSLASHsupercite] = ACTIONS(7067),
    [anon_sym_BSLASHautocite] = ACTIONS(7067),
    [anon_sym_BSLASHAutocite] = ACTIONS(7067),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHVolcite] = ACTIONS(7067),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHavolcite] = ACTIONS(7067),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7067),
    [anon_sym_BSLASHnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHNotecite] = ACTIONS(7067),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7067),
    [anon_sym_BSLASHlabel] = ACTIONS(7067),
    [anon_sym_BSLASHref] = ACTIONS(7067),
    [anon_sym_BSLASHeqref] = ACTIONS(7067),
    [anon_sym_BSLASHvref] = ACTIONS(7067),
    [anon_sym_BSLASHVref] = ACTIONS(7067),
    [anon_sym_BSLASHautoref] = ACTIONS(7067),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHpageref] = ACTIONS(7067),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHautopageref] = ACTIONS(7067),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcref] = ACTIONS(7067),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCref] = ACTIONS(7067),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcpageref] = ACTIONS(7067),
    [anon_sym_BSLASHCpageref] = ACTIONS(7067),
    [anon_sym_BSLASHnamecref] = ACTIONS(7067),
    [anon_sym_BSLASHnameCref] = ACTIONS(7067),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7067),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7067),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7067),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7067),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7067),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7067),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7067),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7067),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7067),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7067),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7067),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7067),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7067),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7067),
    [anon_sym_BSLASHdef] = ACTIONS(7067),
    [anon_sym_BSLASHgdef] = ACTIONS(7067),
    [anon_sym_BSLASHedef] = ACTIONS(7067),
    [anon_sym_BSLASHxdef] = ACTIONS(7067),
    [anon_sym_BSLASHlet] = ACTIONS(7067),
    [anon_sym_BSLASHglet] = ACTIONS(7067),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7067),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7067),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7067),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7067),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7067),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7067),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7067),
    [anon_sym_BSLASHgls] = ACTIONS(7067),
    [anon_sym_BSLASHGls] = ACTIONS(7067),
    [anon_sym_BSLASHGLS] = ACTIONS(7067),
    [anon_sym_BSLASHglspl] = ACTIONS(7067),
    [anon_sym_BSLASHGlspl] = ACTIONS(7067),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7067),
    [anon_sym_BSLASHglslink] = ACTIONS(7067),
    [anon_sym_BSLASHglstext] = ACTIONS(7067),
    [anon_sym_BSLASHGlstext] = ACTIONS(7067),
    [anon_sym_BSLASHGLStext] = ACTIONS(7067),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7067),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7067),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7067),
    [anon_sym_BSLASHglsplural] = ACTIONS(7067),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7067),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7067),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7067),
    [anon_sym_BSLASHglsname] = ACTIONS(7067),
    [anon_sym_BSLASHGlsname] = ACTIONS(7067),
    [anon_sym_BSLASHGLSname] = ACTIONS(7067),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7067),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7067),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7067),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7067),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7067),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7067),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7067),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7067),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7067),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7067),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7067),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7067),
    [anon_sym_BSLASHacrshort] = ACTIONS(7067),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7067),
    [anon_sym_BSLASHACRshort] = ACTIONS(7067),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHacrlong] = ACTIONS(7067),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7067),
    [anon_sym_BSLASHACRlong] = ACTIONS(7067),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7067),
    [anon_sym_BSLASHacrfull] = ACTIONS(7067),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7067),
    [anon_sym_BSLASHACRfull] = ACTIONS(7067),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHacs] = ACTIONS(7067),
    [anon_sym_BSLASHAcs] = ACTIONS(7067),
    [anon_sym_BSLASHacsp] = ACTIONS(7067),
    [anon_sym_BSLASHAcsp] = ACTIONS(7067),
    [anon_sym_BSLASHacl] = ACTIONS(7067),
    [anon_sym_BSLASHAcl] = ACTIONS(7067),
    [anon_sym_BSLASHaclp] = ACTIONS(7067),
    [anon_sym_BSLASHAclp] = ACTIONS(7067),
    [anon_sym_BSLASHacf] = ACTIONS(7067),
    [anon_sym_BSLASHAcf] = ACTIONS(7067),
    [anon_sym_BSLASHacfp] = ACTIONS(7067),
    [anon_sym_BSLASHAcfp] = ACTIONS(7067),
    [anon_sym_BSLASHac] = ACTIONS(7067),
    [anon_sym_BSLASHAc] = ACTIONS(7067),
    [anon_sym_BSLASHacp] = ACTIONS(7067),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7067),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7067),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7067),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7067),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7067),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7069),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7067),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7067),
    [anon_sym_BSLASHcolor] = ACTIONS(7067),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7067),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7067),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7067),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7067),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7067),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7067),
    [anon_sym_BSLASHurl] = ACTIONS(7067),
    [anon_sym_BSLASHhref] = ACTIONS(7067),
  },
  [2220] = {
    [sym_command_name] = ACTIONS(7479),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7479),
    [anon_sym_LBRACK] = ACTIONS(7481),
    [anon_sym_RBRACK] = ACTIONS(7481),
    [anon_sym_COMMA] = ACTIONS(7481),
    [anon_sym_EQ] = ACTIONS(7481),
    [anon_sym_LBRACE] = ACTIONS(7481),
    [anon_sym_RBRACE] = ACTIONS(7481),
    [sym_word] = ACTIONS(7479),
    [sym_placeholder] = ACTIONS(7481),
    [sym_delimiter] = ACTIONS(7481),
    [anon_sym_PLUS] = ACTIONS(7481),
    [anon_sym_DASH] = ACTIONS(7481),
    [anon_sym_STAR] = ACTIONS(7481),
    [anon_sym_SLASH] = ACTIONS(7481),
    [anon_sym_LT] = ACTIONS(7479),
    [anon_sym_GT] = ACTIONS(7479),
    [anon_sym_BANG] = ACTIONS(7479),
    [anon_sym_PIPE] = ACTIONS(7479),
    [anon_sym_COLON] = ACTIONS(7479),
    [anon_sym_SQUOTE] = ACTIONS(7479),
    [anon_sym__] = ACTIONS(7481),
    [anon_sym_CARET] = ACTIONS(7481),
    [anon_sym_BSLASHtitle] = ACTIONS(7479),
    [anon_sym_BSLASHauthor] = ACTIONS(7479),
    [anon_sym_BSLASHusepackage] = ACTIONS(7479),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7479),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7479),
    [anon_sym_BSLASHinclude] = ACTIONS(7479),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7479),
    [anon_sym_BSLASHinput] = ACTIONS(7479),
    [anon_sym_BSLASHsubfile] = ACTIONS(7479),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7479),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7479),
    [anon_sym_BSLASHbibliography] = ACTIONS(7479),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7479),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7479),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7479),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7479),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7479),
    [anon_sym_BSLASHimport] = ACTIONS(7479),
    [anon_sym_BSLASHsubimport] = ACTIONS(7479),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7479),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7479),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7479),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7479),
    [anon_sym_BSLASHcaption] = ACTIONS(7479),
    [anon_sym_BSLASHcite] = ACTIONS(7479),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCite] = ACTIONS(7479),
    [anon_sym_BSLASHnocite] = ACTIONS(7479),
    [anon_sym_BSLASHcitet] = ACTIONS(7479),
    [anon_sym_BSLASHcitep] = ACTIONS(7479),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteA] = ACTIONS(7479),
    [anon_sym_BSLASHciteR] = ACTIONS(7479),
    [anon_sym_BSLASHciteS] = ACTIONS(7479),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7479),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7479),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7479),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7479),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteyear] = ACTIONS(7479),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcitedate] = ACTIONS(7479),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHciteurl] = ACTIONS(7479),
    [anon_sym_BSLASHfullcite] = ACTIONS(7479),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7479),
    [anon_sym_BSLASHcitealt] = ACTIONS(7479),
    [anon_sym_BSLASHcitealp] = ACTIONS(7479),
    [anon_sym_BSLASHcitetext] = ACTIONS(7479),
    [anon_sym_BSLASHparencite] = ACTIONS(7479),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHParencite] = ACTIONS(7479),
    [anon_sym_BSLASHfootcite] = ACTIONS(7479),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7479),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7479),
    [anon_sym_BSLASHtextcite] = ACTIONS(7479),
    [anon_sym_BSLASHTextcite] = ACTIONS(7479),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7479),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7479),
    [anon_sym_BSLASHsupercite] = ACTIONS(7479),
    [anon_sym_BSLASHautocite] = ACTIONS(7479),
    [anon_sym_BSLASHAutocite] = ACTIONS(7479),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHVolcite] = ACTIONS(7479),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHavolcite] = ACTIONS(7479),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7479),
    [anon_sym_BSLASHnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHNotecite] = ACTIONS(7479),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7479),
    [anon_sym_BSLASHlabel] = ACTIONS(7479),
    [anon_sym_BSLASHref] = ACTIONS(7479),
    [anon_sym_BSLASHeqref] = ACTIONS(7479),
    [anon_sym_BSLASHvref] = ACTIONS(7479),
    [anon_sym_BSLASHVref] = ACTIONS(7479),
    [anon_sym_BSLASHautoref] = ACTIONS(7479),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHpageref] = ACTIONS(7479),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHautopageref] = ACTIONS(7479),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcref] = ACTIONS(7479),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCref] = ACTIONS(7479),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcpageref] = ACTIONS(7479),
    [anon_sym_BSLASHCpageref] = ACTIONS(7479),
    [anon_sym_BSLASHnamecref] = ACTIONS(7479),
    [anon_sym_BSLASHnameCref] = ACTIONS(7479),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7479),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7479),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7479),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7479),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7479),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7479),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7479),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7479),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7479),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7479),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7479),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7479),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7479),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7479),
    [anon_sym_BSLASHdef] = ACTIONS(7479),
    [anon_sym_BSLASHgdef] = ACTIONS(7479),
    [anon_sym_BSLASHedef] = ACTIONS(7479),
    [anon_sym_BSLASHxdef] = ACTIONS(7479),
    [anon_sym_BSLASHlet] = ACTIONS(7479),
    [anon_sym_BSLASHglet] = ACTIONS(7479),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7479),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7479),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7479),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7479),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7479),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7479),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7479),
    [anon_sym_BSLASHgls] = ACTIONS(7479),
    [anon_sym_BSLASHGls] = ACTIONS(7479),
    [anon_sym_BSLASHGLS] = ACTIONS(7479),
    [anon_sym_BSLASHglspl] = ACTIONS(7479),
    [anon_sym_BSLASHGlspl] = ACTIONS(7479),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7479),
    [anon_sym_BSLASHglslink] = ACTIONS(7479),
    [anon_sym_BSLASHglstext] = ACTIONS(7479),
    [anon_sym_BSLASHGlstext] = ACTIONS(7479),
    [anon_sym_BSLASHGLStext] = ACTIONS(7479),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7479),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7479),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7479),
    [anon_sym_BSLASHglsplural] = ACTIONS(7479),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7479),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7479),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7479),
    [anon_sym_BSLASHglsname] = ACTIONS(7479),
    [anon_sym_BSLASHGlsname] = ACTIONS(7479),
    [anon_sym_BSLASHGLSname] = ACTIONS(7479),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7479),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7479),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7479),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7479),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7479),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7479),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7479),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7479),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7479),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7479),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7479),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7479),
    [anon_sym_BSLASHacrshort] = ACTIONS(7479),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7479),
    [anon_sym_BSLASHACRshort] = ACTIONS(7479),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHacrlong] = ACTIONS(7479),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7479),
    [anon_sym_BSLASHACRlong] = ACTIONS(7479),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7479),
    [anon_sym_BSLASHacrfull] = ACTIONS(7479),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7479),
    [anon_sym_BSLASHACRfull] = ACTIONS(7479),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHacs] = ACTIONS(7479),
    [anon_sym_BSLASHAcs] = ACTIONS(7479),
    [anon_sym_BSLASHacsp] = ACTIONS(7479),
    [anon_sym_BSLASHAcsp] = ACTIONS(7479),
    [anon_sym_BSLASHacl] = ACTIONS(7479),
    [anon_sym_BSLASHAcl] = ACTIONS(7479),
    [anon_sym_BSLASHaclp] = ACTIONS(7479),
    [anon_sym_BSLASHAclp] = ACTIONS(7479),
    [anon_sym_BSLASHacf] = ACTIONS(7479),
    [anon_sym_BSLASHAcf] = ACTIONS(7479),
    [anon_sym_BSLASHacfp] = ACTIONS(7479),
    [anon_sym_BSLASHAcfp] = ACTIONS(7479),
    [anon_sym_BSLASHac] = ACTIONS(7479),
    [anon_sym_BSLASHAc] = ACTIONS(7479),
    [anon_sym_BSLASHacp] = ACTIONS(7479),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7479),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7479),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7479),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7479),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7479),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7481),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7479),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7479),
    [anon_sym_BSLASHcolor] = ACTIONS(7479),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7479),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7479),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7479),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7479),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7479),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7479),
    [anon_sym_BSLASHurl] = ACTIONS(7479),
    [anon_sym_BSLASHhref] = ACTIONS(7479),
  },
  [2221] = {
    [sym_command_name] = ACTIONS(7051),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7051),
    [anon_sym_LBRACK] = ACTIONS(7053),
    [anon_sym_RBRACK] = ACTIONS(7053),
    [anon_sym_COMMA] = ACTIONS(7053),
    [anon_sym_EQ] = ACTIONS(7053),
    [anon_sym_LBRACE] = ACTIONS(7053),
    [anon_sym_RBRACE] = ACTIONS(7053),
    [sym_word] = ACTIONS(7051),
    [sym_placeholder] = ACTIONS(7053),
    [sym_delimiter] = ACTIONS(7053),
    [anon_sym_PLUS] = ACTIONS(7053),
    [anon_sym_DASH] = ACTIONS(7053),
    [anon_sym_STAR] = ACTIONS(7053),
    [anon_sym_SLASH] = ACTIONS(7053),
    [anon_sym_LT] = ACTIONS(7051),
    [anon_sym_GT] = ACTIONS(7051),
    [anon_sym_BANG] = ACTIONS(7051),
    [anon_sym_PIPE] = ACTIONS(7051),
    [anon_sym_COLON] = ACTIONS(7051),
    [anon_sym_SQUOTE] = ACTIONS(7051),
    [anon_sym__] = ACTIONS(7053),
    [anon_sym_CARET] = ACTIONS(7053),
    [anon_sym_BSLASHtitle] = ACTIONS(7051),
    [anon_sym_BSLASHauthor] = ACTIONS(7051),
    [anon_sym_BSLASHusepackage] = ACTIONS(7051),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7051),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7051),
    [anon_sym_BSLASHinclude] = ACTIONS(7051),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7051),
    [anon_sym_BSLASHinput] = ACTIONS(7051),
    [anon_sym_BSLASHsubfile] = ACTIONS(7051),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7051),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7051),
    [anon_sym_BSLASHbibliography] = ACTIONS(7051),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7051),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7051),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7051),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7051),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7051),
    [anon_sym_BSLASHimport] = ACTIONS(7051),
    [anon_sym_BSLASHsubimport] = ACTIONS(7051),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7051),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7051),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7051),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7051),
    [anon_sym_BSLASHcaption] = ACTIONS(7051),
    [anon_sym_BSLASHcite] = ACTIONS(7051),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCite] = ACTIONS(7051),
    [anon_sym_BSLASHnocite] = ACTIONS(7051),
    [anon_sym_BSLASHcitet] = ACTIONS(7051),
    [anon_sym_BSLASHcitep] = ACTIONS(7051),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteA] = ACTIONS(7051),
    [anon_sym_BSLASHciteR] = ACTIONS(7051),
    [anon_sym_BSLASHciteS] = ACTIONS(7051),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7051),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7051),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7051),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7051),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteyear] = ACTIONS(7051),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcitedate] = ACTIONS(7051),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHciteurl] = ACTIONS(7051),
    [anon_sym_BSLASHfullcite] = ACTIONS(7051),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7051),
    [anon_sym_BSLASHcitealt] = ACTIONS(7051),
    [anon_sym_BSLASHcitealp] = ACTIONS(7051),
    [anon_sym_BSLASHcitetext] = ACTIONS(7051),
    [anon_sym_BSLASHparencite] = ACTIONS(7051),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHParencite] = ACTIONS(7051),
    [anon_sym_BSLASHfootcite] = ACTIONS(7051),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7051),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7051),
    [anon_sym_BSLASHtextcite] = ACTIONS(7051),
    [anon_sym_BSLASHTextcite] = ACTIONS(7051),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7051),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7051),
    [anon_sym_BSLASHsupercite] = ACTIONS(7051),
    [anon_sym_BSLASHautocite] = ACTIONS(7051),
    [anon_sym_BSLASHAutocite] = ACTIONS(7051),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHVolcite] = ACTIONS(7051),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHavolcite] = ACTIONS(7051),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7051),
    [anon_sym_BSLASHnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHNotecite] = ACTIONS(7051),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7051),
    [anon_sym_BSLASHlabel] = ACTIONS(7051),
    [anon_sym_BSLASHref] = ACTIONS(7051),
    [anon_sym_BSLASHeqref] = ACTIONS(7051),
    [anon_sym_BSLASHvref] = ACTIONS(7051),
    [anon_sym_BSLASHVref] = ACTIONS(7051),
    [anon_sym_BSLASHautoref] = ACTIONS(7051),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHpageref] = ACTIONS(7051),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHautopageref] = ACTIONS(7051),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcref] = ACTIONS(7051),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCref] = ACTIONS(7051),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcpageref] = ACTIONS(7051),
    [anon_sym_BSLASHCpageref] = ACTIONS(7051),
    [anon_sym_BSLASHnamecref] = ACTIONS(7051),
    [anon_sym_BSLASHnameCref] = ACTIONS(7051),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7051),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7051),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7051),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7051),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7051),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7051),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7051),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7051),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7051),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7051),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7051),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7051),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7051),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7051),
    [anon_sym_BSLASHdef] = ACTIONS(7051),
    [anon_sym_BSLASHgdef] = ACTIONS(7051),
    [anon_sym_BSLASHedef] = ACTIONS(7051),
    [anon_sym_BSLASHxdef] = ACTIONS(7051),
    [anon_sym_BSLASHlet] = ACTIONS(7051),
    [anon_sym_BSLASHglet] = ACTIONS(7051),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7051),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7051),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7051),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7051),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7051),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7051),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7051),
    [anon_sym_BSLASHgls] = ACTIONS(7051),
    [anon_sym_BSLASHGls] = ACTIONS(7051),
    [anon_sym_BSLASHGLS] = ACTIONS(7051),
    [anon_sym_BSLASHglspl] = ACTIONS(7051),
    [anon_sym_BSLASHGlspl] = ACTIONS(7051),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7051),
    [anon_sym_BSLASHglslink] = ACTIONS(7051),
    [anon_sym_BSLASHglstext] = ACTIONS(7051),
    [anon_sym_BSLASHGlstext] = ACTIONS(7051),
    [anon_sym_BSLASHGLStext] = ACTIONS(7051),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7051),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7051),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7051),
    [anon_sym_BSLASHglsplural] = ACTIONS(7051),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7051),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7051),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7051),
    [anon_sym_BSLASHglsname] = ACTIONS(7051),
    [anon_sym_BSLASHGlsname] = ACTIONS(7051),
    [anon_sym_BSLASHGLSname] = ACTIONS(7051),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7051),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7051),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7051),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7051),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7051),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7051),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7051),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7051),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7051),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7051),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7051),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7051),
    [anon_sym_BSLASHacrshort] = ACTIONS(7051),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7051),
    [anon_sym_BSLASHACRshort] = ACTIONS(7051),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHacrlong] = ACTIONS(7051),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7051),
    [anon_sym_BSLASHACRlong] = ACTIONS(7051),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7051),
    [anon_sym_BSLASHacrfull] = ACTIONS(7051),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7051),
    [anon_sym_BSLASHACRfull] = ACTIONS(7051),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHacs] = ACTIONS(7051),
    [anon_sym_BSLASHAcs] = ACTIONS(7051),
    [anon_sym_BSLASHacsp] = ACTIONS(7051),
    [anon_sym_BSLASHAcsp] = ACTIONS(7051),
    [anon_sym_BSLASHacl] = ACTIONS(7051),
    [anon_sym_BSLASHAcl] = ACTIONS(7051),
    [anon_sym_BSLASHaclp] = ACTIONS(7051),
    [anon_sym_BSLASHAclp] = ACTIONS(7051),
    [anon_sym_BSLASHacf] = ACTIONS(7051),
    [anon_sym_BSLASHAcf] = ACTIONS(7051),
    [anon_sym_BSLASHacfp] = ACTIONS(7051),
    [anon_sym_BSLASHAcfp] = ACTIONS(7051),
    [anon_sym_BSLASHac] = ACTIONS(7051),
    [anon_sym_BSLASHAc] = ACTIONS(7051),
    [anon_sym_BSLASHacp] = ACTIONS(7051),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7051),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7051),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7051),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7051),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7051),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7053),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7051),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7051),
    [anon_sym_BSLASHcolor] = ACTIONS(7051),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7051),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7051),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7051),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7051),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7051),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7051),
    [anon_sym_BSLASHurl] = ACTIONS(7051),
    [anon_sym_BSLASHhref] = ACTIONS(7051),
  },
  [2222] = {
    [sym_brack_group_text] = STATE(2295),
    [sym_command_name] = ACTIONS(6931),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6931),
    [anon_sym_LBRACK] = ACTIONS(7872),
    [anon_sym_RBRACK] = ACTIONS(6933),
    [anon_sym_COMMA] = ACTIONS(6933),
    [anon_sym_EQ] = ACTIONS(6933),
    [anon_sym_RBRACE] = ACTIONS(6933),
    [sym_word] = ACTIONS(6931),
    [sym_placeholder] = ACTIONS(6933),
    [sym_delimiter] = ACTIONS(6933),
    [anon_sym_PLUS] = ACTIONS(6933),
    [anon_sym_DASH] = ACTIONS(6933),
    [anon_sym_STAR] = ACTIONS(6933),
    [anon_sym_SLASH] = ACTIONS(6933),
    [anon_sym_LT] = ACTIONS(6931),
    [anon_sym_GT] = ACTIONS(6931),
    [anon_sym_BANG] = ACTIONS(6931),
    [anon_sym_PIPE] = ACTIONS(6931),
    [anon_sym_COLON] = ACTIONS(6931),
    [anon_sym_SQUOTE] = ACTIONS(6931),
    [anon_sym__] = ACTIONS(6933),
    [anon_sym_CARET] = ACTIONS(6933),
    [anon_sym_BSLASHtitle] = ACTIONS(6931),
    [anon_sym_BSLASHauthor] = ACTIONS(6931),
    [anon_sym_BSLASHusepackage] = ACTIONS(6931),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6931),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6931),
    [anon_sym_BSLASHinclude] = ACTIONS(6931),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6931),
    [anon_sym_BSLASHinput] = ACTIONS(6931),
    [anon_sym_BSLASHsubfile] = ACTIONS(6931),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6931),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6931),
    [anon_sym_BSLASHbibliography] = ACTIONS(6931),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6931),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6931),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6931),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6931),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6931),
    [anon_sym_BSLASHimport] = ACTIONS(6931),
    [anon_sym_BSLASHsubimport] = ACTIONS(6931),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6931),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6931),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6931),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6931),
    [anon_sym_BSLASHcaption] = ACTIONS(6931),
    [anon_sym_BSLASHcite] = ACTIONS(6931),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCite] = ACTIONS(6931),
    [anon_sym_BSLASHnocite] = ACTIONS(6931),
    [anon_sym_BSLASHcitet] = ACTIONS(6931),
    [anon_sym_BSLASHcitep] = ACTIONS(6931),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteA] = ACTIONS(6931),
    [anon_sym_BSLASHciteR] = ACTIONS(6931),
    [anon_sym_BSLASHciteS] = ACTIONS(6931),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6931),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6931),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6931),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6931),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteyear] = ACTIONS(6931),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcitedate] = ACTIONS(6931),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHciteurl] = ACTIONS(6931),
    [anon_sym_BSLASHfullcite] = ACTIONS(6931),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6931),
    [anon_sym_BSLASHcitealt] = ACTIONS(6931),
    [anon_sym_BSLASHcitealp] = ACTIONS(6931),
    [anon_sym_BSLASHcitetext] = ACTIONS(6931),
    [anon_sym_BSLASHparencite] = ACTIONS(6931),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHParencite] = ACTIONS(6931),
    [anon_sym_BSLASHfootcite] = ACTIONS(6931),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6931),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6931),
    [anon_sym_BSLASHtextcite] = ACTIONS(6931),
    [anon_sym_BSLASHTextcite] = ACTIONS(6931),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6931),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6931),
    [anon_sym_BSLASHsupercite] = ACTIONS(6931),
    [anon_sym_BSLASHautocite] = ACTIONS(6931),
    [anon_sym_BSLASHAutocite] = ACTIONS(6931),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHVolcite] = ACTIONS(6931),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHavolcite] = ACTIONS(6931),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6931),
    [anon_sym_BSLASHnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHNotecite] = ACTIONS(6931),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6931),
    [anon_sym_BSLASHlabel] = ACTIONS(6931),
    [anon_sym_BSLASHref] = ACTIONS(6931),
    [anon_sym_BSLASHeqref] = ACTIONS(6931),
    [anon_sym_BSLASHvref] = ACTIONS(6931),
    [anon_sym_BSLASHVref] = ACTIONS(6931),
    [anon_sym_BSLASHautoref] = ACTIONS(6931),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHpageref] = ACTIONS(6931),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHautopageref] = ACTIONS(6931),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcref] = ACTIONS(6931),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCref] = ACTIONS(6931),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcpageref] = ACTIONS(6931),
    [anon_sym_BSLASHCpageref] = ACTIONS(6931),
    [anon_sym_BSLASHnamecref] = ACTIONS(6931),
    [anon_sym_BSLASHnameCref] = ACTIONS(6931),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6931),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6931),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6931),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6931),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6931),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6931),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6931),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6931),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6931),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6931),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6931),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6931),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6931),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6931),
    [anon_sym_BSLASHdef] = ACTIONS(6931),
    [anon_sym_BSLASHgdef] = ACTIONS(6931),
    [anon_sym_BSLASHedef] = ACTIONS(6931),
    [anon_sym_BSLASHxdef] = ACTIONS(6931),
    [anon_sym_BSLASHlet] = ACTIONS(6931),
    [anon_sym_BSLASHglet] = ACTIONS(6931),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6931),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6931),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6931),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6931),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6931),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6931),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6931),
    [anon_sym_BSLASHgls] = ACTIONS(6931),
    [anon_sym_BSLASHGls] = ACTIONS(6931),
    [anon_sym_BSLASHGLS] = ACTIONS(6931),
    [anon_sym_BSLASHglspl] = ACTIONS(6931),
    [anon_sym_BSLASHGlspl] = ACTIONS(6931),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6931),
    [anon_sym_BSLASHglslink] = ACTIONS(6931),
    [anon_sym_BSLASHglstext] = ACTIONS(6931),
    [anon_sym_BSLASHGlstext] = ACTIONS(6931),
    [anon_sym_BSLASHGLStext] = ACTIONS(6931),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6931),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6931),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6931),
    [anon_sym_BSLASHglsplural] = ACTIONS(6931),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6931),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6931),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6931),
    [anon_sym_BSLASHglsname] = ACTIONS(6931),
    [anon_sym_BSLASHGlsname] = ACTIONS(6931),
    [anon_sym_BSLASHGLSname] = ACTIONS(6931),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6931),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6931),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6931),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6931),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6931),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6931),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6931),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6931),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6931),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6931),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6931),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6931),
    [anon_sym_BSLASHacrshort] = ACTIONS(6931),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6931),
    [anon_sym_BSLASHACRshort] = ACTIONS(6931),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHacrlong] = ACTIONS(6931),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6931),
    [anon_sym_BSLASHACRlong] = ACTIONS(6931),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6931),
    [anon_sym_BSLASHacrfull] = ACTIONS(6931),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6931),
    [anon_sym_BSLASHACRfull] = ACTIONS(6931),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHacs] = ACTIONS(6931),
    [anon_sym_BSLASHAcs] = ACTIONS(6931),
    [anon_sym_BSLASHacsp] = ACTIONS(6931),
    [anon_sym_BSLASHAcsp] = ACTIONS(6931),
    [anon_sym_BSLASHacl] = ACTIONS(6931),
    [anon_sym_BSLASHAcl] = ACTIONS(6931),
    [anon_sym_BSLASHaclp] = ACTIONS(6931),
    [anon_sym_BSLASHAclp] = ACTIONS(6931),
    [anon_sym_BSLASHacf] = ACTIONS(6931),
    [anon_sym_BSLASHAcf] = ACTIONS(6931),
    [anon_sym_BSLASHacfp] = ACTIONS(6931),
    [anon_sym_BSLASHAcfp] = ACTIONS(6931),
    [anon_sym_BSLASHac] = ACTIONS(6931),
    [anon_sym_BSLASHAc] = ACTIONS(6931),
    [anon_sym_BSLASHacp] = ACTIONS(6931),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6931),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6931),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6931),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6931),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6931),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6933),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6931),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6931),
    [anon_sym_BSLASHcolor] = ACTIONS(6931),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6931),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6931),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6931),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6931),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6931),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6931),
    [anon_sym_BSLASHurl] = ACTIONS(6931),
    [anon_sym_BSLASHhref] = ACTIONS(6931),
  },
  [2223] = {
    [sym_curly_group] = STATE(2289),
    [sym_command_name] = ACTIONS(6923),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6923),
    [anon_sym_RBRACK] = ACTIONS(6925),
    [anon_sym_COMMA] = ACTIONS(6925),
    [anon_sym_EQ] = ACTIONS(6925),
    [anon_sym_LBRACE] = ACTIONS(7867),
    [anon_sym_RBRACE] = ACTIONS(6925),
    [sym_word] = ACTIONS(6923),
    [sym_placeholder] = ACTIONS(6925),
    [sym_delimiter] = ACTIONS(6925),
    [anon_sym_PLUS] = ACTIONS(6925),
    [anon_sym_DASH] = ACTIONS(6925),
    [anon_sym_STAR] = ACTIONS(6925),
    [anon_sym_SLASH] = ACTIONS(6925),
    [anon_sym_LT] = ACTIONS(6923),
    [anon_sym_GT] = ACTIONS(6923),
    [anon_sym_BANG] = ACTIONS(6923),
    [anon_sym_PIPE] = ACTIONS(6923),
    [anon_sym_COLON] = ACTIONS(6923),
    [anon_sym_SQUOTE] = ACTIONS(6923),
    [anon_sym__] = ACTIONS(6925),
    [anon_sym_CARET] = ACTIONS(6925),
    [anon_sym_BSLASHtitle] = ACTIONS(6923),
    [anon_sym_BSLASHauthor] = ACTIONS(6923),
    [anon_sym_BSLASHusepackage] = ACTIONS(6923),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6923),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6923),
    [anon_sym_BSLASHinclude] = ACTIONS(6923),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6923),
    [anon_sym_BSLASHinput] = ACTIONS(6923),
    [anon_sym_BSLASHsubfile] = ACTIONS(6923),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6923),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6923),
    [anon_sym_BSLASHbibliography] = ACTIONS(6923),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6923),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6923),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6923),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6923),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6923),
    [anon_sym_BSLASHimport] = ACTIONS(6923),
    [anon_sym_BSLASHsubimport] = ACTIONS(6923),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6923),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6923),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6923),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6923),
    [anon_sym_BSLASHcaption] = ACTIONS(6923),
    [anon_sym_BSLASHcite] = ACTIONS(6923),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCite] = ACTIONS(6923),
    [anon_sym_BSLASHnocite] = ACTIONS(6923),
    [anon_sym_BSLASHcitet] = ACTIONS(6923),
    [anon_sym_BSLASHcitep] = ACTIONS(6923),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteA] = ACTIONS(6923),
    [anon_sym_BSLASHciteR] = ACTIONS(6923),
    [anon_sym_BSLASHciteS] = ACTIONS(6923),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6923),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6923),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6923),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6923),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteyear] = ACTIONS(6923),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcitedate] = ACTIONS(6923),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHciteurl] = ACTIONS(6923),
    [anon_sym_BSLASHfullcite] = ACTIONS(6923),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6923),
    [anon_sym_BSLASHcitealt] = ACTIONS(6923),
    [anon_sym_BSLASHcitealp] = ACTIONS(6923),
    [anon_sym_BSLASHcitetext] = ACTIONS(6923),
    [anon_sym_BSLASHparencite] = ACTIONS(6923),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHParencite] = ACTIONS(6923),
    [anon_sym_BSLASHfootcite] = ACTIONS(6923),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6923),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6923),
    [anon_sym_BSLASHtextcite] = ACTIONS(6923),
    [anon_sym_BSLASHTextcite] = ACTIONS(6923),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6923),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6923),
    [anon_sym_BSLASHsupercite] = ACTIONS(6923),
    [anon_sym_BSLASHautocite] = ACTIONS(6923),
    [anon_sym_BSLASHAutocite] = ACTIONS(6923),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHVolcite] = ACTIONS(6923),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHavolcite] = ACTIONS(6923),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6923),
    [anon_sym_BSLASHnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHNotecite] = ACTIONS(6923),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6923),
    [anon_sym_BSLASHlabel] = ACTIONS(6923),
    [anon_sym_BSLASHref] = ACTIONS(6923),
    [anon_sym_BSLASHeqref] = ACTIONS(6923),
    [anon_sym_BSLASHvref] = ACTIONS(6923),
    [anon_sym_BSLASHVref] = ACTIONS(6923),
    [anon_sym_BSLASHautoref] = ACTIONS(6923),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHpageref] = ACTIONS(6923),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHautopageref] = ACTIONS(6923),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcref] = ACTIONS(6923),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCref] = ACTIONS(6923),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcpageref] = ACTIONS(6923),
    [anon_sym_BSLASHCpageref] = ACTIONS(6923),
    [anon_sym_BSLASHnamecref] = ACTIONS(6923),
    [anon_sym_BSLASHnameCref] = ACTIONS(6923),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6923),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6923),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6923),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6923),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6923),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6923),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6923),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6923),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6923),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6923),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6923),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6923),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6923),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6923),
    [anon_sym_BSLASHdef] = ACTIONS(6923),
    [anon_sym_BSLASHgdef] = ACTIONS(6923),
    [anon_sym_BSLASHedef] = ACTIONS(6923),
    [anon_sym_BSLASHxdef] = ACTIONS(6923),
    [anon_sym_BSLASHlet] = ACTIONS(6923),
    [anon_sym_BSLASHglet] = ACTIONS(6923),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6923),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6923),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6923),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6923),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6923),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6923),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6923),
    [anon_sym_BSLASHgls] = ACTIONS(6923),
    [anon_sym_BSLASHGls] = ACTIONS(6923),
    [anon_sym_BSLASHGLS] = ACTIONS(6923),
    [anon_sym_BSLASHglspl] = ACTIONS(6923),
    [anon_sym_BSLASHGlspl] = ACTIONS(6923),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6923),
    [anon_sym_BSLASHglslink] = ACTIONS(6923),
    [anon_sym_BSLASHglstext] = ACTIONS(6923),
    [anon_sym_BSLASHGlstext] = ACTIONS(6923),
    [anon_sym_BSLASHGLStext] = ACTIONS(6923),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6923),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6923),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6923),
    [anon_sym_BSLASHglsplural] = ACTIONS(6923),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6923),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6923),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6923),
    [anon_sym_BSLASHglsname] = ACTIONS(6923),
    [anon_sym_BSLASHGlsname] = ACTIONS(6923),
    [anon_sym_BSLASHGLSname] = ACTIONS(6923),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6923),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6923),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6923),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6923),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6923),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6923),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6923),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6923),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6923),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6923),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6923),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6923),
    [anon_sym_BSLASHacrshort] = ACTIONS(6923),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6923),
    [anon_sym_BSLASHACRshort] = ACTIONS(6923),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHacrlong] = ACTIONS(6923),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6923),
    [anon_sym_BSLASHACRlong] = ACTIONS(6923),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6923),
    [anon_sym_BSLASHacrfull] = ACTIONS(6923),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6923),
    [anon_sym_BSLASHACRfull] = ACTIONS(6923),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHacs] = ACTIONS(6923),
    [anon_sym_BSLASHAcs] = ACTIONS(6923),
    [anon_sym_BSLASHacsp] = ACTIONS(6923),
    [anon_sym_BSLASHAcsp] = ACTIONS(6923),
    [anon_sym_BSLASHacl] = ACTIONS(6923),
    [anon_sym_BSLASHAcl] = ACTIONS(6923),
    [anon_sym_BSLASHaclp] = ACTIONS(6923),
    [anon_sym_BSLASHAclp] = ACTIONS(6923),
    [anon_sym_BSLASHacf] = ACTIONS(6923),
    [anon_sym_BSLASHAcf] = ACTIONS(6923),
    [anon_sym_BSLASHacfp] = ACTIONS(6923),
    [anon_sym_BSLASHAcfp] = ACTIONS(6923),
    [anon_sym_BSLASHac] = ACTIONS(6923),
    [anon_sym_BSLASHAc] = ACTIONS(6923),
    [anon_sym_BSLASHacp] = ACTIONS(6923),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6923),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6923),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6923),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6923),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6923),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6925),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6923),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6923),
    [anon_sym_BSLASHcolor] = ACTIONS(6923),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6923),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6923),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6923),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6923),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6923),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6923),
    [anon_sym_BSLASHurl] = ACTIONS(6923),
    [anon_sym_BSLASHhref] = ACTIONS(6923),
  },
  [2224] = {
    [sym_command_name] = ACTIONS(6871),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6871),
    [anon_sym_BSLASHfi] = ACTIONS(7874),
    [anon_sym_RBRACK] = ACTIONS(6875),
    [anon_sym_COMMA] = ACTIONS(6875),
    [anon_sym_EQ] = ACTIONS(6875),
    [anon_sym_RBRACE] = ACTIONS(6875),
    [sym_word] = ACTIONS(6871),
    [sym_placeholder] = ACTIONS(6875),
    [sym_delimiter] = ACTIONS(6875),
    [anon_sym_PLUS] = ACTIONS(6875),
    [anon_sym_DASH] = ACTIONS(6875),
    [anon_sym_STAR] = ACTIONS(6875),
    [anon_sym_SLASH] = ACTIONS(6875),
    [anon_sym_LT] = ACTIONS(6871),
    [anon_sym_GT] = ACTIONS(6871),
    [anon_sym_BANG] = ACTIONS(6871),
    [anon_sym_PIPE] = ACTIONS(6871),
    [anon_sym_COLON] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6871),
    [anon_sym__] = ACTIONS(6875),
    [anon_sym_CARET] = ACTIONS(6875),
    [anon_sym_BSLASHtitle] = ACTIONS(6871),
    [anon_sym_BSLASHauthor] = ACTIONS(6871),
    [anon_sym_BSLASHusepackage] = ACTIONS(6871),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6871),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6871),
    [anon_sym_BSLASHinclude] = ACTIONS(6871),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6871),
    [anon_sym_BSLASHinput] = ACTIONS(6871),
    [anon_sym_BSLASHsubfile] = ACTIONS(6871),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6871),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6871),
    [anon_sym_BSLASHbibliography] = ACTIONS(6871),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6871),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6871),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6871),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6871),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6871),
    [anon_sym_BSLASHimport] = ACTIONS(6871),
    [anon_sym_BSLASHsubimport] = ACTIONS(6871),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6871),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6871),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6871),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6871),
    [anon_sym_BSLASHcaption] = ACTIONS(6871),
    [anon_sym_BSLASHcite] = ACTIONS(6871),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCite] = ACTIONS(6871),
    [anon_sym_BSLASHnocite] = ACTIONS(6871),
    [anon_sym_BSLASHcitet] = ACTIONS(6871),
    [anon_sym_BSLASHcitep] = ACTIONS(6871),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteA] = ACTIONS(6871),
    [anon_sym_BSLASHciteR] = ACTIONS(6871),
    [anon_sym_BSLASHciteS] = ACTIONS(6871),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6871),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6871),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6871),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6871),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteyear] = ACTIONS(6871),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcitedate] = ACTIONS(6871),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHciteurl] = ACTIONS(6871),
    [anon_sym_BSLASHfullcite] = ACTIONS(6871),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6871),
    [anon_sym_BSLASHcitealt] = ACTIONS(6871),
    [anon_sym_BSLASHcitealp] = ACTIONS(6871),
    [anon_sym_BSLASHcitetext] = ACTIONS(6871),
    [anon_sym_BSLASHparencite] = ACTIONS(6871),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHParencite] = ACTIONS(6871),
    [anon_sym_BSLASHfootcite] = ACTIONS(6871),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6871),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6871),
    [anon_sym_BSLASHtextcite] = ACTIONS(6871),
    [anon_sym_BSLASHTextcite] = ACTIONS(6871),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6871),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6871),
    [anon_sym_BSLASHsupercite] = ACTIONS(6871),
    [anon_sym_BSLASHautocite] = ACTIONS(6871),
    [anon_sym_BSLASHAutocite] = ACTIONS(6871),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHVolcite] = ACTIONS(6871),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHavolcite] = ACTIONS(6871),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6871),
    [anon_sym_BSLASHnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHNotecite] = ACTIONS(6871),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6871),
    [anon_sym_BSLASHlabel] = ACTIONS(6871),
    [anon_sym_BSLASHref] = ACTIONS(6871),
    [anon_sym_BSLASHeqref] = ACTIONS(6871),
    [anon_sym_BSLASHvref] = ACTIONS(6871),
    [anon_sym_BSLASHVref] = ACTIONS(6871),
    [anon_sym_BSLASHautoref] = ACTIONS(6871),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHpageref] = ACTIONS(6871),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHautopageref] = ACTIONS(6871),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcref] = ACTIONS(6871),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCref] = ACTIONS(6871),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcpageref] = ACTIONS(6871),
    [anon_sym_BSLASHCpageref] = ACTIONS(6871),
    [anon_sym_BSLASHnamecref] = ACTIONS(6871),
    [anon_sym_BSLASHnameCref] = ACTIONS(6871),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6871),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6871),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6871),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6871),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6871),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6871),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6871),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6871),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6871),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6871),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6871),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6871),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6871),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6871),
    [anon_sym_BSLASHdef] = ACTIONS(6871),
    [anon_sym_BSLASHgdef] = ACTIONS(6871),
    [anon_sym_BSLASHedef] = ACTIONS(6871),
    [anon_sym_BSLASHxdef] = ACTIONS(6871),
    [anon_sym_BSLASHlet] = ACTIONS(6871),
    [anon_sym_BSLASHglet] = ACTIONS(6871),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6871),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6871),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6871),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6871),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6871),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6871),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6871),
    [anon_sym_BSLASHgls] = ACTIONS(6871),
    [anon_sym_BSLASHGls] = ACTIONS(6871),
    [anon_sym_BSLASHGLS] = ACTIONS(6871),
    [anon_sym_BSLASHglspl] = ACTIONS(6871),
    [anon_sym_BSLASHGlspl] = ACTIONS(6871),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6871),
    [anon_sym_BSLASHglslink] = ACTIONS(6871),
    [anon_sym_BSLASHglstext] = ACTIONS(6871),
    [anon_sym_BSLASHGlstext] = ACTIONS(6871),
    [anon_sym_BSLASHGLStext] = ACTIONS(6871),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6871),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6871),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6871),
    [anon_sym_BSLASHglsplural] = ACTIONS(6871),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6871),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6871),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6871),
    [anon_sym_BSLASHglsname] = ACTIONS(6871),
    [anon_sym_BSLASHGlsname] = ACTIONS(6871),
    [anon_sym_BSLASHGLSname] = ACTIONS(6871),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6871),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6871),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6871),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6871),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6871),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6871),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6871),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6871),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6871),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6871),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6871),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6871),
    [anon_sym_BSLASHacrshort] = ACTIONS(6871),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6871),
    [anon_sym_BSLASHACRshort] = ACTIONS(6871),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHacrlong] = ACTIONS(6871),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6871),
    [anon_sym_BSLASHACRlong] = ACTIONS(6871),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6871),
    [anon_sym_BSLASHacrfull] = ACTIONS(6871),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6871),
    [anon_sym_BSLASHACRfull] = ACTIONS(6871),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHacs] = ACTIONS(6871),
    [anon_sym_BSLASHAcs] = ACTIONS(6871),
    [anon_sym_BSLASHacsp] = ACTIONS(6871),
    [anon_sym_BSLASHAcsp] = ACTIONS(6871),
    [anon_sym_BSLASHacl] = ACTIONS(6871),
    [anon_sym_BSLASHAcl] = ACTIONS(6871),
    [anon_sym_BSLASHaclp] = ACTIONS(6871),
    [anon_sym_BSLASHAclp] = ACTIONS(6871),
    [anon_sym_BSLASHacf] = ACTIONS(6871),
    [anon_sym_BSLASHAcf] = ACTIONS(6871),
    [anon_sym_BSLASHacfp] = ACTIONS(6871),
    [anon_sym_BSLASHAcfp] = ACTIONS(6871),
    [anon_sym_BSLASHac] = ACTIONS(6871),
    [anon_sym_BSLASHAc] = ACTIONS(6871),
    [anon_sym_BSLASHacp] = ACTIONS(6871),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6871),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6871),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6871),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6871),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6871),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6875),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6871),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6871),
    [anon_sym_BSLASHcolor] = ACTIONS(6871),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6871),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6871),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6871),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6871),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6871),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6871),
    [anon_sym_BSLASHurl] = ACTIONS(6871),
    [anon_sym_BSLASHhref] = ACTIONS(6871),
    [sym__trivia_raw_fi] = ACTIONS(7876),
  },
  [2225] = {
    [sym_command_name] = ACTIONS(7539),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7539),
    [anon_sym_LBRACK] = ACTIONS(7541),
    [anon_sym_RBRACK] = ACTIONS(7541),
    [anon_sym_COMMA] = ACTIONS(7541),
    [anon_sym_EQ] = ACTIONS(7541),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_RBRACE] = ACTIONS(7541),
    [sym_word] = ACTIONS(7539),
    [sym_placeholder] = ACTIONS(7541),
    [sym_delimiter] = ACTIONS(7541),
    [anon_sym_PLUS] = ACTIONS(7541),
    [anon_sym_DASH] = ACTIONS(7541),
    [anon_sym_STAR] = ACTIONS(7541),
    [anon_sym_SLASH] = ACTIONS(7541),
    [anon_sym_LT] = ACTIONS(7539),
    [anon_sym_GT] = ACTIONS(7539),
    [anon_sym_BANG] = ACTIONS(7539),
    [anon_sym_PIPE] = ACTIONS(7539),
    [anon_sym_COLON] = ACTIONS(7539),
    [anon_sym_SQUOTE] = ACTIONS(7539),
    [anon_sym__] = ACTIONS(7541),
    [anon_sym_CARET] = ACTIONS(7541),
    [anon_sym_BSLASHtitle] = ACTIONS(7539),
    [anon_sym_BSLASHauthor] = ACTIONS(7539),
    [anon_sym_BSLASHusepackage] = ACTIONS(7539),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7539),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7539),
    [anon_sym_BSLASHinclude] = ACTIONS(7539),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7539),
    [anon_sym_BSLASHinput] = ACTIONS(7539),
    [anon_sym_BSLASHsubfile] = ACTIONS(7539),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7539),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7539),
    [anon_sym_BSLASHbibliography] = ACTIONS(7539),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7539),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7539),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7539),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7539),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7539),
    [anon_sym_BSLASHimport] = ACTIONS(7539),
    [anon_sym_BSLASHsubimport] = ACTIONS(7539),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7539),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7539),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7539),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7539),
    [anon_sym_BSLASHcaption] = ACTIONS(7539),
    [anon_sym_BSLASHcite] = ACTIONS(7539),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCite] = ACTIONS(7539),
    [anon_sym_BSLASHnocite] = ACTIONS(7539),
    [anon_sym_BSLASHcitet] = ACTIONS(7539),
    [anon_sym_BSLASHcitep] = ACTIONS(7539),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteA] = ACTIONS(7539),
    [anon_sym_BSLASHciteR] = ACTIONS(7539),
    [anon_sym_BSLASHciteS] = ACTIONS(7539),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7539),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7539),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7539),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7539),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteyear] = ACTIONS(7539),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcitedate] = ACTIONS(7539),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHciteurl] = ACTIONS(7539),
    [anon_sym_BSLASHfullcite] = ACTIONS(7539),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7539),
    [anon_sym_BSLASHcitealt] = ACTIONS(7539),
    [anon_sym_BSLASHcitealp] = ACTIONS(7539),
    [anon_sym_BSLASHcitetext] = ACTIONS(7539),
    [anon_sym_BSLASHparencite] = ACTIONS(7539),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHParencite] = ACTIONS(7539),
    [anon_sym_BSLASHfootcite] = ACTIONS(7539),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7539),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7539),
    [anon_sym_BSLASHtextcite] = ACTIONS(7539),
    [anon_sym_BSLASHTextcite] = ACTIONS(7539),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7539),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7539),
    [anon_sym_BSLASHsupercite] = ACTIONS(7539),
    [anon_sym_BSLASHautocite] = ACTIONS(7539),
    [anon_sym_BSLASHAutocite] = ACTIONS(7539),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHVolcite] = ACTIONS(7539),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHavolcite] = ACTIONS(7539),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7539),
    [anon_sym_BSLASHnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHNotecite] = ACTIONS(7539),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7539),
    [anon_sym_BSLASHlabel] = ACTIONS(7539),
    [anon_sym_BSLASHref] = ACTIONS(7539),
    [anon_sym_BSLASHeqref] = ACTIONS(7539),
    [anon_sym_BSLASHvref] = ACTIONS(7539),
    [anon_sym_BSLASHVref] = ACTIONS(7539),
    [anon_sym_BSLASHautoref] = ACTIONS(7539),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHpageref] = ACTIONS(7539),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHautopageref] = ACTIONS(7539),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcref] = ACTIONS(7539),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCref] = ACTIONS(7539),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcpageref] = ACTIONS(7539),
    [anon_sym_BSLASHCpageref] = ACTIONS(7539),
    [anon_sym_BSLASHnamecref] = ACTIONS(7539),
    [anon_sym_BSLASHnameCref] = ACTIONS(7539),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7539),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7539),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7539),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7539),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7539),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7539),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7539),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7539),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7539),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7539),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7539),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7539),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7539),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7539),
    [anon_sym_BSLASHdef] = ACTIONS(7539),
    [anon_sym_BSLASHgdef] = ACTIONS(7539),
    [anon_sym_BSLASHedef] = ACTIONS(7539),
    [anon_sym_BSLASHxdef] = ACTIONS(7539),
    [anon_sym_BSLASHlet] = ACTIONS(7539),
    [anon_sym_BSLASHglet] = ACTIONS(7539),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7539),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7539),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7539),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7539),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7539),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7539),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7539),
    [anon_sym_BSLASHgls] = ACTIONS(7539),
    [anon_sym_BSLASHGls] = ACTIONS(7539),
    [anon_sym_BSLASHGLS] = ACTIONS(7539),
    [anon_sym_BSLASHglspl] = ACTIONS(7539),
    [anon_sym_BSLASHGlspl] = ACTIONS(7539),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7539),
    [anon_sym_BSLASHglslink] = ACTIONS(7539),
    [anon_sym_BSLASHglstext] = ACTIONS(7539),
    [anon_sym_BSLASHGlstext] = ACTIONS(7539),
    [anon_sym_BSLASHGLStext] = ACTIONS(7539),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7539),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7539),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7539),
    [anon_sym_BSLASHglsplural] = ACTIONS(7539),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7539),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7539),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7539),
    [anon_sym_BSLASHglsname] = ACTIONS(7539),
    [anon_sym_BSLASHGlsname] = ACTIONS(7539),
    [anon_sym_BSLASHGLSname] = ACTIONS(7539),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7539),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7539),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7539),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7539),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7539),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7539),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7539),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7539),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7539),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7539),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7539),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7539),
    [anon_sym_BSLASHacrshort] = ACTIONS(7539),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7539),
    [anon_sym_BSLASHACRshort] = ACTIONS(7539),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHacrlong] = ACTIONS(7539),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7539),
    [anon_sym_BSLASHACRlong] = ACTIONS(7539),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7539),
    [anon_sym_BSLASHacrfull] = ACTIONS(7539),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7539),
    [anon_sym_BSLASHACRfull] = ACTIONS(7539),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHacs] = ACTIONS(7539),
    [anon_sym_BSLASHAcs] = ACTIONS(7539),
    [anon_sym_BSLASHacsp] = ACTIONS(7539),
    [anon_sym_BSLASHAcsp] = ACTIONS(7539),
    [anon_sym_BSLASHacl] = ACTIONS(7539),
    [anon_sym_BSLASHAcl] = ACTIONS(7539),
    [anon_sym_BSLASHaclp] = ACTIONS(7539),
    [anon_sym_BSLASHAclp] = ACTIONS(7539),
    [anon_sym_BSLASHacf] = ACTIONS(7539),
    [anon_sym_BSLASHAcf] = ACTIONS(7539),
    [anon_sym_BSLASHacfp] = ACTIONS(7539),
    [anon_sym_BSLASHAcfp] = ACTIONS(7539),
    [anon_sym_BSLASHac] = ACTIONS(7539),
    [anon_sym_BSLASHAc] = ACTIONS(7539),
    [anon_sym_BSLASHacp] = ACTIONS(7539),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7539),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7539),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7539),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7539),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7539),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7541),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7539),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7539),
    [anon_sym_BSLASHcolor] = ACTIONS(7539),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7539),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7539),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7539),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7539),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7539),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7539),
    [anon_sym_BSLASHurl] = ACTIONS(7539),
    [anon_sym_BSLASHhref] = ACTIONS(7539),
  },
  [2226] = {
    [sym_curly_group] = STATE(2299),
    [sym_command_name] = ACTIONS(6935),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6935),
    [anon_sym_RBRACK] = ACTIONS(6937),
    [anon_sym_COMMA] = ACTIONS(6937),
    [anon_sym_EQ] = ACTIONS(6937),
    [anon_sym_LBRACE] = ACTIONS(7867),
    [anon_sym_RBRACE] = ACTIONS(6937),
    [sym_word] = ACTIONS(6935),
    [sym_placeholder] = ACTIONS(6937),
    [sym_delimiter] = ACTIONS(6937),
    [anon_sym_PLUS] = ACTIONS(6937),
    [anon_sym_DASH] = ACTIONS(6937),
    [anon_sym_STAR] = ACTIONS(6937),
    [anon_sym_SLASH] = ACTIONS(6937),
    [anon_sym_LT] = ACTIONS(6935),
    [anon_sym_GT] = ACTIONS(6935),
    [anon_sym_BANG] = ACTIONS(6935),
    [anon_sym_PIPE] = ACTIONS(6935),
    [anon_sym_COLON] = ACTIONS(6935),
    [anon_sym_SQUOTE] = ACTIONS(6935),
    [anon_sym__] = ACTIONS(6937),
    [anon_sym_CARET] = ACTIONS(6937),
    [anon_sym_BSLASHtitle] = ACTIONS(6935),
    [anon_sym_BSLASHauthor] = ACTIONS(6935),
    [anon_sym_BSLASHusepackage] = ACTIONS(6935),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6935),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6935),
    [anon_sym_BSLASHinclude] = ACTIONS(6935),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6935),
    [anon_sym_BSLASHinput] = ACTIONS(6935),
    [anon_sym_BSLASHsubfile] = ACTIONS(6935),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6935),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6935),
    [anon_sym_BSLASHbibliography] = ACTIONS(6935),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6935),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6935),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6935),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6935),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6935),
    [anon_sym_BSLASHimport] = ACTIONS(6935),
    [anon_sym_BSLASHsubimport] = ACTIONS(6935),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6935),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6935),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6935),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6935),
    [anon_sym_BSLASHcaption] = ACTIONS(6935),
    [anon_sym_BSLASHcite] = ACTIONS(6935),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCite] = ACTIONS(6935),
    [anon_sym_BSLASHnocite] = ACTIONS(6935),
    [anon_sym_BSLASHcitet] = ACTIONS(6935),
    [anon_sym_BSLASHcitep] = ACTIONS(6935),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteA] = ACTIONS(6935),
    [anon_sym_BSLASHciteR] = ACTIONS(6935),
    [anon_sym_BSLASHciteS] = ACTIONS(6935),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6935),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6935),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6935),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6935),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteyear] = ACTIONS(6935),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcitedate] = ACTIONS(6935),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHciteurl] = ACTIONS(6935),
    [anon_sym_BSLASHfullcite] = ACTIONS(6935),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6935),
    [anon_sym_BSLASHcitealt] = ACTIONS(6935),
    [anon_sym_BSLASHcitealp] = ACTIONS(6935),
    [anon_sym_BSLASHcitetext] = ACTIONS(6935),
    [anon_sym_BSLASHparencite] = ACTIONS(6935),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHParencite] = ACTIONS(6935),
    [anon_sym_BSLASHfootcite] = ACTIONS(6935),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6935),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6935),
    [anon_sym_BSLASHtextcite] = ACTIONS(6935),
    [anon_sym_BSLASHTextcite] = ACTIONS(6935),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6935),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6935),
    [anon_sym_BSLASHsupercite] = ACTIONS(6935),
    [anon_sym_BSLASHautocite] = ACTIONS(6935),
    [anon_sym_BSLASHAutocite] = ACTIONS(6935),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHVolcite] = ACTIONS(6935),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHavolcite] = ACTIONS(6935),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6935),
    [anon_sym_BSLASHnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHNotecite] = ACTIONS(6935),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6935),
    [anon_sym_BSLASHlabel] = ACTIONS(6935),
    [anon_sym_BSLASHref] = ACTIONS(6935),
    [anon_sym_BSLASHeqref] = ACTIONS(6935),
    [anon_sym_BSLASHvref] = ACTIONS(6935),
    [anon_sym_BSLASHVref] = ACTIONS(6935),
    [anon_sym_BSLASHautoref] = ACTIONS(6935),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHpageref] = ACTIONS(6935),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHautopageref] = ACTIONS(6935),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcref] = ACTIONS(6935),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCref] = ACTIONS(6935),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcpageref] = ACTIONS(6935),
    [anon_sym_BSLASHCpageref] = ACTIONS(6935),
    [anon_sym_BSLASHnamecref] = ACTIONS(6935),
    [anon_sym_BSLASHnameCref] = ACTIONS(6935),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6935),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6935),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6935),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6935),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6935),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6935),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6935),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6935),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6935),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6935),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6935),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6935),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6935),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6935),
    [anon_sym_BSLASHdef] = ACTIONS(6935),
    [anon_sym_BSLASHgdef] = ACTIONS(6935),
    [anon_sym_BSLASHedef] = ACTIONS(6935),
    [anon_sym_BSLASHxdef] = ACTIONS(6935),
    [anon_sym_BSLASHlet] = ACTIONS(6935),
    [anon_sym_BSLASHglet] = ACTIONS(6935),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6935),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6935),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6935),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6935),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6935),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6935),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6935),
    [anon_sym_BSLASHgls] = ACTIONS(6935),
    [anon_sym_BSLASHGls] = ACTIONS(6935),
    [anon_sym_BSLASHGLS] = ACTIONS(6935),
    [anon_sym_BSLASHglspl] = ACTIONS(6935),
    [anon_sym_BSLASHGlspl] = ACTIONS(6935),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6935),
    [anon_sym_BSLASHglslink] = ACTIONS(6935),
    [anon_sym_BSLASHglstext] = ACTIONS(6935),
    [anon_sym_BSLASHGlstext] = ACTIONS(6935),
    [anon_sym_BSLASHGLStext] = ACTIONS(6935),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6935),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6935),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6935),
    [anon_sym_BSLASHglsplural] = ACTIONS(6935),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6935),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6935),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6935),
    [anon_sym_BSLASHglsname] = ACTIONS(6935),
    [anon_sym_BSLASHGlsname] = ACTIONS(6935),
    [anon_sym_BSLASHGLSname] = ACTIONS(6935),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6935),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6935),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6935),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6935),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6935),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6935),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6935),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6935),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6935),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6935),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6935),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6935),
    [anon_sym_BSLASHacrshort] = ACTIONS(6935),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6935),
    [anon_sym_BSLASHACRshort] = ACTIONS(6935),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHacrlong] = ACTIONS(6935),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6935),
    [anon_sym_BSLASHACRlong] = ACTIONS(6935),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6935),
    [anon_sym_BSLASHacrfull] = ACTIONS(6935),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6935),
    [anon_sym_BSLASHACRfull] = ACTIONS(6935),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHacs] = ACTIONS(6935),
    [anon_sym_BSLASHAcs] = ACTIONS(6935),
    [anon_sym_BSLASHacsp] = ACTIONS(6935),
    [anon_sym_BSLASHAcsp] = ACTIONS(6935),
    [anon_sym_BSLASHacl] = ACTIONS(6935),
    [anon_sym_BSLASHAcl] = ACTIONS(6935),
    [anon_sym_BSLASHaclp] = ACTIONS(6935),
    [anon_sym_BSLASHAclp] = ACTIONS(6935),
    [anon_sym_BSLASHacf] = ACTIONS(6935),
    [anon_sym_BSLASHAcf] = ACTIONS(6935),
    [anon_sym_BSLASHacfp] = ACTIONS(6935),
    [anon_sym_BSLASHAcfp] = ACTIONS(6935),
    [anon_sym_BSLASHac] = ACTIONS(6935),
    [anon_sym_BSLASHAc] = ACTIONS(6935),
    [anon_sym_BSLASHacp] = ACTIONS(6935),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6935),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6935),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6935),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6935),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6935),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6937),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6935),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6935),
    [anon_sym_BSLASHcolor] = ACTIONS(6935),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6935),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6935),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6935),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6935),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6935),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6935),
    [anon_sym_BSLASHurl] = ACTIONS(6935),
    [anon_sym_BSLASHhref] = ACTIONS(6935),
  },
  [2227] = {
    [sym_command_name] = ACTIONS(7603),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7603),
    [anon_sym_RBRACK] = ACTIONS(7605),
    [anon_sym_COMMA] = ACTIONS(7605),
    [anon_sym_EQ] = ACTIONS(7605),
    [anon_sym_LBRACE] = ACTIONS(7605),
    [anon_sym_RBRACE] = ACTIONS(7605),
    [sym_word] = ACTIONS(7603),
    [sym_placeholder] = ACTIONS(7605),
    [sym_delimiter] = ACTIONS(7605),
    [anon_sym_PLUS] = ACTIONS(7605),
    [anon_sym_DASH] = ACTIONS(7605),
    [anon_sym_STAR] = ACTIONS(7605),
    [anon_sym_SLASH] = ACTIONS(7605),
    [anon_sym_LT] = ACTIONS(7603),
    [anon_sym_GT] = ACTIONS(7603),
    [anon_sym_BANG] = ACTIONS(7603),
    [anon_sym_PIPE] = ACTIONS(7603),
    [anon_sym_COLON] = ACTIONS(7603),
    [anon_sym_SQUOTE] = ACTIONS(7603),
    [anon_sym__] = ACTIONS(7605),
    [anon_sym_CARET] = ACTIONS(7605),
    [anon_sym_BSLASHtitle] = ACTIONS(7603),
    [anon_sym_BSLASHauthor] = ACTIONS(7603),
    [anon_sym_BSLASHusepackage] = ACTIONS(7603),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7603),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7603),
    [anon_sym_BSLASHinclude] = ACTIONS(7603),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7603),
    [anon_sym_BSLASHinput] = ACTIONS(7603),
    [anon_sym_BSLASHsubfile] = ACTIONS(7603),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7603),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7603),
    [anon_sym_BSLASHbibliography] = ACTIONS(7603),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7603),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7603),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7603),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7603),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7603),
    [anon_sym_BSLASHimport] = ACTIONS(7603),
    [anon_sym_BSLASHsubimport] = ACTIONS(7603),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7603),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7603),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7603),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7603),
    [anon_sym_BSLASHcaption] = ACTIONS(7603),
    [anon_sym_BSLASHcite] = ACTIONS(7603),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCite] = ACTIONS(7603),
    [anon_sym_BSLASHnocite] = ACTIONS(7603),
    [anon_sym_BSLASHcitet] = ACTIONS(7603),
    [anon_sym_BSLASHcitep] = ACTIONS(7603),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteA] = ACTIONS(7603),
    [anon_sym_BSLASHciteR] = ACTIONS(7603),
    [anon_sym_BSLASHciteS] = ACTIONS(7603),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7603),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7603),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7603),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7603),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteyear] = ACTIONS(7603),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcitedate] = ACTIONS(7603),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHciteurl] = ACTIONS(7603),
    [anon_sym_BSLASHfullcite] = ACTIONS(7603),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7603),
    [anon_sym_BSLASHcitealt] = ACTIONS(7603),
    [anon_sym_BSLASHcitealp] = ACTIONS(7603),
    [anon_sym_BSLASHcitetext] = ACTIONS(7603),
    [anon_sym_BSLASHparencite] = ACTIONS(7603),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHParencite] = ACTIONS(7603),
    [anon_sym_BSLASHfootcite] = ACTIONS(7603),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7603),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7603),
    [anon_sym_BSLASHtextcite] = ACTIONS(7603),
    [anon_sym_BSLASHTextcite] = ACTIONS(7603),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7603),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7603),
    [anon_sym_BSLASHsupercite] = ACTIONS(7603),
    [anon_sym_BSLASHautocite] = ACTIONS(7603),
    [anon_sym_BSLASHAutocite] = ACTIONS(7603),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHVolcite] = ACTIONS(7603),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHavolcite] = ACTIONS(7603),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7603),
    [anon_sym_BSLASHnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHNotecite] = ACTIONS(7603),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7603),
    [anon_sym_BSLASHlabel] = ACTIONS(7603),
    [anon_sym_BSLASHref] = ACTIONS(7603),
    [anon_sym_BSLASHeqref] = ACTIONS(7603),
    [anon_sym_BSLASHvref] = ACTIONS(7603),
    [anon_sym_BSLASHVref] = ACTIONS(7603),
    [anon_sym_BSLASHautoref] = ACTIONS(7603),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHpageref] = ACTIONS(7603),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHautopageref] = ACTIONS(7603),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcref] = ACTIONS(7603),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCref] = ACTIONS(7603),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcpageref] = ACTIONS(7603),
    [anon_sym_BSLASHCpageref] = ACTIONS(7603),
    [anon_sym_BSLASHnamecref] = ACTIONS(7603),
    [anon_sym_BSLASHnameCref] = ACTIONS(7603),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7603),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7603),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7603),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7603),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7603),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7603),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7603),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7603),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7603),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7603),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7603),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7603),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7603),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7603),
    [anon_sym_BSLASHdef] = ACTIONS(7603),
    [anon_sym_BSLASHgdef] = ACTIONS(7603),
    [anon_sym_BSLASHedef] = ACTIONS(7603),
    [anon_sym_BSLASHxdef] = ACTIONS(7603),
    [anon_sym_BSLASHlet] = ACTIONS(7603),
    [anon_sym_BSLASHglet] = ACTIONS(7603),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7603),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7603),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7603),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7603),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7603),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7603),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7603),
    [anon_sym_BSLASHgls] = ACTIONS(7603),
    [anon_sym_BSLASHGls] = ACTIONS(7603),
    [anon_sym_BSLASHGLS] = ACTIONS(7603),
    [anon_sym_BSLASHglspl] = ACTIONS(7603),
    [anon_sym_BSLASHGlspl] = ACTIONS(7603),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7603),
    [anon_sym_BSLASHglslink] = ACTIONS(7603),
    [anon_sym_BSLASHglstext] = ACTIONS(7603),
    [anon_sym_BSLASHGlstext] = ACTIONS(7603),
    [anon_sym_BSLASHGLStext] = ACTIONS(7603),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7603),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7603),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7603),
    [anon_sym_BSLASHglsplural] = ACTIONS(7603),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7603),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7603),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7603),
    [anon_sym_BSLASHglsname] = ACTIONS(7603),
    [anon_sym_BSLASHGlsname] = ACTIONS(7603),
    [anon_sym_BSLASHGLSname] = ACTIONS(7603),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7603),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7603),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7603),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7603),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7603),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7603),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7603),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7603),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7603),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7603),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7603),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7603),
    [anon_sym_BSLASHacrshort] = ACTIONS(7603),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7603),
    [anon_sym_BSLASHACRshort] = ACTIONS(7603),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHacrlong] = ACTIONS(7603),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7603),
    [anon_sym_BSLASHACRlong] = ACTIONS(7603),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7603),
    [anon_sym_BSLASHacrfull] = ACTIONS(7603),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7603),
    [anon_sym_BSLASHACRfull] = ACTIONS(7603),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHacs] = ACTIONS(7603),
    [anon_sym_BSLASHAcs] = ACTIONS(7603),
    [anon_sym_BSLASHacsp] = ACTIONS(7603),
    [anon_sym_BSLASHAcsp] = ACTIONS(7603),
    [anon_sym_BSLASHacl] = ACTIONS(7603),
    [anon_sym_BSLASHAcl] = ACTIONS(7603),
    [anon_sym_BSLASHaclp] = ACTIONS(7603),
    [anon_sym_BSLASHAclp] = ACTIONS(7603),
    [anon_sym_BSLASHacf] = ACTIONS(7603),
    [anon_sym_BSLASHAcf] = ACTIONS(7603),
    [anon_sym_BSLASHacfp] = ACTIONS(7603),
    [anon_sym_BSLASHAcfp] = ACTIONS(7603),
    [anon_sym_BSLASHac] = ACTIONS(7603),
    [anon_sym_BSLASHAc] = ACTIONS(7603),
    [anon_sym_BSLASHacp] = ACTIONS(7603),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7603),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7603),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7603),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7603),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7603),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7605),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7603),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7603),
    [anon_sym_BSLASHcolor] = ACTIONS(7603),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7603),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7603),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7603),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7603),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7603),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7603),
    [anon_sym_BSLASHurl] = ACTIONS(7603),
    [anon_sym_BSLASHhref] = ACTIONS(7603),
  },
  [2228] = {
    [sym_command_name] = ACTIONS(7595),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7595),
    [anon_sym_RBRACK] = ACTIONS(7597),
    [anon_sym_COMMA] = ACTIONS(7597),
    [anon_sym_EQ] = ACTIONS(7597),
    [anon_sym_LBRACE] = ACTIONS(7597),
    [anon_sym_RBRACE] = ACTIONS(7597),
    [sym_word] = ACTIONS(7595),
    [sym_placeholder] = ACTIONS(7597),
    [sym_delimiter] = ACTIONS(7597),
    [anon_sym_PLUS] = ACTIONS(7597),
    [anon_sym_DASH] = ACTIONS(7597),
    [anon_sym_STAR] = ACTIONS(7597),
    [anon_sym_SLASH] = ACTIONS(7597),
    [anon_sym_LT] = ACTIONS(7595),
    [anon_sym_GT] = ACTIONS(7595),
    [anon_sym_BANG] = ACTIONS(7595),
    [anon_sym_PIPE] = ACTIONS(7595),
    [anon_sym_COLON] = ACTIONS(7595),
    [anon_sym_SQUOTE] = ACTIONS(7595),
    [anon_sym__] = ACTIONS(7597),
    [anon_sym_CARET] = ACTIONS(7597),
    [anon_sym_BSLASHtitle] = ACTIONS(7595),
    [anon_sym_BSLASHauthor] = ACTIONS(7595),
    [anon_sym_BSLASHusepackage] = ACTIONS(7595),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7595),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7595),
    [anon_sym_BSLASHinclude] = ACTIONS(7595),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7595),
    [anon_sym_BSLASHinput] = ACTIONS(7595),
    [anon_sym_BSLASHsubfile] = ACTIONS(7595),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7595),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7595),
    [anon_sym_BSLASHbibliography] = ACTIONS(7595),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7595),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7595),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7595),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7595),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7595),
    [anon_sym_BSLASHimport] = ACTIONS(7595),
    [anon_sym_BSLASHsubimport] = ACTIONS(7595),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7595),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7595),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7595),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7595),
    [anon_sym_BSLASHcaption] = ACTIONS(7595),
    [anon_sym_BSLASHcite] = ACTIONS(7595),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCite] = ACTIONS(7595),
    [anon_sym_BSLASHnocite] = ACTIONS(7595),
    [anon_sym_BSLASHcitet] = ACTIONS(7595),
    [anon_sym_BSLASHcitep] = ACTIONS(7595),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteA] = ACTIONS(7595),
    [anon_sym_BSLASHciteR] = ACTIONS(7595),
    [anon_sym_BSLASHciteS] = ACTIONS(7595),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7595),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7595),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7595),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7595),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteyear] = ACTIONS(7595),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcitedate] = ACTIONS(7595),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHciteurl] = ACTIONS(7595),
    [anon_sym_BSLASHfullcite] = ACTIONS(7595),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7595),
    [anon_sym_BSLASHcitealt] = ACTIONS(7595),
    [anon_sym_BSLASHcitealp] = ACTIONS(7595),
    [anon_sym_BSLASHcitetext] = ACTIONS(7595),
    [anon_sym_BSLASHparencite] = ACTIONS(7595),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHParencite] = ACTIONS(7595),
    [anon_sym_BSLASHfootcite] = ACTIONS(7595),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7595),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7595),
    [anon_sym_BSLASHtextcite] = ACTIONS(7595),
    [anon_sym_BSLASHTextcite] = ACTIONS(7595),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7595),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7595),
    [anon_sym_BSLASHsupercite] = ACTIONS(7595),
    [anon_sym_BSLASHautocite] = ACTIONS(7595),
    [anon_sym_BSLASHAutocite] = ACTIONS(7595),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHVolcite] = ACTIONS(7595),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHavolcite] = ACTIONS(7595),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7595),
    [anon_sym_BSLASHnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHNotecite] = ACTIONS(7595),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7595),
    [anon_sym_BSLASHlabel] = ACTIONS(7595),
    [anon_sym_BSLASHref] = ACTIONS(7595),
    [anon_sym_BSLASHeqref] = ACTIONS(7595),
    [anon_sym_BSLASHvref] = ACTIONS(7595),
    [anon_sym_BSLASHVref] = ACTIONS(7595),
    [anon_sym_BSLASHautoref] = ACTIONS(7595),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHpageref] = ACTIONS(7595),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHautopageref] = ACTIONS(7595),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcref] = ACTIONS(7595),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCref] = ACTIONS(7595),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcpageref] = ACTIONS(7595),
    [anon_sym_BSLASHCpageref] = ACTIONS(7595),
    [anon_sym_BSLASHnamecref] = ACTIONS(7595),
    [anon_sym_BSLASHnameCref] = ACTIONS(7595),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7595),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7595),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7595),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7595),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7595),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7595),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7595),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7595),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7595),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7595),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7595),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7595),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7595),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7595),
    [anon_sym_BSLASHdef] = ACTIONS(7595),
    [anon_sym_BSLASHgdef] = ACTIONS(7595),
    [anon_sym_BSLASHedef] = ACTIONS(7595),
    [anon_sym_BSLASHxdef] = ACTIONS(7595),
    [anon_sym_BSLASHlet] = ACTIONS(7595),
    [anon_sym_BSLASHglet] = ACTIONS(7595),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7595),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7595),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7595),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7595),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7595),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7595),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7595),
    [anon_sym_BSLASHgls] = ACTIONS(7595),
    [anon_sym_BSLASHGls] = ACTIONS(7595),
    [anon_sym_BSLASHGLS] = ACTIONS(7595),
    [anon_sym_BSLASHglspl] = ACTIONS(7595),
    [anon_sym_BSLASHGlspl] = ACTIONS(7595),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7595),
    [anon_sym_BSLASHglslink] = ACTIONS(7595),
    [anon_sym_BSLASHglstext] = ACTIONS(7595),
    [anon_sym_BSLASHGlstext] = ACTIONS(7595),
    [anon_sym_BSLASHGLStext] = ACTIONS(7595),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7595),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7595),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7595),
    [anon_sym_BSLASHglsplural] = ACTIONS(7595),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7595),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7595),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7595),
    [anon_sym_BSLASHglsname] = ACTIONS(7595),
    [anon_sym_BSLASHGlsname] = ACTIONS(7595),
    [anon_sym_BSLASHGLSname] = ACTIONS(7595),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7595),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7595),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7595),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7595),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7595),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7595),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7595),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7595),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7595),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7595),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7595),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7595),
    [anon_sym_BSLASHacrshort] = ACTIONS(7595),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7595),
    [anon_sym_BSLASHACRshort] = ACTIONS(7595),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHacrlong] = ACTIONS(7595),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7595),
    [anon_sym_BSLASHACRlong] = ACTIONS(7595),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7595),
    [anon_sym_BSLASHacrfull] = ACTIONS(7595),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7595),
    [anon_sym_BSLASHACRfull] = ACTIONS(7595),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHacs] = ACTIONS(7595),
    [anon_sym_BSLASHAcs] = ACTIONS(7595),
    [anon_sym_BSLASHacsp] = ACTIONS(7595),
    [anon_sym_BSLASHAcsp] = ACTIONS(7595),
    [anon_sym_BSLASHacl] = ACTIONS(7595),
    [anon_sym_BSLASHAcl] = ACTIONS(7595),
    [anon_sym_BSLASHaclp] = ACTIONS(7595),
    [anon_sym_BSLASHAclp] = ACTIONS(7595),
    [anon_sym_BSLASHacf] = ACTIONS(7595),
    [anon_sym_BSLASHAcf] = ACTIONS(7595),
    [anon_sym_BSLASHacfp] = ACTIONS(7595),
    [anon_sym_BSLASHAcfp] = ACTIONS(7595),
    [anon_sym_BSLASHac] = ACTIONS(7595),
    [anon_sym_BSLASHAc] = ACTIONS(7595),
    [anon_sym_BSLASHacp] = ACTIONS(7595),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7595),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7595),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7595),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7595),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7595),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7597),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7595),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7595),
    [anon_sym_BSLASHcolor] = ACTIONS(7595),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7595),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7595),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7595),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7595),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7595),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7595),
    [anon_sym_BSLASHurl] = ACTIONS(7595),
    [anon_sym_BSLASHhref] = ACTIONS(7595),
  },
  [2229] = {
    [sym_command_name] = ACTIONS(7527),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7527),
    [anon_sym_RBRACK] = ACTIONS(7529),
    [anon_sym_COMMA] = ACTIONS(7529),
    [anon_sym_EQ] = ACTIONS(7529),
    [anon_sym_LBRACE] = ACTIONS(7529),
    [anon_sym_RBRACE] = ACTIONS(7529),
    [sym_word] = ACTIONS(7527),
    [sym_placeholder] = ACTIONS(7529),
    [sym_delimiter] = ACTIONS(7529),
    [anon_sym_PLUS] = ACTIONS(7529),
    [anon_sym_DASH] = ACTIONS(7529),
    [anon_sym_STAR] = ACTIONS(7529),
    [anon_sym_SLASH] = ACTIONS(7529),
    [anon_sym_LT] = ACTIONS(7527),
    [anon_sym_GT] = ACTIONS(7527),
    [anon_sym_BANG] = ACTIONS(7527),
    [anon_sym_PIPE] = ACTIONS(7527),
    [anon_sym_COLON] = ACTIONS(7527),
    [anon_sym_SQUOTE] = ACTIONS(7527),
    [anon_sym__] = ACTIONS(7529),
    [anon_sym_CARET] = ACTIONS(7529),
    [anon_sym_BSLASHtitle] = ACTIONS(7527),
    [anon_sym_BSLASHauthor] = ACTIONS(7527),
    [anon_sym_BSLASHusepackage] = ACTIONS(7527),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7527),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7527),
    [anon_sym_BSLASHinclude] = ACTIONS(7527),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7527),
    [anon_sym_BSLASHinput] = ACTIONS(7527),
    [anon_sym_BSLASHsubfile] = ACTIONS(7527),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7527),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7527),
    [anon_sym_BSLASHbibliography] = ACTIONS(7527),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7527),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7527),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7527),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7527),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7527),
    [anon_sym_BSLASHimport] = ACTIONS(7527),
    [anon_sym_BSLASHsubimport] = ACTIONS(7527),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7527),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7527),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7527),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7527),
    [anon_sym_BSLASHcaption] = ACTIONS(7527),
    [anon_sym_BSLASHcite] = ACTIONS(7527),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCite] = ACTIONS(7527),
    [anon_sym_BSLASHnocite] = ACTIONS(7527),
    [anon_sym_BSLASHcitet] = ACTIONS(7527),
    [anon_sym_BSLASHcitep] = ACTIONS(7527),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteA] = ACTIONS(7527),
    [anon_sym_BSLASHciteR] = ACTIONS(7527),
    [anon_sym_BSLASHciteS] = ACTIONS(7527),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7527),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7527),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7527),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7527),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteyear] = ACTIONS(7527),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcitedate] = ACTIONS(7527),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHciteurl] = ACTIONS(7527),
    [anon_sym_BSLASHfullcite] = ACTIONS(7527),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7527),
    [anon_sym_BSLASHcitealt] = ACTIONS(7527),
    [anon_sym_BSLASHcitealp] = ACTIONS(7527),
    [anon_sym_BSLASHcitetext] = ACTIONS(7527),
    [anon_sym_BSLASHparencite] = ACTIONS(7527),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHParencite] = ACTIONS(7527),
    [anon_sym_BSLASHfootcite] = ACTIONS(7527),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7527),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7527),
    [anon_sym_BSLASHtextcite] = ACTIONS(7527),
    [anon_sym_BSLASHTextcite] = ACTIONS(7527),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7527),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7527),
    [anon_sym_BSLASHsupercite] = ACTIONS(7527),
    [anon_sym_BSLASHautocite] = ACTIONS(7527),
    [anon_sym_BSLASHAutocite] = ACTIONS(7527),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHVolcite] = ACTIONS(7527),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHavolcite] = ACTIONS(7527),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7527),
    [anon_sym_BSLASHnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHNotecite] = ACTIONS(7527),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7527),
    [anon_sym_BSLASHlabel] = ACTIONS(7527),
    [anon_sym_BSLASHref] = ACTIONS(7527),
    [anon_sym_BSLASHeqref] = ACTIONS(7527),
    [anon_sym_BSLASHvref] = ACTIONS(7527),
    [anon_sym_BSLASHVref] = ACTIONS(7527),
    [anon_sym_BSLASHautoref] = ACTIONS(7527),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHpageref] = ACTIONS(7527),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHautopageref] = ACTIONS(7527),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcref] = ACTIONS(7527),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCref] = ACTIONS(7527),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcpageref] = ACTIONS(7527),
    [anon_sym_BSLASHCpageref] = ACTIONS(7527),
    [anon_sym_BSLASHnamecref] = ACTIONS(7527),
    [anon_sym_BSLASHnameCref] = ACTIONS(7527),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7527),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7527),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7527),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7527),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7527),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7527),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7527),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7527),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7527),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7527),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7527),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7527),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7527),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7527),
    [anon_sym_BSLASHdef] = ACTIONS(7527),
    [anon_sym_BSLASHgdef] = ACTIONS(7527),
    [anon_sym_BSLASHedef] = ACTIONS(7527),
    [anon_sym_BSLASHxdef] = ACTIONS(7527),
    [anon_sym_BSLASHlet] = ACTIONS(7527),
    [anon_sym_BSLASHglet] = ACTIONS(7527),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7527),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7527),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7527),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7527),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7527),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7527),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7527),
    [anon_sym_BSLASHgls] = ACTIONS(7527),
    [anon_sym_BSLASHGls] = ACTIONS(7527),
    [anon_sym_BSLASHGLS] = ACTIONS(7527),
    [anon_sym_BSLASHglspl] = ACTIONS(7527),
    [anon_sym_BSLASHGlspl] = ACTIONS(7527),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7527),
    [anon_sym_BSLASHglslink] = ACTIONS(7527),
    [anon_sym_BSLASHglstext] = ACTIONS(7527),
    [anon_sym_BSLASHGlstext] = ACTIONS(7527),
    [anon_sym_BSLASHGLStext] = ACTIONS(7527),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7527),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7527),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7527),
    [anon_sym_BSLASHglsplural] = ACTIONS(7527),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7527),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7527),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7527),
    [anon_sym_BSLASHglsname] = ACTIONS(7527),
    [anon_sym_BSLASHGlsname] = ACTIONS(7527),
    [anon_sym_BSLASHGLSname] = ACTIONS(7527),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7527),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7527),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7527),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7527),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7527),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7527),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7527),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7527),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7527),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7527),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7527),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7527),
    [anon_sym_BSLASHacrshort] = ACTIONS(7527),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7527),
    [anon_sym_BSLASHACRshort] = ACTIONS(7527),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHacrlong] = ACTIONS(7527),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7527),
    [anon_sym_BSLASHACRlong] = ACTIONS(7527),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7527),
    [anon_sym_BSLASHacrfull] = ACTIONS(7527),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7527),
    [anon_sym_BSLASHACRfull] = ACTIONS(7527),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHacs] = ACTIONS(7527),
    [anon_sym_BSLASHAcs] = ACTIONS(7527),
    [anon_sym_BSLASHacsp] = ACTIONS(7527),
    [anon_sym_BSLASHAcsp] = ACTIONS(7527),
    [anon_sym_BSLASHacl] = ACTIONS(7527),
    [anon_sym_BSLASHAcl] = ACTIONS(7527),
    [anon_sym_BSLASHaclp] = ACTIONS(7527),
    [anon_sym_BSLASHAclp] = ACTIONS(7527),
    [anon_sym_BSLASHacf] = ACTIONS(7527),
    [anon_sym_BSLASHAcf] = ACTIONS(7527),
    [anon_sym_BSLASHacfp] = ACTIONS(7527),
    [anon_sym_BSLASHAcfp] = ACTIONS(7527),
    [anon_sym_BSLASHac] = ACTIONS(7527),
    [anon_sym_BSLASHAc] = ACTIONS(7527),
    [anon_sym_BSLASHacp] = ACTIONS(7527),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7527),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7527),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7527),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7527),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7527),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7529),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7527),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7527),
    [anon_sym_BSLASHcolor] = ACTIONS(7527),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7527),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7527),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7527),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7527),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7527),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7527),
    [anon_sym_BSLASHurl] = ACTIONS(7527),
    [anon_sym_BSLASHhref] = ACTIONS(7527),
  },
  [2230] = {
    [sym_command_name] = ACTIONS(6911),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(6911),
    [anon_sym_BSLASHfi] = ACTIONS(7878),
    [anon_sym_RBRACK] = ACTIONS(6915),
    [anon_sym_COMMA] = ACTIONS(6915),
    [anon_sym_EQ] = ACTIONS(6915),
    [anon_sym_RBRACE] = ACTIONS(6915),
    [sym_word] = ACTIONS(6911),
    [sym_placeholder] = ACTIONS(6915),
    [sym_delimiter] = ACTIONS(6915),
    [anon_sym_PLUS] = ACTIONS(6915),
    [anon_sym_DASH] = ACTIONS(6915),
    [anon_sym_STAR] = ACTIONS(6915),
    [anon_sym_SLASH] = ACTIONS(6915),
    [anon_sym_LT] = ACTIONS(6911),
    [anon_sym_GT] = ACTIONS(6911),
    [anon_sym_BANG] = ACTIONS(6911),
    [anon_sym_PIPE] = ACTIONS(6911),
    [anon_sym_COLON] = ACTIONS(6911),
    [anon_sym_SQUOTE] = ACTIONS(6911),
    [anon_sym__] = ACTIONS(6915),
    [anon_sym_CARET] = ACTIONS(6915),
    [anon_sym_BSLASHtitle] = ACTIONS(6911),
    [anon_sym_BSLASHauthor] = ACTIONS(6911),
    [anon_sym_BSLASHusepackage] = ACTIONS(6911),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(6911),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(6911),
    [anon_sym_BSLASHinclude] = ACTIONS(6911),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(6911),
    [anon_sym_BSLASHinput] = ACTIONS(6911),
    [anon_sym_BSLASHsubfile] = ACTIONS(6911),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(6911),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(6911),
    [anon_sym_BSLASHbibliography] = ACTIONS(6911),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(6911),
    [anon_sym_BSLASHincludesvg] = ACTIONS(6911),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(6911),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(6911),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(6911),
    [anon_sym_BSLASHimport] = ACTIONS(6911),
    [anon_sym_BSLASHsubimport] = ACTIONS(6911),
    [anon_sym_BSLASHinputfrom] = ACTIONS(6911),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(6911),
    [anon_sym_BSLASHincludefrom] = ACTIONS(6911),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(6911),
    [anon_sym_BSLASHcaption] = ACTIONS(6911),
    [anon_sym_BSLASHcite] = ACTIONS(6911),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCite] = ACTIONS(6911),
    [anon_sym_BSLASHnocite] = ACTIONS(6911),
    [anon_sym_BSLASHcitet] = ACTIONS(6911),
    [anon_sym_BSLASHcitep] = ACTIONS(6911),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteA] = ACTIONS(6911),
    [anon_sym_BSLASHciteR] = ACTIONS(6911),
    [anon_sym_BSLASHciteS] = ACTIONS(6911),
    [anon_sym_BSLASHciteyearR] = ACTIONS(6911),
    [anon_sym_BSLASHciteauthor] = ACTIONS(6911),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(6911),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitetitle] = ACTIONS(6911),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteyear] = ACTIONS(6911),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcitedate] = ACTIONS(6911),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHciteurl] = ACTIONS(6911),
    [anon_sym_BSLASHfullcite] = ACTIONS(6911),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(6911),
    [anon_sym_BSLASHcitealt] = ACTIONS(6911),
    [anon_sym_BSLASHcitealp] = ACTIONS(6911),
    [anon_sym_BSLASHcitetext] = ACTIONS(6911),
    [anon_sym_BSLASHparencite] = ACTIONS(6911),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHParencite] = ACTIONS(6911),
    [anon_sym_BSLASHfootcite] = ACTIONS(6911),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(6911),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(6911),
    [anon_sym_BSLASHtextcite] = ACTIONS(6911),
    [anon_sym_BSLASHTextcite] = ACTIONS(6911),
    [anon_sym_BSLASHsmartcite] = ACTIONS(6911),
    [anon_sym_BSLASHSmartcite] = ACTIONS(6911),
    [anon_sym_BSLASHsupercite] = ACTIONS(6911),
    [anon_sym_BSLASHautocite] = ACTIONS(6911),
    [anon_sym_BSLASHAutocite] = ACTIONS(6911),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHVolcite] = ACTIONS(6911),
    [anon_sym_BSLASHpvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHPvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHfvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHftvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHsvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHSvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHtvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHTvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHavolcite] = ACTIONS(6911),
    [anon_sym_BSLASHAvolcite] = ACTIONS(6911),
    [anon_sym_BSLASHnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHNotecite] = ACTIONS(6911),
    [anon_sym_BSLASHpnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHPnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHfnotecite] = ACTIONS(6911),
    [anon_sym_BSLASHlabel] = ACTIONS(6911),
    [anon_sym_BSLASHref] = ACTIONS(6911),
    [anon_sym_BSLASHeqref] = ACTIONS(6911),
    [anon_sym_BSLASHvref] = ACTIONS(6911),
    [anon_sym_BSLASHVref] = ACTIONS(6911),
    [anon_sym_BSLASHautoref] = ACTIONS(6911),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHpageref] = ACTIONS(6911),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHautopageref] = ACTIONS(6911),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcref] = ACTIONS(6911),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCref] = ACTIONS(6911),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcpageref] = ACTIONS(6911),
    [anon_sym_BSLASHCpageref] = ACTIONS(6911),
    [anon_sym_BSLASHnamecref] = ACTIONS(6911),
    [anon_sym_BSLASHnameCref] = ACTIONS(6911),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(6911),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(6911),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(6911),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcref] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(6911),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcrefrange] = ACTIONS(6911),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHCrefrange] = ACTIONS(6911),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(6911),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(6911),
    [anon_sym_BSLASHnewlabel] = ACTIONS(6911),
    [anon_sym_BSLASHnewcommand] = ACTIONS(6911),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(6911),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(6911),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(6911),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(6911),
    [anon_sym_BSLASHdef] = ACTIONS(6911),
    [anon_sym_BSLASHgdef] = ACTIONS(6911),
    [anon_sym_BSLASHedef] = ACTIONS(6911),
    [anon_sym_BSLASHxdef] = ACTIONS(6911),
    [anon_sym_BSLASHlet] = ACTIONS(6911),
    [anon_sym_BSLASHglet] = ACTIONS(6911),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(6911),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(6911),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(6911),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(6911),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(6911),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(6911),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(6911),
    [anon_sym_BSLASHgls] = ACTIONS(6911),
    [anon_sym_BSLASHGls] = ACTIONS(6911),
    [anon_sym_BSLASHGLS] = ACTIONS(6911),
    [anon_sym_BSLASHglspl] = ACTIONS(6911),
    [anon_sym_BSLASHGlspl] = ACTIONS(6911),
    [anon_sym_BSLASHGLSpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsdisp] = ACTIONS(6911),
    [anon_sym_BSLASHglslink] = ACTIONS(6911),
    [anon_sym_BSLASHglstext] = ACTIONS(6911),
    [anon_sym_BSLASHGlstext] = ACTIONS(6911),
    [anon_sym_BSLASHGLStext] = ACTIONS(6911),
    [anon_sym_BSLASHglsfirst] = ACTIONS(6911),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(6911),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(6911),
    [anon_sym_BSLASHglsplural] = ACTIONS(6911),
    [anon_sym_BSLASHGlsplural] = ACTIONS(6911),
    [anon_sym_BSLASHGLSplural] = ACTIONS(6911),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(6911),
    [anon_sym_BSLASHglsname] = ACTIONS(6911),
    [anon_sym_BSLASHGlsname] = ACTIONS(6911),
    [anon_sym_BSLASHGLSname] = ACTIONS(6911),
    [anon_sym_BSLASHglssymbol] = ACTIONS(6911),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(6911),
    [anon_sym_BSLASHglsdesc] = ACTIONS(6911),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(6911),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseri] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(6911),
    [anon_sym_BSLASHglsuserii] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(6911),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(6911),
    [anon_sym_BSLASHglsuserv] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(6911),
    [anon_sym_BSLASHglsuservi] = ACTIONS(6911),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(6911),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(6911),
    [anon_sym_BSLASHnewacronym] = ACTIONS(6911),
    [anon_sym_BSLASHacrshort] = ACTIONS(6911),
    [anon_sym_BSLASHAcrshort] = ACTIONS(6911),
    [anon_sym_BSLASHACRshort] = ACTIONS(6911),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHacrlong] = ACTIONS(6911),
    [anon_sym_BSLASHAcrlong] = ACTIONS(6911),
    [anon_sym_BSLASHACRlong] = ACTIONS(6911),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(6911),
    [anon_sym_BSLASHacrfull] = ACTIONS(6911),
    [anon_sym_BSLASHAcrfull] = ACTIONS(6911),
    [anon_sym_BSLASHACRfull] = ACTIONS(6911),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHacs] = ACTIONS(6911),
    [anon_sym_BSLASHAcs] = ACTIONS(6911),
    [anon_sym_BSLASHacsp] = ACTIONS(6911),
    [anon_sym_BSLASHAcsp] = ACTIONS(6911),
    [anon_sym_BSLASHacl] = ACTIONS(6911),
    [anon_sym_BSLASHAcl] = ACTIONS(6911),
    [anon_sym_BSLASHaclp] = ACTIONS(6911),
    [anon_sym_BSLASHAclp] = ACTIONS(6911),
    [anon_sym_BSLASHacf] = ACTIONS(6911),
    [anon_sym_BSLASHAcf] = ACTIONS(6911),
    [anon_sym_BSLASHacfp] = ACTIONS(6911),
    [anon_sym_BSLASHAcfp] = ACTIONS(6911),
    [anon_sym_BSLASHac] = ACTIONS(6911),
    [anon_sym_BSLASHAc] = ACTIONS(6911),
    [anon_sym_BSLASHacp] = ACTIONS(6911),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(6911),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(6911),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(6911),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(6911),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(6911),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(6915),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(6911),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(6911),
    [anon_sym_BSLASHcolor] = ACTIONS(6911),
    [anon_sym_BSLASHpagecolor] = ACTIONS(6911),
    [anon_sym_BSLASHtextcolor] = ACTIONS(6911),
    [anon_sym_BSLASHmathcolor] = ACTIONS(6911),
    [anon_sym_BSLASHcolorbox] = ACTIONS(6911),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(6911),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(6911),
    [anon_sym_BSLASHurl] = ACTIONS(6911),
    [anon_sym_BSLASHhref] = ACTIONS(6911),
  },
  [2231] = {
    [sym_command_name] = ACTIONS(7187),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7187),
    [anon_sym_RBRACK] = ACTIONS(7189),
    [anon_sym_COMMA] = ACTIONS(7189),
    [anon_sym_EQ] = ACTIONS(7189),
    [anon_sym_LBRACE] = ACTIONS(7189),
    [anon_sym_RBRACE] = ACTIONS(7189),
    [sym_word] = ACTIONS(7187),
    [sym_placeholder] = ACTIONS(7189),
    [sym_delimiter] = ACTIONS(7189),
    [anon_sym_PLUS] = ACTIONS(7189),
    [anon_sym_DASH] = ACTIONS(7189),
    [anon_sym_STAR] = ACTIONS(7189),
    [anon_sym_SLASH] = ACTIONS(7189),
    [anon_sym_LT] = ACTIONS(7187),
    [anon_sym_GT] = ACTIONS(7187),
    [anon_sym_BANG] = ACTIONS(7187),
    [anon_sym_PIPE] = ACTIONS(7187),
    [anon_sym_COLON] = ACTIONS(7187),
    [anon_sym_SQUOTE] = ACTIONS(7187),
    [anon_sym__] = ACTIONS(7189),
    [anon_sym_CARET] = ACTIONS(7189),
    [anon_sym_BSLASHtitle] = ACTIONS(7187),
    [anon_sym_BSLASHauthor] = ACTIONS(7187),
    [anon_sym_BSLASHusepackage] = ACTIONS(7187),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7187),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7187),
    [anon_sym_BSLASHinclude] = ACTIONS(7187),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7187),
    [anon_sym_BSLASHinput] = ACTIONS(7187),
    [anon_sym_BSLASHsubfile] = ACTIONS(7187),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7187),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7187),
    [anon_sym_BSLASHbibliography] = ACTIONS(7187),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7187),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7187),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7187),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7187),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7187),
    [anon_sym_BSLASHimport] = ACTIONS(7187),
    [anon_sym_BSLASHsubimport] = ACTIONS(7187),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7187),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7187),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7187),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7187),
    [anon_sym_BSLASHcaption] = ACTIONS(7187),
    [anon_sym_BSLASHcite] = ACTIONS(7187),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCite] = ACTIONS(7187),
    [anon_sym_BSLASHnocite] = ACTIONS(7187),
    [anon_sym_BSLASHcitet] = ACTIONS(7187),
    [anon_sym_BSLASHcitep] = ACTIONS(7187),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteA] = ACTIONS(7187),
    [anon_sym_BSLASHciteR] = ACTIONS(7187),
    [anon_sym_BSLASHciteS] = ACTIONS(7187),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7187),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7187),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7187),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7187),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteyear] = ACTIONS(7187),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcitedate] = ACTIONS(7187),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHciteurl] = ACTIONS(7187),
    [anon_sym_BSLASHfullcite] = ACTIONS(7187),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7187),
    [anon_sym_BSLASHcitealt] = ACTIONS(7187),
    [anon_sym_BSLASHcitealp] = ACTIONS(7187),
    [anon_sym_BSLASHcitetext] = ACTIONS(7187),
    [anon_sym_BSLASHparencite] = ACTIONS(7187),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHParencite] = ACTIONS(7187),
    [anon_sym_BSLASHfootcite] = ACTIONS(7187),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7187),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7187),
    [anon_sym_BSLASHtextcite] = ACTIONS(7187),
    [anon_sym_BSLASHTextcite] = ACTIONS(7187),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7187),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7187),
    [anon_sym_BSLASHsupercite] = ACTIONS(7187),
    [anon_sym_BSLASHautocite] = ACTIONS(7187),
    [anon_sym_BSLASHAutocite] = ACTIONS(7187),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHVolcite] = ACTIONS(7187),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHavolcite] = ACTIONS(7187),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7187),
    [anon_sym_BSLASHnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHNotecite] = ACTIONS(7187),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7187),
    [anon_sym_BSLASHlabel] = ACTIONS(7187),
    [anon_sym_BSLASHref] = ACTIONS(7187),
    [anon_sym_BSLASHeqref] = ACTIONS(7187),
    [anon_sym_BSLASHvref] = ACTIONS(7187),
    [anon_sym_BSLASHVref] = ACTIONS(7187),
    [anon_sym_BSLASHautoref] = ACTIONS(7187),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHpageref] = ACTIONS(7187),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHautopageref] = ACTIONS(7187),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcref] = ACTIONS(7187),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCref] = ACTIONS(7187),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcpageref] = ACTIONS(7187),
    [anon_sym_BSLASHCpageref] = ACTIONS(7187),
    [anon_sym_BSLASHnamecref] = ACTIONS(7187),
    [anon_sym_BSLASHnameCref] = ACTIONS(7187),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7187),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7187),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7187),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7187),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7187),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7187),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7187),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7187),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7187),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7187),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7187),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7187),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7187),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7187),
    [anon_sym_BSLASHdef] = ACTIONS(7187),
    [anon_sym_BSLASHgdef] = ACTIONS(7187),
    [anon_sym_BSLASHedef] = ACTIONS(7187),
    [anon_sym_BSLASHxdef] = ACTIONS(7187),
    [anon_sym_BSLASHlet] = ACTIONS(7187),
    [anon_sym_BSLASHglet] = ACTIONS(7187),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7187),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7187),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7187),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7187),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7187),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7187),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7187),
    [anon_sym_BSLASHgls] = ACTIONS(7187),
    [anon_sym_BSLASHGls] = ACTIONS(7187),
    [anon_sym_BSLASHGLS] = ACTIONS(7187),
    [anon_sym_BSLASHglspl] = ACTIONS(7187),
    [anon_sym_BSLASHGlspl] = ACTIONS(7187),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7187),
    [anon_sym_BSLASHglslink] = ACTIONS(7187),
    [anon_sym_BSLASHglstext] = ACTIONS(7187),
    [anon_sym_BSLASHGlstext] = ACTIONS(7187),
    [anon_sym_BSLASHGLStext] = ACTIONS(7187),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7187),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7187),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7187),
    [anon_sym_BSLASHglsplural] = ACTIONS(7187),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7187),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7187),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7187),
    [anon_sym_BSLASHglsname] = ACTIONS(7187),
    [anon_sym_BSLASHGlsname] = ACTIONS(7187),
    [anon_sym_BSLASHGLSname] = ACTIONS(7187),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7187),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7187),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7187),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7187),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7187),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7187),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7187),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7187),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7187),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7187),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7187),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7187),
    [anon_sym_BSLASHacrshort] = ACTIONS(7187),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7187),
    [anon_sym_BSLASHACRshort] = ACTIONS(7187),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHacrlong] = ACTIONS(7187),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7187),
    [anon_sym_BSLASHACRlong] = ACTIONS(7187),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7187),
    [anon_sym_BSLASHacrfull] = ACTIONS(7187),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7187),
    [anon_sym_BSLASHACRfull] = ACTIONS(7187),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHacs] = ACTIONS(7187),
    [anon_sym_BSLASHAcs] = ACTIONS(7187),
    [anon_sym_BSLASHacsp] = ACTIONS(7187),
    [anon_sym_BSLASHAcsp] = ACTIONS(7187),
    [anon_sym_BSLASHacl] = ACTIONS(7187),
    [anon_sym_BSLASHAcl] = ACTIONS(7187),
    [anon_sym_BSLASHaclp] = ACTIONS(7187),
    [anon_sym_BSLASHAclp] = ACTIONS(7187),
    [anon_sym_BSLASHacf] = ACTIONS(7187),
    [anon_sym_BSLASHAcf] = ACTIONS(7187),
    [anon_sym_BSLASHacfp] = ACTIONS(7187),
    [anon_sym_BSLASHAcfp] = ACTIONS(7187),
    [anon_sym_BSLASHac] = ACTIONS(7187),
    [anon_sym_BSLASHAc] = ACTIONS(7187),
    [anon_sym_BSLASHacp] = ACTIONS(7187),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7187),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7187),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7187),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7187),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7187),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7189),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7187),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7187),
    [anon_sym_BSLASHcolor] = ACTIONS(7187),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7187),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7187),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7187),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7187),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7187),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7187),
    [anon_sym_BSLASHurl] = ACTIONS(7187),
    [anon_sym_BSLASHhref] = ACTIONS(7187),
  },
  [2232] = {
    [sym_command_name] = ACTIONS(7235),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7235),
    [anon_sym_RBRACK] = ACTIONS(7237),
    [anon_sym_COMMA] = ACTIONS(7237),
    [anon_sym_EQ] = ACTIONS(7237),
    [anon_sym_LBRACE] = ACTIONS(7237),
    [anon_sym_RBRACE] = ACTIONS(7237),
    [sym_word] = ACTIONS(7235),
    [sym_placeholder] = ACTIONS(7237),
    [sym_delimiter] = ACTIONS(7237),
    [anon_sym_PLUS] = ACTIONS(7237),
    [anon_sym_DASH] = ACTIONS(7237),
    [anon_sym_STAR] = ACTIONS(7237),
    [anon_sym_SLASH] = ACTIONS(7237),
    [anon_sym_LT] = ACTIONS(7235),
    [anon_sym_GT] = ACTIONS(7235),
    [anon_sym_BANG] = ACTIONS(7235),
    [anon_sym_PIPE] = ACTIONS(7235),
    [anon_sym_COLON] = ACTIONS(7235),
    [anon_sym_SQUOTE] = ACTIONS(7235),
    [anon_sym__] = ACTIONS(7237),
    [anon_sym_CARET] = ACTIONS(7237),
    [anon_sym_BSLASHtitle] = ACTIONS(7235),
    [anon_sym_BSLASHauthor] = ACTIONS(7235),
    [anon_sym_BSLASHusepackage] = ACTIONS(7235),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7235),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7235),
    [anon_sym_BSLASHinclude] = ACTIONS(7235),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7235),
    [anon_sym_BSLASHinput] = ACTIONS(7235),
    [anon_sym_BSLASHsubfile] = ACTIONS(7235),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7235),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7235),
    [anon_sym_BSLASHbibliography] = ACTIONS(7235),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7235),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7235),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7235),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7235),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7235),
    [anon_sym_BSLASHimport] = ACTIONS(7235),
    [anon_sym_BSLASHsubimport] = ACTIONS(7235),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7235),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7235),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7235),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7235),
    [anon_sym_BSLASHcaption] = ACTIONS(7235),
    [anon_sym_BSLASHcite] = ACTIONS(7235),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCite] = ACTIONS(7235),
    [anon_sym_BSLASHnocite] = ACTIONS(7235),
    [anon_sym_BSLASHcitet] = ACTIONS(7235),
    [anon_sym_BSLASHcitep] = ACTIONS(7235),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteA] = ACTIONS(7235),
    [anon_sym_BSLASHciteR] = ACTIONS(7235),
    [anon_sym_BSLASHciteS] = ACTIONS(7235),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7235),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7235),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7235),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7235),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteyear] = ACTIONS(7235),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcitedate] = ACTIONS(7235),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHciteurl] = ACTIONS(7235),
    [anon_sym_BSLASHfullcite] = ACTIONS(7235),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7235),
    [anon_sym_BSLASHcitealt] = ACTIONS(7235),
    [anon_sym_BSLASHcitealp] = ACTIONS(7235),
    [anon_sym_BSLASHcitetext] = ACTIONS(7235),
    [anon_sym_BSLASHparencite] = ACTIONS(7235),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHParencite] = ACTIONS(7235),
    [anon_sym_BSLASHfootcite] = ACTIONS(7235),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7235),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7235),
    [anon_sym_BSLASHtextcite] = ACTIONS(7235),
    [anon_sym_BSLASHTextcite] = ACTIONS(7235),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7235),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7235),
    [anon_sym_BSLASHsupercite] = ACTIONS(7235),
    [anon_sym_BSLASHautocite] = ACTIONS(7235),
    [anon_sym_BSLASHAutocite] = ACTIONS(7235),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHVolcite] = ACTIONS(7235),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHavolcite] = ACTIONS(7235),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7235),
    [anon_sym_BSLASHnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHNotecite] = ACTIONS(7235),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7235),
    [anon_sym_BSLASHlabel] = ACTIONS(7235),
    [anon_sym_BSLASHref] = ACTIONS(7235),
    [anon_sym_BSLASHeqref] = ACTIONS(7235),
    [anon_sym_BSLASHvref] = ACTIONS(7235),
    [anon_sym_BSLASHVref] = ACTIONS(7235),
    [anon_sym_BSLASHautoref] = ACTIONS(7235),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHpageref] = ACTIONS(7235),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHautopageref] = ACTIONS(7235),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcref] = ACTIONS(7235),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCref] = ACTIONS(7235),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcpageref] = ACTIONS(7235),
    [anon_sym_BSLASHCpageref] = ACTIONS(7235),
    [anon_sym_BSLASHnamecref] = ACTIONS(7235),
    [anon_sym_BSLASHnameCref] = ACTIONS(7235),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7235),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7235),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7235),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7235),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7235),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7235),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7235),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7235),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7235),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7235),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7235),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7235),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7235),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7235),
    [anon_sym_BSLASHdef] = ACTIONS(7235),
    [anon_sym_BSLASHgdef] = ACTIONS(7235),
    [anon_sym_BSLASHedef] = ACTIONS(7235),
    [anon_sym_BSLASHxdef] = ACTIONS(7235),
    [anon_sym_BSLASHlet] = ACTIONS(7235),
    [anon_sym_BSLASHglet] = ACTIONS(7235),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7235),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7235),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7235),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7235),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7235),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7235),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7235),
    [anon_sym_BSLASHgls] = ACTIONS(7235),
    [anon_sym_BSLASHGls] = ACTIONS(7235),
    [anon_sym_BSLASHGLS] = ACTIONS(7235),
    [anon_sym_BSLASHglspl] = ACTIONS(7235),
    [anon_sym_BSLASHGlspl] = ACTIONS(7235),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7235),
    [anon_sym_BSLASHglslink] = ACTIONS(7235),
    [anon_sym_BSLASHglstext] = ACTIONS(7235),
    [anon_sym_BSLASHGlstext] = ACTIONS(7235),
    [anon_sym_BSLASHGLStext] = ACTIONS(7235),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7235),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7235),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7235),
    [anon_sym_BSLASHglsplural] = ACTIONS(7235),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7235),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7235),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7235),
    [anon_sym_BSLASHglsname] = ACTIONS(7235),
    [anon_sym_BSLASHGlsname] = ACTIONS(7235),
    [anon_sym_BSLASHGLSname] = ACTIONS(7235),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7235),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7235),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7235),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7235),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7235),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7235),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7235),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7235),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7235),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7235),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7235),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7235),
    [anon_sym_BSLASHacrshort] = ACTIONS(7235),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7235),
    [anon_sym_BSLASHACRshort] = ACTIONS(7235),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHacrlong] = ACTIONS(7235),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7235),
    [anon_sym_BSLASHACRlong] = ACTIONS(7235),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7235),
    [anon_sym_BSLASHacrfull] = ACTIONS(7235),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7235),
    [anon_sym_BSLASHACRfull] = ACTIONS(7235),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHacs] = ACTIONS(7235),
    [anon_sym_BSLASHAcs] = ACTIONS(7235),
    [anon_sym_BSLASHacsp] = ACTIONS(7235),
    [anon_sym_BSLASHAcsp] = ACTIONS(7235),
    [anon_sym_BSLASHacl] = ACTIONS(7235),
    [anon_sym_BSLASHAcl] = ACTIONS(7235),
    [anon_sym_BSLASHaclp] = ACTIONS(7235),
    [anon_sym_BSLASHAclp] = ACTIONS(7235),
    [anon_sym_BSLASHacf] = ACTIONS(7235),
    [anon_sym_BSLASHAcf] = ACTIONS(7235),
    [anon_sym_BSLASHacfp] = ACTIONS(7235),
    [anon_sym_BSLASHAcfp] = ACTIONS(7235),
    [anon_sym_BSLASHac] = ACTIONS(7235),
    [anon_sym_BSLASHAc] = ACTIONS(7235),
    [anon_sym_BSLASHacp] = ACTIONS(7235),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7235),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7235),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7235),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7235),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7235),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7237),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7235),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7235),
    [anon_sym_BSLASHcolor] = ACTIONS(7235),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7235),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7235),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7235),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7235),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7235),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7235),
    [anon_sym_BSLASHurl] = ACTIONS(7235),
    [anon_sym_BSLASHhref] = ACTIONS(7235),
  },
  [2233] = {
    [sym_command_name] = ACTIONS(7283),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7283),
    [anon_sym_RBRACK] = ACTIONS(7285),
    [anon_sym_COMMA] = ACTIONS(7285),
    [anon_sym_EQ] = ACTIONS(7285),
    [anon_sym_RBRACE] = ACTIONS(7285),
    [sym_word] = ACTIONS(7283),
    [sym_placeholder] = ACTIONS(7285),
    [sym_delimiter] = ACTIONS(7285),
    [anon_sym_PLUS] = ACTIONS(7285),
    [anon_sym_DASH] = ACTIONS(7285),
    [anon_sym_STAR] = ACTIONS(7285),
    [anon_sym_SLASH] = ACTIONS(7285),
    [anon_sym_LT] = ACTIONS(7283),
    [anon_sym_GT] = ACTIONS(7283),
    [anon_sym_BANG] = ACTIONS(7283),
    [anon_sym_PIPE] = ACTIONS(7283),
    [anon_sym_COLON] = ACTIONS(7283),
    [anon_sym_SQUOTE] = ACTIONS(7283),
    [anon_sym__] = ACTIONS(7285),
    [anon_sym_CARET] = ACTIONS(7285),
    [anon_sym_BSLASHtitle] = ACTIONS(7283),
    [anon_sym_BSLASHauthor] = ACTIONS(7283),
    [anon_sym_BSLASHusepackage] = ACTIONS(7283),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7283),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7283),
    [anon_sym_BSLASHinclude] = ACTIONS(7283),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7283),
    [anon_sym_BSLASHinput] = ACTIONS(7283),
    [anon_sym_BSLASHsubfile] = ACTIONS(7283),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7283),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7283),
    [anon_sym_BSLASHbibliography] = ACTIONS(7283),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7283),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7283),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7283),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7283),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7283),
    [anon_sym_BSLASHimport] = ACTIONS(7283),
    [anon_sym_BSLASHsubimport] = ACTIONS(7283),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7283),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7283),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7283),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7283),
    [anon_sym_BSLASHcaption] = ACTIONS(7283),
    [anon_sym_BSLASHcite] = ACTIONS(7283),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCite] = ACTIONS(7283),
    [anon_sym_BSLASHnocite] = ACTIONS(7283),
    [anon_sym_BSLASHcitet] = ACTIONS(7283),
    [anon_sym_BSLASHcitep] = ACTIONS(7283),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteA] = ACTIONS(7283),
    [anon_sym_BSLASHciteR] = ACTIONS(7283),
    [anon_sym_BSLASHciteS] = ACTIONS(7283),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7283),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7283),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7283),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7283),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteyear] = ACTIONS(7283),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcitedate] = ACTIONS(7283),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHciteurl] = ACTIONS(7283),
    [anon_sym_BSLASHfullcite] = ACTIONS(7283),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7283),
    [anon_sym_BSLASHcitealt] = ACTIONS(7283),
    [anon_sym_BSLASHcitealp] = ACTIONS(7283),
    [anon_sym_BSLASHcitetext] = ACTIONS(7283),
    [anon_sym_BSLASHparencite] = ACTIONS(7283),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHParencite] = ACTIONS(7283),
    [anon_sym_BSLASHfootcite] = ACTIONS(7283),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7283),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7283),
    [anon_sym_BSLASHtextcite] = ACTIONS(7283),
    [anon_sym_BSLASHTextcite] = ACTIONS(7283),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7283),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7283),
    [anon_sym_BSLASHsupercite] = ACTIONS(7283),
    [anon_sym_BSLASHautocite] = ACTIONS(7283),
    [anon_sym_BSLASHAutocite] = ACTIONS(7283),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHVolcite] = ACTIONS(7283),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHavolcite] = ACTIONS(7283),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7283),
    [anon_sym_BSLASHnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHNotecite] = ACTIONS(7283),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7283),
    [anon_sym_BSLASHlabel] = ACTIONS(7283),
    [anon_sym_BSLASHref] = ACTIONS(7283),
    [anon_sym_BSLASHeqref] = ACTIONS(7283),
    [anon_sym_BSLASHvref] = ACTIONS(7283),
    [anon_sym_BSLASHVref] = ACTIONS(7283),
    [anon_sym_BSLASHautoref] = ACTIONS(7283),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHpageref] = ACTIONS(7283),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHautopageref] = ACTIONS(7283),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcref] = ACTIONS(7283),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCref] = ACTIONS(7283),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcpageref] = ACTIONS(7283),
    [anon_sym_BSLASHCpageref] = ACTIONS(7283),
    [anon_sym_BSLASHnamecref] = ACTIONS(7283),
    [anon_sym_BSLASHnameCref] = ACTIONS(7283),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7283),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7283),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7283),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7283),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7283),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7283),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7283),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7283),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7283),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7283),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7283),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7283),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7283),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7283),
    [anon_sym_BSLASHdef] = ACTIONS(7283),
    [anon_sym_BSLASHgdef] = ACTIONS(7283),
    [anon_sym_BSLASHedef] = ACTIONS(7283),
    [anon_sym_BSLASHxdef] = ACTIONS(7283),
    [anon_sym_BSLASHlet] = ACTIONS(7283),
    [anon_sym_BSLASHglet] = ACTIONS(7283),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7283),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7283),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7283),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7283),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7283),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7283),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7283),
    [anon_sym_BSLASHgls] = ACTIONS(7283),
    [anon_sym_BSLASHGls] = ACTIONS(7283),
    [anon_sym_BSLASHGLS] = ACTIONS(7283),
    [anon_sym_BSLASHglspl] = ACTIONS(7283),
    [anon_sym_BSLASHGlspl] = ACTIONS(7283),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7283),
    [anon_sym_BSLASHglslink] = ACTIONS(7283),
    [anon_sym_BSLASHglstext] = ACTIONS(7283),
    [anon_sym_BSLASHGlstext] = ACTIONS(7283),
    [anon_sym_BSLASHGLStext] = ACTIONS(7283),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7283),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7283),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7283),
    [anon_sym_BSLASHglsplural] = ACTIONS(7283),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7283),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7283),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7283),
    [anon_sym_BSLASHglsname] = ACTIONS(7283),
    [anon_sym_BSLASHGlsname] = ACTIONS(7283),
    [anon_sym_BSLASHGLSname] = ACTIONS(7283),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7283),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7283),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7283),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7283),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7283),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7283),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7283),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7283),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7283),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7283),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7283),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7283),
    [anon_sym_BSLASHacrshort] = ACTIONS(7283),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7283),
    [anon_sym_BSLASHACRshort] = ACTIONS(7283),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHacrlong] = ACTIONS(7283),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7283),
    [anon_sym_BSLASHACRlong] = ACTIONS(7283),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7283),
    [anon_sym_BSLASHacrfull] = ACTIONS(7283),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7283),
    [anon_sym_BSLASHACRfull] = ACTIONS(7283),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHacs] = ACTIONS(7283),
    [anon_sym_BSLASHAcs] = ACTIONS(7283),
    [anon_sym_BSLASHacsp] = ACTIONS(7283),
    [anon_sym_BSLASHAcsp] = ACTIONS(7283),
    [anon_sym_BSLASHacl] = ACTIONS(7283),
    [anon_sym_BSLASHAcl] = ACTIONS(7283),
    [anon_sym_BSLASHaclp] = ACTIONS(7283),
    [anon_sym_BSLASHAclp] = ACTIONS(7283),
    [anon_sym_BSLASHacf] = ACTIONS(7283),
    [anon_sym_BSLASHAcf] = ACTIONS(7283),
    [anon_sym_BSLASHacfp] = ACTIONS(7283),
    [anon_sym_BSLASHAcfp] = ACTIONS(7283),
    [anon_sym_BSLASHac] = ACTIONS(7283),
    [anon_sym_BSLASHAc] = ACTIONS(7283),
    [anon_sym_BSLASHacp] = ACTIONS(7283),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7283),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7283),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7283),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7283),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7283),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7285),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7283),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7283),
    [anon_sym_BSLASHcolor] = ACTIONS(7283),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7283),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7283),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7283),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7283),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7283),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7283),
    [anon_sym_BSLASHurl] = ACTIONS(7283),
    [anon_sym_BSLASHhref] = ACTIONS(7283),
  },
  [2234] = {
    [sym_command_name] = ACTIONS(7307),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7307),
    [anon_sym_RBRACK] = ACTIONS(7309),
    [anon_sym_COMMA] = ACTIONS(7309),
    [anon_sym_EQ] = ACTIONS(7309),
    [anon_sym_RBRACE] = ACTIONS(7309),
    [sym_word] = ACTIONS(7307),
    [sym_placeholder] = ACTIONS(7309),
    [sym_delimiter] = ACTIONS(7309),
    [anon_sym_PLUS] = ACTIONS(7309),
    [anon_sym_DASH] = ACTIONS(7309),
    [anon_sym_STAR] = ACTIONS(7309),
    [anon_sym_SLASH] = ACTIONS(7309),
    [anon_sym_LT] = ACTIONS(7307),
    [anon_sym_GT] = ACTIONS(7307),
    [anon_sym_BANG] = ACTIONS(7307),
    [anon_sym_PIPE] = ACTIONS(7307),
    [anon_sym_COLON] = ACTIONS(7307),
    [anon_sym_SQUOTE] = ACTIONS(7307),
    [anon_sym__] = ACTIONS(7309),
    [anon_sym_CARET] = ACTIONS(7309),
    [anon_sym_BSLASHtitle] = ACTIONS(7307),
    [anon_sym_BSLASHauthor] = ACTIONS(7307),
    [anon_sym_BSLASHusepackage] = ACTIONS(7307),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7307),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7307),
    [anon_sym_BSLASHinclude] = ACTIONS(7307),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7307),
    [anon_sym_BSLASHinput] = ACTIONS(7307),
    [anon_sym_BSLASHsubfile] = ACTIONS(7307),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7307),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7307),
    [anon_sym_BSLASHbibliography] = ACTIONS(7307),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7307),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7307),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7307),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7307),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7307),
    [anon_sym_BSLASHimport] = ACTIONS(7307),
    [anon_sym_BSLASHsubimport] = ACTIONS(7307),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7307),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7307),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7307),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7307),
    [anon_sym_BSLASHcaption] = ACTIONS(7307),
    [anon_sym_BSLASHcite] = ACTIONS(7307),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCite] = ACTIONS(7307),
    [anon_sym_BSLASHnocite] = ACTIONS(7307),
    [anon_sym_BSLASHcitet] = ACTIONS(7307),
    [anon_sym_BSLASHcitep] = ACTIONS(7307),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteA] = ACTIONS(7307),
    [anon_sym_BSLASHciteR] = ACTIONS(7307),
    [anon_sym_BSLASHciteS] = ACTIONS(7307),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7307),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7307),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7307),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7307),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteyear] = ACTIONS(7307),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcitedate] = ACTIONS(7307),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHciteurl] = ACTIONS(7307),
    [anon_sym_BSLASHfullcite] = ACTIONS(7307),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7307),
    [anon_sym_BSLASHcitealt] = ACTIONS(7307),
    [anon_sym_BSLASHcitealp] = ACTIONS(7307),
    [anon_sym_BSLASHcitetext] = ACTIONS(7307),
    [anon_sym_BSLASHparencite] = ACTIONS(7307),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHParencite] = ACTIONS(7307),
    [anon_sym_BSLASHfootcite] = ACTIONS(7307),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7307),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7307),
    [anon_sym_BSLASHtextcite] = ACTIONS(7307),
    [anon_sym_BSLASHTextcite] = ACTIONS(7307),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7307),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7307),
    [anon_sym_BSLASHsupercite] = ACTIONS(7307),
    [anon_sym_BSLASHautocite] = ACTIONS(7307),
    [anon_sym_BSLASHAutocite] = ACTIONS(7307),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHVolcite] = ACTIONS(7307),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHavolcite] = ACTIONS(7307),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7307),
    [anon_sym_BSLASHnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHNotecite] = ACTIONS(7307),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7307),
    [anon_sym_BSLASHlabel] = ACTIONS(7307),
    [anon_sym_BSLASHref] = ACTIONS(7307),
    [anon_sym_BSLASHeqref] = ACTIONS(7307),
    [anon_sym_BSLASHvref] = ACTIONS(7307),
    [anon_sym_BSLASHVref] = ACTIONS(7307),
    [anon_sym_BSLASHautoref] = ACTIONS(7307),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHpageref] = ACTIONS(7307),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHautopageref] = ACTIONS(7307),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcref] = ACTIONS(7307),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCref] = ACTIONS(7307),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcpageref] = ACTIONS(7307),
    [anon_sym_BSLASHCpageref] = ACTIONS(7307),
    [anon_sym_BSLASHnamecref] = ACTIONS(7307),
    [anon_sym_BSLASHnameCref] = ACTIONS(7307),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7307),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7307),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7307),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7307),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7307),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7307),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7307),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7307),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7307),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7307),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7307),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7307),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7307),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7307),
    [anon_sym_BSLASHdef] = ACTIONS(7307),
    [anon_sym_BSLASHgdef] = ACTIONS(7307),
    [anon_sym_BSLASHedef] = ACTIONS(7307),
    [anon_sym_BSLASHxdef] = ACTIONS(7307),
    [anon_sym_BSLASHlet] = ACTIONS(7307),
    [anon_sym_BSLASHglet] = ACTIONS(7307),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7307),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7307),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7307),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7307),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7307),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7307),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7307),
    [anon_sym_BSLASHgls] = ACTIONS(7307),
    [anon_sym_BSLASHGls] = ACTIONS(7307),
    [anon_sym_BSLASHGLS] = ACTIONS(7307),
    [anon_sym_BSLASHglspl] = ACTIONS(7307),
    [anon_sym_BSLASHGlspl] = ACTIONS(7307),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7307),
    [anon_sym_BSLASHglslink] = ACTIONS(7307),
    [anon_sym_BSLASHglstext] = ACTIONS(7307),
    [anon_sym_BSLASHGlstext] = ACTIONS(7307),
    [anon_sym_BSLASHGLStext] = ACTIONS(7307),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7307),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7307),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7307),
    [anon_sym_BSLASHglsplural] = ACTIONS(7307),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7307),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7307),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7307),
    [anon_sym_BSLASHglsname] = ACTIONS(7307),
    [anon_sym_BSLASHGlsname] = ACTIONS(7307),
    [anon_sym_BSLASHGLSname] = ACTIONS(7307),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7307),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7307),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7307),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7307),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7307),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7307),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7307),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7307),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7307),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7307),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7307),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7307),
    [anon_sym_BSLASHacrshort] = ACTIONS(7307),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7307),
    [anon_sym_BSLASHACRshort] = ACTIONS(7307),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHacrlong] = ACTIONS(7307),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7307),
    [anon_sym_BSLASHACRlong] = ACTIONS(7307),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7307),
    [anon_sym_BSLASHacrfull] = ACTIONS(7307),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7307),
    [anon_sym_BSLASHACRfull] = ACTIONS(7307),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHacs] = ACTIONS(7307),
    [anon_sym_BSLASHAcs] = ACTIONS(7307),
    [anon_sym_BSLASHacsp] = ACTIONS(7307),
    [anon_sym_BSLASHAcsp] = ACTIONS(7307),
    [anon_sym_BSLASHacl] = ACTIONS(7307),
    [anon_sym_BSLASHAcl] = ACTIONS(7307),
    [anon_sym_BSLASHaclp] = ACTIONS(7307),
    [anon_sym_BSLASHAclp] = ACTIONS(7307),
    [anon_sym_BSLASHacf] = ACTIONS(7307),
    [anon_sym_BSLASHAcf] = ACTIONS(7307),
    [anon_sym_BSLASHacfp] = ACTIONS(7307),
    [anon_sym_BSLASHAcfp] = ACTIONS(7307),
    [anon_sym_BSLASHac] = ACTIONS(7307),
    [anon_sym_BSLASHAc] = ACTIONS(7307),
    [anon_sym_BSLASHacp] = ACTIONS(7307),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7307),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7307),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7307),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7307),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7307),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7309),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7307),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7307),
    [anon_sym_BSLASHcolor] = ACTIONS(7307),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7307),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7307),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7307),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7307),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7307),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7307),
    [anon_sym_BSLASHurl] = ACTIONS(7307),
    [anon_sym_BSLASHhref] = ACTIONS(7307),
  },
  [2235] = {
    [sym_command_name] = ACTIONS(7375),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7375),
    [anon_sym_RBRACK] = ACTIONS(7377),
    [anon_sym_COMMA] = ACTIONS(7377),
    [anon_sym_EQ] = ACTIONS(7377),
    [anon_sym_RBRACE] = ACTIONS(7377),
    [sym_word] = ACTIONS(7375),
    [sym_placeholder] = ACTIONS(7377),
    [sym_delimiter] = ACTIONS(7377),
    [anon_sym_PLUS] = ACTIONS(7377),
    [anon_sym_DASH] = ACTIONS(7377),
    [anon_sym_STAR] = ACTIONS(7377),
    [anon_sym_SLASH] = ACTIONS(7377),
    [anon_sym_LT] = ACTIONS(7375),
    [anon_sym_GT] = ACTIONS(7375),
    [anon_sym_BANG] = ACTIONS(7375),
    [anon_sym_PIPE] = ACTIONS(7375),
    [anon_sym_COLON] = ACTIONS(7375),
    [anon_sym_SQUOTE] = ACTIONS(7375),
    [anon_sym__] = ACTIONS(7377),
    [anon_sym_CARET] = ACTIONS(7377),
    [anon_sym_BSLASHtitle] = ACTIONS(7375),
    [anon_sym_BSLASHauthor] = ACTIONS(7375),
    [anon_sym_BSLASHusepackage] = ACTIONS(7375),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7375),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7375),
    [anon_sym_BSLASHinclude] = ACTIONS(7375),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7375),
    [anon_sym_BSLASHinput] = ACTIONS(7375),
    [anon_sym_BSLASHsubfile] = ACTIONS(7375),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7375),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7375),
    [anon_sym_BSLASHbibliography] = ACTIONS(7375),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7375),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7375),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7375),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7375),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7375),
    [anon_sym_BSLASHimport] = ACTIONS(7375),
    [anon_sym_BSLASHsubimport] = ACTIONS(7375),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7375),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7375),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7375),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7375),
    [anon_sym_BSLASHcaption] = ACTIONS(7375),
    [anon_sym_BSLASHcite] = ACTIONS(7375),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCite] = ACTIONS(7375),
    [anon_sym_BSLASHnocite] = ACTIONS(7375),
    [anon_sym_BSLASHcitet] = ACTIONS(7375),
    [anon_sym_BSLASHcitep] = ACTIONS(7375),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteA] = ACTIONS(7375),
    [anon_sym_BSLASHciteR] = ACTIONS(7375),
    [anon_sym_BSLASHciteS] = ACTIONS(7375),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7375),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7375),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7375),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7375),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteyear] = ACTIONS(7375),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcitedate] = ACTIONS(7375),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHciteurl] = ACTIONS(7375),
    [anon_sym_BSLASHfullcite] = ACTIONS(7375),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7375),
    [anon_sym_BSLASHcitealt] = ACTIONS(7375),
    [anon_sym_BSLASHcitealp] = ACTIONS(7375),
    [anon_sym_BSLASHcitetext] = ACTIONS(7375),
    [anon_sym_BSLASHparencite] = ACTIONS(7375),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHParencite] = ACTIONS(7375),
    [anon_sym_BSLASHfootcite] = ACTIONS(7375),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7375),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7375),
    [anon_sym_BSLASHtextcite] = ACTIONS(7375),
    [anon_sym_BSLASHTextcite] = ACTIONS(7375),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7375),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7375),
    [anon_sym_BSLASHsupercite] = ACTIONS(7375),
    [anon_sym_BSLASHautocite] = ACTIONS(7375),
    [anon_sym_BSLASHAutocite] = ACTIONS(7375),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHVolcite] = ACTIONS(7375),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHavolcite] = ACTIONS(7375),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7375),
    [anon_sym_BSLASHnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHNotecite] = ACTIONS(7375),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7375),
    [anon_sym_BSLASHlabel] = ACTIONS(7375),
    [anon_sym_BSLASHref] = ACTIONS(7375),
    [anon_sym_BSLASHeqref] = ACTIONS(7375),
    [anon_sym_BSLASHvref] = ACTIONS(7375),
    [anon_sym_BSLASHVref] = ACTIONS(7375),
    [anon_sym_BSLASHautoref] = ACTIONS(7375),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHpageref] = ACTIONS(7375),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHautopageref] = ACTIONS(7375),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcref] = ACTIONS(7375),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCref] = ACTIONS(7375),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcpageref] = ACTIONS(7375),
    [anon_sym_BSLASHCpageref] = ACTIONS(7375),
    [anon_sym_BSLASHnamecref] = ACTIONS(7375),
    [anon_sym_BSLASHnameCref] = ACTIONS(7375),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7375),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7375),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7375),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7375),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7375),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7375),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7375),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7375),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7375),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7375),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7375),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7375),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7375),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7375),
    [anon_sym_BSLASHdef] = ACTIONS(7375),
    [anon_sym_BSLASHgdef] = ACTIONS(7375),
    [anon_sym_BSLASHedef] = ACTIONS(7375),
    [anon_sym_BSLASHxdef] = ACTIONS(7375),
    [anon_sym_BSLASHlet] = ACTIONS(7375),
    [anon_sym_BSLASHglet] = ACTIONS(7375),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7375),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7375),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7375),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7375),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7375),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7375),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7375),
    [anon_sym_BSLASHgls] = ACTIONS(7375),
    [anon_sym_BSLASHGls] = ACTIONS(7375),
    [anon_sym_BSLASHGLS] = ACTIONS(7375),
    [anon_sym_BSLASHglspl] = ACTIONS(7375),
    [anon_sym_BSLASHGlspl] = ACTIONS(7375),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7375),
    [anon_sym_BSLASHglslink] = ACTIONS(7375),
    [anon_sym_BSLASHglstext] = ACTIONS(7375),
    [anon_sym_BSLASHGlstext] = ACTIONS(7375),
    [anon_sym_BSLASHGLStext] = ACTIONS(7375),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7375),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7375),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7375),
    [anon_sym_BSLASHglsplural] = ACTIONS(7375),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7375),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7375),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7375),
    [anon_sym_BSLASHglsname] = ACTIONS(7375),
    [anon_sym_BSLASHGlsname] = ACTIONS(7375),
    [anon_sym_BSLASHGLSname] = ACTIONS(7375),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7375),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7375),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7375),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7375),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7375),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7375),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7375),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7375),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7375),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7375),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7375),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7375),
    [anon_sym_BSLASHacrshort] = ACTIONS(7375),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7375),
    [anon_sym_BSLASHACRshort] = ACTIONS(7375),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHacrlong] = ACTIONS(7375),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7375),
    [anon_sym_BSLASHACRlong] = ACTIONS(7375),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7375),
    [anon_sym_BSLASHacrfull] = ACTIONS(7375),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7375),
    [anon_sym_BSLASHACRfull] = ACTIONS(7375),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHacs] = ACTIONS(7375),
    [anon_sym_BSLASHAcs] = ACTIONS(7375),
    [anon_sym_BSLASHacsp] = ACTIONS(7375),
    [anon_sym_BSLASHAcsp] = ACTIONS(7375),
    [anon_sym_BSLASHacl] = ACTIONS(7375),
    [anon_sym_BSLASHAcl] = ACTIONS(7375),
    [anon_sym_BSLASHaclp] = ACTIONS(7375),
    [anon_sym_BSLASHAclp] = ACTIONS(7375),
    [anon_sym_BSLASHacf] = ACTIONS(7375),
    [anon_sym_BSLASHAcf] = ACTIONS(7375),
    [anon_sym_BSLASHacfp] = ACTIONS(7375),
    [anon_sym_BSLASHAcfp] = ACTIONS(7375),
    [anon_sym_BSLASHac] = ACTIONS(7375),
    [anon_sym_BSLASHAc] = ACTIONS(7375),
    [anon_sym_BSLASHacp] = ACTIONS(7375),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7375),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7375),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7375),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7375),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7375),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7377),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7375),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7375),
    [anon_sym_BSLASHcolor] = ACTIONS(7375),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7375),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7375),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7375),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7375),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7375),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7375),
    [anon_sym_BSLASHurl] = ACTIONS(7375),
    [anon_sym_BSLASHhref] = ACTIONS(7375),
  },
  [2236] = {
    [sym_command_name] = ACTIONS(7379),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7379),
    [anon_sym_RBRACK] = ACTIONS(7381),
    [anon_sym_COMMA] = ACTIONS(7381),
    [anon_sym_EQ] = ACTIONS(7381),
    [anon_sym_RBRACE] = ACTIONS(7381),
    [sym_word] = ACTIONS(7379),
    [sym_placeholder] = ACTIONS(7381),
    [sym_delimiter] = ACTIONS(7381),
    [anon_sym_PLUS] = ACTIONS(7381),
    [anon_sym_DASH] = ACTIONS(7381),
    [anon_sym_STAR] = ACTIONS(7381),
    [anon_sym_SLASH] = ACTIONS(7381),
    [anon_sym_LT] = ACTIONS(7379),
    [anon_sym_GT] = ACTIONS(7379),
    [anon_sym_BANG] = ACTIONS(7379),
    [anon_sym_PIPE] = ACTIONS(7379),
    [anon_sym_COLON] = ACTIONS(7379),
    [anon_sym_SQUOTE] = ACTIONS(7379),
    [anon_sym__] = ACTIONS(7381),
    [anon_sym_CARET] = ACTIONS(7381),
    [anon_sym_BSLASHtitle] = ACTIONS(7379),
    [anon_sym_BSLASHauthor] = ACTIONS(7379),
    [anon_sym_BSLASHusepackage] = ACTIONS(7379),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7379),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7379),
    [anon_sym_BSLASHinclude] = ACTIONS(7379),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7379),
    [anon_sym_BSLASHinput] = ACTIONS(7379),
    [anon_sym_BSLASHsubfile] = ACTIONS(7379),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7379),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7379),
    [anon_sym_BSLASHbibliography] = ACTIONS(7379),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7379),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7379),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7379),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7379),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7379),
    [anon_sym_BSLASHimport] = ACTIONS(7379),
    [anon_sym_BSLASHsubimport] = ACTIONS(7379),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7379),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7379),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7379),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7379),
    [anon_sym_BSLASHcaption] = ACTIONS(7379),
    [anon_sym_BSLASHcite] = ACTIONS(7379),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCite] = ACTIONS(7379),
    [anon_sym_BSLASHnocite] = ACTIONS(7379),
    [anon_sym_BSLASHcitet] = ACTIONS(7379),
    [anon_sym_BSLASHcitep] = ACTIONS(7379),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteA] = ACTIONS(7379),
    [anon_sym_BSLASHciteR] = ACTIONS(7379),
    [anon_sym_BSLASHciteS] = ACTIONS(7379),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7379),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7379),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7379),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7379),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteyear] = ACTIONS(7379),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcitedate] = ACTIONS(7379),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHciteurl] = ACTIONS(7379),
    [anon_sym_BSLASHfullcite] = ACTIONS(7379),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7379),
    [anon_sym_BSLASHcitealt] = ACTIONS(7379),
    [anon_sym_BSLASHcitealp] = ACTIONS(7379),
    [anon_sym_BSLASHcitetext] = ACTIONS(7379),
    [anon_sym_BSLASHparencite] = ACTIONS(7379),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHParencite] = ACTIONS(7379),
    [anon_sym_BSLASHfootcite] = ACTIONS(7379),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7379),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7379),
    [anon_sym_BSLASHtextcite] = ACTIONS(7379),
    [anon_sym_BSLASHTextcite] = ACTIONS(7379),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7379),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7379),
    [anon_sym_BSLASHsupercite] = ACTIONS(7379),
    [anon_sym_BSLASHautocite] = ACTIONS(7379),
    [anon_sym_BSLASHAutocite] = ACTIONS(7379),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHVolcite] = ACTIONS(7379),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHavolcite] = ACTIONS(7379),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7379),
    [anon_sym_BSLASHnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHNotecite] = ACTIONS(7379),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7379),
    [anon_sym_BSLASHlabel] = ACTIONS(7379),
    [anon_sym_BSLASHref] = ACTIONS(7379),
    [anon_sym_BSLASHeqref] = ACTIONS(7379),
    [anon_sym_BSLASHvref] = ACTIONS(7379),
    [anon_sym_BSLASHVref] = ACTIONS(7379),
    [anon_sym_BSLASHautoref] = ACTIONS(7379),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHpageref] = ACTIONS(7379),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHautopageref] = ACTIONS(7379),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcref] = ACTIONS(7379),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCref] = ACTIONS(7379),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcpageref] = ACTIONS(7379),
    [anon_sym_BSLASHCpageref] = ACTIONS(7379),
    [anon_sym_BSLASHnamecref] = ACTIONS(7379),
    [anon_sym_BSLASHnameCref] = ACTIONS(7379),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7379),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7379),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7379),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7379),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7379),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7379),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7379),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7379),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7379),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7379),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7379),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7379),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7379),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7379),
    [anon_sym_BSLASHdef] = ACTIONS(7379),
    [anon_sym_BSLASHgdef] = ACTIONS(7379),
    [anon_sym_BSLASHedef] = ACTIONS(7379),
    [anon_sym_BSLASHxdef] = ACTIONS(7379),
    [anon_sym_BSLASHlet] = ACTIONS(7379),
    [anon_sym_BSLASHglet] = ACTIONS(7379),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7379),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7379),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7379),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7379),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7379),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7379),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7379),
    [anon_sym_BSLASHgls] = ACTIONS(7379),
    [anon_sym_BSLASHGls] = ACTIONS(7379),
    [anon_sym_BSLASHGLS] = ACTIONS(7379),
    [anon_sym_BSLASHglspl] = ACTIONS(7379),
    [anon_sym_BSLASHGlspl] = ACTIONS(7379),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7379),
    [anon_sym_BSLASHglslink] = ACTIONS(7379),
    [anon_sym_BSLASHglstext] = ACTIONS(7379),
    [anon_sym_BSLASHGlstext] = ACTIONS(7379),
    [anon_sym_BSLASHGLStext] = ACTIONS(7379),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7379),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7379),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7379),
    [anon_sym_BSLASHglsplural] = ACTIONS(7379),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7379),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7379),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7379),
    [anon_sym_BSLASHglsname] = ACTIONS(7379),
    [anon_sym_BSLASHGlsname] = ACTIONS(7379),
    [anon_sym_BSLASHGLSname] = ACTIONS(7379),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7379),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7379),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7379),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7379),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7379),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7379),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7379),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7379),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7379),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7379),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7379),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7379),
    [anon_sym_BSLASHacrshort] = ACTIONS(7379),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7379),
    [anon_sym_BSLASHACRshort] = ACTIONS(7379),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHacrlong] = ACTIONS(7379),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7379),
    [anon_sym_BSLASHACRlong] = ACTIONS(7379),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7379),
    [anon_sym_BSLASHacrfull] = ACTIONS(7379),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7379),
    [anon_sym_BSLASHACRfull] = ACTIONS(7379),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHacs] = ACTIONS(7379),
    [anon_sym_BSLASHAcs] = ACTIONS(7379),
    [anon_sym_BSLASHacsp] = ACTIONS(7379),
    [anon_sym_BSLASHAcsp] = ACTIONS(7379),
    [anon_sym_BSLASHacl] = ACTIONS(7379),
    [anon_sym_BSLASHAcl] = ACTIONS(7379),
    [anon_sym_BSLASHaclp] = ACTIONS(7379),
    [anon_sym_BSLASHAclp] = ACTIONS(7379),
    [anon_sym_BSLASHacf] = ACTIONS(7379),
    [anon_sym_BSLASHAcf] = ACTIONS(7379),
    [anon_sym_BSLASHacfp] = ACTIONS(7379),
    [anon_sym_BSLASHAcfp] = ACTIONS(7379),
    [anon_sym_BSLASHac] = ACTIONS(7379),
    [anon_sym_BSLASHAc] = ACTIONS(7379),
    [anon_sym_BSLASHacp] = ACTIONS(7379),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7379),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7379),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7379),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7379),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7379),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7381),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7379),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7379),
    [anon_sym_BSLASHcolor] = ACTIONS(7379),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7379),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7379),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7379),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7379),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7379),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7379),
    [anon_sym_BSLASHurl] = ACTIONS(7379),
    [anon_sym_BSLASHhref] = ACTIONS(7379),
  },
  [2237] = {
    [sym_command_name] = ACTIONS(7383),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7383),
    [anon_sym_RBRACK] = ACTIONS(7385),
    [anon_sym_COMMA] = ACTIONS(7385),
    [anon_sym_EQ] = ACTIONS(7385),
    [anon_sym_RBRACE] = ACTIONS(7385),
    [sym_word] = ACTIONS(7383),
    [sym_placeholder] = ACTIONS(7385),
    [sym_delimiter] = ACTIONS(7385),
    [anon_sym_PLUS] = ACTIONS(7385),
    [anon_sym_DASH] = ACTIONS(7385),
    [anon_sym_STAR] = ACTIONS(7385),
    [anon_sym_SLASH] = ACTIONS(7385),
    [anon_sym_LT] = ACTIONS(7383),
    [anon_sym_GT] = ACTIONS(7383),
    [anon_sym_BANG] = ACTIONS(7383),
    [anon_sym_PIPE] = ACTIONS(7383),
    [anon_sym_COLON] = ACTIONS(7383),
    [anon_sym_SQUOTE] = ACTIONS(7383),
    [anon_sym__] = ACTIONS(7385),
    [anon_sym_CARET] = ACTIONS(7385),
    [anon_sym_BSLASHtitle] = ACTIONS(7383),
    [anon_sym_BSLASHauthor] = ACTIONS(7383),
    [anon_sym_BSLASHusepackage] = ACTIONS(7383),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7383),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7383),
    [anon_sym_BSLASHinclude] = ACTIONS(7383),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7383),
    [anon_sym_BSLASHinput] = ACTIONS(7383),
    [anon_sym_BSLASHsubfile] = ACTIONS(7383),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7383),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7383),
    [anon_sym_BSLASHbibliography] = ACTIONS(7383),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7383),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7383),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7383),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7383),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7383),
    [anon_sym_BSLASHimport] = ACTIONS(7383),
    [anon_sym_BSLASHsubimport] = ACTIONS(7383),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7383),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7383),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7383),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7383),
    [anon_sym_BSLASHcaption] = ACTIONS(7383),
    [anon_sym_BSLASHcite] = ACTIONS(7383),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCite] = ACTIONS(7383),
    [anon_sym_BSLASHnocite] = ACTIONS(7383),
    [anon_sym_BSLASHcitet] = ACTIONS(7383),
    [anon_sym_BSLASHcitep] = ACTIONS(7383),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteA] = ACTIONS(7383),
    [anon_sym_BSLASHciteR] = ACTIONS(7383),
    [anon_sym_BSLASHciteS] = ACTIONS(7383),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7383),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7383),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7383),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7383),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteyear] = ACTIONS(7383),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcitedate] = ACTIONS(7383),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHciteurl] = ACTIONS(7383),
    [anon_sym_BSLASHfullcite] = ACTIONS(7383),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7383),
    [anon_sym_BSLASHcitealt] = ACTIONS(7383),
    [anon_sym_BSLASHcitealp] = ACTIONS(7383),
    [anon_sym_BSLASHcitetext] = ACTIONS(7383),
    [anon_sym_BSLASHparencite] = ACTIONS(7383),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHParencite] = ACTIONS(7383),
    [anon_sym_BSLASHfootcite] = ACTIONS(7383),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7383),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7383),
    [anon_sym_BSLASHtextcite] = ACTIONS(7383),
    [anon_sym_BSLASHTextcite] = ACTIONS(7383),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7383),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7383),
    [anon_sym_BSLASHsupercite] = ACTIONS(7383),
    [anon_sym_BSLASHautocite] = ACTIONS(7383),
    [anon_sym_BSLASHAutocite] = ACTIONS(7383),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHVolcite] = ACTIONS(7383),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHavolcite] = ACTIONS(7383),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7383),
    [anon_sym_BSLASHnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHNotecite] = ACTIONS(7383),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7383),
    [anon_sym_BSLASHlabel] = ACTIONS(7383),
    [anon_sym_BSLASHref] = ACTIONS(7383),
    [anon_sym_BSLASHeqref] = ACTIONS(7383),
    [anon_sym_BSLASHvref] = ACTIONS(7383),
    [anon_sym_BSLASHVref] = ACTIONS(7383),
    [anon_sym_BSLASHautoref] = ACTIONS(7383),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHpageref] = ACTIONS(7383),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHautopageref] = ACTIONS(7383),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcref] = ACTIONS(7383),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCref] = ACTIONS(7383),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcpageref] = ACTIONS(7383),
    [anon_sym_BSLASHCpageref] = ACTIONS(7383),
    [anon_sym_BSLASHnamecref] = ACTIONS(7383),
    [anon_sym_BSLASHnameCref] = ACTIONS(7383),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7383),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7383),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7383),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7383),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7383),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7383),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7383),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7383),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7383),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7383),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7383),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7383),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7383),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7383),
    [anon_sym_BSLASHdef] = ACTIONS(7383),
    [anon_sym_BSLASHgdef] = ACTIONS(7383),
    [anon_sym_BSLASHedef] = ACTIONS(7383),
    [anon_sym_BSLASHxdef] = ACTIONS(7383),
    [anon_sym_BSLASHlet] = ACTIONS(7383),
    [anon_sym_BSLASHglet] = ACTIONS(7383),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7383),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7383),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7383),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7383),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7383),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7383),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7383),
    [anon_sym_BSLASHgls] = ACTIONS(7383),
    [anon_sym_BSLASHGls] = ACTIONS(7383),
    [anon_sym_BSLASHGLS] = ACTIONS(7383),
    [anon_sym_BSLASHglspl] = ACTIONS(7383),
    [anon_sym_BSLASHGlspl] = ACTIONS(7383),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7383),
    [anon_sym_BSLASHglslink] = ACTIONS(7383),
    [anon_sym_BSLASHglstext] = ACTIONS(7383),
    [anon_sym_BSLASHGlstext] = ACTIONS(7383),
    [anon_sym_BSLASHGLStext] = ACTIONS(7383),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7383),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7383),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7383),
    [anon_sym_BSLASHglsplural] = ACTIONS(7383),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7383),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7383),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7383),
    [anon_sym_BSLASHglsname] = ACTIONS(7383),
    [anon_sym_BSLASHGlsname] = ACTIONS(7383),
    [anon_sym_BSLASHGLSname] = ACTIONS(7383),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7383),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7383),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7383),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7383),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7383),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7383),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7383),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7383),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7383),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7383),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7383),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7383),
    [anon_sym_BSLASHacrshort] = ACTIONS(7383),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7383),
    [anon_sym_BSLASHACRshort] = ACTIONS(7383),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHacrlong] = ACTIONS(7383),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7383),
    [anon_sym_BSLASHACRlong] = ACTIONS(7383),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7383),
    [anon_sym_BSLASHacrfull] = ACTIONS(7383),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7383),
    [anon_sym_BSLASHACRfull] = ACTIONS(7383),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHacs] = ACTIONS(7383),
    [anon_sym_BSLASHAcs] = ACTIONS(7383),
    [anon_sym_BSLASHacsp] = ACTIONS(7383),
    [anon_sym_BSLASHAcsp] = ACTIONS(7383),
    [anon_sym_BSLASHacl] = ACTIONS(7383),
    [anon_sym_BSLASHAcl] = ACTIONS(7383),
    [anon_sym_BSLASHaclp] = ACTIONS(7383),
    [anon_sym_BSLASHAclp] = ACTIONS(7383),
    [anon_sym_BSLASHacf] = ACTIONS(7383),
    [anon_sym_BSLASHAcf] = ACTIONS(7383),
    [anon_sym_BSLASHacfp] = ACTIONS(7383),
    [anon_sym_BSLASHAcfp] = ACTIONS(7383),
    [anon_sym_BSLASHac] = ACTIONS(7383),
    [anon_sym_BSLASHAc] = ACTIONS(7383),
    [anon_sym_BSLASHacp] = ACTIONS(7383),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7383),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7383),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7383),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7383),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7383),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7385),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7383),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7383),
    [anon_sym_BSLASHcolor] = ACTIONS(7383),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7383),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7383),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7383),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7383),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7383),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7383),
    [anon_sym_BSLASHurl] = ACTIONS(7383),
    [anon_sym_BSLASHhref] = ACTIONS(7383),
  },
  [2238] = {
    [sym_command_name] = ACTIONS(7387),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7387),
    [anon_sym_RBRACK] = ACTIONS(7389),
    [anon_sym_COMMA] = ACTIONS(7389),
    [anon_sym_EQ] = ACTIONS(7389),
    [anon_sym_RBRACE] = ACTIONS(7389),
    [sym_word] = ACTIONS(7387),
    [sym_placeholder] = ACTIONS(7389),
    [sym_delimiter] = ACTIONS(7389),
    [anon_sym_PLUS] = ACTIONS(7389),
    [anon_sym_DASH] = ACTIONS(7389),
    [anon_sym_STAR] = ACTIONS(7389),
    [anon_sym_SLASH] = ACTIONS(7389),
    [anon_sym_LT] = ACTIONS(7387),
    [anon_sym_GT] = ACTIONS(7387),
    [anon_sym_BANG] = ACTIONS(7387),
    [anon_sym_PIPE] = ACTIONS(7387),
    [anon_sym_COLON] = ACTIONS(7387),
    [anon_sym_SQUOTE] = ACTIONS(7387),
    [anon_sym__] = ACTIONS(7389),
    [anon_sym_CARET] = ACTIONS(7389),
    [anon_sym_BSLASHtitle] = ACTIONS(7387),
    [anon_sym_BSLASHauthor] = ACTIONS(7387),
    [anon_sym_BSLASHusepackage] = ACTIONS(7387),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7387),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7387),
    [anon_sym_BSLASHinclude] = ACTIONS(7387),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7387),
    [anon_sym_BSLASHinput] = ACTIONS(7387),
    [anon_sym_BSLASHsubfile] = ACTIONS(7387),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7387),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7387),
    [anon_sym_BSLASHbibliography] = ACTIONS(7387),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7387),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7387),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7387),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7387),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7387),
    [anon_sym_BSLASHimport] = ACTIONS(7387),
    [anon_sym_BSLASHsubimport] = ACTIONS(7387),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7387),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7387),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7387),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7387),
    [anon_sym_BSLASHcaption] = ACTIONS(7387),
    [anon_sym_BSLASHcite] = ACTIONS(7387),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCite] = ACTIONS(7387),
    [anon_sym_BSLASHnocite] = ACTIONS(7387),
    [anon_sym_BSLASHcitet] = ACTIONS(7387),
    [anon_sym_BSLASHcitep] = ACTIONS(7387),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteA] = ACTIONS(7387),
    [anon_sym_BSLASHciteR] = ACTIONS(7387),
    [anon_sym_BSLASHciteS] = ACTIONS(7387),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7387),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7387),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7387),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7387),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteyear] = ACTIONS(7387),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcitedate] = ACTIONS(7387),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHciteurl] = ACTIONS(7387),
    [anon_sym_BSLASHfullcite] = ACTIONS(7387),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7387),
    [anon_sym_BSLASHcitealt] = ACTIONS(7387),
    [anon_sym_BSLASHcitealp] = ACTIONS(7387),
    [anon_sym_BSLASHcitetext] = ACTIONS(7387),
    [anon_sym_BSLASHparencite] = ACTIONS(7387),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHParencite] = ACTIONS(7387),
    [anon_sym_BSLASHfootcite] = ACTIONS(7387),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7387),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7387),
    [anon_sym_BSLASHtextcite] = ACTIONS(7387),
    [anon_sym_BSLASHTextcite] = ACTIONS(7387),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7387),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7387),
    [anon_sym_BSLASHsupercite] = ACTIONS(7387),
    [anon_sym_BSLASHautocite] = ACTIONS(7387),
    [anon_sym_BSLASHAutocite] = ACTIONS(7387),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHVolcite] = ACTIONS(7387),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHavolcite] = ACTIONS(7387),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7387),
    [anon_sym_BSLASHnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHNotecite] = ACTIONS(7387),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7387),
    [anon_sym_BSLASHlabel] = ACTIONS(7387),
    [anon_sym_BSLASHref] = ACTIONS(7387),
    [anon_sym_BSLASHeqref] = ACTIONS(7387),
    [anon_sym_BSLASHvref] = ACTIONS(7387),
    [anon_sym_BSLASHVref] = ACTIONS(7387),
    [anon_sym_BSLASHautoref] = ACTIONS(7387),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHpageref] = ACTIONS(7387),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHautopageref] = ACTIONS(7387),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcref] = ACTIONS(7387),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCref] = ACTIONS(7387),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcpageref] = ACTIONS(7387),
    [anon_sym_BSLASHCpageref] = ACTIONS(7387),
    [anon_sym_BSLASHnamecref] = ACTIONS(7387),
    [anon_sym_BSLASHnameCref] = ACTIONS(7387),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7387),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7387),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7387),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7387),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7387),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7387),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7387),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7387),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7387),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7387),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7387),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7387),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7387),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7387),
    [anon_sym_BSLASHdef] = ACTIONS(7387),
    [anon_sym_BSLASHgdef] = ACTIONS(7387),
    [anon_sym_BSLASHedef] = ACTIONS(7387),
    [anon_sym_BSLASHxdef] = ACTIONS(7387),
    [anon_sym_BSLASHlet] = ACTIONS(7387),
    [anon_sym_BSLASHglet] = ACTIONS(7387),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7387),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7387),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7387),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7387),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7387),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7387),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7387),
    [anon_sym_BSLASHgls] = ACTIONS(7387),
    [anon_sym_BSLASHGls] = ACTIONS(7387),
    [anon_sym_BSLASHGLS] = ACTIONS(7387),
    [anon_sym_BSLASHglspl] = ACTIONS(7387),
    [anon_sym_BSLASHGlspl] = ACTIONS(7387),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7387),
    [anon_sym_BSLASHglslink] = ACTIONS(7387),
    [anon_sym_BSLASHglstext] = ACTIONS(7387),
    [anon_sym_BSLASHGlstext] = ACTIONS(7387),
    [anon_sym_BSLASHGLStext] = ACTIONS(7387),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7387),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7387),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7387),
    [anon_sym_BSLASHglsplural] = ACTIONS(7387),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7387),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7387),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7387),
    [anon_sym_BSLASHglsname] = ACTIONS(7387),
    [anon_sym_BSLASHGlsname] = ACTIONS(7387),
    [anon_sym_BSLASHGLSname] = ACTIONS(7387),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7387),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7387),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7387),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7387),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7387),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7387),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7387),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7387),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7387),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7387),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7387),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7387),
    [anon_sym_BSLASHacrshort] = ACTIONS(7387),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7387),
    [anon_sym_BSLASHACRshort] = ACTIONS(7387),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHacrlong] = ACTIONS(7387),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7387),
    [anon_sym_BSLASHACRlong] = ACTIONS(7387),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7387),
    [anon_sym_BSLASHacrfull] = ACTIONS(7387),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7387),
    [anon_sym_BSLASHACRfull] = ACTIONS(7387),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHacs] = ACTIONS(7387),
    [anon_sym_BSLASHAcs] = ACTIONS(7387),
    [anon_sym_BSLASHacsp] = ACTIONS(7387),
    [anon_sym_BSLASHAcsp] = ACTIONS(7387),
    [anon_sym_BSLASHacl] = ACTIONS(7387),
    [anon_sym_BSLASHAcl] = ACTIONS(7387),
    [anon_sym_BSLASHaclp] = ACTIONS(7387),
    [anon_sym_BSLASHAclp] = ACTIONS(7387),
    [anon_sym_BSLASHacf] = ACTIONS(7387),
    [anon_sym_BSLASHAcf] = ACTIONS(7387),
    [anon_sym_BSLASHacfp] = ACTIONS(7387),
    [anon_sym_BSLASHAcfp] = ACTIONS(7387),
    [anon_sym_BSLASHac] = ACTIONS(7387),
    [anon_sym_BSLASHAc] = ACTIONS(7387),
    [anon_sym_BSLASHacp] = ACTIONS(7387),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7387),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7387),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7387),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7387),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7387),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7389),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7387),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7387),
    [anon_sym_BSLASHcolor] = ACTIONS(7387),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7387),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7387),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7387),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7387),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7387),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7387),
    [anon_sym_BSLASHurl] = ACTIONS(7387),
    [anon_sym_BSLASHhref] = ACTIONS(7387),
  },
  [2239] = {
    [sym_command_name] = ACTIONS(7391),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7391),
    [anon_sym_RBRACK] = ACTIONS(7393),
    [anon_sym_COMMA] = ACTIONS(7393),
    [anon_sym_EQ] = ACTIONS(7393),
    [anon_sym_RBRACE] = ACTIONS(7393),
    [sym_word] = ACTIONS(7391),
    [sym_placeholder] = ACTIONS(7393),
    [sym_delimiter] = ACTIONS(7393),
    [anon_sym_PLUS] = ACTIONS(7393),
    [anon_sym_DASH] = ACTIONS(7393),
    [anon_sym_STAR] = ACTIONS(7393),
    [anon_sym_SLASH] = ACTIONS(7393),
    [anon_sym_LT] = ACTIONS(7391),
    [anon_sym_GT] = ACTIONS(7391),
    [anon_sym_BANG] = ACTIONS(7391),
    [anon_sym_PIPE] = ACTIONS(7391),
    [anon_sym_COLON] = ACTIONS(7391),
    [anon_sym_SQUOTE] = ACTIONS(7391),
    [anon_sym__] = ACTIONS(7393),
    [anon_sym_CARET] = ACTIONS(7393),
    [anon_sym_BSLASHtitle] = ACTIONS(7391),
    [anon_sym_BSLASHauthor] = ACTIONS(7391),
    [anon_sym_BSLASHusepackage] = ACTIONS(7391),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7391),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7391),
    [anon_sym_BSLASHinclude] = ACTIONS(7391),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7391),
    [anon_sym_BSLASHinput] = ACTIONS(7391),
    [anon_sym_BSLASHsubfile] = ACTIONS(7391),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7391),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7391),
    [anon_sym_BSLASHbibliography] = ACTIONS(7391),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7391),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7391),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7391),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7391),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7391),
    [anon_sym_BSLASHimport] = ACTIONS(7391),
    [anon_sym_BSLASHsubimport] = ACTIONS(7391),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7391),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7391),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7391),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7391),
    [anon_sym_BSLASHcaption] = ACTIONS(7391),
    [anon_sym_BSLASHcite] = ACTIONS(7391),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCite] = ACTIONS(7391),
    [anon_sym_BSLASHnocite] = ACTIONS(7391),
    [anon_sym_BSLASHcitet] = ACTIONS(7391),
    [anon_sym_BSLASHcitep] = ACTIONS(7391),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteA] = ACTIONS(7391),
    [anon_sym_BSLASHciteR] = ACTIONS(7391),
    [anon_sym_BSLASHciteS] = ACTIONS(7391),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7391),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7391),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7391),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7391),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteyear] = ACTIONS(7391),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcitedate] = ACTIONS(7391),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHciteurl] = ACTIONS(7391),
    [anon_sym_BSLASHfullcite] = ACTIONS(7391),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7391),
    [anon_sym_BSLASHcitealt] = ACTIONS(7391),
    [anon_sym_BSLASHcitealp] = ACTIONS(7391),
    [anon_sym_BSLASHcitetext] = ACTIONS(7391),
    [anon_sym_BSLASHparencite] = ACTIONS(7391),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHParencite] = ACTIONS(7391),
    [anon_sym_BSLASHfootcite] = ACTIONS(7391),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7391),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7391),
    [anon_sym_BSLASHtextcite] = ACTIONS(7391),
    [anon_sym_BSLASHTextcite] = ACTIONS(7391),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7391),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7391),
    [anon_sym_BSLASHsupercite] = ACTIONS(7391),
    [anon_sym_BSLASHautocite] = ACTIONS(7391),
    [anon_sym_BSLASHAutocite] = ACTIONS(7391),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHVolcite] = ACTIONS(7391),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHavolcite] = ACTIONS(7391),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7391),
    [anon_sym_BSLASHnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHNotecite] = ACTIONS(7391),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7391),
    [anon_sym_BSLASHlabel] = ACTIONS(7391),
    [anon_sym_BSLASHref] = ACTIONS(7391),
    [anon_sym_BSLASHeqref] = ACTIONS(7391),
    [anon_sym_BSLASHvref] = ACTIONS(7391),
    [anon_sym_BSLASHVref] = ACTIONS(7391),
    [anon_sym_BSLASHautoref] = ACTIONS(7391),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHpageref] = ACTIONS(7391),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHautopageref] = ACTIONS(7391),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcref] = ACTIONS(7391),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCref] = ACTIONS(7391),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcpageref] = ACTIONS(7391),
    [anon_sym_BSLASHCpageref] = ACTIONS(7391),
    [anon_sym_BSLASHnamecref] = ACTIONS(7391),
    [anon_sym_BSLASHnameCref] = ACTIONS(7391),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7391),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7391),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7391),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7391),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7391),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7391),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7391),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7391),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7391),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7391),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7391),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7391),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7391),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7391),
    [anon_sym_BSLASHdef] = ACTIONS(7391),
    [anon_sym_BSLASHgdef] = ACTIONS(7391),
    [anon_sym_BSLASHedef] = ACTIONS(7391),
    [anon_sym_BSLASHxdef] = ACTIONS(7391),
    [anon_sym_BSLASHlet] = ACTIONS(7391),
    [anon_sym_BSLASHglet] = ACTIONS(7391),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7391),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7391),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7391),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7391),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7391),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7391),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7391),
    [anon_sym_BSLASHgls] = ACTIONS(7391),
    [anon_sym_BSLASHGls] = ACTIONS(7391),
    [anon_sym_BSLASHGLS] = ACTIONS(7391),
    [anon_sym_BSLASHglspl] = ACTIONS(7391),
    [anon_sym_BSLASHGlspl] = ACTIONS(7391),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7391),
    [anon_sym_BSLASHglslink] = ACTIONS(7391),
    [anon_sym_BSLASHglstext] = ACTIONS(7391),
    [anon_sym_BSLASHGlstext] = ACTIONS(7391),
    [anon_sym_BSLASHGLStext] = ACTIONS(7391),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7391),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7391),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7391),
    [anon_sym_BSLASHglsplural] = ACTIONS(7391),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7391),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7391),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7391),
    [anon_sym_BSLASHglsname] = ACTIONS(7391),
    [anon_sym_BSLASHGlsname] = ACTIONS(7391),
    [anon_sym_BSLASHGLSname] = ACTIONS(7391),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7391),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7391),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7391),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7391),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7391),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7391),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7391),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7391),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7391),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7391),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7391),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7391),
    [anon_sym_BSLASHacrshort] = ACTIONS(7391),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7391),
    [anon_sym_BSLASHACRshort] = ACTIONS(7391),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHacrlong] = ACTIONS(7391),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7391),
    [anon_sym_BSLASHACRlong] = ACTIONS(7391),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7391),
    [anon_sym_BSLASHacrfull] = ACTIONS(7391),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7391),
    [anon_sym_BSLASHACRfull] = ACTIONS(7391),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHacs] = ACTIONS(7391),
    [anon_sym_BSLASHAcs] = ACTIONS(7391),
    [anon_sym_BSLASHacsp] = ACTIONS(7391),
    [anon_sym_BSLASHAcsp] = ACTIONS(7391),
    [anon_sym_BSLASHacl] = ACTIONS(7391),
    [anon_sym_BSLASHAcl] = ACTIONS(7391),
    [anon_sym_BSLASHaclp] = ACTIONS(7391),
    [anon_sym_BSLASHAclp] = ACTIONS(7391),
    [anon_sym_BSLASHacf] = ACTIONS(7391),
    [anon_sym_BSLASHAcf] = ACTIONS(7391),
    [anon_sym_BSLASHacfp] = ACTIONS(7391),
    [anon_sym_BSLASHAcfp] = ACTIONS(7391),
    [anon_sym_BSLASHac] = ACTIONS(7391),
    [anon_sym_BSLASHAc] = ACTIONS(7391),
    [anon_sym_BSLASHacp] = ACTIONS(7391),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7391),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7391),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7391),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7391),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7391),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7393),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7391),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7391),
    [anon_sym_BSLASHcolor] = ACTIONS(7391),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7391),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7391),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7391),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7391),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7391),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7391),
    [anon_sym_BSLASHurl] = ACTIONS(7391),
    [anon_sym_BSLASHhref] = ACTIONS(7391),
  },
  [2240] = {
    [sym_command_name] = ACTIONS(7395),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7395),
    [anon_sym_RBRACK] = ACTIONS(7397),
    [anon_sym_COMMA] = ACTIONS(7397),
    [anon_sym_EQ] = ACTIONS(7397),
    [anon_sym_RBRACE] = ACTIONS(7397),
    [sym_word] = ACTIONS(7395),
    [sym_placeholder] = ACTIONS(7397),
    [sym_delimiter] = ACTIONS(7397),
    [anon_sym_PLUS] = ACTIONS(7397),
    [anon_sym_DASH] = ACTIONS(7397),
    [anon_sym_STAR] = ACTIONS(7397),
    [anon_sym_SLASH] = ACTIONS(7397),
    [anon_sym_LT] = ACTIONS(7395),
    [anon_sym_GT] = ACTIONS(7395),
    [anon_sym_BANG] = ACTIONS(7395),
    [anon_sym_PIPE] = ACTIONS(7395),
    [anon_sym_COLON] = ACTIONS(7395),
    [anon_sym_SQUOTE] = ACTIONS(7395),
    [anon_sym__] = ACTIONS(7397),
    [anon_sym_CARET] = ACTIONS(7397),
    [anon_sym_BSLASHtitle] = ACTIONS(7395),
    [anon_sym_BSLASHauthor] = ACTIONS(7395),
    [anon_sym_BSLASHusepackage] = ACTIONS(7395),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7395),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7395),
    [anon_sym_BSLASHinclude] = ACTIONS(7395),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7395),
    [anon_sym_BSLASHinput] = ACTIONS(7395),
    [anon_sym_BSLASHsubfile] = ACTIONS(7395),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7395),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7395),
    [anon_sym_BSLASHbibliography] = ACTIONS(7395),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7395),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7395),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7395),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7395),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7395),
    [anon_sym_BSLASHimport] = ACTIONS(7395),
    [anon_sym_BSLASHsubimport] = ACTIONS(7395),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7395),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7395),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7395),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7395),
    [anon_sym_BSLASHcaption] = ACTIONS(7395),
    [anon_sym_BSLASHcite] = ACTIONS(7395),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCite] = ACTIONS(7395),
    [anon_sym_BSLASHnocite] = ACTIONS(7395),
    [anon_sym_BSLASHcitet] = ACTIONS(7395),
    [anon_sym_BSLASHcitep] = ACTIONS(7395),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteA] = ACTIONS(7395),
    [anon_sym_BSLASHciteR] = ACTIONS(7395),
    [anon_sym_BSLASHciteS] = ACTIONS(7395),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7395),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7395),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7395),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7395),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteyear] = ACTIONS(7395),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcitedate] = ACTIONS(7395),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHciteurl] = ACTIONS(7395),
    [anon_sym_BSLASHfullcite] = ACTIONS(7395),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7395),
    [anon_sym_BSLASHcitealt] = ACTIONS(7395),
    [anon_sym_BSLASHcitealp] = ACTIONS(7395),
    [anon_sym_BSLASHcitetext] = ACTIONS(7395),
    [anon_sym_BSLASHparencite] = ACTIONS(7395),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHParencite] = ACTIONS(7395),
    [anon_sym_BSLASHfootcite] = ACTIONS(7395),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7395),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7395),
    [anon_sym_BSLASHtextcite] = ACTIONS(7395),
    [anon_sym_BSLASHTextcite] = ACTIONS(7395),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7395),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7395),
    [anon_sym_BSLASHsupercite] = ACTIONS(7395),
    [anon_sym_BSLASHautocite] = ACTIONS(7395),
    [anon_sym_BSLASHAutocite] = ACTIONS(7395),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHVolcite] = ACTIONS(7395),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHavolcite] = ACTIONS(7395),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7395),
    [anon_sym_BSLASHnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHNotecite] = ACTIONS(7395),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7395),
    [anon_sym_BSLASHlabel] = ACTIONS(7395),
    [anon_sym_BSLASHref] = ACTIONS(7395),
    [anon_sym_BSLASHeqref] = ACTIONS(7395),
    [anon_sym_BSLASHvref] = ACTIONS(7395),
    [anon_sym_BSLASHVref] = ACTIONS(7395),
    [anon_sym_BSLASHautoref] = ACTIONS(7395),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHpageref] = ACTIONS(7395),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHautopageref] = ACTIONS(7395),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcref] = ACTIONS(7395),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCref] = ACTIONS(7395),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcpageref] = ACTIONS(7395),
    [anon_sym_BSLASHCpageref] = ACTIONS(7395),
    [anon_sym_BSLASHnamecref] = ACTIONS(7395),
    [anon_sym_BSLASHnameCref] = ACTIONS(7395),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7395),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7395),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7395),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7395),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7395),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7395),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7395),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7395),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7395),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7395),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7395),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7395),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7395),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7395),
    [anon_sym_BSLASHdef] = ACTIONS(7395),
    [anon_sym_BSLASHgdef] = ACTIONS(7395),
    [anon_sym_BSLASHedef] = ACTIONS(7395),
    [anon_sym_BSLASHxdef] = ACTIONS(7395),
    [anon_sym_BSLASHlet] = ACTIONS(7395),
    [anon_sym_BSLASHglet] = ACTIONS(7395),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7395),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7395),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7395),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7395),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7395),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7395),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7395),
    [anon_sym_BSLASHgls] = ACTIONS(7395),
    [anon_sym_BSLASHGls] = ACTIONS(7395),
    [anon_sym_BSLASHGLS] = ACTIONS(7395),
    [anon_sym_BSLASHglspl] = ACTIONS(7395),
    [anon_sym_BSLASHGlspl] = ACTIONS(7395),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7395),
    [anon_sym_BSLASHglslink] = ACTIONS(7395),
    [anon_sym_BSLASHglstext] = ACTIONS(7395),
    [anon_sym_BSLASHGlstext] = ACTIONS(7395),
    [anon_sym_BSLASHGLStext] = ACTIONS(7395),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7395),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7395),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7395),
    [anon_sym_BSLASHglsplural] = ACTIONS(7395),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7395),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7395),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7395),
    [anon_sym_BSLASHglsname] = ACTIONS(7395),
    [anon_sym_BSLASHGlsname] = ACTIONS(7395),
    [anon_sym_BSLASHGLSname] = ACTIONS(7395),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7395),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7395),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7395),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7395),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7395),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7395),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7395),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7395),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7395),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7395),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7395),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7395),
    [anon_sym_BSLASHacrshort] = ACTIONS(7395),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7395),
    [anon_sym_BSLASHACRshort] = ACTIONS(7395),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHacrlong] = ACTIONS(7395),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7395),
    [anon_sym_BSLASHACRlong] = ACTIONS(7395),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7395),
    [anon_sym_BSLASHacrfull] = ACTIONS(7395),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7395),
    [anon_sym_BSLASHACRfull] = ACTIONS(7395),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHacs] = ACTIONS(7395),
    [anon_sym_BSLASHAcs] = ACTIONS(7395),
    [anon_sym_BSLASHacsp] = ACTIONS(7395),
    [anon_sym_BSLASHAcsp] = ACTIONS(7395),
    [anon_sym_BSLASHacl] = ACTIONS(7395),
    [anon_sym_BSLASHAcl] = ACTIONS(7395),
    [anon_sym_BSLASHaclp] = ACTIONS(7395),
    [anon_sym_BSLASHAclp] = ACTIONS(7395),
    [anon_sym_BSLASHacf] = ACTIONS(7395),
    [anon_sym_BSLASHAcf] = ACTIONS(7395),
    [anon_sym_BSLASHacfp] = ACTIONS(7395),
    [anon_sym_BSLASHAcfp] = ACTIONS(7395),
    [anon_sym_BSLASHac] = ACTIONS(7395),
    [anon_sym_BSLASHAc] = ACTIONS(7395),
    [anon_sym_BSLASHacp] = ACTIONS(7395),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7395),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7395),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7395),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7395),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7395),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7397),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7395),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7395),
    [anon_sym_BSLASHcolor] = ACTIONS(7395),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7395),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7395),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7395),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7395),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7395),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7395),
    [anon_sym_BSLASHurl] = ACTIONS(7395),
    [anon_sym_BSLASHhref] = ACTIONS(7395),
  },
  [2241] = {
    [sym_command_name] = ACTIONS(7399),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7399),
    [anon_sym_RBRACK] = ACTIONS(7401),
    [anon_sym_COMMA] = ACTIONS(7401),
    [anon_sym_EQ] = ACTIONS(7401),
    [anon_sym_RBRACE] = ACTIONS(7401),
    [sym_word] = ACTIONS(7399),
    [sym_placeholder] = ACTIONS(7401),
    [sym_delimiter] = ACTIONS(7401),
    [anon_sym_PLUS] = ACTIONS(7401),
    [anon_sym_DASH] = ACTIONS(7401),
    [anon_sym_STAR] = ACTIONS(7401),
    [anon_sym_SLASH] = ACTIONS(7401),
    [anon_sym_LT] = ACTIONS(7399),
    [anon_sym_GT] = ACTIONS(7399),
    [anon_sym_BANG] = ACTIONS(7399),
    [anon_sym_PIPE] = ACTIONS(7399),
    [anon_sym_COLON] = ACTIONS(7399),
    [anon_sym_SQUOTE] = ACTIONS(7399),
    [anon_sym__] = ACTIONS(7401),
    [anon_sym_CARET] = ACTIONS(7401),
    [anon_sym_BSLASHtitle] = ACTIONS(7399),
    [anon_sym_BSLASHauthor] = ACTIONS(7399),
    [anon_sym_BSLASHusepackage] = ACTIONS(7399),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7399),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7399),
    [anon_sym_BSLASHinclude] = ACTIONS(7399),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7399),
    [anon_sym_BSLASHinput] = ACTIONS(7399),
    [anon_sym_BSLASHsubfile] = ACTIONS(7399),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7399),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7399),
    [anon_sym_BSLASHbibliography] = ACTIONS(7399),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7399),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7399),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7399),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7399),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7399),
    [anon_sym_BSLASHimport] = ACTIONS(7399),
    [anon_sym_BSLASHsubimport] = ACTIONS(7399),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7399),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7399),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7399),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7399),
    [anon_sym_BSLASHcaption] = ACTIONS(7399),
    [anon_sym_BSLASHcite] = ACTIONS(7399),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCite] = ACTIONS(7399),
    [anon_sym_BSLASHnocite] = ACTIONS(7399),
    [anon_sym_BSLASHcitet] = ACTIONS(7399),
    [anon_sym_BSLASHcitep] = ACTIONS(7399),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteA] = ACTIONS(7399),
    [anon_sym_BSLASHciteR] = ACTIONS(7399),
    [anon_sym_BSLASHciteS] = ACTIONS(7399),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7399),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7399),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7399),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7399),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteyear] = ACTIONS(7399),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcitedate] = ACTIONS(7399),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHciteurl] = ACTIONS(7399),
    [anon_sym_BSLASHfullcite] = ACTIONS(7399),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7399),
    [anon_sym_BSLASHcitealt] = ACTIONS(7399),
    [anon_sym_BSLASHcitealp] = ACTIONS(7399),
    [anon_sym_BSLASHcitetext] = ACTIONS(7399),
    [anon_sym_BSLASHparencite] = ACTIONS(7399),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHParencite] = ACTIONS(7399),
    [anon_sym_BSLASHfootcite] = ACTIONS(7399),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7399),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7399),
    [anon_sym_BSLASHtextcite] = ACTIONS(7399),
    [anon_sym_BSLASHTextcite] = ACTIONS(7399),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7399),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7399),
    [anon_sym_BSLASHsupercite] = ACTIONS(7399),
    [anon_sym_BSLASHautocite] = ACTIONS(7399),
    [anon_sym_BSLASHAutocite] = ACTIONS(7399),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHVolcite] = ACTIONS(7399),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHavolcite] = ACTIONS(7399),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7399),
    [anon_sym_BSLASHnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHNotecite] = ACTIONS(7399),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7399),
    [anon_sym_BSLASHlabel] = ACTIONS(7399),
    [anon_sym_BSLASHref] = ACTIONS(7399),
    [anon_sym_BSLASHeqref] = ACTIONS(7399),
    [anon_sym_BSLASHvref] = ACTIONS(7399),
    [anon_sym_BSLASHVref] = ACTIONS(7399),
    [anon_sym_BSLASHautoref] = ACTIONS(7399),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHpageref] = ACTIONS(7399),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHautopageref] = ACTIONS(7399),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcref] = ACTIONS(7399),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCref] = ACTIONS(7399),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcpageref] = ACTIONS(7399),
    [anon_sym_BSLASHCpageref] = ACTIONS(7399),
    [anon_sym_BSLASHnamecref] = ACTIONS(7399),
    [anon_sym_BSLASHnameCref] = ACTIONS(7399),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7399),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7399),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7399),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7399),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7399),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7399),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7399),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7399),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7399),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7399),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7399),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7399),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7399),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7399),
    [anon_sym_BSLASHdef] = ACTIONS(7399),
    [anon_sym_BSLASHgdef] = ACTIONS(7399),
    [anon_sym_BSLASHedef] = ACTIONS(7399),
    [anon_sym_BSLASHxdef] = ACTIONS(7399),
    [anon_sym_BSLASHlet] = ACTIONS(7399),
    [anon_sym_BSLASHglet] = ACTIONS(7399),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7399),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7399),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7399),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7399),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7399),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7399),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7399),
    [anon_sym_BSLASHgls] = ACTIONS(7399),
    [anon_sym_BSLASHGls] = ACTIONS(7399),
    [anon_sym_BSLASHGLS] = ACTIONS(7399),
    [anon_sym_BSLASHglspl] = ACTIONS(7399),
    [anon_sym_BSLASHGlspl] = ACTIONS(7399),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7399),
    [anon_sym_BSLASHglslink] = ACTIONS(7399),
    [anon_sym_BSLASHglstext] = ACTIONS(7399),
    [anon_sym_BSLASHGlstext] = ACTIONS(7399),
    [anon_sym_BSLASHGLStext] = ACTIONS(7399),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7399),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7399),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7399),
    [anon_sym_BSLASHglsplural] = ACTIONS(7399),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7399),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7399),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7399),
    [anon_sym_BSLASHglsname] = ACTIONS(7399),
    [anon_sym_BSLASHGlsname] = ACTIONS(7399),
    [anon_sym_BSLASHGLSname] = ACTIONS(7399),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7399),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7399),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7399),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7399),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7399),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7399),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7399),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7399),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7399),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7399),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7399),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7399),
    [anon_sym_BSLASHacrshort] = ACTIONS(7399),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7399),
    [anon_sym_BSLASHACRshort] = ACTIONS(7399),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHacrlong] = ACTIONS(7399),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7399),
    [anon_sym_BSLASHACRlong] = ACTIONS(7399),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7399),
    [anon_sym_BSLASHacrfull] = ACTIONS(7399),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7399),
    [anon_sym_BSLASHACRfull] = ACTIONS(7399),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHacs] = ACTIONS(7399),
    [anon_sym_BSLASHAcs] = ACTIONS(7399),
    [anon_sym_BSLASHacsp] = ACTIONS(7399),
    [anon_sym_BSLASHAcsp] = ACTIONS(7399),
    [anon_sym_BSLASHacl] = ACTIONS(7399),
    [anon_sym_BSLASHAcl] = ACTIONS(7399),
    [anon_sym_BSLASHaclp] = ACTIONS(7399),
    [anon_sym_BSLASHAclp] = ACTIONS(7399),
    [anon_sym_BSLASHacf] = ACTIONS(7399),
    [anon_sym_BSLASHAcf] = ACTIONS(7399),
    [anon_sym_BSLASHacfp] = ACTIONS(7399),
    [anon_sym_BSLASHAcfp] = ACTIONS(7399),
    [anon_sym_BSLASHac] = ACTIONS(7399),
    [anon_sym_BSLASHAc] = ACTIONS(7399),
    [anon_sym_BSLASHacp] = ACTIONS(7399),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7399),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7399),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7399),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7399),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7399),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7401),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7399),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7399),
    [anon_sym_BSLASHcolor] = ACTIONS(7399),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7399),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7399),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7399),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7399),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7399),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7399),
    [anon_sym_BSLASHurl] = ACTIONS(7399),
    [anon_sym_BSLASHhref] = ACTIONS(7399),
  },
  [2242] = {
    [sym_command_name] = ACTIONS(7403),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7403),
    [anon_sym_RBRACK] = ACTIONS(7405),
    [anon_sym_COMMA] = ACTIONS(7405),
    [anon_sym_EQ] = ACTIONS(7405),
    [anon_sym_RBRACE] = ACTIONS(7405),
    [sym_word] = ACTIONS(7403),
    [sym_placeholder] = ACTIONS(7405),
    [sym_delimiter] = ACTIONS(7405),
    [anon_sym_PLUS] = ACTIONS(7405),
    [anon_sym_DASH] = ACTIONS(7405),
    [anon_sym_STAR] = ACTIONS(7405),
    [anon_sym_SLASH] = ACTIONS(7405),
    [anon_sym_LT] = ACTIONS(7403),
    [anon_sym_GT] = ACTIONS(7403),
    [anon_sym_BANG] = ACTIONS(7403),
    [anon_sym_PIPE] = ACTIONS(7403),
    [anon_sym_COLON] = ACTIONS(7403),
    [anon_sym_SQUOTE] = ACTIONS(7403),
    [anon_sym__] = ACTIONS(7405),
    [anon_sym_CARET] = ACTIONS(7405),
    [anon_sym_BSLASHtitle] = ACTIONS(7403),
    [anon_sym_BSLASHauthor] = ACTIONS(7403),
    [anon_sym_BSLASHusepackage] = ACTIONS(7403),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7403),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7403),
    [anon_sym_BSLASHinclude] = ACTIONS(7403),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7403),
    [anon_sym_BSLASHinput] = ACTIONS(7403),
    [anon_sym_BSLASHsubfile] = ACTIONS(7403),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7403),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7403),
    [anon_sym_BSLASHbibliography] = ACTIONS(7403),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7403),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7403),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7403),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7403),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7403),
    [anon_sym_BSLASHimport] = ACTIONS(7403),
    [anon_sym_BSLASHsubimport] = ACTIONS(7403),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7403),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7403),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7403),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7403),
    [anon_sym_BSLASHcaption] = ACTIONS(7403),
    [anon_sym_BSLASHcite] = ACTIONS(7403),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCite] = ACTIONS(7403),
    [anon_sym_BSLASHnocite] = ACTIONS(7403),
    [anon_sym_BSLASHcitet] = ACTIONS(7403),
    [anon_sym_BSLASHcitep] = ACTIONS(7403),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteA] = ACTIONS(7403),
    [anon_sym_BSLASHciteR] = ACTIONS(7403),
    [anon_sym_BSLASHciteS] = ACTIONS(7403),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7403),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7403),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7403),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7403),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteyear] = ACTIONS(7403),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcitedate] = ACTIONS(7403),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHciteurl] = ACTIONS(7403),
    [anon_sym_BSLASHfullcite] = ACTIONS(7403),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7403),
    [anon_sym_BSLASHcitealt] = ACTIONS(7403),
    [anon_sym_BSLASHcitealp] = ACTIONS(7403),
    [anon_sym_BSLASHcitetext] = ACTIONS(7403),
    [anon_sym_BSLASHparencite] = ACTIONS(7403),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHParencite] = ACTIONS(7403),
    [anon_sym_BSLASHfootcite] = ACTIONS(7403),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7403),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7403),
    [anon_sym_BSLASHtextcite] = ACTIONS(7403),
    [anon_sym_BSLASHTextcite] = ACTIONS(7403),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7403),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7403),
    [anon_sym_BSLASHsupercite] = ACTIONS(7403),
    [anon_sym_BSLASHautocite] = ACTIONS(7403),
    [anon_sym_BSLASHAutocite] = ACTIONS(7403),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHVolcite] = ACTIONS(7403),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHavolcite] = ACTIONS(7403),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7403),
    [anon_sym_BSLASHnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHNotecite] = ACTIONS(7403),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7403),
    [anon_sym_BSLASHlabel] = ACTIONS(7403),
    [anon_sym_BSLASHref] = ACTIONS(7403),
    [anon_sym_BSLASHeqref] = ACTIONS(7403),
    [anon_sym_BSLASHvref] = ACTIONS(7403),
    [anon_sym_BSLASHVref] = ACTIONS(7403),
    [anon_sym_BSLASHautoref] = ACTIONS(7403),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHpageref] = ACTIONS(7403),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHautopageref] = ACTIONS(7403),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcref] = ACTIONS(7403),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCref] = ACTIONS(7403),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcpageref] = ACTIONS(7403),
    [anon_sym_BSLASHCpageref] = ACTIONS(7403),
    [anon_sym_BSLASHnamecref] = ACTIONS(7403),
    [anon_sym_BSLASHnameCref] = ACTIONS(7403),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7403),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7403),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7403),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7403),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7403),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7403),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7403),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7403),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7403),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7403),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7403),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7403),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7403),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7403),
    [anon_sym_BSLASHdef] = ACTIONS(7403),
    [anon_sym_BSLASHgdef] = ACTIONS(7403),
    [anon_sym_BSLASHedef] = ACTIONS(7403),
    [anon_sym_BSLASHxdef] = ACTIONS(7403),
    [anon_sym_BSLASHlet] = ACTIONS(7403),
    [anon_sym_BSLASHglet] = ACTIONS(7403),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7403),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7403),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7403),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7403),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7403),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7403),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7403),
    [anon_sym_BSLASHgls] = ACTIONS(7403),
    [anon_sym_BSLASHGls] = ACTIONS(7403),
    [anon_sym_BSLASHGLS] = ACTIONS(7403),
    [anon_sym_BSLASHglspl] = ACTIONS(7403),
    [anon_sym_BSLASHGlspl] = ACTIONS(7403),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7403),
    [anon_sym_BSLASHglslink] = ACTIONS(7403),
    [anon_sym_BSLASHglstext] = ACTIONS(7403),
    [anon_sym_BSLASHGlstext] = ACTIONS(7403),
    [anon_sym_BSLASHGLStext] = ACTIONS(7403),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7403),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7403),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7403),
    [anon_sym_BSLASHglsplural] = ACTIONS(7403),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7403),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7403),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7403),
    [anon_sym_BSLASHglsname] = ACTIONS(7403),
    [anon_sym_BSLASHGlsname] = ACTIONS(7403),
    [anon_sym_BSLASHGLSname] = ACTIONS(7403),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7403),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7403),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7403),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7403),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7403),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7403),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7403),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7403),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7403),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7403),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7403),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7403),
    [anon_sym_BSLASHacrshort] = ACTIONS(7403),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7403),
    [anon_sym_BSLASHACRshort] = ACTIONS(7403),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHacrlong] = ACTIONS(7403),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7403),
    [anon_sym_BSLASHACRlong] = ACTIONS(7403),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7403),
    [anon_sym_BSLASHacrfull] = ACTIONS(7403),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7403),
    [anon_sym_BSLASHACRfull] = ACTIONS(7403),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHacs] = ACTIONS(7403),
    [anon_sym_BSLASHAcs] = ACTIONS(7403),
    [anon_sym_BSLASHacsp] = ACTIONS(7403),
    [anon_sym_BSLASHAcsp] = ACTIONS(7403),
    [anon_sym_BSLASHacl] = ACTIONS(7403),
    [anon_sym_BSLASHAcl] = ACTIONS(7403),
    [anon_sym_BSLASHaclp] = ACTIONS(7403),
    [anon_sym_BSLASHAclp] = ACTIONS(7403),
    [anon_sym_BSLASHacf] = ACTIONS(7403),
    [anon_sym_BSLASHAcf] = ACTIONS(7403),
    [anon_sym_BSLASHacfp] = ACTIONS(7403),
    [anon_sym_BSLASHAcfp] = ACTIONS(7403),
    [anon_sym_BSLASHac] = ACTIONS(7403),
    [anon_sym_BSLASHAc] = ACTIONS(7403),
    [anon_sym_BSLASHacp] = ACTIONS(7403),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7403),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7403),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7403),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7403),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7403),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7405),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7403),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7403),
    [anon_sym_BSLASHcolor] = ACTIONS(7403),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7403),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7403),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7403),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7403),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7403),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7403),
    [anon_sym_BSLASHurl] = ACTIONS(7403),
    [anon_sym_BSLASHhref] = ACTIONS(7403),
  },
  [2243] = {
    [sym_command_name] = ACTIONS(7407),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7407),
    [anon_sym_RBRACK] = ACTIONS(7409),
    [anon_sym_COMMA] = ACTIONS(7409),
    [anon_sym_EQ] = ACTIONS(7409),
    [anon_sym_RBRACE] = ACTIONS(7409),
    [sym_word] = ACTIONS(7407),
    [sym_placeholder] = ACTIONS(7409),
    [sym_delimiter] = ACTIONS(7409),
    [anon_sym_PLUS] = ACTIONS(7409),
    [anon_sym_DASH] = ACTIONS(7409),
    [anon_sym_STAR] = ACTIONS(7409),
    [anon_sym_SLASH] = ACTIONS(7409),
    [anon_sym_LT] = ACTIONS(7407),
    [anon_sym_GT] = ACTIONS(7407),
    [anon_sym_BANG] = ACTIONS(7407),
    [anon_sym_PIPE] = ACTIONS(7407),
    [anon_sym_COLON] = ACTIONS(7407),
    [anon_sym_SQUOTE] = ACTIONS(7407),
    [anon_sym__] = ACTIONS(7409),
    [anon_sym_CARET] = ACTIONS(7409),
    [anon_sym_BSLASHtitle] = ACTIONS(7407),
    [anon_sym_BSLASHauthor] = ACTIONS(7407),
    [anon_sym_BSLASHusepackage] = ACTIONS(7407),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7407),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7407),
    [anon_sym_BSLASHinclude] = ACTIONS(7407),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7407),
    [anon_sym_BSLASHinput] = ACTIONS(7407),
    [anon_sym_BSLASHsubfile] = ACTIONS(7407),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7407),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7407),
    [anon_sym_BSLASHbibliography] = ACTIONS(7407),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7407),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7407),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7407),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7407),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7407),
    [anon_sym_BSLASHimport] = ACTIONS(7407),
    [anon_sym_BSLASHsubimport] = ACTIONS(7407),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7407),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7407),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7407),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7407),
    [anon_sym_BSLASHcaption] = ACTIONS(7407),
    [anon_sym_BSLASHcite] = ACTIONS(7407),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCite] = ACTIONS(7407),
    [anon_sym_BSLASHnocite] = ACTIONS(7407),
    [anon_sym_BSLASHcitet] = ACTIONS(7407),
    [anon_sym_BSLASHcitep] = ACTIONS(7407),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteA] = ACTIONS(7407),
    [anon_sym_BSLASHciteR] = ACTIONS(7407),
    [anon_sym_BSLASHciteS] = ACTIONS(7407),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7407),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7407),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7407),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7407),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteyear] = ACTIONS(7407),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcitedate] = ACTIONS(7407),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHciteurl] = ACTIONS(7407),
    [anon_sym_BSLASHfullcite] = ACTIONS(7407),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7407),
    [anon_sym_BSLASHcitealt] = ACTIONS(7407),
    [anon_sym_BSLASHcitealp] = ACTIONS(7407),
    [anon_sym_BSLASHcitetext] = ACTIONS(7407),
    [anon_sym_BSLASHparencite] = ACTIONS(7407),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHParencite] = ACTIONS(7407),
    [anon_sym_BSLASHfootcite] = ACTIONS(7407),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7407),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7407),
    [anon_sym_BSLASHtextcite] = ACTIONS(7407),
    [anon_sym_BSLASHTextcite] = ACTIONS(7407),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7407),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7407),
    [anon_sym_BSLASHsupercite] = ACTIONS(7407),
    [anon_sym_BSLASHautocite] = ACTIONS(7407),
    [anon_sym_BSLASHAutocite] = ACTIONS(7407),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHVolcite] = ACTIONS(7407),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHavolcite] = ACTIONS(7407),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7407),
    [anon_sym_BSLASHnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHNotecite] = ACTIONS(7407),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7407),
    [anon_sym_BSLASHlabel] = ACTIONS(7407),
    [anon_sym_BSLASHref] = ACTIONS(7407),
    [anon_sym_BSLASHeqref] = ACTIONS(7407),
    [anon_sym_BSLASHvref] = ACTIONS(7407),
    [anon_sym_BSLASHVref] = ACTIONS(7407),
    [anon_sym_BSLASHautoref] = ACTIONS(7407),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHpageref] = ACTIONS(7407),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHautopageref] = ACTIONS(7407),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcref] = ACTIONS(7407),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCref] = ACTIONS(7407),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcpageref] = ACTIONS(7407),
    [anon_sym_BSLASHCpageref] = ACTIONS(7407),
    [anon_sym_BSLASHnamecref] = ACTIONS(7407),
    [anon_sym_BSLASHnameCref] = ACTIONS(7407),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7407),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7407),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7407),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7407),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7407),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7407),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7407),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7407),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7407),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7407),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7407),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7407),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7407),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7407),
    [anon_sym_BSLASHdef] = ACTIONS(7407),
    [anon_sym_BSLASHgdef] = ACTIONS(7407),
    [anon_sym_BSLASHedef] = ACTIONS(7407),
    [anon_sym_BSLASHxdef] = ACTIONS(7407),
    [anon_sym_BSLASHlet] = ACTIONS(7407),
    [anon_sym_BSLASHglet] = ACTIONS(7407),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7407),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7407),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7407),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7407),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7407),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7407),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7407),
    [anon_sym_BSLASHgls] = ACTIONS(7407),
    [anon_sym_BSLASHGls] = ACTIONS(7407),
    [anon_sym_BSLASHGLS] = ACTIONS(7407),
    [anon_sym_BSLASHglspl] = ACTIONS(7407),
    [anon_sym_BSLASHGlspl] = ACTIONS(7407),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7407),
    [anon_sym_BSLASHglslink] = ACTIONS(7407),
    [anon_sym_BSLASHglstext] = ACTIONS(7407),
    [anon_sym_BSLASHGlstext] = ACTIONS(7407),
    [anon_sym_BSLASHGLStext] = ACTIONS(7407),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7407),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7407),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7407),
    [anon_sym_BSLASHglsplural] = ACTIONS(7407),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7407),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7407),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7407),
    [anon_sym_BSLASHglsname] = ACTIONS(7407),
    [anon_sym_BSLASHGlsname] = ACTIONS(7407),
    [anon_sym_BSLASHGLSname] = ACTIONS(7407),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7407),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7407),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7407),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7407),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7407),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7407),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7407),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7407),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7407),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7407),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7407),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7407),
    [anon_sym_BSLASHacrshort] = ACTIONS(7407),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7407),
    [anon_sym_BSLASHACRshort] = ACTIONS(7407),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHacrlong] = ACTIONS(7407),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7407),
    [anon_sym_BSLASHACRlong] = ACTIONS(7407),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7407),
    [anon_sym_BSLASHacrfull] = ACTIONS(7407),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7407),
    [anon_sym_BSLASHACRfull] = ACTIONS(7407),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHacs] = ACTIONS(7407),
    [anon_sym_BSLASHAcs] = ACTIONS(7407),
    [anon_sym_BSLASHacsp] = ACTIONS(7407),
    [anon_sym_BSLASHAcsp] = ACTIONS(7407),
    [anon_sym_BSLASHacl] = ACTIONS(7407),
    [anon_sym_BSLASHAcl] = ACTIONS(7407),
    [anon_sym_BSLASHaclp] = ACTIONS(7407),
    [anon_sym_BSLASHAclp] = ACTIONS(7407),
    [anon_sym_BSLASHacf] = ACTIONS(7407),
    [anon_sym_BSLASHAcf] = ACTIONS(7407),
    [anon_sym_BSLASHacfp] = ACTIONS(7407),
    [anon_sym_BSLASHAcfp] = ACTIONS(7407),
    [anon_sym_BSLASHac] = ACTIONS(7407),
    [anon_sym_BSLASHAc] = ACTIONS(7407),
    [anon_sym_BSLASHacp] = ACTIONS(7407),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7407),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7407),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7407),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7407),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7407),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7409),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7407),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7407),
    [anon_sym_BSLASHcolor] = ACTIONS(7407),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7407),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7407),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7407),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7407),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7407),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7407),
    [anon_sym_BSLASHurl] = ACTIONS(7407),
    [anon_sym_BSLASHhref] = ACTIONS(7407),
  },
  [2244] = {
    [sym_command_name] = ACTIONS(7411),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7411),
    [anon_sym_RBRACK] = ACTIONS(7413),
    [anon_sym_COMMA] = ACTIONS(7413),
    [anon_sym_EQ] = ACTIONS(7413),
    [anon_sym_RBRACE] = ACTIONS(7413),
    [sym_word] = ACTIONS(7411),
    [sym_placeholder] = ACTIONS(7413),
    [sym_delimiter] = ACTIONS(7413),
    [anon_sym_PLUS] = ACTIONS(7413),
    [anon_sym_DASH] = ACTIONS(7413),
    [anon_sym_STAR] = ACTIONS(7413),
    [anon_sym_SLASH] = ACTIONS(7413),
    [anon_sym_LT] = ACTIONS(7411),
    [anon_sym_GT] = ACTIONS(7411),
    [anon_sym_BANG] = ACTIONS(7411),
    [anon_sym_PIPE] = ACTIONS(7411),
    [anon_sym_COLON] = ACTIONS(7411),
    [anon_sym_SQUOTE] = ACTIONS(7411),
    [anon_sym__] = ACTIONS(7413),
    [anon_sym_CARET] = ACTIONS(7413),
    [anon_sym_BSLASHtitle] = ACTIONS(7411),
    [anon_sym_BSLASHauthor] = ACTIONS(7411),
    [anon_sym_BSLASHusepackage] = ACTIONS(7411),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7411),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7411),
    [anon_sym_BSLASHinclude] = ACTIONS(7411),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7411),
    [anon_sym_BSLASHinput] = ACTIONS(7411),
    [anon_sym_BSLASHsubfile] = ACTIONS(7411),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7411),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7411),
    [anon_sym_BSLASHbibliography] = ACTIONS(7411),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7411),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7411),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7411),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7411),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7411),
    [anon_sym_BSLASHimport] = ACTIONS(7411),
    [anon_sym_BSLASHsubimport] = ACTIONS(7411),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7411),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7411),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7411),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7411),
    [anon_sym_BSLASHcaption] = ACTIONS(7411),
    [anon_sym_BSLASHcite] = ACTIONS(7411),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCite] = ACTIONS(7411),
    [anon_sym_BSLASHnocite] = ACTIONS(7411),
    [anon_sym_BSLASHcitet] = ACTIONS(7411),
    [anon_sym_BSLASHcitep] = ACTIONS(7411),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteA] = ACTIONS(7411),
    [anon_sym_BSLASHciteR] = ACTIONS(7411),
    [anon_sym_BSLASHciteS] = ACTIONS(7411),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7411),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7411),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7411),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7411),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteyear] = ACTIONS(7411),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcitedate] = ACTIONS(7411),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHciteurl] = ACTIONS(7411),
    [anon_sym_BSLASHfullcite] = ACTIONS(7411),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7411),
    [anon_sym_BSLASHcitealt] = ACTIONS(7411),
    [anon_sym_BSLASHcitealp] = ACTIONS(7411),
    [anon_sym_BSLASHcitetext] = ACTIONS(7411),
    [anon_sym_BSLASHparencite] = ACTIONS(7411),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHParencite] = ACTIONS(7411),
    [anon_sym_BSLASHfootcite] = ACTIONS(7411),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7411),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7411),
    [anon_sym_BSLASHtextcite] = ACTIONS(7411),
    [anon_sym_BSLASHTextcite] = ACTIONS(7411),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7411),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7411),
    [anon_sym_BSLASHsupercite] = ACTIONS(7411),
    [anon_sym_BSLASHautocite] = ACTIONS(7411),
    [anon_sym_BSLASHAutocite] = ACTIONS(7411),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHVolcite] = ACTIONS(7411),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHavolcite] = ACTIONS(7411),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7411),
    [anon_sym_BSLASHnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHNotecite] = ACTIONS(7411),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7411),
    [anon_sym_BSLASHlabel] = ACTIONS(7411),
    [anon_sym_BSLASHref] = ACTIONS(7411),
    [anon_sym_BSLASHeqref] = ACTIONS(7411),
    [anon_sym_BSLASHvref] = ACTIONS(7411),
    [anon_sym_BSLASHVref] = ACTIONS(7411),
    [anon_sym_BSLASHautoref] = ACTIONS(7411),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHpageref] = ACTIONS(7411),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHautopageref] = ACTIONS(7411),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcref] = ACTIONS(7411),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCref] = ACTIONS(7411),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcpageref] = ACTIONS(7411),
    [anon_sym_BSLASHCpageref] = ACTIONS(7411),
    [anon_sym_BSLASHnamecref] = ACTIONS(7411),
    [anon_sym_BSLASHnameCref] = ACTIONS(7411),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7411),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7411),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7411),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7411),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7411),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7411),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7411),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7411),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7411),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7411),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7411),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7411),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7411),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7411),
    [anon_sym_BSLASHdef] = ACTIONS(7411),
    [anon_sym_BSLASHgdef] = ACTIONS(7411),
    [anon_sym_BSLASHedef] = ACTIONS(7411),
    [anon_sym_BSLASHxdef] = ACTIONS(7411),
    [anon_sym_BSLASHlet] = ACTIONS(7411),
    [anon_sym_BSLASHglet] = ACTIONS(7411),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7411),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7411),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7411),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7411),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7411),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7411),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7411),
    [anon_sym_BSLASHgls] = ACTIONS(7411),
    [anon_sym_BSLASHGls] = ACTIONS(7411),
    [anon_sym_BSLASHGLS] = ACTIONS(7411),
    [anon_sym_BSLASHglspl] = ACTIONS(7411),
    [anon_sym_BSLASHGlspl] = ACTIONS(7411),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7411),
    [anon_sym_BSLASHglslink] = ACTIONS(7411),
    [anon_sym_BSLASHglstext] = ACTIONS(7411),
    [anon_sym_BSLASHGlstext] = ACTIONS(7411),
    [anon_sym_BSLASHGLStext] = ACTIONS(7411),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7411),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7411),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7411),
    [anon_sym_BSLASHglsplural] = ACTIONS(7411),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7411),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7411),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7411),
    [anon_sym_BSLASHglsname] = ACTIONS(7411),
    [anon_sym_BSLASHGlsname] = ACTIONS(7411),
    [anon_sym_BSLASHGLSname] = ACTIONS(7411),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7411),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7411),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7411),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7411),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7411),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7411),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7411),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7411),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7411),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7411),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7411),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7411),
    [anon_sym_BSLASHacrshort] = ACTIONS(7411),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7411),
    [anon_sym_BSLASHACRshort] = ACTIONS(7411),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHacrlong] = ACTIONS(7411),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7411),
    [anon_sym_BSLASHACRlong] = ACTIONS(7411),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7411),
    [anon_sym_BSLASHacrfull] = ACTIONS(7411),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7411),
    [anon_sym_BSLASHACRfull] = ACTIONS(7411),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHacs] = ACTIONS(7411),
    [anon_sym_BSLASHAcs] = ACTIONS(7411),
    [anon_sym_BSLASHacsp] = ACTIONS(7411),
    [anon_sym_BSLASHAcsp] = ACTIONS(7411),
    [anon_sym_BSLASHacl] = ACTIONS(7411),
    [anon_sym_BSLASHAcl] = ACTIONS(7411),
    [anon_sym_BSLASHaclp] = ACTIONS(7411),
    [anon_sym_BSLASHAclp] = ACTIONS(7411),
    [anon_sym_BSLASHacf] = ACTIONS(7411),
    [anon_sym_BSLASHAcf] = ACTIONS(7411),
    [anon_sym_BSLASHacfp] = ACTIONS(7411),
    [anon_sym_BSLASHAcfp] = ACTIONS(7411),
    [anon_sym_BSLASHac] = ACTIONS(7411),
    [anon_sym_BSLASHAc] = ACTIONS(7411),
    [anon_sym_BSLASHacp] = ACTIONS(7411),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7411),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7411),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7411),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7411),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7411),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7413),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7411),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7411),
    [anon_sym_BSLASHcolor] = ACTIONS(7411),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7411),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7411),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7411),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7411),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7411),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7411),
    [anon_sym_BSLASHurl] = ACTIONS(7411),
    [anon_sym_BSLASHhref] = ACTIONS(7411),
  },
  [2245] = {
    [sym_command_name] = ACTIONS(7319),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7319),
    [anon_sym_RBRACK] = ACTIONS(7321),
    [anon_sym_COMMA] = ACTIONS(7321),
    [anon_sym_EQ] = ACTIONS(7321),
    [anon_sym_RBRACE] = ACTIONS(7321),
    [sym_word] = ACTIONS(7319),
    [sym_placeholder] = ACTIONS(7321),
    [sym_delimiter] = ACTIONS(7321),
    [anon_sym_PLUS] = ACTIONS(7321),
    [anon_sym_DASH] = ACTIONS(7321),
    [anon_sym_STAR] = ACTIONS(7321),
    [anon_sym_SLASH] = ACTIONS(7321),
    [anon_sym_LT] = ACTIONS(7319),
    [anon_sym_GT] = ACTIONS(7319),
    [anon_sym_BANG] = ACTIONS(7319),
    [anon_sym_PIPE] = ACTIONS(7319),
    [anon_sym_COLON] = ACTIONS(7319),
    [anon_sym_SQUOTE] = ACTIONS(7319),
    [anon_sym__] = ACTIONS(7321),
    [anon_sym_CARET] = ACTIONS(7321),
    [anon_sym_BSLASHtitle] = ACTIONS(7319),
    [anon_sym_BSLASHauthor] = ACTIONS(7319),
    [anon_sym_BSLASHusepackage] = ACTIONS(7319),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7319),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7319),
    [anon_sym_BSLASHinclude] = ACTIONS(7319),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7319),
    [anon_sym_BSLASHinput] = ACTIONS(7319),
    [anon_sym_BSLASHsubfile] = ACTIONS(7319),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7319),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7319),
    [anon_sym_BSLASHbibliography] = ACTIONS(7319),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7319),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7319),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7319),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7319),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7319),
    [anon_sym_BSLASHimport] = ACTIONS(7319),
    [anon_sym_BSLASHsubimport] = ACTIONS(7319),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7319),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7319),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7319),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7319),
    [anon_sym_BSLASHcaption] = ACTIONS(7319),
    [anon_sym_BSLASHcite] = ACTIONS(7319),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCite] = ACTIONS(7319),
    [anon_sym_BSLASHnocite] = ACTIONS(7319),
    [anon_sym_BSLASHcitet] = ACTIONS(7319),
    [anon_sym_BSLASHcitep] = ACTIONS(7319),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteA] = ACTIONS(7319),
    [anon_sym_BSLASHciteR] = ACTIONS(7319),
    [anon_sym_BSLASHciteS] = ACTIONS(7319),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7319),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7319),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7319),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7319),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteyear] = ACTIONS(7319),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcitedate] = ACTIONS(7319),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHciteurl] = ACTIONS(7319),
    [anon_sym_BSLASHfullcite] = ACTIONS(7319),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7319),
    [anon_sym_BSLASHcitealt] = ACTIONS(7319),
    [anon_sym_BSLASHcitealp] = ACTIONS(7319),
    [anon_sym_BSLASHcitetext] = ACTIONS(7319),
    [anon_sym_BSLASHparencite] = ACTIONS(7319),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHParencite] = ACTIONS(7319),
    [anon_sym_BSLASHfootcite] = ACTIONS(7319),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7319),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7319),
    [anon_sym_BSLASHtextcite] = ACTIONS(7319),
    [anon_sym_BSLASHTextcite] = ACTIONS(7319),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7319),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7319),
    [anon_sym_BSLASHsupercite] = ACTIONS(7319),
    [anon_sym_BSLASHautocite] = ACTIONS(7319),
    [anon_sym_BSLASHAutocite] = ACTIONS(7319),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHVolcite] = ACTIONS(7319),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHavolcite] = ACTIONS(7319),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7319),
    [anon_sym_BSLASHnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHNotecite] = ACTIONS(7319),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7319),
    [anon_sym_BSLASHlabel] = ACTIONS(7319),
    [anon_sym_BSLASHref] = ACTIONS(7319),
    [anon_sym_BSLASHeqref] = ACTIONS(7319),
    [anon_sym_BSLASHvref] = ACTIONS(7319),
    [anon_sym_BSLASHVref] = ACTIONS(7319),
    [anon_sym_BSLASHautoref] = ACTIONS(7319),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHpageref] = ACTIONS(7319),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHautopageref] = ACTIONS(7319),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcref] = ACTIONS(7319),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCref] = ACTIONS(7319),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcpageref] = ACTIONS(7319),
    [anon_sym_BSLASHCpageref] = ACTIONS(7319),
    [anon_sym_BSLASHnamecref] = ACTIONS(7319),
    [anon_sym_BSLASHnameCref] = ACTIONS(7319),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7319),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7319),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7319),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7319),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7319),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7319),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7319),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7319),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7319),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7319),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7319),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7319),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7319),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7319),
    [anon_sym_BSLASHdef] = ACTIONS(7319),
    [anon_sym_BSLASHgdef] = ACTIONS(7319),
    [anon_sym_BSLASHedef] = ACTIONS(7319),
    [anon_sym_BSLASHxdef] = ACTIONS(7319),
    [anon_sym_BSLASHlet] = ACTIONS(7319),
    [anon_sym_BSLASHglet] = ACTIONS(7319),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7319),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7319),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7319),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7319),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7319),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7319),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7319),
    [anon_sym_BSLASHgls] = ACTIONS(7319),
    [anon_sym_BSLASHGls] = ACTIONS(7319),
    [anon_sym_BSLASHGLS] = ACTIONS(7319),
    [anon_sym_BSLASHglspl] = ACTIONS(7319),
    [anon_sym_BSLASHGlspl] = ACTIONS(7319),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7319),
    [anon_sym_BSLASHglslink] = ACTIONS(7319),
    [anon_sym_BSLASHglstext] = ACTIONS(7319),
    [anon_sym_BSLASHGlstext] = ACTIONS(7319),
    [anon_sym_BSLASHGLStext] = ACTIONS(7319),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7319),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7319),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7319),
    [anon_sym_BSLASHglsplural] = ACTIONS(7319),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7319),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7319),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7319),
    [anon_sym_BSLASHglsname] = ACTIONS(7319),
    [anon_sym_BSLASHGlsname] = ACTIONS(7319),
    [anon_sym_BSLASHGLSname] = ACTIONS(7319),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7319),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7319),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7319),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7319),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7319),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7319),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7319),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7319),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7319),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7319),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7319),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7319),
    [anon_sym_BSLASHacrshort] = ACTIONS(7319),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7319),
    [anon_sym_BSLASHACRshort] = ACTIONS(7319),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHacrlong] = ACTIONS(7319),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7319),
    [anon_sym_BSLASHACRlong] = ACTIONS(7319),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7319),
    [anon_sym_BSLASHacrfull] = ACTIONS(7319),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7319),
    [anon_sym_BSLASHACRfull] = ACTIONS(7319),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHacs] = ACTIONS(7319),
    [anon_sym_BSLASHAcs] = ACTIONS(7319),
    [anon_sym_BSLASHacsp] = ACTIONS(7319),
    [anon_sym_BSLASHAcsp] = ACTIONS(7319),
    [anon_sym_BSLASHacl] = ACTIONS(7319),
    [anon_sym_BSLASHAcl] = ACTIONS(7319),
    [anon_sym_BSLASHaclp] = ACTIONS(7319),
    [anon_sym_BSLASHAclp] = ACTIONS(7319),
    [anon_sym_BSLASHacf] = ACTIONS(7319),
    [anon_sym_BSLASHAcf] = ACTIONS(7319),
    [anon_sym_BSLASHacfp] = ACTIONS(7319),
    [anon_sym_BSLASHAcfp] = ACTIONS(7319),
    [anon_sym_BSLASHac] = ACTIONS(7319),
    [anon_sym_BSLASHAc] = ACTIONS(7319),
    [anon_sym_BSLASHacp] = ACTIONS(7319),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7319),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7319),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7319),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7319),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7319),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7321),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7319),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7319),
    [anon_sym_BSLASHcolor] = ACTIONS(7319),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7319),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7319),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7319),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7319),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7319),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7319),
    [anon_sym_BSLASHurl] = ACTIONS(7319),
    [anon_sym_BSLASHhref] = ACTIONS(7319),
  },
  [2246] = {
    [sym_command_name] = ACTIONS(7195),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7195),
    [anon_sym_RBRACK] = ACTIONS(7197),
    [anon_sym_COMMA] = ACTIONS(7197),
    [anon_sym_EQ] = ACTIONS(7197),
    [anon_sym_RBRACE] = ACTIONS(7197),
    [sym_word] = ACTIONS(7195),
    [sym_placeholder] = ACTIONS(7197),
    [sym_delimiter] = ACTIONS(7197),
    [anon_sym_PLUS] = ACTIONS(7197),
    [anon_sym_DASH] = ACTIONS(7197),
    [anon_sym_STAR] = ACTIONS(7197),
    [anon_sym_SLASH] = ACTIONS(7197),
    [anon_sym_LT] = ACTIONS(7195),
    [anon_sym_GT] = ACTIONS(7195),
    [anon_sym_BANG] = ACTIONS(7195),
    [anon_sym_PIPE] = ACTIONS(7195),
    [anon_sym_COLON] = ACTIONS(7195),
    [anon_sym_SQUOTE] = ACTIONS(7195),
    [anon_sym__] = ACTIONS(7197),
    [anon_sym_CARET] = ACTIONS(7197),
    [anon_sym_BSLASHtitle] = ACTIONS(7195),
    [anon_sym_BSLASHauthor] = ACTIONS(7195),
    [anon_sym_BSLASHusepackage] = ACTIONS(7195),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7195),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7195),
    [anon_sym_BSLASHinclude] = ACTIONS(7195),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7195),
    [anon_sym_BSLASHinput] = ACTIONS(7195),
    [anon_sym_BSLASHsubfile] = ACTIONS(7195),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7195),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7195),
    [anon_sym_BSLASHbibliography] = ACTIONS(7195),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7195),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7195),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7195),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7195),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7195),
    [anon_sym_BSLASHimport] = ACTIONS(7195),
    [anon_sym_BSLASHsubimport] = ACTIONS(7195),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7195),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7195),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7195),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7195),
    [anon_sym_BSLASHcaption] = ACTIONS(7195),
    [anon_sym_BSLASHcite] = ACTIONS(7195),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCite] = ACTIONS(7195),
    [anon_sym_BSLASHnocite] = ACTIONS(7195),
    [anon_sym_BSLASHcitet] = ACTIONS(7195),
    [anon_sym_BSLASHcitep] = ACTIONS(7195),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteA] = ACTIONS(7195),
    [anon_sym_BSLASHciteR] = ACTIONS(7195),
    [anon_sym_BSLASHciteS] = ACTIONS(7195),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7195),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7195),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7195),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7195),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteyear] = ACTIONS(7195),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcitedate] = ACTIONS(7195),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHciteurl] = ACTIONS(7195),
    [anon_sym_BSLASHfullcite] = ACTIONS(7195),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7195),
    [anon_sym_BSLASHcitealt] = ACTIONS(7195),
    [anon_sym_BSLASHcitealp] = ACTIONS(7195),
    [anon_sym_BSLASHcitetext] = ACTIONS(7195),
    [anon_sym_BSLASHparencite] = ACTIONS(7195),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHParencite] = ACTIONS(7195),
    [anon_sym_BSLASHfootcite] = ACTIONS(7195),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7195),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7195),
    [anon_sym_BSLASHtextcite] = ACTIONS(7195),
    [anon_sym_BSLASHTextcite] = ACTIONS(7195),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7195),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7195),
    [anon_sym_BSLASHsupercite] = ACTIONS(7195),
    [anon_sym_BSLASHautocite] = ACTIONS(7195),
    [anon_sym_BSLASHAutocite] = ACTIONS(7195),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHVolcite] = ACTIONS(7195),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHavolcite] = ACTIONS(7195),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7195),
    [anon_sym_BSLASHnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHNotecite] = ACTIONS(7195),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7195),
    [anon_sym_BSLASHlabel] = ACTIONS(7195),
    [anon_sym_BSLASHref] = ACTIONS(7195),
    [anon_sym_BSLASHeqref] = ACTIONS(7195),
    [anon_sym_BSLASHvref] = ACTIONS(7195),
    [anon_sym_BSLASHVref] = ACTIONS(7195),
    [anon_sym_BSLASHautoref] = ACTIONS(7195),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHpageref] = ACTIONS(7195),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHautopageref] = ACTIONS(7195),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcref] = ACTIONS(7195),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCref] = ACTIONS(7195),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcpageref] = ACTIONS(7195),
    [anon_sym_BSLASHCpageref] = ACTIONS(7195),
    [anon_sym_BSLASHnamecref] = ACTIONS(7195),
    [anon_sym_BSLASHnameCref] = ACTIONS(7195),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7195),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7195),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7195),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7195),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7195),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7195),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7195),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7195),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7195),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7195),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7195),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7195),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7195),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7195),
    [anon_sym_BSLASHdef] = ACTIONS(7195),
    [anon_sym_BSLASHgdef] = ACTIONS(7195),
    [anon_sym_BSLASHedef] = ACTIONS(7195),
    [anon_sym_BSLASHxdef] = ACTIONS(7195),
    [anon_sym_BSLASHlet] = ACTIONS(7195),
    [anon_sym_BSLASHglet] = ACTIONS(7195),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7195),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7195),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7195),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7195),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7195),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7195),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7195),
    [anon_sym_BSLASHgls] = ACTIONS(7195),
    [anon_sym_BSLASHGls] = ACTIONS(7195),
    [anon_sym_BSLASHGLS] = ACTIONS(7195),
    [anon_sym_BSLASHglspl] = ACTIONS(7195),
    [anon_sym_BSLASHGlspl] = ACTIONS(7195),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7195),
    [anon_sym_BSLASHglslink] = ACTIONS(7195),
    [anon_sym_BSLASHglstext] = ACTIONS(7195),
    [anon_sym_BSLASHGlstext] = ACTIONS(7195),
    [anon_sym_BSLASHGLStext] = ACTIONS(7195),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7195),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7195),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7195),
    [anon_sym_BSLASHglsplural] = ACTIONS(7195),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7195),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7195),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7195),
    [anon_sym_BSLASHglsname] = ACTIONS(7195),
    [anon_sym_BSLASHGlsname] = ACTIONS(7195),
    [anon_sym_BSLASHGLSname] = ACTIONS(7195),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7195),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7195),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7195),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7195),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7195),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7195),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7195),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7195),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7195),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7195),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7195),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7195),
    [anon_sym_BSLASHacrshort] = ACTIONS(7195),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7195),
    [anon_sym_BSLASHACRshort] = ACTIONS(7195),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHacrlong] = ACTIONS(7195),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7195),
    [anon_sym_BSLASHACRlong] = ACTIONS(7195),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7195),
    [anon_sym_BSLASHacrfull] = ACTIONS(7195),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7195),
    [anon_sym_BSLASHACRfull] = ACTIONS(7195),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHacs] = ACTIONS(7195),
    [anon_sym_BSLASHAcs] = ACTIONS(7195),
    [anon_sym_BSLASHacsp] = ACTIONS(7195),
    [anon_sym_BSLASHAcsp] = ACTIONS(7195),
    [anon_sym_BSLASHacl] = ACTIONS(7195),
    [anon_sym_BSLASHAcl] = ACTIONS(7195),
    [anon_sym_BSLASHaclp] = ACTIONS(7195),
    [anon_sym_BSLASHAclp] = ACTIONS(7195),
    [anon_sym_BSLASHacf] = ACTIONS(7195),
    [anon_sym_BSLASHAcf] = ACTIONS(7195),
    [anon_sym_BSLASHacfp] = ACTIONS(7195),
    [anon_sym_BSLASHAcfp] = ACTIONS(7195),
    [anon_sym_BSLASHac] = ACTIONS(7195),
    [anon_sym_BSLASHAc] = ACTIONS(7195),
    [anon_sym_BSLASHacp] = ACTIONS(7195),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7195),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7195),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7195),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7195),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7195),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7197),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7195),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7195),
    [anon_sym_BSLASHcolor] = ACTIONS(7195),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7195),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7195),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7195),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7195),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7195),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7195),
    [anon_sym_BSLASHurl] = ACTIONS(7195),
    [anon_sym_BSLASHhref] = ACTIONS(7195),
  },
  [2247] = {
    [sym_command_name] = ACTIONS(7415),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7415),
    [anon_sym_RBRACK] = ACTIONS(7417),
    [anon_sym_COMMA] = ACTIONS(7417),
    [anon_sym_EQ] = ACTIONS(7417),
    [anon_sym_RBRACE] = ACTIONS(7417),
    [sym_word] = ACTIONS(7415),
    [sym_placeholder] = ACTIONS(7417),
    [sym_delimiter] = ACTIONS(7417),
    [anon_sym_PLUS] = ACTIONS(7417),
    [anon_sym_DASH] = ACTIONS(7417),
    [anon_sym_STAR] = ACTIONS(7417),
    [anon_sym_SLASH] = ACTIONS(7417),
    [anon_sym_LT] = ACTIONS(7415),
    [anon_sym_GT] = ACTIONS(7415),
    [anon_sym_BANG] = ACTIONS(7415),
    [anon_sym_PIPE] = ACTIONS(7415),
    [anon_sym_COLON] = ACTIONS(7415),
    [anon_sym_SQUOTE] = ACTIONS(7415),
    [anon_sym__] = ACTIONS(7417),
    [anon_sym_CARET] = ACTIONS(7417),
    [anon_sym_BSLASHtitle] = ACTIONS(7415),
    [anon_sym_BSLASHauthor] = ACTIONS(7415),
    [anon_sym_BSLASHusepackage] = ACTIONS(7415),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7415),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7415),
    [anon_sym_BSLASHinclude] = ACTIONS(7415),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7415),
    [anon_sym_BSLASHinput] = ACTIONS(7415),
    [anon_sym_BSLASHsubfile] = ACTIONS(7415),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7415),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7415),
    [anon_sym_BSLASHbibliography] = ACTIONS(7415),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7415),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7415),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7415),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7415),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7415),
    [anon_sym_BSLASHimport] = ACTIONS(7415),
    [anon_sym_BSLASHsubimport] = ACTIONS(7415),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7415),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7415),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7415),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7415),
    [anon_sym_BSLASHcaption] = ACTIONS(7415),
    [anon_sym_BSLASHcite] = ACTIONS(7415),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCite] = ACTIONS(7415),
    [anon_sym_BSLASHnocite] = ACTIONS(7415),
    [anon_sym_BSLASHcitet] = ACTIONS(7415),
    [anon_sym_BSLASHcitep] = ACTIONS(7415),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteA] = ACTIONS(7415),
    [anon_sym_BSLASHciteR] = ACTIONS(7415),
    [anon_sym_BSLASHciteS] = ACTIONS(7415),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7415),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7415),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7415),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7415),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteyear] = ACTIONS(7415),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcitedate] = ACTIONS(7415),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHciteurl] = ACTIONS(7415),
    [anon_sym_BSLASHfullcite] = ACTIONS(7415),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7415),
    [anon_sym_BSLASHcitealt] = ACTIONS(7415),
    [anon_sym_BSLASHcitealp] = ACTIONS(7415),
    [anon_sym_BSLASHcitetext] = ACTIONS(7415),
    [anon_sym_BSLASHparencite] = ACTIONS(7415),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHParencite] = ACTIONS(7415),
    [anon_sym_BSLASHfootcite] = ACTIONS(7415),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7415),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7415),
    [anon_sym_BSLASHtextcite] = ACTIONS(7415),
    [anon_sym_BSLASHTextcite] = ACTIONS(7415),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7415),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7415),
    [anon_sym_BSLASHsupercite] = ACTIONS(7415),
    [anon_sym_BSLASHautocite] = ACTIONS(7415),
    [anon_sym_BSLASHAutocite] = ACTIONS(7415),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHVolcite] = ACTIONS(7415),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHavolcite] = ACTIONS(7415),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7415),
    [anon_sym_BSLASHnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHNotecite] = ACTIONS(7415),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7415),
    [anon_sym_BSLASHlabel] = ACTIONS(7415),
    [anon_sym_BSLASHref] = ACTIONS(7415),
    [anon_sym_BSLASHeqref] = ACTIONS(7415),
    [anon_sym_BSLASHvref] = ACTIONS(7415),
    [anon_sym_BSLASHVref] = ACTIONS(7415),
    [anon_sym_BSLASHautoref] = ACTIONS(7415),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHpageref] = ACTIONS(7415),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHautopageref] = ACTIONS(7415),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcref] = ACTIONS(7415),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCref] = ACTIONS(7415),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcpageref] = ACTIONS(7415),
    [anon_sym_BSLASHCpageref] = ACTIONS(7415),
    [anon_sym_BSLASHnamecref] = ACTIONS(7415),
    [anon_sym_BSLASHnameCref] = ACTIONS(7415),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7415),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7415),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7415),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7415),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7415),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7415),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7415),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7415),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7415),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7415),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7415),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7415),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7415),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7415),
    [anon_sym_BSLASHdef] = ACTIONS(7415),
    [anon_sym_BSLASHgdef] = ACTIONS(7415),
    [anon_sym_BSLASHedef] = ACTIONS(7415),
    [anon_sym_BSLASHxdef] = ACTIONS(7415),
    [anon_sym_BSLASHlet] = ACTIONS(7415),
    [anon_sym_BSLASHglet] = ACTIONS(7415),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7415),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7415),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7415),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7415),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7415),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7415),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7415),
    [anon_sym_BSLASHgls] = ACTIONS(7415),
    [anon_sym_BSLASHGls] = ACTIONS(7415),
    [anon_sym_BSLASHGLS] = ACTIONS(7415),
    [anon_sym_BSLASHglspl] = ACTIONS(7415),
    [anon_sym_BSLASHGlspl] = ACTIONS(7415),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7415),
    [anon_sym_BSLASHglslink] = ACTIONS(7415),
    [anon_sym_BSLASHglstext] = ACTIONS(7415),
    [anon_sym_BSLASHGlstext] = ACTIONS(7415),
    [anon_sym_BSLASHGLStext] = ACTIONS(7415),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7415),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7415),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7415),
    [anon_sym_BSLASHglsplural] = ACTIONS(7415),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7415),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7415),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7415),
    [anon_sym_BSLASHglsname] = ACTIONS(7415),
    [anon_sym_BSLASHGlsname] = ACTIONS(7415),
    [anon_sym_BSLASHGLSname] = ACTIONS(7415),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7415),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7415),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7415),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7415),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7415),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7415),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7415),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7415),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7415),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7415),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7415),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7415),
    [anon_sym_BSLASHacrshort] = ACTIONS(7415),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7415),
    [anon_sym_BSLASHACRshort] = ACTIONS(7415),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHacrlong] = ACTIONS(7415),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7415),
    [anon_sym_BSLASHACRlong] = ACTIONS(7415),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7415),
    [anon_sym_BSLASHacrfull] = ACTIONS(7415),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7415),
    [anon_sym_BSLASHACRfull] = ACTIONS(7415),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHacs] = ACTIONS(7415),
    [anon_sym_BSLASHAcs] = ACTIONS(7415),
    [anon_sym_BSLASHacsp] = ACTIONS(7415),
    [anon_sym_BSLASHAcsp] = ACTIONS(7415),
    [anon_sym_BSLASHacl] = ACTIONS(7415),
    [anon_sym_BSLASHAcl] = ACTIONS(7415),
    [anon_sym_BSLASHaclp] = ACTIONS(7415),
    [anon_sym_BSLASHAclp] = ACTIONS(7415),
    [anon_sym_BSLASHacf] = ACTIONS(7415),
    [anon_sym_BSLASHAcf] = ACTIONS(7415),
    [anon_sym_BSLASHacfp] = ACTIONS(7415),
    [anon_sym_BSLASHAcfp] = ACTIONS(7415),
    [anon_sym_BSLASHac] = ACTIONS(7415),
    [anon_sym_BSLASHAc] = ACTIONS(7415),
    [anon_sym_BSLASHacp] = ACTIONS(7415),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7415),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7415),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7415),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7415),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7415),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7417),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7415),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7415),
    [anon_sym_BSLASHcolor] = ACTIONS(7415),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7415),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7415),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7415),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7415),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7415),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7415),
    [anon_sym_BSLASHurl] = ACTIONS(7415),
    [anon_sym_BSLASHhref] = ACTIONS(7415),
  },
  [2248] = {
    [sym_command_name] = ACTIONS(7419),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7419),
    [anon_sym_RBRACK] = ACTIONS(7421),
    [anon_sym_COMMA] = ACTIONS(7421),
    [anon_sym_EQ] = ACTIONS(7421),
    [anon_sym_RBRACE] = ACTIONS(7421),
    [sym_word] = ACTIONS(7419),
    [sym_placeholder] = ACTIONS(7421),
    [sym_delimiter] = ACTIONS(7421),
    [anon_sym_PLUS] = ACTIONS(7421),
    [anon_sym_DASH] = ACTIONS(7421),
    [anon_sym_STAR] = ACTIONS(7421),
    [anon_sym_SLASH] = ACTIONS(7421),
    [anon_sym_LT] = ACTIONS(7419),
    [anon_sym_GT] = ACTIONS(7419),
    [anon_sym_BANG] = ACTIONS(7419),
    [anon_sym_PIPE] = ACTIONS(7419),
    [anon_sym_COLON] = ACTIONS(7419),
    [anon_sym_SQUOTE] = ACTIONS(7419),
    [anon_sym__] = ACTIONS(7421),
    [anon_sym_CARET] = ACTIONS(7421),
    [anon_sym_BSLASHtitle] = ACTIONS(7419),
    [anon_sym_BSLASHauthor] = ACTIONS(7419),
    [anon_sym_BSLASHusepackage] = ACTIONS(7419),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7419),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7419),
    [anon_sym_BSLASHinclude] = ACTIONS(7419),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7419),
    [anon_sym_BSLASHinput] = ACTIONS(7419),
    [anon_sym_BSLASHsubfile] = ACTIONS(7419),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7419),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7419),
    [anon_sym_BSLASHbibliography] = ACTIONS(7419),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7419),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7419),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7419),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7419),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7419),
    [anon_sym_BSLASHimport] = ACTIONS(7419),
    [anon_sym_BSLASHsubimport] = ACTIONS(7419),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7419),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7419),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7419),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7419),
    [anon_sym_BSLASHcaption] = ACTIONS(7419),
    [anon_sym_BSLASHcite] = ACTIONS(7419),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCite] = ACTIONS(7419),
    [anon_sym_BSLASHnocite] = ACTIONS(7419),
    [anon_sym_BSLASHcitet] = ACTIONS(7419),
    [anon_sym_BSLASHcitep] = ACTIONS(7419),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteA] = ACTIONS(7419),
    [anon_sym_BSLASHciteR] = ACTIONS(7419),
    [anon_sym_BSLASHciteS] = ACTIONS(7419),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7419),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7419),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7419),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7419),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteyear] = ACTIONS(7419),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcitedate] = ACTIONS(7419),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHciteurl] = ACTIONS(7419),
    [anon_sym_BSLASHfullcite] = ACTIONS(7419),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7419),
    [anon_sym_BSLASHcitealt] = ACTIONS(7419),
    [anon_sym_BSLASHcitealp] = ACTIONS(7419),
    [anon_sym_BSLASHcitetext] = ACTIONS(7419),
    [anon_sym_BSLASHparencite] = ACTIONS(7419),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHParencite] = ACTIONS(7419),
    [anon_sym_BSLASHfootcite] = ACTIONS(7419),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7419),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7419),
    [anon_sym_BSLASHtextcite] = ACTIONS(7419),
    [anon_sym_BSLASHTextcite] = ACTIONS(7419),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7419),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7419),
    [anon_sym_BSLASHsupercite] = ACTIONS(7419),
    [anon_sym_BSLASHautocite] = ACTIONS(7419),
    [anon_sym_BSLASHAutocite] = ACTIONS(7419),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHVolcite] = ACTIONS(7419),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHavolcite] = ACTIONS(7419),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7419),
    [anon_sym_BSLASHnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHNotecite] = ACTIONS(7419),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7419),
    [anon_sym_BSLASHlabel] = ACTIONS(7419),
    [anon_sym_BSLASHref] = ACTIONS(7419),
    [anon_sym_BSLASHeqref] = ACTIONS(7419),
    [anon_sym_BSLASHvref] = ACTIONS(7419),
    [anon_sym_BSLASHVref] = ACTIONS(7419),
    [anon_sym_BSLASHautoref] = ACTIONS(7419),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHpageref] = ACTIONS(7419),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHautopageref] = ACTIONS(7419),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcref] = ACTIONS(7419),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCref] = ACTIONS(7419),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcpageref] = ACTIONS(7419),
    [anon_sym_BSLASHCpageref] = ACTIONS(7419),
    [anon_sym_BSLASHnamecref] = ACTIONS(7419),
    [anon_sym_BSLASHnameCref] = ACTIONS(7419),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7419),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7419),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7419),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7419),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7419),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7419),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7419),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7419),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7419),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7419),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7419),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7419),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7419),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7419),
    [anon_sym_BSLASHdef] = ACTIONS(7419),
    [anon_sym_BSLASHgdef] = ACTIONS(7419),
    [anon_sym_BSLASHedef] = ACTIONS(7419),
    [anon_sym_BSLASHxdef] = ACTIONS(7419),
    [anon_sym_BSLASHlet] = ACTIONS(7419),
    [anon_sym_BSLASHglet] = ACTIONS(7419),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7419),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7419),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7419),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7419),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7419),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7419),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7419),
    [anon_sym_BSLASHgls] = ACTIONS(7419),
    [anon_sym_BSLASHGls] = ACTIONS(7419),
    [anon_sym_BSLASHGLS] = ACTIONS(7419),
    [anon_sym_BSLASHglspl] = ACTIONS(7419),
    [anon_sym_BSLASHGlspl] = ACTIONS(7419),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7419),
    [anon_sym_BSLASHglslink] = ACTIONS(7419),
    [anon_sym_BSLASHglstext] = ACTIONS(7419),
    [anon_sym_BSLASHGlstext] = ACTIONS(7419),
    [anon_sym_BSLASHGLStext] = ACTIONS(7419),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7419),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7419),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7419),
    [anon_sym_BSLASHglsplural] = ACTIONS(7419),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7419),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7419),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7419),
    [anon_sym_BSLASHglsname] = ACTIONS(7419),
    [anon_sym_BSLASHGlsname] = ACTIONS(7419),
    [anon_sym_BSLASHGLSname] = ACTIONS(7419),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7419),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7419),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7419),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7419),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7419),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7419),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7419),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7419),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7419),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7419),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7419),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7419),
    [anon_sym_BSLASHacrshort] = ACTIONS(7419),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7419),
    [anon_sym_BSLASHACRshort] = ACTIONS(7419),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHacrlong] = ACTIONS(7419),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7419),
    [anon_sym_BSLASHACRlong] = ACTIONS(7419),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7419),
    [anon_sym_BSLASHacrfull] = ACTIONS(7419),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7419),
    [anon_sym_BSLASHACRfull] = ACTIONS(7419),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHacs] = ACTIONS(7419),
    [anon_sym_BSLASHAcs] = ACTIONS(7419),
    [anon_sym_BSLASHacsp] = ACTIONS(7419),
    [anon_sym_BSLASHAcsp] = ACTIONS(7419),
    [anon_sym_BSLASHacl] = ACTIONS(7419),
    [anon_sym_BSLASHAcl] = ACTIONS(7419),
    [anon_sym_BSLASHaclp] = ACTIONS(7419),
    [anon_sym_BSLASHAclp] = ACTIONS(7419),
    [anon_sym_BSLASHacf] = ACTIONS(7419),
    [anon_sym_BSLASHAcf] = ACTIONS(7419),
    [anon_sym_BSLASHacfp] = ACTIONS(7419),
    [anon_sym_BSLASHAcfp] = ACTIONS(7419),
    [anon_sym_BSLASHac] = ACTIONS(7419),
    [anon_sym_BSLASHAc] = ACTIONS(7419),
    [anon_sym_BSLASHacp] = ACTIONS(7419),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7419),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7419),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7419),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7419),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7419),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7421),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7419),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7419),
    [anon_sym_BSLASHcolor] = ACTIONS(7419),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7419),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7419),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7419),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7419),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7419),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7419),
    [anon_sym_BSLASHurl] = ACTIONS(7419),
    [anon_sym_BSLASHhref] = ACTIONS(7419),
  },
  [2249] = {
    [sym_command_name] = ACTIONS(7315),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7315),
    [anon_sym_RBRACK] = ACTIONS(7317),
    [anon_sym_COMMA] = ACTIONS(7317),
    [anon_sym_EQ] = ACTIONS(7317),
    [anon_sym_RBRACE] = ACTIONS(7317),
    [sym_word] = ACTIONS(7315),
    [sym_placeholder] = ACTIONS(7317),
    [sym_delimiter] = ACTIONS(7317),
    [anon_sym_PLUS] = ACTIONS(7317),
    [anon_sym_DASH] = ACTIONS(7317),
    [anon_sym_STAR] = ACTIONS(7317),
    [anon_sym_SLASH] = ACTIONS(7317),
    [anon_sym_LT] = ACTIONS(7315),
    [anon_sym_GT] = ACTIONS(7315),
    [anon_sym_BANG] = ACTIONS(7315),
    [anon_sym_PIPE] = ACTIONS(7315),
    [anon_sym_COLON] = ACTIONS(7315),
    [anon_sym_SQUOTE] = ACTIONS(7315),
    [anon_sym__] = ACTIONS(7317),
    [anon_sym_CARET] = ACTIONS(7317),
    [anon_sym_BSLASHtitle] = ACTIONS(7315),
    [anon_sym_BSLASHauthor] = ACTIONS(7315),
    [anon_sym_BSLASHusepackage] = ACTIONS(7315),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7315),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7315),
    [anon_sym_BSLASHinclude] = ACTIONS(7315),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7315),
    [anon_sym_BSLASHinput] = ACTIONS(7315),
    [anon_sym_BSLASHsubfile] = ACTIONS(7315),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7315),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7315),
    [anon_sym_BSLASHbibliography] = ACTIONS(7315),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7315),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7315),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7315),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7315),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7315),
    [anon_sym_BSLASHimport] = ACTIONS(7315),
    [anon_sym_BSLASHsubimport] = ACTIONS(7315),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7315),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7315),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7315),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7315),
    [anon_sym_BSLASHcaption] = ACTIONS(7315),
    [anon_sym_BSLASHcite] = ACTIONS(7315),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCite] = ACTIONS(7315),
    [anon_sym_BSLASHnocite] = ACTIONS(7315),
    [anon_sym_BSLASHcitet] = ACTIONS(7315),
    [anon_sym_BSLASHcitep] = ACTIONS(7315),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteA] = ACTIONS(7315),
    [anon_sym_BSLASHciteR] = ACTIONS(7315),
    [anon_sym_BSLASHciteS] = ACTIONS(7315),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7315),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7315),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7315),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7315),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteyear] = ACTIONS(7315),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcitedate] = ACTIONS(7315),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHciteurl] = ACTIONS(7315),
    [anon_sym_BSLASHfullcite] = ACTIONS(7315),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7315),
    [anon_sym_BSLASHcitealt] = ACTIONS(7315),
    [anon_sym_BSLASHcitealp] = ACTIONS(7315),
    [anon_sym_BSLASHcitetext] = ACTIONS(7315),
    [anon_sym_BSLASHparencite] = ACTIONS(7315),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHParencite] = ACTIONS(7315),
    [anon_sym_BSLASHfootcite] = ACTIONS(7315),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7315),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7315),
    [anon_sym_BSLASHtextcite] = ACTIONS(7315),
    [anon_sym_BSLASHTextcite] = ACTIONS(7315),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7315),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7315),
    [anon_sym_BSLASHsupercite] = ACTIONS(7315),
    [anon_sym_BSLASHautocite] = ACTIONS(7315),
    [anon_sym_BSLASHAutocite] = ACTIONS(7315),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHVolcite] = ACTIONS(7315),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHavolcite] = ACTIONS(7315),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7315),
    [anon_sym_BSLASHnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHNotecite] = ACTIONS(7315),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7315),
    [anon_sym_BSLASHlabel] = ACTIONS(7315),
    [anon_sym_BSLASHref] = ACTIONS(7315),
    [anon_sym_BSLASHeqref] = ACTIONS(7315),
    [anon_sym_BSLASHvref] = ACTIONS(7315),
    [anon_sym_BSLASHVref] = ACTIONS(7315),
    [anon_sym_BSLASHautoref] = ACTIONS(7315),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHpageref] = ACTIONS(7315),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHautopageref] = ACTIONS(7315),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcref] = ACTIONS(7315),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCref] = ACTIONS(7315),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcpageref] = ACTIONS(7315),
    [anon_sym_BSLASHCpageref] = ACTIONS(7315),
    [anon_sym_BSLASHnamecref] = ACTIONS(7315),
    [anon_sym_BSLASHnameCref] = ACTIONS(7315),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7315),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7315),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7315),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7315),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7315),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7315),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7315),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7315),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7315),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7315),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7315),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7315),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7315),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7315),
    [anon_sym_BSLASHdef] = ACTIONS(7315),
    [anon_sym_BSLASHgdef] = ACTIONS(7315),
    [anon_sym_BSLASHedef] = ACTIONS(7315),
    [anon_sym_BSLASHxdef] = ACTIONS(7315),
    [anon_sym_BSLASHlet] = ACTIONS(7315),
    [anon_sym_BSLASHglet] = ACTIONS(7315),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7315),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7315),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7315),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7315),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7315),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7315),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7315),
    [anon_sym_BSLASHgls] = ACTIONS(7315),
    [anon_sym_BSLASHGls] = ACTIONS(7315),
    [anon_sym_BSLASHGLS] = ACTIONS(7315),
    [anon_sym_BSLASHglspl] = ACTIONS(7315),
    [anon_sym_BSLASHGlspl] = ACTIONS(7315),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7315),
    [anon_sym_BSLASHglslink] = ACTIONS(7315),
    [anon_sym_BSLASHglstext] = ACTIONS(7315),
    [anon_sym_BSLASHGlstext] = ACTIONS(7315),
    [anon_sym_BSLASHGLStext] = ACTIONS(7315),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7315),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7315),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7315),
    [anon_sym_BSLASHglsplural] = ACTIONS(7315),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7315),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7315),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7315),
    [anon_sym_BSLASHglsname] = ACTIONS(7315),
    [anon_sym_BSLASHGlsname] = ACTIONS(7315),
    [anon_sym_BSLASHGLSname] = ACTIONS(7315),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7315),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7315),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7315),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7315),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7315),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7315),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7315),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7315),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7315),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7315),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7315),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7315),
    [anon_sym_BSLASHacrshort] = ACTIONS(7315),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7315),
    [anon_sym_BSLASHACRshort] = ACTIONS(7315),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHacrlong] = ACTIONS(7315),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7315),
    [anon_sym_BSLASHACRlong] = ACTIONS(7315),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7315),
    [anon_sym_BSLASHacrfull] = ACTIONS(7315),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7315),
    [anon_sym_BSLASHACRfull] = ACTIONS(7315),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHacs] = ACTIONS(7315),
    [anon_sym_BSLASHAcs] = ACTIONS(7315),
    [anon_sym_BSLASHacsp] = ACTIONS(7315),
    [anon_sym_BSLASHAcsp] = ACTIONS(7315),
    [anon_sym_BSLASHacl] = ACTIONS(7315),
    [anon_sym_BSLASHAcl] = ACTIONS(7315),
    [anon_sym_BSLASHaclp] = ACTIONS(7315),
    [anon_sym_BSLASHAclp] = ACTIONS(7315),
    [anon_sym_BSLASHacf] = ACTIONS(7315),
    [anon_sym_BSLASHAcf] = ACTIONS(7315),
    [anon_sym_BSLASHacfp] = ACTIONS(7315),
    [anon_sym_BSLASHAcfp] = ACTIONS(7315),
    [anon_sym_BSLASHac] = ACTIONS(7315),
    [anon_sym_BSLASHAc] = ACTIONS(7315),
    [anon_sym_BSLASHacp] = ACTIONS(7315),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7315),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7315),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7315),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7315),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7315),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7317),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7315),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7315),
    [anon_sym_BSLASHcolor] = ACTIONS(7315),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7315),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7315),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7315),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7315),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7315),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7315),
    [anon_sym_BSLASHurl] = ACTIONS(7315),
    [anon_sym_BSLASHhref] = ACTIONS(7315),
  },
  [2250] = {
    [sym_command_name] = ACTIONS(7199),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7199),
    [anon_sym_RBRACK] = ACTIONS(7201),
    [anon_sym_COMMA] = ACTIONS(7201),
    [anon_sym_EQ] = ACTIONS(7201),
    [anon_sym_RBRACE] = ACTIONS(7201),
    [sym_word] = ACTIONS(7199),
    [sym_placeholder] = ACTIONS(7201),
    [sym_delimiter] = ACTIONS(7201),
    [anon_sym_PLUS] = ACTIONS(7201),
    [anon_sym_DASH] = ACTIONS(7201),
    [anon_sym_STAR] = ACTIONS(7201),
    [anon_sym_SLASH] = ACTIONS(7201),
    [anon_sym_LT] = ACTIONS(7199),
    [anon_sym_GT] = ACTIONS(7199),
    [anon_sym_BANG] = ACTIONS(7199),
    [anon_sym_PIPE] = ACTIONS(7199),
    [anon_sym_COLON] = ACTIONS(7199),
    [anon_sym_SQUOTE] = ACTIONS(7199),
    [anon_sym__] = ACTIONS(7201),
    [anon_sym_CARET] = ACTIONS(7201),
    [anon_sym_BSLASHtitle] = ACTIONS(7199),
    [anon_sym_BSLASHauthor] = ACTIONS(7199),
    [anon_sym_BSLASHusepackage] = ACTIONS(7199),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7199),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7199),
    [anon_sym_BSLASHinclude] = ACTIONS(7199),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7199),
    [anon_sym_BSLASHinput] = ACTIONS(7199),
    [anon_sym_BSLASHsubfile] = ACTIONS(7199),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7199),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7199),
    [anon_sym_BSLASHbibliography] = ACTIONS(7199),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7199),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7199),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7199),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7199),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7199),
    [anon_sym_BSLASHimport] = ACTIONS(7199),
    [anon_sym_BSLASHsubimport] = ACTIONS(7199),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7199),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7199),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7199),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7199),
    [anon_sym_BSLASHcaption] = ACTIONS(7199),
    [anon_sym_BSLASHcite] = ACTIONS(7199),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCite] = ACTIONS(7199),
    [anon_sym_BSLASHnocite] = ACTIONS(7199),
    [anon_sym_BSLASHcitet] = ACTIONS(7199),
    [anon_sym_BSLASHcitep] = ACTIONS(7199),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteA] = ACTIONS(7199),
    [anon_sym_BSLASHciteR] = ACTIONS(7199),
    [anon_sym_BSLASHciteS] = ACTIONS(7199),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7199),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7199),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7199),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7199),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteyear] = ACTIONS(7199),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcitedate] = ACTIONS(7199),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHciteurl] = ACTIONS(7199),
    [anon_sym_BSLASHfullcite] = ACTIONS(7199),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7199),
    [anon_sym_BSLASHcitealt] = ACTIONS(7199),
    [anon_sym_BSLASHcitealp] = ACTIONS(7199),
    [anon_sym_BSLASHcitetext] = ACTIONS(7199),
    [anon_sym_BSLASHparencite] = ACTIONS(7199),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHParencite] = ACTIONS(7199),
    [anon_sym_BSLASHfootcite] = ACTIONS(7199),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7199),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7199),
    [anon_sym_BSLASHtextcite] = ACTIONS(7199),
    [anon_sym_BSLASHTextcite] = ACTIONS(7199),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7199),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7199),
    [anon_sym_BSLASHsupercite] = ACTIONS(7199),
    [anon_sym_BSLASHautocite] = ACTIONS(7199),
    [anon_sym_BSLASHAutocite] = ACTIONS(7199),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHVolcite] = ACTIONS(7199),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHavolcite] = ACTIONS(7199),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7199),
    [anon_sym_BSLASHnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHNotecite] = ACTIONS(7199),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7199),
    [anon_sym_BSLASHlabel] = ACTIONS(7199),
    [anon_sym_BSLASHref] = ACTIONS(7199),
    [anon_sym_BSLASHeqref] = ACTIONS(7199),
    [anon_sym_BSLASHvref] = ACTIONS(7199),
    [anon_sym_BSLASHVref] = ACTIONS(7199),
    [anon_sym_BSLASHautoref] = ACTIONS(7199),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHpageref] = ACTIONS(7199),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHautopageref] = ACTIONS(7199),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcref] = ACTIONS(7199),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCref] = ACTIONS(7199),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcpageref] = ACTIONS(7199),
    [anon_sym_BSLASHCpageref] = ACTIONS(7199),
    [anon_sym_BSLASHnamecref] = ACTIONS(7199),
    [anon_sym_BSLASHnameCref] = ACTIONS(7199),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7199),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7199),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7199),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7199),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7199),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7199),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7199),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7199),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7199),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7199),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7199),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7199),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7199),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7199),
    [anon_sym_BSLASHdef] = ACTIONS(7199),
    [anon_sym_BSLASHgdef] = ACTIONS(7199),
    [anon_sym_BSLASHedef] = ACTIONS(7199),
    [anon_sym_BSLASHxdef] = ACTIONS(7199),
    [anon_sym_BSLASHlet] = ACTIONS(7199),
    [anon_sym_BSLASHglet] = ACTIONS(7199),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7199),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7199),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7199),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7199),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7199),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7199),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7199),
    [anon_sym_BSLASHgls] = ACTIONS(7199),
    [anon_sym_BSLASHGls] = ACTIONS(7199),
    [anon_sym_BSLASHGLS] = ACTIONS(7199),
    [anon_sym_BSLASHglspl] = ACTIONS(7199),
    [anon_sym_BSLASHGlspl] = ACTIONS(7199),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7199),
    [anon_sym_BSLASHglslink] = ACTIONS(7199),
    [anon_sym_BSLASHglstext] = ACTIONS(7199),
    [anon_sym_BSLASHGlstext] = ACTIONS(7199),
    [anon_sym_BSLASHGLStext] = ACTIONS(7199),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7199),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7199),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7199),
    [anon_sym_BSLASHglsplural] = ACTIONS(7199),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7199),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7199),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7199),
    [anon_sym_BSLASHglsname] = ACTIONS(7199),
    [anon_sym_BSLASHGlsname] = ACTIONS(7199),
    [anon_sym_BSLASHGLSname] = ACTIONS(7199),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7199),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7199),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7199),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7199),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7199),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7199),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7199),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7199),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7199),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7199),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7199),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7199),
    [anon_sym_BSLASHacrshort] = ACTIONS(7199),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7199),
    [anon_sym_BSLASHACRshort] = ACTIONS(7199),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHacrlong] = ACTIONS(7199),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7199),
    [anon_sym_BSLASHACRlong] = ACTIONS(7199),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7199),
    [anon_sym_BSLASHacrfull] = ACTIONS(7199),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7199),
    [anon_sym_BSLASHACRfull] = ACTIONS(7199),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHacs] = ACTIONS(7199),
    [anon_sym_BSLASHAcs] = ACTIONS(7199),
    [anon_sym_BSLASHacsp] = ACTIONS(7199),
    [anon_sym_BSLASHAcsp] = ACTIONS(7199),
    [anon_sym_BSLASHacl] = ACTIONS(7199),
    [anon_sym_BSLASHAcl] = ACTIONS(7199),
    [anon_sym_BSLASHaclp] = ACTIONS(7199),
    [anon_sym_BSLASHAclp] = ACTIONS(7199),
    [anon_sym_BSLASHacf] = ACTIONS(7199),
    [anon_sym_BSLASHAcf] = ACTIONS(7199),
    [anon_sym_BSLASHacfp] = ACTIONS(7199),
    [anon_sym_BSLASHAcfp] = ACTIONS(7199),
    [anon_sym_BSLASHac] = ACTIONS(7199),
    [anon_sym_BSLASHAc] = ACTIONS(7199),
    [anon_sym_BSLASHacp] = ACTIONS(7199),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7199),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7199),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7199),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7199),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7199),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7201),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7199),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7199),
    [anon_sym_BSLASHcolor] = ACTIONS(7199),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7199),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7199),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7199),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7199),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7199),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7199),
    [anon_sym_BSLASHurl] = ACTIONS(7199),
    [anon_sym_BSLASHhref] = ACTIONS(7199),
  },
  [2251] = {
    [sym_command_name] = ACTIONS(7203),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7203),
    [anon_sym_RBRACK] = ACTIONS(7205),
    [anon_sym_COMMA] = ACTIONS(7205),
    [anon_sym_EQ] = ACTIONS(7205),
    [anon_sym_RBRACE] = ACTIONS(7205),
    [sym_word] = ACTIONS(7203),
    [sym_placeholder] = ACTIONS(7205),
    [sym_delimiter] = ACTIONS(7205),
    [anon_sym_PLUS] = ACTIONS(7205),
    [anon_sym_DASH] = ACTIONS(7205),
    [anon_sym_STAR] = ACTIONS(7205),
    [anon_sym_SLASH] = ACTIONS(7205),
    [anon_sym_LT] = ACTIONS(7203),
    [anon_sym_GT] = ACTIONS(7203),
    [anon_sym_BANG] = ACTIONS(7203),
    [anon_sym_PIPE] = ACTIONS(7203),
    [anon_sym_COLON] = ACTIONS(7203),
    [anon_sym_SQUOTE] = ACTIONS(7203),
    [anon_sym__] = ACTIONS(7205),
    [anon_sym_CARET] = ACTIONS(7205),
    [anon_sym_BSLASHtitle] = ACTIONS(7203),
    [anon_sym_BSLASHauthor] = ACTIONS(7203),
    [anon_sym_BSLASHusepackage] = ACTIONS(7203),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7203),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7203),
    [anon_sym_BSLASHinclude] = ACTIONS(7203),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7203),
    [anon_sym_BSLASHinput] = ACTIONS(7203),
    [anon_sym_BSLASHsubfile] = ACTIONS(7203),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7203),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7203),
    [anon_sym_BSLASHbibliography] = ACTIONS(7203),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7203),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7203),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7203),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7203),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7203),
    [anon_sym_BSLASHimport] = ACTIONS(7203),
    [anon_sym_BSLASHsubimport] = ACTIONS(7203),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7203),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7203),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7203),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7203),
    [anon_sym_BSLASHcaption] = ACTIONS(7203),
    [anon_sym_BSLASHcite] = ACTIONS(7203),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCite] = ACTIONS(7203),
    [anon_sym_BSLASHnocite] = ACTIONS(7203),
    [anon_sym_BSLASHcitet] = ACTIONS(7203),
    [anon_sym_BSLASHcitep] = ACTIONS(7203),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteA] = ACTIONS(7203),
    [anon_sym_BSLASHciteR] = ACTIONS(7203),
    [anon_sym_BSLASHciteS] = ACTIONS(7203),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7203),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7203),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7203),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7203),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteyear] = ACTIONS(7203),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcitedate] = ACTIONS(7203),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHciteurl] = ACTIONS(7203),
    [anon_sym_BSLASHfullcite] = ACTIONS(7203),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7203),
    [anon_sym_BSLASHcitealt] = ACTIONS(7203),
    [anon_sym_BSLASHcitealp] = ACTIONS(7203),
    [anon_sym_BSLASHcitetext] = ACTIONS(7203),
    [anon_sym_BSLASHparencite] = ACTIONS(7203),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHParencite] = ACTIONS(7203),
    [anon_sym_BSLASHfootcite] = ACTIONS(7203),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7203),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7203),
    [anon_sym_BSLASHtextcite] = ACTIONS(7203),
    [anon_sym_BSLASHTextcite] = ACTIONS(7203),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7203),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7203),
    [anon_sym_BSLASHsupercite] = ACTIONS(7203),
    [anon_sym_BSLASHautocite] = ACTIONS(7203),
    [anon_sym_BSLASHAutocite] = ACTIONS(7203),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHVolcite] = ACTIONS(7203),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHavolcite] = ACTIONS(7203),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7203),
    [anon_sym_BSLASHnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHNotecite] = ACTIONS(7203),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7203),
    [anon_sym_BSLASHlabel] = ACTIONS(7203),
    [anon_sym_BSLASHref] = ACTIONS(7203),
    [anon_sym_BSLASHeqref] = ACTIONS(7203),
    [anon_sym_BSLASHvref] = ACTIONS(7203),
    [anon_sym_BSLASHVref] = ACTIONS(7203),
    [anon_sym_BSLASHautoref] = ACTIONS(7203),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHpageref] = ACTIONS(7203),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHautopageref] = ACTIONS(7203),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcref] = ACTIONS(7203),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCref] = ACTIONS(7203),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcpageref] = ACTIONS(7203),
    [anon_sym_BSLASHCpageref] = ACTIONS(7203),
    [anon_sym_BSLASHnamecref] = ACTIONS(7203),
    [anon_sym_BSLASHnameCref] = ACTIONS(7203),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7203),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7203),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7203),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7203),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7203),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7203),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7203),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7203),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7203),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7203),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7203),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7203),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7203),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7203),
    [anon_sym_BSLASHdef] = ACTIONS(7203),
    [anon_sym_BSLASHgdef] = ACTIONS(7203),
    [anon_sym_BSLASHedef] = ACTIONS(7203),
    [anon_sym_BSLASHxdef] = ACTIONS(7203),
    [anon_sym_BSLASHlet] = ACTIONS(7203),
    [anon_sym_BSLASHglet] = ACTIONS(7203),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7203),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7203),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7203),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7203),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7203),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7203),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7203),
    [anon_sym_BSLASHgls] = ACTIONS(7203),
    [anon_sym_BSLASHGls] = ACTIONS(7203),
    [anon_sym_BSLASHGLS] = ACTIONS(7203),
    [anon_sym_BSLASHglspl] = ACTIONS(7203),
    [anon_sym_BSLASHGlspl] = ACTIONS(7203),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7203),
    [anon_sym_BSLASHglslink] = ACTIONS(7203),
    [anon_sym_BSLASHglstext] = ACTIONS(7203),
    [anon_sym_BSLASHGlstext] = ACTIONS(7203),
    [anon_sym_BSLASHGLStext] = ACTIONS(7203),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7203),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7203),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7203),
    [anon_sym_BSLASHglsplural] = ACTIONS(7203),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7203),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7203),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7203),
    [anon_sym_BSLASHglsname] = ACTIONS(7203),
    [anon_sym_BSLASHGlsname] = ACTIONS(7203),
    [anon_sym_BSLASHGLSname] = ACTIONS(7203),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7203),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7203),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7203),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7203),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7203),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7203),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7203),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7203),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7203),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7203),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7203),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7203),
    [anon_sym_BSLASHacrshort] = ACTIONS(7203),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7203),
    [anon_sym_BSLASHACRshort] = ACTIONS(7203),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHacrlong] = ACTIONS(7203),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7203),
    [anon_sym_BSLASHACRlong] = ACTIONS(7203),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7203),
    [anon_sym_BSLASHacrfull] = ACTIONS(7203),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7203),
    [anon_sym_BSLASHACRfull] = ACTIONS(7203),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHacs] = ACTIONS(7203),
    [anon_sym_BSLASHAcs] = ACTIONS(7203),
    [anon_sym_BSLASHacsp] = ACTIONS(7203),
    [anon_sym_BSLASHAcsp] = ACTIONS(7203),
    [anon_sym_BSLASHacl] = ACTIONS(7203),
    [anon_sym_BSLASHAcl] = ACTIONS(7203),
    [anon_sym_BSLASHaclp] = ACTIONS(7203),
    [anon_sym_BSLASHAclp] = ACTIONS(7203),
    [anon_sym_BSLASHacf] = ACTIONS(7203),
    [anon_sym_BSLASHAcf] = ACTIONS(7203),
    [anon_sym_BSLASHacfp] = ACTIONS(7203),
    [anon_sym_BSLASHAcfp] = ACTIONS(7203),
    [anon_sym_BSLASHac] = ACTIONS(7203),
    [anon_sym_BSLASHAc] = ACTIONS(7203),
    [anon_sym_BSLASHacp] = ACTIONS(7203),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7203),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7203),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7203),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7203),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7203),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7205),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7203),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7203),
    [anon_sym_BSLASHcolor] = ACTIONS(7203),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7203),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7203),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7203),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7203),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7203),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7203),
    [anon_sym_BSLASHurl] = ACTIONS(7203),
    [anon_sym_BSLASHhref] = ACTIONS(7203),
  },
  [2252] = {
    [sym_command_name] = ACTIONS(7207),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7207),
    [anon_sym_RBRACK] = ACTIONS(7209),
    [anon_sym_COMMA] = ACTIONS(7209),
    [anon_sym_EQ] = ACTIONS(7209),
    [anon_sym_RBRACE] = ACTIONS(7209),
    [sym_word] = ACTIONS(7207),
    [sym_placeholder] = ACTIONS(7209),
    [sym_delimiter] = ACTIONS(7209),
    [anon_sym_PLUS] = ACTIONS(7209),
    [anon_sym_DASH] = ACTIONS(7209),
    [anon_sym_STAR] = ACTIONS(7209),
    [anon_sym_SLASH] = ACTIONS(7209),
    [anon_sym_LT] = ACTIONS(7207),
    [anon_sym_GT] = ACTIONS(7207),
    [anon_sym_BANG] = ACTIONS(7207),
    [anon_sym_PIPE] = ACTIONS(7207),
    [anon_sym_COLON] = ACTIONS(7207),
    [anon_sym_SQUOTE] = ACTIONS(7207),
    [anon_sym__] = ACTIONS(7209),
    [anon_sym_CARET] = ACTIONS(7209),
    [anon_sym_BSLASHtitle] = ACTIONS(7207),
    [anon_sym_BSLASHauthor] = ACTIONS(7207),
    [anon_sym_BSLASHusepackage] = ACTIONS(7207),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7207),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7207),
    [anon_sym_BSLASHinclude] = ACTIONS(7207),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7207),
    [anon_sym_BSLASHinput] = ACTIONS(7207),
    [anon_sym_BSLASHsubfile] = ACTIONS(7207),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7207),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7207),
    [anon_sym_BSLASHbibliography] = ACTIONS(7207),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7207),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7207),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7207),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7207),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7207),
    [anon_sym_BSLASHimport] = ACTIONS(7207),
    [anon_sym_BSLASHsubimport] = ACTIONS(7207),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7207),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7207),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7207),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7207),
    [anon_sym_BSLASHcaption] = ACTIONS(7207),
    [anon_sym_BSLASHcite] = ACTIONS(7207),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCite] = ACTIONS(7207),
    [anon_sym_BSLASHnocite] = ACTIONS(7207),
    [anon_sym_BSLASHcitet] = ACTIONS(7207),
    [anon_sym_BSLASHcitep] = ACTIONS(7207),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteA] = ACTIONS(7207),
    [anon_sym_BSLASHciteR] = ACTIONS(7207),
    [anon_sym_BSLASHciteS] = ACTIONS(7207),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7207),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7207),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7207),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7207),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteyear] = ACTIONS(7207),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcitedate] = ACTIONS(7207),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHciteurl] = ACTIONS(7207),
    [anon_sym_BSLASHfullcite] = ACTIONS(7207),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7207),
    [anon_sym_BSLASHcitealt] = ACTIONS(7207),
    [anon_sym_BSLASHcitealp] = ACTIONS(7207),
    [anon_sym_BSLASHcitetext] = ACTIONS(7207),
    [anon_sym_BSLASHparencite] = ACTIONS(7207),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHParencite] = ACTIONS(7207),
    [anon_sym_BSLASHfootcite] = ACTIONS(7207),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7207),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7207),
    [anon_sym_BSLASHtextcite] = ACTIONS(7207),
    [anon_sym_BSLASHTextcite] = ACTIONS(7207),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7207),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7207),
    [anon_sym_BSLASHsupercite] = ACTIONS(7207),
    [anon_sym_BSLASHautocite] = ACTIONS(7207),
    [anon_sym_BSLASHAutocite] = ACTIONS(7207),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHVolcite] = ACTIONS(7207),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHavolcite] = ACTIONS(7207),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7207),
    [anon_sym_BSLASHnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHNotecite] = ACTIONS(7207),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7207),
    [anon_sym_BSLASHlabel] = ACTIONS(7207),
    [anon_sym_BSLASHref] = ACTIONS(7207),
    [anon_sym_BSLASHeqref] = ACTIONS(7207),
    [anon_sym_BSLASHvref] = ACTIONS(7207),
    [anon_sym_BSLASHVref] = ACTIONS(7207),
    [anon_sym_BSLASHautoref] = ACTIONS(7207),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHpageref] = ACTIONS(7207),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHautopageref] = ACTIONS(7207),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcref] = ACTIONS(7207),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCref] = ACTIONS(7207),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcpageref] = ACTIONS(7207),
    [anon_sym_BSLASHCpageref] = ACTIONS(7207),
    [anon_sym_BSLASHnamecref] = ACTIONS(7207),
    [anon_sym_BSLASHnameCref] = ACTIONS(7207),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7207),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7207),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7207),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7207),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7207),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7207),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7207),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7207),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7207),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7207),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7207),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7207),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7207),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7207),
    [anon_sym_BSLASHdef] = ACTIONS(7207),
    [anon_sym_BSLASHgdef] = ACTIONS(7207),
    [anon_sym_BSLASHedef] = ACTIONS(7207),
    [anon_sym_BSLASHxdef] = ACTIONS(7207),
    [anon_sym_BSLASHlet] = ACTIONS(7207),
    [anon_sym_BSLASHglet] = ACTIONS(7207),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7207),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7207),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7207),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7207),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7207),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7207),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7207),
    [anon_sym_BSLASHgls] = ACTIONS(7207),
    [anon_sym_BSLASHGls] = ACTIONS(7207),
    [anon_sym_BSLASHGLS] = ACTIONS(7207),
    [anon_sym_BSLASHglspl] = ACTIONS(7207),
    [anon_sym_BSLASHGlspl] = ACTIONS(7207),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7207),
    [anon_sym_BSLASHglslink] = ACTIONS(7207),
    [anon_sym_BSLASHglstext] = ACTIONS(7207),
    [anon_sym_BSLASHGlstext] = ACTIONS(7207),
    [anon_sym_BSLASHGLStext] = ACTIONS(7207),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7207),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7207),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7207),
    [anon_sym_BSLASHglsplural] = ACTIONS(7207),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7207),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7207),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7207),
    [anon_sym_BSLASHglsname] = ACTIONS(7207),
    [anon_sym_BSLASHGlsname] = ACTIONS(7207),
    [anon_sym_BSLASHGLSname] = ACTIONS(7207),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7207),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7207),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7207),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7207),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7207),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7207),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7207),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7207),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7207),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7207),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7207),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7207),
    [anon_sym_BSLASHacrshort] = ACTIONS(7207),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7207),
    [anon_sym_BSLASHACRshort] = ACTIONS(7207),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHacrlong] = ACTIONS(7207),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7207),
    [anon_sym_BSLASHACRlong] = ACTIONS(7207),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7207),
    [anon_sym_BSLASHacrfull] = ACTIONS(7207),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7207),
    [anon_sym_BSLASHACRfull] = ACTIONS(7207),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHacs] = ACTIONS(7207),
    [anon_sym_BSLASHAcs] = ACTIONS(7207),
    [anon_sym_BSLASHacsp] = ACTIONS(7207),
    [anon_sym_BSLASHAcsp] = ACTIONS(7207),
    [anon_sym_BSLASHacl] = ACTIONS(7207),
    [anon_sym_BSLASHAcl] = ACTIONS(7207),
    [anon_sym_BSLASHaclp] = ACTIONS(7207),
    [anon_sym_BSLASHAclp] = ACTIONS(7207),
    [anon_sym_BSLASHacf] = ACTIONS(7207),
    [anon_sym_BSLASHAcf] = ACTIONS(7207),
    [anon_sym_BSLASHacfp] = ACTIONS(7207),
    [anon_sym_BSLASHAcfp] = ACTIONS(7207),
    [anon_sym_BSLASHac] = ACTIONS(7207),
    [anon_sym_BSLASHAc] = ACTIONS(7207),
    [anon_sym_BSLASHacp] = ACTIONS(7207),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7207),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7207),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7207),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7207),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7207),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7209),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7207),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7207),
    [anon_sym_BSLASHcolor] = ACTIONS(7207),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7207),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7207),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7207),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7207),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7207),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7207),
    [anon_sym_BSLASHurl] = ACTIONS(7207),
    [anon_sym_BSLASHhref] = ACTIONS(7207),
  },
  [2253] = {
    [sym_command_name] = ACTIONS(7211),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7211),
    [anon_sym_RBRACK] = ACTIONS(7213),
    [anon_sym_COMMA] = ACTIONS(7213),
    [anon_sym_EQ] = ACTIONS(7213),
    [anon_sym_RBRACE] = ACTIONS(7213),
    [sym_word] = ACTIONS(7211),
    [sym_placeholder] = ACTIONS(7213),
    [sym_delimiter] = ACTIONS(7213),
    [anon_sym_PLUS] = ACTIONS(7213),
    [anon_sym_DASH] = ACTIONS(7213),
    [anon_sym_STAR] = ACTIONS(7213),
    [anon_sym_SLASH] = ACTIONS(7213),
    [anon_sym_LT] = ACTIONS(7211),
    [anon_sym_GT] = ACTIONS(7211),
    [anon_sym_BANG] = ACTIONS(7211),
    [anon_sym_PIPE] = ACTIONS(7211),
    [anon_sym_COLON] = ACTIONS(7211),
    [anon_sym_SQUOTE] = ACTIONS(7211),
    [anon_sym__] = ACTIONS(7213),
    [anon_sym_CARET] = ACTIONS(7213),
    [anon_sym_BSLASHtitle] = ACTIONS(7211),
    [anon_sym_BSLASHauthor] = ACTIONS(7211),
    [anon_sym_BSLASHusepackage] = ACTIONS(7211),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7211),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7211),
    [anon_sym_BSLASHinclude] = ACTIONS(7211),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7211),
    [anon_sym_BSLASHinput] = ACTIONS(7211),
    [anon_sym_BSLASHsubfile] = ACTIONS(7211),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7211),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7211),
    [anon_sym_BSLASHbibliography] = ACTIONS(7211),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7211),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7211),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7211),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7211),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7211),
    [anon_sym_BSLASHimport] = ACTIONS(7211),
    [anon_sym_BSLASHsubimport] = ACTIONS(7211),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7211),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7211),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7211),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7211),
    [anon_sym_BSLASHcaption] = ACTIONS(7211),
    [anon_sym_BSLASHcite] = ACTIONS(7211),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCite] = ACTIONS(7211),
    [anon_sym_BSLASHnocite] = ACTIONS(7211),
    [anon_sym_BSLASHcitet] = ACTIONS(7211),
    [anon_sym_BSLASHcitep] = ACTIONS(7211),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteA] = ACTIONS(7211),
    [anon_sym_BSLASHciteR] = ACTIONS(7211),
    [anon_sym_BSLASHciteS] = ACTIONS(7211),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7211),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7211),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7211),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7211),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteyear] = ACTIONS(7211),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcitedate] = ACTIONS(7211),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHciteurl] = ACTIONS(7211),
    [anon_sym_BSLASHfullcite] = ACTIONS(7211),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7211),
    [anon_sym_BSLASHcitealt] = ACTIONS(7211),
    [anon_sym_BSLASHcitealp] = ACTIONS(7211),
    [anon_sym_BSLASHcitetext] = ACTIONS(7211),
    [anon_sym_BSLASHparencite] = ACTIONS(7211),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHParencite] = ACTIONS(7211),
    [anon_sym_BSLASHfootcite] = ACTIONS(7211),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7211),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7211),
    [anon_sym_BSLASHtextcite] = ACTIONS(7211),
    [anon_sym_BSLASHTextcite] = ACTIONS(7211),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7211),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7211),
    [anon_sym_BSLASHsupercite] = ACTIONS(7211),
    [anon_sym_BSLASHautocite] = ACTIONS(7211),
    [anon_sym_BSLASHAutocite] = ACTIONS(7211),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHVolcite] = ACTIONS(7211),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHavolcite] = ACTIONS(7211),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7211),
    [anon_sym_BSLASHnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHNotecite] = ACTIONS(7211),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7211),
    [anon_sym_BSLASHlabel] = ACTIONS(7211),
    [anon_sym_BSLASHref] = ACTIONS(7211),
    [anon_sym_BSLASHeqref] = ACTIONS(7211),
    [anon_sym_BSLASHvref] = ACTIONS(7211),
    [anon_sym_BSLASHVref] = ACTIONS(7211),
    [anon_sym_BSLASHautoref] = ACTIONS(7211),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHpageref] = ACTIONS(7211),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHautopageref] = ACTIONS(7211),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcref] = ACTIONS(7211),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCref] = ACTIONS(7211),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcpageref] = ACTIONS(7211),
    [anon_sym_BSLASHCpageref] = ACTIONS(7211),
    [anon_sym_BSLASHnamecref] = ACTIONS(7211),
    [anon_sym_BSLASHnameCref] = ACTIONS(7211),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7211),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7211),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7211),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7211),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7211),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7211),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7211),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7211),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7211),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7211),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7211),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7211),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7211),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7211),
    [anon_sym_BSLASHdef] = ACTIONS(7211),
    [anon_sym_BSLASHgdef] = ACTIONS(7211),
    [anon_sym_BSLASHedef] = ACTIONS(7211),
    [anon_sym_BSLASHxdef] = ACTIONS(7211),
    [anon_sym_BSLASHlet] = ACTIONS(7211),
    [anon_sym_BSLASHglet] = ACTIONS(7211),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7211),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7211),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7211),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7211),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7211),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7211),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7211),
    [anon_sym_BSLASHgls] = ACTIONS(7211),
    [anon_sym_BSLASHGls] = ACTIONS(7211),
    [anon_sym_BSLASHGLS] = ACTIONS(7211),
    [anon_sym_BSLASHglspl] = ACTIONS(7211),
    [anon_sym_BSLASHGlspl] = ACTIONS(7211),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7211),
    [anon_sym_BSLASHglslink] = ACTIONS(7211),
    [anon_sym_BSLASHglstext] = ACTIONS(7211),
    [anon_sym_BSLASHGlstext] = ACTIONS(7211),
    [anon_sym_BSLASHGLStext] = ACTIONS(7211),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7211),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7211),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7211),
    [anon_sym_BSLASHglsplural] = ACTIONS(7211),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7211),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7211),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7211),
    [anon_sym_BSLASHglsname] = ACTIONS(7211),
    [anon_sym_BSLASHGlsname] = ACTIONS(7211),
    [anon_sym_BSLASHGLSname] = ACTIONS(7211),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7211),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7211),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7211),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7211),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7211),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7211),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7211),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7211),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7211),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7211),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7211),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7211),
    [anon_sym_BSLASHacrshort] = ACTIONS(7211),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7211),
    [anon_sym_BSLASHACRshort] = ACTIONS(7211),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHacrlong] = ACTIONS(7211),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7211),
    [anon_sym_BSLASHACRlong] = ACTIONS(7211),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7211),
    [anon_sym_BSLASHacrfull] = ACTIONS(7211),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7211),
    [anon_sym_BSLASHACRfull] = ACTIONS(7211),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHacs] = ACTIONS(7211),
    [anon_sym_BSLASHAcs] = ACTIONS(7211),
    [anon_sym_BSLASHacsp] = ACTIONS(7211),
    [anon_sym_BSLASHAcsp] = ACTIONS(7211),
    [anon_sym_BSLASHacl] = ACTIONS(7211),
    [anon_sym_BSLASHAcl] = ACTIONS(7211),
    [anon_sym_BSLASHaclp] = ACTIONS(7211),
    [anon_sym_BSLASHAclp] = ACTIONS(7211),
    [anon_sym_BSLASHacf] = ACTIONS(7211),
    [anon_sym_BSLASHAcf] = ACTIONS(7211),
    [anon_sym_BSLASHacfp] = ACTIONS(7211),
    [anon_sym_BSLASHAcfp] = ACTIONS(7211),
    [anon_sym_BSLASHac] = ACTIONS(7211),
    [anon_sym_BSLASHAc] = ACTIONS(7211),
    [anon_sym_BSLASHacp] = ACTIONS(7211),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7211),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7211),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7211),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7211),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7211),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7213),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7211),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7211),
    [anon_sym_BSLASHcolor] = ACTIONS(7211),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7211),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7211),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7211),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7211),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7211),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7211),
    [anon_sym_BSLASHurl] = ACTIONS(7211),
    [anon_sym_BSLASHhref] = ACTIONS(7211),
  },
  [2254] = {
    [sym_command_name] = ACTIONS(7215),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7215),
    [anon_sym_RBRACK] = ACTIONS(7217),
    [anon_sym_COMMA] = ACTIONS(7217),
    [anon_sym_EQ] = ACTIONS(7217),
    [anon_sym_RBRACE] = ACTIONS(7217),
    [sym_word] = ACTIONS(7215),
    [sym_placeholder] = ACTIONS(7217),
    [sym_delimiter] = ACTIONS(7217),
    [anon_sym_PLUS] = ACTIONS(7217),
    [anon_sym_DASH] = ACTIONS(7217),
    [anon_sym_STAR] = ACTIONS(7217),
    [anon_sym_SLASH] = ACTIONS(7217),
    [anon_sym_LT] = ACTIONS(7215),
    [anon_sym_GT] = ACTIONS(7215),
    [anon_sym_BANG] = ACTIONS(7215),
    [anon_sym_PIPE] = ACTIONS(7215),
    [anon_sym_COLON] = ACTIONS(7215),
    [anon_sym_SQUOTE] = ACTIONS(7215),
    [anon_sym__] = ACTIONS(7217),
    [anon_sym_CARET] = ACTIONS(7217),
    [anon_sym_BSLASHtitle] = ACTIONS(7215),
    [anon_sym_BSLASHauthor] = ACTIONS(7215),
    [anon_sym_BSLASHusepackage] = ACTIONS(7215),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7215),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7215),
    [anon_sym_BSLASHinclude] = ACTIONS(7215),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7215),
    [anon_sym_BSLASHinput] = ACTIONS(7215),
    [anon_sym_BSLASHsubfile] = ACTIONS(7215),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7215),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7215),
    [anon_sym_BSLASHbibliography] = ACTIONS(7215),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7215),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7215),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7215),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7215),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7215),
    [anon_sym_BSLASHimport] = ACTIONS(7215),
    [anon_sym_BSLASHsubimport] = ACTIONS(7215),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7215),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7215),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7215),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7215),
    [anon_sym_BSLASHcaption] = ACTIONS(7215),
    [anon_sym_BSLASHcite] = ACTIONS(7215),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCite] = ACTIONS(7215),
    [anon_sym_BSLASHnocite] = ACTIONS(7215),
    [anon_sym_BSLASHcitet] = ACTIONS(7215),
    [anon_sym_BSLASHcitep] = ACTIONS(7215),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteA] = ACTIONS(7215),
    [anon_sym_BSLASHciteR] = ACTIONS(7215),
    [anon_sym_BSLASHciteS] = ACTIONS(7215),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7215),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7215),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7215),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7215),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteyear] = ACTIONS(7215),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcitedate] = ACTIONS(7215),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHciteurl] = ACTIONS(7215),
    [anon_sym_BSLASHfullcite] = ACTIONS(7215),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7215),
    [anon_sym_BSLASHcitealt] = ACTIONS(7215),
    [anon_sym_BSLASHcitealp] = ACTIONS(7215),
    [anon_sym_BSLASHcitetext] = ACTIONS(7215),
    [anon_sym_BSLASHparencite] = ACTIONS(7215),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHParencite] = ACTIONS(7215),
    [anon_sym_BSLASHfootcite] = ACTIONS(7215),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7215),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7215),
    [anon_sym_BSLASHtextcite] = ACTIONS(7215),
    [anon_sym_BSLASHTextcite] = ACTIONS(7215),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7215),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7215),
    [anon_sym_BSLASHsupercite] = ACTIONS(7215),
    [anon_sym_BSLASHautocite] = ACTIONS(7215),
    [anon_sym_BSLASHAutocite] = ACTIONS(7215),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHVolcite] = ACTIONS(7215),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHavolcite] = ACTIONS(7215),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7215),
    [anon_sym_BSLASHnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHNotecite] = ACTIONS(7215),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7215),
    [anon_sym_BSLASHlabel] = ACTIONS(7215),
    [anon_sym_BSLASHref] = ACTIONS(7215),
    [anon_sym_BSLASHeqref] = ACTIONS(7215),
    [anon_sym_BSLASHvref] = ACTIONS(7215),
    [anon_sym_BSLASHVref] = ACTIONS(7215),
    [anon_sym_BSLASHautoref] = ACTIONS(7215),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHpageref] = ACTIONS(7215),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHautopageref] = ACTIONS(7215),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcref] = ACTIONS(7215),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCref] = ACTIONS(7215),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcpageref] = ACTIONS(7215),
    [anon_sym_BSLASHCpageref] = ACTIONS(7215),
    [anon_sym_BSLASHnamecref] = ACTIONS(7215),
    [anon_sym_BSLASHnameCref] = ACTIONS(7215),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7215),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7215),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7215),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7215),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7215),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7215),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7215),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7215),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7215),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7215),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7215),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7215),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7215),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7215),
    [anon_sym_BSLASHdef] = ACTIONS(7215),
    [anon_sym_BSLASHgdef] = ACTIONS(7215),
    [anon_sym_BSLASHedef] = ACTIONS(7215),
    [anon_sym_BSLASHxdef] = ACTIONS(7215),
    [anon_sym_BSLASHlet] = ACTIONS(7215),
    [anon_sym_BSLASHglet] = ACTIONS(7215),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7215),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7215),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7215),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7215),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7215),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7215),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7215),
    [anon_sym_BSLASHgls] = ACTIONS(7215),
    [anon_sym_BSLASHGls] = ACTIONS(7215),
    [anon_sym_BSLASHGLS] = ACTIONS(7215),
    [anon_sym_BSLASHglspl] = ACTIONS(7215),
    [anon_sym_BSLASHGlspl] = ACTIONS(7215),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7215),
    [anon_sym_BSLASHglslink] = ACTIONS(7215),
    [anon_sym_BSLASHglstext] = ACTIONS(7215),
    [anon_sym_BSLASHGlstext] = ACTIONS(7215),
    [anon_sym_BSLASHGLStext] = ACTIONS(7215),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7215),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7215),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7215),
    [anon_sym_BSLASHglsplural] = ACTIONS(7215),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7215),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7215),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7215),
    [anon_sym_BSLASHglsname] = ACTIONS(7215),
    [anon_sym_BSLASHGlsname] = ACTIONS(7215),
    [anon_sym_BSLASHGLSname] = ACTIONS(7215),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7215),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7215),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7215),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7215),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7215),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7215),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7215),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7215),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7215),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7215),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7215),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7215),
    [anon_sym_BSLASHacrshort] = ACTIONS(7215),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7215),
    [anon_sym_BSLASHACRshort] = ACTIONS(7215),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHacrlong] = ACTIONS(7215),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7215),
    [anon_sym_BSLASHACRlong] = ACTIONS(7215),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7215),
    [anon_sym_BSLASHacrfull] = ACTIONS(7215),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7215),
    [anon_sym_BSLASHACRfull] = ACTIONS(7215),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHacs] = ACTIONS(7215),
    [anon_sym_BSLASHAcs] = ACTIONS(7215),
    [anon_sym_BSLASHacsp] = ACTIONS(7215),
    [anon_sym_BSLASHAcsp] = ACTIONS(7215),
    [anon_sym_BSLASHacl] = ACTIONS(7215),
    [anon_sym_BSLASHAcl] = ACTIONS(7215),
    [anon_sym_BSLASHaclp] = ACTIONS(7215),
    [anon_sym_BSLASHAclp] = ACTIONS(7215),
    [anon_sym_BSLASHacf] = ACTIONS(7215),
    [anon_sym_BSLASHAcf] = ACTIONS(7215),
    [anon_sym_BSLASHacfp] = ACTIONS(7215),
    [anon_sym_BSLASHAcfp] = ACTIONS(7215),
    [anon_sym_BSLASHac] = ACTIONS(7215),
    [anon_sym_BSLASHAc] = ACTIONS(7215),
    [anon_sym_BSLASHacp] = ACTIONS(7215),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7215),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7215),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7215),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7215),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7215),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7217),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7215),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7215),
    [anon_sym_BSLASHcolor] = ACTIONS(7215),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7215),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7215),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7215),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7215),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7215),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7215),
    [anon_sym_BSLASHurl] = ACTIONS(7215),
    [anon_sym_BSLASHhref] = ACTIONS(7215),
  },
  [2255] = {
    [sym_command_name] = ACTIONS(7219),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7219),
    [anon_sym_RBRACK] = ACTIONS(7221),
    [anon_sym_COMMA] = ACTIONS(7221),
    [anon_sym_EQ] = ACTIONS(7221),
    [anon_sym_RBRACE] = ACTIONS(7221),
    [sym_word] = ACTIONS(7219),
    [sym_placeholder] = ACTIONS(7221),
    [sym_delimiter] = ACTIONS(7221),
    [anon_sym_PLUS] = ACTIONS(7221),
    [anon_sym_DASH] = ACTIONS(7221),
    [anon_sym_STAR] = ACTIONS(7221),
    [anon_sym_SLASH] = ACTIONS(7221),
    [anon_sym_LT] = ACTIONS(7219),
    [anon_sym_GT] = ACTIONS(7219),
    [anon_sym_BANG] = ACTIONS(7219),
    [anon_sym_PIPE] = ACTIONS(7219),
    [anon_sym_COLON] = ACTIONS(7219),
    [anon_sym_SQUOTE] = ACTIONS(7219),
    [anon_sym__] = ACTIONS(7221),
    [anon_sym_CARET] = ACTIONS(7221),
    [anon_sym_BSLASHtitle] = ACTIONS(7219),
    [anon_sym_BSLASHauthor] = ACTIONS(7219),
    [anon_sym_BSLASHusepackage] = ACTIONS(7219),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7219),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7219),
    [anon_sym_BSLASHinclude] = ACTIONS(7219),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7219),
    [anon_sym_BSLASHinput] = ACTIONS(7219),
    [anon_sym_BSLASHsubfile] = ACTIONS(7219),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7219),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7219),
    [anon_sym_BSLASHbibliography] = ACTIONS(7219),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7219),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7219),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7219),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7219),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7219),
    [anon_sym_BSLASHimport] = ACTIONS(7219),
    [anon_sym_BSLASHsubimport] = ACTIONS(7219),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7219),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7219),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7219),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7219),
    [anon_sym_BSLASHcaption] = ACTIONS(7219),
    [anon_sym_BSLASHcite] = ACTIONS(7219),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCite] = ACTIONS(7219),
    [anon_sym_BSLASHnocite] = ACTIONS(7219),
    [anon_sym_BSLASHcitet] = ACTIONS(7219),
    [anon_sym_BSLASHcitep] = ACTIONS(7219),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteA] = ACTIONS(7219),
    [anon_sym_BSLASHciteR] = ACTIONS(7219),
    [anon_sym_BSLASHciteS] = ACTIONS(7219),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7219),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7219),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7219),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7219),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteyear] = ACTIONS(7219),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcitedate] = ACTIONS(7219),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHciteurl] = ACTIONS(7219),
    [anon_sym_BSLASHfullcite] = ACTIONS(7219),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7219),
    [anon_sym_BSLASHcitealt] = ACTIONS(7219),
    [anon_sym_BSLASHcitealp] = ACTIONS(7219),
    [anon_sym_BSLASHcitetext] = ACTIONS(7219),
    [anon_sym_BSLASHparencite] = ACTIONS(7219),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHParencite] = ACTIONS(7219),
    [anon_sym_BSLASHfootcite] = ACTIONS(7219),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7219),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7219),
    [anon_sym_BSLASHtextcite] = ACTIONS(7219),
    [anon_sym_BSLASHTextcite] = ACTIONS(7219),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7219),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7219),
    [anon_sym_BSLASHsupercite] = ACTIONS(7219),
    [anon_sym_BSLASHautocite] = ACTIONS(7219),
    [anon_sym_BSLASHAutocite] = ACTIONS(7219),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHVolcite] = ACTIONS(7219),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHavolcite] = ACTIONS(7219),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7219),
    [anon_sym_BSLASHnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHNotecite] = ACTIONS(7219),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7219),
    [anon_sym_BSLASHlabel] = ACTIONS(7219),
    [anon_sym_BSLASHref] = ACTIONS(7219),
    [anon_sym_BSLASHeqref] = ACTIONS(7219),
    [anon_sym_BSLASHvref] = ACTIONS(7219),
    [anon_sym_BSLASHVref] = ACTIONS(7219),
    [anon_sym_BSLASHautoref] = ACTIONS(7219),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHpageref] = ACTIONS(7219),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHautopageref] = ACTIONS(7219),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcref] = ACTIONS(7219),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCref] = ACTIONS(7219),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcpageref] = ACTIONS(7219),
    [anon_sym_BSLASHCpageref] = ACTIONS(7219),
    [anon_sym_BSLASHnamecref] = ACTIONS(7219),
    [anon_sym_BSLASHnameCref] = ACTIONS(7219),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7219),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7219),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7219),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7219),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7219),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7219),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7219),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7219),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7219),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7219),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7219),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7219),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7219),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7219),
    [anon_sym_BSLASHdef] = ACTIONS(7219),
    [anon_sym_BSLASHgdef] = ACTIONS(7219),
    [anon_sym_BSLASHedef] = ACTIONS(7219),
    [anon_sym_BSLASHxdef] = ACTIONS(7219),
    [anon_sym_BSLASHlet] = ACTIONS(7219),
    [anon_sym_BSLASHglet] = ACTIONS(7219),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7219),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7219),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7219),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7219),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7219),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7219),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7219),
    [anon_sym_BSLASHgls] = ACTIONS(7219),
    [anon_sym_BSLASHGls] = ACTIONS(7219),
    [anon_sym_BSLASHGLS] = ACTIONS(7219),
    [anon_sym_BSLASHglspl] = ACTIONS(7219),
    [anon_sym_BSLASHGlspl] = ACTIONS(7219),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7219),
    [anon_sym_BSLASHglslink] = ACTIONS(7219),
    [anon_sym_BSLASHglstext] = ACTIONS(7219),
    [anon_sym_BSLASHGlstext] = ACTIONS(7219),
    [anon_sym_BSLASHGLStext] = ACTIONS(7219),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7219),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7219),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7219),
    [anon_sym_BSLASHglsplural] = ACTIONS(7219),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7219),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7219),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7219),
    [anon_sym_BSLASHglsname] = ACTIONS(7219),
    [anon_sym_BSLASHGlsname] = ACTIONS(7219),
    [anon_sym_BSLASHGLSname] = ACTIONS(7219),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7219),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7219),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7219),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7219),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7219),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7219),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7219),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7219),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7219),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7219),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7219),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7219),
    [anon_sym_BSLASHacrshort] = ACTIONS(7219),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7219),
    [anon_sym_BSLASHACRshort] = ACTIONS(7219),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHacrlong] = ACTIONS(7219),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7219),
    [anon_sym_BSLASHACRlong] = ACTIONS(7219),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7219),
    [anon_sym_BSLASHacrfull] = ACTIONS(7219),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7219),
    [anon_sym_BSLASHACRfull] = ACTIONS(7219),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHacs] = ACTIONS(7219),
    [anon_sym_BSLASHAcs] = ACTIONS(7219),
    [anon_sym_BSLASHacsp] = ACTIONS(7219),
    [anon_sym_BSLASHAcsp] = ACTIONS(7219),
    [anon_sym_BSLASHacl] = ACTIONS(7219),
    [anon_sym_BSLASHAcl] = ACTIONS(7219),
    [anon_sym_BSLASHaclp] = ACTIONS(7219),
    [anon_sym_BSLASHAclp] = ACTIONS(7219),
    [anon_sym_BSLASHacf] = ACTIONS(7219),
    [anon_sym_BSLASHAcf] = ACTIONS(7219),
    [anon_sym_BSLASHacfp] = ACTIONS(7219),
    [anon_sym_BSLASHAcfp] = ACTIONS(7219),
    [anon_sym_BSLASHac] = ACTIONS(7219),
    [anon_sym_BSLASHAc] = ACTIONS(7219),
    [anon_sym_BSLASHacp] = ACTIONS(7219),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7219),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7219),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7219),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7219),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7219),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7221),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7219),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7219),
    [anon_sym_BSLASHcolor] = ACTIONS(7219),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7219),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7219),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7219),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7219),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7219),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7219),
    [anon_sym_BSLASHurl] = ACTIONS(7219),
    [anon_sym_BSLASHhref] = ACTIONS(7219),
  },
  [2256] = {
    [sym_command_name] = ACTIONS(7463),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7463),
    [anon_sym_RBRACK] = ACTIONS(7465),
    [anon_sym_COMMA] = ACTIONS(7465),
    [anon_sym_EQ] = ACTIONS(7465),
    [anon_sym_RBRACE] = ACTIONS(7465),
    [sym_word] = ACTIONS(7463),
    [sym_placeholder] = ACTIONS(7465),
    [sym_delimiter] = ACTIONS(7465),
    [anon_sym_PLUS] = ACTIONS(7465),
    [anon_sym_DASH] = ACTIONS(7465),
    [anon_sym_STAR] = ACTIONS(7465),
    [anon_sym_SLASH] = ACTIONS(7465),
    [anon_sym_LT] = ACTIONS(7463),
    [anon_sym_GT] = ACTIONS(7463),
    [anon_sym_BANG] = ACTIONS(7463),
    [anon_sym_PIPE] = ACTIONS(7463),
    [anon_sym_COLON] = ACTIONS(7463),
    [anon_sym_SQUOTE] = ACTIONS(7463),
    [anon_sym__] = ACTIONS(7465),
    [anon_sym_CARET] = ACTIONS(7465),
    [anon_sym_BSLASHtitle] = ACTIONS(7463),
    [anon_sym_BSLASHauthor] = ACTIONS(7463),
    [anon_sym_BSLASHusepackage] = ACTIONS(7463),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7463),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7463),
    [anon_sym_BSLASHinclude] = ACTIONS(7463),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7463),
    [anon_sym_BSLASHinput] = ACTIONS(7463),
    [anon_sym_BSLASHsubfile] = ACTIONS(7463),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7463),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7463),
    [anon_sym_BSLASHbibliography] = ACTIONS(7463),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7463),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7463),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7463),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7463),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7463),
    [anon_sym_BSLASHimport] = ACTIONS(7463),
    [anon_sym_BSLASHsubimport] = ACTIONS(7463),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7463),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7463),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7463),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7463),
    [anon_sym_BSLASHcaption] = ACTIONS(7463),
    [anon_sym_BSLASHcite] = ACTIONS(7463),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCite] = ACTIONS(7463),
    [anon_sym_BSLASHnocite] = ACTIONS(7463),
    [anon_sym_BSLASHcitet] = ACTIONS(7463),
    [anon_sym_BSLASHcitep] = ACTIONS(7463),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteA] = ACTIONS(7463),
    [anon_sym_BSLASHciteR] = ACTIONS(7463),
    [anon_sym_BSLASHciteS] = ACTIONS(7463),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7463),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7463),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7463),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7463),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteyear] = ACTIONS(7463),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcitedate] = ACTIONS(7463),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHciteurl] = ACTIONS(7463),
    [anon_sym_BSLASHfullcite] = ACTIONS(7463),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7463),
    [anon_sym_BSLASHcitealt] = ACTIONS(7463),
    [anon_sym_BSLASHcitealp] = ACTIONS(7463),
    [anon_sym_BSLASHcitetext] = ACTIONS(7463),
    [anon_sym_BSLASHparencite] = ACTIONS(7463),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHParencite] = ACTIONS(7463),
    [anon_sym_BSLASHfootcite] = ACTIONS(7463),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7463),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7463),
    [anon_sym_BSLASHtextcite] = ACTIONS(7463),
    [anon_sym_BSLASHTextcite] = ACTIONS(7463),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7463),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7463),
    [anon_sym_BSLASHsupercite] = ACTIONS(7463),
    [anon_sym_BSLASHautocite] = ACTIONS(7463),
    [anon_sym_BSLASHAutocite] = ACTIONS(7463),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHVolcite] = ACTIONS(7463),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHavolcite] = ACTIONS(7463),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7463),
    [anon_sym_BSLASHnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHNotecite] = ACTIONS(7463),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7463),
    [anon_sym_BSLASHlabel] = ACTIONS(7463),
    [anon_sym_BSLASHref] = ACTIONS(7463),
    [anon_sym_BSLASHeqref] = ACTIONS(7463),
    [anon_sym_BSLASHvref] = ACTIONS(7463),
    [anon_sym_BSLASHVref] = ACTIONS(7463),
    [anon_sym_BSLASHautoref] = ACTIONS(7463),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHpageref] = ACTIONS(7463),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHautopageref] = ACTIONS(7463),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcref] = ACTIONS(7463),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCref] = ACTIONS(7463),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcpageref] = ACTIONS(7463),
    [anon_sym_BSLASHCpageref] = ACTIONS(7463),
    [anon_sym_BSLASHnamecref] = ACTIONS(7463),
    [anon_sym_BSLASHnameCref] = ACTIONS(7463),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7463),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7463),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7463),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7463),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7463),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7463),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7463),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7463),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7463),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7463),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7463),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7463),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7463),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7463),
    [anon_sym_BSLASHdef] = ACTIONS(7463),
    [anon_sym_BSLASHgdef] = ACTIONS(7463),
    [anon_sym_BSLASHedef] = ACTIONS(7463),
    [anon_sym_BSLASHxdef] = ACTIONS(7463),
    [anon_sym_BSLASHlet] = ACTIONS(7463),
    [anon_sym_BSLASHglet] = ACTIONS(7463),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7463),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7463),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7463),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7463),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7463),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7463),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7463),
    [anon_sym_BSLASHgls] = ACTIONS(7463),
    [anon_sym_BSLASHGls] = ACTIONS(7463),
    [anon_sym_BSLASHGLS] = ACTIONS(7463),
    [anon_sym_BSLASHglspl] = ACTIONS(7463),
    [anon_sym_BSLASHGlspl] = ACTIONS(7463),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7463),
    [anon_sym_BSLASHglslink] = ACTIONS(7463),
    [anon_sym_BSLASHglstext] = ACTIONS(7463),
    [anon_sym_BSLASHGlstext] = ACTIONS(7463),
    [anon_sym_BSLASHGLStext] = ACTIONS(7463),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7463),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7463),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7463),
    [anon_sym_BSLASHglsplural] = ACTIONS(7463),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7463),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7463),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7463),
    [anon_sym_BSLASHglsname] = ACTIONS(7463),
    [anon_sym_BSLASHGlsname] = ACTIONS(7463),
    [anon_sym_BSLASHGLSname] = ACTIONS(7463),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7463),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7463),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7463),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7463),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7463),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7463),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7463),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7463),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7463),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7463),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7463),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7463),
    [anon_sym_BSLASHacrshort] = ACTIONS(7463),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7463),
    [anon_sym_BSLASHACRshort] = ACTIONS(7463),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHacrlong] = ACTIONS(7463),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7463),
    [anon_sym_BSLASHACRlong] = ACTIONS(7463),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7463),
    [anon_sym_BSLASHacrfull] = ACTIONS(7463),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7463),
    [anon_sym_BSLASHACRfull] = ACTIONS(7463),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHacs] = ACTIONS(7463),
    [anon_sym_BSLASHAcs] = ACTIONS(7463),
    [anon_sym_BSLASHacsp] = ACTIONS(7463),
    [anon_sym_BSLASHAcsp] = ACTIONS(7463),
    [anon_sym_BSLASHacl] = ACTIONS(7463),
    [anon_sym_BSLASHAcl] = ACTIONS(7463),
    [anon_sym_BSLASHaclp] = ACTIONS(7463),
    [anon_sym_BSLASHAclp] = ACTIONS(7463),
    [anon_sym_BSLASHacf] = ACTIONS(7463),
    [anon_sym_BSLASHAcf] = ACTIONS(7463),
    [anon_sym_BSLASHacfp] = ACTIONS(7463),
    [anon_sym_BSLASHAcfp] = ACTIONS(7463),
    [anon_sym_BSLASHac] = ACTIONS(7463),
    [anon_sym_BSLASHAc] = ACTIONS(7463),
    [anon_sym_BSLASHacp] = ACTIONS(7463),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7463),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7463),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7463),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7463),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7463),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7465),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7463),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7463),
    [anon_sym_BSLASHcolor] = ACTIONS(7463),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7463),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7463),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7463),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7463),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7463),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7463),
    [anon_sym_BSLASHurl] = ACTIONS(7463),
    [anon_sym_BSLASHhref] = ACTIONS(7463),
  },
  [2257] = {
    [sym_command_name] = ACTIONS(7467),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7467),
    [anon_sym_RBRACK] = ACTIONS(7469),
    [anon_sym_COMMA] = ACTIONS(7469),
    [anon_sym_EQ] = ACTIONS(7469),
    [anon_sym_RBRACE] = ACTIONS(7469),
    [sym_word] = ACTIONS(7467),
    [sym_placeholder] = ACTIONS(7469),
    [sym_delimiter] = ACTIONS(7469),
    [anon_sym_PLUS] = ACTIONS(7469),
    [anon_sym_DASH] = ACTIONS(7469),
    [anon_sym_STAR] = ACTIONS(7469),
    [anon_sym_SLASH] = ACTIONS(7469),
    [anon_sym_LT] = ACTIONS(7467),
    [anon_sym_GT] = ACTIONS(7467),
    [anon_sym_BANG] = ACTIONS(7467),
    [anon_sym_PIPE] = ACTIONS(7467),
    [anon_sym_COLON] = ACTIONS(7467),
    [anon_sym_SQUOTE] = ACTIONS(7467),
    [anon_sym__] = ACTIONS(7469),
    [anon_sym_CARET] = ACTIONS(7469),
    [anon_sym_BSLASHtitle] = ACTIONS(7467),
    [anon_sym_BSLASHauthor] = ACTIONS(7467),
    [anon_sym_BSLASHusepackage] = ACTIONS(7467),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7467),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7467),
    [anon_sym_BSLASHinclude] = ACTIONS(7467),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7467),
    [anon_sym_BSLASHinput] = ACTIONS(7467),
    [anon_sym_BSLASHsubfile] = ACTIONS(7467),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7467),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7467),
    [anon_sym_BSLASHbibliography] = ACTIONS(7467),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7467),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7467),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7467),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7467),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7467),
    [anon_sym_BSLASHimport] = ACTIONS(7467),
    [anon_sym_BSLASHsubimport] = ACTIONS(7467),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7467),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7467),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7467),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7467),
    [anon_sym_BSLASHcaption] = ACTIONS(7467),
    [anon_sym_BSLASHcite] = ACTIONS(7467),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCite] = ACTIONS(7467),
    [anon_sym_BSLASHnocite] = ACTIONS(7467),
    [anon_sym_BSLASHcitet] = ACTIONS(7467),
    [anon_sym_BSLASHcitep] = ACTIONS(7467),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteA] = ACTIONS(7467),
    [anon_sym_BSLASHciteR] = ACTIONS(7467),
    [anon_sym_BSLASHciteS] = ACTIONS(7467),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7467),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7467),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7467),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7467),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteyear] = ACTIONS(7467),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcitedate] = ACTIONS(7467),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHciteurl] = ACTIONS(7467),
    [anon_sym_BSLASHfullcite] = ACTIONS(7467),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7467),
    [anon_sym_BSLASHcitealt] = ACTIONS(7467),
    [anon_sym_BSLASHcitealp] = ACTIONS(7467),
    [anon_sym_BSLASHcitetext] = ACTIONS(7467),
    [anon_sym_BSLASHparencite] = ACTIONS(7467),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHParencite] = ACTIONS(7467),
    [anon_sym_BSLASHfootcite] = ACTIONS(7467),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7467),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7467),
    [anon_sym_BSLASHtextcite] = ACTIONS(7467),
    [anon_sym_BSLASHTextcite] = ACTIONS(7467),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7467),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7467),
    [anon_sym_BSLASHsupercite] = ACTIONS(7467),
    [anon_sym_BSLASHautocite] = ACTIONS(7467),
    [anon_sym_BSLASHAutocite] = ACTIONS(7467),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHVolcite] = ACTIONS(7467),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHavolcite] = ACTIONS(7467),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7467),
    [anon_sym_BSLASHnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHNotecite] = ACTIONS(7467),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7467),
    [anon_sym_BSLASHlabel] = ACTIONS(7467),
    [anon_sym_BSLASHref] = ACTIONS(7467),
    [anon_sym_BSLASHeqref] = ACTIONS(7467),
    [anon_sym_BSLASHvref] = ACTIONS(7467),
    [anon_sym_BSLASHVref] = ACTIONS(7467),
    [anon_sym_BSLASHautoref] = ACTIONS(7467),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHpageref] = ACTIONS(7467),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHautopageref] = ACTIONS(7467),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcref] = ACTIONS(7467),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCref] = ACTIONS(7467),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcpageref] = ACTIONS(7467),
    [anon_sym_BSLASHCpageref] = ACTIONS(7467),
    [anon_sym_BSLASHnamecref] = ACTIONS(7467),
    [anon_sym_BSLASHnameCref] = ACTIONS(7467),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7467),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7467),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7467),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7467),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7467),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7467),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7467),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7467),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7467),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7467),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7467),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7467),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7467),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7467),
    [anon_sym_BSLASHdef] = ACTIONS(7467),
    [anon_sym_BSLASHgdef] = ACTIONS(7467),
    [anon_sym_BSLASHedef] = ACTIONS(7467),
    [anon_sym_BSLASHxdef] = ACTIONS(7467),
    [anon_sym_BSLASHlet] = ACTIONS(7467),
    [anon_sym_BSLASHglet] = ACTIONS(7467),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7467),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7467),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7467),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7467),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7467),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7467),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7467),
    [anon_sym_BSLASHgls] = ACTIONS(7467),
    [anon_sym_BSLASHGls] = ACTIONS(7467),
    [anon_sym_BSLASHGLS] = ACTIONS(7467),
    [anon_sym_BSLASHglspl] = ACTIONS(7467),
    [anon_sym_BSLASHGlspl] = ACTIONS(7467),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7467),
    [anon_sym_BSLASHglslink] = ACTIONS(7467),
    [anon_sym_BSLASHglstext] = ACTIONS(7467),
    [anon_sym_BSLASHGlstext] = ACTIONS(7467),
    [anon_sym_BSLASHGLStext] = ACTIONS(7467),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7467),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7467),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7467),
    [anon_sym_BSLASHglsplural] = ACTIONS(7467),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7467),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7467),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7467),
    [anon_sym_BSLASHglsname] = ACTIONS(7467),
    [anon_sym_BSLASHGlsname] = ACTIONS(7467),
    [anon_sym_BSLASHGLSname] = ACTIONS(7467),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7467),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7467),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7467),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7467),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7467),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7467),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7467),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7467),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7467),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7467),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7467),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7467),
    [anon_sym_BSLASHacrshort] = ACTIONS(7467),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7467),
    [anon_sym_BSLASHACRshort] = ACTIONS(7467),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHacrlong] = ACTIONS(7467),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7467),
    [anon_sym_BSLASHACRlong] = ACTIONS(7467),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7467),
    [anon_sym_BSLASHacrfull] = ACTIONS(7467),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7467),
    [anon_sym_BSLASHACRfull] = ACTIONS(7467),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHacs] = ACTIONS(7467),
    [anon_sym_BSLASHAcs] = ACTIONS(7467),
    [anon_sym_BSLASHacsp] = ACTIONS(7467),
    [anon_sym_BSLASHAcsp] = ACTIONS(7467),
    [anon_sym_BSLASHacl] = ACTIONS(7467),
    [anon_sym_BSLASHAcl] = ACTIONS(7467),
    [anon_sym_BSLASHaclp] = ACTIONS(7467),
    [anon_sym_BSLASHAclp] = ACTIONS(7467),
    [anon_sym_BSLASHacf] = ACTIONS(7467),
    [anon_sym_BSLASHAcf] = ACTIONS(7467),
    [anon_sym_BSLASHacfp] = ACTIONS(7467),
    [anon_sym_BSLASHAcfp] = ACTIONS(7467),
    [anon_sym_BSLASHac] = ACTIONS(7467),
    [anon_sym_BSLASHAc] = ACTIONS(7467),
    [anon_sym_BSLASHacp] = ACTIONS(7467),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7467),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7467),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7467),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7467),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7467),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7469),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7467),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7467),
    [anon_sym_BSLASHcolor] = ACTIONS(7467),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7467),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7467),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7467),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7467),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7467),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7467),
    [anon_sym_BSLASHurl] = ACTIONS(7467),
    [anon_sym_BSLASHhref] = ACTIONS(7467),
  },
  [2258] = {
    [sym_command_name] = ACTIONS(7471),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7471),
    [anon_sym_RBRACK] = ACTIONS(7473),
    [anon_sym_COMMA] = ACTIONS(7473),
    [anon_sym_EQ] = ACTIONS(7473),
    [anon_sym_RBRACE] = ACTIONS(7473),
    [sym_word] = ACTIONS(7471),
    [sym_placeholder] = ACTIONS(7473),
    [sym_delimiter] = ACTIONS(7473),
    [anon_sym_PLUS] = ACTIONS(7473),
    [anon_sym_DASH] = ACTIONS(7473),
    [anon_sym_STAR] = ACTIONS(7473),
    [anon_sym_SLASH] = ACTIONS(7473),
    [anon_sym_LT] = ACTIONS(7471),
    [anon_sym_GT] = ACTIONS(7471),
    [anon_sym_BANG] = ACTIONS(7471),
    [anon_sym_PIPE] = ACTIONS(7471),
    [anon_sym_COLON] = ACTIONS(7471),
    [anon_sym_SQUOTE] = ACTIONS(7471),
    [anon_sym__] = ACTIONS(7473),
    [anon_sym_CARET] = ACTIONS(7473),
    [anon_sym_BSLASHtitle] = ACTIONS(7471),
    [anon_sym_BSLASHauthor] = ACTIONS(7471),
    [anon_sym_BSLASHusepackage] = ACTIONS(7471),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7471),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7471),
    [anon_sym_BSLASHinclude] = ACTIONS(7471),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7471),
    [anon_sym_BSLASHinput] = ACTIONS(7471),
    [anon_sym_BSLASHsubfile] = ACTIONS(7471),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7471),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7471),
    [anon_sym_BSLASHbibliography] = ACTIONS(7471),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7471),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7471),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7471),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7471),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7471),
    [anon_sym_BSLASHimport] = ACTIONS(7471),
    [anon_sym_BSLASHsubimport] = ACTIONS(7471),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7471),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7471),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7471),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7471),
    [anon_sym_BSLASHcaption] = ACTIONS(7471),
    [anon_sym_BSLASHcite] = ACTIONS(7471),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCite] = ACTIONS(7471),
    [anon_sym_BSLASHnocite] = ACTIONS(7471),
    [anon_sym_BSLASHcitet] = ACTIONS(7471),
    [anon_sym_BSLASHcitep] = ACTIONS(7471),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteA] = ACTIONS(7471),
    [anon_sym_BSLASHciteR] = ACTIONS(7471),
    [anon_sym_BSLASHciteS] = ACTIONS(7471),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7471),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7471),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7471),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7471),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteyear] = ACTIONS(7471),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcitedate] = ACTIONS(7471),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHciteurl] = ACTIONS(7471),
    [anon_sym_BSLASHfullcite] = ACTIONS(7471),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7471),
    [anon_sym_BSLASHcitealt] = ACTIONS(7471),
    [anon_sym_BSLASHcitealp] = ACTIONS(7471),
    [anon_sym_BSLASHcitetext] = ACTIONS(7471),
    [anon_sym_BSLASHparencite] = ACTIONS(7471),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHParencite] = ACTIONS(7471),
    [anon_sym_BSLASHfootcite] = ACTIONS(7471),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7471),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7471),
    [anon_sym_BSLASHtextcite] = ACTIONS(7471),
    [anon_sym_BSLASHTextcite] = ACTIONS(7471),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7471),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7471),
    [anon_sym_BSLASHsupercite] = ACTIONS(7471),
    [anon_sym_BSLASHautocite] = ACTIONS(7471),
    [anon_sym_BSLASHAutocite] = ACTIONS(7471),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHVolcite] = ACTIONS(7471),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHavolcite] = ACTIONS(7471),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7471),
    [anon_sym_BSLASHnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHNotecite] = ACTIONS(7471),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7471),
    [anon_sym_BSLASHlabel] = ACTIONS(7471),
    [anon_sym_BSLASHref] = ACTIONS(7471),
    [anon_sym_BSLASHeqref] = ACTIONS(7471),
    [anon_sym_BSLASHvref] = ACTIONS(7471),
    [anon_sym_BSLASHVref] = ACTIONS(7471),
    [anon_sym_BSLASHautoref] = ACTIONS(7471),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHpageref] = ACTIONS(7471),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHautopageref] = ACTIONS(7471),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcref] = ACTIONS(7471),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCref] = ACTIONS(7471),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcpageref] = ACTIONS(7471),
    [anon_sym_BSLASHCpageref] = ACTIONS(7471),
    [anon_sym_BSLASHnamecref] = ACTIONS(7471),
    [anon_sym_BSLASHnameCref] = ACTIONS(7471),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7471),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7471),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7471),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7471),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7471),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7471),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7471),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7471),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7471),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7471),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7471),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7471),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7471),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7471),
    [anon_sym_BSLASHdef] = ACTIONS(7471),
    [anon_sym_BSLASHgdef] = ACTIONS(7471),
    [anon_sym_BSLASHedef] = ACTIONS(7471),
    [anon_sym_BSLASHxdef] = ACTIONS(7471),
    [anon_sym_BSLASHlet] = ACTIONS(7471),
    [anon_sym_BSLASHglet] = ACTIONS(7471),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7471),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7471),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7471),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7471),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7471),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7471),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7471),
    [anon_sym_BSLASHgls] = ACTIONS(7471),
    [anon_sym_BSLASHGls] = ACTIONS(7471),
    [anon_sym_BSLASHGLS] = ACTIONS(7471),
    [anon_sym_BSLASHglspl] = ACTIONS(7471),
    [anon_sym_BSLASHGlspl] = ACTIONS(7471),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7471),
    [anon_sym_BSLASHglslink] = ACTIONS(7471),
    [anon_sym_BSLASHglstext] = ACTIONS(7471),
    [anon_sym_BSLASHGlstext] = ACTIONS(7471),
    [anon_sym_BSLASHGLStext] = ACTIONS(7471),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7471),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7471),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7471),
    [anon_sym_BSLASHglsplural] = ACTIONS(7471),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7471),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7471),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7471),
    [anon_sym_BSLASHglsname] = ACTIONS(7471),
    [anon_sym_BSLASHGlsname] = ACTIONS(7471),
    [anon_sym_BSLASHGLSname] = ACTIONS(7471),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7471),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7471),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7471),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7471),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7471),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7471),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7471),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7471),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7471),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7471),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7471),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7471),
    [anon_sym_BSLASHacrshort] = ACTIONS(7471),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7471),
    [anon_sym_BSLASHACRshort] = ACTIONS(7471),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHacrlong] = ACTIONS(7471),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7471),
    [anon_sym_BSLASHACRlong] = ACTIONS(7471),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7471),
    [anon_sym_BSLASHacrfull] = ACTIONS(7471),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7471),
    [anon_sym_BSLASHACRfull] = ACTIONS(7471),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHacs] = ACTIONS(7471),
    [anon_sym_BSLASHAcs] = ACTIONS(7471),
    [anon_sym_BSLASHacsp] = ACTIONS(7471),
    [anon_sym_BSLASHAcsp] = ACTIONS(7471),
    [anon_sym_BSLASHacl] = ACTIONS(7471),
    [anon_sym_BSLASHAcl] = ACTIONS(7471),
    [anon_sym_BSLASHaclp] = ACTIONS(7471),
    [anon_sym_BSLASHAclp] = ACTIONS(7471),
    [anon_sym_BSLASHacf] = ACTIONS(7471),
    [anon_sym_BSLASHAcf] = ACTIONS(7471),
    [anon_sym_BSLASHacfp] = ACTIONS(7471),
    [anon_sym_BSLASHAcfp] = ACTIONS(7471),
    [anon_sym_BSLASHac] = ACTIONS(7471),
    [anon_sym_BSLASHAc] = ACTIONS(7471),
    [anon_sym_BSLASHacp] = ACTIONS(7471),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7471),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7471),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7471),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7471),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7471),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7473),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7471),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7471),
    [anon_sym_BSLASHcolor] = ACTIONS(7471),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7471),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7471),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7471),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7471),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7471),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7471),
    [anon_sym_BSLASHurl] = ACTIONS(7471),
    [anon_sym_BSLASHhref] = ACTIONS(7471),
  },
  [2259] = {
    [sym_command_name] = ACTIONS(7475),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7475),
    [anon_sym_RBRACK] = ACTIONS(7477),
    [anon_sym_COMMA] = ACTIONS(7477),
    [anon_sym_EQ] = ACTIONS(7477),
    [anon_sym_RBRACE] = ACTIONS(7477),
    [sym_word] = ACTIONS(7475),
    [sym_placeholder] = ACTIONS(7477),
    [sym_delimiter] = ACTIONS(7477),
    [anon_sym_PLUS] = ACTIONS(7477),
    [anon_sym_DASH] = ACTIONS(7477),
    [anon_sym_STAR] = ACTIONS(7477),
    [anon_sym_SLASH] = ACTIONS(7477),
    [anon_sym_LT] = ACTIONS(7475),
    [anon_sym_GT] = ACTIONS(7475),
    [anon_sym_BANG] = ACTIONS(7475),
    [anon_sym_PIPE] = ACTIONS(7475),
    [anon_sym_COLON] = ACTIONS(7475),
    [anon_sym_SQUOTE] = ACTIONS(7475),
    [anon_sym__] = ACTIONS(7477),
    [anon_sym_CARET] = ACTIONS(7477),
    [anon_sym_BSLASHtitle] = ACTIONS(7475),
    [anon_sym_BSLASHauthor] = ACTIONS(7475),
    [anon_sym_BSLASHusepackage] = ACTIONS(7475),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7475),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7475),
    [anon_sym_BSLASHinclude] = ACTIONS(7475),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7475),
    [anon_sym_BSLASHinput] = ACTIONS(7475),
    [anon_sym_BSLASHsubfile] = ACTIONS(7475),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7475),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7475),
    [anon_sym_BSLASHbibliography] = ACTIONS(7475),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7475),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7475),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7475),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7475),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7475),
    [anon_sym_BSLASHimport] = ACTIONS(7475),
    [anon_sym_BSLASHsubimport] = ACTIONS(7475),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7475),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7475),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7475),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7475),
    [anon_sym_BSLASHcaption] = ACTIONS(7475),
    [anon_sym_BSLASHcite] = ACTIONS(7475),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCite] = ACTIONS(7475),
    [anon_sym_BSLASHnocite] = ACTIONS(7475),
    [anon_sym_BSLASHcitet] = ACTIONS(7475),
    [anon_sym_BSLASHcitep] = ACTIONS(7475),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteA] = ACTIONS(7475),
    [anon_sym_BSLASHciteR] = ACTIONS(7475),
    [anon_sym_BSLASHciteS] = ACTIONS(7475),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7475),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7475),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7475),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7475),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteyear] = ACTIONS(7475),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcitedate] = ACTIONS(7475),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHciteurl] = ACTIONS(7475),
    [anon_sym_BSLASHfullcite] = ACTIONS(7475),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7475),
    [anon_sym_BSLASHcitealt] = ACTIONS(7475),
    [anon_sym_BSLASHcitealp] = ACTIONS(7475),
    [anon_sym_BSLASHcitetext] = ACTIONS(7475),
    [anon_sym_BSLASHparencite] = ACTIONS(7475),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHParencite] = ACTIONS(7475),
    [anon_sym_BSLASHfootcite] = ACTIONS(7475),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7475),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7475),
    [anon_sym_BSLASHtextcite] = ACTIONS(7475),
    [anon_sym_BSLASHTextcite] = ACTIONS(7475),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7475),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7475),
    [anon_sym_BSLASHsupercite] = ACTIONS(7475),
    [anon_sym_BSLASHautocite] = ACTIONS(7475),
    [anon_sym_BSLASHAutocite] = ACTIONS(7475),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHVolcite] = ACTIONS(7475),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHavolcite] = ACTIONS(7475),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7475),
    [anon_sym_BSLASHnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHNotecite] = ACTIONS(7475),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7475),
    [anon_sym_BSLASHlabel] = ACTIONS(7475),
    [anon_sym_BSLASHref] = ACTIONS(7475),
    [anon_sym_BSLASHeqref] = ACTIONS(7475),
    [anon_sym_BSLASHvref] = ACTIONS(7475),
    [anon_sym_BSLASHVref] = ACTIONS(7475),
    [anon_sym_BSLASHautoref] = ACTIONS(7475),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHpageref] = ACTIONS(7475),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHautopageref] = ACTIONS(7475),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcref] = ACTIONS(7475),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCref] = ACTIONS(7475),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcpageref] = ACTIONS(7475),
    [anon_sym_BSLASHCpageref] = ACTIONS(7475),
    [anon_sym_BSLASHnamecref] = ACTIONS(7475),
    [anon_sym_BSLASHnameCref] = ACTIONS(7475),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7475),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7475),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7475),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7475),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7475),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7475),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7475),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7475),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7475),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7475),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7475),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7475),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7475),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7475),
    [anon_sym_BSLASHdef] = ACTIONS(7475),
    [anon_sym_BSLASHgdef] = ACTIONS(7475),
    [anon_sym_BSLASHedef] = ACTIONS(7475),
    [anon_sym_BSLASHxdef] = ACTIONS(7475),
    [anon_sym_BSLASHlet] = ACTIONS(7475),
    [anon_sym_BSLASHglet] = ACTIONS(7475),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7475),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7475),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7475),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7475),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7475),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7475),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7475),
    [anon_sym_BSLASHgls] = ACTIONS(7475),
    [anon_sym_BSLASHGls] = ACTIONS(7475),
    [anon_sym_BSLASHGLS] = ACTIONS(7475),
    [anon_sym_BSLASHglspl] = ACTIONS(7475),
    [anon_sym_BSLASHGlspl] = ACTIONS(7475),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7475),
    [anon_sym_BSLASHglslink] = ACTIONS(7475),
    [anon_sym_BSLASHglstext] = ACTIONS(7475),
    [anon_sym_BSLASHGlstext] = ACTIONS(7475),
    [anon_sym_BSLASHGLStext] = ACTIONS(7475),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7475),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7475),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7475),
    [anon_sym_BSLASHglsplural] = ACTIONS(7475),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7475),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7475),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7475),
    [anon_sym_BSLASHglsname] = ACTIONS(7475),
    [anon_sym_BSLASHGlsname] = ACTIONS(7475),
    [anon_sym_BSLASHGLSname] = ACTIONS(7475),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7475),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7475),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7475),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7475),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7475),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7475),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7475),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7475),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7475),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7475),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7475),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7475),
    [anon_sym_BSLASHacrshort] = ACTIONS(7475),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7475),
    [anon_sym_BSLASHACRshort] = ACTIONS(7475),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHacrlong] = ACTIONS(7475),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7475),
    [anon_sym_BSLASHACRlong] = ACTIONS(7475),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7475),
    [anon_sym_BSLASHacrfull] = ACTIONS(7475),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7475),
    [anon_sym_BSLASHACRfull] = ACTIONS(7475),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHacs] = ACTIONS(7475),
    [anon_sym_BSLASHAcs] = ACTIONS(7475),
    [anon_sym_BSLASHacsp] = ACTIONS(7475),
    [anon_sym_BSLASHAcsp] = ACTIONS(7475),
    [anon_sym_BSLASHacl] = ACTIONS(7475),
    [anon_sym_BSLASHAcl] = ACTIONS(7475),
    [anon_sym_BSLASHaclp] = ACTIONS(7475),
    [anon_sym_BSLASHAclp] = ACTIONS(7475),
    [anon_sym_BSLASHacf] = ACTIONS(7475),
    [anon_sym_BSLASHAcf] = ACTIONS(7475),
    [anon_sym_BSLASHacfp] = ACTIONS(7475),
    [anon_sym_BSLASHAcfp] = ACTIONS(7475),
    [anon_sym_BSLASHac] = ACTIONS(7475),
    [anon_sym_BSLASHAc] = ACTIONS(7475),
    [anon_sym_BSLASHacp] = ACTIONS(7475),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7475),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7475),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7475),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7475),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7475),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7477),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7475),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7475),
    [anon_sym_BSLASHcolor] = ACTIONS(7475),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7475),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7475),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7475),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7475),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7475),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7475),
    [anon_sym_BSLASHurl] = ACTIONS(7475),
    [anon_sym_BSLASHhref] = ACTIONS(7475),
  },
  [2260] = {
    [sym_command_name] = ACTIONS(7323),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7323),
    [anon_sym_RBRACK] = ACTIONS(7325),
    [anon_sym_COMMA] = ACTIONS(7325),
    [anon_sym_EQ] = ACTIONS(7325),
    [anon_sym_RBRACE] = ACTIONS(7325),
    [sym_word] = ACTIONS(7323),
    [sym_placeholder] = ACTIONS(7325),
    [sym_delimiter] = ACTIONS(7325),
    [anon_sym_PLUS] = ACTIONS(7325),
    [anon_sym_DASH] = ACTIONS(7325),
    [anon_sym_STAR] = ACTIONS(7325),
    [anon_sym_SLASH] = ACTIONS(7325),
    [anon_sym_LT] = ACTIONS(7323),
    [anon_sym_GT] = ACTIONS(7323),
    [anon_sym_BANG] = ACTIONS(7323),
    [anon_sym_PIPE] = ACTIONS(7323),
    [anon_sym_COLON] = ACTIONS(7323),
    [anon_sym_SQUOTE] = ACTIONS(7323),
    [anon_sym__] = ACTIONS(7325),
    [anon_sym_CARET] = ACTIONS(7325),
    [anon_sym_BSLASHtitle] = ACTIONS(7323),
    [anon_sym_BSLASHauthor] = ACTIONS(7323),
    [anon_sym_BSLASHusepackage] = ACTIONS(7323),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7323),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7323),
    [anon_sym_BSLASHinclude] = ACTIONS(7323),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7323),
    [anon_sym_BSLASHinput] = ACTIONS(7323),
    [anon_sym_BSLASHsubfile] = ACTIONS(7323),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7323),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7323),
    [anon_sym_BSLASHbibliography] = ACTIONS(7323),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7323),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7323),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7323),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7323),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7323),
    [anon_sym_BSLASHimport] = ACTIONS(7323),
    [anon_sym_BSLASHsubimport] = ACTIONS(7323),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7323),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7323),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7323),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7323),
    [anon_sym_BSLASHcaption] = ACTIONS(7323),
    [anon_sym_BSLASHcite] = ACTIONS(7323),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCite] = ACTIONS(7323),
    [anon_sym_BSLASHnocite] = ACTIONS(7323),
    [anon_sym_BSLASHcitet] = ACTIONS(7323),
    [anon_sym_BSLASHcitep] = ACTIONS(7323),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteA] = ACTIONS(7323),
    [anon_sym_BSLASHciteR] = ACTIONS(7323),
    [anon_sym_BSLASHciteS] = ACTIONS(7323),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7323),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7323),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7323),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7323),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteyear] = ACTIONS(7323),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcitedate] = ACTIONS(7323),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHciteurl] = ACTIONS(7323),
    [anon_sym_BSLASHfullcite] = ACTIONS(7323),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7323),
    [anon_sym_BSLASHcitealt] = ACTIONS(7323),
    [anon_sym_BSLASHcitealp] = ACTIONS(7323),
    [anon_sym_BSLASHcitetext] = ACTIONS(7323),
    [anon_sym_BSLASHparencite] = ACTIONS(7323),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHParencite] = ACTIONS(7323),
    [anon_sym_BSLASHfootcite] = ACTIONS(7323),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7323),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7323),
    [anon_sym_BSLASHtextcite] = ACTIONS(7323),
    [anon_sym_BSLASHTextcite] = ACTIONS(7323),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7323),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7323),
    [anon_sym_BSLASHsupercite] = ACTIONS(7323),
    [anon_sym_BSLASHautocite] = ACTIONS(7323),
    [anon_sym_BSLASHAutocite] = ACTIONS(7323),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHVolcite] = ACTIONS(7323),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHavolcite] = ACTIONS(7323),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7323),
    [anon_sym_BSLASHnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHNotecite] = ACTIONS(7323),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7323),
    [anon_sym_BSLASHlabel] = ACTIONS(7323),
    [anon_sym_BSLASHref] = ACTIONS(7323),
    [anon_sym_BSLASHeqref] = ACTIONS(7323),
    [anon_sym_BSLASHvref] = ACTIONS(7323),
    [anon_sym_BSLASHVref] = ACTIONS(7323),
    [anon_sym_BSLASHautoref] = ACTIONS(7323),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHpageref] = ACTIONS(7323),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHautopageref] = ACTIONS(7323),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcref] = ACTIONS(7323),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCref] = ACTIONS(7323),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcpageref] = ACTIONS(7323),
    [anon_sym_BSLASHCpageref] = ACTIONS(7323),
    [anon_sym_BSLASHnamecref] = ACTIONS(7323),
    [anon_sym_BSLASHnameCref] = ACTIONS(7323),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7323),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7323),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7323),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7323),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7323),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7323),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7323),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7323),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7323),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7323),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7323),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7323),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7323),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7323),
    [anon_sym_BSLASHdef] = ACTIONS(7323),
    [anon_sym_BSLASHgdef] = ACTIONS(7323),
    [anon_sym_BSLASHedef] = ACTIONS(7323),
    [anon_sym_BSLASHxdef] = ACTIONS(7323),
    [anon_sym_BSLASHlet] = ACTIONS(7323),
    [anon_sym_BSLASHglet] = ACTIONS(7323),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7323),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7323),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7323),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7323),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7323),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7323),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7323),
    [anon_sym_BSLASHgls] = ACTIONS(7323),
    [anon_sym_BSLASHGls] = ACTIONS(7323),
    [anon_sym_BSLASHGLS] = ACTIONS(7323),
    [anon_sym_BSLASHglspl] = ACTIONS(7323),
    [anon_sym_BSLASHGlspl] = ACTIONS(7323),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7323),
    [anon_sym_BSLASHglslink] = ACTIONS(7323),
    [anon_sym_BSLASHglstext] = ACTIONS(7323),
    [anon_sym_BSLASHGlstext] = ACTIONS(7323),
    [anon_sym_BSLASHGLStext] = ACTIONS(7323),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7323),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7323),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7323),
    [anon_sym_BSLASHglsplural] = ACTIONS(7323),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7323),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7323),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7323),
    [anon_sym_BSLASHglsname] = ACTIONS(7323),
    [anon_sym_BSLASHGlsname] = ACTIONS(7323),
    [anon_sym_BSLASHGLSname] = ACTIONS(7323),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7323),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7323),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7323),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7323),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7323),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7323),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7323),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7323),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7323),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7323),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7323),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7323),
    [anon_sym_BSLASHacrshort] = ACTIONS(7323),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7323),
    [anon_sym_BSLASHACRshort] = ACTIONS(7323),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHacrlong] = ACTIONS(7323),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7323),
    [anon_sym_BSLASHACRlong] = ACTIONS(7323),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7323),
    [anon_sym_BSLASHacrfull] = ACTIONS(7323),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7323),
    [anon_sym_BSLASHACRfull] = ACTIONS(7323),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHacs] = ACTIONS(7323),
    [anon_sym_BSLASHAcs] = ACTIONS(7323),
    [anon_sym_BSLASHacsp] = ACTIONS(7323),
    [anon_sym_BSLASHAcsp] = ACTIONS(7323),
    [anon_sym_BSLASHacl] = ACTIONS(7323),
    [anon_sym_BSLASHAcl] = ACTIONS(7323),
    [anon_sym_BSLASHaclp] = ACTIONS(7323),
    [anon_sym_BSLASHAclp] = ACTIONS(7323),
    [anon_sym_BSLASHacf] = ACTIONS(7323),
    [anon_sym_BSLASHAcf] = ACTIONS(7323),
    [anon_sym_BSLASHacfp] = ACTIONS(7323),
    [anon_sym_BSLASHAcfp] = ACTIONS(7323),
    [anon_sym_BSLASHac] = ACTIONS(7323),
    [anon_sym_BSLASHAc] = ACTIONS(7323),
    [anon_sym_BSLASHacp] = ACTIONS(7323),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7323),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7323),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7323),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7323),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7323),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7325),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7323),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7323),
    [anon_sym_BSLASHcolor] = ACTIONS(7323),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7323),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7323),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7323),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7323),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7323),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7323),
    [anon_sym_BSLASHurl] = ACTIONS(7323),
    [anon_sym_BSLASHhref] = ACTIONS(7323),
  },
  [2261] = {
    [sym_command_name] = ACTIONS(7483),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7483),
    [anon_sym_RBRACK] = ACTIONS(7485),
    [anon_sym_COMMA] = ACTIONS(7485),
    [anon_sym_EQ] = ACTIONS(7485),
    [anon_sym_RBRACE] = ACTIONS(7485),
    [sym_word] = ACTIONS(7483),
    [sym_placeholder] = ACTIONS(7485),
    [sym_delimiter] = ACTIONS(7485),
    [anon_sym_PLUS] = ACTIONS(7485),
    [anon_sym_DASH] = ACTIONS(7485),
    [anon_sym_STAR] = ACTIONS(7485),
    [anon_sym_SLASH] = ACTIONS(7485),
    [anon_sym_LT] = ACTIONS(7483),
    [anon_sym_GT] = ACTIONS(7483),
    [anon_sym_BANG] = ACTIONS(7483),
    [anon_sym_PIPE] = ACTIONS(7483),
    [anon_sym_COLON] = ACTIONS(7483),
    [anon_sym_SQUOTE] = ACTIONS(7483),
    [anon_sym__] = ACTIONS(7485),
    [anon_sym_CARET] = ACTIONS(7485),
    [anon_sym_BSLASHtitle] = ACTIONS(7483),
    [anon_sym_BSLASHauthor] = ACTIONS(7483),
    [anon_sym_BSLASHusepackage] = ACTIONS(7483),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7483),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7483),
    [anon_sym_BSLASHinclude] = ACTIONS(7483),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7483),
    [anon_sym_BSLASHinput] = ACTIONS(7483),
    [anon_sym_BSLASHsubfile] = ACTIONS(7483),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7483),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7483),
    [anon_sym_BSLASHbibliography] = ACTIONS(7483),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7483),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7483),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7483),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7483),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7483),
    [anon_sym_BSLASHimport] = ACTIONS(7483),
    [anon_sym_BSLASHsubimport] = ACTIONS(7483),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7483),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7483),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7483),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7483),
    [anon_sym_BSLASHcaption] = ACTIONS(7483),
    [anon_sym_BSLASHcite] = ACTIONS(7483),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCite] = ACTIONS(7483),
    [anon_sym_BSLASHnocite] = ACTIONS(7483),
    [anon_sym_BSLASHcitet] = ACTIONS(7483),
    [anon_sym_BSLASHcitep] = ACTIONS(7483),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteA] = ACTIONS(7483),
    [anon_sym_BSLASHciteR] = ACTIONS(7483),
    [anon_sym_BSLASHciteS] = ACTIONS(7483),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7483),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7483),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7483),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7483),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteyear] = ACTIONS(7483),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcitedate] = ACTIONS(7483),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHciteurl] = ACTIONS(7483),
    [anon_sym_BSLASHfullcite] = ACTIONS(7483),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7483),
    [anon_sym_BSLASHcitealt] = ACTIONS(7483),
    [anon_sym_BSLASHcitealp] = ACTIONS(7483),
    [anon_sym_BSLASHcitetext] = ACTIONS(7483),
    [anon_sym_BSLASHparencite] = ACTIONS(7483),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHParencite] = ACTIONS(7483),
    [anon_sym_BSLASHfootcite] = ACTIONS(7483),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7483),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7483),
    [anon_sym_BSLASHtextcite] = ACTIONS(7483),
    [anon_sym_BSLASHTextcite] = ACTIONS(7483),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7483),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7483),
    [anon_sym_BSLASHsupercite] = ACTIONS(7483),
    [anon_sym_BSLASHautocite] = ACTIONS(7483),
    [anon_sym_BSLASHAutocite] = ACTIONS(7483),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHVolcite] = ACTIONS(7483),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHavolcite] = ACTIONS(7483),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7483),
    [anon_sym_BSLASHnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHNotecite] = ACTIONS(7483),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7483),
    [anon_sym_BSLASHlabel] = ACTIONS(7483),
    [anon_sym_BSLASHref] = ACTIONS(7483),
    [anon_sym_BSLASHeqref] = ACTIONS(7483),
    [anon_sym_BSLASHvref] = ACTIONS(7483),
    [anon_sym_BSLASHVref] = ACTIONS(7483),
    [anon_sym_BSLASHautoref] = ACTIONS(7483),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHpageref] = ACTIONS(7483),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHautopageref] = ACTIONS(7483),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcref] = ACTIONS(7483),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCref] = ACTIONS(7483),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcpageref] = ACTIONS(7483),
    [anon_sym_BSLASHCpageref] = ACTIONS(7483),
    [anon_sym_BSLASHnamecref] = ACTIONS(7483),
    [anon_sym_BSLASHnameCref] = ACTIONS(7483),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7483),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7483),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7483),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7483),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7483),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7483),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7483),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7483),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7483),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7483),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7483),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7483),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7483),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7483),
    [anon_sym_BSLASHdef] = ACTIONS(7483),
    [anon_sym_BSLASHgdef] = ACTIONS(7483),
    [anon_sym_BSLASHedef] = ACTIONS(7483),
    [anon_sym_BSLASHxdef] = ACTIONS(7483),
    [anon_sym_BSLASHlet] = ACTIONS(7483),
    [anon_sym_BSLASHglet] = ACTIONS(7483),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7483),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7483),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7483),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7483),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7483),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7483),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7483),
    [anon_sym_BSLASHgls] = ACTIONS(7483),
    [anon_sym_BSLASHGls] = ACTIONS(7483),
    [anon_sym_BSLASHGLS] = ACTIONS(7483),
    [anon_sym_BSLASHglspl] = ACTIONS(7483),
    [anon_sym_BSLASHGlspl] = ACTIONS(7483),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7483),
    [anon_sym_BSLASHglslink] = ACTIONS(7483),
    [anon_sym_BSLASHglstext] = ACTIONS(7483),
    [anon_sym_BSLASHGlstext] = ACTIONS(7483),
    [anon_sym_BSLASHGLStext] = ACTIONS(7483),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7483),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7483),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7483),
    [anon_sym_BSLASHglsplural] = ACTIONS(7483),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7483),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7483),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7483),
    [anon_sym_BSLASHglsname] = ACTIONS(7483),
    [anon_sym_BSLASHGlsname] = ACTIONS(7483),
    [anon_sym_BSLASHGLSname] = ACTIONS(7483),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7483),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7483),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7483),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7483),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7483),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7483),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7483),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7483),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7483),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7483),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7483),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7483),
    [anon_sym_BSLASHacrshort] = ACTIONS(7483),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7483),
    [anon_sym_BSLASHACRshort] = ACTIONS(7483),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHacrlong] = ACTIONS(7483),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7483),
    [anon_sym_BSLASHACRlong] = ACTIONS(7483),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7483),
    [anon_sym_BSLASHacrfull] = ACTIONS(7483),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7483),
    [anon_sym_BSLASHACRfull] = ACTIONS(7483),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHacs] = ACTIONS(7483),
    [anon_sym_BSLASHAcs] = ACTIONS(7483),
    [anon_sym_BSLASHacsp] = ACTIONS(7483),
    [anon_sym_BSLASHAcsp] = ACTIONS(7483),
    [anon_sym_BSLASHacl] = ACTIONS(7483),
    [anon_sym_BSLASHAcl] = ACTIONS(7483),
    [anon_sym_BSLASHaclp] = ACTIONS(7483),
    [anon_sym_BSLASHAclp] = ACTIONS(7483),
    [anon_sym_BSLASHacf] = ACTIONS(7483),
    [anon_sym_BSLASHAcf] = ACTIONS(7483),
    [anon_sym_BSLASHacfp] = ACTIONS(7483),
    [anon_sym_BSLASHAcfp] = ACTIONS(7483),
    [anon_sym_BSLASHac] = ACTIONS(7483),
    [anon_sym_BSLASHAc] = ACTIONS(7483),
    [anon_sym_BSLASHacp] = ACTIONS(7483),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7483),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7483),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7483),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7483),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7483),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7485),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7483),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7483),
    [anon_sym_BSLASHcolor] = ACTIONS(7483),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7483),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7483),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7483),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7483),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7483),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7483),
    [anon_sym_BSLASHurl] = ACTIONS(7483),
    [anon_sym_BSLASHhref] = ACTIONS(7483),
  },
  [2262] = {
    [sym_command_name] = ACTIONS(7327),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7327),
    [anon_sym_RBRACK] = ACTIONS(7329),
    [anon_sym_COMMA] = ACTIONS(7329),
    [anon_sym_EQ] = ACTIONS(7329),
    [anon_sym_RBRACE] = ACTIONS(7329),
    [sym_word] = ACTIONS(7327),
    [sym_placeholder] = ACTIONS(7329),
    [sym_delimiter] = ACTIONS(7329),
    [anon_sym_PLUS] = ACTIONS(7329),
    [anon_sym_DASH] = ACTIONS(7329),
    [anon_sym_STAR] = ACTIONS(7329),
    [anon_sym_SLASH] = ACTIONS(7329),
    [anon_sym_LT] = ACTIONS(7327),
    [anon_sym_GT] = ACTIONS(7327),
    [anon_sym_BANG] = ACTIONS(7327),
    [anon_sym_PIPE] = ACTIONS(7327),
    [anon_sym_COLON] = ACTIONS(7327),
    [anon_sym_SQUOTE] = ACTIONS(7327),
    [anon_sym__] = ACTIONS(7329),
    [anon_sym_CARET] = ACTIONS(7329),
    [anon_sym_BSLASHtitle] = ACTIONS(7327),
    [anon_sym_BSLASHauthor] = ACTIONS(7327),
    [anon_sym_BSLASHusepackage] = ACTIONS(7327),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7327),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7327),
    [anon_sym_BSLASHinclude] = ACTIONS(7327),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7327),
    [anon_sym_BSLASHinput] = ACTIONS(7327),
    [anon_sym_BSLASHsubfile] = ACTIONS(7327),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7327),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7327),
    [anon_sym_BSLASHbibliography] = ACTIONS(7327),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7327),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7327),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7327),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7327),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7327),
    [anon_sym_BSLASHimport] = ACTIONS(7327),
    [anon_sym_BSLASHsubimport] = ACTIONS(7327),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7327),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7327),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7327),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7327),
    [anon_sym_BSLASHcaption] = ACTIONS(7327),
    [anon_sym_BSLASHcite] = ACTIONS(7327),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCite] = ACTIONS(7327),
    [anon_sym_BSLASHnocite] = ACTIONS(7327),
    [anon_sym_BSLASHcitet] = ACTIONS(7327),
    [anon_sym_BSLASHcitep] = ACTIONS(7327),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteA] = ACTIONS(7327),
    [anon_sym_BSLASHciteR] = ACTIONS(7327),
    [anon_sym_BSLASHciteS] = ACTIONS(7327),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7327),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7327),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7327),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7327),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteyear] = ACTIONS(7327),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcitedate] = ACTIONS(7327),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHciteurl] = ACTIONS(7327),
    [anon_sym_BSLASHfullcite] = ACTIONS(7327),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7327),
    [anon_sym_BSLASHcitealt] = ACTIONS(7327),
    [anon_sym_BSLASHcitealp] = ACTIONS(7327),
    [anon_sym_BSLASHcitetext] = ACTIONS(7327),
    [anon_sym_BSLASHparencite] = ACTIONS(7327),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHParencite] = ACTIONS(7327),
    [anon_sym_BSLASHfootcite] = ACTIONS(7327),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7327),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7327),
    [anon_sym_BSLASHtextcite] = ACTIONS(7327),
    [anon_sym_BSLASHTextcite] = ACTIONS(7327),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7327),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7327),
    [anon_sym_BSLASHsupercite] = ACTIONS(7327),
    [anon_sym_BSLASHautocite] = ACTIONS(7327),
    [anon_sym_BSLASHAutocite] = ACTIONS(7327),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHVolcite] = ACTIONS(7327),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHavolcite] = ACTIONS(7327),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7327),
    [anon_sym_BSLASHnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHNotecite] = ACTIONS(7327),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7327),
    [anon_sym_BSLASHlabel] = ACTIONS(7327),
    [anon_sym_BSLASHref] = ACTIONS(7327),
    [anon_sym_BSLASHeqref] = ACTIONS(7327),
    [anon_sym_BSLASHvref] = ACTIONS(7327),
    [anon_sym_BSLASHVref] = ACTIONS(7327),
    [anon_sym_BSLASHautoref] = ACTIONS(7327),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHpageref] = ACTIONS(7327),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHautopageref] = ACTIONS(7327),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcref] = ACTIONS(7327),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCref] = ACTIONS(7327),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcpageref] = ACTIONS(7327),
    [anon_sym_BSLASHCpageref] = ACTIONS(7327),
    [anon_sym_BSLASHnamecref] = ACTIONS(7327),
    [anon_sym_BSLASHnameCref] = ACTIONS(7327),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7327),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7327),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7327),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7327),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7327),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7327),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7327),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7327),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7327),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7327),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7327),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7327),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7327),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7327),
    [anon_sym_BSLASHdef] = ACTIONS(7327),
    [anon_sym_BSLASHgdef] = ACTIONS(7327),
    [anon_sym_BSLASHedef] = ACTIONS(7327),
    [anon_sym_BSLASHxdef] = ACTIONS(7327),
    [anon_sym_BSLASHlet] = ACTIONS(7327),
    [anon_sym_BSLASHglet] = ACTIONS(7327),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7327),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7327),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7327),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7327),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7327),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7327),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7327),
    [anon_sym_BSLASHgls] = ACTIONS(7327),
    [anon_sym_BSLASHGls] = ACTIONS(7327),
    [anon_sym_BSLASHGLS] = ACTIONS(7327),
    [anon_sym_BSLASHglspl] = ACTIONS(7327),
    [anon_sym_BSLASHGlspl] = ACTIONS(7327),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7327),
    [anon_sym_BSLASHglslink] = ACTIONS(7327),
    [anon_sym_BSLASHglstext] = ACTIONS(7327),
    [anon_sym_BSLASHGlstext] = ACTIONS(7327),
    [anon_sym_BSLASHGLStext] = ACTIONS(7327),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7327),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7327),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7327),
    [anon_sym_BSLASHglsplural] = ACTIONS(7327),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7327),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7327),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7327),
    [anon_sym_BSLASHglsname] = ACTIONS(7327),
    [anon_sym_BSLASHGlsname] = ACTIONS(7327),
    [anon_sym_BSLASHGLSname] = ACTIONS(7327),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7327),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7327),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7327),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7327),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7327),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7327),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7327),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7327),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7327),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7327),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7327),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7327),
    [anon_sym_BSLASHacrshort] = ACTIONS(7327),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7327),
    [anon_sym_BSLASHACRshort] = ACTIONS(7327),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHacrlong] = ACTIONS(7327),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7327),
    [anon_sym_BSLASHACRlong] = ACTIONS(7327),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7327),
    [anon_sym_BSLASHacrfull] = ACTIONS(7327),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7327),
    [anon_sym_BSLASHACRfull] = ACTIONS(7327),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHacs] = ACTIONS(7327),
    [anon_sym_BSLASHAcs] = ACTIONS(7327),
    [anon_sym_BSLASHacsp] = ACTIONS(7327),
    [anon_sym_BSLASHAcsp] = ACTIONS(7327),
    [anon_sym_BSLASHacl] = ACTIONS(7327),
    [anon_sym_BSLASHAcl] = ACTIONS(7327),
    [anon_sym_BSLASHaclp] = ACTIONS(7327),
    [anon_sym_BSLASHAclp] = ACTIONS(7327),
    [anon_sym_BSLASHacf] = ACTIONS(7327),
    [anon_sym_BSLASHAcf] = ACTIONS(7327),
    [anon_sym_BSLASHacfp] = ACTIONS(7327),
    [anon_sym_BSLASHAcfp] = ACTIONS(7327),
    [anon_sym_BSLASHac] = ACTIONS(7327),
    [anon_sym_BSLASHAc] = ACTIONS(7327),
    [anon_sym_BSLASHacp] = ACTIONS(7327),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7327),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7327),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7327),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7327),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7327),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7329),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7327),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7327),
    [anon_sym_BSLASHcolor] = ACTIONS(7327),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7327),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7327),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7327),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7327),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7327),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7327),
    [anon_sym_BSLASHurl] = ACTIONS(7327),
    [anon_sym_BSLASHhref] = ACTIONS(7327),
  },
  [2263] = {
    [sym_command_name] = ACTIONS(7487),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7487),
    [anon_sym_RBRACK] = ACTIONS(7489),
    [anon_sym_COMMA] = ACTIONS(7489),
    [anon_sym_EQ] = ACTIONS(7489),
    [anon_sym_RBRACE] = ACTIONS(7489),
    [sym_word] = ACTIONS(7487),
    [sym_placeholder] = ACTIONS(7489),
    [sym_delimiter] = ACTIONS(7489),
    [anon_sym_PLUS] = ACTIONS(7489),
    [anon_sym_DASH] = ACTIONS(7489),
    [anon_sym_STAR] = ACTIONS(7489),
    [anon_sym_SLASH] = ACTIONS(7489),
    [anon_sym_LT] = ACTIONS(7487),
    [anon_sym_GT] = ACTIONS(7487),
    [anon_sym_BANG] = ACTIONS(7487),
    [anon_sym_PIPE] = ACTIONS(7487),
    [anon_sym_COLON] = ACTIONS(7487),
    [anon_sym_SQUOTE] = ACTIONS(7487),
    [anon_sym__] = ACTIONS(7489),
    [anon_sym_CARET] = ACTIONS(7489),
    [anon_sym_BSLASHtitle] = ACTIONS(7487),
    [anon_sym_BSLASHauthor] = ACTIONS(7487),
    [anon_sym_BSLASHusepackage] = ACTIONS(7487),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7487),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7487),
    [anon_sym_BSLASHinclude] = ACTIONS(7487),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7487),
    [anon_sym_BSLASHinput] = ACTIONS(7487),
    [anon_sym_BSLASHsubfile] = ACTIONS(7487),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7487),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7487),
    [anon_sym_BSLASHbibliography] = ACTIONS(7487),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7487),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7487),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7487),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7487),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7487),
    [anon_sym_BSLASHimport] = ACTIONS(7487),
    [anon_sym_BSLASHsubimport] = ACTIONS(7487),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7487),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7487),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7487),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7487),
    [anon_sym_BSLASHcaption] = ACTIONS(7487),
    [anon_sym_BSLASHcite] = ACTIONS(7487),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCite] = ACTIONS(7487),
    [anon_sym_BSLASHnocite] = ACTIONS(7487),
    [anon_sym_BSLASHcitet] = ACTIONS(7487),
    [anon_sym_BSLASHcitep] = ACTIONS(7487),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteA] = ACTIONS(7487),
    [anon_sym_BSLASHciteR] = ACTIONS(7487),
    [anon_sym_BSLASHciteS] = ACTIONS(7487),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7487),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7487),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7487),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7487),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteyear] = ACTIONS(7487),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcitedate] = ACTIONS(7487),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHciteurl] = ACTIONS(7487),
    [anon_sym_BSLASHfullcite] = ACTIONS(7487),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7487),
    [anon_sym_BSLASHcitealt] = ACTIONS(7487),
    [anon_sym_BSLASHcitealp] = ACTIONS(7487),
    [anon_sym_BSLASHcitetext] = ACTIONS(7487),
    [anon_sym_BSLASHparencite] = ACTIONS(7487),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHParencite] = ACTIONS(7487),
    [anon_sym_BSLASHfootcite] = ACTIONS(7487),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7487),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7487),
    [anon_sym_BSLASHtextcite] = ACTIONS(7487),
    [anon_sym_BSLASHTextcite] = ACTIONS(7487),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7487),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7487),
    [anon_sym_BSLASHsupercite] = ACTIONS(7487),
    [anon_sym_BSLASHautocite] = ACTIONS(7487),
    [anon_sym_BSLASHAutocite] = ACTIONS(7487),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHVolcite] = ACTIONS(7487),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHavolcite] = ACTIONS(7487),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7487),
    [anon_sym_BSLASHnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHNotecite] = ACTIONS(7487),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7487),
    [anon_sym_BSLASHlabel] = ACTIONS(7487),
    [anon_sym_BSLASHref] = ACTIONS(7487),
    [anon_sym_BSLASHeqref] = ACTIONS(7487),
    [anon_sym_BSLASHvref] = ACTIONS(7487),
    [anon_sym_BSLASHVref] = ACTIONS(7487),
    [anon_sym_BSLASHautoref] = ACTIONS(7487),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHpageref] = ACTIONS(7487),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHautopageref] = ACTIONS(7487),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcref] = ACTIONS(7487),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCref] = ACTIONS(7487),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcpageref] = ACTIONS(7487),
    [anon_sym_BSLASHCpageref] = ACTIONS(7487),
    [anon_sym_BSLASHnamecref] = ACTIONS(7487),
    [anon_sym_BSLASHnameCref] = ACTIONS(7487),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7487),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7487),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7487),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7487),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7487),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7487),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7487),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7487),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7487),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7487),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7487),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7487),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7487),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7487),
    [anon_sym_BSLASHdef] = ACTIONS(7487),
    [anon_sym_BSLASHgdef] = ACTIONS(7487),
    [anon_sym_BSLASHedef] = ACTIONS(7487),
    [anon_sym_BSLASHxdef] = ACTIONS(7487),
    [anon_sym_BSLASHlet] = ACTIONS(7487),
    [anon_sym_BSLASHglet] = ACTIONS(7487),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7487),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7487),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7487),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7487),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7487),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7487),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7487),
    [anon_sym_BSLASHgls] = ACTIONS(7487),
    [anon_sym_BSLASHGls] = ACTIONS(7487),
    [anon_sym_BSLASHGLS] = ACTIONS(7487),
    [anon_sym_BSLASHglspl] = ACTIONS(7487),
    [anon_sym_BSLASHGlspl] = ACTIONS(7487),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7487),
    [anon_sym_BSLASHglslink] = ACTIONS(7487),
    [anon_sym_BSLASHglstext] = ACTIONS(7487),
    [anon_sym_BSLASHGlstext] = ACTIONS(7487),
    [anon_sym_BSLASHGLStext] = ACTIONS(7487),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7487),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7487),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7487),
    [anon_sym_BSLASHglsplural] = ACTIONS(7487),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7487),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7487),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7487),
    [anon_sym_BSLASHglsname] = ACTIONS(7487),
    [anon_sym_BSLASHGlsname] = ACTIONS(7487),
    [anon_sym_BSLASHGLSname] = ACTIONS(7487),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7487),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7487),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7487),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7487),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7487),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7487),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7487),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7487),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7487),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7487),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7487),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7487),
    [anon_sym_BSLASHacrshort] = ACTIONS(7487),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7487),
    [anon_sym_BSLASHACRshort] = ACTIONS(7487),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHacrlong] = ACTIONS(7487),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7487),
    [anon_sym_BSLASHACRlong] = ACTIONS(7487),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7487),
    [anon_sym_BSLASHacrfull] = ACTIONS(7487),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7487),
    [anon_sym_BSLASHACRfull] = ACTIONS(7487),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHacs] = ACTIONS(7487),
    [anon_sym_BSLASHAcs] = ACTIONS(7487),
    [anon_sym_BSLASHacsp] = ACTIONS(7487),
    [anon_sym_BSLASHAcsp] = ACTIONS(7487),
    [anon_sym_BSLASHacl] = ACTIONS(7487),
    [anon_sym_BSLASHAcl] = ACTIONS(7487),
    [anon_sym_BSLASHaclp] = ACTIONS(7487),
    [anon_sym_BSLASHAclp] = ACTIONS(7487),
    [anon_sym_BSLASHacf] = ACTIONS(7487),
    [anon_sym_BSLASHAcf] = ACTIONS(7487),
    [anon_sym_BSLASHacfp] = ACTIONS(7487),
    [anon_sym_BSLASHAcfp] = ACTIONS(7487),
    [anon_sym_BSLASHac] = ACTIONS(7487),
    [anon_sym_BSLASHAc] = ACTIONS(7487),
    [anon_sym_BSLASHacp] = ACTIONS(7487),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7487),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7487),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7487),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7487),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7487),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7489),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7487),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7487),
    [anon_sym_BSLASHcolor] = ACTIONS(7487),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7487),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7487),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7487),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7487),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7487),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7487),
    [anon_sym_BSLASHurl] = ACTIONS(7487),
    [anon_sym_BSLASHhref] = ACTIONS(7487),
  },
  [2264] = {
    [sym_command_name] = ACTIONS(7491),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7491),
    [anon_sym_RBRACK] = ACTIONS(7493),
    [anon_sym_COMMA] = ACTIONS(7493),
    [anon_sym_EQ] = ACTIONS(7493),
    [anon_sym_RBRACE] = ACTIONS(7493),
    [sym_word] = ACTIONS(7491),
    [sym_placeholder] = ACTIONS(7493),
    [sym_delimiter] = ACTIONS(7493),
    [anon_sym_PLUS] = ACTIONS(7493),
    [anon_sym_DASH] = ACTIONS(7493),
    [anon_sym_STAR] = ACTIONS(7493),
    [anon_sym_SLASH] = ACTIONS(7493),
    [anon_sym_LT] = ACTIONS(7491),
    [anon_sym_GT] = ACTIONS(7491),
    [anon_sym_BANG] = ACTIONS(7491),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_COLON] = ACTIONS(7491),
    [anon_sym_SQUOTE] = ACTIONS(7491),
    [anon_sym__] = ACTIONS(7493),
    [anon_sym_CARET] = ACTIONS(7493),
    [anon_sym_BSLASHtitle] = ACTIONS(7491),
    [anon_sym_BSLASHauthor] = ACTIONS(7491),
    [anon_sym_BSLASHusepackage] = ACTIONS(7491),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7491),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7491),
    [anon_sym_BSLASHinclude] = ACTIONS(7491),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7491),
    [anon_sym_BSLASHinput] = ACTIONS(7491),
    [anon_sym_BSLASHsubfile] = ACTIONS(7491),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7491),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7491),
    [anon_sym_BSLASHbibliography] = ACTIONS(7491),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7491),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7491),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7491),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7491),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7491),
    [anon_sym_BSLASHimport] = ACTIONS(7491),
    [anon_sym_BSLASHsubimport] = ACTIONS(7491),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7491),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7491),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7491),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7491),
    [anon_sym_BSLASHcaption] = ACTIONS(7491),
    [anon_sym_BSLASHcite] = ACTIONS(7491),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCite] = ACTIONS(7491),
    [anon_sym_BSLASHnocite] = ACTIONS(7491),
    [anon_sym_BSLASHcitet] = ACTIONS(7491),
    [anon_sym_BSLASHcitep] = ACTIONS(7491),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteA] = ACTIONS(7491),
    [anon_sym_BSLASHciteR] = ACTIONS(7491),
    [anon_sym_BSLASHciteS] = ACTIONS(7491),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7491),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7491),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7491),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7491),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteyear] = ACTIONS(7491),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcitedate] = ACTIONS(7491),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHciteurl] = ACTIONS(7491),
    [anon_sym_BSLASHfullcite] = ACTIONS(7491),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7491),
    [anon_sym_BSLASHcitealt] = ACTIONS(7491),
    [anon_sym_BSLASHcitealp] = ACTIONS(7491),
    [anon_sym_BSLASHcitetext] = ACTIONS(7491),
    [anon_sym_BSLASHparencite] = ACTIONS(7491),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHParencite] = ACTIONS(7491),
    [anon_sym_BSLASHfootcite] = ACTIONS(7491),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7491),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7491),
    [anon_sym_BSLASHtextcite] = ACTIONS(7491),
    [anon_sym_BSLASHTextcite] = ACTIONS(7491),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7491),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7491),
    [anon_sym_BSLASHsupercite] = ACTIONS(7491),
    [anon_sym_BSLASHautocite] = ACTIONS(7491),
    [anon_sym_BSLASHAutocite] = ACTIONS(7491),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHVolcite] = ACTIONS(7491),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHavolcite] = ACTIONS(7491),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7491),
    [anon_sym_BSLASHnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHNotecite] = ACTIONS(7491),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7491),
    [anon_sym_BSLASHlabel] = ACTIONS(7491),
    [anon_sym_BSLASHref] = ACTIONS(7491),
    [anon_sym_BSLASHeqref] = ACTIONS(7491),
    [anon_sym_BSLASHvref] = ACTIONS(7491),
    [anon_sym_BSLASHVref] = ACTIONS(7491),
    [anon_sym_BSLASHautoref] = ACTIONS(7491),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHpageref] = ACTIONS(7491),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHautopageref] = ACTIONS(7491),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcref] = ACTIONS(7491),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCref] = ACTIONS(7491),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcpageref] = ACTIONS(7491),
    [anon_sym_BSLASHCpageref] = ACTIONS(7491),
    [anon_sym_BSLASHnamecref] = ACTIONS(7491),
    [anon_sym_BSLASHnameCref] = ACTIONS(7491),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7491),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7491),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7491),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7491),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7491),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7491),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7491),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7491),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7491),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7491),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7491),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7491),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7491),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7491),
    [anon_sym_BSLASHdef] = ACTIONS(7491),
    [anon_sym_BSLASHgdef] = ACTIONS(7491),
    [anon_sym_BSLASHedef] = ACTIONS(7491),
    [anon_sym_BSLASHxdef] = ACTIONS(7491),
    [anon_sym_BSLASHlet] = ACTIONS(7491),
    [anon_sym_BSLASHglet] = ACTIONS(7491),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7491),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7491),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7491),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7491),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7491),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7491),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7491),
    [anon_sym_BSLASHgls] = ACTIONS(7491),
    [anon_sym_BSLASHGls] = ACTIONS(7491),
    [anon_sym_BSLASHGLS] = ACTIONS(7491),
    [anon_sym_BSLASHglspl] = ACTIONS(7491),
    [anon_sym_BSLASHGlspl] = ACTIONS(7491),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7491),
    [anon_sym_BSLASHglslink] = ACTIONS(7491),
    [anon_sym_BSLASHglstext] = ACTIONS(7491),
    [anon_sym_BSLASHGlstext] = ACTIONS(7491),
    [anon_sym_BSLASHGLStext] = ACTIONS(7491),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7491),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7491),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7491),
    [anon_sym_BSLASHglsplural] = ACTIONS(7491),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7491),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7491),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7491),
    [anon_sym_BSLASHglsname] = ACTIONS(7491),
    [anon_sym_BSLASHGlsname] = ACTIONS(7491),
    [anon_sym_BSLASHGLSname] = ACTIONS(7491),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7491),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7491),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7491),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7491),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7491),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7491),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7491),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7491),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7491),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7491),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7491),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7491),
    [anon_sym_BSLASHacrshort] = ACTIONS(7491),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7491),
    [anon_sym_BSLASHACRshort] = ACTIONS(7491),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHacrlong] = ACTIONS(7491),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7491),
    [anon_sym_BSLASHACRlong] = ACTIONS(7491),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7491),
    [anon_sym_BSLASHacrfull] = ACTIONS(7491),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7491),
    [anon_sym_BSLASHACRfull] = ACTIONS(7491),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHacs] = ACTIONS(7491),
    [anon_sym_BSLASHAcs] = ACTIONS(7491),
    [anon_sym_BSLASHacsp] = ACTIONS(7491),
    [anon_sym_BSLASHAcsp] = ACTIONS(7491),
    [anon_sym_BSLASHacl] = ACTIONS(7491),
    [anon_sym_BSLASHAcl] = ACTIONS(7491),
    [anon_sym_BSLASHaclp] = ACTIONS(7491),
    [anon_sym_BSLASHAclp] = ACTIONS(7491),
    [anon_sym_BSLASHacf] = ACTIONS(7491),
    [anon_sym_BSLASHAcf] = ACTIONS(7491),
    [anon_sym_BSLASHacfp] = ACTIONS(7491),
    [anon_sym_BSLASHAcfp] = ACTIONS(7491),
    [anon_sym_BSLASHac] = ACTIONS(7491),
    [anon_sym_BSLASHAc] = ACTIONS(7491),
    [anon_sym_BSLASHacp] = ACTIONS(7491),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7491),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7491),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7491),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7491),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7491),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7493),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7491),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7491),
    [anon_sym_BSLASHcolor] = ACTIONS(7491),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7491),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7491),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7491),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7491),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7491),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7491),
    [anon_sym_BSLASHurl] = ACTIONS(7491),
    [anon_sym_BSLASHhref] = ACTIONS(7491),
  },
  [2265] = {
    [sym_command_name] = ACTIONS(7495),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7495),
    [anon_sym_RBRACK] = ACTIONS(7497),
    [anon_sym_COMMA] = ACTIONS(7497),
    [anon_sym_EQ] = ACTIONS(7497),
    [anon_sym_RBRACE] = ACTIONS(7497),
    [sym_word] = ACTIONS(7495),
    [sym_placeholder] = ACTIONS(7497),
    [sym_delimiter] = ACTIONS(7497),
    [anon_sym_PLUS] = ACTIONS(7497),
    [anon_sym_DASH] = ACTIONS(7497),
    [anon_sym_STAR] = ACTIONS(7497),
    [anon_sym_SLASH] = ACTIONS(7497),
    [anon_sym_LT] = ACTIONS(7495),
    [anon_sym_GT] = ACTIONS(7495),
    [anon_sym_BANG] = ACTIONS(7495),
    [anon_sym_PIPE] = ACTIONS(7495),
    [anon_sym_COLON] = ACTIONS(7495),
    [anon_sym_SQUOTE] = ACTIONS(7495),
    [anon_sym__] = ACTIONS(7497),
    [anon_sym_CARET] = ACTIONS(7497),
    [anon_sym_BSLASHtitle] = ACTIONS(7495),
    [anon_sym_BSLASHauthor] = ACTIONS(7495),
    [anon_sym_BSLASHusepackage] = ACTIONS(7495),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7495),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7495),
    [anon_sym_BSLASHinclude] = ACTIONS(7495),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7495),
    [anon_sym_BSLASHinput] = ACTIONS(7495),
    [anon_sym_BSLASHsubfile] = ACTIONS(7495),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7495),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7495),
    [anon_sym_BSLASHbibliography] = ACTIONS(7495),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7495),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7495),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7495),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7495),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7495),
    [anon_sym_BSLASHimport] = ACTIONS(7495),
    [anon_sym_BSLASHsubimport] = ACTIONS(7495),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7495),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7495),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7495),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7495),
    [anon_sym_BSLASHcaption] = ACTIONS(7495),
    [anon_sym_BSLASHcite] = ACTIONS(7495),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCite] = ACTIONS(7495),
    [anon_sym_BSLASHnocite] = ACTIONS(7495),
    [anon_sym_BSLASHcitet] = ACTIONS(7495),
    [anon_sym_BSLASHcitep] = ACTIONS(7495),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteA] = ACTIONS(7495),
    [anon_sym_BSLASHciteR] = ACTIONS(7495),
    [anon_sym_BSLASHciteS] = ACTIONS(7495),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7495),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7495),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7495),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7495),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteyear] = ACTIONS(7495),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcitedate] = ACTIONS(7495),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHciteurl] = ACTIONS(7495),
    [anon_sym_BSLASHfullcite] = ACTIONS(7495),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7495),
    [anon_sym_BSLASHcitealt] = ACTIONS(7495),
    [anon_sym_BSLASHcitealp] = ACTIONS(7495),
    [anon_sym_BSLASHcitetext] = ACTIONS(7495),
    [anon_sym_BSLASHparencite] = ACTIONS(7495),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHParencite] = ACTIONS(7495),
    [anon_sym_BSLASHfootcite] = ACTIONS(7495),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7495),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7495),
    [anon_sym_BSLASHtextcite] = ACTIONS(7495),
    [anon_sym_BSLASHTextcite] = ACTIONS(7495),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7495),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7495),
    [anon_sym_BSLASHsupercite] = ACTIONS(7495),
    [anon_sym_BSLASHautocite] = ACTIONS(7495),
    [anon_sym_BSLASHAutocite] = ACTIONS(7495),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHVolcite] = ACTIONS(7495),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHavolcite] = ACTIONS(7495),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7495),
    [anon_sym_BSLASHnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHNotecite] = ACTIONS(7495),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7495),
    [anon_sym_BSLASHlabel] = ACTIONS(7495),
    [anon_sym_BSLASHref] = ACTIONS(7495),
    [anon_sym_BSLASHeqref] = ACTIONS(7495),
    [anon_sym_BSLASHvref] = ACTIONS(7495),
    [anon_sym_BSLASHVref] = ACTIONS(7495),
    [anon_sym_BSLASHautoref] = ACTIONS(7495),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHpageref] = ACTIONS(7495),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHautopageref] = ACTIONS(7495),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcref] = ACTIONS(7495),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCref] = ACTIONS(7495),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcpageref] = ACTIONS(7495),
    [anon_sym_BSLASHCpageref] = ACTIONS(7495),
    [anon_sym_BSLASHnamecref] = ACTIONS(7495),
    [anon_sym_BSLASHnameCref] = ACTIONS(7495),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7495),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7495),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7495),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7495),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7495),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7495),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7495),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7495),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7495),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7495),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7495),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7495),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7495),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7495),
    [anon_sym_BSLASHdef] = ACTIONS(7495),
    [anon_sym_BSLASHgdef] = ACTIONS(7495),
    [anon_sym_BSLASHedef] = ACTIONS(7495),
    [anon_sym_BSLASHxdef] = ACTIONS(7495),
    [anon_sym_BSLASHlet] = ACTIONS(7495),
    [anon_sym_BSLASHglet] = ACTIONS(7495),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7495),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7495),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7495),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7495),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7495),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7495),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7495),
    [anon_sym_BSLASHgls] = ACTIONS(7495),
    [anon_sym_BSLASHGls] = ACTIONS(7495),
    [anon_sym_BSLASHGLS] = ACTIONS(7495),
    [anon_sym_BSLASHglspl] = ACTIONS(7495),
    [anon_sym_BSLASHGlspl] = ACTIONS(7495),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7495),
    [anon_sym_BSLASHglslink] = ACTIONS(7495),
    [anon_sym_BSLASHglstext] = ACTIONS(7495),
    [anon_sym_BSLASHGlstext] = ACTIONS(7495),
    [anon_sym_BSLASHGLStext] = ACTIONS(7495),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7495),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7495),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7495),
    [anon_sym_BSLASHglsplural] = ACTIONS(7495),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7495),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7495),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7495),
    [anon_sym_BSLASHglsname] = ACTIONS(7495),
    [anon_sym_BSLASHGlsname] = ACTIONS(7495),
    [anon_sym_BSLASHGLSname] = ACTIONS(7495),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7495),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7495),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7495),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7495),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7495),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7495),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7495),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7495),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7495),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7495),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7495),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7495),
    [anon_sym_BSLASHacrshort] = ACTIONS(7495),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7495),
    [anon_sym_BSLASHACRshort] = ACTIONS(7495),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHacrlong] = ACTIONS(7495),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7495),
    [anon_sym_BSLASHACRlong] = ACTIONS(7495),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7495),
    [anon_sym_BSLASHacrfull] = ACTIONS(7495),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7495),
    [anon_sym_BSLASHACRfull] = ACTIONS(7495),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHacs] = ACTIONS(7495),
    [anon_sym_BSLASHAcs] = ACTIONS(7495),
    [anon_sym_BSLASHacsp] = ACTIONS(7495),
    [anon_sym_BSLASHAcsp] = ACTIONS(7495),
    [anon_sym_BSLASHacl] = ACTIONS(7495),
    [anon_sym_BSLASHAcl] = ACTIONS(7495),
    [anon_sym_BSLASHaclp] = ACTIONS(7495),
    [anon_sym_BSLASHAclp] = ACTIONS(7495),
    [anon_sym_BSLASHacf] = ACTIONS(7495),
    [anon_sym_BSLASHAcf] = ACTIONS(7495),
    [anon_sym_BSLASHacfp] = ACTIONS(7495),
    [anon_sym_BSLASHAcfp] = ACTIONS(7495),
    [anon_sym_BSLASHac] = ACTIONS(7495),
    [anon_sym_BSLASHAc] = ACTIONS(7495),
    [anon_sym_BSLASHacp] = ACTIONS(7495),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7495),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7495),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7495),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7495),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7495),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7497),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7495),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7495),
    [anon_sym_BSLASHcolor] = ACTIONS(7495),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7495),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7495),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7495),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7495),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7495),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7495),
    [anon_sym_BSLASHurl] = ACTIONS(7495),
    [anon_sym_BSLASHhref] = ACTIONS(7495),
  },
  [2266] = {
    [sym_command_name] = ACTIONS(7331),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7331),
    [anon_sym_RBRACK] = ACTIONS(7333),
    [anon_sym_COMMA] = ACTIONS(7333),
    [anon_sym_EQ] = ACTIONS(7333),
    [anon_sym_RBRACE] = ACTIONS(7333),
    [sym_word] = ACTIONS(7331),
    [sym_placeholder] = ACTIONS(7333),
    [sym_delimiter] = ACTIONS(7333),
    [anon_sym_PLUS] = ACTIONS(7333),
    [anon_sym_DASH] = ACTIONS(7333),
    [anon_sym_STAR] = ACTIONS(7333),
    [anon_sym_SLASH] = ACTIONS(7333),
    [anon_sym_LT] = ACTIONS(7331),
    [anon_sym_GT] = ACTIONS(7331),
    [anon_sym_BANG] = ACTIONS(7331),
    [anon_sym_PIPE] = ACTIONS(7331),
    [anon_sym_COLON] = ACTIONS(7331),
    [anon_sym_SQUOTE] = ACTIONS(7331),
    [anon_sym__] = ACTIONS(7333),
    [anon_sym_CARET] = ACTIONS(7333),
    [anon_sym_BSLASHtitle] = ACTIONS(7331),
    [anon_sym_BSLASHauthor] = ACTIONS(7331),
    [anon_sym_BSLASHusepackage] = ACTIONS(7331),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7331),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7331),
    [anon_sym_BSLASHinclude] = ACTIONS(7331),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7331),
    [anon_sym_BSLASHinput] = ACTIONS(7331),
    [anon_sym_BSLASHsubfile] = ACTIONS(7331),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7331),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7331),
    [anon_sym_BSLASHbibliography] = ACTIONS(7331),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7331),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7331),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7331),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7331),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7331),
    [anon_sym_BSLASHimport] = ACTIONS(7331),
    [anon_sym_BSLASHsubimport] = ACTIONS(7331),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7331),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7331),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7331),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7331),
    [anon_sym_BSLASHcaption] = ACTIONS(7331),
    [anon_sym_BSLASHcite] = ACTIONS(7331),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCite] = ACTIONS(7331),
    [anon_sym_BSLASHnocite] = ACTIONS(7331),
    [anon_sym_BSLASHcitet] = ACTIONS(7331),
    [anon_sym_BSLASHcitep] = ACTIONS(7331),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteA] = ACTIONS(7331),
    [anon_sym_BSLASHciteR] = ACTIONS(7331),
    [anon_sym_BSLASHciteS] = ACTIONS(7331),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7331),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7331),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7331),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7331),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteyear] = ACTIONS(7331),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcitedate] = ACTIONS(7331),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHciteurl] = ACTIONS(7331),
    [anon_sym_BSLASHfullcite] = ACTIONS(7331),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7331),
    [anon_sym_BSLASHcitealt] = ACTIONS(7331),
    [anon_sym_BSLASHcitealp] = ACTIONS(7331),
    [anon_sym_BSLASHcitetext] = ACTIONS(7331),
    [anon_sym_BSLASHparencite] = ACTIONS(7331),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHParencite] = ACTIONS(7331),
    [anon_sym_BSLASHfootcite] = ACTIONS(7331),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7331),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7331),
    [anon_sym_BSLASHtextcite] = ACTIONS(7331),
    [anon_sym_BSLASHTextcite] = ACTIONS(7331),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7331),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7331),
    [anon_sym_BSLASHsupercite] = ACTIONS(7331),
    [anon_sym_BSLASHautocite] = ACTIONS(7331),
    [anon_sym_BSLASHAutocite] = ACTIONS(7331),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHVolcite] = ACTIONS(7331),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHavolcite] = ACTIONS(7331),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7331),
    [anon_sym_BSLASHnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHNotecite] = ACTIONS(7331),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7331),
    [anon_sym_BSLASHlabel] = ACTIONS(7331),
    [anon_sym_BSLASHref] = ACTIONS(7331),
    [anon_sym_BSLASHeqref] = ACTIONS(7331),
    [anon_sym_BSLASHvref] = ACTIONS(7331),
    [anon_sym_BSLASHVref] = ACTIONS(7331),
    [anon_sym_BSLASHautoref] = ACTIONS(7331),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHpageref] = ACTIONS(7331),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHautopageref] = ACTIONS(7331),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcref] = ACTIONS(7331),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCref] = ACTIONS(7331),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcpageref] = ACTIONS(7331),
    [anon_sym_BSLASHCpageref] = ACTIONS(7331),
    [anon_sym_BSLASHnamecref] = ACTIONS(7331),
    [anon_sym_BSLASHnameCref] = ACTIONS(7331),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7331),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7331),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7331),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7331),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7331),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7331),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7331),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7331),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7331),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7331),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7331),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7331),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7331),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7331),
    [anon_sym_BSLASHdef] = ACTIONS(7331),
    [anon_sym_BSLASHgdef] = ACTIONS(7331),
    [anon_sym_BSLASHedef] = ACTIONS(7331),
    [anon_sym_BSLASHxdef] = ACTIONS(7331),
    [anon_sym_BSLASHlet] = ACTIONS(7331),
    [anon_sym_BSLASHglet] = ACTIONS(7331),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7331),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7331),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7331),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7331),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7331),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7331),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7331),
    [anon_sym_BSLASHgls] = ACTIONS(7331),
    [anon_sym_BSLASHGls] = ACTIONS(7331),
    [anon_sym_BSLASHGLS] = ACTIONS(7331),
    [anon_sym_BSLASHglspl] = ACTIONS(7331),
    [anon_sym_BSLASHGlspl] = ACTIONS(7331),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7331),
    [anon_sym_BSLASHglslink] = ACTIONS(7331),
    [anon_sym_BSLASHglstext] = ACTIONS(7331),
    [anon_sym_BSLASHGlstext] = ACTIONS(7331),
    [anon_sym_BSLASHGLStext] = ACTIONS(7331),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7331),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7331),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7331),
    [anon_sym_BSLASHglsplural] = ACTIONS(7331),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7331),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7331),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7331),
    [anon_sym_BSLASHglsname] = ACTIONS(7331),
    [anon_sym_BSLASHGlsname] = ACTIONS(7331),
    [anon_sym_BSLASHGLSname] = ACTIONS(7331),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7331),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7331),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7331),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7331),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7331),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7331),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7331),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7331),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7331),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7331),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7331),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7331),
    [anon_sym_BSLASHacrshort] = ACTIONS(7331),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7331),
    [anon_sym_BSLASHACRshort] = ACTIONS(7331),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHacrlong] = ACTIONS(7331),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7331),
    [anon_sym_BSLASHACRlong] = ACTIONS(7331),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7331),
    [anon_sym_BSLASHacrfull] = ACTIONS(7331),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7331),
    [anon_sym_BSLASHACRfull] = ACTIONS(7331),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHacs] = ACTIONS(7331),
    [anon_sym_BSLASHAcs] = ACTIONS(7331),
    [anon_sym_BSLASHacsp] = ACTIONS(7331),
    [anon_sym_BSLASHAcsp] = ACTIONS(7331),
    [anon_sym_BSLASHacl] = ACTIONS(7331),
    [anon_sym_BSLASHAcl] = ACTIONS(7331),
    [anon_sym_BSLASHaclp] = ACTIONS(7331),
    [anon_sym_BSLASHAclp] = ACTIONS(7331),
    [anon_sym_BSLASHacf] = ACTIONS(7331),
    [anon_sym_BSLASHAcf] = ACTIONS(7331),
    [anon_sym_BSLASHacfp] = ACTIONS(7331),
    [anon_sym_BSLASHAcfp] = ACTIONS(7331),
    [anon_sym_BSLASHac] = ACTIONS(7331),
    [anon_sym_BSLASHAc] = ACTIONS(7331),
    [anon_sym_BSLASHacp] = ACTIONS(7331),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7331),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7331),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7331),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7331),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7331),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7333),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7331),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7331),
    [anon_sym_BSLASHcolor] = ACTIONS(7331),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7331),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7331),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7331),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7331),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7331),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7331),
    [anon_sym_BSLASHurl] = ACTIONS(7331),
    [anon_sym_BSLASHhref] = ACTIONS(7331),
  },
  [2267] = {
    [sym_command_name] = ACTIONS(7499),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7499),
    [anon_sym_RBRACK] = ACTIONS(7501),
    [anon_sym_COMMA] = ACTIONS(7501),
    [anon_sym_EQ] = ACTIONS(7501),
    [anon_sym_RBRACE] = ACTIONS(7501),
    [sym_word] = ACTIONS(7499),
    [sym_placeholder] = ACTIONS(7501),
    [sym_delimiter] = ACTIONS(7501),
    [anon_sym_PLUS] = ACTIONS(7501),
    [anon_sym_DASH] = ACTIONS(7501),
    [anon_sym_STAR] = ACTIONS(7501),
    [anon_sym_SLASH] = ACTIONS(7501),
    [anon_sym_LT] = ACTIONS(7499),
    [anon_sym_GT] = ACTIONS(7499),
    [anon_sym_BANG] = ACTIONS(7499),
    [anon_sym_PIPE] = ACTIONS(7499),
    [anon_sym_COLON] = ACTIONS(7499),
    [anon_sym_SQUOTE] = ACTIONS(7499),
    [anon_sym__] = ACTIONS(7501),
    [anon_sym_CARET] = ACTIONS(7501),
    [anon_sym_BSLASHtitle] = ACTIONS(7499),
    [anon_sym_BSLASHauthor] = ACTIONS(7499),
    [anon_sym_BSLASHusepackage] = ACTIONS(7499),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7499),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7499),
    [anon_sym_BSLASHinclude] = ACTIONS(7499),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7499),
    [anon_sym_BSLASHinput] = ACTIONS(7499),
    [anon_sym_BSLASHsubfile] = ACTIONS(7499),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7499),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7499),
    [anon_sym_BSLASHbibliography] = ACTIONS(7499),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7499),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7499),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7499),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7499),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7499),
    [anon_sym_BSLASHimport] = ACTIONS(7499),
    [anon_sym_BSLASHsubimport] = ACTIONS(7499),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7499),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7499),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7499),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7499),
    [anon_sym_BSLASHcaption] = ACTIONS(7499),
    [anon_sym_BSLASHcite] = ACTIONS(7499),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCite] = ACTIONS(7499),
    [anon_sym_BSLASHnocite] = ACTIONS(7499),
    [anon_sym_BSLASHcitet] = ACTIONS(7499),
    [anon_sym_BSLASHcitep] = ACTIONS(7499),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteA] = ACTIONS(7499),
    [anon_sym_BSLASHciteR] = ACTIONS(7499),
    [anon_sym_BSLASHciteS] = ACTIONS(7499),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7499),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7499),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7499),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7499),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteyear] = ACTIONS(7499),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcitedate] = ACTIONS(7499),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHciteurl] = ACTIONS(7499),
    [anon_sym_BSLASHfullcite] = ACTIONS(7499),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7499),
    [anon_sym_BSLASHcitealt] = ACTIONS(7499),
    [anon_sym_BSLASHcitealp] = ACTIONS(7499),
    [anon_sym_BSLASHcitetext] = ACTIONS(7499),
    [anon_sym_BSLASHparencite] = ACTIONS(7499),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHParencite] = ACTIONS(7499),
    [anon_sym_BSLASHfootcite] = ACTIONS(7499),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7499),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7499),
    [anon_sym_BSLASHtextcite] = ACTIONS(7499),
    [anon_sym_BSLASHTextcite] = ACTIONS(7499),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7499),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7499),
    [anon_sym_BSLASHsupercite] = ACTIONS(7499),
    [anon_sym_BSLASHautocite] = ACTIONS(7499),
    [anon_sym_BSLASHAutocite] = ACTIONS(7499),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHVolcite] = ACTIONS(7499),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHavolcite] = ACTIONS(7499),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7499),
    [anon_sym_BSLASHnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHNotecite] = ACTIONS(7499),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7499),
    [anon_sym_BSLASHlabel] = ACTIONS(7499),
    [anon_sym_BSLASHref] = ACTIONS(7499),
    [anon_sym_BSLASHeqref] = ACTIONS(7499),
    [anon_sym_BSLASHvref] = ACTIONS(7499),
    [anon_sym_BSLASHVref] = ACTIONS(7499),
    [anon_sym_BSLASHautoref] = ACTIONS(7499),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHpageref] = ACTIONS(7499),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHautopageref] = ACTIONS(7499),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcref] = ACTIONS(7499),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCref] = ACTIONS(7499),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcpageref] = ACTIONS(7499),
    [anon_sym_BSLASHCpageref] = ACTIONS(7499),
    [anon_sym_BSLASHnamecref] = ACTIONS(7499),
    [anon_sym_BSLASHnameCref] = ACTIONS(7499),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7499),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7499),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7499),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7499),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7499),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7499),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7499),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7499),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7499),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7499),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7499),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7499),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7499),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7499),
    [anon_sym_BSLASHdef] = ACTIONS(7499),
    [anon_sym_BSLASHgdef] = ACTIONS(7499),
    [anon_sym_BSLASHedef] = ACTIONS(7499),
    [anon_sym_BSLASHxdef] = ACTIONS(7499),
    [anon_sym_BSLASHlet] = ACTIONS(7499),
    [anon_sym_BSLASHglet] = ACTIONS(7499),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7499),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7499),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7499),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7499),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7499),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7499),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7499),
    [anon_sym_BSLASHgls] = ACTIONS(7499),
    [anon_sym_BSLASHGls] = ACTIONS(7499),
    [anon_sym_BSLASHGLS] = ACTIONS(7499),
    [anon_sym_BSLASHglspl] = ACTIONS(7499),
    [anon_sym_BSLASHGlspl] = ACTIONS(7499),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7499),
    [anon_sym_BSLASHglslink] = ACTIONS(7499),
    [anon_sym_BSLASHglstext] = ACTIONS(7499),
    [anon_sym_BSLASHGlstext] = ACTIONS(7499),
    [anon_sym_BSLASHGLStext] = ACTIONS(7499),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7499),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7499),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7499),
    [anon_sym_BSLASHglsplural] = ACTIONS(7499),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7499),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7499),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7499),
    [anon_sym_BSLASHglsname] = ACTIONS(7499),
    [anon_sym_BSLASHGlsname] = ACTIONS(7499),
    [anon_sym_BSLASHGLSname] = ACTIONS(7499),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7499),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7499),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7499),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7499),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7499),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7499),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7499),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7499),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7499),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7499),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7499),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7499),
    [anon_sym_BSLASHacrshort] = ACTIONS(7499),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7499),
    [anon_sym_BSLASHACRshort] = ACTIONS(7499),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHacrlong] = ACTIONS(7499),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7499),
    [anon_sym_BSLASHACRlong] = ACTIONS(7499),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7499),
    [anon_sym_BSLASHacrfull] = ACTIONS(7499),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7499),
    [anon_sym_BSLASHACRfull] = ACTIONS(7499),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHacs] = ACTIONS(7499),
    [anon_sym_BSLASHAcs] = ACTIONS(7499),
    [anon_sym_BSLASHacsp] = ACTIONS(7499),
    [anon_sym_BSLASHAcsp] = ACTIONS(7499),
    [anon_sym_BSLASHacl] = ACTIONS(7499),
    [anon_sym_BSLASHAcl] = ACTIONS(7499),
    [anon_sym_BSLASHaclp] = ACTIONS(7499),
    [anon_sym_BSLASHAclp] = ACTIONS(7499),
    [anon_sym_BSLASHacf] = ACTIONS(7499),
    [anon_sym_BSLASHAcf] = ACTIONS(7499),
    [anon_sym_BSLASHacfp] = ACTIONS(7499),
    [anon_sym_BSLASHAcfp] = ACTIONS(7499),
    [anon_sym_BSLASHac] = ACTIONS(7499),
    [anon_sym_BSLASHAc] = ACTIONS(7499),
    [anon_sym_BSLASHacp] = ACTIONS(7499),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7499),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7499),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7499),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7499),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7499),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7501),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7499),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7499),
    [anon_sym_BSLASHcolor] = ACTIONS(7499),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7499),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7499),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7499),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7499),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7499),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7499),
    [anon_sym_BSLASHurl] = ACTIONS(7499),
    [anon_sym_BSLASHhref] = ACTIONS(7499),
  },
  [2268] = {
    [sym_command_name] = ACTIONS(7503),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7503),
    [anon_sym_RBRACK] = ACTIONS(7505),
    [anon_sym_COMMA] = ACTIONS(7505),
    [anon_sym_EQ] = ACTIONS(7505),
    [anon_sym_RBRACE] = ACTIONS(7505),
    [sym_word] = ACTIONS(7503),
    [sym_placeholder] = ACTIONS(7505),
    [sym_delimiter] = ACTIONS(7505),
    [anon_sym_PLUS] = ACTIONS(7505),
    [anon_sym_DASH] = ACTIONS(7505),
    [anon_sym_STAR] = ACTIONS(7505),
    [anon_sym_SLASH] = ACTIONS(7505),
    [anon_sym_LT] = ACTIONS(7503),
    [anon_sym_GT] = ACTIONS(7503),
    [anon_sym_BANG] = ACTIONS(7503),
    [anon_sym_PIPE] = ACTIONS(7503),
    [anon_sym_COLON] = ACTIONS(7503),
    [anon_sym_SQUOTE] = ACTIONS(7503),
    [anon_sym__] = ACTIONS(7505),
    [anon_sym_CARET] = ACTIONS(7505),
    [anon_sym_BSLASHtitle] = ACTIONS(7503),
    [anon_sym_BSLASHauthor] = ACTIONS(7503),
    [anon_sym_BSLASHusepackage] = ACTIONS(7503),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7503),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7503),
    [anon_sym_BSLASHinclude] = ACTIONS(7503),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7503),
    [anon_sym_BSLASHinput] = ACTIONS(7503),
    [anon_sym_BSLASHsubfile] = ACTIONS(7503),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7503),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7503),
    [anon_sym_BSLASHbibliography] = ACTIONS(7503),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7503),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7503),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7503),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7503),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7503),
    [anon_sym_BSLASHimport] = ACTIONS(7503),
    [anon_sym_BSLASHsubimport] = ACTIONS(7503),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7503),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7503),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7503),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7503),
    [anon_sym_BSLASHcaption] = ACTIONS(7503),
    [anon_sym_BSLASHcite] = ACTIONS(7503),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCite] = ACTIONS(7503),
    [anon_sym_BSLASHnocite] = ACTIONS(7503),
    [anon_sym_BSLASHcitet] = ACTIONS(7503),
    [anon_sym_BSLASHcitep] = ACTIONS(7503),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteA] = ACTIONS(7503),
    [anon_sym_BSLASHciteR] = ACTIONS(7503),
    [anon_sym_BSLASHciteS] = ACTIONS(7503),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7503),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7503),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7503),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7503),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteyear] = ACTIONS(7503),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcitedate] = ACTIONS(7503),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHciteurl] = ACTIONS(7503),
    [anon_sym_BSLASHfullcite] = ACTIONS(7503),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7503),
    [anon_sym_BSLASHcitealt] = ACTIONS(7503),
    [anon_sym_BSLASHcitealp] = ACTIONS(7503),
    [anon_sym_BSLASHcitetext] = ACTIONS(7503),
    [anon_sym_BSLASHparencite] = ACTIONS(7503),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHParencite] = ACTIONS(7503),
    [anon_sym_BSLASHfootcite] = ACTIONS(7503),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7503),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7503),
    [anon_sym_BSLASHtextcite] = ACTIONS(7503),
    [anon_sym_BSLASHTextcite] = ACTIONS(7503),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7503),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7503),
    [anon_sym_BSLASHsupercite] = ACTIONS(7503),
    [anon_sym_BSLASHautocite] = ACTIONS(7503),
    [anon_sym_BSLASHAutocite] = ACTIONS(7503),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHVolcite] = ACTIONS(7503),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHavolcite] = ACTIONS(7503),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7503),
    [anon_sym_BSLASHnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHNotecite] = ACTIONS(7503),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7503),
    [anon_sym_BSLASHlabel] = ACTIONS(7503),
    [anon_sym_BSLASHref] = ACTIONS(7503),
    [anon_sym_BSLASHeqref] = ACTIONS(7503),
    [anon_sym_BSLASHvref] = ACTIONS(7503),
    [anon_sym_BSLASHVref] = ACTIONS(7503),
    [anon_sym_BSLASHautoref] = ACTIONS(7503),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHpageref] = ACTIONS(7503),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHautopageref] = ACTIONS(7503),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcref] = ACTIONS(7503),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCref] = ACTIONS(7503),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcpageref] = ACTIONS(7503),
    [anon_sym_BSLASHCpageref] = ACTIONS(7503),
    [anon_sym_BSLASHnamecref] = ACTIONS(7503),
    [anon_sym_BSLASHnameCref] = ACTIONS(7503),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7503),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7503),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7503),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7503),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7503),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7503),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7503),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7503),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7503),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7503),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7503),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7503),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7503),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7503),
    [anon_sym_BSLASHdef] = ACTIONS(7503),
    [anon_sym_BSLASHgdef] = ACTIONS(7503),
    [anon_sym_BSLASHedef] = ACTIONS(7503),
    [anon_sym_BSLASHxdef] = ACTIONS(7503),
    [anon_sym_BSLASHlet] = ACTIONS(7503),
    [anon_sym_BSLASHglet] = ACTIONS(7503),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7503),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7503),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7503),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7503),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7503),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7503),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7503),
    [anon_sym_BSLASHgls] = ACTIONS(7503),
    [anon_sym_BSLASHGls] = ACTIONS(7503),
    [anon_sym_BSLASHGLS] = ACTIONS(7503),
    [anon_sym_BSLASHglspl] = ACTIONS(7503),
    [anon_sym_BSLASHGlspl] = ACTIONS(7503),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7503),
    [anon_sym_BSLASHglslink] = ACTIONS(7503),
    [anon_sym_BSLASHglstext] = ACTIONS(7503),
    [anon_sym_BSLASHGlstext] = ACTIONS(7503),
    [anon_sym_BSLASHGLStext] = ACTIONS(7503),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7503),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7503),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7503),
    [anon_sym_BSLASHglsplural] = ACTIONS(7503),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7503),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7503),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7503),
    [anon_sym_BSLASHglsname] = ACTIONS(7503),
    [anon_sym_BSLASHGlsname] = ACTIONS(7503),
    [anon_sym_BSLASHGLSname] = ACTIONS(7503),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7503),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7503),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7503),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7503),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7503),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7503),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7503),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7503),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7503),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7503),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7503),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7503),
    [anon_sym_BSLASHacrshort] = ACTIONS(7503),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7503),
    [anon_sym_BSLASHACRshort] = ACTIONS(7503),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHacrlong] = ACTIONS(7503),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7503),
    [anon_sym_BSLASHACRlong] = ACTIONS(7503),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7503),
    [anon_sym_BSLASHacrfull] = ACTIONS(7503),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7503),
    [anon_sym_BSLASHACRfull] = ACTIONS(7503),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHacs] = ACTIONS(7503),
    [anon_sym_BSLASHAcs] = ACTIONS(7503),
    [anon_sym_BSLASHacsp] = ACTIONS(7503),
    [anon_sym_BSLASHAcsp] = ACTIONS(7503),
    [anon_sym_BSLASHacl] = ACTIONS(7503),
    [anon_sym_BSLASHAcl] = ACTIONS(7503),
    [anon_sym_BSLASHaclp] = ACTIONS(7503),
    [anon_sym_BSLASHAclp] = ACTIONS(7503),
    [anon_sym_BSLASHacf] = ACTIONS(7503),
    [anon_sym_BSLASHAcf] = ACTIONS(7503),
    [anon_sym_BSLASHacfp] = ACTIONS(7503),
    [anon_sym_BSLASHAcfp] = ACTIONS(7503),
    [anon_sym_BSLASHac] = ACTIONS(7503),
    [anon_sym_BSLASHAc] = ACTIONS(7503),
    [anon_sym_BSLASHacp] = ACTIONS(7503),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7503),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7503),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7503),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7503),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7503),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7505),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7503),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7503),
    [anon_sym_BSLASHcolor] = ACTIONS(7503),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7503),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7503),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7503),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7503),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7503),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7503),
    [anon_sym_BSLASHurl] = ACTIONS(7503),
    [anon_sym_BSLASHhref] = ACTIONS(7503),
  },
  [2269] = {
    [sym_command_name] = ACTIONS(7507),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7507),
    [anon_sym_RBRACK] = ACTIONS(7509),
    [anon_sym_COMMA] = ACTIONS(7509),
    [anon_sym_EQ] = ACTIONS(7509),
    [anon_sym_RBRACE] = ACTIONS(7509),
    [sym_word] = ACTIONS(7507),
    [sym_placeholder] = ACTIONS(7509),
    [sym_delimiter] = ACTIONS(7509),
    [anon_sym_PLUS] = ACTIONS(7509),
    [anon_sym_DASH] = ACTIONS(7509),
    [anon_sym_STAR] = ACTIONS(7509),
    [anon_sym_SLASH] = ACTIONS(7509),
    [anon_sym_LT] = ACTIONS(7507),
    [anon_sym_GT] = ACTIONS(7507),
    [anon_sym_BANG] = ACTIONS(7507),
    [anon_sym_PIPE] = ACTIONS(7507),
    [anon_sym_COLON] = ACTIONS(7507),
    [anon_sym_SQUOTE] = ACTIONS(7507),
    [anon_sym__] = ACTIONS(7509),
    [anon_sym_CARET] = ACTIONS(7509),
    [anon_sym_BSLASHtitle] = ACTIONS(7507),
    [anon_sym_BSLASHauthor] = ACTIONS(7507),
    [anon_sym_BSLASHusepackage] = ACTIONS(7507),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7507),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7507),
    [anon_sym_BSLASHinclude] = ACTIONS(7507),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7507),
    [anon_sym_BSLASHinput] = ACTIONS(7507),
    [anon_sym_BSLASHsubfile] = ACTIONS(7507),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7507),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7507),
    [anon_sym_BSLASHbibliography] = ACTIONS(7507),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7507),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7507),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7507),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7507),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7507),
    [anon_sym_BSLASHimport] = ACTIONS(7507),
    [anon_sym_BSLASHsubimport] = ACTIONS(7507),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7507),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7507),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7507),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7507),
    [anon_sym_BSLASHcaption] = ACTIONS(7507),
    [anon_sym_BSLASHcite] = ACTIONS(7507),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCite] = ACTIONS(7507),
    [anon_sym_BSLASHnocite] = ACTIONS(7507),
    [anon_sym_BSLASHcitet] = ACTIONS(7507),
    [anon_sym_BSLASHcitep] = ACTIONS(7507),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteA] = ACTIONS(7507),
    [anon_sym_BSLASHciteR] = ACTIONS(7507),
    [anon_sym_BSLASHciteS] = ACTIONS(7507),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7507),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7507),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7507),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7507),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteyear] = ACTIONS(7507),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcitedate] = ACTIONS(7507),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHciteurl] = ACTIONS(7507),
    [anon_sym_BSLASHfullcite] = ACTIONS(7507),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7507),
    [anon_sym_BSLASHcitealt] = ACTIONS(7507),
    [anon_sym_BSLASHcitealp] = ACTIONS(7507),
    [anon_sym_BSLASHcitetext] = ACTIONS(7507),
    [anon_sym_BSLASHparencite] = ACTIONS(7507),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHParencite] = ACTIONS(7507),
    [anon_sym_BSLASHfootcite] = ACTIONS(7507),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7507),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7507),
    [anon_sym_BSLASHtextcite] = ACTIONS(7507),
    [anon_sym_BSLASHTextcite] = ACTIONS(7507),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7507),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7507),
    [anon_sym_BSLASHsupercite] = ACTIONS(7507),
    [anon_sym_BSLASHautocite] = ACTIONS(7507),
    [anon_sym_BSLASHAutocite] = ACTIONS(7507),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHVolcite] = ACTIONS(7507),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHavolcite] = ACTIONS(7507),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7507),
    [anon_sym_BSLASHnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHNotecite] = ACTIONS(7507),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7507),
    [anon_sym_BSLASHlabel] = ACTIONS(7507),
    [anon_sym_BSLASHref] = ACTIONS(7507),
    [anon_sym_BSLASHeqref] = ACTIONS(7507),
    [anon_sym_BSLASHvref] = ACTIONS(7507),
    [anon_sym_BSLASHVref] = ACTIONS(7507),
    [anon_sym_BSLASHautoref] = ACTIONS(7507),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHpageref] = ACTIONS(7507),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHautopageref] = ACTIONS(7507),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcref] = ACTIONS(7507),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCref] = ACTIONS(7507),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcpageref] = ACTIONS(7507),
    [anon_sym_BSLASHCpageref] = ACTIONS(7507),
    [anon_sym_BSLASHnamecref] = ACTIONS(7507),
    [anon_sym_BSLASHnameCref] = ACTIONS(7507),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7507),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7507),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7507),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7507),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7507),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7507),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7507),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7507),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7507),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7507),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7507),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7507),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7507),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7507),
    [anon_sym_BSLASHdef] = ACTIONS(7507),
    [anon_sym_BSLASHgdef] = ACTIONS(7507),
    [anon_sym_BSLASHedef] = ACTIONS(7507),
    [anon_sym_BSLASHxdef] = ACTIONS(7507),
    [anon_sym_BSLASHlet] = ACTIONS(7507),
    [anon_sym_BSLASHglet] = ACTIONS(7507),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7507),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7507),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7507),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7507),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7507),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7507),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7507),
    [anon_sym_BSLASHgls] = ACTIONS(7507),
    [anon_sym_BSLASHGls] = ACTIONS(7507),
    [anon_sym_BSLASHGLS] = ACTIONS(7507),
    [anon_sym_BSLASHglspl] = ACTIONS(7507),
    [anon_sym_BSLASHGlspl] = ACTIONS(7507),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7507),
    [anon_sym_BSLASHglslink] = ACTIONS(7507),
    [anon_sym_BSLASHglstext] = ACTIONS(7507),
    [anon_sym_BSLASHGlstext] = ACTIONS(7507),
    [anon_sym_BSLASHGLStext] = ACTIONS(7507),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7507),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7507),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7507),
    [anon_sym_BSLASHglsplural] = ACTIONS(7507),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7507),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7507),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7507),
    [anon_sym_BSLASHglsname] = ACTIONS(7507),
    [anon_sym_BSLASHGlsname] = ACTIONS(7507),
    [anon_sym_BSLASHGLSname] = ACTIONS(7507),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7507),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7507),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7507),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7507),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7507),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7507),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7507),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7507),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7507),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7507),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7507),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7507),
    [anon_sym_BSLASHacrshort] = ACTIONS(7507),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7507),
    [anon_sym_BSLASHACRshort] = ACTIONS(7507),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHacrlong] = ACTIONS(7507),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7507),
    [anon_sym_BSLASHACRlong] = ACTIONS(7507),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7507),
    [anon_sym_BSLASHacrfull] = ACTIONS(7507),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7507),
    [anon_sym_BSLASHACRfull] = ACTIONS(7507),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHacs] = ACTIONS(7507),
    [anon_sym_BSLASHAcs] = ACTIONS(7507),
    [anon_sym_BSLASHacsp] = ACTIONS(7507),
    [anon_sym_BSLASHAcsp] = ACTIONS(7507),
    [anon_sym_BSLASHacl] = ACTIONS(7507),
    [anon_sym_BSLASHAcl] = ACTIONS(7507),
    [anon_sym_BSLASHaclp] = ACTIONS(7507),
    [anon_sym_BSLASHAclp] = ACTIONS(7507),
    [anon_sym_BSLASHacf] = ACTIONS(7507),
    [anon_sym_BSLASHAcf] = ACTIONS(7507),
    [anon_sym_BSLASHacfp] = ACTIONS(7507),
    [anon_sym_BSLASHAcfp] = ACTIONS(7507),
    [anon_sym_BSLASHac] = ACTIONS(7507),
    [anon_sym_BSLASHAc] = ACTIONS(7507),
    [anon_sym_BSLASHacp] = ACTIONS(7507),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7507),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7507),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7507),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7507),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7507),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7509),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7507),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7507),
    [anon_sym_BSLASHcolor] = ACTIONS(7507),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7507),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7507),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7507),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7507),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7507),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7507),
    [anon_sym_BSLASHurl] = ACTIONS(7507),
    [anon_sym_BSLASHhref] = ACTIONS(7507),
  },
  [2270] = {
    [sym_command_name] = ACTIONS(7511),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7511),
    [anon_sym_RBRACK] = ACTIONS(7513),
    [anon_sym_COMMA] = ACTIONS(7513),
    [anon_sym_EQ] = ACTIONS(7513),
    [anon_sym_RBRACE] = ACTIONS(7513),
    [sym_word] = ACTIONS(7511),
    [sym_placeholder] = ACTIONS(7513),
    [sym_delimiter] = ACTIONS(7513),
    [anon_sym_PLUS] = ACTIONS(7513),
    [anon_sym_DASH] = ACTIONS(7513),
    [anon_sym_STAR] = ACTIONS(7513),
    [anon_sym_SLASH] = ACTIONS(7513),
    [anon_sym_LT] = ACTIONS(7511),
    [anon_sym_GT] = ACTIONS(7511),
    [anon_sym_BANG] = ACTIONS(7511),
    [anon_sym_PIPE] = ACTIONS(7511),
    [anon_sym_COLON] = ACTIONS(7511),
    [anon_sym_SQUOTE] = ACTIONS(7511),
    [anon_sym__] = ACTIONS(7513),
    [anon_sym_CARET] = ACTIONS(7513),
    [anon_sym_BSLASHtitle] = ACTIONS(7511),
    [anon_sym_BSLASHauthor] = ACTIONS(7511),
    [anon_sym_BSLASHusepackage] = ACTIONS(7511),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7511),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7511),
    [anon_sym_BSLASHinclude] = ACTIONS(7511),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7511),
    [anon_sym_BSLASHinput] = ACTIONS(7511),
    [anon_sym_BSLASHsubfile] = ACTIONS(7511),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7511),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7511),
    [anon_sym_BSLASHbibliography] = ACTIONS(7511),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7511),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7511),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7511),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7511),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7511),
    [anon_sym_BSLASHimport] = ACTIONS(7511),
    [anon_sym_BSLASHsubimport] = ACTIONS(7511),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7511),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7511),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7511),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7511),
    [anon_sym_BSLASHcaption] = ACTIONS(7511),
    [anon_sym_BSLASHcite] = ACTIONS(7511),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCite] = ACTIONS(7511),
    [anon_sym_BSLASHnocite] = ACTIONS(7511),
    [anon_sym_BSLASHcitet] = ACTIONS(7511),
    [anon_sym_BSLASHcitep] = ACTIONS(7511),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteA] = ACTIONS(7511),
    [anon_sym_BSLASHciteR] = ACTIONS(7511),
    [anon_sym_BSLASHciteS] = ACTIONS(7511),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7511),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7511),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7511),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7511),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteyear] = ACTIONS(7511),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcitedate] = ACTIONS(7511),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHciteurl] = ACTIONS(7511),
    [anon_sym_BSLASHfullcite] = ACTIONS(7511),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7511),
    [anon_sym_BSLASHcitealt] = ACTIONS(7511),
    [anon_sym_BSLASHcitealp] = ACTIONS(7511),
    [anon_sym_BSLASHcitetext] = ACTIONS(7511),
    [anon_sym_BSLASHparencite] = ACTIONS(7511),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHParencite] = ACTIONS(7511),
    [anon_sym_BSLASHfootcite] = ACTIONS(7511),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7511),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7511),
    [anon_sym_BSLASHtextcite] = ACTIONS(7511),
    [anon_sym_BSLASHTextcite] = ACTIONS(7511),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7511),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7511),
    [anon_sym_BSLASHsupercite] = ACTIONS(7511),
    [anon_sym_BSLASHautocite] = ACTIONS(7511),
    [anon_sym_BSLASHAutocite] = ACTIONS(7511),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHVolcite] = ACTIONS(7511),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHavolcite] = ACTIONS(7511),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7511),
    [anon_sym_BSLASHnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHNotecite] = ACTIONS(7511),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7511),
    [anon_sym_BSLASHlabel] = ACTIONS(7511),
    [anon_sym_BSLASHref] = ACTIONS(7511),
    [anon_sym_BSLASHeqref] = ACTIONS(7511),
    [anon_sym_BSLASHvref] = ACTIONS(7511),
    [anon_sym_BSLASHVref] = ACTIONS(7511),
    [anon_sym_BSLASHautoref] = ACTIONS(7511),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHpageref] = ACTIONS(7511),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHautopageref] = ACTIONS(7511),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcref] = ACTIONS(7511),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCref] = ACTIONS(7511),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcpageref] = ACTIONS(7511),
    [anon_sym_BSLASHCpageref] = ACTIONS(7511),
    [anon_sym_BSLASHnamecref] = ACTIONS(7511),
    [anon_sym_BSLASHnameCref] = ACTIONS(7511),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7511),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7511),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7511),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7511),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7511),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7511),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7511),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7511),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7511),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7511),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7511),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7511),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7511),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7511),
    [anon_sym_BSLASHdef] = ACTIONS(7511),
    [anon_sym_BSLASHgdef] = ACTIONS(7511),
    [anon_sym_BSLASHedef] = ACTIONS(7511),
    [anon_sym_BSLASHxdef] = ACTIONS(7511),
    [anon_sym_BSLASHlet] = ACTIONS(7511),
    [anon_sym_BSLASHglet] = ACTIONS(7511),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7511),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7511),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7511),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7511),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7511),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7511),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7511),
    [anon_sym_BSLASHgls] = ACTIONS(7511),
    [anon_sym_BSLASHGls] = ACTIONS(7511),
    [anon_sym_BSLASHGLS] = ACTIONS(7511),
    [anon_sym_BSLASHglspl] = ACTIONS(7511),
    [anon_sym_BSLASHGlspl] = ACTIONS(7511),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7511),
    [anon_sym_BSLASHglslink] = ACTIONS(7511),
    [anon_sym_BSLASHglstext] = ACTIONS(7511),
    [anon_sym_BSLASHGlstext] = ACTIONS(7511),
    [anon_sym_BSLASHGLStext] = ACTIONS(7511),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7511),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7511),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7511),
    [anon_sym_BSLASHglsplural] = ACTIONS(7511),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7511),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7511),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7511),
    [anon_sym_BSLASHglsname] = ACTIONS(7511),
    [anon_sym_BSLASHGlsname] = ACTIONS(7511),
    [anon_sym_BSLASHGLSname] = ACTIONS(7511),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7511),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7511),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7511),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7511),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7511),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7511),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7511),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7511),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7511),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7511),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7511),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7511),
    [anon_sym_BSLASHacrshort] = ACTIONS(7511),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7511),
    [anon_sym_BSLASHACRshort] = ACTIONS(7511),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHacrlong] = ACTIONS(7511),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7511),
    [anon_sym_BSLASHACRlong] = ACTIONS(7511),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7511),
    [anon_sym_BSLASHacrfull] = ACTIONS(7511),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7511),
    [anon_sym_BSLASHACRfull] = ACTIONS(7511),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHacs] = ACTIONS(7511),
    [anon_sym_BSLASHAcs] = ACTIONS(7511),
    [anon_sym_BSLASHacsp] = ACTIONS(7511),
    [anon_sym_BSLASHAcsp] = ACTIONS(7511),
    [anon_sym_BSLASHacl] = ACTIONS(7511),
    [anon_sym_BSLASHAcl] = ACTIONS(7511),
    [anon_sym_BSLASHaclp] = ACTIONS(7511),
    [anon_sym_BSLASHAclp] = ACTIONS(7511),
    [anon_sym_BSLASHacf] = ACTIONS(7511),
    [anon_sym_BSLASHAcf] = ACTIONS(7511),
    [anon_sym_BSLASHacfp] = ACTIONS(7511),
    [anon_sym_BSLASHAcfp] = ACTIONS(7511),
    [anon_sym_BSLASHac] = ACTIONS(7511),
    [anon_sym_BSLASHAc] = ACTIONS(7511),
    [anon_sym_BSLASHacp] = ACTIONS(7511),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7511),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7511),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7511),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7511),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7511),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7513),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7511),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7511),
    [anon_sym_BSLASHcolor] = ACTIONS(7511),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7511),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7511),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7511),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7511),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7511),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7511),
    [anon_sym_BSLASHurl] = ACTIONS(7511),
    [anon_sym_BSLASHhref] = ACTIONS(7511),
  },
  [2271] = {
    [sym_command_name] = ACTIONS(7515),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7515),
    [anon_sym_RBRACK] = ACTIONS(7517),
    [anon_sym_COMMA] = ACTIONS(7517),
    [anon_sym_EQ] = ACTIONS(7517),
    [anon_sym_RBRACE] = ACTIONS(7517),
    [sym_word] = ACTIONS(7515),
    [sym_placeholder] = ACTIONS(7517),
    [sym_delimiter] = ACTIONS(7517),
    [anon_sym_PLUS] = ACTIONS(7517),
    [anon_sym_DASH] = ACTIONS(7517),
    [anon_sym_STAR] = ACTIONS(7517),
    [anon_sym_SLASH] = ACTIONS(7517),
    [anon_sym_LT] = ACTIONS(7515),
    [anon_sym_GT] = ACTIONS(7515),
    [anon_sym_BANG] = ACTIONS(7515),
    [anon_sym_PIPE] = ACTIONS(7515),
    [anon_sym_COLON] = ACTIONS(7515),
    [anon_sym_SQUOTE] = ACTIONS(7515),
    [anon_sym__] = ACTIONS(7517),
    [anon_sym_CARET] = ACTIONS(7517),
    [anon_sym_BSLASHtitle] = ACTIONS(7515),
    [anon_sym_BSLASHauthor] = ACTIONS(7515),
    [anon_sym_BSLASHusepackage] = ACTIONS(7515),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7515),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7515),
    [anon_sym_BSLASHinclude] = ACTIONS(7515),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7515),
    [anon_sym_BSLASHinput] = ACTIONS(7515),
    [anon_sym_BSLASHsubfile] = ACTIONS(7515),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7515),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7515),
    [anon_sym_BSLASHbibliography] = ACTIONS(7515),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7515),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7515),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7515),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7515),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7515),
    [anon_sym_BSLASHimport] = ACTIONS(7515),
    [anon_sym_BSLASHsubimport] = ACTIONS(7515),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7515),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7515),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7515),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7515),
    [anon_sym_BSLASHcaption] = ACTIONS(7515),
    [anon_sym_BSLASHcite] = ACTIONS(7515),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCite] = ACTIONS(7515),
    [anon_sym_BSLASHnocite] = ACTIONS(7515),
    [anon_sym_BSLASHcitet] = ACTIONS(7515),
    [anon_sym_BSLASHcitep] = ACTIONS(7515),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteA] = ACTIONS(7515),
    [anon_sym_BSLASHciteR] = ACTIONS(7515),
    [anon_sym_BSLASHciteS] = ACTIONS(7515),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7515),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7515),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7515),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7515),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteyear] = ACTIONS(7515),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcitedate] = ACTIONS(7515),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHciteurl] = ACTIONS(7515),
    [anon_sym_BSLASHfullcite] = ACTIONS(7515),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7515),
    [anon_sym_BSLASHcitealt] = ACTIONS(7515),
    [anon_sym_BSLASHcitealp] = ACTIONS(7515),
    [anon_sym_BSLASHcitetext] = ACTIONS(7515),
    [anon_sym_BSLASHparencite] = ACTIONS(7515),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHParencite] = ACTIONS(7515),
    [anon_sym_BSLASHfootcite] = ACTIONS(7515),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7515),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7515),
    [anon_sym_BSLASHtextcite] = ACTIONS(7515),
    [anon_sym_BSLASHTextcite] = ACTIONS(7515),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7515),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7515),
    [anon_sym_BSLASHsupercite] = ACTIONS(7515),
    [anon_sym_BSLASHautocite] = ACTIONS(7515),
    [anon_sym_BSLASHAutocite] = ACTIONS(7515),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHVolcite] = ACTIONS(7515),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHavolcite] = ACTIONS(7515),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7515),
    [anon_sym_BSLASHnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHNotecite] = ACTIONS(7515),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7515),
    [anon_sym_BSLASHlabel] = ACTIONS(7515),
    [anon_sym_BSLASHref] = ACTIONS(7515),
    [anon_sym_BSLASHeqref] = ACTIONS(7515),
    [anon_sym_BSLASHvref] = ACTIONS(7515),
    [anon_sym_BSLASHVref] = ACTIONS(7515),
    [anon_sym_BSLASHautoref] = ACTIONS(7515),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHpageref] = ACTIONS(7515),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHautopageref] = ACTIONS(7515),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcref] = ACTIONS(7515),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCref] = ACTIONS(7515),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcpageref] = ACTIONS(7515),
    [anon_sym_BSLASHCpageref] = ACTIONS(7515),
    [anon_sym_BSLASHnamecref] = ACTIONS(7515),
    [anon_sym_BSLASHnameCref] = ACTIONS(7515),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7515),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7515),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7515),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7515),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7515),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7515),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7515),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7515),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7515),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7515),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7515),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7515),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7515),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7515),
    [anon_sym_BSLASHdef] = ACTIONS(7515),
    [anon_sym_BSLASHgdef] = ACTIONS(7515),
    [anon_sym_BSLASHedef] = ACTIONS(7515),
    [anon_sym_BSLASHxdef] = ACTIONS(7515),
    [anon_sym_BSLASHlet] = ACTIONS(7515),
    [anon_sym_BSLASHglet] = ACTIONS(7515),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7515),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7515),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7515),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7515),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7515),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7515),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7515),
    [anon_sym_BSLASHgls] = ACTIONS(7515),
    [anon_sym_BSLASHGls] = ACTIONS(7515),
    [anon_sym_BSLASHGLS] = ACTIONS(7515),
    [anon_sym_BSLASHglspl] = ACTIONS(7515),
    [anon_sym_BSLASHGlspl] = ACTIONS(7515),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7515),
    [anon_sym_BSLASHglslink] = ACTIONS(7515),
    [anon_sym_BSLASHglstext] = ACTIONS(7515),
    [anon_sym_BSLASHGlstext] = ACTIONS(7515),
    [anon_sym_BSLASHGLStext] = ACTIONS(7515),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7515),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7515),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7515),
    [anon_sym_BSLASHglsplural] = ACTIONS(7515),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7515),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7515),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7515),
    [anon_sym_BSLASHglsname] = ACTIONS(7515),
    [anon_sym_BSLASHGlsname] = ACTIONS(7515),
    [anon_sym_BSLASHGLSname] = ACTIONS(7515),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7515),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7515),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7515),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7515),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7515),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7515),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7515),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7515),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7515),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7515),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7515),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7515),
    [anon_sym_BSLASHacrshort] = ACTIONS(7515),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7515),
    [anon_sym_BSLASHACRshort] = ACTIONS(7515),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHacrlong] = ACTIONS(7515),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7515),
    [anon_sym_BSLASHACRlong] = ACTIONS(7515),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7515),
    [anon_sym_BSLASHacrfull] = ACTIONS(7515),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7515),
    [anon_sym_BSLASHACRfull] = ACTIONS(7515),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHacs] = ACTIONS(7515),
    [anon_sym_BSLASHAcs] = ACTIONS(7515),
    [anon_sym_BSLASHacsp] = ACTIONS(7515),
    [anon_sym_BSLASHAcsp] = ACTIONS(7515),
    [anon_sym_BSLASHacl] = ACTIONS(7515),
    [anon_sym_BSLASHAcl] = ACTIONS(7515),
    [anon_sym_BSLASHaclp] = ACTIONS(7515),
    [anon_sym_BSLASHAclp] = ACTIONS(7515),
    [anon_sym_BSLASHacf] = ACTIONS(7515),
    [anon_sym_BSLASHAcf] = ACTIONS(7515),
    [anon_sym_BSLASHacfp] = ACTIONS(7515),
    [anon_sym_BSLASHAcfp] = ACTIONS(7515),
    [anon_sym_BSLASHac] = ACTIONS(7515),
    [anon_sym_BSLASHAc] = ACTIONS(7515),
    [anon_sym_BSLASHacp] = ACTIONS(7515),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7515),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7515),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7515),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7515),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7515),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7517),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7515),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7515),
    [anon_sym_BSLASHcolor] = ACTIONS(7515),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7515),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7515),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7515),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7515),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7515),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7515),
    [anon_sym_BSLASHurl] = ACTIONS(7515),
    [anon_sym_BSLASHhref] = ACTIONS(7515),
  },
  [2272] = {
    [sym_command_name] = ACTIONS(7335),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7335),
    [anon_sym_RBRACK] = ACTIONS(7337),
    [anon_sym_COMMA] = ACTIONS(7337),
    [anon_sym_EQ] = ACTIONS(7337),
    [anon_sym_RBRACE] = ACTIONS(7337),
    [sym_word] = ACTIONS(7335),
    [sym_placeholder] = ACTIONS(7337),
    [sym_delimiter] = ACTIONS(7337),
    [anon_sym_PLUS] = ACTIONS(7337),
    [anon_sym_DASH] = ACTIONS(7337),
    [anon_sym_STAR] = ACTIONS(7337),
    [anon_sym_SLASH] = ACTIONS(7337),
    [anon_sym_LT] = ACTIONS(7335),
    [anon_sym_GT] = ACTIONS(7335),
    [anon_sym_BANG] = ACTIONS(7335),
    [anon_sym_PIPE] = ACTIONS(7335),
    [anon_sym_COLON] = ACTIONS(7335),
    [anon_sym_SQUOTE] = ACTIONS(7335),
    [anon_sym__] = ACTIONS(7337),
    [anon_sym_CARET] = ACTIONS(7337),
    [anon_sym_BSLASHtitle] = ACTIONS(7335),
    [anon_sym_BSLASHauthor] = ACTIONS(7335),
    [anon_sym_BSLASHusepackage] = ACTIONS(7335),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7335),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7335),
    [anon_sym_BSLASHinclude] = ACTIONS(7335),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7335),
    [anon_sym_BSLASHinput] = ACTIONS(7335),
    [anon_sym_BSLASHsubfile] = ACTIONS(7335),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7335),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7335),
    [anon_sym_BSLASHbibliography] = ACTIONS(7335),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7335),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7335),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7335),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7335),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7335),
    [anon_sym_BSLASHimport] = ACTIONS(7335),
    [anon_sym_BSLASHsubimport] = ACTIONS(7335),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7335),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7335),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7335),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7335),
    [anon_sym_BSLASHcaption] = ACTIONS(7335),
    [anon_sym_BSLASHcite] = ACTIONS(7335),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCite] = ACTIONS(7335),
    [anon_sym_BSLASHnocite] = ACTIONS(7335),
    [anon_sym_BSLASHcitet] = ACTIONS(7335),
    [anon_sym_BSLASHcitep] = ACTIONS(7335),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteA] = ACTIONS(7335),
    [anon_sym_BSLASHciteR] = ACTIONS(7335),
    [anon_sym_BSLASHciteS] = ACTIONS(7335),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7335),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7335),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7335),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7335),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteyear] = ACTIONS(7335),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcitedate] = ACTIONS(7335),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHciteurl] = ACTIONS(7335),
    [anon_sym_BSLASHfullcite] = ACTIONS(7335),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7335),
    [anon_sym_BSLASHcitealt] = ACTIONS(7335),
    [anon_sym_BSLASHcitealp] = ACTIONS(7335),
    [anon_sym_BSLASHcitetext] = ACTIONS(7335),
    [anon_sym_BSLASHparencite] = ACTIONS(7335),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHParencite] = ACTIONS(7335),
    [anon_sym_BSLASHfootcite] = ACTIONS(7335),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7335),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7335),
    [anon_sym_BSLASHtextcite] = ACTIONS(7335),
    [anon_sym_BSLASHTextcite] = ACTIONS(7335),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7335),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7335),
    [anon_sym_BSLASHsupercite] = ACTIONS(7335),
    [anon_sym_BSLASHautocite] = ACTIONS(7335),
    [anon_sym_BSLASHAutocite] = ACTIONS(7335),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHVolcite] = ACTIONS(7335),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHavolcite] = ACTIONS(7335),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7335),
    [anon_sym_BSLASHnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHNotecite] = ACTIONS(7335),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7335),
    [anon_sym_BSLASHlabel] = ACTIONS(7335),
    [anon_sym_BSLASHref] = ACTIONS(7335),
    [anon_sym_BSLASHeqref] = ACTIONS(7335),
    [anon_sym_BSLASHvref] = ACTIONS(7335),
    [anon_sym_BSLASHVref] = ACTIONS(7335),
    [anon_sym_BSLASHautoref] = ACTIONS(7335),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHpageref] = ACTIONS(7335),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHautopageref] = ACTIONS(7335),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcref] = ACTIONS(7335),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCref] = ACTIONS(7335),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcpageref] = ACTIONS(7335),
    [anon_sym_BSLASHCpageref] = ACTIONS(7335),
    [anon_sym_BSLASHnamecref] = ACTIONS(7335),
    [anon_sym_BSLASHnameCref] = ACTIONS(7335),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7335),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7335),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7335),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7335),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7335),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7335),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7335),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7335),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7335),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7335),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7335),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7335),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7335),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7335),
    [anon_sym_BSLASHdef] = ACTIONS(7335),
    [anon_sym_BSLASHgdef] = ACTIONS(7335),
    [anon_sym_BSLASHedef] = ACTIONS(7335),
    [anon_sym_BSLASHxdef] = ACTIONS(7335),
    [anon_sym_BSLASHlet] = ACTIONS(7335),
    [anon_sym_BSLASHglet] = ACTIONS(7335),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7335),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7335),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7335),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7335),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7335),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7335),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7335),
    [anon_sym_BSLASHgls] = ACTIONS(7335),
    [anon_sym_BSLASHGls] = ACTIONS(7335),
    [anon_sym_BSLASHGLS] = ACTIONS(7335),
    [anon_sym_BSLASHglspl] = ACTIONS(7335),
    [anon_sym_BSLASHGlspl] = ACTIONS(7335),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7335),
    [anon_sym_BSLASHglslink] = ACTIONS(7335),
    [anon_sym_BSLASHglstext] = ACTIONS(7335),
    [anon_sym_BSLASHGlstext] = ACTIONS(7335),
    [anon_sym_BSLASHGLStext] = ACTIONS(7335),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7335),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7335),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7335),
    [anon_sym_BSLASHglsplural] = ACTIONS(7335),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7335),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7335),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7335),
    [anon_sym_BSLASHglsname] = ACTIONS(7335),
    [anon_sym_BSLASHGlsname] = ACTIONS(7335),
    [anon_sym_BSLASHGLSname] = ACTIONS(7335),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7335),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7335),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7335),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7335),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7335),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7335),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7335),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7335),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7335),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7335),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7335),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7335),
    [anon_sym_BSLASHacrshort] = ACTIONS(7335),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7335),
    [anon_sym_BSLASHACRshort] = ACTIONS(7335),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHacrlong] = ACTIONS(7335),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7335),
    [anon_sym_BSLASHACRlong] = ACTIONS(7335),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7335),
    [anon_sym_BSLASHacrfull] = ACTIONS(7335),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7335),
    [anon_sym_BSLASHACRfull] = ACTIONS(7335),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHacs] = ACTIONS(7335),
    [anon_sym_BSLASHAcs] = ACTIONS(7335),
    [anon_sym_BSLASHacsp] = ACTIONS(7335),
    [anon_sym_BSLASHAcsp] = ACTIONS(7335),
    [anon_sym_BSLASHacl] = ACTIONS(7335),
    [anon_sym_BSLASHAcl] = ACTIONS(7335),
    [anon_sym_BSLASHaclp] = ACTIONS(7335),
    [anon_sym_BSLASHAclp] = ACTIONS(7335),
    [anon_sym_BSLASHacf] = ACTIONS(7335),
    [anon_sym_BSLASHAcf] = ACTIONS(7335),
    [anon_sym_BSLASHacfp] = ACTIONS(7335),
    [anon_sym_BSLASHAcfp] = ACTIONS(7335),
    [anon_sym_BSLASHac] = ACTIONS(7335),
    [anon_sym_BSLASHAc] = ACTIONS(7335),
    [anon_sym_BSLASHacp] = ACTIONS(7335),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7335),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7335),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7335),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7335),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7335),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7337),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7335),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7335),
    [anon_sym_BSLASHcolor] = ACTIONS(7335),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7335),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7335),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7335),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7335),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7335),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7335),
    [anon_sym_BSLASHurl] = ACTIONS(7335),
    [anon_sym_BSLASHhref] = ACTIONS(7335),
  },
  [2273] = {
    [sym_command_name] = ACTIONS(7519),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7519),
    [anon_sym_RBRACK] = ACTIONS(7521),
    [anon_sym_COMMA] = ACTIONS(7521),
    [anon_sym_EQ] = ACTIONS(7521),
    [anon_sym_RBRACE] = ACTIONS(7521),
    [sym_word] = ACTIONS(7519),
    [sym_placeholder] = ACTIONS(7521),
    [sym_delimiter] = ACTIONS(7521),
    [anon_sym_PLUS] = ACTIONS(7521),
    [anon_sym_DASH] = ACTIONS(7521),
    [anon_sym_STAR] = ACTIONS(7521),
    [anon_sym_SLASH] = ACTIONS(7521),
    [anon_sym_LT] = ACTIONS(7519),
    [anon_sym_GT] = ACTIONS(7519),
    [anon_sym_BANG] = ACTIONS(7519),
    [anon_sym_PIPE] = ACTIONS(7519),
    [anon_sym_COLON] = ACTIONS(7519),
    [anon_sym_SQUOTE] = ACTIONS(7519),
    [anon_sym__] = ACTIONS(7521),
    [anon_sym_CARET] = ACTIONS(7521),
    [anon_sym_BSLASHtitle] = ACTIONS(7519),
    [anon_sym_BSLASHauthor] = ACTIONS(7519),
    [anon_sym_BSLASHusepackage] = ACTIONS(7519),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7519),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7519),
    [anon_sym_BSLASHinclude] = ACTIONS(7519),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7519),
    [anon_sym_BSLASHinput] = ACTIONS(7519),
    [anon_sym_BSLASHsubfile] = ACTIONS(7519),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7519),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7519),
    [anon_sym_BSLASHbibliography] = ACTIONS(7519),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7519),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7519),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7519),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7519),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7519),
    [anon_sym_BSLASHimport] = ACTIONS(7519),
    [anon_sym_BSLASHsubimport] = ACTIONS(7519),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7519),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7519),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7519),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7519),
    [anon_sym_BSLASHcaption] = ACTIONS(7519),
    [anon_sym_BSLASHcite] = ACTIONS(7519),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCite] = ACTIONS(7519),
    [anon_sym_BSLASHnocite] = ACTIONS(7519),
    [anon_sym_BSLASHcitet] = ACTIONS(7519),
    [anon_sym_BSLASHcitep] = ACTIONS(7519),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteA] = ACTIONS(7519),
    [anon_sym_BSLASHciteR] = ACTIONS(7519),
    [anon_sym_BSLASHciteS] = ACTIONS(7519),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7519),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7519),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7519),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7519),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteyear] = ACTIONS(7519),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcitedate] = ACTIONS(7519),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHciteurl] = ACTIONS(7519),
    [anon_sym_BSLASHfullcite] = ACTIONS(7519),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7519),
    [anon_sym_BSLASHcitealt] = ACTIONS(7519),
    [anon_sym_BSLASHcitealp] = ACTIONS(7519),
    [anon_sym_BSLASHcitetext] = ACTIONS(7519),
    [anon_sym_BSLASHparencite] = ACTIONS(7519),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHParencite] = ACTIONS(7519),
    [anon_sym_BSLASHfootcite] = ACTIONS(7519),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7519),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7519),
    [anon_sym_BSLASHtextcite] = ACTIONS(7519),
    [anon_sym_BSLASHTextcite] = ACTIONS(7519),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7519),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7519),
    [anon_sym_BSLASHsupercite] = ACTIONS(7519),
    [anon_sym_BSLASHautocite] = ACTIONS(7519),
    [anon_sym_BSLASHAutocite] = ACTIONS(7519),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHVolcite] = ACTIONS(7519),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHavolcite] = ACTIONS(7519),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7519),
    [anon_sym_BSLASHnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHNotecite] = ACTIONS(7519),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7519),
    [anon_sym_BSLASHlabel] = ACTIONS(7519),
    [anon_sym_BSLASHref] = ACTIONS(7519),
    [anon_sym_BSLASHeqref] = ACTIONS(7519),
    [anon_sym_BSLASHvref] = ACTIONS(7519),
    [anon_sym_BSLASHVref] = ACTIONS(7519),
    [anon_sym_BSLASHautoref] = ACTIONS(7519),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHpageref] = ACTIONS(7519),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHautopageref] = ACTIONS(7519),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcref] = ACTIONS(7519),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCref] = ACTIONS(7519),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcpageref] = ACTIONS(7519),
    [anon_sym_BSLASHCpageref] = ACTIONS(7519),
    [anon_sym_BSLASHnamecref] = ACTIONS(7519),
    [anon_sym_BSLASHnameCref] = ACTIONS(7519),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7519),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7519),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7519),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7519),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7519),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7519),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7519),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7519),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7519),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7519),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7519),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7519),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7519),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7519),
    [anon_sym_BSLASHdef] = ACTIONS(7519),
    [anon_sym_BSLASHgdef] = ACTIONS(7519),
    [anon_sym_BSLASHedef] = ACTIONS(7519),
    [anon_sym_BSLASHxdef] = ACTIONS(7519),
    [anon_sym_BSLASHlet] = ACTIONS(7519),
    [anon_sym_BSLASHglet] = ACTIONS(7519),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7519),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7519),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7519),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7519),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7519),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7519),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7519),
    [anon_sym_BSLASHgls] = ACTIONS(7519),
    [anon_sym_BSLASHGls] = ACTIONS(7519),
    [anon_sym_BSLASHGLS] = ACTIONS(7519),
    [anon_sym_BSLASHglspl] = ACTIONS(7519),
    [anon_sym_BSLASHGlspl] = ACTIONS(7519),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7519),
    [anon_sym_BSLASHglslink] = ACTIONS(7519),
    [anon_sym_BSLASHglstext] = ACTIONS(7519),
    [anon_sym_BSLASHGlstext] = ACTIONS(7519),
    [anon_sym_BSLASHGLStext] = ACTIONS(7519),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7519),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7519),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7519),
    [anon_sym_BSLASHglsplural] = ACTIONS(7519),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7519),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7519),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7519),
    [anon_sym_BSLASHglsname] = ACTIONS(7519),
    [anon_sym_BSLASHGlsname] = ACTIONS(7519),
    [anon_sym_BSLASHGLSname] = ACTIONS(7519),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7519),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7519),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7519),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7519),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7519),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7519),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7519),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7519),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7519),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7519),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7519),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7519),
    [anon_sym_BSLASHacrshort] = ACTIONS(7519),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7519),
    [anon_sym_BSLASHACRshort] = ACTIONS(7519),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHacrlong] = ACTIONS(7519),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7519),
    [anon_sym_BSLASHACRlong] = ACTIONS(7519),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7519),
    [anon_sym_BSLASHacrfull] = ACTIONS(7519),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7519),
    [anon_sym_BSLASHACRfull] = ACTIONS(7519),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHacs] = ACTIONS(7519),
    [anon_sym_BSLASHAcs] = ACTIONS(7519),
    [anon_sym_BSLASHacsp] = ACTIONS(7519),
    [anon_sym_BSLASHAcsp] = ACTIONS(7519),
    [anon_sym_BSLASHacl] = ACTIONS(7519),
    [anon_sym_BSLASHAcl] = ACTIONS(7519),
    [anon_sym_BSLASHaclp] = ACTIONS(7519),
    [anon_sym_BSLASHAclp] = ACTIONS(7519),
    [anon_sym_BSLASHacf] = ACTIONS(7519),
    [anon_sym_BSLASHAcf] = ACTIONS(7519),
    [anon_sym_BSLASHacfp] = ACTIONS(7519),
    [anon_sym_BSLASHAcfp] = ACTIONS(7519),
    [anon_sym_BSLASHac] = ACTIONS(7519),
    [anon_sym_BSLASHAc] = ACTIONS(7519),
    [anon_sym_BSLASHacp] = ACTIONS(7519),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7519),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7519),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7519),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7519),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7519),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7521),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7519),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7519),
    [anon_sym_BSLASHcolor] = ACTIONS(7519),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7519),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7519),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7519),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7519),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7519),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7519),
    [anon_sym_BSLASHurl] = ACTIONS(7519),
    [anon_sym_BSLASHhref] = ACTIONS(7519),
  },
  [2274] = {
    [sym_command_name] = ACTIONS(7523),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7523),
    [anon_sym_RBRACK] = ACTIONS(7525),
    [anon_sym_COMMA] = ACTIONS(7525),
    [anon_sym_EQ] = ACTIONS(7525),
    [anon_sym_RBRACE] = ACTIONS(7525),
    [sym_word] = ACTIONS(7523),
    [sym_placeholder] = ACTIONS(7525),
    [sym_delimiter] = ACTIONS(7525),
    [anon_sym_PLUS] = ACTIONS(7525),
    [anon_sym_DASH] = ACTIONS(7525),
    [anon_sym_STAR] = ACTIONS(7525),
    [anon_sym_SLASH] = ACTIONS(7525),
    [anon_sym_LT] = ACTIONS(7523),
    [anon_sym_GT] = ACTIONS(7523),
    [anon_sym_BANG] = ACTIONS(7523),
    [anon_sym_PIPE] = ACTIONS(7523),
    [anon_sym_COLON] = ACTIONS(7523),
    [anon_sym_SQUOTE] = ACTIONS(7523),
    [anon_sym__] = ACTIONS(7525),
    [anon_sym_CARET] = ACTIONS(7525),
    [anon_sym_BSLASHtitle] = ACTIONS(7523),
    [anon_sym_BSLASHauthor] = ACTIONS(7523),
    [anon_sym_BSLASHusepackage] = ACTIONS(7523),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7523),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7523),
    [anon_sym_BSLASHinclude] = ACTIONS(7523),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7523),
    [anon_sym_BSLASHinput] = ACTIONS(7523),
    [anon_sym_BSLASHsubfile] = ACTIONS(7523),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7523),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7523),
    [anon_sym_BSLASHbibliography] = ACTIONS(7523),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7523),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7523),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7523),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7523),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7523),
    [anon_sym_BSLASHimport] = ACTIONS(7523),
    [anon_sym_BSLASHsubimport] = ACTIONS(7523),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7523),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7523),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7523),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7523),
    [anon_sym_BSLASHcaption] = ACTIONS(7523),
    [anon_sym_BSLASHcite] = ACTIONS(7523),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCite] = ACTIONS(7523),
    [anon_sym_BSLASHnocite] = ACTIONS(7523),
    [anon_sym_BSLASHcitet] = ACTIONS(7523),
    [anon_sym_BSLASHcitep] = ACTIONS(7523),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteA] = ACTIONS(7523),
    [anon_sym_BSLASHciteR] = ACTIONS(7523),
    [anon_sym_BSLASHciteS] = ACTIONS(7523),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7523),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7523),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7523),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7523),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteyear] = ACTIONS(7523),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcitedate] = ACTIONS(7523),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHciteurl] = ACTIONS(7523),
    [anon_sym_BSLASHfullcite] = ACTIONS(7523),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7523),
    [anon_sym_BSLASHcitealt] = ACTIONS(7523),
    [anon_sym_BSLASHcitealp] = ACTIONS(7523),
    [anon_sym_BSLASHcitetext] = ACTIONS(7523),
    [anon_sym_BSLASHparencite] = ACTIONS(7523),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHParencite] = ACTIONS(7523),
    [anon_sym_BSLASHfootcite] = ACTIONS(7523),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7523),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7523),
    [anon_sym_BSLASHtextcite] = ACTIONS(7523),
    [anon_sym_BSLASHTextcite] = ACTIONS(7523),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7523),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7523),
    [anon_sym_BSLASHsupercite] = ACTIONS(7523),
    [anon_sym_BSLASHautocite] = ACTIONS(7523),
    [anon_sym_BSLASHAutocite] = ACTIONS(7523),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHVolcite] = ACTIONS(7523),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHavolcite] = ACTIONS(7523),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7523),
    [anon_sym_BSLASHnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHNotecite] = ACTIONS(7523),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7523),
    [anon_sym_BSLASHlabel] = ACTIONS(7523),
    [anon_sym_BSLASHref] = ACTIONS(7523),
    [anon_sym_BSLASHeqref] = ACTIONS(7523),
    [anon_sym_BSLASHvref] = ACTIONS(7523),
    [anon_sym_BSLASHVref] = ACTIONS(7523),
    [anon_sym_BSLASHautoref] = ACTIONS(7523),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHpageref] = ACTIONS(7523),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHautopageref] = ACTIONS(7523),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcref] = ACTIONS(7523),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCref] = ACTIONS(7523),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcpageref] = ACTIONS(7523),
    [anon_sym_BSLASHCpageref] = ACTIONS(7523),
    [anon_sym_BSLASHnamecref] = ACTIONS(7523),
    [anon_sym_BSLASHnameCref] = ACTIONS(7523),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7523),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7523),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7523),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7523),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7523),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7523),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7523),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7523),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7523),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7523),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7523),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7523),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7523),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7523),
    [anon_sym_BSLASHdef] = ACTIONS(7523),
    [anon_sym_BSLASHgdef] = ACTIONS(7523),
    [anon_sym_BSLASHedef] = ACTIONS(7523),
    [anon_sym_BSLASHxdef] = ACTIONS(7523),
    [anon_sym_BSLASHlet] = ACTIONS(7523),
    [anon_sym_BSLASHglet] = ACTIONS(7523),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7523),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7523),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7523),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7523),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7523),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7523),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7523),
    [anon_sym_BSLASHgls] = ACTIONS(7523),
    [anon_sym_BSLASHGls] = ACTIONS(7523),
    [anon_sym_BSLASHGLS] = ACTIONS(7523),
    [anon_sym_BSLASHglspl] = ACTIONS(7523),
    [anon_sym_BSLASHGlspl] = ACTIONS(7523),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7523),
    [anon_sym_BSLASHglslink] = ACTIONS(7523),
    [anon_sym_BSLASHglstext] = ACTIONS(7523),
    [anon_sym_BSLASHGlstext] = ACTIONS(7523),
    [anon_sym_BSLASHGLStext] = ACTIONS(7523),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7523),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7523),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7523),
    [anon_sym_BSLASHglsplural] = ACTIONS(7523),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7523),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7523),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7523),
    [anon_sym_BSLASHglsname] = ACTIONS(7523),
    [anon_sym_BSLASHGlsname] = ACTIONS(7523),
    [anon_sym_BSLASHGLSname] = ACTIONS(7523),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7523),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7523),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7523),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7523),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7523),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7523),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7523),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7523),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7523),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7523),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7523),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7523),
    [anon_sym_BSLASHacrshort] = ACTIONS(7523),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7523),
    [anon_sym_BSLASHACRshort] = ACTIONS(7523),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHacrlong] = ACTIONS(7523),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7523),
    [anon_sym_BSLASHACRlong] = ACTIONS(7523),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7523),
    [anon_sym_BSLASHacrfull] = ACTIONS(7523),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7523),
    [anon_sym_BSLASHACRfull] = ACTIONS(7523),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHacs] = ACTIONS(7523),
    [anon_sym_BSLASHAcs] = ACTIONS(7523),
    [anon_sym_BSLASHacsp] = ACTIONS(7523),
    [anon_sym_BSLASHAcsp] = ACTIONS(7523),
    [anon_sym_BSLASHacl] = ACTIONS(7523),
    [anon_sym_BSLASHAcl] = ACTIONS(7523),
    [anon_sym_BSLASHaclp] = ACTIONS(7523),
    [anon_sym_BSLASHAclp] = ACTIONS(7523),
    [anon_sym_BSLASHacf] = ACTIONS(7523),
    [anon_sym_BSLASHAcf] = ACTIONS(7523),
    [anon_sym_BSLASHacfp] = ACTIONS(7523),
    [anon_sym_BSLASHAcfp] = ACTIONS(7523),
    [anon_sym_BSLASHac] = ACTIONS(7523),
    [anon_sym_BSLASHAc] = ACTIONS(7523),
    [anon_sym_BSLASHacp] = ACTIONS(7523),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7523),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7523),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7523),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7523),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7523),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7525),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7523),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7523),
    [anon_sym_BSLASHcolor] = ACTIONS(7523),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7523),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7523),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7523),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7523),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7523),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7523),
    [anon_sym_BSLASHurl] = ACTIONS(7523),
    [anon_sym_BSLASHhref] = ACTIONS(7523),
  },
  [2275] = {
    [sym_command_name] = ACTIONS(7339),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7339),
    [anon_sym_RBRACK] = ACTIONS(7341),
    [anon_sym_COMMA] = ACTIONS(7341),
    [anon_sym_EQ] = ACTIONS(7341),
    [anon_sym_RBRACE] = ACTIONS(7341),
    [sym_word] = ACTIONS(7339),
    [sym_placeholder] = ACTIONS(7341),
    [sym_delimiter] = ACTIONS(7341),
    [anon_sym_PLUS] = ACTIONS(7341),
    [anon_sym_DASH] = ACTIONS(7341),
    [anon_sym_STAR] = ACTIONS(7341),
    [anon_sym_SLASH] = ACTIONS(7341),
    [anon_sym_LT] = ACTIONS(7339),
    [anon_sym_GT] = ACTIONS(7339),
    [anon_sym_BANG] = ACTIONS(7339),
    [anon_sym_PIPE] = ACTIONS(7339),
    [anon_sym_COLON] = ACTIONS(7339),
    [anon_sym_SQUOTE] = ACTIONS(7339),
    [anon_sym__] = ACTIONS(7341),
    [anon_sym_CARET] = ACTIONS(7341),
    [anon_sym_BSLASHtitle] = ACTIONS(7339),
    [anon_sym_BSLASHauthor] = ACTIONS(7339),
    [anon_sym_BSLASHusepackage] = ACTIONS(7339),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7339),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7339),
    [anon_sym_BSLASHinclude] = ACTIONS(7339),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7339),
    [anon_sym_BSLASHinput] = ACTIONS(7339),
    [anon_sym_BSLASHsubfile] = ACTIONS(7339),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7339),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7339),
    [anon_sym_BSLASHbibliography] = ACTIONS(7339),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7339),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7339),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7339),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7339),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7339),
    [anon_sym_BSLASHimport] = ACTIONS(7339),
    [anon_sym_BSLASHsubimport] = ACTIONS(7339),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7339),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7339),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7339),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7339),
    [anon_sym_BSLASHcaption] = ACTIONS(7339),
    [anon_sym_BSLASHcite] = ACTIONS(7339),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCite] = ACTIONS(7339),
    [anon_sym_BSLASHnocite] = ACTIONS(7339),
    [anon_sym_BSLASHcitet] = ACTIONS(7339),
    [anon_sym_BSLASHcitep] = ACTIONS(7339),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteA] = ACTIONS(7339),
    [anon_sym_BSLASHciteR] = ACTIONS(7339),
    [anon_sym_BSLASHciteS] = ACTIONS(7339),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7339),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7339),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7339),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7339),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteyear] = ACTIONS(7339),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcitedate] = ACTIONS(7339),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHciteurl] = ACTIONS(7339),
    [anon_sym_BSLASHfullcite] = ACTIONS(7339),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7339),
    [anon_sym_BSLASHcitealt] = ACTIONS(7339),
    [anon_sym_BSLASHcitealp] = ACTIONS(7339),
    [anon_sym_BSLASHcitetext] = ACTIONS(7339),
    [anon_sym_BSLASHparencite] = ACTIONS(7339),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHParencite] = ACTIONS(7339),
    [anon_sym_BSLASHfootcite] = ACTIONS(7339),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7339),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7339),
    [anon_sym_BSLASHtextcite] = ACTIONS(7339),
    [anon_sym_BSLASHTextcite] = ACTIONS(7339),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7339),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7339),
    [anon_sym_BSLASHsupercite] = ACTIONS(7339),
    [anon_sym_BSLASHautocite] = ACTIONS(7339),
    [anon_sym_BSLASHAutocite] = ACTIONS(7339),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHVolcite] = ACTIONS(7339),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHavolcite] = ACTIONS(7339),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7339),
    [anon_sym_BSLASHnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHNotecite] = ACTIONS(7339),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7339),
    [anon_sym_BSLASHlabel] = ACTIONS(7339),
    [anon_sym_BSLASHref] = ACTIONS(7339),
    [anon_sym_BSLASHeqref] = ACTIONS(7339),
    [anon_sym_BSLASHvref] = ACTIONS(7339),
    [anon_sym_BSLASHVref] = ACTIONS(7339),
    [anon_sym_BSLASHautoref] = ACTIONS(7339),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHpageref] = ACTIONS(7339),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHautopageref] = ACTIONS(7339),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcref] = ACTIONS(7339),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCref] = ACTIONS(7339),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcpageref] = ACTIONS(7339),
    [anon_sym_BSLASHCpageref] = ACTIONS(7339),
    [anon_sym_BSLASHnamecref] = ACTIONS(7339),
    [anon_sym_BSLASHnameCref] = ACTIONS(7339),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7339),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7339),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7339),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7339),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7339),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7339),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7339),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7339),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7339),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7339),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7339),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7339),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7339),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7339),
    [anon_sym_BSLASHdef] = ACTIONS(7339),
    [anon_sym_BSLASHgdef] = ACTIONS(7339),
    [anon_sym_BSLASHedef] = ACTIONS(7339),
    [anon_sym_BSLASHxdef] = ACTIONS(7339),
    [anon_sym_BSLASHlet] = ACTIONS(7339),
    [anon_sym_BSLASHglet] = ACTIONS(7339),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7339),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7339),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7339),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7339),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7339),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7339),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7339),
    [anon_sym_BSLASHgls] = ACTIONS(7339),
    [anon_sym_BSLASHGls] = ACTIONS(7339),
    [anon_sym_BSLASHGLS] = ACTIONS(7339),
    [anon_sym_BSLASHglspl] = ACTIONS(7339),
    [anon_sym_BSLASHGlspl] = ACTIONS(7339),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7339),
    [anon_sym_BSLASHglslink] = ACTIONS(7339),
    [anon_sym_BSLASHglstext] = ACTIONS(7339),
    [anon_sym_BSLASHGlstext] = ACTIONS(7339),
    [anon_sym_BSLASHGLStext] = ACTIONS(7339),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7339),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7339),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7339),
    [anon_sym_BSLASHglsplural] = ACTIONS(7339),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7339),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7339),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7339),
    [anon_sym_BSLASHglsname] = ACTIONS(7339),
    [anon_sym_BSLASHGlsname] = ACTIONS(7339),
    [anon_sym_BSLASHGLSname] = ACTIONS(7339),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7339),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7339),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7339),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7339),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7339),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7339),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7339),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7339),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7339),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7339),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7339),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7339),
    [anon_sym_BSLASHacrshort] = ACTIONS(7339),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7339),
    [anon_sym_BSLASHACRshort] = ACTIONS(7339),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHacrlong] = ACTIONS(7339),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7339),
    [anon_sym_BSLASHACRlong] = ACTIONS(7339),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7339),
    [anon_sym_BSLASHacrfull] = ACTIONS(7339),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7339),
    [anon_sym_BSLASHACRfull] = ACTIONS(7339),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHacs] = ACTIONS(7339),
    [anon_sym_BSLASHAcs] = ACTIONS(7339),
    [anon_sym_BSLASHacsp] = ACTIONS(7339),
    [anon_sym_BSLASHAcsp] = ACTIONS(7339),
    [anon_sym_BSLASHacl] = ACTIONS(7339),
    [anon_sym_BSLASHAcl] = ACTIONS(7339),
    [anon_sym_BSLASHaclp] = ACTIONS(7339),
    [anon_sym_BSLASHAclp] = ACTIONS(7339),
    [anon_sym_BSLASHacf] = ACTIONS(7339),
    [anon_sym_BSLASHAcf] = ACTIONS(7339),
    [anon_sym_BSLASHacfp] = ACTIONS(7339),
    [anon_sym_BSLASHAcfp] = ACTIONS(7339),
    [anon_sym_BSLASHac] = ACTIONS(7339),
    [anon_sym_BSLASHAc] = ACTIONS(7339),
    [anon_sym_BSLASHacp] = ACTIONS(7339),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7339),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7339),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7339),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7339),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7339),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7341),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7339),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7339),
    [anon_sym_BSLASHcolor] = ACTIONS(7339),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7339),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7339),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7339),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7339),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7339),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7339),
    [anon_sym_BSLASHurl] = ACTIONS(7339),
    [anon_sym_BSLASHhref] = ACTIONS(7339),
  },
  [2276] = {
    [sym_command_name] = ACTIONS(7223),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7223),
    [anon_sym_RBRACK] = ACTIONS(7225),
    [anon_sym_COMMA] = ACTIONS(7225),
    [anon_sym_EQ] = ACTIONS(7225),
    [anon_sym_RBRACE] = ACTIONS(7225),
    [sym_word] = ACTIONS(7223),
    [sym_placeholder] = ACTIONS(7225),
    [sym_delimiter] = ACTIONS(7225),
    [anon_sym_PLUS] = ACTIONS(7225),
    [anon_sym_DASH] = ACTIONS(7225),
    [anon_sym_STAR] = ACTIONS(7225),
    [anon_sym_SLASH] = ACTIONS(7225),
    [anon_sym_LT] = ACTIONS(7223),
    [anon_sym_GT] = ACTIONS(7223),
    [anon_sym_BANG] = ACTIONS(7223),
    [anon_sym_PIPE] = ACTIONS(7223),
    [anon_sym_COLON] = ACTIONS(7223),
    [anon_sym_SQUOTE] = ACTIONS(7223),
    [anon_sym__] = ACTIONS(7225),
    [anon_sym_CARET] = ACTIONS(7225),
    [anon_sym_BSLASHtitle] = ACTIONS(7223),
    [anon_sym_BSLASHauthor] = ACTIONS(7223),
    [anon_sym_BSLASHusepackage] = ACTIONS(7223),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7223),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7223),
    [anon_sym_BSLASHinclude] = ACTIONS(7223),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7223),
    [anon_sym_BSLASHinput] = ACTIONS(7223),
    [anon_sym_BSLASHsubfile] = ACTIONS(7223),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7223),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7223),
    [anon_sym_BSLASHbibliography] = ACTIONS(7223),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7223),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7223),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7223),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7223),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7223),
    [anon_sym_BSLASHimport] = ACTIONS(7223),
    [anon_sym_BSLASHsubimport] = ACTIONS(7223),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7223),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7223),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7223),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7223),
    [anon_sym_BSLASHcaption] = ACTIONS(7223),
    [anon_sym_BSLASHcite] = ACTIONS(7223),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCite] = ACTIONS(7223),
    [anon_sym_BSLASHnocite] = ACTIONS(7223),
    [anon_sym_BSLASHcitet] = ACTIONS(7223),
    [anon_sym_BSLASHcitep] = ACTIONS(7223),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteA] = ACTIONS(7223),
    [anon_sym_BSLASHciteR] = ACTIONS(7223),
    [anon_sym_BSLASHciteS] = ACTIONS(7223),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7223),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7223),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7223),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7223),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteyear] = ACTIONS(7223),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcitedate] = ACTIONS(7223),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHciteurl] = ACTIONS(7223),
    [anon_sym_BSLASHfullcite] = ACTIONS(7223),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7223),
    [anon_sym_BSLASHcitealt] = ACTIONS(7223),
    [anon_sym_BSLASHcitealp] = ACTIONS(7223),
    [anon_sym_BSLASHcitetext] = ACTIONS(7223),
    [anon_sym_BSLASHparencite] = ACTIONS(7223),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHParencite] = ACTIONS(7223),
    [anon_sym_BSLASHfootcite] = ACTIONS(7223),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7223),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7223),
    [anon_sym_BSLASHtextcite] = ACTIONS(7223),
    [anon_sym_BSLASHTextcite] = ACTIONS(7223),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7223),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7223),
    [anon_sym_BSLASHsupercite] = ACTIONS(7223),
    [anon_sym_BSLASHautocite] = ACTIONS(7223),
    [anon_sym_BSLASHAutocite] = ACTIONS(7223),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHVolcite] = ACTIONS(7223),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHavolcite] = ACTIONS(7223),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7223),
    [anon_sym_BSLASHnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHNotecite] = ACTIONS(7223),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7223),
    [anon_sym_BSLASHlabel] = ACTIONS(7223),
    [anon_sym_BSLASHref] = ACTIONS(7223),
    [anon_sym_BSLASHeqref] = ACTIONS(7223),
    [anon_sym_BSLASHvref] = ACTIONS(7223),
    [anon_sym_BSLASHVref] = ACTIONS(7223),
    [anon_sym_BSLASHautoref] = ACTIONS(7223),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHpageref] = ACTIONS(7223),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHautopageref] = ACTIONS(7223),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcref] = ACTIONS(7223),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCref] = ACTIONS(7223),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcpageref] = ACTIONS(7223),
    [anon_sym_BSLASHCpageref] = ACTIONS(7223),
    [anon_sym_BSLASHnamecref] = ACTIONS(7223),
    [anon_sym_BSLASHnameCref] = ACTIONS(7223),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7223),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7223),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7223),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7223),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7223),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7223),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7223),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7223),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7223),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7223),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7223),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7223),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7223),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7223),
    [anon_sym_BSLASHdef] = ACTIONS(7223),
    [anon_sym_BSLASHgdef] = ACTIONS(7223),
    [anon_sym_BSLASHedef] = ACTIONS(7223),
    [anon_sym_BSLASHxdef] = ACTIONS(7223),
    [anon_sym_BSLASHlet] = ACTIONS(7223),
    [anon_sym_BSLASHglet] = ACTIONS(7223),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7223),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7223),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7223),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7223),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7223),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7223),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7223),
    [anon_sym_BSLASHgls] = ACTIONS(7223),
    [anon_sym_BSLASHGls] = ACTIONS(7223),
    [anon_sym_BSLASHGLS] = ACTIONS(7223),
    [anon_sym_BSLASHglspl] = ACTIONS(7223),
    [anon_sym_BSLASHGlspl] = ACTIONS(7223),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7223),
    [anon_sym_BSLASHglslink] = ACTIONS(7223),
    [anon_sym_BSLASHglstext] = ACTIONS(7223),
    [anon_sym_BSLASHGlstext] = ACTIONS(7223),
    [anon_sym_BSLASHGLStext] = ACTIONS(7223),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7223),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7223),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7223),
    [anon_sym_BSLASHglsplural] = ACTIONS(7223),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7223),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7223),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7223),
    [anon_sym_BSLASHglsname] = ACTIONS(7223),
    [anon_sym_BSLASHGlsname] = ACTIONS(7223),
    [anon_sym_BSLASHGLSname] = ACTIONS(7223),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7223),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7223),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7223),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7223),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7223),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7223),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7223),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7223),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7223),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7223),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7223),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7223),
    [anon_sym_BSLASHacrshort] = ACTIONS(7223),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7223),
    [anon_sym_BSLASHACRshort] = ACTIONS(7223),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHacrlong] = ACTIONS(7223),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7223),
    [anon_sym_BSLASHACRlong] = ACTIONS(7223),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7223),
    [anon_sym_BSLASHacrfull] = ACTIONS(7223),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7223),
    [anon_sym_BSLASHACRfull] = ACTIONS(7223),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHacs] = ACTIONS(7223),
    [anon_sym_BSLASHAcs] = ACTIONS(7223),
    [anon_sym_BSLASHacsp] = ACTIONS(7223),
    [anon_sym_BSLASHAcsp] = ACTIONS(7223),
    [anon_sym_BSLASHacl] = ACTIONS(7223),
    [anon_sym_BSLASHAcl] = ACTIONS(7223),
    [anon_sym_BSLASHaclp] = ACTIONS(7223),
    [anon_sym_BSLASHAclp] = ACTIONS(7223),
    [anon_sym_BSLASHacf] = ACTIONS(7223),
    [anon_sym_BSLASHAcf] = ACTIONS(7223),
    [anon_sym_BSLASHacfp] = ACTIONS(7223),
    [anon_sym_BSLASHAcfp] = ACTIONS(7223),
    [anon_sym_BSLASHac] = ACTIONS(7223),
    [anon_sym_BSLASHAc] = ACTIONS(7223),
    [anon_sym_BSLASHacp] = ACTIONS(7223),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7223),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7223),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7223),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7223),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7223),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7225),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7223),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7223),
    [anon_sym_BSLASHcolor] = ACTIONS(7223),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7223),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7223),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7223),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7223),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7223),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7223),
    [anon_sym_BSLASHurl] = ACTIONS(7223),
    [anon_sym_BSLASHhref] = ACTIONS(7223),
  },
  [2277] = {
    [sym_command_name] = ACTIONS(7043),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7043),
    [anon_sym_RBRACK] = ACTIONS(7045),
    [anon_sym_COMMA] = ACTIONS(7045),
    [anon_sym_EQ] = ACTIONS(7045),
    [anon_sym_RBRACE] = ACTIONS(7045),
    [sym_word] = ACTIONS(7043),
    [sym_placeholder] = ACTIONS(7045),
    [sym_delimiter] = ACTIONS(7045),
    [anon_sym_PLUS] = ACTIONS(7045),
    [anon_sym_DASH] = ACTIONS(7045),
    [anon_sym_STAR] = ACTIONS(7045),
    [anon_sym_SLASH] = ACTIONS(7045),
    [anon_sym_LT] = ACTIONS(7043),
    [anon_sym_GT] = ACTIONS(7043),
    [anon_sym_BANG] = ACTIONS(7043),
    [anon_sym_PIPE] = ACTIONS(7043),
    [anon_sym_COLON] = ACTIONS(7043),
    [anon_sym_SQUOTE] = ACTIONS(7043),
    [anon_sym__] = ACTIONS(7045),
    [anon_sym_CARET] = ACTIONS(7045),
    [anon_sym_BSLASHtitle] = ACTIONS(7043),
    [anon_sym_BSLASHauthor] = ACTIONS(7043),
    [anon_sym_BSLASHusepackage] = ACTIONS(7043),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7043),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7043),
    [anon_sym_BSLASHinclude] = ACTIONS(7043),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7043),
    [anon_sym_BSLASHinput] = ACTIONS(7043),
    [anon_sym_BSLASHsubfile] = ACTIONS(7043),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7043),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7043),
    [anon_sym_BSLASHbibliography] = ACTIONS(7043),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7043),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7043),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7043),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7043),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7043),
    [anon_sym_BSLASHimport] = ACTIONS(7043),
    [anon_sym_BSLASHsubimport] = ACTIONS(7043),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7043),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7043),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7043),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7043),
    [anon_sym_BSLASHcaption] = ACTIONS(7043),
    [anon_sym_BSLASHcite] = ACTIONS(7043),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCite] = ACTIONS(7043),
    [anon_sym_BSLASHnocite] = ACTIONS(7043),
    [anon_sym_BSLASHcitet] = ACTIONS(7043),
    [anon_sym_BSLASHcitep] = ACTIONS(7043),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteA] = ACTIONS(7043),
    [anon_sym_BSLASHciteR] = ACTIONS(7043),
    [anon_sym_BSLASHciteS] = ACTIONS(7043),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7043),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7043),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7043),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7043),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteyear] = ACTIONS(7043),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcitedate] = ACTIONS(7043),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHciteurl] = ACTIONS(7043),
    [anon_sym_BSLASHfullcite] = ACTIONS(7043),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7043),
    [anon_sym_BSLASHcitealt] = ACTIONS(7043),
    [anon_sym_BSLASHcitealp] = ACTIONS(7043),
    [anon_sym_BSLASHcitetext] = ACTIONS(7043),
    [anon_sym_BSLASHparencite] = ACTIONS(7043),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHParencite] = ACTIONS(7043),
    [anon_sym_BSLASHfootcite] = ACTIONS(7043),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7043),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7043),
    [anon_sym_BSLASHtextcite] = ACTIONS(7043),
    [anon_sym_BSLASHTextcite] = ACTIONS(7043),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7043),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7043),
    [anon_sym_BSLASHsupercite] = ACTIONS(7043),
    [anon_sym_BSLASHautocite] = ACTIONS(7043),
    [anon_sym_BSLASHAutocite] = ACTIONS(7043),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHVolcite] = ACTIONS(7043),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHavolcite] = ACTIONS(7043),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7043),
    [anon_sym_BSLASHnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHNotecite] = ACTIONS(7043),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7043),
    [anon_sym_BSLASHlabel] = ACTIONS(7043),
    [anon_sym_BSLASHref] = ACTIONS(7043),
    [anon_sym_BSLASHeqref] = ACTIONS(7043),
    [anon_sym_BSLASHvref] = ACTIONS(7043),
    [anon_sym_BSLASHVref] = ACTIONS(7043),
    [anon_sym_BSLASHautoref] = ACTIONS(7043),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHpageref] = ACTIONS(7043),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHautopageref] = ACTIONS(7043),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcref] = ACTIONS(7043),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCref] = ACTIONS(7043),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcpageref] = ACTIONS(7043),
    [anon_sym_BSLASHCpageref] = ACTIONS(7043),
    [anon_sym_BSLASHnamecref] = ACTIONS(7043),
    [anon_sym_BSLASHnameCref] = ACTIONS(7043),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7043),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7043),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7043),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7043),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7043),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7043),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7043),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7043),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7043),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7043),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7043),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7043),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7043),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7043),
    [anon_sym_BSLASHdef] = ACTIONS(7043),
    [anon_sym_BSLASHgdef] = ACTIONS(7043),
    [anon_sym_BSLASHedef] = ACTIONS(7043),
    [anon_sym_BSLASHxdef] = ACTIONS(7043),
    [anon_sym_BSLASHlet] = ACTIONS(7043),
    [anon_sym_BSLASHglet] = ACTIONS(7043),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7043),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7043),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7043),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7043),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7043),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7043),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7043),
    [anon_sym_BSLASHgls] = ACTIONS(7043),
    [anon_sym_BSLASHGls] = ACTIONS(7043),
    [anon_sym_BSLASHGLS] = ACTIONS(7043),
    [anon_sym_BSLASHglspl] = ACTIONS(7043),
    [anon_sym_BSLASHGlspl] = ACTIONS(7043),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7043),
    [anon_sym_BSLASHglslink] = ACTIONS(7043),
    [anon_sym_BSLASHglstext] = ACTIONS(7043),
    [anon_sym_BSLASHGlstext] = ACTIONS(7043),
    [anon_sym_BSLASHGLStext] = ACTIONS(7043),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7043),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7043),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7043),
    [anon_sym_BSLASHglsplural] = ACTIONS(7043),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7043),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7043),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7043),
    [anon_sym_BSLASHglsname] = ACTIONS(7043),
    [anon_sym_BSLASHGlsname] = ACTIONS(7043),
    [anon_sym_BSLASHGLSname] = ACTIONS(7043),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7043),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7043),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7043),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7043),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7043),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7043),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7043),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7043),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7043),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7043),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7043),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7043),
    [anon_sym_BSLASHacrshort] = ACTIONS(7043),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7043),
    [anon_sym_BSLASHACRshort] = ACTIONS(7043),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHacrlong] = ACTIONS(7043),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7043),
    [anon_sym_BSLASHACRlong] = ACTIONS(7043),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7043),
    [anon_sym_BSLASHacrfull] = ACTIONS(7043),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7043),
    [anon_sym_BSLASHACRfull] = ACTIONS(7043),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHacs] = ACTIONS(7043),
    [anon_sym_BSLASHAcs] = ACTIONS(7043),
    [anon_sym_BSLASHacsp] = ACTIONS(7043),
    [anon_sym_BSLASHAcsp] = ACTIONS(7043),
    [anon_sym_BSLASHacl] = ACTIONS(7043),
    [anon_sym_BSLASHAcl] = ACTIONS(7043),
    [anon_sym_BSLASHaclp] = ACTIONS(7043),
    [anon_sym_BSLASHAclp] = ACTIONS(7043),
    [anon_sym_BSLASHacf] = ACTIONS(7043),
    [anon_sym_BSLASHAcf] = ACTIONS(7043),
    [anon_sym_BSLASHacfp] = ACTIONS(7043),
    [anon_sym_BSLASHAcfp] = ACTIONS(7043),
    [anon_sym_BSLASHac] = ACTIONS(7043),
    [anon_sym_BSLASHAc] = ACTIONS(7043),
    [anon_sym_BSLASHacp] = ACTIONS(7043),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7043),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7043),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7043),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7043),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7043),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7045),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7043),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7043),
    [anon_sym_BSLASHcolor] = ACTIONS(7043),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7043),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7043),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7043),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7043),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7043),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7043),
    [anon_sym_BSLASHurl] = ACTIONS(7043),
    [anon_sym_BSLASHhref] = ACTIONS(7043),
  },
  [2278] = {
    [sym_command_name] = ACTIONS(7599),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7599),
    [anon_sym_RBRACK] = ACTIONS(7601),
    [anon_sym_COMMA] = ACTIONS(7601),
    [anon_sym_EQ] = ACTIONS(7601),
    [anon_sym_RBRACE] = ACTIONS(7601),
    [sym_word] = ACTIONS(7599),
    [sym_placeholder] = ACTIONS(7601),
    [sym_delimiter] = ACTIONS(7601),
    [anon_sym_PLUS] = ACTIONS(7601),
    [anon_sym_DASH] = ACTIONS(7601),
    [anon_sym_STAR] = ACTIONS(7601),
    [anon_sym_SLASH] = ACTIONS(7601),
    [anon_sym_LT] = ACTIONS(7599),
    [anon_sym_GT] = ACTIONS(7599),
    [anon_sym_BANG] = ACTIONS(7599),
    [anon_sym_PIPE] = ACTIONS(7599),
    [anon_sym_COLON] = ACTIONS(7599),
    [anon_sym_SQUOTE] = ACTIONS(7599),
    [anon_sym__] = ACTIONS(7601),
    [anon_sym_CARET] = ACTIONS(7601),
    [anon_sym_BSLASHtitle] = ACTIONS(7599),
    [anon_sym_BSLASHauthor] = ACTIONS(7599),
    [anon_sym_BSLASHusepackage] = ACTIONS(7599),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7599),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7599),
    [anon_sym_BSLASHinclude] = ACTIONS(7599),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7599),
    [anon_sym_BSLASHinput] = ACTIONS(7599),
    [anon_sym_BSLASHsubfile] = ACTIONS(7599),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7599),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7599),
    [anon_sym_BSLASHbibliography] = ACTIONS(7599),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7599),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7599),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7599),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7599),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7599),
    [anon_sym_BSLASHimport] = ACTIONS(7599),
    [anon_sym_BSLASHsubimport] = ACTIONS(7599),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7599),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7599),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7599),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7599),
    [anon_sym_BSLASHcaption] = ACTIONS(7599),
    [anon_sym_BSLASHcite] = ACTIONS(7599),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCite] = ACTIONS(7599),
    [anon_sym_BSLASHnocite] = ACTIONS(7599),
    [anon_sym_BSLASHcitet] = ACTIONS(7599),
    [anon_sym_BSLASHcitep] = ACTIONS(7599),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteA] = ACTIONS(7599),
    [anon_sym_BSLASHciteR] = ACTIONS(7599),
    [anon_sym_BSLASHciteS] = ACTIONS(7599),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7599),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7599),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7599),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7599),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteyear] = ACTIONS(7599),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcitedate] = ACTIONS(7599),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHciteurl] = ACTIONS(7599),
    [anon_sym_BSLASHfullcite] = ACTIONS(7599),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7599),
    [anon_sym_BSLASHcitealt] = ACTIONS(7599),
    [anon_sym_BSLASHcitealp] = ACTIONS(7599),
    [anon_sym_BSLASHcitetext] = ACTIONS(7599),
    [anon_sym_BSLASHparencite] = ACTIONS(7599),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHParencite] = ACTIONS(7599),
    [anon_sym_BSLASHfootcite] = ACTIONS(7599),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7599),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7599),
    [anon_sym_BSLASHtextcite] = ACTIONS(7599),
    [anon_sym_BSLASHTextcite] = ACTIONS(7599),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7599),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7599),
    [anon_sym_BSLASHsupercite] = ACTIONS(7599),
    [anon_sym_BSLASHautocite] = ACTIONS(7599),
    [anon_sym_BSLASHAutocite] = ACTIONS(7599),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHVolcite] = ACTIONS(7599),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHavolcite] = ACTIONS(7599),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7599),
    [anon_sym_BSLASHnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHNotecite] = ACTIONS(7599),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7599),
    [anon_sym_BSLASHlabel] = ACTIONS(7599),
    [anon_sym_BSLASHref] = ACTIONS(7599),
    [anon_sym_BSLASHeqref] = ACTIONS(7599),
    [anon_sym_BSLASHvref] = ACTIONS(7599),
    [anon_sym_BSLASHVref] = ACTIONS(7599),
    [anon_sym_BSLASHautoref] = ACTIONS(7599),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHpageref] = ACTIONS(7599),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHautopageref] = ACTIONS(7599),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcref] = ACTIONS(7599),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCref] = ACTIONS(7599),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcpageref] = ACTIONS(7599),
    [anon_sym_BSLASHCpageref] = ACTIONS(7599),
    [anon_sym_BSLASHnamecref] = ACTIONS(7599),
    [anon_sym_BSLASHnameCref] = ACTIONS(7599),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7599),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7599),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7599),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7599),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7599),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7599),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7599),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7599),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7599),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7599),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7599),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7599),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7599),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7599),
    [anon_sym_BSLASHdef] = ACTIONS(7599),
    [anon_sym_BSLASHgdef] = ACTIONS(7599),
    [anon_sym_BSLASHedef] = ACTIONS(7599),
    [anon_sym_BSLASHxdef] = ACTIONS(7599),
    [anon_sym_BSLASHlet] = ACTIONS(7599),
    [anon_sym_BSLASHglet] = ACTIONS(7599),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7599),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7599),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7599),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7599),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7599),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7599),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7599),
    [anon_sym_BSLASHgls] = ACTIONS(7599),
    [anon_sym_BSLASHGls] = ACTIONS(7599),
    [anon_sym_BSLASHGLS] = ACTIONS(7599),
    [anon_sym_BSLASHglspl] = ACTIONS(7599),
    [anon_sym_BSLASHGlspl] = ACTIONS(7599),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7599),
    [anon_sym_BSLASHglslink] = ACTIONS(7599),
    [anon_sym_BSLASHglstext] = ACTIONS(7599),
    [anon_sym_BSLASHGlstext] = ACTIONS(7599),
    [anon_sym_BSLASHGLStext] = ACTIONS(7599),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7599),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7599),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7599),
    [anon_sym_BSLASHglsplural] = ACTIONS(7599),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7599),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7599),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7599),
    [anon_sym_BSLASHglsname] = ACTIONS(7599),
    [anon_sym_BSLASHGlsname] = ACTIONS(7599),
    [anon_sym_BSLASHGLSname] = ACTIONS(7599),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7599),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7599),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7599),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7599),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7599),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7599),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7599),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7599),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7599),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7599),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7599),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7599),
    [anon_sym_BSLASHacrshort] = ACTIONS(7599),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7599),
    [anon_sym_BSLASHACRshort] = ACTIONS(7599),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHacrlong] = ACTIONS(7599),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7599),
    [anon_sym_BSLASHACRlong] = ACTIONS(7599),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7599),
    [anon_sym_BSLASHacrfull] = ACTIONS(7599),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7599),
    [anon_sym_BSLASHACRfull] = ACTIONS(7599),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHacs] = ACTIONS(7599),
    [anon_sym_BSLASHAcs] = ACTIONS(7599),
    [anon_sym_BSLASHacsp] = ACTIONS(7599),
    [anon_sym_BSLASHAcsp] = ACTIONS(7599),
    [anon_sym_BSLASHacl] = ACTIONS(7599),
    [anon_sym_BSLASHAcl] = ACTIONS(7599),
    [anon_sym_BSLASHaclp] = ACTIONS(7599),
    [anon_sym_BSLASHAclp] = ACTIONS(7599),
    [anon_sym_BSLASHacf] = ACTIONS(7599),
    [anon_sym_BSLASHAcf] = ACTIONS(7599),
    [anon_sym_BSLASHacfp] = ACTIONS(7599),
    [anon_sym_BSLASHAcfp] = ACTIONS(7599),
    [anon_sym_BSLASHac] = ACTIONS(7599),
    [anon_sym_BSLASHAc] = ACTIONS(7599),
    [anon_sym_BSLASHacp] = ACTIONS(7599),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7599),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7599),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7599),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7599),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7599),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7601),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7599),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7599),
    [anon_sym_BSLASHcolor] = ACTIONS(7599),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7599),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7599),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7599),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7599),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7599),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7599),
    [anon_sym_BSLASHurl] = ACTIONS(7599),
    [anon_sym_BSLASHhref] = ACTIONS(7599),
  },
  [2279] = {
    [sym_command_name] = ACTIONS(7343),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7343),
    [anon_sym_RBRACK] = ACTIONS(7345),
    [anon_sym_COMMA] = ACTIONS(7345),
    [anon_sym_EQ] = ACTIONS(7345),
    [anon_sym_RBRACE] = ACTIONS(7345),
    [sym_word] = ACTIONS(7343),
    [sym_placeholder] = ACTIONS(7345),
    [sym_delimiter] = ACTIONS(7345),
    [anon_sym_PLUS] = ACTIONS(7345),
    [anon_sym_DASH] = ACTIONS(7345),
    [anon_sym_STAR] = ACTIONS(7345),
    [anon_sym_SLASH] = ACTIONS(7345),
    [anon_sym_LT] = ACTIONS(7343),
    [anon_sym_GT] = ACTIONS(7343),
    [anon_sym_BANG] = ACTIONS(7343),
    [anon_sym_PIPE] = ACTIONS(7343),
    [anon_sym_COLON] = ACTIONS(7343),
    [anon_sym_SQUOTE] = ACTIONS(7343),
    [anon_sym__] = ACTIONS(7345),
    [anon_sym_CARET] = ACTIONS(7345),
    [anon_sym_BSLASHtitle] = ACTIONS(7343),
    [anon_sym_BSLASHauthor] = ACTIONS(7343),
    [anon_sym_BSLASHusepackage] = ACTIONS(7343),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7343),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7343),
    [anon_sym_BSLASHinclude] = ACTIONS(7343),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7343),
    [anon_sym_BSLASHinput] = ACTIONS(7343),
    [anon_sym_BSLASHsubfile] = ACTIONS(7343),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7343),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7343),
    [anon_sym_BSLASHbibliography] = ACTIONS(7343),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7343),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7343),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7343),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7343),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7343),
    [anon_sym_BSLASHimport] = ACTIONS(7343),
    [anon_sym_BSLASHsubimport] = ACTIONS(7343),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7343),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7343),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7343),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7343),
    [anon_sym_BSLASHcaption] = ACTIONS(7343),
    [anon_sym_BSLASHcite] = ACTIONS(7343),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCite] = ACTIONS(7343),
    [anon_sym_BSLASHnocite] = ACTIONS(7343),
    [anon_sym_BSLASHcitet] = ACTIONS(7343),
    [anon_sym_BSLASHcitep] = ACTIONS(7343),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteA] = ACTIONS(7343),
    [anon_sym_BSLASHciteR] = ACTIONS(7343),
    [anon_sym_BSLASHciteS] = ACTIONS(7343),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7343),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7343),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7343),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7343),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteyear] = ACTIONS(7343),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcitedate] = ACTIONS(7343),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHciteurl] = ACTIONS(7343),
    [anon_sym_BSLASHfullcite] = ACTIONS(7343),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7343),
    [anon_sym_BSLASHcitealt] = ACTIONS(7343),
    [anon_sym_BSLASHcitealp] = ACTIONS(7343),
    [anon_sym_BSLASHcitetext] = ACTIONS(7343),
    [anon_sym_BSLASHparencite] = ACTIONS(7343),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHParencite] = ACTIONS(7343),
    [anon_sym_BSLASHfootcite] = ACTIONS(7343),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7343),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7343),
    [anon_sym_BSLASHtextcite] = ACTIONS(7343),
    [anon_sym_BSLASHTextcite] = ACTIONS(7343),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7343),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7343),
    [anon_sym_BSLASHsupercite] = ACTIONS(7343),
    [anon_sym_BSLASHautocite] = ACTIONS(7343),
    [anon_sym_BSLASHAutocite] = ACTIONS(7343),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHVolcite] = ACTIONS(7343),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHavolcite] = ACTIONS(7343),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7343),
    [anon_sym_BSLASHnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHNotecite] = ACTIONS(7343),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7343),
    [anon_sym_BSLASHlabel] = ACTIONS(7343),
    [anon_sym_BSLASHref] = ACTIONS(7343),
    [anon_sym_BSLASHeqref] = ACTIONS(7343),
    [anon_sym_BSLASHvref] = ACTIONS(7343),
    [anon_sym_BSLASHVref] = ACTIONS(7343),
    [anon_sym_BSLASHautoref] = ACTIONS(7343),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHpageref] = ACTIONS(7343),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHautopageref] = ACTIONS(7343),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcref] = ACTIONS(7343),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCref] = ACTIONS(7343),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcpageref] = ACTIONS(7343),
    [anon_sym_BSLASHCpageref] = ACTIONS(7343),
    [anon_sym_BSLASHnamecref] = ACTIONS(7343),
    [anon_sym_BSLASHnameCref] = ACTIONS(7343),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7343),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7343),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7343),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7343),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7343),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7343),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7343),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7343),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7343),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7343),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7343),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7343),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7343),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7343),
    [anon_sym_BSLASHdef] = ACTIONS(7343),
    [anon_sym_BSLASHgdef] = ACTIONS(7343),
    [anon_sym_BSLASHedef] = ACTIONS(7343),
    [anon_sym_BSLASHxdef] = ACTIONS(7343),
    [anon_sym_BSLASHlet] = ACTIONS(7343),
    [anon_sym_BSLASHglet] = ACTIONS(7343),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7343),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7343),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7343),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7343),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7343),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7343),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7343),
    [anon_sym_BSLASHgls] = ACTIONS(7343),
    [anon_sym_BSLASHGls] = ACTIONS(7343),
    [anon_sym_BSLASHGLS] = ACTIONS(7343),
    [anon_sym_BSLASHglspl] = ACTIONS(7343),
    [anon_sym_BSLASHGlspl] = ACTIONS(7343),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7343),
    [anon_sym_BSLASHglslink] = ACTIONS(7343),
    [anon_sym_BSLASHglstext] = ACTIONS(7343),
    [anon_sym_BSLASHGlstext] = ACTIONS(7343),
    [anon_sym_BSLASHGLStext] = ACTIONS(7343),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7343),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7343),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7343),
    [anon_sym_BSLASHglsplural] = ACTIONS(7343),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7343),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7343),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7343),
    [anon_sym_BSLASHglsname] = ACTIONS(7343),
    [anon_sym_BSLASHGlsname] = ACTIONS(7343),
    [anon_sym_BSLASHGLSname] = ACTIONS(7343),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7343),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7343),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7343),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7343),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7343),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7343),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7343),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7343),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7343),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7343),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7343),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7343),
    [anon_sym_BSLASHacrshort] = ACTIONS(7343),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7343),
    [anon_sym_BSLASHACRshort] = ACTIONS(7343),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHacrlong] = ACTIONS(7343),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7343),
    [anon_sym_BSLASHACRlong] = ACTIONS(7343),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7343),
    [anon_sym_BSLASHacrfull] = ACTIONS(7343),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7343),
    [anon_sym_BSLASHACRfull] = ACTIONS(7343),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHacs] = ACTIONS(7343),
    [anon_sym_BSLASHAcs] = ACTIONS(7343),
    [anon_sym_BSLASHacsp] = ACTIONS(7343),
    [anon_sym_BSLASHAcsp] = ACTIONS(7343),
    [anon_sym_BSLASHacl] = ACTIONS(7343),
    [anon_sym_BSLASHAcl] = ACTIONS(7343),
    [anon_sym_BSLASHaclp] = ACTIONS(7343),
    [anon_sym_BSLASHAclp] = ACTIONS(7343),
    [anon_sym_BSLASHacf] = ACTIONS(7343),
    [anon_sym_BSLASHAcf] = ACTIONS(7343),
    [anon_sym_BSLASHacfp] = ACTIONS(7343),
    [anon_sym_BSLASHAcfp] = ACTIONS(7343),
    [anon_sym_BSLASHac] = ACTIONS(7343),
    [anon_sym_BSLASHAc] = ACTIONS(7343),
    [anon_sym_BSLASHacp] = ACTIONS(7343),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7343),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7343),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7343),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7343),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7343),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7345),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7343),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7343),
    [anon_sym_BSLASHcolor] = ACTIONS(7343),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7343),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7343),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7343),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7343),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7343),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7343),
    [anon_sym_BSLASHurl] = ACTIONS(7343),
    [anon_sym_BSLASHhref] = ACTIONS(7343),
  },
  [2280] = {
    [sym_command_name] = ACTIONS(7347),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7347),
    [anon_sym_RBRACK] = ACTIONS(7349),
    [anon_sym_COMMA] = ACTIONS(7349),
    [anon_sym_EQ] = ACTIONS(7349),
    [anon_sym_RBRACE] = ACTIONS(7349),
    [sym_word] = ACTIONS(7347),
    [sym_placeholder] = ACTIONS(7349),
    [sym_delimiter] = ACTIONS(7349),
    [anon_sym_PLUS] = ACTIONS(7349),
    [anon_sym_DASH] = ACTIONS(7349),
    [anon_sym_STAR] = ACTIONS(7349),
    [anon_sym_SLASH] = ACTIONS(7349),
    [anon_sym_LT] = ACTIONS(7347),
    [anon_sym_GT] = ACTIONS(7347),
    [anon_sym_BANG] = ACTIONS(7347),
    [anon_sym_PIPE] = ACTIONS(7347),
    [anon_sym_COLON] = ACTIONS(7347),
    [anon_sym_SQUOTE] = ACTIONS(7347),
    [anon_sym__] = ACTIONS(7349),
    [anon_sym_CARET] = ACTIONS(7349),
    [anon_sym_BSLASHtitle] = ACTIONS(7347),
    [anon_sym_BSLASHauthor] = ACTIONS(7347),
    [anon_sym_BSLASHusepackage] = ACTIONS(7347),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7347),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7347),
    [anon_sym_BSLASHinclude] = ACTIONS(7347),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7347),
    [anon_sym_BSLASHinput] = ACTIONS(7347),
    [anon_sym_BSLASHsubfile] = ACTIONS(7347),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7347),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7347),
    [anon_sym_BSLASHbibliography] = ACTIONS(7347),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7347),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7347),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7347),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7347),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7347),
    [anon_sym_BSLASHimport] = ACTIONS(7347),
    [anon_sym_BSLASHsubimport] = ACTIONS(7347),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7347),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7347),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7347),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7347),
    [anon_sym_BSLASHcaption] = ACTIONS(7347),
    [anon_sym_BSLASHcite] = ACTIONS(7347),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCite] = ACTIONS(7347),
    [anon_sym_BSLASHnocite] = ACTIONS(7347),
    [anon_sym_BSLASHcitet] = ACTIONS(7347),
    [anon_sym_BSLASHcitep] = ACTIONS(7347),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteA] = ACTIONS(7347),
    [anon_sym_BSLASHciteR] = ACTIONS(7347),
    [anon_sym_BSLASHciteS] = ACTIONS(7347),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7347),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7347),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7347),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7347),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteyear] = ACTIONS(7347),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcitedate] = ACTIONS(7347),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHciteurl] = ACTIONS(7347),
    [anon_sym_BSLASHfullcite] = ACTIONS(7347),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7347),
    [anon_sym_BSLASHcitealt] = ACTIONS(7347),
    [anon_sym_BSLASHcitealp] = ACTIONS(7347),
    [anon_sym_BSLASHcitetext] = ACTIONS(7347),
    [anon_sym_BSLASHparencite] = ACTIONS(7347),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHParencite] = ACTIONS(7347),
    [anon_sym_BSLASHfootcite] = ACTIONS(7347),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7347),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7347),
    [anon_sym_BSLASHtextcite] = ACTIONS(7347),
    [anon_sym_BSLASHTextcite] = ACTIONS(7347),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7347),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7347),
    [anon_sym_BSLASHsupercite] = ACTIONS(7347),
    [anon_sym_BSLASHautocite] = ACTIONS(7347),
    [anon_sym_BSLASHAutocite] = ACTIONS(7347),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHVolcite] = ACTIONS(7347),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHavolcite] = ACTIONS(7347),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7347),
    [anon_sym_BSLASHnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHNotecite] = ACTIONS(7347),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7347),
    [anon_sym_BSLASHlabel] = ACTIONS(7347),
    [anon_sym_BSLASHref] = ACTIONS(7347),
    [anon_sym_BSLASHeqref] = ACTIONS(7347),
    [anon_sym_BSLASHvref] = ACTIONS(7347),
    [anon_sym_BSLASHVref] = ACTIONS(7347),
    [anon_sym_BSLASHautoref] = ACTIONS(7347),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHpageref] = ACTIONS(7347),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHautopageref] = ACTIONS(7347),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcref] = ACTIONS(7347),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCref] = ACTIONS(7347),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcpageref] = ACTIONS(7347),
    [anon_sym_BSLASHCpageref] = ACTIONS(7347),
    [anon_sym_BSLASHnamecref] = ACTIONS(7347),
    [anon_sym_BSLASHnameCref] = ACTIONS(7347),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7347),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7347),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7347),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7347),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7347),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7347),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7347),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7347),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7347),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7347),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7347),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7347),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7347),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7347),
    [anon_sym_BSLASHdef] = ACTIONS(7347),
    [anon_sym_BSLASHgdef] = ACTIONS(7347),
    [anon_sym_BSLASHedef] = ACTIONS(7347),
    [anon_sym_BSLASHxdef] = ACTIONS(7347),
    [anon_sym_BSLASHlet] = ACTIONS(7347),
    [anon_sym_BSLASHglet] = ACTIONS(7347),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7347),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7347),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7347),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7347),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7347),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7347),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7347),
    [anon_sym_BSLASHgls] = ACTIONS(7347),
    [anon_sym_BSLASHGls] = ACTIONS(7347),
    [anon_sym_BSLASHGLS] = ACTIONS(7347),
    [anon_sym_BSLASHglspl] = ACTIONS(7347),
    [anon_sym_BSLASHGlspl] = ACTIONS(7347),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7347),
    [anon_sym_BSLASHglslink] = ACTIONS(7347),
    [anon_sym_BSLASHglstext] = ACTIONS(7347),
    [anon_sym_BSLASHGlstext] = ACTIONS(7347),
    [anon_sym_BSLASHGLStext] = ACTIONS(7347),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7347),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7347),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7347),
    [anon_sym_BSLASHglsplural] = ACTIONS(7347),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7347),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7347),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7347),
    [anon_sym_BSLASHglsname] = ACTIONS(7347),
    [anon_sym_BSLASHGlsname] = ACTIONS(7347),
    [anon_sym_BSLASHGLSname] = ACTIONS(7347),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7347),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7347),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7347),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7347),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7347),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7347),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7347),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7347),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7347),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7347),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7347),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7347),
    [anon_sym_BSLASHacrshort] = ACTIONS(7347),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7347),
    [anon_sym_BSLASHACRshort] = ACTIONS(7347),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHacrlong] = ACTIONS(7347),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7347),
    [anon_sym_BSLASHACRlong] = ACTIONS(7347),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7347),
    [anon_sym_BSLASHacrfull] = ACTIONS(7347),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7347),
    [anon_sym_BSLASHACRfull] = ACTIONS(7347),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHacs] = ACTIONS(7347),
    [anon_sym_BSLASHAcs] = ACTIONS(7347),
    [anon_sym_BSLASHacsp] = ACTIONS(7347),
    [anon_sym_BSLASHAcsp] = ACTIONS(7347),
    [anon_sym_BSLASHacl] = ACTIONS(7347),
    [anon_sym_BSLASHAcl] = ACTIONS(7347),
    [anon_sym_BSLASHaclp] = ACTIONS(7347),
    [anon_sym_BSLASHAclp] = ACTIONS(7347),
    [anon_sym_BSLASHacf] = ACTIONS(7347),
    [anon_sym_BSLASHAcf] = ACTIONS(7347),
    [anon_sym_BSLASHacfp] = ACTIONS(7347),
    [anon_sym_BSLASHAcfp] = ACTIONS(7347),
    [anon_sym_BSLASHac] = ACTIONS(7347),
    [anon_sym_BSLASHAc] = ACTIONS(7347),
    [anon_sym_BSLASHacp] = ACTIONS(7347),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7347),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7347),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7347),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7347),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7347),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7349),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7347),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7347),
    [anon_sym_BSLASHcolor] = ACTIONS(7347),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7347),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7347),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7347),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7347),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7347),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7347),
    [anon_sym_BSLASHurl] = ACTIONS(7347),
    [anon_sym_BSLASHhref] = ACTIONS(7347),
  },
  [2281] = {
    [sym_command_name] = ACTIONS(7227),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7227),
    [anon_sym_RBRACK] = ACTIONS(7229),
    [anon_sym_COMMA] = ACTIONS(7229),
    [anon_sym_EQ] = ACTIONS(7229),
    [anon_sym_RBRACE] = ACTIONS(7229),
    [sym_word] = ACTIONS(7227),
    [sym_placeholder] = ACTIONS(7229),
    [sym_delimiter] = ACTIONS(7229),
    [anon_sym_PLUS] = ACTIONS(7229),
    [anon_sym_DASH] = ACTIONS(7229),
    [anon_sym_STAR] = ACTIONS(7229),
    [anon_sym_SLASH] = ACTIONS(7229),
    [anon_sym_LT] = ACTIONS(7227),
    [anon_sym_GT] = ACTIONS(7227),
    [anon_sym_BANG] = ACTIONS(7227),
    [anon_sym_PIPE] = ACTIONS(7227),
    [anon_sym_COLON] = ACTIONS(7227),
    [anon_sym_SQUOTE] = ACTIONS(7227),
    [anon_sym__] = ACTIONS(7229),
    [anon_sym_CARET] = ACTIONS(7229),
    [anon_sym_BSLASHtitle] = ACTIONS(7227),
    [anon_sym_BSLASHauthor] = ACTIONS(7227),
    [anon_sym_BSLASHusepackage] = ACTIONS(7227),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7227),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7227),
    [anon_sym_BSLASHinclude] = ACTIONS(7227),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7227),
    [anon_sym_BSLASHinput] = ACTIONS(7227),
    [anon_sym_BSLASHsubfile] = ACTIONS(7227),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7227),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7227),
    [anon_sym_BSLASHbibliography] = ACTIONS(7227),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7227),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7227),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7227),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7227),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7227),
    [anon_sym_BSLASHimport] = ACTIONS(7227),
    [anon_sym_BSLASHsubimport] = ACTIONS(7227),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7227),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7227),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7227),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7227),
    [anon_sym_BSLASHcaption] = ACTIONS(7227),
    [anon_sym_BSLASHcite] = ACTIONS(7227),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCite] = ACTIONS(7227),
    [anon_sym_BSLASHnocite] = ACTIONS(7227),
    [anon_sym_BSLASHcitet] = ACTIONS(7227),
    [anon_sym_BSLASHcitep] = ACTIONS(7227),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteA] = ACTIONS(7227),
    [anon_sym_BSLASHciteR] = ACTIONS(7227),
    [anon_sym_BSLASHciteS] = ACTIONS(7227),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7227),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7227),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7227),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7227),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteyear] = ACTIONS(7227),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcitedate] = ACTIONS(7227),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHciteurl] = ACTIONS(7227),
    [anon_sym_BSLASHfullcite] = ACTIONS(7227),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7227),
    [anon_sym_BSLASHcitealt] = ACTIONS(7227),
    [anon_sym_BSLASHcitealp] = ACTIONS(7227),
    [anon_sym_BSLASHcitetext] = ACTIONS(7227),
    [anon_sym_BSLASHparencite] = ACTIONS(7227),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHParencite] = ACTIONS(7227),
    [anon_sym_BSLASHfootcite] = ACTIONS(7227),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7227),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7227),
    [anon_sym_BSLASHtextcite] = ACTIONS(7227),
    [anon_sym_BSLASHTextcite] = ACTIONS(7227),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7227),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7227),
    [anon_sym_BSLASHsupercite] = ACTIONS(7227),
    [anon_sym_BSLASHautocite] = ACTIONS(7227),
    [anon_sym_BSLASHAutocite] = ACTIONS(7227),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHVolcite] = ACTIONS(7227),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHavolcite] = ACTIONS(7227),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7227),
    [anon_sym_BSLASHnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHNotecite] = ACTIONS(7227),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7227),
    [anon_sym_BSLASHlabel] = ACTIONS(7227),
    [anon_sym_BSLASHref] = ACTIONS(7227),
    [anon_sym_BSLASHeqref] = ACTIONS(7227),
    [anon_sym_BSLASHvref] = ACTIONS(7227),
    [anon_sym_BSLASHVref] = ACTIONS(7227),
    [anon_sym_BSLASHautoref] = ACTIONS(7227),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHpageref] = ACTIONS(7227),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHautopageref] = ACTIONS(7227),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcref] = ACTIONS(7227),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCref] = ACTIONS(7227),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcpageref] = ACTIONS(7227),
    [anon_sym_BSLASHCpageref] = ACTIONS(7227),
    [anon_sym_BSLASHnamecref] = ACTIONS(7227),
    [anon_sym_BSLASHnameCref] = ACTIONS(7227),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7227),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7227),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7227),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7227),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7227),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7227),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7227),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7227),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7227),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7227),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7227),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7227),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7227),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7227),
    [anon_sym_BSLASHdef] = ACTIONS(7227),
    [anon_sym_BSLASHgdef] = ACTIONS(7227),
    [anon_sym_BSLASHedef] = ACTIONS(7227),
    [anon_sym_BSLASHxdef] = ACTIONS(7227),
    [anon_sym_BSLASHlet] = ACTIONS(7227),
    [anon_sym_BSLASHglet] = ACTIONS(7227),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7227),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7227),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7227),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7227),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7227),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7227),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7227),
    [anon_sym_BSLASHgls] = ACTIONS(7227),
    [anon_sym_BSLASHGls] = ACTIONS(7227),
    [anon_sym_BSLASHGLS] = ACTIONS(7227),
    [anon_sym_BSLASHglspl] = ACTIONS(7227),
    [anon_sym_BSLASHGlspl] = ACTIONS(7227),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7227),
    [anon_sym_BSLASHglslink] = ACTIONS(7227),
    [anon_sym_BSLASHglstext] = ACTIONS(7227),
    [anon_sym_BSLASHGlstext] = ACTIONS(7227),
    [anon_sym_BSLASHGLStext] = ACTIONS(7227),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7227),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7227),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7227),
    [anon_sym_BSLASHglsplural] = ACTIONS(7227),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7227),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7227),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7227),
    [anon_sym_BSLASHglsname] = ACTIONS(7227),
    [anon_sym_BSLASHGlsname] = ACTIONS(7227),
    [anon_sym_BSLASHGLSname] = ACTIONS(7227),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7227),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7227),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7227),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7227),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7227),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7227),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7227),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7227),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7227),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7227),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7227),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7227),
    [anon_sym_BSLASHacrshort] = ACTIONS(7227),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7227),
    [anon_sym_BSLASHACRshort] = ACTIONS(7227),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHacrlong] = ACTIONS(7227),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7227),
    [anon_sym_BSLASHACRlong] = ACTIONS(7227),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7227),
    [anon_sym_BSLASHacrfull] = ACTIONS(7227),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7227),
    [anon_sym_BSLASHACRfull] = ACTIONS(7227),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHacs] = ACTIONS(7227),
    [anon_sym_BSLASHAcs] = ACTIONS(7227),
    [anon_sym_BSLASHacsp] = ACTIONS(7227),
    [anon_sym_BSLASHAcsp] = ACTIONS(7227),
    [anon_sym_BSLASHacl] = ACTIONS(7227),
    [anon_sym_BSLASHAcl] = ACTIONS(7227),
    [anon_sym_BSLASHaclp] = ACTIONS(7227),
    [anon_sym_BSLASHAclp] = ACTIONS(7227),
    [anon_sym_BSLASHacf] = ACTIONS(7227),
    [anon_sym_BSLASHAcf] = ACTIONS(7227),
    [anon_sym_BSLASHacfp] = ACTIONS(7227),
    [anon_sym_BSLASHAcfp] = ACTIONS(7227),
    [anon_sym_BSLASHac] = ACTIONS(7227),
    [anon_sym_BSLASHAc] = ACTIONS(7227),
    [anon_sym_BSLASHacp] = ACTIONS(7227),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7227),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7227),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7227),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7227),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7227),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7229),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7227),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7227),
    [anon_sym_BSLASHcolor] = ACTIONS(7227),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7227),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7227),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7227),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7227),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7227),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7227),
    [anon_sym_BSLASHurl] = ACTIONS(7227),
    [anon_sym_BSLASHhref] = ACTIONS(7227),
  },
  [2282] = {
    [sym_command_name] = ACTIONS(7231),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7231),
    [anon_sym_RBRACK] = ACTIONS(7233),
    [anon_sym_COMMA] = ACTIONS(7233),
    [anon_sym_EQ] = ACTIONS(7233),
    [anon_sym_RBRACE] = ACTIONS(7233),
    [sym_word] = ACTIONS(7231),
    [sym_placeholder] = ACTIONS(7233),
    [sym_delimiter] = ACTIONS(7233),
    [anon_sym_PLUS] = ACTIONS(7233),
    [anon_sym_DASH] = ACTIONS(7233),
    [anon_sym_STAR] = ACTIONS(7233),
    [anon_sym_SLASH] = ACTIONS(7233),
    [anon_sym_LT] = ACTIONS(7231),
    [anon_sym_GT] = ACTIONS(7231),
    [anon_sym_BANG] = ACTIONS(7231),
    [anon_sym_PIPE] = ACTIONS(7231),
    [anon_sym_COLON] = ACTIONS(7231),
    [anon_sym_SQUOTE] = ACTIONS(7231),
    [anon_sym__] = ACTIONS(7233),
    [anon_sym_CARET] = ACTIONS(7233),
    [anon_sym_BSLASHtitle] = ACTIONS(7231),
    [anon_sym_BSLASHauthor] = ACTIONS(7231),
    [anon_sym_BSLASHusepackage] = ACTIONS(7231),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7231),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7231),
    [anon_sym_BSLASHinclude] = ACTIONS(7231),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7231),
    [anon_sym_BSLASHinput] = ACTIONS(7231),
    [anon_sym_BSLASHsubfile] = ACTIONS(7231),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7231),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7231),
    [anon_sym_BSLASHbibliography] = ACTIONS(7231),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7231),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7231),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7231),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7231),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7231),
    [anon_sym_BSLASHimport] = ACTIONS(7231),
    [anon_sym_BSLASHsubimport] = ACTIONS(7231),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7231),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7231),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7231),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7231),
    [anon_sym_BSLASHcaption] = ACTIONS(7231),
    [anon_sym_BSLASHcite] = ACTIONS(7231),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCite] = ACTIONS(7231),
    [anon_sym_BSLASHnocite] = ACTIONS(7231),
    [anon_sym_BSLASHcitet] = ACTIONS(7231),
    [anon_sym_BSLASHcitep] = ACTIONS(7231),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteA] = ACTIONS(7231),
    [anon_sym_BSLASHciteR] = ACTIONS(7231),
    [anon_sym_BSLASHciteS] = ACTIONS(7231),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7231),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7231),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7231),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7231),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteyear] = ACTIONS(7231),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcitedate] = ACTIONS(7231),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHciteurl] = ACTIONS(7231),
    [anon_sym_BSLASHfullcite] = ACTIONS(7231),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7231),
    [anon_sym_BSLASHcitealt] = ACTIONS(7231),
    [anon_sym_BSLASHcitealp] = ACTIONS(7231),
    [anon_sym_BSLASHcitetext] = ACTIONS(7231),
    [anon_sym_BSLASHparencite] = ACTIONS(7231),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHParencite] = ACTIONS(7231),
    [anon_sym_BSLASHfootcite] = ACTIONS(7231),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7231),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7231),
    [anon_sym_BSLASHtextcite] = ACTIONS(7231),
    [anon_sym_BSLASHTextcite] = ACTIONS(7231),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7231),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7231),
    [anon_sym_BSLASHsupercite] = ACTIONS(7231),
    [anon_sym_BSLASHautocite] = ACTIONS(7231),
    [anon_sym_BSLASHAutocite] = ACTIONS(7231),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHVolcite] = ACTIONS(7231),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHavolcite] = ACTIONS(7231),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7231),
    [anon_sym_BSLASHnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHNotecite] = ACTIONS(7231),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7231),
    [anon_sym_BSLASHlabel] = ACTIONS(7231),
    [anon_sym_BSLASHref] = ACTIONS(7231),
    [anon_sym_BSLASHeqref] = ACTIONS(7231),
    [anon_sym_BSLASHvref] = ACTIONS(7231),
    [anon_sym_BSLASHVref] = ACTIONS(7231),
    [anon_sym_BSLASHautoref] = ACTIONS(7231),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHpageref] = ACTIONS(7231),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHautopageref] = ACTIONS(7231),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcref] = ACTIONS(7231),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCref] = ACTIONS(7231),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcpageref] = ACTIONS(7231),
    [anon_sym_BSLASHCpageref] = ACTIONS(7231),
    [anon_sym_BSLASHnamecref] = ACTIONS(7231),
    [anon_sym_BSLASHnameCref] = ACTIONS(7231),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7231),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7231),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7231),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7231),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7231),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7231),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7231),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7231),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7231),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7231),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7231),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7231),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7231),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7231),
    [anon_sym_BSLASHdef] = ACTIONS(7231),
    [anon_sym_BSLASHgdef] = ACTIONS(7231),
    [anon_sym_BSLASHedef] = ACTIONS(7231),
    [anon_sym_BSLASHxdef] = ACTIONS(7231),
    [anon_sym_BSLASHlet] = ACTIONS(7231),
    [anon_sym_BSLASHglet] = ACTIONS(7231),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7231),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7231),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7231),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7231),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7231),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7231),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7231),
    [anon_sym_BSLASHgls] = ACTIONS(7231),
    [anon_sym_BSLASHGls] = ACTIONS(7231),
    [anon_sym_BSLASHGLS] = ACTIONS(7231),
    [anon_sym_BSLASHglspl] = ACTIONS(7231),
    [anon_sym_BSLASHGlspl] = ACTIONS(7231),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7231),
    [anon_sym_BSLASHglslink] = ACTIONS(7231),
    [anon_sym_BSLASHglstext] = ACTIONS(7231),
    [anon_sym_BSLASHGlstext] = ACTIONS(7231),
    [anon_sym_BSLASHGLStext] = ACTIONS(7231),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7231),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7231),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7231),
    [anon_sym_BSLASHglsplural] = ACTIONS(7231),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7231),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7231),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7231),
    [anon_sym_BSLASHglsname] = ACTIONS(7231),
    [anon_sym_BSLASHGlsname] = ACTIONS(7231),
    [anon_sym_BSLASHGLSname] = ACTIONS(7231),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7231),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7231),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7231),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7231),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7231),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7231),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7231),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7231),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7231),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7231),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7231),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7231),
    [anon_sym_BSLASHacrshort] = ACTIONS(7231),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7231),
    [anon_sym_BSLASHACRshort] = ACTIONS(7231),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHacrlong] = ACTIONS(7231),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7231),
    [anon_sym_BSLASHACRlong] = ACTIONS(7231),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7231),
    [anon_sym_BSLASHacrfull] = ACTIONS(7231),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7231),
    [anon_sym_BSLASHACRfull] = ACTIONS(7231),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHacs] = ACTIONS(7231),
    [anon_sym_BSLASHAcs] = ACTIONS(7231),
    [anon_sym_BSLASHacsp] = ACTIONS(7231),
    [anon_sym_BSLASHAcsp] = ACTIONS(7231),
    [anon_sym_BSLASHacl] = ACTIONS(7231),
    [anon_sym_BSLASHAcl] = ACTIONS(7231),
    [anon_sym_BSLASHaclp] = ACTIONS(7231),
    [anon_sym_BSLASHAclp] = ACTIONS(7231),
    [anon_sym_BSLASHacf] = ACTIONS(7231),
    [anon_sym_BSLASHAcf] = ACTIONS(7231),
    [anon_sym_BSLASHacfp] = ACTIONS(7231),
    [anon_sym_BSLASHAcfp] = ACTIONS(7231),
    [anon_sym_BSLASHac] = ACTIONS(7231),
    [anon_sym_BSLASHAc] = ACTIONS(7231),
    [anon_sym_BSLASHacp] = ACTIONS(7231),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7231),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7231),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7231),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7231),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7231),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7233),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7231),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7231),
    [anon_sym_BSLASHcolor] = ACTIONS(7231),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7231),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7231),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7231),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7231),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7231),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7231),
    [anon_sym_BSLASHurl] = ACTIONS(7231),
    [anon_sym_BSLASHhref] = ACTIONS(7231),
  },
  [2283] = {
    [sym_command_name] = ACTIONS(7191),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7191),
    [anon_sym_RBRACK] = ACTIONS(7193),
    [anon_sym_COMMA] = ACTIONS(7193),
    [anon_sym_EQ] = ACTIONS(7193),
    [anon_sym_RBRACE] = ACTIONS(7193),
    [sym_word] = ACTIONS(7191),
    [sym_placeholder] = ACTIONS(7193),
    [sym_delimiter] = ACTIONS(7193),
    [anon_sym_PLUS] = ACTIONS(7193),
    [anon_sym_DASH] = ACTIONS(7193),
    [anon_sym_STAR] = ACTIONS(7193),
    [anon_sym_SLASH] = ACTIONS(7193),
    [anon_sym_LT] = ACTIONS(7191),
    [anon_sym_GT] = ACTIONS(7191),
    [anon_sym_BANG] = ACTIONS(7191),
    [anon_sym_PIPE] = ACTIONS(7191),
    [anon_sym_COLON] = ACTIONS(7191),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym__] = ACTIONS(7193),
    [anon_sym_CARET] = ACTIONS(7193),
    [anon_sym_BSLASHtitle] = ACTIONS(7191),
    [anon_sym_BSLASHauthor] = ACTIONS(7191),
    [anon_sym_BSLASHusepackage] = ACTIONS(7191),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7191),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7191),
    [anon_sym_BSLASHinclude] = ACTIONS(7191),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7191),
    [anon_sym_BSLASHinput] = ACTIONS(7191),
    [anon_sym_BSLASHsubfile] = ACTIONS(7191),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7191),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7191),
    [anon_sym_BSLASHbibliography] = ACTIONS(7191),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7191),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7191),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7191),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7191),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7191),
    [anon_sym_BSLASHimport] = ACTIONS(7191),
    [anon_sym_BSLASHsubimport] = ACTIONS(7191),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7191),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7191),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7191),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7191),
    [anon_sym_BSLASHcaption] = ACTIONS(7191),
    [anon_sym_BSLASHcite] = ACTIONS(7191),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCite] = ACTIONS(7191),
    [anon_sym_BSLASHnocite] = ACTIONS(7191),
    [anon_sym_BSLASHcitet] = ACTIONS(7191),
    [anon_sym_BSLASHcitep] = ACTIONS(7191),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteA] = ACTIONS(7191),
    [anon_sym_BSLASHciteR] = ACTIONS(7191),
    [anon_sym_BSLASHciteS] = ACTIONS(7191),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7191),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7191),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7191),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7191),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteyear] = ACTIONS(7191),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcitedate] = ACTIONS(7191),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHciteurl] = ACTIONS(7191),
    [anon_sym_BSLASHfullcite] = ACTIONS(7191),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7191),
    [anon_sym_BSLASHcitealt] = ACTIONS(7191),
    [anon_sym_BSLASHcitealp] = ACTIONS(7191),
    [anon_sym_BSLASHcitetext] = ACTIONS(7191),
    [anon_sym_BSLASHparencite] = ACTIONS(7191),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHParencite] = ACTIONS(7191),
    [anon_sym_BSLASHfootcite] = ACTIONS(7191),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7191),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7191),
    [anon_sym_BSLASHtextcite] = ACTIONS(7191),
    [anon_sym_BSLASHTextcite] = ACTIONS(7191),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7191),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7191),
    [anon_sym_BSLASHsupercite] = ACTIONS(7191),
    [anon_sym_BSLASHautocite] = ACTIONS(7191),
    [anon_sym_BSLASHAutocite] = ACTIONS(7191),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHVolcite] = ACTIONS(7191),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHavolcite] = ACTIONS(7191),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7191),
    [anon_sym_BSLASHnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHNotecite] = ACTIONS(7191),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7191),
    [anon_sym_BSLASHlabel] = ACTIONS(7191),
    [anon_sym_BSLASHref] = ACTIONS(7191),
    [anon_sym_BSLASHeqref] = ACTIONS(7191),
    [anon_sym_BSLASHvref] = ACTIONS(7191),
    [anon_sym_BSLASHVref] = ACTIONS(7191),
    [anon_sym_BSLASHautoref] = ACTIONS(7191),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHpageref] = ACTIONS(7191),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHautopageref] = ACTIONS(7191),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcref] = ACTIONS(7191),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCref] = ACTIONS(7191),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcpageref] = ACTIONS(7191),
    [anon_sym_BSLASHCpageref] = ACTIONS(7191),
    [anon_sym_BSLASHnamecref] = ACTIONS(7191),
    [anon_sym_BSLASHnameCref] = ACTIONS(7191),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7191),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7191),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7191),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7191),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7191),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7191),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7191),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7191),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7191),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7191),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7191),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7191),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7191),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7191),
    [anon_sym_BSLASHdef] = ACTIONS(7191),
    [anon_sym_BSLASHgdef] = ACTIONS(7191),
    [anon_sym_BSLASHedef] = ACTIONS(7191),
    [anon_sym_BSLASHxdef] = ACTIONS(7191),
    [anon_sym_BSLASHlet] = ACTIONS(7191),
    [anon_sym_BSLASHglet] = ACTIONS(7191),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7191),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7191),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7191),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7191),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7191),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7191),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7191),
    [anon_sym_BSLASHgls] = ACTIONS(7191),
    [anon_sym_BSLASHGls] = ACTIONS(7191),
    [anon_sym_BSLASHGLS] = ACTIONS(7191),
    [anon_sym_BSLASHglspl] = ACTIONS(7191),
    [anon_sym_BSLASHGlspl] = ACTIONS(7191),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7191),
    [anon_sym_BSLASHglslink] = ACTIONS(7191),
    [anon_sym_BSLASHglstext] = ACTIONS(7191),
    [anon_sym_BSLASHGlstext] = ACTIONS(7191),
    [anon_sym_BSLASHGLStext] = ACTIONS(7191),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7191),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7191),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7191),
    [anon_sym_BSLASHglsplural] = ACTIONS(7191),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7191),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7191),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7191),
    [anon_sym_BSLASHglsname] = ACTIONS(7191),
    [anon_sym_BSLASHGlsname] = ACTIONS(7191),
    [anon_sym_BSLASHGLSname] = ACTIONS(7191),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7191),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7191),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7191),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7191),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7191),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7191),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7191),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7191),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7191),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7191),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7191),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7191),
    [anon_sym_BSLASHacrshort] = ACTIONS(7191),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7191),
    [anon_sym_BSLASHACRshort] = ACTIONS(7191),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHacrlong] = ACTIONS(7191),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7191),
    [anon_sym_BSLASHACRlong] = ACTIONS(7191),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7191),
    [anon_sym_BSLASHacrfull] = ACTIONS(7191),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7191),
    [anon_sym_BSLASHACRfull] = ACTIONS(7191),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHacs] = ACTIONS(7191),
    [anon_sym_BSLASHAcs] = ACTIONS(7191),
    [anon_sym_BSLASHacsp] = ACTIONS(7191),
    [anon_sym_BSLASHAcsp] = ACTIONS(7191),
    [anon_sym_BSLASHacl] = ACTIONS(7191),
    [anon_sym_BSLASHAcl] = ACTIONS(7191),
    [anon_sym_BSLASHaclp] = ACTIONS(7191),
    [anon_sym_BSLASHAclp] = ACTIONS(7191),
    [anon_sym_BSLASHacf] = ACTIONS(7191),
    [anon_sym_BSLASHAcf] = ACTIONS(7191),
    [anon_sym_BSLASHacfp] = ACTIONS(7191),
    [anon_sym_BSLASHAcfp] = ACTIONS(7191),
    [anon_sym_BSLASHac] = ACTIONS(7191),
    [anon_sym_BSLASHAc] = ACTIONS(7191),
    [anon_sym_BSLASHacp] = ACTIONS(7191),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7191),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7191),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7191),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7191),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7191),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7193),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7191),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7191),
    [anon_sym_BSLASHcolor] = ACTIONS(7191),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7191),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7191),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7191),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7191),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7191),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7191),
    [anon_sym_BSLASHurl] = ACTIONS(7191),
    [anon_sym_BSLASHhref] = ACTIONS(7191),
  },
  [2284] = {
    [sym_command_name] = ACTIONS(7531),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7531),
    [anon_sym_RBRACK] = ACTIONS(7533),
    [anon_sym_COMMA] = ACTIONS(7533),
    [anon_sym_EQ] = ACTIONS(7533),
    [anon_sym_RBRACE] = ACTIONS(7533),
    [sym_word] = ACTIONS(7531),
    [sym_placeholder] = ACTIONS(7533),
    [sym_delimiter] = ACTIONS(7533),
    [anon_sym_PLUS] = ACTIONS(7533),
    [anon_sym_DASH] = ACTIONS(7533),
    [anon_sym_STAR] = ACTIONS(7533),
    [anon_sym_SLASH] = ACTIONS(7533),
    [anon_sym_LT] = ACTIONS(7531),
    [anon_sym_GT] = ACTIONS(7531),
    [anon_sym_BANG] = ACTIONS(7531),
    [anon_sym_PIPE] = ACTIONS(7531),
    [anon_sym_COLON] = ACTIONS(7531),
    [anon_sym_SQUOTE] = ACTIONS(7531),
    [anon_sym__] = ACTIONS(7533),
    [anon_sym_CARET] = ACTIONS(7533),
    [anon_sym_BSLASHtitle] = ACTIONS(7531),
    [anon_sym_BSLASHauthor] = ACTIONS(7531),
    [anon_sym_BSLASHusepackage] = ACTIONS(7531),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7531),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7531),
    [anon_sym_BSLASHinclude] = ACTIONS(7531),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7531),
    [anon_sym_BSLASHinput] = ACTIONS(7531),
    [anon_sym_BSLASHsubfile] = ACTIONS(7531),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7531),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7531),
    [anon_sym_BSLASHbibliography] = ACTIONS(7531),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7531),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7531),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7531),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7531),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7531),
    [anon_sym_BSLASHimport] = ACTIONS(7531),
    [anon_sym_BSLASHsubimport] = ACTIONS(7531),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7531),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7531),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7531),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7531),
    [anon_sym_BSLASHcaption] = ACTIONS(7531),
    [anon_sym_BSLASHcite] = ACTIONS(7531),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCite] = ACTIONS(7531),
    [anon_sym_BSLASHnocite] = ACTIONS(7531),
    [anon_sym_BSLASHcitet] = ACTIONS(7531),
    [anon_sym_BSLASHcitep] = ACTIONS(7531),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteA] = ACTIONS(7531),
    [anon_sym_BSLASHciteR] = ACTIONS(7531),
    [anon_sym_BSLASHciteS] = ACTIONS(7531),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7531),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7531),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7531),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7531),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteyear] = ACTIONS(7531),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcitedate] = ACTIONS(7531),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHciteurl] = ACTIONS(7531),
    [anon_sym_BSLASHfullcite] = ACTIONS(7531),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7531),
    [anon_sym_BSLASHcitealt] = ACTIONS(7531),
    [anon_sym_BSLASHcitealp] = ACTIONS(7531),
    [anon_sym_BSLASHcitetext] = ACTIONS(7531),
    [anon_sym_BSLASHparencite] = ACTIONS(7531),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHParencite] = ACTIONS(7531),
    [anon_sym_BSLASHfootcite] = ACTIONS(7531),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7531),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7531),
    [anon_sym_BSLASHtextcite] = ACTIONS(7531),
    [anon_sym_BSLASHTextcite] = ACTIONS(7531),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7531),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7531),
    [anon_sym_BSLASHsupercite] = ACTIONS(7531),
    [anon_sym_BSLASHautocite] = ACTIONS(7531),
    [anon_sym_BSLASHAutocite] = ACTIONS(7531),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHVolcite] = ACTIONS(7531),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHavolcite] = ACTIONS(7531),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7531),
    [anon_sym_BSLASHnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHNotecite] = ACTIONS(7531),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7531),
    [anon_sym_BSLASHlabel] = ACTIONS(7531),
    [anon_sym_BSLASHref] = ACTIONS(7531),
    [anon_sym_BSLASHeqref] = ACTIONS(7531),
    [anon_sym_BSLASHvref] = ACTIONS(7531),
    [anon_sym_BSLASHVref] = ACTIONS(7531),
    [anon_sym_BSLASHautoref] = ACTIONS(7531),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHpageref] = ACTIONS(7531),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHautopageref] = ACTIONS(7531),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcref] = ACTIONS(7531),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCref] = ACTIONS(7531),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcpageref] = ACTIONS(7531),
    [anon_sym_BSLASHCpageref] = ACTIONS(7531),
    [anon_sym_BSLASHnamecref] = ACTIONS(7531),
    [anon_sym_BSLASHnameCref] = ACTIONS(7531),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7531),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7531),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7531),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7531),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7531),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7531),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7531),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7531),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7531),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7531),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7531),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7531),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7531),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7531),
    [anon_sym_BSLASHdef] = ACTIONS(7531),
    [anon_sym_BSLASHgdef] = ACTIONS(7531),
    [anon_sym_BSLASHedef] = ACTIONS(7531),
    [anon_sym_BSLASHxdef] = ACTIONS(7531),
    [anon_sym_BSLASHlet] = ACTIONS(7531),
    [anon_sym_BSLASHglet] = ACTIONS(7531),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7531),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7531),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7531),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7531),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7531),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7531),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7531),
    [anon_sym_BSLASHgls] = ACTIONS(7531),
    [anon_sym_BSLASHGls] = ACTIONS(7531),
    [anon_sym_BSLASHGLS] = ACTIONS(7531),
    [anon_sym_BSLASHglspl] = ACTIONS(7531),
    [anon_sym_BSLASHGlspl] = ACTIONS(7531),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7531),
    [anon_sym_BSLASHglslink] = ACTIONS(7531),
    [anon_sym_BSLASHglstext] = ACTIONS(7531),
    [anon_sym_BSLASHGlstext] = ACTIONS(7531),
    [anon_sym_BSLASHGLStext] = ACTIONS(7531),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7531),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7531),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7531),
    [anon_sym_BSLASHglsplural] = ACTIONS(7531),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7531),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7531),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7531),
    [anon_sym_BSLASHglsname] = ACTIONS(7531),
    [anon_sym_BSLASHGlsname] = ACTIONS(7531),
    [anon_sym_BSLASHGLSname] = ACTIONS(7531),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7531),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7531),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7531),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7531),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7531),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7531),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7531),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7531),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7531),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7531),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7531),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7531),
    [anon_sym_BSLASHacrshort] = ACTIONS(7531),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7531),
    [anon_sym_BSLASHACRshort] = ACTIONS(7531),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHacrlong] = ACTIONS(7531),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7531),
    [anon_sym_BSLASHACRlong] = ACTIONS(7531),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7531),
    [anon_sym_BSLASHacrfull] = ACTIONS(7531),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7531),
    [anon_sym_BSLASHACRfull] = ACTIONS(7531),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHacs] = ACTIONS(7531),
    [anon_sym_BSLASHAcs] = ACTIONS(7531),
    [anon_sym_BSLASHacsp] = ACTIONS(7531),
    [anon_sym_BSLASHAcsp] = ACTIONS(7531),
    [anon_sym_BSLASHacl] = ACTIONS(7531),
    [anon_sym_BSLASHAcl] = ACTIONS(7531),
    [anon_sym_BSLASHaclp] = ACTIONS(7531),
    [anon_sym_BSLASHAclp] = ACTIONS(7531),
    [anon_sym_BSLASHacf] = ACTIONS(7531),
    [anon_sym_BSLASHAcf] = ACTIONS(7531),
    [anon_sym_BSLASHacfp] = ACTIONS(7531),
    [anon_sym_BSLASHAcfp] = ACTIONS(7531),
    [anon_sym_BSLASHac] = ACTIONS(7531),
    [anon_sym_BSLASHAc] = ACTIONS(7531),
    [anon_sym_BSLASHacp] = ACTIONS(7531),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7531),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7531),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7531),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7531),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7531),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7533),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7531),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7531),
    [anon_sym_BSLASHcolor] = ACTIONS(7531),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7531),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7531),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7531),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7531),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7531),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7531),
    [anon_sym_BSLASHurl] = ACTIONS(7531),
    [anon_sym_BSLASHhref] = ACTIONS(7531),
  },
  [2285] = {
    [sym_command_name] = ACTIONS(7535),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7535),
    [anon_sym_RBRACK] = ACTIONS(7537),
    [anon_sym_COMMA] = ACTIONS(7537),
    [anon_sym_EQ] = ACTIONS(7537),
    [anon_sym_RBRACE] = ACTIONS(7537),
    [sym_word] = ACTIONS(7535),
    [sym_placeholder] = ACTIONS(7537),
    [sym_delimiter] = ACTIONS(7537),
    [anon_sym_PLUS] = ACTIONS(7537),
    [anon_sym_DASH] = ACTIONS(7537),
    [anon_sym_STAR] = ACTIONS(7537),
    [anon_sym_SLASH] = ACTIONS(7537),
    [anon_sym_LT] = ACTIONS(7535),
    [anon_sym_GT] = ACTIONS(7535),
    [anon_sym_BANG] = ACTIONS(7535),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_COLON] = ACTIONS(7535),
    [anon_sym_SQUOTE] = ACTIONS(7535),
    [anon_sym__] = ACTIONS(7537),
    [anon_sym_CARET] = ACTIONS(7537),
    [anon_sym_BSLASHtitle] = ACTIONS(7535),
    [anon_sym_BSLASHauthor] = ACTIONS(7535),
    [anon_sym_BSLASHusepackage] = ACTIONS(7535),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7535),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7535),
    [anon_sym_BSLASHinclude] = ACTIONS(7535),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7535),
    [anon_sym_BSLASHinput] = ACTIONS(7535),
    [anon_sym_BSLASHsubfile] = ACTIONS(7535),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7535),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7535),
    [anon_sym_BSLASHbibliography] = ACTIONS(7535),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7535),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7535),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7535),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7535),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7535),
    [anon_sym_BSLASHimport] = ACTIONS(7535),
    [anon_sym_BSLASHsubimport] = ACTIONS(7535),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7535),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7535),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7535),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7535),
    [anon_sym_BSLASHcaption] = ACTIONS(7535),
    [anon_sym_BSLASHcite] = ACTIONS(7535),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCite] = ACTIONS(7535),
    [anon_sym_BSLASHnocite] = ACTIONS(7535),
    [anon_sym_BSLASHcitet] = ACTIONS(7535),
    [anon_sym_BSLASHcitep] = ACTIONS(7535),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteA] = ACTIONS(7535),
    [anon_sym_BSLASHciteR] = ACTIONS(7535),
    [anon_sym_BSLASHciteS] = ACTIONS(7535),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7535),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7535),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7535),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7535),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteyear] = ACTIONS(7535),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcitedate] = ACTIONS(7535),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHciteurl] = ACTIONS(7535),
    [anon_sym_BSLASHfullcite] = ACTIONS(7535),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7535),
    [anon_sym_BSLASHcitealt] = ACTIONS(7535),
    [anon_sym_BSLASHcitealp] = ACTIONS(7535),
    [anon_sym_BSLASHcitetext] = ACTIONS(7535),
    [anon_sym_BSLASHparencite] = ACTIONS(7535),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHParencite] = ACTIONS(7535),
    [anon_sym_BSLASHfootcite] = ACTIONS(7535),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7535),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7535),
    [anon_sym_BSLASHtextcite] = ACTIONS(7535),
    [anon_sym_BSLASHTextcite] = ACTIONS(7535),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7535),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7535),
    [anon_sym_BSLASHsupercite] = ACTIONS(7535),
    [anon_sym_BSLASHautocite] = ACTIONS(7535),
    [anon_sym_BSLASHAutocite] = ACTIONS(7535),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHVolcite] = ACTIONS(7535),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHavolcite] = ACTIONS(7535),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7535),
    [anon_sym_BSLASHnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHNotecite] = ACTIONS(7535),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7535),
    [anon_sym_BSLASHlabel] = ACTIONS(7535),
    [anon_sym_BSLASHref] = ACTIONS(7535),
    [anon_sym_BSLASHeqref] = ACTIONS(7535),
    [anon_sym_BSLASHvref] = ACTIONS(7535),
    [anon_sym_BSLASHVref] = ACTIONS(7535),
    [anon_sym_BSLASHautoref] = ACTIONS(7535),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHpageref] = ACTIONS(7535),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHautopageref] = ACTIONS(7535),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcref] = ACTIONS(7535),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCref] = ACTIONS(7535),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcpageref] = ACTIONS(7535),
    [anon_sym_BSLASHCpageref] = ACTIONS(7535),
    [anon_sym_BSLASHnamecref] = ACTIONS(7535),
    [anon_sym_BSLASHnameCref] = ACTIONS(7535),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7535),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7535),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7535),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7535),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7535),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7535),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7535),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7535),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7535),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7535),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7535),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7535),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7535),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7535),
    [anon_sym_BSLASHdef] = ACTIONS(7535),
    [anon_sym_BSLASHgdef] = ACTIONS(7535),
    [anon_sym_BSLASHedef] = ACTIONS(7535),
    [anon_sym_BSLASHxdef] = ACTIONS(7535),
    [anon_sym_BSLASHlet] = ACTIONS(7535),
    [anon_sym_BSLASHglet] = ACTIONS(7535),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7535),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7535),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7535),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7535),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7535),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7535),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7535),
    [anon_sym_BSLASHgls] = ACTIONS(7535),
    [anon_sym_BSLASHGls] = ACTIONS(7535),
    [anon_sym_BSLASHGLS] = ACTIONS(7535),
    [anon_sym_BSLASHglspl] = ACTIONS(7535),
    [anon_sym_BSLASHGlspl] = ACTIONS(7535),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7535),
    [anon_sym_BSLASHglslink] = ACTIONS(7535),
    [anon_sym_BSLASHglstext] = ACTIONS(7535),
    [anon_sym_BSLASHGlstext] = ACTIONS(7535),
    [anon_sym_BSLASHGLStext] = ACTIONS(7535),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7535),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7535),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7535),
    [anon_sym_BSLASHglsplural] = ACTIONS(7535),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7535),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7535),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7535),
    [anon_sym_BSLASHglsname] = ACTIONS(7535),
    [anon_sym_BSLASHGlsname] = ACTIONS(7535),
    [anon_sym_BSLASHGLSname] = ACTIONS(7535),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7535),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7535),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7535),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7535),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7535),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7535),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7535),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7535),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7535),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7535),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7535),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7535),
    [anon_sym_BSLASHacrshort] = ACTIONS(7535),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7535),
    [anon_sym_BSLASHACRshort] = ACTIONS(7535),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHacrlong] = ACTIONS(7535),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7535),
    [anon_sym_BSLASHACRlong] = ACTIONS(7535),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7535),
    [anon_sym_BSLASHacrfull] = ACTIONS(7535),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7535),
    [anon_sym_BSLASHACRfull] = ACTIONS(7535),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHacs] = ACTIONS(7535),
    [anon_sym_BSLASHAcs] = ACTIONS(7535),
    [anon_sym_BSLASHacsp] = ACTIONS(7535),
    [anon_sym_BSLASHAcsp] = ACTIONS(7535),
    [anon_sym_BSLASHacl] = ACTIONS(7535),
    [anon_sym_BSLASHAcl] = ACTIONS(7535),
    [anon_sym_BSLASHaclp] = ACTIONS(7535),
    [anon_sym_BSLASHAclp] = ACTIONS(7535),
    [anon_sym_BSLASHacf] = ACTIONS(7535),
    [anon_sym_BSLASHAcf] = ACTIONS(7535),
    [anon_sym_BSLASHacfp] = ACTIONS(7535),
    [anon_sym_BSLASHAcfp] = ACTIONS(7535),
    [anon_sym_BSLASHac] = ACTIONS(7535),
    [anon_sym_BSLASHAc] = ACTIONS(7535),
    [anon_sym_BSLASHacp] = ACTIONS(7535),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7535),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7535),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7535),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7535),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7535),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7537),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7535),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7535),
    [anon_sym_BSLASHcolor] = ACTIONS(7535),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7535),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7535),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7535),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7535),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7535),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7535),
    [anon_sym_BSLASHurl] = ACTIONS(7535),
    [anon_sym_BSLASHhref] = ACTIONS(7535),
  },
  [2286] = {
    [sym_command_name] = ACTIONS(7351),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7351),
    [anon_sym_RBRACK] = ACTIONS(7353),
    [anon_sym_COMMA] = ACTIONS(7353),
    [anon_sym_EQ] = ACTIONS(7353),
    [anon_sym_RBRACE] = ACTIONS(7353),
    [sym_word] = ACTIONS(7351),
    [sym_placeholder] = ACTIONS(7353),
    [sym_delimiter] = ACTIONS(7353),
    [anon_sym_PLUS] = ACTIONS(7353),
    [anon_sym_DASH] = ACTIONS(7353),
    [anon_sym_STAR] = ACTIONS(7353),
    [anon_sym_SLASH] = ACTIONS(7353),
    [anon_sym_LT] = ACTIONS(7351),
    [anon_sym_GT] = ACTIONS(7351),
    [anon_sym_BANG] = ACTIONS(7351),
    [anon_sym_PIPE] = ACTIONS(7351),
    [anon_sym_COLON] = ACTIONS(7351),
    [anon_sym_SQUOTE] = ACTIONS(7351),
    [anon_sym__] = ACTIONS(7353),
    [anon_sym_CARET] = ACTIONS(7353),
    [anon_sym_BSLASHtitle] = ACTIONS(7351),
    [anon_sym_BSLASHauthor] = ACTIONS(7351),
    [anon_sym_BSLASHusepackage] = ACTIONS(7351),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7351),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7351),
    [anon_sym_BSLASHinclude] = ACTIONS(7351),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7351),
    [anon_sym_BSLASHinput] = ACTIONS(7351),
    [anon_sym_BSLASHsubfile] = ACTIONS(7351),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7351),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7351),
    [anon_sym_BSLASHbibliography] = ACTIONS(7351),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7351),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7351),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7351),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7351),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7351),
    [anon_sym_BSLASHimport] = ACTIONS(7351),
    [anon_sym_BSLASHsubimport] = ACTIONS(7351),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7351),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7351),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7351),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7351),
    [anon_sym_BSLASHcaption] = ACTIONS(7351),
    [anon_sym_BSLASHcite] = ACTIONS(7351),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCite] = ACTIONS(7351),
    [anon_sym_BSLASHnocite] = ACTIONS(7351),
    [anon_sym_BSLASHcitet] = ACTIONS(7351),
    [anon_sym_BSLASHcitep] = ACTIONS(7351),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteA] = ACTIONS(7351),
    [anon_sym_BSLASHciteR] = ACTIONS(7351),
    [anon_sym_BSLASHciteS] = ACTIONS(7351),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7351),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7351),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7351),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7351),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteyear] = ACTIONS(7351),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcitedate] = ACTIONS(7351),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHciteurl] = ACTIONS(7351),
    [anon_sym_BSLASHfullcite] = ACTIONS(7351),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7351),
    [anon_sym_BSLASHcitealt] = ACTIONS(7351),
    [anon_sym_BSLASHcitealp] = ACTIONS(7351),
    [anon_sym_BSLASHcitetext] = ACTIONS(7351),
    [anon_sym_BSLASHparencite] = ACTIONS(7351),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHParencite] = ACTIONS(7351),
    [anon_sym_BSLASHfootcite] = ACTIONS(7351),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7351),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7351),
    [anon_sym_BSLASHtextcite] = ACTIONS(7351),
    [anon_sym_BSLASHTextcite] = ACTIONS(7351),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7351),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7351),
    [anon_sym_BSLASHsupercite] = ACTIONS(7351),
    [anon_sym_BSLASHautocite] = ACTIONS(7351),
    [anon_sym_BSLASHAutocite] = ACTIONS(7351),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHVolcite] = ACTIONS(7351),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHavolcite] = ACTIONS(7351),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7351),
    [anon_sym_BSLASHnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHNotecite] = ACTIONS(7351),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7351),
    [anon_sym_BSLASHlabel] = ACTIONS(7351),
    [anon_sym_BSLASHref] = ACTIONS(7351),
    [anon_sym_BSLASHeqref] = ACTIONS(7351),
    [anon_sym_BSLASHvref] = ACTIONS(7351),
    [anon_sym_BSLASHVref] = ACTIONS(7351),
    [anon_sym_BSLASHautoref] = ACTIONS(7351),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHpageref] = ACTIONS(7351),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHautopageref] = ACTIONS(7351),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcref] = ACTIONS(7351),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCref] = ACTIONS(7351),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcpageref] = ACTIONS(7351),
    [anon_sym_BSLASHCpageref] = ACTIONS(7351),
    [anon_sym_BSLASHnamecref] = ACTIONS(7351),
    [anon_sym_BSLASHnameCref] = ACTIONS(7351),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7351),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7351),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7351),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7351),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7351),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7351),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7351),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7351),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7351),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7351),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7351),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7351),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7351),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7351),
    [anon_sym_BSLASHdef] = ACTIONS(7351),
    [anon_sym_BSLASHgdef] = ACTIONS(7351),
    [anon_sym_BSLASHedef] = ACTIONS(7351),
    [anon_sym_BSLASHxdef] = ACTIONS(7351),
    [anon_sym_BSLASHlet] = ACTIONS(7351),
    [anon_sym_BSLASHglet] = ACTIONS(7351),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7351),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7351),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7351),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7351),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7351),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7351),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7351),
    [anon_sym_BSLASHgls] = ACTIONS(7351),
    [anon_sym_BSLASHGls] = ACTIONS(7351),
    [anon_sym_BSLASHGLS] = ACTIONS(7351),
    [anon_sym_BSLASHglspl] = ACTIONS(7351),
    [anon_sym_BSLASHGlspl] = ACTIONS(7351),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7351),
    [anon_sym_BSLASHglslink] = ACTIONS(7351),
    [anon_sym_BSLASHglstext] = ACTIONS(7351),
    [anon_sym_BSLASHGlstext] = ACTIONS(7351),
    [anon_sym_BSLASHGLStext] = ACTIONS(7351),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7351),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7351),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7351),
    [anon_sym_BSLASHglsplural] = ACTIONS(7351),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7351),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7351),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7351),
    [anon_sym_BSLASHglsname] = ACTIONS(7351),
    [anon_sym_BSLASHGlsname] = ACTIONS(7351),
    [anon_sym_BSLASHGLSname] = ACTIONS(7351),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7351),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7351),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7351),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7351),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7351),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7351),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7351),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7351),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7351),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7351),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7351),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7351),
    [anon_sym_BSLASHacrshort] = ACTIONS(7351),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7351),
    [anon_sym_BSLASHACRshort] = ACTIONS(7351),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHacrlong] = ACTIONS(7351),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7351),
    [anon_sym_BSLASHACRlong] = ACTIONS(7351),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7351),
    [anon_sym_BSLASHacrfull] = ACTIONS(7351),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7351),
    [anon_sym_BSLASHACRfull] = ACTIONS(7351),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHacs] = ACTIONS(7351),
    [anon_sym_BSLASHAcs] = ACTIONS(7351),
    [anon_sym_BSLASHacsp] = ACTIONS(7351),
    [anon_sym_BSLASHAcsp] = ACTIONS(7351),
    [anon_sym_BSLASHacl] = ACTIONS(7351),
    [anon_sym_BSLASHAcl] = ACTIONS(7351),
    [anon_sym_BSLASHaclp] = ACTIONS(7351),
    [anon_sym_BSLASHAclp] = ACTIONS(7351),
    [anon_sym_BSLASHacf] = ACTIONS(7351),
    [anon_sym_BSLASHAcf] = ACTIONS(7351),
    [anon_sym_BSLASHacfp] = ACTIONS(7351),
    [anon_sym_BSLASHAcfp] = ACTIONS(7351),
    [anon_sym_BSLASHac] = ACTIONS(7351),
    [anon_sym_BSLASHAc] = ACTIONS(7351),
    [anon_sym_BSLASHacp] = ACTIONS(7351),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7351),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7351),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7351),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7351),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7351),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7353),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7351),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7351),
    [anon_sym_BSLASHcolor] = ACTIONS(7351),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7351),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7351),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7351),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7351),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7351),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7351),
    [anon_sym_BSLASHurl] = ACTIONS(7351),
    [anon_sym_BSLASHhref] = ACTIONS(7351),
  },
  [2287] = {
    [sym_command_name] = ACTIONS(7543),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7543),
    [anon_sym_RBRACK] = ACTIONS(7545),
    [anon_sym_COMMA] = ACTIONS(7545),
    [anon_sym_EQ] = ACTIONS(7545),
    [anon_sym_RBRACE] = ACTIONS(7545),
    [sym_word] = ACTIONS(7543),
    [sym_placeholder] = ACTIONS(7545),
    [sym_delimiter] = ACTIONS(7545),
    [anon_sym_PLUS] = ACTIONS(7545),
    [anon_sym_DASH] = ACTIONS(7545),
    [anon_sym_STAR] = ACTIONS(7545),
    [anon_sym_SLASH] = ACTIONS(7545),
    [anon_sym_LT] = ACTIONS(7543),
    [anon_sym_GT] = ACTIONS(7543),
    [anon_sym_BANG] = ACTIONS(7543),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_COLON] = ACTIONS(7543),
    [anon_sym_SQUOTE] = ACTIONS(7543),
    [anon_sym__] = ACTIONS(7545),
    [anon_sym_CARET] = ACTIONS(7545),
    [anon_sym_BSLASHtitle] = ACTIONS(7543),
    [anon_sym_BSLASHauthor] = ACTIONS(7543),
    [anon_sym_BSLASHusepackage] = ACTIONS(7543),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7543),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7543),
    [anon_sym_BSLASHinclude] = ACTIONS(7543),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7543),
    [anon_sym_BSLASHinput] = ACTIONS(7543),
    [anon_sym_BSLASHsubfile] = ACTIONS(7543),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7543),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7543),
    [anon_sym_BSLASHbibliography] = ACTIONS(7543),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7543),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7543),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7543),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7543),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7543),
    [anon_sym_BSLASHimport] = ACTIONS(7543),
    [anon_sym_BSLASHsubimport] = ACTIONS(7543),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7543),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7543),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7543),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7543),
    [anon_sym_BSLASHcaption] = ACTIONS(7543),
    [anon_sym_BSLASHcite] = ACTIONS(7543),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCite] = ACTIONS(7543),
    [anon_sym_BSLASHnocite] = ACTIONS(7543),
    [anon_sym_BSLASHcitet] = ACTIONS(7543),
    [anon_sym_BSLASHcitep] = ACTIONS(7543),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteA] = ACTIONS(7543),
    [anon_sym_BSLASHciteR] = ACTIONS(7543),
    [anon_sym_BSLASHciteS] = ACTIONS(7543),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7543),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7543),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7543),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7543),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteyear] = ACTIONS(7543),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcitedate] = ACTIONS(7543),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHciteurl] = ACTIONS(7543),
    [anon_sym_BSLASHfullcite] = ACTIONS(7543),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7543),
    [anon_sym_BSLASHcitealt] = ACTIONS(7543),
    [anon_sym_BSLASHcitealp] = ACTIONS(7543),
    [anon_sym_BSLASHcitetext] = ACTIONS(7543),
    [anon_sym_BSLASHparencite] = ACTIONS(7543),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHParencite] = ACTIONS(7543),
    [anon_sym_BSLASHfootcite] = ACTIONS(7543),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7543),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7543),
    [anon_sym_BSLASHtextcite] = ACTIONS(7543),
    [anon_sym_BSLASHTextcite] = ACTIONS(7543),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7543),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7543),
    [anon_sym_BSLASHsupercite] = ACTIONS(7543),
    [anon_sym_BSLASHautocite] = ACTIONS(7543),
    [anon_sym_BSLASHAutocite] = ACTIONS(7543),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHVolcite] = ACTIONS(7543),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHavolcite] = ACTIONS(7543),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7543),
    [anon_sym_BSLASHnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHNotecite] = ACTIONS(7543),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7543),
    [anon_sym_BSLASHlabel] = ACTIONS(7543),
    [anon_sym_BSLASHref] = ACTIONS(7543),
    [anon_sym_BSLASHeqref] = ACTIONS(7543),
    [anon_sym_BSLASHvref] = ACTIONS(7543),
    [anon_sym_BSLASHVref] = ACTIONS(7543),
    [anon_sym_BSLASHautoref] = ACTIONS(7543),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHpageref] = ACTIONS(7543),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHautopageref] = ACTIONS(7543),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcref] = ACTIONS(7543),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCref] = ACTIONS(7543),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcpageref] = ACTIONS(7543),
    [anon_sym_BSLASHCpageref] = ACTIONS(7543),
    [anon_sym_BSLASHnamecref] = ACTIONS(7543),
    [anon_sym_BSLASHnameCref] = ACTIONS(7543),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7543),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7543),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7543),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7543),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7543),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7543),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7543),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7543),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7543),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7543),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7543),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7543),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7543),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7543),
    [anon_sym_BSLASHdef] = ACTIONS(7543),
    [anon_sym_BSLASHgdef] = ACTIONS(7543),
    [anon_sym_BSLASHedef] = ACTIONS(7543),
    [anon_sym_BSLASHxdef] = ACTIONS(7543),
    [anon_sym_BSLASHlet] = ACTIONS(7543),
    [anon_sym_BSLASHglet] = ACTIONS(7543),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7543),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7543),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7543),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7543),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7543),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7543),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7543),
    [anon_sym_BSLASHgls] = ACTIONS(7543),
    [anon_sym_BSLASHGls] = ACTIONS(7543),
    [anon_sym_BSLASHGLS] = ACTIONS(7543),
    [anon_sym_BSLASHglspl] = ACTIONS(7543),
    [anon_sym_BSLASHGlspl] = ACTIONS(7543),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7543),
    [anon_sym_BSLASHglslink] = ACTIONS(7543),
    [anon_sym_BSLASHglstext] = ACTIONS(7543),
    [anon_sym_BSLASHGlstext] = ACTIONS(7543),
    [anon_sym_BSLASHGLStext] = ACTIONS(7543),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7543),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7543),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7543),
    [anon_sym_BSLASHglsplural] = ACTIONS(7543),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7543),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7543),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7543),
    [anon_sym_BSLASHglsname] = ACTIONS(7543),
    [anon_sym_BSLASHGlsname] = ACTIONS(7543),
    [anon_sym_BSLASHGLSname] = ACTIONS(7543),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7543),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7543),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7543),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7543),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7543),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7543),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7543),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7543),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7543),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7543),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7543),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7543),
    [anon_sym_BSLASHacrshort] = ACTIONS(7543),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7543),
    [anon_sym_BSLASHACRshort] = ACTIONS(7543),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHacrlong] = ACTIONS(7543),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7543),
    [anon_sym_BSLASHACRlong] = ACTIONS(7543),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7543),
    [anon_sym_BSLASHacrfull] = ACTIONS(7543),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7543),
    [anon_sym_BSLASHACRfull] = ACTIONS(7543),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHacs] = ACTIONS(7543),
    [anon_sym_BSLASHAcs] = ACTIONS(7543),
    [anon_sym_BSLASHacsp] = ACTIONS(7543),
    [anon_sym_BSLASHAcsp] = ACTIONS(7543),
    [anon_sym_BSLASHacl] = ACTIONS(7543),
    [anon_sym_BSLASHAcl] = ACTIONS(7543),
    [anon_sym_BSLASHaclp] = ACTIONS(7543),
    [anon_sym_BSLASHAclp] = ACTIONS(7543),
    [anon_sym_BSLASHacf] = ACTIONS(7543),
    [anon_sym_BSLASHAcf] = ACTIONS(7543),
    [anon_sym_BSLASHacfp] = ACTIONS(7543),
    [anon_sym_BSLASHAcfp] = ACTIONS(7543),
    [anon_sym_BSLASHac] = ACTIONS(7543),
    [anon_sym_BSLASHAc] = ACTIONS(7543),
    [anon_sym_BSLASHacp] = ACTIONS(7543),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7543),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7543),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7543),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7543),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7543),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7545),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7543),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7543),
    [anon_sym_BSLASHcolor] = ACTIONS(7543),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7543),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7543),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7543),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7543),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7543),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7543),
    [anon_sym_BSLASHurl] = ACTIONS(7543),
    [anon_sym_BSLASHhref] = ACTIONS(7543),
  },
  [2288] = {
    [sym_command_name] = ACTIONS(7355),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7355),
    [anon_sym_RBRACK] = ACTIONS(7357),
    [anon_sym_COMMA] = ACTIONS(7357),
    [anon_sym_EQ] = ACTIONS(7357),
    [anon_sym_RBRACE] = ACTIONS(7357),
    [sym_word] = ACTIONS(7355),
    [sym_placeholder] = ACTIONS(7357),
    [sym_delimiter] = ACTIONS(7357),
    [anon_sym_PLUS] = ACTIONS(7357),
    [anon_sym_DASH] = ACTIONS(7357),
    [anon_sym_STAR] = ACTIONS(7357),
    [anon_sym_SLASH] = ACTIONS(7357),
    [anon_sym_LT] = ACTIONS(7355),
    [anon_sym_GT] = ACTIONS(7355),
    [anon_sym_BANG] = ACTIONS(7355),
    [anon_sym_PIPE] = ACTIONS(7355),
    [anon_sym_COLON] = ACTIONS(7355),
    [anon_sym_SQUOTE] = ACTIONS(7355),
    [anon_sym__] = ACTIONS(7357),
    [anon_sym_CARET] = ACTIONS(7357),
    [anon_sym_BSLASHtitle] = ACTIONS(7355),
    [anon_sym_BSLASHauthor] = ACTIONS(7355),
    [anon_sym_BSLASHusepackage] = ACTIONS(7355),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7355),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7355),
    [anon_sym_BSLASHinclude] = ACTIONS(7355),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7355),
    [anon_sym_BSLASHinput] = ACTIONS(7355),
    [anon_sym_BSLASHsubfile] = ACTIONS(7355),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7355),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7355),
    [anon_sym_BSLASHbibliography] = ACTIONS(7355),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7355),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7355),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7355),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7355),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7355),
    [anon_sym_BSLASHimport] = ACTIONS(7355),
    [anon_sym_BSLASHsubimport] = ACTIONS(7355),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7355),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7355),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7355),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7355),
    [anon_sym_BSLASHcaption] = ACTIONS(7355),
    [anon_sym_BSLASHcite] = ACTIONS(7355),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCite] = ACTIONS(7355),
    [anon_sym_BSLASHnocite] = ACTIONS(7355),
    [anon_sym_BSLASHcitet] = ACTIONS(7355),
    [anon_sym_BSLASHcitep] = ACTIONS(7355),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteA] = ACTIONS(7355),
    [anon_sym_BSLASHciteR] = ACTIONS(7355),
    [anon_sym_BSLASHciteS] = ACTIONS(7355),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7355),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7355),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7355),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7355),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteyear] = ACTIONS(7355),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcitedate] = ACTIONS(7355),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHciteurl] = ACTIONS(7355),
    [anon_sym_BSLASHfullcite] = ACTIONS(7355),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7355),
    [anon_sym_BSLASHcitealt] = ACTIONS(7355),
    [anon_sym_BSLASHcitealp] = ACTIONS(7355),
    [anon_sym_BSLASHcitetext] = ACTIONS(7355),
    [anon_sym_BSLASHparencite] = ACTIONS(7355),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHParencite] = ACTIONS(7355),
    [anon_sym_BSLASHfootcite] = ACTIONS(7355),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7355),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7355),
    [anon_sym_BSLASHtextcite] = ACTIONS(7355),
    [anon_sym_BSLASHTextcite] = ACTIONS(7355),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7355),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7355),
    [anon_sym_BSLASHsupercite] = ACTIONS(7355),
    [anon_sym_BSLASHautocite] = ACTIONS(7355),
    [anon_sym_BSLASHAutocite] = ACTIONS(7355),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHVolcite] = ACTIONS(7355),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHavolcite] = ACTIONS(7355),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7355),
    [anon_sym_BSLASHnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHNotecite] = ACTIONS(7355),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7355),
    [anon_sym_BSLASHlabel] = ACTIONS(7355),
    [anon_sym_BSLASHref] = ACTIONS(7355),
    [anon_sym_BSLASHeqref] = ACTIONS(7355),
    [anon_sym_BSLASHvref] = ACTIONS(7355),
    [anon_sym_BSLASHVref] = ACTIONS(7355),
    [anon_sym_BSLASHautoref] = ACTIONS(7355),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHpageref] = ACTIONS(7355),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHautopageref] = ACTIONS(7355),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcref] = ACTIONS(7355),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCref] = ACTIONS(7355),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcpageref] = ACTIONS(7355),
    [anon_sym_BSLASHCpageref] = ACTIONS(7355),
    [anon_sym_BSLASHnamecref] = ACTIONS(7355),
    [anon_sym_BSLASHnameCref] = ACTIONS(7355),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7355),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7355),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7355),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7355),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7355),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7355),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7355),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7355),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7355),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7355),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7355),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7355),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7355),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7355),
    [anon_sym_BSLASHdef] = ACTIONS(7355),
    [anon_sym_BSLASHgdef] = ACTIONS(7355),
    [anon_sym_BSLASHedef] = ACTIONS(7355),
    [anon_sym_BSLASHxdef] = ACTIONS(7355),
    [anon_sym_BSLASHlet] = ACTIONS(7355),
    [anon_sym_BSLASHglet] = ACTIONS(7355),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7355),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7355),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7355),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7355),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7355),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7355),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7355),
    [anon_sym_BSLASHgls] = ACTIONS(7355),
    [anon_sym_BSLASHGls] = ACTIONS(7355),
    [anon_sym_BSLASHGLS] = ACTIONS(7355),
    [anon_sym_BSLASHglspl] = ACTIONS(7355),
    [anon_sym_BSLASHGlspl] = ACTIONS(7355),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7355),
    [anon_sym_BSLASHglslink] = ACTIONS(7355),
    [anon_sym_BSLASHglstext] = ACTIONS(7355),
    [anon_sym_BSLASHGlstext] = ACTIONS(7355),
    [anon_sym_BSLASHGLStext] = ACTIONS(7355),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7355),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7355),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7355),
    [anon_sym_BSLASHglsplural] = ACTIONS(7355),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7355),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7355),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7355),
    [anon_sym_BSLASHglsname] = ACTIONS(7355),
    [anon_sym_BSLASHGlsname] = ACTIONS(7355),
    [anon_sym_BSLASHGLSname] = ACTIONS(7355),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7355),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7355),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7355),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7355),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7355),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7355),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7355),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7355),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7355),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7355),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7355),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7355),
    [anon_sym_BSLASHacrshort] = ACTIONS(7355),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7355),
    [anon_sym_BSLASHACRshort] = ACTIONS(7355),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHacrlong] = ACTIONS(7355),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7355),
    [anon_sym_BSLASHACRlong] = ACTIONS(7355),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7355),
    [anon_sym_BSLASHacrfull] = ACTIONS(7355),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7355),
    [anon_sym_BSLASHACRfull] = ACTIONS(7355),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHacs] = ACTIONS(7355),
    [anon_sym_BSLASHAcs] = ACTIONS(7355),
    [anon_sym_BSLASHacsp] = ACTIONS(7355),
    [anon_sym_BSLASHAcsp] = ACTIONS(7355),
    [anon_sym_BSLASHacl] = ACTIONS(7355),
    [anon_sym_BSLASHAcl] = ACTIONS(7355),
    [anon_sym_BSLASHaclp] = ACTIONS(7355),
    [anon_sym_BSLASHAclp] = ACTIONS(7355),
    [anon_sym_BSLASHacf] = ACTIONS(7355),
    [anon_sym_BSLASHAcf] = ACTIONS(7355),
    [anon_sym_BSLASHacfp] = ACTIONS(7355),
    [anon_sym_BSLASHAcfp] = ACTIONS(7355),
    [anon_sym_BSLASHac] = ACTIONS(7355),
    [anon_sym_BSLASHAc] = ACTIONS(7355),
    [anon_sym_BSLASHacp] = ACTIONS(7355),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7355),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7355),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7355),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7355),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7355),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7357),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7355),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7355),
    [anon_sym_BSLASHcolor] = ACTIONS(7355),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7355),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7355),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7355),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7355),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7355),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7355),
    [anon_sym_BSLASHurl] = ACTIONS(7355),
    [anon_sym_BSLASHhref] = ACTIONS(7355),
  },
  [2289] = {
    [sym_command_name] = ACTIONS(7547),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7547),
    [anon_sym_RBRACK] = ACTIONS(7549),
    [anon_sym_COMMA] = ACTIONS(7549),
    [anon_sym_EQ] = ACTIONS(7549),
    [anon_sym_RBRACE] = ACTIONS(7549),
    [sym_word] = ACTIONS(7547),
    [sym_placeholder] = ACTIONS(7549),
    [sym_delimiter] = ACTIONS(7549),
    [anon_sym_PLUS] = ACTIONS(7549),
    [anon_sym_DASH] = ACTIONS(7549),
    [anon_sym_STAR] = ACTIONS(7549),
    [anon_sym_SLASH] = ACTIONS(7549),
    [anon_sym_LT] = ACTIONS(7547),
    [anon_sym_GT] = ACTIONS(7547),
    [anon_sym_BANG] = ACTIONS(7547),
    [anon_sym_PIPE] = ACTIONS(7547),
    [anon_sym_COLON] = ACTIONS(7547),
    [anon_sym_SQUOTE] = ACTIONS(7547),
    [anon_sym__] = ACTIONS(7549),
    [anon_sym_CARET] = ACTIONS(7549),
    [anon_sym_BSLASHtitle] = ACTIONS(7547),
    [anon_sym_BSLASHauthor] = ACTIONS(7547),
    [anon_sym_BSLASHusepackage] = ACTIONS(7547),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7547),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7547),
    [anon_sym_BSLASHinclude] = ACTIONS(7547),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7547),
    [anon_sym_BSLASHinput] = ACTIONS(7547),
    [anon_sym_BSLASHsubfile] = ACTIONS(7547),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7547),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7547),
    [anon_sym_BSLASHbibliography] = ACTIONS(7547),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7547),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7547),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7547),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7547),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7547),
    [anon_sym_BSLASHimport] = ACTIONS(7547),
    [anon_sym_BSLASHsubimport] = ACTIONS(7547),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7547),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7547),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7547),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7547),
    [anon_sym_BSLASHcaption] = ACTIONS(7547),
    [anon_sym_BSLASHcite] = ACTIONS(7547),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCite] = ACTIONS(7547),
    [anon_sym_BSLASHnocite] = ACTIONS(7547),
    [anon_sym_BSLASHcitet] = ACTIONS(7547),
    [anon_sym_BSLASHcitep] = ACTIONS(7547),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteA] = ACTIONS(7547),
    [anon_sym_BSLASHciteR] = ACTIONS(7547),
    [anon_sym_BSLASHciteS] = ACTIONS(7547),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7547),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7547),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7547),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7547),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteyear] = ACTIONS(7547),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcitedate] = ACTIONS(7547),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHciteurl] = ACTIONS(7547),
    [anon_sym_BSLASHfullcite] = ACTIONS(7547),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7547),
    [anon_sym_BSLASHcitealt] = ACTIONS(7547),
    [anon_sym_BSLASHcitealp] = ACTIONS(7547),
    [anon_sym_BSLASHcitetext] = ACTIONS(7547),
    [anon_sym_BSLASHparencite] = ACTIONS(7547),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHParencite] = ACTIONS(7547),
    [anon_sym_BSLASHfootcite] = ACTIONS(7547),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7547),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7547),
    [anon_sym_BSLASHtextcite] = ACTIONS(7547),
    [anon_sym_BSLASHTextcite] = ACTIONS(7547),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7547),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7547),
    [anon_sym_BSLASHsupercite] = ACTIONS(7547),
    [anon_sym_BSLASHautocite] = ACTIONS(7547),
    [anon_sym_BSLASHAutocite] = ACTIONS(7547),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHVolcite] = ACTIONS(7547),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHavolcite] = ACTIONS(7547),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7547),
    [anon_sym_BSLASHnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHNotecite] = ACTIONS(7547),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7547),
    [anon_sym_BSLASHlabel] = ACTIONS(7547),
    [anon_sym_BSLASHref] = ACTIONS(7547),
    [anon_sym_BSLASHeqref] = ACTIONS(7547),
    [anon_sym_BSLASHvref] = ACTIONS(7547),
    [anon_sym_BSLASHVref] = ACTIONS(7547),
    [anon_sym_BSLASHautoref] = ACTIONS(7547),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHpageref] = ACTIONS(7547),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHautopageref] = ACTIONS(7547),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcref] = ACTIONS(7547),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCref] = ACTIONS(7547),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcpageref] = ACTIONS(7547),
    [anon_sym_BSLASHCpageref] = ACTIONS(7547),
    [anon_sym_BSLASHnamecref] = ACTIONS(7547),
    [anon_sym_BSLASHnameCref] = ACTIONS(7547),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7547),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7547),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7547),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7547),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7547),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7547),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7547),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7547),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7547),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7547),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7547),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7547),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7547),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7547),
    [anon_sym_BSLASHdef] = ACTIONS(7547),
    [anon_sym_BSLASHgdef] = ACTIONS(7547),
    [anon_sym_BSLASHedef] = ACTIONS(7547),
    [anon_sym_BSLASHxdef] = ACTIONS(7547),
    [anon_sym_BSLASHlet] = ACTIONS(7547),
    [anon_sym_BSLASHglet] = ACTIONS(7547),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7547),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7547),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7547),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7547),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7547),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7547),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7547),
    [anon_sym_BSLASHgls] = ACTIONS(7547),
    [anon_sym_BSLASHGls] = ACTIONS(7547),
    [anon_sym_BSLASHGLS] = ACTIONS(7547),
    [anon_sym_BSLASHglspl] = ACTIONS(7547),
    [anon_sym_BSLASHGlspl] = ACTIONS(7547),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7547),
    [anon_sym_BSLASHglslink] = ACTIONS(7547),
    [anon_sym_BSLASHglstext] = ACTIONS(7547),
    [anon_sym_BSLASHGlstext] = ACTIONS(7547),
    [anon_sym_BSLASHGLStext] = ACTIONS(7547),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7547),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7547),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7547),
    [anon_sym_BSLASHglsplural] = ACTIONS(7547),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7547),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7547),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7547),
    [anon_sym_BSLASHglsname] = ACTIONS(7547),
    [anon_sym_BSLASHGlsname] = ACTIONS(7547),
    [anon_sym_BSLASHGLSname] = ACTIONS(7547),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7547),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7547),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7547),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7547),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7547),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7547),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7547),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7547),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7547),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7547),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7547),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7547),
    [anon_sym_BSLASHacrshort] = ACTIONS(7547),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7547),
    [anon_sym_BSLASHACRshort] = ACTIONS(7547),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHacrlong] = ACTIONS(7547),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7547),
    [anon_sym_BSLASHACRlong] = ACTIONS(7547),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7547),
    [anon_sym_BSLASHacrfull] = ACTIONS(7547),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7547),
    [anon_sym_BSLASHACRfull] = ACTIONS(7547),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHacs] = ACTIONS(7547),
    [anon_sym_BSLASHAcs] = ACTIONS(7547),
    [anon_sym_BSLASHacsp] = ACTIONS(7547),
    [anon_sym_BSLASHAcsp] = ACTIONS(7547),
    [anon_sym_BSLASHacl] = ACTIONS(7547),
    [anon_sym_BSLASHAcl] = ACTIONS(7547),
    [anon_sym_BSLASHaclp] = ACTIONS(7547),
    [anon_sym_BSLASHAclp] = ACTIONS(7547),
    [anon_sym_BSLASHacf] = ACTIONS(7547),
    [anon_sym_BSLASHAcf] = ACTIONS(7547),
    [anon_sym_BSLASHacfp] = ACTIONS(7547),
    [anon_sym_BSLASHAcfp] = ACTIONS(7547),
    [anon_sym_BSLASHac] = ACTIONS(7547),
    [anon_sym_BSLASHAc] = ACTIONS(7547),
    [anon_sym_BSLASHacp] = ACTIONS(7547),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7547),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7547),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7547),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7547),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7547),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7549),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7547),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7547),
    [anon_sym_BSLASHcolor] = ACTIONS(7547),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7547),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7547),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7547),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7547),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7547),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7547),
    [anon_sym_BSLASHurl] = ACTIONS(7547),
    [anon_sym_BSLASHhref] = ACTIONS(7547),
  },
  [2290] = {
    [sym_command_name] = ACTIONS(7359),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7359),
    [anon_sym_RBRACK] = ACTIONS(7361),
    [anon_sym_COMMA] = ACTIONS(7361),
    [anon_sym_EQ] = ACTIONS(7361),
    [anon_sym_RBRACE] = ACTIONS(7361),
    [sym_word] = ACTIONS(7359),
    [sym_placeholder] = ACTIONS(7361),
    [sym_delimiter] = ACTIONS(7361),
    [anon_sym_PLUS] = ACTIONS(7361),
    [anon_sym_DASH] = ACTIONS(7361),
    [anon_sym_STAR] = ACTIONS(7361),
    [anon_sym_SLASH] = ACTIONS(7361),
    [anon_sym_LT] = ACTIONS(7359),
    [anon_sym_GT] = ACTIONS(7359),
    [anon_sym_BANG] = ACTIONS(7359),
    [anon_sym_PIPE] = ACTIONS(7359),
    [anon_sym_COLON] = ACTIONS(7359),
    [anon_sym_SQUOTE] = ACTIONS(7359),
    [anon_sym__] = ACTIONS(7361),
    [anon_sym_CARET] = ACTIONS(7361),
    [anon_sym_BSLASHtitle] = ACTIONS(7359),
    [anon_sym_BSLASHauthor] = ACTIONS(7359),
    [anon_sym_BSLASHusepackage] = ACTIONS(7359),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7359),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7359),
    [anon_sym_BSLASHinclude] = ACTIONS(7359),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7359),
    [anon_sym_BSLASHinput] = ACTIONS(7359),
    [anon_sym_BSLASHsubfile] = ACTIONS(7359),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7359),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7359),
    [anon_sym_BSLASHbibliography] = ACTIONS(7359),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7359),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7359),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7359),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7359),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7359),
    [anon_sym_BSLASHimport] = ACTIONS(7359),
    [anon_sym_BSLASHsubimport] = ACTIONS(7359),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7359),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7359),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7359),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7359),
    [anon_sym_BSLASHcaption] = ACTIONS(7359),
    [anon_sym_BSLASHcite] = ACTIONS(7359),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCite] = ACTIONS(7359),
    [anon_sym_BSLASHnocite] = ACTIONS(7359),
    [anon_sym_BSLASHcitet] = ACTIONS(7359),
    [anon_sym_BSLASHcitep] = ACTIONS(7359),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteA] = ACTIONS(7359),
    [anon_sym_BSLASHciteR] = ACTIONS(7359),
    [anon_sym_BSLASHciteS] = ACTIONS(7359),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7359),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7359),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7359),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7359),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteyear] = ACTIONS(7359),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcitedate] = ACTIONS(7359),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHciteurl] = ACTIONS(7359),
    [anon_sym_BSLASHfullcite] = ACTIONS(7359),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7359),
    [anon_sym_BSLASHcitealt] = ACTIONS(7359),
    [anon_sym_BSLASHcitealp] = ACTIONS(7359),
    [anon_sym_BSLASHcitetext] = ACTIONS(7359),
    [anon_sym_BSLASHparencite] = ACTIONS(7359),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHParencite] = ACTIONS(7359),
    [anon_sym_BSLASHfootcite] = ACTIONS(7359),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7359),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7359),
    [anon_sym_BSLASHtextcite] = ACTIONS(7359),
    [anon_sym_BSLASHTextcite] = ACTIONS(7359),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7359),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7359),
    [anon_sym_BSLASHsupercite] = ACTIONS(7359),
    [anon_sym_BSLASHautocite] = ACTIONS(7359),
    [anon_sym_BSLASHAutocite] = ACTIONS(7359),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHVolcite] = ACTIONS(7359),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHavolcite] = ACTIONS(7359),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7359),
    [anon_sym_BSLASHnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHNotecite] = ACTIONS(7359),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7359),
    [anon_sym_BSLASHlabel] = ACTIONS(7359),
    [anon_sym_BSLASHref] = ACTIONS(7359),
    [anon_sym_BSLASHeqref] = ACTIONS(7359),
    [anon_sym_BSLASHvref] = ACTIONS(7359),
    [anon_sym_BSLASHVref] = ACTIONS(7359),
    [anon_sym_BSLASHautoref] = ACTIONS(7359),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHpageref] = ACTIONS(7359),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHautopageref] = ACTIONS(7359),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcref] = ACTIONS(7359),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCref] = ACTIONS(7359),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcpageref] = ACTIONS(7359),
    [anon_sym_BSLASHCpageref] = ACTIONS(7359),
    [anon_sym_BSLASHnamecref] = ACTIONS(7359),
    [anon_sym_BSLASHnameCref] = ACTIONS(7359),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7359),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7359),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7359),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7359),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7359),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7359),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7359),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7359),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7359),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7359),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7359),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7359),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7359),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7359),
    [anon_sym_BSLASHdef] = ACTIONS(7359),
    [anon_sym_BSLASHgdef] = ACTIONS(7359),
    [anon_sym_BSLASHedef] = ACTIONS(7359),
    [anon_sym_BSLASHxdef] = ACTIONS(7359),
    [anon_sym_BSLASHlet] = ACTIONS(7359),
    [anon_sym_BSLASHglet] = ACTIONS(7359),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7359),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7359),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7359),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7359),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7359),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7359),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7359),
    [anon_sym_BSLASHgls] = ACTIONS(7359),
    [anon_sym_BSLASHGls] = ACTIONS(7359),
    [anon_sym_BSLASHGLS] = ACTIONS(7359),
    [anon_sym_BSLASHglspl] = ACTIONS(7359),
    [anon_sym_BSLASHGlspl] = ACTIONS(7359),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7359),
    [anon_sym_BSLASHglslink] = ACTIONS(7359),
    [anon_sym_BSLASHglstext] = ACTIONS(7359),
    [anon_sym_BSLASHGlstext] = ACTIONS(7359),
    [anon_sym_BSLASHGLStext] = ACTIONS(7359),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7359),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7359),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7359),
    [anon_sym_BSLASHglsplural] = ACTIONS(7359),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7359),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7359),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7359),
    [anon_sym_BSLASHglsname] = ACTIONS(7359),
    [anon_sym_BSLASHGlsname] = ACTIONS(7359),
    [anon_sym_BSLASHGLSname] = ACTIONS(7359),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7359),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7359),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7359),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7359),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7359),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7359),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7359),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7359),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7359),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7359),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7359),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7359),
    [anon_sym_BSLASHacrshort] = ACTIONS(7359),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7359),
    [anon_sym_BSLASHACRshort] = ACTIONS(7359),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHacrlong] = ACTIONS(7359),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7359),
    [anon_sym_BSLASHACRlong] = ACTIONS(7359),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7359),
    [anon_sym_BSLASHacrfull] = ACTIONS(7359),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7359),
    [anon_sym_BSLASHACRfull] = ACTIONS(7359),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHacs] = ACTIONS(7359),
    [anon_sym_BSLASHAcs] = ACTIONS(7359),
    [anon_sym_BSLASHacsp] = ACTIONS(7359),
    [anon_sym_BSLASHAcsp] = ACTIONS(7359),
    [anon_sym_BSLASHacl] = ACTIONS(7359),
    [anon_sym_BSLASHAcl] = ACTIONS(7359),
    [anon_sym_BSLASHaclp] = ACTIONS(7359),
    [anon_sym_BSLASHAclp] = ACTIONS(7359),
    [anon_sym_BSLASHacf] = ACTIONS(7359),
    [anon_sym_BSLASHAcf] = ACTIONS(7359),
    [anon_sym_BSLASHacfp] = ACTIONS(7359),
    [anon_sym_BSLASHAcfp] = ACTIONS(7359),
    [anon_sym_BSLASHac] = ACTIONS(7359),
    [anon_sym_BSLASHAc] = ACTIONS(7359),
    [anon_sym_BSLASHacp] = ACTIONS(7359),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7359),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7359),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7359),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7359),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7359),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7361),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7359),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7359),
    [anon_sym_BSLASHcolor] = ACTIONS(7359),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7359),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7359),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7359),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7359),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7359),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7359),
    [anon_sym_BSLASHurl] = ACTIONS(7359),
    [anon_sym_BSLASHhref] = ACTIONS(7359),
  },
  [2291] = {
    [sym_command_name] = ACTIONS(7551),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7551),
    [anon_sym_RBRACK] = ACTIONS(7553),
    [anon_sym_COMMA] = ACTIONS(7553),
    [anon_sym_EQ] = ACTIONS(7553),
    [anon_sym_RBRACE] = ACTIONS(7553),
    [sym_word] = ACTIONS(7551),
    [sym_placeholder] = ACTIONS(7553),
    [sym_delimiter] = ACTIONS(7553),
    [anon_sym_PLUS] = ACTIONS(7553),
    [anon_sym_DASH] = ACTIONS(7553),
    [anon_sym_STAR] = ACTIONS(7553),
    [anon_sym_SLASH] = ACTIONS(7553),
    [anon_sym_LT] = ACTIONS(7551),
    [anon_sym_GT] = ACTIONS(7551),
    [anon_sym_BANG] = ACTIONS(7551),
    [anon_sym_PIPE] = ACTIONS(7551),
    [anon_sym_COLON] = ACTIONS(7551),
    [anon_sym_SQUOTE] = ACTIONS(7551),
    [anon_sym__] = ACTIONS(7553),
    [anon_sym_CARET] = ACTIONS(7553),
    [anon_sym_BSLASHtitle] = ACTIONS(7551),
    [anon_sym_BSLASHauthor] = ACTIONS(7551),
    [anon_sym_BSLASHusepackage] = ACTIONS(7551),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7551),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7551),
    [anon_sym_BSLASHinclude] = ACTIONS(7551),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7551),
    [anon_sym_BSLASHinput] = ACTIONS(7551),
    [anon_sym_BSLASHsubfile] = ACTIONS(7551),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7551),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7551),
    [anon_sym_BSLASHbibliography] = ACTIONS(7551),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7551),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7551),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7551),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7551),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7551),
    [anon_sym_BSLASHimport] = ACTIONS(7551),
    [anon_sym_BSLASHsubimport] = ACTIONS(7551),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7551),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7551),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7551),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7551),
    [anon_sym_BSLASHcaption] = ACTIONS(7551),
    [anon_sym_BSLASHcite] = ACTIONS(7551),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCite] = ACTIONS(7551),
    [anon_sym_BSLASHnocite] = ACTIONS(7551),
    [anon_sym_BSLASHcitet] = ACTIONS(7551),
    [anon_sym_BSLASHcitep] = ACTIONS(7551),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteA] = ACTIONS(7551),
    [anon_sym_BSLASHciteR] = ACTIONS(7551),
    [anon_sym_BSLASHciteS] = ACTIONS(7551),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7551),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7551),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7551),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7551),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteyear] = ACTIONS(7551),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcitedate] = ACTIONS(7551),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHciteurl] = ACTIONS(7551),
    [anon_sym_BSLASHfullcite] = ACTIONS(7551),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7551),
    [anon_sym_BSLASHcitealt] = ACTIONS(7551),
    [anon_sym_BSLASHcitealp] = ACTIONS(7551),
    [anon_sym_BSLASHcitetext] = ACTIONS(7551),
    [anon_sym_BSLASHparencite] = ACTIONS(7551),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHParencite] = ACTIONS(7551),
    [anon_sym_BSLASHfootcite] = ACTIONS(7551),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7551),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7551),
    [anon_sym_BSLASHtextcite] = ACTIONS(7551),
    [anon_sym_BSLASHTextcite] = ACTIONS(7551),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7551),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7551),
    [anon_sym_BSLASHsupercite] = ACTIONS(7551),
    [anon_sym_BSLASHautocite] = ACTIONS(7551),
    [anon_sym_BSLASHAutocite] = ACTIONS(7551),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHVolcite] = ACTIONS(7551),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHavolcite] = ACTIONS(7551),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7551),
    [anon_sym_BSLASHnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHNotecite] = ACTIONS(7551),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7551),
    [anon_sym_BSLASHlabel] = ACTIONS(7551),
    [anon_sym_BSLASHref] = ACTIONS(7551),
    [anon_sym_BSLASHeqref] = ACTIONS(7551),
    [anon_sym_BSLASHvref] = ACTIONS(7551),
    [anon_sym_BSLASHVref] = ACTIONS(7551),
    [anon_sym_BSLASHautoref] = ACTIONS(7551),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHpageref] = ACTIONS(7551),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHautopageref] = ACTIONS(7551),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcref] = ACTIONS(7551),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCref] = ACTIONS(7551),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcpageref] = ACTIONS(7551),
    [anon_sym_BSLASHCpageref] = ACTIONS(7551),
    [anon_sym_BSLASHnamecref] = ACTIONS(7551),
    [anon_sym_BSLASHnameCref] = ACTIONS(7551),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7551),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7551),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7551),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7551),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7551),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7551),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7551),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7551),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7551),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7551),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7551),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7551),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7551),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7551),
    [anon_sym_BSLASHdef] = ACTIONS(7551),
    [anon_sym_BSLASHgdef] = ACTIONS(7551),
    [anon_sym_BSLASHedef] = ACTIONS(7551),
    [anon_sym_BSLASHxdef] = ACTIONS(7551),
    [anon_sym_BSLASHlet] = ACTIONS(7551),
    [anon_sym_BSLASHglet] = ACTIONS(7551),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7551),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7551),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7551),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7551),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7551),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7551),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7551),
    [anon_sym_BSLASHgls] = ACTIONS(7551),
    [anon_sym_BSLASHGls] = ACTIONS(7551),
    [anon_sym_BSLASHGLS] = ACTIONS(7551),
    [anon_sym_BSLASHglspl] = ACTIONS(7551),
    [anon_sym_BSLASHGlspl] = ACTIONS(7551),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7551),
    [anon_sym_BSLASHglslink] = ACTIONS(7551),
    [anon_sym_BSLASHglstext] = ACTIONS(7551),
    [anon_sym_BSLASHGlstext] = ACTIONS(7551),
    [anon_sym_BSLASHGLStext] = ACTIONS(7551),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7551),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7551),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7551),
    [anon_sym_BSLASHglsplural] = ACTIONS(7551),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7551),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7551),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7551),
    [anon_sym_BSLASHglsname] = ACTIONS(7551),
    [anon_sym_BSLASHGlsname] = ACTIONS(7551),
    [anon_sym_BSLASHGLSname] = ACTIONS(7551),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7551),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7551),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7551),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7551),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7551),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7551),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7551),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7551),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7551),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7551),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7551),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7551),
    [anon_sym_BSLASHacrshort] = ACTIONS(7551),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7551),
    [anon_sym_BSLASHACRshort] = ACTIONS(7551),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHacrlong] = ACTIONS(7551),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7551),
    [anon_sym_BSLASHACRlong] = ACTIONS(7551),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7551),
    [anon_sym_BSLASHacrfull] = ACTIONS(7551),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7551),
    [anon_sym_BSLASHACRfull] = ACTIONS(7551),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHacs] = ACTIONS(7551),
    [anon_sym_BSLASHAcs] = ACTIONS(7551),
    [anon_sym_BSLASHacsp] = ACTIONS(7551),
    [anon_sym_BSLASHAcsp] = ACTIONS(7551),
    [anon_sym_BSLASHacl] = ACTIONS(7551),
    [anon_sym_BSLASHAcl] = ACTIONS(7551),
    [anon_sym_BSLASHaclp] = ACTIONS(7551),
    [anon_sym_BSLASHAclp] = ACTIONS(7551),
    [anon_sym_BSLASHacf] = ACTIONS(7551),
    [anon_sym_BSLASHAcf] = ACTIONS(7551),
    [anon_sym_BSLASHacfp] = ACTIONS(7551),
    [anon_sym_BSLASHAcfp] = ACTIONS(7551),
    [anon_sym_BSLASHac] = ACTIONS(7551),
    [anon_sym_BSLASHAc] = ACTIONS(7551),
    [anon_sym_BSLASHacp] = ACTIONS(7551),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7551),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7551),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7551),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7551),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7551),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7553),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7551),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7551),
    [anon_sym_BSLASHcolor] = ACTIONS(7551),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7551),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7551),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7551),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7551),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7551),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7551),
    [anon_sym_BSLASHurl] = ACTIONS(7551),
    [anon_sym_BSLASHhref] = ACTIONS(7551),
  },
  [2292] = {
    [sym_command_name] = ACTIONS(7555),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7555),
    [anon_sym_RBRACK] = ACTIONS(7557),
    [anon_sym_COMMA] = ACTIONS(7557),
    [anon_sym_EQ] = ACTIONS(7557),
    [anon_sym_RBRACE] = ACTIONS(7557),
    [sym_word] = ACTIONS(7555),
    [sym_placeholder] = ACTIONS(7557),
    [sym_delimiter] = ACTIONS(7557),
    [anon_sym_PLUS] = ACTIONS(7557),
    [anon_sym_DASH] = ACTIONS(7557),
    [anon_sym_STAR] = ACTIONS(7557),
    [anon_sym_SLASH] = ACTIONS(7557),
    [anon_sym_LT] = ACTIONS(7555),
    [anon_sym_GT] = ACTIONS(7555),
    [anon_sym_BANG] = ACTIONS(7555),
    [anon_sym_PIPE] = ACTIONS(7555),
    [anon_sym_COLON] = ACTIONS(7555),
    [anon_sym_SQUOTE] = ACTIONS(7555),
    [anon_sym__] = ACTIONS(7557),
    [anon_sym_CARET] = ACTIONS(7557),
    [anon_sym_BSLASHtitle] = ACTIONS(7555),
    [anon_sym_BSLASHauthor] = ACTIONS(7555),
    [anon_sym_BSLASHusepackage] = ACTIONS(7555),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7555),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7555),
    [anon_sym_BSLASHinclude] = ACTIONS(7555),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7555),
    [anon_sym_BSLASHinput] = ACTIONS(7555),
    [anon_sym_BSLASHsubfile] = ACTIONS(7555),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7555),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7555),
    [anon_sym_BSLASHbibliography] = ACTIONS(7555),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7555),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7555),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7555),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7555),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7555),
    [anon_sym_BSLASHimport] = ACTIONS(7555),
    [anon_sym_BSLASHsubimport] = ACTIONS(7555),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7555),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7555),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7555),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7555),
    [anon_sym_BSLASHcaption] = ACTIONS(7555),
    [anon_sym_BSLASHcite] = ACTIONS(7555),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCite] = ACTIONS(7555),
    [anon_sym_BSLASHnocite] = ACTIONS(7555),
    [anon_sym_BSLASHcitet] = ACTIONS(7555),
    [anon_sym_BSLASHcitep] = ACTIONS(7555),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteA] = ACTIONS(7555),
    [anon_sym_BSLASHciteR] = ACTIONS(7555),
    [anon_sym_BSLASHciteS] = ACTIONS(7555),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7555),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7555),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7555),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7555),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteyear] = ACTIONS(7555),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcitedate] = ACTIONS(7555),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHciteurl] = ACTIONS(7555),
    [anon_sym_BSLASHfullcite] = ACTIONS(7555),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7555),
    [anon_sym_BSLASHcitealt] = ACTIONS(7555),
    [anon_sym_BSLASHcitealp] = ACTIONS(7555),
    [anon_sym_BSLASHcitetext] = ACTIONS(7555),
    [anon_sym_BSLASHparencite] = ACTIONS(7555),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHParencite] = ACTIONS(7555),
    [anon_sym_BSLASHfootcite] = ACTIONS(7555),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7555),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7555),
    [anon_sym_BSLASHtextcite] = ACTIONS(7555),
    [anon_sym_BSLASHTextcite] = ACTIONS(7555),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7555),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7555),
    [anon_sym_BSLASHsupercite] = ACTIONS(7555),
    [anon_sym_BSLASHautocite] = ACTIONS(7555),
    [anon_sym_BSLASHAutocite] = ACTIONS(7555),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHVolcite] = ACTIONS(7555),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHavolcite] = ACTIONS(7555),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7555),
    [anon_sym_BSLASHnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHNotecite] = ACTIONS(7555),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7555),
    [anon_sym_BSLASHlabel] = ACTIONS(7555),
    [anon_sym_BSLASHref] = ACTIONS(7555),
    [anon_sym_BSLASHeqref] = ACTIONS(7555),
    [anon_sym_BSLASHvref] = ACTIONS(7555),
    [anon_sym_BSLASHVref] = ACTIONS(7555),
    [anon_sym_BSLASHautoref] = ACTIONS(7555),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHpageref] = ACTIONS(7555),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHautopageref] = ACTIONS(7555),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcref] = ACTIONS(7555),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCref] = ACTIONS(7555),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcpageref] = ACTIONS(7555),
    [anon_sym_BSLASHCpageref] = ACTIONS(7555),
    [anon_sym_BSLASHnamecref] = ACTIONS(7555),
    [anon_sym_BSLASHnameCref] = ACTIONS(7555),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7555),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7555),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7555),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7555),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7555),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7555),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7555),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7555),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7555),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7555),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7555),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7555),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7555),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7555),
    [anon_sym_BSLASHdef] = ACTIONS(7555),
    [anon_sym_BSLASHgdef] = ACTIONS(7555),
    [anon_sym_BSLASHedef] = ACTIONS(7555),
    [anon_sym_BSLASHxdef] = ACTIONS(7555),
    [anon_sym_BSLASHlet] = ACTIONS(7555),
    [anon_sym_BSLASHglet] = ACTIONS(7555),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7555),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7555),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7555),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7555),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7555),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7555),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7555),
    [anon_sym_BSLASHgls] = ACTIONS(7555),
    [anon_sym_BSLASHGls] = ACTIONS(7555),
    [anon_sym_BSLASHGLS] = ACTIONS(7555),
    [anon_sym_BSLASHglspl] = ACTIONS(7555),
    [anon_sym_BSLASHGlspl] = ACTIONS(7555),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7555),
    [anon_sym_BSLASHglslink] = ACTIONS(7555),
    [anon_sym_BSLASHglstext] = ACTIONS(7555),
    [anon_sym_BSLASHGlstext] = ACTIONS(7555),
    [anon_sym_BSLASHGLStext] = ACTIONS(7555),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7555),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7555),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7555),
    [anon_sym_BSLASHglsplural] = ACTIONS(7555),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7555),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7555),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7555),
    [anon_sym_BSLASHglsname] = ACTIONS(7555),
    [anon_sym_BSLASHGlsname] = ACTIONS(7555),
    [anon_sym_BSLASHGLSname] = ACTIONS(7555),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7555),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7555),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7555),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7555),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7555),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7555),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7555),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7555),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7555),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7555),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7555),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7555),
    [anon_sym_BSLASHacrshort] = ACTIONS(7555),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7555),
    [anon_sym_BSLASHACRshort] = ACTIONS(7555),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHacrlong] = ACTIONS(7555),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7555),
    [anon_sym_BSLASHACRlong] = ACTIONS(7555),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7555),
    [anon_sym_BSLASHacrfull] = ACTIONS(7555),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7555),
    [anon_sym_BSLASHACRfull] = ACTIONS(7555),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHacs] = ACTIONS(7555),
    [anon_sym_BSLASHAcs] = ACTIONS(7555),
    [anon_sym_BSLASHacsp] = ACTIONS(7555),
    [anon_sym_BSLASHAcsp] = ACTIONS(7555),
    [anon_sym_BSLASHacl] = ACTIONS(7555),
    [anon_sym_BSLASHAcl] = ACTIONS(7555),
    [anon_sym_BSLASHaclp] = ACTIONS(7555),
    [anon_sym_BSLASHAclp] = ACTIONS(7555),
    [anon_sym_BSLASHacf] = ACTIONS(7555),
    [anon_sym_BSLASHAcf] = ACTIONS(7555),
    [anon_sym_BSLASHacfp] = ACTIONS(7555),
    [anon_sym_BSLASHAcfp] = ACTIONS(7555),
    [anon_sym_BSLASHac] = ACTIONS(7555),
    [anon_sym_BSLASHAc] = ACTIONS(7555),
    [anon_sym_BSLASHacp] = ACTIONS(7555),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7555),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7555),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7555),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7555),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7555),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7557),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7555),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7555),
    [anon_sym_BSLASHcolor] = ACTIONS(7555),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7555),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7555),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7555),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7555),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7555),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7555),
    [anon_sym_BSLASHurl] = ACTIONS(7555),
    [anon_sym_BSLASHhref] = ACTIONS(7555),
  },
  [2293] = {
    [sym_command_name] = ACTIONS(7559),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7559),
    [anon_sym_RBRACK] = ACTIONS(7561),
    [anon_sym_COMMA] = ACTIONS(7561),
    [anon_sym_EQ] = ACTIONS(7561),
    [anon_sym_RBRACE] = ACTIONS(7561),
    [sym_word] = ACTIONS(7559),
    [sym_placeholder] = ACTIONS(7561),
    [sym_delimiter] = ACTIONS(7561),
    [anon_sym_PLUS] = ACTIONS(7561),
    [anon_sym_DASH] = ACTIONS(7561),
    [anon_sym_STAR] = ACTIONS(7561),
    [anon_sym_SLASH] = ACTIONS(7561),
    [anon_sym_LT] = ACTIONS(7559),
    [anon_sym_GT] = ACTIONS(7559),
    [anon_sym_BANG] = ACTIONS(7559),
    [anon_sym_PIPE] = ACTIONS(7559),
    [anon_sym_COLON] = ACTIONS(7559),
    [anon_sym_SQUOTE] = ACTIONS(7559),
    [anon_sym__] = ACTIONS(7561),
    [anon_sym_CARET] = ACTIONS(7561),
    [anon_sym_BSLASHtitle] = ACTIONS(7559),
    [anon_sym_BSLASHauthor] = ACTIONS(7559),
    [anon_sym_BSLASHusepackage] = ACTIONS(7559),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7559),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7559),
    [anon_sym_BSLASHinclude] = ACTIONS(7559),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7559),
    [anon_sym_BSLASHinput] = ACTIONS(7559),
    [anon_sym_BSLASHsubfile] = ACTIONS(7559),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7559),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7559),
    [anon_sym_BSLASHbibliography] = ACTIONS(7559),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7559),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7559),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7559),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7559),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7559),
    [anon_sym_BSLASHimport] = ACTIONS(7559),
    [anon_sym_BSLASHsubimport] = ACTIONS(7559),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7559),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7559),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7559),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7559),
    [anon_sym_BSLASHcaption] = ACTIONS(7559),
    [anon_sym_BSLASHcite] = ACTIONS(7559),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCite] = ACTIONS(7559),
    [anon_sym_BSLASHnocite] = ACTIONS(7559),
    [anon_sym_BSLASHcitet] = ACTIONS(7559),
    [anon_sym_BSLASHcitep] = ACTIONS(7559),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteA] = ACTIONS(7559),
    [anon_sym_BSLASHciteR] = ACTIONS(7559),
    [anon_sym_BSLASHciteS] = ACTIONS(7559),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7559),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7559),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7559),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7559),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteyear] = ACTIONS(7559),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcitedate] = ACTIONS(7559),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHciteurl] = ACTIONS(7559),
    [anon_sym_BSLASHfullcite] = ACTIONS(7559),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7559),
    [anon_sym_BSLASHcitealt] = ACTIONS(7559),
    [anon_sym_BSLASHcitealp] = ACTIONS(7559),
    [anon_sym_BSLASHcitetext] = ACTIONS(7559),
    [anon_sym_BSLASHparencite] = ACTIONS(7559),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHParencite] = ACTIONS(7559),
    [anon_sym_BSLASHfootcite] = ACTIONS(7559),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7559),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7559),
    [anon_sym_BSLASHtextcite] = ACTIONS(7559),
    [anon_sym_BSLASHTextcite] = ACTIONS(7559),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7559),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7559),
    [anon_sym_BSLASHsupercite] = ACTIONS(7559),
    [anon_sym_BSLASHautocite] = ACTIONS(7559),
    [anon_sym_BSLASHAutocite] = ACTIONS(7559),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHVolcite] = ACTIONS(7559),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHavolcite] = ACTIONS(7559),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7559),
    [anon_sym_BSLASHnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHNotecite] = ACTIONS(7559),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7559),
    [anon_sym_BSLASHlabel] = ACTIONS(7559),
    [anon_sym_BSLASHref] = ACTIONS(7559),
    [anon_sym_BSLASHeqref] = ACTIONS(7559),
    [anon_sym_BSLASHvref] = ACTIONS(7559),
    [anon_sym_BSLASHVref] = ACTIONS(7559),
    [anon_sym_BSLASHautoref] = ACTIONS(7559),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHpageref] = ACTIONS(7559),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHautopageref] = ACTIONS(7559),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcref] = ACTIONS(7559),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCref] = ACTIONS(7559),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcpageref] = ACTIONS(7559),
    [anon_sym_BSLASHCpageref] = ACTIONS(7559),
    [anon_sym_BSLASHnamecref] = ACTIONS(7559),
    [anon_sym_BSLASHnameCref] = ACTIONS(7559),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7559),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7559),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7559),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7559),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7559),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7559),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7559),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7559),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7559),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7559),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7559),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7559),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7559),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7559),
    [anon_sym_BSLASHdef] = ACTIONS(7559),
    [anon_sym_BSLASHgdef] = ACTIONS(7559),
    [anon_sym_BSLASHedef] = ACTIONS(7559),
    [anon_sym_BSLASHxdef] = ACTIONS(7559),
    [anon_sym_BSLASHlet] = ACTIONS(7559),
    [anon_sym_BSLASHglet] = ACTIONS(7559),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7559),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7559),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7559),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7559),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7559),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7559),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7559),
    [anon_sym_BSLASHgls] = ACTIONS(7559),
    [anon_sym_BSLASHGls] = ACTIONS(7559),
    [anon_sym_BSLASHGLS] = ACTIONS(7559),
    [anon_sym_BSLASHglspl] = ACTIONS(7559),
    [anon_sym_BSLASHGlspl] = ACTIONS(7559),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7559),
    [anon_sym_BSLASHglslink] = ACTIONS(7559),
    [anon_sym_BSLASHglstext] = ACTIONS(7559),
    [anon_sym_BSLASHGlstext] = ACTIONS(7559),
    [anon_sym_BSLASHGLStext] = ACTIONS(7559),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7559),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7559),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7559),
    [anon_sym_BSLASHglsplural] = ACTIONS(7559),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7559),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7559),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7559),
    [anon_sym_BSLASHglsname] = ACTIONS(7559),
    [anon_sym_BSLASHGlsname] = ACTIONS(7559),
    [anon_sym_BSLASHGLSname] = ACTIONS(7559),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7559),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7559),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7559),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7559),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7559),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7559),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7559),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7559),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7559),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7559),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7559),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7559),
    [anon_sym_BSLASHacrshort] = ACTIONS(7559),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7559),
    [anon_sym_BSLASHACRshort] = ACTIONS(7559),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHacrlong] = ACTIONS(7559),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7559),
    [anon_sym_BSLASHACRlong] = ACTIONS(7559),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7559),
    [anon_sym_BSLASHacrfull] = ACTIONS(7559),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7559),
    [anon_sym_BSLASHACRfull] = ACTIONS(7559),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHacs] = ACTIONS(7559),
    [anon_sym_BSLASHAcs] = ACTIONS(7559),
    [anon_sym_BSLASHacsp] = ACTIONS(7559),
    [anon_sym_BSLASHAcsp] = ACTIONS(7559),
    [anon_sym_BSLASHacl] = ACTIONS(7559),
    [anon_sym_BSLASHAcl] = ACTIONS(7559),
    [anon_sym_BSLASHaclp] = ACTIONS(7559),
    [anon_sym_BSLASHAclp] = ACTIONS(7559),
    [anon_sym_BSLASHacf] = ACTIONS(7559),
    [anon_sym_BSLASHAcf] = ACTIONS(7559),
    [anon_sym_BSLASHacfp] = ACTIONS(7559),
    [anon_sym_BSLASHAcfp] = ACTIONS(7559),
    [anon_sym_BSLASHac] = ACTIONS(7559),
    [anon_sym_BSLASHAc] = ACTIONS(7559),
    [anon_sym_BSLASHacp] = ACTIONS(7559),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7559),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7559),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7559),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7559),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7559),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7561),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7559),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7559),
    [anon_sym_BSLASHcolor] = ACTIONS(7559),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7559),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7559),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7559),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7559),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7559),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7559),
    [anon_sym_BSLASHurl] = ACTIONS(7559),
    [anon_sym_BSLASHhref] = ACTIONS(7559),
  },
  [2294] = {
    [sym_command_name] = ACTIONS(7563),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7563),
    [anon_sym_RBRACK] = ACTIONS(7565),
    [anon_sym_COMMA] = ACTIONS(7565),
    [anon_sym_EQ] = ACTIONS(7565),
    [anon_sym_RBRACE] = ACTIONS(7565),
    [sym_word] = ACTIONS(7563),
    [sym_placeholder] = ACTIONS(7565),
    [sym_delimiter] = ACTIONS(7565),
    [anon_sym_PLUS] = ACTIONS(7565),
    [anon_sym_DASH] = ACTIONS(7565),
    [anon_sym_STAR] = ACTIONS(7565),
    [anon_sym_SLASH] = ACTIONS(7565),
    [anon_sym_LT] = ACTIONS(7563),
    [anon_sym_GT] = ACTIONS(7563),
    [anon_sym_BANG] = ACTIONS(7563),
    [anon_sym_PIPE] = ACTIONS(7563),
    [anon_sym_COLON] = ACTIONS(7563),
    [anon_sym_SQUOTE] = ACTIONS(7563),
    [anon_sym__] = ACTIONS(7565),
    [anon_sym_CARET] = ACTIONS(7565),
    [anon_sym_BSLASHtitle] = ACTIONS(7563),
    [anon_sym_BSLASHauthor] = ACTIONS(7563),
    [anon_sym_BSLASHusepackage] = ACTIONS(7563),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7563),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7563),
    [anon_sym_BSLASHinclude] = ACTIONS(7563),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7563),
    [anon_sym_BSLASHinput] = ACTIONS(7563),
    [anon_sym_BSLASHsubfile] = ACTIONS(7563),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7563),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7563),
    [anon_sym_BSLASHbibliography] = ACTIONS(7563),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7563),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7563),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7563),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7563),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7563),
    [anon_sym_BSLASHimport] = ACTIONS(7563),
    [anon_sym_BSLASHsubimport] = ACTIONS(7563),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7563),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7563),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7563),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7563),
    [anon_sym_BSLASHcaption] = ACTIONS(7563),
    [anon_sym_BSLASHcite] = ACTIONS(7563),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCite] = ACTIONS(7563),
    [anon_sym_BSLASHnocite] = ACTIONS(7563),
    [anon_sym_BSLASHcitet] = ACTIONS(7563),
    [anon_sym_BSLASHcitep] = ACTIONS(7563),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteA] = ACTIONS(7563),
    [anon_sym_BSLASHciteR] = ACTIONS(7563),
    [anon_sym_BSLASHciteS] = ACTIONS(7563),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7563),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7563),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7563),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7563),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteyear] = ACTIONS(7563),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcitedate] = ACTIONS(7563),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHciteurl] = ACTIONS(7563),
    [anon_sym_BSLASHfullcite] = ACTIONS(7563),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7563),
    [anon_sym_BSLASHcitealt] = ACTIONS(7563),
    [anon_sym_BSLASHcitealp] = ACTIONS(7563),
    [anon_sym_BSLASHcitetext] = ACTIONS(7563),
    [anon_sym_BSLASHparencite] = ACTIONS(7563),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHParencite] = ACTIONS(7563),
    [anon_sym_BSLASHfootcite] = ACTIONS(7563),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7563),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7563),
    [anon_sym_BSLASHtextcite] = ACTIONS(7563),
    [anon_sym_BSLASHTextcite] = ACTIONS(7563),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7563),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7563),
    [anon_sym_BSLASHsupercite] = ACTIONS(7563),
    [anon_sym_BSLASHautocite] = ACTIONS(7563),
    [anon_sym_BSLASHAutocite] = ACTIONS(7563),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHVolcite] = ACTIONS(7563),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHavolcite] = ACTIONS(7563),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7563),
    [anon_sym_BSLASHnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHNotecite] = ACTIONS(7563),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7563),
    [anon_sym_BSLASHlabel] = ACTIONS(7563),
    [anon_sym_BSLASHref] = ACTIONS(7563),
    [anon_sym_BSLASHeqref] = ACTIONS(7563),
    [anon_sym_BSLASHvref] = ACTIONS(7563),
    [anon_sym_BSLASHVref] = ACTIONS(7563),
    [anon_sym_BSLASHautoref] = ACTIONS(7563),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHpageref] = ACTIONS(7563),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHautopageref] = ACTIONS(7563),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcref] = ACTIONS(7563),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCref] = ACTIONS(7563),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcpageref] = ACTIONS(7563),
    [anon_sym_BSLASHCpageref] = ACTIONS(7563),
    [anon_sym_BSLASHnamecref] = ACTIONS(7563),
    [anon_sym_BSLASHnameCref] = ACTIONS(7563),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7563),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7563),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7563),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7563),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7563),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7563),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7563),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7563),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7563),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7563),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7563),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7563),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7563),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7563),
    [anon_sym_BSLASHdef] = ACTIONS(7563),
    [anon_sym_BSLASHgdef] = ACTIONS(7563),
    [anon_sym_BSLASHedef] = ACTIONS(7563),
    [anon_sym_BSLASHxdef] = ACTIONS(7563),
    [anon_sym_BSLASHlet] = ACTIONS(7563),
    [anon_sym_BSLASHglet] = ACTIONS(7563),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7563),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7563),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7563),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7563),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7563),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7563),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7563),
    [anon_sym_BSLASHgls] = ACTIONS(7563),
    [anon_sym_BSLASHGls] = ACTIONS(7563),
    [anon_sym_BSLASHGLS] = ACTIONS(7563),
    [anon_sym_BSLASHglspl] = ACTIONS(7563),
    [anon_sym_BSLASHGlspl] = ACTIONS(7563),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7563),
    [anon_sym_BSLASHglslink] = ACTIONS(7563),
    [anon_sym_BSLASHglstext] = ACTIONS(7563),
    [anon_sym_BSLASHGlstext] = ACTIONS(7563),
    [anon_sym_BSLASHGLStext] = ACTIONS(7563),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7563),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7563),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7563),
    [anon_sym_BSLASHglsplural] = ACTIONS(7563),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7563),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7563),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7563),
    [anon_sym_BSLASHglsname] = ACTIONS(7563),
    [anon_sym_BSLASHGlsname] = ACTIONS(7563),
    [anon_sym_BSLASHGLSname] = ACTIONS(7563),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7563),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7563),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7563),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7563),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7563),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7563),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7563),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7563),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7563),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7563),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7563),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7563),
    [anon_sym_BSLASHacrshort] = ACTIONS(7563),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7563),
    [anon_sym_BSLASHACRshort] = ACTIONS(7563),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHacrlong] = ACTIONS(7563),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7563),
    [anon_sym_BSLASHACRlong] = ACTIONS(7563),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7563),
    [anon_sym_BSLASHacrfull] = ACTIONS(7563),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7563),
    [anon_sym_BSLASHACRfull] = ACTIONS(7563),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHacs] = ACTIONS(7563),
    [anon_sym_BSLASHAcs] = ACTIONS(7563),
    [anon_sym_BSLASHacsp] = ACTIONS(7563),
    [anon_sym_BSLASHAcsp] = ACTIONS(7563),
    [anon_sym_BSLASHacl] = ACTIONS(7563),
    [anon_sym_BSLASHAcl] = ACTIONS(7563),
    [anon_sym_BSLASHaclp] = ACTIONS(7563),
    [anon_sym_BSLASHAclp] = ACTIONS(7563),
    [anon_sym_BSLASHacf] = ACTIONS(7563),
    [anon_sym_BSLASHAcf] = ACTIONS(7563),
    [anon_sym_BSLASHacfp] = ACTIONS(7563),
    [anon_sym_BSLASHAcfp] = ACTIONS(7563),
    [anon_sym_BSLASHac] = ACTIONS(7563),
    [anon_sym_BSLASHAc] = ACTIONS(7563),
    [anon_sym_BSLASHacp] = ACTIONS(7563),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7563),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7563),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7563),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7563),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7563),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7565),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7563),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7563),
    [anon_sym_BSLASHcolor] = ACTIONS(7563),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7563),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7563),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7563),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7563),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7563),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7563),
    [anon_sym_BSLASHurl] = ACTIONS(7563),
    [anon_sym_BSLASHhref] = ACTIONS(7563),
  },
  [2295] = {
    [sym_command_name] = ACTIONS(7567),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7567),
    [anon_sym_RBRACK] = ACTIONS(7569),
    [anon_sym_COMMA] = ACTIONS(7569),
    [anon_sym_EQ] = ACTIONS(7569),
    [anon_sym_RBRACE] = ACTIONS(7569),
    [sym_word] = ACTIONS(7567),
    [sym_placeholder] = ACTIONS(7569),
    [sym_delimiter] = ACTIONS(7569),
    [anon_sym_PLUS] = ACTIONS(7569),
    [anon_sym_DASH] = ACTIONS(7569),
    [anon_sym_STAR] = ACTIONS(7569),
    [anon_sym_SLASH] = ACTIONS(7569),
    [anon_sym_LT] = ACTIONS(7567),
    [anon_sym_GT] = ACTIONS(7567),
    [anon_sym_BANG] = ACTIONS(7567),
    [anon_sym_PIPE] = ACTIONS(7567),
    [anon_sym_COLON] = ACTIONS(7567),
    [anon_sym_SQUOTE] = ACTIONS(7567),
    [anon_sym__] = ACTIONS(7569),
    [anon_sym_CARET] = ACTIONS(7569),
    [anon_sym_BSLASHtitle] = ACTIONS(7567),
    [anon_sym_BSLASHauthor] = ACTIONS(7567),
    [anon_sym_BSLASHusepackage] = ACTIONS(7567),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7567),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7567),
    [anon_sym_BSLASHinclude] = ACTIONS(7567),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7567),
    [anon_sym_BSLASHinput] = ACTIONS(7567),
    [anon_sym_BSLASHsubfile] = ACTIONS(7567),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7567),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7567),
    [anon_sym_BSLASHbibliography] = ACTIONS(7567),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7567),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7567),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7567),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7567),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7567),
    [anon_sym_BSLASHimport] = ACTIONS(7567),
    [anon_sym_BSLASHsubimport] = ACTIONS(7567),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7567),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7567),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7567),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7567),
    [anon_sym_BSLASHcaption] = ACTIONS(7567),
    [anon_sym_BSLASHcite] = ACTIONS(7567),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCite] = ACTIONS(7567),
    [anon_sym_BSLASHnocite] = ACTIONS(7567),
    [anon_sym_BSLASHcitet] = ACTIONS(7567),
    [anon_sym_BSLASHcitep] = ACTIONS(7567),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteA] = ACTIONS(7567),
    [anon_sym_BSLASHciteR] = ACTIONS(7567),
    [anon_sym_BSLASHciteS] = ACTIONS(7567),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7567),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7567),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7567),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7567),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteyear] = ACTIONS(7567),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcitedate] = ACTIONS(7567),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHciteurl] = ACTIONS(7567),
    [anon_sym_BSLASHfullcite] = ACTIONS(7567),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7567),
    [anon_sym_BSLASHcitealt] = ACTIONS(7567),
    [anon_sym_BSLASHcitealp] = ACTIONS(7567),
    [anon_sym_BSLASHcitetext] = ACTIONS(7567),
    [anon_sym_BSLASHparencite] = ACTIONS(7567),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHParencite] = ACTIONS(7567),
    [anon_sym_BSLASHfootcite] = ACTIONS(7567),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7567),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7567),
    [anon_sym_BSLASHtextcite] = ACTIONS(7567),
    [anon_sym_BSLASHTextcite] = ACTIONS(7567),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7567),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7567),
    [anon_sym_BSLASHsupercite] = ACTIONS(7567),
    [anon_sym_BSLASHautocite] = ACTIONS(7567),
    [anon_sym_BSLASHAutocite] = ACTIONS(7567),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHVolcite] = ACTIONS(7567),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHavolcite] = ACTIONS(7567),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7567),
    [anon_sym_BSLASHnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHNotecite] = ACTIONS(7567),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7567),
    [anon_sym_BSLASHlabel] = ACTIONS(7567),
    [anon_sym_BSLASHref] = ACTIONS(7567),
    [anon_sym_BSLASHeqref] = ACTIONS(7567),
    [anon_sym_BSLASHvref] = ACTIONS(7567),
    [anon_sym_BSLASHVref] = ACTIONS(7567),
    [anon_sym_BSLASHautoref] = ACTIONS(7567),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHpageref] = ACTIONS(7567),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHautopageref] = ACTIONS(7567),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcref] = ACTIONS(7567),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCref] = ACTIONS(7567),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcpageref] = ACTIONS(7567),
    [anon_sym_BSLASHCpageref] = ACTIONS(7567),
    [anon_sym_BSLASHnamecref] = ACTIONS(7567),
    [anon_sym_BSLASHnameCref] = ACTIONS(7567),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7567),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7567),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7567),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7567),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7567),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7567),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7567),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7567),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7567),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7567),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7567),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7567),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7567),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7567),
    [anon_sym_BSLASHdef] = ACTIONS(7567),
    [anon_sym_BSLASHgdef] = ACTIONS(7567),
    [anon_sym_BSLASHedef] = ACTIONS(7567),
    [anon_sym_BSLASHxdef] = ACTIONS(7567),
    [anon_sym_BSLASHlet] = ACTIONS(7567),
    [anon_sym_BSLASHglet] = ACTIONS(7567),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7567),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7567),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7567),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7567),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7567),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7567),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7567),
    [anon_sym_BSLASHgls] = ACTIONS(7567),
    [anon_sym_BSLASHGls] = ACTIONS(7567),
    [anon_sym_BSLASHGLS] = ACTIONS(7567),
    [anon_sym_BSLASHglspl] = ACTIONS(7567),
    [anon_sym_BSLASHGlspl] = ACTIONS(7567),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7567),
    [anon_sym_BSLASHglslink] = ACTIONS(7567),
    [anon_sym_BSLASHglstext] = ACTIONS(7567),
    [anon_sym_BSLASHGlstext] = ACTIONS(7567),
    [anon_sym_BSLASHGLStext] = ACTIONS(7567),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7567),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7567),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7567),
    [anon_sym_BSLASHglsplural] = ACTIONS(7567),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7567),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7567),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7567),
    [anon_sym_BSLASHglsname] = ACTIONS(7567),
    [anon_sym_BSLASHGlsname] = ACTIONS(7567),
    [anon_sym_BSLASHGLSname] = ACTIONS(7567),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7567),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7567),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7567),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7567),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7567),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7567),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7567),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7567),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7567),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7567),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7567),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7567),
    [anon_sym_BSLASHacrshort] = ACTIONS(7567),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7567),
    [anon_sym_BSLASHACRshort] = ACTIONS(7567),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHacrlong] = ACTIONS(7567),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7567),
    [anon_sym_BSLASHACRlong] = ACTIONS(7567),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7567),
    [anon_sym_BSLASHacrfull] = ACTIONS(7567),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7567),
    [anon_sym_BSLASHACRfull] = ACTIONS(7567),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHacs] = ACTIONS(7567),
    [anon_sym_BSLASHAcs] = ACTIONS(7567),
    [anon_sym_BSLASHacsp] = ACTIONS(7567),
    [anon_sym_BSLASHAcsp] = ACTIONS(7567),
    [anon_sym_BSLASHacl] = ACTIONS(7567),
    [anon_sym_BSLASHAcl] = ACTIONS(7567),
    [anon_sym_BSLASHaclp] = ACTIONS(7567),
    [anon_sym_BSLASHAclp] = ACTIONS(7567),
    [anon_sym_BSLASHacf] = ACTIONS(7567),
    [anon_sym_BSLASHAcf] = ACTIONS(7567),
    [anon_sym_BSLASHacfp] = ACTIONS(7567),
    [anon_sym_BSLASHAcfp] = ACTIONS(7567),
    [anon_sym_BSLASHac] = ACTIONS(7567),
    [anon_sym_BSLASHAc] = ACTIONS(7567),
    [anon_sym_BSLASHacp] = ACTIONS(7567),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7567),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7567),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7567),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7567),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7567),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7569),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7567),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7567),
    [anon_sym_BSLASHcolor] = ACTIONS(7567),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7567),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7567),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7567),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7567),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7567),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7567),
    [anon_sym_BSLASHurl] = ACTIONS(7567),
    [anon_sym_BSLASHhref] = ACTIONS(7567),
  },
  [2296] = {
    [sym_command_name] = ACTIONS(7571),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7571),
    [anon_sym_RBRACK] = ACTIONS(7573),
    [anon_sym_COMMA] = ACTIONS(7573),
    [anon_sym_EQ] = ACTIONS(7573),
    [anon_sym_RBRACE] = ACTIONS(7573),
    [sym_word] = ACTIONS(7571),
    [sym_placeholder] = ACTIONS(7573),
    [sym_delimiter] = ACTIONS(7573),
    [anon_sym_PLUS] = ACTIONS(7573),
    [anon_sym_DASH] = ACTIONS(7573),
    [anon_sym_STAR] = ACTIONS(7573),
    [anon_sym_SLASH] = ACTIONS(7573),
    [anon_sym_LT] = ACTIONS(7571),
    [anon_sym_GT] = ACTIONS(7571),
    [anon_sym_BANG] = ACTIONS(7571),
    [anon_sym_PIPE] = ACTIONS(7571),
    [anon_sym_COLON] = ACTIONS(7571),
    [anon_sym_SQUOTE] = ACTIONS(7571),
    [anon_sym__] = ACTIONS(7573),
    [anon_sym_CARET] = ACTIONS(7573),
    [anon_sym_BSLASHtitle] = ACTIONS(7571),
    [anon_sym_BSLASHauthor] = ACTIONS(7571),
    [anon_sym_BSLASHusepackage] = ACTIONS(7571),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7571),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7571),
    [anon_sym_BSLASHinclude] = ACTIONS(7571),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7571),
    [anon_sym_BSLASHinput] = ACTIONS(7571),
    [anon_sym_BSLASHsubfile] = ACTIONS(7571),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7571),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7571),
    [anon_sym_BSLASHbibliography] = ACTIONS(7571),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7571),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7571),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7571),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7571),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7571),
    [anon_sym_BSLASHimport] = ACTIONS(7571),
    [anon_sym_BSLASHsubimport] = ACTIONS(7571),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7571),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7571),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7571),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7571),
    [anon_sym_BSLASHcaption] = ACTIONS(7571),
    [anon_sym_BSLASHcite] = ACTIONS(7571),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCite] = ACTIONS(7571),
    [anon_sym_BSLASHnocite] = ACTIONS(7571),
    [anon_sym_BSLASHcitet] = ACTIONS(7571),
    [anon_sym_BSLASHcitep] = ACTIONS(7571),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteA] = ACTIONS(7571),
    [anon_sym_BSLASHciteR] = ACTIONS(7571),
    [anon_sym_BSLASHciteS] = ACTIONS(7571),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7571),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7571),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7571),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7571),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteyear] = ACTIONS(7571),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcitedate] = ACTIONS(7571),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHciteurl] = ACTIONS(7571),
    [anon_sym_BSLASHfullcite] = ACTIONS(7571),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7571),
    [anon_sym_BSLASHcitealt] = ACTIONS(7571),
    [anon_sym_BSLASHcitealp] = ACTIONS(7571),
    [anon_sym_BSLASHcitetext] = ACTIONS(7571),
    [anon_sym_BSLASHparencite] = ACTIONS(7571),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHParencite] = ACTIONS(7571),
    [anon_sym_BSLASHfootcite] = ACTIONS(7571),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7571),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7571),
    [anon_sym_BSLASHtextcite] = ACTIONS(7571),
    [anon_sym_BSLASHTextcite] = ACTIONS(7571),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7571),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7571),
    [anon_sym_BSLASHsupercite] = ACTIONS(7571),
    [anon_sym_BSLASHautocite] = ACTIONS(7571),
    [anon_sym_BSLASHAutocite] = ACTIONS(7571),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHVolcite] = ACTIONS(7571),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHavolcite] = ACTIONS(7571),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7571),
    [anon_sym_BSLASHnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHNotecite] = ACTIONS(7571),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7571),
    [anon_sym_BSLASHlabel] = ACTIONS(7571),
    [anon_sym_BSLASHref] = ACTIONS(7571),
    [anon_sym_BSLASHeqref] = ACTIONS(7571),
    [anon_sym_BSLASHvref] = ACTIONS(7571),
    [anon_sym_BSLASHVref] = ACTIONS(7571),
    [anon_sym_BSLASHautoref] = ACTIONS(7571),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHpageref] = ACTIONS(7571),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHautopageref] = ACTIONS(7571),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcref] = ACTIONS(7571),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCref] = ACTIONS(7571),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcpageref] = ACTIONS(7571),
    [anon_sym_BSLASHCpageref] = ACTIONS(7571),
    [anon_sym_BSLASHnamecref] = ACTIONS(7571),
    [anon_sym_BSLASHnameCref] = ACTIONS(7571),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7571),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7571),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7571),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7571),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7571),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7571),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7571),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7571),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7571),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7571),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7571),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7571),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7571),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7571),
    [anon_sym_BSLASHdef] = ACTIONS(7571),
    [anon_sym_BSLASHgdef] = ACTIONS(7571),
    [anon_sym_BSLASHedef] = ACTIONS(7571),
    [anon_sym_BSLASHxdef] = ACTIONS(7571),
    [anon_sym_BSLASHlet] = ACTIONS(7571),
    [anon_sym_BSLASHglet] = ACTIONS(7571),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7571),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7571),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7571),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7571),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7571),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7571),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7571),
    [anon_sym_BSLASHgls] = ACTIONS(7571),
    [anon_sym_BSLASHGls] = ACTIONS(7571),
    [anon_sym_BSLASHGLS] = ACTIONS(7571),
    [anon_sym_BSLASHglspl] = ACTIONS(7571),
    [anon_sym_BSLASHGlspl] = ACTIONS(7571),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7571),
    [anon_sym_BSLASHglslink] = ACTIONS(7571),
    [anon_sym_BSLASHglstext] = ACTIONS(7571),
    [anon_sym_BSLASHGlstext] = ACTIONS(7571),
    [anon_sym_BSLASHGLStext] = ACTIONS(7571),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7571),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7571),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7571),
    [anon_sym_BSLASHglsplural] = ACTIONS(7571),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7571),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7571),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7571),
    [anon_sym_BSLASHglsname] = ACTIONS(7571),
    [anon_sym_BSLASHGlsname] = ACTIONS(7571),
    [anon_sym_BSLASHGLSname] = ACTIONS(7571),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7571),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7571),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7571),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7571),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7571),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7571),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7571),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7571),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7571),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7571),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7571),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7571),
    [anon_sym_BSLASHacrshort] = ACTIONS(7571),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7571),
    [anon_sym_BSLASHACRshort] = ACTIONS(7571),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHacrlong] = ACTIONS(7571),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7571),
    [anon_sym_BSLASHACRlong] = ACTIONS(7571),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7571),
    [anon_sym_BSLASHacrfull] = ACTIONS(7571),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7571),
    [anon_sym_BSLASHACRfull] = ACTIONS(7571),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHacs] = ACTIONS(7571),
    [anon_sym_BSLASHAcs] = ACTIONS(7571),
    [anon_sym_BSLASHacsp] = ACTIONS(7571),
    [anon_sym_BSLASHAcsp] = ACTIONS(7571),
    [anon_sym_BSLASHacl] = ACTIONS(7571),
    [anon_sym_BSLASHAcl] = ACTIONS(7571),
    [anon_sym_BSLASHaclp] = ACTIONS(7571),
    [anon_sym_BSLASHAclp] = ACTIONS(7571),
    [anon_sym_BSLASHacf] = ACTIONS(7571),
    [anon_sym_BSLASHAcf] = ACTIONS(7571),
    [anon_sym_BSLASHacfp] = ACTIONS(7571),
    [anon_sym_BSLASHAcfp] = ACTIONS(7571),
    [anon_sym_BSLASHac] = ACTIONS(7571),
    [anon_sym_BSLASHAc] = ACTIONS(7571),
    [anon_sym_BSLASHacp] = ACTIONS(7571),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7571),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7571),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7571),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7571),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7571),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7573),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7571),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7571),
    [anon_sym_BSLASHcolor] = ACTIONS(7571),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7571),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7571),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7571),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7571),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7571),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7571),
    [anon_sym_BSLASHurl] = ACTIONS(7571),
    [anon_sym_BSLASHhref] = ACTIONS(7571),
  },
  [2297] = {
    [sym_command_name] = ACTIONS(7575),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7575),
    [anon_sym_RBRACK] = ACTIONS(7577),
    [anon_sym_COMMA] = ACTIONS(7577),
    [anon_sym_EQ] = ACTIONS(7577),
    [anon_sym_RBRACE] = ACTIONS(7577),
    [sym_word] = ACTIONS(7575),
    [sym_placeholder] = ACTIONS(7577),
    [sym_delimiter] = ACTIONS(7577),
    [anon_sym_PLUS] = ACTIONS(7577),
    [anon_sym_DASH] = ACTIONS(7577),
    [anon_sym_STAR] = ACTIONS(7577),
    [anon_sym_SLASH] = ACTIONS(7577),
    [anon_sym_LT] = ACTIONS(7575),
    [anon_sym_GT] = ACTIONS(7575),
    [anon_sym_BANG] = ACTIONS(7575),
    [anon_sym_PIPE] = ACTIONS(7575),
    [anon_sym_COLON] = ACTIONS(7575),
    [anon_sym_SQUOTE] = ACTIONS(7575),
    [anon_sym__] = ACTIONS(7577),
    [anon_sym_CARET] = ACTIONS(7577),
    [anon_sym_BSLASHtitle] = ACTIONS(7575),
    [anon_sym_BSLASHauthor] = ACTIONS(7575),
    [anon_sym_BSLASHusepackage] = ACTIONS(7575),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7575),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7575),
    [anon_sym_BSLASHinclude] = ACTIONS(7575),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7575),
    [anon_sym_BSLASHinput] = ACTIONS(7575),
    [anon_sym_BSLASHsubfile] = ACTIONS(7575),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7575),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7575),
    [anon_sym_BSLASHbibliography] = ACTIONS(7575),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7575),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7575),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7575),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7575),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7575),
    [anon_sym_BSLASHimport] = ACTIONS(7575),
    [anon_sym_BSLASHsubimport] = ACTIONS(7575),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7575),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7575),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7575),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7575),
    [anon_sym_BSLASHcaption] = ACTIONS(7575),
    [anon_sym_BSLASHcite] = ACTIONS(7575),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCite] = ACTIONS(7575),
    [anon_sym_BSLASHnocite] = ACTIONS(7575),
    [anon_sym_BSLASHcitet] = ACTIONS(7575),
    [anon_sym_BSLASHcitep] = ACTIONS(7575),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteA] = ACTIONS(7575),
    [anon_sym_BSLASHciteR] = ACTIONS(7575),
    [anon_sym_BSLASHciteS] = ACTIONS(7575),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7575),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7575),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7575),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7575),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteyear] = ACTIONS(7575),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcitedate] = ACTIONS(7575),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHciteurl] = ACTIONS(7575),
    [anon_sym_BSLASHfullcite] = ACTIONS(7575),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7575),
    [anon_sym_BSLASHcitealt] = ACTIONS(7575),
    [anon_sym_BSLASHcitealp] = ACTIONS(7575),
    [anon_sym_BSLASHcitetext] = ACTIONS(7575),
    [anon_sym_BSLASHparencite] = ACTIONS(7575),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHParencite] = ACTIONS(7575),
    [anon_sym_BSLASHfootcite] = ACTIONS(7575),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7575),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7575),
    [anon_sym_BSLASHtextcite] = ACTIONS(7575),
    [anon_sym_BSLASHTextcite] = ACTIONS(7575),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7575),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7575),
    [anon_sym_BSLASHsupercite] = ACTIONS(7575),
    [anon_sym_BSLASHautocite] = ACTIONS(7575),
    [anon_sym_BSLASHAutocite] = ACTIONS(7575),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHVolcite] = ACTIONS(7575),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHavolcite] = ACTIONS(7575),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7575),
    [anon_sym_BSLASHnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHNotecite] = ACTIONS(7575),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7575),
    [anon_sym_BSLASHlabel] = ACTIONS(7575),
    [anon_sym_BSLASHref] = ACTIONS(7575),
    [anon_sym_BSLASHeqref] = ACTIONS(7575),
    [anon_sym_BSLASHvref] = ACTIONS(7575),
    [anon_sym_BSLASHVref] = ACTIONS(7575),
    [anon_sym_BSLASHautoref] = ACTIONS(7575),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHpageref] = ACTIONS(7575),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHautopageref] = ACTIONS(7575),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcref] = ACTIONS(7575),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCref] = ACTIONS(7575),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcpageref] = ACTIONS(7575),
    [anon_sym_BSLASHCpageref] = ACTIONS(7575),
    [anon_sym_BSLASHnamecref] = ACTIONS(7575),
    [anon_sym_BSLASHnameCref] = ACTIONS(7575),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7575),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7575),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7575),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7575),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7575),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7575),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7575),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7575),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7575),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7575),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7575),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7575),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7575),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7575),
    [anon_sym_BSLASHdef] = ACTIONS(7575),
    [anon_sym_BSLASHgdef] = ACTIONS(7575),
    [anon_sym_BSLASHedef] = ACTIONS(7575),
    [anon_sym_BSLASHxdef] = ACTIONS(7575),
    [anon_sym_BSLASHlet] = ACTIONS(7575),
    [anon_sym_BSLASHglet] = ACTIONS(7575),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7575),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7575),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7575),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7575),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7575),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7575),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7575),
    [anon_sym_BSLASHgls] = ACTIONS(7575),
    [anon_sym_BSLASHGls] = ACTIONS(7575),
    [anon_sym_BSLASHGLS] = ACTIONS(7575),
    [anon_sym_BSLASHglspl] = ACTIONS(7575),
    [anon_sym_BSLASHGlspl] = ACTIONS(7575),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7575),
    [anon_sym_BSLASHglslink] = ACTIONS(7575),
    [anon_sym_BSLASHglstext] = ACTIONS(7575),
    [anon_sym_BSLASHGlstext] = ACTIONS(7575),
    [anon_sym_BSLASHGLStext] = ACTIONS(7575),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7575),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7575),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7575),
    [anon_sym_BSLASHglsplural] = ACTIONS(7575),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7575),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7575),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7575),
    [anon_sym_BSLASHglsname] = ACTIONS(7575),
    [anon_sym_BSLASHGlsname] = ACTIONS(7575),
    [anon_sym_BSLASHGLSname] = ACTIONS(7575),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7575),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7575),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7575),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7575),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7575),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7575),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7575),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7575),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7575),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7575),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7575),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7575),
    [anon_sym_BSLASHacrshort] = ACTIONS(7575),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7575),
    [anon_sym_BSLASHACRshort] = ACTIONS(7575),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHacrlong] = ACTIONS(7575),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7575),
    [anon_sym_BSLASHACRlong] = ACTIONS(7575),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7575),
    [anon_sym_BSLASHacrfull] = ACTIONS(7575),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7575),
    [anon_sym_BSLASHACRfull] = ACTIONS(7575),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHacs] = ACTIONS(7575),
    [anon_sym_BSLASHAcs] = ACTIONS(7575),
    [anon_sym_BSLASHacsp] = ACTIONS(7575),
    [anon_sym_BSLASHAcsp] = ACTIONS(7575),
    [anon_sym_BSLASHacl] = ACTIONS(7575),
    [anon_sym_BSLASHAcl] = ACTIONS(7575),
    [anon_sym_BSLASHaclp] = ACTIONS(7575),
    [anon_sym_BSLASHAclp] = ACTIONS(7575),
    [anon_sym_BSLASHacf] = ACTIONS(7575),
    [anon_sym_BSLASHAcf] = ACTIONS(7575),
    [anon_sym_BSLASHacfp] = ACTIONS(7575),
    [anon_sym_BSLASHAcfp] = ACTIONS(7575),
    [anon_sym_BSLASHac] = ACTIONS(7575),
    [anon_sym_BSLASHAc] = ACTIONS(7575),
    [anon_sym_BSLASHacp] = ACTIONS(7575),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7575),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7575),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7575),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7575),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7575),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7577),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7575),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7575),
    [anon_sym_BSLASHcolor] = ACTIONS(7575),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7575),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7575),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7575),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7575),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7575),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7575),
    [anon_sym_BSLASHurl] = ACTIONS(7575),
    [anon_sym_BSLASHhref] = ACTIONS(7575),
  },
  [2298] = {
    [sym_command_name] = ACTIONS(7579),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7579),
    [anon_sym_RBRACK] = ACTIONS(7581),
    [anon_sym_COMMA] = ACTIONS(7581),
    [anon_sym_EQ] = ACTIONS(7581),
    [anon_sym_RBRACE] = ACTIONS(7581),
    [sym_word] = ACTIONS(7579),
    [sym_placeholder] = ACTIONS(7581),
    [sym_delimiter] = ACTIONS(7581),
    [anon_sym_PLUS] = ACTIONS(7581),
    [anon_sym_DASH] = ACTIONS(7581),
    [anon_sym_STAR] = ACTIONS(7581),
    [anon_sym_SLASH] = ACTIONS(7581),
    [anon_sym_LT] = ACTIONS(7579),
    [anon_sym_GT] = ACTIONS(7579),
    [anon_sym_BANG] = ACTIONS(7579),
    [anon_sym_PIPE] = ACTIONS(7579),
    [anon_sym_COLON] = ACTIONS(7579),
    [anon_sym_SQUOTE] = ACTIONS(7579),
    [anon_sym__] = ACTIONS(7581),
    [anon_sym_CARET] = ACTIONS(7581),
    [anon_sym_BSLASHtitle] = ACTIONS(7579),
    [anon_sym_BSLASHauthor] = ACTIONS(7579),
    [anon_sym_BSLASHusepackage] = ACTIONS(7579),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7579),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7579),
    [anon_sym_BSLASHinclude] = ACTIONS(7579),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7579),
    [anon_sym_BSLASHinput] = ACTIONS(7579),
    [anon_sym_BSLASHsubfile] = ACTIONS(7579),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7579),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7579),
    [anon_sym_BSLASHbibliography] = ACTIONS(7579),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7579),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7579),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7579),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7579),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7579),
    [anon_sym_BSLASHimport] = ACTIONS(7579),
    [anon_sym_BSLASHsubimport] = ACTIONS(7579),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7579),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7579),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7579),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7579),
    [anon_sym_BSLASHcaption] = ACTIONS(7579),
    [anon_sym_BSLASHcite] = ACTIONS(7579),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCite] = ACTIONS(7579),
    [anon_sym_BSLASHnocite] = ACTIONS(7579),
    [anon_sym_BSLASHcitet] = ACTIONS(7579),
    [anon_sym_BSLASHcitep] = ACTIONS(7579),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteA] = ACTIONS(7579),
    [anon_sym_BSLASHciteR] = ACTIONS(7579),
    [anon_sym_BSLASHciteS] = ACTIONS(7579),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7579),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7579),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7579),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7579),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteyear] = ACTIONS(7579),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcitedate] = ACTIONS(7579),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHciteurl] = ACTIONS(7579),
    [anon_sym_BSLASHfullcite] = ACTIONS(7579),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7579),
    [anon_sym_BSLASHcitealt] = ACTIONS(7579),
    [anon_sym_BSLASHcitealp] = ACTIONS(7579),
    [anon_sym_BSLASHcitetext] = ACTIONS(7579),
    [anon_sym_BSLASHparencite] = ACTIONS(7579),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHParencite] = ACTIONS(7579),
    [anon_sym_BSLASHfootcite] = ACTIONS(7579),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7579),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7579),
    [anon_sym_BSLASHtextcite] = ACTIONS(7579),
    [anon_sym_BSLASHTextcite] = ACTIONS(7579),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7579),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7579),
    [anon_sym_BSLASHsupercite] = ACTIONS(7579),
    [anon_sym_BSLASHautocite] = ACTIONS(7579),
    [anon_sym_BSLASHAutocite] = ACTIONS(7579),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHVolcite] = ACTIONS(7579),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHavolcite] = ACTIONS(7579),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7579),
    [anon_sym_BSLASHnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHNotecite] = ACTIONS(7579),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7579),
    [anon_sym_BSLASHlabel] = ACTIONS(7579),
    [anon_sym_BSLASHref] = ACTIONS(7579),
    [anon_sym_BSLASHeqref] = ACTIONS(7579),
    [anon_sym_BSLASHvref] = ACTIONS(7579),
    [anon_sym_BSLASHVref] = ACTIONS(7579),
    [anon_sym_BSLASHautoref] = ACTIONS(7579),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHpageref] = ACTIONS(7579),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHautopageref] = ACTIONS(7579),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcref] = ACTIONS(7579),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCref] = ACTIONS(7579),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcpageref] = ACTIONS(7579),
    [anon_sym_BSLASHCpageref] = ACTIONS(7579),
    [anon_sym_BSLASHnamecref] = ACTIONS(7579),
    [anon_sym_BSLASHnameCref] = ACTIONS(7579),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7579),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7579),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7579),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7579),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7579),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7579),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7579),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7579),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7579),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7579),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7579),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7579),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7579),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7579),
    [anon_sym_BSLASHdef] = ACTIONS(7579),
    [anon_sym_BSLASHgdef] = ACTIONS(7579),
    [anon_sym_BSLASHedef] = ACTIONS(7579),
    [anon_sym_BSLASHxdef] = ACTIONS(7579),
    [anon_sym_BSLASHlet] = ACTIONS(7579),
    [anon_sym_BSLASHglet] = ACTIONS(7579),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7579),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7579),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7579),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7579),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7579),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7579),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7579),
    [anon_sym_BSLASHgls] = ACTIONS(7579),
    [anon_sym_BSLASHGls] = ACTIONS(7579),
    [anon_sym_BSLASHGLS] = ACTIONS(7579),
    [anon_sym_BSLASHglspl] = ACTIONS(7579),
    [anon_sym_BSLASHGlspl] = ACTIONS(7579),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7579),
    [anon_sym_BSLASHglslink] = ACTIONS(7579),
    [anon_sym_BSLASHglstext] = ACTIONS(7579),
    [anon_sym_BSLASHGlstext] = ACTIONS(7579),
    [anon_sym_BSLASHGLStext] = ACTIONS(7579),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7579),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7579),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7579),
    [anon_sym_BSLASHglsplural] = ACTIONS(7579),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7579),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7579),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7579),
    [anon_sym_BSLASHglsname] = ACTIONS(7579),
    [anon_sym_BSLASHGlsname] = ACTIONS(7579),
    [anon_sym_BSLASHGLSname] = ACTIONS(7579),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7579),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7579),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7579),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7579),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7579),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7579),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7579),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7579),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7579),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7579),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7579),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7579),
    [anon_sym_BSLASHacrshort] = ACTIONS(7579),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7579),
    [anon_sym_BSLASHACRshort] = ACTIONS(7579),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHacrlong] = ACTIONS(7579),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7579),
    [anon_sym_BSLASHACRlong] = ACTIONS(7579),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7579),
    [anon_sym_BSLASHacrfull] = ACTIONS(7579),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7579),
    [anon_sym_BSLASHACRfull] = ACTIONS(7579),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHacs] = ACTIONS(7579),
    [anon_sym_BSLASHAcs] = ACTIONS(7579),
    [anon_sym_BSLASHacsp] = ACTIONS(7579),
    [anon_sym_BSLASHAcsp] = ACTIONS(7579),
    [anon_sym_BSLASHacl] = ACTIONS(7579),
    [anon_sym_BSLASHAcl] = ACTIONS(7579),
    [anon_sym_BSLASHaclp] = ACTIONS(7579),
    [anon_sym_BSLASHAclp] = ACTIONS(7579),
    [anon_sym_BSLASHacf] = ACTIONS(7579),
    [anon_sym_BSLASHAcf] = ACTIONS(7579),
    [anon_sym_BSLASHacfp] = ACTIONS(7579),
    [anon_sym_BSLASHAcfp] = ACTIONS(7579),
    [anon_sym_BSLASHac] = ACTIONS(7579),
    [anon_sym_BSLASHAc] = ACTIONS(7579),
    [anon_sym_BSLASHacp] = ACTIONS(7579),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7579),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7579),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7579),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7579),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7579),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7581),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7579),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7579),
    [anon_sym_BSLASHcolor] = ACTIONS(7579),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7579),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7579),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7579),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7579),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7579),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7579),
    [anon_sym_BSLASHurl] = ACTIONS(7579),
    [anon_sym_BSLASHhref] = ACTIONS(7579),
  },
  [2299] = {
    [sym_command_name] = ACTIONS(7583),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7583),
    [anon_sym_RBRACK] = ACTIONS(7585),
    [anon_sym_COMMA] = ACTIONS(7585),
    [anon_sym_EQ] = ACTIONS(7585),
    [anon_sym_RBRACE] = ACTIONS(7585),
    [sym_word] = ACTIONS(7583),
    [sym_placeholder] = ACTIONS(7585),
    [sym_delimiter] = ACTIONS(7585),
    [anon_sym_PLUS] = ACTIONS(7585),
    [anon_sym_DASH] = ACTIONS(7585),
    [anon_sym_STAR] = ACTIONS(7585),
    [anon_sym_SLASH] = ACTIONS(7585),
    [anon_sym_LT] = ACTIONS(7583),
    [anon_sym_GT] = ACTIONS(7583),
    [anon_sym_BANG] = ACTIONS(7583),
    [anon_sym_PIPE] = ACTIONS(7583),
    [anon_sym_COLON] = ACTIONS(7583),
    [anon_sym_SQUOTE] = ACTIONS(7583),
    [anon_sym__] = ACTIONS(7585),
    [anon_sym_CARET] = ACTIONS(7585),
    [anon_sym_BSLASHtitle] = ACTIONS(7583),
    [anon_sym_BSLASHauthor] = ACTIONS(7583),
    [anon_sym_BSLASHusepackage] = ACTIONS(7583),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7583),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7583),
    [anon_sym_BSLASHinclude] = ACTIONS(7583),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7583),
    [anon_sym_BSLASHinput] = ACTIONS(7583),
    [anon_sym_BSLASHsubfile] = ACTIONS(7583),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7583),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7583),
    [anon_sym_BSLASHbibliography] = ACTIONS(7583),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7583),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7583),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7583),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7583),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7583),
    [anon_sym_BSLASHimport] = ACTIONS(7583),
    [anon_sym_BSLASHsubimport] = ACTIONS(7583),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7583),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7583),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7583),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7583),
    [anon_sym_BSLASHcaption] = ACTIONS(7583),
    [anon_sym_BSLASHcite] = ACTIONS(7583),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCite] = ACTIONS(7583),
    [anon_sym_BSLASHnocite] = ACTIONS(7583),
    [anon_sym_BSLASHcitet] = ACTIONS(7583),
    [anon_sym_BSLASHcitep] = ACTIONS(7583),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteA] = ACTIONS(7583),
    [anon_sym_BSLASHciteR] = ACTIONS(7583),
    [anon_sym_BSLASHciteS] = ACTIONS(7583),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7583),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7583),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7583),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7583),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteyear] = ACTIONS(7583),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcitedate] = ACTIONS(7583),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHciteurl] = ACTIONS(7583),
    [anon_sym_BSLASHfullcite] = ACTIONS(7583),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7583),
    [anon_sym_BSLASHcitealt] = ACTIONS(7583),
    [anon_sym_BSLASHcitealp] = ACTIONS(7583),
    [anon_sym_BSLASHcitetext] = ACTIONS(7583),
    [anon_sym_BSLASHparencite] = ACTIONS(7583),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHParencite] = ACTIONS(7583),
    [anon_sym_BSLASHfootcite] = ACTIONS(7583),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7583),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7583),
    [anon_sym_BSLASHtextcite] = ACTIONS(7583),
    [anon_sym_BSLASHTextcite] = ACTIONS(7583),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7583),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7583),
    [anon_sym_BSLASHsupercite] = ACTIONS(7583),
    [anon_sym_BSLASHautocite] = ACTIONS(7583),
    [anon_sym_BSLASHAutocite] = ACTIONS(7583),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHVolcite] = ACTIONS(7583),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHavolcite] = ACTIONS(7583),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7583),
    [anon_sym_BSLASHnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHNotecite] = ACTIONS(7583),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7583),
    [anon_sym_BSLASHlabel] = ACTIONS(7583),
    [anon_sym_BSLASHref] = ACTIONS(7583),
    [anon_sym_BSLASHeqref] = ACTIONS(7583),
    [anon_sym_BSLASHvref] = ACTIONS(7583),
    [anon_sym_BSLASHVref] = ACTIONS(7583),
    [anon_sym_BSLASHautoref] = ACTIONS(7583),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHpageref] = ACTIONS(7583),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHautopageref] = ACTIONS(7583),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcref] = ACTIONS(7583),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCref] = ACTIONS(7583),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcpageref] = ACTIONS(7583),
    [anon_sym_BSLASHCpageref] = ACTIONS(7583),
    [anon_sym_BSLASHnamecref] = ACTIONS(7583),
    [anon_sym_BSLASHnameCref] = ACTIONS(7583),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7583),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7583),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7583),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7583),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7583),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7583),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7583),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7583),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7583),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7583),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7583),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7583),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7583),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7583),
    [anon_sym_BSLASHdef] = ACTIONS(7583),
    [anon_sym_BSLASHgdef] = ACTIONS(7583),
    [anon_sym_BSLASHedef] = ACTIONS(7583),
    [anon_sym_BSLASHxdef] = ACTIONS(7583),
    [anon_sym_BSLASHlet] = ACTIONS(7583),
    [anon_sym_BSLASHglet] = ACTIONS(7583),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7583),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7583),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7583),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7583),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7583),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7583),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7583),
    [anon_sym_BSLASHgls] = ACTIONS(7583),
    [anon_sym_BSLASHGls] = ACTIONS(7583),
    [anon_sym_BSLASHGLS] = ACTIONS(7583),
    [anon_sym_BSLASHglspl] = ACTIONS(7583),
    [anon_sym_BSLASHGlspl] = ACTIONS(7583),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7583),
    [anon_sym_BSLASHglslink] = ACTIONS(7583),
    [anon_sym_BSLASHglstext] = ACTIONS(7583),
    [anon_sym_BSLASHGlstext] = ACTIONS(7583),
    [anon_sym_BSLASHGLStext] = ACTIONS(7583),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7583),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7583),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7583),
    [anon_sym_BSLASHglsplural] = ACTIONS(7583),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7583),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7583),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7583),
    [anon_sym_BSLASHglsname] = ACTIONS(7583),
    [anon_sym_BSLASHGlsname] = ACTIONS(7583),
    [anon_sym_BSLASHGLSname] = ACTIONS(7583),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7583),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7583),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7583),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7583),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7583),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7583),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7583),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7583),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7583),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7583),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7583),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7583),
    [anon_sym_BSLASHacrshort] = ACTIONS(7583),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7583),
    [anon_sym_BSLASHACRshort] = ACTIONS(7583),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHacrlong] = ACTIONS(7583),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7583),
    [anon_sym_BSLASHACRlong] = ACTIONS(7583),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7583),
    [anon_sym_BSLASHacrfull] = ACTIONS(7583),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7583),
    [anon_sym_BSLASHACRfull] = ACTIONS(7583),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHacs] = ACTIONS(7583),
    [anon_sym_BSLASHAcs] = ACTIONS(7583),
    [anon_sym_BSLASHacsp] = ACTIONS(7583),
    [anon_sym_BSLASHAcsp] = ACTIONS(7583),
    [anon_sym_BSLASHacl] = ACTIONS(7583),
    [anon_sym_BSLASHAcl] = ACTIONS(7583),
    [anon_sym_BSLASHaclp] = ACTIONS(7583),
    [anon_sym_BSLASHAclp] = ACTIONS(7583),
    [anon_sym_BSLASHacf] = ACTIONS(7583),
    [anon_sym_BSLASHAcf] = ACTIONS(7583),
    [anon_sym_BSLASHacfp] = ACTIONS(7583),
    [anon_sym_BSLASHAcfp] = ACTIONS(7583),
    [anon_sym_BSLASHac] = ACTIONS(7583),
    [anon_sym_BSLASHAc] = ACTIONS(7583),
    [anon_sym_BSLASHacp] = ACTIONS(7583),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7583),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7583),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7583),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7583),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7583),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7585),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7583),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7583),
    [anon_sym_BSLASHcolor] = ACTIONS(7583),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7583),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7583),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7583),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7583),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7583),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7583),
    [anon_sym_BSLASHurl] = ACTIONS(7583),
    [anon_sym_BSLASHhref] = ACTIONS(7583),
  },
  [2300] = {
    [sym_command_name] = ACTIONS(7587),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7587),
    [anon_sym_RBRACK] = ACTIONS(7589),
    [anon_sym_COMMA] = ACTIONS(7589),
    [anon_sym_EQ] = ACTIONS(7589),
    [anon_sym_RBRACE] = ACTIONS(7589),
    [sym_word] = ACTIONS(7587),
    [sym_placeholder] = ACTIONS(7589),
    [sym_delimiter] = ACTIONS(7589),
    [anon_sym_PLUS] = ACTIONS(7589),
    [anon_sym_DASH] = ACTIONS(7589),
    [anon_sym_STAR] = ACTIONS(7589),
    [anon_sym_SLASH] = ACTIONS(7589),
    [anon_sym_LT] = ACTIONS(7587),
    [anon_sym_GT] = ACTIONS(7587),
    [anon_sym_BANG] = ACTIONS(7587),
    [anon_sym_PIPE] = ACTIONS(7587),
    [anon_sym_COLON] = ACTIONS(7587),
    [anon_sym_SQUOTE] = ACTIONS(7587),
    [anon_sym__] = ACTIONS(7589),
    [anon_sym_CARET] = ACTIONS(7589),
    [anon_sym_BSLASHtitle] = ACTIONS(7587),
    [anon_sym_BSLASHauthor] = ACTIONS(7587),
    [anon_sym_BSLASHusepackage] = ACTIONS(7587),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7587),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7587),
    [anon_sym_BSLASHinclude] = ACTIONS(7587),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7587),
    [anon_sym_BSLASHinput] = ACTIONS(7587),
    [anon_sym_BSLASHsubfile] = ACTIONS(7587),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7587),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7587),
    [anon_sym_BSLASHbibliography] = ACTIONS(7587),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7587),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7587),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7587),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7587),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7587),
    [anon_sym_BSLASHimport] = ACTIONS(7587),
    [anon_sym_BSLASHsubimport] = ACTIONS(7587),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7587),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7587),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7587),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7587),
    [anon_sym_BSLASHcaption] = ACTIONS(7587),
    [anon_sym_BSLASHcite] = ACTIONS(7587),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCite] = ACTIONS(7587),
    [anon_sym_BSLASHnocite] = ACTIONS(7587),
    [anon_sym_BSLASHcitet] = ACTIONS(7587),
    [anon_sym_BSLASHcitep] = ACTIONS(7587),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteA] = ACTIONS(7587),
    [anon_sym_BSLASHciteR] = ACTIONS(7587),
    [anon_sym_BSLASHciteS] = ACTIONS(7587),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7587),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7587),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7587),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7587),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteyear] = ACTIONS(7587),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcitedate] = ACTIONS(7587),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHciteurl] = ACTIONS(7587),
    [anon_sym_BSLASHfullcite] = ACTIONS(7587),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7587),
    [anon_sym_BSLASHcitealt] = ACTIONS(7587),
    [anon_sym_BSLASHcitealp] = ACTIONS(7587),
    [anon_sym_BSLASHcitetext] = ACTIONS(7587),
    [anon_sym_BSLASHparencite] = ACTIONS(7587),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHParencite] = ACTIONS(7587),
    [anon_sym_BSLASHfootcite] = ACTIONS(7587),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7587),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7587),
    [anon_sym_BSLASHtextcite] = ACTIONS(7587),
    [anon_sym_BSLASHTextcite] = ACTIONS(7587),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7587),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7587),
    [anon_sym_BSLASHsupercite] = ACTIONS(7587),
    [anon_sym_BSLASHautocite] = ACTIONS(7587),
    [anon_sym_BSLASHAutocite] = ACTIONS(7587),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHVolcite] = ACTIONS(7587),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHavolcite] = ACTIONS(7587),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7587),
    [anon_sym_BSLASHnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHNotecite] = ACTIONS(7587),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7587),
    [anon_sym_BSLASHlabel] = ACTIONS(7587),
    [anon_sym_BSLASHref] = ACTIONS(7587),
    [anon_sym_BSLASHeqref] = ACTIONS(7587),
    [anon_sym_BSLASHvref] = ACTIONS(7587),
    [anon_sym_BSLASHVref] = ACTIONS(7587),
    [anon_sym_BSLASHautoref] = ACTIONS(7587),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHpageref] = ACTIONS(7587),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHautopageref] = ACTIONS(7587),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcref] = ACTIONS(7587),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCref] = ACTIONS(7587),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcpageref] = ACTIONS(7587),
    [anon_sym_BSLASHCpageref] = ACTIONS(7587),
    [anon_sym_BSLASHnamecref] = ACTIONS(7587),
    [anon_sym_BSLASHnameCref] = ACTIONS(7587),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7587),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7587),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7587),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7587),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7587),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7587),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7587),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7587),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7587),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7587),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7587),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7587),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7587),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7587),
    [anon_sym_BSLASHdef] = ACTIONS(7587),
    [anon_sym_BSLASHgdef] = ACTIONS(7587),
    [anon_sym_BSLASHedef] = ACTIONS(7587),
    [anon_sym_BSLASHxdef] = ACTIONS(7587),
    [anon_sym_BSLASHlet] = ACTIONS(7587),
    [anon_sym_BSLASHglet] = ACTIONS(7587),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7587),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7587),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7587),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7587),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7587),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7587),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7587),
    [anon_sym_BSLASHgls] = ACTIONS(7587),
    [anon_sym_BSLASHGls] = ACTIONS(7587),
    [anon_sym_BSLASHGLS] = ACTIONS(7587),
    [anon_sym_BSLASHglspl] = ACTIONS(7587),
    [anon_sym_BSLASHGlspl] = ACTIONS(7587),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7587),
    [anon_sym_BSLASHglslink] = ACTIONS(7587),
    [anon_sym_BSLASHglstext] = ACTIONS(7587),
    [anon_sym_BSLASHGlstext] = ACTIONS(7587),
    [anon_sym_BSLASHGLStext] = ACTIONS(7587),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7587),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7587),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7587),
    [anon_sym_BSLASHglsplural] = ACTIONS(7587),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7587),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7587),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7587),
    [anon_sym_BSLASHglsname] = ACTIONS(7587),
    [anon_sym_BSLASHGlsname] = ACTIONS(7587),
    [anon_sym_BSLASHGLSname] = ACTIONS(7587),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7587),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7587),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7587),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7587),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7587),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7587),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7587),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7587),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7587),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7587),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7587),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7587),
    [anon_sym_BSLASHacrshort] = ACTIONS(7587),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7587),
    [anon_sym_BSLASHACRshort] = ACTIONS(7587),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHacrlong] = ACTIONS(7587),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7587),
    [anon_sym_BSLASHACRlong] = ACTIONS(7587),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7587),
    [anon_sym_BSLASHacrfull] = ACTIONS(7587),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7587),
    [anon_sym_BSLASHACRfull] = ACTIONS(7587),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHacs] = ACTIONS(7587),
    [anon_sym_BSLASHAcs] = ACTIONS(7587),
    [anon_sym_BSLASHacsp] = ACTIONS(7587),
    [anon_sym_BSLASHAcsp] = ACTIONS(7587),
    [anon_sym_BSLASHacl] = ACTIONS(7587),
    [anon_sym_BSLASHAcl] = ACTIONS(7587),
    [anon_sym_BSLASHaclp] = ACTIONS(7587),
    [anon_sym_BSLASHAclp] = ACTIONS(7587),
    [anon_sym_BSLASHacf] = ACTIONS(7587),
    [anon_sym_BSLASHAcf] = ACTIONS(7587),
    [anon_sym_BSLASHacfp] = ACTIONS(7587),
    [anon_sym_BSLASHAcfp] = ACTIONS(7587),
    [anon_sym_BSLASHac] = ACTIONS(7587),
    [anon_sym_BSLASHAc] = ACTIONS(7587),
    [anon_sym_BSLASHacp] = ACTIONS(7587),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7587),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7587),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7587),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7587),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7587),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7589),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7587),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7587),
    [anon_sym_BSLASHcolor] = ACTIONS(7587),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7587),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7587),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7587),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7587),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7587),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7587),
    [anon_sym_BSLASHurl] = ACTIONS(7587),
    [anon_sym_BSLASHhref] = ACTIONS(7587),
  },
  [2301] = {
    [sym_command_name] = ACTIONS(7591),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7591),
    [anon_sym_RBRACK] = ACTIONS(7593),
    [anon_sym_COMMA] = ACTIONS(7593),
    [anon_sym_EQ] = ACTIONS(7593),
    [anon_sym_RBRACE] = ACTIONS(7593),
    [sym_word] = ACTIONS(7591),
    [sym_placeholder] = ACTIONS(7593),
    [sym_delimiter] = ACTIONS(7593),
    [anon_sym_PLUS] = ACTIONS(7593),
    [anon_sym_DASH] = ACTIONS(7593),
    [anon_sym_STAR] = ACTIONS(7593),
    [anon_sym_SLASH] = ACTIONS(7593),
    [anon_sym_LT] = ACTIONS(7591),
    [anon_sym_GT] = ACTIONS(7591),
    [anon_sym_BANG] = ACTIONS(7591),
    [anon_sym_PIPE] = ACTIONS(7591),
    [anon_sym_COLON] = ACTIONS(7591),
    [anon_sym_SQUOTE] = ACTIONS(7591),
    [anon_sym__] = ACTIONS(7593),
    [anon_sym_CARET] = ACTIONS(7593),
    [anon_sym_BSLASHtitle] = ACTIONS(7591),
    [anon_sym_BSLASHauthor] = ACTIONS(7591),
    [anon_sym_BSLASHusepackage] = ACTIONS(7591),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7591),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7591),
    [anon_sym_BSLASHinclude] = ACTIONS(7591),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7591),
    [anon_sym_BSLASHinput] = ACTIONS(7591),
    [anon_sym_BSLASHsubfile] = ACTIONS(7591),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7591),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7591),
    [anon_sym_BSLASHbibliography] = ACTIONS(7591),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7591),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7591),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7591),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7591),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7591),
    [anon_sym_BSLASHimport] = ACTIONS(7591),
    [anon_sym_BSLASHsubimport] = ACTIONS(7591),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7591),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7591),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7591),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7591),
    [anon_sym_BSLASHcaption] = ACTIONS(7591),
    [anon_sym_BSLASHcite] = ACTIONS(7591),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCite] = ACTIONS(7591),
    [anon_sym_BSLASHnocite] = ACTIONS(7591),
    [anon_sym_BSLASHcitet] = ACTIONS(7591),
    [anon_sym_BSLASHcitep] = ACTIONS(7591),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteA] = ACTIONS(7591),
    [anon_sym_BSLASHciteR] = ACTIONS(7591),
    [anon_sym_BSLASHciteS] = ACTIONS(7591),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7591),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7591),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7591),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7591),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteyear] = ACTIONS(7591),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcitedate] = ACTIONS(7591),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHciteurl] = ACTIONS(7591),
    [anon_sym_BSLASHfullcite] = ACTIONS(7591),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7591),
    [anon_sym_BSLASHcitealt] = ACTIONS(7591),
    [anon_sym_BSLASHcitealp] = ACTIONS(7591),
    [anon_sym_BSLASHcitetext] = ACTIONS(7591),
    [anon_sym_BSLASHparencite] = ACTIONS(7591),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHParencite] = ACTIONS(7591),
    [anon_sym_BSLASHfootcite] = ACTIONS(7591),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7591),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7591),
    [anon_sym_BSLASHtextcite] = ACTIONS(7591),
    [anon_sym_BSLASHTextcite] = ACTIONS(7591),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7591),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7591),
    [anon_sym_BSLASHsupercite] = ACTIONS(7591),
    [anon_sym_BSLASHautocite] = ACTIONS(7591),
    [anon_sym_BSLASHAutocite] = ACTIONS(7591),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHVolcite] = ACTIONS(7591),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHavolcite] = ACTIONS(7591),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7591),
    [anon_sym_BSLASHnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHNotecite] = ACTIONS(7591),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7591),
    [anon_sym_BSLASHlabel] = ACTIONS(7591),
    [anon_sym_BSLASHref] = ACTIONS(7591),
    [anon_sym_BSLASHeqref] = ACTIONS(7591),
    [anon_sym_BSLASHvref] = ACTIONS(7591),
    [anon_sym_BSLASHVref] = ACTIONS(7591),
    [anon_sym_BSLASHautoref] = ACTIONS(7591),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHpageref] = ACTIONS(7591),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHautopageref] = ACTIONS(7591),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcref] = ACTIONS(7591),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCref] = ACTIONS(7591),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcpageref] = ACTIONS(7591),
    [anon_sym_BSLASHCpageref] = ACTIONS(7591),
    [anon_sym_BSLASHnamecref] = ACTIONS(7591),
    [anon_sym_BSLASHnameCref] = ACTIONS(7591),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7591),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7591),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7591),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7591),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7591),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7591),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7591),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7591),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7591),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7591),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7591),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7591),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7591),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7591),
    [anon_sym_BSLASHdef] = ACTIONS(7591),
    [anon_sym_BSLASHgdef] = ACTIONS(7591),
    [anon_sym_BSLASHedef] = ACTIONS(7591),
    [anon_sym_BSLASHxdef] = ACTIONS(7591),
    [anon_sym_BSLASHlet] = ACTIONS(7591),
    [anon_sym_BSLASHglet] = ACTIONS(7591),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7591),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7591),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7591),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7591),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7591),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7591),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7591),
    [anon_sym_BSLASHgls] = ACTIONS(7591),
    [anon_sym_BSLASHGls] = ACTIONS(7591),
    [anon_sym_BSLASHGLS] = ACTIONS(7591),
    [anon_sym_BSLASHglspl] = ACTIONS(7591),
    [anon_sym_BSLASHGlspl] = ACTIONS(7591),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7591),
    [anon_sym_BSLASHglslink] = ACTIONS(7591),
    [anon_sym_BSLASHglstext] = ACTIONS(7591),
    [anon_sym_BSLASHGlstext] = ACTIONS(7591),
    [anon_sym_BSLASHGLStext] = ACTIONS(7591),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7591),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7591),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7591),
    [anon_sym_BSLASHglsplural] = ACTIONS(7591),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7591),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7591),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7591),
    [anon_sym_BSLASHglsname] = ACTIONS(7591),
    [anon_sym_BSLASHGlsname] = ACTIONS(7591),
    [anon_sym_BSLASHGLSname] = ACTIONS(7591),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7591),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7591),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7591),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7591),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7591),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7591),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7591),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7591),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7591),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7591),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7591),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7591),
    [anon_sym_BSLASHacrshort] = ACTIONS(7591),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7591),
    [anon_sym_BSLASHACRshort] = ACTIONS(7591),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHacrlong] = ACTIONS(7591),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7591),
    [anon_sym_BSLASHACRlong] = ACTIONS(7591),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7591),
    [anon_sym_BSLASHacrfull] = ACTIONS(7591),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7591),
    [anon_sym_BSLASHACRfull] = ACTIONS(7591),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHacs] = ACTIONS(7591),
    [anon_sym_BSLASHAcs] = ACTIONS(7591),
    [anon_sym_BSLASHacsp] = ACTIONS(7591),
    [anon_sym_BSLASHAcsp] = ACTIONS(7591),
    [anon_sym_BSLASHacl] = ACTIONS(7591),
    [anon_sym_BSLASHAcl] = ACTIONS(7591),
    [anon_sym_BSLASHaclp] = ACTIONS(7591),
    [anon_sym_BSLASHAclp] = ACTIONS(7591),
    [anon_sym_BSLASHacf] = ACTIONS(7591),
    [anon_sym_BSLASHAcf] = ACTIONS(7591),
    [anon_sym_BSLASHacfp] = ACTIONS(7591),
    [anon_sym_BSLASHAcfp] = ACTIONS(7591),
    [anon_sym_BSLASHac] = ACTIONS(7591),
    [anon_sym_BSLASHAc] = ACTIONS(7591),
    [anon_sym_BSLASHacp] = ACTIONS(7591),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7591),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7591),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7591),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7591),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7591),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7593),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7591),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7591),
    [anon_sym_BSLASHcolor] = ACTIONS(7591),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7591),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7591),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7591),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7591),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7591),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7591),
    [anon_sym_BSLASHurl] = ACTIONS(7591),
    [anon_sym_BSLASHhref] = ACTIONS(7591),
  },
  [2302] = {
    [sym_command_name] = ACTIONS(7363),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7363),
    [anon_sym_RBRACK] = ACTIONS(7365),
    [anon_sym_COMMA] = ACTIONS(7365),
    [anon_sym_EQ] = ACTIONS(7365),
    [anon_sym_RBRACE] = ACTIONS(7365),
    [sym_word] = ACTIONS(7363),
    [sym_placeholder] = ACTIONS(7365),
    [sym_delimiter] = ACTIONS(7365),
    [anon_sym_PLUS] = ACTIONS(7365),
    [anon_sym_DASH] = ACTIONS(7365),
    [anon_sym_STAR] = ACTIONS(7365),
    [anon_sym_SLASH] = ACTIONS(7365),
    [anon_sym_LT] = ACTIONS(7363),
    [anon_sym_GT] = ACTIONS(7363),
    [anon_sym_BANG] = ACTIONS(7363),
    [anon_sym_PIPE] = ACTIONS(7363),
    [anon_sym_COLON] = ACTIONS(7363),
    [anon_sym_SQUOTE] = ACTIONS(7363),
    [anon_sym__] = ACTIONS(7365),
    [anon_sym_CARET] = ACTIONS(7365),
    [anon_sym_BSLASHtitle] = ACTIONS(7363),
    [anon_sym_BSLASHauthor] = ACTIONS(7363),
    [anon_sym_BSLASHusepackage] = ACTIONS(7363),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7363),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7363),
    [anon_sym_BSLASHinclude] = ACTIONS(7363),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7363),
    [anon_sym_BSLASHinput] = ACTIONS(7363),
    [anon_sym_BSLASHsubfile] = ACTIONS(7363),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7363),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7363),
    [anon_sym_BSLASHbibliography] = ACTIONS(7363),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7363),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7363),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7363),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7363),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7363),
    [anon_sym_BSLASHimport] = ACTIONS(7363),
    [anon_sym_BSLASHsubimport] = ACTIONS(7363),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7363),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7363),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7363),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7363),
    [anon_sym_BSLASHcaption] = ACTIONS(7363),
    [anon_sym_BSLASHcite] = ACTIONS(7363),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCite] = ACTIONS(7363),
    [anon_sym_BSLASHnocite] = ACTIONS(7363),
    [anon_sym_BSLASHcitet] = ACTIONS(7363),
    [anon_sym_BSLASHcitep] = ACTIONS(7363),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteA] = ACTIONS(7363),
    [anon_sym_BSLASHciteR] = ACTIONS(7363),
    [anon_sym_BSLASHciteS] = ACTIONS(7363),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7363),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7363),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7363),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7363),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteyear] = ACTIONS(7363),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcitedate] = ACTIONS(7363),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHciteurl] = ACTIONS(7363),
    [anon_sym_BSLASHfullcite] = ACTIONS(7363),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7363),
    [anon_sym_BSLASHcitealt] = ACTIONS(7363),
    [anon_sym_BSLASHcitealp] = ACTIONS(7363),
    [anon_sym_BSLASHcitetext] = ACTIONS(7363),
    [anon_sym_BSLASHparencite] = ACTIONS(7363),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHParencite] = ACTIONS(7363),
    [anon_sym_BSLASHfootcite] = ACTIONS(7363),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7363),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7363),
    [anon_sym_BSLASHtextcite] = ACTIONS(7363),
    [anon_sym_BSLASHTextcite] = ACTIONS(7363),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7363),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7363),
    [anon_sym_BSLASHsupercite] = ACTIONS(7363),
    [anon_sym_BSLASHautocite] = ACTIONS(7363),
    [anon_sym_BSLASHAutocite] = ACTIONS(7363),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHVolcite] = ACTIONS(7363),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHavolcite] = ACTIONS(7363),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7363),
    [anon_sym_BSLASHnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHNotecite] = ACTIONS(7363),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7363),
    [anon_sym_BSLASHlabel] = ACTIONS(7363),
    [anon_sym_BSLASHref] = ACTIONS(7363),
    [anon_sym_BSLASHeqref] = ACTIONS(7363),
    [anon_sym_BSLASHvref] = ACTIONS(7363),
    [anon_sym_BSLASHVref] = ACTIONS(7363),
    [anon_sym_BSLASHautoref] = ACTIONS(7363),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHpageref] = ACTIONS(7363),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHautopageref] = ACTIONS(7363),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcref] = ACTIONS(7363),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCref] = ACTIONS(7363),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcpageref] = ACTIONS(7363),
    [anon_sym_BSLASHCpageref] = ACTIONS(7363),
    [anon_sym_BSLASHnamecref] = ACTIONS(7363),
    [anon_sym_BSLASHnameCref] = ACTIONS(7363),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7363),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7363),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7363),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7363),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7363),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7363),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7363),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7363),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7363),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7363),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7363),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7363),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7363),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7363),
    [anon_sym_BSLASHdef] = ACTIONS(7363),
    [anon_sym_BSLASHgdef] = ACTIONS(7363),
    [anon_sym_BSLASHedef] = ACTIONS(7363),
    [anon_sym_BSLASHxdef] = ACTIONS(7363),
    [anon_sym_BSLASHlet] = ACTIONS(7363),
    [anon_sym_BSLASHglet] = ACTIONS(7363),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7363),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7363),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7363),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7363),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7363),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7363),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7363),
    [anon_sym_BSLASHgls] = ACTIONS(7363),
    [anon_sym_BSLASHGls] = ACTIONS(7363),
    [anon_sym_BSLASHGLS] = ACTIONS(7363),
    [anon_sym_BSLASHglspl] = ACTIONS(7363),
    [anon_sym_BSLASHGlspl] = ACTIONS(7363),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7363),
    [anon_sym_BSLASHglslink] = ACTIONS(7363),
    [anon_sym_BSLASHglstext] = ACTIONS(7363),
    [anon_sym_BSLASHGlstext] = ACTIONS(7363),
    [anon_sym_BSLASHGLStext] = ACTIONS(7363),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7363),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7363),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7363),
    [anon_sym_BSLASHglsplural] = ACTIONS(7363),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7363),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7363),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7363),
    [anon_sym_BSLASHglsname] = ACTIONS(7363),
    [anon_sym_BSLASHGlsname] = ACTIONS(7363),
    [anon_sym_BSLASHGLSname] = ACTIONS(7363),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7363),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7363),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7363),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7363),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7363),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7363),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7363),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7363),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7363),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7363),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7363),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7363),
    [anon_sym_BSLASHacrshort] = ACTIONS(7363),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7363),
    [anon_sym_BSLASHACRshort] = ACTIONS(7363),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHacrlong] = ACTIONS(7363),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7363),
    [anon_sym_BSLASHACRlong] = ACTIONS(7363),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7363),
    [anon_sym_BSLASHacrfull] = ACTIONS(7363),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7363),
    [anon_sym_BSLASHACRfull] = ACTIONS(7363),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHacs] = ACTIONS(7363),
    [anon_sym_BSLASHAcs] = ACTIONS(7363),
    [anon_sym_BSLASHacsp] = ACTIONS(7363),
    [anon_sym_BSLASHAcsp] = ACTIONS(7363),
    [anon_sym_BSLASHacl] = ACTIONS(7363),
    [anon_sym_BSLASHAcl] = ACTIONS(7363),
    [anon_sym_BSLASHaclp] = ACTIONS(7363),
    [anon_sym_BSLASHAclp] = ACTIONS(7363),
    [anon_sym_BSLASHacf] = ACTIONS(7363),
    [anon_sym_BSLASHAcf] = ACTIONS(7363),
    [anon_sym_BSLASHacfp] = ACTIONS(7363),
    [anon_sym_BSLASHAcfp] = ACTIONS(7363),
    [anon_sym_BSLASHac] = ACTIONS(7363),
    [anon_sym_BSLASHAc] = ACTIONS(7363),
    [anon_sym_BSLASHacp] = ACTIONS(7363),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7363),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7363),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7363),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7363),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7363),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7365),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7363),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7363),
    [anon_sym_BSLASHcolor] = ACTIONS(7363),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7363),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7363),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7363),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7363),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7363),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7363),
    [anon_sym_BSLASHurl] = ACTIONS(7363),
    [anon_sym_BSLASHhref] = ACTIONS(7363),
  },
  [2303] = {
    [sym_command_name] = ACTIONS(7239),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7239),
    [anon_sym_RBRACK] = ACTIONS(7241),
    [anon_sym_COMMA] = ACTIONS(7241),
    [anon_sym_EQ] = ACTIONS(7241),
    [anon_sym_RBRACE] = ACTIONS(7241),
    [sym_word] = ACTIONS(7239),
    [sym_placeholder] = ACTIONS(7241),
    [sym_delimiter] = ACTIONS(7241),
    [anon_sym_PLUS] = ACTIONS(7241),
    [anon_sym_DASH] = ACTIONS(7241),
    [anon_sym_STAR] = ACTIONS(7241),
    [anon_sym_SLASH] = ACTIONS(7241),
    [anon_sym_LT] = ACTIONS(7239),
    [anon_sym_GT] = ACTIONS(7239),
    [anon_sym_BANG] = ACTIONS(7239),
    [anon_sym_PIPE] = ACTIONS(7239),
    [anon_sym_COLON] = ACTIONS(7239),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym__] = ACTIONS(7241),
    [anon_sym_CARET] = ACTIONS(7241),
    [anon_sym_BSLASHtitle] = ACTIONS(7239),
    [anon_sym_BSLASHauthor] = ACTIONS(7239),
    [anon_sym_BSLASHusepackage] = ACTIONS(7239),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7239),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7239),
    [anon_sym_BSLASHinclude] = ACTIONS(7239),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7239),
    [anon_sym_BSLASHinput] = ACTIONS(7239),
    [anon_sym_BSLASHsubfile] = ACTIONS(7239),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7239),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7239),
    [anon_sym_BSLASHbibliography] = ACTIONS(7239),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7239),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7239),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7239),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7239),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7239),
    [anon_sym_BSLASHimport] = ACTIONS(7239),
    [anon_sym_BSLASHsubimport] = ACTIONS(7239),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7239),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7239),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7239),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7239),
    [anon_sym_BSLASHcaption] = ACTIONS(7239),
    [anon_sym_BSLASHcite] = ACTIONS(7239),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCite] = ACTIONS(7239),
    [anon_sym_BSLASHnocite] = ACTIONS(7239),
    [anon_sym_BSLASHcitet] = ACTIONS(7239),
    [anon_sym_BSLASHcitep] = ACTIONS(7239),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteA] = ACTIONS(7239),
    [anon_sym_BSLASHciteR] = ACTIONS(7239),
    [anon_sym_BSLASHciteS] = ACTIONS(7239),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7239),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7239),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7239),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7239),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteyear] = ACTIONS(7239),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcitedate] = ACTIONS(7239),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHciteurl] = ACTIONS(7239),
    [anon_sym_BSLASHfullcite] = ACTIONS(7239),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7239),
    [anon_sym_BSLASHcitealt] = ACTIONS(7239),
    [anon_sym_BSLASHcitealp] = ACTIONS(7239),
    [anon_sym_BSLASHcitetext] = ACTIONS(7239),
    [anon_sym_BSLASHparencite] = ACTIONS(7239),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHParencite] = ACTIONS(7239),
    [anon_sym_BSLASHfootcite] = ACTIONS(7239),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7239),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7239),
    [anon_sym_BSLASHtextcite] = ACTIONS(7239),
    [anon_sym_BSLASHTextcite] = ACTIONS(7239),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7239),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7239),
    [anon_sym_BSLASHsupercite] = ACTIONS(7239),
    [anon_sym_BSLASHautocite] = ACTIONS(7239),
    [anon_sym_BSLASHAutocite] = ACTIONS(7239),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHVolcite] = ACTIONS(7239),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHavolcite] = ACTIONS(7239),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7239),
    [anon_sym_BSLASHnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHNotecite] = ACTIONS(7239),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7239),
    [anon_sym_BSLASHlabel] = ACTIONS(7239),
    [anon_sym_BSLASHref] = ACTIONS(7239),
    [anon_sym_BSLASHeqref] = ACTIONS(7239),
    [anon_sym_BSLASHvref] = ACTIONS(7239),
    [anon_sym_BSLASHVref] = ACTIONS(7239),
    [anon_sym_BSLASHautoref] = ACTIONS(7239),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHpageref] = ACTIONS(7239),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHautopageref] = ACTIONS(7239),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcref] = ACTIONS(7239),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCref] = ACTIONS(7239),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcpageref] = ACTIONS(7239),
    [anon_sym_BSLASHCpageref] = ACTIONS(7239),
    [anon_sym_BSLASHnamecref] = ACTIONS(7239),
    [anon_sym_BSLASHnameCref] = ACTIONS(7239),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7239),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7239),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7239),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7239),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7239),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7239),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7239),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7239),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7239),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7239),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7239),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7239),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7239),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7239),
    [anon_sym_BSLASHdef] = ACTIONS(7239),
    [anon_sym_BSLASHgdef] = ACTIONS(7239),
    [anon_sym_BSLASHedef] = ACTIONS(7239),
    [anon_sym_BSLASHxdef] = ACTIONS(7239),
    [anon_sym_BSLASHlet] = ACTIONS(7239),
    [anon_sym_BSLASHglet] = ACTIONS(7239),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7239),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7239),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7239),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7239),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7239),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7239),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7239),
    [anon_sym_BSLASHgls] = ACTIONS(7239),
    [anon_sym_BSLASHGls] = ACTIONS(7239),
    [anon_sym_BSLASHGLS] = ACTIONS(7239),
    [anon_sym_BSLASHglspl] = ACTIONS(7239),
    [anon_sym_BSLASHGlspl] = ACTIONS(7239),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7239),
    [anon_sym_BSLASHglslink] = ACTIONS(7239),
    [anon_sym_BSLASHglstext] = ACTIONS(7239),
    [anon_sym_BSLASHGlstext] = ACTIONS(7239),
    [anon_sym_BSLASHGLStext] = ACTIONS(7239),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7239),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7239),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7239),
    [anon_sym_BSLASHglsplural] = ACTIONS(7239),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7239),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7239),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7239),
    [anon_sym_BSLASHglsname] = ACTIONS(7239),
    [anon_sym_BSLASHGlsname] = ACTIONS(7239),
    [anon_sym_BSLASHGLSname] = ACTIONS(7239),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7239),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7239),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7239),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7239),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7239),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7239),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7239),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7239),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7239),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7239),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7239),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7239),
    [anon_sym_BSLASHacrshort] = ACTIONS(7239),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7239),
    [anon_sym_BSLASHACRshort] = ACTIONS(7239),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHacrlong] = ACTIONS(7239),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7239),
    [anon_sym_BSLASHACRlong] = ACTIONS(7239),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7239),
    [anon_sym_BSLASHacrfull] = ACTIONS(7239),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7239),
    [anon_sym_BSLASHACRfull] = ACTIONS(7239),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHacs] = ACTIONS(7239),
    [anon_sym_BSLASHAcs] = ACTIONS(7239),
    [anon_sym_BSLASHacsp] = ACTIONS(7239),
    [anon_sym_BSLASHAcsp] = ACTIONS(7239),
    [anon_sym_BSLASHacl] = ACTIONS(7239),
    [anon_sym_BSLASHAcl] = ACTIONS(7239),
    [anon_sym_BSLASHaclp] = ACTIONS(7239),
    [anon_sym_BSLASHAclp] = ACTIONS(7239),
    [anon_sym_BSLASHacf] = ACTIONS(7239),
    [anon_sym_BSLASHAcf] = ACTIONS(7239),
    [anon_sym_BSLASHacfp] = ACTIONS(7239),
    [anon_sym_BSLASHAcfp] = ACTIONS(7239),
    [anon_sym_BSLASHac] = ACTIONS(7239),
    [anon_sym_BSLASHAc] = ACTIONS(7239),
    [anon_sym_BSLASHacp] = ACTIONS(7239),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7239),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7239),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7239),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7239),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7239),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7241),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7239),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7239),
    [anon_sym_BSLASHcolor] = ACTIONS(7239),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7239),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7239),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7239),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7239),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7239),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7239),
    [anon_sym_BSLASHurl] = ACTIONS(7239),
    [anon_sym_BSLASHhref] = ACTIONS(7239),
  },
  [2304] = {
    [sym_command_name] = ACTIONS(7243),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7243),
    [anon_sym_RBRACK] = ACTIONS(7245),
    [anon_sym_COMMA] = ACTIONS(7245),
    [anon_sym_EQ] = ACTIONS(7245),
    [anon_sym_RBRACE] = ACTIONS(7245),
    [sym_word] = ACTIONS(7243),
    [sym_placeholder] = ACTIONS(7245),
    [sym_delimiter] = ACTIONS(7245),
    [anon_sym_PLUS] = ACTIONS(7245),
    [anon_sym_DASH] = ACTIONS(7245),
    [anon_sym_STAR] = ACTIONS(7245),
    [anon_sym_SLASH] = ACTIONS(7245),
    [anon_sym_LT] = ACTIONS(7243),
    [anon_sym_GT] = ACTIONS(7243),
    [anon_sym_BANG] = ACTIONS(7243),
    [anon_sym_PIPE] = ACTIONS(7243),
    [anon_sym_COLON] = ACTIONS(7243),
    [anon_sym_SQUOTE] = ACTIONS(7243),
    [anon_sym__] = ACTIONS(7245),
    [anon_sym_CARET] = ACTIONS(7245),
    [anon_sym_BSLASHtitle] = ACTIONS(7243),
    [anon_sym_BSLASHauthor] = ACTIONS(7243),
    [anon_sym_BSLASHusepackage] = ACTIONS(7243),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7243),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7243),
    [anon_sym_BSLASHinclude] = ACTIONS(7243),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7243),
    [anon_sym_BSLASHinput] = ACTIONS(7243),
    [anon_sym_BSLASHsubfile] = ACTIONS(7243),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7243),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7243),
    [anon_sym_BSLASHbibliography] = ACTIONS(7243),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7243),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7243),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7243),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7243),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7243),
    [anon_sym_BSLASHimport] = ACTIONS(7243),
    [anon_sym_BSLASHsubimport] = ACTIONS(7243),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7243),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7243),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7243),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7243),
    [anon_sym_BSLASHcaption] = ACTIONS(7243),
    [anon_sym_BSLASHcite] = ACTIONS(7243),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCite] = ACTIONS(7243),
    [anon_sym_BSLASHnocite] = ACTIONS(7243),
    [anon_sym_BSLASHcitet] = ACTIONS(7243),
    [anon_sym_BSLASHcitep] = ACTIONS(7243),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteA] = ACTIONS(7243),
    [anon_sym_BSLASHciteR] = ACTIONS(7243),
    [anon_sym_BSLASHciteS] = ACTIONS(7243),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7243),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7243),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7243),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7243),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteyear] = ACTIONS(7243),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcitedate] = ACTIONS(7243),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHciteurl] = ACTIONS(7243),
    [anon_sym_BSLASHfullcite] = ACTIONS(7243),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7243),
    [anon_sym_BSLASHcitealt] = ACTIONS(7243),
    [anon_sym_BSLASHcitealp] = ACTIONS(7243),
    [anon_sym_BSLASHcitetext] = ACTIONS(7243),
    [anon_sym_BSLASHparencite] = ACTIONS(7243),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHParencite] = ACTIONS(7243),
    [anon_sym_BSLASHfootcite] = ACTIONS(7243),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7243),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7243),
    [anon_sym_BSLASHtextcite] = ACTIONS(7243),
    [anon_sym_BSLASHTextcite] = ACTIONS(7243),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7243),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7243),
    [anon_sym_BSLASHsupercite] = ACTIONS(7243),
    [anon_sym_BSLASHautocite] = ACTIONS(7243),
    [anon_sym_BSLASHAutocite] = ACTIONS(7243),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHVolcite] = ACTIONS(7243),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHavolcite] = ACTIONS(7243),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7243),
    [anon_sym_BSLASHnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHNotecite] = ACTIONS(7243),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7243),
    [anon_sym_BSLASHlabel] = ACTIONS(7243),
    [anon_sym_BSLASHref] = ACTIONS(7243),
    [anon_sym_BSLASHeqref] = ACTIONS(7243),
    [anon_sym_BSLASHvref] = ACTIONS(7243),
    [anon_sym_BSLASHVref] = ACTIONS(7243),
    [anon_sym_BSLASHautoref] = ACTIONS(7243),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHpageref] = ACTIONS(7243),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHautopageref] = ACTIONS(7243),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcref] = ACTIONS(7243),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCref] = ACTIONS(7243),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcpageref] = ACTIONS(7243),
    [anon_sym_BSLASHCpageref] = ACTIONS(7243),
    [anon_sym_BSLASHnamecref] = ACTIONS(7243),
    [anon_sym_BSLASHnameCref] = ACTIONS(7243),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7243),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7243),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7243),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7243),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7243),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7243),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7243),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7243),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7243),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7243),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7243),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7243),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7243),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7243),
    [anon_sym_BSLASHdef] = ACTIONS(7243),
    [anon_sym_BSLASHgdef] = ACTIONS(7243),
    [anon_sym_BSLASHedef] = ACTIONS(7243),
    [anon_sym_BSLASHxdef] = ACTIONS(7243),
    [anon_sym_BSLASHlet] = ACTIONS(7243),
    [anon_sym_BSLASHglet] = ACTIONS(7243),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7243),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7243),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7243),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7243),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7243),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7243),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7243),
    [anon_sym_BSLASHgls] = ACTIONS(7243),
    [anon_sym_BSLASHGls] = ACTIONS(7243),
    [anon_sym_BSLASHGLS] = ACTIONS(7243),
    [anon_sym_BSLASHglspl] = ACTIONS(7243),
    [anon_sym_BSLASHGlspl] = ACTIONS(7243),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7243),
    [anon_sym_BSLASHglslink] = ACTIONS(7243),
    [anon_sym_BSLASHglstext] = ACTIONS(7243),
    [anon_sym_BSLASHGlstext] = ACTIONS(7243),
    [anon_sym_BSLASHGLStext] = ACTIONS(7243),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7243),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7243),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7243),
    [anon_sym_BSLASHglsplural] = ACTIONS(7243),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7243),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7243),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7243),
    [anon_sym_BSLASHglsname] = ACTIONS(7243),
    [anon_sym_BSLASHGlsname] = ACTIONS(7243),
    [anon_sym_BSLASHGLSname] = ACTIONS(7243),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7243),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7243),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7243),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7243),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7243),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7243),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7243),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7243),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7243),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7243),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7243),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7243),
    [anon_sym_BSLASHacrshort] = ACTIONS(7243),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7243),
    [anon_sym_BSLASHACRshort] = ACTIONS(7243),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHacrlong] = ACTIONS(7243),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7243),
    [anon_sym_BSLASHACRlong] = ACTIONS(7243),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7243),
    [anon_sym_BSLASHacrfull] = ACTIONS(7243),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7243),
    [anon_sym_BSLASHACRfull] = ACTIONS(7243),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHacs] = ACTIONS(7243),
    [anon_sym_BSLASHAcs] = ACTIONS(7243),
    [anon_sym_BSLASHacsp] = ACTIONS(7243),
    [anon_sym_BSLASHAcsp] = ACTIONS(7243),
    [anon_sym_BSLASHacl] = ACTIONS(7243),
    [anon_sym_BSLASHAcl] = ACTIONS(7243),
    [anon_sym_BSLASHaclp] = ACTIONS(7243),
    [anon_sym_BSLASHAclp] = ACTIONS(7243),
    [anon_sym_BSLASHacf] = ACTIONS(7243),
    [anon_sym_BSLASHAcf] = ACTIONS(7243),
    [anon_sym_BSLASHacfp] = ACTIONS(7243),
    [anon_sym_BSLASHAcfp] = ACTIONS(7243),
    [anon_sym_BSLASHac] = ACTIONS(7243),
    [anon_sym_BSLASHAc] = ACTIONS(7243),
    [anon_sym_BSLASHacp] = ACTIONS(7243),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7243),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7243),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7243),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7243),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7243),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7245),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7243),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7243),
    [anon_sym_BSLASHcolor] = ACTIONS(7243),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7243),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7243),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7243),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7243),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7243),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7243),
    [anon_sym_BSLASHurl] = ACTIONS(7243),
    [anon_sym_BSLASHhref] = ACTIONS(7243),
  },
  [2305] = {
    [sym_command_name] = ACTIONS(7247),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7247),
    [anon_sym_RBRACK] = ACTIONS(7249),
    [anon_sym_COMMA] = ACTIONS(7249),
    [anon_sym_EQ] = ACTIONS(7249),
    [anon_sym_RBRACE] = ACTIONS(7249),
    [sym_word] = ACTIONS(7247),
    [sym_placeholder] = ACTIONS(7249),
    [sym_delimiter] = ACTIONS(7249),
    [anon_sym_PLUS] = ACTIONS(7249),
    [anon_sym_DASH] = ACTIONS(7249),
    [anon_sym_STAR] = ACTIONS(7249),
    [anon_sym_SLASH] = ACTIONS(7249),
    [anon_sym_LT] = ACTIONS(7247),
    [anon_sym_GT] = ACTIONS(7247),
    [anon_sym_BANG] = ACTIONS(7247),
    [anon_sym_PIPE] = ACTIONS(7247),
    [anon_sym_COLON] = ACTIONS(7247),
    [anon_sym_SQUOTE] = ACTIONS(7247),
    [anon_sym__] = ACTIONS(7249),
    [anon_sym_CARET] = ACTIONS(7249),
    [anon_sym_BSLASHtitle] = ACTIONS(7247),
    [anon_sym_BSLASHauthor] = ACTIONS(7247),
    [anon_sym_BSLASHusepackage] = ACTIONS(7247),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7247),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7247),
    [anon_sym_BSLASHinclude] = ACTIONS(7247),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7247),
    [anon_sym_BSLASHinput] = ACTIONS(7247),
    [anon_sym_BSLASHsubfile] = ACTIONS(7247),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7247),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7247),
    [anon_sym_BSLASHbibliography] = ACTIONS(7247),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7247),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7247),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7247),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7247),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7247),
    [anon_sym_BSLASHimport] = ACTIONS(7247),
    [anon_sym_BSLASHsubimport] = ACTIONS(7247),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7247),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7247),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7247),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7247),
    [anon_sym_BSLASHcaption] = ACTIONS(7247),
    [anon_sym_BSLASHcite] = ACTIONS(7247),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCite] = ACTIONS(7247),
    [anon_sym_BSLASHnocite] = ACTIONS(7247),
    [anon_sym_BSLASHcitet] = ACTIONS(7247),
    [anon_sym_BSLASHcitep] = ACTIONS(7247),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteA] = ACTIONS(7247),
    [anon_sym_BSLASHciteR] = ACTIONS(7247),
    [anon_sym_BSLASHciteS] = ACTIONS(7247),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7247),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7247),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7247),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7247),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteyear] = ACTIONS(7247),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcitedate] = ACTIONS(7247),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHciteurl] = ACTIONS(7247),
    [anon_sym_BSLASHfullcite] = ACTIONS(7247),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7247),
    [anon_sym_BSLASHcitealt] = ACTIONS(7247),
    [anon_sym_BSLASHcitealp] = ACTIONS(7247),
    [anon_sym_BSLASHcitetext] = ACTIONS(7247),
    [anon_sym_BSLASHparencite] = ACTIONS(7247),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHParencite] = ACTIONS(7247),
    [anon_sym_BSLASHfootcite] = ACTIONS(7247),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7247),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7247),
    [anon_sym_BSLASHtextcite] = ACTIONS(7247),
    [anon_sym_BSLASHTextcite] = ACTIONS(7247),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7247),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7247),
    [anon_sym_BSLASHsupercite] = ACTIONS(7247),
    [anon_sym_BSLASHautocite] = ACTIONS(7247),
    [anon_sym_BSLASHAutocite] = ACTIONS(7247),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHVolcite] = ACTIONS(7247),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHavolcite] = ACTIONS(7247),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7247),
    [anon_sym_BSLASHnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHNotecite] = ACTIONS(7247),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7247),
    [anon_sym_BSLASHlabel] = ACTIONS(7247),
    [anon_sym_BSLASHref] = ACTIONS(7247),
    [anon_sym_BSLASHeqref] = ACTIONS(7247),
    [anon_sym_BSLASHvref] = ACTIONS(7247),
    [anon_sym_BSLASHVref] = ACTIONS(7247),
    [anon_sym_BSLASHautoref] = ACTIONS(7247),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHpageref] = ACTIONS(7247),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHautopageref] = ACTIONS(7247),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcref] = ACTIONS(7247),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCref] = ACTIONS(7247),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcpageref] = ACTIONS(7247),
    [anon_sym_BSLASHCpageref] = ACTIONS(7247),
    [anon_sym_BSLASHnamecref] = ACTIONS(7247),
    [anon_sym_BSLASHnameCref] = ACTIONS(7247),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7247),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7247),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7247),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7247),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7247),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7247),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7247),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7247),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7247),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7247),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7247),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7247),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7247),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7247),
    [anon_sym_BSLASHdef] = ACTIONS(7247),
    [anon_sym_BSLASHgdef] = ACTIONS(7247),
    [anon_sym_BSLASHedef] = ACTIONS(7247),
    [anon_sym_BSLASHxdef] = ACTIONS(7247),
    [anon_sym_BSLASHlet] = ACTIONS(7247),
    [anon_sym_BSLASHglet] = ACTIONS(7247),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7247),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7247),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7247),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7247),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7247),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7247),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7247),
    [anon_sym_BSLASHgls] = ACTIONS(7247),
    [anon_sym_BSLASHGls] = ACTIONS(7247),
    [anon_sym_BSLASHGLS] = ACTIONS(7247),
    [anon_sym_BSLASHglspl] = ACTIONS(7247),
    [anon_sym_BSLASHGlspl] = ACTIONS(7247),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7247),
    [anon_sym_BSLASHglslink] = ACTIONS(7247),
    [anon_sym_BSLASHglstext] = ACTIONS(7247),
    [anon_sym_BSLASHGlstext] = ACTIONS(7247),
    [anon_sym_BSLASHGLStext] = ACTIONS(7247),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7247),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7247),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7247),
    [anon_sym_BSLASHglsplural] = ACTIONS(7247),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7247),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7247),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7247),
    [anon_sym_BSLASHglsname] = ACTIONS(7247),
    [anon_sym_BSLASHGlsname] = ACTIONS(7247),
    [anon_sym_BSLASHGLSname] = ACTIONS(7247),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7247),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7247),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7247),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7247),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7247),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7247),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7247),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7247),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7247),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7247),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7247),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7247),
    [anon_sym_BSLASHacrshort] = ACTIONS(7247),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7247),
    [anon_sym_BSLASHACRshort] = ACTIONS(7247),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHacrlong] = ACTIONS(7247),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7247),
    [anon_sym_BSLASHACRlong] = ACTIONS(7247),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7247),
    [anon_sym_BSLASHacrfull] = ACTIONS(7247),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7247),
    [anon_sym_BSLASHACRfull] = ACTIONS(7247),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHacs] = ACTIONS(7247),
    [anon_sym_BSLASHAcs] = ACTIONS(7247),
    [anon_sym_BSLASHacsp] = ACTIONS(7247),
    [anon_sym_BSLASHAcsp] = ACTIONS(7247),
    [anon_sym_BSLASHacl] = ACTIONS(7247),
    [anon_sym_BSLASHAcl] = ACTIONS(7247),
    [anon_sym_BSLASHaclp] = ACTIONS(7247),
    [anon_sym_BSLASHAclp] = ACTIONS(7247),
    [anon_sym_BSLASHacf] = ACTIONS(7247),
    [anon_sym_BSLASHAcf] = ACTIONS(7247),
    [anon_sym_BSLASHacfp] = ACTIONS(7247),
    [anon_sym_BSLASHAcfp] = ACTIONS(7247),
    [anon_sym_BSLASHac] = ACTIONS(7247),
    [anon_sym_BSLASHAc] = ACTIONS(7247),
    [anon_sym_BSLASHacp] = ACTIONS(7247),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7247),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7247),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7247),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7247),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7247),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7249),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7247),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7247),
    [anon_sym_BSLASHcolor] = ACTIONS(7247),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7247),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7247),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7247),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7247),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7247),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7247),
    [anon_sym_BSLASHurl] = ACTIONS(7247),
    [anon_sym_BSLASHhref] = ACTIONS(7247),
  },
  [2306] = {
    [sym_command_name] = ACTIONS(7251),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7251),
    [anon_sym_RBRACK] = ACTIONS(7253),
    [anon_sym_COMMA] = ACTIONS(7253),
    [anon_sym_EQ] = ACTIONS(7253),
    [anon_sym_RBRACE] = ACTIONS(7253),
    [sym_word] = ACTIONS(7251),
    [sym_placeholder] = ACTIONS(7253),
    [sym_delimiter] = ACTIONS(7253),
    [anon_sym_PLUS] = ACTIONS(7253),
    [anon_sym_DASH] = ACTIONS(7253),
    [anon_sym_STAR] = ACTIONS(7253),
    [anon_sym_SLASH] = ACTIONS(7253),
    [anon_sym_LT] = ACTIONS(7251),
    [anon_sym_GT] = ACTIONS(7251),
    [anon_sym_BANG] = ACTIONS(7251),
    [anon_sym_PIPE] = ACTIONS(7251),
    [anon_sym_COLON] = ACTIONS(7251),
    [anon_sym_SQUOTE] = ACTIONS(7251),
    [anon_sym__] = ACTIONS(7253),
    [anon_sym_CARET] = ACTIONS(7253),
    [anon_sym_BSLASHtitle] = ACTIONS(7251),
    [anon_sym_BSLASHauthor] = ACTIONS(7251),
    [anon_sym_BSLASHusepackage] = ACTIONS(7251),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7251),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7251),
    [anon_sym_BSLASHinclude] = ACTIONS(7251),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7251),
    [anon_sym_BSLASHinput] = ACTIONS(7251),
    [anon_sym_BSLASHsubfile] = ACTIONS(7251),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7251),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7251),
    [anon_sym_BSLASHbibliography] = ACTIONS(7251),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7251),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7251),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7251),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7251),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7251),
    [anon_sym_BSLASHimport] = ACTIONS(7251),
    [anon_sym_BSLASHsubimport] = ACTIONS(7251),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7251),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7251),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7251),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7251),
    [anon_sym_BSLASHcaption] = ACTIONS(7251),
    [anon_sym_BSLASHcite] = ACTIONS(7251),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCite] = ACTIONS(7251),
    [anon_sym_BSLASHnocite] = ACTIONS(7251),
    [anon_sym_BSLASHcitet] = ACTIONS(7251),
    [anon_sym_BSLASHcitep] = ACTIONS(7251),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteA] = ACTIONS(7251),
    [anon_sym_BSLASHciteR] = ACTIONS(7251),
    [anon_sym_BSLASHciteS] = ACTIONS(7251),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7251),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7251),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7251),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7251),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteyear] = ACTIONS(7251),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcitedate] = ACTIONS(7251),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHciteurl] = ACTIONS(7251),
    [anon_sym_BSLASHfullcite] = ACTIONS(7251),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7251),
    [anon_sym_BSLASHcitealt] = ACTIONS(7251),
    [anon_sym_BSLASHcitealp] = ACTIONS(7251),
    [anon_sym_BSLASHcitetext] = ACTIONS(7251),
    [anon_sym_BSLASHparencite] = ACTIONS(7251),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHParencite] = ACTIONS(7251),
    [anon_sym_BSLASHfootcite] = ACTIONS(7251),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7251),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7251),
    [anon_sym_BSLASHtextcite] = ACTIONS(7251),
    [anon_sym_BSLASHTextcite] = ACTIONS(7251),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7251),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7251),
    [anon_sym_BSLASHsupercite] = ACTIONS(7251),
    [anon_sym_BSLASHautocite] = ACTIONS(7251),
    [anon_sym_BSLASHAutocite] = ACTIONS(7251),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHVolcite] = ACTIONS(7251),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHavolcite] = ACTIONS(7251),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7251),
    [anon_sym_BSLASHnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHNotecite] = ACTIONS(7251),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7251),
    [anon_sym_BSLASHlabel] = ACTIONS(7251),
    [anon_sym_BSLASHref] = ACTIONS(7251),
    [anon_sym_BSLASHeqref] = ACTIONS(7251),
    [anon_sym_BSLASHvref] = ACTIONS(7251),
    [anon_sym_BSLASHVref] = ACTIONS(7251),
    [anon_sym_BSLASHautoref] = ACTIONS(7251),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHpageref] = ACTIONS(7251),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHautopageref] = ACTIONS(7251),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcref] = ACTIONS(7251),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCref] = ACTIONS(7251),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcpageref] = ACTIONS(7251),
    [anon_sym_BSLASHCpageref] = ACTIONS(7251),
    [anon_sym_BSLASHnamecref] = ACTIONS(7251),
    [anon_sym_BSLASHnameCref] = ACTIONS(7251),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7251),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7251),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7251),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7251),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7251),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7251),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7251),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7251),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7251),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7251),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7251),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7251),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7251),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7251),
    [anon_sym_BSLASHdef] = ACTIONS(7251),
    [anon_sym_BSLASHgdef] = ACTIONS(7251),
    [anon_sym_BSLASHedef] = ACTIONS(7251),
    [anon_sym_BSLASHxdef] = ACTIONS(7251),
    [anon_sym_BSLASHlet] = ACTIONS(7251),
    [anon_sym_BSLASHglet] = ACTIONS(7251),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7251),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7251),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7251),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7251),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7251),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7251),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7251),
    [anon_sym_BSLASHgls] = ACTIONS(7251),
    [anon_sym_BSLASHGls] = ACTIONS(7251),
    [anon_sym_BSLASHGLS] = ACTIONS(7251),
    [anon_sym_BSLASHglspl] = ACTIONS(7251),
    [anon_sym_BSLASHGlspl] = ACTIONS(7251),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7251),
    [anon_sym_BSLASHglslink] = ACTIONS(7251),
    [anon_sym_BSLASHglstext] = ACTIONS(7251),
    [anon_sym_BSLASHGlstext] = ACTIONS(7251),
    [anon_sym_BSLASHGLStext] = ACTIONS(7251),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7251),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7251),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7251),
    [anon_sym_BSLASHglsplural] = ACTIONS(7251),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7251),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7251),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7251),
    [anon_sym_BSLASHglsname] = ACTIONS(7251),
    [anon_sym_BSLASHGlsname] = ACTIONS(7251),
    [anon_sym_BSLASHGLSname] = ACTIONS(7251),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7251),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7251),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7251),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7251),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7251),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7251),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7251),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7251),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7251),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7251),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7251),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7251),
    [anon_sym_BSLASHacrshort] = ACTIONS(7251),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7251),
    [anon_sym_BSLASHACRshort] = ACTIONS(7251),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHacrlong] = ACTIONS(7251),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7251),
    [anon_sym_BSLASHACRlong] = ACTIONS(7251),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7251),
    [anon_sym_BSLASHacrfull] = ACTIONS(7251),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7251),
    [anon_sym_BSLASHACRfull] = ACTIONS(7251),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHacs] = ACTIONS(7251),
    [anon_sym_BSLASHAcs] = ACTIONS(7251),
    [anon_sym_BSLASHacsp] = ACTIONS(7251),
    [anon_sym_BSLASHAcsp] = ACTIONS(7251),
    [anon_sym_BSLASHacl] = ACTIONS(7251),
    [anon_sym_BSLASHAcl] = ACTIONS(7251),
    [anon_sym_BSLASHaclp] = ACTIONS(7251),
    [anon_sym_BSLASHAclp] = ACTIONS(7251),
    [anon_sym_BSLASHacf] = ACTIONS(7251),
    [anon_sym_BSLASHAcf] = ACTIONS(7251),
    [anon_sym_BSLASHacfp] = ACTIONS(7251),
    [anon_sym_BSLASHAcfp] = ACTIONS(7251),
    [anon_sym_BSLASHac] = ACTIONS(7251),
    [anon_sym_BSLASHAc] = ACTIONS(7251),
    [anon_sym_BSLASHacp] = ACTIONS(7251),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7251),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7251),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7251),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7251),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7251),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7253),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7251),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7251),
    [anon_sym_BSLASHcolor] = ACTIONS(7251),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7251),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7251),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7251),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7251),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7251),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7251),
    [anon_sym_BSLASHurl] = ACTIONS(7251),
    [anon_sym_BSLASHhref] = ACTIONS(7251),
  },
  [2307] = {
    [sym_command_name] = ACTIONS(7255),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7255),
    [anon_sym_RBRACK] = ACTIONS(7257),
    [anon_sym_COMMA] = ACTIONS(7257),
    [anon_sym_EQ] = ACTIONS(7257),
    [anon_sym_RBRACE] = ACTIONS(7257),
    [sym_word] = ACTIONS(7255),
    [sym_placeholder] = ACTIONS(7257),
    [sym_delimiter] = ACTIONS(7257),
    [anon_sym_PLUS] = ACTIONS(7257),
    [anon_sym_DASH] = ACTIONS(7257),
    [anon_sym_STAR] = ACTIONS(7257),
    [anon_sym_SLASH] = ACTIONS(7257),
    [anon_sym_LT] = ACTIONS(7255),
    [anon_sym_GT] = ACTIONS(7255),
    [anon_sym_BANG] = ACTIONS(7255),
    [anon_sym_PIPE] = ACTIONS(7255),
    [anon_sym_COLON] = ACTIONS(7255),
    [anon_sym_SQUOTE] = ACTIONS(7255),
    [anon_sym__] = ACTIONS(7257),
    [anon_sym_CARET] = ACTIONS(7257),
    [anon_sym_BSLASHtitle] = ACTIONS(7255),
    [anon_sym_BSLASHauthor] = ACTIONS(7255),
    [anon_sym_BSLASHusepackage] = ACTIONS(7255),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7255),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7255),
    [anon_sym_BSLASHinclude] = ACTIONS(7255),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7255),
    [anon_sym_BSLASHinput] = ACTIONS(7255),
    [anon_sym_BSLASHsubfile] = ACTIONS(7255),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7255),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7255),
    [anon_sym_BSLASHbibliography] = ACTIONS(7255),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7255),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7255),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7255),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7255),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7255),
    [anon_sym_BSLASHimport] = ACTIONS(7255),
    [anon_sym_BSLASHsubimport] = ACTIONS(7255),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7255),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7255),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7255),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7255),
    [anon_sym_BSLASHcaption] = ACTIONS(7255),
    [anon_sym_BSLASHcite] = ACTIONS(7255),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCite] = ACTIONS(7255),
    [anon_sym_BSLASHnocite] = ACTIONS(7255),
    [anon_sym_BSLASHcitet] = ACTIONS(7255),
    [anon_sym_BSLASHcitep] = ACTIONS(7255),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteA] = ACTIONS(7255),
    [anon_sym_BSLASHciteR] = ACTIONS(7255),
    [anon_sym_BSLASHciteS] = ACTIONS(7255),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7255),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7255),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7255),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7255),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteyear] = ACTIONS(7255),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcitedate] = ACTIONS(7255),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHciteurl] = ACTIONS(7255),
    [anon_sym_BSLASHfullcite] = ACTIONS(7255),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7255),
    [anon_sym_BSLASHcitealt] = ACTIONS(7255),
    [anon_sym_BSLASHcitealp] = ACTIONS(7255),
    [anon_sym_BSLASHcitetext] = ACTIONS(7255),
    [anon_sym_BSLASHparencite] = ACTIONS(7255),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHParencite] = ACTIONS(7255),
    [anon_sym_BSLASHfootcite] = ACTIONS(7255),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7255),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7255),
    [anon_sym_BSLASHtextcite] = ACTIONS(7255),
    [anon_sym_BSLASHTextcite] = ACTIONS(7255),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7255),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7255),
    [anon_sym_BSLASHsupercite] = ACTIONS(7255),
    [anon_sym_BSLASHautocite] = ACTIONS(7255),
    [anon_sym_BSLASHAutocite] = ACTIONS(7255),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHVolcite] = ACTIONS(7255),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHavolcite] = ACTIONS(7255),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7255),
    [anon_sym_BSLASHnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHNotecite] = ACTIONS(7255),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7255),
    [anon_sym_BSLASHlabel] = ACTIONS(7255),
    [anon_sym_BSLASHref] = ACTIONS(7255),
    [anon_sym_BSLASHeqref] = ACTIONS(7255),
    [anon_sym_BSLASHvref] = ACTIONS(7255),
    [anon_sym_BSLASHVref] = ACTIONS(7255),
    [anon_sym_BSLASHautoref] = ACTIONS(7255),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHpageref] = ACTIONS(7255),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHautopageref] = ACTIONS(7255),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcref] = ACTIONS(7255),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCref] = ACTIONS(7255),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcpageref] = ACTIONS(7255),
    [anon_sym_BSLASHCpageref] = ACTIONS(7255),
    [anon_sym_BSLASHnamecref] = ACTIONS(7255),
    [anon_sym_BSLASHnameCref] = ACTIONS(7255),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7255),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7255),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7255),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7255),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7255),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7255),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7255),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7255),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7255),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7255),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7255),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7255),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7255),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7255),
    [anon_sym_BSLASHdef] = ACTIONS(7255),
    [anon_sym_BSLASHgdef] = ACTIONS(7255),
    [anon_sym_BSLASHedef] = ACTIONS(7255),
    [anon_sym_BSLASHxdef] = ACTIONS(7255),
    [anon_sym_BSLASHlet] = ACTIONS(7255),
    [anon_sym_BSLASHglet] = ACTIONS(7255),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7255),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7255),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7255),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7255),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7255),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7255),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7255),
    [anon_sym_BSLASHgls] = ACTIONS(7255),
    [anon_sym_BSLASHGls] = ACTIONS(7255),
    [anon_sym_BSLASHGLS] = ACTIONS(7255),
    [anon_sym_BSLASHglspl] = ACTIONS(7255),
    [anon_sym_BSLASHGlspl] = ACTIONS(7255),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7255),
    [anon_sym_BSLASHglslink] = ACTIONS(7255),
    [anon_sym_BSLASHglstext] = ACTIONS(7255),
    [anon_sym_BSLASHGlstext] = ACTIONS(7255),
    [anon_sym_BSLASHGLStext] = ACTIONS(7255),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7255),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7255),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7255),
    [anon_sym_BSLASHglsplural] = ACTIONS(7255),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7255),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7255),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7255),
    [anon_sym_BSLASHglsname] = ACTIONS(7255),
    [anon_sym_BSLASHGlsname] = ACTIONS(7255),
    [anon_sym_BSLASHGLSname] = ACTIONS(7255),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7255),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7255),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7255),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7255),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7255),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7255),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7255),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7255),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7255),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7255),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7255),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7255),
    [anon_sym_BSLASHacrshort] = ACTIONS(7255),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7255),
    [anon_sym_BSLASHACRshort] = ACTIONS(7255),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHacrlong] = ACTIONS(7255),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7255),
    [anon_sym_BSLASHACRlong] = ACTIONS(7255),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7255),
    [anon_sym_BSLASHacrfull] = ACTIONS(7255),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7255),
    [anon_sym_BSLASHACRfull] = ACTIONS(7255),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHacs] = ACTIONS(7255),
    [anon_sym_BSLASHAcs] = ACTIONS(7255),
    [anon_sym_BSLASHacsp] = ACTIONS(7255),
    [anon_sym_BSLASHAcsp] = ACTIONS(7255),
    [anon_sym_BSLASHacl] = ACTIONS(7255),
    [anon_sym_BSLASHAcl] = ACTIONS(7255),
    [anon_sym_BSLASHaclp] = ACTIONS(7255),
    [anon_sym_BSLASHAclp] = ACTIONS(7255),
    [anon_sym_BSLASHacf] = ACTIONS(7255),
    [anon_sym_BSLASHAcf] = ACTIONS(7255),
    [anon_sym_BSLASHacfp] = ACTIONS(7255),
    [anon_sym_BSLASHAcfp] = ACTIONS(7255),
    [anon_sym_BSLASHac] = ACTIONS(7255),
    [anon_sym_BSLASHAc] = ACTIONS(7255),
    [anon_sym_BSLASHacp] = ACTIONS(7255),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7255),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7255),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7255),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7255),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7255),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7257),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7255),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7255),
    [anon_sym_BSLASHcolor] = ACTIONS(7255),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7255),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7255),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7255),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7255),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7255),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7255),
    [anon_sym_BSLASHurl] = ACTIONS(7255),
    [anon_sym_BSLASHhref] = ACTIONS(7255),
  },
  [2308] = {
    [sym_command_name] = ACTIONS(7259),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7259),
    [anon_sym_RBRACK] = ACTIONS(7261),
    [anon_sym_COMMA] = ACTIONS(7261),
    [anon_sym_EQ] = ACTIONS(7261),
    [anon_sym_RBRACE] = ACTIONS(7261),
    [sym_word] = ACTIONS(7259),
    [sym_placeholder] = ACTIONS(7261),
    [sym_delimiter] = ACTIONS(7261),
    [anon_sym_PLUS] = ACTIONS(7261),
    [anon_sym_DASH] = ACTIONS(7261),
    [anon_sym_STAR] = ACTIONS(7261),
    [anon_sym_SLASH] = ACTIONS(7261),
    [anon_sym_LT] = ACTIONS(7259),
    [anon_sym_GT] = ACTIONS(7259),
    [anon_sym_BANG] = ACTIONS(7259),
    [anon_sym_PIPE] = ACTIONS(7259),
    [anon_sym_COLON] = ACTIONS(7259),
    [anon_sym_SQUOTE] = ACTIONS(7259),
    [anon_sym__] = ACTIONS(7261),
    [anon_sym_CARET] = ACTIONS(7261),
    [anon_sym_BSLASHtitle] = ACTIONS(7259),
    [anon_sym_BSLASHauthor] = ACTIONS(7259),
    [anon_sym_BSLASHusepackage] = ACTIONS(7259),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7259),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7259),
    [anon_sym_BSLASHinclude] = ACTIONS(7259),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7259),
    [anon_sym_BSLASHinput] = ACTIONS(7259),
    [anon_sym_BSLASHsubfile] = ACTIONS(7259),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7259),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7259),
    [anon_sym_BSLASHbibliography] = ACTIONS(7259),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7259),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7259),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7259),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7259),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7259),
    [anon_sym_BSLASHimport] = ACTIONS(7259),
    [anon_sym_BSLASHsubimport] = ACTIONS(7259),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7259),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7259),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7259),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7259),
    [anon_sym_BSLASHcaption] = ACTIONS(7259),
    [anon_sym_BSLASHcite] = ACTIONS(7259),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCite] = ACTIONS(7259),
    [anon_sym_BSLASHnocite] = ACTIONS(7259),
    [anon_sym_BSLASHcitet] = ACTIONS(7259),
    [anon_sym_BSLASHcitep] = ACTIONS(7259),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteA] = ACTIONS(7259),
    [anon_sym_BSLASHciteR] = ACTIONS(7259),
    [anon_sym_BSLASHciteS] = ACTIONS(7259),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7259),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7259),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7259),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7259),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteyear] = ACTIONS(7259),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcitedate] = ACTIONS(7259),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHciteurl] = ACTIONS(7259),
    [anon_sym_BSLASHfullcite] = ACTIONS(7259),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7259),
    [anon_sym_BSLASHcitealt] = ACTIONS(7259),
    [anon_sym_BSLASHcitealp] = ACTIONS(7259),
    [anon_sym_BSLASHcitetext] = ACTIONS(7259),
    [anon_sym_BSLASHparencite] = ACTIONS(7259),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHParencite] = ACTIONS(7259),
    [anon_sym_BSLASHfootcite] = ACTIONS(7259),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7259),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7259),
    [anon_sym_BSLASHtextcite] = ACTIONS(7259),
    [anon_sym_BSLASHTextcite] = ACTIONS(7259),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7259),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7259),
    [anon_sym_BSLASHsupercite] = ACTIONS(7259),
    [anon_sym_BSLASHautocite] = ACTIONS(7259),
    [anon_sym_BSLASHAutocite] = ACTIONS(7259),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHVolcite] = ACTIONS(7259),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHavolcite] = ACTIONS(7259),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7259),
    [anon_sym_BSLASHnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHNotecite] = ACTIONS(7259),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7259),
    [anon_sym_BSLASHlabel] = ACTIONS(7259),
    [anon_sym_BSLASHref] = ACTIONS(7259),
    [anon_sym_BSLASHeqref] = ACTIONS(7259),
    [anon_sym_BSLASHvref] = ACTIONS(7259),
    [anon_sym_BSLASHVref] = ACTIONS(7259),
    [anon_sym_BSLASHautoref] = ACTIONS(7259),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHpageref] = ACTIONS(7259),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHautopageref] = ACTIONS(7259),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcref] = ACTIONS(7259),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCref] = ACTIONS(7259),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcpageref] = ACTIONS(7259),
    [anon_sym_BSLASHCpageref] = ACTIONS(7259),
    [anon_sym_BSLASHnamecref] = ACTIONS(7259),
    [anon_sym_BSLASHnameCref] = ACTIONS(7259),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7259),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7259),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7259),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7259),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7259),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7259),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7259),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7259),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7259),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7259),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7259),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7259),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7259),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7259),
    [anon_sym_BSLASHdef] = ACTIONS(7259),
    [anon_sym_BSLASHgdef] = ACTIONS(7259),
    [anon_sym_BSLASHedef] = ACTIONS(7259),
    [anon_sym_BSLASHxdef] = ACTIONS(7259),
    [anon_sym_BSLASHlet] = ACTIONS(7259),
    [anon_sym_BSLASHglet] = ACTIONS(7259),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7259),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7259),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7259),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7259),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7259),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7259),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7259),
    [anon_sym_BSLASHgls] = ACTIONS(7259),
    [anon_sym_BSLASHGls] = ACTIONS(7259),
    [anon_sym_BSLASHGLS] = ACTIONS(7259),
    [anon_sym_BSLASHglspl] = ACTIONS(7259),
    [anon_sym_BSLASHGlspl] = ACTIONS(7259),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7259),
    [anon_sym_BSLASHglslink] = ACTIONS(7259),
    [anon_sym_BSLASHglstext] = ACTIONS(7259),
    [anon_sym_BSLASHGlstext] = ACTIONS(7259),
    [anon_sym_BSLASHGLStext] = ACTIONS(7259),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7259),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7259),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7259),
    [anon_sym_BSLASHglsplural] = ACTIONS(7259),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7259),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7259),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7259),
    [anon_sym_BSLASHglsname] = ACTIONS(7259),
    [anon_sym_BSLASHGlsname] = ACTIONS(7259),
    [anon_sym_BSLASHGLSname] = ACTIONS(7259),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7259),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7259),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7259),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7259),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7259),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7259),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7259),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7259),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7259),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7259),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7259),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7259),
    [anon_sym_BSLASHacrshort] = ACTIONS(7259),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7259),
    [anon_sym_BSLASHACRshort] = ACTIONS(7259),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHacrlong] = ACTIONS(7259),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7259),
    [anon_sym_BSLASHACRlong] = ACTIONS(7259),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7259),
    [anon_sym_BSLASHacrfull] = ACTIONS(7259),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7259),
    [anon_sym_BSLASHACRfull] = ACTIONS(7259),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHacs] = ACTIONS(7259),
    [anon_sym_BSLASHAcs] = ACTIONS(7259),
    [anon_sym_BSLASHacsp] = ACTIONS(7259),
    [anon_sym_BSLASHAcsp] = ACTIONS(7259),
    [anon_sym_BSLASHacl] = ACTIONS(7259),
    [anon_sym_BSLASHAcl] = ACTIONS(7259),
    [anon_sym_BSLASHaclp] = ACTIONS(7259),
    [anon_sym_BSLASHAclp] = ACTIONS(7259),
    [anon_sym_BSLASHacf] = ACTIONS(7259),
    [anon_sym_BSLASHAcf] = ACTIONS(7259),
    [anon_sym_BSLASHacfp] = ACTIONS(7259),
    [anon_sym_BSLASHAcfp] = ACTIONS(7259),
    [anon_sym_BSLASHac] = ACTIONS(7259),
    [anon_sym_BSLASHAc] = ACTIONS(7259),
    [anon_sym_BSLASHacp] = ACTIONS(7259),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7259),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7259),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7259),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7259),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7259),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7261),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7259),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7259),
    [anon_sym_BSLASHcolor] = ACTIONS(7259),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7259),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7259),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7259),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7259),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7259),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7259),
    [anon_sym_BSLASHurl] = ACTIONS(7259),
    [anon_sym_BSLASHhref] = ACTIONS(7259),
  },
  [2309] = {
    [sym_command_name] = ACTIONS(7263),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7263),
    [anon_sym_RBRACK] = ACTIONS(7265),
    [anon_sym_COMMA] = ACTIONS(7265),
    [anon_sym_EQ] = ACTIONS(7265),
    [anon_sym_RBRACE] = ACTIONS(7265),
    [sym_word] = ACTIONS(7263),
    [sym_placeholder] = ACTIONS(7265),
    [sym_delimiter] = ACTIONS(7265),
    [anon_sym_PLUS] = ACTIONS(7265),
    [anon_sym_DASH] = ACTIONS(7265),
    [anon_sym_STAR] = ACTIONS(7265),
    [anon_sym_SLASH] = ACTIONS(7265),
    [anon_sym_LT] = ACTIONS(7263),
    [anon_sym_GT] = ACTIONS(7263),
    [anon_sym_BANG] = ACTIONS(7263),
    [anon_sym_PIPE] = ACTIONS(7263),
    [anon_sym_COLON] = ACTIONS(7263),
    [anon_sym_SQUOTE] = ACTIONS(7263),
    [anon_sym__] = ACTIONS(7265),
    [anon_sym_CARET] = ACTIONS(7265),
    [anon_sym_BSLASHtitle] = ACTIONS(7263),
    [anon_sym_BSLASHauthor] = ACTIONS(7263),
    [anon_sym_BSLASHusepackage] = ACTIONS(7263),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7263),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7263),
    [anon_sym_BSLASHinclude] = ACTIONS(7263),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7263),
    [anon_sym_BSLASHinput] = ACTIONS(7263),
    [anon_sym_BSLASHsubfile] = ACTIONS(7263),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7263),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7263),
    [anon_sym_BSLASHbibliography] = ACTIONS(7263),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7263),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7263),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7263),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7263),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7263),
    [anon_sym_BSLASHimport] = ACTIONS(7263),
    [anon_sym_BSLASHsubimport] = ACTIONS(7263),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7263),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7263),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7263),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7263),
    [anon_sym_BSLASHcaption] = ACTIONS(7263),
    [anon_sym_BSLASHcite] = ACTIONS(7263),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCite] = ACTIONS(7263),
    [anon_sym_BSLASHnocite] = ACTIONS(7263),
    [anon_sym_BSLASHcitet] = ACTIONS(7263),
    [anon_sym_BSLASHcitep] = ACTIONS(7263),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteA] = ACTIONS(7263),
    [anon_sym_BSLASHciteR] = ACTIONS(7263),
    [anon_sym_BSLASHciteS] = ACTIONS(7263),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7263),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7263),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7263),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7263),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteyear] = ACTIONS(7263),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcitedate] = ACTIONS(7263),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHciteurl] = ACTIONS(7263),
    [anon_sym_BSLASHfullcite] = ACTIONS(7263),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7263),
    [anon_sym_BSLASHcitealt] = ACTIONS(7263),
    [anon_sym_BSLASHcitealp] = ACTIONS(7263),
    [anon_sym_BSLASHcitetext] = ACTIONS(7263),
    [anon_sym_BSLASHparencite] = ACTIONS(7263),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHParencite] = ACTIONS(7263),
    [anon_sym_BSLASHfootcite] = ACTIONS(7263),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7263),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7263),
    [anon_sym_BSLASHtextcite] = ACTIONS(7263),
    [anon_sym_BSLASHTextcite] = ACTIONS(7263),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7263),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7263),
    [anon_sym_BSLASHsupercite] = ACTIONS(7263),
    [anon_sym_BSLASHautocite] = ACTIONS(7263),
    [anon_sym_BSLASHAutocite] = ACTIONS(7263),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHVolcite] = ACTIONS(7263),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHavolcite] = ACTIONS(7263),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7263),
    [anon_sym_BSLASHnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHNotecite] = ACTIONS(7263),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7263),
    [anon_sym_BSLASHlabel] = ACTIONS(7263),
    [anon_sym_BSLASHref] = ACTIONS(7263),
    [anon_sym_BSLASHeqref] = ACTIONS(7263),
    [anon_sym_BSLASHvref] = ACTIONS(7263),
    [anon_sym_BSLASHVref] = ACTIONS(7263),
    [anon_sym_BSLASHautoref] = ACTIONS(7263),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHpageref] = ACTIONS(7263),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHautopageref] = ACTIONS(7263),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcref] = ACTIONS(7263),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCref] = ACTIONS(7263),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcpageref] = ACTIONS(7263),
    [anon_sym_BSLASHCpageref] = ACTIONS(7263),
    [anon_sym_BSLASHnamecref] = ACTIONS(7263),
    [anon_sym_BSLASHnameCref] = ACTIONS(7263),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7263),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7263),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7263),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7263),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7263),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7263),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7263),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7263),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7263),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7263),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7263),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7263),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7263),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7263),
    [anon_sym_BSLASHdef] = ACTIONS(7263),
    [anon_sym_BSLASHgdef] = ACTIONS(7263),
    [anon_sym_BSLASHedef] = ACTIONS(7263),
    [anon_sym_BSLASHxdef] = ACTIONS(7263),
    [anon_sym_BSLASHlet] = ACTIONS(7263),
    [anon_sym_BSLASHglet] = ACTIONS(7263),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7263),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7263),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7263),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7263),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7263),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7263),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7263),
    [anon_sym_BSLASHgls] = ACTIONS(7263),
    [anon_sym_BSLASHGls] = ACTIONS(7263),
    [anon_sym_BSLASHGLS] = ACTIONS(7263),
    [anon_sym_BSLASHglspl] = ACTIONS(7263),
    [anon_sym_BSLASHGlspl] = ACTIONS(7263),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7263),
    [anon_sym_BSLASHglslink] = ACTIONS(7263),
    [anon_sym_BSLASHglstext] = ACTIONS(7263),
    [anon_sym_BSLASHGlstext] = ACTIONS(7263),
    [anon_sym_BSLASHGLStext] = ACTIONS(7263),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7263),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7263),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7263),
    [anon_sym_BSLASHglsplural] = ACTIONS(7263),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7263),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7263),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7263),
    [anon_sym_BSLASHglsname] = ACTIONS(7263),
    [anon_sym_BSLASHGlsname] = ACTIONS(7263),
    [anon_sym_BSLASHGLSname] = ACTIONS(7263),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7263),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7263),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7263),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7263),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7263),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7263),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7263),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7263),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7263),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7263),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7263),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7263),
    [anon_sym_BSLASHacrshort] = ACTIONS(7263),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7263),
    [anon_sym_BSLASHACRshort] = ACTIONS(7263),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHacrlong] = ACTIONS(7263),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7263),
    [anon_sym_BSLASHACRlong] = ACTIONS(7263),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7263),
    [anon_sym_BSLASHacrfull] = ACTIONS(7263),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7263),
    [anon_sym_BSLASHACRfull] = ACTIONS(7263),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHacs] = ACTIONS(7263),
    [anon_sym_BSLASHAcs] = ACTIONS(7263),
    [anon_sym_BSLASHacsp] = ACTIONS(7263),
    [anon_sym_BSLASHAcsp] = ACTIONS(7263),
    [anon_sym_BSLASHacl] = ACTIONS(7263),
    [anon_sym_BSLASHAcl] = ACTIONS(7263),
    [anon_sym_BSLASHaclp] = ACTIONS(7263),
    [anon_sym_BSLASHAclp] = ACTIONS(7263),
    [anon_sym_BSLASHacf] = ACTIONS(7263),
    [anon_sym_BSLASHAcf] = ACTIONS(7263),
    [anon_sym_BSLASHacfp] = ACTIONS(7263),
    [anon_sym_BSLASHAcfp] = ACTIONS(7263),
    [anon_sym_BSLASHac] = ACTIONS(7263),
    [anon_sym_BSLASHAc] = ACTIONS(7263),
    [anon_sym_BSLASHacp] = ACTIONS(7263),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7263),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7263),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7263),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7263),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7263),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7265),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7263),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7263),
    [anon_sym_BSLASHcolor] = ACTIONS(7263),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7263),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7263),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7263),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7263),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7263),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7263),
    [anon_sym_BSLASHurl] = ACTIONS(7263),
    [anon_sym_BSLASHhref] = ACTIONS(7263),
  },
  [2310] = {
    [sym_command_name] = ACTIONS(7267),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7267),
    [anon_sym_RBRACK] = ACTIONS(7269),
    [anon_sym_COMMA] = ACTIONS(7269),
    [anon_sym_EQ] = ACTIONS(7269),
    [anon_sym_RBRACE] = ACTIONS(7269),
    [sym_word] = ACTIONS(7267),
    [sym_placeholder] = ACTIONS(7269),
    [sym_delimiter] = ACTIONS(7269),
    [anon_sym_PLUS] = ACTIONS(7269),
    [anon_sym_DASH] = ACTIONS(7269),
    [anon_sym_STAR] = ACTIONS(7269),
    [anon_sym_SLASH] = ACTIONS(7269),
    [anon_sym_LT] = ACTIONS(7267),
    [anon_sym_GT] = ACTIONS(7267),
    [anon_sym_BANG] = ACTIONS(7267),
    [anon_sym_PIPE] = ACTIONS(7267),
    [anon_sym_COLON] = ACTIONS(7267),
    [anon_sym_SQUOTE] = ACTIONS(7267),
    [anon_sym__] = ACTIONS(7269),
    [anon_sym_CARET] = ACTIONS(7269),
    [anon_sym_BSLASHtitle] = ACTIONS(7267),
    [anon_sym_BSLASHauthor] = ACTIONS(7267),
    [anon_sym_BSLASHusepackage] = ACTIONS(7267),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7267),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7267),
    [anon_sym_BSLASHinclude] = ACTIONS(7267),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7267),
    [anon_sym_BSLASHinput] = ACTIONS(7267),
    [anon_sym_BSLASHsubfile] = ACTIONS(7267),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7267),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7267),
    [anon_sym_BSLASHbibliography] = ACTIONS(7267),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7267),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7267),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7267),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7267),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7267),
    [anon_sym_BSLASHimport] = ACTIONS(7267),
    [anon_sym_BSLASHsubimport] = ACTIONS(7267),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7267),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7267),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7267),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7267),
    [anon_sym_BSLASHcaption] = ACTIONS(7267),
    [anon_sym_BSLASHcite] = ACTIONS(7267),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCite] = ACTIONS(7267),
    [anon_sym_BSLASHnocite] = ACTIONS(7267),
    [anon_sym_BSLASHcitet] = ACTIONS(7267),
    [anon_sym_BSLASHcitep] = ACTIONS(7267),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteA] = ACTIONS(7267),
    [anon_sym_BSLASHciteR] = ACTIONS(7267),
    [anon_sym_BSLASHciteS] = ACTIONS(7267),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7267),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7267),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7267),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7267),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteyear] = ACTIONS(7267),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcitedate] = ACTIONS(7267),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHciteurl] = ACTIONS(7267),
    [anon_sym_BSLASHfullcite] = ACTIONS(7267),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7267),
    [anon_sym_BSLASHcitealt] = ACTIONS(7267),
    [anon_sym_BSLASHcitealp] = ACTIONS(7267),
    [anon_sym_BSLASHcitetext] = ACTIONS(7267),
    [anon_sym_BSLASHparencite] = ACTIONS(7267),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHParencite] = ACTIONS(7267),
    [anon_sym_BSLASHfootcite] = ACTIONS(7267),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7267),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7267),
    [anon_sym_BSLASHtextcite] = ACTIONS(7267),
    [anon_sym_BSLASHTextcite] = ACTIONS(7267),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7267),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7267),
    [anon_sym_BSLASHsupercite] = ACTIONS(7267),
    [anon_sym_BSLASHautocite] = ACTIONS(7267),
    [anon_sym_BSLASHAutocite] = ACTIONS(7267),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHVolcite] = ACTIONS(7267),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHavolcite] = ACTIONS(7267),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7267),
    [anon_sym_BSLASHnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHNotecite] = ACTIONS(7267),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7267),
    [anon_sym_BSLASHlabel] = ACTIONS(7267),
    [anon_sym_BSLASHref] = ACTIONS(7267),
    [anon_sym_BSLASHeqref] = ACTIONS(7267),
    [anon_sym_BSLASHvref] = ACTIONS(7267),
    [anon_sym_BSLASHVref] = ACTIONS(7267),
    [anon_sym_BSLASHautoref] = ACTIONS(7267),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHpageref] = ACTIONS(7267),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHautopageref] = ACTIONS(7267),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcref] = ACTIONS(7267),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCref] = ACTIONS(7267),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcpageref] = ACTIONS(7267),
    [anon_sym_BSLASHCpageref] = ACTIONS(7267),
    [anon_sym_BSLASHnamecref] = ACTIONS(7267),
    [anon_sym_BSLASHnameCref] = ACTIONS(7267),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7267),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7267),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7267),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7267),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7267),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7267),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7267),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7267),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7267),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7267),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7267),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7267),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7267),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7267),
    [anon_sym_BSLASHdef] = ACTIONS(7267),
    [anon_sym_BSLASHgdef] = ACTIONS(7267),
    [anon_sym_BSLASHedef] = ACTIONS(7267),
    [anon_sym_BSLASHxdef] = ACTIONS(7267),
    [anon_sym_BSLASHlet] = ACTIONS(7267),
    [anon_sym_BSLASHglet] = ACTIONS(7267),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7267),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7267),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7267),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7267),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7267),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7267),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7267),
    [anon_sym_BSLASHgls] = ACTIONS(7267),
    [anon_sym_BSLASHGls] = ACTIONS(7267),
    [anon_sym_BSLASHGLS] = ACTIONS(7267),
    [anon_sym_BSLASHglspl] = ACTIONS(7267),
    [anon_sym_BSLASHGlspl] = ACTIONS(7267),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7267),
    [anon_sym_BSLASHglslink] = ACTIONS(7267),
    [anon_sym_BSLASHglstext] = ACTIONS(7267),
    [anon_sym_BSLASHGlstext] = ACTIONS(7267),
    [anon_sym_BSLASHGLStext] = ACTIONS(7267),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7267),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7267),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7267),
    [anon_sym_BSLASHglsplural] = ACTIONS(7267),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7267),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7267),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7267),
    [anon_sym_BSLASHglsname] = ACTIONS(7267),
    [anon_sym_BSLASHGlsname] = ACTIONS(7267),
    [anon_sym_BSLASHGLSname] = ACTIONS(7267),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7267),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7267),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7267),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7267),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7267),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7267),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7267),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7267),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7267),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7267),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7267),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7267),
    [anon_sym_BSLASHacrshort] = ACTIONS(7267),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7267),
    [anon_sym_BSLASHACRshort] = ACTIONS(7267),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHacrlong] = ACTIONS(7267),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7267),
    [anon_sym_BSLASHACRlong] = ACTIONS(7267),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7267),
    [anon_sym_BSLASHacrfull] = ACTIONS(7267),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7267),
    [anon_sym_BSLASHACRfull] = ACTIONS(7267),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHacs] = ACTIONS(7267),
    [anon_sym_BSLASHAcs] = ACTIONS(7267),
    [anon_sym_BSLASHacsp] = ACTIONS(7267),
    [anon_sym_BSLASHAcsp] = ACTIONS(7267),
    [anon_sym_BSLASHacl] = ACTIONS(7267),
    [anon_sym_BSLASHAcl] = ACTIONS(7267),
    [anon_sym_BSLASHaclp] = ACTIONS(7267),
    [anon_sym_BSLASHAclp] = ACTIONS(7267),
    [anon_sym_BSLASHacf] = ACTIONS(7267),
    [anon_sym_BSLASHAcf] = ACTIONS(7267),
    [anon_sym_BSLASHacfp] = ACTIONS(7267),
    [anon_sym_BSLASHAcfp] = ACTIONS(7267),
    [anon_sym_BSLASHac] = ACTIONS(7267),
    [anon_sym_BSLASHAc] = ACTIONS(7267),
    [anon_sym_BSLASHacp] = ACTIONS(7267),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7267),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7267),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7267),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7267),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7267),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7269),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7267),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7267),
    [anon_sym_BSLASHcolor] = ACTIONS(7267),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7267),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7267),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7267),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7267),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7267),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7267),
    [anon_sym_BSLASHurl] = ACTIONS(7267),
    [anon_sym_BSLASHhref] = ACTIONS(7267),
  },
  [2311] = {
    [sym_command_name] = ACTIONS(7271),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7271),
    [anon_sym_RBRACK] = ACTIONS(7273),
    [anon_sym_COMMA] = ACTIONS(7273),
    [anon_sym_EQ] = ACTIONS(7273),
    [anon_sym_RBRACE] = ACTIONS(7273),
    [sym_word] = ACTIONS(7271),
    [sym_placeholder] = ACTIONS(7273),
    [sym_delimiter] = ACTIONS(7273),
    [anon_sym_PLUS] = ACTIONS(7273),
    [anon_sym_DASH] = ACTIONS(7273),
    [anon_sym_STAR] = ACTIONS(7273),
    [anon_sym_SLASH] = ACTIONS(7273),
    [anon_sym_LT] = ACTIONS(7271),
    [anon_sym_GT] = ACTIONS(7271),
    [anon_sym_BANG] = ACTIONS(7271),
    [anon_sym_PIPE] = ACTIONS(7271),
    [anon_sym_COLON] = ACTIONS(7271),
    [anon_sym_SQUOTE] = ACTIONS(7271),
    [anon_sym__] = ACTIONS(7273),
    [anon_sym_CARET] = ACTIONS(7273),
    [anon_sym_BSLASHtitle] = ACTIONS(7271),
    [anon_sym_BSLASHauthor] = ACTIONS(7271),
    [anon_sym_BSLASHusepackage] = ACTIONS(7271),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7271),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7271),
    [anon_sym_BSLASHinclude] = ACTIONS(7271),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7271),
    [anon_sym_BSLASHinput] = ACTIONS(7271),
    [anon_sym_BSLASHsubfile] = ACTIONS(7271),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7271),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7271),
    [anon_sym_BSLASHbibliography] = ACTIONS(7271),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7271),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7271),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7271),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7271),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7271),
    [anon_sym_BSLASHimport] = ACTIONS(7271),
    [anon_sym_BSLASHsubimport] = ACTIONS(7271),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7271),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7271),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7271),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7271),
    [anon_sym_BSLASHcaption] = ACTIONS(7271),
    [anon_sym_BSLASHcite] = ACTIONS(7271),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCite] = ACTIONS(7271),
    [anon_sym_BSLASHnocite] = ACTIONS(7271),
    [anon_sym_BSLASHcitet] = ACTIONS(7271),
    [anon_sym_BSLASHcitep] = ACTIONS(7271),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteA] = ACTIONS(7271),
    [anon_sym_BSLASHciteR] = ACTIONS(7271),
    [anon_sym_BSLASHciteS] = ACTIONS(7271),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7271),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7271),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7271),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7271),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteyear] = ACTIONS(7271),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcitedate] = ACTIONS(7271),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHciteurl] = ACTIONS(7271),
    [anon_sym_BSLASHfullcite] = ACTIONS(7271),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7271),
    [anon_sym_BSLASHcitealt] = ACTIONS(7271),
    [anon_sym_BSLASHcitealp] = ACTIONS(7271),
    [anon_sym_BSLASHcitetext] = ACTIONS(7271),
    [anon_sym_BSLASHparencite] = ACTIONS(7271),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHParencite] = ACTIONS(7271),
    [anon_sym_BSLASHfootcite] = ACTIONS(7271),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7271),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7271),
    [anon_sym_BSLASHtextcite] = ACTIONS(7271),
    [anon_sym_BSLASHTextcite] = ACTIONS(7271),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7271),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7271),
    [anon_sym_BSLASHsupercite] = ACTIONS(7271),
    [anon_sym_BSLASHautocite] = ACTIONS(7271),
    [anon_sym_BSLASHAutocite] = ACTIONS(7271),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHVolcite] = ACTIONS(7271),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHavolcite] = ACTIONS(7271),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7271),
    [anon_sym_BSLASHnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHNotecite] = ACTIONS(7271),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7271),
    [anon_sym_BSLASHlabel] = ACTIONS(7271),
    [anon_sym_BSLASHref] = ACTIONS(7271),
    [anon_sym_BSLASHeqref] = ACTIONS(7271),
    [anon_sym_BSLASHvref] = ACTIONS(7271),
    [anon_sym_BSLASHVref] = ACTIONS(7271),
    [anon_sym_BSLASHautoref] = ACTIONS(7271),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHpageref] = ACTIONS(7271),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHautopageref] = ACTIONS(7271),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcref] = ACTIONS(7271),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCref] = ACTIONS(7271),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcpageref] = ACTIONS(7271),
    [anon_sym_BSLASHCpageref] = ACTIONS(7271),
    [anon_sym_BSLASHnamecref] = ACTIONS(7271),
    [anon_sym_BSLASHnameCref] = ACTIONS(7271),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7271),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7271),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7271),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7271),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7271),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7271),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7271),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7271),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7271),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7271),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7271),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7271),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7271),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7271),
    [anon_sym_BSLASHdef] = ACTIONS(7271),
    [anon_sym_BSLASHgdef] = ACTIONS(7271),
    [anon_sym_BSLASHedef] = ACTIONS(7271),
    [anon_sym_BSLASHxdef] = ACTIONS(7271),
    [anon_sym_BSLASHlet] = ACTIONS(7271),
    [anon_sym_BSLASHglet] = ACTIONS(7271),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7271),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7271),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7271),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7271),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7271),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7271),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7271),
    [anon_sym_BSLASHgls] = ACTIONS(7271),
    [anon_sym_BSLASHGls] = ACTIONS(7271),
    [anon_sym_BSLASHGLS] = ACTIONS(7271),
    [anon_sym_BSLASHglspl] = ACTIONS(7271),
    [anon_sym_BSLASHGlspl] = ACTIONS(7271),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7271),
    [anon_sym_BSLASHglslink] = ACTIONS(7271),
    [anon_sym_BSLASHglstext] = ACTIONS(7271),
    [anon_sym_BSLASHGlstext] = ACTIONS(7271),
    [anon_sym_BSLASHGLStext] = ACTIONS(7271),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7271),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7271),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7271),
    [anon_sym_BSLASHglsplural] = ACTIONS(7271),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7271),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7271),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7271),
    [anon_sym_BSLASHglsname] = ACTIONS(7271),
    [anon_sym_BSLASHGlsname] = ACTIONS(7271),
    [anon_sym_BSLASHGLSname] = ACTIONS(7271),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7271),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7271),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7271),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7271),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7271),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7271),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7271),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7271),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7271),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7271),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7271),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7271),
    [anon_sym_BSLASHacrshort] = ACTIONS(7271),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7271),
    [anon_sym_BSLASHACRshort] = ACTIONS(7271),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHacrlong] = ACTIONS(7271),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7271),
    [anon_sym_BSLASHACRlong] = ACTIONS(7271),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7271),
    [anon_sym_BSLASHacrfull] = ACTIONS(7271),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7271),
    [anon_sym_BSLASHACRfull] = ACTIONS(7271),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHacs] = ACTIONS(7271),
    [anon_sym_BSLASHAcs] = ACTIONS(7271),
    [anon_sym_BSLASHacsp] = ACTIONS(7271),
    [anon_sym_BSLASHAcsp] = ACTIONS(7271),
    [anon_sym_BSLASHacl] = ACTIONS(7271),
    [anon_sym_BSLASHAcl] = ACTIONS(7271),
    [anon_sym_BSLASHaclp] = ACTIONS(7271),
    [anon_sym_BSLASHAclp] = ACTIONS(7271),
    [anon_sym_BSLASHacf] = ACTIONS(7271),
    [anon_sym_BSLASHAcf] = ACTIONS(7271),
    [anon_sym_BSLASHacfp] = ACTIONS(7271),
    [anon_sym_BSLASHAcfp] = ACTIONS(7271),
    [anon_sym_BSLASHac] = ACTIONS(7271),
    [anon_sym_BSLASHAc] = ACTIONS(7271),
    [anon_sym_BSLASHacp] = ACTIONS(7271),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7271),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7271),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7271),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7271),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7271),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7273),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7271),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7271),
    [anon_sym_BSLASHcolor] = ACTIONS(7271),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7271),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7271),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7271),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7271),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7271),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7271),
    [anon_sym_BSLASHurl] = ACTIONS(7271),
    [anon_sym_BSLASHhref] = ACTIONS(7271),
  },
  [2312] = {
    [sym_command_name] = ACTIONS(7275),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7275),
    [anon_sym_RBRACK] = ACTIONS(7277),
    [anon_sym_COMMA] = ACTIONS(7277),
    [anon_sym_EQ] = ACTIONS(7277),
    [anon_sym_RBRACE] = ACTIONS(7277),
    [sym_word] = ACTIONS(7275),
    [sym_placeholder] = ACTIONS(7277),
    [sym_delimiter] = ACTIONS(7277),
    [anon_sym_PLUS] = ACTIONS(7277),
    [anon_sym_DASH] = ACTIONS(7277),
    [anon_sym_STAR] = ACTIONS(7277),
    [anon_sym_SLASH] = ACTIONS(7277),
    [anon_sym_LT] = ACTIONS(7275),
    [anon_sym_GT] = ACTIONS(7275),
    [anon_sym_BANG] = ACTIONS(7275),
    [anon_sym_PIPE] = ACTIONS(7275),
    [anon_sym_COLON] = ACTIONS(7275),
    [anon_sym_SQUOTE] = ACTIONS(7275),
    [anon_sym__] = ACTIONS(7277),
    [anon_sym_CARET] = ACTIONS(7277),
    [anon_sym_BSLASHtitle] = ACTIONS(7275),
    [anon_sym_BSLASHauthor] = ACTIONS(7275),
    [anon_sym_BSLASHusepackage] = ACTIONS(7275),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7275),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7275),
    [anon_sym_BSLASHinclude] = ACTIONS(7275),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7275),
    [anon_sym_BSLASHinput] = ACTIONS(7275),
    [anon_sym_BSLASHsubfile] = ACTIONS(7275),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7275),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7275),
    [anon_sym_BSLASHbibliography] = ACTIONS(7275),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7275),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7275),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7275),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7275),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7275),
    [anon_sym_BSLASHimport] = ACTIONS(7275),
    [anon_sym_BSLASHsubimport] = ACTIONS(7275),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7275),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7275),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7275),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7275),
    [anon_sym_BSLASHcaption] = ACTIONS(7275),
    [anon_sym_BSLASHcite] = ACTIONS(7275),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCite] = ACTIONS(7275),
    [anon_sym_BSLASHnocite] = ACTIONS(7275),
    [anon_sym_BSLASHcitet] = ACTIONS(7275),
    [anon_sym_BSLASHcitep] = ACTIONS(7275),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteA] = ACTIONS(7275),
    [anon_sym_BSLASHciteR] = ACTIONS(7275),
    [anon_sym_BSLASHciteS] = ACTIONS(7275),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7275),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7275),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7275),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7275),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteyear] = ACTIONS(7275),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcitedate] = ACTIONS(7275),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHciteurl] = ACTIONS(7275),
    [anon_sym_BSLASHfullcite] = ACTIONS(7275),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7275),
    [anon_sym_BSLASHcitealt] = ACTIONS(7275),
    [anon_sym_BSLASHcitealp] = ACTIONS(7275),
    [anon_sym_BSLASHcitetext] = ACTIONS(7275),
    [anon_sym_BSLASHparencite] = ACTIONS(7275),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHParencite] = ACTIONS(7275),
    [anon_sym_BSLASHfootcite] = ACTIONS(7275),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7275),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7275),
    [anon_sym_BSLASHtextcite] = ACTIONS(7275),
    [anon_sym_BSLASHTextcite] = ACTIONS(7275),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7275),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7275),
    [anon_sym_BSLASHsupercite] = ACTIONS(7275),
    [anon_sym_BSLASHautocite] = ACTIONS(7275),
    [anon_sym_BSLASHAutocite] = ACTIONS(7275),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHVolcite] = ACTIONS(7275),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHavolcite] = ACTIONS(7275),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7275),
    [anon_sym_BSLASHnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHNotecite] = ACTIONS(7275),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7275),
    [anon_sym_BSLASHlabel] = ACTIONS(7275),
    [anon_sym_BSLASHref] = ACTIONS(7275),
    [anon_sym_BSLASHeqref] = ACTIONS(7275),
    [anon_sym_BSLASHvref] = ACTIONS(7275),
    [anon_sym_BSLASHVref] = ACTIONS(7275),
    [anon_sym_BSLASHautoref] = ACTIONS(7275),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHpageref] = ACTIONS(7275),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHautopageref] = ACTIONS(7275),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcref] = ACTIONS(7275),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCref] = ACTIONS(7275),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcpageref] = ACTIONS(7275),
    [anon_sym_BSLASHCpageref] = ACTIONS(7275),
    [anon_sym_BSLASHnamecref] = ACTIONS(7275),
    [anon_sym_BSLASHnameCref] = ACTIONS(7275),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7275),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7275),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7275),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7275),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7275),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7275),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7275),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7275),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7275),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7275),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7275),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7275),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7275),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7275),
    [anon_sym_BSLASHdef] = ACTIONS(7275),
    [anon_sym_BSLASHgdef] = ACTIONS(7275),
    [anon_sym_BSLASHedef] = ACTIONS(7275),
    [anon_sym_BSLASHxdef] = ACTIONS(7275),
    [anon_sym_BSLASHlet] = ACTIONS(7275),
    [anon_sym_BSLASHglet] = ACTIONS(7275),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7275),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7275),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7275),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7275),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7275),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7275),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7275),
    [anon_sym_BSLASHgls] = ACTIONS(7275),
    [anon_sym_BSLASHGls] = ACTIONS(7275),
    [anon_sym_BSLASHGLS] = ACTIONS(7275),
    [anon_sym_BSLASHglspl] = ACTIONS(7275),
    [anon_sym_BSLASHGlspl] = ACTIONS(7275),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7275),
    [anon_sym_BSLASHglslink] = ACTIONS(7275),
    [anon_sym_BSLASHglstext] = ACTIONS(7275),
    [anon_sym_BSLASHGlstext] = ACTIONS(7275),
    [anon_sym_BSLASHGLStext] = ACTIONS(7275),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7275),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7275),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7275),
    [anon_sym_BSLASHglsplural] = ACTIONS(7275),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7275),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7275),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7275),
    [anon_sym_BSLASHglsname] = ACTIONS(7275),
    [anon_sym_BSLASHGlsname] = ACTIONS(7275),
    [anon_sym_BSLASHGLSname] = ACTIONS(7275),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7275),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7275),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7275),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7275),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7275),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7275),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7275),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7275),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7275),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7275),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7275),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7275),
    [anon_sym_BSLASHacrshort] = ACTIONS(7275),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7275),
    [anon_sym_BSLASHACRshort] = ACTIONS(7275),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHacrlong] = ACTIONS(7275),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7275),
    [anon_sym_BSLASHACRlong] = ACTIONS(7275),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7275),
    [anon_sym_BSLASHacrfull] = ACTIONS(7275),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7275),
    [anon_sym_BSLASHACRfull] = ACTIONS(7275),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHacs] = ACTIONS(7275),
    [anon_sym_BSLASHAcs] = ACTIONS(7275),
    [anon_sym_BSLASHacsp] = ACTIONS(7275),
    [anon_sym_BSLASHAcsp] = ACTIONS(7275),
    [anon_sym_BSLASHacl] = ACTIONS(7275),
    [anon_sym_BSLASHAcl] = ACTIONS(7275),
    [anon_sym_BSLASHaclp] = ACTIONS(7275),
    [anon_sym_BSLASHAclp] = ACTIONS(7275),
    [anon_sym_BSLASHacf] = ACTIONS(7275),
    [anon_sym_BSLASHAcf] = ACTIONS(7275),
    [anon_sym_BSLASHacfp] = ACTIONS(7275),
    [anon_sym_BSLASHAcfp] = ACTIONS(7275),
    [anon_sym_BSLASHac] = ACTIONS(7275),
    [anon_sym_BSLASHAc] = ACTIONS(7275),
    [anon_sym_BSLASHacp] = ACTIONS(7275),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7275),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7275),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7275),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7275),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7275),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7277),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7275),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7275),
    [anon_sym_BSLASHcolor] = ACTIONS(7275),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7275),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7275),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7275),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7275),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7275),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7275),
    [anon_sym_BSLASHurl] = ACTIONS(7275),
    [anon_sym_BSLASHhref] = ACTIONS(7275),
  },
  [2313] = {
    [sym_command_name] = ACTIONS(7279),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7279),
    [anon_sym_RBRACK] = ACTIONS(7281),
    [anon_sym_COMMA] = ACTIONS(7281),
    [anon_sym_EQ] = ACTIONS(7281),
    [anon_sym_RBRACE] = ACTIONS(7281),
    [sym_word] = ACTIONS(7279),
    [sym_placeholder] = ACTIONS(7281),
    [sym_delimiter] = ACTIONS(7281),
    [anon_sym_PLUS] = ACTIONS(7281),
    [anon_sym_DASH] = ACTIONS(7281),
    [anon_sym_STAR] = ACTIONS(7281),
    [anon_sym_SLASH] = ACTIONS(7281),
    [anon_sym_LT] = ACTIONS(7279),
    [anon_sym_GT] = ACTIONS(7279),
    [anon_sym_BANG] = ACTIONS(7279),
    [anon_sym_PIPE] = ACTIONS(7279),
    [anon_sym_COLON] = ACTIONS(7279),
    [anon_sym_SQUOTE] = ACTIONS(7279),
    [anon_sym__] = ACTIONS(7281),
    [anon_sym_CARET] = ACTIONS(7281),
    [anon_sym_BSLASHtitle] = ACTIONS(7279),
    [anon_sym_BSLASHauthor] = ACTIONS(7279),
    [anon_sym_BSLASHusepackage] = ACTIONS(7279),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7279),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7279),
    [anon_sym_BSLASHinclude] = ACTIONS(7279),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7279),
    [anon_sym_BSLASHinput] = ACTIONS(7279),
    [anon_sym_BSLASHsubfile] = ACTIONS(7279),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7279),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7279),
    [anon_sym_BSLASHbibliography] = ACTIONS(7279),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7279),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7279),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7279),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7279),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7279),
    [anon_sym_BSLASHimport] = ACTIONS(7279),
    [anon_sym_BSLASHsubimport] = ACTIONS(7279),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7279),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7279),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7279),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7279),
    [anon_sym_BSLASHcaption] = ACTIONS(7279),
    [anon_sym_BSLASHcite] = ACTIONS(7279),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCite] = ACTIONS(7279),
    [anon_sym_BSLASHnocite] = ACTIONS(7279),
    [anon_sym_BSLASHcitet] = ACTIONS(7279),
    [anon_sym_BSLASHcitep] = ACTIONS(7279),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteA] = ACTIONS(7279),
    [anon_sym_BSLASHciteR] = ACTIONS(7279),
    [anon_sym_BSLASHciteS] = ACTIONS(7279),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7279),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7279),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7279),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7279),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteyear] = ACTIONS(7279),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcitedate] = ACTIONS(7279),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHciteurl] = ACTIONS(7279),
    [anon_sym_BSLASHfullcite] = ACTIONS(7279),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7279),
    [anon_sym_BSLASHcitealt] = ACTIONS(7279),
    [anon_sym_BSLASHcitealp] = ACTIONS(7279),
    [anon_sym_BSLASHcitetext] = ACTIONS(7279),
    [anon_sym_BSLASHparencite] = ACTIONS(7279),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHParencite] = ACTIONS(7279),
    [anon_sym_BSLASHfootcite] = ACTIONS(7279),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7279),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7279),
    [anon_sym_BSLASHtextcite] = ACTIONS(7279),
    [anon_sym_BSLASHTextcite] = ACTIONS(7279),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7279),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7279),
    [anon_sym_BSLASHsupercite] = ACTIONS(7279),
    [anon_sym_BSLASHautocite] = ACTIONS(7279),
    [anon_sym_BSLASHAutocite] = ACTIONS(7279),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHVolcite] = ACTIONS(7279),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHavolcite] = ACTIONS(7279),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7279),
    [anon_sym_BSLASHnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHNotecite] = ACTIONS(7279),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7279),
    [anon_sym_BSLASHlabel] = ACTIONS(7279),
    [anon_sym_BSLASHref] = ACTIONS(7279),
    [anon_sym_BSLASHeqref] = ACTIONS(7279),
    [anon_sym_BSLASHvref] = ACTIONS(7279),
    [anon_sym_BSLASHVref] = ACTIONS(7279),
    [anon_sym_BSLASHautoref] = ACTIONS(7279),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHpageref] = ACTIONS(7279),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHautopageref] = ACTIONS(7279),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcref] = ACTIONS(7279),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCref] = ACTIONS(7279),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcpageref] = ACTIONS(7279),
    [anon_sym_BSLASHCpageref] = ACTIONS(7279),
    [anon_sym_BSLASHnamecref] = ACTIONS(7279),
    [anon_sym_BSLASHnameCref] = ACTIONS(7279),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7279),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7279),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7279),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7279),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7279),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7279),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7279),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7279),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7279),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7279),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7279),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7279),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7279),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7279),
    [anon_sym_BSLASHdef] = ACTIONS(7279),
    [anon_sym_BSLASHgdef] = ACTIONS(7279),
    [anon_sym_BSLASHedef] = ACTIONS(7279),
    [anon_sym_BSLASHxdef] = ACTIONS(7279),
    [anon_sym_BSLASHlet] = ACTIONS(7279),
    [anon_sym_BSLASHglet] = ACTIONS(7279),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7279),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7279),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7279),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7279),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7279),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7279),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7279),
    [anon_sym_BSLASHgls] = ACTIONS(7279),
    [anon_sym_BSLASHGls] = ACTIONS(7279),
    [anon_sym_BSLASHGLS] = ACTIONS(7279),
    [anon_sym_BSLASHglspl] = ACTIONS(7279),
    [anon_sym_BSLASHGlspl] = ACTIONS(7279),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7279),
    [anon_sym_BSLASHglslink] = ACTIONS(7279),
    [anon_sym_BSLASHglstext] = ACTIONS(7279),
    [anon_sym_BSLASHGlstext] = ACTIONS(7279),
    [anon_sym_BSLASHGLStext] = ACTIONS(7279),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7279),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7279),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7279),
    [anon_sym_BSLASHglsplural] = ACTIONS(7279),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7279),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7279),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7279),
    [anon_sym_BSLASHglsname] = ACTIONS(7279),
    [anon_sym_BSLASHGlsname] = ACTIONS(7279),
    [anon_sym_BSLASHGLSname] = ACTIONS(7279),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7279),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7279),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7279),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7279),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7279),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7279),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7279),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7279),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7279),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7279),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7279),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7279),
    [anon_sym_BSLASHacrshort] = ACTIONS(7279),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7279),
    [anon_sym_BSLASHACRshort] = ACTIONS(7279),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHacrlong] = ACTIONS(7279),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7279),
    [anon_sym_BSLASHACRlong] = ACTIONS(7279),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7279),
    [anon_sym_BSLASHacrfull] = ACTIONS(7279),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7279),
    [anon_sym_BSLASHACRfull] = ACTIONS(7279),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHacs] = ACTIONS(7279),
    [anon_sym_BSLASHAcs] = ACTIONS(7279),
    [anon_sym_BSLASHacsp] = ACTIONS(7279),
    [anon_sym_BSLASHAcsp] = ACTIONS(7279),
    [anon_sym_BSLASHacl] = ACTIONS(7279),
    [anon_sym_BSLASHAcl] = ACTIONS(7279),
    [anon_sym_BSLASHaclp] = ACTIONS(7279),
    [anon_sym_BSLASHAclp] = ACTIONS(7279),
    [anon_sym_BSLASHacf] = ACTIONS(7279),
    [anon_sym_BSLASHAcf] = ACTIONS(7279),
    [anon_sym_BSLASHacfp] = ACTIONS(7279),
    [anon_sym_BSLASHAcfp] = ACTIONS(7279),
    [anon_sym_BSLASHac] = ACTIONS(7279),
    [anon_sym_BSLASHAc] = ACTIONS(7279),
    [anon_sym_BSLASHacp] = ACTIONS(7279),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7279),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7279),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7279),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7279),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7279),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7281),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7279),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7279),
    [anon_sym_BSLASHcolor] = ACTIONS(7279),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7279),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7279),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7279),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7279),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7279),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7279),
    [anon_sym_BSLASHurl] = ACTIONS(7279),
    [anon_sym_BSLASHhref] = ACTIONS(7279),
  },
  [2314] = {
    [sym_command_name] = ACTIONS(7367),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7367),
    [anon_sym_RBRACK] = ACTIONS(7369),
    [anon_sym_COMMA] = ACTIONS(7369),
    [anon_sym_EQ] = ACTIONS(7369),
    [anon_sym_RBRACE] = ACTIONS(7369),
    [sym_word] = ACTIONS(7367),
    [sym_placeholder] = ACTIONS(7369),
    [sym_delimiter] = ACTIONS(7369),
    [anon_sym_PLUS] = ACTIONS(7369),
    [anon_sym_DASH] = ACTIONS(7369),
    [anon_sym_STAR] = ACTIONS(7369),
    [anon_sym_SLASH] = ACTIONS(7369),
    [anon_sym_LT] = ACTIONS(7367),
    [anon_sym_GT] = ACTIONS(7367),
    [anon_sym_BANG] = ACTIONS(7367),
    [anon_sym_PIPE] = ACTIONS(7367),
    [anon_sym_COLON] = ACTIONS(7367),
    [anon_sym_SQUOTE] = ACTIONS(7367),
    [anon_sym__] = ACTIONS(7369),
    [anon_sym_CARET] = ACTIONS(7369),
    [anon_sym_BSLASHtitle] = ACTIONS(7367),
    [anon_sym_BSLASHauthor] = ACTIONS(7367),
    [anon_sym_BSLASHusepackage] = ACTIONS(7367),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7367),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7367),
    [anon_sym_BSLASHinclude] = ACTIONS(7367),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7367),
    [anon_sym_BSLASHinput] = ACTIONS(7367),
    [anon_sym_BSLASHsubfile] = ACTIONS(7367),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7367),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7367),
    [anon_sym_BSLASHbibliography] = ACTIONS(7367),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7367),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7367),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7367),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7367),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7367),
    [anon_sym_BSLASHimport] = ACTIONS(7367),
    [anon_sym_BSLASHsubimport] = ACTIONS(7367),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7367),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7367),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7367),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7367),
    [anon_sym_BSLASHcaption] = ACTIONS(7367),
    [anon_sym_BSLASHcite] = ACTIONS(7367),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCite] = ACTIONS(7367),
    [anon_sym_BSLASHnocite] = ACTIONS(7367),
    [anon_sym_BSLASHcitet] = ACTIONS(7367),
    [anon_sym_BSLASHcitep] = ACTIONS(7367),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteA] = ACTIONS(7367),
    [anon_sym_BSLASHciteR] = ACTIONS(7367),
    [anon_sym_BSLASHciteS] = ACTIONS(7367),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7367),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7367),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7367),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7367),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteyear] = ACTIONS(7367),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcitedate] = ACTIONS(7367),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHciteurl] = ACTIONS(7367),
    [anon_sym_BSLASHfullcite] = ACTIONS(7367),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7367),
    [anon_sym_BSLASHcitealt] = ACTIONS(7367),
    [anon_sym_BSLASHcitealp] = ACTIONS(7367),
    [anon_sym_BSLASHcitetext] = ACTIONS(7367),
    [anon_sym_BSLASHparencite] = ACTIONS(7367),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHParencite] = ACTIONS(7367),
    [anon_sym_BSLASHfootcite] = ACTIONS(7367),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7367),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7367),
    [anon_sym_BSLASHtextcite] = ACTIONS(7367),
    [anon_sym_BSLASHTextcite] = ACTIONS(7367),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7367),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7367),
    [anon_sym_BSLASHsupercite] = ACTIONS(7367),
    [anon_sym_BSLASHautocite] = ACTIONS(7367),
    [anon_sym_BSLASHAutocite] = ACTIONS(7367),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHVolcite] = ACTIONS(7367),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHavolcite] = ACTIONS(7367),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7367),
    [anon_sym_BSLASHnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHNotecite] = ACTIONS(7367),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7367),
    [anon_sym_BSLASHlabel] = ACTIONS(7367),
    [anon_sym_BSLASHref] = ACTIONS(7367),
    [anon_sym_BSLASHeqref] = ACTIONS(7367),
    [anon_sym_BSLASHvref] = ACTIONS(7367),
    [anon_sym_BSLASHVref] = ACTIONS(7367),
    [anon_sym_BSLASHautoref] = ACTIONS(7367),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHpageref] = ACTIONS(7367),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHautopageref] = ACTIONS(7367),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcref] = ACTIONS(7367),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCref] = ACTIONS(7367),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcpageref] = ACTIONS(7367),
    [anon_sym_BSLASHCpageref] = ACTIONS(7367),
    [anon_sym_BSLASHnamecref] = ACTIONS(7367),
    [anon_sym_BSLASHnameCref] = ACTIONS(7367),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7367),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7367),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7367),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7367),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7367),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7367),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7367),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7367),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7367),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7367),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7367),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7367),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7367),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7367),
    [anon_sym_BSLASHdef] = ACTIONS(7367),
    [anon_sym_BSLASHgdef] = ACTIONS(7367),
    [anon_sym_BSLASHedef] = ACTIONS(7367),
    [anon_sym_BSLASHxdef] = ACTIONS(7367),
    [anon_sym_BSLASHlet] = ACTIONS(7367),
    [anon_sym_BSLASHglet] = ACTIONS(7367),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7367),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7367),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7367),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7367),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7367),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7367),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7367),
    [anon_sym_BSLASHgls] = ACTIONS(7367),
    [anon_sym_BSLASHGls] = ACTIONS(7367),
    [anon_sym_BSLASHGLS] = ACTIONS(7367),
    [anon_sym_BSLASHglspl] = ACTIONS(7367),
    [anon_sym_BSLASHGlspl] = ACTIONS(7367),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7367),
    [anon_sym_BSLASHglslink] = ACTIONS(7367),
    [anon_sym_BSLASHglstext] = ACTIONS(7367),
    [anon_sym_BSLASHGlstext] = ACTIONS(7367),
    [anon_sym_BSLASHGLStext] = ACTIONS(7367),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7367),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7367),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7367),
    [anon_sym_BSLASHglsplural] = ACTIONS(7367),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7367),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7367),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7367),
    [anon_sym_BSLASHglsname] = ACTIONS(7367),
    [anon_sym_BSLASHGlsname] = ACTIONS(7367),
    [anon_sym_BSLASHGLSname] = ACTIONS(7367),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7367),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7367),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7367),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7367),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7367),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7367),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7367),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7367),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7367),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7367),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7367),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7367),
    [anon_sym_BSLASHacrshort] = ACTIONS(7367),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7367),
    [anon_sym_BSLASHACRshort] = ACTIONS(7367),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHacrlong] = ACTIONS(7367),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7367),
    [anon_sym_BSLASHACRlong] = ACTIONS(7367),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7367),
    [anon_sym_BSLASHacrfull] = ACTIONS(7367),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7367),
    [anon_sym_BSLASHACRfull] = ACTIONS(7367),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHacs] = ACTIONS(7367),
    [anon_sym_BSLASHAcs] = ACTIONS(7367),
    [anon_sym_BSLASHacsp] = ACTIONS(7367),
    [anon_sym_BSLASHAcsp] = ACTIONS(7367),
    [anon_sym_BSLASHacl] = ACTIONS(7367),
    [anon_sym_BSLASHAcl] = ACTIONS(7367),
    [anon_sym_BSLASHaclp] = ACTIONS(7367),
    [anon_sym_BSLASHAclp] = ACTIONS(7367),
    [anon_sym_BSLASHacf] = ACTIONS(7367),
    [anon_sym_BSLASHAcf] = ACTIONS(7367),
    [anon_sym_BSLASHacfp] = ACTIONS(7367),
    [anon_sym_BSLASHAcfp] = ACTIONS(7367),
    [anon_sym_BSLASHac] = ACTIONS(7367),
    [anon_sym_BSLASHAc] = ACTIONS(7367),
    [anon_sym_BSLASHacp] = ACTIONS(7367),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7367),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7367),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7367),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7367),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7367),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7369),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7367),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7367),
    [anon_sym_BSLASHcolor] = ACTIONS(7367),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7367),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7367),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7367),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7367),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7367),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7367),
    [anon_sym_BSLASHurl] = ACTIONS(7367),
    [anon_sym_BSLASHhref] = ACTIONS(7367),
  },
  [2315] = {
    [sym_command_name] = ACTIONS(7287),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7287),
    [anon_sym_RBRACK] = ACTIONS(7289),
    [anon_sym_COMMA] = ACTIONS(7289),
    [anon_sym_EQ] = ACTIONS(7289),
    [anon_sym_RBRACE] = ACTIONS(7289),
    [sym_word] = ACTIONS(7287),
    [sym_placeholder] = ACTIONS(7289),
    [sym_delimiter] = ACTIONS(7289),
    [anon_sym_PLUS] = ACTIONS(7289),
    [anon_sym_DASH] = ACTIONS(7289),
    [anon_sym_STAR] = ACTIONS(7289),
    [anon_sym_SLASH] = ACTIONS(7289),
    [anon_sym_LT] = ACTIONS(7287),
    [anon_sym_GT] = ACTIONS(7287),
    [anon_sym_BANG] = ACTIONS(7287),
    [anon_sym_PIPE] = ACTIONS(7287),
    [anon_sym_COLON] = ACTIONS(7287),
    [anon_sym_SQUOTE] = ACTIONS(7287),
    [anon_sym__] = ACTIONS(7289),
    [anon_sym_CARET] = ACTIONS(7289),
    [anon_sym_BSLASHtitle] = ACTIONS(7287),
    [anon_sym_BSLASHauthor] = ACTIONS(7287),
    [anon_sym_BSLASHusepackage] = ACTIONS(7287),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7287),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7287),
    [anon_sym_BSLASHinclude] = ACTIONS(7287),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7287),
    [anon_sym_BSLASHinput] = ACTIONS(7287),
    [anon_sym_BSLASHsubfile] = ACTIONS(7287),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7287),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7287),
    [anon_sym_BSLASHbibliography] = ACTIONS(7287),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7287),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7287),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7287),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7287),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7287),
    [anon_sym_BSLASHimport] = ACTIONS(7287),
    [anon_sym_BSLASHsubimport] = ACTIONS(7287),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7287),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7287),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7287),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7287),
    [anon_sym_BSLASHcaption] = ACTIONS(7287),
    [anon_sym_BSLASHcite] = ACTIONS(7287),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCite] = ACTIONS(7287),
    [anon_sym_BSLASHnocite] = ACTIONS(7287),
    [anon_sym_BSLASHcitet] = ACTIONS(7287),
    [anon_sym_BSLASHcitep] = ACTIONS(7287),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteA] = ACTIONS(7287),
    [anon_sym_BSLASHciteR] = ACTIONS(7287),
    [anon_sym_BSLASHciteS] = ACTIONS(7287),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7287),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7287),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7287),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7287),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteyear] = ACTIONS(7287),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcitedate] = ACTIONS(7287),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHciteurl] = ACTIONS(7287),
    [anon_sym_BSLASHfullcite] = ACTIONS(7287),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7287),
    [anon_sym_BSLASHcitealt] = ACTIONS(7287),
    [anon_sym_BSLASHcitealp] = ACTIONS(7287),
    [anon_sym_BSLASHcitetext] = ACTIONS(7287),
    [anon_sym_BSLASHparencite] = ACTIONS(7287),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHParencite] = ACTIONS(7287),
    [anon_sym_BSLASHfootcite] = ACTIONS(7287),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7287),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7287),
    [anon_sym_BSLASHtextcite] = ACTIONS(7287),
    [anon_sym_BSLASHTextcite] = ACTIONS(7287),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7287),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7287),
    [anon_sym_BSLASHsupercite] = ACTIONS(7287),
    [anon_sym_BSLASHautocite] = ACTIONS(7287),
    [anon_sym_BSLASHAutocite] = ACTIONS(7287),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHVolcite] = ACTIONS(7287),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHavolcite] = ACTIONS(7287),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7287),
    [anon_sym_BSLASHnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHNotecite] = ACTIONS(7287),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7287),
    [anon_sym_BSLASHlabel] = ACTIONS(7287),
    [anon_sym_BSLASHref] = ACTIONS(7287),
    [anon_sym_BSLASHeqref] = ACTIONS(7287),
    [anon_sym_BSLASHvref] = ACTIONS(7287),
    [anon_sym_BSLASHVref] = ACTIONS(7287),
    [anon_sym_BSLASHautoref] = ACTIONS(7287),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHpageref] = ACTIONS(7287),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHautopageref] = ACTIONS(7287),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcref] = ACTIONS(7287),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCref] = ACTIONS(7287),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcpageref] = ACTIONS(7287),
    [anon_sym_BSLASHCpageref] = ACTIONS(7287),
    [anon_sym_BSLASHnamecref] = ACTIONS(7287),
    [anon_sym_BSLASHnameCref] = ACTIONS(7287),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7287),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7287),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7287),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7287),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7287),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7287),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7287),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7287),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7287),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7287),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7287),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7287),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7287),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7287),
    [anon_sym_BSLASHdef] = ACTIONS(7287),
    [anon_sym_BSLASHgdef] = ACTIONS(7287),
    [anon_sym_BSLASHedef] = ACTIONS(7287),
    [anon_sym_BSLASHxdef] = ACTIONS(7287),
    [anon_sym_BSLASHlet] = ACTIONS(7287),
    [anon_sym_BSLASHglet] = ACTIONS(7287),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7287),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7287),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7287),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7287),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7287),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7287),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7287),
    [anon_sym_BSLASHgls] = ACTIONS(7287),
    [anon_sym_BSLASHGls] = ACTIONS(7287),
    [anon_sym_BSLASHGLS] = ACTIONS(7287),
    [anon_sym_BSLASHglspl] = ACTIONS(7287),
    [anon_sym_BSLASHGlspl] = ACTIONS(7287),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7287),
    [anon_sym_BSLASHglslink] = ACTIONS(7287),
    [anon_sym_BSLASHglstext] = ACTIONS(7287),
    [anon_sym_BSLASHGlstext] = ACTIONS(7287),
    [anon_sym_BSLASHGLStext] = ACTIONS(7287),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7287),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7287),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7287),
    [anon_sym_BSLASHglsplural] = ACTIONS(7287),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7287),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7287),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7287),
    [anon_sym_BSLASHglsname] = ACTIONS(7287),
    [anon_sym_BSLASHGlsname] = ACTIONS(7287),
    [anon_sym_BSLASHGLSname] = ACTIONS(7287),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7287),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7287),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7287),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7287),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7287),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7287),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7287),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7287),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7287),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7287),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7287),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7287),
    [anon_sym_BSLASHacrshort] = ACTIONS(7287),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7287),
    [anon_sym_BSLASHACRshort] = ACTIONS(7287),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHacrlong] = ACTIONS(7287),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7287),
    [anon_sym_BSLASHACRlong] = ACTIONS(7287),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7287),
    [anon_sym_BSLASHacrfull] = ACTIONS(7287),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7287),
    [anon_sym_BSLASHACRfull] = ACTIONS(7287),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHacs] = ACTIONS(7287),
    [anon_sym_BSLASHAcs] = ACTIONS(7287),
    [anon_sym_BSLASHacsp] = ACTIONS(7287),
    [anon_sym_BSLASHAcsp] = ACTIONS(7287),
    [anon_sym_BSLASHacl] = ACTIONS(7287),
    [anon_sym_BSLASHAcl] = ACTIONS(7287),
    [anon_sym_BSLASHaclp] = ACTIONS(7287),
    [anon_sym_BSLASHAclp] = ACTIONS(7287),
    [anon_sym_BSLASHacf] = ACTIONS(7287),
    [anon_sym_BSLASHAcf] = ACTIONS(7287),
    [anon_sym_BSLASHacfp] = ACTIONS(7287),
    [anon_sym_BSLASHAcfp] = ACTIONS(7287),
    [anon_sym_BSLASHac] = ACTIONS(7287),
    [anon_sym_BSLASHAc] = ACTIONS(7287),
    [anon_sym_BSLASHacp] = ACTIONS(7287),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7287),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7287),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7287),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7287),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7287),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7289),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7287),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7287),
    [anon_sym_BSLASHcolor] = ACTIONS(7287),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7287),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7287),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7287),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7287),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7287),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7287),
    [anon_sym_BSLASHurl] = ACTIONS(7287),
    [anon_sym_BSLASHhref] = ACTIONS(7287),
  },
  [2316] = {
    [sym_command_name] = ACTIONS(7291),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7291),
    [anon_sym_RBRACK] = ACTIONS(7293),
    [anon_sym_COMMA] = ACTIONS(7293),
    [anon_sym_EQ] = ACTIONS(7293),
    [anon_sym_RBRACE] = ACTIONS(7293),
    [sym_word] = ACTIONS(7291),
    [sym_placeholder] = ACTIONS(7293),
    [sym_delimiter] = ACTIONS(7293),
    [anon_sym_PLUS] = ACTIONS(7293),
    [anon_sym_DASH] = ACTIONS(7293),
    [anon_sym_STAR] = ACTIONS(7293),
    [anon_sym_SLASH] = ACTIONS(7293),
    [anon_sym_LT] = ACTIONS(7291),
    [anon_sym_GT] = ACTIONS(7291),
    [anon_sym_BANG] = ACTIONS(7291),
    [anon_sym_PIPE] = ACTIONS(7291),
    [anon_sym_COLON] = ACTIONS(7291),
    [anon_sym_SQUOTE] = ACTIONS(7291),
    [anon_sym__] = ACTIONS(7293),
    [anon_sym_CARET] = ACTIONS(7293),
    [anon_sym_BSLASHtitle] = ACTIONS(7291),
    [anon_sym_BSLASHauthor] = ACTIONS(7291),
    [anon_sym_BSLASHusepackage] = ACTIONS(7291),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7291),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7291),
    [anon_sym_BSLASHinclude] = ACTIONS(7291),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7291),
    [anon_sym_BSLASHinput] = ACTIONS(7291),
    [anon_sym_BSLASHsubfile] = ACTIONS(7291),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7291),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7291),
    [anon_sym_BSLASHbibliography] = ACTIONS(7291),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7291),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7291),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7291),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7291),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7291),
    [anon_sym_BSLASHimport] = ACTIONS(7291),
    [anon_sym_BSLASHsubimport] = ACTIONS(7291),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7291),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7291),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7291),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7291),
    [anon_sym_BSLASHcaption] = ACTIONS(7291),
    [anon_sym_BSLASHcite] = ACTIONS(7291),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCite] = ACTIONS(7291),
    [anon_sym_BSLASHnocite] = ACTIONS(7291),
    [anon_sym_BSLASHcitet] = ACTIONS(7291),
    [anon_sym_BSLASHcitep] = ACTIONS(7291),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteA] = ACTIONS(7291),
    [anon_sym_BSLASHciteR] = ACTIONS(7291),
    [anon_sym_BSLASHciteS] = ACTIONS(7291),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7291),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7291),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7291),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7291),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteyear] = ACTIONS(7291),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcitedate] = ACTIONS(7291),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHciteurl] = ACTIONS(7291),
    [anon_sym_BSLASHfullcite] = ACTIONS(7291),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7291),
    [anon_sym_BSLASHcitealt] = ACTIONS(7291),
    [anon_sym_BSLASHcitealp] = ACTIONS(7291),
    [anon_sym_BSLASHcitetext] = ACTIONS(7291),
    [anon_sym_BSLASHparencite] = ACTIONS(7291),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHParencite] = ACTIONS(7291),
    [anon_sym_BSLASHfootcite] = ACTIONS(7291),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7291),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7291),
    [anon_sym_BSLASHtextcite] = ACTIONS(7291),
    [anon_sym_BSLASHTextcite] = ACTIONS(7291),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7291),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7291),
    [anon_sym_BSLASHsupercite] = ACTIONS(7291),
    [anon_sym_BSLASHautocite] = ACTIONS(7291),
    [anon_sym_BSLASHAutocite] = ACTIONS(7291),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHVolcite] = ACTIONS(7291),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHavolcite] = ACTIONS(7291),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7291),
    [anon_sym_BSLASHnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHNotecite] = ACTIONS(7291),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7291),
    [anon_sym_BSLASHlabel] = ACTIONS(7291),
    [anon_sym_BSLASHref] = ACTIONS(7291),
    [anon_sym_BSLASHeqref] = ACTIONS(7291),
    [anon_sym_BSLASHvref] = ACTIONS(7291),
    [anon_sym_BSLASHVref] = ACTIONS(7291),
    [anon_sym_BSLASHautoref] = ACTIONS(7291),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHpageref] = ACTIONS(7291),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHautopageref] = ACTIONS(7291),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcref] = ACTIONS(7291),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCref] = ACTIONS(7291),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcpageref] = ACTIONS(7291),
    [anon_sym_BSLASHCpageref] = ACTIONS(7291),
    [anon_sym_BSLASHnamecref] = ACTIONS(7291),
    [anon_sym_BSLASHnameCref] = ACTIONS(7291),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7291),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7291),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7291),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7291),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7291),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7291),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7291),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7291),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7291),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7291),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7291),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7291),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7291),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7291),
    [anon_sym_BSLASHdef] = ACTIONS(7291),
    [anon_sym_BSLASHgdef] = ACTIONS(7291),
    [anon_sym_BSLASHedef] = ACTIONS(7291),
    [anon_sym_BSLASHxdef] = ACTIONS(7291),
    [anon_sym_BSLASHlet] = ACTIONS(7291),
    [anon_sym_BSLASHglet] = ACTIONS(7291),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7291),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7291),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7291),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7291),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7291),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7291),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7291),
    [anon_sym_BSLASHgls] = ACTIONS(7291),
    [anon_sym_BSLASHGls] = ACTIONS(7291),
    [anon_sym_BSLASHGLS] = ACTIONS(7291),
    [anon_sym_BSLASHglspl] = ACTIONS(7291),
    [anon_sym_BSLASHGlspl] = ACTIONS(7291),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7291),
    [anon_sym_BSLASHglslink] = ACTIONS(7291),
    [anon_sym_BSLASHglstext] = ACTIONS(7291),
    [anon_sym_BSLASHGlstext] = ACTIONS(7291),
    [anon_sym_BSLASHGLStext] = ACTIONS(7291),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7291),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7291),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7291),
    [anon_sym_BSLASHglsplural] = ACTIONS(7291),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7291),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7291),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7291),
    [anon_sym_BSLASHglsname] = ACTIONS(7291),
    [anon_sym_BSLASHGlsname] = ACTIONS(7291),
    [anon_sym_BSLASHGLSname] = ACTIONS(7291),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7291),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7291),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7291),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7291),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7291),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7291),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7291),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7291),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7291),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7291),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7291),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7291),
    [anon_sym_BSLASHacrshort] = ACTIONS(7291),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7291),
    [anon_sym_BSLASHACRshort] = ACTIONS(7291),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHacrlong] = ACTIONS(7291),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7291),
    [anon_sym_BSLASHACRlong] = ACTIONS(7291),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7291),
    [anon_sym_BSLASHacrfull] = ACTIONS(7291),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7291),
    [anon_sym_BSLASHACRfull] = ACTIONS(7291),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHacs] = ACTIONS(7291),
    [anon_sym_BSLASHAcs] = ACTIONS(7291),
    [anon_sym_BSLASHacsp] = ACTIONS(7291),
    [anon_sym_BSLASHAcsp] = ACTIONS(7291),
    [anon_sym_BSLASHacl] = ACTIONS(7291),
    [anon_sym_BSLASHAcl] = ACTIONS(7291),
    [anon_sym_BSLASHaclp] = ACTIONS(7291),
    [anon_sym_BSLASHAclp] = ACTIONS(7291),
    [anon_sym_BSLASHacf] = ACTIONS(7291),
    [anon_sym_BSLASHAcf] = ACTIONS(7291),
    [anon_sym_BSLASHacfp] = ACTIONS(7291),
    [anon_sym_BSLASHAcfp] = ACTIONS(7291),
    [anon_sym_BSLASHac] = ACTIONS(7291),
    [anon_sym_BSLASHAc] = ACTIONS(7291),
    [anon_sym_BSLASHacp] = ACTIONS(7291),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7291),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7291),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7291),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7291),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7291),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7293),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7291),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7291),
    [anon_sym_BSLASHcolor] = ACTIONS(7291),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7291),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7291),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7291),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7291),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7291),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7291),
    [anon_sym_BSLASHurl] = ACTIONS(7291),
    [anon_sym_BSLASHhref] = ACTIONS(7291),
  },
  [2317] = {
    [sym_command_name] = ACTIONS(7295),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7295),
    [anon_sym_RBRACK] = ACTIONS(7297),
    [anon_sym_COMMA] = ACTIONS(7297),
    [anon_sym_EQ] = ACTIONS(7297),
    [anon_sym_RBRACE] = ACTIONS(7297),
    [sym_word] = ACTIONS(7295),
    [sym_placeholder] = ACTIONS(7297),
    [sym_delimiter] = ACTIONS(7297),
    [anon_sym_PLUS] = ACTIONS(7297),
    [anon_sym_DASH] = ACTIONS(7297),
    [anon_sym_STAR] = ACTIONS(7297),
    [anon_sym_SLASH] = ACTIONS(7297),
    [anon_sym_LT] = ACTIONS(7295),
    [anon_sym_GT] = ACTIONS(7295),
    [anon_sym_BANG] = ACTIONS(7295),
    [anon_sym_PIPE] = ACTIONS(7295),
    [anon_sym_COLON] = ACTIONS(7295),
    [anon_sym_SQUOTE] = ACTIONS(7295),
    [anon_sym__] = ACTIONS(7297),
    [anon_sym_CARET] = ACTIONS(7297),
    [anon_sym_BSLASHtitle] = ACTIONS(7295),
    [anon_sym_BSLASHauthor] = ACTIONS(7295),
    [anon_sym_BSLASHusepackage] = ACTIONS(7295),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7295),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7295),
    [anon_sym_BSLASHinclude] = ACTIONS(7295),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7295),
    [anon_sym_BSLASHinput] = ACTIONS(7295),
    [anon_sym_BSLASHsubfile] = ACTIONS(7295),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7295),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7295),
    [anon_sym_BSLASHbibliography] = ACTIONS(7295),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7295),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7295),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7295),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7295),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7295),
    [anon_sym_BSLASHimport] = ACTIONS(7295),
    [anon_sym_BSLASHsubimport] = ACTIONS(7295),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7295),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7295),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7295),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7295),
    [anon_sym_BSLASHcaption] = ACTIONS(7295),
    [anon_sym_BSLASHcite] = ACTIONS(7295),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCite] = ACTIONS(7295),
    [anon_sym_BSLASHnocite] = ACTIONS(7295),
    [anon_sym_BSLASHcitet] = ACTIONS(7295),
    [anon_sym_BSLASHcitep] = ACTIONS(7295),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteA] = ACTIONS(7295),
    [anon_sym_BSLASHciteR] = ACTIONS(7295),
    [anon_sym_BSLASHciteS] = ACTIONS(7295),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7295),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7295),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7295),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7295),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteyear] = ACTIONS(7295),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcitedate] = ACTIONS(7295),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHciteurl] = ACTIONS(7295),
    [anon_sym_BSLASHfullcite] = ACTIONS(7295),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7295),
    [anon_sym_BSLASHcitealt] = ACTIONS(7295),
    [anon_sym_BSLASHcitealp] = ACTIONS(7295),
    [anon_sym_BSLASHcitetext] = ACTIONS(7295),
    [anon_sym_BSLASHparencite] = ACTIONS(7295),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHParencite] = ACTIONS(7295),
    [anon_sym_BSLASHfootcite] = ACTIONS(7295),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7295),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7295),
    [anon_sym_BSLASHtextcite] = ACTIONS(7295),
    [anon_sym_BSLASHTextcite] = ACTIONS(7295),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7295),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7295),
    [anon_sym_BSLASHsupercite] = ACTIONS(7295),
    [anon_sym_BSLASHautocite] = ACTIONS(7295),
    [anon_sym_BSLASHAutocite] = ACTIONS(7295),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHVolcite] = ACTIONS(7295),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHavolcite] = ACTIONS(7295),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7295),
    [anon_sym_BSLASHnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHNotecite] = ACTIONS(7295),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7295),
    [anon_sym_BSLASHlabel] = ACTIONS(7295),
    [anon_sym_BSLASHref] = ACTIONS(7295),
    [anon_sym_BSLASHeqref] = ACTIONS(7295),
    [anon_sym_BSLASHvref] = ACTIONS(7295),
    [anon_sym_BSLASHVref] = ACTIONS(7295),
    [anon_sym_BSLASHautoref] = ACTIONS(7295),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHpageref] = ACTIONS(7295),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHautopageref] = ACTIONS(7295),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcref] = ACTIONS(7295),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCref] = ACTIONS(7295),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcpageref] = ACTIONS(7295),
    [anon_sym_BSLASHCpageref] = ACTIONS(7295),
    [anon_sym_BSLASHnamecref] = ACTIONS(7295),
    [anon_sym_BSLASHnameCref] = ACTIONS(7295),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7295),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7295),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7295),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7295),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7295),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7295),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7295),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7295),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7295),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7295),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7295),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7295),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7295),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7295),
    [anon_sym_BSLASHdef] = ACTIONS(7295),
    [anon_sym_BSLASHgdef] = ACTIONS(7295),
    [anon_sym_BSLASHedef] = ACTIONS(7295),
    [anon_sym_BSLASHxdef] = ACTIONS(7295),
    [anon_sym_BSLASHlet] = ACTIONS(7295),
    [anon_sym_BSLASHglet] = ACTIONS(7295),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7295),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7295),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7295),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7295),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7295),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7295),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7295),
    [anon_sym_BSLASHgls] = ACTIONS(7295),
    [anon_sym_BSLASHGls] = ACTIONS(7295),
    [anon_sym_BSLASHGLS] = ACTIONS(7295),
    [anon_sym_BSLASHglspl] = ACTIONS(7295),
    [anon_sym_BSLASHGlspl] = ACTIONS(7295),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7295),
    [anon_sym_BSLASHglslink] = ACTIONS(7295),
    [anon_sym_BSLASHglstext] = ACTIONS(7295),
    [anon_sym_BSLASHGlstext] = ACTIONS(7295),
    [anon_sym_BSLASHGLStext] = ACTIONS(7295),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7295),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7295),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7295),
    [anon_sym_BSLASHglsplural] = ACTIONS(7295),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7295),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7295),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7295),
    [anon_sym_BSLASHglsname] = ACTIONS(7295),
    [anon_sym_BSLASHGlsname] = ACTIONS(7295),
    [anon_sym_BSLASHGLSname] = ACTIONS(7295),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7295),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7295),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7295),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7295),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7295),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7295),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7295),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7295),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7295),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7295),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7295),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7295),
    [anon_sym_BSLASHacrshort] = ACTIONS(7295),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7295),
    [anon_sym_BSLASHACRshort] = ACTIONS(7295),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHacrlong] = ACTIONS(7295),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7295),
    [anon_sym_BSLASHACRlong] = ACTIONS(7295),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7295),
    [anon_sym_BSLASHacrfull] = ACTIONS(7295),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7295),
    [anon_sym_BSLASHACRfull] = ACTIONS(7295),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHacs] = ACTIONS(7295),
    [anon_sym_BSLASHAcs] = ACTIONS(7295),
    [anon_sym_BSLASHacsp] = ACTIONS(7295),
    [anon_sym_BSLASHAcsp] = ACTIONS(7295),
    [anon_sym_BSLASHacl] = ACTIONS(7295),
    [anon_sym_BSLASHAcl] = ACTIONS(7295),
    [anon_sym_BSLASHaclp] = ACTIONS(7295),
    [anon_sym_BSLASHAclp] = ACTIONS(7295),
    [anon_sym_BSLASHacf] = ACTIONS(7295),
    [anon_sym_BSLASHAcf] = ACTIONS(7295),
    [anon_sym_BSLASHacfp] = ACTIONS(7295),
    [anon_sym_BSLASHAcfp] = ACTIONS(7295),
    [anon_sym_BSLASHac] = ACTIONS(7295),
    [anon_sym_BSLASHAc] = ACTIONS(7295),
    [anon_sym_BSLASHacp] = ACTIONS(7295),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7295),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7295),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7295),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7295),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7295),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7297),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7295),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7295),
    [anon_sym_BSLASHcolor] = ACTIONS(7295),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7295),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7295),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7295),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7295),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7295),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7295),
    [anon_sym_BSLASHurl] = ACTIONS(7295),
    [anon_sym_BSLASHhref] = ACTIONS(7295),
  },
  [2318] = {
    [sym_command_name] = ACTIONS(7299),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7299),
    [anon_sym_RBRACK] = ACTIONS(7301),
    [anon_sym_COMMA] = ACTIONS(7301),
    [anon_sym_EQ] = ACTIONS(7301),
    [anon_sym_RBRACE] = ACTIONS(7301),
    [sym_word] = ACTIONS(7299),
    [sym_placeholder] = ACTIONS(7301),
    [sym_delimiter] = ACTIONS(7301),
    [anon_sym_PLUS] = ACTIONS(7301),
    [anon_sym_DASH] = ACTIONS(7301),
    [anon_sym_STAR] = ACTIONS(7301),
    [anon_sym_SLASH] = ACTIONS(7301),
    [anon_sym_LT] = ACTIONS(7299),
    [anon_sym_GT] = ACTIONS(7299),
    [anon_sym_BANG] = ACTIONS(7299),
    [anon_sym_PIPE] = ACTIONS(7299),
    [anon_sym_COLON] = ACTIONS(7299),
    [anon_sym_SQUOTE] = ACTIONS(7299),
    [anon_sym__] = ACTIONS(7301),
    [anon_sym_CARET] = ACTIONS(7301),
    [anon_sym_BSLASHtitle] = ACTIONS(7299),
    [anon_sym_BSLASHauthor] = ACTIONS(7299),
    [anon_sym_BSLASHusepackage] = ACTIONS(7299),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7299),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7299),
    [anon_sym_BSLASHinclude] = ACTIONS(7299),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7299),
    [anon_sym_BSLASHinput] = ACTIONS(7299),
    [anon_sym_BSLASHsubfile] = ACTIONS(7299),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7299),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7299),
    [anon_sym_BSLASHbibliography] = ACTIONS(7299),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7299),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7299),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7299),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7299),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7299),
    [anon_sym_BSLASHimport] = ACTIONS(7299),
    [anon_sym_BSLASHsubimport] = ACTIONS(7299),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7299),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7299),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7299),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7299),
    [anon_sym_BSLASHcaption] = ACTIONS(7299),
    [anon_sym_BSLASHcite] = ACTIONS(7299),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCite] = ACTIONS(7299),
    [anon_sym_BSLASHnocite] = ACTIONS(7299),
    [anon_sym_BSLASHcitet] = ACTIONS(7299),
    [anon_sym_BSLASHcitep] = ACTIONS(7299),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteA] = ACTIONS(7299),
    [anon_sym_BSLASHciteR] = ACTIONS(7299),
    [anon_sym_BSLASHciteS] = ACTIONS(7299),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7299),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7299),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7299),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7299),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteyear] = ACTIONS(7299),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcitedate] = ACTIONS(7299),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHciteurl] = ACTIONS(7299),
    [anon_sym_BSLASHfullcite] = ACTIONS(7299),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7299),
    [anon_sym_BSLASHcitealt] = ACTIONS(7299),
    [anon_sym_BSLASHcitealp] = ACTIONS(7299),
    [anon_sym_BSLASHcitetext] = ACTIONS(7299),
    [anon_sym_BSLASHparencite] = ACTIONS(7299),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHParencite] = ACTIONS(7299),
    [anon_sym_BSLASHfootcite] = ACTIONS(7299),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7299),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7299),
    [anon_sym_BSLASHtextcite] = ACTIONS(7299),
    [anon_sym_BSLASHTextcite] = ACTIONS(7299),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7299),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7299),
    [anon_sym_BSLASHsupercite] = ACTIONS(7299),
    [anon_sym_BSLASHautocite] = ACTIONS(7299),
    [anon_sym_BSLASHAutocite] = ACTIONS(7299),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHVolcite] = ACTIONS(7299),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHavolcite] = ACTIONS(7299),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7299),
    [anon_sym_BSLASHnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHNotecite] = ACTIONS(7299),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7299),
    [anon_sym_BSLASHlabel] = ACTIONS(7299),
    [anon_sym_BSLASHref] = ACTIONS(7299),
    [anon_sym_BSLASHeqref] = ACTIONS(7299),
    [anon_sym_BSLASHvref] = ACTIONS(7299),
    [anon_sym_BSLASHVref] = ACTIONS(7299),
    [anon_sym_BSLASHautoref] = ACTIONS(7299),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHpageref] = ACTIONS(7299),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHautopageref] = ACTIONS(7299),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcref] = ACTIONS(7299),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCref] = ACTIONS(7299),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcpageref] = ACTIONS(7299),
    [anon_sym_BSLASHCpageref] = ACTIONS(7299),
    [anon_sym_BSLASHnamecref] = ACTIONS(7299),
    [anon_sym_BSLASHnameCref] = ACTIONS(7299),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7299),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7299),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7299),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7299),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7299),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7299),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7299),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7299),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7299),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7299),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7299),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7299),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7299),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7299),
    [anon_sym_BSLASHdef] = ACTIONS(7299),
    [anon_sym_BSLASHgdef] = ACTIONS(7299),
    [anon_sym_BSLASHedef] = ACTIONS(7299),
    [anon_sym_BSLASHxdef] = ACTIONS(7299),
    [anon_sym_BSLASHlet] = ACTIONS(7299),
    [anon_sym_BSLASHglet] = ACTIONS(7299),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7299),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7299),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7299),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7299),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7299),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7299),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7299),
    [anon_sym_BSLASHgls] = ACTIONS(7299),
    [anon_sym_BSLASHGls] = ACTIONS(7299),
    [anon_sym_BSLASHGLS] = ACTIONS(7299),
    [anon_sym_BSLASHglspl] = ACTIONS(7299),
    [anon_sym_BSLASHGlspl] = ACTIONS(7299),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7299),
    [anon_sym_BSLASHglslink] = ACTIONS(7299),
    [anon_sym_BSLASHglstext] = ACTIONS(7299),
    [anon_sym_BSLASHGlstext] = ACTIONS(7299),
    [anon_sym_BSLASHGLStext] = ACTIONS(7299),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7299),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7299),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7299),
    [anon_sym_BSLASHglsplural] = ACTIONS(7299),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7299),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7299),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7299),
    [anon_sym_BSLASHglsname] = ACTIONS(7299),
    [anon_sym_BSLASHGlsname] = ACTIONS(7299),
    [anon_sym_BSLASHGLSname] = ACTIONS(7299),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7299),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7299),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7299),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7299),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7299),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7299),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7299),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7299),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7299),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7299),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7299),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7299),
    [anon_sym_BSLASHacrshort] = ACTIONS(7299),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7299),
    [anon_sym_BSLASHACRshort] = ACTIONS(7299),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHacrlong] = ACTIONS(7299),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7299),
    [anon_sym_BSLASHACRlong] = ACTIONS(7299),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7299),
    [anon_sym_BSLASHacrfull] = ACTIONS(7299),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7299),
    [anon_sym_BSLASHACRfull] = ACTIONS(7299),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHacs] = ACTIONS(7299),
    [anon_sym_BSLASHAcs] = ACTIONS(7299),
    [anon_sym_BSLASHacsp] = ACTIONS(7299),
    [anon_sym_BSLASHAcsp] = ACTIONS(7299),
    [anon_sym_BSLASHacl] = ACTIONS(7299),
    [anon_sym_BSLASHAcl] = ACTIONS(7299),
    [anon_sym_BSLASHaclp] = ACTIONS(7299),
    [anon_sym_BSLASHAclp] = ACTIONS(7299),
    [anon_sym_BSLASHacf] = ACTIONS(7299),
    [anon_sym_BSLASHAcf] = ACTIONS(7299),
    [anon_sym_BSLASHacfp] = ACTIONS(7299),
    [anon_sym_BSLASHAcfp] = ACTIONS(7299),
    [anon_sym_BSLASHac] = ACTIONS(7299),
    [anon_sym_BSLASHAc] = ACTIONS(7299),
    [anon_sym_BSLASHacp] = ACTIONS(7299),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7299),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7299),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7299),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7299),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7299),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7301),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7299),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7299),
    [anon_sym_BSLASHcolor] = ACTIONS(7299),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7299),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7299),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7299),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7299),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7299),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7299),
    [anon_sym_BSLASHurl] = ACTIONS(7299),
    [anon_sym_BSLASHhref] = ACTIONS(7299),
  },
  [2319] = {
    [sym_command_name] = ACTIONS(7303),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7303),
    [anon_sym_RBRACK] = ACTIONS(7305),
    [anon_sym_COMMA] = ACTIONS(7305),
    [anon_sym_EQ] = ACTIONS(7305),
    [anon_sym_RBRACE] = ACTIONS(7305),
    [sym_word] = ACTIONS(7303),
    [sym_placeholder] = ACTIONS(7305),
    [sym_delimiter] = ACTIONS(7305),
    [anon_sym_PLUS] = ACTIONS(7305),
    [anon_sym_DASH] = ACTIONS(7305),
    [anon_sym_STAR] = ACTIONS(7305),
    [anon_sym_SLASH] = ACTIONS(7305),
    [anon_sym_LT] = ACTIONS(7303),
    [anon_sym_GT] = ACTIONS(7303),
    [anon_sym_BANG] = ACTIONS(7303),
    [anon_sym_PIPE] = ACTIONS(7303),
    [anon_sym_COLON] = ACTIONS(7303),
    [anon_sym_SQUOTE] = ACTIONS(7303),
    [anon_sym__] = ACTIONS(7305),
    [anon_sym_CARET] = ACTIONS(7305),
    [anon_sym_BSLASHtitle] = ACTIONS(7303),
    [anon_sym_BSLASHauthor] = ACTIONS(7303),
    [anon_sym_BSLASHusepackage] = ACTIONS(7303),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7303),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7303),
    [anon_sym_BSLASHinclude] = ACTIONS(7303),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7303),
    [anon_sym_BSLASHinput] = ACTIONS(7303),
    [anon_sym_BSLASHsubfile] = ACTIONS(7303),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7303),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7303),
    [anon_sym_BSLASHbibliography] = ACTIONS(7303),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7303),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7303),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7303),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7303),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7303),
    [anon_sym_BSLASHimport] = ACTIONS(7303),
    [anon_sym_BSLASHsubimport] = ACTIONS(7303),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7303),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7303),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7303),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7303),
    [anon_sym_BSLASHcaption] = ACTIONS(7303),
    [anon_sym_BSLASHcite] = ACTIONS(7303),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCite] = ACTIONS(7303),
    [anon_sym_BSLASHnocite] = ACTIONS(7303),
    [anon_sym_BSLASHcitet] = ACTIONS(7303),
    [anon_sym_BSLASHcitep] = ACTIONS(7303),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteA] = ACTIONS(7303),
    [anon_sym_BSLASHciteR] = ACTIONS(7303),
    [anon_sym_BSLASHciteS] = ACTIONS(7303),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7303),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7303),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7303),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7303),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteyear] = ACTIONS(7303),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcitedate] = ACTIONS(7303),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHciteurl] = ACTIONS(7303),
    [anon_sym_BSLASHfullcite] = ACTIONS(7303),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7303),
    [anon_sym_BSLASHcitealt] = ACTIONS(7303),
    [anon_sym_BSLASHcitealp] = ACTIONS(7303),
    [anon_sym_BSLASHcitetext] = ACTIONS(7303),
    [anon_sym_BSLASHparencite] = ACTIONS(7303),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHParencite] = ACTIONS(7303),
    [anon_sym_BSLASHfootcite] = ACTIONS(7303),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7303),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7303),
    [anon_sym_BSLASHtextcite] = ACTIONS(7303),
    [anon_sym_BSLASHTextcite] = ACTIONS(7303),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7303),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7303),
    [anon_sym_BSLASHsupercite] = ACTIONS(7303),
    [anon_sym_BSLASHautocite] = ACTIONS(7303),
    [anon_sym_BSLASHAutocite] = ACTIONS(7303),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHVolcite] = ACTIONS(7303),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHavolcite] = ACTIONS(7303),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7303),
    [anon_sym_BSLASHnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHNotecite] = ACTIONS(7303),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7303),
    [anon_sym_BSLASHlabel] = ACTIONS(7303),
    [anon_sym_BSLASHref] = ACTIONS(7303),
    [anon_sym_BSLASHeqref] = ACTIONS(7303),
    [anon_sym_BSLASHvref] = ACTIONS(7303),
    [anon_sym_BSLASHVref] = ACTIONS(7303),
    [anon_sym_BSLASHautoref] = ACTIONS(7303),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHpageref] = ACTIONS(7303),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHautopageref] = ACTIONS(7303),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcref] = ACTIONS(7303),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCref] = ACTIONS(7303),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcpageref] = ACTIONS(7303),
    [anon_sym_BSLASHCpageref] = ACTIONS(7303),
    [anon_sym_BSLASHnamecref] = ACTIONS(7303),
    [anon_sym_BSLASHnameCref] = ACTIONS(7303),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7303),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7303),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7303),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7303),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7303),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7303),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7303),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7303),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7303),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7303),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7303),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7303),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7303),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7303),
    [anon_sym_BSLASHdef] = ACTIONS(7303),
    [anon_sym_BSLASHgdef] = ACTIONS(7303),
    [anon_sym_BSLASHedef] = ACTIONS(7303),
    [anon_sym_BSLASHxdef] = ACTIONS(7303),
    [anon_sym_BSLASHlet] = ACTIONS(7303),
    [anon_sym_BSLASHglet] = ACTIONS(7303),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7303),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7303),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7303),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7303),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7303),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7303),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7303),
    [anon_sym_BSLASHgls] = ACTIONS(7303),
    [anon_sym_BSLASHGls] = ACTIONS(7303),
    [anon_sym_BSLASHGLS] = ACTIONS(7303),
    [anon_sym_BSLASHglspl] = ACTIONS(7303),
    [anon_sym_BSLASHGlspl] = ACTIONS(7303),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7303),
    [anon_sym_BSLASHglslink] = ACTIONS(7303),
    [anon_sym_BSLASHglstext] = ACTIONS(7303),
    [anon_sym_BSLASHGlstext] = ACTIONS(7303),
    [anon_sym_BSLASHGLStext] = ACTIONS(7303),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7303),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7303),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7303),
    [anon_sym_BSLASHglsplural] = ACTIONS(7303),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7303),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7303),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7303),
    [anon_sym_BSLASHglsname] = ACTIONS(7303),
    [anon_sym_BSLASHGlsname] = ACTIONS(7303),
    [anon_sym_BSLASHGLSname] = ACTIONS(7303),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7303),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7303),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7303),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7303),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7303),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7303),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7303),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7303),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7303),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7303),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7303),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7303),
    [anon_sym_BSLASHacrshort] = ACTIONS(7303),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7303),
    [anon_sym_BSLASHACRshort] = ACTIONS(7303),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHacrlong] = ACTIONS(7303),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7303),
    [anon_sym_BSLASHACRlong] = ACTIONS(7303),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7303),
    [anon_sym_BSLASHacrfull] = ACTIONS(7303),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7303),
    [anon_sym_BSLASHACRfull] = ACTIONS(7303),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHacs] = ACTIONS(7303),
    [anon_sym_BSLASHAcs] = ACTIONS(7303),
    [anon_sym_BSLASHacsp] = ACTIONS(7303),
    [anon_sym_BSLASHAcsp] = ACTIONS(7303),
    [anon_sym_BSLASHacl] = ACTIONS(7303),
    [anon_sym_BSLASHAcl] = ACTIONS(7303),
    [anon_sym_BSLASHaclp] = ACTIONS(7303),
    [anon_sym_BSLASHAclp] = ACTIONS(7303),
    [anon_sym_BSLASHacf] = ACTIONS(7303),
    [anon_sym_BSLASHAcf] = ACTIONS(7303),
    [anon_sym_BSLASHacfp] = ACTIONS(7303),
    [anon_sym_BSLASHAcfp] = ACTIONS(7303),
    [anon_sym_BSLASHac] = ACTIONS(7303),
    [anon_sym_BSLASHAc] = ACTIONS(7303),
    [anon_sym_BSLASHacp] = ACTIONS(7303),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7303),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7303),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7303),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7303),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7303),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7305),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7303),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7303),
    [anon_sym_BSLASHcolor] = ACTIONS(7303),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7303),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7303),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7303),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7303),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7303),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7303),
    [anon_sym_BSLASHurl] = ACTIONS(7303),
    [anon_sym_BSLASHhref] = ACTIONS(7303),
  },
  [2320] = {
    [sym_command_name] = ACTIONS(7311),
    [sym__whitespace] = ACTIONS(3),
    [sym_line_comment] = ACTIONS(3),
    [anon_sym_BSLASHiffalse] = ACTIONS(7311),
    [anon_sym_RBRACK] = ACTIONS(7313),
    [anon_sym_COMMA] = ACTIONS(7313),
    [anon_sym_EQ] = ACTIONS(7313),
    [anon_sym_RBRACE] = ACTIONS(7313),
    [sym_word] = ACTIONS(7311),
    [sym_placeholder] = ACTIONS(7313),
    [sym_delimiter] = ACTIONS(7313),
    [anon_sym_PLUS] = ACTIONS(7313),
    [anon_sym_DASH] = ACTIONS(7313),
    [anon_sym_STAR] = ACTIONS(7313),
    [anon_sym_SLASH] = ACTIONS(7313),
    [anon_sym_LT] = ACTIONS(7311),
    [anon_sym_GT] = ACTIONS(7311),
    [anon_sym_BANG] = ACTIONS(7311),
    [anon_sym_PIPE] = ACTIONS(7311),
    [anon_sym_COLON] = ACTIONS(7311),
    [anon_sym_SQUOTE] = ACTIONS(7311),
    [anon_sym__] = ACTIONS(7313),
    [anon_sym_CARET] = ACTIONS(7313),
    [anon_sym_BSLASHtitle] = ACTIONS(7311),
    [anon_sym_BSLASHauthor] = ACTIONS(7311),
    [anon_sym_BSLASHusepackage] = ACTIONS(7311),
    [anon_sym_BSLASHRequirePackage] = ACTIONS(7311),
    [anon_sym_BSLASHdocumentclass] = ACTIONS(7311),
    [anon_sym_BSLASHinclude] = ACTIONS(7311),
    [anon_sym_BSLASHsubfileinclude] = ACTIONS(7311),
    [anon_sym_BSLASHinput] = ACTIONS(7311),
    [anon_sym_BSLASHsubfile] = ACTIONS(7311),
    [anon_sym_BSLASHaddbibresource] = ACTIONS(7311),
    [anon_sym_BSLASHbibliographystyle] = ACTIONS(7311),
    [anon_sym_BSLASHbibliography] = ACTIONS(7311),
    [anon_sym_BSLASHincludegraphics] = ACTIONS(7311),
    [anon_sym_BSLASHincludesvg] = ACTIONS(7311),
    [anon_sym_BSLASHincludeinkscape] = ACTIONS(7311),
    [anon_sym_BSLASHverbatiminput] = ACTIONS(7311),
    [anon_sym_BSLASHVerbatimInput] = ACTIONS(7311),
    [anon_sym_BSLASHimport] = ACTIONS(7311),
    [anon_sym_BSLASHsubimport] = ACTIONS(7311),
    [anon_sym_BSLASHinputfrom] = ACTIONS(7311),
    [anon_sym_BSLASHsubimportfrom] = ACTIONS(7311),
    [anon_sym_BSLASHincludefrom] = ACTIONS(7311),
    [anon_sym_BSLASHsubincludefrom] = ACTIONS(7311),
    [anon_sym_BSLASHcaption] = ACTIONS(7311),
    [anon_sym_BSLASHcite] = ACTIONS(7311),
    [anon_sym_BSLASHcite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCite] = ACTIONS(7311),
    [anon_sym_BSLASHnocite] = ACTIONS(7311),
    [anon_sym_BSLASHcitet] = ACTIONS(7311),
    [anon_sym_BSLASHcitep] = ACTIONS(7311),
    [anon_sym_BSLASHcitet_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitep_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteA] = ACTIONS(7311),
    [anon_sym_BSLASHciteR] = ACTIONS(7311),
    [anon_sym_BSLASHciteS] = ACTIONS(7311),
    [anon_sym_BSLASHciteyearR] = ACTIONS(7311),
    [anon_sym_BSLASHciteauthor] = ACTIONS(7311),
    [anon_sym_BSLASHciteauthor_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCiteauthor] = ACTIONS(7311),
    [anon_sym_BSLASHCiteauthor_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitetitle] = ACTIONS(7311),
    [anon_sym_BSLASHcitetitle_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteyear] = ACTIONS(7311),
    [anon_sym_BSLASHciteyear_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcitedate] = ACTIONS(7311),
    [anon_sym_BSLASHcitedate_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHciteurl] = ACTIONS(7311),
    [anon_sym_BSLASHfullcite] = ACTIONS(7311),
    [anon_sym_BSLASHciteyearpar] = ACTIONS(7311),
    [anon_sym_BSLASHcitealt] = ACTIONS(7311),
    [anon_sym_BSLASHcitealp] = ACTIONS(7311),
    [anon_sym_BSLASHcitetext] = ACTIONS(7311),
    [anon_sym_BSLASHparencite] = ACTIONS(7311),
    [anon_sym_BSLASHparencite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHParencite] = ACTIONS(7311),
    [anon_sym_BSLASHfootcite] = ACTIONS(7311),
    [anon_sym_BSLASHfootfullcite] = ACTIONS(7311),
    [anon_sym_BSLASHfootcitetext] = ACTIONS(7311),
    [anon_sym_BSLASHtextcite] = ACTIONS(7311),
    [anon_sym_BSLASHTextcite] = ACTIONS(7311),
    [anon_sym_BSLASHsmartcite] = ACTIONS(7311),
    [anon_sym_BSLASHSmartcite] = ACTIONS(7311),
    [anon_sym_BSLASHsupercite] = ACTIONS(7311),
    [anon_sym_BSLASHautocite] = ACTIONS(7311),
    [anon_sym_BSLASHAutocite] = ACTIONS(7311),
    [anon_sym_BSLASHautocite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHAutocite_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHVolcite] = ACTIONS(7311),
    [anon_sym_BSLASHpvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHPvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHfvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHftvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHsvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHSvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHtvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHTvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHavolcite] = ACTIONS(7311),
    [anon_sym_BSLASHAvolcite] = ACTIONS(7311),
    [anon_sym_BSLASHnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHNotecite] = ACTIONS(7311),
    [anon_sym_BSLASHpnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHPnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHfnotecite] = ACTIONS(7311),
    [anon_sym_BSLASHlabel] = ACTIONS(7311),
    [anon_sym_BSLASHref] = ACTIONS(7311),
    [anon_sym_BSLASHeqref] = ACTIONS(7311),
    [anon_sym_BSLASHvref] = ACTIONS(7311),
    [anon_sym_BSLASHVref] = ACTIONS(7311),
    [anon_sym_BSLASHautoref] = ACTIONS(7311),
    [anon_sym_BSLASHautoref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHpageref] = ACTIONS(7311),
    [anon_sym_BSLASHpageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHautopageref] = ACTIONS(7311),
    [anon_sym_BSLASHautopageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcref] = ACTIONS(7311),
    [anon_sym_BSLASHcref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCref] = ACTIONS(7311),
    [anon_sym_BSLASHCref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcpageref] = ACTIONS(7311),
    [anon_sym_BSLASHCpageref] = ACTIONS(7311),
    [anon_sym_BSLASHnamecref] = ACTIONS(7311),
    [anon_sym_BSLASHnameCref] = ACTIONS(7311),
    [anon_sym_BSLASHlcnamecref] = ACTIONS(7311),
    [anon_sym_BSLASHnamecrefs] = ACTIONS(7311),
    [anon_sym_BSLASHnameCrefs] = ACTIONS(7311),
    [anon_sym_BSLASHlcnamecrefs] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcref] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHlabelcpageref] = ACTIONS(7311),
    [anon_sym_BSLASHlabelcpageref_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcrefrange] = ACTIONS(7311),
    [anon_sym_BSLASHcrefrange_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHCrefrange] = ACTIONS(7311),
    [anon_sym_BSLASHCrefrange_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHcpagerefrange] = ACTIONS(7311),
    [anon_sym_BSLASHCpagerefrange] = ACTIONS(7311),
    [anon_sym_BSLASHnewlabel] = ACTIONS(7311),
    [anon_sym_BSLASHnewcommand] = ACTIONS(7311),
    [anon_sym_BSLASHnewcommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHrenewcommand] = ACTIONS(7311),
    [anon_sym_BSLASHrenewcommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHprovidecommand] = ACTIONS(7311),
    [anon_sym_BSLASHprovidecommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHDeclareRobustCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareRobustCommand_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHDeclareMathOperator] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareMathOperator_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHNewDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHRenewDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHProvideDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHNewExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHRenewExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHProvideExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareExpandableDocumentCommand] = ACTIONS(7311),
    [anon_sym_BSLASHNewCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHRenewCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareCommandCopy] = ACTIONS(7311),
    [anon_sym_BSLASHdef] = ACTIONS(7311),
    [anon_sym_BSLASHgdef] = ACTIONS(7311),
    [anon_sym_BSLASHedef] = ACTIONS(7311),
    [anon_sym_BSLASHxdef] = ACTIONS(7311),
    [anon_sym_BSLASHlet] = ACTIONS(7311),
    [anon_sym_BSLASHglet] = ACTIONS(7311),
    [anon_sym_BSLASHDeclarePairedDelimiter] = ACTIONS(7311),
    [anon_sym_BSLASHDeclarePairedDelimiterX] = ACTIONS(7311),
    [anon_sym_BSLASHnewenvironment] = ACTIONS(7311),
    [anon_sym_BSLASHrenewenvironment] = ACTIONS(7311),
    [anon_sym_BSLASHNewDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHRenewDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHProvideDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareDocumentEnvironment] = ACTIONS(7311),
    [anon_sym_BSLASHNewEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHRenewEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHDeclareEnvironmentCopy] = ACTIONS(7311),
    [anon_sym_BSLASHnewglossaryentry] = ACTIONS(7311),
    [anon_sym_BSLASHgls] = ACTIONS(7311),
    [anon_sym_BSLASHGls] = ACTIONS(7311),
    [anon_sym_BSLASHGLS] = ACTIONS(7311),
    [anon_sym_BSLASHglspl] = ACTIONS(7311),
    [anon_sym_BSLASHGlspl] = ACTIONS(7311),
    [anon_sym_BSLASHGLSpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsdisp] = ACTIONS(7311),
    [anon_sym_BSLASHglslink] = ACTIONS(7311),
    [anon_sym_BSLASHglstext] = ACTIONS(7311),
    [anon_sym_BSLASHGlstext] = ACTIONS(7311),
    [anon_sym_BSLASHGLStext] = ACTIONS(7311),
    [anon_sym_BSLASHglsfirst] = ACTIONS(7311),
    [anon_sym_BSLASHGlsfirst] = ACTIONS(7311),
    [anon_sym_BSLASHGLSfirst] = ACTIONS(7311),
    [anon_sym_BSLASHglsplural] = ACTIONS(7311),
    [anon_sym_BSLASHGlsplural] = ACTIONS(7311),
    [anon_sym_BSLASHGLSplural] = ACTIONS(7311),
    [anon_sym_BSLASHglsfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHGlsfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHGLSfirstplural] = ACTIONS(7311),
    [anon_sym_BSLASHglsname] = ACTIONS(7311),
    [anon_sym_BSLASHGlsname] = ACTIONS(7311),
    [anon_sym_BSLASHGLSname] = ACTIONS(7311),
    [anon_sym_BSLASHglssymbol] = ACTIONS(7311),
    [anon_sym_BSLASHGlssymbol] = ACTIONS(7311),
    [anon_sym_BSLASHglsdesc] = ACTIONS(7311),
    [anon_sym_BSLASHGlsdesc] = ACTIONS(7311),
    [anon_sym_BSLASHGLSdesc] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseri] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseri] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseri] = ACTIONS(7311),
    [anon_sym_BSLASHglsuserii] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuserii] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuserii] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseriii] = ACTIONS(7311),
    [anon_sym_BSLASHglsuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuseriv] = ACTIONS(7311),
    [anon_sym_BSLASHglsuserv] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuserv] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuserv] = ACTIONS(7311),
    [anon_sym_BSLASHglsuservi] = ACTIONS(7311),
    [anon_sym_BSLASHGlsuservi] = ACTIONS(7311),
    [anon_sym_BSLASHGLSuservi] = ACTIONS(7311),
    [anon_sym_BSLASHnewacronym] = ACTIONS(7311),
    [anon_sym_BSLASHacrshort] = ACTIONS(7311),
    [anon_sym_BSLASHAcrshort] = ACTIONS(7311),
    [anon_sym_BSLASHACRshort] = ACTIONS(7311),
    [anon_sym_BSLASHacrshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHacrlong] = ACTIONS(7311),
    [anon_sym_BSLASHAcrlong] = ACTIONS(7311),
    [anon_sym_BSLASHACRlong] = ACTIONS(7311),
    [anon_sym_BSLASHacrlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRlongpl] = ACTIONS(7311),
    [anon_sym_BSLASHacrfull] = ACTIONS(7311),
    [anon_sym_BSLASHAcrfull] = ACTIONS(7311),
    [anon_sym_BSLASHACRfull] = ACTIONS(7311),
    [anon_sym_BSLASHacrfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHAcrfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHACRfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHacs] = ACTIONS(7311),
    [anon_sym_BSLASHAcs] = ACTIONS(7311),
    [anon_sym_BSLASHacsp] = ACTIONS(7311),
    [anon_sym_BSLASHAcsp] = ACTIONS(7311),
    [anon_sym_BSLASHacl] = ACTIONS(7311),
    [anon_sym_BSLASHAcl] = ACTIONS(7311),
    [anon_sym_BSLASHaclp] = ACTIONS(7311),
    [anon_sym_BSLASHAclp] = ACTIONS(7311),
    [anon_sym_BSLASHacf] = ACTIONS(7311),
    [anon_sym_BSLASHAcf] = ACTIONS(7311),
    [anon_sym_BSLASHacfp] = ACTIONS(7311),
    [anon_sym_BSLASHAcfp] = ACTIONS(7311),
    [anon_sym_BSLASHac] = ACTIONS(7311),
    [anon_sym_BSLASHAc] = ACTIONS(7311),
    [anon_sym_BSLASHacp] = ACTIONS(7311),
    [anon_sym_BSLASHglsentrylong] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentrylong] = ACTIONS(7311),
    [anon_sym_BSLASHglsentrylongpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentrylongpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryshort] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryshort] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryshortpl] = ACTIONS(7311),
    [anon_sym_BSLASHglsentryfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHGlsentryfullpl] = ACTIONS(7311),
    [anon_sym_BSLASHnewtheorem] = ACTIONS(7311),
    [anon_sym_BSLASHnewtheorem_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHdeclaretheorem] = ACTIONS(7311),
    [anon_sym_BSLASHdeclaretheorem_STAR] = ACTIONS(7313),
    [anon_sym_BSLASHdefinecolor] = ACTIONS(7311),
    [anon_sym_BSLASHdefinecolorset] = ACTIONS(7311),
    [anon_sym_BSLASHcolor] = ACTIONS(7311),
    [anon_sym_BSLASHpagecolor] = ACTIONS(7311),
    [anon_sym_BSLASHtextcolor] = ACTIONS(7311),
    [anon_sym_BSLASHmathcolor] = ACTIONS(7311),
    [anon_sym_BSLASHcolorbox] = ACTIONS(7311),
    [anon_sym_BSLASHusepgflibrary] = ACTIONS(7311),
    [anon_sym_BSLASHusetikzlibrary] = ACTIONS(7311),
    [anon_sym_BSLASHurl] = ACTIONS(7311),
    [anon_sym_BSLASHhref] = ACTIONS(7311),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 4,
    STATE(3787), 1,
      sym__math_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(3949), 13,
      anon_sym_displaymath,
      anon_sym_equation,
      anon_sym_multline,
      anon_sym_eqnarray,
      anon_sym_align,
      anon_sym_aligned,
      anon_sym_array,
      anon_sym_split,
      anon_sym_alignat,
      anon_sym_alignedat,
      anon_sym_gather,
      anon_sym_gathered,
      anon_sym_flalign,
    ACTIONS(3951), 14,
      anon_sym_math,
      anon_sym_displaymath_STAR,
      anon_sym_equation_STAR,
      anon_sym_multline_STAR,
      anon_sym_eqnarray_STAR,
      anon_sym_align_STAR,
      anon_sym_aligned_STAR,
      anon_sym_array_STAR,
      anon_sym_split_STAR,
      anon_sym_alignat_STAR,
      anon_sym_alignedat_STAR,
      anon_sym_gather_STAR,
      anon_sym_gathered_STAR,
      anon_sym_flalign_STAR,
  [39] = 4,
    STATE(4009), 1,
      sym__math_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(3949), 13,
      anon_sym_displaymath,
      anon_sym_equation,
      anon_sym_multline,
      anon_sym_eqnarray,
      anon_sym_align,
      anon_sym_aligned,
      anon_sym_array,
      anon_sym_split,
      anon_sym_alignat,
      anon_sym_alignedat,
      anon_sym_gather,
      anon_sym_gathered,
      anon_sym_flalign,
    ACTIONS(3951), 14,
      anon_sym_math,
      anon_sym_displaymath_STAR,
      anon_sym_equation_STAR,
      anon_sym_multline_STAR,
      anon_sym_eqnarray_STAR,
      anon_sym_align_STAR,
      anon_sym_aligned_STAR,
      anon_sym_array_STAR,
      anon_sym_split_STAR,
      anon_sym_alignat_STAR,
      anon_sym_alignedat_STAR,
      anon_sym_gather_STAR,
      anon_sym_gathered_STAR,
      anon_sym_flalign_STAR,
  [78] = 4,
    STATE(3839), 1,
      sym__math_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(3949), 13,
      anon_sym_displaymath,
      anon_sym_equation,
      anon_sym_multline,
      anon_sym_eqnarray,
      anon_sym_align,
      anon_sym_aligned,
      anon_sym_array,
      anon_sym_split,
      anon_sym_alignat,
      anon_sym_alignedat,
      anon_sym_gather,
      anon_sym_gathered,
      anon_sym_flalign,
    ACTIONS(3951), 14,
      anon_sym_math,
      anon_sym_displaymath_STAR,
      anon_sym_equation_STAR,
      anon_sym_multline_STAR,
      anon_sym_eqnarray_STAR,
      anon_sym_align_STAR,
      anon_sym_aligned_STAR,
      anon_sym_array_STAR,
      anon_sym_split_STAR,
      anon_sym_alignat_STAR,
      anon_sym_alignedat_STAR,
      anon_sym_gather_STAR,
      anon_sym_gathered_STAR,
      anon_sym_flalign_STAR,
  [117] = 4,
    STATE(3939), 1,
      sym__math_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(3949), 13,
      anon_sym_displaymath,
      anon_sym_equation,
      anon_sym_multline,
      anon_sym_eqnarray,
      anon_sym_align,
      anon_sym_aligned,
      anon_sym_array,
      anon_sym_split,
      anon_sym_alignat,
      anon_sym_alignedat,
      anon_sym_gather,
      anon_sym_gathered,
      anon_sym_flalign,
    ACTIONS(3951), 14,
      anon_sym_math,
      anon_sym_displaymath_STAR,
      anon_sym_equation_STAR,
      anon_sym_multline_STAR,
      anon_sym_eqnarray_STAR,
      anon_sym_align_STAR,
      anon_sym_aligned_STAR,
      anon_sym_array_STAR,
      anon_sym_split_STAR,
      anon_sym_alignat_STAR,
      anon_sym_alignedat_STAR,
      anon_sym_gather_STAR,
      anon_sym_gathered_STAR,
      anon_sym_flalign_STAR,
  [156] = 4,
    STATE(3865), 1,
      sym__math_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(3949), 13,
      anon_sym_displaymath,
      anon_sym_equation,
      anon_sym_multline,
      anon_sym_eqnarray,
      anon_sym_align,
      anon_sym_aligned,
      anon_sym_array,
      anon_sym_split,
      anon_sym_alignat,
      anon_sym_alignedat,
      anon_sym_gather,
      anon_sym_gathered,
      anon_sym_flalign,
    ACTIONS(3951), 14,
      anon_sym_math,
      anon_sym_displaymath_STAR,
      anon_sym_equation_STAR,
      anon_sym_multline_STAR,
      anon_sym_eqnarray_STAR,
      anon_sym_align_STAR,
      anon_sym_aligned_STAR,
      anon_sym_array_STAR,
      anon_sym_split_STAR,
      anon_sym_alignat_STAR,
      anon_sym_alignedat_STAR,
      anon_sym_gather_STAR,
      anon_sym_gathered_STAR,
      anon_sym_flalign_STAR,
  [195] = 4,
    STATE(3695), 1,
      sym__math_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(3949), 13,
      anon_sym_displaymath,
      anon_sym_equation,
      anon_sym_multline,
      anon_sym_eqnarray,
      anon_sym_align,
      anon_sym_aligned,
      anon_sym_array,
      anon_sym_split,
      anon_sym_alignat,
      anon_sym_alignedat,
      anon_sym_gather,
      anon_sym_gathered,
      anon_sym_flalign,
    ACTIONS(3951), 14,
      anon_sym_math,
      anon_sym_displaymath_STAR,
      anon_sym_equation_STAR,
      anon_sym_multline_STAR,
      anon_sym_eqnarray_STAR,
      anon_sym_align_STAR,
      anon_sym_aligned_STAR,
      anon_sym_array_STAR,
      anon_sym_split_STAR,
      anon_sym_alignat_STAR,
      anon_sym_alignedat_STAR,
      anon_sym_gather_STAR,
      anon_sym_gathered_STAR,
      anon_sym_flalign_STAR,
  [234] = 4,
    STATE(3836), 1,
      sym__math_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(3949), 13,
      anon_sym_displaymath,
      anon_sym_equation,
      anon_sym_multline,
      anon_sym_eqnarray,
      anon_sym_align,
      anon_sym_aligned,
      anon_sym_array,
      anon_sym_split,
      anon_sym_alignat,
      anon_sym_alignedat,
      anon_sym_gather,
      anon_sym_gathered,
      anon_sym_flalign,
    ACTIONS(3951), 14,
      anon_sym_math,
      anon_sym_displaymath_STAR,
      anon_sym_equation_STAR,
      anon_sym_multline_STAR,
      anon_sym_eqnarray_STAR,
      anon_sym_align_STAR,
      anon_sym_aligned_STAR,
      anon_sym_array_STAR,
      anon_sym_split_STAR,
      anon_sym_alignat_STAR,
      anon_sym_alignedat_STAR,
      anon_sym_gather_STAR,
      anon_sym_gathered_STAR,
      anon_sym_flalign_STAR,
  [273] = 15,
    ACTIONS(7880), 1,
      anon_sym_LBRACE,
    STATE(1096), 1,
      sym_curly_group_text,
    STATE(1802), 1,
      sym__math_environment_group,
    STATE(2541), 1,
      sym__minted_environment_group,
    STATE(3740), 1,
      sym__asy_environment_group,
    STATE(3753), 1,
      sym__comment_environment_group,
    STATE(3756), 1,
      sym__asydef_environment_group,
    STATE(3758), 1,
      sym__verbatim_environment_group,
    STATE(3873), 1,
      sym___luacode_environment_group,
    STATE(3886), 1,
      sym__pycode_environment_group,
    STATE(3910), 1,
      sym___luacode_environment_star_group,
    STATE(3917), 1,
      sym__sagesilent_environment_group,
    STATE(3951), 1,
      sym__listing_environment_group,
    STATE(3960), 1,
      sym__sageblock_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [320] = 4,
    STATE(1375), 1,
      sym__math_delimiter_part,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7884), 2,
      sym_word,
      anon_sym_PIPE,
    ACTIONS(7882), 5,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_command_name,
  [339] = 4,
    STATE(23), 1,
      sym__math_delimiter_part,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7888), 2,
      sym_word,
      anon_sym_PIPE,
    ACTIONS(7886), 5,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_command_name,
  [358] = 4,
    STATE(1623), 1,
      sym__math_delimiter_part,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7892), 2,
      sym_word,
      anon_sym_PIPE,
    ACTIONS(7890), 5,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_command_name,
  [377] = 4,
    STATE(2131), 1,
      sym__math_delimiter_part,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7896), 2,
      sym_word,
      anon_sym_PIPE,
    ACTIONS(7894), 5,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_command_name,
  [396] = 4,
    STATE(1211), 1,
      sym__math_delimiter_part,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7900), 2,
      sym_word,
      anon_sym_PIPE,
    ACTIONS(7898), 5,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_command_name,
  [415] = 4,
    STATE(1447), 1,
      sym__math_delimiter_part,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7904), 2,
      sym_word,
      anon_sym_PIPE,
    ACTIONS(7902), 5,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_command_name,
  [434] = 4,
    STATE(1885), 1,
      sym__math_delimiter_part,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7908), 2,
      sym_word,
      anon_sym_PIPE,
    ACTIONS(7906), 5,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_command_name,
  [453] = 4,
    STATE(1933), 1,
      sym__math_delimiter_part,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7912), 2,
      sym_word,
      anon_sym_PIPE,
    ACTIONS(7910), 5,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_command_name,
  [472] = 4,
    STATE(610), 1,
      sym__math_delimiter_part,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7916), 2,
      sym_word,
      anon_sym_PIPE,
    ACTIONS(7914), 5,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_command_name,
  [491] = 4,
    STATE(1671), 1,
      sym__math_delimiter_part,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7920), 2,
      sym_word,
      anon_sym_PIPE,
    ACTIONS(7918), 5,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_command_name,
  [510] = 4,
    STATE(1041), 1,
      sym__math_delimiter_part,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7924), 2,
      sym_word,
      anon_sym_PIPE,
    ACTIONS(7922), 5,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_command_name,
  [529] = 4,
    STATE(8), 1,
      sym__math_delimiter_part,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7928), 2,
      sym_word,
      anon_sym_PIPE,
    ACTIONS(7926), 5,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_command_name,
  [548] = 4,
    STATE(1085), 1,
      sym__math_delimiter_part,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7932), 2,
      sym_word,
      anon_sym_PIPE,
    ACTIONS(7930), 5,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_command_name,
  [567] = 4,
    STATE(1236), 1,
      sym__math_delimiter_part,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7936), 2,
      sym_word,
      anon_sym_PIPE,
    ACTIONS(7934), 5,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_command_name,
  [586] = 4,
    STATE(2181), 1,
      sym__math_delimiter_part,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7940), 2,
      sym_word,
      anon_sym_PIPE,
    ACTIONS(7938), 5,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_command_name,
  [605] = 4,
    STATE(729), 1,
      sym__math_delimiter_part,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7944), 2,
      sym_word,
      anon_sym_PIPE,
    ACTIONS(7942), 5,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_command_name,
  [624] = 4,
    STATE(1305), 1,
      sym__math_delimiter_part,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7948), 2,
      sym_word,
      anon_sym_PIPE,
    ACTIONS(7946), 5,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_command_name,
  [643] = 4,
    STATE(6), 1,
      sym__math_delimiter_part,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7952), 2,
      sym_word,
      anon_sym_PIPE,
    ACTIONS(7950), 5,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_command_name,
  [662] = 4,
    STATE(1921), 1,
      sym__math_delimiter_part,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7956), 2,
      sym_word,
      anon_sym_PIPE,
    ACTIONS(7954), 5,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_command_name,
  [681] = 4,
    STATE(7), 1,
      sym__math_delimiter_part,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7960), 2,
      sym_word,
      anon_sym_PIPE,
    ACTIONS(7958), 5,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_command_name,
  [700] = 4,
    STATE(1727), 1,
      sym__math_delimiter_part,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7964), 2,
      sym_word,
      anon_sym_PIPE,
    ACTIONS(7962), 5,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_command_name,
  [719] = 4,
    STATE(14), 1,
      sym__math_delimiter_part,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7968), 2,
      sym_word,
      anon_sym_PIPE,
    ACTIONS(7966), 5,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_command_name,
  [738] = 4,
    STATE(16), 1,
      sym__math_delimiter_part,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7972), 2,
      sym_word,
      anon_sym_PIPE,
    ACTIONS(7970), 5,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_command_name,
  [757] = 4,
    STATE(18), 1,
      sym__math_delimiter_part,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7976), 2,
      sym_word,
      anon_sym_PIPE,
    ACTIONS(7974), 5,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_command_name,
  [776] = 4,
    STATE(20), 1,
      sym__math_delimiter_part,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7980), 2,
      sym_word,
      anon_sym_PIPE,
    ACTIONS(7978), 5,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_command_name,
  [795] = 4,
    STATE(22), 1,
      sym__math_delimiter_part,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7984), 2,
      sym_word,
      anon_sym_PIPE,
    ACTIONS(7982), 5,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_command_name,
  [814] = 4,
    STATE(1917), 1,
      sym__math_delimiter_part,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7988), 2,
      sym_word,
      anon_sym_PIPE,
    ACTIONS(7986), 5,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_command_name,
  [833] = 5,
    ACTIONS(7992), 1,
      anon_sym_LBRACE,
    ACTIONS(7995), 1,
      anon_sym_RBRACE,
    ACTIONS(7997), 1,
      aux_sym__glob_pattern_fragment_token1,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
    STATE(2356), 2,
      sym__glob_pattern_fragment,
      aux_sym_glob_pattern_repeat1,
  [851] = 5,
    ACTIONS(8000), 1,
      anon_sym_LBRACE,
    ACTIONS(8002), 1,
      aux_sym__glob_pattern_fragment_token1,
    STATE(3857), 1,
      sym_glob_pattern,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
    STATE(2379), 2,
      sym__glob_pattern_fragment,
      aux_sym_glob_pattern_repeat1,
  [869] = 5,
    ACTIONS(8000), 1,
      anon_sym_LBRACE,
    ACTIONS(8004), 1,
      anon_sym_RBRACE,
    ACTIONS(8006), 1,
      aux_sym__glob_pattern_fragment_token1,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
    STATE(2371), 2,
      sym__glob_pattern_fragment,
      aux_sym_glob_pattern_repeat1,
  [887] = 5,
    ACTIONS(8000), 1,
      anon_sym_LBRACE,
    ACTIONS(8002), 1,
      aux_sym__glob_pattern_fragment_token1,
    STATE(3999), 1,
      sym_glob_pattern,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
    STATE(2379), 2,
      sym__glob_pattern_fragment,
      aux_sym_glob_pattern_repeat1,
  [905] = 6,
    ACTIONS(8008), 1,
      sym_command_name,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(2622), 1,
      sym_brack_group_argc,
    STATE(2708), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [925] = 6,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    ACTIONS(8014), 1,
      sym_command_name,
    STATE(2706), 1,
      sym_curly_group_impl,
    STATE(2755), 1,
      sym_brack_group_argc,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [945] = 5,
    ACTIONS(8000), 1,
      anon_sym_LBRACE,
    ACTIONS(8002), 1,
      aux_sym__glob_pattern_fragment_token1,
    STATE(3847), 1,
      sym_glob_pattern,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
    STATE(2379), 2,
      sym__glob_pattern_fragment,
      aux_sym_glob_pattern_repeat1,
  [963] = 5,
    ACTIONS(8000), 1,
      anon_sym_LBRACE,
    ACTIONS(8002), 1,
      aux_sym__glob_pattern_fragment_token1,
    STATE(3872), 1,
      sym_glob_pattern,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
    STATE(2379), 2,
      sym__glob_pattern_fragment,
      aux_sym_glob_pattern_repeat1,
  [981] = 5,
    ACTIONS(8000), 1,
      anon_sym_LBRACE,
    ACTIONS(8002), 1,
      aux_sym__glob_pattern_fragment_token1,
    STATE(3913), 1,
      sym_glob_pattern,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
    STATE(2379), 2,
      sym__glob_pattern_fragment,
      aux_sym_glob_pattern_repeat1,
  [999] = 6,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    ACTIONS(8016), 1,
      sym_command_name,
    STATE(2642), 1,
      sym_curly_group_impl,
    STATE(2647), 1,
      sym_brack_group_argc,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1019] = 6,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    ACTIONS(8018), 1,
      sym_command_name,
    STATE(2659), 1,
      sym_curly_group_impl,
    STATE(2699), 1,
      sym_brack_group_argc,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1039] = 6,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      sym_command_name,
    STATE(2633), 1,
      sym_curly_group_impl,
    STATE(2643), 1,
      sym_brack_group_argc,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1059] = 5,
    ACTIONS(8000), 1,
      anon_sym_LBRACE,
    ACTIONS(8002), 1,
      aux_sym__glob_pattern_fragment_token1,
    STATE(3738), 1,
      sym_glob_pattern,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
    STATE(2379), 2,
      sym__glob_pattern_fragment,
      aux_sym_glob_pattern_repeat1,
  [1077] = 6,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    ACTIONS(8022), 1,
      sym_command_name,
    STATE(2629), 1,
      sym_curly_group_impl,
    STATE(2669), 1,
      sym_brack_group_argc,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1097] = 6,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    ACTIONS(8024), 1,
      sym_command_name,
    STATE(2707), 1,
      sym_brack_group_argc,
    STATE(2731), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1117] = 5,
    ACTIONS(8000), 1,
      anon_sym_LBRACE,
    ACTIONS(8026), 1,
      anon_sym_RBRACE,
    ACTIONS(8028), 1,
      aux_sym__glob_pattern_fragment_token1,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
    STATE(2356), 2,
      sym__glob_pattern_fragment,
      aux_sym_glob_pattern_repeat1,
  [1135] = 6,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    ACTIONS(8030), 1,
      sym_command_name,
    STATE(2632), 1,
      sym_curly_group_impl,
    STATE(2636), 1,
      sym_brack_group_argc,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1155] = 5,
    ACTIONS(8000), 1,
      anon_sym_LBRACE,
    ACTIONS(8002), 1,
      aux_sym__glob_pattern_fragment_token1,
    STATE(3958), 1,
      sym_glob_pattern,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
    STATE(2379), 2,
      sym__glob_pattern_fragment,
      aux_sym_glob_pattern_repeat1,
  [1173] = 5,
    ACTIONS(8000), 1,
      anon_sym_LBRACE,
    ACTIONS(8002), 1,
      aux_sym__glob_pattern_fragment_token1,
    STATE(3867), 1,
      sym_glob_pattern,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
    STATE(2379), 2,
      sym__glob_pattern_fragment,
      aux_sym_glob_pattern_repeat1,
  [1191] = 6,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    ACTIONS(8032), 1,
      sym_command_name,
    STATE(2658), 1,
      sym_brack_group_argc,
    STATE(2732), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1211] = 5,
    ACTIONS(8000), 1,
      anon_sym_LBRACE,
    ACTIONS(8002), 1,
      aux_sym__glob_pattern_fragment_token1,
    STATE(3701), 1,
      sym_glob_pattern,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
    STATE(2379), 2,
      sym__glob_pattern_fragment,
      aux_sym_glob_pattern_repeat1,
  [1229] = 5,
    ACTIONS(8000), 1,
      anon_sym_LBRACE,
    ACTIONS(8002), 1,
      aux_sym__glob_pattern_fragment_token1,
    STATE(3915), 1,
      sym_glob_pattern,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
    STATE(2379), 2,
      sym__glob_pattern_fragment,
      aux_sym_glob_pattern_repeat1,
  [1247] = 6,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    ACTIONS(8034), 1,
      sym_command_name,
    STATE(2681), 1,
      sym_brack_group_argc,
    STATE(2714), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1267] = 5,
    ACTIONS(8000), 1,
      anon_sym_LBRACE,
    ACTIONS(8028), 1,
      aux_sym__glob_pattern_fragment_token1,
    ACTIONS(8036), 1,
      anon_sym_RBRACE,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
    STATE(2356), 2,
      sym__glob_pattern_fragment,
      aux_sym_glob_pattern_repeat1,
  [1285] = 5,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(2763), 1,
      sym_curly_group_impl,
    STATE(3407), 1,
      sym_brack_group_argc,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1302] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_LBRACE,
    STATE(2757), 1,
      sym_brack_group_text,
    STATE(3658), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1319] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2797), 1,
      sym_curly_group_text,
    STATE(2798), 1,
      sym_brack_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1336] = 5,
    ACTIONS(3603), 1,
      anon_sym_LBRACE,
    ACTIONS(8042), 1,
      sym_command_name,
    ACTIONS(8044), 1,
      sym_letter,
    STATE(2068), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1353] = 5,
    ACTIONS(3603), 1,
      anon_sym_LBRACE,
    ACTIONS(8046), 1,
      sym_command_name,
    ACTIONS(8048), 1,
      sym_letter,
    STATE(2069), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1370] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(3603), 1,
      anon_sym_LBRACE,
    STATE(2075), 1,
      sym_curly_group,
    STATE(2919), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1387] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8050), 1,
      anon_sym_LBRACE,
    STATE(2076), 1,
      sym_curly_group_author_list,
    STATE(2921), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1404] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8054), 1,
      anon_sym_LBRACE,
    STATE(2077), 1,
      sym_curly_group_path_list,
    STATE(2923), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1421] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8056), 1,
      anon_sym_LBRACE,
    STATE(2078), 1,
      sym_curly_group_path,
    STATE(2924), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1438] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8058), 1,
      anon_sym_LBRACE,
    STATE(2080), 1,
      sym_curly_group_glob_pattern,
    STATE(2925), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1455] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8056), 1,
      anon_sym_LBRACE,
    STATE(2083), 1,
      sym_curly_group_path,
    STATE(2926), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1472] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8056), 1,
      anon_sym_LBRACE,
    STATE(2084), 1,
      sym_curly_group_path,
    STATE(2927), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1489] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8056), 1,
      anon_sym_LBRACE,
    STATE(2085), 1,
      sym_curly_group_path,
    STATE(2928), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1506] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(3603), 1,
      anon_sym_LBRACE,
    STATE(2087), 1,
      sym_curly_group,
    STATE(2930), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1523] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8060), 1,
      anon_sym_LBRACE,
    STATE(2070), 1,
      sym_curly_group_text_list,
    STATE(2404), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1540] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8062), 1,
      anon_sym_LBRACE,
    STATE(1836), 1,
      sym_curly_group_text,
    STATE(2940), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1557] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8062), 1,
      anon_sym_LBRACE,
    STATE(2088), 1,
      sym_curly_group_text,
    STATE(2941), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1574] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8060), 1,
      anon_sym_LBRACE,
    STATE(1658), 1,
      sym_curly_group_text_list,
    STATE(2942), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1591] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8062), 1,
      anon_sym_LBRACE,
    STATE(1758), 1,
      sym_curly_group_text,
    STATE(2943), 1,
      sym_brack_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1608] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8064), 1,
      anon_sym_LBRACE,
    STATE(1119), 1,
      sym_curly_group_author_list,
    STATE(2894), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1625] = 5,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(8066), 1,
      sym_command_name,
    ACTIONS(8068), 1,
      sym_letter,
    STATE(1414), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1642] = 5,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(8070), 1,
      sym_command_name,
    ACTIONS(8072), 1,
      sym_letter,
    STATE(1415), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1659] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8074), 1,
      anon_sym_LBRACE,
    STATE(1121), 1,
      sym_curly_group_path_list,
    STATE(2935), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1676] = 5,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    STATE(1135), 1,
      sym_curly_group,
    STATE(3182), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1693] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8060), 1,
      anon_sym_LBRACE,
    STATE(1858), 1,
      sym_curly_group_text_list,
    STATE(2961), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1710] = 5,
    ACTIONS(3603), 1,
      anon_sym_LBRACE,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    STATE(1861), 1,
      sym_curly_group,
    STATE(2407), 1,
      sym_brack_group_argc,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1727] = 5,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    STATE(1434), 1,
      sym_curly_group,
    STATE(3252), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1744] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(3603), 1,
      anon_sym_LBRACE,
    STATE(1894), 1,
      sym_curly_group,
    STATE(2985), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1761] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(1459), 1,
      sym_curly_group_author_list,
    STATE(3255), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1778] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_LBRACE,
    STATE(1139), 1,
      sym_curly_group_text_list,
    STATE(2580), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1795] = 5,
    ACTIONS(7867), 1,
      anon_sym_LBRACE,
    ACTIONS(8078), 1,
      sym_command_name,
    ACTIONS(8080), 1,
      sym_letter,
    STATE(2281), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1812] = 5,
    ACTIONS(7867), 1,
      anon_sym_LBRACE,
    ACTIONS(8082), 1,
      sym_command_name,
    ACTIONS(8084), 1,
      sym_letter,
    STATE(2282), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1829] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(7867), 1,
      anon_sym_LBRACE,
    STATE(2303), 1,
      sym_curly_group,
    STATE(3029), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1846] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8086), 1,
      anon_sym_LBRACE,
    STATE(2304), 1,
      sym_curly_group_author_list,
    STATE(3031), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1863] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8088), 1,
      anon_sym_LBRACE,
    STATE(2305), 1,
      sym_curly_group_path_list,
    STATE(3033), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1880] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8090), 1,
      anon_sym_LBRACE,
    STATE(2306), 1,
      sym_curly_group_path,
    STATE(3034), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1897] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8092), 1,
      anon_sym_LBRACE,
    STATE(2308), 1,
      sym_curly_group_glob_pattern,
    STATE(3035), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1914] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8090), 1,
      anon_sym_LBRACE,
    STATE(2311), 1,
      sym_curly_group_path,
    STATE(3036), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1931] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8090), 1,
      anon_sym_LBRACE,
    STATE(2312), 1,
      sym_curly_group_path,
    STATE(3037), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1948] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8090), 1,
      anon_sym_LBRACE,
    STATE(2313), 1,
      sym_curly_group_path,
    STATE(3038), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1965] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(7867), 1,
      anon_sym_LBRACE,
    STATE(2315), 1,
      sym_curly_group,
    STATE(3040), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1982] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8094), 1,
      anon_sym_LBRACE,
    STATE(2316), 1,
      sym_curly_group_text_list,
    STATE(2429), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [1999] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8096), 1,
      anon_sym_LBRACE,
    STATE(2234), 1,
      sym_curly_group_text,
    STATE(3050), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2016] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8096), 1,
      anon_sym_LBRACE,
    STATE(2320), 1,
      sym_curly_group_text,
    STATE(3051), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2033] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8094), 1,
      anon_sym_LBRACE,
    STATE(2210), 1,
      sym_curly_group_text_list,
    STATE(3052), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2050] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8096), 1,
      anon_sym_LBRACE,
    STATE(2216), 1,
      sym_curly_group_text,
    STATE(3053), 1,
      sym_brack_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2067] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8098), 1,
      anon_sym_LBRACE,
    STATE(1463), 1,
      sym_curly_group_path_list,
    STATE(3257), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2084] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8100), 1,
      anon_sym_LBRACE,
    STATE(1545), 1,
      sym_curly_group_path,
    STATE(3258), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2101] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8102), 1,
      anon_sym_LBRACE,
    STATE(1555), 1,
      sym_curly_group_glob_pattern,
    STATE(3259), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2118] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8094), 1,
      anon_sym_LBRACE,
    STATE(2235), 1,
      sym_curly_group_text_list,
    STATE(3068), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2135] = 5,
    ACTIONS(7867), 1,
      anon_sym_LBRACE,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    STATE(2238), 1,
      sym_curly_group,
    STATE(2435), 1,
      sym_brack_group_argc,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2152] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8100), 1,
      anon_sym_LBRACE,
    STATE(1565), 1,
      sym_curly_group_path,
    STATE(3260), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2169] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8100), 1,
      anon_sym_LBRACE,
    STATE(1566), 1,
      sym_curly_group_path,
    STATE(3261), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2186] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8100), 1,
      anon_sym_LBRACE,
    STATE(1567), 1,
      sym_curly_group_path,
    STATE(3262), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2203] = 5,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    STATE(1578), 1,
      sym_curly_group,
    STATE(3267), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2220] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(7867), 1,
      anon_sym_LBRACE,
    STATE(2263), 1,
      sym_curly_group,
    STATE(3085), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2237] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8104), 1,
      anon_sym_LBRACE,
    STATE(1604), 1,
      sym_curly_group_text_list,
    STATE(2468), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2254] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8106), 1,
      anon_sym_LBRACE,
    STATE(1610), 1,
      sym_curly_group_text,
    STATE(3282), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2271] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8106), 1,
      anon_sym_LBRACE,
    STATE(1611), 1,
      sym_curly_group_text,
    STATE(3283), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2288] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8104), 1,
      anon_sym_LBRACE,
    STATE(966), 1,
      sym_curly_group_text_list,
    STATE(3285), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2305] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8106), 1,
      anon_sym_LBRACE,
    STATE(1158), 1,
      sym_curly_group_text,
    STATE(3296), 1,
      sym_brack_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2322] = 5,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(8108), 1,
      sym_command_name,
    ACTIONS(8110), 1,
      sym_letter,
    STATE(634), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2339] = 5,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(8112), 1,
      sym_command_name,
    ACTIONS(8114), 1,
      sym_letter,
    STATE(635), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2356] = 5,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(2879), 1,
      sym_curly_group_impl,
    STATE(2881), 1,
      sym_brack_group_argc,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2373] = 5,
    ACTIONS(1424), 1,
      anon_sym_LBRACE,
    ACTIONS(8116), 1,
      sym_command_name,
    ACTIONS(8118), 1,
      sym_letter,
    STATE(1505), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2390] = 5,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    STATE(637), 1,
      sym_curly_group,
    STATE(3122), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2407] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8120), 1,
      anon_sym_LBRACE,
    STATE(638), 1,
      sym_curly_group_author_list,
    STATE(3124), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2424] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8122), 1,
      anon_sym_LBRACE,
    STATE(639), 1,
      sym_curly_group_path_list,
    STATE(3126), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2441] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(640), 1,
      sym_curly_group_path,
    STATE(3127), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2458] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8126), 1,
      anon_sym_LBRACE,
    STATE(642), 1,
      sym_curly_group_glob_pattern,
    STATE(3128), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2475] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(645), 1,
      sym_curly_group_path,
    STATE(3129), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2492] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(646), 1,
      sym_curly_group_path,
    STATE(3130), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2509] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(647), 1,
      sym_curly_group_path,
    STATE(3131), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2526] = 5,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    STATE(649), 1,
      sym_curly_group,
    STATE(3133), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2543] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8128), 1,
      anon_sym_LBRACE,
    STATE(650), 1,
      sym_curly_group_text_list,
    STATE(2463), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2560] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8130), 1,
      anon_sym_LBRACE,
    STATE(654), 1,
      sym_curly_group_text,
    STATE(3143), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2577] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8130), 1,
      anon_sym_LBRACE,
    STATE(655), 1,
      sym_curly_group_text,
    STATE(3144), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2594] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8128), 1,
      anon_sym_LBRACE,
    STATE(467), 1,
      sym_curly_group_text_list,
    STATE(3145), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2611] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8130), 1,
      anon_sym_LBRACE,
    STATE(494), 1,
      sym_curly_group_text,
    STATE(3146), 1,
      sym_brack_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2628] = 5,
    ACTIONS(1424), 1,
      anon_sym_LBRACE,
    ACTIONS(8132), 1,
      sym_command_name,
    ACTIONS(8134), 1,
      sym_letter,
    STATE(1506), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2645] = 5,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    STATE(2778), 1,
      sym_curly_group_text,
    STATE(2779), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2662] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_LBRACE,
    STATE(2799), 1,
      sym_curly_group_text_list,
    STATE(2800), 1,
      sym_brack_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2679] = 5,
    ACTIONS(1424), 1,
      anon_sym_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    STATE(1514), 1,
      sym_curly_group,
    STATE(2960), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2696] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8128), 1,
      anon_sym_LBRACE,
    STATE(671), 1,
      sym_curly_group_text_list,
    STATE(3151), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2713] = 5,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    STATE(674), 1,
      sym_curly_group,
    STATE(2467), 1,
      sym_brack_group_argc,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2730] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    STATE(1515), 1,
      sym_curly_group_author_list,
    STATE(2963), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2747] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8138), 1,
      anon_sym_LBRACE,
    STATE(1516), 1,
      sym_curly_group_path_list,
    STATE(2966), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2764] = 5,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    STATE(699), 1,
      sym_curly_group,
    STATE(3164), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2781] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8104), 1,
      anon_sym_LBRACE,
    STATE(1181), 1,
      sym_curly_group_text_list,
    STATE(3342), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2798] = 5,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    STATE(1185), 1,
      sym_curly_group,
    STATE(2491), 1,
      sym_brack_group_argc,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2815] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8140), 1,
      anon_sym_LBRACE,
    STATE(1517), 1,
      sym_curly_group_path,
    STATE(2981), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2832] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8142), 1,
      anon_sym_LBRACE,
    STATE(1519), 1,
      sym_curly_group_glob_pattern,
    STATE(2982), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2849] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8140), 1,
      anon_sym_LBRACE,
    STATE(1522), 1,
      sym_curly_group_path,
    STATE(2983), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2866] = 5,
    ACTIONS(5387), 1,
      anon_sym_LBRACE,
    ACTIONS(8144), 1,
      sym_command_name,
    ACTIONS(8146), 1,
      sym_letter,
    STATE(2178), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2883] = 5,
    ACTIONS(5387), 1,
      anon_sym_LBRACE,
    ACTIONS(8148), 1,
      sym_command_name,
    ACTIONS(8150), 1,
      sym_letter,
    STATE(2179), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2900] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8140), 1,
      anon_sym_LBRACE,
    STATE(1523), 1,
      sym_curly_group_path,
    STATE(2984), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2917] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8140), 1,
      anon_sym_LBRACE,
    STATE(1524), 1,
      sym_curly_group_path,
    STATE(2986), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2934] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(5387), 1,
      anon_sym_LBRACE,
    STATE(2184), 1,
      sym_curly_group,
    STATE(3205), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2951] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8152), 1,
      anon_sym_LBRACE,
    STATE(2185), 1,
      sym_curly_group_author_list,
    STATE(3207), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2968] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8154), 1,
      anon_sym_LBRACE,
    STATE(2186), 1,
      sym_curly_group_path_list,
    STATE(3209), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [2985] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8156), 1,
      anon_sym_LBRACE,
    STATE(2187), 1,
      sym_curly_group_path,
    STATE(3210), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3002] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8158), 1,
      anon_sym_LBRACE,
    STATE(2189), 1,
      sym_curly_group_glob_pattern,
    STATE(3211), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3019] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8156), 1,
      anon_sym_LBRACE,
    STATE(2192), 1,
      sym_curly_group_path,
    STATE(3212), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3036] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8156), 1,
      anon_sym_LBRACE,
    STATE(2193), 1,
      sym_curly_group_path,
    STATE(3213), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3053] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8156), 1,
      anon_sym_LBRACE,
    STATE(2194), 1,
      sym_curly_group_path,
    STATE(3214), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3070] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(5387), 1,
      anon_sym_LBRACE,
    STATE(2196), 1,
      sym_curly_group,
    STATE(3216), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3087] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8160), 1,
      anon_sym_LBRACE,
    STATE(2197), 1,
      sym_curly_group_text_list,
    STATE(2493), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3104] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8162), 1,
      anon_sym_LBRACE,
    STATE(2203), 1,
      sym_curly_group_text,
    STATE(3225), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3121] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8162), 1,
      anon_sym_LBRACE,
    STATE(2206), 1,
      sym_curly_group_text,
    STATE(3226), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3138] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8160), 1,
      anon_sym_LBRACE,
    STATE(1910), 1,
      sym_curly_group_text_list,
    STATE(3227), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3155] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8162), 1,
      anon_sym_LBRACE,
    STATE(2099), 1,
      sym_curly_group_text,
    STATE(3228), 1,
      sym_brack_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3172] = 5,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    STATE(1328), 1,
      sym_curly_group,
    STATE(3426), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3189] = 5,
    ACTIONS(1424), 1,
      anon_sym_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    STATE(1526), 1,
      sym_curly_group,
    STATE(2990), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3206] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8160), 1,
      anon_sym_LBRACE,
    STATE(2176), 1,
      sym_curly_group_text_list,
    STATE(3231), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3223] = 5,
    ACTIONS(5387), 1,
      anon_sym_LBRACE,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    STATE(2198), 1,
      sym_curly_group,
    STATE(2496), 1,
      sym_brack_group_argc,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3240] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8164), 1,
      anon_sym_LBRACE,
    STATE(1527), 1,
      sym_curly_group_text_list,
    STATE(2550), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3257] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(5387), 1,
      anon_sym_LBRACE,
    STATE(2132), 1,
      sym_curly_group,
    STATE(3243), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3274] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8166), 1,
      anon_sym_LBRACE,
    STATE(1531), 1,
      sym_curly_group_text,
    STATE(3005), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3291] = 5,
    ACTIONS(4818), 1,
      anon_sym_LBRACE,
    ACTIONS(8168), 1,
      sym_command_name,
    ACTIONS(8170), 1,
      sym_letter,
    STATE(1937), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3308] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8166), 1,
      anon_sym_LBRACE,
    STATE(1532), 1,
      sym_curly_group_text,
    STATE(3007), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3325] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(4818), 1,
      anon_sym_LBRACE,
    STATE(1943), 1,
      sym_curly_group,
    STATE(3284), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3342] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8172), 1,
      anon_sym_LBRACE,
    STATE(1944), 1,
      sym_curly_group_author_list,
    STATE(3286), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3359] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(1945), 1,
      sym_curly_group_path_list,
    STATE(3288), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3376] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8176), 1,
      anon_sym_LBRACE,
    STATE(1946), 1,
      sym_curly_group_path,
    STATE(3289), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3393] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8178), 1,
      anon_sym_LBRACE,
    STATE(1948), 1,
      sym_curly_group_glob_pattern,
    STATE(3290), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3410] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8176), 1,
      anon_sym_LBRACE,
    STATE(1951), 1,
      sym_curly_group_path,
    STATE(3291), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3427] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8176), 1,
      anon_sym_LBRACE,
    STATE(1952), 1,
      sym_curly_group_path,
    STATE(3292), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3444] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8176), 1,
      anon_sym_LBRACE,
    STATE(1953), 1,
      sym_curly_group_path,
    STATE(3293), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3461] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(4818), 1,
      anon_sym_LBRACE,
    STATE(1955), 1,
      sym_curly_group,
    STATE(3295), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3478] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8180), 1,
      anon_sym_LBRACE,
    STATE(1956), 1,
      sym_curly_group_text_list,
    STATE(2517), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3495] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8182), 1,
      anon_sym_LBRACE,
    STATE(1960), 1,
      sym_curly_group_text,
    STATE(3304), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3512] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8182), 1,
      anon_sym_LBRACE,
    STATE(1961), 1,
      sym_curly_group_text,
    STATE(3305), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3529] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8180), 1,
      anon_sym_LBRACE,
    STATE(1667), 1,
      sym_curly_group_text_list,
    STATE(3306), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3546] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8182), 1,
      anon_sym_LBRACE,
    STATE(1816), 1,
      sym_curly_group_text,
    STATE(3307), 1,
      sym_brack_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3563] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8164), 1,
      anon_sym_LBRACE,
    STATE(973), 1,
      sym_curly_group_text_list,
    STATE(3010), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3580] = 5,
    ACTIONS(712), 1,
      anon_sym_LBRACE,
    ACTIONS(8184), 1,
      sym_command_name,
    ACTIONS(8186), 1,
      sym_letter,
    STATE(1453), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3597] = 5,
    ACTIONS(712), 1,
      anon_sym_LBRACE,
    ACTIONS(8188), 1,
      sym_command_name,
    ACTIONS(8190), 1,
      sym_letter,
    STATE(1456), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3614] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8180), 1,
      anon_sym_LBRACE,
    STATE(1983), 1,
      sym_curly_group_text_list,
    STATE(3311), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3631] = 5,
    ACTIONS(4818), 1,
      anon_sym_LBRACE,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    STATE(1986), 1,
      sym_curly_group,
    STATE(2520), 1,
      sym_brack_group_argc,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3648] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8166), 1,
      anon_sym_LBRACE,
    STATE(1127), 1,
      sym_curly_group_text,
    STATE(3011), 1,
      sym_brack_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3665] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(4818), 1,
      anon_sym_LBRACE,
    STATE(2005), 1,
      sym_curly_group,
    STATE(3324), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3682] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8192), 1,
      anon_sym_LBRACE,
    STATE(955), 1,
      sym_curly_group_text,
    STATE(2804), 1,
      sym_brack_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3699] = 5,
    ACTIONS(712), 1,
      anon_sym_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    STATE(1467), 1,
      sym_curly_group,
    STATE(3535), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3716] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_LBRACE,
    STATE(1469), 1,
      sym_curly_group_author_list,
    STATE(3548), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3733] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8196), 1,
      anon_sym_LBRACE,
    STATE(1471), 1,
      sym_curly_group_path_list,
    STATE(3552), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3750] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8198), 1,
      anon_sym_LBRACE,
    STATE(1484), 1,
      sym_curly_group_path,
    STATE(3553), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3767] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8200), 1,
      anon_sym_LBRACE,
    STATE(1486), 1,
      sym_curly_group_glob_pattern,
    STATE(3554), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3784] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8198), 1,
      anon_sym_LBRACE,
    STATE(1489), 1,
      sym_curly_group_path,
    STATE(3556), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3801] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8198), 1,
      anon_sym_LBRACE,
    STATE(1490), 1,
      sym_curly_group_path,
    STATE(3557), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3818] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8198), 1,
      anon_sym_LBRACE,
    STATE(1491), 1,
      sym_curly_group_path,
    STATE(3560), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3835] = 5,
    ACTIONS(712), 1,
      anon_sym_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    STATE(1533), 1,
      sym_curly_group,
    STATE(3568), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3852] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8202), 1,
      anon_sym_LBRACE,
    STATE(1537), 1,
      sym_curly_group_text_list,
    STATE(2542), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3869] = 5,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    STATE(1543), 1,
      sym_curly_group_text,
    STATE(3586), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3886] = 5,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    STATE(1544), 1,
      sym_curly_group_text,
    STATE(3592), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3903] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8202), 1,
      anon_sym_LBRACE,
    STATE(968), 1,
      sym_curly_group_text_list,
    STATE(3593), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3920] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(1134), 1,
      sym_curly_group_text,
    STATE(3596), 1,
      sym_brack_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3937] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8204), 1,
      anon_sym_LBRACE,
    STATE(1125), 1,
      sym_curly_group_glob_pattern,
    STATE(3014), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3954] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8206), 1,
      anon_sym_LBRACE,
    STATE(1130), 1,
      sym_curly_group_path,
    STATE(3157), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3971] = 5,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(3106), 1,
      sym_curly_group_impl,
    STATE(3343), 1,
      sym_brack_group_argc,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [3988] = 5,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    STATE(1054), 1,
      sym_curly_group,
    STATE(3569), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4005] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8206), 1,
      anon_sym_LBRACE,
    STATE(1131), 1,
      sym_curly_group_path,
    STATE(3163), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4022] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8208), 1,
      anon_sym_LBRACE,
    STATE(3533), 1,
      sym_brack_group_key_value,
    STATE(3846), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4039] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8202), 1,
      anon_sym_LBRACE,
    STATE(1468), 1,
      sym_curly_group_text_list,
    STATE(2758), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4056] = 5,
    ACTIONS(712), 1,
      anon_sym_LBRACE,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    STATE(1546), 1,
      sym_curly_group,
    STATE(2547), 1,
      sym_brack_group_argc,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4073] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8206), 1,
      anon_sym_LBRACE,
    STATE(1132), 1,
      sym_curly_group_path,
    STATE(3178), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4090] = 5,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    ACTIONS(8210), 1,
      sym_command_name,
    ACTIONS(8212), 1,
      sym_letter,
    STATE(1044), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4107] = 5,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(3365), 1,
      sym_curly_group_impl,
    STATE(3374), 1,
      sym_brack_group_argc,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4124] = 5,
    ACTIONS(712), 1,
      anon_sym_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    STATE(1283), 1,
      sym_curly_group,
    STATE(2781), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4141] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8192), 1,
      anon_sym_LBRACE,
    STATE(1148), 1,
      sym_curly_group_text,
    STATE(2759), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4158] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8206), 1,
      anon_sym_LBRACE,
    STATE(1122), 1,
      sym_curly_group_path,
    STATE(2959), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4175] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8164), 1,
      anon_sym_LBRACE,
    STATE(1592), 1,
      sym_curly_group_text_list,
    STATE(3097), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4192] = 5,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(2860), 1,
      sym_curly_group_impl,
    STATE(3437), 1,
      sym_brack_group_argc,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4209] = 5,
    ACTIONS(1424), 1,
      anon_sym_LBRACE,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    STATE(1595), 1,
      sym_curly_group,
    STATE(2575), 1,
      sym_brack_group_argc,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4226] = 5,
    ACTIONS(3281), 1,
      anon_sym_LBRACE,
    ACTIONS(8214), 1,
      sym_command_name,
    ACTIONS(8216), 1,
      sym_letter,
    STATE(1673), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4243] = 5,
    ACTIONS(3281), 1,
      anon_sym_LBRACE,
    ACTIONS(8218), 1,
      sym_command_name,
    ACTIONS(8220), 1,
      sym_letter,
    STATE(1674), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4260] = 5,
    ACTIONS(3281), 1,
      anon_sym_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    STATE(1806), 1,
      sym_curly_group,
    STATE(2816), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4277] = 5,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(2965), 1,
      sym_curly_group_impl,
    STATE(3465), 1,
      sym_brack_group_argc,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4294] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8222), 1,
      anon_sym_LBRACE,
    STATE(1807), 1,
      sym_curly_group_author_list,
    STATE(2818), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4311] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8224), 1,
      anon_sym_LBRACE,
    STATE(1810), 1,
      sym_curly_group_path_list,
    STATE(2820), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4328] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8226), 1,
      anon_sym_LBRACE,
    STATE(1812), 1,
      sym_curly_group_path,
    STATE(2821), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4345] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8228), 1,
      anon_sym_LBRACE,
    STATE(1819), 1,
      sym_curly_group_glob_pattern,
    STATE(2822), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4362] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8226), 1,
      anon_sym_LBRACE,
    STATE(1829), 1,
      sym_curly_group_path,
    STATE(2823), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4379] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8226), 1,
      anon_sym_LBRACE,
    STATE(1830), 1,
      sym_curly_group_path,
    STATE(2824), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4396] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8226), 1,
      anon_sym_LBRACE,
    STATE(1831), 1,
      sym_curly_group_path,
    STATE(2825), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4413] = 5,
    ACTIONS(3281), 1,
      anon_sym_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    STATE(1757), 1,
      sym_curly_group,
    STATE(2827), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4430] = 5,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(3070), 1,
      sym_curly_group_impl,
    STATE(3492), 1,
      sym_brack_group_argc,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4447] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8230), 1,
      anon_sym_LBRACE,
    STATE(1736), 1,
      sym_curly_group_text_list,
    STATE(2576), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4464] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8232), 1,
      anon_sym_LBRACE,
    STATE(1701), 1,
      sym_curly_group_text,
    STATE(2835), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4481] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8232), 1,
      anon_sym_LBRACE,
    STATE(1715), 1,
      sym_curly_group_text,
    STATE(2836), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4498] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8230), 1,
      anon_sym_LBRACE,
    STATE(1644), 1,
      sym_curly_group_text_list,
    STATE(2837), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4515] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8232), 1,
      anon_sym_LBRACE,
    STATE(1649), 1,
      sym_curly_group_text,
    STATE(2838), 1,
      sym_brack_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4532] = 5,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(3156), 1,
      sym_curly_group_impl,
    STATE(3520), 1,
      sym_brack_group_argc,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4549] = 5,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    ACTIONS(8192), 1,
      anon_sym_LBRACE,
    STATE(1149), 1,
      sym_curly_group_text,
    STATE(2782), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4566] = 5,
    ACTIONS(8038), 1,
      anon_sym_LBRACE,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    STATE(925), 1,
      sym_curly_group_text_list,
    STATE(2792), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4583] = 5,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(3236), 1,
      sym_curly_group_impl,
    STATE(3539), 1,
      sym_brack_group_argc,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4600] = 5,
    ACTIONS(1424), 1,
      anon_sym_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    STATE(1277), 1,
      sym_curly_group,
    STATE(3155), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4617] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8230), 1,
      anon_sym_LBRACE,
    STATE(1751), 1,
      sym_curly_group_text_list,
    STATE(2856), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4634] = 5,
    ACTIONS(3281), 1,
      anon_sym_LBRACE,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    STATE(1760), 1,
      sym_curly_group,
    STATE(2588), 1,
      sym_brack_group_argc,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4651] = 5,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    STATE(1003), 1,
      sym_curly_group,
    STATE(2539), 1,
      sym_brack_group_argc,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4668] = 5,
    ACTIONS(8010), 1,
      anon_sym_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(3316), 1,
      sym_curly_group_impl,
    STATE(3561), 1,
      sym_brack_group_argc,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4685] = 5,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_LBRACE,
    STATE(1000), 1,
      sym_curly_group_text_list,
    STATE(2808), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4702] = 5,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    STATE(3340), 1,
      sym_curly_group_text,
    STATE(3574), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4719] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3341), 1,
      sym_curly_group_text,
    STATE(3575), 1,
      sym_brack_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4736] = 5,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    ACTIONS(8234), 1,
      sym_command_name,
    ACTIONS(8236), 1,
      sym_letter,
    STATE(1039), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4753] = 5,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    STATE(3370), 1,
      sym_curly_group_text,
    STATE(3588), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4770] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3371), 1,
      sym_curly_group_text,
    STATE(3589), 1,
      sym_brack_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4787] = 5,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    STATE(3405), 1,
      sym_curly_group_text,
    STATE(3599), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4804] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3406), 1,
      sym_curly_group_text,
    STATE(3600), 1,
      sym_brack_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4821] = 5,
    ACTIONS(3281), 1,
      anon_sym_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    STATE(1691), 1,
      sym_curly_group,
    STATE(2880), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4838] = 5,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    STATE(3433), 1,
      sym_curly_group_text,
    STATE(3610), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4855] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3434), 1,
      sym_curly_group_text,
    STATE(3611), 1,
      sym_brack_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4872] = 5,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    STATE(1118), 1,
      sym_curly_group,
    STATE(2885), 1,
      sym_brack_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4889] = 5,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    STATE(3462), 1,
      sym_curly_group_text,
    STATE(3621), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4906] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3463), 1,
      sym_curly_group_text,
    STATE(3622), 1,
      sym_brack_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4923] = 5,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    STATE(3489), 1,
      sym_curly_group_text,
    STATE(3632), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4940] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3490), 1,
      sym_curly_group_text,
    STATE(3633), 1,
      sym_brack_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4957] = 5,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    STATE(3516), 1,
      sym_curly_group_text,
    STATE(3642), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4974] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3517), 1,
      sym_curly_group_text,
    STATE(3643), 1,
      sym_brack_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [4991] = 5,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    STATE(3536), 1,
      sym_curly_group_text,
    STATE(3649), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5008] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3537), 1,
      sym_curly_group_text,
    STATE(3650), 1,
      sym_brack_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5025] = 5,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    ACTIONS(8052), 1,
      anon_sym_LBRACK,
    STATE(3558), 1,
      sym_curly_group_text,
    STATE(3656), 1,
      sym_brack_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5042] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3559), 1,
      sym_curly_group_text,
    STATE(3657), 1,
      sym_brack_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5059] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_LBRACE,
    STATE(3576), 1,
      sym_curly_group_text_list,
    STATE(3661), 1,
      sym_brack_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5076] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_LBRACE,
    STATE(3590), 1,
      sym_curly_group_text_list,
    STATE(3663), 1,
      sym_brack_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5093] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_LBRACE,
    STATE(3601), 1,
      sym_curly_group_text_list,
    STATE(3665), 1,
      sym_brack_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5110] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_LBRACE,
    STATE(3612), 1,
      sym_curly_group_text_list,
    STATE(3667), 1,
      sym_brack_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5127] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_LBRACE,
    STATE(3623), 1,
      sym_curly_group_text_list,
    STATE(3669), 1,
      sym_brack_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5144] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_LBRACE,
    STATE(3634), 1,
      sym_curly_group_text_list,
    STATE(3671), 1,
      sym_brack_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5161] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_LBRACE,
    STATE(3644), 1,
      sym_curly_group_text_list,
    STATE(3673), 1,
      sym_brack_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5178] = 5,
    ACTIONS(6883), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_LBRACE,
    STATE(3651), 1,
      sym_curly_group_text_list,
    STATE(3676), 1,
      sym_brack_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5195] = 5,
    ACTIONS(4818), 1,
      anon_sym_LBRACE,
    ACTIONS(8238), 1,
      sym_command_name,
    ACTIONS(8240), 1,
      sym_letter,
    STATE(1938), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5212] = 4,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8244), 1,
      anon_sym_RBRACE,
    STATE(2715), 1,
      aux_sym_curly_group_key_value_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5226] = 4,
    ACTIONS(8246), 1,
      anon_sym_RBRACE,
    ACTIONS(8248), 1,
      anon_sym_BSLASHand,
    STATE(2612), 1,
      aux_sym_curly_group_author_list_repeat2,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5240] = 4,
    ACTIONS(8251), 1,
      sym_command_name,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    STATE(2552), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5254] = 4,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    ACTIONS(8255), 1,
      sym_command_name,
    STATE(3000), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5268] = 2,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(8257), 3,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [5278] = 4,
    ACTIONS(8259), 1,
      anon_sym_COMMA,
    ACTIONS(8261), 1,
      anon_sym_RBRACE,
    STATE(2634), 1,
      aux_sym_curly_group_text_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5292] = 4,
    ACTIONS(8263), 1,
      anon_sym_RBRACK,
    ACTIONS(8265), 1,
      anon_sym_COMMA,
    STATE(2631), 1,
      aux_sym_curly_group_key_value_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5306] = 4,
    ACTIONS(8267), 1,
      anon_sym_COMMA,
    ACTIONS(8269), 1,
      anon_sym_RBRACE,
    STATE(2734), 1,
      aux_sym_curly_group_path_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5320] = 4,
    ACTIONS(8267), 1,
      anon_sym_COMMA,
    ACTIONS(8271), 1,
      anon_sym_RBRACE,
    STATE(2679), 1,
      aux_sym_curly_group_path_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5334] = 4,
    ACTIONS(8259), 1,
      anon_sym_COMMA,
    ACTIONS(8273), 1,
      anon_sym_RBRACE,
    STATE(2684), 1,
      aux_sym_curly_group_text_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5348] = 4,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8275), 1,
      anon_sym_RBRACE,
    STATE(2715), 1,
      aux_sym_curly_group_key_value_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5362] = 4,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    ACTIONS(8277), 1,
      sym_command_name,
    STATE(2657), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5376] = 2,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(8279), 3,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [5386] = 4,
    ACTIONS(8267), 1,
      anon_sym_COMMA,
    ACTIONS(8281), 1,
      anon_sym_RBRACE,
    STATE(2670), 1,
      aux_sym_curly_group_path_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5400] = 4,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8283), 1,
      anon_sym_RBRACE,
    STATE(2663), 1,
      aux_sym_curly_group_key_value_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5414] = 4,
    ACTIONS(8259), 1,
      anon_sym_COMMA,
    ACTIONS(8285), 1,
      anon_sym_RBRACE,
    STATE(2676), 1,
      aux_sym_curly_group_text_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5428] = 4,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    ACTIONS(8287), 1,
      sym_command_name,
    STATE(2469), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5442] = 4,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    ACTIONS(8289), 1,
      sym_command_name,
    STATE(3276), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5456] = 4,
    ACTIONS(8291), 1,
      sym_command_name,
    ACTIONS(8293), 1,
      anon_sym_LBRACE,
    STATE(1782), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5470] = 4,
    ACTIONS(8295), 1,
      anon_sym_RBRACE,
    ACTIONS(8297), 1,
      anon_sym_BSLASHand,
    STATE(2612), 1,
      aux_sym_curly_group_author_list_repeat2,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5484] = 4,
    ACTIONS(8299), 1,
      anon_sym_RBRACK,
    ACTIONS(8301), 1,
      anon_sym_COMMA,
    STATE(2631), 1,
      aux_sym_curly_group_key_value_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5498] = 4,
    ACTIONS(8304), 1,
      sym_command_name,
    ACTIONS(8306), 1,
      anon_sym_LBRACE,
    STATE(1081), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5512] = 4,
    ACTIONS(8308), 1,
      sym_command_name,
    ACTIONS(8310), 1,
      anon_sym_LBRACE,
    STATE(969), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5526] = 4,
    ACTIONS(8312), 1,
      anon_sym_COMMA,
    ACTIONS(8315), 1,
      anon_sym_RBRACE,
    STATE(2634), 1,
      aux_sym_curly_group_text_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5540] = 4,
    ACTIONS(8267), 1,
      anon_sym_COMMA,
    ACTIONS(8317), 1,
      anon_sym_RBRACE,
    STATE(2646), 1,
      aux_sym_curly_group_path_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5554] = 4,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      sym_command_name,
    STATE(2680), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5568] = 4,
    ACTIONS(8259), 1,
      anon_sym_COMMA,
    ACTIONS(8321), 1,
      anon_sym_RBRACE,
    STATE(2648), 1,
      aux_sym_curly_group_text_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5582] = 4,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    ACTIONS(8323), 1,
      sym_command_name,
    STATE(2543), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5596] = 4,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    ACTIONS(8325), 1,
      sym_command_name,
    STATE(3580), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5610] = 2,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(8327), 3,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_command_name,
  [5620] = 4,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    ACTIONS(8329), 1,
      sym_command_name,
    STATE(2578), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5634] = 4,
    ACTIONS(8331), 1,
      sym_command_name,
    ACTIONS(8333), 1,
      anon_sym_LBRACE,
    STATE(990), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5648] = 4,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    ACTIONS(8335), 1,
      sym_command_name,
    STATE(2749), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5662] = 4,
    ACTIONS(8267), 1,
      anon_sym_COMMA,
    ACTIONS(8337), 1,
      anon_sym_RBRACE,
    STATE(2667), 1,
      aux_sym_curly_group_path_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5676] = 4,
    ACTIONS(8297), 1,
      anon_sym_BSLASHand,
    ACTIONS(8339), 1,
      anon_sym_RBRACE,
    STATE(2612), 1,
      aux_sym_curly_group_author_list_repeat2,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5690] = 4,
    ACTIONS(8267), 1,
      anon_sym_COMMA,
    ACTIONS(8341), 1,
      anon_sym_RBRACE,
    STATE(2695), 1,
      aux_sym_curly_group_path_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5704] = 4,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    ACTIONS(8343), 1,
      sym_command_name,
    STATE(2653), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5718] = 4,
    ACTIONS(8259), 1,
      anon_sym_COMMA,
    ACTIONS(8345), 1,
      anon_sym_RBRACE,
    STATE(2634), 1,
      aux_sym_curly_group_text_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5732] = 4,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    ACTIONS(8347), 1,
      sym_command_name,
    STATE(2577), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5746] = 4,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    ACTIONS(8349), 1,
      sym_command_name,
    STATE(2831), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5760] = 4,
    ACTIONS(8259), 1,
      anon_sym_COMMA,
    ACTIONS(8351), 1,
      anon_sym_RBRACE,
    STATE(2668), 1,
      aux_sym_curly_group_text_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5774] = 4,
    ACTIONS(8259), 1,
      anon_sym_COMMA,
    ACTIONS(8353), 1,
      anon_sym_RBRACE,
    STATE(2634), 1,
      aux_sym_curly_group_text_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5788] = 4,
    ACTIONS(8333), 1,
      anon_sym_LBRACE,
    ACTIONS(8355), 1,
      sym_command_name,
    STATE(994), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5802] = 4,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8357), 1,
      anon_sym_RBRACE,
    STATE(2655), 1,
      aux_sym_curly_group_key_value_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5816] = 4,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8359), 1,
      anon_sym_RBRACE,
    STATE(2715), 1,
      aux_sym_curly_group_key_value_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5830] = 3,
    ACTIONS(8363), 1,
      aux_sym__glob_pattern_fragment_token1,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(8361), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [5842] = 4,
    ACTIONS(8365), 1,
      sym_command_name,
    ACTIONS(8367), 1,
      anon_sym_LBRACE,
    STATE(993), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5856] = 4,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    ACTIONS(8369), 1,
      sym_command_name,
    STATE(2705), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5870] = 4,
    ACTIONS(8371), 1,
      sym_command_name,
    ACTIONS(8373), 1,
      anon_sym_LBRACE,
    STATE(2102), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5884] = 4,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    ACTIONS(8375), 1,
      sym_command_name,
    STATE(2405), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5898] = 4,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    ACTIONS(8377), 1,
      sym_command_name,
    STATE(2936), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5912] = 4,
    ACTIONS(8297), 1,
      anon_sym_BSLASHand,
    ACTIONS(8379), 1,
      anon_sym_RBRACE,
    STATE(2612), 1,
      aux_sym_curly_group_author_list_repeat2,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5926] = 4,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8381), 1,
      anon_sym_RBRACE,
    STATE(2715), 1,
      aux_sym_curly_group_key_value_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5940] = 3,
    ACTIONS(8385), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(8383), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
  [5952] = 4,
    ACTIONS(8265), 1,
      anon_sym_COMMA,
    ACTIONS(8387), 1,
      anon_sym_RBRACK,
    STATE(2617), 1,
      aux_sym_curly_group_key_value_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5966] = 4,
    ACTIONS(8297), 1,
      anon_sym_BSLASHand,
    ACTIONS(8389), 1,
      anon_sym_RBRACE,
    STATE(2612), 1,
      aux_sym_curly_group_author_list_repeat2,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5980] = 4,
    ACTIONS(8267), 1,
      anon_sym_COMMA,
    ACTIONS(8391), 1,
      anon_sym_RBRACE,
    STATE(2695), 1,
      aux_sym_curly_group_path_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [5994] = 4,
    ACTIONS(8259), 1,
      anon_sym_COMMA,
    ACTIONS(8393), 1,
      anon_sym_RBRACE,
    STATE(2634), 1,
      aux_sym_curly_group_text_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6008] = 4,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    ACTIONS(8395), 1,
      sym_command_name,
    STATE(2687), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6022] = 4,
    ACTIONS(8267), 1,
      anon_sym_COMMA,
    ACTIONS(8397), 1,
      anon_sym_RBRACE,
    STATE(2695), 1,
      aux_sym_curly_group_path_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6036] = 4,
    ACTIONS(8373), 1,
      anon_sym_LBRACE,
    ACTIONS(8399), 1,
      sym_command_name,
    STATE(2103), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6050] = 4,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    ACTIONS(8401), 1,
      sym_command_name,
    STATE(2430), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6064] = 4,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    ACTIONS(8403), 1,
      sym_command_name,
    STATE(3046), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6078] = 4,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8405), 1,
      anon_sym_RBRACE,
    STATE(2675), 1,
      aux_sym_curly_group_key_value_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6092] = 4,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8407), 1,
      anon_sym_RBRACE,
    STATE(2715), 1,
      aux_sym_curly_group_key_value_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6106] = 4,
    ACTIONS(8259), 1,
      anon_sym_COMMA,
    ACTIONS(8409), 1,
      anon_sym_RBRACE,
    STATE(2634), 1,
      aux_sym_curly_group_text_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6120] = 4,
    ACTIONS(8297), 1,
      anon_sym_BSLASHand,
    ACTIONS(8411), 1,
      anon_sym_RBRACE,
    STATE(2612), 1,
      aux_sym_curly_group_author_list_repeat2,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6134] = 4,
    ACTIONS(8267), 1,
      anon_sym_COMMA,
    ACTIONS(8413), 1,
      anon_sym_RBRACE,
    STATE(2695), 1,
      aux_sym_curly_group_path_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6148] = 4,
    ACTIONS(8267), 1,
      anon_sym_COMMA,
    ACTIONS(8415), 1,
      anon_sym_RBRACE,
    STATE(2695), 1,
      aux_sym_curly_group_path_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6162] = 4,
    ACTIONS(8306), 1,
      anon_sym_LBRACE,
    ACTIONS(8417), 1,
      sym_command_name,
    STATE(1097), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6176] = 4,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    ACTIONS(8419), 1,
      sym_command_name,
    STATE(2750), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6190] = 4,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    ACTIONS(8421), 1,
      sym_command_name,
    STATE(2464), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6204] = 4,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    ACTIONS(8423), 1,
      sym_command_name,
    STATE(3139), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6218] = 4,
    ACTIONS(8259), 1,
      anon_sym_COMMA,
    ACTIONS(8425), 1,
      anon_sym_RBRACE,
    STATE(2634), 1,
      aux_sym_curly_group_text_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6232] = 4,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8427), 1,
      anon_sym_RBRACE,
    STATE(2621), 1,
      aux_sym_curly_group_key_value_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6246] = 4,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    ACTIONS(8429), 1,
      sym_command_name,
    STATE(3269), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6260] = 4,
    ACTIONS(8293), 1,
      anon_sym_LBRACE,
    ACTIONS(8431), 1,
      sym_command_name,
    STATE(1787), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6274] = 2,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7601), 3,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      sym_command_name,
  [6284] = 4,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8433), 1,
      anon_sym_RBRACE,
    STATE(2611), 1,
      aux_sym_curly_group_key_value_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6298] = 4,
    ACTIONS(8297), 1,
      anon_sym_BSLASHand,
    ACTIONS(8435), 1,
      anon_sym_RBRACE,
    STATE(2612), 1,
      aux_sym_curly_group_author_list_repeat2,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6312] = 4,
    ACTIONS(8259), 1,
      anon_sym_COMMA,
    ACTIONS(8437), 1,
      anon_sym_RBRACE,
    STATE(2634), 1,
      aux_sym_curly_group_text_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6326] = 4,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    ACTIONS(8439), 1,
      sym_command_name,
    STATE(2494), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6340] = 4,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    ACTIONS(8441), 1,
      sym_command_name,
    STATE(3221), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6354] = 4,
    ACTIONS(8259), 1,
      anon_sym_COMMA,
    ACTIONS(8443), 1,
      anon_sym_RBRACE,
    STATE(2652), 1,
      aux_sym_curly_group_text_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6368] = 4,
    ACTIONS(8445), 1,
      anon_sym_COMMA,
    ACTIONS(8448), 1,
      anon_sym_RBRACE,
    STATE(2695), 1,
      aux_sym_curly_group_path_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6382] = 4,
    ACTIONS(8267), 1,
      anon_sym_COMMA,
    ACTIONS(8450), 1,
      anon_sym_RBRACE,
    STATE(2678), 1,
      aux_sym_curly_group_path_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6396] = 4,
    ACTIONS(8259), 1,
      anon_sym_COMMA,
    ACTIONS(8452), 1,
      anon_sym_RBRACE,
    STATE(2616), 1,
      aux_sym_curly_group_text_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6410] = 4,
    ACTIONS(8267), 1,
      anon_sym_COMMA,
    ACTIONS(8454), 1,
      anon_sym_RBRACE,
    STATE(2746), 1,
      aux_sym_curly_group_path_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6424] = 4,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    ACTIONS(8456), 1,
      sym_command_name,
    STATE(2671), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6438] = 4,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    ACTIONS(8458), 1,
      sym_command_name,
    STATE(2518), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6452] = 4,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    ACTIONS(8460), 1,
      sym_command_name,
    STATE(3300), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6466] = 4,
    ACTIONS(8267), 1,
      anon_sym_COMMA,
    ACTIONS(8462), 1,
      anon_sym_RBRACE,
    STATE(2719), 1,
      aux_sym_curly_group_path_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6480] = 4,
    ACTIONS(8259), 1,
      anon_sym_COMMA,
    ACTIONS(8464), 1,
      anon_sym_RBRACE,
    STATE(2722), 1,
      aux_sym_curly_group_text_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6494] = 4,
    ACTIONS(8259), 1,
      anon_sym_COMMA,
    ACTIONS(8466), 1,
      anon_sym_RBRACE,
    STATE(2748), 1,
      aux_sym_curly_group_text_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6508] = 4,
    ACTIONS(8468), 1,
      sym_command_name,
    ACTIONS(8470), 1,
      anon_sym_LBRACE,
    STATE(1654), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6522] = 4,
    ACTIONS(8472), 1,
      sym_command_name,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    STATE(475), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6536] = 4,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      sym_command_name,
    STATE(2742), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6550] = 4,
    ACTIONS(8367), 1,
      anon_sym_LBRACE,
    ACTIONS(8478), 1,
      sym_command_name,
    STATE(1089), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6564] = 4,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8480), 1,
      anon_sym_RBRACE,
    STATE(2753), 1,
      aux_sym_curly_group_key_value_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6578] = 4,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    ACTIONS(8482), 1,
      sym_command_name,
    STATE(3339), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6592] = 4,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8484), 1,
      anon_sym_RBRACE,
    STATE(2712), 1,
      aux_sym_curly_group_key_value_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6606] = 4,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8486), 1,
      anon_sym_RBRACE,
    STATE(2715), 1,
      aux_sym_curly_group_key_value_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6620] = 3,
    ACTIONS(8488), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(8383), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [6632] = 4,
    ACTIONS(8490), 1,
      sym_command_name,
    ACTIONS(8492), 1,
      anon_sym_LBRACE,
    STATE(2223), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6646] = 4,
    ACTIONS(8299), 1,
      anon_sym_RBRACE,
    ACTIONS(8494), 1,
      anon_sym_COMMA,
    STATE(2715), 1,
      aux_sym_curly_group_key_value_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6660] = 4,
    ACTIONS(8267), 1,
      anon_sym_COMMA,
    ACTIONS(8497), 1,
      anon_sym_RBRACE,
    STATE(2754), 1,
      aux_sym_curly_group_path_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6674] = 4,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    ACTIONS(8499), 1,
      sym_command_name,
    STATE(3368), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6688] = 4,
    ACTIONS(8297), 1,
      anon_sym_BSLASHand,
    ACTIONS(8501), 1,
      anon_sym_RBRACE,
    STATE(2612), 1,
      aux_sym_curly_group_author_list_repeat2,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6702] = 4,
    ACTIONS(8267), 1,
      anon_sym_COMMA,
    ACTIONS(8503), 1,
      anon_sym_RBRACE,
    STATE(2695), 1,
      aux_sym_curly_group_path_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6716] = 4,
    ACTIONS(8259), 1,
      anon_sym_COMMA,
    ACTIONS(8505), 1,
      anon_sym_RBRACE,
    STATE(2691), 1,
      aux_sym_curly_group_text_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6730] = 4,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    ACTIONS(8507), 1,
      sym_command_name,
    STATE(3402), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6744] = 4,
    ACTIONS(8259), 1,
      anon_sym_COMMA,
    ACTIONS(8509), 1,
      anon_sym_RBRACE,
    STATE(2634), 1,
      aux_sym_curly_group_text_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6758] = 3,
    ACTIONS(8513), 1,
      aux_sym__glob_pattern_fragment_token1,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(8511), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [6770] = 4,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8515), 1,
      sym_command_name,
    STATE(483), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6784] = 4,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    ACTIONS(8517), 1,
      sym_command_name,
    STATE(3431), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6798] = 4,
    ACTIONS(8267), 1,
      anon_sym_COMMA,
    ACTIONS(8519), 1,
      anon_sym_RBRACE,
    STATE(2738), 1,
      aux_sym_curly_group_path_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6812] = 4,
    ACTIONS(8259), 1,
      anon_sym_COMMA,
    ACTIONS(8521), 1,
      anon_sym_RBRACE,
    STATE(2739), 1,
      aux_sym_curly_group_text_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6826] = 4,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8523), 1,
      anon_sym_RBRACE,
    STATE(2730), 1,
      aux_sym_curly_group_key_value_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6840] = 4,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    ACTIONS(8525), 1,
      sym_command_name,
    STATE(3461), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6854] = 4,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8527), 1,
      anon_sym_RBRACE,
    STATE(2715), 1,
      aux_sym_curly_group_key_value_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6868] = 4,
    ACTIONS(8529), 1,
      sym_command_name,
    ACTIONS(8531), 1,
      anon_sym_LBRACE,
    STATE(1825), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6882] = 4,
    ACTIONS(8470), 1,
      anon_sym_LBRACE,
    ACTIONS(8533), 1,
      sym_command_name,
    STATE(1655), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6896] = 4,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    ACTIONS(8535), 1,
      sym_command_name,
    STATE(3488), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6910] = 4,
    ACTIONS(8267), 1,
      anon_sym_COMMA,
    ACTIONS(8537), 1,
      anon_sym_RBRACE,
    STATE(2695), 1,
      aux_sym_curly_group_path_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6924] = 4,
    ACTIONS(8297), 1,
      anon_sym_BSLASHand,
    ACTIONS(8539), 1,
      anon_sym_RBRACE,
    STATE(2612), 1,
      aux_sym_curly_group_author_list_repeat2,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6938] = 4,
    ACTIONS(8297), 1,
      anon_sym_BSLASHand,
    ACTIONS(8541), 1,
      anon_sym_RBRACE,
    STATE(2612), 1,
      aux_sym_curly_group_author_list_repeat2,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6952] = 4,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    ACTIONS(8543), 1,
      sym_command_name,
    STATE(3515), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6966] = 4,
    ACTIONS(8267), 1,
      anon_sym_COMMA,
    ACTIONS(8545), 1,
      anon_sym_RBRACE,
    STATE(2695), 1,
      aux_sym_curly_group_path_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6980] = 4,
    ACTIONS(8259), 1,
      anon_sym_COMMA,
    ACTIONS(8547), 1,
      anon_sym_RBRACE,
    STATE(2634), 1,
      aux_sym_curly_group_text_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [6994] = 4,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    ACTIONS(8549), 1,
      sym_command_name,
    STATE(3534), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7008] = 4,
    ACTIONS(8297), 1,
      anon_sym_BSLASHand,
    ACTIONS(8551), 1,
      anon_sym_RBRACE,
    STATE(2612), 1,
      aux_sym_curly_group_author_list_repeat2,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7022] = 4,
    ACTIONS(8531), 1,
      anon_sym_LBRACE,
    ACTIONS(8553), 1,
      sym_command_name,
    STATE(1827), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7036] = 4,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    ACTIONS(8555), 1,
      sym_command_name,
    STATE(3555), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7050] = 4,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8557), 1,
      anon_sym_RBRACE,
    STATE(2745), 1,
      aux_sym_curly_group_key_value_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7064] = 4,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8559), 1,
      anon_sym_RBRACE,
    STATE(2715), 1,
      aux_sym_curly_group_key_value_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7078] = 4,
    ACTIONS(8267), 1,
      anon_sym_COMMA,
    ACTIONS(8561), 1,
      anon_sym_RBRACE,
    STATE(2695), 1,
      aux_sym_curly_group_path_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7092] = 4,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    ACTIONS(8563), 1,
      sym_command_name,
    STATE(3275), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7106] = 4,
    ACTIONS(8259), 1,
      anon_sym_COMMA,
    ACTIONS(8565), 1,
      anon_sym_RBRACE,
    STATE(2634), 1,
      aux_sym_curly_group_text_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7120] = 4,
    ACTIONS(8310), 1,
      anon_sym_LBRACE,
    ACTIONS(8567), 1,
      sym_command_name,
    STATE(970), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7134] = 4,
    ACTIONS(8492), 1,
      anon_sym_LBRACE,
    ACTIONS(8569), 1,
      sym_command_name,
    STATE(2226), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7148] = 4,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8571), 1,
      anon_sym_RBRACE,
    STATE(2752), 1,
      aux_sym_curly_group_key_value_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7162] = 4,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8573), 1,
      anon_sym_RBRACE,
    STATE(2715), 1,
      aux_sym_curly_group_key_value_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7176] = 4,
    ACTIONS(8242), 1,
      anon_sym_COMMA,
    ACTIONS(8575), 1,
      anon_sym_RBRACE,
    STATE(2715), 1,
      aux_sym_curly_group_key_value_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7190] = 4,
    ACTIONS(8267), 1,
      anon_sym_COMMA,
    ACTIONS(8577), 1,
      anon_sym_RBRACE,
    STATE(2695), 1,
      aux_sym_curly_group_path_list_repeat1,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7204] = 4,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    ACTIONS(8579), 1,
      sym_command_name,
    STATE(2724), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7218] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3044), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7229] = 3,
    ACTIONS(8038), 1,
      anon_sym_LBRACE,
    STATE(3659), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7240] = 3,
    ACTIONS(8202), 1,
      anon_sym_LBRACE,
    STATE(1279), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7251] = 3,
    ACTIONS(8192), 1,
      anon_sym_LBRACE,
    STATE(1011), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7262] = 3,
    ACTIONS(712), 1,
      anon_sym_LBRACE,
    STATE(1288), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7273] = 3,
    ACTIONS(8310), 1,
      anon_sym_LBRACE,
    STATE(1099), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7284] = 3,
    ACTIONS(8310), 1,
      anon_sym_LBRACE,
    STATE(1102), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7295] = 3,
    ACTIONS(8333), 1,
      anon_sym_LBRACE,
    STATE(1327), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7306] = 3,
    ACTIONS(712), 1,
      anon_sym_LBRACE,
    STATE(1334), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7317] = 3,
    ACTIONS(712), 1,
      anon_sym_LBRACE,
    STATE(1339), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7328] = 3,
    ACTIONS(712), 1,
      anon_sym_LBRACE,
    STATE(1342), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7339] = 3,
    ACTIONS(8581), 1,
      anon_sym_LBRACE,
    STATE(1397), 1,
      sym__comment_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7350] = 3,
    ACTIONS(8583), 1,
      anon_sym_LBRACE,
    STATE(1399), 1,
      sym__verbatim_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7361] = 3,
    ACTIONS(8585), 1,
      anon_sym_LBRACE,
    STATE(1404), 1,
      sym__listing_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7372] = 3,
    ACTIONS(8587), 1,
      anon_sym_LBRACE,
    STATE(1418), 1,
      sym__minted_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7383] = 3,
    ACTIONS(8589), 1,
      anon_sym_LBRACE,
    STATE(1424), 1,
      sym__asy_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7394] = 3,
    ACTIONS(8591), 1,
      anon_sym_LBRACE,
    STATE(1426), 1,
      sym__asydef_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7405] = 3,
    ACTIONS(8593), 1,
      anon_sym_LBRACE,
    STATE(1433), 1,
      sym__pycode_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7416] = 3,
    ACTIONS(8595), 1,
      anon_sym_LBRACE,
    STATE(1435), 1,
      sym___luacode_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7427] = 3,
    ACTIONS(8597), 1,
      anon_sym_LBRACE,
    STATE(1436), 1,
      sym___luacode_environment_star_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7438] = 3,
    ACTIONS(8599), 1,
      anon_sym_LBRACE,
    STATE(1445), 1,
      sym__sagesilent_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7449] = 3,
    ACTIONS(8601), 1,
      anon_sym_LBRACE,
    STATE(1446), 1,
      sym__sageblock_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7460] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(2896), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7471] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2904), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7482] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(1105), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7493] = 3,
    ACTIONS(712), 1,
      anon_sym_LBRACE,
    STATE(1455), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7504] = 3,
    ACTIONS(8192), 1,
      anon_sym_LBRACE,
    STATE(1012), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7515] = 3,
    ACTIONS(8333), 1,
      anon_sym_LBRACE,
    STATE(1470), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7526] = 3,
    ACTIONS(8333), 1,
      anon_sym_LBRACE,
    STATE(1472), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7537] = 3,
    ACTIONS(712), 1,
      anon_sym_LBRACE,
    STATE(1474), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7548] = 3,
    ACTIONS(712), 1,
      anon_sym_LBRACE,
    STATE(1492), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7559] = 3,
    ACTIONS(712), 1,
      anon_sym_LBRACE,
    STATE(1493), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7570] = 3,
    ACTIONS(712), 1,
      anon_sym_LBRACE,
    STATE(1507), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7581] = 3,
    ACTIONS(8603), 1,
      anon_sym_minted,
    STATE(3983), 1,
      sym__minted_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7592] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(1109), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7603] = 3,
    ACTIONS(712), 1,
      anon_sym_LBRACE,
    STATE(1536), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7614] = 3,
    ACTIONS(8038), 1,
      anon_sym_LBRACE,
    STATE(861), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7625] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(1110), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7636] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(1111), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7647] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(2999), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7658] = 3,
    ACTIONS(3281), 1,
      anon_sym_LBRACE,
    STATE(1803), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7669] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2916), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7680] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2917), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7691] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(2931), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7702] = 3,
    ACTIONS(8038), 1,
      anon_sym_LBRACE,
    STATE(2932), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7713] = 3,
    ACTIONS(8226), 1,
      anon_sym_LBRACE,
    STATE(1818), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7724] = 3,
    ACTIONS(8226), 1,
      anon_sym_LBRACE,
    STATE(1820), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7735] = 3,
    ACTIONS(8224), 1,
      anon_sym_LBRACE,
    STATE(1828), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7746] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(961), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7757] = 3,
    ACTIONS(8226), 1,
      anon_sym_LBRACE,
    STATE(1742), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7768] = 3,
    ACTIONS(8232), 1,
      anon_sym_LBRACE,
    STATE(1737), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7779] = 3,
    ACTIONS(8230), 1,
      anon_sym_LBRACE,
    STATE(1670), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7790] = 3,
    ACTIONS(8038), 1,
      anon_sym_LBRACE,
    STATE(1053), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7801] = 3,
    ACTIONS(8605), 1,
      anon_sym_comment,
    STATE(3699), 1,
      sym__comment_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7812] = 3,
    ACTIONS(8607), 1,
      anon_sym_verbatim,
    STATE(3702), 1,
      sym__verbatim_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7823] = 3,
    ACTIONS(8224), 1,
      anon_sym_LBRACE,
    STATE(1749), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7834] = 3,
    ACTIONS(8609), 1,
      anon_sym_LBRACE,
    STATE(1651), 1,
      sym_curly_group_uri,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7845] = 3,
    ACTIONS(8611), 1,
      anon_sym_lstlisting,
    STATE(3706), 1,
      sym__listing_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7856] = 3,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    STATE(569), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7867] = 3,
    ACTIONS(8603), 1,
      anon_sym_minted,
    STATE(3785), 1,
      sym__minted_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7878] = 3,
    ACTIONS(3281), 1,
      anon_sym_LBRACE,
    STATE(1690), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7889] = 3,
    ACTIONS(8613), 1,
      anon_sym_asy,
    STATE(3710), 1,
      sym__asy_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7900] = 3,
    ACTIONS(8222), 1,
      anon_sym_LBRACE,
    STATE(1705), 1,
      sym_curly_group_author_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7911] = 3,
    ACTIONS(8615), 1,
      anon_sym_RBRACE,
    ACTIONS(8617), 1,
      sym_path,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [7922] = 3,
    ACTIONS(8224), 1,
      anon_sym_LBRACE,
    STATE(1707), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7933] = 3,
    ACTIONS(8226), 1,
      anon_sym_LBRACE,
    STATE(1708), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7944] = 3,
    ACTIONS(8228), 1,
      anon_sym_LBRACE,
    STATE(1709), 1,
      sym_curly_group_glob_pattern,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7955] = 3,
    ACTIONS(8226), 1,
      anon_sym_LBRACE,
    STATE(1710), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7966] = 3,
    ACTIONS(8226), 1,
      anon_sym_LBRACE,
    STATE(1711), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7977] = 3,
    ACTIONS(8226), 1,
      anon_sym_LBRACE,
    STATE(1712), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7988] = 3,
    ACTIONS(8226), 1,
      anon_sym_LBRACE,
    STATE(1713), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [7999] = 3,
    ACTIONS(3281), 1,
      anon_sym_LBRACE,
    STATE(1714), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8010] = 3,
    ACTIONS(8619), 1,
      anon_sym_asydef,
    STATE(3712), 1,
      sym__asydef_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8021] = 3,
    ACTIONS(8232), 1,
      anon_sym_LBRACE,
    STATE(1753), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8032] = 3,
    ACTIONS(3281), 1,
      anon_sym_LBRACE,
    STATE(1754), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8043] = 3,
    ACTIONS(8621), 1,
      anon_sym_LBRACE,
    STATE(1761), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8054] = 3,
    ACTIONS(8623), 1,
      sym_command_name,
    ACTIONS(8625), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8065] = 3,
    ACTIONS(8232), 1,
      anon_sym_LBRACE,
    STATE(1767), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8076] = 3,
    ACTIONS(8627), 1,
      anon_sym_LBRACE,
    STATE(1789), 1,
      sym_curly_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8087] = 3,
    ACTIONS(8232), 1,
      anon_sym_LBRACE,
    STATE(1790), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8098] = 3,
    ACTIONS(8232), 1,
      anon_sym_LBRACE,
    STATE(1791), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8109] = 3,
    ACTIONS(8230), 1,
      anon_sym_LBRACE,
    STATE(1647), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8120] = 3,
    ACTIONS(3281), 1,
      anon_sym_LBRACE,
    STATE(1662), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8131] = 3,
    ACTIONS(8232), 1,
      anon_sym_LBRACE,
    STATE(1750), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8142] = 3,
    ACTIONS(8629), 1,
      anon_sym_pycode,
    STATE(3760), 1,
      sym__pycode_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8153] = 3,
    ACTIONS(8631), 1,
      anon_sym_BSLASHend,
    STATE(1756), 1,
      sym__comment_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8164] = 3,
    ACTIONS(8633), 1,
      anon_sym_BSLASHend,
    STATE(1763), 1,
      sym__verbatim_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8175] = 3,
    ACTIONS(8635), 1,
      anon_sym_BSLASHend,
    STATE(1765), 1,
      sym__listing_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8186] = 3,
    ACTIONS(8637), 1,
      anon_sym_BSLASHend,
    STATE(1793), 1,
      sym__minted_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8197] = 3,
    ACTIONS(8639), 1,
      anon_sym_BSLASHend,
    STATE(1795), 1,
      sym__asy_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8208] = 3,
    ACTIONS(8641), 1,
      anon_sym_BSLASHend,
    STATE(1797), 1,
      sym__asydef_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8219] = 3,
    ACTIONS(8643), 1,
      anon_sym_BSLASHend,
    STATE(1805), 1,
      sym__pycode_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8230] = 3,
    ACTIONS(8645), 1,
      anon_sym_BSLASHend,
    STATE(1808), 1,
      sym___luacode_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8241] = 3,
    ACTIONS(8647), 1,
      anon_sym_BSLASHend,
    STATE(1809), 1,
      sym___luacode_environment_star_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8252] = 3,
    ACTIONS(8649), 1,
      anon_sym_BSLASHend,
    STATE(1814), 1,
      sym__sagesilent_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8263] = 3,
    ACTIONS(8651), 1,
      anon_sym_BSLASHend,
    STATE(1815), 1,
      sym__sageblock_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8274] = 3,
    ACTIONS(8653), 1,
      anon_sym_LBRACE,
    STATE(1821), 1,
      sym__math_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8285] = 3,
    ACTIONS(8655), 1,
      anon_sym_luacode,
    STATE(3763), 1,
      sym___luacode_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8296] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(1056), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8307] = 3,
    ACTIONS(3943), 1,
      anon_sym_luacode_STAR,
    STATE(3765), 1,
      sym___luacode_environment_star_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8318] = 3,
    ACTIONS(8230), 1,
      anon_sym_LBRACE,
    STATE(1689), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8329] = 3,
    ACTIONS(8657), 1,
      anon_sym_sagesilent,
    STATE(3766), 1,
      sym__sagesilent_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8340] = 3,
    ACTIONS(3281), 1,
      anon_sym_LBRACE,
    STATE(1692), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8351] = 3,
    ACTIONS(8659), 1,
      anon_sym_sageblock,
    STATE(3784), 1,
      sym__sageblock_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8362] = 3,
    ACTIONS(8470), 1,
      anon_sym_LBRACE,
    STATE(1696), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8373] = 3,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    STATE(2367), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8384] = 3,
    ACTIONS(3281), 1,
      anon_sym_LBRACE,
    STATE(1698), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8395] = 3,
    ACTIONS(3281), 1,
      anon_sym_LBRACE,
    STATE(1700), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8406] = 3,
    ACTIONS(3281), 1,
      anon_sym_LBRACE,
    STATE(1702), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8417] = 3,
    ACTIONS(8661), 1,
      anon_sym_LBRACE,
    STATE(1716), 1,
      sym__comment_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8428] = 3,
    ACTIONS(8663), 1,
      anon_sym_LBRACE,
    STATE(1717), 1,
      sym__verbatim_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8439] = 3,
    ACTIONS(8665), 1,
      anon_sym_LBRACE,
    STATE(1718), 1,
      sym__listing_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8450] = 3,
    ACTIONS(8667), 1,
      anon_sym_LBRACE,
    STATE(1719), 1,
      sym__minted_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8461] = 3,
    ACTIONS(8669), 1,
      anon_sym_LBRACE,
    STATE(1720), 1,
      sym__asy_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8472] = 3,
    ACTIONS(8671), 1,
      anon_sym_LBRACE,
    STATE(1721), 1,
      sym__asydef_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8483] = 3,
    ACTIONS(8673), 1,
      anon_sym_LBRACE,
    STATE(1722), 1,
      sym__pycode_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8494] = 3,
    ACTIONS(8675), 1,
      anon_sym_LBRACE,
    STATE(1723), 1,
      sym___luacode_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8505] = 3,
    ACTIONS(8677), 1,
      anon_sym_LBRACE,
    STATE(1724), 1,
      sym___luacode_environment_star_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8516] = 3,
    ACTIONS(8679), 1,
      anon_sym_LBRACE,
    STATE(1725), 1,
      sym__sagesilent_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8527] = 3,
    ACTIONS(8681), 1,
      anon_sym_LBRACE,
    STATE(1726), 1,
      sym__sageblock_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8538] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2443), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8549] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3603), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8560] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3637), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8571] = 3,
    ACTIONS(8310), 1,
      anon_sym_LBRACE,
    STATE(1061), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8582] = 3,
    ACTIONS(3281), 1,
      anon_sym_LBRACE,
    STATE(1731), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8593] = 3,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(2761), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8604] = 3,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(2762), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8615] = 3,
    ACTIONS(8470), 1,
      anon_sym_LBRACE,
    STATE(1738), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8626] = 3,
    ACTIONS(8470), 1,
      anon_sym_LBRACE,
    STATE(1739), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8637] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(1156), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8648] = 3,
    ACTIONS(3281), 1,
      anon_sym_LBRACE,
    STATE(1741), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8659] = 3,
    ACTIONS(3281), 1,
      anon_sym_LBRACE,
    STATE(1743), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8670] = 3,
    ACTIONS(3281), 1,
      anon_sym_LBRACE,
    STATE(1744), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8681] = 3,
    ACTIONS(3281), 1,
      anon_sym_LBRACE,
    STATE(1745), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8692] = 3,
    ACTIONS(8603), 1,
      anon_sym_minted,
    STATE(3928), 1,
      sym__minted_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8703] = 3,
    ACTIONS(3281), 1,
      anon_sym_LBRACE,
    STATE(1748), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8714] = 3,
    ACTIONS(1424), 1,
      anon_sym_LBRACE,
    STATE(1511), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8725] = 2,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(8683), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [8734] = 3,
    ACTIONS(8064), 1,
      anon_sym_LBRACE,
    STATE(1076), 1,
      sym_curly_group_author_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8745] = 3,
    ACTIONS(3603), 1,
      anon_sym_LBRACE,
    STATE(2073), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8756] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(1063), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8767] = 3,
    ACTIONS(8140), 1,
      anon_sym_LBRACE,
    STATE(1518), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8778] = 2,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(8685), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [8787] = 3,
    ACTIONS(8140), 1,
      anon_sym_LBRACE,
    STATE(1520), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8798] = 3,
    ACTIONS(8056), 1,
      anon_sym_LBRACE,
    STATE(2079), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8809] = 3,
    ACTIONS(8138), 1,
      anon_sym_LBRACE,
    STATE(1521), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8820] = 3,
    ACTIONS(8056), 1,
      anon_sym_LBRACE,
    STATE(2081), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8831] = 3,
    ACTIONS(8054), 1,
      anon_sym_LBRACE,
    STATE(2082), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8842] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(2780), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8853] = 3,
    ACTIONS(8687), 1,
      anon_sym_RBRACE,
    ACTIONS(8689), 1,
      sym_path,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [8864] = 3,
    ACTIONS(8056), 1,
      anon_sym_LBRACE,
    STATE(2086), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8875] = 3,
    ACTIONS(8140), 1,
      anon_sym_LBRACE,
    STATE(1525), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8886] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(1065), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8897] = 3,
    ACTIONS(8062), 1,
      anon_sym_LBRACE,
    STATE(1837), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8908] = 3,
    ACTIONS(8060), 1,
      anon_sym_LBRACE,
    STATE(1834), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8919] = 3,
    ACTIONS(8166), 1,
      anon_sym_LBRACE,
    STATE(1528), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8930] = 3,
    ACTIONS(8164), 1,
      anon_sym_LBRACE,
    STATE(1529), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8941] = 3,
    ACTIONS(8054), 1,
      anon_sym_LBRACE,
    STATE(1838), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8952] = 3,
    ACTIONS(8691), 1,
      anon_sym_LBRACE,
    STATE(1759), 1,
      sym_curly_group_uri,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8963] = 2,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7189), 2,
      anon_sym_LBRACE,
      sym_command_name,
  [8972] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(1067), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8983] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2793), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [8994] = 3,
    ACTIONS(8138), 1,
      anon_sym_LBRACE,
    STATE(1535), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9005] = 3,
    ACTIONS(3603), 1,
      anon_sym_LBRACE,
    STATE(1845), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9016] = 3,
    ACTIONS(8693), 1,
      anon_sym_LBRACE,
    STATE(1128), 1,
      sym_curly_group_uri,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9027] = 3,
    ACTIONS(8050), 1,
      anon_sym_LBRACE,
    STATE(1847), 1,
      sym_curly_group_author_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9038] = 3,
    ACTIONS(8695), 1,
      anon_sym_RBRACE,
    ACTIONS(8697), 1,
      sym_path,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [9049] = 3,
    ACTIONS(8054), 1,
      anon_sym_LBRACE,
    STATE(1849), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9060] = 3,
    ACTIONS(8056), 1,
      anon_sym_LBRACE,
    STATE(1850), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9071] = 3,
    ACTIONS(8058), 1,
      anon_sym_LBRACE,
    STATE(1851), 1,
      sym_curly_group_glob_pattern,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9082] = 3,
    ACTIONS(8056), 1,
      anon_sym_LBRACE,
    STATE(1852), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9093] = 3,
    ACTIONS(8056), 1,
      anon_sym_LBRACE,
    STATE(1853), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9104] = 3,
    ACTIONS(8056), 1,
      anon_sym_LBRACE,
    STATE(1854), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9115] = 3,
    ACTIONS(8056), 1,
      anon_sym_LBRACE,
    STATE(1855), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9126] = 3,
    ACTIONS(3603), 1,
      anon_sym_LBRACE,
    STATE(1856), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9137] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(2794), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9148] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(2795), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9159] = 3,
    ACTIONS(8062), 1,
      anon_sym_LBRACE,
    STATE(1859), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9170] = 3,
    ACTIONS(3603), 1,
      anon_sym_LBRACE,
    STATE(1860), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9181] = 3,
    ACTIONS(8074), 1,
      anon_sym_LBRACE,
    STATE(985), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9192] = 3,
    ACTIONS(8699), 1,
      anon_sym_LBRACE,
    STATE(1862), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9203] = 3,
    ACTIONS(8701), 1,
      sym_command_name,
    ACTIONS(8703), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9214] = 3,
    ACTIONS(8062), 1,
      anon_sym_LBRACE,
    STATE(1864), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9225] = 3,
    ACTIONS(8705), 1,
      anon_sym_LBRACE,
    STATE(1865), 1,
      sym_curly_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9236] = 3,
    ACTIONS(8062), 1,
      anon_sym_LBRACE,
    STATE(1866), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9247] = 3,
    ACTIONS(8062), 1,
      anon_sym_LBRACE,
    STATE(1867), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9258] = 3,
    ACTIONS(8060), 1,
      anon_sym_LBRACE,
    STATE(1663), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9269] = 3,
    ACTIONS(3603), 1,
      anon_sym_LBRACE,
    STATE(1766), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9280] = 3,
    ACTIONS(8062), 1,
      anon_sym_LBRACE,
    STATE(1870), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9291] = 3,
    ACTIONS(1424), 1,
      anon_sym_LBRACE,
    STATE(1573), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9302] = 3,
    ACTIONS(8707), 1,
      anon_sym_BSLASHend,
    STATE(1872), 1,
      sym__comment_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9313] = 3,
    ACTIONS(8709), 1,
      anon_sym_BSLASHend,
    STATE(1873), 1,
      sym__verbatim_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9324] = 3,
    ACTIONS(8711), 1,
      anon_sym_BSLASHend,
    STATE(1874), 1,
      sym__listing_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9335] = 3,
    ACTIONS(8713), 1,
      anon_sym_BSLASHend,
    STATE(1875), 1,
      sym__minted_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9346] = 3,
    ACTIONS(8715), 1,
      anon_sym_BSLASHend,
    STATE(1876), 1,
      sym__asy_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9357] = 3,
    ACTIONS(8717), 1,
      anon_sym_BSLASHend,
    STATE(1877), 1,
      sym__asydef_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9368] = 3,
    ACTIONS(8719), 1,
      anon_sym_BSLASHend,
    STATE(1878), 1,
      sym__pycode_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9379] = 3,
    ACTIONS(8721), 1,
      anon_sym_BSLASHend,
    STATE(1879), 1,
      sym___luacode_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9390] = 3,
    ACTIONS(8723), 1,
      anon_sym_BSLASHend,
    STATE(1880), 1,
      sym___luacode_environment_star_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9401] = 3,
    ACTIONS(8725), 1,
      anon_sym_BSLASHend,
    STATE(1881), 1,
      sym__sagesilent_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9412] = 3,
    ACTIONS(8727), 1,
      anon_sym_BSLASHend,
    STATE(1882), 1,
      sym__sageblock_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9423] = 3,
    ACTIONS(8729), 1,
      anon_sym_LBRACE,
    STATE(1883), 1,
      sym__math_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9434] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(1144), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9445] = 3,
    ACTIONS(8206), 1,
      anon_sym_LBRACE,
    STATE(986), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9456] = 3,
    ACTIONS(1424), 1,
      anon_sym_LBRACE,
    STATE(1579), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9467] = 3,
    ACTIONS(8060), 1,
      anon_sym_LBRACE,
    STATE(1893), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9478] = 3,
    ACTIONS(3603), 1,
      anon_sym_LBRACE,
    STATE(1895), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9489] = 3,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    STATE(1581), 1,
      sym_curly_group_author_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9500] = 3,
    ACTIONS(8731), 1,
      anon_sym_RBRACE,
    ACTIONS(8733), 1,
      sym_path,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [9511] = 3,
    ACTIONS(8293), 1,
      anon_sym_LBRACE,
    STATE(1897), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9522] = 3,
    ACTIONS(8138), 1,
      anon_sym_LBRACE,
    STATE(1583), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9533] = 3,
    ACTIONS(3603), 1,
      anon_sym_LBRACE,
    STATE(1899), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9544] = 3,
    ACTIONS(3603), 1,
      anon_sym_LBRACE,
    STATE(1901), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9555] = 3,
    ACTIONS(3603), 1,
      anon_sym_LBRACE,
    STATE(1902), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9566] = 3,
    ACTIONS(8735), 1,
      anon_sym_LBRACE,
    STATE(1905), 1,
      sym__comment_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9577] = 3,
    ACTIONS(8737), 1,
      anon_sym_LBRACE,
    STATE(1907), 1,
      sym__verbatim_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9588] = 3,
    ACTIONS(8739), 1,
      anon_sym_LBRACE,
    STATE(1911), 1,
      sym__listing_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9599] = 3,
    ACTIONS(8741), 1,
      anon_sym_LBRACE,
    STATE(1912), 1,
      sym__minted_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9610] = 3,
    ACTIONS(8743), 1,
      anon_sym_LBRACE,
    STATE(1914), 1,
      sym__asy_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9621] = 3,
    ACTIONS(8745), 1,
      anon_sym_LBRACE,
    STATE(1918), 1,
      sym__asydef_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9632] = 3,
    ACTIONS(8747), 1,
      anon_sym_LBRACE,
    STATE(1919), 1,
      sym__pycode_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9643] = 3,
    ACTIONS(8749), 1,
      anon_sym_LBRACE,
    STATE(1920), 1,
      sym___luacode_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9654] = 3,
    ACTIONS(8751), 1,
      anon_sym_LBRACE,
    STATE(1922), 1,
      sym___luacode_environment_star_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9665] = 3,
    ACTIONS(8753), 1,
      anon_sym_LBRACE,
    STATE(1923), 1,
      sym__sagesilent_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9676] = 3,
    ACTIONS(8755), 1,
      anon_sym_LBRACE,
    STATE(1926), 1,
      sym__sageblock_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9687] = 3,
    ACTIONS(8140), 1,
      anon_sym_LBRACE,
    STATE(1584), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9698] = 3,
    ACTIONS(8142), 1,
      anon_sym_LBRACE,
    STATE(1585), 1,
      sym_curly_group_glob_pattern,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9709] = 3,
    ACTIONS(8140), 1,
      anon_sym_LBRACE,
    STATE(1586), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9720] = 3,
    ACTIONS(8140), 1,
      anon_sym_LBRACE,
    STATE(1587), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9731] = 3,
    ACTIONS(3603), 1,
      anon_sym_LBRACE,
    STATE(1942), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9742] = 3,
    ACTIONS(8140), 1,
      anon_sym_LBRACE,
    STATE(1588), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9753] = 3,
    ACTIONS(8140), 1,
      anon_sym_LBRACE,
    STATE(1589), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9764] = 3,
    ACTIONS(8293), 1,
      anon_sym_LBRACE,
    STATE(1964), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9775] = 3,
    ACTIONS(8293), 1,
      anon_sym_LBRACE,
    STATE(1967), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9786] = 3,
    ACTIONS(1424), 1,
      anon_sym_LBRACE,
    STATE(1590), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9797] = 3,
    ACTIONS(3603), 1,
      anon_sym_LBRACE,
    STATE(1969), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9808] = 3,
    ACTIONS(3603), 1,
      anon_sym_LBRACE,
    STATE(1994), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9819] = 3,
    ACTIONS(3603), 1,
      anon_sym_LBRACE,
    STATE(1996), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9830] = 3,
    ACTIONS(3603), 1,
      anon_sym_LBRACE,
    STATE(2008), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9841] = 3,
    ACTIONS(8603), 1,
      anon_sym_minted,
    STATE(3815), 1,
      sym__minted_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9852] = 3,
    ACTIONS(3603), 1,
      anon_sym_LBRACE,
    STATE(2035), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9863] = 3,
    ACTIONS(8166), 1,
      anon_sym_LBRACE,
    STATE(1593), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9874] = 3,
    ACTIONS(1424), 1,
      anon_sym_LBRACE,
    STATE(1594), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9885] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(1114), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9896] = 3,
    ACTIONS(8757), 1,
      anon_sym_LBRACE,
    STATE(1596), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9907] = 3,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    STATE(589), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9918] = 3,
    ACTIONS(8759), 1,
      sym_command_name,
    ACTIONS(8761), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9929] = 3,
    ACTIONS(8166), 1,
      anon_sym_LBRACE,
    STATE(1598), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9940] = 3,
    ACTIONS(8763), 1,
      anon_sym_LBRACE,
    STATE(1599), 1,
      sym_curly_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9951] = 3,
    ACTIONS(8166), 1,
      anon_sym_LBRACE,
    STATE(1600), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9962] = 3,
    ACTIONS(8090), 1,
      anon_sym_LBRACE,
    STATE(2307), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9973] = 3,
    ACTIONS(8166), 1,
      anon_sym_LBRACE,
    STATE(1601), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9984] = 3,
    ACTIONS(8090), 1,
      anon_sym_LBRACE,
    STATE(2309), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [9995] = 3,
    ACTIONS(8088), 1,
      anon_sym_LBRACE,
    STATE(2310), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10006] = 3,
    ACTIONS(8164), 1,
      anon_sym_LBRACE,
    STATE(950), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10017] = 3,
    ACTIONS(1424), 1,
      anon_sym_LBRACE,
    STATE(1152), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10028] = 3,
    ACTIONS(8166), 1,
      anon_sym_LBRACE,
    STATE(1629), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10039] = 3,
    ACTIONS(8090), 1,
      anon_sym_LBRACE,
    STATE(2233), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10050] = 3,
    ACTIONS(8204), 1,
      anon_sym_LBRACE,
    STATE(987), 1,
      sym_curly_group_glob_pattern,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10061] = 3,
    ACTIONS(8765), 1,
      anon_sym_BSLASHend,
    STATE(1631), 1,
      sym__comment_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10072] = 3,
    ACTIONS(8096), 1,
      anon_sym_LBRACE,
    STATE(2317), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10083] = 3,
    ACTIONS(8094), 1,
      anon_sym_LBRACE,
    STATE(2318), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10094] = 3,
    ACTIONS(8767), 1,
      anon_sym_BSLASHend,
    STATE(1632), 1,
      sym__verbatim_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10105] = 3,
    ACTIONS(8769), 1,
      anon_sym_BSLASHend,
    STATE(1633), 1,
      sym__listing_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10116] = 3,
    ACTIONS(8771), 1,
      anon_sym_BSLASHend,
    STATE(1634), 1,
      sym__minted_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10127] = 3,
    ACTIONS(8773), 1,
      anon_sym_BSLASHend,
    STATE(1635), 1,
      sym__asy_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10138] = 3,
    ACTIONS(8088), 1,
      anon_sym_LBRACE,
    STATE(2249), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10149] = 3,
    ACTIONS(8775), 1,
      anon_sym_LBRACE,
    STATE(2214), 1,
      sym_curly_group_uri,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10160] = 3,
    ACTIONS(8777), 1,
      anon_sym_BSLASHend,
    STATE(1636), 1,
      sym__asydef_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10171] = 3,
    ACTIONS(8779), 1,
      anon_sym_BSLASHend,
    STATE(1637), 1,
      sym__pycode_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10182] = 3,
    ACTIONS(8781), 1,
      anon_sym_BSLASHend,
    STATE(1638), 1,
      sym___luacode_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10193] = 3,
    ACTIONS(8783), 1,
      anon_sym_BSLASHend,
    STATE(1639), 1,
      sym___luacode_environment_star_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10204] = 3,
    ACTIONS(8785), 1,
      anon_sym_BSLASHend,
    STATE(1640), 1,
      sym__sagesilent_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10215] = 3,
    ACTIONS(7867), 1,
      anon_sym_LBRACE,
    STATE(2260), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10226] = 3,
    ACTIONS(8787), 1,
      anon_sym_BSLASHend,
    STATE(1641), 1,
      sym__sageblock_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10237] = 3,
    ACTIONS(8086), 1,
      anon_sym_LBRACE,
    STATE(2266), 1,
      sym_curly_group_author_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10248] = 3,
    ACTIONS(8789), 1,
      anon_sym_RBRACE,
    ACTIONS(8791), 1,
      sym_path,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [10259] = 3,
    ACTIONS(8088), 1,
      anon_sym_LBRACE,
    STATE(2275), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10270] = 3,
    ACTIONS(8090), 1,
      anon_sym_LBRACE,
    STATE(2279), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10281] = 3,
    ACTIONS(8092), 1,
      anon_sym_LBRACE,
    STATE(2280), 1,
      sym_curly_group_glob_pattern,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10292] = 3,
    ACTIONS(8090), 1,
      anon_sym_LBRACE,
    STATE(2286), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10303] = 3,
    ACTIONS(8090), 1,
      anon_sym_LBRACE,
    STATE(2288), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10314] = 3,
    ACTIONS(8090), 1,
      anon_sym_LBRACE,
    STATE(2290), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10325] = 3,
    ACTIONS(8090), 1,
      anon_sym_LBRACE,
    STATE(2302), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10336] = 3,
    ACTIONS(7867), 1,
      anon_sym_LBRACE,
    STATE(2314), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10347] = 3,
    ACTIONS(8793), 1,
      anon_sym_LBRACE,
    STATE(1297), 1,
      sym__math_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10358] = 3,
    ACTIONS(8192), 1,
      anon_sym_LBRACE,
    STATE(1023), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10369] = 3,
    ACTIONS(8096), 1,
      anon_sym_LBRACE,
    STATE(2236), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10380] = 3,
    ACTIONS(7867), 1,
      anon_sym_LBRACE,
    STATE(2237), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10391] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3675), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10402] = 3,
    ACTIONS(8795), 1,
      anon_sym_LBRACE,
    STATE(2239), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10413] = 3,
    ACTIONS(8797), 1,
      sym_command_name,
    ACTIONS(8799), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10424] = 3,
    ACTIONS(8096), 1,
      anon_sym_LBRACE,
    STATE(2241), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10435] = 3,
    ACTIONS(8801), 1,
      anon_sym_LBRACE,
    STATE(2242), 1,
      sym_curly_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10446] = 3,
    ACTIONS(8096), 1,
      anon_sym_LBRACE,
    STATE(2243), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10457] = 3,
    ACTIONS(8096), 1,
      anon_sym_LBRACE,
    STATE(2244), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10468] = 3,
    ACTIONS(8094), 1,
      anon_sym_LBRACE,
    STATE(2209), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10479] = 3,
    ACTIONS(7867), 1,
      anon_sym_LBRACE,
    STATE(2218), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10490] = 3,
    ACTIONS(8130), 1,
      anon_sym_LBRACE,
    STATE(595), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10501] = 3,
    ACTIONS(8803), 1,
      anon_sym_BSLASHend,
    STATE(597), 1,
      sym__comment_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10512] = 3,
    ACTIONS(8805), 1,
      anon_sym_BSLASHend,
    STATE(598), 1,
      sym__verbatim_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10523] = 3,
    ACTIONS(8807), 1,
      anon_sym_BSLASHend,
    STATE(599), 1,
      sym__listing_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10534] = 3,
    ACTIONS(8809), 1,
      anon_sym_BSLASHend,
    STATE(600), 1,
      sym__minted_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10545] = 3,
    ACTIONS(8811), 1,
      anon_sym_BSLASHend,
    STATE(601), 1,
      sym__asy_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10556] = 3,
    ACTIONS(8813), 1,
      anon_sym_BSLASHend,
    STATE(602), 1,
      sym__asydef_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10567] = 3,
    ACTIONS(8815), 1,
      anon_sym_BSLASHend,
    STATE(603), 1,
      sym__pycode_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10578] = 3,
    ACTIONS(8817), 1,
      anon_sym_BSLASHend,
    STATE(604), 1,
      sym___luacode_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10589] = 3,
    ACTIONS(8819), 1,
      anon_sym_BSLASHend,
    STATE(605), 1,
      sym___luacode_environment_star_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10600] = 3,
    ACTIONS(8821), 1,
      anon_sym_BSLASHend,
    STATE(606), 1,
      sym__sagesilent_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10611] = 3,
    ACTIONS(8823), 1,
      anon_sym_BSLASHend,
    STATE(607), 1,
      sym__sageblock_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10622] = 3,
    ACTIONS(8825), 1,
      anon_sym_LBRACE,
    STATE(608), 1,
      sym__math_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10633] = 3,
    ACTIONS(8827), 1,
      anon_sym_BSLASHend,
    STATE(1025), 1,
      sym__comment_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10644] = 3,
    ACTIONS(8094), 1,
      anon_sym_LBRACE,
    STATE(2261), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10655] = 3,
    ACTIONS(7867), 1,
      anon_sym_LBRACE,
    STATE(2264), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10666] = 3,
    ACTIONS(8492), 1,
      anon_sym_LBRACE,
    STATE(2267), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10677] = 3,
    ACTIONS(7867), 1,
      anon_sym_LBRACE,
    STATE(2269), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10688] = 3,
    ACTIONS(7867), 1,
      anon_sym_LBRACE,
    STATE(2271), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10699] = 3,
    ACTIONS(7867), 1,
      anon_sym_LBRACE,
    STATE(2273), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10710] = 3,
    ACTIONS(8829), 1,
      anon_sym_LBRACE,
    STATE(613), 1,
      sym__comment_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10721] = 3,
    ACTIONS(8831), 1,
      anon_sym_LBRACE,
    STATE(614), 1,
      sym__verbatim_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10732] = 3,
    ACTIONS(8833), 1,
      anon_sym_LBRACE,
    STATE(615), 1,
      sym__listing_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10743] = 3,
    ACTIONS(8835), 1,
      anon_sym_LBRACE,
    STATE(616), 1,
      sym__minted_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10754] = 3,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(617), 1,
      sym__asy_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10765] = 3,
    ACTIONS(8839), 1,
      anon_sym_LBRACE,
    STATE(618), 1,
      sym__asydef_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10776] = 3,
    ACTIONS(8841), 1,
      anon_sym_LBRACE,
    STATE(619), 1,
      sym__pycode_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10787] = 3,
    ACTIONS(8843), 1,
      anon_sym_LBRACE,
    STATE(620), 1,
      sym___luacode_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10798] = 3,
    ACTIONS(8845), 1,
      anon_sym_LBRACE,
    STATE(621), 1,
      sym___luacode_environment_star_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10809] = 3,
    ACTIONS(8847), 1,
      anon_sym_LBRACE,
    STATE(622), 1,
      sym__sagesilent_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10820] = 3,
    ACTIONS(8849), 1,
      anon_sym_LBRACE,
    STATE(623), 1,
      sym__sageblock_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10831] = 3,
    ACTIONS(7867), 1,
      anon_sym_LBRACE,
    STATE(2287), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10842] = 3,
    ACTIONS(8492), 1,
      anon_sym_LBRACE,
    STATE(2291), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10853] = 3,
    ACTIONS(8492), 1,
      anon_sym_LBRACE,
    STATE(2292), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10864] = 3,
    ACTIONS(8851), 1,
      anon_sym_BSLASHend,
    STATE(1026), 1,
      sym__verbatim_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10875] = 3,
    ACTIONS(7867), 1,
      anon_sym_LBRACE,
    STATE(2294), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10886] = 3,
    ACTIONS(7867), 1,
      anon_sym_LBRACE,
    STATE(2296), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10897] = 3,
    ACTIONS(7867), 1,
      anon_sym_LBRACE,
    STATE(2297), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10908] = 3,
    ACTIONS(7867), 1,
      anon_sym_LBRACE,
    STATE(2298), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10919] = 3,
    ACTIONS(8603), 1,
      anon_sym_minted,
    STATE(3682), 1,
      sym__minted_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10930] = 3,
    ACTIONS(8853), 1,
      anon_sym_BSLASHend,
    STATE(1027), 1,
      sym__listing_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10941] = 3,
    ACTIONS(7867), 1,
      anon_sym_LBRACE,
    STATE(2301), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10952] = 3,
    ACTIONS(8855), 1,
      anon_sym_BSLASHend,
    STATE(976), 1,
      sym__minted_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10963] = 3,
    ACTIONS(8164), 1,
      anon_sym_LBRACE,
    STATE(1273), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10974] = 3,
    ACTIONS(5387), 1,
      anon_sym_LBRACE,
    STATE(2205), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10985] = 3,
    ACTIONS(8857), 1,
      anon_sym_BSLASHend,
    STATE(1029), 1,
      sym__asy_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [10996] = 3,
    ACTIONS(1424), 1,
      anon_sym_LBRACE,
    STATE(1351), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11007] = 3,
    ACTIONS(8859), 1,
      anon_sym_BSLASHend,
    STATE(1030), 1,
      sym__asydef_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11018] = 3,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(641), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11029] = 3,
    ACTIONS(8861), 1,
      anon_sym_BSLASHend,
    STATE(1031), 1,
      sym__pycode_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11040] = 3,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(643), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11051] = 3,
    ACTIONS(8122), 1,
      anon_sym_LBRACE,
    STATE(644), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11062] = 3,
    ACTIONS(8367), 1,
      anon_sym_LBRACE,
    STATE(1355), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11073] = 3,
    ACTIONS(8863), 1,
      anon_sym_BSLASHend,
    STATE(1032), 1,
      sym___luacode_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11084] = 3,
    ACTIONS(1424), 1,
      anon_sym_LBRACE,
    STATE(1395), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11095] = 3,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(648), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11106] = 3,
    ACTIONS(1424), 1,
      anon_sym_LBRACE,
    STATE(1398), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11117] = 3,
    ACTIONS(1424), 1,
      anon_sym_LBRACE,
    STATE(1428), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11128] = 3,
    ACTIONS(8130), 1,
      anon_sym_LBRACE,
    STATE(651), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11139] = 3,
    ACTIONS(8128), 1,
      anon_sym_LBRACE,
    STATE(652), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11150] = 3,
    ACTIONS(8865), 1,
      anon_sym_LBRACE,
    STATE(1164), 1,
      sym__comment_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11161] = 3,
    ACTIONS(8867), 1,
      anon_sym_LBRACE,
    STATE(1165), 1,
      sym__verbatim_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11172] = 3,
    ACTIONS(8869), 1,
      anon_sym_LBRACE,
    STATE(1183), 1,
      sym__listing_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11183] = 3,
    ACTIONS(8122), 1,
      anon_sym_LBRACE,
    STATE(656), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11194] = 3,
    ACTIONS(8871), 1,
      anon_sym_LBRACE,
    STATE(492), 1,
      sym_curly_group_uri,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11205] = 3,
    ACTIONS(8873), 1,
      anon_sym_LBRACE,
    STATE(1187), 1,
      sym__minted_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11216] = 3,
    ACTIONS(8875), 1,
      anon_sym_LBRACE,
    STATE(1196), 1,
      sym__asy_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11227] = 3,
    ACTIONS(8877), 1,
      anon_sym_LBRACE,
    STATE(1200), 1,
      sym__asydef_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11238] = 3,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    STATE(658), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11249] = 3,
    ACTIONS(8879), 1,
      anon_sym_LBRACE,
    STATE(1202), 1,
      sym__pycode_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11260] = 3,
    ACTIONS(8120), 1,
      anon_sym_LBRACE,
    STATE(660), 1,
      sym_curly_group_author_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11271] = 3,
    ACTIONS(8881), 1,
      anon_sym_RBRACE,
    ACTIONS(8883), 1,
      sym_path,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [11282] = 3,
    ACTIONS(8122), 1,
      anon_sym_LBRACE,
    STATE(662), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11293] = 3,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(663), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11304] = 3,
    ACTIONS(8126), 1,
      anon_sym_LBRACE,
    STATE(664), 1,
      sym_curly_group_glob_pattern,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11315] = 3,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(665), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11326] = 3,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(666), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11337] = 3,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(667), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11348] = 3,
    ACTIONS(8124), 1,
      anon_sym_LBRACE,
    STATE(668), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11359] = 3,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    STATE(669), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11370] = 3,
    ACTIONS(8885), 1,
      anon_sym_LBRACE,
    STATE(1206), 1,
      sym___luacode_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11381] = 3,
    ACTIONS(8887), 1,
      anon_sym_LBRACE,
    STATE(1207), 1,
      sym___luacode_environment_star_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11392] = 3,
    ACTIONS(8130), 1,
      anon_sym_LBRACE,
    STATE(672), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11403] = 3,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    STATE(673), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11414] = 3,
    ACTIONS(8889), 1,
      anon_sym_LBRACE,
    STATE(1208), 1,
      sym__sagesilent_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11425] = 3,
    ACTIONS(8891), 1,
      anon_sym_LBRACE,
    STATE(675), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11436] = 3,
    ACTIONS(8893), 1,
      sym_command_name,
    ACTIONS(8895), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11447] = 3,
    ACTIONS(8130), 1,
      anon_sym_LBRACE,
    STATE(677), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11458] = 3,
    ACTIONS(8897), 1,
      anon_sym_LBRACE,
    STATE(678), 1,
      sym_curly_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11469] = 3,
    ACTIONS(8130), 1,
      anon_sym_LBRACE,
    STATE(679), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11480] = 3,
    ACTIONS(8130), 1,
      anon_sym_LBRACE,
    STATE(680), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11491] = 3,
    ACTIONS(8128), 1,
      anon_sym_LBRACE,
    STATE(454), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11502] = 3,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    STATE(488), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11513] = 3,
    ACTIONS(8899), 1,
      anon_sym_LBRACE,
    STATE(1210), 1,
      sym__sageblock_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11524] = 3,
    ACTIONS(8901), 1,
      anon_sym_BSLASHend,
    STATE(1034), 1,
      sym___luacode_environment_star_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11535] = 3,
    ACTIONS(8903), 1,
      anon_sym_BSLASHend,
    STATE(1035), 1,
      sym__sagesilent_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11546] = 3,
    ACTIONS(8905), 1,
      anon_sym_BSLASHend,
    STATE(1036), 1,
      sym__sageblock_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11557] = 3,
    ACTIONS(8128), 1,
      anon_sym_LBRACE,
    STATE(698), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11568] = 3,
    ACTIONS(8907), 1,
      anon_sym_LBRACE,
    STATE(1037), 1,
      sym__math_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11579] = 3,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    STATE(700), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11590] = 3,
    ACTIONS(8206), 1,
      anon_sym_LBRACE,
    STATE(3180), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11601] = 3,
    ACTIONS(1424), 1,
      anon_sym_LBRACE,
    STATE(1218), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11612] = 3,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    STATE(702), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11623] = 3,
    ACTIONS(8206), 1,
      anon_sym_LBRACE,
    STATE(989), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11634] = 3,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    STATE(704), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11645] = 3,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    STATE(706), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11656] = 3,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    STATE(707), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11667] = 3,
    ACTIONS(8367), 1,
      anon_sym_LBRACE,
    STATE(1365), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11678] = 3,
    ACTIONS(8367), 1,
      anon_sym_LBRACE,
    STATE(1366), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11689] = 3,
    ACTIONS(8206), 1,
      anon_sym_LBRACE,
    STATE(995), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11700] = 3,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    STATE(713), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11711] = 3,
    ACTIONS(1424), 1,
      anon_sym_LBRACE,
    STATE(1369), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11722] = 3,
    ACTIONS(1424), 1,
      anon_sym_LBRACE,
    STATE(1619), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11733] = 3,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    STATE(715), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11744] = 3,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    STATE(716), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11755] = 3,
    ACTIONS(1424), 1,
      anon_sym_LBRACE,
    STATE(1167), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11766] = 3,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    STATE(718), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11777] = 3,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    STATE(720), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11788] = 3,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    STATE(721), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11799] = 3,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    STATE(722), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11810] = 3,
    ACTIONS(1424), 1,
      anon_sym_LBRACE,
    STATE(1194), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11821] = 3,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    STATE(725), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11832] = 3,
    ACTIONS(8603), 1,
      anon_sym_minted,
    STATE(3709), 1,
      sym__minted_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11843] = 3,
    ACTIONS(1424), 1,
      anon_sym_LBRACE,
    STATE(1201), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11854] = 3,
    ACTIONS(8206), 1,
      anon_sym_LBRACE,
    STATE(996), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11865] = 3,
    ACTIONS(4818), 1,
      anon_sym_LBRACE,
    STATE(1909), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11876] = 3,
    ACTIONS(8206), 1,
      anon_sym_LBRACE,
    STATE(997), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11887] = 3,
    ACTIONS(8074), 1,
      anon_sym_LBRACE,
    STATE(1129), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11898] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(998), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11909] = 3,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    STATE(1430), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11920] = 3,
    ACTIONS(8156), 1,
      anon_sym_LBRACE,
    STATE(2188), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11931] = 3,
    ACTIONS(8206), 1,
      anon_sym_LBRACE,
    STATE(1123), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11942] = 3,
    ACTIONS(8156), 1,
      anon_sym_LBRACE,
    STATE(2190), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11953] = 3,
    ACTIONS(8154), 1,
      anon_sym_LBRACE,
    STATE(2191), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11964] = 3,
    ACTIONS(8909), 1,
      anon_sym_LBRACE,
    STATE(1073), 1,
      sym__comment_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11975] = 3,
    ACTIONS(8192), 1,
      anon_sym_LBRACE,
    STATE(1141), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11986] = 3,
    ACTIONS(8911), 1,
      anon_sym_LBRACE,
    STATE(1074), 1,
      sym__verbatim_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [11997] = 3,
    ACTIONS(8156), 1,
      anon_sym_LBRACE,
    STATE(2195), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12008] = 3,
    ACTIONS(8100), 1,
      anon_sym_LBRACE,
    STATE(1554), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12019] = 3,
    ACTIONS(8038), 1,
      anon_sym_LBRACE,
    STATE(1142), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12030] = 3,
    ACTIONS(8162), 1,
      anon_sym_LBRACE,
    STATE(2199), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12041] = 3,
    ACTIONS(8160), 1,
      anon_sym_LBRACE,
    STATE(2200), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12052] = 3,
    ACTIONS(8100), 1,
      anon_sym_LBRACE,
    STATE(1556), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12063] = 3,
    ACTIONS(8098), 1,
      anon_sym_LBRACE,
    STATE(1562), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12074] = 3,
    ACTIONS(8913), 1,
      anon_sym_LBRACE,
    STATE(1075), 1,
      sym__listing_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12085] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3237), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12096] = 3,
    ACTIONS(8154), 1,
      anon_sym_LBRACE,
    STATE(2152), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12107] = 3,
    ACTIONS(8915), 1,
      anon_sym_LBRACE,
    STATE(2106), 1,
      sym_curly_group_uri,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12118] = 3,
    ACTIONS(8917), 1,
      anon_sym_LBRACE,
    STATE(1162), 1,
      sym__minted_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12129] = 3,
    ACTIONS(8100), 1,
      anon_sym_LBRACE,
    STATE(1576), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12140] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3241), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12151] = 3,
    ACTIONS(5387), 1,
      anon_sym_LBRACE,
    STATE(2169), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12162] = 3,
    ACTIONS(8919), 1,
      anon_sym_LBRACE,
    STATE(1077), 1,
      sym__asy_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12173] = 3,
    ACTIONS(8152), 1,
      anon_sym_LBRACE,
    STATE(2118), 1,
      sym_curly_group_author_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12184] = 3,
    ACTIONS(8921), 1,
      anon_sym_RBRACE,
    ACTIONS(8923), 1,
      sym_path,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [12195] = 3,
    ACTIONS(8154), 1,
      anon_sym_LBRACE,
    STATE(2129), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12206] = 3,
    ACTIONS(8156), 1,
      anon_sym_LBRACE,
    STATE(2135), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12217] = 3,
    ACTIONS(8158), 1,
      anon_sym_LBRACE,
    STATE(2136), 1,
      sym_curly_group_glob_pattern,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12228] = 3,
    ACTIONS(8156), 1,
      anon_sym_LBRACE,
    STATE(2143), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12239] = 3,
    ACTIONS(8156), 1,
      anon_sym_LBRACE,
    STATE(2150), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12250] = 3,
    ACTIONS(8156), 1,
      anon_sym_LBRACE,
    STATE(2154), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12261] = 3,
    ACTIONS(8156), 1,
      anon_sym_LBRACE,
    STATE(2163), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12272] = 3,
    ACTIONS(5387), 1,
      anon_sym_LBRACE,
    STATE(2164), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12283] = 3,
    ACTIONS(8106), 1,
      anon_sym_LBRACE,
    STATE(1605), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12294] = 3,
    ACTIONS(8104), 1,
      anon_sym_LBRACE,
    STATE(1607), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12305] = 3,
    ACTIONS(8162), 1,
      anon_sym_LBRACE,
    STATE(2180), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12316] = 3,
    ACTIONS(5387), 1,
      anon_sym_LBRACE,
    STATE(2183), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12327] = 3,
    ACTIONS(8925), 1,
      anon_sym_LBRACE,
    STATE(2207), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12338] = 3,
    ACTIONS(8927), 1,
      sym_command_name,
    ACTIONS(8929), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12349] = 3,
    ACTIONS(8162), 1,
      anon_sym_LBRACE,
    STATE(2110), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12360] = 3,
    ACTIONS(8931), 1,
      anon_sym_LBRACE,
    STATE(2111), 1,
      sym_curly_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12371] = 3,
    ACTIONS(8162), 1,
      anon_sym_LBRACE,
    STATE(2112), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12382] = 3,
    ACTIONS(8162), 1,
      anon_sym_LBRACE,
    STATE(2113), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12393] = 3,
    ACTIONS(8160), 1,
      anon_sym_LBRACE,
    STATE(1916), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12404] = 3,
    ACTIONS(5387), 1,
      anon_sym_LBRACE,
    STATE(2098), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12415] = 3,
    ACTIONS(8074), 1,
      anon_sym_LBRACE,
    STATE(1155), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12426] = 3,
    ACTIONS(8933), 1,
      anon_sym_LBRACE,
    STATE(1078), 1,
      sym__asydef_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12437] = 3,
    ACTIONS(8160), 1,
      anon_sym_LBRACE,
    STATE(2130), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12448] = 3,
    ACTIONS(8935), 1,
      anon_sym_LBRACE,
    STATE(1079), 1,
      sym__pycode_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12459] = 3,
    ACTIONS(5387), 1,
      anon_sym_LBRACE,
    STATE(2133), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12470] = 3,
    ACTIONS(8098), 1,
      anon_sym_LBRACE,
    STATE(1617), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12481] = 3,
    ACTIONS(8937), 1,
      anon_sym_LBRACE,
    STATE(1159), 1,
      sym_curly_group_uri,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12492] = 3,
    ACTIONS(8373), 1,
      anon_sym_LBRACE,
    STATE(2137), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12503] = 3,
    ACTIONS(8192), 1,
      anon_sym_LBRACE,
    STATE(1001), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12514] = 3,
    ACTIONS(5387), 1,
      anon_sym_LBRACE,
    STATE(2139), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12525] = 3,
    ACTIONS(5387), 1,
      anon_sym_LBRACE,
    STATE(2144), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12536] = 3,
    ACTIONS(8939), 1,
      anon_sym_LBRACE,
    STATE(1080), 1,
      sym___luacode_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12547] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(1002), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12558] = 3,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    STATE(1394), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12569] = 3,
    ACTIONS(5387), 1,
      anon_sym_LBRACE,
    STATE(2151), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12580] = 3,
    ACTIONS(8941), 1,
      anon_sym_LBRACE,
    STATE(1082), 1,
      sym___luacode_environment_star_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12591] = 3,
    ACTIONS(8373), 1,
      anon_sym_LBRACE,
    STATE(2155), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12602] = 3,
    ACTIONS(8373), 1,
      anon_sym_LBRACE,
    STATE(2156), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12613] = 3,
    ACTIONS(8943), 1,
      anon_sym_LBRACE,
    STATE(1083), 1,
      sym__sagesilent_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12624] = 3,
    ACTIONS(5387), 1,
      anon_sym_LBRACE,
    STATE(2158), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12635] = 3,
    ACTIONS(5387), 1,
      anon_sym_LBRACE,
    STATE(2208), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12646] = 3,
    ACTIONS(5387), 1,
      anon_sym_LBRACE,
    STATE(2162), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12657] = 3,
    ACTIONS(5387), 1,
      anon_sym_LBRACE,
    STATE(2165), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12668] = 3,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    STATE(1168), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12679] = 3,
    ACTIONS(5387), 1,
      anon_sym_LBRACE,
    STATE(2168), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12690] = 3,
    ACTIONS(8945), 1,
      anon_sym_LBRACE,
    STATE(963), 1,
      sym_curly_group_uri,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12701] = 3,
    ACTIONS(8076), 1,
      anon_sym_LBRACE,
    STATE(1170), 1,
      sym_curly_group_author_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12712] = 3,
    ACTIONS(8947), 1,
      anon_sym_RBRACE,
    ACTIONS(8949), 1,
      sym_path,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [12723] = 3,
    ACTIONS(8098), 1,
      anon_sym_LBRACE,
    STATE(1172), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12734] = 3,
    ACTIONS(8100), 1,
      anon_sym_LBRACE,
    STATE(1173), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12745] = 3,
    ACTIONS(8102), 1,
      anon_sym_LBRACE,
    STATE(1174), 1,
      sym_curly_group_glob_pattern,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12756] = 3,
    ACTIONS(8100), 1,
      anon_sym_LBRACE,
    STATE(1175), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12767] = 3,
    ACTIONS(8100), 1,
      anon_sym_LBRACE,
    STATE(1176), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12778] = 3,
    ACTIONS(8100), 1,
      anon_sym_LBRACE,
    STATE(1177), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12789] = 3,
    ACTIONS(8176), 1,
      anon_sym_LBRACE,
    STATE(1947), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12800] = 3,
    ACTIONS(8100), 1,
      anon_sym_LBRACE,
    STATE(1178), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12811] = 3,
    ACTIONS(8176), 1,
      anon_sym_LBRACE,
    STATE(1949), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12822] = 3,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(1950), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12833] = 3,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    STATE(1179), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12844] = 3,
    ACTIONS(8951), 1,
      anon_sym_LBRACE,
    STATE(1084), 1,
      sym__sageblock_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12855] = 3,
    ACTIONS(8953), 1,
      anon_sym_LBRACE,
    STATE(2854), 1,
      sym_curly_group_spec,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12866] = 3,
    ACTIONS(8176), 1,
      anon_sym_LBRACE,
    STATE(1954), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12877] = 3,
    ACTIONS(8106), 1,
      anon_sym_LBRACE,
    STATE(1182), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12888] = 3,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    STATE(1184), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12899] = 3,
    ACTIONS(8182), 1,
      anon_sym_LBRACE,
    STATE(1957), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12910] = 3,
    ACTIONS(8180), 1,
      anon_sym_LBRACE,
    STATE(1958), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12921] = 3,
    ACTIONS(8955), 1,
      anon_sym_LBRACE,
    STATE(1005), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12932] = 3,
    ACTIONS(8957), 1,
      anon_sym_LBRACE,
    STATE(1186), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12943] = 3,
    ACTIONS(8959), 1,
      sym_command_name,
    ACTIONS(8961), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12954] = 3,
    ACTIONS(8106), 1,
      anon_sym_LBRACE,
    STATE(1189), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12965] = 3,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(1963), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12976] = 3,
    ACTIONS(8963), 1,
      anon_sym_LBRACE,
    STATE(1817), 1,
      sym_curly_group_uri,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12987] = 3,
    ACTIONS(8965), 1,
      anon_sym_LBRACE,
    STATE(1190), 1,
      sym_curly_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [12998] = 3,
    ACTIONS(8106), 1,
      anon_sym_LBRACE,
    STATE(1191), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13009] = 3,
    ACTIONS(8106), 1,
      anon_sym_LBRACE,
    STATE(1192), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13020] = 3,
    ACTIONS(4818), 1,
      anon_sym_LBRACE,
    STATE(1970), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13031] = 3,
    ACTIONS(8104), 1,
      anon_sym_LBRACE,
    STATE(962), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13042] = 3,
    ACTIONS(8172), 1,
      anon_sym_LBRACE,
    STATE(1972), 1,
      sym_curly_group_author_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13053] = 3,
    ACTIONS(8967), 1,
      anon_sym_RBRACE,
    ACTIONS(8969), 1,
      sym_path,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [13064] = 3,
    ACTIONS(8174), 1,
      anon_sym_LBRACE,
    STATE(1974), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13075] = 3,
    ACTIONS(8176), 1,
      anon_sym_LBRACE,
    STATE(1975), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13086] = 3,
    ACTIONS(8178), 1,
      anon_sym_LBRACE,
    STATE(1976), 1,
      sym_curly_group_glob_pattern,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13097] = 3,
    ACTIONS(8176), 1,
      anon_sym_LBRACE,
    STATE(1977), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13108] = 3,
    ACTIONS(8176), 1,
      anon_sym_LBRACE,
    STATE(1978), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13119] = 3,
    ACTIONS(8176), 1,
      anon_sym_LBRACE,
    STATE(1979), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13130] = 3,
    ACTIONS(8176), 1,
      anon_sym_LBRACE,
    STATE(1980), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13141] = 3,
    ACTIONS(4818), 1,
      anon_sym_LBRACE,
    STATE(1981), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13152] = 3,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    STATE(1019), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13163] = 3,
    ACTIONS(8106), 1,
      anon_sym_LBRACE,
    STATE(1286), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13174] = 3,
    ACTIONS(8182), 1,
      anon_sym_LBRACE,
    STATE(1984), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13185] = 3,
    ACTIONS(4818), 1,
      anon_sym_LBRACE,
    STATE(1985), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13196] = 3,
    ACTIONS(8971), 1,
      anon_sym_LBRACE,
    STATE(1987), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13207] = 3,
    ACTIONS(8973), 1,
      sym_command_name,
    ACTIONS(8975), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13218] = 3,
    ACTIONS(8182), 1,
      anon_sym_LBRACE,
    STATE(1989), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13229] = 3,
    ACTIONS(8977), 1,
      anon_sym_LBRACE,
    STATE(1990), 1,
      sym_curly_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13240] = 3,
    ACTIONS(8182), 1,
      anon_sym_LBRACE,
    STATE(1991), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13251] = 3,
    ACTIONS(8182), 1,
      anon_sym_LBRACE,
    STATE(1992), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13262] = 3,
    ACTIONS(8180), 1,
      anon_sym_LBRACE,
    STATE(1650), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13273] = 3,
    ACTIONS(4818), 1,
      anon_sym_LBRACE,
    STATE(1824), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13284] = 3,
    ACTIONS(8979), 1,
      anon_sym_BSLASHend,
    STATE(1289), 1,
      sym__comment_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13295] = 3,
    ACTIONS(8981), 1,
      anon_sym_BSLASHend,
    STATE(1291), 1,
      sym__verbatim_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13306] = 3,
    ACTIONS(8983), 1,
      anon_sym_BSLASHend,
    STATE(1293), 1,
      sym__listing_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13317] = 3,
    ACTIONS(8180), 1,
      anon_sym_LBRACE,
    STATE(2004), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13328] = 3,
    ACTIONS(8985), 1,
      anon_sym_BSLASHend,
    STATE(1294), 1,
      sym__minted_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13339] = 3,
    ACTIONS(4818), 1,
      anon_sym_LBRACE,
    STATE(2006), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13350] = 3,
    ACTIONS(8987), 1,
      anon_sym_BSLASHend,
    STATE(1295), 1,
      sym__asy_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13361] = 3,
    ACTIONS(8989), 1,
      anon_sym_BSLASHend,
    STATE(1296), 1,
      sym__asydef_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13372] = 3,
    ACTIONS(8531), 1,
      anon_sym_LBRACE,
    STATE(2009), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13383] = 3,
    ACTIONS(8991), 1,
      anon_sym_BSLASHend,
    STATE(1163), 1,
      sym__pycode_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13394] = 3,
    ACTIONS(4818), 1,
      anon_sym_LBRACE,
    STATE(2011), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13405] = 3,
    ACTIONS(4818), 1,
      anon_sym_LBRACE,
    STATE(2013), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13416] = 3,
    ACTIONS(4818), 1,
      anon_sym_LBRACE,
    STATE(2015), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13427] = 3,
    ACTIONS(8993), 1,
      anon_sym_BSLASHend,
    STATE(1298), 1,
      sym___luacode_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13438] = 3,
    ACTIONS(8995), 1,
      anon_sym_BSLASHend,
    STATE(1299), 1,
      sym___luacode_environment_star_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13449] = 3,
    ACTIONS(8997), 1,
      anon_sym_BSLASHend,
    STATE(1300), 1,
      sym__sagesilent_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13460] = 3,
    ACTIONS(4818), 1,
      anon_sym_LBRACE,
    STATE(2021), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13471] = 3,
    ACTIONS(8999), 1,
      anon_sym_BSLASHend,
    STATE(1301), 1,
      sym__sageblock_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13482] = 3,
    ACTIONS(9001), 1,
      anon_sym_LBRACE,
    STATE(1302), 1,
      sym__math_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13493] = 3,
    ACTIONS(8531), 1,
      anon_sym_LBRACE,
    STATE(2024), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13504] = 3,
    ACTIONS(8531), 1,
      anon_sym_LBRACE,
    STATE(2025), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13515] = 3,
    ACTIONS(4818), 1,
      anon_sym_LBRACE,
    STATE(2027), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13526] = 3,
    ACTIONS(4818), 1,
      anon_sym_LBRACE,
    STATE(2029), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13537] = 3,
    ACTIONS(4818), 1,
      anon_sym_LBRACE,
    STATE(2030), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13548] = 3,
    ACTIONS(4818), 1,
      anon_sym_LBRACE,
    STATE(2031), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13559] = 3,
    ACTIONS(4818), 1,
      anon_sym_LBRACE,
    STATE(2034), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13570] = 3,
    ACTIONS(8206), 1,
      anon_sym_LBRACE,
    STATE(2987), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13581] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2997), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13592] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2998), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13603] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3003), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13614] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3004), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13625] = 3,
    ACTIONS(8953), 1,
      anon_sym_LBRACE,
    STATE(3100), 1,
      sym_curly_group_spec,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13636] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3108), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13647] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3111), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13658] = 3,
    ACTIONS(8104), 1,
      anon_sym_LBRACE,
    STATE(1325), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13669] = 3,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(3161), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13680] = 3,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(3162), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13691] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3165), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13702] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3169), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13713] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3174), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13724] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3177), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13735] = 3,
    ACTIONS(8605), 1,
      anon_sym_comment,
    STATE(3796), 1,
      sym__comment_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13746] = 3,
    ACTIONS(8607), 1,
      anon_sym_verbatim,
    STATE(3799), 1,
      sym__verbatim_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13757] = 3,
    ACTIONS(8611), 1,
      anon_sym_lstlisting,
    STATE(3800), 1,
      sym__listing_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13768] = 3,
    ACTIONS(8613), 1,
      anon_sym_asy,
    STATE(3802), 1,
      sym__asy_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13779] = 3,
    ACTIONS(8619), 1,
      anon_sym_asydef,
    STATE(3803), 1,
      sym__asydef_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13790] = 3,
    ACTIONS(8629), 1,
      anon_sym_pycode,
    STATE(3804), 1,
      sym__pycode_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13801] = 3,
    ACTIONS(8655), 1,
      anon_sym_luacode,
    STATE(3805), 1,
      sym___luacode_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13812] = 3,
    ACTIONS(3943), 1,
      anon_sym_luacode_STAR,
    STATE(3809), 1,
      sym___luacode_environment_star_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13823] = 3,
    ACTIONS(8657), 1,
      anon_sym_sagesilent,
    STATE(3810), 1,
      sym__sagesilent_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13834] = 3,
    ACTIONS(8659), 1,
      anon_sym_sageblock,
    STATE(3835), 1,
      sym__sageblock_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13845] = 3,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    STATE(1329), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13856] = 3,
    ACTIONS(8206), 1,
      anon_sym_LBRACE,
    STATE(3264), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13867] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3271), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13878] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3272), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13889] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3278), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13900] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3281), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13911] = 3,
    ACTIONS(8306), 1,
      anon_sym_LBRACE,
    STATE(1333), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13922] = 3,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    STATE(1337), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13933] = 3,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    STATE(1341), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13944] = 3,
    ACTIONS(8953), 1,
      anon_sym_LBRACE,
    STATE(3359), 1,
      sym_curly_group_spec,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13955] = 3,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    STATE(1344), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13966] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3366), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13977] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3369), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13988] = 3,
    ACTIONS(9003), 1,
      anon_sym_LBRACE,
    STATE(1357), 1,
      sym__comment_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [13999] = 3,
    ACTIONS(9005), 1,
      anon_sym_LBRACE,
    STATE(1358), 1,
      sym__verbatim_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14010] = 3,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(3429), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14021] = 3,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(3430), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14032] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3432), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14043] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3436), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14054] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3442), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14065] = 3,
    ACTIONS(9007), 1,
      anon_sym_LBRACE,
    STATE(1359), 1,
      sym__listing_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14076] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3460), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14087] = 3,
    ACTIONS(8605), 1,
      anon_sym_comment,
    STATE(3973), 1,
      sym__comment_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14098] = 3,
    ACTIONS(8607), 1,
      anon_sym_verbatim,
    STATE(3974), 1,
      sym__verbatim_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14109] = 3,
    ACTIONS(8611), 1,
      anon_sym_lstlisting,
    STATE(3980), 1,
      sym__listing_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14120] = 3,
    ACTIONS(8613), 1,
      anon_sym_asy,
    STATE(3984), 1,
      sym__asy_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14131] = 3,
    ACTIONS(8619), 1,
      anon_sym_asydef,
    STATE(3991), 1,
      sym__asydef_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14142] = 3,
    ACTIONS(8629), 1,
      anon_sym_pycode,
    STATE(3994), 1,
      sym__pycode_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14153] = 3,
    ACTIONS(8655), 1,
      anon_sym_luacode,
    STATE(3997), 1,
      sym___luacode_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14164] = 3,
    ACTIONS(3943), 1,
      anon_sym_luacode_STAR,
    STATE(4000), 1,
      sym___luacode_environment_star_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14175] = 3,
    ACTIONS(8657), 1,
      anon_sym_sagesilent,
    STATE(4003), 1,
      sym__sagesilent_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14186] = 3,
    ACTIONS(8659), 1,
      anon_sym_sageblock,
    STATE(4006), 1,
      sym__sageblock_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14197] = 3,
    ACTIONS(8206), 1,
      anon_sym_LBRACE,
    STATE(3567), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14208] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3572), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14219] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3577), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14230] = 3,
    ACTIONS(9009), 1,
      anon_sym_LBRACE,
    STATE(1360), 1,
      sym__minted_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14241] = 3,
    ACTIONS(9011), 1,
      anon_sym_LBRACE,
    STATE(1361), 1,
      sym__asy_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14252] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3582), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14263] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3585), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14274] = 3,
    ACTIONS(9013), 1,
      anon_sym_LBRACE,
    STATE(1364), 1,
      sym__asydef_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14285] = 3,
    ACTIONS(9015), 1,
      anon_sym_LBRACE,
    STATE(1367), 1,
      sym__pycode_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14296] = 3,
    ACTIONS(9017), 1,
      anon_sym_LBRACE,
    STATE(1371), 1,
      sym___luacode_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14307] = 3,
    ACTIONS(9019), 1,
      anon_sym_LBRACE,
    STATE(1372), 1,
      sym___luacode_environment_star_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14318] = 3,
    ACTIONS(8953), 1,
      anon_sym_LBRACE,
    STATE(2760), 1,
      sym_curly_group_spec,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14329] = 3,
    ACTIONS(9021), 1,
      anon_sym_LBRACE,
    STATE(1373), 1,
      sym__sagesilent_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14340] = 3,
    ACTIONS(9023), 1,
      anon_sym_LBRACE,
    STATE(1374), 1,
      sym__sageblock_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14351] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(2764), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14362] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2766), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14373] = 3,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(2783), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14384] = 3,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(2784), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14395] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(2785), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14406] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2787), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14417] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(2788), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14428] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(2791), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14439] = 3,
    ACTIONS(8605), 1,
      anon_sym_comment,
    STATE(3923), 1,
      sym__comment_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14450] = 3,
    ACTIONS(8607), 1,
      anon_sym_verbatim,
    STATE(3924), 1,
      sym__verbatim_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14461] = 3,
    ACTIONS(8611), 1,
      anon_sym_lstlisting,
    STATE(3926), 1,
      sym__listing_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14472] = 3,
    ACTIONS(8613), 1,
      anon_sym_asy,
    STATE(3929), 1,
      sym__asy_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14483] = 3,
    ACTIONS(8619), 1,
      anon_sym_asydef,
    STATE(3930), 1,
      sym__asydef_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14494] = 3,
    ACTIONS(8629), 1,
      anon_sym_pycode,
    STATE(3931), 1,
      sym__pycode_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14505] = 3,
    ACTIONS(8655), 1,
      anon_sym_luacode,
    STATE(3932), 1,
      sym___luacode_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14516] = 3,
    ACTIONS(3943), 1,
      anon_sym_luacode_STAR,
    STATE(3934), 1,
      sym___luacode_environment_star_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14527] = 3,
    ACTIONS(8657), 1,
      anon_sym_sagesilent,
    STATE(3935), 1,
      sym__sagesilent_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14538] = 3,
    ACTIONS(8659), 1,
      anon_sym_sageblock,
    STATE(3938), 1,
      sym__sageblock_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14549] = 3,
    ACTIONS(8206), 1,
      anon_sym_LBRACE,
    STATE(2826), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14560] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2829), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14571] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2830), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14582] = 3,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    STATE(1379), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14593] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2833), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14604] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2834), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14615] = 3,
    ACTIONS(8306), 1,
      anon_sym_LBRACE,
    STATE(1383), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14626] = 3,
    ACTIONS(8306), 1,
      anon_sym_LBRACE,
    STATE(1384), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14637] = 3,
    ACTIONS(8953), 1,
      anon_sym_LBRACE,
    STATE(2858), 1,
      sym_curly_group_spec,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14648] = 3,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    STATE(1386), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14659] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(2862), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14670] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2864), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14681] = 3,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    STATE(1388), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14692] = 3,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    STATE(1389), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14703] = 3,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(2883), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14714] = 3,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(2884), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14725] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(2886), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14736] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2888), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14747] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(2889), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14758] = 3,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    STATE(1390), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14769] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(2891), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14780] = 3,
    ACTIONS(8605), 1,
      anon_sym_comment,
    STATE(3807), 1,
      sym__comment_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14791] = 3,
    ACTIONS(8607), 1,
      anon_sym_verbatim,
    STATE(3808), 1,
      sym__verbatim_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14802] = 3,
    ACTIONS(8611), 1,
      anon_sym_lstlisting,
    STATE(3814), 1,
      sym__listing_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14813] = 3,
    ACTIONS(8613), 1,
      anon_sym_asy,
    STATE(3843), 1,
      sym__asy_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14824] = 3,
    ACTIONS(8619), 1,
      anon_sym_asydef,
    STATE(3851), 1,
      sym__asydef_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14835] = 3,
    ACTIONS(8629), 1,
      anon_sym_pycode,
    STATE(3855), 1,
      sym__pycode_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14846] = 3,
    ACTIONS(8655), 1,
      anon_sym_luacode,
    STATE(3858), 1,
      sym___luacode_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14857] = 3,
    ACTIONS(3943), 1,
      anon_sym_luacode_STAR,
    STATE(3859), 1,
      sym___luacode_environment_star_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14868] = 3,
    ACTIONS(8657), 1,
      anon_sym_sagesilent,
    STATE(3863), 1,
      sym__sagesilent_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14879] = 3,
    ACTIONS(8659), 1,
      anon_sym_sageblock,
    STATE(3864), 1,
      sym__sageblock_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14890] = 3,
    ACTIONS(8206), 1,
      anon_sym_LBRACE,
    STATE(2929), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14901] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2933), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14912] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2934), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14923] = 3,
    ACTIONS(8603), 1,
      anon_sym_minted,
    STATE(3801), 1,
      sym__minted_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14934] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2938), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14945] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2939), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14956] = 3,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    STATE(1393), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14967] = 3,
    ACTIONS(8953), 1,
      anon_sym_LBRACE,
    STATE(2962), 1,
      sym_curly_group_spec,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14978] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(2967), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [14989] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2969), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15000] = 3,
    ACTIONS(712), 1,
      anon_sym_LBRACE,
    STATE(1461), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15011] = 3,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(2988), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15022] = 3,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(2989), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15033] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(2991), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15044] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2993), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15055] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(2994), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15066] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(2996), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15077] = 3,
    ACTIONS(8605), 1,
      anon_sym_comment,
    STATE(3992), 1,
      sym__comment_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15088] = 3,
    ACTIONS(8607), 1,
      anon_sym_verbatim,
    STATE(3995), 1,
      sym__verbatim_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15099] = 3,
    ACTIONS(8611), 1,
      anon_sym_lstlisting,
    STATE(3681), 1,
      sym__listing_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15110] = 3,
    ACTIONS(8613), 1,
      anon_sym_asy,
    STATE(3686), 1,
      sym__asy_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15121] = 3,
    ACTIONS(8619), 1,
      anon_sym_asydef,
    STATE(3687), 1,
      sym__asydef_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15132] = 3,
    ACTIONS(8629), 1,
      anon_sym_pycode,
    STATE(3690), 1,
      sym__pycode_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15143] = 3,
    ACTIONS(8655), 1,
      anon_sym_luacode,
    STATE(3691), 1,
      sym___luacode_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15154] = 3,
    ACTIONS(3943), 1,
      anon_sym_luacode_STAR,
    STATE(3692), 1,
      sym___luacode_environment_star_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15165] = 3,
    ACTIONS(8657), 1,
      anon_sym_sagesilent,
    STATE(3693), 1,
      sym__sagesilent_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15176] = 3,
    ACTIONS(8659), 1,
      anon_sym_sageblock,
    STATE(3694), 1,
      sym__sageblock_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15187] = 3,
    ACTIONS(8206), 1,
      anon_sym_LBRACE,
    STATE(3039), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15198] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3043), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15209] = 3,
    ACTIONS(8198), 1,
      anon_sym_LBRACE,
    STATE(1485), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15220] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3048), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15231] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3049), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15242] = 3,
    ACTIONS(8198), 1,
      anon_sym_LBRACE,
    STATE(1487), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15253] = 3,
    ACTIONS(8196), 1,
      anon_sym_LBRACE,
    STATE(1488), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15264] = 3,
    ACTIONS(8953), 1,
      anon_sym_LBRACE,
    STATE(3069), 1,
      sym_curly_group_spec,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15275] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3071), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15286] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3073), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15297] = 3,
    ACTIONS(8198), 1,
      anon_sym_LBRACE,
    STATE(1513), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15308] = 3,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(3086), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15319] = 3,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(3087), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15330] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3089), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15341] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3091), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15352] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3092), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15363] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3095), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15374] = 3,
    ACTIONS(8605), 1,
      anon_sym_comment,
    STATE(3977), 1,
      sym__comment_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15385] = 3,
    ACTIONS(8607), 1,
      anon_sym_verbatim,
    STATE(3978), 1,
      sym__verbatim_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15396] = 3,
    ACTIONS(8611), 1,
      anon_sym_lstlisting,
    STATE(3979), 1,
      sym__listing_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15407] = 3,
    ACTIONS(8613), 1,
      anon_sym_asy,
    STATE(3981), 1,
      sym__asy_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15418] = 3,
    ACTIONS(8619), 1,
      anon_sym_asydef,
    STATE(3982), 1,
      sym__asydef_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15429] = 3,
    ACTIONS(8629), 1,
      anon_sym_pycode,
    STATE(3985), 1,
      sym__pycode_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15440] = 3,
    ACTIONS(8655), 1,
      anon_sym_luacode,
    STATE(3986), 1,
      sym___luacode_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15451] = 3,
    ACTIONS(3943), 1,
      anon_sym_luacode_STAR,
    STATE(3987), 1,
      sym___luacode_environment_star_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15462] = 3,
    ACTIONS(8657), 1,
      anon_sym_sagesilent,
    STATE(3988), 1,
      sym__sagesilent_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15473] = 3,
    ACTIONS(8659), 1,
      anon_sym_sageblock,
    STATE(3990), 1,
      sym__sageblock_environment_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15484] = 3,
    ACTIONS(8206), 1,
      anon_sym_LBRACE,
    STATE(3132), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15495] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3136), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15506] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3137), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15517] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(1538), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15528] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3141), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15539] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3142), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15550] = 3,
    ACTIONS(8202), 1,
      anon_sym_LBRACE,
    STATE(1539), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15561] = 3,
    ACTIONS(8953), 1,
      anon_sym_LBRACE,
    STATE(3153), 1,
      sym_curly_group_spec,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15572] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3158), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15583] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3160), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15594] = 3,
    ACTIONS(8196), 1,
      anon_sym_LBRACE,
    STATE(1549), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15605] = 3,
    ACTIONS(9025), 1,
      anon_sym_LBRACE,
    STATE(1136), 1,
      sym_curly_group_uri,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15616] = 3,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(3167), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15627] = 3,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(3168), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15638] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3170), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15649] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3172), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15660] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3173), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15671] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3175), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15682] = 3,
    ACTIONS(8206), 1,
      anon_sym_LBRACE,
    STATE(3215), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15693] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3219), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15704] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3220), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15715] = 3,
    ACTIONS(9027), 1,
      sym_command_name,
    ACTIONS(9029), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15726] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3223), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15737] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3224), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15748] = 3,
    ACTIONS(712), 1,
      anon_sym_LBRACE,
    STATE(1627), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15759] = 3,
    ACTIONS(8208), 1,
      anon_sym_LBRACE,
    STATE(3731), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15770] = 3,
    ACTIONS(8953), 1,
      anon_sym_LBRACE,
    STATE(3233), 1,
      sym_curly_group_spec,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15781] = 3,
    ACTIONS(712), 1,
      anon_sym_LBRACE,
    STATE(1564), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15792] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3238), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15803] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3239), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15814] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(1091), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15825] = 3,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(3245), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15836] = 3,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(3246), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15847] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3248), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15858] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3250), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15869] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3251), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15880] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3253), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15891] = 3,
    ACTIONS(8206), 1,
      anon_sym_LBRACE,
    STATE(3294), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15902] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3298), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15913] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3299), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15924] = 3,
    ACTIONS(8194), 1,
      anon_sym_LBRACE,
    STATE(1570), 1,
      sym_curly_group_author_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15935] = 3,
    ACTIONS(9031), 1,
      anon_sym_RBRACE,
    ACTIONS(9033), 1,
      sym_path,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [15946] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3302), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15957] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3303), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15968] = 3,
    ACTIONS(8196), 1,
      anon_sym_LBRACE,
    STATE(1624), 1,
      sym_curly_group_path_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15979] = 3,
    ACTIONS(8198), 1,
      anon_sym_LBRACE,
    STATE(1193), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [15990] = 3,
    ACTIONS(8200), 1,
      anon_sym_LBRACE,
    STATE(1203), 1,
      sym_curly_group_glob_pattern,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16001] = 3,
    ACTIONS(8953), 1,
      anon_sym_LBRACE,
    STATE(3313), 1,
      sym_curly_group_spec,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16012] = 3,
    ACTIONS(8198), 1,
      anon_sym_LBRACE,
    STATE(1204), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16023] = 3,
    ACTIONS(8198), 1,
      anon_sym_LBRACE,
    STATE(1209), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16034] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3318), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16045] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3320), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16056] = 3,
    ACTIONS(8198), 1,
      anon_sym_LBRACE,
    STATE(1324), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16067] = 3,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(3327), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16078] = 3,
    ACTIONS(8012), 1,
      anon_sym_LBRACE,
    STATE(3328), 1,
      sym_curly_group_impl,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16089] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3329), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16100] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3331), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16111] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3332), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16122] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3333), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16133] = 3,
    ACTIONS(8198), 1,
      anon_sym_LBRACE,
    STATE(1340), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16144] = 3,
    ACTIONS(712), 1,
      anon_sym_LBRACE,
    STATE(1354), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16155] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(1094), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16166] = 3,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    STATE(2360), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16177] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2538), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16188] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(1541), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16199] = 3,
    ACTIONS(8953), 1,
      anon_sym_LBRACE,
    STATE(3344), 1,
      sym_curly_group_spec,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16210] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3345), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16221] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3346), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16232] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3347), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16243] = 3,
    ACTIONS(712), 1,
      anon_sym_LBRACE,
    STATE(1542), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16254] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3348), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16265] = 3,
    ACTIONS(8206), 1,
      anon_sym_LBRACE,
    STATE(1126), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16276] = 3,
    ACTIONS(9035), 1,
      anon_sym_LBRACE,
    STATE(1547), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16287] = 3,
    ACTIONS(9037), 1,
      sym_command_name,
    ACTIONS(9039), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16298] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(1550), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16309] = 3,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    STATE(2372), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16320] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2546), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16331] = 3,
    ACTIONS(9041), 1,
      anon_sym_LBRACE,
    STATE(1551), 1,
      sym_curly_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16342] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(1552), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16353] = 3,
    ACTIONS(8953), 1,
      anon_sym_LBRACE,
    STATE(3375), 1,
      sym_curly_group_spec,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16364] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3376), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16375] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3377), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16386] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3378), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16397] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3380), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16408] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(1557), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16419] = 3,
    ACTIONS(8202), 1,
      anon_sym_LBRACE,
    STATE(957), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16430] = 3,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    STATE(2365), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16441] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2380), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16452] = 3,
    ACTIONS(712), 1,
      anon_sym_LBRACE,
    STATE(981), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16463] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(1219), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16474] = 3,
    ACTIONS(8953), 1,
      anon_sym_LBRACE,
    STATE(3408), 1,
      sym_curly_group_spec,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16485] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3409), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16496] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3410), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16507] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3411), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16518] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3412), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16529] = 3,
    ACTIONS(8953), 1,
      anon_sym_LBRACE,
    STATE(2882), 1,
      sym_curly_group_spec,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16540] = 3,
    ACTIONS(9043), 1,
      anon_sym_BSLASHend,
    STATE(1221), 1,
      sym__comment_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16551] = 3,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    STATE(2375), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16562] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2551), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16573] = 3,
    ACTIONS(9045), 1,
      anon_sym_BSLASHend,
    STATE(1222), 1,
      sym__verbatim_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16584] = 3,
    ACTIONS(9047), 1,
      anon_sym_BSLASHend,
    STATE(1224), 1,
      sym__listing_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16595] = 3,
    ACTIONS(8953), 1,
      anon_sym_LBRACE,
    STATE(3438), 1,
      sym_curly_group_spec,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16606] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3439), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16617] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3440), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16628] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3441), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16639] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3443), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16650] = 3,
    ACTIONS(9049), 1,
      anon_sym_BSLASHend,
    STATE(1225), 1,
      sym__minted_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16661] = 3,
    ACTIONS(9051), 1,
      anon_sym_BSLASHend,
    STATE(1226), 1,
      sym__asy_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16672] = 3,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    STATE(2369), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16683] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2556), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16694] = 3,
    ACTIONS(9053), 1,
      anon_sym_BSLASHend,
    STATE(1227), 1,
      sym__asydef_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16705] = 3,
    ACTIONS(9055), 1,
      anon_sym_BSLASHend,
    STATE(1228), 1,
      sym__pycode_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16716] = 3,
    ACTIONS(8953), 1,
      anon_sym_LBRACE,
    STATE(3466), 1,
      sym_curly_group_spec,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16727] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3467), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16738] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3468), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16749] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3469), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16760] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3470), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16771] = 3,
    ACTIONS(9057), 1,
      anon_sym_BSLASHend,
    STATE(1229), 1,
      sym___luacode_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16782] = 3,
    ACTIONS(9059), 1,
      anon_sym_BSLASHend,
    STATE(1230), 1,
      sym___luacode_environment_star_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16793] = 3,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    STATE(2378), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16804] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2565), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16815] = 3,
    ACTIONS(9061), 1,
      anon_sym_BSLASHend,
    STATE(1231), 1,
      sym__sagesilent_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16826] = 3,
    ACTIONS(9063), 1,
      anon_sym_BSLASHend,
    STATE(1232), 1,
      sym__sageblock_environment_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16837] = 3,
    ACTIONS(8953), 1,
      anon_sym_LBRACE,
    STATE(3493), 1,
      sym_curly_group_spec,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16848] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3494), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16859] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3495), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16870] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3496), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16881] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3497), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16892] = 3,
    ACTIONS(9065), 1,
      anon_sym_LBRACE,
    STATE(1233), 1,
      sym__math_environment_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16903] = 3,
    ACTIONS(8192), 1,
      anon_sym_LBRACE,
    STATE(1008), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16914] = 3,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    STATE(2361), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16925] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2571), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16936] = 2,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
    ACTIONS(7605), 2,
      anon_sym_LBRACE,
      sym_command_name,
  [16945] = 3,
    ACTIONS(8953), 1,
      anon_sym_LBRACE,
    STATE(3521), 1,
      sym_curly_group_spec,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16956] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3522), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16967] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3523), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16978] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3524), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [16989] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3525), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17000] = 3,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    STATE(2366), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17011] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2574), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17022] = 3,
    ACTIONS(8953), 1,
      anon_sym_LBRACE,
    STATE(3540), 1,
      sym_curly_group_spec,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17033] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3541), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17044] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3542), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17055] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3543), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17066] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3544), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17077] = 3,
    ACTIONS(8253), 1,
      anon_sym_LBRACE,
    STATE(2370), 1,
      sym_curly_group_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17088] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(2579), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17099] = 3,
    ACTIONS(8953), 1,
      anon_sym_LBRACE,
    STATE(3562), 1,
      sym_curly_group_spec,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17110] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3563), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17121] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3564), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17132] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3565), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17143] = 3,
    ACTIONS(45), 1,
      anon_sym_LBRACE,
    STATE(3566), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17154] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3573), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17165] = 3,
    ACTIONS(8038), 1,
      anon_sym_LBRACE,
    STATE(3578), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17176] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3587), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17187] = 3,
    ACTIONS(8038), 1,
      anon_sym_LBRACE,
    STATE(3591), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17198] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3598), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17209] = 3,
    ACTIONS(8038), 1,
      anon_sym_LBRACE,
    STATE(3602), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17220] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3609), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17231] = 3,
    ACTIONS(8038), 1,
      anon_sym_LBRACE,
    STATE(3613), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17242] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3620), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17253] = 3,
    ACTIONS(8038), 1,
      anon_sym_LBRACE,
    STATE(3624), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17264] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3631), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17275] = 3,
    ACTIONS(8038), 1,
      anon_sym_LBRACE,
    STATE(3635), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17286] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3641), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17297] = 3,
    ACTIONS(8038), 1,
      anon_sym_LBRACE,
    STATE(3645), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17308] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3648), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17319] = 3,
    ACTIONS(9067), 1,
      anon_sym_LBRACE,
    STATE(1010), 1,
      sym_curly_group_key_value,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17330] = 3,
    ACTIONS(8038), 1,
      anon_sym_LBRACE,
    STATE(3652), 1,
      sym_curly_group_text_list,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17341] = 3,
    ACTIONS(8040), 1,
      anon_sym_LBRACE,
    STATE(3655), 1,
      sym_curly_group_text,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17352] = 3,
    ACTIONS(8206), 1,
      anon_sym_LBRACE,
    STATE(1133), 1,
      sym_curly_group_path,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17363] = 3,
    ACTIONS(5387), 1,
      anon_sym_LBRACE,
    STATE(2141), 1,
      sym_curly_group,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17374] = 2,
    ACTIONS(9069), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17382] = 2,
    ACTIONS(9071), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17390] = 2,
    ACTIONS(9073), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17398] = 2,
    ACTIONS(9075), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17406] = 2,
    ACTIONS(9077), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17414] = 2,
    ACTIONS(7457), 1,
      sym__trivia_raw_env_sagesilent,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17422] = 2,
    ACTIONS(9079), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17430] = 2,
    ACTIONS(9081), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17438] = 2,
    ACTIONS(9083), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17446] = 2,
    ACTIONS(9085), 1,
      sym_uri,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [17454] = 2,
    ACTIONS(9087), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17462] = 2,
    ACTIONS(9089), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17470] = 2,
    ACTIONS(9091), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17478] = 2,
    ACTIONS(9093), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17486] = 2,
    ACTIONS(9095), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17494] = 2,
    ACTIONS(9097), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17502] = 2,
    ACTIONS(9099), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17510] = 2,
    ACTIONS(9101), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17518] = 2,
    ACTIONS(9103), 1,
      sym__trivia_raw_env_luacode_star,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17526] = 2,
    ACTIONS(9105), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17534] = 2,
    ACTIONS(9107), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17542] = 2,
    ACTIONS(9109), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17550] = 2,
    ACTIONS(9111), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17558] = 2,
    ACTIONS(9113), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17566] = 2,
    ACTIONS(9115), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17574] = 2,
    ACTIONS(9117), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17582] = 2,
    ACTIONS(9119), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17590] = 2,
    ACTIONS(9121), 1,
      sym__trivia_raw_env_asydef,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17598] = 2,
    ACTIONS(9123), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17606] = 2,
    ACTIONS(9125), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17614] = 2,
    ACTIONS(9127), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17622] = 2,
    ACTIONS(9129), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17630] = 2,
    ACTIONS(9131), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17638] = 2,
    ACTIONS(7461), 1,
      sym__trivia_raw_env_sageblock,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17646] = 2,
    ACTIONS(9133), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17654] = 2,
    ACTIONS(9135), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17662] = 2,
    ACTIONS(9137), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17670] = 2,
    ACTIONS(9139), 1,
      sym__trivia_raw_env_comment,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17678] = 2,
    ACTIONS(9141), 1,
      sym__trivia_raw_env_verbatim,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17686] = 2,
    ACTIONS(9143), 1,
      sym__trivia_raw_env_listing,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17694] = 2,
    ACTIONS(9145), 1,
      sym__trivia_raw_env_minted,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17702] = 2,
    ACTIONS(9147), 1,
      sym__trivia_raw_env_asy,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17710] = 2,
    ACTIONS(9149), 1,
      sym__trivia_raw_env_asydef,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17718] = 2,
    ACTIONS(9151), 1,
      sym__trivia_raw_env_pycode,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17726] = 2,
    ACTIONS(9153), 1,
      sym__trivia_raw_env_luacode,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17734] = 2,
    ACTIONS(9155), 1,
      sym__trivia_raw_env_luacode_star,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17742] = 2,
    ACTIONS(9157), 1,
      sym__trivia_raw_env_sagesilent,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17750] = 2,
    ACTIONS(9159), 1,
      sym__trivia_raw_env_sageblock,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17758] = 2,
    ACTIONS(9161), 1,
      sym__trivia_raw_env_pycode,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17766] = 2,
    ACTIONS(9163), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17774] = 2,
    ACTIONS(9165), 1,
      sym_path,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [17782] = 2,
    ACTIONS(9167), 1,
      sym__trivia_raw_env_minted,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17790] = 2,
    ACTIONS(9169), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17798] = 2,
    ACTIONS(9171), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17806] = 2,
    ACTIONS(9173), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17814] = 2,
    ACTIONS(9175), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17822] = 2,
    ACTIONS(9177), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17830] = 2,
    ACTIONS(9179), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17838] = 2,
    ACTIONS(9181), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17846] = 2,
    ACTIONS(9183), 1,
      sym_uri,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [17854] = 2,
    ACTIONS(9185), 1,
      sym__trivia_raw_env_asy,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17862] = 2,
    ACTIONS(9187), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17870] = 2,
    ACTIONS(9189), 1,
      sym__trivia_raw_env_sagesilent,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17878] = 2,
    ACTIONS(9191), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17886] = 2,
    ACTIONS(9193), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17894] = 2,
    ACTIONS(9195), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17902] = 2,
    ACTIONS(9197), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17910] = 2,
    ACTIONS(9199), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17918] = 2,
    ACTIONS(9201), 1,
      sym__trivia_raw_env_sageblock,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17926] = 2,
    ACTIONS(9203), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17934] = 2,
    ACTIONS(9205), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17942] = 2,
    ACTIONS(9207), 1,
      sym__trivia_raw_env_listing,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17950] = 2,
    ACTIONS(9209), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17958] = 2,
    ACTIONS(9211), 1,
      sym__trivia_raw_env_comment,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17966] = 2,
    ACTIONS(9213), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17974] = 2,
    ACTIONS(9215), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17982] = 2,
    ACTIONS(9217), 1,
      sym__trivia_raw_env_asydef,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17990] = 2,
    ACTIONS(9219), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [17998] = 2,
    ACTIONS(9221), 1,
      sym__trivia_raw_env_verbatim,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18006] = 2,
    ACTIONS(9223), 1,
      sym_path,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [18014] = 2,
    ACTIONS(9225), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18022] = 2,
    ACTIONS(9227), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18030] = 2,
    ACTIONS(9229), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18038] = 2,
    ACTIONS(9231), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18046] = 2,
    ACTIONS(9233), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18054] = 2,
    ACTIONS(9235), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18062] = 2,
    ACTIONS(9237), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18070] = 2,
    ACTIONS(9239), 1,
      sym__trivia_raw_env_comment,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18078] = 2,
    ACTIONS(9241), 1,
      sym__trivia_raw_env_verbatim,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18086] = 2,
    ACTIONS(9243), 1,
      sym__trivia_raw_env_listing,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18094] = 2,
    ACTIONS(9245), 1,
      sym__trivia_raw_env_minted,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18102] = 2,
    ACTIONS(9247), 1,
      sym__trivia_raw_env_asy,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18110] = 2,
    ACTIONS(9249), 1,
      sym__trivia_raw_env_asydef,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18118] = 2,
    ACTIONS(9251), 1,
      sym__trivia_raw_env_pycode,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18126] = 2,
    ACTIONS(9253), 1,
      sym__trivia_raw_env_luacode,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18134] = 2,
    ACTIONS(9255), 1,
      sym__trivia_raw_env_luacode_star,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18142] = 2,
    ACTIONS(9257), 1,
      sym__trivia_raw_env_sagesilent,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18150] = 2,
    ACTIONS(9259), 1,
      sym__trivia_raw_env_sageblock,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18158] = 2,
    ACTIONS(9261), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18166] = 2,
    ACTIONS(9263), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18174] = 2,
    ACTIONS(9265), 1,
      sym_path,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [18182] = 2,
    ACTIONS(9267), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18190] = 2,
    ACTIONS(9269), 1,
      sym_path,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [18198] = 2,
    ACTIONS(9271), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18206] = 2,
    ACTIONS(9273), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18214] = 2,
    ACTIONS(9275), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18222] = 2,
    ACTIONS(9277), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18230] = 2,
    ACTIONS(9279), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18238] = 2,
    ACTIONS(9281), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18246] = 2,
    ACTIONS(9283), 1,
      sym_uri,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [18254] = 2,
    ACTIONS(9285), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18262] = 2,
    ACTIONS(9287), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18270] = 2,
    ACTIONS(9289), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18278] = 2,
    ACTIONS(9291), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18286] = 2,
    ACTIONS(9293), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18294] = 2,
    ACTIONS(9295), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18302] = 2,
    ACTIONS(9297), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18310] = 2,
    ACTIONS(9299), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18318] = 2,
    ACTIONS(9301), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18326] = 2,
    ACTIONS(9303), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18334] = 2,
    ACTIONS(9305), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18342] = 2,
    ACTIONS(9307), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18350] = 2,
    ACTIONS(9309), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18358] = 2,
    ACTIONS(9311), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18366] = 2,
    ACTIONS(9313), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18374] = 2,
    ACTIONS(9315), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18382] = 2,
    ACTIONS(9317), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18390] = 2,
    ACTIONS(9319), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18398] = 2,
    ACTIONS(9321), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18406] = 2,
    ACTIONS(9323), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18414] = 2,
    ACTIONS(9325), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18422] = 2,
    ACTIONS(9327), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18430] = 2,
    ACTIONS(9329), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18438] = 2,
    ACTIONS(9331), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18446] = 2,
    ACTIONS(9333), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18454] = 2,
    ACTIONS(9335), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18462] = 2,
    ACTIONS(9337), 1,
      sym__trivia_raw_env_comment,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18470] = 2,
    ACTIONS(9339), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18478] = 2,
    ACTIONS(9341), 1,
      sym_path,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [18486] = 2,
    ACTIONS(9343), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18494] = 2,
    ACTIONS(9345), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18502] = 2,
    ACTIONS(9347), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18510] = 2,
    ACTIONS(9349), 1,
      sym__trivia_raw_env_verbatim,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18518] = 2,
    ACTIONS(9351), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18526] = 2,
    ACTIONS(9353), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18534] = 2,
    ACTIONS(9355), 1,
      sym__trivia_raw_env_listing,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18542] = 2,
    ACTIONS(9357), 1,
      sym__trivia_raw_env_minted,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18550] = 2,
    ACTIONS(9359), 1,
      sym_uri,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [18558] = 2,
    ACTIONS(9361), 1,
      sym__trivia_raw_env_asy,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18566] = 2,
    ACTIONS(9363), 1,
      sym__trivia_raw_env_asydef,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18574] = 2,
    ACTIONS(9365), 1,
      sym__trivia_raw_env_pycode,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18582] = 2,
    ACTIONS(9367), 1,
      sym__trivia_raw_env_luacode,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18590] = 2,
    ACTIONS(9369), 1,
      sym__trivia_raw_env_luacode_star,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18598] = 2,
    ACTIONS(9371), 1,
      sym__trivia_raw_env_sagesilent,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18606] = 2,
    ACTIONS(9373), 1,
      sym__trivia_raw_env_sageblock,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18614] = 2,
    ACTIONS(9375), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18622] = 2,
    ACTIONS(9377), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18630] = 2,
    ACTIONS(9379), 1,
      sym_path,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [18638] = 2,
    ACTIONS(9381), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18646] = 2,
    ACTIONS(9383), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18654] = 2,
    ACTIONS(9385), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18662] = 2,
    ACTIONS(9387), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18670] = 2,
    ACTIONS(9389), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18678] = 2,
    ACTIONS(9391), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18686] = 2,
    ACTIONS(9393), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18694] = 2,
    ACTIONS(9395), 1,
      sym_path,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [18702] = 2,
    ACTIONS(9397), 1,
      sym__trivia_raw_env_minted,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18710] = 2,
    ACTIONS(9399), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18718] = 2,
    ACTIONS(9401), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18726] = 2,
    ACTIONS(9403), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18734] = 2,
    ACTIONS(9405), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18742] = 2,
    ACTIONS(9407), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18750] = 2,
    ACTIONS(9409), 1,
      sym_uri,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [18758] = 2,
    ACTIONS(9411), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18766] = 2,
    ACTIONS(9413), 1,
      sym_uri,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [18774] = 2,
    ACTIONS(9415), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18782] = 2,
    ACTIONS(9417), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18790] = 2,
    ACTIONS(9419), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18798] = 2,
    ACTIONS(9421), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18806] = 2,
    ACTIONS(9423), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18814] = 2,
    ACTIONS(9425), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18822] = 2,
    ACTIONS(9427), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18830] = 2,
    ACTIONS(9429), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18838] = 2,
    ACTIONS(9431), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18846] = 2,
    ACTIONS(9433), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18854] = 2,
    ACTIONS(9435), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18862] = 2,
    ACTIONS(9437), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18870] = 2,
    ACTIONS(9439), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18878] = 2,
    ACTIONS(9441), 1,
      sym_path,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [18886] = 2,
    ACTIONS(9443), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18894] = 2,
    ACTIONS(9445), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18902] = 2,
    ACTIONS(9447), 1,
      sym_path,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [18910] = 2,
    ACTIONS(9449), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18918] = 2,
    ACTIONS(9451), 1,
      sym__trivia_raw_env_luacode,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18926] = 2,
    ACTIONS(9453), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18934] = 2,
    ACTIONS(9455), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18942] = 2,
    ACTIONS(9457), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18950] = 2,
    ACTIONS(9459), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18958] = 2,
    ACTIONS(9461), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18966] = 2,
    ACTIONS(9463), 1,
      sym__trivia_raw_env_asy,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18974] = 2,
    ACTIONS(9465), 1,
      sym_uri,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [18982] = 2,
    ACTIONS(9467), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18990] = 2,
    ACTIONS(9469), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [18998] = 2,
    ACTIONS(7425), 1,
      sym__trivia_raw_env_comment,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19006] = 2,
    ACTIONS(7429), 1,
      sym__trivia_raw_env_verbatim,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19014] = 2,
    ACTIONS(9471), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19022] = 2,
    ACTIONS(9473), 1,
      sym__trivia_raw_env_pycode,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19030] = 2,
    ACTIONS(9475), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19038] = 2,
    ACTIONS(9477), 1,
      sym__trivia_raw_env_comment,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19046] = 2,
    ACTIONS(9479), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19054] = 2,
    ACTIONS(9481), 1,
      sym__trivia_raw_env_verbatim,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19062] = 2,
    ACTIONS(9483), 1,
      sym__trivia_raw_env_listing,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19070] = 2,
    ACTIONS(9485), 1,
      sym__trivia_raw_env_minted,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19078] = 2,
    ACTIONS(9487), 1,
      sym__trivia_raw_env_asy,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19086] = 2,
    ACTIONS(9489), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19094] = 2,
    ACTIONS(9491), 1,
      sym__trivia_raw_env_asydef,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19102] = 2,
    ACTIONS(9493), 1,
      sym__trivia_raw_env_pycode,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19110] = 2,
    ACTIONS(9495), 1,
      sym__trivia_raw_env_luacode,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19118] = 2,
    ACTIONS(9497), 1,
      sym__trivia_raw_env_luacode_star,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19126] = 2,
    ACTIONS(9499), 1,
      sym__trivia_raw_env_sagesilent,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19134] = 2,
    ACTIONS(9501), 1,
      sym__trivia_raw_env_sageblock,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19142] = 2,
    ACTIONS(9503), 1,
      sym__trivia_raw_env_minted,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19150] = 2,
    ACTIONS(7433), 1,
      sym__trivia_raw_env_listing,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19158] = 2,
    ACTIONS(9505), 1,
      sym_path,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [19166] = 2,
    ACTIONS(9507), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19174] = 2,
    ACTIONS(9509), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19182] = 2,
    ACTIONS(9511), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19190] = 2,
    ACTIONS(9513), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19198] = 2,
    ACTIONS(9515), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19206] = 2,
    ACTIONS(9517), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19214] = 2,
    ACTIONS(9519), 1,
      sym__trivia_raw_env_luacode_star,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19222] = 2,
    ACTIONS(9521), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19230] = 2,
    ACTIONS(9523), 1,
      sym_uri,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [19238] = 2,
    ACTIONS(9525), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19246] = 2,
    ACTIONS(9527), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19254] = 2,
    ACTIONS(9529), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19262] = 2,
    ACTIONS(9531), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19270] = 2,
    ACTIONS(9533), 1,
      sym__trivia_raw_env_sagesilent,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19278] = 2,
    ACTIONS(9535), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19286] = 2,
    ACTIONS(9537), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19294] = 2,
    ACTIONS(9539), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19302] = 2,
    ACTIONS(9541), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19310] = 2,
    ACTIONS(9543), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19318] = 2,
    ACTIONS(9545), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19326] = 2,
    ACTIONS(9547), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19334] = 2,
    ACTIONS(9549), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19342] = 2,
    ACTIONS(9551), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19350] = 2,
    ACTIONS(9553), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19358] = 2,
    ACTIONS(9555), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19366] = 2,
    ACTIONS(9557), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19374] = 2,
    ACTIONS(9559), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19382] = 2,
    ACTIONS(9561), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19390] = 2,
    ACTIONS(9563), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19398] = 2,
    ACTIONS(9565), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19406] = 2,
    ACTIONS(9567), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19414] = 2,
    ACTIONS(9569), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19422] = 2,
    ACTIONS(9571), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19430] = 2,
    ACTIONS(9573), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19438] = 2,
    ACTIONS(9575), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19446] = 2,
    ACTIONS(9577), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19454] = 2,
    ACTIONS(9579), 1,
      sym__trivia_raw_env_comment,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19462] = 2,
    ACTIONS(9581), 1,
      sym__trivia_raw_env_verbatim,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19470] = 2,
    ACTIONS(9583), 1,
      sym__trivia_raw_env_listing,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19478] = 2,
    ACTIONS(9585), 1,
      sym__trivia_raw_env_minted,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19486] = 2,
    ACTIONS(9587), 1,
      sym__trivia_raw_env_asy,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19494] = 2,
    ACTIONS(9589), 1,
      sym__trivia_raw_env_asydef,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19502] = 2,
    ACTIONS(9591), 1,
      sym__trivia_raw_env_pycode,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19510] = 2,
    ACTIONS(9593), 1,
      sym__trivia_raw_env_luacode,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19518] = 2,
    ACTIONS(9595), 1,
      sym__trivia_raw_env_luacode_star,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19526] = 2,
    ACTIONS(9597), 1,
      sym__trivia_raw_env_sagesilent,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19534] = 2,
    ACTIONS(9599), 1,
      sym__trivia_raw_env_sageblock,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19542] = 2,
    ACTIONS(9601), 1,
      sym__trivia_raw_env_listing,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19550] = 2,
    ACTIONS(9603), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19558] = 2,
    ACTIONS(9605), 1,
      sym_path,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [19566] = 2,
    ACTIONS(9607), 1,
      sym_argc,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19574] = 2,
    ACTIONS(9609), 1,
      sym__trivia_raw_env_comment,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19582] = 2,
    ACTIONS(9611), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19590] = 2,
    ACTIONS(9613), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19598] = 2,
    ACTIONS(9615), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19606] = 2,
    ACTIONS(9617), 1,
      sym__trivia_raw_env_verbatim,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19614] = 2,
    ACTIONS(9619), 1,
      sym__trivia_raw_env_sageblock,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19622] = 2,
    ACTIONS(9621), 1,
      sym_uri,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [19630] = 2,
    ACTIONS(9623), 1,
      sym_uri,
    ACTIONS(7990), 2,
      sym__whitespace,
      sym_line_comment,
  [19638] = 2,
    ACTIONS(9625), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19646] = 2,
    ACTIONS(9627), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19654] = 2,
    ACTIONS(7437), 1,
      sym__trivia_raw_env_asy,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19662] = 2,
    ACTIONS(9629), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19670] = 2,
    ACTIONS(9631), 1,
      sym__trivia_raw_env_luacode,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19678] = 2,
    ACTIONS(9633), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19686] = 2,
    ACTIONS(7597), 1,
      sym__trivia_raw_env_minted,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19694] = 2,
    ACTIONS(9635), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19702] = 2,
    ACTIONS(9637), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19710] = 2,
    ACTIONS(7441), 1,
      sym__trivia_raw_env_asydef,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19718] = 2,
    ACTIONS(9639), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19726] = 2,
    ACTIONS(9641), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19734] = 2,
    ACTIONS(9643), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19742] = 2,
    ACTIONS(9645), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19750] = 2,
    ACTIONS(9647), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19758] = 2,
    ACTIONS(9649), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19766] = 2,
    ACTIONS(9651), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19774] = 2,
    ACTIONS(9653), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19782] = 2,
    ACTIONS(9655), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19790] = 2,
    ACTIONS(9657), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19798] = 2,
    ACTIONS(9659), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19806] = 2,
    ACTIONS(9661), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19814] = 2,
    ACTIONS(9663), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19822] = 2,
    ACTIONS(9665), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19830] = 2,
    ACTIONS(9667), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19838] = 2,
    ACTIONS(9669), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19846] = 2,
    ACTIONS(9671), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19854] = 2,
    ACTIONS(9673), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19862] = 2,
    ACTIONS(9675), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19870] = 2,
    ACTIONS(9677), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19878] = 2,
    ACTIONS(7445), 1,
      sym__trivia_raw_env_pycode,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19886] = 2,
    ACTIONS(9679), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19894] = 2,
    ACTIONS(9681), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19902] = 2,
    ACTIONS(9683), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19910] = 2,
    ACTIONS(9685), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19918] = 2,
    ACTIONS(9687), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19926] = 2,
    ACTIONS(9689), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19934] = 2,
    ACTIONS(9691), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19942] = 2,
    ACTIONS(9693), 1,
      sym__trivia_raw_env_comment,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19950] = 2,
    ACTIONS(9695), 1,
      sym__trivia_raw_env_verbatim,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19958] = 2,
    ACTIONS(9697), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19966] = 2,
    ACTIONS(9699), 1,
      sym__trivia_raw_env_listing,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19974] = 2,
    ACTIONS(9701), 1,
      sym__trivia_raw_env_minted,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19982] = 2,
    ACTIONS(9703), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19990] = 2,
    ACTIONS(9705), 1,
      sym__trivia_raw_env_asy,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [19998] = 2,
    ACTIONS(9707), 1,
      sym__trivia_raw_env_asydef,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [20006] = 2,
    ACTIONS(9709), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [20014] = 2,
    ACTIONS(9711), 1,
      sym__trivia_raw_env_pycode,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [20022] = 2,
    ACTIONS(9713), 1,
      sym__trivia_raw_env_luacode,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [20030] = 2,
    ACTIONS(9715), 1,
      sym__trivia_raw_env_luacode_star,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [20038] = 2,
    ACTIONS(9717), 1,
      sym__trivia_raw_env_sagesilent,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [20046] = 2,
    ACTIONS(9719), 1,
      sym__trivia_raw_env_sageblock,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [20054] = 2,
    ACTIONS(7449), 1,
      sym__trivia_raw_env_luacode,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [20062] = 2,
    ACTIONS(7453), 1,
      sym__trivia_raw_env_luacode_star,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
  [20070] = 2,
    ACTIONS(9721), 1,
      sym_command_name,
    ACTIONS(3), 2,
      sym__whitespace,
      sym_line_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2321)] = 0,
  [SMALL_STATE(2322)] = 39,
  [SMALL_STATE(2323)] = 78,
  [SMALL_STATE(2324)] = 117,
  [SMALL_STATE(2325)] = 156,
  [SMALL_STATE(2326)] = 195,
  [SMALL_STATE(2327)] = 234,
  [SMALL_STATE(2328)] = 273,
  [SMALL_STATE(2329)] = 320,
  [SMALL_STATE(2330)] = 339,
  [SMALL_STATE(2331)] = 358,
  [SMALL_STATE(2332)] = 377,
  [SMALL_STATE(2333)] = 396,
  [SMALL_STATE(2334)] = 415,
  [SMALL_STATE(2335)] = 434,
  [SMALL_STATE(2336)] = 453,
  [SMALL_STATE(2337)] = 472,
  [SMALL_STATE(2338)] = 491,
  [SMALL_STATE(2339)] = 510,
  [SMALL_STATE(2340)] = 529,
  [SMALL_STATE(2341)] = 548,
  [SMALL_STATE(2342)] = 567,
  [SMALL_STATE(2343)] = 586,
  [SMALL_STATE(2344)] = 605,
  [SMALL_STATE(2345)] = 624,
  [SMALL_STATE(2346)] = 643,
  [SMALL_STATE(2347)] = 662,
  [SMALL_STATE(2348)] = 681,
  [SMALL_STATE(2349)] = 700,
  [SMALL_STATE(2350)] = 719,
  [SMALL_STATE(2351)] = 738,
  [SMALL_STATE(2352)] = 757,
  [SMALL_STATE(2353)] = 776,
  [SMALL_STATE(2354)] = 795,
  [SMALL_STATE(2355)] = 814,
  [SMALL_STATE(2356)] = 833,
  [SMALL_STATE(2357)] = 851,
  [SMALL_STATE(2358)] = 869,
  [SMALL_STATE(2359)] = 887,
  [SMALL_STATE(2360)] = 905,
  [SMALL_STATE(2361)] = 925,
  [SMALL_STATE(2362)] = 945,
  [SMALL_STATE(2363)] = 963,
  [SMALL_STATE(2364)] = 981,
  [SMALL_STATE(2365)] = 999,
  [SMALL_STATE(2366)] = 1019,
  [SMALL_STATE(2367)] = 1039,
  [SMALL_STATE(2368)] = 1059,
  [SMALL_STATE(2369)] = 1077,
  [SMALL_STATE(2370)] = 1097,
  [SMALL_STATE(2371)] = 1117,
  [SMALL_STATE(2372)] = 1135,
  [SMALL_STATE(2373)] = 1155,
  [SMALL_STATE(2374)] = 1173,
  [SMALL_STATE(2375)] = 1191,
  [SMALL_STATE(2376)] = 1211,
  [SMALL_STATE(2377)] = 1229,
  [SMALL_STATE(2378)] = 1247,
  [SMALL_STATE(2379)] = 1267,
  [SMALL_STATE(2380)] = 1285,
  [SMALL_STATE(2381)] = 1302,
  [SMALL_STATE(2382)] = 1319,
  [SMALL_STATE(2383)] = 1336,
  [SMALL_STATE(2384)] = 1353,
  [SMALL_STATE(2385)] = 1370,
  [SMALL_STATE(2386)] = 1387,
  [SMALL_STATE(2387)] = 1404,
  [SMALL_STATE(2388)] = 1421,
  [SMALL_STATE(2389)] = 1438,
  [SMALL_STATE(2390)] = 1455,
  [SMALL_STATE(2391)] = 1472,
  [SMALL_STATE(2392)] = 1489,
  [SMALL_STATE(2393)] = 1506,
  [SMALL_STATE(2394)] = 1523,
  [SMALL_STATE(2395)] = 1540,
  [SMALL_STATE(2396)] = 1557,
  [SMALL_STATE(2397)] = 1574,
  [SMALL_STATE(2398)] = 1591,
  [SMALL_STATE(2399)] = 1608,
  [SMALL_STATE(2400)] = 1625,
  [SMALL_STATE(2401)] = 1642,
  [SMALL_STATE(2402)] = 1659,
  [SMALL_STATE(2403)] = 1676,
  [SMALL_STATE(2404)] = 1693,
  [SMALL_STATE(2405)] = 1710,
  [SMALL_STATE(2406)] = 1727,
  [SMALL_STATE(2407)] = 1744,
  [SMALL_STATE(2408)] = 1761,
  [SMALL_STATE(2409)] = 1778,
  [SMALL_STATE(2410)] = 1795,
  [SMALL_STATE(2411)] = 1812,
  [SMALL_STATE(2412)] = 1829,
  [SMALL_STATE(2413)] = 1846,
  [SMALL_STATE(2414)] = 1863,
  [SMALL_STATE(2415)] = 1880,
  [SMALL_STATE(2416)] = 1897,
  [SMALL_STATE(2417)] = 1914,
  [SMALL_STATE(2418)] = 1931,
  [SMALL_STATE(2419)] = 1948,
  [SMALL_STATE(2420)] = 1965,
  [SMALL_STATE(2421)] = 1982,
  [SMALL_STATE(2422)] = 1999,
  [SMALL_STATE(2423)] = 2016,
  [SMALL_STATE(2424)] = 2033,
  [SMALL_STATE(2425)] = 2050,
  [SMALL_STATE(2426)] = 2067,
  [SMALL_STATE(2427)] = 2084,
  [SMALL_STATE(2428)] = 2101,
  [SMALL_STATE(2429)] = 2118,
  [SMALL_STATE(2430)] = 2135,
  [SMALL_STATE(2431)] = 2152,
  [SMALL_STATE(2432)] = 2169,
  [SMALL_STATE(2433)] = 2186,
  [SMALL_STATE(2434)] = 2203,
  [SMALL_STATE(2435)] = 2220,
  [SMALL_STATE(2436)] = 2237,
  [SMALL_STATE(2437)] = 2254,
  [SMALL_STATE(2438)] = 2271,
  [SMALL_STATE(2439)] = 2288,
  [SMALL_STATE(2440)] = 2305,
  [SMALL_STATE(2441)] = 2322,
  [SMALL_STATE(2442)] = 2339,
  [SMALL_STATE(2443)] = 2356,
  [SMALL_STATE(2444)] = 2373,
  [SMALL_STATE(2445)] = 2390,
  [SMALL_STATE(2446)] = 2407,
  [SMALL_STATE(2447)] = 2424,
  [SMALL_STATE(2448)] = 2441,
  [SMALL_STATE(2449)] = 2458,
  [SMALL_STATE(2450)] = 2475,
  [SMALL_STATE(2451)] = 2492,
  [SMALL_STATE(2452)] = 2509,
  [SMALL_STATE(2453)] = 2526,
  [SMALL_STATE(2454)] = 2543,
  [SMALL_STATE(2455)] = 2560,
  [SMALL_STATE(2456)] = 2577,
  [SMALL_STATE(2457)] = 2594,
  [SMALL_STATE(2458)] = 2611,
  [SMALL_STATE(2459)] = 2628,
  [SMALL_STATE(2460)] = 2645,
  [SMALL_STATE(2461)] = 2662,
  [SMALL_STATE(2462)] = 2679,
  [SMALL_STATE(2463)] = 2696,
  [SMALL_STATE(2464)] = 2713,
  [SMALL_STATE(2465)] = 2730,
  [SMALL_STATE(2466)] = 2747,
  [SMALL_STATE(2467)] = 2764,
  [SMALL_STATE(2468)] = 2781,
  [SMALL_STATE(2469)] = 2798,
  [SMALL_STATE(2470)] = 2815,
  [SMALL_STATE(2471)] = 2832,
  [SMALL_STATE(2472)] = 2849,
  [SMALL_STATE(2473)] = 2866,
  [SMALL_STATE(2474)] = 2883,
  [SMALL_STATE(2475)] = 2900,
  [SMALL_STATE(2476)] = 2917,
  [SMALL_STATE(2477)] = 2934,
  [SMALL_STATE(2478)] = 2951,
  [SMALL_STATE(2479)] = 2968,
  [SMALL_STATE(2480)] = 2985,
  [SMALL_STATE(2481)] = 3002,
  [SMALL_STATE(2482)] = 3019,
  [SMALL_STATE(2483)] = 3036,
  [SMALL_STATE(2484)] = 3053,
  [SMALL_STATE(2485)] = 3070,
  [SMALL_STATE(2486)] = 3087,
  [SMALL_STATE(2487)] = 3104,
  [SMALL_STATE(2488)] = 3121,
  [SMALL_STATE(2489)] = 3138,
  [SMALL_STATE(2490)] = 3155,
  [SMALL_STATE(2491)] = 3172,
  [SMALL_STATE(2492)] = 3189,
  [SMALL_STATE(2493)] = 3206,
  [SMALL_STATE(2494)] = 3223,
  [SMALL_STATE(2495)] = 3240,
  [SMALL_STATE(2496)] = 3257,
  [SMALL_STATE(2497)] = 3274,
  [SMALL_STATE(2498)] = 3291,
  [SMALL_STATE(2499)] = 3308,
  [SMALL_STATE(2500)] = 3325,
  [SMALL_STATE(2501)] = 3342,
  [SMALL_STATE(2502)] = 3359,
  [SMALL_STATE(2503)] = 3376,
  [SMALL_STATE(2504)] = 3393,
  [SMALL_STATE(2505)] = 3410,
  [SMALL_STATE(2506)] = 3427,
  [SMALL_STATE(2507)] = 3444,
  [SMALL_STATE(2508)] = 3461,
  [SMALL_STATE(2509)] = 3478,
  [SMALL_STATE(2510)] = 3495,
  [SMALL_STATE(2511)] = 3512,
  [SMALL_STATE(2512)] = 3529,
  [SMALL_STATE(2513)] = 3546,
  [SMALL_STATE(2514)] = 3563,
  [SMALL_STATE(2515)] = 3580,
  [SMALL_STATE(2516)] = 3597,
  [SMALL_STATE(2517)] = 3614,
  [SMALL_STATE(2518)] = 3631,
  [SMALL_STATE(2519)] = 3648,
  [SMALL_STATE(2520)] = 3665,
  [SMALL_STATE(2521)] = 3682,
  [SMALL_STATE(2522)] = 3699,
  [SMALL_STATE(2523)] = 3716,
  [SMALL_STATE(2524)] = 3733,
  [SMALL_STATE(2525)] = 3750,
  [SMALL_STATE(2526)] = 3767,
  [SMALL_STATE(2527)] = 3784,
  [SMALL_STATE(2528)] = 3801,
  [SMALL_STATE(2529)] = 3818,
  [SMALL_STATE(2530)] = 3835,
  [SMALL_STATE(2531)] = 3852,
  [SMALL_STATE(2532)] = 3869,
  [SMALL_STATE(2533)] = 3886,
  [SMALL_STATE(2534)] = 3903,
  [SMALL_STATE(2535)] = 3920,
  [SMALL_STATE(2536)] = 3937,
  [SMALL_STATE(2537)] = 3954,
  [SMALL_STATE(2538)] = 3971,
  [SMALL_STATE(2539)] = 3988,
  [SMALL_STATE(2540)] = 4005,
  [SMALL_STATE(2541)] = 4022,
  [SMALL_STATE(2542)] = 4039,
  [SMALL_STATE(2543)] = 4056,
  [SMALL_STATE(2544)] = 4073,
  [SMALL_STATE(2545)] = 4090,
  [SMALL_STATE(2546)] = 4107,
  [SMALL_STATE(2547)] = 4124,
  [SMALL_STATE(2548)] = 4141,
  [SMALL_STATE(2549)] = 4158,
  [SMALL_STATE(2550)] = 4175,
  [SMALL_STATE(2551)] = 4192,
  [SMALL_STATE(2552)] = 4209,
  [SMALL_STATE(2553)] = 4226,
  [SMALL_STATE(2554)] = 4243,
  [SMALL_STATE(2555)] = 4260,
  [SMALL_STATE(2556)] = 4277,
  [SMALL_STATE(2557)] = 4294,
  [SMALL_STATE(2558)] = 4311,
  [SMALL_STATE(2559)] = 4328,
  [SMALL_STATE(2560)] = 4345,
  [SMALL_STATE(2561)] = 4362,
  [SMALL_STATE(2562)] = 4379,
  [SMALL_STATE(2563)] = 4396,
  [SMALL_STATE(2564)] = 4413,
  [SMALL_STATE(2565)] = 4430,
  [SMALL_STATE(2566)] = 4447,
  [SMALL_STATE(2567)] = 4464,
  [SMALL_STATE(2568)] = 4481,
  [SMALL_STATE(2569)] = 4498,
  [SMALL_STATE(2570)] = 4515,
  [SMALL_STATE(2571)] = 4532,
  [SMALL_STATE(2572)] = 4549,
  [SMALL_STATE(2573)] = 4566,
  [SMALL_STATE(2574)] = 4583,
  [SMALL_STATE(2575)] = 4600,
  [SMALL_STATE(2576)] = 4617,
  [SMALL_STATE(2577)] = 4634,
  [SMALL_STATE(2578)] = 4651,
  [SMALL_STATE(2579)] = 4668,
  [SMALL_STATE(2580)] = 4685,
  [SMALL_STATE(2581)] = 4702,
  [SMALL_STATE(2582)] = 4719,
  [SMALL_STATE(2583)] = 4736,
  [SMALL_STATE(2584)] = 4753,
  [SMALL_STATE(2585)] = 4770,
  [SMALL_STATE(2586)] = 4787,
  [SMALL_STATE(2587)] = 4804,
  [SMALL_STATE(2588)] = 4821,
  [SMALL_STATE(2589)] = 4838,
  [SMALL_STATE(2590)] = 4855,
  [SMALL_STATE(2591)] = 4872,
  [SMALL_STATE(2592)] = 4889,
  [SMALL_STATE(2593)] = 4906,
  [SMALL_STATE(2594)] = 4923,
  [SMALL_STATE(2595)] = 4940,
  [SMALL_STATE(2596)] = 4957,
  [SMALL_STATE(2597)] = 4974,
  [SMALL_STATE(2598)] = 4991,
  [SMALL_STATE(2599)] = 5008,
  [SMALL_STATE(2600)] = 5025,
  [SMALL_STATE(2601)] = 5042,
  [SMALL_STATE(2602)] = 5059,
  [SMALL_STATE(2603)] = 5076,
  [SMALL_STATE(2604)] = 5093,
  [SMALL_STATE(2605)] = 5110,
  [SMALL_STATE(2606)] = 5127,
  [SMALL_STATE(2607)] = 5144,
  [SMALL_STATE(2608)] = 5161,
  [SMALL_STATE(2609)] = 5178,
  [SMALL_STATE(2610)] = 5195,
  [SMALL_STATE(2611)] = 5212,
  [SMALL_STATE(2612)] = 5226,
  [SMALL_STATE(2613)] = 5240,
  [SMALL_STATE(2614)] = 5254,
  [SMALL_STATE(2615)] = 5268,
  [SMALL_STATE(2616)] = 5278,
  [SMALL_STATE(2617)] = 5292,
  [SMALL_STATE(2618)] = 5306,
  [SMALL_STATE(2619)] = 5320,
  [SMALL_STATE(2620)] = 5334,
  [SMALL_STATE(2621)] = 5348,
  [SMALL_STATE(2622)] = 5362,
  [SMALL_STATE(2623)] = 5376,
  [SMALL_STATE(2624)] = 5386,
  [SMALL_STATE(2625)] = 5400,
  [SMALL_STATE(2626)] = 5414,
  [SMALL_STATE(2627)] = 5428,
  [SMALL_STATE(2628)] = 5442,
  [SMALL_STATE(2629)] = 5456,
  [SMALL_STATE(2630)] = 5470,
  [SMALL_STATE(2631)] = 5484,
  [SMALL_STATE(2632)] = 5498,
  [SMALL_STATE(2633)] = 5512,
  [SMALL_STATE(2634)] = 5526,
  [SMALL_STATE(2635)] = 5540,
  [SMALL_STATE(2636)] = 5554,
  [SMALL_STATE(2637)] = 5568,
  [SMALL_STATE(2638)] = 5582,
  [SMALL_STATE(2639)] = 5596,
  [SMALL_STATE(2640)] = 5610,
  [SMALL_STATE(2641)] = 5620,
  [SMALL_STATE(2642)] = 5634,
  [SMALL_STATE(2643)] = 5648,
  [SMALL_STATE(2644)] = 5662,
  [SMALL_STATE(2645)] = 5676,
  [SMALL_STATE(2646)] = 5690,
  [SMALL_STATE(2647)] = 5704,
  [SMALL_STATE(2648)] = 5718,
  [SMALL_STATE(2649)] = 5732,
  [SMALL_STATE(2650)] = 5746,
  [SMALL_STATE(2651)] = 5760,
  [SMALL_STATE(2652)] = 5774,
  [SMALL_STATE(2653)] = 5788,
  [SMALL_STATE(2654)] = 5802,
  [SMALL_STATE(2655)] = 5816,
  [SMALL_STATE(2656)] = 5830,
  [SMALL_STATE(2657)] = 5842,
  [SMALL_STATE(2658)] = 5856,
  [SMALL_STATE(2659)] = 5870,
  [SMALL_STATE(2660)] = 5884,
  [SMALL_STATE(2661)] = 5898,
  [SMALL_STATE(2662)] = 5912,
  [SMALL_STATE(2663)] = 5926,
  [SMALL_STATE(2664)] = 5940,
  [SMALL_STATE(2665)] = 5952,
  [SMALL_STATE(2666)] = 5966,
  [SMALL_STATE(2667)] = 5980,
  [SMALL_STATE(2668)] = 5994,
  [SMALL_STATE(2669)] = 6008,
  [SMALL_STATE(2670)] = 6022,
  [SMALL_STATE(2671)] = 6036,
  [SMALL_STATE(2672)] = 6050,
  [SMALL_STATE(2673)] = 6064,
  [SMALL_STATE(2674)] = 6078,
  [SMALL_STATE(2675)] = 6092,
  [SMALL_STATE(2676)] = 6106,
  [SMALL_STATE(2677)] = 6120,
  [SMALL_STATE(2678)] = 6134,
  [SMALL_STATE(2679)] = 6148,
  [SMALL_STATE(2680)] = 6162,
  [SMALL_STATE(2681)] = 6176,
  [SMALL_STATE(2682)] = 6190,
  [SMALL_STATE(2683)] = 6204,
  [SMALL_STATE(2684)] = 6218,
  [SMALL_STATE(2685)] = 6232,
  [SMALL_STATE(2686)] = 6246,
  [SMALL_STATE(2687)] = 6260,
  [SMALL_STATE(2688)] = 6274,
  [SMALL_STATE(2689)] = 6284,
  [SMALL_STATE(2690)] = 6298,
  [SMALL_STATE(2691)] = 6312,
  [SMALL_STATE(2692)] = 6326,
  [SMALL_STATE(2693)] = 6340,
  [SMALL_STATE(2694)] = 6354,
  [SMALL_STATE(2695)] = 6368,
  [SMALL_STATE(2696)] = 6382,
  [SMALL_STATE(2697)] = 6396,
  [SMALL_STATE(2698)] = 6410,
  [SMALL_STATE(2699)] = 6424,
  [SMALL_STATE(2700)] = 6438,
  [SMALL_STATE(2701)] = 6452,
  [SMALL_STATE(2702)] = 6466,
  [SMALL_STATE(2703)] = 6480,
  [SMALL_STATE(2704)] = 6494,
  [SMALL_STATE(2705)] = 6508,
  [SMALL_STATE(2706)] = 6522,
  [SMALL_STATE(2707)] = 6536,
  [SMALL_STATE(2708)] = 6550,
  [SMALL_STATE(2709)] = 6564,
  [SMALL_STATE(2710)] = 6578,
  [SMALL_STATE(2711)] = 6592,
  [SMALL_STATE(2712)] = 6606,
  [SMALL_STATE(2713)] = 6620,
  [SMALL_STATE(2714)] = 6632,
  [SMALL_STATE(2715)] = 6646,
  [SMALL_STATE(2716)] = 6660,
  [SMALL_STATE(2717)] = 6674,
  [SMALL_STATE(2718)] = 6688,
  [SMALL_STATE(2719)] = 6702,
  [SMALL_STATE(2720)] = 6716,
  [SMALL_STATE(2721)] = 6730,
  [SMALL_STATE(2722)] = 6744,
  [SMALL_STATE(2723)] = 6758,
  [SMALL_STATE(2724)] = 6770,
  [SMALL_STATE(2725)] = 6784,
  [SMALL_STATE(2726)] = 6798,
  [SMALL_STATE(2727)] = 6812,
  [SMALL_STATE(2728)] = 6826,
  [SMALL_STATE(2729)] = 6840,
  [SMALL_STATE(2730)] = 6854,
  [SMALL_STATE(2731)] = 6868,
  [SMALL_STATE(2732)] = 6882,
  [SMALL_STATE(2733)] = 6896,
  [SMALL_STATE(2734)] = 6910,
  [SMALL_STATE(2735)] = 6924,
  [SMALL_STATE(2736)] = 6938,
  [SMALL_STATE(2737)] = 6952,
  [SMALL_STATE(2738)] = 6966,
  [SMALL_STATE(2739)] = 6980,
  [SMALL_STATE(2740)] = 6994,
  [SMALL_STATE(2741)] = 7008,
  [SMALL_STATE(2742)] = 7022,
  [SMALL_STATE(2743)] = 7036,
  [SMALL_STATE(2744)] = 7050,
  [SMALL_STATE(2745)] = 7064,
  [SMALL_STATE(2746)] = 7078,
  [SMALL_STATE(2747)] = 7092,
  [SMALL_STATE(2748)] = 7106,
  [SMALL_STATE(2749)] = 7120,
  [SMALL_STATE(2750)] = 7134,
  [SMALL_STATE(2751)] = 7148,
  [SMALL_STATE(2752)] = 7162,
  [SMALL_STATE(2753)] = 7176,
  [SMALL_STATE(2754)] = 7190,
  [SMALL_STATE(2755)] = 7204,
  [SMALL_STATE(2756)] = 7218,
  [SMALL_STATE(2757)] = 7229,
  [SMALL_STATE(2758)] = 7240,
  [SMALL_STATE(2759)] = 7251,
  [SMALL_STATE(2760)] = 7262,
  [SMALL_STATE(2761)] = 7273,
  [SMALL_STATE(2762)] = 7284,
  [SMALL_STATE(2763)] = 7295,
  [SMALL_STATE(2764)] = 7306,
  [SMALL_STATE(2765)] = 7317,
  [SMALL_STATE(2766)] = 7328,
  [SMALL_STATE(2767)] = 7339,
  [SMALL_STATE(2768)] = 7350,
  [SMALL_STATE(2769)] = 7361,
  [SMALL_STATE(2770)] = 7372,
  [SMALL_STATE(2771)] = 7383,
  [SMALL_STATE(2772)] = 7394,
  [SMALL_STATE(2773)] = 7405,
  [SMALL_STATE(2774)] = 7416,
  [SMALL_STATE(2775)] = 7427,
  [SMALL_STATE(2776)] = 7438,
  [SMALL_STATE(2777)] = 7449,
  [SMALL_STATE(2778)] = 7460,
  [SMALL_STATE(2779)] = 7471,
  [SMALL_STATE(2780)] = 7482,
  [SMALL_STATE(2781)] = 7493,
  [SMALL_STATE(2782)] = 7504,
  [SMALL_STATE(2783)] = 7515,
  [SMALL_STATE(2784)] = 7526,
  [SMALL_STATE(2785)] = 7537,
  [SMALL_STATE(2786)] = 7548,
  [SMALL_STATE(2787)] = 7559,
  [SMALL_STATE(2788)] = 7570,
  [SMALL_STATE(2789)] = 7581,
  [SMALL_STATE(2790)] = 7592,
  [SMALL_STATE(2791)] = 7603,
  [SMALL_STATE(2792)] = 7614,
  [SMALL_STATE(2793)] = 7625,
  [SMALL_STATE(2794)] = 7636,
  [SMALL_STATE(2795)] = 7647,
  [SMALL_STATE(2796)] = 7658,
  [SMALL_STATE(2797)] = 7669,
  [SMALL_STATE(2798)] = 7680,
  [SMALL_STATE(2799)] = 7691,
  [SMALL_STATE(2800)] = 7702,
  [SMALL_STATE(2801)] = 7713,
  [SMALL_STATE(2802)] = 7724,
  [SMALL_STATE(2803)] = 7735,
  [SMALL_STATE(2804)] = 7746,
  [SMALL_STATE(2805)] = 7757,
  [SMALL_STATE(2806)] = 7768,
  [SMALL_STATE(2807)] = 7779,
  [SMALL_STATE(2808)] = 7790,
  [SMALL_STATE(2809)] = 7801,
  [SMALL_STATE(2810)] = 7812,
  [SMALL_STATE(2811)] = 7823,
  [SMALL_STATE(2812)] = 7834,
  [SMALL_STATE(2813)] = 7845,
  [SMALL_STATE(2814)] = 7856,
  [SMALL_STATE(2815)] = 7867,
  [SMALL_STATE(2816)] = 7878,
  [SMALL_STATE(2817)] = 7889,
  [SMALL_STATE(2818)] = 7900,
  [SMALL_STATE(2819)] = 7911,
  [SMALL_STATE(2820)] = 7922,
  [SMALL_STATE(2821)] = 7933,
  [SMALL_STATE(2822)] = 7944,
  [SMALL_STATE(2823)] = 7955,
  [SMALL_STATE(2824)] = 7966,
  [SMALL_STATE(2825)] = 7977,
  [SMALL_STATE(2826)] = 7988,
  [SMALL_STATE(2827)] = 7999,
  [SMALL_STATE(2828)] = 8010,
  [SMALL_STATE(2829)] = 8021,
  [SMALL_STATE(2830)] = 8032,
  [SMALL_STATE(2831)] = 8043,
  [SMALL_STATE(2832)] = 8054,
  [SMALL_STATE(2833)] = 8065,
  [SMALL_STATE(2834)] = 8076,
  [SMALL_STATE(2835)] = 8087,
  [SMALL_STATE(2836)] = 8098,
  [SMALL_STATE(2837)] = 8109,
  [SMALL_STATE(2838)] = 8120,
  [SMALL_STATE(2839)] = 8131,
  [SMALL_STATE(2840)] = 8142,
  [SMALL_STATE(2841)] = 8153,
  [SMALL_STATE(2842)] = 8164,
  [SMALL_STATE(2843)] = 8175,
  [SMALL_STATE(2844)] = 8186,
  [SMALL_STATE(2845)] = 8197,
  [SMALL_STATE(2846)] = 8208,
  [SMALL_STATE(2847)] = 8219,
  [SMALL_STATE(2848)] = 8230,
  [SMALL_STATE(2849)] = 8241,
  [SMALL_STATE(2850)] = 8252,
  [SMALL_STATE(2851)] = 8263,
  [SMALL_STATE(2852)] = 8274,
  [SMALL_STATE(2853)] = 8285,
  [SMALL_STATE(2854)] = 8296,
  [SMALL_STATE(2855)] = 8307,
  [SMALL_STATE(2856)] = 8318,
  [SMALL_STATE(2857)] = 8329,
  [SMALL_STATE(2858)] = 8340,
  [SMALL_STATE(2859)] = 8351,
  [SMALL_STATE(2860)] = 8362,
  [SMALL_STATE(2861)] = 8373,
  [SMALL_STATE(2862)] = 8384,
  [SMALL_STATE(2863)] = 8395,
  [SMALL_STATE(2864)] = 8406,
  [SMALL_STATE(2865)] = 8417,
  [SMALL_STATE(2866)] = 8428,
  [SMALL_STATE(2867)] = 8439,
  [SMALL_STATE(2868)] = 8450,
  [SMALL_STATE(2869)] = 8461,
  [SMALL_STATE(2870)] = 8472,
  [SMALL_STATE(2871)] = 8483,
  [SMALL_STATE(2872)] = 8494,
  [SMALL_STATE(2873)] = 8505,
  [SMALL_STATE(2874)] = 8516,
  [SMALL_STATE(2875)] = 8527,
  [SMALL_STATE(2876)] = 8538,
  [SMALL_STATE(2877)] = 8549,
  [SMALL_STATE(2878)] = 8560,
  [SMALL_STATE(2879)] = 8571,
  [SMALL_STATE(2880)] = 8582,
  [SMALL_STATE(2881)] = 8593,
  [SMALL_STATE(2882)] = 8604,
  [SMALL_STATE(2883)] = 8615,
  [SMALL_STATE(2884)] = 8626,
  [SMALL_STATE(2885)] = 8637,
  [SMALL_STATE(2886)] = 8648,
  [SMALL_STATE(2887)] = 8659,
  [SMALL_STATE(2888)] = 8670,
  [SMALL_STATE(2889)] = 8681,
  [SMALL_STATE(2890)] = 8692,
  [SMALL_STATE(2891)] = 8703,
  [SMALL_STATE(2892)] = 8714,
  [SMALL_STATE(2893)] = 8725,
  [SMALL_STATE(2894)] = 8734,
  [SMALL_STATE(2895)] = 8745,
  [SMALL_STATE(2896)] = 8756,
  [SMALL_STATE(2897)] = 8767,
  [SMALL_STATE(2898)] = 8778,
  [SMALL_STATE(2899)] = 8787,
  [SMALL_STATE(2900)] = 8798,
  [SMALL_STATE(2901)] = 8809,
  [SMALL_STATE(2902)] = 8820,
  [SMALL_STATE(2903)] = 8831,
  [SMALL_STATE(2904)] = 8842,
  [SMALL_STATE(2905)] = 8853,
  [SMALL_STATE(2906)] = 8864,
  [SMALL_STATE(2907)] = 8875,
  [SMALL_STATE(2908)] = 8886,
  [SMALL_STATE(2909)] = 8897,
  [SMALL_STATE(2910)] = 8908,
  [SMALL_STATE(2911)] = 8919,
  [SMALL_STATE(2912)] = 8930,
  [SMALL_STATE(2913)] = 8941,
  [SMALL_STATE(2914)] = 8952,
  [SMALL_STATE(2915)] = 8963,
  [SMALL_STATE(2916)] = 8972,
  [SMALL_STATE(2917)] = 8983,
  [SMALL_STATE(2918)] = 8994,
  [SMALL_STATE(2919)] = 9005,
  [SMALL_STATE(2920)] = 9016,
  [SMALL_STATE(2921)] = 9027,
  [SMALL_STATE(2922)] = 9038,
  [SMALL_STATE(2923)] = 9049,
  [SMALL_STATE(2924)] = 9060,
  [SMALL_STATE(2925)] = 9071,
  [SMALL_STATE(2926)] = 9082,
  [SMALL_STATE(2927)] = 9093,
  [SMALL_STATE(2928)] = 9104,
  [SMALL_STATE(2929)] = 9115,
  [SMALL_STATE(2930)] = 9126,
  [SMALL_STATE(2931)] = 9137,
  [SMALL_STATE(2932)] = 9148,
  [SMALL_STATE(2933)] = 9159,
  [SMALL_STATE(2934)] = 9170,
  [SMALL_STATE(2935)] = 9181,
  [SMALL_STATE(2936)] = 9192,
  [SMALL_STATE(2937)] = 9203,
  [SMALL_STATE(2938)] = 9214,
  [SMALL_STATE(2939)] = 9225,
  [SMALL_STATE(2940)] = 9236,
  [SMALL_STATE(2941)] = 9247,
  [SMALL_STATE(2942)] = 9258,
  [SMALL_STATE(2943)] = 9269,
  [SMALL_STATE(2944)] = 9280,
  [SMALL_STATE(2945)] = 9291,
  [SMALL_STATE(2946)] = 9302,
  [SMALL_STATE(2947)] = 9313,
  [SMALL_STATE(2948)] = 9324,
  [SMALL_STATE(2949)] = 9335,
  [SMALL_STATE(2950)] = 9346,
  [SMALL_STATE(2951)] = 9357,
  [SMALL_STATE(2952)] = 9368,
  [SMALL_STATE(2953)] = 9379,
  [SMALL_STATE(2954)] = 9390,
  [SMALL_STATE(2955)] = 9401,
  [SMALL_STATE(2956)] = 9412,
  [SMALL_STATE(2957)] = 9423,
  [SMALL_STATE(2958)] = 9434,
  [SMALL_STATE(2959)] = 9445,
  [SMALL_STATE(2960)] = 9456,
  [SMALL_STATE(2961)] = 9467,
  [SMALL_STATE(2962)] = 9478,
  [SMALL_STATE(2963)] = 9489,
  [SMALL_STATE(2964)] = 9500,
  [SMALL_STATE(2965)] = 9511,
  [SMALL_STATE(2966)] = 9522,
  [SMALL_STATE(2967)] = 9533,
  [SMALL_STATE(2968)] = 9544,
  [SMALL_STATE(2969)] = 9555,
  [SMALL_STATE(2970)] = 9566,
  [SMALL_STATE(2971)] = 9577,
  [SMALL_STATE(2972)] = 9588,
  [SMALL_STATE(2973)] = 9599,
  [SMALL_STATE(2974)] = 9610,
  [SMALL_STATE(2975)] = 9621,
  [SMALL_STATE(2976)] = 9632,
  [SMALL_STATE(2977)] = 9643,
  [SMALL_STATE(2978)] = 9654,
  [SMALL_STATE(2979)] = 9665,
  [SMALL_STATE(2980)] = 9676,
  [SMALL_STATE(2981)] = 9687,
  [SMALL_STATE(2982)] = 9698,
  [SMALL_STATE(2983)] = 9709,
  [SMALL_STATE(2984)] = 9720,
  [SMALL_STATE(2985)] = 9731,
  [SMALL_STATE(2986)] = 9742,
  [SMALL_STATE(2987)] = 9753,
  [SMALL_STATE(2988)] = 9764,
  [SMALL_STATE(2989)] = 9775,
  [SMALL_STATE(2990)] = 9786,
  [SMALL_STATE(2991)] = 9797,
  [SMALL_STATE(2992)] = 9808,
  [SMALL_STATE(2993)] = 9819,
  [SMALL_STATE(2994)] = 9830,
  [SMALL_STATE(2995)] = 9841,
  [SMALL_STATE(2996)] = 9852,
  [SMALL_STATE(2997)] = 9863,
  [SMALL_STATE(2998)] = 9874,
  [SMALL_STATE(2999)] = 9885,
  [SMALL_STATE(3000)] = 9896,
  [SMALL_STATE(3001)] = 9907,
  [SMALL_STATE(3002)] = 9918,
  [SMALL_STATE(3003)] = 9929,
  [SMALL_STATE(3004)] = 9940,
  [SMALL_STATE(3005)] = 9951,
  [SMALL_STATE(3006)] = 9962,
  [SMALL_STATE(3007)] = 9973,
  [SMALL_STATE(3008)] = 9984,
  [SMALL_STATE(3009)] = 9995,
  [SMALL_STATE(3010)] = 10006,
  [SMALL_STATE(3011)] = 10017,
  [SMALL_STATE(3012)] = 10028,
  [SMALL_STATE(3013)] = 10039,
  [SMALL_STATE(3014)] = 10050,
  [SMALL_STATE(3015)] = 10061,
  [SMALL_STATE(3016)] = 10072,
  [SMALL_STATE(3017)] = 10083,
  [SMALL_STATE(3018)] = 10094,
  [SMALL_STATE(3019)] = 10105,
  [SMALL_STATE(3020)] = 10116,
  [SMALL_STATE(3021)] = 10127,
  [SMALL_STATE(3022)] = 10138,
  [SMALL_STATE(3023)] = 10149,
  [SMALL_STATE(3024)] = 10160,
  [SMALL_STATE(3025)] = 10171,
  [SMALL_STATE(3026)] = 10182,
  [SMALL_STATE(3027)] = 10193,
  [SMALL_STATE(3028)] = 10204,
  [SMALL_STATE(3029)] = 10215,
  [SMALL_STATE(3030)] = 10226,
  [SMALL_STATE(3031)] = 10237,
  [SMALL_STATE(3032)] = 10248,
  [SMALL_STATE(3033)] = 10259,
  [SMALL_STATE(3034)] = 10270,
  [SMALL_STATE(3035)] = 10281,
  [SMALL_STATE(3036)] = 10292,
  [SMALL_STATE(3037)] = 10303,
  [SMALL_STATE(3038)] = 10314,
  [SMALL_STATE(3039)] = 10325,
  [SMALL_STATE(3040)] = 10336,
  [SMALL_STATE(3041)] = 10347,
  [SMALL_STATE(3042)] = 10358,
  [SMALL_STATE(3043)] = 10369,
  [SMALL_STATE(3044)] = 10380,
  [SMALL_STATE(3045)] = 10391,
  [SMALL_STATE(3046)] = 10402,
  [SMALL_STATE(3047)] = 10413,
  [SMALL_STATE(3048)] = 10424,
  [SMALL_STATE(3049)] = 10435,
  [SMALL_STATE(3050)] = 10446,
  [SMALL_STATE(3051)] = 10457,
  [SMALL_STATE(3052)] = 10468,
  [SMALL_STATE(3053)] = 10479,
  [SMALL_STATE(3054)] = 10490,
  [SMALL_STATE(3055)] = 10501,
  [SMALL_STATE(3056)] = 10512,
  [SMALL_STATE(3057)] = 10523,
  [SMALL_STATE(3058)] = 10534,
  [SMALL_STATE(3059)] = 10545,
  [SMALL_STATE(3060)] = 10556,
  [SMALL_STATE(3061)] = 10567,
  [SMALL_STATE(3062)] = 10578,
  [SMALL_STATE(3063)] = 10589,
  [SMALL_STATE(3064)] = 10600,
  [SMALL_STATE(3065)] = 10611,
  [SMALL_STATE(3066)] = 10622,
  [SMALL_STATE(3067)] = 10633,
  [SMALL_STATE(3068)] = 10644,
  [SMALL_STATE(3069)] = 10655,
  [SMALL_STATE(3070)] = 10666,
  [SMALL_STATE(3071)] = 10677,
  [SMALL_STATE(3072)] = 10688,
  [SMALL_STATE(3073)] = 10699,
  [SMALL_STATE(3074)] = 10710,
  [SMALL_STATE(3075)] = 10721,
  [SMALL_STATE(3076)] = 10732,
  [SMALL_STATE(3077)] = 10743,
  [SMALL_STATE(3078)] = 10754,
  [SMALL_STATE(3079)] = 10765,
  [SMALL_STATE(3080)] = 10776,
  [SMALL_STATE(3081)] = 10787,
  [SMALL_STATE(3082)] = 10798,
  [SMALL_STATE(3083)] = 10809,
  [SMALL_STATE(3084)] = 10820,
  [SMALL_STATE(3085)] = 10831,
  [SMALL_STATE(3086)] = 10842,
  [SMALL_STATE(3087)] = 10853,
  [SMALL_STATE(3088)] = 10864,
  [SMALL_STATE(3089)] = 10875,
  [SMALL_STATE(3090)] = 10886,
  [SMALL_STATE(3091)] = 10897,
  [SMALL_STATE(3092)] = 10908,
  [SMALL_STATE(3093)] = 10919,
  [SMALL_STATE(3094)] = 10930,
  [SMALL_STATE(3095)] = 10941,
  [SMALL_STATE(3096)] = 10952,
  [SMALL_STATE(3097)] = 10963,
  [SMALL_STATE(3098)] = 10974,
  [SMALL_STATE(3099)] = 10985,
  [SMALL_STATE(3100)] = 10996,
  [SMALL_STATE(3101)] = 11007,
  [SMALL_STATE(3102)] = 11018,
  [SMALL_STATE(3103)] = 11029,
  [SMALL_STATE(3104)] = 11040,
  [SMALL_STATE(3105)] = 11051,
  [SMALL_STATE(3106)] = 11062,
  [SMALL_STATE(3107)] = 11073,
  [SMALL_STATE(3108)] = 11084,
  [SMALL_STATE(3109)] = 11095,
  [SMALL_STATE(3110)] = 11106,
  [SMALL_STATE(3111)] = 11117,
  [SMALL_STATE(3112)] = 11128,
  [SMALL_STATE(3113)] = 11139,
  [SMALL_STATE(3114)] = 11150,
  [SMALL_STATE(3115)] = 11161,
  [SMALL_STATE(3116)] = 11172,
  [SMALL_STATE(3117)] = 11183,
  [SMALL_STATE(3118)] = 11194,
  [SMALL_STATE(3119)] = 11205,
  [SMALL_STATE(3120)] = 11216,
  [SMALL_STATE(3121)] = 11227,
  [SMALL_STATE(3122)] = 11238,
  [SMALL_STATE(3123)] = 11249,
  [SMALL_STATE(3124)] = 11260,
  [SMALL_STATE(3125)] = 11271,
  [SMALL_STATE(3126)] = 11282,
  [SMALL_STATE(3127)] = 11293,
  [SMALL_STATE(3128)] = 11304,
  [SMALL_STATE(3129)] = 11315,
  [SMALL_STATE(3130)] = 11326,
  [SMALL_STATE(3131)] = 11337,
  [SMALL_STATE(3132)] = 11348,
  [SMALL_STATE(3133)] = 11359,
  [SMALL_STATE(3134)] = 11370,
  [SMALL_STATE(3135)] = 11381,
  [SMALL_STATE(3136)] = 11392,
  [SMALL_STATE(3137)] = 11403,
  [SMALL_STATE(3138)] = 11414,
  [SMALL_STATE(3139)] = 11425,
  [SMALL_STATE(3140)] = 11436,
  [SMALL_STATE(3141)] = 11447,
  [SMALL_STATE(3142)] = 11458,
  [SMALL_STATE(3143)] = 11469,
  [SMALL_STATE(3144)] = 11480,
  [SMALL_STATE(3145)] = 11491,
  [SMALL_STATE(3146)] = 11502,
  [SMALL_STATE(3147)] = 11513,
  [SMALL_STATE(3148)] = 11524,
  [SMALL_STATE(3149)] = 11535,
  [SMALL_STATE(3150)] = 11546,
  [SMALL_STATE(3151)] = 11557,
  [SMALL_STATE(3152)] = 11568,
  [SMALL_STATE(3153)] = 11579,
  [SMALL_STATE(3154)] = 11590,
  [SMALL_STATE(3155)] = 11601,
  [SMALL_STATE(3156)] = 11612,
  [SMALL_STATE(3157)] = 11623,
  [SMALL_STATE(3158)] = 11634,
  [SMALL_STATE(3159)] = 11645,
  [SMALL_STATE(3160)] = 11656,
  [SMALL_STATE(3161)] = 11667,
  [SMALL_STATE(3162)] = 11678,
  [SMALL_STATE(3163)] = 11689,
  [SMALL_STATE(3164)] = 11700,
  [SMALL_STATE(3165)] = 11711,
  [SMALL_STATE(3166)] = 11722,
  [SMALL_STATE(3167)] = 11733,
  [SMALL_STATE(3168)] = 11744,
  [SMALL_STATE(3169)] = 11755,
  [SMALL_STATE(3170)] = 11766,
  [SMALL_STATE(3171)] = 11777,
  [SMALL_STATE(3172)] = 11788,
  [SMALL_STATE(3173)] = 11799,
  [SMALL_STATE(3174)] = 11810,
  [SMALL_STATE(3175)] = 11821,
  [SMALL_STATE(3176)] = 11832,
  [SMALL_STATE(3177)] = 11843,
  [SMALL_STATE(3178)] = 11854,
  [SMALL_STATE(3179)] = 11865,
  [SMALL_STATE(3180)] = 11876,
  [SMALL_STATE(3181)] = 11887,
  [SMALL_STATE(3182)] = 11898,
  [SMALL_STATE(3183)] = 11909,
  [SMALL_STATE(3184)] = 11920,
  [SMALL_STATE(3185)] = 11931,
  [SMALL_STATE(3186)] = 11942,
  [SMALL_STATE(3187)] = 11953,
  [SMALL_STATE(3188)] = 11964,
  [SMALL_STATE(3189)] = 11975,
  [SMALL_STATE(3190)] = 11986,
  [SMALL_STATE(3191)] = 11997,
  [SMALL_STATE(3192)] = 12008,
  [SMALL_STATE(3193)] = 12019,
  [SMALL_STATE(3194)] = 12030,
  [SMALL_STATE(3195)] = 12041,
  [SMALL_STATE(3196)] = 12052,
  [SMALL_STATE(3197)] = 12063,
  [SMALL_STATE(3198)] = 12074,
  [SMALL_STATE(3199)] = 12085,
  [SMALL_STATE(3200)] = 12096,
  [SMALL_STATE(3201)] = 12107,
  [SMALL_STATE(3202)] = 12118,
  [SMALL_STATE(3203)] = 12129,
  [SMALL_STATE(3204)] = 12140,
  [SMALL_STATE(3205)] = 12151,
  [SMALL_STATE(3206)] = 12162,
  [SMALL_STATE(3207)] = 12173,
  [SMALL_STATE(3208)] = 12184,
  [SMALL_STATE(3209)] = 12195,
  [SMALL_STATE(3210)] = 12206,
  [SMALL_STATE(3211)] = 12217,
  [SMALL_STATE(3212)] = 12228,
  [SMALL_STATE(3213)] = 12239,
  [SMALL_STATE(3214)] = 12250,
  [SMALL_STATE(3215)] = 12261,
  [SMALL_STATE(3216)] = 12272,
  [SMALL_STATE(3217)] = 12283,
  [SMALL_STATE(3218)] = 12294,
  [SMALL_STATE(3219)] = 12305,
  [SMALL_STATE(3220)] = 12316,
  [SMALL_STATE(3221)] = 12327,
  [SMALL_STATE(3222)] = 12338,
  [SMALL_STATE(3223)] = 12349,
  [SMALL_STATE(3224)] = 12360,
  [SMALL_STATE(3225)] = 12371,
  [SMALL_STATE(3226)] = 12382,
  [SMALL_STATE(3227)] = 12393,
  [SMALL_STATE(3228)] = 12404,
  [SMALL_STATE(3229)] = 12415,
  [SMALL_STATE(3230)] = 12426,
  [SMALL_STATE(3231)] = 12437,
  [SMALL_STATE(3232)] = 12448,
  [SMALL_STATE(3233)] = 12459,
  [SMALL_STATE(3234)] = 12470,
  [SMALL_STATE(3235)] = 12481,
  [SMALL_STATE(3236)] = 12492,
  [SMALL_STATE(3237)] = 12503,
  [SMALL_STATE(3238)] = 12514,
  [SMALL_STATE(3239)] = 12525,
  [SMALL_STATE(3240)] = 12536,
  [SMALL_STATE(3241)] = 12547,
  [SMALL_STATE(3242)] = 12558,
  [SMALL_STATE(3243)] = 12569,
  [SMALL_STATE(3244)] = 12580,
  [SMALL_STATE(3245)] = 12591,
  [SMALL_STATE(3246)] = 12602,
  [SMALL_STATE(3247)] = 12613,
  [SMALL_STATE(3248)] = 12624,
  [SMALL_STATE(3249)] = 12635,
  [SMALL_STATE(3250)] = 12646,
  [SMALL_STATE(3251)] = 12657,
  [SMALL_STATE(3252)] = 12668,
  [SMALL_STATE(3253)] = 12679,
  [SMALL_STATE(3254)] = 12690,
  [SMALL_STATE(3255)] = 12701,
  [SMALL_STATE(3256)] = 12712,
  [SMALL_STATE(3257)] = 12723,
  [SMALL_STATE(3258)] = 12734,
  [SMALL_STATE(3259)] = 12745,
  [SMALL_STATE(3260)] = 12756,
  [SMALL_STATE(3261)] = 12767,
  [SMALL_STATE(3262)] = 12778,
  [SMALL_STATE(3263)] = 12789,
  [SMALL_STATE(3264)] = 12800,
  [SMALL_STATE(3265)] = 12811,
  [SMALL_STATE(3266)] = 12822,
  [SMALL_STATE(3267)] = 12833,
  [SMALL_STATE(3268)] = 12844,
  [SMALL_STATE(3269)] = 12855,
  [SMALL_STATE(3270)] = 12866,
  [SMALL_STATE(3271)] = 12877,
  [SMALL_STATE(3272)] = 12888,
  [SMALL_STATE(3273)] = 12899,
  [SMALL_STATE(3274)] = 12910,
  [SMALL_STATE(3275)] = 12921,
  [SMALL_STATE(3276)] = 12932,
  [SMALL_STATE(3277)] = 12943,
  [SMALL_STATE(3278)] = 12954,
  [SMALL_STATE(3279)] = 12965,
  [SMALL_STATE(3280)] = 12976,
  [SMALL_STATE(3281)] = 12987,
  [SMALL_STATE(3282)] = 12998,
  [SMALL_STATE(3283)] = 13009,
  [SMALL_STATE(3284)] = 13020,
  [SMALL_STATE(3285)] = 13031,
  [SMALL_STATE(3286)] = 13042,
  [SMALL_STATE(3287)] = 13053,
  [SMALL_STATE(3288)] = 13064,
  [SMALL_STATE(3289)] = 13075,
  [SMALL_STATE(3290)] = 13086,
  [SMALL_STATE(3291)] = 13097,
  [SMALL_STATE(3292)] = 13108,
  [SMALL_STATE(3293)] = 13119,
  [SMALL_STATE(3294)] = 13130,
  [SMALL_STATE(3295)] = 13141,
  [SMALL_STATE(3296)] = 13152,
  [SMALL_STATE(3297)] = 13163,
  [SMALL_STATE(3298)] = 13174,
  [SMALL_STATE(3299)] = 13185,
  [SMALL_STATE(3300)] = 13196,
  [SMALL_STATE(3301)] = 13207,
  [SMALL_STATE(3302)] = 13218,
  [SMALL_STATE(3303)] = 13229,
  [SMALL_STATE(3304)] = 13240,
  [SMALL_STATE(3305)] = 13251,
  [SMALL_STATE(3306)] = 13262,
  [SMALL_STATE(3307)] = 13273,
  [SMALL_STATE(3308)] = 13284,
  [SMALL_STATE(3309)] = 13295,
  [SMALL_STATE(3310)] = 13306,
  [SMALL_STATE(3311)] = 13317,
  [SMALL_STATE(3312)] = 13328,
  [SMALL_STATE(3313)] = 13339,
  [SMALL_STATE(3314)] = 13350,
  [SMALL_STATE(3315)] = 13361,
  [SMALL_STATE(3316)] = 13372,
  [SMALL_STATE(3317)] = 13383,
  [SMALL_STATE(3318)] = 13394,
  [SMALL_STATE(3319)] = 13405,
  [SMALL_STATE(3320)] = 13416,
  [SMALL_STATE(3321)] = 13427,
  [SMALL_STATE(3322)] = 13438,
  [SMALL_STATE(3323)] = 13449,
  [SMALL_STATE(3324)] = 13460,
  [SMALL_STATE(3325)] = 13471,
  [SMALL_STATE(3326)] = 13482,
  [SMALL_STATE(3327)] = 13493,
  [SMALL_STATE(3328)] = 13504,
  [SMALL_STATE(3329)] = 13515,
  [SMALL_STATE(3330)] = 13526,
  [SMALL_STATE(3331)] = 13537,
  [SMALL_STATE(3332)] = 13548,
  [SMALL_STATE(3333)] = 13559,
  [SMALL_STATE(3334)] = 13570,
  [SMALL_STATE(3335)] = 13581,
  [SMALL_STATE(3336)] = 13592,
  [SMALL_STATE(3337)] = 13603,
  [SMALL_STATE(3338)] = 13614,
  [SMALL_STATE(3339)] = 13625,
  [SMALL_STATE(3340)] = 13636,
  [SMALL_STATE(3341)] = 13647,
  [SMALL_STATE(3342)] = 13658,
  [SMALL_STATE(3343)] = 13669,
  [SMALL_STATE(3344)] = 13680,
  [SMALL_STATE(3345)] = 13691,
  [SMALL_STATE(3346)] = 13702,
  [SMALL_STATE(3347)] = 13713,
  [SMALL_STATE(3348)] = 13724,
  [SMALL_STATE(3349)] = 13735,
  [SMALL_STATE(3350)] = 13746,
  [SMALL_STATE(3351)] = 13757,
  [SMALL_STATE(3352)] = 13768,
  [SMALL_STATE(3353)] = 13779,
  [SMALL_STATE(3354)] = 13790,
  [SMALL_STATE(3355)] = 13801,
  [SMALL_STATE(3356)] = 13812,
  [SMALL_STATE(3357)] = 13823,
  [SMALL_STATE(3358)] = 13834,
  [SMALL_STATE(3359)] = 13845,
  [SMALL_STATE(3360)] = 13856,
  [SMALL_STATE(3361)] = 13867,
  [SMALL_STATE(3362)] = 13878,
  [SMALL_STATE(3363)] = 13889,
  [SMALL_STATE(3364)] = 13900,
  [SMALL_STATE(3365)] = 13911,
  [SMALL_STATE(3366)] = 13922,
  [SMALL_STATE(3367)] = 13933,
  [SMALL_STATE(3368)] = 13944,
  [SMALL_STATE(3369)] = 13955,
  [SMALL_STATE(3370)] = 13966,
  [SMALL_STATE(3371)] = 13977,
  [SMALL_STATE(3372)] = 13988,
  [SMALL_STATE(3373)] = 13999,
  [SMALL_STATE(3374)] = 14010,
  [SMALL_STATE(3375)] = 14021,
  [SMALL_STATE(3376)] = 14032,
  [SMALL_STATE(3377)] = 14043,
  [SMALL_STATE(3378)] = 14054,
  [SMALL_STATE(3379)] = 14065,
  [SMALL_STATE(3380)] = 14076,
  [SMALL_STATE(3381)] = 14087,
  [SMALL_STATE(3382)] = 14098,
  [SMALL_STATE(3383)] = 14109,
  [SMALL_STATE(3384)] = 14120,
  [SMALL_STATE(3385)] = 14131,
  [SMALL_STATE(3386)] = 14142,
  [SMALL_STATE(3387)] = 14153,
  [SMALL_STATE(3388)] = 14164,
  [SMALL_STATE(3389)] = 14175,
  [SMALL_STATE(3390)] = 14186,
  [SMALL_STATE(3391)] = 14197,
  [SMALL_STATE(3392)] = 14208,
  [SMALL_STATE(3393)] = 14219,
  [SMALL_STATE(3394)] = 14230,
  [SMALL_STATE(3395)] = 14241,
  [SMALL_STATE(3396)] = 14252,
  [SMALL_STATE(3397)] = 14263,
  [SMALL_STATE(3398)] = 14274,
  [SMALL_STATE(3399)] = 14285,
  [SMALL_STATE(3400)] = 14296,
  [SMALL_STATE(3401)] = 14307,
  [SMALL_STATE(3402)] = 14318,
  [SMALL_STATE(3403)] = 14329,
  [SMALL_STATE(3404)] = 14340,
  [SMALL_STATE(3405)] = 14351,
  [SMALL_STATE(3406)] = 14362,
  [SMALL_STATE(3407)] = 14373,
  [SMALL_STATE(3408)] = 14384,
  [SMALL_STATE(3409)] = 14395,
  [SMALL_STATE(3410)] = 14406,
  [SMALL_STATE(3411)] = 14417,
  [SMALL_STATE(3412)] = 14428,
  [SMALL_STATE(3413)] = 14439,
  [SMALL_STATE(3414)] = 14450,
  [SMALL_STATE(3415)] = 14461,
  [SMALL_STATE(3416)] = 14472,
  [SMALL_STATE(3417)] = 14483,
  [SMALL_STATE(3418)] = 14494,
  [SMALL_STATE(3419)] = 14505,
  [SMALL_STATE(3420)] = 14516,
  [SMALL_STATE(3421)] = 14527,
  [SMALL_STATE(3422)] = 14538,
  [SMALL_STATE(3423)] = 14549,
  [SMALL_STATE(3424)] = 14560,
  [SMALL_STATE(3425)] = 14571,
  [SMALL_STATE(3426)] = 14582,
  [SMALL_STATE(3427)] = 14593,
  [SMALL_STATE(3428)] = 14604,
  [SMALL_STATE(3429)] = 14615,
  [SMALL_STATE(3430)] = 14626,
  [SMALL_STATE(3431)] = 14637,
  [SMALL_STATE(3432)] = 14648,
  [SMALL_STATE(3433)] = 14659,
  [SMALL_STATE(3434)] = 14670,
  [SMALL_STATE(3435)] = 14681,
  [SMALL_STATE(3436)] = 14692,
  [SMALL_STATE(3437)] = 14703,
  [SMALL_STATE(3438)] = 14714,
  [SMALL_STATE(3439)] = 14725,
  [SMALL_STATE(3440)] = 14736,
  [SMALL_STATE(3441)] = 14747,
  [SMALL_STATE(3442)] = 14758,
  [SMALL_STATE(3443)] = 14769,
  [SMALL_STATE(3444)] = 14780,
  [SMALL_STATE(3445)] = 14791,
  [SMALL_STATE(3446)] = 14802,
  [SMALL_STATE(3447)] = 14813,
  [SMALL_STATE(3448)] = 14824,
  [SMALL_STATE(3449)] = 14835,
  [SMALL_STATE(3450)] = 14846,
  [SMALL_STATE(3451)] = 14857,
  [SMALL_STATE(3452)] = 14868,
  [SMALL_STATE(3453)] = 14879,
  [SMALL_STATE(3454)] = 14890,
  [SMALL_STATE(3455)] = 14901,
  [SMALL_STATE(3456)] = 14912,
  [SMALL_STATE(3457)] = 14923,
  [SMALL_STATE(3458)] = 14934,
  [SMALL_STATE(3459)] = 14945,
  [SMALL_STATE(3460)] = 14956,
  [SMALL_STATE(3461)] = 14967,
  [SMALL_STATE(3462)] = 14978,
  [SMALL_STATE(3463)] = 14989,
  [SMALL_STATE(3464)] = 15000,
  [SMALL_STATE(3465)] = 15011,
  [SMALL_STATE(3466)] = 15022,
  [SMALL_STATE(3467)] = 15033,
  [SMALL_STATE(3468)] = 15044,
  [SMALL_STATE(3469)] = 15055,
  [SMALL_STATE(3470)] = 15066,
  [SMALL_STATE(3471)] = 15077,
  [SMALL_STATE(3472)] = 15088,
  [SMALL_STATE(3473)] = 15099,
  [SMALL_STATE(3474)] = 15110,
  [SMALL_STATE(3475)] = 15121,
  [SMALL_STATE(3476)] = 15132,
  [SMALL_STATE(3477)] = 15143,
  [SMALL_STATE(3478)] = 15154,
  [SMALL_STATE(3479)] = 15165,
  [SMALL_STATE(3480)] = 15176,
  [SMALL_STATE(3481)] = 15187,
  [SMALL_STATE(3482)] = 15198,
  [SMALL_STATE(3483)] = 15209,
  [SMALL_STATE(3484)] = 15220,
  [SMALL_STATE(3485)] = 15231,
  [SMALL_STATE(3486)] = 15242,
  [SMALL_STATE(3487)] = 15253,
  [SMALL_STATE(3488)] = 15264,
  [SMALL_STATE(3489)] = 15275,
  [SMALL_STATE(3490)] = 15286,
  [SMALL_STATE(3491)] = 15297,
  [SMALL_STATE(3492)] = 15308,
  [SMALL_STATE(3493)] = 15319,
  [SMALL_STATE(3494)] = 15330,
  [SMALL_STATE(3495)] = 15341,
  [SMALL_STATE(3496)] = 15352,
  [SMALL_STATE(3497)] = 15363,
  [SMALL_STATE(3498)] = 15374,
  [SMALL_STATE(3499)] = 15385,
  [SMALL_STATE(3500)] = 15396,
  [SMALL_STATE(3501)] = 15407,
  [SMALL_STATE(3502)] = 15418,
  [SMALL_STATE(3503)] = 15429,
  [SMALL_STATE(3504)] = 15440,
  [SMALL_STATE(3505)] = 15451,
  [SMALL_STATE(3506)] = 15462,
  [SMALL_STATE(3507)] = 15473,
  [SMALL_STATE(3508)] = 15484,
  [SMALL_STATE(3509)] = 15495,
  [SMALL_STATE(3510)] = 15506,
  [SMALL_STATE(3511)] = 15517,
  [SMALL_STATE(3512)] = 15528,
  [SMALL_STATE(3513)] = 15539,
  [SMALL_STATE(3514)] = 15550,
  [SMALL_STATE(3515)] = 15561,
  [SMALL_STATE(3516)] = 15572,
  [SMALL_STATE(3517)] = 15583,
  [SMALL_STATE(3518)] = 15594,
  [SMALL_STATE(3519)] = 15605,
  [SMALL_STATE(3520)] = 15616,
  [SMALL_STATE(3521)] = 15627,
  [SMALL_STATE(3522)] = 15638,
  [SMALL_STATE(3523)] = 15649,
  [SMALL_STATE(3524)] = 15660,
  [SMALL_STATE(3525)] = 15671,
  [SMALL_STATE(3526)] = 15682,
  [SMALL_STATE(3527)] = 15693,
  [SMALL_STATE(3528)] = 15704,
  [SMALL_STATE(3529)] = 15715,
  [SMALL_STATE(3530)] = 15726,
  [SMALL_STATE(3531)] = 15737,
  [SMALL_STATE(3532)] = 15748,
  [SMALL_STATE(3533)] = 15759,
  [SMALL_STATE(3534)] = 15770,
  [SMALL_STATE(3535)] = 15781,
  [SMALL_STATE(3536)] = 15792,
  [SMALL_STATE(3537)] = 15803,
  [SMALL_STATE(3538)] = 15814,
  [SMALL_STATE(3539)] = 15825,
  [SMALL_STATE(3540)] = 15836,
  [SMALL_STATE(3541)] = 15847,
  [SMALL_STATE(3542)] = 15858,
  [SMALL_STATE(3543)] = 15869,
  [SMALL_STATE(3544)] = 15880,
  [SMALL_STATE(3545)] = 15891,
  [SMALL_STATE(3546)] = 15902,
  [SMALL_STATE(3547)] = 15913,
  [SMALL_STATE(3548)] = 15924,
  [SMALL_STATE(3549)] = 15935,
  [SMALL_STATE(3550)] = 15946,
  [SMALL_STATE(3551)] = 15957,
  [SMALL_STATE(3552)] = 15968,
  [SMALL_STATE(3553)] = 15979,
  [SMALL_STATE(3554)] = 15990,
  [SMALL_STATE(3555)] = 16001,
  [SMALL_STATE(3556)] = 16012,
  [SMALL_STATE(3557)] = 16023,
  [SMALL_STATE(3558)] = 16034,
  [SMALL_STATE(3559)] = 16045,
  [SMALL_STATE(3560)] = 16056,
  [SMALL_STATE(3561)] = 16067,
  [SMALL_STATE(3562)] = 16078,
  [SMALL_STATE(3563)] = 16089,
  [SMALL_STATE(3564)] = 16100,
  [SMALL_STATE(3565)] = 16111,
  [SMALL_STATE(3566)] = 16122,
  [SMALL_STATE(3567)] = 16133,
  [SMALL_STATE(3568)] = 16144,
  [SMALL_STATE(3569)] = 16155,
  [SMALL_STATE(3570)] = 16166,
  [SMALL_STATE(3571)] = 16177,
  [SMALL_STATE(3572)] = 16188,
  [SMALL_STATE(3573)] = 16199,
  [SMALL_STATE(3574)] = 16210,
  [SMALL_STATE(3575)] = 16221,
  [SMALL_STATE(3576)] = 16232,
  [SMALL_STATE(3577)] = 16243,
  [SMALL_STATE(3578)] = 16254,
  [SMALL_STATE(3579)] = 16265,
  [SMALL_STATE(3580)] = 16276,
  [SMALL_STATE(3581)] = 16287,
  [SMALL_STATE(3582)] = 16298,
  [SMALL_STATE(3583)] = 16309,
  [SMALL_STATE(3584)] = 16320,
  [SMALL_STATE(3585)] = 16331,
  [SMALL_STATE(3586)] = 16342,
  [SMALL_STATE(3587)] = 16353,
  [SMALL_STATE(3588)] = 16364,
  [SMALL_STATE(3589)] = 16375,
  [SMALL_STATE(3590)] = 16386,
  [SMALL_STATE(3591)] = 16397,
  [SMALL_STATE(3592)] = 16408,
  [SMALL_STATE(3593)] = 16419,
  [SMALL_STATE(3594)] = 16430,
  [SMALL_STATE(3595)] = 16441,
  [SMALL_STATE(3596)] = 16452,
  [SMALL_STATE(3597)] = 16463,
  [SMALL_STATE(3598)] = 16474,
  [SMALL_STATE(3599)] = 16485,
  [SMALL_STATE(3600)] = 16496,
  [SMALL_STATE(3601)] = 16507,
  [SMALL_STATE(3602)] = 16518,
  [SMALL_STATE(3603)] = 16529,
  [SMALL_STATE(3604)] = 16540,
  [SMALL_STATE(3605)] = 16551,
  [SMALL_STATE(3606)] = 16562,
  [SMALL_STATE(3607)] = 16573,
  [SMALL_STATE(3608)] = 16584,
  [SMALL_STATE(3609)] = 16595,
  [SMALL_STATE(3610)] = 16606,
  [SMALL_STATE(3611)] = 16617,
  [SMALL_STATE(3612)] = 16628,
  [SMALL_STATE(3613)] = 16639,
  [SMALL_STATE(3614)] = 16650,
  [SMALL_STATE(3615)] = 16661,
  [SMALL_STATE(3616)] = 16672,
  [SMALL_STATE(3617)] = 16683,
  [SMALL_STATE(3618)] = 16694,
  [SMALL_STATE(3619)] = 16705,
  [SMALL_STATE(3620)] = 16716,
  [SMALL_STATE(3621)] = 16727,
  [SMALL_STATE(3622)] = 16738,
  [SMALL_STATE(3623)] = 16749,
  [SMALL_STATE(3624)] = 16760,
  [SMALL_STATE(3625)] = 16771,
  [SMALL_STATE(3626)] = 16782,
  [SMALL_STATE(3627)] = 16793,
  [SMALL_STATE(3628)] = 16804,
  [SMALL_STATE(3629)] = 16815,
  [SMALL_STATE(3630)] = 16826,
  [SMALL_STATE(3631)] = 16837,
  [SMALL_STATE(3632)] = 16848,
  [SMALL_STATE(3633)] = 16859,
  [SMALL_STATE(3634)] = 16870,
  [SMALL_STATE(3635)] = 16881,
  [SMALL_STATE(3636)] = 16892,
  [SMALL_STATE(3637)] = 16903,
  [SMALL_STATE(3638)] = 16914,
  [SMALL_STATE(3639)] = 16925,
  [SMALL_STATE(3640)] = 16936,
  [SMALL_STATE(3641)] = 16945,
  [SMALL_STATE(3642)] = 16956,
  [SMALL_STATE(3643)] = 16967,
  [SMALL_STATE(3644)] = 16978,
  [SMALL_STATE(3645)] = 16989,
  [SMALL_STATE(3646)] = 17000,
  [SMALL_STATE(3647)] = 17011,
  [SMALL_STATE(3648)] = 17022,
  [SMALL_STATE(3649)] = 17033,
  [SMALL_STATE(3650)] = 17044,
  [SMALL_STATE(3651)] = 17055,
  [SMALL_STATE(3652)] = 17066,
  [SMALL_STATE(3653)] = 17077,
  [SMALL_STATE(3654)] = 17088,
  [SMALL_STATE(3655)] = 17099,
  [SMALL_STATE(3656)] = 17110,
  [SMALL_STATE(3657)] = 17121,
  [SMALL_STATE(3658)] = 17132,
  [SMALL_STATE(3659)] = 17143,
  [SMALL_STATE(3660)] = 17154,
  [SMALL_STATE(3661)] = 17165,
  [SMALL_STATE(3662)] = 17176,
  [SMALL_STATE(3663)] = 17187,
  [SMALL_STATE(3664)] = 17198,
  [SMALL_STATE(3665)] = 17209,
  [SMALL_STATE(3666)] = 17220,
  [SMALL_STATE(3667)] = 17231,
  [SMALL_STATE(3668)] = 17242,
  [SMALL_STATE(3669)] = 17253,
  [SMALL_STATE(3670)] = 17264,
  [SMALL_STATE(3671)] = 17275,
  [SMALL_STATE(3672)] = 17286,
  [SMALL_STATE(3673)] = 17297,
  [SMALL_STATE(3674)] = 17308,
  [SMALL_STATE(3675)] = 17319,
  [SMALL_STATE(3676)] = 17330,
  [SMALL_STATE(3677)] = 17341,
  [SMALL_STATE(3678)] = 17352,
  [SMALL_STATE(3679)] = 17363,
  [SMALL_STATE(3680)] = 17374,
  [SMALL_STATE(3681)] = 17382,
  [SMALL_STATE(3682)] = 17390,
  [SMALL_STATE(3683)] = 17398,
  [SMALL_STATE(3684)] = 17406,
  [SMALL_STATE(3685)] = 17414,
  [SMALL_STATE(3686)] = 17422,
  [SMALL_STATE(3687)] = 17430,
  [SMALL_STATE(3688)] = 17438,
  [SMALL_STATE(3689)] = 17446,
  [SMALL_STATE(3690)] = 17454,
  [SMALL_STATE(3691)] = 17462,
  [SMALL_STATE(3692)] = 17470,
  [SMALL_STATE(3693)] = 17478,
  [SMALL_STATE(3694)] = 17486,
  [SMALL_STATE(3695)] = 17494,
  [SMALL_STATE(3696)] = 17502,
  [SMALL_STATE(3697)] = 17510,
  [SMALL_STATE(3698)] = 17518,
  [SMALL_STATE(3699)] = 17526,
  [SMALL_STATE(3700)] = 17534,
  [SMALL_STATE(3701)] = 17542,
  [SMALL_STATE(3702)] = 17550,
  [SMALL_STATE(3703)] = 17558,
  [SMALL_STATE(3704)] = 17566,
  [SMALL_STATE(3705)] = 17574,
  [SMALL_STATE(3706)] = 17582,
  [SMALL_STATE(3707)] = 17590,
  [SMALL_STATE(3708)] = 17598,
  [SMALL_STATE(3709)] = 17606,
  [SMALL_STATE(3710)] = 17614,
  [SMALL_STATE(3711)] = 17622,
  [SMALL_STATE(3712)] = 17630,
  [SMALL_STATE(3713)] = 17638,
  [SMALL_STATE(3714)] = 17646,
  [SMALL_STATE(3715)] = 17654,
  [SMALL_STATE(3716)] = 17662,
  [SMALL_STATE(3717)] = 17670,
  [SMALL_STATE(3718)] = 17678,
  [SMALL_STATE(3719)] = 17686,
  [SMALL_STATE(3720)] = 17694,
  [SMALL_STATE(3721)] = 17702,
  [SMALL_STATE(3722)] = 17710,
  [SMALL_STATE(3723)] = 17718,
  [SMALL_STATE(3724)] = 17726,
  [SMALL_STATE(3725)] = 17734,
  [SMALL_STATE(3726)] = 17742,
  [SMALL_STATE(3727)] = 17750,
  [SMALL_STATE(3728)] = 17758,
  [SMALL_STATE(3729)] = 17766,
  [SMALL_STATE(3730)] = 17774,
  [SMALL_STATE(3731)] = 17782,
  [SMALL_STATE(3732)] = 17790,
  [SMALL_STATE(3733)] = 17798,
  [SMALL_STATE(3734)] = 17806,
  [SMALL_STATE(3735)] = 17814,
  [SMALL_STATE(3736)] = 17822,
  [SMALL_STATE(3737)] = 17830,
  [SMALL_STATE(3738)] = 17838,
  [SMALL_STATE(3739)] = 17846,
  [SMALL_STATE(3740)] = 17854,
  [SMALL_STATE(3741)] = 17862,
  [SMALL_STATE(3742)] = 17870,
  [SMALL_STATE(3743)] = 17878,
  [SMALL_STATE(3744)] = 17886,
  [SMALL_STATE(3745)] = 17894,
  [SMALL_STATE(3746)] = 17902,
  [SMALL_STATE(3747)] = 17910,
  [SMALL_STATE(3748)] = 17918,
  [SMALL_STATE(3749)] = 17926,
  [SMALL_STATE(3750)] = 17934,
  [SMALL_STATE(3751)] = 17942,
  [SMALL_STATE(3752)] = 17950,
  [SMALL_STATE(3753)] = 17958,
  [SMALL_STATE(3754)] = 17966,
  [SMALL_STATE(3755)] = 17974,
  [SMALL_STATE(3756)] = 17982,
  [SMALL_STATE(3757)] = 17990,
  [SMALL_STATE(3758)] = 17998,
  [SMALL_STATE(3759)] = 18006,
  [SMALL_STATE(3760)] = 18014,
  [SMALL_STATE(3761)] = 18022,
  [SMALL_STATE(3762)] = 18030,
  [SMALL_STATE(3763)] = 18038,
  [SMALL_STATE(3764)] = 18046,
  [SMALL_STATE(3765)] = 18054,
  [SMALL_STATE(3766)] = 18062,
  [SMALL_STATE(3767)] = 18070,
  [SMALL_STATE(3768)] = 18078,
  [SMALL_STATE(3769)] = 18086,
  [SMALL_STATE(3770)] = 18094,
  [SMALL_STATE(3771)] = 18102,
  [SMALL_STATE(3772)] = 18110,
  [SMALL_STATE(3773)] = 18118,
  [SMALL_STATE(3774)] = 18126,
  [SMALL_STATE(3775)] = 18134,
  [SMALL_STATE(3776)] = 18142,
  [SMALL_STATE(3777)] = 18150,
  [SMALL_STATE(3778)] = 18158,
  [SMALL_STATE(3779)] = 18166,
  [SMALL_STATE(3780)] = 18174,
  [SMALL_STATE(3781)] = 18182,
  [SMALL_STATE(3782)] = 18190,
  [SMALL_STATE(3783)] = 18198,
  [SMALL_STATE(3784)] = 18206,
  [SMALL_STATE(3785)] = 18214,
  [SMALL_STATE(3786)] = 18222,
  [SMALL_STATE(3787)] = 18230,
  [SMALL_STATE(3788)] = 18238,
  [SMALL_STATE(3789)] = 18246,
  [SMALL_STATE(3790)] = 18254,
  [SMALL_STATE(3791)] = 18262,
  [SMALL_STATE(3792)] = 18270,
  [SMALL_STATE(3793)] = 18278,
  [SMALL_STATE(3794)] = 18286,
  [SMALL_STATE(3795)] = 18294,
  [SMALL_STATE(3796)] = 18302,
  [SMALL_STATE(3797)] = 18310,
  [SMALL_STATE(3798)] = 18318,
  [SMALL_STATE(3799)] = 18326,
  [SMALL_STATE(3800)] = 18334,
  [SMALL_STATE(3801)] = 18342,
  [SMALL_STATE(3802)] = 18350,
  [SMALL_STATE(3803)] = 18358,
  [SMALL_STATE(3804)] = 18366,
  [SMALL_STATE(3805)] = 18374,
  [SMALL_STATE(3806)] = 18382,
  [SMALL_STATE(3807)] = 18390,
  [SMALL_STATE(3808)] = 18398,
  [SMALL_STATE(3809)] = 18406,
  [SMALL_STATE(3810)] = 18414,
  [SMALL_STATE(3811)] = 18422,
  [SMALL_STATE(3812)] = 18430,
  [SMALL_STATE(3813)] = 18438,
  [SMALL_STATE(3814)] = 18446,
  [SMALL_STATE(3815)] = 18454,
  [SMALL_STATE(3816)] = 18462,
  [SMALL_STATE(3817)] = 18470,
  [SMALL_STATE(3818)] = 18478,
  [SMALL_STATE(3819)] = 18486,
  [SMALL_STATE(3820)] = 18494,
  [SMALL_STATE(3821)] = 18502,
  [SMALL_STATE(3822)] = 18510,
  [SMALL_STATE(3823)] = 18518,
  [SMALL_STATE(3824)] = 18526,
  [SMALL_STATE(3825)] = 18534,
  [SMALL_STATE(3826)] = 18542,
  [SMALL_STATE(3827)] = 18550,
  [SMALL_STATE(3828)] = 18558,
  [SMALL_STATE(3829)] = 18566,
  [SMALL_STATE(3830)] = 18574,
  [SMALL_STATE(3831)] = 18582,
  [SMALL_STATE(3832)] = 18590,
  [SMALL_STATE(3833)] = 18598,
  [SMALL_STATE(3834)] = 18606,
  [SMALL_STATE(3835)] = 18614,
  [SMALL_STATE(3836)] = 18622,
  [SMALL_STATE(3837)] = 18630,
  [SMALL_STATE(3838)] = 18638,
  [SMALL_STATE(3839)] = 18646,
  [SMALL_STATE(3840)] = 18654,
  [SMALL_STATE(3841)] = 18662,
  [SMALL_STATE(3842)] = 18670,
  [SMALL_STATE(3843)] = 18678,
  [SMALL_STATE(3844)] = 18686,
  [SMALL_STATE(3845)] = 18694,
  [SMALL_STATE(3846)] = 18702,
  [SMALL_STATE(3847)] = 18710,
  [SMALL_STATE(3848)] = 18718,
  [SMALL_STATE(3849)] = 18726,
  [SMALL_STATE(3850)] = 18734,
  [SMALL_STATE(3851)] = 18742,
  [SMALL_STATE(3852)] = 18750,
  [SMALL_STATE(3853)] = 18758,
  [SMALL_STATE(3854)] = 18766,
  [SMALL_STATE(3855)] = 18774,
  [SMALL_STATE(3856)] = 18782,
  [SMALL_STATE(3857)] = 18790,
  [SMALL_STATE(3858)] = 18798,
  [SMALL_STATE(3859)] = 18806,
  [SMALL_STATE(3860)] = 18814,
  [SMALL_STATE(3861)] = 18822,
  [SMALL_STATE(3862)] = 18830,
  [SMALL_STATE(3863)] = 18838,
  [SMALL_STATE(3864)] = 18846,
  [SMALL_STATE(3865)] = 18854,
  [SMALL_STATE(3866)] = 18862,
  [SMALL_STATE(3867)] = 18870,
  [SMALL_STATE(3868)] = 18878,
  [SMALL_STATE(3869)] = 18886,
  [SMALL_STATE(3870)] = 18894,
  [SMALL_STATE(3871)] = 18902,
  [SMALL_STATE(3872)] = 18910,
  [SMALL_STATE(3873)] = 18918,
  [SMALL_STATE(3874)] = 18926,
  [SMALL_STATE(3875)] = 18934,
  [SMALL_STATE(3876)] = 18942,
  [SMALL_STATE(3877)] = 18950,
  [SMALL_STATE(3878)] = 18958,
  [SMALL_STATE(3879)] = 18966,
  [SMALL_STATE(3880)] = 18974,
  [SMALL_STATE(3881)] = 18982,
  [SMALL_STATE(3882)] = 18990,
  [SMALL_STATE(3883)] = 18998,
  [SMALL_STATE(3884)] = 19006,
  [SMALL_STATE(3885)] = 19014,
  [SMALL_STATE(3886)] = 19022,
  [SMALL_STATE(3887)] = 19030,
  [SMALL_STATE(3888)] = 19038,
  [SMALL_STATE(3889)] = 19046,
  [SMALL_STATE(3890)] = 19054,
  [SMALL_STATE(3891)] = 19062,
  [SMALL_STATE(3892)] = 19070,
  [SMALL_STATE(3893)] = 19078,
  [SMALL_STATE(3894)] = 19086,
  [SMALL_STATE(3895)] = 19094,
  [SMALL_STATE(3896)] = 19102,
  [SMALL_STATE(3897)] = 19110,
  [SMALL_STATE(3898)] = 19118,
  [SMALL_STATE(3899)] = 19126,
  [SMALL_STATE(3900)] = 19134,
  [SMALL_STATE(3901)] = 19142,
  [SMALL_STATE(3902)] = 19150,
  [SMALL_STATE(3903)] = 19158,
  [SMALL_STATE(3904)] = 19166,
  [SMALL_STATE(3905)] = 19174,
  [SMALL_STATE(3906)] = 19182,
  [SMALL_STATE(3907)] = 19190,
  [SMALL_STATE(3908)] = 19198,
  [SMALL_STATE(3909)] = 19206,
  [SMALL_STATE(3910)] = 19214,
  [SMALL_STATE(3911)] = 19222,
  [SMALL_STATE(3912)] = 19230,
  [SMALL_STATE(3913)] = 19238,
  [SMALL_STATE(3914)] = 19246,
  [SMALL_STATE(3915)] = 19254,
  [SMALL_STATE(3916)] = 19262,
  [SMALL_STATE(3917)] = 19270,
  [SMALL_STATE(3918)] = 19278,
  [SMALL_STATE(3919)] = 19286,
  [SMALL_STATE(3920)] = 19294,
  [SMALL_STATE(3921)] = 19302,
  [SMALL_STATE(3922)] = 19310,
  [SMALL_STATE(3923)] = 19318,
  [SMALL_STATE(3924)] = 19326,
  [SMALL_STATE(3925)] = 19334,
  [SMALL_STATE(3926)] = 19342,
  [SMALL_STATE(3927)] = 19350,
  [SMALL_STATE(3928)] = 19358,
  [SMALL_STATE(3929)] = 19366,
  [SMALL_STATE(3930)] = 19374,
  [SMALL_STATE(3931)] = 19382,
  [SMALL_STATE(3932)] = 19390,
  [SMALL_STATE(3933)] = 19398,
  [SMALL_STATE(3934)] = 19406,
  [SMALL_STATE(3935)] = 19414,
  [SMALL_STATE(3936)] = 19422,
  [SMALL_STATE(3937)] = 19430,
  [SMALL_STATE(3938)] = 19438,
  [SMALL_STATE(3939)] = 19446,
  [SMALL_STATE(3940)] = 19454,
  [SMALL_STATE(3941)] = 19462,
  [SMALL_STATE(3942)] = 19470,
  [SMALL_STATE(3943)] = 19478,
  [SMALL_STATE(3944)] = 19486,
  [SMALL_STATE(3945)] = 19494,
  [SMALL_STATE(3946)] = 19502,
  [SMALL_STATE(3947)] = 19510,
  [SMALL_STATE(3948)] = 19518,
  [SMALL_STATE(3949)] = 19526,
  [SMALL_STATE(3950)] = 19534,
  [SMALL_STATE(3951)] = 19542,
  [SMALL_STATE(3952)] = 19550,
  [SMALL_STATE(3953)] = 19558,
  [SMALL_STATE(3954)] = 19566,
  [SMALL_STATE(3955)] = 19574,
  [SMALL_STATE(3956)] = 19582,
  [SMALL_STATE(3957)] = 19590,
  [SMALL_STATE(3958)] = 19598,
  [SMALL_STATE(3959)] = 19606,
  [SMALL_STATE(3960)] = 19614,
  [SMALL_STATE(3961)] = 19622,
  [SMALL_STATE(3962)] = 19630,
  [SMALL_STATE(3963)] = 19638,
  [SMALL_STATE(3964)] = 19646,
  [SMALL_STATE(3965)] = 19654,
  [SMALL_STATE(3966)] = 19662,
  [SMALL_STATE(3967)] = 19670,
  [SMALL_STATE(3968)] = 19678,
  [SMALL_STATE(3969)] = 19686,
  [SMALL_STATE(3970)] = 19694,
  [SMALL_STATE(3971)] = 19702,
  [SMALL_STATE(3972)] = 19710,
  [SMALL_STATE(3973)] = 19718,
  [SMALL_STATE(3974)] = 19726,
  [SMALL_STATE(3975)] = 19734,
  [SMALL_STATE(3976)] = 19742,
  [SMALL_STATE(3977)] = 19750,
  [SMALL_STATE(3978)] = 19758,
  [SMALL_STATE(3979)] = 19766,
  [SMALL_STATE(3980)] = 19774,
  [SMALL_STATE(3981)] = 19782,
  [SMALL_STATE(3982)] = 19790,
  [SMALL_STATE(3983)] = 19798,
  [SMALL_STATE(3984)] = 19806,
  [SMALL_STATE(3985)] = 19814,
  [SMALL_STATE(3986)] = 19822,
  [SMALL_STATE(3987)] = 19830,
  [SMALL_STATE(3988)] = 19838,
  [SMALL_STATE(3989)] = 19846,
  [SMALL_STATE(3990)] = 19854,
  [SMALL_STATE(3991)] = 19862,
  [SMALL_STATE(3992)] = 19870,
  [SMALL_STATE(3993)] = 19878,
  [SMALL_STATE(3994)] = 19886,
  [SMALL_STATE(3995)] = 19894,
  [SMALL_STATE(3996)] = 19902,
  [SMALL_STATE(3997)] = 19910,
  [SMALL_STATE(3998)] = 19918,
  [SMALL_STATE(3999)] = 19926,
  [SMALL_STATE(4000)] = 19934,
  [SMALL_STATE(4001)] = 19942,
  [SMALL_STATE(4002)] = 19950,
  [SMALL_STATE(4003)] = 19958,
  [SMALL_STATE(4004)] = 19966,
  [SMALL_STATE(4005)] = 19974,
  [SMALL_STATE(4006)] = 19982,
  [SMALL_STATE(4007)] = 19990,
  [SMALL_STATE(4008)] = 19998,
  [SMALL_STATE(4009)] = 20006,
  [SMALL_STATE(4010)] = 20014,
  [SMALL_STATE(4011)] = 20022,
  [SMALL_STATE(4012)] = 20030,
  [SMALL_STATE(4013)] = 20038,
  [SMALL_STATE(4014)] = 20046,
  [SMALL_STATE(4015)] = 20054,
  [SMALL_STATE(4016)] = 20062,
  [SMALL_STATE(4017)] = 20070,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3538),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2402),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3185),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3579),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3181),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2537),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2540),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3678),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3154),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2403),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2409),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3189),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3193),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3199),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3204),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2686),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3757),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3703),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2861),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2876),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2877),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2878),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3045),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2548),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2460),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2461),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3229),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3254),
  [157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_displayed_equation, 2, 0, 0),
  [159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_displayed_equation, 2, 0, 0),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_formula, 2, 0, 0),
  [165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_formula, 2, 0, 0),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_displayed_equation, 3, 0, 0),
  [171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_displayed_equation, 3, 0, 0),
  [173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_formula, 3, 0, 0),
  [175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_formula, 3, 0, 0),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2340),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2339),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3001),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2445),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2446),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2447),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2448),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3102),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2449),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3104),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3105),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2450),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2451),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2452),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3109),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3508),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2454),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3112),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3113),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3509),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3510),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2682),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3904),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3813),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3638),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3639),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3672),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3512),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3513),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2455),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2596),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2456),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2457),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2597),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2608),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2458),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3117),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3118),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2341),
  [339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(457),
  [342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(451),
  [345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(10),
  [348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(387),
  [351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(387),
  [354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(390),
  [357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(390),
  [360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(394),
  [363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(394),
  [366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(395),
  [369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(395),
  [372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(398),
  [375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(398),
  [378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(400),
  [381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(400),
  [384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(401),
  [387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(401),
  [390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(477),
  [393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(477),
  [396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(122),
  [399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(625),
  [402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(625),
  [405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(626),
  [408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(626),
  [411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2441),
  [414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2442),
  [417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(123),
  [420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(124),
  [423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(124),
  [426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2340),
  [429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3001),
  [434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2328),
  [437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2445),
  [440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2446),
  [443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2447),
  [446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2448),
  [449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3102),
  [452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2449),
  [455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3104),
  [458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3105),
  [461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2450),
  [464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2451),
  [467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2452),
  [470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3109),
  [473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3508),
  [476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2453),
  [479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2454),
  [482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2454),
  [485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3112),
  [488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3113),
  [491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3113),
  [494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3509),
  [497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3509),
  [500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3510),
  [503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2682),
  [506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2682),
  [509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2737),
  [512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2683),
  [515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3904),
  [518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3813),
  [521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3638),
  [524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3639),
  [527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3672),
  [530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3512),
  [533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3513),
  [536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2455),
  [539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2596),
  [542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2456),
  [545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2457),
  [548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2457),
  [551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2597),
  [554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2608),
  [557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2458),
  [560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3117),
  [563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3118),
  [566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2344),
  [568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2333),
  [572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2342),
  [582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2334),
  [584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2338),
  [588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2349),
  [590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2336),
  [596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2355),
  [604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2332),
  [606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3464),
  [736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3042),
  [738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2522),
  [740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2525),
  [746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3483),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2526),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3486),
  [752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3487),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2527),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3491),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3391),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2530),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2531),
  [768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3511),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3514),
  [774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3392),
  [778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3393),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2721),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3817),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3937),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3594),
  [796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3595),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3664),
  [800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3396),
  [802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3397),
  [804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2604),
  [818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2535),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3518),
  [822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3519),
  [824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3012),
  [828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3297),
  [834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3597),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2839),
  [840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2944),
  [844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3054),
  [848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(894),
  [853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(878),
  [856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(64),
  [859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(568),
  [862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(568),
  [865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(558),
  [868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(558),
  [871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(570),
  [874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(570),
  [877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(571),
  [880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(571),
  [883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(508),
  [886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(508),
  [889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(524),
  [892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(524),
  [895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(533),
  [898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(533),
  [901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(956),
  [904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(956),
  [907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(95),
  [910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1045),
  [913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1045),
  [916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1047),
  [919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1047),
  [922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2583),
  [925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2545),
  [928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(76),
  [931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(92),
  [934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(92),
  [937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2346),
  [940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3538),
  [943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2591),
  [946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2399),
  [949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2402),
  [952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2549),
  [955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3185),
  [958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2536),
  [961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3579),
  [964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3181),
  [967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2537),
  [970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2540),
  [973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2544),
  [976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3678),
  [979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3154),
  [982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2403),
  [985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2409),
  [988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2409),
  [991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3189),
  [994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3193),
  [997] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3193),
  [1000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3199),
  [1003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3199),
  [1006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3204),
  [1009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2641),
  [1012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2641),
  [1015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2686),
  [1018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2747),
  [1021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3757),
  [1024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3703),
  [1027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2861),
  [1030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2876),
  [1033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2877),
  [1036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2878),
  [1039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3045),
  [1042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2548),
  [1045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2460),
  [1048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2572),
  [1051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2573),
  [1054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2573),
  [1057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2382),
  [1060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2461),
  [1063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2521),
  [1066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3229),
  [1069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3254),
  [1072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [1074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [1076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [1082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [1084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [1086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [1088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [1094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [1096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [1102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [1104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3183),
  [1106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2406),
  [1108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2408),
  [1110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2426),
  [1112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2427),
  [1114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3192),
  [1116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2428),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3196),
  [1120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3197),
  [1122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2431),
  [1124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2432),
  [1126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2433),
  [1128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3203),
  [1130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3360),
  [1132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [1134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2436),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [1138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3217),
  [1140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3218),
  [1142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [1144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3361),
  [1146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [1148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3362),
  [1150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [1152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [1154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [1156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [1158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3876),
  [1160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3885),
  [1162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3583),
  [1164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3584),
  [1166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3662),
  [1168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3363),
  [1170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3364),
  [1172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2437),
  [1174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2584),
  [1176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2438),
  [1178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2439),
  [1180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [1182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [1184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [1186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2440),
  [1188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3234),
  [1190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3235),
  [1192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(960),
  [1195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(951),
  [1198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(73),
  [1201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(886),
  [1204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(886),
  [1207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(887),
  [1210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(887),
  [1213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(888),
  [1216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(888),
  [1219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(889),
  [1222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(889),
  [1225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(890),
  [1228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(890),
  [1231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(891),
  [1234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(891),
  [1237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(892),
  [1240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(892),
  [1243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1116),
  [1246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1116),
  [1249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(93),
  [1252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1465),
  [1255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1465),
  [1258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1466),
  [1261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1466),
  [1264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2444),
  [1267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2459),
  [1270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(94),
  [1273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(72),
  [1276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(72),
  [1279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2348),
  [1282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2892),
  [1285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2462),
  [1288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2465),
  [1291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2466),
  [1294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2470),
  [1297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2897),
  [1300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2471),
  [1303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2899),
  [1306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2901),
  [1309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2472),
  [1312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2475),
  [1315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2476),
  [1318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2907),
  [1321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3334),
  [1324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2492),
  [1327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2495),
  [1330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2495),
  [1333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2911),
  [1336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2912),
  [1339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2912),
  [1342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3335),
  [1345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3335),
  [1348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3336),
  [1351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2613),
  [1354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2613),
  [1357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2710),
  [1360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2614),
  [1363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3881),
  [1366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3812),
  [1369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3570),
  [1372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3571),
  [1375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3660),
  [1378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3337),
  [1381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3338),
  [1384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2497),
  [1387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2581),
  [1390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2499),
  [1393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2514),
  [1396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2514),
  [1399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2582),
  [1402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2602),
  [1405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2519),
  [1408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2918),
  [1411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2920),
  [1414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [1416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [1418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [1420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [1422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [1424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [1428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [1430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [1432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [1434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [1436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [1438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [1440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [1444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [1446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [1448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [1450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2892),
  [1452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2462),
  [1454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2465),
  [1456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2466),
  [1458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2470),
  [1460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2897),
  [1462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2471),
  [1464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2899),
  [1466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2901),
  [1468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2472),
  [1470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2475),
  [1472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2476),
  [1474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2907),
  [1476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3334),
  [1478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [1480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2495),
  [1482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [1484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2911),
  [1486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2912),
  [1488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [1490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3335),
  [1492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [1494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3336),
  [1496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [1498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [1500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2710),
  [1502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [1504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3881),
  [1506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3812),
  [1508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3570),
  [1510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3571),
  [1512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3660),
  [1514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3337),
  [1516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3338),
  [1518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2497),
  [1520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [1522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2499),
  [1524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2514),
  [1526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [1528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [1530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [1532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2519),
  [1534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2918),
  [1536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2920),
  [1538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(949),
  [1541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(967),
  [1544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(78),
  [1547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(868),
  [1550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(868),
  [1553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(869),
  [1556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(869),
  [1559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(873),
  [1562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(873),
  [1565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(874),
  [1568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(874),
  [1571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(877),
  [1574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(877),
  [1577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(881),
  [1580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(881),
  [1583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(884),
  [1586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(884),
  [1589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1066),
  [1592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1066),
  [1595] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(99),
  [1598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1266),
  [1601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1266),
  [1604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1267),
  [1607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1267),
  [1610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2400),
  [1613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2401),
  [1616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(100),
  [1619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(101),
  [1622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(101),
  [1625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2350),
  [1628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3183),
  [1631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2406),
  [1634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2408),
  [1637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2426),
  [1640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2427),
  [1643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3192),
  [1646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2428),
  [1649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3196),
  [1652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3197),
  [1655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2431),
  [1658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2432),
  [1661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2433),
  [1664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3203),
  [1667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3360),
  [1670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2434),
  [1673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2436),
  [1676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2436),
  [1679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3217),
  [1682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3218),
  [1685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3218),
  [1688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3361),
  [1691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3361),
  [1694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3362),
  [1697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2627),
  [1700] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2627),
  [1703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2717),
  [1706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2628),
  [1709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3876),
  [1712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3885),
  [1715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3583),
  [1718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3584),
  [1721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3662),
  [1724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3363),
  [1727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3364),
  [1730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2437),
  [1733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2584),
  [1736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2438),
  [1739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2439),
  [1742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2439),
  [1745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2585),
  [1748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2603),
  [1751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2440),
  [1754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3234),
  [1757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3235),
  [1760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [1762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(952),
  [1765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(971),
  [1768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(81),
  [1771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(780),
  [1774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(780),
  [1777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(781),
  [1780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(781),
  [1783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(782),
  [1786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(782),
  [1789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(783),
  [1792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(783),
  [1795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(784),
  [1798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(784),
  [1801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(785),
  [1804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(785),
  [1807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(786),
  [1810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(786),
  [1813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1101),
  [1816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1101),
  [1819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(105),
  [1822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1405),
  [1825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1405),
  [1828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1406),
  [1831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1406),
  [1834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2515),
  [1837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2516),
  [1840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(106),
  [1843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(107),
  [1846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(107),
  [1849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2351),
  [1852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3464),
  [1855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2522),
  [1858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2523),
  [1861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2524),
  [1864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2525),
  [1867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3483),
  [1870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2526),
  [1873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3486),
  [1876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3487),
  [1879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2527),
  [1882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2528),
  [1885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2529),
  [1888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3491),
  [1891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3391),
  [1894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2530),
  [1897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2531),
  [1900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2531),
  [1903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3511),
  [1906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3514),
  [1909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3514),
  [1912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3392),
  [1915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3392),
  [1918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3393),
  [1921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2638),
  [1924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2638),
  [1927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2721),
  [1930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2639),
  [1933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3817),
  [1936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3937),
  [1939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3594),
  [1942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3595),
  [1945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3664),
  [1948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3396),
  [1951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3397),
  [1954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2532),
  [1957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2586),
  [1960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2533),
  [1963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2534),
  [1966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2534),
  [1969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2587),
  [1972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2604),
  [1975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2535),
  [1978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3518),
  [1981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3519),
  [1984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [1986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [1990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [1994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [1996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [1998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [2000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [2002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [2004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [2006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [2008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [2010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [2012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [2014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [2016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [2018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [2020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [2022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [2026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [2028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [2030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [2032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [2034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [2036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [2038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [2040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [2042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [2044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [2046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [2048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [2050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [2052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [2054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [2056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [2058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [2060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [2062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [2064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [2066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [2068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [2070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [2072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [2074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [2076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [2078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [2080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [2082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [2084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [2086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [2088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [2090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [2094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [2098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [2102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [2104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [2110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [2116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [2118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [2120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [2130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [2132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [2136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [2140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [2142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [2144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [2146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [2148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [2150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [2152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [2156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(26),
  [2158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [2160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [2162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [2166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [2168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [2170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [2172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [2174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [2176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [2178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [2180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [2182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [2184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [2186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [2188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [2190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [2192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [2196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [2198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [2200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [2202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [2204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [2206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(36),
  [2208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [2210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [2212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(38),
  [2214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [2220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [2224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [2228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [2232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [2238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(44),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [2244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_part, 2, 0, 4),
  [2246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_part, 2, 0, 4),
  [2248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [2250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_part, 1, 0, 4),
  [2252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_part, 1, 0, 4),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [2256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_chapter, 1, 0, 4),
  [2258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chapter, 1, 0, 4),
  [2260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_chapter, 2, 0, 4),
  [2262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chapter, 2, 0, 4),
  [2264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [2272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [2274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [2278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [2280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [2282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [2284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_section, 1, 0, 4),
  [2286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_section, 1, 0, 4),
  [2288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [2290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_section, 2, 0, 4),
  [2292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_section, 2, 0, 4),
  [2294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [2296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [2304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subsection, 1, 0, 4),
  [2306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subsection, 1, 0, 4),
  [2308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subsection, 2, 0, 4),
  [2310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subsection, 2, 0, 4),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [2320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subsubsection, 1, 0, 4),
  [2322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subsubsection, 1, 0, 4),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [2326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subsubsection, 2, 0, 4),
  [2328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subsubsection, 2, 0, 4),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [2344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_paragraph, 2, 0, 4),
  [2346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_paragraph, 2, 0, 4),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [2350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_paragraph, 1, 0, 4),
  [2352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_paragraph, 1, 0, 4),
  [2354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subparagraph, 2, 0, 4),
  [2356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subparagraph, 2, 0, 4),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [2360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subparagraph, 1, 0, 4),
  [2362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subparagraph, 1, 0, 4),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [2374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_item, 1, 0, 5),
  [2376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_item, 1, 0, 5),
  [2378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(457),
  [2381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(451),
  [2384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(220),
  [2387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0),
  [2389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0),
  [2391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(122),
  [2394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(625),
  [2397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(625),
  [2400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(626),
  [2403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(626),
  [2406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2441),
  [2409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2442),
  [2412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(123),
  [2415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(124),
  [2418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(124),
  [2421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2340),
  [2424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3001),
  [2427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2328),
  [2430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2445),
  [2433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2446),
  [2436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2447),
  [2439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2448),
  [2442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3102),
  [2445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2449),
  [2448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3104),
  [2451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3105),
  [2454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2450),
  [2457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2451),
  [2460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2452),
  [2463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3109),
  [2466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3508),
  [2469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2453),
  [2472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2454),
  [2475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2454),
  [2478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3112),
  [2481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3113),
  [2484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3113),
  [2487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3509),
  [2490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3509),
  [2493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3510),
  [2496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2682),
  [2499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2682),
  [2502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2737),
  [2505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2683),
  [2508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3904),
  [2511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3813),
  [2514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3638),
  [2517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3639),
  [2520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3672),
  [2523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3512),
  [2526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3513),
  [2529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2455),
  [2532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2596),
  [2535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2456),
  [2538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2457),
  [2541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2457),
  [2544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2597),
  [2547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2608),
  [2550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2458),
  [2553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3117),
  [2556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3118),
  [2559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_item, 2, 0, 5),
  [2561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_item, 2, 0, 5),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(894),
  [2576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(878),
  [2579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(230),
  [2582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(95),
  [2585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1045),
  [2588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1045),
  [2591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1047),
  [2594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1047),
  [2597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2583),
  [2600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2545),
  [2603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(76),
  [2606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(92),
  [2609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(92),
  [2612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2346),
  [2615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3538),
  [2618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2591),
  [2621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2399),
  [2624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2402),
  [2627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2549),
  [2630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3185),
  [2633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2536),
  [2636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3579),
  [2639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3181),
  [2642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2537),
  [2645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2540),
  [2648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2544),
  [2651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3678),
  [2654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3154),
  [2657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2403),
  [2660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2409),
  [2663] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2409),
  [2666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3189),
  [2669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3193),
  [2672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3193),
  [2675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3199),
  [2678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3199),
  [2681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3204),
  [2684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2641),
  [2687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2641),
  [2690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2686),
  [2693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2747),
  [2696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3757),
  [2699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3703),
  [2702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2861),
  [2705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2876),
  [2708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2877),
  [2711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2878),
  [2714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3045),
  [2717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2548),
  [2720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2460),
  [2723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2572),
  [2726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2573),
  [2729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2573),
  [2732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2382),
  [2735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2461),
  [2738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2521),
  [2741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3229),
  [2744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3254),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(952),
  [2752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(971),
  [2755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(234),
  [2758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(105),
  [2761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1405),
  [2764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1405),
  [2767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1406),
  [2770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1406),
  [2773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2515),
  [2776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2516),
  [2779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(106),
  [2782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(107),
  [2785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(107),
  [2788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2351),
  [2791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3464),
  [2794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2522),
  [2797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2523),
  [2800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2524),
  [2803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2525),
  [2806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3483),
  [2809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2526),
  [2812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3486),
  [2815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3487),
  [2818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2527),
  [2821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2528),
  [2824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2529),
  [2827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3491),
  [2830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3391),
  [2833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2530),
  [2836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2531),
  [2839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2531),
  [2842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3511),
  [2845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3514),
  [2848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3514),
  [2851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3392),
  [2854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3392),
  [2857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3393),
  [2860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2638),
  [2863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2638),
  [2866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2721),
  [2869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2639),
  [2872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3817),
  [2875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3937),
  [2878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3594),
  [2881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3595),
  [2884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3664),
  [2887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3396),
  [2890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3397),
  [2893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2532),
  [2896] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2586),
  [2899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2533),
  [2902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2534),
  [2905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2534),
  [2908] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2587),
  [2911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2604),
  [2914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2535),
  [2917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3518),
  [2920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3519),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [2927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(949),
  [2930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(967),
  [2933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(238),
  [2936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(99),
  [2939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1266),
  [2942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1266),
  [2945] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1267),
  [2948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1267),
  [2951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2400),
  [2954] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2401),
  [2957] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(100),
  [2960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(101),
  [2963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(101),
  [2966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2350),
  [2969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3183),
  [2972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2406),
  [2975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2408),
  [2978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2426),
  [2981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2427),
  [2984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3192),
  [2987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2428),
  [2990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3196),
  [2993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3197),
  [2996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2431),
  [2999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2432),
  [3002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2433),
  [3005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3203),
  [3008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3360),
  [3011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2434),
  [3014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2436),
  [3017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2436),
  [3020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3217),
  [3023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3218),
  [3026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3218),
  [3029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3361),
  [3032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3361),
  [3035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3362),
  [3038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2627),
  [3041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2627),
  [3044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2717),
  [3047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2628),
  [3050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3876),
  [3053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3885),
  [3056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3583),
  [3059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3584),
  [3062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3662),
  [3065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3363),
  [3068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3364),
  [3071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2437),
  [3074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2584),
  [3077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2438),
  [3080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2439),
  [3083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2439),
  [3086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2585),
  [3089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2603),
  [3092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2440),
  [3095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3234),
  [3098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3235),
  [3101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(960),
  [3104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(951),
  [3107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(239),
  [3110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(93),
  [3113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1465),
  [3116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1465),
  [3119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1466),
  [3122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1466),
  [3125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2444),
  [3128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2459),
  [3131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(94),
  [3134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(72),
  [3137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(72),
  [3140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2348),
  [3143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2892),
  [3146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2462),
  [3149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2465),
  [3152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2466),
  [3155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2470),
  [3158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2897),
  [3161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2471),
  [3164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2899),
  [3167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2901),
  [3170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2472),
  [3173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2475),
  [3176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2476),
  [3179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2907),
  [3182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3334),
  [3185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2492),
  [3188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2495),
  [3191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2495),
  [3194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2911),
  [3197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2912),
  [3200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2912),
  [3203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3335),
  [3206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3335),
  [3209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3336),
  [3212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2613),
  [3215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2613),
  [3218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2710),
  [3221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2614),
  [3224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3881),
  [3227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3812),
  [3230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3570),
  [3233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3571),
  [3236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3660),
  [3239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3337),
  [3242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3338),
  [3245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2497),
  [3248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2581),
  [3251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2499),
  [3254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2514),
  [3257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2514),
  [3260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2582),
  [3263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2602),
  [3266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2519),
  [3269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2918),
  [3272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2920),
  [3275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [3277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [3283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1732),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [3289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [3297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [3301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2352),
  [3303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2796),
  [3305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2852),
  [3307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2555),
  [3309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2557),
  [3311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2558),
  [3313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2559),
  [3315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2801),
  [3317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2560),
  [3319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2802),
  [3321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2803),
  [3323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2561),
  [3325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2562),
  [3327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [3329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2805),
  [3331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3423),
  [3333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2564),
  [3335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [3339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2806),
  [3341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2807),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [3345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3424),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [3349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3425),
  [3351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [3355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [3357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [3359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3750),
  [3361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3996),
  [3363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3605),
  [3365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3606),
  [3367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3666),
  [3369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3427),
  [3371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3428),
  [3373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [3375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [3377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [3379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [3383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [3385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [3387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [3389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2811),
  [3391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2812),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [3395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3152),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [3399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3636),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [3403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [3407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2957),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [3411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3041),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [3417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3326),
  [3419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1645),
  [3422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1646),
  [3425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(255),
  [3428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(110),
  [3431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1732),
  [3434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1732),
  [3437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1734),
  [3440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(1734),
  [3443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2553),
  [3446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2554),
  [3449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(111),
  [3452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(112),
  [3455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(112),
  [3458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2352),
  [3461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2796),
  [3464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2555),
  [3467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2557),
  [3470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2558),
  [3473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2559),
  [3476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2801),
  [3479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2560),
  [3482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2802),
  [3485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2803),
  [3488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2561),
  [3491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2562),
  [3494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2563),
  [3497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2805),
  [3500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3423),
  [3503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2564),
  [3506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2566),
  [3509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2566),
  [3512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2806),
  [3515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2807),
  [3518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2807),
  [3521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3424),
  [3524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3424),
  [3527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3425),
  [3530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2649),
  [3533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2649),
  [3536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2725),
  [3539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2650),
  [3542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3750),
  [3545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3996),
  [3548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3605),
  [3551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3606),
  [3554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3666),
  [3557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3427),
  [3560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(3428),
  [3563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2567),
  [3566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2589),
  [3569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2568),
  [3572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2569),
  [3575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2569),
  [3578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2590),
  [3581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2605),
  [3584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2570),
  [3587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2811),
  [3590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_part_repeat1, 2, 0, 0), SHIFT_REPEAT(2812),
  [3593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [3595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [3605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [3611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [3619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [3623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2353),
  [3625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2895),
  [3627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [3629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [3631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2387),
  [3633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2388),
  [3635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2900),
  [3637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [3639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2902),
  [3641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2903),
  [3643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [3645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2391),
  [3647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2392),
  [3649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2906),
  [3651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3454),
  [3653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2393),
  [3655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2394),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [3659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2909),
  [3661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2910),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [3665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3455),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [3669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3456),
  [3671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2660),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [3675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2729),
  [3677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [3679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4017),
  [3681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3714),
  [3683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3616),
  [3685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3617),
  [3687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3668),
  [3689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3458),
  [3691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3459),
  [3693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2395),
  [3695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [3697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2396),
  [3699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2397),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [3703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2593),
  [3705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [3707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2398),
  [3709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2913),
  [3711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2914),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [3723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1657),
  [3726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1656),
  [3729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(258),
  [3732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0),
  [3734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(260),
  [3737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(116),
  [3740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2042),
  [3743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2042),
  [3746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2047),
  [3749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2047),
  [3752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2383),
  [3755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2384),
  [3758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(117),
  [3761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(118),
  [3764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(118),
  [3767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2353),
  [3770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2895),
  [3773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2328),
  [3776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2385),
  [3779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2386),
  [3782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2387),
  [3785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2388),
  [3788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2900),
  [3791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2389),
  [3794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2902),
  [3797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2903),
  [3800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2390),
  [3803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2391),
  [3806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2392),
  [3809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2906),
  [3812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(3454),
  [3815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2393),
  [3818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2394),
  [3821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2394),
  [3824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2909),
  [3827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2910),
  [3830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2910),
  [3833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(3455),
  [3836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(3455),
  [3839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(3456),
  [3842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2660),
  [3845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2660),
  [3848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2729),
  [3851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2661),
  [3854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(4017),
  [3857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(3714),
  [3860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(3616),
  [3863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(3617),
  [3866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(3668),
  [3869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(3458),
  [3872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(3459),
  [3875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2395),
  [3878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2592),
  [3881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2396),
  [3884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2397),
  [3887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2397),
  [3890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2593),
  [3893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2606),
  [3896] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2398),
  [3899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2913),
  [3902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_brack_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2914),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [3911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [3913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [3915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [3921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [3927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3779),
  [3929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3790),
  [3931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3794),
  [3933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3838),
  [3935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3840),
  [3937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3853),
  [3939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3862),
  [3941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3964),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [3945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3732),
  [3947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3735),
  [3949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3736),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [3953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2412),
  [3955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2413),
  [3957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2414),
  [3959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2415),
  [3961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [3963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2416),
  [3965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3008),
  [3967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3009),
  [3969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2417),
  [3971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2418),
  [3973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2419),
  [3975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3013),
  [3977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3481),
  [3979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2420),
  [3981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2421),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [3985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3016),
  [3987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [3991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3482),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [3995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2756),
  [3997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2672),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [4001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2733),
  [4003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2673),
  [4005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3849),
  [4007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3764),
  [4009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3627),
  [4011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3628),
  [4013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3670),
  [4015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3484),
  [4017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3485),
  [4019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2422),
  [4021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [4023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2423),
  [4025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2424),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [4029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2595),
  [4031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [4033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2425),
  [4035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3022),
  [4037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3023),
  [4039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(457),
  [4042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(451),
  [4045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37),
  [4047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37),
  [4049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(625),
  [4052] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(625),
  [4055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(626),
  [4058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(626),
  [4061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2441),
  [4064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2442),
  [4067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2445),
  [4070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2446),
  [4073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2447),
  [4076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2448),
  [4079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3102),
  [4082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2449),
  [4085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3104),
  [4088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3105),
  [4091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2450),
  [4094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2451),
  [4097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2452),
  [4100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3109),
  [4103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3508),
  [4106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2453),
  [4109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2454),
  [4112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2454),
  [4115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3112),
  [4118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3113),
  [4121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3113),
  [4124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3509),
  [4127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3509),
  [4130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3510),
  [4133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2682),
  [4136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2682),
  [4139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2737),
  [4142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2683),
  [4145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3904),
  [4148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3813),
  [4151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3638),
  [4154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3639),
  [4157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3672),
  [4160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3512),
  [4163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3513),
  [4166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2455),
  [4169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2596),
  [4172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2456),
  [4175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2457),
  [4178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2457),
  [4181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2597),
  [4184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2608),
  [4187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2458),
  [4190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3117),
  [4193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3118),
  [4196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text, 1, 0, 13),
  [4198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_text, 1, 0, 13),
  [4200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(894),
  [4203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(878),
  [4206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1045),
  [4209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1045),
  [4212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1047),
  [4215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1047),
  [4218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2583),
  [4221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2545),
  [4224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2591),
  [4227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2399),
  [4230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2402),
  [4233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2549),
  [4236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3185),
  [4239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2536),
  [4242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3579),
  [4245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3181),
  [4248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2537),
  [4251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2540),
  [4254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2544),
  [4257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3678),
  [4260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3154),
  [4263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2403),
  [4266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2409),
  [4269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2409),
  [4272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3189),
  [4275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3193),
  [4278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3193),
  [4281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3199),
  [4284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3199),
  [4287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3204),
  [4290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2641),
  [4293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2641),
  [4296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2686),
  [4299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2747),
  [4302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3757),
  [4305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3703),
  [4308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2861),
  [4311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2876),
  [4314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2877),
  [4317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2878),
  [4320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3045),
  [4323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2548),
  [4326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2460),
  [4329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2572),
  [4332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2573),
  [4335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2573),
  [4338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2382),
  [4341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2461),
  [4344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2521),
  [4347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3229),
  [4350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3254),
  [4353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(952),
  [4356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(971),
  [4359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1405),
  [4362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1405),
  [4365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1406),
  [4368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1406),
  [4371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2515),
  [4374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2516),
  [4377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2522),
  [4380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2523),
  [4383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2524),
  [4386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2525),
  [4389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3483),
  [4392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2526),
  [4395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3486),
  [4398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3487),
  [4401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2527),
  [4404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2528),
  [4407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2529),
  [4410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3491),
  [4413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3391),
  [4416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2530),
  [4419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2531),
  [4422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2531),
  [4425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3511),
  [4428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3514),
  [4431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3514),
  [4434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3392),
  [4437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3392),
  [4440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3393),
  [4443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2638),
  [4446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2638),
  [4449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2721),
  [4452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2639),
  [4455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3817),
  [4458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3937),
  [4461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3594),
  [4464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3595),
  [4467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3664),
  [4470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3396),
  [4473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3397),
  [4476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2532),
  [4479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2586),
  [4482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2533),
  [4485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2534),
  [4488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2534),
  [4491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2587),
  [4494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2604),
  [4497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2535),
  [4500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3518),
  [4503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3519),
  [4506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(949),
  [4509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(967),
  [4512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1266),
  [4515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1266),
  [4518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1267),
  [4521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1267),
  [4524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2400),
  [4527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2401),
  [4530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2406),
  [4533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2408),
  [4536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2426),
  [4539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2427),
  [4542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3192),
  [4545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2428),
  [4548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3196),
  [4551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3197),
  [4554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2431),
  [4557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2432),
  [4560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2433),
  [4563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3203),
  [4566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3360),
  [4569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2434),
  [4572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2436),
  [4575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2436),
  [4578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3217),
  [4581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3218),
  [4584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3218),
  [4587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3361),
  [4590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3361),
  [4593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3362),
  [4596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2627),
  [4599] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2627),
  [4602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2717),
  [4605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2628),
  [4608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3876),
  [4611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3885),
  [4614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3583),
  [4617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3584),
  [4620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3662),
  [4623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3363),
  [4626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3364),
  [4629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2437),
  [4632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2584),
  [4635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2438),
  [4638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2439),
  [4641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2439),
  [4644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2585),
  [4647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2603),
  [4650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2440),
  [4653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3234),
  [4656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3235),
  [4659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(960),
  [4662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(951),
  [4665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1465),
  [4668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1465),
  [4671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1466),
  [4674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1466),
  [4677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2444),
  [4680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2459),
  [4683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2462),
  [4686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2465),
  [4689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2466),
  [4692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2470),
  [4695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2897),
  [4698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2471),
  [4701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2899),
  [4704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2901),
  [4707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2472),
  [4710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2475),
  [4713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2476),
  [4716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2907),
  [4719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3334),
  [4722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2492),
  [4725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2495),
  [4728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2495),
  [4731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2911),
  [4734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2912),
  [4737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2912),
  [4740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3335),
  [4743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3335),
  [4746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3336),
  [4749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2613),
  [4752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2613),
  [4755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2710),
  [4758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2614),
  [4761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3881),
  [4764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3812),
  [4767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3570),
  [4770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3571),
  [4773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3660),
  [4776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3337),
  [4779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3338),
  [4782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2497),
  [4785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2581),
  [4788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2499),
  [4791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2514),
  [4794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2514),
  [4797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2582),
  [4800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2602),
  [4803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2519),
  [4806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2918),
  [4809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2920),
  [4812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [4814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [4822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [4828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [4836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [4840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [4842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3179),
  [4844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [4846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [4848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2502),
  [4850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [4852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3263),
  [4854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2504),
  [4856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3265),
  [4858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3266),
  [4860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2505),
  [4862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2506),
  [4864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2507),
  [4866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3270),
  [4868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3545),
  [4870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [4872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2509),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [4876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3273),
  [4878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3274),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [4882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3546),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [4886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3547),
  [4888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2700),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [4892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2743),
  [4894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2701),
  [4896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3989),
  [4898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3680),
  [4900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3653),
  [4902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3654),
  [4904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3677),
  [4906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3550),
  [4908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3551),
  [4910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2510),
  [4912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2600),
  [4914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2511),
  [4916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2512),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [4920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2601),
  [4922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [4924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2513),
  [4926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3279),
  [4928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3280),
  [4930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [4932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [4934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [4936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [4940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [4942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [4948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [4950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(1665),
  [4953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(1664),
  [4956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(281),
  [4959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(140),
  [4962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0),
  [4964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(1924),
  [4967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(1924),
  [4970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(1925),
  [4973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(1925),
  [4976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(2498),
  [4979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(2610),
  [4982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(141),
  [4985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(142),
  [4988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(142),
  [4991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(2330),
  [4994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(3179),
  [4997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(2500),
  [5000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(2501),
  [5003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(2502),
  [5006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(2503),
  [5009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(3263),
  [5012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(2504),
  [5015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(3265),
  [5018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(3266),
  [5021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(2505),
  [5024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(2506),
  [5027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(2507),
  [5030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(3270),
  [5033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(3545),
  [5036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(2508),
  [5039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(2509),
  [5042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(2509),
  [5045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(3273),
  [5048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(3274),
  [5051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(3274),
  [5054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(3546),
  [5057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(3546),
  [5060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(3547),
  [5063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(2700),
  [5066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(2700),
  [5069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(2743),
  [5072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(2701),
  [5075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(3989),
  [5078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(3680),
  [5081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(3653),
  [5084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(3654),
  [5087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(3677),
  [5090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(3550),
  [5093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(3551),
  [5096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(2510),
  [5099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(2600),
  [5102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(2511),
  [5105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(2512),
  [5108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(2512),
  [5111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(2601),
  [5114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(2381),
  [5117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(2513),
  [5120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(3279),
  [5123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_impl_repeat1, 2, 0, 0), SHIFT_REPEAT(3280),
  [5126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [5128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [5130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [5132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [5134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [5136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [5138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [5140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [5142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [5144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [5146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [5148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [5150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [5152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [5154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [5156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [5158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [5160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [5162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [5164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [5166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [5168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [5170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(1665),
  [5173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(1664),
  [5176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(261),
  [5179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0),
  [5181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(297),
  [5184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(140),
  [5187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(1924),
  [5190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(1924),
  [5193] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(1925),
  [5196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(1925),
  [5199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(2498),
  [5202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(2610),
  [5205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(150),
  [5208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(151),
  [5211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(151),
  [5214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(2330),
  [5217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(3179),
  [5220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(2500),
  [5223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(2501),
  [5226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(2502),
  [5229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(2503),
  [5232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(3263),
  [5235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(2504),
  [5238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(3265),
  [5241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(3266),
  [5244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(2505),
  [5247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(2506),
  [5250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(2507),
  [5253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(3270),
  [5256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(3545),
  [5259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(2508),
  [5262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(2509),
  [5265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(2509),
  [5268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(3273),
  [5271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(3274),
  [5274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(3274),
  [5277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(3546),
  [5280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(3546),
  [5283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(3547),
  [5286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(2700),
  [5289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(2700),
  [5292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(2743),
  [5295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(2701),
  [5298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(3989),
  [5301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(3680),
  [5304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(3653),
  [5307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(3654),
  [5310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(3677),
  [5313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(3550),
  [5316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(3551),
  [5319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(2510),
  [5322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(2600),
  [5325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(2511),
  [5328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(2512),
  [5331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(2512),
  [5334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(2601),
  [5337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(2381),
  [5340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(2513),
  [5343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(3279),
  [5346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(3280),
  [5349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [5351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value, 1, 0, 0),
  [5353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [5355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [5357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [5359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [5361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [5363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [5365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [5367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [5369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(300),
  [5372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(146),
  [5375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(147),
  [5378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_repeat1, 2, 0, 0), SHIFT_REPEAT(147),
  [5381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [5383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [5385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [5387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [5389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [5391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [5393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2147),
  [5395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [5397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [5399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [5401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [5403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [5405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [5407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [5409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [5411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2354),
  [5413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3098),
  [5415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2477),
  [5417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2478),
  [5419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2479),
  [5421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2480),
  [5423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3184),
  [5425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2481),
  [5427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3186),
  [5429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3187),
  [5431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2482),
  [5433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2483),
  [5435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [5437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3191),
  [5439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3526),
  [5441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2485),
  [5443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2486),
  [5445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [5447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3194),
  [5449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3195),
  [5451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [5453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3527),
  [5455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [5457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3528),
  [5459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2692),
  [5461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [5463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [5465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2693),
  [5467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3788),
  [5469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3841),
  [5471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3646),
  [5473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3647),
  [5475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3674),
  [5477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3530),
  [5479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3531),
  [5481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2487),
  [5483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [5485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [5487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2489),
  [5489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [5491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2599),
  [5493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [5495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2490),
  [5497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3200),
  [5499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3201),
  [5501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [5503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [5505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [5507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [5509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [5511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [5513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [5515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [5517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [5519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [5521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [5523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [5525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [5527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [5529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [5531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [5533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2094),
  [5536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2091),
  [5539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2161),
  [5542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(128),
  [5545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0),
  [5547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0),
  [5549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2147),
  [5552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2147),
  [5555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2108),
  [5558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2108),
  [5561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2473),
  [5564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2474),
  [5567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(129),
  [5570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(130),
  [5573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(130),
  [5576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2354),
  [5579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3098),
  [5582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2477),
  [5585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2478),
  [5588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2479),
  [5591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2480),
  [5594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3184),
  [5597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2481),
  [5600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3186),
  [5603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3187),
  [5606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2482),
  [5609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2483),
  [5612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2484),
  [5615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3191),
  [5618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3526),
  [5621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2485),
  [5624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2486),
  [5627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2486),
  [5630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3194),
  [5633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3195),
  [5636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3195),
  [5639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3527),
  [5642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3527),
  [5645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3528),
  [5648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2692),
  [5651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2692),
  [5654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2740),
  [5657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2693),
  [5660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3788),
  [5663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3841),
  [5666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3646),
  [5669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3647),
  [5672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3674),
  [5675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3530),
  [5678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3531),
  [5681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2487),
  [5684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2598),
  [5687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2488),
  [5690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2489),
  [5693] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2489),
  [5696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2599),
  [5699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2609),
  [5702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2490),
  [5705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3200),
  [5708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3201),
  [5711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_curly_group_author_list_repeat2, 2, 0, 71),
  [5713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat2, 2, 0, 71),
  [5715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [5717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [5719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(1665),
  [5722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(1664),
  [5725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(317),
  [5728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(140),
  [5731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0),
  [5733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(1924),
  [5736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(1924),
  [5739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(1925),
  [5742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(1925),
  [5745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(2498),
  [5748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(2610),
  [5751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(135),
  [5754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(136),
  [5757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(136),
  [5760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(2330),
  [5763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(3179),
  [5766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(2500),
  [5769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(2501),
  [5772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(2502),
  [5775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(2503),
  [5778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(3263),
  [5781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(2504),
  [5784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(3265),
  [5787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(3266),
  [5790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(2505),
  [5793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(2506),
  [5796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(2507),
  [5799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(3270),
  [5802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(3545),
  [5805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(2508),
  [5808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(2509),
  [5811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(2509),
  [5814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(3273),
  [5817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(3274),
  [5820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(3274),
  [5823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(3546),
  [5826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(3546),
  [5829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(3547),
  [5832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(2700),
  [5835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(2700),
  [5838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(2743),
  [5841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(2701),
  [5844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(3989),
  [5847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(3680),
  [5850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(3653),
  [5853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(3654),
  [5856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(3677),
  [5859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(3550),
  [5862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(3551),
  [5865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(2510),
  [5868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(2600),
  [5871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(2511),
  [5874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(2512),
  [5877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(2512),
  [5880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(2601),
  [5883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(2381),
  [5886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(2513),
  [5889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(3279),
  [5892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_curly_group_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(3280),
  [5895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [5897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [5899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [5901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [5903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [5905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [5907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [5909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [5911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [5913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [5915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1645),
  [5918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1646),
  [5921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1732),
  [5924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1732),
  [5927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1734),
  [5930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1734),
  [5933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2553),
  [5936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2554),
  [5939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2555),
  [5942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2557),
  [5945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2558),
  [5948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2559),
  [5951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2801),
  [5954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2560),
  [5957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2802),
  [5960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2803),
  [5963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2561),
  [5966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2562),
  [5969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2563),
  [5972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2805),
  [5975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3423),
  [5978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2564),
  [5981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2566),
  [5984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2566),
  [5987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2806),
  [5990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2807),
  [5993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2807),
  [5996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3424),
  [5999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3424),
  [6002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3425),
  [6005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2649),
  [6008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2649),
  [6011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2725),
  [6014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2650),
  [6017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3750),
  [6020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3996),
  [6023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3605),
  [6026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3606),
  [6029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3666),
  [6032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3427),
  [6035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3428),
  [6038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2567),
  [6041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2589),
  [6044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2568),
  [6047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2569),
  [6050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2569),
  [6053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2590),
  [6056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2605),
  [6059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2570),
  [6062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2811),
  [6065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2812),
  [6068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1665),
  [6071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1664),
  [6074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1924),
  [6077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1924),
  [6080] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1925),
  [6083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1925),
  [6086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2498),
  [6089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2610),
  [6092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2500),
  [6095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2501),
  [6098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2502),
  [6101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2503),
  [6104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3263),
  [6107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2504),
  [6110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3265),
  [6113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3266),
  [6116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2505),
  [6119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2506),
  [6122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2507),
  [6125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3270),
  [6128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3545),
  [6131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2508),
  [6134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2509),
  [6137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2509),
  [6140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3273),
  [6143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3274),
  [6146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3274),
  [6149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3546),
  [6152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3546),
  [6155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3547),
  [6158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2700),
  [6161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2700),
  [6164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2743),
  [6167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2701),
  [6170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3989),
  [6173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3680),
  [6176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3653),
  [6179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3654),
  [6182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3677),
  [6185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3550),
  [6188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3551),
  [6191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2510),
  [6194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2600),
  [6197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2511),
  [6200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2512),
  [6203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2512),
  [6206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2601),
  [6209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2381),
  [6212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2513),
  [6215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3279),
  [6218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3280),
  [6221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1657),
  [6224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(1656),
  [6227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2042),
  [6230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2042),
  [6233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2047),
  [6236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2047),
  [6239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2383),
  [6242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2384),
  [6245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2385),
  [6248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2386),
  [6251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2387),
  [6254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2388),
  [6257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2900),
  [6260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2389),
  [6263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2902),
  [6266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2903),
  [6269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2390),
  [6272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2391),
  [6275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2392),
  [6278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2906),
  [6281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3454),
  [6284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2393),
  [6287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2394),
  [6290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2394),
  [6293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2909),
  [6296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2910),
  [6299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2910),
  [6302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3455),
  [6305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3455),
  [6308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3456),
  [6311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2660),
  [6314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2660),
  [6317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2729),
  [6320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2661),
  [6323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(4017),
  [6326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3714),
  [6329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3616),
  [6332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3617),
  [6335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3668),
  [6338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3458),
  [6341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3459),
  [6344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2395),
  [6347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2592),
  [6350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2396),
  [6353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2397),
  [6356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2397),
  [6359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2593),
  [6362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2606),
  [6365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2398),
  [6368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2913),
  [6371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2914),
  [6374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2094),
  [6377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2091),
  [6380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2147),
  [6383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2147),
  [6386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2108),
  [6389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2108),
  [6392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2473),
  [6395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2474),
  [6398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2477),
  [6401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2478),
  [6404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2479),
  [6407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2480),
  [6410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3184),
  [6413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2481),
  [6416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3186),
  [6419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3187),
  [6422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2482),
  [6425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2483),
  [6428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2484),
  [6431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3191),
  [6434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3526),
  [6437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2485),
  [6440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2486),
  [6443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2486),
  [6446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3194),
  [6449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3195),
  [6452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3195),
  [6455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3527),
  [6458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3527),
  [6461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3528),
  [6464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2692),
  [6467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2692),
  [6470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2740),
  [6473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2693),
  [6476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3788),
  [6479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3841),
  [6482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3646),
  [6485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3647),
  [6488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3674),
  [6491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3530),
  [6494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3531),
  [6497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2487),
  [6500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2598),
  [6503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2488),
  [6506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2489),
  [6509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2489),
  [6512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2599),
  [6515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2609),
  [6518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2490),
  [6521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3200),
  [6524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3201),
  [6527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_part, 3, 0, 4),
  [6529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_part, 3, 0, 4),
  [6531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_chapter, 3, 0, 4),
  [6533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chapter, 3, 0, 4),
  [6535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_section, 3, 0, 4),
  [6537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_section, 3, 0, 4),
  [6539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2212),
  [6542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2224),
  [6545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2283),
  [6548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2283),
  [6551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2246),
  [6554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2246),
  [6557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2410),
  [6560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2411),
  [6563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2412),
  [6566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2413),
  [6569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2414),
  [6572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2415),
  [6575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3006),
  [6578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2416),
  [6581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3008),
  [6584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3009),
  [6587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2417),
  [6590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2418),
  [6593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2419),
  [6596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3013),
  [6599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3481),
  [6602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2420),
  [6605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2421),
  [6608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2421),
  [6611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3016),
  [6614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3017),
  [6617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3017),
  [6620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3482),
  [6623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3482),
  [6626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2756),
  [6629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2672),
  [6632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2672),
  [6635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2733),
  [6638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2673),
  [6641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3849),
  [6644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3764),
  [6647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3627),
  [6650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3628),
  [6653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3670),
  [6656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3484),
  [6659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3485),
  [6662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2422),
  [6665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2594),
  [6668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2423),
  [6671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2424),
  [6674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2424),
  [6677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2595),
  [6680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2607),
  [6683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(2425),
  [6686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3022),
  [6689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 37), SHIFT_REPEAT(3023),
  [6692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subsection, 3, 0, 4),
  [6694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subsection, 3, 0, 4),
  [6696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_chapter, 4, 0, 4),
  [6698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chapter, 4, 0, 4),
  [6700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_section, 4, 0, 4),
  [6702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_section, 4, 0, 4),
  [6704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [6706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subsection, 4, 0, 4),
  [6708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subsection, 4, 0, 4),
  [6710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__section, 1, 0, 0),
  [6712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__section, 1, 0, 0),
  [6714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__paragraph, 1, 0, 0),
  [6716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__paragraph, 1, 0, 0),
  [6718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [6720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [6722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [6724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__part_declaration, 1, 0, 2),
  [6726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__part_declaration, 1, 0, 2),
  [6728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__chapter_declaration, 1, 0, 2),
  [6730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__chapter_declaration, 1, 0, 2),
  [6732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [6734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__section_declaration, 1, 0, 2),
  [6736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__section_declaration, 1, 0, 2),
  [6738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__subsection_declaration, 1, 0, 2),
  [6740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__subsection_declaration, 1, 0, 2),
  [6742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__subsubsection_declaration, 1, 0, 2),
  [6744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__subsubsection_declaration, 1, 0, 2),
  [6746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__paragraph_declaration, 1, 0, 2),
  [6748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__paragraph_declaration, 1, 0, 2),
  [6750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__subparagraph_declaration, 1, 0, 2),
  [6752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__subparagraph_declaration, 1, 0, 2),
  [6754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [6756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__section_repeat1, 2, 0, 0),
  [6758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__section_repeat1, 2, 0, 0),
  [6760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section_repeat1, 2, 0, 0), SHIFT_REPEAT(387),
  [6763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section_repeat1, 2, 0, 0), SHIFT_REPEAT(387),
  [6766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__section_repeat2, 2, 0, 0),
  [6768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__section_repeat2, 2, 0, 0),
  [6770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section_repeat2, 2, 0, 0), SHIFT_REPEAT(390),
  [6773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section_repeat2, 2, 0, 0), SHIFT_REPEAT(390),
  [6776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__section_repeat3, 2, 0, 0),
  [6778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__section_repeat3, 2, 0, 0),
  [6780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section_repeat3, 2, 0, 0), SHIFT_REPEAT(394),
  [6783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section_repeat3, 2, 0, 0), SHIFT_REPEAT(394),
  [6786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__section_repeat4, 2, 0, 0),
  [6788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__section_repeat4, 2, 0, 0),
  [6790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section_repeat4, 2, 0, 0), SHIFT_REPEAT(395),
  [6793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section_repeat4, 2, 0, 0), SHIFT_REPEAT(395),
  [6796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__section_repeat5, 2, 0, 0),
  [6798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__section_repeat5, 2, 0, 0),
  [6800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section_repeat5, 2, 0, 0), SHIFT_REPEAT(398),
  [6803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section_repeat5, 2, 0, 0), SHIFT_REPEAT(398),
  [6806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__paragraph_repeat1, 2, 0, 0),
  [6808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__paragraph_repeat1, 2, 0, 0),
  [6810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__paragraph_repeat1, 2, 0, 0), SHIFT_REPEAT(400),
  [6813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__paragraph_repeat1, 2, 0, 0), SHIFT_REPEAT(400),
  [6816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__paragraph_repeat2, 2, 0, 0),
  [6818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__paragraph_repeat2, 2, 0, 0),
  [6820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__paragraph_repeat2, 2, 0, 0), SHIFT_REPEAT(401),
  [6823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__paragraph_repeat2, 2, 0, 0), SHIFT_REPEAT(401),
  [6826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__paragraph_repeat3, 2, 0, 0),
  [6828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__paragraph_repeat3, 2, 0, 0),
  [6830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__paragraph_repeat3, 2, 0, 0), SHIFT_REPEAT(477),
  [6833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__paragraph_repeat3, 2, 0, 0), SHIFT_REPEAT(477),
  [6836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [6838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [6840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [6842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [6844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [6846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_paragraph, 3, 0, 4),
  [6848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_paragraph, 3, 0, 4),
  [6850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subparagraph, 3, 0, 4),
  [6852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subparagraph, 3, 0, 4),
  [6854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_part, 4, 0, 4),
  [6856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_part, 4, 0, 4),
  [6858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [6860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [6862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [6864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_generic_command_repeat1, 2, 0, 42),
  [6866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_command_repeat1, 2, 0, 42),
  [6868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_command_repeat1, 2, 0, 42), SHIFT_REPEAT(122),
  [6871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_comment, 1, 0, 1),
  [6873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [6875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_comment, 1, 0, 1),
  [6877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [6879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [6881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_theorem_definition, 3, 0, 56),
  [6883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [6885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_theorem_definition, 3, 0, 56),
  [6887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [6889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_command, 1, 0, 2),
  [6891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_command, 1, 0, 2),
  [6893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [6895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [6897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [6899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [6901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_command, 2, 0, 25),
  [6903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_command, 2, 0, 25),
  [6905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_theorem_definition, 2, 0, 22),
  [6907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_theorem_definition, 2, 0, 22),
  [6909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [6911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_comment, 2, 0, 14),
  [6913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [6915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_comment, 2, 0, 14),
  [6917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_theorem_definition, 3, 0, 57),
  [6919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [6921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_theorem_definition, 3, 0, 57),
  [6923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_paired_delimiter_definition, 4, 0, 80),
  [6925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_paired_delimiter_definition, 4, 0, 80),
  [6927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_itemdeclaration, 1, 0, 2),
  [6929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_itemdeclaration, 1, 0, 2),
  [6931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_theorem_definition, 4, 0, 85),
  [6933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_theorem_definition, 4, 0, 85),
  [6935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_paired_delimiter_definition, 5, 0, 100),
  [6937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_paired_delimiter_definition, 5, 0, 100),
  [6939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_color_reference, 3, 0, 59),
  [6941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_color_reference, 3, 0, 59),
  [6943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hyperlink, 2, 0, 35),
  [6945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hyperlink, 2, 0, 35),
  [6947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_color_reference, 2, 0, 22),
  [6949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_color_reference, 2, 0, 22),
  [6951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section_repeat1, 2, 0, 0), SHIFT_REPEAT(568),
  [6954] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section_repeat1, 2, 0, 0), SHIFT_REPEAT(568),
  [6957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section_repeat2, 2, 0, 0), SHIFT_REPEAT(558),
  [6960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section_repeat2, 2, 0, 0), SHIFT_REPEAT(558),
  [6963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section_repeat3, 2, 0, 0), SHIFT_REPEAT(570),
  [6966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section_repeat3, 2, 0, 0), SHIFT_REPEAT(570),
  [6969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section_repeat4, 2, 0, 0), SHIFT_REPEAT(571),
  [6972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section_repeat4, 2, 0, 0), SHIFT_REPEAT(571),
  [6975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section_repeat5, 2, 0, 0), SHIFT_REPEAT(508),
  [6978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section_repeat5, 2, 0, 0), SHIFT_REPEAT(508),
  [6981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__paragraph_repeat1, 2, 0, 0), SHIFT_REPEAT(524),
  [6984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__paragraph_repeat1, 2, 0, 0), SHIFT_REPEAT(524),
  [6987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__paragraph_repeat2, 2, 0, 0), SHIFT_REPEAT(533),
  [6990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__paragraph_repeat2, 2, 0, 0), SHIFT_REPEAT(533),
  [6993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__paragraph_repeat3, 2, 0, 0), SHIFT_REPEAT(956),
  [6996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__paragraph_repeat3, 2, 0, 0), SHIFT_REPEAT(956),
  [6999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__part_declaration, 2, 0, 16),
  [7001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__part_declaration, 2, 0, 16),
  [7003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__section_part, 1, 0, 17),
  [7005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__section_part, 1, 0, 17),
  [7007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__chapter_declaration, 2, 0, 16),
  [7009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__chapter_declaration, 2, 0, 16),
  [7011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__section_declaration, 2, 0, 16),
  [7013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__section_declaration, 2, 0, 16),
  [7015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__subsection_declaration, 2, 0, 16),
  [7017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__subsection_declaration, 2, 0, 16),
  [7019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__subsubsection_declaration, 2, 0, 16),
  [7021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__subsubsection_declaration, 2, 0, 16),
  [7023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__paragraph_declaration, 2, 0, 16),
  [7025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__paragraph_declaration, 2, 0, 16),
  [7027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__subparagraph_declaration, 2, 0, 16),
  [7029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__subparagraph_declaration, 2, 0, 16),
  [7031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_itemdeclaration, 2, 0, 18),
  [7033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_itemdeclaration, 2, 0, 18),
  [7035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__section_part, 2, 0, 39),
  [7037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__section_part, 2, 0, 39),
  [7039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subsubsection, 3, 0, 4),
  [7041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subsubsection, 3, 0, 4),
  [7043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_brack_group_text, 3, 0, 67),
  [7045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_brack_group_text, 3, 0, 67),
  [7047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_luacode_environment, 1, 0, 6),
  [7049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_luacode_environment, 1, 0, 6),
  [7051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curly_group, 2, 0, 0),
  [7053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_group, 2, 0, 0),
  [7055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_text_mode, 2, 0, 21),
  [7057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text_mode, 2, 0, 21),
  [7059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_environment, 2, 0, 15),
  [7061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_environment, 2, 0, 15),
  [7063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_math_environment, 2, 0, 36),
  [7065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_math_environment, 2, 0, 36),
  [7067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curly_group, 3, 0, 0),
  [7069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_group, 3, 0, 0),
  [7071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end, 2, 0, 22),
  [7073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end, 2, 0, 22),
  [7075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_environment, 3, 0, 61),
  [7077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_environment, 3, 0, 61),
  [7079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comment_environment, 3, 0, 62),
  [7081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment_environment, 3, 0, 62),
  [7083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_verbatim_environment, 3, 0, 63),
  [7085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_verbatim_environment, 3, 0, 63),
  [7087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_listing_environment, 3, 0, 64),
  [7089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_listing_environment, 3, 0, 64),
  [7091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_minted_environment, 3, 0, 65),
  [7093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_minted_environment, 3, 0, 65),
  [7095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asy_environment, 3, 0, 64),
  [7097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asy_environment, 3, 0, 64),
  [7099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asydef_environment, 3, 0, 64),
  [7101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asydef_environment, 3, 0, 64),
  [7103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pycode_environment, 3, 0, 64),
  [7105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pycode_environment, 3, 0, 64),
  [7107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__luacode_environment, 3, 0, 64),
  [7109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__luacode_environment, 3, 0, 64),
  [7111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__luacode_environment_star, 3, 0, 64),
  [7113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__luacode_environment_star, 3, 0, 64),
  [7115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sagesilent_environment, 3, 0, 64),
  [7117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sagesilent_environment, 3, 0, 64),
  [7119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sageblock_environment, 3, 0, 64),
  [7121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sageblock_environment, 3, 0, 64),
  [7123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_environment_end, 2, 0, 23),
  [7125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_environment_end, 2, 0, 23),
  [7127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_math_environment, 3, 0, 66),
  [7129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_math_environment, 3, 0, 66),
  [7131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_math_delimiter, 4, 0, 68),
  [7133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_math_delimiter, 4, 0, 68),
  [7135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__minted_environment_group, 3, 0, 69),
  [7137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__minted_environment_group, 3, 0, 69),
  [7139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_environment_group, 3, 0, 69),
  [7141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_environment_group, 3, 0, 69),
  [7143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__comment_environment_end, 2, 0, 23),
  [7145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comment_environment_end, 2, 0, 23),
  [7147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__verbatim_environment_end, 2, 0, 23),
  [7149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__verbatim_environment_end, 2, 0, 23),
  [7151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__listing_environment_end, 2, 0, 23),
  [7153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__listing_environment_end, 2, 0, 23),
  [7155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__minted_environment_end, 2, 0, 23),
  [7157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__minted_environment_end, 2, 0, 23),
  [7159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__asy_environment_end, 2, 0, 23),
  [7161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__asy_environment_end, 2, 0, 23),
  [7163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__asydef_environment_end, 2, 0, 23),
  [7165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__asydef_environment_end, 2, 0, 23),
  [7167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pycode_environment_end, 2, 0, 23),
  [7169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pycode_environment_end, 2, 0, 23),
  [7171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym___luacode_environment_end, 2, 0, 23),
  [7173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym___luacode_environment_end, 2, 0, 23),
  [7175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym___luacode_environment_star_end, 2, 0, 23),
  [7177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym___luacode_environment_star_end, 2, 0, 23),
  [7179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__sagesilent_environment_end, 2, 0, 23),
  [7181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sagesilent_environment_end, 2, 0, 23),
  [7183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__sageblock_environment_end, 2, 0, 23),
  [7185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sageblock_environment_end, 2, 0, 23),
  [7187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curly_group_impl, 3, 0, 0),
  [7189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_group_impl, 3, 0, 0),
  [7191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 1, 0, 3),
  [7193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 1, 0, 3),
  [7195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator, 1, 0, 0),
  [7197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator, 1, 0, 0),
  [7199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_command_definition, 1, 0, 7),
  [7201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_command_definition, 1, 0, 7),
  [7203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_command_definition, 1, 0, 8),
  [7205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_command_definition, 1, 0, 8),
  [7207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_command_definition, 1, 0, 9),
  [7209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_command_definition, 1, 0, 9),
  [7211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_environment_definition, 1, 0, 10),
  [7213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_environment_definition, 1, 0, 10),
  [7215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_environment_definition, 1, 0, 11),
  [7217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_environment_definition, 1, 0, 11),
  [7219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_environment_definition, 1, 0, 12),
  [7221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_environment_definition, 1, 0, 12),
  [7223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_comment, 2, 0, 15),
  [7225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_comment, 2, 0, 15),
  [7227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 2, 0, 19),
  [7229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 2, 0, 19),
  [7231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_superscript, 2, 0, 20),
  [7233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_superscript, 2, 0, 20),
  [7235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_generic_command_repeat1, 1, 0, 24),
  [7237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_command_repeat1, 1, 0, 24),
  [7239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_title_declaration, 2, 0, 26),
  [7241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_title_declaration, 2, 0, 26),
  [7243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_author_declaration, 2, 0, 27),
  [7245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_author_declaration, 2, 0, 27),
  [7247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_include, 2, 0, 28),
  [7249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_include, 2, 0, 28),
  [7251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_include, 2, 0, 29),
  [7253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_include, 2, 0, 29),
  [7255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_latex_include, 2, 0, 29),
  [7257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_latex_include, 2, 0, 29),
  [7259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_biblatex_include, 2, 0, 30),
  [7261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_biblatex_include, 2, 0, 30),
  [7263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bibstyle_include, 2, 0, 29),
  [7265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bibstyle_include, 2, 0, 29),
  [7267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bibtex_include, 2, 0, 28),
  [7269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bibtex_include, 2, 0, 28),
  [7271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_graphics_include, 2, 0, 29),
  [7273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_graphics_include, 2, 0, 29),
  [7275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_svg_include, 2, 0, 29),
  [7277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_svg_include, 2, 0, 29),
  [7279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inkscape_include, 2, 0, 29),
  [7281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inkscape_include, 2, 0, 29),
  [7283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_verbatim_include, 2, 0, 29),
  [7285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_verbatim_include, 2, 0, 29),
  [7287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_caption, 2, 0, 31),
  [7289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_caption, 2, 0, 31),
  [7291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_citation, 2, 0, 32),
  [7293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_citation, 2, 0, 32),
  [7295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_label_definition, 2, 0, 22),
  [7297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_label_definition, 2, 0, 22),
  [7299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_label_reference, 2, 0, 33),
  [7301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_label_reference, 2, 0, 33),
  [7303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_old_command_definition, 2, 0, 34),
  [7305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_old_command_definition, 2, 0, 34),
  [7307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glossary_entry_reference, 2, 0, 22),
  [7309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glossary_entry_reference, 2, 0, 22),
  [7311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_acronym_reference, 2, 0, 22),
  [7313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_acronym_reference, 2, 0, 22),
  [7315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tikz_library_import, 2, 0, 28),
  [7317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tikz_library_import, 2, 0, 28),
  [7319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_comment, 3, 0, 38),
  [7321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_comment, 3, 0, 38),
  [7323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_title_declaration, 3, 0, 43),
  [7325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_title_declaration, 3, 0, 43),
  [7327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curly_group_author_list, 2, 0, 0),
  [7329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_group_author_list, 2, 0, 0),
  [7331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_author_declaration, 3, 0, 44),
  [7333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_author_declaration, 3, 0, 44),
  [7335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curly_group_path_list, 2, 0, 0),
  [7337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_group_path_list, 2, 0, 0),
  [7339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_include, 3, 0, 46),
  [7341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_include, 3, 0, 46),
  [7343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_include, 3, 0, 47),
  [7345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_include, 3, 0, 47),
  [7347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_biblatex_include, 3, 0, 48),
  [7349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_biblatex_include, 3, 0, 48),
  [7351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_graphics_include, 3, 0, 47),
  [7353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_graphics_include, 3, 0, 47),
  [7355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_svg_include, 3, 0, 47),
  [7357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_svg_include, 3, 0, 47),
  [7359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inkscape_include, 3, 0, 47),
  [7361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inkscape_include, 3, 0, 47),
  [7363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_include, 3, 0, 49),
  [7365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_include, 3, 0, 49),
  [7367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_caption, 3, 0, 50),
  [7369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_caption, 3, 0, 50),
  [7371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curly_group_text_list, 2, 0, 0),
  [7373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_group_text_list, 2, 0, 0),
  [7375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_citation, 3, 0, 51),
  [7377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_citation, 3, 0, 51),
  [7379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_label_reference_range, 3, 0, 52),
  [7381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_label_reference_range, 3, 0, 52),
  [7383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_label_number, 3, 0, 53),
  [7385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_label_number, 3, 0, 53),
  [7387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_command_definition, 3, 0, 54),
  [7389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_command_definition, 3, 0, 54),
  [7391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_command_copy, 3, 0, 54),
  [7393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_command_copy, 3, 0, 54),
  [7395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_command_definition, 3, 0, 54),
  [7397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_command_definition, 3, 0, 54),
  [7399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_environment_copy, 3, 0, 55),
  [7401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_environment_copy, 3, 0, 55),
  [7403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glossary_entry_definition, 3, 0, 40),
  [7405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glossary_entry_definition, 3, 0, 40),
  [7407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glossary_entry_reference, 3, 0, 56),
  [7409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glossary_entry_reference, 3, 0, 56),
  [7411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_acronym_reference, 3, 0, 56),
  [7413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_acronym_reference, 3, 0, 56),
  [7415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_color_reference, 3, 0, 58),
  [7417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_color_reference, 3, 0, 58),
  [7419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hyperlink, 3, 0, 60),
  [7421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hyperlink, 3, 0, 60),
  [7423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__comment_environment_group, 3, 0, 69),
  [7425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comment_environment_group, 3, 0, 69),
  [7427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__verbatim_environment_group, 3, 0, 69),
  [7429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__verbatim_environment_group, 3, 0, 69),
  [7431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__listing_environment_group, 3, 0, 69),
  [7433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__listing_environment_group, 3, 0, 69),
  [7435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__asy_environment_group, 3, 0, 69),
  [7437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__asy_environment_group, 3, 0, 69),
  [7439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__asydef_environment_group, 3, 0, 69),
  [7441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__asydef_environment_group, 3, 0, 69),
  [7443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pycode_environment_group, 3, 0, 69),
  [7445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pycode_environment_group, 3, 0, 69),
  [7447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym___luacode_environment_group, 3, 0, 69),
  [7449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym___luacode_environment_group, 3, 0, 69),
  [7451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym___luacode_environment_star_group, 3, 0, 69),
  [7453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym___luacode_environment_star_group, 3, 0, 69),
  [7455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__sagesilent_environment_group, 3, 0, 69),
  [7457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sagesilent_environment_group, 3, 0, 69),
  [7459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__sageblock_environment_group, 3, 0, 69),
  [7461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sageblock_environment_group, 3, 0, 69),
  [7463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curly_group_author_list, 3, 0, 71),
  [7465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_group_author_list, 3, 0, 71),
  [7467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curly_group_path_list, 3, 0, 73),
  [7469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_group_path_list, 3, 0, 73),
  [7471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curly_group_path, 3, 0, 73),
  [7473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_group_path, 3, 0, 73),
  [7475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curly_group_glob_pattern, 3, 0, 74),
  [7477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_group_glob_pattern, 3, 0, 74),
  [7479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curly_group_text_list, 3, 0, 67),
  [7481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_group_text_list, 3, 0, 67),
  [7483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_citation, 4, 0, 75),
  [7485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_citation, 4, 0, 75),
  [7487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_command_definition, 4, 0, 77),
  [7489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_command_definition, 4, 0, 77),
  [7491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__newer_command_definition, 4, 0, 78),
  [7493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__newer_command_definition, 4, 0, 78),
  [7495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_command_definition, 4, 0, 79),
  [7497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_command_definition, 4, 0, 79),
  [7499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__environment_definition, 4, 0, 81),
  [7501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__environment_definition, 4, 0, 81),
  [7503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curly_group_key_value, 2, 0, 0),
  [7505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_group_key_value, 2, 0, 0),
  [7507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_acronym_definition, 4, 0, 82),
  [7509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_acronym_definition, 4, 0, 82),
  [7511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_theorem_definition, 4, 0, 83),
  [7513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_theorem_definition, 4, 0, 83),
  [7515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_theorem_definition, 4, 0, 84),
  [7517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_theorem_definition, 4, 0, 84),
  [7519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_color_definition, 4, 0, 86),
  [7521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_color_definition, 4, 0, 86),
  [7523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_color_reference, 4, 0, 87),
  [7525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_color_reference, 4, 0, 87),
  [7527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curly_group_uri, 3, 0, 88),
  [7529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_group_uri, 3, 0, 88),
  [7531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curly_group_author_list, 4, 0, 71),
  [7533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_group_author_list, 4, 0, 71),
  [7535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curly_group_path_list, 4, 0, 93),
  [7537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_group_path_list, 4, 0, 93),
  [7539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curly_group_text_list, 4, 0, 95),
  [7541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_group_text_list, 4, 0, 95),
  [7543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_command_definition, 5, 0, 98),
  [7545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_command_definition, 5, 0, 98),
  [7547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_paired_delimiter_definition, 5, 0, 99),
  [7549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_paired_delimiter_definition, 5, 0, 99),
  [7551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__environment_definition, 5, 0, 101),
  [7553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__environment_definition, 5, 0, 101),
  [7555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__newer_environment_definition, 5, 0, 102),
  [7557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__newer_environment_definition, 5, 0, 102),
  [7559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curly_group_key_value, 3, 0, 72),
  [7561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_group_key_value, 3, 0, 72),
  [7563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_acronym_definition, 5, 0, 103),
  [7565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_acronym_definition, 5, 0, 103),
  [7567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_theorem_definition, 5, 0, 104),
  [7569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_theorem_definition, 5, 0, 104),
  [7571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_theorem_definition, 5, 0, 105),
  [7573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_theorem_definition, 5, 0, 105),
  [7575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_color_definition, 5, 0, 106),
  [7577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_color_definition, 5, 0, 106),
  [7579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_color_set_definition, 5, 0, 107),
  [7581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_color_set_definition, 5, 0, 107),
  [7583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_paired_delimiter_definition, 6, 0, 108),
  [7585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_paired_delimiter_definition, 6, 0, 108),
  [7587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curly_group_key_value, 4, 0, 91),
  [7589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_group_key_value, 4, 0, 91),
  [7591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_color_set_definition, 6, 0, 109),
  [7593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_color_set_definition, 6, 0, 109),
  [7595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curly_group_text, 3, 0, 67),
  [7597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_group_text, 3, 0, 67),
  [7599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curly_group_command_name, 3, 0, 76),
  [7601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_group_command_name, 3, 0, 76),
  [7603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curly_group_impl, 2, 0, 0),
  [7605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_group_impl, 2, 0, 0),
  [7607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_math_delimiter, 5, 0, 89),
  [7609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_math_delimiter, 5, 0, 89),
  [7611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section_repeat1, 2, 0, 0), SHIFT_REPEAT(868),
  [7614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section_repeat1, 2, 0, 0), SHIFT_REPEAT(868),
  [7617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section_repeat2, 2, 0, 0), SHIFT_REPEAT(869),
  [7620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section_repeat2, 2, 0, 0), SHIFT_REPEAT(869),
  [7623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section_repeat3, 2, 0, 0), SHIFT_REPEAT(873),
  [7626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section_repeat3, 2, 0, 0), SHIFT_REPEAT(873),
  [7629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section_repeat4, 2, 0, 0), SHIFT_REPEAT(874),
  [7632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section_repeat4, 2, 0, 0), SHIFT_REPEAT(874),
  [7635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section_repeat5, 2, 0, 0), SHIFT_REPEAT(877),
  [7638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section_repeat5, 2, 0, 0), SHIFT_REPEAT(877),
  [7641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__paragraph_repeat1, 2, 0, 0), SHIFT_REPEAT(881),
  [7644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__paragraph_repeat1, 2, 0, 0), SHIFT_REPEAT(881),
  [7647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__paragraph_repeat2, 2, 0, 0), SHIFT_REPEAT(884),
  [7650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__paragraph_repeat2, 2, 0, 0), SHIFT_REPEAT(884),
  [7653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__paragraph_repeat3, 2, 0, 0), SHIFT_REPEAT(1066),
  [7656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__paragraph_repeat3, 2, 0, 0), SHIFT_REPEAT(1066),
  [7659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_command_repeat1, 2, 0, 42), SHIFT_REPEAT(95),
  [7662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section_repeat1, 2, 0, 0), SHIFT_REPEAT(780),
  [7665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section_repeat1, 2, 0, 0), SHIFT_REPEAT(780),
  [7668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section_repeat2, 2, 0, 0), SHIFT_REPEAT(781),
  [7671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section_repeat2, 2, 0, 0), SHIFT_REPEAT(781),
  [7674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section_repeat3, 2, 0, 0), SHIFT_REPEAT(782),
  [7677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section_repeat3, 2, 0, 0), SHIFT_REPEAT(782),
  [7680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section_repeat4, 2, 0, 0), SHIFT_REPEAT(783),
  [7683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section_repeat4, 2, 0, 0), SHIFT_REPEAT(783),
  [7686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section_repeat5, 2, 0, 0), SHIFT_REPEAT(784),
  [7689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section_repeat5, 2, 0, 0), SHIFT_REPEAT(784),
  [7692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__paragraph_repeat1, 2, 0, 0), SHIFT_REPEAT(785),
  [7695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__paragraph_repeat1, 2, 0, 0), SHIFT_REPEAT(785),
  [7698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__paragraph_repeat2, 2, 0, 0), SHIFT_REPEAT(786),
  [7701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__paragraph_repeat2, 2, 0, 0), SHIFT_REPEAT(786),
  [7704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__paragraph_repeat3, 2, 0, 0), SHIFT_REPEAT(1101),
  [7707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__paragraph_repeat3, 2, 0, 0), SHIFT_REPEAT(1101),
  [7710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [7712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [7714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section_repeat1, 2, 0, 0), SHIFT_REPEAT(886),
  [7717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section_repeat1, 2, 0, 0), SHIFT_REPEAT(886),
  [7720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section_repeat2, 2, 0, 0), SHIFT_REPEAT(887),
  [7723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section_repeat2, 2, 0, 0), SHIFT_REPEAT(887),
  [7726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section_repeat3, 2, 0, 0), SHIFT_REPEAT(888),
  [7729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section_repeat3, 2, 0, 0), SHIFT_REPEAT(888),
  [7732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section_repeat4, 2, 0, 0), SHIFT_REPEAT(889),
  [7735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section_repeat4, 2, 0, 0), SHIFT_REPEAT(889),
  [7738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__section_repeat5, 2, 0, 0), SHIFT_REPEAT(890),
  [7741] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__section_repeat5, 2, 0, 0), SHIFT_REPEAT(890),
  [7744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__paragraph_repeat1, 2, 0, 0), SHIFT_REPEAT(891),
  [7747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__paragraph_repeat1, 2, 0, 0), SHIFT_REPEAT(891),
  [7750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__paragraph_repeat2, 2, 0, 0), SHIFT_REPEAT(892),
  [7753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__paragraph_repeat2, 2, 0, 0), SHIFT_REPEAT(892),
  [7756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__paragraph_repeat3, 2, 0, 0), SHIFT_REPEAT(1116),
  [7759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__paragraph_repeat3, 2, 0, 0), SHIFT_REPEAT(1116),
  [7762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [7764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [7766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [7768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_command_repeat1, 2, 0, 42), SHIFT_REPEAT(105),
  [7771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [7773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [7775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [7777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [7779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_command_repeat1, 2, 0, 42), SHIFT_REPEAT(99),
  [7782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_command_repeat1, 2, 0, 42), SHIFT_REPEAT(93),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [7787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [7789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_begin, 2, 0, 22),
  [7791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [7793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_begin, 2, 0, 22),
  [7795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [7797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [7799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [7801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [7803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_brack_group, 2, 0, 0),
  [7805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_brack_group, 2, 0, 0),
  [7807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_begin, 3, 0, 40),
  [7809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_begin, 3, 0, 40),
  [7811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_brack_group, 3, 0, 0),
  [7813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_brack_group, 3, 0, 0),
  [7815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_command_repeat1, 2, 0, 42), SHIFT_REPEAT(110),
  [7818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [7820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [7822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [7824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [7826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [7828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [7830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_command_repeat1, 2, 0, 42), SHIFT_REPEAT(116),
  [7833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [7835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [7837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_command_repeat1, 2, 0, 42), SHIFT_REPEAT(140),
  [7840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [7842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [7844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_environment_begin, 2, 0, 23),
  [7846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_environment_begin, 2, 0, 23),
  [7848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [7850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [7852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [7854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_command_repeat1, 2, 0, 42), SHIFT_REPEAT(128),
  [7857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [7859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [7861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [7863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 1, 0, 0),
  [7865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_curly_group_author_list_repeat1, 1, 0, 0),
  [7867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [7869] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_command_repeat1, 2, 0, 42), SHIFT_REPEAT(134),
  [7872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [7874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [7876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [7878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [7880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [7882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [7884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [7886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [7888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [7890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [7892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [7894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [7896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [7898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [7900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [7902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [7904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [7906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [7908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [7910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [7912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [7914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [7916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [7918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [7920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [7922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [7924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [7926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [7928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [7930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [7932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [7934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [7936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [7938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [7940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [7942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [7944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [7946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [7948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [7950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [7952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [7954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [7956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [7958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [7960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [7962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [7964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [7966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [7968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14),
  [7970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [7972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16),
  [7974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [7976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18),
  [7978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [7980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20),
  [7982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [7984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22),
  [7986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [7988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [7990] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_glob_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(2358),
  [7995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_glob_pattern_repeat1, 2, 0, 0),
  [7997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_glob_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(2356),
  [8000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [8002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2379),
  [8004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [8006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2371),
  [8008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [8010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [8012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [8014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [8016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [8018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [8020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [8022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [8024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [8026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [8028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2356),
  [8030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [8032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [8034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [8036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glob_pattern, 1, 0, 0),
  [8038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [8040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [8042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [8044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [8046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [8048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [8050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [8052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [8054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [8056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [8058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [8060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [8062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [8064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [8066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [8068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [8070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [8072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [8074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [8076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [8078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [8080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [8082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [8084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [8086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [8088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [8090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [8092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [8094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [8096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [8098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [8100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [8102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [8104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [8106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [8108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [8110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [8112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [8114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [8116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [8118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [8120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [8122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [8124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [8126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [8128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [8130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [8132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [8134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [8136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [8138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [8140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [8142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [8144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [8146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [8148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [8150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [8152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [8154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [8156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [8158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [8160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [8162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [8164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [8166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [8168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [8170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [8172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [8174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [8176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [8178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [8180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [8182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [8184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [8186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [8188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [8190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [8192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [8194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [8196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [8198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [8200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [8202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [8204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [8206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [8208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [8210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [8212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [8214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [8216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [8218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [8220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1674),
  [8222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [8224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [8228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [8230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [8232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [8234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [8236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [8238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [8240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [8242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [8244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [8246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_curly_group_author_list_repeat2, 2, 0, 0),
  [8248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_author_list_repeat2, 2, 0, 0), SHIFT_REPEAT(328),
  [8251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [8253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [8255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [8257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_key_value_pair, 3, 0, 90),
  [8259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [8263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [8267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [8271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [8273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [8275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [8277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [8279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_curly_group_key_value_repeat1, 2, 0, 72),
  [8281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [8283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [8285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [8287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [8289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [8291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [8293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [8295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [8297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [8299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_curly_group_key_value_repeat1, 2, 0, 92),
  [8301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_key_value_repeat1, 2, 0, 92), SHIFT_REPEAT(455),
  [8304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [8306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [8308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [8310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [8312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_text_list_repeat1, 2, 0, 96), SHIFT_REPEAT(490),
  [8315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_curly_group_text_list_repeat1, 2, 0, 96),
  [8317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [8319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [8321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [8323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [8325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [8327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_brack_group_argc, 3, 0, 97),
  [8329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [8331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [8333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [8335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [8337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [8339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [8341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [8343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [8345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [8347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [8349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [8351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [8353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [8355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [8357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [8359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [8361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__glob_pattern_fragment, 2, 0, 0),
  [8363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__glob_pattern_fragment, 2, 0, 0),
  [8365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [8367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [8369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [8371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [8373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [8375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [8377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [8379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [8381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [8383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_key_value_pair, 1, 0, 45),
  [8385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [8387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [8389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [8391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [8393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [8395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [8397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [8399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [8401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [8403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [8405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [8407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [8409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [8411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [8413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [8415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [8417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [8419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [8421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [8423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [8425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [8427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [8429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [8431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [8433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [8435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [8437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [8439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [8441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [8443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [8445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_path_list_repeat1, 2, 0, 94), SHIFT_REPEAT(3782),
  [8448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_curly_group_path_list_repeat1, 2, 0, 94),
  [8450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [8452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [8454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [8456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [8458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [8460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [8462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [8464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [8466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [8470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [8472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [8474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [8476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [8478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [8480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [8482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [8484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [8486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [8488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [8490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [8492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [8494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_curly_group_key_value_repeat1, 2, 0, 92), SHIFT_REPEAT(461),
  [8497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [8499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [8501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [8503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [8505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [8507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [8509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [8511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__glob_pattern_fragment, 3, 0, 0),
  [8513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__glob_pattern_fragment, 3, 0, 0),
  [8515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [8517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [8519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [8521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [8523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [8525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [8527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [8529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [8531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [8533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [8535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [8537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [8539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [8541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [8543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [8545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [8547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [8549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [8551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [8553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [8555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [8557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [8559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [8561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [8563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [8565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [8567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [8569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [8571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [8573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [8575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [8579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [8581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [8583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [8585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [8587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [8589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [8591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [8593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [8595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [8597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [8599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [8601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [8603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [8605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [8607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [8609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [8611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [8613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [8615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [8617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [8619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [8621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [8623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [8625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [8627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [8629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [8631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [8633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [8635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [8637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [8639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [8641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [8643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [8645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [8647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [8649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [8651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [8653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [8655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [8657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [8659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [8661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [8663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [8665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [8669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [8671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [8673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [8675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [8677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [8679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [8681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [8683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_curly_group_path_list_repeat1, 2, 0, 73),
  [8685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_curly_group_text_list_repeat1, 2, 0, 67),
  [8687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [8689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [8691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [8693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3852),
  [8695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [8697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [8699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [8705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [8707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [8709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [8711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [8713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [8715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [8717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [8719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [8721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [8723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [8725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [8727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [8729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [8731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [8733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2696),
  [8735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [8737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [8739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [8741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [8743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [8745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [8747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [8749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [8751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [8753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [8755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [8757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [8759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [8761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [8763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [8765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [8767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [8769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [8771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [8773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [8775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [8777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [8779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [8781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [8783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [8785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [8787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [8789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [8791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2698),
  [8793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [8795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [8797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [8799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [8801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [8803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [8805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [8807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [8809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [8811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [8813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [8815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [8817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [8819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [8821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [8823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [8825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [8827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [8829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [8831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [8833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [8835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [8837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [8839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [8841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [8843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [8845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [8847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [8849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [8851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [8853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [8855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [8857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [8859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [8861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [8863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [8865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [8867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [8869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [8871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [8873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [8875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [8877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [8879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [8881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [8883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2702),
  [8885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [8887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [8889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [8891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [8893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [8895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [8897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [8899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [8901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [8903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [8905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [8907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [8909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [8911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [8913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [8915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [8917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [8919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [8921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [8923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [8925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [8927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [8929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [8931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [8933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [8935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [8937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [8939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [8941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [8943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [8945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [8947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [8949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [8951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [8953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [8955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [8957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [8959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [8961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [8963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [8965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [8967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [8969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2726),
  [8971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [8973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [8975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [8977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [8979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [8981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [8983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [8985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [8987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [8989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [8991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [8993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [8995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [8997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [8999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [9001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [9003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [9005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [9007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [9009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [9011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [9013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [9015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [9017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [9019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [9021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [9023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [9025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [9027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [9029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [9031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [9033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [9035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [9037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [9039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [9041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [9043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [9045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [9047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [9049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [9051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [9053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [9055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [9057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [9059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [9061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [9063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [9065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [9067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [9069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [9071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [9073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [9075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [9077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [9079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [9081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [9083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [9085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3754),
  [9087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [9089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [9091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [9093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [9095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [9097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [9099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [9101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [9103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [9105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [9107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [9109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [9111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [9113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [9115] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [9117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [9119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [9121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [9123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [9125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [9127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [9129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [9131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [9133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [9135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [9137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [9139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [9141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [9143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [9145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [9147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [9149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [9151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [9153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [9155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [9157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [9159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [9161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [9163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym___luacode_environment_star_name, 1, 0, 3),
  [9165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3870),
  [9167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__minted_environment_begin, 4, 0, 70),
  [9169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sagesilent_environment_name, 1, 0, 3),
  [9171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [9173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [9175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sageblock_environment_name, 1, 0, 3),
  [9177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_environment_name, 1, 0, 3),
  [9179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [9181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [9183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3920),
  [9185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__asy_environment_begin, 2, 0, 23),
  [9187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [9189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [9191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [9193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [9195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [9197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [9199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [9201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [9203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_brack_group_key_value, 2, 0, 0),
  [9205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [9207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [9209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [9211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comment_environment_begin, 2, 0, 23),
  [9213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [9215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [9217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__asydef_environment_begin, 2, 0, 23),
  [9219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [9221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__verbatim_environment_begin, 2, 0, 23),
  [9223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3745),
  [9225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [9227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_brack_group_key_value, 3, 0, 72),
  [9229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [9231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [9233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [9235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [9237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [9239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [9241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [9243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [9245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [9247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [9249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [9251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3061),
  [9253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [9255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [9257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [9259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [9261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [9263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comment_environment_name, 1, 0, 3),
  [9265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3700),
  [9267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [9269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2893),
  [9271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [9273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [9275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [9277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [9279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [9281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [9283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3744),
  [9285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__verbatim_environment_name, 1, 0, 3),
  [9287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [9289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [9291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [9293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__listing_environment_name, 1, 0, 3),
  [9295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [9297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [9299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [9301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [9303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [9305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [9307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [9309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [9311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [9313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [9315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [9317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [9319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [9321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [9323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [9325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [9327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [9329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [9331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [9333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [9335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [9337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [9339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [9341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3998),
  [9343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [9345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [9347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [9349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [9351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [9353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [9355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [9357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [9359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3697),
  [9361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [9363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [9365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [9367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [9369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [9371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [9373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [9375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [9377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [9379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3856),
  [9381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__minted_environment_name, 1, 0, 3),
  [9383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [9385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__asy_environment_name, 1, 0, 3),
  [9387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [9389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [9391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [9393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [9395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3911),
  [9397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__minted_environment_begin, 3, 0, 41),
  [9399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [9401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [9403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [9405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [9407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [9409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3908),
  [9411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__asydef_environment_name, 1, 0, 3),
  [9413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3927),
  [9415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [9417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [9419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [9421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [9423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [9425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [9427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [9429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pycode_environment_name, 1, 0, 3),
  [9431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [9433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [9435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [9437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [9439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [9441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3957),
  [9443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_group_spec, 3, 0, 0),
  [9445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [9447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3737),
  [9449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [9451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym___luacode_environment_begin, 2, 0, 23),
  [9453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [9455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [9457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [9459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [9461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [9463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [9465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3755),
  [9467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [9469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [9471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [9473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pycode_environment_begin, 2, 0, 23),
  [9475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [9477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [9479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [9481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [9483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [9485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [9487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [9489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_group_spec, 2, 0, 0),
  [9491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [9493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [9495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [9497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [9499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [9501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [9503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [9505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3844),
  [9507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [9509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [9511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [9513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [9515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [9517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [9519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym___luacode_environment_star_begin, 2, 0, 23),
  [9521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [9523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3909),
  [9525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [9527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [9529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [9531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [9533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sagesilent_environment_begin, 2, 0, 23),
  [9535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [9537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [9539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [9541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [9543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [9545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [9547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [9549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [9551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [9553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [9555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [9557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [9559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [9561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [9563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [9565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [9567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [9569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [9571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [9573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [9575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [9577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [9579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [9581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [9583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [9585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [9587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [9589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [9591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [9593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [9595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [9597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [9599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [9601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__listing_environment_begin, 2, 0, 23),
  [9603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_brack_group_key_value, 4, 0, 91),
  [9605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3925),
  [9607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [9609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [9611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [9613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [9615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [9617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [9619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sageblock_environment_begin, 2, 0, 23),
  [9621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3792),
  [9623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3887),
  [9625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [9627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym___luacode_environment_name, 1, 0, 3),
  [9629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [9631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [9633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [9635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [9637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [9639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [9641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [9643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [9645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [9647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [9649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [9651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [9653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [9655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [9657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [9659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [9661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [9663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [9665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [9667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [9669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [9671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [9673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [9675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [9677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [9679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [9681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [9683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [9685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [9687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [9689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [9691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [9693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [9695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [9697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [9699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [9701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [9703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [9705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [9707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [9709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [9711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [9713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [9715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [9717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [9719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [9721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__trivia_raw_fi = 0,
  ts_external_token__trivia_raw_env_comment = 1,
  ts_external_token__trivia_raw_env_verbatim = 2,
  ts_external_token__trivia_raw_env_listing = 3,
  ts_external_token__trivia_raw_env_minted = 4,
  ts_external_token__trivia_raw_env_asy = 5,
  ts_external_token__trivia_raw_env_asydef = 6,
  ts_external_token__trivia_raw_env_pycode = 7,
  ts_external_token__trivia_raw_env_luacode = 8,
  ts_external_token__trivia_raw_env_luacode_star = 9,
  ts_external_token__trivia_raw_env_sagesilent = 10,
  ts_external_token__trivia_raw_env_sageblock = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__trivia_raw_fi] = sym__trivia_raw_fi,
  [ts_external_token__trivia_raw_env_comment] = sym__trivia_raw_env_comment,
  [ts_external_token__trivia_raw_env_verbatim] = sym__trivia_raw_env_verbatim,
  [ts_external_token__trivia_raw_env_listing] = sym__trivia_raw_env_listing,
  [ts_external_token__trivia_raw_env_minted] = sym__trivia_raw_env_minted,
  [ts_external_token__trivia_raw_env_asy] = sym__trivia_raw_env_asy,
  [ts_external_token__trivia_raw_env_asydef] = sym__trivia_raw_env_asydef,
  [ts_external_token__trivia_raw_env_pycode] = sym__trivia_raw_env_pycode,
  [ts_external_token__trivia_raw_env_luacode] = sym__trivia_raw_env_luacode,
  [ts_external_token__trivia_raw_env_luacode_star] = sym__trivia_raw_env_luacode_star,
  [ts_external_token__trivia_raw_env_sagesilent] = sym__trivia_raw_env_sagesilent,
  [ts_external_token__trivia_raw_env_sageblock] = sym__trivia_raw_env_sageblock,
};

static const bool ts_external_scanner_states[14][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__trivia_raw_fi] = true,
    [ts_external_token__trivia_raw_env_comment] = true,
    [ts_external_token__trivia_raw_env_verbatim] = true,
    [ts_external_token__trivia_raw_env_listing] = true,
    [ts_external_token__trivia_raw_env_minted] = true,
    [ts_external_token__trivia_raw_env_asy] = true,
    [ts_external_token__trivia_raw_env_asydef] = true,
    [ts_external_token__trivia_raw_env_pycode] = true,
    [ts_external_token__trivia_raw_env_luacode] = true,
    [ts_external_token__trivia_raw_env_luacode_star] = true,
    [ts_external_token__trivia_raw_env_sagesilent] = true,
    [ts_external_token__trivia_raw_env_sageblock] = true,
  },
  [2] = {
    [ts_external_token__trivia_raw_fi] = true,
  },
  [3] = {
    [ts_external_token__trivia_raw_env_sagesilent] = true,
  },
  [4] = {
    [ts_external_token__trivia_raw_env_luacode_star] = true,
  },
  [5] = {
    [ts_external_token__trivia_raw_env_asydef] = true,
  },
  [6] = {
    [ts_external_token__trivia_raw_env_sageblock] = true,
  },
  [7] = {
    [ts_external_token__trivia_raw_env_comment] = true,
  },
  [8] = {
    [ts_external_token__trivia_raw_env_verbatim] = true,
  },
  [9] = {
    [ts_external_token__trivia_raw_env_listing] = true,
  },
  [10] = {
    [ts_external_token__trivia_raw_env_minted] = true,
  },
  [11] = {
    [ts_external_token__trivia_raw_env_asy] = true,
  },
  [12] = {
    [ts_external_token__trivia_raw_env_pycode] = true,
  },
  [13] = {
    [ts_external_token__trivia_raw_env_luacode] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_latex_external_scanner_create(void);
void tree_sitter_latex_external_scanner_destroy(void *);
bool tree_sitter_latex_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_latex_external_scanner_serialize(void *, char *);
void tree_sitter_latex_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_latex(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_command_name,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_latex_external_scanner_create,
      tree_sitter_latex_external_scanner_destroy,
      tree_sitter_latex_external_scanner_scan,
      tree_sitter_latex_external_scanner_serialize,
      tree_sitter_latex_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
